/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 94;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 91,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 90,
  Feature_HasVendorXqcislsBit = 87,
  Feature_HasVendorXqciaBit = 88,
  Feature_HasVendorXqciintBit = 89,
  Feature_HasVendorXqciliaBit = 85,
  Feature_HasVendorXqciloBit = 86,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 93,
  Feature_HwMode0Bit = 92,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9922,
  GICXXPred_MI_Predicate_anonymous_9924,
  GICXXPred_MI_Predicate_anonymous_10012,
  GICXXPred_MI_Predicate_anonymous_10026,
  GICXXPred_MI_Predicate_anonymous_10030,
  GICXXPred_MI_Predicate_anonymous_10032,
  GICXXPred_MI_Predicate_anonymous_10034,
  GICXXPred_MI_Predicate_anonymous_10036,
  GICXXPred_MI_Predicate_anonymous_10039,
  GICXXPred_MI_Predicate_anonymous_10041,
  GICXXPred_MI_Predicate_anonymous_10054,
  GICXXPred_MI_Predicate_anonymous_10065,
  GICXXPred_MI_Predicate_anonymous_11192,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9922: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9924: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10012: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10026: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10030: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10032: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10034: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10036: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10039: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10041: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10054: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10065: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11192: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(329), /*)*//*default:*//*Label 123*/ GIMT_Encode4(2430874),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1114),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(56945),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(76178),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(103232),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(105966),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(108700),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(111479), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(114213),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(123657),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(136278), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(151185), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(151246), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(151307), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(151398), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(151765),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(151963),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(152161),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(152741),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(152951),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(153149),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(153188),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(153227),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(163391),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(165361), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(166488), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(174590),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(179476),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(182386), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(185296),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(188206),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(189118),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(192028),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(194938),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(197848),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(200758),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(203668), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     286 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(206578), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     306 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(206796),
     /*     310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2192183), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     322 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2193699), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     346 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2196820),
     /*     350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2200295),
     /*     354 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2200844),
     /*     358 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2204531),
     /*     362 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2213127),
     /*     366 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2216158), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     378 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2219097),
     /*     382 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2222037),
     /*     386 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2224947),
     /*     390 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2251610), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2259072), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2263464),
     /*     450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2266198),
     /*     454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2268932),
     /*     458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2271785),
     /*     462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2274638),
     /*     466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2277491),
     /*     470 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2280344),
     /*     474 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2280402), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     510 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2280460),
     /*     514 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2282888),
     /*     518 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2285316),
     /*     522 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2287744), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2304389), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     578 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2306817),
     /*     582 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2308788),
     /*     586 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2309241),
     /*     590 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2310777),
     /*     594 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2315663),
     /*     598 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2320549),
     /*     602 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2325835), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     614 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2331121),
     /*     618 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2333092), GIMT_Encode4(0),
     /*     626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2339154),
     /*     630 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2339344),
     /*     634 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2341429), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2343514),
     /*     650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2343640), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     686 */ /*TargetOpcode::G_SMIN*//*Label 78*/ GIMT_Encode4(2343766),
     /*     690 */ /*TargetOpcode::G_SMAX*//*Label 79*/ GIMT_Encode4(2346542),
     /*     694 */ /*TargetOpcode::G_UMIN*//*Label 80*/ GIMT_Encode4(2349318),
     /*     698 */ /*TargetOpcode::G_UMAX*//*Label 81*/ GIMT_Encode4(2352094),
     /*     702 */ /*TargetOpcode::G_ABS*//*Label 82*/ GIMT_Encode4(2354870),
     /*     706 */ /*TargetOpcode::G_LROUND*//*Label 83*/ GIMT_Encode4(2355028),
     /*     710 */ /*TargetOpcode::G_LLROUND*//*Label 84*/ GIMT_Encode4(2355608),
     /*     714 */ /*TargetOpcode::G_BR*//*Label 85*/ GIMT_Encode4(2355818), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     758 */ /*TargetOpcode::G_CTTZ*//*Label 86*/ GIMT_Encode4(2355834), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTLZ*//*Label 87*/ GIMT_Encode4(2358354), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTPOP*//*Label 88*/ GIMT_Encode4(2361012),
     /*     778 */ /*TargetOpcode::G_BSWAP*//*Label 89*/ GIMT_Encode4(2363563),
     /*     782 */ /*TargetOpcode::G_BITREVERSE*//*Label 90*/ GIMT_Encode4(2366098),
     /*     786 */ /*TargetOpcode::G_FCEIL*//*Label 91*/ GIMT_Encode4(2368592), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     834 */ /*TargetOpcode::G_FSQRT*//*Label 92*/ GIMT_Encode4(2368790),
     /*     838 */ /*TargetOpcode::G_FFLOOR*//*Label 93*/ GIMT_Encode4(2370966),
     /*     842 */ /*TargetOpcode::G_FRINT*//*Label 94*/ GIMT_Encode4(2371164),
     /*     846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 95*/ GIMT_Encode4(2371362), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 96*/ GIMT_Encode4(2371560),
     /*     878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 97*/ GIMT_Encode4(2373988),
     /*     882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 98*/ GIMT_Encode4(2376416),
     /*     886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 99*/ GIMT_Encode4(2378844), GIMT_Encode4(0),
     /*     894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 100*/ GIMT_Encode4(2381272),
     /*     898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 101*/ GIMT_Encode4(2397917), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     934 */ /*TargetOpcode::G_TRAP*//*Label 102*/ GIMT_Encode4(2400093),
     /*     938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 103*/ GIMT_Encode4(2400106), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1034 */ /*RISCV::G_CLZW*//*Label 104*/ GIMT_Encode4(2400119),
     /*    1038 */ /*RISCV::G_CTZW*//*Label 105*/ GIMT_Encode4(2400214),
     /*    1042 */ /*RISCV::G_DIVUW*//*Label 106*/ GIMT_Encode4(2400244),
     /*    1046 */ /*RISCV::G_DIVW*//*Label 107*/ GIMT_Encode4(2400281),
     /*    1050 */ /*RISCV::G_FCLASS*//*Label 108*/ GIMT_Encode4(2400318),
     /*    1054 */ /*RISCV::G_FCVT_WU_RV64*//*Label 109*/ GIMT_Encode4(2400678),
     /*    1058 */ /*RISCV::G_FCVT_W_RV64*//*Label 110*/ GIMT_Encode4(2400876),
     /*    1062 */ /*RISCV::G_READ_VLENB*//*Label 111*/ GIMT_Encode4(2401074),
     /*    1066 */ /*RISCV::G_REMUW*//*Label 112*/ GIMT_Encode4(2401134),
     /*    1070 */ /*RISCV::G_ROLW*//*Label 113*/ GIMT_Encode4(2401171),
     /*    1074 */ /*RISCV::G_RORW*//*Label 114*/ GIMT_Encode4(2401296),
     /*    1078 */ /*RISCV::G_SLLW*//*Label 115*/ GIMT_Encode4(2401417), GIMT_Encode4(0),
     /*    1086 */ /*RISCV::G_SRAW*//*Label 116*/ GIMT_Encode4(2401464),
     /*    1090 */ /*RISCV::G_SRLW*//*Label 117*/ GIMT_Encode4(2401511),
     /*    1094 */ /*RISCV::G_VMCLR_VL*//*Label 118*/ GIMT_Encode4(2401558),
     /*    1098 */ /*RISCV::G_VMSET_VL*//*Label 119*/ GIMT_Encode4(2402207),
     /*    1102 */ /*RISCV::G_VMV_V_V_VL*//*Label 120*/ GIMT_Encode4(2402856),
     /*    1106 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 121*/ GIMT_Encode4(2407114),
     /*    1110 */ /*RISCV::G_VSLIDEUP_VL*//*Label 122*/ GIMT_Encode4(2418994),
     /*    1114 */ // Label 0: @1114
     /*    1114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 148*/ GIMT_Encode4(56944),
     /*    1125 */ /*GILLT_s32*//*Label 124*/ GIMT_Encode4(1249),
     /*    1129 */ /*GILLT_s64*//*Label 125*/ GIMT_Encode4(2818), GIMT_Encode4(0),
     /*    1137 */ /*GILLT_nxv1s8*//*Label 126*/ GIMT_Encode4(7304),
     /*    1141 */ /*GILLT_nxv1s16*//*Label 127*/ GIMT_Encode4(7699),
     /*    1145 */ /*GILLT_nxv1s32*//*Label 128*/ GIMT_Encode4(10824),
     /*    1149 */ /*GILLT_nxv1s64*//*Label 129*/ GIMT_Encode4(13949), GIMT_Encode4(0),
     /*    1157 */ /*GILLT_nxv2s8*//*Label 130*/ GIMT_Encode4(17074),
     /*    1161 */ /*GILLT_nxv2s16*//*Label 131*/ GIMT_Encode4(17469),
     /*    1165 */ /*GILLT_nxv2s32*//*Label 132*/ GIMT_Encode4(20594),
     /*    1169 */ /*GILLT_nxv2s64*//*Label 133*/ GIMT_Encode4(23719), GIMT_Encode4(0),
     /*    1177 */ /*GILLT_nxv4s8*//*Label 134*/ GIMT_Encode4(26844),
     /*    1181 */ /*GILLT_nxv4s16*//*Label 135*/ GIMT_Encode4(27239),
     /*    1185 */ /*GILLT_nxv4s32*//*Label 136*/ GIMT_Encode4(30364),
     /*    1189 */ /*GILLT_nxv4s64*//*Label 137*/ GIMT_Encode4(33489), GIMT_Encode4(0),
     /*    1197 */ /*GILLT_nxv8s8*//*Label 138*/ GIMT_Encode4(36614),
     /*    1201 */ /*GILLT_nxv8s16*//*Label 139*/ GIMT_Encode4(37009),
     /*    1205 */ /*GILLT_nxv8s32*//*Label 140*/ GIMT_Encode4(40134),
     /*    1209 */ /*GILLT_nxv8s64*//*Label 141*/ GIMT_Encode4(43259), GIMT_Encode4(0),
     /*    1217 */ /*GILLT_nxv16s8*//*Label 142*/ GIMT_Encode4(46384),
     /*    1221 */ /*GILLT_nxv16s16*//*Label 143*/ GIMT_Encode4(46779),
     /*    1225 */ /*GILLT_nxv16s32*//*Label 144*/ GIMT_Encode4(49904), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv32s8*//*Label 145*/ GIMT_Encode4(53029),
     /*    1237 */ /*GILLT_nxv32s16*//*Label 146*/ GIMT_Encode4(53424), GIMT_Encode4(0),
     /*    1245 */ /*GILLT_nxv64s8*//*Label 147*/ GIMT_Encode4(56549),
     /*    1249 */ // Label 124: @1249
     /*    1249 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2817),
     /*    1254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1260 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1308), // Rule ID 2453 //
     /*    1265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1272 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1276 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1295 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1306 */     GIR_RootConstrainSelectedInstOperands,
     /*    1307 */     // GIR_Coverage, 2453,
     /*    1307 */     GIR_EraseRootFromParent_Done,
     /*    1308 */   // Label 150: @1308
     /*    1308 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1356), // Rule ID 2463 //
     /*    1313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1343 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1354 */     GIR_RootConstrainSelectedInstOperands,
     /*    1355 */     // GIR_Coverage, 2463,
     /*    1355 */     GIR_EraseRootFromParent_Done,
     /*    1356 */   // Label 151: @1356
     /*    1356 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1404), // Rule ID 2473 //
     /*    1361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1391 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1402 */     GIR_RootConstrainSelectedInstOperands,
     /*    1403 */     // GIR_Coverage, 2473,
     /*    1403 */     GIR_EraseRootFromParent_Done,
     /*    1404 */   // Label 152: @1404
     /*    1404 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1455), // Rule ID 62439 //
     /*    1409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1416 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1439 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1453 */     GIR_RootConstrainSelectedInstOperands,
     /*    1454 */     // GIR_Coverage, 62439,
     /*    1454 */     GIR_EraseRootFromParent_Done,
     /*    1455 */   // Label 153: @1455
     /*    1455 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1506), // Rule ID 62443 //
     /*    1460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1467 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1490 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1504 */     GIR_RootConstrainSelectedInstOperands,
     /*    1505 */     // GIR_Coverage, 62443,
     /*    1505 */     GIR_EraseRootFromParent_Done,
     /*    1506 */   // Label 154: @1506
     /*    1506 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1557), // Rule ID 62447 //
     /*    1511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1541 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1555 */     GIR_RootConstrainSelectedInstOperands,
     /*    1556 */     // GIR_Coverage, 62447,
     /*    1556 */     GIR_EraseRootFromParent_Done,
     /*    1557 */   // Label 155: @1557
     /*    1557 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1605), // Rule ID 65106 //
     /*    1562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1592 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1603 */     GIR_RootConstrainSelectedInstOperands,
     /*    1604 */     // GIR_Coverage, 65106,
     /*    1604 */     GIR_EraseRootFromParent_Done,
     /*    1605 */   // Label 156: @1605
     /*    1605 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1653), // Rule ID 65114 //
     /*    1610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1640 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1651 */     GIR_RootConstrainSelectedInstOperands,
     /*    1652 */     // GIR_Coverage, 65114,
     /*    1652 */     GIR_EraseRootFromParent_Done,
     /*    1653 */   // Label 157: @1653
     /*    1653 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1701), // Rule ID 65122 //
     /*    1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1665 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1699 */     GIR_RootConstrainSelectedInstOperands,
     /*    1700 */     // GIR_Coverage, 65122,
     /*    1700 */     GIR_EraseRootFromParent_Done,
     /*    1701 */   // Label 158: @1701
     /*    1701 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1752), // Rule ID 73930 //
     /*    1706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1713 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1736 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1750 */     GIR_RootConstrainSelectedInstOperands,
     /*    1751 */     // GIR_Coverage, 73930,
     /*    1751 */     GIR_EraseRootFromParent_Done,
     /*    1752 */   // Label 159: @1752
     /*    1752 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1803), // Rule ID 73934 //
     /*    1757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1787 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1801 */     GIR_RootConstrainSelectedInstOperands,
     /*    1802 */     // GIR_Coverage, 73934,
     /*    1802 */     GIR_EraseRootFromParent_Done,
     /*    1803 */   // Label 160: @1803
     /*    1803 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1854), // Rule ID 73938 //
     /*    1808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1838 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1852 */     GIR_RootConstrainSelectedInstOperands,
     /*    1853 */     // GIR_Coverage, 73938,
     /*    1853 */     GIR_EraseRootFromParent_Done,
     /*    1854 */   // Label 161: @1854
     /*    1854 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1922), // Rule ID 2447 //
     /*    1859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1909 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1920 */     GIR_RootConstrainSelectedInstOperands,
     /*    1921 */     // GIR_Coverage, 2447,
     /*    1921 */     GIR_EraseRootFromParent_Done,
     /*    1922 */   // Label 162: @1922
     /*    1922 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1990), // Rule ID 2457 //
     /*    1927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1959 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1963 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1977 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1988 */     GIR_RootConstrainSelectedInstOperands,
     /*    1989 */     // GIR_Coverage, 2457,
     /*    1989 */     GIR_EraseRootFromParent_Done,
     /*    1990 */   // Label 163: @1990
     /*    1990 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2058), // Rule ID 2467 //
     /*    1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2027 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2045 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2056 */     GIR_RootConstrainSelectedInstOperands,
     /*    2057 */     // GIR_Coverage, 2467,
     /*    2057 */     GIR_EraseRootFromParent_Done,
     /*    2058 */   // Label 164: @2058
     /*    2058 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2126), // Rule ID 65102 //
     /*    2063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2070 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 65102,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 165: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2194), // Rule ID 65110 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2171 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2181 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2192 */     GIR_RootConstrainSelectedInstOperands,
     /*    2193 */     // GIR_Coverage, 65110,
     /*    2193 */     GIR_EraseRootFromParent_Done,
     /*    2194 */   // Label 166: @2194
     /*    2194 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2262), // Rule ID 65118 //
     /*    2199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2206 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2239 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2249 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2260 */     GIR_RootConstrainSelectedInstOperands,
     /*    2261 */     // GIR_Coverage, 65118,
     /*    2261 */     GIR_EraseRootFromParent_Done,
     /*    2262 */   // Label 167: @2262
     /*    2262 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2341), // Rule ID 62433 //
     /*    2267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2307 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2311 */     // MIs[2] Operand 1
     /*    2311 */     // No operand predicates
     /*    2311 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2325 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2339 */     GIR_RootConstrainSelectedInstOperands,
     /*    2340 */     // GIR_Coverage, 62433,
     /*    2340 */     GIR_EraseRootFromParent_Done,
     /*    2341 */   // Label 168: @2341
     /*    2341 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2420), // Rule ID 73926 //
     /*    2346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2353 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2394 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2398 */     // MIs[2] Operand 1
     /*    2398 */     // No operand predicates
     /*    2398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2404 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2418 */     GIR_RootConstrainSelectedInstOperands,
     /*    2419 */     // GIR_Coverage, 73926,
     /*    2419 */     GIR_EraseRootFromParent_Done,
     /*    2420 */   // Label 169: @2420
     /*    2420 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2469), // Rule ID 115 //
     /*    2425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2440 */     // MIs[1] Operand 1
     /*    2440 */     // No operand predicates
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2448 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2452 */     // MIs[2] Operand 1
     /*    2452 */     // No operand predicates
     /*    2452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2454 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2467 */     GIR_RootConstrainSelectedInstOperands,
     /*    2468 */     // GIR_Coverage, 115,
     /*    2468 */     GIR_EraseRootFromParent_Done,
     /*    2469 */   // Label 170: @2469
     /*    2469 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2511), // Rule ID 75 //
     /*    2474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2497 */     // MIs[1] Operand 1
     /*    2497 */     // No operand predicates
     /*    2497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2499 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2509 */     GIR_RootConstrainSelectedInstOperands,
     /*    2510 */     // GIR_Coverage, 75,
     /*    2510 */     GIR_EraseRootFromParent_Done,
     /*    2511 */   // Label 171: @2511
     /*    2511 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2583), // Rule ID 286 //
     /*    2516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2539 */     // MIs[1] Operand 1
     /*    2539 */     // No operand predicates
     /*    2539 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /*    2543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2545 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10054>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2561 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2581 */     GIR_RootConstrainSelectedInstOperands,
     /*    2582 */     // GIR_Coverage, 286,
     /*    2582 */     GIR_EraseRootFromParent_Done,
     /*    2583 */   // Label 172: @2583
     /*    2583 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2625), // Rule ID 64432 //
     /*    2588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    2611 */     // MIs[1] Operand 1
     /*    2611 */     // No operand predicates
     /*    2611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2613 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    2613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    2616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2623 */     GIR_RootConstrainSelectedInstOperands,
     /*    2624 */     // GIR_Coverage, 64432,
     /*    2624 */     GIR_EraseRootFromParent_Done,
     /*    2625 */   // Label 173: @2625
     /*    2625 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2667), // Rule ID 64436 //
     /*    2630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    2653 */     // MIs[1] Operand 1
     /*    2653 */     // No operand predicates
     /*    2653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2655 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    2655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    2658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2665 */     GIR_RootConstrainSelectedInstOperands,
     /*    2666 */     // GIR_Coverage, 64436,
     /*    2666 */     GIR_EraseRootFromParent_Done,
     /*    2667 */   // Label 174: @2667
     /*    2667 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2728), // Rule ID 73940 //
     /*    2672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2711 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2726 */     GIR_RootConstrainSelectedInstOperands,
     /*    2727 */     // GIR_Coverage, 73940,
     /*    2727 */     GIR_EraseRootFromParent_Done,
     /*    2728 */   // Label 175: @2728
     /*    2728 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2789), // Rule ID 62501 //
     /*    2733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2772 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2787 */     GIR_RootConstrainSelectedInstOperands,
     /*    2788 */     // GIR_Coverage, 62501,
     /*    2788 */     GIR_EraseRootFromParent_Done,
     /*    2789 */   // Label 176: @2789
     /*    2789 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2816), // Rule ID 73 //
     /*    2794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2809 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2814 */     GIR_RootConstrainSelectedInstOperands,
     /*    2815 */     // GIR_Coverage, 73,
     /*    2815 */     GIR_Done,
     /*    2816 */   // Label 177: @2816
     /*    2816 */   GIM_Reject,
     /*    2817 */ // Label 149: @2817
     /*    2817 */ GIM_Reject,
     /*    2818 */ // Label 125: @2818
     /*    2818 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(7303),
     /*    2823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2829 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2924), // Rule ID 2497 //
     /*    2834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2841 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2882 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2886 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2911 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2922 */     GIR_RootConstrainSelectedInstOperands,
     /*    2923 */     // GIR_Coverage, 2497,
     /*    2923 */     GIR_EraseRootFromParent_Done,
     /*    2924 */   // Label 179: @2924
     /*    2924 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3019), // Rule ID 2499 //
     /*    2929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2936 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2977 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2981 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    2992 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    2996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3000 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3006 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3017 */     GIR_RootConstrainSelectedInstOperands,
     /*    3018 */     // GIR_Coverage, 2499,
     /*    3018 */     GIR_EraseRootFromParent_Done,
     /*    3019 */   // Label 180: @3019
     /*    3019 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3114), // Rule ID 2501 //
     /*    3024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    3035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3072 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3076 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3087 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3101 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3112 */     GIR_RootConstrainSelectedInstOperands,
     /*    3113 */     // GIR_Coverage, 2501,
     /*    3113 */     GIR_EraseRootFromParent_Done,
     /*    3114 */   // Label 181: @3114
     /*    3114 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3209), // Rule ID 2488 //
     /*    3119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3126 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3167 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3178 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3182 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3196 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3207 */     GIR_RootConstrainSelectedInstOperands,
     /*    3208 */     // GIR_Coverage, 2488,
     /*    3208 */     GIR_EraseRootFromParent_Done,
     /*    3209 */   // Label 182: @3209
     /*    3209 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3304), // Rule ID 2491 //
     /*    3214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3262 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3273 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3277 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3291 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3302 */     GIR_RootConstrainSelectedInstOperands,
     /*    3303 */     // GIR_Coverage, 2491,
     /*    3303 */     GIR_EraseRootFromParent_Done,
     /*    3304 */   // Label 183: @3304
     /*    3304 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3399), // Rule ID 2494 //
     /*    3309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3316 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3348 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3357 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3386 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3397 */     GIR_RootConstrainSelectedInstOperands,
     /*    3398 */     // GIR_Coverage, 2494,
     /*    3398 */     GIR_EraseRootFromParent_Done,
     /*    3399 */   // Label 184: @3399
     /*    3399 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3494), // Rule ID 65132 //
     /*    3404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3411 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3419 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3460 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3464 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3481 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3492 */     GIR_RootConstrainSelectedInstOperands,
     /*    3493 */     // GIR_Coverage, 65132,
     /*    3493 */     GIR_EraseRootFromParent_Done,
     /*    3494 */   // Label 185: @3494
     /*    3494 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3589), // Rule ID 65134 //
     /*    3499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3506 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3555 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3559 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3570 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3576 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3587 */     GIR_RootConstrainSelectedInstOperands,
     /*    3588 */     // GIR_Coverage, 65134,
     /*    3588 */     GIR_EraseRootFromParent_Done,
     /*    3589 */   // Label 186: @3589
     /*    3589 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3684), // Rule ID 65136 //
     /*    3594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3650 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3654 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3671 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3682 */     GIR_RootConstrainSelectedInstOperands,
     /*    3683 */     // GIR_Coverage, 65136,
     /*    3683 */     GIR_EraseRootFromParent_Done,
     /*    3684 */   // Label 187: @3684
     /*    3684 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3779), // Rule ID 65126 //
     /*    3689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3696 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3736 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3745 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3756 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3766 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3777 */     GIR_RootConstrainSelectedInstOperands,
     /*    3778 */     // GIR_Coverage, 65126,
     /*    3778 */     GIR_EraseRootFromParent_Done,
     /*    3779 */   // Label 188: @3779
     /*    3779 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3874), // Rule ID 65128 //
     /*    3784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3791 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3840 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3851 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3861 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3872 */     GIR_RootConstrainSelectedInstOperands,
     /*    3873 */     // GIR_Coverage, 65128,
     /*    3873 */     GIR_EraseRootFromParent_Done,
     /*    3874 */   // Label 189: @3874
     /*    3874 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3969), // Rule ID 65130 //
     /*    3879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3886 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3935 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3956 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3967 */     GIR_RootConstrainSelectedInstOperands,
     /*    3968 */     // GIR_Coverage, 65130,
     /*    3968 */     GIR_EraseRootFromParent_Done,
     /*    3969 */   // Label 190: @3969
     /*    3969 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4017), // Rule ID 2452 //
     /*    3974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3981 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4004 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4009 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4015 */     GIR_RootConstrainSelectedInstOperands,
     /*    4016 */     // GIR_Coverage, 2452,
     /*    4016 */     GIR_EraseRootFromParent_Done,
     /*    4017 */   // Label 191: @4017
     /*    4017 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4065), // Rule ID 2462 //
     /*    4022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4029 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    4033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    4037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4052 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4063 */     GIR_RootConstrainSelectedInstOperands,
     /*    4064 */     // GIR_Coverage, 2462,
     /*    4064 */     GIR_EraseRootFromParent_Done,
     /*    4065 */   // Label 192: @4065
     /*    4065 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4113), // Rule ID 2472 //
     /*    4070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4077 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    4081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4089 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4100 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4111 */     GIR_RootConstrainSelectedInstOperands,
     /*    4112 */     // GIR_Coverage, 2472,
     /*    4112 */     GIR_EraseRootFromParent_Done,
     /*    4113 */   // Label 193: @4113
     /*    4113 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4161), // Rule ID 2503 //
     /*    4118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4125 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4129 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4148 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4159 */     GIR_RootConstrainSelectedInstOperands,
     /*    4160 */     // GIR_Coverage, 2503,
     /*    4160 */     GIR_EraseRootFromParent_Done,
     /*    4161 */   // Label 194: @4161
     /*    4161 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4209), // Rule ID 2505 //
     /*    4166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4173 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4177 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4196 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4207 */     GIR_RootConstrainSelectedInstOperands,
     /*    4208 */     // GIR_Coverage, 2505,
     /*    4208 */     GIR_EraseRootFromParent_Done,
     /*    4209 */   // Label 195: @4209
     /*    4209 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4257), // Rule ID 2507 //
     /*    4214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4225 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4244 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4255 */     GIR_RootConstrainSelectedInstOperands,
     /*    4256 */     // GIR_Coverage, 2507,
     /*    4256 */     GIR_EraseRootFromParent_Done,
     /*    4257 */   // Label 196: @4257
     /*    4257 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4308), // Rule ID 62438 //
     /*    4262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4269 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4292 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4299 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4306 */     GIR_RootConstrainSelectedInstOperands,
     /*    4307 */     // GIR_Coverage, 62438,
     /*    4307 */     GIR_EraseRootFromParent_Done,
     /*    4308 */   // Label 197: @4308
     /*    4308 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4359), // Rule ID 62442 //
     /*    4313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4343 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4350 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4357 */     GIR_RootConstrainSelectedInstOperands,
     /*    4358 */     // GIR_Coverage, 62442,
     /*    4358 */     GIR_EraseRootFromParent_Done,
     /*    4359 */   // Label 198: @4359
     /*    4359 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4410), // Rule ID 62446 //
     /*    4364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4371 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4375 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4394 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4401 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4408 */     GIR_RootConstrainSelectedInstOperands,
     /*    4409 */     // GIR_Coverage, 62446,
     /*    4409 */     GIR_EraseRootFromParent_Done,
     /*    4410 */   // Label 199: @4410
     /*    4410 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4458), // Rule ID 65105 //
     /*    4415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4445 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4456 */     GIR_RootConstrainSelectedInstOperands,
     /*    4457 */     // GIR_Coverage, 65105,
     /*    4457 */     GIR_EraseRootFromParent_Done,
     /*    4458 */   // Label 200: @4458
     /*    4458 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4506), // Rule ID 65113 //
     /*    4463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4470 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4493 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4498 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4504 */     GIR_RootConstrainSelectedInstOperands,
     /*    4505 */     // GIR_Coverage, 65113,
     /*    4505 */     GIR_EraseRootFromParent_Done,
     /*    4506 */   // Label 201: @4506
     /*    4506 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4554), // Rule ID 65121 //
     /*    4511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4526 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4541 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4546 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4552 */     GIR_RootConstrainSelectedInstOperands,
     /*    4553 */     // GIR_Coverage, 65121,
     /*    4553 */     GIR_EraseRootFromParent_Done,
     /*    4554 */   // Label 202: @4554
     /*    4554 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4602), // Rule ID 65138 //
     /*    4559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4566 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4574 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4589 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4594 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4600 */     GIR_RootConstrainSelectedInstOperands,
     /*    4601 */     // GIR_Coverage, 65138,
     /*    4601 */     GIR_EraseRootFromParent_Done,
     /*    4602 */   // Label 203: @4602
     /*    4602 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4650), // Rule ID 65140 //
     /*    4607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4637 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4642 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4648 */     GIR_RootConstrainSelectedInstOperands,
     /*    4649 */     // GIR_Coverage, 65140,
     /*    4649 */     GIR_EraseRootFromParent_Done,
     /*    4650 */   // Label 204: @4650
     /*    4650 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4698), // Rule ID 65142 //
     /*    4655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4662 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4670 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4674 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4685 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4690 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4696 */     GIR_RootConstrainSelectedInstOperands,
     /*    4697 */     // GIR_Coverage, 65142,
     /*    4697 */     GIR_EraseRootFromParent_Done,
     /*    4698 */   // Label 205: @4698
     /*    4698 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4749), // Rule ID 73929 //
     /*    4703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4710 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4718 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4722 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4733 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4740 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4747 */     GIR_RootConstrainSelectedInstOperands,
     /*    4748 */     // GIR_Coverage, 73929,
     /*    4748 */     GIR_EraseRootFromParent_Done,
     /*    4749 */   // Label 206: @4749
     /*    4749 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4800), // Rule ID 73933 //
     /*    4754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4761 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4769 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4784 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4791 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4798 */     GIR_RootConstrainSelectedInstOperands,
     /*    4799 */     // GIR_Coverage, 73933,
     /*    4799 */     GIR_EraseRootFromParent_Done,
     /*    4800 */   // Label 207: @4800
     /*    4800 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(4851), // Rule ID 73937 //
     /*    4805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4812 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4820 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4824 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4835 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4842 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4849 */     GIR_RootConstrainSelectedInstOperands,
     /*    4850 */     // GIR_Coverage, 73937,
     /*    4850 */     GIR_EraseRootFromParent_Done,
     /*    4851 */   // Label 208: @4851
     /*    4851 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(4926), // Rule ID 2485 //
     /*    4856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4863 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4888 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4899 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4913 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4924 */     GIR_RootConstrainSelectedInstOperands,
     /*    4925 */     // GIR_Coverage, 2485,
     /*    4925 */     GIR_EraseRootFromParent_Done,
     /*    4926 */   // Label 209: @4926
     /*    4926 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5021), // Rule ID 2509 //
     /*    4931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4938 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4963 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4974 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4988 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    4995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5004 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5019 */     GIR_RootConstrainSelectedInstOperands,
     /*    5020 */     // GIR_Coverage, 2509,
     /*    5020 */     GIR_EraseRootFromParent_Done,
     /*    5021 */   // Label 210: @5021
     /*    5021 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5116), // Rule ID 2511 //
     /*    5026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    5037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5058 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5069 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    5073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5077 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5083 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5099 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5114 */     GIR_RootConstrainSelectedInstOperands,
     /*    5115 */     // GIR_Coverage, 2511,
     /*    5115 */     GIR_EraseRootFromParent_Done,
     /*    5116 */   // Label 211: @5116
     /*    5116 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5211), // Rule ID 2513 //
     /*    5121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5128 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5153 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5164 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5178 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5194 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5209 */     GIR_RootConstrainSelectedInstOperands,
     /*    5210 */     // GIR_Coverage, 2513,
     /*    5210 */     GIR_EraseRootFromParent_Done,
     /*    5211 */   // Label 212: @5211
     /*    5211 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5306), // Rule ID 2515 //
     /*    5216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5223 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5248 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5259 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5273 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5289 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5304 */     GIR_RootConstrainSelectedInstOperands,
     /*    5305 */     // GIR_Coverage, 2515,
     /*    5305 */     GIR_EraseRootFromParent_Done,
     /*    5306 */   // Label 213: @5306
     /*    5306 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5401), // Rule ID 2517 //
     /*    5311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5318 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5343 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5354 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5368 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5384 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5399 */     GIR_RootConstrainSelectedInstOperands,
     /*    5400 */     // GIR_Coverage, 2517,
     /*    5400 */     GIR_EraseRootFromParent_Done,
     /*    5401 */   // Label 214: @5401
     /*    5401 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5496), // Rule ID 2519 //
     /*    5406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5413 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5438 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5449 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5463 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5479 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5494 */     GIR_RootConstrainSelectedInstOperands,
     /*    5495 */     // GIR_Coverage, 2519,
     /*    5495 */     GIR_EraseRootFromParent_Done,
     /*    5496 */   // Label 215: @5496
     /*    5496 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5564), // Rule ID 2446 //
     /*    5501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5508 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5533 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5537 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5551 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5562 */     GIR_RootConstrainSelectedInstOperands,
     /*    5563 */     // GIR_Coverage, 2446,
     /*    5563 */     GIR_EraseRootFromParent_Done,
     /*    5564 */   // Label 216: @5564
     /*    5564 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5632), // Rule ID 2456 //
     /*    5569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5576 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5601 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5605 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5619 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5630 */     GIR_RootConstrainSelectedInstOperands,
     /*    5631 */     // GIR_Coverage, 2456,
     /*    5631 */     GIR_EraseRootFromParent_Done,
     /*    5632 */   // Label 217: @5632
     /*    5632 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5700), // Rule ID 2466 //
     /*    5637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5644 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5669 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5681 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5687 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5698 */     GIR_RootConstrainSelectedInstOperands,
     /*    5699 */     // GIR_Coverage, 2466,
     /*    5699 */     GIR_EraseRootFromParent_Done,
     /*    5700 */   // Label 218: @5700
     /*    5700 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5775), // Rule ID 65124 //
     /*    5705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5712 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5720 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5745 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5762 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5773 */     GIR_RootConstrainSelectedInstOperands,
     /*    5774 */     // GIR_Coverage, 65124,
     /*    5774 */     GIR_EraseRootFromParent_Done,
     /*    5775 */   // Label 219: @5775
     /*    5775 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5870), // Rule ID 65144 //
     /*    5780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5787 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5795 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5820 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5831 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5837 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5853 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5868 */     GIR_RootConstrainSelectedInstOperands,
     /*    5869 */     // GIR_Coverage, 65144,
     /*    5869 */     GIR_EraseRootFromParent_Done,
     /*    5870 */   // Label 220: @5870
     /*    5870 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5965), // Rule ID 65146 //
     /*    5875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5882 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5915 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5932 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5948 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5963 */     GIR_RootConstrainSelectedInstOperands,
     /*    5964 */     // GIR_Coverage, 65146,
     /*    5964 */     GIR_EraseRootFromParent_Done,
     /*    5965 */   // Label 221: @5965
     /*    5965 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6060), // Rule ID 65148 //
     /*    5970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5977 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6010 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    6021 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6027 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    6034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6058 */     GIR_RootConstrainSelectedInstOperands,
     /*    6059 */     // GIR_Coverage, 65148,
     /*    6059 */     GIR_EraseRootFromParent_Done,
     /*    6060 */   // Label 222: @6060
     /*    6060 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6155), // Rule ID 65150 //
     /*    6065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6072 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    6076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6105 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6122 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6138 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6153 */     GIR_RootConstrainSelectedInstOperands,
     /*    6154 */     // GIR_Coverage, 65150,
     /*    6154 */     GIR_EraseRootFromParent_Done,
     /*    6155 */   // Label 223: @6155
     /*    6155 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6250), // Rule ID 65152 //
     /*    6160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6167 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6200 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6217 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6233 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6248 */     GIR_RootConstrainSelectedInstOperands,
     /*    6249 */     // GIR_Coverage, 65152,
     /*    6249 */     GIR_EraseRootFromParent_Done,
     /*    6250 */   // Label 224: @6250
     /*    6250 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6345), // Rule ID 65154 //
     /*    6255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6262 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6295 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6312 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6328 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6343 */     GIR_RootConstrainSelectedInstOperands,
     /*    6344 */     // GIR_Coverage, 65154,
     /*    6344 */     GIR_EraseRootFromParent_Done,
     /*    6345 */   // Label 225: @6345
     /*    6345 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6413), // Rule ID 65101 //
     /*    6350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6357 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6394 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6400 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6411 */     GIR_RootConstrainSelectedInstOperands,
     /*    6412 */     // GIR_Coverage, 65101,
     /*    6412 */     GIR_EraseRootFromParent_Done,
     /*    6413 */   // Label 226: @6413
     /*    6413 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6481), // Rule ID 65109 //
     /*    6418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6425 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6433 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6458 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6468 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6479 */     GIR_RootConstrainSelectedInstOperands,
     /*    6480 */     // GIR_Coverage, 65109,
     /*    6480 */     GIR_EraseRootFromParent_Done,
     /*    6481 */   // Label 227: @6481
     /*    6481 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6549), // Rule ID 65117 //
     /*    6486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6493 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6526 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6536 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6547 */     GIR_RootConstrainSelectedInstOperands,
     /*    6548 */     // GIR_Coverage, 65117,
     /*    6548 */     GIR_EraseRootFromParent_Done,
     /*    6549 */   // Label 228: @6549
     /*    6549 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6628), // Rule ID 62432 //
     /*    6554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6561 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6594 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6598 */     // MIs[2] Operand 1
     /*    6598 */     // No operand predicates
     /*    6598 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6606 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6612 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6626 */     GIR_RootConstrainSelectedInstOperands,
     /*    6627 */     // GIR_Coverage, 62432,
     /*    6627 */     GIR_EraseRootFromParent_Done,
     /*    6628 */   // Label 229: @6628
     /*    6628 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6707), // Rule ID 73925 //
     /*    6633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6640 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6681 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6685 */     // MIs[2] Operand 1
     /*    6685 */     // No operand predicates
     /*    6685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6691 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6705 */     GIR_RootConstrainSelectedInstOperands,
     /*    6706 */     // GIR_Coverage, 73925,
     /*    6706 */     GIR_EraseRootFromParent_Done,
     /*    6707 */   // Label 230: @6707
     /*    6707 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6756), // Rule ID 114 //
     /*    6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6727 */     // MIs[1] Operand 1
     /*    6727 */     // No operand predicates
     /*    6727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6735 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6739 */     // MIs[2] Operand 1
     /*    6739 */     // No operand predicates
     /*    6739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6741 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6746 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6754 */     GIR_RootConstrainSelectedInstOperands,
     /*    6755 */     // GIR_Coverage, 114,
     /*    6755 */     GIR_EraseRootFromParent_Done,
     /*    6756 */   // Label 231: @6756
     /*    6756 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6802), // Rule ID 265 //
     /*    6761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6784 */     // MIs[1] Operand 1
     /*    6784 */     // No operand predicates
     /*    6784 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10026),
     /*    6788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6790 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10026>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6800 */     GIR_RootConstrainSelectedInstOperands,
     /*    6801 */     // GIR_Coverage, 265,
     /*    6801 */     GIR_EraseRootFromParent_Done,
     /*    6802 */   // Label 232: @6802
     /*    6802 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6878), // Rule ID 287 //
     /*    6807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6830 */     // MIs[1] Operand 1
     /*    6830 */     // No operand predicates
     /*    6830 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /*    6834 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10026),
     /*    6838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6840 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10054>>:$rs2)<<P:Predicate_anonymous_10026>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6856 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6871 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6876 */     GIR_RootConstrainSelectedInstOperands,
     /*    6877 */     // GIR_Coverage, 287,
     /*    6877 */     GIR_EraseRootFromParent_Done,
     /*    6878 */   // Label 233: @6878
     /*    6878 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6943), // Rule ID 73941 //
     /*    6883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10026),
     /*    6924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6926 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10026>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6941 */     GIR_RootConstrainSelectedInstOperands,
     /*    6942 */     // GIR_Coverage, 73941,
     /*    6942 */     GIR_EraseRootFromParent_Done,
     /*    6943 */   // Label 234: @6943
     /*    6943 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7008), // Rule ID 62504 //
     /*    6948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10026),
     /*    6989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6991 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10026>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    6998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7006 */     GIR_RootConstrainSelectedInstOperands,
     /*    7007 */     // GIR_Coverage, 62504,
     /*    7007 */     GIR_EraseRootFromParent_Done,
     /*    7008 */   // Label 235: @7008
     /*    7008 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7050), // Rule ID 74 //
     /*    7013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    7036 */     // MIs[1] Operand 1
     /*    7036 */     // No operand predicates
     /*    7036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7038 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    7038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    7048 */     GIR_RootConstrainSelectedInstOperands,
     /*    7049 */     // GIR_Coverage, 74,
     /*    7049 */     GIR_EraseRootFromParent_Done,
     /*    7050 */   // Label 236: @7050
     /*    7050 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7122), // Rule ID 285 //
     /*    7055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    7078 */     // MIs[1] Operand 1
     /*    7078 */     // No operand predicates
     /*    7078 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /*    7082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7084 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10054>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7100 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7115 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7120 */     GIR_RootConstrainSelectedInstOperands,
     /*    7121 */     // GIR_Coverage, 285,
     /*    7121 */     GIR_EraseRootFromParent_Done,
     /*    7122 */   // Label 237: @7122
     /*    7122 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7183), // Rule ID 73939 //
     /*    7127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7166 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7181 */     GIR_RootConstrainSelectedInstOperands,
     /*    7182 */     // GIR_Coverage, 73939,
     /*    7182 */     GIR_EraseRootFromParent_Done,
     /*    7183 */   // Label 238: @7183
     /*    7183 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7244), // Rule ID 62500 //
     /*    7188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7227 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7242 */     GIR_RootConstrainSelectedInstOperands,
     /*    7243 */     // GIR_Coverage, 62500,
     /*    7243 */     GIR_EraseRootFromParent_Done,
     /*    7244 */   // Label 239: @7244
     /*    7244 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7275), // Rule ID 264 //
     /*    7249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7264 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10026),
     /*    7268 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10026>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7273 */     GIR_RootConstrainSelectedInstOperands,
     /*    7274 */     // GIR_Coverage, 264,
     /*    7274 */     GIR_Done,
     /*    7275 */   // Label 240: @7275
     /*    7275 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7302), // Rule ID 72 //
     /*    7280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7295 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7300 */     GIR_RootConstrainSelectedInstOperands,
     /*    7301 */     // GIR_Coverage, 72,
     /*    7301 */     GIR_Done,
     /*    7302 */   // Label 241: @7302
     /*    7302 */   GIM_Reject,
     /*    7303 */ // Label 178: @7303
     /*    7303 */ GIM_Reject,
     /*    7304 */ // Label 126: @7304
     /*    7304 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7698),
     /*    7309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7319 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7387), // Rule ID 68893 //
     /*    7324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7361 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7385 */     GIR_RootConstrainSelectedInstOperands,
     /*    7386 */     // GIR_Coverage, 68893,
     /*    7386 */     GIR_EraseRootFromParent_Done,
     /*    7387 */   // Label 243: @7387
     /*    7387 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7455), // Rule ID 68894 //
     /*    7392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7429 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7453 */     GIR_RootConstrainSelectedInstOperands,
     /*    7454 */     // GIR_Coverage, 68894,
     /*    7454 */     GIR_EraseRootFromParent_Done,
     /*    7455 */   // Label 244: @7455
     /*    7455 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7523), // Rule ID 45789 //
     /*    7460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7497 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7521 */     GIR_RootConstrainSelectedInstOperands,
     /*    7522 */     // GIR_Coverage, 45789,
     /*    7522 */     GIR_EraseRootFromParent_Done,
     /*    7523 */   // Label 245: @7523
     /*    7523 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7591), // Rule ID 45790 //
     /*    7528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7565 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7589 */     GIR_RootConstrainSelectedInstOperands,
     /*    7590 */     // GIR_Coverage, 45790,
     /*    7590 */     GIR_EraseRootFromParent_Done,
     /*    7591 */   // Label 246: @7591
     /*    7591 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7644), // Rule ID 45617 //
     /*    7596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7607 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7642 */     GIR_RootConstrainSelectedInstOperands,
     /*    7643 */     // GIR_Coverage, 45617,
     /*    7643 */     GIR_EraseRootFromParent_Done,
     /*    7644 */   // Label 247: @7644
     /*    7644 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7697), // Rule ID 45618 //
     /*    7649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7660 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7695 */     GIR_RootConstrainSelectedInstOperands,
     /*    7696 */     // GIR_Coverage, 45618,
     /*    7696 */     GIR_EraseRootFromParent_Done,
     /*    7697 */   // Label 248: @7697
     /*    7697 */   GIM_Reject,
     /*    7698 */ // Label 242: @7698
     /*    7698 */ GIM_Reject,
     /*    7699 */ // Label 127: @7699
     /*    7699 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(10823),
     /*    7704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7714 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7810), // Rule ID 68807 //
     /*    7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7767 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7771 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7773 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7784 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7808 */     GIR_RootConstrainSelectedInstOperands,
     /*    7809 */     // GIR_Coverage, 68807,
     /*    7809 */     GIR_EraseRootFromParent_Done,
     /*    7810 */   // Label 250: @7810
     /*    7810 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7906), // Rule ID 68808 //
     /*    7815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7848 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7863 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7867 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7869 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7878 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7880 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7904 */     GIR_RootConstrainSelectedInstOperands,
     /*    7905 */     // GIR_Coverage, 68808,
     /*    7905 */     GIR_EraseRootFromParent_Done,
     /*    7906 */   // Label 251: @7906
     /*    7906 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(8002), // Rule ID 70629 //
     /*    7911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    7959 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7963 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7965 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7976 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    7979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8000 */     GIR_RootConstrainSelectedInstOperands,
     /*    8001 */     // GIR_Coverage, 70629,
     /*    8001 */     GIR_EraseRootFromParent_Done,
     /*    8002 */   // Label 252: @8002
     /*    8002 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(8098), // Rule ID 70630 //
     /*    8007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8055 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8059 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8061 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8070 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8072 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8096 */     GIR_RootConstrainSelectedInstOperands,
     /*    8097 */     // GIR_Coverage, 70630,
     /*    8097 */     GIR_EraseRootFromParent_Done,
     /*    8098 */   // Label 253: @8098
     /*    8098 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(8194), // Rule ID 70631 //
     /*    8103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8122 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8151 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8155 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8157 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8166 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8168 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8192 */     GIR_RootConstrainSelectedInstOperands,
     /*    8193 */     // GIR_Coverage, 70631,
     /*    8193 */     GIR_EraseRootFromParent_Done,
     /*    8194 */   // Label 254: @8194
     /*    8194 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8290), // Rule ID 70632 //
     /*    8199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8232 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8247 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8251 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8253 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8264 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8288 */     GIR_RootConstrainSelectedInstOperands,
     /*    8289 */     // GIR_Coverage, 70632,
     /*    8289 */     GIR_EraseRootFromParent_Done,
     /*    8290 */   // Label 255: @8290
     /*    8290 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8386), // Rule ID 70507 //
     /*    8295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8335 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8339 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8343 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8347 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8349 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8358 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8360 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8384 */     GIR_RootConstrainSelectedInstOperands,
     /*    8385 */     // GIR_Coverage, 70507,
     /*    8385 */     GIR_EraseRootFromParent_Done,
     /*    8386 */   // Label 256: @8386
     /*    8386 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8482), // Rule ID 70508 //
     /*    8391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8406 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8439 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8443 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8445 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8456 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8480 */     GIR_RootConstrainSelectedInstOperands,
     /*    8481 */     // GIR_Coverage, 70508,
     /*    8481 */     GIR_EraseRootFromParent_Done,
     /*    8482 */   // Label 257: @8482
     /*    8482 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8578), // Rule ID 45701 //
     /*    8487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8531 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8535 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8539 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8543 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8545 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8550 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8552 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8576 */     GIR_RootConstrainSelectedInstOperands,
     /*    8577 */     // GIR_Coverage, 45701,
     /*    8577 */     GIR_EraseRootFromParent_Done,
     /*    8578 */   // Label 258: @8578
     /*    8578 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8674), // Rule ID 45702 //
     /*    8583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8635 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8639 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8641 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8646 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8648 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8672 */     GIR_RootConstrainSelectedInstOperands,
     /*    8673 */     // GIR_Coverage, 45702,
     /*    8673 */     GIR_EraseRootFromParent_Done,
     /*    8674 */   // Label 259: @8674
     /*    8674 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8770), // Rule ID 52017 //
     /*    8679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8716 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8723 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8727 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8731 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8735 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8737 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8744 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8768 */     GIR_RootConstrainSelectedInstOperands,
     /*    8769 */     // GIR_Coverage, 52017,
     /*    8769 */     GIR_EraseRootFromParent_Done,
     /*    8770 */   // Label 260: @8770
     /*    8770 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8866), // Rule ID 52018 //
     /*    8775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8812 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8819 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8823 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8827 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8831 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8833 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8838 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8840 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8864 */     GIR_RootConstrainSelectedInstOperands,
     /*    8865 */     // GIR_Coverage, 52018,
     /*    8865 */     GIR_EraseRootFromParent_Done,
     /*    8866 */   // Label 261: @8866
     /*    8866 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8962), // Rule ID 70627 //
     /*    8871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8908 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8923 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8927 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8929 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8934 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8936 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8960 */     GIR_RootConstrainSelectedInstOperands,
     /*    8961 */     // GIR_Coverage, 70627,
     /*    8961 */     GIR_EraseRootFromParent_Done,
     /*    8962 */   // Label 262: @8962
     /*    8962 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(9058), // Rule ID 70628 //
     /*    8967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8990 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9019 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9023 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9025 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9030 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9032 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    9035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    9043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    9047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9056 */     GIR_RootConstrainSelectedInstOperands,
     /*    9057 */     // GIR_Coverage, 70628,
     /*    9057 */     GIR_EraseRootFromParent_Done,
     /*    9058 */   // Label 263: @9058
     /*    9058 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(9154), // Rule ID 51957 //
     /*    9063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9100 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9115 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9119 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9121 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9128 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9152 */     GIR_RootConstrainSelectedInstOperands,
     /*    9153 */     // GIR_Coverage, 51957,
     /*    9153 */     GIR_EraseRootFromParent_Done,
     /*    9154 */   // Label 264: @9154
     /*    9154 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(9250), // Rule ID 51958 //
     /*    9159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9182 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9211 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9215 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9217 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9222 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9224 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9248 */     GIR_RootConstrainSelectedInstOperands,
     /*    9249 */     // GIR_Coverage, 51958,
     /*    9249 */     GIR_EraseRootFromParent_Done,
     /*    9250 */   // Label 265: @9250
     /*    9250 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(9339), // Rule ID 46543 //
     /*    9255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9289 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9298 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9337 */     GIR_RootConstrainSelectedInstOperands,
     /*    9338 */     // GIR_Coverage, 46543,
     /*    9338 */     GIR_EraseRootFromParent_Done,
     /*    9339 */   // Label 266: @9339
     /*    9339 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9428), // Rule ID 46544 //
     /*    9344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9387 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9426 */     GIR_RootConstrainSelectedInstOperands,
     /*    9427 */     // GIR_Coverage, 46544,
     /*    9427 */     GIR_EraseRootFromParent_Done,
     /*    9428 */   // Label 267: @9428
     /*    9428 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9517), // Rule ID 45693 //
     /*    9433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9448 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9476 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9515 */     GIR_RootConstrainSelectedInstOperands,
     /*    9516 */     // GIR_Coverage, 45693,
     /*    9516 */     GIR_EraseRootFromParent_Done,
     /*    9517 */   // Label 268: @9517
     /*    9517 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9606), // Rule ID 45694 //
     /*    9522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9556 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9565 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9604 */     GIR_RootConstrainSelectedInstOperands,
     /*    9605 */     // GIR_Coverage, 45694,
     /*    9605 */     GIR_EraseRootFromParent_Done,
     /*    9606 */   // Label 269: @9606
     /*    9606 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9695), // Rule ID 46423 //
     /*    9611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9654 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9693 */     GIR_RootConstrainSelectedInstOperands,
     /*    9694 */     // GIR_Coverage, 46423,
     /*    9694 */     GIR_EraseRootFromParent_Done,
     /*    9695 */   // Label 270: @9695
     /*    9695 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9784), // Rule ID 46424 //
     /*    9700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9743 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9782 */     GIR_RootConstrainSelectedInstOperands,
     /*    9783 */     // GIR_Coverage, 46424,
     /*    9783 */     GIR_EraseRootFromParent_Done,
     /*    9784 */   // Label 271: @9784
     /*    9784 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9852), // Rule ID 70199 //
     /*    9789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9826 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*    9826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9850 */     GIR_RootConstrainSelectedInstOperands,
     /*    9851 */     // GIR_Coverage, 70199,
     /*    9851 */     GIR_EraseRootFromParent_Done,
     /*    9852 */   // Label 272: @9852
     /*    9852 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9920), // Rule ID 70200 //
     /*    9857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9894 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*    9894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9918 */     GIR_RootConstrainSelectedInstOperands,
     /*    9919 */     // GIR_Coverage, 70200,
     /*    9919 */     GIR_EraseRootFromParent_Done,
     /*    9920 */   // Label 273: @9920
     /*    9920 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9975), // Rule ID 69191 //
     /*    9925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9953 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*    9956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9973 */     GIR_RootConstrainSelectedInstOperands,
     /*    9974 */     // GIR_Coverage, 69191,
     /*    9974 */     GIR_EraseRootFromParent_Done,
     /*    9975 */   // Label 274: @9975
     /*    9975 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(10030), // Rule ID 69192 //
     /*    9980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10008 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10028 */     GIR_RootConstrainSelectedInstOperands,
     /*   10029 */     // GIR_Coverage, 69192,
     /*   10029 */     GIR_EraseRootFromParent_Done,
     /*   10030 */   // Label 275: @10030
     /*   10030 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(10085), // Rule ID 68803 //
     /*   10035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10063 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10083 */     GIR_RootConstrainSelectedInstOperands,
     /*   10084 */     // GIR_Coverage, 68803,
     /*   10084 */     GIR_EraseRootFromParent_Done,
     /*   10085 */   // Label 276: @10085
     /*   10085 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(10140), // Rule ID 68804 //
     /*   10090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10118 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10138 */     GIR_RootConstrainSelectedInstOperands,
     /*   10139 */     // GIR_Coverage, 68804,
     /*   10139 */     GIR_EraseRootFromParent_Done,
     /*   10140 */   // Label 277: @10140
     /*   10140 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10195), // Rule ID 69101 //
     /*   10145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10173 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10193 */     GIR_RootConstrainSelectedInstOperands,
     /*   10194 */     // GIR_Coverage, 69101,
     /*   10194 */     GIR_EraseRootFromParent_Done,
     /*   10195 */   // Label 278: @10195
     /*   10195 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10250), // Rule ID 69102 //
     /*   10200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10228 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10248 */     GIR_RootConstrainSelectedInstOperands,
     /*   10249 */     // GIR_Coverage, 69102,
     /*   10249 */     GIR_EraseRootFromParent_Done,
     /*   10250 */   // Label 279: @10250
     /*   10250 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10318), // Rule ID 51737 //
     /*   10255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10292 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10316 */     GIR_RootConstrainSelectedInstOperands,
     /*   10317 */     // GIR_Coverage, 51737,
     /*   10317 */     GIR_EraseRootFromParent_Done,
     /*   10318 */   // Label 280: @10318
     /*   10318 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10386), // Rule ID 51738 //
     /*   10323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10360 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   10360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10384 */     GIR_RootConstrainSelectedInstOperands,
     /*   10385 */     // GIR_Coverage, 51738,
     /*   10385 */     GIR_EraseRootFromParent_Done,
     /*   10386 */   // Label 281: @10386
     /*   10386 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10441), // Rule ID 46603 //
     /*   10391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10419 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10439 */     GIR_RootConstrainSelectedInstOperands,
     /*   10440 */     // GIR_Coverage, 46603,
     /*   10440 */     GIR_EraseRootFromParent_Done,
     /*   10441 */   // Label 282: @10441
     /*   10441 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10496), // Rule ID 46604 //
     /*   10446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10474 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10494 */     GIR_RootConstrainSelectedInstOperands,
     /*   10495 */     // GIR_Coverage, 46604,
     /*   10495 */     GIR_EraseRootFromParent_Done,
     /*   10496 */   // Label 283: @10496
     /*   10496 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10551), // Rule ID 45697 //
     /*   10501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10529 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10549 */     GIR_RootConstrainSelectedInstOperands,
     /*   10550 */     // GIR_Coverage, 45697,
     /*   10550 */     GIR_EraseRootFromParent_Done,
     /*   10551 */   // Label 284: @10551
     /*   10551 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10606), // Rule ID 45698 //
     /*   10556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10584 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10604 */     GIR_RootConstrainSelectedInstOperands,
     /*   10605 */     // GIR_Coverage, 45698,
     /*   10605 */     GIR_EraseRootFromParent_Done,
     /*   10606 */   // Label 285: @10606
     /*   10606 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10661), // Rule ID 46483 //
     /*   10611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10639 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10659 */     GIR_RootConstrainSelectedInstOperands,
     /*   10660 */     // GIR_Coverage, 46483,
     /*   10660 */     GIR_EraseRootFromParent_Done,
     /*   10661 */   // Label 286: @10661
     /*   10661 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10716), // Rule ID 46484 //
     /*   10666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10694 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10714 */     GIR_RootConstrainSelectedInstOperands,
     /*   10715 */     // GIR_Coverage, 46484,
     /*   10715 */     GIR_EraseRootFromParent_Done,
     /*   10716 */   // Label 287: @10716
     /*   10716 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10769), // Rule ID 45973 //
     /*   10721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10732 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10767 */     GIR_RootConstrainSelectedInstOperands,
     /*   10768 */     // GIR_Coverage, 45973,
     /*   10768 */     GIR_EraseRootFromParent_Done,
     /*   10769 */   // Label 288: @10769
     /*   10769 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10822), // Rule ID 45974 //
     /*   10774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10785 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10820 */     GIR_RootConstrainSelectedInstOperands,
     /*   10821 */     // GIR_Coverage, 45974,
     /*   10821 */     GIR_EraseRootFromParent_Done,
     /*   10822 */   // Label 289: @10822
     /*   10822 */   GIM_Reject,
     /*   10823 */ // Label 249: @10823
     /*   10823 */ GIM_Reject,
     /*   10824 */ // Label 128: @10824
     /*   10824 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(13948),
     /*   10829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10839 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(10935), // Rule ID 70405 //
     /*   10844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10884 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10888 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10892 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10896 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10898 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10907 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   10909 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   10912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   10916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   10920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   10924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10933 */     GIR_RootConstrainSelectedInstOperands,
     /*   10934 */     // GIR_Coverage, 70405,
     /*   10934 */     GIR_EraseRootFromParent_Done,
     /*   10935 */   // Label 291: @10935
     /*   10935 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11031), // Rule ID 70406 //
     /*   10940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10980 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10984 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10988 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10992 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10994 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11003 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11005 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11029 */     GIR_RootConstrainSelectedInstOperands,
     /*   11030 */     // GIR_Coverage, 70406,
     /*   11030 */     GIR_EraseRootFromParent_Done,
     /*   11031 */   // Label 292: @11031
     /*   11031 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11127), // Rule ID 70665 //
     /*   11036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11069 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11076 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11080 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11084 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11088 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11090 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11099 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11101 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11125 */     GIR_RootConstrainSelectedInstOperands,
     /*   11126 */     // GIR_Coverage, 70665,
     /*   11126 */     GIR_EraseRootFromParent_Done,
     /*   11127 */   // Label 293: @11127
     /*   11127 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11223), // Rule ID 70666 //
     /*   11132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11180 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11184 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11186 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11195 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11197 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11221 */     GIR_RootConstrainSelectedInstOperands,
     /*   11222 */     // GIR_Coverage, 70666,
     /*   11222 */     GIR_EraseRootFromParent_Done,
     /*   11223 */   // Label 294: @11223
     /*   11223 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11319), // Rule ID 70667 //
     /*   11228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11247 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11276 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11280 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11282 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11293 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11317 */     GIR_RootConstrainSelectedInstOperands,
     /*   11318 */     // GIR_Coverage, 70667,
     /*   11318 */     GIR_EraseRootFromParent_Done,
     /*   11319 */   // Label 295: @11319
     /*   11319 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11415), // Rule ID 70668 //
     /*   11324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11372 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11376 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11378 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11387 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11389 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11413 */     GIR_RootConstrainSelectedInstOperands,
     /*   11414 */     // GIR_Coverage, 70668,
     /*   11414 */     GIR_EraseRootFromParent_Done,
     /*   11415 */   // Label 296: @11415
     /*   11415 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11511), // Rule ID 70519 //
     /*   11420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11472 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11474 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11483 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11485 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11509 */     GIR_RootConstrainSelectedInstOperands,
     /*   11510 */     // GIR_Coverage, 70519,
     /*   11510 */     GIR_EraseRootFromParent_Done,
     /*   11511 */   // Label 297: @11511
     /*   11511 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11607), // Rule ID 70520 //
     /*   11516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11568 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11570 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11579 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11581 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11605 */     GIR_RootConstrainSelectedInstOperands,
     /*   11606 */     // GIR_Coverage, 70520,
     /*   11606 */     GIR_EraseRootFromParent_Done,
     /*   11607 */   // Label 298: @11607
     /*   11607 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11703), // Rule ID 51911 //
     /*   11612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11656 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11660 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11664 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11668 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11670 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11675 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11677 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11701 */     GIR_RootConstrainSelectedInstOperands,
     /*   11702 */     // GIR_Coverage, 51911,
     /*   11702 */     GIR_EraseRootFromParent_Done,
     /*   11703 */   // Label 299: @11703
     /*   11703 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11799), // Rule ID 51912 //
     /*   11708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11760 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11764 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11766 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11773 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11797 */     GIR_RootConstrainSelectedInstOperands,
     /*   11798 */     // GIR_Coverage, 51912,
     /*   11798 */     GIR_EraseRootFromParent_Done,
     /*   11799 */   // Label 300: @11799
     /*   11799 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11895), // Rule ID 52029 //
     /*   11804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11852 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11856 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11860 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11862 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11869 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11893 */     GIR_RootConstrainSelectedInstOperands,
     /*   11894 */     // GIR_Coverage, 52029,
     /*   11894 */     GIR_EraseRootFromParent_Done,
     /*   11895 */   // Label 301: @11895
     /*   11895 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11991), // Rule ID 52030 //
     /*   11900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11937 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11944 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11948 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11952 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11956 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11958 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11963 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11965 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11989 */     GIR_RootConstrainSelectedInstOperands,
     /*   11990 */     // GIR_Coverage, 52030,
     /*   11990 */     GIR_EraseRootFromParent_Done,
     /*   11991 */   // Label 302: @11991
     /*   11991 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(12087), // Rule ID 70663 //
     /*   11996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12040 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12044 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12048 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12052 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12054 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12061 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12085 */     GIR_RootConstrainSelectedInstOperands,
     /*   12086 */     // GIR_Coverage, 70663,
     /*   12086 */     GIR_EraseRootFromParent_Done,
     /*   12087 */   // Label 303: @12087
     /*   12087 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(12183), // Rule ID 70664 //
     /*   12092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12136 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12140 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12144 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12148 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12150 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12157 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12181 */     GIR_RootConstrainSelectedInstOperands,
     /*   12182 */     // GIR_Coverage, 70664,
     /*   12182 */     GIR_EraseRootFromParent_Done,
     /*   12183 */   // Label 304: @12183
     /*   12183 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(12279), // Rule ID 51969 //
     /*   12188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12240 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12244 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12246 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12253 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12277 */     GIR_RootConstrainSelectedInstOperands,
     /*   12278 */     // GIR_Coverage, 51969,
     /*   12278 */     GIR_EraseRootFromParent_Done,
     /*   12279 */   // Label 305: @12279
     /*   12279 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(12375), // Rule ID 51970 //
     /*   12284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12321 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12336 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12340 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12342 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12349 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12373 */     GIR_RootConstrainSelectedInstOperands,
     /*   12374 */     // GIR_Coverage, 51970,
     /*   12374 */     GIR_EraseRootFromParent_Done,
     /*   12375 */   // Label 306: @12375
     /*   12375 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(12464), // Rule ID 46567 //
     /*   12380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12423 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12462 */     GIR_RootConstrainSelectedInstOperands,
     /*   12463 */     // GIR_Coverage, 46567,
     /*   12463 */     GIR_EraseRootFromParent_Done,
     /*   12464 */   // Label 307: @12464
     /*   12464 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(12553), // Rule ID 46568 //
     /*   12469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12512 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12551 */     GIR_RootConstrainSelectedInstOperands,
     /*   12552 */     // GIR_Coverage, 46568,
     /*   12552 */     GIR_EraseRootFromParent_Done,
     /*   12553 */   // Label 308: @12553
     /*   12553 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12642), // Rule ID 46331 //
     /*   12558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12601 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12640 */     GIR_RootConstrainSelectedInstOperands,
     /*   12641 */     // GIR_Coverage, 46331,
     /*   12641 */     GIR_EraseRootFromParent_Done,
     /*   12642 */   // Label 309: @12642
     /*   12642 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12731), // Rule ID 46332 //
     /*   12647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12690 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12729 */     GIR_RootConstrainSelectedInstOperands,
     /*   12730 */     // GIR_Coverage, 46332,
     /*   12730 */     GIR_EraseRootFromParent_Done,
     /*   12731 */   // Label 310: @12731
     /*   12731 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12820), // Rule ID 46447 //
     /*   12736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12779 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12818 */     GIR_RootConstrainSelectedInstOperands,
     /*   12819 */     // GIR_Coverage, 46447,
     /*   12819 */     GIR_EraseRootFromParent_Done,
     /*   12820 */   // Label 311: @12820
     /*   12820 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12909), // Rule ID 46448 //
     /*   12825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12868 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12907 */     GIR_RootConstrainSelectedInstOperands,
     /*   12908 */     // GIR_Coverage, 46448,
     /*   12908 */     GIR_EraseRootFromParent_Done,
     /*   12909 */   // Label 312: @12909
     /*   12909 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12977), // Rule ID 70215 //
     /*   12914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12951 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   12951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   12954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   12960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   12964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12975 */     GIR_RootConstrainSelectedInstOperands,
     /*   12976 */     // GIR_Coverage, 70215,
     /*   12976 */     GIR_EraseRootFromParent_Done,
     /*   12977 */   // Label 313: @12977
     /*   12977 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(13045), // Rule ID 70216 //
     /*   12982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13019 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13043 */     GIR_RootConstrainSelectedInstOperands,
     /*   13044 */     // GIR_Coverage, 70216,
     /*   13044 */     GIR_EraseRootFromParent_Done,
     /*   13045 */   // Label 314: @13045
     /*   13045 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(13100), // Rule ID 69215 //
     /*   13050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13078 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13098 */     GIR_RootConstrainSelectedInstOperands,
     /*   13099 */     // GIR_Coverage, 69215,
     /*   13099 */     GIR_EraseRootFromParent_Done,
     /*   13100 */   // Label 315: @13100
     /*   13100 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(13155), // Rule ID 69216 //
     /*   13105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13133 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13153 */     GIR_RootConstrainSelectedInstOperands,
     /*   13154 */     // GIR_Coverage, 69216,
     /*   13154 */     GIR_EraseRootFromParent_Done,
     /*   13155 */   // Label 316: @13155
     /*   13155 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(13210), // Rule ID 69035 //
     /*   13160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13188 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13208 */     GIR_RootConstrainSelectedInstOperands,
     /*   13209 */     // GIR_Coverage, 69035,
     /*   13209 */     GIR_EraseRootFromParent_Done,
     /*   13210 */   // Label 317: @13210
     /*   13210 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(13265), // Rule ID 69036 //
     /*   13215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13243 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13263 */     GIR_RootConstrainSelectedInstOperands,
     /*   13264 */     // GIR_Coverage, 69036,
     /*   13264 */     GIR_EraseRootFromParent_Done,
     /*   13265 */   // Label 318: @13265
     /*   13265 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(13320), // Rule ID 69125 //
     /*   13270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13298 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13318 */     GIR_RootConstrainSelectedInstOperands,
     /*   13319 */     // GIR_Coverage, 69125,
     /*   13319 */     GIR_EraseRootFromParent_Done,
     /*   13320 */   // Label 319: @13320
     /*   13320 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13375), // Rule ID 69126 //
     /*   13325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13353 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13373 */     GIR_RootConstrainSelectedInstOperands,
     /*   13374 */     // GIR_Coverage, 69126,
     /*   13374 */     GIR_EraseRootFromParent_Done,
     /*   13375 */   // Label 320: @13375
     /*   13375 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13443), // Rule ID 51745 //
     /*   13380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13417 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   13417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13441 */     GIR_RootConstrainSelectedInstOperands,
     /*   13442 */     // GIR_Coverage, 51745,
     /*   13442 */     GIR_EraseRootFromParent_Done,
     /*   13443 */   // Label 321: @13443
     /*   13443 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13511), // Rule ID 51746 //
     /*   13448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13485 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13509 */     GIR_RootConstrainSelectedInstOperands,
     /*   13510 */     // GIR_Coverage, 51746,
     /*   13510 */     GIR_EraseRootFromParent_Done,
     /*   13511 */   // Label 322: @13511
     /*   13511 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13566), // Rule ID 46627 //
     /*   13516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13544 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13564 */     GIR_RootConstrainSelectedInstOperands,
     /*   13565 */     // GIR_Coverage, 46627,
     /*   13565 */     GIR_EraseRootFromParent_Done,
     /*   13566 */   // Label 323: @13566
     /*   13566 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13621), // Rule ID 46628 //
     /*   13571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13599 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13619 */     GIR_RootConstrainSelectedInstOperands,
     /*   13620 */     // GIR_Coverage, 46628,
     /*   13620 */     GIR_EraseRootFromParent_Done,
     /*   13621 */   // Label 324: @13621
     /*   13621 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13676), // Rule ID 46387 //
     /*   13626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13654 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13674 */     GIR_RootConstrainSelectedInstOperands,
     /*   13675 */     // GIR_Coverage, 46387,
     /*   13675 */     GIR_EraseRootFromParent_Done,
     /*   13676 */   // Label 325: @13676
     /*   13676 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13731), // Rule ID 46388 //
     /*   13681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13709 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13729 */     GIR_RootConstrainSelectedInstOperands,
     /*   13730 */     // GIR_Coverage, 46388,
     /*   13730 */     GIR_EraseRootFromParent_Done,
     /*   13731 */   // Label 326: @13731
     /*   13731 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13786), // Rule ID 46507 //
     /*   13736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13764 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13784 */     GIR_RootConstrainSelectedInstOperands,
     /*   13785 */     // GIR_Coverage, 46507,
     /*   13785 */     GIR_EraseRootFromParent_Done,
     /*   13786 */   // Label 327: @13786
     /*   13786 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13841), // Rule ID 46508 //
     /*   13791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13819 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13839 */     GIR_RootConstrainSelectedInstOperands,
     /*   13840 */     // GIR_Coverage, 46508,
     /*   13840 */     GIR_EraseRootFromParent_Done,
     /*   13841 */   // Label 328: @13841
     /*   13841 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13894), // Rule ID 45981 //
     /*   13846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13857 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13892 */     GIR_RootConstrainSelectedInstOperands,
     /*   13893 */     // GIR_Coverage, 45981,
     /*   13893 */     GIR_EraseRootFromParent_Done,
     /*   13894 */   // Label 329: @13894
     /*   13894 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13947), // Rule ID 45982 //
     /*   13899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13910 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13945 */     GIR_RootConstrainSelectedInstOperands,
     /*   13946 */     // GIR_Coverage, 45982,
     /*   13946 */     GIR_EraseRootFromParent_Done,
     /*   13947 */   // Label 330: @13947
     /*   13947 */   GIM_Reject,
     /*   13948 */ // Label 290: @13948
     /*   13948 */ GIM_Reject,
     /*   13949 */ // Label 129: @13949
     /*   13949 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(17073),
     /*   13954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13964 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14060), // Rule ID 70415 //
     /*   13969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   13972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14034 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14058 */     GIR_RootConstrainSelectedInstOperands,
     /*   14059 */     // GIR_Coverage, 70415,
     /*   14059 */     GIR_EraseRootFromParent_Done,
     /*   14060 */   // Label 332: @14060
     /*   14060 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14156), // Rule ID 70416 //
     /*   14065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14130 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14154 */     GIR_RootConstrainSelectedInstOperands,
     /*   14155 */     // GIR_Coverage, 70416,
     /*   14155 */     GIR_EraseRootFromParent_Done,
     /*   14156 */   // Label 333: @14156
     /*   14156 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14252), // Rule ID 70695 //
     /*   14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14226 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14250 */     GIR_RootConstrainSelectedInstOperands,
     /*   14251 */     // GIR_Coverage, 70695,
     /*   14251 */     GIR_EraseRootFromParent_Done,
     /*   14252 */   // Label 334: @14252
     /*   14252 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14348), // Rule ID 70696 //
     /*   14257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14290 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14297 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14301 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14305 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14309 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14311 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14322 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14346 */     GIR_RootConstrainSelectedInstOperands,
     /*   14347 */     // GIR_Coverage, 70696,
     /*   14347 */     GIR_EraseRootFromParent_Done,
     /*   14348 */   // Label 335: @14348
     /*   14348 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14444), // Rule ID 70697 //
     /*   14353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14401 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14405 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14407 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14418 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14442 */     GIR_RootConstrainSelectedInstOperands,
     /*   14443 */     // GIR_Coverage, 70697,
     /*   14443 */     GIR_EraseRootFromParent_Done,
     /*   14444 */   // Label 336: @14444
     /*   14444 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14540), // Rule ID 70698 //
     /*   14449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14482 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14497 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14501 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14503 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14514 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14538 */     GIR_RootConstrainSelectedInstOperands,
     /*   14539 */     // GIR_Coverage, 70698,
     /*   14539 */     GIR_EraseRootFromParent_Done,
     /*   14540 */   // Label 337: @14540
     /*   14540 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14636), // Rule ID 70529 //
     /*   14545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14578 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14593 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14597 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14599 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14610 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14634 */     GIR_RootConstrainSelectedInstOperands,
     /*   14635 */     // GIR_Coverage, 70529,
     /*   14635 */     GIR_EraseRootFromParent_Done,
     /*   14636 */   // Label 338: @14636
     /*   14636 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14732), // Rule ID 70530 //
     /*   14641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14674 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14689 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14693 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14695 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14706 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14730 */     GIR_RootConstrainSelectedInstOperands,
     /*   14731 */     // GIR_Coverage, 70530,
     /*   14731 */     GIR_EraseRootFromParent_Done,
     /*   14732 */   // Label 339: @14732
     /*   14732 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14828), // Rule ID 51921 //
     /*   14737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14802 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14826 */     GIR_RootConstrainSelectedInstOperands,
     /*   14827 */     // GIR_Coverage, 51921,
     /*   14827 */     GIR_EraseRootFromParent_Done,
     /*   14828 */   // Label 340: @14828
     /*   14828 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14924), // Rule ID 51922 //
     /*   14833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14898 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14922 */     GIR_RootConstrainSelectedInstOperands,
     /*   14923 */     // GIR_Coverage, 51922,
     /*   14923 */     GIR_EraseRootFromParent_Done,
     /*   14924 */   // Label 341: @14924
     /*   14924 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(15020), // Rule ID 52039 //
     /*   14929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14994 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15018 */     GIR_RootConstrainSelectedInstOperands,
     /*   15019 */     // GIR_Coverage, 52039,
     /*   15019 */     GIR_EraseRootFromParent_Done,
     /*   15020 */   // Label 342: @15020
     /*   15020 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(15116), // Rule ID 52040 //
     /*   15025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15088 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15090 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15114 */     GIR_RootConstrainSelectedInstOperands,
     /*   15115 */     // GIR_Coverage, 52040,
     /*   15115 */     GIR_EraseRootFromParent_Done,
     /*   15116 */   // Label 343: @15116
     /*   15116 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(15212), // Rule ID 70693 //
     /*   15121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15186 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15210 */     GIR_RootConstrainSelectedInstOperands,
     /*   15211 */     // GIR_Coverage, 70693,
     /*   15211 */     GIR_EraseRootFromParent_Done,
     /*   15212 */   // Label 344: @15212
     /*   15212 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(15308), // Rule ID 70694 //
     /*   15217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15280 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15282 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15306 */     GIR_RootConstrainSelectedInstOperands,
     /*   15307 */     // GIR_Coverage, 70694,
     /*   15307 */     GIR_EraseRootFromParent_Done,
     /*   15308 */   // Label 345: @15308
     /*   15308 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(15404), // Rule ID 51979 //
     /*   15313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15378 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15402 */     GIR_RootConstrainSelectedInstOperands,
     /*   15403 */     // GIR_Coverage, 51979,
     /*   15403 */     GIR_EraseRootFromParent_Done,
     /*   15404 */   // Label 346: @15404
     /*   15404 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(15500), // Rule ID 51980 //
     /*   15409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15474 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15498 */     GIR_RootConstrainSelectedInstOperands,
     /*   15499 */     // GIR_Coverage, 51980,
     /*   15499 */     GIR_EraseRootFromParent_Done,
     /*   15500 */   // Label 347: @15500
     /*   15500 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(15589), // Rule ID 46587 //
     /*   15505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15539 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15548 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15587 */     GIR_RootConstrainSelectedInstOperands,
     /*   15588 */     // GIR_Coverage, 46587,
     /*   15588 */     GIR_EraseRootFromParent_Done,
     /*   15589 */   // Label 348: @15589
     /*   15589 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15678), // Rule ID 46588 //
     /*   15594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15637 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15676 */     GIR_RootConstrainSelectedInstOperands,
     /*   15677 */     // GIR_Coverage, 46588,
     /*   15677 */     GIR_EraseRootFromParent_Done,
     /*   15678 */   // Label 349: @15678
     /*   15678 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15767), // Rule ID 46351 //
     /*   15683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15726 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15765 */     GIR_RootConstrainSelectedInstOperands,
     /*   15766 */     // GIR_Coverage, 46351,
     /*   15766 */     GIR_EraseRootFromParent_Done,
     /*   15767 */   // Label 350: @15767
     /*   15767 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15856), // Rule ID 46352 //
     /*   15772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15806 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15815 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15854 */     GIR_RootConstrainSelectedInstOperands,
     /*   15855 */     // GIR_Coverage, 46352,
     /*   15855 */     GIR_EraseRootFromParent_Done,
     /*   15856 */   // Label 351: @15856
     /*   15856 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15945), // Rule ID 46467 //
     /*   15861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15895 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15904 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15943 */     GIR_RootConstrainSelectedInstOperands,
     /*   15944 */     // GIR_Coverage, 46467,
     /*   15944 */     GIR_EraseRootFromParent_Done,
     /*   15945 */   // Label 352: @15945
     /*   15945 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(16034), // Rule ID 46468 //
     /*   15950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15993 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   16010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16032 */     GIR_RootConstrainSelectedInstOperands,
     /*   16033 */     // GIR_Coverage, 46468,
     /*   16033 */     GIR_EraseRootFromParent_Done,
     /*   16034 */   // Label 353: @16034
     /*   16034 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(16102), // Rule ID 70247 //
     /*   16039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16076 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16100 */     GIR_RootConstrainSelectedInstOperands,
     /*   16101 */     // GIR_Coverage, 70247,
     /*   16101 */     GIR_EraseRootFromParent_Done,
     /*   16102 */   // Label 354: @16102
     /*   16102 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(16170), // Rule ID 70248 //
     /*   16107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16144 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16168 */     GIR_RootConstrainSelectedInstOperands,
     /*   16169 */     // GIR_Coverage, 70248,
     /*   16169 */     GIR_EraseRootFromParent_Done,
     /*   16170 */   // Label 355: @16170
     /*   16170 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(16225), // Rule ID 69235 //
     /*   16175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16203 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16223 */     GIR_RootConstrainSelectedInstOperands,
     /*   16224 */     // GIR_Coverage, 69235,
     /*   16224 */     GIR_EraseRootFromParent_Done,
     /*   16225 */   // Label 356: @16225
     /*   16225 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(16280), // Rule ID 69236 //
     /*   16230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16258 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16278 */     GIR_RootConstrainSelectedInstOperands,
     /*   16279 */     // GIR_Coverage, 69236,
     /*   16279 */     GIR_EraseRootFromParent_Done,
     /*   16280 */   // Label 357: @16280
     /*   16280 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(16335), // Rule ID 69055 //
     /*   16285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16313 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16333 */     GIR_RootConstrainSelectedInstOperands,
     /*   16334 */     // GIR_Coverage, 69055,
     /*   16334 */     GIR_EraseRootFromParent_Done,
     /*   16335 */   // Label 358: @16335
     /*   16335 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16390), // Rule ID 69056 //
     /*   16340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16368 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16388 */     GIR_RootConstrainSelectedInstOperands,
     /*   16389 */     // GIR_Coverage, 69056,
     /*   16389 */     GIR_EraseRootFromParent_Done,
     /*   16390 */   // Label 359: @16390
     /*   16390 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16445), // Rule ID 69145 //
     /*   16395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16423 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16443 */     GIR_RootConstrainSelectedInstOperands,
     /*   16444 */     // GIR_Coverage, 69145,
     /*   16444 */     GIR_EraseRootFromParent_Done,
     /*   16445 */   // Label 360: @16445
     /*   16445 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16500), // Rule ID 69146 //
     /*   16450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16478 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16498 */     GIR_RootConstrainSelectedInstOperands,
     /*   16499 */     // GIR_Coverage, 69146,
     /*   16499 */     GIR_EraseRootFromParent_Done,
     /*   16500 */   // Label 361: @16500
     /*   16500 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16568), // Rule ID 51761 //
     /*   16505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16542 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16566 */     GIR_RootConstrainSelectedInstOperands,
     /*   16567 */     // GIR_Coverage, 51761,
     /*   16567 */     GIR_EraseRootFromParent_Done,
     /*   16568 */   // Label 362: @16568
     /*   16568 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16636), // Rule ID 51762 //
     /*   16573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16610 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16634 */     GIR_RootConstrainSelectedInstOperands,
     /*   16635 */     // GIR_Coverage, 51762,
     /*   16635 */     GIR_EraseRootFromParent_Done,
     /*   16636 */   // Label 363: @16636
     /*   16636 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16691), // Rule ID 46647 //
     /*   16641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16669 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16689 */     GIR_RootConstrainSelectedInstOperands,
     /*   16690 */     // GIR_Coverage, 46647,
     /*   16690 */     GIR_EraseRootFromParent_Done,
     /*   16691 */   // Label 364: @16691
     /*   16691 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16746), // Rule ID 46648 //
     /*   16696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16724 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16744 */     GIR_RootConstrainSelectedInstOperands,
     /*   16745 */     // GIR_Coverage, 46648,
     /*   16745 */     GIR_EraseRootFromParent_Done,
     /*   16746 */   // Label 365: @16746
     /*   16746 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16801), // Rule ID 46407 //
     /*   16751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16779 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16799 */     GIR_RootConstrainSelectedInstOperands,
     /*   16800 */     // GIR_Coverage, 46407,
     /*   16800 */     GIR_EraseRootFromParent_Done,
     /*   16801 */   // Label 366: @16801
     /*   16801 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16856), // Rule ID 46408 //
     /*   16806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16834 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16854 */     GIR_RootConstrainSelectedInstOperands,
     /*   16855 */     // GIR_Coverage, 46408,
     /*   16855 */     GIR_EraseRootFromParent_Done,
     /*   16856 */   // Label 367: @16856
     /*   16856 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16911), // Rule ID 46527 //
     /*   16861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16889 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16909 */     GIR_RootConstrainSelectedInstOperands,
     /*   16910 */     // GIR_Coverage, 46527,
     /*   16910 */     GIR_EraseRootFromParent_Done,
     /*   16911 */   // Label 368: @16911
     /*   16911 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16966), // Rule ID 46528 //
     /*   16916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16944 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16964 */     GIR_RootConstrainSelectedInstOperands,
     /*   16965 */     // GIR_Coverage, 46528,
     /*   16965 */     GIR_EraseRootFromParent_Done,
     /*   16966 */   // Label 369: @16966
     /*   16966 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17019), // Rule ID 45997 //
     /*   16971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16982 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   16999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17017 */     GIR_RootConstrainSelectedInstOperands,
     /*   17018 */     // GIR_Coverage, 45997,
     /*   17018 */     GIR_EraseRootFromParent_Done,
     /*   17019 */   // Label 370: @17019
     /*   17019 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17072), // Rule ID 45998 //
     /*   17024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17035 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   17038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   17052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17070 */     GIR_RootConstrainSelectedInstOperands,
     /*   17071 */     // GIR_Coverage, 45998,
     /*   17071 */     GIR_EraseRootFromParent_Done,
     /*   17072 */   // Label 371: @17072
     /*   17072 */   GIM_Reject,
     /*   17073 */ // Label 331: @17073
     /*   17073 */ GIM_Reject,
     /*   17074 */ // Label 130: @17074
     /*   17074 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17468),
     /*   17079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17089 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17157), // Rule ID 70183 //
     /*   17094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17131 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17155 */     GIR_RootConstrainSelectedInstOperands,
     /*   17156 */     // GIR_Coverage, 70183,
     /*   17156 */     GIR_EraseRootFromParent_Done,
     /*   17157 */   // Label 373: @17157
     /*   17157 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17225), // Rule ID 70184 //
     /*   17162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17199 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17223 */     GIR_RootConstrainSelectedInstOperands,
     /*   17224 */     // GIR_Coverage, 70184,
     /*   17224 */     GIR_EraseRootFromParent_Done,
     /*   17225 */   // Label 374: @17225
     /*   17225 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17293), // Rule ID 51729 //
     /*   17230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17267 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17291 */     GIR_RootConstrainSelectedInstOperands,
     /*   17292 */     // GIR_Coverage, 51729,
     /*   17292 */     GIR_EraseRootFromParent_Done,
     /*   17293 */   // Label 375: @17293
     /*   17293 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17361), // Rule ID 51730 //
     /*   17298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17335 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17359 */     GIR_RootConstrainSelectedInstOperands,
     /*   17360 */     // GIR_Coverage, 51730,
     /*   17360 */     GIR_EraseRootFromParent_Done,
     /*   17361 */   // Label 376: @17361
     /*   17361 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17414), // Rule ID 45965 //
     /*   17366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17377 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17412 */     GIR_RootConstrainSelectedInstOperands,
     /*   17413 */     // GIR_Coverage, 45965,
     /*   17413 */     GIR_EraseRootFromParent_Done,
     /*   17414 */   // Label 377: @17414
     /*   17414 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17467), // Rule ID 45966 //
     /*   17419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17430 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17465 */     GIR_RootConstrainSelectedInstOperands,
     /*   17466 */     // GIR_Coverage, 45966,
     /*   17466 */     GIR_EraseRootFromParent_Done,
     /*   17467 */   // Label 378: @17467
     /*   17467 */   GIM_Reject,
     /*   17468 */ // Label 372: @17468
     /*   17468 */ GIM_Reject,
     /*   17469 */ // Label 131: @17469
     /*   17469 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(20593),
     /*   17474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17484 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17580), // Rule ID 70395 //
     /*   17489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17508 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17537 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17541 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17543 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17552 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17554 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17578 */     GIR_RootConstrainSelectedInstOperands,
     /*   17579 */     // GIR_Coverage, 70395,
     /*   17579 */     GIR_EraseRootFromParent_Done,
     /*   17580 */   // Label 380: @17580
     /*   17580 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17676), // Rule ID 70396 //
     /*   17585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17633 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17637 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17639 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17648 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17650 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17674 */     GIR_RootConstrainSelectedInstOperands,
     /*   17675 */     // GIR_Coverage, 70396,
     /*   17675 */     GIR_EraseRootFromParent_Done,
     /*   17676 */   // Label 381: @17676
     /*   17676 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17772), // Rule ID 70635 //
     /*   17681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17721 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17725 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17729 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17733 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17735 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17746 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17770 */     GIR_RootConstrainSelectedInstOperands,
     /*   17771 */     // GIR_Coverage, 70635,
     /*   17771 */     GIR_EraseRootFromParent_Done,
     /*   17772 */   // Label 382: @17772
     /*   17772 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17868), // Rule ID 70636 //
     /*   17777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17810 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17825 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17829 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17831 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17842 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17866 */     GIR_RootConstrainSelectedInstOperands,
     /*   17867 */     // GIR_Coverage, 70636,
     /*   17867 */     GIR_EraseRootFromParent_Done,
     /*   17868 */   // Label 383: @17868
     /*   17868 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17964), // Rule ID 70637 //
     /*   17873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17892 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17921 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17925 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17927 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17936 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17938 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   17949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   17953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17962 */     GIR_RootConstrainSelectedInstOperands,
     /*   17963 */     // GIR_Coverage, 70637,
     /*   17963 */     GIR_EraseRootFromParent_Done,
     /*   17964 */   // Label 384: @17964
     /*   17964 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(18060), // Rule ID 70638 //
     /*   17969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18034 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18058 */     GIR_RootConstrainSelectedInstOperands,
     /*   18059 */     // GIR_Coverage, 70638,
     /*   18059 */     GIR_EraseRootFromParent_Done,
     /*   18060 */   // Label 385: @18060
     /*   18060 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(18156), // Rule ID 70509 //
     /*   18065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18130 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18154 */     GIR_RootConstrainSelectedInstOperands,
     /*   18155 */     // GIR_Coverage, 70509,
     /*   18155 */     GIR_EraseRootFromParent_Done,
     /*   18156 */   // Label 386: @18156
     /*   18156 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18252), // Rule ID 70510 //
     /*   18161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18226 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18250 */     GIR_RootConstrainSelectedInstOperands,
     /*   18251 */     // GIR_Coverage, 70510,
     /*   18251 */     GIR_EraseRootFromParent_Done,
     /*   18252 */   // Label 387: @18252
     /*   18252 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18348), // Rule ID 51901 //
     /*   18257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18280 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18313 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18315 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18322 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18346 */     GIR_RootConstrainSelectedInstOperands,
     /*   18347 */     // GIR_Coverage, 51901,
     /*   18347 */     GIR_EraseRootFromParent_Done,
     /*   18348 */   // Label 388: @18348
     /*   18348 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18444), // Rule ID 51902 //
     /*   18353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18390 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18397 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18401 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18405 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18409 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18411 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18418 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18442 */     GIR_RootConstrainSelectedInstOperands,
     /*   18443 */     // GIR_Coverage, 51902,
     /*   18443 */     GIR_EraseRootFromParent_Done,
     /*   18444 */   // Label 389: @18444
     /*   18444 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18540), // Rule ID 52019 //
     /*   18449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18497 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18501 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18505 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18507 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18514 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18538 */     GIR_RootConstrainSelectedInstOperands,
     /*   18539 */     // GIR_Coverage, 52019,
     /*   18539 */     GIR_EraseRootFromParent_Done,
     /*   18540 */   // Label 390: @18540
     /*   18540 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18636), // Rule ID 52020 //
     /*   18545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18568 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18597 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18601 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18603 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18610 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18634 */     GIR_RootConstrainSelectedInstOperands,
     /*   18635 */     // GIR_Coverage, 52020,
     /*   18635 */     GIR_EraseRootFromParent_Done,
     /*   18636 */   // Label 391: @18636
     /*   18636 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18732), // Rule ID 70633 //
     /*   18641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18678 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18693 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18697 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18699 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18706 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18730 */     GIR_RootConstrainSelectedInstOperands,
     /*   18731 */     // GIR_Coverage, 70633,
     /*   18731 */     GIR_EraseRootFromParent_Done,
     /*   18732 */   // Label 392: @18732
     /*   18732 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18828), // Rule ID 70634 //
     /*   18737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18802 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18826 */     GIR_RootConstrainSelectedInstOperands,
     /*   18827 */     // GIR_Coverage, 70634,
     /*   18827 */     GIR_EraseRootFromParent_Done,
     /*   18828 */   // Label 393: @18828
     /*   18828 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18924), // Rule ID 51959 //
     /*   18833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18898 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18922 */     GIR_RootConstrainSelectedInstOperands,
     /*   18923 */     // GIR_Coverage, 51959,
     /*   18923 */     GIR_EraseRootFromParent_Done,
     /*   18924 */   // Label 394: @18924
     /*   18924 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(19020), // Rule ID 51960 //
     /*   18929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18994 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19018 */     GIR_RootConstrainSelectedInstOperands,
     /*   19019 */     // GIR_Coverage, 51960,
     /*   19019 */     GIR_EraseRootFromParent_Done,
     /*   19020 */   // Label 395: @19020
     /*   19020 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(19109), // Rule ID 46547 //
     /*   19025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19059 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19068 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19107 */     GIR_RootConstrainSelectedInstOperands,
     /*   19108 */     // GIR_Coverage, 46547,
     /*   19108 */     GIR_EraseRootFromParent_Done,
     /*   19109 */   // Label 396: @19109
     /*   19109 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(19198), // Rule ID 46548 //
     /*   19114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19157 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19196 */     GIR_RootConstrainSelectedInstOperands,
     /*   19197 */     // GIR_Coverage, 46548,
     /*   19197 */     GIR_EraseRootFromParent_Done,
     /*   19198 */   // Label 397: @19198
     /*   19198 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(19287), // Rule ID 46311 //
     /*   19203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19237 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19239 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19246 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19285 */     GIR_RootConstrainSelectedInstOperands,
     /*   19286 */     // GIR_Coverage, 46311,
     /*   19286 */     GIR_EraseRootFromParent_Done,
     /*   19287 */   // Label 398: @19287
     /*   19287 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19376), // Rule ID 46312 //
     /*   19292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19326 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19335 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19374 */     GIR_RootConstrainSelectedInstOperands,
     /*   19375 */     // GIR_Coverage, 46312,
     /*   19375 */     GIR_EraseRootFromParent_Done,
     /*   19376 */   // Label 399: @19376
     /*   19376 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19465), // Rule ID 46427 //
     /*   19381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19424 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19463 */     GIR_RootConstrainSelectedInstOperands,
     /*   19464 */     // GIR_Coverage, 46427,
     /*   19464 */     GIR_EraseRootFromParent_Done,
     /*   19465 */   // Label 400: @19465
     /*   19465 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19554), // Rule ID 46428 //
     /*   19470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19513 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19552 */     GIR_RootConstrainSelectedInstOperands,
     /*   19553 */     // GIR_Coverage, 46428,
     /*   19553 */     GIR_EraseRootFromParent_Done,
     /*   19554 */   // Label 401: @19554
     /*   19554 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19622), // Rule ID 70207 //
     /*   19559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19596 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   19596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19620 */     GIR_RootConstrainSelectedInstOperands,
     /*   19621 */     // GIR_Coverage, 70207,
     /*   19621 */     GIR_EraseRootFromParent_Done,
     /*   19622 */   // Label 402: @19622
     /*   19622 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19690), // Rule ID 70208 //
     /*   19627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19664 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   19664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19688 */     GIR_RootConstrainSelectedInstOperands,
     /*   19689 */     // GIR_Coverage, 70208,
     /*   19689 */     GIR_EraseRootFromParent_Done,
     /*   19690 */   // Label 403: @19690
     /*   19690 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19745), // Rule ID 69195 //
     /*   19695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19723 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19743 */     GIR_RootConstrainSelectedInstOperands,
     /*   19744 */     // GIR_Coverage, 69195,
     /*   19744 */     GIR_EraseRootFromParent_Done,
     /*   19745 */   // Label 404: @19745
     /*   19745 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19800), // Rule ID 69196 //
     /*   19750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19778 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19798 */     GIR_RootConstrainSelectedInstOperands,
     /*   19799 */     // GIR_Coverage, 69196,
     /*   19799 */     GIR_EraseRootFromParent_Done,
     /*   19800 */   // Label 405: @19800
     /*   19800 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19855), // Rule ID 69015 //
     /*   19805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19833 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19853 */     GIR_RootConstrainSelectedInstOperands,
     /*   19854 */     // GIR_Coverage, 69015,
     /*   19854 */     GIR_EraseRootFromParent_Done,
     /*   19855 */   // Label 406: @19855
     /*   19855 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19910), // Rule ID 69016 //
     /*   19860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19888 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19908 */     GIR_RootConstrainSelectedInstOperands,
     /*   19909 */     // GIR_Coverage, 69016,
     /*   19909 */     GIR_EraseRootFromParent_Done,
     /*   19910 */   // Label 407: @19910
     /*   19910 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19965), // Rule ID 69105 //
     /*   19915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19943 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19963 */     GIR_RootConstrainSelectedInstOperands,
     /*   19964 */     // GIR_Coverage, 69105,
     /*   19964 */     GIR_EraseRootFromParent_Done,
     /*   19965 */   // Label 408: @19965
     /*   19965 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(20020), // Rule ID 69106 //
     /*   19970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19998 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20018 */     GIR_RootConstrainSelectedInstOperands,
     /*   20019 */     // GIR_Coverage, 69106,
     /*   20019 */     GIR_EraseRootFromParent_Done,
     /*   20020 */   // Label 409: @20020
     /*   20020 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20088), // Rule ID 51741 //
     /*   20025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20062 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20086 */     GIR_RootConstrainSelectedInstOperands,
     /*   20087 */     // GIR_Coverage, 51741,
     /*   20087 */     GIR_EraseRootFromParent_Done,
     /*   20088 */   // Label 410: @20088
     /*   20088 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20156), // Rule ID 51742 //
     /*   20093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20130 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20154 */     GIR_RootConstrainSelectedInstOperands,
     /*   20155 */     // GIR_Coverage, 51742,
     /*   20155 */     GIR_EraseRootFromParent_Done,
     /*   20156 */   // Label 411: @20156
     /*   20156 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20211), // Rule ID 46607 //
     /*   20161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20189 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20209 */     GIR_RootConstrainSelectedInstOperands,
     /*   20210 */     // GIR_Coverage, 46607,
     /*   20210 */     GIR_EraseRootFromParent_Done,
     /*   20211 */   // Label 412: @20211
     /*   20211 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20266), // Rule ID 46608 //
     /*   20216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20244 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20264 */     GIR_RootConstrainSelectedInstOperands,
     /*   20265 */     // GIR_Coverage, 46608,
     /*   20265 */     GIR_EraseRootFromParent_Done,
     /*   20266 */   // Label 413: @20266
     /*   20266 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20321), // Rule ID 46367 //
     /*   20271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20299 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20319 */     GIR_RootConstrainSelectedInstOperands,
     /*   20320 */     // GIR_Coverage, 46367,
     /*   20320 */     GIR_EraseRootFromParent_Done,
     /*   20321 */   // Label 414: @20321
     /*   20321 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20376), // Rule ID 46368 //
     /*   20326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20354 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20374 */     GIR_RootConstrainSelectedInstOperands,
     /*   20375 */     // GIR_Coverage, 46368,
     /*   20375 */     GIR_EraseRootFromParent_Done,
     /*   20376 */   // Label 415: @20376
     /*   20376 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20431), // Rule ID 46487 //
     /*   20381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20400 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20409 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20429 */     GIR_RootConstrainSelectedInstOperands,
     /*   20430 */     // GIR_Coverage, 46487,
     /*   20430 */     GIR_EraseRootFromParent_Done,
     /*   20431 */   // Label 416: @20431
     /*   20431 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20486), // Rule ID 46488 //
     /*   20436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20464 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20484 */     GIR_RootConstrainSelectedInstOperands,
     /*   20485 */     // GIR_Coverage, 46488,
     /*   20485 */     GIR_EraseRootFromParent_Done,
     /*   20486 */   // Label 417: @20486
     /*   20486 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20539), // Rule ID 45977 //
     /*   20491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20502 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20537 */     GIR_RootConstrainSelectedInstOperands,
     /*   20538 */     // GIR_Coverage, 45977,
     /*   20538 */     GIR_EraseRootFromParent_Done,
     /*   20539 */   // Label 418: @20539
     /*   20539 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20592), // Rule ID 45978 //
     /*   20544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20555 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20590 */     GIR_RootConstrainSelectedInstOperands,
     /*   20591 */     // GIR_Coverage, 45978,
     /*   20591 */     GIR_EraseRootFromParent_Done,
     /*   20592 */   // Label 419: @20592
     /*   20592 */   GIM_Reject,
     /*   20593 */ // Label 379: @20593
     /*   20593 */ GIM_Reject,
     /*   20594 */ // Label 132: @20594
     /*   20594 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(23718),
     /*   20599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20609 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20705), // Rule ID 70407 //
     /*   20614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20647 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20658 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20662 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20666 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20668 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20679 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20703 */     GIR_RootConstrainSelectedInstOperands,
     /*   20704 */     // GIR_Coverage, 70407,
     /*   20704 */     GIR_EraseRootFromParent_Done,
     /*   20705 */   // Label 421: @20705
     /*   20705 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20801), // Rule ID 70408 //
     /*   20710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20758 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20762 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20764 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20773 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20775 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20799 */     GIR_RootConstrainSelectedInstOperands,
     /*   20800 */     // GIR_Coverage, 70408,
     /*   20800 */     GIR_EraseRootFromParent_Done,
     /*   20801 */   // Label 422: @20801
     /*   20801 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20897), // Rule ID 70671 //
     /*   20806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20854 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20858 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20860 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20871 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20895 */     GIR_RootConstrainSelectedInstOperands,
     /*   20896 */     // GIR_Coverage, 70671,
     /*   20896 */     GIR_EraseRootFromParent_Done,
     /*   20897 */   // Label 423: @20897
     /*   20897 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(20993), // Rule ID 70672 //
     /*   20902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20946 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20950 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20954 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20956 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20965 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20967 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20991 */     GIR_RootConstrainSelectedInstOperands,
     /*   20992 */     // GIR_Coverage, 70672,
     /*   20992 */     GIR_EraseRootFromParent_Done,
     /*   20993 */   // Label 424: @20993
     /*   20993 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(21089), // Rule ID 70673 //
     /*   20998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21031 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21046 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21050 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21052 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21061 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21063 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21087 */     GIR_RootConstrainSelectedInstOperands,
     /*   21088 */     // GIR_Coverage, 70673,
     /*   21088 */     GIR_EraseRootFromParent_Done,
     /*   21089 */   // Label 425: @21089
     /*   21089 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21185), // Rule ID 70674 //
     /*   21094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21127 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21142 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21146 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21148 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21159 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21183 */     GIR_RootConstrainSelectedInstOperands,
     /*   21184 */     // GIR_Coverage, 70674,
     /*   21184 */     GIR_EraseRootFromParent_Done,
     /*   21185 */   // Label 426: @21185
     /*   21185 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21281), // Rule ID 70521 //
     /*   21190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21223 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21230 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21234 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21238 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21242 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21244 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21255 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21279 */     GIR_RootConstrainSelectedInstOperands,
     /*   21280 */     // GIR_Coverage, 70521,
     /*   21280 */     GIR_EraseRootFromParent_Done,
     /*   21281 */   // Label 427: @21281
     /*   21281 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21377), // Rule ID 70522 //
     /*   21286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21319 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21326 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21330 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21334 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21338 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21340 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21349 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21351 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21375 */     GIR_RootConstrainSelectedInstOperands,
     /*   21376 */     // GIR_Coverage, 70522,
     /*   21376 */     GIR_EraseRootFromParent_Done,
     /*   21377 */   // Label 428: @21377
     /*   21377 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21473), // Rule ID 51913 //
     /*   21382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21419 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21426 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21430 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21434 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21438 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21440 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21447 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21471 */     GIR_RootConstrainSelectedInstOperands,
     /*   21472 */     // GIR_Coverage, 51913,
     /*   21472 */     GIR_EraseRootFromParent_Done,
     /*   21473 */   // Label 429: @21473
     /*   21473 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21569), // Rule ID 51914 //
     /*   21478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21530 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21534 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21536 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21541 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21543 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21567 */     GIR_RootConstrainSelectedInstOperands,
     /*   21568 */     // GIR_Coverage, 51914,
     /*   21568 */     GIR_EraseRootFromParent_Done,
     /*   21569 */   // Label 430: @21569
     /*   21569 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21665), // Rule ID 52031 //
     /*   21574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21626 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21630 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21632 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21639 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21663 */     GIR_RootConstrainSelectedInstOperands,
     /*   21664 */     // GIR_Coverage, 52031,
     /*   21664 */     GIR_EraseRootFromParent_Done,
     /*   21665 */   // Label 431: @21665
     /*   21665 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21761), // Rule ID 52032 //
     /*   21670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21722 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21726 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21728 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21733 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21735 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21759 */     GIR_RootConstrainSelectedInstOperands,
     /*   21760 */     // GIR_Coverage, 52032,
     /*   21760 */     GIR_EraseRootFromParent_Done,
     /*   21761 */   // Label 432: @21761
     /*   21761 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21857), // Rule ID 70669 //
     /*   21766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21789 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21818 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21822 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21824 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21831 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21855 */     GIR_RootConstrainSelectedInstOperands,
     /*   21856 */     // GIR_Coverage, 70669,
     /*   21856 */     GIR_EraseRootFromParent_Done,
     /*   21857 */   // Label 433: @21857
     /*   21857 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21953), // Rule ID 70670 //
     /*   21862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21899 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21906 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21910 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21914 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21918 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21920 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21925 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21927 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21951 */     GIR_RootConstrainSelectedInstOperands,
     /*   21952 */     // GIR_Coverage, 70670,
     /*   21952 */     GIR_EraseRootFromParent_Done,
     /*   21953 */   // Label 434: @21953
     /*   21953 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(22049), // Rule ID 51971 //
     /*   21958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22010 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22014 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22016 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22023 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22047 */     GIR_RootConstrainSelectedInstOperands,
     /*   22048 */     // GIR_Coverage, 51971,
     /*   22048 */     GIR_EraseRootFromParent_Done,
     /*   22049 */   // Label 435: @22049
     /*   22049 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(22145), // Rule ID 51972 //
     /*   22054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22106 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22110 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22112 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22119 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22143 */     GIR_RootConstrainSelectedInstOperands,
     /*   22144 */     // GIR_Coverage, 51972,
     /*   22144 */     GIR_EraseRootFromParent_Done,
     /*   22145 */   // Label 436: @22145
     /*   22145 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(22234), // Rule ID 46571 //
     /*   22150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22193 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22232 */     GIR_RootConstrainSelectedInstOperands,
     /*   22233 */     // GIR_Coverage, 46571,
     /*   22233 */     GIR_EraseRootFromParent_Done,
     /*   22234 */   // Label 437: @22234
     /*   22234 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(22323), // Rule ID 46572 //
     /*   22239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22282 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22321 */     GIR_RootConstrainSelectedInstOperands,
     /*   22322 */     // GIR_Coverage, 46572,
     /*   22322 */     GIR_EraseRootFromParent_Done,
     /*   22323 */   // Label 438: @22323
     /*   22323 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(22412), // Rule ID 46335 //
     /*   22328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22371 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22410 */     GIR_RootConstrainSelectedInstOperands,
     /*   22411 */     // GIR_Coverage, 46335,
     /*   22411 */     GIR_EraseRootFromParent_Done,
     /*   22412 */   // Label 439: @22412
     /*   22412 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(22501), // Rule ID 46336 //
     /*   22417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22460 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22499 */     GIR_RootConstrainSelectedInstOperands,
     /*   22500 */     // GIR_Coverage, 46336,
     /*   22500 */     GIR_EraseRootFromParent_Done,
     /*   22501 */   // Label 440: @22501
     /*   22501 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(22590), // Rule ID 46451 //
     /*   22506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22549 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22588 */     GIR_RootConstrainSelectedInstOperands,
     /*   22589 */     // GIR_Coverage, 46451,
     /*   22589 */     GIR_EraseRootFromParent_Done,
     /*   22590 */   // Label 441: @22590
     /*   22590 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22679), // Rule ID 46452 //
     /*   22595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22638 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22677 */     GIR_RootConstrainSelectedInstOperands,
     /*   22678 */     // GIR_Coverage, 46452,
     /*   22678 */     GIR_EraseRootFromParent_Done,
     /*   22679 */   // Label 442: @22679
     /*   22679 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22747), // Rule ID 70239 //
     /*   22684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22721 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   22721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22745 */     GIR_RootConstrainSelectedInstOperands,
     /*   22746 */     // GIR_Coverage, 70239,
     /*   22746 */     GIR_EraseRootFromParent_Done,
     /*   22747 */   // Label 443: @22747
     /*   22747 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22815), // Rule ID 70240 //
     /*   22752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22789 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   22789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22813 */     GIR_RootConstrainSelectedInstOperands,
     /*   22814 */     // GIR_Coverage, 70240,
     /*   22814 */     GIR_EraseRootFromParent_Done,
     /*   22815 */   // Label 444: @22815
     /*   22815 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22870), // Rule ID 69219 //
     /*   22820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22848 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22868 */     GIR_RootConstrainSelectedInstOperands,
     /*   22869 */     // GIR_Coverage, 69219,
     /*   22869 */     GIR_EraseRootFromParent_Done,
     /*   22870 */   // Label 445: @22870
     /*   22870 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22925), // Rule ID 69220 //
     /*   22875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22903 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22923 */     GIR_RootConstrainSelectedInstOperands,
     /*   22924 */     // GIR_Coverage, 69220,
     /*   22924 */     GIR_EraseRootFromParent_Done,
     /*   22925 */   // Label 446: @22925
     /*   22925 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22980), // Rule ID 69039 //
     /*   22930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22958 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   22961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22978 */     GIR_RootConstrainSelectedInstOperands,
     /*   22979 */     // GIR_Coverage, 69039,
     /*   22979 */     GIR_EraseRootFromParent_Done,
     /*   22980 */   // Label 447: @22980
     /*   22980 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(23035), // Rule ID 69040 //
     /*   22985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23013 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23033 */     GIR_RootConstrainSelectedInstOperands,
     /*   23034 */     // GIR_Coverage, 69040,
     /*   23034 */     GIR_EraseRootFromParent_Done,
     /*   23035 */   // Label 448: @23035
     /*   23035 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(23090), // Rule ID 69129 //
     /*   23040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23068 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23088 */     GIR_RootConstrainSelectedInstOperands,
     /*   23089 */     // GIR_Coverage, 69129,
     /*   23089 */     GIR_EraseRootFromParent_Done,
     /*   23090 */   // Label 449: @23090
     /*   23090 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(23145), // Rule ID 69130 //
     /*   23095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23123 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23143 */     GIR_RootConstrainSelectedInstOperands,
     /*   23144 */     // GIR_Coverage, 69130,
     /*   23144 */     GIR_EraseRootFromParent_Done,
     /*   23145 */   // Label 450: @23145
     /*   23145 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(23213), // Rule ID 51757 //
     /*   23150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23187 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23211 */     GIR_RootConstrainSelectedInstOperands,
     /*   23212 */     // GIR_Coverage, 51757,
     /*   23212 */     GIR_EraseRootFromParent_Done,
     /*   23213 */   // Label 451: @23213
     /*   23213 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23281), // Rule ID 51758 //
     /*   23218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23255 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23279 */     GIR_RootConstrainSelectedInstOperands,
     /*   23280 */     // GIR_Coverage, 51758,
     /*   23280 */     GIR_EraseRootFromParent_Done,
     /*   23281 */   // Label 452: @23281
     /*   23281 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23336), // Rule ID 46631 //
     /*   23286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23314 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23334 */     GIR_RootConstrainSelectedInstOperands,
     /*   23335 */     // GIR_Coverage, 46631,
     /*   23335 */     GIR_EraseRootFromParent_Done,
     /*   23336 */   // Label 453: @23336
     /*   23336 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23391), // Rule ID 46632 //
     /*   23341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23369 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23389 */     GIR_RootConstrainSelectedInstOperands,
     /*   23390 */     // GIR_Coverage, 46632,
     /*   23390 */     GIR_EraseRootFromParent_Done,
     /*   23391 */   // Label 454: @23391
     /*   23391 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23446), // Rule ID 46391 //
     /*   23396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23424 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23444 */     GIR_RootConstrainSelectedInstOperands,
     /*   23445 */     // GIR_Coverage, 46391,
     /*   23445 */     GIR_EraseRootFromParent_Done,
     /*   23446 */   // Label 455: @23446
     /*   23446 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23501), // Rule ID 46392 //
     /*   23451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23479 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23499 */     GIR_RootConstrainSelectedInstOperands,
     /*   23500 */     // GIR_Coverage, 46392,
     /*   23500 */     GIR_EraseRootFromParent_Done,
     /*   23501 */   // Label 456: @23501
     /*   23501 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23556), // Rule ID 46511 //
     /*   23506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23534 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23554 */     GIR_RootConstrainSelectedInstOperands,
     /*   23555 */     // GIR_Coverage, 46511,
     /*   23555 */     GIR_EraseRootFromParent_Done,
     /*   23556 */   // Label 457: @23556
     /*   23556 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23611), // Rule ID 46512 //
     /*   23561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23589 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23609 */     GIR_RootConstrainSelectedInstOperands,
     /*   23610 */     // GIR_Coverage, 46512,
     /*   23610 */     GIR_EraseRootFromParent_Done,
     /*   23611 */   // Label 458: @23611
     /*   23611 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23664), // Rule ID 45993 //
     /*   23616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23627 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23662 */     GIR_RootConstrainSelectedInstOperands,
     /*   23663 */     // GIR_Coverage, 45993,
     /*   23663 */     GIR_EraseRootFromParent_Done,
     /*   23664 */   // Label 459: @23664
     /*   23664 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23717), // Rule ID 45994 //
     /*   23669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23680 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23715 */     GIR_RootConstrainSelectedInstOperands,
     /*   23716 */     // GIR_Coverage, 45994,
     /*   23716 */     GIR_EraseRootFromParent_Done,
     /*   23717 */   // Label 460: @23717
     /*   23717 */   GIM_Reject,
     /*   23718 */ // Label 420: @23718
     /*   23718 */ GIM_Reject,
     /*   23719 */ // Label 133: @23719
     /*   23719 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(26843),
     /*   23724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23734 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23830), // Rule ID 70417 //
     /*   23739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23804 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23828 */     GIR_RootConstrainSelectedInstOperands,
     /*   23829 */     // GIR_Coverage, 70417,
     /*   23829 */     GIR_EraseRootFromParent_Done,
     /*   23830 */   // Label 462: @23830
     /*   23830 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23926), // Rule ID 70418 //
     /*   23835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   23838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23900 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23924 */     GIR_RootConstrainSelectedInstOperands,
     /*   23925 */     // GIR_Coverage, 70418,
     /*   23925 */     GIR_EraseRootFromParent_Done,
     /*   23926 */   // Label 463: @23926
     /*   23926 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(24022), // Rule ID 70701 //
     /*   23931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23996 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   23999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24020 */     GIR_RootConstrainSelectedInstOperands,
     /*   24021 */     // GIR_Coverage, 70701,
     /*   24021 */     GIR_EraseRootFromParent_Done,
     /*   24022 */   // Label 464: @24022
     /*   24022 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24118), // Rule ID 70702 //
     /*   24027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24075 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24079 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24081 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24092 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24116 */     GIR_RootConstrainSelectedInstOperands,
     /*   24117 */     // GIR_Coverage, 70702,
     /*   24117 */     GIR_EraseRootFromParent_Done,
     /*   24118 */   // Label 465: @24118
     /*   24118 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24214), // Rule ID 70703 //
     /*   24123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24156 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24171 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24175 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24177 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24188 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24212 */     GIR_RootConstrainSelectedInstOperands,
     /*   24213 */     // GIR_Coverage, 70703,
     /*   24213 */     GIR_EraseRootFromParent_Done,
     /*   24214 */   // Label 466: @24214
     /*   24214 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24310), // Rule ID 70704 //
     /*   24219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24252 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24267 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24271 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24273 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24284 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24308 */     GIR_RootConstrainSelectedInstOperands,
     /*   24309 */     // GIR_Coverage, 70704,
     /*   24309 */     GIR_EraseRootFromParent_Done,
     /*   24310 */   // Label 467: @24310
     /*   24310 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24406), // Rule ID 70531 //
     /*   24315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24363 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24367 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24369 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24380 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24404 */     GIR_RootConstrainSelectedInstOperands,
     /*   24405 */     // GIR_Coverage, 70531,
     /*   24405 */     GIR_EraseRootFromParent_Done,
     /*   24406 */   // Label 468: @24406
     /*   24406 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24502), // Rule ID 70532 //
     /*   24411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24444 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24459 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24463 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24465 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24476 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24500 */     GIR_RootConstrainSelectedInstOperands,
     /*   24501 */     // GIR_Coverage, 70532,
     /*   24501 */     GIR_EraseRootFromParent_Done,
     /*   24502 */   // Label 469: @24502
     /*   24502 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24598), // Rule ID 51923 //
     /*   24507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24572 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24596 */     GIR_RootConstrainSelectedInstOperands,
     /*   24597 */     // GIR_Coverage, 51923,
     /*   24597 */     GIR_EraseRootFromParent_Done,
     /*   24598 */   // Label 470: @24598
     /*   24598 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24694), // Rule ID 51924 //
     /*   24603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24668 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24692 */     GIR_RootConstrainSelectedInstOperands,
     /*   24693 */     // GIR_Coverage, 51924,
     /*   24693 */     GIR_EraseRootFromParent_Done,
     /*   24694 */   // Label 471: @24694
     /*   24694 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24790), // Rule ID 52041 //
     /*   24699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24764 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24788 */     GIR_RootConstrainSelectedInstOperands,
     /*   24789 */     // GIR_Coverage, 52041,
     /*   24789 */     GIR_EraseRootFromParent_Done,
     /*   24790 */   // Label 472: @24790
     /*   24790 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24886), // Rule ID 52042 //
     /*   24795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24860 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24884 */     GIR_RootConstrainSelectedInstOperands,
     /*   24885 */     // GIR_Coverage, 52042,
     /*   24885 */     GIR_EraseRootFromParent_Done,
     /*   24886 */   // Label 473: @24886
     /*   24886 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24982), // Rule ID 70699 //
     /*   24891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24954 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24956 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24980 */     GIR_RootConstrainSelectedInstOperands,
     /*   24981 */     // GIR_Coverage, 70699,
     /*   24981 */     GIR_EraseRootFromParent_Done,
     /*   24982 */   // Label 474: @24982
     /*   24982 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(25078), // Rule ID 70700 //
     /*   24987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25052 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   25055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25076 */     GIR_RootConstrainSelectedInstOperands,
     /*   25077 */     // GIR_Coverage, 70700,
     /*   25077 */     GIR_EraseRootFromParent_Done,
     /*   25078 */   // Label 475: @25078
     /*   25078 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(25174), // Rule ID 51981 //
     /*   25083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25148 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25172 */     GIR_RootConstrainSelectedInstOperands,
     /*   25173 */     // GIR_Coverage, 51981,
     /*   25173 */     GIR_EraseRootFromParent_Done,
     /*   25174 */   // Label 476: @25174
     /*   25174 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(25270), // Rule ID 51982 //
     /*   25179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25244 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25268 */     GIR_RootConstrainSelectedInstOperands,
     /*   25269 */     // GIR_Coverage, 51982,
     /*   25269 */     GIR_EraseRootFromParent_Done,
     /*   25270 */   // Label 477: @25270
     /*   25270 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(25359), // Rule ID 46591 //
     /*   25275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25309 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25318 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25357 */     GIR_RootConstrainSelectedInstOperands,
     /*   25358 */     // GIR_Coverage, 46591,
     /*   25358 */     GIR_EraseRootFromParent_Done,
     /*   25359 */   // Label 478: @25359
     /*   25359 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(25448), // Rule ID 46592 //
     /*   25364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25407 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25446 */     GIR_RootConstrainSelectedInstOperands,
     /*   25447 */     // GIR_Coverage, 46592,
     /*   25447 */     GIR_EraseRootFromParent_Done,
     /*   25448 */   // Label 479: @25448
     /*   25448 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(25537), // Rule ID 46355 //
     /*   25453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25487 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25496 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25535 */     GIR_RootConstrainSelectedInstOperands,
     /*   25536 */     // GIR_Coverage, 46355,
     /*   25536 */     GIR_EraseRootFromParent_Done,
     /*   25537 */   // Label 480: @25537
     /*   25537 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25626), // Rule ID 46356 //
     /*   25542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25576 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25585 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25624 */     GIR_RootConstrainSelectedInstOperands,
     /*   25625 */     // GIR_Coverage, 46356,
     /*   25625 */     GIR_EraseRootFromParent_Done,
     /*   25626 */   // Label 481: @25626
     /*   25626 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25715), // Rule ID 46471 //
     /*   25631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25674 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25713 */     GIR_RootConstrainSelectedInstOperands,
     /*   25714 */     // GIR_Coverage, 46471,
     /*   25714 */     GIR_EraseRootFromParent_Done,
     /*   25715 */   // Label 482: @25715
     /*   25715 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25804), // Rule ID 46472 //
     /*   25720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25763 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25802 */     GIR_RootConstrainSelectedInstOperands,
     /*   25803 */     // GIR_Coverage, 46472,
     /*   25803 */     GIR_EraseRootFromParent_Done,
     /*   25804 */   // Label 483: @25804
     /*   25804 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25872), // Rule ID 70327 //
     /*   25809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25846 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   25846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25870 */     GIR_RootConstrainSelectedInstOperands,
     /*   25871 */     // GIR_Coverage, 70327,
     /*   25871 */     GIR_EraseRootFromParent_Done,
     /*   25872 */   // Label 484: @25872
     /*   25872 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25940), // Rule ID 70328 //
     /*   25877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25914 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   25914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25938 */     GIR_RootConstrainSelectedInstOperands,
     /*   25939 */     // GIR_Coverage, 70328,
     /*   25939 */     GIR_EraseRootFromParent_Done,
     /*   25940 */   // Label 485: @25940
     /*   25940 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(25995), // Rule ID 69239 //
     /*   25945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25973 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   25976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25993 */     GIR_RootConstrainSelectedInstOperands,
     /*   25994 */     // GIR_Coverage, 69239,
     /*   25994 */     GIR_EraseRootFromParent_Done,
     /*   25995 */   // Label 486: @25995
     /*   25995 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(26050), // Rule ID 69240 //
     /*   26000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26028 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26048 */     GIR_RootConstrainSelectedInstOperands,
     /*   26049 */     // GIR_Coverage, 69240,
     /*   26049 */     GIR_EraseRootFromParent_Done,
     /*   26050 */   // Label 487: @26050
     /*   26050 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(26105), // Rule ID 69059 //
     /*   26055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26083 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26103 */     GIR_RootConstrainSelectedInstOperands,
     /*   26104 */     // GIR_Coverage, 69059,
     /*   26104 */     GIR_EraseRootFromParent_Done,
     /*   26105 */   // Label 488: @26105
     /*   26105 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(26160), // Rule ID 69060 //
     /*   26110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26138 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26158 */     GIR_RootConstrainSelectedInstOperands,
     /*   26159 */     // GIR_Coverage, 69060,
     /*   26159 */     GIR_EraseRootFromParent_Done,
     /*   26160 */   // Label 489: @26160
     /*   26160 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(26215), // Rule ID 69149 //
     /*   26165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26193 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26213 */     GIR_RootConstrainSelectedInstOperands,
     /*   26214 */     // GIR_Coverage, 69149,
     /*   26214 */     GIR_EraseRootFromParent_Done,
     /*   26215 */   // Label 490: @26215
     /*   26215 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(26270), // Rule ID 69150 //
     /*   26220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26248 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26268 */     GIR_RootConstrainSelectedInstOperands,
     /*   26269 */     // GIR_Coverage, 69150,
     /*   26269 */     GIR_EraseRootFromParent_Done,
     /*   26270 */   // Label 491: @26270
     /*   26270 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26338), // Rule ID 51801 //
     /*   26275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26312 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   26312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26336 */     GIR_RootConstrainSelectedInstOperands,
     /*   26337 */     // GIR_Coverage, 51801,
     /*   26337 */     GIR_EraseRootFromParent_Done,
     /*   26338 */   // Label 492: @26338
     /*   26338 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26406), // Rule ID 51802 //
     /*   26343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26380 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   26380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26404 */     GIR_RootConstrainSelectedInstOperands,
     /*   26405 */     // GIR_Coverage, 51802,
     /*   26405 */     GIR_EraseRootFromParent_Done,
     /*   26406 */   // Label 493: @26406
     /*   26406 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26461), // Rule ID 46651 //
     /*   26411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26439 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26459 */     GIR_RootConstrainSelectedInstOperands,
     /*   26460 */     // GIR_Coverage, 46651,
     /*   26460 */     GIR_EraseRootFromParent_Done,
     /*   26461 */   // Label 494: @26461
     /*   26461 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26516), // Rule ID 46652 //
     /*   26466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26494 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26514 */     GIR_RootConstrainSelectedInstOperands,
     /*   26515 */     // GIR_Coverage, 46652,
     /*   26515 */     GIR_EraseRootFromParent_Done,
     /*   26516 */   // Label 495: @26516
     /*   26516 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26571), // Rule ID 46411 //
     /*   26521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26549 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26569 */     GIR_RootConstrainSelectedInstOperands,
     /*   26570 */     // GIR_Coverage, 46411,
     /*   26570 */     GIR_EraseRootFromParent_Done,
     /*   26571 */   // Label 496: @26571
     /*   26571 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26626), // Rule ID 46412 //
     /*   26576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26604 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26624 */     GIR_RootConstrainSelectedInstOperands,
     /*   26625 */     // GIR_Coverage, 46412,
     /*   26625 */     GIR_EraseRootFromParent_Done,
     /*   26626 */   // Label 497: @26626
     /*   26626 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26681), // Rule ID 46531 //
     /*   26631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26659 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26679 */     GIR_RootConstrainSelectedInstOperands,
     /*   26680 */     // GIR_Coverage, 46531,
     /*   26680 */     GIR_EraseRootFromParent_Done,
     /*   26681 */   // Label 498: @26681
     /*   26681 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26736), // Rule ID 46532 //
     /*   26686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26714 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26734 */     GIR_RootConstrainSelectedInstOperands,
     /*   26735 */     // GIR_Coverage, 46532,
     /*   26735 */     GIR_EraseRootFromParent_Done,
     /*   26736 */   // Label 499: @26736
     /*   26736 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26789), // Rule ID 46037 //
     /*   26741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26752 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   26752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26787 */     GIR_RootConstrainSelectedInstOperands,
     /*   26788 */     // GIR_Coverage, 46037,
     /*   26788 */     GIR_EraseRootFromParent_Done,
     /*   26789 */   // Label 500: @26789
     /*   26789 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26842), // Rule ID 46038 //
     /*   26794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26805 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   26805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26840 */     GIR_RootConstrainSelectedInstOperands,
     /*   26841 */     // GIR_Coverage, 46038,
     /*   26841 */     GIR_EraseRootFromParent_Done,
     /*   26842 */   // Label 501: @26842
     /*   26842 */   GIM_Reject,
     /*   26843 */ // Label 461: @26843
     /*   26843 */ GIM_Reject,
     /*   26844 */ // Label 134: @26844
     /*   26844 */ GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(27238),
     /*   26849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26859 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(26927), // Rule ID 70191 //
     /*   26864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26901 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   26901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26925 */     GIR_RootConstrainSelectedInstOperands,
     /*   26926 */     // GIR_Coverage, 70191,
     /*   26926 */     GIR_EraseRootFromParent_Done,
     /*   26927 */   // Label 503: @26927
     /*   26927 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(26995), // Rule ID 70192 //
     /*   26932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26969 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   26969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26993 */     GIR_RootConstrainSelectedInstOperands,
     /*   26994 */     // GIR_Coverage, 70192,
     /*   26994 */     GIR_EraseRootFromParent_Done,
     /*   26995 */   // Label 504: @26995
     /*   26995 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27063), // Rule ID 51733 //
     /*   27000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27037 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27061 */     GIR_RootConstrainSelectedInstOperands,
     /*   27062 */     // GIR_Coverage, 51733,
     /*   27062 */     GIR_EraseRootFromParent_Done,
     /*   27063 */   // Label 505: @27063
     /*   27063 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27131), // Rule ID 51734 //
     /*   27068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27105 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27129 */     GIR_RootConstrainSelectedInstOperands,
     /*   27130 */     // GIR_Coverage, 51734,
     /*   27130 */     GIR_EraseRootFromParent_Done,
     /*   27131 */   // Label 506: @27131
     /*   27131 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27184), // Rule ID 45969 //
     /*   27136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27147 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   27147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27182 */     GIR_RootConstrainSelectedInstOperands,
     /*   27183 */     // GIR_Coverage, 45969,
     /*   27183 */     GIR_EraseRootFromParent_Done,
     /*   27184 */   // Label 507: @27184
     /*   27184 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27237), // Rule ID 45970 //
     /*   27189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27200 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   27200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27235 */     GIR_RootConstrainSelectedInstOperands,
     /*   27236 */     // GIR_Coverage, 45970,
     /*   27236 */     GIR_EraseRootFromParent_Done,
     /*   27237 */   // Label 508: @27237
     /*   27237 */   GIM_Reject,
     /*   27238 */ // Label 502: @27238
     /*   27238 */ GIM_Reject,
     /*   27239 */ // Label 135: @27239
     /*   27239 */ GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(30363),
     /*   27244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27254 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27350), // Rule ID 70397 //
     /*   27259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27299 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27303 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27307 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27311 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27313 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27324 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27348 */     GIR_RootConstrainSelectedInstOperands,
     /*   27349 */     // GIR_Coverage, 70397,
     /*   27349 */     GIR_EraseRootFromParent_Done,
     /*   27350 */   // Label 510: @27350
     /*   27350 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27446), // Rule ID 70398 //
     /*   27355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27388 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27407 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27409 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27418 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27420 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27444 */     GIR_RootConstrainSelectedInstOperands,
     /*   27445 */     // GIR_Coverage, 70398,
     /*   27445 */     GIR_EraseRootFromParent_Done,
     /*   27446 */   // Label 511: @27446
     /*   27446 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27542), // Rule ID 70641 //
     /*   27451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27484 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27491 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27495 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27499 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27503 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27505 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27516 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27540 */     GIR_RootConstrainSelectedInstOperands,
     /*   27541 */     // GIR_Coverage, 70641,
     /*   27541 */     GIR_EraseRootFromParent_Done,
     /*   27542 */   // Label 512: @27542
     /*   27542 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27638), // Rule ID 70642 //
     /*   27547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27595 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27599 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27601 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27612 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27636 */     GIR_RootConstrainSelectedInstOperands,
     /*   27637 */     // GIR_Coverage, 70642,
     /*   27637 */     GIR_EraseRootFromParent_Done,
     /*   27638 */   // Label 513: @27638
     /*   27638 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27734), // Rule ID 70643 //
     /*   27643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27676 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27691 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27695 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27697 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27706 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27708 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27732 */     GIR_RootConstrainSelectedInstOperands,
     /*   27733 */     // GIR_Coverage, 70643,
     /*   27733 */     GIR_EraseRootFromParent_Done,
     /*   27734 */   // Label 514: @27734
     /*   27734 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27830), // Rule ID 70644 //
     /*   27739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27804 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27828 */     GIR_RootConstrainSelectedInstOperands,
     /*   27829 */     // GIR_Coverage, 70644,
     /*   27829 */     GIR_EraseRootFromParent_Done,
     /*   27830 */   // Label 515: @27830
     /*   27830 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27926), // Rule ID 70511 //
     /*   27835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27900 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27924 */     GIR_RootConstrainSelectedInstOperands,
     /*   27925 */     // GIR_Coverage, 70511,
     /*   27925 */     GIR_EraseRootFromParent_Done,
     /*   27926 */   // Label 516: @27926
     /*   27926 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(28022), // Rule ID 70512 //
     /*   27931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27996 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28020 */     GIR_RootConstrainSelectedInstOperands,
     /*   28021 */     // GIR_Coverage, 70512,
     /*   28021 */     GIR_EraseRootFromParent_Done,
     /*   28022 */   // Label 517: @28022
     /*   28022 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(28118), // Rule ID 51903 //
     /*   28027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28079 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28083 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28085 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28092 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28116 */     GIR_RootConstrainSelectedInstOperands,
     /*   28117 */     // GIR_Coverage, 51903,
     /*   28117 */     GIR_EraseRootFromParent_Done,
     /*   28118 */   // Label 518: @28118
     /*   28118 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(28214), // Rule ID 51904 //
     /*   28123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28160 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28167 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28171 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28175 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28179 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28181 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28188 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28212 */     GIR_RootConstrainSelectedInstOperands,
     /*   28213 */     // GIR_Coverage, 51904,
     /*   28213 */     GIR_EraseRootFromParent_Done,
     /*   28214 */   // Label 519: @28214
     /*   28214 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(28310), // Rule ID 52021 //
     /*   28219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28271 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28275 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28277 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28284 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28308 */     GIR_RootConstrainSelectedInstOperands,
     /*   28309 */     // GIR_Coverage, 52021,
     /*   28309 */     GIR_EraseRootFromParent_Done,
     /*   28310 */   // Label 520: @28310
     /*   28310 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28406), // Rule ID 52022 //
     /*   28315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28352 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28367 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28371 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28373 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28380 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28404 */     GIR_RootConstrainSelectedInstOperands,
     /*   28405 */     // GIR_Coverage, 52022,
     /*   28405 */     GIR_EraseRootFromParent_Done,
     /*   28406 */   // Label 521: @28406
     /*   28406 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28502), // Rule ID 70639 //
     /*   28411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28448 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28463 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28467 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28469 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28476 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28500 */     GIR_RootConstrainSelectedInstOperands,
     /*   28501 */     // GIR_Coverage, 70639,
     /*   28501 */     GIR_EraseRootFromParent_Done,
     /*   28502 */   // Label 522: @28502
     /*   28502 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28598), // Rule ID 70640 //
     /*   28507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28572 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28596 */     GIR_RootConstrainSelectedInstOperands,
     /*   28597 */     // GIR_Coverage, 70640,
     /*   28597 */     GIR_EraseRootFromParent_Done,
     /*   28598 */   // Label 523: @28598
     /*   28598 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28694), // Rule ID 51961 //
     /*   28603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28668 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28692 */     GIR_RootConstrainSelectedInstOperands,
     /*   28693 */     // GIR_Coverage, 51961,
     /*   28693 */     GIR_EraseRootFromParent_Done,
     /*   28694 */   // Label 524: @28694
     /*   28694 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28790), // Rule ID 51962 //
     /*   28699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28764 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28788 */     GIR_RootConstrainSelectedInstOperands,
     /*   28789 */     // GIR_Coverage, 51962,
     /*   28789 */     GIR_EraseRootFromParent_Done,
     /*   28790 */   // Label 525: @28790
     /*   28790 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28879), // Rule ID 46551 //
     /*   28795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28829 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28838 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   28838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28877 */     GIR_RootConstrainSelectedInstOperands,
     /*   28878 */     // GIR_Coverage, 46551,
     /*   28878 */     GIR_EraseRootFromParent_Done,
     /*   28879 */   // Label 526: @28879
     /*   28879 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28968), // Rule ID 46552 //
     /*   28884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28899 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28927 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   28927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28966 */     GIR_RootConstrainSelectedInstOperands,
     /*   28967 */     // GIR_Coverage, 46552,
     /*   28967 */     GIR_EraseRootFromParent_Done,
     /*   28968 */   // Label 527: @28968
     /*   28968 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(29057), // Rule ID 46315 //
     /*   28973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29007 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29016 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29055 */     GIR_RootConstrainSelectedInstOperands,
     /*   29056 */     // GIR_Coverage, 46315,
     /*   29056 */     GIR_EraseRootFromParent_Done,
     /*   29057 */   // Label 528: @29057
     /*   29057 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(29146), // Rule ID 46316 //
     /*   29062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29105 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29144 */     GIR_RootConstrainSelectedInstOperands,
     /*   29145 */     // GIR_Coverage, 46316,
     /*   29145 */     GIR_EraseRootFromParent_Done,
     /*   29146 */   // Label 529: @29146
     /*   29146 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(29235), // Rule ID 46431 //
     /*   29151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29194 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29233 */     GIR_RootConstrainSelectedInstOperands,
     /*   29234 */     // GIR_Coverage, 46431,
     /*   29234 */     GIR_EraseRootFromParent_Done,
     /*   29235 */   // Label 530: @29235
     /*   29235 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29324), // Rule ID 46432 //
     /*   29240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29283 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29322 */     GIR_RootConstrainSelectedInstOperands,
     /*   29323 */     // GIR_Coverage, 46432,
     /*   29323 */     GIR_EraseRootFromParent_Done,
     /*   29324 */   // Label 531: @29324
     /*   29324 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29392), // Rule ID 70231 //
     /*   29329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29366 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29390 */     GIR_RootConstrainSelectedInstOperands,
     /*   29391 */     // GIR_Coverage, 70231,
     /*   29391 */     GIR_EraseRootFromParent_Done,
     /*   29392 */   // Label 532: @29392
     /*   29392 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29460), // Rule ID 70232 //
     /*   29397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29434 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29458 */     GIR_RootConstrainSelectedInstOperands,
     /*   29459 */     // GIR_Coverage, 70232,
     /*   29459 */     GIR_EraseRootFromParent_Done,
     /*   29460 */   // Label 533: @29460
     /*   29460 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29515), // Rule ID 69199 //
     /*   29465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29493 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29513 */     GIR_RootConstrainSelectedInstOperands,
     /*   29514 */     // GIR_Coverage, 69199,
     /*   29514 */     GIR_EraseRootFromParent_Done,
     /*   29515 */   // Label 534: @29515
     /*   29515 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29570), // Rule ID 69200 //
     /*   29520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29548 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29568 */     GIR_RootConstrainSelectedInstOperands,
     /*   29569 */     // GIR_Coverage, 69200,
     /*   29569 */     GIR_EraseRootFromParent_Done,
     /*   29570 */   // Label 535: @29570
     /*   29570 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29625), // Rule ID 69019 //
     /*   29575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29603 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29623 */     GIR_RootConstrainSelectedInstOperands,
     /*   29624 */     // GIR_Coverage, 69019,
     /*   29624 */     GIR_EraseRootFromParent_Done,
     /*   29625 */   // Label 536: @29625
     /*   29625 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29680), // Rule ID 69020 //
     /*   29630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29658 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29678 */     GIR_RootConstrainSelectedInstOperands,
     /*   29679 */     // GIR_Coverage, 69020,
     /*   29679 */     GIR_EraseRootFromParent_Done,
     /*   29680 */   // Label 537: @29680
     /*   29680 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29735), // Rule ID 69109 //
     /*   29685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29713 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29733 */     GIR_RootConstrainSelectedInstOperands,
     /*   29734 */     // GIR_Coverage, 69109,
     /*   29734 */     GIR_EraseRootFromParent_Done,
     /*   29735 */   // Label 538: @29735
     /*   29735 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29790), // Rule ID 69110 //
     /*   29740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29768 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29788 */     GIR_RootConstrainSelectedInstOperands,
     /*   29789 */     // GIR_Coverage, 69110,
     /*   29789 */     GIR_EraseRootFromParent_Done,
     /*   29790 */   // Label 539: @29790
     /*   29790 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29858), // Rule ID 51753 //
     /*   29795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29832 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29856 */     GIR_RootConstrainSelectedInstOperands,
     /*   29857 */     // GIR_Coverage, 51753,
     /*   29857 */     GIR_EraseRootFromParent_Done,
     /*   29858 */   // Label 540: @29858
     /*   29858 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29926), // Rule ID 51754 //
     /*   29863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29900 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29924 */     GIR_RootConstrainSelectedInstOperands,
     /*   29925 */     // GIR_Coverage, 51754,
     /*   29925 */     GIR_EraseRootFromParent_Done,
     /*   29926 */   // Label 541: @29926
     /*   29926 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29981), // Rule ID 46611 //
     /*   29931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29959 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29979 */     GIR_RootConstrainSelectedInstOperands,
     /*   29980 */     // GIR_Coverage, 46611,
     /*   29980 */     GIR_EraseRootFromParent_Done,
     /*   29981 */   // Label 542: @29981
     /*   29981 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30036), // Rule ID 46612 //
     /*   29986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30014 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30034 */     GIR_RootConstrainSelectedInstOperands,
     /*   30035 */     // GIR_Coverage, 46612,
     /*   30035 */     GIR_EraseRootFromParent_Done,
     /*   30036 */   // Label 543: @30036
     /*   30036 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30091), // Rule ID 46371 //
     /*   30041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30069 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30089 */     GIR_RootConstrainSelectedInstOperands,
     /*   30090 */     // GIR_Coverage, 46371,
     /*   30090 */     GIR_EraseRootFromParent_Done,
     /*   30091 */   // Label 544: @30091
     /*   30091 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30146), // Rule ID 46372 //
     /*   30096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30124 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30144 */     GIR_RootConstrainSelectedInstOperands,
     /*   30145 */     // GIR_Coverage, 46372,
     /*   30145 */     GIR_EraseRootFromParent_Done,
     /*   30146 */   // Label 545: @30146
     /*   30146 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30201), // Rule ID 46491 //
     /*   30151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30170 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30179 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30199 */     GIR_RootConstrainSelectedInstOperands,
     /*   30200 */     // GIR_Coverage, 46491,
     /*   30200 */     GIR_EraseRootFromParent_Done,
     /*   30201 */   // Label 546: @30201
     /*   30201 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30256), // Rule ID 46492 //
     /*   30206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30234 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30254 */     GIR_RootConstrainSelectedInstOperands,
     /*   30255 */     // GIR_Coverage, 46492,
     /*   30255 */     GIR_EraseRootFromParent_Done,
     /*   30256 */   // Label 547: @30256
     /*   30256 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30309), // Rule ID 45989 //
     /*   30261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30272 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30307 */     GIR_RootConstrainSelectedInstOperands,
     /*   30308 */     // GIR_Coverage, 45989,
     /*   30308 */     GIR_EraseRootFromParent_Done,
     /*   30309 */   // Label 548: @30309
     /*   30309 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30362), // Rule ID 45990 //
     /*   30314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30325 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30360 */     GIR_RootConstrainSelectedInstOperands,
     /*   30361 */     // GIR_Coverage, 45990,
     /*   30361 */     GIR_EraseRootFromParent_Done,
     /*   30362 */   // Label 549: @30362
     /*   30362 */   GIM_Reject,
     /*   30363 */ // Label 509: @30363
     /*   30363 */ GIM_Reject,
     /*   30364 */ // Label 136: @30364
     /*   30364 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(33488),
     /*   30369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30379 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30475), // Rule ID 70409 //
     /*   30384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30432 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30436 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30438 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30447 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30449 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30473 */     GIR_RootConstrainSelectedInstOperands,
     /*   30474 */     // GIR_Coverage, 70409,
     /*   30474 */     GIR_EraseRootFromParent_Done,
     /*   30475 */   // Label 551: @30475
     /*   30475 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30571), // Rule ID 70410 //
     /*   30480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30499 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30528 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30532 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30534 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30543 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30545 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30569 */     GIR_RootConstrainSelectedInstOperands,
     /*   30570 */     // GIR_Coverage, 70410,
     /*   30570 */     GIR_EraseRootFromParent_Done,
     /*   30571 */   // Label 552: @30571
     /*   30571 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30667), // Rule ID 70677 //
     /*   30576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30591 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30616 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30620 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30624 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30628 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30630 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30641 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30665 */     GIR_RootConstrainSelectedInstOperands,
     /*   30666 */     // GIR_Coverage, 70677,
     /*   30666 */     GIR_EraseRootFromParent_Done,
     /*   30667 */   // Label 553: @30667
     /*   30667 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30763), // Rule ID 70678 //
     /*   30672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30705 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30720 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30724 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30726 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30737 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30761 */     GIR_RootConstrainSelectedInstOperands,
     /*   30762 */     // GIR_Coverage, 70678,
     /*   30762 */     GIR_EraseRootFromParent_Done,
     /*   30763 */   // Label 554: @30763
     /*   30763 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30859), // Rule ID 70679 //
     /*   30768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30808 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30812 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30816 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30820 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30822 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30831 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30833 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30857 */     GIR_RootConstrainSelectedInstOperands,
     /*   30858 */     // GIR_Coverage, 70679,
     /*   30858 */     GIR_EraseRootFromParent_Done,
     /*   30859 */   // Label 555: @30859
     /*   30859 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30955), // Rule ID 70680 //
     /*   30864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30897 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30904 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30908 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30912 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30916 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30918 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30927 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30929 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30953 */     GIR_RootConstrainSelectedInstOperands,
     /*   30954 */     // GIR_Coverage, 70680,
     /*   30954 */     GIR_EraseRootFromParent_Done,
     /*   30955 */   // Label 556: @30955
     /*   30955 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(31051), // Rule ID 70523 //
     /*   30960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31008 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31012 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31014 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31023 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31025 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31049 */     GIR_RootConstrainSelectedInstOperands,
     /*   31050 */     // GIR_Coverage, 70523,
     /*   31050 */     GIR_EraseRootFromParent_Done,
     /*   31051 */   // Label 557: @31051
     /*   31051 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(31147), // Rule ID 70524 //
     /*   31056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31089 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31096 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31100 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31104 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31108 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31110 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31119 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31121 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31145 */     GIR_RootConstrainSelectedInstOperands,
     /*   31146 */     // GIR_Coverage, 70524,
     /*   31146 */     GIR_EraseRootFromParent_Done,
     /*   31147 */   // Label 558: @31147
     /*   31147 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(31243), // Rule ID 51915 //
     /*   31152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31189 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31204 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31208 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31210 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31217 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31241 */     GIR_RootConstrainSelectedInstOperands,
     /*   31242 */     // GIR_Coverage, 51915,
     /*   31242 */     GIR_EraseRootFromParent_Done,
     /*   31243 */   // Label 559: @31243
     /*   31243 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31339), // Rule ID 51916 //
     /*   31248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31300 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31304 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31306 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31313 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31337 */     GIR_RootConstrainSelectedInstOperands,
     /*   31338 */     // GIR_Coverage, 51916,
     /*   31338 */     GIR_EraseRootFromParent_Done,
     /*   31339 */   // Label 560: @31339
     /*   31339 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31435), // Rule ID 52033 //
     /*   31344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31396 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31400 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31402 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31409 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31433 */     GIR_RootConstrainSelectedInstOperands,
     /*   31434 */     // GIR_Coverage, 52033,
     /*   31434 */     GIR_EraseRootFromParent_Done,
     /*   31435 */   // Label 561: @31435
     /*   31435 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31531), // Rule ID 52034 //
     /*   31440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31503 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31505 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31529 */     GIR_RootConstrainSelectedInstOperands,
     /*   31530 */     // GIR_Coverage, 52034,
     /*   31530 */     GIR_EraseRootFromParent_Done,
     /*   31531 */   // Label 562: @31531
     /*   31531 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31627), // Rule ID 70675 //
     /*   31536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31601 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31625 */     GIR_RootConstrainSelectedInstOperands,
     /*   31626 */     // GIR_Coverage, 70675,
     /*   31626 */     GIR_EraseRootFromParent_Done,
     /*   31627 */   // Label 563: @31627
     /*   31627 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31723), // Rule ID 70676 //
     /*   31632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31697 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31721 */     GIR_RootConstrainSelectedInstOperands,
     /*   31722 */     // GIR_Coverage, 70676,
     /*   31722 */     GIR_EraseRootFromParent_Done,
     /*   31723 */   // Label 564: @31723
     /*   31723 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31819), // Rule ID 51973 //
     /*   31728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31793 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31817 */     GIR_RootConstrainSelectedInstOperands,
     /*   31818 */     // GIR_Coverage, 51973,
     /*   31818 */     GIR_EraseRootFromParent_Done,
     /*   31819 */   // Label 565: @31819
     /*   31819 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31915), // Rule ID 51974 //
     /*   31824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31887 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31889 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31913 */     GIR_RootConstrainSelectedInstOperands,
     /*   31914 */     // GIR_Coverage, 51974,
     /*   31914 */     GIR_EraseRootFromParent_Done,
     /*   31915 */   // Label 566: @31915
     /*   31915 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(32004), // Rule ID 46575 //
     /*   31920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   31946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31963 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   31966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   31980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32002 */     GIR_RootConstrainSelectedInstOperands,
     /*   32003 */     // GIR_Coverage, 46575,
     /*   32003 */     GIR_EraseRootFromParent_Done,
     /*   32004 */   // Label 567: @32004
     /*   32004 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(32093), // Rule ID 46576 //
     /*   32009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32043 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32052 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32091 */     GIR_RootConstrainSelectedInstOperands,
     /*   32092 */     // GIR_Coverage, 46576,
     /*   32092 */     GIR_EraseRootFromParent_Done,
     /*   32093 */   // Label 568: @32093
     /*   32093 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(32182), // Rule ID 46339 //
     /*   32098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32132 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32141 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32180 */     GIR_RootConstrainSelectedInstOperands,
     /*   32181 */     // GIR_Coverage, 46339,
     /*   32181 */     GIR_EraseRootFromParent_Done,
     /*   32182 */   // Label 569: @32182
     /*   32182 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(32271), // Rule ID 46340 //
     /*   32187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32221 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32230 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32269 */     GIR_RootConstrainSelectedInstOperands,
     /*   32270 */     // GIR_Coverage, 46340,
     /*   32270 */     GIR_EraseRootFromParent_Done,
     /*   32271 */   // Label 570: @32271
     /*   32271 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(32360), // Rule ID 46455 //
     /*   32276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32319 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32358 */     GIR_RootConstrainSelectedInstOperands,
     /*   32359 */     // GIR_Coverage, 46455,
     /*   32359 */     GIR_EraseRootFromParent_Done,
     /*   32360 */   // Label 571: @32360
     /*   32360 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(32449), // Rule ID 46456 //
     /*   32365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32408 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32447 */     GIR_RootConstrainSelectedInstOperands,
     /*   32448 */     // GIR_Coverage, 46456,
     /*   32448 */     GIR_EraseRootFromParent_Done,
     /*   32449 */   // Label 572: @32449
     /*   32449 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(32517), // Rule ID 70303 //
     /*   32454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32491 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32515 */     GIR_RootConstrainSelectedInstOperands,
     /*   32516 */     // GIR_Coverage, 70303,
     /*   32516 */     GIR_EraseRootFromParent_Done,
     /*   32517 */   // Label 573: @32517
     /*   32517 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32585), // Rule ID 70304 //
     /*   32522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32559 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   32559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32583 */     GIR_RootConstrainSelectedInstOperands,
     /*   32584 */     // GIR_Coverage, 70304,
     /*   32584 */     GIR_EraseRootFromParent_Done,
     /*   32585 */   // Label 574: @32585
     /*   32585 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32640), // Rule ID 69223 //
     /*   32590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32618 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32638 */     GIR_RootConstrainSelectedInstOperands,
     /*   32639 */     // GIR_Coverage, 69223,
     /*   32639 */     GIR_EraseRootFromParent_Done,
     /*   32640 */   // Label 575: @32640
     /*   32640 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32695), // Rule ID 69224 //
     /*   32645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32673 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32693 */     GIR_RootConstrainSelectedInstOperands,
     /*   32694 */     // GIR_Coverage, 69224,
     /*   32694 */     GIR_EraseRootFromParent_Done,
     /*   32695 */   // Label 576: @32695
     /*   32695 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32750), // Rule ID 69043 //
     /*   32700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32728 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32748 */     GIR_RootConstrainSelectedInstOperands,
     /*   32749 */     // GIR_Coverage, 69043,
     /*   32749 */     GIR_EraseRootFromParent_Done,
     /*   32750 */   // Label 577: @32750
     /*   32750 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32805), // Rule ID 69044 //
     /*   32755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32783 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32803 */     GIR_RootConstrainSelectedInstOperands,
     /*   32804 */     // GIR_Coverage, 69044,
     /*   32804 */     GIR_EraseRootFromParent_Done,
     /*   32805 */   // Label 578: @32805
     /*   32805 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32860), // Rule ID 69133 //
     /*   32810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32838 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32858 */     GIR_RootConstrainSelectedInstOperands,
     /*   32859 */     // GIR_Coverage, 69133,
     /*   32859 */     GIR_EraseRootFromParent_Done,
     /*   32860 */   // Label 579: @32860
     /*   32860 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32915), // Rule ID 69134 //
     /*   32865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32893 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32913 */     GIR_RootConstrainSelectedInstOperands,
     /*   32914 */     // GIR_Coverage, 69134,
     /*   32914 */     GIR_EraseRootFromParent_Done,
     /*   32915 */   // Label 580: @32915
     /*   32915 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32983), // Rule ID 51789 //
     /*   32920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32957 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   32972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32981 */     GIR_RootConstrainSelectedInstOperands,
     /*   32982 */     // GIR_Coverage, 51789,
     /*   32982 */     GIR_EraseRootFromParent_Done,
     /*   32983 */   // Label 581: @32983
     /*   32983 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(33051), // Rule ID 51790 //
     /*   32988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   33011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33025 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   33028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33049 */     GIR_RootConstrainSelectedInstOperands,
     /*   33050 */     // GIR_Coverage, 51790,
     /*   33050 */     GIR_EraseRootFromParent_Done,
     /*   33051 */   // Label 582: @33051
     /*   33051 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(33106), // Rule ID 46635 //
     /*   33056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33084 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33104 */     GIR_RootConstrainSelectedInstOperands,
     /*   33105 */     // GIR_Coverage, 46635,
     /*   33105 */     GIR_EraseRootFromParent_Done,
     /*   33106 */   // Label 583: @33106
     /*   33106 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33161), // Rule ID 46636 //
     /*   33111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33139 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33159 */     GIR_RootConstrainSelectedInstOperands,
     /*   33160 */     // GIR_Coverage, 46636,
     /*   33160 */     GIR_EraseRootFromParent_Done,
     /*   33161 */   // Label 584: @33161
     /*   33161 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33216), // Rule ID 46395 //
     /*   33166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33194 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33214 */     GIR_RootConstrainSelectedInstOperands,
     /*   33215 */     // GIR_Coverage, 46395,
     /*   33215 */     GIR_EraseRootFromParent_Done,
     /*   33216 */   // Label 585: @33216
     /*   33216 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33271), // Rule ID 46396 //
     /*   33221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33249 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33269 */     GIR_RootConstrainSelectedInstOperands,
     /*   33270 */     // GIR_Coverage, 46396,
     /*   33270 */     GIR_EraseRootFromParent_Done,
     /*   33271 */   // Label 586: @33271
     /*   33271 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33326), // Rule ID 46515 //
     /*   33276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33304 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33324 */     GIR_RootConstrainSelectedInstOperands,
     /*   33325 */     // GIR_Coverage, 46515,
     /*   33325 */     GIR_EraseRootFromParent_Done,
     /*   33326 */   // Label 587: @33326
     /*   33326 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33381), // Rule ID 46516 //
     /*   33331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33359 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33379 */     GIR_RootConstrainSelectedInstOperands,
     /*   33380 */     // GIR_Coverage, 46516,
     /*   33380 */     GIR_EraseRootFromParent_Done,
     /*   33381 */   // Label 588: @33381
     /*   33381 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33434), // Rule ID 46025 //
     /*   33386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33397 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33432 */     GIR_RootConstrainSelectedInstOperands,
     /*   33433 */     // GIR_Coverage, 46025,
     /*   33433 */     GIR_EraseRootFromParent_Done,
     /*   33434 */   // Label 589: @33434
     /*   33434 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33487), // Rule ID 46026 //
     /*   33439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33450 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33485 */     GIR_RootConstrainSelectedInstOperands,
     /*   33486 */     // GIR_Coverage, 46026,
     /*   33486 */     GIR_EraseRootFromParent_Done,
     /*   33487 */   // Label 590: @33487
     /*   33487 */   GIM_Reject,
     /*   33488 */ // Label 550: @33488
     /*   33488 */ GIM_Reject,
     /*   33489 */ // Label 137: @33489
     /*   33489 */ GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(36613),
     /*   33494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33504 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33600), // Rule ID 70419 //
     /*   33509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33574 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33598 */     GIR_RootConstrainSelectedInstOperands,
     /*   33599 */     // GIR_Coverage, 70419,
     /*   33599 */     GIR_EraseRootFromParent_Done,
     /*   33600 */   // Label 592: @33600
     /*   33600 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33696), // Rule ID 70420 //
     /*   33605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33670 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33694 */     GIR_RootConstrainSelectedInstOperands,
     /*   33695 */     // GIR_Coverage, 70420,
     /*   33695 */     GIR_EraseRootFromParent_Done,
     /*   33696 */   // Label 593: @33696
     /*   33696 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33792), // Rule ID 70707 //
     /*   33701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33766 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33790 */     GIR_RootConstrainSelectedInstOperands,
     /*   33791 */     // GIR_Coverage, 70707,
     /*   33791 */     GIR_EraseRootFromParent_Done,
     /*   33792 */   // Label 594: @33792
     /*   33792 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33888), // Rule ID 70708 //
     /*   33797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33845 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33849 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33851 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33862 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33886 */     GIR_RootConstrainSelectedInstOperands,
     /*   33887 */     // GIR_Coverage, 70708,
     /*   33887 */     GIR_EraseRootFromParent_Done,
     /*   33888 */   // Label 595: @33888
     /*   33888 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33984), // Rule ID 70709 //
     /*   33893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33912 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33926 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33941 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33945 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33958 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   33969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   33973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33982 */     GIR_RootConstrainSelectedInstOperands,
     /*   33983 */     // GIR_Coverage, 70709,
     /*   33983 */     GIR_EraseRootFromParent_Done,
     /*   33984 */   // Label 596: @33984
     /*   33984 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(34080), // Rule ID 70710 //
     /*   33989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34022 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34037 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34041 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34043 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34054 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34078 */     GIR_RootConstrainSelectedInstOperands,
     /*   34079 */     // GIR_Coverage, 70710,
     /*   34079 */     GIR_EraseRootFromParent_Done,
     /*   34080 */   // Label 597: @34080
     /*   34080 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(34176), // Rule ID 70533 //
     /*   34085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34104 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34133 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34137 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34139 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34150 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34174 */     GIR_RootConstrainSelectedInstOperands,
     /*   34175 */     // GIR_Coverage, 70533,
     /*   34175 */     GIR_EraseRootFromParent_Done,
     /*   34176 */   // Label 598: @34176
     /*   34176 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34272), // Rule ID 70534 //
     /*   34181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34196 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34221 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34225 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34229 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34233 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34235 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34246 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34270 */     GIR_RootConstrainSelectedInstOperands,
     /*   34271 */     // GIR_Coverage, 70534,
     /*   34271 */     GIR_EraseRootFromParent_Done,
     /*   34272 */   // Label 599: @34272
     /*   34272 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34368), // Rule ID 51925 //
     /*   34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34342 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34366 */     GIR_RootConstrainSelectedInstOperands,
     /*   34367 */     // GIR_Coverage, 51925,
     /*   34367 */     GIR_EraseRootFromParent_Done,
     /*   34368 */   // Label 600: @34368
     /*   34368 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34464), // Rule ID 51926 //
     /*   34373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34438 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34462 */     GIR_RootConstrainSelectedInstOperands,
     /*   34463 */     // GIR_Coverage, 51926,
     /*   34463 */     GIR_EraseRootFromParent_Done,
     /*   34464 */   // Label 601: @34464
     /*   34464 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34560), // Rule ID 52043 //
     /*   34469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34534 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34558 */     GIR_RootConstrainSelectedInstOperands,
     /*   34559 */     // GIR_Coverage, 52043,
     /*   34559 */     GIR_EraseRootFromParent_Done,
     /*   34560 */   // Label 602: @34560
     /*   34560 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34656), // Rule ID 52044 //
     /*   34565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34617 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34621 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34623 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34628 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34630 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34654 */     GIR_RootConstrainSelectedInstOperands,
     /*   34655 */     // GIR_Coverage, 52044,
     /*   34655 */     GIR_EraseRootFromParent_Done,
     /*   34656 */   // Label 603: @34656
     /*   34656 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34752), // Rule ID 70705 //
     /*   34661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34713 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34717 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34719 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34724 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34726 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34750 */     GIR_RootConstrainSelectedInstOperands,
     /*   34751 */     // GIR_Coverage, 70705,
     /*   34751 */     GIR_EraseRootFromParent_Done,
     /*   34752 */   // Label 604: @34752
     /*   34752 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34848), // Rule ID 70706 //
     /*   34757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34794 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34809 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34813 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34815 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34822 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34846 */     GIR_RootConstrainSelectedInstOperands,
     /*   34847 */     // GIR_Coverage, 70706,
     /*   34847 */     GIR_EraseRootFromParent_Done,
     /*   34848 */   // Label 605: @34848
     /*   34848 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34944), // Rule ID 51983 //
     /*   34853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34897 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34901 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34905 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34909 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34911 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34918 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34942 */     GIR_RootConstrainSelectedInstOperands,
     /*   34943 */     // GIR_Coverage, 51983,
     /*   34943 */     GIR_EraseRootFromParent_Done,
     /*   34944 */   // Label 606: @34944
     /*   34944 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(35040), // Rule ID 51984 //
     /*   34949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34968 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34986 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35001 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35005 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35007 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35014 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   35017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35038 */     GIR_RootConstrainSelectedInstOperands,
     /*   35039 */     // GIR_Coverage, 51984,
     /*   35039 */     GIR_EraseRootFromParent_Done,
     /*   35040 */   // Label 607: @35040
     /*   35040 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(35129), // Rule ID 46595 //
     /*   35045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35079 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35088 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35127 */     GIR_RootConstrainSelectedInstOperands,
     /*   35128 */     // GIR_Coverage, 46595,
     /*   35128 */     GIR_EraseRootFromParent_Done,
     /*   35129 */   // Label 608: @35129
     /*   35129 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(35218), // Rule ID 46596 //
     /*   35134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35177 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35216 */     GIR_RootConstrainSelectedInstOperands,
     /*   35217 */     // GIR_Coverage, 46596,
     /*   35217 */     GIR_EraseRootFromParent_Done,
     /*   35218 */   // Label 609: @35218
     /*   35218 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(35307), // Rule ID 46359 //
     /*   35223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35257 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35266 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35305 */     GIR_RootConstrainSelectedInstOperands,
     /*   35306 */     // GIR_Coverage, 46359,
     /*   35306 */     GIR_EraseRootFromParent_Done,
     /*   35307 */   // Label 610: @35307
     /*   35307 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(35396), // Rule ID 46360 //
     /*   35312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35346 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35355 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35394 */     GIR_RootConstrainSelectedInstOperands,
     /*   35395 */     // GIR_Coverage, 46360,
     /*   35395 */     GIR_EraseRootFromParent_Done,
     /*   35396 */   // Label 611: @35396
     /*   35396 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(35485), // Rule ID 46475 //
     /*   35401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35444 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35483 */     GIR_RootConstrainSelectedInstOperands,
     /*   35484 */     // GIR_Coverage, 46475,
     /*   35484 */     GIR_EraseRootFromParent_Done,
     /*   35485 */   // Label 612: @35485
     /*   35485 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(35574), // Rule ID 46476 //
     /*   35490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35533 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35572 */     GIR_RootConstrainSelectedInstOperands,
     /*   35573 */     // GIR_Coverage, 46476,
     /*   35573 */     GIR_EraseRootFromParent_Done,
     /*   35574 */   // Label 613: @35574
     /*   35574 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35642), // Rule ID 70335 //
     /*   35579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   35582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35616 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   35616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35640 */     GIR_RootConstrainSelectedInstOperands,
     /*   35641 */     // GIR_Coverage, 70335,
     /*   35641 */     GIR_EraseRootFromParent_Done,
     /*   35642 */   // Label 614: @35642
     /*   35642 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35710), // Rule ID 70336 //
     /*   35647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   35650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35684 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   35684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35708 */     GIR_RootConstrainSelectedInstOperands,
     /*   35709 */     // GIR_Coverage, 70336,
     /*   35709 */     GIR_EraseRootFromParent_Done,
     /*   35710 */   // Label 615: @35710
     /*   35710 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35765), // Rule ID 69243 //
     /*   35715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35743 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35763 */     GIR_RootConstrainSelectedInstOperands,
     /*   35764 */     // GIR_Coverage, 69243,
     /*   35764 */     GIR_EraseRootFromParent_Done,
     /*   35765 */   // Label 616: @35765
     /*   35765 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35820), // Rule ID 69244 //
     /*   35770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35798 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35818 */     GIR_RootConstrainSelectedInstOperands,
     /*   35819 */     // GIR_Coverage, 69244,
     /*   35819 */     GIR_EraseRootFromParent_Done,
     /*   35820 */   // Label 617: @35820
     /*   35820 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35875), // Rule ID 69063 //
     /*   35825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35853 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35873 */     GIR_RootConstrainSelectedInstOperands,
     /*   35874 */     // GIR_Coverage, 69063,
     /*   35874 */     GIR_EraseRootFromParent_Done,
     /*   35875 */   // Label 618: @35875
     /*   35875 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35930), // Rule ID 69064 //
     /*   35880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35908 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35928 */     GIR_RootConstrainSelectedInstOperands,
     /*   35929 */     // GIR_Coverage, 69064,
     /*   35929 */     GIR_EraseRootFromParent_Done,
     /*   35930 */   // Label 619: @35930
     /*   35930 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35985), // Rule ID 69153 //
     /*   35935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35963 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35983 */     GIR_RootConstrainSelectedInstOperands,
     /*   35984 */     // GIR_Coverage, 69153,
     /*   35984 */     GIR_EraseRootFromParent_Done,
     /*   35985 */   // Label 620: @35985
     /*   35985 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(36040), // Rule ID 69154 //
     /*   35990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36018 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36038 */     GIR_RootConstrainSelectedInstOperands,
     /*   36039 */     // GIR_Coverage, 69154,
     /*   36039 */     GIR_EraseRootFromParent_Done,
     /*   36040 */   // Label 621: @36040
     /*   36040 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(36108), // Rule ID 51805 //
     /*   36045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36082 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   36082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36106 */     GIR_RootConstrainSelectedInstOperands,
     /*   36107 */     // GIR_Coverage, 51805,
     /*   36107 */     GIR_EraseRootFromParent_Done,
     /*   36108 */   // Label 622: @36108
     /*   36108 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(36176), // Rule ID 51806 //
     /*   36113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36150 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   36150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36174 */     GIR_RootConstrainSelectedInstOperands,
     /*   36175 */     // GIR_Coverage, 51806,
     /*   36175 */     GIR_EraseRootFromParent_Done,
     /*   36176 */   // Label 623: @36176
     /*   36176 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36231), // Rule ID 46655 //
     /*   36181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36209 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36229 */     GIR_RootConstrainSelectedInstOperands,
     /*   36230 */     // GIR_Coverage, 46655,
     /*   36230 */     GIR_EraseRootFromParent_Done,
     /*   36231 */   // Label 624: @36231
     /*   36231 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36286), // Rule ID 46656 //
     /*   36236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36264 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36284 */     GIR_RootConstrainSelectedInstOperands,
     /*   36285 */     // GIR_Coverage, 46656,
     /*   36285 */     GIR_EraseRootFromParent_Done,
     /*   36286 */   // Label 625: @36286
     /*   36286 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36341), // Rule ID 46415 //
     /*   36291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36319 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36339 */     GIR_RootConstrainSelectedInstOperands,
     /*   36340 */     // GIR_Coverage, 46415,
     /*   36340 */     GIR_EraseRootFromParent_Done,
     /*   36341 */   // Label 626: @36341
     /*   36341 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36396), // Rule ID 46416 //
     /*   36346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36374 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36394 */     GIR_RootConstrainSelectedInstOperands,
     /*   36395 */     // GIR_Coverage, 46416,
     /*   36395 */     GIR_EraseRootFromParent_Done,
     /*   36396 */   // Label 627: @36396
     /*   36396 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36451), // Rule ID 46535 //
     /*   36401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36429 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36449 */     GIR_RootConstrainSelectedInstOperands,
     /*   36450 */     // GIR_Coverage, 46535,
     /*   36450 */     GIR_EraseRootFromParent_Done,
     /*   36451 */   // Label 628: @36451
     /*   36451 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36506), // Rule ID 46536 //
     /*   36456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36484 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36504 */     GIR_RootConstrainSelectedInstOperands,
     /*   36505 */     // GIR_Coverage, 46536,
     /*   36505 */     GIR_EraseRootFromParent_Done,
     /*   36506 */   // Label 629: @36506
     /*   36506 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36559), // Rule ID 46041 //
     /*   36511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36522 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   36522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36557 */     GIR_RootConstrainSelectedInstOperands,
     /*   36558 */     // GIR_Coverage, 46041,
     /*   36558 */     GIR_EraseRootFromParent_Done,
     /*   36559 */   // Label 630: @36559
     /*   36559 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36612), // Rule ID 46042 //
     /*   36564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36575 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   36575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36610 */     GIR_RootConstrainSelectedInstOperands,
     /*   36611 */     // GIR_Coverage, 46042,
     /*   36611 */     GIR_EraseRootFromParent_Done,
     /*   36612 */   // Label 631: @36612
     /*   36612 */   GIM_Reject,
     /*   36613 */ // Label 591: @36613
     /*   36613 */ GIM_Reject,
     /*   36614 */ // Label 138: @36614
     /*   36614 */ GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(37008),
     /*   36619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36629 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36697), // Rule ID 70223 //
     /*   36634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36671 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36695 */     GIR_RootConstrainSelectedInstOperands,
     /*   36696 */     // GIR_Coverage, 70223,
     /*   36696 */     GIR_EraseRootFromParent_Done,
     /*   36697 */   // Label 633: @36697
     /*   36697 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36765), // Rule ID 70224 //
     /*   36702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36739 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36763 */     GIR_RootConstrainSelectedInstOperands,
     /*   36764 */     // GIR_Coverage, 70224,
     /*   36764 */     GIR_EraseRootFromParent_Done,
     /*   36765 */   // Label 634: @36765
     /*   36765 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36833), // Rule ID 51749 //
     /*   36770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36807 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36831 */     GIR_RootConstrainSelectedInstOperands,
     /*   36832 */     // GIR_Coverage, 51749,
     /*   36832 */     GIR_EraseRootFromParent_Done,
     /*   36833 */   // Label 635: @36833
     /*   36833 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36901), // Rule ID 51750 //
     /*   36838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36875 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36899 */     GIR_RootConstrainSelectedInstOperands,
     /*   36900 */     // GIR_Coverage, 51750,
     /*   36900 */     GIR_EraseRootFromParent_Done,
     /*   36901 */   // Label 636: @36901
     /*   36901 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(36954), // Rule ID 45985 //
     /*   36906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36917 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   36917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36952 */     GIR_RootConstrainSelectedInstOperands,
     /*   36953 */     // GIR_Coverage, 45985,
     /*   36953 */     GIR_EraseRootFromParent_Done,
     /*   36954 */   // Label 637: @36954
     /*   36954 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37007), // Rule ID 45986 //
     /*   36959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36970 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   36970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37005 */     GIR_RootConstrainSelectedInstOperands,
     /*   37006 */     // GIR_Coverage, 45986,
     /*   37006 */     GIR_EraseRootFromParent_Done,
     /*   37007 */   // Label 638: @37007
     /*   37007 */   GIM_Reject,
     /*   37008 */ // Label 632: @37008
     /*   37008 */ GIM_Reject,
     /*   37009 */ // Label 139: @37009
     /*   37009 */ GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(40133),
     /*   37014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37024 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37120), // Rule ID 70399 //
     /*   37029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37094 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37118 */     GIR_RootConstrainSelectedInstOperands,
     /*   37119 */     // GIR_Coverage, 70399,
     /*   37119 */     GIR_EraseRootFromParent_Done,
     /*   37120 */   // Label 640: @37120
     /*   37120 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37216), // Rule ID 70400 //
     /*   37125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37188 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37190 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37214 */     GIR_RootConstrainSelectedInstOperands,
     /*   37215 */     // GIR_Coverage, 70400,
     /*   37215 */     GIR_EraseRootFromParent_Done,
     /*   37216 */   // Label 641: @37216
     /*   37216 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37312), // Rule ID 70647 //
     /*   37221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37286 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37310 */     GIR_RootConstrainSelectedInstOperands,
     /*   37311 */     // GIR_Coverage, 70647,
     /*   37311 */     GIR_EraseRootFromParent_Done,
     /*   37312 */   // Label 642: @37312
     /*   37312 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37408), // Rule ID 70648 //
     /*   37317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37382 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37406 */     GIR_RootConstrainSelectedInstOperands,
     /*   37407 */     // GIR_Coverage, 70648,
     /*   37407 */     GIR_EraseRootFromParent_Done,
     /*   37408 */   // Label 643: @37408
     /*   37408 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37504), // Rule ID 70649 //
     /*   37413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37476 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37478 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37502 */     GIR_RootConstrainSelectedInstOperands,
     /*   37503 */     // GIR_Coverage, 70649,
     /*   37503 */     GIR_EraseRootFromParent_Done,
     /*   37504 */   // Label 644: @37504
     /*   37504 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37600), // Rule ID 70650 //
     /*   37509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37574 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37598 */     GIR_RootConstrainSelectedInstOperands,
     /*   37599 */     // GIR_Coverage, 70650,
     /*   37599 */     GIR_EraseRootFromParent_Done,
     /*   37600 */   // Label 645: @37600
     /*   37600 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37696), // Rule ID 70513 //
     /*   37605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37670 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37694 */     GIR_RootConstrainSelectedInstOperands,
     /*   37695 */     // GIR_Coverage, 70513,
     /*   37695 */     GIR_EraseRootFromParent_Done,
     /*   37696 */   // Label 646: @37696
     /*   37696 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37792), // Rule ID 70514 //
     /*   37701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37766 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37790 */     GIR_RootConstrainSelectedInstOperands,
     /*   37791 */     // GIR_Coverage, 70514,
     /*   37791 */     GIR_EraseRootFromParent_Done,
     /*   37792 */   // Label 647: @37792
     /*   37792 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37888), // Rule ID 51905 //
     /*   37797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37841 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37845 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37849 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37853 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37855 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37862 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37886 */     GIR_RootConstrainSelectedInstOperands,
     /*   37887 */     // GIR_Coverage, 51905,
     /*   37887 */     GIR_EraseRootFromParent_Done,
     /*   37888 */   // Label 648: @37888
     /*   37888 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(37984), // Rule ID 51906 //
     /*   37893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37937 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37941 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37945 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37949 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37951 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37958 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37982 */     GIR_RootConstrainSelectedInstOperands,
     /*   37983 */     // GIR_Coverage, 51906,
     /*   37983 */     GIR_EraseRootFromParent_Done,
     /*   37984 */   // Label 649: @37984
     /*   37984 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(38080), // Rule ID 52023 //
     /*   37989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38041 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38045 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38047 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38054 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38078 */     GIR_RootConstrainSelectedInstOperands,
     /*   38079 */     // GIR_Coverage, 52023,
     /*   38079 */     GIR_EraseRootFromParent_Done,
     /*   38080 */   // Label 650: @38080
     /*   38080 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(38176), // Rule ID 52024 //
     /*   38085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38108 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38137 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38141 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38143 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38150 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38174 */     GIR_RootConstrainSelectedInstOperands,
     /*   38175 */     // GIR_Coverage, 52024,
     /*   38175 */     GIR_EraseRootFromParent_Done,
     /*   38176 */   // Label 651: @38176
     /*   38176 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(38272), // Rule ID 70645 //
     /*   38181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38233 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38237 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38239 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38246 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38270 */     GIR_RootConstrainSelectedInstOperands,
     /*   38271 */     // GIR_Coverage, 70645,
     /*   38271 */     GIR_EraseRootFromParent_Done,
     /*   38272 */   // Label 652: @38272
     /*   38272 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38368), // Rule ID 70646 //
     /*   38277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38342 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38366 */     GIR_RootConstrainSelectedInstOperands,
     /*   38367 */     // GIR_Coverage, 70646,
     /*   38367 */     GIR_EraseRootFromParent_Done,
     /*   38368 */   // Label 653: @38368
     /*   38368 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38464), // Rule ID 51963 //
     /*   38373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38438 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38462 */     GIR_RootConstrainSelectedInstOperands,
     /*   38463 */     // GIR_Coverage, 51963,
     /*   38463 */     GIR_EraseRootFromParent_Done,
     /*   38464 */   // Label 654: @38464
     /*   38464 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38560), // Rule ID 51964 //
     /*   38469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38534 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38558 */     GIR_RootConstrainSelectedInstOperands,
     /*   38559 */     // GIR_Coverage, 51964,
     /*   38559 */     GIR_EraseRootFromParent_Done,
     /*   38560 */   // Label 655: @38560
     /*   38560 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38649), // Rule ID 46555 //
     /*   38565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38599 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38608 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38647 */     GIR_RootConstrainSelectedInstOperands,
     /*   38648 */     // GIR_Coverage, 46555,
     /*   38648 */     GIR_EraseRootFromParent_Done,
     /*   38649 */   // Label 656: @38649
     /*   38649 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38738), // Rule ID 46556 //
     /*   38654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38697 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38736 */     GIR_RootConstrainSelectedInstOperands,
     /*   38737 */     // GIR_Coverage, 46556,
     /*   38737 */     GIR_EraseRootFromParent_Done,
     /*   38738 */   // Label 657: @38738
     /*   38738 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38827), // Rule ID 46319 //
     /*   38743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38777 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38786 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38825 */     GIR_RootConstrainSelectedInstOperands,
     /*   38826 */     // GIR_Coverage, 46319,
     /*   38826 */     GIR_EraseRootFromParent_Done,
     /*   38827 */   // Label 658: @38827
     /*   38827 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38916), // Rule ID 46320 //
     /*   38832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38866 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38875 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38914 */     GIR_RootConstrainSelectedInstOperands,
     /*   38915 */     // GIR_Coverage, 46320,
     /*   38915 */     GIR_EraseRootFromParent_Done,
     /*   38916 */   // Label 659: @38916
     /*   38916 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(39005), // Rule ID 46435 //
     /*   38921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38964 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39003 */     GIR_RootConstrainSelectedInstOperands,
     /*   39004 */     // GIR_Coverage, 46435,
     /*   39004 */     GIR_EraseRootFromParent_Done,
     /*   39005 */   // Label 660: @39005
     /*   39005 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(39094), // Rule ID 46436 //
     /*   39010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39053 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   39053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   39056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   39070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39092 */     GIR_RootConstrainSelectedInstOperands,
     /*   39093 */     // GIR_Coverage, 46436,
     /*   39093 */     GIR_EraseRootFromParent_Done,
     /*   39094 */   // Label 661: @39094
     /*   39094 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(39162), // Rule ID 70279 //
     /*   39099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39136 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39160 */     GIR_RootConstrainSelectedInstOperands,
     /*   39161 */     // GIR_Coverage, 70279,
     /*   39161 */     GIR_EraseRootFromParent_Done,
     /*   39162 */   // Label 662: @39162
     /*   39162 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(39230), // Rule ID 70280 //
     /*   39167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39204 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39228 */     GIR_RootConstrainSelectedInstOperands,
     /*   39229 */     // GIR_Coverage, 70280,
     /*   39229 */     GIR_EraseRootFromParent_Done,
     /*   39230 */   // Label 663: @39230
     /*   39230 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39285), // Rule ID 69203 //
     /*   39235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39263 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39283 */     GIR_RootConstrainSelectedInstOperands,
     /*   39284 */     // GIR_Coverage, 69203,
     /*   39284 */     GIR_EraseRootFromParent_Done,
     /*   39285 */   // Label 664: @39285
     /*   39285 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39340), // Rule ID 69204 //
     /*   39290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39318 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39338 */     GIR_RootConstrainSelectedInstOperands,
     /*   39339 */     // GIR_Coverage, 69204,
     /*   39339 */     GIR_EraseRootFromParent_Done,
     /*   39340 */   // Label 665: @39340
     /*   39340 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39395), // Rule ID 69023 //
     /*   39345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39373 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39393 */     GIR_RootConstrainSelectedInstOperands,
     /*   39394 */     // GIR_Coverage, 69023,
     /*   39394 */     GIR_EraseRootFromParent_Done,
     /*   39395 */   // Label 666: @39395
     /*   39395 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39450), // Rule ID 69024 //
     /*   39400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39428 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39448 */     GIR_RootConstrainSelectedInstOperands,
     /*   39449 */     // GIR_Coverage, 69024,
     /*   39449 */     GIR_EraseRootFromParent_Done,
     /*   39450 */   // Label 667: @39450
     /*   39450 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39505), // Rule ID 69113 //
     /*   39455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39483 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39503 */     GIR_RootConstrainSelectedInstOperands,
     /*   39504 */     // GIR_Coverage, 69113,
     /*   39504 */     GIR_EraseRootFromParent_Done,
     /*   39505 */   // Label 668: @39505
     /*   39505 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39560), // Rule ID 69114 //
     /*   39510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39538 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39558 */     GIR_RootConstrainSelectedInstOperands,
     /*   39559 */     // GIR_Coverage, 69114,
     /*   39559 */     GIR_EraseRootFromParent_Done,
     /*   39560 */   // Label 669: @39560
     /*   39560 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39628), // Rule ID 51777 //
     /*   39565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39602 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39626 */     GIR_RootConstrainSelectedInstOperands,
     /*   39627 */     // GIR_Coverage, 51777,
     /*   39627 */     GIR_EraseRootFromParent_Done,
     /*   39628 */   // Label 670: @39628
     /*   39628 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39696), // Rule ID 51778 //
     /*   39633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39670 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39694 */     GIR_RootConstrainSelectedInstOperands,
     /*   39695 */     // GIR_Coverage, 51778,
     /*   39695 */     GIR_EraseRootFromParent_Done,
     /*   39696 */   // Label 671: @39696
     /*   39696 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39751), // Rule ID 46615 //
     /*   39701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39729 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39749 */     GIR_RootConstrainSelectedInstOperands,
     /*   39750 */     // GIR_Coverage, 46615,
     /*   39750 */     GIR_EraseRootFromParent_Done,
     /*   39751 */   // Label 672: @39751
     /*   39751 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39806), // Rule ID 46616 //
     /*   39756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39784 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39804 */     GIR_RootConstrainSelectedInstOperands,
     /*   39805 */     // GIR_Coverage, 46616,
     /*   39805 */     GIR_EraseRootFromParent_Done,
     /*   39806 */   // Label 673: @39806
     /*   39806 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39861), // Rule ID 46375 //
     /*   39811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39839 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39859 */     GIR_RootConstrainSelectedInstOperands,
     /*   39860 */     // GIR_Coverage, 46375,
     /*   39860 */     GIR_EraseRootFromParent_Done,
     /*   39861 */   // Label 674: @39861
     /*   39861 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39916), // Rule ID 46376 //
     /*   39866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39894 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39914 */     GIR_RootConstrainSelectedInstOperands,
     /*   39915 */     // GIR_Coverage, 46376,
     /*   39915 */     GIR_EraseRootFromParent_Done,
     /*   39916 */   // Label 675: @39916
     /*   39916 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(39971), // Rule ID 46495 //
     /*   39921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39949 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39969 */     GIR_RootConstrainSelectedInstOperands,
     /*   39970 */     // GIR_Coverage, 46495,
     /*   39970 */     GIR_EraseRootFromParent_Done,
     /*   39971 */   // Label 676: @39971
     /*   39971 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40026), // Rule ID 46496 //
     /*   39976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40004 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   40007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40024 */     GIR_RootConstrainSelectedInstOperands,
     /*   40025 */     // GIR_Coverage, 46496,
     /*   40025 */     GIR_EraseRootFromParent_Done,
     /*   40026 */   // Label 677: @40026
     /*   40026 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40079), // Rule ID 46013 //
     /*   40031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40042 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   40042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40077 */     GIR_RootConstrainSelectedInstOperands,
     /*   40078 */     // GIR_Coverage, 46013,
     /*   40078 */     GIR_EraseRootFromParent_Done,
     /*   40079 */   // Label 678: @40079
     /*   40079 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40132), // Rule ID 46014 //
     /*   40084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40095 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   40095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40130 */     GIR_RootConstrainSelectedInstOperands,
     /*   40131 */     // GIR_Coverage, 46014,
     /*   40131 */     GIR_EraseRootFromParent_Done,
     /*   40132 */   // Label 679: @40132
     /*   40132 */   GIM_Reject,
     /*   40133 */ // Label 639: @40133
     /*   40133 */ GIM_Reject,
     /*   40134 */ // Label 140: @40134
     /*   40134 */ GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(43258),
     /*   40139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40149 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40245), // Rule ID 70411 //
     /*   40154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40187 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40194 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40198 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40202 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40206 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40208 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40219 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40243 */     GIR_RootConstrainSelectedInstOperands,
     /*   40244 */     // GIR_Coverage, 70411,
     /*   40244 */     GIR_EraseRootFromParent_Done,
     /*   40245 */   // Label 681: @40245
     /*   40245 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40341), // Rule ID 70412 //
     /*   40250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40269 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40298 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40302 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40304 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40315 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40339 */     GIR_RootConstrainSelectedInstOperands,
     /*   40340 */     // GIR_Coverage, 70412,
     /*   40340 */     GIR_EraseRootFromParent_Done,
     /*   40341 */   // Label 682: @40341
     /*   40341 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40437), // Rule ID 70683 //
     /*   40346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40379 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40386 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40390 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40394 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40398 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40400 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40411 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40435 */     GIR_RootConstrainSelectedInstOperands,
     /*   40436 */     // GIR_Coverage, 70683,
     /*   40436 */     GIR_EraseRootFromParent_Done,
     /*   40437 */   // Label 683: @40437
     /*   40437 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40533), // Rule ID 70684 //
     /*   40442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40490 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40494 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40507 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40531 */     GIR_RootConstrainSelectedInstOperands,
     /*   40532 */     // GIR_Coverage, 70684,
     /*   40532 */     GIR_EraseRootFromParent_Done,
     /*   40533 */   // Label 684: @40533
     /*   40533 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40629), // Rule ID 70685 //
     /*   40538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40586 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40590 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40592 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40601 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40603 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40627 */     GIR_RootConstrainSelectedInstOperands,
     /*   40628 */     // GIR_Coverage, 70685,
     /*   40628 */     GIR_EraseRootFromParent_Done,
     /*   40629 */   // Label 685: @40629
     /*   40629 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40725), // Rule ID 70686 //
     /*   40634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40667 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40686 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40688 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40699 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40723 */     GIR_RootConstrainSelectedInstOperands,
     /*   40724 */     // GIR_Coverage, 70686,
     /*   40724 */     GIR_EraseRootFromParent_Done,
     /*   40725 */   // Label 686: @40725
     /*   40725 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40821), // Rule ID 70525 //
     /*   40730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40763 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40778 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40782 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40784 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40793 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40795 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40819 */     GIR_RootConstrainSelectedInstOperands,
     /*   40820 */     // GIR_Coverage, 70525,
     /*   40820 */     GIR_EraseRootFromParent_Done,
     /*   40821 */   // Label 687: @40821
     /*   40821 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40917), // Rule ID 70526 //
     /*   40826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40870 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40874 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40878 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40880 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40891 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40915 */     GIR_RootConstrainSelectedInstOperands,
     /*   40916 */     // GIR_Coverage, 70526,
     /*   40916 */     GIR_EraseRootFromParent_Done,
     /*   40917 */   // Label 688: @40917
     /*   40917 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(41013), // Rule ID 51917 //
     /*   40922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40959 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40970 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40974 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40978 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40980 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40987 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   40994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41011 */     GIR_RootConstrainSelectedInstOperands,
     /*   41012 */     // GIR_Coverage, 51917,
     /*   41012 */     GIR_EraseRootFromParent_Done,
     /*   41013 */   // Label 689: @41013
     /*   41013 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41109), // Rule ID 51918 //
     /*   41018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41070 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41074 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41076 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41083 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   41086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41107 */     GIR_RootConstrainSelectedInstOperands,
     /*   41108 */     // GIR_Coverage, 51918,
     /*   41108 */     GIR_EraseRootFromParent_Done,
     /*   41109 */   // Label 690: @41109
     /*   41109 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(41205), // Rule ID 52035 //
     /*   41114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41166 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41170 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41172 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41179 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41203 */     GIR_RootConstrainSelectedInstOperands,
     /*   41204 */     // GIR_Coverage, 52035,
     /*   41204 */     GIR_EraseRootFromParent_Done,
     /*   41205 */   // Label 691: @41205
     /*   41205 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(41301), // Rule ID 52036 //
     /*   41210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41247 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41258 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41262 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41266 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41268 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41275 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41299 */     GIR_RootConstrainSelectedInstOperands,
     /*   41300 */     // GIR_Coverage, 52036,
     /*   41300 */     GIR_EraseRootFromParent_Done,
     /*   41301 */   // Label 692: @41301
     /*   41301 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(41397), // Rule ID 70681 //
     /*   41306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41358 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41362 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41364 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41369 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41371 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41395 */     GIR_RootConstrainSelectedInstOperands,
     /*   41396 */     // GIR_Coverage, 70681,
     /*   41396 */     GIR_EraseRootFromParent_Done,
     /*   41397 */   // Label 693: @41397
     /*   41397 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41493), // Rule ID 70682 //
     /*   41402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41425 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41450 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41454 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41458 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41460 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41467 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41491 */     GIR_RootConstrainSelectedInstOperands,
     /*   41492 */     // GIR_Coverage, 70682,
     /*   41492 */     GIR_EraseRootFromParent_Done,
     /*   41493 */   // Label 694: @41493
     /*   41493 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41589), // Rule ID 51975 //
     /*   41498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41535 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41550 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41554 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41556 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41563 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41587 */     GIR_RootConstrainSelectedInstOperands,
     /*   41588 */     // GIR_Coverage, 51975,
     /*   41588 */     GIR_EraseRootFromParent_Done,
     /*   41589 */   // Label 695: @41589
     /*   41589 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41685), // Rule ID 51976 //
     /*   41594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41646 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41650 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41652 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41659 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41683 */     GIR_RootConstrainSelectedInstOperands,
     /*   41684 */     // GIR_Coverage, 51976,
     /*   41684 */     GIR_EraseRootFromParent_Done,
     /*   41685 */   // Label 696: @41685
     /*   41685 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(41774), // Rule ID 46579 //
     /*   41690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41733 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41772 */     GIR_RootConstrainSelectedInstOperands,
     /*   41773 */     // GIR_Coverage, 46579,
     /*   41773 */     GIR_EraseRootFromParent_Done,
     /*   41774 */   // Label 697: @41774
     /*   41774 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41863), // Rule ID 46580 //
     /*   41779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41822 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   41822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41861 */     GIR_RootConstrainSelectedInstOperands,
     /*   41862 */     // GIR_Coverage, 46580,
     /*   41862 */     GIR_EraseRootFromParent_Done,
     /*   41863 */   // Label 698: @41863
     /*   41863 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(41952), // Rule ID 46343 //
     /*   41868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41902 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41904 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41911 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   41928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41950 */     GIR_RootConstrainSelectedInstOperands,
     /*   41951 */     // GIR_Coverage, 46343,
     /*   41951 */     GIR_EraseRootFromParent_Done,
     /*   41952 */   // Label 699: @41952
     /*   41952 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(42041), // Rule ID 46344 //
     /*   41957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41991 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42000 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   42017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42039 */     GIR_RootConstrainSelectedInstOperands,
     /*   42040 */     // GIR_Coverage, 46344,
     /*   42040 */     GIR_EraseRootFromParent_Done,
     /*   42041 */   // Label 700: @42041
     /*   42041 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(42130), // Rule ID 46459 //
     /*   42046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42080 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42089 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42128 */     GIR_RootConstrainSelectedInstOperands,
     /*   42129 */     // GIR_Coverage, 46459,
     /*   42129 */     GIR_EraseRootFromParent_Done,
     /*   42130 */   // Label 701: @42130
     /*   42130 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(42219), // Rule ID 46460 //
     /*   42135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42169 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42178 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42217 */     GIR_RootConstrainSelectedInstOperands,
     /*   42218 */     // GIR_Coverage, 46460,
     /*   42218 */     GIR_EraseRootFromParent_Done,
     /*   42219 */   // Label 702: @42219
     /*   42219 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(42287), // Rule ID 70311 //
     /*   42224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42261 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42285 */     GIR_RootConstrainSelectedInstOperands,
     /*   42286 */     // GIR_Coverage, 70311,
     /*   42286 */     GIR_EraseRootFromParent_Done,
     /*   42287 */   // Label 703: @42287
     /*   42287 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(42355), // Rule ID 70312 //
     /*   42292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42329 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42353 */     GIR_RootConstrainSelectedInstOperands,
     /*   42354 */     // GIR_Coverage, 70312,
     /*   42354 */     GIR_EraseRootFromParent_Done,
     /*   42355 */   // Label 704: @42355
     /*   42355 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(42410), // Rule ID 69227 //
     /*   42360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42388 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42408 */     GIR_RootConstrainSelectedInstOperands,
     /*   42409 */     // GIR_Coverage, 69227,
     /*   42409 */     GIR_EraseRootFromParent_Done,
     /*   42410 */   // Label 705: @42410
     /*   42410 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42465), // Rule ID 69228 //
     /*   42415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42443 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42463 */     GIR_RootConstrainSelectedInstOperands,
     /*   42464 */     // GIR_Coverage, 69228,
     /*   42464 */     GIR_EraseRootFromParent_Done,
     /*   42465 */   // Label 706: @42465
     /*   42465 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42520), // Rule ID 69047 //
     /*   42470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42498 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42518 */     GIR_RootConstrainSelectedInstOperands,
     /*   42519 */     // GIR_Coverage, 69047,
     /*   42519 */     GIR_EraseRootFromParent_Done,
     /*   42520 */   // Label 707: @42520
     /*   42520 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42575), // Rule ID 69048 //
     /*   42525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42553 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42573 */     GIR_RootConstrainSelectedInstOperands,
     /*   42574 */     // GIR_Coverage, 69048,
     /*   42574 */     GIR_EraseRootFromParent_Done,
     /*   42575 */   // Label 708: @42575
     /*   42575 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42630), // Rule ID 69137 //
     /*   42580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42608 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42628 */     GIR_RootConstrainSelectedInstOperands,
     /*   42629 */     // GIR_Coverage, 69137,
     /*   42629 */     GIR_EraseRootFromParent_Done,
     /*   42630 */   // Label 709: @42630
     /*   42630 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42685), // Rule ID 69138 //
     /*   42635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42663 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42683 */     GIR_RootConstrainSelectedInstOperands,
     /*   42684 */     // GIR_Coverage, 69138,
     /*   42684 */     GIR_EraseRootFromParent_Done,
     /*   42685 */   // Label 710: @42685
     /*   42685 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42753), // Rule ID 51793 //
     /*   42690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42727 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42751 */     GIR_RootConstrainSelectedInstOperands,
     /*   42752 */     // GIR_Coverage, 51793,
     /*   42752 */     GIR_EraseRootFromParent_Done,
     /*   42753 */   // Label 711: @42753
     /*   42753 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42821), // Rule ID 51794 //
     /*   42758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42795 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42819 */     GIR_RootConstrainSelectedInstOperands,
     /*   42820 */     // GIR_Coverage, 51794,
     /*   42820 */     GIR_EraseRootFromParent_Done,
     /*   42821 */   // Label 712: @42821
     /*   42821 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42876), // Rule ID 46639 //
     /*   42826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42854 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42874 */     GIR_RootConstrainSelectedInstOperands,
     /*   42875 */     // GIR_Coverage, 46639,
     /*   42875 */     GIR_EraseRootFromParent_Done,
     /*   42876 */   // Label 713: @42876
     /*   42876 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42931), // Rule ID 46640 //
     /*   42881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42909 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42929 */     GIR_RootConstrainSelectedInstOperands,
     /*   42930 */     // GIR_Coverage, 46640,
     /*   42930 */     GIR_EraseRootFromParent_Done,
     /*   42931 */   // Label 714: @42931
     /*   42931 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42986), // Rule ID 46399 //
     /*   42936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42964 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42984 */     GIR_RootConstrainSelectedInstOperands,
     /*   42985 */     // GIR_Coverage, 46399,
     /*   42985 */     GIR_EraseRootFromParent_Done,
     /*   42986 */   // Label 715: @42986
     /*   42986 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(43041), // Rule ID 46400 //
     /*   42991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43019 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   43022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43039 */     GIR_RootConstrainSelectedInstOperands,
     /*   43040 */     // GIR_Coverage, 46400,
     /*   43040 */     GIR_EraseRootFromParent_Done,
     /*   43041 */   // Label 716: @43041
     /*   43041 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43096), // Rule ID 46519 //
     /*   43046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43074 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43094 */     GIR_RootConstrainSelectedInstOperands,
     /*   43095 */     // GIR_Coverage, 46519,
     /*   43095 */     GIR_EraseRootFromParent_Done,
     /*   43096 */   // Label 717: @43096
     /*   43096 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43151), // Rule ID 46520 //
     /*   43101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43129 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43149 */     GIR_RootConstrainSelectedInstOperands,
     /*   43150 */     // GIR_Coverage, 46520,
     /*   43150 */     GIR_EraseRootFromParent_Done,
     /*   43151 */   // Label 718: @43151
     /*   43151 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43204), // Rule ID 46029 //
     /*   43156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43167 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43202 */     GIR_RootConstrainSelectedInstOperands,
     /*   43203 */     // GIR_Coverage, 46029,
     /*   43203 */     GIR_EraseRootFromParent_Done,
     /*   43204 */   // Label 719: @43204
     /*   43204 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43257), // Rule ID 46030 //
     /*   43209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43220 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43255 */     GIR_RootConstrainSelectedInstOperands,
     /*   43256 */     // GIR_Coverage, 46030,
     /*   43256 */     GIR_EraseRootFromParent_Done,
     /*   43257 */   // Label 720: @43257
     /*   43257 */   GIM_Reject,
     /*   43258 */ // Label 680: @43258
     /*   43258 */ GIM_Reject,
     /*   43259 */ // Label 141: @43259
     /*   43259 */ GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(46383),
     /*   43264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43274 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43370), // Rule ID 70421 //
     /*   43279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43344 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43368 */     GIR_RootConstrainSelectedInstOperands,
     /*   43369 */     // GIR_Coverage, 70421,
     /*   43369 */     GIR_EraseRootFromParent_Done,
     /*   43370 */   // Label 722: @43370
     /*   43370 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43466), // Rule ID 70422 //
     /*   43375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43440 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43464 */     GIR_RootConstrainSelectedInstOperands,
     /*   43465 */     // GIR_Coverage, 70422,
     /*   43465 */     GIR_EraseRootFromParent_Done,
     /*   43466 */   // Label 723: @43466
     /*   43466 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43562), // Rule ID 70713 //
     /*   43471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43536 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43560 */     GIR_RootConstrainSelectedInstOperands,
     /*   43561 */     // GIR_Coverage, 70713,
     /*   43561 */     GIR_EraseRootFromParent_Done,
     /*   43562 */   // Label 724: @43562
     /*   43562 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43658), // Rule ID 70714 //
     /*   43567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43600 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43615 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43619 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43621 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43632 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43656 */     GIR_RootConstrainSelectedInstOperands,
     /*   43657 */     // GIR_Coverage, 70714,
     /*   43657 */     GIR_EraseRootFromParent_Done,
     /*   43658 */   // Label 725: @43658
     /*   43658 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43754), // Rule ID 70715 //
     /*   43663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43696 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43703 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43707 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43711 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43715 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43717 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43728 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43752 */     GIR_RootConstrainSelectedInstOperands,
     /*   43753 */     // GIR_Coverage, 70715,
     /*   43753 */     GIR_EraseRootFromParent_Done,
     /*   43754 */   // Label 726: @43754
     /*   43754 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43850), // Rule ID 70716 //
     /*   43759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43792 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43807 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43811 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43813 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43824 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43848 */     GIR_RootConstrainSelectedInstOperands,
     /*   43849 */     // GIR_Coverage, 70716,
     /*   43849 */     GIR_EraseRootFromParent_Done,
     /*   43850 */   // Label 727: @43850
     /*   43850 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43946), // Rule ID 70535 //
     /*   43855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43874 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43903 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43907 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43909 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43920 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   43923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43944 */     GIR_RootConstrainSelectedInstOperands,
     /*   43945 */     // GIR_Coverage, 70535,
     /*   43945 */     GIR_EraseRootFromParent_Done,
     /*   43946 */   // Label 728: @43946
     /*   43946 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(44042), // Rule ID 70536 //
     /*   43951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43991 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43995 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43999 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44003 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44005 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44016 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44040 */     GIR_RootConstrainSelectedInstOperands,
     /*   44041 */     // GIR_Coverage, 70536,
     /*   44041 */     GIR_EraseRootFromParent_Done,
     /*   44042 */   // Label 729: @44042
     /*   44042 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(44138), // Rule ID 51927 //
     /*   44047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44112 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44136 */     GIR_RootConstrainSelectedInstOperands,
     /*   44137 */     // GIR_Coverage, 51927,
     /*   44137 */     GIR_EraseRootFromParent_Done,
     /*   44138 */   // Label 730: @44138
     /*   44138 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(44234), // Rule ID 51928 //
     /*   44143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44208 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44232 */     GIR_RootConstrainSelectedInstOperands,
     /*   44233 */     // GIR_Coverage, 51928,
     /*   44233 */     GIR_EraseRootFromParent_Done,
     /*   44234 */   // Label 731: @44234
     /*   44234 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(44330), // Rule ID 52045 //
     /*   44239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44304 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44328 */     GIR_RootConstrainSelectedInstOperands,
     /*   44329 */     // GIR_Coverage, 52045,
     /*   44329 */     GIR_EraseRootFromParent_Done,
     /*   44330 */   // Label 732: @44330
     /*   44330 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44426), // Rule ID 52046 //
     /*   44335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44383 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44387 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44391 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44393 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44398 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44400 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44424 */     GIR_RootConstrainSelectedInstOperands,
     /*   44425 */     // GIR_Coverage, 52046,
     /*   44425 */     GIR_EraseRootFromParent_Done,
     /*   44426 */   // Label 733: @44426
     /*   44426 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44522), // Rule ID 70711 //
     /*   44431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44454 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44468 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44483 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44487 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44489 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44496 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44520 */     GIR_RootConstrainSelectedInstOperands,
     /*   44521 */     // GIR_Coverage, 70711,
     /*   44521 */     GIR_EraseRootFromParent_Done,
     /*   44522 */   // Label 734: @44522
     /*   44522 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44618), // Rule ID 70712 //
     /*   44527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44564 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44571 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44575 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44579 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44583 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44585 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44592 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44616 */     GIR_RootConstrainSelectedInstOperands,
     /*   44617 */     // GIR_Coverage, 70712,
     /*   44617 */     GIR_EraseRootFromParent_Done,
     /*   44618 */   // Label 735: @44618
     /*   44618 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44714), // Rule ID 51985 //
     /*   44623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44675 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44679 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44681 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44688 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44712 */     GIR_RootConstrainSelectedInstOperands,
     /*   44713 */     // GIR_Coverage, 51985,
     /*   44713 */     GIR_EraseRootFromParent_Done,
     /*   44714 */   // Label 736: @44714
     /*   44714 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44810), // Rule ID 51986 //
     /*   44719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44756 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44771 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44775 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44777 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44784 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44808 */     GIR_RootConstrainSelectedInstOperands,
     /*   44809 */     // GIR_Coverage, 51986,
     /*   44809 */     GIR_EraseRootFromParent_Done,
     /*   44810 */   // Label 737: @44810
     /*   44810 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(44899), // Rule ID 46599 //
     /*   44815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44858 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44897 */     GIR_RootConstrainSelectedInstOperands,
     /*   44898 */     // GIR_Coverage, 46599,
     /*   44898 */     GIR_EraseRootFromParent_Done,
     /*   44899 */   // Label 738: @44899
     /*   44899 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44988), // Rule ID 46600 //
     /*   44904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44947 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44986 */     GIR_RootConstrainSelectedInstOperands,
     /*   44987 */     // GIR_Coverage, 46600,
     /*   44987 */     GIR_EraseRootFromParent_Done,
     /*   44988 */   // Label 739: @44988
     /*   44988 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(45077), // Rule ID 46363 //
     /*   44993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45036 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45075 */     GIR_RootConstrainSelectedInstOperands,
     /*   45076 */     // GIR_Coverage, 46363,
     /*   45076 */     GIR_EraseRootFromParent_Done,
     /*   45077 */   // Label 740: @45077
     /*   45077 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(45166), // Rule ID 46364 //
     /*   45082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45125 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45164 */     GIR_RootConstrainSelectedInstOperands,
     /*   45165 */     // GIR_Coverage, 46364,
     /*   45165 */     GIR_EraseRootFromParent_Done,
     /*   45166 */   // Label 741: @45166
     /*   45166 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(45255), // Rule ID 46479 //
     /*   45171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45214 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45253 */     GIR_RootConstrainSelectedInstOperands,
     /*   45254 */     // GIR_Coverage, 46479,
     /*   45254 */     GIR_EraseRootFromParent_Done,
     /*   45255 */   // Label 742: @45255
     /*   45255 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(45344), // Rule ID 46480 //
     /*   45260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45303 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45342 */     GIR_RootConstrainSelectedInstOperands,
     /*   45343 */     // GIR_Coverage, 46480,
     /*   45343 */     GIR_EraseRootFromParent_Done,
     /*   45344 */   // Label 743: @45344
     /*   45344 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(45412), // Rule ID 70343 //
     /*   45349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45386 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45410 */     GIR_RootConstrainSelectedInstOperands,
     /*   45411 */     // GIR_Coverage, 70343,
     /*   45411 */     GIR_EraseRootFromParent_Done,
     /*   45412 */   // Label 744: @45412
     /*   45412 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(45480), // Rule ID 70344 //
     /*   45417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45454 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45478 */     GIR_RootConstrainSelectedInstOperands,
     /*   45479 */     // GIR_Coverage, 70344,
     /*   45479 */     GIR_EraseRootFromParent_Done,
     /*   45480 */   // Label 745: @45480
     /*   45480 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45535), // Rule ID 69247 //
     /*   45485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45513 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45533 */     GIR_RootConstrainSelectedInstOperands,
     /*   45534 */     // GIR_Coverage, 69247,
     /*   45534 */     GIR_EraseRootFromParent_Done,
     /*   45535 */   // Label 746: @45535
     /*   45535 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45590), // Rule ID 69248 //
     /*   45540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45568 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45588 */     GIR_RootConstrainSelectedInstOperands,
     /*   45589 */     // GIR_Coverage, 69248,
     /*   45589 */     GIR_EraseRootFromParent_Done,
     /*   45590 */   // Label 747: @45590
     /*   45590 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45645), // Rule ID 69067 //
     /*   45595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45623 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45643 */     GIR_RootConstrainSelectedInstOperands,
     /*   45644 */     // GIR_Coverage, 69067,
     /*   45644 */     GIR_EraseRootFromParent_Done,
     /*   45645 */   // Label 748: @45645
     /*   45645 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45700), // Rule ID 69068 //
     /*   45650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45678 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45698 */     GIR_RootConstrainSelectedInstOperands,
     /*   45699 */     // GIR_Coverage, 69068,
     /*   45699 */     GIR_EraseRootFromParent_Done,
     /*   45700 */   // Label 749: @45700
     /*   45700 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45755), // Rule ID 69157 //
     /*   45705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45733 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45753 */     GIR_RootConstrainSelectedInstOperands,
     /*   45754 */     // GIR_Coverage, 69157,
     /*   45754 */     GIR_EraseRootFromParent_Done,
     /*   45755 */   // Label 750: @45755
     /*   45755 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45810), // Rule ID 69158 //
     /*   45760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45788 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45808 */     GIR_RootConstrainSelectedInstOperands,
     /*   45809 */     // GIR_Coverage, 69158,
     /*   45809 */     GIR_EraseRootFromParent_Done,
     /*   45810 */   // Label 751: @45810
     /*   45810 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45878), // Rule ID 51809 //
     /*   45815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45852 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45876 */     GIR_RootConstrainSelectedInstOperands,
     /*   45877 */     // GIR_Coverage, 51809,
     /*   45877 */     GIR_EraseRootFromParent_Done,
     /*   45878 */   // Label 752: @45878
     /*   45878 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45946), // Rule ID 51810 //
     /*   45883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45920 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45944 */     GIR_RootConstrainSelectedInstOperands,
     /*   45945 */     // GIR_Coverage, 51810,
     /*   45945 */     GIR_EraseRootFromParent_Done,
     /*   45946 */   // Label 753: @45946
     /*   45946 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(46001), // Rule ID 46659 //
     /*   45951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45979 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45999 */     GIR_RootConstrainSelectedInstOperands,
     /*   46000 */     // GIR_Coverage, 46659,
     /*   46000 */     GIR_EraseRootFromParent_Done,
     /*   46001 */   // Label 754: @46001
     /*   46001 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(46056), // Rule ID 46660 //
     /*   46006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46034 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46054 */     GIR_RootConstrainSelectedInstOperands,
     /*   46055 */     // GIR_Coverage, 46660,
     /*   46055 */     GIR_EraseRootFromParent_Done,
     /*   46056 */   // Label 755: @46056
     /*   46056 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(46111), // Rule ID 46419 //
     /*   46061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46089 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46109 */     GIR_RootConstrainSelectedInstOperands,
     /*   46110 */     // GIR_Coverage, 46419,
     /*   46110 */     GIR_EraseRootFromParent_Done,
     /*   46111 */   // Label 756: @46111
     /*   46111 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46166), // Rule ID 46420 //
     /*   46116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46144 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46164 */     GIR_RootConstrainSelectedInstOperands,
     /*   46165 */     // GIR_Coverage, 46420,
     /*   46165 */     GIR_EraseRootFromParent_Done,
     /*   46166 */   // Label 757: @46166
     /*   46166 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46221), // Rule ID 46539 //
     /*   46171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46199 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46219 */     GIR_RootConstrainSelectedInstOperands,
     /*   46220 */     // GIR_Coverage, 46539,
     /*   46220 */     GIR_EraseRootFromParent_Done,
     /*   46221 */   // Label 758: @46221
     /*   46221 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46276), // Rule ID 46540 //
     /*   46226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46254 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46274 */     GIR_RootConstrainSelectedInstOperands,
     /*   46275 */     // GIR_Coverage, 46540,
     /*   46275 */     GIR_EraseRootFromParent_Done,
     /*   46276 */   // Label 759: @46276
     /*   46276 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46329), // Rule ID 46045 //
     /*   46281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   46284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46292 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   46292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46327 */     GIR_RootConstrainSelectedInstOperands,
     /*   46328 */     // GIR_Coverage, 46045,
     /*   46328 */     GIR_EraseRootFromParent_Done,
     /*   46329 */   // Label 760: @46329
     /*   46329 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46382), // Rule ID 46046 //
     /*   46334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   46337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46345 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   46345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46380 */     GIR_RootConstrainSelectedInstOperands,
     /*   46381 */     // GIR_Coverage, 46046,
     /*   46381 */     GIR_EraseRootFromParent_Done,
     /*   46382 */   // Label 761: @46382
     /*   46382 */   GIM_Reject,
     /*   46383 */ // Label 721: @46383
     /*   46383 */ GIM_Reject,
     /*   46384 */ // Label 142: @46384
     /*   46384 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46778),
     /*   46389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46399 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46467), // Rule ID 70255 //
     /*   46404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46441 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46465 */     GIR_RootConstrainSelectedInstOperands,
     /*   46466 */     // GIR_Coverage, 70255,
     /*   46466 */     GIR_EraseRootFromParent_Done,
     /*   46467 */   // Label 763: @46467
     /*   46467 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46535), // Rule ID 70256 //
     /*   46472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46509 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46533 */     GIR_RootConstrainSelectedInstOperands,
     /*   46534 */     // GIR_Coverage, 70256,
     /*   46534 */     GIR_EraseRootFromParent_Done,
     /*   46535 */   // Label 764: @46535
     /*   46535 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46603), // Rule ID 51765 //
     /*   46540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46577 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46601 */     GIR_RootConstrainSelectedInstOperands,
     /*   46602 */     // GIR_Coverage, 51765,
     /*   46602 */     GIR_EraseRootFromParent_Done,
     /*   46603 */   // Label 765: @46603
     /*   46603 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46671), // Rule ID 51766 //
     /*   46608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46645 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46669 */     GIR_RootConstrainSelectedInstOperands,
     /*   46670 */     // GIR_Coverage, 51766,
     /*   46670 */     GIR_EraseRootFromParent_Done,
     /*   46671 */   // Label 766: @46671
     /*   46671 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46724), // Rule ID 46001 //
     /*   46676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46687 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46722 */     GIR_RootConstrainSelectedInstOperands,
     /*   46723 */     // GIR_Coverage, 46001,
     /*   46723 */     GIR_EraseRootFromParent_Done,
     /*   46724 */   // Label 767: @46724
     /*   46724 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46777), // Rule ID 46002 //
     /*   46729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46740 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46775 */     GIR_RootConstrainSelectedInstOperands,
     /*   46776 */     // GIR_Coverage, 46002,
     /*   46776 */     GIR_EraseRootFromParent_Done,
     /*   46777 */   // Label 768: @46777
     /*   46777 */   GIM_Reject,
     /*   46778 */ // Label 762: @46778
     /*   46778 */ GIM_Reject,
     /*   46779 */ // Label 143: @46779
     /*   46779 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(49903),
     /*   46784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46794 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46890), // Rule ID 70401 //
     /*   46799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46862 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46864 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46888 */     GIR_RootConstrainSelectedInstOperands,
     /*   46889 */     // GIR_Coverage, 70401,
     /*   46889 */     GIR_EraseRootFromParent_Done,
     /*   46890 */   // Label 770: @46890
     /*   46890 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(46986), // Rule ID 70402 //
     /*   46895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46958 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46960 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46984 */     GIR_RootConstrainSelectedInstOperands,
     /*   46985 */     // GIR_Coverage, 70402,
     /*   46985 */     GIR_EraseRootFromParent_Done,
     /*   46986 */   // Label 771: @46986
     /*   46986 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47082), // Rule ID 70653 //
     /*   46991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47056 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47080 */     GIR_RootConstrainSelectedInstOperands,
     /*   47081 */     // GIR_Coverage, 70653,
     /*   47081 */     GIR_EraseRootFromParent_Done,
     /*   47082 */   // Label 772: @47082
     /*   47082 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47178), // Rule ID 70654 //
     /*   47087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47152 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47176 */     GIR_RootConstrainSelectedInstOperands,
     /*   47177 */     // GIR_Coverage, 70654,
     /*   47177 */     GIR_EraseRootFromParent_Done,
     /*   47178 */   // Label 773: @47178
     /*   47178 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47274), // Rule ID 70655 //
     /*   47183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47248 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47272 */     GIR_RootConstrainSelectedInstOperands,
     /*   47273 */     // GIR_Coverage, 70655,
     /*   47273 */     GIR_EraseRootFromParent_Done,
     /*   47274 */   // Label 774: @47274
     /*   47274 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47370), // Rule ID 70656 //
     /*   47279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47344 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47368 */     GIR_RootConstrainSelectedInstOperands,
     /*   47369 */     // GIR_Coverage, 70656,
     /*   47369 */     GIR_EraseRootFromParent_Done,
     /*   47370 */   // Label 775: @47370
     /*   47370 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47466), // Rule ID 70515 //
     /*   47375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47440 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47464 */     GIR_RootConstrainSelectedInstOperands,
     /*   47465 */     // GIR_Coverage, 70515,
     /*   47465 */     GIR_EraseRootFromParent_Done,
     /*   47466 */   // Label 776: @47466
     /*   47466 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47562), // Rule ID 70516 //
     /*   47471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47536 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47560 */     GIR_RootConstrainSelectedInstOperands,
     /*   47561 */     // GIR_Coverage, 70516,
     /*   47561 */     GIR_EraseRootFromParent_Done,
     /*   47562 */   // Label 777: @47562
     /*   47562 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47658), // Rule ID 51907 //
     /*   47567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47619 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47623 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47625 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47632 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47656 */     GIR_RootConstrainSelectedInstOperands,
     /*   47657 */     // GIR_Coverage, 51907,
     /*   47657 */     GIR_EraseRootFromParent_Done,
     /*   47658 */   // Label 778: @47658
     /*   47658 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(47754), // Rule ID 51908 //
     /*   47663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47715 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47719 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47721 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47728 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47752 */     GIR_RootConstrainSelectedInstOperands,
     /*   47753 */     // GIR_Coverage, 51908,
     /*   47753 */     GIR_EraseRootFromParent_Done,
     /*   47754 */   // Label 779: @47754
     /*   47754 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47850), // Rule ID 52025 //
     /*   47759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47796 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47811 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47815 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47817 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47824 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47848 */     GIR_RootConstrainSelectedInstOperands,
     /*   47849 */     // GIR_Coverage, 52025,
     /*   47849 */     GIR_EraseRootFromParent_Done,
     /*   47850 */   // Label 780: @47850
     /*   47850 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(47946), // Rule ID 52026 //
     /*   47855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47907 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47911 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47913 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47920 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47944 */     GIR_RootConstrainSelectedInstOperands,
     /*   47945 */     // GIR_Coverage, 52026,
     /*   47945 */     GIR_EraseRootFromParent_Done,
     /*   47946 */   // Label 781: @47946
     /*   47946 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(48042), // Rule ID 70651 //
     /*   47951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47988 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48003 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48007 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48009 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48016 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48040 */     GIR_RootConstrainSelectedInstOperands,
     /*   48041 */     // GIR_Coverage, 70651,
     /*   48041 */     GIR_EraseRootFromParent_Done,
     /*   48042 */   // Label 782: @48042
     /*   48042 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(48138), // Rule ID 70652 //
     /*   48047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48112 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48136 */     GIR_RootConstrainSelectedInstOperands,
     /*   48137 */     // GIR_Coverage, 70652,
     /*   48137 */     GIR_EraseRootFromParent_Done,
     /*   48138 */   // Label 783: @48138
     /*   48138 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(48234), // Rule ID 51965 //
     /*   48143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48208 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48232 */     GIR_RootConstrainSelectedInstOperands,
     /*   48233 */     // GIR_Coverage, 51965,
     /*   48233 */     GIR_EraseRootFromParent_Done,
     /*   48234 */   // Label 784: @48234
     /*   48234 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(48330), // Rule ID 51966 //
     /*   48239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48304 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48328 */     GIR_RootConstrainSelectedInstOperands,
     /*   48329 */     // GIR_Coverage, 51966,
     /*   48329 */     GIR_EraseRootFromParent_Done,
     /*   48330 */   // Label 785: @48330
     /*   48330 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48419), // Rule ID 46559 //
     /*   48335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48369 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48378 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48417 */     GIR_RootConstrainSelectedInstOperands,
     /*   48418 */     // GIR_Coverage, 46559,
     /*   48418 */     GIR_EraseRootFromParent_Done,
     /*   48419 */   // Label 786: @48419
     /*   48419 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48508), // Rule ID 46560 //
     /*   48424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48458 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48467 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48506 */     GIR_RootConstrainSelectedInstOperands,
     /*   48507 */     // GIR_Coverage, 46560,
     /*   48507 */     GIR_EraseRootFromParent_Done,
     /*   48508 */   // Label 787: @48508
     /*   48508 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48597), // Rule ID 46323 //
     /*   48513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48547 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48556 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48595 */     GIR_RootConstrainSelectedInstOperands,
     /*   48596 */     // GIR_Coverage, 46323,
     /*   48596 */     GIR_EraseRootFromParent_Done,
     /*   48597 */   // Label 788: @48597
     /*   48597 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48686), // Rule ID 46324 //
     /*   48602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48636 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48645 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48684 */     GIR_RootConstrainSelectedInstOperands,
     /*   48685 */     // GIR_Coverage, 46324,
     /*   48685 */     GIR_EraseRootFromParent_Done,
     /*   48686 */   // Label 789: @48686
     /*   48686 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48775), // Rule ID 46439 //
     /*   48691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48734 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48773 */     GIR_RootConstrainSelectedInstOperands,
     /*   48774 */     // GIR_Coverage, 46439,
     /*   48774 */     GIR_EraseRootFromParent_Done,
     /*   48775 */   // Label 790: @48775
     /*   48775 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48864), // Rule ID 46440 //
     /*   48780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48823 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48862 */     GIR_RootConstrainSelectedInstOperands,
     /*   48863 */     // GIR_Coverage, 46440,
     /*   48863 */     GIR_EraseRootFromParent_Done,
     /*   48864 */   // Label 791: @48864
     /*   48864 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48932), // Rule ID 70287 //
     /*   48869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48906 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   48906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48930 */     GIR_RootConstrainSelectedInstOperands,
     /*   48931 */     // GIR_Coverage, 70287,
     /*   48931 */     GIR_EraseRootFromParent_Done,
     /*   48932 */   // Label 792: @48932
     /*   48932 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(49000), // Rule ID 70288 //
     /*   48937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48974 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   48974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48998 */     GIR_RootConstrainSelectedInstOperands,
     /*   48999 */     // GIR_Coverage, 70288,
     /*   48999 */     GIR_EraseRootFromParent_Done,
     /*   49000 */   // Label 793: @49000
     /*   49000 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(49055), // Rule ID 69207 //
     /*   49005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49033 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49053 */     GIR_RootConstrainSelectedInstOperands,
     /*   49054 */     // GIR_Coverage, 69207,
     /*   49054 */     GIR_EraseRootFromParent_Done,
     /*   49055 */   // Label 794: @49055
     /*   49055 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(49110), // Rule ID 69208 //
     /*   49060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49088 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49108 */     GIR_RootConstrainSelectedInstOperands,
     /*   49109 */     // GIR_Coverage, 69208,
     /*   49109 */     GIR_EraseRootFromParent_Done,
     /*   49110 */   // Label 795: @49110
     /*   49110 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49165), // Rule ID 69027 //
     /*   49115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49143 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49163 */     GIR_RootConstrainSelectedInstOperands,
     /*   49164 */     // GIR_Coverage, 69027,
     /*   49164 */     GIR_EraseRootFromParent_Done,
     /*   49165 */   // Label 796: @49165
     /*   49165 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49220), // Rule ID 69028 //
     /*   49170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49198 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49218 */     GIR_RootConstrainSelectedInstOperands,
     /*   49219 */     // GIR_Coverage, 69028,
     /*   49219 */     GIR_EraseRootFromParent_Done,
     /*   49220 */   // Label 797: @49220
     /*   49220 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49275), // Rule ID 69117 //
     /*   49225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49253 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49273 */     GIR_RootConstrainSelectedInstOperands,
     /*   49274 */     // GIR_Coverage, 69117,
     /*   49274 */     GIR_EraseRootFromParent_Done,
     /*   49275 */   // Label 798: @49275
     /*   49275 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49330), // Rule ID 69118 //
     /*   49280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49308 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49328 */     GIR_RootConstrainSelectedInstOperands,
     /*   49329 */     // GIR_Coverage, 69118,
     /*   49329 */     GIR_EraseRootFromParent_Done,
     /*   49330 */   // Label 799: @49330
     /*   49330 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49398), // Rule ID 51781 //
     /*   49335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49372 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49396 */     GIR_RootConstrainSelectedInstOperands,
     /*   49397 */     // GIR_Coverage, 51781,
     /*   49397 */     GIR_EraseRootFromParent_Done,
     /*   49398 */   // Label 800: @49398
     /*   49398 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49466), // Rule ID 51782 //
     /*   49403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49440 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   49440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49464 */     GIR_RootConstrainSelectedInstOperands,
     /*   49465 */     // GIR_Coverage, 51782,
     /*   49465 */     GIR_EraseRootFromParent_Done,
     /*   49466 */   // Label 801: @49466
     /*   49466 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49521), // Rule ID 46619 //
     /*   49471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49499 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49519 */     GIR_RootConstrainSelectedInstOperands,
     /*   49520 */     // GIR_Coverage, 46619,
     /*   49520 */     GIR_EraseRootFromParent_Done,
     /*   49521 */   // Label 802: @49521
     /*   49521 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49576), // Rule ID 46620 //
     /*   49526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49545 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49554 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49574 */     GIR_RootConstrainSelectedInstOperands,
     /*   49575 */     // GIR_Coverage, 46620,
     /*   49575 */     GIR_EraseRootFromParent_Done,
     /*   49576 */   // Label 803: @49576
     /*   49576 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49631), // Rule ID 46379 //
     /*   49581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49609 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49629 */     GIR_RootConstrainSelectedInstOperands,
     /*   49630 */     // GIR_Coverage, 46379,
     /*   49630 */     GIR_EraseRootFromParent_Done,
     /*   49631 */   // Label 804: @49631
     /*   49631 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49686), // Rule ID 46380 //
     /*   49636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49664 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49684 */     GIR_RootConstrainSelectedInstOperands,
     /*   49685 */     // GIR_Coverage, 46380,
     /*   49685 */     GIR_EraseRootFromParent_Done,
     /*   49686 */   // Label 805: @49686
     /*   49686 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49741), // Rule ID 46499 //
     /*   49691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49719 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49739 */     GIR_RootConstrainSelectedInstOperands,
     /*   49740 */     // GIR_Coverage, 46499,
     /*   49740 */     GIR_EraseRootFromParent_Done,
     /*   49741 */   // Label 806: @49741
     /*   49741 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49796), // Rule ID 46500 //
     /*   49746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49774 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49794 */     GIR_RootConstrainSelectedInstOperands,
     /*   49795 */     // GIR_Coverage, 46500,
     /*   49795 */     GIR_EraseRootFromParent_Done,
     /*   49796 */   // Label 807: @49796
     /*   49796 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49849), // Rule ID 46017 //
     /*   49801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49812 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   49812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49847 */     GIR_RootConstrainSelectedInstOperands,
     /*   49848 */     // GIR_Coverage, 46017,
     /*   49848 */     GIR_EraseRootFromParent_Done,
     /*   49849 */   // Label 808: @49849
     /*   49849 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49902), // Rule ID 46018 //
     /*   49854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49865 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   49865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49900 */     GIR_RootConstrainSelectedInstOperands,
     /*   49901 */     // GIR_Coverage, 46018,
     /*   49901 */     GIR_EraseRootFromParent_Done,
     /*   49902 */   // Label 809: @49902
     /*   49902 */   GIM_Reject,
     /*   49903 */ // Label 769: @49903
     /*   49903 */ GIM_Reject,
     /*   49904 */ // Label 144: @49904
     /*   49904 */ GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(53028),
     /*   49909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49919 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50015), // Rule ID 70413 //
     /*   49924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   49989 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   49992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   49996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50013 */     GIR_RootConstrainSelectedInstOperands,
     /*   50014 */     // GIR_Coverage, 70413,
     /*   50014 */     GIR_EraseRootFromParent_Done,
     /*   50015 */   // Label 811: @50015
     /*   50015 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50111), // Rule ID 70414 //
     /*   50020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50085 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50109 */     GIR_RootConstrainSelectedInstOperands,
     /*   50110 */     // GIR_Coverage, 70414,
     /*   50110 */     GIR_EraseRootFromParent_Done,
     /*   50111 */   // Label 812: @50111
     /*   50111 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50207), // Rule ID 70689 //
     /*   50116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50181 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50205 */     GIR_RootConstrainSelectedInstOperands,
     /*   50206 */     // GIR_Coverage, 70689,
     /*   50206 */     GIR_EraseRootFromParent_Done,
     /*   50207 */   // Label 813: @50207
     /*   50207 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50303), // Rule ID 70690 //
     /*   50212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50245 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50260 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50264 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50266 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50277 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50301 */     GIR_RootConstrainSelectedInstOperands,
     /*   50302 */     // GIR_Coverage, 70690,
     /*   50302 */     GIR_EraseRootFromParent_Done,
     /*   50303 */   // Label 814: @50303
     /*   50303 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50399), // Rule ID 70691 //
     /*   50308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50341 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50356 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50360 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50362 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50373 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50397 */     GIR_RootConstrainSelectedInstOperands,
     /*   50398 */     // GIR_Coverage, 70691,
     /*   50398 */     GIR_EraseRootFromParent_Done,
     /*   50399 */   // Label 815: @50399
     /*   50399 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50495), // Rule ID 70692 //
     /*   50404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50456 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50458 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50469 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50493 */     GIR_RootConstrainSelectedInstOperands,
     /*   50494 */     // GIR_Coverage, 70692,
     /*   50494 */     GIR_EraseRootFromParent_Done,
     /*   50495 */   // Label 816: @50495
     /*   50495 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50591), // Rule ID 70527 //
     /*   50500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50533 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50548 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50552 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50554 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50565 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50589 */     GIR_RootConstrainSelectedInstOperands,
     /*   50590 */     // GIR_Coverage, 70527,
     /*   50590 */     GIR_EraseRootFromParent_Done,
     /*   50591 */   // Label 817: @50591
     /*   50591 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50687), // Rule ID 70528 //
     /*   50596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50644 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50648 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50650 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50661 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50685 */     GIR_RootConstrainSelectedInstOperands,
     /*   50686 */     // GIR_Coverage, 70528,
     /*   50686 */     GIR_EraseRootFromParent_Done,
     /*   50687 */   // Label 818: @50687
     /*   50687 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50783), // Rule ID 51919 //
     /*   50692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50757 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50781 */     GIR_RootConstrainSelectedInstOperands,
     /*   50782 */     // GIR_Coverage, 51919,
     /*   50782 */     GIR_EraseRootFromParent_Done,
     /*   50783 */   // Label 819: @50783
     /*   50783 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50879), // Rule ID 51920 //
     /*   50788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50853 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50877 */     GIR_RootConstrainSelectedInstOperands,
     /*   50878 */     // GIR_Coverage, 51920,
     /*   50878 */     GIR_EraseRootFromParent_Done,
     /*   50879 */   // Label 820: @50879
     /*   50879 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50975), // Rule ID 52037 //
     /*   50884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50949 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50973 */     GIR_RootConstrainSelectedInstOperands,
     /*   50974 */     // GIR_Coverage, 52037,
     /*   50974 */     GIR_EraseRootFromParent_Done,
     /*   50975 */   // Label 821: @50975
     /*   50975 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(51071), // Rule ID 52038 //
     /*   50980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51032 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51036 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51038 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51043 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51045 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51069 */     GIR_RootConstrainSelectedInstOperands,
     /*   51070 */     // GIR_Coverage, 52038,
     /*   51070 */     GIR_EraseRootFromParent_Done,
     /*   51071 */   // Label 822: @51071
     /*   51071 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(51167), // Rule ID 70687 //
     /*   51076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51128 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51132 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51134 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51139 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51141 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51165 */     GIR_RootConstrainSelectedInstOperands,
     /*   51166 */     // GIR_Coverage, 70687,
     /*   51166 */     GIR_EraseRootFromParent_Done,
     /*   51167 */   // Label 823: @51167
     /*   51167 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(51263), // Rule ID 70688 //
     /*   51172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51209 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51228 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51230 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51235 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51237 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51261 */     GIR_RootConstrainSelectedInstOperands,
     /*   51262 */     // GIR_Coverage, 70688,
     /*   51262 */     GIR_EraseRootFromParent_Done,
     /*   51263 */   // Label 824: @51263
     /*   51263 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(51359), // Rule ID 51977 //
     /*   51268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51305 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51320 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51324 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51326 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51333 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51357 */     GIR_RootConstrainSelectedInstOperands,
     /*   51358 */     // GIR_Coverage, 51977,
     /*   51358 */     GIR_EraseRootFromParent_Done,
     /*   51359 */   // Label 825: @51359
     /*   51359 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(51455), // Rule ID 51978 //
     /*   51364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51401 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51408 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51412 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51416 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51420 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51422 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51429 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51453 */     GIR_RootConstrainSelectedInstOperands,
     /*   51454 */     // GIR_Coverage, 51978,
     /*   51454 */     GIR_EraseRootFromParent_Done,
     /*   51455 */   // Label 826: @51455
     /*   51455 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(51544), // Rule ID 46583 //
     /*   51460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51503 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51542 */     GIR_RootConstrainSelectedInstOperands,
     /*   51543 */     // GIR_Coverage, 46583,
     /*   51543 */     GIR_EraseRootFromParent_Done,
     /*   51544 */   // Label 827: @51544
     /*   51544 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51633), // Rule ID 46584 //
     /*   51549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51592 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51631 */     GIR_RootConstrainSelectedInstOperands,
     /*   51632 */     // GIR_Coverage, 46584,
     /*   51632 */     GIR_EraseRootFromParent_Done,
     /*   51633 */   // Label 828: @51633
     /*   51633 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51722), // Rule ID 46347 //
     /*   51638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51681 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51720 */     GIR_RootConstrainSelectedInstOperands,
     /*   51721 */     // GIR_Coverage, 46347,
     /*   51721 */     GIR_EraseRootFromParent_Done,
     /*   51722 */   // Label 829: @51722
     /*   51722 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51811), // Rule ID 46348 //
     /*   51727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51770 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51809 */     GIR_RootConstrainSelectedInstOperands,
     /*   51810 */     // GIR_Coverage, 46348,
     /*   51810 */     GIR_EraseRootFromParent_Done,
     /*   51811 */   // Label 830: @51811
     /*   51811 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51900), // Rule ID 46463 //
     /*   51816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51859 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51898 */     GIR_RootConstrainSelectedInstOperands,
     /*   51899 */     // GIR_Coverage, 46463,
     /*   51899 */     GIR_EraseRootFromParent_Done,
     /*   51900 */   // Label 831: @51900
     /*   51900 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51989), // Rule ID 46464 //
     /*   51905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51948 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51987 */     GIR_RootConstrainSelectedInstOperands,
     /*   51988 */     // GIR_Coverage, 46464,
     /*   51988 */     GIR_EraseRootFromParent_Done,
     /*   51989 */   // Label 832: @51989
     /*   51989 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(52057), // Rule ID 70319 //
     /*   51994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52031 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52055 */     GIR_RootConstrainSelectedInstOperands,
     /*   52056 */     // GIR_Coverage, 70319,
     /*   52056 */     GIR_EraseRootFromParent_Done,
     /*   52057 */   // Label 833: @52057
     /*   52057 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(52125), // Rule ID 70320 //
     /*   52062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52099 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52123 */     GIR_RootConstrainSelectedInstOperands,
     /*   52124 */     // GIR_Coverage, 70320,
     /*   52124 */     GIR_EraseRootFromParent_Done,
     /*   52125 */   // Label 834: @52125
     /*   52125 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(52180), // Rule ID 69231 //
     /*   52130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52158 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52178 */     GIR_RootConstrainSelectedInstOperands,
     /*   52179 */     // GIR_Coverage, 69231,
     /*   52179 */     GIR_EraseRootFromParent_Done,
     /*   52180 */   // Label 835: @52180
     /*   52180 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(52235), // Rule ID 69232 //
     /*   52185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52213 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52233 */     GIR_RootConstrainSelectedInstOperands,
     /*   52234 */     // GIR_Coverage, 69232,
     /*   52234 */     GIR_EraseRootFromParent_Done,
     /*   52235 */   // Label 836: @52235
     /*   52235 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(52290), // Rule ID 69051 //
     /*   52240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52268 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52288 */     GIR_RootConstrainSelectedInstOperands,
     /*   52289 */     // GIR_Coverage, 69051,
     /*   52289 */     GIR_EraseRootFromParent_Done,
     /*   52290 */   // Label 837: @52290
     /*   52290 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(52345), // Rule ID 69052 //
     /*   52295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52323 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52343 */     GIR_RootConstrainSelectedInstOperands,
     /*   52344 */     // GIR_Coverage, 69052,
     /*   52344 */     GIR_EraseRootFromParent_Done,
     /*   52345 */   // Label 838: @52345
     /*   52345 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52400), // Rule ID 69141 //
     /*   52350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52378 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52398 */     GIR_RootConstrainSelectedInstOperands,
     /*   52399 */     // GIR_Coverage, 69141,
     /*   52399 */     GIR_EraseRootFromParent_Done,
     /*   52400 */   // Label 839: @52400
     /*   52400 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52455), // Rule ID 69142 //
     /*   52405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52433 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52453 */     GIR_RootConstrainSelectedInstOperands,
     /*   52454 */     // GIR_Coverage, 69142,
     /*   52454 */     GIR_EraseRootFromParent_Done,
     /*   52455 */   // Label 840: @52455
     /*   52455 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52523), // Rule ID 51797 //
     /*   52460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52497 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52521 */     GIR_RootConstrainSelectedInstOperands,
     /*   52522 */     // GIR_Coverage, 51797,
     /*   52522 */     GIR_EraseRootFromParent_Done,
     /*   52523 */   // Label 841: @52523
     /*   52523 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52591), // Rule ID 51798 //
     /*   52528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52565 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52589 */     GIR_RootConstrainSelectedInstOperands,
     /*   52590 */     // GIR_Coverage, 51798,
     /*   52590 */     GIR_EraseRootFromParent_Done,
     /*   52591 */   // Label 842: @52591
     /*   52591 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52646), // Rule ID 46643 //
     /*   52596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52624 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52644 */     GIR_RootConstrainSelectedInstOperands,
     /*   52645 */     // GIR_Coverage, 46643,
     /*   52645 */     GIR_EraseRootFromParent_Done,
     /*   52646 */   // Label 843: @52646
     /*   52646 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52701), // Rule ID 46644 //
     /*   52651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52679 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52699 */     GIR_RootConstrainSelectedInstOperands,
     /*   52700 */     // GIR_Coverage, 46644,
     /*   52700 */     GIR_EraseRootFromParent_Done,
     /*   52701 */   // Label 844: @52701
     /*   52701 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52756), // Rule ID 46403 //
     /*   52706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52725 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52734 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52754 */     GIR_RootConstrainSelectedInstOperands,
     /*   52755 */     // GIR_Coverage, 46403,
     /*   52755 */     GIR_EraseRootFromParent_Done,
     /*   52756 */   // Label 845: @52756
     /*   52756 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52811), // Rule ID 46404 //
     /*   52761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52789 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52809 */     GIR_RootConstrainSelectedInstOperands,
     /*   52810 */     // GIR_Coverage, 46404,
     /*   52810 */     GIR_EraseRootFromParent_Done,
     /*   52811 */   // Label 846: @52811
     /*   52811 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52866), // Rule ID 46523 //
     /*   52816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52844 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52864 */     GIR_RootConstrainSelectedInstOperands,
     /*   52865 */     // GIR_Coverage, 46523,
     /*   52865 */     GIR_EraseRootFromParent_Done,
     /*   52866 */   // Label 847: @52866
     /*   52866 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52921), // Rule ID 46524 //
     /*   52871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52899 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52919 */     GIR_RootConstrainSelectedInstOperands,
     /*   52920 */     // GIR_Coverage, 46524,
     /*   52920 */     GIR_EraseRootFromParent_Done,
     /*   52921 */   // Label 848: @52921
     /*   52921 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52974), // Rule ID 46033 //
     /*   52926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52937 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   52937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   52954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   52961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52972 */     GIR_RootConstrainSelectedInstOperands,
     /*   52973 */     // GIR_Coverage, 46033,
     /*   52973 */     GIR_EraseRootFromParent_Done,
     /*   52974 */   // Label 849: @52974
     /*   52974 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53027), // Rule ID 46034 //
     /*   52979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52990 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   52990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   53007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53025 */     GIR_RootConstrainSelectedInstOperands,
     /*   53026 */     // GIR_Coverage, 46034,
     /*   53026 */     GIR_EraseRootFromParent_Done,
     /*   53027 */   // Label 850: @53027
     /*   53027 */   GIM_Reject,
     /*   53028 */ // Label 810: @53028
     /*   53028 */ GIM_Reject,
     /*   53029 */ // Label 145: @53029
     /*   53029 */ GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53423),
     /*   53034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53044 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53112), // Rule ID 70263 //
     /*   53049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53086 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53110 */     GIR_RootConstrainSelectedInstOperands,
     /*   53111 */     // GIR_Coverage, 70263,
     /*   53111 */     GIR_EraseRootFromParent_Done,
     /*   53112 */   // Label 852: @53112
     /*   53112 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53180), // Rule ID 70264 //
     /*   53117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53154 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53178 */     GIR_RootConstrainSelectedInstOperands,
     /*   53179 */     // GIR_Coverage, 70264,
     /*   53179 */     GIR_EraseRootFromParent_Done,
     /*   53180 */   // Label 853: @53180
     /*   53180 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53248), // Rule ID 51769 //
     /*   53185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53222 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53246 */     GIR_RootConstrainSelectedInstOperands,
     /*   53247 */     // GIR_Coverage, 51769,
     /*   53247 */     GIR_EraseRootFromParent_Done,
     /*   53248 */   // Label 854: @53248
     /*   53248 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53316), // Rule ID 51770 //
     /*   53253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53290 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53314 */     GIR_RootConstrainSelectedInstOperands,
     /*   53315 */     // GIR_Coverage, 51770,
     /*   53315 */     GIR_EraseRootFromParent_Done,
     /*   53316 */   // Label 855: @53316
     /*   53316 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53369), // Rule ID 46005 //
     /*   53321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53332 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53367 */     GIR_RootConstrainSelectedInstOperands,
     /*   53368 */     // GIR_Coverage, 46005,
     /*   53368 */     GIR_EraseRootFromParent_Done,
     /*   53369 */   // Label 856: @53369
     /*   53369 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53422), // Rule ID 46006 //
     /*   53374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53385 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53420 */     GIR_RootConstrainSelectedInstOperands,
     /*   53421 */     // GIR_Coverage, 46006,
     /*   53421 */     GIR_EraseRootFromParent_Done,
     /*   53422 */   // Label 857: @53422
     /*   53422 */   GIM_Reject,
     /*   53423 */ // Label 851: @53423
     /*   53423 */ GIM_Reject,
     /*   53424 */ // Label 146: @53424
     /*   53424 */ GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(56548),
     /*   53429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53439 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53535), // Rule ID 70403 //
     /*   53444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53509 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53533 */     GIR_RootConstrainSelectedInstOperands,
     /*   53534 */     // GIR_Coverage, 70403,
     /*   53534 */     GIR_EraseRootFromParent_Done,
     /*   53535 */   // Label 859: @53535
     /*   53535 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53631), // Rule ID 70404 //
     /*   53540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53603 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53605 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53629 */     GIR_RootConstrainSelectedInstOperands,
     /*   53630 */     // GIR_Coverage, 70404,
     /*   53630 */     GIR_EraseRootFromParent_Done,
     /*   53631 */   // Label 860: @53631
     /*   53631 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53727), // Rule ID 70659 //
     /*   53636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53699 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53701 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53725 */     GIR_RootConstrainSelectedInstOperands,
     /*   53726 */     // GIR_Coverage, 70659,
     /*   53726 */     GIR_EraseRootFromParent_Done,
     /*   53727 */   // Label 861: @53727
     /*   53727 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53823), // Rule ID 70660 //
     /*   53732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53795 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53797 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53821 */     GIR_RootConstrainSelectedInstOperands,
     /*   53822 */     // GIR_Coverage, 70660,
     /*   53822 */     GIR_EraseRootFromParent_Done,
     /*   53823 */   // Label 862: @53823
     /*   53823 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53919), // Rule ID 70661 //
     /*   53828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53893 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   53904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   53908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53917 */     GIR_RootConstrainSelectedInstOperands,
     /*   53918 */     // GIR_Coverage, 70661,
     /*   53918 */     GIR_EraseRootFromParent_Done,
     /*   53919 */   // Label 863: @53919
     /*   53919 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(54015), // Rule ID 70662 //
     /*   53924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53989 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54013 */     GIR_RootConstrainSelectedInstOperands,
     /*   54014 */     // GIR_Coverage, 70662,
     /*   54014 */     GIR_EraseRootFromParent_Done,
     /*   54015 */   // Label 864: @54015
     /*   54015 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(54111), // Rule ID 70517 //
     /*   54020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54085 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54109 */     GIR_RootConstrainSelectedInstOperands,
     /*   54110 */     // GIR_Coverage, 70517,
     /*   54110 */     GIR_EraseRootFromParent_Done,
     /*   54111 */   // Label 865: @54111
     /*   54111 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(54207), // Rule ID 70518 //
     /*   54116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54181 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54205 */     GIR_RootConstrainSelectedInstOperands,
     /*   54206 */     // GIR_Coverage, 70518,
     /*   54206 */     GIR_EraseRootFromParent_Done,
     /*   54207 */   // Label 866: @54207
     /*   54207 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54303), // Rule ID 51909 //
     /*   54212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54249 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54256 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54260 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54264 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54268 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54270 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54277 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54301 */     GIR_RootConstrainSelectedInstOperands,
     /*   54302 */     // GIR_Coverage, 51909,
     /*   54302 */     GIR_EraseRootFromParent_Done,
     /*   54303 */   // Label 867: @54303
     /*   54303 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(54399), // Rule ID 51910 //
     /*   54308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54360 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54364 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54366 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54373 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54397 */     GIR_RootConstrainSelectedInstOperands,
     /*   54398 */     // GIR_Coverage, 51910,
     /*   54398 */     GIR_EraseRootFromParent_Done,
     /*   54399 */   // Label 868: @54399
     /*   54399 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54495), // Rule ID 52027 //
     /*   54404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54456 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54460 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54462 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54469 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54493 */     GIR_RootConstrainSelectedInstOperands,
     /*   54494 */     // GIR_Coverage, 52027,
     /*   54494 */     GIR_EraseRootFromParent_Done,
     /*   54495 */   // Label 869: @54495
     /*   54495 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54591), // Rule ID 52028 //
     /*   54500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54537 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54552 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54556 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54558 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54565 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54589 */     GIR_RootConstrainSelectedInstOperands,
     /*   54590 */     // GIR_Coverage, 52028,
     /*   54590 */     GIR_EraseRootFromParent_Done,
     /*   54591 */   // Label 870: @54591
     /*   54591 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54687), // Rule ID 70657 //
     /*   54596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54648 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54652 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54654 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54661 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54685 */     GIR_RootConstrainSelectedInstOperands,
     /*   54686 */     // GIR_Coverage, 70657,
     /*   54686 */     GIR_EraseRootFromParent_Done,
     /*   54687 */   // Label 871: @54687
     /*   54687 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54783), // Rule ID 70658 //
     /*   54692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54757 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54781 */     GIR_RootConstrainSelectedInstOperands,
     /*   54782 */     // GIR_Coverage, 70658,
     /*   54782 */     GIR_EraseRootFromParent_Done,
     /*   54783 */   // Label 872: @54783
     /*   54783 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54879), // Rule ID 51967 //
     /*   54788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54853 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54877 */     GIR_RootConstrainSelectedInstOperands,
     /*   54878 */     // GIR_Coverage, 51967,
     /*   54878 */     GIR_EraseRootFromParent_Done,
     /*   54879 */   // Label 873: @54879
     /*   54879 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54975), // Rule ID 51968 //
     /*   54884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54949 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54973 */     GIR_RootConstrainSelectedInstOperands,
     /*   54974 */     // GIR_Coverage, 51968,
     /*   54974 */     GIR_EraseRootFromParent_Done,
     /*   54975 */   // Label 874: @54975
     /*   54975 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(55064), // Rule ID 46563 //
     /*   54980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55023 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55062 */     GIR_RootConstrainSelectedInstOperands,
     /*   55063 */     // GIR_Coverage, 46563,
     /*   55063 */     GIR_EraseRootFromParent_Done,
     /*   55064 */   // Label 875: @55064
     /*   55064 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(55153), // Rule ID 46564 //
     /*   55069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55112 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55151 */     GIR_RootConstrainSelectedInstOperands,
     /*   55152 */     // GIR_Coverage, 46564,
     /*   55152 */     GIR_EraseRootFromParent_Done,
     /*   55153 */   // Label 876: @55153
     /*   55153 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(55242), // Rule ID 46327 //
     /*   55158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55192 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55201 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55240 */     GIR_RootConstrainSelectedInstOperands,
     /*   55241 */     // GIR_Coverage, 46327,
     /*   55241 */     GIR_EraseRootFromParent_Done,
     /*   55242 */   // Label 877: @55242
     /*   55242 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55331), // Rule ID 46328 //
     /*   55247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55281 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55290 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55329 */     GIR_RootConstrainSelectedInstOperands,
     /*   55330 */     // GIR_Coverage, 46328,
     /*   55330 */     GIR_EraseRootFromParent_Done,
     /*   55331 */   // Label 878: @55331
     /*   55331 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55420), // Rule ID 46443 //
     /*   55336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55370 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55379 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55418 */     GIR_RootConstrainSelectedInstOperands,
     /*   55419 */     // GIR_Coverage, 46443,
     /*   55419 */     GIR_EraseRootFromParent_Done,
     /*   55420 */   // Label 879: @55420
     /*   55420 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55509), // Rule ID 46444 //
     /*   55425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55459 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55468 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55507 */     GIR_RootConstrainSelectedInstOperands,
     /*   55508 */     // GIR_Coverage, 46444,
     /*   55508 */     GIR_EraseRootFromParent_Done,
     /*   55509 */   // Label 880: @55509
     /*   55509 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55577), // Rule ID 70295 //
     /*   55514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55551 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55575 */     GIR_RootConstrainSelectedInstOperands,
     /*   55576 */     // GIR_Coverage, 70295,
     /*   55576 */     GIR_EraseRootFromParent_Done,
     /*   55577 */   // Label 881: @55577
     /*   55577 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55645), // Rule ID 70296 //
     /*   55582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55619 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55643 */     GIR_RootConstrainSelectedInstOperands,
     /*   55644 */     // GIR_Coverage, 70296,
     /*   55644 */     GIR_EraseRootFromParent_Done,
     /*   55645 */   // Label 882: @55645
     /*   55645 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55700), // Rule ID 69211 //
     /*   55650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55678 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55698 */     GIR_RootConstrainSelectedInstOperands,
     /*   55699 */     // GIR_Coverage, 69211,
     /*   55699 */     GIR_EraseRootFromParent_Done,
     /*   55700 */   // Label 883: @55700
     /*   55700 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55755), // Rule ID 69212 //
     /*   55705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55733 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55753 */     GIR_RootConstrainSelectedInstOperands,
     /*   55754 */     // GIR_Coverage, 69212,
     /*   55754 */     GIR_EraseRootFromParent_Done,
     /*   55755 */   // Label 884: @55755
     /*   55755 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55810), // Rule ID 69031 //
     /*   55760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55788 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55808 */     GIR_RootConstrainSelectedInstOperands,
     /*   55809 */     // GIR_Coverage, 69031,
     /*   55809 */     GIR_EraseRootFromParent_Done,
     /*   55810 */   // Label 885: @55810
     /*   55810 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55865), // Rule ID 69032 //
     /*   55815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55843 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55863 */     GIR_RootConstrainSelectedInstOperands,
     /*   55864 */     // GIR_Coverage, 69032,
     /*   55864 */     GIR_EraseRootFromParent_Done,
     /*   55865 */   // Label 886: @55865
     /*   55865 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55920), // Rule ID 69121 //
     /*   55870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55898 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55918 */     GIR_RootConstrainSelectedInstOperands,
     /*   55919 */     // GIR_Coverage, 69121,
     /*   55919 */     GIR_EraseRootFromParent_Done,
     /*   55920 */   // Label 887: @55920
     /*   55920 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55975), // Rule ID 69122 //
     /*   55925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55953 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55973 */     GIR_RootConstrainSelectedInstOperands,
     /*   55974 */     // GIR_Coverage, 69122,
     /*   55974 */     GIR_EraseRootFromParent_Done,
     /*   55975 */   // Label 888: @55975
     /*   55975 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56043), // Rule ID 51785 //
     /*   55980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56017 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56041 */     GIR_RootConstrainSelectedInstOperands,
     /*   56042 */     // GIR_Coverage, 51785,
     /*   56042 */     GIR_EraseRootFromParent_Done,
     /*   56043 */   // Label 889: @56043
     /*   56043 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56111), // Rule ID 51786 //
     /*   56048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   56067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56085 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56109 */     GIR_RootConstrainSelectedInstOperands,
     /*   56110 */     // GIR_Coverage, 51786,
     /*   56110 */     GIR_EraseRootFromParent_Done,
     /*   56111 */   // Label 890: @56111
     /*   56111 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56166), // Rule ID 46623 //
     /*   56116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56144 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56164 */     GIR_RootConstrainSelectedInstOperands,
     /*   56165 */     // GIR_Coverage, 46623,
     /*   56165 */     GIR_EraseRootFromParent_Done,
     /*   56166 */   // Label 891: @56166
     /*   56166 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56221), // Rule ID 46624 //
     /*   56171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56199 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56219 */     GIR_RootConstrainSelectedInstOperands,
     /*   56220 */     // GIR_Coverage, 46624,
     /*   56220 */     GIR_EraseRootFromParent_Done,
     /*   56221 */   // Label 892: @56221
     /*   56221 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56276), // Rule ID 46383 //
     /*   56226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56254 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56274 */     GIR_RootConstrainSelectedInstOperands,
     /*   56275 */     // GIR_Coverage, 46383,
     /*   56275 */     GIR_EraseRootFromParent_Done,
     /*   56276 */   // Label 893: @56276
     /*   56276 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56331), // Rule ID 46384 //
     /*   56281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56309 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56329 */     GIR_RootConstrainSelectedInstOperands,
     /*   56330 */     // GIR_Coverage, 46384,
     /*   56330 */     GIR_EraseRootFromParent_Done,
     /*   56331 */   // Label 894: @56331
     /*   56331 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56386), // Rule ID 46503 //
     /*   56336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56364 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56384 */     GIR_RootConstrainSelectedInstOperands,
     /*   56385 */     // GIR_Coverage, 46503,
     /*   56385 */     GIR_EraseRootFromParent_Done,
     /*   56386 */   // Label 895: @56386
     /*   56386 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56441), // Rule ID 46504 //
     /*   56391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56419 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56439 */     GIR_RootConstrainSelectedInstOperands,
     /*   56440 */     // GIR_Coverage, 46504,
     /*   56440 */     GIR_EraseRootFromParent_Done,
     /*   56441 */   // Label 896: @56441
     /*   56441 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56494), // Rule ID 46021 //
     /*   56446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56457 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   56457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56492 */     GIR_RootConstrainSelectedInstOperands,
     /*   56493 */     // GIR_Coverage, 46021,
     /*   56493 */     GIR_EraseRootFromParent_Done,
     /*   56494 */   // Label 897: @56494
     /*   56494 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56547), // Rule ID 46022 //
     /*   56499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56510 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56545 */     GIR_RootConstrainSelectedInstOperands,
     /*   56546 */     // GIR_Coverage, 46022,
     /*   56546 */     GIR_EraseRootFromParent_Done,
     /*   56547 */   // Label 898: @56547
     /*   56547 */   GIM_Reject,
     /*   56548 */ // Label 858: @56548
     /*   56548 */ GIM_Reject,
     /*   56549 */ // Label 147: @56549
     /*   56549 */ GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56943),
     /*   56554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56564 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56632), // Rule ID 70271 //
     /*   56569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56606 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56630 */     GIR_RootConstrainSelectedInstOperands,
     /*   56631 */     // GIR_Coverage, 70271,
     /*   56631 */     GIR_EraseRootFromParent_Done,
     /*   56632 */   // Label 900: @56632
     /*   56632 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56700), // Rule ID 70272 //
     /*   56637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56674 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56698 */     GIR_RootConstrainSelectedInstOperands,
     /*   56699 */     // GIR_Coverage, 70272,
     /*   56699 */     GIR_EraseRootFromParent_Done,
     /*   56700 */   // Label 901: @56700
     /*   56700 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56768), // Rule ID 51773 //
     /*   56705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56742 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56766 */     GIR_RootConstrainSelectedInstOperands,
     /*   56767 */     // GIR_Coverage, 51773,
     /*   56767 */     GIR_EraseRootFromParent_Done,
     /*   56768 */   // Label 902: @56768
     /*   56768 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56836), // Rule ID 51774 //
     /*   56773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56810 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56834 */     GIR_RootConstrainSelectedInstOperands,
     /*   56835 */     // GIR_Coverage, 51774,
     /*   56835 */     GIR_EraseRootFromParent_Done,
     /*   56836 */   // Label 903: @56836
     /*   56836 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56889), // Rule ID 46009 //
     /*   56841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56852 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   56852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56887 */     GIR_RootConstrainSelectedInstOperands,
     /*   56888 */     // GIR_Coverage, 46009,
     /*   56888 */     GIR_EraseRootFromParent_Done,
     /*   56889 */   // Label 904: @56889
     /*   56889 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56942), // Rule ID 46010 //
     /*   56894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56905 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   56905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56940 */     GIR_RootConstrainSelectedInstOperands,
     /*   56941 */     // GIR_Coverage, 46010,
     /*   56941 */     GIR_EraseRootFromParent_Done,
     /*   56942 */   // Label 905: @56942
     /*   56942 */   GIM_Reject,
     /*   56943 */ // Label 899: @56943
     /*   56943 */ GIM_Reject,
     /*   56944 */ // Label 148: @56944
     /*   56944 */ GIM_Reject,
     /*   56945 */ // Label 1: @56945
     /*   56945 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 930*/ GIMT_Encode4(76177),
     /*   56956 */ /*GILLT_s32*//*Label 906*/ GIMT_Encode4(57080),
     /*   56960 */ /*GILLT_s64*//*Label 907*/ GIMT_Encode4(57327), GIMT_Encode4(0),
     /*   56968 */ /*GILLT_nxv1s8*//*Label 908*/ GIMT_Encode4(57603),
     /*   56972 */ /*GILLT_nxv1s16*//*Label 909*/ GIMT_Encode4(57850),
     /*   56976 */ /*GILLT_nxv1s32*//*Label 910*/ GIMT_Encode4(58973),
     /*   56980 */ /*GILLT_nxv1s64*//*Label 911*/ GIMT_Encode4(60096), GIMT_Encode4(0),
     /*   56988 */ /*GILLT_nxv2s8*//*Label 912*/ GIMT_Encode4(61219),
     /*   56992 */ /*GILLT_nxv2s16*//*Label 913*/ GIMT_Encode4(61466),
     /*   56996 */ /*GILLT_nxv2s32*//*Label 914*/ GIMT_Encode4(62589),
     /*   57000 */ /*GILLT_nxv2s64*//*Label 915*/ GIMT_Encode4(63712), GIMT_Encode4(0),
     /*   57008 */ /*GILLT_nxv4s8*//*Label 916*/ GIMT_Encode4(64835),
     /*   57012 */ /*GILLT_nxv4s16*//*Label 917*/ GIMT_Encode4(65082),
     /*   57016 */ /*GILLT_nxv4s32*//*Label 918*/ GIMT_Encode4(66205),
     /*   57020 */ /*GILLT_nxv4s64*//*Label 919*/ GIMT_Encode4(67328), GIMT_Encode4(0),
     /*   57028 */ /*GILLT_nxv8s8*//*Label 920*/ GIMT_Encode4(68451),
     /*   57032 */ /*GILLT_nxv8s16*//*Label 921*/ GIMT_Encode4(68698),
     /*   57036 */ /*GILLT_nxv8s32*//*Label 922*/ GIMT_Encode4(69821),
     /*   57040 */ /*GILLT_nxv8s64*//*Label 923*/ GIMT_Encode4(70944), GIMT_Encode4(0),
     /*   57048 */ /*GILLT_nxv16s8*//*Label 924*/ GIMT_Encode4(72067),
     /*   57052 */ /*GILLT_nxv16s16*//*Label 925*/ GIMT_Encode4(72314),
     /*   57056 */ /*GILLT_nxv16s32*//*Label 926*/ GIMT_Encode4(73437), GIMT_Encode4(0),
     /*   57064 */ /*GILLT_nxv32s8*//*Label 927*/ GIMT_Encode4(74560),
     /*   57068 */ /*GILLT_nxv32s16*//*Label 928*/ GIMT_Encode4(74807), GIMT_Encode4(0),
     /*   57076 */ /*GILLT_nxv64s8*//*Label 929*/ GIMT_Encode4(75930),
     /*   57080 */ // Label 906: @57080
     /*   57080 */ GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57326),
     /*   57085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   57088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   57091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57095 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57170), // Rule ID 98 //
     /*   57100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   57103 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57130 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57136 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   57136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57152 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57168 */     GIR_RootConstrainSelectedInstOperands,
     /*   57169 */     // GIR_Coverage, 98,
     /*   57169 */     GIR_EraseRootFromParent_Done,
     /*   57170 */   // Label 932: @57170
     /*   57170 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57245), // Rule ID 99 //
     /*   57175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   57178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57205 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57211 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   57211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57227 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57243 */     GIR_RootConstrainSelectedInstOperands,
     /*   57244 */     // GIR_Coverage, 99,
     /*   57244 */     GIR_EraseRootFromParent_Done,
     /*   57245 */   // Label 933: @57245
     /*   57245 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57302), // Rule ID 62503 //
     /*   57250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   57253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57285 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57300 */     GIR_RootConstrainSelectedInstOperands,
     /*   57301 */     // GIR_Coverage, 62503,
     /*   57301 */     GIR_EraseRootFromParent_Done,
     /*   57302 */   // Label 934: @57302
     /*   57302 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57325), // Rule ID 77 //
     /*   57307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   57310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57318 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57323 */     GIR_RootConstrainSelectedInstOperands,
     /*   57324 */     // GIR_Coverage, 77,
     /*   57324 */     GIR_Done,
     /*   57325 */   // Label 935: @57325
     /*   57325 */   GIM_Reject,
     /*   57326 */ // Label 931: @57326
     /*   57326 */ GIM_Reject,
     /*   57327 */ // Label 907: @57327
     /*   57327 */ GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57602),
     /*   57332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   57335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   57338 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57417), // Rule ID 100 //
     /*   57343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57350 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57377 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57383 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   57383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   57386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57399 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   57402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   57415 */     GIR_RootConstrainSelectedInstOperands,
     /*   57416 */     // GIR_Coverage, 100,
     /*   57416 */     GIR_EraseRootFromParent_Done,
     /*   57417 */   // Label 937: @57417
     /*   57417 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57482), // Rule ID 62505 //
     /*   57422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   57425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10030),
     /*   57463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57465 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10030>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   57468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57480 */     GIR_RootConstrainSelectedInstOperands,
     /*   57481 */     // GIR_Coverage, 62505,
     /*   57481 */     GIR_EraseRootFromParent_Done,
     /*   57482 */   // Label 938: @57482
     /*   57482 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(57543), // Rule ID 62502 //
     /*   57487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   57490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57526 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57541 */     GIR_RootConstrainSelectedInstOperands,
     /*   57542 */     // GIR_Coverage, 62502,
     /*   57542 */     GIR_EraseRootFromParent_Done,
     /*   57543 */   // Label 939: @57543
     /*   57543 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57574), // Rule ID 267 //
     /*   57548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10030),
     /*   57567 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10030>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   57572 */     GIR_RootConstrainSelectedInstOperands,
     /*   57573 */     // GIR_Coverage, 267,
     /*   57573 */     GIR_Done,
     /*   57574 */   // Label 940: @57574
     /*   57574 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57601), // Rule ID 76 //
     /*   57579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   57582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57594 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57599 */     GIR_RootConstrainSelectedInstOperands,
     /*   57600 */     // GIR_Coverage, 76,
     /*   57600 */     GIR_Done,
     /*   57601 */   // Label 941: @57601
     /*   57601 */   GIM_Reject,
     /*   57602 */ // Label 936: @57602
     /*   57602 */ GIM_Reject,
     /*   57603 */ // Label 908: @57603
     /*   57603 */ GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57849),
     /*   57608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57622 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57686), // Rule ID 51813 //
     /*   57627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57660 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57684 */     GIR_RootConstrainSelectedInstOperands,
     /*   57685 */     // GIR_Coverage, 51813,
     /*   57685 */     GIR_EraseRootFromParent_Done,
     /*   57686 */   // Label 943: @57686
     /*   57686 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57750), // Rule ID 51814 //
     /*   57691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57724 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57748 */     GIR_RootConstrainSelectedInstOperands,
     /*   57749 */     // GIR_Coverage, 51814,
     /*   57749 */     GIR_EraseRootFromParent_Done,
     /*   57750 */   // Label 944: @57750
     /*   57750 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57799), // Rule ID 46091 //
     /*   57755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57762 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57797 */     GIR_RootConstrainSelectedInstOperands,
     /*   57798 */     // GIR_Coverage, 46091,
     /*   57798 */     GIR_EraseRootFromParent_Done,
     /*   57799 */   // Label 945: @57799
     /*   57799 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57848), // Rule ID 46092 //
     /*   57804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57811 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57846 */     GIR_RootConstrainSelectedInstOperands,
     /*   57847 */     // GIR_Coverage, 46092,
     /*   57847 */     GIR_EraseRootFromParent_Done,
     /*   57848 */   // Label 946: @57848
     /*   57848 */   GIM_Reject,
     /*   57849 */ // Label 942: @57849
     /*   57849 */ GIM_Reject,
     /*   57850 */ // Label 909: @57850
     /*   57850 */ GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(58972),
     /*   57855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   57858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   57861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57865 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(57954), // Rule ID 47083 //
     /*   57870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57904 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57913 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   57916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   57930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   57939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57952 */     GIR_RootConstrainSelectedInstOperands,
     /*   57953 */     // GIR_Coverage, 47083,
     /*   57953 */     GIR_EraseRootFromParent_Done,
     /*   57954 */   // Label 948: @57954
     /*   57954 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58043), // Rule ID 47084 //
     /*   57959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58002 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58041 */     GIR_RootConstrainSelectedInstOperands,
     /*   58042 */     // GIR_Coverage, 47084,
     /*   58042 */     GIR_EraseRootFromParent_Done,
     /*   58043 */   // Label 949: @58043
     /*   58043 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58132), // Rule ID 46843 //
     /*   58048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58082 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58091 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58130 */     GIR_RootConstrainSelectedInstOperands,
     /*   58131 */     // GIR_Coverage, 46843,
     /*   58131 */     GIR_EraseRootFromParent_Done,
     /*   58132 */   // Label 950: @58132
     /*   58132 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58221), // Rule ID 46844 //
     /*   58137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58171 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58180 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58219 */     GIR_RootConstrainSelectedInstOperands,
     /*   58220 */     // GIR_Coverage, 46844,
     /*   58220 */     GIR_EraseRootFromParent_Done,
     /*   58221 */   // Label 951: @58221
     /*   58221 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58310), // Rule ID 46963 //
     /*   58226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58260 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58269 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58308 */     GIR_RootConstrainSelectedInstOperands,
     /*   58309 */     // GIR_Coverage, 46963,
     /*   58309 */     GIR_EraseRootFromParent_Done,
     /*   58310 */   // Label 952: @58310
     /*   58310 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58399), // Rule ID 46964 //
     /*   58315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58330 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58358 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58397 */     GIR_RootConstrainSelectedInstOperands,
     /*   58398 */     // GIR_Coverage, 46964,
     /*   58398 */     GIR_EraseRootFromParent_Done,
     /*   58399 */   // Label 953: @58399
     /*   58399 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58467), // Rule ID 51825 //
     /*   58404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58441 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   58441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58465 */     GIR_RootConstrainSelectedInstOperands,
     /*   58466 */     // GIR_Coverage, 51825,
     /*   58466 */     GIR_EraseRootFromParent_Done,
     /*   58467 */   // Label 954: @58467
     /*   58467 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58535), // Rule ID 51826 //
     /*   58472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58495 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58509 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   58509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58533 */     GIR_RootConstrainSelectedInstOperands,
     /*   58534 */     // GIR_Coverage, 51826,
     /*   58534 */     GIR_EraseRootFromParent_Done,
     /*   58535 */   // Label 955: @58535
     /*   58535 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58590), // Rule ID 47143 //
     /*   58540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58568 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58588 */     GIR_RootConstrainSelectedInstOperands,
     /*   58589 */     // GIR_Coverage, 47143,
     /*   58589 */     GIR_EraseRootFromParent_Done,
     /*   58590 */   // Label 956: @58590
     /*   58590 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58645), // Rule ID 47144 //
     /*   58595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58623 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58643 */     GIR_RootConstrainSelectedInstOperands,
     /*   58644 */     // GIR_Coverage, 47144,
     /*   58644 */     GIR_EraseRootFromParent_Done,
     /*   58645 */   // Label 957: @58645
     /*   58645 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58700), // Rule ID 46903 //
     /*   58650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58678 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58698 */     GIR_RootConstrainSelectedInstOperands,
     /*   58699 */     // GIR_Coverage, 46903,
     /*   58699 */     GIR_EraseRootFromParent_Done,
     /*   58700 */   // Label 958: @58700
     /*   58700 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58755), // Rule ID 46904 //
     /*   58705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58733 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58753 */     GIR_RootConstrainSelectedInstOperands,
     /*   58754 */     // GIR_Coverage, 46904,
     /*   58754 */     GIR_EraseRootFromParent_Done,
     /*   58755 */   // Label 959: @58755
     /*   58755 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(58810), // Rule ID 47023 //
     /*   58760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58788 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58808 */     GIR_RootConstrainSelectedInstOperands,
     /*   58809 */     // GIR_Coverage, 47023,
     /*   58809 */     GIR_EraseRootFromParent_Done,
     /*   58810 */   // Label 960: @58810
     /*   58810 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58865), // Rule ID 47024 //
     /*   58815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58843 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58863 */     GIR_RootConstrainSelectedInstOperands,
     /*   58864 */     // GIR_Coverage, 47024,
     /*   58864 */     GIR_EraseRootFromParent_Done,
     /*   58865 */   // Label 961: @58865
     /*   58865 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(58918), // Rule ID 46103 //
     /*   58870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58881 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   58881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58916 */     GIR_RootConstrainSelectedInstOperands,
     /*   58917 */     // GIR_Coverage, 46103,
     /*   58917 */     GIR_EraseRootFromParent_Done,
     /*   58918 */   // Label 962: @58918
     /*   58918 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(58971), // Rule ID 46104 //
     /*   58923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58934 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   58934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58969 */     GIR_RootConstrainSelectedInstOperands,
     /*   58970 */     // GIR_Coverage, 46104,
     /*   58970 */     GIR_EraseRootFromParent_Done,
     /*   58971 */   // Label 963: @58971
     /*   58971 */   GIM_Reject,
     /*   58972 */ // Label 947: @58972
     /*   58972 */ GIM_Reject,
     /*   58973 */ // Label 910: @58973
     /*   58973 */ GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(60095),
     /*   58978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   58981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   58984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58988 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(59077), // Rule ID 47107 //
     /*   58993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59036 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59075 */     GIR_RootConstrainSelectedInstOperands,
     /*   59076 */     // GIR_Coverage, 47107,
     /*   59076 */     GIR_EraseRootFromParent_Done,
     /*   59077 */   // Label 965: @59077
     /*   59077 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(59166), // Rule ID 47108 //
     /*   59082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59125 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59164 */     GIR_RootConstrainSelectedInstOperands,
     /*   59165 */     // GIR_Coverage, 47108,
     /*   59165 */     GIR_EraseRootFromParent_Done,
     /*   59166 */   // Label 966: @59166
     /*   59166 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(59255), // Rule ID 46867 //
     /*   59171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59214 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59253 */     GIR_RootConstrainSelectedInstOperands,
     /*   59254 */     // GIR_Coverage, 46867,
     /*   59254 */     GIR_EraseRootFromParent_Done,
     /*   59255 */   // Label 967: @59255
     /*   59255 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59344), // Rule ID 46868 //
     /*   59260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59303 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59342 */     GIR_RootConstrainSelectedInstOperands,
     /*   59343 */     // GIR_Coverage, 46868,
     /*   59343 */     GIR_EraseRootFromParent_Done,
     /*   59344 */   // Label 968: @59344
     /*   59344 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59433), // Rule ID 46987 //
     /*   59349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59392 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59431 */     GIR_RootConstrainSelectedInstOperands,
     /*   59432 */     // GIR_Coverage, 46987,
     /*   59432 */     GIR_EraseRootFromParent_Done,
     /*   59433 */   // Label 969: @59433
     /*   59433 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59522), // Rule ID 46988 //
     /*   59438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59481 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59520 */     GIR_RootConstrainSelectedInstOperands,
     /*   59521 */     // GIR_Coverage, 46988,
     /*   59521 */     GIR_EraseRootFromParent_Done,
     /*   59522 */   // Label 970: @59522
     /*   59522 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59590), // Rule ID 51833 //
     /*   59527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59564 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   59564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59588 */     GIR_RootConstrainSelectedInstOperands,
     /*   59589 */     // GIR_Coverage, 51833,
     /*   59589 */     GIR_EraseRootFromParent_Done,
     /*   59590 */   // Label 971: @59590
     /*   59590 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59658), // Rule ID 51834 //
     /*   59595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59632 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   59632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59656 */     GIR_RootConstrainSelectedInstOperands,
     /*   59657 */     // GIR_Coverage, 51834,
     /*   59657 */     GIR_EraseRootFromParent_Done,
     /*   59658 */   // Label 972: @59658
     /*   59658 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59713), // Rule ID 47167 //
     /*   59663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59691 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59711 */     GIR_RootConstrainSelectedInstOperands,
     /*   59712 */     // GIR_Coverage, 47167,
     /*   59712 */     GIR_EraseRootFromParent_Done,
     /*   59713 */   // Label 973: @59713
     /*   59713 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59768), // Rule ID 47168 //
     /*   59718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59737 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59746 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59766 */     GIR_RootConstrainSelectedInstOperands,
     /*   59767 */     // GIR_Coverage, 47168,
     /*   59767 */     GIR_EraseRootFromParent_Done,
     /*   59768 */   // Label 974: @59768
     /*   59768 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59823), // Rule ID 46927 //
     /*   59773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59801 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59821 */     GIR_RootConstrainSelectedInstOperands,
     /*   59822 */     // GIR_Coverage, 46927,
     /*   59822 */     GIR_EraseRootFromParent_Done,
     /*   59823 */   // Label 975: @59823
     /*   59823 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(59878), // Rule ID 46928 //
     /*   59828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59856 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59876 */     GIR_RootConstrainSelectedInstOperands,
     /*   59877 */     // GIR_Coverage, 46928,
     /*   59877 */     GIR_EraseRootFromParent_Done,
     /*   59878 */   // Label 976: @59878
     /*   59878 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(59933), // Rule ID 47047 //
     /*   59883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59911 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59931 */     GIR_RootConstrainSelectedInstOperands,
     /*   59932 */     // GIR_Coverage, 47047,
     /*   59932 */     GIR_EraseRootFromParent_Done,
     /*   59933 */   // Label 977: @59933
     /*   59933 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(59988), // Rule ID 47048 //
     /*   59938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59966 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59986 */     GIR_RootConstrainSelectedInstOperands,
     /*   59987 */     // GIR_Coverage, 47048,
     /*   59987 */     GIR_EraseRootFromParent_Done,
     /*   59988 */   // Label 978: @59988
     /*   59988 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(60041), // Rule ID 46111 //
     /*   59993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60004 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60039 */     GIR_RootConstrainSelectedInstOperands,
     /*   60040 */     // GIR_Coverage, 46111,
     /*   60040 */     GIR_EraseRootFromParent_Done,
     /*   60041 */   // Label 979: @60041
     /*   60041 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(60094), // Rule ID 46112 //
     /*   60046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60057 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60092 */     GIR_RootConstrainSelectedInstOperands,
     /*   60093 */     // GIR_Coverage, 46112,
     /*   60093 */     GIR_EraseRootFromParent_Done,
     /*   60094 */   // Label 980: @60094
     /*   60094 */   GIM_Reject,
     /*   60095 */ // Label 964: @60095
     /*   60095 */ GIM_Reject,
     /*   60096 */ // Label 911: @60096
     /*   60096 */ GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(61218),
     /*   60101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60111 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(60200), // Rule ID 47127 //
     /*   60116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60159 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60198 */     GIR_RootConstrainSelectedInstOperands,
     /*   60199 */     // GIR_Coverage, 47127,
     /*   60199 */     GIR_EraseRootFromParent_Done,
     /*   60200 */   // Label 982: @60200
     /*   60200 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(60289), // Rule ID 47128 //
     /*   60205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60220 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60248 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60287 */     GIR_RootConstrainSelectedInstOperands,
     /*   60288 */     // GIR_Coverage, 47128,
     /*   60288 */     GIR_EraseRootFromParent_Done,
     /*   60289 */   // Label 983: @60289
     /*   60289 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(60378), // Rule ID 46887 //
     /*   60294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60309 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60337 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60376 */     GIR_RootConstrainSelectedInstOperands,
     /*   60377 */     // GIR_Coverage, 46887,
     /*   60377 */     GIR_EraseRootFromParent_Done,
     /*   60378 */   // Label 984: @60378
     /*   60378 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(60467), // Rule ID 46888 //
     /*   60383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60426 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60465 */     GIR_RootConstrainSelectedInstOperands,
     /*   60466 */     // GIR_Coverage, 46888,
     /*   60466 */     GIR_EraseRootFromParent_Done,
     /*   60467 */   // Label 985: @60467
     /*   60467 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(60556), // Rule ID 47007 //
     /*   60472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60487 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60515 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60554 */     GIR_RootConstrainSelectedInstOperands,
     /*   60555 */     // GIR_Coverage, 47007,
     /*   60555 */     GIR_EraseRootFromParent_Done,
     /*   60556 */   // Label 986: @60556
     /*   60556 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(60645), // Rule ID 47008 //
     /*   60561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60595 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60604 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60643 */     GIR_RootConstrainSelectedInstOperands,
     /*   60644 */     // GIR_Coverage, 47008,
     /*   60644 */     GIR_EraseRootFromParent_Done,
     /*   60645 */   // Label 987: @60645
     /*   60645 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(60713), // Rule ID 51849 //
     /*   60650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   60653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60687 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   60687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60711 */     GIR_RootConstrainSelectedInstOperands,
     /*   60712 */     // GIR_Coverage, 51849,
     /*   60712 */     GIR_EraseRootFromParent_Done,
     /*   60713 */   // Label 988: @60713
     /*   60713 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60781), // Rule ID 51850 //
     /*   60718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   60721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60755 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   60755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60779 */     GIR_RootConstrainSelectedInstOperands,
     /*   60780 */     // GIR_Coverage, 51850,
     /*   60780 */     GIR_EraseRootFromParent_Done,
     /*   60781 */   // Label 989: @60781
     /*   60781 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60836), // Rule ID 47187 //
     /*   60786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60814 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60834 */     GIR_RootConstrainSelectedInstOperands,
     /*   60835 */     // GIR_Coverage, 47187,
     /*   60835 */     GIR_EraseRootFromParent_Done,
     /*   60836 */   // Label 990: @60836
     /*   60836 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(60891), // Rule ID 47188 //
     /*   60841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60860 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60869 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60889 */     GIR_RootConstrainSelectedInstOperands,
     /*   60890 */     // GIR_Coverage, 47188,
     /*   60890 */     GIR_EraseRootFromParent_Done,
     /*   60891 */   // Label 991: @60891
     /*   60891 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(60946), // Rule ID 46947 //
     /*   60896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60924 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60944 */     GIR_RootConstrainSelectedInstOperands,
     /*   60945 */     // GIR_Coverage, 46947,
     /*   60945 */     GIR_EraseRootFromParent_Done,
     /*   60946 */   // Label 992: @60946
     /*   60946 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61001), // Rule ID 46948 //
     /*   60951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60979 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60999 */     GIR_RootConstrainSelectedInstOperands,
     /*   61000 */     // GIR_Coverage, 46948,
     /*   61000 */     GIR_EraseRootFromParent_Done,
     /*   61001 */   // Label 993: @61001
     /*   61001 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61056), // Rule ID 47067 //
     /*   61006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   61009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61034 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   61034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61054 */     GIR_RootConstrainSelectedInstOperands,
     /*   61055 */     // GIR_Coverage, 47067,
     /*   61055 */     GIR_EraseRootFromParent_Done,
     /*   61056 */   // Label 994: @61056
     /*   61056 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61111), // Rule ID 47068 //
     /*   61061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   61064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61089 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   61089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61109 */     GIR_RootConstrainSelectedInstOperands,
     /*   61110 */     // GIR_Coverage, 47068,
     /*   61110 */     GIR_EraseRootFromParent_Done,
     /*   61111 */   // Label 995: @61111
     /*   61111 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61164), // Rule ID 46127 //
     /*   61116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   61119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61127 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   61127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61162 */     GIR_RootConstrainSelectedInstOperands,
     /*   61163 */     // GIR_Coverage, 46127,
     /*   61163 */     GIR_EraseRootFromParent_Done,
     /*   61164 */   // Label 996: @61164
     /*   61164 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61217), // Rule ID 46128 //
     /*   61169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   61172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61180 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   61180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61215 */     GIR_RootConstrainSelectedInstOperands,
     /*   61216 */     // GIR_Coverage, 46128,
     /*   61216 */     GIR_EraseRootFromParent_Done,
     /*   61217 */   // Label 997: @61217
     /*   61217 */   GIM_Reject,
     /*   61218 */ // Label 981: @61218
     /*   61218 */ GIM_Reject,
     /*   61219 */ // Label 912: @61219
     /*   61219 */ GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61465),
     /*   61224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61238 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61302), // Rule ID 51817 //
     /*   61243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61276 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61300 */     GIR_RootConstrainSelectedInstOperands,
     /*   61301 */     // GIR_Coverage, 51817,
     /*   61301 */     GIR_EraseRootFromParent_Done,
     /*   61302 */   // Label 999: @61302
     /*   61302 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61366), // Rule ID 51818 //
     /*   61307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61340 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61364 */     GIR_RootConstrainSelectedInstOperands,
     /*   61365 */     // GIR_Coverage, 51818,
     /*   61365 */     GIR_EraseRootFromParent_Done,
     /*   61366 */   // Label 1000: @61366
     /*   61366 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61415), // Rule ID 46095 //
     /*   61371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61378 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61413 */     GIR_RootConstrainSelectedInstOperands,
     /*   61414 */     // GIR_Coverage, 46095,
     /*   61414 */     GIR_EraseRootFromParent_Done,
     /*   61415 */   // Label 1001: @61415
     /*   61415 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61464), // Rule ID 46096 //
     /*   61420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61427 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61462 */     GIR_RootConstrainSelectedInstOperands,
     /*   61463 */     // GIR_Coverage, 46096,
     /*   61463 */     GIR_EraseRootFromParent_Done,
     /*   61464 */   // Label 1002: @61464
     /*   61464 */   GIM_Reject,
     /*   61465 */ // Label 998: @61465
     /*   61465 */ GIM_Reject,
     /*   61466 */ // Label 913: @61466
     /*   61466 */ GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(62588),
     /*   61471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   61474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   61477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61481 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61570), // Rule ID 47087 //
     /*   61486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61520 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61529 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61568 */     GIR_RootConstrainSelectedInstOperands,
     /*   61569 */     // GIR_Coverage, 47087,
     /*   61569 */     GIR_EraseRootFromParent_Done,
     /*   61570 */   // Label 1004: @61570
     /*   61570 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(61659), // Rule ID 47088 //
     /*   61575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61618 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61657 */     GIR_RootConstrainSelectedInstOperands,
     /*   61658 */     // GIR_Coverage, 47088,
     /*   61658 */     GIR_EraseRootFromParent_Done,
     /*   61659 */   // Label 1005: @61659
     /*   61659 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(61748), // Rule ID 46847 //
     /*   61664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61707 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61746 */     GIR_RootConstrainSelectedInstOperands,
     /*   61747 */     // GIR_Coverage, 46847,
     /*   61747 */     GIR_EraseRootFromParent_Done,
     /*   61748 */   // Label 1006: @61748
     /*   61748 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(61837), // Rule ID 46848 //
     /*   61753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61787 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61789 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61796 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61835 */     GIR_RootConstrainSelectedInstOperands,
     /*   61836 */     // GIR_Coverage, 46848,
     /*   61836 */     GIR_EraseRootFromParent_Done,
     /*   61837 */   // Label 1007: @61837
     /*   61837 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(61926), // Rule ID 46967 //
     /*   61842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61885 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61924 */     GIR_RootConstrainSelectedInstOperands,
     /*   61925 */     // GIR_Coverage, 46967,
     /*   61925 */     GIR_EraseRootFromParent_Done,
     /*   61926 */   // Label 1008: @61926
     /*   61926 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62015), // Rule ID 46968 //
     /*   61931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61974 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62013 */     GIR_RootConstrainSelectedInstOperands,
     /*   62014 */     // GIR_Coverage, 46968,
     /*   62014 */     GIR_EraseRootFromParent_Done,
     /*   62015 */   // Label 1009: @62015
     /*   62015 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62083), // Rule ID 51829 //
     /*   62020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62043 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62057 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62081 */     GIR_RootConstrainSelectedInstOperands,
     /*   62082 */     // GIR_Coverage, 51829,
     /*   62082 */     GIR_EraseRootFromParent_Done,
     /*   62083 */   // Label 1010: @62083
     /*   62083 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62151), // Rule ID 51830 //
     /*   62088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62125 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62149 */     GIR_RootConstrainSelectedInstOperands,
     /*   62150 */     // GIR_Coverage, 51830,
     /*   62150 */     GIR_EraseRootFromParent_Done,
     /*   62151 */   // Label 1011: @62151
     /*   62151 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62206), // Rule ID 47147 //
     /*   62156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62184 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62204 */     GIR_RootConstrainSelectedInstOperands,
     /*   62205 */     // GIR_Coverage, 47147,
     /*   62205 */     GIR_EraseRootFromParent_Done,
     /*   62206 */   // Label 1012: @62206
     /*   62206 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62261), // Rule ID 47148 //
     /*   62211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62239 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62259 */     GIR_RootConstrainSelectedInstOperands,
     /*   62260 */     // GIR_Coverage, 47148,
     /*   62260 */     GIR_EraseRootFromParent_Done,
     /*   62261 */   // Label 1013: @62261
     /*   62261 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62316), // Rule ID 46907 //
     /*   62266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62294 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62314 */     GIR_RootConstrainSelectedInstOperands,
     /*   62315 */     // GIR_Coverage, 46907,
     /*   62315 */     GIR_EraseRootFromParent_Done,
     /*   62316 */   // Label 1014: @62316
     /*   62316 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62371), // Rule ID 46908 //
     /*   62321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62349 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62369 */     GIR_RootConstrainSelectedInstOperands,
     /*   62370 */     // GIR_Coverage, 46908,
     /*   62370 */     GIR_EraseRootFromParent_Done,
     /*   62371 */   // Label 1015: @62371
     /*   62371 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62426), // Rule ID 47027 //
     /*   62376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62404 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62424 */     GIR_RootConstrainSelectedInstOperands,
     /*   62425 */     // GIR_Coverage, 47027,
     /*   62425 */     GIR_EraseRootFromParent_Done,
     /*   62426 */   // Label 1016: @62426
     /*   62426 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62481), // Rule ID 47028 //
     /*   62431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62459 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62479 */     GIR_RootConstrainSelectedInstOperands,
     /*   62480 */     // GIR_Coverage, 47028,
     /*   62480 */     GIR_EraseRootFromParent_Done,
     /*   62481 */   // Label 1017: @62481
     /*   62481 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62534), // Rule ID 46107 //
     /*   62486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62497 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62532 */     GIR_RootConstrainSelectedInstOperands,
     /*   62533 */     // GIR_Coverage, 46107,
     /*   62533 */     GIR_EraseRootFromParent_Done,
     /*   62534 */   // Label 1018: @62534
     /*   62534 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62587), // Rule ID 46108 //
     /*   62539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62550 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62585 */     GIR_RootConstrainSelectedInstOperands,
     /*   62586 */     // GIR_Coverage, 46108,
     /*   62586 */     GIR_EraseRootFromParent_Done,
     /*   62587 */   // Label 1019: @62587
     /*   62587 */   GIM_Reject,
     /*   62588 */ // Label 1003: @62588
     /*   62588 */ GIM_Reject,
     /*   62589 */ // Label 914: @62589
     /*   62589 */ GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63711),
     /*   62594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   62597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   62600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62604 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(62693), // Rule ID 47111 //
     /*   62609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62643 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62652 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62691 */     GIR_RootConstrainSelectedInstOperands,
     /*   62692 */     // GIR_Coverage, 47111,
     /*   62692 */     GIR_EraseRootFromParent_Done,
     /*   62693 */   // Label 1021: @62693
     /*   62693 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(62782), // Rule ID 47112 //
     /*   62698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62741 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62780 */     GIR_RootConstrainSelectedInstOperands,
     /*   62781 */     // GIR_Coverage, 47112,
     /*   62781 */     GIR_EraseRootFromParent_Done,
     /*   62782 */   // Label 1022: @62782
     /*   62782 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(62871), // Rule ID 46871 //
     /*   62787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62830 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62869 */     GIR_RootConstrainSelectedInstOperands,
     /*   62870 */     // GIR_Coverage, 46871,
     /*   62870 */     GIR_EraseRootFromParent_Done,
     /*   62871 */   // Label 1023: @62871
     /*   62871 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(62960), // Rule ID 46872 //
     /*   62876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62910 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62919 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62958 */     GIR_RootConstrainSelectedInstOperands,
     /*   62959 */     // GIR_Coverage, 46872,
     /*   62959 */     GIR_EraseRootFromParent_Done,
     /*   62960 */   // Label 1024: @62960
     /*   62960 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63049), // Rule ID 46991 //
     /*   62965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62999 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63008 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63047 */     GIR_RootConstrainSelectedInstOperands,
     /*   63048 */     // GIR_Coverage, 46991,
     /*   63048 */     GIR_EraseRootFromParent_Done,
     /*   63049 */   // Label 1025: @63049
     /*   63049 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63138), // Rule ID 46992 //
     /*   63054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63088 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63097 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63136 */     GIR_RootConstrainSelectedInstOperands,
     /*   63137 */     // GIR_Coverage, 46992,
     /*   63137 */     GIR_EraseRootFromParent_Done,
     /*   63138 */   // Label 1026: @63138
     /*   63138 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63206), // Rule ID 51845 //
     /*   63143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63180 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63204 */     GIR_RootConstrainSelectedInstOperands,
     /*   63205 */     // GIR_Coverage, 51845,
     /*   63205 */     GIR_EraseRootFromParent_Done,
     /*   63206 */   // Label 1027: @63206
     /*   63206 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63274), // Rule ID 51846 //
     /*   63211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63234 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63248 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63272 */     GIR_RootConstrainSelectedInstOperands,
     /*   63273 */     // GIR_Coverage, 51846,
     /*   63273 */     GIR_EraseRootFromParent_Done,
     /*   63274 */   // Label 1028: @63274
     /*   63274 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63329), // Rule ID 47171 //
     /*   63279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63307 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63327 */     GIR_RootConstrainSelectedInstOperands,
     /*   63328 */     // GIR_Coverage, 47171,
     /*   63328 */     GIR_EraseRootFromParent_Done,
     /*   63329 */   // Label 1029: @63329
     /*   63329 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63384), // Rule ID 47172 //
     /*   63334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63362 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63382 */     GIR_RootConstrainSelectedInstOperands,
     /*   63383 */     // GIR_Coverage, 47172,
     /*   63383 */     GIR_EraseRootFromParent_Done,
     /*   63384 */   // Label 1030: @63384
     /*   63384 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63439), // Rule ID 46931 //
     /*   63389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63417 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63437 */     GIR_RootConstrainSelectedInstOperands,
     /*   63438 */     // GIR_Coverage, 46931,
     /*   63438 */     GIR_EraseRootFromParent_Done,
     /*   63439 */   // Label 1031: @63439
     /*   63439 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63494), // Rule ID 46932 //
     /*   63444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63472 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63492 */     GIR_RootConstrainSelectedInstOperands,
     /*   63493 */     // GIR_Coverage, 46932,
     /*   63493 */     GIR_EraseRootFromParent_Done,
     /*   63494 */   // Label 1032: @63494
     /*   63494 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63549), // Rule ID 47051 //
     /*   63499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63518 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63527 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63547 */     GIR_RootConstrainSelectedInstOperands,
     /*   63548 */     // GIR_Coverage, 47051,
     /*   63548 */     GIR_EraseRootFromParent_Done,
     /*   63549 */   // Label 1033: @63549
     /*   63549 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(63604), // Rule ID 47052 //
     /*   63554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63582 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63602 */     GIR_RootConstrainSelectedInstOperands,
     /*   63603 */     // GIR_Coverage, 47052,
     /*   63603 */     GIR_EraseRootFromParent_Done,
     /*   63604 */   // Label 1034: @63604
     /*   63604 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(63657), // Rule ID 46123 //
     /*   63609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63620 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63655 */     GIR_RootConstrainSelectedInstOperands,
     /*   63656 */     // GIR_Coverage, 46123,
     /*   63656 */     GIR_EraseRootFromParent_Done,
     /*   63657 */   // Label 1035: @63657
     /*   63657 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(63710), // Rule ID 46124 //
     /*   63662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63673 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63708 */     GIR_RootConstrainSelectedInstOperands,
     /*   63709 */     // GIR_Coverage, 46124,
     /*   63709 */     GIR_EraseRootFromParent_Done,
     /*   63710 */   // Label 1036: @63710
     /*   63710 */   GIM_Reject,
     /*   63711 */ // Label 1020: @63711
     /*   63711 */ GIM_Reject,
     /*   63712 */ // Label 915: @63712
     /*   63712 */ GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64834),
     /*   63717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   63720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   63723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   63727 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(63816), // Rule ID 47131 //
     /*   63732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63775 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63814 */     GIR_RootConstrainSelectedInstOperands,
     /*   63815 */     // GIR_Coverage, 47131,
     /*   63815 */     GIR_EraseRootFromParent_Done,
     /*   63816 */   // Label 1038: @63816
     /*   63816 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(63905), // Rule ID 47132 //
     /*   63821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   63824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63864 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63903 */     GIR_RootConstrainSelectedInstOperands,
     /*   63904 */     // GIR_Coverage, 47132,
     /*   63904 */     GIR_EraseRootFromParent_Done,
     /*   63905 */   // Label 1039: @63905
     /*   63905 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(63994), // Rule ID 46891 //
     /*   63910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63953 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   63970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63992 */     GIR_RootConstrainSelectedInstOperands,
     /*   63993 */     // GIR_Coverage, 46891,
     /*   63993 */     GIR_EraseRootFromParent_Done,
     /*   63994 */   // Label 1040: @63994
     /*   63994 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64083), // Rule ID 46892 //
     /*   63999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64042 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   64059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64081 */     GIR_RootConstrainSelectedInstOperands,
     /*   64082 */     // GIR_Coverage, 46892,
     /*   64082 */     GIR_EraseRootFromParent_Done,
     /*   64083 */   // Label 1041: @64083
     /*   64083 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64172), // Rule ID 47011 //
     /*   64088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64131 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64170 */     GIR_RootConstrainSelectedInstOperands,
     /*   64171 */     // GIR_Coverage, 47011,
     /*   64171 */     GIR_EraseRootFromParent_Done,
     /*   64172 */   // Label 1042: @64172
     /*   64172 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64261), // Rule ID 47012 //
     /*   64177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64220 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64259 */     GIR_RootConstrainSelectedInstOperands,
     /*   64260 */     // GIR_Coverage, 47012,
     /*   64260 */     GIR_EraseRootFromParent_Done,
     /*   64261 */   // Label 1043: @64261
     /*   64261 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64329), // Rule ID 51889 //
     /*   64266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64303 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64327 */     GIR_RootConstrainSelectedInstOperands,
     /*   64328 */     // GIR_Coverage, 51889,
     /*   64328 */     GIR_EraseRootFromParent_Done,
     /*   64329 */   // Label 1044: @64329
     /*   64329 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64397), // Rule ID 51890 //
     /*   64334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64371 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64395 */     GIR_RootConstrainSelectedInstOperands,
     /*   64396 */     // GIR_Coverage, 51890,
     /*   64396 */     GIR_EraseRootFromParent_Done,
     /*   64397 */   // Label 1045: @64397
     /*   64397 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64452), // Rule ID 47191 //
     /*   64402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64430 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64450 */     GIR_RootConstrainSelectedInstOperands,
     /*   64451 */     // GIR_Coverage, 47191,
     /*   64451 */     GIR_EraseRootFromParent_Done,
     /*   64452 */   // Label 1046: @64452
     /*   64452 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64507), // Rule ID 47192 //
     /*   64457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64485 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64505 */     GIR_RootConstrainSelectedInstOperands,
     /*   64506 */     // GIR_Coverage, 47192,
     /*   64506 */     GIR_EraseRootFromParent_Done,
     /*   64507 */   // Label 1047: @64507
     /*   64507 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64562), // Rule ID 46951 //
     /*   64512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64540 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64560 */     GIR_RootConstrainSelectedInstOperands,
     /*   64561 */     // GIR_Coverage, 46951,
     /*   64561 */     GIR_EraseRootFromParent_Done,
     /*   64562 */   // Label 1048: @64562
     /*   64562 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(64617), // Rule ID 46952 //
     /*   64567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64595 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64615 */     GIR_RootConstrainSelectedInstOperands,
     /*   64616 */     // GIR_Coverage, 46952,
     /*   64616 */     GIR_EraseRootFromParent_Done,
     /*   64617 */   // Label 1049: @64617
     /*   64617 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(64672), // Rule ID 47071 //
     /*   64622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64650 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64670 */     GIR_RootConstrainSelectedInstOperands,
     /*   64671 */     // GIR_Coverage, 47071,
     /*   64671 */     GIR_EraseRootFromParent_Done,
     /*   64672 */   // Label 1050: @64672
     /*   64672 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(64727), // Rule ID 47072 //
     /*   64677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64705 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64725 */     GIR_RootConstrainSelectedInstOperands,
     /*   64726 */     // GIR_Coverage, 47072,
     /*   64726 */     GIR_EraseRootFromParent_Done,
     /*   64727 */   // Label 1051: @64727
     /*   64727 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(64780), // Rule ID 46167 //
     /*   64732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64743 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   64743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64778 */     GIR_RootConstrainSelectedInstOperands,
     /*   64779 */     // GIR_Coverage, 46167,
     /*   64779 */     GIR_EraseRootFromParent_Done,
     /*   64780 */   // Label 1052: @64780
     /*   64780 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(64833), // Rule ID 46168 //
     /*   64785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64796 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   64796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64831 */     GIR_RootConstrainSelectedInstOperands,
     /*   64832 */     // GIR_Coverage, 46168,
     /*   64832 */     GIR_EraseRootFromParent_Done,
     /*   64833 */   // Label 1053: @64833
     /*   64833 */   GIM_Reject,
     /*   64834 */ // Label 1037: @64834
     /*   64834 */ GIM_Reject,
     /*   64835 */ // Label 916: @64835
     /*   64835 */ GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65081),
     /*   64840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64854 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(64918), // Rule ID 51821 //
     /*   64859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64892 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   64892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64916 */     GIR_RootConstrainSelectedInstOperands,
     /*   64917 */     // GIR_Coverage, 51821,
     /*   64917 */     GIR_EraseRootFromParent_Done,
     /*   64918 */   // Label 1055: @64918
     /*   64918 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(64982), // Rule ID 51822 //
     /*   64923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64956 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   64956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64980 */     GIR_RootConstrainSelectedInstOperands,
     /*   64981 */     // GIR_Coverage, 51822,
     /*   64981 */     GIR_EraseRootFromParent_Done,
     /*   64982 */   // Label 1056: @64982
     /*   64982 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65031), // Rule ID 46099 //
     /*   64987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64994 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   64994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   64997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65029 */     GIR_RootConstrainSelectedInstOperands,
     /*   65030 */     // GIR_Coverage, 46099,
     /*   65030 */     GIR_EraseRootFromParent_Done,
     /*   65031 */   // Label 1057: @65031
     /*   65031 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65080), // Rule ID 46100 //
     /*   65036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65043 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   65046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65078 */     GIR_RootConstrainSelectedInstOperands,
     /*   65079 */     // GIR_Coverage, 46100,
     /*   65079 */     GIR_EraseRootFromParent_Done,
     /*   65080 */   // Label 1058: @65080
     /*   65080 */   GIM_Reject,
     /*   65081 */ // Label 1054: @65081
     /*   65081 */ GIM_Reject,
     /*   65082 */ // Label 917: @65082
     /*   65082 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(66204),
     /*   65087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65097 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65186), // Rule ID 47091 //
     /*   65102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65145 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65184 */     GIR_RootConstrainSelectedInstOperands,
     /*   65185 */     // GIR_Coverage, 47091,
     /*   65185 */     GIR_EraseRootFromParent_Done,
     /*   65186 */   // Label 1060: @65186
     /*   65186 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(65275), // Rule ID 47092 //
     /*   65191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65234 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65273 */     GIR_RootConstrainSelectedInstOperands,
     /*   65274 */     // GIR_Coverage, 47092,
     /*   65274 */     GIR_EraseRootFromParent_Done,
     /*   65275 */   // Label 1061: @65275
     /*   65275 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65364), // Rule ID 46851 //
     /*   65280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65323 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65362 */     GIR_RootConstrainSelectedInstOperands,
     /*   65363 */     // GIR_Coverage, 46851,
     /*   65363 */     GIR_EraseRootFromParent_Done,
     /*   65364 */   // Label 1062: @65364
     /*   65364 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65453), // Rule ID 46852 //
     /*   65369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65412 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65451 */     GIR_RootConstrainSelectedInstOperands,
     /*   65452 */     // GIR_Coverage, 46852,
     /*   65452 */     GIR_EraseRootFromParent_Done,
     /*   65453 */   // Label 1063: @65453
     /*   65453 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65542), // Rule ID 46971 //
     /*   65458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65501 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65540 */     GIR_RootConstrainSelectedInstOperands,
     /*   65541 */     // GIR_Coverage, 46971,
     /*   65541 */     GIR_EraseRootFromParent_Done,
     /*   65542 */   // Label 1064: @65542
     /*   65542 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65631), // Rule ID 46972 //
     /*   65547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65590 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65629 */     GIR_RootConstrainSelectedInstOperands,
     /*   65630 */     // GIR_Coverage, 46972,
     /*   65630 */     GIR_EraseRootFromParent_Done,
     /*   65631 */   // Label 1065: @65631
     /*   65631 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(65699), // Rule ID 51841 //
     /*   65636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65673 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   65673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65697 */     GIR_RootConstrainSelectedInstOperands,
     /*   65698 */     // GIR_Coverage, 51841,
     /*   65698 */     GIR_EraseRootFromParent_Done,
     /*   65699 */   // Label 1066: @65699
     /*   65699 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(65767), // Rule ID 51842 //
     /*   65704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65741 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   65741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65765 */     GIR_RootConstrainSelectedInstOperands,
     /*   65766 */     // GIR_Coverage, 51842,
     /*   65766 */     GIR_EraseRootFromParent_Done,
     /*   65767 */   // Label 1067: @65767
     /*   65767 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(65822), // Rule ID 47151 //
     /*   65772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65800 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65820 */     GIR_RootConstrainSelectedInstOperands,
     /*   65821 */     // GIR_Coverage, 47151,
     /*   65821 */     GIR_EraseRootFromParent_Done,
     /*   65822 */   // Label 1068: @65822
     /*   65822 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(65877), // Rule ID 47152 //
     /*   65827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65855 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65875 */     GIR_RootConstrainSelectedInstOperands,
     /*   65876 */     // GIR_Coverage, 47152,
     /*   65876 */     GIR_EraseRootFromParent_Done,
     /*   65877 */   // Label 1069: @65877
     /*   65877 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(65932), // Rule ID 46911 //
     /*   65882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65910 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65930 */     GIR_RootConstrainSelectedInstOperands,
     /*   65931 */     // GIR_Coverage, 46911,
     /*   65931 */     GIR_EraseRootFromParent_Done,
     /*   65932 */   // Label 1070: @65932
     /*   65932 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(65987), // Rule ID 46912 //
     /*   65937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65965 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65985 */     GIR_RootConstrainSelectedInstOperands,
     /*   65986 */     // GIR_Coverage, 46912,
     /*   65986 */     GIR_EraseRootFromParent_Done,
     /*   65987 */   // Label 1071: @65987
     /*   65987 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66042), // Rule ID 47031 //
     /*   65992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66020 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66040 */     GIR_RootConstrainSelectedInstOperands,
     /*   66041 */     // GIR_Coverage, 47031,
     /*   66041 */     GIR_EraseRootFromParent_Done,
     /*   66042 */   // Label 1072: @66042
     /*   66042 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66097), // Rule ID 47032 //
     /*   66047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66075 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66095 */     GIR_RootConstrainSelectedInstOperands,
     /*   66096 */     // GIR_Coverage, 47032,
     /*   66096 */     GIR_EraseRootFromParent_Done,
     /*   66097 */   // Label 1073: @66097
     /*   66097 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66150), // Rule ID 46119 //
     /*   66102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66113 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66148 */     GIR_RootConstrainSelectedInstOperands,
     /*   66149 */     // GIR_Coverage, 46119,
     /*   66149 */     GIR_EraseRootFromParent_Done,
     /*   66150 */   // Label 1074: @66150
     /*   66150 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66203), // Rule ID 46120 //
     /*   66155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66166 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66201 */     GIR_RootConstrainSelectedInstOperands,
     /*   66202 */     // GIR_Coverage, 46120,
     /*   66202 */     GIR_EraseRootFromParent_Done,
     /*   66203 */   // Label 1075: @66203
     /*   66203 */   GIM_Reject,
     /*   66204 */ // Label 1059: @66204
     /*   66204 */ GIM_Reject,
     /*   66205 */ // Label 918: @66205
     /*   66205 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(67327),
     /*   66210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66220 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66309), // Rule ID 47115 //
     /*   66225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66268 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66307 */     GIR_RootConstrainSelectedInstOperands,
     /*   66308 */     // GIR_Coverage, 47115,
     /*   66308 */     GIR_EraseRootFromParent_Done,
     /*   66309 */   // Label 1077: @66309
     /*   66309 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(66398), // Rule ID 47116 //
     /*   66314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66357 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66396 */     GIR_RootConstrainSelectedInstOperands,
     /*   66397 */     // GIR_Coverage, 47116,
     /*   66397 */     GIR_EraseRootFromParent_Done,
     /*   66398 */   // Label 1078: @66398
     /*   66398 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66487), // Rule ID 46875 //
     /*   66403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66446 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66485 */     GIR_RootConstrainSelectedInstOperands,
     /*   66486 */     // GIR_Coverage, 46875,
     /*   66486 */     GIR_EraseRootFromParent_Done,
     /*   66487 */   // Label 1079: @66487
     /*   66487 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66576), // Rule ID 46876 //
     /*   66492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66535 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66574 */     GIR_RootConstrainSelectedInstOperands,
     /*   66575 */     // GIR_Coverage, 46876,
     /*   66575 */     GIR_EraseRootFromParent_Done,
     /*   66576 */   // Label 1080: @66576
     /*   66576 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66665), // Rule ID 46995 //
     /*   66581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66624 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66663 */     GIR_RootConstrainSelectedInstOperands,
     /*   66664 */     // GIR_Coverage, 46995,
     /*   66664 */     GIR_EraseRootFromParent_Done,
     /*   66665 */   // Label 1081: @66665
     /*   66665 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66754), // Rule ID 46996 //
     /*   66670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66713 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66752 */     GIR_RootConstrainSelectedInstOperands,
     /*   66753 */     // GIR_Coverage, 46996,
     /*   66753 */     GIR_EraseRootFromParent_Done,
     /*   66754 */   // Label 1082: @66754
     /*   66754 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(66822), // Rule ID 51877 //
     /*   66759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66796 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   66796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66820 */     GIR_RootConstrainSelectedInstOperands,
     /*   66821 */     // GIR_Coverage, 51877,
     /*   66821 */     GIR_EraseRootFromParent_Done,
     /*   66822 */   // Label 1083: @66822
     /*   66822 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(66890), // Rule ID 51878 //
     /*   66827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66864 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   66864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66888 */     GIR_RootConstrainSelectedInstOperands,
     /*   66889 */     // GIR_Coverage, 51878,
     /*   66889 */     GIR_EraseRootFromParent_Done,
     /*   66890 */   // Label 1084: @66890
     /*   66890 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(66945), // Rule ID 47175 //
     /*   66895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66923 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66943 */     GIR_RootConstrainSelectedInstOperands,
     /*   66944 */     // GIR_Coverage, 47175,
     /*   66944 */     GIR_EraseRootFromParent_Done,
     /*   66945 */   // Label 1085: @66945
     /*   66945 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67000), // Rule ID 47176 //
     /*   66950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66969 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66978 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66998 */     GIR_RootConstrainSelectedInstOperands,
     /*   66999 */     // GIR_Coverage, 47176,
     /*   66999 */     GIR_EraseRootFromParent_Done,
     /*   67000 */   // Label 1086: @67000
     /*   67000 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67055), // Rule ID 46935 //
     /*   67005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67033 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67053 */     GIR_RootConstrainSelectedInstOperands,
     /*   67054 */     // GIR_Coverage, 46935,
     /*   67054 */     GIR_EraseRootFromParent_Done,
     /*   67055 */   // Label 1087: @67055
     /*   67055 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67110), // Rule ID 46936 //
     /*   67060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67079 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67088 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67108 */     GIR_RootConstrainSelectedInstOperands,
     /*   67109 */     // GIR_Coverage, 46936,
     /*   67109 */     GIR_EraseRootFromParent_Done,
     /*   67110 */   // Label 1088: @67110
     /*   67110 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67165), // Rule ID 47055 //
     /*   67115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67143 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67163 */     GIR_RootConstrainSelectedInstOperands,
     /*   67164 */     // GIR_Coverage, 47055,
     /*   67164 */     GIR_EraseRootFromParent_Done,
     /*   67165 */   // Label 1089: @67165
     /*   67165 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67220), // Rule ID 47056 //
     /*   67170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67198 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67218 */     GIR_RootConstrainSelectedInstOperands,
     /*   67219 */     // GIR_Coverage, 47056,
     /*   67219 */     GIR_EraseRootFromParent_Done,
     /*   67220 */   // Label 1090: @67220
     /*   67220 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67273), // Rule ID 46155 //
     /*   67225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67236 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67271 */     GIR_RootConstrainSelectedInstOperands,
     /*   67272 */     // GIR_Coverage, 46155,
     /*   67272 */     GIR_EraseRootFromParent_Done,
     /*   67273 */   // Label 1091: @67273
     /*   67273 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67326), // Rule ID 46156 //
     /*   67278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67289 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67324 */     GIR_RootConstrainSelectedInstOperands,
     /*   67325 */     // GIR_Coverage, 46156,
     /*   67325 */     GIR_EraseRootFromParent_Done,
     /*   67326 */   // Label 1092: @67326
     /*   67326 */   GIM_Reject,
     /*   67327 */ // Label 1076: @67327
     /*   67327 */ GIM_Reject,
     /*   67328 */ // Label 919: @67328
     /*   67328 */ GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(68450),
     /*   67333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67343 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67432), // Rule ID 47135 //
     /*   67348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67391 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67430 */     GIR_RootConstrainSelectedInstOperands,
     /*   67431 */     // GIR_Coverage, 47135,
     /*   67431 */     GIR_EraseRootFromParent_Done,
     /*   67432 */   // Label 1094: @67432
     /*   67432 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(67521), // Rule ID 47136 //
     /*   67437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67480 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67519 */     GIR_RootConstrainSelectedInstOperands,
     /*   67520 */     // GIR_Coverage, 47136,
     /*   67520 */     GIR_EraseRootFromParent_Done,
     /*   67521 */   // Label 1095: @67521
     /*   67521 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67610), // Rule ID 46895 //
     /*   67526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67569 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67608 */     GIR_RootConstrainSelectedInstOperands,
     /*   67609 */     // GIR_Coverage, 46895,
     /*   67609 */     GIR_EraseRootFromParent_Done,
     /*   67610 */   // Label 1096: @67610
     /*   67610 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(67699), // Rule ID 46896 //
     /*   67615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67658 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67697 */     GIR_RootConstrainSelectedInstOperands,
     /*   67698 */     // GIR_Coverage, 46896,
     /*   67698 */     GIR_EraseRootFromParent_Done,
     /*   67699 */   // Label 1097: @67699
     /*   67699 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67788), // Rule ID 47015 //
     /*   67704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67719 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67738 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67747 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67786 */     GIR_RootConstrainSelectedInstOperands,
     /*   67787 */     // GIR_Coverage, 47015,
     /*   67787 */     GIR_EraseRootFromParent_Done,
     /*   67788 */   // Label 1098: @67788
     /*   67788 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(67877), // Rule ID 47016 //
     /*   67793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67827 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67836 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67875 */     GIR_RootConstrainSelectedInstOperands,
     /*   67876 */     // GIR_Coverage, 47016,
     /*   67876 */     GIR_EraseRootFromParent_Done,
     /*   67877 */   // Label 1099: @67877
     /*   67877 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(67945), // Rule ID 51893 //
     /*   67882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   67885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67919 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   67919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   67940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67943 */     GIR_RootConstrainSelectedInstOperands,
     /*   67944 */     // GIR_Coverage, 51893,
     /*   67944 */     GIR_EraseRootFromParent_Done,
     /*   67945 */   // Label 1100: @67945
     /*   67945 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68013), // Rule ID 51894 //
     /*   67950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   67953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67987 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   67987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68011 */     GIR_RootConstrainSelectedInstOperands,
     /*   68012 */     // GIR_Coverage, 51894,
     /*   68012 */     GIR_EraseRootFromParent_Done,
     /*   68013 */   // Label 1101: @68013
     /*   68013 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68068), // Rule ID 47195 //
     /*   68018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68046 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68066 */     GIR_RootConstrainSelectedInstOperands,
     /*   68067 */     // GIR_Coverage, 47195,
     /*   68067 */     GIR_EraseRootFromParent_Done,
     /*   68068 */   // Label 1102: @68068
     /*   68068 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68123), // Rule ID 47196 //
     /*   68073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68101 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68121 */     GIR_RootConstrainSelectedInstOperands,
     /*   68122 */     // GIR_Coverage, 47196,
     /*   68122 */     GIR_EraseRootFromParent_Done,
     /*   68123 */   // Label 1103: @68123
     /*   68123 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68178), // Rule ID 46955 //
     /*   68128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68156 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68176 */     GIR_RootConstrainSelectedInstOperands,
     /*   68177 */     // GIR_Coverage, 46955,
     /*   68177 */     GIR_EraseRootFromParent_Done,
     /*   68178 */   // Label 1104: @68178
     /*   68178 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68233), // Rule ID 46956 //
     /*   68183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68211 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68231 */     GIR_RootConstrainSelectedInstOperands,
     /*   68232 */     // GIR_Coverage, 46956,
     /*   68232 */     GIR_EraseRootFromParent_Done,
     /*   68233 */   // Label 1105: @68233
     /*   68233 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68288), // Rule ID 47075 //
     /*   68238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68266 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68286 */     GIR_RootConstrainSelectedInstOperands,
     /*   68287 */     // GIR_Coverage, 47075,
     /*   68287 */     GIR_EraseRootFromParent_Done,
     /*   68288 */   // Label 1106: @68288
     /*   68288 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68343), // Rule ID 47076 //
     /*   68293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68321 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68341 */     GIR_RootConstrainSelectedInstOperands,
     /*   68342 */     // GIR_Coverage, 47076,
     /*   68342 */     GIR_EraseRootFromParent_Done,
     /*   68343 */   // Label 1107: @68343
     /*   68343 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68396), // Rule ID 46171 //
     /*   68348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68359 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68394 */     GIR_RootConstrainSelectedInstOperands,
     /*   68395 */     // GIR_Coverage, 46171,
     /*   68395 */     GIR_EraseRootFromParent_Done,
     /*   68396 */   // Label 1108: @68396
     /*   68396 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68449), // Rule ID 46172 //
     /*   68401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68412 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68447 */     GIR_RootConstrainSelectedInstOperands,
     /*   68448 */     // GIR_Coverage, 46172,
     /*   68448 */     GIR_EraseRootFromParent_Done,
     /*   68449 */   // Label 1109: @68449
     /*   68449 */   GIM_Reject,
     /*   68450 */ // Label 1093: @68450
     /*   68450 */ GIM_Reject,
     /*   68451 */ // Label 920: @68451
     /*   68451 */ GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68697),
     /*   68456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68470 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68534), // Rule ID 51837 //
     /*   68475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68508 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   68508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68532 */     GIR_RootConstrainSelectedInstOperands,
     /*   68533 */     // GIR_Coverage, 51837,
     /*   68533 */     GIR_EraseRootFromParent_Done,
     /*   68534 */   // Label 1111: @68534
     /*   68534 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(68598), // Rule ID 51838 //
     /*   68539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68572 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   68572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68596 */     GIR_RootConstrainSelectedInstOperands,
     /*   68597 */     // GIR_Coverage, 51838,
     /*   68597 */     GIR_EraseRootFromParent_Done,
     /*   68598 */   // Label 1112: @68598
     /*   68598 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(68647), // Rule ID 46115 //
     /*   68603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68610 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68645 */     GIR_RootConstrainSelectedInstOperands,
     /*   68646 */     // GIR_Coverage, 46115,
     /*   68646 */     GIR_EraseRootFromParent_Done,
     /*   68647 */   // Label 1113: @68647
     /*   68647 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68696), // Rule ID 46116 //
     /*   68652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68659 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68694 */     GIR_RootConstrainSelectedInstOperands,
     /*   68695 */     // GIR_Coverage, 46116,
     /*   68695 */     GIR_EraseRootFromParent_Done,
     /*   68696 */   // Label 1114: @68696
     /*   68696 */   GIM_Reject,
     /*   68697 */ // Label 1110: @68697
     /*   68697 */ GIM_Reject,
     /*   68698 */ // Label 921: @68698
     /*   68698 */ GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69820),
     /*   68703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   68706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   68709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68713 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(68802), // Rule ID 47095 //
     /*   68718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68761 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68800 */     GIR_RootConstrainSelectedInstOperands,
     /*   68801 */     // GIR_Coverage, 47095,
     /*   68801 */     GIR_EraseRootFromParent_Done,
     /*   68802 */   // Label 1116: @68802
     /*   68802 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(68891), // Rule ID 47096 //
     /*   68807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68850 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68889 */     GIR_RootConstrainSelectedInstOperands,
     /*   68890 */     // GIR_Coverage, 47096,
     /*   68890 */     GIR_EraseRootFromParent_Done,
     /*   68891 */   // Label 1117: @68891
     /*   68891 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(68980), // Rule ID 46855 //
     /*   68896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68939 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68978 */     GIR_RootConstrainSelectedInstOperands,
     /*   68979 */     // GIR_Coverage, 46855,
     /*   68979 */     GIR_EraseRootFromParent_Done,
     /*   68980 */   // Label 1118: @68980
     /*   68980 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69069), // Rule ID 46856 //
     /*   68985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69028 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   69045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69067 */     GIR_RootConstrainSelectedInstOperands,
     /*   69068 */     // GIR_Coverage, 46856,
     /*   69068 */     GIR_EraseRootFromParent_Done,
     /*   69069 */   // Label 1119: @69069
     /*   69069 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69158), // Rule ID 46975 //
     /*   69074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69117 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69156 */     GIR_RootConstrainSelectedInstOperands,
     /*   69157 */     // GIR_Coverage, 46975,
     /*   69157 */     GIR_EraseRootFromParent_Done,
     /*   69158 */   // Label 1120: @69158
     /*   69158 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69247), // Rule ID 46976 //
     /*   69163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69206 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69245 */     GIR_RootConstrainSelectedInstOperands,
     /*   69246 */     // GIR_Coverage, 46976,
     /*   69246 */     GIR_EraseRootFromParent_Done,
     /*   69247 */   // Label 1121: @69247
     /*   69247 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69315), // Rule ID 51865 //
     /*   69252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69289 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69313 */     GIR_RootConstrainSelectedInstOperands,
     /*   69314 */     // GIR_Coverage, 51865,
     /*   69314 */     GIR_EraseRootFromParent_Done,
     /*   69315 */   // Label 1122: @69315
     /*   69315 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69383), // Rule ID 51866 //
     /*   69320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69357 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69381 */     GIR_RootConstrainSelectedInstOperands,
     /*   69382 */     // GIR_Coverage, 51866,
     /*   69382 */     GIR_EraseRootFromParent_Done,
     /*   69383 */   // Label 1123: @69383
     /*   69383 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69438), // Rule ID 47155 //
     /*   69388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69416 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69436 */     GIR_RootConstrainSelectedInstOperands,
     /*   69437 */     // GIR_Coverage, 47155,
     /*   69437 */     GIR_EraseRootFromParent_Done,
     /*   69438 */   // Label 1124: @69438
     /*   69438 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69493), // Rule ID 47156 //
     /*   69443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69471 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69491 */     GIR_RootConstrainSelectedInstOperands,
     /*   69492 */     // GIR_Coverage, 47156,
     /*   69492 */     GIR_EraseRootFromParent_Done,
     /*   69493 */   // Label 1125: @69493
     /*   69493 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69548), // Rule ID 46915 //
     /*   69498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69526 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69546 */     GIR_RootConstrainSelectedInstOperands,
     /*   69547 */     // GIR_Coverage, 46915,
     /*   69547 */     GIR_EraseRootFromParent_Done,
     /*   69548 */   // Label 1126: @69548
     /*   69548 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(69603), // Rule ID 46916 //
     /*   69553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69581 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69601 */     GIR_RootConstrainSelectedInstOperands,
     /*   69602 */     // GIR_Coverage, 46916,
     /*   69602 */     GIR_EraseRootFromParent_Done,
     /*   69603 */   // Label 1127: @69603
     /*   69603 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(69658), // Rule ID 47035 //
     /*   69608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69636 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69656 */     GIR_RootConstrainSelectedInstOperands,
     /*   69657 */     // GIR_Coverage, 47035,
     /*   69657 */     GIR_EraseRootFromParent_Done,
     /*   69658 */   // Label 1128: @69658
     /*   69658 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(69713), // Rule ID 47036 //
     /*   69663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69691 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69711 */     GIR_RootConstrainSelectedInstOperands,
     /*   69712 */     // GIR_Coverage, 47036,
     /*   69712 */     GIR_EraseRootFromParent_Done,
     /*   69713 */   // Label 1129: @69713
     /*   69713 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(69766), // Rule ID 46143 //
     /*   69718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69729 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69764 */     GIR_RootConstrainSelectedInstOperands,
     /*   69765 */     // GIR_Coverage, 46143,
     /*   69765 */     GIR_EraseRootFromParent_Done,
     /*   69766 */   // Label 1130: @69766
     /*   69766 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(69819), // Rule ID 46144 //
     /*   69771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69782 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69817 */     GIR_RootConstrainSelectedInstOperands,
     /*   69818 */     // GIR_Coverage, 46144,
     /*   69818 */     GIR_EraseRootFromParent_Done,
     /*   69819 */   // Label 1131: @69819
     /*   69819 */   GIM_Reject,
     /*   69820 */ // Label 1115: @69820
     /*   69820 */ GIM_Reject,
     /*   69821 */ // Label 922: @69821
     /*   69821 */ GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70943),
     /*   69826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   69829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   69832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   69836 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(69925), // Rule ID 47119 //
     /*   69841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69875 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69884 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69923 */     GIR_RootConstrainSelectedInstOperands,
     /*   69924 */     // GIR_Coverage, 47119,
     /*   69924 */     GIR_EraseRootFromParent_Done,
     /*   69925 */   // Label 1133: @69925
     /*   69925 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(70014), // Rule ID 47120 //
     /*   69930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69973 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70012 */     GIR_RootConstrainSelectedInstOperands,
     /*   70013 */     // GIR_Coverage, 47120,
     /*   70013 */     GIR_EraseRootFromParent_Done,
     /*   70014 */   // Label 1134: @70014
     /*   70014 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70103), // Rule ID 46879 //
     /*   70019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70062 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70101 */     GIR_RootConstrainSelectedInstOperands,
     /*   70102 */     // GIR_Coverage, 46879,
     /*   70102 */     GIR_EraseRootFromParent_Done,
     /*   70103 */   // Label 1135: @70103
     /*   70103 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70192), // Rule ID 46880 //
     /*   70108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70142 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70151 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70190 */     GIR_RootConstrainSelectedInstOperands,
     /*   70191 */     // GIR_Coverage, 46880,
     /*   70191 */     GIR_EraseRootFromParent_Done,
     /*   70192 */   // Label 1136: @70192
     /*   70192 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70281), // Rule ID 46999 //
     /*   70197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70231 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70240 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70279 */     GIR_RootConstrainSelectedInstOperands,
     /*   70280 */     // GIR_Coverage, 46999,
     /*   70280 */     GIR_EraseRootFromParent_Done,
     /*   70281 */   // Label 1137: @70281
     /*   70281 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70370), // Rule ID 47000 //
     /*   70286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70329 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70368 */     GIR_RootConstrainSelectedInstOperands,
     /*   70369 */     // GIR_Coverage, 47000,
     /*   70369 */     GIR_EraseRootFromParent_Done,
     /*   70370 */   // Label 1138: @70370
     /*   70370 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70438), // Rule ID 51881 //
     /*   70375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70412 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70436 */     GIR_RootConstrainSelectedInstOperands,
     /*   70437 */     // GIR_Coverage, 51881,
     /*   70437 */     GIR_EraseRootFromParent_Done,
     /*   70438 */   // Label 1139: @70438
     /*   70438 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70506), // Rule ID 51882 //
     /*   70443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70480 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70504 */     GIR_RootConstrainSelectedInstOperands,
     /*   70505 */     // GIR_Coverage, 51882,
     /*   70505 */     GIR_EraseRootFromParent_Done,
     /*   70506 */   // Label 1140: @70506
     /*   70506 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70561), // Rule ID 47179 //
     /*   70511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70539 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70559 */     GIR_RootConstrainSelectedInstOperands,
     /*   70560 */     // GIR_Coverage, 47179,
     /*   70560 */     GIR_EraseRootFromParent_Done,
     /*   70561 */   // Label 1141: @70561
     /*   70561 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(70616), // Rule ID 47180 //
     /*   70566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70594 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70614 */     GIR_RootConstrainSelectedInstOperands,
     /*   70615 */     // GIR_Coverage, 47180,
     /*   70615 */     GIR_EraseRootFromParent_Done,
     /*   70616 */   // Label 1142: @70616
     /*   70616 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(70671), // Rule ID 46939 //
     /*   70621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70640 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70649 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70669 */     GIR_RootConstrainSelectedInstOperands,
     /*   70670 */     // GIR_Coverage, 46939,
     /*   70670 */     GIR_EraseRootFromParent_Done,
     /*   70671 */   // Label 1143: @70671
     /*   70671 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(70726), // Rule ID 46940 //
     /*   70676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70704 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70724 */     GIR_RootConstrainSelectedInstOperands,
     /*   70725 */     // GIR_Coverage, 46940,
     /*   70725 */     GIR_EraseRootFromParent_Done,
     /*   70726 */   // Label 1144: @70726
     /*   70726 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(70781), // Rule ID 47059 //
     /*   70731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70759 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70779 */     GIR_RootConstrainSelectedInstOperands,
     /*   70780 */     // GIR_Coverage, 47059,
     /*   70780 */     GIR_EraseRootFromParent_Done,
     /*   70781 */   // Label 1145: @70781
     /*   70781 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(70836), // Rule ID 47060 //
     /*   70786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70814 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70834 */     GIR_RootConstrainSelectedInstOperands,
     /*   70835 */     // GIR_Coverage, 47060,
     /*   70835 */     GIR_EraseRootFromParent_Done,
     /*   70836 */   // Label 1146: @70836
     /*   70836 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(70889), // Rule ID 46159 //
     /*   70841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70852 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70887 */     GIR_RootConstrainSelectedInstOperands,
     /*   70888 */     // GIR_Coverage, 46159,
     /*   70888 */     GIR_EraseRootFromParent_Done,
     /*   70889 */   // Label 1147: @70889
     /*   70889 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(70942), // Rule ID 46160 //
     /*   70894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70905 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70940 */     GIR_RootConstrainSelectedInstOperands,
     /*   70941 */     // GIR_Coverage, 46160,
     /*   70941 */     GIR_EraseRootFromParent_Done,
     /*   70942 */   // Label 1148: @70942
     /*   70942 */   GIM_Reject,
     /*   70943 */ // Label 1132: @70943
     /*   70943 */ GIM_Reject,
     /*   70944 */ // Label 923: @70944
     /*   70944 */ GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(72066),
     /*   70949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   70952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   70955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   70959 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71048), // Rule ID 47139 //
     /*   70964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   70967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71007 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71046 */     GIR_RootConstrainSelectedInstOperands,
     /*   71047 */     // GIR_Coverage, 47139,
     /*   71047 */     GIR_EraseRootFromParent_Done,
     /*   71048 */   // Label 1150: @71048
     /*   71048 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(71137), // Rule ID 47140 //
     /*   71053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71096 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71135 */     GIR_RootConstrainSelectedInstOperands,
     /*   71136 */     // GIR_Coverage, 47140,
     /*   71136 */     GIR_EraseRootFromParent_Done,
     /*   71137 */   // Label 1151: @71137
     /*   71137 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71226), // Rule ID 46899 //
     /*   71142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71185 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71224 */     GIR_RootConstrainSelectedInstOperands,
     /*   71225 */     // GIR_Coverage, 46899,
     /*   71225 */     GIR_EraseRootFromParent_Done,
     /*   71226 */   // Label 1152: @71226
     /*   71226 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71315), // Rule ID 46900 //
     /*   71231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71274 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71313 */     GIR_RootConstrainSelectedInstOperands,
     /*   71314 */     // GIR_Coverage, 46900,
     /*   71314 */     GIR_EraseRootFromParent_Done,
     /*   71315 */   // Label 1153: @71315
     /*   71315 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71404), // Rule ID 47019 //
     /*   71320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71363 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71402 */     GIR_RootConstrainSelectedInstOperands,
     /*   71403 */     // GIR_Coverage, 47019,
     /*   71403 */     GIR_EraseRootFromParent_Done,
     /*   71404 */   // Label 1154: @71404
     /*   71404 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71493), // Rule ID 47020 //
     /*   71409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71452 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71491 */     GIR_RootConstrainSelectedInstOperands,
     /*   71492 */     // GIR_Coverage, 47020,
     /*   71492 */     GIR_EraseRootFromParent_Done,
     /*   71493 */   // Label 1155: @71493
     /*   71493 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71561), // Rule ID 51897 //
     /*   71498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71535 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   71535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71559 */     GIR_RootConstrainSelectedInstOperands,
     /*   71560 */     // GIR_Coverage, 51897,
     /*   71560 */     GIR_EraseRootFromParent_Done,
     /*   71561 */   // Label 1156: @71561
     /*   71561 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71629), // Rule ID 51898 //
     /*   71566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71603 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   71603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71627 */     GIR_RootConstrainSelectedInstOperands,
     /*   71628 */     // GIR_Coverage, 51898,
     /*   71628 */     GIR_EraseRootFromParent_Done,
     /*   71629 */   // Label 1157: @71629
     /*   71629 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71684), // Rule ID 47199 //
     /*   71634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71662 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71682 */     GIR_RootConstrainSelectedInstOperands,
     /*   71683 */     // GIR_Coverage, 47199,
     /*   71683 */     GIR_EraseRootFromParent_Done,
     /*   71684 */   // Label 1158: @71684
     /*   71684 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71739), // Rule ID 47200 //
     /*   71689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71717 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71737 */     GIR_RootConstrainSelectedInstOperands,
     /*   71738 */     // GIR_Coverage, 47200,
     /*   71738 */     GIR_EraseRootFromParent_Done,
     /*   71739 */   // Label 1159: @71739
     /*   71739 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71794), // Rule ID 46959 //
     /*   71744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71772 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71792 */     GIR_RootConstrainSelectedInstOperands,
     /*   71793 */     // GIR_Coverage, 46959,
     /*   71793 */     GIR_EraseRootFromParent_Done,
     /*   71794 */   // Label 1160: @71794
     /*   71794 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71849), // Rule ID 46960 //
     /*   71799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71827 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71847 */     GIR_RootConstrainSelectedInstOperands,
     /*   71848 */     // GIR_Coverage, 46960,
     /*   71848 */     GIR_EraseRootFromParent_Done,
     /*   71849 */   // Label 1161: @71849
     /*   71849 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(71904), // Rule ID 47079 //
     /*   71854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71882 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71902 */     GIR_RootConstrainSelectedInstOperands,
     /*   71903 */     // GIR_Coverage, 47079,
     /*   71903 */     GIR_EraseRootFromParent_Done,
     /*   71904 */   // Label 1162: @71904
     /*   71904 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(71959), // Rule ID 47080 //
     /*   71909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71937 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71957 */     GIR_RootConstrainSelectedInstOperands,
     /*   71958 */     // GIR_Coverage, 47080,
     /*   71958 */     GIR_EraseRootFromParent_Done,
     /*   71959 */   // Label 1163: @71959
     /*   71959 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72012), // Rule ID 46175 //
     /*   71964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71975 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   71992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72010 */     GIR_RootConstrainSelectedInstOperands,
     /*   72011 */     // GIR_Coverage, 46175,
     /*   72011 */     GIR_EraseRootFromParent_Done,
     /*   72012 */   // Label 1164: @72012
     /*   72012 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72065), // Rule ID 46176 //
     /*   72017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72028 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   72045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72063 */     GIR_RootConstrainSelectedInstOperands,
     /*   72064 */     // GIR_Coverage, 46176,
     /*   72064 */     GIR_EraseRootFromParent_Done,
     /*   72065 */   // Label 1165: @72065
     /*   72065 */   GIM_Reject,
     /*   72066 */ // Label 1149: @72066
     /*   72066 */ GIM_Reject,
     /*   72067 */ // Label 924: @72067
     /*   72067 */ GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72313),
     /*   72072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72086 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72150), // Rule ID 51853 //
     /*   72091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72124 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72148 */     GIR_RootConstrainSelectedInstOperands,
     /*   72149 */     // GIR_Coverage, 51853,
     /*   72149 */     GIR_EraseRootFromParent_Done,
     /*   72150 */   // Label 1167: @72150
     /*   72150 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72214), // Rule ID 51854 //
     /*   72155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72188 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72212 */     GIR_RootConstrainSelectedInstOperands,
     /*   72213 */     // GIR_Coverage, 51854,
     /*   72213 */     GIR_EraseRootFromParent_Done,
     /*   72214 */   // Label 1168: @72214
     /*   72214 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72263), // Rule ID 46131 //
     /*   72219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72226 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72261 */     GIR_RootConstrainSelectedInstOperands,
     /*   72262 */     // GIR_Coverage, 46131,
     /*   72262 */     GIR_EraseRootFromParent_Done,
     /*   72263 */   // Label 1169: @72263
     /*   72263 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72312), // Rule ID 46132 //
     /*   72268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72275 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72310 */     GIR_RootConstrainSelectedInstOperands,
     /*   72311 */     // GIR_Coverage, 46132,
     /*   72311 */     GIR_EraseRootFromParent_Done,
     /*   72312 */   // Label 1170: @72312
     /*   72312 */   GIM_Reject,
     /*   72313 */ // Label 1166: @72313
     /*   72313 */ GIM_Reject,
     /*   72314 */ // Label 925: @72314
     /*   72314 */ GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(73436),
     /*   72319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72329 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72418), // Rule ID 47099 //
     /*   72334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72377 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72416 */     GIR_RootConstrainSelectedInstOperands,
     /*   72417 */     // GIR_Coverage, 47099,
     /*   72417 */     GIR_EraseRootFromParent_Done,
     /*   72418 */   // Label 1172: @72418
     /*   72418 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72507), // Rule ID 47100 //
     /*   72423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72466 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72505 */     GIR_RootConstrainSelectedInstOperands,
     /*   72506 */     // GIR_Coverage, 47100,
     /*   72506 */     GIR_EraseRootFromParent_Done,
     /*   72507 */   // Label 1173: @72507
     /*   72507 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72596), // Rule ID 46859 //
     /*   72512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72555 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72594 */     GIR_RootConstrainSelectedInstOperands,
     /*   72595 */     // GIR_Coverage, 46859,
     /*   72595 */     GIR_EraseRootFromParent_Done,
     /*   72596 */   // Label 1174: @72596
     /*   72596 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72685), // Rule ID 46860 //
     /*   72601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72644 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72683 */     GIR_RootConstrainSelectedInstOperands,
     /*   72684 */     // GIR_Coverage, 46860,
     /*   72684 */     GIR_EraseRootFromParent_Done,
     /*   72685 */   // Label 1175: @72685
     /*   72685 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72774), // Rule ID 46979 //
     /*   72690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72733 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72772 */     GIR_RootConstrainSelectedInstOperands,
     /*   72773 */     // GIR_Coverage, 46979,
     /*   72773 */     GIR_EraseRootFromParent_Done,
     /*   72774 */   // Label 1176: @72774
     /*   72774 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(72863), // Rule ID 46980 //
     /*   72779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72822 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72861 */     GIR_RootConstrainSelectedInstOperands,
     /*   72862 */     // GIR_Coverage, 46980,
     /*   72862 */     GIR_EraseRootFromParent_Done,
     /*   72863 */   // Label 1177: @72863
     /*   72863 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(72931), // Rule ID 51869 //
     /*   72868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72905 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   72905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72929 */     GIR_RootConstrainSelectedInstOperands,
     /*   72930 */     // GIR_Coverage, 51869,
     /*   72930 */     GIR_EraseRootFromParent_Done,
     /*   72931 */   // Label 1178: @72931
     /*   72931 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(72999), // Rule ID 51870 //
     /*   72936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72973 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   72973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72997 */     GIR_RootConstrainSelectedInstOperands,
     /*   72998 */     // GIR_Coverage, 51870,
     /*   72998 */     GIR_EraseRootFromParent_Done,
     /*   72999 */   // Label 1179: @72999
     /*   72999 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73054), // Rule ID 47159 //
     /*   73004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73032 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73052 */     GIR_RootConstrainSelectedInstOperands,
     /*   73053 */     // GIR_Coverage, 47159,
     /*   73053 */     GIR_EraseRootFromParent_Done,
     /*   73054 */   // Label 1180: @73054
     /*   73054 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73109), // Rule ID 47160 //
     /*   73059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73087 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73107 */     GIR_RootConstrainSelectedInstOperands,
     /*   73108 */     // GIR_Coverage, 47160,
     /*   73108 */     GIR_EraseRootFromParent_Done,
     /*   73109 */   // Label 1181: @73109
     /*   73109 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73164), // Rule ID 46919 //
     /*   73114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73142 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73162 */     GIR_RootConstrainSelectedInstOperands,
     /*   73163 */     // GIR_Coverage, 46919,
     /*   73163 */     GIR_EraseRootFromParent_Done,
     /*   73164 */   // Label 1182: @73164
     /*   73164 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73219), // Rule ID 46920 //
     /*   73169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73197 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73217 */     GIR_RootConstrainSelectedInstOperands,
     /*   73218 */     // GIR_Coverage, 46920,
     /*   73218 */     GIR_EraseRootFromParent_Done,
     /*   73219 */   // Label 1183: @73219
     /*   73219 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73274), // Rule ID 47039 //
     /*   73224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73252 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73272 */     GIR_RootConstrainSelectedInstOperands,
     /*   73273 */     // GIR_Coverage, 47039,
     /*   73273 */     GIR_EraseRootFromParent_Done,
     /*   73274 */   // Label 1184: @73274
     /*   73274 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73329), // Rule ID 47040 //
     /*   73279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73307 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73327 */     GIR_RootConstrainSelectedInstOperands,
     /*   73328 */     // GIR_Coverage, 47040,
     /*   73328 */     GIR_EraseRootFromParent_Done,
     /*   73329 */   // Label 1185: @73329
     /*   73329 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73382), // Rule ID 46147 //
     /*   73334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73345 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73380 */     GIR_RootConstrainSelectedInstOperands,
     /*   73381 */     // GIR_Coverage, 46147,
     /*   73381 */     GIR_EraseRootFromParent_Done,
     /*   73382 */   // Label 1186: @73382
     /*   73382 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73435), // Rule ID 46148 //
     /*   73387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73398 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73433 */     GIR_RootConstrainSelectedInstOperands,
     /*   73434 */     // GIR_Coverage, 46148,
     /*   73434 */     GIR_EraseRootFromParent_Done,
     /*   73435 */   // Label 1187: @73435
     /*   73435 */   GIM_Reject,
     /*   73436 */ // Label 1171: @73436
     /*   73436 */ GIM_Reject,
     /*   73437 */ // Label 926: @73437
     /*   73437 */ GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(74559),
     /*   73442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73452 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73541), // Rule ID 47123 //
     /*   73457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73491 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73500 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73539 */     GIR_RootConstrainSelectedInstOperands,
     /*   73540 */     // GIR_Coverage, 47123,
     /*   73540 */     GIR_EraseRootFromParent_Done,
     /*   73541 */   // Label 1189: @73541
     /*   73541 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(73630), // Rule ID 47124 //
     /*   73546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73589 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73628 */     GIR_RootConstrainSelectedInstOperands,
     /*   73629 */     // GIR_Coverage, 47124,
     /*   73629 */     GIR_EraseRootFromParent_Done,
     /*   73630 */   // Label 1190: @73630
     /*   73630 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(73719), // Rule ID 46883 //
     /*   73635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73678 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73717 */     GIR_RootConstrainSelectedInstOperands,
     /*   73718 */     // GIR_Coverage, 46883,
     /*   73718 */     GIR_EraseRootFromParent_Done,
     /*   73719 */   // Label 1191: @73719
     /*   73719 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(73808), // Rule ID 46884 //
     /*   73724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73758 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73760 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73767 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73806 */     GIR_RootConstrainSelectedInstOperands,
     /*   73807 */     // GIR_Coverage, 46884,
     /*   73807 */     GIR_EraseRootFromParent_Done,
     /*   73808 */   // Label 1192: @73808
     /*   73808 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(73897), // Rule ID 47003 //
     /*   73813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73847 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73856 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73895 */     GIR_RootConstrainSelectedInstOperands,
     /*   73896 */     // GIR_Coverage, 47003,
     /*   73896 */     GIR_EraseRootFromParent_Done,
     /*   73897 */   // Label 1193: @73897
     /*   73897 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(73986), // Rule ID 47004 //
     /*   73902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73945 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73984 */     GIR_RootConstrainSelectedInstOperands,
     /*   73985 */     // GIR_Coverage, 47004,
     /*   73985 */     GIR_EraseRootFromParent_Done,
     /*   73986 */   // Label 1194: @73986
     /*   73986 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74054), // Rule ID 51885 //
     /*   73991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74028 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74052 */     GIR_RootConstrainSelectedInstOperands,
     /*   74053 */     // GIR_Coverage, 51885,
     /*   74053 */     GIR_EraseRootFromParent_Done,
     /*   74054 */   // Label 1195: @74054
     /*   74054 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74122), // Rule ID 51886 //
     /*   74059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74096 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74120 */     GIR_RootConstrainSelectedInstOperands,
     /*   74121 */     // GIR_Coverage, 51886,
     /*   74121 */     GIR_EraseRootFromParent_Done,
     /*   74122 */   // Label 1196: @74122
     /*   74122 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74177), // Rule ID 47183 //
     /*   74127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74155 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74175 */     GIR_RootConstrainSelectedInstOperands,
     /*   74176 */     // GIR_Coverage, 47183,
     /*   74176 */     GIR_EraseRootFromParent_Done,
     /*   74177 */   // Label 1197: @74177
     /*   74177 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74232), // Rule ID 47184 //
     /*   74182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74210 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74230 */     GIR_RootConstrainSelectedInstOperands,
     /*   74231 */     // GIR_Coverage, 47184,
     /*   74231 */     GIR_EraseRootFromParent_Done,
     /*   74232 */   // Label 1198: @74232
     /*   74232 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74287), // Rule ID 46943 //
     /*   74237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74265 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74285 */     GIR_RootConstrainSelectedInstOperands,
     /*   74286 */     // GIR_Coverage, 46943,
     /*   74286 */     GIR_EraseRootFromParent_Done,
     /*   74287 */   // Label 1199: @74287
     /*   74287 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74342), // Rule ID 46944 //
     /*   74292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74320 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74340 */     GIR_RootConstrainSelectedInstOperands,
     /*   74341 */     // GIR_Coverage, 46944,
     /*   74341 */     GIR_EraseRootFromParent_Done,
     /*   74342 */   // Label 1200: @74342
     /*   74342 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74397), // Rule ID 47063 //
     /*   74347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74375 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74395 */     GIR_RootConstrainSelectedInstOperands,
     /*   74396 */     // GIR_Coverage, 47063,
     /*   74396 */     GIR_EraseRootFromParent_Done,
     /*   74397 */   // Label 1201: @74397
     /*   74397 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74452), // Rule ID 47064 //
     /*   74402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74430 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74450 */     GIR_RootConstrainSelectedInstOperands,
     /*   74451 */     // GIR_Coverage, 47064,
     /*   74451 */     GIR_EraseRootFromParent_Done,
     /*   74452 */   // Label 1202: @74452
     /*   74452 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74505), // Rule ID 46163 //
     /*   74457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74468 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74503 */     GIR_RootConstrainSelectedInstOperands,
     /*   74504 */     // GIR_Coverage, 46163,
     /*   74504 */     GIR_EraseRootFromParent_Done,
     /*   74505 */   // Label 1203: @74505
     /*   74505 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74558), // Rule ID 46164 //
     /*   74510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74521 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   74521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74556 */     GIR_RootConstrainSelectedInstOperands,
     /*   74557 */     // GIR_Coverage, 46164,
     /*   74557 */     GIR_EraseRootFromParent_Done,
     /*   74558 */   // Label 1204: @74558
     /*   74558 */   GIM_Reject,
     /*   74559 */ // Label 1188: @74559
     /*   74559 */ GIM_Reject,
     /*   74560 */ // Label 927: @74560
     /*   74560 */ GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(74806),
     /*   74565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74579 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(74643), // Rule ID 51857 //
     /*   74584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74617 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   74617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74641 */     GIR_RootConstrainSelectedInstOperands,
     /*   74642 */     // GIR_Coverage, 51857,
     /*   74642 */     GIR_EraseRootFromParent_Done,
     /*   74643 */   // Label 1206: @74643
     /*   74643 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(74707), // Rule ID 51858 //
     /*   74648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74681 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   74681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74705 */     GIR_RootConstrainSelectedInstOperands,
     /*   74706 */     // GIR_Coverage, 51858,
     /*   74706 */     GIR_EraseRootFromParent_Done,
     /*   74707 */   // Label 1207: @74707
     /*   74707 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(74756), // Rule ID 46135 //
     /*   74712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74719 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74754 */     GIR_RootConstrainSelectedInstOperands,
     /*   74755 */     // GIR_Coverage, 46135,
     /*   74755 */     GIR_EraseRootFromParent_Done,
     /*   74756 */   // Label 1208: @74756
     /*   74756 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(74805), // Rule ID 46136 //
     /*   74761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74768 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74803 */     GIR_RootConstrainSelectedInstOperands,
     /*   74804 */     // GIR_Coverage, 46136,
     /*   74804 */     GIR_EraseRootFromParent_Done,
     /*   74805 */   // Label 1209: @74805
     /*   74805 */   GIM_Reject,
     /*   74806 */ // Label 1205: @74806
     /*   74806 */ GIM_Reject,
     /*   74807 */ // Label 928: @74807
     /*   74807 */ GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75929),
     /*   74812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   74815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   74818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74822 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(74911), // Rule ID 47103 //
     /*   74827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74870 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74909 */     GIR_RootConstrainSelectedInstOperands,
     /*   74910 */     // GIR_Coverage, 47103,
     /*   74910 */     GIR_EraseRootFromParent_Done,
     /*   74911 */   // Label 1211: @74911
     /*   74911 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75000), // Rule ID 47104 //
     /*   74916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74959 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74998 */     GIR_RootConstrainSelectedInstOperands,
     /*   74999 */     // GIR_Coverage, 47104,
     /*   74999 */     GIR_EraseRootFromParent_Done,
     /*   75000 */   // Label 1212: @75000
     /*   75000 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75089), // Rule ID 46863 //
     /*   75005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75048 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75087 */     GIR_RootConstrainSelectedInstOperands,
     /*   75088 */     // GIR_Coverage, 46863,
     /*   75088 */     GIR_EraseRootFromParent_Done,
     /*   75089 */   // Label 1213: @75089
     /*   75089 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75178), // Rule ID 46864 //
     /*   75094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75109 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75137 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75176 */     GIR_RootConstrainSelectedInstOperands,
     /*   75177 */     // GIR_Coverage, 46864,
     /*   75177 */     GIR_EraseRootFromParent_Done,
     /*   75178 */   // Label 1214: @75178
     /*   75178 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75267), // Rule ID 46983 //
     /*   75183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75226 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75265 */     GIR_RootConstrainSelectedInstOperands,
     /*   75266 */     // GIR_Coverage, 46983,
     /*   75266 */     GIR_EraseRootFromParent_Done,
     /*   75267 */   // Label 1215: @75267
     /*   75267 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75356), // Rule ID 46984 //
     /*   75272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75315 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75354 */     GIR_RootConstrainSelectedInstOperands,
     /*   75355 */     // GIR_Coverage, 46984,
     /*   75355 */     GIR_EraseRootFromParent_Done,
     /*   75356 */   // Label 1216: @75356
     /*   75356 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75424), // Rule ID 51873 //
     /*   75361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75398 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   75398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75422 */     GIR_RootConstrainSelectedInstOperands,
     /*   75423 */     // GIR_Coverage, 51873,
     /*   75423 */     GIR_EraseRootFromParent_Done,
     /*   75424 */   // Label 1217: @75424
     /*   75424 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75492), // Rule ID 51874 //
     /*   75429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75466 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   75466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75490 */     GIR_RootConstrainSelectedInstOperands,
     /*   75491 */     // GIR_Coverage, 51874,
     /*   75491 */     GIR_EraseRootFromParent_Done,
     /*   75492 */   // Label 1218: @75492
     /*   75492 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75547), // Rule ID 47163 //
     /*   75497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75525 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75545 */     GIR_RootConstrainSelectedInstOperands,
     /*   75546 */     // GIR_Coverage, 47163,
     /*   75546 */     GIR_EraseRootFromParent_Done,
     /*   75547 */   // Label 1219: @75547
     /*   75547 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(75602), // Rule ID 47164 //
     /*   75552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75580 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75600 */     GIR_RootConstrainSelectedInstOperands,
     /*   75601 */     // GIR_Coverage, 47164,
     /*   75601 */     GIR_EraseRootFromParent_Done,
     /*   75602 */   // Label 1220: @75602
     /*   75602 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(75657), // Rule ID 46923 //
     /*   75607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75635 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75655 */     GIR_RootConstrainSelectedInstOperands,
     /*   75656 */     // GIR_Coverage, 46923,
     /*   75656 */     GIR_EraseRootFromParent_Done,
     /*   75657 */   // Label 1221: @75657
     /*   75657 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(75712), // Rule ID 46924 //
     /*   75662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75690 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75710 */     GIR_RootConstrainSelectedInstOperands,
     /*   75711 */     // GIR_Coverage, 46924,
     /*   75711 */     GIR_EraseRootFromParent_Done,
     /*   75712 */   // Label 1222: @75712
     /*   75712 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(75767), // Rule ID 47043 //
     /*   75717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75745 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75765 */     GIR_RootConstrainSelectedInstOperands,
     /*   75766 */     // GIR_Coverage, 47043,
     /*   75766 */     GIR_EraseRootFromParent_Done,
     /*   75767 */   // Label 1223: @75767
     /*   75767 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(75822), // Rule ID 47044 //
     /*   75772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75800 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75820 */     GIR_RootConstrainSelectedInstOperands,
     /*   75821 */     // GIR_Coverage, 47044,
     /*   75821 */     GIR_EraseRootFromParent_Done,
     /*   75822 */   // Label 1224: @75822
     /*   75822 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(75875), // Rule ID 46151 //
     /*   75827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75838 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   75838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75873 */     GIR_RootConstrainSelectedInstOperands,
     /*   75874 */     // GIR_Coverage, 46151,
     /*   75874 */     GIR_EraseRootFromParent_Done,
     /*   75875 */   // Label 1225: @75875
     /*   75875 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(75928), // Rule ID 46152 //
     /*   75880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75891 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   75891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75926 */     GIR_RootConstrainSelectedInstOperands,
     /*   75927 */     // GIR_Coverage, 46152,
     /*   75927 */     GIR_EraseRootFromParent_Done,
     /*   75928 */   // Label 1226: @75928
     /*   75928 */   GIM_Reject,
     /*   75929 */ // Label 1210: @75929
     /*   75929 */ GIM_Reject,
     /*   75930 */ // Label 929: @75930
     /*   75930 */ GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76176),
     /*   75935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75949 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76013), // Rule ID 51861 //
     /*   75954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75987 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76011 */     GIR_RootConstrainSelectedInstOperands,
     /*   76012 */     // GIR_Coverage, 51861,
     /*   76012 */     GIR_EraseRootFromParent_Done,
     /*   76013 */   // Label 1228: @76013
     /*   76013 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(76077), // Rule ID 51862 //
     /*   76018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   76033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   76037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76051 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   76054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76075 */     GIR_RootConstrainSelectedInstOperands,
     /*   76076 */     // GIR_Coverage, 51862,
     /*   76076 */     GIR_EraseRootFromParent_Done,
     /*   76077 */   // Label 1229: @76077
     /*   76077 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76126), // Rule ID 46139 //
     /*   76082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76089 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76124 */     GIR_RootConstrainSelectedInstOperands,
     /*   76125 */     // GIR_Coverage, 46139,
     /*   76125 */     GIR_EraseRootFromParent_Done,
     /*   76126 */   // Label 1230: @76126
     /*   76126 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(76175), // Rule ID 46140 //
     /*   76131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76138 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76173 */     GIR_RootConstrainSelectedInstOperands,
     /*   76174 */     // GIR_Coverage, 46140,
     /*   76174 */     GIR_EraseRootFromParent_Done,
     /*   76175 */   // Label 1231: @76175
     /*   76175 */   GIM_Reject,
     /*   76176 */ // Label 1227: @76176
     /*   76176 */ GIM_Reject,
     /*   76177 */ // Label 930: @76177
     /*   76177 */ GIM_Reject,
     /*   76178 */ // Label 2: @76178
     /*   76178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1256*/ GIMT_Encode4(103231),
     /*   76189 */ /*GILLT_s32*//*Label 1232*/ GIMT_Encode4(76313),
     /*   76193 */ /*GILLT_s64*//*Label 1233*/ GIMT_Encode4(76347), GIMT_Encode4(0),
     /*   76201 */ /*GILLT_nxv1s8*//*Label 1234*/ GIMT_Encode4(76551),
     /*   76205 */ /*GILLT_nxv1s16*//*Label 1235*/ GIMT_Encode4(76666),
     /*   76209 */ /*GILLT_nxv1s32*//*Label 1236*/ GIMT_Encode4(78391),
     /*   76213 */ /*GILLT_nxv1s64*//*Label 1237*/ GIMT_Encode4(80116), GIMT_Encode4(0),
     /*   76221 */ /*GILLT_nxv2s8*//*Label 1238*/ GIMT_Encode4(81841),
     /*   76225 */ /*GILLT_nxv2s16*//*Label 1239*/ GIMT_Encode4(81956),
     /*   76229 */ /*GILLT_nxv2s32*//*Label 1240*/ GIMT_Encode4(83681),
     /*   76233 */ /*GILLT_nxv2s64*//*Label 1241*/ GIMT_Encode4(85406), GIMT_Encode4(0),
     /*   76241 */ /*GILLT_nxv4s8*//*Label 1242*/ GIMT_Encode4(87131),
     /*   76245 */ /*GILLT_nxv4s16*//*Label 1243*/ GIMT_Encode4(87246),
     /*   76249 */ /*GILLT_nxv4s32*//*Label 1244*/ GIMT_Encode4(88971),
     /*   76253 */ /*GILLT_nxv4s64*//*Label 1245*/ GIMT_Encode4(90696), GIMT_Encode4(0),
     /*   76261 */ /*GILLT_nxv8s8*//*Label 1246*/ GIMT_Encode4(92421),
     /*   76265 */ /*GILLT_nxv8s16*//*Label 1247*/ GIMT_Encode4(92536),
     /*   76269 */ /*GILLT_nxv8s32*//*Label 1248*/ GIMT_Encode4(94261),
     /*   76273 */ /*GILLT_nxv8s64*//*Label 1249*/ GIMT_Encode4(95986), GIMT_Encode4(0),
     /*   76281 */ /*GILLT_nxv16s8*//*Label 1250*/ GIMT_Encode4(97711),
     /*   76285 */ /*GILLT_nxv16s16*//*Label 1251*/ GIMT_Encode4(97826),
     /*   76289 */ /*GILLT_nxv16s32*//*Label 1252*/ GIMT_Encode4(99551), GIMT_Encode4(0),
     /*   76297 */ /*GILLT_nxv32s8*//*Label 1253*/ GIMT_Encode4(101276),
     /*   76301 */ /*GILLT_nxv32s16*//*Label 1254*/ GIMT_Encode4(101391), GIMT_Encode4(0),
     /*   76309 */ /*GILLT_nxv64s8*//*Label 1255*/ GIMT_Encode4(103116),
     /*   76313 */ // Label 1232: @76313
     /*   76313 */ GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(76346), // Rule ID 289 //
     /*   76318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   76321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   76324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   76327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76339 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76339 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76344 */   GIR_RootConstrainSelectedInstOperands,
     /*   76345 */   // GIR_Coverage, 289,
     /*   76345 */   GIR_Done,
     /*   76346 */ // Label 1257: @76346
     /*   76346 */ GIM_Reject,
     /*   76347 */ // Label 1233: @76347
     /*   76347 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(76550),
     /*   76352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   76355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   76358 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(76491), // Rule ID 311 //
     /*   76363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   76366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   76382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   76386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76391 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   76414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   76418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76423 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76436 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   76436 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   76439 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76443 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76448 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76452 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   76455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   76457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   76460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76473 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   76476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   76481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   76489 */     GIR_RootConstrainSelectedInstOperands,
     /*   76490 */     // GIR_Coverage, 311,
     /*   76490 */     GIR_EraseRootFromParent_Done,
     /*   76491 */   // Label 1259: @76491
     /*   76491 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76522), // Rule ID 304 //
     /*   76496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   76499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10065),
     /*   76515 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10065>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   76520 */     GIR_RootConstrainSelectedInstOperands,
     /*   76521 */     // GIR_Coverage, 304,
     /*   76521 */     GIR_Done,
     /*   76522 */   // Label 1260: @76522
     /*   76522 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(76549), // Rule ID 288 //
     /*   76527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   76530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76542 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76547 */     GIR_RootConstrainSelectedInstOperands,
     /*   76548 */     // GIR_Coverage, 288,
     /*   76548 */     GIR_Done,
     /*   76549 */   // Label 1261: @76549
     /*   76549 */   GIM_Reject,
     /*   76550 */ // Label 1258: @76550
     /*   76550 */ GIM_Reject,
     /*   76551 */ // Label 1234: @76551
     /*   76551 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(76665),
     /*   76556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   76562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76574 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(76619), // Rule ID 50723 //
     /*   76579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76582 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76617 */     GIR_RootConstrainSelectedInstOperands,
     /*   76618 */     // GIR_Coverage, 50723,
     /*   76618 */     GIR_EraseRootFromParent_Done,
     /*   76619 */   // Label 1263: @76619
     /*   76619 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(76664), // Rule ID 50724 //
     /*   76624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76627 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76662 */     GIR_RootConstrainSelectedInstOperands,
     /*   76663 */     // GIR_Coverage, 50724,
     /*   76663 */     GIR_EraseRootFromParent_Done,
     /*   76664 */   // Label 1264: @76664
     /*   76664 */   GIM_Reject,
     /*   76665 */ // Label 1262: @76665
     /*   76665 */ GIM_Reject,
     /*   76666 */ // Label 1235: @76666
     /*   76666 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(78390),
     /*   76671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   76674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   76677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76681 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(76770), // Rule ID 51489 //
     /*   76686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76729 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76768 */     GIR_RootConstrainSelectedInstOperands,
     /*   76769 */     // GIR_Coverage, 51489,
     /*   76769 */     GIR_EraseRootFromParent_Done,
     /*   76770 */   // Label 1266: @76770
     /*   76770 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(76859), // Rule ID 51490 //
     /*   76775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76818 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76857 */     GIR_RootConstrainSelectedInstOperands,
     /*   76858 */     // GIR_Coverage, 51490,
     /*   76858 */     GIR_EraseRootFromParent_Done,
     /*   76859 */   // Label 1267: @76859
     /*   76859 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(76948), // Rule ID 70123 //
     /*   76864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76879 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76907 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   76924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76946 */     GIR_RootConstrainSelectedInstOperands,
     /*   76947 */     // GIR_Coverage, 70123,
     /*   76947 */     GIR_EraseRootFromParent_Done,
     /*   76948 */   // Label 1268: @76948
     /*   76948 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(77037), // Rule ID 70124 //
     /*   76953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76996 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77035 */     GIR_RootConstrainSelectedInstOperands,
     /*   77036 */     // GIR_Coverage, 70124,
     /*   77036 */     GIR_EraseRootFromParent_Done,
     /*   77037 */   // Label 1269: @77037
     /*   77037 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(77126), // Rule ID 70003 //
     /*   77042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77085 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77124 */     GIR_RootConstrainSelectedInstOperands,
     /*   77125 */     // GIR_Coverage, 70003,
     /*   77125 */     GIR_EraseRootFromParent_Done,
     /*   77126 */   // Label 1270: @77126
     /*   77126 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(77215), // Rule ID 70004 //
     /*   77131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77174 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77213 */     GIR_RootConstrainSelectedInstOperands,
     /*   77214 */     // GIR_Coverage, 70004,
     /*   77214 */     GIR_EraseRootFromParent_Done,
     /*   77215 */   // Label 1271: @77215
     /*   77215 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(77304), // Rule ID 51669 //
     /*   77220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77263 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77302 */     GIR_RootConstrainSelectedInstOperands,
     /*   77303 */     // GIR_Coverage, 51669,
     /*   77303 */     GIR_EraseRootFromParent_Done,
     /*   77304 */   // Label 1272: @77304
     /*   77304 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(77393), // Rule ID 51670 //
     /*   77309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77352 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77391 */     GIR_RootConstrainSelectedInstOperands,
     /*   77392 */     // GIR_Coverage, 51670,
     /*   77392 */     GIR_EraseRootFromParent_Done,
     /*   77393 */   // Label 1273: @77393
     /*   77393 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(77482), // Rule ID 51369 //
     /*   77398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77441 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77480 */     GIR_RootConstrainSelectedInstOperands,
     /*   77481 */     // GIR_Coverage, 51369,
     /*   77481 */     GIR_EraseRootFromParent_Done,
     /*   77482 */   // Label 1274: @77482
     /*   77482 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(77571), // Rule ID 51370 //
     /*   77487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77530 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77569 */     GIR_RootConstrainSelectedInstOperands,
     /*   77570 */     // GIR_Coverage, 51370,
     /*   77570 */     GIR_EraseRootFromParent_Done,
     /*   77571 */   // Label 1275: @77571
     /*   77571 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77660), // Rule ID 51609 //
     /*   77576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77619 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77658 */     GIR_RootConstrainSelectedInstOperands,
     /*   77659 */     // GIR_Coverage, 51609,
     /*   77659 */     GIR_EraseRootFromParent_Done,
     /*   77660 */   // Label 1276: @77660
     /*   77660 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(77749), // Rule ID 51610 //
     /*   77665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77680 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77708 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77747 */     GIR_RootConstrainSelectedInstOperands,
     /*   77748 */     // GIR_Coverage, 51610,
     /*   77748 */     GIR_EraseRootFromParent_Done,
     /*   77749 */   // Label 1277: @77749
     /*   77749 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(77838), // Rule ID 51549 //
     /*   77754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77769 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77788 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77797 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77836 */     GIR_RootConstrainSelectedInstOperands,
     /*   77837 */     // GIR_Coverage, 51549,
     /*   77837 */     GIR_EraseRootFromParent_Done,
     /*   77838 */   // Label 1278: @77838
     /*   77838 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(77927), // Rule ID 51550 //
     /*   77843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77886 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77925 */     GIR_RootConstrainSelectedInstOperands,
     /*   77926 */     // GIR_Coverage, 51550,
     /*   77926 */     GIR_EraseRootFromParent_Done,
     /*   77927 */   // Label 1279: @77927
     /*   77927 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(78016), // Rule ID 70063 //
     /*   77932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77947 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77975 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78014 */     GIR_RootConstrainSelectedInstOperands,
     /*   78015 */     // GIR_Coverage, 70063,
     /*   78015 */     GIR_EraseRootFromParent_Done,
     /*   78016 */   // Label 1280: @78016
     /*   78016 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(78105), // Rule ID 70064 //
     /*   78021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78064 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   78081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78103 */     GIR_RootConstrainSelectedInstOperands,
     /*   78104 */     // GIR_Coverage, 70064,
     /*   78104 */     GIR_EraseRootFromParent_Done,
     /*   78105 */   // Label 1281: @78105
     /*   78105 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(78194), // Rule ID 51429 //
     /*   78110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78153 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78192 */     GIR_RootConstrainSelectedInstOperands,
     /*   78193 */     // GIR_Coverage, 51429,
     /*   78193 */     GIR_EraseRootFromParent_Done,
     /*   78194 */   // Label 1282: @78194
     /*   78194 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(78283), // Rule ID 51430 //
     /*   78199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78242 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78281 */     GIR_RootConstrainSelectedInstOperands,
     /*   78282 */     // GIR_Coverage, 51430,
     /*   78282 */     GIR_EraseRootFromParent_Done,
     /*   78283 */   // Label 1283: @78283
     /*   78283 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(78336), // Rule ID 50735 //
     /*   78288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78299 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78334 */     GIR_RootConstrainSelectedInstOperands,
     /*   78335 */     // GIR_Coverage, 50735,
     /*   78335 */     GIR_EraseRootFromParent_Done,
     /*   78336 */   // Label 1284: @78336
     /*   78336 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(78389), // Rule ID 50736 //
     /*   78341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78352 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78387 */     GIR_RootConstrainSelectedInstOperands,
     /*   78388 */     // GIR_Coverage, 50736,
     /*   78388 */     GIR_EraseRootFromParent_Done,
     /*   78389 */   // Label 1285: @78389
     /*   78389 */   GIM_Reject,
     /*   78390 */ // Label 1265: @78390
     /*   78390 */ GIM_Reject,
     /*   78391 */ // Label 1236: @78391
     /*   78391 */ GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80115),
     /*   78396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   78399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   78402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78406 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(78495), // Rule ID 51513 //
     /*   78411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78454 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78493 */     GIR_RootConstrainSelectedInstOperands,
     /*   78494 */     // GIR_Coverage, 51513,
     /*   78494 */     GIR_EraseRootFromParent_Done,
     /*   78495 */   // Label 1287: @78495
     /*   78495 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(78584), // Rule ID 51514 //
     /*   78500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78543 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78582 */     GIR_RootConstrainSelectedInstOperands,
     /*   78583 */     // GIR_Coverage, 51514,
     /*   78583 */     GIR_EraseRootFromParent_Done,
     /*   78584 */   // Label 1288: @78584
     /*   78584 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(78673), // Rule ID 70147 //
     /*   78589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78632 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78671 */     GIR_RootConstrainSelectedInstOperands,
     /*   78672 */     // GIR_Coverage, 70147,
     /*   78672 */     GIR_EraseRootFromParent_Done,
     /*   78673 */   // Label 1289: @78673
     /*   78673 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(78762), // Rule ID 70148 //
     /*   78678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78721 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78760 */     GIR_RootConstrainSelectedInstOperands,
     /*   78761 */     // GIR_Coverage, 70148,
     /*   78761 */     GIR_EraseRootFromParent_Done,
     /*   78762 */   // Label 1290: @78762
     /*   78762 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(78851), // Rule ID 70027 //
     /*   78767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78810 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78849 */     GIR_RootConstrainSelectedInstOperands,
     /*   78850 */     // GIR_Coverage, 70027,
     /*   78850 */     GIR_EraseRootFromParent_Done,
     /*   78851 */   // Label 1291: @78851
     /*   78851 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(78940), // Rule ID 70028 //
     /*   78856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78899 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78938 */     GIR_RootConstrainSelectedInstOperands,
     /*   78939 */     // GIR_Coverage, 70028,
     /*   78939 */     GIR_EraseRootFromParent_Done,
     /*   78940 */   // Label 1292: @78940
     /*   78940 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(79029), // Rule ID 51693 //
     /*   78945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78988 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79027 */     GIR_RootConstrainSelectedInstOperands,
     /*   79028 */     // GIR_Coverage, 51693,
     /*   79028 */     GIR_EraseRootFromParent_Done,
     /*   79029 */   // Label 1293: @79029
     /*   79029 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(79118), // Rule ID 51694 //
     /*   79034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79077 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79116 */     GIR_RootConstrainSelectedInstOperands,
     /*   79117 */     // GIR_Coverage, 51694,
     /*   79117 */     GIR_EraseRootFromParent_Done,
     /*   79118 */   // Label 1294: @79118
     /*   79118 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(79207), // Rule ID 51393 //
     /*   79123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79166 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79205 */     GIR_RootConstrainSelectedInstOperands,
     /*   79206 */     // GIR_Coverage, 51393,
     /*   79206 */     GIR_EraseRootFromParent_Done,
     /*   79207 */   // Label 1295: @79207
     /*   79207 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(79296), // Rule ID 51394 //
     /*   79212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79255 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79294 */     GIR_RootConstrainSelectedInstOperands,
     /*   79295 */     // GIR_Coverage, 51394,
     /*   79295 */     GIR_EraseRootFromParent_Done,
     /*   79296 */   // Label 1296: @79296
     /*   79296 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(79385), // Rule ID 51633 //
     /*   79301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79344 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79383 */     GIR_RootConstrainSelectedInstOperands,
     /*   79384 */     // GIR_Coverage, 51633,
     /*   79384 */     GIR_EraseRootFromParent_Done,
     /*   79385 */   // Label 1297: @79385
     /*   79385 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(79474), // Rule ID 51634 //
     /*   79390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79433 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79472 */     GIR_RootConstrainSelectedInstOperands,
     /*   79473 */     // GIR_Coverage, 51634,
     /*   79473 */     GIR_EraseRootFromParent_Done,
     /*   79474 */   // Label 1298: @79474
     /*   79474 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(79563), // Rule ID 51573 //
     /*   79479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79522 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79561 */     GIR_RootConstrainSelectedInstOperands,
     /*   79562 */     // GIR_Coverage, 51573,
     /*   79562 */     GIR_EraseRootFromParent_Done,
     /*   79563 */   // Label 1299: @79563
     /*   79563 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(79652), // Rule ID 51574 //
     /*   79568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79611 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79650 */     GIR_RootConstrainSelectedInstOperands,
     /*   79651 */     // GIR_Coverage, 51574,
     /*   79651 */     GIR_EraseRootFromParent_Done,
     /*   79652 */   // Label 1300: @79652
     /*   79652 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(79741), // Rule ID 70087 //
     /*   79657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79700 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79739 */     GIR_RootConstrainSelectedInstOperands,
     /*   79740 */     // GIR_Coverage, 70087,
     /*   79740 */     GIR_EraseRootFromParent_Done,
     /*   79741 */   // Label 1301: @79741
     /*   79741 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(79830), // Rule ID 70088 //
     /*   79746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79789 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79828 */     GIR_RootConstrainSelectedInstOperands,
     /*   79829 */     // GIR_Coverage, 70088,
     /*   79829 */     GIR_EraseRootFromParent_Done,
     /*   79830 */   // Label 1302: @79830
     /*   79830 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(79919), // Rule ID 51453 //
     /*   79835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79878 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79917 */     GIR_RootConstrainSelectedInstOperands,
     /*   79918 */     // GIR_Coverage, 51453,
     /*   79918 */     GIR_EraseRootFromParent_Done,
     /*   79919 */   // Label 1303: @79919
     /*   79919 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(80008), // Rule ID 51454 //
     /*   79924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79967 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80006 */     GIR_RootConstrainSelectedInstOperands,
     /*   80007 */     // GIR_Coverage, 51454,
     /*   80007 */     GIR_EraseRootFromParent_Done,
     /*   80008 */   // Label 1304: @80008
     /*   80008 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(80061), // Rule ID 50743 //
     /*   80013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80024 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80059 */     GIR_RootConstrainSelectedInstOperands,
     /*   80060 */     // GIR_Coverage, 50743,
     /*   80060 */     GIR_EraseRootFromParent_Done,
     /*   80061 */   // Label 1305: @80061
     /*   80061 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(80114), // Rule ID 50744 //
     /*   80066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80077 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80112 */     GIR_RootConstrainSelectedInstOperands,
     /*   80113 */     // GIR_Coverage, 50744,
     /*   80113 */     GIR_EraseRootFromParent_Done,
     /*   80114 */   // Label 1306: @80114
     /*   80114 */   GIM_Reject,
     /*   80115 */ // Label 1286: @80115
     /*   80115 */ GIM_Reject,
     /*   80116 */ // Label 1237: @80116
     /*   80116 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(81840),
     /*   80121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   80124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   80127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80131 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(80220), // Rule ID 51533 //
     /*   80136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80179 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80218 */     GIR_RootConstrainSelectedInstOperands,
     /*   80219 */     // GIR_Coverage, 51533,
     /*   80219 */     GIR_EraseRootFromParent_Done,
     /*   80220 */   // Label 1308: @80220
     /*   80220 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(80309), // Rule ID 51534 //
     /*   80225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80268 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80307 */     GIR_RootConstrainSelectedInstOperands,
     /*   80308 */     // GIR_Coverage, 51534,
     /*   80308 */     GIR_EraseRootFromParent_Done,
     /*   80309 */   // Label 1309: @80309
     /*   80309 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(80398), // Rule ID 70167 //
     /*   80314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80357 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80396 */     GIR_RootConstrainSelectedInstOperands,
     /*   80397 */     // GIR_Coverage, 70167,
     /*   80397 */     GIR_EraseRootFromParent_Done,
     /*   80398 */   // Label 1310: @80398
     /*   80398 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(80487), // Rule ID 70168 //
     /*   80403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80446 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80485 */     GIR_RootConstrainSelectedInstOperands,
     /*   80486 */     // GIR_Coverage, 70168,
     /*   80486 */     GIR_EraseRootFromParent_Done,
     /*   80487 */   // Label 1311: @80487
     /*   80487 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(80576), // Rule ID 70047 //
     /*   80492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80535 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80574 */     GIR_RootConstrainSelectedInstOperands,
     /*   80575 */     // GIR_Coverage, 70047,
     /*   80575 */     GIR_EraseRootFromParent_Done,
     /*   80576 */   // Label 1312: @80576
     /*   80576 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(80665), // Rule ID 70048 //
     /*   80581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80624 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80663 */     GIR_RootConstrainSelectedInstOperands,
     /*   80664 */     // GIR_Coverage, 70048,
     /*   80664 */     GIR_EraseRootFromParent_Done,
     /*   80665 */   // Label 1313: @80665
     /*   80665 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(80754), // Rule ID 51713 //
     /*   80670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80713 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80752 */     GIR_RootConstrainSelectedInstOperands,
     /*   80753 */     // GIR_Coverage, 51713,
     /*   80753 */     GIR_EraseRootFromParent_Done,
     /*   80754 */   // Label 1314: @80754
     /*   80754 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(80843), // Rule ID 51714 //
     /*   80759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80774 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80802 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80841 */     GIR_RootConstrainSelectedInstOperands,
     /*   80842 */     // GIR_Coverage, 51714,
     /*   80842 */     GIR_EraseRootFromParent_Done,
     /*   80843 */   // Label 1315: @80843
     /*   80843 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(80932), // Rule ID 51413 //
     /*   80848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80891 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80930 */     GIR_RootConstrainSelectedInstOperands,
     /*   80931 */     // GIR_Coverage, 51413,
     /*   80931 */     GIR_EraseRootFromParent_Done,
     /*   80932 */   // Label 1316: @80932
     /*   80932 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(81021), // Rule ID 51414 //
     /*   80937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80971 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80980 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81019 */     GIR_RootConstrainSelectedInstOperands,
     /*   81020 */     // GIR_Coverage, 51414,
     /*   81020 */     GIR_EraseRootFromParent_Done,
     /*   81021 */   // Label 1317: @81021
     /*   81021 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(81110), // Rule ID 51653 //
     /*   81026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81069 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81108 */     GIR_RootConstrainSelectedInstOperands,
     /*   81109 */     // GIR_Coverage, 51653,
     /*   81109 */     GIR_EraseRootFromParent_Done,
     /*   81110 */   // Label 1318: @81110
     /*   81110 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(81199), // Rule ID 51654 //
     /*   81115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81158 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81197 */     GIR_RootConstrainSelectedInstOperands,
     /*   81198 */     // GIR_Coverage, 51654,
     /*   81198 */     GIR_EraseRootFromParent_Done,
     /*   81199 */   // Label 1319: @81199
     /*   81199 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(81288), // Rule ID 51593 //
     /*   81204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81238 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81247 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81286 */     GIR_RootConstrainSelectedInstOperands,
     /*   81287 */     // GIR_Coverage, 51593,
     /*   81287 */     GIR_EraseRootFromParent_Done,
     /*   81288 */   // Label 1320: @81288
     /*   81288 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(81377), // Rule ID 51594 //
     /*   81293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81327 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81336 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81375 */     GIR_RootConstrainSelectedInstOperands,
     /*   81376 */     // GIR_Coverage, 51594,
     /*   81376 */     GIR_EraseRootFromParent_Done,
     /*   81377 */   // Label 1321: @81377
     /*   81377 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(81466), // Rule ID 70107 //
     /*   81382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81397 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81425 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81464 */     GIR_RootConstrainSelectedInstOperands,
     /*   81465 */     // GIR_Coverage, 70107,
     /*   81465 */     GIR_EraseRootFromParent_Done,
     /*   81466 */   // Label 1322: @81466
     /*   81466 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(81555), // Rule ID 70108 //
     /*   81471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81505 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81514 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81553 */     GIR_RootConstrainSelectedInstOperands,
     /*   81554 */     // GIR_Coverage, 70108,
     /*   81554 */     GIR_EraseRootFromParent_Done,
     /*   81555 */   // Label 1323: @81555
     /*   81555 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(81644), // Rule ID 51473 //
     /*   81560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81603 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81642 */     GIR_RootConstrainSelectedInstOperands,
     /*   81643 */     // GIR_Coverage, 51473,
     /*   81643 */     GIR_EraseRootFromParent_Done,
     /*   81644 */   // Label 1324: @81644
     /*   81644 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(81733), // Rule ID 51474 //
     /*   81649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81683 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81692 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81731 */     GIR_RootConstrainSelectedInstOperands,
     /*   81732 */     // GIR_Coverage, 51474,
     /*   81732 */     GIR_EraseRootFromParent_Done,
     /*   81733 */   // Label 1325: @81733
     /*   81733 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81786), // Rule ID 50759 //
     /*   81738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   81741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81749 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   81749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81784 */     GIR_RootConstrainSelectedInstOperands,
     /*   81785 */     // GIR_Coverage, 50759,
     /*   81785 */     GIR_EraseRootFromParent_Done,
     /*   81786 */   // Label 1326: @81786
     /*   81786 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81839), // Rule ID 50760 //
     /*   81791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   81794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81802 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   81802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81837 */     GIR_RootConstrainSelectedInstOperands,
     /*   81838 */     // GIR_Coverage, 50760,
     /*   81838 */     GIR_EraseRootFromParent_Done,
     /*   81839 */   // Label 1327: @81839
     /*   81839 */   GIM_Reject,
     /*   81840 */ // Label 1307: @81840
     /*   81840 */ GIM_Reject,
     /*   81841 */ // Label 1238: @81841
     /*   81841 */ GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81955),
     /*   81846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   81852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81864 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81909), // Rule ID 50727 //
     /*   81869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81872 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81907 */     GIR_RootConstrainSelectedInstOperands,
     /*   81908 */     // GIR_Coverage, 50727,
     /*   81908 */     GIR_EraseRootFromParent_Done,
     /*   81909 */   // Label 1329: @81909
     /*   81909 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81954), // Rule ID 50728 //
     /*   81914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81917 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81952 */     GIR_RootConstrainSelectedInstOperands,
     /*   81953 */     // GIR_Coverage, 50728,
     /*   81953 */     GIR_EraseRootFromParent_Done,
     /*   81954 */   // Label 1330: @81954
     /*   81954 */   GIM_Reject,
     /*   81955 */ // Label 1328: @81955
     /*   81955 */ GIM_Reject,
     /*   81956 */ // Label 1239: @81956
     /*   81956 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(83680),
     /*   81961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   81964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   81967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81971 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(82060), // Rule ID 51493 //
     /*   81976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82019 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82058 */     GIR_RootConstrainSelectedInstOperands,
     /*   82059 */     // GIR_Coverage, 51493,
     /*   82059 */     GIR_EraseRootFromParent_Done,
     /*   82060 */   // Label 1332: @82060
     /*   82060 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(82149), // Rule ID 51494 //
     /*   82065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82108 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82147 */     GIR_RootConstrainSelectedInstOperands,
     /*   82148 */     // GIR_Coverage, 51494,
     /*   82148 */     GIR_EraseRootFromParent_Done,
     /*   82149 */   // Label 1333: @82149
     /*   82149 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(82238), // Rule ID 70127 //
     /*   82154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82197 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82236 */     GIR_RootConstrainSelectedInstOperands,
     /*   82237 */     // GIR_Coverage, 70127,
     /*   82237 */     GIR_EraseRootFromParent_Done,
     /*   82238 */   // Label 1334: @82238
     /*   82238 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(82327), // Rule ID 70128 //
     /*   82243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82258 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82286 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82325 */     GIR_RootConstrainSelectedInstOperands,
     /*   82326 */     // GIR_Coverage, 70128,
     /*   82326 */     GIR_EraseRootFromParent_Done,
     /*   82327 */   // Label 1335: @82327
     /*   82327 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(82416), // Rule ID 70007 //
     /*   82332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82347 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82366 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82375 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82414 */     GIR_RootConstrainSelectedInstOperands,
     /*   82415 */     // GIR_Coverage, 70007,
     /*   82415 */     GIR_EraseRootFromParent_Done,
     /*   82416 */   // Label 1336: @82416
     /*   82416 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82505), // Rule ID 70008 //
     /*   82421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82455 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82464 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82503 */     GIR_RootConstrainSelectedInstOperands,
     /*   82504 */     // GIR_Coverage, 70008,
     /*   82504 */     GIR_EraseRootFromParent_Done,
     /*   82505 */   // Label 1337: @82505
     /*   82505 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82594), // Rule ID 51673 //
     /*   82510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82553 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82592 */     GIR_RootConstrainSelectedInstOperands,
     /*   82593 */     // GIR_Coverage, 51673,
     /*   82593 */     GIR_EraseRootFromParent_Done,
     /*   82594 */   // Label 1338: @82594
     /*   82594 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82683), // Rule ID 51674 //
     /*   82599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82642 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82681 */     GIR_RootConstrainSelectedInstOperands,
     /*   82682 */     // GIR_Coverage, 51674,
     /*   82682 */     GIR_EraseRootFromParent_Done,
     /*   82683 */   // Label 1339: @82683
     /*   82683 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82772), // Rule ID 51373 //
     /*   82688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82731 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82770 */     GIR_RootConstrainSelectedInstOperands,
     /*   82771 */     // GIR_Coverage, 51373,
     /*   82771 */     GIR_EraseRootFromParent_Done,
     /*   82772 */   // Label 1340: @82772
     /*   82772 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82861), // Rule ID 51374 //
     /*   82777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82820 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82859 */     GIR_RootConstrainSelectedInstOperands,
     /*   82860 */     // GIR_Coverage, 51374,
     /*   82860 */     GIR_EraseRootFromParent_Done,
     /*   82861 */   // Label 1341: @82861
     /*   82861 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82950), // Rule ID 51613 //
     /*   82866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82909 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82948 */     GIR_RootConstrainSelectedInstOperands,
     /*   82949 */     // GIR_Coverage, 51613,
     /*   82949 */     GIR_EraseRootFromParent_Done,
     /*   82950 */   // Label 1342: @82950
     /*   82950 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(83039), // Rule ID 51614 //
     /*   82955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82989 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82998 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83037 */     GIR_RootConstrainSelectedInstOperands,
     /*   83038 */     // GIR_Coverage, 51614,
     /*   83038 */     GIR_EraseRootFromParent_Done,
     /*   83039 */   // Label 1343: @83039
     /*   83039 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(83128), // Rule ID 51553 //
     /*   83044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83078 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83087 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83126 */     GIR_RootConstrainSelectedInstOperands,
     /*   83127 */     // GIR_Coverage, 51553,
     /*   83127 */     GIR_EraseRootFromParent_Done,
     /*   83128 */   // Label 1344: @83128
     /*   83128 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(83217), // Rule ID 51554 //
     /*   83133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83148 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83167 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83176 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83215 */     GIR_RootConstrainSelectedInstOperands,
     /*   83216 */     // GIR_Coverage, 51554,
     /*   83216 */     GIR_EraseRootFromParent_Done,
     /*   83217 */   // Label 1345: @83217
     /*   83217 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(83306), // Rule ID 70067 //
     /*   83222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83265 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83304 */     GIR_RootConstrainSelectedInstOperands,
     /*   83305 */     // GIR_Coverage, 70067,
     /*   83305 */     GIR_EraseRootFromParent_Done,
     /*   83306 */   // Label 1346: @83306
     /*   83306 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(83395), // Rule ID 70068 //
     /*   83311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83354 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83393 */     GIR_RootConstrainSelectedInstOperands,
     /*   83394 */     // GIR_Coverage, 70068,
     /*   83394 */     GIR_EraseRootFromParent_Done,
     /*   83395 */   // Label 1347: @83395
     /*   83395 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(83484), // Rule ID 51433 //
     /*   83400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83434 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83443 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83482 */     GIR_RootConstrainSelectedInstOperands,
     /*   83483 */     // GIR_Coverage, 51433,
     /*   83483 */     GIR_EraseRootFromParent_Done,
     /*   83484 */   // Label 1348: @83484
     /*   83484 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(83573), // Rule ID 51434 //
     /*   83489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83504 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83523 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83532 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83571 */     GIR_RootConstrainSelectedInstOperands,
     /*   83572 */     // GIR_Coverage, 51434,
     /*   83572 */     GIR_EraseRootFromParent_Done,
     /*   83573 */   // Label 1349: @83573
     /*   83573 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83626), // Rule ID 50739 //
     /*   83578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83589 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83624 */     GIR_RootConstrainSelectedInstOperands,
     /*   83625 */     // GIR_Coverage, 50739,
     /*   83625 */     GIR_EraseRootFromParent_Done,
     /*   83626 */   // Label 1350: @83626
     /*   83626 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83679), // Rule ID 50740 //
     /*   83631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83642 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83677 */     GIR_RootConstrainSelectedInstOperands,
     /*   83678 */     // GIR_Coverage, 50740,
     /*   83678 */     GIR_EraseRootFromParent_Done,
     /*   83679 */   // Label 1351: @83679
     /*   83679 */   GIM_Reject,
     /*   83680 */ // Label 1331: @83680
     /*   83680 */ GIM_Reject,
     /*   83681 */ // Label 1240: @83681
     /*   83681 */ GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(85405),
     /*   83686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   83689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   83692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83696 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83785), // Rule ID 51517 //
     /*   83701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83744 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83783 */     GIR_RootConstrainSelectedInstOperands,
     /*   83784 */     // GIR_Coverage, 51517,
     /*   83784 */     GIR_EraseRootFromParent_Done,
     /*   83785 */   // Label 1353: @83785
     /*   83785 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83874), // Rule ID 51518 //
     /*   83790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83833 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83872 */     GIR_RootConstrainSelectedInstOperands,
     /*   83873 */     // GIR_Coverage, 51518,
     /*   83873 */     GIR_EraseRootFromParent_Done,
     /*   83874 */   // Label 1354: @83874
     /*   83874 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83963), // Rule ID 70151 //
     /*   83879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83922 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   83939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83961 */     GIR_RootConstrainSelectedInstOperands,
     /*   83962 */     // GIR_Coverage, 70151,
     /*   83962 */     GIR_EraseRootFromParent_Done,
     /*   83963 */   // Label 1355: @83963
     /*   83963 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(84052), // Rule ID 70152 //
     /*   83968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84011 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84050 */     GIR_RootConstrainSelectedInstOperands,
     /*   84051 */     // GIR_Coverage, 70152,
     /*   84051 */     GIR_EraseRootFromParent_Done,
     /*   84052 */   // Label 1356: @84052
     /*   84052 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(84141), // Rule ID 70031 //
     /*   84057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84100 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84139 */     GIR_RootConstrainSelectedInstOperands,
     /*   84140 */     // GIR_Coverage, 70031,
     /*   84140 */     GIR_EraseRootFromParent_Done,
     /*   84141 */   // Label 1357: @84141
     /*   84141 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(84230), // Rule ID 70032 //
     /*   84146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84189 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84228 */     GIR_RootConstrainSelectedInstOperands,
     /*   84229 */     // GIR_Coverage, 70032,
     /*   84229 */     GIR_EraseRootFromParent_Done,
     /*   84230 */   // Label 1358: @84230
     /*   84230 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(84319), // Rule ID 51697 //
     /*   84235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84278 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84317 */     GIR_RootConstrainSelectedInstOperands,
     /*   84318 */     // GIR_Coverage, 51697,
     /*   84318 */     GIR_EraseRootFromParent_Done,
     /*   84319 */   // Label 1359: @84319
     /*   84319 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(84408), // Rule ID 51698 //
     /*   84324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84367 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84406 */     GIR_RootConstrainSelectedInstOperands,
     /*   84407 */     // GIR_Coverage, 51698,
     /*   84407 */     GIR_EraseRootFromParent_Done,
     /*   84408 */   // Label 1360: @84408
     /*   84408 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84497), // Rule ID 51397 //
     /*   84413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84456 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84495 */     GIR_RootConstrainSelectedInstOperands,
     /*   84496 */     // GIR_Coverage, 51397,
     /*   84496 */     GIR_EraseRootFromParent_Done,
     /*   84497 */   // Label 1361: @84497
     /*   84497 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84586), // Rule ID 51398 //
     /*   84502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84545 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84584 */     GIR_RootConstrainSelectedInstOperands,
     /*   84585 */     // GIR_Coverage, 51398,
     /*   84585 */     GIR_EraseRootFromParent_Done,
     /*   84586 */   // Label 1362: @84586
     /*   84586 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84675), // Rule ID 51637 //
     /*   84591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84625 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84634 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84673 */     GIR_RootConstrainSelectedInstOperands,
     /*   84674 */     // GIR_Coverage, 51637,
     /*   84674 */     GIR_EraseRootFromParent_Done,
     /*   84675 */   // Label 1363: @84675
     /*   84675 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84764), // Rule ID 51638 //
     /*   84680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84723 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84762 */     GIR_RootConstrainSelectedInstOperands,
     /*   84763 */     // GIR_Coverage, 51638,
     /*   84763 */     GIR_EraseRootFromParent_Done,
     /*   84764 */   // Label 1364: @84764
     /*   84764 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(84853), // Rule ID 51577 //
     /*   84769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84784 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84812 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84851 */     GIR_RootConstrainSelectedInstOperands,
     /*   84852 */     // GIR_Coverage, 51577,
     /*   84852 */     GIR_EraseRootFromParent_Done,
     /*   84853 */   // Label 1365: @84853
     /*   84853 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84942), // Rule ID 51578 //
     /*   84858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84901 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84940 */     GIR_RootConstrainSelectedInstOperands,
     /*   84941 */     // GIR_Coverage, 51578,
     /*   84941 */     GIR_EraseRootFromParent_Done,
     /*   84942 */   // Label 1366: @84942
     /*   84942 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(85031), // Rule ID 70091 //
     /*   84947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84990 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85029 */     GIR_RootConstrainSelectedInstOperands,
     /*   85030 */     // GIR_Coverage, 70091,
     /*   85030 */     GIR_EraseRootFromParent_Done,
     /*   85031 */   // Label 1367: @85031
     /*   85031 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(85120), // Rule ID 70092 //
     /*   85036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85079 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85118 */     GIR_RootConstrainSelectedInstOperands,
     /*   85119 */     // GIR_Coverage, 70092,
     /*   85119 */     GIR_EraseRootFromParent_Done,
     /*   85120 */   // Label 1368: @85120
     /*   85120 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(85209), // Rule ID 51457 //
     /*   85125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85168 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   85168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85207 */     GIR_RootConstrainSelectedInstOperands,
     /*   85208 */     // GIR_Coverage, 51457,
     /*   85208 */     GIR_EraseRootFromParent_Done,
     /*   85209 */   // Label 1369: @85209
     /*   85209 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(85298), // Rule ID 51458 //
     /*   85214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85229 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85257 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85296 */     GIR_RootConstrainSelectedInstOperands,
     /*   85297 */     // GIR_Coverage, 51458,
     /*   85297 */     GIR_EraseRootFromParent_Done,
     /*   85298 */   // Label 1370: @85298
     /*   85298 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(85351), // Rule ID 50755 //
     /*   85303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85314 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85349 */     GIR_RootConstrainSelectedInstOperands,
     /*   85350 */     // GIR_Coverage, 50755,
     /*   85350 */     GIR_EraseRootFromParent_Done,
     /*   85351 */   // Label 1371: @85351
     /*   85351 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(85404), // Rule ID 50756 //
     /*   85356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85367 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85402 */     GIR_RootConstrainSelectedInstOperands,
     /*   85403 */     // GIR_Coverage, 50756,
     /*   85403 */     GIR_EraseRootFromParent_Done,
     /*   85404 */   // Label 1372: @85404
     /*   85404 */   GIM_Reject,
     /*   85405 */ // Label 1352: @85405
     /*   85405 */ GIM_Reject,
     /*   85406 */ // Label 1241: @85406
     /*   85406 */ GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(87130),
     /*   85411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   85414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   85417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   85421 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85510), // Rule ID 51537 //
     /*   85426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85469 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85508 */     GIR_RootConstrainSelectedInstOperands,
     /*   85509 */     // GIR_Coverage, 51537,
     /*   85509 */     GIR_EraseRootFromParent_Done,
     /*   85510 */   // Label 1374: @85510
     /*   85510 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85599), // Rule ID 51538 //
     /*   85515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85558 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85597 */     GIR_RootConstrainSelectedInstOperands,
     /*   85598 */     // GIR_Coverage, 51538,
     /*   85598 */     GIR_EraseRootFromParent_Done,
     /*   85599 */   // Label 1375: @85599
     /*   85599 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85688), // Rule ID 70171 //
     /*   85604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85647 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85686 */     GIR_RootConstrainSelectedInstOperands,
     /*   85687 */     // GIR_Coverage, 70171,
     /*   85687 */     GIR_EraseRootFromParent_Done,
     /*   85688 */   // Label 1376: @85688
     /*   85688 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85777), // Rule ID 70172 //
     /*   85693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85727 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85729 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85736 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85775 */     GIR_RootConstrainSelectedInstOperands,
     /*   85776 */     // GIR_Coverage, 70172,
     /*   85776 */     GIR_EraseRootFromParent_Done,
     /*   85777 */   // Label 1377: @85777
     /*   85777 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85866), // Rule ID 70051 //
     /*   85782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85816 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85825 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85864 */     GIR_RootConstrainSelectedInstOperands,
     /*   85865 */     // GIR_Coverage, 70051,
     /*   85865 */     GIR_EraseRootFromParent_Done,
     /*   85866 */   // Label 1378: @85866
     /*   85866 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85955), // Rule ID 70052 //
     /*   85871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85914 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85953 */     GIR_RootConstrainSelectedInstOperands,
     /*   85954 */     // GIR_Coverage, 70052,
     /*   85954 */     GIR_EraseRootFromParent_Done,
     /*   85955 */   // Label 1379: @85955
     /*   85955 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(86044), // Rule ID 51717 //
     /*   85960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85975 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86003 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86042 */     GIR_RootConstrainSelectedInstOperands,
     /*   86043 */     // GIR_Coverage, 51717,
     /*   86043 */     GIR_EraseRootFromParent_Done,
     /*   86044 */   // Label 1380: @86044
     /*   86044 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(86133), // Rule ID 51718 //
     /*   86049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86064 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86092 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86131 */     GIR_RootConstrainSelectedInstOperands,
     /*   86132 */     // GIR_Coverage, 51718,
     /*   86132 */     GIR_EraseRootFromParent_Done,
     /*   86133 */   // Label 1381: @86133
     /*   86133 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(86222), // Rule ID 51417 //
     /*   86138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86153 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86172 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86181 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86220 */     GIR_RootConstrainSelectedInstOperands,
     /*   86221 */     // GIR_Coverage, 51417,
     /*   86221 */     GIR_EraseRootFromParent_Done,
     /*   86222 */   // Label 1382: @86222
     /*   86222 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(86311), // Rule ID 51418 //
     /*   86227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86270 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86309 */     GIR_RootConstrainSelectedInstOperands,
     /*   86310 */     // GIR_Coverage, 51418,
     /*   86310 */     GIR_EraseRootFromParent_Done,
     /*   86311 */   // Label 1383: @86311
     /*   86311 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(86400), // Rule ID 51657 //
     /*   86316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86359 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86398 */     GIR_RootConstrainSelectedInstOperands,
     /*   86399 */     // GIR_Coverage, 51657,
     /*   86399 */     GIR_EraseRootFromParent_Done,
     /*   86400 */   // Label 1384: @86400
     /*   86400 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(86489), // Rule ID 51658 //
     /*   86405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86448 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86487 */     GIR_RootConstrainSelectedInstOperands,
     /*   86488 */     // GIR_Coverage, 51658,
     /*   86488 */     GIR_EraseRootFromParent_Done,
     /*   86489 */   // Label 1385: @86489
     /*   86489 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86578), // Rule ID 51597 //
     /*   86494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86509 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86528 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86537 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86576 */     GIR_RootConstrainSelectedInstOperands,
     /*   86577 */     // GIR_Coverage, 51597,
     /*   86577 */     GIR_EraseRootFromParent_Done,
     /*   86578 */   // Label 1386: @86578
     /*   86578 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86667), // Rule ID 51598 //
     /*   86583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86626 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86665 */     GIR_RootConstrainSelectedInstOperands,
     /*   86666 */     // GIR_Coverage, 51598,
     /*   86666 */     GIR_EraseRootFromParent_Done,
     /*   86667 */   // Label 1387: @86667
     /*   86667 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86756), // Rule ID 70111 //
     /*   86672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86715 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86754 */     GIR_RootConstrainSelectedInstOperands,
     /*   86755 */     // GIR_Coverage, 70111,
     /*   86755 */     GIR_EraseRootFromParent_Done,
     /*   86756 */   // Label 1388: @86756
     /*   86756 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(86845), // Rule ID 70112 //
     /*   86761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86804 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86843 */     GIR_RootConstrainSelectedInstOperands,
     /*   86844 */     // GIR_Coverage, 70112,
     /*   86844 */     GIR_EraseRootFromParent_Done,
     /*   86845 */   // Label 1389: @86845
     /*   86845 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86934), // Rule ID 51477 //
     /*   86850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86893 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86932 */     GIR_RootConstrainSelectedInstOperands,
     /*   86933 */     // GIR_Coverage, 51477,
     /*   86933 */     GIR_EraseRootFromParent_Done,
     /*   86934 */   // Label 1390: @86934
     /*   86934 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(87023), // Rule ID 51478 //
     /*   86939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86982 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   87018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87021 */     GIR_RootConstrainSelectedInstOperands,
     /*   87022 */     // GIR_Coverage, 51478,
     /*   87022 */     GIR_EraseRootFromParent_Done,
     /*   87023 */   // Label 1391: @87023
     /*   87023 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(87076), // Rule ID 50799 //
     /*   87028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   87031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87039 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   87039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87074 */     GIR_RootConstrainSelectedInstOperands,
     /*   87075 */     // GIR_Coverage, 50799,
     /*   87075 */     GIR_EraseRootFromParent_Done,
     /*   87076 */   // Label 1392: @87076
     /*   87076 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(87129), // Rule ID 50800 //
     /*   87081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   87084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87092 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   87092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87127 */     GIR_RootConstrainSelectedInstOperands,
     /*   87128 */     // GIR_Coverage, 50800,
     /*   87128 */     GIR_EraseRootFromParent_Done,
     /*   87129 */   // Label 1393: @87129
     /*   87129 */   GIM_Reject,
     /*   87130 */ // Label 1373: @87130
     /*   87130 */ GIM_Reject,
     /*   87131 */ // Label 1242: @87131
     /*   87131 */ GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(87245),
     /*   87136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   87142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87154 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(87199), // Rule ID 50731 //
     /*   87159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87162 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87197 */     GIR_RootConstrainSelectedInstOperands,
     /*   87198 */     // GIR_Coverage, 50731,
     /*   87198 */     GIR_EraseRootFromParent_Done,
     /*   87199 */   // Label 1395: @87199
     /*   87199 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(87244), // Rule ID 50732 //
     /*   87204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87207 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87242 */     GIR_RootConstrainSelectedInstOperands,
     /*   87243 */     // GIR_Coverage, 50732,
     /*   87243 */     GIR_EraseRootFromParent_Done,
     /*   87244 */   // Label 1396: @87244
     /*   87244 */   GIM_Reject,
     /*   87245 */ // Label 1394: @87245
     /*   87245 */ GIM_Reject,
     /*   87246 */ // Label 1243: @87246
     /*   87246 */ GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(88970),
     /*   87251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   87254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   87257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87261 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(87350), // Rule ID 51497 //
     /*   87266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87309 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87348 */     GIR_RootConstrainSelectedInstOperands,
     /*   87349 */     // GIR_Coverage, 51497,
     /*   87349 */     GIR_EraseRootFromParent_Done,
     /*   87350 */   // Label 1398: @87350
     /*   87350 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(87439), // Rule ID 51498 //
     /*   87355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87398 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87437 */     GIR_RootConstrainSelectedInstOperands,
     /*   87438 */     // GIR_Coverage, 51498,
     /*   87438 */     GIR_EraseRootFromParent_Done,
     /*   87439 */   // Label 1399: @87439
     /*   87439 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87528), // Rule ID 70131 //
     /*   87444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87459 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87487 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87526 */     GIR_RootConstrainSelectedInstOperands,
     /*   87527 */     // GIR_Coverage, 70131,
     /*   87527 */     GIR_EraseRootFromParent_Done,
     /*   87528 */   // Label 1400: @87528
     /*   87528 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87617), // Rule ID 70132 //
     /*   87533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87576 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87615 */     GIR_RootConstrainSelectedInstOperands,
     /*   87616 */     // GIR_Coverage, 70132,
     /*   87616 */     GIR_EraseRootFromParent_Done,
     /*   87617 */   // Label 1401: @87617
     /*   87617 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87706), // Rule ID 70011 //
     /*   87622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87637 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87656 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87665 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87704 */     GIR_RootConstrainSelectedInstOperands,
     /*   87705 */     // GIR_Coverage, 70011,
     /*   87705 */     GIR_EraseRootFromParent_Done,
     /*   87706 */   // Label 1402: @87706
     /*   87706 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87795), // Rule ID 70012 //
     /*   87711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87754 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87793 */     GIR_RootConstrainSelectedInstOperands,
     /*   87794 */     // GIR_Coverage, 70012,
     /*   87794 */     GIR_EraseRootFromParent_Done,
     /*   87795 */   // Label 1403: @87795
     /*   87795 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87884), // Rule ID 51677 //
     /*   87800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87815 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87843 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87882 */     GIR_RootConstrainSelectedInstOperands,
     /*   87883 */     // GIR_Coverage, 51677,
     /*   87883 */     GIR_EraseRootFromParent_Done,
     /*   87884 */   // Label 1404: @87884
     /*   87884 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87973), // Rule ID 51678 //
     /*   87889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87923 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87932 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87971 */     GIR_RootConstrainSelectedInstOperands,
     /*   87972 */     // GIR_Coverage, 51678,
     /*   87972 */     GIR_EraseRootFromParent_Done,
     /*   87973 */   // Label 1405: @87973
     /*   87973 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(88062), // Rule ID 51377 //
     /*   87978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88021 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88060 */     GIR_RootConstrainSelectedInstOperands,
     /*   88061 */     // GIR_Coverage, 51377,
     /*   88061 */     GIR_EraseRootFromParent_Done,
     /*   88062 */   // Label 1406: @88062
     /*   88062 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(88151), // Rule ID 51378 //
     /*   88067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88110 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88149 */     GIR_RootConstrainSelectedInstOperands,
     /*   88150 */     // GIR_Coverage, 51378,
     /*   88150 */     GIR_EraseRootFromParent_Done,
     /*   88151 */   // Label 1407: @88151
     /*   88151 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(88240), // Rule ID 51617 //
     /*   88156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88199 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88238 */     GIR_RootConstrainSelectedInstOperands,
     /*   88239 */     // GIR_Coverage, 51617,
     /*   88239 */     GIR_EraseRootFromParent_Done,
     /*   88240 */   // Label 1408: @88240
     /*   88240 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(88329), // Rule ID 51618 //
     /*   88245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88279 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88288 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88327 */     GIR_RootConstrainSelectedInstOperands,
     /*   88328 */     // GIR_Coverage, 51618,
     /*   88328 */     GIR_EraseRootFromParent_Done,
     /*   88329 */   // Label 1409: @88329
     /*   88329 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(88418), // Rule ID 51557 //
     /*   88334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88377 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88416 */     GIR_RootConstrainSelectedInstOperands,
     /*   88417 */     // GIR_Coverage, 51557,
     /*   88417 */     GIR_EraseRootFromParent_Done,
     /*   88418 */   // Label 1410: @88418
     /*   88418 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(88507), // Rule ID 51558 //
     /*   88423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88466 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88505 */     GIR_RootConstrainSelectedInstOperands,
     /*   88506 */     // GIR_Coverage, 51558,
     /*   88506 */     GIR_EraseRootFromParent_Done,
     /*   88507 */   // Label 1411: @88507
     /*   88507 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88596), // Rule ID 70071 //
     /*   88512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88555 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88594 */     GIR_RootConstrainSelectedInstOperands,
     /*   88595 */     // GIR_Coverage, 70071,
     /*   88595 */     GIR_EraseRootFromParent_Done,
     /*   88596 */   // Label 1412: @88596
     /*   88596 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88685), // Rule ID 70072 //
     /*   88601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88644 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88683 */     GIR_RootConstrainSelectedInstOperands,
     /*   88684 */     // GIR_Coverage, 70072,
     /*   88684 */     GIR_EraseRootFromParent_Done,
     /*   88685 */   // Label 1413: @88685
     /*   88685 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88774), // Rule ID 51437 //
     /*   88690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88733 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88772 */     GIR_RootConstrainSelectedInstOperands,
     /*   88773 */     // GIR_Coverage, 51437,
     /*   88773 */     GIR_EraseRootFromParent_Done,
     /*   88774 */   // Label 1414: @88774
     /*   88774 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88863), // Rule ID 51438 //
     /*   88779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88822 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88861 */     GIR_RootConstrainSelectedInstOperands,
     /*   88862 */     // GIR_Coverage, 51438,
     /*   88862 */     GIR_EraseRootFromParent_Done,
     /*   88863 */   // Label 1415: @88863
     /*   88863 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88916), // Rule ID 50751 //
     /*   88868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88879 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88914 */     GIR_RootConstrainSelectedInstOperands,
     /*   88915 */     // GIR_Coverage, 50751,
     /*   88915 */     GIR_EraseRootFromParent_Done,
     /*   88916 */   // Label 1416: @88916
     /*   88916 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88969), // Rule ID 50752 //
     /*   88921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88932 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88967 */     GIR_RootConstrainSelectedInstOperands,
     /*   88968 */     // GIR_Coverage, 50752,
     /*   88968 */     GIR_EraseRootFromParent_Done,
     /*   88969 */   // Label 1417: @88969
     /*   88969 */   GIM_Reject,
     /*   88970 */ // Label 1397: @88970
     /*   88970 */ GIM_Reject,
     /*   88971 */ // Label 1244: @88971
     /*   88971 */ GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(90695),
     /*   88976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   88979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   88982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   88986 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(89075), // Rule ID 51521 //
     /*   88991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89034 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89073 */     GIR_RootConstrainSelectedInstOperands,
     /*   89074 */     // GIR_Coverage, 51521,
     /*   89074 */     GIR_EraseRootFromParent_Done,
     /*   89075 */   // Label 1419: @89075
     /*   89075 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(89164), // Rule ID 51522 //
     /*   89080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89123 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89162 */     GIR_RootConstrainSelectedInstOperands,
     /*   89163 */     // GIR_Coverage, 51522,
     /*   89163 */     GIR_EraseRootFromParent_Done,
     /*   89164 */   // Label 1420: @89164
     /*   89164 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(89253), // Rule ID 70155 //
     /*   89169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89203 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89212 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89251 */     GIR_RootConstrainSelectedInstOperands,
     /*   89252 */     // GIR_Coverage, 70155,
     /*   89252 */     GIR_EraseRootFromParent_Done,
     /*   89253 */   // Label 1421: @89253
     /*   89253 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(89342), // Rule ID 70156 //
     /*   89258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89301 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89340 */     GIR_RootConstrainSelectedInstOperands,
     /*   89341 */     // GIR_Coverage, 70156,
     /*   89341 */     GIR_EraseRootFromParent_Done,
     /*   89342 */   // Label 1422: @89342
     /*   89342 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(89431), // Rule ID 70035 //
     /*   89347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89362 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89390 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89429 */     GIR_RootConstrainSelectedInstOperands,
     /*   89430 */     // GIR_Coverage, 70035,
     /*   89430 */     GIR_EraseRootFromParent_Done,
     /*   89431 */   // Label 1423: @89431
     /*   89431 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89520), // Rule ID 70036 //
     /*   89436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89470 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89479 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89518 */     GIR_RootConstrainSelectedInstOperands,
     /*   89519 */     // GIR_Coverage, 70036,
     /*   89519 */     GIR_EraseRootFromParent_Done,
     /*   89520 */   // Label 1424: @89520
     /*   89520 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89609), // Rule ID 51701 //
     /*   89525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89559 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89568 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89607 */     GIR_RootConstrainSelectedInstOperands,
     /*   89608 */     // GIR_Coverage, 51701,
     /*   89608 */     GIR_EraseRootFromParent_Done,
     /*   89609 */   // Label 1425: @89609
     /*   89609 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89698), // Rule ID 51702 //
     /*   89614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89657 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89696 */     GIR_RootConstrainSelectedInstOperands,
     /*   89697 */     // GIR_Coverage, 51702,
     /*   89697 */     GIR_EraseRootFromParent_Done,
     /*   89698 */   // Label 1426: @89698
     /*   89698 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89787), // Rule ID 51401 //
     /*   89703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89746 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89785 */     GIR_RootConstrainSelectedInstOperands,
     /*   89786 */     // GIR_Coverage, 51401,
     /*   89786 */     GIR_EraseRootFromParent_Done,
     /*   89787 */   // Label 1427: @89787
     /*   89787 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89876), // Rule ID 51402 //
     /*   89792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89835 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89874 */     GIR_RootConstrainSelectedInstOperands,
     /*   89875 */     // GIR_Coverage, 51402,
     /*   89875 */     GIR_EraseRootFromParent_Done,
     /*   89876 */   // Label 1428: @89876
     /*   89876 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89965), // Rule ID 51641 //
     /*   89881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89915 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89924 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89963 */     GIR_RootConstrainSelectedInstOperands,
     /*   89964 */     // GIR_Coverage, 51641,
     /*   89964 */     GIR_EraseRootFromParent_Done,
     /*   89965 */   // Label 1429: @89965
     /*   89965 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(90054), // Rule ID 51642 //
     /*   89970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90013 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90052 */     GIR_RootConstrainSelectedInstOperands,
     /*   90053 */     // GIR_Coverage, 51642,
     /*   90053 */     GIR_EraseRootFromParent_Done,
     /*   90054 */   // Label 1430: @90054
     /*   90054 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(90143), // Rule ID 51581 //
     /*   90059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90074 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90093 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90102 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90141 */     GIR_RootConstrainSelectedInstOperands,
     /*   90142 */     // GIR_Coverage, 51581,
     /*   90142 */     GIR_EraseRootFromParent_Done,
     /*   90143 */   // Label 1431: @90143
     /*   90143 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(90232), // Rule ID 51582 //
     /*   90148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90182 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90191 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90230 */     GIR_RootConstrainSelectedInstOperands,
     /*   90231 */     // GIR_Coverage, 51582,
     /*   90231 */     GIR_EraseRootFromParent_Done,
     /*   90232 */   // Label 1432: @90232
     /*   90232 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(90321), // Rule ID 70095 //
     /*   90237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90271 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90280 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90319 */     GIR_RootConstrainSelectedInstOperands,
     /*   90320 */     // GIR_Coverage, 70095,
     /*   90320 */     GIR_EraseRootFromParent_Done,
     /*   90321 */   // Label 1433: @90321
     /*   90321 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(90410), // Rule ID 70096 //
     /*   90326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90369 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90408 */     GIR_RootConstrainSelectedInstOperands,
     /*   90409 */     // GIR_Coverage, 70096,
     /*   90409 */     GIR_EraseRootFromParent_Done,
     /*   90410 */   // Label 1434: @90410
     /*   90410 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(90499), // Rule ID 51461 //
     /*   90415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90449 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90458 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90497 */     GIR_RootConstrainSelectedInstOperands,
     /*   90498 */     // GIR_Coverage, 51461,
     /*   90498 */     GIR_EraseRootFromParent_Done,
     /*   90499 */   // Label 1435: @90499
     /*   90499 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(90588), // Rule ID 51462 //
     /*   90504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90538 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90547 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90586 */     GIR_RootConstrainSelectedInstOperands,
     /*   90587 */     // GIR_Coverage, 51462,
     /*   90587 */     GIR_EraseRootFromParent_Done,
     /*   90588 */   // Label 1436: @90588
     /*   90588 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90641), // Rule ID 50787 //
     /*   90593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90604 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90639 */     GIR_RootConstrainSelectedInstOperands,
     /*   90640 */     // GIR_Coverage, 50787,
     /*   90640 */     GIR_EraseRootFromParent_Done,
     /*   90641 */   // Label 1437: @90641
     /*   90641 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90694), // Rule ID 50788 //
     /*   90646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90657 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90692 */     GIR_RootConstrainSelectedInstOperands,
     /*   90693 */     // GIR_Coverage, 50788,
     /*   90693 */     GIR_EraseRootFromParent_Done,
     /*   90694 */   // Label 1438: @90694
     /*   90694 */   GIM_Reject,
     /*   90695 */ // Label 1418: @90695
     /*   90695 */ GIM_Reject,
     /*   90696 */ // Label 1245: @90696
     /*   90696 */ GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(92420),
     /*   90701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   90704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   90707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   90711 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90800), // Rule ID 51541 //
     /*   90716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90750 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90759 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90798 */     GIR_RootConstrainSelectedInstOperands,
     /*   90799 */     // GIR_Coverage, 51541,
     /*   90799 */     GIR_EraseRootFromParent_Done,
     /*   90800 */   // Label 1440: @90800
     /*   90800 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90889), // Rule ID 51542 //
     /*   90805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90848 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90887 */     GIR_RootConstrainSelectedInstOperands,
     /*   90888 */     // GIR_Coverage, 51542,
     /*   90888 */     GIR_EraseRootFromParent_Done,
     /*   90889 */   // Label 1441: @90889
     /*   90889 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90978), // Rule ID 70175 //
     /*   90894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90909 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90937 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   90954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90976 */     GIR_RootConstrainSelectedInstOperands,
     /*   90977 */     // GIR_Coverage, 70175,
     /*   90977 */     GIR_EraseRootFromParent_Done,
     /*   90978 */   // Label 1442: @90978
     /*   90978 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(91067), // Rule ID 70176 //
     /*   90983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91026 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91065 */     GIR_RootConstrainSelectedInstOperands,
     /*   91066 */     // GIR_Coverage, 70176,
     /*   91066 */     GIR_EraseRootFromParent_Done,
     /*   91067 */   // Label 1443: @91067
     /*   91067 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(91156), // Rule ID 70055 //
     /*   91072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91115 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91154 */     GIR_RootConstrainSelectedInstOperands,
     /*   91155 */     // GIR_Coverage, 70055,
     /*   91155 */     GIR_EraseRootFromParent_Done,
     /*   91156 */   // Label 1444: @91156
     /*   91156 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(91245), // Rule ID 70056 //
     /*   91161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91204 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91243 */     GIR_RootConstrainSelectedInstOperands,
     /*   91244 */     // GIR_Coverage, 70056,
     /*   91244 */     GIR_EraseRootFromParent_Done,
     /*   91245 */   // Label 1445: @91245
     /*   91245 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(91334), // Rule ID 51721 //
     /*   91250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91293 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91332 */     GIR_RootConstrainSelectedInstOperands,
     /*   91333 */     // GIR_Coverage, 51721,
     /*   91333 */     GIR_EraseRootFromParent_Done,
     /*   91334 */   // Label 1446: @91334
     /*   91334 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(91423), // Rule ID 51722 //
     /*   91339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91382 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91421 */     GIR_RootConstrainSelectedInstOperands,
     /*   91422 */     // GIR_Coverage, 51722,
     /*   91422 */     GIR_EraseRootFromParent_Done,
     /*   91423 */   // Label 1447: @91423
     /*   91423 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91512), // Rule ID 51421 //
     /*   91428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91443 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91471 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91510 */     GIR_RootConstrainSelectedInstOperands,
     /*   91511 */     // GIR_Coverage, 51421,
     /*   91511 */     GIR_EraseRootFromParent_Done,
     /*   91512 */   // Label 1448: @91512
     /*   91512 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91601), // Rule ID 51422 //
     /*   91517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91532 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91551 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91560 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91599 */     GIR_RootConstrainSelectedInstOperands,
     /*   91600 */     // GIR_Coverage, 51422,
     /*   91600 */     GIR_EraseRootFromParent_Done,
     /*   91601 */   // Label 1449: @91601
     /*   91601 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91690), // Rule ID 51661 //
     /*   91606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91649 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91688 */     GIR_RootConstrainSelectedInstOperands,
     /*   91689 */     // GIR_Coverage, 51661,
     /*   91689 */     GIR_EraseRootFromParent_Done,
     /*   91690 */   // Label 1450: @91690
     /*   91690 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91779), // Rule ID 51662 //
     /*   91695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91738 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91777 */     GIR_RootConstrainSelectedInstOperands,
     /*   91778 */     // GIR_Coverage, 51662,
     /*   91778 */     GIR_EraseRootFromParent_Done,
     /*   91779 */   // Label 1451: @91779
     /*   91779 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91868), // Rule ID 51601 //
     /*   91784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91827 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91866 */     GIR_RootConstrainSelectedInstOperands,
     /*   91867 */     // GIR_Coverage, 51601,
     /*   91867 */     GIR_EraseRootFromParent_Done,
     /*   91868 */   // Label 1452: @91868
     /*   91868 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91957), // Rule ID 51602 //
     /*   91873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91907 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91916 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91955 */     GIR_RootConstrainSelectedInstOperands,
     /*   91956 */     // GIR_Coverage, 51602,
     /*   91956 */     GIR_EraseRootFromParent_Done,
     /*   91957 */   // Label 1453: @91957
     /*   91957 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(92046), // Rule ID 70115 //
     /*   91962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92005 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92044 */     GIR_RootConstrainSelectedInstOperands,
     /*   92045 */     // GIR_Coverage, 70115,
     /*   92045 */     GIR_EraseRootFromParent_Done,
     /*   92046 */   // Label 1454: @92046
     /*   92046 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(92135), // Rule ID 70116 //
     /*   92051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92094 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92133 */     GIR_RootConstrainSelectedInstOperands,
     /*   92134 */     // GIR_Coverage, 70116,
     /*   92134 */     GIR_EraseRootFromParent_Done,
     /*   92135 */   // Label 1455: @92135
     /*   92135 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(92224), // Rule ID 51481 //
     /*   92140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   92143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92155 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92174 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92183 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92222 */     GIR_RootConstrainSelectedInstOperands,
     /*   92223 */     // GIR_Coverage, 51481,
     /*   92223 */     GIR_EraseRootFromParent_Done,
     /*   92224 */   // Label 1456: @92224
     /*   92224 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(92313), // Rule ID 51482 //
     /*   92229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92263 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92272 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92311 */     GIR_RootConstrainSelectedInstOperands,
     /*   92312 */     // GIR_Coverage, 51482,
     /*   92312 */     GIR_EraseRootFromParent_Done,
     /*   92313 */   // Label 1457: @92313
     /*   92313 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(92366), // Rule ID 50803 //
     /*   92318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   92321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92329 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   92329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 50803,
     /*   92365 */     GIR_EraseRootFromParent_Done,
     /*   92366 */   // Label 1458: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(92419), // Rule ID 50804 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   92374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92382 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   92382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92417 */     GIR_RootConstrainSelectedInstOperands,
     /*   92418 */     // GIR_Coverage, 50804,
     /*   92418 */     GIR_EraseRootFromParent_Done,
     /*   92419 */   // Label 1459: @92419
     /*   92419 */   GIM_Reject,
     /*   92420 */ // Label 1439: @92420
     /*   92420 */ GIM_Reject,
     /*   92421 */ // Label 1246: @92421
     /*   92421 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(92535),
     /*   92426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   92432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92444 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(92489), // Rule ID 50747 //
     /*   92449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92452 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92487 */     GIR_RootConstrainSelectedInstOperands,
     /*   92488 */     // GIR_Coverage, 50747,
     /*   92488 */     GIR_EraseRootFromParent_Done,
     /*   92489 */   // Label 1461: @92489
     /*   92489 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92534), // Rule ID 50748 //
     /*   92494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92497 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92532 */     GIR_RootConstrainSelectedInstOperands,
     /*   92533 */     // GIR_Coverage, 50748,
     /*   92533 */     GIR_EraseRootFromParent_Done,
     /*   92534 */   // Label 1462: @92534
     /*   92534 */   GIM_Reject,
     /*   92535 */ // Label 1460: @92535
     /*   92535 */ GIM_Reject,
     /*   92536 */ // Label 1247: @92536
     /*   92536 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(94260),
     /*   92541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   92544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   92547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92551 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92640), // Rule ID 51501 //
     /*   92556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92599 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92638 */     GIR_RootConstrainSelectedInstOperands,
     /*   92639 */     // GIR_Coverage, 51501,
     /*   92639 */     GIR_EraseRootFromParent_Done,
     /*   92640 */   // Label 1464: @92640
     /*   92640 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92729), // Rule ID 51502 //
     /*   92645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92688 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92727 */     GIR_RootConstrainSelectedInstOperands,
     /*   92728 */     // GIR_Coverage, 51502,
     /*   92728 */     GIR_EraseRootFromParent_Done,
     /*   92729 */   // Label 1465: @92729
     /*   92729 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92818), // Rule ID 70135 //
     /*   92734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92768 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92777 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92816 */     GIR_RootConstrainSelectedInstOperands,
     /*   92817 */     // GIR_Coverage, 70135,
     /*   92817 */     GIR_EraseRootFromParent_Done,
     /*   92818 */   // Label 1466: @92818
     /*   92818 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92907), // Rule ID 70136 //
     /*   92823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92857 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92866 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92905 */     GIR_RootConstrainSelectedInstOperands,
     /*   92906 */     // GIR_Coverage, 70136,
     /*   92906 */     GIR_EraseRootFromParent_Done,
     /*   92907 */   // Label 1467: @92907
     /*   92907 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(92996), // Rule ID 70015 //
     /*   92912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92946 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92955 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92994 */     GIR_RootConstrainSelectedInstOperands,
     /*   92995 */     // GIR_Coverage, 70015,
     /*   92995 */     GIR_EraseRootFromParent_Done,
     /*   92996 */   // Label 1468: @92996
     /*   92996 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(93085), // Rule ID 70016 //
     /*   93001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93035 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93044 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93083 */     GIR_RootConstrainSelectedInstOperands,
     /*   93084 */     // GIR_Coverage, 70016,
     /*   93084 */     GIR_EraseRootFromParent_Done,
     /*   93085 */   // Label 1469: @93085
     /*   93085 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(93174), // Rule ID 51681 //
     /*   93090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93133 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93172 */     GIR_RootConstrainSelectedInstOperands,
     /*   93173 */     // GIR_Coverage, 51681,
     /*   93173 */     GIR_EraseRootFromParent_Done,
     /*   93174 */   // Label 1470: @93174
     /*   93174 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(93263), // Rule ID 51682 //
     /*   93179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93222 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93261 */     GIR_RootConstrainSelectedInstOperands,
     /*   93262 */     // GIR_Coverage, 51682,
     /*   93262 */     GIR_EraseRootFromParent_Done,
     /*   93263 */   // Label 1471: @93263
     /*   93263 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(93352), // Rule ID 51381 //
     /*   93268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93311 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93350 */     GIR_RootConstrainSelectedInstOperands,
     /*   93351 */     // GIR_Coverage, 51381,
     /*   93351 */     GIR_EraseRootFromParent_Done,
     /*   93352 */   // Label 1472: @93352
     /*   93352 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(93441), // Rule ID 51382 //
     /*   93357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93400 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93439 */     GIR_RootConstrainSelectedInstOperands,
     /*   93440 */     // GIR_Coverage, 51382,
     /*   93440 */     GIR_EraseRootFromParent_Done,
     /*   93441 */   // Label 1473: @93441
     /*   93441 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93530), // Rule ID 51621 //
     /*   93446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93489 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93528 */     GIR_RootConstrainSelectedInstOperands,
     /*   93529 */     // GIR_Coverage, 51621,
     /*   93529 */     GIR_EraseRootFromParent_Done,
     /*   93530 */   // Label 1474: @93530
     /*   93530 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93619), // Rule ID 51622 //
     /*   93535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93578 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93617 */     GIR_RootConstrainSelectedInstOperands,
     /*   93618 */     // GIR_Coverage, 51622,
     /*   93618 */     GIR_EraseRootFromParent_Done,
     /*   93619 */   // Label 1475: @93619
     /*   93619 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(93708), // Rule ID 51561 //
     /*   93624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93639 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93658 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93667 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93706 */     GIR_RootConstrainSelectedInstOperands,
     /*   93707 */     // GIR_Coverage, 51561,
     /*   93707 */     GIR_EraseRootFromParent_Done,
     /*   93708 */   // Label 1476: @93708
     /*   93708 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93797), // Rule ID 51562 //
     /*   93713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93747 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93756 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93795 */     GIR_RootConstrainSelectedInstOperands,
     /*   93796 */     // GIR_Coverage, 51562,
     /*   93796 */     GIR_EraseRootFromParent_Done,
     /*   93797 */   // Label 1477: @93797
     /*   93797 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(93886), // Rule ID 70075 //
     /*   93802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93836 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93845 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93884 */     GIR_RootConstrainSelectedInstOperands,
     /*   93885 */     // GIR_Coverage, 70075,
     /*   93885 */     GIR_EraseRootFromParent_Done,
     /*   93886 */   // Label 1478: @93886
     /*   93886 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93975), // Rule ID 70076 //
     /*   93891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93925 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93934 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93973 */     GIR_RootConstrainSelectedInstOperands,
     /*   93974 */     // GIR_Coverage, 70076,
     /*   93974 */     GIR_EraseRootFromParent_Done,
     /*   93975 */   // Label 1479: @93975
     /*   93975 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(94064), // Rule ID 51441 //
     /*   93980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94023 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   94023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94062 */     GIR_RootConstrainSelectedInstOperands,
     /*   94063 */     // GIR_Coverage, 51441,
     /*   94063 */     GIR_EraseRootFromParent_Done,
     /*   94064 */   // Label 1480: @94064
     /*   94064 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(94153), // Rule ID 51442 //
     /*   94069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94112 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   94112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94151 */     GIR_RootConstrainSelectedInstOperands,
     /*   94152 */     // GIR_Coverage, 51442,
     /*   94152 */     GIR_EraseRootFromParent_Done,
     /*   94153 */   // Label 1481: @94153
     /*   94153 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(94206), // Rule ID 50775 //
     /*   94158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94169 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94204 */     GIR_RootConstrainSelectedInstOperands,
     /*   94205 */     // GIR_Coverage, 50775,
     /*   94205 */     GIR_EraseRootFromParent_Done,
     /*   94206 */   // Label 1482: @94206
     /*   94206 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(94259), // Rule ID 50776 //
     /*   94211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94222 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94257 */     GIR_RootConstrainSelectedInstOperands,
     /*   94258 */     // GIR_Coverage, 50776,
     /*   94258 */     GIR_EraseRootFromParent_Done,
     /*   94259 */   // Label 1483: @94259
     /*   94259 */   GIM_Reject,
     /*   94260 */ // Label 1463: @94260
     /*   94260 */ GIM_Reject,
     /*   94261 */ // Label 1248: @94261
     /*   94261 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(95985),
     /*   94266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   94269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   94272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94276 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(94365), // Rule ID 51525 //
     /*   94281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94324 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94363 */     GIR_RootConstrainSelectedInstOperands,
     /*   94364 */     // GIR_Coverage, 51525,
     /*   94364 */     GIR_EraseRootFromParent_Done,
     /*   94365 */   // Label 1485: @94365
     /*   94365 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94454), // Rule ID 51526 //
     /*   94370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94385 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94404 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94413 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94452 */     GIR_RootConstrainSelectedInstOperands,
     /*   94453 */     // GIR_Coverage, 51526,
     /*   94453 */     GIR_EraseRootFromParent_Done,
     /*   94454 */   // Label 1486: @94454
     /*   94454 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94543), // Rule ID 70159 //
     /*   94459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94493 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94502 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94541 */     GIR_RootConstrainSelectedInstOperands,
     /*   94542 */     // GIR_Coverage, 70159,
     /*   94542 */     GIR_EraseRootFromParent_Done,
     /*   94543 */   // Label 1487: @94543
     /*   94543 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94632), // Rule ID 70160 //
     /*   94548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94591 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94630 */     GIR_RootConstrainSelectedInstOperands,
     /*   94631 */     // GIR_Coverage, 70160,
     /*   94631 */     GIR_EraseRootFromParent_Done,
     /*   94632 */   // Label 1488: @94632
     /*   94632 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94721), // Rule ID 70039 //
     /*   94637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94652 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94671 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94680 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94719 */     GIR_RootConstrainSelectedInstOperands,
     /*   94720 */     // GIR_Coverage, 70039,
     /*   94720 */     GIR_EraseRootFromParent_Done,
     /*   94721 */   // Label 1489: @94721
     /*   94721 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94810), // Rule ID 70040 //
     /*   94726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94769 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94808 */     GIR_RootConstrainSelectedInstOperands,
     /*   94809 */     // GIR_Coverage, 70040,
     /*   94809 */     GIR_EraseRootFromParent_Done,
     /*   94810 */   // Label 1490: @94810
     /*   94810 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94899), // Rule ID 51705 //
     /*   94815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94858 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94897 */     GIR_RootConstrainSelectedInstOperands,
     /*   94898 */     // GIR_Coverage, 51705,
     /*   94898 */     GIR_EraseRootFromParent_Done,
     /*   94899 */   // Label 1491: @94899
     /*   94899 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94988), // Rule ID 51706 //
     /*   94904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94947 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94986 */     GIR_RootConstrainSelectedInstOperands,
     /*   94987 */     // GIR_Coverage, 51706,
     /*   94987 */     GIR_EraseRootFromParent_Done,
     /*   94988 */   // Label 1492: @94988
     /*   94988 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(95077), // Rule ID 51405 //
     /*   94993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95036 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95075 */     GIR_RootConstrainSelectedInstOperands,
     /*   95076 */     // GIR_Coverage, 51405,
     /*   95076 */     GIR_EraseRootFromParent_Done,
     /*   95077 */   // Label 1493: @95077
     /*   95077 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(95166), // Rule ID 51406 //
     /*   95082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95125 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95164 */     GIR_RootConstrainSelectedInstOperands,
     /*   95165 */     // GIR_Coverage, 51406,
     /*   95165 */     GIR_EraseRootFromParent_Done,
     /*   95166 */   // Label 1494: @95166
     /*   95166 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(95255), // Rule ID 51645 //
     /*   95171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95214 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95253 */     GIR_RootConstrainSelectedInstOperands,
     /*   95254 */     // GIR_Coverage, 51645,
     /*   95254 */     GIR_EraseRootFromParent_Done,
     /*   95255 */   // Label 1495: @95255
     /*   95255 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(95344), // Rule ID 51646 //
     /*   95260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95303 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95342 */     GIR_RootConstrainSelectedInstOperands,
     /*   95343 */     // GIR_Coverage, 51646,
     /*   95343 */     GIR_EraseRootFromParent_Done,
     /*   95344 */   // Label 1496: @95344
     /*   95344 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(95433), // Rule ID 51585 //
     /*   95349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95392 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95431 */     GIR_RootConstrainSelectedInstOperands,
     /*   95432 */     // GIR_Coverage, 51585,
     /*   95432 */     GIR_EraseRootFromParent_Done,
     /*   95433 */   // Label 1497: @95433
     /*   95433 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(95522), // Rule ID 51586 //
     /*   95438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95481 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95520 */     GIR_RootConstrainSelectedInstOperands,
     /*   95521 */     // GIR_Coverage, 51586,
     /*   95521 */     GIR_EraseRootFromParent_Done,
     /*   95522 */   // Label 1498: @95522
     /*   95522 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95611), // Rule ID 70099 //
     /*   95527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95570 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95609 */     GIR_RootConstrainSelectedInstOperands,
     /*   95610 */     // GIR_Coverage, 70099,
     /*   95610 */     GIR_EraseRootFromParent_Done,
     /*   95611 */   // Label 1499: @95611
     /*   95611 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95700), // Rule ID 70100 //
     /*   95616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95659 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95698 */     GIR_RootConstrainSelectedInstOperands,
     /*   95699 */     // GIR_Coverage, 70100,
     /*   95699 */     GIR_EraseRootFromParent_Done,
     /*   95700 */   // Label 1500: @95700
     /*   95700 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95789), // Rule ID 51465 //
     /*   95705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95739 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95748 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95787 */     GIR_RootConstrainSelectedInstOperands,
     /*   95788 */     // GIR_Coverage, 51465,
     /*   95788 */     GIR_EraseRootFromParent_Done,
     /*   95789 */   // Label 1501: @95789
     /*   95789 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95878), // Rule ID 51466 //
     /*   95794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95809 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95828 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95837 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95876 */     GIR_RootConstrainSelectedInstOperands,
     /*   95877 */     // GIR_Coverage, 51466,
     /*   95877 */     GIR_EraseRootFromParent_Done,
     /*   95878 */   // Label 1502: @95878
     /*   95878 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95931), // Rule ID 50791 //
     /*   95883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95894 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95929 */     GIR_RootConstrainSelectedInstOperands,
     /*   95930 */     // GIR_Coverage, 50791,
     /*   95930 */     GIR_EraseRootFromParent_Done,
     /*   95931 */   // Label 1503: @95931
     /*   95931 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95984), // Rule ID 50792 //
     /*   95936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95947 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95982 */     GIR_RootConstrainSelectedInstOperands,
     /*   95983 */     // GIR_Coverage, 50792,
     /*   95983 */     GIR_EraseRootFromParent_Done,
     /*   95984 */   // Label 1504: @95984
     /*   95984 */   GIM_Reject,
     /*   95985 */ // Label 1484: @95985
     /*   95985 */ GIM_Reject,
     /*   95986 */ // Label 1249: @95986
     /*   95986 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(97710),
     /*   95991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   95994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   95997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   96001 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(96090), // Rule ID 51545 //
     /*   96006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96049 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96088 */     GIR_RootConstrainSelectedInstOperands,
     /*   96089 */     // GIR_Coverage, 51545,
     /*   96089 */     GIR_EraseRootFromParent_Done,
     /*   96090 */   // Label 1506: @96090
     /*   96090 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(96179), // Rule ID 51546 //
     /*   96095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96138 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96177 */     GIR_RootConstrainSelectedInstOperands,
     /*   96178 */     // GIR_Coverage, 51546,
     /*   96178 */     GIR_EraseRootFromParent_Done,
     /*   96179 */   // Label 1507: @96179
     /*   96179 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(96268), // Rule ID 70179 //
     /*   96184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96199 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96227 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96266 */     GIR_RootConstrainSelectedInstOperands,
     /*   96267 */     // GIR_Coverage, 70179,
     /*   96267 */     GIR_EraseRootFromParent_Done,
     /*   96268 */   // Label 1508: @96268
     /*   96268 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(96357), // Rule ID 70180 //
     /*   96273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96307 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96316 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96355 */     GIR_RootConstrainSelectedInstOperands,
     /*   96356 */     // GIR_Coverage, 70180,
     /*   96356 */     GIR_EraseRootFromParent_Done,
     /*   96357 */   // Label 1509: @96357
     /*   96357 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(96446), // Rule ID 70059 //
     /*   96362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96377 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96405 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96444 */     GIR_RootConstrainSelectedInstOperands,
     /*   96445 */     // GIR_Coverage, 70059,
     /*   96445 */     GIR_EraseRootFromParent_Done,
     /*   96446 */   // Label 1510: @96446
     /*   96446 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96535), // Rule ID 70060 //
     /*   96451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96494 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96533 */     GIR_RootConstrainSelectedInstOperands,
     /*   96534 */     // GIR_Coverage, 70060,
     /*   96534 */     GIR_EraseRootFromParent_Done,
     /*   96535 */   // Label 1511: @96535
     /*   96535 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96624), // Rule ID 51725 //
     /*   96540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96583 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96622 */     GIR_RootConstrainSelectedInstOperands,
     /*   96623 */     // GIR_Coverage, 51725,
     /*   96623 */     GIR_EraseRootFromParent_Done,
     /*   96624 */   // Label 1512: @96624
     /*   96624 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96713), // Rule ID 51726 //
     /*   96629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96672 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96711 */     GIR_RootConstrainSelectedInstOperands,
     /*   96712 */     // GIR_Coverage, 51726,
     /*   96712 */     GIR_EraseRootFromParent_Done,
     /*   96713 */   // Label 1513: @96713
     /*   96713 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96802), // Rule ID 51425 //
     /*   96718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96761 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96800 */     GIR_RootConstrainSelectedInstOperands,
     /*   96801 */     // GIR_Coverage, 51425,
     /*   96801 */     GIR_EraseRootFromParent_Done,
     /*   96802 */   // Label 1514: @96802
     /*   96802 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96891), // Rule ID 51426 //
     /*   96807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96850 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96889 */     GIR_RootConstrainSelectedInstOperands,
     /*   96890 */     // GIR_Coverage, 51426,
     /*   96890 */     GIR_EraseRootFromParent_Done,
     /*   96891 */   // Label 1515: @96891
     /*   96891 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96980), // Rule ID 51665 //
     /*   96896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96939 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96978 */     GIR_RootConstrainSelectedInstOperands,
     /*   96979 */     // GIR_Coverage, 51665,
     /*   96979 */     GIR_EraseRootFromParent_Done,
     /*   96980 */   // Label 1516: @96980
     /*   96980 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(97069), // Rule ID 51666 //
     /*   96985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97028 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97067 */     GIR_RootConstrainSelectedInstOperands,
     /*   97068 */     // GIR_Coverage, 51666,
     /*   97068 */     GIR_EraseRootFromParent_Done,
     /*   97069 */   // Label 1517: @97069
     /*   97069 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(97158), // Rule ID 51605 //
     /*   97074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97117 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97156 */     GIR_RootConstrainSelectedInstOperands,
     /*   97157 */     // GIR_Coverage, 51605,
     /*   97157 */     GIR_EraseRootFromParent_Done,
     /*   97158 */   // Label 1518: @97158
     /*   97158 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(97247), // Rule ID 51606 //
     /*   97163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97206 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97245 */     GIR_RootConstrainSelectedInstOperands,
     /*   97246 */     // GIR_Coverage, 51606,
     /*   97246 */     GIR_EraseRootFromParent_Done,
     /*   97247 */   // Label 1519: @97247
     /*   97247 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(97336), // Rule ID 70119 //
     /*   97252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97267 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97295 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97334 */     GIR_RootConstrainSelectedInstOperands,
     /*   97335 */     // GIR_Coverage, 70119,
     /*   97335 */     GIR_EraseRootFromParent_Done,
     /*   97336 */   // Label 1520: @97336
     /*   97336 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(97425), // Rule ID 70120 //
     /*   97341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97384 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97423 */     GIR_RootConstrainSelectedInstOperands,
     /*   97424 */     // GIR_Coverage, 70120,
     /*   97424 */     GIR_EraseRootFromParent_Done,
     /*   97425 */   // Label 1521: @97425
     /*   97425 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(97514), // Rule ID 51485 //
     /*   97430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97445 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97464 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97473 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97512 */     GIR_RootConstrainSelectedInstOperands,
     /*   97513 */     // GIR_Coverage, 51485,
     /*   97513 */     GIR_EraseRootFromParent_Done,
     /*   97514 */   // Label 1522: @97514
     /*   97514 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(97603), // Rule ID 51486 //
     /*   97519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97553 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97562 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97601 */     GIR_RootConstrainSelectedInstOperands,
     /*   97602 */     // GIR_Coverage, 51486,
     /*   97602 */     GIR_EraseRootFromParent_Done,
     /*   97603 */   // Label 1523: @97603
     /*   97603 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(97656), // Rule ID 50807 //
     /*   97608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   97611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97619 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   97619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97654 */     GIR_RootConstrainSelectedInstOperands,
     /*   97655 */     // GIR_Coverage, 50807,
     /*   97655 */     GIR_EraseRootFromParent_Done,
     /*   97656 */   // Label 1524: @97656
     /*   97656 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97709), // Rule ID 50808 //
     /*   97661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   97664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97672 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   97672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97707 */     GIR_RootConstrainSelectedInstOperands,
     /*   97708 */     // GIR_Coverage, 50808,
     /*   97708 */     GIR_EraseRootFromParent_Done,
     /*   97709 */   // Label 1525: @97709
     /*   97709 */   GIM_Reject,
     /*   97710 */ // Label 1505: @97710
     /*   97710 */ GIM_Reject,
     /*   97711 */ // Label 1250: @97711
     /*   97711 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97825),
     /*   97716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   97722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97734 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97779), // Rule ID 50763 //
     /*   97739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97742 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97777 */     GIR_RootConstrainSelectedInstOperands,
     /*   97778 */     // GIR_Coverage, 50763,
     /*   97778 */     GIR_EraseRootFromParent_Done,
     /*   97779 */   // Label 1527: @97779
     /*   97779 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97824), // Rule ID 50764 //
     /*   97784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97787 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97822 */     GIR_RootConstrainSelectedInstOperands,
     /*   97823 */     // GIR_Coverage, 50764,
     /*   97823 */     GIR_EraseRootFromParent_Done,
     /*   97824 */   // Label 1528: @97824
     /*   97824 */   GIM_Reject,
     /*   97825 */ // Label 1526: @97825
     /*   97825 */ GIM_Reject,
     /*   97826 */ // Label 1251: @97826
     /*   97826 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(99550),
     /*   97831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   97834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   97837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97841 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97930), // Rule ID 51505 //
     /*   97846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97889 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97928 */     GIR_RootConstrainSelectedInstOperands,
     /*   97929 */     // GIR_Coverage, 51505,
     /*   97929 */     GIR_EraseRootFromParent_Done,
     /*   97930 */   // Label 1530: @97930
     /*   97930 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(98019), // Rule ID 51506 //
     /*   97935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97978 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98017 */     GIR_RootConstrainSelectedInstOperands,
     /*   98018 */     // GIR_Coverage, 51506,
     /*   98018 */     GIR_EraseRootFromParent_Done,
     /*   98019 */   // Label 1531: @98019
     /*   98019 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(98108), // Rule ID 70139 //
     /*   98024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98058 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98067 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98106 */     GIR_RootConstrainSelectedInstOperands,
     /*   98107 */     // GIR_Coverage, 70139,
     /*   98107 */     GIR_EraseRootFromParent_Done,
     /*   98108 */   // Label 1532: @98108
     /*   98108 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(98197), // Rule ID 70140 //
     /*   98113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98147 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98156 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98195 */     GIR_RootConstrainSelectedInstOperands,
     /*   98196 */     // GIR_Coverage, 70140,
     /*   98196 */     GIR_EraseRootFromParent_Done,
     /*   98197 */   // Label 1533: @98197
     /*   98197 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(98286), // Rule ID 70019 //
     /*   98202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98236 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98245 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98284 */     GIR_RootConstrainSelectedInstOperands,
     /*   98285 */     // GIR_Coverage, 70019,
     /*   98285 */     GIR_EraseRootFromParent_Done,
     /*   98286 */   // Label 1534: @98286
     /*   98286 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(98375), // Rule ID 70020 //
     /*   98291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98325 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98334 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98373 */     GIR_RootConstrainSelectedInstOperands,
     /*   98374 */     // GIR_Coverage, 70020,
     /*   98374 */     GIR_EraseRootFromParent_Done,
     /*   98375 */   // Label 1535: @98375
     /*   98375 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98464), // Rule ID 51685 //
     /*   98380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98423 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98462 */     GIR_RootConstrainSelectedInstOperands,
     /*   98463 */     // GIR_Coverage, 51685,
     /*   98463 */     GIR_EraseRootFromParent_Done,
     /*   98464 */   // Label 1536: @98464
     /*   98464 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98553), // Rule ID 51686 //
     /*   98469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98512 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98551 */     GIR_RootConstrainSelectedInstOperands,
     /*   98552 */     // GIR_Coverage, 51686,
     /*   98552 */     GIR_EraseRootFromParent_Done,
     /*   98553 */   // Label 1537: @98553
     /*   98553 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98642), // Rule ID 51385 //
     /*   98558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98601 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98640 */     GIR_RootConstrainSelectedInstOperands,
     /*   98641 */     // GIR_Coverage, 51385,
     /*   98641 */     GIR_EraseRootFromParent_Done,
     /*   98642 */   // Label 1538: @98642
     /*   98642 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98731), // Rule ID 51386 //
     /*   98647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98690 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98729 */     GIR_RootConstrainSelectedInstOperands,
     /*   98730 */     // GIR_Coverage, 51386,
     /*   98730 */     GIR_EraseRootFromParent_Done,
     /*   98731 */   // Label 1539: @98731
     /*   98731 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98820), // Rule ID 51625 //
     /*   98736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98779 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98818 */     GIR_RootConstrainSelectedInstOperands,
     /*   98819 */     // GIR_Coverage, 51625,
     /*   98819 */     GIR_EraseRootFromParent_Done,
     /*   98820 */   // Label 1540: @98820
     /*   98820 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98909), // Rule ID 51626 //
     /*   98825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98868 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98907 */     GIR_RootConstrainSelectedInstOperands,
     /*   98908 */     // GIR_Coverage, 51626,
     /*   98908 */     GIR_EraseRootFromParent_Done,
     /*   98909 */   // Label 1541: @98909
     /*   98909 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(98998), // Rule ID 51565 //
     /*   98914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98948 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98957 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98996 */     GIR_RootConstrainSelectedInstOperands,
     /*   98997 */     // GIR_Coverage, 51565,
     /*   98997 */     GIR_EraseRootFromParent_Done,
     /*   98998 */   // Label 1542: @98998
     /*   98998 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(99087), // Rule ID 51566 //
     /*   99003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99037 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99046 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99085 */     GIR_RootConstrainSelectedInstOperands,
     /*   99086 */     // GIR_Coverage, 51566,
     /*   99086 */     GIR_EraseRootFromParent_Done,
     /*   99087 */   // Label 1543: @99087
     /*   99087 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(99176), // Rule ID 70079 //
     /*   99092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99126 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99135 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99174 */     GIR_RootConstrainSelectedInstOperands,
     /*   99175 */     // GIR_Coverage, 70079,
     /*   99175 */     GIR_EraseRootFromParent_Done,
     /*   99176 */   // Label 1544: @99176
     /*   99176 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(99265), // Rule ID 70080 //
     /*   99181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99224 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99263 */     GIR_RootConstrainSelectedInstOperands,
     /*   99264 */     // GIR_Coverage, 70080,
     /*   99264 */     GIR_EraseRootFromParent_Done,
     /*   99265 */   // Label 1545: @99265
     /*   99265 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(99354), // Rule ID 51445 //
     /*   99270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99304 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99313 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99352 */     GIR_RootConstrainSelectedInstOperands,
     /*   99353 */     // GIR_Coverage, 51445,
     /*   99353 */     GIR_EraseRootFromParent_Done,
     /*   99354 */   // Label 1546: @99354
     /*   99354 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(99443), // Rule ID 51446 //
     /*   99359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99393 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99402 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99441 */     GIR_RootConstrainSelectedInstOperands,
     /*   99442 */     // GIR_Coverage, 51446,
     /*   99442 */     GIR_EraseRootFromParent_Done,
     /*   99443 */   // Label 1547: @99443
     /*   99443 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(99496), // Rule ID 50779 //
     /*   99448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99459 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99494 */     GIR_RootConstrainSelectedInstOperands,
     /*   99495 */     // GIR_Coverage, 50779,
     /*   99495 */     GIR_EraseRootFromParent_Done,
     /*   99496 */   // Label 1548: @99496
     /*   99496 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99549), // Rule ID 50780 //
     /*   99501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99512 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99547 */     GIR_RootConstrainSelectedInstOperands,
     /*   99548 */     // GIR_Coverage, 50780,
     /*   99548 */     GIR_EraseRootFromParent_Done,
     /*   99549 */   // Label 1549: @99549
     /*   99549 */   GIM_Reject,
     /*   99550 */ // Label 1529: @99550
     /*   99550 */ GIM_Reject,
     /*   99551 */ // Label 1252: @99551
     /*   99551 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(101275),
     /*   99556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   99559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   99562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   99566 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99655), // Rule ID 51529 //
     /*   99571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99605 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99614 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99653 */     GIR_RootConstrainSelectedInstOperands,
     /*   99654 */     // GIR_Coverage, 51529,
     /*   99654 */     GIR_EraseRootFromParent_Done,
     /*   99655 */   // Label 1551: @99655
     /*   99655 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99744), // Rule ID 51530 //
     /*   99660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99675 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99694 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99703 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99742 */     GIR_RootConstrainSelectedInstOperands,
     /*   99743 */     // GIR_Coverage, 51530,
     /*   99743 */     GIR_EraseRootFromParent_Done,
     /*   99744 */   // Label 1552: @99744
     /*   99744 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99833), // Rule ID 70163 //
     /*   99749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99764 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99783 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99785 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99790 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99792 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99831 */     GIR_RootConstrainSelectedInstOperands,
     /*   99832 */     // GIR_Coverage, 70163,
     /*   99832 */     GIR_EraseRootFromParent_Done,
     /*   99833 */   // Label 1553: @99833
     /*   99833 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99922), // Rule ID 70164 //
     /*   99838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99872 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99881 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99920 */     GIR_RootConstrainSelectedInstOperands,
     /*   99921 */     // GIR_Coverage, 70164,
     /*   99921 */     GIR_EraseRootFromParent_Done,
     /*   99922 */   // Label 1554: @99922
     /*   99922 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(100011), // Rule ID 70043 //
     /*   99927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99961 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99970 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100009 */     GIR_RootConstrainSelectedInstOperands,
     /*  100010 */     // GIR_Coverage, 70043,
     /*  100010 */     GIR_EraseRootFromParent_Done,
     /*  100011 */   // Label 1555: @100011
     /*  100011 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(100100), // Rule ID 70044 //
     /*  100016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100050 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100059 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100098 */     GIR_RootConstrainSelectedInstOperands,
     /*  100099 */     // GIR_Coverage, 70044,
     /*  100099 */     GIR_EraseRootFromParent_Done,
     /*  100100 */   // Label 1556: @100100
     /*  100100 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(100189), // Rule ID 51709 //
     /*  100105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100139 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100148 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100187 */     GIR_RootConstrainSelectedInstOperands,
     /*  100188 */     // GIR_Coverage, 51709,
     /*  100188 */     GIR_EraseRootFromParent_Done,
     /*  100189 */   // Label 1557: @100189
     /*  100189 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(100278), // Rule ID 51710 //
     /*  100194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100228 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100230 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100237 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100276 */     GIR_RootConstrainSelectedInstOperands,
     /*  100277 */     // GIR_Coverage, 51710,
     /*  100277 */     GIR_EraseRootFromParent_Done,
     /*  100278 */   // Label 1558: @100278
     /*  100278 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(100367), // Rule ID 51409 //
     /*  100283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100317 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100326 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100365 */     GIR_RootConstrainSelectedInstOperands,
     /*  100366 */     // GIR_Coverage, 51409,
     /*  100366 */     GIR_EraseRootFromParent_Done,
     /*  100367 */   // Label 1559: @100367
     /*  100367 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100456), // Rule ID 51410 //
     /*  100372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100406 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100415 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100454 */     GIR_RootConstrainSelectedInstOperands,
     /*  100455 */     // GIR_Coverage, 51410,
     /*  100455 */     GIR_EraseRootFromParent_Done,
     /*  100456 */   // Label 1560: @100456
     /*  100456 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100545), // Rule ID 51649 //
     /*  100461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100504 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100543 */     GIR_RootConstrainSelectedInstOperands,
     /*  100544 */     // GIR_Coverage, 51649,
     /*  100544 */     GIR_EraseRootFromParent_Done,
     /*  100545 */   // Label 1561: @100545
     /*  100545 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100634), // Rule ID 51650 //
     /*  100550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100593 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100632 */     GIR_RootConstrainSelectedInstOperands,
     /*  100633 */     // GIR_Coverage, 51650,
     /*  100633 */     GIR_EraseRootFromParent_Done,
     /*  100634 */   // Label 1562: @100634
     /*  100634 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(100723), // Rule ID 51589 //
     /*  100639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100682 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100721 */     GIR_RootConstrainSelectedInstOperands,
     /*  100722 */     // GIR_Coverage, 51589,
     /*  100722 */     GIR_EraseRootFromParent_Done,
     /*  100723 */   // Label 1563: @100723
     /*  100723 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100812), // Rule ID 51590 //
     /*  100728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100771 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100810 */     GIR_RootConstrainSelectedInstOperands,
     /*  100811 */     // GIR_Coverage, 51590,
     /*  100811 */     GIR_EraseRootFromParent_Done,
     /*  100812 */   // Label 1564: @100812
     /*  100812 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(100901), // Rule ID 70103 //
     /*  100817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100860 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100899 */     GIR_RootConstrainSelectedInstOperands,
     /*  100900 */     // GIR_Coverage, 70103,
     /*  100900 */     GIR_EraseRootFromParent_Done,
     /*  100901 */   // Label 1565: @100901
     /*  100901 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100990), // Rule ID 70104 //
     /*  100906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100949 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100988 */     GIR_RootConstrainSelectedInstOperands,
     /*  100989 */     // GIR_Coverage, 70104,
     /*  100989 */     GIR_EraseRootFromParent_Done,
     /*  100990 */   // Label 1566: @100990
     /*  100990 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(101079), // Rule ID 51469 //
     /*  100995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101029 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101038 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  101038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101077 */     GIR_RootConstrainSelectedInstOperands,
     /*  101078 */     // GIR_Coverage, 51469,
     /*  101078 */     GIR_EraseRootFromParent_Done,
     /*  101079 */   // Label 1567: @101079
     /*  101079 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(101168), // Rule ID 51470 //
     /*  101084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101127 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  101127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101166 */     GIR_RootConstrainSelectedInstOperands,
     /*  101167 */     // GIR_Coverage, 51470,
     /*  101167 */     GIR_EraseRootFromParent_Done,
     /*  101168 */   // Label 1568: @101168
     /*  101168 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(101221), // Rule ID 50795 //
     /*  101173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101184 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101219 */     GIR_RootConstrainSelectedInstOperands,
     /*  101220 */     // GIR_Coverage, 50795,
     /*  101220 */     GIR_EraseRootFromParent_Done,
     /*  101221 */   // Label 1569: @101221
     /*  101221 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(101274), // Rule ID 50796 //
     /*  101226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101237 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101272 */     GIR_RootConstrainSelectedInstOperands,
     /*  101273 */     // GIR_Coverage, 50796,
     /*  101273 */     GIR_EraseRootFromParent_Done,
     /*  101274 */   // Label 1570: @101274
     /*  101274 */   GIM_Reject,
     /*  101275 */ // Label 1550: @101275
     /*  101275 */ GIM_Reject,
     /*  101276 */ // Label 1253: @101276
     /*  101276 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(101390),
     /*  101281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  101287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101299 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(101344), // Rule ID 50767 //
     /*  101304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101307 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101342 */     GIR_RootConstrainSelectedInstOperands,
     /*  101343 */     // GIR_Coverage, 50767,
     /*  101343 */     GIR_EraseRootFromParent_Done,
     /*  101344 */   // Label 1572: @101344
     /*  101344 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101389), // Rule ID 50768 //
     /*  101349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101352 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101387 */     GIR_RootConstrainSelectedInstOperands,
     /*  101388 */     // GIR_Coverage, 50768,
     /*  101388 */     GIR_EraseRootFromParent_Done,
     /*  101389 */   // Label 1573: @101389
     /*  101389 */   GIM_Reject,
     /*  101390 */ // Label 1571: @101390
     /*  101390 */ GIM_Reject,
     /*  101391 */ // Label 1254: @101391
     /*  101391 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(103115),
     /*  101396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  101399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  101402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101406 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101495), // Rule ID 51509 //
     /*  101411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101454 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101493 */     GIR_RootConstrainSelectedInstOperands,
     /*  101494 */     // GIR_Coverage, 51509,
     /*  101494 */     GIR_EraseRootFromParent_Done,
     /*  101495 */   // Label 1575: @101495
     /*  101495 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101584), // Rule ID 51510 //
     /*  101500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101543 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101582 */     GIR_RootConstrainSelectedInstOperands,
     /*  101583 */     // GIR_Coverage, 51510,
     /*  101583 */     GIR_EraseRootFromParent_Done,
     /*  101584 */   // Label 1576: @101584
     /*  101584 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101673), // Rule ID 70143 //
     /*  101589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101632 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101671 */     GIR_RootConstrainSelectedInstOperands,
     /*  101672 */     // GIR_Coverage, 70143,
     /*  101672 */     GIR_EraseRootFromParent_Done,
     /*  101673 */   // Label 1577: @101673
     /*  101673 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101762), // Rule ID 70144 //
     /*  101678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101721 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101760 */     GIR_RootConstrainSelectedInstOperands,
     /*  101761 */     // GIR_Coverage, 70144,
     /*  101761 */     GIR_EraseRootFromParent_Done,
     /*  101762 */   // Label 1578: @101762
     /*  101762 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101851), // Rule ID 70023 //
     /*  101767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101810 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101849 */     GIR_RootConstrainSelectedInstOperands,
     /*  101850 */     // GIR_Coverage, 70023,
     /*  101850 */     GIR_EraseRootFromParent_Done,
     /*  101851 */   // Label 1579: @101851
     /*  101851 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101940), // Rule ID 70024 //
     /*  101856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101899 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101938 */     GIR_RootConstrainSelectedInstOperands,
     /*  101939 */     // GIR_Coverage, 70024,
     /*  101939 */     GIR_EraseRootFromParent_Done,
     /*  101940 */   // Label 1580: @101940
     /*  101940 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(102029), // Rule ID 51689 //
     /*  101945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101988 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102027 */     GIR_RootConstrainSelectedInstOperands,
     /*  102028 */     // GIR_Coverage, 51689,
     /*  102028 */     GIR_EraseRootFromParent_Done,
     /*  102029 */   // Label 1581: @102029
     /*  102029 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(102118), // Rule ID 51690 //
     /*  102034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102077 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102116 */     GIR_RootConstrainSelectedInstOperands,
     /*  102117 */     // GIR_Coverage, 51690,
     /*  102117 */     GIR_EraseRootFromParent_Done,
     /*  102118 */   // Label 1582: @102118
     /*  102118 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(102207), // Rule ID 51389 //
     /*  102123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102166 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102205 */     GIR_RootConstrainSelectedInstOperands,
     /*  102206 */     // GIR_Coverage, 51389,
     /*  102206 */     GIR_EraseRootFromParent_Done,
     /*  102207 */   // Label 1583: @102207
     /*  102207 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(102296), // Rule ID 51390 //
     /*  102212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102255 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102294 */     GIR_RootConstrainSelectedInstOperands,
     /*  102295 */     // GIR_Coverage, 51390,
     /*  102295 */     GIR_EraseRootFromParent_Done,
     /*  102296 */   // Label 1584: @102296
     /*  102296 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(102385), // Rule ID 51629 //
     /*  102301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102344 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102383 */     GIR_RootConstrainSelectedInstOperands,
     /*  102384 */     // GIR_Coverage, 51629,
     /*  102384 */     GIR_EraseRootFromParent_Done,
     /*  102385 */   // Label 1585: @102385
     /*  102385 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(102474), // Rule ID 51630 //
     /*  102390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102433 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102472 */     GIR_RootConstrainSelectedInstOperands,
     /*  102473 */     // GIR_Coverage, 51630,
     /*  102473 */     GIR_EraseRootFromParent_Done,
     /*  102474 */   // Label 1586: @102474
     /*  102474 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(102563), // Rule ID 51569 //
     /*  102479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102522 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102561 */     GIR_RootConstrainSelectedInstOperands,
     /*  102562 */     // GIR_Coverage, 51569,
     /*  102562 */     GIR_EraseRootFromParent_Done,
     /*  102563 */   // Label 1587: @102563
     /*  102563 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102652), // Rule ID 51570 //
     /*  102568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102611 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102650 */     GIR_RootConstrainSelectedInstOperands,
     /*  102651 */     // GIR_Coverage, 51570,
     /*  102651 */     GIR_EraseRootFromParent_Done,
     /*  102652 */   // Label 1588: @102652
     /*  102652 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102741), // Rule ID 70083 //
     /*  102657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102700 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102739 */     GIR_RootConstrainSelectedInstOperands,
     /*  102740 */     // GIR_Coverage, 70083,
     /*  102740 */     GIR_EraseRootFromParent_Done,
     /*  102741 */   // Label 1589: @102741
     /*  102741 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102830), // Rule ID 70084 //
     /*  102746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102789 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102828 */     GIR_RootConstrainSelectedInstOperands,
     /*  102829 */     // GIR_Coverage, 70084,
     /*  102829 */     GIR_EraseRootFromParent_Done,
     /*  102830 */   // Label 1590: @102830
     /*  102830 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102919), // Rule ID 51449 //
     /*  102835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102878 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102917 */     GIR_RootConstrainSelectedInstOperands,
     /*  102918 */     // GIR_Coverage, 51449,
     /*  102918 */     GIR_EraseRootFromParent_Done,
     /*  102919 */   // Label 1591: @102919
     /*  102919 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(103008), // Rule ID 51450 //
     /*  102924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102967 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103006 */     GIR_RootConstrainSelectedInstOperands,
     /*  103007 */     // GIR_Coverage, 51450,
     /*  103007 */     GIR_EraseRootFromParent_Done,
     /*  103008 */   // Label 1592: @103008
     /*  103008 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(103061), // Rule ID 50783 //
     /*  103013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103024 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103059 */     GIR_RootConstrainSelectedInstOperands,
     /*  103060 */     // GIR_Coverage, 50783,
     /*  103060 */     GIR_EraseRootFromParent_Done,
     /*  103061 */   // Label 1593: @103061
     /*  103061 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(103114), // Rule ID 50784 //
     /*  103066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103077 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103112 */     GIR_RootConstrainSelectedInstOperands,
     /*  103113 */     // GIR_Coverage, 50784,
     /*  103113 */     GIR_EraseRootFromParent_Done,
     /*  103114 */   // Label 1594: @103114
     /*  103114 */   GIM_Reject,
     /*  103115 */ // Label 1574: @103115
     /*  103115 */ GIM_Reject,
     /*  103116 */ // Label 1255: @103116
     /*  103116 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(103230),
     /*  103121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  103124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  103127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103139 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(103184), // Rule ID 50771 //
     /*  103144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103147 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103182 */     GIR_RootConstrainSelectedInstOperands,
     /*  103183 */     // GIR_Coverage, 50771,
     /*  103183 */     GIR_EraseRootFromParent_Done,
     /*  103184 */   // Label 1596: @103184
     /*  103184 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(103229), // Rule ID 50772 //
     /*  103189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103192 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103227 */     GIR_RootConstrainSelectedInstOperands,
     /*  103228 */     // GIR_Coverage, 50772,
     /*  103228 */     GIR_EraseRootFromParent_Done,
     /*  103229 */   // Label 1597: @103229
     /*  103229 */   GIM_Reject,
     /*  103230 */ // Label 1595: @103230
     /*  103230 */ GIM_Reject,
     /*  103231 */ // Label 1256: @103231
     /*  103231 */ GIM_Reject,
     /*  103232 */ // Label 3: @103232
     /*  103232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1622*/ GIMT_Encode4(105965),
     /*  103243 */ /*GILLT_s32*//*Label 1598*/ GIMT_Encode4(103367),
     /*  103247 */ /*GILLT_s64*//*Label 1599*/ GIMT_Encode4(103401), GIMT_Encode4(0),
     /*  103255 */ /*GILLT_nxv1s8*//*Label 1600*/ GIMT_Encode4(103435),
     /*  103259 */ /*GILLT_nxv1s16*//*Label 1601*/ GIMT_Encode4(103550),
     /*  103263 */ /*GILLT_nxv1s32*//*Label 1602*/ GIMT_Encode4(103665),
     /*  103267 */ /*GILLT_nxv1s64*//*Label 1603*/ GIMT_Encode4(103780), GIMT_Encode4(0),
     /*  103275 */ /*GILLT_nxv2s8*//*Label 1604*/ GIMT_Encode4(103895),
     /*  103279 */ /*GILLT_nxv2s16*//*Label 1605*/ GIMT_Encode4(104010),
     /*  103283 */ /*GILLT_nxv2s32*//*Label 1606*/ GIMT_Encode4(104125),
     /*  103287 */ /*GILLT_nxv2s64*//*Label 1607*/ GIMT_Encode4(104240), GIMT_Encode4(0),
     /*  103295 */ /*GILLT_nxv4s8*//*Label 1608*/ GIMT_Encode4(104355),
     /*  103299 */ /*GILLT_nxv4s16*//*Label 1609*/ GIMT_Encode4(104470),
     /*  103303 */ /*GILLT_nxv4s32*//*Label 1610*/ GIMT_Encode4(104585),
     /*  103307 */ /*GILLT_nxv4s64*//*Label 1611*/ GIMT_Encode4(104700), GIMT_Encode4(0),
     /*  103315 */ /*GILLT_nxv8s8*//*Label 1612*/ GIMT_Encode4(104815),
     /*  103319 */ /*GILLT_nxv8s16*//*Label 1613*/ GIMT_Encode4(104930),
     /*  103323 */ /*GILLT_nxv8s32*//*Label 1614*/ GIMT_Encode4(105045),
     /*  103327 */ /*GILLT_nxv8s64*//*Label 1615*/ GIMT_Encode4(105160), GIMT_Encode4(0),
     /*  103335 */ /*GILLT_nxv16s8*//*Label 1616*/ GIMT_Encode4(105275),
     /*  103339 */ /*GILLT_nxv16s16*//*Label 1617*/ GIMT_Encode4(105390),
     /*  103343 */ /*GILLT_nxv16s32*//*Label 1618*/ GIMT_Encode4(105505), GIMT_Encode4(0),
     /*  103351 */ /*GILLT_nxv32s8*//*Label 1619*/ GIMT_Encode4(105620),
     /*  103355 */ /*GILLT_nxv32s16*//*Label 1620*/ GIMT_Encode4(105735), GIMT_Encode4(0),
     /*  103363 */ /*GILLT_nxv64s8*//*Label 1621*/ GIMT_Encode4(105850),
     /*  103367 */ // Label 1598: @103367
     /*  103367 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(103400), // Rule ID 297 //
     /*  103372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  103375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  103378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  103381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103393 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  103393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103398 */   GIR_RootConstrainSelectedInstOperands,
     /*  103399 */   // GIR_Coverage, 297,
     /*  103399 */   GIR_Done,
     /*  103400 */ // Label 1623: @103400
     /*  103400 */ GIM_Reject,
     /*  103401 */ // Label 1599: @103401
     /*  103401 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(103434), // Rule ID 296 //
     /*  103406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  103409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  103412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  103415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103427 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103432 */   GIR_RootConstrainSelectedInstOperands,
     /*  103433 */   // GIR_Coverage, 296,
     /*  103433 */   GIR_Done,
     /*  103434 */ // Label 1624: @103434
     /*  103434 */ GIM_Reject,
     /*  103435 */ // Label 1600: @103435
     /*  103435 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(103549),
     /*  103440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  103443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  103446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103458 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(103503), // Rule ID 51075 //
     /*  103463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103466 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103501 */     GIR_RootConstrainSelectedInstOperands,
     /*  103502 */     // GIR_Coverage, 51075,
     /*  103502 */     GIR_EraseRootFromParent_Done,
     /*  103503 */   // Label 1626: @103503
     /*  103503 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(103548), // Rule ID 51076 //
     /*  103508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103511 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103546 */     GIR_RootConstrainSelectedInstOperands,
     /*  103547 */     // GIR_Coverage, 51076,
     /*  103547 */     GIR_EraseRootFromParent_Done,
     /*  103548 */   // Label 1627: @103548
     /*  103548 */   GIM_Reject,
     /*  103549 */ // Label 1625: @103549
     /*  103549 */ GIM_Reject,
     /*  103550 */ // Label 1601: @103550
     /*  103550 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(103664),
     /*  103555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  103558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  103561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103573 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(103618), // Rule ID 51087 //
     /*  103578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103581 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103616 */     GIR_RootConstrainSelectedInstOperands,
     /*  103617 */     // GIR_Coverage, 51087,
     /*  103617 */     GIR_EraseRootFromParent_Done,
     /*  103618 */   // Label 1629: @103618
     /*  103618 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(103663), // Rule ID 51088 //
     /*  103623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103626 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103661 */     GIR_RootConstrainSelectedInstOperands,
     /*  103662 */     // GIR_Coverage, 51088,
     /*  103662 */     GIR_EraseRootFromParent_Done,
     /*  103663 */   // Label 1630: @103663
     /*  103663 */   GIM_Reject,
     /*  103664 */ // Label 1628: @103664
     /*  103664 */ GIM_Reject,
     /*  103665 */ // Label 1602: @103665
     /*  103665 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(103779),
     /*  103670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  103673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  103676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103688 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(103733), // Rule ID 51095 //
     /*  103693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103696 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  103696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103731 */     GIR_RootConstrainSelectedInstOperands,
     /*  103732 */     // GIR_Coverage, 51095,
     /*  103732 */     GIR_EraseRootFromParent_Done,
     /*  103733 */   // Label 1632: @103733
     /*  103733 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(103778), // Rule ID 51096 //
     /*  103738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103741 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  103741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103776 */     GIR_RootConstrainSelectedInstOperands,
     /*  103777 */     // GIR_Coverage, 51096,
     /*  103777 */     GIR_EraseRootFromParent_Done,
     /*  103778 */   // Label 1633: @103778
     /*  103778 */   GIM_Reject,
     /*  103779 */ // Label 1631: @103779
     /*  103779 */ GIM_Reject,
     /*  103780 */ // Label 1603: @103780
     /*  103780 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(103894),
     /*  103785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  103788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  103791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103803 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(103848), // Rule ID 51111 //
     /*  103808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  103811 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  103811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103846 */     GIR_RootConstrainSelectedInstOperands,
     /*  103847 */     // GIR_Coverage, 51111,
     /*  103847 */     GIR_EraseRootFromParent_Done,
     /*  103848 */   // Label 1635: @103848
     /*  103848 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(103893), // Rule ID 51112 //
     /*  103853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  103856 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  103856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103891 */     GIR_RootConstrainSelectedInstOperands,
     /*  103892 */     // GIR_Coverage, 51112,
     /*  103892 */     GIR_EraseRootFromParent_Done,
     /*  103893 */   // Label 1636: @103893
     /*  103893 */   GIM_Reject,
     /*  103894 */ // Label 1634: @103894
     /*  103894 */ GIM_Reject,
     /*  103895 */ // Label 1604: @103895
     /*  103895 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(104009),
     /*  103900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  103903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  103906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103918 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(103963), // Rule ID 51079 //
     /*  103923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103926 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103961 */     GIR_RootConstrainSelectedInstOperands,
     /*  103962 */     // GIR_Coverage, 51079,
     /*  103962 */     GIR_EraseRootFromParent_Done,
     /*  103963 */   // Label 1638: @103963
     /*  103963 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(104008), // Rule ID 51080 //
     /*  103968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103971 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104006 */     GIR_RootConstrainSelectedInstOperands,
     /*  104007 */     // GIR_Coverage, 51080,
     /*  104007 */     GIR_EraseRootFromParent_Done,
     /*  104008 */   // Label 1639: @104008
     /*  104008 */   GIM_Reject,
     /*  104009 */ // Label 1637: @104009
     /*  104009 */ GIM_Reject,
     /*  104010 */ // Label 1605: @104010
     /*  104010 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(104124),
     /*  104015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  104018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  104021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104033 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(104078), // Rule ID 51091 //
     /*  104038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104041 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104076 */     GIR_RootConstrainSelectedInstOperands,
     /*  104077 */     // GIR_Coverage, 51091,
     /*  104077 */     GIR_EraseRootFromParent_Done,
     /*  104078 */   // Label 1641: @104078
     /*  104078 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(104123), // Rule ID 51092 //
     /*  104083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104086 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104121 */     GIR_RootConstrainSelectedInstOperands,
     /*  104122 */     // GIR_Coverage, 51092,
     /*  104122 */     GIR_EraseRootFromParent_Done,
     /*  104123 */   // Label 1642: @104123
     /*  104123 */   GIM_Reject,
     /*  104124 */ // Label 1640: @104124
     /*  104124 */ GIM_Reject,
     /*  104125 */ // Label 1606: @104125
     /*  104125 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(104239),
     /*  104130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  104133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  104136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104148 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(104193), // Rule ID 51107 //
     /*  104153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104156 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104191 */     GIR_RootConstrainSelectedInstOperands,
     /*  104192 */     // GIR_Coverage, 51107,
     /*  104192 */     GIR_EraseRootFromParent_Done,
     /*  104193 */   // Label 1644: @104193
     /*  104193 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(104238), // Rule ID 51108 //
     /*  104198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104201 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104236 */     GIR_RootConstrainSelectedInstOperands,
     /*  104237 */     // GIR_Coverage, 51108,
     /*  104237 */     GIR_EraseRootFromParent_Done,
     /*  104238 */   // Label 1645: @104238
     /*  104238 */   GIM_Reject,
     /*  104239 */ // Label 1643: @104239
     /*  104239 */ GIM_Reject,
     /*  104240 */ // Label 1607: @104240
     /*  104240 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(104354),
     /*  104245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  104248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  104251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104263 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(104308), // Rule ID 51151 //
     /*  104268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104271 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104306 */     GIR_RootConstrainSelectedInstOperands,
     /*  104307 */     // GIR_Coverage, 51151,
     /*  104307 */     GIR_EraseRootFromParent_Done,
     /*  104308 */   // Label 1647: @104308
     /*  104308 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(104353), // Rule ID 51152 //
     /*  104313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104316 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104351 */     GIR_RootConstrainSelectedInstOperands,
     /*  104352 */     // GIR_Coverage, 51152,
     /*  104352 */     GIR_EraseRootFromParent_Done,
     /*  104353 */   // Label 1648: @104353
     /*  104353 */   GIM_Reject,
     /*  104354 */ // Label 1646: @104354
     /*  104354 */ GIM_Reject,
     /*  104355 */ // Label 1608: @104355
     /*  104355 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(104469),
     /*  104360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  104363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  104366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104378 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(104423), // Rule ID 51083 //
     /*  104383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104386 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104421 */     GIR_RootConstrainSelectedInstOperands,
     /*  104422 */     // GIR_Coverage, 51083,
     /*  104422 */     GIR_EraseRootFromParent_Done,
     /*  104423 */   // Label 1650: @104423
     /*  104423 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(104468), // Rule ID 51084 //
     /*  104428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104431 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104466 */     GIR_RootConstrainSelectedInstOperands,
     /*  104467 */     // GIR_Coverage, 51084,
     /*  104467 */     GIR_EraseRootFromParent_Done,
     /*  104468 */   // Label 1651: @104468
     /*  104468 */   GIM_Reject,
     /*  104469 */ // Label 1649: @104469
     /*  104469 */ GIM_Reject,
     /*  104470 */ // Label 1609: @104470
     /*  104470 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(104584),
     /*  104475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  104478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  104481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104493 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(104538), // Rule ID 51103 //
     /*  104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104501 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104536 */     GIR_RootConstrainSelectedInstOperands,
     /*  104537 */     // GIR_Coverage, 51103,
     /*  104537 */     GIR_EraseRootFromParent_Done,
     /*  104538 */   // Label 1653: @104538
     /*  104538 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(104583), // Rule ID 51104 //
     /*  104543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104546 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104581 */     GIR_RootConstrainSelectedInstOperands,
     /*  104582 */     // GIR_Coverage, 51104,
     /*  104582 */     GIR_EraseRootFromParent_Done,
     /*  104583 */   // Label 1654: @104583
     /*  104583 */   GIM_Reject,
     /*  104584 */ // Label 1652: @104584
     /*  104584 */ GIM_Reject,
     /*  104585 */ // Label 1610: @104585
     /*  104585 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(104699),
     /*  104590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  104593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  104596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104608 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(104653), // Rule ID 51139 //
     /*  104613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104616 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104651 */     GIR_RootConstrainSelectedInstOperands,
     /*  104652 */     // GIR_Coverage, 51139,
     /*  104652 */     GIR_EraseRootFromParent_Done,
     /*  104653 */   // Label 1656: @104653
     /*  104653 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(104698), // Rule ID 51140 //
     /*  104658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104661 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104696 */     GIR_RootConstrainSelectedInstOperands,
     /*  104697 */     // GIR_Coverage, 51140,
     /*  104697 */     GIR_EraseRootFromParent_Done,
     /*  104698 */   // Label 1657: @104698
     /*  104698 */   GIM_Reject,
     /*  104699 */ // Label 1655: @104699
     /*  104699 */ GIM_Reject,
     /*  104700 */ // Label 1611: @104700
     /*  104700 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(104814),
     /*  104705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  104708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  104711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104723 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(104768), // Rule ID 51155 //
     /*  104728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104731 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104766 */     GIR_RootConstrainSelectedInstOperands,
     /*  104767 */     // GIR_Coverage, 51155,
     /*  104767 */     GIR_EraseRootFromParent_Done,
     /*  104768 */   // Label 1659: @104768
     /*  104768 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(104813), // Rule ID 51156 //
     /*  104773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104776 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104811 */     GIR_RootConstrainSelectedInstOperands,
     /*  104812 */     // GIR_Coverage, 51156,
     /*  104812 */     GIR_EraseRootFromParent_Done,
     /*  104813 */   // Label 1660: @104813
     /*  104813 */   GIM_Reject,
     /*  104814 */ // Label 1658: @104814
     /*  104814 */ GIM_Reject,
     /*  104815 */ // Label 1612: @104815
     /*  104815 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(104929),
     /*  104820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  104823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  104826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104838 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(104883), // Rule ID 51099 //
     /*  104843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104846 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104881 */     GIR_RootConstrainSelectedInstOperands,
     /*  104882 */     // GIR_Coverage, 51099,
     /*  104882 */     GIR_EraseRootFromParent_Done,
     /*  104883 */   // Label 1662: @104883
     /*  104883 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(104928), // Rule ID 51100 //
     /*  104888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104891 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104926 */     GIR_RootConstrainSelectedInstOperands,
     /*  104927 */     // GIR_Coverage, 51100,
     /*  104927 */     GIR_EraseRootFromParent_Done,
     /*  104928 */   // Label 1663: @104928
     /*  104928 */   GIM_Reject,
     /*  104929 */ // Label 1661: @104929
     /*  104929 */ GIM_Reject,
     /*  104930 */ // Label 1613: @104930
     /*  104930 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(105044),
     /*  104935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  104938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  104941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104953 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(104998), // Rule ID 51127 //
     /*  104958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104961 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  104964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  104978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104996 */     GIR_RootConstrainSelectedInstOperands,
     /*  104997 */     // GIR_Coverage, 51127,
     /*  104997 */     GIR_EraseRootFromParent_Done,
     /*  104998 */   // Label 1665: @104998
     /*  104998 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(105043), // Rule ID 51128 //
     /*  105003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105006 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  105009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  105023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105041 */     GIR_RootConstrainSelectedInstOperands,
     /*  105042 */     // GIR_Coverage, 51128,
     /*  105042 */     GIR_EraseRootFromParent_Done,
     /*  105043 */   // Label 1666: @105043
     /*  105043 */   GIM_Reject,
     /*  105044 */ // Label 1664: @105044
     /*  105044 */ GIM_Reject,
     /*  105045 */ // Label 1614: @105045
     /*  105045 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(105159),
     /*  105050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  105053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  105056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105068 */   GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(105113), // Rule ID 51143 //
     /*  105073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105076 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105111 */     GIR_RootConstrainSelectedInstOperands,
     /*  105112 */     // GIR_Coverage, 51143,
     /*  105112 */     GIR_EraseRootFromParent_Done,
     /*  105113 */   // Label 1668: @105113
     /*  105113 */   GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(105158), // Rule ID 51144 //
     /*  105118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105121 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105156 */     GIR_RootConstrainSelectedInstOperands,
     /*  105157 */     // GIR_Coverage, 51144,
     /*  105157 */     GIR_EraseRootFromParent_Done,
     /*  105158 */   // Label 1669: @105158
     /*  105158 */   GIM_Reject,
     /*  105159 */ // Label 1667: @105159
     /*  105159 */ GIM_Reject,
     /*  105160 */ // Label 1615: @105160
     /*  105160 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(105274),
     /*  105165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  105168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  105171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105183 */   GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(105228), // Rule ID 51159 //
     /*  105188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  105191 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  105191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105226 */     GIR_RootConstrainSelectedInstOperands,
     /*  105227 */     // GIR_Coverage, 51159,
     /*  105227 */     GIR_EraseRootFromParent_Done,
     /*  105228 */   // Label 1671: @105228
     /*  105228 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(105273), // Rule ID 51160 //
     /*  105233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  105236 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  105236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105271 */     GIR_RootConstrainSelectedInstOperands,
     /*  105272 */     // GIR_Coverage, 51160,
     /*  105272 */     GIR_EraseRootFromParent_Done,
     /*  105273 */   // Label 1672: @105273
     /*  105273 */   GIM_Reject,
     /*  105274 */ // Label 1670: @105274
     /*  105274 */ GIM_Reject,
     /*  105275 */ // Label 1616: @105275
     /*  105275 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(105389),
     /*  105280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  105283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  105286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105298 */   GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(105343), // Rule ID 51115 //
     /*  105303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105306 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105341 */     GIR_RootConstrainSelectedInstOperands,
     /*  105342 */     // GIR_Coverage, 51115,
     /*  105342 */     GIR_EraseRootFromParent_Done,
     /*  105343 */   // Label 1674: @105343
     /*  105343 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(105388), // Rule ID 51116 //
     /*  105348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105351 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105386 */     GIR_RootConstrainSelectedInstOperands,
     /*  105387 */     // GIR_Coverage, 51116,
     /*  105387 */     GIR_EraseRootFromParent_Done,
     /*  105388 */   // Label 1675: @105388
     /*  105388 */   GIM_Reject,
     /*  105389 */ // Label 1673: @105389
     /*  105389 */ GIM_Reject,
     /*  105390 */ // Label 1617: @105390
     /*  105390 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(105504),
     /*  105395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  105401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105413 */   GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(105458), // Rule ID 51131 //
     /*  105418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105421 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105456 */     GIR_RootConstrainSelectedInstOperands,
     /*  105457 */     // GIR_Coverage, 51131,
     /*  105457 */     GIR_EraseRootFromParent_Done,
     /*  105458 */   // Label 1677: @105458
     /*  105458 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(105503), // Rule ID 51132 //
     /*  105463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105466 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105501 */     GIR_RootConstrainSelectedInstOperands,
     /*  105502 */     // GIR_Coverage, 51132,
     /*  105502 */     GIR_EraseRootFromParent_Done,
     /*  105503 */   // Label 1678: @105503
     /*  105503 */   GIM_Reject,
     /*  105504 */ // Label 1676: @105504
     /*  105504 */ GIM_Reject,
     /*  105505 */ // Label 1618: @105505
     /*  105505 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(105619),
     /*  105510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  105513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  105516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105528 */   GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(105573), // Rule ID 51147 //
     /*  105533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105536 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105571 */     GIR_RootConstrainSelectedInstOperands,
     /*  105572 */     // GIR_Coverage, 51147,
     /*  105572 */     GIR_EraseRootFromParent_Done,
     /*  105573 */   // Label 1680: @105573
     /*  105573 */   GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(105618), // Rule ID 51148 //
     /*  105578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105581 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105616 */     GIR_RootConstrainSelectedInstOperands,
     /*  105617 */     // GIR_Coverage, 51148,
     /*  105617 */     GIR_EraseRootFromParent_Done,
     /*  105618 */   // Label 1681: @105618
     /*  105618 */   GIM_Reject,
     /*  105619 */ // Label 1679: @105619
     /*  105619 */ GIM_Reject,
     /*  105620 */ // Label 1619: @105620
     /*  105620 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(105734),
     /*  105625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105643 */   GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(105688), // Rule ID 51119 //
     /*  105648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105651 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105686 */     GIR_RootConstrainSelectedInstOperands,
     /*  105687 */     // GIR_Coverage, 51119,
     /*  105687 */     GIR_EraseRootFromParent_Done,
     /*  105688 */   // Label 1683: @105688
     /*  105688 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(105733), // Rule ID 51120 //
     /*  105693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105696 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105731 */     GIR_RootConstrainSelectedInstOperands,
     /*  105732 */     // GIR_Coverage, 51120,
     /*  105732 */     GIR_EraseRootFromParent_Done,
     /*  105733 */   // Label 1684: @105733
     /*  105733 */   GIM_Reject,
     /*  105734 */ // Label 1682: @105734
     /*  105734 */ GIM_Reject,
     /*  105735 */ // Label 1620: @105735
     /*  105735 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(105849),
     /*  105740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105758 */   GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(105803), // Rule ID 51135 //
     /*  105763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105766 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105801 */     GIR_RootConstrainSelectedInstOperands,
     /*  105802 */     // GIR_Coverage, 51135,
     /*  105802 */     GIR_EraseRootFromParent_Done,
     /*  105803 */   // Label 1686: @105803
     /*  105803 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(105848), // Rule ID 51136 //
     /*  105808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105811 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105846 */     GIR_RootConstrainSelectedInstOperands,
     /*  105847 */     // GIR_Coverage, 51136,
     /*  105847 */     GIR_EraseRootFromParent_Done,
     /*  105848 */   // Label 1687: @105848
     /*  105848 */   GIM_Reject,
     /*  105849 */ // Label 1685: @105849
     /*  105849 */ GIM_Reject,
     /*  105850 */ // Label 1621: @105850
     /*  105850 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(105964),
     /*  105855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  105858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  105861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105873 */   GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(105918), // Rule ID 51123 //
     /*  105878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105881 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105916 */     GIR_RootConstrainSelectedInstOperands,
     /*  105917 */     // GIR_Coverage, 51123,
     /*  105917 */     GIR_EraseRootFromParent_Done,
     /*  105918 */   // Label 1689: @105918
     /*  105918 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(105963), // Rule ID 51124 //
     /*  105923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105926 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105961 */     GIR_RootConstrainSelectedInstOperands,
     /*  105962 */     // GIR_Coverage, 51124,
     /*  105962 */     GIR_EraseRootFromParent_Done,
     /*  105963 */   // Label 1690: @105963
     /*  105963 */   GIM_Reject,
     /*  105964 */ // Label 1688: @105964
     /*  105964 */ GIM_Reject,
     /*  105965 */ // Label 1622: @105965
     /*  105965 */ GIM_Reject,
     /*  105966 */ // Label 4: @105966
     /*  105966 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1715*/ GIMT_Encode4(108699),
     /*  105977 */ /*GILLT_s32*//*Label 1691*/ GIMT_Encode4(106101),
     /*  105981 */ /*GILLT_s64*//*Label 1692*/ GIMT_Encode4(106135), GIMT_Encode4(0),
     /*  105989 */ /*GILLT_nxv1s8*//*Label 1693*/ GIMT_Encode4(106169),
     /*  105993 */ /*GILLT_nxv1s16*//*Label 1694*/ GIMT_Encode4(106284),
     /*  105997 */ /*GILLT_nxv1s32*//*Label 1695*/ GIMT_Encode4(106399),
     /*  106001 */ /*GILLT_nxv1s64*//*Label 1696*/ GIMT_Encode4(106514), GIMT_Encode4(0),
     /*  106009 */ /*GILLT_nxv2s8*//*Label 1697*/ GIMT_Encode4(106629),
     /*  106013 */ /*GILLT_nxv2s16*//*Label 1698*/ GIMT_Encode4(106744),
     /*  106017 */ /*GILLT_nxv2s32*//*Label 1699*/ GIMT_Encode4(106859),
     /*  106021 */ /*GILLT_nxv2s64*//*Label 1700*/ GIMT_Encode4(106974), GIMT_Encode4(0),
     /*  106029 */ /*GILLT_nxv4s8*//*Label 1701*/ GIMT_Encode4(107089),
     /*  106033 */ /*GILLT_nxv4s16*//*Label 1702*/ GIMT_Encode4(107204),
     /*  106037 */ /*GILLT_nxv4s32*//*Label 1703*/ GIMT_Encode4(107319),
     /*  106041 */ /*GILLT_nxv4s64*//*Label 1704*/ GIMT_Encode4(107434), GIMT_Encode4(0),
     /*  106049 */ /*GILLT_nxv8s8*//*Label 1705*/ GIMT_Encode4(107549),
     /*  106053 */ /*GILLT_nxv8s16*//*Label 1706*/ GIMT_Encode4(107664),
     /*  106057 */ /*GILLT_nxv8s32*//*Label 1707*/ GIMT_Encode4(107779),
     /*  106061 */ /*GILLT_nxv8s64*//*Label 1708*/ GIMT_Encode4(107894), GIMT_Encode4(0),
     /*  106069 */ /*GILLT_nxv16s8*//*Label 1709*/ GIMT_Encode4(108009),
     /*  106073 */ /*GILLT_nxv16s16*//*Label 1710*/ GIMT_Encode4(108124),
     /*  106077 */ /*GILLT_nxv16s32*//*Label 1711*/ GIMT_Encode4(108239), GIMT_Encode4(0),
     /*  106085 */ /*GILLT_nxv32s8*//*Label 1712*/ GIMT_Encode4(108354),
     /*  106089 */ /*GILLT_nxv32s16*//*Label 1713*/ GIMT_Encode4(108469), GIMT_Encode4(0),
     /*  106097 */ /*GILLT_nxv64s8*//*Label 1714*/ GIMT_Encode4(108584),
     /*  106101 */ // Label 1691: @106101
     /*  106101 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(106134), // Rule ID 299 //
     /*  106106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  106109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  106112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  106115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106127 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  106127 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106132 */   GIR_RootConstrainSelectedInstOperands,
     /*  106133 */   // GIR_Coverage, 299,
     /*  106133 */   GIR_Done,
     /*  106134 */ // Label 1716: @106134
     /*  106134 */ GIM_Reject,
     /*  106135 */ // Label 1692: @106135
     /*  106135 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(106168), // Rule ID 298 //
     /*  106140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  106143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  106146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  106149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106161 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106161 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106166 */   GIR_RootConstrainSelectedInstOperands,
     /*  106167 */   // GIR_Coverage, 298,
     /*  106167 */   GIR_Done,
     /*  106168 */ // Label 1717: @106168
     /*  106168 */ GIM_Reject,
     /*  106169 */ // Label 1693: @106169
     /*  106169 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(106283),
     /*  106174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  106177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  106180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106192 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(106237), // Rule ID 50987 //
     /*  106197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106200 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106235 */     GIR_RootConstrainSelectedInstOperands,
     /*  106236 */     // GIR_Coverage, 50987,
     /*  106236 */     GIR_EraseRootFromParent_Done,
     /*  106237 */   // Label 1719: @106237
     /*  106237 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(106282), // Rule ID 50988 //
     /*  106242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106245 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106280 */     GIR_RootConstrainSelectedInstOperands,
     /*  106281 */     // GIR_Coverage, 50988,
     /*  106281 */     GIR_EraseRootFromParent_Done,
     /*  106282 */   // Label 1720: @106282
     /*  106282 */   GIM_Reject,
     /*  106283 */ // Label 1718: @106283
     /*  106283 */ GIM_Reject,
     /*  106284 */ // Label 1694: @106284
     /*  106284 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(106398),
     /*  106289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  106292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  106295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106307 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(106352), // Rule ID 50999 //
     /*  106312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106315 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106350 */     GIR_RootConstrainSelectedInstOperands,
     /*  106351 */     // GIR_Coverage, 50999,
     /*  106351 */     GIR_EraseRootFromParent_Done,
     /*  106352 */   // Label 1722: @106352
     /*  106352 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(106397), // Rule ID 51000 //
     /*  106357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106360 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106395 */     GIR_RootConstrainSelectedInstOperands,
     /*  106396 */     // GIR_Coverage, 51000,
     /*  106396 */     GIR_EraseRootFromParent_Done,
     /*  106397 */   // Label 1723: @106397
     /*  106397 */   GIM_Reject,
     /*  106398 */ // Label 1721: @106398
     /*  106398 */ GIM_Reject,
     /*  106399 */ // Label 1695: @106399
     /*  106399 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(106513),
     /*  106404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  106407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  106410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106422 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(106467), // Rule ID 51007 //
     /*  106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106430 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106465 */     GIR_RootConstrainSelectedInstOperands,
     /*  106466 */     // GIR_Coverage, 51007,
     /*  106466 */     GIR_EraseRootFromParent_Done,
     /*  106467 */   // Label 1725: @106467
     /*  106467 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(106512), // Rule ID 51008 //
     /*  106472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106475 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106510 */     GIR_RootConstrainSelectedInstOperands,
     /*  106511 */     // GIR_Coverage, 51008,
     /*  106511 */     GIR_EraseRootFromParent_Done,
     /*  106512 */   // Label 1726: @106512
     /*  106512 */   GIM_Reject,
     /*  106513 */ // Label 1724: @106513
     /*  106513 */ GIM_Reject,
     /*  106514 */ // Label 1696: @106514
     /*  106514 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(106628),
     /*  106519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  106522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  106525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106537 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(106582), // Rule ID 51023 //
     /*  106542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  106545 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  106545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106580 */     GIR_RootConstrainSelectedInstOperands,
     /*  106581 */     // GIR_Coverage, 51023,
     /*  106581 */     GIR_EraseRootFromParent_Done,
     /*  106582 */   // Label 1728: @106582
     /*  106582 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(106627), // Rule ID 51024 //
     /*  106587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  106590 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  106590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106625 */     GIR_RootConstrainSelectedInstOperands,
     /*  106626 */     // GIR_Coverage, 51024,
     /*  106626 */     GIR_EraseRootFromParent_Done,
     /*  106627 */   // Label 1729: @106627
     /*  106627 */   GIM_Reject,
     /*  106628 */ // Label 1727: @106628
     /*  106628 */ GIM_Reject,
     /*  106629 */ // Label 1697: @106629
     /*  106629 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(106743),
     /*  106634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  106637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  106640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106652 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(106697), // Rule ID 50991 //
     /*  106657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106660 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106695 */     GIR_RootConstrainSelectedInstOperands,
     /*  106696 */     // GIR_Coverage, 50991,
     /*  106696 */     GIR_EraseRootFromParent_Done,
     /*  106697 */   // Label 1731: @106697
     /*  106697 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(106742), // Rule ID 50992 //
     /*  106702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106705 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106740 */     GIR_RootConstrainSelectedInstOperands,
     /*  106741 */     // GIR_Coverage, 50992,
     /*  106741 */     GIR_EraseRootFromParent_Done,
     /*  106742 */   // Label 1732: @106742
     /*  106742 */   GIM_Reject,
     /*  106743 */ // Label 1730: @106743
     /*  106743 */ GIM_Reject,
     /*  106744 */ // Label 1698: @106744
     /*  106744 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(106858),
     /*  106749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  106752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  106755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106767 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(106812), // Rule ID 51003 //
     /*  106772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106775 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106810 */     GIR_RootConstrainSelectedInstOperands,
     /*  106811 */     // GIR_Coverage, 51003,
     /*  106811 */     GIR_EraseRootFromParent_Done,
     /*  106812 */   // Label 1734: @106812
     /*  106812 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(106857), // Rule ID 51004 //
     /*  106817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106820 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106855 */     GIR_RootConstrainSelectedInstOperands,
     /*  106856 */     // GIR_Coverage, 51004,
     /*  106856 */     GIR_EraseRootFromParent_Done,
     /*  106857 */   // Label 1735: @106857
     /*  106857 */   GIM_Reject,
     /*  106858 */ // Label 1733: @106858
     /*  106858 */ GIM_Reject,
     /*  106859 */ // Label 1699: @106859
     /*  106859 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(106973),
     /*  106864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  106867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  106870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106882 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(106927), // Rule ID 51019 //
     /*  106887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106890 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106925 */     GIR_RootConstrainSelectedInstOperands,
     /*  106926 */     // GIR_Coverage, 51019,
     /*  106926 */     GIR_EraseRootFromParent_Done,
     /*  106927 */   // Label 1737: @106927
     /*  106927 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(106972), // Rule ID 51020 //
     /*  106932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106935 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106970 */     GIR_RootConstrainSelectedInstOperands,
     /*  106971 */     // GIR_Coverage, 51020,
     /*  106971 */     GIR_EraseRootFromParent_Done,
     /*  106972 */   // Label 1738: @106972
     /*  106972 */   GIM_Reject,
     /*  106973 */ // Label 1736: @106973
     /*  106973 */ GIM_Reject,
     /*  106974 */ // Label 1700: @106974
     /*  106974 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(107088),
     /*  106979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  106982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  106985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106997 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(107042), // Rule ID 51063 //
     /*  107002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107005 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107040 */     GIR_RootConstrainSelectedInstOperands,
     /*  107041 */     // GIR_Coverage, 51063,
     /*  107041 */     GIR_EraseRootFromParent_Done,
     /*  107042 */   // Label 1740: @107042
     /*  107042 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(107087), // Rule ID 51064 //
     /*  107047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107050 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107085 */     GIR_RootConstrainSelectedInstOperands,
     /*  107086 */     // GIR_Coverage, 51064,
     /*  107086 */     GIR_EraseRootFromParent_Done,
     /*  107087 */   // Label 1741: @107087
     /*  107087 */   GIM_Reject,
     /*  107088 */ // Label 1739: @107088
     /*  107088 */ GIM_Reject,
     /*  107089 */ // Label 1701: @107089
     /*  107089 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(107203),
     /*  107094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  107097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  107100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107112 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(107157), // Rule ID 50995 //
     /*  107117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107120 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107155 */     GIR_RootConstrainSelectedInstOperands,
     /*  107156 */     // GIR_Coverage, 50995,
     /*  107156 */     GIR_EraseRootFromParent_Done,
     /*  107157 */   // Label 1743: @107157
     /*  107157 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(107202), // Rule ID 50996 //
     /*  107162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107165 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107200 */     GIR_RootConstrainSelectedInstOperands,
     /*  107201 */     // GIR_Coverage, 50996,
     /*  107201 */     GIR_EraseRootFromParent_Done,
     /*  107202 */   // Label 1744: @107202
     /*  107202 */   GIM_Reject,
     /*  107203 */ // Label 1742: @107203
     /*  107203 */ GIM_Reject,
     /*  107204 */ // Label 1702: @107204
     /*  107204 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(107318),
     /*  107209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  107212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  107215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107227 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(107272), // Rule ID 51015 //
     /*  107232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107235 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107270 */     GIR_RootConstrainSelectedInstOperands,
     /*  107271 */     // GIR_Coverage, 51015,
     /*  107271 */     GIR_EraseRootFromParent_Done,
     /*  107272 */   // Label 1746: @107272
     /*  107272 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(107317), // Rule ID 51016 //
     /*  107277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107280 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107315 */     GIR_RootConstrainSelectedInstOperands,
     /*  107316 */     // GIR_Coverage, 51016,
     /*  107316 */     GIR_EraseRootFromParent_Done,
     /*  107317 */   // Label 1747: @107317
     /*  107317 */   GIM_Reject,
     /*  107318 */ // Label 1745: @107318
     /*  107318 */ GIM_Reject,
     /*  107319 */ // Label 1703: @107319
     /*  107319 */ GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(107433),
     /*  107324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  107327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  107330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107342 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(107387), // Rule ID 51051 //
     /*  107347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107350 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107385 */     GIR_RootConstrainSelectedInstOperands,
     /*  107386 */     // GIR_Coverage, 51051,
     /*  107386 */     GIR_EraseRootFromParent_Done,
     /*  107387 */   // Label 1749: @107387
     /*  107387 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(107432), // Rule ID 51052 //
     /*  107392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107395 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107430 */     GIR_RootConstrainSelectedInstOperands,
     /*  107431 */     // GIR_Coverage, 51052,
     /*  107431 */     GIR_EraseRootFromParent_Done,
     /*  107432 */   // Label 1750: @107432
     /*  107432 */   GIM_Reject,
     /*  107433 */ // Label 1748: @107433
     /*  107433 */ GIM_Reject,
     /*  107434 */ // Label 1704: @107434
     /*  107434 */ GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(107548),
     /*  107439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  107442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  107445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107457 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(107502), // Rule ID 51067 //
     /*  107462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107465 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107500 */     GIR_RootConstrainSelectedInstOperands,
     /*  107501 */     // GIR_Coverage, 51067,
     /*  107501 */     GIR_EraseRootFromParent_Done,
     /*  107502 */   // Label 1752: @107502
     /*  107502 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(107547), // Rule ID 51068 //
     /*  107507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107510 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107545 */     GIR_RootConstrainSelectedInstOperands,
     /*  107546 */     // GIR_Coverage, 51068,
     /*  107546 */     GIR_EraseRootFromParent_Done,
     /*  107547 */   // Label 1753: @107547
     /*  107547 */   GIM_Reject,
     /*  107548 */ // Label 1751: @107548
     /*  107548 */ GIM_Reject,
     /*  107549 */ // Label 1705: @107549
     /*  107549 */ GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(107663),
     /*  107554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  107557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  107560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107572 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(107617), // Rule ID 51011 //
     /*  107577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107580 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107615 */     GIR_RootConstrainSelectedInstOperands,
     /*  107616 */     // GIR_Coverage, 51011,
     /*  107616 */     GIR_EraseRootFromParent_Done,
     /*  107617 */   // Label 1755: @107617
     /*  107617 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(107662), // Rule ID 51012 //
     /*  107622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107625 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107660 */     GIR_RootConstrainSelectedInstOperands,
     /*  107661 */     // GIR_Coverage, 51012,
     /*  107661 */     GIR_EraseRootFromParent_Done,
     /*  107662 */   // Label 1756: @107662
     /*  107662 */   GIM_Reject,
     /*  107663 */ // Label 1754: @107663
     /*  107663 */ GIM_Reject,
     /*  107664 */ // Label 1706: @107664
     /*  107664 */ GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(107778),
     /*  107669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  107672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  107675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107687 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(107732), // Rule ID 51039 //
     /*  107692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107695 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107730 */     GIR_RootConstrainSelectedInstOperands,
     /*  107731 */     // GIR_Coverage, 51039,
     /*  107731 */     GIR_EraseRootFromParent_Done,
     /*  107732 */   // Label 1758: @107732
     /*  107732 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(107777), // Rule ID 51040 //
     /*  107737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107740 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107775 */     GIR_RootConstrainSelectedInstOperands,
     /*  107776 */     // GIR_Coverage, 51040,
     /*  107776 */     GIR_EraseRootFromParent_Done,
     /*  107777 */   // Label 1759: @107777
     /*  107777 */   GIM_Reject,
     /*  107778 */ // Label 1757: @107778
     /*  107778 */ GIM_Reject,
     /*  107779 */ // Label 1707: @107779
     /*  107779 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(107893),
     /*  107784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  107787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  107790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107802 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(107847), // Rule ID 51055 //
     /*  107807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107810 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107845 */     GIR_RootConstrainSelectedInstOperands,
     /*  107846 */     // GIR_Coverage, 51055,
     /*  107846 */     GIR_EraseRootFromParent_Done,
     /*  107847 */   // Label 1761: @107847
     /*  107847 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(107892), // Rule ID 51056 //
     /*  107852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107855 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107890 */     GIR_RootConstrainSelectedInstOperands,
     /*  107891 */     // GIR_Coverage, 51056,
     /*  107891 */     GIR_EraseRootFromParent_Done,
     /*  107892 */   // Label 1762: @107892
     /*  107892 */   GIM_Reject,
     /*  107893 */ // Label 1760: @107893
     /*  107893 */ GIM_Reject,
     /*  107894 */ // Label 1708: @107894
     /*  107894 */ GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(108008),
     /*  107899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  107902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  107905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107917 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(107962), // Rule ID 51071 //
     /*  107922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107925 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107960 */     GIR_RootConstrainSelectedInstOperands,
     /*  107961 */     // GIR_Coverage, 51071,
     /*  107961 */     GIR_EraseRootFromParent_Done,
     /*  107962 */   // Label 1764: @107962
     /*  107962 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(108007), // Rule ID 51072 //
     /*  107967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107970 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108005 */     GIR_RootConstrainSelectedInstOperands,
     /*  108006 */     // GIR_Coverage, 51072,
     /*  108006 */     GIR_EraseRootFromParent_Done,
     /*  108007 */   // Label 1765: @108007
     /*  108007 */   GIM_Reject,
     /*  108008 */ // Label 1763: @108008
     /*  108008 */ GIM_Reject,
     /*  108009 */ // Label 1709: @108009
     /*  108009 */ GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(108123),
     /*  108014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  108017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  108020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108032 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(108077), // Rule ID 51027 //
     /*  108037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108040 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108075 */     GIR_RootConstrainSelectedInstOperands,
     /*  108076 */     // GIR_Coverage, 51027,
     /*  108076 */     GIR_EraseRootFromParent_Done,
     /*  108077 */   // Label 1767: @108077
     /*  108077 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(108122), // Rule ID 51028 //
     /*  108082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108085 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108120 */     GIR_RootConstrainSelectedInstOperands,
     /*  108121 */     // GIR_Coverage, 51028,
     /*  108121 */     GIR_EraseRootFromParent_Done,
     /*  108122 */   // Label 1768: @108122
     /*  108122 */   GIM_Reject,
     /*  108123 */ // Label 1766: @108123
     /*  108123 */ GIM_Reject,
     /*  108124 */ // Label 1710: @108124
     /*  108124 */ GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(108238),
     /*  108129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  108132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  108135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108147 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(108192), // Rule ID 51043 //
     /*  108152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108155 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108190 */     GIR_RootConstrainSelectedInstOperands,
     /*  108191 */     // GIR_Coverage, 51043,
     /*  108191 */     GIR_EraseRootFromParent_Done,
     /*  108192 */   // Label 1770: @108192
     /*  108192 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(108237), // Rule ID 51044 //
     /*  108197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108200 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108235 */     GIR_RootConstrainSelectedInstOperands,
     /*  108236 */     // GIR_Coverage, 51044,
     /*  108236 */     GIR_EraseRootFromParent_Done,
     /*  108237 */   // Label 1771: @108237
     /*  108237 */   GIM_Reject,
     /*  108238 */ // Label 1769: @108238
     /*  108238 */ GIM_Reject,
     /*  108239 */ // Label 1711: @108239
     /*  108239 */ GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(108353),
     /*  108244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  108247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  108250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108262 */   GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(108307), // Rule ID 51059 //
     /*  108267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108270 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108305 */     GIR_RootConstrainSelectedInstOperands,
     /*  108306 */     // GIR_Coverage, 51059,
     /*  108306 */     GIR_EraseRootFromParent_Done,
     /*  108307 */   // Label 1773: @108307
     /*  108307 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(108352), // Rule ID 51060 //
     /*  108312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108315 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108350 */     GIR_RootConstrainSelectedInstOperands,
     /*  108351 */     // GIR_Coverage, 51060,
     /*  108351 */     GIR_EraseRootFromParent_Done,
     /*  108352 */   // Label 1774: @108352
     /*  108352 */   GIM_Reject,
     /*  108353 */ // Label 1772: @108353
     /*  108353 */ GIM_Reject,
     /*  108354 */ // Label 1712: @108354
     /*  108354 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(108468),
     /*  108359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  108362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  108365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108377 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(108422), // Rule ID 51031 //
     /*  108382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108385 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108420 */     GIR_RootConstrainSelectedInstOperands,
     /*  108421 */     // GIR_Coverage, 51031,
     /*  108421 */     GIR_EraseRootFromParent_Done,
     /*  108422 */   // Label 1776: @108422
     /*  108422 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(108467), // Rule ID 51032 //
     /*  108427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108430 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108465 */     GIR_RootConstrainSelectedInstOperands,
     /*  108466 */     // GIR_Coverage, 51032,
     /*  108466 */     GIR_EraseRootFromParent_Done,
     /*  108467 */   // Label 1777: @108467
     /*  108467 */   GIM_Reject,
     /*  108468 */ // Label 1775: @108468
     /*  108468 */ GIM_Reject,
     /*  108469 */ // Label 1713: @108469
     /*  108469 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(108583),
     /*  108474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  108477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  108480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108492 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(108537), // Rule ID 51047 //
     /*  108497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108500 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108535 */     GIR_RootConstrainSelectedInstOperands,
     /*  108536 */     // GIR_Coverage, 51047,
     /*  108536 */     GIR_EraseRootFromParent_Done,
     /*  108537 */   // Label 1779: @108537
     /*  108537 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(108582), // Rule ID 51048 //
     /*  108542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108545 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108580 */     GIR_RootConstrainSelectedInstOperands,
     /*  108581 */     // GIR_Coverage, 51048,
     /*  108581 */     GIR_EraseRootFromParent_Done,
     /*  108582 */   // Label 1780: @108582
     /*  108582 */   GIM_Reject,
     /*  108583 */ // Label 1778: @108583
     /*  108583 */ GIM_Reject,
     /*  108584 */ // Label 1714: @108584
     /*  108584 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(108698),
     /*  108589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  108592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  108595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108607 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(108652), // Rule ID 51035 //
     /*  108612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108615 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108650 */     GIR_RootConstrainSelectedInstOperands,
     /*  108651 */     // GIR_Coverage, 51035,
     /*  108651 */     GIR_EraseRootFromParent_Done,
     /*  108652 */   // Label 1782: @108652
     /*  108652 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(108697), // Rule ID 51036 //
     /*  108657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108660 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108695 */     GIR_RootConstrainSelectedInstOperands,
     /*  108696 */     // GIR_Coverage, 51036,
     /*  108696 */     GIR_EraseRootFromParent_Done,
     /*  108697 */   // Label 1783: @108697
     /*  108697 */   GIM_Reject,
     /*  108698 */ // Label 1781: @108698
     /*  108698 */ GIM_Reject,
     /*  108699 */ // Label 1715: @108699
     /*  108699 */ GIM_Reject,
     /*  108700 */ // Label 5: @108700
     /*  108700 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1808*/ GIMT_Encode4(111478),
     /*  108711 */ /*GILLT_s32*//*Label 1784*/ GIMT_Encode4(108835),
     /*  108715 */ /*GILLT_s64*//*Label 1785*/ GIMT_Encode4(108869), GIMT_Encode4(0),
     /*  108723 */ /*GILLT_nxv1s8*//*Label 1786*/ GIMT_Encode4(108948),
     /*  108727 */ /*GILLT_nxv1s16*//*Label 1787*/ GIMT_Encode4(109063),
     /*  108731 */ /*GILLT_nxv1s32*//*Label 1788*/ GIMT_Encode4(109178),
     /*  108735 */ /*GILLT_nxv1s64*//*Label 1789*/ GIMT_Encode4(109293), GIMT_Encode4(0),
     /*  108743 */ /*GILLT_nxv2s8*//*Label 1790*/ GIMT_Encode4(109408),
     /*  108747 */ /*GILLT_nxv2s16*//*Label 1791*/ GIMT_Encode4(109523),
     /*  108751 */ /*GILLT_nxv2s32*//*Label 1792*/ GIMT_Encode4(109638),
     /*  108755 */ /*GILLT_nxv2s64*//*Label 1793*/ GIMT_Encode4(109753), GIMT_Encode4(0),
     /*  108763 */ /*GILLT_nxv4s8*//*Label 1794*/ GIMT_Encode4(109868),
     /*  108767 */ /*GILLT_nxv4s16*//*Label 1795*/ GIMT_Encode4(109983),
     /*  108771 */ /*GILLT_nxv4s32*//*Label 1796*/ GIMT_Encode4(110098),
     /*  108775 */ /*GILLT_nxv4s64*//*Label 1797*/ GIMT_Encode4(110213), GIMT_Encode4(0),
     /*  108783 */ /*GILLT_nxv8s8*//*Label 1798*/ GIMT_Encode4(110328),
     /*  108787 */ /*GILLT_nxv8s16*//*Label 1799*/ GIMT_Encode4(110443),
     /*  108791 */ /*GILLT_nxv8s32*//*Label 1800*/ GIMT_Encode4(110558),
     /*  108795 */ /*GILLT_nxv8s64*//*Label 1801*/ GIMT_Encode4(110673), GIMT_Encode4(0),
     /*  108803 */ /*GILLT_nxv16s8*//*Label 1802*/ GIMT_Encode4(110788),
     /*  108807 */ /*GILLT_nxv16s16*//*Label 1803*/ GIMT_Encode4(110903),
     /*  108811 */ /*GILLT_nxv16s32*//*Label 1804*/ GIMT_Encode4(111018), GIMT_Encode4(0),
     /*  108819 */ /*GILLT_nxv32s8*//*Label 1805*/ GIMT_Encode4(111133),
     /*  108823 */ /*GILLT_nxv32s16*//*Label 1806*/ GIMT_Encode4(111248), GIMT_Encode4(0),
     /*  108831 */ /*GILLT_nxv64s8*//*Label 1807*/ GIMT_Encode4(111363),
     /*  108835 */ // Label 1784: @108835
     /*  108835 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(108868), // Rule ID 301 //
     /*  108840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  108843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  108846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  108849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108861 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108866 */   GIR_RootConstrainSelectedInstOperands,
     /*  108867 */   // GIR_Coverage, 301,
     /*  108867 */   GIR_Done,
     /*  108868 */ // Label 1809: @108868
     /*  108868 */ GIM_Reject,
     /*  108869 */ // Label 1785: @108869
     /*  108869 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(108947),
     /*  108874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  108877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108884 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(108923), // Rule ID 310 //
     /*  108889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  108892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  108899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  108906 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  108909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  108916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  108921 */     GIR_RootConstrainSelectedInstOperands,
     /*  108922 */     // GIR_Coverage, 310,
     /*  108922 */     GIR_EraseRootFromParent_Done,
     /*  108923 */   // Label 1811: @108923
     /*  108923 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(108946), // Rule ID 300 //
     /*  108928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  108931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108939 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108944 */     GIR_RootConstrainSelectedInstOperands,
     /*  108945 */     // GIR_Coverage, 300,
     /*  108945 */     GIR_Done,
     /*  108946 */   // Label 1812: @108946
     /*  108946 */   GIM_Reject,
     /*  108947 */ // Label 1810: @108947
     /*  108947 */ GIM_Reject,
     /*  108948 */ // Label 1786: @108948
     /*  108948 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(109062),
     /*  108953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  108956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  108959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108971 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(109016), // Rule ID 51251 //
     /*  108976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108979 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  108982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  108996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109014 */     GIR_RootConstrainSelectedInstOperands,
     /*  109015 */     // GIR_Coverage, 51251,
     /*  109015 */     GIR_EraseRootFromParent_Done,
     /*  109016 */   // Label 1814: @109016
     /*  109016 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(109061), // Rule ID 51252 //
     /*  109021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109024 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  109027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  109041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109059 */     GIR_RootConstrainSelectedInstOperands,
     /*  109060 */     // GIR_Coverage, 51252,
     /*  109060 */     GIR_EraseRootFromParent_Done,
     /*  109061 */   // Label 1815: @109061
     /*  109061 */   GIM_Reject,
     /*  109062 */ // Label 1813: @109062
     /*  109062 */ GIM_Reject,
     /*  109063 */ // Label 1787: @109063
     /*  109063 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(109177),
     /*  109068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  109071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  109074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109086 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(109131), // Rule ID 51263 //
     /*  109091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109094 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109129 */     GIR_RootConstrainSelectedInstOperands,
     /*  109130 */     // GIR_Coverage, 51263,
     /*  109130 */     GIR_EraseRootFromParent_Done,
     /*  109131 */   // Label 1817: @109131
     /*  109131 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(109176), // Rule ID 51264 //
     /*  109136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109139 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109174 */     GIR_RootConstrainSelectedInstOperands,
     /*  109175 */     // GIR_Coverage, 51264,
     /*  109175 */     GIR_EraseRootFromParent_Done,
     /*  109176 */   // Label 1818: @109176
     /*  109176 */   GIM_Reject,
     /*  109177 */ // Label 1816: @109177
     /*  109177 */ GIM_Reject,
     /*  109178 */ // Label 1788: @109178
     /*  109178 */ GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(109292),
     /*  109183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  109186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  109189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109201 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(109246), // Rule ID 51271 //
     /*  109206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109209 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109244 */     GIR_RootConstrainSelectedInstOperands,
     /*  109245 */     // GIR_Coverage, 51271,
     /*  109245 */     GIR_EraseRootFromParent_Done,
     /*  109246 */   // Label 1820: @109246
     /*  109246 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(109291), // Rule ID 51272 //
     /*  109251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109254 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109289 */     GIR_RootConstrainSelectedInstOperands,
     /*  109290 */     // GIR_Coverage, 51272,
     /*  109290 */     GIR_EraseRootFromParent_Done,
     /*  109291 */   // Label 1821: @109291
     /*  109291 */   GIM_Reject,
     /*  109292 */ // Label 1819: @109292
     /*  109292 */ GIM_Reject,
     /*  109293 */ // Label 1789: @109293
     /*  109293 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(109407),
     /*  109298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  109301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  109304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109316 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(109361), // Rule ID 51287 //
     /*  109321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109324 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109359 */     GIR_RootConstrainSelectedInstOperands,
     /*  109360 */     // GIR_Coverage, 51287,
     /*  109360 */     GIR_EraseRootFromParent_Done,
     /*  109361 */   // Label 1823: @109361
     /*  109361 */   GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(109406), // Rule ID 51288 //
     /*  109366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109369 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109404 */     GIR_RootConstrainSelectedInstOperands,
     /*  109405 */     // GIR_Coverage, 51288,
     /*  109405 */     GIR_EraseRootFromParent_Done,
     /*  109406 */   // Label 1824: @109406
     /*  109406 */   GIM_Reject,
     /*  109407 */ // Label 1822: @109407
     /*  109407 */ GIM_Reject,
     /*  109408 */ // Label 1790: @109408
     /*  109408 */ GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(109522),
     /*  109413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  109416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  109419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109431 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(109476), // Rule ID 51255 //
     /*  109436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109439 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109474 */     GIR_RootConstrainSelectedInstOperands,
     /*  109475 */     // GIR_Coverage, 51255,
     /*  109475 */     GIR_EraseRootFromParent_Done,
     /*  109476 */   // Label 1826: @109476
     /*  109476 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(109521), // Rule ID 51256 //
     /*  109481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109484 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109519 */     GIR_RootConstrainSelectedInstOperands,
     /*  109520 */     // GIR_Coverage, 51256,
     /*  109520 */     GIR_EraseRootFromParent_Done,
     /*  109521 */   // Label 1827: @109521
     /*  109521 */   GIM_Reject,
     /*  109522 */ // Label 1825: @109522
     /*  109522 */ GIM_Reject,
     /*  109523 */ // Label 1791: @109523
     /*  109523 */ GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(109637),
     /*  109528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  109531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  109534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109546 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(109591), // Rule ID 51267 //
     /*  109551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109554 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109589 */     GIR_RootConstrainSelectedInstOperands,
     /*  109590 */     // GIR_Coverage, 51267,
     /*  109590 */     GIR_EraseRootFromParent_Done,
     /*  109591 */   // Label 1829: @109591
     /*  109591 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(109636), // Rule ID 51268 //
     /*  109596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109599 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109634 */     GIR_RootConstrainSelectedInstOperands,
     /*  109635 */     // GIR_Coverage, 51268,
     /*  109635 */     GIR_EraseRootFromParent_Done,
     /*  109636 */   // Label 1830: @109636
     /*  109636 */   GIM_Reject,
     /*  109637 */ // Label 1828: @109637
     /*  109637 */ GIM_Reject,
     /*  109638 */ // Label 1792: @109638
     /*  109638 */ GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(109752),
     /*  109643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  109646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  109649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109661 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(109706), // Rule ID 51283 //
     /*  109666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109669 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109704 */     GIR_RootConstrainSelectedInstOperands,
     /*  109705 */     // GIR_Coverage, 51283,
     /*  109705 */     GIR_EraseRootFromParent_Done,
     /*  109706 */   // Label 1832: @109706
     /*  109706 */   GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(109751), // Rule ID 51284 //
     /*  109711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109714 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109749 */     GIR_RootConstrainSelectedInstOperands,
     /*  109750 */     // GIR_Coverage, 51284,
     /*  109750 */     GIR_EraseRootFromParent_Done,
     /*  109751 */   // Label 1833: @109751
     /*  109751 */   GIM_Reject,
     /*  109752 */ // Label 1831: @109752
     /*  109752 */ GIM_Reject,
     /*  109753 */ // Label 1793: @109753
     /*  109753 */ GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(109867),
     /*  109758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  109761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  109764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109776 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(109821), // Rule ID 51327 //
     /*  109781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109784 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109819 */     GIR_RootConstrainSelectedInstOperands,
     /*  109820 */     // GIR_Coverage, 51327,
     /*  109820 */     GIR_EraseRootFromParent_Done,
     /*  109821 */   // Label 1835: @109821
     /*  109821 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(109866), // Rule ID 51328 //
     /*  109826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109829 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109864 */     GIR_RootConstrainSelectedInstOperands,
     /*  109865 */     // GIR_Coverage, 51328,
     /*  109865 */     GIR_EraseRootFromParent_Done,
     /*  109866 */   // Label 1836: @109866
     /*  109866 */   GIM_Reject,
     /*  109867 */ // Label 1834: @109867
     /*  109867 */ GIM_Reject,
     /*  109868 */ // Label 1794: @109868
     /*  109868 */ GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(109982),
     /*  109873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  109876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  109879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109891 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(109936), // Rule ID 51259 //
     /*  109896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109899 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109934 */     GIR_RootConstrainSelectedInstOperands,
     /*  109935 */     // GIR_Coverage, 51259,
     /*  109935 */     GIR_EraseRootFromParent_Done,
     /*  109936 */   // Label 1838: @109936
     /*  109936 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(109981), // Rule ID 51260 //
     /*  109941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109944 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109979 */     GIR_RootConstrainSelectedInstOperands,
     /*  109980 */     // GIR_Coverage, 51260,
     /*  109980 */     GIR_EraseRootFromParent_Done,
     /*  109981 */   // Label 1839: @109981
     /*  109981 */   GIM_Reject,
     /*  109982 */ // Label 1837: @109982
     /*  109982 */ GIM_Reject,
     /*  109983 */ // Label 1795: @109983
     /*  109983 */ GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(110097),
     /*  109988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  109991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  109994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110006 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(110051), // Rule ID 51279 //
     /*  110011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110014 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110049 */     GIR_RootConstrainSelectedInstOperands,
     /*  110050 */     // GIR_Coverage, 51279,
     /*  110050 */     GIR_EraseRootFromParent_Done,
     /*  110051 */   // Label 1841: @110051
     /*  110051 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(110096), // Rule ID 51280 //
     /*  110056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110059 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110094 */     GIR_RootConstrainSelectedInstOperands,
     /*  110095 */     // GIR_Coverage, 51280,
     /*  110095 */     GIR_EraseRootFromParent_Done,
     /*  110096 */   // Label 1842: @110096
     /*  110096 */   GIM_Reject,
     /*  110097 */ // Label 1840: @110097
     /*  110097 */ GIM_Reject,
     /*  110098 */ // Label 1796: @110098
     /*  110098 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(110212),
     /*  110103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  110106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  110109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110121 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(110166), // Rule ID 51315 //
     /*  110126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110129 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110164 */     GIR_RootConstrainSelectedInstOperands,
     /*  110165 */     // GIR_Coverage, 51315,
     /*  110165 */     GIR_EraseRootFromParent_Done,
     /*  110166 */   // Label 1844: @110166
     /*  110166 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(110211), // Rule ID 51316 //
     /*  110171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110174 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110209 */     GIR_RootConstrainSelectedInstOperands,
     /*  110210 */     // GIR_Coverage, 51316,
     /*  110210 */     GIR_EraseRootFromParent_Done,
     /*  110211 */   // Label 1845: @110211
     /*  110211 */   GIM_Reject,
     /*  110212 */ // Label 1843: @110212
     /*  110212 */ GIM_Reject,
     /*  110213 */ // Label 1797: @110213
     /*  110213 */ GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(110327),
     /*  110218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  110221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  110224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110236 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(110281), // Rule ID 51331 //
     /*  110241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110244 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110279 */     GIR_RootConstrainSelectedInstOperands,
     /*  110280 */     // GIR_Coverage, 51331,
     /*  110280 */     GIR_EraseRootFromParent_Done,
     /*  110281 */   // Label 1847: @110281
     /*  110281 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(110326), // Rule ID 51332 //
     /*  110286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110289 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110324 */     GIR_RootConstrainSelectedInstOperands,
     /*  110325 */     // GIR_Coverage, 51332,
     /*  110325 */     GIR_EraseRootFromParent_Done,
     /*  110326 */   // Label 1848: @110326
     /*  110326 */   GIM_Reject,
     /*  110327 */ // Label 1846: @110327
     /*  110327 */ GIM_Reject,
     /*  110328 */ // Label 1798: @110328
     /*  110328 */ GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(110442),
     /*  110333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  110336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  110339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110351 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(110396), // Rule ID 51275 //
     /*  110356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110359 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110394 */     GIR_RootConstrainSelectedInstOperands,
     /*  110395 */     // GIR_Coverage, 51275,
     /*  110395 */     GIR_EraseRootFromParent_Done,
     /*  110396 */   // Label 1850: @110396
     /*  110396 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(110441), // Rule ID 51276 //
     /*  110401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110404 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110439 */     GIR_RootConstrainSelectedInstOperands,
     /*  110440 */     // GIR_Coverage, 51276,
     /*  110440 */     GIR_EraseRootFromParent_Done,
     /*  110441 */   // Label 1851: @110441
     /*  110441 */   GIM_Reject,
     /*  110442 */ // Label 1849: @110442
     /*  110442 */ GIM_Reject,
     /*  110443 */ // Label 1799: @110443
     /*  110443 */ GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(110557),
     /*  110448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  110451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  110454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110466 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(110511), // Rule ID 51303 //
     /*  110471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110474 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110509 */     GIR_RootConstrainSelectedInstOperands,
     /*  110510 */     // GIR_Coverage, 51303,
     /*  110510 */     GIR_EraseRootFromParent_Done,
     /*  110511 */   // Label 1853: @110511
     /*  110511 */   GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(110556), // Rule ID 51304 //
     /*  110516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110519 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110554 */     GIR_RootConstrainSelectedInstOperands,
     /*  110555 */     // GIR_Coverage, 51304,
     /*  110555 */     GIR_EraseRootFromParent_Done,
     /*  110556 */   // Label 1854: @110556
     /*  110556 */   GIM_Reject,
     /*  110557 */ // Label 1852: @110557
     /*  110557 */ GIM_Reject,
     /*  110558 */ // Label 1800: @110558
     /*  110558 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(110672),
     /*  110563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  110566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  110569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110581 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(110626), // Rule ID 51319 //
     /*  110586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110589 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110624 */     GIR_RootConstrainSelectedInstOperands,
     /*  110625 */     // GIR_Coverage, 51319,
     /*  110625 */     GIR_EraseRootFromParent_Done,
     /*  110626 */   // Label 1856: @110626
     /*  110626 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(110671), // Rule ID 51320 //
     /*  110631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110634 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110669 */     GIR_RootConstrainSelectedInstOperands,
     /*  110670 */     // GIR_Coverage, 51320,
     /*  110670 */     GIR_EraseRootFromParent_Done,
     /*  110671 */   // Label 1857: @110671
     /*  110671 */   GIM_Reject,
     /*  110672 */ // Label 1855: @110672
     /*  110672 */ GIM_Reject,
     /*  110673 */ // Label 1801: @110673
     /*  110673 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(110787),
     /*  110678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  110681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  110684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110696 */   GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(110741), // Rule ID 51335 //
     /*  110701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110704 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110739 */     GIR_RootConstrainSelectedInstOperands,
     /*  110740 */     // GIR_Coverage, 51335,
     /*  110740 */     GIR_EraseRootFromParent_Done,
     /*  110741 */   // Label 1859: @110741
     /*  110741 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(110786), // Rule ID 51336 //
     /*  110746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110749 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110784 */     GIR_RootConstrainSelectedInstOperands,
     /*  110785 */     // GIR_Coverage, 51336,
     /*  110785 */     GIR_EraseRootFromParent_Done,
     /*  110786 */   // Label 1860: @110786
     /*  110786 */   GIM_Reject,
     /*  110787 */ // Label 1858: @110787
     /*  110787 */ GIM_Reject,
     /*  110788 */ // Label 1802: @110788
     /*  110788 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(110902),
     /*  110793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  110796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  110799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110811 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(110856), // Rule ID 51291 //
     /*  110816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110819 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110854 */     GIR_RootConstrainSelectedInstOperands,
     /*  110855 */     // GIR_Coverage, 51291,
     /*  110855 */     GIR_EraseRootFromParent_Done,
     /*  110856 */   // Label 1862: @110856
     /*  110856 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(110901), // Rule ID 51292 //
     /*  110861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110864 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110899 */     GIR_RootConstrainSelectedInstOperands,
     /*  110900 */     // GIR_Coverage, 51292,
     /*  110900 */     GIR_EraseRootFromParent_Done,
     /*  110901 */   // Label 1863: @110901
     /*  110901 */   GIM_Reject,
     /*  110902 */ // Label 1861: @110902
     /*  110902 */ GIM_Reject,
     /*  110903 */ // Label 1803: @110903
     /*  110903 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(111017),
     /*  110908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  110911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  110914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110926 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(110971), // Rule ID 51307 //
     /*  110931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110934 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110969 */     GIR_RootConstrainSelectedInstOperands,
     /*  110970 */     // GIR_Coverage, 51307,
     /*  110970 */     GIR_EraseRootFromParent_Done,
     /*  110971 */   // Label 1865: @110971
     /*  110971 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(111016), // Rule ID 51308 //
     /*  110976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110979 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111014 */     GIR_RootConstrainSelectedInstOperands,
     /*  111015 */     // GIR_Coverage, 51308,
     /*  111015 */     GIR_EraseRootFromParent_Done,
     /*  111016 */   // Label 1866: @111016
     /*  111016 */   GIM_Reject,
     /*  111017 */ // Label 1864: @111017
     /*  111017 */ GIM_Reject,
     /*  111018 */ // Label 1804: @111018
     /*  111018 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(111132),
     /*  111023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  111026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  111029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111041 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(111086), // Rule ID 51323 //
     /*  111046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111049 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111084 */     GIR_RootConstrainSelectedInstOperands,
     /*  111085 */     // GIR_Coverage, 51323,
     /*  111085 */     GIR_EraseRootFromParent_Done,
     /*  111086 */   // Label 1868: @111086
     /*  111086 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(111131), // Rule ID 51324 //
     /*  111091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111094 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111129 */     GIR_RootConstrainSelectedInstOperands,
     /*  111130 */     // GIR_Coverage, 51324,
     /*  111130 */     GIR_EraseRootFromParent_Done,
     /*  111131 */   // Label 1869: @111131
     /*  111131 */   GIM_Reject,
     /*  111132 */ // Label 1867: @111132
     /*  111132 */ GIM_Reject,
     /*  111133 */ // Label 1805: @111133
     /*  111133 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(111247),
     /*  111138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  111141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  111144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111156 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(111201), // Rule ID 51295 //
     /*  111161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111164 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111199 */     GIR_RootConstrainSelectedInstOperands,
     /*  111200 */     // GIR_Coverage, 51295,
     /*  111200 */     GIR_EraseRootFromParent_Done,
     /*  111201 */   // Label 1871: @111201
     /*  111201 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(111246), // Rule ID 51296 //
     /*  111206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111209 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111244 */     GIR_RootConstrainSelectedInstOperands,
     /*  111245 */     // GIR_Coverage, 51296,
     /*  111245 */     GIR_EraseRootFromParent_Done,
     /*  111246 */   // Label 1872: @111246
     /*  111246 */   GIM_Reject,
     /*  111247 */ // Label 1870: @111247
     /*  111247 */ GIM_Reject,
     /*  111248 */ // Label 1806: @111248
     /*  111248 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(111362),
     /*  111253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  111256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  111259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111271 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(111316), // Rule ID 51311 //
     /*  111276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111279 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111314 */     GIR_RootConstrainSelectedInstOperands,
     /*  111315 */     // GIR_Coverage, 51311,
     /*  111315 */     GIR_EraseRootFromParent_Done,
     /*  111316 */   // Label 1874: @111316
     /*  111316 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(111361), // Rule ID 51312 //
     /*  111321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111324 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111359 */     GIR_RootConstrainSelectedInstOperands,
     /*  111360 */     // GIR_Coverage, 51312,
     /*  111360 */     GIR_EraseRootFromParent_Done,
     /*  111361 */   // Label 1875: @111361
     /*  111361 */   GIM_Reject,
     /*  111362 */ // Label 1873: @111362
     /*  111362 */ GIM_Reject,
     /*  111363 */ // Label 1807: @111363
     /*  111363 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(111477),
     /*  111368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  111371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  111374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111386 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(111431), // Rule ID 51299 //
     /*  111391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111394 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111429 */     GIR_RootConstrainSelectedInstOperands,
     /*  111430 */     // GIR_Coverage, 51299,
     /*  111430 */     GIR_EraseRootFromParent_Done,
     /*  111431 */   // Label 1877: @111431
     /*  111431 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(111476), // Rule ID 51300 //
     /*  111436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111439 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111474 */     GIR_RootConstrainSelectedInstOperands,
     /*  111475 */     // GIR_Coverage, 51300,
     /*  111475 */     GIR_EraseRootFromParent_Done,
     /*  111476 */   // Label 1878: @111476
     /*  111476 */   GIM_Reject,
     /*  111477 */ // Label 1876: @111477
     /*  111477 */ GIM_Reject,
     /*  111478 */ // Label 1808: @111478
     /*  111478 */ GIM_Reject,
     /*  111479 */ // Label 6: @111479
     /*  111479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1903*/ GIMT_Encode4(114212),
     /*  111490 */ /*GILLT_s32*//*Label 1879*/ GIMT_Encode4(111614),
     /*  111494 */ /*GILLT_s64*//*Label 1880*/ GIMT_Encode4(111648), GIMT_Encode4(0),
     /*  111502 */ /*GILLT_nxv1s8*//*Label 1881*/ GIMT_Encode4(111682),
     /*  111506 */ /*GILLT_nxv1s16*//*Label 1882*/ GIMT_Encode4(111797),
     /*  111510 */ /*GILLT_nxv1s32*//*Label 1883*/ GIMT_Encode4(111912),
     /*  111514 */ /*GILLT_nxv1s64*//*Label 1884*/ GIMT_Encode4(112027), GIMT_Encode4(0),
     /*  111522 */ /*GILLT_nxv2s8*//*Label 1885*/ GIMT_Encode4(112142),
     /*  111526 */ /*GILLT_nxv2s16*//*Label 1886*/ GIMT_Encode4(112257),
     /*  111530 */ /*GILLT_nxv2s32*//*Label 1887*/ GIMT_Encode4(112372),
     /*  111534 */ /*GILLT_nxv2s64*//*Label 1888*/ GIMT_Encode4(112487), GIMT_Encode4(0),
     /*  111542 */ /*GILLT_nxv4s8*//*Label 1889*/ GIMT_Encode4(112602),
     /*  111546 */ /*GILLT_nxv4s16*//*Label 1890*/ GIMT_Encode4(112717),
     /*  111550 */ /*GILLT_nxv4s32*//*Label 1891*/ GIMT_Encode4(112832),
     /*  111554 */ /*GILLT_nxv4s64*//*Label 1892*/ GIMT_Encode4(112947), GIMT_Encode4(0),
     /*  111562 */ /*GILLT_nxv8s8*//*Label 1893*/ GIMT_Encode4(113062),
     /*  111566 */ /*GILLT_nxv8s16*//*Label 1894*/ GIMT_Encode4(113177),
     /*  111570 */ /*GILLT_nxv8s32*//*Label 1895*/ GIMT_Encode4(113292),
     /*  111574 */ /*GILLT_nxv8s64*//*Label 1896*/ GIMT_Encode4(113407), GIMT_Encode4(0),
     /*  111582 */ /*GILLT_nxv16s8*//*Label 1897*/ GIMT_Encode4(113522),
     /*  111586 */ /*GILLT_nxv16s16*//*Label 1898*/ GIMT_Encode4(113637),
     /*  111590 */ /*GILLT_nxv16s32*//*Label 1899*/ GIMT_Encode4(113752), GIMT_Encode4(0),
     /*  111598 */ /*GILLT_nxv32s8*//*Label 1900*/ GIMT_Encode4(113867),
     /*  111602 */ /*GILLT_nxv32s16*//*Label 1901*/ GIMT_Encode4(113982), GIMT_Encode4(0),
     /*  111610 */ /*GILLT_nxv64s8*//*Label 1902*/ GIMT_Encode4(114097),
     /*  111614 */ // Label 1879: @111614
     /*  111614 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(111647), // Rule ID 303 //
     /*  111619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  111622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  111625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  111628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111640 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111645 */   GIR_RootConstrainSelectedInstOperands,
     /*  111646 */   // GIR_Coverage, 303,
     /*  111646 */   GIR_Done,
     /*  111647 */ // Label 1904: @111647
     /*  111647 */ GIM_Reject,
     /*  111648 */ // Label 1880: @111648
     /*  111648 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(111681), // Rule ID 302 //
     /*  111653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  111656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  111659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111674 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111679 */   GIR_RootConstrainSelectedInstOperands,
     /*  111680 */   // GIR_Coverage, 302,
     /*  111680 */   GIR_Done,
     /*  111681 */ // Label 1905: @111681
     /*  111681 */ GIM_Reject,
     /*  111682 */ // Label 1881: @111682
     /*  111682 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(111796),
     /*  111687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  111690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  111693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111705 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(111750), // Rule ID 51163 //
     /*  111710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111713 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111748 */     GIR_RootConstrainSelectedInstOperands,
     /*  111749 */     // GIR_Coverage, 51163,
     /*  111749 */     GIR_EraseRootFromParent_Done,
     /*  111750 */   // Label 1907: @111750
     /*  111750 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(111795), // Rule ID 51164 //
     /*  111755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111758 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111793 */     GIR_RootConstrainSelectedInstOperands,
     /*  111794 */     // GIR_Coverage, 51164,
     /*  111794 */     GIR_EraseRootFromParent_Done,
     /*  111795 */   // Label 1908: @111795
     /*  111795 */   GIM_Reject,
     /*  111796 */ // Label 1906: @111796
     /*  111796 */ GIM_Reject,
     /*  111797 */ // Label 1882: @111797
     /*  111797 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(111911),
     /*  111802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  111805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  111808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111820 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(111865), // Rule ID 51175 //
     /*  111825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111828 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111863 */     GIR_RootConstrainSelectedInstOperands,
     /*  111864 */     // GIR_Coverage, 51175,
     /*  111864 */     GIR_EraseRootFromParent_Done,
     /*  111865 */   // Label 1910: @111865
     /*  111865 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(111910), // Rule ID 51176 //
     /*  111870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111873 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111908 */     GIR_RootConstrainSelectedInstOperands,
     /*  111909 */     // GIR_Coverage, 51176,
     /*  111909 */     GIR_EraseRootFromParent_Done,
     /*  111910 */   // Label 1911: @111910
     /*  111910 */   GIM_Reject,
     /*  111911 */ // Label 1909: @111911
     /*  111911 */ GIM_Reject,
     /*  111912 */ // Label 1883: @111912
     /*  111912 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(112026),
     /*  111917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  111920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  111923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111935 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(111980), // Rule ID 51183 //
     /*  111940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111943 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  111960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111978 */     GIR_RootConstrainSelectedInstOperands,
     /*  111979 */     // GIR_Coverage, 51183,
     /*  111979 */     GIR_EraseRootFromParent_Done,
     /*  111980 */   // Label 1913: @111980
     /*  111980 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(112025), // Rule ID 51184 //
     /*  111985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111988 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  112005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112023 */     GIR_RootConstrainSelectedInstOperands,
     /*  112024 */     // GIR_Coverage, 51184,
     /*  112024 */     GIR_EraseRootFromParent_Done,
     /*  112025 */   // Label 1914: @112025
     /*  112025 */   GIM_Reject,
     /*  112026 */ // Label 1912: @112026
     /*  112026 */ GIM_Reject,
     /*  112027 */ // Label 1884: @112027
     /*  112027 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(112141),
     /*  112032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  112035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  112038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112050 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(112095), // Rule ID 51199 //
     /*  112055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112058 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112093 */     GIR_RootConstrainSelectedInstOperands,
     /*  112094 */     // GIR_Coverage, 51199,
     /*  112094 */     GIR_EraseRootFromParent_Done,
     /*  112095 */   // Label 1916: @112095
     /*  112095 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(112140), // Rule ID 51200 //
     /*  112100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112103 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112138 */     GIR_RootConstrainSelectedInstOperands,
     /*  112139 */     // GIR_Coverage, 51200,
     /*  112139 */     GIR_EraseRootFromParent_Done,
     /*  112140 */   // Label 1917: @112140
     /*  112140 */   GIM_Reject,
     /*  112141 */ // Label 1915: @112141
     /*  112141 */ GIM_Reject,
     /*  112142 */ // Label 1885: @112142
     /*  112142 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(112256),
     /*  112147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  112150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  112153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112165 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(112210), // Rule ID 51167 //
     /*  112170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112173 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112208 */     GIR_RootConstrainSelectedInstOperands,
     /*  112209 */     // GIR_Coverage, 51167,
     /*  112209 */     GIR_EraseRootFromParent_Done,
     /*  112210 */   // Label 1919: @112210
     /*  112210 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(112255), // Rule ID 51168 //
     /*  112215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112218 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112253 */     GIR_RootConstrainSelectedInstOperands,
     /*  112254 */     // GIR_Coverage, 51168,
     /*  112254 */     GIR_EraseRootFromParent_Done,
     /*  112255 */   // Label 1920: @112255
     /*  112255 */   GIM_Reject,
     /*  112256 */ // Label 1918: @112256
     /*  112256 */ GIM_Reject,
     /*  112257 */ // Label 1886: @112257
     /*  112257 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(112371),
     /*  112262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  112265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  112268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112280 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(112325), // Rule ID 51179 //
     /*  112285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112288 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112323 */     GIR_RootConstrainSelectedInstOperands,
     /*  112324 */     // GIR_Coverage, 51179,
     /*  112324 */     GIR_EraseRootFromParent_Done,
     /*  112325 */   // Label 1922: @112325
     /*  112325 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(112370), // Rule ID 51180 //
     /*  112330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112333 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112368 */     GIR_RootConstrainSelectedInstOperands,
     /*  112369 */     // GIR_Coverage, 51180,
     /*  112369 */     GIR_EraseRootFromParent_Done,
     /*  112370 */   // Label 1923: @112370
     /*  112370 */   GIM_Reject,
     /*  112371 */ // Label 1921: @112371
     /*  112371 */ GIM_Reject,
     /*  112372 */ // Label 1887: @112372
     /*  112372 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(112486),
     /*  112377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  112380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  112383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112395 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(112440), // Rule ID 51195 //
     /*  112400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112403 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112438 */     GIR_RootConstrainSelectedInstOperands,
     /*  112439 */     // GIR_Coverage, 51195,
     /*  112439 */     GIR_EraseRootFromParent_Done,
     /*  112440 */   // Label 1925: @112440
     /*  112440 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(112485), // Rule ID 51196 //
     /*  112445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112448 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112483 */     GIR_RootConstrainSelectedInstOperands,
     /*  112484 */     // GIR_Coverage, 51196,
     /*  112484 */     GIR_EraseRootFromParent_Done,
     /*  112485 */   // Label 1926: @112485
     /*  112485 */   GIM_Reject,
     /*  112486 */ // Label 1924: @112486
     /*  112486 */ GIM_Reject,
     /*  112487 */ // Label 1888: @112487
     /*  112487 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(112601),
     /*  112492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  112495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  112498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112510 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(112555), // Rule ID 51239 //
     /*  112515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112518 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112553 */     GIR_RootConstrainSelectedInstOperands,
     /*  112554 */     // GIR_Coverage, 51239,
     /*  112554 */     GIR_EraseRootFromParent_Done,
     /*  112555 */   // Label 1928: @112555
     /*  112555 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(112600), // Rule ID 51240 //
     /*  112560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112563 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112598 */     GIR_RootConstrainSelectedInstOperands,
     /*  112599 */     // GIR_Coverage, 51240,
     /*  112599 */     GIR_EraseRootFromParent_Done,
     /*  112600 */   // Label 1929: @112600
     /*  112600 */   GIM_Reject,
     /*  112601 */ // Label 1927: @112601
     /*  112601 */ GIM_Reject,
     /*  112602 */ // Label 1889: @112602
     /*  112602 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(112716),
     /*  112607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  112610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  112613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112625 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(112670), // Rule ID 51171 //
     /*  112630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112633 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112668 */     GIR_RootConstrainSelectedInstOperands,
     /*  112669 */     // GIR_Coverage, 51171,
     /*  112669 */     GIR_EraseRootFromParent_Done,
     /*  112670 */   // Label 1931: @112670
     /*  112670 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(112715), // Rule ID 51172 //
     /*  112675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112678 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112713 */     GIR_RootConstrainSelectedInstOperands,
     /*  112714 */     // GIR_Coverage, 51172,
     /*  112714 */     GIR_EraseRootFromParent_Done,
     /*  112715 */   // Label 1932: @112715
     /*  112715 */   GIM_Reject,
     /*  112716 */ // Label 1930: @112716
     /*  112716 */ GIM_Reject,
     /*  112717 */ // Label 1890: @112717
     /*  112717 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(112831),
     /*  112722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  112725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  112728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112740 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(112785), // Rule ID 51191 //
     /*  112745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112748 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112783 */     GIR_RootConstrainSelectedInstOperands,
     /*  112784 */     // GIR_Coverage, 51191,
     /*  112784 */     GIR_EraseRootFromParent_Done,
     /*  112785 */   // Label 1934: @112785
     /*  112785 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(112830), // Rule ID 51192 //
     /*  112790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112793 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112828 */     GIR_RootConstrainSelectedInstOperands,
     /*  112829 */     // GIR_Coverage, 51192,
     /*  112829 */     GIR_EraseRootFromParent_Done,
     /*  112830 */   // Label 1935: @112830
     /*  112830 */   GIM_Reject,
     /*  112831 */ // Label 1933: @112831
     /*  112831 */ GIM_Reject,
     /*  112832 */ // Label 1891: @112832
     /*  112832 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(112946),
     /*  112837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  112840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  112843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112855 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(112900), // Rule ID 51227 //
     /*  112860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112863 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112898 */     GIR_RootConstrainSelectedInstOperands,
     /*  112899 */     // GIR_Coverage, 51227,
     /*  112899 */     GIR_EraseRootFromParent_Done,
     /*  112900 */   // Label 1937: @112900
     /*  112900 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(112945), // Rule ID 51228 //
     /*  112905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112908 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112943 */     GIR_RootConstrainSelectedInstOperands,
     /*  112944 */     // GIR_Coverage, 51228,
     /*  112944 */     GIR_EraseRootFromParent_Done,
     /*  112945 */   // Label 1938: @112945
     /*  112945 */   GIM_Reject,
     /*  112946 */ // Label 1936: @112946
     /*  112946 */ GIM_Reject,
     /*  112947 */ // Label 1892: @112947
     /*  112947 */ GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(113061),
     /*  112952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  112955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  112958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112970 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(113015), // Rule ID 51243 //
     /*  112975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112978 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  112981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  112995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113013 */     GIR_RootConstrainSelectedInstOperands,
     /*  113014 */     // GIR_Coverage, 51243,
     /*  113014 */     GIR_EraseRootFromParent_Done,
     /*  113015 */   // Label 1940: @113015
     /*  113015 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(113060), // Rule ID 51244 //
     /*  113020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113023 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  113026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  113040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113058 */     GIR_RootConstrainSelectedInstOperands,
     /*  113059 */     // GIR_Coverage, 51244,
     /*  113059 */     GIR_EraseRootFromParent_Done,
     /*  113060 */   // Label 1941: @113060
     /*  113060 */   GIM_Reject,
     /*  113061 */ // Label 1939: @113061
     /*  113061 */ GIM_Reject,
     /*  113062 */ // Label 1893: @113062
     /*  113062 */ GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(113176),
     /*  113067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  113070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  113073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113085 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(113130), // Rule ID 51187 //
     /*  113090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113093 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113128 */     GIR_RootConstrainSelectedInstOperands,
     /*  113129 */     // GIR_Coverage, 51187,
     /*  113129 */     GIR_EraseRootFromParent_Done,
     /*  113130 */   // Label 1943: @113130
     /*  113130 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(113175), // Rule ID 51188 //
     /*  113135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113138 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113173 */     GIR_RootConstrainSelectedInstOperands,
     /*  113174 */     // GIR_Coverage, 51188,
     /*  113174 */     GIR_EraseRootFromParent_Done,
     /*  113175 */   // Label 1944: @113175
     /*  113175 */   GIM_Reject,
     /*  113176 */ // Label 1942: @113176
     /*  113176 */ GIM_Reject,
     /*  113177 */ // Label 1894: @113177
     /*  113177 */ GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(113291),
     /*  113182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  113185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  113188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113200 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(113245), // Rule ID 51215 //
     /*  113205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113208 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113243 */     GIR_RootConstrainSelectedInstOperands,
     /*  113244 */     // GIR_Coverage, 51215,
     /*  113244 */     GIR_EraseRootFromParent_Done,
     /*  113245 */   // Label 1946: @113245
     /*  113245 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(113290), // Rule ID 51216 //
     /*  113250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113253 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113288 */     GIR_RootConstrainSelectedInstOperands,
     /*  113289 */     // GIR_Coverage, 51216,
     /*  113289 */     GIR_EraseRootFromParent_Done,
     /*  113290 */   // Label 1947: @113290
     /*  113290 */   GIM_Reject,
     /*  113291 */ // Label 1945: @113291
     /*  113291 */ GIM_Reject,
     /*  113292 */ // Label 1895: @113292
     /*  113292 */ GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(113406),
     /*  113297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  113300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  113303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113315 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(113360), // Rule ID 51231 //
     /*  113320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113323 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113358 */     GIR_RootConstrainSelectedInstOperands,
     /*  113359 */     // GIR_Coverage, 51231,
     /*  113359 */     GIR_EraseRootFromParent_Done,
     /*  113360 */   // Label 1949: @113360
     /*  113360 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(113405), // Rule ID 51232 //
     /*  113365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113368 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113403 */     GIR_RootConstrainSelectedInstOperands,
     /*  113404 */     // GIR_Coverage, 51232,
     /*  113404 */     GIR_EraseRootFromParent_Done,
     /*  113405 */   // Label 1950: @113405
     /*  113405 */   GIM_Reject,
     /*  113406 */ // Label 1948: @113406
     /*  113406 */ GIM_Reject,
     /*  113407 */ // Label 1896: @113407
     /*  113407 */ GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(113521),
     /*  113412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  113415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  113418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113430 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(113475), // Rule ID 51247 //
     /*  113435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113438 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113473 */     GIR_RootConstrainSelectedInstOperands,
     /*  113474 */     // GIR_Coverage, 51247,
     /*  113474 */     GIR_EraseRootFromParent_Done,
     /*  113475 */   // Label 1952: @113475
     /*  113475 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(113520), // Rule ID 51248 //
     /*  113480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113483 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113518 */     GIR_RootConstrainSelectedInstOperands,
     /*  113519 */     // GIR_Coverage, 51248,
     /*  113519 */     GIR_EraseRootFromParent_Done,
     /*  113520 */   // Label 1953: @113520
     /*  113520 */   GIM_Reject,
     /*  113521 */ // Label 1951: @113521
     /*  113521 */ GIM_Reject,
     /*  113522 */ // Label 1897: @113522
     /*  113522 */ GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(113636),
     /*  113527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  113530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  113533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113545 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(113590), // Rule ID 51203 //
     /*  113550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113553 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113588 */     GIR_RootConstrainSelectedInstOperands,
     /*  113589 */     // GIR_Coverage, 51203,
     /*  113589 */     GIR_EraseRootFromParent_Done,
     /*  113590 */   // Label 1955: @113590
     /*  113590 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(113635), // Rule ID 51204 //
     /*  113595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113598 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113633 */     GIR_RootConstrainSelectedInstOperands,
     /*  113634 */     // GIR_Coverage, 51204,
     /*  113634 */     GIR_EraseRootFromParent_Done,
     /*  113635 */   // Label 1956: @113635
     /*  113635 */   GIM_Reject,
     /*  113636 */ // Label 1954: @113636
     /*  113636 */ GIM_Reject,
     /*  113637 */ // Label 1898: @113637
     /*  113637 */ GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(113751),
     /*  113642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  113645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  113648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113660 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(113705), // Rule ID 51219 //
     /*  113665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113668 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113703 */     GIR_RootConstrainSelectedInstOperands,
     /*  113704 */     // GIR_Coverage, 51219,
     /*  113704 */     GIR_EraseRootFromParent_Done,
     /*  113705 */   // Label 1958: @113705
     /*  113705 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(113750), // Rule ID 51220 //
     /*  113710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113713 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113748 */     GIR_RootConstrainSelectedInstOperands,
     /*  113749 */     // GIR_Coverage, 51220,
     /*  113749 */     GIR_EraseRootFromParent_Done,
     /*  113750 */   // Label 1959: @113750
     /*  113750 */   GIM_Reject,
     /*  113751 */ // Label 1957: @113751
     /*  113751 */ GIM_Reject,
     /*  113752 */ // Label 1899: @113752
     /*  113752 */ GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(113866),
     /*  113757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  113760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  113763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113775 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(113820), // Rule ID 51235 //
     /*  113780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113783 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113818 */     GIR_RootConstrainSelectedInstOperands,
     /*  113819 */     // GIR_Coverage, 51235,
     /*  113819 */     GIR_EraseRootFromParent_Done,
     /*  113820 */   // Label 1961: @113820
     /*  113820 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(113865), // Rule ID 51236 //
     /*  113825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113828 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113863 */     GIR_RootConstrainSelectedInstOperands,
     /*  113864 */     // GIR_Coverage, 51236,
     /*  113864 */     GIR_EraseRootFromParent_Done,
     /*  113865 */   // Label 1962: @113865
     /*  113865 */   GIM_Reject,
     /*  113866 */ // Label 1960: @113866
     /*  113866 */ GIM_Reject,
     /*  113867 */ // Label 1900: @113867
     /*  113867 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(113981),
     /*  113872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  113875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  113878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113890 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(113935), // Rule ID 51207 //
     /*  113895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113898 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113933 */     GIR_RootConstrainSelectedInstOperands,
     /*  113934 */     // GIR_Coverage, 51207,
     /*  113934 */     GIR_EraseRootFromParent_Done,
     /*  113935 */   // Label 1964: @113935
     /*  113935 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(113980), // Rule ID 51208 //
     /*  113940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113943 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113978 */     GIR_RootConstrainSelectedInstOperands,
     /*  113979 */     // GIR_Coverage, 51208,
     /*  113979 */     GIR_EraseRootFromParent_Done,
     /*  113980 */   // Label 1965: @113980
     /*  113980 */   GIM_Reject,
     /*  113981 */ // Label 1963: @113981
     /*  113981 */ GIM_Reject,
     /*  113982 */ // Label 1901: @113982
     /*  113982 */ GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(114096),
     /*  113987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  113990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  113993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114005 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(114050), // Rule ID 51223 //
     /*  114010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114013 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114048 */     GIR_RootConstrainSelectedInstOperands,
     /*  114049 */     // GIR_Coverage, 51223,
     /*  114049 */     GIR_EraseRootFromParent_Done,
     /*  114050 */   // Label 1967: @114050
     /*  114050 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(114095), // Rule ID 51224 //
     /*  114055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114058 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114093 */     GIR_RootConstrainSelectedInstOperands,
     /*  114094 */     // GIR_Coverage, 51224,
     /*  114094 */     GIR_EraseRootFromParent_Done,
     /*  114095 */   // Label 1968: @114095
     /*  114095 */   GIM_Reject,
     /*  114096 */ // Label 1966: @114096
     /*  114096 */ GIM_Reject,
     /*  114097 */ // Label 1902: @114097
     /*  114097 */ GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(114211),
     /*  114102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  114105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  114108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114120 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(114165), // Rule ID 51211 //
     /*  114125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114128 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114163 */     GIR_RootConstrainSelectedInstOperands,
     /*  114164 */     // GIR_Coverage, 51211,
     /*  114164 */     GIR_EraseRootFromParent_Done,
     /*  114165 */   // Label 1970: @114165
     /*  114165 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(114210), // Rule ID 51212 //
     /*  114170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114173 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114208 */     GIR_RootConstrainSelectedInstOperands,
     /*  114209 */     // GIR_Coverage, 51212,
     /*  114209 */     GIR_EraseRootFromParent_Done,
     /*  114210 */   // Label 1971: @114210
     /*  114210 */   GIM_Reject,
     /*  114211 */ // Label 1969: @114211
     /*  114211 */ GIM_Reject,
     /*  114212 */ // Label 1903: @114212
     /*  114212 */ GIM_Reject,
     /*  114213 */ // Label 7: @114213
     /*  114213 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2003*/ GIMT_Encode4(123656),
     /*  114224 */ /*GILLT_s32*//*Label 1972*/ GIMT_Encode4(114348),
     /*  114228 */ /*GILLT_s64*//*Label 1973*/ GIMT_Encode4(115566),
     /*  114232 */ /*GILLT_nxv1s1*//*Label 1974*/ GIMT_Encode4(116849),
     /*  114236 */ /*GILLT_nxv1s8*//*Label 1975*/ GIMT_Encode4(117460),
     /*  114240 */ /*GILLT_nxv1s16*//*Label 1976*/ GIMT_Encode4(117575),
     /*  114244 */ /*GILLT_nxv1s32*//*Label 1977*/ GIMT_Encode4(117690),
     /*  114248 */ /*GILLT_nxv1s64*//*Label 1978*/ GIMT_Encode4(117805),
     /*  114252 */ /*GILLT_nxv2s1*//*Label 1979*/ GIMT_Encode4(117920),
     /*  114256 */ /*GILLT_nxv2s8*//*Label 1980*/ GIMT_Encode4(118531),
     /*  114260 */ /*GILLT_nxv2s16*//*Label 1981*/ GIMT_Encode4(118646),
     /*  114264 */ /*GILLT_nxv2s32*//*Label 1982*/ GIMT_Encode4(118761),
     /*  114268 */ /*GILLT_nxv2s64*//*Label 1983*/ GIMT_Encode4(118876),
     /*  114272 */ /*GILLT_nxv4s1*//*Label 1984*/ GIMT_Encode4(118991),
     /*  114276 */ /*GILLT_nxv4s8*//*Label 1985*/ GIMT_Encode4(119602),
     /*  114280 */ /*GILLT_nxv4s16*//*Label 1986*/ GIMT_Encode4(119717),
     /*  114284 */ /*GILLT_nxv4s32*//*Label 1987*/ GIMT_Encode4(119832),
     /*  114288 */ /*GILLT_nxv4s64*//*Label 1988*/ GIMT_Encode4(119947),
     /*  114292 */ /*GILLT_nxv8s1*//*Label 1989*/ GIMT_Encode4(120062),
     /*  114296 */ /*GILLT_nxv8s8*//*Label 1990*/ GIMT_Encode4(120673),
     /*  114300 */ /*GILLT_nxv8s16*//*Label 1991*/ GIMT_Encode4(120788),
     /*  114304 */ /*GILLT_nxv8s32*//*Label 1992*/ GIMT_Encode4(120903),
     /*  114308 */ /*GILLT_nxv8s64*//*Label 1993*/ GIMT_Encode4(121018),
     /*  114312 */ /*GILLT_nxv16s1*//*Label 1994*/ GIMT_Encode4(121133),
     /*  114316 */ /*GILLT_nxv16s8*//*Label 1995*/ GIMT_Encode4(121744),
     /*  114320 */ /*GILLT_nxv16s16*//*Label 1996*/ GIMT_Encode4(121859),
     /*  114324 */ /*GILLT_nxv16s32*//*Label 1997*/ GIMT_Encode4(121974),
     /*  114328 */ /*GILLT_nxv32s1*//*Label 1998*/ GIMT_Encode4(122089),
     /*  114332 */ /*GILLT_nxv32s8*//*Label 1999*/ GIMT_Encode4(122700),
     /*  114336 */ /*GILLT_nxv32s16*//*Label 2000*/ GIMT_Encode4(122815),
     /*  114340 */ /*GILLT_nxv64s1*//*Label 2001*/ GIMT_Encode4(122930),
     /*  114344 */ /*GILLT_nxv64s8*//*Label 2002*/ GIMT_Encode4(123541),
     /*  114348 */ // Label 1972: @114348
     /*  114348 */ GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(115565),
     /*  114353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  114356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114359 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(114448), // Rule ID 65076 //
     /*  114364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114408 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114412 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114425 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114432 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114446 */     GIR_RootConstrainSelectedInstOperands,
     /*  114447 */     // GIR_Coverage, 65076,
     /*  114447 */     GIR_EraseRootFromParent_Done,
     /*  114448 */   // Label 2005: @114448
     /*  114448 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(114537), // Rule ID 2427 //
     /*  114453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114497 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114501 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114521 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114535 */     GIR_RootConstrainSelectedInstOperands,
     /*  114536 */     // GIR_Coverage, 2427,
     /*  114536 */     GIR_EraseRootFromParent_Done,
     /*  114537 */   // Label 2006: @114537
     /*  114537 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(114616), // Rule ID 2354 //
     /*  114542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114577 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114581 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114602 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114614 */     GIR_RootConstrainSelectedInstOperands,
     /*  114615 */     // GIR_Coverage, 2354,
     /*  114615 */     GIR_EraseRootFromParent_Done,
     /*  114616 */   // Label 2007: @114616
     /*  114616 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(114695), // Rule ID 65064 //
     /*  114621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114664 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114668 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114674 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114681 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114693 */     GIR_RootConstrainSelectedInstOperands,
     /*  114694 */     // GIR_Coverage, 65064,
     /*  114694 */     GIR_EraseRootFromParent_Done,
     /*  114695 */   // Label 2008: @114695
     /*  114695 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(114760), // Rule ID 2374 //
     /*  114700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114736 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114740 */     // MIs[2] Operand 1
     /*  114740 */     // No operand predicates
     /*  114740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114746 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  114749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114758 */     GIR_RootConstrainSelectedInstOperands,
     /*  114759 */     // GIR_Coverage, 2374,
     /*  114759 */     GIR_EraseRootFromParent_Done,
     /*  114760 */   // Label 2009: @114760
     /*  114760 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(114825), // Rule ID 62479 //
     /*  114765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  114768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114801 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114805 */     // MIs[2] Operand 1
     /*  114805 */     // No operand predicates
     /*  114805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114811 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  114814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114823 */     GIR_RootConstrainSelectedInstOperands,
     /*  114824 */     // GIR_Coverage, 62479,
     /*  114824 */     GIR_EraseRootFromParent_Done,
     /*  114825 */   // Label 2010: @114825
     /*  114825 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(114887), // Rule ID 2362 //
     /*  114830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114871 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  114874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114885 */     GIR_RootConstrainSelectedInstOperands,
     /*  114886 */     // GIR_Coverage, 2362,
     /*  114886 */     GIR_EraseRootFromParent_Done,
     /*  114887 */   // Label 2011: @114887
     /*  114887 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(114943), // Rule ID 2356 //
     /*  114892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  114907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114915 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  114919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114930 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  114941 */     GIR_RootConstrainSelectedInstOperands,
     /*  114942 */     // GIR_Coverage, 2356,
     /*  114942 */     GIR_EraseRootFromParent_Done,
     /*  114943 */   // Label 2012: @114943
     /*  114943 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(114999), // Rule ID 65050 //
     /*  114948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  114951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114976 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114986 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  114989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  114997 */     GIR_RootConstrainSelectedInstOperands,
     /*  114998 */     // GIR_Coverage, 65050,
     /*  114998 */     GIR_EraseRootFromParent_Done,
     /*  114999 */   // Label 2013: @114999
     /*  114999 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(115055), // Rule ID 65066 //
     /*  115004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  115007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  115023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115031 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  115035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115042 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  115053 */     GIR_RootConstrainSelectedInstOperands,
     /*  115054 */     // GIR_Coverage, 65066,
     /*  115054 */     GIR_EraseRootFromParent_Done,
     /*  115055 */   // Label 2014: @115055
     /*  115055 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(115111), // Rule ID 2330 //
     /*  115060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  115063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115092 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115098 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  115101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  115109 */     GIR_RootConstrainSelectedInstOperands,
     /*  115110 */     // GIR_Coverage, 2330,
     /*  115110 */     GIR_EraseRootFromParent_Done,
     /*  115111 */   // Label 2015: @115111
     /*  115111 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(115147), // Rule ID 64380 //
     /*  115116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115127 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115138 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  115141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115145 */     GIR_RootConstrainSelectedInstOperands,
     /*  115146 */     // GIR_Coverage, 64380,
     /*  115146 */     GIR_EraseRootFromParent_Done,
     /*  115147 */   // Label 2016: @115147
     /*  115147 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(115183), // Rule ID 64382 //
     /*  115152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115163 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  115174 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  115177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115181 */     GIR_RootConstrainSelectedInstOperands,
     /*  115182 */     // GIR_Coverage, 64382,
     /*  115182 */     GIR_EraseRootFromParent_Done,
     /*  115183 */   // Label 2017: @115183
     /*  115183 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(115219), // Rule ID 2438 //
     /*  115188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  115191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115199 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115210 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115217 */     GIR_RootConstrainSelectedInstOperands,
     /*  115218 */     // GIR_Coverage, 2438,
     /*  115218 */     GIR_EraseRootFromParent_Done,
     /*  115219 */   // Label 2018: @115219
     /*  115219 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(115255), // Rule ID 2439 //
     /*  115224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  115227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115235 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115246 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115253 */     GIR_RootConstrainSelectedInstOperands,
     /*  115254 */     // GIR_Coverage, 2439,
     /*  115254 */     GIR_EraseRootFromParent_Done,
     /*  115255 */   // Label 2019: @115255
     /*  115255 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(115297), // Rule ID 2441 //
     /*  115260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  115263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115271 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115282 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  115282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115295 */     GIR_RootConstrainSelectedInstOperands,
     /*  115296 */     // GIR_Coverage, 2441,
     /*  115296 */     GIR_EraseRootFromParent_Done,
     /*  115297 */   // Label 2020: @115297
     /*  115297 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(115339), // Rule ID 2442 //
     /*  115302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  115305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115313 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115324 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  115324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115337 */     GIR_RootConstrainSelectedInstOperands,
     /*  115338 */     // GIR_Coverage, 2442,
     /*  115338 */     GIR_EraseRootFromParent_Done,
     /*  115339 */   // Label 2021: @115339
     /*  115339 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(115381), // Rule ID 85 //
     /*  115344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  115367 */     // MIs[1] Operand 1
     /*  115367 */     // No operand predicates
     /*  115367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115369 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  115369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  115372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115379 */     GIR_RootConstrainSelectedInstOperands,
     /*  115380 */     // GIR_Coverage, 85,
     /*  115380 */     GIR_EraseRootFromParent_Done,
     /*  115381 */   // Label 2022: @115381
     /*  115381 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(115453), // Rule ID 103 //
     /*  115386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115405 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  115409 */     // MIs[1] Operand 1
     /*  115409 */     // No operand predicates
     /*  115409 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9924),
     /*  115413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115415 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9924>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  115415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  115418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  115422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  115431 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  115441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115446 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115451 */     GIR_RootConstrainSelectedInstOperands,
     /*  115452 */     // GIR_Coverage, 103,
     /*  115452 */     GIR_EraseRootFromParent_Done,
     /*  115453 */   // Label 2023: @115453
     /*  115453 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(115495), // Rule ID 64433 //
     /*  115458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  115481 */     // MIs[1] Operand 1
     /*  115481 */     // No operand predicates
     /*  115481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115483 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  115483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  115486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  115488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115493 */     GIR_RootConstrainSelectedInstOperands,
     /*  115494 */     // GIR_Coverage, 64433,
     /*  115494 */     GIR_EraseRootFromParent_Done,
     /*  115495 */   // Label 2024: @115495
     /*  115495 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(115537), // Rule ID 64437 //
     /*  115500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  115523 */     // MIs[1] Operand 1
     /*  115523 */     // No operand predicates
     /*  115523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115525 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  115525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  115528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115535 */     GIR_RootConstrainSelectedInstOperands,
     /*  115536 */     // GIR_Coverage, 64437,
     /*  115536 */     GIR_EraseRootFromParent_Done,
     /*  115537 */   // Label 2025: @115537
     /*  115537 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(115564), // Rule ID 83 //
     /*  115542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115557 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  115562 */     GIR_RootConstrainSelectedInstOperands,
     /*  115563 */     // GIR_Coverage, 83,
     /*  115563 */     GIR_Done,
     /*  115564 */   // Label 2026: @115564
     /*  115564 */   GIM_Reject,
     /*  115565 */ // Label 2004: @115565
     /*  115565 */ GIM_Reject,
     /*  115566 */ // Label 1973: @115566
     /*  115566 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(116848),
     /*  115571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115581 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(115666), // Rule ID 65075 //
     /*  115586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115617 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115626 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115630 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115650 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115664 */     GIR_RootConstrainSelectedInstOperands,
     /*  115665 */     // GIR_Coverage, 65075,
     /*  115665 */     GIR_EraseRootFromParent_Done,
     /*  115666 */   // Label 2028: @115666
     /*  115666 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(115751), // Rule ID 2426 //
     /*  115671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115715 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115735 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115749 */     GIR_RootConstrainSelectedInstOperands,
     /*  115750 */     // GIR_Coverage, 2426,
     /*  115750 */     GIR_EraseRootFromParent_Done,
     /*  115751 */   // Label 2029: @115751
     /*  115751 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(115826), // Rule ID 2353 //
     /*  115756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115795 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115812 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115824 */     GIR_RootConstrainSelectedInstOperands,
     /*  115825 */     // GIR_Coverage, 2353,
     /*  115825 */     GIR_EraseRootFromParent_Done,
     /*  115826 */   // Label 2030: @115826
     /*  115826 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(115901), // Rule ID 65063 //
     /*  115831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115870 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115874 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115887 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115899 */     GIR_RootConstrainSelectedInstOperands,
     /*  115900 */     // GIR_Coverage, 65063,
     /*  115900 */     GIR_EraseRootFromParent_Done,
     /*  115901 */   // Label 2031: @115901
     /*  115901 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(115962), // Rule ID 2373 //
     /*  115906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115938 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  115942 */     // MIs[2] Operand 1
     /*  115942 */     // No operand predicates
     /*  115942 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115948 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  115948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  115951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  115960 */     GIR_RootConstrainSelectedInstOperands,
     /*  115961 */     // GIR_Coverage, 2373,
     /*  115961 */     GIR_EraseRootFromParent_Done,
     /*  115962 */   // Label 2032: @115962
     /*  115962 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(116023), // Rule ID 62478 //
     /*  115967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  115970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115999 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  116003 */     // MIs[2] Operand 1
     /*  116003 */     // No operand predicates
     /*  116003 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116009 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  116009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  116012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  116021 */     GIR_RootConstrainSelectedInstOperands,
     /*  116022 */     // GIR_Coverage, 62478,
     /*  116022 */     GIR_EraseRootFromParent_Done,
     /*  116023 */   // Label 2033: @116023
     /*  116023 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(116081), // Rule ID 2361 //
     /*  116028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  116039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  116065 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  116068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  116079 */     GIR_RootConstrainSelectedInstOperands,
     /*  116080 */     // GIR_Coverage, 2361,
     /*  116080 */     GIR_EraseRootFromParent_Done,
     /*  116081 */   // Label 2034: @116081
     /*  116081 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(116133), // Rule ID 2355 //
     /*  116086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116105 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116120 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116131 */     GIR_RootConstrainSelectedInstOperands,
     /*  116132 */     // GIR_Coverage, 2355,
     /*  116132 */     GIR_EraseRootFromParent_Done,
     /*  116133 */   // Label 2035: @116133
     /*  116133 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(116185), // Rule ID 65049 //
     /*  116138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116162 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116172 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116183 */     GIR_RootConstrainSelectedInstOperands,
     /*  116184 */     // GIR_Coverage, 65049,
     /*  116184 */     GIR_EraseRootFromParent_Done,
     /*  116185 */   // Label 2036: @116185
     /*  116185 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(116237), // Rule ID 65065 //
     /*  116190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116224 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116235 */     GIR_RootConstrainSelectedInstOperands,
     /*  116236 */     // GIR_Coverage, 65065,
     /*  116236 */     GIR_EraseRootFromParent_Done,
     /*  116237 */   // Label 2037: @116237
     /*  116237 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(116289), // Rule ID 2329 //
     /*  116242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116270 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116276 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116287 */     GIR_RootConstrainSelectedInstOperands,
     /*  116288 */     // GIR_Coverage, 2329,
     /*  116288 */     GIR_EraseRootFromParent_Done,
     /*  116289 */   // Label 2038: @116289
     /*  116289 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(116321), // Rule ID 64379 //
     /*  116294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116301 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116312 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  116315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116319 */     GIR_RootConstrainSelectedInstOperands,
     /*  116320 */     // GIR_Coverage, 64379,
     /*  116320 */     GIR_EraseRootFromParent_Done,
     /*  116321 */   // Label 2039: @116321
     /*  116321 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(116353), // Rule ID 64381 //
     /*  116326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116333 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  116344 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  116347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116351 */     GIR_RootConstrainSelectedInstOperands,
     /*  116352 */     // GIR_Coverage, 64381,
     /*  116352 */     GIR_EraseRootFromParent_Done,
     /*  116353 */   // Label 2040: @116353
     /*  116353 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(116410), // Rule ID 252 //
     /*  116358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  116361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116365 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116376 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  116376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  116395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  116408 */     GIR_RootConstrainSelectedInstOperands,
     /*  116409 */     // GIR_Coverage, 252,
     /*  116409 */     GIR_EraseRootFromParent_Done,
     /*  116410 */   // Label 2041: @116410
     /*  116410 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(116442), // Rule ID 2440 //
     /*  116415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  116418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116422 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116433 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  116433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116440 */     GIR_RootConstrainSelectedInstOperands,
     /*  116441 */     // GIR_Coverage, 2440,
     /*  116441 */     GIR_EraseRootFromParent_Done,
     /*  116442 */   // Label 2042: @116442
     /*  116442 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(116480), // Rule ID 2443 //
     /*  116447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  116450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116454 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116465 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  116468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116478 */     GIR_RootConstrainSelectedInstOperands,
     /*  116479 */     // GIR_Coverage, 2443,
     /*  116479 */     GIR_EraseRootFromParent_Done,
     /*  116480 */   // Label 2043: @116480
     /*  116480 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(116518), // Rule ID 2486 //
     /*  116485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116492 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116503 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  116506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116516 */     GIR_RootConstrainSelectedInstOperands,
     /*  116517 */     // GIR_Coverage, 2486,
     /*  116517 */     GIR_EraseRootFromParent_Done,
     /*  116518 */   // Label 2044: @116518
     /*  116518 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(116556), // Rule ID 84 //
     /*  116523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  116542 */     // MIs[1] Operand 1
     /*  116542 */     // No operand predicates
     /*  116542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116544 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  116544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  116547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  116554 */     GIR_RootConstrainSelectedInstOperands,
     /*  116555 */     // GIR_Coverage, 84,
     /*  116555 */     GIR_EraseRootFromParent_Done,
     /*  116556 */   // Label 2045: @116556
     /*  116556 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(116624), // Rule ID 101 //
     /*  116561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  116580 */     // MIs[1] Operand 1
     /*  116580 */     // No operand predicates
     /*  116580 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9922),
     /*  116584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116586 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9922>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116602 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116617 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116622 */     GIR_RootConstrainSelectedInstOperands,
     /*  116623 */     // GIR_Coverage, 101,
     /*  116623 */     GIR_EraseRootFromParent_Done,
     /*  116624 */   // Label 2046: @116624
     /*  116624 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(116692), // Rule ID 102 //
     /*  116629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116644 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  116648 */     // MIs[1] Operand 1
     /*  116648 */     // No operand predicates
     /*  116648 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9924),
     /*  116652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116654 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9924>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116670 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116690 */     GIR_RootConstrainSelectedInstOperands,
     /*  116691 */     // GIR_Coverage, 102,
     /*  116691 */     GIR_EraseRootFromParent_Done,
     /*  116692 */   // Label 2047: @116692
     /*  116692 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(116760), // Rule ID 254 //
     /*  116697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  116700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  116716 */     // MIs[1] Operand 1
     /*  116716 */     // No operand predicates
     /*  116716 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10012),
     /*  116720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116722 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_10012>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  116729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116738 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116758 */     GIR_RootConstrainSelectedInstOperands,
     /*  116759 */     // GIR_Coverage, 254,
     /*  116759 */     GIR_EraseRootFromParent_Done,
     /*  116760 */   // Label 2048: @116760
     /*  116760 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(116824), // Rule ID 2483 //
     /*  116765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116780 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  116784 */     // MIs[1] Operand 1
     /*  116784 */     // No operand predicates
     /*  116784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116786 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  116786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116802 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  116812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116817 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116822 */     GIR_RootConstrainSelectedInstOperands,
     /*  116823 */     // GIR_Coverage, 2483,
     /*  116823 */     GIR_EraseRootFromParent_Done,
     /*  116824 */   // Label 2049: @116824
     /*  116824 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(116847), // Rule ID 82 //
     /*  116829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116840 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  116845 */     GIR_RootConstrainSelectedInstOperands,
     /*  116846 */     // GIR_Coverage, 82,
     /*  116846 */     GIR_Done,
     /*  116847 */   // Label 2050: @116847
     /*  116847 */   GIM_Reject,
     /*  116848 */ // Label 2027: @116848
     /*  116848 */ GIM_Reject,
     /*  116849 */ // Label 1974: @116849
     /*  116849 */ GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(117459),
     /*  116854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116864 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(116930), // Rule ID 71265 //
     /*  116869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116911 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116928 */     GIR_RootConstrainSelectedInstOperands,
     /*  116929 */     // GIR_Coverage, 71265,
     /*  116929 */     GIR_EraseRootFromParent_Done,
     /*  116930 */   // Label 2052: @116930
     /*  116930 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(116996), // Rule ID 71266 //
     /*  116935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116977 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116994 */     GIR_RootConstrainSelectedInstOperands,
     /*  116995 */     // GIR_Coverage, 71266,
     /*  116995 */     GIR_EraseRootFromParent_Done,
     /*  116996 */   // Label 2053: @116996
     /*  116996 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(117062), // Rule ID 71263 //
     /*  117001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117043 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117060 */     GIR_RootConstrainSelectedInstOperands,
     /*  117061 */     // GIR_Coverage, 71263,
     /*  117061 */     GIR_EraseRootFromParent_Done,
     /*  117062 */   // Label 2054: @117062
     /*  117062 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(117128), // Rule ID 71264 //
     /*  117067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117109 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117126 */     GIR_RootConstrainSelectedInstOperands,
     /*  117127 */     // GIR_Coverage, 71264,
     /*  117127 */     GIR_EraseRootFromParent_Done,
     /*  117128 */   // Label 2055: @117128
     /*  117128 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(117194), // Rule ID 71261 //
     /*  117133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117175 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117192 */     GIR_RootConstrainSelectedInstOperands,
     /*  117193 */     // GIR_Coverage, 71261,
     /*  117193 */     GIR_EraseRootFromParent_Done,
     /*  117194 */   // Label 2056: @117194
     /*  117194 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(117260), // Rule ID 71262 //
     /*  117199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117241 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117258 */     GIR_RootConstrainSelectedInstOperands,
     /*  117259 */     // GIR_Coverage, 71262,
     /*  117259 */     GIR_EraseRootFromParent_Done,
     /*  117260 */   // Label 2057: @117260
     /*  117260 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(117326), // Rule ID 53039 //
     /*  117265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117307 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117324 */     GIR_RootConstrainSelectedInstOperands,
     /*  117325 */     // GIR_Coverage, 53039,
     /*  117325 */     GIR_EraseRootFromParent_Done,
     /*  117326 */   // Label 2058: @117326
     /*  117326 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(117392), // Rule ID 53040 //
     /*  117331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117373 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117390 */     GIR_RootConstrainSelectedInstOperands,
     /*  117391 */     // GIR_Coverage, 53040,
     /*  117391 */     GIR_EraseRootFromParent_Done,
     /*  117392 */   // Label 2059: @117392
     /*  117392 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(117425), // Rule ID 53027 //
     /*  117397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117408 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117423 */     GIR_RootConstrainSelectedInstOperands,
     /*  117424 */     // GIR_Coverage, 53027,
     /*  117424 */     GIR_EraseRootFromParent_Done,
     /*  117425 */   // Label 2060: @117425
     /*  117425 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(117458), // Rule ID 53028 //
     /*  117430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117441 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117456 */     GIR_RootConstrainSelectedInstOperands,
     /*  117457 */     // GIR_Coverage, 53028,
     /*  117457 */     GIR_EraseRootFromParent_Done,
     /*  117458 */   // Label 2061: @117458
     /*  117458 */   GIM_Reject,
     /*  117459 */ // Label 2051: @117459
     /*  117459 */ GIM_Reject,
     /*  117460 */ // Label 1975: @117460
     /*  117460 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(117574),
     /*  117465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  117468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  117471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117483 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(117528), // Rule ID 47519 //
     /*  117488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117491 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117526 */     GIR_RootConstrainSelectedInstOperands,
     /*  117527 */     // GIR_Coverage, 47519,
     /*  117527 */     GIR_EraseRootFromParent_Done,
     /*  117528 */   // Label 2063: @117528
     /*  117528 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(117573), // Rule ID 47520 //
     /*  117533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117536 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117571 */     GIR_RootConstrainSelectedInstOperands,
     /*  117572 */     // GIR_Coverage, 47520,
     /*  117572 */     GIR_EraseRootFromParent_Done,
     /*  117573 */   // Label 2064: @117573
     /*  117573 */   GIM_Reject,
     /*  117574 */ // Label 2062: @117574
     /*  117574 */ GIM_Reject,
     /*  117575 */ // Label 1976: @117575
     /*  117575 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(117689),
     /*  117580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  117583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  117586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117598 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(117643), // Rule ID 47531 //
     /*  117603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117606 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117641 */     GIR_RootConstrainSelectedInstOperands,
     /*  117642 */     // GIR_Coverage, 47531,
     /*  117642 */     GIR_EraseRootFromParent_Done,
     /*  117643 */   // Label 2066: @117643
     /*  117643 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(117688), // Rule ID 47532 //
     /*  117648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117651 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117686 */     GIR_RootConstrainSelectedInstOperands,
     /*  117687 */     // GIR_Coverage, 47532,
     /*  117687 */     GIR_EraseRootFromParent_Done,
     /*  117688 */   // Label 2067: @117688
     /*  117688 */   GIM_Reject,
     /*  117689 */ // Label 2065: @117689
     /*  117689 */ GIM_Reject,
     /*  117690 */ // Label 1977: @117690
     /*  117690 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(117804),
     /*  117695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  117698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  117701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117713 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(117758), // Rule ID 47539 //
     /*  117718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117721 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117756 */     GIR_RootConstrainSelectedInstOperands,
     /*  117757 */     // GIR_Coverage, 47539,
     /*  117757 */     GIR_EraseRootFromParent_Done,
     /*  117758 */   // Label 2069: @117758
     /*  117758 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(117803), // Rule ID 47540 //
     /*  117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117766 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117801 */     GIR_RootConstrainSelectedInstOperands,
     /*  117802 */     // GIR_Coverage, 47540,
     /*  117802 */     GIR_EraseRootFromParent_Done,
     /*  117803 */   // Label 2070: @117803
     /*  117803 */   GIM_Reject,
     /*  117804 */ // Label 2068: @117804
     /*  117804 */ GIM_Reject,
     /*  117805 */ // Label 1978: @117805
     /*  117805 */ GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(117919),
     /*  117810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  117813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  117816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117828 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(117873), // Rule ID 47555 //
     /*  117833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117836 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117871 */     GIR_RootConstrainSelectedInstOperands,
     /*  117872 */     // GIR_Coverage, 47555,
     /*  117872 */     GIR_EraseRootFromParent_Done,
     /*  117873 */   // Label 2072: @117873
     /*  117873 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(117918), // Rule ID 47556 //
     /*  117878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117881 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117916 */     GIR_RootConstrainSelectedInstOperands,
     /*  117917 */     // GIR_Coverage, 47556,
     /*  117917 */     GIR_EraseRootFromParent_Done,
     /*  117918 */   // Label 2073: @117918
     /*  117918 */   GIM_Reject,
     /*  117919 */ // Label 2071: @117919
     /*  117919 */ GIM_Reject,
     /*  117920 */ // Label 1979: @117920
     /*  117920 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(118530),
     /*  117925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117935 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(118001), // Rule ID 71293 //
     /*  117940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117982 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117999 */     GIR_RootConstrainSelectedInstOperands,
     /*  118000 */     // GIR_Coverage, 71293,
     /*  118000 */     GIR_EraseRootFromParent_Done,
     /*  118001 */   // Label 2075: @118001
     /*  118001 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(118067), // Rule ID 71294 //
     /*  118006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118048 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118065 */     GIR_RootConstrainSelectedInstOperands,
     /*  118066 */     // GIR_Coverage, 71294,
     /*  118066 */     GIR_EraseRootFromParent_Done,
     /*  118067 */   // Label 2076: @118067
     /*  118067 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(118133), // Rule ID 71291 //
     /*  118072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118114 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118131 */     GIR_RootConstrainSelectedInstOperands,
     /*  118132 */     // GIR_Coverage, 71291,
     /*  118132 */     GIR_EraseRootFromParent_Done,
     /*  118133 */   // Label 2077: @118133
     /*  118133 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(118199), // Rule ID 71292 //
     /*  118138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118180 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118197 */     GIR_RootConstrainSelectedInstOperands,
     /*  118198 */     // GIR_Coverage, 71292,
     /*  118198 */     GIR_EraseRootFromParent_Done,
     /*  118199 */   // Label 2078: @118199
     /*  118199 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(118265), // Rule ID 71289 //
     /*  118204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118246 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118263 */     GIR_RootConstrainSelectedInstOperands,
     /*  118264 */     // GIR_Coverage, 71289,
     /*  118264 */     GIR_EraseRootFromParent_Done,
     /*  118265 */   // Label 2079: @118265
     /*  118265 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(118331), // Rule ID 71290 //
     /*  118270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118312 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118329 */     GIR_RootConstrainSelectedInstOperands,
     /*  118330 */     // GIR_Coverage, 71290,
     /*  118330 */     GIR_EraseRootFromParent_Done,
     /*  118331 */   // Label 2080: @118331
     /*  118331 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(118397), // Rule ID 53057 //
     /*  118336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118378 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118395 */     GIR_RootConstrainSelectedInstOperands,
     /*  118396 */     // GIR_Coverage, 53057,
     /*  118396 */     GIR_EraseRootFromParent_Done,
     /*  118397 */   // Label 2081: @118397
     /*  118397 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(118463), // Rule ID 53058 //
     /*  118402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118444 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118461 */     GIR_RootConstrainSelectedInstOperands,
     /*  118462 */     // GIR_Coverage, 53058,
     /*  118462 */     GIR_EraseRootFromParent_Done,
     /*  118463 */   // Label 2082: @118463
     /*  118463 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(118496), // Rule ID 53045 //
     /*  118468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118479 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118494 */     GIR_RootConstrainSelectedInstOperands,
     /*  118495 */     // GIR_Coverage, 53045,
     /*  118495 */     GIR_EraseRootFromParent_Done,
     /*  118496 */   // Label 2083: @118496
     /*  118496 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(118529), // Rule ID 53046 //
     /*  118501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118512 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118527 */     GIR_RootConstrainSelectedInstOperands,
     /*  118528 */     // GIR_Coverage, 53046,
     /*  118528 */     GIR_EraseRootFromParent_Done,
     /*  118529 */   // Label 2084: @118529
     /*  118529 */   GIM_Reject,
     /*  118530 */ // Label 2074: @118530
     /*  118530 */ GIM_Reject,
     /*  118531 */ // Label 1980: @118531
     /*  118531 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(118645),
     /*  118536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  118539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118554 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(118599), // Rule ID 47523 //
     /*  118559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118562 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118597 */     GIR_RootConstrainSelectedInstOperands,
     /*  118598 */     // GIR_Coverage, 47523,
     /*  118598 */     GIR_EraseRootFromParent_Done,
     /*  118599 */   // Label 2086: @118599
     /*  118599 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(118644), // Rule ID 47524 //
     /*  118604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118607 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118642 */     GIR_RootConstrainSelectedInstOperands,
     /*  118643 */     // GIR_Coverage, 47524,
     /*  118643 */     GIR_EraseRootFromParent_Done,
     /*  118644 */   // Label 2087: @118644
     /*  118644 */   GIM_Reject,
     /*  118645 */ // Label 2085: @118645
     /*  118645 */ GIM_Reject,
     /*  118646 */ // Label 1981: @118646
     /*  118646 */ GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(118760),
     /*  118651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  118654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  118657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118669 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(118714), // Rule ID 47535 //
     /*  118674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118677 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118712 */     GIR_RootConstrainSelectedInstOperands,
     /*  118713 */     // GIR_Coverage, 47535,
     /*  118713 */     GIR_EraseRootFromParent_Done,
     /*  118714 */   // Label 2089: @118714
     /*  118714 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(118759), // Rule ID 47536 //
     /*  118719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118722 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118757 */     GIR_RootConstrainSelectedInstOperands,
     /*  118758 */     // GIR_Coverage, 47536,
     /*  118758 */     GIR_EraseRootFromParent_Done,
     /*  118759 */   // Label 2090: @118759
     /*  118759 */   GIM_Reject,
     /*  118760 */ // Label 2088: @118760
     /*  118760 */ GIM_Reject,
     /*  118761 */ // Label 1982: @118761
     /*  118761 */ GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(118875),
     /*  118766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  118769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  118772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118784 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(118829), // Rule ID 47551 //
     /*  118789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118792 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  118792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118827 */     GIR_RootConstrainSelectedInstOperands,
     /*  118828 */     // GIR_Coverage, 47551,
     /*  118828 */     GIR_EraseRootFromParent_Done,
     /*  118829 */   // Label 2092: @118829
     /*  118829 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(118874), // Rule ID 47552 //
     /*  118834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118837 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  118837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118872 */     GIR_RootConstrainSelectedInstOperands,
     /*  118873 */     // GIR_Coverage, 47552,
     /*  118873 */     GIR_EraseRootFromParent_Done,
     /*  118874 */   // Label 2093: @118874
     /*  118874 */   GIM_Reject,
     /*  118875 */ // Label 2091: @118875
     /*  118875 */ GIM_Reject,
     /*  118876 */ // Label 1983: @118876
     /*  118876 */ GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(118990),
     /*  118881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  118884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  118887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118899 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(118944), // Rule ID 47595 //
     /*  118904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  118907 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  118907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118942 */     GIR_RootConstrainSelectedInstOperands,
     /*  118943 */     // GIR_Coverage, 47595,
     /*  118943 */     GIR_EraseRootFromParent_Done,
     /*  118944 */   // Label 2095: @118944
     /*  118944 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(118989), // Rule ID 47596 //
     /*  118949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  118952 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  118952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118987 */     GIR_RootConstrainSelectedInstOperands,
     /*  118988 */     // GIR_Coverage, 47596,
     /*  118988 */     GIR_EraseRootFromParent_Done,
     /*  118989 */   // Label 2096: @118989
     /*  118989 */   GIM_Reject,
     /*  118990 */ // Label 2094: @118990
     /*  118990 */ GIM_Reject,
     /*  118991 */ // Label 1984: @118991
     /*  118991 */ GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(119601),
     /*  118996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119006 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(119072), // Rule ID 71321 //
     /*  119011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119053 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119070 */     GIR_RootConstrainSelectedInstOperands,
     /*  119071 */     // GIR_Coverage, 71321,
     /*  119071 */     GIR_EraseRootFromParent_Done,
     /*  119072 */   // Label 2098: @119072
     /*  119072 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(119138), // Rule ID 71322 //
     /*  119077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119119 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119136 */     GIR_RootConstrainSelectedInstOperands,
     /*  119137 */     // GIR_Coverage, 71322,
     /*  119137 */     GIR_EraseRootFromParent_Done,
     /*  119138 */   // Label 2099: @119138
     /*  119138 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(119204), // Rule ID 71319 //
     /*  119143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119185 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119202 */     GIR_RootConstrainSelectedInstOperands,
     /*  119203 */     // GIR_Coverage, 71319,
     /*  119203 */     GIR_EraseRootFromParent_Done,
     /*  119204 */   // Label 2100: @119204
     /*  119204 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(119270), // Rule ID 71320 //
     /*  119209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119251 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119268 */     GIR_RootConstrainSelectedInstOperands,
     /*  119269 */     // GIR_Coverage, 71320,
     /*  119269 */     GIR_EraseRootFromParent_Done,
     /*  119270 */   // Label 2101: @119270
     /*  119270 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(119336), // Rule ID 71317 //
     /*  119275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119317 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119334 */     GIR_RootConstrainSelectedInstOperands,
     /*  119335 */     // GIR_Coverage, 71317,
     /*  119335 */     GIR_EraseRootFromParent_Done,
     /*  119336 */   // Label 2102: @119336
     /*  119336 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(119402), // Rule ID 71318 //
     /*  119341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119383 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119400 */     GIR_RootConstrainSelectedInstOperands,
     /*  119401 */     // GIR_Coverage, 71318,
     /*  119401 */     GIR_EraseRootFromParent_Done,
     /*  119402 */   // Label 2103: @119402
     /*  119402 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(119468), // Rule ID 53075 //
     /*  119407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119449 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119466 */     GIR_RootConstrainSelectedInstOperands,
     /*  119467 */     // GIR_Coverage, 53075,
     /*  119467 */     GIR_EraseRootFromParent_Done,
     /*  119468 */   // Label 2104: @119468
     /*  119468 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(119534), // Rule ID 53076 //
     /*  119473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119515 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119532 */     GIR_RootConstrainSelectedInstOperands,
     /*  119533 */     // GIR_Coverage, 53076,
     /*  119533 */     GIR_EraseRootFromParent_Done,
     /*  119534 */   // Label 2105: @119534
     /*  119534 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(119567), // Rule ID 53063 //
     /*  119539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119550 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119565 */     GIR_RootConstrainSelectedInstOperands,
     /*  119566 */     // GIR_Coverage, 53063,
     /*  119566 */     GIR_EraseRootFromParent_Done,
     /*  119567 */   // Label 2106: @119567
     /*  119567 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(119600), // Rule ID 53064 //
     /*  119572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119583 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119598 */     GIR_RootConstrainSelectedInstOperands,
     /*  119599 */     // GIR_Coverage, 53064,
     /*  119599 */     GIR_EraseRootFromParent_Done,
     /*  119600 */   // Label 2107: @119600
     /*  119600 */   GIM_Reject,
     /*  119601 */ // Label 2097: @119601
     /*  119601 */ GIM_Reject,
     /*  119602 */ // Label 1985: @119602
     /*  119602 */ GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(119716),
     /*  119607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  119610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  119613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119625 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(119670), // Rule ID 47527 //
     /*  119630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119633 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  119633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119668 */     GIR_RootConstrainSelectedInstOperands,
     /*  119669 */     // GIR_Coverage, 47527,
     /*  119669 */     GIR_EraseRootFromParent_Done,
     /*  119670 */   // Label 2109: @119670
     /*  119670 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(119715), // Rule ID 47528 //
     /*  119675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119678 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  119678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119713 */     GIR_RootConstrainSelectedInstOperands,
     /*  119714 */     // GIR_Coverage, 47528,
     /*  119714 */     GIR_EraseRootFromParent_Done,
     /*  119715 */   // Label 2110: @119715
     /*  119715 */   GIM_Reject,
     /*  119716 */ // Label 2108: @119716
     /*  119716 */ GIM_Reject,
     /*  119717 */ // Label 1986: @119717
     /*  119717 */ GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(119831),
     /*  119722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  119725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119740 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(119785), // Rule ID 47547 //
     /*  119745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119748 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  119748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119783 */     GIR_RootConstrainSelectedInstOperands,
     /*  119784 */     // GIR_Coverage, 47547,
     /*  119784 */     GIR_EraseRootFromParent_Done,
     /*  119785 */   // Label 2112: @119785
     /*  119785 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(119830), // Rule ID 47548 //
     /*  119790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119793 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  119793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119828 */     GIR_RootConstrainSelectedInstOperands,
     /*  119829 */     // GIR_Coverage, 47548,
     /*  119829 */     GIR_EraseRootFromParent_Done,
     /*  119830 */   // Label 2113: @119830
     /*  119830 */   GIM_Reject,
     /*  119831 */ // Label 2111: @119831
     /*  119831 */ GIM_Reject,
     /*  119832 */ // Label 1987: @119832
     /*  119832 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(119946),
     /*  119837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  119840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  119843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119855 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(119900), // Rule ID 47583 //
     /*  119860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119863 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  119863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119898 */     GIR_RootConstrainSelectedInstOperands,
     /*  119899 */     // GIR_Coverage, 47583,
     /*  119899 */     GIR_EraseRootFromParent_Done,
     /*  119900 */   // Label 2115: @119900
     /*  119900 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(119945), // Rule ID 47584 //
     /*  119905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119908 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  119908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119943 */     GIR_RootConstrainSelectedInstOperands,
     /*  119944 */     // GIR_Coverage, 47584,
     /*  119944 */     GIR_EraseRootFromParent_Done,
     /*  119945 */   // Label 2116: @119945
     /*  119945 */   GIM_Reject,
     /*  119946 */ // Label 2114: @119946
     /*  119946 */ GIM_Reject,
     /*  119947 */ // Label 1988: @119947
     /*  119947 */ GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(120061),
     /*  119952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  119955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  119958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119970 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(120015), // Rule ID 47599 //
     /*  119975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119978 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  119978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  119981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  119995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120013 */     GIR_RootConstrainSelectedInstOperands,
     /*  120014 */     // GIR_Coverage, 47599,
     /*  120014 */     GIR_EraseRootFromParent_Done,
     /*  120015 */   // Label 2118: @120015
     /*  120015 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(120060), // Rule ID 47600 //
     /*  120020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120023 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  120023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  120026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120058 */     GIR_RootConstrainSelectedInstOperands,
     /*  120059 */     // GIR_Coverage, 47600,
     /*  120059 */     GIR_EraseRootFromParent_Done,
     /*  120060 */   // Label 2119: @120060
     /*  120060 */   GIM_Reject,
     /*  120061 */ // Label 2117: @120061
     /*  120061 */ GIM_Reject,
     /*  120062 */ // Label 1989: @120062
     /*  120062 */ GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(120672),
     /*  120067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120077 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(120143), // Rule ID 71349 //
     /*  120082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120124 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120141 */     GIR_RootConstrainSelectedInstOperands,
     /*  120142 */     // GIR_Coverage, 71349,
     /*  120142 */     GIR_EraseRootFromParent_Done,
     /*  120143 */   // Label 2121: @120143
     /*  120143 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(120209), // Rule ID 71350 //
     /*  120148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120190 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120207 */     GIR_RootConstrainSelectedInstOperands,
     /*  120208 */     // GIR_Coverage, 71350,
     /*  120208 */     GIR_EraseRootFromParent_Done,
     /*  120209 */   // Label 2122: @120209
     /*  120209 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(120275), // Rule ID 71347 //
     /*  120214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120256 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120273 */     GIR_RootConstrainSelectedInstOperands,
     /*  120274 */     // GIR_Coverage, 71347,
     /*  120274 */     GIR_EraseRootFromParent_Done,
     /*  120275 */   // Label 2123: @120275
     /*  120275 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(120341), // Rule ID 71348 //
     /*  120280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120322 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120339 */     GIR_RootConstrainSelectedInstOperands,
     /*  120340 */     // GIR_Coverage, 71348,
     /*  120340 */     GIR_EraseRootFromParent_Done,
     /*  120341 */   // Label 2124: @120341
     /*  120341 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(120407), // Rule ID 71345 //
     /*  120346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120388 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120405 */     GIR_RootConstrainSelectedInstOperands,
     /*  120406 */     // GIR_Coverage, 71345,
     /*  120406 */     GIR_EraseRootFromParent_Done,
     /*  120407 */   // Label 2125: @120407
     /*  120407 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(120473), // Rule ID 71346 //
     /*  120412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120454 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120471 */     GIR_RootConstrainSelectedInstOperands,
     /*  120472 */     // GIR_Coverage, 71346,
     /*  120472 */     GIR_EraseRootFromParent_Done,
     /*  120473 */   // Label 2126: @120473
     /*  120473 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(120539), // Rule ID 53093 //
     /*  120478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120520 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120537 */     GIR_RootConstrainSelectedInstOperands,
     /*  120538 */     // GIR_Coverage, 53093,
     /*  120538 */     GIR_EraseRootFromParent_Done,
     /*  120539 */   // Label 2127: @120539
     /*  120539 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(120605), // Rule ID 53094 //
     /*  120544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120586 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120603 */     GIR_RootConstrainSelectedInstOperands,
     /*  120604 */     // GIR_Coverage, 53094,
     /*  120604 */     GIR_EraseRootFromParent_Done,
     /*  120605 */   // Label 2128: @120605
     /*  120605 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(120638), // Rule ID 53081 //
     /*  120610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120621 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120636 */     GIR_RootConstrainSelectedInstOperands,
     /*  120637 */     // GIR_Coverage, 53081,
     /*  120637 */     GIR_EraseRootFromParent_Done,
     /*  120638 */   // Label 2129: @120638
     /*  120638 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(120671), // Rule ID 53082 //
     /*  120643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120654 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120669 */     GIR_RootConstrainSelectedInstOperands,
     /*  120670 */     // GIR_Coverage, 53082,
     /*  120670 */     GIR_EraseRootFromParent_Done,
     /*  120671 */   // Label 2130: @120671
     /*  120671 */   GIM_Reject,
     /*  120672 */ // Label 2120: @120672
     /*  120672 */ GIM_Reject,
     /*  120673 */ // Label 1990: @120673
     /*  120673 */ GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(120787),
     /*  120678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  120681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  120684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120696 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(120741), // Rule ID 47543 //
     /*  120701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120704 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  120704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120739 */     GIR_RootConstrainSelectedInstOperands,
     /*  120740 */     // GIR_Coverage, 47543,
     /*  120740 */     GIR_EraseRootFromParent_Done,
     /*  120741 */   // Label 2132: @120741
     /*  120741 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(120786), // Rule ID 47544 //
     /*  120746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120749 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  120749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120784 */     GIR_RootConstrainSelectedInstOperands,
     /*  120785 */     // GIR_Coverage, 47544,
     /*  120785 */     GIR_EraseRootFromParent_Done,
     /*  120786 */   // Label 2133: @120786
     /*  120786 */   GIM_Reject,
     /*  120787 */ // Label 2131: @120787
     /*  120787 */ GIM_Reject,
     /*  120788 */ // Label 1991: @120788
     /*  120788 */ GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(120902),
     /*  120793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  120796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120811 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(120856), // Rule ID 47571 //
     /*  120816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120819 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  120819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120854 */     GIR_RootConstrainSelectedInstOperands,
     /*  120855 */     // GIR_Coverage, 47571,
     /*  120855 */     GIR_EraseRootFromParent_Done,
     /*  120856 */   // Label 2135: @120856
     /*  120856 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(120901), // Rule ID 47572 //
     /*  120861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120864 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  120864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120899 */     GIR_RootConstrainSelectedInstOperands,
     /*  120900 */     // GIR_Coverage, 47572,
     /*  120900 */     GIR_EraseRootFromParent_Done,
     /*  120901 */   // Label 2136: @120901
     /*  120901 */   GIM_Reject,
     /*  120902 */ // Label 2134: @120902
     /*  120902 */ GIM_Reject,
     /*  120903 */ // Label 1992: @120903
     /*  120903 */ GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(121017),
     /*  120908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  120911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120926 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(120971), // Rule ID 47587 //
     /*  120931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120934 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  120934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120969 */     GIR_RootConstrainSelectedInstOperands,
     /*  120970 */     // GIR_Coverage, 47587,
     /*  120970 */     GIR_EraseRootFromParent_Done,
     /*  120971 */   // Label 2138: @120971
     /*  120971 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(121016), // Rule ID 47588 //
     /*  120976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120979 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  120979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121014 */     GIR_RootConstrainSelectedInstOperands,
     /*  121015 */     // GIR_Coverage, 47588,
     /*  121015 */     GIR_EraseRootFromParent_Done,
     /*  121016 */   // Label 2139: @121016
     /*  121016 */   GIM_Reject,
     /*  121017 */ // Label 2137: @121017
     /*  121017 */ GIM_Reject,
     /*  121018 */ // Label 1993: @121018
     /*  121018 */ GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(121132),
     /*  121023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  121026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  121029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121041 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(121086), // Rule ID 47603 //
     /*  121046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  121049 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  121049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121084 */     GIR_RootConstrainSelectedInstOperands,
     /*  121085 */     // GIR_Coverage, 47603,
     /*  121085 */     GIR_EraseRootFromParent_Done,
     /*  121086 */   // Label 2141: @121086
     /*  121086 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(121131), // Rule ID 47604 //
     /*  121091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  121094 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  121094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121129 */     GIR_RootConstrainSelectedInstOperands,
     /*  121130 */     // GIR_Coverage, 47604,
     /*  121130 */     GIR_EraseRootFromParent_Done,
     /*  121131 */   // Label 2142: @121131
     /*  121131 */   GIM_Reject,
     /*  121132 */ // Label 2140: @121132
     /*  121132 */ GIM_Reject,
     /*  121133 */ // Label 1994: @121133
     /*  121133 */ GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(121743),
     /*  121138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121148 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(121214), // Rule ID 71377 //
     /*  121153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121195 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121212 */     GIR_RootConstrainSelectedInstOperands,
     /*  121213 */     // GIR_Coverage, 71377,
     /*  121213 */     GIR_EraseRootFromParent_Done,
     /*  121214 */   // Label 2144: @121214
     /*  121214 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(121280), // Rule ID 71378 //
     /*  121219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121261 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121278 */     GIR_RootConstrainSelectedInstOperands,
     /*  121279 */     // GIR_Coverage, 71378,
     /*  121279 */     GIR_EraseRootFromParent_Done,
     /*  121280 */   // Label 2145: @121280
     /*  121280 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(121346), // Rule ID 71375 //
     /*  121285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121327 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121344 */     GIR_RootConstrainSelectedInstOperands,
     /*  121345 */     // GIR_Coverage, 71375,
     /*  121345 */     GIR_EraseRootFromParent_Done,
     /*  121346 */   // Label 2146: @121346
     /*  121346 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(121412), // Rule ID 71376 //
     /*  121351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121393 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121410 */     GIR_RootConstrainSelectedInstOperands,
     /*  121411 */     // GIR_Coverage, 71376,
     /*  121411 */     GIR_EraseRootFromParent_Done,
     /*  121412 */   // Label 2147: @121412
     /*  121412 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(121478), // Rule ID 71373 //
     /*  121417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121459 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121476 */     GIR_RootConstrainSelectedInstOperands,
     /*  121477 */     // GIR_Coverage, 71373,
     /*  121477 */     GIR_EraseRootFromParent_Done,
     /*  121478 */   // Label 2148: @121478
     /*  121478 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(121544), // Rule ID 71374 //
     /*  121483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121525 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121542 */     GIR_RootConstrainSelectedInstOperands,
     /*  121543 */     // GIR_Coverage, 71374,
     /*  121543 */     GIR_EraseRootFromParent_Done,
     /*  121544 */   // Label 2149: @121544
     /*  121544 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(121610), // Rule ID 53111 //
     /*  121549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121591 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121608 */     GIR_RootConstrainSelectedInstOperands,
     /*  121609 */     // GIR_Coverage, 53111,
     /*  121609 */     GIR_EraseRootFromParent_Done,
     /*  121610 */   // Label 2150: @121610
     /*  121610 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(121676), // Rule ID 53112 //
     /*  121615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121657 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121674 */     GIR_RootConstrainSelectedInstOperands,
     /*  121675 */     // GIR_Coverage, 53112,
     /*  121675 */     GIR_EraseRootFromParent_Done,
     /*  121676 */   // Label 2151: @121676
     /*  121676 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(121709), // Rule ID 53099 //
     /*  121681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121692 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121707 */     GIR_RootConstrainSelectedInstOperands,
     /*  121708 */     // GIR_Coverage, 53099,
     /*  121708 */     GIR_EraseRootFromParent_Done,
     /*  121709 */   // Label 2152: @121709
     /*  121709 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(121742), // Rule ID 53100 //
     /*  121714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121725 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121740 */     GIR_RootConstrainSelectedInstOperands,
     /*  121741 */     // GIR_Coverage, 53100,
     /*  121741 */     GIR_EraseRootFromParent_Done,
     /*  121742 */   // Label 2153: @121742
     /*  121742 */   GIM_Reject,
     /*  121743 */ // Label 2143: @121743
     /*  121743 */ GIM_Reject,
     /*  121744 */ // Label 1995: @121744
     /*  121744 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(121858),
     /*  121749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  121752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  121755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121767 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(121812), // Rule ID 47559 //
     /*  121772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121775 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121810 */     GIR_RootConstrainSelectedInstOperands,
     /*  121811 */     // GIR_Coverage, 47559,
     /*  121811 */     GIR_EraseRootFromParent_Done,
     /*  121812 */   // Label 2155: @121812
     /*  121812 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(121857), // Rule ID 47560 //
     /*  121817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121820 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121855 */     GIR_RootConstrainSelectedInstOperands,
     /*  121856 */     // GIR_Coverage, 47560,
     /*  121856 */     GIR_EraseRootFromParent_Done,
     /*  121857 */   // Label 2156: @121857
     /*  121857 */   GIM_Reject,
     /*  121858 */ // Label 2154: @121858
     /*  121858 */ GIM_Reject,
     /*  121859 */ // Label 1996: @121859
     /*  121859 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(121973),
     /*  121864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  121867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  121870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121882 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(121927), // Rule ID 47575 //
     /*  121887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121890 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121925 */     GIR_RootConstrainSelectedInstOperands,
     /*  121926 */     // GIR_Coverage, 47575,
     /*  121926 */     GIR_EraseRootFromParent_Done,
     /*  121927 */   // Label 2158: @121927
     /*  121927 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(121972), // Rule ID 47576 //
     /*  121932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121935 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121970 */     GIR_RootConstrainSelectedInstOperands,
     /*  121971 */     // GIR_Coverage, 47576,
     /*  121971 */     GIR_EraseRootFromParent_Done,
     /*  121972 */   // Label 2159: @121972
     /*  121972 */   GIM_Reject,
     /*  121973 */ // Label 2157: @121973
     /*  121973 */ GIM_Reject,
     /*  121974 */ // Label 1997: @121974
     /*  121974 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(122088),
     /*  121979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  121982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  121985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121997 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(122042), // Rule ID 47591 //
     /*  122002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122005 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122040 */     GIR_RootConstrainSelectedInstOperands,
     /*  122041 */     // GIR_Coverage, 47591,
     /*  122041 */     GIR_EraseRootFromParent_Done,
     /*  122042 */   // Label 2161: @122042
     /*  122042 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(122087), // Rule ID 47592 //
     /*  122047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122050 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  122050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122085 */     GIR_RootConstrainSelectedInstOperands,
     /*  122086 */     // GIR_Coverage, 47592,
     /*  122086 */     GIR_EraseRootFromParent_Done,
     /*  122087 */   // Label 2162: @122087
     /*  122087 */   GIM_Reject,
     /*  122088 */ // Label 2160: @122088
     /*  122088 */ GIM_Reject,
     /*  122089 */ // Label 1998: @122089
     /*  122089 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(122699),
     /*  122094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122104 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(122170), // Rule ID 71405 //
     /*  122109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122151 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122168 */     GIR_RootConstrainSelectedInstOperands,
     /*  122169 */     // GIR_Coverage, 71405,
     /*  122169 */     GIR_EraseRootFromParent_Done,
     /*  122170 */   // Label 2164: @122170
     /*  122170 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(122236), // Rule ID 71406 //
     /*  122175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122217 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122234 */     GIR_RootConstrainSelectedInstOperands,
     /*  122235 */     // GIR_Coverage, 71406,
     /*  122235 */     GIR_EraseRootFromParent_Done,
     /*  122236 */   // Label 2165: @122236
     /*  122236 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(122302), // Rule ID 71403 //
     /*  122241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122283 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122300 */     GIR_RootConstrainSelectedInstOperands,
     /*  122301 */     // GIR_Coverage, 71403,
     /*  122301 */     GIR_EraseRootFromParent_Done,
     /*  122302 */   // Label 2166: @122302
     /*  122302 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(122368), // Rule ID 71404 //
     /*  122307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122349 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122366 */     GIR_RootConstrainSelectedInstOperands,
     /*  122367 */     // GIR_Coverage, 71404,
     /*  122367 */     GIR_EraseRootFromParent_Done,
     /*  122368 */   // Label 2167: @122368
     /*  122368 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(122434), // Rule ID 71401 //
     /*  122373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122415 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122432 */     GIR_RootConstrainSelectedInstOperands,
     /*  122433 */     // GIR_Coverage, 71401,
     /*  122433 */     GIR_EraseRootFromParent_Done,
     /*  122434 */   // Label 2168: @122434
     /*  122434 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(122500), // Rule ID 71402 //
     /*  122439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122481 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122498 */     GIR_RootConstrainSelectedInstOperands,
     /*  122499 */     // GIR_Coverage, 71402,
     /*  122499 */     GIR_EraseRootFromParent_Done,
     /*  122500 */   // Label 2169: @122500
     /*  122500 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(122566), // Rule ID 53129 //
     /*  122505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122547 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122564 */     GIR_RootConstrainSelectedInstOperands,
     /*  122565 */     // GIR_Coverage, 53129,
     /*  122565 */     GIR_EraseRootFromParent_Done,
     /*  122566 */   // Label 2170: @122566
     /*  122566 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(122632), // Rule ID 53130 //
     /*  122571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122613 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122630 */     GIR_RootConstrainSelectedInstOperands,
     /*  122631 */     // GIR_Coverage, 53130,
     /*  122631 */     GIR_EraseRootFromParent_Done,
     /*  122632 */   // Label 2171: @122632
     /*  122632 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(122665), // Rule ID 53117 //
     /*  122637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122648 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122663 */     GIR_RootConstrainSelectedInstOperands,
     /*  122664 */     // GIR_Coverage, 53117,
     /*  122664 */     GIR_EraseRootFromParent_Done,
     /*  122665 */   // Label 2172: @122665
     /*  122665 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(122698), // Rule ID 53118 //
     /*  122670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122681 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122696 */     GIR_RootConstrainSelectedInstOperands,
     /*  122697 */     // GIR_Coverage, 53118,
     /*  122697 */     GIR_EraseRootFromParent_Done,
     /*  122698 */   // Label 2173: @122698
     /*  122698 */   GIM_Reject,
     /*  122699 */ // Label 2163: @122699
     /*  122699 */ GIM_Reject,
     /*  122700 */ // Label 1999: @122700
     /*  122700 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(122814),
     /*  122705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  122708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  122711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122723 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(122768), // Rule ID 47563 //
     /*  122728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122731 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122766 */     GIR_RootConstrainSelectedInstOperands,
     /*  122767 */     // GIR_Coverage, 47563,
     /*  122767 */     GIR_EraseRootFromParent_Done,
     /*  122768 */   // Label 2175: @122768
     /*  122768 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(122813), // Rule ID 47564 //
     /*  122773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122776 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122811 */     GIR_RootConstrainSelectedInstOperands,
     /*  122812 */     // GIR_Coverage, 47564,
     /*  122812 */     GIR_EraseRootFromParent_Done,
     /*  122813 */   // Label 2176: @122813
     /*  122813 */   GIM_Reject,
     /*  122814 */ // Label 2174: @122814
     /*  122814 */ GIM_Reject,
     /*  122815 */ // Label 2000: @122815
     /*  122815 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(122929),
     /*  122820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  122823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  122826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122838 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(122883), // Rule ID 47579 //
     /*  122843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122846 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122881 */     GIR_RootConstrainSelectedInstOperands,
     /*  122882 */     // GIR_Coverage, 47579,
     /*  122882 */     GIR_EraseRootFromParent_Done,
     /*  122883 */   // Label 2178: @122883
     /*  122883 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(122928), // Rule ID 47580 //
     /*  122888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122891 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122926 */     GIR_RootConstrainSelectedInstOperands,
     /*  122927 */     // GIR_Coverage, 47580,
     /*  122927 */     GIR_EraseRootFromParent_Done,
     /*  122928 */   // Label 2179: @122928
     /*  122928 */   GIM_Reject,
     /*  122929 */ // Label 2177: @122929
     /*  122929 */ GIM_Reject,
     /*  122930 */ // Label 2001: @122930
     /*  122930 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(123540),
     /*  122935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122945 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(123011), // Rule ID 71433 //
     /*  122950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122992 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123009 */     GIR_RootConstrainSelectedInstOperands,
     /*  123010 */     // GIR_Coverage, 71433,
     /*  123010 */     GIR_EraseRootFromParent_Done,
     /*  123011 */   // Label 2181: @123011
     /*  123011 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(123077), // Rule ID 71434 //
     /*  123016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123031 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123058 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123075 */     GIR_RootConstrainSelectedInstOperands,
     /*  123076 */     // GIR_Coverage, 71434,
     /*  123076 */     GIR_EraseRootFromParent_Done,
     /*  123077 */   // Label 2182: @123077
     /*  123077 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(123143), // Rule ID 71431 //
     /*  123082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123124 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123141 */     GIR_RootConstrainSelectedInstOperands,
     /*  123142 */     // GIR_Coverage, 71431,
     /*  123142 */     GIR_EraseRootFromParent_Done,
     /*  123143 */   // Label 2183: @123143
     /*  123143 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(123209), // Rule ID 71432 //
     /*  123148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123190 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123207 */     GIR_RootConstrainSelectedInstOperands,
     /*  123208 */     // GIR_Coverage, 71432,
     /*  123208 */     GIR_EraseRootFromParent_Done,
     /*  123209 */   // Label 2184: @123209
     /*  123209 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(123275), // Rule ID 71429 //
     /*  123214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123256 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123273 */     GIR_RootConstrainSelectedInstOperands,
     /*  123274 */     // GIR_Coverage, 71429,
     /*  123274 */     GIR_EraseRootFromParent_Done,
     /*  123275 */   // Label 2185: @123275
     /*  123275 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(123341), // Rule ID 71430 //
     /*  123280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123322 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123339 */     GIR_RootConstrainSelectedInstOperands,
     /*  123340 */     // GIR_Coverage, 71430,
     /*  123340 */     GIR_EraseRootFromParent_Done,
     /*  123341 */   // Label 2186: @123341
     /*  123341 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(123407), // Rule ID 53147 //
     /*  123346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123388 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123405 */     GIR_RootConstrainSelectedInstOperands,
     /*  123406 */     // GIR_Coverage, 53147,
     /*  123406 */     GIR_EraseRootFromParent_Done,
     /*  123407 */   // Label 2187: @123407
     /*  123407 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(123473), // Rule ID 53148 //
     /*  123412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123454 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123471 */     GIR_RootConstrainSelectedInstOperands,
     /*  123472 */     // GIR_Coverage, 53148,
     /*  123472 */     GIR_EraseRootFromParent_Done,
     /*  123473 */   // Label 2188: @123473
     /*  123473 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(123506), // Rule ID 53135 //
     /*  123478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123489 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123504 */     GIR_RootConstrainSelectedInstOperands,
     /*  123505 */     // GIR_Coverage, 53135,
     /*  123505 */     GIR_EraseRootFromParent_Done,
     /*  123506 */   // Label 2189: @123506
     /*  123506 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(123539), // Rule ID 53136 //
     /*  123511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123522 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123537 */     GIR_RootConstrainSelectedInstOperands,
     /*  123538 */     // GIR_Coverage, 53136,
     /*  123538 */     GIR_EraseRootFromParent_Done,
     /*  123539 */   // Label 2190: @123539
     /*  123539 */   GIM_Reject,
     /*  123540 */ // Label 2180: @123540
     /*  123540 */ GIM_Reject,
     /*  123541 */ // Label 2002: @123541
     /*  123541 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(123655),
     /*  123546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  123549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123564 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(123609), // Rule ID 47567 //
     /*  123569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123572 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123607 */     GIR_RootConstrainSelectedInstOperands,
     /*  123608 */     // GIR_Coverage, 47567,
     /*  123608 */     GIR_EraseRootFromParent_Done,
     /*  123609 */   // Label 2192: @123609
     /*  123609 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(123654), // Rule ID 47568 //
     /*  123614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123617 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123652 */     GIR_RootConstrainSelectedInstOperands,
     /*  123653 */     // GIR_Coverage, 47568,
     /*  123653 */     GIR_EraseRootFromParent_Done,
     /*  123654 */   // Label 2193: @123654
     /*  123654 */   GIM_Reject,
     /*  123655 */ // Label 2191: @123655
     /*  123655 */ GIM_Reject,
     /*  123656 */ // Label 2003: @123656
     /*  123656 */ GIM_Reject,
     /*  123657 */ // Label 8: @123657
     /*  123657 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2225*/ GIMT_Encode4(136277),
     /*  123668 */ /*GILLT_s32*//*Label 2194*/ GIMT_Encode4(123792),
     /*  123672 */ /*GILLT_s64*//*Label 2195*/ GIMT_Encode4(126522),
     /*  123676 */ /*GILLT_nxv1s1*//*Label 2196*/ GIMT_Encode4(129470),
     /*  123680 */ /*GILLT_nxv1s8*//*Label 2197*/ GIMT_Encode4(130081),
     /*  123684 */ /*GILLT_nxv1s16*//*Label 2198*/ GIMT_Encode4(130196),
     /*  123688 */ /*GILLT_nxv1s32*//*Label 2199*/ GIMT_Encode4(130311),
     /*  123692 */ /*GILLT_nxv1s64*//*Label 2200*/ GIMT_Encode4(130426),
     /*  123696 */ /*GILLT_nxv2s1*//*Label 2201*/ GIMT_Encode4(130541),
     /*  123700 */ /*GILLT_nxv2s8*//*Label 2202*/ GIMT_Encode4(131152),
     /*  123704 */ /*GILLT_nxv2s16*//*Label 2203*/ GIMT_Encode4(131267),
     /*  123708 */ /*GILLT_nxv2s32*//*Label 2204*/ GIMT_Encode4(131382),
     /*  123712 */ /*GILLT_nxv2s64*//*Label 2205*/ GIMT_Encode4(131497),
     /*  123716 */ /*GILLT_nxv4s1*//*Label 2206*/ GIMT_Encode4(131612),
     /*  123720 */ /*GILLT_nxv4s8*//*Label 2207*/ GIMT_Encode4(132223),
     /*  123724 */ /*GILLT_nxv4s16*//*Label 2208*/ GIMT_Encode4(132338),
     /*  123728 */ /*GILLT_nxv4s32*//*Label 2209*/ GIMT_Encode4(132453),
     /*  123732 */ /*GILLT_nxv4s64*//*Label 2210*/ GIMT_Encode4(132568),
     /*  123736 */ /*GILLT_nxv8s1*//*Label 2211*/ GIMT_Encode4(132683),
     /*  123740 */ /*GILLT_nxv8s8*//*Label 2212*/ GIMT_Encode4(133294),
     /*  123744 */ /*GILLT_nxv8s16*//*Label 2213*/ GIMT_Encode4(133409),
     /*  123748 */ /*GILLT_nxv8s32*//*Label 2214*/ GIMT_Encode4(133524),
     /*  123752 */ /*GILLT_nxv8s64*//*Label 2215*/ GIMT_Encode4(133639),
     /*  123756 */ /*GILLT_nxv16s1*//*Label 2216*/ GIMT_Encode4(133754),
     /*  123760 */ /*GILLT_nxv16s8*//*Label 2217*/ GIMT_Encode4(134365),
     /*  123764 */ /*GILLT_nxv16s16*//*Label 2218*/ GIMT_Encode4(134480),
     /*  123768 */ /*GILLT_nxv16s32*//*Label 2219*/ GIMT_Encode4(134595),
     /*  123772 */ /*GILLT_nxv32s1*//*Label 2220*/ GIMT_Encode4(134710),
     /*  123776 */ /*GILLT_nxv32s8*//*Label 2221*/ GIMT_Encode4(135321),
     /*  123780 */ /*GILLT_nxv32s16*//*Label 2222*/ GIMT_Encode4(135436),
     /*  123784 */ /*GILLT_nxv64s1*//*Label 2223*/ GIMT_Encode4(135551),
     /*  123788 */ /*GILLT_nxv64s8*//*Label 2224*/ GIMT_Encode4(136162),
     /*  123792 */ // Label 2194: @123792
     /*  123792 */ GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126521),
     /*  123797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  123800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  123803 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(123998), // Rule ID 65093 //
     /*  123808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123843 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123847 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  123855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123859 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  123863 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  123867 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  123871 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123875 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  123879 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  123883 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  123887 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  123891 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123895 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  123899 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  123903 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  123907 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  123909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  123916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  123923 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  123930 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  123937 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  123937 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  123940 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123944 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  123954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  123959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  123961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  123964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  123978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  123983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  123988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  123996 */     GIR_RootConstrainSelectedInstOperands,
     /*  123997 */     // GIR_Coverage, 65093,
     /*  123997 */     GIR_EraseRootFromParent_Done,
     /*  123998 */   // Label 2227: @123998
     /*  123998 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(124193), // Rule ID 65095 //
     /*  124003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124042 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124046 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124050 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124054 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124058 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124062 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124066 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124070 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124074 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124078 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124082 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124086 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124090 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124094 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124098 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124102 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124118 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124125 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124132 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124132 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124135 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124139 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  124173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  124178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124191 */     GIR_RootConstrainSelectedInstOperands,
     /*  124192 */     // GIR_Coverage, 65095,
     /*  124192 */     GIR_EraseRootFromParent_Done,
     /*  124193 */   // Label 2228: @124193
     /*  124193 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(124388), // Rule ID 65089 //
     /*  124198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124237 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124241 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124245 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124249 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124253 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124257 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124261 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124265 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124269 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124273 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  124277 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124281 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124285 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124289 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124293 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  124297 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124306 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124313 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124320 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124327 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124327 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124330 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124334 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  124344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  124349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124386 */     GIR_RootConstrainSelectedInstOperands,
     /*  124387 */     // GIR_Coverage, 65089,
     /*  124387 */     GIR_EraseRootFromParent_Done,
     /*  124388 */   // Label 2229: @124388
     /*  124388 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(124583), // Rule ID 65091 //
     /*  124393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124428 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124432 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124436 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124440 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124444 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124448 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124452 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124456 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124460 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124464 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124468 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124472 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124476 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124480 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124484 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124488 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124492 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124501 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124508 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124515 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124522 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124522 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124525 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124529 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124581 */     GIR_RootConstrainSelectedInstOperands,
     /*  124582 */     // GIR_Coverage, 65091,
     /*  124582 */     GIR_EraseRootFromParent_Done,
     /*  124583 */   // Label 2230: @124583
     /*  124583 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(124778), // Rule ID 65083 //
     /*  124588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124627 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  124631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124639 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124643 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124647 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  124651 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124655 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124659 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124663 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124667 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124671 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124675 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124679 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124683 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124687 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124689 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124696 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124703 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124710 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124717 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124717 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124720 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124724 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  124734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  124739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124776 */     GIR_RootConstrainSelectedInstOperands,
     /*  124777 */     // GIR_Coverage, 65083,
     /*  124777 */     GIR_EraseRootFromParent_Done,
     /*  124778 */   // Label 2231: @124778
     /*  124778 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(124973), // Rule ID 65087 //
     /*  124783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124818 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124822 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  124826 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124830 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124834 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124838 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124842 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  124846 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124850 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124854 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124858 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124862 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124866 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124870 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124874 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124878 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124882 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124891 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124898 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124905 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124912 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  124929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  124934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124971 */     GIR_RootConstrainSelectedInstOperands,
     /*  124972 */     // GIR_Coverage, 65087,
     /*  124972 */     GIR_EraseRootFromParent_Done,
     /*  124973 */   // Label 2232: @124973
     /*  124973 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(125168), // Rule ID 2434 //
     /*  124978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125017 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125033 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125037 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  125041 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125045 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125049 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125053 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125057 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125061 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125065 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125069 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125073 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125077 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125079 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125086 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125093 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125100 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125107 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125107 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125110 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125114 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  125124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  125129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125166 */     GIR_RootConstrainSelectedInstOperands,
     /*  125167 */     // GIR_Coverage, 2434,
     /*  125167 */     GIR_EraseRootFromParent_Done,
     /*  125168 */   // Label 2233: @125168
     /*  125168 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(125363), // Rule ID 65085 //
     /*  125173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  125176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125212 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125228 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125232 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  125236 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125240 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125244 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125248 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125252 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125256 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125260 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125264 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125268 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125272 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125274 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125281 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125288 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125295 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125302 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  125319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  125324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125361 */     GIR_RootConstrainSelectedInstOperands,
     /*  125362 */     // GIR_Coverage, 65085,
     /*  125362 */     GIR_EraseRootFromParent_Done,
     /*  125363 */   // Label 2234: @125363
     /*  125363 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(125468), // Rule ID 2429 //
     /*  125368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125391 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  125395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125411 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125424 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125431 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125466 */     GIR_RootConstrainSelectedInstOperands,
     /*  125467 */     // GIR_Coverage, 2429,
     /*  125467 */     GIR_EraseRootFromParent_Done,
     /*  125468 */   // Label 2235: @125468
     /*  125468 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(125573), // Rule ID 65078 //
     /*  125473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125496 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125512 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125516 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125529 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125536 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125571 */     GIR_RootConstrainSelectedInstOperands,
     /*  125572 */     // GIR_Coverage, 65078,
     /*  125572 */     GIR_EraseRootFromParent_Done,
     /*  125573 */   // Label 2236: @125573
     /*  125573 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(125662), // Rule ID 65072 //
     /*  125578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125622 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125626 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125646 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125660 */     GIR_RootConstrainSelectedInstOperands,
     /*  125661 */     // GIR_Coverage, 65072,
     /*  125661 */     GIR_EraseRootFromParent_Done,
     /*  125662 */   // Label 2237: @125662
     /*  125662 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(125751), // Rule ID 2423 //
     /*  125667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125715 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125735 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125749 */     GIR_RootConstrainSelectedInstOperands,
     /*  125750 */     // GIR_Coverage, 2423,
     /*  125750 */     GIR_EraseRootFromParent_Done,
     /*  125751 */   // Label 2238: @125751
     /*  125751 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(125816), // Rule ID 65074 //
     /*  125756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125779 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125799 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125814 */     GIR_RootConstrainSelectedInstOperands,
     /*  125815 */     // GIR_Coverage, 65074,
     /*  125815 */     GIR_EraseRootFromParent_Done,
     /*  125816 */   // Label 2239: @125816
     /*  125816 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(125881), // Rule ID 2425 //
     /*  125821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125844 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125864 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125879 */     GIR_RootConstrainSelectedInstOperands,
     /*  125880 */     // GIR_Coverage, 2425,
     /*  125880 */     GIR_EraseRootFromParent_Done,
     /*  125881 */   // Label 2240: @125881
     /*  125881 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(125947), // Rule ID 65080 //
     /*  125886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125914 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11192),
     /*  125922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125931 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11192>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125945 */     GIR_RootConstrainSelectedInstOperands,
     /*  125946 */     // GIR_Coverage, 65080,
     /*  125946 */     GIR_EraseRootFromParent_Done,
     /*  125947 */   // Label 2241: @125947
     /*  125947 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(126013), // Rule ID 2431 //
     /*  125952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125980 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11192),
     /*  125988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125997 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11192>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126011 */     GIR_RootConstrainSelectedInstOperands,
     /*  126012 */     // GIR_Coverage, 2431,
     /*  126012 */     GIR_EraseRootFromParent_Done,
     /*  126013 */   // Label 2242: @126013
     /*  126013 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(126075), // Rule ID 2432 //
     /*  126018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126046 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126059 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126073 */     GIR_RootConstrainSelectedInstOperands,
     /*  126074 */     // GIR_Coverage, 2432,
     /*  126074 */     GIR_EraseRootFromParent_Done,
     /*  126075 */   // Label 2243: @126075
     /*  126075 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(126137), // Rule ID 65081 //
     /*  126080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126108 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126121 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126135 */     GIR_RootConstrainSelectedInstOperands,
     /*  126136 */     // GIR_Coverage, 65081,
     /*  126136 */     GIR_EraseRootFromParent_Done,
     /*  126137 */   // Label 2244: @126137
     /*  126137 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(126196), // Rule ID 2358 //
     /*  126142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126165 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126182 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126194 */     GIR_RootConstrainSelectedInstOperands,
     /*  126195 */     // GIR_Coverage, 2358,
     /*  126195 */     GIR_EraseRootFromParent_Done,
     /*  126196 */   // Label 2245: @126196
     /*  126196 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(126255), // Rule ID 65068 //
     /*  126201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126228 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126241 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126253 */     GIR_RootConstrainSelectedInstOperands,
     /*  126254 */     // GIR_Coverage, 65068,
     /*  126254 */     GIR_EraseRootFromParent_Done,
     /*  126255 */   // Label 2246: @126255
     /*  126255 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(126311), // Rule ID 65052 //
     /*  126260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126288 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126298 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126309 */     GIR_RootConstrainSelectedInstOperands,
     /*  126310 */     // GIR_Coverage, 65052,
     /*  126310 */     GIR_EraseRootFromParent_Done,
     /*  126311 */   // Label 2247: @126311
     /*  126311 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(126367), // Rule ID 2332 //
     /*  126316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126348 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126354 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126365 */     GIR_RootConstrainSelectedInstOperands,
     /*  126366 */     // GIR_Coverage, 2332,
     /*  126366 */     GIR_EraseRootFromParent_Done,
     /*  126367 */   // Label 2248: @126367
     /*  126367 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(126409), // Rule ID 81 //
     /*  126372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  126395 */     // MIs[1] Operand 1
     /*  126395 */     // No operand predicates
     /*  126395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126397 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  126397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  126400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126407 */     GIR_RootConstrainSelectedInstOperands,
     /*  126408 */     // GIR_Coverage, 81,
     /*  126408 */     GIR_EraseRootFromParent_Done,
     /*  126409 */   // Label 2249: @126409
     /*  126409 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(126451), // Rule ID 64434 //
     /*  126414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  126437 */     // MIs[1] Operand 1
     /*  126437 */     // No operand predicates
     /*  126437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126439 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  126439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  126442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  126444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126449 */     GIR_RootConstrainSelectedInstOperands,
     /*  126450 */     // GIR_Coverage, 64434,
     /*  126450 */     GIR_EraseRootFromParent_Done,
     /*  126451 */   // Label 2250: @126451
     /*  126451 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(126493), // Rule ID 64438 //
     /*  126456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  126479 */     // MIs[1] Operand 1
     /*  126479 */     // No operand predicates
     /*  126479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126481 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  126481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  126484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126491 */     GIR_RootConstrainSelectedInstOperands,
     /*  126492 */     // GIR_Coverage, 64438,
     /*  126492 */     GIR_EraseRootFromParent_Done,
     /*  126493 */   // Label 2251: @126493
     /*  126493 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(126520), // Rule ID 79 //
     /*  126498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126513 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  126518 */     GIR_RootConstrainSelectedInstOperands,
     /*  126519 */     // GIR_Coverage, 79,
     /*  126519 */     GIR_Done,
     /*  126520 */   // Label 2252: @126520
     /*  126520 */   GIM_Reject,
     /*  126521 */ // Label 2226: @126521
     /*  126521 */ GIM_Reject,
     /*  126522 */ // Label 2195: @126522
     /*  126522 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(129469),
     /*  126527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  126530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  126533 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(126728), // Rule ID 65092 //
     /*  126538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126577 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126589 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126593 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126597 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126601 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126605 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126609 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126613 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  126617 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126621 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126625 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126629 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126633 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  126637 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126653 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126660 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126667 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126667 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126670 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126674 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  126684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  126689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126726 */     GIR_RootConstrainSelectedInstOperands,
     /*  126727 */     // GIR_Coverage, 65092,
     /*  126727 */     GIR_EraseRootFromParent_Done,
     /*  126728 */   // Label 2254: @126728
     /*  126728 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(126923), // Rule ID 65094 //
     /*  126733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126772 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126776 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126780 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126784 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126788 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126792 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126796 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126800 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126804 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126808 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  126812 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126816 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126820 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126824 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126828 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  126832 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126848 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126855 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126862 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126862 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126865 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126869 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  126879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  126884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126921 */     GIR_RootConstrainSelectedInstOperands,
     /*  126922 */     // GIR_Coverage, 65094,
     /*  126922 */     GIR_EraseRootFromParent_Done,
     /*  126923 */   // Label 2255: @126923
     /*  126923 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(127118), // Rule ID 65088 //
     /*  126928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126967 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126983 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126987 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126991 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126995 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126999 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127003 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  127007 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127011 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127015 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127019 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127023 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  127027 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127043 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127050 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127057 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127057 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127060 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127064 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  127074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  127079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127116 */     GIR_RootConstrainSelectedInstOperands,
     /*  127117 */     // GIR_Coverage, 65088,
     /*  127117 */     GIR_EraseRootFromParent_Done,
     /*  127118 */   // Label 2256: @127118
     /*  127118 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(127313), // Rule ID 65090 //
     /*  127123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127162 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  127166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  127170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127178 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127182 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  127186 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127190 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127194 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127198 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  127202 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127206 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127210 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127214 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127218 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  127222 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127238 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127245 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127252 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127252 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127255 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127259 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  127269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  127274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127311 */     GIR_RootConstrainSelectedInstOperands,
     /*  127312 */     // GIR_Coverage, 65090,
     /*  127312 */     GIR_EraseRootFromParent_Done,
     /*  127313 */   // Label 2257: @127313
     /*  127313 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(127508), // Rule ID 65082 //
     /*  127318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127357 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127361 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127365 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127369 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127373 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127377 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127381 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127385 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127389 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127393 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127397 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127401 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127405 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127409 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127413 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127417 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127426 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127433 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127440 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127447 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127447 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127450 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127454 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127506 */     GIR_RootConstrainSelectedInstOperands,
     /*  127507 */     // GIR_Coverage, 65082,
     /*  127507 */     GIR_EraseRootFromParent_Done,
     /*  127508 */   // Label 2258: @127508
     /*  127508 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(127703), // Rule ID 65086 //
     /*  127513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127552 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127568 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127572 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127576 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127580 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127584 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127588 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127592 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127596 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127600 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127604 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127608 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127612 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127621 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127628 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127635 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127642 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127642 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127645 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127649 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  127659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  127664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127701 */     GIR_RootConstrainSelectedInstOperands,
     /*  127702 */     // GIR_Coverage, 65086,
     /*  127702 */     GIR_EraseRootFromParent_Done,
     /*  127703 */   // Label 2259: @127703
     /*  127703 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(127898), // Rule ID 2433 //
     /*  127708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127747 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127763 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127767 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127771 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127775 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127779 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127783 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127787 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127791 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127795 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127799 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127803 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127807 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127809 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127816 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127823 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127830 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127837 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127837 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127840 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127844 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  127878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  127883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127896 */     GIR_RootConstrainSelectedInstOperands,
     /*  127897 */     // GIR_Coverage, 2433,
     /*  127897 */     GIR_EraseRootFromParent_Done,
     /*  127898 */   // Label 2260: @127898
     /*  127898 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128093), // Rule ID 65084 //
     /*  127903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127942 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127950 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127954 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127958 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127962 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127966 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127970 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127974 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127978 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127982 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127986 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127990 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127994 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127998 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  128002 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128004 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128011 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128018 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128025 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128032 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  128032 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  128035 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128039 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  128049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  128054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  128073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  128078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128091 */     GIR_RootConstrainSelectedInstOperands,
     /*  128092 */     // GIR_Coverage, 65084,
     /*  128092 */     GIR_EraseRootFromParent_Done,
     /*  128093 */   // Label 2261: @128093
     /*  128093 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128198), // Rule ID 2428 //
     /*  128098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128121 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  128125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128137 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128141 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128161 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128196 */     GIR_RootConstrainSelectedInstOperands,
     /*  128197 */     // GIR_Coverage, 2428,
     /*  128197 */     GIR_EraseRootFromParent_Done,
     /*  128198 */   // Label 2262: @128198
     /*  128198 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128303), // Rule ID 65077 //
     /*  128203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128226 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128246 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  128250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128266 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128301 */     GIR_RootConstrainSelectedInstOperands,
     /*  128302 */     // GIR_Coverage, 65077,
     /*  128302 */     GIR_EraseRootFromParent_Done,
     /*  128303 */   // Label 2263: @128303
     /*  128303 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128392), // Rule ID 65071 //
     /*  128308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128343 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128352 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128356 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128376 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128390 */     GIR_RootConstrainSelectedInstOperands,
     /*  128391 */     // GIR_Coverage, 65071,
     /*  128391 */     GIR_EraseRootFromParent_Done,
     /*  128392 */   // Label 2264: @128392
     /*  128392 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(128481), // Rule ID 2422 //
     /*  128397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128432 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128441 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128445 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128465 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128479 */     GIR_RootConstrainSelectedInstOperands,
     /*  128480 */     // GIR_Coverage, 2422,
     /*  128480 */     GIR_EraseRootFromParent_Done,
     /*  128481 */   // Label 2265: @128481
     /*  128481 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(128546), // Rule ID 65073 //
     /*  128486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128509 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128529 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128544 */     GIR_RootConstrainSelectedInstOperands,
     /*  128545 */     // GIR_Coverage, 65073,
     /*  128545 */     GIR_EraseRootFromParent_Done,
     /*  128546 */   // Label 2266: @128546
     /*  128546 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(128611), // Rule ID 2424 //
     /*  128551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128574 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128594 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128609 */     GIR_RootConstrainSelectedInstOperands,
     /*  128610 */     // GIR_Coverage, 2424,
     /*  128610 */     GIR_EraseRootFromParent_Done,
     /*  128611 */   // Label 2267: @128611
     /*  128611 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(128696), // Rule ID 65098 //
     /*  128616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128656 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128660 */     // MIs[1] Operand 2
     /*  128660 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128680 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128694 */     GIR_RootConstrainSelectedInstOperands,
     /*  128695 */     // GIR_Coverage, 65098,
     /*  128695 */     GIR_EraseRootFromParent_Done,
     /*  128696 */   // Label 2268: @128696
     /*  128696 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(128781), // Rule ID 2437 //
     /*  128701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128732 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128741 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128745 */     // MIs[1] Operand 2
     /*  128745 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128765 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128779 */     GIR_RootConstrainSelectedInstOperands,
     /*  128780 */     // GIR_Coverage, 2437,
     /*  128780 */     GIR_EraseRootFromParent_Done,
     /*  128781 */   // Label 2269: @128781
     /*  128781 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(128847), // Rule ID 65079 //
     /*  128786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128814 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11192),
     /*  128822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128831 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11192>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128845 */     GIR_RootConstrainSelectedInstOperands,
     /*  128846 */     // GIR_Coverage, 65079,
     /*  128846 */     GIR_EraseRootFromParent_Done,
     /*  128847 */   // Label 2270: @128847
     /*  128847 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(128913), // Rule ID 65097 //
     /*  128852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128880 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10039),
     /*  128888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128897 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10039>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128911 */     GIR_RootConstrainSelectedInstOperands,
     /*  128912 */     // GIR_Coverage, 65097,
     /*  128912 */     GIR_EraseRootFromParent_Done,
     /*  128913 */   // Label 2271: @128913
     /*  128913 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(128979), // Rule ID 2430 //
     /*  128918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11192),
     /*  128954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128963 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11192>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128977 */     GIR_RootConstrainSelectedInstOperands,
     /*  128978 */     // GIR_Coverage, 2430,
     /*  128978 */     GIR_EraseRootFromParent_Done,
     /*  128979 */   // Label 2272: @128979
     /*  128979 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(129045), // Rule ID 2436 //
     /*  128984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129012 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  129016 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10039),
     /*  129020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  129029 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10039>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  129032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129043 */     GIR_RootConstrainSelectedInstOperands,
     /*  129044 */     // GIR_Coverage, 2436,
     /*  129044 */     GIR_EraseRootFromParent_Done,
     /*  129045 */   // Label 2273: @129045
     /*  129045 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(129107), // Rule ID 2435 //
     /*  129050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129078 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129091 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129105 */     GIR_RootConstrainSelectedInstOperands,
     /*  129106 */     // GIR_Coverage, 2435,
     /*  129106 */     GIR_EraseRootFromParent_Done,
     /*  129107 */   // Label 2274: @129107
     /*  129107 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(129169), // Rule ID 65096 //
     /*  129112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129140 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129153 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129167 */     GIR_RootConstrainSelectedInstOperands,
     /*  129168 */     // GIR_Coverage, 65096,
     /*  129168 */     GIR_EraseRootFromParent_Done,
     /*  129169 */   // Label 2275: @129169
     /*  129169 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(129228), // Rule ID 2357 //
     /*  129174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129197 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129214 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129226 */     GIR_RootConstrainSelectedInstOperands,
     /*  129227 */     // GIR_Coverage, 2357,
     /*  129227 */     GIR_EraseRootFromParent_Done,
     /*  129228 */   // Label 2276: @129228
     /*  129228 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(129287), // Rule ID 65067 //
     /*  129233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129260 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129273 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129285 */     GIR_RootConstrainSelectedInstOperands,
     /*  129286 */     // GIR_Coverage, 65067,
     /*  129286 */     GIR_EraseRootFromParent_Done,
     /*  129287 */   // Label 2277: @129287
     /*  129287 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(129343), // Rule ID 65051 //
     /*  129292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129320 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129330 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129341 */     GIR_RootConstrainSelectedInstOperands,
     /*  129342 */     // GIR_Coverage, 65051,
     /*  129342 */     GIR_EraseRootFromParent_Done,
     /*  129343 */   // Label 2278: @129343
     /*  129343 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(129399), // Rule ID 2331 //
     /*  129348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129380 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129386 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129397 */     GIR_RootConstrainSelectedInstOperands,
     /*  129398 */     // GIR_Coverage, 2331,
     /*  129398 */     GIR_EraseRootFromParent_Done,
     /*  129399 */   // Label 2279: @129399
     /*  129399 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(129441), // Rule ID 80 //
     /*  129404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  129427 */     // MIs[1] Operand 1
     /*  129427 */     // No operand predicates
     /*  129427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129429 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  129429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  129432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  129439 */     GIR_RootConstrainSelectedInstOperands,
     /*  129440 */     // GIR_Coverage, 80,
     /*  129440 */     GIR_EraseRootFromParent_Done,
     /*  129441 */   // Label 2280: @129441
     /*  129441 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(129468), // Rule ID 78 //
     /*  129446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129461 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  129466 */     GIR_RootConstrainSelectedInstOperands,
     /*  129467 */     // GIR_Coverage, 78,
     /*  129467 */     GIR_Done,
     /*  129468 */   // Label 2281: @129468
     /*  129468 */   GIM_Reject,
     /*  129469 */ // Label 2253: @129469
     /*  129469 */ GIM_Reject,
     /*  129470 */ // Label 2196: @129470
     /*  129470 */ GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(130080),
     /*  129475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129485 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(129551), // Rule ID 71271 //
     /*  129490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129532 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129549 */     GIR_RootConstrainSelectedInstOperands,
     /*  129550 */     // GIR_Coverage, 71271,
     /*  129550 */     GIR_EraseRootFromParent_Done,
     /*  129551 */   // Label 2283: @129551
     /*  129551 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(129617), // Rule ID 71272 //
     /*  129556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129598 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129615 */     GIR_RootConstrainSelectedInstOperands,
     /*  129616 */     // GIR_Coverage, 71272,
     /*  129616 */     GIR_EraseRootFromParent_Done,
     /*  129617 */   // Label 2284: @129617
     /*  129617 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(129683), // Rule ID 71269 //
     /*  129622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129664 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129681 */     GIR_RootConstrainSelectedInstOperands,
     /*  129682 */     // GIR_Coverage, 71269,
     /*  129682 */     GIR_EraseRootFromParent_Done,
     /*  129683 */   // Label 2285: @129683
     /*  129683 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(129749), // Rule ID 71270 //
     /*  129688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129730 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129747 */     GIR_RootConstrainSelectedInstOperands,
     /*  129748 */     // GIR_Coverage, 71270,
     /*  129748 */     GIR_EraseRootFromParent_Done,
     /*  129749 */   // Label 2286: @129749
     /*  129749 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(129815), // Rule ID 71267 //
     /*  129754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129796 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129813 */     GIR_RootConstrainSelectedInstOperands,
     /*  129814 */     // GIR_Coverage, 71267,
     /*  129814 */     GIR_EraseRootFromParent_Done,
     /*  129815 */   // Label 2287: @129815
     /*  129815 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(129881), // Rule ID 71268 //
     /*  129820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129862 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129879 */     GIR_RootConstrainSelectedInstOperands,
     /*  129880 */     // GIR_Coverage, 71268,
     /*  129880 */     GIR_EraseRootFromParent_Done,
     /*  129881 */   // Label 2288: @129881
     /*  129881 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(129947), // Rule ID 53041 //
     /*  129886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129928 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129945 */     GIR_RootConstrainSelectedInstOperands,
     /*  129946 */     // GIR_Coverage, 53041,
     /*  129946 */     GIR_EraseRootFromParent_Done,
     /*  129947 */   // Label 2289: @129947
     /*  129947 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(130013), // Rule ID 53042 //
     /*  129952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129994 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130011 */     GIR_RootConstrainSelectedInstOperands,
     /*  130012 */     // GIR_Coverage, 53042,
     /*  130012 */     GIR_EraseRootFromParent_Done,
     /*  130013 */   // Label 2290: @130013
     /*  130013 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(130046), // Rule ID 53029 //
     /*  130018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130029 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130044 */     GIR_RootConstrainSelectedInstOperands,
     /*  130045 */     // GIR_Coverage, 53029,
     /*  130045 */     GIR_EraseRootFromParent_Done,
     /*  130046 */   // Label 2291: @130046
     /*  130046 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(130079), // Rule ID 53030 //
     /*  130051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130062 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130077 */     GIR_RootConstrainSelectedInstOperands,
     /*  130078 */     // GIR_Coverage, 53030,
     /*  130078 */     GIR_EraseRootFromParent_Done,
     /*  130079 */   // Label 2292: @130079
     /*  130079 */   GIM_Reject,
     /*  130080 */ // Label 2282: @130080
     /*  130080 */ GIM_Reject,
     /*  130081 */ // Label 2197: @130081
     /*  130081 */ GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(130195),
     /*  130086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  130089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  130092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130104 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(130149), // Rule ID 47651 //
     /*  130109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130112 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  130112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130147 */     GIR_RootConstrainSelectedInstOperands,
     /*  130148 */     // GIR_Coverage, 47651,
     /*  130148 */     GIR_EraseRootFromParent_Done,
     /*  130149 */   // Label 2294: @130149
     /*  130149 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(130194), // Rule ID 47652 //
     /*  130154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130157 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  130157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130192 */     GIR_RootConstrainSelectedInstOperands,
     /*  130193 */     // GIR_Coverage, 47652,
     /*  130193 */     GIR_EraseRootFromParent_Done,
     /*  130194 */   // Label 2295: @130194
     /*  130194 */   GIM_Reject,
     /*  130195 */ // Label 2293: @130195
     /*  130195 */ GIM_Reject,
     /*  130196 */ // Label 2198: @130196
     /*  130196 */ GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(130310),
     /*  130201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  130204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  130207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130219 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(130264), // Rule ID 47663 //
     /*  130224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130227 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  130227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130262 */     GIR_RootConstrainSelectedInstOperands,
     /*  130263 */     // GIR_Coverage, 47663,
     /*  130263 */     GIR_EraseRootFromParent_Done,
     /*  130264 */   // Label 2297: @130264
     /*  130264 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(130309), // Rule ID 47664 //
     /*  130269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130272 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  130272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130307 */     GIR_RootConstrainSelectedInstOperands,
     /*  130308 */     // GIR_Coverage, 47664,
     /*  130308 */     GIR_EraseRootFromParent_Done,
     /*  130309 */   // Label 2298: @130309
     /*  130309 */   GIM_Reject,
     /*  130310 */ // Label 2296: @130310
     /*  130310 */ GIM_Reject,
     /*  130311 */ // Label 2199: @130311
     /*  130311 */ GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130425),
     /*  130316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  130319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  130322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130334 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130379), // Rule ID 47671 //
     /*  130339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130342 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  130342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130377 */     GIR_RootConstrainSelectedInstOperands,
     /*  130378 */     // GIR_Coverage, 47671,
     /*  130378 */     GIR_EraseRootFromParent_Done,
     /*  130379 */   // Label 2300: @130379
     /*  130379 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130424), // Rule ID 47672 //
     /*  130384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130387 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  130387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130422 */     GIR_RootConstrainSelectedInstOperands,
     /*  130423 */     // GIR_Coverage, 47672,
     /*  130423 */     GIR_EraseRootFromParent_Done,
     /*  130424 */   // Label 2301: @130424
     /*  130424 */   GIM_Reject,
     /*  130425 */ // Label 2299: @130425
     /*  130425 */ GIM_Reject,
     /*  130426 */ // Label 2200: @130426
     /*  130426 */ GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130540),
     /*  130431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  130434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130449 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(130494), // Rule ID 47687 //
     /*  130454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  130457 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  130457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130492 */     GIR_RootConstrainSelectedInstOperands,
     /*  130493 */     // GIR_Coverage, 47687,
     /*  130493 */     GIR_EraseRootFromParent_Done,
     /*  130494 */   // Label 2303: @130494
     /*  130494 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130539), // Rule ID 47688 //
     /*  130499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130502 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  130502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130537 */     GIR_RootConstrainSelectedInstOperands,
     /*  130538 */     // GIR_Coverage, 47688,
     /*  130538 */     GIR_EraseRootFromParent_Done,
     /*  130539 */   // Label 2304: @130539
     /*  130539 */   GIM_Reject,
     /*  130540 */ // Label 2302: @130540
     /*  130540 */ GIM_Reject,
     /*  130541 */ // Label 2201: @130541
     /*  130541 */ GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(131151),
     /*  130546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130556 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130622), // Rule ID 71299 //
     /*  130561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130603 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130620 */     GIR_RootConstrainSelectedInstOperands,
     /*  130621 */     // GIR_Coverage, 71299,
     /*  130621 */     GIR_EraseRootFromParent_Done,
     /*  130622 */   // Label 2306: @130622
     /*  130622 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130688), // Rule ID 71300 //
     /*  130627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130669 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130686 */     GIR_RootConstrainSelectedInstOperands,
     /*  130687 */     // GIR_Coverage, 71300,
     /*  130687 */     GIR_EraseRootFromParent_Done,
     /*  130688 */   // Label 2307: @130688
     /*  130688 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130754), // Rule ID 71297 //
     /*  130693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130735 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130752 */     GIR_RootConstrainSelectedInstOperands,
     /*  130753 */     // GIR_Coverage, 71297,
     /*  130753 */     GIR_EraseRootFromParent_Done,
     /*  130754 */   // Label 2308: @130754
     /*  130754 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130820), // Rule ID 71298 //
     /*  130759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130801 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130818 */     GIR_RootConstrainSelectedInstOperands,
     /*  130819 */     // GIR_Coverage, 71298,
     /*  130819 */     GIR_EraseRootFromParent_Done,
     /*  130820 */   // Label 2309: @130820
     /*  130820 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130886), // Rule ID 71295 //
     /*  130825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130867 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130884 */     GIR_RootConstrainSelectedInstOperands,
     /*  130885 */     // GIR_Coverage, 71295,
     /*  130885 */     GIR_EraseRootFromParent_Done,
     /*  130886 */   // Label 2310: @130886
     /*  130886 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130952), // Rule ID 71296 //
     /*  130891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130933 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130950 */     GIR_RootConstrainSelectedInstOperands,
     /*  130951 */     // GIR_Coverage, 71296,
     /*  130951 */     GIR_EraseRootFromParent_Done,
     /*  130952 */   // Label 2311: @130952
     /*  130952 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(131018), // Rule ID 53059 //
     /*  130957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130999 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131016 */     GIR_RootConstrainSelectedInstOperands,
     /*  131017 */     // GIR_Coverage, 53059,
     /*  131017 */     GIR_EraseRootFromParent_Done,
     /*  131018 */   // Label 2312: @131018
     /*  131018 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(131084), // Rule ID 53060 //
     /*  131023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  131042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  131046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131065 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131082 */     GIR_RootConstrainSelectedInstOperands,
     /*  131083 */     // GIR_Coverage, 53060,
     /*  131083 */     GIR_EraseRootFromParent_Done,
     /*  131084 */   // Label 2313: @131084
     /*  131084 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131117), // Rule ID 53047 //
     /*  131089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131100 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131115 */     GIR_RootConstrainSelectedInstOperands,
     /*  131116 */     // GIR_Coverage, 53047,
     /*  131116 */     GIR_EraseRootFromParent_Done,
     /*  131117 */   // Label 2314: @131117
     /*  131117 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131150), // Rule ID 53048 //
     /*  131122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131133 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131148 */     GIR_RootConstrainSelectedInstOperands,
     /*  131149 */     // GIR_Coverage, 53048,
     /*  131149 */     GIR_EraseRootFromParent_Done,
     /*  131150 */   // Label 2315: @131150
     /*  131150 */   GIM_Reject,
     /*  131151 */ // Label 2305: @131151
     /*  131151 */ GIM_Reject,
     /*  131152 */ // Label 2202: @131152
     /*  131152 */ GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131266),
     /*  131157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  131160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  131163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131175 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131220), // Rule ID 47655 //
     /*  131180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131183 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  131183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131218 */     GIR_RootConstrainSelectedInstOperands,
     /*  131219 */     // GIR_Coverage, 47655,
     /*  131219 */     GIR_EraseRootFromParent_Done,
     /*  131220 */   // Label 2317: @131220
     /*  131220 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131265), // Rule ID 47656 //
     /*  131225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131228 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  131228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131263 */     GIR_RootConstrainSelectedInstOperands,
     /*  131264 */     // GIR_Coverage, 47656,
     /*  131264 */     GIR_EraseRootFromParent_Done,
     /*  131265 */   // Label 2318: @131265
     /*  131265 */   GIM_Reject,
     /*  131266 */ // Label 2316: @131266
     /*  131266 */ GIM_Reject,
     /*  131267 */ // Label 2203: @131267
     /*  131267 */ GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131381),
     /*  131272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  131275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  131278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131290 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131335), // Rule ID 47667 //
     /*  131295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131298 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  131298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131333 */     GIR_RootConstrainSelectedInstOperands,
     /*  131334 */     // GIR_Coverage, 47667,
     /*  131334 */     GIR_EraseRootFromParent_Done,
     /*  131335 */   // Label 2320: @131335
     /*  131335 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131380), // Rule ID 47668 //
     /*  131340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131343 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  131343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131378 */     GIR_RootConstrainSelectedInstOperands,
     /*  131379 */     // GIR_Coverage, 47668,
     /*  131379 */     GIR_EraseRootFromParent_Done,
     /*  131380 */   // Label 2321: @131380
     /*  131380 */   GIM_Reject,
     /*  131381 */ // Label 2319: @131381
     /*  131381 */ GIM_Reject,
     /*  131382 */ // Label 2204: @131382
     /*  131382 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131496),
     /*  131387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  131390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  131393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131405 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131450), // Rule ID 47683 //
     /*  131410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131413 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  131413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131448 */     GIR_RootConstrainSelectedInstOperands,
     /*  131449 */     // GIR_Coverage, 47683,
     /*  131449 */     GIR_EraseRootFromParent_Done,
     /*  131450 */   // Label 2323: @131450
     /*  131450 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(131495), // Rule ID 47684 //
     /*  131455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131458 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  131458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131493 */     GIR_RootConstrainSelectedInstOperands,
     /*  131494 */     // GIR_Coverage, 47684,
     /*  131494 */     GIR_EraseRootFromParent_Done,
     /*  131495 */   // Label 2324: @131495
     /*  131495 */   GIM_Reject,
     /*  131496 */ // Label 2322: @131496
     /*  131496 */ GIM_Reject,
     /*  131497 */ // Label 2205: @131497
     /*  131497 */ GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131611),
     /*  131502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  131505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131520 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(131565), // Rule ID 47727 //
     /*  131525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131528 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  131528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131563 */     GIR_RootConstrainSelectedInstOperands,
     /*  131564 */     // GIR_Coverage, 47727,
     /*  131564 */     GIR_EraseRootFromParent_Done,
     /*  131565 */   // Label 2326: @131565
     /*  131565 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131610), // Rule ID 47728 //
     /*  131570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131573 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  131573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131608 */     GIR_RootConstrainSelectedInstOperands,
     /*  131609 */     // GIR_Coverage, 47728,
     /*  131609 */     GIR_EraseRootFromParent_Done,
     /*  131610 */   // Label 2327: @131610
     /*  131610 */   GIM_Reject,
     /*  131611 */ // Label 2325: @131611
     /*  131611 */ GIM_Reject,
     /*  131612 */ // Label 2206: @131612
     /*  131612 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(132222),
     /*  131617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131627 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(131693), // Rule ID 71327 //
     /*  131632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131674 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131691 */     GIR_RootConstrainSelectedInstOperands,
     /*  131692 */     // GIR_Coverage, 71327,
     /*  131692 */     GIR_EraseRootFromParent_Done,
     /*  131693 */   // Label 2329: @131693
     /*  131693 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(131759), // Rule ID 71328 //
     /*  131698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131740 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131757 */     GIR_RootConstrainSelectedInstOperands,
     /*  131758 */     // GIR_Coverage, 71328,
     /*  131758 */     GIR_EraseRootFromParent_Done,
     /*  131759 */   // Label 2330: @131759
     /*  131759 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(131825), // Rule ID 71325 //
     /*  131764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131806 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131823 */     GIR_RootConstrainSelectedInstOperands,
     /*  131824 */     // GIR_Coverage, 71325,
     /*  131824 */     GIR_EraseRootFromParent_Done,
     /*  131825 */   // Label 2331: @131825
     /*  131825 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(131891), // Rule ID 71326 //
     /*  131830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131872 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131889 */     GIR_RootConstrainSelectedInstOperands,
     /*  131890 */     // GIR_Coverage, 71326,
     /*  131890 */     GIR_EraseRootFromParent_Done,
     /*  131891 */   // Label 2332: @131891
     /*  131891 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(131957), // Rule ID 71323 //
     /*  131896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131938 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131955 */     GIR_RootConstrainSelectedInstOperands,
     /*  131956 */     // GIR_Coverage, 71323,
     /*  131956 */     GIR_EraseRootFromParent_Done,
     /*  131957 */   // Label 2333: @131957
     /*  131957 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132023), // Rule ID 71324 //
     /*  131962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132004 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132021 */     GIR_RootConstrainSelectedInstOperands,
     /*  132022 */     // GIR_Coverage, 71324,
     /*  132022 */     GIR_EraseRootFromParent_Done,
     /*  132023 */   // Label 2334: @132023
     /*  132023 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(132089), // Rule ID 53077 //
     /*  132028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132070 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132087 */     GIR_RootConstrainSelectedInstOperands,
     /*  132088 */     // GIR_Coverage, 53077,
     /*  132088 */     GIR_EraseRootFromParent_Done,
     /*  132089 */   // Label 2335: @132089
     /*  132089 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(132155), // Rule ID 53078 //
     /*  132094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132136 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132153 */     GIR_RootConstrainSelectedInstOperands,
     /*  132154 */     // GIR_Coverage, 53078,
     /*  132154 */     GIR_EraseRootFromParent_Done,
     /*  132155 */   // Label 2336: @132155
     /*  132155 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(132188), // Rule ID 53065 //
     /*  132160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132171 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132186 */     GIR_RootConstrainSelectedInstOperands,
     /*  132187 */     // GIR_Coverage, 53065,
     /*  132187 */     GIR_EraseRootFromParent_Done,
     /*  132188 */   // Label 2337: @132188
     /*  132188 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(132221), // Rule ID 53066 //
     /*  132193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132204 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132219 */     GIR_RootConstrainSelectedInstOperands,
     /*  132220 */     // GIR_Coverage, 53066,
     /*  132220 */     GIR_EraseRootFromParent_Done,
     /*  132221 */   // Label 2338: @132221
     /*  132221 */   GIM_Reject,
     /*  132222 */ // Label 2328: @132222
     /*  132222 */ GIM_Reject,
     /*  132223 */ // Label 2207: @132223
     /*  132223 */ GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(132337),
     /*  132228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  132231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132246 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(132291), // Rule ID 47659 //
     /*  132251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132254 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  132254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132289 */     GIR_RootConstrainSelectedInstOperands,
     /*  132290 */     // GIR_Coverage, 47659,
     /*  132290 */     GIR_EraseRootFromParent_Done,
     /*  132291 */   // Label 2340: @132291
     /*  132291 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(132336), // Rule ID 47660 //
     /*  132296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132299 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  132299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132334 */     GIR_RootConstrainSelectedInstOperands,
     /*  132335 */     // GIR_Coverage, 47660,
     /*  132335 */     GIR_EraseRootFromParent_Done,
     /*  132336 */   // Label 2341: @132336
     /*  132336 */   GIM_Reject,
     /*  132337 */ // Label 2339: @132337
     /*  132337 */ GIM_Reject,
     /*  132338 */ // Label 2208: @132338
     /*  132338 */ GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(132452),
     /*  132343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  132346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132361 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(132406), // Rule ID 47679 //
     /*  132366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132369 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  132369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132404 */     GIR_RootConstrainSelectedInstOperands,
     /*  132405 */     // GIR_Coverage, 47679,
     /*  132405 */     GIR_EraseRootFromParent_Done,
     /*  132406 */   // Label 2343: @132406
     /*  132406 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(132451), // Rule ID 47680 //
     /*  132411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132414 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  132414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132449 */     GIR_RootConstrainSelectedInstOperands,
     /*  132450 */     // GIR_Coverage, 47680,
     /*  132450 */     GIR_EraseRootFromParent_Done,
     /*  132451 */   // Label 2344: @132451
     /*  132451 */   GIM_Reject,
     /*  132452 */ // Label 2342: @132452
     /*  132452 */ GIM_Reject,
     /*  132453 */ // Label 2209: @132453
     /*  132453 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(132567),
     /*  132458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  132461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  132464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132476 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(132521), // Rule ID 47715 //
     /*  132481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132484 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  132484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132519 */     GIR_RootConstrainSelectedInstOperands,
     /*  132520 */     // GIR_Coverage, 47715,
     /*  132520 */     GIR_EraseRootFromParent_Done,
     /*  132521 */   // Label 2346: @132521
     /*  132521 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(132566), // Rule ID 47716 //
     /*  132526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132529 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  132529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132564 */     GIR_RootConstrainSelectedInstOperands,
     /*  132565 */     // GIR_Coverage, 47716,
     /*  132565 */     GIR_EraseRootFromParent_Done,
     /*  132566 */   // Label 2347: @132566
     /*  132566 */   GIM_Reject,
     /*  132567 */ // Label 2345: @132567
     /*  132567 */ GIM_Reject,
     /*  132568 */ // Label 2210: @132568
     /*  132568 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(132682),
     /*  132573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  132576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  132579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132591 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(132636), // Rule ID 47731 //
     /*  132596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  132599 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  132599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132634 */     GIR_RootConstrainSelectedInstOperands,
     /*  132635 */     // GIR_Coverage, 47731,
     /*  132635 */     GIR_EraseRootFromParent_Done,
     /*  132636 */   // Label 2349: @132636
     /*  132636 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(132681), // Rule ID 47732 //
     /*  132641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  132644 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  132644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132679 */     GIR_RootConstrainSelectedInstOperands,
     /*  132680 */     // GIR_Coverage, 47732,
     /*  132680 */     GIR_EraseRootFromParent_Done,
     /*  132681 */   // Label 2350: @132681
     /*  132681 */   GIM_Reject,
     /*  132682 */ // Label 2348: @132682
     /*  132682 */ GIM_Reject,
     /*  132683 */ // Label 2211: @132683
     /*  132683 */ GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(133293),
     /*  132688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132698 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(132764), // Rule ID 71355 //
     /*  132703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132745 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132762 */     GIR_RootConstrainSelectedInstOperands,
     /*  132763 */     // GIR_Coverage, 71355,
     /*  132763 */     GIR_EraseRootFromParent_Done,
     /*  132764 */   // Label 2352: @132764
     /*  132764 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(132830), // Rule ID 71356 //
     /*  132769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132811 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132828 */     GIR_RootConstrainSelectedInstOperands,
     /*  132829 */     // GIR_Coverage, 71356,
     /*  132829 */     GIR_EraseRootFromParent_Done,
     /*  132830 */   // Label 2353: @132830
     /*  132830 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(132896), // Rule ID 71353 //
     /*  132835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132877 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132894 */     GIR_RootConstrainSelectedInstOperands,
     /*  132895 */     // GIR_Coverage, 71353,
     /*  132895 */     GIR_EraseRootFromParent_Done,
     /*  132896 */   // Label 2354: @132896
     /*  132896 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(132962), // Rule ID 71354 //
     /*  132901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132943 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132960 */     GIR_RootConstrainSelectedInstOperands,
     /*  132961 */     // GIR_Coverage, 71354,
     /*  132961 */     GIR_EraseRootFromParent_Done,
     /*  132962 */   // Label 2355: @132962
     /*  132962 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(133028), // Rule ID 71351 //
     /*  132967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133009 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133026 */     GIR_RootConstrainSelectedInstOperands,
     /*  133027 */     // GIR_Coverage, 71351,
     /*  133027 */     GIR_EraseRootFromParent_Done,
     /*  133028 */   // Label 2356: @133028
     /*  133028 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(133094), // Rule ID 71352 //
     /*  133033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133075 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133092 */     GIR_RootConstrainSelectedInstOperands,
     /*  133093 */     // GIR_Coverage, 71352,
     /*  133093 */     GIR_EraseRootFromParent_Done,
     /*  133094 */   // Label 2357: @133094
     /*  133094 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(133160), // Rule ID 53095 //
     /*  133099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133141 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133158 */     GIR_RootConstrainSelectedInstOperands,
     /*  133159 */     // GIR_Coverage, 53095,
     /*  133159 */     GIR_EraseRootFromParent_Done,
     /*  133160 */   // Label 2358: @133160
     /*  133160 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(133226), // Rule ID 53096 //
     /*  133165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133207 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133224 */     GIR_RootConstrainSelectedInstOperands,
     /*  133225 */     // GIR_Coverage, 53096,
     /*  133225 */     GIR_EraseRootFromParent_Done,
     /*  133226 */   // Label 2359: @133226
     /*  133226 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(133259), // Rule ID 53083 //
     /*  133231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133242 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133257 */     GIR_RootConstrainSelectedInstOperands,
     /*  133258 */     // GIR_Coverage, 53083,
     /*  133258 */     GIR_EraseRootFromParent_Done,
     /*  133259 */   // Label 2360: @133259
     /*  133259 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(133292), // Rule ID 53084 //
     /*  133264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133275 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133290 */     GIR_RootConstrainSelectedInstOperands,
     /*  133291 */     // GIR_Coverage, 53084,
     /*  133291 */     GIR_EraseRootFromParent_Done,
     /*  133292 */   // Label 2361: @133292
     /*  133292 */   GIM_Reject,
     /*  133293 */ // Label 2351: @133293
     /*  133293 */ GIM_Reject,
     /*  133294 */ // Label 2212: @133294
     /*  133294 */ GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(133408),
     /*  133299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  133302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  133305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133317 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(133362), // Rule ID 47675 //
     /*  133322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133325 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  133325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133360 */     GIR_RootConstrainSelectedInstOperands,
     /*  133361 */     // GIR_Coverage, 47675,
     /*  133361 */     GIR_EraseRootFromParent_Done,
     /*  133362 */   // Label 2363: @133362
     /*  133362 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(133407), // Rule ID 47676 //
     /*  133367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133370 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  133370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133405 */     GIR_RootConstrainSelectedInstOperands,
     /*  133406 */     // GIR_Coverage, 47676,
     /*  133406 */     GIR_EraseRootFromParent_Done,
     /*  133407 */   // Label 2364: @133407
     /*  133407 */   GIM_Reject,
     /*  133408 */ // Label 2362: @133408
     /*  133408 */ GIM_Reject,
     /*  133409 */ // Label 2213: @133409
     /*  133409 */ GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(133523),
     /*  133414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  133417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133432 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(133477), // Rule ID 47703 //
     /*  133437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133440 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  133440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133475 */     GIR_RootConstrainSelectedInstOperands,
     /*  133476 */     // GIR_Coverage, 47703,
     /*  133476 */     GIR_EraseRootFromParent_Done,
     /*  133477 */   // Label 2366: @133477
     /*  133477 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(133522), // Rule ID 47704 //
     /*  133482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133485 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  133485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133520 */     GIR_RootConstrainSelectedInstOperands,
     /*  133521 */     // GIR_Coverage, 47704,
     /*  133521 */     GIR_EraseRootFromParent_Done,
     /*  133522 */   // Label 2367: @133522
     /*  133522 */   GIM_Reject,
     /*  133523 */ // Label 2365: @133523
     /*  133523 */ GIM_Reject,
     /*  133524 */ // Label 2214: @133524
     /*  133524 */ GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(133638),
     /*  133529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  133532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  133535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133547 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(133592), // Rule ID 47719 //
     /*  133552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133555 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  133555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133590 */     GIR_RootConstrainSelectedInstOperands,
     /*  133591 */     // GIR_Coverage, 47719,
     /*  133591 */     GIR_EraseRootFromParent_Done,
     /*  133592 */   // Label 2369: @133592
     /*  133592 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(133637), // Rule ID 47720 //
     /*  133597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133600 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  133600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133635 */     GIR_RootConstrainSelectedInstOperands,
     /*  133636 */     // GIR_Coverage, 47720,
     /*  133636 */     GIR_EraseRootFromParent_Done,
     /*  133637 */   // Label 2370: @133637
     /*  133637 */   GIM_Reject,
     /*  133638 */ // Label 2368: @133638
     /*  133638 */ GIM_Reject,
     /*  133639 */ // Label 2215: @133639
     /*  133639 */ GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(133753),
     /*  133644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  133647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  133650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133662 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(133707), // Rule ID 47735 //
     /*  133667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133670 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  133670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133705 */     GIR_RootConstrainSelectedInstOperands,
     /*  133706 */     // GIR_Coverage, 47735,
     /*  133706 */     GIR_EraseRootFromParent_Done,
     /*  133707 */   // Label 2372: @133707
     /*  133707 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(133752), // Rule ID 47736 //
     /*  133712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133715 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  133715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133750 */     GIR_RootConstrainSelectedInstOperands,
     /*  133751 */     // GIR_Coverage, 47736,
     /*  133751 */     GIR_EraseRootFromParent_Done,
     /*  133752 */   // Label 2373: @133752
     /*  133752 */   GIM_Reject,
     /*  133753 */ // Label 2371: @133753
     /*  133753 */ GIM_Reject,
     /*  133754 */ // Label 2216: @133754
     /*  133754 */ GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(134364),
     /*  133759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133769 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(133835), // Rule ID 71383 //
     /*  133774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133816 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133833 */     GIR_RootConstrainSelectedInstOperands,
     /*  133834 */     // GIR_Coverage, 71383,
     /*  133834 */     GIR_EraseRootFromParent_Done,
     /*  133835 */   // Label 2375: @133835
     /*  133835 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(133901), // Rule ID 71384 //
     /*  133840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133882 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133899 */     GIR_RootConstrainSelectedInstOperands,
     /*  133900 */     // GIR_Coverage, 71384,
     /*  133900 */     GIR_EraseRootFromParent_Done,
     /*  133901 */   // Label 2376: @133901
     /*  133901 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(133967), // Rule ID 71381 //
     /*  133906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133948 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133965 */     GIR_RootConstrainSelectedInstOperands,
     /*  133966 */     // GIR_Coverage, 71381,
     /*  133966 */     GIR_EraseRootFromParent_Done,
     /*  133967 */   // Label 2377: @133967
     /*  133967 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(134033), // Rule ID 71382 //
     /*  133972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134014 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134031 */     GIR_RootConstrainSelectedInstOperands,
     /*  134032 */     // GIR_Coverage, 71382,
     /*  134032 */     GIR_EraseRootFromParent_Done,
     /*  134033 */   // Label 2378: @134033
     /*  134033 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(134099), // Rule ID 71379 //
     /*  134038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134080 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134097 */     GIR_RootConstrainSelectedInstOperands,
     /*  134098 */     // GIR_Coverage, 71379,
     /*  134098 */     GIR_EraseRootFromParent_Done,
     /*  134099 */   // Label 2379: @134099
     /*  134099 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(134165), // Rule ID 71380 //
     /*  134104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134146 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134163 */     GIR_RootConstrainSelectedInstOperands,
     /*  134164 */     // GIR_Coverage, 71380,
     /*  134164 */     GIR_EraseRootFromParent_Done,
     /*  134165 */   // Label 2380: @134165
     /*  134165 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(134231), // Rule ID 53113 //
     /*  134170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134212 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134229 */     GIR_RootConstrainSelectedInstOperands,
     /*  134230 */     // GIR_Coverage, 53113,
     /*  134230 */     GIR_EraseRootFromParent_Done,
     /*  134231 */   // Label 2381: @134231
     /*  134231 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(134297), // Rule ID 53114 //
     /*  134236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134278 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134295 */     GIR_RootConstrainSelectedInstOperands,
     /*  134296 */     // GIR_Coverage, 53114,
     /*  134296 */     GIR_EraseRootFromParent_Done,
     /*  134297 */   // Label 2382: @134297
     /*  134297 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(134330), // Rule ID 53101 //
     /*  134302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134313 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134328 */     GIR_RootConstrainSelectedInstOperands,
     /*  134329 */     // GIR_Coverage, 53101,
     /*  134329 */     GIR_EraseRootFromParent_Done,
     /*  134330 */   // Label 2383: @134330
     /*  134330 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(134363), // Rule ID 53102 //
     /*  134335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134346 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134361 */     GIR_RootConstrainSelectedInstOperands,
     /*  134362 */     // GIR_Coverage, 53102,
     /*  134362 */     GIR_EraseRootFromParent_Done,
     /*  134363 */   // Label 2384: @134363
     /*  134363 */   GIM_Reject,
     /*  134364 */ // Label 2374: @134364
     /*  134364 */ GIM_Reject,
     /*  134365 */ // Label 2217: @134365
     /*  134365 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(134479),
     /*  134370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  134373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  134376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134388 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(134433), // Rule ID 47691 //
     /*  134393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134396 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134431 */     GIR_RootConstrainSelectedInstOperands,
     /*  134432 */     // GIR_Coverage, 47691,
     /*  134432 */     GIR_EraseRootFromParent_Done,
     /*  134433 */   // Label 2386: @134433
     /*  134433 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(134478), // Rule ID 47692 //
     /*  134438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134441 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134476 */     GIR_RootConstrainSelectedInstOperands,
     /*  134477 */     // GIR_Coverage, 47692,
     /*  134477 */     GIR_EraseRootFromParent_Done,
     /*  134478 */   // Label 2387: @134478
     /*  134478 */   GIM_Reject,
     /*  134479 */ // Label 2385: @134479
     /*  134479 */ GIM_Reject,
     /*  134480 */ // Label 2218: @134480
     /*  134480 */ GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(134594),
     /*  134485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  134488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134503 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(134548), // Rule ID 47707 //
     /*  134508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134511 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134546 */     GIR_RootConstrainSelectedInstOperands,
     /*  134547 */     // GIR_Coverage, 47707,
     /*  134547 */     GIR_EraseRootFromParent_Done,
     /*  134548 */   // Label 2389: @134548
     /*  134548 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(134593), // Rule ID 47708 //
     /*  134553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134556 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134591 */     GIR_RootConstrainSelectedInstOperands,
     /*  134592 */     // GIR_Coverage, 47708,
     /*  134592 */     GIR_EraseRootFromParent_Done,
     /*  134593 */   // Label 2390: @134593
     /*  134593 */   GIM_Reject,
     /*  134594 */ // Label 2388: @134594
     /*  134594 */ GIM_Reject,
     /*  134595 */ // Label 2219: @134595
     /*  134595 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(134709),
     /*  134600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  134603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134618 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(134663), // Rule ID 47723 //
     /*  134623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134626 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134661 */     GIR_RootConstrainSelectedInstOperands,
     /*  134662 */     // GIR_Coverage, 47723,
     /*  134662 */     GIR_EraseRootFromParent_Done,
     /*  134663 */   // Label 2392: @134663
     /*  134663 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(134708), // Rule ID 47724 //
     /*  134668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134671 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134706 */     GIR_RootConstrainSelectedInstOperands,
     /*  134707 */     // GIR_Coverage, 47724,
     /*  134707 */     GIR_EraseRootFromParent_Done,
     /*  134708 */   // Label 2393: @134708
     /*  134708 */   GIM_Reject,
     /*  134709 */ // Label 2391: @134709
     /*  134709 */ GIM_Reject,
     /*  134710 */ // Label 2220: @134710
     /*  134710 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(135320),
     /*  134715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134725 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(134791), // Rule ID 71411 //
     /*  134730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134772 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134789 */     GIR_RootConstrainSelectedInstOperands,
     /*  134790 */     // GIR_Coverage, 71411,
     /*  134790 */     GIR_EraseRootFromParent_Done,
     /*  134791 */   // Label 2395: @134791
     /*  134791 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(134857), // Rule ID 71412 //
     /*  134796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134838 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134855 */     GIR_RootConstrainSelectedInstOperands,
     /*  134856 */     // GIR_Coverage, 71412,
     /*  134856 */     GIR_EraseRootFromParent_Done,
     /*  134857 */   // Label 2396: @134857
     /*  134857 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(134923), // Rule ID 71409 //
     /*  134862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134904 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134921 */     GIR_RootConstrainSelectedInstOperands,
     /*  134922 */     // GIR_Coverage, 71409,
     /*  134922 */     GIR_EraseRootFromParent_Done,
     /*  134923 */   // Label 2397: @134923
     /*  134923 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(134989), // Rule ID 71410 //
     /*  134928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134970 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134987 */     GIR_RootConstrainSelectedInstOperands,
     /*  134988 */     // GIR_Coverage, 71410,
     /*  134988 */     GIR_EraseRootFromParent_Done,
     /*  134989 */   // Label 2398: @134989
     /*  134989 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(135055), // Rule ID 71407 //
     /*  134994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135036 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135053 */     GIR_RootConstrainSelectedInstOperands,
     /*  135054 */     // GIR_Coverage, 71407,
     /*  135054 */     GIR_EraseRootFromParent_Done,
     /*  135055 */   // Label 2399: @135055
     /*  135055 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(135121), // Rule ID 71408 //
     /*  135060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135102 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135119 */     GIR_RootConstrainSelectedInstOperands,
     /*  135120 */     // GIR_Coverage, 71408,
     /*  135120 */     GIR_EraseRootFromParent_Done,
     /*  135121 */   // Label 2400: @135121
     /*  135121 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(135187), // Rule ID 53131 //
     /*  135126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135168 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135185 */     GIR_RootConstrainSelectedInstOperands,
     /*  135186 */     // GIR_Coverage, 53131,
     /*  135186 */     GIR_EraseRootFromParent_Done,
     /*  135187 */   // Label 2401: @135187
     /*  135187 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(135253), // Rule ID 53132 //
     /*  135192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135234 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135251 */     GIR_RootConstrainSelectedInstOperands,
     /*  135252 */     // GIR_Coverage, 53132,
     /*  135252 */     GIR_EraseRootFromParent_Done,
     /*  135253 */   // Label 2402: @135253
     /*  135253 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(135286), // Rule ID 53119 //
     /*  135258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135269 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135284 */     GIR_RootConstrainSelectedInstOperands,
     /*  135285 */     // GIR_Coverage, 53119,
     /*  135285 */     GIR_EraseRootFromParent_Done,
     /*  135286 */   // Label 2403: @135286
     /*  135286 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(135319), // Rule ID 53120 //
     /*  135291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135302 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135317 */     GIR_RootConstrainSelectedInstOperands,
     /*  135318 */     // GIR_Coverage, 53120,
     /*  135318 */     GIR_EraseRootFromParent_Done,
     /*  135319 */   // Label 2404: @135319
     /*  135319 */   GIM_Reject,
     /*  135320 */ // Label 2394: @135320
     /*  135320 */ GIM_Reject,
     /*  135321 */ // Label 2221: @135321
     /*  135321 */ GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(135435),
     /*  135326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  135329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  135332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135344 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(135389), // Rule ID 47695 //
     /*  135349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135352 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135387 */     GIR_RootConstrainSelectedInstOperands,
     /*  135388 */     // GIR_Coverage, 47695,
     /*  135388 */     GIR_EraseRootFromParent_Done,
     /*  135389 */   // Label 2406: @135389
     /*  135389 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(135434), // Rule ID 47696 //
     /*  135394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135397 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135432 */     GIR_RootConstrainSelectedInstOperands,
     /*  135433 */     // GIR_Coverage, 47696,
     /*  135433 */     GIR_EraseRootFromParent_Done,
     /*  135434 */   // Label 2407: @135434
     /*  135434 */   GIM_Reject,
     /*  135435 */ // Label 2405: @135435
     /*  135435 */ GIM_Reject,
     /*  135436 */ // Label 2222: @135436
     /*  135436 */ GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(135550),
     /*  135441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  135444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  135447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135459 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(135504), // Rule ID 47711 //
     /*  135464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135467 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135502 */     GIR_RootConstrainSelectedInstOperands,
     /*  135503 */     // GIR_Coverage, 47711,
     /*  135503 */     GIR_EraseRootFromParent_Done,
     /*  135504 */   // Label 2409: @135504
     /*  135504 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(135549), // Rule ID 47712 //
     /*  135509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135512 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135547 */     GIR_RootConstrainSelectedInstOperands,
     /*  135548 */     // GIR_Coverage, 47712,
     /*  135548 */     GIR_EraseRootFromParent_Done,
     /*  135549 */   // Label 2410: @135549
     /*  135549 */   GIM_Reject,
     /*  135550 */ // Label 2408: @135550
     /*  135550 */ GIM_Reject,
     /*  135551 */ // Label 2223: @135551
     /*  135551 */ GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(136161),
     /*  135556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135566 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(135632), // Rule ID 71439 //
     /*  135571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135613 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135630 */     GIR_RootConstrainSelectedInstOperands,
     /*  135631 */     // GIR_Coverage, 71439,
     /*  135631 */     GIR_EraseRootFromParent_Done,
     /*  135632 */   // Label 2412: @135632
     /*  135632 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(135698), // Rule ID 71440 //
     /*  135637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135679 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135696 */     GIR_RootConstrainSelectedInstOperands,
     /*  135697 */     // GIR_Coverage, 71440,
     /*  135697 */     GIR_EraseRootFromParent_Done,
     /*  135698 */   // Label 2413: @135698
     /*  135698 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(135764), // Rule ID 71437 //
     /*  135703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135745 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135762 */     GIR_RootConstrainSelectedInstOperands,
     /*  135763 */     // GIR_Coverage, 71437,
     /*  135763 */     GIR_EraseRootFromParent_Done,
     /*  135764 */   // Label 2414: @135764
     /*  135764 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(135830), // Rule ID 71438 //
     /*  135769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135811 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135828 */     GIR_RootConstrainSelectedInstOperands,
     /*  135829 */     // GIR_Coverage, 71438,
     /*  135829 */     GIR_EraseRootFromParent_Done,
     /*  135830 */   // Label 2415: @135830
     /*  135830 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(135896), // Rule ID 71435 //
     /*  135835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135877 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135894 */     GIR_RootConstrainSelectedInstOperands,
     /*  135895 */     // GIR_Coverage, 71435,
     /*  135895 */     GIR_EraseRootFromParent_Done,
     /*  135896 */   // Label 2416: @135896
     /*  135896 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(135962), // Rule ID 71436 //
     /*  135901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135943 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135960 */     GIR_RootConstrainSelectedInstOperands,
     /*  135961 */     // GIR_Coverage, 71436,
     /*  135961 */     GIR_EraseRootFromParent_Done,
     /*  135962 */   // Label 2417: @135962
     /*  135962 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(136028), // Rule ID 53149 //
     /*  135967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136009 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136026 */     GIR_RootConstrainSelectedInstOperands,
     /*  136027 */     // GIR_Coverage, 53149,
     /*  136027 */     GIR_EraseRootFromParent_Done,
     /*  136028 */   // Label 2418: @136028
     /*  136028 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(136094), // Rule ID 53150 //
     /*  136033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  136052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  136056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136075 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136092 */     GIR_RootConstrainSelectedInstOperands,
     /*  136093 */     // GIR_Coverage, 53150,
     /*  136093 */     GIR_EraseRootFromParent_Done,
     /*  136094 */   // Label 2419: @136094
     /*  136094 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(136127), // Rule ID 53137 //
     /*  136099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136110 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136125 */     GIR_RootConstrainSelectedInstOperands,
     /*  136126 */     // GIR_Coverage, 53137,
     /*  136126 */     GIR_EraseRootFromParent_Done,
     /*  136127 */   // Label 2420: @136127
     /*  136127 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(136160), // Rule ID 53138 //
     /*  136132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136143 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136158 */     GIR_RootConstrainSelectedInstOperands,
     /*  136159 */     // GIR_Coverage, 53138,
     /*  136159 */     GIR_EraseRootFromParent_Done,
     /*  136160 */   // Label 2421: @136160
     /*  136160 */   GIM_Reject,
     /*  136161 */ // Label 2411: @136161
     /*  136161 */ GIM_Reject,
     /*  136162 */ // Label 2224: @136162
     /*  136162 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(136276),
     /*  136167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  136170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136185 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(136230), // Rule ID 47699 //
     /*  136190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136193 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136228 */     GIR_RootConstrainSelectedInstOperands,
     /*  136229 */     // GIR_Coverage, 47699,
     /*  136229 */     GIR_EraseRootFromParent_Done,
     /*  136230 */   // Label 2423: @136230
     /*  136230 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(136275), // Rule ID 47700 //
     /*  136235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136238 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136273 */     GIR_RootConstrainSelectedInstOperands,
     /*  136274 */     // GIR_Coverage, 47700,
     /*  136274 */     GIR_EraseRootFromParent_Done,
     /*  136275 */   // Label 2424: @136275
     /*  136275 */   GIM_Reject,
     /*  136276 */ // Label 2422: @136276
     /*  136276 */ GIM_Reject,
     /*  136277 */ // Label 2225: @136277
     /*  136277 */ GIM_Reject,
     /*  136278 */ // Label 9: @136278
     /*  136278 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2456*/ GIMT_Encode4(151184),
     /*  136289 */ /*GILLT_s32*//*Label 2425*/ GIMT_Encode4(136413),
     /*  136293 */ /*GILLT_s64*//*Label 2426*/ GIMT_Encode4(136951),
     /*  136297 */ /*GILLT_nxv1s1*//*Label 2427*/ GIMT_Encode4(137377),
     /*  136301 */ /*GILLT_nxv1s8*//*Label 2428*/ GIMT_Encode4(138988),
     /*  136305 */ /*GILLT_nxv1s16*//*Label 2429*/ GIMT_Encode4(139103),
     /*  136309 */ /*GILLT_nxv1s32*//*Label 2430*/ GIMT_Encode4(139218),
     /*  136313 */ /*GILLT_nxv1s64*//*Label 2431*/ GIMT_Encode4(139333),
     /*  136317 */ /*GILLT_nxv2s1*//*Label 2432*/ GIMT_Encode4(139448),
     /*  136321 */ /*GILLT_nxv2s8*//*Label 2433*/ GIMT_Encode4(141059),
     /*  136325 */ /*GILLT_nxv2s16*//*Label 2434*/ GIMT_Encode4(141174),
     /*  136329 */ /*GILLT_nxv2s32*//*Label 2435*/ GIMT_Encode4(141289),
     /*  136333 */ /*GILLT_nxv2s64*//*Label 2436*/ GIMT_Encode4(141404),
     /*  136337 */ /*GILLT_nxv4s1*//*Label 2437*/ GIMT_Encode4(141519),
     /*  136341 */ /*GILLT_nxv4s8*//*Label 2438*/ GIMT_Encode4(143130),
     /*  136345 */ /*GILLT_nxv4s16*//*Label 2439*/ GIMT_Encode4(143245),
     /*  136349 */ /*GILLT_nxv4s32*//*Label 2440*/ GIMT_Encode4(143360),
     /*  136353 */ /*GILLT_nxv4s64*//*Label 2441*/ GIMT_Encode4(143475),
     /*  136357 */ /*GILLT_nxv8s1*//*Label 2442*/ GIMT_Encode4(143590),
     /*  136361 */ /*GILLT_nxv8s8*//*Label 2443*/ GIMT_Encode4(145201),
     /*  136365 */ /*GILLT_nxv8s16*//*Label 2444*/ GIMT_Encode4(145316),
     /*  136369 */ /*GILLT_nxv8s32*//*Label 2445*/ GIMT_Encode4(145431),
     /*  136373 */ /*GILLT_nxv8s64*//*Label 2446*/ GIMT_Encode4(145546),
     /*  136377 */ /*GILLT_nxv16s1*//*Label 2447*/ GIMT_Encode4(145661),
     /*  136381 */ /*GILLT_nxv16s8*//*Label 2448*/ GIMT_Encode4(147272),
     /*  136385 */ /*GILLT_nxv16s16*//*Label 2449*/ GIMT_Encode4(147387),
     /*  136389 */ /*GILLT_nxv16s32*//*Label 2450*/ GIMT_Encode4(147502),
     /*  136393 */ /*GILLT_nxv32s1*//*Label 2451*/ GIMT_Encode4(147617),
     /*  136397 */ /*GILLT_nxv32s8*//*Label 2452*/ GIMT_Encode4(149228),
     /*  136401 */ /*GILLT_nxv32s16*//*Label 2453*/ GIMT_Encode4(149343),
     /*  136405 */ /*GILLT_nxv64s1*//*Label 2454*/ GIMT_Encode4(149458),
     /*  136409 */ /*GILLT_nxv64s8*//*Label 2455*/ GIMT_Encode4(151069),
     /*  136413 */ // Label 2425: @136413
     /*  136413 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(136950),
     /*  136418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  136421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  136424 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(136507), // Rule ID 2366 //
     /*  136429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136452 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136462 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136469 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  136469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  136472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  136476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  136487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  136497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136505 */     GIR_RootConstrainSelectedInstOperands,
     /*  136506 */     // GIR_Coverage, 2366,
     /*  136506 */     GIR_EraseRootFromParent_Done,
     /*  136507 */   // Label 2458: @136507
     /*  136507 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(136566), // Rule ID 2360 //
     /*  136512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136552 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136564 */     GIR_RootConstrainSelectedInstOperands,
     /*  136565 */     // GIR_Coverage, 2360,
     /*  136565 */     GIR_EraseRootFromParent_Done,
     /*  136566 */   // Label 2459: @136566
     /*  136566 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(136625), // Rule ID 65070 //
     /*  136571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136598 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136611 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136623 */     GIR_RootConstrainSelectedInstOperands,
     /*  136624 */     // GIR_Coverage, 65070,
     /*  136624 */     GIR_EraseRootFromParent_Done,
     /*  136625 */   // Label 2460: @136625
     /*  136625 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(136681), // Rule ID 65056 //
     /*  136630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136658 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136668 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136679 */     GIR_RootConstrainSelectedInstOperands,
     /*  136680 */     // GIR_Coverage, 65056,
     /*  136680 */     GIR_EraseRootFromParent_Done,
     /*  136681 */   // Label 2461: @136681
     /*  136681 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(136740), // Rule ID 65054 //
     /*  136686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136725 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136738 */     GIR_RootConstrainSelectedInstOperands,
     /*  136739 */     // GIR_Coverage, 65054,
     /*  136739 */     GIR_EraseRootFromParent_Done,
     /*  136740 */   // Label 2462: @136740
     /*  136740 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(136796), // Rule ID 2334 //
     /*  136745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136777 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136783 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136794 */     GIR_RootConstrainSelectedInstOperands,
     /*  136795 */     // GIR_Coverage, 2334,
     /*  136795 */     GIR_EraseRootFromParent_Done,
     /*  136796 */   // Label 2463: @136796
     /*  136796 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(136838), // Rule ID 89 //
     /*  136801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  136824 */     // MIs[1] Operand 1
     /*  136824 */     // No operand predicates
     /*  136824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136826 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  136826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  136829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136836 */     GIR_RootConstrainSelectedInstOperands,
     /*  136837 */     // GIR_Coverage, 89,
     /*  136837 */     GIR_EraseRootFromParent_Done,
     /*  136838 */   // Label 2464: @136838
     /*  136838 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(136880), // Rule ID 64435 //
     /*  136843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  136866 */     // MIs[1] Operand 1
     /*  136866 */     // No operand predicates
     /*  136866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136868 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  136868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  136871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  136873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136878 */     GIR_RootConstrainSelectedInstOperands,
     /*  136879 */     // GIR_Coverage, 64435,
     /*  136879 */     GIR_EraseRootFromParent_Done,
     /*  136880 */   // Label 2465: @136880
     /*  136880 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(136922), // Rule ID 64439 //
     /*  136885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  136908 */     // MIs[1] Operand 1
     /*  136908 */     // No operand predicates
     /*  136908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136910 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  136910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  136913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136920 */     GIR_RootConstrainSelectedInstOperands,
     /*  136921 */     // GIR_Coverage, 64439,
     /*  136921 */     GIR_EraseRootFromParent_Done,
     /*  136922 */   // Label 2466: @136922
     /*  136922 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(136949), // Rule ID 87 //
     /*  136927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136942 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  136947 */     GIR_RootConstrainSelectedInstOperands,
     /*  136948 */     // GIR_Coverage, 87,
     /*  136948 */     GIR_Done,
     /*  136949 */   // Label 2467: @136949
     /*  136949 */   GIM_Reject,
     /*  136950 */ // Label 2457: @136950
     /*  136950 */ GIM_Reject,
     /*  136951 */ // Label 2426: @136951
     /*  136951 */ GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(137376),
     /*  136956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  136959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  136962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136966 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(137045), // Rule ID 2365 //
     /*  136971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136990 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137007 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  137007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  137010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  137014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  137025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  137035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137043 */     GIR_RootConstrainSelectedInstOperands,
     /*  137044 */     // GIR_Coverage, 2365,
     /*  137044 */     GIR_EraseRootFromParent_Done,
     /*  137045 */   // Label 2469: @137045
     /*  137045 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(137100), // Rule ID 2359 //
     /*  137050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137069 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137086 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137098 */     GIR_RootConstrainSelectedInstOperands,
     /*  137099 */     // GIR_Coverage, 2359,
     /*  137099 */     GIR_EraseRootFromParent_Done,
     /*  137100 */   // Label 2470: @137100
     /*  137100 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(137155), // Rule ID 65069 //
     /*  137105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137128 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137141 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137153 */     GIR_RootConstrainSelectedInstOperands,
     /*  137154 */     // GIR_Coverage, 65069,
     /*  137154 */     GIR_EraseRootFromParent_Done,
     /*  137155 */   // Label 2471: @137155
     /*  137155 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(137207), // Rule ID 65055 //
     /*  137160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137184 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137194 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137205 */     GIR_RootConstrainSelectedInstOperands,
     /*  137206 */     // GIR_Coverage, 65055,
     /*  137206 */     GIR_EraseRootFromParent_Done,
     /*  137207 */   // Label 2472: @137207
     /*  137207 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(137262), // Rule ID 65053 //
     /*  137212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  137245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137247 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137260 */     GIR_RootConstrainSelectedInstOperands,
     /*  137261 */     // GIR_Coverage, 65053,
     /*  137261 */     GIR_EraseRootFromParent_Done,
     /*  137262 */   // Label 2473: @137262
     /*  137262 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(137314), // Rule ID 2333 //
     /*  137267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137295 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137301 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137312 */     GIR_RootConstrainSelectedInstOperands,
     /*  137313 */     // GIR_Coverage, 2333,
     /*  137313 */     GIR_EraseRootFromParent_Done,
     /*  137314 */   // Label 2474: @137314
     /*  137314 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(137352), // Rule ID 88 //
     /*  137319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  137338 */     // MIs[1] Operand 1
     /*  137338 */     // No operand predicates
     /*  137338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137340 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  137340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  137343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  137350 */     GIR_RootConstrainSelectedInstOperands,
     /*  137351 */     // GIR_Coverage, 88,
     /*  137351 */     GIR_EraseRootFromParent_Done,
     /*  137352 */   // Label 2475: @137352
     /*  137352 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(137375), // Rule ID 86 //
     /*  137357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137368 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  137373 */     GIR_RootConstrainSelectedInstOperands,
     /*  137374 */     // GIR_Coverage, 86,
     /*  137374 */     GIR_Done,
     /*  137375 */   // Label 2476: @137375
     /*  137375 */   GIM_Reject,
     /*  137376 */ // Label 2468: @137376
     /*  137376 */ GIM_Reject,
     /*  137377 */ // Label 2427: @137377
     /*  137377 */ GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(138987),
     /*  137382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137392 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(137461), // Rule ID 53033 //
     /*  137397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137440 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137459 */     GIR_RootConstrainSelectedInstOperands,
     /*  137460 */     // GIR_Coverage, 53033,
     /*  137460 */     GIR_EraseRootFromParent_Done,
     /*  137461 */   // Label 2478: @137461
     /*  137461 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(137530), // Rule ID 53034 //
     /*  137466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137481 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137509 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137528 */     GIR_RootConstrainSelectedInstOperands,
     /*  137529 */     // GIR_Coverage, 53034,
     /*  137529 */     GIR_EraseRootFromParent_Done,
     /*  137530 */   // Label 2479: @137530
     /*  137530 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(137599), // Rule ID 53035 //
     /*  137535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137578 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137597 */     GIR_RootConstrainSelectedInstOperands,
     /*  137598 */     // GIR_Coverage, 53035,
     /*  137598 */     GIR_EraseRootFromParent_Done,
     /*  137599 */   // Label 2480: @137599
     /*  137599 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(137668), // Rule ID 53036 //
     /*  137604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137647 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137666 */     GIR_RootConstrainSelectedInstOperands,
     /*  137667 */     // GIR_Coverage, 53036,
     /*  137667 */     GIR_EraseRootFromParent_Done,
     /*  137668 */   // Label 2481: @137668
     /*  137668 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(137734), // Rule ID 71253 //
     /*  137673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137715 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137732 */     GIR_RootConstrainSelectedInstOperands,
     /*  137733 */     // GIR_Coverage, 71253,
     /*  137733 */     GIR_EraseRootFromParent_Done,
     /*  137734 */   // Label 2482: @137734
     /*  137734 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(137800), // Rule ID 71254 //
     /*  137739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137781 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137798 */     GIR_RootConstrainSelectedInstOperands,
     /*  137799 */     // GIR_Coverage, 71254,
     /*  137799 */     GIR_EraseRootFromParent_Done,
     /*  137800 */   // Label 2483: @137800
     /*  137800 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(137866), // Rule ID 71251 //
     /*  137805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137847 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137864 */     GIR_RootConstrainSelectedInstOperands,
     /*  137865 */     // GIR_Coverage, 71251,
     /*  137865 */     GIR_EraseRootFromParent_Done,
     /*  137866 */   // Label 2484: @137866
     /*  137866 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(137932), // Rule ID 71252 //
     /*  137871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137913 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137930 */     GIR_RootConstrainSelectedInstOperands,
     /*  137931 */     // GIR_Coverage, 71252,
     /*  137931 */     GIR_EraseRootFromParent_Done,
     /*  137932 */   // Label 2485: @137932
     /*  137932 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(138001), // Rule ID 53037 //
     /*  137937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137980 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137999 */     GIR_RootConstrainSelectedInstOperands,
     /*  138000 */     // GIR_Coverage, 53037,
     /*  138000 */     GIR_EraseRootFromParent_Done,
     /*  138001 */   // Label 2486: @138001
     /*  138001 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(138070), // Rule ID 53038 //
     /*  138006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138049 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138068 */     GIR_RootConstrainSelectedInstOperands,
     /*  138069 */     // GIR_Coverage, 53038,
     /*  138069 */     GIR_EraseRootFromParent_Done,
     /*  138070 */   // Label 2487: @138070
     /*  138070 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(138139), // Rule ID 71247 //
     /*  138075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138111 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138118 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138137 */     GIR_RootConstrainSelectedInstOperands,
     /*  138138 */     // GIR_Coverage, 71247,
     /*  138138 */     GIR_EraseRootFromParent_Done,
     /*  138139 */   // Label 2488: @138139
     /*  138139 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(138208), // Rule ID 71248 //
     /*  138144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138187 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138206 */     GIR_RootConstrainSelectedInstOperands,
     /*  138207 */     // GIR_Coverage, 71248,
     /*  138207 */     GIR_EraseRootFromParent_Done,
     /*  138208 */   // Label 2489: @138208
     /*  138208 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(138277), // Rule ID 71249 //
     /*  138213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138256 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138275 */     GIR_RootConstrainSelectedInstOperands,
     /*  138276 */     // GIR_Coverage, 71249,
     /*  138276 */     GIR_EraseRootFromParent_Done,
     /*  138277 */   // Label 2490: @138277
     /*  138277 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(138346), // Rule ID 71250 //
     /*  138282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138325 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138344 */     GIR_RootConstrainSelectedInstOperands,
     /*  138345 */     // GIR_Coverage, 71250,
     /*  138345 */     GIR_EraseRootFromParent_Done,
     /*  138346 */   // Label 2491: @138346
     /*  138346 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(138415), // Rule ID 71255 //
     /*  138351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138394 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138413 */     GIR_RootConstrainSelectedInstOperands,
     /*  138414 */     // GIR_Coverage, 71255,
     /*  138414 */     GIR_EraseRootFromParent_Done,
     /*  138415 */   // Label 2492: @138415
     /*  138415 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(138484), // Rule ID 71256 //
     /*  138420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138463 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138482 */     GIR_RootConstrainSelectedInstOperands,
     /*  138483 */     // GIR_Coverage, 71256,
     /*  138483 */     GIR_EraseRootFromParent_Done,
     /*  138484 */   // Label 2493: @138484
     /*  138484 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(138550), // Rule ID 71259 //
     /*  138489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138531 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138548 */     GIR_RootConstrainSelectedInstOperands,
     /*  138549 */     // GIR_Coverage, 71259,
     /*  138549 */     GIR_EraseRootFromParent_Done,
     /*  138550 */   // Label 2494: @138550
     /*  138550 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(138616), // Rule ID 71260 //
     /*  138555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138597 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138614 */     GIR_RootConstrainSelectedInstOperands,
     /*  138615 */     // GIR_Coverage, 71260,
     /*  138615 */     GIR_EraseRootFromParent_Done,
     /*  138616 */   // Label 2495: @138616
     /*  138616 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(138682), // Rule ID 71257 //
     /*  138621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138663 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138680 */     GIR_RootConstrainSelectedInstOperands,
     /*  138681 */     // GIR_Coverage, 71257,
     /*  138681 */     GIR_EraseRootFromParent_Done,
     /*  138682 */   // Label 2496: @138682
     /*  138682 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(138748), // Rule ID 71258 //
     /*  138687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138729 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138746 */     GIR_RootConstrainSelectedInstOperands,
     /*  138747 */     // GIR_Coverage, 71258,
     /*  138747 */     GIR_EraseRootFromParent_Done,
     /*  138748 */   // Label 2497: @138748
     /*  138748 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(138791), // Rule ID 71273 //
     /*  138753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138774 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138789 */     GIR_RootConstrainSelectedInstOperands,
     /*  138790 */     // GIR_Coverage, 71273,
     /*  138790 */     GIR_EraseRootFromParent_Done,
     /*  138791 */   // Label 2498: @138791
     /*  138791 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(138834), // Rule ID 71274 //
     /*  138796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138817 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138832 */     GIR_RootConstrainSelectedInstOperands,
     /*  138833 */     // GIR_Coverage, 71274,
     /*  138833 */     GIR_EraseRootFromParent_Done,
     /*  138834 */   // Label 2499: @138834
     /*  138834 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(138877), // Rule ID 53043 //
     /*  138839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138860 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138875 */     GIR_RootConstrainSelectedInstOperands,
     /*  138876 */     // GIR_Coverage, 53043,
     /*  138876 */     GIR_EraseRootFromParent_Done,
     /*  138877 */   // Label 2500: @138877
     /*  138877 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(138920), // Rule ID 53044 //
     /*  138882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138903 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138918 */     GIR_RootConstrainSelectedInstOperands,
     /*  138919 */     // GIR_Coverage, 53044,
     /*  138919 */     GIR_EraseRootFromParent_Done,
     /*  138920 */   // Label 2501: @138920
     /*  138920 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(138953), // Rule ID 53031 //
     /*  138925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138936 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138951 */     GIR_RootConstrainSelectedInstOperands,
     /*  138952 */     // GIR_Coverage, 53031,
     /*  138952 */     GIR_EraseRootFromParent_Done,
     /*  138953 */   // Label 2502: @138953
     /*  138953 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(138986), // Rule ID 53032 //
     /*  138958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138969 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138984 */     GIR_RootConstrainSelectedInstOperands,
     /*  138985 */     // GIR_Coverage, 53032,
     /*  138985 */     GIR_EraseRootFromParent_Done,
     /*  138986 */   // Label 2503: @138986
     /*  138986 */   GIM_Reject,
     /*  138987 */ // Label 2477: @138987
     /*  138987 */ GIM_Reject,
     /*  138988 */ // Label 2428: @138988
     /*  138988 */ GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(139102),
     /*  138993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  138996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139011 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(139056), // Rule ID 47783 //
     /*  139016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139019 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139054 */     GIR_RootConstrainSelectedInstOperands,
     /*  139055 */     // GIR_Coverage, 47783,
     /*  139055 */     GIR_EraseRootFromParent_Done,
     /*  139056 */   // Label 2505: @139056
     /*  139056 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(139101), // Rule ID 47784 //
     /*  139061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139064 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139099 */     GIR_RootConstrainSelectedInstOperands,
     /*  139100 */     // GIR_Coverage, 47784,
     /*  139100 */     GIR_EraseRootFromParent_Done,
     /*  139101 */   // Label 2506: @139101
     /*  139101 */   GIM_Reject,
     /*  139102 */ // Label 2504: @139102
     /*  139102 */ GIM_Reject,
     /*  139103 */ // Label 2429: @139103
     /*  139103 */ GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(139217),
     /*  139108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  139111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  139114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139126 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(139171), // Rule ID 47795 //
     /*  139131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139134 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139169 */     GIR_RootConstrainSelectedInstOperands,
     /*  139170 */     // GIR_Coverage, 47795,
     /*  139170 */     GIR_EraseRootFromParent_Done,
     /*  139171 */   // Label 2508: @139171
     /*  139171 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(139216), // Rule ID 47796 //
     /*  139176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139179 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139214 */     GIR_RootConstrainSelectedInstOperands,
     /*  139215 */     // GIR_Coverage, 47796,
     /*  139215 */     GIR_EraseRootFromParent_Done,
     /*  139216 */   // Label 2509: @139216
     /*  139216 */   GIM_Reject,
     /*  139217 */ // Label 2507: @139217
     /*  139217 */ GIM_Reject,
     /*  139218 */ // Label 2430: @139218
     /*  139218 */ GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(139332),
     /*  139223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  139226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139241 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(139286), // Rule ID 47803 //
     /*  139246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139249 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  139249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139284 */     GIR_RootConstrainSelectedInstOperands,
     /*  139285 */     // GIR_Coverage, 47803,
     /*  139285 */     GIR_EraseRootFromParent_Done,
     /*  139286 */   // Label 2511: @139286
     /*  139286 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(139331), // Rule ID 47804 //
     /*  139291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139294 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  139294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139329 */     GIR_RootConstrainSelectedInstOperands,
     /*  139330 */     // GIR_Coverage, 47804,
     /*  139330 */     GIR_EraseRootFromParent_Done,
     /*  139331 */   // Label 2512: @139331
     /*  139331 */   GIM_Reject,
     /*  139332 */ // Label 2510: @139332
     /*  139332 */ GIM_Reject,
     /*  139333 */ // Label 2431: @139333
     /*  139333 */ GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(139447),
     /*  139338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  139341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139356 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(139401), // Rule ID 47819 //
     /*  139361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  139364 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  139364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139399 */     GIR_RootConstrainSelectedInstOperands,
     /*  139400 */     // GIR_Coverage, 47819,
     /*  139400 */     GIR_EraseRootFromParent_Done,
     /*  139401 */   // Label 2514: @139401
     /*  139401 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(139446), // Rule ID 47820 //
     /*  139406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  139409 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  139409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139444 */     GIR_RootConstrainSelectedInstOperands,
     /*  139445 */     // GIR_Coverage, 47820,
     /*  139445 */     GIR_EraseRootFromParent_Done,
     /*  139446 */   // Label 2515: @139446
     /*  139446 */   GIM_Reject,
     /*  139447 */ // Label 2513: @139447
     /*  139447 */ GIM_Reject,
     /*  139448 */ // Label 2432: @139448
     /*  139448 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(141058),
     /*  139453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139463 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(139532), // Rule ID 53051 //
     /*  139468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139511 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139530 */     GIR_RootConstrainSelectedInstOperands,
     /*  139531 */     // GIR_Coverage, 53051,
     /*  139531 */     GIR_EraseRootFromParent_Done,
     /*  139532 */   // Label 2517: @139532
     /*  139532 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(139601), // Rule ID 53052 //
     /*  139537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139580 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139599 */     GIR_RootConstrainSelectedInstOperands,
     /*  139600 */     // GIR_Coverage, 53052,
     /*  139600 */     GIR_EraseRootFromParent_Done,
     /*  139601 */   // Label 2518: @139601
     /*  139601 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(139670), // Rule ID 53053 //
     /*  139606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139649 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139668 */     GIR_RootConstrainSelectedInstOperands,
     /*  139669 */     // GIR_Coverage, 53053,
     /*  139669 */     GIR_EraseRootFromParent_Done,
     /*  139670 */   // Label 2519: @139670
     /*  139670 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(139739), // Rule ID 53054 //
     /*  139675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139718 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139737 */     GIR_RootConstrainSelectedInstOperands,
     /*  139738 */     // GIR_Coverage, 53054,
     /*  139738 */     GIR_EraseRootFromParent_Done,
     /*  139739 */   // Label 2520: @139739
     /*  139739 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(139805), // Rule ID 71281 //
     /*  139744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139786 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139803 */     GIR_RootConstrainSelectedInstOperands,
     /*  139804 */     // GIR_Coverage, 71281,
     /*  139804 */     GIR_EraseRootFromParent_Done,
     /*  139805 */   // Label 2521: @139805
     /*  139805 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(139871), // Rule ID 71282 //
     /*  139810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139852 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139869 */     GIR_RootConstrainSelectedInstOperands,
     /*  139870 */     // GIR_Coverage, 71282,
     /*  139870 */     GIR_EraseRootFromParent_Done,
     /*  139871 */   // Label 2522: @139871
     /*  139871 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(139937), // Rule ID 71279 //
     /*  139876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139918 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139935 */     GIR_RootConstrainSelectedInstOperands,
     /*  139936 */     // GIR_Coverage, 71279,
     /*  139936 */     GIR_EraseRootFromParent_Done,
     /*  139937 */   // Label 2523: @139937
     /*  139937 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(140003), // Rule ID 71280 //
     /*  139942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139984 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140001 */     GIR_RootConstrainSelectedInstOperands,
     /*  140002 */     // GIR_Coverage, 71280,
     /*  140002 */     GIR_EraseRootFromParent_Done,
     /*  140003 */   // Label 2524: @140003
     /*  140003 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(140072), // Rule ID 53055 //
     /*  140008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140051 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140070 */     GIR_RootConstrainSelectedInstOperands,
     /*  140071 */     // GIR_Coverage, 53055,
     /*  140071 */     GIR_EraseRootFromParent_Done,
     /*  140072 */   // Label 2525: @140072
     /*  140072 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(140141), // Rule ID 53056 //
     /*  140077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140120 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140139 */     GIR_RootConstrainSelectedInstOperands,
     /*  140140 */     // GIR_Coverage, 53056,
     /*  140140 */     GIR_EraseRootFromParent_Done,
     /*  140141 */   // Label 2526: @140141
     /*  140141 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(140210), // Rule ID 71275 //
     /*  140146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140189 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140208 */     GIR_RootConstrainSelectedInstOperands,
     /*  140209 */     // GIR_Coverage, 71275,
     /*  140209 */     GIR_EraseRootFromParent_Done,
     /*  140210 */   // Label 2527: @140210
     /*  140210 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(140279), // Rule ID 71276 //
     /*  140215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140258 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140277 */     GIR_RootConstrainSelectedInstOperands,
     /*  140278 */     // GIR_Coverage, 71276,
     /*  140278 */     GIR_EraseRootFromParent_Done,
     /*  140279 */   // Label 2528: @140279
     /*  140279 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(140348), // Rule ID 71277 //
     /*  140284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140311 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140327 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140346 */     GIR_RootConstrainSelectedInstOperands,
     /*  140347 */     // GIR_Coverage, 71277,
     /*  140347 */     GIR_EraseRootFromParent_Done,
     /*  140348 */   // Label 2529: @140348
     /*  140348 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(140417), // Rule ID 71278 //
     /*  140353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140380 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140396 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140415 */     GIR_RootConstrainSelectedInstOperands,
     /*  140416 */     // GIR_Coverage, 71278,
     /*  140416 */     GIR_EraseRootFromParent_Done,
     /*  140417 */   // Label 2530: @140417
     /*  140417 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(140486), // Rule ID 71283 //
     /*  140422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140465 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140484 */     GIR_RootConstrainSelectedInstOperands,
     /*  140485 */     // GIR_Coverage, 71283,
     /*  140485 */     GIR_EraseRootFromParent_Done,
     /*  140486 */   // Label 2531: @140486
     /*  140486 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(140555), // Rule ID 71284 //
     /*  140491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140518 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140534 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140553 */     GIR_RootConstrainSelectedInstOperands,
     /*  140554 */     // GIR_Coverage, 71284,
     /*  140554 */     GIR_EraseRootFromParent_Done,
     /*  140555 */   // Label 2532: @140555
     /*  140555 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(140621), // Rule ID 71287 //
     /*  140560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140602 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140619 */     GIR_RootConstrainSelectedInstOperands,
     /*  140620 */     // GIR_Coverage, 71287,
     /*  140620 */     GIR_EraseRootFromParent_Done,
     /*  140621 */   // Label 2533: @140621
     /*  140621 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(140687), // Rule ID 71288 //
     /*  140626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140668 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140685 */     GIR_RootConstrainSelectedInstOperands,
     /*  140686 */     // GIR_Coverage, 71288,
     /*  140686 */     GIR_EraseRootFromParent_Done,
     /*  140687 */   // Label 2534: @140687
     /*  140687 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(140753), // Rule ID 71285 //
     /*  140692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140734 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140751 */     GIR_RootConstrainSelectedInstOperands,
     /*  140752 */     // GIR_Coverage, 71285,
     /*  140752 */     GIR_EraseRootFromParent_Done,
     /*  140753 */   // Label 2535: @140753
     /*  140753 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(140819), // Rule ID 71286 //
     /*  140758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140800 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140817 */     GIR_RootConstrainSelectedInstOperands,
     /*  140818 */     // GIR_Coverage, 71286,
     /*  140818 */     GIR_EraseRootFromParent_Done,
     /*  140819 */   // Label 2536: @140819
     /*  140819 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(140862), // Rule ID 71301 //
     /*  140824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140845 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140860 */     GIR_RootConstrainSelectedInstOperands,
     /*  140861 */     // GIR_Coverage, 71301,
     /*  140861 */     GIR_EraseRootFromParent_Done,
     /*  140862 */   // Label 2537: @140862
     /*  140862 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(140905), // Rule ID 71302 //
     /*  140867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140888 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140903 */     GIR_RootConstrainSelectedInstOperands,
     /*  140904 */     // GIR_Coverage, 71302,
     /*  140904 */     GIR_EraseRootFromParent_Done,
     /*  140905 */   // Label 2538: @140905
     /*  140905 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(140948), // Rule ID 53061 //
     /*  140910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140931 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140946 */     GIR_RootConstrainSelectedInstOperands,
     /*  140947 */     // GIR_Coverage, 53061,
     /*  140947 */     GIR_EraseRootFromParent_Done,
     /*  140948 */   // Label 2539: @140948
     /*  140948 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(140991), // Rule ID 53062 //
     /*  140953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140974 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140989 */     GIR_RootConstrainSelectedInstOperands,
     /*  140990 */     // GIR_Coverage, 53062,
     /*  140990 */     GIR_EraseRootFromParent_Done,
     /*  140991 */   // Label 2540: @140991
     /*  140991 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141024), // Rule ID 53049 //
     /*  140996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141007 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141022 */     GIR_RootConstrainSelectedInstOperands,
     /*  141023 */     // GIR_Coverage, 53049,
     /*  141023 */     GIR_EraseRootFromParent_Done,
     /*  141024 */   // Label 2541: @141024
     /*  141024 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141057), // Rule ID 53050 //
     /*  141029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141040 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141055 */     GIR_RootConstrainSelectedInstOperands,
     /*  141056 */     // GIR_Coverage, 53050,
     /*  141056 */     GIR_EraseRootFromParent_Done,
     /*  141057 */   // Label 2542: @141057
     /*  141057 */   GIM_Reject,
     /*  141058 */ // Label 2516: @141058
     /*  141058 */ GIM_Reject,
     /*  141059 */ // Label 2433: @141059
     /*  141059 */ GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141173),
     /*  141064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  141067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141082 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141127), // Rule ID 47787 //
     /*  141087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141090 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  141090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141125 */     GIR_RootConstrainSelectedInstOperands,
     /*  141126 */     // GIR_Coverage, 47787,
     /*  141126 */     GIR_EraseRootFromParent_Done,
     /*  141127 */   // Label 2544: @141127
     /*  141127 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(141172), // Rule ID 47788 //
     /*  141132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141135 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  141135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141170 */     GIR_RootConstrainSelectedInstOperands,
     /*  141171 */     // GIR_Coverage, 47788,
     /*  141171 */     GIR_EraseRootFromParent_Done,
     /*  141172 */   // Label 2545: @141172
     /*  141172 */   GIM_Reject,
     /*  141173 */ // Label 2543: @141173
     /*  141173 */ GIM_Reject,
     /*  141174 */ // Label 2434: @141174
     /*  141174 */ GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(141288),
     /*  141179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  141182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  141185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141197 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(141242), // Rule ID 47799 //
     /*  141202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141205 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  141205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141240 */     GIR_RootConstrainSelectedInstOperands,
     /*  141241 */     // GIR_Coverage, 47799,
     /*  141241 */     GIR_EraseRootFromParent_Done,
     /*  141242 */   // Label 2547: @141242
     /*  141242 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(141287), // Rule ID 47800 //
     /*  141247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141250 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  141250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141285 */     GIR_RootConstrainSelectedInstOperands,
     /*  141286 */     // GIR_Coverage, 47800,
     /*  141286 */     GIR_EraseRootFromParent_Done,
     /*  141287 */   // Label 2548: @141287
     /*  141287 */   GIM_Reject,
     /*  141288 */ // Label 2546: @141288
     /*  141288 */ GIM_Reject,
     /*  141289 */ // Label 2435: @141289
     /*  141289 */ GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(141403),
     /*  141294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  141297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  141300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141312 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(141357), // Rule ID 47815 //
     /*  141317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141320 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  141320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141355 */     GIR_RootConstrainSelectedInstOperands,
     /*  141356 */     // GIR_Coverage, 47815,
     /*  141356 */     GIR_EraseRootFromParent_Done,
     /*  141357 */   // Label 2550: @141357
     /*  141357 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(141402), // Rule ID 47816 //
     /*  141362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141365 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  141365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141400 */     GIR_RootConstrainSelectedInstOperands,
     /*  141401 */     // GIR_Coverage, 47816,
     /*  141401 */     GIR_EraseRootFromParent_Done,
     /*  141402 */   // Label 2551: @141402
     /*  141402 */   GIM_Reject,
     /*  141403 */ // Label 2549: @141403
     /*  141403 */ GIM_Reject,
     /*  141404 */ // Label 2436: @141404
     /*  141404 */ GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(141518),
     /*  141409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  141412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141427 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(141472), // Rule ID 47859 //
     /*  141432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141435 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  141435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141470 */     GIR_RootConstrainSelectedInstOperands,
     /*  141471 */     // GIR_Coverage, 47859,
     /*  141471 */     GIR_EraseRootFromParent_Done,
     /*  141472 */   // Label 2553: @141472
     /*  141472 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(141517), // Rule ID 47860 //
     /*  141477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141480 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  141480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141515 */     GIR_RootConstrainSelectedInstOperands,
     /*  141516 */     // GIR_Coverage, 47860,
     /*  141516 */     GIR_EraseRootFromParent_Done,
     /*  141517 */   // Label 2554: @141517
     /*  141517 */   GIM_Reject,
     /*  141518 */ // Label 2552: @141518
     /*  141518 */ GIM_Reject,
     /*  141519 */ // Label 2437: @141519
     /*  141519 */ GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(143129),
     /*  141524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141534 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(141603), // Rule ID 53069 //
     /*  141539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141582 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141601 */     GIR_RootConstrainSelectedInstOperands,
     /*  141602 */     // GIR_Coverage, 53069,
     /*  141602 */     GIR_EraseRootFromParent_Done,
     /*  141603 */   // Label 2556: @141603
     /*  141603 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(141672), // Rule ID 53070 //
     /*  141608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141651 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141670 */     GIR_RootConstrainSelectedInstOperands,
     /*  141671 */     // GIR_Coverage, 53070,
     /*  141671 */     GIR_EraseRootFromParent_Done,
     /*  141672 */   // Label 2557: @141672
     /*  141672 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(141741), // Rule ID 53071 //
     /*  141677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141720 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141739 */     GIR_RootConstrainSelectedInstOperands,
     /*  141740 */     // GIR_Coverage, 53071,
     /*  141740 */     GIR_EraseRootFromParent_Done,
     /*  141741 */   // Label 2558: @141741
     /*  141741 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(141810), // Rule ID 53072 //
     /*  141746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141789 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141808 */     GIR_RootConstrainSelectedInstOperands,
     /*  141809 */     // GIR_Coverage, 53072,
     /*  141809 */     GIR_EraseRootFromParent_Done,
     /*  141810 */   // Label 2559: @141810
     /*  141810 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(141876), // Rule ID 71309 //
     /*  141815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141857 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141874 */     GIR_RootConstrainSelectedInstOperands,
     /*  141875 */     // GIR_Coverage, 71309,
     /*  141875 */     GIR_EraseRootFromParent_Done,
     /*  141876 */   // Label 2560: @141876
     /*  141876 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(141942), // Rule ID 71310 //
     /*  141881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141923 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141940 */     GIR_RootConstrainSelectedInstOperands,
     /*  141941 */     // GIR_Coverage, 71310,
     /*  141941 */     GIR_EraseRootFromParent_Done,
     /*  141942 */   // Label 2561: @141942
     /*  141942 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142008), // Rule ID 71307 //
     /*  141947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141989 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142006 */     GIR_RootConstrainSelectedInstOperands,
     /*  142007 */     // GIR_Coverage, 71307,
     /*  142007 */     GIR_EraseRootFromParent_Done,
     /*  142008 */   // Label 2562: @142008
     /*  142008 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(142074), // Rule ID 71308 //
     /*  142013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142055 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142072 */     GIR_RootConstrainSelectedInstOperands,
     /*  142073 */     // GIR_Coverage, 71308,
     /*  142073 */     GIR_EraseRootFromParent_Done,
     /*  142074 */   // Label 2563: @142074
     /*  142074 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(142143), // Rule ID 53073 //
     /*  142079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142122 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142141 */     GIR_RootConstrainSelectedInstOperands,
     /*  142142 */     // GIR_Coverage, 53073,
     /*  142142 */     GIR_EraseRootFromParent_Done,
     /*  142143 */   // Label 2564: @142143
     /*  142143 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(142212), // Rule ID 53074 //
     /*  142148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142191 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142210 */     GIR_RootConstrainSelectedInstOperands,
     /*  142211 */     // GIR_Coverage, 53074,
     /*  142211 */     GIR_EraseRootFromParent_Done,
     /*  142212 */   // Label 2565: @142212
     /*  142212 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(142281), // Rule ID 71303 //
     /*  142217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142260 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142279 */     GIR_RootConstrainSelectedInstOperands,
     /*  142280 */     // GIR_Coverage, 71303,
     /*  142280 */     GIR_EraseRootFromParent_Done,
     /*  142281 */   // Label 2566: @142281
     /*  142281 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(142350), // Rule ID 71304 //
     /*  142286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142329 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142348 */     GIR_RootConstrainSelectedInstOperands,
     /*  142349 */     // GIR_Coverage, 71304,
     /*  142349 */     GIR_EraseRootFromParent_Done,
     /*  142350 */   // Label 2567: @142350
     /*  142350 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(142419), // Rule ID 71305 //
     /*  142355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142398 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142417 */     GIR_RootConstrainSelectedInstOperands,
     /*  142418 */     // GIR_Coverage, 71305,
     /*  142418 */     GIR_EraseRootFromParent_Done,
     /*  142419 */   // Label 2568: @142419
     /*  142419 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(142488), // Rule ID 71306 //
     /*  142424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142467 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142486 */     GIR_RootConstrainSelectedInstOperands,
     /*  142487 */     // GIR_Coverage, 71306,
     /*  142487 */     GIR_EraseRootFromParent_Done,
     /*  142488 */   // Label 2569: @142488
     /*  142488 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(142557), // Rule ID 71311 //
     /*  142493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142520 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142536 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142555 */     GIR_RootConstrainSelectedInstOperands,
     /*  142556 */     // GIR_Coverage, 71311,
     /*  142556 */     GIR_EraseRootFromParent_Done,
     /*  142557 */   // Label 2570: @142557
     /*  142557 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(142626), // Rule ID 71312 //
     /*  142562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142605 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142624 */     GIR_RootConstrainSelectedInstOperands,
     /*  142625 */     // GIR_Coverage, 71312,
     /*  142625 */     GIR_EraseRootFromParent_Done,
     /*  142626 */   // Label 2571: @142626
     /*  142626 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(142692), // Rule ID 71315 //
     /*  142631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142673 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142690 */     GIR_RootConstrainSelectedInstOperands,
     /*  142691 */     // GIR_Coverage, 71315,
     /*  142691 */     GIR_EraseRootFromParent_Done,
     /*  142692 */   // Label 2572: @142692
     /*  142692 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(142758), // Rule ID 71316 //
     /*  142697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142739 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142756 */     GIR_RootConstrainSelectedInstOperands,
     /*  142757 */     // GIR_Coverage, 71316,
     /*  142757 */     GIR_EraseRootFromParent_Done,
     /*  142758 */   // Label 2573: @142758
     /*  142758 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(142824), // Rule ID 71313 //
     /*  142763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142805 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142822 */     GIR_RootConstrainSelectedInstOperands,
     /*  142823 */     // GIR_Coverage, 71313,
     /*  142823 */     GIR_EraseRootFromParent_Done,
     /*  142824 */   // Label 2574: @142824
     /*  142824 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(142890), // Rule ID 71314 //
     /*  142829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142871 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142888 */     GIR_RootConstrainSelectedInstOperands,
     /*  142889 */     // GIR_Coverage, 71314,
     /*  142889 */     GIR_EraseRootFromParent_Done,
     /*  142890 */   // Label 2575: @142890
     /*  142890 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(142933), // Rule ID 71329 //
     /*  142895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142916 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142931 */     GIR_RootConstrainSelectedInstOperands,
     /*  142932 */     // GIR_Coverage, 71329,
     /*  142932 */     GIR_EraseRootFromParent_Done,
     /*  142933 */   // Label 2576: @142933
     /*  142933 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(142976), // Rule ID 71330 //
     /*  142938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142959 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142974 */     GIR_RootConstrainSelectedInstOperands,
     /*  142975 */     // GIR_Coverage, 71330,
     /*  142975 */     GIR_EraseRootFromParent_Done,
     /*  142976 */   // Label 2577: @142976
     /*  142976 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143019), // Rule ID 53079 //
     /*  142981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143002 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143017 */     GIR_RootConstrainSelectedInstOperands,
     /*  143018 */     // GIR_Coverage, 53079,
     /*  143018 */     GIR_EraseRootFromParent_Done,
     /*  143019 */   // Label 2578: @143019
     /*  143019 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143062), // Rule ID 53080 //
     /*  143024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143045 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143060 */     GIR_RootConstrainSelectedInstOperands,
     /*  143061 */     // GIR_Coverage, 53080,
     /*  143061 */     GIR_EraseRootFromParent_Done,
     /*  143062 */   // Label 2579: @143062
     /*  143062 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143095), // Rule ID 53067 //
     /*  143067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143078 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143093 */     GIR_RootConstrainSelectedInstOperands,
     /*  143094 */     // GIR_Coverage, 53067,
     /*  143094 */     GIR_EraseRootFromParent_Done,
     /*  143095 */   // Label 2580: @143095
     /*  143095 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143128), // Rule ID 53068 //
     /*  143100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143111 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143126 */     GIR_RootConstrainSelectedInstOperands,
     /*  143127 */     // GIR_Coverage, 53068,
     /*  143127 */     GIR_EraseRootFromParent_Done,
     /*  143128 */   // Label 2581: @143128
     /*  143128 */   GIM_Reject,
     /*  143129 */ // Label 2555: @143129
     /*  143129 */ GIM_Reject,
     /*  143130 */ // Label 2438: @143130
     /*  143130 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(143244),
     /*  143135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  143138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  143141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143153 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(143198), // Rule ID 47791 //
     /*  143158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143161 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143196 */     GIR_RootConstrainSelectedInstOperands,
     /*  143197 */     // GIR_Coverage, 47791,
     /*  143197 */     GIR_EraseRootFromParent_Done,
     /*  143198 */   // Label 2583: @143198
     /*  143198 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(143243), // Rule ID 47792 //
     /*  143203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143206 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143241 */     GIR_RootConstrainSelectedInstOperands,
     /*  143242 */     // GIR_Coverage, 47792,
     /*  143242 */     GIR_EraseRootFromParent_Done,
     /*  143243 */   // Label 2584: @143243
     /*  143243 */   GIM_Reject,
     /*  143244 */ // Label 2582: @143244
     /*  143244 */ GIM_Reject,
     /*  143245 */ // Label 2439: @143245
     /*  143245 */ GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(143359),
     /*  143250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  143253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  143256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143268 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(143313), // Rule ID 47811 //
     /*  143273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143276 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143311 */     GIR_RootConstrainSelectedInstOperands,
     /*  143312 */     // GIR_Coverage, 47811,
     /*  143312 */     GIR_EraseRootFromParent_Done,
     /*  143313 */   // Label 2586: @143313
     /*  143313 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(143358), // Rule ID 47812 //
     /*  143318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143321 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143356 */     GIR_RootConstrainSelectedInstOperands,
     /*  143357 */     // GIR_Coverage, 47812,
     /*  143357 */     GIR_EraseRootFromParent_Done,
     /*  143358 */   // Label 2587: @143358
     /*  143358 */   GIM_Reject,
     /*  143359 */ // Label 2585: @143359
     /*  143359 */ GIM_Reject,
     /*  143360 */ // Label 2440: @143360
     /*  143360 */ GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(143474),
     /*  143365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  143368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  143371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143383 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(143428), // Rule ID 47847 //
     /*  143388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143391 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143426 */     GIR_RootConstrainSelectedInstOperands,
     /*  143427 */     // GIR_Coverage, 47847,
     /*  143427 */     GIR_EraseRootFromParent_Done,
     /*  143428 */   // Label 2589: @143428
     /*  143428 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(143473), // Rule ID 47848 //
     /*  143433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143436 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143471 */     GIR_RootConstrainSelectedInstOperands,
     /*  143472 */     // GIR_Coverage, 47848,
     /*  143472 */     GIR_EraseRootFromParent_Done,
     /*  143473 */   // Label 2590: @143473
     /*  143473 */   GIM_Reject,
     /*  143474 */ // Label 2588: @143474
     /*  143474 */ GIM_Reject,
     /*  143475 */ // Label 2441: @143475
     /*  143475 */ GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(143589),
     /*  143480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  143483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  143486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143498 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(143543), // Rule ID 47863 //
     /*  143503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143506 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143541 */     GIR_RootConstrainSelectedInstOperands,
     /*  143542 */     // GIR_Coverage, 47863,
     /*  143542 */     GIR_EraseRootFromParent_Done,
     /*  143543 */   // Label 2592: @143543
     /*  143543 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(143588), // Rule ID 47864 //
     /*  143548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143551 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143586 */     GIR_RootConstrainSelectedInstOperands,
     /*  143587 */     // GIR_Coverage, 47864,
     /*  143587 */     GIR_EraseRootFromParent_Done,
     /*  143588 */   // Label 2593: @143588
     /*  143588 */   GIM_Reject,
     /*  143589 */ // Label 2591: @143589
     /*  143589 */ GIM_Reject,
     /*  143590 */ // Label 2442: @143590
     /*  143590 */ GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(145200),
     /*  143595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143605 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(143674), // Rule ID 53087 //
     /*  143610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143653 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143672 */     GIR_RootConstrainSelectedInstOperands,
     /*  143673 */     // GIR_Coverage, 53087,
     /*  143673 */     GIR_EraseRootFromParent_Done,
     /*  143674 */   // Label 2595: @143674
     /*  143674 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(143743), // Rule ID 53088 //
     /*  143679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143722 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143741 */     GIR_RootConstrainSelectedInstOperands,
     /*  143742 */     // GIR_Coverage, 53088,
     /*  143742 */     GIR_EraseRootFromParent_Done,
     /*  143743 */   // Label 2596: @143743
     /*  143743 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(143812), // Rule ID 53089 //
     /*  143748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143791 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143810 */     GIR_RootConstrainSelectedInstOperands,
     /*  143811 */     // GIR_Coverage, 53089,
     /*  143811 */     GIR_EraseRootFromParent_Done,
     /*  143812 */   // Label 2597: @143812
     /*  143812 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(143881), // Rule ID 53090 //
     /*  143817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143860 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143879 */     GIR_RootConstrainSelectedInstOperands,
     /*  143880 */     // GIR_Coverage, 53090,
     /*  143880 */     GIR_EraseRootFromParent_Done,
     /*  143881 */   // Label 2598: @143881
     /*  143881 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(143947), // Rule ID 71337 //
     /*  143886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143928 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143945 */     GIR_RootConstrainSelectedInstOperands,
     /*  143946 */     // GIR_Coverage, 71337,
     /*  143946 */     GIR_EraseRootFromParent_Done,
     /*  143947 */   // Label 2599: @143947
     /*  143947 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(144013), // Rule ID 71338 //
     /*  143952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143994 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144011 */     GIR_RootConstrainSelectedInstOperands,
     /*  144012 */     // GIR_Coverage, 71338,
     /*  144012 */     GIR_EraseRootFromParent_Done,
     /*  144013 */   // Label 2600: @144013
     /*  144013 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(144079), // Rule ID 71335 //
     /*  144018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144060 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144077 */     GIR_RootConstrainSelectedInstOperands,
     /*  144078 */     // GIR_Coverage, 71335,
     /*  144078 */     GIR_EraseRootFromParent_Done,
     /*  144079 */   // Label 2601: @144079
     /*  144079 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(144145), // Rule ID 71336 //
     /*  144084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144126 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144143 */     GIR_RootConstrainSelectedInstOperands,
     /*  144144 */     // GIR_Coverage, 71336,
     /*  144144 */     GIR_EraseRootFromParent_Done,
     /*  144145 */   // Label 2602: @144145
     /*  144145 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(144214), // Rule ID 53091 //
     /*  144150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144193 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144212 */     GIR_RootConstrainSelectedInstOperands,
     /*  144213 */     // GIR_Coverage, 53091,
     /*  144213 */     GIR_EraseRootFromParent_Done,
     /*  144214 */   // Label 2603: @144214
     /*  144214 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(144283), // Rule ID 53092 //
     /*  144219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144262 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144281 */     GIR_RootConstrainSelectedInstOperands,
     /*  144282 */     // GIR_Coverage, 53092,
     /*  144282 */     GIR_EraseRootFromParent_Done,
     /*  144283 */   // Label 2604: @144283
     /*  144283 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(144352), // Rule ID 71331 //
     /*  144288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144331 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144350 */     GIR_RootConstrainSelectedInstOperands,
     /*  144351 */     // GIR_Coverage, 71331,
     /*  144351 */     GIR_EraseRootFromParent_Done,
     /*  144352 */   // Label 2605: @144352
     /*  144352 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(144421), // Rule ID 71332 //
     /*  144357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144400 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144419 */     GIR_RootConstrainSelectedInstOperands,
     /*  144420 */     // GIR_Coverage, 71332,
     /*  144420 */     GIR_EraseRootFromParent_Done,
     /*  144421 */   // Label 2606: @144421
     /*  144421 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(144490), // Rule ID 71333 //
     /*  144426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144469 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144488 */     GIR_RootConstrainSelectedInstOperands,
     /*  144489 */     // GIR_Coverage, 71333,
     /*  144489 */     GIR_EraseRootFromParent_Done,
     /*  144490 */   // Label 2607: @144490
     /*  144490 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(144559), // Rule ID 71334 //
     /*  144495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144522 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144538 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144557 */     GIR_RootConstrainSelectedInstOperands,
     /*  144558 */     // GIR_Coverage, 71334,
     /*  144558 */     GIR_EraseRootFromParent_Done,
     /*  144559 */   // Label 2608: @144559
     /*  144559 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(144628), // Rule ID 71339 //
     /*  144564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144607 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144626 */     GIR_RootConstrainSelectedInstOperands,
     /*  144627 */     // GIR_Coverage, 71339,
     /*  144627 */     GIR_EraseRootFromParent_Done,
     /*  144628 */   // Label 2609: @144628
     /*  144628 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(144697), // Rule ID 71340 //
     /*  144633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144676 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144695 */     GIR_RootConstrainSelectedInstOperands,
     /*  144696 */     // GIR_Coverage, 71340,
     /*  144696 */     GIR_EraseRootFromParent_Done,
     /*  144697 */   // Label 2610: @144697
     /*  144697 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(144763), // Rule ID 71343 //
     /*  144702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144744 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144761 */     GIR_RootConstrainSelectedInstOperands,
     /*  144762 */     // GIR_Coverage, 71343,
     /*  144762 */     GIR_EraseRootFromParent_Done,
     /*  144763 */   // Label 2611: @144763
     /*  144763 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(144829), // Rule ID 71344 //
     /*  144768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144810 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144827 */     GIR_RootConstrainSelectedInstOperands,
     /*  144828 */     // GIR_Coverage, 71344,
     /*  144828 */     GIR_EraseRootFromParent_Done,
     /*  144829 */   // Label 2612: @144829
     /*  144829 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(144895), // Rule ID 71341 //
     /*  144834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144876 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144893 */     GIR_RootConstrainSelectedInstOperands,
     /*  144894 */     // GIR_Coverage, 71341,
     /*  144894 */     GIR_EraseRootFromParent_Done,
     /*  144895 */   // Label 2613: @144895
     /*  144895 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(144961), // Rule ID 71342 //
     /*  144900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144942 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144959 */     GIR_RootConstrainSelectedInstOperands,
     /*  144960 */     // GIR_Coverage, 71342,
     /*  144960 */     GIR_EraseRootFromParent_Done,
     /*  144961 */   // Label 2614: @144961
     /*  144961 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145004), // Rule ID 71357 //
     /*  144966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144987 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145002 */     GIR_RootConstrainSelectedInstOperands,
     /*  145003 */     // GIR_Coverage, 71357,
     /*  145003 */     GIR_EraseRootFromParent_Done,
     /*  145004 */   // Label 2615: @145004
     /*  145004 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145047), // Rule ID 71358 //
     /*  145009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145030 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145045 */     GIR_RootConstrainSelectedInstOperands,
     /*  145046 */     // GIR_Coverage, 71358,
     /*  145046 */     GIR_EraseRootFromParent_Done,
     /*  145047 */   // Label 2616: @145047
     /*  145047 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145090), // Rule ID 53097 //
     /*  145052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145073 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145088 */     GIR_RootConstrainSelectedInstOperands,
     /*  145089 */     // GIR_Coverage, 53097,
     /*  145089 */     GIR_EraseRootFromParent_Done,
     /*  145090 */   // Label 2617: @145090
     /*  145090 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145133), // Rule ID 53098 //
     /*  145095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145116 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145131 */     GIR_RootConstrainSelectedInstOperands,
     /*  145132 */     // GIR_Coverage, 53098,
     /*  145132 */     GIR_EraseRootFromParent_Done,
     /*  145133 */   // Label 2618: @145133
     /*  145133 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(145166), // Rule ID 53085 //
     /*  145138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145149 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145164 */     GIR_RootConstrainSelectedInstOperands,
     /*  145165 */     // GIR_Coverage, 53085,
     /*  145165 */     GIR_EraseRootFromParent_Done,
     /*  145166 */   // Label 2619: @145166
     /*  145166 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(145199), // Rule ID 53086 //
     /*  145171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145182 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145197 */     GIR_RootConstrainSelectedInstOperands,
     /*  145198 */     // GIR_Coverage, 53086,
     /*  145198 */     GIR_EraseRootFromParent_Done,
     /*  145199 */   // Label 2620: @145199
     /*  145199 */   GIM_Reject,
     /*  145200 */ // Label 2594: @145200
     /*  145200 */ GIM_Reject,
     /*  145201 */ // Label 2443: @145201
     /*  145201 */ GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(145315),
     /*  145206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  145209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  145212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145224 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(145269), // Rule ID 47807 //
     /*  145229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145232 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145267 */     GIR_RootConstrainSelectedInstOperands,
     /*  145268 */     // GIR_Coverage, 47807,
     /*  145268 */     GIR_EraseRootFromParent_Done,
     /*  145269 */   // Label 2622: @145269
     /*  145269 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(145314), // Rule ID 47808 //
     /*  145274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145277 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145312 */     GIR_RootConstrainSelectedInstOperands,
     /*  145313 */     // GIR_Coverage, 47808,
     /*  145313 */     GIR_EraseRootFromParent_Done,
     /*  145314 */   // Label 2623: @145314
     /*  145314 */   GIM_Reject,
     /*  145315 */ // Label 2621: @145315
     /*  145315 */ GIM_Reject,
     /*  145316 */ // Label 2444: @145316
     /*  145316 */ GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(145430),
     /*  145321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  145324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  145327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145339 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(145384), // Rule ID 47835 //
     /*  145344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145347 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145382 */     GIR_RootConstrainSelectedInstOperands,
     /*  145383 */     // GIR_Coverage, 47835,
     /*  145383 */     GIR_EraseRootFromParent_Done,
     /*  145384 */   // Label 2625: @145384
     /*  145384 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(145429), // Rule ID 47836 //
     /*  145389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145392 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145427 */     GIR_RootConstrainSelectedInstOperands,
     /*  145428 */     // GIR_Coverage, 47836,
     /*  145428 */     GIR_EraseRootFromParent_Done,
     /*  145429 */   // Label 2626: @145429
     /*  145429 */   GIM_Reject,
     /*  145430 */ // Label 2624: @145430
     /*  145430 */ GIM_Reject,
     /*  145431 */ // Label 2445: @145431
     /*  145431 */ GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(145545),
     /*  145436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  145439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  145442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145454 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(145499), // Rule ID 47851 //
     /*  145459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145462 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145497 */     GIR_RootConstrainSelectedInstOperands,
     /*  145498 */     // GIR_Coverage, 47851,
     /*  145498 */     GIR_EraseRootFromParent_Done,
     /*  145499 */   // Label 2628: @145499
     /*  145499 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(145544), // Rule ID 47852 //
     /*  145504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145507 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145542 */     GIR_RootConstrainSelectedInstOperands,
     /*  145543 */     // GIR_Coverage, 47852,
     /*  145543 */     GIR_EraseRootFromParent_Done,
     /*  145544 */   // Label 2629: @145544
     /*  145544 */   GIM_Reject,
     /*  145545 */ // Label 2627: @145545
     /*  145545 */ GIM_Reject,
     /*  145546 */ // Label 2446: @145546
     /*  145546 */ GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(145660),
     /*  145551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  145554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  145557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145569 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(145614), // Rule ID 47867 //
     /*  145574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145577 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145612 */     GIR_RootConstrainSelectedInstOperands,
     /*  145613 */     // GIR_Coverage, 47867,
     /*  145613 */     GIR_EraseRootFromParent_Done,
     /*  145614 */   // Label 2631: @145614
     /*  145614 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(145659), // Rule ID 47868 //
     /*  145619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145622 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145657 */     GIR_RootConstrainSelectedInstOperands,
     /*  145658 */     // GIR_Coverage, 47868,
     /*  145658 */     GIR_EraseRootFromParent_Done,
     /*  145659 */   // Label 2632: @145659
     /*  145659 */   GIM_Reject,
     /*  145660 */ // Label 2630: @145660
     /*  145660 */ GIM_Reject,
     /*  145661 */ // Label 2447: @145661
     /*  145661 */ GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(147271),
     /*  145666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145676 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(145745), // Rule ID 53105 //
     /*  145681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145724 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145743 */     GIR_RootConstrainSelectedInstOperands,
     /*  145744 */     // GIR_Coverage, 53105,
     /*  145744 */     GIR_EraseRootFromParent_Done,
     /*  145745 */   // Label 2634: @145745
     /*  145745 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(145814), // Rule ID 53106 //
     /*  145750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145793 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145812 */     GIR_RootConstrainSelectedInstOperands,
     /*  145813 */     // GIR_Coverage, 53106,
     /*  145813 */     GIR_EraseRootFromParent_Done,
     /*  145814 */   // Label 2635: @145814
     /*  145814 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(145883), // Rule ID 53107 //
     /*  145819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145862 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145881 */     GIR_RootConstrainSelectedInstOperands,
     /*  145882 */     // GIR_Coverage, 53107,
     /*  145882 */     GIR_EraseRootFromParent_Done,
     /*  145883 */   // Label 2636: @145883
     /*  145883 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(145952), // Rule ID 53108 //
     /*  145888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145931 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145950 */     GIR_RootConstrainSelectedInstOperands,
     /*  145951 */     // GIR_Coverage, 53108,
     /*  145951 */     GIR_EraseRootFromParent_Done,
     /*  145952 */   // Label 2637: @145952
     /*  145952 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(146018), // Rule ID 71365 //
     /*  145957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145999 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146016 */     GIR_RootConstrainSelectedInstOperands,
     /*  146017 */     // GIR_Coverage, 71365,
     /*  146017 */     GIR_EraseRootFromParent_Done,
     /*  146018 */   // Label 2638: @146018
     /*  146018 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(146084), // Rule ID 71366 //
     /*  146023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146065 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146082 */     GIR_RootConstrainSelectedInstOperands,
     /*  146083 */     // GIR_Coverage, 71366,
     /*  146083 */     GIR_EraseRootFromParent_Done,
     /*  146084 */   // Label 2639: @146084
     /*  146084 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(146150), // Rule ID 71363 //
     /*  146089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146131 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146148 */     GIR_RootConstrainSelectedInstOperands,
     /*  146149 */     // GIR_Coverage, 71363,
     /*  146149 */     GIR_EraseRootFromParent_Done,
     /*  146150 */   // Label 2640: @146150
     /*  146150 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(146216), // Rule ID 71364 //
     /*  146155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146197 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146214 */     GIR_RootConstrainSelectedInstOperands,
     /*  146215 */     // GIR_Coverage, 71364,
     /*  146215 */     GIR_EraseRootFromParent_Done,
     /*  146216 */   // Label 2641: @146216
     /*  146216 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(146285), // Rule ID 53109 //
     /*  146221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146264 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146283 */     GIR_RootConstrainSelectedInstOperands,
     /*  146284 */     // GIR_Coverage, 53109,
     /*  146284 */     GIR_EraseRootFromParent_Done,
     /*  146285 */   // Label 2642: @146285
     /*  146285 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(146354), // Rule ID 53110 //
     /*  146290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146333 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146352 */     GIR_RootConstrainSelectedInstOperands,
     /*  146353 */     // GIR_Coverage, 53110,
     /*  146353 */     GIR_EraseRootFromParent_Done,
     /*  146354 */   // Label 2643: @146354
     /*  146354 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(146423), // Rule ID 71359 //
     /*  146359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146402 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146421 */     GIR_RootConstrainSelectedInstOperands,
     /*  146422 */     // GIR_Coverage, 71359,
     /*  146422 */     GIR_EraseRootFromParent_Done,
     /*  146423 */   // Label 2644: @146423
     /*  146423 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(146492), // Rule ID 71360 //
     /*  146428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146471 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146490 */     GIR_RootConstrainSelectedInstOperands,
     /*  146491 */     // GIR_Coverage, 71360,
     /*  146491 */     GIR_EraseRootFromParent_Done,
     /*  146492 */   // Label 2645: @146492
     /*  146492 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(146561), // Rule ID 71361 //
     /*  146497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146524 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146540 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146559 */     GIR_RootConstrainSelectedInstOperands,
     /*  146560 */     // GIR_Coverage, 71361,
     /*  146560 */     GIR_EraseRootFromParent_Done,
     /*  146561 */   // Label 2646: @146561
     /*  146561 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(146630), // Rule ID 71362 //
     /*  146566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146609 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146628 */     GIR_RootConstrainSelectedInstOperands,
     /*  146629 */     // GIR_Coverage, 71362,
     /*  146629 */     GIR_EraseRootFromParent_Done,
     /*  146630 */   // Label 2647: @146630
     /*  146630 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(146699), // Rule ID 71367 //
     /*  146635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146678 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146697 */     GIR_RootConstrainSelectedInstOperands,
     /*  146698 */     // GIR_Coverage, 71367,
     /*  146698 */     GIR_EraseRootFromParent_Done,
     /*  146699 */   // Label 2648: @146699
     /*  146699 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(146768), // Rule ID 71368 //
     /*  146704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146747 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146766 */     GIR_RootConstrainSelectedInstOperands,
     /*  146767 */     // GIR_Coverage, 71368,
     /*  146767 */     GIR_EraseRootFromParent_Done,
     /*  146768 */   // Label 2649: @146768
     /*  146768 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(146834), // Rule ID 71371 //
     /*  146773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146815 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146832 */     GIR_RootConstrainSelectedInstOperands,
     /*  146833 */     // GIR_Coverage, 71371,
     /*  146833 */     GIR_EraseRootFromParent_Done,
     /*  146834 */   // Label 2650: @146834
     /*  146834 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(146900), // Rule ID 71372 //
     /*  146839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146881 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146898 */     GIR_RootConstrainSelectedInstOperands,
     /*  146899 */     // GIR_Coverage, 71372,
     /*  146899 */     GIR_EraseRootFromParent_Done,
     /*  146900 */   // Label 2651: @146900
     /*  146900 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(146966), // Rule ID 71369 //
     /*  146905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146947 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146964 */     GIR_RootConstrainSelectedInstOperands,
     /*  146965 */     // GIR_Coverage, 71369,
     /*  146965 */     GIR_EraseRootFromParent_Done,
     /*  146966 */   // Label 2652: @146966
     /*  146966 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147032), // Rule ID 71370 //
     /*  146971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147013 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  147016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147030 */     GIR_RootConstrainSelectedInstOperands,
     /*  147031 */     // GIR_Coverage, 71370,
     /*  147031 */     GIR_EraseRootFromParent_Done,
     /*  147032 */   // Label 2653: @147032
     /*  147032 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147075), // Rule ID 71385 //
     /*  147037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147058 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147073 */     GIR_RootConstrainSelectedInstOperands,
     /*  147074 */     // GIR_Coverage, 71385,
     /*  147074 */     GIR_EraseRootFromParent_Done,
     /*  147075 */   // Label 2654: @147075
     /*  147075 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147118), // Rule ID 71386 //
     /*  147080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147101 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147116 */     GIR_RootConstrainSelectedInstOperands,
     /*  147117 */     // GIR_Coverage, 71386,
     /*  147117 */     GIR_EraseRootFromParent_Done,
     /*  147118 */   // Label 2655: @147118
     /*  147118 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147161), // Rule ID 53115 //
     /*  147123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147144 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147159 */     GIR_RootConstrainSelectedInstOperands,
     /*  147160 */     // GIR_Coverage, 53115,
     /*  147160 */     GIR_EraseRootFromParent_Done,
     /*  147161 */   // Label 2656: @147161
     /*  147161 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(147204), // Rule ID 53116 //
     /*  147166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147187 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147202 */     GIR_RootConstrainSelectedInstOperands,
     /*  147203 */     // GIR_Coverage, 53116,
     /*  147203 */     GIR_EraseRootFromParent_Done,
     /*  147204 */   // Label 2657: @147204
     /*  147204 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(147237), // Rule ID 53103 //
     /*  147209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147220 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147235 */     GIR_RootConstrainSelectedInstOperands,
     /*  147236 */     // GIR_Coverage, 53103,
     /*  147236 */     GIR_EraseRootFromParent_Done,
     /*  147237 */   // Label 2658: @147237
     /*  147237 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(147270), // Rule ID 53104 //
     /*  147242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147253 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147268 */     GIR_RootConstrainSelectedInstOperands,
     /*  147269 */     // GIR_Coverage, 53104,
     /*  147269 */     GIR_EraseRootFromParent_Done,
     /*  147270 */   // Label 2659: @147270
     /*  147270 */   GIM_Reject,
     /*  147271 */ // Label 2633: @147271
     /*  147271 */ GIM_Reject,
     /*  147272 */ // Label 2448: @147272
     /*  147272 */ GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(147386),
     /*  147277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  147280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  147283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147295 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(147340), // Rule ID 47823 //
     /*  147300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147303 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147338 */     GIR_RootConstrainSelectedInstOperands,
     /*  147339 */     // GIR_Coverage, 47823,
     /*  147339 */     GIR_EraseRootFromParent_Done,
     /*  147340 */   // Label 2661: @147340
     /*  147340 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(147385), // Rule ID 47824 //
     /*  147345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147348 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147383 */     GIR_RootConstrainSelectedInstOperands,
     /*  147384 */     // GIR_Coverage, 47824,
     /*  147384 */     GIR_EraseRootFromParent_Done,
     /*  147385 */   // Label 2662: @147385
     /*  147385 */   GIM_Reject,
     /*  147386 */ // Label 2660: @147386
     /*  147386 */ GIM_Reject,
     /*  147387 */ // Label 2449: @147387
     /*  147387 */ GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(147501),
     /*  147392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  147395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  147398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147410 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(147455), // Rule ID 47839 //
     /*  147415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147418 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147453 */     GIR_RootConstrainSelectedInstOperands,
     /*  147454 */     // GIR_Coverage, 47839,
     /*  147454 */     GIR_EraseRootFromParent_Done,
     /*  147455 */   // Label 2664: @147455
     /*  147455 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(147500), // Rule ID 47840 //
     /*  147460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147463 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147498 */     GIR_RootConstrainSelectedInstOperands,
     /*  147499 */     // GIR_Coverage, 47840,
     /*  147499 */     GIR_EraseRootFromParent_Done,
     /*  147500 */   // Label 2665: @147500
     /*  147500 */   GIM_Reject,
     /*  147501 */ // Label 2663: @147501
     /*  147501 */ GIM_Reject,
     /*  147502 */ // Label 2450: @147502
     /*  147502 */ GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(147616),
     /*  147507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  147510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147525 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(147570), // Rule ID 47855 //
     /*  147530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147533 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147568 */     GIR_RootConstrainSelectedInstOperands,
     /*  147569 */     // GIR_Coverage, 47855,
     /*  147569 */     GIR_EraseRootFromParent_Done,
     /*  147570 */   // Label 2667: @147570
     /*  147570 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(147615), // Rule ID 47856 //
     /*  147575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147578 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147613 */     GIR_RootConstrainSelectedInstOperands,
     /*  147614 */     // GIR_Coverage, 47856,
     /*  147614 */     GIR_EraseRootFromParent_Done,
     /*  147615 */   // Label 2668: @147615
     /*  147615 */   GIM_Reject,
     /*  147616 */ // Label 2666: @147616
     /*  147616 */ GIM_Reject,
     /*  147617 */ // Label 2451: @147617
     /*  147617 */ GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(149227),
     /*  147622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147632 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(147701), // Rule ID 53123 //
     /*  147637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147680 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147699 */     GIR_RootConstrainSelectedInstOperands,
     /*  147700 */     // GIR_Coverage, 53123,
     /*  147700 */     GIR_EraseRootFromParent_Done,
     /*  147701 */   // Label 2670: @147701
     /*  147701 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(147770), // Rule ID 53124 //
     /*  147706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147749 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147768 */     GIR_RootConstrainSelectedInstOperands,
     /*  147769 */     // GIR_Coverage, 53124,
     /*  147769 */     GIR_EraseRootFromParent_Done,
     /*  147770 */   // Label 2671: @147770
     /*  147770 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(147839), // Rule ID 53125 //
     /*  147775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147818 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147837 */     GIR_RootConstrainSelectedInstOperands,
     /*  147838 */     // GIR_Coverage, 53125,
     /*  147838 */     GIR_EraseRootFromParent_Done,
     /*  147839 */   // Label 2672: @147839
     /*  147839 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(147908), // Rule ID 53126 //
     /*  147844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147887 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147906 */     GIR_RootConstrainSelectedInstOperands,
     /*  147907 */     // GIR_Coverage, 53126,
     /*  147907 */     GIR_EraseRootFromParent_Done,
     /*  147908 */   // Label 2673: @147908
     /*  147908 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(147974), // Rule ID 71393 //
     /*  147913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147955 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147972 */     GIR_RootConstrainSelectedInstOperands,
     /*  147973 */     // GIR_Coverage, 71393,
     /*  147973 */     GIR_EraseRootFromParent_Done,
     /*  147974 */   // Label 2674: @147974
     /*  147974 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148040), // Rule ID 71394 //
     /*  147979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148021 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148038 */     GIR_RootConstrainSelectedInstOperands,
     /*  148039 */     // GIR_Coverage, 71394,
     /*  148039 */     GIR_EraseRootFromParent_Done,
     /*  148040 */   // Label 2675: @148040
     /*  148040 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(148106), // Rule ID 71391 //
     /*  148045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148087 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148104 */     GIR_RootConstrainSelectedInstOperands,
     /*  148105 */     // GIR_Coverage, 71391,
     /*  148105 */     GIR_EraseRootFromParent_Done,
     /*  148106 */   // Label 2676: @148106
     /*  148106 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(148172), // Rule ID 71392 //
     /*  148111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148153 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148170 */     GIR_RootConstrainSelectedInstOperands,
     /*  148171 */     // GIR_Coverage, 71392,
     /*  148171 */     GIR_EraseRootFromParent_Done,
     /*  148172 */   // Label 2677: @148172
     /*  148172 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(148241), // Rule ID 53127 //
     /*  148177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148220 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148239 */     GIR_RootConstrainSelectedInstOperands,
     /*  148240 */     // GIR_Coverage, 53127,
     /*  148240 */     GIR_EraseRootFromParent_Done,
     /*  148241 */   // Label 2678: @148241
     /*  148241 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(148310), // Rule ID 53128 //
     /*  148246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148289 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148308 */     GIR_RootConstrainSelectedInstOperands,
     /*  148309 */     // GIR_Coverage, 53128,
     /*  148309 */     GIR_EraseRootFromParent_Done,
     /*  148310 */   // Label 2679: @148310
     /*  148310 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(148379), // Rule ID 71387 //
     /*  148315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148358 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148377 */     GIR_RootConstrainSelectedInstOperands,
     /*  148378 */     // GIR_Coverage, 71387,
     /*  148378 */     GIR_EraseRootFromParent_Done,
     /*  148379 */   // Label 2680: @148379
     /*  148379 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(148448), // Rule ID 71388 //
     /*  148384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148427 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148446 */     GIR_RootConstrainSelectedInstOperands,
     /*  148447 */     // GIR_Coverage, 71388,
     /*  148447 */     GIR_EraseRootFromParent_Done,
     /*  148448 */   // Label 2681: @148448
     /*  148448 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(148517), // Rule ID 71389 //
     /*  148453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148496 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148515 */     GIR_RootConstrainSelectedInstOperands,
     /*  148516 */     // GIR_Coverage, 71389,
     /*  148516 */     GIR_EraseRootFromParent_Done,
     /*  148517 */   // Label 2682: @148517
     /*  148517 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(148586), // Rule ID 71390 //
     /*  148522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148549 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148565 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148584 */     GIR_RootConstrainSelectedInstOperands,
     /*  148585 */     // GIR_Coverage, 71390,
     /*  148585 */     GIR_EraseRootFromParent_Done,
     /*  148586 */   // Label 2683: @148586
     /*  148586 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(148655), // Rule ID 71395 //
     /*  148591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148618 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148634 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148653 */     GIR_RootConstrainSelectedInstOperands,
     /*  148654 */     // GIR_Coverage, 71395,
     /*  148654 */     GIR_EraseRootFromParent_Done,
     /*  148655 */   // Label 2684: @148655
     /*  148655 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(148724), // Rule ID 71396 //
     /*  148660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148687 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148703 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148722 */     GIR_RootConstrainSelectedInstOperands,
     /*  148723 */     // GIR_Coverage, 71396,
     /*  148723 */     GIR_EraseRootFromParent_Done,
     /*  148724 */   // Label 2685: @148724
     /*  148724 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(148790), // Rule ID 71399 //
     /*  148729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148771 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148788 */     GIR_RootConstrainSelectedInstOperands,
     /*  148789 */     // GIR_Coverage, 71399,
     /*  148789 */     GIR_EraseRootFromParent_Done,
     /*  148790 */   // Label 2686: @148790
     /*  148790 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(148856), // Rule ID 71400 //
     /*  148795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148837 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148854 */     GIR_RootConstrainSelectedInstOperands,
     /*  148855 */     // GIR_Coverage, 71400,
     /*  148855 */     GIR_EraseRootFromParent_Done,
     /*  148856 */   // Label 2687: @148856
     /*  148856 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(148922), // Rule ID 71397 //
     /*  148861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148903 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148920 */     GIR_RootConstrainSelectedInstOperands,
     /*  148921 */     // GIR_Coverage, 71397,
     /*  148921 */     GIR_EraseRootFromParent_Done,
     /*  148922 */   // Label 2688: @148922
     /*  148922 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(148988), // Rule ID 71398 //
     /*  148927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148969 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148986 */     GIR_RootConstrainSelectedInstOperands,
     /*  148987 */     // GIR_Coverage, 71398,
     /*  148987 */     GIR_EraseRootFromParent_Done,
     /*  148988 */   // Label 2689: @148988
     /*  148988 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149031), // Rule ID 71413 //
     /*  148993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149014 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149029 */     GIR_RootConstrainSelectedInstOperands,
     /*  149030 */     // GIR_Coverage, 71413,
     /*  149030 */     GIR_EraseRootFromParent_Done,
     /*  149031 */   // Label 2690: @149031
     /*  149031 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149074), // Rule ID 71414 //
     /*  149036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149057 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149072 */     GIR_RootConstrainSelectedInstOperands,
     /*  149073 */     // GIR_Coverage, 71414,
     /*  149073 */     GIR_EraseRootFromParent_Done,
     /*  149074 */   // Label 2691: @149074
     /*  149074 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(149117), // Rule ID 53133 //
     /*  149079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149100 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149115 */     GIR_RootConstrainSelectedInstOperands,
     /*  149116 */     // GIR_Coverage, 53133,
     /*  149116 */     GIR_EraseRootFromParent_Done,
     /*  149117 */   // Label 2692: @149117
     /*  149117 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149160), // Rule ID 53134 //
     /*  149122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149143 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149158 */     GIR_RootConstrainSelectedInstOperands,
     /*  149159 */     // GIR_Coverage, 53134,
     /*  149159 */     GIR_EraseRootFromParent_Done,
     /*  149160 */   // Label 2693: @149160
     /*  149160 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149193), // Rule ID 53121 //
     /*  149165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149176 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149191 */     GIR_RootConstrainSelectedInstOperands,
     /*  149192 */     // GIR_Coverage, 53121,
     /*  149192 */     GIR_EraseRootFromParent_Done,
     /*  149193 */   // Label 2694: @149193
     /*  149193 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(149226), // Rule ID 53122 //
     /*  149198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149209 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149224 */     GIR_RootConstrainSelectedInstOperands,
     /*  149225 */     // GIR_Coverage, 53122,
     /*  149225 */     GIR_EraseRootFromParent_Done,
     /*  149226 */   // Label 2695: @149226
     /*  149226 */   GIM_Reject,
     /*  149227 */ // Label 2669: @149227
     /*  149227 */ GIM_Reject,
     /*  149228 */ // Label 2452: @149228
     /*  149228 */ GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(149342),
     /*  149233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  149236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  149239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149251 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(149296), // Rule ID 47827 //
     /*  149256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149259 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149294 */     GIR_RootConstrainSelectedInstOperands,
     /*  149295 */     // GIR_Coverage, 47827,
     /*  149295 */     GIR_EraseRootFromParent_Done,
     /*  149296 */   // Label 2697: @149296
     /*  149296 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(149341), // Rule ID 47828 //
     /*  149301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149304 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149339 */     GIR_RootConstrainSelectedInstOperands,
     /*  149340 */     // GIR_Coverage, 47828,
     /*  149340 */     GIR_EraseRootFromParent_Done,
     /*  149341 */   // Label 2698: @149341
     /*  149341 */   GIM_Reject,
     /*  149342 */ // Label 2696: @149342
     /*  149342 */ GIM_Reject,
     /*  149343 */ // Label 2453: @149343
     /*  149343 */ GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(149457),
     /*  149348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  149351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  149354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149366 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(149411), // Rule ID 47843 //
     /*  149371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149374 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149409 */     GIR_RootConstrainSelectedInstOperands,
     /*  149410 */     // GIR_Coverage, 47843,
     /*  149410 */     GIR_EraseRootFromParent_Done,
     /*  149411 */   // Label 2700: @149411
     /*  149411 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(149456), // Rule ID 47844 //
     /*  149416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149419 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  149419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149454 */     GIR_RootConstrainSelectedInstOperands,
     /*  149455 */     // GIR_Coverage, 47844,
     /*  149455 */     GIR_EraseRootFromParent_Done,
     /*  149456 */   // Label 2701: @149456
     /*  149456 */   GIM_Reject,
     /*  149457 */ // Label 2699: @149457
     /*  149457 */ GIM_Reject,
     /*  149458 */ // Label 2454: @149458
     /*  149458 */ GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(151068),
     /*  149463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149473 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(149542), // Rule ID 53141 //
     /*  149478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149521 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149540 */     GIR_RootConstrainSelectedInstOperands,
     /*  149541 */     // GIR_Coverage, 53141,
     /*  149541 */     GIR_EraseRootFromParent_Done,
     /*  149542 */   // Label 2703: @149542
     /*  149542 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(149611), // Rule ID 53142 //
     /*  149547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149590 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149609 */     GIR_RootConstrainSelectedInstOperands,
     /*  149610 */     // GIR_Coverage, 53142,
     /*  149610 */     GIR_EraseRootFromParent_Done,
     /*  149611 */   // Label 2704: @149611
     /*  149611 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(149680), // Rule ID 53143 //
     /*  149616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149659 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149678 */     GIR_RootConstrainSelectedInstOperands,
     /*  149679 */     // GIR_Coverage, 53143,
     /*  149679 */     GIR_EraseRootFromParent_Done,
     /*  149680 */   // Label 2705: @149680
     /*  149680 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(149749), // Rule ID 53144 //
     /*  149685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149728 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149747 */     GIR_RootConstrainSelectedInstOperands,
     /*  149748 */     // GIR_Coverage, 53144,
     /*  149748 */     GIR_EraseRootFromParent_Done,
     /*  149749 */   // Label 2706: @149749
     /*  149749 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(149815), // Rule ID 71421 //
     /*  149754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149796 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149813 */     GIR_RootConstrainSelectedInstOperands,
     /*  149814 */     // GIR_Coverage, 71421,
     /*  149814 */     GIR_EraseRootFromParent_Done,
     /*  149815 */   // Label 2707: @149815
     /*  149815 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(149881), // Rule ID 71422 //
     /*  149820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149862 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149879 */     GIR_RootConstrainSelectedInstOperands,
     /*  149880 */     // GIR_Coverage, 71422,
     /*  149880 */     GIR_EraseRootFromParent_Done,
     /*  149881 */   // Label 2708: @149881
     /*  149881 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(149947), // Rule ID 71419 //
     /*  149886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149928 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149945 */     GIR_RootConstrainSelectedInstOperands,
     /*  149946 */     // GIR_Coverage, 71419,
     /*  149946 */     GIR_EraseRootFromParent_Done,
     /*  149947 */   // Label 2709: @149947
     /*  149947 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150013), // Rule ID 71420 //
     /*  149952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149994 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150011 */     GIR_RootConstrainSelectedInstOperands,
     /*  150012 */     // GIR_Coverage, 71420,
     /*  150012 */     GIR_EraseRootFromParent_Done,
     /*  150013 */   // Label 2710: @150013
     /*  150013 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150082), // Rule ID 53145 //
     /*  150018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150061 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150080 */     GIR_RootConstrainSelectedInstOperands,
     /*  150081 */     // GIR_Coverage, 53145,
     /*  150081 */     GIR_EraseRootFromParent_Done,
     /*  150082 */   // Label 2711: @150082
     /*  150082 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150151), // Rule ID 53146 //
     /*  150087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150130 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150149 */     GIR_RootConstrainSelectedInstOperands,
     /*  150150 */     // GIR_Coverage, 53146,
     /*  150150 */     GIR_EraseRootFromParent_Done,
     /*  150151 */   // Label 2712: @150151
     /*  150151 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150220), // Rule ID 71415 //
     /*  150156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150199 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150218 */     GIR_RootConstrainSelectedInstOperands,
     /*  150219 */     // GIR_Coverage, 71415,
     /*  150219 */     GIR_EraseRootFromParent_Done,
     /*  150220 */   // Label 2713: @150220
     /*  150220 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(150289), // Rule ID 71416 //
     /*  150225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150268 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150287 */     GIR_RootConstrainSelectedInstOperands,
     /*  150288 */     // GIR_Coverage, 71416,
     /*  150288 */     GIR_EraseRootFromParent_Done,
     /*  150289 */   // Label 2714: @150289
     /*  150289 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(150358), // Rule ID 71417 //
     /*  150294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150337 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150356 */     GIR_RootConstrainSelectedInstOperands,
     /*  150357 */     // GIR_Coverage, 71417,
     /*  150357 */     GIR_EraseRootFromParent_Done,
     /*  150358 */   // Label 2715: @150358
     /*  150358 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(150427), // Rule ID 71418 //
     /*  150363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150406 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150425 */     GIR_RootConstrainSelectedInstOperands,
     /*  150426 */     // GIR_Coverage, 71418,
     /*  150426 */     GIR_EraseRootFromParent_Done,
     /*  150427 */   // Label 2716: @150427
     /*  150427 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(150496), // Rule ID 71423 //
     /*  150432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150475 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150494 */     GIR_RootConstrainSelectedInstOperands,
     /*  150495 */     // GIR_Coverage, 71423,
     /*  150495 */     GIR_EraseRootFromParent_Done,
     /*  150496 */   // Label 2717: @150496
     /*  150496 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(150565), // Rule ID 71424 //
     /*  150501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150544 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150563 */     GIR_RootConstrainSelectedInstOperands,
     /*  150564 */     // GIR_Coverage, 71424,
     /*  150564 */     GIR_EraseRootFromParent_Done,
     /*  150565 */   // Label 2718: @150565
     /*  150565 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(150631), // Rule ID 71427 //
     /*  150570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150612 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150629 */     GIR_RootConstrainSelectedInstOperands,
     /*  150630 */     // GIR_Coverage, 71427,
     /*  150630 */     GIR_EraseRootFromParent_Done,
     /*  150631 */   // Label 2719: @150631
     /*  150631 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(150697), // Rule ID 71428 //
     /*  150636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150678 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150695 */     GIR_RootConstrainSelectedInstOperands,
     /*  150696 */     // GIR_Coverage, 71428,
     /*  150696 */     GIR_EraseRootFromParent_Done,
     /*  150697 */   // Label 2720: @150697
     /*  150697 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(150763), // Rule ID 71425 //
     /*  150702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150744 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150761 */     GIR_RootConstrainSelectedInstOperands,
     /*  150762 */     // GIR_Coverage, 71425,
     /*  150762 */     GIR_EraseRootFromParent_Done,
     /*  150763 */   // Label 2721: @150763
     /*  150763 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(150829), // Rule ID 71426 //
     /*  150768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150810 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150827 */     GIR_RootConstrainSelectedInstOperands,
     /*  150828 */     // GIR_Coverage, 71426,
     /*  150828 */     GIR_EraseRootFromParent_Done,
     /*  150829 */   // Label 2722: @150829
     /*  150829 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(150872), // Rule ID 71441 //
     /*  150834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150855 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150870 */     GIR_RootConstrainSelectedInstOperands,
     /*  150871 */     // GIR_Coverage, 71441,
     /*  150871 */     GIR_EraseRootFromParent_Done,
     /*  150872 */   // Label 2723: @150872
     /*  150872 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(150915), // Rule ID 71442 //
     /*  150877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150898 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150913 */     GIR_RootConstrainSelectedInstOperands,
     /*  150914 */     // GIR_Coverage, 71442,
     /*  150914 */     GIR_EraseRootFromParent_Done,
     /*  150915 */   // Label 2724: @150915
     /*  150915 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(150958), // Rule ID 53151 //
     /*  150920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150941 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150956 */     GIR_RootConstrainSelectedInstOperands,
     /*  150957 */     // GIR_Coverage, 53151,
     /*  150957 */     GIR_EraseRootFromParent_Done,
     /*  150958 */   // Label 2725: @150958
     /*  150958 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151001), // Rule ID 53152 //
     /*  150963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150984 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150999 */     GIR_RootConstrainSelectedInstOperands,
     /*  151000 */     // GIR_Coverage, 53152,
     /*  151000 */     GIR_EraseRootFromParent_Done,
     /*  151001 */   // Label 2726: @151001
     /*  151001 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151034), // Rule ID 53139 //
     /*  151006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151017 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151032 */     GIR_RootConstrainSelectedInstOperands,
     /*  151033 */     // GIR_Coverage, 53139,
     /*  151033 */     GIR_EraseRootFromParent_Done,
     /*  151034 */   // Label 2727: @151034
     /*  151034 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(151067), // Rule ID 53140 //
     /*  151039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151050 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151065 */     GIR_RootConstrainSelectedInstOperands,
     /*  151066 */     // GIR_Coverage, 53140,
     /*  151066 */     GIR_EraseRootFromParent_Done,
     /*  151067 */   // Label 2728: @151067
     /*  151067 */   GIM_Reject,
     /*  151068 */ // Label 2702: @151068
     /*  151068 */ GIM_Reject,
     /*  151069 */ // Label 2455: @151069
     /*  151069 */ GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151183),
     /*  151074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  151077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  151080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151092 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151137), // Rule ID 47831 //
     /*  151097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151100 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151135 */     GIR_RootConstrainSelectedInstOperands,
     /*  151136 */     // GIR_Coverage, 47831,
     /*  151136 */     GIR_EraseRootFromParent_Done,
     /*  151137 */   // Label 2730: @151137
     /*  151137 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(151182), // Rule ID 47832 //
     /*  151142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151145 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151180 */     GIR_RootConstrainSelectedInstOperands,
     /*  151181 */     // GIR_Coverage, 47832,
     /*  151181 */     GIR_EraseRootFromParent_Done,
     /*  151182 */   // Label 2731: @151182
     /*  151182 */   GIM_Reject,
     /*  151183 */ // Label 2729: @151183
     /*  151183 */ GIM_Reject,
     /*  151184 */ // Label 2456: @151184
     /*  151184 */ GIM_Reject,
     /*  151185 */ // Label 10: @151185
     /*  151185 */ GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(151245),
     /*  151190 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  151194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151198 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(151221), // Rule ID 110 //
     /*  151203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  151206 */     // MIs[0] Operand 1
     /*  151206 */     // No operand predicates
     /*  151206 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  151206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151211 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151219 */     GIR_RootConstrainSelectedInstOperands,
     /*  151220 */     // GIR_Coverage, 110,
     /*  151220 */     GIR_EraseRootFromParent_Done,
     /*  151221 */   // Label 2733: @151221
     /*  151221 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(151244), // Rule ID 111 //
     /*  151226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  151229 */     // MIs[0] Operand 1
     /*  151229 */     // No operand predicates
     /*  151229 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  151229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151234 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151242 */     GIR_RootConstrainSelectedInstOperands,
     /*  151243 */     // GIR_Coverage, 111,
     /*  151243 */     GIR_EraseRootFromParent_Done,
     /*  151244 */   // Label 2734: @151244
     /*  151244 */   GIM_Reject,
     /*  151245 */ // Label 2732: @151245
     /*  151245 */ GIM_Reject,
     /*  151246 */ // Label 11: @151246
     /*  151246 */ GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(151306),
     /*  151251 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151254 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  151257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  151263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151275 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(151290), // Rule ID 50 //
     /*  151280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151283 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151288 */     GIR_RootConstrainSelectedInstOperands,
     /*  151289 */     // GIR_Coverage, 50,
     /*  151289 */     GIR_Done,
     /*  151290 */   // Label 2736: @151290
     /*  151290 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(151305), // Rule ID 51 //
     /*  151295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151298 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151303 */     GIR_RootConstrainSelectedInstOperands,
     /*  151304 */     // GIR_Coverage, 51,
     /*  151304 */     GIR_Done,
     /*  151305 */   // Label 2737: @151305
     /*  151305 */   GIM_Reject,
     /*  151306 */ // Label 2735: @151306
     /*  151306 */ GIM_Reject,
     /*  151307 */ // Label 12: @151307
     /*  151307 */ GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(151397),
     /*  151312 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151315 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  151318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  151324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151336 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(151351), // Rule ID 48 //
     /*  151341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151344 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151349 */     GIR_RootConstrainSelectedInstOperands,
     /*  151350 */     // GIR_Coverage, 48,
     /*  151350 */     GIR_Done,
     /*  151351 */   // Label 2739: @151351
     /*  151351 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(151366), // Rule ID 49 //
     /*  151356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151359 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151364 */     GIR_RootConstrainSelectedInstOperands,
     /*  151365 */     // GIR_Coverage, 49,
     /*  151365 */     GIR_Done,
     /*  151366 */   // Label 2740: @151366
     /*  151366 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(151381), // Rule ID 2287 //
     /*  151371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  151374 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151379 */     GIR_RootConstrainSelectedInstOperands,
     /*  151380 */     // GIR_Coverage, 2287,
     /*  151380 */     GIR_Done,
     /*  151381 */   // Label 2741: @151381
     /*  151381 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(151396), // Rule ID 2288 //
     /*  151386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  151389 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151394 */     GIR_RootConstrainSelectedInstOperands,
     /*  151395 */     // GIR_Coverage, 2288,
     /*  151395 */     GIR_Done,
     /*  151396 */   // Label 2742: @151396
     /*  151396 */   GIM_Reject,
     /*  151397 */ // Label 2738: @151397
     /*  151397 */ GIM_Reject,
     /*  151398 */ // Label 13: @151398
     /*  151398 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2745*/ GIMT_Encode4(151764),
     /*  151409 */ /*GILLT_s32*//*Label 2743*/ GIMT_Encode4(151417),
     /*  151413 */ /*GILLT_s64*//*Label 2744*/ GIMT_Encode4(151654),
     /*  151417 */ // Label 2743: @151417
     /*  151417 */ GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(151653),
     /*  151422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151425 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(151448), // Rule ID 1330 //
     /*  151430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151441 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151446 */     GIR_RootConstrainSelectedInstOperands,
     /*  151447 */     // GIR_Coverage, 1330,
     /*  151447 */     GIR_Done,
     /*  151448 */   // Label 2747: @151448
     /*  151448 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(151471), // Rule ID 1331 //
     /*  151453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151464 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151469 */     GIR_RootConstrainSelectedInstOperands,
     /*  151470 */     // GIR_Coverage, 1331,
     /*  151470 */     GIR_Done,
     /*  151471 */   // Label 2748: @151471
     /*  151471 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(151494), // Rule ID 1332 //
     /*  151476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151487 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151492 */     GIR_RootConstrainSelectedInstOperands,
     /*  151493 */     // GIR_Coverage, 1332,
     /*  151493 */     GIR_Done,
     /*  151494 */   // Label 2749: @151494
     /*  151494 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(151517), // Rule ID 1333 //
     /*  151499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151510 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151515 */     GIR_RootConstrainSelectedInstOperands,
     /*  151516 */     // GIR_Coverage, 1333,
     /*  151516 */     GIR_Done,
     /*  151517 */   // Label 2750: @151517
     /*  151517 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(151555), // Rule ID 1334 //
     /*  151522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  151525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151533 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151538 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151554 */     // GIR_Coverage, 1334,
     /*  151554 */     GIR_EraseRootFromParent_Done,
     /*  151555 */   // Label 2751: @151555
     /*  151555 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(151593), // Rule ID 1335 //
     /*  151560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151571 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151576 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151587 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151592 */     // GIR_Coverage, 1335,
     /*  151592 */     GIR_EraseRootFromParent_Done,
     /*  151593 */   // Label 2752: @151593
     /*  151593 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(151652), // Rule ID 1336 //
     /*  151598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151609 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  151609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  151612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  151626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  151636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151646 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151651 */     // GIR_Coverage, 1336,
     /*  151651 */     GIR_EraseRootFromParent_Done,
     /*  151652 */   // Label 2753: @151652
     /*  151652 */   GIM_Reject,
     /*  151653 */ // Label 2746: @151653
     /*  151653 */ GIM_Reject,
     /*  151654 */ // Label 2744: @151654
     /*  151654 */ GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(151763),
     /*  151659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151662 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(151685), // Rule ID 1783 //
     /*  151667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151678 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  151678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  151683 */     GIR_RootConstrainSelectedInstOperands,
     /*  151684 */     // GIR_Coverage, 1783,
     /*  151684 */     GIR_Done,
     /*  151685 */   // Label 2755: @151685
     /*  151685 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(151708), // Rule ID 1784 //
     /*  151690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151701 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  151701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  151706 */     GIR_RootConstrainSelectedInstOperands,
     /*  151707 */     // GIR_Coverage, 1784,
     /*  151707 */     GIR_Done,
     /*  151708 */   // Label 2756: @151708
     /*  151708 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(151735), // Rule ID 1811 //
     /*  151713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151724 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  151724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151729 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151734 */     // GIR_Coverage, 1811,
     /*  151734 */     GIR_Done,
     /*  151735 */   // Label 2757: @151735
     /*  151735 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(151762), // Rule ID 1812 //
     /*  151740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151751 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  151751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151761 */     // GIR_Coverage, 1812,
     /*  151761 */     GIR_Done,
     /*  151762 */   // Label 2758: @151762
     /*  151762 */   GIM_Reject,
     /*  151763 */ // Label 2754: @151763
     /*  151763 */ GIM_Reject,
     /*  151764 */ // Label 2745: @151764
     /*  151764 */ GIM_Reject,
     /*  151765 */ // Label 14: @151765
     /*  151765 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2762*/ GIMT_Encode4(151962),
     /*  151776 */ /*GILLT_s16*//*Label 2759*/ GIMT_Encode4(151788),
     /*  151780 */ /*GILLT_s32*//*Label 2760*/ GIMT_Encode4(151846),
     /*  151784 */ /*GILLT_s64*//*Label 2761*/ GIMT_Encode4(151904),
     /*  151788 */ // Label 2759: @151788
     /*  151788 */ GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(151845),
     /*  151793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151804 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(151824), // Rule ID 2319 //
     /*  151809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  151812 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  151812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151822 */     GIR_RootConstrainSelectedInstOperands,
     /*  151823 */     // GIR_Coverage, 2319,
     /*  151823 */     GIR_EraseRootFromParent_Done,
     /*  151824 */   // Label 2764: @151824
     /*  151824 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(151844), // Rule ID 2320 //
     /*  151829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  151832 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  151832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151842 */     GIR_RootConstrainSelectedInstOperands,
     /*  151843 */     // GIR_Coverage, 2320,
     /*  151843 */     GIR_EraseRootFromParent_Done,
     /*  151844 */   // Label 2765: @151844
     /*  151844 */   GIM_Reject,
     /*  151845 */ // Label 2763: @151845
     /*  151845 */ GIM_Reject,
     /*  151846 */ // Label 2760: @151846
     /*  151846 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(151903),
     /*  151851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151862 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(151882), // Rule ID 2237 //
     /*  151867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  151870 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  151870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151880 */     GIR_RootConstrainSelectedInstOperands,
     /*  151881 */     // GIR_Coverage, 2237,
     /*  151881 */     GIR_EraseRootFromParent_Done,
     /*  151882 */   // Label 2767: @151882
     /*  151882 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(151902), // Rule ID 2238 //
     /*  151887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  151890 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  151890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151900 */     GIR_RootConstrainSelectedInstOperands,
     /*  151901 */     // GIR_Coverage, 2238,
     /*  151901 */     GIR_EraseRootFromParent_Done,
     /*  151902 */   // Label 2768: @151902
     /*  151902 */   GIM_Reject,
     /*  151903 */ // Label 2766: @151903
     /*  151903 */ GIM_Reject,
     /*  151904 */ // Label 2761: @151904
     /*  151904 */ GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(151961),
     /*  151909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151920 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(151940), // Rule ID 2277 //
     /*  151925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  151928 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  151928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151938 */     GIR_RootConstrainSelectedInstOperands,
     /*  151939 */     // GIR_Coverage, 2277,
     /*  151939 */     GIR_EraseRootFromParent_Done,
     /*  151940 */   // Label 2770: @151940
     /*  151940 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(151960), // Rule ID 2278 //
     /*  151945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  151948 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  151948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151958 */     GIR_RootConstrainSelectedInstOperands,
     /*  151959 */     // GIR_Coverage, 2278,
     /*  151959 */     GIR_EraseRootFromParent_Done,
     /*  151960 */   // Label 2771: @151960
     /*  151960 */   GIM_Reject,
     /*  151961 */ // Label 2769: @151961
     /*  151961 */ GIM_Reject,
     /*  151962 */ // Label 2762: @151962
     /*  151962 */ GIM_Reject,
     /*  151963 */ // Label 15: @151963
     /*  151963 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2775*/ GIMT_Encode4(152160),
     /*  151974 */ /*GILLT_s16*//*Label 2772*/ GIMT_Encode4(151986),
     /*  151978 */ /*GILLT_s32*//*Label 2773*/ GIMT_Encode4(152044),
     /*  151982 */ /*GILLT_s64*//*Label 2774*/ GIMT_Encode4(152102),
     /*  151986 */ // Label 2772: @151986
     /*  151986 */ GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(152043),
     /*  151991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152002 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(152022), // Rule ID 2303 //
     /*  152007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152010 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  152010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152020 */     GIR_RootConstrainSelectedInstOperands,
     /*  152021 */     // GIR_Coverage, 2303,
     /*  152021 */     GIR_EraseRootFromParent_Done,
     /*  152022 */   // Label 2777: @152022
     /*  152022 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(152042), // Rule ID 2304 //
     /*  152027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  152030 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  152030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152040 */     GIR_RootConstrainSelectedInstOperands,
     /*  152041 */     // GIR_Coverage, 2304,
     /*  152041 */     GIR_EraseRootFromParent_Done,
     /*  152042 */   // Label 2778: @152042
     /*  152042 */   GIM_Reject,
     /*  152043 */ // Label 2776: @152043
     /*  152043 */ GIM_Reject,
     /*  152044 */ // Label 2773: @152044
     /*  152044 */ GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(152101),
     /*  152049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152060 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(152080), // Rule ID 2221 //
     /*  152065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  152068 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  152068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152078 */     GIR_RootConstrainSelectedInstOperands,
     /*  152079 */     // GIR_Coverage, 2221,
     /*  152079 */     GIR_EraseRootFromParent_Done,
     /*  152080 */   // Label 2780: @152080
     /*  152080 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(152100), // Rule ID 2222 //
     /*  152085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  152088 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  152088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152098 */     GIR_RootConstrainSelectedInstOperands,
     /*  152099 */     // GIR_Coverage, 2222,
     /*  152099 */     GIR_EraseRootFromParent_Done,
     /*  152100 */   // Label 2781: @152100
     /*  152100 */   GIM_Reject,
     /*  152101 */ // Label 2779: @152101
     /*  152101 */ GIM_Reject,
     /*  152102 */ // Label 2774: @152102
     /*  152102 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(152159),
     /*  152107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152118 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(152138), // Rule ID 2261 //
     /*  152123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  152126 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  152126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152136 */     GIR_RootConstrainSelectedInstOperands,
     /*  152137 */     // GIR_Coverage, 2261,
     /*  152137 */     GIR_EraseRootFromParent_Done,
     /*  152138 */   // Label 2783: @152138
     /*  152138 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(152158), // Rule ID 2262 //
     /*  152143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  152146 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  152146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152156 */     GIR_RootConstrainSelectedInstOperands,
     /*  152157 */     // GIR_Coverage, 2262,
     /*  152157 */     GIR_EraseRootFromParent_Done,
     /*  152158 */   // Label 2784: @152158
     /*  152158 */   GIM_Reject,
     /*  152159 */ // Label 2782: @152159
     /*  152159 */ GIM_Reject,
     /*  152160 */ // Label 2775: @152160
     /*  152160 */ GIM_Reject,
     /*  152161 */ // Label 16: @152161
     /*  152161 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2787*/ GIMT_Encode4(152740),
     /*  152172 */ /*GILLT_s32*//*Label 2785*/ GIMT_Encode4(152180),
     /*  152176 */ /*GILLT_s64*//*Label 2786*/ GIMT_Encode4(152553),
     /*  152180 */ // Label 2785: @152180
     /*  152180 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(152211), // Rule ID 1349 //
     /*  152185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  152188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152199 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152209 */   GIR_RootConstrainSelectedInstOperands,
     /*  152210 */   // GIR_Coverage, 1349,
     /*  152210 */   GIR_EraseRootFromParent_Done,
     /*  152211 */ // Label 2788: @152211
     /*  152211 */ GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(152242), // Rule ID 1350 //
     /*  152216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  152219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152230 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152240 */   GIR_RootConstrainSelectedInstOperands,
     /*  152241 */   // GIR_Coverage, 1350,
     /*  152241 */   GIR_EraseRootFromParent_Done,
     /*  152242 */ // Label 2789: @152242
     /*  152242 */ GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(152273), // Rule ID 1375 //
     /*  152247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  152250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152261 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152271 */   GIR_RootConstrainSelectedInstOperands,
     /*  152272 */   // GIR_Coverage, 1375,
     /*  152272 */   GIR_EraseRootFromParent_Done,
     /*  152273 */ // Label 2790: @152273
     /*  152273 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(152304), // Rule ID 1376 //
     /*  152278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  152281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152292 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152302 */   GIR_RootConstrainSelectedInstOperands,
     /*  152303 */   // GIR_Coverage, 1376,
     /*  152303 */   GIR_EraseRootFromParent_Done,
     /*  152304 */ // Label 2791: @152304
     /*  152304 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(152335), // Rule ID 1743 //
     /*  152309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  152312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152323 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152333 */   GIR_RootConstrainSelectedInstOperands,
     /*  152334 */   // GIR_Coverage, 1743,
     /*  152334 */   GIR_EraseRootFromParent_Done,
     /*  152335 */ // Label 2792: @152335
     /*  152335 */ GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(152366), // Rule ID 1744 //
     /*  152340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  152343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152354 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152364 */   GIR_RootConstrainSelectedInstOperands,
     /*  152365 */   // GIR_Coverage, 1744,
     /*  152365 */   GIR_EraseRootFromParent_Done,
     /*  152366 */ // Label 2793: @152366
     /*  152366 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(152397), // Rule ID 1769 //
     /*  152371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  152374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152385 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152395 */   GIR_RootConstrainSelectedInstOperands,
     /*  152396 */   // GIR_Coverage, 1769,
     /*  152396 */   GIR_EraseRootFromParent_Done,
     /*  152397 */ // Label 2794: @152397
     /*  152397 */ GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(152428), // Rule ID 1770 //
     /*  152402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  152405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152416 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152426 */   GIR_RootConstrainSelectedInstOperands,
     /*  152427 */   // GIR_Coverage, 1770,
     /*  152427 */   GIR_EraseRootFromParent_Done,
     /*  152428 */ // Label 2795: @152428
     /*  152428 */ GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(152459), // Rule ID 2085 //
     /*  152433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  152436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152447 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152457 */   GIR_RootConstrainSelectedInstOperands,
     /*  152458 */   // GIR_Coverage, 2085,
     /*  152458 */   GIR_EraseRootFromParent_Done,
     /*  152459 */ // Label 2796: @152459
     /*  152459 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(152490), // Rule ID 2086 //
     /*  152464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  152467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152478 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152488 */   GIR_RootConstrainSelectedInstOperands,
     /*  152489 */   // GIR_Coverage, 2086,
     /*  152489 */   GIR_EraseRootFromParent_Done,
     /*  152490 */ // Label 2797: @152490
     /*  152490 */ GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(152521), // Rule ID 2111 //
     /*  152495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  152498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152509 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152519 */   GIR_RootConstrainSelectedInstOperands,
     /*  152520 */   // GIR_Coverage, 2111,
     /*  152520 */   GIR_EraseRootFromParent_Done,
     /*  152521 */ // Label 2798: @152521
     /*  152521 */ GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(152552), // Rule ID 2112 //
     /*  152526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  152529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152540 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152550 */   GIR_RootConstrainSelectedInstOperands,
     /*  152551 */   // GIR_Coverage, 2112,
     /*  152551 */   GIR_EraseRootFromParent_Done,
     /*  152552 */ // Label 2799: @152552
     /*  152552 */ GIM_Reject,
     /*  152553 */ // Label 2786: @152553
     /*  152553 */ GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(152584), // Rule ID 1402 //
     /*  152558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152572 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152582 */   GIR_RootConstrainSelectedInstOperands,
     /*  152583 */   // GIR_Coverage, 1402,
     /*  152583 */   GIR_EraseRootFromParent_Done,
     /*  152584 */ // Label 2800: @152584
     /*  152584 */ GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(152615), // Rule ID 1430 //
     /*  152589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152603 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152613 */   GIR_RootConstrainSelectedInstOperands,
     /*  152614 */   // GIR_Coverage, 1430,
     /*  152614 */   GIR_EraseRootFromParent_Done,
     /*  152615 */ // Label 2801: @152615
     /*  152615 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(152646), // Rule ID 1800 //
     /*  152620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152634 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152644 */   GIR_RootConstrainSelectedInstOperands,
     /*  152645 */   // GIR_Coverage, 1800,
     /*  152645 */   GIR_EraseRootFromParent_Done,
     /*  152646 */ // Label 2802: @152646
     /*  152646 */ GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(152677), // Rule ID 1828 //
     /*  152651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152665 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152675 */   GIR_RootConstrainSelectedInstOperands,
     /*  152676 */   // GIR_Coverage, 1828,
     /*  152676 */   GIR_EraseRootFromParent_Done,
     /*  152677 */ // Label 2803: @152677
     /*  152677 */ GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(152708), // Rule ID 2136 //
     /*  152682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152696 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152706 */   GIR_RootConstrainSelectedInstOperands,
     /*  152707 */   // GIR_Coverage, 2136,
     /*  152707 */   GIR_EraseRootFromParent_Done,
     /*  152708 */ // Label 2804: @152708
     /*  152708 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(152739), // Rule ID 2162 //
     /*  152713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152727 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152737 */   GIR_RootConstrainSelectedInstOperands,
     /*  152738 */   // GIR_Coverage, 2162,
     /*  152738 */   GIR_EraseRootFromParent_Done,
     /*  152739 */ // Label 2805: @152739
     /*  152739 */ GIM_Reject,
     /*  152740 */ // Label 2787: @152740
     /*  152740 */ GIM_Reject,
     /*  152741 */ // Label 17: @152741
     /*  152741 */ GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(152950),
     /*  152746 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152749 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2810*/ GIMT_Encode4(152949),
     /*  152760 */   /*GILLT_s16*//*Label 2807*/ GIMT_Encode4(152772),
     /*  152764 */   /*GILLT_s32*//*Label 2808*/ GIMT_Encode4(152831),
     /*  152768 */   /*GILLT_s64*//*Label 2809*/ GIMT_Encode4(152890),
     /*  152772 */   // Label 2807: @152772
     /*  152772 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(152830),
     /*  152777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152781 */     GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(152805), // Rule ID 2138 //
     /*  152786 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152789 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152793 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152793 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152796 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152798 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152800 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152803 */       GIR_RootConstrainSelectedInstOperands,
     /*  152804 */       // GIR_Coverage, 2138,
     /*  152804 */       GIR_EraseRootFromParent_Done,
     /*  152805 */     // Label 2812: @152805
     /*  152805 */     GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(152829), // Rule ID 2164 //
     /*  152810 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152813 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152817 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152817 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152820 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152822 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152824 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152827 */       GIR_RootConstrainSelectedInstOperands,
     /*  152828 */       // GIR_Coverage, 2164,
     /*  152828 */       GIR_EraseRootFromParent_Done,
     /*  152829 */     // Label 2813: @152829
     /*  152829 */     GIM_Reject,
     /*  152830 */   // Label 2811: @152830
     /*  152830 */   GIM_Reject,
     /*  152831 */   // Label 2808: @152831
     /*  152831 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(152889),
     /*  152836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152840 */     GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(152864), // Rule ID 1404 //
     /*  152845 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152848 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152852 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152852 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152855 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152857 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152859 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152862 */       GIR_RootConstrainSelectedInstOperands,
     /*  152863 */       // GIR_Coverage, 1404,
     /*  152863 */       GIR_EraseRootFromParent_Done,
     /*  152864 */     // Label 2815: @152864
     /*  152864 */     GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(152888), // Rule ID 1432 //
     /*  152869 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152872 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152876 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152876 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152879 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152881 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152883 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152886 */       GIR_RootConstrainSelectedInstOperands,
     /*  152887 */       // GIR_Coverage, 1432,
     /*  152887 */       GIR_EraseRootFromParent_Done,
     /*  152888 */     // Label 2816: @152888
     /*  152888 */     GIM_Reject,
     /*  152889 */   // Label 2814: @152889
     /*  152889 */   GIM_Reject,
     /*  152890 */   // Label 2809: @152890
     /*  152890 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(152948),
     /*  152895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152899 */     GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(152923), // Rule ID 1802 //
     /*  152904 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152907 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152911 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152911 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152914 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152916 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152918 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152921 */       GIR_RootConstrainSelectedInstOperands,
     /*  152922 */       // GIR_Coverage, 1802,
     /*  152922 */       GIR_EraseRootFromParent_Done,
     /*  152923 */     // Label 2818: @152923
     /*  152923 */     GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(152947), // Rule ID 1830 //
     /*  152928 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152931 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152935 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152935 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152938 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152940 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152942 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152945 */       GIR_RootConstrainSelectedInstOperands,
     /*  152946 */       // GIR_Coverage, 1830,
     /*  152946 */       GIR_EraseRootFromParent_Done,
     /*  152947 */     // Label 2819: @152947
     /*  152947 */     GIM_Reject,
     /*  152948 */   // Label 2817: @152948
     /*  152948 */   GIM_Reject,
     /*  152949 */   // Label 2810: @152949
     /*  152949 */   GIM_Reject,
     /*  152950 */ // Label 2806: @152950
     /*  152950 */ GIM_Reject,
     /*  152951 */ // Label 18: @152951
     /*  152951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2823*/ GIMT_Encode4(153148),
     /*  152962 */ /*GILLT_s16*//*Label 2820*/ GIMT_Encode4(152974),
     /*  152966 */ /*GILLT_s32*//*Label 2821*/ GIMT_Encode4(153032),
     /*  152970 */ /*GILLT_s64*//*Label 2822*/ GIMT_Encode4(153090),
     /*  152974 */ // Label 2820: @152974
     /*  152974 */ GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(153031),
     /*  152979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152990 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(153010), // Rule ID 2307 //
     /*  152995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152998 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  152998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153008 */     GIR_RootConstrainSelectedInstOperands,
     /*  153009 */     // GIR_Coverage, 2307,
     /*  153009 */     GIR_EraseRootFromParent_Done,
     /*  153010 */   // Label 2825: @153010
     /*  153010 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(153030), // Rule ID 2308 //
     /*  153015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  153018 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  153018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153028 */     GIR_RootConstrainSelectedInstOperands,
     /*  153029 */     // GIR_Coverage, 2308,
     /*  153029 */     GIR_EraseRootFromParent_Done,
     /*  153030 */   // Label 2826: @153030
     /*  153030 */   GIM_Reject,
     /*  153031 */ // Label 2824: @153031
     /*  153031 */ GIM_Reject,
     /*  153032 */ // Label 2821: @153032
     /*  153032 */ GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(153089),
     /*  153037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  153040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153048 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(153068), // Rule ID 2225 //
     /*  153053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  153056 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  153056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153066 */     GIR_RootConstrainSelectedInstOperands,
     /*  153067 */     // GIR_Coverage, 2225,
     /*  153067 */     GIR_EraseRootFromParent_Done,
     /*  153068 */   // Label 2828: @153068
     /*  153068 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(153088), // Rule ID 2226 //
     /*  153073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  153076 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  153076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153086 */     GIR_RootConstrainSelectedInstOperands,
     /*  153087 */     // GIR_Coverage, 2226,
     /*  153087 */     GIR_EraseRootFromParent_Done,
     /*  153088 */   // Label 2829: @153088
     /*  153088 */   GIM_Reject,
     /*  153089 */ // Label 2827: @153089
     /*  153089 */ GIM_Reject,
     /*  153090 */ // Label 2822: @153090
     /*  153090 */ GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(153147),
     /*  153095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  153098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153106 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(153126), // Rule ID 2265 //
     /*  153111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  153114 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  153114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153124 */     GIR_RootConstrainSelectedInstOperands,
     /*  153125 */     // GIR_Coverage, 2265,
     /*  153125 */     GIR_EraseRootFromParent_Done,
     /*  153126 */   // Label 2831: @153126
     /*  153126 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(153146), // Rule ID 2266 //
     /*  153131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  153134 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  153134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153144 */     GIR_RootConstrainSelectedInstOperands,
     /*  153145 */     // GIR_Coverage, 2266,
     /*  153145 */     GIR_EraseRootFromParent_Done,
     /*  153146 */   // Label 2832: @153146
     /*  153146 */   GIM_Reject,
     /*  153147 */ // Label 2830: @153147
     /*  153147 */ GIM_Reject,
     /*  153148 */ // Label 2823: @153148
     /*  153148 */ GIM_Reject,
     /*  153149 */ // Label 19: @153149
     /*  153149 */ GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(153187), // Rule ID 281 //
     /*  153154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153157 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153164 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  153164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153169 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  153179 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153185 */   GIR_RootConstrainSelectedInstOperands,
     /*  153186 */   // GIR_Coverage, 281,
     /*  153186 */   GIR_EraseRootFromParent_Done,
     /*  153187 */ // Label 2833: @153187
     /*  153187 */ GIM_Reject,
     /*  153188 */ // Label 20: @153188
     /*  153188 */ GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(153226), // Rule ID 282 //
     /*  153193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153196 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153203 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  153203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153208 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  153218 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153224 */   GIR_RootConstrainSelectedInstOperands,
     /*  153225 */   // GIR_Coverage, 282,
     /*  153225 */   GIR_EraseRootFromParent_Done,
     /*  153226 */ // Label 2834: @153226
     /*  153226 */ GIM_Reject,
     /*  153227 */ // Label 21: @153227
     /*  153227 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2869*/ GIMT_Encode4(163390),
     /*  153238 */ /*GILLT_p0s32*//*Label 2835*/ GIMT_Encode4(153374),
     /*  153242 */ /*GILLT_p0s64*//*Label 2836*/ GIMT_Encode4(153468),
     /*  153246 */ /*GILLT_s16*//*Label 2837*/ GIMT_Encode4(153562),
     /*  153250 */ /*GILLT_s32*//*Label 2838*/ GIMT_Encode4(154209),
     /*  153254 */ /*GILLT_s64*//*Label 2839*/ GIMT_Encode4(156960),
     /*  153258 */ /*GILLT_nxv1s1*//*Label 2840*/ GIMT_Encode4(158084),
     /*  153262 */ /*GILLT_nxv1s8*//*Label 2841*/ GIMT_Encode4(158204),
     /*  153266 */ /*GILLT_nxv1s16*//*Label 2842*/ GIMT_Encode4(158332),
     /*  153270 */ /*GILLT_nxv1s32*//*Label 2843*/ GIMT_Encode4(158570),
     /*  153274 */ /*GILLT_nxv1s64*//*Label 2844*/ GIMT_Encode4(158808),
     /*  153278 */ /*GILLT_nxv2s1*//*Label 2845*/ GIMT_Encode4(159046),
     /*  153282 */ /*GILLT_nxv2s8*//*Label 2846*/ GIMT_Encode4(159166),
     /*  153286 */ /*GILLT_nxv2s16*//*Label 2847*/ GIMT_Encode4(159294),
     /*  153290 */ /*GILLT_nxv2s32*//*Label 2848*/ GIMT_Encode4(159532),
     /*  153294 */ /*GILLT_nxv2s64*//*Label 2849*/ GIMT_Encode4(159770),
     /*  153298 */ /*GILLT_nxv4s1*//*Label 2850*/ GIMT_Encode4(160008),
     /*  153302 */ /*GILLT_nxv4s8*//*Label 2851*/ GIMT_Encode4(160128),
     /*  153306 */ /*GILLT_nxv4s16*//*Label 2852*/ GIMT_Encode4(160256),
     /*  153310 */ /*GILLT_nxv4s32*//*Label 2853*/ GIMT_Encode4(160494),
     /*  153314 */ /*GILLT_nxv4s64*//*Label 2854*/ GIMT_Encode4(160732),
     /*  153318 */ /*GILLT_nxv8s1*//*Label 2855*/ GIMT_Encode4(160970),
     /*  153322 */ /*GILLT_nxv8s8*//*Label 2856*/ GIMT_Encode4(161090),
     /*  153326 */ /*GILLT_nxv8s16*//*Label 2857*/ GIMT_Encode4(161218),
     /*  153330 */ /*GILLT_nxv8s32*//*Label 2858*/ GIMT_Encode4(161456),
     /*  153334 */ /*GILLT_nxv8s64*//*Label 2859*/ GIMT_Encode4(161694),
     /*  153338 */ /*GILLT_nxv16s1*//*Label 2860*/ GIMT_Encode4(161932),
     /*  153342 */ /*GILLT_nxv16s8*//*Label 2861*/ GIMT_Encode4(162052),
     /*  153346 */ /*GILLT_nxv16s16*//*Label 2862*/ GIMT_Encode4(162180),
     /*  153350 */ /*GILLT_nxv16s32*//*Label 2863*/ GIMT_Encode4(162418),
     /*  153354 */ /*GILLT_nxv32s1*//*Label 2864*/ GIMT_Encode4(162656),
     /*  153358 */ /*GILLT_nxv32s8*//*Label 2865*/ GIMT_Encode4(162776),
     /*  153362 */ /*GILLT_nxv32s16*//*Label 2866*/ GIMT_Encode4(162904),
     /*  153366 */ /*GILLT_nxv64s1*//*Label 2867*/ GIMT_Encode4(163142),
     /*  153370 */ /*GILLT_nxv64s8*//*Label 2868*/ GIMT_Encode4(163262),
     /*  153374 */ // Label 2835: @153374
     /*  153374 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(153467),
     /*  153379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153394 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(153430), // Rule ID 64932 //
     /*  153399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  153402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153409 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153428 */     GIR_RootConstrainSelectedInstOperands,
     /*  153429 */     // GIR_Coverage, 64932,
     /*  153429 */     GIR_EraseRootFromParent_Done,
     /*  153430 */   // Label 2871: @153430
     /*  153430 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(153466), // Rule ID 64936 //
     /*  153435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  153438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153445 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153464 */     GIR_RootConstrainSelectedInstOperands,
     /*  153465 */     // GIR_Coverage, 64936,
     /*  153465 */     GIR_EraseRootFromParent_Done,
     /*  153466 */   // Label 2872: @153466
     /*  153466 */   GIM_Reject,
     /*  153467 */ // Label 2870: @153467
     /*  153467 */ GIM_Reject,
     /*  153468 */ // Label 2836: @153468
     /*  153468 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(153561),
     /*  153473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153476 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153488 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(153524), // Rule ID 64931 //
     /*  153493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  153496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153503 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153522 */     GIR_RootConstrainSelectedInstOperands,
     /*  153523 */     // GIR_Coverage, 64931,
     /*  153523 */     GIR_EraseRootFromParent_Done,
     /*  153524 */   // Label 2874: @153524
     /*  153524 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(153560), // Rule ID 64935 //
     /*  153529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153539 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153558 */     GIR_RootConstrainSelectedInstOperands,
     /*  153559 */     // GIR_Coverage, 64935,
     /*  153559 */     GIR_EraseRootFromParent_Done,
     /*  153560 */   // Label 2875: @153560
     /*  153560 */   GIM_Reject,
     /*  153561 */ // Label 2873: @153561
     /*  153561 */ GIM_Reject,
     /*  153562 */ // Label 2837: @153562
     /*  153562 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(153616), // Rule ID 64949 //
     /*  153567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153570 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153573 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153588 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153595 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153610 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153614 */   GIR_RootConstrainSelectedInstOperands,
     /*  153615 */   // GIR_Coverage, 64949,
     /*  153615 */   GIR_EraseRootFromParent_Done,
     /*  153616 */ // Label 2876: @153616
     /*  153616 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(153670), // Rule ID 64950 //
     /*  153621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153624 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153627 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153649 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153668 */   GIR_RootConstrainSelectedInstOperands,
     /*  153669 */   // GIR_Coverage, 64950,
     /*  153669 */   GIR_EraseRootFromParent_Done,
     /*  153670 */ // Label 2877: @153670
     /*  153670 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(153721), // Rule ID 2033 //
     /*  153675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  153678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153681 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153700 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153719 */   GIR_RootConstrainSelectedInstOperands,
     /*  153720 */   // GIR_Coverage, 2033,
     /*  153720 */   GIR_EraseRootFromParent_Done,
     /*  153721 */ // Label 2878: @153721
     /*  153721 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(153772), // Rule ID 2034 //
     /*  153726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  153729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153744 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153751 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153770 */   GIR_RootConstrainSelectedInstOperands,
     /*  153771 */   // GIR_Coverage, 2034,
     /*  153771 */   GIR_EraseRootFromParent_Done,
     /*  153772 */ // Label 2879: @153772
     /*  153772 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(153823), // Rule ID 2039 //
     /*  153777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  153780 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153802 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153821 */   GIR_RootConstrainSelectedInstOperands,
     /*  153822 */   // GIR_Coverage, 2039,
     /*  153822 */   GIR_EraseRootFromParent_Done,
     /*  153823 */ // Label 2880: @153823
     /*  153823 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(153874), // Rule ID 2040 //
     /*  153828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  153831 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153834 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153842 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153853 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153868 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153872 */   GIR_RootConstrainSelectedInstOperands,
     /*  153873 */   // GIR_Coverage, 2040,
     /*  153873 */   GIR_EraseRootFromParent_Done,
     /*  153874 */ // Label 2881: @153874
     /*  153874 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(153925), // Rule ID 64939 //
     /*  153879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153882 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153885 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153893 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153897 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153904 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153909 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153919 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153923 */   GIR_RootConstrainSelectedInstOperands,
     /*  153924 */   // GIR_Coverage, 64939,
     /*  153924 */   GIR_EraseRootFromParent_Done,
     /*  153925 */ // Label 2882: @153925
     /*  153925 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(153976), // Rule ID 64940 //
     /*  153930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  153933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153936 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153944 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153948 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153955 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153974 */   GIR_RootConstrainSelectedInstOperands,
     /*  153975 */   // GIR_Coverage, 64940,
     /*  153975 */   GIR_EraseRootFromParent_Done,
     /*  153976 */ // Label 2883: @153976
     /*  153976 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(154034), // Rule ID 64943 //
     /*  153981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153984 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153987 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153991 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154002 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154006 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154013 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154023 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154028 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154032 */   GIR_RootConstrainSelectedInstOperands,
     /*  154033 */   // GIR_Coverage, 64943,
     /*  154033 */   GIR_EraseRootFromParent_Done,
     /*  154034 */ // Label 2884: @154034
     /*  154034 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(154092), // Rule ID 64944 //
     /*  154039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154042 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154045 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154049 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154060 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154064 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154071 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154086 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154090 */   GIR_RootConstrainSelectedInstOperands,
     /*  154091 */   // GIR_Coverage, 64944,
     /*  154091 */   GIR_EraseRootFromParent_Done,
     /*  154092 */ // Label 2885: @154092
     /*  154092 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(154150), // Rule ID 64947 //
     /*  154097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  154100 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154103 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154122 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154129 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  154132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154139 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154144 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154148 */   GIR_RootConstrainSelectedInstOperands,
     /*  154149 */   // GIR_Coverage, 64947,
     /*  154149 */   GIR_EraseRootFromParent_Done,
     /*  154150 */ // Label 2886: @154150
     /*  154150 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(154208), // Rule ID 64948 //
     /*  154155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  154158 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154161 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154165 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154176 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154180 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154187 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  154190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154197 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154206 */   GIR_RootConstrainSelectedInstOperands,
     /*  154207 */   // GIR_Coverage, 64948,
     /*  154207 */   GIR_EraseRootFromParent_Done,
     /*  154208 */ // Label 2887: @154208
     /*  154208 */ GIM_Reject,
     /*  154209 */ // Label 2838: @154209
     /*  154209 */ GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(154320), // Rule ID 73946 //
     /*  154214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154217 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154220 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154224 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154235 */   // MIs[0] Operand 1
     /*  154235 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154239 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154243 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154247 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154251 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154255 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154259 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154263 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154267 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154271 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154276 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154280 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154284 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154288 */   // MIs[3] Operand 1
     /*  154288 */   // No operand predicates
     /*  154288 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154293 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154295 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154300 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154304 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154308 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154311 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154318 */   GIR_RootConstrainSelectedInstOperands,
     /*  154319 */   // GIR_Coverage, 73946,
     /*  154319 */   GIR_EraseRootFromParent_Done,
     /*  154320 */ // Label 2888: @154320
     /*  154320 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(154431), // Rule ID 73947 //
     /*  154325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154328 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154331 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154335 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154346 */   // MIs[0] Operand 1
     /*  154346 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154350 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154354 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154358 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154362 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154366 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154370 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154374 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154378 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154382 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154387 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154391 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154395 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154399 */   // MIs[3] Operand 1
     /*  154399 */   // No operand predicates
     /*  154399 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154404 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154406 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154411 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154415 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154419 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154422 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154429 */   GIR_RootConstrainSelectedInstOperands,
     /*  154430 */   // GIR_Coverage, 73947,
     /*  154430 */   GIR_EraseRootFromParent_Done,
     /*  154431 */ // Label 2889: @154431
     /*  154431 */ GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(154542), // Rule ID 73950 //
     /*  154436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154442 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154446 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154457 */   // MIs[0] Operand 1
     /*  154457 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154461 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154465 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154469 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154473 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154477 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154481 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154485 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154489 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154493 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154498 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154502 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154506 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154510 */   // MIs[3] Operand 1
     /*  154510 */   // No operand predicates
     /*  154510 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154515 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154517 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154522 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154526 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154530 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154533 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154540 */   GIR_RootConstrainSelectedInstOperands,
     /*  154541 */   // GIR_Coverage, 73950,
     /*  154541 */   GIR_EraseRootFromParent_Done,
     /*  154542 */ // Label 2890: @154542
     /*  154542 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(154653), // Rule ID 73951 //
     /*  154547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154550 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154553 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154557 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154568 */   // MIs[0] Operand 1
     /*  154568 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154572 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154576 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154580 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154584 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154588 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154592 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154596 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154600 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154604 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154609 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154613 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154617 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154621 */   // MIs[3] Operand 1
     /*  154621 */   // No operand predicates
     /*  154621 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154626 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154628 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154633 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154637 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154641 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154644 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154651 */   GIR_RootConstrainSelectedInstOperands,
     /*  154652 */   // GIR_Coverage, 73951,
     /*  154652 */   GIR_EraseRootFromParent_Done,
     /*  154653 */ // Label 2891: @154653
     /*  154653 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(154757), // Rule ID 73952 //
     /*  154658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154661 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154664 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154672 */   // MIs[0] Operand 1
     /*  154672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154684 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154688 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154692 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154696 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154700 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154704 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154708 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154713 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154717 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154721 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154725 */   // MIs[3] Operand 1
     /*  154725 */   // No operand predicates
     /*  154725 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154730 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154732 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154737 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154741 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154745 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154748 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154755 */   GIR_RootConstrainSelectedInstOperands,
     /*  154756 */   // GIR_Coverage, 73952,
     /*  154756 */   GIR_EraseRootFromParent_Done,
     /*  154757 */ // Label 2892: @154757
     /*  154757 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(154861), // Rule ID 73953 //
     /*  154762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154765 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154768 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154776 */   // MIs[0] Operand 1
     /*  154776 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154780 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154784 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154788 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154792 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154796 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154800 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154804 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154808 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154812 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154817 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154821 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154825 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154829 */   // MIs[3] Operand 1
     /*  154829 */   // No operand predicates
     /*  154829 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154834 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154836 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154841 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154845 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154849 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154852 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154859 */   GIR_RootConstrainSelectedInstOperands,
     /*  154860 */   // GIR_Coverage, 73953,
     /*  154860 */   GIR_EraseRootFromParent_Done,
     /*  154861 */ // Label 2893: @154861
     /*  154861 */ GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(154972), // Rule ID 64462 //
     /*  154866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154869 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154872 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154876 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154887 */   // MIs[0] Operand 1
     /*  154887 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154891 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154895 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154899 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154903 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154907 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154912 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154916 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154920 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154924 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154928 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154933 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154937 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154941 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154945 */   // MIs[3] Operand 1
     /*  154945 */   // No operand predicates
     /*  154945 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154947 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154952 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154956 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154960 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154963 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154970 */   GIR_RootConstrainSelectedInstOperands,
     /*  154971 */   // GIR_Coverage, 64462,
     /*  154971 */   GIR_EraseRootFromParent_Done,
     /*  154972 */ // Label 2894: @154972
     /*  154972 */ GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(155083), // Rule ID 64463 //
     /*  154977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154980 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154983 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154987 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154998 */   // MIs[0] Operand 1
     /*  154998 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155002 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155006 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155010 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155014 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155018 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155023 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155027 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155031 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155035 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155039 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155044 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155048 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155052 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155056 */   // MIs[3] Operand 1
     /*  155056 */   // No operand predicates
     /*  155056 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155058 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  155061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155063 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155067 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155071 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155074 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155081 */   GIR_RootConstrainSelectedInstOperands,
     /*  155082 */   // GIR_Coverage, 64463,
     /*  155082 */   GIR_EraseRootFromParent_Done,
     /*  155083 */ // Label 2895: @155083
     /*  155083 */ GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(155194), // Rule ID 64466 //
     /*  155088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155091 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155094 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155098 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155109 */   // MIs[0] Operand 1
     /*  155109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155113 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155117 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155121 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155125 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155129 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155134 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155138 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155142 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155146 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155150 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155155 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155159 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155163 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155167 */   // MIs[3] Operand 1
     /*  155167 */   // No operand predicates
     /*  155167 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155169 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155174 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155178 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155182 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155185 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155192 */   GIR_RootConstrainSelectedInstOperands,
     /*  155193 */   // GIR_Coverage, 64466,
     /*  155193 */   GIR_EraseRootFromParent_Done,
     /*  155194 */ // Label 2896: @155194
     /*  155194 */ GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(155305), // Rule ID 64467 //
     /*  155199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155202 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155205 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155209 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155220 */   // MIs[0] Operand 1
     /*  155220 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155224 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155228 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155232 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155236 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155240 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155245 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155249 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155253 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155257 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155261 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155266 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155270 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155274 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155278 */   // MIs[3] Operand 1
     /*  155278 */   // No operand predicates
     /*  155278 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155280 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155285 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155289 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155293 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155296 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155303 */   GIR_RootConstrainSelectedInstOperands,
     /*  155304 */   // GIR_Coverage, 64467,
     /*  155304 */   GIR_EraseRootFromParent_Done,
     /*  155305 */ // Label 2897: @155305
     /*  155305 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(155409), // Rule ID 64468 //
     /*  155310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155316 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155324 */   // MIs[0] Operand 1
     /*  155324 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155328 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155332 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155336 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155340 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155344 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155349 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155353 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155357 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155361 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155365 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155370 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155374 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155378 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155382 */   // MIs[3] Operand 1
     /*  155382 */   // No operand predicates
     /*  155382 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155384 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155389 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155393 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155397 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155400 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155407 */   GIR_RootConstrainSelectedInstOperands,
     /*  155408 */   // GIR_Coverage, 64468,
     /*  155408 */   GIR_EraseRootFromParent_Done,
     /*  155409 */ // Label 2898: @155409
     /*  155409 */ GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(155513), // Rule ID 64469 //
     /*  155414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155417 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155420 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155428 */   // MIs[0] Operand 1
     /*  155428 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155432 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155436 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155440 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155444 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155448 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155453 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155457 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155461 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155465 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155469 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155474 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155478 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155482 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155486 */   // MIs[3] Operand 1
     /*  155486 */   // No operand predicates
     /*  155486 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155488 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155493 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155497 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155501 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155504 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155511 */   GIR_RootConstrainSelectedInstOperands,
     /*  155512 */   // GIR_Coverage, 64469,
     /*  155512 */   GIR_EraseRootFromParent_Done,
     /*  155513 */ // Label 2899: @155513
     /*  155513 */ GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(155567), // Rule ID 64955 //
     /*  155518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  155521 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155524 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155535 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155539 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155546 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155561 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155565 */   GIR_RootConstrainSelectedInstOperands,
     /*  155566 */   // GIR_Coverage, 64955,
     /*  155566 */   GIR_EraseRootFromParent_Done,
     /*  155567 */ // Label 2900: @155567
     /*  155567 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(155621), // Rule ID 64956 //
     /*  155572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  155575 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155578 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155600 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155615 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155619 */   GIR_RootConstrainSelectedInstOperands,
     /*  155620 */   // GIR_Coverage, 64956,
     /*  155620 */   GIR_EraseRootFromParent_Done,
     /*  155621 */ // Label 2901: @155621
     /*  155621 */ GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(155679), // Rule ID 227 //
     /*  155626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155632 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155647 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155651 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155658 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  155661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155673 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155677 */   GIR_RootConstrainSelectedInstOperands,
     /*  155678 */   // GIR_Coverage, 227,
     /*  155678 */   GIR_EraseRootFromParent_Done,
     /*  155679 */ // Label 2902: @155679
     /*  155679 */ GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(155737), // Rule ID 231 //
     /*  155684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155687 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155690 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155694 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155705 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155709 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155716 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155726 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155731 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155735 */   GIR_RootConstrainSelectedInstOperands,
     /*  155736 */   // GIR_Coverage, 231,
     /*  155736 */   GIR_EraseRootFromParent_Done,
     /*  155737 */ // Label 2903: @155737
     /*  155737 */ GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(155788), // Rule ID 232 //
     /*  155742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155745 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155748 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155756 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155760 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155767 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155777 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155782 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155786 */   GIR_RootConstrainSelectedInstOperands,
     /*  155787 */   // GIR_Coverage, 232,
     /*  155787 */   GIR_EraseRootFromParent_Done,
     /*  155788 */ // Label 2904: @155788
     /*  155788 */ GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(155839), // Rule ID 233 //
     /*  155793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155796 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155799 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155807 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155811 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155818 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155823 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155828 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155833 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155837 */   GIR_RootConstrainSelectedInstOperands,
     /*  155838 */   // GIR_Coverage, 233,
     /*  155838 */   GIR_EraseRootFromParent_Done,
     /*  155839 */ // Label 2905: @155839
     /*  155839 */ GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(155900), // Rule ID 313 //
     /*  155844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155847 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155850 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155854 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155861 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155872 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155879 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10074>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  155882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155894 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155898 */   GIR_RootConstrainSelectedInstOperands,
     /*  155899 */   // GIR_Coverage, 313,
     /*  155899 */   GIR_EraseRootFromParent_Done,
     /*  155900 */ // Label 2906: @155900
     /*  155900 */ GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(155961), // Rule ID 317 //
     /*  155905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155908 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155911 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155915 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155922 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155929 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155933 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155940 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10076>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155945 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155950 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155955 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155959 */   GIR_RootConstrainSelectedInstOperands,
     /*  155960 */   // GIR_Coverage, 317,
     /*  155960 */   GIR_EraseRootFromParent_Done,
     /*  155961 */ // Label 2907: @155961
     /*  155961 */ GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(156022), // Rule ID 327 //
     /*  155966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  155969 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155972 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155976 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155983 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155994 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156001 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10084>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156011 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156016 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156020 */   GIR_RootConstrainSelectedInstOperands,
     /*  156021 */   // GIR_Coverage, 327,
     /*  156021 */   GIR_EraseRootFromParent_Done,
     /*  156022 */ // Label 2908: @156022
     /*  156022 */ GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(156083), // Rule ID 329 //
     /*  156027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  156030 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156033 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156037 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156044 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156051 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156055 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156062 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10086>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156067 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156072 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156077 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156081 */   GIR_RootConstrainSelectedInstOperands,
     /*  156082 */   // GIR_Coverage, 329,
     /*  156082 */   GIR_EraseRootFromParent_Done,
     /*  156083 */ // Label 2909: @156083
     /*  156083 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(156134), // Rule ID 1320 //
     /*  156088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  156091 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156094 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156102 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156106 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156113 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156123 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156128 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156132 */   GIR_RootConstrainSelectedInstOperands,
     /*  156133 */   // GIR_Coverage, 1320,
     /*  156133 */   GIR_EraseRootFromParent_Done,
     /*  156134 */ // Label 2910: @156134
     /*  156134 */ GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(156185), // Rule ID 1321 //
     /*  156139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  156142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156145 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156153 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156157 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156164 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156174 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156179 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156183 */   GIR_RootConstrainSelectedInstOperands,
     /*  156184 */   // GIR_Coverage, 1321,
     /*  156184 */   GIR_EraseRootFromParent_Done,
     /*  156185 */ // Label 2911: @156185
     /*  156185 */ GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(156236), // Rule ID 1326 //
     /*  156190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  156193 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156196 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156208 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156215 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156230 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156234 */   GIR_RootConstrainSelectedInstOperands,
     /*  156235 */   // GIR_Coverage, 1326,
     /*  156235 */   GIR_EraseRootFromParent_Done,
     /*  156236 */ // Label 2912: @156236
     /*  156236 */ GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(156287), // Rule ID 1327 //
     /*  156241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  156244 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156247 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156255 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156259 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156266 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156271 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156281 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156285 */   GIR_RootConstrainSelectedInstOperands,
     /*  156286 */   // GIR_Coverage, 1327,
     /*  156286 */   GIR_EraseRootFromParent_Done,
     /*  156287 */ // Label 2913: @156287
     /*  156287 */ GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(156345), // Rule ID 64959 //
     /*  156292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156295 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156298 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156302 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156313 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156317 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156324 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156329 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156339 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156343 */   GIR_RootConstrainSelectedInstOperands,
     /*  156344 */   // GIR_Coverage, 64959,
     /*  156344 */   GIR_EraseRootFromParent_Done,
     /*  156345 */ // Label 2914: @156345
     /*  156345 */ GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(156403), // Rule ID 64960 //
     /*  156350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156356 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156360 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156371 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156382 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156397 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156401 */   GIR_RootConstrainSelectedInstOperands,
     /*  156402 */   // GIR_Coverage, 64960,
     /*  156402 */   GIR_EraseRootFromParent_Done,
     /*  156403 */ // Label 2915: @156403
     /*  156403 */ GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(156461), // Rule ID 64961 //
     /*  156408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156411 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156414 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156418 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156429 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156433 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156440 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156445 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156450 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156455 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156459 */   GIR_RootConstrainSelectedInstOperands,
     /*  156460 */   // GIR_Coverage, 64961,
     /*  156460 */   GIR_EraseRootFromParent_Done,
     /*  156461 */ // Label 2916: @156461
     /*  156461 */ GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(156519), // Rule ID 64962 //
     /*  156466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156469 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156472 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156476 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156487 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156491 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156498 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156513 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156517 */   GIR_RootConstrainSelectedInstOperands,
     /*  156518 */   // GIR_Coverage, 64962,
     /*  156518 */   GIR_EraseRootFromParent_Done,
     /*  156519 */ // Label 2917: @156519
     /*  156519 */ GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(156563), // Rule ID 1083 //
     /*  156524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156527 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156530 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156534 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156541 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156548 */   // MIs[0] rs1
     /*  156548 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156556 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10572>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156556 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156561 */   GIR_RootConstrainSelectedInstOperands,
     /*  156562 */   // GIR_Coverage, 1083,
     /*  156562 */   GIR_Done,
     /*  156563 */ // Label 2918: @156563
     /*  156563 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(156607), // Rule ID 1087 //
     /*  156568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156571 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156574 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156578 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156585 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156592 */   // MIs[0] rs1
     /*  156592 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156600 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10574>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156600 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156605 */   GIR_RootConstrainSelectedInstOperands,
     /*  156606 */   // GIR_Coverage, 1087,
     /*  156606 */   GIR_Done,
     /*  156607 */ // Label 2919: @156607
     /*  156607 */ GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(156651), // Rule ID 1091 //
     /*  156612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156615 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156618 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156622 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156636 */   // MIs[0] rs1
     /*  156636 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156644 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10576>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156644 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156649 */   GIR_RootConstrainSelectedInstOperands,
     /*  156650 */   // GIR_Coverage, 1091,
     /*  156650 */   GIR_Done,
     /*  156651 */ // Label 2920: @156651
     /*  156651 */ GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(156695), // Rule ID 1095 //
     /*  156656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156659 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156662 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156666 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156673 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156680 */   // MIs[0] rs1
     /*  156680 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156688 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10578>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156688 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156693 */   GIR_RootConstrainSelectedInstOperands,
     /*  156694 */   // GIR_Coverage, 1095,
     /*  156694 */   GIR_Done,
     /*  156695 */ // Label 2921: @156695
     /*  156695 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(156739), // Rule ID 1111 //
     /*  156700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156703 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156706 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156710 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156717 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156724 */   // MIs[0] rs1
     /*  156724 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156732 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10592>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156732 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156737 */   GIR_RootConstrainSelectedInstOperands,
     /*  156738 */   // GIR_Coverage, 1111,
     /*  156738 */   GIR_Done,
     /*  156739 */ // Label 2922: @156739
     /*  156739 */ GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(156783), // Rule ID 1113 //
     /*  156744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156747 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156750 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156754 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156761 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156768 */   // MIs[0] rs1
     /*  156768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156776 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10594>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156776 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156781 */   GIR_RootConstrainSelectedInstOperands,
     /*  156782 */   // GIR_Coverage, 1113,
     /*  156782 */   GIR_Done,
     /*  156783 */ // Label 2923: @156783
     /*  156783 */ GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(156827), // Rule ID 1115 //
     /*  156788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156791 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156794 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156798 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156805 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156812 */   // MIs[0] rs1
     /*  156812 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156820 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10596>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156820 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156825 */   GIR_RootConstrainSelectedInstOperands,
     /*  156826 */   // GIR_Coverage, 1115,
     /*  156826 */   GIR_Done,
     /*  156827 */ // Label 2924: @156827
     /*  156827 */ GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(156871), // Rule ID 1119 //
     /*  156832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156835 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156838 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156842 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156849 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156856 */   // MIs[0] rs1
     /*  156856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156864 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10598>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156864 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156869 */   GIR_RootConstrainSelectedInstOperands,
     /*  156870 */   // GIR_Coverage, 1119,
     /*  156870 */   GIR_Done,
     /*  156871 */ // Label 2925: @156871
     /*  156871 */ GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(156915), // Rule ID 1123 //
     /*  156876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156879 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156882 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156886 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156893 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156900 */   // MIs[0] rs1
     /*  156900 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156908 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10600>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156908 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156913 */   GIR_RootConstrainSelectedInstOperands,
     /*  156914 */   // GIR_Coverage, 1123,
     /*  156914 */   GIR_Done,
     /*  156915 */ // Label 2926: @156915
     /*  156915 */ GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(156959), // Rule ID 1125 //
     /*  156920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156923 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156926 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156930 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156937 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156944 */   // MIs[0] rs1
     /*  156944 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156952 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10602>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156952 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156957 */   GIR_RootConstrainSelectedInstOperands,
     /*  156958 */   // GIR_Coverage, 1125,
     /*  156958 */   GIR_Done,
     /*  156959 */ // Label 2927: @156959
     /*  156959 */ GIM_Reject,
     /*  156960 */ // Label 2839: @156960
     /*  156960 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(157018), // Rule ID 226 //
     /*  156965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  156968 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156971 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156975 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156986 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156990 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156997 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  157000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157002 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157007 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157012 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157016 */   GIR_RootConstrainSelectedInstOperands,
     /*  157017 */   // GIR_Coverage, 226,
     /*  157017 */   GIR_EraseRootFromParent_Done,
     /*  157018 */ // Label 2928: @157018
     /*  157018 */ GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(157076), // Rule ID 230 //
     /*  157023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157026 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157029 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157033 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157044 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157048 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157055 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157060 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157065 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157070 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157074 */   GIR_RootConstrainSelectedInstOperands,
     /*  157075 */   // GIR_Coverage, 230,
     /*  157075 */   GIR_EraseRootFromParent_Done,
     /*  157076 */ // Label 2929: @157076
     /*  157076 */ GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(157134), // Rule ID 276 //
     /*  157081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157084 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157087 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157091 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157102 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157106 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157113 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157123 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157128 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157132 */   GIR_RootConstrainSelectedInstOperands,
     /*  157133 */   // GIR_Coverage, 276,
     /*  157133 */   GIR_EraseRootFromParent_Done,
     /*  157134 */ // Label 2930: @157134
     /*  157134 */ GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(157185), // Rule ID 278 //
     /*  157139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157145 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157153 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157157 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157164 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157174 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157179 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157183 */   GIR_RootConstrainSelectedInstOperands,
     /*  157184 */   // GIR_Coverage, 278,
     /*  157184 */   GIR_EraseRootFromParent_Done,
     /*  157185 */ // Label 2931: @157185
     /*  157185 */ GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(157246), // Rule ID 312 //
     /*  157190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157193 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157196 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157200 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157207 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157214 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157218 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157225 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10074>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  157228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157230 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157235 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157240 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157244 */   GIR_RootConstrainSelectedInstOperands,
     /*  157245 */   // GIR_Coverage, 312,
     /*  157245 */   GIR_EraseRootFromParent_Done,
     /*  157246 */ // Label 2932: @157246
     /*  157246 */ GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(157307), // Rule ID 316 //
     /*  157251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157254 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157257 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157261 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157268 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157275 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157279 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157286 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10076>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157291 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157296 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157301 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157305 */   GIR_RootConstrainSelectedInstOperands,
     /*  157306 */   // GIR_Coverage, 316,
     /*  157306 */   GIR_EraseRootFromParent_Done,
     /*  157307 */ // Label 2933: @157307
     /*  157307 */ GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(157368), // Rule ID 326 //
     /*  157312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  157315 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157318 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157322 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157329 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157336 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157340 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157347 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10084>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157362 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157366 */   GIR_RootConstrainSelectedInstOperands,
     /*  157367 */   // GIR_Coverage, 326,
     /*  157367 */   GIR_EraseRootFromParent_Done,
     /*  157368 */ // Label 2934: @157368
     /*  157368 */ GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(157429), // Rule ID 328 //
     /*  157373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  157376 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157379 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157383 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157390 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157397 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157401 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157408 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10086>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157423 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157427 */   GIR_RootConstrainSelectedInstOperands,
     /*  157428 */   // GIR_Coverage, 328,
     /*  157428 */   GIR_EraseRootFromParent_Done,
     /*  157429 */ // Label 2935: @157429
     /*  157429 */ GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(157490), // Rule ID 332 //
     /*  157434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  157437 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157440 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157444 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157451 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157458 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157462 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157469 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10088>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157479 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157484 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157488 */   GIR_RootConstrainSelectedInstOperands,
     /*  157489 */   // GIR_Coverage, 332,
     /*  157489 */   GIR_EraseRootFromParent_Done,
     /*  157490 */ // Label 2936: @157490
     /*  157490 */ GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(157541), // Rule ID 1718 //
     /*  157495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  157498 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157501 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157509 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157513 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157520 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157535 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157539 */   GIR_RootConstrainSelectedInstOperands,
     /*  157540 */   // GIR_Coverage, 1718,
     /*  157540 */   GIR_EraseRootFromParent_Done,
     /*  157541 */ // Label 2937: @157541
     /*  157541 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(157592), // Rule ID 1719 //
     /*  157546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  157549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157552 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157571 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157590 */   GIR_RootConstrainSelectedInstOperands,
     /*  157591 */   // GIR_Coverage, 1719,
     /*  157591 */   GIR_EraseRootFromParent_Done,
     /*  157592 */ // Label 2938: @157592
     /*  157592 */ GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(157643), // Rule ID 1723 //
     /*  157597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157600 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157603 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157611 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157615 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157622 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157632 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157637 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157641 */   GIR_RootConstrainSelectedInstOperands,
     /*  157642 */   // GIR_Coverage, 1723,
     /*  157642 */   GIR_EraseRootFromParent_Done,
     /*  157643 */ // Label 2939: @157643
     /*  157643 */ GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(157687), // Rule ID 1082 //
     /*  157648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157651 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157654 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157658 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157665 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157672 */   // MIs[0] rs1
     /*  157672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157680 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10572>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157680 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157685 */   GIR_RootConstrainSelectedInstOperands,
     /*  157686 */   // GIR_Coverage, 1082,
     /*  157686 */   GIR_Done,
     /*  157687 */ // Label 2940: @157687
     /*  157687 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(157731), // Rule ID 1086 //
     /*  157692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157695 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157698 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157702 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157709 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157716 */   // MIs[0] rs1
     /*  157716 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157724 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10574>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157724 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157729 */   GIR_RootConstrainSelectedInstOperands,
     /*  157730 */   // GIR_Coverage, 1086,
     /*  157730 */   GIR_Done,
     /*  157731 */ // Label 2941: @157731
     /*  157731 */ GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(157775), // Rule ID 1090 //
     /*  157736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157739 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157742 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157746 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157753 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157760 */   // MIs[0] rs1
     /*  157760 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157768 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10576>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157768 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157773 */   GIR_RootConstrainSelectedInstOperands,
     /*  157774 */   // GIR_Coverage, 1090,
     /*  157774 */   GIR_Done,
     /*  157775 */ // Label 2942: @157775
     /*  157775 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(157819), // Rule ID 1094 //
     /*  157780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157783 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157786 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157790 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157797 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157804 */   // MIs[0] rs1
     /*  157804 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157812 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10578>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157812 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157817 */   GIR_RootConstrainSelectedInstOperands,
     /*  157818 */   // GIR_Coverage, 1094,
     /*  157818 */   GIR_Done,
     /*  157819 */ // Label 2943: @157819
     /*  157819 */ GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(157863), // Rule ID 1110 //
     /*  157824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157827 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157834 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157841 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157848 */   // MIs[0] rs1
     /*  157848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157856 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10592>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157856 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157861 */   GIR_RootConstrainSelectedInstOperands,
     /*  157862 */   // GIR_Coverage, 1110,
     /*  157862 */   GIR_Done,
     /*  157863 */ // Label 2944: @157863
     /*  157863 */ GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(157907), // Rule ID 1112 //
     /*  157868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157871 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157874 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157878 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157885 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157892 */   // MIs[0] rs1
     /*  157892 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157900 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10594>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157905 */   GIR_RootConstrainSelectedInstOperands,
     /*  157906 */   // GIR_Coverage, 1112,
     /*  157906 */   GIR_Done,
     /*  157907 */ // Label 2945: @157907
     /*  157907 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(157951), // Rule ID 1114 //
     /*  157912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157915 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157918 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157922 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157936 */   // MIs[0] rs1
     /*  157936 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157944 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10596>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157944 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157949 */   GIR_RootConstrainSelectedInstOperands,
     /*  157950 */   // GIR_Coverage, 1114,
     /*  157950 */   GIR_Done,
     /*  157951 */ // Label 2946: @157951
     /*  157951 */ GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(157995), // Rule ID 1118 //
     /*  157956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157959 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157962 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157966 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157973 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157980 */   // MIs[0] rs1
     /*  157980 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157988 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10598>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157988 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157993 */   GIR_RootConstrainSelectedInstOperands,
     /*  157994 */   // GIR_Coverage, 1118,
     /*  157994 */   GIR_Done,
     /*  157995 */ // Label 2947: @157995
     /*  157995 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158039), // Rule ID 1122 //
     /*  158000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  158003 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158006 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158010 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  158017 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  158020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158024 */   // MIs[0] rs1
     /*  158024 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158032 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10600>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158032 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  158037 */   GIR_RootConstrainSelectedInstOperands,
     /*  158038 */   // GIR_Coverage, 1122,
     /*  158038 */   GIR_Done,
     /*  158039 */ // Label 2948: @158039
     /*  158039 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158083), // Rule ID 1124 //
     /*  158044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  158047 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158050 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158054 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  158061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  158064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158068 */   // MIs[0] rs1
     /*  158068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158076 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10602>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158076 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  158081 */   GIR_RootConstrainSelectedInstOperands,
     /*  158082 */   // GIR_Coverage, 1124,
     /*  158082 */   GIR_Done,
     /*  158083 */ // Label 2949: @158083
     /*  158083 */ GIM_Reject,
     /*  158084 */ // Label 2840: @158084
     /*  158084 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158203),
     /*  158089 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158092 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158108 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158155), // Rule ID 45613 //
     /*  158113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158116 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  158116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158153 */     GIR_RootConstrainSelectedInstOperands,
     /*  158154 */     // GIR_Coverage, 45613,
     /*  158154 */     GIR_EraseRootFromParent_Done,
     /*  158155 */   // Label 2951: @158155
     /*  158155 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(158202), // Rule ID 45614 //
     /*  158160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158163 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  158163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158200 */     GIR_RootConstrainSelectedInstOperands,
     /*  158201 */     // GIR_Coverage, 45614,
     /*  158201 */     GIR_EraseRootFromParent_Done,
     /*  158202 */   // Label 2952: @158202
     /*  158202 */   GIM_Reject,
     /*  158203 */ // Label 2950: @158203
     /*  158203 */ GIM_Reject,
     /*  158204 */ // Label 2841: @158204
     /*  158204 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(158331),
     /*  158209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158212 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158220 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(158275), // Rule ID 45609 //
     /*  158225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158228 */     // MIs[0] rs1
     /*  158228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158236 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  158236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158273 */     GIR_RootConstrainSelectedInstOperands,
     /*  158274 */     // GIR_Coverage, 45609,
     /*  158274 */     GIR_EraseRootFromParent_Done,
     /*  158275 */   // Label 2954: @158275
     /*  158275 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(158330), // Rule ID 45610 //
     /*  158280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158283 */     // MIs[0] rs1
     /*  158283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158291 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  158291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158328 */     GIR_RootConstrainSelectedInstOperands,
     /*  158329 */     // GIR_Coverage, 45610,
     /*  158329 */     GIR_EraseRootFromParent_Done,
     /*  158330 */   // Label 2955: @158330
     /*  158330 */   GIM_Reject,
     /*  158331 */ // Label 2953: @158331
     /*  158331 */ GIM_Reject,
     /*  158332 */ // Label 2842: @158332
     /*  158332 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(158569),
     /*  158337 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158340 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158348 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(158403), // Rule ID 45805 //
     /*  158353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158356 */     // MIs[0] rs1
     /*  158356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158364 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158397 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158401 */     GIR_RootConstrainSelectedInstOperands,
     /*  158402 */     // GIR_Coverage, 45805,
     /*  158402 */     GIR_EraseRootFromParent_Done,
     /*  158403 */   // Label 2957: @158403
     /*  158403 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(158458), // Rule ID 45806 //
     /*  158408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158411 */     // MIs[0] rs1
     /*  158411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158419 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158456 */     GIR_RootConstrainSelectedInstOperands,
     /*  158457 */     // GIR_Coverage, 45806,
     /*  158457 */     GIR_EraseRootFromParent_Done,
     /*  158458 */   // Label 2958: @158458
     /*  158458 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(158513), // Rule ID 45881 //
     /*  158463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  158466 */     // MIs[0] rs1
     /*  158466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158474 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158511 */     GIR_RootConstrainSelectedInstOperands,
     /*  158512 */     // GIR_Coverage, 45881,
     /*  158512 */     GIR_EraseRootFromParent_Done,
     /*  158513 */   // Label 2959: @158513
     /*  158513 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(158568), // Rule ID 45882 //
     /*  158518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  158521 */     // MIs[0] rs1
     /*  158521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158529 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158566 */     GIR_RootConstrainSelectedInstOperands,
     /*  158567 */     // GIR_Coverage, 45882,
     /*  158567 */     GIR_EraseRootFromParent_Done,
     /*  158568 */   // Label 2960: @158568
     /*  158568 */   GIM_Reject,
     /*  158569 */ // Label 2956: @158569
     /*  158569 */ GIM_Reject,
     /*  158570 */ // Label 2843: @158570
     /*  158570 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(158807),
     /*  158575 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158578 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158586 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(158641), // Rule ID 45813 //
     /*  158591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158594 */     // MIs[0] rs1
     /*  158594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158602 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158639 */     GIR_RootConstrainSelectedInstOperands,
     /*  158640 */     // GIR_Coverage, 45813,
     /*  158640 */     GIR_EraseRootFromParent_Done,
     /*  158641 */   // Label 2962: @158641
     /*  158641 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(158696), // Rule ID 45814 //
     /*  158646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158649 */     // MIs[0] rs1
     /*  158649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158657 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158694 */     GIR_RootConstrainSelectedInstOperands,
     /*  158695 */     // GIR_Coverage, 45814,
     /*  158695 */     GIR_EraseRootFromParent_Done,
     /*  158696 */   // Label 2963: @158696
     /*  158696 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(158751), // Rule ID 45889 //
     /*  158701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  158704 */     // MIs[0] rs1
     /*  158704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158712 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158749 */     GIR_RootConstrainSelectedInstOperands,
     /*  158750 */     // GIR_Coverage, 45889,
     /*  158750 */     GIR_EraseRootFromParent_Done,
     /*  158751 */   // Label 2964: @158751
     /*  158751 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(158806), // Rule ID 45890 //
     /*  158756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  158759 */     // MIs[0] rs1
     /*  158759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158767 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158804 */     GIR_RootConstrainSelectedInstOperands,
     /*  158805 */     // GIR_Coverage, 45890,
     /*  158805 */     GIR_EraseRootFromParent_Done,
     /*  158806 */   // Label 2965: @158806
     /*  158806 */   GIM_Reject,
     /*  158807 */ // Label 2961: @158807
     /*  158807 */ GIM_Reject,
     /*  158808 */ // Label 2844: @158808
     /*  158808 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(159045),
     /*  158813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158816 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158824 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(158879), // Rule ID 45829 //
     /*  158829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158832 */     // MIs[0] rs1
     /*  158832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158840 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158877 */     GIR_RootConstrainSelectedInstOperands,
     /*  158878 */     // GIR_Coverage, 45829,
     /*  158878 */     GIR_EraseRootFromParent_Done,
     /*  158879 */   // Label 2967: @158879
     /*  158879 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(158934), // Rule ID 45830 //
     /*  158884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158887 */     // MIs[0] rs1
     /*  158887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158895 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158932 */     GIR_RootConstrainSelectedInstOperands,
     /*  158933 */     // GIR_Coverage, 45830,
     /*  158933 */     GIR_EraseRootFromParent_Done,
     /*  158934 */   // Label 2968: @158934
     /*  158934 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(158989), // Rule ID 45901 //
     /*  158939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  158942 */     // MIs[0] rs1
     /*  158942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158950 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158987 */     GIR_RootConstrainSelectedInstOperands,
     /*  158988 */     // GIR_Coverage, 45901,
     /*  158988 */     GIR_EraseRootFromParent_Done,
     /*  158989 */   // Label 2969: @158989
     /*  158989 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(159044), // Rule ID 45902 //
     /*  158994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  158997 */     // MIs[0] rs1
     /*  158997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159005 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  159008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  159022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159042 */     GIR_RootConstrainSelectedInstOperands,
     /*  159043 */     // GIR_Coverage, 45902,
     /*  159043 */     GIR_EraseRootFromParent_Done,
     /*  159044 */   // Label 2970: @159044
     /*  159044 */   GIM_Reject,
     /*  159045 */ // Label 2966: @159045
     /*  159045 */ GIM_Reject,
     /*  159046 */ // Label 2845: @159046
     /*  159046 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(159165),
     /*  159051 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159054 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159062 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159070 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(159117), // Rule ID 45941 //
     /*  159075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159078 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  159078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159115 */     GIR_RootConstrainSelectedInstOperands,
     /*  159116 */     // GIR_Coverage, 45941,
     /*  159116 */     GIR_EraseRootFromParent_Done,
     /*  159117 */   // Label 2972: @159117
     /*  159117 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(159164), // Rule ID 45942 //
     /*  159122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159125 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  159125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159162 */     GIR_RootConstrainSelectedInstOperands,
     /*  159163 */     // GIR_Coverage, 45942,
     /*  159163 */     GIR_EraseRootFromParent_Done,
     /*  159164 */   // Label 2973: @159164
     /*  159164 */   GIM_Reject,
     /*  159165 */ // Label 2971: @159165
     /*  159165 */ GIM_Reject,
     /*  159166 */ // Label 2846: @159166
     /*  159166 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(159293),
     /*  159171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159182 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(159237), // Rule ID 45797 //
     /*  159187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159190 */     // MIs[0] rs1
     /*  159190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159198 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  159198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159235 */     GIR_RootConstrainSelectedInstOperands,
     /*  159236 */     // GIR_Coverage, 45797,
     /*  159236 */     GIR_EraseRootFromParent_Done,
     /*  159237 */   // Label 2975: @159237
     /*  159237 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(159292), // Rule ID 45798 //
     /*  159242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159245 */     // MIs[0] rs1
     /*  159245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159253 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  159253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159290 */     GIR_RootConstrainSelectedInstOperands,
     /*  159291 */     // GIR_Coverage, 45798,
     /*  159291 */     GIR_EraseRootFromParent_Done,
     /*  159292 */   // Label 2976: @159292
     /*  159292 */   GIM_Reject,
     /*  159293 */ // Label 2974: @159293
     /*  159293 */ GIM_Reject,
     /*  159294 */ // Label 2847: @159294
     /*  159294 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(159531),
     /*  159299 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159302 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159310 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(159365), // Rule ID 45809 //
     /*  159315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159318 */     // MIs[0] rs1
     /*  159318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159326 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159363 */     GIR_RootConstrainSelectedInstOperands,
     /*  159364 */     // GIR_Coverage, 45809,
     /*  159364 */     GIR_EraseRootFromParent_Done,
     /*  159365 */   // Label 2978: @159365
     /*  159365 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(159420), // Rule ID 45810 //
     /*  159370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159373 */     // MIs[0] rs1
     /*  159373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159381 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159418 */     GIR_RootConstrainSelectedInstOperands,
     /*  159419 */     // GIR_Coverage, 45810,
     /*  159419 */     GIR_EraseRootFromParent_Done,
     /*  159420 */   // Label 2979: @159420
     /*  159420 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(159475), // Rule ID 45885 //
     /*  159425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  159428 */     // MIs[0] rs1
     /*  159428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159436 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159473 */     GIR_RootConstrainSelectedInstOperands,
     /*  159474 */     // GIR_Coverage, 45885,
     /*  159474 */     GIR_EraseRootFromParent_Done,
     /*  159475 */   // Label 2980: @159475
     /*  159475 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(159530), // Rule ID 45886 //
     /*  159480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  159483 */     // MIs[0] rs1
     /*  159483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159491 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159528 */     GIR_RootConstrainSelectedInstOperands,
     /*  159529 */     // GIR_Coverage, 45886,
     /*  159529 */     GIR_EraseRootFromParent_Done,
     /*  159530 */   // Label 2981: @159530
     /*  159530 */   GIM_Reject,
     /*  159531 */ // Label 2977: @159531
     /*  159531 */ GIM_Reject,
     /*  159532 */ // Label 2848: @159532
     /*  159532 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(159769),
     /*  159537 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159540 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159548 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(159603), // Rule ID 45825 //
     /*  159553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159556 */     // MIs[0] rs1
     /*  159556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159564 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159601 */     GIR_RootConstrainSelectedInstOperands,
     /*  159602 */     // GIR_Coverage, 45825,
     /*  159602 */     GIR_EraseRootFromParent_Done,
     /*  159603 */   // Label 2983: @159603
     /*  159603 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(159658), // Rule ID 45826 //
     /*  159608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159611 */     // MIs[0] rs1
     /*  159611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159619 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159656 */     GIR_RootConstrainSelectedInstOperands,
     /*  159657 */     // GIR_Coverage, 45826,
     /*  159657 */     GIR_EraseRootFromParent_Done,
     /*  159658 */   // Label 2984: @159658
     /*  159658 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(159713), // Rule ID 45897 //
     /*  159663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  159666 */     // MIs[0] rs1
     /*  159666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159674 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159711 */     GIR_RootConstrainSelectedInstOperands,
     /*  159712 */     // GIR_Coverage, 45897,
     /*  159712 */     GIR_EraseRootFromParent_Done,
     /*  159713 */   // Label 2985: @159713
     /*  159713 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(159768), // Rule ID 45898 //
     /*  159718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  159721 */     // MIs[0] rs1
     /*  159721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159729 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159766 */     GIR_RootConstrainSelectedInstOperands,
     /*  159767 */     // GIR_Coverage, 45898,
     /*  159767 */     GIR_EraseRootFromParent_Done,
     /*  159768 */   // Label 2986: @159768
     /*  159768 */   GIM_Reject,
     /*  159769 */ // Label 2982: @159769
     /*  159769 */ GIM_Reject,
     /*  159770 */ // Label 2849: @159770
     /*  159770 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(160007),
     /*  159775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159778 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  159786 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(159841), // Rule ID 45869 //
     /*  159791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159794 */     // MIs[0] rs1
     /*  159794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159802 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159839 */     GIR_RootConstrainSelectedInstOperands,
     /*  159840 */     // GIR_Coverage, 45869,
     /*  159840 */     GIR_EraseRootFromParent_Done,
     /*  159841 */   // Label 2988: @159841
     /*  159841 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(159896), // Rule ID 45870 //
     /*  159846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  159849 */     // MIs[0] rs1
     /*  159849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159857 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159894 */     GIR_RootConstrainSelectedInstOperands,
     /*  159895 */     // GIR_Coverage, 45870,
     /*  159895 */     GIR_EraseRootFromParent_Done,
     /*  159896 */   // Label 2989: @159896
     /*  159896 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(159951), // Rule ID 45929 //
     /*  159901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  159904 */     // MIs[0] rs1
     /*  159904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159912 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159949 */     GIR_RootConstrainSelectedInstOperands,
     /*  159950 */     // GIR_Coverage, 45929,
     /*  159950 */     GIR_EraseRootFromParent_Done,
     /*  159951 */   // Label 2990: @159951
     /*  159951 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(160006), // Rule ID 45930 //
     /*  159956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159959 */     // MIs[0] rs1
     /*  159959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159967 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160004 */     GIR_RootConstrainSelectedInstOperands,
     /*  160005 */     // GIR_Coverage, 45930,
     /*  160005 */     GIR_EraseRootFromParent_Done,
     /*  160006 */   // Label 2991: @160006
     /*  160006 */   GIM_Reject,
     /*  160007 */ // Label 2987: @160007
     /*  160007 */ GIM_Reject,
     /*  160008 */ // Label 2850: @160008
     /*  160008 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(160127),
     /*  160013 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160016 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160024 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160032 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(160079), // Rule ID 45945 //
     /*  160037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160040 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  160040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  160043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160077 */     GIR_RootConstrainSelectedInstOperands,
     /*  160078 */     // GIR_Coverage, 45945,
     /*  160078 */     GIR_EraseRootFromParent_Done,
     /*  160079 */   // Label 2993: @160079
     /*  160079 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(160126), // Rule ID 45946 //
     /*  160084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160087 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  160087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  160090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160124 */     GIR_RootConstrainSelectedInstOperands,
     /*  160125 */     // GIR_Coverage, 45946,
     /*  160125 */     GIR_EraseRootFromParent_Done,
     /*  160126 */   // Label 2994: @160126
     /*  160126 */   GIM_Reject,
     /*  160127 */ // Label 2992: @160127
     /*  160127 */ GIM_Reject,
     /*  160128 */ // Label 2851: @160128
     /*  160128 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(160255),
     /*  160133 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160136 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160144 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(160199), // Rule ID 45801 //
     /*  160149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160152 */     // MIs[0] rs1
     /*  160152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160160 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  160160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160197 */     GIR_RootConstrainSelectedInstOperands,
     /*  160198 */     // GIR_Coverage, 45801,
     /*  160198 */     GIR_EraseRootFromParent_Done,
     /*  160199 */   // Label 2996: @160199
     /*  160199 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(160254), // Rule ID 45802 //
     /*  160204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160207 */     // MIs[0] rs1
     /*  160207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160215 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  160215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160252 */     GIR_RootConstrainSelectedInstOperands,
     /*  160253 */     // GIR_Coverage, 45802,
     /*  160253 */     GIR_EraseRootFromParent_Done,
     /*  160254 */   // Label 2997: @160254
     /*  160254 */   GIM_Reject,
     /*  160255 */ // Label 2995: @160255
     /*  160255 */ GIM_Reject,
     /*  160256 */ // Label 2852: @160256
     /*  160256 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(160493),
     /*  160261 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160264 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160272 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(160327), // Rule ID 45821 //
     /*  160277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160280 */     // MIs[0] rs1
     /*  160280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160288 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160325 */     GIR_RootConstrainSelectedInstOperands,
     /*  160326 */     // GIR_Coverage, 45821,
     /*  160326 */     GIR_EraseRootFromParent_Done,
     /*  160327 */   // Label 2999: @160327
     /*  160327 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(160382), // Rule ID 45822 //
     /*  160332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160335 */     // MIs[0] rs1
     /*  160335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160343 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160380 */     GIR_RootConstrainSelectedInstOperands,
     /*  160381 */     // GIR_Coverage, 45822,
     /*  160381 */     GIR_EraseRootFromParent_Done,
     /*  160382 */   // Label 3000: @160382
     /*  160382 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(160437), // Rule ID 45893 //
     /*  160387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  160390 */     // MIs[0] rs1
     /*  160390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160398 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160435 */     GIR_RootConstrainSelectedInstOperands,
     /*  160436 */     // GIR_Coverage, 45893,
     /*  160436 */     GIR_EraseRootFromParent_Done,
     /*  160437 */   // Label 3001: @160437
     /*  160437 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(160492), // Rule ID 45894 //
     /*  160442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  160445 */     // MIs[0] rs1
     /*  160445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160453 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160490 */     GIR_RootConstrainSelectedInstOperands,
     /*  160491 */     // GIR_Coverage, 45894,
     /*  160491 */     GIR_EraseRootFromParent_Done,
     /*  160492 */   // Label 3002: @160492
     /*  160492 */   GIM_Reject,
     /*  160493 */ // Label 2998: @160493
     /*  160493 */ GIM_Reject,
     /*  160494 */ // Label 2853: @160494
     /*  160494 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(160731),
     /*  160499 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160502 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160510 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(160565), // Rule ID 45857 //
     /*  160515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160518 */     // MIs[0] rs1
     /*  160518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160526 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160563 */     GIR_RootConstrainSelectedInstOperands,
     /*  160564 */     // GIR_Coverage, 45857,
     /*  160564 */     GIR_EraseRootFromParent_Done,
     /*  160565 */   // Label 3004: @160565
     /*  160565 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(160620), // Rule ID 45858 //
     /*  160570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160573 */     // MIs[0] rs1
     /*  160573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160581 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160618 */     GIR_RootConstrainSelectedInstOperands,
     /*  160619 */     // GIR_Coverage, 45858,
     /*  160619 */     GIR_EraseRootFromParent_Done,
     /*  160620 */   // Label 3005: @160620
     /*  160620 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(160675), // Rule ID 45917 //
     /*  160625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  160628 */     // MIs[0] rs1
     /*  160628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160636 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160673 */     GIR_RootConstrainSelectedInstOperands,
     /*  160674 */     // GIR_Coverage, 45917,
     /*  160674 */     GIR_EraseRootFromParent_Done,
     /*  160675 */   // Label 3006: @160675
     /*  160675 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(160730), // Rule ID 45918 //
     /*  160680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  160683 */     // MIs[0] rs1
     /*  160683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160691 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160728 */     GIR_RootConstrainSelectedInstOperands,
     /*  160729 */     // GIR_Coverage, 45918,
     /*  160729 */     GIR_EraseRootFromParent_Done,
     /*  160730 */   // Label 3007: @160730
     /*  160730 */   GIM_Reject,
     /*  160731 */ // Label 3003: @160731
     /*  160731 */ GIM_Reject,
     /*  160732 */ // Label 2854: @160732
     /*  160732 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(160969),
     /*  160737 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160740 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160748 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(160803), // Rule ID 45873 //
     /*  160753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  160756 */     // MIs[0] rs1
     /*  160756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160764 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160801 */     GIR_RootConstrainSelectedInstOperands,
     /*  160802 */     // GIR_Coverage, 45873,
     /*  160802 */     GIR_EraseRootFromParent_Done,
     /*  160803 */   // Label 3009: @160803
     /*  160803 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(160858), // Rule ID 45874 //
     /*  160808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  160811 */     // MIs[0] rs1
     /*  160811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160819 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160856 */     GIR_RootConstrainSelectedInstOperands,
     /*  160857 */     // GIR_Coverage, 45874,
     /*  160857 */     GIR_EraseRootFromParent_Done,
     /*  160858 */   // Label 3010: @160858
     /*  160858 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(160913), // Rule ID 45933 //
     /*  160863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  160866 */     // MIs[0] rs1
     /*  160866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160874 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160911 */     GIR_RootConstrainSelectedInstOperands,
     /*  160912 */     // GIR_Coverage, 45933,
     /*  160912 */     GIR_EraseRootFromParent_Done,
     /*  160913 */   // Label 3011: @160913
     /*  160913 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(160968), // Rule ID 45934 //
     /*  160918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  160921 */     // MIs[0] rs1
     /*  160921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160929 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160966 */     GIR_RootConstrainSelectedInstOperands,
     /*  160967 */     // GIR_Coverage, 45934,
     /*  160967 */     GIR_EraseRootFromParent_Done,
     /*  160968 */   // Label 3012: @160968
     /*  160968 */   GIM_Reject,
     /*  160969 */ // Label 3008: @160969
     /*  160969 */ GIM_Reject,
     /*  160970 */ // Label 2855: @160970
     /*  160970 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(161089),
     /*  160975 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160978 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160986 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160994 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(161041), // Rule ID 45949 //
     /*  160999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161002 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  161005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  161019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161039 */     GIR_RootConstrainSelectedInstOperands,
     /*  161040 */     // GIR_Coverage, 45949,
     /*  161040 */     GIR_EraseRootFromParent_Done,
     /*  161041 */   // Label 3014: @161041
     /*  161041 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(161088), // Rule ID 45950 //
     /*  161046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161049 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  161049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  161052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  161066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161086 */     GIR_RootConstrainSelectedInstOperands,
     /*  161087 */     // GIR_Coverage, 45950,
     /*  161087 */     GIR_EraseRootFromParent_Done,
     /*  161088 */   // Label 3015: @161088
     /*  161088 */   GIM_Reject,
     /*  161089 */ // Label 3013: @161089
     /*  161089 */ GIM_Reject,
     /*  161090 */ // Label 2856: @161090
     /*  161090 */ GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(161217),
     /*  161095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161098 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161106 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(161161), // Rule ID 45817 //
     /*  161111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161114 */     // MIs[0] rs1
     /*  161114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161122 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  161122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161159 */     GIR_RootConstrainSelectedInstOperands,
     /*  161160 */     // GIR_Coverage, 45817,
     /*  161160 */     GIR_EraseRootFromParent_Done,
     /*  161161 */   // Label 3017: @161161
     /*  161161 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(161216), // Rule ID 45818 //
     /*  161166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161169 */     // MIs[0] rs1
     /*  161169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161177 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  161177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161214 */     GIR_RootConstrainSelectedInstOperands,
     /*  161215 */     // GIR_Coverage, 45818,
     /*  161215 */     GIR_EraseRootFromParent_Done,
     /*  161216 */   // Label 3018: @161216
     /*  161216 */   GIM_Reject,
     /*  161217 */ // Label 3016: @161217
     /*  161217 */ GIM_Reject,
     /*  161218 */ // Label 2857: @161218
     /*  161218 */ GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(161455),
     /*  161223 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161226 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161234 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(161289), // Rule ID 45845 //
     /*  161239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161242 */     // MIs[0] rs1
     /*  161242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161250 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161287 */     GIR_RootConstrainSelectedInstOperands,
     /*  161288 */     // GIR_Coverage, 45845,
     /*  161288 */     GIR_EraseRootFromParent_Done,
     /*  161289 */   // Label 3020: @161289
     /*  161289 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(161344), // Rule ID 45846 //
     /*  161294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161297 */     // MIs[0] rs1
     /*  161297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161305 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161342 */     GIR_RootConstrainSelectedInstOperands,
     /*  161343 */     // GIR_Coverage, 45846,
     /*  161343 */     GIR_EraseRootFromParent_Done,
     /*  161344 */   // Label 3021: @161344
     /*  161344 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(161399), // Rule ID 45905 //
     /*  161349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  161352 */     // MIs[0] rs1
     /*  161352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161360 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161397 */     GIR_RootConstrainSelectedInstOperands,
     /*  161398 */     // GIR_Coverage, 45905,
     /*  161398 */     GIR_EraseRootFromParent_Done,
     /*  161399 */   // Label 3022: @161399
     /*  161399 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(161454), // Rule ID 45906 //
     /*  161404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  161407 */     // MIs[0] rs1
     /*  161407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161415 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161452 */     GIR_RootConstrainSelectedInstOperands,
     /*  161453 */     // GIR_Coverage, 45906,
     /*  161453 */     GIR_EraseRootFromParent_Done,
     /*  161454 */   // Label 3023: @161454
     /*  161454 */   GIM_Reject,
     /*  161455 */ // Label 3019: @161455
     /*  161455 */ GIM_Reject,
     /*  161456 */ // Label 2858: @161456
     /*  161456 */ GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(161693),
     /*  161461 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161464 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161472 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(161527), // Rule ID 45861 //
     /*  161477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161480 */     // MIs[0] rs1
     /*  161480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161488 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161525 */     GIR_RootConstrainSelectedInstOperands,
     /*  161526 */     // GIR_Coverage, 45861,
     /*  161526 */     GIR_EraseRootFromParent_Done,
     /*  161527 */   // Label 3025: @161527
     /*  161527 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(161582), // Rule ID 45862 //
     /*  161532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161535 */     // MIs[0] rs1
     /*  161535 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161543 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161580 */     GIR_RootConstrainSelectedInstOperands,
     /*  161581 */     // GIR_Coverage, 45862,
     /*  161581 */     GIR_EraseRootFromParent_Done,
     /*  161582 */   // Label 3026: @161582
     /*  161582 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(161637), // Rule ID 45921 //
     /*  161587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  161590 */     // MIs[0] rs1
     /*  161590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161598 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161635 */     GIR_RootConstrainSelectedInstOperands,
     /*  161636 */     // GIR_Coverage, 45921,
     /*  161636 */     GIR_EraseRootFromParent_Done,
     /*  161637 */   // Label 3027: @161637
     /*  161637 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(161692), // Rule ID 45922 //
     /*  161642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  161645 */     // MIs[0] rs1
     /*  161645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161653 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161690 */     GIR_RootConstrainSelectedInstOperands,
     /*  161691 */     // GIR_Coverage, 45922,
     /*  161691 */     GIR_EraseRootFromParent_Done,
     /*  161692 */   // Label 3028: @161692
     /*  161692 */   GIM_Reject,
     /*  161693 */ // Label 3024: @161693
     /*  161693 */ GIM_Reject,
     /*  161694 */ // Label 2859: @161694
     /*  161694 */ GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(161931),
     /*  161699 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161702 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161710 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(161765), // Rule ID 45877 //
     /*  161715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161718 */     // MIs[0] rs1
     /*  161718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161726 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161763 */     GIR_RootConstrainSelectedInstOperands,
     /*  161764 */     // GIR_Coverage, 45877,
     /*  161764 */     GIR_EraseRootFromParent_Done,
     /*  161765 */   // Label 3030: @161765
     /*  161765 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(161820), // Rule ID 45878 //
     /*  161770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161773 */     // MIs[0] rs1
     /*  161773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161781 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161814 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161818 */     GIR_RootConstrainSelectedInstOperands,
     /*  161819 */     // GIR_Coverage, 45878,
     /*  161819 */     GIR_EraseRootFromParent_Done,
     /*  161820 */   // Label 3031: @161820
     /*  161820 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(161875), // Rule ID 45937 //
     /*  161825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  161828 */     // MIs[0] rs1
     /*  161828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161836 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161873 */     GIR_RootConstrainSelectedInstOperands,
     /*  161874 */     // GIR_Coverage, 45937,
     /*  161874 */     GIR_EraseRootFromParent_Done,
     /*  161875 */   // Label 3032: @161875
     /*  161875 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(161930), // Rule ID 45938 //
     /*  161880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  161883 */     // MIs[0] rs1
     /*  161883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161891 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161928 */     GIR_RootConstrainSelectedInstOperands,
     /*  161929 */     // GIR_Coverage, 45938,
     /*  161929 */     GIR_EraseRootFromParent_Done,
     /*  161930 */   // Label 3033: @161930
     /*  161930 */   GIM_Reject,
     /*  161931 */ // Label 3029: @161931
     /*  161931 */ GIM_Reject,
     /*  161932 */ // Label 2860: @161932
     /*  161932 */ GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(162051),
     /*  161937 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161940 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161956 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(162003), // Rule ID 45953 //
     /*  161961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161964 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  161967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  161981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162001 */     GIR_RootConstrainSelectedInstOperands,
     /*  162002 */     // GIR_Coverage, 45953,
     /*  162002 */     GIR_EraseRootFromParent_Done,
     /*  162003 */   // Label 3035: @162003
     /*  162003 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(162050), // Rule ID 45954 //
     /*  162008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162011 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  162014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  162028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162048 */     GIR_RootConstrainSelectedInstOperands,
     /*  162049 */     // GIR_Coverage, 45954,
     /*  162049 */     GIR_EraseRootFromParent_Done,
     /*  162050 */   // Label 3036: @162050
     /*  162050 */   GIM_Reject,
     /*  162051 */ // Label 3034: @162051
     /*  162051 */ GIM_Reject,
     /*  162052 */ // Label 2861: @162052
     /*  162052 */ GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(162179),
     /*  162057 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162060 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162068 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(162123), // Rule ID 45833 //
     /*  162073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162076 */     // MIs[0] rs1
     /*  162076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162084 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162121 */     GIR_RootConstrainSelectedInstOperands,
     /*  162122 */     // GIR_Coverage, 45833,
     /*  162122 */     GIR_EraseRootFromParent_Done,
     /*  162123 */   // Label 3038: @162123
     /*  162123 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(162178), // Rule ID 45834 //
     /*  162128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162131 */     // MIs[0] rs1
     /*  162131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162139 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162176 */     GIR_RootConstrainSelectedInstOperands,
     /*  162177 */     // GIR_Coverage, 45834,
     /*  162177 */     GIR_EraseRootFromParent_Done,
     /*  162178 */   // Label 3039: @162178
     /*  162178 */   GIM_Reject,
     /*  162179 */ // Label 3037: @162179
     /*  162179 */ GIM_Reject,
     /*  162180 */ // Label 2862: @162180
     /*  162180 */ GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(162417),
     /*  162185 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162188 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162196 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(162251), // Rule ID 45849 //
     /*  162201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162204 */     // MIs[0] rs1
     /*  162204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162212 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162249 */     GIR_RootConstrainSelectedInstOperands,
     /*  162250 */     // GIR_Coverage, 45849,
     /*  162250 */     GIR_EraseRootFromParent_Done,
     /*  162251 */   // Label 3041: @162251
     /*  162251 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(162306), // Rule ID 45850 //
     /*  162256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162259 */     // MIs[0] rs1
     /*  162259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162267 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162304 */     GIR_RootConstrainSelectedInstOperands,
     /*  162305 */     // GIR_Coverage, 45850,
     /*  162305 */     GIR_EraseRootFromParent_Done,
     /*  162306 */   // Label 3042: @162306
     /*  162306 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(162361), // Rule ID 45909 //
     /*  162311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162314 */     // MIs[0] rs1
     /*  162314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162322 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162359 */     GIR_RootConstrainSelectedInstOperands,
     /*  162360 */     // GIR_Coverage, 45909,
     /*  162360 */     GIR_EraseRootFromParent_Done,
     /*  162361 */   // Label 3043: @162361
     /*  162361 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(162416), // Rule ID 45910 //
     /*  162366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162369 */     // MIs[0] rs1
     /*  162369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162377 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162414 */     GIR_RootConstrainSelectedInstOperands,
     /*  162415 */     // GIR_Coverage, 45910,
     /*  162415 */     GIR_EraseRootFromParent_Done,
     /*  162416 */   // Label 3044: @162416
     /*  162416 */   GIM_Reject,
     /*  162417 */ // Label 3040: @162417
     /*  162417 */ GIM_Reject,
     /*  162418 */ // Label 2863: @162418
     /*  162418 */ GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(162655),
     /*  162423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162426 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162434 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(162489), // Rule ID 45865 //
     /*  162439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162442 */     // MIs[0] rs1
     /*  162442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162450 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162487 */     GIR_RootConstrainSelectedInstOperands,
     /*  162488 */     // GIR_Coverage, 45865,
     /*  162488 */     GIR_EraseRootFromParent_Done,
     /*  162489 */   // Label 3046: @162489
     /*  162489 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(162544), // Rule ID 45866 //
     /*  162494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162497 */     // MIs[0] rs1
     /*  162497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162505 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162542 */     GIR_RootConstrainSelectedInstOperands,
     /*  162543 */     // GIR_Coverage, 45866,
     /*  162543 */     GIR_EraseRootFromParent_Done,
     /*  162544 */   // Label 3047: @162544
     /*  162544 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(162599), // Rule ID 45925 //
     /*  162549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162552 */     // MIs[0] rs1
     /*  162552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162560 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162597 */     GIR_RootConstrainSelectedInstOperands,
     /*  162598 */     // GIR_Coverage, 45925,
     /*  162598 */     GIR_EraseRootFromParent_Done,
     /*  162599 */   // Label 3048: @162599
     /*  162599 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(162654), // Rule ID 45926 //
     /*  162604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  162607 */     // MIs[0] rs1
     /*  162607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162615 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162652 */     GIR_RootConstrainSelectedInstOperands,
     /*  162653 */     // GIR_Coverage, 45926,
     /*  162653 */     GIR_EraseRootFromParent_Done,
     /*  162654 */   // Label 3049: @162654
     /*  162654 */   GIM_Reject,
     /*  162655 */ // Label 3045: @162655
     /*  162655 */ GIM_Reject,
     /*  162656 */ // Label 2864: @162656
     /*  162656 */ GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(162775),
     /*  162661 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162664 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162680 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(162727), // Rule ID 45957 //
     /*  162685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162688 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162725 */     GIR_RootConstrainSelectedInstOperands,
     /*  162726 */     // GIR_Coverage, 45957,
     /*  162726 */     GIR_EraseRootFromParent_Done,
     /*  162727 */   // Label 3051: @162727
     /*  162727 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(162774), // Rule ID 45958 //
     /*  162732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162735 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162772 */     GIR_RootConstrainSelectedInstOperands,
     /*  162773 */     // GIR_Coverage, 45958,
     /*  162773 */     GIR_EraseRootFromParent_Done,
     /*  162774 */   // Label 3052: @162774
     /*  162774 */   GIM_Reject,
     /*  162775 */ // Label 3050: @162775
     /*  162775 */ GIM_Reject,
     /*  162776 */ // Label 2865: @162776
     /*  162776 */ GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(162903),
     /*  162781 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162784 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162792 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(162847), // Rule ID 45837 //
     /*  162797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162800 */     // MIs[0] rs1
     /*  162800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162808 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162845 */     GIR_RootConstrainSelectedInstOperands,
     /*  162846 */     // GIR_Coverage, 45837,
     /*  162846 */     GIR_EraseRootFromParent_Done,
     /*  162847 */   // Label 3054: @162847
     /*  162847 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(162902), // Rule ID 45838 //
     /*  162852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162855 */     // MIs[0] rs1
     /*  162855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162863 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162900 */     GIR_RootConstrainSelectedInstOperands,
     /*  162901 */     // GIR_Coverage, 45838,
     /*  162901 */     GIR_EraseRootFromParent_Done,
     /*  162902 */   // Label 3055: @162902
     /*  162902 */   GIM_Reject,
     /*  162903 */ // Label 3053: @162903
     /*  162903 */ GIM_Reject,
     /*  162904 */ // Label 2866: @162904
     /*  162904 */ GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(163141),
     /*  162909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162912 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162920 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(162975), // Rule ID 45853 //
     /*  162925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162928 */     // MIs[0] rs1
     /*  162928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162936 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162973 */     GIR_RootConstrainSelectedInstOperands,
     /*  162974 */     // GIR_Coverage, 45853,
     /*  162974 */     GIR_EraseRootFromParent_Done,
     /*  162975 */   // Label 3057: @162975
     /*  162975 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(163030), // Rule ID 45854 //
     /*  162980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162983 */     // MIs[0] rs1
     /*  162983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162991 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163028 */     GIR_RootConstrainSelectedInstOperands,
     /*  163029 */     // GIR_Coverage, 45854,
     /*  163029 */     GIR_EraseRootFromParent_Done,
     /*  163030 */   // Label 3058: @163030
     /*  163030 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(163085), // Rule ID 45913 //
     /*  163035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163038 */     // MIs[0] rs1
     /*  163038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163046 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163083 */     GIR_RootConstrainSelectedInstOperands,
     /*  163084 */     // GIR_Coverage, 45913,
     /*  163084 */     GIR_EraseRootFromParent_Done,
     /*  163085 */   // Label 3059: @163085
     /*  163085 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(163140), // Rule ID 45914 //
     /*  163090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163093 */     // MIs[0] rs1
     /*  163093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163101 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163138 */     GIR_RootConstrainSelectedInstOperands,
     /*  163139 */     // GIR_Coverage, 45914,
     /*  163139 */     GIR_EraseRootFromParent_Done,
     /*  163140 */   // Label 3060: @163140
     /*  163140 */   GIM_Reject,
     /*  163141 */ // Label 3056: @163141
     /*  163141 */ GIM_Reject,
     /*  163142 */ // Label 2867: @163142
     /*  163142 */ GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(163261),
     /*  163147 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163150 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163158 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163166 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(163213), // Rule ID 45961 //
     /*  163171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163174 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163211 */     GIR_RootConstrainSelectedInstOperands,
     /*  163212 */     // GIR_Coverage, 45961,
     /*  163212 */     GIR_EraseRootFromParent_Done,
     /*  163213 */   // Label 3062: @163213
     /*  163213 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(163260), // Rule ID 45962 //
     /*  163218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163221 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163258 */     GIR_RootConstrainSelectedInstOperands,
     /*  163259 */     // GIR_Coverage, 45962,
     /*  163259 */     GIR_EraseRootFromParent_Done,
     /*  163260 */   // Label 3063: @163260
     /*  163260 */   GIM_Reject,
     /*  163261 */ // Label 3061: @163261
     /*  163261 */ GIM_Reject,
     /*  163262 */ // Label 2868: @163262
     /*  163262 */ GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(163389),
     /*  163267 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163270 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163278 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(163333), // Rule ID 45841 //
     /*  163283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163286 */     // MIs[0] rs1
     /*  163286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163294 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163331 */     GIR_RootConstrainSelectedInstOperands,
     /*  163332 */     // GIR_Coverage, 45841,
     /*  163332 */     GIR_EraseRootFromParent_Done,
     /*  163333 */   // Label 3065: @163333
     /*  163333 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(163388), // Rule ID 45842 //
     /*  163338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163341 */     // MIs[0] rs1
     /*  163341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163349 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163386 */     GIR_RootConstrainSelectedInstOperands,
     /*  163387 */     // GIR_Coverage, 45842,
     /*  163387 */     GIR_EraseRootFromParent_Done,
     /*  163388 */   // Label 3066: @163388
     /*  163388 */   GIM_Reject,
     /*  163389 */ // Label 3064: @163389
     /*  163389 */ GIM_Reject,
     /*  163390 */ // Label 2869: @163390
     /*  163390 */ GIM_Reject,
     /*  163391 */ // Label 22: @163391
     /*  163391 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3069*/ GIMT_Encode4(165360),
     /*  163402 */ /*GILLT_s32*//*Label 3067*/ GIMT_Encode4(163410),
     /*  163406 */ /*GILLT_s64*//*Label 3068*/ GIMT_Encode4(164786),
     /*  163410 */ // Label 3067: @163410
     /*  163410 */ GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(163517), // Rule ID 73944 //
     /*  163415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163418 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163421 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163432 */   // MIs[0] Operand 1
     /*  163432 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163436 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163440 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163444 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163448 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163452 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163456 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163460 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163464 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163468 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163473 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163477 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163481 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163485 */   // MIs[3] Operand 1
     /*  163485 */   // No operand predicates
     /*  163485 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163490 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163492 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163497 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163501 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163505 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163508 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163515 */   GIR_RootConstrainSelectedInstOperands,
     /*  163516 */   // GIR_Coverage, 73944,
     /*  163516 */   GIR_EraseRootFromParent_Done,
     /*  163517 */ // Label 3070: @163517
     /*  163517 */ GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(163624), // Rule ID 73945 //
     /*  163522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163525 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163528 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163539 */   // MIs[0] Operand 1
     /*  163539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163543 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163547 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163551 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163555 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163559 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163563 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163567 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163571 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163575 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163580 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163584 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163588 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163592 */   // MIs[3] Operand 1
     /*  163592 */   // No operand predicates
     /*  163592 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163597 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163599 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163604 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163608 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163612 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163615 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163622 */   GIR_RootConstrainSelectedInstOperands,
     /*  163623 */   // GIR_Coverage, 73945,
     /*  163623 */   GIR_EraseRootFromParent_Done,
     /*  163624 */ // Label 3071: @163624
     /*  163624 */ GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(163731), // Rule ID 73948 //
     /*  163629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163632 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163635 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163646 */   // MIs[0] Operand 1
     /*  163646 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163650 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163654 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163658 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163662 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163666 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163670 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163674 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163678 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163682 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163687 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163691 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163695 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163699 */   // MIs[3] Operand 1
     /*  163699 */   // No operand predicates
     /*  163699 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163704 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163706 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163711 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163715 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163719 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163722 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163729 */   GIR_RootConstrainSelectedInstOperands,
     /*  163730 */   // GIR_Coverage, 73948,
     /*  163730 */   GIR_EraseRootFromParent_Done,
     /*  163731 */ // Label 3072: @163731
     /*  163731 */ GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(163838), // Rule ID 73949 //
     /*  163736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163739 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163742 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163753 */   // MIs[0] Operand 1
     /*  163753 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163757 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163761 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163765 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163769 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163773 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163777 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163781 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163785 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163789 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163794 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163798 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163802 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163806 */   // MIs[3] Operand 1
     /*  163806 */   // No operand predicates
     /*  163806 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163811 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163813 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163818 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163822 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163826 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163829 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163836 */   GIR_RootConstrainSelectedInstOperands,
     /*  163837 */   // GIR_Coverage, 73949,
     /*  163837 */   GIR_EraseRootFromParent_Done,
     /*  163838 */ // Label 3073: @163838
     /*  163838 */ GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(163945), // Rule ID 64460 //
     /*  163843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163846 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163849 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163860 */   // MIs[0] Operand 1
     /*  163860 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163864 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163868 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163872 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163876 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163880 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163885 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163889 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163893 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163897 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163901 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163906 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163910 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163914 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163918 */   // MIs[3] Operand 1
     /*  163918 */   // No operand predicates
     /*  163918 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163920 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163925 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163929 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163933 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163936 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163943 */   GIR_RootConstrainSelectedInstOperands,
     /*  163944 */   // GIR_Coverage, 64460,
     /*  163944 */   GIR_EraseRootFromParent_Done,
     /*  163945 */ // Label 3074: @163945
     /*  163945 */ GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(164052), // Rule ID 64461 //
     /*  163950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163953 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163956 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163967 */   // MIs[0] Operand 1
     /*  163967 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163971 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163975 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163979 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163983 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163987 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163992 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163996 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164000 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164004 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164008 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164013 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164017 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164021 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164025 */   // MIs[3] Operand 1
     /*  164025 */   // No operand predicates
     /*  164025 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164027 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  164030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164032 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164036 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164040 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164043 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164050 */   GIR_RootConstrainSelectedInstOperands,
     /*  164051 */   // GIR_Coverage, 64461,
     /*  164051 */   GIR_EraseRootFromParent_Done,
     /*  164052 */ // Label 3075: @164052
     /*  164052 */ GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(164159), // Rule ID 64464 //
     /*  164057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164060 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164063 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164074 */   // MIs[0] Operand 1
     /*  164074 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164078 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164082 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164086 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164090 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164094 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164099 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164103 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164107 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164111 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164115 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164120 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164124 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164128 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164132 */   // MIs[3] Operand 1
     /*  164132 */   // No operand predicates
     /*  164132 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164134 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164139 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164143 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164147 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164150 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164157 */   GIR_RootConstrainSelectedInstOperands,
     /*  164158 */   // GIR_Coverage, 64464,
     /*  164158 */   GIR_EraseRootFromParent_Done,
     /*  164159 */ // Label 3076: @164159
     /*  164159 */ GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(164266), // Rule ID 64465 //
     /*  164164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164167 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164170 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164181 */   // MIs[0] Operand 1
     /*  164181 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164185 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164189 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164193 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164197 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164201 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164206 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164210 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164214 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164218 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164222 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164227 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164231 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164235 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164239 */   // MIs[3] Operand 1
     /*  164239 */   // No operand predicates
     /*  164239 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164241 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164246 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164250 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164254 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164257 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164264 */   GIR_RootConstrainSelectedInstOperands,
     /*  164265 */   // GIR_Coverage, 64465,
     /*  164265 */   GIR_EraseRootFromParent_Done,
     /*  164266 */ // Label 3077: @164266
     /*  164266 */ GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(164320), // Rule ID 225 //
     /*  164271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164274 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164277 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164288 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164292 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164299 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164304 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164309 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164314 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164318 */   GIR_RootConstrainSelectedInstOperands,
     /*  164319 */   // GIR_Coverage, 225,
     /*  164319 */   GIR_EraseRootFromParent_Done,
     /*  164320 */ // Label 3078: @164320
     /*  164320 */ GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(164374), // Rule ID 229 //
     /*  164325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164328 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164331 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164342 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164346 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164353 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164358 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164368 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164372 */   GIR_RootConstrainSelectedInstOperands,
     /*  164373 */   // GIR_Coverage, 229,
     /*  164373 */   GIR_EraseRootFromParent_Done,
     /*  164374 */ // Label 3079: @164374
     /*  164374 */ GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(164431), // Rule ID 315 //
     /*  164379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164382 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164385 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164392 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164399 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164403 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164410 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10074>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164425 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164429 */   GIR_RootConstrainSelectedInstOperands,
     /*  164430 */   // GIR_Coverage, 315,
     /*  164430 */   GIR_EraseRootFromParent_Done,
     /*  164431 */ // Label 3080: @164431
     /*  164431 */ GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(164488), // Rule ID 319 //
     /*  164436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164439 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164442 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164449 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164456 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164460 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164467 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10076>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164472 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164482 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164486 */   GIR_RootConstrainSelectedInstOperands,
     /*  164487 */   // GIR_Coverage, 319,
     /*  164487 */   GIR_EraseRootFromParent_Done,
     /*  164488 */ // Label 3081: @164488
     /*  164488 */ GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(164545), // Rule ID 331 //
     /*  164493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  164496 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164499 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164506 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164513 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164517 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164524 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10086>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164529 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164534 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164539 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164543 */   GIR_RootConstrainSelectedInstOperands,
     /*  164544 */   // GIR_Coverage, 331,
     /*  164544 */   GIR_EraseRootFromParent_Done,
     /*  164545 */ // Label 3082: @164545
     /*  164545 */ GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(164585), // Rule ID 1085 //
     /*  164550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164553 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164556 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164563 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164570 */   // MIs[0] rs1
     /*  164570 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164578 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10572>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164578 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164583 */   GIR_RootConstrainSelectedInstOperands,
     /*  164584 */   // GIR_Coverage, 1085,
     /*  164584 */   GIR_Done,
     /*  164585 */ // Label 3083: @164585
     /*  164585 */ GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(164625), // Rule ID 1089 //
     /*  164590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164593 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164596 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164603 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164610 */   // MIs[0] rs1
     /*  164610 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164618 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10574>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164618 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164623 */   GIR_RootConstrainSelectedInstOperands,
     /*  164624 */   // GIR_Coverage, 1089,
     /*  164624 */   GIR_Done,
     /*  164625 */ // Label 3084: @164625
     /*  164625 */ GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(164665), // Rule ID 1093 //
     /*  164630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164633 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164643 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164650 */   // MIs[0] rs1
     /*  164650 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164658 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10576>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164658 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164663 */   GIR_RootConstrainSelectedInstOperands,
     /*  164664 */   // GIR_Coverage, 1093,
     /*  164664 */   GIR_Done,
     /*  164665 */ // Label 3085: @164665
     /*  164665 */ GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(164705), // Rule ID 1097 //
     /*  164670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164673 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164676 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164683 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164690 */   // MIs[0] rs1
     /*  164690 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164698 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10578>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164698 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164703 */   GIR_RootConstrainSelectedInstOperands,
     /*  164704 */   // GIR_Coverage, 1097,
     /*  164704 */   GIR_Done,
     /*  164705 */ // Label 3086: @164705
     /*  164705 */ GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(164745), // Rule ID 1117 //
     /*  164710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164713 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164716 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164730 */   // MIs[0] rs1
     /*  164730 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164738 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10596>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164738 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164743 */   GIR_RootConstrainSelectedInstOperands,
     /*  164744 */   // GIR_Coverage, 1117,
     /*  164744 */   GIR_Done,
     /*  164745 */ // Label 3087: @164745
     /*  164745 */ GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(164785), // Rule ID 1121 //
     /*  164750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164753 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164756 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164763 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164770 */   // MIs[0] rs1
     /*  164770 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164778 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10598>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164778 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164783 */   GIR_RootConstrainSelectedInstOperands,
     /*  164784 */   // GIR_Coverage, 1121,
     /*  164784 */   GIR_Done,
     /*  164785 */ // Label 3088: @164785
     /*  164785 */ GIM_Reject,
     /*  164786 */ // Label 3068: @164786
     /*  164786 */ GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(164840), // Rule ID 224 //
     /*  164791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164794 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164797 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164808 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164812 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164819 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164824 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164829 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164834 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164838 */   GIR_RootConstrainSelectedInstOperands,
     /*  164839 */   // GIR_Coverage, 224,
     /*  164839 */   GIR_EraseRootFromParent_Done,
     /*  164840 */ // Label 3089: @164840
     /*  164840 */ GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(164894), // Rule ID 228 //
     /*  164845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164848 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164851 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164862 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164866 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164873 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164878 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164883 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164888 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164892 */   GIR_RootConstrainSelectedInstOperands,
     /*  164893 */   // GIR_Coverage, 228,
     /*  164893 */   GIR_EraseRootFromParent_Done,
     /*  164894 */ // Label 3090: @164894
     /*  164894 */ GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(164948), // Rule ID 275 //
     /*  164899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  164902 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164916 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164920 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164927 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164932 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164937 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164942 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164946 */   GIR_RootConstrainSelectedInstOperands,
     /*  164947 */   // GIR_Coverage, 275,
     /*  164947 */   GIR_EraseRootFromParent_Done,
     /*  164948 */ // Label 3091: @164948
     /*  164948 */ GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(165005), // Rule ID 314 //
     /*  164953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164956 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164959 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164966 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164973 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164977 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164984 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10074>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164999 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165003 */   GIR_RootConstrainSelectedInstOperands,
     /*  165004 */   // GIR_Coverage, 314,
     /*  165004 */   GIR_EraseRootFromParent_Done,
     /*  165005 */ // Label 3092: @165005
     /*  165005 */ GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(165062), // Rule ID 318 //
     /*  165010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  165013 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165016 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165023 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165030 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165034 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165041 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10076>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  165044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165056 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165060 */   GIR_RootConstrainSelectedInstOperands,
     /*  165061 */   // GIR_Coverage, 318,
     /*  165061 */   GIR_EraseRootFromParent_Done,
     /*  165062 */ // Label 3093: @165062
     /*  165062 */ GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(165119), // Rule ID 330 //
     /*  165067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  165070 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165073 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165080 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165087 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165091 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165098 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10086>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  165101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165103 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165108 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165113 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165117 */   GIR_RootConstrainSelectedInstOperands,
     /*  165118 */   // GIR_Coverage, 330,
     /*  165118 */   GIR_EraseRootFromParent_Done,
     /*  165119 */ // Label 3094: @165119
     /*  165119 */ GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(165159), // Rule ID 1084 //
     /*  165124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165127 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165130 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165137 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165144 */   // MIs[0] rs1
     /*  165144 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165152 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10572>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165152 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165157 */   GIR_RootConstrainSelectedInstOperands,
     /*  165158 */   // GIR_Coverage, 1084,
     /*  165158 */   GIR_Done,
     /*  165159 */ // Label 3095: @165159
     /*  165159 */ GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(165199), // Rule ID 1088 //
     /*  165164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165167 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165170 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165177 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165184 */   // MIs[0] rs1
     /*  165184 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165192 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10574>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165192 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165197 */   GIR_RootConstrainSelectedInstOperands,
     /*  165198 */   // GIR_Coverage, 1088,
     /*  165198 */   GIR_Done,
     /*  165199 */ // Label 3096: @165199
     /*  165199 */ GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(165239), // Rule ID 1092 //
     /*  165204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165207 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165210 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165217 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165224 */   // MIs[0] rs1
     /*  165224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165232 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10576>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165232 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165237 */   GIR_RootConstrainSelectedInstOperands,
     /*  165238 */   // GIR_Coverage, 1092,
     /*  165238 */   GIR_Done,
     /*  165239 */ // Label 3097: @165239
     /*  165239 */ GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(165279), // Rule ID 1096 //
     /*  165244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165247 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165250 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165264 */   // MIs[0] rs1
     /*  165264 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165272 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10578>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165272 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165277 */   GIR_RootConstrainSelectedInstOperands,
     /*  165278 */   // GIR_Coverage, 1096,
     /*  165278 */   GIR_Done,
     /*  165279 */ // Label 3098: @165279
     /*  165279 */ GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(165319), // Rule ID 1116 //
     /*  165284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165287 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165290 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165297 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165304 */   // MIs[0] rs1
     /*  165304 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165312 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10596>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165312 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165317 */   GIR_RootConstrainSelectedInstOperands,
     /*  165318 */   // GIR_Coverage, 1116,
     /*  165318 */   GIR_Done,
     /*  165319 */ // Label 3099: @165319
     /*  165319 */ GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(165359), // Rule ID 1120 //
     /*  165324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165327 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165330 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165337 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165344 */   // MIs[0] rs1
     /*  165344 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165352 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10598>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165352 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165357 */   GIR_RootConstrainSelectedInstOperands,
     /*  165358 */   // GIR_Coverage, 1120,
     /*  165358 */   GIR_Done,
     /*  165359 */ // Label 3100: @165359
     /*  165359 */ GIM_Reject,
     /*  165360 */ // Label 3069: @165360
     /*  165360 */ GIM_Reject,
     /*  165361 */ // Label 23: @165361
     /*  165361 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3103*/ GIMT_Encode4(166487),
     /*  165372 */ /*GILLT_s32*//*Label 3101*/ GIMT_Encode4(165380),
     /*  165376 */ /*GILLT_s64*//*Label 3102*/ GIMT_Encode4(166324),
     /*  165380 */ // Label 3101: @165380
     /*  165380 */ GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(166323),
     /*  165385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165388 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(165492), // Rule ID 73954 //
     /*  165393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165407 */     // MIs[0] Operand 1
     /*  165407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165439 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165456 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165460 */     // MIs[3] Operand 1
     /*  165460 */     // No operand predicates
     /*  165460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165467 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165490 */     GIR_RootConstrainSelectedInstOperands,
     /*  165491 */     // GIR_Coverage, 73954,
     /*  165491 */     GIR_EraseRootFromParent_Done,
     /*  165492 */   // Label 3105: @165492
     /*  165492 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(165596), // Rule ID 73955 //
     /*  165497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165511 */     // MIs[0] Operand 1
     /*  165511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165560 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165564 */     // MIs[3] Operand 1
     /*  165564 */     // No operand predicates
     /*  165564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165571 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165594 */     GIR_RootConstrainSelectedInstOperands,
     /*  165595 */     // GIR_Coverage, 73955,
     /*  165595 */     GIR_EraseRootFromParent_Done,
     /*  165596 */   // Label 3106: @165596
     /*  165596 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(165700), // Rule ID 73956 //
     /*  165601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165615 */     // MIs[0] Operand 1
     /*  165615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165656 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165660 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165664 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165668 */     // MIs[3] Operand 1
     /*  165668 */     // No operand predicates
     /*  165668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165673 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165675 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165698 */     GIR_RootConstrainSelectedInstOperands,
     /*  165699 */     // GIR_Coverage, 73956,
     /*  165699 */     GIR_EraseRootFromParent_Done,
     /*  165700 */   // Label 3107: @165700
     /*  165700 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(165804), // Rule ID 73957 //
     /*  165705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165719 */     // MIs[0] Operand 1
     /*  165719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165751 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165768 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165772 */     // MIs[3] Operand 1
     /*  165772 */     // No operand predicates
     /*  165772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165777 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165779 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165802 */     GIR_RootConstrainSelectedInstOperands,
     /*  165803 */     // GIR_Coverage, 73957,
     /*  165803 */     GIR_EraseRootFromParent_Done,
     /*  165804 */   // Label 3108: @165804
     /*  165804 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(165908), // Rule ID 64470 //
     /*  165809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165812 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165823 */     // MIs[0] Operand 1
     /*  165823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165877 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165881 */     // MIs[3] Operand 1
     /*  165881 */     // No operand predicates
     /*  165881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165883 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  165892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165906 */     GIR_RootConstrainSelectedInstOperands,
     /*  165907 */     // GIR_Coverage, 64470,
     /*  165907 */     GIR_EraseRootFromParent_Done,
     /*  165908 */   // Label 3109: @165908
     /*  165908 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(166012), // Rule ID 64471 //
     /*  165913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165916 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165927 */     // MIs[0] Operand 1
     /*  165927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165981 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165985 */     // MIs[3] Operand 1
     /*  165985 */     // No operand predicates
     /*  165985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165987 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  165996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166010 */     GIR_RootConstrainSelectedInstOperands,
     /*  166011 */     // GIR_Coverage, 64471,
     /*  166011 */     GIR_EraseRootFromParent_Done,
     /*  166012 */   // Label 3110: @166012
     /*  166012 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(166116), // Rule ID 64472 //
     /*  166017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  166020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166031 */     // MIs[0] Operand 1
     /*  166031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166068 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166085 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166089 */     // MIs[3] Operand 1
     /*  166089 */     // No operand predicates
     /*  166089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166091 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166114 */     GIR_RootConstrainSelectedInstOperands,
     /*  166115 */     // GIR_Coverage, 64472,
     /*  166115 */     GIR_EraseRootFromParent_Done,
     /*  166116 */   // Label 3111: @166116
     /*  166116 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(166220), // Rule ID 64473 //
     /*  166121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166124 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166135 */     // MIs[0] Operand 1
     /*  166135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166151 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166172 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166181 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166185 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166189 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166193 */     // MIs[3] Operand 1
     /*  166193 */     // No operand predicates
     /*  166193 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166195 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166218 */     GIR_RootConstrainSelectedInstOperands,
     /*  166219 */     // GIR_Coverage, 64473,
     /*  166219 */     GIR_EraseRootFromParent_Done,
     /*  166220 */   // Label 3112: @166220
     /*  166220 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(166271), // Rule ID 235 //
     /*  166225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166228 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166250 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166269 */     GIR_RootConstrainSelectedInstOperands,
     /*  166270 */     // GIR_Coverage, 235,
     /*  166270 */     GIR_EraseRootFromParent_Done,
     /*  166271 */   // Label 3113: @166271
     /*  166271 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(166322), // Rule ID 237 //
     /*  166276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166301 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166320 */     GIR_RootConstrainSelectedInstOperands,
     /*  166321 */     // GIR_Coverage, 237,
     /*  166321 */     GIR_EraseRootFromParent_Done,
     /*  166322 */   // Label 3114: @166322
     /*  166322 */   GIM_Reject,
     /*  166323 */ // Label 3104: @166323
     /*  166323 */ GIM_Reject,
     /*  166324 */ // Label 3102: @166324
     /*  166324 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(166486),
     /*  166329 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166332 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(166383), // Rule ID 234 //
     /*  166337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166362 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166381 */     GIR_RootConstrainSelectedInstOperands,
     /*  166382 */     // GIR_Coverage, 234,
     /*  166382 */     GIR_EraseRootFromParent_Done,
     /*  166383 */   // Label 3116: @166383
     /*  166383 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(166434), // Rule ID 236 //
     /*  166388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166413 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166432 */     GIR_RootConstrainSelectedInstOperands,
     /*  166433 */     // GIR_Coverage, 236,
     /*  166433 */     GIR_EraseRootFromParent_Done,
     /*  166434 */   // Label 3117: @166434
     /*  166434 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(166485), // Rule ID 277 //
     /*  166439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  166442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166464 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166483 */     GIR_RootConstrainSelectedInstOperands,
     /*  166484 */     // GIR_Coverage, 277,
     /*  166484 */     GIR_EraseRootFromParent_Done,
     /*  166485 */   // Label 3118: @166485
     /*  166485 */   GIM_Reject,
     /*  166486 */ // Label 3115: @166486
     /*  166486 */ GIM_Reject,
     /*  166487 */ // Label 3103: @166487
     /*  166487 */ GIM_Reject,
     /*  166488 */ // Label 24: @166488
     /*  166488 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3153*/ GIMT_Encode4(174589),
     /*  166499 */ /*GILLT_p0s32*//*Label 3119*/ GIMT_Encode4(166635),
     /*  166503 */ /*GILLT_p0s64*//*Label 3120*/ GIMT_Encode4(166729),
     /*  166507 */ /*GILLT_s16*//*Label 3121*/ GIMT_Encode4(166823),
     /*  166511 */ /*GILLT_s32*//*Label 3122*/ GIMT_Encode4(167462),
     /*  166515 */ /*GILLT_s64*//*Label 3123*/ GIMT_Encode4(170068),
     /*  166519 */ /*GILLT_nxv1s1*//*Label 3124*/ GIMT_Encode4(171043),
     /*  166523 */ /*GILLT_nxv1s8*//*Label 3125*/ GIMT_Encode4(171123),
     /*  166527 */ /*GILLT_nxv1s16*//*Label 3126*/ GIMT_Encode4(171211),
     /*  166531 */ /*GILLT_nxv1s32*//*Label 3127*/ GIMT_Encode4(171369),
     /*  166535 */ /*GILLT_nxv1s64*//*Label 3128*/ GIMT_Encode4(171527),
     /*  166539 */ /*GILLT_nxv2s1*//*Label 3129*/ GIMT_Encode4(171685),
     /*  166543 */ /*GILLT_nxv2s8*//*Label 3130*/ GIMT_Encode4(171765),
     /*  166547 */ /*GILLT_nxv2s16*//*Label 3131*/ GIMT_Encode4(171853),
     /*  166551 */ /*GILLT_nxv2s32*//*Label 3132*/ GIMT_Encode4(172011),
     /*  166555 */ /*GILLT_nxv2s64*//*Label 3133*/ GIMT_Encode4(172169),
     /*  166559 */ /*GILLT_nxv4s1*//*Label 3134*/ GIMT_Encode4(172327),
     /*  166563 */ /*GILLT_nxv4s8*//*Label 3135*/ GIMT_Encode4(172407),
     /*  166567 */ /*GILLT_nxv4s16*//*Label 3136*/ GIMT_Encode4(172495),
     /*  166571 */ /*GILLT_nxv4s32*//*Label 3137*/ GIMT_Encode4(172653),
     /*  166575 */ /*GILLT_nxv4s64*//*Label 3138*/ GIMT_Encode4(172811),
     /*  166579 */ /*GILLT_nxv8s1*//*Label 3139*/ GIMT_Encode4(172969),
     /*  166583 */ /*GILLT_nxv8s8*//*Label 3140*/ GIMT_Encode4(173049),
     /*  166587 */ /*GILLT_nxv8s16*//*Label 3141*/ GIMT_Encode4(173137),
     /*  166591 */ /*GILLT_nxv8s32*//*Label 3142*/ GIMT_Encode4(173295),
     /*  166595 */ /*GILLT_nxv8s64*//*Label 3143*/ GIMT_Encode4(173453),
     /*  166599 */ /*GILLT_nxv16s1*//*Label 3144*/ GIMT_Encode4(173611),
     /*  166603 */ /*GILLT_nxv16s8*//*Label 3145*/ GIMT_Encode4(173691),
     /*  166607 */ /*GILLT_nxv16s16*//*Label 3146*/ GIMT_Encode4(173779),
     /*  166611 */ /*GILLT_nxv16s32*//*Label 3147*/ GIMT_Encode4(173937),
     /*  166615 */ /*GILLT_nxv32s1*//*Label 3148*/ GIMT_Encode4(174095),
     /*  166619 */ /*GILLT_nxv32s8*//*Label 3149*/ GIMT_Encode4(174175),
     /*  166623 */ /*GILLT_nxv32s16*//*Label 3150*/ GIMT_Encode4(174263),
     /*  166627 */ /*GILLT_nxv64s1*//*Label 3151*/ GIMT_Encode4(174421),
     /*  166631 */ /*GILLT_nxv64s8*//*Label 3152*/ GIMT_Encode4(174501),
     /*  166635 */ // Label 3119: @166635
     /*  166635 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(166728),
     /*  166640 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166643 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166651 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166655 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(166691), // Rule ID 64934 //
     /*  166660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  166663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166670 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  166673 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166689 */     GIR_RootConstrainSelectedInstOperands,
     /*  166690 */     // GIR_Coverage, 64934,
     /*  166690 */     GIR_EraseRootFromParent_Done,
     /*  166691 */   // Label 3155: @166691
     /*  166691 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(166727), // Rule ID 64938 //
     /*  166696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  166699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166706 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  166709 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166725 */     GIR_RootConstrainSelectedInstOperands,
     /*  166726 */     // GIR_Coverage, 64938,
     /*  166726 */     GIR_EraseRootFromParent_Done,
     /*  166727 */   // Label 3156: @166727
     /*  166727 */   GIM_Reject,
     /*  166728 */ // Label 3154: @166728
     /*  166728 */ GIM_Reject,
     /*  166729 */ // Label 3120: @166729
     /*  166729 */ GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(166822),
     /*  166734 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166737 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166745 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166749 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(166785), // Rule ID 64933 //
     /*  166754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  166757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166764 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  166767 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166783 */     GIR_RootConstrainSelectedInstOperands,
     /*  166784 */     // GIR_Coverage, 64933,
     /*  166784 */     GIR_EraseRootFromParent_Done,
     /*  166785 */   // Label 3158: @166785
     /*  166785 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(166821), // Rule ID 64937 //
     /*  166790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  166793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166800 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  166803 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166819 */     GIR_RootConstrainSelectedInstOperands,
     /*  166820 */     // GIR_Coverage, 64937,
     /*  166820 */     GIR_EraseRootFromParent_Done,
     /*  166821 */   // Label 3159: @166821
     /*  166821 */   GIM_Reject,
     /*  166822 */ // Label 3157: @166822
     /*  166822 */ GIM_Reject,
     /*  166823 */ // Label 3121: @166823
     /*  166823 */ GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(166877), // Rule ID 64951 //
     /*  166828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166831 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166834 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166845 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166849 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166856 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  166859 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166861 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166866 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166871 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166875 */   GIR_RootConstrainSelectedInstOperands,
     /*  166876 */   // GIR_Coverage, 64951,
     /*  166876 */   GIR_EraseRootFromParent_Done,
     /*  166877 */ // Label 3160: @166877
     /*  166877 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(166931), // Rule ID 64952 //
     /*  166882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166885 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166888 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166903 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166910 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  166913 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166929 */   GIR_RootConstrainSelectedInstOperands,
     /*  166930 */   // GIR_Coverage, 64952,
     /*  166930 */   GIR_EraseRootFromParent_Done,
     /*  166931 */ // Label 3161: @166931
     /*  166931 */ GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(166985), // Rule ID 64953 //
     /*  166936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166939 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166942 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166953 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166957 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166964 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  166967 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166969 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166974 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166979 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166983 */   GIR_RootConstrainSelectedInstOperands,
     /*  166984 */   // GIR_Coverage, 64953,
     /*  166984 */   GIR_EraseRootFromParent_Done,
     /*  166985 */ // Label 3162: @166985
     /*  166985 */ GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(167039), // Rule ID 64954 //
     /*  166990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166993 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166996 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167007 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167011 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167018 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167021 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167023 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167028 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167033 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167037 */   GIR_RootConstrainSelectedInstOperands,
     /*  167038 */   // GIR_Coverage, 64954,
     /*  167038 */   GIR_EraseRootFromParent_Done,
     /*  167039 */ // Label 3163: @167039
     /*  167039 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(167090), // Rule ID 2035 //
     /*  167044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  167047 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167050 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167058 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167062 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167069 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167072 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167084 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167088 */   GIR_RootConstrainSelectedInstOperands,
     /*  167089 */   // GIR_Coverage, 2035,
     /*  167089 */   GIR_EraseRootFromParent_Done,
     /*  167090 */ // Label 3164: @167090
     /*  167090 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(167141), // Rule ID 2036 //
     /*  167095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  167098 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167101 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167113 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167120 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167123 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167135 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167139 */   GIR_RootConstrainSelectedInstOperands,
     /*  167140 */   // GIR_Coverage, 2036,
     /*  167140 */   GIR_EraseRootFromParent_Done,
     /*  167141 */ // Label 3165: @167141
     /*  167141 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(167192), // Rule ID 2041 //
     /*  167146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  167149 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167152 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167160 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167164 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167171 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167174 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167176 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167181 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167186 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167190 */   GIR_RootConstrainSelectedInstOperands,
     /*  167191 */   // GIR_Coverage, 2041,
     /*  167191 */   GIR_EraseRootFromParent_Done,
     /*  167192 */ // Label 3166: @167192
     /*  167192 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(167243), // Rule ID 2042 //
     /*  167197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  167200 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167203 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167211 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167215 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167222 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167225 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167237 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167241 */   GIR_RootConstrainSelectedInstOperands,
     /*  167242 */   // GIR_Coverage, 2042,
     /*  167242 */   GIR_EraseRootFromParent_Done,
     /*  167243 */ // Label 3167: @167243
     /*  167243 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(167294), // Rule ID 64941 //
     /*  167248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167251 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167254 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167262 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167266 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167273 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167276 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167278 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167283 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167288 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167292 */   GIR_RootConstrainSelectedInstOperands,
     /*  167293 */   // GIR_Coverage, 64941,
     /*  167293 */   GIR_EraseRootFromParent_Done,
     /*  167294 */ // Label 3168: @167294
     /*  167294 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(167345), // Rule ID 64942 //
     /*  167299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167302 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167305 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167313 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167317 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167324 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167327 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167329 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167339 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167343 */   GIR_RootConstrainSelectedInstOperands,
     /*  167344 */   // GIR_Coverage, 64942,
     /*  167344 */   GIR_EraseRootFromParent_Done,
     /*  167345 */ // Label 3169: @167345
     /*  167345 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(167403), // Rule ID 64945 //
     /*  167350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167356 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167360 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167371 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167382 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167385 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167397 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167401 */   GIR_RootConstrainSelectedInstOperands,
     /*  167402 */   // GIR_Coverage, 64945,
     /*  167402 */   GIR_EraseRootFromParent_Done,
     /*  167403 */ // Label 3170: @167403
     /*  167403 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(167461), // Rule ID 64946 //
     /*  167408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167411 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167414 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167418 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167429 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167433 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167440 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167443 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167445 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167450 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167455 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167459 */   GIR_RootConstrainSelectedInstOperands,
     /*  167460 */   // GIR_Coverage, 64946,
     /*  167460 */   GIR_EraseRootFromParent_Done,
     /*  167461 */ // Label 3171: @167461
     /*  167461 */ GIM_Reject,
     /*  167462 */ // Label 3122: @167462
     /*  167462 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(167573), // Rule ID 73958 //
     /*  167467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167470 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167473 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167477 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167488 */   // MIs[0] Operand 1
     /*  167488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167492 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167496 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167500 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167504 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167508 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167512 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167516 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167520 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167524 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167529 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167533 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167537 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167541 */   // MIs[3] Operand 1
     /*  167541 */   // No operand predicates
     /*  167541 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167546 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167548 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  167551 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167553 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167557 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167561 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167564 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167571 */   GIR_RootConstrainSelectedInstOperands,
     /*  167572 */   // GIR_Coverage, 73958,
     /*  167572 */   GIR_EraseRootFromParent_Done,
     /*  167573 */ // Label 3172: @167573
     /*  167573 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(167684), // Rule ID 73959 //
     /*  167578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167581 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167584 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167588 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167599 */   // MIs[0] Operand 1
     /*  167599 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167603 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167607 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167611 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167615 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167619 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167623 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167627 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167631 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167635 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167640 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167644 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167648 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167652 */   // MIs[3] Operand 1
     /*  167652 */   // No operand predicates
     /*  167652 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167657 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167659 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  167662 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167664 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167668 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167672 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167675 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167682 */   GIR_RootConstrainSelectedInstOperands,
     /*  167683 */   // GIR_Coverage, 73959,
     /*  167683 */   GIR_EraseRootFromParent_Done,
     /*  167684 */ // Label 3173: @167684
     /*  167684 */ GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(167795), // Rule ID 73960 //
     /*  167689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167692 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167695 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167699 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167710 */   // MIs[0] Operand 1
     /*  167710 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167714 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167718 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167722 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167726 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167730 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167734 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167738 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167742 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167746 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167751 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167755 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167759 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167763 */   // MIs[3] Operand 1
     /*  167763 */   // No operand predicates
     /*  167763 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167768 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167770 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  167773 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167775 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167779 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167783 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167786 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167793 */   GIR_RootConstrainSelectedInstOperands,
     /*  167794 */   // GIR_Coverage, 73960,
     /*  167794 */   GIR_EraseRootFromParent_Done,
     /*  167795 */ // Label 3174: @167795
     /*  167795 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(167906), // Rule ID 73961 //
     /*  167800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167803 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167806 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167810 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167821 */   // MIs[0] Operand 1
     /*  167821 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167825 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167829 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167833 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167837 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167841 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167845 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167849 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167853 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167857 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167862 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167866 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167870 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167874 */   // MIs[3] Operand 1
     /*  167874 */   // No operand predicates
     /*  167874 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167879 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167881 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  167884 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167886 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167890 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167894 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167897 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167904 */   GIR_RootConstrainSelectedInstOperands,
     /*  167905 */   // GIR_Coverage, 73961,
     /*  167905 */   GIR_EraseRootFromParent_Done,
     /*  167906 */ // Label 3175: @167906
     /*  167906 */ GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(168010), // Rule ID 73962 //
     /*  167911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167914 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167917 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167925 */   // MIs[0] Operand 1
     /*  167925 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167929 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167933 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167937 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167941 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167945 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167949 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167953 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167957 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167961 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167966 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167970 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167974 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167978 */   // MIs[3] Operand 1
     /*  167978 */   // No operand predicates
     /*  167978 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167983 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167985 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  167988 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167990 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167994 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167998 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168001 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168008 */   GIR_RootConstrainSelectedInstOperands,
     /*  168009 */   // GIR_Coverage, 73962,
     /*  168009 */   GIR_EraseRootFromParent_Done,
     /*  168010 */ // Label 3176: @168010
     /*  168010 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(168114), // Rule ID 73963 //
     /*  168015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168021 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168029 */   // MIs[0] Operand 1
     /*  168029 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168033 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168037 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168041 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168045 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168049 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168053 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168057 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168061 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168065 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168070 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168074 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168078 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168082 */   // MIs[3] Operand 1
     /*  168082 */   // No operand predicates
     /*  168082 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168087 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168089 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168092 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168094 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168098 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168102 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168112 */   GIR_RootConstrainSelectedInstOperands,
     /*  168113 */   // GIR_Coverage, 73963,
     /*  168113 */   GIR_EraseRootFromParent_Done,
     /*  168114 */ // Label 3177: @168114
     /*  168114 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(168225), // Rule ID 64474 //
     /*  168119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168122 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168125 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168129 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168140 */   // MIs[0] Operand 1
     /*  168140 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168144 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168148 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168152 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168156 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168160 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168165 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168169 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168173 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168177 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168181 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168186 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168190 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168194 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168198 */   // MIs[3] Operand 1
     /*  168198 */   // No operand predicates
     /*  168198 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168200 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168203 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168205 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168209 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168213 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168216 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168223 */   GIR_RootConstrainSelectedInstOperands,
     /*  168224 */   // GIR_Coverage, 64474,
     /*  168224 */   GIR_EraseRootFromParent_Done,
     /*  168225 */ // Label 3178: @168225
     /*  168225 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(168336), // Rule ID 64475 //
     /*  168230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168233 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168236 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168251 */   // MIs[0] Operand 1
     /*  168251 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168255 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168259 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168263 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168267 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168271 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168276 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168280 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168284 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168288 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168292 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168297 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168301 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168305 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168309 */   // MIs[3] Operand 1
     /*  168309 */   // No operand predicates
     /*  168309 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168311 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168314 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168316 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168320 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168324 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168334 */   GIR_RootConstrainSelectedInstOperands,
     /*  168335 */   // GIR_Coverage, 64475,
     /*  168335 */   GIR_EraseRootFromParent_Done,
     /*  168336 */ // Label 3179: @168336
     /*  168336 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(168447), // Rule ID 64476 //
     /*  168341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168344 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168347 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168351 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168362 */   // MIs[0] Operand 1
     /*  168362 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168366 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168370 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168374 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168378 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168382 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168387 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168391 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168395 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168399 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168403 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168408 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168412 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168416 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168420 */   // MIs[3] Operand 1
     /*  168420 */   // No operand predicates
     /*  168420 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168422 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168425 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168427 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168431 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168435 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168438 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168445 */   GIR_RootConstrainSelectedInstOperands,
     /*  168446 */   // GIR_Coverage, 64476,
     /*  168446 */   GIR_EraseRootFromParent_Done,
     /*  168447 */ // Label 3180: @168447
     /*  168447 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(168558), // Rule ID 64477 //
     /*  168452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168458 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168462 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168473 */   // MIs[0] Operand 1
     /*  168473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168477 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168481 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168485 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168489 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168493 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168498 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168502 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168506 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168510 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168514 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168519 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168523 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168527 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168531 */   // MIs[3] Operand 1
     /*  168531 */   // No operand predicates
     /*  168531 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168533 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168536 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168538 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168542 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168546 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168549 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168556 */   GIR_RootConstrainSelectedInstOperands,
     /*  168557 */   // GIR_Coverage, 64477,
     /*  168557 */   GIR_EraseRootFromParent_Done,
     /*  168558 */ // Label 3181: @168558
     /*  168558 */ GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(168662), // Rule ID 64478 //
     /*  168563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168566 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168569 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168577 */   // MIs[0] Operand 1
     /*  168577 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168581 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168585 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168589 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168593 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168597 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168602 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168606 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168610 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168614 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168618 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168623 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168627 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168631 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168635 */   // MIs[3] Operand 1
     /*  168635 */   // No operand predicates
     /*  168635 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168637 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168640 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168642 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168646 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168650 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168653 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168660 */   GIR_RootConstrainSelectedInstOperands,
     /*  168661 */   // GIR_Coverage, 64478,
     /*  168661 */   GIR_EraseRootFromParent_Done,
     /*  168662 */ // Label 3182: @168662
     /*  168662 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(168766), // Rule ID 64479 //
     /*  168667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168670 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168673 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168681 */   // MIs[0] Operand 1
     /*  168681 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168685 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168689 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168693 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168697 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168701 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168706 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168710 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168714 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168718 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168722 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168727 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168731 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168735 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168739 */   // MIs[3] Operand 1
     /*  168739 */   // No operand predicates
     /*  168739 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168741 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168744 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168746 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168750 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168754 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168757 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168764 */   GIR_RootConstrainSelectedInstOperands,
     /*  168765 */   // GIR_Coverage, 64479,
     /*  168765 */   GIR_EraseRootFromParent_Done,
     /*  168766 */ // Label 3183: @168766
     /*  168766 */ GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(168823), // Rule ID 321 //
     /*  168771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168774 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168777 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168784 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168802 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10078>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  168805 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168821 */   GIR_RootConstrainSelectedInstOperands,
     /*  168822 */   // GIR_Coverage, 321,
     /*  168822 */   GIR_EraseRootFromParent_Done,
     /*  168823 */ // Label 3184: @168823
     /*  168823 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(168880), // Rule ID 323 //
     /*  168828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168831 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168834 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168841 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168852 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168859 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10080>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  168862 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168878 */   GIR_RootConstrainSelectedInstOperands,
     /*  168879 */   // GIR_Coverage, 323,
     /*  168879 */   GIR_EraseRootFromParent_Done,
     /*  168880 */ // Label 3185: @168880
     /*  168880 */ GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(168937), // Rule ID 325 //
     /*  168885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168888 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168891 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168898 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168905 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168909 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168916 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10082>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168919 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168921 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168926 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168931 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168935 */   GIR_RootConstrainSelectedInstOperands,
     /*  168936 */   // GIR_Coverage, 325,
     /*  168936 */   GIR_EraseRootFromParent_Done,
     /*  168937 */ // Label 3186: @168937
     /*  168937 */ GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(168991), // Rule ID 64957 //
     /*  168942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  168945 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168948 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168959 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168963 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168970 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168973 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168975 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168985 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168989 */   GIR_RootConstrainSelectedInstOperands,
     /*  168990 */   // GIR_Coverage, 64957,
     /*  168990 */   GIR_EraseRootFromParent_Done,
     /*  168991 */ // Label 3187: @168991
     /*  168991 */ GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(169045), // Rule ID 64958 //
     /*  168996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  168999 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169002 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169013 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169017 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169024 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169027 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169029 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169034 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169039 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169043 */   GIR_RootConstrainSelectedInstOperands,
     /*  169044 */   // GIR_Coverage, 64958,
     /*  169044 */   GIR_EraseRootFromParent_Done,
     /*  169045 */ // Label 3188: @169045
     /*  169045 */ GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(169103), // Rule ID 239 //
     /*  169050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169053 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169056 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169060 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169071 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169082 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169085 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169097 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169101 */   GIR_RootConstrainSelectedInstOperands,
     /*  169102 */   // GIR_Coverage, 239,
     /*  169102 */   GIR_EraseRootFromParent_Done,
     /*  169103 */ // Label 3189: @169103
     /*  169103 */ GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(169161), // Rule ID 241 //
     /*  169108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169111 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169114 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169129 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169133 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169140 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169143 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169155 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169159 */   GIR_RootConstrainSelectedInstOperands,
     /*  169160 */   // GIR_Coverage, 241,
     /*  169160 */   GIR_EraseRootFromParent_Done,
     /*  169161 */ // Label 3190: @169161
     /*  169161 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(169212), // Rule ID 242 //
     /*  169166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169172 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169180 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169184 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169191 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169194 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169196 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169206 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169210 */   GIR_RootConstrainSelectedInstOperands,
     /*  169211 */   // GIR_Coverage, 242,
     /*  169211 */   GIR_EraseRootFromParent_Done,
     /*  169212 */ // Label 3191: @169212
     /*  169212 */ GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(169263), // Rule ID 243 //
     /*  169217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169220 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169223 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169231 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169235 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169242 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169245 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169247 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169257 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169261 */   GIR_RootConstrainSelectedInstOperands,
     /*  169262 */   // GIR_Coverage, 243,
     /*  169262 */   GIR_EraseRootFromParent_Done,
     /*  169263 */ // Label 3192: @169263
     /*  169263 */ GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(169314), // Rule ID 1322 //
     /*  169268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  169271 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169274 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169282 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169286 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169293 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169296 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169303 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169308 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169312 */   GIR_RootConstrainSelectedInstOperands,
     /*  169313 */   // GIR_Coverage, 1322,
     /*  169313 */   GIR_EraseRootFromParent_Done,
     /*  169314 */ // Label 3193: @169314
     /*  169314 */ GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(169365), // Rule ID 1323 //
     /*  169319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  169322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169325 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169333 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169337 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169344 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169347 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169359 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169363 */   GIR_RootConstrainSelectedInstOperands,
     /*  169364 */   // GIR_Coverage, 1323,
     /*  169364 */   GIR_EraseRootFromParent_Done,
     /*  169365 */ // Label 3194: @169365
     /*  169365 */ GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(169416), // Rule ID 1328 //
     /*  169370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  169373 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169376 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169384 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169388 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169395 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169398 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169410 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169414 */   GIR_RootConstrainSelectedInstOperands,
     /*  169415 */   // GIR_Coverage, 1328,
     /*  169415 */   GIR_EraseRootFromParent_Done,
     /*  169416 */ // Label 3195: @169416
     /*  169416 */ GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(169467), // Rule ID 1329 //
     /*  169421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  169424 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169427 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169435 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169439 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169446 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169449 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169456 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169461 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169465 */   GIR_RootConstrainSelectedInstOperands,
     /*  169466 */   // GIR_Coverage, 1329,
     /*  169466 */   GIR_EraseRootFromParent_Done,
     /*  169467 */ // Label 3196: @169467
     /*  169467 */ GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(169525), // Rule ID 64963 //
     /*  169472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169475 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169478 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169482 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169493 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169497 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169504 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169507 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169523 */   GIR_RootConstrainSelectedInstOperands,
     /*  169524 */   // GIR_Coverage, 64963,
     /*  169524 */   GIR_EraseRootFromParent_Done,
     /*  169525 */ // Label 3197: @169525
     /*  169525 */ GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(169583), // Rule ID 64964 //
     /*  169530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  169533 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169536 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169540 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169551 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169555 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169562 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169565 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169577 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169581 */   GIR_RootConstrainSelectedInstOperands,
     /*  169582 */   // GIR_Coverage, 64964,
     /*  169582 */   GIR_EraseRootFromParent_Done,
     /*  169583 */ // Label 3198: @169583
     /*  169583 */ GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(169641), // Rule ID 64965 //
     /*  169588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169591 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169594 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169598 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169609 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169613 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169620 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169623 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169635 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169639 */   GIR_RootConstrainSelectedInstOperands,
     /*  169640 */   // GIR_Coverage, 64965,
     /*  169640 */   GIR_EraseRootFromParent_Done,
     /*  169641 */ // Label 3199: @169641
     /*  169641 */ GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(169699), // Rule ID 64966 //
     /*  169646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  169649 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169652 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169656 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169667 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169671 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169678 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169681 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169693 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169697 */   GIR_RootConstrainSelectedInstOperands,
     /*  169698 */   // GIR_Coverage, 64966,
     /*  169698 */   GIR_EraseRootFromParent_Done,
     /*  169699 */ // Label 3200: @169699
     /*  169699 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(169745), // Rule ID 1099 //
     /*  169704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169707 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169710 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169717 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169724 */   // MIs[0] rs1
     /*  169724 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169732 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10580>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  169735 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169737 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169739 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169743 */   GIR_RootConstrainSelectedInstOperands,
     /*  169744 */   // GIR_Coverage, 1099,
     /*  169744 */   GIR_EraseRootFromParent_Done,
     /*  169745 */ // Label 3201: @169745
     /*  169745 */ GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(169791), // Rule ID 1101 //
     /*  169750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169753 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169756 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169763 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169770 */   // MIs[0] rs1
     /*  169770 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169778 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10582>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  169781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169783 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169789 */   GIR_RootConstrainSelectedInstOperands,
     /*  169790 */   // GIR_Coverage, 1101,
     /*  169790 */   GIR_EraseRootFromParent_Done,
     /*  169791 */ // Label 3202: @169791
     /*  169791 */ GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(169837), // Rule ID 1103 //
     /*  169796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169799 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169802 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169816 */   // MIs[0] rs1
     /*  169816 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169824 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10584>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  169827 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169829 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169831 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169835 */   GIR_RootConstrainSelectedInstOperands,
     /*  169836 */   // GIR_Coverage, 1103,
     /*  169836 */   GIR_EraseRootFromParent_Done,
     /*  169837 */ // Label 3203: @169837
     /*  169837 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(169883), // Rule ID 1105 //
     /*  169842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169845 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169848 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169862 */   // MIs[0] rs1
     /*  169862 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169870 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10586>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  169873 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169875 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169877 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169881 */   GIR_RootConstrainSelectedInstOperands,
     /*  169882 */   // GIR_Coverage, 1105,
     /*  169882 */   GIR_EraseRootFromParent_Done,
     /*  169883 */ // Label 3204: @169883
     /*  169883 */ GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(169929), // Rule ID 1107 //
     /*  169888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169891 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169894 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169908 */   // MIs[0] rs1
     /*  169908 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169916 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10588>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  169919 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169921 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169923 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169927 */   GIR_RootConstrainSelectedInstOperands,
     /*  169928 */   // GIR_Coverage, 1107,
     /*  169928 */   GIR_EraseRootFromParent_Done,
     /*  169929 */ // Label 3205: @169929
     /*  169929 */ GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(169975), // Rule ID 1109 //
     /*  169934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169937 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169940 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169947 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169954 */   // MIs[0] rs1
     /*  169954 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169962 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10590>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  169965 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169967 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169969 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169973 */   GIR_RootConstrainSelectedInstOperands,
     /*  169974 */   // GIR_Coverage, 1109,
     /*  169974 */   GIR_EraseRootFromParent_Done,
     /*  169975 */ // Label 3206: @169975
     /*  169975 */ GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(170021), // Rule ID 1127 //
     /*  169980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  169983 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169986 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  169993 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170000 */   // MIs[0] rs1
     /*  170000 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170008 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10604>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170011 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170013 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170015 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170019 */   GIR_RootConstrainSelectedInstOperands,
     /*  170020 */   // GIR_Coverage, 1127,
     /*  170020 */   GIR_EraseRootFromParent_Done,
     /*  170021 */ // Label 3207: @170021
     /*  170021 */ GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(170067), // Rule ID 1129 //
     /*  170026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  170029 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170032 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170039 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170046 */   // MIs[0] rs1
     /*  170046 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170054 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10606>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170057 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170059 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170061 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170065 */   GIR_RootConstrainSelectedInstOperands,
     /*  170066 */   // GIR_Coverage, 1129,
     /*  170066 */   GIR_EraseRootFromParent_Done,
     /*  170067 */ // Label 3208: @170067
     /*  170067 */ GIM_Reject,
     /*  170068 */ // Label 3123: @170068
     /*  170068 */ GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(170125), // Rule ID 320 //
     /*  170073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170076 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170079 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170086 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170093 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170097 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170104 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10078>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170107 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170109 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170114 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170119 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170123 */   GIR_RootConstrainSelectedInstOperands,
     /*  170124 */   // GIR_Coverage, 320,
     /*  170124 */   GIR_EraseRootFromParent_Done,
     /*  170125 */ // Label 3209: @170125
     /*  170125 */ GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(170182), // Rule ID 322 //
     /*  170130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170133 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170136 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170143 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170150 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170154 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170161 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10080>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170164 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170166 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170176 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170180 */   GIR_RootConstrainSelectedInstOperands,
     /*  170181 */   // GIR_Coverage, 322,
     /*  170181 */   GIR_EraseRootFromParent_Done,
     /*  170182 */ // Label 3210: @170182
     /*  170182 */ GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(170239), // Rule ID 324 //
     /*  170187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170190 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170193 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170200 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170207 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170211 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170218 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10082>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170221 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170228 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170233 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170237 */   GIR_RootConstrainSelectedInstOperands,
     /*  170238 */   // GIR_Coverage, 324,
     /*  170238 */   GIR_EraseRootFromParent_Done,
     /*  170239 */ // Label 3211: @170239
     /*  170239 */ GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(170296), // Rule ID 333 //
     /*  170244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  170247 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170250 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170257 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170264 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170268 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170275 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10090>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170278 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170280 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170285 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170290 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170294 */   GIR_RootConstrainSelectedInstOperands,
     /*  170295 */   // GIR_Coverage, 333,
     /*  170295 */   GIR_EraseRootFromParent_Done,
     /*  170296 */ // Label 3212: @170296
     /*  170296 */ GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(170354), // Rule ID 238 //
     /*  170301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170304 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170307 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170311 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170322 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170326 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170333 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170336 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170348 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170352 */   GIR_RootConstrainSelectedInstOperands,
     /*  170353 */   // GIR_Coverage, 238,
     /*  170353 */   GIR_EraseRootFromParent_Done,
     /*  170354 */ // Label 3213: @170354
     /*  170354 */ GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(170412), // Rule ID 240 //
     /*  170359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170362 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170365 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170369 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170384 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170391 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170394 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170406 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170410 */   GIR_RootConstrainSelectedInstOperands,
     /*  170411 */   // GIR_Coverage, 240,
     /*  170411 */   GIR_EraseRootFromParent_Done,
     /*  170412 */ // Label 3214: @170412
     /*  170412 */ GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(170470), // Rule ID 279 //
     /*  170417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170420 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170423 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170427 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170438 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170442 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170449 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170452 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170454 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170459 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170464 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170468 */   GIR_RootConstrainSelectedInstOperands,
     /*  170469 */   // GIR_Coverage, 279,
     /*  170469 */   GIR_EraseRootFromParent_Done,
     /*  170470 */ // Label 3215: @170470
     /*  170470 */ GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(170521), // Rule ID 280 //
     /*  170475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170478 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170481 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170489 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170493 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170500 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170503 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170505 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170510 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170515 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170519 */   GIR_RootConstrainSelectedInstOperands,
     /*  170520 */   // GIR_Coverage, 280,
     /*  170520 */   GIR_EraseRootFromParent_Done,
     /*  170521 */ // Label 3216: @170521
     /*  170521 */ GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(170572), // Rule ID 1720 //
     /*  170526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  170529 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170532 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170540 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170544 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170551 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170554 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170566 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170570 */   GIR_RootConstrainSelectedInstOperands,
     /*  170571 */   // GIR_Coverage, 1720,
     /*  170571 */   GIR_EraseRootFromParent_Done,
     /*  170572 */ // Label 3217: @170572
     /*  170572 */ GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(170623), // Rule ID 1721 //
     /*  170577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  170580 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170583 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170591 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170595 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170602 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170605 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170617 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170621 */   GIR_RootConstrainSelectedInstOperands,
     /*  170622 */   // GIR_Coverage, 1721,
     /*  170622 */   GIR_EraseRootFromParent_Done,
     /*  170623 */ // Label 3218: @170623
     /*  170623 */ GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(170674), // Rule ID 1724 //
     /*  170628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  170631 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170634 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170642 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170646 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170653 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170656 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170668 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170672 */   GIR_RootConstrainSelectedInstOperands,
     /*  170673 */   // GIR_Coverage, 1724,
     /*  170673 */   GIR_EraseRootFromParent_Done,
     /*  170674 */ // Label 3219: @170674
     /*  170674 */ GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(170720), // Rule ID 1098 //
     /*  170679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170682 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170685 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170692 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170699 */   // MIs[0] rs1
     /*  170699 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170707 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10580>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170712 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170714 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170718 */   GIR_RootConstrainSelectedInstOperands,
     /*  170719 */   // GIR_Coverage, 1098,
     /*  170719 */   GIR_EraseRootFromParent_Done,
     /*  170720 */ // Label 3220: @170720
     /*  170720 */ GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(170766), // Rule ID 1100 //
     /*  170725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170728 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170731 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170738 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170745 */   // MIs[0] rs1
     /*  170745 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170753 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10582>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170758 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170760 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170764 */   GIR_RootConstrainSelectedInstOperands,
     /*  170765 */   // GIR_Coverage, 1100,
     /*  170765 */   GIR_EraseRootFromParent_Done,
     /*  170766 */ // Label 3221: @170766
     /*  170766 */ GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(170812), // Rule ID 1102 //
     /*  170771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170774 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170777 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170784 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170791 */   // MIs[0] rs1
     /*  170791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170799 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10584>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170802 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170804 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170806 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170810 */   GIR_RootConstrainSelectedInstOperands,
     /*  170811 */   // GIR_Coverage, 1102,
     /*  170811 */   GIR_EraseRootFromParent_Done,
     /*  170812 */ // Label 3222: @170812
     /*  170812 */ GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(170858), // Rule ID 1104 //
     /*  170817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170820 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170823 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170830 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170837 */   // MIs[0] rs1
     /*  170837 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170845 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10586>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170850 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170852 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170856 */   GIR_RootConstrainSelectedInstOperands,
     /*  170857 */   // GIR_Coverage, 1104,
     /*  170857 */   GIR_EraseRootFromParent_Done,
     /*  170858 */ // Label 3223: @170858
     /*  170858 */ GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(170904), // Rule ID 1106 //
     /*  170863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170866 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170869 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170876 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170883 */   // MIs[0] rs1
     /*  170883 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170891 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10588>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170894 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170896 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170902 */   GIR_RootConstrainSelectedInstOperands,
     /*  170903 */   // GIR_Coverage, 1106,
     /*  170903 */   GIR_EraseRootFromParent_Done,
     /*  170904 */ // Label 3224: @170904
     /*  170904 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(170950), // Rule ID 1108 //
     /*  170909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170912 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170915 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170929 */   // MIs[0] rs1
     /*  170929 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170937 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10590>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170940 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170942 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170944 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170948 */   GIR_RootConstrainSelectedInstOperands,
     /*  170949 */   // GIR_Coverage, 1108,
     /*  170949 */   GIR_EraseRootFromParent_Done,
     /*  170950 */ // Label 3225: @170950
     /*  170950 */ GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(170996), // Rule ID 1126 //
     /*  170955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  170958 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170961 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170968 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170975 */   // MIs[0] rs1
     /*  170975 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170983 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10604>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170988 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170990 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170994 */   GIR_RootConstrainSelectedInstOperands,
     /*  170995 */   // GIR_Coverage, 1126,
     /*  170995 */   GIR_EraseRootFromParent_Done,
     /*  170996 */ // Label 3226: @170996
     /*  170996 */ GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(171042), // Rule ID 1128 //
     /*  171001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  171004 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171007 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171014 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171021 */   // MIs[0] rs1
     /*  171021 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171029 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10606>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  171032 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171034 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171040 */   GIR_RootConstrainSelectedInstOperands,
     /*  171041 */   // GIR_Coverage, 1128,
     /*  171041 */   GIR_EraseRootFromParent_Done,
     /*  171042 */ // Label 3227: @171042
     /*  171042 */ GIM_Reject,
     /*  171043 */ // Label 3124: @171043
     /*  171043 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(171122),
     /*  171048 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171051 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171059 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171067 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(171094), // Rule ID 45615 //
     /*  171072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171075 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171078 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171092 */     GIR_RootConstrainSelectedInstOperands,
     /*  171093 */     // GIR_Coverage, 45615,
     /*  171093 */     GIR_EraseRootFromParent_Done,
     /*  171094 */   // Label 3229: @171094
     /*  171094 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(171121), // Rule ID 45616 //
     /*  171099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171102 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171105 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171119 */     GIR_RootConstrainSelectedInstOperands,
     /*  171120 */     // GIR_Coverage, 45616,
     /*  171120 */     GIR_EraseRootFromParent_Done,
     /*  171121 */   // Label 3230: @171121
     /*  171121 */   GIM_Reject,
     /*  171122 */ // Label 3228: @171122
     /*  171122 */ GIM_Reject,
     /*  171123 */ // Label 3125: @171123
     /*  171123 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(171210),
     /*  171128 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171131 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171139 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(171174), // Rule ID 45611 //
     /*  171144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171147 */     // MIs[0] rs1
     /*  171147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171155 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171158 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171172 */     GIR_RootConstrainSelectedInstOperands,
     /*  171173 */     // GIR_Coverage, 45611,
     /*  171173 */     GIR_EraseRootFromParent_Done,
     /*  171174 */   // Label 3232: @171174
     /*  171174 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(171209), // Rule ID 45612 //
     /*  171179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171182 */     // MIs[0] rs1
     /*  171182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171190 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171193 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171207 */     GIR_RootConstrainSelectedInstOperands,
     /*  171208 */     // GIR_Coverage, 45612,
     /*  171208 */     GIR_EraseRootFromParent_Done,
     /*  171209 */   // Label 3233: @171209
     /*  171209 */   GIM_Reject,
     /*  171210 */ // Label 3231: @171210
     /*  171210 */ GIM_Reject,
     /*  171211 */ // Label 3126: @171211
     /*  171211 */ GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(171368),
     /*  171216 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171219 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171227 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(171262), // Rule ID 45807 //
     /*  171232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171235 */     // MIs[0] rs1
     /*  171235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171243 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171246 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171260 */     GIR_RootConstrainSelectedInstOperands,
     /*  171261 */     // GIR_Coverage, 45807,
     /*  171261 */     GIR_EraseRootFromParent_Done,
     /*  171262 */   // Label 3235: @171262
     /*  171262 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(171297), // Rule ID 45808 //
     /*  171267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171270 */     // MIs[0] rs1
     /*  171270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171278 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171281 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171295 */     GIR_RootConstrainSelectedInstOperands,
     /*  171296 */     // GIR_Coverage, 45808,
     /*  171296 */     GIR_EraseRootFromParent_Done,
     /*  171297 */   // Label 3236: @171297
     /*  171297 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(171332), // Rule ID 45883 //
     /*  171302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171305 */     // MIs[0] rs1
     /*  171305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171313 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171316 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171330 */     GIR_RootConstrainSelectedInstOperands,
     /*  171331 */     // GIR_Coverage, 45883,
     /*  171331 */     GIR_EraseRootFromParent_Done,
     /*  171332 */   // Label 3237: @171332
     /*  171332 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(171367), // Rule ID 45884 //
     /*  171337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  171340 */     // MIs[0] rs1
     /*  171340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171348 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171351 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171365 */     GIR_RootConstrainSelectedInstOperands,
     /*  171366 */     // GIR_Coverage, 45884,
     /*  171366 */     GIR_EraseRootFromParent_Done,
     /*  171367 */   // Label 3238: @171367
     /*  171367 */   GIM_Reject,
     /*  171368 */ // Label 3234: @171368
     /*  171368 */ GIM_Reject,
     /*  171369 */ // Label 3127: @171369
     /*  171369 */ GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(171526),
     /*  171374 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171377 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171385 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(171420), // Rule ID 45815 //
     /*  171390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171393 */     // MIs[0] rs1
     /*  171393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171401 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171404 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171418 */     GIR_RootConstrainSelectedInstOperands,
     /*  171419 */     // GIR_Coverage, 45815,
     /*  171419 */     GIR_EraseRootFromParent_Done,
     /*  171420 */   // Label 3240: @171420
     /*  171420 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(171455), // Rule ID 45816 //
     /*  171425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171428 */     // MIs[0] rs1
     /*  171428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171436 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171439 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171453 */     GIR_RootConstrainSelectedInstOperands,
     /*  171454 */     // GIR_Coverage, 45816,
     /*  171454 */     GIR_EraseRootFromParent_Done,
     /*  171455 */   // Label 3241: @171455
     /*  171455 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(171490), // Rule ID 45891 //
     /*  171460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  171463 */     // MIs[0] rs1
     /*  171463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171471 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171474 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171488 */     GIR_RootConstrainSelectedInstOperands,
     /*  171489 */     // GIR_Coverage, 45891,
     /*  171489 */     GIR_EraseRootFromParent_Done,
     /*  171490 */   // Label 3242: @171490
     /*  171490 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(171525), // Rule ID 45892 //
     /*  171495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  171498 */     // MIs[0] rs1
     /*  171498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171506 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171509 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171523 */     GIR_RootConstrainSelectedInstOperands,
     /*  171524 */     // GIR_Coverage, 45892,
     /*  171524 */     GIR_EraseRootFromParent_Done,
     /*  171525 */   // Label 3243: @171525
     /*  171525 */   GIM_Reject,
     /*  171526 */ // Label 3239: @171526
     /*  171526 */ GIM_Reject,
     /*  171527 */ // Label 3128: @171527
     /*  171527 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(171684),
     /*  171532 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171535 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171543 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(171578), // Rule ID 45831 //
     /*  171548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  171551 */     // MIs[0] rs1
     /*  171551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171559 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171562 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171576 */     GIR_RootConstrainSelectedInstOperands,
     /*  171577 */     // GIR_Coverage, 45831,
     /*  171577 */     GIR_EraseRootFromParent_Done,
     /*  171578 */   // Label 3245: @171578
     /*  171578 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(171613), // Rule ID 45832 //
     /*  171583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  171586 */     // MIs[0] rs1
     /*  171586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171594 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171597 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171611 */     GIR_RootConstrainSelectedInstOperands,
     /*  171612 */     // GIR_Coverage, 45832,
     /*  171612 */     GIR_EraseRootFromParent_Done,
     /*  171613 */   // Label 3246: @171613
     /*  171613 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(171648), // Rule ID 45903 //
     /*  171618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  171621 */     // MIs[0] rs1
     /*  171621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171629 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171632 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171646 */     GIR_RootConstrainSelectedInstOperands,
     /*  171647 */     // GIR_Coverage, 45903,
     /*  171647 */     GIR_EraseRootFromParent_Done,
     /*  171648 */   // Label 3247: @171648
     /*  171648 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(171683), // Rule ID 45904 //
     /*  171653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  171656 */     // MIs[0] rs1
     /*  171656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171664 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171667 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171681 */     GIR_RootConstrainSelectedInstOperands,
     /*  171682 */     // GIR_Coverage, 45904,
     /*  171682 */     GIR_EraseRootFromParent_Done,
     /*  171683 */   // Label 3248: @171683
     /*  171683 */   GIM_Reject,
     /*  171684 */ // Label 3244: @171684
     /*  171684 */ GIM_Reject,
     /*  171685 */ // Label 3129: @171685
     /*  171685 */ GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(171764),
     /*  171690 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171693 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171701 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171709 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(171736), // Rule ID 45943 //
     /*  171714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171717 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  171720 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171734 */     GIR_RootConstrainSelectedInstOperands,
     /*  171735 */     // GIR_Coverage, 45943,
     /*  171735 */     GIR_EraseRootFromParent_Done,
     /*  171736 */   // Label 3250: @171736
     /*  171736 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(171763), // Rule ID 45944 //
     /*  171741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171744 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  171747 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171761 */     GIR_RootConstrainSelectedInstOperands,
     /*  171762 */     // GIR_Coverage, 45944,
     /*  171762 */     GIR_EraseRootFromParent_Done,
     /*  171763 */   // Label 3251: @171763
     /*  171763 */   GIM_Reject,
     /*  171764 */ // Label 3249: @171764
     /*  171764 */ GIM_Reject,
     /*  171765 */ // Label 3130: @171765
     /*  171765 */ GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(171852),
     /*  171770 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171773 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171781 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(171816), // Rule ID 45799 //
     /*  171786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171789 */     // MIs[0] rs1
     /*  171789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171797 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  171800 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171814 */     GIR_RootConstrainSelectedInstOperands,
     /*  171815 */     // GIR_Coverage, 45799,
     /*  171815 */     GIR_EraseRootFromParent_Done,
     /*  171816 */   // Label 3253: @171816
     /*  171816 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(171851), // Rule ID 45800 //
     /*  171821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171824 */     // MIs[0] rs1
     /*  171824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171832 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  171835 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171849 */     GIR_RootConstrainSelectedInstOperands,
     /*  171850 */     // GIR_Coverage, 45800,
     /*  171850 */     GIR_EraseRootFromParent_Done,
     /*  171851 */   // Label 3254: @171851
     /*  171851 */   GIM_Reject,
     /*  171852 */ // Label 3252: @171852
     /*  171852 */ GIM_Reject,
     /*  171853 */ // Label 3131: @171853
     /*  171853 */ GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(172010),
     /*  171858 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171861 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171869 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(171904), // Rule ID 45811 //
     /*  171874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171877 */     // MIs[0] rs1
     /*  171877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171885 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171888 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171902 */     GIR_RootConstrainSelectedInstOperands,
     /*  171903 */     // GIR_Coverage, 45811,
     /*  171903 */     GIR_EraseRootFromParent_Done,
     /*  171904 */   // Label 3256: @171904
     /*  171904 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(171939), // Rule ID 45812 //
     /*  171909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171912 */     // MIs[0] rs1
     /*  171912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171920 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171923 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171937 */     GIR_RootConstrainSelectedInstOperands,
     /*  171938 */     // GIR_Coverage, 45812,
     /*  171938 */     GIR_EraseRootFromParent_Done,
     /*  171939 */   // Label 3257: @171939
     /*  171939 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(171974), // Rule ID 45887 //
     /*  171944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171947 */     // MIs[0] rs1
     /*  171947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171955 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171958 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171972 */     GIR_RootConstrainSelectedInstOperands,
     /*  171973 */     // GIR_Coverage, 45887,
     /*  171973 */     GIR_EraseRootFromParent_Done,
     /*  171974 */   // Label 3258: @171974
     /*  171974 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(172009), // Rule ID 45888 //
     /*  171979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  171982 */     // MIs[0] rs1
     /*  171982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171990 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171993 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172007 */     GIR_RootConstrainSelectedInstOperands,
     /*  172008 */     // GIR_Coverage, 45888,
     /*  172008 */     GIR_EraseRootFromParent_Done,
     /*  172009 */   // Label 3259: @172009
     /*  172009 */   GIM_Reject,
     /*  172010 */ // Label 3255: @172010
     /*  172010 */ GIM_Reject,
     /*  172011 */ // Label 3132: @172011
     /*  172011 */ GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(172168),
     /*  172016 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172019 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172027 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(172062), // Rule ID 45827 //
     /*  172032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172035 */     // MIs[0] rs1
     /*  172035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172043 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172046 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172060 */     GIR_RootConstrainSelectedInstOperands,
     /*  172061 */     // GIR_Coverage, 45827,
     /*  172061 */     GIR_EraseRootFromParent_Done,
     /*  172062 */   // Label 3261: @172062
     /*  172062 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(172097), // Rule ID 45828 //
     /*  172067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172070 */     // MIs[0] rs1
     /*  172070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172078 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172081 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172095 */     GIR_RootConstrainSelectedInstOperands,
     /*  172096 */     // GIR_Coverage, 45828,
     /*  172096 */     GIR_EraseRootFromParent_Done,
     /*  172097 */   // Label 3262: @172097
     /*  172097 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(172132), // Rule ID 45899 //
     /*  172102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172105 */     // MIs[0] rs1
     /*  172105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172113 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172116 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172130 */     GIR_RootConstrainSelectedInstOperands,
     /*  172131 */     // GIR_Coverage, 45899,
     /*  172131 */     GIR_EraseRootFromParent_Done,
     /*  172132 */   // Label 3263: @172132
     /*  172132 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(172167), // Rule ID 45900 //
     /*  172137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172140 */     // MIs[0] rs1
     /*  172140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172148 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172151 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172165 */     GIR_RootConstrainSelectedInstOperands,
     /*  172166 */     // GIR_Coverage, 45900,
     /*  172166 */     GIR_EraseRootFromParent_Done,
     /*  172167 */   // Label 3264: @172167
     /*  172167 */   GIM_Reject,
     /*  172168 */ // Label 3260: @172168
     /*  172168 */ GIM_Reject,
     /*  172169 */ // Label 3133: @172169
     /*  172169 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(172326),
     /*  172174 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172177 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172185 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(172220), // Rule ID 45871 //
     /*  172190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172193 */     // MIs[0] rs1
     /*  172193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172201 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172204 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172218 */     GIR_RootConstrainSelectedInstOperands,
     /*  172219 */     // GIR_Coverage, 45871,
     /*  172219 */     GIR_EraseRootFromParent_Done,
     /*  172220 */   // Label 3266: @172220
     /*  172220 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(172255), // Rule ID 45872 //
     /*  172225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172228 */     // MIs[0] rs1
     /*  172228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172236 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172239 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172253 */     GIR_RootConstrainSelectedInstOperands,
     /*  172254 */     // GIR_Coverage, 45872,
     /*  172254 */     GIR_EraseRootFromParent_Done,
     /*  172255 */   // Label 3267: @172255
     /*  172255 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(172290), // Rule ID 45931 //
     /*  172260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172263 */     // MIs[0] rs1
     /*  172263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172271 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172274 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172288 */     GIR_RootConstrainSelectedInstOperands,
     /*  172289 */     // GIR_Coverage, 45931,
     /*  172289 */     GIR_EraseRootFromParent_Done,
     /*  172290 */   // Label 3268: @172290
     /*  172290 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(172325), // Rule ID 45932 //
     /*  172295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172298 */     // MIs[0] rs1
     /*  172298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172306 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172309 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172323 */     GIR_RootConstrainSelectedInstOperands,
     /*  172324 */     // GIR_Coverage, 45932,
     /*  172324 */     GIR_EraseRootFromParent_Done,
     /*  172325 */   // Label 3269: @172325
     /*  172325 */   GIM_Reject,
     /*  172326 */ // Label 3265: @172326
     /*  172326 */ GIM_Reject,
     /*  172327 */ // Label 3134: @172327
     /*  172327 */ GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(172406),
     /*  172332 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172335 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172343 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172351 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(172378), // Rule ID 45947 //
     /*  172356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172359 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172362 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172376 */     GIR_RootConstrainSelectedInstOperands,
     /*  172377 */     // GIR_Coverage, 45947,
     /*  172377 */     GIR_EraseRootFromParent_Done,
     /*  172378 */   // Label 3271: @172378
     /*  172378 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(172405), // Rule ID 45948 //
     /*  172383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172386 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172389 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172403 */     GIR_RootConstrainSelectedInstOperands,
     /*  172404 */     // GIR_Coverage, 45948,
     /*  172404 */     GIR_EraseRootFromParent_Done,
     /*  172405 */   // Label 3272: @172405
     /*  172405 */   GIM_Reject,
     /*  172406 */ // Label 3270: @172406
     /*  172406 */ GIM_Reject,
     /*  172407 */ // Label 3135: @172407
     /*  172407 */ GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(172494),
     /*  172412 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172415 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172423 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(172458), // Rule ID 45803 //
     /*  172428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172431 */     // MIs[0] rs1
     /*  172431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172439 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172442 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172456 */     GIR_RootConstrainSelectedInstOperands,
     /*  172457 */     // GIR_Coverage, 45803,
     /*  172457 */     GIR_EraseRootFromParent_Done,
     /*  172458 */   // Label 3274: @172458
     /*  172458 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(172493), // Rule ID 45804 //
     /*  172463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172466 */     // MIs[0] rs1
     /*  172466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172474 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172477 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172491 */     GIR_RootConstrainSelectedInstOperands,
     /*  172492 */     // GIR_Coverage, 45804,
     /*  172492 */     GIR_EraseRootFromParent_Done,
     /*  172493 */   // Label 3275: @172493
     /*  172493 */   GIM_Reject,
     /*  172494 */ // Label 3273: @172494
     /*  172494 */ GIM_Reject,
     /*  172495 */ // Label 3136: @172495
     /*  172495 */ GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(172652),
     /*  172500 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172503 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172511 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(172546), // Rule ID 45823 //
     /*  172516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172519 */     // MIs[0] rs1
     /*  172519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172527 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172530 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172544 */     GIR_RootConstrainSelectedInstOperands,
     /*  172545 */     // GIR_Coverage, 45823,
     /*  172545 */     GIR_EraseRootFromParent_Done,
     /*  172546 */   // Label 3277: @172546
     /*  172546 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(172581), // Rule ID 45824 //
     /*  172551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172554 */     // MIs[0] rs1
     /*  172554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172562 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172565 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172579 */     GIR_RootConstrainSelectedInstOperands,
     /*  172580 */     // GIR_Coverage, 45824,
     /*  172580 */     GIR_EraseRootFromParent_Done,
     /*  172581 */   // Label 3278: @172581
     /*  172581 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(172616), // Rule ID 45895 //
     /*  172586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172589 */     // MIs[0] rs1
     /*  172589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172597 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172600 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172614 */     GIR_RootConstrainSelectedInstOperands,
     /*  172615 */     // GIR_Coverage, 45895,
     /*  172615 */     GIR_EraseRootFromParent_Done,
     /*  172616 */   // Label 3279: @172616
     /*  172616 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(172651), // Rule ID 45896 //
     /*  172621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  172624 */     // MIs[0] rs1
     /*  172624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172632 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172635 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172649 */     GIR_RootConstrainSelectedInstOperands,
     /*  172650 */     // GIR_Coverage, 45896,
     /*  172650 */     GIR_EraseRootFromParent_Done,
     /*  172651 */   // Label 3280: @172651
     /*  172651 */   GIM_Reject,
     /*  172652 */ // Label 3276: @172652
     /*  172652 */ GIM_Reject,
     /*  172653 */ // Label 3137: @172653
     /*  172653 */ GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(172810),
     /*  172658 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172661 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172669 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(172704), // Rule ID 45859 //
     /*  172674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172677 */     // MIs[0] rs1
     /*  172677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172685 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172688 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172702 */     GIR_RootConstrainSelectedInstOperands,
     /*  172703 */     // GIR_Coverage, 45859,
     /*  172703 */     GIR_EraseRootFromParent_Done,
     /*  172704 */   // Label 3282: @172704
     /*  172704 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(172739), // Rule ID 45860 //
     /*  172709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172712 */     // MIs[0] rs1
     /*  172712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172720 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172723 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172737 */     GIR_RootConstrainSelectedInstOperands,
     /*  172738 */     // GIR_Coverage, 45860,
     /*  172738 */     GIR_EraseRootFromParent_Done,
     /*  172739 */   // Label 3283: @172739
     /*  172739 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(172774), // Rule ID 45919 //
     /*  172744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172747 */     // MIs[0] rs1
     /*  172747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172755 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172758 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172772 */     GIR_RootConstrainSelectedInstOperands,
     /*  172773 */     // GIR_Coverage, 45919,
     /*  172773 */     GIR_EraseRootFromParent_Done,
     /*  172774 */   // Label 3284: @172774
     /*  172774 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(172809), // Rule ID 45920 //
     /*  172779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172782 */     // MIs[0] rs1
     /*  172782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172790 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172793 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172807 */     GIR_RootConstrainSelectedInstOperands,
     /*  172808 */     // GIR_Coverage, 45920,
     /*  172808 */     GIR_EraseRootFromParent_Done,
     /*  172809 */   // Label 3285: @172809
     /*  172809 */   GIM_Reject,
     /*  172810 */ // Label 3281: @172810
     /*  172810 */ GIM_Reject,
     /*  172811 */ // Label 3138: @172811
     /*  172811 */ GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(172968),
     /*  172816 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172819 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172827 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(172862), // Rule ID 45875 //
     /*  172832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172835 */     // MIs[0] rs1
     /*  172835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172843 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172846 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172860 */     GIR_RootConstrainSelectedInstOperands,
     /*  172861 */     // GIR_Coverage, 45875,
     /*  172861 */     GIR_EraseRootFromParent_Done,
     /*  172862 */   // Label 3287: @172862
     /*  172862 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(172897), // Rule ID 45876 //
     /*  172867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172870 */     // MIs[0] rs1
     /*  172870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172878 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172881 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172895 */     GIR_RootConstrainSelectedInstOperands,
     /*  172896 */     // GIR_Coverage, 45876,
     /*  172896 */     GIR_EraseRootFromParent_Done,
     /*  172897 */   // Label 3288: @172897
     /*  172897 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(172932), // Rule ID 45935 //
     /*  172902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172905 */     // MIs[0] rs1
     /*  172905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172913 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172916 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172930 */     GIR_RootConstrainSelectedInstOperands,
     /*  172931 */     // GIR_Coverage, 45935,
     /*  172931 */     GIR_EraseRootFromParent_Done,
     /*  172932 */   // Label 3289: @172932
     /*  172932 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(172967), // Rule ID 45936 //
     /*  172937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172940 */     // MIs[0] rs1
     /*  172940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172948 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172951 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172965 */     GIR_RootConstrainSelectedInstOperands,
     /*  172966 */     // GIR_Coverage, 45936,
     /*  172966 */     GIR_EraseRootFromParent_Done,
     /*  172967 */   // Label 3290: @172967
     /*  172967 */   GIM_Reject,
     /*  172968 */ // Label 3286: @172968
     /*  172968 */ GIM_Reject,
     /*  172969 */ // Label 3139: @172969
     /*  172969 */ GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(173048),
     /*  172974 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172977 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172985 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172993 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(173020), // Rule ID 45951 //
     /*  172998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173001 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  173001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  173004 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173018 */     GIR_RootConstrainSelectedInstOperands,
     /*  173019 */     // GIR_Coverage, 45951,
     /*  173019 */     GIR_EraseRootFromParent_Done,
     /*  173020 */   // Label 3292: @173020
     /*  173020 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(173047), // Rule ID 45952 //
     /*  173025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173028 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  173028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  173031 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173045 */     GIR_RootConstrainSelectedInstOperands,
     /*  173046 */     // GIR_Coverage, 45952,
     /*  173046 */     GIR_EraseRootFromParent_Done,
     /*  173047 */   // Label 3293: @173047
     /*  173047 */   GIM_Reject,
     /*  173048 */ // Label 3291: @173048
     /*  173048 */ GIM_Reject,
     /*  173049 */ // Label 3140: @173049
     /*  173049 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(173136),
     /*  173054 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173057 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173065 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(173100), // Rule ID 45819 //
     /*  173070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173073 */     // MIs[0] rs1
     /*  173073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173081 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173084 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173098 */     GIR_RootConstrainSelectedInstOperands,
     /*  173099 */     // GIR_Coverage, 45819,
     /*  173099 */     GIR_EraseRootFromParent_Done,
     /*  173100 */   // Label 3295: @173100
     /*  173100 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(173135), // Rule ID 45820 //
     /*  173105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173108 */     // MIs[0] rs1
     /*  173108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173116 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173119 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173133 */     GIR_RootConstrainSelectedInstOperands,
     /*  173134 */     // GIR_Coverage, 45820,
     /*  173134 */     GIR_EraseRootFromParent_Done,
     /*  173135 */   // Label 3296: @173135
     /*  173135 */   GIM_Reject,
     /*  173136 */ // Label 3294: @173136
     /*  173136 */ GIM_Reject,
     /*  173137 */ // Label 3141: @173137
     /*  173137 */ GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(173294),
     /*  173142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173145 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173153 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(173188), // Rule ID 45847 //
     /*  173158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173161 */     // MIs[0] rs1
     /*  173161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173169 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173172 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173186 */     GIR_RootConstrainSelectedInstOperands,
     /*  173187 */     // GIR_Coverage, 45847,
     /*  173187 */     GIR_EraseRootFromParent_Done,
     /*  173188 */   // Label 3298: @173188
     /*  173188 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(173223), // Rule ID 45848 //
     /*  173193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173196 */     // MIs[0] rs1
     /*  173196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173204 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173207 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173221 */     GIR_RootConstrainSelectedInstOperands,
     /*  173222 */     // GIR_Coverage, 45848,
     /*  173222 */     GIR_EraseRootFromParent_Done,
     /*  173223 */   // Label 3299: @173223
     /*  173223 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(173258), // Rule ID 45907 //
     /*  173228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173231 */     // MIs[0] rs1
     /*  173231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173239 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173242 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173256 */     GIR_RootConstrainSelectedInstOperands,
     /*  173257 */     // GIR_Coverage, 45907,
     /*  173257 */     GIR_EraseRootFromParent_Done,
     /*  173258 */   // Label 3300: @173258
     /*  173258 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(173293), // Rule ID 45908 //
     /*  173263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173266 */     // MIs[0] rs1
     /*  173266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173274 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173277 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173291 */     GIR_RootConstrainSelectedInstOperands,
     /*  173292 */     // GIR_Coverage, 45908,
     /*  173292 */     GIR_EraseRootFromParent_Done,
     /*  173293 */   // Label 3301: @173293
     /*  173293 */   GIM_Reject,
     /*  173294 */ // Label 3297: @173294
     /*  173294 */ GIM_Reject,
     /*  173295 */ // Label 3142: @173295
     /*  173295 */ GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(173452),
     /*  173300 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173303 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173311 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(173346), // Rule ID 45863 //
     /*  173316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173319 */     // MIs[0] rs1
     /*  173319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173327 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173330 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173344 */     GIR_RootConstrainSelectedInstOperands,
     /*  173345 */     // GIR_Coverage, 45863,
     /*  173345 */     GIR_EraseRootFromParent_Done,
     /*  173346 */   // Label 3303: @173346
     /*  173346 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(173381), // Rule ID 45864 //
     /*  173351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173354 */     // MIs[0] rs1
     /*  173354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173362 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173365 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173379 */     GIR_RootConstrainSelectedInstOperands,
     /*  173380 */     // GIR_Coverage, 45864,
     /*  173380 */     GIR_EraseRootFromParent_Done,
     /*  173381 */   // Label 3304: @173381
     /*  173381 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(173416), // Rule ID 45923 //
     /*  173386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173389 */     // MIs[0] rs1
     /*  173389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173397 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173400 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173414 */     GIR_RootConstrainSelectedInstOperands,
     /*  173415 */     // GIR_Coverage, 45923,
     /*  173415 */     GIR_EraseRootFromParent_Done,
     /*  173416 */   // Label 3305: @173416
     /*  173416 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(173451), // Rule ID 45924 //
     /*  173421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173424 */     // MIs[0] rs1
     /*  173424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173432 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173435 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173449 */     GIR_RootConstrainSelectedInstOperands,
     /*  173450 */     // GIR_Coverage, 45924,
     /*  173450 */     GIR_EraseRootFromParent_Done,
     /*  173451 */   // Label 3306: @173451
     /*  173451 */   GIM_Reject,
     /*  173452 */ // Label 3302: @173452
     /*  173452 */ GIM_Reject,
     /*  173453 */ // Label 3143: @173453
     /*  173453 */ GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(173610),
     /*  173458 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173461 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173469 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(173504), // Rule ID 45879 //
     /*  173474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173477 */     // MIs[0] rs1
     /*  173477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173485 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173488 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173502 */     GIR_RootConstrainSelectedInstOperands,
     /*  173503 */     // GIR_Coverage, 45879,
     /*  173503 */     GIR_EraseRootFromParent_Done,
     /*  173504 */   // Label 3308: @173504
     /*  173504 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(173539), // Rule ID 45880 //
     /*  173509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173512 */     // MIs[0] rs1
     /*  173512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173520 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173523 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173537 */     GIR_RootConstrainSelectedInstOperands,
     /*  173538 */     // GIR_Coverage, 45880,
     /*  173538 */     GIR_EraseRootFromParent_Done,
     /*  173539 */   // Label 3309: @173539
     /*  173539 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(173574), // Rule ID 45939 //
     /*  173544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173547 */     // MIs[0] rs1
     /*  173547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173555 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173558 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173572 */     GIR_RootConstrainSelectedInstOperands,
     /*  173573 */     // GIR_Coverage, 45939,
     /*  173573 */     GIR_EraseRootFromParent_Done,
     /*  173574 */   // Label 3310: @173574
     /*  173574 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(173609), // Rule ID 45940 //
     /*  173579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173582 */     // MIs[0] rs1
     /*  173582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173590 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173593 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173607 */     GIR_RootConstrainSelectedInstOperands,
     /*  173608 */     // GIR_Coverage, 45940,
     /*  173608 */     GIR_EraseRootFromParent_Done,
     /*  173609 */   // Label 3311: @173609
     /*  173609 */   GIM_Reject,
     /*  173610 */ // Label 3307: @173610
     /*  173610 */ GIM_Reject,
     /*  173611 */ // Label 3144: @173611
     /*  173611 */ GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(173690),
     /*  173616 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173619 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173627 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173635 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(173662), // Rule ID 45955 //
     /*  173640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173643 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  173643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  173646 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173660 */     GIR_RootConstrainSelectedInstOperands,
     /*  173661 */     // GIR_Coverage, 45955,
     /*  173661 */     GIR_EraseRootFromParent_Done,
     /*  173662 */   // Label 3313: @173662
     /*  173662 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(173689), // Rule ID 45956 //
     /*  173667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173670 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  173670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  173673 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173687 */     GIR_RootConstrainSelectedInstOperands,
     /*  173688 */     // GIR_Coverage, 45956,
     /*  173688 */     GIR_EraseRootFromParent_Done,
     /*  173689 */   // Label 3314: @173689
     /*  173689 */   GIM_Reject,
     /*  173690 */ // Label 3312: @173690
     /*  173690 */ GIM_Reject,
     /*  173691 */ // Label 3145: @173691
     /*  173691 */ GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(173778),
     /*  173696 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173699 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173707 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(173742), // Rule ID 45835 //
     /*  173712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173715 */     // MIs[0] rs1
     /*  173715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173723 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  173726 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173740 */     GIR_RootConstrainSelectedInstOperands,
     /*  173741 */     // GIR_Coverage, 45835,
     /*  173741 */     GIR_EraseRootFromParent_Done,
     /*  173742 */   // Label 3316: @173742
     /*  173742 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(173777), // Rule ID 45836 //
     /*  173747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173750 */     // MIs[0] rs1
     /*  173750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173758 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  173761 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173775 */     GIR_RootConstrainSelectedInstOperands,
     /*  173776 */     // GIR_Coverage, 45836,
     /*  173776 */     GIR_EraseRootFromParent_Done,
     /*  173777 */   // Label 3317: @173777
     /*  173777 */   GIM_Reject,
     /*  173778 */ // Label 3315: @173778
     /*  173778 */ GIM_Reject,
     /*  173779 */ // Label 3146: @173779
     /*  173779 */ GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(173936),
     /*  173784 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173787 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173795 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(173830), // Rule ID 45851 //
     /*  173800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173803 */     // MIs[0] rs1
     /*  173803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173811 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173814 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173828 */     GIR_RootConstrainSelectedInstOperands,
     /*  173829 */     // GIR_Coverage, 45851,
     /*  173829 */     GIR_EraseRootFromParent_Done,
     /*  173830 */   // Label 3319: @173830
     /*  173830 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(173865), // Rule ID 45852 //
     /*  173835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173838 */     // MIs[0] rs1
     /*  173838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173846 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173849 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173863 */     GIR_RootConstrainSelectedInstOperands,
     /*  173864 */     // GIR_Coverage, 45852,
     /*  173864 */     GIR_EraseRootFromParent_Done,
     /*  173865 */   // Label 3320: @173865
     /*  173865 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(173900), // Rule ID 45911 //
     /*  173870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173873 */     // MIs[0] rs1
     /*  173873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173881 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173884 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173898 */     GIR_RootConstrainSelectedInstOperands,
     /*  173899 */     // GIR_Coverage, 45911,
     /*  173899 */     GIR_EraseRootFromParent_Done,
     /*  173900 */   // Label 3321: @173900
     /*  173900 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(173935), // Rule ID 45912 //
     /*  173905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173908 */     // MIs[0] rs1
     /*  173908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173916 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173919 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173933 */     GIR_RootConstrainSelectedInstOperands,
     /*  173934 */     // GIR_Coverage, 45912,
     /*  173934 */     GIR_EraseRootFromParent_Done,
     /*  173935 */   // Label 3322: @173935
     /*  173935 */   GIM_Reject,
     /*  173936 */ // Label 3318: @173936
     /*  173936 */ GIM_Reject,
     /*  173937 */ // Label 3147: @173937
     /*  173937 */ GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(174094),
     /*  173942 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173945 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173953 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(173988), // Rule ID 45867 //
     /*  173958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173961 */     // MIs[0] rs1
     /*  173961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173969 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  173972 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173986 */     GIR_RootConstrainSelectedInstOperands,
     /*  173987 */     // GIR_Coverage, 45867,
     /*  173987 */     GIR_EraseRootFromParent_Done,
     /*  173988 */   // Label 3324: @173988
     /*  173988 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(174023), // Rule ID 45868 //
     /*  173993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173996 */     // MIs[0] rs1
     /*  173996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174004 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174007 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174017 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174021 */     GIR_RootConstrainSelectedInstOperands,
     /*  174022 */     // GIR_Coverage, 45868,
     /*  174022 */     GIR_EraseRootFromParent_Done,
     /*  174023 */   // Label 3325: @174023
     /*  174023 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(174058), // Rule ID 45927 //
     /*  174028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  174031 */     // MIs[0] rs1
     /*  174031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174039 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  174039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174042 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174056 */     GIR_RootConstrainSelectedInstOperands,
     /*  174057 */     // GIR_Coverage, 45927,
     /*  174057 */     GIR_EraseRootFromParent_Done,
     /*  174058 */   // Label 3326: @174058
     /*  174058 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(174093), // Rule ID 45928 //
     /*  174063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  174066 */     // MIs[0] rs1
     /*  174066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174074 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174077 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174091 */     GIR_RootConstrainSelectedInstOperands,
     /*  174092 */     // GIR_Coverage, 45928,
     /*  174092 */     GIR_EraseRootFromParent_Done,
     /*  174093 */   // Label 3327: @174093
     /*  174093 */   GIM_Reject,
     /*  174094 */ // Label 3323: @174094
     /*  174094 */ GIM_Reject,
     /*  174095 */ // Label 3148: @174095
     /*  174095 */ GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(174174),
     /*  174100 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174103 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174111 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174119 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(174146), // Rule ID 45959 //
     /*  174124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174127 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174130 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174144 */     GIR_RootConstrainSelectedInstOperands,
     /*  174145 */     // GIR_Coverage, 45959,
     /*  174145 */     GIR_EraseRootFromParent_Done,
     /*  174146 */   // Label 3329: @174146
     /*  174146 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(174173), // Rule ID 45960 //
     /*  174151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174154 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174157 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174171 */     GIR_RootConstrainSelectedInstOperands,
     /*  174172 */     // GIR_Coverage, 45960,
     /*  174172 */     GIR_EraseRootFromParent_Done,
     /*  174173 */   // Label 3330: @174173
     /*  174173 */   GIM_Reject,
     /*  174174 */ // Label 3328: @174174
     /*  174174 */ GIM_Reject,
     /*  174175 */ // Label 3149: @174175
     /*  174175 */ GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(174262),
     /*  174180 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174183 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174191 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(174226), // Rule ID 45839 //
     /*  174196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174199 */     // MIs[0] rs1
     /*  174199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174207 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174210 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174224 */     GIR_RootConstrainSelectedInstOperands,
     /*  174225 */     // GIR_Coverage, 45839,
     /*  174225 */     GIR_EraseRootFromParent_Done,
     /*  174226 */   // Label 3332: @174226
     /*  174226 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(174261), // Rule ID 45840 //
     /*  174231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174234 */     // MIs[0] rs1
     /*  174234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174242 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174245 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174259 */     GIR_RootConstrainSelectedInstOperands,
     /*  174260 */     // GIR_Coverage, 45840,
     /*  174260 */     GIR_EraseRootFromParent_Done,
     /*  174261 */   // Label 3333: @174261
     /*  174261 */   GIM_Reject,
     /*  174262 */ // Label 3331: @174262
     /*  174262 */ GIM_Reject,
     /*  174263 */ // Label 3150: @174263
     /*  174263 */ GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(174420),
     /*  174268 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174271 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174279 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(174314), // Rule ID 45855 //
     /*  174284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174287 */     // MIs[0] rs1
     /*  174287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174295 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174298 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174312 */     GIR_RootConstrainSelectedInstOperands,
     /*  174313 */     // GIR_Coverage, 45855,
     /*  174313 */     GIR_EraseRootFromParent_Done,
     /*  174314 */   // Label 3335: @174314
     /*  174314 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(174349), // Rule ID 45856 //
     /*  174319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174322 */     // MIs[0] rs1
     /*  174322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174330 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174333 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174347 */     GIR_RootConstrainSelectedInstOperands,
     /*  174348 */     // GIR_Coverage, 45856,
     /*  174348 */     GIR_EraseRootFromParent_Done,
     /*  174349 */   // Label 3336: @174349
     /*  174349 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(174384), // Rule ID 45915 //
     /*  174354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174357 */     // MIs[0] rs1
     /*  174357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174365 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174368 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174382 */     GIR_RootConstrainSelectedInstOperands,
     /*  174383 */     // GIR_Coverage, 45915,
     /*  174383 */     GIR_EraseRootFromParent_Done,
     /*  174384 */   // Label 3337: @174384
     /*  174384 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(174419), // Rule ID 45916 //
     /*  174389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174392 */     // MIs[0] rs1
     /*  174392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174400 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174403 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174417 */     GIR_RootConstrainSelectedInstOperands,
     /*  174418 */     // GIR_Coverage, 45916,
     /*  174418 */     GIR_EraseRootFromParent_Done,
     /*  174419 */   // Label 3338: @174419
     /*  174419 */   GIM_Reject,
     /*  174420 */ // Label 3334: @174420
     /*  174420 */ GIM_Reject,
     /*  174421 */ // Label 3151: @174421
     /*  174421 */ GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(174500),
     /*  174426 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174429 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174445 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(174472), // Rule ID 45963 //
     /*  174450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174453 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174456 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174470 */     GIR_RootConstrainSelectedInstOperands,
     /*  174471 */     // GIR_Coverage, 45963,
     /*  174471 */     GIR_EraseRootFromParent_Done,
     /*  174472 */   // Label 3340: @174472
     /*  174472 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(174499), // Rule ID 45964 //
     /*  174477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174480 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174483 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174497 */     GIR_RootConstrainSelectedInstOperands,
     /*  174498 */     // GIR_Coverage, 45964,
     /*  174498 */     GIR_EraseRootFromParent_Done,
     /*  174499 */   // Label 3341: @174499
     /*  174499 */   GIM_Reject,
     /*  174500 */ // Label 3339: @174500
     /*  174500 */ GIM_Reject,
     /*  174501 */ // Label 3152: @174501
     /*  174501 */ GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(174588),
     /*  174506 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174509 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174517 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(174552), // Rule ID 45843 //
     /*  174522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174525 */     // MIs[0] rs1
     /*  174525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174533 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174536 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174550 */     GIR_RootConstrainSelectedInstOperands,
     /*  174551 */     // GIR_Coverage, 45843,
     /*  174551 */     GIR_EraseRootFromParent_Done,
     /*  174552 */   // Label 3343: @174552
     /*  174552 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(174587), // Rule ID 45844 //
     /*  174557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174560 */     // MIs[0] rs1
     /*  174560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174568 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174571 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174585 */     GIR_RootConstrainSelectedInstOperands,
     /*  174586 */     // GIR_Coverage, 45844,
     /*  174586 */     GIR_EraseRootFromParent_Done,
     /*  174587 */   // Label 3344: @174587
     /*  174587 */   GIM_Reject,
     /*  174588 */ // Label 3342: @174588
     /*  174588 */ GIM_Reject,
     /*  174589 */ // Label 3153: @174589
     /*  174589 */ GIM_Reject,
     /*  174590 */ // Label 25: @174590
     /*  174590 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3347*/ GIMT_Encode4(179475),
     /*  174601 */ /*GILLT_s32*//*Label 3345*/ GIMT_Encode4(174609),
     /*  174605 */ /*GILLT_s64*//*Label 3346*/ GIMT_Encode4(176602),
     /*  174609 */ // Label 3345: @174609
     /*  174609 */ GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(176601),
     /*  174614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  174617 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174620 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(174686), // Rule ID 636 //
     /*  174625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174642 */     // MIs[0] addr
     /*  174642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174658 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  174658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174666 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174671 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174673 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174675 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  174680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174684 */     GIR_RootConstrainSelectedInstOperands,
     /*  174685 */     // GIR_Coverage, 636,
     /*  174685 */     GIR_EraseRootFromParent_Done,
     /*  174686 */   // Label 3349: @174686
     /*  174686 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(174752), // Rule ID 638 //
     /*  174691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174708 */     // MIs[0] addr
     /*  174708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174724 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  174724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174732 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174737 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174739 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174741 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174750 */     GIR_RootConstrainSelectedInstOperands,
     /*  174751 */     // GIR_Coverage, 638,
     /*  174751 */     GIR_EraseRootFromParent_Done,
     /*  174752 */   // Label 3350: @174752
     /*  174752 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(174818), // Rule ID 640 //
     /*  174757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174774 */     // MIs[0] addr
     /*  174774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174790 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  174790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174798 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174803 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174805 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174807 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174816 */     GIR_RootConstrainSelectedInstOperands,
     /*  174817 */     // GIR_Coverage, 640,
     /*  174817 */     GIR_EraseRootFromParent_Done,
     /*  174818 */   // Label 3351: @174818
     /*  174818 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(174884), // Rule ID 642 //
     /*  174823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174840 */     // MIs[0] addr
     /*  174840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174856 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  174856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174864 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174869 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174871 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174873 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174882 */     GIR_RootConstrainSelectedInstOperands,
     /*  174883 */     // GIR_Coverage, 642,
     /*  174883 */     GIR_EraseRootFromParent_Done,
     /*  174884 */   // Label 3352: @174884
     /*  174884 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(174950), // Rule ID 644 //
     /*  174889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174892 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174899 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174906 */     // MIs[0] addr
     /*  174906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174922 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  174922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174930 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174935 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174937 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174939 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  174944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174948 */     GIR_RootConstrainSelectedInstOperands,
     /*  174949 */     // GIR_Coverage, 644,
     /*  174949 */     GIR_EraseRootFromParent_Done,
     /*  174950 */   // Label 3353: @174950
     /*  174950 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(175005), // Rule ID 653 //
     /*  174955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174972 */     // MIs[0] addr
     /*  174972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174988 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  174991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174993 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174995 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174997 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175003 */     GIR_RootConstrainSelectedInstOperands,
     /*  175004 */     // GIR_Coverage, 653,
     /*  175004 */     GIR_EraseRootFromParent_Done,
     /*  175005 */   // Label 3354: @175005
     /*  175005 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(175060), // Rule ID 655 //
     /*  175010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175027 */     // MIs[0] addr
     /*  175027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175043 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  175046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175048 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175050 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175052 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175058 */     GIR_RootConstrainSelectedInstOperands,
     /*  175059 */     // GIR_Coverage, 655,
     /*  175059 */     GIR_EraseRootFromParent_Done,
     /*  175060 */   // Label 3355: @175060
     /*  175060 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(175115), // Rule ID 657 //
     /*  175065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175082 */     // MIs[0] addr
     /*  175082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175098 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  175101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175103 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175105 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175107 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175113 */     GIR_RootConstrainSelectedInstOperands,
     /*  175114 */     // GIR_Coverage, 657,
     /*  175114 */     GIR_EraseRootFromParent_Done,
     /*  175115 */   // Label 3356: @175115
     /*  175115 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(175170), // Rule ID 659 //
     /*  175120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175137 */     // MIs[0] addr
     /*  175137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175153 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175158 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175160 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175162 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175168 */     GIR_RootConstrainSelectedInstOperands,
     /*  175169 */     // GIR_Coverage, 659,
     /*  175169 */     GIR_EraseRootFromParent_Done,
     /*  175170 */   // Label 3357: @175170
     /*  175170 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(175225), // Rule ID 661 //
     /*  175175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175192 */     // MIs[0] addr
     /*  175192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175208 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175213 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175215 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175217 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175223 */     GIR_RootConstrainSelectedInstOperands,
     /*  175224 */     // GIR_Coverage, 661,
     /*  175224 */     GIR_EraseRootFromParent_Done,
     /*  175225 */   // Label 3358: @175225
     /*  175225 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(175280), // Rule ID 663 //
     /*  175230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175233 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175240 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175247 */     // MIs[0] addr
     /*  175247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175263 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175268 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175270 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175272 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175278 */     GIR_RootConstrainSelectedInstOperands,
     /*  175279 */     // GIR_Coverage, 663,
     /*  175279 */     GIR_EraseRootFromParent_Done,
     /*  175280 */   // Label 3359: @175280
     /*  175280 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(175335), // Rule ID 665 //
     /*  175285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175288 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175295 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175302 */     // MIs[0] addr
     /*  175302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175318 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175323 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175325 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175327 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175333 */     GIR_RootConstrainSelectedInstOperands,
     /*  175334 */     // GIR_Coverage, 665,
     /*  175334 */     GIR_EraseRootFromParent_Done,
     /*  175335 */   // Label 3360: @175335
     /*  175335 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(175390), // Rule ID 667 //
     /*  175340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175357 */     // MIs[0] addr
     /*  175357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175373 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175378 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175380 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175382 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175388 */     GIR_RootConstrainSelectedInstOperands,
     /*  175389 */     // GIR_Coverage, 667,
     /*  175389 */     GIR_EraseRootFromParent_Done,
     /*  175390 */   // Label 3361: @175390
     /*  175390 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(175445), // Rule ID 669 //
     /*  175395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175398 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175405 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175412 */     // MIs[0] addr
     /*  175412 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175428 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175433 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175435 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175437 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175443 */     GIR_RootConstrainSelectedInstOperands,
     /*  175444 */     // GIR_Coverage, 669,
     /*  175444 */     GIR_EraseRootFromParent_Done,
     /*  175445 */   // Label 3362: @175445
     /*  175445 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(175500), // Rule ID 671 //
     /*  175450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175467 */     // MIs[0] addr
     /*  175467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175483 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175488 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175490 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175492 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175498 */     GIR_RootConstrainSelectedInstOperands,
     /*  175499 */     // GIR_Coverage, 671,
     /*  175499 */     GIR_EraseRootFromParent_Done,
     /*  175500 */   // Label 3363: @175500
     /*  175500 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(175555), // Rule ID 1043 //
     /*  175505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175522 */     // MIs[0] addr
     /*  175522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175538 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175543 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175545 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175547 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175553 */     GIR_RootConstrainSelectedInstOperands,
     /*  175554 */     // GIR_Coverage, 1043,
     /*  175554 */     GIR_EraseRootFromParent_Done,
     /*  175555 */   // Label 3364: @175555
     /*  175555 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(175610), // Rule ID 1045 //
     /*  175560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175563 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175577 */     // MIs[0] addr
     /*  175577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175593 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  175596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175598 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175600 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175602 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175608 */     GIR_RootConstrainSelectedInstOperands,
     /*  175609 */     // GIR_Coverage, 1045,
     /*  175609 */     GIR_EraseRootFromParent_Done,
     /*  175610 */   // Label 3365: @175610
     /*  175610 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(175665), // Rule ID 1047 //
     /*  175615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175618 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175625 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175632 */     // MIs[0] addr
     /*  175632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175648 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  175651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175653 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175655 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175657 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175663 */     GIR_RootConstrainSelectedInstOperands,
     /*  175664 */     // GIR_Coverage, 1047,
     /*  175664 */     GIR_EraseRootFromParent_Done,
     /*  175665 */   // Label 3366: @175665
     /*  175665 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(175720), // Rule ID 1049 //
     /*  175670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175673 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175680 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175687 */     // MIs[0] addr
     /*  175687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175703 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  175706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175708 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175710 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175712 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175718 */     GIR_RootConstrainSelectedInstOperands,
     /*  175719 */     // GIR_Coverage, 1049,
     /*  175719 */     GIR_EraseRootFromParent_Done,
     /*  175720 */   // Label 3367: @175720
     /*  175720 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(175775), // Rule ID 1051 //
     /*  175725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175742 */     // MIs[0] addr
     /*  175742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175758 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  175761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175763 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175765 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175767 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175773 */     GIR_RootConstrainSelectedInstOperands,
     /*  175774 */     // GIR_Coverage, 1051,
     /*  175774 */     GIR_EraseRootFromParent_Done,
     /*  175775 */   // Label 3368: @175775
     /*  175775 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(175830), // Rule ID 1053 //
     /*  175780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175783 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175790 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175797 */     // MIs[0] addr
     /*  175797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175813 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175818 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175820 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175822 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175828 */     GIR_RootConstrainSelectedInstOperands,
     /*  175829 */     // GIR_Coverage, 1053,
     /*  175829 */     GIR_EraseRootFromParent_Done,
     /*  175830 */   // Label 3369: @175830
     /*  175830 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(175885), // Rule ID 1055 //
     /*  175835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175852 */     // MIs[0] addr
     /*  175852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175868 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175873 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175875 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175877 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175883 */     GIR_RootConstrainSelectedInstOperands,
     /*  175884 */     // GIR_Coverage, 1055,
     /*  175884 */     GIR_EraseRootFromParent_Done,
     /*  175885 */   // Label 3370: @175885
     /*  175885 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(175940), // Rule ID 1057 //
     /*  175890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175907 */     // MIs[0] addr
     /*  175907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175923 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175928 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175930 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175932 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175938 */     GIR_RootConstrainSelectedInstOperands,
     /*  175939 */     // GIR_Coverage, 1057,
     /*  175939 */     GIR_EraseRootFromParent_Done,
     /*  175940 */   // Label 3371: @175940
     /*  175940 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(175995), // Rule ID 1059 //
     /*  175945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175962 */     // MIs[0] addr
     /*  175962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175978 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175983 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175985 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175987 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175993 */     GIR_RootConstrainSelectedInstOperands,
     /*  175994 */     // GIR_Coverage, 1059,
     /*  175994 */     GIR_EraseRootFromParent_Done,
     /*  175995 */   // Label 3372: @175995
     /*  175995 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(176050), // Rule ID 1061 //
     /*  176000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176017 */     // MIs[0] addr
     /*  176017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176033 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176038 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176040 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176042 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176048 */     GIR_RootConstrainSelectedInstOperands,
     /*  176049 */     // GIR_Coverage, 1061,
     /*  176049 */     GIR_EraseRootFromParent_Done,
     /*  176050 */   // Label 3373: @176050
     /*  176050 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(176105), // Rule ID 1063 //
     /*  176055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176058 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176065 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176072 */     // MIs[0] addr
     /*  176072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176088 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176093 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176095 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176097 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176103 */     GIR_RootConstrainSelectedInstOperands,
     /*  176104 */     // GIR_Coverage, 1063,
     /*  176104 */     GIR_EraseRootFromParent_Done,
     /*  176105 */   // Label 3374: @176105
     /*  176105 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(176160), // Rule ID 1065 //
     /*  176110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176113 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176120 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176127 */     // MIs[0] addr
     /*  176127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176143 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  176146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176148 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176150 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176152 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176158 */     GIR_RootConstrainSelectedInstOperands,
     /*  176159 */     // GIR_Coverage, 1065,
     /*  176159 */     GIR_EraseRootFromParent_Done,
     /*  176160 */   // Label 3375: @176160
     /*  176160 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(176215), // Rule ID 1067 //
     /*  176165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176168 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176175 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176182 */     // MIs[0] addr
     /*  176182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176198 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  176201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176203 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176205 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176207 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176209 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176213 */     GIR_RootConstrainSelectedInstOperands,
     /*  176214 */     // GIR_Coverage, 1067,
     /*  176214 */     GIR_EraseRootFromParent_Done,
     /*  176215 */   // Label 3376: @176215
     /*  176215 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(176270), // Rule ID 1069 //
     /*  176220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176237 */     // MIs[0] addr
     /*  176237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176253 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176258 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176260 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176262 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176268 */     GIR_RootConstrainSelectedInstOperands,
     /*  176269 */     // GIR_Coverage, 1069,
     /*  176269 */     GIR_EraseRootFromParent_Done,
     /*  176270 */   // Label 3377: @176270
     /*  176270 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(176325), // Rule ID 1071 //
     /*  176275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176292 */     // MIs[0] addr
     /*  176292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176308 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176313 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176315 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176317 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176323 */     GIR_RootConstrainSelectedInstOperands,
     /*  176324 */     // GIR_Coverage, 1071,
     /*  176324 */     GIR_EraseRootFromParent_Done,
     /*  176325 */   // Label 3378: @176325
     /*  176325 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(176380), // Rule ID 1073 //
     /*  176330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176347 */     // MIs[0] addr
     /*  176347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176363 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176368 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176370 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176372 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176378 */     GIR_RootConstrainSelectedInstOperands,
     /*  176379 */     // GIR_Coverage, 1073,
     /*  176379 */     GIR_EraseRootFromParent_Done,
     /*  176380 */   // Label 3379: @176380
     /*  176380 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(176435), // Rule ID 1075 //
     /*  176385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176388 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176395 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176402 */     // MIs[0] addr
     /*  176402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176418 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176423 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176425 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176427 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176429 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176433 */     GIR_RootConstrainSelectedInstOperands,
     /*  176434 */     // GIR_Coverage, 1075,
     /*  176434 */     GIR_EraseRootFromParent_Done,
     /*  176435 */   // Label 3380: @176435
     /*  176435 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(176490), // Rule ID 1077 //
     /*  176440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176443 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176450 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176457 */     // MIs[0] addr
     /*  176457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176473 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176478 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176480 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176482 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176488 */     GIR_RootConstrainSelectedInstOperands,
     /*  176489 */     // GIR_Coverage, 1077,
     /*  176489 */     GIR_EraseRootFromParent_Done,
     /*  176490 */   // Label 3381: @176490
     /*  176490 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(176545), // Rule ID 1079 //
     /*  176495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176512 */     // MIs[0] addr
     /*  176512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176528 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176533 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176535 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176537 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176543 */     GIR_RootConstrainSelectedInstOperands,
     /*  176544 */     // GIR_Coverage, 1079,
     /*  176544 */     GIR_EraseRootFromParent_Done,
     /*  176545 */   // Label 3382: @176545
     /*  176545 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(176600), // Rule ID 1081 //
     /*  176550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176553 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176560 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176567 */     // MIs[0] addr
     /*  176567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176583 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176588 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176590 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176592 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176598 */     GIR_RootConstrainSelectedInstOperands,
     /*  176599 */     // GIR_Coverage, 1081,
     /*  176599 */     GIR_EraseRootFromParent_Done,
     /*  176600 */   // Label 3383: @176600
     /*  176600 */   GIM_Reject,
     /*  176601 */ // Label 3348: @176601
     /*  176601 */ GIM_Reject,
     /*  176602 */ // Label 3346: @176602
     /*  176602 */ GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(179474),
     /*  176607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  176610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  176613 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(176679), // Rule ID 635 //
     /*  176618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176635 */     // MIs[0] addr
     /*  176635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176651 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  176651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176659 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176664 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176666 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176668 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  176673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176677 */     GIR_RootConstrainSelectedInstOperands,
     /*  176678 */     // GIR_Coverage, 635,
     /*  176678 */     GIR_EraseRootFromParent_Done,
     /*  176679 */   // Label 3385: @176679
     /*  176679 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(176745), // Rule ID 637 //
     /*  176684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176701 */     // MIs[0] addr
     /*  176701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176717 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  176717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176725 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176730 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176732 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176734 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176743 */     GIR_RootConstrainSelectedInstOperands,
     /*  176744 */     // GIR_Coverage, 637,
     /*  176744 */     GIR_EraseRootFromParent_Done,
     /*  176745 */   // Label 3386: @176745
     /*  176745 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(176811), // Rule ID 639 //
     /*  176750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176767 */     // MIs[0] addr
     /*  176767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176783 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  176783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176791 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176796 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176798 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176800 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176809 */     GIR_RootConstrainSelectedInstOperands,
     /*  176810 */     // GIR_Coverage, 639,
     /*  176810 */     GIR_EraseRootFromParent_Done,
     /*  176811 */   // Label 3387: @176811
     /*  176811 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(176877), // Rule ID 641 //
     /*  176816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176833 */     // MIs[0] addr
     /*  176833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176849 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  176849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176857 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176862 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176864 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176866 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176875 */     GIR_RootConstrainSelectedInstOperands,
     /*  176876 */     // GIR_Coverage, 641,
     /*  176876 */     GIR_EraseRootFromParent_Done,
     /*  176877 */   // Label 3388: @176877
     /*  176877 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(176943), // Rule ID 643 //
     /*  176882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176899 */     // MIs[0] addr
     /*  176899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176915 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  176915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176923 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176928 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176930 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176932 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  176937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176941 */     GIR_RootConstrainSelectedInstOperands,
     /*  176942 */     // GIR_Coverage, 643,
     /*  176942 */     GIR_EraseRootFromParent_Done,
     /*  176943 */   // Label 3389: @176943
     /*  176943 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(177009), // Rule ID 645 //
     /*  176948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  176951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176965 */     // MIs[0] addr
     /*  176965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176981 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  176981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  176987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176989 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176994 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176996 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176998 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  177003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177007 */     GIR_RootConstrainSelectedInstOperands,
     /*  177008 */     // GIR_Coverage, 645,
     /*  177008 */     GIR_EraseRootFromParent_Done,
     /*  177009 */   // Label 3390: @177009
     /*  177009 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(177075), // Rule ID 646 //
     /*  177014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177017 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177024 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177031 */     // MIs[0] addr
     /*  177031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177047 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  177047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177055 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177060 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177062 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177064 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177073 */     GIR_RootConstrainSelectedInstOperands,
     /*  177074 */     // GIR_Coverage, 646,
     /*  177074 */     GIR_EraseRootFromParent_Done,
     /*  177075 */   // Label 3391: @177075
     /*  177075 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(177141), // Rule ID 647 //
     /*  177080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177083 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177090 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177097 */     // MIs[0] addr
     /*  177097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177113 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  177113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177121 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177126 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177128 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177130 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177139 */     GIR_RootConstrainSelectedInstOperands,
     /*  177140 */     // GIR_Coverage, 647,
     /*  177140 */     GIR_EraseRootFromParent_Done,
     /*  177141 */   // Label 3392: @177141
     /*  177141 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(177207), // Rule ID 648 //
     /*  177146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177163 */     // MIs[0] addr
     /*  177163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177179 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  177179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177187 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177192 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177194 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177196 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177205 */     GIR_RootConstrainSelectedInstOperands,
     /*  177206 */     // GIR_Coverage, 648,
     /*  177206 */     GIR_EraseRootFromParent_Done,
     /*  177207 */   // Label 3393: @177207
     /*  177207 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(177273), // Rule ID 649 //
     /*  177212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177229 */     // MIs[0] addr
     /*  177229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177245 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  177245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177253 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177258 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177260 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177262 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  177267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177271 */     GIR_RootConstrainSelectedInstOperands,
     /*  177272 */     // GIR_Coverage, 649,
     /*  177272 */     GIR_EraseRootFromParent_Done,
     /*  177273 */   // Label 3394: @177273
     /*  177273 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(177328), // Rule ID 652 //
     /*  177278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177295 */     // MIs[0] addr
     /*  177295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177311 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177316 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177318 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177320 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177326 */     GIR_RootConstrainSelectedInstOperands,
     /*  177327 */     // GIR_Coverage, 652,
     /*  177327 */     GIR_EraseRootFromParent_Done,
     /*  177328 */   // Label 3395: @177328
     /*  177328 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(177383), // Rule ID 654 //
     /*  177333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177350 */     // MIs[0] addr
     /*  177350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177366 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  177369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177371 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177373 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177375 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177381 */     GIR_RootConstrainSelectedInstOperands,
     /*  177382 */     // GIR_Coverage, 654,
     /*  177382 */     GIR_EraseRootFromParent_Done,
     /*  177383 */   // Label 3396: @177383
     /*  177383 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(177438), // Rule ID 656 //
     /*  177388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177405 */     // MIs[0] addr
     /*  177405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177421 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  177424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177426 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177428 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177430 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177436 */     GIR_RootConstrainSelectedInstOperands,
     /*  177437 */     // GIR_Coverage, 656,
     /*  177437 */     GIR_EraseRootFromParent_Done,
     /*  177438 */   // Label 3397: @177438
     /*  177438 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(177493), // Rule ID 658 //
     /*  177443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177460 */     // MIs[0] addr
     /*  177460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177476 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177481 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177483 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177485 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177491 */     GIR_RootConstrainSelectedInstOperands,
     /*  177492 */     // GIR_Coverage, 658,
     /*  177492 */     GIR_EraseRootFromParent_Done,
     /*  177493 */   // Label 3398: @177493
     /*  177493 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(177548), // Rule ID 660 //
     /*  177498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177515 */     // MIs[0] addr
     /*  177515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177531 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177536 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177538 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177540 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177546 */     GIR_RootConstrainSelectedInstOperands,
     /*  177547 */     // GIR_Coverage, 660,
     /*  177547 */     GIR_EraseRootFromParent_Done,
     /*  177548 */   // Label 3399: @177548
     /*  177548 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(177603), // Rule ID 662 //
     /*  177553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177570 */     // MIs[0] addr
     /*  177570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177586 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177591 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177593 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177595 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177601 */     GIR_RootConstrainSelectedInstOperands,
     /*  177602 */     // GIR_Coverage, 662,
     /*  177602 */     GIR_EraseRootFromParent_Done,
     /*  177603 */   // Label 3400: @177603
     /*  177603 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(177658), // Rule ID 664 //
     /*  177608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177611 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177618 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177625 */     // MIs[0] addr
     /*  177625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177641 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177646 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177648 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177650 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177656 */     GIR_RootConstrainSelectedInstOperands,
     /*  177657 */     // GIR_Coverage, 664,
     /*  177657 */     GIR_EraseRootFromParent_Done,
     /*  177658 */   // Label 3401: @177658
     /*  177658 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(177713), // Rule ID 666 //
     /*  177663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177680 */     // MIs[0] addr
     /*  177680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177696 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177701 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177703 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177705 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177711 */     GIR_RootConstrainSelectedInstOperands,
     /*  177712 */     // GIR_Coverage, 666,
     /*  177712 */     GIR_EraseRootFromParent_Done,
     /*  177713 */   // Label 3402: @177713
     /*  177713 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(177768), // Rule ID 668 //
     /*  177718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177735 */     // MIs[0] addr
     /*  177735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177751 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177756 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177758 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177760 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177766 */     GIR_RootConstrainSelectedInstOperands,
     /*  177767 */     // GIR_Coverage, 668,
     /*  177767 */     GIR_EraseRootFromParent_Done,
     /*  177768 */   // Label 3403: @177768
     /*  177768 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(177823), // Rule ID 670 //
     /*  177773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177790 */     // MIs[0] addr
     /*  177790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177806 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177811 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177813 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177815 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177821 */     GIR_RootConstrainSelectedInstOperands,
     /*  177822 */     // GIR_Coverage, 670,
     /*  177822 */     GIR_EraseRootFromParent_Done,
     /*  177823 */   // Label 3404: @177823
     /*  177823 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(177878), // Rule ID 672 //
     /*  177828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177845 */     // MIs[0] addr
     /*  177845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177861 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  177864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177866 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177868 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177870 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177876 */     GIR_RootConstrainSelectedInstOperands,
     /*  177877 */     // GIR_Coverage, 672,
     /*  177877 */     GIR_EraseRootFromParent_Done,
     /*  177878 */   // Label 3405: @177878
     /*  177878 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(177933), // Rule ID 673 //
     /*  177883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177886 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177893 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177900 */     // MIs[0] addr
     /*  177900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177916 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  177919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177921 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177923 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177925 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177931 */     GIR_RootConstrainSelectedInstOperands,
     /*  177932 */     // GIR_Coverage, 673,
     /*  177932 */     GIR_EraseRootFromParent_Done,
     /*  177933 */   // Label 3406: @177933
     /*  177933 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(177988), // Rule ID 674 //
     /*  177938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177941 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177948 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177955 */     // MIs[0] addr
     /*  177955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177971 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  177974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177976 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177978 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177980 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177986 */     GIR_RootConstrainSelectedInstOperands,
     /*  177987 */     // GIR_Coverage, 674,
     /*  177987 */     GIR_EraseRootFromParent_Done,
     /*  177988 */   // Label 3407: @177988
     /*  177988 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(178043), // Rule ID 675 //
     /*  177993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178010 */     // MIs[0] addr
     /*  178010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178026 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  178029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178031 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178033 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178035 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178041 */     GIR_RootConstrainSelectedInstOperands,
     /*  178042 */     // GIR_Coverage, 675,
     /*  178042 */     GIR_EraseRootFromParent_Done,
     /*  178043 */   // Label 3408: @178043
     /*  178043 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(178098), // Rule ID 676 //
     /*  178048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178065 */     // MIs[0] addr
     /*  178065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178081 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  178084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178086 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178088 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178090 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178096 */     GIR_RootConstrainSelectedInstOperands,
     /*  178097 */     // GIR_Coverage, 676,
     /*  178097 */     GIR_EraseRootFromParent_Done,
     /*  178098 */   // Label 3409: @178098
     /*  178098 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(178153), // Rule ID 677 //
     /*  178103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178120 */     // MIs[0] addr
     /*  178120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178136 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178141 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178143 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178145 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178151 */     GIR_RootConstrainSelectedInstOperands,
     /*  178152 */     // GIR_Coverage, 677,
     /*  178152 */     GIR_EraseRootFromParent_Done,
     /*  178153 */   // Label 3410: @178153
     /*  178153 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(178208), // Rule ID 678 //
     /*  178158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178175 */     // MIs[0] addr
     /*  178175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178191 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178196 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178198 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178200 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178206 */     GIR_RootConstrainSelectedInstOperands,
     /*  178207 */     // GIR_Coverage, 678,
     /*  178207 */     GIR_EraseRootFromParent_Done,
     /*  178208 */   // Label 3411: @178208
     /*  178208 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(178263), // Rule ID 679 //
     /*  178213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178216 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178223 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178230 */     // MIs[0] addr
     /*  178230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178246 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178251 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178253 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178255 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178261 */     GIR_RootConstrainSelectedInstOperands,
     /*  178262 */     // GIR_Coverage, 679,
     /*  178262 */     GIR_EraseRootFromParent_Done,
     /*  178263 */   // Label 3412: @178263
     /*  178263 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(178318), // Rule ID 680 //
     /*  178268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178285 */     // MIs[0] addr
     /*  178285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178301 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178306 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178308 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178310 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178316 */     GIR_RootConstrainSelectedInstOperands,
     /*  178317 */     // GIR_Coverage, 680,
     /*  178317 */     GIR_EraseRootFromParent_Done,
     /*  178318 */   // Label 3413: @178318
     /*  178318 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(178373), // Rule ID 681 //
     /*  178323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178326 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178333 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178340 */     // MIs[0] addr
     /*  178340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178356 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178361 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178363 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178365 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178371 */     GIR_RootConstrainSelectedInstOperands,
     /*  178372 */     // GIR_Coverage, 681,
     /*  178372 */     GIR_EraseRootFromParent_Done,
     /*  178373 */   // Label 3414: @178373
     /*  178373 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(178428), // Rule ID 1042 //
     /*  178378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178381 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178388 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178395 */     // MIs[0] addr
     /*  178395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178411 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178416 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178418 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178420 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178426 */     GIR_RootConstrainSelectedInstOperands,
     /*  178427 */     // GIR_Coverage, 1042,
     /*  178427 */     GIR_EraseRootFromParent_Done,
     /*  178428 */   // Label 3415: @178428
     /*  178428 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(178483), // Rule ID 1044 //
     /*  178433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178450 */     // MIs[0] addr
     /*  178450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178466 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  178469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178471 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178473 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178475 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178481 */     GIR_RootConstrainSelectedInstOperands,
     /*  178482 */     // GIR_Coverage, 1044,
     /*  178482 */     GIR_EraseRootFromParent_Done,
     /*  178483 */   // Label 3416: @178483
     /*  178483 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(178538), // Rule ID 1046 //
     /*  178488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178505 */     // MIs[0] addr
     /*  178505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178521 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  178524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178526 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178528 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178530 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178536 */     GIR_RootConstrainSelectedInstOperands,
     /*  178537 */     // GIR_Coverage, 1046,
     /*  178537 */     GIR_EraseRootFromParent_Done,
     /*  178538 */   // Label 3417: @178538
     /*  178538 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(178593), // Rule ID 1048 //
     /*  178543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178560 */     // MIs[0] addr
     /*  178560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178576 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  178579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178581 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178583 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178585 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178591 */     GIR_RootConstrainSelectedInstOperands,
     /*  178592 */     // GIR_Coverage, 1048,
     /*  178592 */     GIR_EraseRootFromParent_Done,
     /*  178593 */   // Label 3418: @178593
     /*  178593 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(178648), // Rule ID 1050 //
     /*  178598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178615 */     // MIs[0] addr
     /*  178615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178631 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  178634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178636 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178638 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178640 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178646 */     GIR_RootConstrainSelectedInstOperands,
     /*  178647 */     // GIR_Coverage, 1050,
     /*  178647 */     GIR_EraseRootFromParent_Done,
     /*  178648 */   // Label 3419: @178648
     /*  178648 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(178703), // Rule ID 1052 //
     /*  178653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178663 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178670 */     // MIs[0] addr
     /*  178670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178686 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178691 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178693 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178695 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178701 */     GIR_RootConstrainSelectedInstOperands,
     /*  178702 */     // GIR_Coverage, 1052,
     /*  178702 */     GIR_EraseRootFromParent_Done,
     /*  178703 */   // Label 3420: @178703
     /*  178703 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(178758), // Rule ID 1054 //
     /*  178708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178725 */     // MIs[0] addr
     /*  178725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178741 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178746 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178748 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178750 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178756 */     GIR_RootConstrainSelectedInstOperands,
     /*  178757 */     // GIR_Coverage, 1054,
     /*  178757 */     GIR_EraseRootFromParent_Done,
     /*  178758 */   // Label 3421: @178758
     /*  178758 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(178813), // Rule ID 1056 //
     /*  178763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178766 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178773 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178780 */     // MIs[0] addr
     /*  178780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178796 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178801 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178803 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178805 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178811 */     GIR_RootConstrainSelectedInstOperands,
     /*  178812 */     // GIR_Coverage, 1056,
     /*  178812 */     GIR_EraseRootFromParent_Done,
     /*  178813 */   // Label 3422: @178813
     /*  178813 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(178868), // Rule ID 1058 //
     /*  178818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178835 */     // MIs[0] addr
     /*  178835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178851 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178856 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178858 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178860 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178866 */     GIR_RootConstrainSelectedInstOperands,
     /*  178867 */     // GIR_Coverage, 1058,
     /*  178867 */     GIR_EraseRootFromParent_Done,
     /*  178868 */   // Label 3423: @178868
     /*  178868 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(178923), // Rule ID 1060 //
     /*  178873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178890 */     // MIs[0] addr
     /*  178890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178906 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178911 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178913 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178915 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178921 */     GIR_RootConstrainSelectedInstOperands,
     /*  178922 */     // GIR_Coverage, 1060,
     /*  178922 */     GIR_EraseRootFromParent_Done,
     /*  178923 */   // Label 3424: @178923
     /*  178923 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(178978), // Rule ID 1062 //
     /*  178928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178945 */     // MIs[0] addr
     /*  178945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178961 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  178964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178966 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178968 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178970 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178976 */     GIR_RootConstrainSelectedInstOperands,
     /*  178977 */     // GIR_Coverage, 1062,
     /*  178977 */     GIR_EraseRootFromParent_Done,
     /*  178978 */   // Label 3425: @178978
     /*  178978 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(179033), // Rule ID 1064 //
     /*  178983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179000 */     // MIs[0] addr
     /*  179000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179016 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  179019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179021 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179023 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179025 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179031 */     GIR_RootConstrainSelectedInstOperands,
     /*  179032 */     // GIR_Coverage, 1064,
     /*  179032 */     GIR_EraseRootFromParent_Done,
     /*  179033 */   // Label 3426: @179033
     /*  179033 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(179088), // Rule ID 1066 //
     /*  179038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179055 */     // MIs[0] addr
     /*  179055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179071 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  179074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179076 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179078 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179080 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179086 */     GIR_RootConstrainSelectedInstOperands,
     /*  179087 */     // GIR_Coverage, 1066,
     /*  179087 */     GIR_EraseRootFromParent_Done,
     /*  179088 */   // Label 3427: @179088
     /*  179088 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(179143), // Rule ID 1068 //
     /*  179093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179110 */     // MIs[0] addr
     /*  179110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179126 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179131 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179133 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179135 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179141 */     GIR_RootConstrainSelectedInstOperands,
     /*  179142 */     // GIR_Coverage, 1068,
     /*  179142 */     GIR_EraseRootFromParent_Done,
     /*  179143 */   // Label 3428: @179143
     /*  179143 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(179198), // Rule ID 1070 //
     /*  179148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179151 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179158 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179165 */     // MIs[0] addr
     /*  179165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179181 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179186 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179188 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179190 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179196 */     GIR_RootConstrainSelectedInstOperands,
     /*  179197 */     // GIR_Coverage, 1070,
     /*  179197 */     GIR_EraseRootFromParent_Done,
     /*  179198 */   // Label 3429: @179198
     /*  179198 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(179253), // Rule ID 1072 //
     /*  179203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179206 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179220 */     // MIs[0] addr
     /*  179220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179236 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179241 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179243 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179245 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179251 */     GIR_RootConstrainSelectedInstOperands,
     /*  179252 */     // GIR_Coverage, 1072,
     /*  179252 */     GIR_EraseRootFromParent_Done,
     /*  179253 */   // Label 3430: @179253
     /*  179253 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(179308), // Rule ID 1074 //
     /*  179258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179275 */     // MIs[0] addr
     /*  179275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179291 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179296 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179298 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179300 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179306 */     GIR_RootConstrainSelectedInstOperands,
     /*  179307 */     // GIR_Coverage, 1074,
     /*  179307 */     GIR_EraseRootFromParent_Done,
     /*  179308 */   // Label 3431: @179308
     /*  179308 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(179363), // Rule ID 1076 //
     /*  179313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179316 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179323 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179330 */     // MIs[0] addr
     /*  179330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179346 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179351 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179353 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179355 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179361 */     GIR_RootConstrainSelectedInstOperands,
     /*  179362 */     // GIR_Coverage, 1076,
     /*  179362 */     GIR_EraseRootFromParent_Done,
     /*  179363 */   // Label 3432: @179363
     /*  179363 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(179418), // Rule ID 1078 //
     /*  179368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179385 */     // MIs[0] addr
     /*  179385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179401 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179406 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179408 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179410 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179416 */     GIR_RootConstrainSelectedInstOperands,
     /*  179417 */     // GIR_Coverage, 1078,
     /*  179417 */     GIR_EraseRootFromParent_Done,
     /*  179418 */   // Label 3433: @179418
     /*  179418 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(179473), // Rule ID 1080 //
     /*  179423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179440 */     // MIs[0] addr
     /*  179440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179456 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179461 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179463 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179465 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179471 */     GIR_RootConstrainSelectedInstOperands,
     /*  179472 */     // GIR_Coverage, 1080,
     /*  179472 */     GIR_EraseRootFromParent_Done,
     /*  179473 */   // Label 3434: @179473
     /*  179473 */   GIM_Reject,
     /*  179474 */ // Label 3384: @179474
     /*  179474 */ GIM_Reject,
     /*  179475 */ // Label 3347: @179475
     /*  179475 */ GIM_Reject,
     /*  179476 */ // Label 26: @179476
     /*  179476 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3437*/ GIMT_Encode4(182385),
     /*  179487 */ /*GILLT_s32*//*Label 3435*/ GIMT_Encode4(179495),
     /*  179491 */ /*GILLT_s64*//*Label 3436*/ GIMT_Encode4(180735),
     /*  179495 */ // Label 3435: @179495
     /*  179495 */ GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(180734),
     /*  179500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179503 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(179544), // Rule ID 335 //
     /*  179508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179525 */     // MIs[0] rs1
     /*  179525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179537 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179537 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179542 */     GIR_RootConstrainSelectedInstOperands,
     /*  179543 */     // GIR_Coverage, 335,
     /*  179543 */     GIR_Done,
     /*  179544 */   // Label 3439: @179544
     /*  179544 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(179585), // Rule ID 337 //
     /*  179549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179566 */     // MIs[0] rs1
     /*  179566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179578 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  179583 */     GIR_RootConstrainSelectedInstOperands,
     /*  179584 */     // GIR_Coverage, 337,
     /*  179584 */     GIR_Done,
     /*  179585 */   // Label 3440: @179585
     /*  179585 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(179626), // Rule ID 339 //
     /*  179590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179607 */     // MIs[0] rs1
     /*  179607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179619 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  179624 */     GIR_RootConstrainSelectedInstOperands,
     /*  179625 */     // GIR_Coverage, 339,
     /*  179625 */     GIR_Done,
     /*  179626 */   // Label 3441: @179626
     /*  179626 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(179667), // Rule ID 341 //
     /*  179631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179648 */     // MIs[0] rs1
     /*  179648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179660 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  179665 */     GIR_RootConstrainSelectedInstOperands,
     /*  179666 */     // GIR_Coverage, 341,
     /*  179666 */     GIR_Done,
     /*  179667 */   // Label 3442: @179667
     /*  179667 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(179708), // Rule ID 343 //
     /*  179672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179689 */     // MIs[0] rs1
     /*  179689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179701 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  179706 */     GIR_RootConstrainSelectedInstOperands,
     /*  179707 */     // GIR_Coverage, 343,
     /*  179707 */     GIR_Done,
     /*  179708 */   // Label 3443: @179708
     /*  179708 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(179749), // Rule ID 345 //
     /*  179713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179730 */     // MIs[0] rs1
     /*  179730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179742 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179747 */     GIR_RootConstrainSelectedInstOperands,
     /*  179748 */     // GIR_Coverage, 345,
     /*  179748 */     GIR_Done,
     /*  179749 */   // Label 3444: @179749
     /*  179749 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(179790), // Rule ID 347 //
     /*  179754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179757 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179764 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179771 */     // MIs[0] rs1
     /*  179771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179783 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179788 */     GIR_RootConstrainSelectedInstOperands,
     /*  179789 */     // GIR_Coverage, 347,
     /*  179789 */     GIR_Done,
     /*  179790 */   // Label 3445: @179790
     /*  179790 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(179831), // Rule ID 349 //
     /*  179795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179812 */     // MIs[0] rs1
     /*  179812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179824 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179829 */     GIR_RootConstrainSelectedInstOperands,
     /*  179830 */     // GIR_Coverage, 349,
     /*  179830 */     GIR_Done,
     /*  179831 */   // Label 3446: @179831
     /*  179831 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(179872), // Rule ID 351 //
     /*  179836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179853 */     // MIs[0] rs1
     /*  179853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179865 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179870 */     GIR_RootConstrainSelectedInstOperands,
     /*  179871 */     // GIR_Coverage, 351,
     /*  179871 */     GIR_Done,
     /*  179872 */   // Label 3447: @179872
     /*  179872 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(179913), // Rule ID 353 //
     /*  179877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179894 */     // MIs[0] rs1
     /*  179894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179906 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179911 */     GIR_RootConstrainSelectedInstOperands,
     /*  179912 */     // GIR_Coverage, 353,
     /*  179912 */     GIR_Done,
     /*  179913 */   // Label 3448: @179913
     /*  179913 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(179954), // Rule ID 683 //
     /*  179918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179935 */     // MIs[0] rs1
     /*  179935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179947 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  179952 */     GIR_RootConstrainSelectedInstOperands,
     /*  179953 */     // GIR_Coverage, 683,
     /*  179953 */     GIR_Done,
     /*  179954 */   // Label 3449: @179954
     /*  179954 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(179995), // Rule ID 685 //
     /*  179959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179976 */     // MIs[0] rs1
     /*  179976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179988 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  179993 */     GIR_RootConstrainSelectedInstOperands,
     /*  179994 */     // GIR_Coverage, 685,
     /*  179994 */     GIR_Done,
     /*  179995 */   // Label 3450: @179995
     /*  179995 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(180036), // Rule ID 687 //
     /*  180000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180017 */     // MIs[0] rs1
     /*  180017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180029 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  180034 */     GIR_RootConstrainSelectedInstOperands,
     /*  180035 */     // GIR_Coverage, 687,
     /*  180035 */     GIR_Done,
     /*  180036 */   // Label 3451: @180036
     /*  180036 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(180077), // Rule ID 689 //
     /*  180041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180058 */     // MIs[0] rs1
     /*  180058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180070 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180075 */     GIR_RootConstrainSelectedInstOperands,
     /*  180076 */     // GIR_Coverage, 689,
     /*  180076 */     GIR_Done,
     /*  180077 */   // Label 3452: @180077
     /*  180077 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(180118), // Rule ID 691 //
     /*  180082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180099 */     // MIs[0] rs1
     /*  180099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180111 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180116 */     GIR_RootConstrainSelectedInstOperands,
     /*  180117 */     // GIR_Coverage, 691,
     /*  180117 */     GIR_Done,
     /*  180118 */   // Label 3453: @180118
     /*  180118 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(180159), // Rule ID 693 //
     /*  180123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180140 */     // MIs[0] rs1
     /*  180140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180152 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180157 */     GIR_RootConstrainSelectedInstOperands,
     /*  180158 */     // GIR_Coverage, 693,
     /*  180158 */     GIR_Done,
     /*  180159 */   // Label 3454: @180159
     /*  180159 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(180200), // Rule ID 695 //
     /*  180164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180167 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180174 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180181 */     // MIs[0] rs1
     /*  180181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180193 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180198 */     GIR_RootConstrainSelectedInstOperands,
     /*  180199 */     // GIR_Coverage, 695,
     /*  180199 */     GIR_Done,
     /*  180200 */   // Label 3455: @180200
     /*  180200 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(180241), // Rule ID 697 //
     /*  180205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180222 */     // MIs[0] rs1
     /*  180222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180234 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180239 */     GIR_RootConstrainSelectedInstOperands,
     /*  180240 */     // GIR_Coverage, 697,
     /*  180240 */     GIR_Done,
     /*  180241 */   // Label 3456: @180241
     /*  180241 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(180282), // Rule ID 699 //
     /*  180246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180249 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180263 */     // MIs[0] rs1
     /*  180263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180275 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180280 */     GIR_RootConstrainSelectedInstOperands,
     /*  180281 */     // GIR_Coverage, 699,
     /*  180281 */     GIR_Done,
     /*  180282 */   // Label 3457: @180282
     /*  180282 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(180323), // Rule ID 701 //
     /*  180287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180290 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180297 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180304 */     // MIs[0] rs1
     /*  180304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180316 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180316 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180321 */     GIR_RootConstrainSelectedInstOperands,
     /*  180322 */     // GIR_Coverage, 701,
     /*  180322 */     GIR_Done,
     /*  180323 */   // Label 3458: @180323
     /*  180323 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(180364), // Rule ID 863 //
     /*  180328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180345 */     // MIs[0] rs1
     /*  180345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180357 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180362 */     GIR_RootConstrainSelectedInstOperands,
     /*  180363 */     // GIR_Coverage, 863,
     /*  180363 */     GIR_Done,
     /*  180364 */   // Label 3459: @180364
     /*  180364 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(180405), // Rule ID 865 //
     /*  180369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180386 */     // MIs[0] rs1
     /*  180386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180398 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  180403 */     GIR_RootConstrainSelectedInstOperands,
     /*  180404 */     // GIR_Coverage, 865,
     /*  180404 */     GIR_Done,
     /*  180405 */   // Label 3460: @180405
     /*  180405 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(180446), // Rule ID 867 //
     /*  180410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180427 */     // MIs[0] rs1
     /*  180427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180439 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180439 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  180444 */     GIR_RootConstrainSelectedInstOperands,
     /*  180445 */     // GIR_Coverage, 867,
     /*  180445 */     GIR_Done,
     /*  180446 */   // Label 3461: @180446
     /*  180446 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(180487), // Rule ID 869 //
     /*  180451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180454 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180461 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180468 */     // MIs[0] rs1
     /*  180468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180480 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180485 */     GIR_RootConstrainSelectedInstOperands,
     /*  180486 */     // GIR_Coverage, 869,
     /*  180486 */     GIR_Done,
     /*  180487 */   // Label 3462: @180487
     /*  180487 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(180528), // Rule ID 871 //
     /*  180492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180495 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180502 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180509 */     // MIs[0] rs1
     /*  180509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180521 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180526 */     GIR_RootConstrainSelectedInstOperands,
     /*  180527 */     // GIR_Coverage, 871,
     /*  180527 */     GIR_Done,
     /*  180528 */   // Label 3463: @180528
     /*  180528 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(180569), // Rule ID 873 //
     /*  180533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180536 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180543 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180550 */     // MIs[0] rs1
     /*  180550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180562 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180562 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180567 */     GIR_RootConstrainSelectedInstOperands,
     /*  180568 */     // GIR_Coverage, 873,
     /*  180568 */     GIR_Done,
     /*  180569 */   // Label 3464: @180569
     /*  180569 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(180610), // Rule ID 875 //
     /*  180574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180577 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180584 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180591 */     // MIs[0] rs1
     /*  180591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180603 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180608 */     GIR_RootConstrainSelectedInstOperands,
     /*  180609 */     // GIR_Coverage, 875,
     /*  180609 */     GIR_Done,
     /*  180610 */   // Label 3465: @180610
     /*  180610 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(180651), // Rule ID 877 //
     /*  180615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180618 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180625 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180632 */     // MIs[0] rs1
     /*  180632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180644 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180649 */     GIR_RootConstrainSelectedInstOperands,
     /*  180650 */     // GIR_Coverage, 877,
     /*  180650 */     GIR_Done,
     /*  180651 */   // Label 3466: @180651
     /*  180651 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(180692), // Rule ID 879 //
     /*  180656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180673 */     // MIs[0] rs1
     /*  180673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180685 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180690 */     GIR_RootConstrainSelectedInstOperands,
     /*  180691 */     // GIR_Coverage, 879,
     /*  180691 */     GIR_Done,
     /*  180692 */   // Label 3467: @180692
     /*  180692 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(180733), // Rule ID 881 //
     /*  180697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180714 */     // MIs[0] rs1
     /*  180714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180726 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180731 */     GIR_RootConstrainSelectedInstOperands,
     /*  180732 */     // GIR_Coverage, 881,
     /*  180732 */     GIR_Done,
     /*  180733 */   // Label 3468: @180733
     /*  180733 */   GIM_Reject,
     /*  180734 */ // Label 3438: @180734
     /*  180734 */ GIM_Reject,
     /*  180735 */ // Label 3436: @180735
     /*  180735 */ GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(182384),
     /*  180740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  180743 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(180784), // Rule ID 334 //
     /*  180748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180765 */     // MIs[0] rs1
     /*  180765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180777 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180782 */     GIR_RootConstrainSelectedInstOperands,
     /*  180783 */     // GIR_Coverage, 334,
     /*  180783 */     GIR_Done,
     /*  180784 */   // Label 3470: @180784
     /*  180784 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(180825), // Rule ID 336 //
     /*  180789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180806 */     // MIs[0] rs1
     /*  180806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180818 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  180823 */     GIR_RootConstrainSelectedInstOperands,
     /*  180824 */     // GIR_Coverage, 336,
     /*  180824 */     GIR_Done,
     /*  180825 */   // Label 3471: @180825
     /*  180825 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(180866), // Rule ID 338 //
     /*  180830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180847 */     // MIs[0] rs1
     /*  180847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180859 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  180864 */     GIR_RootConstrainSelectedInstOperands,
     /*  180865 */     // GIR_Coverage, 338,
     /*  180865 */     GIR_Done,
     /*  180866 */   // Label 3472: @180866
     /*  180866 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(180907), // Rule ID 340 //
     /*  180871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180888 */     // MIs[0] rs1
     /*  180888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180900 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180905 */     GIR_RootConstrainSelectedInstOperands,
     /*  180906 */     // GIR_Coverage, 340,
     /*  180906 */     GIR_Done,
     /*  180907 */   // Label 3473: @180907
     /*  180907 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(180948), // Rule ID 342 //
     /*  180912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180929 */     // MIs[0] rs1
     /*  180929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180941 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180946 */     GIR_RootConstrainSelectedInstOperands,
     /*  180947 */     // GIR_Coverage, 342,
     /*  180947 */     GIR_Done,
     /*  180948 */   // Label 3474: @180948
     /*  180948 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(180989), // Rule ID 344 //
     /*  180953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180970 */     // MIs[0] rs1
     /*  180970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180982 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180987 */     GIR_RootConstrainSelectedInstOperands,
     /*  180988 */     // GIR_Coverage, 344,
     /*  180988 */     GIR_Done,
     /*  180989 */   // Label 3475: @180989
     /*  180989 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(181030), // Rule ID 346 //
     /*  180994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181011 */     // MIs[0] rs1
     /*  181011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181023 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181028 */     GIR_RootConstrainSelectedInstOperands,
     /*  181029 */     // GIR_Coverage, 346,
     /*  181029 */     GIR_Done,
     /*  181030 */   // Label 3476: @181030
     /*  181030 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(181071), // Rule ID 348 //
     /*  181035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181052 */     // MIs[0] rs1
     /*  181052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181064 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181069 */     GIR_RootConstrainSelectedInstOperands,
     /*  181070 */     // GIR_Coverage, 348,
     /*  181070 */     GIR_Done,
     /*  181071 */   // Label 3477: @181071
     /*  181071 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(181112), // Rule ID 350 //
     /*  181076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181093 */     // MIs[0] rs1
     /*  181093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181105 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181110 */     GIR_RootConstrainSelectedInstOperands,
     /*  181111 */     // GIR_Coverage, 350,
     /*  181111 */     GIR_Done,
     /*  181112 */   // Label 3478: @181112
     /*  181112 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(181153), // Rule ID 352 //
     /*  181117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181134 */     // MIs[0] rs1
     /*  181134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181146 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181151 */     GIR_RootConstrainSelectedInstOperands,
     /*  181152 */     // GIR_Coverage, 352,
     /*  181152 */     GIR_Done,
     /*  181153 */   // Label 3479: @181153
     /*  181153 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(181194), // Rule ID 514 //
     /*  181158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181175 */     // MIs[0] rs1
     /*  181175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181187 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181192 */     GIR_RootConstrainSelectedInstOperands,
     /*  181193 */     // GIR_Coverage, 514,
     /*  181193 */     GIR_Done,
     /*  181194 */   // Label 3480: @181194
     /*  181194 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(181235), // Rule ID 515 //
     /*  181199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181216 */     // MIs[0] rs1
     /*  181216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181228 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  181233 */     GIR_RootConstrainSelectedInstOperands,
     /*  181234 */     // GIR_Coverage, 515,
     /*  181234 */     GIR_Done,
     /*  181235 */   // Label 3481: @181235
     /*  181235 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(181276), // Rule ID 516 //
     /*  181240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181257 */     // MIs[0] rs1
     /*  181257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181269 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  181274 */     GIR_RootConstrainSelectedInstOperands,
     /*  181275 */     // GIR_Coverage, 516,
     /*  181275 */     GIR_Done,
     /*  181276 */   // Label 3482: @181276
     /*  181276 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(181317), // Rule ID 517 //
     /*  181281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181298 */     // MIs[0] rs1
     /*  181298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181310 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181315 */     GIR_RootConstrainSelectedInstOperands,
     /*  181316 */     // GIR_Coverage, 517,
     /*  181316 */     GIR_Done,
     /*  181317 */   // Label 3483: @181317
     /*  181317 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(181358), // Rule ID 518 //
     /*  181322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181339 */     // MIs[0] rs1
     /*  181339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181351 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181351 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181356 */     GIR_RootConstrainSelectedInstOperands,
     /*  181357 */     // GIR_Coverage, 518,
     /*  181357 */     GIR_Done,
     /*  181358 */   // Label 3484: @181358
     /*  181358 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(181399), // Rule ID 519 //
     /*  181363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181380 */     // MIs[0] rs1
     /*  181380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181392 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181397 */     GIR_RootConstrainSelectedInstOperands,
     /*  181398 */     // GIR_Coverage, 519,
     /*  181398 */     GIR_Done,
     /*  181399 */   // Label 3485: @181399
     /*  181399 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(181440), // Rule ID 520 //
     /*  181404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181421 */     // MIs[0] rs1
     /*  181421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181433 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181438 */     GIR_RootConstrainSelectedInstOperands,
     /*  181439 */     // GIR_Coverage, 520,
     /*  181439 */     GIR_Done,
     /*  181440 */   // Label 3486: @181440
     /*  181440 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(181481), // Rule ID 521 //
     /*  181445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181455 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181462 */     // MIs[0] rs1
     /*  181462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181474 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181479 */     GIR_RootConstrainSelectedInstOperands,
     /*  181480 */     // GIR_Coverage, 521,
     /*  181480 */     GIR_Done,
     /*  181481 */   // Label 3487: @181481
     /*  181481 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(181522), // Rule ID 522 //
     /*  181486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181503 */     // MIs[0] rs1
     /*  181503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181515 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181520 */     GIR_RootConstrainSelectedInstOperands,
     /*  181521 */     // GIR_Coverage, 522,
     /*  181521 */     GIR_Done,
     /*  181522 */   // Label 3488: @181522
     /*  181522 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(181563), // Rule ID 523 //
     /*  181527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181544 */     // MIs[0] rs1
     /*  181544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181556 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181561 */     GIR_RootConstrainSelectedInstOperands,
     /*  181562 */     // GIR_Coverage, 523,
     /*  181562 */     GIR_Done,
     /*  181563 */   // Label 3489: @181563
     /*  181563 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(181604), // Rule ID 682 //
     /*  181568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181585 */     // MIs[0] rs1
     /*  181585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181597 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181602 */     GIR_RootConstrainSelectedInstOperands,
     /*  181603 */     // GIR_Coverage, 682,
     /*  181603 */     GIR_Done,
     /*  181604 */   // Label 3490: @181604
     /*  181604 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(181645), // Rule ID 684 //
     /*  181609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181626 */     // MIs[0] rs1
     /*  181626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181638 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  181643 */     GIR_RootConstrainSelectedInstOperands,
     /*  181644 */     // GIR_Coverage, 684,
     /*  181644 */     GIR_Done,
     /*  181645 */   // Label 3491: @181645
     /*  181645 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(181686), // Rule ID 686 //
     /*  181650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181653 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181660 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181667 */     // MIs[0] rs1
     /*  181667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181679 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  181684 */     GIR_RootConstrainSelectedInstOperands,
     /*  181685 */     // GIR_Coverage, 686,
     /*  181685 */     GIR_Done,
     /*  181686 */   // Label 3492: @181686
     /*  181686 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(181727), // Rule ID 688 //
     /*  181691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181708 */     // MIs[0] rs1
     /*  181708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181720 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  181725 */     GIR_RootConstrainSelectedInstOperands,
     /*  181726 */     // GIR_Coverage, 688,
     /*  181726 */     GIR_Done,
     /*  181727 */   // Label 3493: @181727
     /*  181727 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(181768), // Rule ID 690 //
     /*  181732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181749 */     // MIs[0] rs1
     /*  181749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181761 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181761 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  181766 */     GIR_RootConstrainSelectedInstOperands,
     /*  181767 */     // GIR_Coverage, 690,
     /*  181767 */     GIR_Done,
     /*  181768 */   // Label 3494: @181768
     /*  181768 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(181809), // Rule ID 692 //
     /*  181773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181790 */     // MIs[0] rs1
     /*  181790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181802 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181807 */     GIR_RootConstrainSelectedInstOperands,
     /*  181808 */     // GIR_Coverage, 692,
     /*  181808 */     GIR_Done,
     /*  181809 */   // Label 3495: @181809
     /*  181809 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(181850), // Rule ID 694 //
     /*  181814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181831 */     // MIs[0] rs1
     /*  181831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181843 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181848 */     GIR_RootConstrainSelectedInstOperands,
     /*  181849 */     // GIR_Coverage, 694,
     /*  181849 */     GIR_Done,
     /*  181850 */   // Label 3496: @181850
     /*  181850 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(181891), // Rule ID 696 //
     /*  181855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181872 */     // MIs[0] rs1
     /*  181872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181884 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181889 */     GIR_RootConstrainSelectedInstOperands,
     /*  181890 */     // GIR_Coverage, 696,
     /*  181890 */     GIR_Done,
     /*  181891 */   // Label 3497: @181891
     /*  181891 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(181932), // Rule ID 698 //
     /*  181896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181913 */     // MIs[0] rs1
     /*  181913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181925 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181930 */     GIR_RootConstrainSelectedInstOperands,
     /*  181931 */     // GIR_Coverage, 698,
     /*  181931 */     GIR_Done,
     /*  181932 */   // Label 3498: @181932
     /*  181932 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(181973), // Rule ID 700 //
     /*  181937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181954 */     // MIs[0] rs1
     /*  181954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181966 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181971 */     GIR_RootConstrainSelectedInstOperands,
     /*  181972 */     // GIR_Coverage, 700,
     /*  181972 */     GIR_Done,
     /*  181973 */   // Label 3499: @181973
     /*  181973 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(182014), // Rule ID 862 //
     /*  181978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181995 */     // MIs[0] rs1
     /*  181995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182007 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182012 */     GIR_RootConstrainSelectedInstOperands,
     /*  182013 */     // GIR_Coverage, 862,
     /*  182013 */     GIR_Done,
     /*  182014 */   // Label 3500: @182014
     /*  182014 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(182055), // Rule ID 864 //
     /*  182019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182036 */     // MIs[0] rs1
     /*  182036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182048 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  182053 */     GIR_RootConstrainSelectedInstOperands,
     /*  182054 */     // GIR_Coverage, 864,
     /*  182054 */     GIR_Done,
     /*  182055 */   // Label 3501: @182055
     /*  182055 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(182096), // Rule ID 866 //
     /*  182060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182077 */     // MIs[0] rs1
     /*  182077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182089 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  182094 */     GIR_RootConstrainSelectedInstOperands,
     /*  182095 */     // GIR_Coverage, 866,
     /*  182095 */     GIR_Done,
     /*  182096 */   // Label 3502: @182096
     /*  182096 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(182137), // Rule ID 868 //
     /*  182101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182111 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182118 */     // MIs[0] rs1
     /*  182118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182130 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182130 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182135 */     GIR_RootConstrainSelectedInstOperands,
     /*  182136 */     // GIR_Coverage, 868,
     /*  182136 */     GIR_Done,
     /*  182137 */   // Label 3503: @182137
     /*  182137 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(182178), // Rule ID 870 //
     /*  182142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182159 */     // MIs[0] rs1
     /*  182159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182171 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182176 */     GIR_RootConstrainSelectedInstOperands,
     /*  182177 */     // GIR_Coverage, 870,
     /*  182177 */     GIR_Done,
     /*  182178 */   // Label 3504: @182178
     /*  182178 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(182219), // Rule ID 872 //
     /*  182183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182186 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182200 */     // MIs[0] rs1
     /*  182200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182212 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182217 */     GIR_RootConstrainSelectedInstOperands,
     /*  182218 */     // GIR_Coverage, 872,
     /*  182218 */     GIR_Done,
     /*  182219 */   // Label 3505: @182219
     /*  182219 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(182260), // Rule ID 874 //
     /*  182224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182227 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182234 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182241 */     // MIs[0] rs1
     /*  182241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182253 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182258 */     GIR_RootConstrainSelectedInstOperands,
     /*  182259 */     // GIR_Coverage, 874,
     /*  182259 */     GIR_Done,
     /*  182260 */   // Label 3506: @182260
     /*  182260 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(182301), // Rule ID 876 //
     /*  182265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182268 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182275 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182282 */     // MIs[0] rs1
     /*  182282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182294 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182299 */     GIR_RootConstrainSelectedInstOperands,
     /*  182300 */     // GIR_Coverage, 876,
     /*  182300 */     GIR_Done,
     /*  182301 */   // Label 3507: @182301
     /*  182301 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(182342), // Rule ID 878 //
     /*  182306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182316 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182323 */     // MIs[0] rs1
     /*  182323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182335 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182340 */     GIR_RootConstrainSelectedInstOperands,
     /*  182341 */     // GIR_Coverage, 878,
     /*  182341 */     GIR_Done,
     /*  182342 */   // Label 3508: @182342
     /*  182342 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(182383), // Rule ID 880 //
     /*  182347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182364 */     // MIs[0] rs1
     /*  182364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182376 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182381 */     GIR_RootConstrainSelectedInstOperands,
     /*  182382 */     // GIR_Coverage, 880,
     /*  182382 */     GIR_Done,
     /*  182383 */   // Label 3509: @182383
     /*  182383 */   GIM_Reject,
     /*  182384 */ // Label 3469: @182384
     /*  182384 */ GIM_Reject,
     /*  182385 */ // Label 3437: @182385
     /*  182385 */ GIM_Reject,
     /*  182386 */ // Label 27: @182386
     /*  182386 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3512*/ GIMT_Encode4(185295),
     /*  182397 */ /*GILLT_s32*//*Label 3510*/ GIMT_Encode4(182405),
     /*  182401 */ /*GILLT_s64*//*Label 3511*/ GIMT_Encode4(183645),
     /*  182405 */ // Label 3510: @182405
     /*  182405 */ GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(183644),
     /*  182410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  182413 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(182454), // Rule ID 355 //
     /*  182418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182421 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182428 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182435 */     // MIs[0] rs1
     /*  182435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182447 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182452 */     GIR_RootConstrainSelectedInstOperands,
     /*  182453 */     // GIR_Coverage, 355,
     /*  182453 */     GIR_Done,
     /*  182454 */   // Label 3514: @182454
     /*  182454 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(182495), // Rule ID 357 //
     /*  182459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182476 */     // MIs[0] rs1
     /*  182476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182488 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  182493 */     GIR_RootConstrainSelectedInstOperands,
     /*  182494 */     // GIR_Coverage, 357,
     /*  182494 */     GIR_Done,
     /*  182495 */   // Label 3515: @182495
     /*  182495 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(182536), // Rule ID 359 //
     /*  182500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182503 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182517 */     // MIs[0] rs1
     /*  182517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182529 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  182534 */     GIR_RootConstrainSelectedInstOperands,
     /*  182535 */     // GIR_Coverage, 359,
     /*  182535 */     GIR_Done,
     /*  182536 */   // Label 3516: @182536
     /*  182536 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(182577), // Rule ID 361 //
     /*  182541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182558 */     // MIs[0] rs1
     /*  182558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182570 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182575 */     GIR_RootConstrainSelectedInstOperands,
     /*  182576 */     // GIR_Coverage, 361,
     /*  182576 */     GIR_Done,
     /*  182577 */   // Label 3517: @182577
     /*  182577 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(182618), // Rule ID 363 //
     /*  182582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182599 */     // MIs[0] rs1
     /*  182599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182611 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182616 */     GIR_RootConstrainSelectedInstOperands,
     /*  182617 */     // GIR_Coverage, 363,
     /*  182617 */     GIR_Done,
     /*  182618 */   // Label 3518: @182618
     /*  182618 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(182659), // Rule ID 365 //
     /*  182623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182640 */     // MIs[0] rs1
     /*  182640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182652 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182657 */     GIR_RootConstrainSelectedInstOperands,
     /*  182658 */     // GIR_Coverage, 365,
     /*  182658 */     GIR_Done,
     /*  182659 */   // Label 3519: @182659
     /*  182659 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(182700), // Rule ID 367 //
     /*  182664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182667 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182674 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182681 */     // MIs[0] rs1
     /*  182681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182693 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182698 */     GIR_RootConstrainSelectedInstOperands,
     /*  182699 */     // GIR_Coverage, 367,
     /*  182699 */     GIR_Done,
     /*  182700 */   // Label 3520: @182700
     /*  182700 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(182741), // Rule ID 369 //
     /*  182705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182715 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182722 */     // MIs[0] rs1
     /*  182722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182734 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182739 */     GIR_RootConstrainSelectedInstOperands,
     /*  182740 */     // GIR_Coverage, 369,
     /*  182740 */     GIR_Done,
     /*  182741 */   // Label 3521: @182741
     /*  182741 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(182782), // Rule ID 371 //
     /*  182746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182749 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182756 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182763 */     // MIs[0] rs1
     /*  182763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182775 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182780 */     GIR_RootConstrainSelectedInstOperands,
     /*  182781 */     // GIR_Coverage, 371,
     /*  182781 */     GIR_Done,
     /*  182782 */   // Label 3522: @182782
     /*  182782 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(182823), // Rule ID 373 //
     /*  182787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182790 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182797 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182804 */     // MIs[0] rs1
     /*  182804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182816 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182821 */     GIR_RootConstrainSelectedInstOperands,
     /*  182822 */     // GIR_Coverage, 373,
     /*  182822 */     GIR_Done,
     /*  182823 */   // Label 3523: @182823
     /*  182823 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(182864), // Rule ID 703 //
     /*  182828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182845 */     // MIs[0] rs1
     /*  182845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182857 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  182862 */     GIR_RootConstrainSelectedInstOperands,
     /*  182863 */     // GIR_Coverage, 703,
     /*  182863 */     GIR_Done,
     /*  182864 */   // Label 3524: @182864
     /*  182864 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(182905), // Rule ID 705 //
     /*  182869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182886 */     // MIs[0] rs1
     /*  182886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182898 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  182903 */     GIR_RootConstrainSelectedInstOperands,
     /*  182904 */     // GIR_Coverage, 705,
     /*  182904 */     GIR_Done,
     /*  182905 */   // Label 3525: @182905
     /*  182905 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(182946), // Rule ID 707 //
     /*  182910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182913 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182927 */     // MIs[0] rs1
     /*  182927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182939 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  182944 */     GIR_RootConstrainSelectedInstOperands,
     /*  182945 */     // GIR_Coverage, 707,
     /*  182945 */     GIR_Done,
     /*  182946 */   // Label 3526: @182946
     /*  182946 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(182987), // Rule ID 709 //
     /*  182951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182954 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182961 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182968 */     // MIs[0] rs1
     /*  182968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182980 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  182985 */     GIR_RootConstrainSelectedInstOperands,
     /*  182986 */     // GIR_Coverage, 709,
     /*  182986 */     GIR_Done,
     /*  182987 */   // Label 3527: @182987
     /*  182987 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(183028), // Rule ID 711 //
     /*  182992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182995 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183009 */     // MIs[0] rs1
     /*  183009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183021 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  183026 */     GIR_RootConstrainSelectedInstOperands,
     /*  183027 */     // GIR_Coverage, 711,
     /*  183027 */     GIR_Done,
     /*  183028 */   // Label 3528: @183028
     /*  183028 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(183069), // Rule ID 713 //
     /*  183033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183036 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183043 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183050 */     // MIs[0] rs1
     /*  183050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183062 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183067 */     GIR_RootConstrainSelectedInstOperands,
     /*  183068 */     // GIR_Coverage, 713,
     /*  183068 */     GIR_Done,
     /*  183069 */   // Label 3529: @183069
     /*  183069 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(183110), // Rule ID 715 //
     /*  183074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183084 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183091 */     // MIs[0] rs1
     /*  183091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183103 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183108 */     GIR_RootConstrainSelectedInstOperands,
     /*  183109 */     // GIR_Coverage, 715,
     /*  183109 */     GIR_Done,
     /*  183110 */   // Label 3530: @183110
     /*  183110 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(183151), // Rule ID 717 //
     /*  183115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183132 */     // MIs[0] rs1
     /*  183132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183144 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183149 */     GIR_RootConstrainSelectedInstOperands,
     /*  183150 */     // GIR_Coverage, 717,
     /*  183150 */     GIR_Done,
     /*  183151 */   // Label 3531: @183151
     /*  183151 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(183192), // Rule ID 719 //
     /*  183156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183159 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183173 */     // MIs[0] rs1
     /*  183173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183185 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183190 */     GIR_RootConstrainSelectedInstOperands,
     /*  183191 */     // GIR_Coverage, 719,
     /*  183191 */     GIR_Done,
     /*  183192 */   // Label 3532: @183192
     /*  183192 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(183233), // Rule ID 721 //
     /*  183197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183214 */     // MIs[0] rs1
     /*  183214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183226 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183231 */     GIR_RootConstrainSelectedInstOperands,
     /*  183232 */     // GIR_Coverage, 721,
     /*  183232 */     GIR_Done,
     /*  183233 */   // Label 3533: @183233
     /*  183233 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(183274), // Rule ID 883 //
     /*  183238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183241 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183255 */     // MIs[0] rs1
     /*  183255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183267 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183272 */     GIR_RootConstrainSelectedInstOperands,
     /*  183273 */     // GIR_Coverage, 883,
     /*  183273 */     GIR_Done,
     /*  183274 */   // Label 3534: @183274
     /*  183274 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(183315), // Rule ID 885 //
     /*  183279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183282 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183289 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183296 */     // MIs[0] rs1
     /*  183296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183308 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  183313 */     GIR_RootConstrainSelectedInstOperands,
     /*  183314 */     // GIR_Coverage, 885,
     /*  183314 */     GIR_Done,
     /*  183315 */   // Label 3535: @183315
     /*  183315 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(183356), // Rule ID 887 //
     /*  183320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183323 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183330 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183337 */     // MIs[0] rs1
     /*  183337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183349 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  183354 */     GIR_RootConstrainSelectedInstOperands,
     /*  183355 */     // GIR_Coverage, 887,
     /*  183355 */     GIR_Done,
     /*  183356 */   // Label 3536: @183356
     /*  183356 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(183397), // Rule ID 889 //
     /*  183361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183378 */     // MIs[0] rs1
     /*  183378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183390 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183395 */     GIR_RootConstrainSelectedInstOperands,
     /*  183396 */     // GIR_Coverage, 889,
     /*  183396 */     GIR_Done,
     /*  183397 */   // Label 3537: @183397
     /*  183397 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(183438), // Rule ID 891 //
     /*  183402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183412 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183419 */     // MIs[0] rs1
     /*  183419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183431 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183436 */     GIR_RootConstrainSelectedInstOperands,
     /*  183437 */     // GIR_Coverage, 891,
     /*  183437 */     GIR_Done,
     /*  183438 */   // Label 3538: @183438
     /*  183438 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(183479), // Rule ID 893 //
     /*  183443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183460 */     // MIs[0] rs1
     /*  183460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183472 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183477 */     GIR_RootConstrainSelectedInstOperands,
     /*  183478 */     // GIR_Coverage, 893,
     /*  183478 */     GIR_Done,
     /*  183479 */   // Label 3539: @183479
     /*  183479 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(183520), // Rule ID 895 //
     /*  183484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183501 */     // MIs[0] rs1
     /*  183501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183513 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183518 */     GIR_RootConstrainSelectedInstOperands,
     /*  183519 */     // GIR_Coverage, 895,
     /*  183519 */     GIR_Done,
     /*  183520 */   // Label 3540: @183520
     /*  183520 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(183561), // Rule ID 897 //
     /*  183525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183542 */     // MIs[0] rs1
     /*  183542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183554 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183559 */     GIR_RootConstrainSelectedInstOperands,
     /*  183560 */     // GIR_Coverage, 897,
     /*  183560 */     GIR_Done,
     /*  183561 */   // Label 3541: @183561
     /*  183561 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(183602), // Rule ID 899 //
     /*  183566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183576 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183583 */     // MIs[0] rs1
     /*  183583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183595 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183600 */     GIR_RootConstrainSelectedInstOperands,
     /*  183601 */     // GIR_Coverage, 899,
     /*  183601 */     GIR_Done,
     /*  183602 */   // Label 3542: @183602
     /*  183602 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(183643), // Rule ID 901 //
     /*  183607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183624 */     // MIs[0] rs1
     /*  183624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183636 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183641 */     GIR_RootConstrainSelectedInstOperands,
     /*  183642 */     // GIR_Coverage, 901,
     /*  183642 */     GIR_Done,
     /*  183643 */   // Label 3543: @183643
     /*  183643 */   GIM_Reject,
     /*  183644 */ // Label 3513: @183644
     /*  183644 */ GIM_Reject,
     /*  183645 */ // Label 3511: @183645
     /*  183645 */ GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(185294),
     /*  183650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  183653 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(183694), // Rule ID 354 //
     /*  183658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183675 */     // MIs[0] rs1
     /*  183675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183687 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183692 */     GIR_RootConstrainSelectedInstOperands,
     /*  183693 */     // GIR_Coverage, 354,
     /*  183693 */     GIR_Done,
     /*  183694 */   // Label 3545: @183694
     /*  183694 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(183735), // Rule ID 356 //
     /*  183699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183716 */     // MIs[0] rs1
     /*  183716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183728 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  183733 */     GIR_RootConstrainSelectedInstOperands,
     /*  183734 */     // GIR_Coverage, 356,
     /*  183734 */     GIR_Done,
     /*  183735 */   // Label 3546: @183735
     /*  183735 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(183776), // Rule ID 358 //
     /*  183740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183757 */     // MIs[0] rs1
     /*  183757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183769 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  183774 */     GIR_RootConstrainSelectedInstOperands,
     /*  183775 */     // GIR_Coverage, 358,
     /*  183775 */     GIR_Done,
     /*  183776 */   // Label 3547: @183776
     /*  183776 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(183817), // Rule ID 360 //
     /*  183781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183798 */     // MIs[0] rs1
     /*  183798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183810 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  183815 */     GIR_RootConstrainSelectedInstOperands,
     /*  183816 */     // GIR_Coverage, 360,
     /*  183816 */     GIR_Done,
     /*  183817 */   // Label 3548: @183817
     /*  183817 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(183858), // Rule ID 362 //
     /*  183822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183839 */     // MIs[0] rs1
     /*  183839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183851 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  183856 */     GIR_RootConstrainSelectedInstOperands,
     /*  183857 */     // GIR_Coverage, 362,
     /*  183857 */     GIR_Done,
     /*  183858 */   // Label 3549: @183858
     /*  183858 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(183899), // Rule ID 364 //
     /*  183863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183880 */     // MIs[0] rs1
     /*  183880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183892 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183897 */     GIR_RootConstrainSelectedInstOperands,
     /*  183898 */     // GIR_Coverage, 364,
     /*  183898 */     GIR_Done,
     /*  183899 */   // Label 3550: @183899
     /*  183899 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(183940), // Rule ID 366 //
     /*  183904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183921 */     // MIs[0] rs1
     /*  183921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183933 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183938 */     GIR_RootConstrainSelectedInstOperands,
     /*  183939 */     // GIR_Coverage, 366,
     /*  183939 */     GIR_Done,
     /*  183940 */   // Label 3551: @183940
     /*  183940 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(183981), // Rule ID 368 //
     /*  183945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183962 */     // MIs[0] rs1
     /*  183962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183974 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183979 */     GIR_RootConstrainSelectedInstOperands,
     /*  183980 */     // GIR_Coverage, 368,
     /*  183980 */     GIR_Done,
     /*  183981 */   // Label 3552: @183981
     /*  183981 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(184022), // Rule ID 370 //
     /*  183986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184003 */     // MIs[0] rs1
     /*  184003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184015 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184020 */     GIR_RootConstrainSelectedInstOperands,
     /*  184021 */     // GIR_Coverage, 370,
     /*  184021 */     GIR_Done,
     /*  184022 */   // Label 3553: @184022
     /*  184022 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(184063), // Rule ID 372 //
     /*  184027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184044 */     // MIs[0] rs1
     /*  184044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184056 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184061 */     GIR_RootConstrainSelectedInstOperands,
     /*  184062 */     // GIR_Coverage, 372,
     /*  184062 */     GIR_Done,
     /*  184063 */   // Label 3554: @184063
     /*  184063 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(184104), // Rule ID 524 //
     /*  184068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184071 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184085 */     // MIs[0] rs1
     /*  184085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184097 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184102 */     GIR_RootConstrainSelectedInstOperands,
     /*  184103 */     // GIR_Coverage, 524,
     /*  184103 */     GIR_Done,
     /*  184104 */   // Label 3555: @184104
     /*  184104 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(184145), // Rule ID 525 //
     /*  184109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184112 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184119 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184126 */     // MIs[0] rs1
     /*  184126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184138 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  184143 */     GIR_RootConstrainSelectedInstOperands,
     /*  184144 */     // GIR_Coverage, 525,
     /*  184144 */     GIR_Done,
     /*  184145 */   // Label 3556: @184145
     /*  184145 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(184186), // Rule ID 526 //
     /*  184150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184167 */     // MIs[0] rs1
     /*  184167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184179 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  184184 */     GIR_RootConstrainSelectedInstOperands,
     /*  184185 */     // GIR_Coverage, 526,
     /*  184185 */     GIR_Done,
     /*  184186 */   // Label 3557: @184186
     /*  184186 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(184227), // Rule ID 527 //
     /*  184191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184194 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184201 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184208 */     // MIs[0] rs1
     /*  184208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184220 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184225 */     GIR_RootConstrainSelectedInstOperands,
     /*  184226 */     // GIR_Coverage, 527,
     /*  184226 */     GIR_Done,
     /*  184227 */   // Label 3558: @184227
     /*  184227 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(184268), // Rule ID 528 //
     /*  184232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184235 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184242 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184249 */     // MIs[0] rs1
     /*  184249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184261 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184266 */     GIR_RootConstrainSelectedInstOperands,
     /*  184267 */     // GIR_Coverage, 528,
     /*  184267 */     GIR_Done,
     /*  184268 */   // Label 3559: @184268
     /*  184268 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(184309), // Rule ID 529 //
     /*  184273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184290 */     // MIs[0] rs1
     /*  184290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184302 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184307 */     GIR_RootConstrainSelectedInstOperands,
     /*  184308 */     // GIR_Coverage, 529,
     /*  184308 */     GIR_Done,
     /*  184309 */   // Label 3560: @184309
     /*  184309 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(184350), // Rule ID 530 //
     /*  184314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184317 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184324 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184331 */     // MIs[0] rs1
     /*  184331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184343 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184348 */     GIR_RootConstrainSelectedInstOperands,
     /*  184349 */     // GIR_Coverage, 530,
     /*  184349 */     GIR_Done,
     /*  184350 */   // Label 3561: @184350
     /*  184350 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(184391), // Rule ID 531 //
     /*  184355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184358 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184372 */     // MIs[0] rs1
     /*  184372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184384 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184389 */     GIR_RootConstrainSelectedInstOperands,
     /*  184390 */     // GIR_Coverage, 531,
     /*  184390 */     GIR_Done,
     /*  184391 */   // Label 3562: @184391
     /*  184391 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(184432), // Rule ID 532 //
     /*  184396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184399 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184406 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184413 */     // MIs[0] rs1
     /*  184413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184425 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184430 */     GIR_RootConstrainSelectedInstOperands,
     /*  184431 */     // GIR_Coverage, 532,
     /*  184431 */     GIR_Done,
     /*  184432 */   // Label 3563: @184432
     /*  184432 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(184473), // Rule ID 533 //
     /*  184437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184454 */     // MIs[0] rs1
     /*  184454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184466 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184471 */     GIR_RootConstrainSelectedInstOperands,
     /*  184472 */     // GIR_Coverage, 533,
     /*  184472 */     GIR_Done,
     /*  184473 */   // Label 3564: @184473
     /*  184473 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(184514), // Rule ID 702 //
     /*  184478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184495 */     // MIs[0] rs1
     /*  184495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184507 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184512 */     GIR_RootConstrainSelectedInstOperands,
     /*  184513 */     // GIR_Coverage, 702,
     /*  184513 */     GIR_Done,
     /*  184514 */   // Label 3565: @184514
     /*  184514 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(184555), // Rule ID 704 //
     /*  184519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184536 */     // MIs[0] rs1
     /*  184536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184548 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  184553 */     GIR_RootConstrainSelectedInstOperands,
     /*  184554 */     // GIR_Coverage, 704,
     /*  184554 */     GIR_Done,
     /*  184555 */   // Label 3566: @184555
     /*  184555 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(184596), // Rule ID 706 //
     /*  184560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184563 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184577 */     // MIs[0] rs1
     /*  184577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184589 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  184594 */     GIR_RootConstrainSelectedInstOperands,
     /*  184595 */     // GIR_Coverage, 706,
     /*  184595 */     GIR_Done,
     /*  184596 */   // Label 3567: @184596
     /*  184596 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(184637), // Rule ID 708 //
     /*  184601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184618 */     // MIs[0] rs1
     /*  184618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184630 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  184635 */     GIR_RootConstrainSelectedInstOperands,
     /*  184636 */     // GIR_Coverage, 708,
     /*  184636 */     GIR_Done,
     /*  184637 */   // Label 3568: @184637
     /*  184637 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(184678), // Rule ID 710 //
     /*  184642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184659 */     // MIs[0] rs1
     /*  184659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184671 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  184676 */     GIR_RootConstrainSelectedInstOperands,
     /*  184677 */     // GIR_Coverage, 710,
     /*  184677 */     GIR_Done,
     /*  184678 */   // Label 3569: @184678
     /*  184678 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(184719), // Rule ID 712 //
     /*  184683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184700 */     // MIs[0] rs1
     /*  184700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184712 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184717 */     GIR_RootConstrainSelectedInstOperands,
     /*  184718 */     // GIR_Coverage, 712,
     /*  184718 */     GIR_Done,
     /*  184719 */   // Label 3570: @184719
     /*  184719 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(184760), // Rule ID 714 //
     /*  184724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184727 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184734 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184741 */     // MIs[0] rs1
     /*  184741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184753 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184758 */     GIR_RootConstrainSelectedInstOperands,
     /*  184759 */     // GIR_Coverage, 714,
     /*  184759 */     GIR_Done,
     /*  184760 */   // Label 3571: @184760
     /*  184760 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(184801), // Rule ID 716 //
     /*  184765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184782 */     // MIs[0] rs1
     /*  184782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184794 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184799 */     GIR_RootConstrainSelectedInstOperands,
     /*  184800 */     // GIR_Coverage, 716,
     /*  184800 */     GIR_Done,
     /*  184801 */   // Label 3572: @184801
     /*  184801 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(184842), // Rule ID 718 //
     /*  184806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184809 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184816 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184823 */     // MIs[0] rs1
     /*  184823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184835 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184835 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184840 */     GIR_RootConstrainSelectedInstOperands,
     /*  184841 */     // GIR_Coverage, 718,
     /*  184841 */     GIR_Done,
     /*  184842 */   // Label 3573: @184842
     /*  184842 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(184883), // Rule ID 720 //
     /*  184847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184850 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184857 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184864 */     // MIs[0] rs1
     /*  184864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184876 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184881 */     GIR_RootConstrainSelectedInstOperands,
     /*  184882 */     // GIR_Coverage, 720,
     /*  184882 */     GIR_Done,
     /*  184883 */   // Label 3574: @184883
     /*  184883 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(184924), // Rule ID 882 //
     /*  184888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184905 */     // MIs[0] rs1
     /*  184905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184917 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184922 */     GIR_RootConstrainSelectedInstOperands,
     /*  184923 */     // GIR_Coverage, 882,
     /*  184923 */     GIR_Done,
     /*  184924 */   // Label 3575: @184924
     /*  184924 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(184965), // Rule ID 884 //
     /*  184929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184946 */     // MIs[0] rs1
     /*  184946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184958 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  184963 */     GIR_RootConstrainSelectedInstOperands,
     /*  184964 */     // GIR_Coverage, 884,
     /*  184964 */     GIR_Done,
     /*  184965 */   // Label 3576: @184965
     /*  184965 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(185006), // Rule ID 886 //
     /*  184970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184987 */     // MIs[0] rs1
     /*  184987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184999 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  185004 */     GIR_RootConstrainSelectedInstOperands,
     /*  185005 */     // GIR_Coverage, 886,
     /*  185005 */     GIR_Done,
     /*  185006 */   // Label 3577: @185006
     /*  185006 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(185047), // Rule ID 888 //
     /*  185011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185028 */     // MIs[0] rs1
     /*  185028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185040 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185040 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  185045 */     GIR_RootConstrainSelectedInstOperands,
     /*  185046 */     // GIR_Coverage, 888,
     /*  185046 */     GIR_Done,
     /*  185047 */   // Label 3578: @185047
     /*  185047 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(185088), // Rule ID 890 //
     /*  185052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185055 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185069 */     // MIs[0] rs1
     /*  185069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185081 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  185086 */     GIR_RootConstrainSelectedInstOperands,
     /*  185087 */     // GIR_Coverage, 890,
     /*  185087 */     GIR_Done,
     /*  185088 */   // Label 3579: @185088
     /*  185088 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(185129), // Rule ID 892 //
     /*  185093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185110 */     // MIs[0] rs1
     /*  185110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185122 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185127 */     GIR_RootConstrainSelectedInstOperands,
     /*  185128 */     // GIR_Coverage, 892,
     /*  185128 */     GIR_Done,
     /*  185129 */   // Label 3580: @185129
     /*  185129 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(185170), // Rule ID 894 //
     /*  185134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185151 */     // MIs[0] rs1
     /*  185151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185163 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185168 */     GIR_RootConstrainSelectedInstOperands,
     /*  185169 */     // GIR_Coverage, 894,
     /*  185169 */     GIR_Done,
     /*  185170 */   // Label 3581: @185170
     /*  185170 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(185211), // Rule ID 896 //
     /*  185175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185192 */     // MIs[0] rs1
     /*  185192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185204 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185209 */     GIR_RootConstrainSelectedInstOperands,
     /*  185210 */     // GIR_Coverage, 896,
     /*  185210 */     GIR_Done,
     /*  185211 */   // Label 3582: @185211
     /*  185211 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(185252), // Rule ID 898 //
     /*  185216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185233 */     // MIs[0] rs1
     /*  185233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185245 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185250 */     GIR_RootConstrainSelectedInstOperands,
     /*  185251 */     // GIR_Coverage, 898,
     /*  185251 */     GIR_Done,
     /*  185252 */   // Label 3583: @185252
     /*  185252 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(185293), // Rule ID 900 //
     /*  185257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185274 */     // MIs[0] rs1
     /*  185274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185286 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185291 */     GIR_RootConstrainSelectedInstOperands,
     /*  185292 */     // GIR_Coverage, 900,
     /*  185292 */     GIR_Done,
     /*  185293 */   // Label 3584: @185293
     /*  185293 */   GIM_Reject,
     /*  185294 */ // Label 3544: @185294
     /*  185294 */ GIM_Reject,
     /*  185295 */ // Label 3512: @185295
     /*  185295 */ GIM_Reject,
     /*  185296 */ // Label 28: @185296
     /*  185296 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3587*/ GIMT_Encode4(188205),
     /*  185307 */ /*GILLT_s32*//*Label 3585*/ GIMT_Encode4(185315),
     /*  185311 */ /*GILLT_s64*//*Label 3586*/ GIMT_Encode4(186555),
     /*  185315 */ // Label 3585: @185315
     /*  185315 */ GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(186554),
     /*  185320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  185323 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(185364), // Rule ID 375 //
     /*  185328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185345 */     // MIs[0] rs1
     /*  185345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185357 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185362 */     GIR_RootConstrainSelectedInstOperands,
     /*  185363 */     // GIR_Coverage, 375,
     /*  185363 */     GIR_Done,
     /*  185364 */   // Label 3589: @185364
     /*  185364 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(185405), // Rule ID 377 //
     /*  185369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185386 */     // MIs[0] rs1
     /*  185386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185398 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  185403 */     GIR_RootConstrainSelectedInstOperands,
     /*  185404 */     // GIR_Coverage, 377,
     /*  185404 */     GIR_Done,
     /*  185405 */   // Label 3590: @185405
     /*  185405 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(185446), // Rule ID 379 //
     /*  185410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185427 */     // MIs[0] rs1
     /*  185427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185439 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185439 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  185444 */     GIR_RootConstrainSelectedInstOperands,
     /*  185445 */     // GIR_Coverage, 379,
     /*  185445 */     GIR_Done,
     /*  185446 */   // Label 3591: @185446
     /*  185446 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(185487), // Rule ID 381 //
     /*  185451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185454 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185461 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185468 */     // MIs[0] rs1
     /*  185468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185480 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185485 */     GIR_RootConstrainSelectedInstOperands,
     /*  185486 */     // GIR_Coverage, 381,
     /*  185486 */     GIR_Done,
     /*  185487 */   // Label 3592: @185487
     /*  185487 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(185528), // Rule ID 383 //
     /*  185492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185495 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185502 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185509 */     // MIs[0] rs1
     /*  185509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185521 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185526 */     GIR_RootConstrainSelectedInstOperands,
     /*  185527 */     // GIR_Coverage, 383,
     /*  185527 */     GIR_Done,
     /*  185528 */   // Label 3593: @185528
     /*  185528 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(185569), // Rule ID 385 //
     /*  185533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185536 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185543 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185550 */     // MIs[0] rs1
     /*  185550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185562 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185562 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185567 */     GIR_RootConstrainSelectedInstOperands,
     /*  185568 */     // GIR_Coverage, 385,
     /*  185568 */     GIR_Done,
     /*  185569 */   // Label 3594: @185569
     /*  185569 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(185610), // Rule ID 387 //
     /*  185574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185577 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185584 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185591 */     // MIs[0] rs1
     /*  185591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185603 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185608 */     GIR_RootConstrainSelectedInstOperands,
     /*  185609 */     // GIR_Coverage, 387,
     /*  185609 */     GIR_Done,
     /*  185610 */   // Label 3595: @185610
     /*  185610 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(185651), // Rule ID 389 //
     /*  185615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185618 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185625 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185632 */     // MIs[0] rs1
     /*  185632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185644 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185649 */     GIR_RootConstrainSelectedInstOperands,
     /*  185650 */     // GIR_Coverage, 389,
     /*  185650 */     GIR_Done,
     /*  185651 */   // Label 3596: @185651
     /*  185651 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185692), // Rule ID 391 //
     /*  185656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185673 */     // MIs[0] rs1
     /*  185673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185685 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185690 */     GIR_RootConstrainSelectedInstOperands,
     /*  185691 */     // GIR_Coverage, 391,
     /*  185691 */     GIR_Done,
     /*  185692 */   // Label 3597: @185692
     /*  185692 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185733), // Rule ID 393 //
     /*  185697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185714 */     // MIs[0] rs1
     /*  185714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185726 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185731 */     GIR_RootConstrainSelectedInstOperands,
     /*  185732 */     // GIR_Coverage, 393,
     /*  185732 */     GIR_Done,
     /*  185733 */   // Label 3598: @185733
     /*  185733 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185774), // Rule ID 723 //
     /*  185738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185741 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185748 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185755 */     // MIs[0] rs1
     /*  185755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185767 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  185772 */     GIR_RootConstrainSelectedInstOperands,
     /*  185773 */     // GIR_Coverage, 723,
     /*  185773 */     GIR_Done,
     /*  185774 */   // Label 3599: @185774
     /*  185774 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(185815), // Rule ID 725 //
     /*  185779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185782 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185789 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185796 */     // MIs[0] rs1
     /*  185796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185808 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  185813 */     GIR_RootConstrainSelectedInstOperands,
     /*  185814 */     // GIR_Coverage, 725,
     /*  185814 */     GIR_Done,
     /*  185815 */   // Label 3600: @185815
     /*  185815 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(185856), // Rule ID 727 //
     /*  185820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185837 */     // MIs[0] rs1
     /*  185837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185849 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  185854 */     GIR_RootConstrainSelectedInstOperands,
     /*  185855 */     // GIR_Coverage, 727,
     /*  185855 */     GIR_Done,
     /*  185856 */   // Label 3601: @185856
     /*  185856 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(185897), // Rule ID 729 //
     /*  185861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185871 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185878 */     // MIs[0] rs1
     /*  185878 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185890 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  185895 */     GIR_RootConstrainSelectedInstOperands,
     /*  185896 */     // GIR_Coverage, 729,
     /*  185896 */     GIR_Done,
     /*  185897 */   // Label 3602: @185897
     /*  185897 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(185938), // Rule ID 731 //
     /*  185902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185905 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185912 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185919 */     // MIs[0] rs1
     /*  185919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185931 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  185936 */     GIR_RootConstrainSelectedInstOperands,
     /*  185937 */     // GIR_Coverage, 731,
     /*  185937 */     GIR_Done,
     /*  185938 */   // Label 3603: @185938
     /*  185938 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(185979), // Rule ID 733 //
     /*  185943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185960 */     // MIs[0] rs1
     /*  185960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185972 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185972 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  185977 */     GIR_RootConstrainSelectedInstOperands,
     /*  185978 */     // GIR_Coverage, 733,
     /*  185978 */     GIR_Done,
     /*  185979 */   // Label 3604: @185979
     /*  185979 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(186020), // Rule ID 735 //
     /*  185984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185987 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185994 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186001 */     // MIs[0] rs1
     /*  186001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186013 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186018 */     GIR_RootConstrainSelectedInstOperands,
     /*  186019 */     // GIR_Coverage, 735,
     /*  186019 */     GIR_Done,
     /*  186020 */   // Label 3605: @186020
     /*  186020 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(186061), // Rule ID 737 //
     /*  186025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186028 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186035 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186042 */     // MIs[0] rs1
     /*  186042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186054 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186059 */     GIR_RootConstrainSelectedInstOperands,
     /*  186060 */     // GIR_Coverage, 737,
     /*  186060 */     GIR_Done,
     /*  186061 */   // Label 3606: @186061
     /*  186061 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(186102), // Rule ID 739 //
     /*  186066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186069 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186076 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186083 */     // MIs[0] rs1
     /*  186083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186095 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186100 */     GIR_RootConstrainSelectedInstOperands,
     /*  186101 */     // GIR_Coverage, 739,
     /*  186101 */     GIR_Done,
     /*  186102 */   // Label 3607: @186102
     /*  186102 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(186143), // Rule ID 741 //
     /*  186107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186124 */     // MIs[0] rs1
     /*  186124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186136 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186141 */     GIR_RootConstrainSelectedInstOperands,
     /*  186142 */     // GIR_Coverage, 741,
     /*  186142 */     GIR_Done,
     /*  186143 */   // Label 3608: @186143
     /*  186143 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(186184), // Rule ID 903 //
     /*  186148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186151 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186158 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186165 */     // MIs[0] rs1
     /*  186165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186177 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186177 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186182 */     GIR_RootConstrainSelectedInstOperands,
     /*  186183 */     // GIR_Coverage, 903,
     /*  186183 */     GIR_Done,
     /*  186184 */   // Label 3609: @186184
     /*  186184 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(186225), // Rule ID 905 //
     /*  186189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186192 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186199 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186206 */     // MIs[0] rs1
     /*  186206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186218 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  186223 */     GIR_RootConstrainSelectedInstOperands,
     /*  186224 */     // GIR_Coverage, 905,
     /*  186224 */     GIR_Done,
     /*  186225 */   // Label 3610: @186225
     /*  186225 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(186266), // Rule ID 907 //
     /*  186230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186233 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186240 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186247 */     // MIs[0] rs1
     /*  186247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186259 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  186264 */     GIR_RootConstrainSelectedInstOperands,
     /*  186265 */     // GIR_Coverage, 907,
     /*  186265 */     GIR_Done,
     /*  186266 */   // Label 3611: @186266
     /*  186266 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(186307), // Rule ID 909 //
     /*  186271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186288 */     // MIs[0] rs1
     /*  186288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186300 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186300 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186305 */     GIR_RootConstrainSelectedInstOperands,
     /*  186306 */     // GIR_Coverage, 909,
     /*  186306 */     GIR_Done,
     /*  186307 */   // Label 3612: @186307
     /*  186307 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(186348), // Rule ID 911 //
     /*  186312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186315 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186322 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186329 */     // MIs[0] rs1
     /*  186329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186341 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186341 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186346 */     GIR_RootConstrainSelectedInstOperands,
     /*  186347 */     // GIR_Coverage, 911,
     /*  186347 */     GIR_Done,
     /*  186348 */   // Label 3613: @186348
     /*  186348 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(186389), // Rule ID 913 //
     /*  186353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186370 */     // MIs[0] rs1
     /*  186370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186382 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186387 */     GIR_RootConstrainSelectedInstOperands,
     /*  186388 */     // GIR_Coverage, 913,
     /*  186388 */     GIR_Done,
     /*  186389 */   // Label 3614: @186389
     /*  186389 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(186430), // Rule ID 915 //
     /*  186394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186411 */     // MIs[0] rs1
     /*  186411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186423 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186428 */     GIR_RootConstrainSelectedInstOperands,
     /*  186429 */     // GIR_Coverage, 915,
     /*  186429 */     GIR_Done,
     /*  186430 */   // Label 3615: @186430
     /*  186430 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(186471), // Rule ID 917 //
     /*  186435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186452 */     // MIs[0] rs1
     /*  186452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186464 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186469 */     GIR_RootConstrainSelectedInstOperands,
     /*  186470 */     // GIR_Coverage, 917,
     /*  186470 */     GIR_Done,
     /*  186471 */   // Label 3616: @186471
     /*  186471 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(186512), // Rule ID 919 //
     /*  186476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186479 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186486 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186493 */     // MIs[0] rs1
     /*  186493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186505 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186505 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186510 */     GIR_RootConstrainSelectedInstOperands,
     /*  186511 */     // GIR_Coverage, 919,
     /*  186511 */     GIR_Done,
     /*  186512 */   // Label 3617: @186512
     /*  186512 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(186553), // Rule ID 921 //
     /*  186517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186520 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186527 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186534 */     // MIs[0] rs1
     /*  186534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186546 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186551 */     GIR_RootConstrainSelectedInstOperands,
     /*  186552 */     // GIR_Coverage, 921,
     /*  186552 */     GIR_Done,
     /*  186553 */   // Label 3618: @186553
     /*  186553 */   GIM_Reject,
     /*  186554 */ // Label 3588: @186554
     /*  186554 */ GIM_Reject,
     /*  186555 */ // Label 3586: @186555
     /*  186555 */ GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(188204),
     /*  186560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  186563 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(186604), // Rule ID 374 //
     /*  186568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186585 */     // MIs[0] rs1
     /*  186585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186597 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186602 */     GIR_RootConstrainSelectedInstOperands,
     /*  186603 */     // GIR_Coverage, 374,
     /*  186603 */     GIR_Done,
     /*  186604 */   // Label 3620: @186604
     /*  186604 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(186645), // Rule ID 376 //
     /*  186609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186626 */     // MIs[0] rs1
     /*  186626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186638 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  186643 */     GIR_RootConstrainSelectedInstOperands,
     /*  186644 */     // GIR_Coverage, 376,
     /*  186644 */     GIR_Done,
     /*  186645 */   // Label 3621: @186645
     /*  186645 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(186686), // Rule ID 378 //
     /*  186650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186653 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186660 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186667 */     // MIs[0] rs1
     /*  186667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186679 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  186684 */     GIR_RootConstrainSelectedInstOperands,
     /*  186685 */     // GIR_Coverage, 378,
     /*  186685 */     GIR_Done,
     /*  186686 */   // Label 3622: @186686
     /*  186686 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(186727), // Rule ID 380 //
     /*  186691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186708 */     // MIs[0] rs1
     /*  186708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186720 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  186725 */     GIR_RootConstrainSelectedInstOperands,
     /*  186726 */     // GIR_Coverage, 380,
     /*  186726 */     GIR_Done,
     /*  186727 */   // Label 3623: @186727
     /*  186727 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186768), // Rule ID 382 //
     /*  186732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186749 */     // MIs[0] rs1
     /*  186749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186761 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186761 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  186766 */     GIR_RootConstrainSelectedInstOperands,
     /*  186767 */     // GIR_Coverage, 382,
     /*  186767 */     GIR_Done,
     /*  186768 */   // Label 3624: @186768
     /*  186768 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(186809), // Rule ID 384 //
     /*  186773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186790 */     // MIs[0] rs1
     /*  186790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186802 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186807 */     GIR_RootConstrainSelectedInstOperands,
     /*  186808 */     // GIR_Coverage, 384,
     /*  186808 */     GIR_Done,
     /*  186809 */   // Label 3625: @186809
     /*  186809 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(186850), // Rule ID 386 //
     /*  186814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186831 */     // MIs[0] rs1
     /*  186831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186843 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186848 */     GIR_RootConstrainSelectedInstOperands,
     /*  186849 */     // GIR_Coverage, 386,
     /*  186849 */     GIR_Done,
     /*  186850 */   // Label 3626: @186850
     /*  186850 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(186891), // Rule ID 388 //
     /*  186855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186872 */     // MIs[0] rs1
     /*  186872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186884 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186889 */     GIR_RootConstrainSelectedInstOperands,
     /*  186890 */     // GIR_Coverage, 388,
     /*  186890 */     GIR_Done,
     /*  186891 */   // Label 3627: @186891
     /*  186891 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(186932), // Rule ID 390 //
     /*  186896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186913 */     // MIs[0] rs1
     /*  186913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186925 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186930 */     GIR_RootConstrainSelectedInstOperands,
     /*  186931 */     // GIR_Coverage, 390,
     /*  186931 */     GIR_Done,
     /*  186932 */   // Label 3628: @186932
     /*  186932 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(186973), // Rule ID 392 //
     /*  186937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186954 */     // MIs[0] rs1
     /*  186954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186966 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186971 */     GIR_RootConstrainSelectedInstOperands,
     /*  186972 */     // GIR_Coverage, 392,
     /*  186972 */     GIR_Done,
     /*  186973 */   // Label 3629: @186973
     /*  186973 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(187014), // Rule ID 534 //
     /*  186978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186995 */     // MIs[0] rs1
     /*  186995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187007 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187012 */     GIR_RootConstrainSelectedInstOperands,
     /*  187013 */     // GIR_Coverage, 534,
     /*  187013 */     GIR_Done,
     /*  187014 */   // Label 3630: @187014
     /*  187014 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(187055), // Rule ID 535 //
     /*  187019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187036 */     // MIs[0] rs1
     /*  187036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187048 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  187053 */     GIR_RootConstrainSelectedInstOperands,
     /*  187054 */     // GIR_Coverage, 535,
     /*  187054 */     GIR_Done,
     /*  187055 */   // Label 3631: @187055
     /*  187055 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(187096), // Rule ID 536 //
     /*  187060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187077 */     // MIs[0] rs1
     /*  187077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187089 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  187094 */     GIR_RootConstrainSelectedInstOperands,
     /*  187095 */     // GIR_Coverage, 536,
     /*  187095 */     GIR_Done,
     /*  187096 */   // Label 3632: @187096
     /*  187096 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(187137), // Rule ID 537 //
     /*  187101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187111 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187118 */     // MIs[0] rs1
     /*  187118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187130 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187130 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187135 */     GIR_RootConstrainSelectedInstOperands,
     /*  187136 */     // GIR_Coverage, 537,
     /*  187136 */     GIR_Done,
     /*  187137 */   // Label 3633: @187137
     /*  187137 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(187178), // Rule ID 538 //
     /*  187142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187159 */     // MIs[0] rs1
     /*  187159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187171 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187176 */     GIR_RootConstrainSelectedInstOperands,
     /*  187177 */     // GIR_Coverage, 538,
     /*  187177 */     GIR_Done,
     /*  187178 */   // Label 3634: @187178
     /*  187178 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(187219), // Rule ID 539 //
     /*  187183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187186 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187200 */     // MIs[0] rs1
     /*  187200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187212 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187217 */     GIR_RootConstrainSelectedInstOperands,
     /*  187218 */     // GIR_Coverage, 539,
     /*  187218 */     GIR_Done,
     /*  187219 */   // Label 3635: @187219
     /*  187219 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(187260), // Rule ID 540 //
     /*  187224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187227 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187234 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187241 */     // MIs[0] rs1
     /*  187241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187253 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187258 */     GIR_RootConstrainSelectedInstOperands,
     /*  187259 */     // GIR_Coverage, 540,
     /*  187259 */     GIR_Done,
     /*  187260 */   // Label 3636: @187260
     /*  187260 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(187301), // Rule ID 541 //
     /*  187265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187268 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187275 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187282 */     // MIs[0] rs1
     /*  187282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187294 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187299 */     GIR_RootConstrainSelectedInstOperands,
     /*  187300 */     // GIR_Coverage, 541,
     /*  187300 */     GIR_Done,
     /*  187301 */   // Label 3637: @187301
     /*  187301 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(187342), // Rule ID 542 //
     /*  187306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187316 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187323 */     // MIs[0] rs1
     /*  187323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187335 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187340 */     GIR_RootConstrainSelectedInstOperands,
     /*  187341 */     // GIR_Coverage, 542,
     /*  187341 */     GIR_Done,
     /*  187342 */   // Label 3638: @187342
     /*  187342 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(187383), // Rule ID 543 //
     /*  187347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187364 */     // MIs[0] rs1
     /*  187364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187376 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187381 */     GIR_RootConstrainSelectedInstOperands,
     /*  187382 */     // GIR_Coverage, 543,
     /*  187382 */     GIR_Done,
     /*  187383 */   // Label 3639: @187383
     /*  187383 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(187424), // Rule ID 722 //
     /*  187388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187405 */     // MIs[0] rs1
     /*  187405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187417 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187422 */     GIR_RootConstrainSelectedInstOperands,
     /*  187423 */     // GIR_Coverage, 722,
     /*  187423 */     GIR_Done,
     /*  187424 */   // Label 3640: @187424
     /*  187424 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(187465), // Rule ID 724 //
     /*  187429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187432 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187439 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187446 */     // MIs[0] rs1
     /*  187446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187458 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  187463 */     GIR_RootConstrainSelectedInstOperands,
     /*  187464 */     // GIR_Coverage, 724,
     /*  187464 */     GIR_Done,
     /*  187465 */   // Label 3641: @187465
     /*  187465 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(187506), // Rule ID 726 //
     /*  187470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187473 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187480 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187487 */     // MIs[0] rs1
     /*  187487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187499 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  187504 */     GIR_RootConstrainSelectedInstOperands,
     /*  187505 */     // GIR_Coverage, 726,
     /*  187505 */     GIR_Done,
     /*  187506 */   // Label 3642: @187506
     /*  187506 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(187547), // Rule ID 728 //
     /*  187511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187514 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187521 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187528 */     // MIs[0] rs1
     /*  187528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187540 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187545 */     GIR_RootConstrainSelectedInstOperands,
     /*  187546 */     // GIR_Coverage, 728,
     /*  187546 */     GIR_Done,
     /*  187547 */   // Label 3643: @187547
     /*  187547 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(187588), // Rule ID 730 //
     /*  187552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187562 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187569 */     // MIs[0] rs1
     /*  187569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187581 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187581 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187586 */     GIR_RootConstrainSelectedInstOperands,
     /*  187587 */     // GIR_Coverage, 730,
     /*  187587 */     GIR_Done,
     /*  187588 */   // Label 3644: @187588
     /*  187588 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(187629), // Rule ID 732 //
     /*  187593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187596 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187603 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187610 */     // MIs[0] rs1
     /*  187610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187622 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187627 */     GIR_RootConstrainSelectedInstOperands,
     /*  187628 */     // GIR_Coverage, 732,
     /*  187628 */     GIR_Done,
     /*  187629 */   // Label 3645: @187629
     /*  187629 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(187670), // Rule ID 734 //
     /*  187634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187644 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187651 */     // MIs[0] rs1
     /*  187651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187663 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187663 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187668 */     GIR_RootConstrainSelectedInstOperands,
     /*  187669 */     // GIR_Coverage, 734,
     /*  187669 */     GIR_Done,
     /*  187670 */   // Label 3646: @187670
     /*  187670 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(187711), // Rule ID 736 //
     /*  187675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187692 */     // MIs[0] rs1
     /*  187692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187704 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187709 */     GIR_RootConstrainSelectedInstOperands,
     /*  187710 */     // GIR_Coverage, 736,
     /*  187710 */     GIR_Done,
     /*  187711 */   // Label 3647: @187711
     /*  187711 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(187752), // Rule ID 738 //
     /*  187716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187719 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187726 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187733 */     // MIs[0] rs1
     /*  187733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187745 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187750 */     GIR_RootConstrainSelectedInstOperands,
     /*  187751 */     // GIR_Coverage, 738,
     /*  187751 */     GIR_Done,
     /*  187752 */   // Label 3648: @187752
     /*  187752 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(187793), // Rule ID 740 //
     /*  187757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187774 */     // MIs[0] rs1
     /*  187774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187786 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187786 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187791 */     GIR_RootConstrainSelectedInstOperands,
     /*  187792 */     // GIR_Coverage, 740,
     /*  187792 */     GIR_Done,
     /*  187793 */   // Label 3649: @187793
     /*  187793 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(187834), // Rule ID 902 //
     /*  187798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187801 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187808 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187815 */     // MIs[0] rs1
     /*  187815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187827 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187827 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187832 */     GIR_RootConstrainSelectedInstOperands,
     /*  187833 */     // GIR_Coverage, 902,
     /*  187833 */     GIR_Done,
     /*  187834 */   // Label 3650: @187834
     /*  187834 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(187875), // Rule ID 904 //
     /*  187839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187849 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187856 */     // MIs[0] rs1
     /*  187856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187868 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187868 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  187873 */     GIR_RootConstrainSelectedInstOperands,
     /*  187874 */     // GIR_Coverage, 904,
     /*  187874 */     GIR_Done,
     /*  187875 */   // Label 3651: @187875
     /*  187875 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(187916), // Rule ID 906 //
     /*  187880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187890 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187897 */     // MIs[0] rs1
     /*  187897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187909 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  187914 */     GIR_RootConstrainSelectedInstOperands,
     /*  187915 */     // GIR_Coverage, 906,
     /*  187915 */     GIR_Done,
     /*  187916 */   // Label 3652: @187916
     /*  187916 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(187957), // Rule ID 908 //
     /*  187921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187924 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187938 */     // MIs[0] rs1
     /*  187938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187950 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  187955 */     GIR_RootConstrainSelectedInstOperands,
     /*  187956 */     // GIR_Coverage, 908,
     /*  187956 */     GIR_Done,
     /*  187957 */   // Label 3653: @187957
     /*  187957 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(187998), // Rule ID 910 //
     /*  187962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187979 */     // MIs[0] rs1
     /*  187979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187991 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  187996 */     GIR_RootConstrainSelectedInstOperands,
     /*  187997 */     // GIR_Coverage, 910,
     /*  187997 */     GIR_Done,
     /*  187998 */   // Label 3654: @187998
     /*  187998 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(188039), // Rule ID 912 //
     /*  188003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188020 */     // MIs[0] rs1
     /*  188020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188032 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188037 */     GIR_RootConstrainSelectedInstOperands,
     /*  188038 */     // GIR_Coverage, 912,
     /*  188038 */     GIR_Done,
     /*  188039 */   // Label 3655: @188039
     /*  188039 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(188080), // Rule ID 914 //
     /*  188044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188047 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188054 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188061 */     // MIs[0] rs1
     /*  188061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188073 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188078 */     GIR_RootConstrainSelectedInstOperands,
     /*  188079 */     // GIR_Coverage, 914,
     /*  188079 */     GIR_Done,
     /*  188080 */   // Label 3656: @188080
     /*  188080 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(188121), // Rule ID 916 //
     /*  188085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188088 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188095 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188102 */     // MIs[0] rs1
     /*  188102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188114 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188114 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188119 */     GIR_RootConstrainSelectedInstOperands,
     /*  188120 */     // GIR_Coverage, 916,
     /*  188120 */     GIR_Done,
     /*  188121 */   // Label 3657: @188121
     /*  188121 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(188162), // Rule ID 918 //
     /*  188126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188129 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188136 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188143 */     // MIs[0] rs1
     /*  188143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188155 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188160 */     GIR_RootConstrainSelectedInstOperands,
     /*  188161 */     // GIR_Coverage, 918,
     /*  188161 */     GIR_Done,
     /*  188162 */   // Label 3658: @188162
     /*  188162 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(188203), // Rule ID 920 //
     /*  188167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188184 */     // MIs[0] rs1
     /*  188184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188196 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188201 */     GIR_RootConstrainSelectedInstOperands,
     /*  188202 */     // GIR_Coverage, 920,
     /*  188202 */     GIR_Done,
     /*  188203 */   // Label 3659: @188203
     /*  188203 */   GIM_Reject,
     /*  188204 */ // Label 3619: @188204
     /*  188204 */ GIM_Reject,
     /*  188205 */ // Label 3587: @188205
     /*  188205 */ GIM_Reject,
     /*  188206 */ // Label 29: @188206
     /*  188206 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3662*/ GIMT_Encode4(189117),
     /*  188217 */ /*GILLT_s32*//*Label 3660*/ GIMT_Encode4(188225),
     /*  188221 */ /*GILLT_s64*//*Label 3661*/ GIMT_Encode4(188507),
     /*  188225 */ // Label 3660: @188225
     /*  188225 */ GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(188506),
     /*  188230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  188233 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188240 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(188293), // Rule ID 605 //
     /*  188245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188255 */     // MIs[0] addr
     /*  188255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188267 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  188267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188275 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188280 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188282 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188291 */     GIR_RootConstrainSelectedInstOperands,
     /*  188292 */     // GIR_Coverage, 605,
     /*  188292 */     GIR_EraseRootFromParent_Done,
     /*  188293 */   // Label 3664: @188293
     /*  188293 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(188346), // Rule ID 607 //
     /*  188298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188308 */     // MIs[0] addr
     /*  188308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188320 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  188320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188328 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188333 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188335 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188344 */     GIR_RootConstrainSelectedInstOperands,
     /*  188345 */     // GIR_Coverage, 607,
     /*  188345 */     GIR_EraseRootFromParent_Done,
     /*  188346 */   // Label 3665: @188346
     /*  188346 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(188399), // Rule ID 609 //
     /*  188351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188361 */     // MIs[0] addr
     /*  188361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188373 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  188373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188381 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188386 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188388 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188397 */     GIR_RootConstrainSelectedInstOperands,
     /*  188398 */     // GIR_Coverage, 609,
     /*  188398 */     GIR_EraseRootFromParent_Done,
     /*  188399 */   // Label 3666: @188399
     /*  188399 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(188452), // Rule ID 611 //
     /*  188404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188414 */     // MIs[0] addr
     /*  188414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188426 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  188426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188434 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188439 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188441 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188450 */     GIR_RootConstrainSelectedInstOperands,
     /*  188451 */     // GIR_Coverage, 611,
     /*  188451 */     GIR_EraseRootFromParent_Done,
     /*  188452 */   // Label 3667: @188452
     /*  188452 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(188505), // Rule ID 613 //
     /*  188457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188467 */     // MIs[0] addr
     /*  188467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188479 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  188479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188487 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188492 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188494 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  188499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188503 */     GIR_RootConstrainSelectedInstOperands,
     /*  188504 */     // GIR_Coverage, 613,
     /*  188504 */     GIR_EraseRootFromParent_Done,
     /*  188505 */   // Label 3668: @188505
     /*  188505 */   GIM_Reject,
     /*  188506 */ // Label 3663: @188506
     /*  188506 */ GIM_Reject,
     /*  188507 */ // Label 3661: @188507
     /*  188507 */ GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(189116),
     /*  188512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  188515 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(188575), // Rule ID 604 //
     /*  188520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188537 */     // MIs[0] addr
     /*  188537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188549 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  188549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188557 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188562 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188564 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188573 */     GIR_RootConstrainSelectedInstOperands,
     /*  188574 */     // GIR_Coverage, 604,
     /*  188574 */     GIR_EraseRootFromParent_Done,
     /*  188575 */   // Label 3670: @188575
     /*  188575 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(188635), // Rule ID 606 //
     /*  188580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188583 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188590 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188597 */     // MIs[0] addr
     /*  188597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188609 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  188609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188617 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188622 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188624 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188633 */     GIR_RootConstrainSelectedInstOperands,
     /*  188634 */     // GIR_Coverage, 606,
     /*  188634 */     GIR_EraseRootFromParent_Done,
     /*  188635 */   // Label 3671: @188635
     /*  188635 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(188695), // Rule ID 608 //
     /*  188640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188643 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188650 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188657 */     // MIs[0] addr
     /*  188657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188669 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  188669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188677 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188682 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188684 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188693 */     GIR_RootConstrainSelectedInstOperands,
     /*  188694 */     // GIR_Coverage, 608,
     /*  188694 */     GIR_EraseRootFromParent_Done,
     /*  188695 */   // Label 3672: @188695
     /*  188695 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(188755), // Rule ID 610 //
     /*  188700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188717 */     // MIs[0] addr
     /*  188717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188729 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  188729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188737 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188742 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188744 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188753 */     GIR_RootConstrainSelectedInstOperands,
     /*  188754 */     // GIR_Coverage, 610,
     /*  188754 */     GIR_EraseRootFromParent_Done,
     /*  188755 */   // Label 3673: @188755
     /*  188755 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(188815), // Rule ID 612 //
     /*  188760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188763 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188770 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188777 */     // MIs[0] addr
     /*  188777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188789 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  188789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188797 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188802 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188804 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  188809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188813 */     GIR_RootConstrainSelectedInstOperands,
     /*  188814 */     // GIR_Coverage, 612,
     /*  188814 */     GIR_EraseRootFromParent_Done,
     /*  188815 */   // Label 3674: @188815
     /*  188815 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(188875), // Rule ID 622 //
     /*  188820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  188823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188837 */     // MIs[0] addr
     /*  188837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188849 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  188849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  188855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188857 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188862 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188864 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188873 */     GIR_RootConstrainSelectedInstOperands,
     /*  188874 */     // GIR_Coverage, 622,
     /*  188874 */     GIR_EraseRootFromParent_Done,
     /*  188875 */   // Label 3675: @188875
     /*  188875 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(188935), // Rule ID 623 //
     /*  188880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  188883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188890 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188897 */     // MIs[0] addr
     /*  188897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188909 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  188909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  188915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188917 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188922 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188924 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188933 */     GIR_RootConstrainSelectedInstOperands,
     /*  188934 */     // GIR_Coverage, 623,
     /*  188934 */     GIR_EraseRootFromParent_Done,
     /*  188935 */   // Label 3676: @188935
     /*  188935 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(188995), // Rule ID 624 //
     /*  188940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  188943 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188957 */     // MIs[0] addr
     /*  188957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188969 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  188969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  188975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188977 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188982 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188984 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188993 */     GIR_RootConstrainSelectedInstOperands,
     /*  188994 */     // GIR_Coverage, 624,
     /*  188994 */     GIR_EraseRootFromParent_Done,
     /*  188995 */   // Label 3677: @188995
     /*  188995 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(189055), // Rule ID 625 //
     /*  189000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189017 */     // MIs[0] addr
     /*  189017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189029 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  189029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189037 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189042 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189044 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189053 */     GIR_RootConstrainSelectedInstOperands,
     /*  189054 */     // GIR_Coverage, 625,
     /*  189054 */     GIR_EraseRootFromParent_Done,
     /*  189055 */   // Label 3678: @189055
     /*  189055 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(189115), // Rule ID 626 //
     /*  189060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189077 */     // MIs[0] addr
     /*  189077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189089 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  189089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189097 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189102 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189104 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189113 */     GIR_RootConstrainSelectedInstOperands,
     /*  189114 */     // GIR_Coverage, 626,
     /*  189114 */     GIR_EraseRootFromParent_Done,
     /*  189115 */   // Label 3679: @189115
     /*  189115 */   GIM_Reject,
     /*  189116 */ // Label 3669: @189116
     /*  189116 */ GIM_Reject,
     /*  189117 */ // Label 3662: @189117
     /*  189117 */ GIM_Reject,
     /*  189118 */ // Label 30: @189118
     /*  189118 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3682*/ GIMT_Encode4(192027),
     /*  189129 */ /*GILLT_s32*//*Label 3680*/ GIMT_Encode4(189137),
     /*  189133 */ /*GILLT_s64*//*Label 3681*/ GIMT_Encode4(190377),
     /*  189137 */ // Label 3680: @189137
     /*  189137 */ GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(190376),
     /*  189142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  189145 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(189186), // Rule ID 395 //
     /*  189150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189167 */     // MIs[0] rs1
     /*  189167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189179 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189184 */     GIR_RootConstrainSelectedInstOperands,
     /*  189185 */     // GIR_Coverage, 395,
     /*  189185 */     GIR_Done,
     /*  189186 */   // Label 3684: @189186
     /*  189186 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(189227), // Rule ID 397 //
     /*  189191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189194 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189201 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189208 */     // MIs[0] rs1
     /*  189208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189220 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  189225 */     GIR_RootConstrainSelectedInstOperands,
     /*  189226 */     // GIR_Coverage, 397,
     /*  189226 */     GIR_Done,
     /*  189227 */   // Label 3685: @189227
     /*  189227 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(189268), // Rule ID 399 //
     /*  189232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189235 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189242 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189249 */     // MIs[0] rs1
     /*  189249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189261 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  189266 */     GIR_RootConstrainSelectedInstOperands,
     /*  189267 */     // GIR_Coverage, 399,
     /*  189267 */     GIR_Done,
     /*  189268 */   // Label 3686: @189268
     /*  189268 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(189309), // Rule ID 401 //
     /*  189273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189290 */     // MIs[0] rs1
     /*  189290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189302 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189307 */     GIR_RootConstrainSelectedInstOperands,
     /*  189308 */     // GIR_Coverage, 401,
     /*  189308 */     GIR_Done,
     /*  189309 */   // Label 3687: @189309
     /*  189309 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(189350), // Rule ID 403 //
     /*  189314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189317 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189324 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189331 */     // MIs[0] rs1
     /*  189331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189343 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189348 */     GIR_RootConstrainSelectedInstOperands,
     /*  189349 */     // GIR_Coverage, 403,
     /*  189349 */     GIR_Done,
     /*  189350 */   // Label 3688: @189350
     /*  189350 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(189391), // Rule ID 405 //
     /*  189355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189358 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189372 */     // MIs[0] rs1
     /*  189372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189384 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189389 */     GIR_RootConstrainSelectedInstOperands,
     /*  189390 */     // GIR_Coverage, 405,
     /*  189390 */     GIR_Done,
     /*  189391 */   // Label 3689: @189391
     /*  189391 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(189432), // Rule ID 407 //
     /*  189396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189399 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189406 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189413 */     // MIs[0] rs1
     /*  189413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189425 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189430 */     GIR_RootConstrainSelectedInstOperands,
     /*  189431 */     // GIR_Coverage, 407,
     /*  189431 */     GIR_Done,
     /*  189432 */   // Label 3690: @189432
     /*  189432 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(189473), // Rule ID 409 //
     /*  189437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189454 */     // MIs[0] rs1
     /*  189454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189466 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189471 */     GIR_RootConstrainSelectedInstOperands,
     /*  189472 */     // GIR_Coverage, 409,
     /*  189472 */     GIR_Done,
     /*  189473 */   // Label 3691: @189473
     /*  189473 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(189514), // Rule ID 411 //
     /*  189478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189495 */     // MIs[0] rs1
     /*  189495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189507 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189512 */     GIR_RootConstrainSelectedInstOperands,
     /*  189513 */     // GIR_Coverage, 411,
     /*  189513 */     GIR_Done,
     /*  189514 */   // Label 3692: @189514
     /*  189514 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(189555), // Rule ID 413 //
     /*  189519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189536 */     // MIs[0] rs1
     /*  189536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189548 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189553 */     GIR_RootConstrainSelectedInstOperands,
     /*  189554 */     // GIR_Coverage, 413,
     /*  189554 */     GIR_Done,
     /*  189555 */   // Label 3693: @189555
     /*  189555 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(189596), // Rule ID 743 //
     /*  189560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189563 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189577 */     // MIs[0] rs1
     /*  189577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189589 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189594 */     GIR_RootConstrainSelectedInstOperands,
     /*  189595 */     // GIR_Coverage, 743,
     /*  189595 */     GIR_Done,
     /*  189596 */   // Label 3694: @189596
     /*  189596 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(189637), // Rule ID 745 //
     /*  189601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189618 */     // MIs[0] rs1
     /*  189618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189630 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  189635 */     GIR_RootConstrainSelectedInstOperands,
     /*  189636 */     // GIR_Coverage, 745,
     /*  189636 */     GIR_Done,
     /*  189637 */   // Label 3695: @189637
     /*  189637 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(189678), // Rule ID 747 //
     /*  189642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189659 */     // MIs[0] rs1
     /*  189659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189671 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  189676 */     GIR_RootConstrainSelectedInstOperands,
     /*  189677 */     // GIR_Coverage, 747,
     /*  189677 */     GIR_Done,
     /*  189678 */   // Label 3696: @189678
     /*  189678 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(189719), // Rule ID 749 //
     /*  189683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189700 */     // MIs[0] rs1
     /*  189700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189712 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  189717 */     GIR_RootConstrainSelectedInstOperands,
     /*  189718 */     // GIR_Coverage, 749,
     /*  189718 */     GIR_Done,
     /*  189719 */   // Label 3697: @189719
     /*  189719 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(189760), // Rule ID 751 //
     /*  189724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189727 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189734 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189741 */     // MIs[0] rs1
     /*  189741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189753 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  189758 */     GIR_RootConstrainSelectedInstOperands,
     /*  189759 */     // GIR_Coverage, 751,
     /*  189759 */     GIR_Done,
     /*  189760 */   // Label 3698: @189760
     /*  189760 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(189801), // Rule ID 753 //
     /*  189765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189782 */     // MIs[0] rs1
     /*  189782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189794 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189799 */     GIR_RootConstrainSelectedInstOperands,
     /*  189800 */     // GIR_Coverage, 753,
     /*  189800 */     GIR_Done,
     /*  189801 */   // Label 3699: @189801
     /*  189801 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(189842), // Rule ID 755 //
     /*  189806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189809 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189816 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189823 */     // MIs[0] rs1
     /*  189823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189835 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189835 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189840 */     GIR_RootConstrainSelectedInstOperands,
     /*  189841 */     // GIR_Coverage, 755,
     /*  189841 */     GIR_Done,
     /*  189842 */   // Label 3700: @189842
     /*  189842 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(189883), // Rule ID 757 //
     /*  189847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189850 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189857 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189864 */     // MIs[0] rs1
     /*  189864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189876 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189881 */     GIR_RootConstrainSelectedInstOperands,
     /*  189882 */     // GIR_Coverage, 757,
     /*  189882 */     GIR_Done,
     /*  189883 */   // Label 3701: @189883
     /*  189883 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(189924), // Rule ID 759 //
     /*  189888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189905 */     // MIs[0] rs1
     /*  189905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189917 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189922 */     GIR_RootConstrainSelectedInstOperands,
     /*  189923 */     // GIR_Coverage, 759,
     /*  189923 */     GIR_Done,
     /*  189924 */   // Label 3702: @189924
     /*  189924 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(189965), // Rule ID 761 //
     /*  189929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189946 */     // MIs[0] rs1
     /*  189946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189958 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189963 */     GIR_RootConstrainSelectedInstOperands,
     /*  189964 */     // GIR_Coverage, 761,
     /*  189964 */     GIR_Done,
     /*  189965 */   // Label 3703: @189965
     /*  189965 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(190006), // Rule ID 923 //
     /*  189970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189987 */     // MIs[0] rs1
     /*  189987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189999 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190004 */     GIR_RootConstrainSelectedInstOperands,
     /*  190005 */     // GIR_Coverage, 923,
     /*  190005 */     GIR_Done,
     /*  190006 */   // Label 3704: @190006
     /*  190006 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(190047), // Rule ID 925 //
     /*  190011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190028 */     // MIs[0] rs1
     /*  190028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190040 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190040 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  190045 */     GIR_RootConstrainSelectedInstOperands,
     /*  190046 */     // GIR_Coverage, 925,
     /*  190046 */     GIR_Done,
     /*  190047 */   // Label 3705: @190047
     /*  190047 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(190088), // Rule ID 927 //
     /*  190052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190055 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190069 */     // MIs[0] rs1
     /*  190069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190081 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  190086 */     GIR_RootConstrainSelectedInstOperands,
     /*  190087 */     // GIR_Coverage, 927,
     /*  190087 */     GIR_Done,
     /*  190088 */   // Label 3706: @190088
     /*  190088 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(190129), // Rule ID 929 //
     /*  190093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190110 */     // MIs[0] rs1
     /*  190110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190122 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190127 */     GIR_RootConstrainSelectedInstOperands,
     /*  190128 */     // GIR_Coverage, 929,
     /*  190128 */     GIR_Done,
     /*  190129 */   // Label 3707: @190129
     /*  190129 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(190170), // Rule ID 931 //
     /*  190134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190151 */     // MIs[0] rs1
     /*  190151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190163 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190168 */     GIR_RootConstrainSelectedInstOperands,
     /*  190169 */     // GIR_Coverage, 931,
     /*  190169 */     GIR_Done,
     /*  190170 */   // Label 3708: @190170
     /*  190170 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(190211), // Rule ID 933 //
     /*  190175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190192 */     // MIs[0] rs1
     /*  190192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190204 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190209 */     GIR_RootConstrainSelectedInstOperands,
     /*  190210 */     // GIR_Coverage, 933,
     /*  190210 */     GIR_Done,
     /*  190211 */   // Label 3709: @190211
     /*  190211 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(190252), // Rule ID 935 //
     /*  190216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190233 */     // MIs[0] rs1
     /*  190233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190245 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190250 */     GIR_RootConstrainSelectedInstOperands,
     /*  190251 */     // GIR_Coverage, 935,
     /*  190251 */     GIR_Done,
     /*  190252 */   // Label 3710: @190252
     /*  190252 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(190293), // Rule ID 937 //
     /*  190257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190274 */     // MIs[0] rs1
     /*  190274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190286 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190291 */     GIR_RootConstrainSelectedInstOperands,
     /*  190292 */     // GIR_Coverage, 937,
     /*  190292 */     GIR_Done,
     /*  190293 */   // Label 3711: @190293
     /*  190293 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(190334), // Rule ID 939 //
     /*  190298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190315 */     // MIs[0] rs1
     /*  190315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190327 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190332 */     GIR_RootConstrainSelectedInstOperands,
     /*  190333 */     // GIR_Coverage, 939,
     /*  190333 */     GIR_Done,
     /*  190334 */   // Label 3712: @190334
     /*  190334 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(190375), // Rule ID 941 //
     /*  190339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190349 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190356 */     // MIs[0] rs1
     /*  190356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190368 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190373 */     GIR_RootConstrainSelectedInstOperands,
     /*  190374 */     // GIR_Coverage, 941,
     /*  190374 */     GIR_Done,
     /*  190375 */   // Label 3713: @190375
     /*  190375 */   GIM_Reject,
     /*  190376 */ // Label 3683: @190376
     /*  190376 */ GIM_Reject,
     /*  190377 */ // Label 3681: @190377
     /*  190377 */ GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(192026),
     /*  190382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  190385 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(190426), // Rule ID 394 //
     /*  190390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190407 */     // MIs[0] rs1
     /*  190407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190419 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190424 */     GIR_RootConstrainSelectedInstOperands,
     /*  190425 */     // GIR_Coverage, 394,
     /*  190425 */     GIR_Done,
     /*  190426 */   // Label 3715: @190426
     /*  190426 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(190467), // Rule ID 396 //
     /*  190431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190448 */     // MIs[0] rs1
     /*  190448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190460 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  190465 */     GIR_RootConstrainSelectedInstOperands,
     /*  190466 */     // GIR_Coverage, 396,
     /*  190466 */     GIR_Done,
     /*  190467 */   // Label 3716: @190467
     /*  190467 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(190508), // Rule ID 398 //
     /*  190472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190489 */     // MIs[0] rs1
     /*  190489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190501 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  190506 */     GIR_RootConstrainSelectedInstOperands,
     /*  190507 */     // GIR_Coverage, 398,
     /*  190507 */     GIR_Done,
     /*  190508 */   // Label 3717: @190508
     /*  190508 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(190549), // Rule ID 400 //
     /*  190513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190530 */     // MIs[0] rs1
     /*  190530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190542 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190547 */     GIR_RootConstrainSelectedInstOperands,
     /*  190548 */     // GIR_Coverage, 400,
     /*  190548 */     GIR_Done,
     /*  190549 */   // Label 3718: @190549
     /*  190549 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(190590), // Rule ID 402 //
     /*  190554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190571 */     // MIs[0] rs1
     /*  190571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190583 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190588 */     GIR_RootConstrainSelectedInstOperands,
     /*  190589 */     // GIR_Coverage, 402,
     /*  190589 */     GIR_Done,
     /*  190590 */   // Label 3719: @190590
     /*  190590 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(190631), // Rule ID 404 //
     /*  190595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190612 */     // MIs[0] rs1
     /*  190612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190624 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190629 */     GIR_RootConstrainSelectedInstOperands,
     /*  190630 */     // GIR_Coverage, 404,
     /*  190630 */     GIR_Done,
     /*  190631 */   // Label 3720: @190631
     /*  190631 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(190672), // Rule ID 406 //
     /*  190636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190653 */     // MIs[0] rs1
     /*  190653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190665 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190670 */     GIR_RootConstrainSelectedInstOperands,
     /*  190671 */     // GIR_Coverage, 406,
     /*  190671 */     GIR_Done,
     /*  190672 */   // Label 3721: @190672
     /*  190672 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(190713), // Rule ID 408 //
     /*  190677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190694 */     // MIs[0] rs1
     /*  190694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190706 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190711 */     GIR_RootConstrainSelectedInstOperands,
     /*  190712 */     // GIR_Coverage, 408,
     /*  190712 */     GIR_Done,
     /*  190713 */   // Label 3722: @190713
     /*  190713 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(190754), // Rule ID 410 //
     /*  190718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190735 */     // MIs[0] rs1
     /*  190735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190747 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190752 */     GIR_RootConstrainSelectedInstOperands,
     /*  190753 */     // GIR_Coverage, 410,
     /*  190753 */     GIR_Done,
     /*  190754 */   // Label 3723: @190754
     /*  190754 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(190795), // Rule ID 412 //
     /*  190759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190776 */     // MIs[0] rs1
     /*  190776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190788 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190793 */     GIR_RootConstrainSelectedInstOperands,
     /*  190794 */     // GIR_Coverage, 412,
     /*  190794 */     GIR_Done,
     /*  190795 */   // Label 3724: @190795
     /*  190795 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(190836), // Rule ID 544 //
     /*  190800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190817 */     // MIs[0] rs1
     /*  190817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190829 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  190834 */     GIR_RootConstrainSelectedInstOperands,
     /*  190835 */     // GIR_Coverage, 544,
     /*  190835 */     GIR_Done,
     /*  190836 */   // Label 3725: @190836
     /*  190836 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(190877), // Rule ID 545 //
     /*  190841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190858 */     // MIs[0] rs1
     /*  190858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190870 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  190875 */     GIR_RootConstrainSelectedInstOperands,
     /*  190876 */     // GIR_Coverage, 545,
     /*  190876 */     GIR_Done,
     /*  190877 */   // Label 3726: @190877
     /*  190877 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(190918), // Rule ID 546 //
     /*  190882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190899 */     // MIs[0] rs1
     /*  190899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190911 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  190916 */     GIR_RootConstrainSelectedInstOperands,
     /*  190917 */     // GIR_Coverage, 546,
     /*  190917 */     GIR_Done,
     /*  190918 */   // Label 3727: @190918
     /*  190918 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(190959), // Rule ID 547 //
     /*  190923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190940 */     // MIs[0] rs1
     /*  190940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190952 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  190957 */     GIR_RootConstrainSelectedInstOperands,
     /*  190958 */     // GIR_Coverage, 547,
     /*  190958 */     GIR_Done,
     /*  190959 */   // Label 3728: @190959
     /*  190959 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(191000), // Rule ID 548 //
     /*  190964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190981 */     // MIs[0] rs1
     /*  190981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190993 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  190998 */     GIR_RootConstrainSelectedInstOperands,
     /*  190999 */     // GIR_Coverage, 548,
     /*  190999 */     GIR_Done,
     /*  191000 */   // Label 3729: @191000
     /*  191000 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(191041), // Rule ID 549 //
     /*  191005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191022 */     // MIs[0] rs1
     /*  191022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191034 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191039 */     GIR_RootConstrainSelectedInstOperands,
     /*  191040 */     // GIR_Coverage, 549,
     /*  191040 */     GIR_Done,
     /*  191041 */   // Label 3730: @191041
     /*  191041 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(191082), // Rule ID 550 //
     /*  191046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191063 */     // MIs[0] rs1
     /*  191063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191075 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191080 */     GIR_RootConstrainSelectedInstOperands,
     /*  191081 */     // GIR_Coverage, 550,
     /*  191081 */     GIR_Done,
     /*  191082 */   // Label 3731: @191082
     /*  191082 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(191123), // Rule ID 551 //
     /*  191087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191104 */     // MIs[0] rs1
     /*  191104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191116 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191121 */     GIR_RootConstrainSelectedInstOperands,
     /*  191122 */     // GIR_Coverage, 551,
     /*  191122 */     GIR_Done,
     /*  191123 */   // Label 3732: @191123
     /*  191123 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(191164), // Rule ID 552 //
     /*  191128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191145 */     // MIs[0] rs1
     /*  191145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191157 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191162 */     GIR_RootConstrainSelectedInstOperands,
     /*  191163 */     // GIR_Coverage, 552,
     /*  191163 */     GIR_Done,
     /*  191164 */   // Label 3733: @191164
     /*  191164 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(191205), // Rule ID 553 //
     /*  191169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191186 */     // MIs[0] rs1
     /*  191186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191198 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191203 */     GIR_RootConstrainSelectedInstOperands,
     /*  191204 */     // GIR_Coverage, 553,
     /*  191204 */     GIR_Done,
     /*  191205 */   // Label 3734: @191205
     /*  191205 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(191246), // Rule ID 742 //
     /*  191210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191227 */     // MIs[0] rs1
     /*  191227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191239 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191244 */     GIR_RootConstrainSelectedInstOperands,
     /*  191245 */     // GIR_Coverage, 742,
     /*  191245 */     GIR_Done,
     /*  191246 */   // Label 3735: @191246
     /*  191246 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(191287), // Rule ID 744 //
     /*  191251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191268 */     // MIs[0] rs1
     /*  191268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191280 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  191285 */     GIR_RootConstrainSelectedInstOperands,
     /*  191286 */     // GIR_Coverage, 744,
     /*  191286 */     GIR_Done,
     /*  191287 */   // Label 3736: @191287
     /*  191287 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(191328), // Rule ID 746 //
     /*  191292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191309 */     // MIs[0] rs1
     /*  191309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191321 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  191326 */     GIR_RootConstrainSelectedInstOperands,
     /*  191327 */     // GIR_Coverage, 746,
     /*  191327 */     GIR_Done,
     /*  191328 */   // Label 3737: @191328
     /*  191328 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(191369), // Rule ID 748 //
     /*  191333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191350 */     // MIs[0] rs1
     /*  191350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191362 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191367 */     GIR_RootConstrainSelectedInstOperands,
     /*  191368 */     // GIR_Coverage, 748,
     /*  191368 */     GIR_Done,
     /*  191369 */   // Label 3738: @191369
     /*  191369 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(191410), // Rule ID 750 //
     /*  191374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191391 */     // MIs[0] rs1
     /*  191391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191403 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191408 */     GIR_RootConstrainSelectedInstOperands,
     /*  191409 */     // GIR_Coverage, 750,
     /*  191409 */     GIR_Done,
     /*  191410 */   // Label 3739: @191410
     /*  191410 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(191451), // Rule ID 752 //
     /*  191415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191432 */     // MIs[0] rs1
     /*  191432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191444 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191449 */     GIR_RootConstrainSelectedInstOperands,
     /*  191450 */     // GIR_Coverage, 752,
     /*  191450 */     GIR_Done,
     /*  191451 */   // Label 3740: @191451
     /*  191451 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(191492), // Rule ID 754 //
     /*  191456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191473 */     // MIs[0] rs1
     /*  191473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191485 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191490 */     GIR_RootConstrainSelectedInstOperands,
     /*  191491 */     // GIR_Coverage, 754,
     /*  191491 */     GIR_Done,
     /*  191492 */   // Label 3741: @191492
     /*  191492 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(191533), // Rule ID 756 //
     /*  191497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191514 */     // MIs[0] rs1
     /*  191514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191526 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191531 */     GIR_RootConstrainSelectedInstOperands,
     /*  191532 */     // GIR_Coverage, 756,
     /*  191532 */     GIR_Done,
     /*  191533 */   // Label 3742: @191533
     /*  191533 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(191574), // Rule ID 758 //
     /*  191538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191555 */     // MIs[0] rs1
     /*  191555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191567 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191572 */     GIR_RootConstrainSelectedInstOperands,
     /*  191573 */     // GIR_Coverage, 758,
     /*  191573 */     GIR_Done,
     /*  191574 */   // Label 3743: @191574
     /*  191574 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(191615), // Rule ID 760 //
     /*  191579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191596 */     // MIs[0] rs1
     /*  191596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191608 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191613 */     GIR_RootConstrainSelectedInstOperands,
     /*  191614 */     // GIR_Coverage, 760,
     /*  191614 */     GIR_Done,
     /*  191615 */   // Label 3744: @191615
     /*  191615 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(191656), // Rule ID 922 //
     /*  191620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191637 */     // MIs[0] rs1
     /*  191637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191649 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191654 */     GIR_RootConstrainSelectedInstOperands,
     /*  191655 */     // GIR_Coverage, 922,
     /*  191655 */     GIR_Done,
     /*  191656 */   // Label 3745: @191656
     /*  191656 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(191697), // Rule ID 924 //
     /*  191661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191678 */     // MIs[0] rs1
     /*  191678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191690 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  191695 */     GIR_RootConstrainSelectedInstOperands,
     /*  191696 */     // GIR_Coverage, 924,
     /*  191696 */     GIR_Done,
     /*  191697 */   // Label 3746: @191697
     /*  191697 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(191738), // Rule ID 926 //
     /*  191702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191719 */     // MIs[0] rs1
     /*  191719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191731 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  191736 */     GIR_RootConstrainSelectedInstOperands,
     /*  191737 */     // GIR_Coverage, 926,
     /*  191737 */     GIR_Done,
     /*  191738 */   // Label 3747: @191738
     /*  191738 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(191779), // Rule ID 928 //
     /*  191743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191760 */     // MIs[0] rs1
     /*  191760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191772 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  191777 */     GIR_RootConstrainSelectedInstOperands,
     /*  191778 */     // GIR_Coverage, 928,
     /*  191778 */     GIR_Done,
     /*  191779 */   // Label 3748: @191779
     /*  191779 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(191820), // Rule ID 930 //
     /*  191784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191801 */     // MIs[0] rs1
     /*  191801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191813 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  191818 */     GIR_RootConstrainSelectedInstOperands,
     /*  191819 */     // GIR_Coverage, 930,
     /*  191819 */     GIR_Done,
     /*  191820 */   // Label 3749: @191820
     /*  191820 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(191861), // Rule ID 932 //
     /*  191825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191842 */     // MIs[0] rs1
     /*  191842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191854 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191859 */     GIR_RootConstrainSelectedInstOperands,
     /*  191860 */     // GIR_Coverage, 932,
     /*  191860 */     GIR_Done,
     /*  191861 */   // Label 3750: @191861
     /*  191861 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(191902), // Rule ID 934 //
     /*  191866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191883 */     // MIs[0] rs1
     /*  191883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191895 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191900 */     GIR_RootConstrainSelectedInstOperands,
     /*  191901 */     // GIR_Coverage, 934,
     /*  191901 */     GIR_Done,
     /*  191902 */   // Label 3751: @191902
     /*  191902 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(191943), // Rule ID 936 //
     /*  191907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191924 */     // MIs[0] rs1
     /*  191924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191936 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191941 */     GIR_RootConstrainSelectedInstOperands,
     /*  191942 */     // GIR_Coverage, 936,
     /*  191942 */     GIR_Done,
     /*  191943 */   // Label 3752: @191943
     /*  191943 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(191984), // Rule ID 938 //
     /*  191948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191965 */     // MIs[0] rs1
     /*  191965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191977 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191982 */     GIR_RootConstrainSelectedInstOperands,
     /*  191983 */     // GIR_Coverage, 938,
     /*  191983 */     GIR_Done,
     /*  191984 */   // Label 3753: @191984
     /*  191984 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(192025), // Rule ID 940 //
     /*  191989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192006 */     // MIs[0] rs1
     /*  192006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192018 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192023 */     GIR_RootConstrainSelectedInstOperands,
     /*  192024 */     // GIR_Coverage, 940,
     /*  192024 */     GIR_Done,
     /*  192025 */   // Label 3754: @192025
     /*  192025 */   GIM_Reject,
     /*  192026 */ // Label 3714: @192026
     /*  192026 */ GIM_Reject,
     /*  192027 */ // Label 3682: @192027
     /*  192027 */ GIM_Reject,
     /*  192028 */ // Label 31: @192028
     /*  192028 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3757*/ GIMT_Encode4(194937),
     /*  192039 */ /*GILLT_s32*//*Label 3755*/ GIMT_Encode4(192047),
     /*  192043 */ /*GILLT_s64*//*Label 3756*/ GIMT_Encode4(193287),
     /*  192047 */ // Label 3755: @192047
     /*  192047 */ GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(193286),
     /*  192052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  192055 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(192096), // Rule ID 415 //
     /*  192060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192077 */     // MIs[0] rs1
     /*  192077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192089 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192094 */     GIR_RootConstrainSelectedInstOperands,
     /*  192095 */     // GIR_Coverage, 415,
     /*  192095 */     GIR_Done,
     /*  192096 */   // Label 3759: @192096
     /*  192096 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(192137), // Rule ID 417 //
     /*  192101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192111 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192118 */     // MIs[0] rs1
     /*  192118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192130 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192130 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  192135 */     GIR_RootConstrainSelectedInstOperands,
     /*  192136 */     // GIR_Coverage, 417,
     /*  192136 */     GIR_Done,
     /*  192137 */   // Label 3760: @192137
     /*  192137 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(192178), // Rule ID 419 //
     /*  192142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192159 */     // MIs[0] rs1
     /*  192159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192171 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  192176 */     GIR_RootConstrainSelectedInstOperands,
     /*  192177 */     // GIR_Coverage, 419,
     /*  192177 */     GIR_Done,
     /*  192178 */   // Label 3761: @192178
     /*  192178 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(192219), // Rule ID 421 //
     /*  192183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192186 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192200 */     // MIs[0] rs1
     /*  192200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192212 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192217 */     GIR_RootConstrainSelectedInstOperands,
     /*  192218 */     // GIR_Coverage, 421,
     /*  192218 */     GIR_Done,
     /*  192219 */   // Label 3762: @192219
     /*  192219 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(192260), // Rule ID 423 //
     /*  192224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192227 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192234 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192241 */     // MIs[0] rs1
     /*  192241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192253 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192258 */     GIR_RootConstrainSelectedInstOperands,
     /*  192259 */     // GIR_Coverage, 423,
     /*  192259 */     GIR_Done,
     /*  192260 */   // Label 3763: @192260
     /*  192260 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(192301), // Rule ID 425 //
     /*  192265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192268 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192275 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192282 */     // MIs[0] rs1
     /*  192282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192294 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192299 */     GIR_RootConstrainSelectedInstOperands,
     /*  192300 */     // GIR_Coverage, 425,
     /*  192300 */     GIR_Done,
     /*  192301 */   // Label 3764: @192301
     /*  192301 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(192342), // Rule ID 427 //
     /*  192306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192316 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192323 */     // MIs[0] rs1
     /*  192323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192335 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192340 */     GIR_RootConstrainSelectedInstOperands,
     /*  192341 */     // GIR_Coverage, 427,
     /*  192341 */     GIR_Done,
     /*  192342 */   // Label 3765: @192342
     /*  192342 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(192383), // Rule ID 429 //
     /*  192347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192364 */     // MIs[0] rs1
     /*  192364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192376 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192381 */     GIR_RootConstrainSelectedInstOperands,
     /*  192382 */     // GIR_Coverage, 429,
     /*  192382 */     GIR_Done,
     /*  192383 */   // Label 3766: @192383
     /*  192383 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(192424), // Rule ID 431 //
     /*  192388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192405 */     // MIs[0] rs1
     /*  192405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192417 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192422 */     GIR_RootConstrainSelectedInstOperands,
     /*  192423 */     // GIR_Coverage, 431,
     /*  192423 */     GIR_Done,
     /*  192424 */   // Label 3767: @192424
     /*  192424 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(192465), // Rule ID 433 //
     /*  192429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192432 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192439 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192446 */     // MIs[0] rs1
     /*  192446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192458 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192463 */     GIR_RootConstrainSelectedInstOperands,
     /*  192464 */     // GIR_Coverage, 433,
     /*  192464 */     GIR_Done,
     /*  192465 */   // Label 3768: @192465
     /*  192465 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(192506), // Rule ID 763 //
     /*  192470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192473 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192480 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192487 */     // MIs[0] rs1
     /*  192487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192499 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192504 */     GIR_RootConstrainSelectedInstOperands,
     /*  192505 */     // GIR_Coverage, 763,
     /*  192505 */     GIR_Done,
     /*  192506 */   // Label 3769: @192506
     /*  192506 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(192547), // Rule ID 765 //
     /*  192511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192514 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192521 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192528 */     // MIs[0] rs1
     /*  192528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192540 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  192545 */     GIR_RootConstrainSelectedInstOperands,
     /*  192546 */     // GIR_Coverage, 765,
     /*  192546 */     GIR_Done,
     /*  192547 */   // Label 3770: @192547
     /*  192547 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(192588), // Rule ID 767 //
     /*  192552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192562 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192569 */     // MIs[0] rs1
     /*  192569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192581 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192581 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  192586 */     GIR_RootConstrainSelectedInstOperands,
     /*  192587 */     // GIR_Coverage, 767,
     /*  192587 */     GIR_Done,
     /*  192588 */   // Label 3771: @192588
     /*  192588 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(192629), // Rule ID 769 //
     /*  192593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192596 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192603 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192610 */     // MIs[0] rs1
     /*  192610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192622 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  192627 */     GIR_RootConstrainSelectedInstOperands,
     /*  192628 */     // GIR_Coverage, 769,
     /*  192628 */     GIR_Done,
     /*  192629 */   // Label 3772: @192629
     /*  192629 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(192670), // Rule ID 771 //
     /*  192634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192644 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192651 */     // MIs[0] rs1
     /*  192651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192663 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192663 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  192668 */     GIR_RootConstrainSelectedInstOperands,
     /*  192669 */     // GIR_Coverage, 771,
     /*  192669 */     GIR_Done,
     /*  192670 */   // Label 3773: @192670
     /*  192670 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(192711), // Rule ID 773 //
     /*  192675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192692 */     // MIs[0] rs1
     /*  192692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192704 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192709 */     GIR_RootConstrainSelectedInstOperands,
     /*  192710 */     // GIR_Coverage, 773,
     /*  192710 */     GIR_Done,
     /*  192711 */   // Label 3774: @192711
     /*  192711 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(192752), // Rule ID 775 //
     /*  192716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192719 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192726 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192733 */     // MIs[0] rs1
     /*  192733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192745 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192750 */     GIR_RootConstrainSelectedInstOperands,
     /*  192751 */     // GIR_Coverage, 775,
     /*  192751 */     GIR_Done,
     /*  192752 */   // Label 3775: @192752
     /*  192752 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(192793), // Rule ID 777 //
     /*  192757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192774 */     // MIs[0] rs1
     /*  192774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192786 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192786 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192791 */     GIR_RootConstrainSelectedInstOperands,
     /*  192792 */     // GIR_Coverage, 777,
     /*  192792 */     GIR_Done,
     /*  192793 */   // Label 3776: @192793
     /*  192793 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(192834), // Rule ID 779 //
     /*  192798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192801 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192808 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192815 */     // MIs[0] rs1
     /*  192815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192827 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192827 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192832 */     GIR_RootConstrainSelectedInstOperands,
     /*  192833 */     // GIR_Coverage, 779,
     /*  192833 */     GIR_Done,
     /*  192834 */   // Label 3777: @192834
     /*  192834 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(192875), // Rule ID 781 //
     /*  192839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192849 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192856 */     // MIs[0] rs1
     /*  192856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192868 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192868 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192873 */     GIR_RootConstrainSelectedInstOperands,
     /*  192874 */     // GIR_Coverage, 781,
     /*  192874 */     GIR_Done,
     /*  192875 */   // Label 3778: @192875
     /*  192875 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(192916), // Rule ID 943 //
     /*  192880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192890 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192897 */     // MIs[0] rs1
     /*  192897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192909 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  192914 */     GIR_RootConstrainSelectedInstOperands,
     /*  192915 */     // GIR_Coverage, 943,
     /*  192915 */     GIR_Done,
     /*  192916 */   // Label 3779: @192916
     /*  192916 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(192957), // Rule ID 945 //
     /*  192921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192924 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192938 */     // MIs[0] rs1
     /*  192938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192950 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  192955 */     GIR_RootConstrainSelectedInstOperands,
     /*  192956 */     // GIR_Coverage, 945,
     /*  192956 */     GIR_Done,
     /*  192957 */   // Label 3780: @192957
     /*  192957 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(192998), // Rule ID 947 //
     /*  192962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192979 */     // MIs[0] rs1
     /*  192979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192991 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  192996 */     GIR_RootConstrainSelectedInstOperands,
     /*  192997 */     // GIR_Coverage, 947,
     /*  192997 */     GIR_Done,
     /*  192998 */   // Label 3781: @192998
     /*  192998 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(193039), // Rule ID 949 //
     /*  193003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193020 */     // MIs[0] rs1
     /*  193020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193032 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193037 */     GIR_RootConstrainSelectedInstOperands,
     /*  193038 */     // GIR_Coverage, 949,
     /*  193038 */     GIR_Done,
     /*  193039 */   // Label 3782: @193039
     /*  193039 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(193080), // Rule ID 951 //
     /*  193044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193047 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193054 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193061 */     // MIs[0] rs1
     /*  193061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193073 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193078 */     GIR_RootConstrainSelectedInstOperands,
     /*  193079 */     // GIR_Coverage, 951,
     /*  193079 */     GIR_Done,
     /*  193080 */   // Label 3783: @193080
     /*  193080 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(193121), // Rule ID 953 //
     /*  193085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193088 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193095 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193102 */     // MIs[0] rs1
     /*  193102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193114 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193114 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193119 */     GIR_RootConstrainSelectedInstOperands,
     /*  193120 */     // GIR_Coverage, 953,
     /*  193120 */     GIR_Done,
     /*  193121 */   // Label 3784: @193121
     /*  193121 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(193162), // Rule ID 955 //
     /*  193126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193129 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193136 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193143 */     // MIs[0] rs1
     /*  193143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193155 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193160 */     GIR_RootConstrainSelectedInstOperands,
     /*  193161 */     // GIR_Coverage, 955,
     /*  193161 */     GIR_Done,
     /*  193162 */   // Label 3785: @193162
     /*  193162 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(193203), // Rule ID 957 //
     /*  193167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193184 */     // MIs[0] rs1
     /*  193184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193196 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193201 */     GIR_RootConstrainSelectedInstOperands,
     /*  193202 */     // GIR_Coverage, 957,
     /*  193202 */     GIR_Done,
     /*  193203 */   // Label 3786: @193203
     /*  193203 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(193244), // Rule ID 959 //
     /*  193208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193211 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193218 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193225 */     // MIs[0] rs1
     /*  193225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193237 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193237 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193242 */     GIR_RootConstrainSelectedInstOperands,
     /*  193243 */     // GIR_Coverage, 959,
     /*  193243 */     GIR_Done,
     /*  193244 */   // Label 3787: @193244
     /*  193244 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(193285), // Rule ID 961 //
     /*  193249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193252 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193259 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193266 */     // MIs[0] rs1
     /*  193266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193278 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193283 */     GIR_RootConstrainSelectedInstOperands,
     /*  193284 */     // GIR_Coverage, 961,
     /*  193284 */     GIR_Done,
     /*  193285 */   // Label 3788: @193285
     /*  193285 */   GIM_Reject,
     /*  193286 */ // Label 3758: @193286
     /*  193286 */ GIM_Reject,
     /*  193287 */ // Label 3756: @193287
     /*  193287 */ GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(194936),
     /*  193292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193295 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(193336), // Rule ID 414 //
     /*  193300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193317 */     // MIs[0] rs1
     /*  193317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193329 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193334 */     GIR_RootConstrainSelectedInstOperands,
     /*  193335 */     // GIR_Coverage, 414,
     /*  193335 */     GIR_Done,
     /*  193336 */   // Label 3790: @193336
     /*  193336 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(193377), // Rule ID 416 //
     /*  193341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193358 */     // MIs[0] rs1
     /*  193358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193370 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  193375 */     GIR_RootConstrainSelectedInstOperands,
     /*  193376 */     // GIR_Coverage, 416,
     /*  193376 */     GIR_Done,
     /*  193377 */   // Label 3791: @193377
     /*  193377 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(193418), // Rule ID 418 //
     /*  193382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193399 */     // MIs[0] rs1
     /*  193399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193411 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  193416 */     GIR_RootConstrainSelectedInstOperands,
     /*  193417 */     // GIR_Coverage, 418,
     /*  193417 */     GIR_Done,
     /*  193418 */   // Label 3792: @193418
     /*  193418 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(193459), // Rule ID 420 //
     /*  193423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193440 */     // MIs[0] rs1
     /*  193440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193452 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193457 */     GIR_RootConstrainSelectedInstOperands,
     /*  193458 */     // GIR_Coverage, 420,
     /*  193458 */     GIR_Done,
     /*  193459 */   // Label 3793: @193459
     /*  193459 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(193500), // Rule ID 422 //
     /*  193464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193481 */     // MIs[0] rs1
     /*  193481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193493 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193498 */     GIR_RootConstrainSelectedInstOperands,
     /*  193499 */     // GIR_Coverage, 422,
     /*  193499 */     GIR_Done,
     /*  193500 */   // Label 3794: @193500
     /*  193500 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(193541), // Rule ID 424 //
     /*  193505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193522 */     // MIs[0] rs1
     /*  193522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193534 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193539 */     GIR_RootConstrainSelectedInstOperands,
     /*  193540 */     // GIR_Coverage, 424,
     /*  193540 */     GIR_Done,
     /*  193541 */   // Label 3795: @193541
     /*  193541 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(193582), // Rule ID 426 //
     /*  193546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193563 */     // MIs[0] rs1
     /*  193563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193575 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193580 */     GIR_RootConstrainSelectedInstOperands,
     /*  193581 */     // GIR_Coverage, 426,
     /*  193581 */     GIR_Done,
     /*  193582 */   // Label 3796: @193582
     /*  193582 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(193623), // Rule ID 428 //
     /*  193587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193604 */     // MIs[0] rs1
     /*  193604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193616 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193621 */     GIR_RootConstrainSelectedInstOperands,
     /*  193622 */     // GIR_Coverage, 428,
     /*  193622 */     GIR_Done,
     /*  193623 */   // Label 3797: @193623
     /*  193623 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(193664), // Rule ID 430 //
     /*  193628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193645 */     // MIs[0] rs1
     /*  193645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193657 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193662 */     GIR_RootConstrainSelectedInstOperands,
     /*  193663 */     // GIR_Coverage, 430,
     /*  193663 */     GIR_Done,
     /*  193664 */   // Label 3798: @193664
     /*  193664 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(193705), // Rule ID 432 //
     /*  193669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193686 */     // MIs[0] rs1
     /*  193686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193698 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193703 */     GIR_RootConstrainSelectedInstOperands,
     /*  193704 */     // GIR_Coverage, 432,
     /*  193704 */     GIR_Done,
     /*  193705 */   // Label 3799: @193705
     /*  193705 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(193746), // Rule ID 554 //
     /*  193710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193727 */     // MIs[0] rs1
     /*  193727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193739 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  193744 */     GIR_RootConstrainSelectedInstOperands,
     /*  193745 */     // GIR_Coverage, 554,
     /*  193745 */     GIR_Done,
     /*  193746 */   // Label 3800: @193746
     /*  193746 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(193787), // Rule ID 555 //
     /*  193751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193768 */     // MIs[0] rs1
     /*  193768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193780 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  193785 */     GIR_RootConstrainSelectedInstOperands,
     /*  193786 */     // GIR_Coverage, 555,
     /*  193786 */     GIR_Done,
     /*  193787 */   // Label 3801: @193787
     /*  193787 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(193828), // Rule ID 556 //
     /*  193792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193809 */     // MIs[0] rs1
     /*  193809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193821 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  193826 */     GIR_RootConstrainSelectedInstOperands,
     /*  193827 */     // GIR_Coverage, 556,
     /*  193827 */     GIR_Done,
     /*  193828 */   // Label 3802: @193828
     /*  193828 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(193869), // Rule ID 557 //
     /*  193833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193850 */     // MIs[0] rs1
     /*  193850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193862 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  193867 */     GIR_RootConstrainSelectedInstOperands,
     /*  193868 */     // GIR_Coverage, 557,
     /*  193868 */     GIR_Done,
     /*  193869 */   // Label 3803: @193869
     /*  193869 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(193910), // Rule ID 558 //
     /*  193874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193891 */     // MIs[0] rs1
     /*  193891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193903 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  193908 */     GIR_RootConstrainSelectedInstOperands,
     /*  193909 */     // GIR_Coverage, 558,
     /*  193909 */     GIR_Done,
     /*  193910 */   // Label 3804: @193910
     /*  193910 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(193951), // Rule ID 559 //
     /*  193915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193932 */     // MIs[0] rs1
     /*  193932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193944 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  193949 */     GIR_RootConstrainSelectedInstOperands,
     /*  193950 */     // GIR_Coverage, 559,
     /*  193950 */     GIR_Done,
     /*  193951 */   // Label 3805: @193951
     /*  193951 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(193992), // Rule ID 560 //
     /*  193956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193973 */     // MIs[0] rs1
     /*  193973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193985 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  193990 */     GIR_RootConstrainSelectedInstOperands,
     /*  193991 */     // GIR_Coverage, 560,
     /*  193991 */     GIR_Done,
     /*  193992 */   // Label 3806: @193992
     /*  193992 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(194033), // Rule ID 561 //
     /*  193997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194014 */     // MIs[0] rs1
     /*  194014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194026 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194031 */     GIR_RootConstrainSelectedInstOperands,
     /*  194032 */     // GIR_Coverage, 561,
     /*  194032 */     GIR_Done,
     /*  194033 */   // Label 3807: @194033
     /*  194033 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(194074), // Rule ID 562 //
     /*  194038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194055 */     // MIs[0] rs1
     /*  194055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194067 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194072 */     GIR_RootConstrainSelectedInstOperands,
     /*  194073 */     // GIR_Coverage, 562,
     /*  194073 */     GIR_Done,
     /*  194074 */   // Label 3808: @194074
     /*  194074 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(194115), // Rule ID 563 //
     /*  194079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194096 */     // MIs[0] rs1
     /*  194096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194108 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194113 */     GIR_RootConstrainSelectedInstOperands,
     /*  194114 */     // GIR_Coverage, 563,
     /*  194114 */     GIR_Done,
     /*  194115 */   // Label 3809: @194115
     /*  194115 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(194156), // Rule ID 762 //
     /*  194120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194137 */     // MIs[0] rs1
     /*  194137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194149 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194154 */     GIR_RootConstrainSelectedInstOperands,
     /*  194155 */     // GIR_Coverage, 762,
     /*  194155 */     GIR_Done,
     /*  194156 */   // Label 3810: @194156
     /*  194156 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(194197), // Rule ID 764 //
     /*  194161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194178 */     // MIs[0] rs1
     /*  194178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194190 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  194195 */     GIR_RootConstrainSelectedInstOperands,
     /*  194196 */     // GIR_Coverage, 764,
     /*  194196 */     GIR_Done,
     /*  194197 */   // Label 3811: @194197
     /*  194197 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(194238), // Rule ID 766 //
     /*  194202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194219 */     // MIs[0] rs1
     /*  194219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194231 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  194236 */     GIR_RootConstrainSelectedInstOperands,
     /*  194237 */     // GIR_Coverage, 766,
     /*  194237 */     GIR_Done,
     /*  194238 */   // Label 3812: @194238
     /*  194238 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(194279), // Rule ID 768 //
     /*  194243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194260 */     // MIs[0] rs1
     /*  194260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194272 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194277 */     GIR_RootConstrainSelectedInstOperands,
     /*  194278 */     // GIR_Coverage, 768,
     /*  194278 */     GIR_Done,
     /*  194279 */   // Label 3813: @194279
     /*  194279 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(194320), // Rule ID 770 //
     /*  194284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194301 */     // MIs[0] rs1
     /*  194301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194313 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194318 */     GIR_RootConstrainSelectedInstOperands,
     /*  194319 */     // GIR_Coverage, 770,
     /*  194319 */     GIR_Done,
     /*  194320 */   // Label 3814: @194320
     /*  194320 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(194361), // Rule ID 772 //
     /*  194325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194342 */     // MIs[0] rs1
     /*  194342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194354 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194359 */     GIR_RootConstrainSelectedInstOperands,
     /*  194360 */     // GIR_Coverage, 772,
     /*  194360 */     GIR_Done,
     /*  194361 */   // Label 3815: @194361
     /*  194361 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(194402), // Rule ID 774 //
     /*  194366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194383 */     // MIs[0] rs1
     /*  194383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194395 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194400 */     GIR_RootConstrainSelectedInstOperands,
     /*  194401 */     // GIR_Coverage, 774,
     /*  194401 */     GIR_Done,
     /*  194402 */   // Label 3816: @194402
     /*  194402 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(194443), // Rule ID 776 //
     /*  194407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194424 */     // MIs[0] rs1
     /*  194424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194436 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194441 */     GIR_RootConstrainSelectedInstOperands,
     /*  194442 */     // GIR_Coverage, 776,
     /*  194442 */     GIR_Done,
     /*  194443 */   // Label 3817: @194443
     /*  194443 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(194484), // Rule ID 778 //
     /*  194448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194465 */     // MIs[0] rs1
     /*  194465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194477 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194482 */     GIR_RootConstrainSelectedInstOperands,
     /*  194483 */     // GIR_Coverage, 778,
     /*  194483 */     GIR_Done,
     /*  194484 */   // Label 3818: @194484
     /*  194484 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(194525), // Rule ID 780 //
     /*  194489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194506 */     // MIs[0] rs1
     /*  194506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194518 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194523 */     GIR_RootConstrainSelectedInstOperands,
     /*  194524 */     // GIR_Coverage, 780,
     /*  194524 */     GIR_Done,
     /*  194525 */   // Label 3819: @194525
     /*  194525 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(194566), // Rule ID 942 //
     /*  194530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194533 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194540 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194547 */     // MIs[0] rs1
     /*  194547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194559 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194564 */     GIR_RootConstrainSelectedInstOperands,
     /*  194565 */     // GIR_Coverage, 942,
     /*  194565 */     GIR_Done,
     /*  194566 */   // Label 3820: @194566
     /*  194566 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(194607), // Rule ID 944 //
     /*  194571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194574 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194581 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194588 */     // MIs[0] rs1
     /*  194588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194600 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  194605 */     GIR_RootConstrainSelectedInstOperands,
     /*  194606 */     // GIR_Coverage, 944,
     /*  194606 */     GIR_Done,
     /*  194607 */   // Label 3821: @194607
     /*  194607 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(194648), // Rule ID 946 //
     /*  194612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194615 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194622 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194629 */     // MIs[0] rs1
     /*  194629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194641 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  194646 */     GIR_RootConstrainSelectedInstOperands,
     /*  194647 */     // GIR_Coverage, 946,
     /*  194647 */     GIR_Done,
     /*  194648 */   // Label 3822: @194648
     /*  194648 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(194689), // Rule ID 948 //
     /*  194653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194663 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194670 */     // MIs[0] rs1
     /*  194670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194682 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194682 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  194687 */     GIR_RootConstrainSelectedInstOperands,
     /*  194688 */     // GIR_Coverage, 948,
     /*  194688 */     GIR_Done,
     /*  194689 */   // Label 3823: @194689
     /*  194689 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(194730), // Rule ID 950 //
     /*  194694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194697 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194704 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194711 */     // MIs[0] rs1
     /*  194711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194723 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  194728 */     GIR_RootConstrainSelectedInstOperands,
     /*  194729 */     // GIR_Coverage, 950,
     /*  194729 */     GIR_Done,
     /*  194730 */   // Label 3824: @194730
     /*  194730 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(194771), // Rule ID 952 //
     /*  194735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194738 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194745 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194752 */     // MIs[0] rs1
     /*  194752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194764 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194769 */     GIR_RootConstrainSelectedInstOperands,
     /*  194770 */     // GIR_Coverage, 952,
     /*  194770 */     GIR_Done,
     /*  194771 */   // Label 3825: @194771
     /*  194771 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(194812), // Rule ID 954 //
     /*  194776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194793 */     // MIs[0] rs1
     /*  194793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194805 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194810 */     GIR_RootConstrainSelectedInstOperands,
     /*  194811 */     // GIR_Coverage, 954,
     /*  194811 */     GIR_Done,
     /*  194812 */   // Label 3826: @194812
     /*  194812 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(194853), // Rule ID 956 //
     /*  194817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194820 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194827 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194834 */     // MIs[0] rs1
     /*  194834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194846 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194846 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194851 */     GIR_RootConstrainSelectedInstOperands,
     /*  194852 */     // GIR_Coverage, 956,
     /*  194852 */     GIR_Done,
     /*  194853 */   // Label 3827: @194853
     /*  194853 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(194894), // Rule ID 958 //
     /*  194858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194861 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194868 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194875 */     // MIs[0] rs1
     /*  194875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194887 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194892 */     GIR_RootConstrainSelectedInstOperands,
     /*  194893 */     // GIR_Coverage, 958,
     /*  194893 */     GIR_Done,
     /*  194894 */   // Label 3828: @194894
     /*  194894 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(194935), // Rule ID 960 //
     /*  194899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194902 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194916 */     // MIs[0] rs1
     /*  194916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194928 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194933 */     GIR_RootConstrainSelectedInstOperands,
     /*  194934 */     // GIR_Coverage, 960,
     /*  194934 */     GIR_Done,
     /*  194935 */   // Label 3829: @194935
     /*  194935 */   GIM_Reject,
     /*  194936 */ // Label 3789: @194936
     /*  194936 */ GIM_Reject,
     /*  194937 */ // Label 3757: @194937
     /*  194937 */ GIM_Reject,
     /*  194938 */ // Label 32: @194938
     /*  194938 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3832*/ GIMT_Encode4(197847),
     /*  194949 */ /*GILLT_s32*//*Label 3830*/ GIMT_Encode4(194957),
     /*  194953 */ /*GILLT_s64*//*Label 3831*/ GIMT_Encode4(196197),
     /*  194957 */ // Label 3830: @194957
     /*  194957 */ GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(196196),
     /*  194962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  194965 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(195006), // Rule ID 435 //
     /*  194970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194987 */     // MIs[0] rs1
     /*  194987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194999 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195004 */     GIR_RootConstrainSelectedInstOperands,
     /*  195005 */     // GIR_Coverage, 435,
     /*  195005 */     GIR_Done,
     /*  195006 */   // Label 3834: @195006
     /*  195006 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(195047), // Rule ID 437 //
     /*  195011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195028 */     // MIs[0] rs1
     /*  195028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195040 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195040 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  195045 */     GIR_RootConstrainSelectedInstOperands,
     /*  195046 */     // GIR_Coverage, 437,
     /*  195046 */     GIR_Done,
     /*  195047 */   // Label 3835: @195047
     /*  195047 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(195088), // Rule ID 439 //
     /*  195052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195055 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195069 */     // MIs[0] rs1
     /*  195069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195081 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  195086 */     GIR_RootConstrainSelectedInstOperands,
     /*  195087 */     // GIR_Coverage, 439,
     /*  195087 */     GIR_Done,
     /*  195088 */   // Label 3836: @195088
     /*  195088 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(195129), // Rule ID 441 //
     /*  195093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195110 */     // MIs[0] rs1
     /*  195110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195122 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195127 */     GIR_RootConstrainSelectedInstOperands,
     /*  195128 */     // GIR_Coverage, 441,
     /*  195128 */     GIR_Done,
     /*  195129 */   // Label 3837: @195129
     /*  195129 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(195170), // Rule ID 443 //
     /*  195134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195151 */     // MIs[0] rs1
     /*  195151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195163 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195168 */     GIR_RootConstrainSelectedInstOperands,
     /*  195169 */     // GIR_Coverage, 443,
     /*  195169 */     GIR_Done,
     /*  195170 */   // Label 3838: @195170
     /*  195170 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(195211), // Rule ID 445 //
     /*  195175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195192 */     // MIs[0] rs1
     /*  195192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195204 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195209 */     GIR_RootConstrainSelectedInstOperands,
     /*  195210 */     // GIR_Coverage, 445,
     /*  195210 */     GIR_Done,
     /*  195211 */   // Label 3839: @195211
     /*  195211 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(195252), // Rule ID 447 //
     /*  195216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195233 */     // MIs[0] rs1
     /*  195233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195245 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195250 */     GIR_RootConstrainSelectedInstOperands,
     /*  195251 */     // GIR_Coverage, 447,
     /*  195251 */     GIR_Done,
     /*  195252 */   // Label 3840: @195252
     /*  195252 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(195293), // Rule ID 449 //
     /*  195257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195274 */     // MIs[0] rs1
     /*  195274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195286 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195291 */     GIR_RootConstrainSelectedInstOperands,
     /*  195292 */     // GIR_Coverage, 449,
     /*  195292 */     GIR_Done,
     /*  195293 */   // Label 3841: @195293
     /*  195293 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(195334), // Rule ID 451 //
     /*  195298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195315 */     // MIs[0] rs1
     /*  195315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195327 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195332 */     GIR_RootConstrainSelectedInstOperands,
     /*  195333 */     // GIR_Coverage, 451,
     /*  195333 */     GIR_Done,
     /*  195334 */   // Label 3842: @195334
     /*  195334 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(195375), // Rule ID 453 //
     /*  195339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195349 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195356 */     // MIs[0] rs1
     /*  195356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195368 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195373 */     GIR_RootConstrainSelectedInstOperands,
     /*  195374 */     // GIR_Coverage, 453,
     /*  195374 */     GIR_Done,
     /*  195375 */   // Label 3843: @195375
     /*  195375 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(195416), // Rule ID 783 //
     /*  195380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195397 */     // MIs[0] rs1
     /*  195397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195409 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195414 */     GIR_RootConstrainSelectedInstOperands,
     /*  195415 */     // GIR_Coverage, 783,
     /*  195415 */     GIR_Done,
     /*  195416 */   // Label 3844: @195416
     /*  195416 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(195457), // Rule ID 785 //
     /*  195421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195438 */     // MIs[0] rs1
     /*  195438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195450 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  195455 */     GIR_RootConstrainSelectedInstOperands,
     /*  195456 */     // GIR_Coverage, 785,
     /*  195456 */     GIR_Done,
     /*  195457 */   // Label 3845: @195457
     /*  195457 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(195498), // Rule ID 787 //
     /*  195462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195465 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195472 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195479 */     // MIs[0] rs1
     /*  195479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195491 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195491 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  195496 */     GIR_RootConstrainSelectedInstOperands,
     /*  195497 */     // GIR_Coverage, 787,
     /*  195497 */     GIR_Done,
     /*  195498 */   // Label 3846: @195498
     /*  195498 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(195539), // Rule ID 789 //
     /*  195503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195520 */     // MIs[0] rs1
     /*  195520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195532 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195537 */     GIR_RootConstrainSelectedInstOperands,
     /*  195538 */     // GIR_Coverage, 789,
     /*  195538 */     GIR_Done,
     /*  195539 */   // Label 3847: @195539
     /*  195539 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(195580), // Rule ID 791 //
     /*  195544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195547 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195554 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195561 */     // MIs[0] rs1
     /*  195561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195573 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195578 */     GIR_RootConstrainSelectedInstOperands,
     /*  195579 */     // GIR_Coverage, 791,
     /*  195579 */     GIR_Done,
     /*  195580 */   // Label 3848: @195580
     /*  195580 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(195621), // Rule ID 793 //
     /*  195585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195588 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195595 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195602 */     // MIs[0] rs1
     /*  195602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195614 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195614 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195619 */     GIR_RootConstrainSelectedInstOperands,
     /*  195620 */     // GIR_Coverage, 793,
     /*  195620 */     GIR_Done,
     /*  195621 */   // Label 3849: @195621
     /*  195621 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(195662), // Rule ID 795 //
     /*  195626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195629 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195643 */     // MIs[0] rs1
     /*  195643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195655 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195655 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195660 */     GIR_RootConstrainSelectedInstOperands,
     /*  195661 */     // GIR_Coverage, 795,
     /*  195661 */     GIR_Done,
     /*  195662 */   // Label 3850: @195662
     /*  195662 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(195703), // Rule ID 797 //
     /*  195667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195670 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195677 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195684 */     // MIs[0] rs1
     /*  195684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195696 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195701 */     GIR_RootConstrainSelectedInstOperands,
     /*  195702 */     // GIR_Coverage, 797,
     /*  195702 */     GIR_Done,
     /*  195703 */   // Label 3851: @195703
     /*  195703 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(195744), // Rule ID 799 //
     /*  195708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195725 */     // MIs[0] rs1
     /*  195725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195737 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195742 */     GIR_RootConstrainSelectedInstOperands,
     /*  195743 */     // GIR_Coverage, 799,
     /*  195743 */     GIR_Done,
     /*  195744 */   // Label 3852: @195744
     /*  195744 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(195785), // Rule ID 801 //
     /*  195749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195752 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195759 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195766 */     // MIs[0] rs1
     /*  195766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195778 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195783 */     GIR_RootConstrainSelectedInstOperands,
     /*  195784 */     // GIR_Coverage, 801,
     /*  195784 */     GIR_Done,
     /*  195785 */   // Label 3853: @195785
     /*  195785 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(195826), // Rule ID 963 //
     /*  195790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195800 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195807 */     // MIs[0] rs1
     /*  195807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195819 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  195824 */     GIR_RootConstrainSelectedInstOperands,
     /*  195825 */     // GIR_Coverage, 963,
     /*  195825 */     GIR_Done,
     /*  195826 */   // Label 3854: @195826
     /*  195826 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(195867), // Rule ID 965 //
     /*  195831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195848 */     // MIs[0] rs1
     /*  195848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195860 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195860 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  195865 */     GIR_RootConstrainSelectedInstOperands,
     /*  195866 */     // GIR_Coverage, 965,
     /*  195866 */     GIR_Done,
     /*  195867 */   // Label 3855: @195867
     /*  195867 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(195908), // Rule ID 967 //
     /*  195872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195882 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195889 */     // MIs[0] rs1
     /*  195889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195901 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  195906 */     GIR_RootConstrainSelectedInstOperands,
     /*  195907 */     // GIR_Coverage, 967,
     /*  195907 */     GIR_Done,
     /*  195908 */   // Label 3856: @195908
     /*  195908 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(195949), // Rule ID 969 //
     /*  195913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195916 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195923 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195930 */     // MIs[0] rs1
     /*  195930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195942 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  195947 */     GIR_RootConstrainSelectedInstOperands,
     /*  195948 */     // GIR_Coverage, 969,
     /*  195948 */     GIR_Done,
     /*  195949 */   // Label 3857: @195949
     /*  195949 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(195990), // Rule ID 971 //
     /*  195954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195957 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195964 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195971 */     // MIs[0] rs1
     /*  195971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195983 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195983 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  195988 */     GIR_RootConstrainSelectedInstOperands,
     /*  195989 */     // GIR_Coverage, 971,
     /*  195989 */     GIR_Done,
     /*  195990 */   // Label 3858: @195990
     /*  195990 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(196031), // Rule ID 973 //
     /*  195995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195998 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196005 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196012 */     // MIs[0] rs1
     /*  196012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196024 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196029 */     GIR_RootConstrainSelectedInstOperands,
     /*  196030 */     // GIR_Coverage, 973,
     /*  196030 */     GIR_Done,
     /*  196031 */   // Label 3859: @196031
     /*  196031 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(196072), // Rule ID 975 //
     /*  196036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196039 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196046 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196053 */     // MIs[0] rs1
     /*  196053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196065 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196070 */     GIR_RootConstrainSelectedInstOperands,
     /*  196071 */     // GIR_Coverage, 975,
     /*  196071 */     GIR_Done,
     /*  196072 */   // Label 3860: @196072
     /*  196072 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(196113), // Rule ID 977 //
     /*  196077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196094 */     // MIs[0] rs1
     /*  196094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196106 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196111 */     GIR_RootConstrainSelectedInstOperands,
     /*  196112 */     // GIR_Coverage, 977,
     /*  196112 */     GIR_Done,
     /*  196113 */   // Label 3861: @196113
     /*  196113 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(196154), // Rule ID 979 //
     /*  196118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196135 */     // MIs[0] rs1
     /*  196135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196147 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196152 */     GIR_RootConstrainSelectedInstOperands,
     /*  196153 */     // GIR_Coverage, 979,
     /*  196153 */     GIR_Done,
     /*  196154 */   // Label 3862: @196154
     /*  196154 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(196195), // Rule ID 981 //
     /*  196159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196162 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196169 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196176 */     // MIs[0] rs1
     /*  196176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196188 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196193 */     GIR_RootConstrainSelectedInstOperands,
     /*  196194 */     // GIR_Coverage, 981,
     /*  196194 */     GIR_Done,
     /*  196195 */   // Label 3863: @196195
     /*  196195 */   GIM_Reject,
     /*  196196 */ // Label 3833: @196196
     /*  196196 */ GIM_Reject,
     /*  196197 */ // Label 3831: @196197
     /*  196197 */ GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(197846),
     /*  196202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  196205 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(196246), // Rule ID 434 //
     /*  196210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196227 */     // MIs[0] rs1
     /*  196227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196239 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196244 */     GIR_RootConstrainSelectedInstOperands,
     /*  196245 */     // GIR_Coverage, 434,
     /*  196245 */     GIR_Done,
     /*  196246 */   // Label 3865: @196246
     /*  196246 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(196287), // Rule ID 436 //
     /*  196251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196268 */     // MIs[0] rs1
     /*  196268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196280 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  196285 */     GIR_RootConstrainSelectedInstOperands,
     /*  196286 */     // GIR_Coverage, 436,
     /*  196286 */     GIR_Done,
     /*  196287 */   // Label 3866: @196287
     /*  196287 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(196328), // Rule ID 438 //
     /*  196292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196309 */     // MIs[0] rs1
     /*  196309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196321 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  196326 */     GIR_RootConstrainSelectedInstOperands,
     /*  196327 */     // GIR_Coverage, 438,
     /*  196327 */     GIR_Done,
     /*  196328 */   // Label 3867: @196328
     /*  196328 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(196369), // Rule ID 440 //
     /*  196333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196350 */     // MIs[0] rs1
     /*  196350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196362 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196367 */     GIR_RootConstrainSelectedInstOperands,
     /*  196368 */     // GIR_Coverage, 440,
     /*  196368 */     GIR_Done,
     /*  196369 */   // Label 3868: @196369
     /*  196369 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(196410), // Rule ID 442 //
     /*  196374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196391 */     // MIs[0] rs1
     /*  196391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196403 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196408 */     GIR_RootConstrainSelectedInstOperands,
     /*  196409 */     // GIR_Coverage, 442,
     /*  196409 */     GIR_Done,
     /*  196410 */   // Label 3869: @196410
     /*  196410 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(196451), // Rule ID 444 //
     /*  196415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196432 */     // MIs[0] rs1
     /*  196432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196444 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196449 */     GIR_RootConstrainSelectedInstOperands,
     /*  196450 */     // GIR_Coverage, 444,
     /*  196450 */     GIR_Done,
     /*  196451 */   // Label 3870: @196451
     /*  196451 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(196492), // Rule ID 446 //
     /*  196456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196473 */     // MIs[0] rs1
     /*  196473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196485 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196490 */     GIR_RootConstrainSelectedInstOperands,
     /*  196491 */     // GIR_Coverage, 446,
     /*  196491 */     GIR_Done,
     /*  196492 */   // Label 3871: @196492
     /*  196492 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(196533), // Rule ID 448 //
     /*  196497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196514 */     // MIs[0] rs1
     /*  196514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196526 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196531 */     GIR_RootConstrainSelectedInstOperands,
     /*  196532 */     // GIR_Coverage, 448,
     /*  196532 */     GIR_Done,
     /*  196533 */   // Label 3872: @196533
     /*  196533 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(196574), // Rule ID 450 //
     /*  196538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196555 */     // MIs[0] rs1
     /*  196555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196567 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196572 */     GIR_RootConstrainSelectedInstOperands,
     /*  196573 */     // GIR_Coverage, 450,
     /*  196573 */     GIR_Done,
     /*  196574 */   // Label 3873: @196574
     /*  196574 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(196615), // Rule ID 452 //
     /*  196579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196596 */     // MIs[0] rs1
     /*  196596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196608 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196613 */     GIR_RootConstrainSelectedInstOperands,
     /*  196614 */     // GIR_Coverage, 452,
     /*  196614 */     GIR_Done,
     /*  196615 */   // Label 3874: @196615
     /*  196615 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(196656), // Rule ID 564 //
     /*  196620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196637 */     // MIs[0] rs1
     /*  196637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196649 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196654 */     GIR_RootConstrainSelectedInstOperands,
     /*  196655 */     // GIR_Coverage, 564,
     /*  196655 */     GIR_Done,
     /*  196656 */   // Label 3875: @196656
     /*  196656 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(196697), // Rule ID 565 //
     /*  196661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196678 */     // MIs[0] rs1
     /*  196678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196690 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  196695 */     GIR_RootConstrainSelectedInstOperands,
     /*  196696 */     // GIR_Coverage, 565,
     /*  196696 */     GIR_Done,
     /*  196697 */   // Label 3876: @196697
     /*  196697 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(196738), // Rule ID 566 //
     /*  196702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196719 */     // MIs[0] rs1
     /*  196719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196731 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  196736 */     GIR_RootConstrainSelectedInstOperands,
     /*  196737 */     // GIR_Coverage, 566,
     /*  196737 */     GIR_Done,
     /*  196738 */   // Label 3877: @196738
     /*  196738 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(196779), // Rule ID 567 //
     /*  196743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196760 */     // MIs[0] rs1
     /*  196760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196772 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  196777 */     GIR_RootConstrainSelectedInstOperands,
     /*  196778 */     // GIR_Coverage, 567,
     /*  196778 */     GIR_Done,
     /*  196779 */   // Label 3878: @196779
     /*  196779 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(196820), // Rule ID 568 //
     /*  196784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196801 */     // MIs[0] rs1
     /*  196801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196813 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  196818 */     GIR_RootConstrainSelectedInstOperands,
     /*  196819 */     // GIR_Coverage, 568,
     /*  196819 */     GIR_Done,
     /*  196820 */   // Label 3879: @196820
     /*  196820 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(196861), // Rule ID 569 //
     /*  196825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196842 */     // MIs[0] rs1
     /*  196842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196854 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196859 */     GIR_RootConstrainSelectedInstOperands,
     /*  196860 */     // GIR_Coverage, 569,
     /*  196860 */     GIR_Done,
     /*  196861 */   // Label 3880: @196861
     /*  196861 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(196902), // Rule ID 570 //
     /*  196866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196883 */     // MIs[0] rs1
     /*  196883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196895 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196900 */     GIR_RootConstrainSelectedInstOperands,
     /*  196901 */     // GIR_Coverage, 570,
     /*  196901 */     GIR_Done,
     /*  196902 */   // Label 3881: @196902
     /*  196902 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(196943), // Rule ID 571 //
     /*  196907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196924 */     // MIs[0] rs1
     /*  196924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196936 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196941 */     GIR_RootConstrainSelectedInstOperands,
     /*  196942 */     // GIR_Coverage, 571,
     /*  196942 */     GIR_Done,
     /*  196943 */   // Label 3882: @196943
     /*  196943 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(196984), // Rule ID 572 //
     /*  196948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196965 */     // MIs[0] rs1
     /*  196965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196977 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196982 */     GIR_RootConstrainSelectedInstOperands,
     /*  196983 */     // GIR_Coverage, 572,
     /*  196983 */     GIR_Done,
     /*  196984 */   // Label 3883: @196984
     /*  196984 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(197025), // Rule ID 573 //
     /*  196989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197006 */     // MIs[0] rs1
     /*  197006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197018 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197023 */     GIR_RootConstrainSelectedInstOperands,
     /*  197024 */     // GIR_Coverage, 573,
     /*  197024 */     GIR_Done,
     /*  197025 */   // Label 3884: @197025
     /*  197025 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(197066), // Rule ID 782 //
     /*  197030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197047 */     // MIs[0] rs1
     /*  197047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197059 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197064 */     GIR_RootConstrainSelectedInstOperands,
     /*  197065 */     // GIR_Coverage, 782,
     /*  197065 */     GIR_Done,
     /*  197066 */   // Label 3885: @197066
     /*  197066 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(197107), // Rule ID 784 //
     /*  197071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197088 */     // MIs[0] rs1
     /*  197088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197100 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  197105 */     GIR_RootConstrainSelectedInstOperands,
     /*  197106 */     // GIR_Coverage, 784,
     /*  197106 */     GIR_Done,
     /*  197107 */   // Label 3886: @197107
     /*  197107 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(197148), // Rule ID 786 //
     /*  197112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197129 */     // MIs[0] rs1
     /*  197129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197141 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  197146 */     GIR_RootConstrainSelectedInstOperands,
     /*  197147 */     // GIR_Coverage, 786,
     /*  197147 */     GIR_Done,
     /*  197148 */   // Label 3887: @197148
     /*  197148 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(197189), // Rule ID 788 //
     /*  197153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197170 */     // MIs[0] rs1
     /*  197170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197182 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197187 */     GIR_RootConstrainSelectedInstOperands,
     /*  197188 */     // GIR_Coverage, 788,
     /*  197188 */     GIR_Done,
     /*  197189 */   // Label 3888: @197189
     /*  197189 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(197230), // Rule ID 790 //
     /*  197194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197211 */     // MIs[0] rs1
     /*  197211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197223 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197228 */     GIR_RootConstrainSelectedInstOperands,
     /*  197229 */     // GIR_Coverage, 790,
     /*  197229 */     GIR_Done,
     /*  197230 */   // Label 3889: @197230
     /*  197230 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(197271), // Rule ID 792 //
     /*  197235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197252 */     // MIs[0] rs1
     /*  197252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197264 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197269 */     GIR_RootConstrainSelectedInstOperands,
     /*  197270 */     // GIR_Coverage, 792,
     /*  197270 */     GIR_Done,
     /*  197271 */   // Label 3890: @197271
     /*  197271 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(197312), // Rule ID 794 //
     /*  197276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197293 */     // MIs[0] rs1
     /*  197293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197305 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197310 */     GIR_RootConstrainSelectedInstOperands,
     /*  197311 */     // GIR_Coverage, 794,
     /*  197311 */     GIR_Done,
     /*  197312 */   // Label 3891: @197312
     /*  197312 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(197353), // Rule ID 796 //
     /*  197317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197334 */     // MIs[0] rs1
     /*  197334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197346 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197351 */     GIR_RootConstrainSelectedInstOperands,
     /*  197352 */     // GIR_Coverage, 796,
     /*  197352 */     GIR_Done,
     /*  197353 */   // Label 3892: @197353
     /*  197353 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(197394), // Rule ID 798 //
     /*  197358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197375 */     // MIs[0] rs1
     /*  197375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197387 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197392 */     GIR_RootConstrainSelectedInstOperands,
     /*  197393 */     // GIR_Coverage, 798,
     /*  197393 */     GIR_Done,
     /*  197394 */   // Label 3893: @197394
     /*  197394 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(197435), // Rule ID 800 //
     /*  197399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197416 */     // MIs[0] rs1
     /*  197416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197428 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197433 */     GIR_RootConstrainSelectedInstOperands,
     /*  197434 */     // GIR_Coverage, 800,
     /*  197434 */     GIR_Done,
     /*  197435 */   // Label 3894: @197435
     /*  197435 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(197476), // Rule ID 962 //
     /*  197440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197443 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197450 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197457 */     // MIs[0] rs1
     /*  197457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197469 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197474 */     GIR_RootConstrainSelectedInstOperands,
     /*  197475 */     // GIR_Coverage, 962,
     /*  197475 */     GIR_Done,
     /*  197476 */   // Label 3895: @197476
     /*  197476 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(197517), // Rule ID 964 //
     /*  197481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197498 */     // MIs[0] rs1
     /*  197498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197510 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  197515 */     GIR_RootConstrainSelectedInstOperands,
     /*  197516 */     // GIR_Coverage, 964,
     /*  197516 */     GIR_Done,
     /*  197517 */   // Label 3896: @197517
     /*  197517 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(197558), // Rule ID 966 //
     /*  197522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197525 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197532 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197539 */     // MIs[0] rs1
     /*  197539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197551 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  197556 */     GIR_RootConstrainSelectedInstOperands,
     /*  197557 */     // GIR_Coverage, 966,
     /*  197557 */     GIR_Done,
     /*  197558 */   // Label 3897: @197558
     /*  197558 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(197599), // Rule ID 968 //
     /*  197563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197566 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197573 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197580 */     // MIs[0] rs1
     /*  197580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197592 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197592 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197597 */     GIR_RootConstrainSelectedInstOperands,
     /*  197598 */     // GIR_Coverage, 968,
     /*  197598 */     GIR_Done,
     /*  197599 */   // Label 3898: @197599
     /*  197599 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(197640), // Rule ID 970 //
     /*  197604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197607 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197614 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197621 */     // MIs[0] rs1
     /*  197621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197633 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197638 */     GIR_RootConstrainSelectedInstOperands,
     /*  197639 */     // GIR_Coverage, 970,
     /*  197639 */     GIR_Done,
     /*  197640 */   // Label 3899: @197640
     /*  197640 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(197681), // Rule ID 972 //
     /*  197645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197648 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197655 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197662 */     // MIs[0] rs1
     /*  197662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197674 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197679 */     GIR_RootConstrainSelectedInstOperands,
     /*  197680 */     // GIR_Coverage, 972,
     /*  197680 */     GIR_Done,
     /*  197681 */   // Label 3900: @197681
     /*  197681 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(197722), // Rule ID 974 //
     /*  197686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197689 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197696 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197703 */     // MIs[0] rs1
     /*  197703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197715 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197715 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197720 */     GIR_RootConstrainSelectedInstOperands,
     /*  197721 */     // GIR_Coverage, 974,
     /*  197721 */     GIR_Done,
     /*  197722 */   // Label 3901: @197722
     /*  197722 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(197763), // Rule ID 976 //
     /*  197727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197730 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197737 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197744 */     // MIs[0] rs1
     /*  197744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197756 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197756 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197761 */     GIR_RootConstrainSelectedInstOperands,
     /*  197762 */     // GIR_Coverage, 976,
     /*  197762 */     GIR_Done,
     /*  197763 */   // Label 3902: @197763
     /*  197763 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(197804), // Rule ID 978 //
     /*  197768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197771 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197778 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197785 */     // MIs[0] rs1
     /*  197785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197797 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197797 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197802 */     GIR_RootConstrainSelectedInstOperands,
     /*  197803 */     // GIR_Coverage, 978,
     /*  197803 */     GIR_Done,
     /*  197804 */   // Label 3903: @197804
     /*  197804 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(197845), // Rule ID 980 //
     /*  197809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197812 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197819 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197826 */     // MIs[0] rs1
     /*  197826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197838 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197838 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197843 */     GIR_RootConstrainSelectedInstOperands,
     /*  197844 */     // GIR_Coverage, 980,
     /*  197844 */     GIR_Done,
     /*  197845 */   // Label 3904: @197845
     /*  197845 */   GIM_Reject,
     /*  197846 */ // Label 3864: @197846
     /*  197846 */ GIM_Reject,
     /*  197847 */ // Label 3832: @197847
     /*  197847 */ GIM_Reject,
     /*  197848 */ // Label 33: @197848
     /*  197848 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3907*/ GIMT_Encode4(200757),
     /*  197859 */ /*GILLT_s32*//*Label 3905*/ GIMT_Encode4(197867),
     /*  197863 */ /*GILLT_s64*//*Label 3906*/ GIMT_Encode4(199107),
     /*  197867 */ // Label 3905: @197867
     /*  197867 */ GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(199106),
     /*  197872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  197875 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(197916), // Rule ID 455 //
     /*  197880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197890 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197897 */     // MIs[0] rs1
     /*  197897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197909 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  197914 */     GIR_RootConstrainSelectedInstOperands,
     /*  197915 */     // GIR_Coverage, 455,
     /*  197915 */     GIR_Done,
     /*  197916 */   // Label 3909: @197916
     /*  197916 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(197957), // Rule ID 457 //
     /*  197921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197924 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197938 */     // MIs[0] rs1
     /*  197938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197950 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  197955 */     GIR_RootConstrainSelectedInstOperands,
     /*  197956 */     // GIR_Coverage, 457,
     /*  197956 */     GIR_Done,
     /*  197957 */   // Label 3910: @197957
     /*  197957 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(197998), // Rule ID 459 //
     /*  197962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197979 */     // MIs[0] rs1
     /*  197979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197991 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  197996 */     GIR_RootConstrainSelectedInstOperands,
     /*  197997 */     // GIR_Coverage, 459,
     /*  197997 */     GIR_Done,
     /*  197998 */   // Label 3911: @197998
     /*  197998 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(198039), // Rule ID 461 //
     /*  198003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198020 */     // MIs[0] rs1
     /*  198020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198032 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198037 */     GIR_RootConstrainSelectedInstOperands,
     /*  198038 */     // GIR_Coverage, 461,
     /*  198038 */     GIR_Done,
     /*  198039 */   // Label 3912: @198039
     /*  198039 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(198080), // Rule ID 463 //
     /*  198044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198047 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198054 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198061 */     // MIs[0] rs1
     /*  198061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198073 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198078 */     GIR_RootConstrainSelectedInstOperands,
     /*  198079 */     // GIR_Coverage, 463,
     /*  198079 */     GIR_Done,
     /*  198080 */   // Label 3913: @198080
     /*  198080 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(198121), // Rule ID 465 //
     /*  198085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198088 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198095 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198102 */     // MIs[0] rs1
     /*  198102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198114 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198114 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198119 */     GIR_RootConstrainSelectedInstOperands,
     /*  198120 */     // GIR_Coverage, 465,
     /*  198120 */     GIR_Done,
     /*  198121 */   // Label 3914: @198121
     /*  198121 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(198162), // Rule ID 467 //
     /*  198126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198129 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198136 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198143 */     // MIs[0] rs1
     /*  198143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198155 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198160 */     GIR_RootConstrainSelectedInstOperands,
     /*  198161 */     // GIR_Coverage, 467,
     /*  198161 */     GIR_Done,
     /*  198162 */   // Label 3915: @198162
     /*  198162 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(198203), // Rule ID 469 //
     /*  198167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198184 */     // MIs[0] rs1
     /*  198184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198196 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198201 */     GIR_RootConstrainSelectedInstOperands,
     /*  198202 */     // GIR_Coverage, 469,
     /*  198202 */     GIR_Done,
     /*  198203 */   // Label 3916: @198203
     /*  198203 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(198244), // Rule ID 471 //
     /*  198208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198211 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198218 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198225 */     // MIs[0] rs1
     /*  198225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198237 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198237 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198242 */     GIR_RootConstrainSelectedInstOperands,
     /*  198243 */     // GIR_Coverage, 471,
     /*  198243 */     GIR_Done,
     /*  198244 */   // Label 3917: @198244
     /*  198244 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(198285), // Rule ID 473 //
     /*  198249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198252 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198259 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198266 */     // MIs[0] rs1
     /*  198266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198278 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198283 */     GIR_RootConstrainSelectedInstOperands,
     /*  198284 */     // GIR_Coverage, 473,
     /*  198284 */     GIR_Done,
     /*  198285 */   // Label 3918: @198285
     /*  198285 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(198326), // Rule ID 803 //
     /*  198290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198293 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198307 */     // MIs[0] rs1
     /*  198307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198319 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198324 */     GIR_RootConstrainSelectedInstOperands,
     /*  198325 */     // GIR_Coverage, 803,
     /*  198325 */     GIR_Done,
     /*  198326 */   // Label 3919: @198326
     /*  198326 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(198367), // Rule ID 805 //
     /*  198331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198334 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198341 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198348 */     // MIs[0] rs1
     /*  198348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198360 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  198365 */     GIR_RootConstrainSelectedInstOperands,
     /*  198366 */     // GIR_Coverage, 805,
     /*  198366 */     GIR_Done,
     /*  198367 */   // Label 3920: @198367
     /*  198367 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(198408), // Rule ID 807 //
     /*  198372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198375 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198389 */     // MIs[0] rs1
     /*  198389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198401 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198401 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  198406 */     GIR_RootConstrainSelectedInstOperands,
     /*  198407 */     // GIR_Coverage, 807,
     /*  198407 */     GIR_Done,
     /*  198408 */   // Label 3921: @198408
     /*  198408 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(198449), // Rule ID 809 //
     /*  198413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198416 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198423 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198430 */     // MIs[0] rs1
     /*  198430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198442 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198447 */     GIR_RootConstrainSelectedInstOperands,
     /*  198448 */     // GIR_Coverage, 809,
     /*  198448 */     GIR_Done,
     /*  198449 */   // Label 3922: @198449
     /*  198449 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(198490), // Rule ID 811 //
     /*  198454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198457 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198464 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198471 */     // MIs[0] rs1
     /*  198471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198483 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198488 */     GIR_RootConstrainSelectedInstOperands,
     /*  198489 */     // GIR_Coverage, 811,
     /*  198489 */     GIR_Done,
     /*  198490 */   // Label 3923: @198490
     /*  198490 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(198531), // Rule ID 813 //
     /*  198495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198512 */     // MIs[0] rs1
     /*  198512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198524 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198524 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198529 */     GIR_RootConstrainSelectedInstOperands,
     /*  198530 */     // GIR_Coverage, 813,
     /*  198530 */     GIR_Done,
     /*  198531 */   // Label 3924: @198531
     /*  198531 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(198572), // Rule ID 815 //
     /*  198536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198553 */     // MIs[0] rs1
     /*  198553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198565 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198570 */     GIR_RootConstrainSelectedInstOperands,
     /*  198571 */     // GIR_Coverage, 815,
     /*  198571 */     GIR_Done,
     /*  198572 */   // Label 3925: @198572
     /*  198572 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(198613), // Rule ID 817 //
     /*  198577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198594 */     // MIs[0] rs1
     /*  198594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198606 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198611 */     GIR_RootConstrainSelectedInstOperands,
     /*  198612 */     // GIR_Coverage, 817,
     /*  198612 */     GIR_Done,
     /*  198613 */   // Label 3926: @198613
     /*  198613 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(198654), // Rule ID 819 //
     /*  198618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198635 */     // MIs[0] rs1
     /*  198635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198647 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198652 */     GIR_RootConstrainSelectedInstOperands,
     /*  198653 */     // GIR_Coverage, 819,
     /*  198653 */     GIR_Done,
     /*  198654 */   // Label 3927: @198654
     /*  198654 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(198695), // Rule ID 821 //
     /*  198659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198662 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198669 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198676 */     // MIs[0] rs1
     /*  198676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198688 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198688 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198693 */     GIR_RootConstrainSelectedInstOperands,
     /*  198694 */     // GIR_Coverage, 821,
     /*  198694 */     GIR_Done,
     /*  198695 */   // Label 3928: @198695
     /*  198695 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(198736), // Rule ID 983 //
     /*  198700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198717 */     // MIs[0] rs1
     /*  198717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198729 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  198734 */     GIR_RootConstrainSelectedInstOperands,
     /*  198735 */     // GIR_Coverage, 983,
     /*  198735 */     GIR_Done,
     /*  198736 */   // Label 3929: @198736
     /*  198736 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(198777), // Rule ID 985 //
     /*  198741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198744 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198751 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198758 */     // MIs[0] rs1
     /*  198758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198770 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  198775 */     GIR_RootConstrainSelectedInstOperands,
     /*  198776 */     // GIR_Coverage, 985,
     /*  198776 */     GIR_Done,
     /*  198777 */   // Label 3930: @198777
     /*  198777 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(198818), // Rule ID 987 //
     /*  198782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198799 */     // MIs[0] rs1
     /*  198799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198811 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  198816 */     GIR_RootConstrainSelectedInstOperands,
     /*  198817 */     // GIR_Coverage, 987,
     /*  198817 */     GIR_Done,
     /*  198818 */   // Label 3931: @198818
     /*  198818 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(198859), // Rule ID 989 //
     /*  198823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198840 */     // MIs[0] rs1
     /*  198840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198852 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  198857 */     GIR_RootConstrainSelectedInstOperands,
     /*  198858 */     // GIR_Coverage, 989,
     /*  198858 */     GIR_Done,
     /*  198859 */   // Label 3932: @198859
     /*  198859 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(198900), // Rule ID 991 //
     /*  198864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198867 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198874 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198881 */     // MIs[0] rs1
     /*  198881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198893 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  198898 */     GIR_RootConstrainSelectedInstOperands,
     /*  198899 */     // GIR_Coverage, 991,
     /*  198899 */     GIR_Done,
     /*  198900 */   // Label 3933: @198900
     /*  198900 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(198941), // Rule ID 993 //
     /*  198905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198922 */     // MIs[0] rs1
     /*  198922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198934 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  198939 */     GIR_RootConstrainSelectedInstOperands,
     /*  198940 */     // GIR_Coverage, 993,
     /*  198940 */     GIR_Done,
     /*  198941 */   // Label 3934: @198941
     /*  198941 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(198982), // Rule ID 995 //
     /*  198946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198949 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198956 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198963 */     // MIs[0] rs1
     /*  198963 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198975 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  198980 */     GIR_RootConstrainSelectedInstOperands,
     /*  198981 */     // GIR_Coverage, 995,
     /*  198981 */     GIR_Done,
     /*  198982 */   // Label 3935: @198982
     /*  198982 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(199023), // Rule ID 997 //
     /*  198987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198990 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198997 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199004 */     // MIs[0] rs1
     /*  199004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199016 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199021 */     GIR_RootConstrainSelectedInstOperands,
     /*  199022 */     // GIR_Coverage, 997,
     /*  199022 */     GIR_Done,
     /*  199023 */   // Label 3936: @199023
     /*  199023 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(199064), // Rule ID 999 //
     /*  199028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199031 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199038 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199045 */     // MIs[0] rs1
     /*  199045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199057 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199057 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199062 */     GIR_RootConstrainSelectedInstOperands,
     /*  199063 */     // GIR_Coverage, 999,
     /*  199063 */     GIR_Done,
     /*  199064 */   // Label 3937: @199064
     /*  199064 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(199105), // Rule ID 1001 //
     /*  199069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199079 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199086 */     // MIs[0] rs1
     /*  199086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199098 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199103 */     GIR_RootConstrainSelectedInstOperands,
     /*  199104 */     // GIR_Coverage, 1001,
     /*  199104 */     GIR_Done,
     /*  199105 */   // Label 3938: @199105
     /*  199105 */   GIM_Reject,
     /*  199106 */ // Label 3908: @199106
     /*  199106 */ GIM_Reject,
     /*  199107 */ // Label 3906: @199107
     /*  199107 */ GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(200756),
     /*  199112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  199115 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(199156), // Rule ID 454 //
     /*  199120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199137 */     // MIs[0] rs1
     /*  199137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199149 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199154 */     GIR_RootConstrainSelectedInstOperands,
     /*  199155 */     // GIR_Coverage, 454,
     /*  199155 */     GIR_Done,
     /*  199156 */   // Label 3940: @199156
     /*  199156 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(199197), // Rule ID 456 //
     /*  199161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199178 */     // MIs[0] rs1
     /*  199178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199190 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  199195 */     GIR_RootConstrainSelectedInstOperands,
     /*  199196 */     // GIR_Coverage, 456,
     /*  199196 */     GIR_Done,
     /*  199197 */   // Label 3941: @199197
     /*  199197 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(199238), // Rule ID 458 //
     /*  199202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199219 */     // MIs[0] rs1
     /*  199219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199231 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  199236 */     GIR_RootConstrainSelectedInstOperands,
     /*  199237 */     // GIR_Coverage, 458,
     /*  199237 */     GIR_Done,
     /*  199238 */   // Label 3942: @199238
     /*  199238 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(199279), // Rule ID 460 //
     /*  199243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199260 */     // MIs[0] rs1
     /*  199260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199272 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199277 */     GIR_RootConstrainSelectedInstOperands,
     /*  199278 */     // GIR_Coverage, 460,
     /*  199278 */     GIR_Done,
     /*  199279 */   // Label 3943: @199279
     /*  199279 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(199320), // Rule ID 462 //
     /*  199284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199301 */     // MIs[0] rs1
     /*  199301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199313 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199318 */     GIR_RootConstrainSelectedInstOperands,
     /*  199319 */     // GIR_Coverage, 462,
     /*  199319 */     GIR_Done,
     /*  199320 */   // Label 3944: @199320
     /*  199320 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(199361), // Rule ID 464 //
     /*  199325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199342 */     // MIs[0] rs1
     /*  199342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199354 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199359 */     GIR_RootConstrainSelectedInstOperands,
     /*  199360 */     // GIR_Coverage, 464,
     /*  199360 */     GIR_Done,
     /*  199361 */   // Label 3945: @199361
     /*  199361 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(199402), // Rule ID 466 //
     /*  199366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199383 */     // MIs[0] rs1
     /*  199383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199395 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199400 */     GIR_RootConstrainSelectedInstOperands,
     /*  199401 */     // GIR_Coverage, 466,
     /*  199401 */     GIR_Done,
     /*  199402 */   // Label 3946: @199402
     /*  199402 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(199443), // Rule ID 468 //
     /*  199407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199424 */     // MIs[0] rs1
     /*  199424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199436 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199441 */     GIR_RootConstrainSelectedInstOperands,
     /*  199442 */     // GIR_Coverage, 468,
     /*  199442 */     GIR_Done,
     /*  199443 */   // Label 3947: @199443
     /*  199443 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(199484), // Rule ID 470 //
     /*  199448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199465 */     // MIs[0] rs1
     /*  199465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199477 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199482 */     GIR_RootConstrainSelectedInstOperands,
     /*  199483 */     // GIR_Coverage, 470,
     /*  199483 */     GIR_Done,
     /*  199484 */   // Label 3948: @199484
     /*  199484 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(199525), // Rule ID 472 //
     /*  199489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199506 */     // MIs[0] rs1
     /*  199506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199518 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199523 */     GIR_RootConstrainSelectedInstOperands,
     /*  199524 */     // GIR_Coverage, 472,
     /*  199524 */     GIR_Done,
     /*  199525 */   // Label 3949: @199525
     /*  199525 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(199566), // Rule ID 574 //
     /*  199530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199533 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199540 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199547 */     // MIs[0] rs1
     /*  199547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199559 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199564 */     GIR_RootConstrainSelectedInstOperands,
     /*  199565 */     // GIR_Coverage, 574,
     /*  199565 */     GIR_Done,
     /*  199566 */   // Label 3950: @199566
     /*  199566 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(199607), // Rule ID 575 //
     /*  199571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199574 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199581 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199588 */     // MIs[0] rs1
     /*  199588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199600 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  199605 */     GIR_RootConstrainSelectedInstOperands,
     /*  199606 */     // GIR_Coverage, 575,
     /*  199606 */     GIR_Done,
     /*  199607 */   // Label 3951: @199607
     /*  199607 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(199648), // Rule ID 576 //
     /*  199612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199615 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199622 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199629 */     // MIs[0] rs1
     /*  199629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199641 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  199646 */     GIR_RootConstrainSelectedInstOperands,
     /*  199647 */     // GIR_Coverage, 576,
     /*  199647 */     GIR_Done,
     /*  199648 */   // Label 3952: @199648
     /*  199648 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(199689), // Rule ID 577 //
     /*  199653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199663 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199670 */     // MIs[0] rs1
     /*  199670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199682 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199682 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  199687 */     GIR_RootConstrainSelectedInstOperands,
     /*  199688 */     // GIR_Coverage, 577,
     /*  199688 */     GIR_Done,
     /*  199689 */   // Label 3953: @199689
     /*  199689 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(199730), // Rule ID 578 //
     /*  199694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199697 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199704 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199711 */     // MIs[0] rs1
     /*  199711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199723 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  199728 */     GIR_RootConstrainSelectedInstOperands,
     /*  199729 */     // GIR_Coverage, 578,
     /*  199729 */     GIR_Done,
     /*  199730 */   // Label 3954: @199730
     /*  199730 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(199771), // Rule ID 579 //
     /*  199735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199738 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199745 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199752 */     // MIs[0] rs1
     /*  199752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199764 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199769 */     GIR_RootConstrainSelectedInstOperands,
     /*  199770 */     // GIR_Coverage, 579,
     /*  199770 */     GIR_Done,
     /*  199771 */   // Label 3955: @199771
     /*  199771 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(199812), // Rule ID 580 //
     /*  199776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199793 */     // MIs[0] rs1
     /*  199793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199805 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199810 */     GIR_RootConstrainSelectedInstOperands,
     /*  199811 */     // GIR_Coverage, 580,
     /*  199811 */     GIR_Done,
     /*  199812 */   // Label 3956: @199812
     /*  199812 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(199853), // Rule ID 581 //
     /*  199817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199820 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199827 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199834 */     // MIs[0] rs1
     /*  199834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199846 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199846 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199851 */     GIR_RootConstrainSelectedInstOperands,
     /*  199852 */     // GIR_Coverage, 581,
     /*  199852 */     GIR_Done,
     /*  199853 */   // Label 3957: @199853
     /*  199853 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(199894), // Rule ID 582 //
     /*  199858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199861 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199868 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199875 */     // MIs[0] rs1
     /*  199875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199887 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199892 */     GIR_RootConstrainSelectedInstOperands,
     /*  199893 */     // GIR_Coverage, 582,
     /*  199893 */     GIR_Done,
     /*  199894 */   // Label 3958: @199894
     /*  199894 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(199935), // Rule ID 583 //
     /*  199899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199902 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199916 */     // MIs[0] rs1
     /*  199916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199928 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199933 */     GIR_RootConstrainSelectedInstOperands,
     /*  199934 */     // GIR_Coverage, 583,
     /*  199934 */     GIR_Done,
     /*  199935 */   // Label 3959: @199935
     /*  199935 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(199976), // Rule ID 802 //
     /*  199940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199943 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199957 */     // MIs[0] rs1
     /*  199957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199969 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199969 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199974 */     GIR_RootConstrainSelectedInstOperands,
     /*  199975 */     // GIR_Coverage, 802,
     /*  199975 */     GIR_Done,
     /*  199976 */   // Label 3960: @199976
     /*  199976 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(200017), // Rule ID 804 //
     /*  199981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199984 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199991 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199998 */     // MIs[0] rs1
     /*  199998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200010 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  200015 */     GIR_RootConstrainSelectedInstOperands,
     /*  200016 */     // GIR_Coverage, 804,
     /*  200016 */     GIR_Done,
     /*  200017 */   // Label 3961: @200017
     /*  200017 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(200058), // Rule ID 806 //
     /*  200022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200039 */     // MIs[0] rs1
     /*  200039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200051 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  200056 */     GIR_RootConstrainSelectedInstOperands,
     /*  200057 */     // GIR_Coverage, 806,
     /*  200057 */     GIR_Done,
     /*  200058 */   // Label 3962: @200058
     /*  200058 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(200099), // Rule ID 808 //
     /*  200063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200080 */     // MIs[0] rs1
     /*  200080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200092 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200092 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200097 */     GIR_RootConstrainSelectedInstOperands,
     /*  200098 */     // GIR_Coverage, 808,
     /*  200098 */     GIR_Done,
     /*  200099 */   // Label 3963: @200099
     /*  200099 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(200140), // Rule ID 810 //
     /*  200104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200107 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200121 */     // MIs[0] rs1
     /*  200121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200133 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200138 */     GIR_RootConstrainSelectedInstOperands,
     /*  200139 */     // GIR_Coverage, 810,
     /*  200139 */     GIR_Done,
     /*  200140 */   // Label 3964: @200140
     /*  200140 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(200181), // Rule ID 812 //
     /*  200145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200148 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200155 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200162 */     // MIs[0] rs1
     /*  200162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200174 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200174 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200179 */     GIR_RootConstrainSelectedInstOperands,
     /*  200180 */     // GIR_Coverage, 812,
     /*  200180 */     GIR_Done,
     /*  200181 */   // Label 3965: @200181
     /*  200181 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(200222), // Rule ID 814 //
     /*  200186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200189 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200203 */     // MIs[0] rs1
     /*  200203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200215 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200220 */     GIR_RootConstrainSelectedInstOperands,
     /*  200221 */     // GIR_Coverage, 814,
     /*  200221 */     GIR_Done,
     /*  200222 */   // Label 3966: @200222
     /*  200222 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(200263), // Rule ID 816 //
     /*  200227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200230 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200237 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200244 */     // MIs[0] rs1
     /*  200244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200256 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200261 */     GIR_RootConstrainSelectedInstOperands,
     /*  200262 */     // GIR_Coverage, 816,
     /*  200262 */     GIR_Done,
     /*  200263 */   // Label 3967: @200263
     /*  200263 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(200304), // Rule ID 818 //
     /*  200268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200285 */     // MIs[0] rs1
     /*  200285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200297 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200302 */     GIR_RootConstrainSelectedInstOperands,
     /*  200303 */     // GIR_Coverage, 818,
     /*  200303 */     GIR_Done,
     /*  200304 */   // Label 3968: @200304
     /*  200304 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(200345), // Rule ID 820 //
     /*  200309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200312 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200319 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200326 */     // MIs[0] rs1
     /*  200326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200338 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200343 */     GIR_RootConstrainSelectedInstOperands,
     /*  200344 */     // GIR_Coverage, 820,
     /*  200344 */     GIR_Done,
     /*  200345 */   // Label 3969: @200345
     /*  200345 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(200386), // Rule ID 982 //
     /*  200350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200353 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200360 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200367 */     // MIs[0] rs1
     /*  200367 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200379 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200379 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200384 */     GIR_RootConstrainSelectedInstOperands,
     /*  200385 */     // GIR_Coverage, 982,
     /*  200385 */     GIR_Done,
     /*  200386 */   // Label 3970: @200386
     /*  200386 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(200427), // Rule ID 984 //
     /*  200391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200394 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200401 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200408 */     // MIs[0] rs1
     /*  200408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200420 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  200425 */     GIR_RootConstrainSelectedInstOperands,
     /*  200426 */     // GIR_Coverage, 984,
     /*  200426 */     GIR_Done,
     /*  200427 */   // Label 3971: @200427
     /*  200427 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(200468), // Rule ID 986 //
     /*  200432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200435 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200442 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200449 */     // MIs[0] rs1
     /*  200449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200461 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  200466 */     GIR_RootConstrainSelectedInstOperands,
     /*  200467 */     // GIR_Coverage, 986,
     /*  200467 */     GIR_Done,
     /*  200468 */   // Label 3972: @200468
     /*  200468 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(200509), // Rule ID 988 //
     /*  200473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200476 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200483 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200490 */     // MIs[0] rs1
     /*  200490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200502 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200507 */     GIR_RootConstrainSelectedInstOperands,
     /*  200508 */     // GIR_Coverage, 988,
     /*  200508 */     GIR_Done,
     /*  200509 */   // Label 3973: @200509
     /*  200509 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(200550), // Rule ID 990 //
     /*  200514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200517 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200524 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200531 */     // MIs[0] rs1
     /*  200531 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200543 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200548 */     GIR_RootConstrainSelectedInstOperands,
     /*  200549 */     // GIR_Coverage, 990,
     /*  200549 */     GIR_Done,
     /*  200550 */   // Label 3974: @200550
     /*  200550 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(200591), // Rule ID 992 //
     /*  200555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200558 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200565 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200572 */     // MIs[0] rs1
     /*  200572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200584 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200589 */     GIR_RootConstrainSelectedInstOperands,
     /*  200590 */     // GIR_Coverage, 992,
     /*  200590 */     GIR_Done,
     /*  200591 */   // Label 3975: @200591
     /*  200591 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(200632), // Rule ID 994 //
     /*  200596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200599 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200606 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200613 */     // MIs[0] rs1
     /*  200613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200625 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200630 */     GIR_RootConstrainSelectedInstOperands,
     /*  200631 */     // GIR_Coverage, 994,
     /*  200631 */     GIR_Done,
     /*  200632 */   // Label 3976: @200632
     /*  200632 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(200673), // Rule ID 996 //
     /*  200637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200640 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200647 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200654 */     // MIs[0] rs1
     /*  200654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200666 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200666 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200671 */     GIR_RootConstrainSelectedInstOperands,
     /*  200672 */     // GIR_Coverage, 996,
     /*  200672 */     GIR_Done,
     /*  200673 */   // Label 3977: @200673
     /*  200673 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(200714), // Rule ID 998 //
     /*  200678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200681 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200688 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200695 */     // MIs[0] rs1
     /*  200695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200707 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200712 */     GIR_RootConstrainSelectedInstOperands,
     /*  200713 */     // GIR_Coverage, 998,
     /*  200713 */     GIR_Done,
     /*  200714 */   // Label 3978: @200714
     /*  200714 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(200755), // Rule ID 1000 //
     /*  200719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200722 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200729 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200736 */     // MIs[0] rs1
     /*  200736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200748 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200748 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200753 */     GIR_RootConstrainSelectedInstOperands,
     /*  200754 */     // GIR_Coverage, 1000,
     /*  200754 */     GIR_Done,
     /*  200755 */   // Label 3979: @200755
     /*  200755 */   GIM_Reject,
     /*  200756 */ // Label 3939: @200756
     /*  200756 */ GIM_Reject,
     /*  200757 */ // Label 3907: @200757
     /*  200757 */ GIM_Reject,
     /*  200758 */ // Label 34: @200758
     /*  200758 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3982*/ GIMT_Encode4(203667),
     /*  200769 */ /*GILLT_s32*//*Label 3980*/ GIMT_Encode4(200777),
     /*  200773 */ /*GILLT_s64*//*Label 3981*/ GIMT_Encode4(202017),
     /*  200777 */ // Label 3980: @200777
     /*  200777 */ GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(202016),
     /*  200782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  200785 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(200826), // Rule ID 475 //
     /*  200790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200800 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200807 */     // MIs[0] rs1
     /*  200807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200819 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  200824 */     GIR_RootConstrainSelectedInstOperands,
     /*  200825 */     // GIR_Coverage, 475,
     /*  200825 */     GIR_Done,
     /*  200826 */   // Label 3984: @200826
     /*  200826 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(200867), // Rule ID 477 //
     /*  200831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200848 */     // MIs[0] rs1
     /*  200848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200860 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200860 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  200865 */     GIR_RootConstrainSelectedInstOperands,
     /*  200866 */     // GIR_Coverage, 477,
     /*  200866 */     GIR_Done,
     /*  200867 */   // Label 3985: @200867
     /*  200867 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(200908), // Rule ID 479 //
     /*  200872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200882 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200889 */     // MIs[0] rs1
     /*  200889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200901 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  200906 */     GIR_RootConstrainSelectedInstOperands,
     /*  200907 */     // GIR_Coverage, 479,
     /*  200907 */     GIR_Done,
     /*  200908 */   // Label 3986: @200908
     /*  200908 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(200949), // Rule ID 481 //
     /*  200913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200916 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200923 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200930 */     // MIs[0] rs1
     /*  200930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200942 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  200947 */     GIR_RootConstrainSelectedInstOperands,
     /*  200948 */     // GIR_Coverage, 481,
     /*  200948 */     GIR_Done,
     /*  200949 */   // Label 3987: @200949
     /*  200949 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(200990), // Rule ID 483 //
     /*  200954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200957 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200964 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200971 */     // MIs[0] rs1
     /*  200971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200983 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200983 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  200988 */     GIR_RootConstrainSelectedInstOperands,
     /*  200989 */     // GIR_Coverage, 483,
     /*  200989 */     GIR_Done,
     /*  200990 */   // Label 3988: @200990
     /*  200990 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(201031), // Rule ID 485 //
     /*  200995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200998 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201005 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201012 */     // MIs[0] rs1
     /*  201012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201024 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201029 */     GIR_RootConstrainSelectedInstOperands,
     /*  201030 */     // GIR_Coverage, 485,
     /*  201030 */     GIR_Done,
     /*  201031 */   // Label 3989: @201031
     /*  201031 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(201072), // Rule ID 487 //
     /*  201036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201039 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201046 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201053 */     // MIs[0] rs1
     /*  201053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201065 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201070 */     GIR_RootConstrainSelectedInstOperands,
     /*  201071 */     // GIR_Coverage, 487,
     /*  201071 */     GIR_Done,
     /*  201072 */   // Label 3990: @201072
     /*  201072 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(201113), // Rule ID 489 //
     /*  201077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201094 */     // MIs[0] rs1
     /*  201094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201106 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201111 */     GIR_RootConstrainSelectedInstOperands,
     /*  201112 */     // GIR_Coverage, 489,
     /*  201112 */     GIR_Done,
     /*  201113 */   // Label 3991: @201113
     /*  201113 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(201154), // Rule ID 491 //
     /*  201118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201135 */     // MIs[0] rs1
     /*  201135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201147 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201152 */     GIR_RootConstrainSelectedInstOperands,
     /*  201153 */     // GIR_Coverage, 491,
     /*  201153 */     GIR_Done,
     /*  201154 */   // Label 3992: @201154
     /*  201154 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(201195), // Rule ID 493 //
     /*  201159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201162 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201169 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201176 */     // MIs[0] rs1
     /*  201176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201188 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201193 */     GIR_RootConstrainSelectedInstOperands,
     /*  201194 */     // GIR_Coverage, 493,
     /*  201194 */     GIR_Done,
     /*  201195 */   // Label 3993: @201195
     /*  201195 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(201236), // Rule ID 823 //
     /*  201200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201203 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201210 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201217 */     // MIs[0] rs1
     /*  201217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201229 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201234 */     GIR_RootConstrainSelectedInstOperands,
     /*  201235 */     // GIR_Coverage, 823,
     /*  201235 */     GIR_Done,
     /*  201236 */   // Label 3994: @201236
     /*  201236 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(201277), // Rule ID 825 //
     /*  201241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201244 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201251 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201258 */     // MIs[0] rs1
     /*  201258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201270 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201270 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  201275 */     GIR_RootConstrainSelectedInstOperands,
     /*  201276 */     // GIR_Coverage, 825,
     /*  201276 */     GIR_Done,
     /*  201277 */   // Label 3995: @201277
     /*  201277 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(201318), // Rule ID 827 //
     /*  201282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201285 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201292 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201299 */     // MIs[0] rs1
     /*  201299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201311 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  201316 */     GIR_RootConstrainSelectedInstOperands,
     /*  201317 */     // GIR_Coverage, 827,
     /*  201317 */     GIR_Done,
     /*  201318 */   // Label 3996: @201318
     /*  201318 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(201359), // Rule ID 829 //
     /*  201323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201326 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201333 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201340 */     // MIs[0] rs1
     /*  201340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201352 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201357 */     GIR_RootConstrainSelectedInstOperands,
     /*  201358 */     // GIR_Coverage, 829,
     /*  201358 */     GIR_Done,
     /*  201359 */   // Label 3997: @201359
     /*  201359 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(201400), // Rule ID 831 //
     /*  201364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201367 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201374 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201381 */     // MIs[0] rs1
     /*  201381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201393 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201398 */     GIR_RootConstrainSelectedInstOperands,
     /*  201399 */     // GIR_Coverage, 831,
     /*  201399 */     GIR_Done,
     /*  201400 */   // Label 3998: @201400
     /*  201400 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(201441), // Rule ID 833 //
     /*  201405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201408 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201415 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201422 */     // MIs[0] rs1
     /*  201422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201434 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201439 */     GIR_RootConstrainSelectedInstOperands,
     /*  201440 */     // GIR_Coverage, 833,
     /*  201440 */     GIR_Done,
     /*  201441 */   // Label 3999: @201441
     /*  201441 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(201482), // Rule ID 835 //
     /*  201446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201449 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201456 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201463 */     // MIs[0] rs1
     /*  201463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201475 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201480 */     GIR_RootConstrainSelectedInstOperands,
     /*  201481 */     // GIR_Coverage, 835,
     /*  201481 */     GIR_Done,
     /*  201482 */   // Label 4000: @201482
     /*  201482 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201523), // Rule ID 837 //
     /*  201487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201504 */     // MIs[0] rs1
     /*  201504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201516 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201521 */     GIR_RootConstrainSelectedInstOperands,
     /*  201522 */     // GIR_Coverage, 837,
     /*  201522 */     GIR_Done,
     /*  201523 */   // Label 4001: @201523
     /*  201523 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201564), // Rule ID 839 //
     /*  201528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201531 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201538 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201545 */     // MIs[0] rs1
     /*  201545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201557 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201562 */     GIR_RootConstrainSelectedInstOperands,
     /*  201563 */     // GIR_Coverage, 839,
     /*  201563 */     GIR_Done,
     /*  201564 */   // Label 4002: @201564
     /*  201564 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201605), // Rule ID 841 //
     /*  201569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201572 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201579 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201586 */     // MIs[0] rs1
     /*  201586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201598 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201603 */     GIR_RootConstrainSelectedInstOperands,
     /*  201604 */     // GIR_Coverage, 841,
     /*  201604 */     GIR_Done,
     /*  201605 */   // Label 4003: @201605
     /*  201605 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201646), // Rule ID 1003 //
     /*  201610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201613 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201620 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201627 */     // MIs[0] rs1
     /*  201627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201639 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201644 */     GIR_RootConstrainSelectedInstOperands,
     /*  201645 */     // GIR_Coverage, 1003,
     /*  201645 */     GIR_Done,
     /*  201646 */   // Label 4004: @201646
     /*  201646 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201687), // Rule ID 1005 //
     /*  201651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201654 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201661 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201668 */     // MIs[0] rs1
     /*  201668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201680 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201680 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  201685 */     GIR_RootConstrainSelectedInstOperands,
     /*  201686 */     // GIR_Coverage, 1005,
     /*  201686 */     GIR_Done,
     /*  201687 */   // Label 4005: @201687
     /*  201687 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201728), // Rule ID 1007 //
     /*  201692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201695 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201702 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201709 */     // MIs[0] rs1
     /*  201709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201721 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  201726 */     GIR_RootConstrainSelectedInstOperands,
     /*  201727 */     // GIR_Coverage, 1007,
     /*  201727 */     GIR_Done,
     /*  201728 */   // Label 4006: @201728
     /*  201728 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201769), // Rule ID 1009 //
     /*  201733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201736 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201743 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201750 */     // MIs[0] rs1
     /*  201750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201762 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201762 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  201767 */     GIR_RootConstrainSelectedInstOperands,
     /*  201768 */     // GIR_Coverage, 1009,
     /*  201768 */     GIR_Done,
     /*  201769 */   // Label 4007: @201769
     /*  201769 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(201810), // Rule ID 1011 //
     /*  201774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201777 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201784 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201791 */     // MIs[0] rs1
     /*  201791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201803 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201803 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  201808 */     GIR_RootConstrainSelectedInstOperands,
     /*  201809 */     // GIR_Coverage, 1011,
     /*  201809 */     GIR_Done,
     /*  201810 */   // Label 4008: @201810
     /*  201810 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(201851), // Rule ID 1013 //
     /*  201815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201818 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201825 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201832 */     // MIs[0] rs1
     /*  201832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201844 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201849 */     GIR_RootConstrainSelectedInstOperands,
     /*  201850 */     // GIR_Coverage, 1013,
     /*  201850 */     GIR_Done,
     /*  201851 */   // Label 4009: @201851
     /*  201851 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(201892), // Rule ID 1015 //
     /*  201856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201866 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201873 */     // MIs[0] rs1
     /*  201873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201885 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201890 */     GIR_RootConstrainSelectedInstOperands,
     /*  201891 */     // GIR_Coverage, 1015,
     /*  201891 */     GIR_Done,
     /*  201892 */   // Label 4010: @201892
     /*  201892 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(201933), // Rule ID 1017 //
     /*  201897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201900 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201907 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201914 */     // MIs[0] rs1
     /*  201914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201926 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201926 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201931 */     GIR_RootConstrainSelectedInstOperands,
     /*  201932 */     // GIR_Coverage, 1017,
     /*  201932 */     GIR_Done,
     /*  201933 */   // Label 4011: @201933
     /*  201933 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(201974), // Rule ID 1019 //
     /*  201938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201941 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201948 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201955 */     // MIs[0] rs1
     /*  201955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201967 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201972 */     GIR_RootConstrainSelectedInstOperands,
     /*  201973 */     // GIR_Coverage, 1019,
     /*  201973 */     GIR_Done,
     /*  201974 */   // Label 4012: @201974
     /*  201974 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(202015), // Rule ID 1021 //
     /*  201979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201982 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201989 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201996 */     // MIs[0] rs1
     /*  201996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202008 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202013 */     GIR_RootConstrainSelectedInstOperands,
     /*  202014 */     // GIR_Coverage, 1021,
     /*  202014 */     GIR_Done,
     /*  202015 */   // Label 4013: @202015
     /*  202015 */   GIM_Reject,
     /*  202016 */ // Label 3983: @202016
     /*  202016 */ GIM_Reject,
     /*  202017 */ // Label 3981: @202017
     /*  202017 */ GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(203666),
     /*  202022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202025 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(202066), // Rule ID 474 //
     /*  202030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202047 */     // MIs[0] rs1
     /*  202047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202059 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202064 */     GIR_RootConstrainSelectedInstOperands,
     /*  202065 */     // GIR_Coverage, 474,
     /*  202065 */     GIR_Done,
     /*  202066 */   // Label 4015: @202066
     /*  202066 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(202107), // Rule ID 476 //
     /*  202071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202088 */     // MIs[0] rs1
     /*  202088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202100 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  202105 */     GIR_RootConstrainSelectedInstOperands,
     /*  202106 */     // GIR_Coverage, 476,
     /*  202106 */     GIR_Done,
     /*  202107 */   // Label 4016: @202107
     /*  202107 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(202148), // Rule ID 478 //
     /*  202112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202129 */     // MIs[0] rs1
     /*  202129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202141 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  202146 */     GIR_RootConstrainSelectedInstOperands,
     /*  202147 */     // GIR_Coverage, 478,
     /*  202147 */     GIR_Done,
     /*  202148 */   // Label 4017: @202148
     /*  202148 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(202189), // Rule ID 480 //
     /*  202153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202170 */     // MIs[0] rs1
     /*  202170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202182 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202187 */     GIR_RootConstrainSelectedInstOperands,
     /*  202188 */     // GIR_Coverage, 480,
     /*  202188 */     GIR_Done,
     /*  202189 */   // Label 4018: @202189
     /*  202189 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(202230), // Rule ID 482 //
     /*  202194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202211 */     // MIs[0] rs1
     /*  202211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202223 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202228 */     GIR_RootConstrainSelectedInstOperands,
     /*  202229 */     // GIR_Coverage, 482,
     /*  202229 */     GIR_Done,
     /*  202230 */   // Label 4019: @202230
     /*  202230 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(202271), // Rule ID 484 //
     /*  202235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202252 */     // MIs[0] rs1
     /*  202252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202264 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202269 */     GIR_RootConstrainSelectedInstOperands,
     /*  202270 */     // GIR_Coverage, 484,
     /*  202270 */     GIR_Done,
     /*  202271 */   // Label 4020: @202271
     /*  202271 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(202312), // Rule ID 486 //
     /*  202276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202293 */     // MIs[0] rs1
     /*  202293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202305 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202310 */     GIR_RootConstrainSelectedInstOperands,
     /*  202311 */     // GIR_Coverage, 486,
     /*  202311 */     GIR_Done,
     /*  202312 */   // Label 4021: @202312
     /*  202312 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(202353), // Rule ID 488 //
     /*  202317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202334 */     // MIs[0] rs1
     /*  202334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202346 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202351 */     GIR_RootConstrainSelectedInstOperands,
     /*  202352 */     // GIR_Coverage, 488,
     /*  202352 */     GIR_Done,
     /*  202353 */   // Label 4022: @202353
     /*  202353 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202394), // Rule ID 490 //
     /*  202358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202375 */     // MIs[0] rs1
     /*  202375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202387 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202392 */     GIR_RootConstrainSelectedInstOperands,
     /*  202393 */     // GIR_Coverage, 490,
     /*  202393 */     GIR_Done,
     /*  202394 */   // Label 4023: @202394
     /*  202394 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202435), // Rule ID 492 //
     /*  202399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202416 */     // MIs[0] rs1
     /*  202416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202428 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202433 */     GIR_RootConstrainSelectedInstOperands,
     /*  202434 */     // GIR_Coverage, 492,
     /*  202434 */     GIR_Done,
     /*  202435 */   // Label 4024: @202435
     /*  202435 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202476), // Rule ID 584 //
     /*  202440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202443 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202450 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202457 */     // MIs[0] rs1
     /*  202457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202469 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202474 */     GIR_RootConstrainSelectedInstOperands,
     /*  202475 */     // GIR_Coverage, 584,
     /*  202475 */     GIR_Done,
     /*  202476 */   // Label 4025: @202476
     /*  202476 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(202517), // Rule ID 585 //
     /*  202481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202498 */     // MIs[0] rs1
     /*  202498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202510 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  202515 */     GIR_RootConstrainSelectedInstOperands,
     /*  202516 */     // GIR_Coverage, 585,
     /*  202516 */     GIR_Done,
     /*  202517 */   // Label 4026: @202517
     /*  202517 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(202558), // Rule ID 586 //
     /*  202522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202525 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202532 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202539 */     // MIs[0] rs1
     /*  202539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202551 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  202556 */     GIR_RootConstrainSelectedInstOperands,
     /*  202557 */     // GIR_Coverage, 586,
     /*  202557 */     GIR_Done,
     /*  202558 */   // Label 4027: @202558
     /*  202558 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(202599), // Rule ID 587 //
     /*  202563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202566 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202573 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202580 */     // MIs[0] rs1
     /*  202580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202592 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202592 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  202597 */     GIR_RootConstrainSelectedInstOperands,
     /*  202598 */     // GIR_Coverage, 587,
     /*  202598 */     GIR_Done,
     /*  202599 */   // Label 4028: @202599
     /*  202599 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(202640), // Rule ID 588 //
     /*  202604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202607 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202614 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202621 */     // MIs[0] rs1
     /*  202621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202633 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  202638 */     GIR_RootConstrainSelectedInstOperands,
     /*  202639 */     // GIR_Coverage, 588,
     /*  202639 */     GIR_Done,
     /*  202640 */   // Label 4029: @202640
     /*  202640 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(202681), // Rule ID 589 //
     /*  202645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202648 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202655 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202662 */     // MIs[0] rs1
     /*  202662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202674 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202679 */     GIR_RootConstrainSelectedInstOperands,
     /*  202680 */     // GIR_Coverage, 589,
     /*  202680 */     GIR_Done,
     /*  202681 */   // Label 4030: @202681
     /*  202681 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(202722), // Rule ID 590 //
     /*  202686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202689 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202696 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202703 */     // MIs[0] rs1
     /*  202703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202715 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202715 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202720 */     GIR_RootConstrainSelectedInstOperands,
     /*  202721 */     // GIR_Coverage, 590,
     /*  202721 */     GIR_Done,
     /*  202722 */   // Label 4031: @202722
     /*  202722 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(202763), // Rule ID 591 //
     /*  202727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202730 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202737 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202744 */     // MIs[0] rs1
     /*  202744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202756 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202756 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202761 */     GIR_RootConstrainSelectedInstOperands,
     /*  202762 */     // GIR_Coverage, 591,
     /*  202762 */     GIR_Done,
     /*  202763 */   // Label 4032: @202763
     /*  202763 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(202804), // Rule ID 592 //
     /*  202768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202771 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202778 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202785 */     // MIs[0] rs1
     /*  202785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202797 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202797 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202802 */     GIR_RootConstrainSelectedInstOperands,
     /*  202803 */     // GIR_Coverage, 592,
     /*  202803 */     GIR_Done,
     /*  202804 */   // Label 4033: @202804
     /*  202804 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(202845), // Rule ID 593 //
     /*  202809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202812 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202819 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202826 */     // MIs[0] rs1
     /*  202826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202838 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202838 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202843 */     GIR_RootConstrainSelectedInstOperands,
     /*  202844 */     // GIR_Coverage, 593,
     /*  202844 */     GIR_Done,
     /*  202845 */   // Label 4034: @202845
     /*  202845 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(202886), // Rule ID 822 //
     /*  202850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202853 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202860 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202867 */     // MIs[0] rs1
     /*  202867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202879 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202879 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202884 */     GIR_RootConstrainSelectedInstOperands,
     /*  202885 */     // GIR_Coverage, 822,
     /*  202885 */     GIR_Done,
     /*  202886 */   // Label 4035: @202886
     /*  202886 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(202927), // Rule ID 824 //
     /*  202891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202894 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202901 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202908 */     // MIs[0] rs1
     /*  202908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202920 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202920 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  202925 */     GIR_RootConstrainSelectedInstOperands,
     /*  202926 */     // GIR_Coverage, 824,
     /*  202926 */     GIR_Done,
     /*  202927 */   // Label 4036: @202927
     /*  202927 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(202968), // Rule ID 826 //
     /*  202932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202935 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202942 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202949 */     // MIs[0] rs1
     /*  202949 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202961 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202961 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  202966 */     GIR_RootConstrainSelectedInstOperands,
     /*  202967 */     // GIR_Coverage, 826,
     /*  202967 */     GIR_Done,
     /*  202968 */   // Label 4037: @202968
     /*  202968 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(203009), // Rule ID 828 //
     /*  202973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202976 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202983 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202990 */     // MIs[0] rs1
     /*  202990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203002 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203002 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  203007 */     GIR_RootConstrainSelectedInstOperands,
     /*  203008 */     // GIR_Coverage, 828,
     /*  203008 */     GIR_Done,
     /*  203009 */   // Label 4038: @203009
     /*  203009 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(203050), // Rule ID 830 //
     /*  203014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203017 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203024 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203031 */     // MIs[0] rs1
     /*  203031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203043 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203043 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  203048 */     GIR_RootConstrainSelectedInstOperands,
     /*  203049 */     // GIR_Coverage, 830,
     /*  203049 */     GIR_Done,
     /*  203050 */   // Label 4039: @203050
     /*  203050 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(203091), // Rule ID 832 //
     /*  203055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203058 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203065 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203072 */     // MIs[0] rs1
     /*  203072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203084 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203089 */     GIR_RootConstrainSelectedInstOperands,
     /*  203090 */     // GIR_Coverage, 832,
     /*  203090 */     GIR_Done,
     /*  203091 */   // Label 4040: @203091
     /*  203091 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(203132), // Rule ID 834 //
     /*  203096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203106 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203113 */     // MIs[0] rs1
     /*  203113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203125 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203125 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203130 */     GIR_RootConstrainSelectedInstOperands,
     /*  203131 */     // GIR_Coverage, 834,
     /*  203131 */     GIR_Done,
     /*  203132 */   // Label 4041: @203132
     /*  203132 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(203173), // Rule ID 836 //
     /*  203137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203140 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203147 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203154 */     // MIs[0] rs1
     /*  203154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203166 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203166 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203171 */     GIR_RootConstrainSelectedInstOperands,
     /*  203172 */     // GIR_Coverage, 836,
     /*  203172 */     GIR_Done,
     /*  203173 */   // Label 4042: @203173
     /*  203173 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(203214), // Rule ID 838 //
     /*  203178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203181 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203188 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203195 */     // MIs[0] rs1
     /*  203195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203207 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203207 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203212 */     GIR_RootConstrainSelectedInstOperands,
     /*  203213 */     // GIR_Coverage, 838,
     /*  203213 */     GIR_Done,
     /*  203214 */   // Label 4043: @203214
     /*  203214 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(203255), // Rule ID 840 //
     /*  203219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203222 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203229 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203236 */     // MIs[0] rs1
     /*  203236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203248 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203248 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203253 */     GIR_RootConstrainSelectedInstOperands,
     /*  203254 */     // GIR_Coverage, 840,
     /*  203254 */     GIR_Done,
     /*  203255 */   // Label 4044: @203255
     /*  203255 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(203296), // Rule ID 1002 //
     /*  203260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203263 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203277 */     // MIs[0] rs1
     /*  203277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203289 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203289 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203294 */     GIR_RootConstrainSelectedInstOperands,
     /*  203295 */     // GIR_Coverage, 1002,
     /*  203295 */     GIR_Done,
     /*  203296 */   // Label 4045: @203296
     /*  203296 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(203337), // Rule ID 1004 //
     /*  203301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203304 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203311 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203318 */     // MIs[0] rs1
     /*  203318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203330 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  203335 */     GIR_RootConstrainSelectedInstOperands,
     /*  203336 */     // GIR_Coverage, 1004,
     /*  203336 */     GIR_Done,
     /*  203337 */   // Label 4046: @203337
     /*  203337 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(203378), // Rule ID 1006 //
     /*  203342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203345 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203352 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203359 */     // MIs[0] rs1
     /*  203359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203371 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203371 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  203376 */     GIR_RootConstrainSelectedInstOperands,
     /*  203377 */     // GIR_Coverage, 1006,
     /*  203377 */     GIR_Done,
     /*  203378 */   // Label 4047: @203378
     /*  203378 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(203419), // Rule ID 1008 //
     /*  203383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203386 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203400 */     // MIs[0] rs1
     /*  203400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203412 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203417 */     GIR_RootConstrainSelectedInstOperands,
     /*  203418 */     // GIR_Coverage, 1008,
     /*  203418 */     GIR_Done,
     /*  203419 */   // Label 4048: @203419
     /*  203419 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(203460), // Rule ID 1010 //
     /*  203424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203427 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203434 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203441 */     // MIs[0] rs1
     /*  203441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203453 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203453 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203458 */     GIR_RootConstrainSelectedInstOperands,
     /*  203459 */     // GIR_Coverage, 1010,
     /*  203459 */     GIR_Done,
     /*  203460 */   // Label 4049: @203460
     /*  203460 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(203501), // Rule ID 1012 //
     /*  203465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203482 */     // MIs[0] rs1
     /*  203482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203494 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203494 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203499 */     GIR_RootConstrainSelectedInstOperands,
     /*  203500 */     // GIR_Coverage, 1012,
     /*  203500 */     GIR_Done,
     /*  203501 */   // Label 4050: @203501
     /*  203501 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(203542), // Rule ID 1014 //
     /*  203506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203509 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203516 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203523 */     // MIs[0] rs1
     /*  203523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203535 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203535 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203540 */     GIR_RootConstrainSelectedInstOperands,
     /*  203541 */     // GIR_Coverage, 1014,
     /*  203541 */     GIR_Done,
     /*  203542 */   // Label 4051: @203542
     /*  203542 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(203583), // Rule ID 1016 //
     /*  203547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203550 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203557 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203564 */     // MIs[0] rs1
     /*  203564 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203576 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203581 */     GIR_RootConstrainSelectedInstOperands,
     /*  203582 */     // GIR_Coverage, 1016,
     /*  203582 */     GIR_Done,
     /*  203583 */   // Label 4052: @203583
     /*  203583 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(203624), // Rule ID 1018 //
     /*  203588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203591 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203598 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203605 */     // MIs[0] rs1
     /*  203605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203617 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203622 */     GIR_RootConstrainSelectedInstOperands,
     /*  203623 */     // GIR_Coverage, 1018,
     /*  203623 */     GIR_Done,
     /*  203624 */   // Label 4053: @203624
     /*  203624 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(203665), // Rule ID 1020 //
     /*  203629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203632 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203639 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203646 */     // MIs[0] rs1
     /*  203646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203658 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203663 */     GIR_RootConstrainSelectedInstOperands,
     /*  203664 */     // GIR_Coverage, 1020,
     /*  203664 */     GIR_Done,
     /*  203665 */   // Label 4054: @203665
     /*  203665 */   GIM_Reject,
     /*  203666 */ // Label 4014: @203666
     /*  203666 */ GIM_Reject,
     /*  203667 */ // Label 3982: @203667
     /*  203667 */ GIM_Reject,
     /*  203668 */ // Label 35: @203668
     /*  203668 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4057*/ GIMT_Encode4(206577),
     /*  203679 */ /*GILLT_s32*//*Label 4055*/ GIMT_Encode4(203687),
     /*  203683 */ /*GILLT_s64*//*Label 4056*/ GIMT_Encode4(204927),
     /*  203687 */ // Label 4055: @203687
     /*  203687 */ GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(204926),
     /*  203692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  203695 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(203736), // Rule ID 495 //
     /*  203700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203717 */     // MIs[0] rs1
     /*  203717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203729 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203734 */     GIR_RootConstrainSelectedInstOperands,
     /*  203735 */     // GIR_Coverage, 495,
     /*  203735 */     GIR_Done,
     /*  203736 */   // Label 4059: @203736
     /*  203736 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(203777), // Rule ID 497 //
     /*  203741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203744 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203751 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203758 */     // MIs[0] rs1
     /*  203758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203770 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  203775 */     GIR_RootConstrainSelectedInstOperands,
     /*  203776 */     // GIR_Coverage, 497,
     /*  203776 */     GIR_Done,
     /*  203777 */   // Label 4060: @203777
     /*  203777 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(203818), // Rule ID 499 //
     /*  203782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203799 */     // MIs[0] rs1
     /*  203799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203811 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  203816 */     GIR_RootConstrainSelectedInstOperands,
     /*  203817 */     // GIR_Coverage, 499,
     /*  203817 */     GIR_Done,
     /*  203818 */   // Label 4061: @203818
     /*  203818 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(203859), // Rule ID 501 //
     /*  203823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203840 */     // MIs[0] rs1
     /*  203840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203852 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  203857 */     GIR_RootConstrainSelectedInstOperands,
     /*  203858 */     // GIR_Coverage, 501,
     /*  203858 */     GIR_Done,
     /*  203859 */   // Label 4062: @203859
     /*  203859 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(203900), // Rule ID 503 //
     /*  203864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203867 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203874 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203881 */     // MIs[0] rs1
     /*  203881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203893 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  203898 */     GIR_RootConstrainSelectedInstOperands,
     /*  203899 */     // GIR_Coverage, 503,
     /*  203899 */     GIR_Done,
     /*  203900 */   // Label 4063: @203900
     /*  203900 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(203941), // Rule ID 505 //
     /*  203905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203922 */     // MIs[0] rs1
     /*  203922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203934 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203939 */     GIR_RootConstrainSelectedInstOperands,
     /*  203940 */     // GIR_Coverage, 505,
     /*  203940 */     GIR_Done,
     /*  203941 */   // Label 4064: @203941
     /*  203941 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(203982), // Rule ID 507 //
     /*  203946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203949 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203956 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203963 */     // MIs[0] rs1
     /*  203963 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203975 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203980 */     GIR_RootConstrainSelectedInstOperands,
     /*  203981 */     // GIR_Coverage, 507,
     /*  203981 */     GIR_Done,
     /*  203982 */   // Label 4065: @203982
     /*  203982 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(204023), // Rule ID 509 //
     /*  203987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203990 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203997 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204004 */     // MIs[0] rs1
     /*  204004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204016 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204021 */     GIR_RootConstrainSelectedInstOperands,
     /*  204022 */     // GIR_Coverage, 509,
     /*  204022 */     GIR_Done,
     /*  204023 */   // Label 4066: @204023
     /*  204023 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(204064), // Rule ID 511 //
     /*  204028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204031 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204038 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204045 */     // MIs[0] rs1
     /*  204045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204057 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204057 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204062 */     GIR_RootConstrainSelectedInstOperands,
     /*  204063 */     // GIR_Coverage, 511,
     /*  204063 */     GIR_Done,
     /*  204064 */   // Label 4067: @204064
     /*  204064 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(204105), // Rule ID 513 //
     /*  204069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204079 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204086 */     // MIs[0] rs1
     /*  204086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204098 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204103 */     GIR_RootConstrainSelectedInstOperands,
     /*  204104 */     // GIR_Coverage, 513,
     /*  204104 */     GIR_Done,
     /*  204105 */   // Label 4068: @204105
     /*  204105 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(204146), // Rule ID 843 //
     /*  204110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204113 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204120 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204127 */     // MIs[0] rs1
     /*  204127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204139 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204139 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204144 */     GIR_RootConstrainSelectedInstOperands,
     /*  204145 */     // GIR_Coverage, 843,
     /*  204145 */     GIR_Done,
     /*  204146 */   // Label 4069: @204146
     /*  204146 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(204187), // Rule ID 845 //
     /*  204151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204168 */     // MIs[0] rs1
     /*  204168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204180 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  204185 */     GIR_RootConstrainSelectedInstOperands,
     /*  204186 */     // GIR_Coverage, 845,
     /*  204186 */     GIR_Done,
     /*  204187 */   // Label 4070: @204187
     /*  204187 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(204228), // Rule ID 847 //
     /*  204192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204195 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204202 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204209 */     // MIs[0] rs1
     /*  204209 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204221 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204221 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  204226 */     GIR_RootConstrainSelectedInstOperands,
     /*  204227 */     // GIR_Coverage, 847,
     /*  204227 */     GIR_Done,
     /*  204228 */   // Label 4071: @204228
     /*  204228 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(204269), // Rule ID 849 //
     /*  204233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204243 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204250 */     // MIs[0] rs1
     /*  204250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204262 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204267 */     GIR_RootConstrainSelectedInstOperands,
     /*  204268 */     // GIR_Coverage, 849,
     /*  204268 */     GIR_Done,
     /*  204269 */   // Label 4072: @204269
     /*  204269 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(204310), // Rule ID 851 //
     /*  204274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204277 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204284 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204291 */     // MIs[0] rs1
     /*  204291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204303 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204303 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204308 */     GIR_RootConstrainSelectedInstOperands,
     /*  204309 */     // GIR_Coverage, 851,
     /*  204309 */     GIR_Done,
     /*  204310 */   // Label 4073: @204310
     /*  204310 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(204351), // Rule ID 853 //
     /*  204315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204318 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204332 */     // MIs[0] rs1
     /*  204332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204344 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204349 */     GIR_RootConstrainSelectedInstOperands,
     /*  204350 */     // GIR_Coverage, 853,
     /*  204350 */     GIR_Done,
     /*  204351 */   // Label 4074: @204351
     /*  204351 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(204392), // Rule ID 855 //
     /*  204356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204359 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204366 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204373 */     // MIs[0] rs1
     /*  204373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204385 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204390 */     GIR_RootConstrainSelectedInstOperands,
     /*  204391 */     // GIR_Coverage, 855,
     /*  204391 */     GIR_Done,
     /*  204392 */   // Label 4075: @204392
     /*  204392 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(204433), // Rule ID 857 //
     /*  204397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204400 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204414 */     // MIs[0] rs1
     /*  204414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204426 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204431 */     GIR_RootConstrainSelectedInstOperands,
     /*  204432 */     // GIR_Coverage, 857,
     /*  204432 */     GIR_Done,
     /*  204433 */   // Label 4076: @204433
     /*  204433 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(204474), // Rule ID 859 //
     /*  204438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204455 */     // MIs[0] rs1
     /*  204455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204467 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204467 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204472 */     GIR_RootConstrainSelectedInstOperands,
     /*  204473 */     // GIR_Coverage, 859,
     /*  204473 */     GIR_Done,
     /*  204474 */   // Label 4077: @204474
     /*  204474 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(204515), // Rule ID 861 //
     /*  204479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204482 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204489 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204496 */     // MIs[0] rs1
     /*  204496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204508 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204513 */     GIR_RootConstrainSelectedInstOperands,
     /*  204514 */     // GIR_Coverage, 861,
     /*  204514 */     GIR_Done,
     /*  204515 */   // Label 4078: @204515
     /*  204515 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(204556), // Rule ID 1023 //
     /*  204520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204537 */     // MIs[0] rs1
     /*  204537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204549 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204554 */     GIR_RootConstrainSelectedInstOperands,
     /*  204555 */     // GIR_Coverage, 1023,
     /*  204555 */     GIR_Done,
     /*  204556 */   // Label 4079: @204556
     /*  204556 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(204597), // Rule ID 1025 //
     /*  204561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204564 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204571 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204578 */     // MIs[0] rs1
     /*  204578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204590 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  204595 */     GIR_RootConstrainSelectedInstOperands,
     /*  204596 */     // GIR_Coverage, 1025,
     /*  204596 */     GIR_Done,
     /*  204597 */   // Label 4080: @204597
     /*  204597 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(204638), // Rule ID 1027 //
     /*  204602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204619 */     // MIs[0] rs1
     /*  204619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204631 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  204636 */     GIR_RootConstrainSelectedInstOperands,
     /*  204637 */     // GIR_Coverage, 1027,
     /*  204637 */     GIR_Done,
     /*  204638 */   // Label 4081: @204638
     /*  204638 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(204679), // Rule ID 1029 //
     /*  204643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204660 */     // MIs[0] rs1
     /*  204660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204672 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  204677 */     GIR_RootConstrainSelectedInstOperands,
     /*  204678 */     // GIR_Coverage, 1029,
     /*  204678 */     GIR_Done,
     /*  204679 */   // Label 4082: @204679
     /*  204679 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(204720), // Rule ID 1031 //
     /*  204684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204701 */     // MIs[0] rs1
     /*  204701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204713 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  204718 */     GIR_RootConstrainSelectedInstOperands,
     /*  204719 */     // GIR_Coverage, 1031,
     /*  204719 */     GIR_Done,
     /*  204720 */   // Label 4083: @204720
     /*  204720 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(204761), // Rule ID 1033 //
     /*  204725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204742 */     // MIs[0] rs1
     /*  204742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204754 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204759 */     GIR_RootConstrainSelectedInstOperands,
     /*  204760 */     // GIR_Coverage, 1033,
     /*  204760 */     GIR_Done,
     /*  204761 */   // Label 4084: @204761
     /*  204761 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(204802), // Rule ID 1035 //
     /*  204766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204783 */     // MIs[0] rs1
     /*  204783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204795 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204800 */     GIR_RootConstrainSelectedInstOperands,
     /*  204801 */     // GIR_Coverage, 1035,
     /*  204801 */     GIR_Done,
     /*  204802 */   // Label 4085: @204802
     /*  204802 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(204843), // Rule ID 1037 //
     /*  204807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204824 */     // MIs[0] rs1
     /*  204824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204836 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204841 */     GIR_RootConstrainSelectedInstOperands,
     /*  204842 */     // GIR_Coverage, 1037,
     /*  204842 */     GIR_Done,
     /*  204843 */   // Label 4086: @204843
     /*  204843 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(204884), // Rule ID 1039 //
     /*  204848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204851 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204858 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204865 */     // MIs[0] rs1
     /*  204865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204877 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204882 */     GIR_RootConstrainSelectedInstOperands,
     /*  204883 */     // GIR_Coverage, 1039,
     /*  204883 */     GIR_Done,
     /*  204884 */   // Label 4087: @204884
     /*  204884 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(204925), // Rule ID 1041 //
     /*  204889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204892 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204899 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204906 */     // MIs[0] rs1
     /*  204906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204918 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204923 */     GIR_RootConstrainSelectedInstOperands,
     /*  204924 */     // GIR_Coverage, 1041,
     /*  204924 */     GIR_Done,
     /*  204925 */   // Label 4088: @204925
     /*  204925 */   GIM_Reject,
     /*  204926 */ // Label 4058: @204926
     /*  204926 */ GIM_Reject,
     /*  204927 */ // Label 4056: @204927
     /*  204927 */ GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(206576),
     /*  204932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  204935 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(204976), // Rule ID 494 //
     /*  204940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204943 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204957 */     // MIs[0] rs1
     /*  204957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204969 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204969 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204974 */     GIR_RootConstrainSelectedInstOperands,
     /*  204975 */     // GIR_Coverage, 494,
     /*  204975 */     GIR_Done,
     /*  204976 */   // Label 4090: @204976
     /*  204976 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(205017), // Rule ID 496 //
     /*  204981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204984 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204991 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204998 */     // MIs[0] rs1
     /*  204998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205010 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  205015 */     GIR_RootConstrainSelectedInstOperands,
     /*  205016 */     // GIR_Coverage, 496,
     /*  205016 */     GIR_Done,
     /*  205017 */   // Label 4091: @205017
     /*  205017 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(205058), // Rule ID 498 //
     /*  205022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205039 */     // MIs[0] rs1
     /*  205039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205051 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  205056 */     GIR_RootConstrainSelectedInstOperands,
     /*  205057 */     // GIR_Coverage, 498,
     /*  205057 */     GIR_Done,
     /*  205058 */   // Label 4092: @205058
     /*  205058 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(205099), // Rule ID 500 //
     /*  205063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205080 */     // MIs[0] rs1
     /*  205080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205092 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205092 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205097 */     GIR_RootConstrainSelectedInstOperands,
     /*  205098 */     // GIR_Coverage, 500,
     /*  205098 */     GIR_Done,
     /*  205099 */   // Label 4093: @205099
     /*  205099 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(205140), // Rule ID 502 //
     /*  205104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205107 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205121 */     // MIs[0] rs1
     /*  205121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205133 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205138 */     GIR_RootConstrainSelectedInstOperands,
     /*  205139 */     // GIR_Coverage, 502,
     /*  205139 */     GIR_Done,
     /*  205140 */   // Label 4094: @205140
     /*  205140 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(205181), // Rule ID 504 //
     /*  205145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205148 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205155 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205162 */     // MIs[0] rs1
     /*  205162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205174 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205174 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205179 */     GIR_RootConstrainSelectedInstOperands,
     /*  205180 */     // GIR_Coverage, 504,
     /*  205180 */     GIR_Done,
     /*  205181 */   // Label 4095: @205181
     /*  205181 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(205222), // Rule ID 506 //
     /*  205186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205189 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205203 */     // MIs[0] rs1
     /*  205203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205215 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205220 */     GIR_RootConstrainSelectedInstOperands,
     /*  205221 */     // GIR_Coverage, 506,
     /*  205221 */     GIR_Done,
     /*  205222 */   // Label 4096: @205222
     /*  205222 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(205263), // Rule ID 508 //
     /*  205227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205230 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205237 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205244 */     // MIs[0] rs1
     /*  205244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205256 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205261 */     GIR_RootConstrainSelectedInstOperands,
     /*  205262 */     // GIR_Coverage, 508,
     /*  205262 */     GIR_Done,
     /*  205263 */   // Label 4097: @205263
     /*  205263 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(205304), // Rule ID 510 //
     /*  205268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205285 */     // MIs[0] rs1
     /*  205285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205297 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205302 */     GIR_RootConstrainSelectedInstOperands,
     /*  205303 */     // GIR_Coverage, 510,
     /*  205303 */     GIR_Done,
     /*  205304 */   // Label 4098: @205304
     /*  205304 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(205345), // Rule ID 512 //
     /*  205309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205312 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205319 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205326 */     // MIs[0] rs1
     /*  205326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205338 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205343 */     GIR_RootConstrainSelectedInstOperands,
     /*  205344 */     // GIR_Coverage, 512,
     /*  205344 */     GIR_Done,
     /*  205345 */   // Label 4099: @205345
     /*  205345 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(205386), // Rule ID 594 //
     /*  205350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205353 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205360 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205367 */     // MIs[0] rs1
     /*  205367 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205379 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205379 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205384 */     GIR_RootConstrainSelectedInstOperands,
     /*  205385 */     // GIR_Coverage, 594,
     /*  205385 */     GIR_Done,
     /*  205386 */   // Label 4100: @205386
     /*  205386 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(205427), // Rule ID 595 //
     /*  205391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205394 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205401 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205408 */     // MIs[0] rs1
     /*  205408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205420 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  205425 */     GIR_RootConstrainSelectedInstOperands,
     /*  205426 */     // GIR_Coverage, 595,
     /*  205426 */     GIR_Done,
     /*  205427 */   // Label 4101: @205427
     /*  205427 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(205468), // Rule ID 596 //
     /*  205432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205435 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205442 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205449 */     // MIs[0] rs1
     /*  205449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205461 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  205466 */     GIR_RootConstrainSelectedInstOperands,
     /*  205467 */     // GIR_Coverage, 596,
     /*  205467 */     GIR_Done,
     /*  205468 */   // Label 4102: @205468
     /*  205468 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(205509), // Rule ID 597 //
     /*  205473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205476 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205483 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205490 */     // MIs[0] rs1
     /*  205490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205502 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205507 */     GIR_RootConstrainSelectedInstOperands,
     /*  205508 */     // GIR_Coverage, 597,
     /*  205508 */     GIR_Done,
     /*  205509 */   // Label 4103: @205509
     /*  205509 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(205550), // Rule ID 598 //
     /*  205514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205517 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205524 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205531 */     // MIs[0] rs1
     /*  205531 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205543 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205548 */     GIR_RootConstrainSelectedInstOperands,
     /*  205549 */     // GIR_Coverage, 598,
     /*  205549 */     GIR_Done,
     /*  205550 */   // Label 4104: @205550
     /*  205550 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(205591), // Rule ID 599 //
     /*  205555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205558 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205565 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205572 */     // MIs[0] rs1
     /*  205572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205584 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205589 */     GIR_RootConstrainSelectedInstOperands,
     /*  205590 */     // GIR_Coverage, 599,
     /*  205590 */     GIR_Done,
     /*  205591 */   // Label 4105: @205591
     /*  205591 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(205632), // Rule ID 600 //
     /*  205596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205599 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205606 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205613 */     // MIs[0] rs1
     /*  205613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205625 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205630 */     GIR_RootConstrainSelectedInstOperands,
     /*  205631 */     // GIR_Coverage, 600,
     /*  205631 */     GIR_Done,
     /*  205632 */   // Label 4106: @205632
     /*  205632 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(205673), // Rule ID 601 //
     /*  205637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205640 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205647 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205654 */     // MIs[0] rs1
     /*  205654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205666 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205666 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205671 */     GIR_RootConstrainSelectedInstOperands,
     /*  205672 */     // GIR_Coverage, 601,
     /*  205672 */     GIR_Done,
     /*  205673 */   // Label 4107: @205673
     /*  205673 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(205714), // Rule ID 602 //
     /*  205678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205681 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205688 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205695 */     // MIs[0] rs1
     /*  205695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205707 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205712 */     GIR_RootConstrainSelectedInstOperands,
     /*  205713 */     // GIR_Coverage, 602,
     /*  205713 */     GIR_Done,
     /*  205714 */   // Label 4108: @205714
     /*  205714 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(205755), // Rule ID 603 //
     /*  205719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205722 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205729 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205736 */     // MIs[0] rs1
     /*  205736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205748 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205748 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205753 */     GIR_RootConstrainSelectedInstOperands,
     /*  205754 */     // GIR_Coverage, 603,
     /*  205754 */     GIR_Done,
     /*  205755 */   // Label 4109: @205755
     /*  205755 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(205796), // Rule ID 842 //
     /*  205760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205763 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205770 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205777 */     // MIs[0] rs1
     /*  205777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205789 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205789 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205794 */     GIR_RootConstrainSelectedInstOperands,
     /*  205795 */     // GIR_Coverage, 842,
     /*  205795 */     GIR_Done,
     /*  205796 */   // Label 4110: @205796
     /*  205796 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(205837), // Rule ID 844 //
     /*  205801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205804 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205818 */     // MIs[0] rs1
     /*  205818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205830 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  205835 */     GIR_RootConstrainSelectedInstOperands,
     /*  205836 */     // GIR_Coverage, 844,
     /*  205836 */     GIR_Done,
     /*  205837 */   // Label 4111: @205837
     /*  205837 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(205878), // Rule ID 846 //
     /*  205842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205845 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205852 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205859 */     // MIs[0] rs1
     /*  205859 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205871 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205871 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  205876 */     GIR_RootConstrainSelectedInstOperands,
     /*  205877 */     // GIR_Coverage, 846,
     /*  205877 */     GIR_Done,
     /*  205878 */   // Label 4112: @205878
     /*  205878 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(205919), // Rule ID 848 //
     /*  205883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205886 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205893 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205900 */     // MIs[0] rs1
     /*  205900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205912 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  205917 */     GIR_RootConstrainSelectedInstOperands,
     /*  205918 */     // GIR_Coverage, 848,
     /*  205918 */     GIR_Done,
     /*  205919 */   // Label 4113: @205919
     /*  205919 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(205960), // Rule ID 850 //
     /*  205924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205927 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205934 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205941 */     // MIs[0] rs1
     /*  205941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205953 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205953 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  205958 */     GIR_RootConstrainSelectedInstOperands,
     /*  205959 */     // GIR_Coverage, 850,
     /*  205959 */     GIR_Done,
     /*  205960 */   // Label 4114: @205960
     /*  205960 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(206001), // Rule ID 852 //
     /*  205965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205968 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205975 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205982 */     // MIs[0] rs1
     /*  205982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205994 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205999 */     GIR_RootConstrainSelectedInstOperands,
     /*  206000 */     // GIR_Coverage, 852,
     /*  206000 */     GIR_Done,
     /*  206001 */   // Label 4115: @206001
     /*  206001 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(206042), // Rule ID 854 //
     /*  206006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206009 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206016 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206023 */     // MIs[0] rs1
     /*  206023 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206035 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206035 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206040 */     GIR_RootConstrainSelectedInstOperands,
     /*  206041 */     // GIR_Coverage, 854,
     /*  206041 */     GIR_Done,
     /*  206042 */   // Label 4116: @206042
     /*  206042 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(206083), // Rule ID 856 //
     /*  206047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206050 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206057 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206064 */     // MIs[0] rs1
     /*  206064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206076 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206081 */     GIR_RootConstrainSelectedInstOperands,
     /*  206082 */     // GIR_Coverage, 856,
     /*  206082 */     GIR_Done,
     /*  206083 */   // Label 4117: @206083
     /*  206083 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(206124), // Rule ID 858 //
     /*  206088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206091 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206098 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206105 */     // MIs[0] rs1
     /*  206105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206117 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206117 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206122 */     GIR_RootConstrainSelectedInstOperands,
     /*  206123 */     // GIR_Coverage, 858,
     /*  206123 */     GIR_Done,
     /*  206124 */   // Label 4118: @206124
     /*  206124 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(206165), // Rule ID 860 //
     /*  206129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206132 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206139 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206146 */     // MIs[0] rs1
     /*  206146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206158 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206163 */     GIR_RootConstrainSelectedInstOperands,
     /*  206164 */     // GIR_Coverage, 860,
     /*  206164 */     GIR_Done,
     /*  206165 */   // Label 4119: @206165
     /*  206165 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(206206), // Rule ID 1022 //
     /*  206170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206173 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206180 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206187 */     // MIs[0] rs1
     /*  206187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206199 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206204 */     GIR_RootConstrainSelectedInstOperands,
     /*  206205 */     // GIR_Coverage, 1022,
     /*  206205 */     GIR_Done,
     /*  206206 */   // Label 4120: @206206
     /*  206206 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(206247), // Rule ID 1024 //
     /*  206211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206214 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206221 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206228 */     // MIs[0] rs1
     /*  206228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206240 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  206245 */     GIR_RootConstrainSelectedInstOperands,
     /*  206246 */     // GIR_Coverage, 1024,
     /*  206246 */     GIR_Done,
     /*  206247 */   // Label 4121: @206247
     /*  206247 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(206288), // Rule ID 1026 //
     /*  206252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206255 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206262 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206269 */     // MIs[0] rs1
     /*  206269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206281 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  206286 */     GIR_RootConstrainSelectedInstOperands,
     /*  206287 */     // GIR_Coverage, 1026,
     /*  206287 */     GIR_Done,
     /*  206288 */   // Label 4122: @206288
     /*  206288 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(206329), // Rule ID 1028 //
     /*  206293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206296 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206303 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206310 */     // MIs[0] rs1
     /*  206310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206322 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206327 */     GIR_RootConstrainSelectedInstOperands,
     /*  206328 */     // GIR_Coverage, 1028,
     /*  206328 */     GIR_Done,
     /*  206329 */   // Label 4123: @206329
     /*  206329 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(206370), // Rule ID 1030 //
     /*  206334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206337 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206344 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206351 */     // MIs[0] rs1
     /*  206351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206363 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206368 */     GIR_RootConstrainSelectedInstOperands,
     /*  206369 */     // GIR_Coverage, 1030,
     /*  206369 */     GIR_Done,
     /*  206370 */   // Label 4124: @206370
     /*  206370 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(206411), // Rule ID 1032 //
     /*  206375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206378 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206385 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206392 */     // MIs[0] rs1
     /*  206392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206404 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206409 */     GIR_RootConstrainSelectedInstOperands,
     /*  206410 */     // GIR_Coverage, 1032,
     /*  206410 */     GIR_Done,
     /*  206411 */   // Label 4125: @206411
     /*  206411 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(206452), // Rule ID 1034 //
     /*  206416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206419 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206426 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206433 */     // MIs[0] rs1
     /*  206433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206445 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206450 */     GIR_RootConstrainSelectedInstOperands,
     /*  206451 */     // GIR_Coverage, 1034,
     /*  206451 */     GIR_Done,
     /*  206452 */   // Label 4126: @206452
     /*  206452 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(206493), // Rule ID 1036 //
     /*  206457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206460 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206467 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206474 */     // MIs[0] rs1
     /*  206474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206486 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206491 */     GIR_RootConstrainSelectedInstOperands,
     /*  206492 */     // GIR_Coverage, 1036,
     /*  206492 */     GIR_Done,
     /*  206493 */   // Label 4127: @206493
     /*  206493 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(206534), // Rule ID 1038 //
     /*  206498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206515 */     // MIs[0] rs1
     /*  206515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206527 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206527 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206532 */     GIR_RootConstrainSelectedInstOperands,
     /*  206533 */     // GIR_Coverage, 1038,
     /*  206533 */     GIR_Done,
     /*  206534 */   // Label 4128: @206534
     /*  206534 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(206575), // Rule ID 1040 //
     /*  206539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206542 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206556 */     // MIs[0] rs1
     /*  206556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206568 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206568 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206573 */     GIR_RootConstrainSelectedInstOperands,
     /*  206574 */     // GIR_Coverage, 1040,
     /*  206574 */     GIR_Done,
     /*  206575 */   // Label 4129: @206575
     /*  206575 */   GIM_Reject,
     /*  206576 */ // Label 4089: @206576
     /*  206576 */ GIM_Reject,
     /*  206577 */ // Label 4057: @206577
     /*  206577 */ GIM_Reject,
     /*  206578 */ // Label 36: @206578
     /*  206578 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4132*/ GIMT_Encode4(206795),
     /*  206589 */ /*GILLT_s32*//*Label 4130*/ GIMT_Encode4(206597),
     /*  206593 */ /*GILLT_s64*//*Label 4131*/ GIMT_Encode4(206696),
     /*  206597 */ // Label 4130: @206597
     /*  206597 */ GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(206623), // Rule ID 245 //
     /*  206602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206605 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  206609 */   // MIs[0] Operand 1
     /*  206609 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206612 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  206612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  206618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206621 */   GIR_RootConstrainSelectedInstOperands,
     /*  206622 */   // GIR_Coverage, 245,
     /*  206622 */   GIR_EraseRootFromParent_Done,
     /*  206623 */ // Label 4133: @206623
     /*  206623 */ GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(206649), // Rule ID 247 //
     /*  206628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206631 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  206635 */   // MIs[0] Operand 1
     /*  206635 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206638 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  206638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  206647 */   GIR_RootConstrainSelectedInstOperands,
     /*  206648 */   // GIR_Coverage, 247,
     /*  206648 */   GIR_EraseRootFromParent_Done,
     /*  206649 */ // Label 4134: @206649
     /*  206649 */ GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(206669), // Rule ID 249 //
     /*  206654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206657 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  206661 */   // MIs[0] Operand 1
     /*  206661 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206664 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  206664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  206667 */   GIR_RootConstrainSelectedInstOperands,
     /*  206668 */   // GIR_Coverage, 249,
     /*  206668 */   GIR_EraseRootFromParent_Done,
     /*  206669 */ // Label 4135: @206669
     /*  206669 */ GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(206695), // Rule ID 251 //
     /*  206674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206677 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  206681 */   // MIs[0] Operand 1
     /*  206681 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206684 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  206684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206693 */   GIR_RootConstrainSelectedInstOperands,
     /*  206694 */   // GIR_Coverage, 251,
     /*  206694 */   GIR_EraseRootFromParent_Done,
     /*  206695 */ // Label 4136: @206695
     /*  206695 */ GIM_Reject,
     /*  206696 */ // Label 4131: @206696
     /*  206696 */ GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(206722), // Rule ID 244 //
     /*  206701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206704 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  206708 */   // MIs[0] Operand 1
     /*  206708 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206711 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  206711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  206717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206720 */   GIR_RootConstrainSelectedInstOperands,
     /*  206721 */   // GIR_Coverage, 244,
     /*  206721 */   GIR_EraseRootFromParent_Done,
     /*  206722 */ // Label 4137: @206722
     /*  206722 */ GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(206748), // Rule ID 246 //
     /*  206727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206730 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  206734 */   // MIs[0] Operand 1
     /*  206734 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206737 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  206737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  206746 */   GIR_RootConstrainSelectedInstOperands,
     /*  206747 */   // GIR_Coverage, 246,
     /*  206747 */   GIR_EraseRootFromParent_Done,
     /*  206748 */ // Label 4138: @206748
     /*  206748 */ GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(206768), // Rule ID 248 //
     /*  206753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206756 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  206760 */   // MIs[0] Operand 1
     /*  206760 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206763 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  206763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  206766 */   GIR_RootConstrainSelectedInstOperands,
     /*  206767 */   // GIR_Coverage, 248,
     /*  206767 */   GIR_EraseRootFromParent_Done,
     /*  206768 */ // Label 4139: @206768
     /*  206768 */ GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(206794), // Rule ID 250 //
     /*  206773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206776 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  206780 */   // MIs[0] Operand 1
     /*  206780 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206783 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  206783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206792 */   GIR_RootConstrainSelectedInstOperands,
     /*  206793 */   // GIR_Coverage, 250,
     /*  206793 */   GIR_EraseRootFromParent_Done,
     /*  206794 */ // Label 4140: @206794
     /*  206794 */ GIM_Reject,
     /*  206795 */ // Label 4132: @206795
     /*  206795 */ GIM_Reject,
     /*  206796 */ // Label 37: @206796
     /*  206796 */ GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(208281),
     /*  206801 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  206804 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(206849), // Rule ID 2597 //
     /*  206809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  206837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206847 */     GIR_RootConstrainSelectedInstOperands,
     /*  206848 */     // GIR_Coverage, 2597,
     /*  206848 */     GIR_EraseRootFromParent_Done,
     /*  206849 */   // Label 4142: @206849
     /*  206849 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(206894), // Rule ID 2598 //
     /*  206854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206879 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  206882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206892 */     GIR_RootConstrainSelectedInstOperands,
     /*  206893 */     // GIR_Coverage, 2598,
     /*  206893 */     GIR_EraseRootFromParent_Done,
     /*  206894 */   // Label 4143: @206894
     /*  206894 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(206939), // Rule ID 23139 //
     /*  206899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  206927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206937 */     GIR_RootConstrainSelectedInstOperands,
     /*  206938 */     // GIR_Coverage, 23139,
     /*  206938 */     GIR_EraseRootFromParent_Done,
     /*  206939 */   // Label 4144: @206939
     /*  206939 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(206984), // Rule ID 23140 //
     /*  206944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  206972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206982 */     GIR_RootConstrainSelectedInstOperands,
     /*  206983 */     // GIR_Coverage, 23140,
     /*  206983 */     GIR_EraseRootFromParent_Done,
     /*  206984 */   // Label 4145: @206984
     /*  206984 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(207029), // Rule ID 23141 //
     /*  206989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207014 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  207017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207027 */     GIR_RootConstrainSelectedInstOperands,
     /*  207028 */     // GIR_Coverage, 23141,
     /*  207028 */     GIR_EraseRootFromParent_Done,
     /*  207029 */   // Label 4146: @207029
     /*  207029 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(207074), // Rule ID 23142 //
     /*  207034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  207062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207072 */     GIR_RootConstrainSelectedInstOperands,
     /*  207073 */     // GIR_Coverage, 23142,
     /*  207073 */     GIR_EraseRootFromParent_Done,
     /*  207074 */   // Label 4147: @207074
     /*  207074 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(207119), // Rule ID 23143 //
     /*  207079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207117 */     GIR_RootConstrainSelectedInstOperands,
     /*  207118 */     // GIR_Coverage, 23143,
     /*  207118 */     GIR_EraseRootFromParent_Done,
     /*  207119 */   // Label 4148: @207119
     /*  207119 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(207164), // Rule ID 23144 //
     /*  207124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207162 */     GIR_RootConstrainSelectedInstOperands,
     /*  207163 */     // GIR_Coverage, 23144,
     /*  207163 */     GIR_EraseRootFromParent_Done,
     /*  207164 */   // Label 4149: @207164
     /*  207164 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(207209), // Rule ID 23145 //
     /*  207169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207207 */     GIR_RootConstrainSelectedInstOperands,
     /*  207208 */     // GIR_Coverage, 23145,
     /*  207208 */     GIR_EraseRootFromParent_Done,
     /*  207209 */   // Label 4150: @207209
     /*  207209 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(207254), // Rule ID 23146 //
     /*  207214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207239 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207252 */     GIR_RootConstrainSelectedInstOperands,
     /*  207253 */     // GIR_Coverage, 23146,
     /*  207253 */     GIR_EraseRootFromParent_Done,
     /*  207254 */   // Label 4151: @207254
     /*  207254 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(207299), // Rule ID 23147 //
     /*  207259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207284 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207297 */     GIR_RootConstrainSelectedInstOperands,
     /*  207298 */     // GIR_Coverage, 23147,
     /*  207298 */     GIR_EraseRootFromParent_Done,
     /*  207299 */   // Label 4152: @207299
     /*  207299 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(207344), // Rule ID 23148 //
     /*  207304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207329 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207342 */     GIR_RootConstrainSelectedInstOperands,
     /*  207343 */     // GIR_Coverage, 23148,
     /*  207343 */     GIR_EraseRootFromParent_Done,
     /*  207344 */   // Label 4153: @207344
     /*  207344 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(207389), // Rule ID 23149 //
     /*  207349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207374 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207387 */     GIR_RootConstrainSelectedInstOperands,
     /*  207388 */     // GIR_Coverage, 23149,
     /*  207388 */     GIR_EraseRootFromParent_Done,
     /*  207389 */   // Label 4154: @207389
     /*  207389 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(207434), // Rule ID 23150 //
     /*  207394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207419 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207432 */     GIR_RootConstrainSelectedInstOperands,
     /*  207433 */     // GIR_Coverage, 23150,
     /*  207433 */     GIR_EraseRootFromParent_Done,
     /*  207434 */   // Label 4155: @207434
     /*  207434 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(207479), // Rule ID 23151 //
     /*  207439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207477 */     GIR_RootConstrainSelectedInstOperands,
     /*  207478 */     // GIR_Coverage, 23151,
     /*  207478 */     GIR_EraseRootFromParent_Done,
     /*  207479 */   // Label 4156: @207479
     /*  207479 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(207524), // Rule ID 23152 //
     /*  207484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207509 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207522 */     GIR_RootConstrainSelectedInstOperands,
     /*  207523 */     // GIR_Coverage, 23152,
     /*  207523 */     GIR_EraseRootFromParent_Done,
     /*  207524 */   // Label 4157: @207524
     /*  207524 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(207569), // Rule ID 23153 //
     /*  207529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207567 */     GIR_RootConstrainSelectedInstOperands,
     /*  207568 */     // GIR_Coverage, 23153,
     /*  207568 */     GIR_EraseRootFromParent_Done,
     /*  207569 */   // Label 4158: @207569
     /*  207569 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(207614), // Rule ID 23154 //
     /*  207574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207599 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207612 */     GIR_RootConstrainSelectedInstOperands,
     /*  207613 */     // GIR_Coverage, 23154,
     /*  207613 */     GIR_EraseRootFromParent_Done,
     /*  207614 */   // Label 4159: @207614
     /*  207614 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(207659), // Rule ID 23155 //
     /*  207619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  207647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207657 */     GIR_RootConstrainSelectedInstOperands,
     /*  207658 */     // GIR_Coverage, 23155,
     /*  207658 */     GIR_EraseRootFromParent_Done,
     /*  207659 */   // Label 4160: @207659
     /*  207659 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(207704), // Rule ID 23156 //
     /*  207664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  207692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207702 */     GIR_RootConstrainSelectedInstOperands,
     /*  207703 */     // GIR_Coverage, 23156,
     /*  207703 */     GIR_EraseRootFromParent_Done,
     /*  207704 */   // Label 4161: @207704
     /*  207704 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(207749), // Rule ID 23157 //
     /*  207709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207734 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  207737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207747 */     GIR_RootConstrainSelectedInstOperands,
     /*  207748 */     // GIR_Coverage, 23157,
     /*  207748 */     GIR_EraseRootFromParent_Done,
     /*  207749 */   // Label 4162: @207749
     /*  207749 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(207794), // Rule ID 23158 //
     /*  207754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207779 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  207782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207792 */     GIR_RootConstrainSelectedInstOperands,
     /*  207793 */     // GIR_Coverage, 23158,
     /*  207793 */     GIR_EraseRootFromParent_Done,
     /*  207794 */   // Label 4163: @207794
     /*  207794 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(207839), // Rule ID 23159 //
     /*  207799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  207827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207837 */     GIR_RootConstrainSelectedInstOperands,
     /*  207838 */     // GIR_Coverage, 23159,
     /*  207838 */     GIR_EraseRootFromParent_Done,
     /*  207839 */   // Label 4164: @207839
     /*  207839 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(207884), // Rule ID 23160 //
     /*  207844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207869 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  207872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207882 */     GIR_RootConstrainSelectedInstOperands,
     /*  207883 */     // GIR_Coverage, 23160,
     /*  207883 */     GIR_EraseRootFromParent_Done,
     /*  207884 */   // Label 4165: @207884
     /*  207884 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(207929), // Rule ID 23161 //
     /*  207889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207914 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  207917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207927 */     GIR_RootConstrainSelectedInstOperands,
     /*  207928 */     // GIR_Coverage, 23161,
     /*  207928 */     GIR_EraseRootFromParent_Done,
     /*  207929 */   // Label 4166: @207929
     /*  207929 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(207974), // Rule ID 23162 //
     /*  207934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207959 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  207962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207972 */     GIR_RootConstrainSelectedInstOperands,
     /*  207973 */     // GIR_Coverage, 23162,
     /*  207973 */     GIR_EraseRootFromParent_Done,
     /*  207974 */   // Label 4167: @207974
     /*  207974 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(208019), // Rule ID 23163 //
     /*  207979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208004 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  208007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208017 */     GIR_RootConstrainSelectedInstOperands,
     /*  208018 */     // GIR_Coverage, 23163,
     /*  208018 */     GIR_EraseRootFromParent_Done,
     /*  208019 */   // Label 4168: @208019
     /*  208019 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(208064), // Rule ID 23164 //
     /*  208024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  208035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208049 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  208052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208062 */     GIR_RootConstrainSelectedInstOperands,
     /*  208063 */     // GIR_Coverage, 23164,
     /*  208063 */     GIR_EraseRootFromParent_Done,
     /*  208064 */   // Label 4169: @208064
     /*  208064 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(208100), // Rule ID 2534 //
     /*  208069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  208072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  208077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208091 */     // (intrinsic_wo_chain:{ *:[i64] } 10894:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  208094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208098 */     GIR_RootConstrainSelectedInstOperands,
     /*  208099 */     // GIR_Coverage, 2534,
     /*  208099 */     GIR_EraseRootFromParent_Done,
     /*  208100 */   // Label 4170: @208100
     /*  208100 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(208136), // Rule ID 2555 //
     /*  208105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  208113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208127 */     // (intrinsic_wo_chain:{ *:[i64] } 11030:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  208130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208134 */     GIR_RootConstrainSelectedInstOperands,
     /*  208135 */     // GIR_Coverage, 2555,
     /*  208135 */     GIR_EraseRootFromParent_Done,
     /*  208136 */   // Label 4171: @208136
     /*  208136 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(208172), // Rule ID 2556 //
     /*  208141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  208149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208163 */     // (intrinsic_wo_chain:{ *:[i64] } 11033:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  208166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208170 */     GIR_RootConstrainSelectedInstOperands,
     /*  208171 */     // GIR_Coverage, 2556,
     /*  208171 */     GIR_EraseRootFromParent_Done,
     /*  208172 */   // Label 4172: @208172
     /*  208172 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(208208), // Rule ID 2557 //
     /*  208177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  208185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208199 */     // (intrinsic_wo_chain:{ *:[i64] } 11036:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  208202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208206 */     GIR_RootConstrainSelectedInstOperands,
     /*  208207 */     // GIR_Coverage, 2557,
     /*  208207 */     GIR_EraseRootFromParent_Done,
     /*  208208 */   // Label 4173: @208208
     /*  208208 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(208244), // Rule ID 2558 //
     /*  208213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  208221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208235 */     // (intrinsic_wo_chain:{ *:[i64] } 11038:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  208238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208242 */     GIR_RootConstrainSelectedInstOperands,
     /*  208243 */     // GIR_Coverage, 2558,
     /*  208243 */     GIR_EraseRootFromParent_Done,
     /*  208244 */   // Label 4174: @208244
     /*  208244 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(208280), // Rule ID 64348 //
     /*  208249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  208252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  208257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208271 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  208271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  208274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208278 */     GIR_RootConstrainSelectedInstOperands,
     /*  208279 */     // GIR_Coverage, 64348,
     /*  208279 */     GIR_EraseRootFromParent_Done,
     /*  208280 */   // Label 4175: @208280
     /*  208280 */   GIM_Reject,
     /*  208281 */ // Label 4141: @208281
     /*  208281 */ GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(215569),
     /*  208286 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  208289 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(208343), // Rule ID 2567 //
     /*  208294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208326 */     // (intrinsic_wo_chain:{ *:[i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208341 */     GIR_RootConstrainSelectedInstOperands,
     /*  208342 */     // GIR_Coverage, 2567,
     /*  208342 */     GIR_EraseRootFromParent_Done,
     /*  208343 */   // Label 4177: @208343
     /*  208343 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(208397), // Rule ID 2568 //
     /*  208348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208380 */     // (intrinsic_wo_chain:{ *:[i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208395 */     GIR_RootConstrainSelectedInstOperands,
     /*  208396 */     // GIR_Coverage, 2568,
     /*  208396 */     GIR_EraseRootFromParent_Done,
     /*  208397 */   // Label 4178: @208397
     /*  208397 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(208451), // Rule ID 2573 //
     /*  208402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208434 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208449 */     GIR_RootConstrainSelectedInstOperands,
     /*  208450 */     // GIR_Coverage, 2573,
     /*  208450 */     GIR_EraseRootFromParent_Done,
     /*  208451 */   // Label 4179: @208451
     /*  208451 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(208505), // Rule ID 2574 //
     /*  208456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208503 */     GIR_RootConstrainSelectedInstOperands,
     /*  208504 */     // GIR_Coverage, 2574,
     /*  208504 */     GIR_EraseRootFromParent_Done,
     /*  208505 */   // Label 4180: @208505
     /*  208505 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(208562), // Rule ID 2593 //
     /*  208510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  208542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208560 */     GIR_RootConstrainSelectedInstOperands,
     /*  208561 */     // GIR_Coverage, 2593,
     /*  208561 */     GIR_EraseRootFromParent_Done,
     /*  208562 */   // Label 4181: @208562
     /*  208562 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(208619), // Rule ID 2594 //
     /*  208567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  208599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208617 */     GIR_RootConstrainSelectedInstOperands,
     /*  208618 */     // GIR_Coverage, 2594,
     /*  208618 */     GIR_EraseRootFromParent_Done,
     /*  208619 */   // Label 4182: @208619
     /*  208619 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(208673), // Rule ID 23165 //
     /*  208624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208656 */     // (intrinsic_wo_chain:{ *:[i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  208659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208671 */     GIR_RootConstrainSelectedInstOperands,
     /*  208672 */     // GIR_Coverage, 23165,
     /*  208672 */     GIR_EraseRootFromParent_Done,
     /*  208673 */   // Label 4183: @208673
     /*  208673 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(208727), // Rule ID 23166 //
     /*  208678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208710 */     // (intrinsic_wo_chain:{ *:[i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  208713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208725 */     GIR_RootConstrainSelectedInstOperands,
     /*  208726 */     // GIR_Coverage, 23166,
     /*  208726 */     GIR_EraseRootFromParent_Done,
     /*  208727 */   // Label 4184: @208727
     /*  208727 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(208781), // Rule ID 23169 //
     /*  208732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208764 */     // (intrinsic_wo_chain:{ *:[i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  208767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208779 */     GIR_RootConstrainSelectedInstOperands,
     /*  208780 */     // GIR_Coverage, 23169,
     /*  208780 */     GIR_EraseRootFromParent_Done,
     /*  208781 */   // Label 4185: @208781
     /*  208781 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(208835), // Rule ID 23170 //
     /*  208786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208818 */     // (intrinsic_wo_chain:{ *:[i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  208821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208833 */     GIR_RootConstrainSelectedInstOperands,
     /*  208834 */     // GIR_Coverage, 23170,
     /*  208834 */     GIR_EraseRootFromParent_Done,
     /*  208835 */   // Label 4186: @208835
     /*  208835 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(208889), // Rule ID 23173 //
     /*  208840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  208854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208872 */     // (intrinsic_wo_chain:{ *:[i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  208875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208887 */     GIR_RootConstrainSelectedInstOperands,
     /*  208888 */     // GIR_Coverage, 23173,
     /*  208888 */     GIR_EraseRootFromParent_Done,
     /*  208889 */   // Label 4187: @208889
     /*  208889 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(208943), // Rule ID 23174 //
     /*  208894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  208908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208926 */     // (intrinsic_wo_chain:{ *:[i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  208929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208941 */     GIR_RootConstrainSelectedInstOperands,
     /*  208942 */     // GIR_Coverage, 23174,
     /*  208942 */     GIR_EraseRootFromParent_Done,
     /*  208943 */   // Label 4188: @208943
     /*  208943 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(208997), // Rule ID 23177 //
     /*  208948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  208962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208980 */     // (intrinsic_wo_chain:{ *:[i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  208983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208995 */     GIR_RootConstrainSelectedInstOperands,
     /*  208996 */     // GIR_Coverage, 23177,
     /*  208996 */     GIR_EraseRootFromParent_Done,
     /*  208997 */   // Label 4189: @208997
     /*  208997 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(209051), // Rule ID 23178 //
     /*  209002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209034 */     // (intrinsic_wo_chain:{ *:[i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  209037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209049 */     GIR_RootConstrainSelectedInstOperands,
     /*  209050 */     // GIR_Coverage, 23178,
     /*  209050 */     GIR_EraseRootFromParent_Done,
     /*  209051 */   // Label 4190: @209051
     /*  209051 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(209105), // Rule ID 23181 //
     /*  209056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209088 */     // (intrinsic_wo_chain:{ *:[i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209103 */     GIR_RootConstrainSelectedInstOperands,
     /*  209104 */     // GIR_Coverage, 23181,
     /*  209104 */     GIR_EraseRootFromParent_Done,
     /*  209105 */   // Label 4191: @209105
     /*  209105 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(209159), // Rule ID 23182 //
     /*  209110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209142 */     // (intrinsic_wo_chain:{ *:[i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209157 */     GIR_RootConstrainSelectedInstOperands,
     /*  209158 */     // GIR_Coverage, 23182,
     /*  209158 */     GIR_EraseRootFromParent_Done,
     /*  209159 */   // Label 4192: @209159
     /*  209159 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(209213), // Rule ID 23185 //
     /*  209164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209196 */     // (intrinsic_wo_chain:{ *:[i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209211 */     GIR_RootConstrainSelectedInstOperands,
     /*  209212 */     // GIR_Coverage, 23185,
     /*  209212 */     GIR_EraseRootFromParent_Done,
     /*  209213 */   // Label 4193: @209213
     /*  209213 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(209267), // Rule ID 23186 //
     /*  209218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209250 */     // (intrinsic_wo_chain:{ *:[i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209265 */     GIR_RootConstrainSelectedInstOperands,
     /*  209266 */     // GIR_Coverage, 23186,
     /*  209266 */     GIR_EraseRootFromParent_Done,
     /*  209267 */   // Label 4194: @209267
     /*  209267 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(209321), // Rule ID 23189 //
     /*  209272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209304 */     // (intrinsic_wo_chain:{ *:[i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209319 */     GIR_RootConstrainSelectedInstOperands,
     /*  209320 */     // GIR_Coverage, 23189,
     /*  209320 */     GIR_EraseRootFromParent_Done,
     /*  209321 */   // Label 4195: @209321
     /*  209321 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(209375), // Rule ID 23190 //
     /*  209326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209358 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209373 */     GIR_RootConstrainSelectedInstOperands,
     /*  209374 */     // GIR_Coverage, 23190,
     /*  209374 */     GIR_EraseRootFromParent_Done,
     /*  209375 */   // Label 4196: @209375
     /*  209375 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(209429), // Rule ID 23193 //
     /*  209380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209412 */     // (intrinsic_wo_chain:{ *:[i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209427 */     GIR_RootConstrainSelectedInstOperands,
     /*  209428 */     // GIR_Coverage, 23193,
     /*  209428 */     GIR_EraseRootFromParent_Done,
     /*  209429 */   // Label 4197: @209429
     /*  209429 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(209483), // Rule ID 23194 //
     /*  209434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209466 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209481 */     GIR_RootConstrainSelectedInstOperands,
     /*  209482 */     // GIR_Coverage, 23194,
     /*  209482 */     GIR_EraseRootFromParent_Done,
     /*  209483 */   // Label 4198: @209483
     /*  209483 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(209537), // Rule ID 23197 //
     /*  209488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209520 */     // (intrinsic_wo_chain:{ *:[i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209535 */     GIR_RootConstrainSelectedInstOperands,
     /*  209536 */     // GIR_Coverage, 23197,
     /*  209536 */     GIR_EraseRootFromParent_Done,
     /*  209537 */   // Label 4199: @209537
     /*  209537 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(209591), // Rule ID 23198 //
     /*  209542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209574 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209589 */     GIR_RootConstrainSelectedInstOperands,
     /*  209590 */     // GIR_Coverage, 23198,
     /*  209590 */     GIR_EraseRootFromParent_Done,
     /*  209591 */   // Label 4200: @209591
     /*  209591 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(209645), // Rule ID 23201 //
     /*  209596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209628 */     // (intrinsic_wo_chain:{ *:[i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  209631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209643 */     GIR_RootConstrainSelectedInstOperands,
     /*  209644 */     // GIR_Coverage, 23201,
     /*  209644 */     GIR_EraseRootFromParent_Done,
     /*  209645 */   // Label 4201: @209645
     /*  209645 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(209699), // Rule ID 23202 //
     /*  209650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209682 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  209685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209697 */     GIR_RootConstrainSelectedInstOperands,
     /*  209698 */     // GIR_Coverage, 23202,
     /*  209698 */     GIR_EraseRootFromParent_Done,
     /*  209699 */   // Label 4202: @209699
     /*  209699 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(209753), // Rule ID 23205 //
     /*  209704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209736 */     // (intrinsic_wo_chain:{ *:[i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  209739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209751 */     GIR_RootConstrainSelectedInstOperands,
     /*  209752 */     // GIR_Coverage, 23205,
     /*  209752 */     GIR_EraseRootFromParent_Done,
     /*  209753 */   // Label 4203: @209753
     /*  209753 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(209807), // Rule ID 23206 //
     /*  209758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209790 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  209793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209805 */     GIR_RootConstrainSelectedInstOperands,
     /*  209806 */     // GIR_Coverage, 23206,
     /*  209806 */     GIR_EraseRootFromParent_Done,
     /*  209807 */   // Label 4204: @209807
     /*  209807 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(209861), // Rule ID 23209 //
     /*  209812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209844 */     // (intrinsic_wo_chain:{ *:[i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  209847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209859 */     GIR_RootConstrainSelectedInstOperands,
     /*  209860 */     // GIR_Coverage, 23209,
     /*  209860 */     GIR_EraseRootFromParent_Done,
     /*  209861 */   // Label 4205: @209861
     /*  209861 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(209915), // Rule ID 23210 //
     /*  209866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209898 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  209901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209913 */     GIR_RootConstrainSelectedInstOperands,
     /*  209914 */     // GIR_Coverage, 23210,
     /*  209914 */     GIR_EraseRootFromParent_Done,
     /*  209915 */   // Label 4206: @209915
     /*  209915 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(209969), // Rule ID 23213 //
     /*  209920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209952 */     // (intrinsic_wo_chain:{ *:[i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  209955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209967 */     GIR_RootConstrainSelectedInstOperands,
     /*  209968 */     // GIR_Coverage, 23213,
     /*  209968 */     GIR_EraseRootFromParent_Done,
     /*  209969 */   // Label 4207: @209969
     /*  209969 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(210023), // Rule ID 23214 //
     /*  209974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210006 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  210009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210021 */     GIR_RootConstrainSelectedInstOperands,
     /*  210022 */     // GIR_Coverage, 23214,
     /*  210022 */     GIR_EraseRootFromParent_Done,
     /*  210023 */   // Label 4208: @210023
     /*  210023 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(210077), // Rule ID 23217 //
     /*  210028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210075 */     GIR_RootConstrainSelectedInstOperands,
     /*  210076 */     // GIR_Coverage, 23217,
     /*  210076 */     GIR_EraseRootFromParent_Done,
     /*  210077 */   // Label 4209: @210077
     /*  210077 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(210131), // Rule ID 23218 //
     /*  210082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210114 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210129 */     GIR_RootConstrainSelectedInstOperands,
     /*  210130 */     // GIR_Coverage, 23218,
     /*  210130 */     GIR_EraseRootFromParent_Done,
     /*  210131 */   // Label 4210: @210131
     /*  210131 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(210185), // Rule ID 23221 //
     /*  210136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210183 */     GIR_RootConstrainSelectedInstOperands,
     /*  210184 */     // GIR_Coverage, 23221,
     /*  210184 */     GIR_EraseRootFromParent_Done,
     /*  210185 */   // Label 4211: @210185
     /*  210185 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(210239), // Rule ID 23222 //
     /*  210190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210222 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210237 */     GIR_RootConstrainSelectedInstOperands,
     /*  210238 */     // GIR_Coverage, 23222,
     /*  210238 */     GIR_EraseRootFromParent_Done,
     /*  210239 */   // Label 4212: @210239
     /*  210239 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(210293), // Rule ID 23225 //
     /*  210244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210291 */     GIR_RootConstrainSelectedInstOperands,
     /*  210292 */     // GIR_Coverage, 23225,
     /*  210292 */     GIR_EraseRootFromParent_Done,
     /*  210293 */   // Label 4213: @210293
     /*  210293 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(210347), // Rule ID 23226 //
     /*  210298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210330 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210345 */     GIR_RootConstrainSelectedInstOperands,
     /*  210346 */     // GIR_Coverage, 23226,
     /*  210346 */     GIR_EraseRootFromParent_Done,
     /*  210347 */   // Label 4214: @210347
     /*  210347 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(210401), // Rule ID 23229 //
     /*  210352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210399 */     GIR_RootConstrainSelectedInstOperands,
     /*  210400 */     // GIR_Coverage, 23229,
     /*  210400 */     GIR_EraseRootFromParent_Done,
     /*  210401 */   // Label 4215: @210401
     /*  210401 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(210455), // Rule ID 23230 //
     /*  210406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210438 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210453 */     GIR_RootConstrainSelectedInstOperands,
     /*  210454 */     // GIR_Coverage, 23230,
     /*  210454 */     GIR_EraseRootFromParent_Done,
     /*  210455 */   // Label 4216: @210455
     /*  210455 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(210509), // Rule ID 23233 //
     /*  210460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210492 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210507 */     GIR_RootConstrainSelectedInstOperands,
     /*  210508 */     // GIR_Coverage, 23233,
     /*  210508 */     GIR_EraseRootFromParent_Done,
     /*  210509 */   // Label 4217: @210509
     /*  210509 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(210563), // Rule ID 23234 //
     /*  210514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210546 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210561 */     GIR_RootConstrainSelectedInstOperands,
     /*  210562 */     // GIR_Coverage, 23234,
     /*  210562 */     GIR_EraseRootFromParent_Done,
     /*  210563 */   // Label 4218: @210563
     /*  210563 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(210617), // Rule ID 23237 //
     /*  210568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210600 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  210603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210615 */     GIR_RootConstrainSelectedInstOperands,
     /*  210616 */     // GIR_Coverage, 23237,
     /*  210616 */     GIR_EraseRootFromParent_Done,
     /*  210617 */   // Label 4219: @210617
     /*  210617 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(210671), // Rule ID 23238 //
     /*  210622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210654 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  210657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210669 */     GIR_RootConstrainSelectedInstOperands,
     /*  210670 */     // GIR_Coverage, 23238,
     /*  210670 */     GIR_EraseRootFromParent_Done,
     /*  210671 */   // Label 4220: @210671
     /*  210671 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(210725), // Rule ID 23241 //
     /*  210676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  210711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210723 */     GIR_RootConstrainSelectedInstOperands,
     /*  210724 */     // GIR_Coverage, 23241,
     /*  210724 */     GIR_EraseRootFromParent_Done,
     /*  210725 */   // Label 4221: @210725
     /*  210725 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(210779), // Rule ID 23242 //
     /*  210730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210762 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  210765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210777 */     GIR_RootConstrainSelectedInstOperands,
     /*  210778 */     // GIR_Coverage, 23242,
     /*  210778 */     GIR_EraseRootFromParent_Done,
     /*  210779 */   // Label 4222: @210779
     /*  210779 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(210833), // Rule ID 23245 //
     /*  210784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  210819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210831 */     GIR_RootConstrainSelectedInstOperands,
     /*  210832 */     // GIR_Coverage, 23245,
     /*  210832 */     GIR_EraseRootFromParent_Done,
     /*  210833 */   // Label 4223: @210833
     /*  210833 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(210887), // Rule ID 23246 //
     /*  210838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210870 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  210873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210885 */     GIR_RootConstrainSelectedInstOperands,
     /*  210886 */     // GIR_Coverage, 23246,
     /*  210886 */     GIR_EraseRootFromParent_Done,
     /*  210887 */   // Label 4224: @210887
     /*  210887 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(210941), // Rule ID 23249 //
     /*  210892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  210927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210939 */     GIR_RootConstrainSelectedInstOperands,
     /*  210940 */     // GIR_Coverage, 23249,
     /*  210940 */     GIR_EraseRootFromParent_Done,
     /*  210941 */   // Label 4225: @210941
     /*  210941 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(210995), // Rule ID 23250 //
     /*  210946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  210981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210993 */     GIR_RootConstrainSelectedInstOperands,
     /*  210994 */     // GIR_Coverage, 23250,
     /*  210994 */     GIR_EraseRootFromParent_Done,
     /*  210995 */   // Label 4226: @210995
     /*  210995 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(211049), // Rule ID 23253 //
     /*  211000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  211035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211047 */     GIR_RootConstrainSelectedInstOperands,
     /*  211048 */     // GIR_Coverage, 23253,
     /*  211048 */     GIR_EraseRootFromParent_Done,
     /*  211049 */   // Label 4227: @211049
     /*  211049 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(211103), // Rule ID 23254 //
     /*  211054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211086 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  211089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211101 */     GIR_RootConstrainSelectedInstOperands,
     /*  211102 */     // GIR_Coverage, 23254,
     /*  211102 */     GIR_EraseRootFromParent_Done,
     /*  211103 */   // Label 4228: @211103
     /*  211103 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(211157), // Rule ID 23257 //
     /*  211108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211155 */     GIR_RootConstrainSelectedInstOperands,
     /*  211156 */     // GIR_Coverage, 23257,
     /*  211156 */     GIR_EraseRootFromParent_Done,
     /*  211157 */   // Label 4229: @211157
     /*  211157 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(211211), // Rule ID 23258 //
     /*  211162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211209 */     GIR_RootConstrainSelectedInstOperands,
     /*  211210 */     // GIR_Coverage, 23258,
     /*  211210 */     GIR_EraseRootFromParent_Done,
     /*  211211 */   // Label 4230: @211211
     /*  211211 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(211265), // Rule ID 23261 //
     /*  211216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211248 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211263 */     GIR_RootConstrainSelectedInstOperands,
     /*  211264 */     // GIR_Coverage, 23261,
     /*  211264 */     GIR_EraseRootFromParent_Done,
     /*  211265 */   // Label 4231: @211265
     /*  211265 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(211319), // Rule ID 23262 //
     /*  211270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211302 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211317 */     GIR_RootConstrainSelectedInstOperands,
     /*  211318 */     // GIR_Coverage, 23262,
     /*  211318 */     GIR_EraseRootFromParent_Done,
     /*  211319 */   // Label 4232: @211319
     /*  211319 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(211373), // Rule ID 23265 //
     /*  211324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211356 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211371 */     GIR_RootConstrainSelectedInstOperands,
     /*  211372 */     // GIR_Coverage, 23265,
     /*  211372 */     GIR_EraseRootFromParent_Done,
     /*  211373 */   // Label 4233: @211373
     /*  211373 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(211427), // Rule ID 23266 //
     /*  211378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211410 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211425 */     GIR_RootConstrainSelectedInstOperands,
     /*  211426 */     // GIR_Coverage, 23266,
     /*  211426 */     GIR_EraseRootFromParent_Done,
     /*  211427 */   // Label 4234: @211427
     /*  211427 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(211481), // Rule ID 23269 //
     /*  211432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211479 */     GIR_RootConstrainSelectedInstOperands,
     /*  211480 */     // GIR_Coverage, 23269,
     /*  211480 */     GIR_EraseRootFromParent_Done,
     /*  211481 */   // Label 4235: @211481
     /*  211481 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(211535), // Rule ID 23270 //
     /*  211486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211533 */     GIR_RootConstrainSelectedInstOperands,
     /*  211534 */     // GIR_Coverage, 23270,
     /*  211534 */     GIR_EraseRootFromParent_Done,
     /*  211535 */   // Label 4236: @211535
     /*  211535 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(211589), // Rule ID 23273 //
     /*  211540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  211575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211587 */     GIR_RootConstrainSelectedInstOperands,
     /*  211588 */     // GIR_Coverage, 23273,
     /*  211588 */     GIR_EraseRootFromParent_Done,
     /*  211589 */   // Label 4237: @211589
     /*  211589 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(211643), // Rule ID 23274 //
     /*  211594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211626 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  211629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211641 */     GIR_RootConstrainSelectedInstOperands,
     /*  211642 */     // GIR_Coverage, 23274,
     /*  211642 */     GIR_EraseRootFromParent_Done,
     /*  211643 */   // Label 4238: @211643
     /*  211643 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(211697), // Rule ID 23277 //
     /*  211648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  211683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211695 */     GIR_RootConstrainSelectedInstOperands,
     /*  211696 */     // GIR_Coverage, 23277,
     /*  211696 */     GIR_EraseRootFromParent_Done,
     /*  211697 */   // Label 4239: @211697
     /*  211697 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(211751), // Rule ID 23278 //
     /*  211702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  211737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211749 */     GIR_RootConstrainSelectedInstOperands,
     /*  211750 */     // GIR_Coverage, 23278,
     /*  211750 */     GIR_EraseRootFromParent_Done,
     /*  211751 */   // Label 4240: @211751
     /*  211751 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(211805), // Rule ID 23281 //
     /*  211756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  211791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211803 */     GIR_RootConstrainSelectedInstOperands,
     /*  211804 */     // GIR_Coverage, 23281,
     /*  211804 */     GIR_EraseRootFromParent_Done,
     /*  211805 */   // Label 4241: @211805
     /*  211805 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(211859), // Rule ID 23282 //
     /*  211810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211842 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  211845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211857 */     GIR_RootConstrainSelectedInstOperands,
     /*  211858 */     // GIR_Coverage, 23282,
     /*  211858 */     GIR_EraseRootFromParent_Done,
     /*  211859 */   // Label 4242: @211859
     /*  211859 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(211913), // Rule ID 23285 //
     /*  211864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  211899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211911 */     GIR_RootConstrainSelectedInstOperands,
     /*  211912 */     // GIR_Coverage, 23285,
     /*  211912 */     GIR_EraseRootFromParent_Done,
     /*  211913 */   // Label 4243: @211913
     /*  211913 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(211967), // Rule ID 23286 //
     /*  211918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211950 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  211953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211965 */     GIR_RootConstrainSelectedInstOperands,
     /*  211966 */     // GIR_Coverage, 23286,
     /*  211966 */     GIR_EraseRootFromParent_Done,
     /*  211967 */   // Label 4244: @211967
     /*  211967 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(212021), // Rule ID 23289 //
     /*  211972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212004 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  212007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212019 */     GIR_RootConstrainSelectedInstOperands,
     /*  212020 */     // GIR_Coverage, 23289,
     /*  212020 */     GIR_EraseRootFromParent_Done,
     /*  212021 */   // Label 4245: @212021
     /*  212021 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(212075), // Rule ID 23290 //
     /*  212026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  212040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212058 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  212061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212073 */     GIR_RootConstrainSelectedInstOperands,
     /*  212074 */     // GIR_Coverage, 23290,
     /*  212074 */     GIR_EraseRootFromParent_Done,
     /*  212075 */   // Label 4246: @212075
     /*  212075 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(212129), // Rule ID 23293 //
     /*  212080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212112 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212127 */     GIR_RootConstrainSelectedInstOperands,
     /*  212128 */     // GIR_Coverage, 23293,
     /*  212128 */     GIR_EraseRootFromParent_Done,
     /*  212129 */   // Label 4247: @212129
     /*  212129 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(212183), // Rule ID 23294 //
     /*  212134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212166 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212181 */     GIR_RootConstrainSelectedInstOperands,
     /*  212182 */     // GIR_Coverage, 23294,
     /*  212182 */     GIR_EraseRootFromParent_Done,
     /*  212183 */   // Label 4248: @212183
     /*  212183 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(212240), // Rule ID 23381 //
     /*  212188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212220 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212238 */     GIR_RootConstrainSelectedInstOperands,
     /*  212239 */     // GIR_Coverage, 23381,
     /*  212239 */     GIR_EraseRootFromParent_Done,
     /*  212240 */   // Label 4249: @212240
     /*  212240 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(212297), // Rule ID 23382 //
     /*  212245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212277 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212295 */     GIR_RootConstrainSelectedInstOperands,
     /*  212296 */     // GIR_Coverage, 23382,
     /*  212296 */     GIR_EraseRootFromParent_Done,
     /*  212297 */   // Label 4250: @212297
     /*  212297 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(212354), // Rule ID 23385 //
     /*  212302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212352 */     GIR_RootConstrainSelectedInstOperands,
     /*  212353 */     // GIR_Coverage, 23385,
     /*  212353 */     GIR_EraseRootFromParent_Done,
     /*  212354 */   // Label 4251: @212354
     /*  212354 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(212411), // Rule ID 23386 //
     /*  212359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212391 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212409 */     GIR_RootConstrainSelectedInstOperands,
     /*  212410 */     // GIR_Coverage, 23386,
     /*  212410 */     GIR_EraseRootFromParent_Done,
     /*  212411 */   // Label 4252: @212411
     /*  212411 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(212468), // Rule ID 23389 //
     /*  212416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212466 */     GIR_RootConstrainSelectedInstOperands,
     /*  212467 */     // GIR_Coverage, 23389,
     /*  212467 */     GIR_EraseRootFromParent_Done,
     /*  212468 */   // Label 4253: @212468
     /*  212468 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(212525), // Rule ID 23390 //
     /*  212473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212505 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212523 */     GIR_RootConstrainSelectedInstOperands,
     /*  212524 */     // GIR_Coverage, 23390,
     /*  212524 */     GIR_EraseRootFromParent_Done,
     /*  212525 */   // Label 4254: @212525
     /*  212525 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(212582), // Rule ID 23393 //
     /*  212530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212580 */     GIR_RootConstrainSelectedInstOperands,
     /*  212581 */     // GIR_Coverage, 23393,
     /*  212581 */     GIR_EraseRootFromParent_Done,
     /*  212582 */   // Label 4255: @212582
     /*  212582 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(212639), // Rule ID 23394 //
     /*  212587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212637 */     GIR_RootConstrainSelectedInstOperands,
     /*  212638 */     // GIR_Coverage, 23394,
     /*  212638 */     GIR_EraseRootFromParent_Done,
     /*  212639 */   // Label 4256: @212639
     /*  212639 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(212696), // Rule ID 23397 //
     /*  212644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  212655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  212658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  212676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212694 */     GIR_RootConstrainSelectedInstOperands,
     /*  212695 */     // GIR_Coverage, 23397,
     /*  212695 */     GIR_EraseRootFromParent_Done,
     /*  212696 */   // Label 4257: @212696
     /*  212696 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(212753), // Rule ID 23398 //
     /*  212701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  212712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  212715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  212733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212751 */     GIR_RootConstrainSelectedInstOperands,
     /*  212752 */     // GIR_Coverage, 23398,
     /*  212752 */     GIR_EraseRootFromParent_Done,
     /*  212753 */   // Label 4258: @212753
     /*  212753 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(212810), // Rule ID 23401 //
     /*  212758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  212769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  212772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212808 */     GIR_RootConstrainSelectedInstOperands,
     /*  212809 */     // GIR_Coverage, 23401,
     /*  212809 */     GIR_EraseRootFromParent_Done,
     /*  212810 */   // Label 4259: @212810
     /*  212810 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(212867), // Rule ID 23402 //
     /*  212815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  212826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  212829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212865 */     GIR_RootConstrainSelectedInstOperands,
     /*  212866 */     // GIR_Coverage, 23402,
     /*  212866 */     GIR_EraseRootFromParent_Done,
     /*  212867 */   // Label 4260: @212867
     /*  212867 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(212924), // Rule ID 23405 //
     /*  212872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  212883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212922 */     GIR_RootConstrainSelectedInstOperands,
     /*  212923 */     // GIR_Coverage, 23405,
     /*  212923 */     GIR_EraseRootFromParent_Done,
     /*  212924 */   // Label 4261: @212924
     /*  212924 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(212981), // Rule ID 23406 //
     /*  212929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  212940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212979 */     GIR_RootConstrainSelectedInstOperands,
     /*  212980 */     // GIR_Coverage, 23406,
     /*  212980 */     GIR_EraseRootFromParent_Done,
     /*  212981 */   // Label 4262: @212981
     /*  212981 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(213038), // Rule ID 23409 //
     /*  212986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  212997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  213000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213036 */     GIR_RootConstrainSelectedInstOperands,
     /*  213037 */     // GIR_Coverage, 23409,
     /*  213037 */     GIR_EraseRootFromParent_Done,
     /*  213038 */   // Label 4263: @213038
     /*  213038 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(213095), // Rule ID 23410 //
     /*  213043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  213054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  213057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213093 */     GIR_RootConstrainSelectedInstOperands,
     /*  213094 */     // GIR_Coverage, 23410,
     /*  213094 */     GIR_EraseRootFromParent_Done,
     /*  213095 */   // Label 4264: @213095
     /*  213095 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(213152), // Rule ID 23413 //
     /*  213100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  213132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213150 */     GIR_RootConstrainSelectedInstOperands,
     /*  213151 */     // GIR_Coverage, 23413,
     /*  213151 */     GIR_EraseRootFromParent_Done,
     /*  213152 */   // Label 4265: @213152
     /*  213152 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(213209), // Rule ID 23414 //
     /*  213157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  213189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213207 */     GIR_RootConstrainSelectedInstOperands,
     /*  213208 */     // GIR_Coverage, 23414,
     /*  213208 */     GIR_EraseRootFromParent_Done,
     /*  213209 */   // Label 4266: @213209
     /*  213209 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(213266), // Rule ID 23417 //
     /*  213214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213246 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213264 */     GIR_RootConstrainSelectedInstOperands,
     /*  213265 */     // GIR_Coverage, 23417,
     /*  213265 */     GIR_EraseRootFromParent_Done,
     /*  213266 */   // Label 4267: @213266
     /*  213266 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(213323), // Rule ID 23418 //
     /*  213271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213321 */     GIR_RootConstrainSelectedInstOperands,
     /*  213322 */     // GIR_Coverage, 23418,
     /*  213322 */     GIR_EraseRootFromParent_Done,
     /*  213323 */   // Label 4268: @213323
     /*  213323 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(213380), // Rule ID 23421 //
     /*  213328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213360 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213378 */     GIR_RootConstrainSelectedInstOperands,
     /*  213379 */     // GIR_Coverage, 23421,
     /*  213379 */     GIR_EraseRootFromParent_Done,
     /*  213380 */   // Label 4269: @213380
     /*  213380 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(213437), // Rule ID 23422 //
     /*  213385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213435 */     GIR_RootConstrainSelectedInstOperands,
     /*  213436 */     // GIR_Coverage, 23422,
     /*  213436 */     GIR_EraseRootFromParent_Done,
     /*  213437 */   // Label 4270: @213437
     /*  213437 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(213494), // Rule ID 23425 //
     /*  213442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213474 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213492 */     GIR_RootConstrainSelectedInstOperands,
     /*  213493 */     // GIR_Coverage, 23425,
     /*  213493 */     GIR_EraseRootFromParent_Done,
     /*  213494 */   // Label 4271: @213494
     /*  213494 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(213551), // Rule ID 23426 //
     /*  213499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213531 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213549 */     GIR_RootConstrainSelectedInstOperands,
     /*  213550 */     // GIR_Coverage, 23426,
     /*  213550 */     GIR_EraseRootFromParent_Done,
     /*  213551 */   // Label 4272: @213551
     /*  213551 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(213608), // Rule ID 23429 //
     /*  213556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  213567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  213570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213606 */     GIR_RootConstrainSelectedInstOperands,
     /*  213607 */     // GIR_Coverage, 23429,
     /*  213607 */     GIR_EraseRootFromParent_Done,
     /*  213608 */   // Label 4273: @213608
     /*  213608 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(213665), // Rule ID 23430 //
     /*  213613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  213624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  213627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213645 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213663 */     GIR_RootConstrainSelectedInstOperands,
     /*  213664 */     // GIR_Coverage, 23430,
     /*  213664 */     GIR_EraseRootFromParent_Done,
     /*  213665 */   // Label 4274: @213665
     /*  213665 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(213722), // Rule ID 23433 //
     /*  213670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  213681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  213684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213720 */     GIR_RootConstrainSelectedInstOperands,
     /*  213721 */     // GIR_Coverage, 23433,
     /*  213721 */     GIR_EraseRootFromParent_Done,
     /*  213722 */   // Label 4275: @213722
     /*  213722 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(213779), // Rule ID 23434 //
     /*  213727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  213738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  213741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213777 */     GIR_RootConstrainSelectedInstOperands,
     /*  213778 */     // GIR_Coverage, 23434,
     /*  213778 */     GIR_EraseRootFromParent_Done,
     /*  213779 */   // Label 4276: @213779
     /*  213779 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(213836), // Rule ID 23437 //
     /*  213784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  213795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213834 */     GIR_RootConstrainSelectedInstOperands,
     /*  213835 */     // GIR_Coverage, 23437,
     /*  213835 */     GIR_EraseRootFromParent_Done,
     /*  213836 */   // Label 4277: @213836
     /*  213836 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(213893), // Rule ID 23438 //
     /*  213841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  213852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213873 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213891 */     GIR_RootConstrainSelectedInstOperands,
     /*  213892 */     // GIR_Coverage, 23438,
     /*  213892 */     GIR_EraseRootFromParent_Done,
     /*  213893 */   // Label 4278: @213893
     /*  213893 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(213950), // Rule ID 23441 //
     /*  213898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  213909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213948 */     GIR_RootConstrainSelectedInstOperands,
     /*  213949 */     // GIR_Coverage, 23441,
     /*  213949 */     GIR_EraseRootFromParent_Done,
     /*  213950 */   // Label 4279: @213950
     /*  213950 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(214007), // Rule ID 23442 //
     /*  213955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  213966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214005 */     GIR_RootConstrainSelectedInstOperands,
     /*  214006 */     // GIR_Coverage, 23442,
     /*  214006 */     GIR_EraseRootFromParent_Done,
     /*  214007 */   // Label 4280: @214007
     /*  214007 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(214064), // Rule ID 23445 //
     /*  214012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  214023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  214026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214062 */     GIR_RootConstrainSelectedInstOperands,
     /*  214063 */     // GIR_Coverage, 23445,
     /*  214063 */     GIR_EraseRootFromParent_Done,
     /*  214064 */   // Label 4281: @214064
     /*  214064 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(214121), // Rule ID 23446 //
     /*  214069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  214080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  214083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214119 */     GIR_RootConstrainSelectedInstOperands,
     /*  214120 */     // GIR_Coverage, 23446,
     /*  214120 */     GIR_EraseRootFromParent_Done,
     /*  214121 */   // Label 4282: @214121
     /*  214121 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(214178), // Rule ID 23449 //
     /*  214126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214176 */     GIR_RootConstrainSelectedInstOperands,
     /*  214177 */     // GIR_Coverage, 23449,
     /*  214177 */     GIR_EraseRootFromParent_Done,
     /*  214178 */   // Label 4283: @214178
     /*  214178 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(214235), // Rule ID 23450 //
     /*  214183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214215 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214233 */     GIR_RootConstrainSelectedInstOperands,
     /*  214234 */     // GIR_Coverage, 23450,
     /*  214234 */     GIR_EraseRootFromParent_Done,
     /*  214235 */   // Label 4284: @214235
     /*  214235 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(214292), // Rule ID 23453 //
     /*  214240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214290 */     GIR_RootConstrainSelectedInstOperands,
     /*  214291 */     // GIR_Coverage, 23453,
     /*  214291 */     GIR_EraseRootFromParent_Done,
     /*  214292 */   // Label 4285: @214292
     /*  214292 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(214349), // Rule ID 23454 //
     /*  214297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214347 */     GIR_RootConstrainSelectedInstOperands,
     /*  214348 */     // GIR_Coverage, 23454,
     /*  214348 */     GIR_EraseRootFromParent_Done,
     /*  214349 */   // Label 4286: @214349
     /*  214349 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(214406), // Rule ID 23457 //
     /*  214354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214404 */     GIR_RootConstrainSelectedInstOperands,
     /*  214405 */     // GIR_Coverage, 23457,
     /*  214405 */     GIR_EraseRootFromParent_Done,
     /*  214406 */   // Label 4287: @214406
     /*  214406 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(214463), // Rule ID 23458 //
     /*  214411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214461 */     GIR_RootConstrainSelectedInstOperands,
     /*  214462 */     // GIR_Coverage, 23458,
     /*  214462 */     GIR_EraseRootFromParent_Done,
     /*  214463 */   // Label 4288: @214463
     /*  214463 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(214520), // Rule ID 23461 //
     /*  214468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214518 */     GIR_RootConstrainSelectedInstOperands,
     /*  214519 */     // GIR_Coverage, 23461,
     /*  214519 */     GIR_EraseRootFromParent_Done,
     /*  214520 */   // Label 4289: @214520
     /*  214520 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(214577), // Rule ID 23462 //
     /*  214525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214557 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214575 */     GIR_RootConstrainSelectedInstOperands,
     /*  214576 */     // GIR_Coverage, 23462,
     /*  214576 */     GIR_EraseRootFromParent_Done,
     /*  214577 */   // Label 4290: @214577
     /*  214577 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(214623), // Rule ID 2536 //
     /*  214582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  214585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  214590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214604 */     // MIs[0] rnum
     /*  214604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  214607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  214612 */     // (intrinsic_wo_chain:{ *:[i64] } 10895:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  214612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  214615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  214621 */     GIR_RootConstrainSelectedInstOperands,
     /*  214622 */     // GIR_Coverage, 2536,
     /*  214622 */     GIR_EraseRootFromParent_Done,
     /*  214623 */   // Label 4291: @214623
     /*  214623 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(214668), // Rule ID 64356 //
     /*  214628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  214631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  214636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214657 */     // (intrinsic_wo_chain:{ *:[i32] } 10905:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  214660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214666 */     GIR_RootConstrainSelectedInstOperands,
     /*  214667 */     // GIR_Coverage, 64356,
     /*  214667 */     GIR_EraseRootFromParent_Done,
     /*  214668 */   // Label 4292: @214668
     /*  214668 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(214713), // Rule ID 64383 //
     /*  214673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  214676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  214681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214702 */     // (intrinsic_wo_chain:{ *:[i32] } 10906:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  214705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214711 */     GIR_RootConstrainSelectedInstOperands,
     /*  214712 */     // GIR_Coverage, 64383,
     /*  214712 */     GIR_EraseRootFromParent_Done,
     /*  214713 */   // Label 4293: @214713
     /*  214713 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(214758), // Rule ID 2526 //
     /*  214718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  214721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  214726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214747 */     // (intrinsic_wo_chain:{ *:[i64] } 11596:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  214750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214756 */     GIR_RootConstrainSelectedInstOperands,
     /*  214757 */     // GIR_Coverage, 2526,
     /*  214757 */     GIR_EraseRootFromParent_Done,
     /*  214758 */   // Label 4294: @214758
     /*  214758 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(214803), // Rule ID 2527 //
     /*  214763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  214766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  214771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214792 */     // (intrinsic_wo_chain:{ *:[i32] } 11596:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  214795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214801 */     GIR_RootConstrainSelectedInstOperands,
     /*  214802 */     // GIR_Coverage, 2527,
     /*  214802 */     GIR_EraseRootFromParent_Done,
     /*  214803 */   // Label 4295: @214803
     /*  214803 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(214848), // Rule ID 2528 //
     /*  214808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  214811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  214816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214837 */     // (intrinsic_wo_chain:{ *:[i64] } 11597:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  214840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214846 */     GIR_RootConstrainSelectedInstOperands,
     /*  214847 */     // GIR_Coverage, 2528,
     /*  214847 */     GIR_EraseRootFromParent_Done,
     /*  214848 */   // Label 4296: @214848
     /*  214848 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(214893), // Rule ID 2529 //
     /*  214853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  214856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  214861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214882 */     // (intrinsic_wo_chain:{ *:[i32] } 11597:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  214885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214891 */     GIR_RootConstrainSelectedInstOperands,
     /*  214892 */     // GIR_Coverage, 2529,
     /*  214892 */     GIR_EraseRootFromParent_Done,
     /*  214893 */   // Label 4297: @214893
     /*  214893 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(214938), // Rule ID 2532 //
     /*  214898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  214901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  214906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214927 */     // (intrinsic_wo_chain:{ *:[i64] } 10890:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  214930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214936 */     GIR_RootConstrainSelectedInstOperands,
     /*  214937 */     // GIR_Coverage, 2532,
     /*  214937 */     GIR_EraseRootFromParent_Done,
     /*  214938 */   // Label 4298: @214938
     /*  214938 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(214983), // Rule ID 2533 //
     /*  214943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  214946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  214951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214972 */     // (intrinsic_wo_chain:{ *:[i64] } 10891:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  214975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214981 */     GIR_RootConstrainSelectedInstOperands,
     /*  214982 */     // GIR_Coverage, 2533,
     /*  214982 */     GIR_EraseRootFromParent_Done,
     /*  214983 */   // Label 4299: @214983
     /*  214983 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(215028), // Rule ID 2535 //
     /*  214988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  214991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  214996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215017 */     // (intrinsic_wo_chain:{ *:[i64] } 10896:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  215020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215026 */     GIR_RootConstrainSelectedInstOperands,
     /*  215027 */     // GIR_Coverage, 2535,
     /*  215027 */     GIR_EraseRootFromParent_Done,
     /*  215028 */   // Label 4300: @215028
     /*  215028 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(215073), // Rule ID 2539 //
     /*  215033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  215036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  215041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215062 */     // (intrinsic_wo_chain:{ *:[i64] } 10892:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  215065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215071 */     GIR_RootConstrainSelectedInstOperands,
     /*  215072 */     // GIR_Coverage, 2539,
     /*  215072 */     GIR_EraseRootFromParent_Done,
     /*  215073 */   // Label 4301: @215073
     /*  215073 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(215118), // Rule ID 2540 //
     /*  215078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  215081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  215086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215107 */     // (intrinsic_wo_chain:{ *:[i64] } 10893:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  215110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215116 */     GIR_RootConstrainSelectedInstOperands,
     /*  215117 */     // GIR_Coverage, 2540,
     /*  215117 */     GIR_EraseRootFromParent_Done,
     /*  215118 */   // Label 4302: @215118
     /*  215118 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(215163), // Rule ID 2549 //
     /*  215123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  215131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215152 */     // (intrinsic_wo_chain:{ *:[i32] } 11032:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  215155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215161 */     GIR_RootConstrainSelectedInstOperands,
     /*  215162 */     // GIR_Coverage, 2549,
     /*  215162 */     GIR_EraseRootFromParent_Done,
     /*  215163 */   // Label 4303: @215163
     /*  215163 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(215208), // Rule ID 2550 //
     /*  215168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  215176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215197 */     // (intrinsic_wo_chain:{ *:[i32] } 11031:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  215200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215206 */     GIR_RootConstrainSelectedInstOperands,
     /*  215207 */     // GIR_Coverage, 2550,
     /*  215207 */     GIR_EraseRootFromParent_Done,
     /*  215208 */   // Label 4304: @215208
     /*  215208 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(215253), // Rule ID 2551 //
     /*  215213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  215221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215242 */     // (intrinsic_wo_chain:{ *:[i32] } 11035:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  215245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215251 */     GIR_RootConstrainSelectedInstOperands,
     /*  215252 */     // GIR_Coverage, 2551,
     /*  215252 */     GIR_EraseRootFromParent_Done,
     /*  215253 */   // Label 4305: @215253
     /*  215253 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(215298), // Rule ID 2552 //
     /*  215258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  215266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215287 */     // (intrinsic_wo_chain:{ *:[i32] } 11034:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  215290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215296 */     GIR_RootConstrainSelectedInstOperands,
     /*  215297 */     // GIR_Coverage, 2552,
     /*  215297 */     GIR_EraseRootFromParent_Done,
     /*  215298 */   // Label 4306: @215298
     /*  215298 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(215343), // Rule ID 2553 //
     /*  215303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  215311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215332 */     // (intrinsic_wo_chain:{ *:[i32] } 11037:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  215335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215341 */     GIR_RootConstrainSelectedInstOperands,
     /*  215342 */     // GIR_Coverage, 2553,
     /*  215342 */     GIR_EraseRootFromParent_Done,
     /*  215343 */   // Label 4307: @215343
     /*  215343 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(215388), // Rule ID 2554 //
     /*  215348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  215356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215377 */     // (intrinsic_wo_chain:{ *:[i32] } 11039:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  215380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215386 */     GIR_RootConstrainSelectedInstOperands,
     /*  215387 */     // GIR_Coverage, 2554,
     /*  215387 */     GIR_EraseRootFromParent_Done,
     /*  215388 */   // Label 4308: @215388
     /*  215388 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(215433), // Rule ID 64333 //
     /*  215393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  215401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215422 */     // (intrinsic_wo_chain:{ *:[i32] } 10915:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  215425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215431 */     GIR_RootConstrainSelectedInstOperands,
     /*  215432 */     // GIR_Coverage, 64333,
     /*  215432 */     GIR_EraseRootFromParent_Done,
     /*  215433 */   // Label 4309: @215433
     /*  215433 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(215478), // Rule ID 64335 //
     /*  215438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  215446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215467 */     // (intrinsic_wo_chain:{ *:[i32] } 10916:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  215470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215476 */     GIR_RootConstrainSelectedInstOperands,
     /*  215477 */     // GIR_Coverage, 64335,
     /*  215477 */     GIR_EraseRootFromParent_Done,
     /*  215478 */   // Label 4310: @215478
     /*  215478 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(215523), // Rule ID 64337 //
     /*  215483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  215491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215512 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  215515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215521 */     GIR_RootConstrainSelectedInstOperands,
     /*  215522 */     // GIR_Coverage, 64337,
     /*  215522 */     GIR_EraseRootFromParent_Done,
     /*  215523 */   // Label 4311: @215523
     /*  215523 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(215568), // Rule ID 64339 //
     /*  215528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  215536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215557 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  215560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215566 */     GIR_RootConstrainSelectedInstOperands,
     /*  215567 */     // GIR_Coverage, 64339,
     /*  215567 */     GIR_EraseRootFromParent_Done,
     /*  215568 */   // Label 4312: @215568
     /*  215568 */   GIM_Reject,
     /*  215569 */ // Label 4176: @215569
     /*  215569 */ GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(386474),
     /*  215574 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  215577 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(215651), // Rule ID 5339 //
     /*  215582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  215596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215622 */     // MIs[1] Operand 1
     /*  215622 */     // No operand predicates
     /*  215622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215631 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  215634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215649 */     GIR_RootConstrainSelectedInstOperands,
     /*  215650 */     // GIR_Coverage, 5339,
     /*  215650 */     GIR_EraseRootFromParent_Done,
     /*  215651 */   // Label 4314: @215651
     /*  215651 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(215725), // Rule ID 5340 //
     /*  215656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  215670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215696 */     // MIs[1] Operand 1
     /*  215696 */     // No operand predicates
     /*  215696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  215705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  215708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215723 */     GIR_RootConstrainSelectedInstOperands,
     /*  215724 */     // GIR_Coverage, 5340,
     /*  215724 */     GIR_EraseRootFromParent_Done,
     /*  215725 */   // Label 4315: @215725
     /*  215725 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(215799), // Rule ID 5341 //
     /*  215730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  215744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215770 */     // MIs[1] Operand 1
     /*  215770 */     // No operand predicates
     /*  215770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215779 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  215782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215797 */     GIR_RootConstrainSelectedInstOperands,
     /*  215798 */     // GIR_Coverage, 5341,
     /*  215798 */     GIR_EraseRootFromParent_Done,
     /*  215799 */   // Label 4316: @215799
     /*  215799 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(215873), // Rule ID 5342 //
     /*  215804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  215818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215844 */     // MIs[1] Operand 1
     /*  215844 */     // No operand predicates
     /*  215844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  215853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  215856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215871 */     GIR_RootConstrainSelectedInstOperands,
     /*  215872 */     // GIR_Coverage, 5342,
     /*  215872 */     GIR_EraseRootFromParent_Done,
     /*  215873 */   // Label 4317: @215873
     /*  215873 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(215947), // Rule ID 5343 //
     /*  215878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  215892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215918 */     // MIs[1] Operand 1
     /*  215918 */     // No operand predicates
     /*  215918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  215930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215945 */     GIR_RootConstrainSelectedInstOperands,
     /*  215946 */     // GIR_Coverage, 5343,
     /*  215946 */     GIR_EraseRootFromParent_Done,
     /*  215947 */   // Label 4318: @215947
     /*  215947 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(216021), // Rule ID 5344 //
     /*  215952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  215966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215992 */     // MIs[1] Operand 1
     /*  215992 */     // No operand predicates
     /*  215992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216019 */     GIR_RootConstrainSelectedInstOperands,
     /*  216020 */     // GIR_Coverage, 5344,
     /*  216020 */     GIR_EraseRootFromParent_Done,
     /*  216021 */   // Label 4319: @216021
     /*  216021 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(216095), // Rule ID 5345 //
     /*  216026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216066 */     // MIs[1] Operand 1
     /*  216066 */     // No operand predicates
     /*  216066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216075 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216093 */     GIR_RootConstrainSelectedInstOperands,
     /*  216094 */     // GIR_Coverage, 5345,
     /*  216094 */     GIR_EraseRootFromParent_Done,
     /*  216095 */   // Label 4320: @216095
     /*  216095 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(216169), // Rule ID 5346 //
     /*  216100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216140 */     // MIs[1] Operand 1
     /*  216140 */     // No operand predicates
     /*  216140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216167 */     GIR_RootConstrainSelectedInstOperands,
     /*  216168 */     // GIR_Coverage, 5346,
     /*  216168 */     GIR_EraseRootFromParent_Done,
     /*  216169 */   // Label 4321: @216169
     /*  216169 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(216243), // Rule ID 5347 //
     /*  216174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216214 */     // MIs[1] Operand 1
     /*  216214 */     // No operand predicates
     /*  216214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216241 */     GIR_RootConstrainSelectedInstOperands,
     /*  216242 */     // GIR_Coverage, 5347,
     /*  216242 */     GIR_EraseRootFromParent_Done,
     /*  216243 */   // Label 4322: @216243
     /*  216243 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(216317), // Rule ID 5348 //
     /*  216248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216288 */     // MIs[1] Operand 1
     /*  216288 */     // No operand predicates
     /*  216288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216315 */     GIR_RootConstrainSelectedInstOperands,
     /*  216316 */     // GIR_Coverage, 5348,
     /*  216316 */     GIR_EraseRootFromParent_Done,
     /*  216317 */   // Label 4323: @216317
     /*  216317 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(216391), // Rule ID 5349 //
     /*  216322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216362 */     // MIs[1] Operand 1
     /*  216362 */     // No operand predicates
     /*  216362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216371 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216389 */     GIR_RootConstrainSelectedInstOperands,
     /*  216390 */     // GIR_Coverage, 5349,
     /*  216390 */     GIR_EraseRootFromParent_Done,
     /*  216391 */   // Label 4324: @216391
     /*  216391 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(216465), // Rule ID 5350 //
     /*  216396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216436 */     // MIs[1] Operand 1
     /*  216436 */     // No operand predicates
     /*  216436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216445 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216463 */     GIR_RootConstrainSelectedInstOperands,
     /*  216464 */     // GIR_Coverage, 5350,
     /*  216464 */     GIR_EraseRootFromParent_Done,
     /*  216465 */   // Label 4325: @216465
     /*  216465 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(216539), // Rule ID 5351 //
     /*  216470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216510 */     // MIs[1] Operand 1
     /*  216510 */     // No operand predicates
     /*  216510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216519 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216537 */     GIR_RootConstrainSelectedInstOperands,
     /*  216538 */     // GIR_Coverage, 5351,
     /*  216538 */     GIR_EraseRootFromParent_Done,
     /*  216539 */   // Label 4326: @216539
     /*  216539 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(216613), // Rule ID 5352 //
     /*  216544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216584 */     // MIs[1] Operand 1
     /*  216584 */     // No operand predicates
     /*  216584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216593 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216611 */     GIR_RootConstrainSelectedInstOperands,
     /*  216612 */     // GIR_Coverage, 5352,
     /*  216612 */     GIR_EraseRootFromParent_Done,
     /*  216613 */   // Label 4327: @216613
     /*  216613 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(216687), // Rule ID 5353 //
     /*  216618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  216632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216658 */     // MIs[1] Operand 1
     /*  216658 */     // No operand predicates
     /*  216658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216667 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216685 */     GIR_RootConstrainSelectedInstOperands,
     /*  216686 */     // GIR_Coverage, 5353,
     /*  216686 */     GIR_EraseRootFromParent_Done,
     /*  216687 */   // Label 4328: @216687
     /*  216687 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(216761), // Rule ID 5354 //
     /*  216692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  216706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216732 */     // MIs[1] Operand 1
     /*  216732 */     // No operand predicates
     /*  216732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216741 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216759 */     GIR_RootConstrainSelectedInstOperands,
     /*  216760 */     // GIR_Coverage, 5354,
     /*  216760 */     GIR_EraseRootFromParent_Done,
     /*  216761 */   // Label 4329: @216761
     /*  216761 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(216835), // Rule ID 5355 //
     /*  216766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  216780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216806 */     // MIs[1] Operand 1
     /*  216806 */     // No operand predicates
     /*  216806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216815 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216833 */     GIR_RootConstrainSelectedInstOperands,
     /*  216834 */     // GIR_Coverage, 5355,
     /*  216834 */     GIR_EraseRootFromParent_Done,
     /*  216835 */   // Label 4330: @216835
     /*  216835 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(216909), // Rule ID 5356 //
     /*  216840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  216854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216880 */     // MIs[1] Operand 1
     /*  216880 */     // No operand predicates
     /*  216880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216907 */     GIR_RootConstrainSelectedInstOperands,
     /*  216908 */     // GIR_Coverage, 5356,
     /*  216908 */     GIR_EraseRootFromParent_Done,
     /*  216909 */   // Label 4331: @216909
     /*  216909 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(216983), // Rule ID 5357 //
     /*  216914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  216928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216954 */     // MIs[1] Operand 1
     /*  216954 */     // No operand predicates
     /*  216954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216963 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  216963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216981 */     GIR_RootConstrainSelectedInstOperands,
     /*  216982 */     // GIR_Coverage, 5357,
     /*  216982 */     GIR_EraseRootFromParent_Done,
     /*  216983 */   // Label 4332: @216983
     /*  216983 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217057), // Rule ID 5358 //
     /*  216988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217028 */     // MIs[1] Operand 1
     /*  217028 */     // No operand predicates
     /*  217028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217037 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  217037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217055 */     GIR_RootConstrainSelectedInstOperands,
     /*  217056 */     // GIR_Coverage, 5358,
     /*  217056 */     GIR_EraseRootFromParent_Done,
     /*  217057 */   // Label 4333: @217057
     /*  217057 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(217131), // Rule ID 5359 //
     /*  217062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217102 */     // MIs[1] Operand 1
     /*  217102 */     // No operand predicates
     /*  217102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217111 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217129 */     GIR_RootConstrainSelectedInstOperands,
     /*  217130 */     // GIR_Coverage, 5359,
     /*  217130 */     GIR_EraseRootFromParent_Done,
     /*  217131 */   // Label 4334: @217131
     /*  217131 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(217205), // Rule ID 5360 //
     /*  217136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217176 */     // MIs[1] Operand 1
     /*  217176 */     // No operand predicates
     /*  217176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217185 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217203 */     GIR_RootConstrainSelectedInstOperands,
     /*  217204 */     // GIR_Coverage, 5360,
     /*  217204 */     GIR_EraseRootFromParent_Done,
     /*  217205 */   // Label 4335: @217205
     /*  217205 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(217279), // Rule ID 5361 //
     /*  217210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217250 */     // MIs[1] Operand 1
     /*  217250 */     // No operand predicates
     /*  217250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217259 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217277 */     GIR_RootConstrainSelectedInstOperands,
     /*  217278 */     // GIR_Coverage, 5361,
     /*  217278 */     GIR_EraseRootFromParent_Done,
     /*  217279 */   // Label 4336: @217279
     /*  217279 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(217353), // Rule ID 5362 //
     /*  217284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217324 */     // MIs[1] Operand 1
     /*  217324 */     // No operand predicates
     /*  217324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217333 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217351 */     GIR_RootConstrainSelectedInstOperands,
     /*  217352 */     // GIR_Coverage, 5362,
     /*  217352 */     GIR_EraseRootFromParent_Done,
     /*  217353 */   // Label 4337: @217353
     /*  217353 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(217427), // Rule ID 5363 //
     /*  217358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217398 */     // MIs[1] Operand 1
     /*  217398 */     // No operand predicates
     /*  217398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217407 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217425 */     GIR_RootConstrainSelectedInstOperands,
     /*  217426 */     // GIR_Coverage, 5363,
     /*  217426 */     GIR_EraseRootFromParent_Done,
     /*  217427 */   // Label 4338: @217427
     /*  217427 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(217501), // Rule ID 5364 //
     /*  217432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217472 */     // MIs[1] Operand 1
     /*  217472 */     // No operand predicates
     /*  217472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217481 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217499 */     GIR_RootConstrainSelectedInstOperands,
     /*  217500 */     // GIR_Coverage, 5364,
     /*  217500 */     GIR_EraseRootFromParent_Done,
     /*  217501 */   // Label 4339: @217501
     /*  217501 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(217575), // Rule ID 5365 //
     /*  217506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217546 */     // MIs[1] Operand 1
     /*  217546 */     // No operand predicates
     /*  217546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217555 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217573 */     GIR_RootConstrainSelectedInstOperands,
     /*  217574 */     // GIR_Coverage, 5365,
     /*  217574 */     GIR_EraseRootFromParent_Done,
     /*  217575 */   // Label 4340: @217575
     /*  217575 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(217649), // Rule ID 5366 //
     /*  217580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217620 */     // MIs[1] Operand 1
     /*  217620 */     // No operand predicates
     /*  217620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217647 */     GIR_RootConstrainSelectedInstOperands,
     /*  217648 */     // GIR_Coverage, 5366,
     /*  217648 */     GIR_EraseRootFromParent_Done,
     /*  217649 */   // Label 4341: @217649
     /*  217649 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(217723), // Rule ID 5367 //
     /*  217654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217694 */     // MIs[1] Operand 1
     /*  217694 */     // No operand predicates
     /*  217694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217703 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217721 */     GIR_RootConstrainSelectedInstOperands,
     /*  217722 */     // GIR_Coverage, 5367,
     /*  217722 */     GIR_EraseRootFromParent_Done,
     /*  217723 */   // Label 4342: @217723
     /*  217723 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(217797), // Rule ID 5368 //
     /*  217728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217768 */     // MIs[1] Operand 1
     /*  217768 */     // No operand predicates
     /*  217768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217777 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217795 */     GIR_RootConstrainSelectedInstOperands,
     /*  217796 */     // GIR_Coverage, 5368,
     /*  217796 */     GIR_EraseRootFromParent_Done,
     /*  217797 */   // Label 4343: @217797
     /*  217797 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(217871), // Rule ID 5369 //
     /*  217802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  217816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217842 */     // MIs[1] Operand 1
     /*  217842 */     // No operand predicates
     /*  217842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217851 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217869 */     GIR_RootConstrainSelectedInstOperands,
     /*  217870 */     // GIR_Coverage, 5369,
     /*  217870 */     GIR_EraseRootFromParent_Done,
     /*  217871 */   // Label 4344: @217871
     /*  217871 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(217945), // Rule ID 5370 //
     /*  217876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  217890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217916 */     // MIs[1] Operand 1
     /*  217916 */     // No operand predicates
     /*  217916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217925 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217943 */     GIR_RootConstrainSelectedInstOperands,
     /*  217944 */     // GIR_Coverage, 5370,
     /*  217944 */     GIR_EraseRootFromParent_Done,
     /*  217945 */   // Label 4345: @217945
     /*  217945 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218019), // Rule ID 5371 //
     /*  217950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  217964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217990 */     // MIs[1] Operand 1
     /*  217990 */     // No operand predicates
     /*  217990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217999 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218017 */     GIR_RootConstrainSelectedInstOperands,
     /*  218018 */     // GIR_Coverage, 5371,
     /*  218018 */     GIR_EraseRootFromParent_Done,
     /*  218019 */   // Label 4346: @218019
     /*  218019 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218093), // Rule ID 5372 //
     /*  218024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218064 */     // MIs[1] Operand 1
     /*  218064 */     // No operand predicates
     /*  218064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218091 */     GIR_RootConstrainSelectedInstOperands,
     /*  218092 */     // GIR_Coverage, 5372,
     /*  218092 */     GIR_EraseRootFromParent_Done,
     /*  218093 */   // Label 4347: @218093
     /*  218093 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218167), // Rule ID 5373 //
     /*  218098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218138 */     // MIs[1] Operand 1
     /*  218138 */     // No operand predicates
     /*  218138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218147 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218165 */     GIR_RootConstrainSelectedInstOperands,
     /*  218166 */     // GIR_Coverage, 5373,
     /*  218166 */     GIR_EraseRootFromParent_Done,
     /*  218167 */   // Label 4348: @218167
     /*  218167 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218241), // Rule ID 5374 //
     /*  218172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218212 */     // MIs[1] Operand 1
     /*  218212 */     // No operand predicates
     /*  218212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218239 */     GIR_RootConstrainSelectedInstOperands,
     /*  218240 */     // GIR_Coverage, 5374,
     /*  218240 */     GIR_EraseRootFromParent_Done,
     /*  218241 */   // Label 4349: @218241
     /*  218241 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218315), // Rule ID 5375 //
     /*  218246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218286 */     // MIs[1] Operand 1
     /*  218286 */     // No operand predicates
     /*  218286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218295 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218313 */     GIR_RootConstrainSelectedInstOperands,
     /*  218314 */     // GIR_Coverage, 5375,
     /*  218314 */     GIR_EraseRootFromParent_Done,
     /*  218315 */   // Label 4350: @218315
     /*  218315 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(218389), // Rule ID 5376 //
     /*  218320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218360 */     // MIs[1] Operand 1
     /*  218360 */     // No operand predicates
     /*  218360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218387 */     GIR_RootConstrainSelectedInstOperands,
     /*  218388 */     // GIR_Coverage, 5376,
     /*  218388 */     GIR_EraseRootFromParent_Done,
     /*  218389 */   // Label 4351: @218389
     /*  218389 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(218463), // Rule ID 5377 //
     /*  218394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218434 */     // MIs[1] Operand 1
     /*  218434 */     // No operand predicates
     /*  218434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218443 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218461 */     GIR_RootConstrainSelectedInstOperands,
     /*  218462 */     // GIR_Coverage, 5377,
     /*  218462 */     GIR_EraseRootFromParent_Done,
     /*  218463 */   // Label 4352: @218463
     /*  218463 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(218537), // Rule ID 5378 //
     /*  218468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218508 */     // MIs[1] Operand 1
     /*  218508 */     // No operand predicates
     /*  218508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218535 */     GIR_RootConstrainSelectedInstOperands,
     /*  218536 */     // GIR_Coverage, 5378,
     /*  218536 */     GIR_EraseRootFromParent_Done,
     /*  218537 */   // Label 4353: @218537
     /*  218537 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(218611), // Rule ID 5379 //
     /*  218542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218582 */     // MIs[1] Operand 1
     /*  218582 */     // No operand predicates
     /*  218582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218591 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218609 */     GIR_RootConstrainSelectedInstOperands,
     /*  218610 */     // GIR_Coverage, 5379,
     /*  218610 */     GIR_EraseRootFromParent_Done,
     /*  218611 */   // Label 4354: @218611
     /*  218611 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(218685), // Rule ID 5380 //
     /*  218616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218656 */     // MIs[1] Operand 1
     /*  218656 */     // No operand predicates
     /*  218656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218665 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218683 */     GIR_RootConstrainSelectedInstOperands,
     /*  218684 */     // GIR_Coverage, 5380,
     /*  218684 */     GIR_EraseRootFromParent_Done,
     /*  218685 */   // Label 4355: @218685
     /*  218685 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(218759), // Rule ID 5381 //
     /*  218690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218730 */     // MIs[1] Operand 1
     /*  218730 */     // No operand predicates
     /*  218730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218757 */     GIR_RootConstrainSelectedInstOperands,
     /*  218758 */     // GIR_Coverage, 5381,
     /*  218758 */     GIR_EraseRootFromParent_Done,
     /*  218759 */   // Label 4356: @218759
     /*  218759 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(218833), // Rule ID 5382 //
     /*  218764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218804 */     // MIs[1] Operand 1
     /*  218804 */     // No operand predicates
     /*  218804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218813 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218831 */     GIR_RootConstrainSelectedInstOperands,
     /*  218832 */     // GIR_Coverage, 5382,
     /*  218832 */     GIR_EraseRootFromParent_Done,
     /*  218833 */   // Label 4357: @218833
     /*  218833 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(218907), // Rule ID 7851 //
     /*  218838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  218852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218878 */     // MIs[1] Operand 1
     /*  218878 */     // No operand predicates
     /*  218878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218887 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  218887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  218890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218905 */     GIR_RootConstrainSelectedInstOperands,
     /*  218906 */     // GIR_Coverage, 7851,
     /*  218906 */     GIR_EraseRootFromParent_Done,
     /*  218907 */   // Label 4358: @218907
     /*  218907 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(218981), // Rule ID 7852 //
     /*  218912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  218926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218952 */     // MIs[1] Operand 1
     /*  218952 */     // No operand predicates
     /*  218952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  218964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218979 */     GIR_RootConstrainSelectedInstOperands,
     /*  218980 */     // GIR_Coverage, 7852,
     /*  218980 */     GIR_EraseRootFromParent_Done,
     /*  218981 */   // Label 4359: @218981
     /*  218981 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219055), // Rule ID 7855 //
     /*  218986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219026 */     // MIs[1] Operand 1
     /*  219026 */     // No operand predicates
     /*  219026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219035 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219053 */     GIR_RootConstrainSelectedInstOperands,
     /*  219054 */     // GIR_Coverage, 7855,
     /*  219054 */     GIR_EraseRootFromParent_Done,
     /*  219055 */   // Label 4360: @219055
     /*  219055 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219129), // Rule ID 7856 //
     /*  219060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219100 */     // MIs[1] Operand 1
     /*  219100 */     // No operand predicates
     /*  219100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219127 */     GIR_RootConstrainSelectedInstOperands,
     /*  219128 */     // GIR_Coverage, 7856,
     /*  219128 */     GIR_EraseRootFromParent_Done,
     /*  219129 */   // Label 4361: @219129
     /*  219129 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219203), // Rule ID 7859 //
     /*  219134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219174 */     // MIs[1] Operand 1
     /*  219174 */     // No operand predicates
     /*  219174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219183 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219201 */     GIR_RootConstrainSelectedInstOperands,
     /*  219202 */     // GIR_Coverage, 7859,
     /*  219202 */     GIR_EraseRootFromParent_Done,
     /*  219203 */   // Label 4362: @219203
     /*  219203 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219277), // Rule ID 7860 //
     /*  219208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219248 */     // MIs[1] Operand 1
     /*  219248 */     // No operand predicates
     /*  219248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219257 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219275 */     GIR_RootConstrainSelectedInstOperands,
     /*  219276 */     // GIR_Coverage, 7860,
     /*  219276 */     GIR_EraseRootFromParent_Done,
     /*  219277 */   // Label 4363: @219277
     /*  219277 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219351), // Rule ID 7863 //
     /*  219282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219322 */     // MIs[1] Operand 1
     /*  219322 */     // No operand predicates
     /*  219322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219331 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219349 */     GIR_RootConstrainSelectedInstOperands,
     /*  219350 */     // GIR_Coverage, 7863,
     /*  219350 */     GIR_EraseRootFromParent_Done,
     /*  219351 */   // Label 4364: @219351
     /*  219351 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219425), // Rule ID 7864 //
     /*  219356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219396 */     // MIs[1] Operand 1
     /*  219396 */     // No operand predicates
     /*  219396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219405 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219423 */     GIR_RootConstrainSelectedInstOperands,
     /*  219424 */     // GIR_Coverage, 7864,
     /*  219424 */     GIR_EraseRootFromParent_Done,
     /*  219425 */   // Label 4365: @219425
     /*  219425 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219499), // Rule ID 7867 //
     /*  219430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219470 */     // MIs[1] Operand 1
     /*  219470 */     // No operand predicates
     /*  219470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219497 */     GIR_RootConstrainSelectedInstOperands,
     /*  219498 */     // GIR_Coverage, 7867,
     /*  219498 */     GIR_EraseRootFromParent_Done,
     /*  219499 */   // Label 4366: @219499
     /*  219499 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219573), // Rule ID 7868 //
     /*  219504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219544 */     // MIs[1] Operand 1
     /*  219544 */     // No operand predicates
     /*  219544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219571 */     GIR_RootConstrainSelectedInstOperands,
     /*  219572 */     // GIR_Coverage, 7868,
     /*  219572 */     GIR_EraseRootFromParent_Done,
     /*  219573 */   // Label 4367: @219573
     /*  219573 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219647), // Rule ID 7871 //
     /*  219578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219618 */     // MIs[1] Operand 1
     /*  219618 */     // No operand predicates
     /*  219618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219627 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  219627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219645 */     GIR_RootConstrainSelectedInstOperands,
     /*  219646 */     // GIR_Coverage, 7871,
     /*  219646 */     GIR_EraseRootFromParent_Done,
     /*  219647 */   // Label 4368: @219647
     /*  219647 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219721), // Rule ID 7872 //
     /*  219652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219692 */     // MIs[1] Operand 1
     /*  219692 */     // No operand predicates
     /*  219692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  219701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219719 */     GIR_RootConstrainSelectedInstOperands,
     /*  219720 */     // GIR_Coverage, 7872,
     /*  219720 */     GIR_EraseRootFromParent_Done,
     /*  219721 */   // Label 4369: @219721
     /*  219721 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219795), // Rule ID 7875 //
     /*  219726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  219740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219766 */     // MIs[1] Operand 1
     /*  219766 */     // No operand predicates
     /*  219766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219775 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219793 */     GIR_RootConstrainSelectedInstOperands,
     /*  219794 */     // GIR_Coverage, 7875,
     /*  219794 */     GIR_EraseRootFromParent_Done,
     /*  219795 */   // Label 4370: @219795
     /*  219795 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219869), // Rule ID 7876 //
     /*  219800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  219814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219840 */     // MIs[1] Operand 1
     /*  219840 */     // No operand predicates
     /*  219840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219867 */     GIR_RootConstrainSelectedInstOperands,
     /*  219868 */     // GIR_Coverage, 7876,
     /*  219868 */     GIR_EraseRootFromParent_Done,
     /*  219869 */   // Label 4371: @219869
     /*  219869 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(219943), // Rule ID 7879 //
     /*  219874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219914 */     // MIs[1] Operand 1
     /*  219914 */     // No operand predicates
     /*  219914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219923 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219941 */     GIR_RootConstrainSelectedInstOperands,
     /*  219942 */     // GIR_Coverage, 7879,
     /*  219942 */     GIR_EraseRootFromParent_Done,
     /*  219943 */   // Label 4372: @219943
     /*  219943 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(220017), // Rule ID 7880 //
     /*  219948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219988 */     // MIs[1] Operand 1
     /*  219988 */     // No operand predicates
     /*  219988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219997 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220015 */     GIR_RootConstrainSelectedInstOperands,
     /*  220016 */     // GIR_Coverage, 7880,
     /*  220016 */     GIR_EraseRootFromParent_Done,
     /*  220017 */   // Label 4373: @220017
     /*  220017 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220091), // Rule ID 7883 //
     /*  220022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220062 */     // MIs[1] Operand 1
     /*  220062 */     // No operand predicates
     /*  220062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220071 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220089 */     GIR_RootConstrainSelectedInstOperands,
     /*  220090 */     // GIR_Coverage, 7883,
     /*  220090 */     GIR_EraseRootFromParent_Done,
     /*  220091 */   // Label 4374: @220091
     /*  220091 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220165), // Rule ID 7884 //
     /*  220096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220136 */     // MIs[1] Operand 1
     /*  220136 */     // No operand predicates
     /*  220136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220145 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220163 */     GIR_RootConstrainSelectedInstOperands,
     /*  220164 */     // GIR_Coverage, 7884,
     /*  220164 */     GIR_EraseRootFromParent_Done,
     /*  220165 */   // Label 4375: @220165
     /*  220165 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220239), // Rule ID 7887 //
     /*  220170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220210 */     // MIs[1] Operand 1
     /*  220210 */     // No operand predicates
     /*  220210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220219 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220237 */     GIR_RootConstrainSelectedInstOperands,
     /*  220238 */     // GIR_Coverage, 7887,
     /*  220238 */     GIR_EraseRootFromParent_Done,
     /*  220239 */   // Label 4376: @220239
     /*  220239 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220313), // Rule ID 7888 //
     /*  220244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220284 */     // MIs[1] Operand 1
     /*  220284 */     // No operand predicates
     /*  220284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220311 */     GIR_RootConstrainSelectedInstOperands,
     /*  220312 */     // GIR_Coverage, 7888,
     /*  220312 */     GIR_EraseRootFromParent_Done,
     /*  220313 */   // Label 4377: @220313
     /*  220313 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220387), // Rule ID 7891 //
     /*  220318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220358 */     // MIs[1] Operand 1
     /*  220358 */     // No operand predicates
     /*  220358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220367 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220385 */     GIR_RootConstrainSelectedInstOperands,
     /*  220386 */     // GIR_Coverage, 7891,
     /*  220386 */     GIR_EraseRootFromParent_Done,
     /*  220387 */   // Label 4378: @220387
     /*  220387 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220461), // Rule ID 7892 //
     /*  220392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220432 */     // MIs[1] Operand 1
     /*  220432 */     // No operand predicates
     /*  220432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220459 */     GIR_RootConstrainSelectedInstOperands,
     /*  220460 */     // GIR_Coverage, 7892,
     /*  220460 */     GIR_EraseRootFromParent_Done,
     /*  220461 */   // Label 4379: @220461
     /*  220461 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(220535), // Rule ID 7895 //
     /*  220466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220506 */     // MIs[1] Operand 1
     /*  220506 */     // No operand predicates
     /*  220506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220515 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220533 */     GIR_RootConstrainSelectedInstOperands,
     /*  220534 */     // GIR_Coverage, 7895,
     /*  220534 */     GIR_EraseRootFromParent_Done,
     /*  220535 */   // Label 4380: @220535
     /*  220535 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220609), // Rule ID 7896 //
     /*  220540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220580 */     // MIs[1] Operand 1
     /*  220580 */     // No operand predicates
     /*  220580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220589 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220607 */     GIR_RootConstrainSelectedInstOperands,
     /*  220608 */     // GIR_Coverage, 7896,
     /*  220608 */     GIR_EraseRootFromParent_Done,
     /*  220609 */   // Label 4381: @220609
     /*  220609 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220683), // Rule ID 7899 //
     /*  220614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  220625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  220628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220654 */     // MIs[1] Operand 1
     /*  220654 */     // No operand predicates
     /*  220654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220663 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220681 */     GIR_RootConstrainSelectedInstOperands,
     /*  220682 */     // GIR_Coverage, 7899,
     /*  220682 */     GIR_EraseRootFromParent_Done,
     /*  220683 */   // Label 4382: @220683
     /*  220683 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220757), // Rule ID 7900 //
     /*  220688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  220699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  220702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220728 */     // MIs[1] Operand 1
     /*  220728 */     // No operand predicates
     /*  220728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220737 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220755 */     GIR_RootConstrainSelectedInstOperands,
     /*  220756 */     // GIR_Coverage, 7900,
     /*  220756 */     GIR_EraseRootFromParent_Done,
     /*  220757 */   // Label 4383: @220757
     /*  220757 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220831), // Rule ID 7903 //
     /*  220762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  220776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220802 */     // MIs[1] Operand 1
     /*  220802 */     // No operand predicates
     /*  220802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220829 */     GIR_RootConstrainSelectedInstOperands,
     /*  220830 */     // GIR_Coverage, 7903,
     /*  220830 */     GIR_EraseRootFromParent_Done,
     /*  220831 */   // Label 4384: @220831
     /*  220831 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220905), // Rule ID 7904 //
     /*  220836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  220850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220876 */     // MIs[1] Operand 1
     /*  220876 */     // No operand predicates
     /*  220876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220903 */     GIR_RootConstrainSelectedInstOperands,
     /*  220904 */     // GIR_Coverage, 7904,
     /*  220904 */     GIR_EraseRootFromParent_Done,
     /*  220905 */   // Label 4385: @220905
     /*  220905 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(220979), // Rule ID 7907 //
     /*  220910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  220924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220950 */     // MIs[1] Operand 1
     /*  220950 */     // No operand predicates
     /*  220950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220959 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220977 */     GIR_RootConstrainSelectedInstOperands,
     /*  220978 */     // GIR_Coverage, 7907,
     /*  220978 */     GIR_EraseRootFromParent_Done,
     /*  220979 */   // Label 4386: @220979
     /*  220979 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(221053), // Rule ID 7908 //
     /*  220984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  220998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221024 */     // MIs[1] Operand 1
     /*  221024 */     // No operand predicates
     /*  221024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221033 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221051 */     GIR_RootConstrainSelectedInstOperands,
     /*  221052 */     // GIR_Coverage, 7908,
     /*  221052 */     GIR_EraseRootFromParent_Done,
     /*  221053 */   // Label 4387: @221053
     /*  221053 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(221127), // Rule ID 7911 //
     /*  221058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221098 */     // MIs[1] Operand 1
     /*  221098 */     // No operand predicates
     /*  221098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221107 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221125 */     GIR_RootConstrainSelectedInstOperands,
     /*  221126 */     // GIR_Coverage, 7911,
     /*  221126 */     GIR_EraseRootFromParent_Done,
     /*  221127 */   // Label 4388: @221127
     /*  221127 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(221201), // Rule ID 7912 //
     /*  221132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221172 */     // MIs[1] Operand 1
     /*  221172 */     // No operand predicates
     /*  221172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221181 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221199 */     GIR_RootConstrainSelectedInstOperands,
     /*  221200 */     // GIR_Coverage, 7912,
     /*  221200 */     GIR_EraseRootFromParent_Done,
     /*  221201 */   // Label 4389: @221201
     /*  221201 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(221275), // Rule ID 7915 //
     /*  221206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221246 */     // MIs[1] Operand 1
     /*  221246 */     // No operand predicates
     /*  221246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221255 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221273 */     GIR_RootConstrainSelectedInstOperands,
     /*  221274 */     // GIR_Coverage, 7915,
     /*  221274 */     GIR_EraseRootFromParent_Done,
     /*  221275 */   // Label 4390: @221275
     /*  221275 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(221349), // Rule ID 7916 //
     /*  221280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221320 */     // MIs[1] Operand 1
     /*  221320 */     // No operand predicates
     /*  221320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221347 */     GIR_RootConstrainSelectedInstOperands,
     /*  221348 */     // GIR_Coverage, 7916,
     /*  221348 */     GIR_EraseRootFromParent_Done,
     /*  221349 */   // Label 4391: @221349
     /*  221349 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(221423), // Rule ID 7919 //
     /*  221354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221394 */     // MIs[1] Operand 1
     /*  221394 */     // No operand predicates
     /*  221394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221403 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221421 */     GIR_RootConstrainSelectedInstOperands,
     /*  221422 */     // GIR_Coverage, 7919,
     /*  221422 */     GIR_EraseRootFromParent_Done,
     /*  221423 */   // Label 4392: @221423
     /*  221423 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(221497), // Rule ID 7920 //
     /*  221428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221468 */     // MIs[1] Operand 1
     /*  221468 */     // No operand predicates
     /*  221468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221495 */     GIR_RootConstrainSelectedInstOperands,
     /*  221496 */     // GIR_Coverage, 7920,
     /*  221496 */     GIR_EraseRootFromParent_Done,
     /*  221497 */   // Label 4393: @221497
     /*  221497 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(221571), // Rule ID 7923 //
     /*  221502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221542 */     // MIs[1] Operand 1
     /*  221542 */     // No operand predicates
     /*  221542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221551 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221569 */     GIR_RootConstrainSelectedInstOperands,
     /*  221570 */     // GIR_Coverage, 7923,
     /*  221570 */     GIR_EraseRootFromParent_Done,
     /*  221571 */   // Label 4394: @221571
     /*  221571 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221645), // Rule ID 7924 //
     /*  221576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221616 */     // MIs[1] Operand 1
     /*  221616 */     // No operand predicates
     /*  221616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221643 */     GIR_RootConstrainSelectedInstOperands,
     /*  221644 */     // GIR_Coverage, 7924,
     /*  221644 */     GIR_EraseRootFromParent_Done,
     /*  221645 */   // Label 4395: @221645
     /*  221645 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221719), // Rule ID 7927 //
     /*  221650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  221664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221690 */     // MIs[1] Operand 1
     /*  221690 */     // No operand predicates
     /*  221690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221699 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221717 */     GIR_RootConstrainSelectedInstOperands,
     /*  221718 */     // GIR_Coverage, 7927,
     /*  221718 */     GIR_EraseRootFromParent_Done,
     /*  221719 */   // Label 4396: @221719
     /*  221719 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221793), // Rule ID 7928 //
     /*  221724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  221738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221764 */     // MIs[1] Operand 1
     /*  221764 */     // No operand predicates
     /*  221764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221773 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221791 */     GIR_RootConstrainSelectedInstOperands,
     /*  221792 */     // GIR_Coverage, 7928,
     /*  221792 */     GIR_EraseRootFromParent_Done,
     /*  221793 */   // Label 4397: @221793
     /*  221793 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221867), // Rule ID 7931 //
     /*  221798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  221812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221838 */     // MIs[1] Operand 1
     /*  221838 */     // No operand predicates
     /*  221838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221847 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221865 */     GIR_RootConstrainSelectedInstOperands,
     /*  221866 */     // GIR_Coverage, 7931,
     /*  221866 */     GIR_EraseRootFromParent_Done,
     /*  221867 */   // Label 4398: @221867
     /*  221867 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(221941), // Rule ID 7932 //
     /*  221872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  221886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221912 */     // MIs[1] Operand 1
     /*  221912 */     // No operand predicates
     /*  221912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221921 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221939 */     GIR_RootConstrainSelectedInstOperands,
     /*  221940 */     // GIR_Coverage, 7932,
     /*  221940 */     GIR_EraseRootFromParent_Done,
     /*  221941 */   // Label 4399: @221941
     /*  221941 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(222015), // Rule ID 7935 //
     /*  221946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  221960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221986 */     // MIs[1] Operand 1
     /*  221986 */     // No operand predicates
     /*  221986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221995 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222013 */     GIR_RootConstrainSelectedInstOperands,
     /*  222014 */     // GIR_Coverage, 7935,
     /*  222014 */     GIR_EraseRootFromParent_Done,
     /*  222015 */   // Label 4400: @222015
     /*  222015 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(222089), // Rule ID 7936 //
     /*  222020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222060 */     // MIs[1] Operand 1
     /*  222060 */     // No operand predicates
     /*  222060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222069 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222087 */     GIR_RootConstrainSelectedInstOperands,
     /*  222088 */     // GIR_Coverage, 7936,
     /*  222088 */     GIR_EraseRootFromParent_Done,
     /*  222089 */   // Label 4401: @222089
     /*  222089 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(222163), // Rule ID 8115 //
     /*  222094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222134 */     // MIs[1] Operand 1
     /*  222134 */     // No operand predicates
     /*  222134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222143 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222161 */     GIR_RootConstrainSelectedInstOperands,
     /*  222162 */     // GIR_Coverage, 8115,
     /*  222162 */     GIR_EraseRootFromParent_Done,
     /*  222163 */   // Label 4402: @222163
     /*  222163 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222237), // Rule ID 8116 //
     /*  222168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222208 */     // MIs[1] Operand 1
     /*  222208 */     // No operand predicates
     /*  222208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222235 */     GIR_RootConstrainSelectedInstOperands,
     /*  222236 */     // GIR_Coverage, 8116,
     /*  222236 */     GIR_EraseRootFromParent_Done,
     /*  222237 */   // Label 4403: @222237
     /*  222237 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222311), // Rule ID 8119 //
     /*  222242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222282 */     // MIs[1] Operand 1
     /*  222282 */     // No operand predicates
     /*  222282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222291 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222309 */     GIR_RootConstrainSelectedInstOperands,
     /*  222310 */     // GIR_Coverage, 8119,
     /*  222310 */     GIR_EraseRootFromParent_Done,
     /*  222311 */   // Label 4404: @222311
     /*  222311 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222385), // Rule ID 8120 //
     /*  222316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222356 */     // MIs[1] Operand 1
     /*  222356 */     // No operand predicates
     /*  222356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222365 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222383 */     GIR_RootConstrainSelectedInstOperands,
     /*  222384 */     // GIR_Coverage, 8120,
     /*  222384 */     GIR_EraseRootFromParent_Done,
     /*  222385 */   // Label 4405: @222385
     /*  222385 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222459), // Rule ID 8123 //
     /*  222390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222430 */     // MIs[1] Operand 1
     /*  222430 */     // No operand predicates
     /*  222430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222439 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222457 */     GIR_RootConstrainSelectedInstOperands,
     /*  222458 */     // GIR_Coverage, 8123,
     /*  222458 */     GIR_EraseRootFromParent_Done,
     /*  222459 */   // Label 4406: @222459
     /*  222459 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(222533), // Rule ID 8124 //
     /*  222464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222504 */     // MIs[1] Operand 1
     /*  222504 */     // No operand predicates
     /*  222504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222513 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222531 */     GIR_RootConstrainSelectedInstOperands,
     /*  222532 */     // GIR_Coverage, 8124,
     /*  222532 */     GIR_EraseRootFromParent_Done,
     /*  222533 */   // Label 4407: @222533
     /*  222533 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(222607), // Rule ID 8127 //
     /*  222538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222578 */     // MIs[1] Operand 1
     /*  222578 */     // No operand predicates
     /*  222578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222605 */     GIR_RootConstrainSelectedInstOperands,
     /*  222606 */     // GIR_Coverage, 8127,
     /*  222606 */     GIR_EraseRootFromParent_Done,
     /*  222607 */   // Label 4408: @222607
     /*  222607 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222681), // Rule ID 8128 //
     /*  222612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222652 */     // MIs[1] Operand 1
     /*  222652 */     // No operand predicates
     /*  222652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222679 */     GIR_RootConstrainSelectedInstOperands,
     /*  222680 */     // GIR_Coverage, 8128,
     /*  222680 */     GIR_EraseRootFromParent_Done,
     /*  222681 */   // Label 4409: @222681
     /*  222681 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222755), // Rule ID 8131 //
     /*  222686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222726 */     // MIs[1] Operand 1
     /*  222726 */     // No operand predicates
     /*  222726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222735 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222753 */     GIR_RootConstrainSelectedInstOperands,
     /*  222754 */     // GIR_Coverage, 8131,
     /*  222754 */     GIR_EraseRootFromParent_Done,
     /*  222755 */   // Label 4410: @222755
     /*  222755 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222829), // Rule ID 8132 //
     /*  222760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222800 */     // MIs[1] Operand 1
     /*  222800 */     // No operand predicates
     /*  222800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222827 */     GIR_RootConstrainSelectedInstOperands,
     /*  222828 */     // GIR_Coverage, 8132,
     /*  222828 */     GIR_EraseRootFromParent_Done,
     /*  222829 */   // Label 4411: @222829
     /*  222829 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222903), // Rule ID 8135 //
     /*  222834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222874 */     // MIs[1] Operand 1
     /*  222874 */     // No operand predicates
     /*  222874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222901 */     GIR_RootConstrainSelectedInstOperands,
     /*  222902 */     // GIR_Coverage, 8135,
     /*  222902 */     GIR_EraseRootFromParent_Done,
     /*  222903 */   // Label 4412: @222903
     /*  222903 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(222977), // Rule ID 8136 //
     /*  222908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222948 */     // MIs[1] Operand 1
     /*  222948 */     // No operand predicates
     /*  222948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222975 */     GIR_RootConstrainSelectedInstOperands,
     /*  222976 */     // GIR_Coverage, 8136,
     /*  222976 */     GIR_EraseRootFromParent_Done,
     /*  222977 */   // Label 4413: @222977
     /*  222977 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(223051), // Rule ID 8139 //
     /*  222982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  222996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223022 */     // MIs[1] Operand 1
     /*  223022 */     // No operand predicates
     /*  223022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223031 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223049 */     GIR_RootConstrainSelectedInstOperands,
     /*  223050 */     // GIR_Coverage, 8139,
     /*  223050 */     GIR_EraseRootFromParent_Done,
     /*  223051 */   // Label 4414: @223051
     /*  223051 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223125), // Rule ID 8140 //
     /*  223056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223096 */     // MIs[1] Operand 1
     /*  223096 */     // No operand predicates
     /*  223096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223123 */     GIR_RootConstrainSelectedInstOperands,
     /*  223124 */     // GIR_Coverage, 8140,
     /*  223124 */     GIR_EraseRootFromParent_Done,
     /*  223125 */   // Label 4415: @223125
     /*  223125 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(223199), // Rule ID 8143 //
     /*  223130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223170 */     // MIs[1] Operand 1
     /*  223170 */     // No operand predicates
     /*  223170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223179 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223197 */     GIR_RootConstrainSelectedInstOperands,
     /*  223198 */     // GIR_Coverage, 8143,
     /*  223198 */     GIR_EraseRootFromParent_Done,
     /*  223199 */   // Label 4416: @223199
     /*  223199 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223273), // Rule ID 8144 //
     /*  223204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223244 */     // MIs[1] Operand 1
     /*  223244 */     // No operand predicates
     /*  223244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223253 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223271 */     GIR_RootConstrainSelectedInstOperands,
     /*  223272 */     // GIR_Coverage, 8144,
     /*  223272 */     GIR_EraseRootFromParent_Done,
     /*  223273 */   // Label 4417: @223273
     /*  223273 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223347), // Rule ID 8147 //
     /*  223278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223318 */     // MIs[1] Operand 1
     /*  223318 */     // No operand predicates
     /*  223318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223327 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223345 */     GIR_RootConstrainSelectedInstOperands,
     /*  223346 */     // GIR_Coverage, 8147,
     /*  223346 */     GIR_EraseRootFromParent_Done,
     /*  223347 */   // Label 4418: @223347
     /*  223347 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223421), // Rule ID 8148 //
     /*  223352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223392 */     // MIs[1] Operand 1
     /*  223392 */     // No operand predicates
     /*  223392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223419 */     GIR_RootConstrainSelectedInstOperands,
     /*  223420 */     // GIR_Coverage, 8148,
     /*  223420 */     GIR_EraseRootFromParent_Done,
     /*  223421 */   // Label 4419: @223421
     /*  223421 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(223495), // Rule ID 8151 //
     /*  223426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223466 */     // MIs[1] Operand 1
     /*  223466 */     // No operand predicates
     /*  223466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223475 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223493 */     GIR_RootConstrainSelectedInstOperands,
     /*  223494 */     // GIR_Coverage, 8151,
     /*  223494 */     GIR_EraseRootFromParent_Done,
     /*  223495 */   // Label 4420: @223495
     /*  223495 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(223569), // Rule ID 8152 //
     /*  223500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223540 */     // MIs[1] Operand 1
     /*  223540 */     // No operand predicates
     /*  223540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223549 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223567 */     GIR_RootConstrainSelectedInstOperands,
     /*  223568 */     // GIR_Coverage, 8152,
     /*  223568 */     GIR_EraseRootFromParent_Done,
     /*  223569 */   // Label 4421: @223569
     /*  223569 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223643), // Rule ID 8155 //
     /*  223574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  223588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223614 */     // MIs[1] Operand 1
     /*  223614 */     // No operand predicates
     /*  223614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223641 */     GIR_RootConstrainSelectedInstOperands,
     /*  223642 */     // GIR_Coverage, 8155,
     /*  223642 */     GIR_EraseRootFromParent_Done,
     /*  223643 */   // Label 4422: @223643
     /*  223643 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223717), // Rule ID 8156 //
     /*  223648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  223662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223688 */     // MIs[1] Operand 1
     /*  223688 */     // No operand predicates
     /*  223688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223697 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223715 */     GIR_RootConstrainSelectedInstOperands,
     /*  223716 */     // GIR_Coverage, 8156,
     /*  223716 */     GIR_EraseRootFromParent_Done,
     /*  223717 */   // Label 4423: @223717
     /*  223717 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223791), // Rule ID 8159 //
     /*  223722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  223736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223762 */     // MIs[1] Operand 1
     /*  223762 */     // No operand predicates
     /*  223762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223771 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223789 */     GIR_RootConstrainSelectedInstOperands,
     /*  223790 */     // GIR_Coverage, 8159,
     /*  223790 */     GIR_EraseRootFromParent_Done,
     /*  223791 */   // Label 4424: @223791
     /*  223791 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223865), // Rule ID 8160 //
     /*  223796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  223810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223836 */     // MIs[1] Operand 1
     /*  223836 */     // No operand predicates
     /*  223836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223845 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223863 */     GIR_RootConstrainSelectedInstOperands,
     /*  223864 */     // GIR_Coverage, 8160,
     /*  223864 */     GIR_EraseRootFromParent_Done,
     /*  223865 */   // Label 4425: @223865
     /*  223865 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(223939), // Rule ID 8163 //
     /*  223870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  223881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  223884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223910 */     // MIs[1] Operand 1
     /*  223910 */     // No operand predicates
     /*  223910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223919 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223937 */     GIR_RootConstrainSelectedInstOperands,
     /*  223938 */     // GIR_Coverage, 8163,
     /*  223938 */     GIR_EraseRootFromParent_Done,
     /*  223939 */   // Label 4426: @223939
     /*  223939 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(224013), // Rule ID 8164 //
     /*  223944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  223955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  223958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223984 */     // MIs[1] Operand 1
     /*  223984 */     // No operand predicates
     /*  223984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223993 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224011 */     GIR_RootConstrainSelectedInstOperands,
     /*  224012 */     // GIR_Coverage, 8164,
     /*  224012 */     GIR_EraseRootFromParent_Done,
     /*  224013 */   // Label 4427: @224013
     /*  224013 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(224087), // Rule ID 8167 //
     /*  224018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224058 */     // MIs[1] Operand 1
     /*  224058 */     // No operand predicates
     /*  224058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224067 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224085 */     GIR_RootConstrainSelectedInstOperands,
     /*  224086 */     // GIR_Coverage, 8167,
     /*  224086 */     GIR_EraseRootFromParent_Done,
     /*  224087 */   // Label 4428: @224087
     /*  224087 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224161), // Rule ID 8168 //
     /*  224092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224132 */     // MIs[1] Operand 1
     /*  224132 */     // No operand predicates
     /*  224132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224159 */     GIR_RootConstrainSelectedInstOperands,
     /*  224160 */     // GIR_Coverage, 8168,
     /*  224160 */     GIR_EraseRootFromParent_Done,
     /*  224161 */   // Label 4429: @224161
     /*  224161 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224235), // Rule ID 8171 //
     /*  224166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224206 */     // MIs[1] Operand 1
     /*  224206 */     // No operand predicates
     /*  224206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224215 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224233 */     GIR_RootConstrainSelectedInstOperands,
     /*  224234 */     // GIR_Coverage, 8171,
     /*  224234 */     GIR_EraseRootFromParent_Done,
     /*  224235 */   // Label 4430: @224235
     /*  224235 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224309), // Rule ID 8172 //
     /*  224240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224280 */     // MIs[1] Operand 1
     /*  224280 */     // No operand predicates
     /*  224280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224289 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224307 */     GIR_RootConstrainSelectedInstOperands,
     /*  224308 */     // GIR_Coverage, 8172,
     /*  224308 */     GIR_EraseRootFromParent_Done,
     /*  224309 */   // Label 4431: @224309
     /*  224309 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224383), // Rule ID 8175 //
     /*  224314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224354 */     // MIs[1] Operand 1
     /*  224354 */     // No operand predicates
     /*  224354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224363 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224381 */     GIR_RootConstrainSelectedInstOperands,
     /*  224382 */     // GIR_Coverage, 8175,
     /*  224382 */     GIR_EraseRootFromParent_Done,
     /*  224383 */   // Label 4432: @224383
     /*  224383 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224457), // Rule ID 8176 //
     /*  224388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224428 */     // MIs[1] Operand 1
     /*  224428 */     // No operand predicates
     /*  224428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224437 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224455 */     GIR_RootConstrainSelectedInstOperands,
     /*  224456 */     // GIR_Coverage, 8176,
     /*  224456 */     GIR_EraseRootFromParent_Done,
     /*  224457 */   // Label 4433: @224457
     /*  224457 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224531), // Rule ID 8179 //
     /*  224462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224502 */     // MIs[1] Operand 1
     /*  224502 */     // No operand predicates
     /*  224502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224511 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224529 */     GIR_RootConstrainSelectedInstOperands,
     /*  224530 */     // GIR_Coverage, 8179,
     /*  224530 */     GIR_EraseRootFromParent_Done,
     /*  224531 */   // Label 4434: @224531
     /*  224531 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224605), // Rule ID 8180 //
     /*  224536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224576 */     // MIs[1] Operand 1
     /*  224576 */     // No operand predicates
     /*  224576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224603 */     GIR_RootConstrainSelectedInstOperands,
     /*  224604 */     // GIR_Coverage, 8180,
     /*  224604 */     GIR_EraseRootFromParent_Done,
     /*  224605 */   // Label 4435: @224605
     /*  224605 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224679), // Rule ID 8183 //
     /*  224610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  224624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224650 */     // MIs[1] Operand 1
     /*  224650 */     // No operand predicates
     /*  224650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224659 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224677 */     GIR_RootConstrainSelectedInstOperands,
     /*  224678 */     // GIR_Coverage, 8183,
     /*  224678 */     GIR_EraseRootFromParent_Done,
     /*  224679 */   // Label 4436: @224679
     /*  224679 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224753), // Rule ID 8184 //
     /*  224684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  224698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224724 */     // MIs[1] Operand 1
     /*  224724 */     // No operand predicates
     /*  224724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224733 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224751 */     GIR_RootConstrainSelectedInstOperands,
     /*  224752 */     // GIR_Coverage, 8184,
     /*  224752 */     GIR_EraseRootFromParent_Done,
     /*  224753 */   // Label 4437: @224753
     /*  224753 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224827), // Rule ID 8187 //
     /*  224758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  224772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224798 */     // MIs[1] Operand 1
     /*  224798 */     // No operand predicates
     /*  224798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224807 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224825 */     GIR_RootConstrainSelectedInstOperands,
     /*  224826 */     // GIR_Coverage, 8187,
     /*  224826 */     GIR_EraseRootFromParent_Done,
     /*  224827 */   // Label 4438: @224827
     /*  224827 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224901), // Rule ID 8188 //
     /*  224832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  224846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224872 */     // MIs[1] Operand 1
     /*  224872 */     // No operand predicates
     /*  224872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224881 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224899 */     GIR_RootConstrainSelectedInstOperands,
     /*  224900 */     // GIR_Coverage, 8188,
     /*  224900 */     GIR_EraseRootFromParent_Done,
     /*  224901 */   // Label 4439: @224901
     /*  224901 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(224975), // Rule ID 8191 //
     /*  224906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  224909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224946 */     // MIs[1] Operand 1
     /*  224946 */     // No operand predicates
     /*  224946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224955 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224973 */     GIR_RootConstrainSelectedInstOperands,
     /*  224974 */     // GIR_Coverage, 8191,
     /*  224974 */     GIR_EraseRootFromParent_Done,
     /*  224975 */   // Label 4440: @224975
     /*  224975 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(225049), // Rule ID 8192 //
     /*  224980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  224983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225020 */     // MIs[1] Operand 1
     /*  225020 */     // No operand predicates
     /*  225020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225047 */     GIR_RootConstrainSelectedInstOperands,
     /*  225048 */     // GIR_Coverage, 8192,
     /*  225048 */     GIR_EraseRootFromParent_Done,
     /*  225049 */   // Label 4441: @225049
     /*  225049 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225123), // Rule ID 8195 //
     /*  225054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225094 */     // MIs[1] Operand 1
     /*  225094 */     // No operand predicates
     /*  225094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225103 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225121 */     GIR_RootConstrainSelectedInstOperands,
     /*  225122 */     // GIR_Coverage, 8195,
     /*  225122 */     GIR_EraseRootFromParent_Done,
     /*  225123 */   // Label 4442: @225123
     /*  225123 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225197), // Rule ID 8196 //
     /*  225128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225168 */     // MIs[1] Operand 1
     /*  225168 */     // No operand predicates
     /*  225168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225177 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225195 */     GIR_RootConstrainSelectedInstOperands,
     /*  225196 */     // GIR_Coverage, 8196,
     /*  225196 */     GIR_EraseRootFromParent_Done,
     /*  225197 */   // Label 4443: @225197
     /*  225197 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225271), // Rule ID 8199 //
     /*  225202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225242 */     // MIs[1] Operand 1
     /*  225242 */     // No operand predicates
     /*  225242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225251 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225269 */     GIR_RootConstrainSelectedInstOperands,
     /*  225270 */     // GIR_Coverage, 8199,
     /*  225270 */     GIR_EraseRootFromParent_Done,
     /*  225271 */   // Label 4444: @225271
     /*  225271 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225345), // Rule ID 8200 //
     /*  225276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225316 */     // MIs[1] Operand 1
     /*  225316 */     // No operand predicates
     /*  225316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225343 */     GIR_RootConstrainSelectedInstOperands,
     /*  225344 */     // GIR_Coverage, 8200,
     /*  225344 */     GIR_EraseRootFromParent_Done,
     /*  225345 */   // Label 4445: @225345
     /*  225345 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225419), // Rule ID 8731 //
     /*  225350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225390 */     // MIs[1] Operand 1
     /*  225390 */     // No operand predicates
     /*  225390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225399 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225417 */     GIR_RootConstrainSelectedInstOperands,
     /*  225418 */     // GIR_Coverage, 8731,
     /*  225418 */     GIR_EraseRootFromParent_Done,
     /*  225419 */   // Label 4446: @225419
     /*  225419 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225493), // Rule ID 8732 //
     /*  225424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225464 */     // MIs[1] Operand 1
     /*  225464 */     // No operand predicates
     /*  225464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225491 */     GIR_RootConstrainSelectedInstOperands,
     /*  225492 */     // GIR_Coverage, 8732,
     /*  225492 */     GIR_EraseRootFromParent_Done,
     /*  225493 */   // Label 4447: @225493
     /*  225493 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225567), // Rule ID 8735 //
     /*  225498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225538 */     // MIs[1] Operand 1
     /*  225538 */     // No operand predicates
     /*  225538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225547 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225565 */     GIR_RootConstrainSelectedInstOperands,
     /*  225566 */     // GIR_Coverage, 8735,
     /*  225566 */     GIR_EraseRootFromParent_Done,
     /*  225567 */   // Label 4448: @225567
     /*  225567 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225641), // Rule ID 8736 //
     /*  225572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225612 */     // MIs[1] Operand 1
     /*  225612 */     // No operand predicates
     /*  225612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225639 */     GIR_RootConstrainSelectedInstOperands,
     /*  225640 */     // GIR_Coverage, 8736,
     /*  225640 */     GIR_EraseRootFromParent_Done,
     /*  225641 */   // Label 4449: @225641
     /*  225641 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225715), // Rule ID 8739 //
     /*  225646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  225660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225686 */     // MIs[1] Operand 1
     /*  225686 */     // No operand predicates
     /*  225686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225695 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  225698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225713 */     GIR_RootConstrainSelectedInstOperands,
     /*  225714 */     // GIR_Coverage, 8739,
     /*  225714 */     GIR_EraseRootFromParent_Done,
     /*  225715 */   // Label 4450: @225715
     /*  225715 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225789), // Rule ID 8740 //
     /*  225720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  225734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225760 */     // MIs[1] Operand 1
     /*  225760 */     // No operand predicates
     /*  225760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  225772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225787 */     GIR_RootConstrainSelectedInstOperands,
     /*  225788 */     // GIR_Coverage, 8740,
     /*  225788 */     GIR_EraseRootFromParent_Done,
     /*  225789 */   // Label 4451: @225789
     /*  225789 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225863), // Rule ID 8743 //
     /*  225794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  225808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225834 */     // MIs[1] Operand 1
     /*  225834 */     // No operand predicates
     /*  225834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225861 */     GIR_RootConstrainSelectedInstOperands,
     /*  225862 */     // GIR_Coverage, 8743,
     /*  225862 */     GIR_EraseRootFromParent_Done,
     /*  225863 */   // Label 4452: @225863
     /*  225863 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225937), // Rule ID 8744 //
     /*  225868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  225882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225908 */     // MIs[1] Operand 1
     /*  225908 */     // No operand predicates
     /*  225908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225935 */     GIR_RootConstrainSelectedInstOperands,
     /*  225936 */     // GIR_Coverage, 8744,
     /*  225936 */     GIR_EraseRootFromParent_Done,
     /*  225937 */   // Label 4453: @225937
     /*  225937 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(226011), // Rule ID 8747 //
     /*  225942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  225956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225982 */     // MIs[1] Operand 1
     /*  225982 */     // No operand predicates
     /*  225982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225991 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  225994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226009 */     GIR_RootConstrainSelectedInstOperands,
     /*  226010 */     // GIR_Coverage, 8747,
     /*  226010 */     GIR_EraseRootFromParent_Done,
     /*  226011 */   // Label 4454: @226011
     /*  226011 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(226085), // Rule ID 8748 //
     /*  226016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226056 */     // MIs[1] Operand 1
     /*  226056 */     // No operand predicates
     /*  226056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226083 */     GIR_RootConstrainSelectedInstOperands,
     /*  226084 */     // GIR_Coverage, 8748,
     /*  226084 */     GIR_EraseRootFromParent_Done,
     /*  226085 */   // Label 4455: @226085
     /*  226085 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(226159), // Rule ID 8751 //
     /*  226090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226130 */     // MIs[1] Operand 1
     /*  226130 */     // No operand predicates
     /*  226130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226139 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226157 */     GIR_RootConstrainSelectedInstOperands,
     /*  226158 */     // GIR_Coverage, 8751,
     /*  226158 */     GIR_EraseRootFromParent_Done,
     /*  226159 */   // Label 4456: @226159
     /*  226159 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(226233), // Rule ID 8752 //
     /*  226164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226204 */     // MIs[1] Operand 1
     /*  226204 */     // No operand predicates
     /*  226204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226231 */     GIR_RootConstrainSelectedInstOperands,
     /*  226232 */     // GIR_Coverage, 8752,
     /*  226232 */     GIR_EraseRootFromParent_Done,
     /*  226233 */   // Label 4457: @226233
     /*  226233 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(226307), // Rule ID 8755 //
     /*  226238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226278 */     // MIs[1] Operand 1
     /*  226278 */     // No operand predicates
     /*  226278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226287 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226305 */     GIR_RootConstrainSelectedInstOperands,
     /*  226306 */     // GIR_Coverage, 8755,
     /*  226306 */     GIR_EraseRootFromParent_Done,
     /*  226307 */   // Label 4458: @226307
     /*  226307 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(226381), // Rule ID 8756 //
     /*  226312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226352 */     // MIs[1] Operand 1
     /*  226352 */     // No operand predicates
     /*  226352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226361 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226379 */     GIR_RootConstrainSelectedInstOperands,
     /*  226380 */     // GIR_Coverage, 8756,
     /*  226380 */     GIR_EraseRootFromParent_Done,
     /*  226381 */   // Label 4459: @226381
     /*  226381 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(226455), // Rule ID 8759 //
     /*  226386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226426 */     // MIs[1] Operand 1
     /*  226426 */     // No operand predicates
     /*  226426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226453 */     GIR_RootConstrainSelectedInstOperands,
     /*  226454 */     // GIR_Coverage, 8759,
     /*  226454 */     GIR_EraseRootFromParent_Done,
     /*  226455 */   // Label 4460: @226455
     /*  226455 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(226529), // Rule ID 8760 //
     /*  226460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226500 */     // MIs[1] Operand 1
     /*  226500 */     // No operand predicates
     /*  226500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226527 */     GIR_RootConstrainSelectedInstOperands,
     /*  226528 */     // GIR_Coverage, 8760,
     /*  226528 */     GIR_EraseRootFromParent_Done,
     /*  226529 */   // Label 4461: @226529
     /*  226529 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(226603), // Rule ID 8763 //
     /*  226534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226574 */     // MIs[1] Operand 1
     /*  226574 */     // No operand predicates
     /*  226574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226601 */     GIR_RootConstrainSelectedInstOperands,
     /*  226602 */     // GIR_Coverage, 8763,
     /*  226602 */     GIR_EraseRootFromParent_Done,
     /*  226603 */   // Label 4462: @226603
     /*  226603 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226677), // Rule ID 8764 //
     /*  226608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226648 */     // MIs[1] Operand 1
     /*  226648 */     // No operand predicates
     /*  226648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226675 */     GIR_RootConstrainSelectedInstOperands,
     /*  226676 */     // GIR_Coverage, 8764,
     /*  226676 */     GIR_EraseRootFromParent_Done,
     /*  226677 */   // Label 4463: @226677
     /*  226677 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226751), // Rule ID 8767 //
     /*  226682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  226696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226722 */     // MIs[1] Operand 1
     /*  226722 */     // No operand predicates
     /*  226722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226731 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226749 */     GIR_RootConstrainSelectedInstOperands,
     /*  226750 */     // GIR_Coverage, 8767,
     /*  226750 */     GIR_EraseRootFromParent_Done,
     /*  226751 */   // Label 4464: @226751
     /*  226751 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226825), // Rule ID 8768 //
     /*  226756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  226770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226796 */     // MIs[1] Operand 1
     /*  226796 */     // No operand predicates
     /*  226796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226805 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226823 */     GIR_RootConstrainSelectedInstOperands,
     /*  226824 */     // GIR_Coverage, 8768,
     /*  226824 */     GIR_EraseRootFromParent_Done,
     /*  226825 */   // Label 4465: @226825
     /*  226825 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226899), // Rule ID 8771 //
     /*  226830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  226844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226870 */     // MIs[1] Operand 1
     /*  226870 */     // No operand predicates
     /*  226870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226897 */     GIR_RootConstrainSelectedInstOperands,
     /*  226898 */     // GIR_Coverage, 8771,
     /*  226898 */     GIR_EraseRootFromParent_Done,
     /*  226899 */   // Label 4466: @226899
     /*  226899 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226973), // Rule ID 8772 //
     /*  226904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  226918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226944 */     // MIs[1] Operand 1
     /*  226944 */     // No operand predicates
     /*  226944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226971 */     GIR_RootConstrainSelectedInstOperands,
     /*  226972 */     // GIR_Coverage, 8772,
     /*  226972 */     GIR_EraseRootFromParent_Done,
     /*  226973 */   // Label 4467: @226973
     /*  226973 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(227047), // Rule ID 8775 //
     /*  226978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  226989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  226992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227018 */     // MIs[1] Operand 1
     /*  227018 */     // No operand predicates
     /*  227018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227027 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227045 */     GIR_RootConstrainSelectedInstOperands,
     /*  227046 */     // GIR_Coverage, 8775,
     /*  227046 */     GIR_EraseRootFromParent_Done,
     /*  227047 */   // Label 4468: @227047
     /*  227047 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(227121), // Rule ID 8776 //
     /*  227052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227092 */     // MIs[1] Operand 1
     /*  227092 */     // No operand predicates
     /*  227092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227101 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227119 */     GIR_RootConstrainSelectedInstOperands,
     /*  227120 */     // GIR_Coverage, 8776,
     /*  227120 */     GIR_EraseRootFromParent_Done,
     /*  227121 */   // Label 4469: @227121
     /*  227121 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(227195), // Rule ID 8779 //
     /*  227126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227166 */     // MIs[1] Operand 1
     /*  227166 */     // No operand predicates
     /*  227166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227175 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227193 */     GIR_RootConstrainSelectedInstOperands,
     /*  227194 */     // GIR_Coverage, 8779,
     /*  227194 */     GIR_EraseRootFromParent_Done,
     /*  227195 */   // Label 4470: @227195
     /*  227195 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(227269), // Rule ID 8780 //
     /*  227200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227240 */     // MIs[1] Operand 1
     /*  227240 */     // No operand predicates
     /*  227240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227249 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227267 */     GIR_RootConstrainSelectedInstOperands,
     /*  227268 */     // GIR_Coverage, 8780,
     /*  227268 */     GIR_EraseRootFromParent_Done,
     /*  227269 */   // Label 4471: @227269
     /*  227269 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(227343), // Rule ID 8783 //
     /*  227274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227314 */     // MIs[1] Operand 1
     /*  227314 */     // No operand predicates
     /*  227314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227341 */     GIR_RootConstrainSelectedInstOperands,
     /*  227342 */     // GIR_Coverage, 8783,
     /*  227342 */     GIR_EraseRootFromParent_Done,
     /*  227343 */   // Label 4472: @227343
     /*  227343 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(227417), // Rule ID 8784 //
     /*  227348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227388 */     // MIs[1] Operand 1
     /*  227388 */     // No operand predicates
     /*  227388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227397 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227415 */     GIR_RootConstrainSelectedInstOperands,
     /*  227416 */     // GIR_Coverage, 8784,
     /*  227416 */     GIR_EraseRootFromParent_Done,
     /*  227417 */   // Label 4473: @227417
     /*  227417 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(227491), // Rule ID 8787 //
     /*  227422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227462 */     // MIs[1] Operand 1
     /*  227462 */     // No operand predicates
     /*  227462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227471 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227489 */     GIR_RootConstrainSelectedInstOperands,
     /*  227490 */     // GIR_Coverage, 8787,
     /*  227490 */     GIR_EraseRootFromParent_Done,
     /*  227491 */   // Label 4474: @227491
     /*  227491 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(227565), // Rule ID 8788 //
     /*  227496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227536 */     // MIs[1] Operand 1
     /*  227536 */     // No operand predicates
     /*  227536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227545 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227563 */     GIR_RootConstrainSelectedInstOperands,
     /*  227564 */     // GIR_Coverage, 8788,
     /*  227564 */     GIR_EraseRootFromParent_Done,
     /*  227565 */   // Label 4475: @227565
     /*  227565 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227639), // Rule ID 8791 //
     /*  227570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227610 */     // MIs[1] Operand 1
     /*  227610 */     // No operand predicates
     /*  227610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227619 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227637 */     GIR_RootConstrainSelectedInstOperands,
     /*  227638 */     // GIR_Coverage, 8791,
     /*  227638 */     GIR_EraseRootFromParent_Done,
     /*  227639 */   // Label 4476: @227639
     /*  227639 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227713), // Rule ID 8792 //
     /*  227644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227684 */     // MIs[1] Operand 1
     /*  227684 */     // No operand predicates
     /*  227684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227693 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227711 */     GIR_RootConstrainSelectedInstOperands,
     /*  227712 */     // GIR_Coverage, 8792,
     /*  227712 */     GIR_EraseRootFromParent_Done,
     /*  227713 */   // Label 4477: @227713
     /*  227713 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227787), // Rule ID 8795 //
     /*  227718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227758 */     // MIs[1] Operand 1
     /*  227758 */     // No operand predicates
     /*  227758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227767 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227785 */     GIR_RootConstrainSelectedInstOperands,
     /*  227786 */     // GIR_Coverage, 8795,
     /*  227786 */     GIR_EraseRootFromParent_Done,
     /*  227787 */   // Label 4478: @227787
     /*  227787 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227861), // Rule ID 8796 //
     /*  227792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227832 */     // MIs[1] Operand 1
     /*  227832 */     // No operand predicates
     /*  227832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227841 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227859 */     GIR_RootConstrainSelectedInstOperands,
     /*  227860 */     // GIR_Coverage, 8796,
     /*  227860 */     GIR_EraseRootFromParent_Done,
     /*  227861 */   // Label 4479: @227861
     /*  227861 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(227935), // Rule ID 8799 //
     /*  227866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227906 */     // MIs[1] Operand 1
     /*  227906 */     // No operand predicates
     /*  227906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227915 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227933 */     GIR_RootConstrainSelectedInstOperands,
     /*  227934 */     // GIR_Coverage, 8799,
     /*  227934 */     GIR_EraseRootFromParent_Done,
     /*  227935 */   // Label 4480: @227935
     /*  227935 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(228009), // Rule ID 8800 //
     /*  227940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227980 */     // MIs[1] Operand 1
     /*  227980 */     // No operand predicates
     /*  227980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228007 */     GIR_RootConstrainSelectedInstOperands,
     /*  228008 */     // GIR_Coverage, 8800,
     /*  228008 */     GIR_EraseRootFromParent_Done,
     /*  228009 */   // Label 4481: @228009
     /*  228009 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(228083), // Rule ID 8803 //
     /*  228014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228054 */     // MIs[1] Operand 1
     /*  228054 */     // No operand predicates
     /*  228054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228063 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228081 */     GIR_RootConstrainSelectedInstOperands,
     /*  228082 */     // GIR_Coverage, 8803,
     /*  228082 */     GIR_EraseRootFromParent_Done,
     /*  228083 */   // Label 4482: @228083
     /*  228083 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(228157), // Rule ID 8804 //
     /*  228088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228128 */     // MIs[1] Operand 1
     /*  228128 */     // No operand predicates
     /*  228128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228137 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228155 */     GIR_RootConstrainSelectedInstOperands,
     /*  228156 */     // GIR_Coverage, 8804,
     /*  228156 */     GIR_EraseRootFromParent_Done,
     /*  228157 */   // Label 4483: @228157
     /*  228157 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(228231), // Rule ID 8807 //
     /*  228162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228202 */     // MIs[1] Operand 1
     /*  228202 */     // No operand predicates
     /*  228202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228211 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228229 */     GIR_RootConstrainSelectedInstOperands,
     /*  228230 */     // GIR_Coverage, 8807,
     /*  228230 */     GIR_EraseRootFromParent_Done,
     /*  228231 */   // Label 4484: @228231
     /*  228231 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(228305), // Rule ID 8808 //
     /*  228236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228276 */     // MIs[1] Operand 1
     /*  228276 */     // No operand predicates
     /*  228276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228285 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228303 */     GIR_RootConstrainSelectedInstOperands,
     /*  228304 */     // GIR_Coverage, 8808,
     /*  228304 */     GIR_EraseRootFromParent_Done,
     /*  228305 */   // Label 4485: @228305
     /*  228305 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(228379), // Rule ID 8811 //
     /*  228310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228350 */     // MIs[1] Operand 1
     /*  228350 */     // No operand predicates
     /*  228350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228377 */     GIR_RootConstrainSelectedInstOperands,
     /*  228378 */     // GIR_Coverage, 8811,
     /*  228378 */     GIR_EraseRootFromParent_Done,
     /*  228379 */   // Label 4486: @228379
     /*  228379 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(228453), // Rule ID 8812 //
     /*  228384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228424 */     // MIs[1] Operand 1
     /*  228424 */     // No operand predicates
     /*  228424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228451 */     GIR_RootConstrainSelectedInstOperands,
     /*  228452 */     // GIR_Coverage, 8812,
     /*  228452 */     GIR_EraseRootFromParent_Done,
     /*  228453 */   // Label 4487: @228453
     /*  228453 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(228527), // Rule ID 8815 //
     /*  228458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228498 */     // MIs[1] Operand 1
     /*  228498 */     // No operand predicates
     /*  228498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228525 */     GIR_RootConstrainSelectedInstOperands,
     /*  228526 */     // GIR_Coverage, 8815,
     /*  228526 */     GIR_EraseRootFromParent_Done,
     /*  228527 */   // Label 4488: @228527
     /*  228527 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(228601), // Rule ID 8816 //
     /*  228532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228572 */     // MIs[1] Operand 1
     /*  228572 */     // No operand predicates
     /*  228572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228581 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228599 */     GIR_RootConstrainSelectedInstOperands,
     /*  228600 */     // GIR_Coverage, 8816,
     /*  228600 */     GIR_EraseRootFromParent_Done,
     /*  228601 */   // Label 4489: @228601
     /*  228601 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228675), // Rule ID 8995 //
     /*  228606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  228620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228646 */     // MIs[1] Operand 1
     /*  228646 */     // No operand predicates
     /*  228646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228655 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  228658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228673 */     GIR_RootConstrainSelectedInstOperands,
     /*  228674 */     // GIR_Coverage, 8995,
     /*  228674 */     GIR_EraseRootFromParent_Done,
     /*  228675 */   // Label 4490: @228675
     /*  228675 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228749), // Rule ID 8996 //
     /*  228680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  228694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228720 */     // MIs[1] Operand 1
     /*  228720 */     // No operand predicates
     /*  228720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  228732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228747 */     GIR_RootConstrainSelectedInstOperands,
     /*  228748 */     // GIR_Coverage, 8996,
     /*  228748 */     GIR_EraseRootFromParent_Done,
     /*  228749 */   // Label 4491: @228749
     /*  228749 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228823), // Rule ID 8999 //
     /*  228754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  228768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228794 */     // MIs[1] Operand 1
     /*  228794 */     // No operand predicates
     /*  228794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228803 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  228806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228821 */     GIR_RootConstrainSelectedInstOperands,
     /*  228822 */     // GIR_Coverage, 8999,
     /*  228822 */     GIR_EraseRootFromParent_Done,
     /*  228823 */   // Label 4492: @228823
     /*  228823 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228897), // Rule ID 9000 //
     /*  228828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  228842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228868 */     // MIs[1] Operand 1
     /*  228868 */     // No operand predicates
     /*  228868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  228880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228895 */     GIR_RootConstrainSelectedInstOperands,
     /*  228896 */     // GIR_Coverage, 9000,
     /*  228896 */     GIR_EraseRootFromParent_Done,
     /*  228897 */   // Label 4493: @228897
     /*  228897 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(228971), // Rule ID 9003 //
     /*  228902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  228916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228942 */     // MIs[1] Operand 1
     /*  228942 */     // No operand predicates
     /*  228942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228951 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  228954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228969 */     GIR_RootConstrainSelectedInstOperands,
     /*  228970 */     // GIR_Coverage, 9003,
     /*  228970 */     GIR_EraseRootFromParent_Done,
     /*  228971 */   // Label 4494: @228971
     /*  228971 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(229045), // Rule ID 9004 //
     /*  228976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  228990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229016 */     // MIs[1] Operand 1
     /*  229016 */     // No operand predicates
     /*  229016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229043 */     GIR_RootConstrainSelectedInstOperands,
     /*  229044 */     // GIR_Coverage, 9004,
     /*  229044 */     GIR_EraseRootFromParent_Done,
     /*  229045 */   // Label 4495: @229045
     /*  229045 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(229119), // Rule ID 9007 //
     /*  229050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229090 */     // MIs[1] Operand 1
     /*  229090 */     // No operand predicates
     /*  229090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229099 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229117 */     GIR_RootConstrainSelectedInstOperands,
     /*  229118 */     // GIR_Coverage, 9007,
     /*  229118 */     GIR_EraseRootFromParent_Done,
     /*  229119 */   // Label 4496: @229119
     /*  229119 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(229193), // Rule ID 9008 //
     /*  229124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229164 */     // MIs[1] Operand 1
     /*  229164 */     // No operand predicates
     /*  229164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229191 */     GIR_RootConstrainSelectedInstOperands,
     /*  229192 */     // GIR_Coverage, 9008,
     /*  229192 */     GIR_EraseRootFromParent_Done,
     /*  229193 */   // Label 4497: @229193
     /*  229193 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(229267), // Rule ID 9011 //
     /*  229198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229238 */     // MIs[1] Operand 1
     /*  229238 */     // No operand predicates
     /*  229238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229247 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229265 */     GIR_RootConstrainSelectedInstOperands,
     /*  229266 */     // GIR_Coverage, 9011,
     /*  229266 */     GIR_EraseRootFromParent_Done,
     /*  229267 */   // Label 4498: @229267
     /*  229267 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(229341), // Rule ID 9012 //
     /*  229272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229312 */     // MIs[1] Operand 1
     /*  229312 */     // No operand predicates
     /*  229312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229321 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229339 */     GIR_RootConstrainSelectedInstOperands,
     /*  229340 */     // GIR_Coverage, 9012,
     /*  229340 */     GIR_EraseRootFromParent_Done,
     /*  229341 */   // Label 4499: @229341
     /*  229341 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(229415), // Rule ID 9015 //
     /*  229346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229386 */     // MIs[1] Operand 1
     /*  229386 */     // No operand predicates
     /*  229386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229395 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229413 */     GIR_RootConstrainSelectedInstOperands,
     /*  229414 */     // GIR_Coverage, 9015,
     /*  229414 */     GIR_EraseRootFromParent_Done,
     /*  229415 */   // Label 4500: @229415
     /*  229415 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(229489), // Rule ID 9016 //
     /*  229420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229460 */     // MIs[1] Operand 1
     /*  229460 */     // No operand predicates
     /*  229460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229469 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229487 */     GIR_RootConstrainSelectedInstOperands,
     /*  229488 */     // GIR_Coverage, 9016,
     /*  229488 */     GIR_EraseRootFromParent_Done,
     /*  229489 */   // Label 4501: @229489
     /*  229489 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(229563), // Rule ID 9019 //
     /*  229494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229534 */     // MIs[1] Operand 1
     /*  229534 */     // No operand predicates
     /*  229534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229543 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229561 */     GIR_RootConstrainSelectedInstOperands,
     /*  229562 */     // GIR_Coverage, 9019,
     /*  229562 */     GIR_EraseRootFromParent_Done,
     /*  229563 */   // Label 4502: @229563
     /*  229563 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229637), // Rule ID 9020 //
     /*  229568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229608 */     // MIs[1] Operand 1
     /*  229608 */     // No operand predicates
     /*  229608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229635 */     GIR_RootConstrainSelectedInstOperands,
     /*  229636 */     // GIR_Coverage, 9020,
     /*  229636 */     GIR_EraseRootFromParent_Done,
     /*  229637 */   // Label 4503: @229637
     /*  229637 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229711), // Rule ID 9023 //
     /*  229642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  229656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229682 */     // MIs[1] Operand 1
     /*  229682 */     // No operand predicates
     /*  229682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229691 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229709 */     GIR_RootConstrainSelectedInstOperands,
     /*  229710 */     // GIR_Coverage, 9023,
     /*  229710 */     GIR_EraseRootFromParent_Done,
     /*  229711 */   // Label 4504: @229711
     /*  229711 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229785), // Rule ID 9024 //
     /*  229716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  229730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229756 */     // MIs[1] Operand 1
     /*  229756 */     // No operand predicates
     /*  229756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229783 */     GIR_RootConstrainSelectedInstOperands,
     /*  229784 */     // GIR_Coverage, 9024,
     /*  229784 */     GIR_EraseRootFromParent_Done,
     /*  229785 */   // Label 4505: @229785
     /*  229785 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229859), // Rule ID 9027 //
     /*  229790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  229804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229830 */     // MIs[1] Operand 1
     /*  229830 */     // No operand predicates
     /*  229830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229839 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229857 */     GIR_RootConstrainSelectedInstOperands,
     /*  229858 */     // GIR_Coverage, 9027,
     /*  229858 */     GIR_EraseRootFromParent_Done,
     /*  229859 */   // Label 4506: @229859
     /*  229859 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(229933), // Rule ID 9028 //
     /*  229864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  229878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229904 */     // MIs[1] Operand 1
     /*  229904 */     // No operand predicates
     /*  229904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229931 */     GIR_RootConstrainSelectedInstOperands,
     /*  229932 */     // GIR_Coverage, 9028,
     /*  229932 */     GIR_EraseRootFromParent_Done,
     /*  229933 */   // Label 4507: @229933
     /*  229933 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(230007), // Rule ID 9031 //
     /*  229938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  229952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229978 */     // MIs[1] Operand 1
     /*  229978 */     // No operand predicates
     /*  229978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229987 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230005 */     GIR_RootConstrainSelectedInstOperands,
     /*  230006 */     // GIR_Coverage, 9031,
     /*  230006 */     GIR_EraseRootFromParent_Done,
     /*  230007 */   // Label 4508: @230007
     /*  230007 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(230081), // Rule ID 9032 //
     /*  230012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230052 */     // MIs[1] Operand 1
     /*  230052 */     // No operand predicates
     /*  230052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230079 */     GIR_RootConstrainSelectedInstOperands,
     /*  230080 */     // GIR_Coverage, 9032,
     /*  230080 */     GIR_EraseRootFromParent_Done,
     /*  230081 */   // Label 4509: @230081
     /*  230081 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(230155), // Rule ID 9035 //
     /*  230086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230126 */     // MIs[1] Operand 1
     /*  230126 */     // No operand predicates
     /*  230126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230135 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230153 */     GIR_RootConstrainSelectedInstOperands,
     /*  230154 */     // GIR_Coverage, 9035,
     /*  230154 */     GIR_EraseRootFromParent_Done,
     /*  230155 */   // Label 4510: @230155
     /*  230155 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(230229), // Rule ID 9036 //
     /*  230160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230200 */     // MIs[1] Operand 1
     /*  230200 */     // No operand predicates
     /*  230200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230209 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230227 */     GIR_RootConstrainSelectedInstOperands,
     /*  230228 */     // GIR_Coverage, 9036,
     /*  230228 */     GIR_EraseRootFromParent_Done,
     /*  230229 */   // Label 4511: @230229
     /*  230229 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(230303), // Rule ID 9039 //
     /*  230234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230274 */     // MIs[1] Operand 1
     /*  230274 */     // No operand predicates
     /*  230274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230283 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230301 */     GIR_RootConstrainSelectedInstOperands,
     /*  230302 */     // GIR_Coverage, 9039,
     /*  230302 */     GIR_EraseRootFromParent_Done,
     /*  230303 */   // Label 4512: @230303
     /*  230303 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(230377), // Rule ID 9040 //
     /*  230308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230348 */     // MIs[1] Operand 1
     /*  230348 */     // No operand predicates
     /*  230348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230357 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230375 */     GIR_RootConstrainSelectedInstOperands,
     /*  230376 */     // GIR_Coverage, 9040,
     /*  230376 */     GIR_EraseRootFromParent_Done,
     /*  230377 */   // Label 4513: @230377
     /*  230377 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(230451), // Rule ID 9043 //
     /*  230382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230422 */     // MIs[1] Operand 1
     /*  230422 */     // No operand predicates
     /*  230422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230431 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230449 */     GIR_RootConstrainSelectedInstOperands,
     /*  230450 */     // GIR_Coverage, 9043,
     /*  230450 */     GIR_EraseRootFromParent_Done,
     /*  230451 */   // Label 4514: @230451
     /*  230451 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(230525), // Rule ID 9044 //
     /*  230456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230496 */     // MIs[1] Operand 1
     /*  230496 */     // No operand predicates
     /*  230496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230505 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230523 */     GIR_RootConstrainSelectedInstOperands,
     /*  230524 */     // GIR_Coverage, 9044,
     /*  230524 */     GIR_EraseRootFromParent_Done,
     /*  230525 */   // Label 4515: @230525
     /*  230525 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(230599), // Rule ID 9047 //
     /*  230530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230570 */     // MIs[1] Operand 1
     /*  230570 */     // No operand predicates
     /*  230570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230597 */     GIR_RootConstrainSelectedInstOperands,
     /*  230598 */     // GIR_Coverage, 9047,
     /*  230598 */     GIR_EraseRootFromParent_Done,
     /*  230599 */   // Label 4516: @230599
     /*  230599 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230673), // Rule ID 9048 //
     /*  230604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230644 */     // MIs[1] Operand 1
     /*  230644 */     // No operand predicates
     /*  230644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230671 */     GIR_RootConstrainSelectedInstOperands,
     /*  230672 */     // GIR_Coverage, 9048,
     /*  230672 */     GIR_EraseRootFromParent_Done,
     /*  230673 */   // Label 4517: @230673
     /*  230673 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230747), // Rule ID 9051 //
     /*  230678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  230692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230718 */     // MIs[1] Operand 1
     /*  230718 */     // No operand predicates
     /*  230718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230727 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230745 */     GIR_RootConstrainSelectedInstOperands,
     /*  230746 */     // GIR_Coverage, 9051,
     /*  230746 */     GIR_EraseRootFromParent_Done,
     /*  230747 */   // Label 4518: @230747
     /*  230747 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230821), // Rule ID 9052 //
     /*  230752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  230766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230792 */     // MIs[1] Operand 1
     /*  230792 */     // No operand predicates
     /*  230792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230819 */     GIR_RootConstrainSelectedInstOperands,
     /*  230820 */     // GIR_Coverage, 9052,
     /*  230820 */     GIR_EraseRootFromParent_Done,
     /*  230821 */   // Label 4519: @230821
     /*  230821 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230895), // Rule ID 9055 //
     /*  230826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  230840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230866 */     // MIs[1] Operand 1
     /*  230866 */     // No operand predicates
     /*  230866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230875 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230893 */     GIR_RootConstrainSelectedInstOperands,
     /*  230894 */     // GIR_Coverage, 9055,
     /*  230894 */     GIR_EraseRootFromParent_Done,
     /*  230895 */   // Label 4520: @230895
     /*  230895 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(230969), // Rule ID 9056 //
     /*  230900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  230914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230940 */     // MIs[1] Operand 1
     /*  230940 */     // No operand predicates
     /*  230940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230949 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230967 */     GIR_RootConstrainSelectedInstOperands,
     /*  230968 */     // GIR_Coverage, 9056,
     /*  230968 */     GIR_EraseRootFromParent_Done,
     /*  230969 */   // Label 4521: @230969
     /*  230969 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(231043), // Rule ID 9059 //
     /*  230974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  230988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231014 */     // MIs[1] Operand 1
     /*  231014 */     // No operand predicates
     /*  231014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231023 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231041 */     GIR_RootConstrainSelectedInstOperands,
     /*  231042 */     // GIR_Coverage, 9059,
     /*  231042 */     GIR_EraseRootFromParent_Done,
     /*  231043 */   // Label 4522: @231043
     /*  231043 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(231117), // Rule ID 9060 //
     /*  231048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231088 */     // MIs[1] Operand 1
     /*  231088 */     // No operand predicates
     /*  231088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231115 */     GIR_RootConstrainSelectedInstOperands,
     /*  231116 */     // GIR_Coverage, 9060,
     /*  231116 */     GIR_EraseRootFromParent_Done,
     /*  231117 */   // Label 4523: @231117
     /*  231117 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(231191), // Rule ID 9063 //
     /*  231122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231162 */     // MIs[1] Operand 1
     /*  231162 */     // No operand predicates
     /*  231162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231189 */     GIR_RootConstrainSelectedInstOperands,
     /*  231190 */     // GIR_Coverage, 9063,
     /*  231190 */     GIR_EraseRootFromParent_Done,
     /*  231191 */   // Label 4524: @231191
     /*  231191 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(231265), // Rule ID 9064 //
     /*  231196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231236 */     // MIs[1] Operand 1
     /*  231236 */     // No operand predicates
     /*  231236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231245 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231263 */     GIR_RootConstrainSelectedInstOperands,
     /*  231264 */     // GIR_Coverage, 9064,
     /*  231264 */     GIR_EraseRootFromParent_Done,
     /*  231265 */   // Label 4525: @231265
     /*  231265 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(231339), // Rule ID 9067 //
     /*  231270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231310 */     // MIs[1] Operand 1
     /*  231310 */     // No operand predicates
     /*  231310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231319 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231337 */     GIR_RootConstrainSelectedInstOperands,
     /*  231338 */     // GIR_Coverage, 9067,
     /*  231338 */     GIR_EraseRootFromParent_Done,
     /*  231339 */   // Label 4526: @231339
     /*  231339 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(231413), // Rule ID 9068 //
     /*  231344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231384 */     // MIs[1] Operand 1
     /*  231384 */     // No operand predicates
     /*  231384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231393 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231411 */     GIR_RootConstrainSelectedInstOperands,
     /*  231412 */     // GIR_Coverage, 9068,
     /*  231412 */     GIR_EraseRootFromParent_Done,
     /*  231413 */   // Label 4527: @231413
     /*  231413 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(231487), // Rule ID 9071 //
     /*  231418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231458 */     // MIs[1] Operand 1
     /*  231458 */     // No operand predicates
     /*  231458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231485 */     GIR_RootConstrainSelectedInstOperands,
     /*  231486 */     // GIR_Coverage, 9071,
     /*  231486 */     GIR_EraseRootFromParent_Done,
     /*  231487 */   // Label 4528: @231487
     /*  231487 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(231561), // Rule ID 9072 //
     /*  231492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231532 */     // MIs[1] Operand 1
     /*  231532 */     // No operand predicates
     /*  231532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231559 */     GIR_RootConstrainSelectedInstOperands,
     /*  231560 */     // GIR_Coverage, 9072,
     /*  231560 */     GIR_EraseRootFromParent_Done,
     /*  231561 */   // Label 4529: @231561
     /*  231561 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231635), // Rule ID 9075 //
     /*  231566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231606 */     // MIs[1] Operand 1
     /*  231606 */     // No operand predicates
     /*  231606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231615 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231633 */     GIR_RootConstrainSelectedInstOperands,
     /*  231634 */     // GIR_Coverage, 9075,
     /*  231634 */     GIR_EraseRootFromParent_Done,
     /*  231635 */   // Label 4530: @231635
     /*  231635 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231709), // Rule ID 9076 //
     /*  231640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231680 */     // MIs[1] Operand 1
     /*  231680 */     // No operand predicates
     /*  231680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231707 */     GIR_RootConstrainSelectedInstOperands,
     /*  231708 */     // GIR_Coverage, 9076,
     /*  231708 */     GIR_EraseRootFromParent_Done,
     /*  231709 */   // Label 4531: @231709
     /*  231709 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231783), // Rule ID 9079 //
     /*  231714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  231728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231754 */     // MIs[1] Operand 1
     /*  231754 */     // No operand predicates
     /*  231754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231781 */     GIR_RootConstrainSelectedInstOperands,
     /*  231782 */     // GIR_Coverage, 9079,
     /*  231782 */     GIR_EraseRootFromParent_Done,
     /*  231783 */   // Label 4532: @231783
     /*  231783 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231857), // Rule ID 9080 //
     /*  231788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  231802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231828 */     // MIs[1] Operand 1
     /*  231828 */     // No operand predicates
     /*  231828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231837 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231855 */     GIR_RootConstrainSelectedInstOperands,
     /*  231856 */     // GIR_Coverage, 9080,
     /*  231856 */     GIR_EraseRootFromParent_Done,
     /*  231857 */   // Label 4533: @231857
     /*  231857 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(231931), // Rule ID 9171 //
     /*  231862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  231876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231902 */     // MIs[1] Operand 1
     /*  231902 */     // No operand predicates
     /*  231902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  231914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231929 */     GIR_RootConstrainSelectedInstOperands,
     /*  231930 */     // GIR_Coverage, 9171,
     /*  231930 */     GIR_EraseRootFromParent_Done,
     /*  231931 */   // Label 4534: @231931
     /*  231931 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(232005), // Rule ID 9172 //
     /*  231936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  231950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231976 */     // MIs[1] Operand 1
     /*  231976 */     // No operand predicates
     /*  231976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  231988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232003 */     GIR_RootConstrainSelectedInstOperands,
     /*  232004 */     // GIR_Coverage, 9172,
     /*  232004 */     GIR_EraseRootFromParent_Done,
     /*  232005 */   // Label 4535: @232005
     /*  232005 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(232079), // Rule ID 9175 //
     /*  232010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  232024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232050 */     // MIs[1] Operand 1
     /*  232050 */     // No operand predicates
     /*  232050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232077 */     GIR_RootConstrainSelectedInstOperands,
     /*  232078 */     // GIR_Coverage, 9175,
     /*  232078 */     GIR_EraseRootFromParent_Done,
     /*  232079 */   // Label 4536: @232079
     /*  232079 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(232153), // Rule ID 9176 //
     /*  232084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  232098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232124 */     // MIs[1] Operand 1
     /*  232124 */     // No operand predicates
     /*  232124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232151 */     GIR_RootConstrainSelectedInstOperands,
     /*  232152 */     // GIR_Coverage, 9176,
     /*  232152 */     GIR_EraseRootFromParent_Done,
     /*  232153 */   // Label 4537: @232153
     /*  232153 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(232227), // Rule ID 9179 //
     /*  232158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232198 */     // MIs[1] Operand 1
     /*  232198 */     // No operand predicates
     /*  232198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232225 */     GIR_RootConstrainSelectedInstOperands,
     /*  232226 */     // GIR_Coverage, 9179,
     /*  232226 */     GIR_EraseRootFromParent_Done,
     /*  232227 */   // Label 4538: @232227
     /*  232227 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(232301), // Rule ID 9180 //
     /*  232232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232272 */     // MIs[1] Operand 1
     /*  232272 */     // No operand predicates
     /*  232272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232281 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232299 */     GIR_RootConstrainSelectedInstOperands,
     /*  232300 */     // GIR_Coverage, 9180,
     /*  232300 */     GIR_EraseRootFromParent_Done,
     /*  232301 */   // Label 4539: @232301
     /*  232301 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(232375), // Rule ID 9183 //
     /*  232306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232346 */     // MIs[1] Operand 1
     /*  232346 */     // No operand predicates
     /*  232346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232373 */     GIR_RootConstrainSelectedInstOperands,
     /*  232374 */     // GIR_Coverage, 9183,
     /*  232374 */     GIR_EraseRootFromParent_Done,
     /*  232375 */   // Label 4540: @232375
     /*  232375 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(232449), // Rule ID 9184 //
     /*  232380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232420 */     // MIs[1] Operand 1
     /*  232420 */     // No operand predicates
     /*  232420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232429 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232447 */     GIR_RootConstrainSelectedInstOperands,
     /*  232448 */     // GIR_Coverage, 9184,
     /*  232448 */     GIR_EraseRootFromParent_Done,
     /*  232449 */   // Label 4541: @232449
     /*  232449 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(232523), // Rule ID 9187 //
     /*  232454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232494 */     // MIs[1] Operand 1
     /*  232494 */     // No operand predicates
     /*  232494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232521 */     GIR_RootConstrainSelectedInstOperands,
     /*  232522 */     // GIR_Coverage, 9187,
     /*  232522 */     GIR_EraseRootFromParent_Done,
     /*  232523 */   // Label 4542: @232523
     /*  232523 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(232597), // Rule ID 9188 //
     /*  232528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232568 */     // MIs[1] Operand 1
     /*  232568 */     // No operand predicates
     /*  232568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232595 */     GIR_RootConstrainSelectedInstOperands,
     /*  232596 */     // GIR_Coverage, 9188,
     /*  232596 */     GIR_EraseRootFromParent_Done,
     /*  232597 */   // Label 4543: @232597
     /*  232597 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232671), // Rule ID 9191 //
     /*  232602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232642 */     // MIs[1] Operand 1
     /*  232642 */     // No operand predicates
     /*  232642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232651 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232669 */     GIR_RootConstrainSelectedInstOperands,
     /*  232670 */     // GIR_Coverage, 9191,
     /*  232670 */     GIR_EraseRootFromParent_Done,
     /*  232671 */   // Label 4544: @232671
     /*  232671 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232745), // Rule ID 9192 //
     /*  232676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232716 */     // MIs[1] Operand 1
     /*  232716 */     // No operand predicates
     /*  232716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232725 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232743 */     GIR_RootConstrainSelectedInstOperands,
     /*  232744 */     // GIR_Coverage, 9192,
     /*  232744 */     GIR_EraseRootFromParent_Done,
     /*  232745 */   // Label 4545: @232745
     /*  232745 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232819), // Rule ID 9195 //
     /*  232750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  232764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232790 */     // MIs[1] Operand 1
     /*  232790 */     // No operand predicates
     /*  232790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232799 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232817 */     GIR_RootConstrainSelectedInstOperands,
     /*  232818 */     // GIR_Coverage, 9195,
     /*  232818 */     GIR_EraseRootFromParent_Done,
     /*  232819 */   // Label 4546: @232819
     /*  232819 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232893), // Rule ID 9196 //
     /*  232824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  232838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232864 */     // MIs[1] Operand 1
     /*  232864 */     // No operand predicates
     /*  232864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232891 */     GIR_RootConstrainSelectedInstOperands,
     /*  232892 */     // GIR_Coverage, 9196,
     /*  232892 */     GIR_EraseRootFromParent_Done,
     /*  232893 */   // Label 4547: @232893
     /*  232893 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(232967), // Rule ID 9199 //
     /*  232898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232938 */     // MIs[1] Operand 1
     /*  232938 */     // No operand predicates
     /*  232938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232947 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232965 */     GIR_RootConstrainSelectedInstOperands,
     /*  232966 */     // GIR_Coverage, 9199,
     /*  232966 */     GIR_EraseRootFromParent_Done,
     /*  232967 */   // Label 4548: @232967
     /*  232967 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(233041), // Rule ID 9200 //
     /*  232972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233012 */     // MIs[1] Operand 1
     /*  233012 */     // No operand predicates
     /*  233012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233039 */     GIR_RootConstrainSelectedInstOperands,
     /*  233040 */     // GIR_Coverage, 9200,
     /*  233040 */     GIR_EraseRootFromParent_Done,
     /*  233041 */   // Label 4549: @233041
     /*  233041 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(233115), // Rule ID 9203 //
     /*  233046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233086 */     // MIs[1] Operand 1
     /*  233086 */     // No operand predicates
     /*  233086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233095 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233113 */     GIR_RootConstrainSelectedInstOperands,
     /*  233114 */     // GIR_Coverage, 9203,
     /*  233114 */     GIR_EraseRootFromParent_Done,
     /*  233115 */   // Label 4550: @233115
     /*  233115 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(233189), // Rule ID 9204 //
     /*  233120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233160 */     // MIs[1] Operand 1
     /*  233160 */     // No operand predicates
     /*  233160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233187 */     GIR_RootConstrainSelectedInstOperands,
     /*  233188 */     // GIR_Coverage, 9204,
     /*  233188 */     GIR_EraseRootFromParent_Done,
     /*  233189 */   // Label 4551: @233189
     /*  233189 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(233263), // Rule ID 9207 //
     /*  233194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233234 */     // MIs[1] Operand 1
     /*  233234 */     // No operand predicates
     /*  233234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233243 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233261 */     GIR_RootConstrainSelectedInstOperands,
     /*  233262 */     // GIR_Coverage, 9207,
     /*  233262 */     GIR_EraseRootFromParent_Done,
     /*  233263 */   // Label 4552: @233263
     /*  233263 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(233337), // Rule ID 9208 //
     /*  233268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233308 */     // MIs[1] Operand 1
     /*  233308 */     // No operand predicates
     /*  233308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233335 */     GIR_RootConstrainSelectedInstOperands,
     /*  233336 */     // GIR_Coverage, 9208,
     /*  233336 */     GIR_EraseRootFromParent_Done,
     /*  233337 */   // Label 4553: @233337
     /*  233337 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(233411), // Rule ID 9211 //
     /*  233342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233382 */     // MIs[1] Operand 1
     /*  233382 */     // No operand predicates
     /*  233382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233391 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233409 */     GIR_RootConstrainSelectedInstOperands,
     /*  233410 */     // GIR_Coverage, 9211,
     /*  233410 */     GIR_EraseRootFromParent_Done,
     /*  233411 */   // Label 4554: @233411
     /*  233411 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(233485), // Rule ID 9212 //
     /*  233416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233456 */     // MIs[1] Operand 1
     /*  233456 */     // No operand predicates
     /*  233456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233465 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233483 */     GIR_RootConstrainSelectedInstOperands,
     /*  233484 */     // GIR_Coverage, 9212,
     /*  233484 */     GIR_EraseRootFromParent_Done,
     /*  233485 */   // Label 4555: @233485
     /*  233485 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(233559), // Rule ID 9215 //
     /*  233490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233530 */     // MIs[1] Operand 1
     /*  233530 */     // No operand predicates
     /*  233530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233539 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233557 */     GIR_RootConstrainSelectedInstOperands,
     /*  233558 */     // GIR_Coverage, 9215,
     /*  233558 */     GIR_EraseRootFromParent_Done,
     /*  233559 */   // Label 4556: @233559
     /*  233559 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(233633), // Rule ID 9216 //
     /*  233564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233604 */     // MIs[1] Operand 1
     /*  233604 */     // No operand predicates
     /*  233604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233613 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233631 */     GIR_RootConstrainSelectedInstOperands,
     /*  233632 */     // GIR_Coverage, 9216,
     /*  233632 */     GIR_EraseRootFromParent_Done,
     /*  233633 */   // Label 4557: @233633
     /*  233633 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(233707), // Rule ID 9219 //
     /*  233638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  233649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  233652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233678 */     // MIs[1] Operand 1
     /*  233678 */     // No operand predicates
     /*  233678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233687 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233705 */     GIR_RootConstrainSelectedInstOperands,
     /*  233706 */     // GIR_Coverage, 9219,
     /*  233706 */     GIR_EraseRootFromParent_Done,
     /*  233707 */   // Label 4558: @233707
     /*  233707 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233781), // Rule ID 9220 //
     /*  233712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  233723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  233726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233752 */     // MIs[1] Operand 1
     /*  233752 */     // No operand predicates
     /*  233752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233761 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233779 */     GIR_RootConstrainSelectedInstOperands,
     /*  233780 */     // GIR_Coverage, 9220,
     /*  233780 */     GIR_EraseRootFromParent_Done,
     /*  233781 */   // Label 4559: @233781
     /*  233781 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233855), // Rule ID 9223 //
     /*  233786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  233800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233826 */     // MIs[1] Operand 1
     /*  233826 */     // No operand predicates
     /*  233826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233853 */     GIR_RootConstrainSelectedInstOperands,
     /*  233854 */     // GIR_Coverage, 9223,
     /*  233854 */     GIR_EraseRootFromParent_Done,
     /*  233855 */   // Label 4560: @233855
     /*  233855 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(233929), // Rule ID 9224 //
     /*  233860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  233874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233900 */     // MIs[1] Operand 1
     /*  233900 */     // No operand predicates
     /*  233900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233909 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233927 */     GIR_RootConstrainSelectedInstOperands,
     /*  233928 */     // GIR_Coverage, 9224,
     /*  233928 */     GIR_EraseRootFromParent_Done,
     /*  233929 */   // Label 4561: @233929
     /*  233929 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(234003), // Rule ID 9227 //
     /*  233934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  233948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233974 */     // MIs[1] Operand 1
     /*  233974 */     // No operand predicates
     /*  233974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233983 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234001 */     GIR_RootConstrainSelectedInstOperands,
     /*  234002 */     // GIR_Coverage, 9227,
     /*  234002 */     GIR_EraseRootFromParent_Done,
     /*  234003 */   // Label 4562: @234003
     /*  234003 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(234077), // Rule ID 9228 //
     /*  234008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234048 */     // MIs[1] Operand 1
     /*  234048 */     // No operand predicates
     /*  234048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234057 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234075 */     GIR_RootConstrainSelectedInstOperands,
     /*  234076 */     // GIR_Coverage, 9228,
     /*  234076 */     GIR_EraseRootFromParent_Done,
     /*  234077 */   // Label 4563: @234077
     /*  234077 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(234151), // Rule ID 9231 //
     /*  234082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234122 */     // MIs[1] Operand 1
     /*  234122 */     // No operand predicates
     /*  234122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234131 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234149 */     GIR_RootConstrainSelectedInstOperands,
     /*  234150 */     // GIR_Coverage, 9231,
     /*  234150 */     GIR_EraseRootFromParent_Done,
     /*  234151 */   // Label 4564: @234151
     /*  234151 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(234225), // Rule ID 9232 //
     /*  234156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234196 */     // MIs[1] Operand 1
     /*  234196 */     // No operand predicates
     /*  234196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234205 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234223 */     GIR_RootConstrainSelectedInstOperands,
     /*  234224 */     // GIR_Coverage, 9232,
     /*  234224 */     GIR_EraseRootFromParent_Done,
     /*  234225 */   // Label 4565: @234225
     /*  234225 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(234299), // Rule ID 9235 //
     /*  234230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234270 */     // MIs[1] Operand 1
     /*  234270 */     // No operand predicates
     /*  234270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234297 */     GIR_RootConstrainSelectedInstOperands,
     /*  234298 */     // GIR_Coverage, 9235,
     /*  234298 */     GIR_EraseRootFromParent_Done,
     /*  234299 */   // Label 4566: @234299
     /*  234299 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(234373), // Rule ID 9236 //
     /*  234304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234344 */     // MIs[1] Operand 1
     /*  234344 */     // No operand predicates
     /*  234344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234371 */     GIR_RootConstrainSelectedInstOperands,
     /*  234372 */     // GIR_Coverage, 9236,
     /*  234372 */     GIR_EraseRootFromParent_Done,
     /*  234373 */   // Label 4567: @234373
     /*  234373 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(234447), // Rule ID 9239 //
     /*  234378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234418 */     // MIs[1] Operand 1
     /*  234418 */     // No operand predicates
     /*  234418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234445 */     GIR_RootConstrainSelectedInstOperands,
     /*  234446 */     // GIR_Coverage, 9239,
     /*  234446 */     GIR_EraseRootFromParent_Done,
     /*  234447 */   // Label 4568: @234447
     /*  234447 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(234521), // Rule ID 9240 //
     /*  234452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234492 */     // MIs[1] Operand 1
     /*  234492 */     // No operand predicates
     /*  234492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234519 */     GIR_RootConstrainSelectedInstOperands,
     /*  234520 */     // GIR_Coverage, 9240,
     /*  234520 */     GIR_EraseRootFromParent_Done,
     /*  234521 */   // Label 4569: @234521
     /*  234521 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(234595), // Rule ID 9243 //
     /*  234526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234566 */     // MIs[1] Operand 1
     /*  234566 */     // No operand predicates
     /*  234566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234575 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234593 */     GIR_RootConstrainSelectedInstOperands,
     /*  234594 */     // GIR_Coverage, 9243,
     /*  234594 */     GIR_EraseRootFromParent_Done,
     /*  234595 */   // Label 4570: @234595
     /*  234595 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(234669), // Rule ID 9244 //
     /*  234600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234640 */     // MIs[1] Operand 1
     /*  234640 */     // No operand predicates
     /*  234640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234649 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234667 */     GIR_RootConstrainSelectedInstOperands,
     /*  234668 */     // GIR_Coverage, 9244,
     /*  234668 */     GIR_EraseRootFromParent_Done,
     /*  234669 */   // Label 4571: @234669
     /*  234669 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(234743), // Rule ID 9247 //
     /*  234674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  234688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234714 */     // MIs[1] Operand 1
     /*  234714 */     // No operand predicates
     /*  234714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234723 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234741 */     GIR_RootConstrainSelectedInstOperands,
     /*  234742 */     // GIR_Coverage, 9247,
     /*  234742 */     GIR_EraseRootFromParent_Done,
     /*  234743 */   // Label 4572: @234743
     /*  234743 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(234817), // Rule ID 9248 //
     /*  234748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  234762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234788 */     // MIs[1] Operand 1
     /*  234788 */     // No operand predicates
     /*  234788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234815 */     GIR_RootConstrainSelectedInstOperands,
     /*  234816 */     // GIR_Coverage, 9248,
     /*  234816 */     GIR_EraseRootFromParent_Done,
     /*  234817 */   // Label 4573: @234817
     /*  234817 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234891), // Rule ID 9251 //
     /*  234822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  234836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234862 */     // MIs[1] Operand 1
     /*  234862 */     // No operand predicates
     /*  234862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234889 */     GIR_RootConstrainSelectedInstOperands,
     /*  234890 */     // GIR_Coverage, 9251,
     /*  234890 */     GIR_EraseRootFromParent_Done,
     /*  234891 */   // Label 4574: @234891
     /*  234891 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(234965), // Rule ID 9252 //
     /*  234896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  234910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234936 */     // MIs[1] Operand 1
     /*  234936 */     // No operand predicates
     /*  234936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234963 */     GIR_RootConstrainSelectedInstOperands,
     /*  234964 */     // GIR_Coverage, 9252,
     /*  234964 */     GIR_EraseRootFromParent_Done,
     /*  234965 */   // Label 4575: @234965
     /*  234965 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(235039), // Rule ID 9255 //
     /*  234970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  234984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235010 */     // MIs[1] Operand 1
     /*  235010 */     // No operand predicates
     /*  235010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235019 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235037 */     GIR_RootConstrainSelectedInstOperands,
     /*  235038 */     // GIR_Coverage, 9255,
     /*  235038 */     GIR_EraseRootFromParent_Done,
     /*  235039 */   // Label 4576: @235039
     /*  235039 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(235113), // Rule ID 9256 //
     /*  235044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235084 */     // MIs[1] Operand 1
     /*  235084 */     // No operand predicates
     /*  235084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235093 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235111 */     GIR_RootConstrainSelectedInstOperands,
     /*  235112 */     // GIR_Coverage, 9256,
     /*  235112 */     GIR_EraseRootFromParent_Done,
     /*  235113 */   // Label 4577: @235113
     /*  235113 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(235187), // Rule ID 9347 //
     /*  235118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235158 */     // MIs[1] Operand 1
     /*  235158 */     // No operand predicates
     /*  235158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235167 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235185 */     GIR_RootConstrainSelectedInstOperands,
     /*  235186 */     // GIR_Coverage, 9347,
     /*  235186 */     GIR_EraseRootFromParent_Done,
     /*  235187 */   // Label 4578: @235187
     /*  235187 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(235261), // Rule ID 9348 //
     /*  235192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235232 */     // MIs[1] Operand 1
     /*  235232 */     // No operand predicates
     /*  235232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235259 */     GIR_RootConstrainSelectedInstOperands,
     /*  235260 */     // GIR_Coverage, 9348,
     /*  235260 */     GIR_EraseRootFromParent_Done,
     /*  235261 */   // Label 4579: @235261
     /*  235261 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(235335), // Rule ID 9351 //
     /*  235266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235306 */     // MIs[1] Operand 1
     /*  235306 */     // No operand predicates
     /*  235306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235315 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235333 */     GIR_RootConstrainSelectedInstOperands,
     /*  235334 */     // GIR_Coverage, 9351,
     /*  235334 */     GIR_EraseRootFromParent_Done,
     /*  235335 */   // Label 4580: @235335
     /*  235335 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(235409), // Rule ID 9352 //
     /*  235340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235380 */     // MIs[1] Operand 1
     /*  235380 */     // No operand predicates
     /*  235380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235407 */     GIR_RootConstrainSelectedInstOperands,
     /*  235408 */     // GIR_Coverage, 9352,
     /*  235408 */     GIR_EraseRootFromParent_Done,
     /*  235409 */   // Label 4581: @235409
     /*  235409 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(235483), // Rule ID 9355 //
     /*  235414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235454 */     // MIs[1] Operand 1
     /*  235454 */     // No operand predicates
     /*  235454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235463 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235481 */     GIR_RootConstrainSelectedInstOperands,
     /*  235482 */     // GIR_Coverage, 9355,
     /*  235482 */     GIR_EraseRootFromParent_Done,
     /*  235483 */   // Label 4582: @235483
     /*  235483 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(235557), // Rule ID 9356 //
     /*  235488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235528 */     // MIs[1] Operand 1
     /*  235528 */     // No operand predicates
     /*  235528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235537 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235555 */     GIR_RootConstrainSelectedInstOperands,
     /*  235556 */     // GIR_Coverage, 9356,
     /*  235556 */     GIR_EraseRootFromParent_Done,
     /*  235557 */   // Label 4583: @235557
     /*  235557 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(235631), // Rule ID 9359 //
     /*  235562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235602 */     // MIs[1] Operand 1
     /*  235602 */     // No operand predicates
     /*  235602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235629 */     GIR_RootConstrainSelectedInstOperands,
     /*  235630 */     // GIR_Coverage, 9359,
     /*  235630 */     GIR_EraseRootFromParent_Done,
     /*  235631 */   // Label 4584: @235631
     /*  235631 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(235705), // Rule ID 9360 //
     /*  235636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235676 */     // MIs[1] Operand 1
     /*  235676 */     // No operand predicates
     /*  235676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235685 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235703 */     GIR_RootConstrainSelectedInstOperands,
     /*  235704 */     // GIR_Coverage, 9360,
     /*  235704 */     GIR_EraseRootFromParent_Done,
     /*  235705 */   // Label 4585: @235705
     /*  235705 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(235779), // Rule ID 9363 //
     /*  235710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  235724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235750 */     // MIs[1] Operand 1
     /*  235750 */     // No operand predicates
     /*  235750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235759 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235777 */     GIR_RootConstrainSelectedInstOperands,
     /*  235778 */     // GIR_Coverage, 9363,
     /*  235778 */     GIR_EraseRootFromParent_Done,
     /*  235779 */   // Label 4586: @235779
     /*  235779 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(235853), // Rule ID 9364 //
     /*  235784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  235798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235824 */     // MIs[1] Operand 1
     /*  235824 */     // No operand predicates
     /*  235824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235833 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235851 */     GIR_RootConstrainSelectedInstOperands,
     /*  235852 */     // GIR_Coverage, 9364,
     /*  235852 */     GIR_EraseRootFromParent_Done,
     /*  235853 */   // Label 4587: @235853
     /*  235853 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(235927), // Rule ID 9367 //
     /*  235858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  235872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235898 */     // MIs[1] Operand 1
     /*  235898 */     // No operand predicates
     /*  235898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235907 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235925 */     GIR_RootConstrainSelectedInstOperands,
     /*  235926 */     // GIR_Coverage, 9367,
     /*  235926 */     GIR_EraseRootFromParent_Done,
     /*  235927 */   // Label 4588: @235927
     /*  235927 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(236001), // Rule ID 9368 //
     /*  235932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  235946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235972 */     // MIs[1] Operand 1
     /*  235972 */     // No operand predicates
     /*  235972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235999 */     GIR_RootConstrainSelectedInstOperands,
     /*  236000 */     // GIR_Coverage, 9368,
     /*  236000 */     GIR_EraseRootFromParent_Done,
     /*  236001 */   // Label 4589: @236001
     /*  236001 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(236075), // Rule ID 9371 //
     /*  236006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  236020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236046 */     // MIs[1] Operand 1
     /*  236046 */     // No operand predicates
     /*  236046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236055 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236073 */     GIR_RootConstrainSelectedInstOperands,
     /*  236074 */     // GIR_Coverage, 9371,
     /*  236074 */     GIR_EraseRootFromParent_Done,
     /*  236075 */   // Label 4590: @236075
     /*  236075 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(236149), // Rule ID 9372 //
     /*  236080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  236094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236120 */     // MIs[1] Operand 1
     /*  236120 */     // No operand predicates
     /*  236120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236129 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236147 */     GIR_RootConstrainSelectedInstOperands,
     /*  236148 */     // GIR_Coverage, 9372,
     /*  236148 */     GIR_EraseRootFromParent_Done,
     /*  236149 */   // Label 4591: @236149
     /*  236149 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(236223), // Rule ID 9375 //
     /*  236154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236194 */     // MIs[1] Operand 1
     /*  236194 */     // No operand predicates
     /*  236194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236221 */     GIR_RootConstrainSelectedInstOperands,
     /*  236222 */     // GIR_Coverage, 9375,
     /*  236222 */     GIR_EraseRootFromParent_Done,
     /*  236223 */   // Label 4592: @236223
     /*  236223 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(236297), // Rule ID 9376 //
     /*  236228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236268 */     // MIs[1] Operand 1
     /*  236268 */     // No operand predicates
     /*  236268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236295 */     GIR_RootConstrainSelectedInstOperands,
     /*  236296 */     // GIR_Coverage, 9376,
     /*  236296 */     GIR_EraseRootFromParent_Done,
     /*  236297 */   // Label 4593: @236297
     /*  236297 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(236371), // Rule ID 9379 //
     /*  236302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236342 */     // MIs[1] Operand 1
     /*  236342 */     // No operand predicates
     /*  236342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236351 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236369 */     GIR_RootConstrainSelectedInstOperands,
     /*  236370 */     // GIR_Coverage, 9379,
     /*  236370 */     GIR_EraseRootFromParent_Done,
     /*  236371 */   // Label 4594: @236371
     /*  236371 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(236445), // Rule ID 9380 //
     /*  236376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236416 */     // MIs[1] Operand 1
     /*  236416 */     // No operand predicates
     /*  236416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236425 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236443 */     GIR_RootConstrainSelectedInstOperands,
     /*  236444 */     // GIR_Coverage, 9380,
     /*  236444 */     GIR_EraseRootFromParent_Done,
     /*  236445 */   // Label 4595: @236445
     /*  236445 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(236519), // Rule ID 9383 //
     /*  236450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236490 */     // MIs[1] Operand 1
     /*  236490 */     // No operand predicates
     /*  236490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236517 */     GIR_RootConstrainSelectedInstOperands,
     /*  236518 */     // GIR_Coverage, 9383,
     /*  236518 */     GIR_EraseRootFromParent_Done,
     /*  236519 */   // Label 4596: @236519
     /*  236519 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(236593), // Rule ID 9384 //
     /*  236524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236564 */     // MIs[1] Operand 1
     /*  236564 */     // No operand predicates
     /*  236564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236573 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236591 */     GIR_RootConstrainSelectedInstOperands,
     /*  236592 */     // GIR_Coverage, 9384,
     /*  236592 */     GIR_EraseRootFromParent_Done,
     /*  236593 */   // Label 4597: @236593
     /*  236593 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(236667), // Rule ID 9387 //
     /*  236598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  236612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236638 */     // MIs[1] Operand 1
     /*  236638 */     // No operand predicates
     /*  236638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236647 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236665 */     GIR_RootConstrainSelectedInstOperands,
     /*  236666 */     // GIR_Coverage, 9387,
     /*  236666 */     GIR_EraseRootFromParent_Done,
     /*  236667 */   // Label 4598: @236667
     /*  236667 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(236741), // Rule ID 9388 //
     /*  236672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  236686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236712 */     // MIs[1] Operand 1
     /*  236712 */     // No operand predicates
     /*  236712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236739 */     GIR_RootConstrainSelectedInstOperands,
     /*  236740 */     // GIR_Coverage, 9388,
     /*  236740 */     GIR_EraseRootFromParent_Done,
     /*  236741 */   // Label 4599: @236741
     /*  236741 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(236815), // Rule ID 9391 //
     /*  236746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  236760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236786 */     // MIs[1] Operand 1
     /*  236786 */     // No operand predicates
     /*  236786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236795 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236813 */     GIR_RootConstrainSelectedInstOperands,
     /*  236814 */     // GIR_Coverage, 9391,
     /*  236814 */     GIR_EraseRootFromParent_Done,
     /*  236815 */   // Label 4600: @236815
     /*  236815 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(236889), // Rule ID 9392 //
     /*  236820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  236834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236860 */     // MIs[1] Operand 1
     /*  236860 */     // No operand predicates
     /*  236860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236869 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236887 */     GIR_RootConstrainSelectedInstOperands,
     /*  236888 */     // GIR_Coverage, 9392,
     /*  236888 */     GIR_EraseRootFromParent_Done,
     /*  236889 */   // Label 4601: @236889
     /*  236889 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(236963), // Rule ID 9395 //
     /*  236894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  236905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  236908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236934 */     // MIs[1] Operand 1
     /*  236934 */     // No operand predicates
     /*  236934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236943 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  236946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236961 */     GIR_RootConstrainSelectedInstOperands,
     /*  236962 */     // GIR_Coverage, 9395,
     /*  236962 */     GIR_EraseRootFromParent_Done,
     /*  236963 */   // Label 4602: @236963
     /*  236963 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(237037), // Rule ID 9396 //
     /*  236968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  236979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  236982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237008 */     // MIs[1] Operand 1
     /*  237008 */     // No operand predicates
     /*  237008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237017 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237035 */     GIR_RootConstrainSelectedInstOperands,
     /*  237036 */     // GIR_Coverage, 9396,
     /*  237036 */     GIR_EraseRootFromParent_Done,
     /*  237037 */   // Label 4603: @237037
     /*  237037 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(237111), // Rule ID 9399 //
     /*  237042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237082 */     // MIs[1] Operand 1
     /*  237082 */     // No operand predicates
     /*  237082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237109 */     GIR_RootConstrainSelectedInstOperands,
     /*  237110 */     // GIR_Coverage, 9399,
     /*  237110 */     GIR_EraseRootFromParent_Done,
     /*  237111 */   // Label 4604: @237111
     /*  237111 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(237185), // Rule ID 9400 //
     /*  237116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237156 */     // MIs[1] Operand 1
     /*  237156 */     // No operand predicates
     /*  237156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237183 */     GIR_RootConstrainSelectedInstOperands,
     /*  237184 */     // GIR_Coverage, 9400,
     /*  237184 */     GIR_EraseRootFromParent_Done,
     /*  237185 */   // Label 4605: @237185
     /*  237185 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(237259), // Rule ID 9403 //
     /*  237190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237230 */     // MIs[1] Operand 1
     /*  237230 */     // No operand predicates
     /*  237230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237239 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237257 */     GIR_RootConstrainSelectedInstOperands,
     /*  237258 */     // GIR_Coverage, 9403,
     /*  237258 */     GIR_EraseRootFromParent_Done,
     /*  237259 */   // Label 4606: @237259
     /*  237259 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(237333), // Rule ID 9404 //
     /*  237264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237304 */     // MIs[1] Operand 1
     /*  237304 */     // No operand predicates
     /*  237304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237313 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237331 */     GIR_RootConstrainSelectedInstOperands,
     /*  237332 */     // GIR_Coverage, 9404,
     /*  237332 */     GIR_EraseRootFromParent_Done,
     /*  237333 */   // Label 4607: @237333
     /*  237333 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(237407), // Rule ID 9407 //
     /*  237338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237378 */     // MIs[1] Operand 1
     /*  237378 */     // No operand predicates
     /*  237378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237387 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237405 */     GIR_RootConstrainSelectedInstOperands,
     /*  237406 */     // GIR_Coverage, 9407,
     /*  237406 */     GIR_EraseRootFromParent_Done,
     /*  237407 */   // Label 4608: @237407
     /*  237407 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(237481), // Rule ID 9408 //
     /*  237412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237452 */     // MIs[1] Operand 1
     /*  237452 */     // No operand predicates
     /*  237452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237461 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237479 */     GIR_RootConstrainSelectedInstOperands,
     /*  237480 */     // GIR_Coverage, 9408,
     /*  237480 */     GIR_EraseRootFromParent_Done,
     /*  237481 */   // Label 4609: @237481
     /*  237481 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(237555), // Rule ID 9411 //
     /*  237486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237526 */     // MIs[1] Operand 1
     /*  237526 */     // No operand predicates
     /*  237526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237553 */     GIR_RootConstrainSelectedInstOperands,
     /*  237554 */     // GIR_Coverage, 9411,
     /*  237554 */     GIR_EraseRootFromParent_Done,
     /*  237555 */   // Label 4610: @237555
     /*  237555 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(237629), // Rule ID 9412 //
     /*  237560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237600 */     // MIs[1] Operand 1
     /*  237600 */     // No operand predicates
     /*  237600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237627 */     GIR_RootConstrainSelectedInstOperands,
     /*  237628 */     // GIR_Coverage, 9412,
     /*  237628 */     GIR_EraseRootFromParent_Done,
     /*  237629 */   // Label 4611: @237629
     /*  237629 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(237703), // Rule ID 9415 //
     /*  237634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237674 */     // MIs[1] Operand 1
     /*  237674 */     // No operand predicates
     /*  237674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237683 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237701 */     GIR_RootConstrainSelectedInstOperands,
     /*  237702 */     // GIR_Coverage, 9415,
     /*  237702 */     GIR_EraseRootFromParent_Done,
     /*  237703 */   // Label 4612: @237703
     /*  237703 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(237777), // Rule ID 9416 //
     /*  237708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237748 */     // MIs[1] Operand 1
     /*  237748 */     // No operand predicates
     /*  237748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237775 */     GIR_RootConstrainSelectedInstOperands,
     /*  237776 */     // GIR_Coverage, 9416,
     /*  237776 */     GIR_EraseRootFromParent_Done,
     /*  237777 */   // Label 4613: @237777
     /*  237777 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(237851), // Rule ID 9419 //
     /*  237782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237822 */     // MIs[1] Operand 1
     /*  237822 */     // No operand predicates
     /*  237822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237831 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237849 */     GIR_RootConstrainSelectedInstOperands,
     /*  237850 */     // GIR_Coverage, 9419,
     /*  237850 */     GIR_EraseRootFromParent_Done,
     /*  237851 */   // Label 4614: @237851
     /*  237851 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(237925), // Rule ID 9420 //
     /*  237856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237896 */     // MIs[1] Operand 1
     /*  237896 */     // No operand predicates
     /*  237896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237905 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237923 */     GIR_RootConstrainSelectedInstOperands,
     /*  237924 */     // GIR_Coverage, 9420,
     /*  237924 */     GIR_EraseRootFromParent_Done,
     /*  237925 */   // Label 4615: @237925
     /*  237925 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(237999), // Rule ID 9423 //
     /*  237930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  237933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  237944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237970 */     // MIs[1] Operand 1
     /*  237970 */     // No operand predicates
     /*  237970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237979 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237997 */     GIR_RootConstrainSelectedInstOperands,
     /*  237998 */     // GIR_Coverage, 9423,
     /*  237998 */     GIR_EraseRootFromParent_Done,
     /*  237999 */   // Label 4616: @237999
     /*  237999 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(238073), // Rule ID 9424 //
     /*  238004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238044 */     // MIs[1] Operand 1
     /*  238044 */     // No operand predicates
     /*  238044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238053 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238071 */     GIR_RootConstrainSelectedInstOperands,
     /*  238072 */     // GIR_Coverage, 9424,
     /*  238072 */     GIR_EraseRootFromParent_Done,
     /*  238073 */   // Label 4617: @238073
     /*  238073 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(238147), // Rule ID 9427 //
     /*  238078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238118 */     // MIs[1] Operand 1
     /*  238118 */     // No operand predicates
     /*  238118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238127 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238145 */     GIR_RootConstrainSelectedInstOperands,
     /*  238146 */     // GIR_Coverage, 9427,
     /*  238146 */     GIR_EraseRootFromParent_Done,
     /*  238147 */   // Label 4618: @238147
     /*  238147 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(238221), // Rule ID 9428 //
     /*  238152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238192 */     // MIs[1] Operand 1
     /*  238192 */     // No operand predicates
     /*  238192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238219 */     GIR_RootConstrainSelectedInstOperands,
     /*  238220 */     // GIR_Coverage, 9428,
     /*  238220 */     GIR_EraseRootFromParent_Done,
     /*  238221 */   // Label 4619: @238221
     /*  238221 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(238295), // Rule ID 9431 //
     /*  238226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238266 */     // MIs[1] Operand 1
     /*  238266 */     // No operand predicates
     /*  238266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238275 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238293 */     GIR_RootConstrainSelectedInstOperands,
     /*  238294 */     // GIR_Coverage, 9431,
     /*  238294 */     GIR_EraseRootFromParent_Done,
     /*  238295 */   // Label 4620: @238295
     /*  238295 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(238369), // Rule ID 9432 //
     /*  238300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238340 */     // MIs[1] Operand 1
     /*  238340 */     // No operand predicates
     /*  238340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238349 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238367 */     GIR_RootConstrainSelectedInstOperands,
     /*  238368 */     // GIR_Coverage, 9432,
     /*  238368 */     GIR_EraseRootFromParent_Done,
     /*  238369 */   // Label 4621: @238369
     /*  238369 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(238425), // Rule ID 64353 //
     /*  238374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  238377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  238382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  238388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238396 */     // MIs[0] pts
     /*  238396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  238399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  238404 */     // MIs[0] radix
     /*  238404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  238407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  238412 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  238412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  238415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238419 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  238421 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  238423 */     GIR_RootConstrainSelectedInstOperands,
     /*  238424 */     // GIR_Coverage, 64353,
     /*  238424 */     GIR_EraseRootFromParent_Done,
     /*  238425 */   // Label 4622: @238425
     /*  238425 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(238488), // Rule ID 2569 //
     /*  238430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  238433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  238441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238469 */     // (intrinsic_wo_chain:{ *:[i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  238469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238476 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238486 */     GIR_RootConstrainSelectedInstOperands,
     /*  238487 */     // GIR_Coverage, 2569,
     /*  238487 */     GIR_EraseRootFromParent_Done,
     /*  238488 */   // Label 4623: @238488
     /*  238488 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(238551), // Rule ID 2570 //
     /*  238493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  238496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238532 */     // (intrinsic_wo_chain:{ *:[i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  238532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238539 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238549 */     GIR_RootConstrainSelectedInstOperands,
     /*  238550 */     // GIR_Coverage, 2570,
     /*  238550 */     GIR_EraseRootFromParent_Done,
     /*  238551 */   // Label 4624: @238551
     /*  238551 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238617), // Rule ID 2577 //
     /*  238556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  238564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  238567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238595 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  238595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  238598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238615 */     GIR_RootConstrainSelectedInstOperands,
     /*  238616 */     // GIR_Coverage, 2577,
     /*  238616 */     GIR_EraseRootFromParent_Done,
     /*  238617 */   // Label 4625: @238617
     /*  238617 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(238683), // Rule ID 2578 //
     /*  238622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  238630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  238633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  238661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  238664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238681 */     GIR_RootConstrainSelectedInstOperands,
     /*  238682 */     // GIR_Coverage, 2578,
     /*  238682 */     GIR_EraseRootFromParent_Done,
     /*  238683 */   // Label 4626: @238683
     /*  238683 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(238749), // Rule ID 2581 //
     /*  238688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  238730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238747 */     GIR_RootConstrainSelectedInstOperands,
     /*  238748 */     // GIR_Coverage, 2581,
     /*  238748 */     GIR_EraseRootFromParent_Done,
     /*  238749 */   // Label 4627: @238749
     /*  238749 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(238815), // Rule ID 2582 //
     /*  238754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  238796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238813 */     GIR_RootConstrainSelectedInstOperands,
     /*  238814 */     // GIR_Coverage, 2582,
     /*  238814 */     GIR_EraseRootFromParent_Done,
     /*  238815 */   // Label 4628: @238815
     /*  238815 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(238881), // Rule ID 2585 //
     /*  238820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  238828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238859 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  238862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238879 */     GIR_RootConstrainSelectedInstOperands,
     /*  238880 */     // GIR_Coverage, 2585,
     /*  238880 */     GIR_EraseRootFromParent_Done,
     /*  238881 */   // Label 4629: @238881
     /*  238881 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(238947), // Rule ID 2586 //
     /*  238886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  238894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238925 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  238928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238945 */     GIR_RootConstrainSelectedInstOperands,
     /*  238946 */     // GIR_Coverage, 2586,
     /*  238946 */     GIR_EraseRootFromParent_Done,
     /*  238947 */   // Label 4630: @238947
     /*  238947 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(239010), // Rule ID 2599 //
     /*  238952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  238960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238991 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  238994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239008 */     GIR_RootConstrainSelectedInstOperands,
     /*  239009 */     // GIR_Coverage, 2599,
     /*  239009 */     GIR_EraseRootFromParent_Done,
     /*  239010 */   // Label 4631: @239010
     /*  239010 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(239073), // Rule ID 2600 //
     /*  239015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  239023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239054 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  239057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239071 */     GIR_RootConstrainSelectedInstOperands,
     /*  239072 */     // GIR_Coverage, 2600,
     /*  239072 */     GIR_EraseRootFromParent_Done,
     /*  239073 */   // Label 4632: @239073
     /*  239073 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(239136), // Rule ID 2611 //
     /*  239078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239134 */     GIR_RootConstrainSelectedInstOperands,
     /*  239135 */     // GIR_Coverage, 2611,
     /*  239135 */     GIR_EraseRootFromParent_Done,
     /*  239136 */   // Label 4633: @239136
     /*  239136 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(239199), // Rule ID 2612 //
     /*  239141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239197 */     GIR_RootConstrainSelectedInstOperands,
     /*  239198 */     // GIR_Coverage, 2612,
     /*  239198 */     GIR_EraseRootFromParent_Done,
     /*  239199 */   // Label 4634: @239199
     /*  239199 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(239262), // Rule ID 2619 //
     /*  239204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239243 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239260 */     GIR_RootConstrainSelectedInstOperands,
     /*  239261 */     // GIR_Coverage, 2619,
     /*  239261 */     GIR_EraseRootFromParent_Done,
     /*  239262 */   // Label 4635: @239262
     /*  239262 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(239325), // Rule ID 2620 //
     /*  239267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239306 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239323 */     GIR_RootConstrainSelectedInstOperands,
     /*  239324 */     // GIR_Coverage, 2620,
     /*  239324 */     GIR_EraseRootFromParent_Done,
     /*  239325 */   // Label 4636: @239325
     /*  239325 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(239391), // Rule ID 2621 //
     /*  239330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  239333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239369 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239389 */     GIR_RootConstrainSelectedInstOperands,
     /*  239390 */     // GIR_Coverage, 2621,
     /*  239390 */     GIR_EraseRootFromParent_Done,
     /*  239391 */   // Label 4637: @239391
     /*  239391 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239457), // Rule ID 2622 //
     /*  239396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  239399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239455 */     GIR_RootConstrainSelectedInstOperands,
     /*  239456 */     // GIR_Coverage, 2622,
     /*  239456 */     GIR_EraseRootFromParent_Done,
     /*  239457 */   // Label 4638: @239457
     /*  239457 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239520), // Rule ID 2633 //
     /*  239462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  239501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239518 */     GIR_RootConstrainSelectedInstOperands,
     /*  239519 */     // GIR_Coverage, 2633,
     /*  239519 */     GIR_EraseRootFromParent_Done,
     /*  239520 */   // Label 4639: @239520
     /*  239520 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239583), // Rule ID 2634 //
     /*  239525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  239564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239581 */     GIR_RootConstrainSelectedInstOperands,
     /*  239582 */     // GIR_Coverage, 2634,
     /*  239582 */     GIR_EraseRootFromParent_Done,
     /*  239583 */   // Label 4640: @239583
     /*  239583 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239649), // Rule ID 4773 //
     /*  239588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  239599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  239630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239647 */     GIR_RootConstrainSelectedInstOperands,
     /*  239648 */     // GIR_Coverage, 4773,
     /*  239648 */     GIR_EraseRootFromParent_Done,
     /*  239649 */   // Label 4641: @239649
     /*  239649 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(239715), // Rule ID 4774 //
     /*  239654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  239665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239693 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  239696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239713 */     GIR_RootConstrainSelectedInstOperands,
     /*  239714 */     // GIR_Coverage, 4774,
     /*  239714 */     GIR_EraseRootFromParent_Done,
     /*  239715 */   // Label 4642: @239715
     /*  239715 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(239781), // Rule ID 4777 //
     /*  239720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  239731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  239734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  239737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239779 */     GIR_RootConstrainSelectedInstOperands,
     /*  239780 */     // GIR_Coverage, 4777,
     /*  239780 */     GIR_EraseRootFromParent_Done,
     /*  239781 */   // Label 4643: @239781
     /*  239781 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(239847), // Rule ID 4778 //
     /*  239786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  239797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  239800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  239803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239845 */     GIR_RootConstrainSelectedInstOperands,
     /*  239846 */     // GIR_Coverage, 4778,
     /*  239846 */     GIR_EraseRootFromParent_Done,
     /*  239847 */   // Label 4644: @239847
     /*  239847 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(239913), // Rule ID 4781 //
     /*  239852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  239863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  239866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  239869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239911 */     GIR_RootConstrainSelectedInstOperands,
     /*  239912 */     // GIR_Coverage, 4781,
     /*  239912 */     GIR_EraseRootFromParent_Done,
     /*  239913 */   // Label 4645: @239913
     /*  239913 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(239979), // Rule ID 4782 //
     /*  239918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  239929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  239932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  239935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239977 */     GIR_RootConstrainSelectedInstOperands,
     /*  239978 */     // GIR_Coverage, 4782,
     /*  239978 */     GIR_EraseRootFromParent_Done,
     /*  239979 */   // Label 4646: @239979
     /*  239979 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(240045), // Rule ID 4785 //
     /*  239984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  239995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  239998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240023 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240043 */     GIR_RootConstrainSelectedInstOperands,
     /*  240044 */     // GIR_Coverage, 4785,
     /*  240044 */     GIR_EraseRootFromParent_Done,
     /*  240045 */   // Label 4647: @240045
     /*  240045 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(240111), // Rule ID 4786 //
     /*  240050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  240061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240109 */     GIR_RootConstrainSelectedInstOperands,
     /*  240110 */     // GIR_Coverage, 4786,
     /*  240110 */     GIR_EraseRootFromParent_Done,
     /*  240111 */   // Label 4648: @240111
     /*  240111 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(240177), // Rule ID 4789 //
     /*  240116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240155 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240175 */     GIR_RootConstrainSelectedInstOperands,
     /*  240176 */     // GIR_Coverage, 4789,
     /*  240176 */     GIR_EraseRootFromParent_Done,
     /*  240177 */   // Label 4649: @240177
     /*  240177 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(240243), // Rule ID 4790 //
     /*  240182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240241 */     GIR_RootConstrainSelectedInstOperands,
     /*  240242 */     // GIR_Coverage, 4790,
     /*  240242 */     GIR_EraseRootFromParent_Done,
     /*  240243 */   // Label 4650: @240243
     /*  240243 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(240309), // Rule ID 4793 //
     /*  240248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240307 */     GIR_RootConstrainSelectedInstOperands,
     /*  240308 */     // GIR_Coverage, 4793,
     /*  240308 */     GIR_EraseRootFromParent_Done,
     /*  240309 */   // Label 4651: @240309
     /*  240309 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240375), // Rule ID 4794 //
     /*  240314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240373 */     GIR_RootConstrainSelectedInstOperands,
     /*  240374 */     // GIR_Coverage, 4794,
     /*  240374 */     GIR_EraseRootFromParent_Done,
     /*  240375 */   // Label 4652: @240375
     /*  240375 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240441), // Rule ID 4797 //
     /*  240380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240439 */     GIR_RootConstrainSelectedInstOperands,
     /*  240440 */     // GIR_Coverage, 4797,
     /*  240440 */     GIR_EraseRootFromParent_Done,
     /*  240441 */   // Label 4653: @240441
     /*  240441 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240507), // Rule ID 4798 //
     /*  240446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240505 */     GIR_RootConstrainSelectedInstOperands,
     /*  240506 */     // GIR_Coverage, 4798,
     /*  240506 */     GIR_EraseRootFromParent_Done,
     /*  240507 */   // Label 4654: @240507
     /*  240507 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240573), // Rule ID 4801 //
     /*  240512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240571 */     GIR_RootConstrainSelectedInstOperands,
     /*  240572 */     // GIR_Coverage, 4801,
     /*  240572 */     GIR_EraseRootFromParent_Done,
     /*  240573 */   // Label 4655: @240573
     /*  240573 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240639), // Rule ID 4802 //
     /*  240578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240637 */     GIR_RootConstrainSelectedInstOperands,
     /*  240638 */     // GIR_Coverage, 4802,
     /*  240638 */     GIR_EraseRootFromParent_Done,
     /*  240639 */   // Label 4656: @240639
     /*  240639 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(240705), // Rule ID 4805 //
     /*  240644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  240655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240703 */     GIR_RootConstrainSelectedInstOperands,
     /*  240704 */     // GIR_Coverage, 4805,
     /*  240704 */     GIR_EraseRootFromParent_Done,
     /*  240705 */   // Label 4657: @240705
     /*  240705 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(240771), // Rule ID 4806 //
     /*  240710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  240721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240769 */     GIR_RootConstrainSelectedInstOperands,
     /*  240770 */     // GIR_Coverage, 4806,
     /*  240770 */     GIR_EraseRootFromParent_Done,
     /*  240771 */   // Label 4658: @240771
     /*  240771 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(240837), // Rule ID 4809 //
     /*  240776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  240787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  240790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240835 */     GIR_RootConstrainSelectedInstOperands,
     /*  240836 */     // GIR_Coverage, 4809,
     /*  240836 */     GIR_EraseRootFromParent_Done,
     /*  240837 */   // Label 4659: @240837
     /*  240837 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(240903), // Rule ID 4810 //
     /*  240842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  240853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  240856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240901 */     GIR_RootConstrainSelectedInstOperands,
     /*  240902 */     // GIR_Coverage, 4810,
     /*  240902 */     GIR_EraseRootFromParent_Done,
     /*  240903 */   // Label 4660: @240903
     /*  240903 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(240969), // Rule ID 4813 //
     /*  240908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  240925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240967 */     GIR_RootConstrainSelectedInstOperands,
     /*  240968 */     // GIR_Coverage, 4813,
     /*  240968 */     GIR_EraseRootFromParent_Done,
     /*  240969 */   // Label 4661: @240969
     /*  240969 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(241035), // Rule ID 4814 //
     /*  240974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  240991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  241016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241033 */     GIR_RootConstrainSelectedInstOperands,
     /*  241034 */     // GIR_Coverage, 4814,
     /*  241034 */     GIR_EraseRootFromParent_Done,
     /*  241035 */   // Label 4662: @241035
     /*  241035 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(241101), // Rule ID 4817 //
     /*  241040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241079 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241099 */     GIR_RootConstrainSelectedInstOperands,
     /*  241100 */     // GIR_Coverage, 4817,
     /*  241100 */     GIR_EraseRootFromParent_Done,
     /*  241101 */   // Label 4663: @241101
     /*  241101 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(241167), // Rule ID 4818 //
     /*  241106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241165 */     GIR_RootConstrainSelectedInstOperands,
     /*  241166 */     // GIR_Coverage, 4818,
     /*  241166 */     GIR_EraseRootFromParent_Done,
     /*  241167 */   // Label 4664: @241167
     /*  241167 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241233), // Rule ID 4821 //
     /*  241172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241231 */     GIR_RootConstrainSelectedInstOperands,
     /*  241232 */     // GIR_Coverage, 4821,
     /*  241232 */     GIR_EraseRootFromParent_Done,
     /*  241233 */   // Label 4665: @241233
     /*  241233 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241299), // Rule ID 4822 //
     /*  241238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241297 */     GIR_RootConstrainSelectedInstOperands,
     /*  241298 */     // GIR_Coverage, 4822,
     /*  241298 */     GIR_EraseRootFromParent_Done,
     /*  241299 */   // Label 4666: @241299
     /*  241299 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241365), // Rule ID 4825 //
     /*  241304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241363 */     GIR_RootConstrainSelectedInstOperands,
     /*  241364 */     // GIR_Coverage, 4825,
     /*  241364 */     GIR_EraseRootFromParent_Done,
     /*  241365 */   // Label 4667: @241365
     /*  241365 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241431), // Rule ID 4826 //
     /*  241370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241429 */     GIR_RootConstrainSelectedInstOperands,
     /*  241430 */     // GIR_Coverage, 4826,
     /*  241430 */     GIR_EraseRootFromParent_Done,
     /*  241431 */   // Label 4668: @241431
     /*  241431 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241497), // Rule ID 4829 //
     /*  241436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241495 */     GIR_RootConstrainSelectedInstOperands,
     /*  241496 */     // GIR_Coverage, 4829,
     /*  241496 */     GIR_EraseRootFromParent_Done,
     /*  241497 */   // Label 4669: @241497
     /*  241497 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241563), // Rule ID 4830 //
     /*  241502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241541 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241561 */     GIR_RootConstrainSelectedInstOperands,
     /*  241562 */     // GIR_Coverage, 4830,
     /*  241562 */     GIR_EraseRootFromParent_Done,
     /*  241563 */   // Label 4670: @241563
     /*  241563 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241629), // Rule ID 4833 //
     /*  241568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  241610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241627 */     GIR_RootConstrainSelectedInstOperands,
     /*  241628 */     // GIR_Coverage, 4833,
     /*  241628 */     GIR_EraseRootFromParent_Done,
     /*  241629 */   // Label 4671: @241629
     /*  241629 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(241695), // Rule ID 4834 //
     /*  241634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  241676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241693 */     GIR_RootConstrainSelectedInstOperands,
     /*  241694 */     // GIR_Coverage, 4834,
     /*  241694 */     GIR_EraseRootFromParent_Done,
     /*  241695 */   // Label 4672: @241695
     /*  241695 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(241761), // Rule ID 4837 //
     /*  241700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  241711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  241714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  241742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241759 */     GIR_RootConstrainSelectedInstOperands,
     /*  241760 */     // GIR_Coverage, 4837,
     /*  241760 */     GIR_EraseRootFromParent_Done,
     /*  241761 */   // Label 4673: @241761
     /*  241761 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(241827), // Rule ID 4838 //
     /*  241766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  241777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  241780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  241808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241825 */     GIR_RootConstrainSelectedInstOperands,
     /*  241826 */     // GIR_Coverage, 4838,
     /*  241826 */     GIR_EraseRootFromParent_Done,
     /*  241827 */   // Label 4674: @241827
     /*  241827 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(241893), // Rule ID 4841 //
     /*  241832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  241874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241891 */     GIR_RootConstrainSelectedInstOperands,
     /*  241892 */     // GIR_Coverage, 4841,
     /*  241892 */     GIR_EraseRootFromParent_Done,
     /*  241893 */   // Label 4675: @241893
     /*  241893 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(241959), // Rule ID 4842 //
     /*  241898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  241940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241957 */     GIR_RootConstrainSelectedInstOperands,
     /*  241958 */     // GIR_Coverage, 4842,
     /*  241958 */     GIR_EraseRootFromParent_Done,
     /*  241959 */   // Label 4676: @241959
     /*  241959 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(242025), // Rule ID 4845 //
     /*  241964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  241981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242023 */     GIR_RootConstrainSelectedInstOperands,
     /*  242024 */     // GIR_Coverage, 4845,
     /*  242024 */     GIR_EraseRootFromParent_Done,
     /*  242025 */   // Label 4677: @242025
     /*  242025 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(242091), // Rule ID 4846 //
     /*  242030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  242041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242089 */     GIR_RootConstrainSelectedInstOperands,
     /*  242090 */     // GIR_Coverage, 4846,
     /*  242090 */     GIR_EraseRootFromParent_Done,
     /*  242091 */   // Label 4678: @242091
     /*  242091 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242157), // Rule ID 4849 //
     /*  242096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242135 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242155 */     GIR_RootConstrainSelectedInstOperands,
     /*  242156 */     // GIR_Coverage, 4849,
     /*  242156 */     GIR_EraseRootFromParent_Done,
     /*  242157 */   // Label 4679: @242157
     /*  242157 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242223), // Rule ID 4850 //
     /*  242162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242221 */     GIR_RootConstrainSelectedInstOperands,
     /*  242222 */     // GIR_Coverage, 4850,
     /*  242222 */     GIR_EraseRootFromParent_Done,
     /*  242223 */   // Label 4680: @242223
     /*  242223 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242289), // Rule ID 4853 //
     /*  242228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242287 */     GIR_RootConstrainSelectedInstOperands,
     /*  242288 */     // GIR_Coverage, 4853,
     /*  242288 */     GIR_EraseRootFromParent_Done,
     /*  242289 */   // Label 4681: @242289
     /*  242289 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242355), // Rule ID 4854 //
     /*  242294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242353 */     GIR_RootConstrainSelectedInstOperands,
     /*  242354 */     // GIR_Coverage, 4854,
     /*  242354 */     GIR_EraseRootFromParent_Done,
     /*  242355 */   // Label 4682: @242355
     /*  242355 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242421), // Rule ID 4857 //
     /*  242360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242419 */     GIR_RootConstrainSelectedInstOperands,
     /*  242420 */     // GIR_Coverage, 4857,
     /*  242420 */     GIR_EraseRootFromParent_Done,
     /*  242421 */   // Label 4683: @242421
     /*  242421 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242487), // Rule ID 4858 //
     /*  242426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242465 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242485 */     GIR_RootConstrainSelectedInstOperands,
     /*  242486 */     // GIR_Coverage, 4858,
     /*  242486 */     GIR_EraseRootFromParent_Done,
     /*  242487 */   // Label 4684: @242487
     /*  242487 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242553), // Rule ID 4861 //
     /*  242492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242551 */     GIR_RootConstrainSelectedInstOperands,
     /*  242552 */     // GIR_Coverage, 4861,
     /*  242552 */     GIR_EraseRootFromParent_Done,
     /*  242553 */   // Label 4685: @242553
     /*  242553 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(242619), // Rule ID 4862 //
     /*  242558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242617 */     GIR_RootConstrainSelectedInstOperands,
     /*  242618 */     // GIR_Coverage, 4862,
     /*  242618 */     GIR_EraseRootFromParent_Done,
     /*  242619 */   // Label 4686: @242619
     /*  242619 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(242685), // Rule ID 4865 //
     /*  242624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  242641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242663 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  242666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242683 */     GIR_RootConstrainSelectedInstOperands,
     /*  242684 */     // GIR_Coverage, 4865,
     /*  242684 */     GIR_EraseRootFromParent_Done,
     /*  242685 */   // Label 4687: @242685
     /*  242685 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(242751), // Rule ID 4866 //
     /*  242690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  242707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242729 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  242732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242749 */     GIR_RootConstrainSelectedInstOperands,
     /*  242750 */     // GIR_Coverage, 4866,
     /*  242750 */     GIR_EraseRootFromParent_Done,
     /*  242751 */   // Label 4688: @242751
     /*  242751 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(242817), // Rule ID 4869 //
     /*  242756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242795 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  242798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242815 */     GIR_RootConstrainSelectedInstOperands,
     /*  242816 */     // GIR_Coverage, 4869,
     /*  242816 */     GIR_EraseRootFromParent_Done,
     /*  242817 */   // Label 4689: @242817
     /*  242817 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(242883), // Rule ID 4870 //
     /*  242822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  242864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242881 */     GIR_RootConstrainSelectedInstOperands,
     /*  242882 */     // GIR_Coverage, 4870,
     /*  242882 */     GIR_EraseRootFromParent_Done,
     /*  242883 */   // Label 4690: @242883
     /*  242883 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(242949), // Rule ID 4873 //
     /*  242888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242927 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  242930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242947 */     GIR_RootConstrainSelectedInstOperands,
     /*  242948 */     // GIR_Coverage, 4873,
     /*  242948 */     GIR_EraseRootFromParent_Done,
     /*  242949 */   // Label 4691: @242949
     /*  242949 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(243015), // Rule ID 4874 //
     /*  242954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242993 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  242996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243013 */     GIR_RootConstrainSelectedInstOperands,
     /*  243014 */     // GIR_Coverage, 4874,
     /*  243014 */     GIR_EraseRootFromParent_Done,
     /*  243015 */   // Label 4692: @243015
     /*  243015 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243081), // Rule ID 4877 //
     /*  243020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243059 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243079 */     GIR_RootConstrainSelectedInstOperands,
     /*  243080 */     // GIR_Coverage, 4877,
     /*  243080 */     GIR_EraseRootFromParent_Done,
     /*  243081 */   // Label 4693: @243081
     /*  243081 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243147), // Rule ID 4878 //
     /*  243086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243145 */     GIR_RootConstrainSelectedInstOperands,
     /*  243146 */     // GIR_Coverage, 4878,
     /*  243146 */     GIR_EraseRootFromParent_Done,
     /*  243147 */   // Label 4694: @243147
     /*  243147 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243213), // Rule ID 4881 //
     /*  243152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243211 */     GIR_RootConstrainSelectedInstOperands,
     /*  243212 */     // GIR_Coverage, 4881,
     /*  243212 */     GIR_EraseRootFromParent_Done,
     /*  243213 */   // Label 4695: @243213
     /*  243213 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243279), // Rule ID 4882 //
     /*  243218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243277 */     GIR_RootConstrainSelectedInstOperands,
     /*  243278 */     // GIR_Coverage, 4882,
     /*  243278 */     GIR_EraseRootFromParent_Done,
     /*  243279 */   // Label 4696: @243279
     /*  243279 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243345), // Rule ID 4885 //
     /*  243284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243343 */     GIR_RootConstrainSelectedInstOperands,
     /*  243344 */     // GIR_Coverage, 4885,
     /*  243344 */     GIR_EraseRootFromParent_Done,
     /*  243345 */   // Label 4697: @243345
     /*  243345 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243411), // Rule ID 4886 //
     /*  243350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243409 */     GIR_RootConstrainSelectedInstOperands,
     /*  243410 */     // GIR_Coverage, 4886,
     /*  243410 */     GIR_EraseRootFromParent_Done,
     /*  243411 */   // Label 4698: @243411
     /*  243411 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243477), // Rule ID 4889 //
     /*  243416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243475 */     GIR_RootConstrainSelectedInstOperands,
     /*  243476 */     // GIR_Coverage, 4889,
     /*  243476 */     GIR_EraseRootFromParent_Done,
     /*  243477 */   // Label 4699: @243477
     /*  243477 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243543), // Rule ID 4890 //
     /*  243482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243541 */     GIR_RootConstrainSelectedInstOperands,
     /*  243542 */     // GIR_Coverage, 4890,
     /*  243542 */     GIR_EraseRootFromParent_Done,
     /*  243543 */   // Label 4700: @243543
     /*  243543 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(243609), // Rule ID 4893 //
     /*  243548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  243559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  243562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243607 */     GIR_RootConstrainSelectedInstOperands,
     /*  243608 */     // GIR_Coverage, 4893,
     /*  243608 */     GIR_EraseRootFromParent_Done,
     /*  243609 */   // Label 4701: @243609
     /*  243609 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(243675), // Rule ID 4894 //
     /*  243614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  243625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  243628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243673 */     GIR_RootConstrainSelectedInstOperands,
     /*  243674 */     // GIR_Coverage, 4894,
     /*  243674 */     GIR_EraseRootFromParent_Done,
     /*  243675 */   // Label 4702: @243675
     /*  243675 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(243741), // Rule ID 4897 //
     /*  243680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  243691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  243694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  243697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243719 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243739 */     GIR_RootConstrainSelectedInstOperands,
     /*  243740 */     // GIR_Coverage, 4897,
     /*  243740 */     GIR_EraseRootFromParent_Done,
     /*  243741 */   // Label 4703: @243741
     /*  243741 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(243807), // Rule ID 4898 //
     /*  243746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  243757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  243760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  243763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243785 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243805 */     GIR_RootConstrainSelectedInstOperands,
     /*  243806 */     // GIR_Coverage, 4898,
     /*  243806 */     GIR_EraseRootFromParent_Done,
     /*  243807 */   // Label 4704: @243807
     /*  243807 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(243873), // Rule ID 4901 //
     /*  243812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  243823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  243826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  243829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243851 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243871 */     GIR_RootConstrainSelectedInstOperands,
     /*  243872 */     // GIR_Coverage, 4901,
     /*  243872 */     GIR_EraseRootFromParent_Done,
     /*  243873 */   // Label 4705: @243873
     /*  243873 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(243939), // Rule ID 4902 //
     /*  243878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  243889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  243892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  243895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243917 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243937 */     GIR_RootConstrainSelectedInstOperands,
     /*  243938 */     // GIR_Coverage, 4902,
     /*  243938 */     GIR_EraseRootFromParent_Done,
     /*  243939 */   // Label 4706: @243939
     /*  243939 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(244005), // Rule ID 4905 //
     /*  243944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244003 */     GIR_RootConstrainSelectedInstOperands,
     /*  244004 */     // GIR_Coverage, 4905,
     /*  244004 */     GIR_EraseRootFromParent_Done,
     /*  244005 */   // Label 4707: @244005
     /*  244005 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244071), // Rule ID 4906 //
     /*  244010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  244021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244069 */     GIR_RootConstrainSelectedInstOperands,
     /*  244070 */     // GIR_Coverage, 4906,
     /*  244070 */     GIR_EraseRootFromParent_Done,
     /*  244071 */   // Label 4708: @244071
     /*  244071 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244137), // Rule ID 4909 //
     /*  244076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244135 */     GIR_RootConstrainSelectedInstOperands,
     /*  244136 */     // GIR_Coverage, 4909,
     /*  244136 */     GIR_EraseRootFromParent_Done,
     /*  244137 */   // Label 4709: @244137
     /*  244137 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244203), // Rule ID 4910 //
     /*  244142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244201 */     GIR_RootConstrainSelectedInstOperands,
     /*  244202 */     // GIR_Coverage, 4910,
     /*  244202 */     GIR_EraseRootFromParent_Done,
     /*  244203 */   // Label 4710: @244203
     /*  244203 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244269), // Rule ID 4913 //
     /*  244208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244267 */     GIR_RootConstrainSelectedInstOperands,
     /*  244268 */     // GIR_Coverage, 4913,
     /*  244268 */     GIR_EraseRootFromParent_Done,
     /*  244269 */   // Label 4711: @244269
     /*  244269 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244335), // Rule ID 4914 //
     /*  244274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244313 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244333 */     GIR_RootConstrainSelectedInstOperands,
     /*  244334 */     // GIR_Coverage, 4914,
     /*  244334 */     GIR_EraseRootFromParent_Done,
     /*  244335 */   // Label 4712: @244335
     /*  244335 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244401), // Rule ID 4917 //
     /*  244340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244379 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244399 */     GIR_RootConstrainSelectedInstOperands,
     /*  244400 */     // GIR_Coverage, 4917,
     /*  244400 */     GIR_EraseRootFromParent_Done,
     /*  244401 */   // Label 4713: @244401
     /*  244401 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244467), // Rule ID 4918 //
     /*  244406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244465 */     GIR_RootConstrainSelectedInstOperands,
     /*  244466 */     // GIR_Coverage, 4918,
     /*  244466 */     GIR_EraseRootFromParent_Done,
     /*  244467 */   // Label 4714: @244467
     /*  244467 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244533), // Rule ID 4921 //
     /*  244472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244531 */     GIR_RootConstrainSelectedInstOperands,
     /*  244532 */     // GIR_Coverage, 4921,
     /*  244532 */     GIR_EraseRootFromParent_Done,
     /*  244533 */   // Label 4715: @244533
     /*  244533 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244599), // Rule ID 4922 //
     /*  244538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244597 */     GIR_RootConstrainSelectedInstOperands,
     /*  244598 */     // GIR_Coverage, 4922,
     /*  244598 */     GIR_EraseRootFromParent_Done,
     /*  244599 */   // Label 4716: @244599
     /*  244599 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(244665), // Rule ID 4925 //
     /*  244604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  244621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244663 */     GIR_RootConstrainSelectedInstOperands,
     /*  244664 */     // GIR_Coverage, 4925,
     /*  244664 */     GIR_EraseRootFromParent_Done,
     /*  244665 */   // Label 4717: @244665
     /*  244665 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(244731), // Rule ID 4926 //
     /*  244670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  244687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244729 */     GIR_RootConstrainSelectedInstOperands,
     /*  244730 */     // GIR_Coverage, 4926,
     /*  244730 */     GIR_EraseRootFromParent_Done,
     /*  244731 */   // Label 4718: @244731
     /*  244731 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(244797), // Rule ID 4929 //
     /*  244736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  244753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244795 */     GIR_RootConstrainSelectedInstOperands,
     /*  244796 */     // GIR_Coverage, 4929,
     /*  244796 */     GIR_EraseRootFromParent_Done,
     /*  244797 */   // Label 4719: @244797
     /*  244797 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(244863), // Rule ID 4930 //
     /*  244802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  244819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244861 */     GIR_RootConstrainSelectedInstOperands,
     /*  244862 */     // GIR_Coverage, 4930,
     /*  244862 */     GIR_EraseRootFromParent_Done,
     /*  244863 */   // Label 4720: @244863
     /*  244863 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(244929), // Rule ID 4933 //
     /*  244868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244927 */     GIR_RootConstrainSelectedInstOperands,
     /*  244928 */     // GIR_Coverage, 4933,
     /*  244928 */     GIR_EraseRootFromParent_Done,
     /*  244929 */   // Label 4721: @244929
     /*  244929 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(244995), // Rule ID 4934 //
     /*  244934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244973 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244993 */     GIR_RootConstrainSelectedInstOperands,
     /*  244994 */     // GIR_Coverage, 4934,
     /*  244994 */     GIR_EraseRootFromParent_Done,
     /*  244995 */   // Label 4722: @244995
     /*  244995 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245061), // Rule ID 4937 //
     /*  245000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245039 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245059 */     GIR_RootConstrainSelectedInstOperands,
     /*  245060 */     // GIR_Coverage, 4937,
     /*  245060 */     GIR_EraseRootFromParent_Done,
     /*  245061 */   // Label 4723: @245061
     /*  245061 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245127), // Rule ID 4938 //
     /*  245066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245125 */     GIR_RootConstrainSelectedInstOperands,
     /*  245126 */     // GIR_Coverage, 4938,
     /*  245126 */     GIR_EraseRootFromParent_Done,
     /*  245127 */   // Label 4724: @245127
     /*  245127 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245193), // Rule ID 4941 //
     /*  245132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245191 */     GIR_RootConstrainSelectedInstOperands,
     /*  245192 */     // GIR_Coverage, 4941,
     /*  245192 */     GIR_EraseRootFromParent_Done,
     /*  245193 */   // Label 4725: @245193
     /*  245193 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245259), // Rule ID 4942 //
     /*  245198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245237 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245257 */     GIR_RootConstrainSelectedInstOperands,
     /*  245258 */     // GIR_Coverage, 4942,
     /*  245258 */     GIR_EraseRootFromParent_Done,
     /*  245259 */   // Label 4726: @245259
     /*  245259 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245325), // Rule ID 4945 //
     /*  245264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245323 */     GIR_RootConstrainSelectedInstOperands,
     /*  245324 */     // GIR_Coverage, 4945,
     /*  245324 */     GIR_EraseRootFromParent_Done,
     /*  245325 */   // Label 4727: @245325
     /*  245325 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245391), // Rule ID 4946 //
     /*  245330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245369 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245389 */     GIR_RootConstrainSelectedInstOperands,
     /*  245390 */     // GIR_Coverage, 4946,
     /*  245390 */     GIR_EraseRootFromParent_Done,
     /*  245391 */   // Label 4728: @245391
     /*  245391 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245457), // Rule ID 4949 //
     /*  245396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245455 */     GIR_RootConstrainSelectedInstOperands,
     /*  245456 */     // GIR_Coverage, 4949,
     /*  245456 */     GIR_EraseRootFromParent_Done,
     /*  245457 */   // Label 4729: @245457
     /*  245457 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245523), // Rule ID 4950 //
     /*  245462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245521 */     GIR_RootConstrainSelectedInstOperands,
     /*  245522 */     // GIR_Coverage, 4950,
     /*  245522 */     GIR_EraseRootFromParent_Done,
     /*  245523 */   // Label 4730: @245523
     /*  245523 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245589), // Rule ID 4953 //
     /*  245528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  245570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245587 */     GIR_RootConstrainSelectedInstOperands,
     /*  245588 */     // GIR_Coverage, 4953,
     /*  245588 */     GIR_EraseRootFromParent_Done,
     /*  245589 */   // Label 4731: @245589
     /*  245589 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(245655), // Rule ID 4954 //
     /*  245594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  245636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245653 */     GIR_RootConstrainSelectedInstOperands,
     /*  245654 */     // GIR_Coverage, 4954,
     /*  245654 */     GIR_EraseRootFromParent_Done,
     /*  245655 */   // Label 4732: @245655
     /*  245655 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(245721), // Rule ID 4957 //
     /*  245660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  245677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  245702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245719 */     GIR_RootConstrainSelectedInstOperands,
     /*  245720 */     // GIR_Coverage, 4957,
     /*  245720 */     GIR_EraseRootFromParent_Done,
     /*  245721 */   // Label 4733: @245721
     /*  245721 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(245787), // Rule ID 4958 //
     /*  245726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  245743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  245768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245785 */     GIR_RootConstrainSelectedInstOperands,
     /*  245786 */     // GIR_Coverage, 4958,
     /*  245786 */     GIR_EraseRootFromParent_Done,
     /*  245787 */   // Label 4734: @245787
     /*  245787 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(245853), // Rule ID 4961 //
     /*  245792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245851 */     GIR_RootConstrainSelectedInstOperands,
     /*  245852 */     // GIR_Coverage, 4961,
     /*  245852 */     GIR_EraseRootFromParent_Done,
     /*  245853 */   // Label 4735: @245853
     /*  245853 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(245919), // Rule ID 4962 //
     /*  245858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245917 */     GIR_RootConstrainSelectedInstOperands,
     /*  245918 */     // GIR_Coverage, 4962,
     /*  245918 */     GIR_EraseRootFromParent_Done,
     /*  245919 */   // Label 4736: @245919
     /*  245919 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(245985), // Rule ID 4965 //
     /*  245924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245983 */     GIR_RootConstrainSelectedInstOperands,
     /*  245984 */     // GIR_Coverage, 4965,
     /*  245984 */     GIR_EraseRootFromParent_Done,
     /*  245985 */   // Label 4737: @245985
     /*  245985 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(246051), // Rule ID 4966 //
     /*  245990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  246032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246049 */     GIR_RootConstrainSelectedInstOperands,
     /*  246050 */     // GIR_Coverage, 4966,
     /*  246050 */     GIR_EraseRootFromParent_Done,
     /*  246051 */   // Label 4738: @246051
     /*  246051 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246117), // Rule ID 4969 //
     /*  246056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246095 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246115 */     GIR_RootConstrainSelectedInstOperands,
     /*  246116 */     // GIR_Coverage, 4969,
     /*  246116 */     GIR_EraseRootFromParent_Done,
     /*  246117 */   // Label 4739: @246117
     /*  246117 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246183), // Rule ID 4970 //
     /*  246122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246181 */     GIR_RootConstrainSelectedInstOperands,
     /*  246182 */     // GIR_Coverage, 4970,
     /*  246182 */     GIR_EraseRootFromParent_Done,
     /*  246183 */   // Label 4740: @246183
     /*  246183 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246249), // Rule ID 4973 //
     /*  246188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246247 */     GIR_RootConstrainSelectedInstOperands,
     /*  246248 */     // GIR_Coverage, 4973,
     /*  246248 */     GIR_EraseRootFromParent_Done,
     /*  246249 */   // Label 4741: @246249
     /*  246249 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246315), // Rule ID 4974 //
     /*  246254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246313 */     GIR_RootConstrainSelectedInstOperands,
     /*  246314 */     // GIR_Coverage, 4974,
     /*  246314 */     GIR_EraseRootFromParent_Done,
     /*  246315 */   // Label 4742: @246315
     /*  246315 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246381), // Rule ID 4977 //
     /*  246320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246379 */     GIR_RootConstrainSelectedInstOperands,
     /*  246380 */     // GIR_Coverage, 4977,
     /*  246380 */     GIR_EraseRootFromParent_Done,
     /*  246381 */   // Label 4743: @246381
     /*  246381 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246447), // Rule ID 4978 //
     /*  246386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246425 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246445 */     GIR_RootConstrainSelectedInstOperands,
     /*  246446 */     // GIR_Coverage, 4978,
     /*  246446 */     GIR_EraseRootFromParent_Done,
     /*  246447 */   // Label 4744: @246447
     /*  246447 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246513), // Rule ID 4981 //
     /*  246452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246511 */     GIR_RootConstrainSelectedInstOperands,
     /*  246512 */     // GIR_Coverage, 4981,
     /*  246512 */     GIR_EraseRootFromParent_Done,
     /*  246513 */   // Label 4745: @246513
     /*  246513 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246579), // Rule ID 4982 //
     /*  246518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246557 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246577 */     GIR_RootConstrainSelectedInstOperands,
     /*  246578 */     // GIR_Coverage, 4982,
     /*  246578 */     GIR_EraseRootFromParent_Done,
     /*  246579 */   // Label 4746: @246579
     /*  246579 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(246645), // Rule ID 4985 //
     /*  246584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246623 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  246626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246643 */     GIR_RootConstrainSelectedInstOperands,
     /*  246644 */     // GIR_Coverage, 4985,
     /*  246644 */     GIR_EraseRootFromParent_Done,
     /*  246645 */   // Label 4747: @246645
     /*  246645 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(246711), // Rule ID 4986 //
     /*  246650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  246692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246709 */     GIR_RootConstrainSelectedInstOperands,
     /*  246710 */     // GIR_Coverage, 4986,
     /*  246710 */     GIR_EraseRootFromParent_Done,
     /*  246711 */   // Label 4748: @246711
     /*  246711 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(246777), // Rule ID 4989 //
     /*  246716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  246758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246775 */     GIR_RootConstrainSelectedInstOperands,
     /*  246776 */     // GIR_Coverage, 4989,
     /*  246776 */     GIR_EraseRootFromParent_Done,
     /*  246777 */   // Label 4749: @246777
     /*  246777 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(246843), // Rule ID 4990 //
     /*  246782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  246824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246841 */     GIR_RootConstrainSelectedInstOperands,
     /*  246842 */     // GIR_Coverage, 4990,
     /*  246842 */     GIR_EraseRootFromParent_Done,
     /*  246843 */   // Label 4750: @246843
     /*  246843 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(246906), // Rule ID 5253 //
     /*  246848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  246862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246887 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  246890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246904 */     GIR_RootConstrainSelectedInstOperands,
     /*  246905 */     // GIR_Coverage, 5253,
     /*  246905 */     GIR_EraseRootFromParent_Done,
     /*  246906 */   // Label 4751: @246906
     /*  246906 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(246969), // Rule ID 5254 //
     /*  246911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  246925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246950 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  246953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246967 */     GIR_RootConstrainSelectedInstOperands,
     /*  246968 */     // GIR_Coverage, 5254,
     /*  246968 */     GIR_EraseRootFromParent_Done,
     /*  246969 */   // Label 4752: @246969
     /*  246969 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(247032), // Rule ID 5255 //
     /*  246974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  246988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247030 */     GIR_RootConstrainSelectedInstOperands,
     /*  247031 */     // GIR_Coverage, 5255,
     /*  247031 */     GIR_EraseRootFromParent_Done,
     /*  247032 */   // Label 4753: @247032
     /*  247032 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247095), // Rule ID 5256 //
     /*  247037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  247051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247093 */     GIR_RootConstrainSelectedInstOperands,
     /*  247094 */     // GIR_Coverage, 5256,
     /*  247094 */     GIR_EraseRootFromParent_Done,
     /*  247095 */   // Label 4754: @247095
     /*  247095 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247158), // Rule ID 5257 //
     /*  247100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247139 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247156 */     GIR_RootConstrainSelectedInstOperands,
     /*  247157 */     // GIR_Coverage, 5257,
     /*  247157 */     GIR_EraseRootFromParent_Done,
     /*  247158 */   // Label 4755: @247158
     /*  247158 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247221), // Rule ID 5258 //
     /*  247163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247219 */     GIR_RootConstrainSelectedInstOperands,
     /*  247220 */     // GIR_Coverage, 5258,
     /*  247220 */     GIR_EraseRootFromParent_Done,
     /*  247221 */   // Label 4756: @247221
     /*  247221 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247284), // Rule ID 5259 //
     /*  247226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247282 */     GIR_RootConstrainSelectedInstOperands,
     /*  247283 */     // GIR_Coverage, 5259,
     /*  247283 */     GIR_EraseRootFromParent_Done,
     /*  247284 */   // Label 4757: @247284
     /*  247284 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247347), // Rule ID 5260 //
     /*  247289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247345 */     GIR_RootConstrainSelectedInstOperands,
     /*  247346 */     // GIR_Coverage, 5260,
     /*  247346 */     GIR_EraseRootFromParent_Done,
     /*  247347 */   // Label 4758: @247347
     /*  247347 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247410), // Rule ID 5261 //
     /*  247352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247391 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247408 */     GIR_RootConstrainSelectedInstOperands,
     /*  247409 */     // GIR_Coverage, 5261,
     /*  247409 */     GIR_EraseRootFromParent_Done,
     /*  247410 */   // Label 4759: @247410
     /*  247410 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247473), // Rule ID 5262 //
     /*  247415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247471 */     GIR_RootConstrainSelectedInstOperands,
     /*  247472 */     // GIR_Coverage, 5262,
     /*  247472 */     GIR_EraseRootFromParent_Done,
     /*  247473 */   // Label 4760: @247473
     /*  247473 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247536), // Rule ID 5263 //
     /*  247478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247534 */     GIR_RootConstrainSelectedInstOperands,
     /*  247535 */     // GIR_Coverage, 5263,
     /*  247535 */     GIR_EraseRootFromParent_Done,
     /*  247536 */   // Label 4761: @247536
     /*  247536 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(247599), // Rule ID 5264 //
     /*  247541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247597 */     GIR_RootConstrainSelectedInstOperands,
     /*  247598 */     // GIR_Coverage, 5264,
     /*  247598 */     GIR_EraseRootFromParent_Done,
     /*  247599 */   // Label 4762: @247599
     /*  247599 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(247662), // Rule ID 5265 //
     /*  247604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247660 */     GIR_RootConstrainSelectedInstOperands,
     /*  247661 */     // GIR_Coverage, 5265,
     /*  247661 */     GIR_EraseRootFromParent_Done,
     /*  247662 */   // Label 4763: @247662
     /*  247662 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(247725), // Rule ID 5266 //
     /*  247667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247723 */     GIR_RootConstrainSelectedInstOperands,
     /*  247724 */     // GIR_Coverage, 5266,
     /*  247724 */     GIR_EraseRootFromParent_Done,
     /*  247725 */   // Label 4764: @247725
     /*  247725 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(247788), // Rule ID 5267 //
     /*  247730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247786 */     GIR_RootConstrainSelectedInstOperands,
     /*  247787 */     // GIR_Coverage, 5267,
     /*  247787 */     GIR_EraseRootFromParent_Done,
     /*  247788 */   // Label 4765: @247788
     /*  247788 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(247851), // Rule ID 5268 //
     /*  247793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247849 */     GIR_RootConstrainSelectedInstOperands,
     /*  247850 */     // GIR_Coverage, 5268,
     /*  247850 */     GIR_EraseRootFromParent_Done,
     /*  247851 */   // Label 4766: @247851
     /*  247851 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(247914), // Rule ID 5269 //
     /*  247856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  247859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247895 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  247895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247912 */     GIR_RootConstrainSelectedInstOperands,
     /*  247913 */     // GIR_Coverage, 5269,
     /*  247913 */     GIR_EraseRootFromParent_Done,
     /*  247914 */   // Label 4767: @247914
     /*  247914 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(247977), // Rule ID 5270 //
     /*  247919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  247922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  247958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247975 */     GIR_RootConstrainSelectedInstOperands,
     /*  247976 */     // GIR_Coverage, 5270,
     /*  247976 */     GIR_EraseRootFromParent_Done,
     /*  247977 */   // Label 4768: @247977
     /*  247977 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(248040), // Rule ID 5271 //
     /*  247982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  247996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  247999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248021 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248038 */     GIR_RootConstrainSelectedInstOperands,
     /*  248039 */     // GIR_Coverage, 5271,
     /*  248039 */     GIR_EraseRootFromParent_Done,
     /*  248040 */   // Label 4769: @248040
     /*  248040 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248103), // Rule ID 5272 //
     /*  248045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  248059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248101 */     GIR_RootConstrainSelectedInstOperands,
     /*  248102 */     // GIR_Coverage, 5272,
     /*  248102 */     GIR_EraseRootFromParent_Done,
     /*  248103 */   // Label 4770: @248103
     /*  248103 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248166), // Rule ID 5273 //
     /*  248108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248147 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248164 */     GIR_RootConstrainSelectedInstOperands,
     /*  248165 */     // GIR_Coverage, 5273,
     /*  248165 */     GIR_EraseRootFromParent_Done,
     /*  248166 */   // Label 4771: @248166
     /*  248166 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248229), // Rule ID 5274 //
     /*  248171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248210 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248227 */     GIR_RootConstrainSelectedInstOperands,
     /*  248228 */     // GIR_Coverage, 5274,
     /*  248228 */     GIR_EraseRootFromParent_Done,
     /*  248229 */   // Label 4772: @248229
     /*  248229 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248292), // Rule ID 5275 //
     /*  248234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248273 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248290 */     GIR_RootConstrainSelectedInstOperands,
     /*  248291 */     // GIR_Coverage, 5275,
     /*  248291 */     GIR_EraseRootFromParent_Done,
     /*  248292 */   // Label 4773: @248292
     /*  248292 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248355), // Rule ID 5276 //
     /*  248297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248336 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248353 */     GIR_RootConstrainSelectedInstOperands,
     /*  248354 */     // GIR_Coverage, 5276,
     /*  248354 */     GIR_EraseRootFromParent_Done,
     /*  248355 */   // Label 4774: @248355
     /*  248355 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248418), // Rule ID 5277 //
     /*  248360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248399 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248416 */     GIR_RootConstrainSelectedInstOperands,
     /*  248417 */     // GIR_Coverage, 5277,
     /*  248417 */     GIR_EraseRootFromParent_Done,
     /*  248418 */   // Label 4775: @248418
     /*  248418 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248481), // Rule ID 5278 //
     /*  248423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248479 */     GIR_RootConstrainSelectedInstOperands,
     /*  248480 */     // GIR_Coverage, 5278,
     /*  248480 */     GIR_EraseRootFromParent_Done,
     /*  248481 */   // Label 4776: @248481
     /*  248481 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(248544), // Rule ID 5279 //
     /*  248486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248525 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248542 */     GIR_RootConstrainSelectedInstOperands,
     /*  248543 */     // GIR_Coverage, 5279,
     /*  248543 */     GIR_EraseRootFromParent_Done,
     /*  248544 */   // Label 4777: @248544
     /*  248544 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(248607), // Rule ID 5280 //
     /*  248549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248605 */     GIR_RootConstrainSelectedInstOperands,
     /*  248606 */     // GIR_Coverage, 5280,
     /*  248606 */     GIR_EraseRootFromParent_Done,
     /*  248607 */   // Label 4778: @248607
     /*  248607 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(248670), // Rule ID 5281 //
     /*  248612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248651 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248668 */     GIR_RootConstrainSelectedInstOperands,
     /*  248669 */     // GIR_Coverage, 5281,
     /*  248669 */     GIR_EraseRootFromParent_Done,
     /*  248670 */   // Label 4779: @248670
     /*  248670 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(248733), // Rule ID 5282 //
     /*  248675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248714 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248731 */     GIR_RootConstrainSelectedInstOperands,
     /*  248732 */     // GIR_Coverage, 5282,
     /*  248732 */     GIR_EraseRootFromParent_Done,
     /*  248733 */   // Label 4780: @248733
     /*  248733 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(248796), // Rule ID 5283 //
     /*  248738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248777 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248794 */     GIR_RootConstrainSelectedInstOperands,
     /*  248795 */     // GIR_Coverage, 5283,
     /*  248795 */     GIR_EraseRootFromParent_Done,
     /*  248796 */   // Label 4781: @248796
     /*  248796 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(248859), // Rule ID 5284 //
     /*  248801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248857 */     GIR_RootConstrainSelectedInstOperands,
     /*  248858 */     // GIR_Coverage, 5284,
     /*  248858 */     GIR_EraseRootFromParent_Done,
     /*  248859 */   // Label 4782: @248859
     /*  248859 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(248922), // Rule ID 5285 //
     /*  248864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248920 */     GIR_RootConstrainSelectedInstOperands,
     /*  248921 */     // GIR_Coverage, 5285,
     /*  248921 */     GIR_EraseRootFromParent_Done,
     /*  248922 */   // Label 4783: @248922
     /*  248922 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(248985), // Rule ID 5286 //
     /*  248927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248983 */     GIR_RootConstrainSelectedInstOperands,
     /*  248984 */     // GIR_Coverage, 5286,
     /*  248984 */     GIR_EraseRootFromParent_Done,
     /*  248985 */   // Label 4784: @248985
     /*  248985 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(249048), // Rule ID 5287 //
     /*  248990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  249007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249029 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249046 */     GIR_RootConstrainSelectedInstOperands,
     /*  249047 */     // GIR_Coverage, 5287,
     /*  249047 */     GIR_EraseRootFromParent_Done,
     /*  249048 */   // Label 4785: @249048
     /*  249048 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249111), // Rule ID 5288 //
     /*  249053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  249070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249109 */     GIR_RootConstrainSelectedInstOperands,
     /*  249110 */     // GIR_Coverage, 5288,
     /*  249110 */     GIR_EraseRootFromParent_Done,
     /*  249111 */   // Label 4786: @249111
     /*  249111 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249174), // Rule ID 5289 //
     /*  249116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249155 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249172 */     GIR_RootConstrainSelectedInstOperands,
     /*  249173 */     // GIR_Coverage, 5289,
     /*  249173 */     GIR_EraseRootFromParent_Done,
     /*  249174 */   // Label 4787: @249174
     /*  249174 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249237), // Rule ID 5290 //
     /*  249179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249235 */     GIR_RootConstrainSelectedInstOperands,
     /*  249236 */     // GIR_Coverage, 5290,
     /*  249236 */     GIR_EraseRootFromParent_Done,
     /*  249237 */   // Label 4788: @249237
     /*  249237 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249300), // Rule ID 5291 //
     /*  249242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249281 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249298 */     GIR_RootConstrainSelectedInstOperands,
     /*  249299 */     // GIR_Coverage, 5291,
     /*  249299 */     GIR_EraseRootFromParent_Done,
     /*  249300 */   // Label 4789: @249300
     /*  249300 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249363), // Rule ID 5292 //
     /*  249305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249361 */     GIR_RootConstrainSelectedInstOperands,
     /*  249362 */     // GIR_Coverage, 5292,
     /*  249362 */     GIR_EraseRootFromParent_Done,
     /*  249363 */   // Label 4790: @249363
     /*  249363 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249426), // Rule ID 5293 //
     /*  249368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249407 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249424 */     GIR_RootConstrainSelectedInstOperands,
     /*  249425 */     // GIR_Coverage, 5293,
     /*  249425 */     GIR_EraseRootFromParent_Done,
     /*  249426 */   // Label 4791: @249426
     /*  249426 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(249489), // Rule ID 5294 //
     /*  249431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249487 */     GIR_RootConstrainSelectedInstOperands,
     /*  249488 */     // GIR_Coverage, 5294,
     /*  249488 */     GIR_EraseRootFromParent_Done,
     /*  249489 */   // Label 4792: @249489
     /*  249489 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(249552), // Rule ID 5295 //
     /*  249494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249550 */     GIR_RootConstrainSelectedInstOperands,
     /*  249551 */     // GIR_Coverage, 5295,
     /*  249551 */     GIR_EraseRootFromParent_Done,
     /*  249552 */   // Label 4793: @249552
     /*  249552 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(249615), // Rule ID 5296 //
     /*  249557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249613 */     GIR_RootConstrainSelectedInstOperands,
     /*  249614 */     // GIR_Coverage, 5296,
     /*  249614 */     GIR_EraseRootFromParent_Done,
     /*  249615 */   // Label 4794: @249615
     /*  249615 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(249678), // Rule ID 5297 //
     /*  249620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  249634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249676 */     GIR_RootConstrainSelectedInstOperands,
     /*  249677 */     // GIR_Coverage, 5297,
     /*  249677 */     GIR_EraseRootFromParent_Done,
     /*  249678 */   // Label 4795: @249678
     /*  249678 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(249741), // Rule ID 5298 //
     /*  249683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  249697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249722 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249739 */     GIR_RootConstrainSelectedInstOperands,
     /*  249740 */     // GIR_Coverage, 5298,
     /*  249740 */     GIR_EraseRootFromParent_Done,
     /*  249741 */   // Label 4796: @249741
     /*  249741 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(249804), // Rule ID 5299 //
     /*  249746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  249760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  249788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249802 */     GIR_RootConstrainSelectedInstOperands,
     /*  249803 */     // GIR_Coverage, 5299,
     /*  249803 */     GIR_EraseRootFromParent_Done,
     /*  249804 */   // Label 4797: @249804
     /*  249804 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(249867), // Rule ID 5300 //
     /*  249809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  249823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  249851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249865 */     GIR_RootConstrainSelectedInstOperands,
     /*  249866 */     // GIR_Coverage, 5300,
     /*  249866 */     GIR_EraseRootFromParent_Done,
     /*  249867 */   // Label 4798: @249867
     /*  249867 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(249930), // Rule ID 5301 //
     /*  249872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  249886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249928 */     GIR_RootConstrainSelectedInstOperands,
     /*  249929 */     // GIR_Coverage, 5301,
     /*  249929 */     GIR_EraseRootFromParent_Done,
     /*  249930 */   // Label 4799: @249930
     /*  249930 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(249993), // Rule ID 5302 //
     /*  249935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  249949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249991 */     GIR_RootConstrainSelectedInstOperands,
     /*  249992 */     // GIR_Coverage, 5302,
     /*  249992 */     GIR_EraseRootFromParent_Done,
     /*  249993 */   // Label 4800: @249993
     /*  249993 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250056), // Rule ID 5303 //
     /*  249998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  250012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250054 */     GIR_RootConstrainSelectedInstOperands,
     /*  250055 */     // GIR_Coverage, 5303,
     /*  250055 */     GIR_EraseRootFromParent_Done,
     /*  250056 */   // Label 4801: @250056
     /*  250056 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250119), // Rule ID 5304 //
     /*  250061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  250075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250117 */     GIR_RootConstrainSelectedInstOperands,
     /*  250118 */     // GIR_Coverage, 5304,
     /*  250118 */     GIR_EraseRootFromParent_Done,
     /*  250119 */   // Label 4802: @250119
     /*  250119 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250182), // Rule ID 5305 //
     /*  250124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250163 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250180 */     GIR_RootConstrainSelectedInstOperands,
     /*  250181 */     // GIR_Coverage, 5305,
     /*  250181 */     GIR_EraseRootFromParent_Done,
     /*  250182 */   // Label 4803: @250182
     /*  250182 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250245), // Rule ID 5306 //
     /*  250187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250226 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250243 */     GIR_RootConstrainSelectedInstOperands,
     /*  250244 */     // GIR_Coverage, 5306,
     /*  250244 */     GIR_EraseRootFromParent_Done,
     /*  250245 */   // Label 4804: @250245
     /*  250245 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250308), // Rule ID 5307 //
     /*  250250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250306 */     GIR_RootConstrainSelectedInstOperands,
     /*  250307 */     // GIR_Coverage, 5307,
     /*  250307 */     GIR_EraseRootFromParent_Done,
     /*  250308 */   // Label 4805: @250308
     /*  250308 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250371), // Rule ID 5308 //
     /*  250313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250369 */     GIR_RootConstrainSelectedInstOperands,
     /*  250370 */     // GIR_Coverage, 5308,
     /*  250370 */     GIR_EraseRootFromParent_Done,
     /*  250371 */   // Label 4806: @250371
     /*  250371 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250434), // Rule ID 5309 //
     /*  250376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250432 */     GIR_RootConstrainSelectedInstOperands,
     /*  250433 */     // GIR_Coverage, 5309,
     /*  250433 */     GIR_EraseRootFromParent_Done,
     /*  250434 */   // Label 4807: @250434
     /*  250434 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(250497), // Rule ID 5310 //
     /*  250439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250478 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250495 */     GIR_RootConstrainSelectedInstOperands,
     /*  250496 */     // GIR_Coverage, 5310,
     /*  250496 */     GIR_EraseRootFromParent_Done,
     /*  250497 */   // Label 4808: @250497
     /*  250497 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(250560), // Rule ID 5311 //
     /*  250502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250558 */     GIR_RootConstrainSelectedInstOperands,
     /*  250559 */     // GIR_Coverage, 5311,
     /*  250559 */     GIR_EraseRootFromParent_Done,
     /*  250560 */   // Label 4809: @250560
     /*  250560 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(250623), // Rule ID 5312 //
     /*  250565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250621 */     GIR_RootConstrainSelectedInstOperands,
     /*  250622 */     // GIR_Coverage, 5312,
     /*  250622 */     GIR_EraseRootFromParent_Done,
     /*  250623 */   // Label 4810: @250623
     /*  250623 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(250686), // Rule ID 5313 //
     /*  250628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250667 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250684 */     GIR_RootConstrainSelectedInstOperands,
     /*  250685 */     // GIR_Coverage, 5313,
     /*  250685 */     GIR_EraseRootFromParent_Done,
     /*  250686 */   // Label 4811: @250686
     /*  250686 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(250749), // Rule ID 5314 //
     /*  250691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250730 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250747 */     GIR_RootConstrainSelectedInstOperands,
     /*  250748 */     // GIR_Coverage, 5314,
     /*  250748 */     GIR_EraseRootFromParent_Done,
     /*  250749 */   // Label 4812: @250749
     /*  250749 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(250812), // Rule ID 5315 //
     /*  250754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  250768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250793 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250810 */     GIR_RootConstrainSelectedInstOperands,
     /*  250811 */     // GIR_Coverage, 5315,
     /*  250811 */     GIR_EraseRootFromParent_Done,
     /*  250812 */   // Label 4813: @250812
     /*  250812 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(250875), // Rule ID 5316 //
     /*  250817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  250831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250873 */     GIR_RootConstrainSelectedInstOperands,
     /*  250874 */     // GIR_Coverage, 5316,
     /*  250874 */     GIR_EraseRootFromParent_Done,
     /*  250875 */   // Label 4814: @250875
     /*  250875 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(250938), // Rule ID 5317 //
     /*  250880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  250894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250919 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250936 */     GIR_RootConstrainSelectedInstOperands,
     /*  250937 */     // GIR_Coverage, 5317,
     /*  250937 */     GIR_EraseRootFromParent_Done,
     /*  250938 */   // Label 4815: @250938
     /*  250938 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(251001), // Rule ID 5318 //
     /*  250943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  250957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250982 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250999 */     GIR_RootConstrainSelectedInstOperands,
     /*  251000 */     // GIR_Coverage, 5318,
     /*  251000 */     GIR_EraseRootFromParent_Done,
     /*  251001 */   // Label 4816: @251001
     /*  251001 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251064), // Rule ID 5319 //
     /*  251006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  251017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  251020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251045 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251062 */     GIR_RootConstrainSelectedInstOperands,
     /*  251063 */     // GIR_Coverage, 5319,
     /*  251063 */     GIR_EraseRootFromParent_Done,
     /*  251064 */   // Label 4817: @251064
     /*  251064 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251127), // Rule ID 5320 //
     /*  251069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  251080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  251083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251108 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251125 */     GIR_RootConstrainSelectedInstOperands,
     /*  251126 */     // GIR_Coverage, 5320,
     /*  251126 */     GIR_EraseRootFromParent_Done,
     /*  251127 */   // Label 4818: @251127
     /*  251127 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251190), // Rule ID 5321 //
     /*  251132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251188 */     GIR_RootConstrainSelectedInstOperands,
     /*  251189 */     // GIR_Coverage, 5321,
     /*  251189 */     GIR_EraseRootFromParent_Done,
     /*  251190 */   // Label 4819: @251190
     /*  251190 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251253), // Rule ID 5322 //
     /*  251195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251234 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251251 */     GIR_RootConstrainSelectedInstOperands,
     /*  251252 */     // GIR_Coverage, 5322,
     /*  251252 */     GIR_EraseRootFromParent_Done,
     /*  251253 */   // Label 4820: @251253
     /*  251253 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251316), // Rule ID 5323 //
     /*  251258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251297 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251314 */     GIR_RootConstrainSelectedInstOperands,
     /*  251315 */     // GIR_Coverage, 5323,
     /*  251315 */     GIR_EraseRootFromParent_Done,
     /*  251316 */   // Label 4821: @251316
     /*  251316 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251379), // Rule ID 5324 //
     /*  251321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251377 */     GIR_RootConstrainSelectedInstOperands,
     /*  251378 */     // GIR_Coverage, 5324,
     /*  251378 */     GIR_EraseRootFromParent_Done,
     /*  251379 */   // Label 4822: @251379
     /*  251379 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(251442), // Rule ID 5325 //
     /*  251384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251423 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251440 */     GIR_RootConstrainSelectedInstOperands,
     /*  251441 */     // GIR_Coverage, 5325,
     /*  251441 */     GIR_EraseRootFromParent_Done,
     /*  251442 */   // Label 4823: @251442
     /*  251442 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(251505), // Rule ID 5326 //
     /*  251447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251486 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251503 */     GIR_RootConstrainSelectedInstOperands,
     /*  251504 */     // GIR_Coverage, 5326,
     /*  251504 */     GIR_EraseRootFromParent_Done,
     /*  251505 */   // Label 4824: @251505
     /*  251505 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(251568), // Rule ID 5327 //
     /*  251510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251566 */     GIR_RootConstrainSelectedInstOperands,
     /*  251567 */     // GIR_Coverage, 5327,
     /*  251567 */     GIR_EraseRootFromParent_Done,
     /*  251568 */   // Label 4825: @251568
     /*  251568 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(251631), // Rule ID 5328 //
     /*  251573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251629 */     GIR_RootConstrainSelectedInstOperands,
     /*  251630 */     // GIR_Coverage, 5328,
     /*  251630 */     GIR_EraseRootFromParent_Done,
     /*  251631 */   // Label 4826: @251631
     /*  251631 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(251694), // Rule ID 5329 //
     /*  251636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  251650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251692 */     GIR_RootConstrainSelectedInstOperands,
     /*  251693 */     // GIR_Coverage, 5329,
     /*  251693 */     GIR_EraseRootFromParent_Done,
     /*  251694 */   // Label 4827: @251694
     /*  251694 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(251757), // Rule ID 5330 //
     /*  251699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  251713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251755 */     GIR_RootConstrainSelectedInstOperands,
     /*  251756 */     // GIR_Coverage, 5330,
     /*  251756 */     GIR_EraseRootFromParent_Done,
     /*  251757 */   // Label 4828: @251757
     /*  251757 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(251820), // Rule ID 5331 //
     /*  251762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  251776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251818 */     GIR_RootConstrainSelectedInstOperands,
     /*  251819 */     // GIR_Coverage, 5331,
     /*  251819 */     GIR_EraseRootFromParent_Done,
     /*  251820 */   // Label 4829: @251820
     /*  251820 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(251883), // Rule ID 5332 //
     /*  251825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  251839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251881 */     GIR_RootConstrainSelectedInstOperands,
     /*  251882 */     // GIR_Coverage, 5332,
     /*  251882 */     GIR_EraseRootFromParent_Done,
     /*  251883 */   // Label 4830: @251883
     /*  251883 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(251946), // Rule ID 5333 //
     /*  251888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251927 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251944 */     GIR_RootConstrainSelectedInstOperands,
     /*  251945 */     // GIR_Coverage, 5333,
     /*  251945 */     GIR_EraseRootFromParent_Done,
     /*  251946 */   // Label 4831: @251946
     /*  251946 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(252009), // Rule ID 5334 //
     /*  251951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251990 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252007 */     GIR_RootConstrainSelectedInstOperands,
     /*  252008 */     // GIR_Coverage, 5334,
     /*  252008 */     GIR_EraseRootFromParent_Done,
     /*  252009 */   // Label 4832: @252009
     /*  252009 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252072), // Rule ID 5335 //
     /*  252014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  252028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252070 */     GIR_RootConstrainSelectedInstOperands,
     /*  252071 */     // GIR_Coverage, 5335,
     /*  252071 */     GIR_EraseRootFromParent_Done,
     /*  252072 */   // Label 4833: @252072
     /*  252072 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252135), // Rule ID 5336 //
     /*  252077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  252091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252133 */     GIR_RootConstrainSelectedInstOperands,
     /*  252134 */     // GIR_Coverage, 5336,
     /*  252134 */     GIR_EraseRootFromParent_Done,
     /*  252135 */   // Label 4834: @252135
     /*  252135 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252198), // Rule ID 5337 //
     /*  252140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252179 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252196 */     GIR_RootConstrainSelectedInstOperands,
     /*  252197 */     // GIR_Coverage, 5337,
     /*  252197 */     GIR_EraseRootFromParent_Done,
     /*  252198 */   // Label 4835: @252198
     /*  252198 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252261), // Rule ID 5338 //
     /*  252203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252259 */     GIR_RootConstrainSelectedInstOperands,
     /*  252260 */     // GIR_Coverage, 5338,
     /*  252260 */     GIR_EraseRootFromParent_Done,
     /*  252261 */   // Label 4836: @252261
     /*  252261 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252324), // Rule ID 5559 //
     /*  252266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252322 */     GIR_RootConstrainSelectedInstOperands,
     /*  252323 */     // GIR_Coverage, 5559,
     /*  252323 */     GIR_EraseRootFromParent_Done,
     /*  252324 */   // Label 4837: @252324
     /*  252324 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252387), // Rule ID 5560 //
     /*  252329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252385 */     GIR_RootConstrainSelectedInstOperands,
     /*  252386 */     // GIR_Coverage, 5560,
     /*  252386 */     GIR_EraseRootFromParent_Done,
     /*  252387 */   // Label 4838: @252387
     /*  252387 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(252450), // Rule ID 5561 //
     /*  252392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252431 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252448 */     GIR_RootConstrainSelectedInstOperands,
     /*  252449 */     // GIR_Coverage, 5561,
     /*  252449 */     GIR_EraseRootFromParent_Done,
     /*  252450 */   // Label 4839: @252450
     /*  252450 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(252513), // Rule ID 5562 //
     /*  252455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252494 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252511 */     GIR_RootConstrainSelectedInstOperands,
     /*  252512 */     // GIR_Coverage, 5562,
     /*  252512 */     GIR_EraseRootFromParent_Done,
     /*  252513 */   // Label 4840: @252513
     /*  252513 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(252576), // Rule ID 5563 //
     /*  252518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252574 */     GIR_RootConstrainSelectedInstOperands,
     /*  252575 */     // GIR_Coverage, 5563,
     /*  252575 */     GIR_EraseRootFromParent_Done,
     /*  252576 */   // Label 4841: @252576
     /*  252576 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(252639), // Rule ID 5564 //
     /*  252581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252637 */     GIR_RootConstrainSelectedInstOperands,
     /*  252638 */     // GIR_Coverage, 5564,
     /*  252638 */     GIR_EraseRootFromParent_Done,
     /*  252639 */   // Label 4842: @252639
     /*  252639 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(252702), // Rule ID 5565 //
     /*  252644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252700 */     GIR_RootConstrainSelectedInstOperands,
     /*  252701 */     // GIR_Coverage, 5565,
     /*  252701 */     GIR_EraseRootFromParent_Done,
     /*  252702 */   // Label 4843: @252702
     /*  252702 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(252765), // Rule ID 5566 //
     /*  252707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252746 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252763 */     GIR_RootConstrainSelectedInstOperands,
     /*  252764 */     // GIR_Coverage, 5566,
     /*  252764 */     GIR_EraseRootFromParent_Done,
     /*  252765 */   // Label 4844: @252765
     /*  252765 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(252828), // Rule ID 5567 //
     /*  252770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252826 */     GIR_RootConstrainSelectedInstOperands,
     /*  252827 */     // GIR_Coverage, 5567,
     /*  252827 */     GIR_EraseRootFromParent_Done,
     /*  252828 */   // Label 4845: @252828
     /*  252828 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(252891), // Rule ID 5568 //
     /*  252833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252889 */     GIR_RootConstrainSelectedInstOperands,
     /*  252890 */     // GIR_Coverage, 5568,
     /*  252890 */     GIR_EraseRootFromParent_Done,
     /*  252891 */   // Label 4846: @252891
     /*  252891 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(252954), // Rule ID 5569 //
     /*  252896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252935 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252952 */     GIR_RootConstrainSelectedInstOperands,
     /*  252953 */     // GIR_Coverage, 5569,
     /*  252953 */     GIR_EraseRootFromParent_Done,
     /*  252954 */   // Label 4847: @252954
     /*  252954 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(253017), // Rule ID 5570 //
     /*  252959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253015 */     GIR_RootConstrainSelectedInstOperands,
     /*  253016 */     // GIR_Coverage, 5570,
     /*  253016 */     GIR_EraseRootFromParent_Done,
     /*  253017 */   // Label 4848: @253017
     /*  253017 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253080), // Rule ID 5571 //
     /*  253022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  253036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253061 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253078 */     GIR_RootConstrainSelectedInstOperands,
     /*  253079 */     // GIR_Coverage, 5571,
     /*  253079 */     GIR_EraseRootFromParent_Done,
     /*  253080 */   // Label 4849: @253080
     /*  253080 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253143), // Rule ID 5572 //
     /*  253085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  253099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253141 */     GIR_RootConstrainSelectedInstOperands,
     /*  253142 */     // GIR_Coverage, 5572,
     /*  253142 */     GIR_EraseRootFromParent_Done,
     /*  253143 */   // Label 4850: @253143
     /*  253143 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253206), // Rule ID 5573 //
     /*  253148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253187 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253204 */     GIR_RootConstrainSelectedInstOperands,
     /*  253205 */     // GIR_Coverage, 5573,
     /*  253205 */     GIR_EraseRootFromParent_Done,
     /*  253206 */   // Label 4851: @253206
     /*  253206 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253269), // Rule ID 5574 //
     /*  253211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253267 */     GIR_RootConstrainSelectedInstOperands,
     /*  253268 */     // GIR_Coverage, 5574,
     /*  253268 */     GIR_EraseRootFromParent_Done,
     /*  253269 */   // Label 4852: @253269
     /*  253269 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253332), // Rule ID 5575 //
     /*  253274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253330 */     GIR_RootConstrainSelectedInstOperands,
     /*  253331 */     // GIR_Coverage, 5575,
     /*  253331 */     GIR_EraseRootFromParent_Done,
     /*  253332 */   // Label 4853: @253332
     /*  253332 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253395), // Rule ID 5576 //
     /*  253337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253393 */     GIR_RootConstrainSelectedInstOperands,
     /*  253394 */     // GIR_Coverage, 5576,
     /*  253394 */     GIR_EraseRootFromParent_Done,
     /*  253395 */   // Label 4854: @253395
     /*  253395 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(253458), // Rule ID 5577 //
     /*  253400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253439 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253456 */     GIR_RootConstrainSelectedInstOperands,
     /*  253457 */     // GIR_Coverage, 5577,
     /*  253457 */     GIR_EraseRootFromParent_Done,
     /*  253458 */   // Label 4855: @253458
     /*  253458 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(253521), // Rule ID 5578 //
     /*  253463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253519 */     GIR_RootConstrainSelectedInstOperands,
     /*  253520 */     // GIR_Coverage, 5578,
     /*  253520 */     GIR_EraseRootFromParent_Done,
     /*  253521 */   // Label 4856: @253521
     /*  253521 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(253584), // Rule ID 5579 //
     /*  253526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253565 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253582 */     GIR_RootConstrainSelectedInstOperands,
     /*  253583 */     // GIR_Coverage, 5579,
     /*  253583 */     GIR_EraseRootFromParent_Done,
     /*  253584 */   // Label 4857: @253584
     /*  253584 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(253647), // Rule ID 5580 //
     /*  253589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253645 */     GIR_RootConstrainSelectedInstOperands,
     /*  253646 */     // GIR_Coverage, 5580,
     /*  253646 */     GIR_EraseRootFromParent_Done,
     /*  253647 */   // Label 4858: @253647
     /*  253647 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(253710), // Rule ID 5581 //
     /*  253652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253708 */     GIR_RootConstrainSelectedInstOperands,
     /*  253709 */     // GIR_Coverage, 5581,
     /*  253709 */     GIR_EraseRootFromParent_Done,
     /*  253710 */   // Label 4859: @253710
     /*  253710 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(253773), // Rule ID 5582 //
     /*  253715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253754 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253771 */     GIR_RootConstrainSelectedInstOperands,
     /*  253772 */     // GIR_Coverage, 5582,
     /*  253772 */     GIR_EraseRootFromParent_Done,
     /*  253773 */   // Label 4860: @253773
     /*  253773 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(253836), // Rule ID 5583 //
     /*  253778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253817 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253834 */     GIR_RootConstrainSelectedInstOperands,
     /*  253835 */     // GIR_Coverage, 5583,
     /*  253835 */     GIR_EraseRootFromParent_Done,
     /*  253836 */   // Label 4861: @253836
     /*  253836 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(253899), // Rule ID 5584 //
     /*  253841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253880 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253897 */     GIR_RootConstrainSelectedInstOperands,
     /*  253898 */     // GIR_Coverage, 5584,
     /*  253898 */     GIR_EraseRootFromParent_Done,
     /*  253899 */   // Label 4862: @253899
     /*  253899 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(253962), // Rule ID 5585 //
     /*  253904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253943 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253960 */     GIR_RootConstrainSelectedInstOperands,
     /*  253961 */     // GIR_Coverage, 5585,
     /*  253961 */     GIR_EraseRootFromParent_Done,
     /*  253962 */   // Label 4863: @253962
     /*  253962 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(254025), // Rule ID 5586 //
     /*  253967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254006 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254023 */     GIR_RootConstrainSelectedInstOperands,
     /*  254024 */     // GIR_Coverage, 5586,
     /*  254024 */     GIR_EraseRootFromParent_Done,
     /*  254025 */   // Label 4864: @254025
     /*  254025 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254088), // Rule ID 5587 //
     /*  254030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254086 */     GIR_RootConstrainSelectedInstOperands,
     /*  254087 */     // GIR_Coverage, 5587,
     /*  254087 */     GIR_EraseRootFromParent_Done,
     /*  254088 */   // Label 4865: @254088
     /*  254088 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254151), // Rule ID 5588 //
     /*  254093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254149 */     GIR_RootConstrainSelectedInstOperands,
     /*  254150 */     // GIR_Coverage, 5588,
     /*  254150 */     GIR_EraseRootFromParent_Done,
     /*  254151 */   // Label 4866: @254151
     /*  254151 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254214), // Rule ID 5589 //
     /*  254156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254195 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254212 */     GIR_RootConstrainSelectedInstOperands,
     /*  254213 */     // GIR_Coverage, 5589,
     /*  254213 */     GIR_EraseRootFromParent_Done,
     /*  254214 */   // Label 4867: @254214
     /*  254214 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254277), // Rule ID 5590 //
     /*  254219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254258 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254275 */     GIR_RootConstrainSelectedInstOperands,
     /*  254276 */     // GIR_Coverage, 5590,
     /*  254276 */     GIR_EraseRootFromParent_Done,
     /*  254277 */   // Label 4868: @254277
     /*  254277 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254340), // Rule ID 5591 //
     /*  254282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254321 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254338 */     GIR_RootConstrainSelectedInstOperands,
     /*  254339 */     // GIR_Coverage, 5591,
     /*  254339 */     GIR_EraseRootFromParent_Done,
     /*  254340 */   // Label 4869: @254340
     /*  254340 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254403), // Rule ID 5592 //
     /*  254345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254401 */     GIR_RootConstrainSelectedInstOperands,
     /*  254402 */     // GIR_Coverage, 5592,
     /*  254402 */     GIR_EraseRootFromParent_Done,
     /*  254403 */   // Label 4870: @254403
     /*  254403 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(254466), // Rule ID 5593 //
     /*  254408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254447 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254464 */     GIR_RootConstrainSelectedInstOperands,
     /*  254465 */     // GIR_Coverage, 5593,
     /*  254465 */     GIR_EraseRootFromParent_Done,
     /*  254466 */   // Label 4871: @254466
     /*  254466 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(254529), // Rule ID 5594 //
     /*  254471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254510 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254527 */     GIR_RootConstrainSelectedInstOperands,
     /*  254528 */     // GIR_Coverage, 5594,
     /*  254528 */     GIR_EraseRootFromParent_Done,
     /*  254529 */   // Label 4872: @254529
     /*  254529 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(254592), // Rule ID 5595 //
     /*  254534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254590 */     GIR_RootConstrainSelectedInstOperands,
     /*  254591 */     // GIR_Coverage, 5595,
     /*  254591 */     GIR_EraseRootFromParent_Done,
     /*  254592 */   // Label 4873: @254592
     /*  254592 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(254655), // Rule ID 5596 //
     /*  254597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254636 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254653 */     GIR_RootConstrainSelectedInstOperands,
     /*  254654 */     // GIR_Coverage, 5596,
     /*  254654 */     GIR_EraseRootFromParent_Done,
     /*  254655 */   // Label 4874: @254655
     /*  254655 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(254718), // Rule ID 5597 //
     /*  254660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254699 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254716 */     GIR_RootConstrainSelectedInstOperands,
     /*  254717 */     // GIR_Coverage, 5597,
     /*  254717 */     GIR_EraseRootFromParent_Done,
     /*  254718 */   // Label 4875: @254718
     /*  254718 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(254781), // Rule ID 5598 //
     /*  254723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254762 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254779 */     GIR_RootConstrainSelectedInstOperands,
     /*  254780 */     // GIR_Coverage, 5598,
     /*  254780 */     GIR_EraseRootFromParent_Done,
     /*  254781 */   // Label 4876: @254781
     /*  254781 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(254844), // Rule ID 5599 //
     /*  254786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254842 */     GIR_RootConstrainSelectedInstOperands,
     /*  254843 */     // GIR_Coverage, 5599,
     /*  254843 */     GIR_EraseRootFromParent_Done,
     /*  254844 */   // Label 4877: @254844
     /*  254844 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(254907), // Rule ID 5600 //
     /*  254849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254905 */     GIR_RootConstrainSelectedInstOperands,
     /*  254906 */     // GIR_Coverage, 5600,
     /*  254906 */     GIR_EraseRootFromParent_Done,
     /*  254907 */   // Label 4878: @254907
     /*  254907 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(254970), // Rule ID 5601 //
     /*  254912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254951 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254968 */     GIR_RootConstrainSelectedInstOperands,
     /*  254969 */     // GIR_Coverage, 5601,
     /*  254969 */     GIR_EraseRootFromParent_Done,
     /*  254970 */   // Label 4879: @254970
     /*  254970 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(255033), // Rule ID 5602 //
     /*  254975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255014 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255031 */     GIR_RootConstrainSelectedInstOperands,
     /*  255032 */     // GIR_Coverage, 5602,
     /*  255032 */     GIR_EraseRootFromParent_Done,
     /*  255033 */   // Label 4880: @255033
     /*  255033 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255096), // Rule ID 5603 //
     /*  255038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255094 */     GIR_RootConstrainSelectedInstOperands,
     /*  255095 */     // GIR_Coverage, 5603,
     /*  255095 */     GIR_EraseRootFromParent_Done,
     /*  255096 */   // Label 4881: @255096
     /*  255096 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255159), // Rule ID 5604 //
     /*  255101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255157 */     GIR_RootConstrainSelectedInstOperands,
     /*  255158 */     // GIR_Coverage, 5604,
     /*  255158 */     GIR_EraseRootFromParent_Done,
     /*  255159 */   // Label 4882: @255159
     /*  255159 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255222), // Rule ID 5605 //
     /*  255164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255203 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255220 */     GIR_RootConstrainSelectedInstOperands,
     /*  255221 */     // GIR_Coverage, 5605,
     /*  255221 */     GIR_EraseRootFromParent_Done,
     /*  255222 */   // Label 4883: @255222
     /*  255222 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255285), // Rule ID 5606 //
     /*  255227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255266 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255283 */     GIR_RootConstrainSelectedInstOperands,
     /*  255284 */     // GIR_Coverage, 5606,
     /*  255284 */     GIR_EraseRootFromParent_Done,
     /*  255285 */   // Label 4884: @255285
     /*  255285 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255348), // Rule ID 5607 //
     /*  255290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255346 */     GIR_RootConstrainSelectedInstOperands,
     /*  255347 */     // GIR_Coverage, 5607,
     /*  255347 */     GIR_EraseRootFromParent_Done,
     /*  255348 */   // Label 4885: @255348
     /*  255348 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255411), // Rule ID 5608 //
     /*  255353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255409 */     GIR_RootConstrainSelectedInstOperands,
     /*  255410 */     // GIR_Coverage, 5608,
     /*  255410 */     GIR_EraseRootFromParent_Done,
     /*  255411 */   // Label 4886: @255411
     /*  255411 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(255474), // Rule ID 5609 //
     /*  255416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255472 */     GIR_RootConstrainSelectedInstOperands,
     /*  255473 */     // GIR_Coverage, 5609,
     /*  255473 */     GIR_EraseRootFromParent_Done,
     /*  255474 */   // Label 4887: @255474
     /*  255474 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(255537), // Rule ID 5610 //
     /*  255479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255535 */     GIR_RootConstrainSelectedInstOperands,
     /*  255536 */     // GIR_Coverage, 5610,
     /*  255536 */     GIR_EraseRootFromParent_Done,
     /*  255537 */   // Label 4888: @255537
     /*  255537 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(255600), // Rule ID 5611 //
     /*  255542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255598 */     GIR_RootConstrainSelectedInstOperands,
     /*  255599 */     // GIR_Coverage, 5611,
     /*  255599 */     GIR_EraseRootFromParent_Done,
     /*  255600 */   // Label 4889: @255600
     /*  255600 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(255663), // Rule ID 5612 //
     /*  255605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255661 */     GIR_RootConstrainSelectedInstOperands,
     /*  255662 */     // GIR_Coverage, 5612,
     /*  255662 */     GIR_EraseRootFromParent_Done,
     /*  255663 */   // Label 4890: @255663
     /*  255663 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(255726), // Rule ID 5613 //
     /*  255668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255724 */     GIR_RootConstrainSelectedInstOperands,
     /*  255725 */     // GIR_Coverage, 5613,
     /*  255725 */     GIR_EraseRootFromParent_Done,
     /*  255726 */   // Label 4891: @255726
     /*  255726 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(255789), // Rule ID 5614 //
     /*  255731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255787 */     GIR_RootConstrainSelectedInstOperands,
     /*  255788 */     // GIR_Coverage, 5614,
     /*  255788 */     GIR_EraseRootFromParent_Done,
     /*  255789 */   // Label 4892: @255789
     /*  255789 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(255852), // Rule ID 5615 //
     /*  255794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255850 */     GIR_RootConstrainSelectedInstOperands,
     /*  255851 */     // GIR_Coverage, 5615,
     /*  255851 */     GIR_EraseRootFromParent_Done,
     /*  255852 */   // Label 4893: @255852
     /*  255852 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(255915), // Rule ID 5616 //
     /*  255857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255913 */     GIR_RootConstrainSelectedInstOperands,
     /*  255914 */     // GIR_Coverage, 5616,
     /*  255914 */     GIR_EraseRootFromParent_Done,
     /*  255915 */   // Label 4894: @255915
     /*  255915 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(255978), // Rule ID 5617 //
     /*  255920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255959 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255976 */     GIR_RootConstrainSelectedInstOperands,
     /*  255977 */     // GIR_Coverage, 5617,
     /*  255977 */     GIR_EraseRootFromParent_Done,
     /*  255978 */   // Label 4895: @255978
     /*  255978 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(256041), // Rule ID 5618 //
     /*  255983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256039 */     GIR_RootConstrainSelectedInstOperands,
     /*  256040 */     // GIR_Coverage, 5618,
     /*  256040 */     GIR_EraseRootFromParent_Done,
     /*  256041 */   // Label 4896: @256041
     /*  256041 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256104), // Rule ID 5619 //
     /*  256046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256102 */     GIR_RootConstrainSelectedInstOperands,
     /*  256103 */     // GIR_Coverage, 5619,
     /*  256103 */     GIR_EraseRootFromParent_Done,
     /*  256104 */   // Label 4897: @256104
     /*  256104 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256167), // Rule ID 5620 //
     /*  256109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256165 */     GIR_RootConstrainSelectedInstOperands,
     /*  256166 */     // GIR_Coverage, 5620,
     /*  256166 */     GIR_EraseRootFromParent_Done,
     /*  256167 */   // Label 4898: @256167
     /*  256167 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256230), // Rule ID 5621 //
     /*  256172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256228 */     GIR_RootConstrainSelectedInstOperands,
     /*  256229 */     // GIR_Coverage, 5621,
     /*  256229 */     GIR_EraseRootFromParent_Done,
     /*  256230 */   // Label 4899: @256230
     /*  256230 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256293), // Rule ID 5622 //
     /*  256235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256274 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256291 */     GIR_RootConstrainSelectedInstOperands,
     /*  256292 */     // GIR_Coverage, 5622,
     /*  256292 */     GIR_EraseRootFromParent_Done,
     /*  256293 */   // Label 4900: @256293
     /*  256293 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256356), // Rule ID 5623 //
     /*  256298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256354 */     GIR_RootConstrainSelectedInstOperands,
     /*  256355 */     // GIR_Coverage, 5623,
     /*  256355 */     GIR_EraseRootFromParent_Done,
     /*  256356 */   // Label 4901: @256356
     /*  256356 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256419), // Rule ID 5624 //
     /*  256361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256417 */     GIR_RootConstrainSelectedInstOperands,
     /*  256418 */     // GIR_Coverage, 5624,
     /*  256418 */     GIR_EraseRootFromParent_Done,
     /*  256419 */   // Label 4902: @256419
     /*  256419 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(256482), // Rule ID 5625 //
     /*  256424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256463 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256480 */     GIR_RootConstrainSelectedInstOperands,
     /*  256481 */     // GIR_Coverage, 5625,
     /*  256481 */     GIR_EraseRootFromParent_Done,
     /*  256482 */   // Label 4903: @256482
     /*  256482 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(256545), // Rule ID 5626 //
     /*  256487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256526 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256543 */     GIR_RootConstrainSelectedInstOperands,
     /*  256544 */     // GIR_Coverage, 5626,
     /*  256544 */     GIR_EraseRootFromParent_Done,
     /*  256545 */   // Label 4904: @256545
     /*  256545 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(256608), // Rule ID 5627 //
     /*  256550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256589 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256606 */     GIR_RootConstrainSelectedInstOperands,
     /*  256607 */     // GIR_Coverage, 5627,
     /*  256607 */     GIR_EraseRootFromParent_Done,
     /*  256608 */   // Label 4905: @256608
     /*  256608 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(256671), // Rule ID 5628 //
     /*  256613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256652 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256669 */     GIR_RootConstrainSelectedInstOperands,
     /*  256670 */     // GIR_Coverage, 5628,
     /*  256670 */     GIR_EraseRootFromParent_Done,
     /*  256671 */   // Label 4906: @256671
     /*  256671 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(256734), // Rule ID 5629 //
     /*  256676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256732 */     GIR_RootConstrainSelectedInstOperands,
     /*  256733 */     // GIR_Coverage, 5629,
     /*  256733 */     GIR_EraseRootFromParent_Done,
     /*  256734 */   // Label 4907: @256734
     /*  256734 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(256797), // Rule ID 5630 //
     /*  256739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256795 */     GIR_RootConstrainSelectedInstOperands,
     /*  256796 */     // GIR_Coverage, 5630,
     /*  256796 */     GIR_EraseRootFromParent_Done,
     /*  256797 */   // Label 4908: @256797
     /*  256797 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(256860), // Rule ID 5631 //
     /*  256802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256841 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256858 */     GIR_RootConstrainSelectedInstOperands,
     /*  256859 */     // GIR_Coverage, 5631,
     /*  256859 */     GIR_EraseRootFromParent_Done,
     /*  256860 */   // Label 4909: @256860
     /*  256860 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(256923), // Rule ID 5632 //
     /*  256865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256921 */     GIR_RootConstrainSelectedInstOperands,
     /*  256922 */     // GIR_Coverage, 5632,
     /*  256922 */     GIR_EraseRootFromParent_Done,
     /*  256923 */   // Label 4910: @256923
     /*  256923 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(256986), // Rule ID 5633 //
     /*  256928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256967 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256984 */     GIR_RootConstrainSelectedInstOperands,
     /*  256985 */     // GIR_Coverage, 5633,
     /*  256985 */     GIR_EraseRootFromParent_Done,
     /*  256986 */   // Label 4911: @256986
     /*  256986 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(257049), // Rule ID 5634 //
     /*  256991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  257005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257030 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257047 */     GIR_RootConstrainSelectedInstOperands,
     /*  257048 */     // GIR_Coverage, 5634,
     /*  257048 */     GIR_EraseRootFromParent_Done,
     /*  257049 */   // Label 4912: @257049
     /*  257049 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257112), // Rule ID 5635 //
     /*  257054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257110 */     GIR_RootConstrainSelectedInstOperands,
     /*  257111 */     // GIR_Coverage, 5635,
     /*  257111 */     GIR_EraseRootFromParent_Done,
     /*  257112 */   // Label 4913: @257112
     /*  257112 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257175), // Rule ID 5636 //
     /*  257117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257173 */     GIR_RootConstrainSelectedInstOperands,
     /*  257174 */     // GIR_Coverage, 5636,
     /*  257174 */     GIR_EraseRootFromParent_Done,
     /*  257175 */   // Label 4914: @257175
     /*  257175 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257238), // Rule ID 5637 //
     /*  257180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257236 */     GIR_RootConstrainSelectedInstOperands,
     /*  257237 */     // GIR_Coverage, 5637,
     /*  257237 */     GIR_EraseRootFromParent_Done,
     /*  257238 */   // Label 4915: @257238
     /*  257238 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257301), // Rule ID 5638 //
     /*  257243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257282 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257299 */     GIR_RootConstrainSelectedInstOperands,
     /*  257300 */     // GIR_Coverage, 5638,
     /*  257300 */     GIR_EraseRootFromParent_Done,
     /*  257301 */   // Label 4916: @257301
     /*  257301 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257364), // Rule ID 5639 //
     /*  257306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257345 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257362 */     GIR_RootConstrainSelectedInstOperands,
     /*  257363 */     // GIR_Coverage, 5639,
     /*  257363 */     GIR_EraseRootFromParent_Done,
     /*  257364 */   // Label 4917: @257364
     /*  257364 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(257427), // Rule ID 5640 //
     /*  257369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257425 */     GIR_RootConstrainSelectedInstOperands,
     /*  257426 */     // GIR_Coverage, 5640,
     /*  257426 */     GIR_EraseRootFromParent_Done,
     /*  257427 */   // Label 4918: @257427
     /*  257427 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(257490), // Rule ID 5641 //
     /*  257432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257488 */     GIR_RootConstrainSelectedInstOperands,
     /*  257489 */     // GIR_Coverage, 5641,
     /*  257489 */     GIR_EraseRootFromParent_Done,
     /*  257490 */   // Label 4919: @257490
     /*  257490 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(257553), // Rule ID 5642 //
     /*  257495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257534 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257551 */     GIR_RootConstrainSelectedInstOperands,
     /*  257552 */     // GIR_Coverage, 5642,
     /*  257552 */     GIR_EraseRootFromParent_Done,
     /*  257553 */   // Label 4920: @257553
     /*  257553 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(257616), // Rule ID 5643 //
     /*  257558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257597 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257614 */     GIR_RootConstrainSelectedInstOperands,
     /*  257615 */     // GIR_Coverage, 5643,
     /*  257615 */     GIR_EraseRootFromParent_Done,
     /*  257616 */   // Label 4921: @257616
     /*  257616 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(257679), // Rule ID 5644 //
     /*  257621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257677 */     GIR_RootConstrainSelectedInstOperands,
     /*  257678 */     // GIR_Coverage, 5644,
     /*  257678 */     GIR_EraseRootFromParent_Done,
     /*  257679 */   // Label 4922: @257679
     /*  257679 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(257742), // Rule ID 5645 //
     /*  257684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257723 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257740 */     GIR_RootConstrainSelectedInstOperands,
     /*  257741 */     // GIR_Coverage, 5645,
     /*  257741 */     GIR_EraseRootFromParent_Done,
     /*  257742 */   // Label 4923: @257742
     /*  257742 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(257805), // Rule ID 5646 //
     /*  257747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257803 */     GIR_RootConstrainSelectedInstOperands,
     /*  257804 */     // GIR_Coverage, 5646,
     /*  257804 */     GIR_EraseRootFromParent_Done,
     /*  257805 */   // Label 4924: @257805
     /*  257805 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(257868), // Rule ID 7679 //
     /*  257810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  257852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257866 */     GIR_RootConstrainSelectedInstOperands,
     /*  257867 */     // GIR_Coverage, 7679,
     /*  257867 */     GIR_EraseRootFromParent_Done,
     /*  257868 */   // Label 4925: @257868
     /*  257868 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(257931), // Rule ID 7680 //
     /*  257873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  257915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257929 */     GIR_RootConstrainSelectedInstOperands,
     /*  257930 */     // GIR_Coverage, 7680,
     /*  257930 */     GIR_EraseRootFromParent_Done,
     /*  257931 */   // Label 4926: @257931
     /*  257931 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(257994), // Rule ID 7683 //
     /*  257936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257975 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  257978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257992 */     GIR_RootConstrainSelectedInstOperands,
     /*  257993 */     // GIR_Coverage, 7683,
     /*  257993 */     GIR_EraseRootFromParent_Done,
     /*  257994 */   // Label 4927: @257994
     /*  257994 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258057), // Rule ID 7684 //
     /*  257999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  258013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  258016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258055 */     GIR_RootConstrainSelectedInstOperands,
     /*  258056 */     // GIR_Coverage, 7684,
     /*  258056 */     GIR_EraseRootFromParent_Done,
     /*  258057 */   // Label 4928: @258057
     /*  258057 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258120), // Rule ID 7687 //
     /*  258062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258101 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258118 */     GIR_RootConstrainSelectedInstOperands,
     /*  258119 */     // GIR_Coverage, 7687,
     /*  258119 */     GIR_EraseRootFromParent_Done,
     /*  258120 */   // Label 4929: @258120
     /*  258120 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258183), // Rule ID 7688 //
     /*  258125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258181 */     GIR_RootConstrainSelectedInstOperands,
     /*  258182 */     // GIR_Coverage, 7688,
     /*  258182 */     GIR_EraseRootFromParent_Done,
     /*  258183 */   // Label 4930: @258183
     /*  258183 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258246), // Rule ID 7691 //
     /*  258188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258227 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258244 */     GIR_RootConstrainSelectedInstOperands,
     /*  258245 */     // GIR_Coverage, 7691,
     /*  258245 */     GIR_EraseRootFromParent_Done,
     /*  258246 */   // Label 4931: @258246
     /*  258246 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258309), // Rule ID 7692 //
     /*  258251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258307 */     GIR_RootConstrainSelectedInstOperands,
     /*  258308 */     // GIR_Coverage, 7692,
     /*  258308 */     GIR_EraseRootFromParent_Done,
     /*  258309 */   // Label 4932: @258309
     /*  258309 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258372), // Rule ID 7695 //
     /*  258314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258370 */     GIR_RootConstrainSelectedInstOperands,
     /*  258371 */     // GIR_Coverage, 7695,
     /*  258371 */     GIR_EraseRootFromParent_Done,
     /*  258372 */   // Label 4933: @258372
     /*  258372 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(258435), // Rule ID 7696 //
     /*  258377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258433 */     GIR_RootConstrainSelectedInstOperands,
     /*  258434 */     // GIR_Coverage, 7696,
     /*  258434 */     GIR_EraseRootFromParent_Done,
     /*  258435 */   // Label 4934: @258435
     /*  258435 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(258498), // Rule ID 7699 //
     /*  258440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258479 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258496 */     GIR_RootConstrainSelectedInstOperands,
     /*  258497 */     // GIR_Coverage, 7699,
     /*  258497 */     GIR_EraseRootFromParent_Done,
     /*  258498 */   // Label 4935: @258498
     /*  258498 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(258561), // Rule ID 7700 //
     /*  258503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258559 */     GIR_RootConstrainSelectedInstOperands,
     /*  258560 */     // GIR_Coverage, 7700,
     /*  258560 */     GIR_EraseRootFromParent_Done,
     /*  258561 */   // Label 4936: @258561
     /*  258561 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(258624), // Rule ID 7703 //
     /*  258566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258622 */     GIR_RootConstrainSelectedInstOperands,
     /*  258623 */     // GIR_Coverage, 7703,
     /*  258623 */     GIR_EraseRootFromParent_Done,
     /*  258624 */   // Label 4937: @258624
     /*  258624 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(258687), // Rule ID 7704 //
     /*  258629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258685 */     GIR_RootConstrainSelectedInstOperands,
     /*  258686 */     // GIR_Coverage, 7704,
     /*  258686 */     GIR_EraseRootFromParent_Done,
     /*  258687 */   // Label 4938: @258687
     /*  258687 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(258750), // Rule ID 7707 //
     /*  258692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258731 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258748 */     GIR_RootConstrainSelectedInstOperands,
     /*  258749 */     // GIR_Coverage, 7707,
     /*  258749 */     GIR_EraseRootFromParent_Done,
     /*  258750 */   // Label 4939: @258750
     /*  258750 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(258813), // Rule ID 7708 //
     /*  258755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258811 */     GIR_RootConstrainSelectedInstOperands,
     /*  258812 */     // GIR_Coverage, 7708,
     /*  258812 */     GIR_EraseRootFromParent_Done,
     /*  258813 */   // Label 4940: @258813
     /*  258813 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(258876), // Rule ID 7711 //
     /*  258818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258857 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258874 */     GIR_RootConstrainSelectedInstOperands,
     /*  258875 */     // GIR_Coverage, 7711,
     /*  258875 */     GIR_EraseRootFromParent_Done,
     /*  258876 */   // Label 4941: @258876
     /*  258876 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(258939), // Rule ID 7712 //
     /*  258881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258937 */     GIR_RootConstrainSelectedInstOperands,
     /*  258938 */     // GIR_Coverage, 7712,
     /*  258938 */     GIR_EraseRootFromParent_Done,
     /*  258939 */   // Label 4942: @258939
     /*  258939 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(259002), // Rule ID 7715 //
     /*  258944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258983 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259000 */     GIR_RootConstrainSelectedInstOperands,
     /*  259001 */     // GIR_Coverage, 7715,
     /*  259001 */     GIR_EraseRootFromParent_Done,
     /*  259002 */   // Label 4943: @259002
     /*  259002 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259065), // Rule ID 7716 //
     /*  259007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  259024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259046 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259063 */     GIR_RootConstrainSelectedInstOperands,
     /*  259064 */     // GIR_Coverage, 7716,
     /*  259064 */     GIR_EraseRootFromParent_Done,
     /*  259065 */   // Label 4944: @259065
     /*  259065 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259128), // Rule ID 7719 //
     /*  259070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259109 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259126 */     GIR_RootConstrainSelectedInstOperands,
     /*  259127 */     // GIR_Coverage, 7719,
     /*  259127 */     GIR_EraseRootFromParent_Done,
     /*  259128 */   // Label 4945: @259128
     /*  259128 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259191), // Rule ID 7720 //
     /*  259133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259172 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259189 */     GIR_RootConstrainSelectedInstOperands,
     /*  259190 */     // GIR_Coverage, 7720,
     /*  259190 */     GIR_EraseRootFromParent_Done,
     /*  259191 */   // Label 4946: @259191
     /*  259191 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259254), // Rule ID 7723 //
     /*  259196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259235 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259252 */     GIR_RootConstrainSelectedInstOperands,
     /*  259253 */     // GIR_Coverage, 7723,
     /*  259253 */     GIR_EraseRootFromParent_Done,
     /*  259254 */   // Label 4947: @259254
     /*  259254 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259317), // Rule ID 7724 //
     /*  259259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259298 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259315 */     GIR_RootConstrainSelectedInstOperands,
     /*  259316 */     // GIR_Coverage, 7724,
     /*  259316 */     GIR_EraseRootFromParent_Done,
     /*  259317 */   // Label 4948: @259317
     /*  259317 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259380), // Rule ID 7727 //
     /*  259322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259361 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259378 */     GIR_RootConstrainSelectedInstOperands,
     /*  259379 */     // GIR_Coverage, 7727,
     /*  259379 */     GIR_EraseRootFromParent_Done,
     /*  259380 */   // Label 4949: @259380
     /*  259380 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(259443), // Rule ID 7728 //
     /*  259385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259441 */     GIR_RootConstrainSelectedInstOperands,
     /*  259442 */     // GIR_Coverage, 7728,
     /*  259442 */     GIR_EraseRootFromParent_Done,
     /*  259443 */   // Label 4950: @259443
     /*  259443 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(259506), // Rule ID 7731 //
     /*  259448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259487 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259504 */     GIR_RootConstrainSelectedInstOperands,
     /*  259505 */     // GIR_Coverage, 7731,
     /*  259505 */     GIR_EraseRootFromParent_Done,
     /*  259506 */   // Label 4951: @259506
     /*  259506 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(259569), // Rule ID 7732 //
     /*  259511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259550 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259567 */     GIR_RootConstrainSelectedInstOperands,
     /*  259568 */     // GIR_Coverage, 7732,
     /*  259568 */     GIR_EraseRootFromParent_Done,
     /*  259569 */   // Label 4952: @259569
     /*  259569 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(259632), // Rule ID 7735 //
     /*  259574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259613 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259630 */     GIR_RootConstrainSelectedInstOperands,
     /*  259631 */     // GIR_Coverage, 7735,
     /*  259631 */     GIR_EraseRootFromParent_Done,
     /*  259632 */   // Label 4953: @259632
     /*  259632 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(259695), // Rule ID 7736 //
     /*  259637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259676 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259693 */     GIR_RootConstrainSelectedInstOperands,
     /*  259694 */     // GIR_Coverage, 7736,
     /*  259694 */     GIR_EraseRootFromParent_Done,
     /*  259695 */   // Label 4954: @259695
     /*  259695 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(259758), // Rule ID 7739 //
     /*  259700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259739 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259756 */     GIR_RootConstrainSelectedInstOperands,
     /*  259757 */     // GIR_Coverage, 7739,
     /*  259757 */     GIR_EraseRootFromParent_Done,
     /*  259758 */   // Label 4955: @259758
     /*  259758 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(259821), // Rule ID 7740 //
     /*  259763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259819 */     GIR_RootConstrainSelectedInstOperands,
     /*  259820 */     // GIR_Coverage, 7740,
     /*  259820 */     GIR_EraseRootFromParent_Done,
     /*  259821 */   // Label 4956: @259821
     /*  259821 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(259884), // Rule ID 7743 //
     /*  259826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259865 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259882 */     GIR_RootConstrainSelectedInstOperands,
     /*  259883 */     // GIR_Coverage, 7743,
     /*  259883 */     GIR_EraseRootFromParent_Done,
     /*  259884 */   // Label 4957: @259884
     /*  259884 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(259947), // Rule ID 7744 //
     /*  259889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259945 */     GIR_RootConstrainSelectedInstOperands,
     /*  259946 */     // GIR_Coverage, 7744,
     /*  259946 */     GIR_EraseRootFromParent_Done,
     /*  259947 */   // Label 4958: @259947
     /*  259947 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(260010), // Rule ID 7747 //
     /*  259952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259991 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260008 */     GIR_RootConstrainSelectedInstOperands,
     /*  260009 */     // GIR_Coverage, 7747,
     /*  260009 */     GIR_EraseRootFromParent_Done,
     /*  260010 */   // Label 4959: @260010
     /*  260010 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260073), // Rule ID 7748 //
     /*  260015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  260029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260071 */     GIR_RootConstrainSelectedInstOperands,
     /*  260072 */     // GIR_Coverage, 7748,
     /*  260072 */     GIR_EraseRootFromParent_Done,
     /*  260073 */   // Label 4960: @260073
     /*  260073 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260136), // Rule ID 7751 //
     /*  260078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260117 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260134 */     GIR_RootConstrainSelectedInstOperands,
     /*  260135 */     // GIR_Coverage, 7751,
     /*  260135 */     GIR_EraseRootFromParent_Done,
     /*  260136 */   // Label 4961: @260136
     /*  260136 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260199), // Rule ID 7752 //
     /*  260141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260197 */     GIR_RootConstrainSelectedInstOperands,
     /*  260198 */     // GIR_Coverage, 7752,
     /*  260198 */     GIR_EraseRootFromParent_Done,
     /*  260199 */   // Label 4962: @260199
     /*  260199 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260262), // Rule ID 7755 //
     /*  260204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260243 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260260 */     GIR_RootConstrainSelectedInstOperands,
     /*  260261 */     // GIR_Coverage, 7755,
     /*  260261 */     GIR_EraseRootFromParent_Done,
     /*  260262 */   // Label 4963: @260262
     /*  260262 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260325), // Rule ID 7756 //
     /*  260267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260323 */     GIR_RootConstrainSelectedInstOperands,
     /*  260324 */     // GIR_Coverage, 7756,
     /*  260324 */     GIR_EraseRootFromParent_Done,
     /*  260325 */   // Label 4964: @260325
     /*  260325 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260388), // Rule ID 7759 //
     /*  260330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260386 */     GIR_RootConstrainSelectedInstOperands,
     /*  260387 */     // GIR_Coverage, 7759,
     /*  260387 */     GIR_EraseRootFromParent_Done,
     /*  260388 */   // Label 4965: @260388
     /*  260388 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(260451), // Rule ID 7760 //
     /*  260393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260449 */     GIR_RootConstrainSelectedInstOperands,
     /*  260450 */     // GIR_Coverage, 7760,
     /*  260450 */     GIR_EraseRootFromParent_Done,
     /*  260451 */   // Label 4966: @260451
     /*  260451 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(260514), // Rule ID 7763 //
     /*  260456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260495 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260512 */     GIR_RootConstrainSelectedInstOperands,
     /*  260513 */     // GIR_Coverage, 7763,
     /*  260513 */     GIR_EraseRootFromParent_Done,
     /*  260514 */   // Label 4967: @260514
     /*  260514 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(260577), // Rule ID 7764 //
     /*  260519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260575 */     GIR_RootConstrainSelectedInstOperands,
     /*  260576 */     // GIR_Coverage, 7764,
     /*  260576 */     GIR_EraseRootFromParent_Done,
     /*  260577 */   // Label 4968: @260577
     /*  260577 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(260640), // Rule ID 7767 //
     /*  260582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260638 */     GIR_RootConstrainSelectedInstOperands,
     /*  260639 */     // GIR_Coverage, 7767,
     /*  260639 */     GIR_EraseRootFromParent_Done,
     /*  260640 */   // Label 4969: @260640
     /*  260640 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(260703), // Rule ID 7768 //
     /*  260645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260701 */     GIR_RootConstrainSelectedInstOperands,
     /*  260702 */     // GIR_Coverage, 7768,
     /*  260702 */     GIR_EraseRootFromParent_Done,
     /*  260703 */   // Label 4970: @260703
     /*  260703 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(260766), // Rule ID 7771 //
     /*  260708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260747 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  260750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260764 */     GIR_RootConstrainSelectedInstOperands,
     /*  260765 */     // GIR_Coverage, 7771,
     /*  260765 */     GIR_EraseRootFromParent_Done,
     /*  260766 */   // Label 4971: @260766
     /*  260766 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(260829), // Rule ID 7772 //
     /*  260771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  260813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260827 */     GIR_RootConstrainSelectedInstOperands,
     /*  260828 */     // GIR_Coverage, 7772,
     /*  260828 */     GIR_EraseRootFromParent_Done,
     /*  260829 */   // Label 4972: @260829
     /*  260829 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(260892), // Rule ID 7775 //
     /*  260834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260890 */     GIR_RootConstrainSelectedInstOperands,
     /*  260891 */     // GIR_Coverage, 7775,
     /*  260891 */     GIR_EraseRootFromParent_Done,
     /*  260892 */   // Label 4973: @260892
     /*  260892 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(260955), // Rule ID 7776 //
     /*  260897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260953 */     GIR_RootConstrainSelectedInstOperands,
     /*  260954 */     // GIR_Coverage, 7776,
     /*  260954 */     GIR_EraseRootFromParent_Done,
     /*  260955 */   // Label 4974: @260955
     /*  260955 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(261018), // Rule ID 7779 //
     /*  260960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260999 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261016 */     GIR_RootConstrainSelectedInstOperands,
     /*  261017 */     // GIR_Coverage, 7779,
     /*  261017 */     GIR_EraseRootFromParent_Done,
     /*  261018 */   // Label 4975: @261018
     /*  261018 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261081), // Rule ID 7780 //
     /*  261023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  261037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261079 */     GIR_RootConstrainSelectedInstOperands,
     /*  261080 */     // GIR_Coverage, 7780,
     /*  261080 */     GIR_EraseRootFromParent_Done,
     /*  261081 */   // Label 4976: @261081
     /*  261081 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261144), // Rule ID 7783 //
     /*  261086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261142 */     GIR_RootConstrainSelectedInstOperands,
     /*  261143 */     // GIR_Coverage, 7783,
     /*  261143 */     GIR_EraseRootFromParent_Done,
     /*  261144 */   // Label 4977: @261144
     /*  261144 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261207), // Rule ID 7784 //
     /*  261149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261205 */     GIR_RootConstrainSelectedInstOperands,
     /*  261206 */     // GIR_Coverage, 7784,
     /*  261206 */     GIR_EraseRootFromParent_Done,
     /*  261207 */   // Label 4978: @261207
     /*  261207 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261270), // Rule ID 7787 //
     /*  261212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261251 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261268 */     GIR_RootConstrainSelectedInstOperands,
     /*  261269 */     // GIR_Coverage, 7787,
     /*  261269 */     GIR_EraseRootFromParent_Done,
     /*  261270 */   // Label 4979: @261270
     /*  261270 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261333), // Rule ID 7788 //
     /*  261275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261331 */     GIR_RootConstrainSelectedInstOperands,
     /*  261332 */     // GIR_Coverage, 7788,
     /*  261332 */     GIR_EraseRootFromParent_Done,
     /*  261333 */   // Label 4980: @261333
     /*  261333 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261396), // Rule ID 7791 //
     /*  261338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261394 */     GIR_RootConstrainSelectedInstOperands,
     /*  261395 */     // GIR_Coverage, 7791,
     /*  261395 */     GIR_EraseRootFromParent_Done,
     /*  261396 */   // Label 4981: @261396
     /*  261396 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(261459), // Rule ID 7792 //
     /*  261401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261457 */     GIR_RootConstrainSelectedInstOperands,
     /*  261458 */     // GIR_Coverage, 7792,
     /*  261458 */     GIR_EraseRootFromParent_Done,
     /*  261459 */   // Label 4982: @261459
     /*  261459 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(261522), // Rule ID 7795 //
     /*  261464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261520 */     GIR_RootConstrainSelectedInstOperands,
     /*  261521 */     // GIR_Coverage, 7795,
     /*  261521 */     GIR_EraseRootFromParent_Done,
     /*  261522 */   // Label 4983: @261522
     /*  261522 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(261585), // Rule ID 7796 //
     /*  261527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261583 */     GIR_RootConstrainSelectedInstOperands,
     /*  261584 */     // GIR_Coverage, 7796,
     /*  261584 */     GIR_EraseRootFromParent_Done,
     /*  261585 */   // Label 4984: @261585
     /*  261585 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(261648), // Rule ID 7799 //
     /*  261590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261646 */     GIR_RootConstrainSelectedInstOperands,
     /*  261647 */     // GIR_Coverage, 7799,
     /*  261647 */     GIR_EraseRootFromParent_Done,
     /*  261648 */   // Label 4985: @261648
     /*  261648 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(261711), // Rule ID 7800 //
     /*  261653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261709 */     GIR_RootConstrainSelectedInstOperands,
     /*  261710 */     // GIR_Coverage, 7800,
     /*  261710 */     GIR_EraseRootFromParent_Done,
     /*  261711 */   // Label 4986: @261711
     /*  261711 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(261774), // Rule ID 7803 //
     /*  261716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261755 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261772 */     GIR_RootConstrainSelectedInstOperands,
     /*  261773 */     // GIR_Coverage, 7803,
     /*  261773 */     GIR_EraseRootFromParent_Done,
     /*  261774 */   // Label 4987: @261774
     /*  261774 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(261837), // Rule ID 7804 //
     /*  261779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261818 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261835 */     GIR_RootConstrainSelectedInstOperands,
     /*  261836 */     // GIR_Coverage, 7804,
     /*  261836 */     GIR_EraseRootFromParent_Done,
     /*  261837 */   // Label 4988: @261837
     /*  261837 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(261900), // Rule ID 7807 //
     /*  261842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261881 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261898 */     GIR_RootConstrainSelectedInstOperands,
     /*  261899 */     // GIR_Coverage, 7807,
     /*  261899 */     GIR_EraseRootFromParent_Done,
     /*  261900 */   // Label 4989: @261900
     /*  261900 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(261963), // Rule ID 7808 //
     /*  261905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261961 */     GIR_RootConstrainSelectedInstOperands,
     /*  261962 */     // GIR_Coverage, 7808,
     /*  261962 */     GIR_EraseRootFromParent_Done,
     /*  261963 */   // Label 4990: @261963
     /*  261963 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(262026), // Rule ID 7811 //
     /*  261968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262007 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262024 */     GIR_RootConstrainSelectedInstOperands,
     /*  262025 */     // GIR_Coverage, 7811,
     /*  262025 */     GIR_EraseRootFromParent_Done,
     /*  262026 */   // Label 4991: @262026
     /*  262026 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262089), // Rule ID 7812 //
     /*  262031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  262045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262070 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262087 */     GIR_RootConstrainSelectedInstOperands,
     /*  262088 */     // GIR_Coverage, 7812,
     /*  262088 */     GIR_EraseRootFromParent_Done,
     /*  262089 */   // Label 4992: @262089
     /*  262089 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262152), // Rule ID 7815 //
     /*  262094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262133 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262150 */     GIR_RootConstrainSelectedInstOperands,
     /*  262151 */     // GIR_Coverage, 7815,
     /*  262151 */     GIR_EraseRootFromParent_Done,
     /*  262152 */   // Label 4993: @262152
     /*  262152 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262215), // Rule ID 7816 //
     /*  262157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262213 */     GIR_RootConstrainSelectedInstOperands,
     /*  262214 */     // GIR_Coverage, 7816,
     /*  262214 */     GIR_EraseRootFromParent_Done,
     /*  262215 */   // Label 4994: @262215
     /*  262215 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262278), // Rule ID 7819 //
     /*  262220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262259 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262276 */     GIR_RootConstrainSelectedInstOperands,
     /*  262277 */     // GIR_Coverage, 7819,
     /*  262277 */     GIR_EraseRootFromParent_Done,
     /*  262278 */   // Label 4995: @262278
     /*  262278 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262341), // Rule ID 7820 //
     /*  262283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262322 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262339 */     GIR_RootConstrainSelectedInstOperands,
     /*  262340 */     // GIR_Coverage, 7820,
     /*  262340 */     GIR_EraseRootFromParent_Done,
     /*  262341 */   // Label 4996: @262341
     /*  262341 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262404), // Rule ID 7823 //
     /*  262346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262385 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262402 */     GIR_RootConstrainSelectedInstOperands,
     /*  262403 */     // GIR_Coverage, 7823,
     /*  262403 */     GIR_EraseRootFromParent_Done,
     /*  262404 */   // Label 4997: @262404
     /*  262404 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(262467), // Rule ID 7824 //
     /*  262409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262448 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262465 */     GIR_RootConstrainSelectedInstOperands,
     /*  262466 */     // GIR_Coverage, 7824,
     /*  262466 */     GIR_EraseRootFromParent_Done,
     /*  262467 */   // Label 4998: @262467
     /*  262467 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(262530), // Rule ID 7827 //
     /*  262472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262511 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262528 */     GIR_RootConstrainSelectedInstOperands,
     /*  262529 */     // GIR_Coverage, 7827,
     /*  262529 */     GIR_EraseRootFromParent_Done,
     /*  262530 */   // Label 4999: @262530
     /*  262530 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(262593), // Rule ID 7828 //
     /*  262535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262574 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262591 */     GIR_RootConstrainSelectedInstOperands,
     /*  262592 */     // GIR_Coverage, 7828,
     /*  262592 */     GIR_EraseRootFromParent_Done,
     /*  262593 */   // Label 5000: @262593
     /*  262593 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(262656), // Rule ID 7831 //
     /*  262598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262654 */     GIR_RootConstrainSelectedInstOperands,
     /*  262655 */     // GIR_Coverage, 7831,
     /*  262655 */     GIR_EraseRootFromParent_Done,
     /*  262656 */   // Label 5001: @262656
     /*  262656 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(262719), // Rule ID 7832 //
     /*  262661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262717 */     GIR_RootConstrainSelectedInstOperands,
     /*  262718 */     // GIR_Coverage, 7832,
     /*  262718 */     GIR_EraseRootFromParent_Done,
     /*  262719 */   // Label 5002: @262719
     /*  262719 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(262782), // Rule ID 7835 //
     /*  262724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262780 */     GIR_RootConstrainSelectedInstOperands,
     /*  262781 */     // GIR_Coverage, 7835,
     /*  262781 */     GIR_EraseRootFromParent_Done,
     /*  262782 */   // Label 5003: @262782
     /*  262782 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(262845), // Rule ID 7836 //
     /*  262787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262826 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262843 */     GIR_RootConstrainSelectedInstOperands,
     /*  262844 */     // GIR_Coverage, 7836,
     /*  262844 */     GIR_EraseRootFromParent_Done,
     /*  262845 */   // Label 5004: @262845
     /*  262845 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(262908), // Rule ID 7839 //
     /*  262850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262906 */     GIR_RootConstrainSelectedInstOperands,
     /*  262907 */     // GIR_Coverage, 7839,
     /*  262907 */     GIR_EraseRootFromParent_Done,
     /*  262908 */   // Label 5005: @262908
     /*  262908 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(262971), // Rule ID 7840 //
     /*  262913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262969 */     GIR_RootConstrainSelectedInstOperands,
     /*  262970 */     // GIR_Coverage, 7840,
     /*  262970 */     GIR_EraseRootFromParent_Done,
     /*  262971 */   // Label 5006: @262971
     /*  262971 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(263034), // Rule ID 7843 //
     /*  262976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263015 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263032 */     GIR_RootConstrainSelectedInstOperands,
     /*  263033 */     // GIR_Coverage, 7843,
     /*  263033 */     GIR_EraseRootFromParent_Done,
     /*  263034 */   // Label 5007: @263034
     /*  263034 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263097), // Rule ID 7844 //
     /*  263039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  263053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263095 */     GIR_RootConstrainSelectedInstOperands,
     /*  263096 */     // GIR_Coverage, 7844,
     /*  263096 */     GIR_EraseRootFromParent_Done,
     /*  263097 */   // Label 5008: @263097
     /*  263097 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263160), // Rule ID 7847 //
     /*  263102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263158 */     GIR_RootConstrainSelectedInstOperands,
     /*  263159 */     // GIR_Coverage, 7847,
     /*  263159 */     GIR_EraseRootFromParent_Done,
     /*  263160 */   // Label 5009: @263160
     /*  263160 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263223), // Rule ID 7848 //
     /*  263165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263221 */     GIR_RootConstrainSelectedInstOperands,
     /*  263222 */     // GIR_Coverage, 7848,
     /*  263222 */     GIR_EraseRootFromParent_Done,
     /*  263223 */   // Label 5010: @263223
     /*  263223 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263286), // Rule ID 7939 //
     /*  263228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263267 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263284 */     GIR_RootConstrainSelectedInstOperands,
     /*  263285 */     // GIR_Coverage, 7939,
     /*  263285 */     GIR_EraseRootFromParent_Done,
     /*  263286 */   // Label 5011: @263286
     /*  263286 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263349), // Rule ID 7940 //
     /*  263291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263347 */     GIR_RootConstrainSelectedInstOperands,
     /*  263348 */     // GIR_Coverage, 7940,
     /*  263348 */     GIR_EraseRootFromParent_Done,
     /*  263349 */   // Label 5012: @263349
     /*  263349 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263412), // Rule ID 7943 //
     /*  263354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263393 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263410 */     GIR_RootConstrainSelectedInstOperands,
     /*  263411 */     // GIR_Coverage, 7943,
     /*  263411 */     GIR_EraseRootFromParent_Done,
     /*  263412 */   // Label 5013: @263412
     /*  263412 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(263475), // Rule ID 7944 //
     /*  263417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263473 */     GIR_RootConstrainSelectedInstOperands,
     /*  263474 */     // GIR_Coverage, 7944,
     /*  263474 */     GIR_EraseRootFromParent_Done,
     /*  263475 */   // Label 5014: @263475
     /*  263475 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(263538), // Rule ID 7947 //
     /*  263480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263519 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263536 */     GIR_RootConstrainSelectedInstOperands,
     /*  263537 */     // GIR_Coverage, 7947,
     /*  263537 */     GIR_EraseRootFromParent_Done,
     /*  263538 */   // Label 5015: @263538
     /*  263538 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(263601), // Rule ID 7948 //
     /*  263543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263599 */     GIR_RootConstrainSelectedInstOperands,
     /*  263600 */     // GIR_Coverage, 7948,
     /*  263600 */     GIR_EraseRootFromParent_Done,
     /*  263601 */   // Label 5016: @263601
     /*  263601 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(263664), // Rule ID 7951 //
     /*  263606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263662 */     GIR_RootConstrainSelectedInstOperands,
     /*  263663 */     // GIR_Coverage, 7951,
     /*  263663 */     GIR_EraseRootFromParent_Done,
     /*  263664 */   // Label 5017: @263664
     /*  263664 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(263727), // Rule ID 7952 //
     /*  263669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263725 */     GIR_RootConstrainSelectedInstOperands,
     /*  263726 */     // GIR_Coverage, 7952,
     /*  263726 */     GIR_EraseRootFromParent_Done,
     /*  263727 */   // Label 5018: @263727
     /*  263727 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(263790), // Rule ID 7955 //
     /*  263732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263771 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263788 */     GIR_RootConstrainSelectedInstOperands,
     /*  263789 */     // GIR_Coverage, 7955,
     /*  263789 */     GIR_EraseRootFromParent_Done,
     /*  263790 */   // Label 5019: @263790
     /*  263790 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(263853), // Rule ID 7956 //
     /*  263795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263851 */     GIR_RootConstrainSelectedInstOperands,
     /*  263852 */     // GIR_Coverage, 7956,
     /*  263852 */     GIR_EraseRootFromParent_Done,
     /*  263853 */   // Label 5020: @263853
     /*  263853 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(263916), // Rule ID 7959 //
     /*  263858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263914 */     GIR_RootConstrainSelectedInstOperands,
     /*  263915 */     // GIR_Coverage, 7959,
     /*  263915 */     GIR_EraseRootFromParent_Done,
     /*  263916 */   // Label 5021: @263916
     /*  263916 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(263979), // Rule ID 7960 //
     /*  263921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263977 */     GIR_RootConstrainSelectedInstOperands,
     /*  263978 */     // GIR_Coverage, 7960,
     /*  263978 */     GIR_EraseRootFromParent_Done,
     /*  263979 */   // Label 5022: @263979
     /*  263979 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(264042), // Rule ID 7963 //
     /*  263984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  264001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264040 */     GIR_RootConstrainSelectedInstOperands,
     /*  264041 */     // GIR_Coverage, 7963,
     /*  264041 */     GIR_EraseRootFromParent_Done,
     /*  264042 */   // Label 5023: @264042
     /*  264042 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264105), // Rule ID 7964 //
     /*  264047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  264061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  264064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264086 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264103 */     GIR_RootConstrainSelectedInstOperands,
     /*  264104 */     // GIR_Coverage, 7964,
     /*  264104 */     GIR_EraseRootFromParent_Done,
     /*  264105 */   // Label 5024: @264105
     /*  264105 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264168), // Rule ID 7967 //
     /*  264110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264166 */     GIR_RootConstrainSelectedInstOperands,
     /*  264167 */     // GIR_Coverage, 7967,
     /*  264167 */     GIR_EraseRootFromParent_Done,
     /*  264168 */   // Label 5025: @264168
     /*  264168 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264231), // Rule ID 7968 //
     /*  264173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264229 */     GIR_RootConstrainSelectedInstOperands,
     /*  264230 */     // GIR_Coverage, 7968,
     /*  264230 */     GIR_EraseRootFromParent_Done,
     /*  264231 */   // Label 5026: @264231
     /*  264231 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264294), // Rule ID 7971 //
     /*  264236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264275 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264292 */     GIR_RootConstrainSelectedInstOperands,
     /*  264293 */     // GIR_Coverage, 7971,
     /*  264293 */     GIR_EraseRootFromParent_Done,
     /*  264294 */   // Label 5027: @264294
     /*  264294 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264357), // Rule ID 7972 //
     /*  264299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264355 */     GIR_RootConstrainSelectedInstOperands,
     /*  264356 */     // GIR_Coverage, 7972,
     /*  264356 */     GIR_EraseRootFromParent_Done,
     /*  264357 */   // Label 5028: @264357
     /*  264357 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264420), // Rule ID 7975 //
     /*  264362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264418 */     GIR_RootConstrainSelectedInstOperands,
     /*  264419 */     // GIR_Coverage, 7975,
     /*  264419 */     GIR_EraseRootFromParent_Done,
     /*  264420 */   // Label 5029: @264420
     /*  264420 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(264483), // Rule ID 7976 //
     /*  264425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264481 */     GIR_RootConstrainSelectedInstOperands,
     /*  264482 */     // GIR_Coverage, 7976,
     /*  264482 */     GIR_EraseRootFromParent_Done,
     /*  264483 */   // Label 5030: @264483
     /*  264483 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(264546), // Rule ID 7979 //
     /*  264488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264527 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264544 */     GIR_RootConstrainSelectedInstOperands,
     /*  264545 */     // GIR_Coverage, 7979,
     /*  264545 */     GIR_EraseRootFromParent_Done,
     /*  264546 */   // Label 5031: @264546
     /*  264546 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(264609), // Rule ID 7980 //
     /*  264551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264590 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264607 */     GIR_RootConstrainSelectedInstOperands,
     /*  264608 */     // GIR_Coverage, 7980,
     /*  264608 */     GIR_EraseRootFromParent_Done,
     /*  264609 */   // Label 5032: @264609
     /*  264609 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(264672), // Rule ID 7983 //
     /*  264614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264653 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264670 */     GIR_RootConstrainSelectedInstOperands,
     /*  264671 */     // GIR_Coverage, 7983,
     /*  264671 */     GIR_EraseRootFromParent_Done,
     /*  264672 */   // Label 5033: @264672
     /*  264672 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(264735), // Rule ID 7984 //
     /*  264677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264716 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264733 */     GIR_RootConstrainSelectedInstOperands,
     /*  264734 */     // GIR_Coverage, 7984,
     /*  264734 */     GIR_EraseRootFromParent_Done,
     /*  264735 */   // Label 5034: @264735
     /*  264735 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(264798), // Rule ID 7987 //
     /*  264740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264779 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264796 */     GIR_RootConstrainSelectedInstOperands,
     /*  264797 */     // GIR_Coverage, 7987,
     /*  264797 */     GIR_EraseRootFromParent_Done,
     /*  264798 */   // Label 5035: @264798
     /*  264798 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(264861), // Rule ID 7988 //
     /*  264803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264842 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264859 */     GIR_RootConstrainSelectedInstOperands,
     /*  264860 */     // GIR_Coverage, 7988,
     /*  264860 */     GIR_EraseRootFromParent_Done,
     /*  264861 */   // Label 5036: @264861
     /*  264861 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(264924), // Rule ID 7991 //
     /*  264866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264905 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264922 */     GIR_RootConstrainSelectedInstOperands,
     /*  264923 */     // GIR_Coverage, 7991,
     /*  264923 */     GIR_EraseRootFromParent_Done,
     /*  264924 */   // Label 5037: @264924
     /*  264924 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(264987), // Rule ID 7992 //
     /*  264929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264985 */     GIR_RootConstrainSelectedInstOperands,
     /*  264986 */     // GIR_Coverage, 7992,
     /*  264986 */     GIR_EraseRootFromParent_Done,
     /*  264987 */   // Label 5038: @264987
     /*  264987 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(265050), // Rule ID 7995 //
     /*  264992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  265006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  265009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265031 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265048 */     GIR_RootConstrainSelectedInstOperands,
     /*  265049 */     // GIR_Coverage, 7995,
     /*  265049 */     GIR_EraseRootFromParent_Done,
     /*  265050 */   // Label 5039: @265050
     /*  265050 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265113), // Rule ID 7996 //
     /*  265055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  265069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  265072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265094 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265111 */     GIR_RootConstrainSelectedInstOperands,
     /*  265112 */     // GIR_Coverage, 7996,
     /*  265112 */     GIR_EraseRootFromParent_Done,
     /*  265113 */   // Label 5040: @265113
     /*  265113 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265176), // Rule ID 7999 //
     /*  265118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265157 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265174 */     GIR_RootConstrainSelectedInstOperands,
     /*  265175 */     // GIR_Coverage, 7999,
     /*  265175 */     GIR_EraseRootFromParent_Done,
     /*  265176 */   // Label 5041: @265176
     /*  265176 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265239), // Rule ID 8000 //
     /*  265181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265220 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265237 */     GIR_RootConstrainSelectedInstOperands,
     /*  265238 */     // GIR_Coverage, 8000,
     /*  265238 */     GIR_EraseRootFromParent_Done,
     /*  265239 */   // Label 5042: @265239
     /*  265239 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265302), // Rule ID 8003 //
     /*  265244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265283 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265300 */     GIR_RootConstrainSelectedInstOperands,
     /*  265301 */     // GIR_Coverage, 8003,
     /*  265301 */     GIR_EraseRootFromParent_Done,
     /*  265302 */   // Label 5043: @265302
     /*  265302 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265365), // Rule ID 8004 //
     /*  265307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265346 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265363 */     GIR_RootConstrainSelectedInstOperands,
     /*  265364 */     // GIR_Coverage, 8004,
     /*  265364 */     GIR_EraseRootFromParent_Done,
     /*  265365 */   // Label 5044: @265365
     /*  265365 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(265428), // Rule ID 8007 //
     /*  265370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265426 */     GIR_RootConstrainSelectedInstOperands,
     /*  265427 */     // GIR_Coverage, 8007,
     /*  265427 */     GIR_EraseRootFromParent_Done,
     /*  265428 */   // Label 5045: @265428
     /*  265428 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(265491), // Rule ID 8008 //
     /*  265433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265489 */     GIR_RootConstrainSelectedInstOperands,
     /*  265490 */     // GIR_Coverage, 8008,
     /*  265490 */     GIR_EraseRootFromParent_Done,
     /*  265491 */   // Label 5046: @265491
     /*  265491 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(265554), // Rule ID 8011 //
     /*  265496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265535 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265552 */     GIR_RootConstrainSelectedInstOperands,
     /*  265553 */     // GIR_Coverage, 8011,
     /*  265553 */     GIR_EraseRootFromParent_Done,
     /*  265554 */   // Label 5047: @265554
     /*  265554 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(265617), // Rule ID 8012 //
     /*  265559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265615 */     GIR_RootConstrainSelectedInstOperands,
     /*  265616 */     // GIR_Coverage, 8012,
     /*  265616 */     GIR_EraseRootFromParent_Done,
     /*  265617 */   // Label 5048: @265617
     /*  265617 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(265680), // Rule ID 8015 //
     /*  265622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265661 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265678 */     GIR_RootConstrainSelectedInstOperands,
     /*  265679 */     // GIR_Coverage, 8015,
     /*  265679 */     GIR_EraseRootFromParent_Done,
     /*  265680 */   // Label 5049: @265680
     /*  265680 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(265743), // Rule ID 8016 //
     /*  265685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265741 */     GIR_RootConstrainSelectedInstOperands,
     /*  265742 */     // GIR_Coverage, 8016,
     /*  265742 */     GIR_EraseRootFromParent_Done,
     /*  265743 */   // Label 5050: @265743
     /*  265743 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(265806), // Rule ID 8019 //
     /*  265748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265804 */     GIR_RootConstrainSelectedInstOperands,
     /*  265805 */     // GIR_Coverage, 8019,
     /*  265805 */     GIR_EraseRootFromParent_Done,
     /*  265806 */   // Label 5051: @265806
     /*  265806 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(265869), // Rule ID 8020 //
     /*  265811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265850 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265867 */     GIR_RootConstrainSelectedInstOperands,
     /*  265868 */     // GIR_Coverage, 8020,
     /*  265868 */     GIR_EraseRootFromParent_Done,
     /*  265869 */   // Label 5052: @265869
     /*  265869 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(265932), // Rule ID 8023 //
     /*  265874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265930 */     GIR_RootConstrainSelectedInstOperands,
     /*  265931 */     // GIR_Coverage, 8023,
     /*  265931 */     GIR_EraseRootFromParent_Done,
     /*  265932 */   // Label 5053: @265932
     /*  265932 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(265995), // Rule ID 8024 //
     /*  265937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265993 */     GIR_RootConstrainSelectedInstOperands,
     /*  265994 */     // GIR_Coverage, 8024,
     /*  265994 */     GIR_EraseRootFromParent_Done,
     /*  265995 */   // Label 5054: @265995
     /*  265995 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266058), // Rule ID 8027 //
     /*  266000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  266014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266039 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  266042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266056 */     GIR_RootConstrainSelectedInstOperands,
     /*  266057 */     // GIR_Coverage, 8027,
     /*  266057 */     GIR_EraseRootFromParent_Done,
     /*  266058 */   // Label 5055: @266058
     /*  266058 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266121), // Rule ID 8028 //
     /*  266063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  266077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266102 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  266105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266119 */     GIR_RootConstrainSelectedInstOperands,
     /*  266120 */     // GIR_Coverage, 8028,
     /*  266120 */     GIR_EraseRootFromParent_Done,
     /*  266121 */   // Label 5056: @266121
     /*  266121 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266184), // Rule ID 8031 //
     /*  266126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266165 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266182 */     GIR_RootConstrainSelectedInstOperands,
     /*  266183 */     // GIR_Coverage, 8031,
     /*  266183 */     GIR_EraseRootFromParent_Done,
     /*  266184 */   // Label 5057: @266184
     /*  266184 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266247), // Rule ID 8032 //
     /*  266189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266245 */     GIR_RootConstrainSelectedInstOperands,
     /*  266246 */     // GIR_Coverage, 8032,
     /*  266246 */     GIR_EraseRootFromParent_Done,
     /*  266247 */   // Label 5058: @266247
     /*  266247 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266310), // Rule ID 8035 //
     /*  266252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266291 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266308 */     GIR_RootConstrainSelectedInstOperands,
     /*  266309 */     // GIR_Coverage, 8035,
     /*  266309 */     GIR_EraseRootFromParent_Done,
     /*  266310 */   // Label 5059: @266310
     /*  266310 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266373), // Rule ID 8036 //
     /*  266315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266354 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266371 */     GIR_RootConstrainSelectedInstOperands,
     /*  266372 */     // GIR_Coverage, 8036,
     /*  266372 */     GIR_EraseRootFromParent_Done,
     /*  266373 */   // Label 5060: @266373
     /*  266373 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(266436), // Rule ID 8039 //
     /*  266378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266434 */     GIR_RootConstrainSelectedInstOperands,
     /*  266435 */     // GIR_Coverage, 8039,
     /*  266435 */     GIR_EraseRootFromParent_Done,
     /*  266436 */   // Label 5061: @266436
     /*  266436 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(266499), // Rule ID 8040 //
     /*  266441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266497 */     GIR_RootConstrainSelectedInstOperands,
     /*  266498 */     // GIR_Coverage, 8040,
     /*  266498 */     GIR_EraseRootFromParent_Done,
     /*  266499 */   // Label 5062: @266499
     /*  266499 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(266562), // Rule ID 8043 //
     /*  266504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266543 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266560 */     GIR_RootConstrainSelectedInstOperands,
     /*  266561 */     // GIR_Coverage, 8043,
     /*  266561 */     GIR_EraseRootFromParent_Done,
     /*  266562 */   // Label 5063: @266562
     /*  266562 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(266625), // Rule ID 8044 //
     /*  266567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266606 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266623 */     GIR_RootConstrainSelectedInstOperands,
     /*  266624 */     // GIR_Coverage, 8044,
     /*  266624 */     GIR_EraseRootFromParent_Done,
     /*  266625 */   // Label 5064: @266625
     /*  266625 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(266688), // Rule ID 8047 //
     /*  266630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266669 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266686 */     GIR_RootConstrainSelectedInstOperands,
     /*  266687 */     // GIR_Coverage, 8047,
     /*  266687 */     GIR_EraseRootFromParent_Done,
     /*  266688 */   // Label 5065: @266688
     /*  266688 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(266751), // Rule ID 8048 //
     /*  266693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266749 */     GIR_RootConstrainSelectedInstOperands,
     /*  266750 */     // GIR_Coverage, 8048,
     /*  266750 */     GIR_EraseRootFromParent_Done,
     /*  266751 */   // Label 5066: @266751
     /*  266751 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(266814), // Rule ID 8051 //
     /*  266756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266795 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266812 */     GIR_RootConstrainSelectedInstOperands,
     /*  266813 */     // GIR_Coverage, 8051,
     /*  266813 */     GIR_EraseRootFromParent_Done,
     /*  266814 */   // Label 5067: @266814
     /*  266814 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(266877), // Rule ID 8052 //
     /*  266819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266858 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266875 */     GIR_RootConstrainSelectedInstOperands,
     /*  266876 */     // GIR_Coverage, 8052,
     /*  266876 */     GIR_EraseRootFromParent_Done,
     /*  266877 */   // Label 5068: @266877
     /*  266877 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(266940), // Rule ID 8055 //
     /*  266882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266921 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266938 */     GIR_RootConstrainSelectedInstOperands,
     /*  266939 */     // GIR_Coverage, 8055,
     /*  266939 */     GIR_EraseRootFromParent_Done,
     /*  266940 */   // Label 5069: @266940
     /*  266940 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(267003), // Rule ID 8056 //
     /*  266945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267001 */     GIR_RootConstrainSelectedInstOperands,
     /*  267002 */     // GIR_Coverage, 8056,
     /*  267002 */     GIR_EraseRootFromParent_Done,
     /*  267003 */   // Label 5070: @267003
     /*  267003 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267066), // Rule ID 8059 //
     /*  267008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  267022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267047 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267064 */     GIR_RootConstrainSelectedInstOperands,
     /*  267065 */     // GIR_Coverage, 8059,
     /*  267065 */     GIR_EraseRootFromParent_Done,
     /*  267066 */   // Label 5071: @267066
     /*  267066 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267129), // Rule ID 8060 //
     /*  267071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  267085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267127 */     GIR_RootConstrainSelectedInstOperands,
     /*  267128 */     // GIR_Coverage, 8060,
     /*  267128 */     GIR_EraseRootFromParent_Done,
     /*  267129 */   // Label 5072: @267129
     /*  267129 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267192), // Rule ID 8063 //
     /*  267134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267190 */     GIR_RootConstrainSelectedInstOperands,
     /*  267191 */     // GIR_Coverage, 8063,
     /*  267191 */     GIR_EraseRootFromParent_Done,
     /*  267192 */   // Label 5073: @267192
     /*  267192 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267255), // Rule ID 8064 //
     /*  267197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267253 */     GIR_RootConstrainSelectedInstOperands,
     /*  267254 */     // GIR_Coverage, 8064,
     /*  267254 */     GIR_EraseRootFromParent_Done,
     /*  267255 */   // Label 5074: @267255
     /*  267255 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267318), // Rule ID 8067 //
     /*  267260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267299 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267316 */     GIR_RootConstrainSelectedInstOperands,
     /*  267317 */     // GIR_Coverage, 8067,
     /*  267317 */     GIR_EraseRootFromParent_Done,
     /*  267318 */   // Label 5075: @267318
     /*  267318 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267381), // Rule ID 8068 //
     /*  267323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267362 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267379 */     GIR_RootConstrainSelectedInstOperands,
     /*  267380 */     // GIR_Coverage, 8068,
     /*  267380 */     GIR_EraseRootFromParent_Done,
     /*  267381 */   // Label 5076: @267381
     /*  267381 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(267444), // Rule ID 8071 //
     /*  267386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267425 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267442 */     GIR_RootConstrainSelectedInstOperands,
     /*  267443 */     // GIR_Coverage, 8071,
     /*  267443 */     GIR_EraseRootFromParent_Done,
     /*  267444 */   // Label 5077: @267444
     /*  267444 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(267507), // Rule ID 8072 //
     /*  267449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267505 */     GIR_RootConstrainSelectedInstOperands,
     /*  267506 */     // GIR_Coverage, 8072,
     /*  267506 */     GIR_EraseRootFromParent_Done,
     /*  267507 */   // Label 5078: @267507
     /*  267507 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(267570), // Rule ID 8075 //
     /*  267512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267551 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267568 */     GIR_RootConstrainSelectedInstOperands,
     /*  267569 */     // GIR_Coverage, 8075,
     /*  267569 */     GIR_EraseRootFromParent_Done,
     /*  267570 */   // Label 5079: @267570
     /*  267570 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(267633), // Rule ID 8076 //
     /*  267575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267614 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267631 */     GIR_RootConstrainSelectedInstOperands,
     /*  267632 */     // GIR_Coverage, 8076,
     /*  267632 */     GIR_EraseRootFromParent_Done,
     /*  267633 */   // Label 5080: @267633
     /*  267633 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(267696), // Rule ID 8079 //
     /*  267638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267677 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267694 */     GIR_RootConstrainSelectedInstOperands,
     /*  267695 */     // GIR_Coverage, 8079,
     /*  267695 */     GIR_EraseRootFromParent_Done,
     /*  267696 */   // Label 5081: @267696
     /*  267696 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(267759), // Rule ID 8080 //
     /*  267701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267757 */     GIR_RootConstrainSelectedInstOperands,
     /*  267758 */     // GIR_Coverage, 8080,
     /*  267758 */     GIR_EraseRootFromParent_Done,
     /*  267759 */   // Label 5082: @267759
     /*  267759 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(267822), // Rule ID 8083 //
     /*  267764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267803 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267820 */     GIR_RootConstrainSelectedInstOperands,
     /*  267821 */     // GIR_Coverage, 8083,
     /*  267821 */     GIR_EraseRootFromParent_Done,
     /*  267822 */   // Label 5083: @267822
     /*  267822 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(267885), // Rule ID 8084 //
     /*  267827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267866 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267883 */     GIR_RootConstrainSelectedInstOperands,
     /*  267884 */     // GIR_Coverage, 8084,
     /*  267884 */     GIR_EraseRootFromParent_Done,
     /*  267885 */   // Label 5084: @267885
     /*  267885 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(267948), // Rule ID 8087 //
     /*  267890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267929 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267946 */     GIR_RootConstrainSelectedInstOperands,
     /*  267947 */     // GIR_Coverage, 8087,
     /*  267947 */     GIR_EraseRootFromParent_Done,
     /*  267948 */   // Label 5085: @267948
     /*  267948 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(268011), // Rule ID 8088 //
     /*  267953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267992 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268009 */     GIR_RootConstrainSelectedInstOperands,
     /*  268010 */     // GIR_Coverage, 8088,
     /*  268010 */     GIR_EraseRootFromParent_Done,
     /*  268011 */   // Label 5086: @268011
     /*  268011 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268074), // Rule ID 8091 //
     /*  268016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  268030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268055 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268072 */     GIR_RootConstrainSelectedInstOperands,
     /*  268073 */     // GIR_Coverage, 8091,
     /*  268073 */     GIR_EraseRootFromParent_Done,
     /*  268074 */   // Label 5087: @268074
     /*  268074 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268137), // Rule ID 8092 //
     /*  268079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  268093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268135 */     GIR_RootConstrainSelectedInstOperands,
     /*  268136 */     // GIR_Coverage, 8092,
     /*  268136 */     GIR_EraseRootFromParent_Done,
     /*  268137 */   // Label 5088: @268137
     /*  268137 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268200), // Rule ID 8095 //
     /*  268142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268181 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268198 */     GIR_RootConstrainSelectedInstOperands,
     /*  268199 */     // GIR_Coverage, 8095,
     /*  268199 */     GIR_EraseRootFromParent_Done,
     /*  268200 */   // Label 5089: @268200
     /*  268200 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268263), // Rule ID 8096 //
     /*  268205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268261 */     GIR_RootConstrainSelectedInstOperands,
     /*  268262 */     // GIR_Coverage, 8096,
     /*  268262 */     GIR_EraseRootFromParent_Done,
     /*  268263 */   // Label 5090: @268263
     /*  268263 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268326), // Rule ID 8099 //
     /*  268268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268307 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268324 */     GIR_RootConstrainSelectedInstOperands,
     /*  268325 */     // GIR_Coverage, 8099,
     /*  268325 */     GIR_EraseRootFromParent_Done,
     /*  268326 */   // Label 5091: @268326
     /*  268326 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268389), // Rule ID 8100 //
     /*  268331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268387 */     GIR_RootConstrainSelectedInstOperands,
     /*  268388 */     // GIR_Coverage, 8100,
     /*  268388 */     GIR_EraseRootFromParent_Done,
     /*  268389 */   // Label 5092: @268389
     /*  268389 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(268452), // Rule ID 8103 //
     /*  268394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268433 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268450 */     GIR_RootConstrainSelectedInstOperands,
     /*  268451 */     // GIR_Coverage, 8103,
     /*  268451 */     GIR_EraseRootFromParent_Done,
     /*  268452 */   // Label 5093: @268452
     /*  268452 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(268515), // Rule ID 8104 //
     /*  268457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268513 */     GIR_RootConstrainSelectedInstOperands,
     /*  268514 */     // GIR_Coverage, 8104,
     /*  268514 */     GIR_EraseRootFromParent_Done,
     /*  268515 */   // Label 5094: @268515
     /*  268515 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(268578), // Rule ID 8107 //
     /*  268520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268559 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268576 */     GIR_RootConstrainSelectedInstOperands,
     /*  268577 */     // GIR_Coverage, 8107,
     /*  268577 */     GIR_EraseRootFromParent_Done,
     /*  268578 */   // Label 5095: @268578
     /*  268578 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(268641), // Rule ID 8108 //
     /*  268583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268622 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268639 */     GIR_RootConstrainSelectedInstOperands,
     /*  268640 */     // GIR_Coverage, 8108,
     /*  268640 */     GIR_EraseRootFromParent_Done,
     /*  268641 */   // Label 5096: @268641
     /*  268641 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(268704), // Rule ID 8111 //
     /*  268646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268685 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268702 */     GIR_RootConstrainSelectedInstOperands,
     /*  268703 */     // GIR_Coverage, 8111,
     /*  268703 */     GIR_EraseRootFromParent_Done,
     /*  268704 */   // Label 5097: @268704
     /*  268704 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(268767), // Rule ID 8112 //
     /*  268709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268765 */     GIR_RootConstrainSelectedInstOperands,
     /*  268766 */     // GIR_Coverage, 8112,
     /*  268766 */     GIR_EraseRootFromParent_Done,
     /*  268767 */   // Label 5098: @268767
     /*  268767 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(268830), // Rule ID 8203 //
     /*  268772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268811 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  268814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268828 */     GIR_RootConstrainSelectedInstOperands,
     /*  268829 */     // GIR_Coverage, 8203,
     /*  268829 */     GIR_EraseRootFromParent_Done,
     /*  268830 */   // Label 5099: @268830
     /*  268830 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(268893), // Rule ID 8204 //
     /*  268835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  268877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268891 */     GIR_RootConstrainSelectedInstOperands,
     /*  268892 */     // GIR_Coverage, 8204,
     /*  268892 */     GIR_EraseRootFromParent_Done,
     /*  268893 */   // Label 5100: @268893
     /*  268893 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(268956), // Rule ID 8207 //
     /*  268898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268937 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  268940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268954 */     GIR_RootConstrainSelectedInstOperands,
     /*  268955 */     // GIR_Coverage, 8207,
     /*  268955 */     GIR_EraseRootFromParent_Done,
     /*  268956 */   // Label 5101: @268956
     /*  268956 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(269019), // Rule ID 8208 //
     /*  268961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269017 */     GIR_RootConstrainSelectedInstOperands,
     /*  269018 */     // GIR_Coverage, 8208,
     /*  269018 */     GIR_EraseRootFromParent_Done,
     /*  269019 */   // Label 5102: @269019
     /*  269019 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269082), // Rule ID 8211 //
     /*  269024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  269038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  269041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269080 */     GIR_RootConstrainSelectedInstOperands,
     /*  269081 */     // GIR_Coverage, 8211,
     /*  269081 */     GIR_EraseRootFromParent_Done,
     /*  269082 */   // Label 5103: @269082
     /*  269082 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269145), // Rule ID 8212 //
     /*  269087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  269101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  269104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269143 */     GIR_RootConstrainSelectedInstOperands,
     /*  269144 */     // GIR_Coverage, 8212,
     /*  269144 */     GIR_EraseRootFromParent_Done,
     /*  269145 */   // Label 5104: @269145
     /*  269145 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269208), // Rule ID 8215 //
     /*  269150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269189 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269206 */     GIR_RootConstrainSelectedInstOperands,
     /*  269207 */     // GIR_Coverage, 8215,
     /*  269207 */     GIR_EraseRootFromParent_Done,
     /*  269208 */   // Label 5105: @269208
     /*  269208 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269271), // Rule ID 8216 //
     /*  269213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269269 */     GIR_RootConstrainSelectedInstOperands,
     /*  269270 */     // GIR_Coverage, 8216,
     /*  269270 */     GIR_EraseRootFromParent_Done,
     /*  269271 */   // Label 5106: @269271
     /*  269271 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269334), // Rule ID 8219 //
     /*  269276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269315 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269332 */     GIR_RootConstrainSelectedInstOperands,
     /*  269333 */     // GIR_Coverage, 8219,
     /*  269333 */     GIR_EraseRootFromParent_Done,
     /*  269334 */   // Label 5107: @269334
     /*  269334 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269397), // Rule ID 8220 //
     /*  269339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269395 */     GIR_RootConstrainSelectedInstOperands,
     /*  269396 */     // GIR_Coverage, 8220,
     /*  269396 */     GIR_EraseRootFromParent_Done,
     /*  269397 */   // Label 5108: @269397
     /*  269397 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(269460), // Rule ID 8223 //
     /*  269402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269441 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269458 */     GIR_RootConstrainSelectedInstOperands,
     /*  269459 */     // GIR_Coverage, 8223,
     /*  269459 */     GIR_EraseRootFromParent_Done,
     /*  269460 */   // Label 5109: @269460
     /*  269460 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(269523), // Rule ID 8224 //
     /*  269465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269521 */     GIR_RootConstrainSelectedInstOperands,
     /*  269522 */     // GIR_Coverage, 8224,
     /*  269522 */     GIR_EraseRootFromParent_Done,
     /*  269523 */   // Label 5110: @269523
     /*  269523 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(269586), // Rule ID 8227 //
     /*  269528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269567 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269584 */     GIR_RootConstrainSelectedInstOperands,
     /*  269585 */     // GIR_Coverage, 8227,
     /*  269585 */     GIR_EraseRootFromParent_Done,
     /*  269586 */   // Label 5111: @269586
     /*  269586 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(269649), // Rule ID 8228 //
     /*  269591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269630 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269647 */     GIR_RootConstrainSelectedInstOperands,
     /*  269648 */     // GIR_Coverage, 8228,
     /*  269648 */     GIR_EraseRootFromParent_Done,
     /*  269649 */   // Label 5112: @269649
     /*  269649 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(269712), // Rule ID 8231 //
     /*  269654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269710 */     GIR_RootConstrainSelectedInstOperands,
     /*  269711 */     // GIR_Coverage, 8231,
     /*  269711 */     GIR_EraseRootFromParent_Done,
     /*  269712 */   // Label 5113: @269712
     /*  269712 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(269775), // Rule ID 8232 //
     /*  269717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269773 */     GIR_RootConstrainSelectedInstOperands,
     /*  269774 */     // GIR_Coverage, 8232,
     /*  269774 */     GIR_EraseRootFromParent_Done,
     /*  269775 */   // Label 5114: @269775
     /*  269775 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(269838), // Rule ID 8235 //
     /*  269780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269819 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269836 */     GIR_RootConstrainSelectedInstOperands,
     /*  269837 */     // GIR_Coverage, 8235,
     /*  269837 */     GIR_EraseRootFromParent_Done,
     /*  269838 */   // Label 5115: @269838
     /*  269838 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(269901), // Rule ID 8236 //
     /*  269843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269882 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269899 */     GIR_RootConstrainSelectedInstOperands,
     /*  269900 */     // GIR_Coverage, 8236,
     /*  269900 */     GIR_EraseRootFromParent_Done,
     /*  269901 */   // Label 5116: @269901
     /*  269901 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(269964), // Rule ID 8239 //
     /*  269906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269945 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269962 */     GIR_RootConstrainSelectedInstOperands,
     /*  269963 */     // GIR_Coverage, 8239,
     /*  269963 */     GIR_EraseRootFromParent_Done,
     /*  269964 */   // Label 5117: @269964
     /*  269964 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(270027), // Rule ID 8240 //
     /*  269969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270025 */     GIR_RootConstrainSelectedInstOperands,
     /*  270026 */     // GIR_Coverage, 8240,
     /*  270026 */     GIR_EraseRootFromParent_Done,
     /*  270027 */   // Label 5118: @270027
     /*  270027 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270090), // Rule ID 8243 //
     /*  270032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  270046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  270049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270071 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270088 */     GIR_RootConstrainSelectedInstOperands,
     /*  270089 */     // GIR_Coverage, 8243,
     /*  270089 */     GIR_EraseRootFromParent_Done,
     /*  270090 */   // Label 5119: @270090
     /*  270090 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270153), // Rule ID 8244 //
     /*  270095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  270109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  270112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270134 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270151 */     GIR_RootConstrainSelectedInstOperands,
     /*  270152 */     // GIR_Coverage, 8244,
     /*  270152 */     GIR_EraseRootFromParent_Done,
     /*  270153 */   // Label 5120: @270153
     /*  270153 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270216), // Rule ID 8247 //
     /*  270158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270197 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270214 */     GIR_RootConstrainSelectedInstOperands,
     /*  270215 */     // GIR_Coverage, 8247,
     /*  270215 */     GIR_EraseRootFromParent_Done,
     /*  270216 */   // Label 5121: @270216
     /*  270216 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270279), // Rule ID 8248 //
     /*  270221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270277 */     GIR_RootConstrainSelectedInstOperands,
     /*  270278 */     // GIR_Coverage, 8248,
     /*  270278 */     GIR_EraseRootFromParent_Done,
     /*  270279 */   // Label 5122: @270279
     /*  270279 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270342), // Rule ID 8251 //
     /*  270284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270323 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270340 */     GIR_RootConstrainSelectedInstOperands,
     /*  270341 */     // GIR_Coverage, 8251,
     /*  270341 */     GIR_EraseRootFromParent_Done,
     /*  270342 */   // Label 5123: @270342
     /*  270342 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270405), // Rule ID 8252 //
     /*  270347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270386 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270403 */     GIR_RootConstrainSelectedInstOperands,
     /*  270404 */     // GIR_Coverage, 8252,
     /*  270404 */     GIR_EraseRootFromParent_Done,
     /*  270405 */   // Label 5124: @270405
     /*  270405 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(270468), // Rule ID 8255 //
     /*  270410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270466 */     GIR_RootConstrainSelectedInstOperands,
     /*  270467 */     // GIR_Coverage, 8255,
     /*  270467 */     GIR_EraseRootFromParent_Done,
     /*  270468 */   // Label 5125: @270468
     /*  270468 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(270531), // Rule ID 8256 //
     /*  270473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270529 */     GIR_RootConstrainSelectedInstOperands,
     /*  270530 */     // GIR_Coverage, 8256,
     /*  270530 */     GIR_EraseRootFromParent_Done,
     /*  270531 */   // Label 5126: @270531
     /*  270531 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(270594), // Rule ID 8259 //
     /*  270536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270575 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270592 */     GIR_RootConstrainSelectedInstOperands,
     /*  270593 */     // GIR_Coverage, 8259,
     /*  270593 */     GIR_EraseRootFromParent_Done,
     /*  270594 */   // Label 5127: @270594
     /*  270594 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(270657), // Rule ID 8260 //
     /*  270599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270638 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270655 */     GIR_RootConstrainSelectedInstOperands,
     /*  270656 */     // GIR_Coverage, 8260,
     /*  270656 */     GIR_EraseRootFromParent_Done,
     /*  270657 */   // Label 5128: @270657
     /*  270657 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(270720), // Rule ID 8263 //
     /*  270662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270701 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270718 */     GIR_RootConstrainSelectedInstOperands,
     /*  270719 */     // GIR_Coverage, 8263,
     /*  270719 */     GIR_EraseRootFromParent_Done,
     /*  270720 */   // Label 5129: @270720
     /*  270720 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(270783), // Rule ID 8264 //
     /*  270725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270764 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270781 */     GIR_RootConstrainSelectedInstOperands,
     /*  270782 */     // GIR_Coverage, 8264,
     /*  270782 */     GIR_EraseRootFromParent_Done,
     /*  270783 */   // Label 5130: @270783
     /*  270783 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(270846), // Rule ID 8267 //
     /*  270788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270827 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270844 */     GIR_RootConstrainSelectedInstOperands,
     /*  270845 */     // GIR_Coverage, 8267,
     /*  270845 */     GIR_EraseRootFromParent_Done,
     /*  270846 */   // Label 5131: @270846
     /*  270846 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(270909), // Rule ID 8268 //
     /*  270851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270907 */     GIR_RootConstrainSelectedInstOperands,
     /*  270908 */     // GIR_Coverage, 8268,
     /*  270908 */     GIR_EraseRootFromParent_Done,
     /*  270909 */   // Label 5132: @270909
     /*  270909 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(270972), // Rule ID 8271 //
     /*  270914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270970 */     GIR_RootConstrainSelectedInstOperands,
     /*  270971 */     // GIR_Coverage, 8271,
     /*  270971 */     GIR_EraseRootFromParent_Done,
     /*  270972 */   // Label 5133: @270972
     /*  270972 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(271035), // Rule ID 8272 //
     /*  270977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271033 */     GIR_RootConstrainSelectedInstOperands,
     /*  271034 */     // GIR_Coverage, 8272,
     /*  271034 */     GIR_EraseRootFromParent_Done,
     /*  271035 */   // Label 5134: @271035
     /*  271035 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271098), // Rule ID 8275 //
     /*  271040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271079 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271096 */     GIR_RootConstrainSelectedInstOperands,
     /*  271097 */     // GIR_Coverage, 8275,
     /*  271097 */     GIR_EraseRootFromParent_Done,
     /*  271098 */   // Label 5135: @271098
     /*  271098 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271161), // Rule ID 8276 //
     /*  271103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271159 */     GIR_RootConstrainSelectedInstOperands,
     /*  271160 */     // GIR_Coverage, 8276,
     /*  271160 */     GIR_EraseRootFromParent_Done,
     /*  271161 */   // Label 5136: @271161
     /*  271161 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271224), // Rule ID 8279 //
     /*  271166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271205 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271222 */     GIR_RootConstrainSelectedInstOperands,
     /*  271223 */     // GIR_Coverage, 8279,
     /*  271223 */     GIR_EraseRootFromParent_Done,
     /*  271224 */   // Label 5137: @271224
     /*  271224 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271287), // Rule ID 8280 //
     /*  271229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271285 */     GIR_RootConstrainSelectedInstOperands,
     /*  271286 */     // GIR_Coverage, 8280,
     /*  271286 */     GIR_EraseRootFromParent_Done,
     /*  271287 */   // Label 5138: @271287
     /*  271287 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271350), // Rule ID 8283 //
     /*  271292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271331 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271348 */     GIR_RootConstrainSelectedInstOperands,
     /*  271349 */     // GIR_Coverage, 8283,
     /*  271349 */     GIR_EraseRootFromParent_Done,
     /*  271350 */   // Label 5139: @271350
     /*  271350 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271413), // Rule ID 8284 //
     /*  271355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271394 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271411 */     GIR_RootConstrainSelectedInstOperands,
     /*  271412 */     // GIR_Coverage, 8284,
     /*  271412 */     GIR_EraseRootFromParent_Done,
     /*  271413 */   // Label 5140: @271413
     /*  271413 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(271476), // Rule ID 8287 //
     /*  271418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271474 */     GIR_RootConstrainSelectedInstOperands,
     /*  271475 */     // GIR_Coverage, 8287,
     /*  271475 */     GIR_EraseRootFromParent_Done,
     /*  271476 */   // Label 5141: @271476
     /*  271476 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(271539), // Rule ID 8288 //
     /*  271481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271537 */     GIR_RootConstrainSelectedInstOperands,
     /*  271538 */     // GIR_Coverage, 8288,
     /*  271538 */     GIR_EraseRootFromParent_Done,
     /*  271539 */   // Label 5142: @271539
     /*  271539 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(271602), // Rule ID 8291 //
     /*  271544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271583 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  271586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271600 */     GIR_RootConstrainSelectedInstOperands,
     /*  271601 */     // GIR_Coverage, 8291,
     /*  271601 */     GIR_EraseRootFromParent_Done,
     /*  271602 */   // Label 5143: @271602
     /*  271602 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(271665), // Rule ID 8292 //
     /*  271607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  271649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271663 */     GIR_RootConstrainSelectedInstOperands,
     /*  271664 */     // GIR_Coverage, 8292,
     /*  271664 */     GIR_EraseRootFromParent_Done,
     /*  271665 */   // Label 5144: @271665
     /*  271665 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(271728), // Rule ID 8295 //
     /*  271670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271709 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  271712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271726 */     GIR_RootConstrainSelectedInstOperands,
     /*  271727 */     // GIR_Coverage, 8295,
     /*  271727 */     GIR_EraseRootFromParent_Done,
     /*  271728 */   // Label 5145: @271728
     /*  271728 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(271791), // Rule ID 8296 //
     /*  271733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  271775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271789 */     GIR_RootConstrainSelectedInstOperands,
     /*  271790 */     // GIR_Coverage, 8296,
     /*  271790 */     GIR_EraseRootFromParent_Done,
     /*  271791 */   // Label 5146: @271791
     /*  271791 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(271854), // Rule ID 8299 //
     /*  271796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271835 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  271838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271852 */     GIR_RootConstrainSelectedInstOperands,
     /*  271853 */     // GIR_Coverage, 8299,
     /*  271853 */     GIR_EraseRootFromParent_Done,
     /*  271854 */   // Label 5147: @271854
     /*  271854 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(271917), // Rule ID 8300 //
     /*  271859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  271901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271915 */     GIR_RootConstrainSelectedInstOperands,
     /*  271916 */     // GIR_Coverage, 8300,
     /*  271916 */     GIR_EraseRootFromParent_Done,
     /*  271917 */   // Label 5148: @271917
     /*  271917 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(271980), // Rule ID 8303 //
     /*  271922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  271964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271978 */     GIR_RootConstrainSelectedInstOperands,
     /*  271979 */     // GIR_Coverage, 8303,
     /*  271979 */     GIR_EraseRootFromParent_Done,
     /*  271980 */   // Label 5149: @271980
     /*  271980 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(272043), // Rule ID 8304 //
     /*  271985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272041 */     GIR_RootConstrainSelectedInstOperands,
     /*  272042 */     // GIR_Coverage, 8304,
     /*  272042 */     GIR_EraseRootFromParent_Done,
     /*  272043 */   // Label 5150: @272043
     /*  272043 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272106), // Rule ID 8307 //
     /*  272048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272104 */     GIR_RootConstrainSelectedInstOperands,
     /*  272105 */     // GIR_Coverage, 8307,
     /*  272105 */     GIR_EraseRootFromParent_Done,
     /*  272106 */   // Label 5151: @272106
     /*  272106 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272169), // Rule ID 8308 //
     /*  272111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272150 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272167 */     GIR_RootConstrainSelectedInstOperands,
     /*  272168 */     // GIR_Coverage, 8308,
     /*  272168 */     GIR_EraseRootFromParent_Done,
     /*  272169 */   // Label 5152: @272169
     /*  272169 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272232), // Rule ID 8311 //
     /*  272174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272230 */     GIR_RootConstrainSelectedInstOperands,
     /*  272231 */     // GIR_Coverage, 8311,
     /*  272231 */     GIR_EraseRootFromParent_Done,
     /*  272232 */   // Label 5153: @272232
     /*  272232 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272295), // Rule ID 8312 //
     /*  272237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272293 */     GIR_RootConstrainSelectedInstOperands,
     /*  272294 */     // GIR_Coverage, 8312,
     /*  272294 */     GIR_EraseRootFromParent_Done,
     /*  272295 */   // Label 5154: @272295
     /*  272295 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272358), // Rule ID 8315 //
     /*  272300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272339 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272356 */     GIR_RootConstrainSelectedInstOperands,
     /*  272357 */     // GIR_Coverage, 8315,
     /*  272357 */     GIR_EraseRootFromParent_Done,
     /*  272358 */   // Label 5155: @272358
     /*  272358 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272421), // Rule ID 8316 //
     /*  272363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272419 */     GIR_RootConstrainSelectedInstOperands,
     /*  272420 */     // GIR_Coverage, 8316,
     /*  272420 */     GIR_EraseRootFromParent_Done,
     /*  272421 */   // Label 5156: @272421
     /*  272421 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(272484), // Rule ID 8319 //
     /*  272426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272465 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272482 */     GIR_RootConstrainSelectedInstOperands,
     /*  272483 */     // GIR_Coverage, 8319,
     /*  272483 */     GIR_EraseRootFromParent_Done,
     /*  272484 */   // Label 5157: @272484
     /*  272484 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(272547), // Rule ID 8320 //
     /*  272489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272545 */     GIR_RootConstrainSelectedInstOperands,
     /*  272546 */     // GIR_Coverage, 8320,
     /*  272546 */     GIR_EraseRootFromParent_Done,
     /*  272547 */   // Label 5158: @272547
     /*  272547 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(272610), // Rule ID 8323 //
     /*  272552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272591 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272608 */     GIR_RootConstrainSelectedInstOperands,
     /*  272609 */     // GIR_Coverage, 8323,
     /*  272609 */     GIR_EraseRootFromParent_Done,
     /*  272610 */   // Label 5159: @272610
     /*  272610 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(272673), // Rule ID 8324 //
     /*  272615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272654 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272671 */     GIR_RootConstrainSelectedInstOperands,
     /*  272672 */     // GIR_Coverage, 8324,
     /*  272672 */     GIR_EraseRootFromParent_Done,
     /*  272673 */   // Label 5160: @272673
     /*  272673 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(272736), // Rule ID 8327 //
     /*  272678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272734 */     GIR_RootConstrainSelectedInstOperands,
     /*  272735 */     // GIR_Coverage, 8327,
     /*  272735 */     GIR_EraseRootFromParent_Done,
     /*  272736 */   // Label 5161: @272736
     /*  272736 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(272799), // Rule ID 8328 //
     /*  272741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272797 */     GIR_RootConstrainSelectedInstOperands,
     /*  272798 */     // GIR_Coverage, 8328,
     /*  272798 */     GIR_EraseRootFromParent_Done,
     /*  272799 */   // Label 5162: @272799
     /*  272799 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(272862), // Rule ID 8331 //
     /*  272804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272843 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272860 */     GIR_RootConstrainSelectedInstOperands,
     /*  272861 */     // GIR_Coverage, 8331,
     /*  272861 */     GIR_EraseRootFromParent_Done,
     /*  272862 */   // Label 5163: @272862
     /*  272862 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(272925), // Rule ID 8332 //
     /*  272867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272906 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272923 */     GIR_RootConstrainSelectedInstOperands,
     /*  272924 */     // GIR_Coverage, 8332,
     /*  272924 */     GIR_EraseRootFromParent_Done,
     /*  272925 */   // Label 5164: @272925
     /*  272925 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(272988), // Rule ID 8335 //
     /*  272930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272969 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272986 */     GIR_RootConstrainSelectedInstOperands,
     /*  272987 */     // GIR_Coverage, 8335,
     /*  272987 */     GIR_EraseRootFromParent_Done,
     /*  272988 */   // Label 5165: @272988
     /*  272988 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(273051), // Rule ID 8336 //
     /*  272993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  273007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273049 */     GIR_RootConstrainSelectedInstOperands,
     /*  273050 */     // GIR_Coverage, 8336,
     /*  273050 */     GIR_EraseRootFromParent_Done,
     /*  273051 */   // Label 5166: @273051
     /*  273051 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273114), // Rule ID 8339 //
     /*  273056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273095 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273112 */     GIR_RootConstrainSelectedInstOperands,
     /*  273113 */     // GIR_Coverage, 8339,
     /*  273113 */     GIR_EraseRootFromParent_Done,
     /*  273114 */   // Label 5167: @273114
     /*  273114 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273177), // Rule ID 8340 //
     /*  273119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273158 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273175 */     GIR_RootConstrainSelectedInstOperands,
     /*  273176 */     // GIR_Coverage, 8340,
     /*  273176 */     GIR_EraseRootFromParent_Done,
     /*  273177 */   // Label 5168: @273177
     /*  273177 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273240), // Rule ID 8343 //
     /*  273182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273238 */     GIR_RootConstrainSelectedInstOperands,
     /*  273239 */     // GIR_Coverage, 8343,
     /*  273239 */     GIR_EraseRootFromParent_Done,
     /*  273240 */   // Label 5169: @273240
     /*  273240 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273303), // Rule ID 8344 //
     /*  273245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273301 */     GIR_RootConstrainSelectedInstOperands,
     /*  273302 */     // GIR_Coverage, 8344,
     /*  273302 */     GIR_EraseRootFromParent_Done,
     /*  273303 */   // Label 5170: @273303
     /*  273303 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273366), // Rule ID 8347 //
     /*  273308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273347 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273364 */     GIR_RootConstrainSelectedInstOperands,
     /*  273365 */     // GIR_Coverage, 8347,
     /*  273365 */     GIR_EraseRootFromParent_Done,
     /*  273366 */   // Label 5171: @273366
     /*  273366 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(273429), // Rule ID 8348 //
     /*  273371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273410 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273427 */     GIR_RootConstrainSelectedInstOperands,
     /*  273428 */     // GIR_Coverage, 8348,
     /*  273428 */     GIR_EraseRootFromParent_Done,
     /*  273429 */   // Label 5172: @273429
     /*  273429 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(273492), // Rule ID 8351 //
     /*  273434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273473 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273490 */     GIR_RootConstrainSelectedInstOperands,
     /*  273491 */     // GIR_Coverage, 8351,
     /*  273491 */     GIR_EraseRootFromParent_Done,
     /*  273492 */   // Label 5173: @273492
     /*  273492 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(273555), // Rule ID 8352 //
     /*  273497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273536 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273553 */     GIR_RootConstrainSelectedInstOperands,
     /*  273554 */     // GIR_Coverage, 8352,
     /*  273554 */     GIR_EraseRootFromParent_Done,
     /*  273555 */   // Label 5174: @273555
     /*  273555 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(273618), // Rule ID 8355 //
     /*  273560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273616 */     GIR_RootConstrainSelectedInstOperands,
     /*  273617 */     // GIR_Coverage, 8355,
     /*  273617 */     GIR_EraseRootFromParent_Done,
     /*  273618 */   // Label 5175: @273618
     /*  273618 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(273681), // Rule ID 8356 //
     /*  273623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273679 */     GIR_RootConstrainSelectedInstOperands,
     /*  273680 */     // GIR_Coverage, 8356,
     /*  273680 */     GIR_EraseRootFromParent_Done,
     /*  273681 */   // Label 5176: @273681
     /*  273681 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(273744), // Rule ID 8359 //
     /*  273686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273742 */     GIR_RootConstrainSelectedInstOperands,
     /*  273743 */     // GIR_Coverage, 8359,
     /*  273743 */     GIR_EraseRootFromParent_Done,
     /*  273744 */   // Label 5177: @273744
     /*  273744 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(273807), // Rule ID 8360 //
     /*  273749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273805 */     GIR_RootConstrainSelectedInstOperands,
     /*  273806 */     // GIR_Coverage, 8360,
     /*  273806 */     GIR_EraseRootFromParent_Done,
     /*  273807 */   // Label 5178: @273807
     /*  273807 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(273870), // Rule ID 8363 //
     /*  273812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273851 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273868 */     GIR_RootConstrainSelectedInstOperands,
     /*  273869 */     // GIR_Coverage, 8363,
     /*  273869 */     GIR_EraseRootFromParent_Done,
     /*  273870 */   // Label 5179: @273870
     /*  273870 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(273933), // Rule ID 8364 //
     /*  273875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273914 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273931 */     GIR_RootConstrainSelectedInstOperands,
     /*  273932 */     // GIR_Coverage, 8364,
     /*  273932 */     GIR_EraseRootFromParent_Done,
     /*  273933 */   // Label 5180: @273933
     /*  273933 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(273996), // Rule ID 8367 //
     /*  273938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273994 */     GIR_RootConstrainSelectedInstOperands,
     /*  273995 */     // GIR_Coverage, 8367,
     /*  273995 */     GIR_EraseRootFromParent_Done,
     /*  273996 */   // Label 5181: @273996
     /*  273996 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274059), // Rule ID 8368 //
     /*  274001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  274015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274057 */     GIR_RootConstrainSelectedInstOperands,
     /*  274058 */     // GIR_Coverage, 8368,
     /*  274058 */     GIR_EraseRootFromParent_Done,
     /*  274059 */   // Label 5182: @274059
     /*  274059 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274122), // Rule ID 8371 //
     /*  274064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274103 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274120 */     GIR_RootConstrainSelectedInstOperands,
     /*  274121 */     // GIR_Coverage, 8371,
     /*  274121 */     GIR_EraseRootFromParent_Done,
     /*  274122 */   // Label 5183: @274122
     /*  274122 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274185), // Rule ID 8372 //
     /*  274127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274166 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274183 */     GIR_RootConstrainSelectedInstOperands,
     /*  274184 */     // GIR_Coverage, 8372,
     /*  274184 */     GIR_EraseRootFromParent_Done,
     /*  274185 */   // Label 5184: @274185
     /*  274185 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274248), // Rule ID 8375 //
     /*  274190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274246 */     GIR_RootConstrainSelectedInstOperands,
     /*  274247 */     // GIR_Coverage, 8375,
     /*  274247 */     GIR_EraseRootFromParent_Done,
     /*  274248 */   // Label 5185: @274248
     /*  274248 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274311), // Rule ID 8376 //
     /*  274253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274309 */     GIR_RootConstrainSelectedInstOperands,
     /*  274310 */     // GIR_Coverage, 8376,
     /*  274310 */     GIR_EraseRootFromParent_Done,
     /*  274311 */   // Label 5186: @274311
     /*  274311 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274374), // Rule ID 8379 //
     /*  274316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274372 */     GIR_RootConstrainSelectedInstOperands,
     /*  274373 */     // GIR_Coverage, 8379,
     /*  274373 */     GIR_EraseRootFromParent_Done,
     /*  274374 */   // Label 5187: @274374
     /*  274374 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(274437), // Rule ID 8380 //
     /*  274379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274435 */     GIR_RootConstrainSelectedInstOperands,
     /*  274436 */     // GIR_Coverage, 8380,
     /*  274436 */     GIR_EraseRootFromParent_Done,
     /*  274437 */   // Label 5188: @274437
     /*  274437 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(274500), // Rule ID 8383 //
     /*  274442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274481 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274498 */     GIR_RootConstrainSelectedInstOperands,
     /*  274499 */     // GIR_Coverage, 8383,
     /*  274499 */     GIR_EraseRootFromParent_Done,
     /*  274500 */   // Label 5189: @274500
     /*  274500 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(274563), // Rule ID 8384 //
     /*  274505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274561 */     GIR_RootConstrainSelectedInstOperands,
     /*  274562 */     // GIR_Coverage, 8384,
     /*  274562 */     GIR_EraseRootFromParent_Done,
     /*  274563 */   // Label 5190: @274563
     /*  274563 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(274626), // Rule ID 8387 //
     /*  274568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274624 */     GIR_RootConstrainSelectedInstOperands,
     /*  274625 */     // GIR_Coverage, 8387,
     /*  274625 */     GIR_EraseRootFromParent_Done,
     /*  274626 */   // Label 5191: @274626
     /*  274626 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(274689), // Rule ID 8388 //
     /*  274631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274670 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274687 */     GIR_RootConstrainSelectedInstOperands,
     /*  274688 */     // GIR_Coverage, 8388,
     /*  274688 */     GIR_EraseRootFromParent_Done,
     /*  274689 */   // Label 5192: @274689
     /*  274689 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(274752), // Rule ID 8391 //
     /*  274694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274750 */     GIR_RootConstrainSelectedInstOperands,
     /*  274751 */     // GIR_Coverage, 8391,
     /*  274751 */     GIR_EraseRootFromParent_Done,
     /*  274752 */   // Label 5193: @274752
     /*  274752 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(274815), // Rule ID 8392 //
     /*  274757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274813 */     GIR_RootConstrainSelectedInstOperands,
     /*  274814 */     // GIR_Coverage, 8392,
     /*  274814 */     GIR_EraseRootFromParent_Done,
     /*  274815 */   // Label 5194: @274815
     /*  274815 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(274878), // Rule ID 8395 //
     /*  274820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274876 */     GIR_RootConstrainSelectedInstOperands,
     /*  274877 */     // GIR_Coverage, 8395,
     /*  274877 */     GIR_EraseRootFromParent_Done,
     /*  274878 */   // Label 5195: @274878
     /*  274878 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(274941), // Rule ID 8396 //
     /*  274883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274939 */     GIR_RootConstrainSelectedInstOperands,
     /*  274940 */     // GIR_Coverage, 8396,
     /*  274940 */     GIR_EraseRootFromParent_Done,
     /*  274941 */   // Label 5196: @274941
     /*  274941 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(275004), // Rule ID 8399 //
     /*  274946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275002 */     GIR_RootConstrainSelectedInstOperands,
     /*  275003 */     // GIR_Coverage, 8399,
     /*  275003 */     GIR_EraseRootFromParent_Done,
     /*  275004 */   // Label 5197: @275004
     /*  275004 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275067), // Rule ID 8400 //
     /*  275009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  275023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  275026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275065 */     GIR_RootConstrainSelectedInstOperands,
     /*  275066 */     // GIR_Coverage, 8400,
     /*  275066 */     GIR_EraseRootFromParent_Done,
     /*  275067 */   // Label 5198: @275067
     /*  275067 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275130), // Rule ID 8403 //
     /*  275072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275111 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275128 */     GIR_RootConstrainSelectedInstOperands,
     /*  275129 */     // GIR_Coverage, 8403,
     /*  275129 */     GIR_EraseRootFromParent_Done,
     /*  275130 */   // Label 5199: @275130
     /*  275130 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275193), // Rule ID 8404 //
     /*  275135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275191 */     GIR_RootConstrainSelectedInstOperands,
     /*  275192 */     // GIR_Coverage, 8404,
     /*  275192 */     GIR_EraseRootFromParent_Done,
     /*  275193 */   // Label 5200: @275193
     /*  275193 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275256), // Rule ID 8407 //
     /*  275198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275237 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275254 */     GIR_RootConstrainSelectedInstOperands,
     /*  275255 */     // GIR_Coverage, 8407,
     /*  275255 */     GIR_EraseRootFromParent_Done,
     /*  275256 */   // Label 5201: @275256
     /*  275256 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275319), // Rule ID 8408 //
     /*  275261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275317 */     GIR_RootConstrainSelectedInstOperands,
     /*  275318 */     // GIR_Coverage, 8408,
     /*  275318 */     GIR_EraseRootFromParent_Done,
     /*  275319 */   // Label 5202: @275319
     /*  275319 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275382), // Rule ID 8411 //
     /*  275324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275380 */     GIR_RootConstrainSelectedInstOperands,
     /*  275381 */     // GIR_Coverage, 8411,
     /*  275381 */     GIR_EraseRootFromParent_Done,
     /*  275382 */   // Label 5203: @275382
     /*  275382 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(275445), // Rule ID 8412 //
     /*  275387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275426 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275443 */     GIR_RootConstrainSelectedInstOperands,
     /*  275444 */     // GIR_Coverage, 8412,
     /*  275444 */     GIR_EraseRootFromParent_Done,
     /*  275445 */   // Label 5204: @275445
     /*  275445 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(275508), // Rule ID 8415 //
     /*  275450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275489 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275506 */     GIR_RootConstrainSelectedInstOperands,
     /*  275507 */     // GIR_Coverage, 8415,
     /*  275507 */     GIR_EraseRootFromParent_Done,
     /*  275508 */   // Label 5205: @275508
     /*  275508 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(275571), // Rule ID 8416 //
     /*  275513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275569 */     GIR_RootConstrainSelectedInstOperands,
     /*  275570 */     // GIR_Coverage, 8416,
     /*  275570 */     GIR_EraseRootFromParent_Done,
     /*  275571 */   // Label 5206: @275571
     /*  275571 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(275634), // Rule ID 8419 //
     /*  275576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275615 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275632 */     GIR_RootConstrainSelectedInstOperands,
     /*  275633 */     // GIR_Coverage, 8419,
     /*  275633 */     GIR_EraseRootFromParent_Done,
     /*  275634 */   // Label 5207: @275634
     /*  275634 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(275697), // Rule ID 8420 //
     /*  275639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275695 */     GIR_RootConstrainSelectedInstOperands,
     /*  275696 */     // GIR_Coverage, 8420,
     /*  275696 */     GIR_EraseRootFromParent_Done,
     /*  275697 */   // Label 5208: @275697
     /*  275697 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(275760), // Rule ID 8423 //
     /*  275702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275741 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275758 */     GIR_RootConstrainSelectedInstOperands,
     /*  275759 */     // GIR_Coverage, 8423,
     /*  275759 */     GIR_EraseRootFromParent_Done,
     /*  275760 */   // Label 5209: @275760
     /*  275760 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(275823), // Rule ID 8424 //
     /*  275765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275821 */     GIR_RootConstrainSelectedInstOperands,
     /*  275822 */     // GIR_Coverage, 8424,
     /*  275822 */     GIR_EraseRootFromParent_Done,
     /*  275823 */   // Label 5210: @275823
     /*  275823 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(275886), // Rule ID 8427 //
     /*  275828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275867 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275884 */     GIR_RootConstrainSelectedInstOperands,
     /*  275885 */     // GIR_Coverage, 8427,
     /*  275885 */     GIR_EraseRootFromParent_Done,
     /*  275886 */   // Label 5211: @275886
     /*  275886 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(275949), // Rule ID 8428 //
     /*  275891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275930 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275947 */     GIR_RootConstrainSelectedInstOperands,
     /*  275948 */     // GIR_Coverage, 8428,
     /*  275948 */     GIR_EraseRootFromParent_Done,
     /*  275949 */   // Label 5212: @275949
     /*  275949 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(276012), // Rule ID 8431 //
     /*  275954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276010 */     GIR_RootConstrainSelectedInstOperands,
     /*  276011 */     // GIR_Coverage, 8431,
     /*  276011 */     GIR_EraseRootFromParent_Done,
     /*  276012 */   // Label 5213: @276012
     /*  276012 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276075), // Rule ID 8432 //
     /*  276017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  276031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  276034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276073 */     GIR_RootConstrainSelectedInstOperands,
     /*  276074 */     // GIR_Coverage, 8432,
     /*  276074 */     GIR_EraseRootFromParent_Done,
     /*  276075 */   // Label 5214: @276075
     /*  276075 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276138), // Rule ID 8435 //
     /*  276080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276136 */     GIR_RootConstrainSelectedInstOperands,
     /*  276137 */     // GIR_Coverage, 8435,
     /*  276137 */     GIR_EraseRootFromParent_Done,
     /*  276138 */   // Label 5215: @276138
     /*  276138 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276201), // Rule ID 8436 //
     /*  276143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276199 */     GIR_RootConstrainSelectedInstOperands,
     /*  276200 */     // GIR_Coverage, 8436,
     /*  276200 */     GIR_EraseRootFromParent_Done,
     /*  276201 */   // Label 5216: @276201
     /*  276201 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276264), // Rule ID 8439 //
     /*  276206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276245 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276262 */     GIR_RootConstrainSelectedInstOperands,
     /*  276263 */     // GIR_Coverage, 8439,
     /*  276263 */     GIR_EraseRootFromParent_Done,
     /*  276264 */   // Label 5217: @276264
     /*  276264 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276327), // Rule ID 8440 //
     /*  276269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276325 */     GIR_RootConstrainSelectedInstOperands,
     /*  276326 */     // GIR_Coverage, 8440,
     /*  276326 */     GIR_EraseRootFromParent_Done,
     /*  276327 */   // Label 5218: @276327
     /*  276327 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276390), // Rule ID 8443 //
     /*  276332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276388 */     GIR_RootConstrainSelectedInstOperands,
     /*  276389 */     // GIR_Coverage, 8443,
     /*  276389 */     GIR_EraseRootFromParent_Done,
     /*  276390 */   // Label 5219: @276390
     /*  276390 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(276453), // Rule ID 8444 //
     /*  276395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276451 */     GIR_RootConstrainSelectedInstOperands,
     /*  276452 */     // GIR_Coverage, 8444,
     /*  276452 */     GIR_EraseRootFromParent_Done,
     /*  276453 */   // Label 5220: @276453
     /*  276453 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(276516), // Rule ID 8447 //
     /*  276458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276514 */     GIR_RootConstrainSelectedInstOperands,
     /*  276515 */     // GIR_Coverage, 8447,
     /*  276515 */     GIR_EraseRootFromParent_Done,
     /*  276516 */   // Label 5221: @276516
     /*  276516 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(276579), // Rule ID 8448 //
     /*  276521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276577 */     GIR_RootConstrainSelectedInstOperands,
     /*  276578 */     // GIR_Coverage, 8448,
     /*  276578 */     GIR_EraseRootFromParent_Done,
     /*  276579 */   // Label 5222: @276579
     /*  276579 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(276642), // Rule ID 8451 //
     /*  276584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276640 */     GIR_RootConstrainSelectedInstOperands,
     /*  276641 */     // GIR_Coverage, 8451,
     /*  276641 */     GIR_EraseRootFromParent_Done,
     /*  276642 */   // Label 5223: @276642
     /*  276642 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(276705), // Rule ID 8452 //
     /*  276647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276686 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276703 */     GIR_RootConstrainSelectedInstOperands,
     /*  276704 */     // GIR_Coverage, 8452,
     /*  276704 */     GIR_EraseRootFromParent_Done,
     /*  276705 */   // Label 5224: @276705
     /*  276705 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(276768), // Rule ID 8455 //
     /*  276710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276749 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276766 */     GIR_RootConstrainSelectedInstOperands,
     /*  276767 */     // GIR_Coverage, 8455,
     /*  276767 */     GIR_EraseRootFromParent_Done,
     /*  276768 */   // Label 5225: @276768
     /*  276768 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(276831), // Rule ID 8456 //
     /*  276773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276829 */     GIR_RootConstrainSelectedInstOperands,
     /*  276830 */     // GIR_Coverage, 8456,
     /*  276830 */     GIR_EraseRootFromParent_Done,
     /*  276831 */   // Label 5226: @276831
     /*  276831 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(276894), // Rule ID 8459 //
     /*  276836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276875 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276892 */     GIR_RootConstrainSelectedInstOperands,
     /*  276893 */     // GIR_Coverage, 8459,
     /*  276893 */     GIR_EraseRootFromParent_Done,
     /*  276894 */   // Label 5227: @276894
     /*  276894 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(276957), // Rule ID 8460 //
     /*  276899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276955 */     GIR_RootConstrainSelectedInstOperands,
     /*  276956 */     // GIR_Coverage, 8460,
     /*  276956 */     GIR_EraseRootFromParent_Done,
     /*  276957 */   // Label 5228: @276957
     /*  276957 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(277020), // Rule ID 8463 //
     /*  276962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277001 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277018 */     GIR_RootConstrainSelectedInstOperands,
     /*  277019 */     // GIR_Coverage, 8463,
     /*  277019 */     GIR_EraseRootFromParent_Done,
     /*  277020 */   // Label 5229: @277020
     /*  277020 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277083), // Rule ID 8464 //
     /*  277025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  277039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  277042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277081 */     GIR_RootConstrainSelectedInstOperands,
     /*  277082 */     // GIR_Coverage, 8464,
     /*  277082 */     GIR_EraseRootFromParent_Done,
     /*  277083 */   // Label 5230: @277083
     /*  277083 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277146), // Rule ID 8467 //
     /*  277088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277127 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277144 */     GIR_RootConstrainSelectedInstOperands,
     /*  277145 */     // GIR_Coverage, 8467,
     /*  277145 */     GIR_EraseRootFromParent_Done,
     /*  277146 */   // Label 5231: @277146
     /*  277146 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277209), // Rule ID 8468 //
     /*  277151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277207 */     GIR_RootConstrainSelectedInstOperands,
     /*  277208 */     // GIR_Coverage, 8468,
     /*  277208 */     GIR_EraseRootFromParent_Done,
     /*  277209 */   // Label 5232: @277209
     /*  277209 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277272), // Rule ID 8471 //
     /*  277214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277253 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277270 */     GIR_RootConstrainSelectedInstOperands,
     /*  277271 */     // GIR_Coverage, 8471,
     /*  277271 */     GIR_EraseRootFromParent_Done,
     /*  277272 */   // Label 5233: @277272
     /*  277272 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277335), // Rule ID 8472 //
     /*  277277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277333 */     GIR_RootConstrainSelectedInstOperands,
     /*  277334 */     // GIR_Coverage, 8472,
     /*  277334 */     GIR_EraseRootFromParent_Done,
     /*  277335 */   // Label 5234: @277335
     /*  277335 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277398), // Rule ID 8475 //
     /*  277340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277379 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277396 */     GIR_RootConstrainSelectedInstOperands,
     /*  277397 */     // GIR_Coverage, 8475,
     /*  277397 */     GIR_EraseRootFromParent_Done,
     /*  277398 */   // Label 5235: @277398
     /*  277398 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(277461), // Rule ID 8476 //
     /*  277403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277459 */     GIR_RootConstrainSelectedInstOperands,
     /*  277460 */     // GIR_Coverage, 8476,
     /*  277460 */     GIR_EraseRootFromParent_Done,
     /*  277461 */   // Label 5236: @277461
     /*  277461 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(277524), // Rule ID 8479 //
     /*  277466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277522 */     GIR_RootConstrainSelectedInstOperands,
     /*  277523 */     // GIR_Coverage, 8479,
     /*  277523 */     GIR_EraseRootFromParent_Done,
     /*  277524 */   // Label 5237: @277524
     /*  277524 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(277587), // Rule ID 8480 //
     /*  277529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277585 */     GIR_RootConstrainSelectedInstOperands,
     /*  277586 */     // GIR_Coverage, 8480,
     /*  277586 */     GIR_EraseRootFromParent_Done,
     /*  277587 */   // Label 5238: @277587
     /*  277587 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(277650), // Rule ID 8483 //
     /*  277592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277631 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277648 */     GIR_RootConstrainSelectedInstOperands,
     /*  277649 */     // GIR_Coverage, 8483,
     /*  277649 */     GIR_EraseRootFromParent_Done,
     /*  277650 */   // Label 5239: @277650
     /*  277650 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(277713), // Rule ID 8484 //
     /*  277655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277711 */     GIR_RootConstrainSelectedInstOperands,
     /*  277712 */     // GIR_Coverage, 8484,
     /*  277712 */     GIR_EraseRootFromParent_Done,
     /*  277713 */   // Label 5240: @277713
     /*  277713 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(277776), // Rule ID 8487 //
     /*  277718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277774 */     GIR_RootConstrainSelectedInstOperands,
     /*  277775 */     // GIR_Coverage, 8487,
     /*  277775 */     GIR_EraseRootFromParent_Done,
     /*  277776 */   // Label 5241: @277776
     /*  277776 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(277839), // Rule ID 8488 //
     /*  277781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277837 */     GIR_RootConstrainSelectedInstOperands,
     /*  277838 */     // GIR_Coverage, 8488,
     /*  277838 */     GIR_EraseRootFromParent_Done,
     /*  277839 */   // Label 5242: @277839
     /*  277839 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(277902), // Rule ID 8491 //
     /*  277844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277883 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  277886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277900 */     GIR_RootConstrainSelectedInstOperands,
     /*  277901 */     // GIR_Coverage, 8491,
     /*  277901 */     GIR_EraseRootFromParent_Done,
     /*  277902 */   // Label 5243: @277902
     /*  277902 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(277965), // Rule ID 8492 //
     /*  277907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277946 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  277949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277963 */     GIR_RootConstrainSelectedInstOperands,
     /*  277964 */     // GIR_Coverage, 8492,
     /*  277964 */     GIR_EraseRootFromParent_Done,
     /*  277965 */   // Label 5244: @277965
     /*  277965 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(278028), // Rule ID 8495 //
     /*  277970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278026 */     GIR_RootConstrainSelectedInstOperands,
     /*  278027 */     // GIR_Coverage, 8495,
     /*  278027 */     GIR_EraseRootFromParent_Done,
     /*  278028 */   // Label 5245: @278028
     /*  278028 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278091), // Rule ID 8496 //
     /*  278033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  278047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278089 */     GIR_RootConstrainSelectedInstOperands,
     /*  278090 */     // GIR_Coverage, 8496,
     /*  278090 */     GIR_EraseRootFromParent_Done,
     /*  278091 */   // Label 5246: @278091
     /*  278091 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278154), // Rule ID 8499 //
     /*  278096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278152 */     GIR_RootConstrainSelectedInstOperands,
     /*  278153 */     // GIR_Coverage, 8499,
     /*  278153 */     GIR_EraseRootFromParent_Done,
     /*  278154 */   // Label 5247: @278154
     /*  278154 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278217), // Rule ID 8500 //
     /*  278159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278215 */     GIR_RootConstrainSelectedInstOperands,
     /*  278216 */     // GIR_Coverage, 8500,
     /*  278216 */     GIR_EraseRootFromParent_Done,
     /*  278217 */   // Label 5248: @278217
     /*  278217 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278280), // Rule ID 8503 //
     /*  278222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278261 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278278 */     GIR_RootConstrainSelectedInstOperands,
     /*  278279 */     // GIR_Coverage, 8503,
     /*  278279 */     GIR_EraseRootFromParent_Done,
     /*  278280 */   // Label 5249: @278280
     /*  278280 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278343), // Rule ID 8504 //
     /*  278285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278341 */     GIR_RootConstrainSelectedInstOperands,
     /*  278342 */     // GIR_Coverage, 8504,
     /*  278342 */     GIR_EraseRootFromParent_Done,
     /*  278343 */   // Label 5250: @278343
     /*  278343 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278406), // Rule ID 8507 //
     /*  278348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278387 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278404 */     GIR_RootConstrainSelectedInstOperands,
     /*  278405 */     // GIR_Coverage, 8507,
     /*  278405 */     GIR_EraseRootFromParent_Done,
     /*  278406 */   // Label 5251: @278406
     /*  278406 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(278469), // Rule ID 8508 //
     /*  278411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278467 */     GIR_RootConstrainSelectedInstOperands,
     /*  278468 */     // GIR_Coverage, 8508,
     /*  278468 */     GIR_EraseRootFromParent_Done,
     /*  278469 */   // Label 5252: @278469
     /*  278469 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(278532), // Rule ID 8511 //
     /*  278474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278513 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278530 */     GIR_RootConstrainSelectedInstOperands,
     /*  278531 */     // GIR_Coverage, 8511,
     /*  278531 */     GIR_EraseRootFromParent_Done,
     /*  278532 */   // Label 5253: @278532
     /*  278532 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(278595), // Rule ID 8512 //
     /*  278537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278593 */     GIR_RootConstrainSelectedInstOperands,
     /*  278594 */     // GIR_Coverage, 8512,
     /*  278594 */     GIR_EraseRootFromParent_Done,
     /*  278595 */   // Label 5254: @278595
     /*  278595 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(278658), // Rule ID 8515 //
     /*  278600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278639 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278656 */     GIR_RootConstrainSelectedInstOperands,
     /*  278657 */     // GIR_Coverage, 8515,
     /*  278657 */     GIR_EraseRootFromParent_Done,
     /*  278658 */   // Label 5255: @278658
     /*  278658 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(278721), // Rule ID 8516 //
     /*  278663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278702 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278719 */     GIR_RootConstrainSelectedInstOperands,
     /*  278720 */     // GIR_Coverage, 8516,
     /*  278720 */     GIR_EraseRootFromParent_Done,
     /*  278721 */   // Label 5256: @278721
     /*  278721 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(278784), // Rule ID 8519 //
     /*  278726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278765 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278782 */     GIR_RootConstrainSelectedInstOperands,
     /*  278783 */     // GIR_Coverage, 8519,
     /*  278783 */     GIR_EraseRootFromParent_Done,
     /*  278784 */   // Label 5257: @278784
     /*  278784 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(278847), // Rule ID 8520 //
     /*  278789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278845 */     GIR_RootConstrainSelectedInstOperands,
     /*  278846 */     // GIR_Coverage, 8520,
     /*  278846 */     GIR_EraseRootFromParent_Done,
     /*  278847 */   // Label 5258: @278847
     /*  278847 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(278910), // Rule ID 8523 //
     /*  278852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278891 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278908 */     GIR_RootConstrainSelectedInstOperands,
     /*  278909 */     // GIR_Coverage, 8523,
     /*  278909 */     GIR_EraseRootFromParent_Done,
     /*  278910 */   // Label 5259: @278910
     /*  278910 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(278973), // Rule ID 8524 //
     /*  278915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278971 */     GIR_RootConstrainSelectedInstOperands,
     /*  278972 */     // GIR_Coverage, 8524,
     /*  278972 */     GIR_EraseRootFromParent_Done,
     /*  278973 */   // Label 5260: @278973
     /*  278973 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(279036), // Rule ID 8527 //
     /*  278978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279017 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279034 */     GIR_RootConstrainSelectedInstOperands,
     /*  279035 */     // GIR_Coverage, 8527,
     /*  279035 */     GIR_EraseRootFromParent_Done,
     /*  279036 */   // Label 5261: @279036
     /*  279036 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279099), // Rule ID 8528 //
     /*  279041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  279055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279097 */     GIR_RootConstrainSelectedInstOperands,
     /*  279098 */     // GIR_Coverage, 8528,
     /*  279098 */     GIR_EraseRootFromParent_Done,
     /*  279099 */   // Label 5262: @279099
     /*  279099 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279162), // Rule ID 8531 //
     /*  279104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279143 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279160 */     GIR_RootConstrainSelectedInstOperands,
     /*  279161 */     // GIR_Coverage, 8531,
     /*  279161 */     GIR_EraseRootFromParent_Done,
     /*  279162 */   // Label 5263: @279162
     /*  279162 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279225), // Rule ID 8532 //
     /*  279167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279223 */     GIR_RootConstrainSelectedInstOperands,
     /*  279224 */     // GIR_Coverage, 8532,
     /*  279224 */     GIR_EraseRootFromParent_Done,
     /*  279225 */   // Label 5264: @279225
     /*  279225 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279288), // Rule ID 8535 //
     /*  279230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279286 */     GIR_RootConstrainSelectedInstOperands,
     /*  279287 */     // GIR_Coverage, 8535,
     /*  279287 */     GIR_EraseRootFromParent_Done,
     /*  279288 */   // Label 5265: @279288
     /*  279288 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279351), // Rule ID 8536 //
     /*  279293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279349 */     GIR_RootConstrainSelectedInstOperands,
     /*  279350 */     // GIR_Coverage, 8536,
     /*  279350 */     GIR_EraseRootFromParent_Done,
     /*  279351 */   // Label 5266: @279351
     /*  279351 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279414), // Rule ID 8539 //
     /*  279356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279395 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279412 */     GIR_RootConstrainSelectedInstOperands,
     /*  279413 */     // GIR_Coverage, 8539,
     /*  279413 */     GIR_EraseRootFromParent_Done,
     /*  279414 */   // Label 5267: @279414
     /*  279414 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(279477), // Rule ID 8540 //
     /*  279419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279475 */     GIR_RootConstrainSelectedInstOperands,
     /*  279476 */     // GIR_Coverage, 8540,
     /*  279476 */     GIR_EraseRootFromParent_Done,
     /*  279477 */   // Label 5268: @279477
     /*  279477 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(279540), // Rule ID 8543 //
     /*  279482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279521 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279538 */     GIR_RootConstrainSelectedInstOperands,
     /*  279539 */     // GIR_Coverage, 8543,
     /*  279539 */     GIR_EraseRootFromParent_Done,
     /*  279540 */   // Label 5269: @279540
     /*  279540 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(279603), // Rule ID 8544 //
     /*  279545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279601 */     GIR_RootConstrainSelectedInstOperands,
     /*  279602 */     // GIR_Coverage, 8544,
     /*  279602 */     GIR_EraseRootFromParent_Done,
     /*  279603 */   // Label 5270: @279603
     /*  279603 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(279666), // Rule ID 8547 //
     /*  279608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279647 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279664 */     GIR_RootConstrainSelectedInstOperands,
     /*  279665 */     // GIR_Coverage, 8547,
     /*  279665 */     GIR_EraseRootFromParent_Done,
     /*  279666 */   // Label 5271: @279666
     /*  279666 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(279729), // Rule ID 8548 //
     /*  279671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279710 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279727 */     GIR_RootConstrainSelectedInstOperands,
     /*  279728 */     // GIR_Coverage, 8548,
     /*  279728 */     GIR_EraseRootFromParent_Done,
     /*  279729 */   // Label 5272: @279729
     /*  279729 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(279792), // Rule ID 8551 //
     /*  279734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279773 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279790 */     GIR_RootConstrainSelectedInstOperands,
     /*  279791 */     // GIR_Coverage, 8551,
     /*  279791 */     GIR_EraseRootFromParent_Done,
     /*  279792 */   // Label 5273: @279792
     /*  279792 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(279855), // Rule ID 8552 //
     /*  279797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279853 */     GIR_RootConstrainSelectedInstOperands,
     /*  279854 */     // GIR_Coverage, 8552,
     /*  279854 */     GIR_EraseRootFromParent_Done,
     /*  279855 */   // Label 5274: @279855
     /*  279855 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(279918), // Rule ID 8555 //
     /*  279860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279899 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  279902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279916 */     GIR_RootConstrainSelectedInstOperands,
     /*  279917 */     // GIR_Coverage, 8555,
     /*  279917 */     GIR_EraseRootFromParent_Done,
     /*  279918 */   // Label 5275: @279918
     /*  279918 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(279981), // Rule ID 8556 //
     /*  279923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  279965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279979 */     GIR_RootConstrainSelectedInstOperands,
     /*  279980 */     // GIR_Coverage, 8556,
     /*  279980 */     GIR_EraseRootFromParent_Done,
     /*  279981 */   // Label 5276: @279981
     /*  279981 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(280044), // Rule ID 8559 //
     /*  279986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  280000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  280003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280025 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280042 */     GIR_RootConstrainSelectedInstOperands,
     /*  280043 */     // GIR_Coverage, 8559,
     /*  280043 */     GIR_EraseRootFromParent_Done,
     /*  280044 */   // Label 5277: @280044
     /*  280044 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280107), // Rule ID 8560 //
     /*  280049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  280063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  280066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280105 */     GIR_RootConstrainSelectedInstOperands,
     /*  280106 */     // GIR_Coverage, 8560,
     /*  280106 */     GIR_EraseRootFromParent_Done,
     /*  280107 */   // Label 5278: @280107
     /*  280107 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280170), // Rule ID 8563 //
     /*  280112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280151 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280168 */     GIR_RootConstrainSelectedInstOperands,
     /*  280169 */     // GIR_Coverage, 8563,
     /*  280169 */     GIR_EraseRootFromParent_Done,
     /*  280170 */   // Label 5279: @280170
     /*  280170 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280233), // Rule ID 8564 //
     /*  280175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280231 */     GIR_RootConstrainSelectedInstOperands,
     /*  280232 */     // GIR_Coverage, 8564,
     /*  280232 */     GIR_EraseRootFromParent_Done,
     /*  280233 */   // Label 5280: @280233
     /*  280233 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280296), // Rule ID 8567 //
     /*  280238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280294 */     GIR_RootConstrainSelectedInstOperands,
     /*  280295 */     // GIR_Coverage, 8567,
     /*  280295 */     GIR_EraseRootFromParent_Done,
     /*  280296 */   // Label 5281: @280296
     /*  280296 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280359), // Rule ID 8568 //
     /*  280301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280357 */     GIR_RootConstrainSelectedInstOperands,
     /*  280358 */     // GIR_Coverage, 8568,
     /*  280358 */     GIR_EraseRootFromParent_Done,
     /*  280359 */   // Label 5282: @280359
     /*  280359 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280422), // Rule ID 8571 //
     /*  280364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280420 */     GIR_RootConstrainSelectedInstOperands,
     /*  280421 */     // GIR_Coverage, 8571,
     /*  280421 */     GIR_EraseRootFromParent_Done,
     /*  280422 */   // Label 5283: @280422
     /*  280422 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(280485), // Rule ID 8572 //
     /*  280427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280483 */     GIR_RootConstrainSelectedInstOperands,
     /*  280484 */     // GIR_Coverage, 8572,
     /*  280484 */     GIR_EraseRootFromParent_Done,
     /*  280485 */   // Label 5284: @280485
     /*  280485 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(280548), // Rule ID 8575 //
     /*  280490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280529 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280546 */     GIR_RootConstrainSelectedInstOperands,
     /*  280547 */     // GIR_Coverage, 8575,
     /*  280547 */     GIR_EraseRootFromParent_Done,
     /*  280548 */   // Label 5285: @280548
     /*  280548 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(280611), // Rule ID 8576 //
     /*  280553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280609 */     GIR_RootConstrainSelectedInstOperands,
     /*  280610 */     // GIR_Coverage, 8576,
     /*  280610 */     GIR_EraseRootFromParent_Done,
     /*  280611 */   // Label 5286: @280611
     /*  280611 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(280674), // Rule ID 8579 //
     /*  280616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280655 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280672 */     GIR_RootConstrainSelectedInstOperands,
     /*  280673 */     // GIR_Coverage, 8579,
     /*  280673 */     GIR_EraseRootFromParent_Done,
     /*  280674 */   // Label 5287: @280674
     /*  280674 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(280737), // Rule ID 8580 //
     /*  280679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280718 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280735 */     GIR_RootConstrainSelectedInstOperands,
     /*  280736 */     // GIR_Coverage, 8580,
     /*  280736 */     GIR_EraseRootFromParent_Done,
     /*  280737 */   // Label 5288: @280737
     /*  280737 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(280800), // Rule ID 8583 //
     /*  280742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280798 */     GIR_RootConstrainSelectedInstOperands,
     /*  280799 */     // GIR_Coverage, 8583,
     /*  280799 */     GIR_EraseRootFromParent_Done,
     /*  280800 */   // Label 5289: @280800
     /*  280800 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(280863), // Rule ID 8584 //
     /*  280805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280861 */     GIR_RootConstrainSelectedInstOperands,
     /*  280862 */     // GIR_Coverage, 8584,
     /*  280862 */     GIR_EraseRootFromParent_Done,
     /*  280863 */   // Label 5290: @280863
     /*  280863 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(280926), // Rule ID 8587 //
     /*  280868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280907 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280924 */     GIR_RootConstrainSelectedInstOperands,
     /*  280925 */     // GIR_Coverage, 8587,
     /*  280925 */     GIR_EraseRootFromParent_Done,
     /*  280926 */   // Label 5291: @280926
     /*  280926 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(280989), // Rule ID 8588 //
     /*  280931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280987 */     GIR_RootConstrainSelectedInstOperands,
     /*  280988 */     // GIR_Coverage, 8588,
     /*  280988 */     GIR_EraseRootFromParent_Done,
     /*  280989 */   // Label 5292: @280989
     /*  280989 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281052), // Rule ID 8591 //
     /*  280994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  281008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  281011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281050 */     GIR_RootConstrainSelectedInstOperands,
     /*  281051 */     // GIR_Coverage, 8591,
     /*  281051 */     GIR_EraseRootFromParent_Done,
     /*  281052 */   // Label 5293: @281052
     /*  281052 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281115), // Rule ID 8592 //
     /*  281057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  281071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  281074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281113 */     GIR_RootConstrainSelectedInstOperands,
     /*  281114 */     // GIR_Coverage, 8592,
     /*  281114 */     GIR_EraseRootFromParent_Done,
     /*  281115 */   // Label 5294: @281115
     /*  281115 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281178), // Rule ID 8595 //
     /*  281120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281159 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281176 */     GIR_RootConstrainSelectedInstOperands,
     /*  281177 */     // GIR_Coverage, 8595,
     /*  281177 */     GIR_EraseRootFromParent_Done,
     /*  281178 */   // Label 5295: @281178
     /*  281178 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281241), // Rule ID 8596 //
     /*  281183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281222 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281239 */     GIR_RootConstrainSelectedInstOperands,
     /*  281240 */     // GIR_Coverage, 8596,
     /*  281240 */     GIR_EraseRootFromParent_Done,
     /*  281241 */   // Label 5296: @281241
     /*  281241 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281304), // Rule ID 8599 //
     /*  281246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281285 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281302 */     GIR_RootConstrainSelectedInstOperands,
     /*  281303 */     // GIR_Coverage, 8599,
     /*  281303 */     GIR_EraseRootFromParent_Done,
     /*  281304 */   // Label 5297: @281304
     /*  281304 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281367), // Rule ID 8600 //
     /*  281309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281365 */     GIR_RootConstrainSelectedInstOperands,
     /*  281366 */     // GIR_Coverage, 8600,
     /*  281366 */     GIR_EraseRootFromParent_Done,
     /*  281367 */   // Label 5298: @281367
     /*  281367 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(281430), // Rule ID 8603 //
     /*  281372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281411 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281428 */     GIR_RootConstrainSelectedInstOperands,
     /*  281429 */     // GIR_Coverage, 8603,
     /*  281429 */     GIR_EraseRootFromParent_Done,
     /*  281430 */   // Label 5299: @281430
     /*  281430 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(281493), // Rule ID 8604 //
     /*  281435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281474 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281491 */     GIR_RootConstrainSelectedInstOperands,
     /*  281492 */     // GIR_Coverage, 8604,
     /*  281492 */     GIR_EraseRootFromParent_Done,
     /*  281493 */   // Label 5300: @281493
     /*  281493 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(281556), // Rule ID 8607 //
     /*  281498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281554 */     GIR_RootConstrainSelectedInstOperands,
     /*  281555 */     // GIR_Coverage, 8607,
     /*  281555 */     GIR_EraseRootFromParent_Done,
     /*  281556 */   // Label 5301: @281556
     /*  281556 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(281619), // Rule ID 8608 //
     /*  281561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281617 */     GIR_RootConstrainSelectedInstOperands,
     /*  281618 */     // GIR_Coverage, 8608,
     /*  281618 */     GIR_EraseRootFromParent_Done,
     /*  281619 */   // Label 5302: @281619
     /*  281619 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(281682), // Rule ID 8611 //
     /*  281624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281663 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281680 */     GIR_RootConstrainSelectedInstOperands,
     /*  281681 */     // GIR_Coverage, 8611,
     /*  281681 */     GIR_EraseRootFromParent_Done,
     /*  281682 */   // Label 5303: @281682
     /*  281682 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(281745), // Rule ID 8612 //
     /*  281687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281726 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281743 */     GIR_RootConstrainSelectedInstOperands,
     /*  281744 */     // GIR_Coverage, 8612,
     /*  281744 */     GIR_EraseRootFromParent_Done,
     /*  281745 */   // Label 5304: @281745
     /*  281745 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(281808), // Rule ID 8615 //
     /*  281750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281789 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281806 */     GIR_RootConstrainSelectedInstOperands,
     /*  281807 */     // GIR_Coverage, 8615,
     /*  281807 */     GIR_EraseRootFromParent_Done,
     /*  281808 */   // Label 5305: @281808
     /*  281808 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(281871), // Rule ID 8616 //
     /*  281813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281869 */     GIR_RootConstrainSelectedInstOperands,
     /*  281870 */     // GIR_Coverage, 8616,
     /*  281870 */     GIR_EraseRootFromParent_Done,
     /*  281871 */   // Label 5306: @281871
     /*  281871 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(281934), // Rule ID 8619 //
     /*  281876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281915 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281932 */     GIR_RootConstrainSelectedInstOperands,
     /*  281933 */     // GIR_Coverage, 8619,
     /*  281933 */     GIR_EraseRootFromParent_Done,
     /*  281934 */   // Label 5307: @281934
     /*  281934 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(281997), // Rule ID 8620 //
     /*  281939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281995 */     GIR_RootConstrainSelectedInstOperands,
     /*  281996 */     // GIR_Coverage, 8620,
     /*  281996 */     GIR_EraseRootFromParent_Done,
     /*  281997 */   // Label 5308: @281997
     /*  281997 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282060), // Rule ID 8623 //
     /*  282002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  282016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  282019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282041 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282058 */     GIR_RootConstrainSelectedInstOperands,
     /*  282059 */     // GIR_Coverage, 8623,
     /*  282059 */     GIR_EraseRootFromParent_Done,
     /*  282060 */   // Label 5309: @282060
     /*  282060 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282123), // Rule ID 8624 //
     /*  282065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  282079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  282082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282121 */     GIR_RootConstrainSelectedInstOperands,
     /*  282122 */     // GIR_Coverage, 8624,
     /*  282122 */     GIR_EraseRootFromParent_Done,
     /*  282123 */   // Label 5310: @282123
     /*  282123 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282186), // Rule ID 8627 //
     /*  282128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282167 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282184 */     GIR_RootConstrainSelectedInstOperands,
     /*  282185 */     // GIR_Coverage, 8627,
     /*  282185 */     GIR_EraseRootFromParent_Done,
     /*  282186 */   // Label 5311: @282186
     /*  282186 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282249), // Rule ID 8628 //
     /*  282191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282247 */     GIR_RootConstrainSelectedInstOperands,
     /*  282248 */     // GIR_Coverage, 8628,
     /*  282248 */     GIR_EraseRootFromParent_Done,
     /*  282249 */   // Label 5312: @282249
     /*  282249 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282312), // Rule ID 8631 //
     /*  282254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282310 */     GIR_RootConstrainSelectedInstOperands,
     /*  282311 */     // GIR_Coverage, 8631,
     /*  282311 */     GIR_EraseRootFromParent_Done,
     /*  282312 */   // Label 5313: @282312
     /*  282312 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282375), // Rule ID 8632 //
     /*  282317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282373 */     GIR_RootConstrainSelectedInstOperands,
     /*  282374 */     // GIR_Coverage, 8632,
     /*  282374 */     GIR_EraseRootFromParent_Done,
     /*  282375 */   // Label 5314: @282375
     /*  282375 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(282438), // Rule ID 8635 //
     /*  282380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282419 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282436 */     GIR_RootConstrainSelectedInstOperands,
     /*  282437 */     // GIR_Coverage, 8635,
     /*  282437 */     GIR_EraseRootFromParent_Done,
     /*  282438 */   // Label 5315: @282438
     /*  282438 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(282501), // Rule ID 8636 //
     /*  282443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282499 */     GIR_RootConstrainSelectedInstOperands,
     /*  282500 */     // GIR_Coverage, 8636,
     /*  282500 */     GIR_EraseRootFromParent_Done,
     /*  282501 */   // Label 5316: @282501
     /*  282501 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(282564), // Rule ID 8639 //
     /*  282506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282545 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282562 */     GIR_RootConstrainSelectedInstOperands,
     /*  282563 */     // GIR_Coverage, 8639,
     /*  282563 */     GIR_EraseRootFromParent_Done,
     /*  282564 */   // Label 5317: @282564
     /*  282564 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(282627), // Rule ID 8640 //
     /*  282569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282625 */     GIR_RootConstrainSelectedInstOperands,
     /*  282626 */     // GIR_Coverage, 8640,
     /*  282626 */     GIR_EraseRootFromParent_Done,
     /*  282627 */   // Label 5318: @282627
     /*  282627 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(282690), // Rule ID 8643 //
     /*  282632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282671 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  282674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282688 */     GIR_RootConstrainSelectedInstOperands,
     /*  282689 */     // GIR_Coverage, 8643,
     /*  282689 */     GIR_EraseRootFromParent_Done,
     /*  282690 */   // Label 5319: @282690
     /*  282690 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(282753), // Rule ID 8644 //
     /*  282695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  282737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282751 */     GIR_RootConstrainSelectedInstOperands,
     /*  282752 */     // GIR_Coverage, 8644,
     /*  282752 */     GIR_EraseRootFromParent_Done,
     /*  282753 */   // Label 5320: @282753
     /*  282753 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(282816), // Rule ID 8647 //
     /*  282758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  282800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282814 */     GIR_RootConstrainSelectedInstOperands,
     /*  282815 */     // GIR_Coverage, 8647,
     /*  282815 */     GIR_EraseRootFromParent_Done,
     /*  282816 */   // Label 5321: @282816
     /*  282816 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(282879), // Rule ID 8648 //
     /*  282821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  282863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282877 */     GIR_RootConstrainSelectedInstOperands,
     /*  282878 */     // GIR_Coverage, 8648,
     /*  282878 */     GIR_EraseRootFromParent_Done,
     /*  282879 */   // Label 5322: @282879
     /*  282879 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(282942), // Rule ID 8651 //
     /*  282884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282923 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  282926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282940 */     GIR_RootConstrainSelectedInstOperands,
     /*  282941 */     // GIR_Coverage, 8651,
     /*  282941 */     GIR_EraseRootFromParent_Done,
     /*  282942 */   // Label 5323: @282942
     /*  282942 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(283005), // Rule ID 8652 //
     /*  282947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  282989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283003 */     GIR_RootConstrainSelectedInstOperands,
     /*  283004 */     // GIR_Coverage, 8652,
     /*  283004 */     GIR_EraseRootFromParent_Done,
     /*  283005 */   // Label 5324: @283005
     /*  283005 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283068), // Rule ID 8655 //
     /*  283010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  283024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283049 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283066 */     GIR_RootConstrainSelectedInstOperands,
     /*  283067 */     // GIR_Coverage, 8655,
     /*  283067 */     GIR_EraseRootFromParent_Done,
     /*  283068 */   // Label 5325: @283068
     /*  283068 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283131), // Rule ID 8656 //
     /*  283073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  283087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283129 */     GIR_RootConstrainSelectedInstOperands,
     /*  283130 */     // GIR_Coverage, 8656,
     /*  283130 */     GIR_EraseRootFromParent_Done,
     /*  283131 */   // Label 5326: @283131
     /*  283131 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283194), // Rule ID 8659 //
     /*  283136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283175 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283192 */     GIR_RootConstrainSelectedInstOperands,
     /*  283193 */     // GIR_Coverage, 8659,
     /*  283193 */     GIR_EraseRootFromParent_Done,
     /*  283194 */   // Label 5327: @283194
     /*  283194 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283257), // Rule ID 8660 //
     /*  283199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283238 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283255 */     GIR_RootConstrainSelectedInstOperands,
     /*  283256 */     // GIR_Coverage, 8660,
     /*  283256 */     GIR_EraseRootFromParent_Done,
     /*  283257 */   // Label 5328: @283257
     /*  283257 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283320), // Rule ID 8663 //
     /*  283262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283301 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283318 */     GIR_RootConstrainSelectedInstOperands,
     /*  283319 */     // GIR_Coverage, 8663,
     /*  283319 */     GIR_EraseRootFromParent_Done,
     /*  283320 */   // Label 5329: @283320
     /*  283320 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283383), // Rule ID 8664 //
     /*  283325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283381 */     GIR_RootConstrainSelectedInstOperands,
     /*  283382 */     // GIR_Coverage, 8664,
     /*  283382 */     GIR_EraseRootFromParent_Done,
     /*  283383 */   // Label 5330: @283383
     /*  283383 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(283446), // Rule ID 8667 //
     /*  283388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283444 */     GIR_RootConstrainSelectedInstOperands,
     /*  283445 */     // GIR_Coverage, 8667,
     /*  283445 */     GIR_EraseRootFromParent_Done,
     /*  283446 */   // Label 5331: @283446
     /*  283446 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(283509), // Rule ID 8668 //
     /*  283451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283507 */     GIR_RootConstrainSelectedInstOperands,
     /*  283508 */     // GIR_Coverage, 8668,
     /*  283508 */     GIR_EraseRootFromParent_Done,
     /*  283509 */   // Label 5332: @283509
     /*  283509 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(283572), // Rule ID 8671 //
     /*  283514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283553 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283570 */     GIR_RootConstrainSelectedInstOperands,
     /*  283571 */     // GIR_Coverage, 8671,
     /*  283571 */     GIR_EraseRootFromParent_Done,
     /*  283572 */   // Label 5333: @283572
     /*  283572 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(283635), // Rule ID 8672 //
     /*  283577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283633 */     GIR_RootConstrainSelectedInstOperands,
     /*  283634 */     // GIR_Coverage, 8672,
     /*  283634 */     GIR_EraseRootFromParent_Done,
     /*  283635 */   // Label 5334: @283635
     /*  283635 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(283698), // Rule ID 8675 //
     /*  283640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283696 */     GIR_RootConstrainSelectedInstOperands,
     /*  283697 */     // GIR_Coverage, 8675,
     /*  283697 */     GIR_EraseRootFromParent_Done,
     /*  283698 */   // Label 5335: @283698
     /*  283698 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(283761), // Rule ID 8676 //
     /*  283703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283759 */     GIR_RootConstrainSelectedInstOperands,
     /*  283760 */     // GIR_Coverage, 8676,
     /*  283760 */     GIR_EraseRootFromParent_Done,
     /*  283761 */   // Label 5336: @283761
     /*  283761 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(283824), // Rule ID 8679 //
     /*  283766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283805 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283822 */     GIR_RootConstrainSelectedInstOperands,
     /*  283823 */     // GIR_Coverage, 8679,
     /*  283823 */     GIR_EraseRootFromParent_Done,
     /*  283824 */   // Label 5337: @283824
     /*  283824 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(283887), // Rule ID 8680 //
     /*  283829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283885 */     GIR_RootConstrainSelectedInstOperands,
     /*  283886 */     // GIR_Coverage, 8680,
     /*  283886 */     GIR_EraseRootFromParent_Done,
     /*  283887 */   // Label 5338: @283887
     /*  283887 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(283950), // Rule ID 8683 //
     /*  283892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283931 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283948 */     GIR_RootConstrainSelectedInstOperands,
     /*  283949 */     // GIR_Coverage, 8683,
     /*  283949 */     GIR_EraseRootFromParent_Done,
     /*  283950 */   // Label 5339: @283950
     /*  283950 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(284013), // Rule ID 8684 //
     /*  283955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283994 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284011 */     GIR_RootConstrainSelectedInstOperands,
     /*  284012 */     // GIR_Coverage, 8684,
     /*  284012 */     GIR_EraseRootFromParent_Done,
     /*  284013 */   // Label 5340: @284013
     /*  284013 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284076), // Rule ID 8687 //
     /*  284018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  284032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284057 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284074 */     GIR_RootConstrainSelectedInstOperands,
     /*  284075 */     // GIR_Coverage, 8687,
     /*  284075 */     GIR_EraseRootFromParent_Done,
     /*  284076 */   // Label 5341: @284076
     /*  284076 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284139), // Rule ID 8688 //
     /*  284081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  284095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284137 */     GIR_RootConstrainSelectedInstOperands,
     /*  284138 */     // GIR_Coverage, 8688,
     /*  284138 */     GIR_EraseRootFromParent_Done,
     /*  284139 */   // Label 5342: @284139
     /*  284139 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284202), // Rule ID 8691 //
     /*  284144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284183 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284200 */     GIR_RootConstrainSelectedInstOperands,
     /*  284201 */     // GIR_Coverage, 8691,
     /*  284201 */     GIR_EraseRootFromParent_Done,
     /*  284202 */   // Label 5343: @284202
     /*  284202 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284265), // Rule ID 8692 //
     /*  284207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284246 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284263 */     GIR_RootConstrainSelectedInstOperands,
     /*  284264 */     // GIR_Coverage, 8692,
     /*  284264 */     GIR_EraseRootFromParent_Done,
     /*  284265 */   // Label 5344: @284265
     /*  284265 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284328), // Rule ID 8695 //
     /*  284270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284326 */     GIR_RootConstrainSelectedInstOperands,
     /*  284327 */     // GIR_Coverage, 8695,
     /*  284327 */     GIR_EraseRootFromParent_Done,
     /*  284328 */   // Label 5345: @284328
     /*  284328 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284391), // Rule ID 8696 //
     /*  284333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284389 */     GIR_RootConstrainSelectedInstOperands,
     /*  284390 */     // GIR_Coverage, 8696,
     /*  284390 */     GIR_EraseRootFromParent_Done,
     /*  284391 */   // Label 5346: @284391
     /*  284391 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(284454), // Rule ID 8699 //
     /*  284396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284435 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284452 */     GIR_RootConstrainSelectedInstOperands,
     /*  284453 */     // GIR_Coverage, 8699,
     /*  284453 */     GIR_EraseRootFromParent_Done,
     /*  284454 */   // Label 5347: @284454
     /*  284454 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(284517), // Rule ID 8700 //
     /*  284459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284515 */     GIR_RootConstrainSelectedInstOperands,
     /*  284516 */     // GIR_Coverage, 8700,
     /*  284516 */     GIR_EraseRootFromParent_Done,
     /*  284517 */   // Label 5348: @284517
     /*  284517 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(284580), // Rule ID 8703 //
     /*  284522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284561 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284578 */     GIR_RootConstrainSelectedInstOperands,
     /*  284579 */     // GIR_Coverage, 8703,
     /*  284579 */     GIR_EraseRootFromParent_Done,
     /*  284580 */   // Label 5349: @284580
     /*  284580 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(284643), // Rule ID 8704 //
     /*  284585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284624 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284641 */     GIR_RootConstrainSelectedInstOperands,
     /*  284642 */     // GIR_Coverage, 8704,
     /*  284642 */     GIR_EraseRootFromParent_Done,
     /*  284643 */   // Label 5350: @284643
     /*  284643 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(284706), // Rule ID 8707 //
     /*  284648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284687 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284704 */     GIR_RootConstrainSelectedInstOperands,
     /*  284705 */     // GIR_Coverage, 8707,
     /*  284705 */     GIR_EraseRootFromParent_Done,
     /*  284706 */   // Label 5351: @284706
     /*  284706 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(284769), // Rule ID 8708 //
     /*  284711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284750 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284767 */     GIR_RootConstrainSelectedInstOperands,
     /*  284768 */     // GIR_Coverage, 8708,
     /*  284768 */     GIR_EraseRootFromParent_Done,
     /*  284769 */   // Label 5352: @284769
     /*  284769 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(284832), // Rule ID 8711 //
     /*  284774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284813 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284830 */     GIR_RootConstrainSelectedInstOperands,
     /*  284831 */     // GIR_Coverage, 8711,
     /*  284831 */     GIR_EraseRootFromParent_Done,
     /*  284832 */   // Label 5353: @284832
     /*  284832 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(284895), // Rule ID 8712 //
     /*  284837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284893 */     GIR_RootConstrainSelectedInstOperands,
     /*  284894 */     // GIR_Coverage, 8712,
     /*  284894 */     GIR_EraseRootFromParent_Done,
     /*  284895 */   // Label 5354: @284895
     /*  284895 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(284958), // Rule ID 8715 //
     /*  284900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284939 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284956 */     GIR_RootConstrainSelectedInstOperands,
     /*  284957 */     // GIR_Coverage, 8715,
     /*  284957 */     GIR_EraseRootFromParent_Done,
     /*  284958 */   // Label 5355: @284958
     /*  284958 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(285021), // Rule ID 8716 //
     /*  284963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285019 */     GIR_RootConstrainSelectedInstOperands,
     /*  285020 */     // GIR_Coverage, 8716,
     /*  285020 */     GIR_EraseRootFromParent_Done,
     /*  285021 */   // Label 5356: @285021
     /*  285021 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285084), // Rule ID 8719 //
     /*  285026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285082 */     GIR_RootConstrainSelectedInstOperands,
     /*  285083 */     // GIR_Coverage, 8719,
     /*  285083 */     GIR_EraseRootFromParent_Done,
     /*  285084 */   // Label 5357: @285084
     /*  285084 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285147), // Rule ID 8720 //
     /*  285089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285145 */     GIR_RootConstrainSelectedInstOperands,
     /*  285146 */     // GIR_Coverage, 8720,
     /*  285146 */     GIR_EraseRootFromParent_Done,
     /*  285147 */   // Label 5358: @285147
     /*  285147 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285210), // Rule ID 8723 //
     /*  285152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285191 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285208 */     GIR_RootConstrainSelectedInstOperands,
     /*  285209 */     // GIR_Coverage, 8723,
     /*  285209 */     GIR_EraseRootFromParent_Done,
     /*  285210 */   // Label 5359: @285210
     /*  285210 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285273), // Rule ID 8724 //
     /*  285215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285254 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285271 */     GIR_RootConstrainSelectedInstOperands,
     /*  285272 */     // GIR_Coverage, 8724,
     /*  285272 */     GIR_EraseRootFromParent_Done,
     /*  285273 */   // Label 5360: @285273
     /*  285273 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285336), // Rule ID 8727 //
     /*  285278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285334 */     GIR_RootConstrainSelectedInstOperands,
     /*  285335 */     // GIR_Coverage, 8727,
     /*  285335 */     GIR_EraseRootFromParent_Done,
     /*  285336 */   // Label 5361: @285336
     /*  285336 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285399), // Rule ID 8728 //
     /*  285341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285397 */     GIR_RootConstrainSelectedInstOperands,
     /*  285398 */     // GIR_Coverage, 8728,
     /*  285398 */     GIR_EraseRootFromParent_Done,
     /*  285399 */   // Label 5362: @285399
     /*  285399 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(285462), // Rule ID 8819 //
     /*  285404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285443 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285460 */     GIR_RootConstrainSelectedInstOperands,
     /*  285461 */     // GIR_Coverage, 8819,
     /*  285461 */     GIR_EraseRootFromParent_Done,
     /*  285462 */   // Label 5363: @285462
     /*  285462 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(285525), // Rule ID 8820 //
     /*  285467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285506 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285523 */     GIR_RootConstrainSelectedInstOperands,
     /*  285524 */     // GIR_Coverage, 8820,
     /*  285524 */     GIR_EraseRootFromParent_Done,
     /*  285525 */   // Label 5364: @285525
     /*  285525 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(285588), // Rule ID 8823 //
     /*  285530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285586 */     GIR_RootConstrainSelectedInstOperands,
     /*  285587 */     // GIR_Coverage, 8823,
     /*  285587 */     GIR_EraseRootFromParent_Done,
     /*  285588 */   // Label 5365: @285588
     /*  285588 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(285651), // Rule ID 8824 //
     /*  285593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285649 */     GIR_RootConstrainSelectedInstOperands,
     /*  285650 */     // GIR_Coverage, 8824,
     /*  285650 */     GIR_EraseRootFromParent_Done,
     /*  285651 */   // Label 5366: @285651
     /*  285651 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(285714), // Rule ID 8827 //
     /*  285656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285695 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  285698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285712 */     GIR_RootConstrainSelectedInstOperands,
     /*  285713 */     // GIR_Coverage, 8827,
     /*  285713 */     GIR_EraseRootFromParent_Done,
     /*  285714 */   // Label 5367: @285714
     /*  285714 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(285777), // Rule ID 8828 //
     /*  285719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  285761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285775 */     GIR_RootConstrainSelectedInstOperands,
     /*  285776 */     // GIR_Coverage, 8828,
     /*  285776 */     GIR_EraseRootFromParent_Done,
     /*  285777 */   // Label 5368: @285777
     /*  285777 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(285840), // Rule ID 8831 //
     /*  285782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285838 */     GIR_RootConstrainSelectedInstOperands,
     /*  285839 */     // GIR_Coverage, 8831,
     /*  285839 */     GIR_EraseRootFromParent_Done,
     /*  285840 */   // Label 5369: @285840
     /*  285840 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(285903), // Rule ID 8832 //
     /*  285845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285901 */     GIR_RootConstrainSelectedInstOperands,
     /*  285902 */     // GIR_Coverage, 8832,
     /*  285902 */     GIR_EraseRootFromParent_Done,
     /*  285903 */   // Label 5370: @285903
     /*  285903 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(285966), // Rule ID 8835 //
     /*  285908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285947 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  285950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285964 */     GIR_RootConstrainSelectedInstOperands,
     /*  285965 */     // GIR_Coverage, 8835,
     /*  285965 */     GIR_EraseRootFromParent_Done,
     /*  285966 */   // Label 5371: @285966
     /*  285966 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(286029), // Rule ID 8836 //
     /*  285971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286027 */     GIR_RootConstrainSelectedInstOperands,
     /*  286028 */     // GIR_Coverage, 8836,
     /*  286028 */     GIR_EraseRootFromParent_Done,
     /*  286029 */   // Label 5372: @286029
     /*  286029 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286092), // Rule ID 8839 //
     /*  286034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286073 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286090 */     GIR_RootConstrainSelectedInstOperands,
     /*  286091 */     // GIR_Coverage, 8839,
     /*  286091 */     GIR_EraseRootFromParent_Done,
     /*  286092 */   // Label 5373: @286092
     /*  286092 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286155), // Rule ID 8840 //
     /*  286097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286153 */     GIR_RootConstrainSelectedInstOperands,
     /*  286154 */     // GIR_Coverage, 8840,
     /*  286154 */     GIR_EraseRootFromParent_Done,
     /*  286155 */   // Label 5374: @286155
     /*  286155 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286218), // Rule ID 8843 //
     /*  286160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286199 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286216 */     GIR_RootConstrainSelectedInstOperands,
     /*  286217 */     // GIR_Coverage, 8843,
     /*  286217 */     GIR_EraseRootFromParent_Done,
     /*  286218 */   // Label 5375: @286218
     /*  286218 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286281), // Rule ID 8844 //
     /*  286223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286262 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286279 */     GIR_RootConstrainSelectedInstOperands,
     /*  286280 */     // GIR_Coverage, 8844,
     /*  286280 */     GIR_EraseRootFromParent_Done,
     /*  286281 */   // Label 5376: @286281
     /*  286281 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286344), // Rule ID 8847 //
     /*  286286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286342 */     GIR_RootConstrainSelectedInstOperands,
     /*  286343 */     // GIR_Coverage, 8847,
     /*  286343 */     GIR_EraseRootFromParent_Done,
     /*  286344 */   // Label 5377: @286344
     /*  286344 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286407), // Rule ID 8848 //
     /*  286349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286405 */     GIR_RootConstrainSelectedInstOperands,
     /*  286406 */     // GIR_Coverage, 8848,
     /*  286406 */     GIR_EraseRootFromParent_Done,
     /*  286407 */   // Label 5378: @286407
     /*  286407 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(286470), // Rule ID 8851 //
     /*  286412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286468 */     GIR_RootConstrainSelectedInstOperands,
     /*  286469 */     // GIR_Coverage, 8851,
     /*  286469 */     GIR_EraseRootFromParent_Done,
     /*  286470 */   // Label 5379: @286470
     /*  286470 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(286533), // Rule ID 8852 //
     /*  286475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286531 */     GIR_RootConstrainSelectedInstOperands,
     /*  286532 */     // GIR_Coverage, 8852,
     /*  286532 */     GIR_EraseRootFromParent_Done,
     /*  286533 */   // Label 5380: @286533
     /*  286533 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(286596), // Rule ID 8855 //
     /*  286538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286594 */     GIR_RootConstrainSelectedInstOperands,
     /*  286595 */     // GIR_Coverage, 8855,
     /*  286595 */     GIR_EraseRootFromParent_Done,
     /*  286596 */   // Label 5381: @286596
     /*  286596 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(286659), // Rule ID 8856 //
     /*  286601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286657 */     GIR_RootConstrainSelectedInstOperands,
     /*  286658 */     // GIR_Coverage, 8856,
     /*  286658 */     GIR_EraseRootFromParent_Done,
     /*  286659 */   // Label 5382: @286659
     /*  286659 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(286722), // Rule ID 8859 //
     /*  286664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286703 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286720 */     GIR_RootConstrainSelectedInstOperands,
     /*  286721 */     // GIR_Coverage, 8859,
     /*  286721 */     GIR_EraseRootFromParent_Done,
     /*  286722 */   // Label 5383: @286722
     /*  286722 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(286785), // Rule ID 8860 //
     /*  286727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286766 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286783 */     GIR_RootConstrainSelectedInstOperands,
     /*  286784 */     // GIR_Coverage, 8860,
     /*  286784 */     GIR_EraseRootFromParent_Done,
     /*  286785 */   // Label 5384: @286785
     /*  286785 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(286848), // Rule ID 8863 //
     /*  286790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286829 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286846 */     GIR_RootConstrainSelectedInstOperands,
     /*  286847 */     // GIR_Coverage, 8863,
     /*  286847 */     GIR_EraseRootFromParent_Done,
     /*  286848 */   // Label 5385: @286848
     /*  286848 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(286911), // Rule ID 8864 //
     /*  286853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286909 */     GIR_RootConstrainSelectedInstOperands,
     /*  286910 */     // GIR_Coverage, 8864,
     /*  286910 */     GIR_EraseRootFromParent_Done,
     /*  286911 */   // Label 5386: @286911
     /*  286911 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(286974), // Rule ID 8867 //
     /*  286916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286955 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286972 */     GIR_RootConstrainSelectedInstOperands,
     /*  286973 */     // GIR_Coverage, 8867,
     /*  286973 */     GIR_EraseRootFromParent_Done,
     /*  286974 */   // Label 5387: @286974
     /*  286974 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(287037), // Rule ID 8868 //
     /*  286979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287018 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287035 */     GIR_RootConstrainSelectedInstOperands,
     /*  287036 */     // GIR_Coverage, 8868,
     /*  287036 */     GIR_EraseRootFromParent_Done,
     /*  287037 */   // Label 5388: @287037
     /*  287037 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287100), // Rule ID 8871 //
     /*  287042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287081 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287098 */     GIR_RootConstrainSelectedInstOperands,
     /*  287099 */     // GIR_Coverage, 8871,
     /*  287099 */     GIR_EraseRootFromParent_Done,
     /*  287100 */   // Label 5389: @287100
     /*  287100 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287163), // Rule ID 8872 //
     /*  287105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287161 */     GIR_RootConstrainSelectedInstOperands,
     /*  287162 */     // GIR_Coverage, 8872,
     /*  287162 */     GIR_EraseRootFromParent_Done,
     /*  287163 */   // Label 5390: @287163
     /*  287163 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287226), // Rule ID 8875 //
     /*  287168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287207 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287224 */     GIR_RootConstrainSelectedInstOperands,
     /*  287225 */     // GIR_Coverage, 8875,
     /*  287225 */     GIR_EraseRootFromParent_Done,
     /*  287226 */   // Label 5391: @287226
     /*  287226 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287289), // Rule ID 8876 //
     /*  287231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287287 */     GIR_RootConstrainSelectedInstOperands,
     /*  287288 */     // GIR_Coverage, 8876,
     /*  287288 */     GIR_EraseRootFromParent_Done,
     /*  287289 */   // Label 5392: @287289
     /*  287289 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287352), // Rule ID 8879 //
     /*  287294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287333 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287350 */     GIR_RootConstrainSelectedInstOperands,
     /*  287351 */     // GIR_Coverage, 8879,
     /*  287351 */     GIR_EraseRootFromParent_Done,
     /*  287352 */   // Label 5393: @287352
     /*  287352 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287415), // Rule ID 8880 //
     /*  287357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287413 */     GIR_RootConstrainSelectedInstOperands,
     /*  287414 */     // GIR_Coverage, 8880,
     /*  287414 */     GIR_EraseRootFromParent_Done,
     /*  287415 */   // Label 5394: @287415
     /*  287415 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(287478), // Rule ID 8883 //
     /*  287420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287459 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287476 */     GIR_RootConstrainSelectedInstOperands,
     /*  287477 */     // GIR_Coverage, 8883,
     /*  287477 */     GIR_EraseRootFromParent_Done,
     /*  287478 */   // Label 5395: @287478
     /*  287478 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(287541), // Rule ID 8884 //
     /*  287483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287522 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287539 */     GIR_RootConstrainSelectedInstOperands,
     /*  287540 */     // GIR_Coverage, 8884,
     /*  287540 */     GIR_EraseRootFromParent_Done,
     /*  287541 */   // Label 5396: @287541
     /*  287541 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(287604), // Rule ID 8887 //
     /*  287546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287602 */     GIR_RootConstrainSelectedInstOperands,
     /*  287603 */     // GIR_Coverage, 8887,
     /*  287603 */     GIR_EraseRootFromParent_Done,
     /*  287604 */   // Label 5397: @287604
     /*  287604 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(287667), // Rule ID 8888 //
     /*  287609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287665 */     GIR_RootConstrainSelectedInstOperands,
     /*  287666 */     // GIR_Coverage, 8888,
     /*  287666 */     GIR_EraseRootFromParent_Done,
     /*  287667 */   // Label 5398: @287667
     /*  287667 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(287730), // Rule ID 8891 //
     /*  287672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287711 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287728 */     GIR_RootConstrainSelectedInstOperands,
     /*  287729 */     // GIR_Coverage, 8891,
     /*  287729 */     GIR_EraseRootFromParent_Done,
     /*  287730 */   // Label 5399: @287730
     /*  287730 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(287793), // Rule ID 8892 //
     /*  287735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287791 */     GIR_RootConstrainSelectedInstOperands,
     /*  287792 */     // GIR_Coverage, 8892,
     /*  287792 */     GIR_EraseRootFromParent_Done,
     /*  287793 */   // Label 5400: @287793
     /*  287793 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(287856), // Rule ID 8895 //
     /*  287798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287854 */     GIR_RootConstrainSelectedInstOperands,
     /*  287855 */     // GIR_Coverage, 8895,
     /*  287855 */     GIR_EraseRootFromParent_Done,
     /*  287856 */   // Label 5401: @287856
     /*  287856 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(287919), // Rule ID 8896 //
     /*  287861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287917 */     GIR_RootConstrainSelectedInstOperands,
     /*  287918 */     // GIR_Coverage, 8896,
     /*  287918 */     GIR_EraseRootFromParent_Done,
     /*  287919 */   // Label 5402: @287919
     /*  287919 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(287982), // Rule ID 8899 //
     /*  287924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287963 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287980 */     GIR_RootConstrainSelectedInstOperands,
     /*  287981 */     // GIR_Coverage, 8899,
     /*  287981 */     GIR_EraseRootFromParent_Done,
     /*  287982 */   // Label 5403: @287982
     /*  287982 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(288045), // Rule ID 8900 //
     /*  287987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  288001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  288004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288043 */     GIR_RootConstrainSelectedInstOperands,
     /*  288044 */     // GIR_Coverage, 8900,
     /*  288044 */     GIR_EraseRootFromParent_Done,
     /*  288045 */   // Label 5404: @288045
     /*  288045 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288108), // Rule ID 8903 //
     /*  288050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288106 */     GIR_RootConstrainSelectedInstOperands,
     /*  288107 */     // GIR_Coverage, 8903,
     /*  288107 */     GIR_EraseRootFromParent_Done,
     /*  288108 */   // Label 5405: @288108
     /*  288108 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288171), // Rule ID 8904 //
     /*  288113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288169 */     GIR_RootConstrainSelectedInstOperands,
     /*  288170 */     // GIR_Coverage, 8904,
     /*  288170 */     GIR_EraseRootFromParent_Done,
     /*  288171 */   // Label 5406: @288171
     /*  288171 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288234), // Rule ID 8907 //
     /*  288176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288232 */     GIR_RootConstrainSelectedInstOperands,
     /*  288233 */     // GIR_Coverage, 8907,
     /*  288233 */     GIR_EraseRootFromParent_Done,
     /*  288234 */   // Label 5407: @288234
     /*  288234 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288297), // Rule ID 8908 //
     /*  288239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288295 */     GIR_RootConstrainSelectedInstOperands,
     /*  288296 */     // GIR_Coverage, 8908,
     /*  288296 */     GIR_EraseRootFromParent_Done,
     /*  288297 */   // Label 5408: @288297
     /*  288297 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288360), // Rule ID 8911 //
     /*  288302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288341 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288358 */     GIR_RootConstrainSelectedInstOperands,
     /*  288359 */     // GIR_Coverage, 8911,
     /*  288359 */     GIR_EraseRootFromParent_Done,
     /*  288360 */   // Label 5409: @288360
     /*  288360 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288423), // Rule ID 8912 //
     /*  288365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288421 */     GIR_RootConstrainSelectedInstOperands,
     /*  288422 */     // GIR_Coverage, 8912,
     /*  288422 */     GIR_EraseRootFromParent_Done,
     /*  288423 */   // Label 5410: @288423
     /*  288423 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(288486), // Rule ID 8915 //
     /*  288428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288467 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288484 */     GIR_RootConstrainSelectedInstOperands,
     /*  288485 */     // GIR_Coverage, 8915,
     /*  288485 */     GIR_EraseRootFromParent_Done,
     /*  288486 */   // Label 5411: @288486
     /*  288486 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(288549), // Rule ID 8916 //
     /*  288491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288547 */     GIR_RootConstrainSelectedInstOperands,
     /*  288548 */     // GIR_Coverage, 8916,
     /*  288548 */     GIR_EraseRootFromParent_Done,
     /*  288549 */   // Label 5412: @288549
     /*  288549 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(288612), // Rule ID 8919 //
     /*  288554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288610 */     GIR_RootConstrainSelectedInstOperands,
     /*  288611 */     // GIR_Coverage, 8919,
     /*  288611 */     GIR_EraseRootFromParent_Done,
     /*  288612 */   // Label 5413: @288612
     /*  288612 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(288675), // Rule ID 8920 //
     /*  288617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288673 */     GIR_RootConstrainSelectedInstOperands,
     /*  288674 */     // GIR_Coverage, 8920,
     /*  288674 */     GIR_EraseRootFromParent_Done,
     /*  288675 */   // Label 5414: @288675
     /*  288675 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(288738), // Rule ID 8923 //
     /*  288680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288719 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288736 */     GIR_RootConstrainSelectedInstOperands,
     /*  288737 */     // GIR_Coverage, 8923,
     /*  288737 */     GIR_EraseRootFromParent_Done,
     /*  288738 */   // Label 5415: @288738
     /*  288738 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(288801), // Rule ID 8924 //
     /*  288743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288799 */     GIR_RootConstrainSelectedInstOperands,
     /*  288800 */     // GIR_Coverage, 8924,
     /*  288800 */     GIR_EraseRootFromParent_Done,
     /*  288801 */   // Label 5416: @288801
     /*  288801 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(288864), // Rule ID 8927 //
     /*  288806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288845 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288862 */     GIR_RootConstrainSelectedInstOperands,
     /*  288863 */     // GIR_Coverage, 8927,
     /*  288863 */     GIR_EraseRootFromParent_Done,
     /*  288864 */   // Label 5417: @288864
     /*  288864 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(288927), // Rule ID 8928 //
     /*  288869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288925 */     GIR_RootConstrainSelectedInstOperands,
     /*  288926 */     // GIR_Coverage, 8928,
     /*  288926 */     GIR_EraseRootFromParent_Done,
     /*  288927 */   // Label 5418: @288927
     /*  288927 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(288990), // Rule ID 8931 //
     /*  288932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288971 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  288974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288988 */     GIR_RootConstrainSelectedInstOperands,
     /*  288989 */     // GIR_Coverage, 8931,
     /*  288989 */     GIR_EraseRootFromParent_Done,
     /*  288990 */   // Label 5419: @288990
     /*  288990 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289053), // Rule ID 8932 //
     /*  288995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289051 */     GIR_RootConstrainSelectedInstOperands,
     /*  289052 */     // GIR_Coverage, 8932,
     /*  289052 */     GIR_EraseRootFromParent_Done,
     /*  289053 */   // Label 5420: @289053
     /*  289053 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289116), // Rule ID 8935 //
     /*  289058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289114 */     GIR_RootConstrainSelectedInstOperands,
     /*  289115 */     // GIR_Coverage, 8935,
     /*  289115 */     GIR_EraseRootFromParent_Done,
     /*  289116 */   // Label 5421: @289116
     /*  289116 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289179), // Rule ID 8936 //
     /*  289121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289177 */     GIR_RootConstrainSelectedInstOperands,
     /*  289178 */     // GIR_Coverage, 8936,
     /*  289178 */     GIR_EraseRootFromParent_Done,
     /*  289179 */   // Label 5422: @289179
     /*  289179 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289242), // Rule ID 8939 //
     /*  289184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289240 */     GIR_RootConstrainSelectedInstOperands,
     /*  289241 */     // GIR_Coverage, 8939,
     /*  289241 */     GIR_EraseRootFromParent_Done,
     /*  289242 */   // Label 5423: @289242
     /*  289242 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289305), // Rule ID 8940 //
     /*  289247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289286 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289303 */     GIR_RootConstrainSelectedInstOperands,
     /*  289304 */     // GIR_Coverage, 8940,
     /*  289304 */     GIR_EraseRootFromParent_Done,
     /*  289305 */   // Label 5424: @289305
     /*  289305 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289368), // Rule ID 8943 //
     /*  289310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289366 */     GIR_RootConstrainSelectedInstOperands,
     /*  289367 */     // GIR_Coverage, 8943,
     /*  289367 */     GIR_EraseRootFromParent_Done,
     /*  289368 */   // Label 5425: @289368
     /*  289368 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(289431), // Rule ID 8944 //
     /*  289373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289429 */     GIR_RootConstrainSelectedInstOperands,
     /*  289430 */     // GIR_Coverage, 8944,
     /*  289430 */     GIR_EraseRootFromParent_Done,
     /*  289431 */   // Label 5426: @289431
     /*  289431 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(289494), // Rule ID 8947 //
     /*  289436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289475 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289492 */     GIR_RootConstrainSelectedInstOperands,
     /*  289493 */     // GIR_Coverage, 8947,
     /*  289493 */     GIR_EraseRootFromParent_Done,
     /*  289494 */   // Label 5427: @289494
     /*  289494 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(289557), // Rule ID 8948 //
     /*  289499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289538 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289555 */     GIR_RootConstrainSelectedInstOperands,
     /*  289556 */     // GIR_Coverage, 8948,
     /*  289556 */     GIR_EraseRootFromParent_Done,
     /*  289557 */   // Label 5428: @289557
     /*  289557 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(289620), // Rule ID 8951 //
     /*  289562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289601 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289618 */     GIR_RootConstrainSelectedInstOperands,
     /*  289619 */     // GIR_Coverage, 8951,
     /*  289619 */     GIR_EraseRootFromParent_Done,
     /*  289620 */   // Label 5429: @289620
     /*  289620 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(289683), // Rule ID 8952 //
     /*  289625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289681 */     GIR_RootConstrainSelectedInstOperands,
     /*  289682 */     // GIR_Coverage, 8952,
     /*  289682 */     GIR_EraseRootFromParent_Done,
     /*  289683 */   // Label 5430: @289683
     /*  289683 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(289746), // Rule ID 8955 //
     /*  289688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289727 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289744 */     GIR_RootConstrainSelectedInstOperands,
     /*  289745 */     // GIR_Coverage, 8955,
     /*  289745 */     GIR_EraseRootFromParent_Done,
     /*  289746 */   // Label 5431: @289746
     /*  289746 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(289809), // Rule ID 8956 //
     /*  289751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289790 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289807 */     GIR_RootConstrainSelectedInstOperands,
     /*  289808 */     // GIR_Coverage, 8956,
     /*  289808 */     GIR_EraseRootFromParent_Done,
     /*  289809 */   // Label 5432: @289809
     /*  289809 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(289872), // Rule ID 8959 //
     /*  289814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289870 */     GIR_RootConstrainSelectedInstOperands,
     /*  289871 */     // GIR_Coverage, 8959,
     /*  289871 */     GIR_EraseRootFromParent_Done,
     /*  289872 */   // Label 5433: @289872
     /*  289872 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(289935), // Rule ID 8960 //
     /*  289877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289916 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289933 */     GIR_RootConstrainSelectedInstOperands,
     /*  289934 */     // GIR_Coverage, 8960,
     /*  289934 */     GIR_EraseRootFromParent_Done,
     /*  289935 */   // Label 5434: @289935
     /*  289935 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(289998), // Rule ID 8963 //
     /*  289940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289979 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289996 */     GIR_RootConstrainSelectedInstOperands,
     /*  289997 */     // GIR_Coverage, 8963,
     /*  289997 */     GIR_EraseRootFromParent_Done,
     /*  289998 */   // Label 5435: @289998
     /*  289998 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290061), // Rule ID 8964 //
     /*  290003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  290017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290059 */     GIR_RootConstrainSelectedInstOperands,
     /*  290060 */     // GIR_Coverage, 8964,
     /*  290060 */     GIR_EraseRootFromParent_Done,
     /*  290061 */   // Label 5436: @290061
     /*  290061 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290124), // Rule ID 8967 //
     /*  290066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290105 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290122 */     GIR_RootConstrainSelectedInstOperands,
     /*  290123 */     // GIR_Coverage, 8967,
     /*  290123 */     GIR_EraseRootFromParent_Done,
     /*  290124 */   // Label 5437: @290124
     /*  290124 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290187), // Rule ID 8968 //
     /*  290129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290168 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290185 */     GIR_RootConstrainSelectedInstOperands,
     /*  290186 */     // GIR_Coverage, 8968,
     /*  290186 */     GIR_EraseRootFromParent_Done,
     /*  290187 */   // Label 5438: @290187
     /*  290187 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290250), // Rule ID 8971 //
     /*  290192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290231 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290248 */     GIR_RootConstrainSelectedInstOperands,
     /*  290249 */     // GIR_Coverage, 8971,
     /*  290249 */     GIR_EraseRootFromParent_Done,
     /*  290250 */   // Label 5439: @290250
     /*  290250 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290313), // Rule ID 8972 //
     /*  290255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290311 */     GIR_RootConstrainSelectedInstOperands,
     /*  290312 */     // GIR_Coverage, 8972,
     /*  290312 */     GIR_EraseRootFromParent_Done,
     /*  290313 */   // Label 5440: @290313
     /*  290313 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290376), // Rule ID 8975 //
     /*  290318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290357 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290374 */     GIR_RootConstrainSelectedInstOperands,
     /*  290375 */     // GIR_Coverage, 8975,
     /*  290375 */     GIR_EraseRootFromParent_Done,
     /*  290376 */   // Label 5441: @290376
     /*  290376 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(290439), // Rule ID 8976 //
     /*  290381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290437 */     GIR_RootConstrainSelectedInstOperands,
     /*  290438 */     // GIR_Coverage, 8976,
     /*  290438 */     GIR_EraseRootFromParent_Done,
     /*  290439 */   // Label 5442: @290439
     /*  290439 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(290502), // Rule ID 8979 //
     /*  290444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290483 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290500 */     GIR_RootConstrainSelectedInstOperands,
     /*  290501 */     // GIR_Coverage, 8979,
     /*  290501 */     GIR_EraseRootFromParent_Done,
     /*  290502 */   // Label 5443: @290502
     /*  290502 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(290565), // Rule ID 8980 //
     /*  290507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290563 */     GIR_RootConstrainSelectedInstOperands,
     /*  290564 */     // GIR_Coverage, 8980,
     /*  290564 */     GIR_EraseRootFromParent_Done,
     /*  290565 */   // Label 5444: @290565
     /*  290565 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(290628), // Rule ID 8983 //
     /*  290570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290609 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290626 */     GIR_RootConstrainSelectedInstOperands,
     /*  290627 */     // GIR_Coverage, 8983,
     /*  290627 */     GIR_EraseRootFromParent_Done,
     /*  290628 */   // Label 5445: @290628
     /*  290628 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(290691), // Rule ID 8984 //
     /*  290633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290689 */     GIR_RootConstrainSelectedInstOperands,
     /*  290690 */     // GIR_Coverage, 8984,
     /*  290690 */     GIR_EraseRootFromParent_Done,
     /*  290691 */   // Label 5446: @290691
     /*  290691 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(290754), // Rule ID 8987 //
     /*  290696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290735 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290752 */     GIR_RootConstrainSelectedInstOperands,
     /*  290753 */     // GIR_Coverage, 8987,
     /*  290753 */     GIR_EraseRootFromParent_Done,
     /*  290754 */   // Label 5447: @290754
     /*  290754 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(290817), // Rule ID 8988 //
     /*  290759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290798 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290815 */     GIR_RootConstrainSelectedInstOperands,
     /*  290816 */     // GIR_Coverage, 8988,
     /*  290816 */     GIR_EraseRootFromParent_Done,
     /*  290817 */   // Label 5448: @290817
     /*  290817 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(290880), // Rule ID 8991 //
     /*  290822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290861 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290878 */     GIR_RootConstrainSelectedInstOperands,
     /*  290879 */     // GIR_Coverage, 8991,
     /*  290879 */     GIR_EraseRootFromParent_Done,
     /*  290880 */   // Label 5449: @290880
     /*  290880 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(290943), // Rule ID 8992 //
     /*  290885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290941 */     GIR_RootConstrainSelectedInstOperands,
     /*  290942 */     // GIR_Coverage, 8992,
     /*  290942 */     GIR_EraseRootFromParent_Done,
     /*  290943 */   // Label 5450: @290943
     /*  290943 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(291006), // Rule ID 9083 //
     /*  290948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290987 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  290990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291004 */     GIR_RootConstrainSelectedInstOperands,
     /*  291005 */     // GIR_Coverage, 9083,
     /*  291005 */     GIR_EraseRootFromParent_Done,
     /*  291006 */   // Label 5451: @291006
     /*  291006 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291069), // Rule ID 9084 //
     /*  291011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  291025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  291053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291067 */     GIR_RootConstrainSelectedInstOperands,
     /*  291068 */     // GIR_Coverage, 9084,
     /*  291068 */     GIR_EraseRootFromParent_Done,
     /*  291069 */   // Label 5452: @291069
     /*  291069 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291132), // Rule ID 9087 //
     /*  291074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291113 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291130 */     GIR_RootConstrainSelectedInstOperands,
     /*  291131 */     // GIR_Coverage, 9087,
     /*  291131 */     GIR_EraseRootFromParent_Done,
     /*  291132 */   // Label 5453: @291132
     /*  291132 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291195), // Rule ID 9088 //
     /*  291137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291193 */     GIR_RootConstrainSelectedInstOperands,
     /*  291194 */     // GIR_Coverage, 9088,
     /*  291194 */     GIR_EraseRootFromParent_Done,
     /*  291195 */   // Label 5454: @291195
     /*  291195 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291258), // Rule ID 9091 //
     /*  291200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291239 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291256 */     GIR_RootConstrainSelectedInstOperands,
     /*  291257 */     // GIR_Coverage, 9091,
     /*  291257 */     GIR_EraseRootFromParent_Done,
     /*  291258 */   // Label 5455: @291258
     /*  291258 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291321), // Rule ID 9092 //
     /*  291263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291319 */     GIR_RootConstrainSelectedInstOperands,
     /*  291320 */     // GIR_Coverage, 9092,
     /*  291320 */     GIR_EraseRootFromParent_Done,
     /*  291321 */   // Label 5456: @291321
     /*  291321 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291384), // Rule ID 9095 //
     /*  291326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291382 */     GIR_RootConstrainSelectedInstOperands,
     /*  291383 */     // GIR_Coverage, 9095,
     /*  291383 */     GIR_EraseRootFromParent_Done,
     /*  291384 */   // Label 5457: @291384
     /*  291384 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(291447), // Rule ID 9096 //
     /*  291389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291445 */     GIR_RootConstrainSelectedInstOperands,
     /*  291446 */     // GIR_Coverage, 9096,
     /*  291446 */     GIR_EraseRootFromParent_Done,
     /*  291447 */   // Label 5458: @291447
     /*  291447 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(291510), // Rule ID 9099 //
     /*  291452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291508 */     GIR_RootConstrainSelectedInstOperands,
     /*  291509 */     // GIR_Coverage, 9099,
     /*  291509 */     GIR_EraseRootFromParent_Done,
     /*  291510 */   // Label 5459: @291510
     /*  291510 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(291573), // Rule ID 9100 //
     /*  291515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291571 */     GIR_RootConstrainSelectedInstOperands,
     /*  291572 */     // GIR_Coverage, 9100,
     /*  291572 */     GIR_EraseRootFromParent_Done,
     /*  291573 */   // Label 5460: @291573
     /*  291573 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(291636), // Rule ID 9103 //
     /*  291578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291634 */     GIR_RootConstrainSelectedInstOperands,
     /*  291635 */     // GIR_Coverage, 9103,
     /*  291635 */     GIR_EraseRootFromParent_Done,
     /*  291636 */   // Label 5461: @291636
     /*  291636 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(291699), // Rule ID 9104 //
     /*  291641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291697 */     GIR_RootConstrainSelectedInstOperands,
     /*  291698 */     // GIR_Coverage, 9104,
     /*  291698 */     GIR_EraseRootFromParent_Done,
     /*  291699 */   // Label 5462: @291699
     /*  291699 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(291762), // Rule ID 9107 //
     /*  291704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291743 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291760 */     GIR_RootConstrainSelectedInstOperands,
     /*  291761 */     // GIR_Coverage, 9107,
     /*  291761 */     GIR_EraseRootFromParent_Done,
     /*  291762 */   // Label 5463: @291762
     /*  291762 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(291825), // Rule ID 9108 //
     /*  291767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291806 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291823 */     GIR_RootConstrainSelectedInstOperands,
     /*  291824 */     // GIR_Coverage, 9108,
     /*  291824 */     GIR_EraseRootFromParent_Done,
     /*  291825 */   // Label 5464: @291825
     /*  291825 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(291888), // Rule ID 9111 //
     /*  291830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291886 */     GIR_RootConstrainSelectedInstOperands,
     /*  291887 */     // GIR_Coverage, 9111,
     /*  291887 */     GIR_EraseRootFromParent_Done,
     /*  291888 */   // Label 5465: @291888
     /*  291888 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(291951), // Rule ID 9112 //
     /*  291893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291949 */     GIR_RootConstrainSelectedInstOperands,
     /*  291950 */     // GIR_Coverage, 9112,
     /*  291950 */     GIR_EraseRootFromParent_Done,
     /*  291951 */   // Label 5466: @291951
     /*  291951 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(292014), // Rule ID 9115 //
     /*  291956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291995 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292012 */     GIR_RootConstrainSelectedInstOperands,
     /*  292013 */     // GIR_Coverage, 9115,
     /*  292013 */     GIR_EraseRootFromParent_Done,
     /*  292014 */   // Label 5467: @292014
     /*  292014 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292077), // Rule ID 9116 //
     /*  292019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  292033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292058 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292075 */     GIR_RootConstrainSelectedInstOperands,
     /*  292076 */     // GIR_Coverage, 9116,
     /*  292076 */     GIR_EraseRootFromParent_Done,
     /*  292077 */   // Label 5468: @292077
     /*  292077 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292140), // Rule ID 9119 //
     /*  292082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292138 */     GIR_RootConstrainSelectedInstOperands,
     /*  292139 */     // GIR_Coverage, 9119,
     /*  292139 */     GIR_EraseRootFromParent_Done,
     /*  292140 */   // Label 5469: @292140
     /*  292140 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292203), // Rule ID 9120 //
     /*  292145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292201 */     GIR_RootConstrainSelectedInstOperands,
     /*  292202 */     // GIR_Coverage, 9120,
     /*  292202 */     GIR_EraseRootFromParent_Done,
     /*  292203 */   // Label 5470: @292203
     /*  292203 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292266), // Rule ID 9123 //
     /*  292208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292264 */     GIR_RootConstrainSelectedInstOperands,
     /*  292265 */     // GIR_Coverage, 9123,
     /*  292265 */     GIR_EraseRootFromParent_Done,
     /*  292266 */   // Label 5471: @292266
     /*  292266 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292329), // Rule ID 9124 //
     /*  292271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292310 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292327 */     GIR_RootConstrainSelectedInstOperands,
     /*  292328 */     // GIR_Coverage, 9124,
     /*  292328 */     GIR_EraseRootFromParent_Done,
     /*  292329 */   // Label 5472: @292329
     /*  292329 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292392), // Rule ID 9127 //
     /*  292334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292373 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292390 */     GIR_RootConstrainSelectedInstOperands,
     /*  292391 */     // GIR_Coverage, 9127,
     /*  292391 */     GIR_EraseRootFromParent_Done,
     /*  292392 */   // Label 5473: @292392
     /*  292392 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(292455), // Rule ID 9128 //
     /*  292397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292436 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292453 */     GIR_RootConstrainSelectedInstOperands,
     /*  292454 */     // GIR_Coverage, 9128,
     /*  292454 */     GIR_EraseRootFromParent_Done,
     /*  292455 */   // Label 5474: @292455
     /*  292455 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(292518), // Rule ID 9131 //
     /*  292460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292499 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292516 */     GIR_RootConstrainSelectedInstOperands,
     /*  292517 */     // GIR_Coverage, 9131,
     /*  292517 */     GIR_EraseRootFromParent_Done,
     /*  292518 */   // Label 5475: @292518
     /*  292518 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(292581), // Rule ID 9132 //
     /*  292523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292562 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292579 */     GIR_RootConstrainSelectedInstOperands,
     /*  292580 */     // GIR_Coverage, 9132,
     /*  292580 */     GIR_EraseRootFromParent_Done,
     /*  292581 */   // Label 5476: @292581
     /*  292581 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(292644), // Rule ID 9135 //
     /*  292586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292642 */     GIR_RootConstrainSelectedInstOperands,
     /*  292643 */     // GIR_Coverage, 9135,
     /*  292643 */     GIR_EraseRootFromParent_Done,
     /*  292644 */   // Label 5477: @292644
     /*  292644 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(292707), // Rule ID 9136 //
     /*  292649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292705 */     GIR_RootConstrainSelectedInstOperands,
     /*  292706 */     // GIR_Coverage, 9136,
     /*  292706 */     GIR_EraseRootFromParent_Done,
     /*  292707 */   // Label 5478: @292707
     /*  292707 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(292770), // Rule ID 9139 //
     /*  292712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292751 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292768 */     GIR_RootConstrainSelectedInstOperands,
     /*  292769 */     // GIR_Coverage, 9139,
     /*  292769 */     GIR_EraseRootFromParent_Done,
     /*  292770 */   // Label 5479: @292770
     /*  292770 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(292833), // Rule ID 9140 //
     /*  292775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292814 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292831 */     GIR_RootConstrainSelectedInstOperands,
     /*  292832 */     // GIR_Coverage, 9140,
     /*  292832 */     GIR_EraseRootFromParent_Done,
     /*  292833 */   // Label 5480: @292833
     /*  292833 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(292896), // Rule ID 9143 //
     /*  292838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292877 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292894 */     GIR_RootConstrainSelectedInstOperands,
     /*  292895 */     // GIR_Coverage, 9143,
     /*  292895 */     GIR_EraseRootFromParent_Done,
     /*  292896 */   // Label 5481: @292896
     /*  292896 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(292959), // Rule ID 9144 //
     /*  292901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292957 */     GIR_RootConstrainSelectedInstOperands,
     /*  292958 */     // GIR_Coverage, 9144,
     /*  292958 */     GIR_EraseRootFromParent_Done,
     /*  292959 */   // Label 5482: @292959
     /*  292959 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(293022), // Rule ID 9147 //
     /*  292964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293020 */     GIR_RootConstrainSelectedInstOperands,
     /*  293021 */     // GIR_Coverage, 9147,
     /*  293021 */     GIR_EraseRootFromParent_Done,
     /*  293022 */   // Label 5483: @293022
     /*  293022 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293085), // Rule ID 9148 //
     /*  293027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  293041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293066 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293083 */     GIR_RootConstrainSelectedInstOperands,
     /*  293084 */     // GIR_Coverage, 9148,
     /*  293084 */     GIR_EraseRootFromParent_Done,
     /*  293085 */   // Label 5484: @293085
     /*  293085 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293148), // Rule ID 9151 //
     /*  293090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293129 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293146 */     GIR_RootConstrainSelectedInstOperands,
     /*  293147 */     // GIR_Coverage, 9151,
     /*  293147 */     GIR_EraseRootFromParent_Done,
     /*  293148 */   // Label 5485: @293148
     /*  293148 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293211), // Rule ID 9152 //
     /*  293153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293209 */     GIR_RootConstrainSelectedInstOperands,
     /*  293210 */     // GIR_Coverage, 9152,
     /*  293210 */     GIR_EraseRootFromParent_Done,
     /*  293211 */   // Label 5486: @293211
     /*  293211 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293274), // Rule ID 9155 //
     /*  293216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293255 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293272 */     GIR_RootConstrainSelectedInstOperands,
     /*  293273 */     // GIR_Coverage, 9155,
     /*  293273 */     GIR_EraseRootFromParent_Done,
     /*  293274 */   // Label 5487: @293274
     /*  293274 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293337), // Rule ID 9156 //
     /*  293279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293318 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293335 */     GIR_RootConstrainSelectedInstOperands,
     /*  293336 */     // GIR_Coverage, 9156,
     /*  293336 */     GIR_EraseRootFromParent_Done,
     /*  293337 */   // Label 5488: @293337
     /*  293337 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293400), // Rule ID 9159 //
     /*  293342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293381 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293398 */     GIR_RootConstrainSelectedInstOperands,
     /*  293399 */     // GIR_Coverage, 9159,
     /*  293399 */     GIR_EraseRootFromParent_Done,
     /*  293400 */   // Label 5489: @293400
     /*  293400 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(293463), // Rule ID 9160 //
     /*  293405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293461 */     GIR_RootConstrainSelectedInstOperands,
     /*  293462 */     // GIR_Coverage, 9160,
     /*  293462 */     GIR_EraseRootFromParent_Done,
     /*  293463 */   // Label 5490: @293463
     /*  293463 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(293526), // Rule ID 9163 //
     /*  293468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293507 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293524 */     GIR_RootConstrainSelectedInstOperands,
     /*  293525 */     // GIR_Coverage, 9163,
     /*  293525 */     GIR_EraseRootFromParent_Done,
     /*  293526 */   // Label 5491: @293526
     /*  293526 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(293589), // Rule ID 9164 //
     /*  293531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293570 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293587 */     GIR_RootConstrainSelectedInstOperands,
     /*  293588 */     // GIR_Coverage, 9164,
     /*  293588 */     GIR_EraseRootFromParent_Done,
     /*  293589 */   // Label 5492: @293589
     /*  293589 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(293652), // Rule ID 9167 //
     /*  293594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293633 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293650 */     GIR_RootConstrainSelectedInstOperands,
     /*  293651 */     // GIR_Coverage, 9167,
     /*  293651 */     GIR_EraseRootFromParent_Done,
     /*  293652 */   // Label 5493: @293652
     /*  293652 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(293715), // Rule ID 9168 //
     /*  293657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293713 */     GIR_RootConstrainSelectedInstOperands,
     /*  293714 */     // GIR_Coverage, 9168,
     /*  293714 */     GIR_EraseRootFromParent_Done,
     /*  293715 */   // Label 5494: @293715
     /*  293715 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(293778), // Rule ID 9259 //
     /*  293720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293759 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  293762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293776 */     GIR_RootConstrainSelectedInstOperands,
     /*  293777 */     // GIR_Coverage, 9259,
     /*  293777 */     GIR_EraseRootFromParent_Done,
     /*  293778 */   // Label 5495: @293778
     /*  293778 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(293841), // Rule ID 9260 //
     /*  293783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293822 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  293825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293839 */     GIR_RootConstrainSelectedInstOperands,
     /*  293840 */     // GIR_Coverage, 9260,
     /*  293840 */     GIR_EraseRootFromParent_Done,
     /*  293841 */   // Label 5496: @293841
     /*  293841 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(293904), // Rule ID 9263 //
     /*  293846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293885 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  293888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293902 */     GIR_RootConstrainSelectedInstOperands,
     /*  293903 */     // GIR_Coverage, 9263,
     /*  293903 */     GIR_EraseRootFromParent_Done,
     /*  293904 */   // Label 5497: @293904
     /*  293904 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(293967), // Rule ID 9264 //
     /*  293909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  293951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293965 */     GIR_RootConstrainSelectedInstOperands,
     /*  293966 */     // GIR_Coverage, 9264,
     /*  293966 */     GIR_EraseRootFromParent_Done,
     /*  293967 */   // Label 5498: @293967
     /*  293967 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(294030), // Rule ID 9267 //
     /*  293972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294011 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294028 */     GIR_RootConstrainSelectedInstOperands,
     /*  294029 */     // GIR_Coverage, 9267,
     /*  294029 */     GIR_EraseRootFromParent_Done,
     /*  294030 */   // Label 5499: @294030
     /*  294030 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294093), // Rule ID 9268 //
     /*  294035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  294049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294091 */     GIR_RootConstrainSelectedInstOperands,
     /*  294092 */     // GIR_Coverage, 9268,
     /*  294092 */     GIR_EraseRootFromParent_Done,
     /*  294093 */   // Label 5500: @294093
     /*  294093 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294156), // Rule ID 9271 //
     /*  294098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294137 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294154 */     GIR_RootConstrainSelectedInstOperands,
     /*  294155 */     // GIR_Coverage, 9271,
     /*  294155 */     GIR_EraseRootFromParent_Done,
     /*  294156 */   // Label 5501: @294156
     /*  294156 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294219), // Rule ID 9272 //
     /*  294161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294217 */     GIR_RootConstrainSelectedInstOperands,
     /*  294218 */     // GIR_Coverage, 9272,
     /*  294218 */     GIR_EraseRootFromParent_Done,
     /*  294219 */   // Label 5502: @294219
     /*  294219 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294282), // Rule ID 9275 //
     /*  294224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294280 */     GIR_RootConstrainSelectedInstOperands,
     /*  294281 */     // GIR_Coverage, 9275,
     /*  294281 */     GIR_EraseRootFromParent_Done,
     /*  294282 */   // Label 5503: @294282
     /*  294282 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294345), // Rule ID 9276 //
     /*  294287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294326 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294343 */     GIR_RootConstrainSelectedInstOperands,
     /*  294344 */     // GIR_Coverage, 9276,
     /*  294344 */     GIR_EraseRootFromParent_Done,
     /*  294345 */   // Label 5504: @294345
     /*  294345 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294408), // Rule ID 9279 //
     /*  294350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294406 */     GIR_RootConstrainSelectedInstOperands,
     /*  294407 */     // GIR_Coverage, 9279,
     /*  294407 */     GIR_EraseRootFromParent_Done,
     /*  294408 */   // Label 5505: @294408
     /*  294408 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(294471), // Rule ID 9280 //
     /*  294413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294469 */     GIR_RootConstrainSelectedInstOperands,
     /*  294470 */     // GIR_Coverage, 9280,
     /*  294470 */     GIR_EraseRootFromParent_Done,
     /*  294471 */   // Label 5506: @294471
     /*  294471 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(294534), // Rule ID 9283 //
     /*  294476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294515 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294532 */     GIR_RootConstrainSelectedInstOperands,
     /*  294533 */     // GIR_Coverage, 9283,
     /*  294533 */     GIR_EraseRootFromParent_Done,
     /*  294534 */   // Label 5507: @294534
     /*  294534 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(294597), // Rule ID 9284 //
     /*  294539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294578 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294595 */     GIR_RootConstrainSelectedInstOperands,
     /*  294596 */     // GIR_Coverage, 9284,
     /*  294596 */     GIR_EraseRootFromParent_Done,
     /*  294597 */   // Label 5508: @294597
     /*  294597 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(294660), // Rule ID 9287 //
     /*  294602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294658 */     GIR_RootConstrainSelectedInstOperands,
     /*  294659 */     // GIR_Coverage, 9287,
     /*  294659 */     GIR_EraseRootFromParent_Done,
     /*  294660 */   // Label 5509: @294660
     /*  294660 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(294723), // Rule ID 9288 //
     /*  294665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294721 */     GIR_RootConstrainSelectedInstOperands,
     /*  294722 */     // GIR_Coverage, 9288,
     /*  294722 */     GIR_EraseRootFromParent_Done,
     /*  294723 */   // Label 5510: @294723
     /*  294723 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(294786), // Rule ID 9291 //
     /*  294728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294767 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294784 */     GIR_RootConstrainSelectedInstOperands,
     /*  294785 */     // GIR_Coverage, 9291,
     /*  294785 */     GIR_EraseRootFromParent_Done,
     /*  294786 */   // Label 5511: @294786
     /*  294786 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(294849), // Rule ID 9292 //
     /*  294791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294830 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294847 */     GIR_RootConstrainSelectedInstOperands,
     /*  294848 */     // GIR_Coverage, 9292,
     /*  294848 */     GIR_EraseRootFromParent_Done,
     /*  294849 */   // Label 5512: @294849
     /*  294849 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(294912), // Rule ID 9295 //
     /*  294854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294910 */     GIR_RootConstrainSelectedInstOperands,
     /*  294911 */     // GIR_Coverage, 9295,
     /*  294911 */     GIR_EraseRootFromParent_Done,
     /*  294912 */   // Label 5513: @294912
     /*  294912 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(294975), // Rule ID 9296 //
     /*  294917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294973 */     GIR_RootConstrainSelectedInstOperands,
     /*  294974 */     // GIR_Coverage, 9296,
     /*  294974 */     GIR_EraseRootFromParent_Done,
     /*  294975 */   // Label 5514: @294975
     /*  294975 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(295038), // Rule ID 9299 //
     /*  294980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295019 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295036 */     GIR_RootConstrainSelectedInstOperands,
     /*  295037 */     // GIR_Coverage, 9299,
     /*  295037 */     GIR_EraseRootFromParent_Done,
     /*  295038 */   // Label 5515: @295038
     /*  295038 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295101), // Rule ID 9300 //
     /*  295043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  295057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295082 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295099 */     GIR_RootConstrainSelectedInstOperands,
     /*  295100 */     // GIR_Coverage, 9300,
     /*  295100 */     GIR_EraseRootFromParent_Done,
     /*  295101 */   // Label 5516: @295101
     /*  295101 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295164), // Rule ID 9303 //
     /*  295106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295145 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295162 */     GIR_RootConstrainSelectedInstOperands,
     /*  295163 */     // GIR_Coverage, 9303,
     /*  295163 */     GIR_EraseRootFromParent_Done,
     /*  295164 */   // Label 5517: @295164
     /*  295164 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295227), // Rule ID 9304 //
     /*  295169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295208 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295225 */     GIR_RootConstrainSelectedInstOperands,
     /*  295226 */     // GIR_Coverage, 9304,
     /*  295226 */     GIR_EraseRootFromParent_Done,
     /*  295227 */   // Label 5518: @295227
     /*  295227 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295290), // Rule ID 9307 //
     /*  295232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295271 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295288 */     GIR_RootConstrainSelectedInstOperands,
     /*  295289 */     // GIR_Coverage, 9307,
     /*  295289 */     GIR_EraseRootFromParent_Done,
     /*  295290 */   // Label 5519: @295290
     /*  295290 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295353), // Rule ID 9308 //
     /*  295295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295334 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295351 */     GIR_RootConstrainSelectedInstOperands,
     /*  295352 */     // GIR_Coverage, 9308,
     /*  295352 */     GIR_EraseRootFromParent_Done,
     /*  295353 */   // Label 5520: @295353
     /*  295353 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295416), // Rule ID 9311 //
     /*  295358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295397 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295414 */     GIR_RootConstrainSelectedInstOperands,
     /*  295415 */     // GIR_Coverage, 9311,
     /*  295415 */     GIR_EraseRootFromParent_Done,
     /*  295416 */   // Label 5521: @295416
     /*  295416 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(295479), // Rule ID 9312 //
     /*  295421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295477 */     GIR_RootConstrainSelectedInstOperands,
     /*  295478 */     // GIR_Coverage, 9312,
     /*  295478 */     GIR_EraseRootFromParent_Done,
     /*  295479 */   // Label 5522: @295479
     /*  295479 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(295542), // Rule ID 9315 //
     /*  295484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295523 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295540 */     GIR_RootConstrainSelectedInstOperands,
     /*  295541 */     // GIR_Coverage, 9315,
     /*  295541 */     GIR_EraseRootFromParent_Done,
     /*  295542 */   // Label 5523: @295542
     /*  295542 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(295605), // Rule ID 9316 //
     /*  295547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295586 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295603 */     GIR_RootConstrainSelectedInstOperands,
     /*  295604 */     // GIR_Coverage, 9316,
     /*  295604 */     GIR_EraseRootFromParent_Done,
     /*  295605 */   // Label 5524: @295605
     /*  295605 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(295668), // Rule ID 9319 //
     /*  295610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295649 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295666 */     GIR_RootConstrainSelectedInstOperands,
     /*  295667 */     // GIR_Coverage, 9319,
     /*  295667 */     GIR_EraseRootFromParent_Done,
     /*  295668 */   // Label 5525: @295668
     /*  295668 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(295731), // Rule ID 9320 //
     /*  295673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295712 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295729 */     GIR_RootConstrainSelectedInstOperands,
     /*  295730 */     // GIR_Coverage, 9320,
     /*  295730 */     GIR_EraseRootFromParent_Done,
     /*  295731 */   // Label 5526: @295731
     /*  295731 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(295794), // Rule ID 9323 //
     /*  295736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295775 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295792 */     GIR_RootConstrainSelectedInstOperands,
     /*  295793 */     // GIR_Coverage, 9323,
     /*  295793 */     GIR_EraseRootFromParent_Done,
     /*  295794 */   // Label 5527: @295794
     /*  295794 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(295857), // Rule ID 9324 //
     /*  295799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295855 */     GIR_RootConstrainSelectedInstOperands,
     /*  295856 */     // GIR_Coverage, 9324,
     /*  295856 */     GIR_EraseRootFromParent_Done,
     /*  295857 */   // Label 5528: @295857
     /*  295857 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(295920), // Rule ID 9327 //
     /*  295862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295918 */     GIR_RootConstrainSelectedInstOperands,
     /*  295919 */     // GIR_Coverage, 9327,
     /*  295919 */     GIR_EraseRootFromParent_Done,
     /*  295920 */   // Label 5529: @295920
     /*  295920 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(295983), // Rule ID 9328 //
     /*  295925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295981 */     GIR_RootConstrainSelectedInstOperands,
     /*  295982 */     // GIR_Coverage, 9328,
     /*  295982 */     GIR_EraseRootFromParent_Done,
     /*  295983 */   // Label 5530: @295983
     /*  295983 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(296046), // Rule ID 9331 //
     /*  295988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  296002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296027 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296044 */     GIR_RootConstrainSelectedInstOperands,
     /*  296045 */     // GIR_Coverage, 9331,
     /*  296045 */     GIR_EraseRootFromParent_Done,
     /*  296046 */   // Label 5531: @296046
     /*  296046 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296109), // Rule ID 9332 //
     /*  296051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  296065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296090 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296107 */     GIR_RootConstrainSelectedInstOperands,
     /*  296108 */     // GIR_Coverage, 9332,
     /*  296108 */     GIR_EraseRootFromParent_Done,
     /*  296109 */   // Label 5532: @296109
     /*  296109 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296172), // Rule ID 9335 //
     /*  296114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296153 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296170 */     GIR_RootConstrainSelectedInstOperands,
     /*  296171 */     // GIR_Coverage, 9335,
     /*  296171 */     GIR_EraseRootFromParent_Done,
     /*  296172 */   // Label 5533: @296172
     /*  296172 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296235), // Rule ID 9336 //
     /*  296177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296233 */     GIR_RootConstrainSelectedInstOperands,
     /*  296234 */     // GIR_Coverage, 9336,
     /*  296234 */     GIR_EraseRootFromParent_Done,
     /*  296235 */   // Label 5534: @296235
     /*  296235 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296298), // Rule ID 9339 //
     /*  296240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296296 */     GIR_RootConstrainSelectedInstOperands,
     /*  296297 */     // GIR_Coverage, 9339,
     /*  296297 */     GIR_EraseRootFromParent_Done,
     /*  296298 */   // Label 5535: @296298
     /*  296298 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296361), // Rule ID 9340 //
     /*  296303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296342 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296359 */     GIR_RootConstrainSelectedInstOperands,
     /*  296360 */     // GIR_Coverage, 9340,
     /*  296360 */     GIR_EraseRootFromParent_Done,
     /*  296361 */   // Label 5536: @296361
     /*  296361 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296424), // Rule ID 9343 //
     /*  296366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296405 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296422 */     GIR_RootConstrainSelectedInstOperands,
     /*  296423 */     // GIR_Coverage, 9343,
     /*  296423 */     GIR_EraseRootFromParent_Done,
     /*  296424 */   // Label 5537: @296424
     /*  296424 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(296487), // Rule ID 9344 //
     /*  296429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296485 */     GIR_RootConstrainSelectedInstOperands,
     /*  296486 */     // GIR_Coverage, 9344,
     /*  296486 */     GIR_EraseRootFromParent_Done,
     /*  296487 */   // Label 5538: @296487
     /*  296487 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(296550), // Rule ID 9435 //
     /*  296492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296531 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296548 */     GIR_RootConstrainSelectedInstOperands,
     /*  296549 */     // GIR_Coverage, 9435,
     /*  296549 */     GIR_EraseRootFromParent_Done,
     /*  296550 */   // Label 5539: @296550
     /*  296550 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(296613), // Rule ID 9436 //
     /*  296555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296611 */     GIR_RootConstrainSelectedInstOperands,
     /*  296612 */     // GIR_Coverage, 9436,
     /*  296612 */     GIR_EraseRootFromParent_Done,
     /*  296613 */   // Label 5540: @296613
     /*  296613 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(296676), // Rule ID 9439 //
     /*  296618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  296635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296657 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296674 */     GIR_RootConstrainSelectedInstOperands,
     /*  296675 */     // GIR_Coverage, 9439,
     /*  296675 */     GIR_EraseRootFromParent_Done,
     /*  296676 */   // Label 5541: @296676
     /*  296676 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(296739), // Rule ID 9440 //
     /*  296681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  296698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296737 */     GIR_RootConstrainSelectedInstOperands,
     /*  296738 */     // GIR_Coverage, 9440,
     /*  296738 */     GIR_EraseRootFromParent_Done,
     /*  296739 */   // Label 5542: @296739
     /*  296739 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(296802), // Rule ID 9443 //
     /*  296744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  296761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296783 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296800 */     GIR_RootConstrainSelectedInstOperands,
     /*  296801 */     // GIR_Coverage, 9443,
     /*  296801 */     GIR_EraseRootFromParent_Done,
     /*  296802 */   // Label 5543: @296802
     /*  296802 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(296865), // Rule ID 9444 //
     /*  296807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  296824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296846 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296863 */     GIR_RootConstrainSelectedInstOperands,
     /*  296864 */     // GIR_Coverage, 9444,
     /*  296864 */     GIR_EraseRootFromParent_Done,
     /*  296865 */   // Label 5544: @296865
     /*  296865 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(296928), // Rule ID 9447 //
     /*  296870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  296887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296926 */     GIR_RootConstrainSelectedInstOperands,
     /*  296927 */     // GIR_Coverage, 9447,
     /*  296927 */     GIR_EraseRootFromParent_Done,
     /*  296928 */   // Label 5545: @296928
     /*  296928 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(296991), // Rule ID 9448 //
     /*  296933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  296950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296989 */     GIR_RootConstrainSelectedInstOperands,
     /*  296990 */     // GIR_Coverage, 9448,
     /*  296990 */     GIR_EraseRootFromParent_Done,
     /*  296991 */   // Label 5546: @296991
     /*  296991 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297054), // Rule ID 9451 //
     /*  296996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  297010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  297013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297035 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297052 */     GIR_RootConstrainSelectedInstOperands,
     /*  297053 */     // GIR_Coverage, 9451,
     /*  297053 */     GIR_EraseRootFromParent_Done,
     /*  297054 */   // Label 5547: @297054
     /*  297054 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297117), // Rule ID 9452 //
     /*  297059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  297073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  297076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297115 */     GIR_RootConstrainSelectedInstOperands,
     /*  297116 */     // GIR_Coverage, 9452,
     /*  297116 */     GIR_EraseRootFromParent_Done,
     /*  297117 */   // Label 5548: @297117
     /*  297117 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297180), // Rule ID 9455 //
     /*  297122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297178 */     GIR_RootConstrainSelectedInstOperands,
     /*  297179 */     // GIR_Coverage, 9455,
     /*  297179 */     GIR_EraseRootFromParent_Done,
     /*  297180 */   // Label 5549: @297180
     /*  297180 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297243), // Rule ID 9456 //
     /*  297185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297241 */     GIR_RootConstrainSelectedInstOperands,
     /*  297242 */     // GIR_Coverage, 9456,
     /*  297242 */     GIR_EraseRootFromParent_Done,
     /*  297243 */   // Label 5550: @297243
     /*  297243 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297306), // Rule ID 9459 //
     /*  297248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297287 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297304 */     GIR_RootConstrainSelectedInstOperands,
     /*  297305 */     // GIR_Coverage, 9459,
     /*  297305 */     GIR_EraseRootFromParent_Done,
     /*  297306 */   // Label 5551: @297306
     /*  297306 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297369), // Rule ID 9460 //
     /*  297311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297367 */     GIR_RootConstrainSelectedInstOperands,
     /*  297368 */     // GIR_Coverage, 9460,
     /*  297368 */     GIR_EraseRootFromParent_Done,
     /*  297369 */   // Label 5552: @297369
     /*  297369 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(297432), // Rule ID 9463 //
     /*  297374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297430 */     GIR_RootConstrainSelectedInstOperands,
     /*  297431 */     // GIR_Coverage, 9463,
     /*  297431 */     GIR_EraseRootFromParent_Done,
     /*  297432 */   // Label 5553: @297432
     /*  297432 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(297495), // Rule ID 9464 //
     /*  297437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297493 */     GIR_RootConstrainSelectedInstOperands,
     /*  297494 */     // GIR_Coverage, 9464,
     /*  297494 */     GIR_EraseRootFromParent_Done,
     /*  297495 */   // Label 5554: @297495
     /*  297495 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(297558), // Rule ID 9467 //
     /*  297500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297539 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297556 */     GIR_RootConstrainSelectedInstOperands,
     /*  297557 */     // GIR_Coverage, 9467,
     /*  297557 */     GIR_EraseRootFromParent_Done,
     /*  297558 */   // Label 5555: @297558
     /*  297558 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(297621), // Rule ID 9468 //
     /*  297563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297619 */     GIR_RootConstrainSelectedInstOperands,
     /*  297620 */     // GIR_Coverage, 9468,
     /*  297620 */     GIR_EraseRootFromParent_Done,
     /*  297621 */   // Label 5556: @297621
     /*  297621 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(297684), // Rule ID 9471 //
     /*  297626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  297643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297665 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297682 */     GIR_RootConstrainSelectedInstOperands,
     /*  297683 */     // GIR_Coverage, 9471,
     /*  297683 */     GIR_EraseRootFromParent_Done,
     /*  297684 */   // Label 5557: @297684
     /*  297684 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(297747), // Rule ID 9472 //
     /*  297689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  297706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297745 */     GIR_RootConstrainSelectedInstOperands,
     /*  297746 */     // GIR_Coverage, 9472,
     /*  297746 */     GIR_EraseRootFromParent_Done,
     /*  297747 */   // Label 5558: @297747
     /*  297747 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(297810), // Rule ID 9475 //
     /*  297752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  297769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297791 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297808 */     GIR_RootConstrainSelectedInstOperands,
     /*  297809 */     // GIR_Coverage, 9475,
     /*  297809 */     GIR_EraseRootFromParent_Done,
     /*  297810 */   // Label 5559: @297810
     /*  297810 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(297873), // Rule ID 9476 //
     /*  297815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  297832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297871 */     GIR_RootConstrainSelectedInstOperands,
     /*  297872 */     // GIR_Coverage, 9476,
     /*  297872 */     GIR_EraseRootFromParent_Done,
     /*  297873 */   // Label 5560: @297873
     /*  297873 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(297936), // Rule ID 9479 //
     /*  297878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  297895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297917 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297934 */     GIR_RootConstrainSelectedInstOperands,
     /*  297935 */     // GIR_Coverage, 9479,
     /*  297935 */     GIR_EraseRootFromParent_Done,
     /*  297936 */   // Label 5561: @297936
     /*  297936 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(297999), // Rule ID 9480 //
     /*  297941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  297958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297980 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297997 */     GIR_RootConstrainSelectedInstOperands,
     /*  297998 */     // GIR_Coverage, 9480,
     /*  297998 */     GIR_EraseRootFromParent_Done,
     /*  297999 */   // Label 5562: @297999
     /*  297999 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298062), // Rule ID 9483 //
     /*  298004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  298018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  298021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298043 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298060 */     GIR_RootConstrainSelectedInstOperands,
     /*  298061 */     // GIR_Coverage, 9483,
     /*  298061 */     GIR_EraseRootFromParent_Done,
     /*  298062 */   // Label 5563: @298062
     /*  298062 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298125), // Rule ID 9484 //
     /*  298067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  298081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  298084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298106 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298123 */     GIR_RootConstrainSelectedInstOperands,
     /*  298124 */     // GIR_Coverage, 9484,
     /*  298124 */     GIR_EraseRootFromParent_Done,
     /*  298125 */   // Label 5564: @298125
     /*  298125 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298188), // Rule ID 9487 //
     /*  298130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298169 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298186 */     GIR_RootConstrainSelectedInstOperands,
     /*  298187 */     // GIR_Coverage, 9487,
     /*  298187 */     GIR_EraseRootFromParent_Done,
     /*  298188 */   // Label 5565: @298188
     /*  298188 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298251), // Rule ID 9488 //
     /*  298193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298249 */     GIR_RootConstrainSelectedInstOperands,
     /*  298250 */     // GIR_Coverage, 9488,
     /*  298250 */     GIR_EraseRootFromParent_Done,
     /*  298251 */   // Label 5566: @298251
     /*  298251 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298314), // Rule ID 9491 //
     /*  298256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298295 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298312 */     GIR_RootConstrainSelectedInstOperands,
     /*  298313 */     // GIR_Coverage, 9491,
     /*  298313 */     GIR_EraseRootFromParent_Done,
     /*  298314 */   // Label 5567: @298314
     /*  298314 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298377), // Rule ID 9492 //
     /*  298319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298358 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298375 */     GIR_RootConstrainSelectedInstOperands,
     /*  298376 */     // GIR_Coverage, 9492,
     /*  298376 */     GIR_EraseRootFromParent_Done,
     /*  298377 */   // Label 5568: @298377
     /*  298377 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(298440), // Rule ID 9495 //
     /*  298382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298421 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298438 */     GIR_RootConstrainSelectedInstOperands,
     /*  298439 */     // GIR_Coverage, 9495,
     /*  298439 */     GIR_EraseRootFromParent_Done,
     /*  298440 */   // Label 5569: @298440
     /*  298440 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(298503), // Rule ID 9496 //
     /*  298445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298501 */     GIR_RootConstrainSelectedInstOperands,
     /*  298502 */     // GIR_Coverage, 9496,
     /*  298502 */     GIR_EraseRootFromParent_Done,
     /*  298503 */   // Label 5570: @298503
     /*  298503 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(298566), // Rule ID 9499 //
     /*  298508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298564 */     GIR_RootConstrainSelectedInstOperands,
     /*  298565 */     // GIR_Coverage, 9499,
     /*  298565 */     GIR_EraseRootFromParent_Done,
     /*  298566 */   // Label 5571: @298566
     /*  298566 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(298629), // Rule ID 9500 //
     /*  298571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298610 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298627 */     GIR_RootConstrainSelectedInstOperands,
     /*  298628 */     // GIR_Coverage, 9500,
     /*  298628 */     GIR_EraseRootFromParent_Done,
     /*  298629 */   // Label 5572: @298629
     /*  298629 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(298692), // Rule ID 9503 //
     /*  298634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  298651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298673 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298690 */     GIR_RootConstrainSelectedInstOperands,
     /*  298691 */     // GIR_Coverage, 9503,
     /*  298691 */     GIR_EraseRootFromParent_Done,
     /*  298692 */   // Label 5573: @298692
     /*  298692 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(298755), // Rule ID 9504 //
     /*  298697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  298714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298736 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298753 */     GIR_RootConstrainSelectedInstOperands,
     /*  298754 */     // GIR_Coverage, 9504,
     /*  298754 */     GIR_EraseRootFromParent_Done,
     /*  298755 */   // Label 5574: @298755
     /*  298755 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(298818), // Rule ID 9507 //
     /*  298760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  298777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298799 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298816 */     GIR_RootConstrainSelectedInstOperands,
     /*  298817 */     // GIR_Coverage, 9507,
     /*  298817 */     GIR_EraseRootFromParent_Done,
     /*  298818 */   // Label 5575: @298818
     /*  298818 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(298881), // Rule ID 9508 //
     /*  298823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  298840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298879 */     GIR_RootConstrainSelectedInstOperands,
     /*  298880 */     // GIR_Coverage, 9508,
     /*  298880 */     GIR_EraseRootFromParent_Done,
     /*  298881 */   // Label 5576: @298881
     /*  298881 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(298944), // Rule ID 9511 //
     /*  298886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  298903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298925 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298942 */     GIR_RootConstrainSelectedInstOperands,
     /*  298943 */     // GIR_Coverage, 9511,
     /*  298943 */     GIR_EraseRootFromParent_Done,
     /*  298944 */   // Label 5577: @298944
     /*  298944 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(299007), // Rule ID 9512 //
     /*  298949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  298966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299005 */     GIR_RootConstrainSelectedInstOperands,
     /*  299006 */     // GIR_Coverage, 9512,
     /*  299006 */     GIR_EraseRootFromParent_Done,
     /*  299007 */   // Label 5578: @299007
     /*  299007 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299070), // Rule ID 9515 //
     /*  299012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  299026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  299029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299068 */     GIR_RootConstrainSelectedInstOperands,
     /*  299069 */     // GIR_Coverage, 9515,
     /*  299069 */     GIR_EraseRootFromParent_Done,
     /*  299070 */   // Label 5579: @299070
     /*  299070 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299133), // Rule ID 9516 //
     /*  299075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  299089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  299092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299131 */     GIR_RootConstrainSelectedInstOperands,
     /*  299132 */     // GIR_Coverage, 9516,
     /*  299132 */     GIR_EraseRootFromParent_Done,
     /*  299133 */   // Label 5580: @299133
     /*  299133 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299196), // Rule ID 9519 //
     /*  299138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299194 */     GIR_RootConstrainSelectedInstOperands,
     /*  299195 */     // GIR_Coverage, 9519,
     /*  299195 */     GIR_EraseRootFromParent_Done,
     /*  299196 */   // Label 5581: @299196
     /*  299196 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299259), // Rule ID 9520 //
     /*  299201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299257 */     GIR_RootConstrainSelectedInstOperands,
     /*  299258 */     // GIR_Coverage, 9520,
     /*  299258 */     GIR_EraseRootFromParent_Done,
     /*  299259 */   // Label 5582: @299259
     /*  299259 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299322), // Rule ID 9523 //
     /*  299264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299303 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299320 */     GIR_RootConstrainSelectedInstOperands,
     /*  299321 */     // GIR_Coverage, 9523,
     /*  299321 */     GIR_EraseRootFromParent_Done,
     /*  299322 */   // Label 5583: @299322
     /*  299322 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299385), // Rule ID 9524 //
     /*  299327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299366 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299383 */     GIR_RootConstrainSelectedInstOperands,
     /*  299384 */     // GIR_Coverage, 9524,
     /*  299384 */     GIR_EraseRootFromParent_Done,
     /*  299385 */   // Label 5584: @299385
     /*  299385 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(299448), // Rule ID 9527 //
     /*  299390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299446 */     GIR_RootConstrainSelectedInstOperands,
     /*  299447 */     // GIR_Coverage, 9527,
     /*  299447 */     GIR_EraseRootFromParent_Done,
     /*  299448 */   // Label 5585: @299448
     /*  299448 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(299511), // Rule ID 9528 //
     /*  299453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299509 */     GIR_RootConstrainSelectedInstOperands,
     /*  299510 */     // GIR_Coverage, 9528,
     /*  299510 */     GIR_EraseRootFromParent_Done,
     /*  299511 */   // Label 5586: @299511
     /*  299511 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(299574), // Rule ID 9531 //
     /*  299516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299555 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299572 */     GIR_RootConstrainSelectedInstOperands,
     /*  299573 */     // GIR_Coverage, 9531,
     /*  299573 */     GIR_EraseRootFromParent_Done,
     /*  299574 */   // Label 5587: @299574
     /*  299574 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(299637), // Rule ID 9532 //
     /*  299579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299618 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299635 */     GIR_RootConstrainSelectedInstOperands,
     /*  299636 */     // GIR_Coverage, 9532,
     /*  299636 */     GIR_EraseRootFromParent_Done,
     /*  299637 */   // Label 5588: @299637
     /*  299637 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(299700), // Rule ID 9535 //
     /*  299642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  299659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299698 */     GIR_RootConstrainSelectedInstOperands,
     /*  299699 */     // GIR_Coverage, 9535,
     /*  299699 */     GIR_EraseRootFromParent_Done,
     /*  299700 */   // Label 5589: @299700
     /*  299700 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(299763), // Rule ID 9536 //
     /*  299705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  299722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299761 */     GIR_RootConstrainSelectedInstOperands,
     /*  299762 */     // GIR_Coverage, 9536,
     /*  299762 */     GIR_EraseRootFromParent_Done,
     /*  299763 */   // Label 5590: @299763
     /*  299763 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(299826), // Rule ID 9539 //
     /*  299768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  299785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299807 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299824 */     GIR_RootConstrainSelectedInstOperands,
     /*  299825 */     // GIR_Coverage, 9539,
     /*  299825 */     GIR_EraseRootFromParent_Done,
     /*  299826 */   // Label 5591: @299826
     /*  299826 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(299889), // Rule ID 9540 //
     /*  299831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  299848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299887 */     GIR_RootConstrainSelectedInstOperands,
     /*  299888 */     // GIR_Coverage, 9540,
     /*  299888 */     GIR_EraseRootFromParent_Done,
     /*  299889 */   // Label 5592: @299889
     /*  299889 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(299952), // Rule ID 9543 //
     /*  299894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  299911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  299936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299950 */     GIR_RootConstrainSelectedInstOperands,
     /*  299951 */     // GIR_Coverage, 9543,
     /*  299951 */     GIR_EraseRootFromParent_Done,
     /*  299952 */   // Label 5593: @299952
     /*  299952 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(300015), // Rule ID 9544 //
     /*  299957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  299974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  299999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300013 */     GIR_RootConstrainSelectedInstOperands,
     /*  300014 */     // GIR_Coverage, 9544,
     /*  300014 */     GIR_EraseRootFromParent_Done,
     /*  300015 */   // Label 5594: @300015
     /*  300015 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300078), // Rule ID 9547 //
     /*  300020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  300034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300076 */     GIR_RootConstrainSelectedInstOperands,
     /*  300077 */     // GIR_Coverage, 9547,
     /*  300077 */     GIR_EraseRootFromParent_Done,
     /*  300078 */   // Label 5595: @300078
     /*  300078 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300141), // Rule ID 9548 //
     /*  300083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  300097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300122 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300139 */     GIR_RootConstrainSelectedInstOperands,
     /*  300140 */     // GIR_Coverage, 9548,
     /*  300140 */     GIR_EraseRootFromParent_Done,
     /*  300141 */   // Label 5596: @300141
     /*  300141 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300204), // Rule ID 9551 //
     /*  300146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300185 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300202 */     GIR_RootConstrainSelectedInstOperands,
     /*  300203 */     // GIR_Coverage, 9551,
     /*  300203 */     GIR_EraseRootFromParent_Done,
     /*  300204 */   // Label 5597: @300204
     /*  300204 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300267), // Rule ID 9552 //
     /*  300209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300265 */     GIR_RootConstrainSelectedInstOperands,
     /*  300266 */     // GIR_Coverage, 9552,
     /*  300266 */     GIR_EraseRootFromParent_Done,
     /*  300267 */   // Label 5598: @300267
     /*  300267 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300330), // Rule ID 9555 //
     /*  300272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300311 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300328 */     GIR_RootConstrainSelectedInstOperands,
     /*  300329 */     // GIR_Coverage, 9555,
     /*  300329 */     GIR_EraseRootFromParent_Done,
     /*  300330 */   // Label 5599: @300330
     /*  300330 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300393), // Rule ID 9556 //
     /*  300335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300374 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300391 */     GIR_RootConstrainSelectedInstOperands,
     /*  300392 */     // GIR_Coverage, 9556,
     /*  300392 */     GIR_EraseRootFromParent_Done,
     /*  300393 */   // Label 5600: @300393
     /*  300393 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(300456), // Rule ID 9559 //
     /*  300398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300437 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300454 */     GIR_RootConstrainSelectedInstOperands,
     /*  300455 */     // GIR_Coverage, 9559,
     /*  300455 */     GIR_EraseRootFromParent_Done,
     /*  300456 */   // Label 5601: @300456
     /*  300456 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(300519), // Rule ID 9560 //
     /*  300461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300517 */     GIR_RootConstrainSelectedInstOperands,
     /*  300518 */     // GIR_Coverage, 9560,
     /*  300518 */     GIR_EraseRootFromParent_Done,
     /*  300519 */   // Label 5602: @300519
     /*  300519 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(300582), // Rule ID 9563 //
     /*  300524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300563 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300580 */     GIR_RootConstrainSelectedInstOperands,
     /*  300581 */     // GIR_Coverage, 9563,
     /*  300581 */     GIR_EraseRootFromParent_Done,
     /*  300582 */   // Label 5603: @300582
     /*  300582 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(300645), // Rule ID 9564 //
     /*  300587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300626 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300643 */     GIR_RootConstrainSelectedInstOperands,
     /*  300644 */     // GIR_Coverage, 9564,
     /*  300644 */     GIR_EraseRootFromParent_Done,
     /*  300645 */   // Label 5604: @300645
     /*  300645 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(300708), // Rule ID 9567 //
     /*  300650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  300667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300689 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300706 */     GIR_RootConstrainSelectedInstOperands,
     /*  300707 */     // GIR_Coverage, 9567,
     /*  300707 */     GIR_EraseRootFromParent_Done,
     /*  300708 */   // Label 5605: @300708
     /*  300708 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(300771), // Rule ID 9568 //
     /*  300713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  300730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300752 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300769 */     GIR_RootConstrainSelectedInstOperands,
     /*  300770 */     // GIR_Coverage, 9568,
     /*  300770 */     GIR_EraseRootFromParent_Done,
     /*  300771 */   // Label 5606: @300771
     /*  300771 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(300834), // Rule ID 9571 //
     /*  300776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  300793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300815 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300832 */     GIR_RootConstrainSelectedInstOperands,
     /*  300833 */     // GIR_Coverage, 9571,
     /*  300833 */     GIR_EraseRootFromParent_Done,
     /*  300834 */   // Label 5607: @300834
     /*  300834 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(300897), // Rule ID 9572 //
     /*  300839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  300856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300878 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300895 */     GIR_RootConstrainSelectedInstOperands,
     /*  300896 */     // GIR_Coverage, 9572,
     /*  300896 */     GIR_EraseRootFromParent_Done,
     /*  300897 */   // Label 5608: @300897
     /*  300897 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(300960), // Rule ID 9575 //
     /*  300902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  300919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300958 */     GIR_RootConstrainSelectedInstOperands,
     /*  300959 */     // GIR_Coverage, 9575,
     /*  300959 */     GIR_EraseRootFromParent_Done,
     /*  300960 */   // Label 5609: @300960
     /*  300960 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(301023), // Rule ID 9576 //
     /*  300965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  300982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301004 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301021 */     GIR_RootConstrainSelectedInstOperands,
     /*  301022 */     // GIR_Coverage, 9576,
     /*  301022 */     GIR_EraseRootFromParent_Done,
     /*  301023 */   // Label 5610: @301023
     /*  301023 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301086), // Rule ID 9579 //
     /*  301028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  301042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301067 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301084 */     GIR_RootConstrainSelectedInstOperands,
     /*  301085 */     // GIR_Coverage, 9579,
     /*  301085 */     GIR_EraseRootFromParent_Done,
     /*  301086 */   // Label 5611: @301086
     /*  301086 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301149), // Rule ID 9580 //
     /*  301091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  301105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301130 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301147 */     GIR_RootConstrainSelectedInstOperands,
     /*  301148 */     // GIR_Coverage, 9580,
     /*  301148 */     GIR_EraseRootFromParent_Done,
     /*  301149 */   // Label 5612: @301149
     /*  301149 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301212), // Rule ID 9583 //
     /*  301154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301193 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301210 */     GIR_RootConstrainSelectedInstOperands,
     /*  301211 */     // GIR_Coverage, 9583,
     /*  301211 */     GIR_EraseRootFromParent_Done,
     /*  301212 */   // Label 5613: @301212
     /*  301212 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301275), // Rule ID 9584 //
     /*  301217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301273 */     GIR_RootConstrainSelectedInstOperands,
     /*  301274 */     // GIR_Coverage, 9584,
     /*  301274 */     GIR_EraseRootFromParent_Done,
     /*  301275 */   // Label 5614: @301275
     /*  301275 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301338), // Rule ID 9587 //
     /*  301280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301319 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301336 */     GIR_RootConstrainSelectedInstOperands,
     /*  301337 */     // GIR_Coverage, 9587,
     /*  301337 */     GIR_EraseRootFromParent_Done,
     /*  301338 */   // Label 5615: @301338
     /*  301338 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301401), // Rule ID 9588 //
     /*  301343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301382 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301399 */     GIR_RootConstrainSelectedInstOperands,
     /*  301400 */     // GIR_Coverage, 9588,
     /*  301400 */     GIR_EraseRootFromParent_Done,
     /*  301401 */   // Label 5616: @301401
     /*  301401 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(301464), // Rule ID 9591 //
     /*  301406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301445 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301462 */     GIR_RootConstrainSelectedInstOperands,
     /*  301463 */     // GIR_Coverage, 9591,
     /*  301463 */     GIR_EraseRootFromParent_Done,
     /*  301464 */   // Label 5617: @301464
     /*  301464 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(301527), // Rule ID 9592 //
     /*  301469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301508 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301525 */     GIR_RootConstrainSelectedInstOperands,
     /*  301526 */     // GIR_Coverage, 9592,
     /*  301526 */     GIR_EraseRootFromParent_Done,
     /*  301527 */   // Label 5618: @301527
     /*  301527 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(301590), // Rule ID 9595 //
     /*  301532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301571 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301588 */     GIR_RootConstrainSelectedInstOperands,
     /*  301589 */     // GIR_Coverage, 9595,
     /*  301589 */     GIR_EraseRootFromParent_Done,
     /*  301590 */   // Label 5619: @301590
     /*  301590 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(301653), // Rule ID 9596 //
     /*  301595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301651 */     GIR_RootConstrainSelectedInstOperands,
     /*  301652 */     // GIR_Coverage, 9596,
     /*  301652 */     GIR_EraseRootFromParent_Done,
     /*  301653 */   // Label 5620: @301653
     /*  301653 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(301716), // Rule ID 9599 //
     /*  301658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  301675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301714 */     GIR_RootConstrainSelectedInstOperands,
     /*  301715 */     // GIR_Coverage, 9599,
     /*  301715 */     GIR_EraseRootFromParent_Done,
     /*  301716 */   // Label 5621: @301716
     /*  301716 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(301779), // Rule ID 9600 //
     /*  301721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  301738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301777 */     GIR_RootConstrainSelectedInstOperands,
     /*  301778 */     // GIR_Coverage, 9600,
     /*  301778 */     GIR_EraseRootFromParent_Done,
     /*  301779 */   // Label 5622: @301779
     /*  301779 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(301842), // Rule ID 9603 //
     /*  301784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  301801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301823 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301840 */     GIR_RootConstrainSelectedInstOperands,
     /*  301841 */     // GIR_Coverage, 9603,
     /*  301841 */     GIR_EraseRootFromParent_Done,
     /*  301842 */   // Label 5623: @301842
     /*  301842 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(301905), // Rule ID 9604 //
     /*  301847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  301864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301886 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301903 */     GIR_RootConstrainSelectedInstOperands,
     /*  301904 */     // GIR_Coverage, 9604,
     /*  301904 */     GIR_EraseRootFromParent_Done,
     /*  301905 */   // Label 5624: @301905
     /*  301905 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(301968), // Rule ID 9607 //
     /*  301910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  301924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  301927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  301952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301966 */     GIR_RootConstrainSelectedInstOperands,
     /*  301967 */     // GIR_Coverage, 9607,
     /*  301967 */     GIR_EraseRootFromParent_Done,
     /*  301968 */   // Label 5625: @301968
     /*  301968 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(302031), // Rule ID 9608 //
     /*  301973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  301987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  301990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  302015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302029 */     GIR_RootConstrainSelectedInstOperands,
     /*  302030 */     // GIR_Coverage, 9608,
     /*  302030 */     GIR_EraseRootFromParent_Done,
     /*  302031 */   // Label 5626: @302031
     /*  302031 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302094), // Rule ID 9611 //
     /*  302036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302075 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302092 */     GIR_RootConstrainSelectedInstOperands,
     /*  302093 */     // GIR_Coverage, 9611,
     /*  302093 */     GIR_EraseRootFromParent_Done,
     /*  302094 */   // Label 5627: @302094
     /*  302094 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302157), // Rule ID 9612 //
     /*  302099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302138 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302155 */     GIR_RootConstrainSelectedInstOperands,
     /*  302156 */     // GIR_Coverage, 9612,
     /*  302156 */     GIR_EraseRootFromParent_Done,
     /*  302157 */   // Label 5628: @302157
     /*  302157 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302220), // Rule ID 9615 //
     /*  302162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302218 */     GIR_RootConstrainSelectedInstOperands,
     /*  302219 */     // GIR_Coverage, 9615,
     /*  302219 */     GIR_EraseRootFromParent_Done,
     /*  302220 */   // Label 5629: @302220
     /*  302220 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302283), // Rule ID 9616 //
     /*  302225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302264 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302281 */     GIR_RootConstrainSelectedInstOperands,
     /*  302282 */     // GIR_Coverage, 9616,
     /*  302282 */     GIR_EraseRootFromParent_Done,
     /*  302283 */   // Label 5630: @302283
     /*  302283 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302346), // Rule ID 9619 //
     /*  302288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302327 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302344 */     GIR_RootConstrainSelectedInstOperands,
     /*  302345 */     // GIR_Coverage, 9619,
     /*  302345 */     GIR_EraseRootFromParent_Done,
     /*  302346 */   // Label 5631: @302346
     /*  302346 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302409), // Rule ID 9620 //
     /*  302351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302390 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302407 */     GIR_RootConstrainSelectedInstOperands,
     /*  302408 */     // GIR_Coverage, 9620,
     /*  302408 */     GIR_EraseRootFromParent_Done,
     /*  302409 */   // Label 5632: @302409
     /*  302409 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(302472), // Rule ID 9623 //
     /*  302414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302470 */     GIR_RootConstrainSelectedInstOperands,
     /*  302471 */     // GIR_Coverage, 9623,
     /*  302471 */     GIR_EraseRootFromParent_Done,
     /*  302472 */   // Label 5633: @302472
     /*  302472 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(302535), // Rule ID 9624 //
     /*  302477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302533 */     GIR_RootConstrainSelectedInstOperands,
     /*  302534 */     // GIR_Coverage, 9624,
     /*  302534 */     GIR_EraseRootFromParent_Done,
     /*  302535 */   // Label 5634: @302535
     /*  302535 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(302598), // Rule ID 9627 //
     /*  302540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302579 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302596 */     GIR_RootConstrainSelectedInstOperands,
     /*  302597 */     // GIR_Coverage, 9627,
     /*  302597 */     GIR_EraseRootFromParent_Done,
     /*  302598 */   // Label 5635: @302598
     /*  302598 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(302661), // Rule ID 9628 //
     /*  302603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302659 */     GIR_RootConstrainSelectedInstOperands,
     /*  302660 */     // GIR_Coverage, 9628,
     /*  302660 */     GIR_EraseRootFromParent_Done,
     /*  302661 */   // Label 5636: @302661
     /*  302661 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(302724), // Rule ID 9631 //
     /*  302666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302722 */     GIR_RootConstrainSelectedInstOperands,
     /*  302723 */     // GIR_Coverage, 9631,
     /*  302723 */     GIR_EraseRootFromParent_Done,
     /*  302724 */   // Label 5637: @302724
     /*  302724 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(302787), // Rule ID 9632 //
     /*  302729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302785 */     GIR_RootConstrainSelectedInstOperands,
     /*  302786 */     // GIR_Coverage, 9632,
     /*  302786 */     GIR_EraseRootFromParent_Done,
     /*  302787 */   // Label 5638: @302787
     /*  302787 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(302850), // Rule ID 9635 //
     /*  302792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302831 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302848 */     GIR_RootConstrainSelectedInstOperands,
     /*  302849 */     // GIR_Coverage, 9635,
     /*  302849 */     GIR_EraseRootFromParent_Done,
     /*  302850 */   // Label 5639: @302850
     /*  302850 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(302913), // Rule ID 9636 //
     /*  302855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302894 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302911 */     GIR_RootConstrainSelectedInstOperands,
     /*  302912 */     // GIR_Coverage, 9636,
     /*  302912 */     GIR_EraseRootFromParent_Done,
     /*  302913 */   // Label 5640: @302913
     /*  302913 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(302976), // Rule ID 9639 //
     /*  302918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302974 */     GIR_RootConstrainSelectedInstOperands,
     /*  302975 */     // GIR_Coverage, 9639,
     /*  302975 */     GIR_EraseRootFromParent_Done,
     /*  302976 */   // Label 5641: @302976
     /*  302976 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(303039), // Rule ID 9640 //
     /*  302981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303037 */     GIR_RootConstrainSelectedInstOperands,
     /*  303038 */     // GIR_Coverage, 9640,
     /*  303038 */     GIR_EraseRootFromParent_Done,
     /*  303039 */   // Label 5642: @303039
     /*  303039 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303102), // Rule ID 9643 //
     /*  303044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303083 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303100 */     GIR_RootConstrainSelectedInstOperands,
     /*  303101 */     // GIR_Coverage, 9643,
     /*  303101 */     GIR_EraseRootFromParent_Done,
     /*  303102 */   // Label 5643: @303102
     /*  303102 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303165), // Rule ID 9644 //
     /*  303107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303146 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303163 */     GIR_RootConstrainSelectedInstOperands,
     /*  303164 */     // GIR_Coverage, 9644,
     /*  303164 */     GIR_EraseRootFromParent_Done,
     /*  303165 */   // Label 5644: @303165
     /*  303165 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303228), // Rule ID 9647 //
     /*  303170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303209 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303226 */     GIR_RootConstrainSelectedInstOperands,
     /*  303227 */     // GIR_Coverage, 9647,
     /*  303227 */     GIR_EraseRootFromParent_Done,
     /*  303228 */   // Label 5645: @303228
     /*  303228 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303291), // Rule ID 9648 //
     /*  303233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303272 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303289 */     GIR_RootConstrainSelectedInstOperands,
     /*  303290 */     // GIR_Coverage, 9648,
     /*  303290 */     GIR_EraseRootFromParent_Done,
     /*  303291 */   // Label 5646: @303291
     /*  303291 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303354), // Rule ID 9651 //
     /*  303296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303335 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303352 */     GIR_RootConstrainSelectedInstOperands,
     /*  303353 */     // GIR_Coverage, 9651,
     /*  303353 */     GIR_EraseRootFromParent_Done,
     /*  303354 */   // Label 5647: @303354
     /*  303354 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303417), // Rule ID 9652 //
     /*  303359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303398 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303415 */     GIR_RootConstrainSelectedInstOperands,
     /*  303416 */     // GIR_Coverage, 9652,
     /*  303416 */     GIR_EraseRootFromParent_Done,
     /*  303417 */   // Label 5648: @303417
     /*  303417 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(303480), // Rule ID 9655 //
     /*  303422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303461 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303478 */     GIR_RootConstrainSelectedInstOperands,
     /*  303479 */     // GIR_Coverage, 9655,
     /*  303479 */     GIR_EraseRootFromParent_Done,
     /*  303480 */   // Label 5649: @303480
     /*  303480 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(303543), // Rule ID 9656 //
     /*  303485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303524 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303541 */     GIR_RootConstrainSelectedInstOperands,
     /*  303542 */     // GIR_Coverage, 9656,
     /*  303542 */     GIR_EraseRootFromParent_Done,
     /*  303543 */   // Label 5650: @303543
     /*  303543 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(303606), // Rule ID 9659 //
     /*  303548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303587 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303604 */     GIR_RootConstrainSelectedInstOperands,
     /*  303605 */     // GIR_Coverage, 9659,
     /*  303605 */     GIR_EraseRootFromParent_Done,
     /*  303606 */   // Label 5651: @303606
     /*  303606 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(303669), // Rule ID 9660 //
     /*  303611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303650 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303667 */     GIR_RootConstrainSelectedInstOperands,
     /*  303668 */     // GIR_Coverage, 9660,
     /*  303668 */     GIR_EraseRootFromParent_Done,
     /*  303669 */   // Label 5652: @303669
     /*  303669 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(303732), // Rule ID 9663 //
     /*  303674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303713 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303730 */     GIR_RootConstrainSelectedInstOperands,
     /*  303731 */     // GIR_Coverage, 9663,
     /*  303731 */     GIR_EraseRootFromParent_Done,
     /*  303732 */   // Label 5653: @303732
     /*  303732 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(303795), // Rule ID 9664 //
     /*  303737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303793 */     GIR_RootConstrainSelectedInstOperands,
     /*  303794 */     // GIR_Coverage, 9664,
     /*  303794 */     GIR_EraseRootFromParent_Done,
     /*  303795 */   // Label 5654: @303795
     /*  303795 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(303858), // Rule ID 9667 //
     /*  303800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303839 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303856 */     GIR_RootConstrainSelectedInstOperands,
     /*  303857 */     // GIR_Coverage, 9667,
     /*  303857 */     GIR_EraseRootFromParent_Done,
     /*  303858 */   // Label 5655: @303858
     /*  303858 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(303921), // Rule ID 9668 //
     /*  303863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303902 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303919 */     GIR_RootConstrainSelectedInstOperands,
     /*  303920 */     // GIR_Coverage, 9668,
     /*  303920 */     GIR_EraseRootFromParent_Done,
     /*  303921 */   // Label 5656: @303921
     /*  303921 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(303984), // Rule ID 9671 //
     /*  303926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303965 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303982 */     GIR_RootConstrainSelectedInstOperands,
     /*  303983 */     // GIR_Coverage, 9671,
     /*  303983 */     GIR_EraseRootFromParent_Done,
     /*  303984 */   // Label 5657: @303984
     /*  303984 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(304047), // Rule ID 9672 //
     /*  303989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  304003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  304006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304045 */     GIR_RootConstrainSelectedInstOperands,
     /*  304046 */     // GIR_Coverage, 9672,
     /*  304046 */     GIR_EraseRootFromParent_Done,
     /*  304047 */   // Label 5658: @304047
     /*  304047 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304110), // Rule ID 9675 //
     /*  304052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304108 */     GIR_RootConstrainSelectedInstOperands,
     /*  304109 */     // GIR_Coverage, 9675,
     /*  304109 */     GIR_EraseRootFromParent_Done,
     /*  304110 */   // Label 5659: @304110
     /*  304110 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304173), // Rule ID 9676 //
     /*  304115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304154 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304171 */     GIR_RootConstrainSelectedInstOperands,
     /*  304172 */     // GIR_Coverage, 9676,
     /*  304172 */     GIR_EraseRootFromParent_Done,
     /*  304173 */   // Label 5660: @304173
     /*  304173 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304236), // Rule ID 9679 //
     /*  304178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304234 */     GIR_RootConstrainSelectedInstOperands,
     /*  304235 */     // GIR_Coverage, 9679,
     /*  304235 */     GIR_EraseRootFromParent_Done,
     /*  304236 */   // Label 5661: @304236
     /*  304236 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304299), // Rule ID 9680 //
     /*  304241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304297 */     GIR_RootConstrainSelectedInstOperands,
     /*  304298 */     // GIR_Coverage, 9680,
     /*  304298 */     GIR_EraseRootFromParent_Done,
     /*  304299 */   // Label 5662: @304299
     /*  304299 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304362), // Rule ID 9683 //
     /*  304304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304360 */     GIR_RootConstrainSelectedInstOperands,
     /*  304361 */     // GIR_Coverage, 9683,
     /*  304361 */     GIR_EraseRootFromParent_Done,
     /*  304362 */   // Label 5663: @304362
     /*  304362 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304425), // Rule ID 9684 //
     /*  304367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304406 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304423 */     GIR_RootConstrainSelectedInstOperands,
     /*  304424 */     // GIR_Coverage, 9684,
     /*  304424 */     GIR_EraseRootFromParent_Done,
     /*  304425 */   // Label 5664: @304425
     /*  304425 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(304488), // Rule ID 9687 //
     /*  304430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304486 */     GIR_RootConstrainSelectedInstOperands,
     /*  304487 */     // GIR_Coverage, 9687,
     /*  304487 */     GIR_EraseRootFromParent_Done,
     /*  304488 */   // Label 5665: @304488
     /*  304488 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(304551), // Rule ID 9688 //
     /*  304493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304549 */     GIR_RootConstrainSelectedInstOperands,
     /*  304550 */     // GIR_Coverage, 9688,
     /*  304550 */     GIR_EraseRootFromParent_Done,
     /*  304551 */   // Label 5666: @304551
     /*  304551 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(304614), // Rule ID 9691 //
     /*  304556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304595 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304612 */     GIR_RootConstrainSelectedInstOperands,
     /*  304613 */     // GIR_Coverage, 9691,
     /*  304613 */     GIR_EraseRootFromParent_Done,
     /*  304614 */   // Label 5667: @304614
     /*  304614 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(304677), // Rule ID 9692 //
     /*  304619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304658 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304675 */     GIR_RootConstrainSelectedInstOperands,
     /*  304676 */     // GIR_Coverage, 9692,
     /*  304676 */     GIR_EraseRootFromParent_Done,
     /*  304677 */   // Label 5668: @304677
     /*  304677 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(304740), // Rule ID 9695 //
     /*  304682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  304696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  304699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  304724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304738 */     GIR_RootConstrainSelectedInstOperands,
     /*  304739 */     // GIR_Coverage, 9695,
     /*  304739 */     GIR_EraseRootFromParent_Done,
     /*  304740 */   // Label 5669: @304740
     /*  304740 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(304803), // Rule ID 9696 //
     /*  304745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  304759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  304762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  304787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304801 */     GIR_RootConstrainSelectedInstOperands,
     /*  304802 */     // GIR_Coverage, 9696,
     /*  304802 */     GIR_EraseRootFromParent_Done,
     /*  304803 */   // Label 5670: @304803
     /*  304803 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(304866), // Rule ID 9699 //
     /*  304808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  304850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304864 */     GIR_RootConstrainSelectedInstOperands,
     /*  304865 */     // GIR_Coverage, 9699,
     /*  304865 */     GIR_EraseRootFromParent_Done,
     /*  304866 */   // Label 5671: @304866
     /*  304866 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(304929), // Rule ID 9700 //
     /*  304871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304910 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  304913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304927 */     GIR_RootConstrainSelectedInstOperands,
     /*  304928 */     // GIR_Coverage, 9700,
     /*  304928 */     GIR_EraseRootFromParent_Done,
     /*  304929 */   // Label 5672: @304929
     /*  304929 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(304992), // Rule ID 9703 //
     /*  304934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  304976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304990 */     GIR_RootConstrainSelectedInstOperands,
     /*  304991 */     // GIR_Coverage, 9703,
     /*  304991 */     GIR_EraseRootFromParent_Done,
     /*  304992 */   // Label 5673: @304992
     /*  304992 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305055), // Rule ID 9704 //
     /*  304997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  305011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  305014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305053 */     GIR_RootConstrainSelectedInstOperands,
     /*  305054 */     // GIR_Coverage, 9704,
     /*  305054 */     GIR_EraseRootFromParent_Done,
     /*  305055 */   // Label 5674: @305055
     /*  305055 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305118), // Rule ID 9707 //
     /*  305060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305099 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305116 */     GIR_RootConstrainSelectedInstOperands,
     /*  305117 */     // GIR_Coverage, 9707,
     /*  305117 */     GIR_EraseRootFromParent_Done,
     /*  305118 */   // Label 5675: @305118
     /*  305118 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305181), // Rule ID 9708 //
     /*  305123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305179 */     GIR_RootConstrainSelectedInstOperands,
     /*  305180 */     // GIR_Coverage, 9708,
     /*  305180 */     GIR_EraseRootFromParent_Done,
     /*  305181 */   // Label 5676: @305181
     /*  305181 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305244), // Rule ID 9711 //
     /*  305186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305242 */     GIR_RootConstrainSelectedInstOperands,
     /*  305243 */     // GIR_Coverage, 9711,
     /*  305243 */     GIR_EraseRootFromParent_Done,
     /*  305244 */   // Label 5677: @305244
     /*  305244 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305307), // Rule ID 9712 //
     /*  305249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305305 */     GIR_RootConstrainSelectedInstOperands,
     /*  305306 */     // GIR_Coverage, 9712,
     /*  305306 */     GIR_EraseRootFromParent_Done,
     /*  305307 */   // Label 5678: @305307
     /*  305307 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305370), // Rule ID 9715 //
     /*  305312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305351 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305368 */     GIR_RootConstrainSelectedInstOperands,
     /*  305369 */     // GIR_Coverage, 9715,
     /*  305369 */     GIR_EraseRootFromParent_Done,
     /*  305370 */   // Label 5679: @305370
     /*  305370 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(305433), // Rule ID 9716 //
     /*  305375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305431 */     GIR_RootConstrainSelectedInstOperands,
     /*  305432 */     // GIR_Coverage, 9716,
     /*  305432 */     GIR_EraseRootFromParent_Done,
     /*  305433 */   // Label 5680: @305433
     /*  305433 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(305496), // Rule ID 9719 //
     /*  305438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305494 */     GIR_RootConstrainSelectedInstOperands,
     /*  305495 */     // GIR_Coverage, 9719,
     /*  305495 */     GIR_EraseRootFromParent_Done,
     /*  305496 */   // Label 5681: @305496
     /*  305496 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(305559), // Rule ID 9720 //
     /*  305501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305557 */     GIR_RootConstrainSelectedInstOperands,
     /*  305558 */     // GIR_Coverage, 9720,
     /*  305558 */     GIR_EraseRootFromParent_Done,
     /*  305559 */   // Label 5682: @305559
     /*  305559 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(305622), // Rule ID 9723 //
     /*  305564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305603 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305620 */     GIR_RootConstrainSelectedInstOperands,
     /*  305621 */     // GIR_Coverage, 9723,
     /*  305621 */     GIR_EraseRootFromParent_Done,
     /*  305622 */   // Label 5683: @305622
     /*  305622 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(305685), // Rule ID 9724 //
     /*  305627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305683 */     GIR_RootConstrainSelectedInstOperands,
     /*  305684 */     // GIR_Coverage, 9724,
     /*  305684 */     GIR_EraseRootFromParent_Done,
     /*  305685 */   // Label 5684: @305685
     /*  305685 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(305748), // Rule ID 9727 //
     /*  305690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  305704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  305707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305729 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305746 */     GIR_RootConstrainSelectedInstOperands,
     /*  305747 */     // GIR_Coverage, 9727,
     /*  305747 */     GIR_EraseRootFromParent_Done,
     /*  305748 */   // Label 5685: @305748
     /*  305748 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(305811), // Rule ID 9728 //
     /*  305753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  305767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  305770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305809 */     GIR_RootConstrainSelectedInstOperands,
     /*  305810 */     // GIR_Coverage, 9728,
     /*  305810 */     GIR_EraseRootFromParent_Done,
     /*  305811 */   // Label 5686: @305811
     /*  305811 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(305874), // Rule ID 9731 //
     /*  305816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305855 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305872 */     GIR_RootConstrainSelectedInstOperands,
     /*  305873 */     // GIR_Coverage, 9731,
     /*  305873 */     GIR_EraseRootFromParent_Done,
     /*  305874 */   // Label 5687: @305874
     /*  305874 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(305937), // Rule ID 9732 //
     /*  305879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305918 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305935 */     GIR_RootConstrainSelectedInstOperands,
     /*  305936 */     // GIR_Coverage, 9732,
     /*  305936 */     GIR_EraseRootFromParent_Done,
     /*  305937 */   // Label 5688: @305937
     /*  305937 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(306000), // Rule ID 9735 //
     /*  305942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305998 */     GIR_RootConstrainSelectedInstOperands,
     /*  305999 */     // GIR_Coverage, 9735,
     /*  305999 */     GIR_EraseRootFromParent_Done,
     /*  306000 */   // Label 5689: @306000
     /*  306000 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306063), // Rule ID 9736 //
     /*  306005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  306019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  306022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306061 */     GIR_RootConstrainSelectedInstOperands,
     /*  306062 */     // GIR_Coverage, 9736,
     /*  306062 */     GIR_EraseRootFromParent_Done,
     /*  306063 */   // Label 5690: @306063
     /*  306063 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306126), // Rule ID 9739 //
     /*  306068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306107 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306124 */     GIR_RootConstrainSelectedInstOperands,
     /*  306125 */     // GIR_Coverage, 9739,
     /*  306125 */     GIR_EraseRootFromParent_Done,
     /*  306126 */   // Label 5691: @306126
     /*  306126 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306189), // Rule ID 9740 //
     /*  306131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306170 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306187 */     GIR_RootConstrainSelectedInstOperands,
     /*  306188 */     // GIR_Coverage, 9740,
     /*  306188 */     GIR_EraseRootFromParent_Done,
     /*  306189 */   // Label 5692: @306189
     /*  306189 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306252), // Rule ID 9743 //
     /*  306194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306233 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306250 */     GIR_RootConstrainSelectedInstOperands,
     /*  306251 */     // GIR_Coverage, 9743,
     /*  306251 */     GIR_EraseRootFromParent_Done,
     /*  306252 */   // Label 5693: @306252
     /*  306252 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306315), // Rule ID 9744 //
     /*  306257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306296 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306313 */     GIR_RootConstrainSelectedInstOperands,
     /*  306314 */     // GIR_Coverage, 9744,
     /*  306314 */     GIR_EraseRootFromParent_Done,
     /*  306315 */   // Label 5694: @306315
     /*  306315 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306378), // Rule ID 9747 //
     /*  306320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306376 */     GIR_RootConstrainSelectedInstOperands,
     /*  306377 */     // GIR_Coverage, 9747,
     /*  306377 */     GIR_EraseRootFromParent_Done,
     /*  306378 */   // Label 5695: @306378
     /*  306378 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(306441), // Rule ID 9748 //
     /*  306383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306439 */     GIR_RootConstrainSelectedInstOperands,
     /*  306440 */     // GIR_Coverage, 9748,
     /*  306440 */     GIR_EraseRootFromParent_Done,
     /*  306441 */   // Label 5696: @306441
     /*  306441 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(306504), // Rule ID 9751 //
     /*  306446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306485 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306502 */     GIR_RootConstrainSelectedInstOperands,
     /*  306503 */     // GIR_Coverage, 9751,
     /*  306503 */     GIR_EraseRootFromParent_Done,
     /*  306504 */   // Label 5697: @306504
     /*  306504 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(306567), // Rule ID 9752 //
     /*  306509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306565 */     GIR_RootConstrainSelectedInstOperands,
     /*  306566 */     // GIR_Coverage, 9752,
     /*  306566 */     GIR_EraseRootFromParent_Done,
     /*  306567 */   // Label 5698: @306567
     /*  306567 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(306630), // Rule ID 9755 //
     /*  306572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306611 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306628 */     GIR_RootConstrainSelectedInstOperands,
     /*  306629 */     // GIR_Coverage, 9755,
     /*  306629 */     GIR_EraseRootFromParent_Done,
     /*  306630 */   // Label 5699: @306630
     /*  306630 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(306693), // Rule ID 9756 //
     /*  306635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306674 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306691 */     GIR_RootConstrainSelectedInstOperands,
     /*  306692 */     // GIR_Coverage, 9756,
     /*  306692 */     GIR_EraseRootFromParent_Done,
     /*  306693 */   // Label 5700: @306693
     /*  306693 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(306756), // Rule ID 9759 //
     /*  306698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  306712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  306715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306754 */     GIR_RootConstrainSelectedInstOperands,
     /*  306755 */     // GIR_Coverage, 9759,
     /*  306755 */     GIR_EraseRootFromParent_Done,
     /*  306756 */   // Label 5701: @306756
     /*  306756 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(306819), // Rule ID 9760 //
     /*  306761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  306775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  306778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306817 */     GIR_RootConstrainSelectedInstOperands,
     /*  306818 */     // GIR_Coverage, 9760,
     /*  306818 */     GIR_EraseRootFromParent_Done,
     /*  306819 */   // Label 5702: @306819
     /*  306819 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(306882), // Rule ID 9763 //
     /*  306824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306863 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306880 */     GIR_RootConstrainSelectedInstOperands,
     /*  306881 */     // GIR_Coverage, 9763,
     /*  306881 */     GIR_EraseRootFromParent_Done,
     /*  306882 */   // Label 5703: @306882
     /*  306882 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(306945), // Rule ID 9764 //
     /*  306887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306943 */     GIR_RootConstrainSelectedInstOperands,
     /*  306944 */     // GIR_Coverage, 9764,
     /*  306944 */     GIR_EraseRootFromParent_Done,
     /*  306945 */   // Label 5704: @306945
     /*  306945 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(307008), // Rule ID 9767 //
     /*  306950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307006 */     GIR_RootConstrainSelectedInstOperands,
     /*  307007 */     // GIR_Coverage, 9767,
     /*  307007 */     GIR_EraseRootFromParent_Done,
     /*  307008 */   // Label 5705: @307008
     /*  307008 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307071), // Rule ID 9768 //
     /*  307013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307069 */     GIR_RootConstrainSelectedInstOperands,
     /*  307070 */     // GIR_Coverage, 9768,
     /*  307070 */     GIR_EraseRootFromParent_Done,
     /*  307071 */   // Label 5706: @307071
     /*  307071 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307134), // Rule ID 9771 //
     /*  307076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307132 */     GIR_RootConstrainSelectedInstOperands,
     /*  307133 */     // GIR_Coverage, 9771,
     /*  307133 */     GIR_EraseRootFromParent_Done,
     /*  307134 */   // Label 5707: @307134
     /*  307134 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307197), // Rule ID 9772 //
     /*  307139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307195 */     GIR_RootConstrainSelectedInstOperands,
     /*  307196 */     // GIR_Coverage, 9772,
     /*  307196 */     GIR_EraseRootFromParent_Done,
     /*  307197 */   // Label 5708: @307197
     /*  307197 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307260), // Rule ID 9775 //
     /*  307202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307241 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307258 */     GIR_RootConstrainSelectedInstOperands,
     /*  307259 */     // GIR_Coverage, 9775,
     /*  307259 */     GIR_EraseRootFromParent_Done,
     /*  307260 */   // Label 5709: @307260
     /*  307260 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307323), // Rule ID 9776 //
     /*  307265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307321 */     GIR_RootConstrainSelectedInstOperands,
     /*  307322 */     // GIR_Coverage, 9776,
     /*  307322 */     GIR_EraseRootFromParent_Done,
     /*  307323 */   // Label 5710: @307323
     /*  307323 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307386), // Rule ID 9779 //
     /*  307328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307384 */     GIR_RootConstrainSelectedInstOperands,
     /*  307385 */     // GIR_Coverage, 9779,
     /*  307385 */     GIR_EraseRootFromParent_Done,
     /*  307386 */   // Label 5711: @307386
     /*  307386 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(307449), // Rule ID 9780 //
     /*  307391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307430 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307447 */     GIR_RootConstrainSelectedInstOperands,
     /*  307448 */     // GIR_Coverage, 9780,
     /*  307448 */     GIR_EraseRootFromParent_Done,
     /*  307449 */   // Label 5712: @307449
     /*  307449 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(307515), // Rule ID 13855 //
     /*  307454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307493 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307513 */     GIR_RootConstrainSelectedInstOperands,
     /*  307514 */     // GIR_Coverage, 13855,
     /*  307514 */     GIR_EraseRootFromParent_Done,
     /*  307515 */   // Label 5713: @307515
     /*  307515 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(307581), // Rule ID 13856 //
     /*  307520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307579 */     GIR_RootConstrainSelectedInstOperands,
     /*  307580 */     // GIR_Coverage, 13856,
     /*  307580 */     GIR_EraseRootFromParent_Done,
     /*  307581 */   // Label 5714: @307581
     /*  307581 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(307647), // Rule ID 13857 //
     /*  307586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  307597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307625 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307645 */     GIR_RootConstrainSelectedInstOperands,
     /*  307646 */     // GIR_Coverage, 13857,
     /*  307646 */     GIR_EraseRootFromParent_Done,
     /*  307647 */   // Label 5715: @307647
     /*  307647 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(307713), // Rule ID 13858 //
     /*  307652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  307663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307691 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307711 */     GIR_RootConstrainSelectedInstOperands,
     /*  307712 */     // GIR_Coverage, 13858,
     /*  307712 */     GIR_EraseRootFromParent_Done,
     /*  307713 */   // Label 5716: @307713
     /*  307713 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(307779), // Rule ID 13859 //
     /*  307718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  307729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  307732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  307735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307757 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  307760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307777 */     GIR_RootConstrainSelectedInstOperands,
     /*  307778 */     // GIR_Coverage, 13859,
     /*  307778 */     GIR_EraseRootFromParent_Done,
     /*  307779 */   // Label 5717: @307779
     /*  307779 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(307845), // Rule ID 13860 //
     /*  307784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  307795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  307798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  307801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307823 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  307826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307843 */     GIR_RootConstrainSelectedInstOperands,
     /*  307844 */     // GIR_Coverage, 13860,
     /*  307844 */     GIR_EraseRootFromParent_Done,
     /*  307845 */   // Label 5718: @307845
     /*  307845 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(307911), // Rule ID 13861 //
     /*  307850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  307861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307909 */     GIR_RootConstrainSelectedInstOperands,
     /*  307910 */     // GIR_Coverage, 13861,
     /*  307910 */     GIR_EraseRootFromParent_Done,
     /*  307911 */   // Label 5719: @307911
     /*  307911 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(307977), // Rule ID 13862 //
     /*  307916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  307927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307955 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307975 */     GIR_RootConstrainSelectedInstOperands,
     /*  307976 */     // GIR_Coverage, 13862,
     /*  307976 */     GIR_EraseRootFromParent_Done,
     /*  307977 */   // Label 5720: @307977
     /*  307977 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(308043), // Rule ID 13863 //
     /*  307982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  307993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  307996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  307999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308041 */     GIR_RootConstrainSelectedInstOperands,
     /*  308042 */     // GIR_Coverage, 13863,
     /*  308042 */     GIR_EraseRootFromParent_Done,
     /*  308043 */   // Label 5721: @308043
     /*  308043 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308109), // Rule ID 13864 //
     /*  308048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308107 */     GIR_RootConstrainSelectedInstOperands,
     /*  308108 */     // GIR_Coverage, 13864,
     /*  308108 */     GIR_EraseRootFromParent_Done,
     /*  308109 */   // Label 5722: @308109
     /*  308109 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308175), // Rule ID 13865 //
     /*  308114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308153 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308173 */     GIR_RootConstrainSelectedInstOperands,
     /*  308174 */     // GIR_Coverage, 13865,
     /*  308174 */     GIR_EraseRootFromParent_Done,
     /*  308175 */   // Label 5723: @308175
     /*  308175 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308241), // Rule ID 13866 //
     /*  308180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308239 */     GIR_RootConstrainSelectedInstOperands,
     /*  308240 */     // GIR_Coverage, 13866,
     /*  308240 */     GIR_EraseRootFromParent_Done,
     /*  308241 */   // Label 5724: @308241
     /*  308241 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308307), // Rule ID 13867 //
     /*  308246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308285 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308305 */     GIR_RootConstrainSelectedInstOperands,
     /*  308306 */     // GIR_Coverage, 13867,
     /*  308306 */     GIR_EraseRootFromParent_Done,
     /*  308307 */   // Label 5725: @308307
     /*  308307 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308373), // Rule ID 13868 //
     /*  308312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308371 */     GIR_RootConstrainSelectedInstOperands,
     /*  308372 */     // GIR_Coverage, 13868,
     /*  308372 */     GIR_EraseRootFromParent_Done,
     /*  308373 */   // Label 5726: @308373
     /*  308373 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308439), // Rule ID 13869 //
     /*  308378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308437 */     GIR_RootConstrainSelectedInstOperands,
     /*  308438 */     // GIR_Coverage, 13869,
     /*  308438 */     GIR_EraseRootFromParent_Done,
     /*  308439 */   // Label 5727: @308439
     /*  308439 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(308505), // Rule ID 13870 //
     /*  308444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308503 */     GIR_RootConstrainSelectedInstOperands,
     /*  308504 */     // GIR_Coverage, 13870,
     /*  308504 */     GIR_EraseRootFromParent_Done,
     /*  308505 */   // Label 5728: @308505
     /*  308505 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(308571), // Rule ID 13871 //
     /*  308510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308569 */     GIR_RootConstrainSelectedInstOperands,
     /*  308570 */     // GIR_Coverage, 13871,
     /*  308570 */     GIR_EraseRootFromParent_Done,
     /*  308571 */   // Label 5729: @308571
     /*  308571 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(308637), // Rule ID 13872 //
     /*  308576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308635 */     GIR_RootConstrainSelectedInstOperands,
     /*  308636 */     // GIR_Coverage, 13872,
     /*  308636 */     GIR_EraseRootFromParent_Done,
     /*  308637 */   // Label 5730: @308637
     /*  308637 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(308703), // Rule ID 13873 //
     /*  308642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  308653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308681 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308701 */     GIR_RootConstrainSelectedInstOperands,
     /*  308702 */     // GIR_Coverage, 13873,
     /*  308702 */     GIR_EraseRootFromParent_Done,
     /*  308703 */   // Label 5731: @308703
     /*  308703 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(308769), // Rule ID 13874 //
     /*  308708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  308719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308767 */     GIR_RootConstrainSelectedInstOperands,
     /*  308768 */     // GIR_Coverage, 13874,
     /*  308768 */     GIR_EraseRootFromParent_Done,
     /*  308769 */   // Label 5732: @308769
     /*  308769 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(308835), // Rule ID 13875 //
     /*  308774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  308785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  308788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  308791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308833 */     GIR_RootConstrainSelectedInstOperands,
     /*  308834 */     // GIR_Coverage, 13875,
     /*  308834 */     GIR_EraseRootFromParent_Done,
     /*  308835 */   // Label 5733: @308835
     /*  308835 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(308901), // Rule ID 13876 //
     /*  308840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  308851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  308854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  308857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308879 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308899 */     GIR_RootConstrainSelectedInstOperands,
     /*  308900 */     // GIR_Coverage, 13876,
     /*  308900 */     GIR_EraseRootFromParent_Done,
     /*  308901 */   // Label 5734: @308901
     /*  308901 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(308967), // Rule ID 13877 //
     /*  308906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  308917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308945 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308965 */     GIR_RootConstrainSelectedInstOperands,
     /*  308966 */     // GIR_Coverage, 13877,
     /*  308966 */     GIR_EraseRootFromParent_Done,
     /*  308967 */   // Label 5735: @308967
     /*  308967 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(309033), // Rule ID 13878 //
     /*  308972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  308983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309011 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309031 */     GIR_RootConstrainSelectedInstOperands,
     /*  309032 */     // GIR_Coverage, 13878,
     /*  309032 */     GIR_EraseRootFromParent_Done,
     /*  309033 */   // Label 5736: @309033
     /*  309033 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309099), // Rule ID 13879 //
     /*  309038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  309049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309077 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309097 */     GIR_RootConstrainSelectedInstOperands,
     /*  309098 */     // GIR_Coverage, 13879,
     /*  309098 */     GIR_EraseRootFromParent_Done,
     /*  309099 */   // Label 5737: @309099
     /*  309099 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309165), // Rule ID 13880 //
     /*  309104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  309115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309143 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309163 */     GIR_RootConstrainSelectedInstOperands,
     /*  309164 */     // GIR_Coverage, 13880,
     /*  309164 */     GIR_EraseRootFromParent_Done,
     /*  309165 */   // Label 5738: @309165
     /*  309165 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309231), // Rule ID 13881 //
     /*  309170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309229 */     GIR_RootConstrainSelectedInstOperands,
     /*  309230 */     // GIR_Coverage, 13881,
     /*  309230 */     GIR_EraseRootFromParent_Done,
     /*  309231 */   // Label 5739: @309231
     /*  309231 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309297), // Rule ID 13882 //
     /*  309236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309295 */     GIR_RootConstrainSelectedInstOperands,
     /*  309296 */     // GIR_Coverage, 13882,
     /*  309296 */     GIR_EraseRootFromParent_Done,
     /*  309297 */   // Label 5740: @309297
     /*  309297 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309363), // Rule ID 13883 //
     /*  309302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309341 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309361 */     GIR_RootConstrainSelectedInstOperands,
     /*  309362 */     // GIR_Coverage, 13883,
     /*  309362 */     GIR_EraseRootFromParent_Done,
     /*  309363 */   // Label 5741: @309363
     /*  309363 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309429), // Rule ID 13884 //
     /*  309368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309407 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309427 */     GIR_RootConstrainSelectedInstOperands,
     /*  309428 */     // GIR_Coverage, 13884,
     /*  309428 */     GIR_EraseRootFromParent_Done,
     /*  309429 */   // Label 5742: @309429
     /*  309429 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309495), // Rule ID 13885 //
     /*  309434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309473 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309493 */     GIR_RootConstrainSelectedInstOperands,
     /*  309494 */     // GIR_Coverage, 13885,
     /*  309494 */     GIR_EraseRootFromParent_Done,
     /*  309495 */   // Label 5743: @309495
     /*  309495 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(309561), // Rule ID 13886 //
     /*  309500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309559 */     GIR_RootConstrainSelectedInstOperands,
     /*  309560 */     // GIR_Coverage, 13886,
     /*  309560 */     GIR_EraseRootFromParent_Done,
     /*  309561 */   // Label 5744: @309561
     /*  309561 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(309627), // Rule ID 13887 //
     /*  309566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309625 */     GIR_RootConstrainSelectedInstOperands,
     /*  309626 */     // GIR_Coverage, 13887,
     /*  309626 */     GIR_EraseRootFromParent_Done,
     /*  309627 */   // Label 5745: @309627
     /*  309627 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(309693), // Rule ID 13888 //
     /*  309632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309691 */     GIR_RootConstrainSelectedInstOperands,
     /*  309692 */     // GIR_Coverage, 13888,
     /*  309692 */     GIR_EraseRootFromParent_Done,
     /*  309693 */   // Label 5746: @309693
     /*  309693 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(309759), // Rule ID 13889 //
     /*  309698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  309709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309737 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309757 */     GIR_RootConstrainSelectedInstOperands,
     /*  309758 */     // GIR_Coverage, 13889,
     /*  309758 */     GIR_EraseRootFromParent_Done,
     /*  309759 */   // Label 5747: @309759
     /*  309759 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(309825), // Rule ID 13890 //
     /*  309764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  309775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309823 */     GIR_RootConstrainSelectedInstOperands,
     /*  309824 */     // GIR_Coverage, 13890,
     /*  309824 */     GIR_EraseRootFromParent_Done,
     /*  309825 */   // Label 5748: @309825
     /*  309825 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(309891), // Rule ID 13891 //
     /*  309830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  309841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309869 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309889 */     GIR_RootConstrainSelectedInstOperands,
     /*  309890 */     // GIR_Coverage, 13891,
     /*  309890 */     GIR_EraseRootFromParent_Done,
     /*  309891 */   // Label 5749: @309891
     /*  309891 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(309957), // Rule ID 13892 //
     /*  309896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  309907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309935 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309955 */     GIR_RootConstrainSelectedInstOperands,
     /*  309956 */     // GIR_Coverage, 13892,
     /*  309956 */     GIR_EraseRootFromParent_Done,
     /*  309957 */   // Label 5750: @309957
     /*  309957 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(310023), // Rule ID 13893 //
     /*  309962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  309973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310021 */     GIR_RootConstrainSelectedInstOperands,
     /*  310022 */     // GIR_Coverage, 13893,
     /*  310022 */     GIR_EraseRootFromParent_Done,
     /*  310023 */   // Label 5751: @310023
     /*  310023 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310089), // Rule ID 13894 //
     /*  310028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310087 */     GIR_RootConstrainSelectedInstOperands,
     /*  310088 */     // GIR_Coverage, 13894,
     /*  310088 */     GIR_EraseRootFromParent_Done,
     /*  310089 */   // Label 5752: @310089
     /*  310089 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310155), // Rule ID 13895 //
     /*  310094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310133 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310153 */     GIR_RootConstrainSelectedInstOperands,
     /*  310154 */     // GIR_Coverage, 13895,
     /*  310154 */     GIR_EraseRootFromParent_Done,
     /*  310155 */   // Label 5753: @310155
     /*  310155 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310221), // Rule ID 13896 //
     /*  310160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310219 */     GIR_RootConstrainSelectedInstOperands,
     /*  310220 */     // GIR_Coverage, 13896,
     /*  310220 */     GIR_EraseRootFromParent_Done,
     /*  310221 */   // Label 5754: @310221
     /*  310221 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310287), // Rule ID 13897 //
     /*  310226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310265 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310285 */     GIR_RootConstrainSelectedInstOperands,
     /*  310286 */     // GIR_Coverage, 13897,
     /*  310286 */     GIR_EraseRootFromParent_Done,
     /*  310287 */   // Label 5755: @310287
     /*  310287 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310353), // Rule ID 13898 //
     /*  310292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310351 */     GIR_RootConstrainSelectedInstOperands,
     /*  310352 */     // GIR_Coverage, 13898,
     /*  310352 */     GIR_EraseRootFromParent_Done,
     /*  310353 */   // Label 5756: @310353
     /*  310353 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310419), // Rule ID 13899 //
     /*  310358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310397 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310417 */     GIR_RootConstrainSelectedInstOperands,
     /*  310418 */     // GIR_Coverage, 13899,
     /*  310418 */     GIR_EraseRootFromParent_Done,
     /*  310419 */   // Label 5757: @310419
     /*  310419 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310485), // Rule ID 13900 //
     /*  310424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310463 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310483 */     GIR_RootConstrainSelectedInstOperands,
     /*  310484 */     // GIR_Coverage, 13900,
     /*  310484 */     GIR_EraseRootFromParent_Done,
     /*  310485 */   // Label 5758: @310485
     /*  310485 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310551), // Rule ID 13901 //
     /*  310490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310529 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310549 */     GIR_RootConstrainSelectedInstOperands,
     /*  310550 */     // GIR_Coverage, 13901,
     /*  310550 */     GIR_EraseRootFromParent_Done,
     /*  310551 */   // Label 5759: @310551
     /*  310551 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(310617), // Rule ID 13902 //
     /*  310556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310595 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310615 */     GIR_RootConstrainSelectedInstOperands,
     /*  310616 */     // GIR_Coverage, 13902,
     /*  310616 */     GIR_EraseRootFromParent_Done,
     /*  310617 */   // Label 5760: @310617
     /*  310617 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(310683), // Rule ID 13903 //
     /*  310622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  310633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310661 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310681 */     GIR_RootConstrainSelectedInstOperands,
     /*  310682 */     // GIR_Coverage, 13903,
     /*  310682 */     GIR_EraseRootFromParent_Done,
     /*  310683 */   // Label 5761: @310683
     /*  310683 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(310749), // Rule ID 13904 //
     /*  310688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  310699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310727 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310747 */     GIR_RootConstrainSelectedInstOperands,
     /*  310748 */     // GIR_Coverage, 13904,
     /*  310748 */     GIR_EraseRootFromParent_Done,
     /*  310749 */   // Label 5762: @310749
     /*  310749 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(310815), // Rule ID 13905 //
     /*  310754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  310765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310793 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310813 */     GIR_RootConstrainSelectedInstOperands,
     /*  310814 */     // GIR_Coverage, 13905,
     /*  310814 */     GIR_EraseRootFromParent_Done,
     /*  310815 */   // Label 5763: @310815
     /*  310815 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(310881), // Rule ID 13906 //
     /*  310820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  310831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310859 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310879 */     GIR_RootConstrainSelectedInstOperands,
     /*  310880 */     // GIR_Coverage, 13906,
     /*  310880 */     GIR_EraseRootFromParent_Done,
     /*  310881 */   // Label 5764: @310881
     /*  310881 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(310947), // Rule ID 13907 //
     /*  310886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  310897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310925 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310945 */     GIR_RootConstrainSelectedInstOperands,
     /*  310946 */     // GIR_Coverage, 13907,
     /*  310946 */     GIR_EraseRootFromParent_Done,
     /*  310947 */   // Label 5765: @310947
     /*  310947 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(311013), // Rule ID 13908 //
     /*  310952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  310963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311011 */     GIR_RootConstrainSelectedInstOperands,
     /*  311012 */     // GIR_Coverage, 13908,
     /*  311012 */     GIR_EraseRootFromParent_Done,
     /*  311013 */   // Label 5766: @311013
     /*  311013 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311079), // Rule ID 13909 //
     /*  311018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311057 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311077 */     GIR_RootConstrainSelectedInstOperands,
     /*  311078 */     // GIR_Coverage, 13909,
     /*  311078 */     GIR_EraseRootFromParent_Done,
     /*  311079 */   // Label 5767: @311079
     /*  311079 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311145), // Rule ID 13910 //
     /*  311084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311123 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311143 */     GIR_RootConstrainSelectedInstOperands,
     /*  311144 */     // GIR_Coverage, 13910,
     /*  311144 */     GIR_EraseRootFromParent_Done,
     /*  311145 */   // Label 5768: @311145
     /*  311145 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311211), // Rule ID 13911 //
     /*  311150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311189 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311209 */     GIR_RootConstrainSelectedInstOperands,
     /*  311210 */     // GIR_Coverage, 13911,
     /*  311210 */     GIR_EraseRootFromParent_Done,
     /*  311211 */   // Label 5769: @311211
     /*  311211 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311277), // Rule ID 13912 //
     /*  311216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311255 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311275 */     GIR_RootConstrainSelectedInstOperands,
     /*  311276 */     // GIR_Coverage, 13912,
     /*  311276 */     GIR_EraseRootFromParent_Done,
     /*  311277 */   // Label 5770: @311277
     /*  311277 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311343), // Rule ID 13913 //
     /*  311282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311321 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311341 */     GIR_RootConstrainSelectedInstOperands,
     /*  311342 */     // GIR_Coverage, 13913,
     /*  311342 */     GIR_EraseRootFromParent_Done,
     /*  311343 */   // Label 5771: @311343
     /*  311343 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311409), // Rule ID 13914 //
     /*  311348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311387 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311407 */     GIR_RootConstrainSelectedInstOperands,
     /*  311408 */     // GIR_Coverage, 13914,
     /*  311408 */     GIR_EraseRootFromParent_Done,
     /*  311409 */   // Label 5772: @311409
     /*  311409 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311475), // Rule ID 13915 //
     /*  311414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311453 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311473 */     GIR_RootConstrainSelectedInstOperands,
     /*  311474 */     // GIR_Coverage, 13915,
     /*  311474 */     GIR_EraseRootFromParent_Done,
     /*  311475 */   // Label 5773: @311475
     /*  311475 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311541), // Rule ID 13916 //
     /*  311480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311519 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311539 */     GIR_RootConstrainSelectedInstOperands,
     /*  311540 */     // GIR_Coverage, 13916,
     /*  311540 */     GIR_EraseRootFromParent_Done,
     /*  311541 */   // Label 5774: @311541
     /*  311541 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311607), // Rule ID 13917 //
     /*  311546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311585 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311605 */     GIR_RootConstrainSelectedInstOperands,
     /*  311606 */     // GIR_Coverage, 13917,
     /*  311606 */     GIR_EraseRootFromParent_Done,
     /*  311607 */   // Label 5775: @311607
     /*  311607 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(311673), // Rule ID 13918 //
     /*  311612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311651 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311671 */     GIR_RootConstrainSelectedInstOperands,
     /*  311672 */     // GIR_Coverage, 13918,
     /*  311672 */     GIR_EraseRootFromParent_Done,
     /*  311673 */   // Label 5776: @311673
     /*  311673 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(311739), // Rule ID 13919 //
     /*  311678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311717 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311737 */     GIR_RootConstrainSelectedInstOperands,
     /*  311738 */     // GIR_Coverage, 13919,
     /*  311738 */     GIR_EraseRootFromParent_Done,
     /*  311739 */   // Label 5777: @311739
     /*  311739 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(311805), // Rule ID 13920 //
     /*  311744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311803 */     GIR_RootConstrainSelectedInstOperands,
     /*  311804 */     // GIR_Coverage, 13920,
     /*  311804 */     GIR_EraseRootFromParent_Done,
     /*  311805 */   // Label 5778: @311805
     /*  311805 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(311871), // Rule ID 13921 //
     /*  311810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311849 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311869 */     GIR_RootConstrainSelectedInstOperands,
     /*  311870 */     // GIR_Coverage, 13921,
     /*  311870 */     GIR_EraseRootFromParent_Done,
     /*  311871 */   // Label 5779: @311871
     /*  311871 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(311937), // Rule ID 13922 //
     /*  311876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311915 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311935 */     GIR_RootConstrainSelectedInstOperands,
     /*  311936 */     // GIR_Coverage, 13922,
     /*  311936 */     GIR_EraseRootFromParent_Done,
     /*  311937 */   // Label 5780: @311937
     /*  311937 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(312003), // Rule ID 13923 //
     /*  311942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  311953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311981 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312001 */     GIR_RootConstrainSelectedInstOperands,
     /*  312002 */     // GIR_Coverage, 13923,
     /*  312002 */     GIR_EraseRootFromParent_Done,
     /*  312003 */   // Label 5781: @312003
     /*  312003 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312069), // Rule ID 13924 //
     /*  312008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312047 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312067 */     GIR_RootConstrainSelectedInstOperands,
     /*  312068 */     // GIR_Coverage, 13924,
     /*  312068 */     GIR_EraseRootFromParent_Done,
     /*  312069 */   // Label 5782: @312069
     /*  312069 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312135), // Rule ID 13925 //
     /*  312074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312113 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312133 */     GIR_RootConstrainSelectedInstOperands,
     /*  312134 */     // GIR_Coverage, 13925,
     /*  312134 */     GIR_EraseRootFromParent_Done,
     /*  312135 */   // Label 5783: @312135
     /*  312135 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312201), // Rule ID 13926 //
     /*  312140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312179 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312199 */     GIR_RootConstrainSelectedInstOperands,
     /*  312200 */     // GIR_Coverage, 13926,
     /*  312200 */     GIR_EraseRootFromParent_Done,
     /*  312201 */   // Label 5784: @312201
     /*  312201 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312267), // Rule ID 13927 //
     /*  312206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312245 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312265 */     GIR_RootConstrainSelectedInstOperands,
     /*  312266 */     // GIR_Coverage, 13927,
     /*  312266 */     GIR_EraseRootFromParent_Done,
     /*  312267 */   // Label 5785: @312267
     /*  312267 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312333), // Rule ID 13928 //
     /*  312272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312311 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312331 */     GIR_RootConstrainSelectedInstOperands,
     /*  312332 */     // GIR_Coverage, 13928,
     /*  312332 */     GIR_EraseRootFromParent_Done,
     /*  312333 */   // Label 5786: @312333
     /*  312333 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312399), // Rule ID 18931 //
     /*  312338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312397 */     GIR_RootConstrainSelectedInstOperands,
     /*  312398 */     // GIR_Coverage, 18931,
     /*  312398 */     GIR_EraseRootFromParent_Done,
     /*  312399 */   // Label 5787: @312399
     /*  312399 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312465), // Rule ID 18932 //
     /*  312404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312443 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312463 */     GIR_RootConstrainSelectedInstOperands,
     /*  312464 */     // GIR_Coverage, 18932,
     /*  312464 */     GIR_EraseRootFromParent_Done,
     /*  312465 */   // Label 5788: @312465
     /*  312465 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312531), // Rule ID 18935 //
     /*  312470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312509 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312529 */     GIR_RootConstrainSelectedInstOperands,
     /*  312530 */     // GIR_Coverage, 18935,
     /*  312530 */     GIR_EraseRootFromParent_Done,
     /*  312531 */   // Label 5789: @312531
     /*  312531 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312597), // Rule ID 18936 //
     /*  312536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312575 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312595 */     GIR_RootConstrainSelectedInstOperands,
     /*  312596 */     // GIR_Coverage, 18936,
     /*  312596 */     GIR_EraseRootFromParent_Done,
     /*  312597 */   // Label 5790: @312597
     /*  312597 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(312663), // Rule ID 18939 //
     /*  312602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  312613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312641 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  312644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312661 */     GIR_RootConstrainSelectedInstOperands,
     /*  312662 */     // GIR_Coverage, 18939,
     /*  312662 */     GIR_EraseRootFromParent_Done,
     /*  312663 */   // Label 5791: @312663
     /*  312663 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(312729), // Rule ID 18940 //
     /*  312668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  312679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312707 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  312710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312727 */     GIR_RootConstrainSelectedInstOperands,
     /*  312728 */     // GIR_Coverage, 18940,
     /*  312728 */     GIR_EraseRootFromParent_Done,
     /*  312729 */   // Label 5792: @312729
     /*  312729 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(312795), // Rule ID 18943 //
     /*  312734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312773 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  312776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312793 */     GIR_RootConstrainSelectedInstOperands,
     /*  312794 */     // GIR_Coverage, 18943,
     /*  312794 */     GIR_EraseRootFromParent_Done,
     /*  312795 */   // Label 5793: @312795
     /*  312795 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(312861), // Rule ID 18944 //
     /*  312800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  312842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312859 */     GIR_RootConstrainSelectedInstOperands,
     /*  312860 */     // GIR_Coverage, 18944,
     /*  312860 */     GIR_EraseRootFromParent_Done,
     /*  312861 */   // Label 5794: @312861
     /*  312861 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(312927), // Rule ID 18947 //
     /*  312866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312905 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  312908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312925 */     GIR_RootConstrainSelectedInstOperands,
     /*  312926 */     // GIR_Coverage, 18947,
     /*  312926 */     GIR_EraseRootFromParent_Done,
     /*  312927 */   // Label 5795: @312927
     /*  312927 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(312993), // Rule ID 18948 //
     /*  312932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312971 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  312974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312991 */     GIR_RootConstrainSelectedInstOperands,
     /*  312992 */     // GIR_Coverage, 18948,
     /*  312992 */     GIR_EraseRootFromParent_Done,
     /*  312993 */   // Label 5796: @312993
     /*  312993 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313059), // Rule ID 18951 //
     /*  312998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313037 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  313040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313057 */     GIR_RootConstrainSelectedInstOperands,
     /*  313058 */     // GIR_Coverage, 18951,
     /*  313058 */     GIR_EraseRootFromParent_Done,
     /*  313059 */   // Label 5797: @313059
     /*  313059 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313125), // Rule ID 18952 //
     /*  313064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  313106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313123 */     GIR_RootConstrainSelectedInstOperands,
     /*  313124 */     // GIR_Coverage, 18952,
     /*  313124 */     GIR_EraseRootFromParent_Done,
     /*  313125 */   // Label 5798: @313125
     /*  313125 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313191), // Rule ID 18955 //
     /*  313130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313169 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313189 */     GIR_RootConstrainSelectedInstOperands,
     /*  313190 */     // GIR_Coverage, 18955,
     /*  313190 */     GIR_EraseRootFromParent_Done,
     /*  313191 */   // Label 5799: @313191
     /*  313191 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313257), // Rule ID 18956 //
     /*  313196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313235 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313255 */     GIR_RootConstrainSelectedInstOperands,
     /*  313256 */     // GIR_Coverage, 18956,
     /*  313256 */     GIR_EraseRootFromParent_Done,
     /*  313257 */   // Label 5800: @313257
     /*  313257 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313323), // Rule ID 18959 //
     /*  313262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313301 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313321 */     GIR_RootConstrainSelectedInstOperands,
     /*  313322 */     // GIR_Coverage, 18959,
     /*  313322 */     GIR_EraseRootFromParent_Done,
     /*  313323 */   // Label 5801: @313323
     /*  313323 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313389), // Rule ID 18960 //
     /*  313328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313367 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313387 */     GIR_RootConstrainSelectedInstOperands,
     /*  313388 */     // GIR_Coverage, 18960,
     /*  313388 */     GIR_EraseRootFromParent_Done,
     /*  313389 */   // Label 5802: @313389
     /*  313389 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313455), // Rule ID 18963 //
     /*  313394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313433 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313453 */     GIR_RootConstrainSelectedInstOperands,
     /*  313454 */     // GIR_Coverage, 18963,
     /*  313454 */     GIR_EraseRootFromParent_Done,
     /*  313455 */   // Label 5803: @313455
     /*  313455 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313521), // Rule ID 18964 //
     /*  313460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313499 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313519 */     GIR_RootConstrainSelectedInstOperands,
     /*  313520 */     // GIR_Coverage, 18964,
     /*  313520 */     GIR_EraseRootFromParent_Done,
     /*  313521 */   // Label 5804: @313521
     /*  313521 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313587), // Rule ID 18967 //
     /*  313526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313565 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  313568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313585 */     GIR_RootConstrainSelectedInstOperands,
     /*  313586 */     // GIR_Coverage, 18967,
     /*  313586 */     GIR_EraseRootFromParent_Done,
     /*  313587 */   // Label 5805: @313587
     /*  313587 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(313653), // Rule ID 18968 //
     /*  313592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313631 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  313634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313651 */     GIR_RootConstrainSelectedInstOperands,
     /*  313652 */     // GIR_Coverage, 18968,
     /*  313652 */     GIR_EraseRootFromParent_Done,
     /*  313653 */   // Label 5806: @313653
     /*  313653 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(313719), // Rule ID 18971 //
     /*  313658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  313669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  313675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313697 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  313700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313717 */     GIR_RootConstrainSelectedInstOperands,
     /*  313718 */     // GIR_Coverage, 18971,
     /*  313718 */     GIR_EraseRootFromParent_Done,
     /*  313719 */   // Label 5807: @313719
     /*  313719 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(313785), // Rule ID 18972 //
     /*  313724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  313735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  313741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313763 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  313766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313783 */     GIR_RootConstrainSelectedInstOperands,
     /*  313784 */     // GIR_Coverage, 18972,
     /*  313784 */     GIR_EraseRootFromParent_Done,
     /*  313785 */   // Label 5808: @313785
     /*  313785 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(313851), // Rule ID 18975 //
     /*  313790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313829 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  313832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313849 */     GIR_RootConstrainSelectedInstOperands,
     /*  313850 */     // GIR_Coverage, 18975,
     /*  313850 */     GIR_EraseRootFromParent_Done,
     /*  313851 */   // Label 5809: @313851
     /*  313851 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(313917), // Rule ID 18976 //
     /*  313856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313895 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  313898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313915 */     GIR_RootConstrainSelectedInstOperands,
     /*  313916 */     // GIR_Coverage, 18976,
     /*  313916 */     GIR_EraseRootFromParent_Done,
     /*  313917 */   // Label 5810: @313917
     /*  313917 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(313983), // Rule ID 18979 //
     /*  313922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  313939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313961 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  313964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313981 */     GIR_RootConstrainSelectedInstOperands,
     /*  313982 */     // GIR_Coverage, 18979,
     /*  313982 */     GIR_EraseRootFromParent_Done,
     /*  313983 */   // Label 5811: @313983
     /*  313983 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(314049), // Rule ID 18980 //
     /*  313988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314027 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  314030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314047 */     GIR_RootConstrainSelectedInstOperands,
     /*  314048 */     // GIR_Coverage, 18980,
     /*  314048 */     GIR_EraseRootFromParent_Done,
     /*  314049 */   // Label 5812: @314049
     /*  314049 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314115), // Rule ID 18983 //
     /*  314054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314093 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314113 */     GIR_RootConstrainSelectedInstOperands,
     /*  314114 */     // GIR_Coverage, 18983,
     /*  314114 */     GIR_EraseRootFromParent_Done,
     /*  314115 */   // Label 5813: @314115
     /*  314115 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314181), // Rule ID 18984 //
     /*  314120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314159 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314179 */     GIR_RootConstrainSelectedInstOperands,
     /*  314180 */     // GIR_Coverage, 18984,
     /*  314180 */     GIR_EraseRootFromParent_Done,
     /*  314181 */   // Label 5814: @314181
     /*  314181 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314244), // Rule ID 19647 //
     /*  314186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314242 */     GIR_RootConstrainSelectedInstOperands,
     /*  314243 */     // GIR_Coverage, 19647,
     /*  314243 */     GIR_EraseRootFromParent_Done,
     /*  314244 */   // Label 5815: @314244
     /*  314244 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314307), // Rule ID 19648 //
     /*  314249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314305 */     GIR_RootConstrainSelectedInstOperands,
     /*  314306 */     // GIR_Coverage, 19648,
     /*  314306 */     GIR_EraseRootFromParent_Done,
     /*  314307 */   // Label 5816: @314307
     /*  314307 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314370), // Rule ID 19651 //
     /*  314312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314351 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314368 */     GIR_RootConstrainSelectedInstOperands,
     /*  314369 */     // GIR_Coverage, 19651,
     /*  314369 */     GIR_EraseRootFromParent_Done,
     /*  314370 */   // Label 5817: @314370
     /*  314370 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314433), // Rule ID 19652 //
     /*  314375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314414 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314431 */     GIR_RootConstrainSelectedInstOperands,
     /*  314432 */     // GIR_Coverage, 19652,
     /*  314432 */     GIR_EraseRootFromParent_Done,
     /*  314433 */   // Label 5818: @314433
     /*  314433 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314496), // Rule ID 19655 //
     /*  314438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314494 */     GIR_RootConstrainSelectedInstOperands,
     /*  314495 */     // GIR_Coverage, 19655,
     /*  314495 */     GIR_EraseRootFromParent_Done,
     /*  314496 */   // Label 5819: @314496
     /*  314496 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314559), // Rule ID 19656 //
     /*  314501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314557 */     GIR_RootConstrainSelectedInstOperands,
     /*  314558 */     // GIR_Coverage, 19656,
     /*  314558 */     GIR_EraseRootFromParent_Done,
     /*  314559 */   // Label 5820: @314559
     /*  314559 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(314622), // Rule ID 19659 //
     /*  314564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314603 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314620 */     GIR_RootConstrainSelectedInstOperands,
     /*  314621 */     // GIR_Coverage, 19659,
     /*  314621 */     GIR_EraseRootFromParent_Done,
     /*  314622 */   // Label 5821: @314622
     /*  314622 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(314685), // Rule ID 19660 //
     /*  314627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314683 */     GIR_RootConstrainSelectedInstOperands,
     /*  314684 */     // GIR_Coverage, 19660,
     /*  314684 */     GIR_EraseRootFromParent_Done,
     /*  314685 */   // Label 5822: @314685
     /*  314685 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(314748), // Rule ID 19663 //
     /*  314690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  314704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  314707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314729 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314746 */     GIR_RootConstrainSelectedInstOperands,
     /*  314747 */     // GIR_Coverage, 19663,
     /*  314747 */     GIR_EraseRootFromParent_Done,
     /*  314748 */   // Label 5823: @314748
     /*  314748 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(314811), // Rule ID 19664 //
     /*  314753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  314767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  314770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314809 */     GIR_RootConstrainSelectedInstOperands,
     /*  314810 */     // GIR_Coverage, 19664,
     /*  314810 */     GIR_EraseRootFromParent_Done,
     /*  314811 */   // Label 5824: @314811
     /*  314811 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(314874), // Rule ID 19667 //
     /*  314816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  314830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  314833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314855 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  314855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314872 */     GIR_RootConstrainSelectedInstOperands,
     /*  314873 */     // GIR_Coverage, 19667,
     /*  314873 */     GIR_EraseRootFromParent_Done,
     /*  314874 */   // Label 5825: @314874
     /*  314874 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(314937), // Rule ID 19668 //
     /*  314879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  314893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  314896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314918 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  314918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314935 */     GIR_RootConstrainSelectedInstOperands,
     /*  314936 */     // GIR_Coverage, 19668,
     /*  314936 */     GIR_EraseRootFromParent_Done,
     /*  314937 */   // Label 5826: @314937
     /*  314937 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(315000), // Rule ID 19671 //
     /*  314942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  314984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314998 */     GIR_RootConstrainSelectedInstOperands,
     /*  314999 */     // GIR_Coverage, 19671,
     /*  314999 */     GIR_EraseRootFromParent_Done,
     /*  315000 */   // Label 5827: @315000
     /*  315000 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315063), // Rule ID 19672 //
     /*  315005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315061 */     GIR_RootConstrainSelectedInstOperands,
     /*  315062 */     // GIR_Coverage, 19672,
     /*  315062 */     GIR_EraseRootFromParent_Done,
     /*  315063 */   // Label 5828: @315063
     /*  315063 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315126), // Rule ID 19675 //
     /*  315068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315124 */     GIR_RootConstrainSelectedInstOperands,
     /*  315125 */     // GIR_Coverage, 19675,
     /*  315125 */     GIR_EraseRootFromParent_Done,
     /*  315126 */   // Label 5829: @315126
     /*  315126 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315189), // Rule ID 19676 //
     /*  315131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315170 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315187 */     GIR_RootConstrainSelectedInstOperands,
     /*  315188 */     // GIR_Coverage, 19676,
     /*  315188 */     GIR_EraseRootFromParent_Done,
     /*  315189 */   // Label 5830: @315189
     /*  315189 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315252), // Rule ID 19679 //
     /*  315194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315233 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315250 */     GIR_RootConstrainSelectedInstOperands,
     /*  315251 */     // GIR_Coverage, 19679,
     /*  315251 */     GIR_EraseRootFromParent_Done,
     /*  315252 */   // Label 5831: @315252
     /*  315252 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315315), // Rule ID 19680 //
     /*  315257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315296 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315313 */     GIR_RootConstrainSelectedInstOperands,
     /*  315314 */     // GIR_Coverage, 19680,
     /*  315314 */     GIR_EraseRootFromParent_Done,
     /*  315315 */   // Label 5832: @315315
     /*  315315 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315378), // Rule ID 19683 //
     /*  315320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315376 */     GIR_RootConstrainSelectedInstOperands,
     /*  315377 */     // GIR_Coverage, 19683,
     /*  315377 */     GIR_EraseRootFromParent_Done,
     /*  315378 */   // Label 5833: @315378
     /*  315378 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315441), // Rule ID 19684 //
     /*  315383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315422 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315439 */     GIR_RootConstrainSelectedInstOperands,
     /*  315440 */     // GIR_Coverage, 19684,
     /*  315440 */     GIR_EraseRootFromParent_Done,
     /*  315441 */   // Label 5834: @315441
     /*  315441 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315504), // Rule ID 19687 //
     /*  315446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315502 */     GIR_RootConstrainSelectedInstOperands,
     /*  315503 */     // GIR_Coverage, 19687,
     /*  315503 */     GIR_EraseRootFromParent_Done,
     /*  315504 */   // Label 5835: @315504
     /*  315504 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(315567), // Rule ID 19688 //
     /*  315509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315565 */     GIR_RootConstrainSelectedInstOperands,
     /*  315566 */     // GIR_Coverage, 19688,
     /*  315566 */     GIR_EraseRootFromParent_Done,
     /*  315567 */   // Label 5836: @315567
     /*  315567 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(315630), // Rule ID 19691 //
     /*  315572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315611 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315628 */     GIR_RootConstrainSelectedInstOperands,
     /*  315629 */     // GIR_Coverage, 19691,
     /*  315629 */     GIR_EraseRootFromParent_Done,
     /*  315630 */   // Label 5837: @315630
     /*  315630 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(315693), // Rule ID 19692 //
     /*  315635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315674 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315691 */     GIR_RootConstrainSelectedInstOperands,
     /*  315692 */     // GIR_Coverage, 19692,
     /*  315692 */     GIR_EraseRootFromParent_Done,
     /*  315693 */   // Label 5838: @315693
     /*  315693 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(315756), // Rule ID 19695 //
     /*  315698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315754 */     GIR_RootConstrainSelectedInstOperands,
     /*  315755 */     // GIR_Coverage, 19695,
     /*  315755 */     GIR_EraseRootFromParent_Done,
     /*  315756 */   // Label 5839: @315756
     /*  315756 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(315819), // Rule ID 19696 //
     /*  315761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315817 */     GIR_RootConstrainSelectedInstOperands,
     /*  315818 */     // GIR_Coverage, 19696,
     /*  315818 */     GIR_EraseRootFromParent_Done,
     /*  315819 */   // Label 5840: @315819
     /*  315819 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(315882), // Rule ID 19699 //
     /*  315824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315880 */     GIR_RootConstrainSelectedInstOperands,
     /*  315881 */     // GIR_Coverage, 19699,
     /*  315881 */     GIR_EraseRootFromParent_Done,
     /*  315882 */   // Label 5841: @315882
     /*  315882 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(315945), // Rule ID 19700 //
     /*  315887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315926 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315943 */     GIR_RootConstrainSelectedInstOperands,
     /*  315944 */     // GIR_Coverage, 19700,
     /*  315944 */     GIR_EraseRootFromParent_Done,
     /*  315945 */   // Label 5842: @315945
     /*  315945 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(316008), // Rule ID 19703 //
     /*  315950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316006 */     GIR_RootConstrainSelectedInstOperands,
     /*  316007 */     // GIR_Coverage, 19703,
     /*  316007 */     GIR_EraseRootFromParent_Done,
     /*  316008 */   // Label 5843: @316008
     /*  316008 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316071), // Rule ID 19704 //
     /*  316013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316069 */     GIR_RootConstrainSelectedInstOperands,
     /*  316070 */     // GIR_Coverage, 19704,
     /*  316070 */     GIR_EraseRootFromParent_Done,
     /*  316071 */   // Label 5844: @316071
     /*  316071 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316134), // Rule ID 19707 //
     /*  316076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316115 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316132 */     GIR_RootConstrainSelectedInstOperands,
     /*  316133 */     // GIR_Coverage, 19707,
     /*  316133 */     GIR_EraseRootFromParent_Done,
     /*  316134 */   // Label 5845: @316134
     /*  316134 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316197), // Rule ID 19708 //
     /*  316139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316195 */     GIR_RootConstrainSelectedInstOperands,
     /*  316196 */     // GIR_Coverage, 19708,
     /*  316196 */     GIR_EraseRootFromParent_Done,
     /*  316197 */   // Label 5846: @316197
     /*  316197 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316260), // Rule ID 19711 //
     /*  316202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316258 */     GIR_RootConstrainSelectedInstOperands,
     /*  316259 */     // GIR_Coverage, 19711,
     /*  316259 */     GIR_EraseRootFromParent_Done,
     /*  316260 */   // Label 5847: @316260
     /*  316260 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316323), // Rule ID 19712 //
     /*  316265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316321 */     GIR_RootConstrainSelectedInstOperands,
     /*  316322 */     // GIR_Coverage, 19712,
     /*  316322 */     GIR_EraseRootFromParent_Done,
     /*  316323 */   // Label 5848: @316323
     /*  316323 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316386), // Rule ID 19715 //
     /*  316328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316367 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316384 */     GIR_RootConstrainSelectedInstOperands,
     /*  316385 */     // GIR_Coverage, 19715,
     /*  316385 */     GIR_EraseRootFromParent_Done,
     /*  316386 */   // Label 5849: @316386
     /*  316386 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316449), // Rule ID 19716 //
     /*  316391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316447 */     GIR_RootConstrainSelectedInstOperands,
     /*  316448 */     // GIR_Coverage, 19716,
     /*  316448 */     GIR_EraseRootFromParent_Done,
     /*  316449 */   // Label 5850: @316449
     /*  316449 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(316512), // Rule ID 19719 //
     /*  316454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316510 */     GIR_RootConstrainSelectedInstOperands,
     /*  316511 */     // GIR_Coverage, 19719,
     /*  316511 */     GIR_EraseRootFromParent_Done,
     /*  316512 */   // Label 5851: @316512
     /*  316512 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(316575), // Rule ID 19720 //
     /*  316517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316573 */     GIR_RootConstrainSelectedInstOperands,
     /*  316574 */     // GIR_Coverage, 19720,
     /*  316574 */     GIR_EraseRootFromParent_Done,
     /*  316575 */   // Label 5852: @316575
     /*  316575 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(316638), // Rule ID 19723 //
     /*  316580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  316622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316636 */     GIR_RootConstrainSelectedInstOperands,
     /*  316637 */     // GIR_Coverage, 19723,
     /*  316637 */     GIR_EraseRootFromParent_Done,
     /*  316638 */   // Label 5853: @316638
     /*  316638 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(316701), // Rule ID 19724 //
     /*  316643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  316685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316699 */     GIR_RootConstrainSelectedInstOperands,
     /*  316700 */     // GIR_Coverage, 19724,
     /*  316700 */     GIR_EraseRootFromParent_Done,
     /*  316701 */   // Label 5854: @316701
     /*  316701 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(316764), // Rule ID 19727 //
     /*  316706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  316748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316762 */     GIR_RootConstrainSelectedInstOperands,
     /*  316763 */     // GIR_Coverage, 19727,
     /*  316763 */     GIR_EraseRootFromParent_Done,
     /*  316764 */   // Label 5855: @316764
     /*  316764 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(316827), // Rule ID 19728 //
     /*  316769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  316811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316825 */     GIR_RootConstrainSelectedInstOperands,
     /*  316826 */     // GIR_Coverage, 19728,
     /*  316826 */     GIR_EraseRootFromParent_Done,
     /*  316827 */   // Label 5856: @316827
     /*  316827 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(316890), // Rule ID 19731 //
     /*  316832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  316874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316888 */     GIR_RootConstrainSelectedInstOperands,
     /*  316889 */     // GIR_Coverage, 19731,
     /*  316889 */     GIR_EraseRootFromParent_Done,
     /*  316890 */   // Label 5857: @316890
     /*  316890 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(316953), // Rule ID 19732 //
     /*  316895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316934 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  316937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316951 */     GIR_RootConstrainSelectedInstOperands,
     /*  316952 */     // GIR_Coverage, 19732,
     /*  316952 */     GIR_EraseRootFromParent_Done,
     /*  316953 */   // Label 5858: @316953
     /*  316953 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(317016), // Rule ID 19735 //
     /*  316958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  317000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317014 */     GIR_RootConstrainSelectedInstOperands,
     /*  317015 */     // GIR_Coverage, 19735,
     /*  317015 */     GIR_EraseRootFromParent_Done,
     /*  317016 */   // Label 5859: @317016
     /*  317016 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317079), // Rule ID 19736 //
     /*  317021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  317063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317077 */     GIR_RootConstrainSelectedInstOperands,
     /*  317078 */     // GIR_Coverage, 19736,
     /*  317078 */     GIR_EraseRootFromParent_Done,
     /*  317079 */   // Label 5860: @317079
     /*  317079 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317142), // Rule ID 19739 //
     /*  317084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317123 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317140 */     GIR_RootConstrainSelectedInstOperands,
     /*  317141 */     // GIR_Coverage, 19739,
     /*  317141 */     GIR_EraseRootFromParent_Done,
     /*  317142 */   // Label 5861: @317142
     /*  317142 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317205), // Rule ID 19740 //
     /*  317147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317186 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317203 */     GIR_RootConstrainSelectedInstOperands,
     /*  317204 */     // GIR_Coverage, 19740,
     /*  317204 */     GIR_EraseRootFromParent_Done,
     /*  317205 */   // Label 5862: @317205
     /*  317205 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317268), // Rule ID 19743 //
     /*  317210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317266 */     GIR_RootConstrainSelectedInstOperands,
     /*  317267 */     // GIR_Coverage, 19743,
     /*  317267 */     GIR_EraseRootFromParent_Done,
     /*  317268 */   // Label 5863: @317268
     /*  317268 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317331), // Rule ID 19744 //
     /*  317273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317329 */     GIR_RootConstrainSelectedInstOperands,
     /*  317330 */     // GIR_Coverage, 19744,
     /*  317330 */     GIR_EraseRootFromParent_Done,
     /*  317331 */   // Label 5864: @317331
     /*  317331 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317394), // Rule ID 19747 //
     /*  317336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317392 */     GIR_RootConstrainSelectedInstOperands,
     /*  317393 */     // GIR_Coverage, 19747,
     /*  317393 */     GIR_EraseRootFromParent_Done,
     /*  317394 */   // Label 5865: @317394
     /*  317394 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317457), // Rule ID 19748 //
     /*  317399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317455 */     GIR_RootConstrainSelectedInstOperands,
     /*  317456 */     // GIR_Coverage, 19748,
     /*  317456 */     GIR_EraseRootFromParent_Done,
     /*  317457 */   // Label 5866: @317457
     /*  317457 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(317520), // Rule ID 19751 //
     /*  317462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317501 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317518 */     GIR_RootConstrainSelectedInstOperands,
     /*  317519 */     // GIR_Coverage, 19751,
     /*  317519 */     GIR_EraseRootFromParent_Done,
     /*  317520 */   // Label 5867: @317520
     /*  317520 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(317583), // Rule ID 19752 //
     /*  317525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317581 */     GIR_RootConstrainSelectedInstOperands,
     /*  317582 */     // GIR_Coverage, 19752,
     /*  317582 */     GIR_EraseRootFromParent_Done,
     /*  317583 */   // Label 5868: @317583
     /*  317583 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(317646), // Rule ID 19755 //
     /*  317588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  317630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317644 */     GIR_RootConstrainSelectedInstOperands,
     /*  317645 */     // GIR_Coverage, 19755,
     /*  317645 */     GIR_EraseRootFromParent_Done,
     /*  317646 */   // Label 5869: @317646
     /*  317646 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(317709), // Rule ID 19756 //
     /*  317651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317690 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  317693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317707 */     GIR_RootConstrainSelectedInstOperands,
     /*  317708 */     // GIR_Coverage, 19756,
     /*  317708 */     GIR_EraseRootFromParent_Done,
     /*  317709 */   // Label 5870: @317709
     /*  317709 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(317772), // Rule ID 19759 //
     /*  317714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  317756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317770 */     GIR_RootConstrainSelectedInstOperands,
     /*  317771 */     // GIR_Coverage, 19759,
     /*  317771 */     GIR_EraseRootFromParent_Done,
     /*  317772 */   // Label 5871: @317772
     /*  317772 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(317835), // Rule ID 19760 //
     /*  317777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  317819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317833 */     GIR_RootConstrainSelectedInstOperands,
     /*  317834 */     // GIR_Coverage, 19760,
     /*  317834 */     GIR_EraseRootFromParent_Done,
     /*  317835 */   // Label 5872: @317835
     /*  317835 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(317898), // Rule ID 19763 //
     /*  317840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317879 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  317882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317896 */     GIR_RootConstrainSelectedInstOperands,
     /*  317897 */     // GIR_Coverage, 19763,
     /*  317897 */     GIR_EraseRootFromParent_Done,
     /*  317898 */   // Label 5873: @317898
     /*  317898 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(317961), // Rule ID 19764 //
     /*  317903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  317945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317959 */     GIR_RootConstrainSelectedInstOperands,
     /*  317960 */     // GIR_Coverage, 19764,
     /*  317960 */     GIR_EraseRootFromParent_Done,
     /*  317961 */   // Label 5874: @317961
     /*  317961 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(318024), // Rule ID 19767 //
     /*  317966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  317983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  318008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318022 */     GIR_RootConstrainSelectedInstOperands,
     /*  318023 */     // GIR_Coverage, 19767,
     /*  318023 */     GIR_EraseRootFromParent_Done,
     /*  318024 */   // Label 5875: @318024
     /*  318024 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318087), // Rule ID 19768 //
     /*  318029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  318071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318085 */     GIR_RootConstrainSelectedInstOperands,
     /*  318086 */     // GIR_Coverage, 19768,
     /*  318086 */     GIR_EraseRootFromParent_Done,
     /*  318087 */   // Label 5876: @318087
     /*  318087 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318150), // Rule ID 19771 //
     /*  318092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318148 */     GIR_RootConstrainSelectedInstOperands,
     /*  318149 */     // GIR_Coverage, 19771,
     /*  318149 */     GIR_EraseRootFromParent_Done,
     /*  318150 */   // Label 5877: @318150
     /*  318150 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318213), // Rule ID 19772 //
     /*  318155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318211 */     GIR_RootConstrainSelectedInstOperands,
     /*  318212 */     // GIR_Coverage, 19772,
     /*  318212 */     GIR_EraseRootFromParent_Done,
     /*  318213 */   // Label 5878: @318213
     /*  318213 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318276), // Rule ID 19775 //
     /*  318218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318257 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318274 */     GIR_RootConstrainSelectedInstOperands,
     /*  318275 */     // GIR_Coverage, 19775,
     /*  318275 */     GIR_EraseRootFromParent_Done,
     /*  318276 */   // Label 5879: @318276
     /*  318276 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318339), // Rule ID 19776 //
     /*  318281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318337 */     GIR_RootConstrainSelectedInstOperands,
     /*  318338 */     // GIR_Coverage, 19776,
     /*  318338 */     GIR_EraseRootFromParent_Done,
     /*  318339 */   // Label 5880: @318339
     /*  318339 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318402), // Rule ID 19779 //
     /*  318344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318383 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318400 */     GIR_RootConstrainSelectedInstOperands,
     /*  318401 */     // GIR_Coverage, 19779,
     /*  318401 */     GIR_EraseRootFromParent_Done,
     /*  318402 */   // Label 5881: @318402
     /*  318402 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(318465), // Rule ID 19780 //
     /*  318407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318463 */     GIR_RootConstrainSelectedInstOperands,
     /*  318464 */     // GIR_Coverage, 19780,
     /*  318464 */     GIR_EraseRootFromParent_Done,
     /*  318465 */   // Label 5882: @318465
     /*  318465 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(318528), // Rule ID 19783 //
     /*  318470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318526 */     GIR_RootConstrainSelectedInstOperands,
     /*  318527 */     // GIR_Coverage, 19783,
     /*  318527 */     GIR_EraseRootFromParent_Done,
     /*  318528 */   // Label 5883: @318528
     /*  318528 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(318591), // Rule ID 19784 //
     /*  318533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318589 */     GIR_RootConstrainSelectedInstOperands,
     /*  318590 */     // GIR_Coverage, 19784,
     /*  318590 */     GIR_EraseRootFromParent_Done,
     /*  318591 */   // Label 5884: @318591
     /*  318591 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(318654), // Rule ID 19787 //
     /*  318596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318635 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318652 */     GIR_RootConstrainSelectedInstOperands,
     /*  318653 */     // GIR_Coverage, 19787,
     /*  318653 */     GIR_EraseRootFromParent_Done,
     /*  318654 */   // Label 5885: @318654
     /*  318654 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(318717), // Rule ID 19788 //
     /*  318659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318715 */     GIR_RootConstrainSelectedInstOperands,
     /*  318716 */     // GIR_Coverage, 19788,
     /*  318716 */     GIR_EraseRootFromParent_Done,
     /*  318717 */   // Label 5886: @318717
     /*  318717 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(318780), // Rule ID 19791 //
     /*  318722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  318739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  318764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318778 */     GIR_RootConstrainSelectedInstOperands,
     /*  318779 */     // GIR_Coverage, 19791,
     /*  318779 */     GIR_EraseRootFromParent_Done,
     /*  318780 */   // Label 5887: @318780
     /*  318780 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(318843), // Rule ID 19792 //
     /*  318785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  318802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  318827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318841 */     GIR_RootConstrainSelectedInstOperands,
     /*  318842 */     // GIR_Coverage, 19792,
     /*  318842 */     GIR_EraseRootFromParent_Done,
     /*  318843 */   // Label 5888: @318843
     /*  318843 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(318906), // Rule ID 19795 //
     /*  318848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  318865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318904 */     GIR_RootConstrainSelectedInstOperands,
     /*  318905 */     // GIR_Coverage, 19795,
     /*  318905 */     GIR_EraseRootFromParent_Done,
     /*  318906 */   // Label 5889: @318906
     /*  318906 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(318969), // Rule ID 19796 //
     /*  318911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  318928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318950 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318967 */     GIR_RootConstrainSelectedInstOperands,
     /*  318968 */     // GIR_Coverage, 19796,
     /*  318968 */     GIR_EraseRootFromParent_Done,
     /*  318969 */   // Label 5890: @318969
     /*  318969 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(319032), // Rule ID 19799 //
     /*  318974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  318985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  318991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319013 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319030 */     GIR_RootConstrainSelectedInstOperands,
     /*  319031 */     // GIR_Coverage, 19799,
     /*  319031 */     GIR_EraseRootFromParent_Done,
     /*  319032 */   // Label 5891: @319032
     /*  319032 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319095), // Rule ID 19800 //
     /*  319037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319076 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319093 */     GIR_RootConstrainSelectedInstOperands,
     /*  319094 */     // GIR_Coverage, 19800,
     /*  319094 */     GIR_EraseRootFromParent_Done,
     /*  319095 */   // Label 5892: @319095
     /*  319095 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319158), // Rule ID 19803 //
     /*  319100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319139 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319156 */     GIR_RootConstrainSelectedInstOperands,
     /*  319157 */     // GIR_Coverage, 19803,
     /*  319157 */     GIR_EraseRootFromParent_Done,
     /*  319158 */   // Label 5893: @319158
     /*  319158 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319221), // Rule ID 19804 //
     /*  319163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319202 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319219 */     GIR_RootConstrainSelectedInstOperands,
     /*  319220 */     // GIR_Coverage, 19804,
     /*  319220 */     GIR_EraseRootFromParent_Done,
     /*  319221 */   // Label 5894: @319221
     /*  319221 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319284), // Rule ID 19807 //
     /*  319226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319282 */     GIR_RootConstrainSelectedInstOperands,
     /*  319283 */     // GIR_Coverage, 19807,
     /*  319283 */     GIR_EraseRootFromParent_Done,
     /*  319284 */   // Label 5895: @319284
     /*  319284 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319347), // Rule ID 19808 //
     /*  319289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319345 */     GIR_RootConstrainSelectedInstOperands,
     /*  319346 */     // GIR_Coverage, 19808,
     /*  319346 */     GIR_EraseRootFromParent_Done,
     /*  319347 */   // Label 5896: @319347
     /*  319347 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319410), // Rule ID 19811 //
     /*  319352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319391 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319408 */     GIR_RootConstrainSelectedInstOperands,
     /*  319409 */     // GIR_Coverage, 19811,
     /*  319409 */     GIR_EraseRootFromParent_Done,
     /*  319410 */   // Label 5897: @319410
     /*  319410 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(319473), // Rule ID 19812 //
     /*  319415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319454 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319471 */     GIR_RootConstrainSelectedInstOperands,
     /*  319472 */     // GIR_Coverage, 19812,
     /*  319472 */     GIR_EraseRootFromParent_Done,
     /*  319473 */   // Label 5898: @319473
     /*  319473 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(319536), // Rule ID 19815 //
     /*  319478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319534 */     GIR_RootConstrainSelectedInstOperands,
     /*  319535 */     // GIR_Coverage, 19815,
     /*  319535 */     GIR_EraseRootFromParent_Done,
     /*  319536 */   // Label 5899: @319536
     /*  319536 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(319599), // Rule ID 19816 //
     /*  319541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319597 */     GIR_RootConstrainSelectedInstOperands,
     /*  319598 */     // GIR_Coverage, 19816,
     /*  319598 */     GIR_EraseRootFromParent_Done,
     /*  319599 */   // Label 5900: @319599
     /*  319599 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(319662), // Rule ID 19819 //
     /*  319604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  319621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319660 */     GIR_RootConstrainSelectedInstOperands,
     /*  319661 */     // GIR_Coverage, 19819,
     /*  319661 */     GIR_EraseRootFromParent_Done,
     /*  319662 */   // Label 5901: @319662
     /*  319662 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(319725), // Rule ID 19820 //
     /*  319667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  319684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319723 */     GIR_RootConstrainSelectedInstOperands,
     /*  319724 */     // GIR_Coverage, 19820,
     /*  319724 */     GIR_EraseRootFromParent_Done,
     /*  319725 */   // Label 5902: @319725
     /*  319725 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(319788), // Rule ID 19823 //
     /*  319730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  319747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319769 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319786 */     GIR_RootConstrainSelectedInstOperands,
     /*  319787 */     // GIR_Coverage, 19823,
     /*  319787 */     GIR_EraseRootFromParent_Done,
     /*  319788 */   // Label 5903: @319788
     /*  319788 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(319851), // Rule ID 19824 //
     /*  319793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  319810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319849 */     GIR_RootConstrainSelectedInstOperands,
     /*  319850 */     // GIR_Coverage, 19824,
     /*  319850 */     GIR_EraseRootFromParent_Done,
     /*  319851 */   // Label 5904: @319851
     /*  319851 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(319914), // Rule ID 19827 //
     /*  319856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319895 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  319898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319912 */     GIR_RootConstrainSelectedInstOperands,
     /*  319913 */     // GIR_Coverage, 19827,
     /*  319913 */     GIR_EraseRootFromParent_Done,
     /*  319914 */   // Label 5905: @319914
     /*  319914 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(319977), // Rule ID 19828 //
     /*  319919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  319961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319975 */     GIR_RootConstrainSelectedInstOperands,
     /*  319976 */     // GIR_Coverage, 19828,
     /*  319976 */     GIR_EraseRootFromParent_Done,
     /*  319977 */   // Label 5906: @319977
     /*  319977 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(320040), // Rule ID 19831 //
     /*  319982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320021 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  320024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320038 */     GIR_RootConstrainSelectedInstOperands,
     /*  320039 */     // GIR_Coverage, 19831,
     /*  320039 */     GIR_EraseRootFromParent_Done,
     /*  320040 */   // Label 5907: @320040
     /*  320040 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320103), // Rule ID 19832 //
     /*  320045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  320087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320101 */     GIR_RootConstrainSelectedInstOperands,
     /*  320102 */     // GIR_Coverage, 19832,
     /*  320102 */     GIR_EraseRootFromParent_Done,
     /*  320103 */   // Label 5908: @320103
     /*  320103 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320166), // Rule ID 19835 //
     /*  320108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320147 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320164 */     GIR_RootConstrainSelectedInstOperands,
     /*  320165 */     // GIR_Coverage, 19835,
     /*  320165 */     GIR_EraseRootFromParent_Done,
     /*  320166 */   // Label 5909: @320166
     /*  320166 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320229), // Rule ID 19836 //
     /*  320171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320210 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320227 */     GIR_RootConstrainSelectedInstOperands,
     /*  320228 */     // GIR_Coverage, 19836,
     /*  320228 */     GIR_EraseRootFromParent_Done,
     /*  320229 */   // Label 5910: @320229
     /*  320229 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320292), // Rule ID 19839 //
     /*  320234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320290 */     GIR_RootConstrainSelectedInstOperands,
     /*  320291 */     // GIR_Coverage, 19839,
     /*  320291 */     GIR_EraseRootFromParent_Done,
     /*  320292 */   // Label 5911: @320292
     /*  320292 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320355), // Rule ID 19840 //
     /*  320297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320353 */     GIR_RootConstrainSelectedInstOperands,
     /*  320354 */     // GIR_Coverage, 19840,
     /*  320354 */     GIR_EraseRootFromParent_Done,
     /*  320355 */   // Label 5912: @320355
     /*  320355 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320418), // Rule ID 19843 //
     /*  320360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320416 */     GIR_RootConstrainSelectedInstOperands,
     /*  320417 */     // GIR_Coverage, 19843,
     /*  320417 */     GIR_EraseRootFromParent_Done,
     /*  320418 */   // Label 5913: @320418
     /*  320418 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(320481), // Rule ID 19844 //
     /*  320423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320462 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320479 */     GIR_RootConstrainSelectedInstOperands,
     /*  320480 */     // GIR_Coverage, 19844,
     /*  320480 */     GIR_EraseRootFromParent_Done,
     /*  320481 */   // Label 5914: @320481
     /*  320481 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(320544), // Rule ID 19847 //
     /*  320486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320525 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320542 */     GIR_RootConstrainSelectedInstOperands,
     /*  320543 */     // GIR_Coverage, 19847,
     /*  320543 */     GIR_EraseRootFromParent_Done,
     /*  320544 */   // Label 5915: @320544
     /*  320544 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(320607), // Rule ID 19848 //
     /*  320549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320605 */     GIR_RootConstrainSelectedInstOperands,
     /*  320606 */     // GIR_Coverage, 19848,
     /*  320606 */     GIR_EraseRootFromParent_Done,
     /*  320607 */   // Label 5916: @320607
     /*  320607 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(320670), // Rule ID 19851 //
     /*  320612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  320654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320668 */     GIR_RootConstrainSelectedInstOperands,
     /*  320669 */     // GIR_Coverage, 19851,
     /*  320669 */     GIR_EraseRootFromParent_Done,
     /*  320670 */   // Label 5917: @320670
     /*  320670 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(320733), // Rule ID 19852 //
     /*  320675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320714 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  320717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320731 */     GIR_RootConstrainSelectedInstOperands,
     /*  320732 */     // GIR_Coverage, 19852,
     /*  320732 */     GIR_EraseRootFromParent_Done,
     /*  320733 */   // Label 5918: @320733
     /*  320733 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(320796), // Rule ID 19855 //
     /*  320738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320777 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  320780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320794 */     GIR_RootConstrainSelectedInstOperands,
     /*  320795 */     // GIR_Coverage, 19855,
     /*  320795 */     GIR_EraseRootFromParent_Done,
     /*  320796 */   // Label 5919: @320796
     /*  320796 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(320859), // Rule ID 19856 //
     /*  320801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  320843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320857 */     GIR_RootConstrainSelectedInstOperands,
     /*  320858 */     // GIR_Coverage, 19856,
     /*  320858 */     GIR_EraseRootFromParent_Done,
     /*  320859 */   // Label 5920: @320859
     /*  320859 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(320922), // Rule ID 19859 //
     /*  320864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320903 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  320906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320920 */     GIR_RootConstrainSelectedInstOperands,
     /*  320921 */     // GIR_Coverage, 19859,
     /*  320921 */     GIR_EraseRootFromParent_Done,
     /*  320922 */   // Label 5921: @320922
     /*  320922 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(320985), // Rule ID 19860 //
     /*  320927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320966 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  320969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320983 */     GIR_RootConstrainSelectedInstOperands,
     /*  320984 */     // GIR_Coverage, 19860,
     /*  320984 */     GIR_EraseRootFromParent_Done,
     /*  320985 */   // Label 5922: @320985
     /*  320985 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(321048), // Rule ID 19863 //
     /*  320990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321029 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  321032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321046 */     GIR_RootConstrainSelectedInstOperands,
     /*  321047 */     // GIR_Coverage, 19863,
     /*  321047 */     GIR_EraseRootFromParent_Done,
     /*  321048 */   // Label 5923: @321048
     /*  321048 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321111), // Rule ID 19864 //
     /*  321053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  321095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321109 */     GIR_RootConstrainSelectedInstOperands,
     /*  321110 */     // GIR_Coverage, 19864,
     /*  321110 */     GIR_EraseRootFromParent_Done,
     /*  321111 */   // Label 5924: @321111
     /*  321111 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321174), // Rule ID 19867 //
     /*  321116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321155 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321172 */     GIR_RootConstrainSelectedInstOperands,
     /*  321173 */     // GIR_Coverage, 19867,
     /*  321173 */     GIR_EraseRootFromParent_Done,
     /*  321174 */   // Label 5925: @321174
     /*  321174 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321237), // Rule ID 19868 //
     /*  321179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321235 */     GIR_RootConstrainSelectedInstOperands,
     /*  321236 */     // GIR_Coverage, 19868,
     /*  321236 */     GIR_EraseRootFromParent_Done,
     /*  321237 */   // Label 5926: @321237
     /*  321237 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321300), // Rule ID 19871 //
     /*  321242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321281 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321298 */     GIR_RootConstrainSelectedInstOperands,
     /*  321299 */     // GIR_Coverage, 19871,
     /*  321299 */     GIR_EraseRootFromParent_Done,
     /*  321300 */   // Label 5927: @321300
     /*  321300 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321363), // Rule ID 19872 //
     /*  321305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321344 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321361 */     GIR_RootConstrainSelectedInstOperands,
     /*  321362 */     // GIR_Coverage, 19872,
     /*  321362 */     GIR_EraseRootFromParent_Done,
     /*  321363 */   // Label 5928: @321363
     /*  321363 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(321426), // Rule ID 19875 //
     /*  321368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321407 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321424 */     GIR_RootConstrainSelectedInstOperands,
     /*  321425 */     // GIR_Coverage, 19875,
     /*  321425 */     GIR_EraseRootFromParent_Done,
     /*  321426 */   // Label 5929: @321426
     /*  321426 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(321489), // Rule ID 19876 //
     /*  321431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321470 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321487 */     GIR_RootConstrainSelectedInstOperands,
     /*  321488 */     // GIR_Coverage, 19876,
     /*  321488 */     GIR_EraseRootFromParent_Done,
     /*  321489 */   // Label 5930: @321489
     /*  321489 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(321552), // Rule ID 19879 //
     /*  321494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321550 */     GIR_RootConstrainSelectedInstOperands,
     /*  321551 */     // GIR_Coverage, 19879,
     /*  321551 */     GIR_EraseRootFromParent_Done,
     /*  321552 */   // Label 5931: @321552
     /*  321552 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(321615), // Rule ID 19880 //
     /*  321557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321613 */     GIR_RootConstrainSelectedInstOperands,
     /*  321614 */     // GIR_Coverage, 19880,
     /*  321614 */     GIR_EraseRootFromParent_Done,
     /*  321615 */   // Label 5932: @321615
     /*  321615 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(321678), // Rule ID 19883 //
     /*  321620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321659 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  321662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321676 */     GIR_RootConstrainSelectedInstOperands,
     /*  321677 */     // GIR_Coverage, 19883,
     /*  321677 */     GIR_EraseRootFromParent_Done,
     /*  321678 */   // Label 5933: @321678
     /*  321678 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(321741), // Rule ID 19884 //
     /*  321683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321722 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  321725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321739 */     GIR_RootConstrainSelectedInstOperands,
     /*  321740 */     // GIR_Coverage, 19884,
     /*  321740 */     GIR_EraseRootFromParent_Done,
     /*  321741 */   // Label 5934: @321741
     /*  321741 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(321804), // Rule ID 19887 //
     /*  321746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  321763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  321788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321802 */     GIR_RootConstrainSelectedInstOperands,
     /*  321803 */     // GIR_Coverage, 19887,
     /*  321803 */     GIR_EraseRootFromParent_Done,
     /*  321804 */   // Label 5935: @321804
     /*  321804 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(321867), // Rule ID 19888 //
     /*  321809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  321826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  321851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321865 */     GIR_RootConstrainSelectedInstOperands,
     /*  321866 */     // GIR_Coverage, 19888,
     /*  321866 */     GIR_EraseRootFromParent_Done,
     /*  321867 */   // Label 5936: @321867
     /*  321867 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(321930), // Rule ID 19891 //
     /*  321872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  321889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  321914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321928 */     GIR_RootConstrainSelectedInstOperands,
     /*  321929 */     // GIR_Coverage, 19891,
     /*  321929 */     GIR_EraseRootFromParent_Done,
     /*  321930 */   // Label 5937: @321930
     /*  321930 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(321993), // Rule ID 19892 //
     /*  321935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  321952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321974 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  321977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321991 */     GIR_RootConstrainSelectedInstOperands,
     /*  321992 */     // GIR_Coverage, 19892,
     /*  321992 */     GIR_EraseRootFromParent_Done,
     /*  321993 */   // Label 5938: @321993
     /*  321993 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322056), // Rule ID 19895 //
     /*  321998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322037 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322054 */     GIR_RootConstrainSelectedInstOperands,
     /*  322055 */     // GIR_Coverage, 19895,
     /*  322055 */     GIR_EraseRootFromParent_Done,
     /*  322056 */   // Label 5939: @322056
     /*  322056 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322119), // Rule ID 19896 //
     /*  322061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322117 */     GIR_RootConstrainSelectedInstOperands,
     /*  322118 */     // GIR_Coverage, 19896,
     /*  322118 */     GIR_EraseRootFromParent_Done,
     /*  322119 */   // Label 5940: @322119
     /*  322119 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322182), // Rule ID 19899 //
     /*  322124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322163 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322180 */     GIR_RootConstrainSelectedInstOperands,
     /*  322181 */     // GIR_Coverage, 19899,
     /*  322181 */     GIR_EraseRootFromParent_Done,
     /*  322182 */   // Label 5941: @322182
     /*  322182 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322245), // Rule ID 19900 //
     /*  322187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322243 */     GIR_RootConstrainSelectedInstOperands,
     /*  322244 */     // GIR_Coverage, 19900,
     /*  322244 */     GIR_EraseRootFromParent_Done,
     /*  322245 */   // Label 5942: @322245
     /*  322245 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322308), // Rule ID 19903 //
     /*  322250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322306 */     GIR_RootConstrainSelectedInstOperands,
     /*  322307 */     // GIR_Coverage, 19903,
     /*  322307 */     GIR_EraseRootFromParent_Done,
     /*  322308 */   // Label 5943: @322308
     /*  322308 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322371), // Rule ID 19904 //
     /*  322313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322369 */     GIR_RootConstrainSelectedInstOperands,
     /*  322370 */     // GIR_Coverage, 19904,
     /*  322370 */     GIR_EraseRootFromParent_Done,
     /*  322371 */   // Label 5944: @322371
     /*  322371 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(322434), // Rule ID 19907 //
     /*  322376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322432 */     GIR_RootConstrainSelectedInstOperands,
     /*  322433 */     // GIR_Coverage, 19907,
     /*  322433 */     GIR_EraseRootFromParent_Done,
     /*  322434 */   // Label 5945: @322434
     /*  322434 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(322497), // Rule ID 19908 //
     /*  322439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322495 */     GIR_RootConstrainSelectedInstOperands,
     /*  322496 */     // GIR_Coverage, 19908,
     /*  322496 */     GIR_EraseRootFromParent_Done,
     /*  322497 */   // Label 5946: @322497
     /*  322497 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(322560), // Rule ID 19911 //
     /*  322502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322558 */     GIR_RootConstrainSelectedInstOperands,
     /*  322559 */     // GIR_Coverage, 19911,
     /*  322559 */     GIR_EraseRootFromParent_Done,
     /*  322560 */   // Label 5947: @322560
     /*  322560 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(322623), // Rule ID 19912 //
     /*  322565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322621 */     GIR_RootConstrainSelectedInstOperands,
     /*  322622 */     // GIR_Coverage, 19912,
     /*  322622 */     GIR_EraseRootFromParent_Done,
     /*  322623 */   // Label 5948: @322623
     /*  322623 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(322686), // Rule ID 19915 //
     /*  322628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  322645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322667 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  322670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322684 */     GIR_RootConstrainSelectedInstOperands,
     /*  322685 */     // GIR_Coverage, 19915,
     /*  322685 */     GIR_EraseRootFromParent_Done,
     /*  322686 */   // Label 5949: @322686
     /*  322686 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(322749), // Rule ID 19916 //
     /*  322691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  322708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322730 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  322733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322747 */     GIR_RootConstrainSelectedInstOperands,
     /*  322748 */     // GIR_Coverage, 19916,
     /*  322748 */     GIR_EraseRootFromParent_Done,
     /*  322749 */   // Label 5950: @322749
     /*  322749 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(322812), // Rule ID 19919 //
     /*  322754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  322771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322793 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  322796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322810 */     GIR_RootConstrainSelectedInstOperands,
     /*  322811 */     // GIR_Coverage, 19919,
     /*  322811 */     GIR_EraseRootFromParent_Done,
     /*  322812 */   // Label 5951: @322812
     /*  322812 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(322875), // Rule ID 19920 //
     /*  322817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  322834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322856 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  322859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322873 */     GIR_RootConstrainSelectedInstOperands,
     /*  322874 */     // GIR_Coverage, 19920,
     /*  322874 */     GIR_EraseRootFromParent_Done,
     /*  322875 */   // Label 5952: @322875
     /*  322875 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(322938), // Rule ID 19923 //
     /*  322880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  322897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322936 */     GIR_RootConstrainSelectedInstOperands,
     /*  322937 */     // GIR_Coverage, 19923,
     /*  322937 */     GIR_EraseRootFromParent_Done,
     /*  322938 */   // Label 5953: @322938
     /*  322938 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(323001), // Rule ID 19924 //
     /*  322943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  322960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322982 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322999 */     GIR_RootConstrainSelectedInstOperands,
     /*  323000 */     // GIR_Coverage, 19924,
     /*  323000 */     GIR_EraseRootFromParent_Done,
     /*  323001 */   // Label 5954: @323001
     /*  323001 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323064), // Rule ID 19927 //
     /*  323006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323045 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323062 */     GIR_RootConstrainSelectedInstOperands,
     /*  323063 */     // GIR_Coverage, 19927,
     /*  323063 */     GIR_EraseRootFromParent_Done,
     /*  323064 */   // Label 5955: @323064
     /*  323064 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323127), // Rule ID 19928 //
     /*  323069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323125 */     GIR_RootConstrainSelectedInstOperands,
     /*  323126 */     // GIR_Coverage, 19928,
     /*  323126 */     GIR_EraseRootFromParent_Done,
     /*  323127 */   // Label 5956: @323127
     /*  323127 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323190), // Rule ID 19931 //
     /*  323132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323188 */     GIR_RootConstrainSelectedInstOperands,
     /*  323189 */     // GIR_Coverage, 19931,
     /*  323189 */     GIR_EraseRootFromParent_Done,
     /*  323190 */   // Label 5957: @323190
     /*  323190 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323253), // Rule ID 19932 //
     /*  323195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323234 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323251 */     GIR_RootConstrainSelectedInstOperands,
     /*  323252 */     // GIR_Coverage, 19932,
     /*  323252 */     GIR_EraseRootFromParent_Done,
     /*  323253 */   // Label 5958: @323253
     /*  323253 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323316), // Rule ID 19935 //
     /*  323258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323314 */     GIR_RootConstrainSelectedInstOperands,
     /*  323315 */     // GIR_Coverage, 19935,
     /*  323315 */     GIR_EraseRootFromParent_Done,
     /*  323316 */   // Label 5959: @323316
     /*  323316 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323379), // Rule ID 19936 //
     /*  323321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323360 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323377 */     GIR_RootConstrainSelectedInstOperands,
     /*  323378 */     // GIR_Coverage, 19936,
     /*  323378 */     GIR_EraseRootFromParent_Done,
     /*  323379 */   // Label 5960: @323379
     /*  323379 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(323442), // Rule ID 19939 //
     /*  323384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323440 */     GIR_RootConstrainSelectedInstOperands,
     /*  323441 */     // GIR_Coverage, 19939,
     /*  323441 */     GIR_EraseRootFromParent_Done,
     /*  323442 */   // Label 5961: @323442
     /*  323442 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(323505), // Rule ID 19940 //
     /*  323447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323486 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323503 */     GIR_RootConstrainSelectedInstOperands,
     /*  323504 */     // GIR_Coverage, 19940,
     /*  323504 */     GIR_EraseRootFromParent_Done,
     /*  323505 */   // Label 5962: @323505
     /*  323505 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(323568), // Rule ID 19943 //
     /*  323510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323549 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323566 */     GIR_RootConstrainSelectedInstOperands,
     /*  323567 */     // GIR_Coverage, 19943,
     /*  323567 */     GIR_EraseRootFromParent_Done,
     /*  323568 */   // Label 5963: @323568
     /*  323568 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(323631), // Rule ID 19944 //
     /*  323573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323629 */     GIR_RootConstrainSelectedInstOperands,
     /*  323630 */     // GIR_Coverage, 19944,
     /*  323630 */     GIR_EraseRootFromParent_Done,
     /*  323631 */   // Label 5964: @323631
     /*  323631 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(323694), // Rule ID 19947 //
     /*  323636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323675 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  323678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323692 */     GIR_RootConstrainSelectedInstOperands,
     /*  323693 */     // GIR_Coverage, 19947,
     /*  323693 */     GIR_EraseRootFromParent_Done,
     /*  323694 */   // Label 5965: @323694
     /*  323694 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(323757), // Rule ID 19948 //
     /*  323699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  323741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323755 */     GIR_RootConstrainSelectedInstOperands,
     /*  323756 */     // GIR_Coverage, 19948,
     /*  323756 */     GIR_EraseRootFromParent_Done,
     /*  323757 */   // Label 5966: @323757
     /*  323757 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(323820), // Rule ID 19951 //
     /*  323762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  323804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323818 */     GIR_RootConstrainSelectedInstOperands,
     /*  323819 */     // GIR_Coverage, 19951,
     /*  323819 */     GIR_EraseRootFromParent_Done,
     /*  323820 */   // Label 5967: @323820
     /*  323820 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(323883), // Rule ID 19952 //
     /*  323825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  323867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323881 */     GIR_RootConstrainSelectedInstOperands,
     /*  323882 */     // GIR_Coverage, 19952,
     /*  323882 */     GIR_EraseRootFromParent_Done,
     /*  323883 */   // Label 5968: @323883
     /*  323883 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(323946), // Rule ID 19955 //
     /*  323888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323927 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  323930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323944 */     GIR_RootConstrainSelectedInstOperands,
     /*  323945 */     // GIR_Coverage, 19955,
     /*  323945 */     GIR_EraseRootFromParent_Done,
     /*  323946 */   // Label 5969: @323946
     /*  323946 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(324009), // Rule ID 19956 //
     /*  323951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323990 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  323993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324007 */     GIR_RootConstrainSelectedInstOperands,
     /*  324008 */     // GIR_Coverage, 19956,
     /*  324008 */     GIR_EraseRootFromParent_Done,
     /*  324009 */   // Label 5970: @324009
     /*  324009 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324072), // Rule ID 19959 //
     /*  324014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324070 */     GIR_RootConstrainSelectedInstOperands,
     /*  324071 */     // GIR_Coverage, 19959,
     /*  324071 */     GIR_EraseRootFromParent_Done,
     /*  324072 */   // Label 5971: @324072
     /*  324072 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324135), // Rule ID 19960 //
     /*  324077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324133 */     GIR_RootConstrainSelectedInstOperands,
     /*  324134 */     // GIR_Coverage, 19960,
     /*  324134 */     GIR_EraseRootFromParent_Done,
     /*  324135 */   // Label 5972: @324135
     /*  324135 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324198), // Rule ID 19963 //
     /*  324140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324196 */     GIR_RootConstrainSelectedInstOperands,
     /*  324197 */     // GIR_Coverage, 19963,
     /*  324197 */     GIR_EraseRootFromParent_Done,
     /*  324198 */   // Label 5973: @324198
     /*  324198 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324261), // Rule ID 19964 //
     /*  324203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324242 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324259 */     GIR_RootConstrainSelectedInstOperands,
     /*  324260 */     // GIR_Coverage, 19964,
     /*  324260 */     GIR_EraseRootFromParent_Done,
     /*  324261 */   // Label 5974: @324261
     /*  324261 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324324), // Rule ID 19967 //
     /*  324266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324322 */     GIR_RootConstrainSelectedInstOperands,
     /*  324323 */     // GIR_Coverage, 19967,
     /*  324323 */     GIR_EraseRootFromParent_Done,
     /*  324324 */   // Label 5975: @324324
     /*  324324 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324387), // Rule ID 19968 //
     /*  324329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324385 */     GIR_RootConstrainSelectedInstOperands,
     /*  324386 */     // GIR_Coverage, 19968,
     /*  324386 */     GIR_EraseRootFromParent_Done,
     /*  324387 */   // Label 5976: @324387
     /*  324387 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(324450), // Rule ID 19971 //
     /*  324392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324431 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324448 */     GIR_RootConstrainSelectedInstOperands,
     /*  324449 */     // GIR_Coverage, 19971,
     /*  324449 */     GIR_EraseRootFromParent_Done,
     /*  324450 */   // Label 5977: @324450
     /*  324450 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(324513), // Rule ID 19972 //
     /*  324455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324494 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324511 */     GIR_RootConstrainSelectedInstOperands,
     /*  324512 */     // GIR_Coverage, 19972,
     /*  324512 */     GIR_EraseRootFromParent_Done,
     /*  324513 */   // Label 5978: @324513
     /*  324513 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(324576), // Rule ID 19975 //
     /*  324518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324557 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  324560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324574 */     GIR_RootConstrainSelectedInstOperands,
     /*  324575 */     // GIR_Coverage, 19975,
     /*  324575 */     GIR_EraseRootFromParent_Done,
     /*  324576 */   // Label 5979: @324576
     /*  324576 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(324639), // Rule ID 19976 //
     /*  324581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  324623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324637 */     GIR_RootConstrainSelectedInstOperands,
     /*  324638 */     // GIR_Coverage, 19976,
     /*  324638 */     GIR_EraseRootFromParent_Done,
     /*  324639 */   // Label 5980: @324639
     /*  324639 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(324702), // Rule ID 19979 //
     /*  324644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324683 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  324686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324700 */     GIR_RootConstrainSelectedInstOperands,
     /*  324701 */     // GIR_Coverage, 19979,
     /*  324701 */     GIR_EraseRootFromParent_Done,
     /*  324702 */   // Label 5981: @324702
     /*  324702 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(324765), // Rule ID 19980 //
     /*  324707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324746 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  324749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324763 */     GIR_RootConstrainSelectedInstOperands,
     /*  324764 */     // GIR_Coverage, 19980,
     /*  324764 */     GIR_EraseRootFromParent_Done,
     /*  324765 */   // Label 5982: @324765
     /*  324765 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(324828), // Rule ID 19983 //
     /*  324770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  324812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324826 */     GIR_RootConstrainSelectedInstOperands,
     /*  324827 */     // GIR_Coverage, 19983,
     /*  324827 */     GIR_EraseRootFromParent_Done,
     /*  324828 */   // Label 5983: @324828
     /*  324828 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(324891), // Rule ID 19984 //
     /*  324833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  324875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324889 */     GIR_RootConstrainSelectedInstOperands,
     /*  324890 */     // GIR_Coverage, 19984,
     /*  324890 */     GIR_EraseRootFromParent_Done,
     /*  324891 */   // Label 5984: @324891
     /*  324891 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(324954), // Rule ID 19987 //
     /*  324896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324935 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  324938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324952 */     GIR_RootConstrainSelectedInstOperands,
     /*  324953 */     // GIR_Coverage, 19987,
     /*  324953 */     GIR_EraseRootFromParent_Done,
     /*  324954 */   // Label 5985: @324954
     /*  324954 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(325017), // Rule ID 19988 //
     /*  324959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324998 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  325001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325015 */     GIR_RootConstrainSelectedInstOperands,
     /*  325016 */     // GIR_Coverage, 19988,
     /*  325016 */     GIR_EraseRootFromParent_Done,
     /*  325017 */   // Label 5986: @325017
     /*  325017 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325080), // Rule ID 19991 //
     /*  325022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325061 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325078 */     GIR_RootConstrainSelectedInstOperands,
     /*  325079 */     // GIR_Coverage, 19991,
     /*  325079 */     GIR_EraseRootFromParent_Done,
     /*  325080 */   // Label 5987: @325080
     /*  325080 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325143), // Rule ID 19992 //
     /*  325085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325141 */     GIR_RootConstrainSelectedInstOperands,
     /*  325142 */     // GIR_Coverage, 19992,
     /*  325142 */     GIR_EraseRootFromParent_Done,
     /*  325143 */   // Label 5988: @325143
     /*  325143 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325206), // Rule ID 19995 //
     /*  325148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325204 */     GIR_RootConstrainSelectedInstOperands,
     /*  325205 */     // GIR_Coverage, 19995,
     /*  325205 */     GIR_EraseRootFromParent_Done,
     /*  325206 */   // Label 5989: @325206
     /*  325206 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325269), // Rule ID 19996 //
     /*  325211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325267 */     GIR_RootConstrainSelectedInstOperands,
     /*  325268 */     // GIR_Coverage, 19996,
     /*  325268 */     GIR_EraseRootFromParent_Done,
     /*  325269 */   // Label 5990: @325269
     /*  325269 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325332), // Rule ID 19999 //
     /*  325274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325313 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325330 */     GIR_RootConstrainSelectedInstOperands,
     /*  325331 */     // GIR_Coverage, 19999,
     /*  325331 */     GIR_EraseRootFromParent_Done,
     /*  325332 */   // Label 5991: @325332
     /*  325332 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325395), // Rule ID 20000 //
     /*  325337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325393 */     GIR_RootConstrainSelectedInstOperands,
     /*  325394 */     // GIR_Coverage, 20000,
     /*  325394 */     GIR_EraseRootFromParent_Done,
     /*  325395 */   // Label 5992: @325395
     /*  325395 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(325458), // Rule ID 20003 //
     /*  325400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325439 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325456 */     GIR_RootConstrainSelectedInstOperands,
     /*  325457 */     // GIR_Coverage, 20003,
     /*  325457 */     GIR_EraseRootFromParent_Done,
     /*  325458 */   // Label 5993: @325458
     /*  325458 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(325521), // Rule ID 20004 //
     /*  325463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325502 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325519 */     GIR_RootConstrainSelectedInstOperands,
     /*  325520 */     // GIR_Coverage, 20004,
     /*  325520 */     GIR_EraseRootFromParent_Done,
     /*  325521 */   // Label 5994: @325521
     /*  325521 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(325584), // Rule ID 20007 //
     /*  325526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  325568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325582 */     GIR_RootConstrainSelectedInstOperands,
     /*  325583 */     // GIR_Coverage, 20007,
     /*  325583 */     GIR_EraseRootFromParent_Done,
     /*  325584 */   // Label 5995: @325584
     /*  325584 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(325647), // Rule ID 20008 //
     /*  325589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  325631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325645 */     GIR_RootConstrainSelectedInstOperands,
     /*  325646 */     // GIR_Coverage, 20008,
     /*  325646 */     GIR_EraseRootFromParent_Done,
     /*  325647 */   // Label 5996: @325647
     /*  325647 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(325710), // Rule ID 20011 //
     /*  325652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  325669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325691 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325708 */     GIR_RootConstrainSelectedInstOperands,
     /*  325709 */     // GIR_Coverage, 20011,
     /*  325709 */     GIR_EraseRootFromParent_Done,
     /*  325710 */   // Label 5997: @325710
     /*  325710 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(325773), // Rule ID 20012 //
     /*  325715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  325732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325771 */     GIR_RootConstrainSelectedInstOperands,
     /*  325772 */     // GIR_Coverage, 20012,
     /*  325772 */     GIR_EraseRootFromParent_Done,
     /*  325773 */   // Label 5998: @325773
     /*  325773 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(325836), // Rule ID 20015 //
     /*  325778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  325795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325834 */     GIR_RootConstrainSelectedInstOperands,
     /*  325835 */     // GIR_Coverage, 20015,
     /*  325835 */     GIR_EraseRootFromParent_Done,
     /*  325836 */   // Label 5999: @325836
     /*  325836 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(325899), // Rule ID 20016 //
     /*  325841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  325858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325897 */     GIR_RootConstrainSelectedInstOperands,
     /*  325898 */     // GIR_Coverage, 20016,
     /*  325898 */     GIR_EraseRootFromParent_Done,
     /*  325899 */   // Label 6000: @325899
     /*  325899 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(325962), // Rule ID 20019 //
     /*  325904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  325921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  325946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325960 */     GIR_RootConstrainSelectedInstOperands,
     /*  325961 */     // GIR_Coverage, 20019,
     /*  325961 */     GIR_EraseRootFromParent_Done,
     /*  325962 */   // Label 6001: @325962
     /*  325962 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(326025), // Rule ID 20020 //
     /*  325967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  325984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326006 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326023 */     GIR_RootConstrainSelectedInstOperands,
     /*  326024 */     // GIR_Coverage, 20020,
     /*  326024 */     GIR_EraseRootFromParent_Done,
     /*  326025 */   // Label 6002: @326025
     /*  326025 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326088), // Rule ID 20023 //
     /*  326030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326086 */     GIR_RootConstrainSelectedInstOperands,
     /*  326087 */     // GIR_Coverage, 20023,
     /*  326087 */     GIR_EraseRootFromParent_Done,
     /*  326088 */   // Label 6003: @326088
     /*  326088 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326151), // Rule ID 20024 //
     /*  326093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326149 */     GIR_RootConstrainSelectedInstOperands,
     /*  326150 */     // GIR_Coverage, 20024,
     /*  326150 */     GIR_EraseRootFromParent_Done,
     /*  326151 */   // Label 6004: @326151
     /*  326151 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326214), // Rule ID 20027 //
     /*  326156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326195 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326212 */     GIR_RootConstrainSelectedInstOperands,
     /*  326213 */     // GIR_Coverage, 20027,
     /*  326213 */     GIR_EraseRootFromParent_Done,
     /*  326214 */   // Label 6005: @326214
     /*  326214 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326277), // Rule ID 20028 //
     /*  326219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326275 */     GIR_RootConstrainSelectedInstOperands,
     /*  326276 */     // GIR_Coverage, 20028,
     /*  326276 */     GIR_EraseRootFromParent_Done,
     /*  326277 */   // Label 6006: @326277
     /*  326277 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326340), // Rule ID 20031 //
     /*  326282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326338 */     GIR_RootConstrainSelectedInstOperands,
     /*  326339 */     // GIR_Coverage, 20031,
     /*  326339 */     GIR_EraseRootFromParent_Done,
     /*  326340 */   // Label 6007: @326340
     /*  326340 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326403), // Rule ID 20032 //
     /*  326345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326401 */     GIR_RootConstrainSelectedInstOperands,
     /*  326402 */     // GIR_Coverage, 20032,
     /*  326402 */     GIR_EraseRootFromParent_Done,
     /*  326403 */   // Label 6008: @326403
     /*  326403 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(326466), // Rule ID 20035 //
     /*  326408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326464 */     GIR_RootConstrainSelectedInstOperands,
     /*  326465 */     // GIR_Coverage, 20035,
     /*  326465 */     GIR_EraseRootFromParent_Done,
     /*  326466 */   // Label 6009: @326466
     /*  326466 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(326529), // Rule ID 20036 //
     /*  326471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326510 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326527 */     GIR_RootConstrainSelectedInstOperands,
     /*  326528 */     // GIR_Coverage, 20036,
     /*  326528 */     GIR_EraseRootFromParent_Done,
     /*  326529 */   // Label 6010: @326529
     /*  326529 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(326592), // Rule ID 20039 //
     /*  326534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  326551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326590 */     GIR_RootConstrainSelectedInstOperands,
     /*  326591 */     // GIR_Coverage, 20039,
     /*  326591 */     GIR_EraseRootFromParent_Done,
     /*  326592 */   // Label 6011: @326592
     /*  326592 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(326655), // Rule ID 20040 //
     /*  326597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  326614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326653 */     GIR_RootConstrainSelectedInstOperands,
     /*  326654 */     // GIR_Coverage, 20040,
     /*  326654 */     GIR_EraseRootFromParent_Done,
     /*  326655 */   // Label 6012: @326655
     /*  326655 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(326718), // Rule ID 20043 //
     /*  326660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  326677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326716 */     GIR_RootConstrainSelectedInstOperands,
     /*  326717 */     // GIR_Coverage, 20043,
     /*  326717 */     GIR_EraseRootFromParent_Done,
     /*  326718 */   // Label 6013: @326718
     /*  326718 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(326781), // Rule ID 20044 //
     /*  326723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  326740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326779 */     GIR_RootConstrainSelectedInstOperands,
     /*  326780 */     // GIR_Coverage, 20044,
     /*  326780 */     GIR_EraseRootFromParent_Done,
     /*  326781 */   // Label 6014: @326781
     /*  326781 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(326844), // Rule ID 20047 //
     /*  326786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  326803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326825 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326842 */     GIR_RootConstrainSelectedInstOperands,
     /*  326843 */     // GIR_Coverage, 20047,
     /*  326843 */     GIR_EraseRootFromParent_Done,
     /*  326844 */   // Label 6015: @326844
     /*  326844 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(326907), // Rule ID 20048 //
     /*  326849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  326866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326905 */     GIR_RootConstrainSelectedInstOperands,
     /*  326906 */     // GIR_Coverage, 20048,
     /*  326906 */     GIR_EraseRootFromParent_Done,
     /*  326907 */   // Label 6016: @326907
     /*  326907 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(326970), // Rule ID 20051 //
     /*  326912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  326929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326968 */     GIR_RootConstrainSelectedInstOperands,
     /*  326969 */     // GIR_Coverage, 20051,
     /*  326969 */     GIR_EraseRootFromParent_Done,
     /*  326970 */   // Label 6017: @326970
     /*  326970 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(327033), // Rule ID 20052 //
     /*  326975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  326992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327014 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327031 */     GIR_RootConstrainSelectedInstOperands,
     /*  327032 */     // GIR_Coverage, 20052,
     /*  327032 */     GIR_EraseRootFromParent_Done,
     /*  327033 */   // Label 6018: @327033
     /*  327033 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327096), // Rule ID 20055 //
     /*  327038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327094 */     GIR_RootConstrainSelectedInstOperands,
     /*  327095 */     // GIR_Coverage, 20055,
     /*  327095 */     GIR_EraseRootFromParent_Done,
     /*  327096 */   // Label 6019: @327096
     /*  327096 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327159), // Rule ID 20056 //
     /*  327101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327157 */     GIR_RootConstrainSelectedInstOperands,
     /*  327158 */     // GIR_Coverage, 20056,
     /*  327158 */     GIR_EraseRootFromParent_Done,
     /*  327159 */   // Label 6020: @327159
     /*  327159 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327222), // Rule ID 20059 //
     /*  327164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327220 */     GIR_RootConstrainSelectedInstOperands,
     /*  327221 */     // GIR_Coverage, 20059,
     /*  327221 */     GIR_EraseRootFromParent_Done,
     /*  327222 */   // Label 6021: @327222
     /*  327222 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327285), // Rule ID 20060 //
     /*  327227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327266 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327283 */     GIR_RootConstrainSelectedInstOperands,
     /*  327284 */     // GIR_Coverage, 20060,
     /*  327284 */     GIR_EraseRootFromParent_Done,
     /*  327285 */   // Label 6022: @327285
     /*  327285 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327348), // Rule ID 20063 //
     /*  327290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327346 */     GIR_RootConstrainSelectedInstOperands,
     /*  327347 */     // GIR_Coverage, 20063,
     /*  327347 */     GIR_EraseRootFromParent_Done,
     /*  327348 */   // Label 6023: @327348
     /*  327348 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327411), // Rule ID 20064 //
     /*  327353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327409 */     GIR_RootConstrainSelectedInstOperands,
     /*  327410 */     // GIR_Coverage, 20064,
     /*  327410 */     GIR_EraseRootFromParent_Done,
     /*  327411 */   // Label 6024: @327411
     /*  327411 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(327474), // Rule ID 20067 //
     /*  327416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327472 */     GIR_RootConstrainSelectedInstOperands,
     /*  327473 */     // GIR_Coverage, 20067,
     /*  327473 */     GIR_EraseRootFromParent_Done,
     /*  327474 */   // Label 6025: @327474
     /*  327474 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(327537), // Rule ID 20068 //
     /*  327479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327535 */     GIR_RootConstrainSelectedInstOperands,
     /*  327536 */     // GIR_Coverage, 20068,
     /*  327536 */     GIR_EraseRootFromParent_Done,
     /*  327537 */   // Label 6026: @327537
     /*  327537 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(327600), // Rule ID 20071 //
     /*  327542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  327584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327598 */     GIR_RootConstrainSelectedInstOperands,
     /*  327599 */     // GIR_Coverage, 20071,
     /*  327599 */     GIR_EraseRootFromParent_Done,
     /*  327600 */   // Label 6027: @327600
     /*  327600 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(327663), // Rule ID 20072 //
     /*  327605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  327647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327661 */     GIR_RootConstrainSelectedInstOperands,
     /*  327662 */     // GIR_Coverage, 20072,
     /*  327662 */     GIR_EraseRootFromParent_Done,
     /*  327663 */   // Label 6028: @327663
     /*  327663 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(327726), // Rule ID 20075 //
     /*  327668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  327710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327724 */     GIR_RootConstrainSelectedInstOperands,
     /*  327725 */     // GIR_Coverage, 20075,
     /*  327725 */     GIR_EraseRootFromParent_Done,
     /*  327726 */   // Label 6029: @327726
     /*  327726 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(327789), // Rule ID 20076 //
     /*  327731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  327773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327787 */     GIR_RootConstrainSelectedInstOperands,
     /*  327788 */     // GIR_Coverage, 20076,
     /*  327788 */     GIR_EraseRootFromParent_Done,
     /*  327789 */   // Label 6030: @327789
     /*  327789 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(327852), // Rule ID 20079 //
     /*  327794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327833 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  327836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327850 */     GIR_RootConstrainSelectedInstOperands,
     /*  327851 */     // GIR_Coverage, 20079,
     /*  327851 */     GIR_EraseRootFromParent_Done,
     /*  327852 */   // Label 6031: @327852
     /*  327852 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(327915), // Rule ID 20080 //
     /*  327857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  327899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327913 */     GIR_RootConstrainSelectedInstOperands,
     /*  327914 */     // GIR_Coverage, 20080,
     /*  327914 */     GIR_EraseRootFromParent_Done,
     /*  327915 */   // Label 6032: @327915
     /*  327915 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(327978), // Rule ID 20083 //
     /*  327920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  327962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327976 */     GIR_RootConstrainSelectedInstOperands,
     /*  327977 */     // GIR_Coverage, 20083,
     /*  327977 */     GIR_EraseRootFromParent_Done,
     /*  327978 */   // Label 6033: @327978
     /*  327978 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(328041), // Rule ID 20084 //
     /*  327983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  328025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328039 */     GIR_RootConstrainSelectedInstOperands,
     /*  328040 */     // GIR_Coverage, 20084,
     /*  328040 */     GIR_EraseRootFromParent_Done,
     /*  328041 */   // Label 6034: @328041
     /*  328041 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328104), // Rule ID 20087 //
     /*  328046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328085 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328102 */     GIR_RootConstrainSelectedInstOperands,
     /*  328103 */     // GIR_Coverage, 20087,
     /*  328103 */     GIR_EraseRootFromParent_Done,
     /*  328104 */   // Label 6035: @328104
     /*  328104 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328167), // Rule ID 20088 //
     /*  328109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328165 */     GIR_RootConstrainSelectedInstOperands,
     /*  328166 */     // GIR_Coverage, 20088,
     /*  328166 */     GIR_EraseRootFromParent_Done,
     /*  328167 */   // Label 6036: @328167
     /*  328167 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328230), // Rule ID 20091 //
     /*  328172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328211 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328228 */     GIR_RootConstrainSelectedInstOperands,
     /*  328229 */     // GIR_Coverage, 20091,
     /*  328229 */     GIR_EraseRootFromParent_Done,
     /*  328230 */   // Label 6037: @328230
     /*  328230 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328293), // Rule ID 20092 //
     /*  328235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328291 */     GIR_RootConstrainSelectedInstOperands,
     /*  328292 */     // GIR_Coverage, 20092,
     /*  328292 */     GIR_EraseRootFromParent_Done,
     /*  328293 */   // Label 6038: @328293
     /*  328293 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328356), // Rule ID 20095 //
     /*  328298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328354 */     GIR_RootConstrainSelectedInstOperands,
     /*  328355 */     // GIR_Coverage, 20095,
     /*  328355 */     GIR_EraseRootFromParent_Done,
     /*  328356 */   // Label 6039: @328356
     /*  328356 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328419), // Rule ID 20096 //
     /*  328361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328417 */     GIR_RootConstrainSelectedInstOperands,
     /*  328418 */     // GIR_Coverage, 20096,
     /*  328418 */     GIR_EraseRootFromParent_Done,
     /*  328419 */   // Label 6040: @328419
     /*  328419 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(328482), // Rule ID 20099 //
     /*  328424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328463 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328480 */     GIR_RootConstrainSelectedInstOperands,
     /*  328481 */     // GIR_Coverage, 20099,
     /*  328481 */     GIR_EraseRootFromParent_Done,
     /*  328482 */   // Label 6041: @328482
     /*  328482 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(328545), // Rule ID 20100 //
     /*  328487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328526 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328543 */     GIR_RootConstrainSelectedInstOperands,
     /*  328544 */     // GIR_Coverage, 20100,
     /*  328544 */     GIR_EraseRootFromParent_Done,
     /*  328545 */   // Label 6042: @328545
     /*  328545 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(328608), // Rule ID 20103 //
     /*  328550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  328592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328606 */     GIR_RootConstrainSelectedInstOperands,
     /*  328607 */     // GIR_Coverage, 20103,
     /*  328607 */     GIR_EraseRootFromParent_Done,
     /*  328608 */   // Label 6043: @328608
     /*  328608 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(328671), // Rule ID 20104 //
     /*  328613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  328655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328669 */     GIR_RootConstrainSelectedInstOperands,
     /*  328670 */     // GIR_Coverage, 20104,
     /*  328670 */     GIR_EraseRootFromParent_Done,
     /*  328671 */   // Label 6044: @328671
     /*  328671 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(328734), // Rule ID 20107 //
     /*  328676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  328718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328732 */     GIR_RootConstrainSelectedInstOperands,
     /*  328733 */     // GIR_Coverage, 20107,
     /*  328733 */     GIR_EraseRootFromParent_Done,
     /*  328734 */   // Label 6045: @328734
     /*  328734 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(328797), // Rule ID 20108 //
     /*  328739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  328781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328795 */     GIR_RootConstrainSelectedInstOperands,
     /*  328796 */     // GIR_Coverage, 20108,
     /*  328796 */     GIR_EraseRootFromParent_Done,
     /*  328797 */   // Label 6046: @328797
     /*  328797 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(328860), // Rule ID 20111 //
     /*  328802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328841 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  328844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328858 */     GIR_RootConstrainSelectedInstOperands,
     /*  328859 */     // GIR_Coverage, 20111,
     /*  328859 */     GIR_EraseRootFromParent_Done,
     /*  328860 */   // Label 6047: @328860
     /*  328860 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(328923), // Rule ID 20112 //
     /*  328865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  328907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328921 */     GIR_RootConstrainSelectedInstOperands,
     /*  328922 */     // GIR_Coverage, 20112,
     /*  328922 */     GIR_EraseRootFromParent_Done,
     /*  328923 */   // Label 6048: @328923
     /*  328923 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(328986), // Rule ID 20115 //
     /*  328928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328967 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  328970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328984 */     GIR_RootConstrainSelectedInstOperands,
     /*  328985 */     // GIR_Coverage, 20115,
     /*  328985 */     GIR_EraseRootFromParent_Done,
     /*  328986 */   // Label 6049: @328986
     /*  328986 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(329049), // Rule ID 20116 //
     /*  328991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329030 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  329033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329047 */     GIR_RootConstrainSelectedInstOperands,
     /*  329048 */     // GIR_Coverage, 20116,
     /*  329048 */     GIR_EraseRootFromParent_Done,
     /*  329049 */   // Label 6050: @329049
     /*  329049 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329112), // Rule ID 20119 //
     /*  329054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329110 */     GIR_RootConstrainSelectedInstOperands,
     /*  329111 */     // GIR_Coverage, 20119,
     /*  329111 */     GIR_EraseRootFromParent_Done,
     /*  329112 */   // Label 6051: @329112
     /*  329112 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329175), // Rule ID 20120 //
     /*  329117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329173 */     GIR_RootConstrainSelectedInstOperands,
     /*  329174 */     // GIR_Coverage, 20120,
     /*  329174 */     GIR_EraseRootFromParent_Done,
     /*  329175 */   // Label 6052: @329175
     /*  329175 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329238), // Rule ID 20123 //
     /*  329180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329236 */     GIR_RootConstrainSelectedInstOperands,
     /*  329237 */     // GIR_Coverage, 20123,
     /*  329237 */     GIR_EraseRootFromParent_Done,
     /*  329238 */   // Label 6053: @329238
     /*  329238 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329301), // Rule ID 20124 //
     /*  329243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329282 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329299 */     GIR_RootConstrainSelectedInstOperands,
     /*  329300 */     // GIR_Coverage, 20124,
     /*  329300 */     GIR_EraseRootFromParent_Done,
     /*  329301 */   // Label 6054: @329301
     /*  329301 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329364), // Rule ID 20127 //
     /*  329306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329345 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329362 */     GIR_RootConstrainSelectedInstOperands,
     /*  329363 */     // GIR_Coverage, 20127,
     /*  329363 */     GIR_EraseRootFromParent_Done,
     /*  329364 */   // Label 6055: @329364
     /*  329364 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(329427), // Rule ID 20128 //
     /*  329369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329425 */     GIR_RootConstrainSelectedInstOperands,
     /*  329426 */     // GIR_Coverage, 20128,
     /*  329426 */     GIR_EraseRootFromParent_Done,
     /*  329427 */   // Label 6056: @329427
     /*  329427 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(329490), // Rule ID 20131 //
     /*  329432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329488 */     GIR_RootConstrainSelectedInstOperands,
     /*  329489 */     // GIR_Coverage, 20131,
     /*  329489 */     GIR_EraseRootFromParent_Done,
     /*  329490 */   // Label 6057: @329490
     /*  329490 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(329553), // Rule ID 20132 //
     /*  329495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329534 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329551 */     GIR_RootConstrainSelectedInstOperands,
     /*  329552 */     // GIR_Coverage, 20132,
     /*  329552 */     GIR_EraseRootFromParent_Done,
     /*  329553 */   // Label 6058: @329553
     /*  329553 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(329616), // Rule ID 20135 //
     /*  329558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  329600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329614 */     GIR_RootConstrainSelectedInstOperands,
     /*  329615 */     // GIR_Coverage, 20135,
     /*  329615 */     GIR_EraseRootFromParent_Done,
     /*  329616 */   // Label 6059: @329616
     /*  329616 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(329679), // Rule ID 20136 //
     /*  329621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  329663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329677 */     GIR_RootConstrainSelectedInstOperands,
     /*  329678 */     // GIR_Coverage, 20136,
     /*  329678 */     GIR_EraseRootFromParent_Done,
     /*  329679 */   // Label 6060: @329679
     /*  329679 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(329742), // Rule ID 20139 //
     /*  329684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  329726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329740 */     GIR_RootConstrainSelectedInstOperands,
     /*  329741 */     // GIR_Coverage, 20139,
     /*  329741 */     GIR_EraseRootFromParent_Done,
     /*  329742 */   // Label 6061: @329742
     /*  329742 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(329805), // Rule ID 20140 //
     /*  329747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329786 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  329789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329803 */     GIR_RootConstrainSelectedInstOperands,
     /*  329804 */     // GIR_Coverage, 20140,
     /*  329804 */     GIR_EraseRootFromParent_Done,
     /*  329805 */   // Label 6062: @329805
     /*  329805 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(329868), // Rule ID 20143 //
     /*  329810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  329852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329866 */     GIR_RootConstrainSelectedInstOperands,
     /*  329867 */     // GIR_Coverage, 20143,
     /*  329867 */     GIR_EraseRootFromParent_Done,
     /*  329868 */   // Label 6063: @329868
     /*  329868 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(329931), // Rule ID 20144 //
     /*  329873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  329915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329929 */     GIR_RootConstrainSelectedInstOperands,
     /*  329930 */     // GIR_Coverage, 20144,
     /*  329930 */     GIR_EraseRootFromParent_Done,
     /*  329931 */   // Label 6064: @329931
     /*  329931 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(329994), // Rule ID 20147 //
     /*  329936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329975 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  329978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329992 */     GIR_RootConstrainSelectedInstOperands,
     /*  329993 */     // GIR_Coverage, 20147,
     /*  329993 */     GIR_EraseRootFromParent_Done,
     /*  329994 */   // Label 6065: @329994
     /*  329994 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330057), // Rule ID 20148 //
     /*  329999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330038 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  330041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330055 */     GIR_RootConstrainSelectedInstOperands,
     /*  330056 */     // GIR_Coverage, 20148,
     /*  330056 */     GIR_EraseRootFromParent_Done,
     /*  330057 */   // Label 6066: @330057
     /*  330057 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330120), // Rule ID 20151 //
     /*  330062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330118 */     GIR_RootConstrainSelectedInstOperands,
     /*  330119 */     // GIR_Coverage, 20151,
     /*  330119 */     GIR_EraseRootFromParent_Done,
     /*  330120 */   // Label 6067: @330120
     /*  330120 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330183), // Rule ID 20152 //
     /*  330125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330181 */     GIR_RootConstrainSelectedInstOperands,
     /*  330182 */     // GIR_Coverage, 20152,
     /*  330182 */     GIR_EraseRootFromParent_Done,
     /*  330183 */   // Label 6068: @330183
     /*  330183 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330246), // Rule ID 20155 //
     /*  330188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330227 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330244 */     GIR_RootConstrainSelectedInstOperands,
     /*  330245 */     // GIR_Coverage, 20155,
     /*  330245 */     GIR_EraseRootFromParent_Done,
     /*  330246 */   // Label 6069: @330246
     /*  330246 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330309), // Rule ID 20156 //
     /*  330251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330290 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330307 */     GIR_RootConstrainSelectedInstOperands,
     /*  330308 */     // GIR_Coverage, 20156,
     /*  330308 */     GIR_EraseRootFromParent_Done,
     /*  330309 */   // Label 6070: @330309
     /*  330309 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330372), // Rule ID 20159 //
     /*  330314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330353 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330370 */     GIR_RootConstrainSelectedInstOperands,
     /*  330371 */     // GIR_Coverage, 20159,
     /*  330371 */     GIR_EraseRootFromParent_Done,
     /*  330372 */   // Label 6071: @330372
     /*  330372 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(330435), // Rule ID 20160 //
     /*  330377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330416 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330433 */     GIR_RootConstrainSelectedInstOperands,
     /*  330434 */     // GIR_Coverage, 20160,
     /*  330434 */     GIR_EraseRootFromParent_Done,
     /*  330435 */   // Label 6072: @330435
     /*  330435 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(330498), // Rule ID 20163 //
     /*  330440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330479 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330496 */     GIR_RootConstrainSelectedInstOperands,
     /*  330497 */     // GIR_Coverage, 20163,
     /*  330497 */     GIR_EraseRootFromParent_Done,
     /*  330498 */   // Label 6073: @330498
     /*  330498 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(330561), // Rule ID 20164 //
     /*  330503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330542 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330559 */     GIR_RootConstrainSelectedInstOperands,
     /*  330560 */     // GIR_Coverage, 20164,
     /*  330560 */     GIR_EraseRootFromParent_Done,
     /*  330561 */   // Label 6074: @330561
     /*  330561 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(330624), // Rule ID 20167 //
     /*  330566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  330608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330622 */     GIR_RootConstrainSelectedInstOperands,
     /*  330623 */     // GIR_Coverage, 20167,
     /*  330623 */     GIR_EraseRootFromParent_Done,
     /*  330624 */   // Label 6075: @330624
     /*  330624 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(330687), // Rule ID 20168 //
     /*  330629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  330671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330685 */     GIR_RootConstrainSelectedInstOperands,
     /*  330686 */     // GIR_Coverage, 20168,
     /*  330686 */     GIR_EraseRootFromParent_Done,
     /*  330687 */   // Label 6076: @330687
     /*  330687 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(330750), // Rule ID 20171 //
     /*  330692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330731 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  330734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330748 */     GIR_RootConstrainSelectedInstOperands,
     /*  330749 */     // GIR_Coverage, 20171,
     /*  330749 */     GIR_EraseRootFromParent_Done,
     /*  330750 */   // Label 6077: @330750
     /*  330750 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(330813), // Rule ID 20172 //
     /*  330755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330794 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  330797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330811 */     GIR_RootConstrainSelectedInstOperands,
     /*  330812 */     // GIR_Coverage, 20172,
     /*  330812 */     GIR_EraseRootFromParent_Done,
     /*  330813 */   // Label 6078: @330813
     /*  330813 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(330876), // Rule ID 20175 //
     /*  330818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  330860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330874 */     GIR_RootConstrainSelectedInstOperands,
     /*  330875 */     // GIR_Coverage, 20175,
     /*  330875 */     GIR_EraseRootFromParent_Done,
     /*  330876 */   // Label 6079: @330876
     /*  330876 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(330939), // Rule ID 20176 //
     /*  330881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  330923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330937 */     GIR_RootConstrainSelectedInstOperands,
     /*  330938 */     // GIR_Coverage, 20176,
     /*  330938 */     GIR_EraseRootFromParent_Done,
     /*  330939 */   // Label 6080: @330939
     /*  330939 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(331002), // Rule ID 20179 //
     /*  330944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330983 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  330986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331000 */     GIR_RootConstrainSelectedInstOperands,
     /*  331001 */     // GIR_Coverage, 20179,
     /*  331001 */     GIR_EraseRootFromParent_Done,
     /*  331002 */   // Label 6081: @331002
     /*  331002 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331065), // Rule ID 20180 //
     /*  331007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331046 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  331049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331063 */     GIR_RootConstrainSelectedInstOperands,
     /*  331064 */     // GIR_Coverage, 20180,
     /*  331064 */     GIR_EraseRootFromParent_Done,
     /*  331065 */   // Label 6082: @331065
     /*  331065 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331128), // Rule ID 20183 //
     /*  331070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331126 */     GIR_RootConstrainSelectedInstOperands,
     /*  331127 */     // GIR_Coverage, 20183,
     /*  331127 */     GIR_EraseRootFromParent_Done,
     /*  331128 */   // Label 6083: @331128
     /*  331128 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331191), // Rule ID 20184 //
     /*  331133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331189 */     GIR_RootConstrainSelectedInstOperands,
     /*  331190 */     // GIR_Coverage, 20184,
     /*  331190 */     GIR_EraseRootFromParent_Done,
     /*  331191 */   // Label 6084: @331191
     /*  331191 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331254), // Rule ID 20187 //
     /*  331196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331252 */     GIR_RootConstrainSelectedInstOperands,
     /*  331253 */     // GIR_Coverage, 20187,
     /*  331253 */     GIR_EraseRootFromParent_Done,
     /*  331254 */   // Label 6085: @331254
     /*  331254 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331317), // Rule ID 20188 //
     /*  331259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331315 */     GIR_RootConstrainSelectedInstOperands,
     /*  331316 */     // GIR_Coverage, 20188,
     /*  331316 */     GIR_EraseRootFromParent_Done,
     /*  331317 */   // Label 6086: @331317
     /*  331317 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331380), // Rule ID 20191 //
     /*  331322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331361 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331378 */     GIR_RootConstrainSelectedInstOperands,
     /*  331379 */     // GIR_Coverage, 20191,
     /*  331379 */     GIR_EraseRootFromParent_Done,
     /*  331380 */   // Label 6087: @331380
     /*  331380 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(331443), // Rule ID 20192 //
     /*  331385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331441 */     GIR_RootConstrainSelectedInstOperands,
     /*  331442 */     // GIR_Coverage, 20192,
     /*  331442 */     GIR_EraseRootFromParent_Done,
     /*  331443 */   // Label 6088: @331443
     /*  331443 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(331506), // Rule ID 20195 //
     /*  331448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331487 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331504 */     GIR_RootConstrainSelectedInstOperands,
     /*  331505 */     // GIR_Coverage, 20195,
     /*  331505 */     GIR_EraseRootFromParent_Done,
     /*  331506 */   // Label 6089: @331506
     /*  331506 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(331569), // Rule ID 20196 //
     /*  331511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331550 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331567 */     GIR_RootConstrainSelectedInstOperands,
     /*  331568 */     // GIR_Coverage, 20196,
     /*  331568 */     GIR_EraseRootFromParent_Done,
     /*  331569 */   // Label 6090: @331569
     /*  331569 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(331632), // Rule ID 20199 //
     /*  331574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  331616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331630 */     GIR_RootConstrainSelectedInstOperands,
     /*  331631 */     // GIR_Coverage, 20199,
     /*  331631 */     GIR_EraseRootFromParent_Done,
     /*  331632 */   // Label 6091: @331632
     /*  331632 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(331695), // Rule ID 20200 //
     /*  331637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  331679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331693 */     GIR_RootConstrainSelectedInstOperands,
     /*  331694 */     // GIR_Coverage, 20200,
     /*  331694 */     GIR_EraseRootFromParent_Done,
     /*  331695 */   // Label 6092: @331695
     /*  331695 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(331758), // Rule ID 20203 //
     /*  331700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  331742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331756 */     GIR_RootConstrainSelectedInstOperands,
     /*  331757 */     // GIR_Coverage, 20203,
     /*  331757 */     GIR_EraseRootFromParent_Done,
     /*  331758 */   // Label 6093: @331758
     /*  331758 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(331821), // Rule ID 20204 //
     /*  331763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331802 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  331805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331819 */     GIR_RootConstrainSelectedInstOperands,
     /*  331820 */     // GIR_Coverage, 20204,
     /*  331820 */     GIR_EraseRootFromParent_Done,
     /*  331821 */   // Label 6094: @331821
     /*  331821 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(331884), // Rule ID 20207 //
     /*  331826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  331868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331882 */     GIR_RootConstrainSelectedInstOperands,
     /*  331883 */     // GIR_Coverage, 20207,
     /*  331883 */     GIR_EraseRootFromParent_Done,
     /*  331884 */   // Label 6095: @331884
     /*  331884 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(331947), // Rule ID 20208 //
     /*  331889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  331931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331945 */     GIR_RootConstrainSelectedInstOperands,
     /*  331946 */     // GIR_Coverage, 20208,
     /*  331946 */     GIR_EraseRootFromParent_Done,
     /*  331947 */   // Label 6096: @331947
     /*  331947 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(332010), // Rule ID 20211 //
     /*  331952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  331994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332008 */     GIR_RootConstrainSelectedInstOperands,
     /*  332009 */     // GIR_Coverage, 20211,
     /*  332009 */     GIR_EraseRootFromParent_Done,
     /*  332010 */   // Label 6097: @332010
     /*  332010 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332073), // Rule ID 20212 //
     /*  332015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332054 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  332057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332071 */     GIR_RootConstrainSelectedInstOperands,
     /*  332072 */     // GIR_Coverage, 20212,
     /*  332072 */     GIR_EraseRootFromParent_Done,
     /*  332073 */   // Label 6098: @332073
     /*  332073 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332136), // Rule ID 20215 //
     /*  332078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332117 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332134 */     GIR_RootConstrainSelectedInstOperands,
     /*  332135 */     // GIR_Coverage, 20215,
     /*  332135 */     GIR_EraseRootFromParent_Done,
     /*  332136 */   // Label 6099: @332136
     /*  332136 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332199), // Rule ID 20216 //
     /*  332141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332197 */     GIR_RootConstrainSelectedInstOperands,
     /*  332198 */     // GIR_Coverage, 20216,
     /*  332198 */     GIR_EraseRootFromParent_Done,
     /*  332199 */   // Label 6100: @332199
     /*  332199 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332262), // Rule ID 20219 //
     /*  332204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332243 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332260 */     GIR_RootConstrainSelectedInstOperands,
     /*  332261 */     // GIR_Coverage, 20219,
     /*  332261 */     GIR_EraseRootFromParent_Done,
     /*  332262 */   // Label 6101: @332262
     /*  332262 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332325), // Rule ID 20220 //
     /*  332267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332306 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332323 */     GIR_RootConstrainSelectedInstOperands,
     /*  332324 */     // GIR_Coverage, 20220,
     /*  332324 */     GIR_EraseRootFromParent_Done,
     /*  332325 */   // Label 6102: @332325
     /*  332325 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332388), // Rule ID 20223 //
     /*  332330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332386 */     GIR_RootConstrainSelectedInstOperands,
     /*  332387 */     // GIR_Coverage, 20223,
     /*  332387 */     GIR_EraseRootFromParent_Done,
     /*  332388 */   // Label 6103: @332388
     /*  332388 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(332451), // Rule ID 20224 //
     /*  332393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332449 */     GIR_RootConstrainSelectedInstOperands,
     /*  332450 */     // GIR_Coverage, 20224,
     /*  332450 */     GIR_EraseRootFromParent_Done,
     /*  332451 */   // Label 6104: @332451
     /*  332451 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(332514), // Rule ID 20227 //
     /*  332456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332495 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332512 */     GIR_RootConstrainSelectedInstOperands,
     /*  332513 */     // GIR_Coverage, 20227,
     /*  332513 */     GIR_EraseRootFromParent_Done,
     /*  332514 */   // Label 6105: @332514
     /*  332514 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(332577), // Rule ID 20228 //
     /*  332519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332575 */     GIR_RootConstrainSelectedInstOperands,
     /*  332576 */     // GIR_Coverage, 20228,
     /*  332576 */     GIR_EraseRootFromParent_Done,
     /*  332577 */   // Label 6106: @332577
     /*  332577 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(332640), // Rule ID 20231 //
     /*  332582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332621 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  332624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332638 */     GIR_RootConstrainSelectedInstOperands,
     /*  332639 */     // GIR_Coverage, 20231,
     /*  332639 */     GIR_EraseRootFromParent_Done,
     /*  332640 */   // Label 6107: @332640
     /*  332640 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(332703), // Rule ID 20232 //
     /*  332645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  332687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332701 */     GIR_RootConstrainSelectedInstOperands,
     /*  332702 */     // GIR_Coverage, 20232,
     /*  332702 */     GIR_EraseRootFromParent_Done,
     /*  332703 */   // Label 6108: @332703
     /*  332703 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(332766), // Rule ID 20235 //
     /*  332708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  332750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332764 */     GIR_RootConstrainSelectedInstOperands,
     /*  332765 */     // GIR_Coverage, 20235,
     /*  332765 */     GIR_EraseRootFromParent_Done,
     /*  332766 */   // Label 6109: @332766
     /*  332766 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(332829), // Rule ID 20236 //
     /*  332771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332810 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  332813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332827 */     GIR_RootConstrainSelectedInstOperands,
     /*  332828 */     // GIR_Coverage, 20236,
     /*  332828 */     GIR_EraseRootFromParent_Done,
     /*  332829 */   // Label 6110: @332829
     /*  332829 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(332892), // Rule ID 20239 //
     /*  332834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332873 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  332876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332890 */     GIR_RootConstrainSelectedInstOperands,
     /*  332891 */     // GIR_Coverage, 20239,
     /*  332891 */     GIR_EraseRootFromParent_Done,
     /*  332892 */   // Label 6111: @332892
     /*  332892 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(332955), // Rule ID 20240 //
     /*  332897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  332939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332953 */     GIR_RootConstrainSelectedInstOperands,
     /*  332954 */     // GIR_Coverage, 20240,
     /*  332954 */     GIR_EraseRootFromParent_Done,
     /*  332955 */   // Label 6112: @332955
     /*  332955 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(333018), // Rule ID 20243 //
     /*  332960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332999 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  333002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333016 */     GIR_RootConstrainSelectedInstOperands,
     /*  333017 */     // GIR_Coverage, 20243,
     /*  333017 */     GIR_EraseRootFromParent_Done,
     /*  333018 */   // Label 6113: @333018
     /*  333018 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333081), // Rule ID 20244 //
     /*  333023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  333065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333079 */     GIR_RootConstrainSelectedInstOperands,
     /*  333080 */     // GIR_Coverage, 20244,
     /*  333080 */     GIR_EraseRootFromParent_Done,
     /*  333081 */   // Label 6114: @333081
     /*  333081 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333144), // Rule ID 20247 //
     /*  333086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333142 */     GIR_RootConstrainSelectedInstOperands,
     /*  333143 */     // GIR_Coverage, 20247,
     /*  333143 */     GIR_EraseRootFromParent_Done,
     /*  333144 */   // Label 6115: @333144
     /*  333144 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333207), // Rule ID 20248 //
     /*  333149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333205 */     GIR_RootConstrainSelectedInstOperands,
     /*  333206 */     // GIR_Coverage, 20248,
     /*  333206 */     GIR_EraseRootFromParent_Done,
     /*  333207 */   // Label 6116: @333207
     /*  333207 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333270), // Rule ID 20251 //
     /*  333212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333268 */     GIR_RootConstrainSelectedInstOperands,
     /*  333269 */     // GIR_Coverage, 20251,
     /*  333269 */     GIR_EraseRootFromParent_Done,
     /*  333270 */   // Label 6117: @333270
     /*  333270 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333333), // Rule ID 20252 //
     /*  333275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333331 */     GIR_RootConstrainSelectedInstOperands,
     /*  333332 */     // GIR_Coverage, 20252,
     /*  333332 */     GIR_EraseRootFromParent_Done,
     /*  333333 */   // Label 6118: @333333
     /*  333333 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333396), // Rule ID 20255 //
     /*  333338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333394 */     GIR_RootConstrainSelectedInstOperands,
     /*  333395 */     // GIR_Coverage, 20255,
     /*  333395 */     GIR_EraseRootFromParent_Done,
     /*  333396 */   // Label 6119: @333396
     /*  333396 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(333459), // Rule ID 20256 //
     /*  333401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333457 */     GIR_RootConstrainSelectedInstOperands,
     /*  333458 */     // GIR_Coverage, 20256,
     /*  333458 */     GIR_EraseRootFromParent_Done,
     /*  333459 */   // Label 6120: @333459
     /*  333459 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(333522), // Rule ID 20259 //
     /*  333464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333520 */     GIR_RootConstrainSelectedInstOperands,
     /*  333521 */     // GIR_Coverage, 20259,
     /*  333521 */     GIR_EraseRootFromParent_Done,
     /*  333522 */   // Label 6121: @333522
     /*  333522 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(333585), // Rule ID 20260 //
     /*  333527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333583 */     GIR_RootConstrainSelectedInstOperands,
     /*  333584 */     // GIR_Coverage, 20260,
     /*  333584 */     GIR_EraseRootFromParent_Done,
     /*  333585 */   // Label 6122: @333585
     /*  333585 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(333648), // Rule ID 20263 //
     /*  333590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333646 */     GIR_RootConstrainSelectedInstOperands,
     /*  333647 */     // GIR_Coverage, 20263,
     /*  333647 */     GIR_EraseRootFromParent_Done,
     /*  333648 */   // Label 6123: @333648
     /*  333648 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(333711), // Rule ID 20264 //
     /*  333653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333709 */     GIR_RootConstrainSelectedInstOperands,
     /*  333710 */     // GIR_Coverage, 20264,
     /*  333710 */     GIR_EraseRootFromParent_Done,
     /*  333711 */   // Label 6124: @333711
     /*  333711 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(333774), // Rule ID 20267 //
     /*  333716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333772 */     GIR_RootConstrainSelectedInstOperands,
     /*  333773 */     // GIR_Coverage, 20267,
     /*  333773 */     GIR_EraseRootFromParent_Done,
     /*  333774 */   // Label 6125: @333774
     /*  333774 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(333837), // Rule ID 20268 //
     /*  333779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333818 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333835 */     GIR_RootConstrainSelectedInstOperands,
     /*  333836 */     // GIR_Coverage, 20268,
     /*  333836 */     GIR_EraseRootFromParent_Done,
     /*  333837 */   // Label 6126: @333837
     /*  333837 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(333900), // Rule ID 20271 //
     /*  333842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  333859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333898 */     GIR_RootConstrainSelectedInstOperands,
     /*  333899 */     // GIR_Coverage, 20271,
     /*  333899 */     GIR_EraseRootFromParent_Done,
     /*  333900 */   // Label 6127: @333900
     /*  333900 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(333963), // Rule ID 20272 //
     /*  333905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  333922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333961 */     GIR_RootConstrainSelectedInstOperands,
     /*  333962 */     // GIR_Coverage, 20272,
     /*  333962 */     GIR_EraseRootFromParent_Done,
     /*  333963 */   // Label 6128: @333963
     /*  333963 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(334026), // Rule ID 20275 //
     /*  333968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  333985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334024 */     GIR_RootConstrainSelectedInstOperands,
     /*  334025 */     // GIR_Coverage, 20275,
     /*  334025 */     GIR_EraseRootFromParent_Done,
     /*  334026 */   // Label 6129: @334026
     /*  334026 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334089), // Rule ID 20276 //
     /*  334031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334070 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334087 */     GIR_RootConstrainSelectedInstOperands,
     /*  334088 */     // GIR_Coverage, 20276,
     /*  334088 */     GIR_EraseRootFromParent_Done,
     /*  334089 */   // Label 6130: @334089
     /*  334089 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334152), // Rule ID 20279 //
     /*  334094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334133 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334150 */     GIR_RootConstrainSelectedInstOperands,
     /*  334151 */     // GIR_Coverage, 20279,
     /*  334151 */     GIR_EraseRootFromParent_Done,
     /*  334152 */   // Label 6131: @334152
     /*  334152 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334215), // Rule ID 20280 //
     /*  334157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334196 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334213 */     GIR_RootConstrainSelectedInstOperands,
     /*  334214 */     // GIR_Coverage, 20280,
     /*  334214 */     GIR_EraseRootFromParent_Done,
     /*  334215 */   // Label 6132: @334215
     /*  334215 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334278), // Rule ID 20283 //
     /*  334220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334276 */     GIR_RootConstrainSelectedInstOperands,
     /*  334277 */     // GIR_Coverage, 20283,
     /*  334277 */     GIR_EraseRootFromParent_Done,
     /*  334278 */   // Label 6133: @334278
     /*  334278 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334341), // Rule ID 20284 //
     /*  334283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334322 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334339 */     GIR_RootConstrainSelectedInstOperands,
     /*  334340 */     // GIR_Coverage, 20284,
     /*  334340 */     GIR_EraseRootFromParent_Done,
     /*  334341 */   // Label 6134: @334341
     /*  334341 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334404), // Rule ID 20287 //
     /*  334346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334402 */     GIR_RootConstrainSelectedInstOperands,
     /*  334403 */     // GIR_Coverage, 20287,
     /*  334403 */     GIR_EraseRootFromParent_Done,
     /*  334404 */   // Label 6135: @334404
     /*  334404 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(334467), // Rule ID 20288 //
     /*  334409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334465 */     GIR_RootConstrainSelectedInstOperands,
     /*  334466 */     // GIR_Coverage, 20288,
     /*  334466 */     GIR_EraseRootFromParent_Done,
     /*  334467 */   // Label 6136: @334467
     /*  334467 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(334530), // Rule ID 20291 //
     /*  334472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334511 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334528 */     GIR_RootConstrainSelectedInstOperands,
     /*  334529 */     // GIR_Coverage, 20291,
     /*  334529 */     GIR_EraseRootFromParent_Done,
     /*  334530 */   // Label 6137: @334530
     /*  334530 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(334593), // Rule ID 20292 //
     /*  334535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334574 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334591 */     GIR_RootConstrainSelectedInstOperands,
     /*  334592 */     // GIR_Coverage, 20292,
     /*  334592 */     GIR_EraseRootFromParent_Done,
     /*  334593 */   // Label 6138: @334593
     /*  334593 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(334656), // Rule ID 20295 //
     /*  334598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  334615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334654 */     GIR_RootConstrainSelectedInstOperands,
     /*  334655 */     // GIR_Coverage, 20295,
     /*  334655 */     GIR_EraseRootFromParent_Done,
     /*  334656 */   // Label 6139: @334656
     /*  334656 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(334719), // Rule ID 20296 //
     /*  334661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  334678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334717 */     GIR_RootConstrainSelectedInstOperands,
     /*  334718 */     // GIR_Coverage, 20296,
     /*  334718 */     GIR_EraseRootFromParent_Done,
     /*  334719 */   // Label 6140: @334719
     /*  334719 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(334782), // Rule ID 20299 //
     /*  334724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  334741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334780 */     GIR_RootConstrainSelectedInstOperands,
     /*  334781 */     // GIR_Coverage, 20299,
     /*  334781 */     GIR_EraseRootFromParent_Done,
     /*  334782 */   // Label 6141: @334782
     /*  334782 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(334845), // Rule ID 20300 //
     /*  334787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  334804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334826 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334843 */     GIR_RootConstrainSelectedInstOperands,
     /*  334844 */     // GIR_Coverage, 20300,
     /*  334844 */     GIR_EraseRootFromParent_Done,
     /*  334845 */   // Label 6142: @334845
     /*  334845 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(334908), // Rule ID 20303 //
     /*  334850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  334867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334906 */     GIR_RootConstrainSelectedInstOperands,
     /*  334907 */     // GIR_Coverage, 20303,
     /*  334907 */     GIR_EraseRootFromParent_Done,
     /*  334908 */   // Label 6143: @334908
     /*  334908 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(334971), // Rule ID 20304 //
     /*  334913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  334930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334969 */     GIR_RootConstrainSelectedInstOperands,
     /*  334970 */     // GIR_Coverage, 20304,
     /*  334970 */     GIR_EraseRootFromParent_Done,
     /*  334971 */   // Label 6144: @334971
     /*  334971 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(335034), // Rule ID 20307 //
     /*  334976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  334993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335015 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  335018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335032 */     GIR_RootConstrainSelectedInstOperands,
     /*  335033 */     // GIR_Coverage, 20307,
     /*  335033 */     GIR_EraseRootFromParent_Done,
     /*  335034 */   // Label 6145: @335034
     /*  335034 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335097), // Rule ID 20308 //
     /*  335039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  335056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  335081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335095 */     GIR_RootConstrainSelectedInstOperands,
     /*  335096 */     // GIR_Coverage, 20308,
     /*  335096 */     GIR_EraseRootFromParent_Done,
     /*  335097 */   // Label 6146: @335097
     /*  335097 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335160), // Rule ID 20311 //
     /*  335102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335141 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335158 */     GIR_RootConstrainSelectedInstOperands,
     /*  335159 */     // GIR_Coverage, 20311,
     /*  335159 */     GIR_EraseRootFromParent_Done,
     /*  335160 */   // Label 6147: @335160
     /*  335160 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335223), // Rule ID 20312 //
     /*  335165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335221 */     GIR_RootConstrainSelectedInstOperands,
     /*  335222 */     // GIR_Coverage, 20312,
     /*  335222 */     GIR_EraseRootFromParent_Done,
     /*  335223 */   // Label 6148: @335223
     /*  335223 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335286), // Rule ID 20315 //
     /*  335228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335267 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335284 */     GIR_RootConstrainSelectedInstOperands,
     /*  335285 */     // GIR_Coverage, 20315,
     /*  335285 */     GIR_EraseRootFromParent_Done,
     /*  335286 */   // Label 6149: @335286
     /*  335286 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335349), // Rule ID 20316 //
     /*  335291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335347 */     GIR_RootConstrainSelectedInstOperands,
     /*  335348 */     // GIR_Coverage, 20316,
     /*  335348 */     GIR_EraseRootFromParent_Done,
     /*  335349 */   // Label 6150: @335349
     /*  335349 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335412), // Rule ID 20319 //
     /*  335354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335410 */     GIR_RootConstrainSelectedInstOperands,
     /*  335411 */     // GIR_Coverage, 20319,
     /*  335411 */     GIR_EraseRootFromParent_Done,
     /*  335412 */   // Label 6151: @335412
     /*  335412 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(335475), // Rule ID 20320 //
     /*  335417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335473 */     GIR_RootConstrainSelectedInstOperands,
     /*  335474 */     // GIR_Coverage, 20320,
     /*  335474 */     GIR_EraseRootFromParent_Done,
     /*  335475 */   // Label 6152: @335475
     /*  335475 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(335538), // Rule ID 20323 //
     /*  335480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335519 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335536 */     GIR_RootConstrainSelectedInstOperands,
     /*  335537 */     // GIR_Coverage, 20323,
     /*  335537 */     GIR_EraseRootFromParent_Done,
     /*  335538 */   // Label 6153: @335538
     /*  335538 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(335601), // Rule ID 20324 //
     /*  335543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335582 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335599 */     GIR_RootConstrainSelectedInstOperands,
     /*  335600 */     // GIR_Coverage, 20324,
     /*  335600 */     GIR_EraseRootFromParent_Done,
     /*  335601 */   // Label 6154: @335601
     /*  335601 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(335664), // Rule ID 20327 //
     /*  335606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  335623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335662 */     GIR_RootConstrainSelectedInstOperands,
     /*  335663 */     // GIR_Coverage, 20327,
     /*  335663 */     GIR_EraseRootFromParent_Done,
     /*  335664 */   // Label 6155: @335664
     /*  335664 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(335727), // Rule ID 20328 //
     /*  335669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  335686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335725 */     GIR_RootConstrainSelectedInstOperands,
     /*  335726 */     // GIR_Coverage, 20328,
     /*  335726 */     GIR_EraseRootFromParent_Done,
     /*  335727 */   // Label 6156: @335727
     /*  335727 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(335790), // Rule ID 20331 //
     /*  335732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  335774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335788 */     GIR_RootConstrainSelectedInstOperands,
     /*  335789 */     // GIR_Coverage, 20331,
     /*  335789 */     GIR_EraseRootFromParent_Done,
     /*  335790 */   // Label 6157: @335790
     /*  335790 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(335853), // Rule ID 20332 //
     /*  335795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335834 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  335837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335851 */     GIR_RootConstrainSelectedInstOperands,
     /*  335852 */     // GIR_Coverage, 20332,
     /*  335852 */     GIR_EraseRootFromParent_Done,
     /*  335853 */   // Label 6158: @335853
     /*  335853 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(335916), // Rule ID 20335 //
     /*  335858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335914 */     GIR_RootConstrainSelectedInstOperands,
     /*  335915 */     // GIR_Coverage, 20335,
     /*  335915 */     GIR_EraseRootFromParent_Done,
     /*  335916 */   // Label 6159: @335916
     /*  335916 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(335979), // Rule ID 20336 //
     /*  335921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335977 */     GIR_RootConstrainSelectedInstOperands,
     /*  335978 */     // GIR_Coverage, 20336,
     /*  335978 */     GIR_EraseRootFromParent_Done,
     /*  335979 */   // Label 6160: @335979
     /*  335979 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(336042), // Rule ID 20339 //
     /*  335984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336023 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336040 */     GIR_RootConstrainSelectedInstOperands,
     /*  336041 */     // GIR_Coverage, 20339,
     /*  336041 */     GIR_EraseRootFromParent_Done,
     /*  336042 */   // Label 6161: @336042
     /*  336042 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336105), // Rule ID 20340 //
     /*  336047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336086 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336103 */     GIR_RootConstrainSelectedInstOperands,
     /*  336104 */     // GIR_Coverage, 20340,
     /*  336104 */     GIR_EraseRootFromParent_Done,
     /*  336105 */   // Label 6162: @336105
     /*  336105 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336168), // Rule ID 20343 //
     /*  336110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336166 */     GIR_RootConstrainSelectedInstOperands,
     /*  336167 */     // GIR_Coverage, 20343,
     /*  336167 */     GIR_EraseRootFromParent_Done,
     /*  336168 */   // Label 6163: @336168
     /*  336168 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336231), // Rule ID 20344 //
     /*  336173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336229 */     GIR_RootConstrainSelectedInstOperands,
     /*  336230 */     // GIR_Coverage, 20344,
     /*  336230 */     GIR_EraseRootFromParent_Done,
     /*  336231 */   // Label 6164: @336231
     /*  336231 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336294), // Rule ID 20347 //
     /*  336236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336275 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336292 */     GIR_RootConstrainSelectedInstOperands,
     /*  336293 */     // GIR_Coverage, 20347,
     /*  336293 */     GIR_EraseRootFromParent_Done,
     /*  336294 */   // Label 6165: @336294
     /*  336294 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336357), // Rule ID 20348 //
     /*  336299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336355 */     GIR_RootConstrainSelectedInstOperands,
     /*  336356 */     // GIR_Coverage, 20348,
     /*  336356 */     GIR_EraseRootFromParent_Done,
     /*  336357 */   // Label 6166: @336357
     /*  336357 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336420), // Rule ID 20351 //
     /*  336362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336401 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336418 */     GIR_RootConstrainSelectedInstOperands,
     /*  336419 */     // GIR_Coverage, 20351,
     /*  336419 */     GIR_EraseRootFromParent_Done,
     /*  336420 */   // Label 6167: @336420
     /*  336420 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(336483), // Rule ID 20352 //
     /*  336425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336464 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336481 */     GIR_RootConstrainSelectedInstOperands,
     /*  336482 */     // GIR_Coverage, 20352,
     /*  336482 */     GIR_EraseRootFromParent_Done,
     /*  336483 */   // Label 6168: @336483
     /*  336483 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(336546), // Rule ID 20355 //
     /*  336488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336527 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336544 */     GIR_RootConstrainSelectedInstOperands,
     /*  336545 */     // GIR_Coverage, 20355,
     /*  336545 */     GIR_EraseRootFromParent_Done,
     /*  336546 */   // Label 6169: @336546
     /*  336546 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(336609), // Rule ID 20356 //
     /*  336551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336590 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336607 */     GIR_RootConstrainSelectedInstOperands,
     /*  336608 */     // GIR_Coverage, 20356,
     /*  336608 */     GIR_EraseRootFromParent_Done,
     /*  336609 */   // Label 6170: @336609
     /*  336609 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(336672), // Rule ID 20359 //
     /*  336614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336670 */     GIR_RootConstrainSelectedInstOperands,
     /*  336671 */     // GIR_Coverage, 20359,
     /*  336671 */     GIR_EraseRootFromParent_Done,
     /*  336672 */   // Label 6171: @336672
     /*  336672 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(336735), // Rule ID 20360 //
     /*  336677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336733 */     GIR_RootConstrainSelectedInstOperands,
     /*  336734 */     // GIR_Coverage, 20360,
     /*  336734 */     GIR_EraseRootFromParent_Done,
     /*  336735 */   // Label 6172: @336735
     /*  336735 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(336798), // Rule ID 20363 //
     /*  336740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  336757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336779 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336796 */     GIR_RootConstrainSelectedInstOperands,
     /*  336797 */     // GIR_Coverage, 20363,
     /*  336797 */     GIR_EraseRootFromParent_Done,
     /*  336798 */   // Label 6173: @336798
     /*  336798 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(336861), // Rule ID 20364 //
     /*  336803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  336820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336842 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336859 */     GIR_RootConstrainSelectedInstOperands,
     /*  336860 */     // GIR_Coverage, 20364,
     /*  336860 */     GIR_EraseRootFromParent_Done,
     /*  336861 */   // Label 6174: @336861
     /*  336861 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(336927), // Rule ID 20367 //
     /*  336866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  336877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  336908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336925 */     GIR_RootConstrainSelectedInstOperands,
     /*  336926 */     // GIR_Coverage, 20367,
     /*  336926 */     GIR_EraseRootFromParent_Done,
     /*  336927 */   // Label 6175: @336927
     /*  336927 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(336993), // Rule ID 20368 //
     /*  336932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  336935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  336943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  336974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336991 */     GIR_RootConstrainSelectedInstOperands,
     /*  336992 */     // GIR_Coverage, 20368,
     /*  336992 */     GIR_EraseRootFromParent_Done,
     /*  336993 */   // Label 6176: @336993
     /*  336993 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337059), // Rule ID 20371 //
     /*  336998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337037 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337057 */     GIR_RootConstrainSelectedInstOperands,
     /*  337058 */     // GIR_Coverage, 20371,
     /*  337058 */     GIR_EraseRootFromParent_Done,
     /*  337059 */   // Label 6177: @337059
     /*  337059 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337125), // Rule ID 20372 //
     /*  337064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337123 */     GIR_RootConstrainSelectedInstOperands,
     /*  337124 */     // GIR_Coverage, 20372,
     /*  337124 */     GIR_EraseRootFromParent_Done,
     /*  337125 */   // Label 6178: @337125
     /*  337125 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337191), // Rule ID 20375 //
     /*  337130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337169 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337189 */     GIR_RootConstrainSelectedInstOperands,
     /*  337190 */     // GIR_Coverage, 20375,
     /*  337190 */     GIR_EraseRootFromParent_Done,
     /*  337191 */   // Label 6179: @337191
     /*  337191 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337257), // Rule ID 20376 //
     /*  337196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337255 */     GIR_RootConstrainSelectedInstOperands,
     /*  337256 */     // GIR_Coverage, 20376,
     /*  337256 */     GIR_EraseRootFromParent_Done,
     /*  337257 */   // Label 6180: @337257
     /*  337257 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337323), // Rule ID 20379 //
     /*  337262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337321 */     GIR_RootConstrainSelectedInstOperands,
     /*  337322 */     // GIR_Coverage, 20379,
     /*  337322 */     GIR_EraseRootFromParent_Done,
     /*  337323 */   // Label 6181: @337323
     /*  337323 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337389), // Rule ID 20380 //
     /*  337328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337387 */     GIR_RootConstrainSelectedInstOperands,
     /*  337388 */     // GIR_Coverage, 20380,
     /*  337388 */     GIR_EraseRootFromParent_Done,
     /*  337389 */   // Label 6182: @337389
     /*  337389 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(337455), // Rule ID 20383 //
     /*  337394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  337397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337453 */     GIR_RootConstrainSelectedInstOperands,
     /*  337454 */     // GIR_Coverage, 20383,
     /*  337454 */     GIR_EraseRootFromParent_Done,
     /*  337455 */   // Label 6183: @337455
     /*  337455 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(337521), // Rule ID 20384 //
     /*  337460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  337463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337519 */     GIR_RootConstrainSelectedInstOperands,
     /*  337520 */     // GIR_Coverage, 20384,
     /*  337520 */     GIR_EraseRootFromParent_Done,
     /*  337521 */   // Label 6184: @337521
     /*  337521 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(337587), // Rule ID 20387 //
     /*  337526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337565 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337585 */     GIR_RootConstrainSelectedInstOperands,
     /*  337586 */     // GIR_Coverage, 20387,
     /*  337586 */     GIR_EraseRootFromParent_Done,
     /*  337587 */   // Label 6185: @337587
     /*  337587 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(337653), // Rule ID 20388 //
     /*  337592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337631 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337651 */     GIR_RootConstrainSelectedInstOperands,
     /*  337652 */     // GIR_Coverage, 20388,
     /*  337652 */     GIR_EraseRootFromParent_Done,
     /*  337653 */   // Label 6186: @337653
     /*  337653 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(337719), // Rule ID 20391 //
     /*  337658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  337669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  337672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  337675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  337700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337717 */     GIR_RootConstrainSelectedInstOperands,
     /*  337718 */     // GIR_Coverage, 20391,
     /*  337718 */     GIR_EraseRootFromParent_Done,
     /*  337719 */   // Label 6187: @337719
     /*  337719 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(337785), // Rule ID 20392 //
     /*  337724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  337735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  337738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  337741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  337766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337783 */     GIR_RootConstrainSelectedInstOperands,
     /*  337784 */     // GIR_Coverage, 20392,
     /*  337784 */     GIR_EraseRootFromParent_Done,
     /*  337785 */   // Label 6188: @337785
     /*  337785 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(337851), // Rule ID 20395 //
     /*  337790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  337801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  337807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337829 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  337832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337849 */     GIR_RootConstrainSelectedInstOperands,
     /*  337850 */     // GIR_Coverage, 20395,
     /*  337850 */     GIR_EraseRootFromParent_Done,
     /*  337851 */   // Label 6189: @337851
     /*  337851 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(337917), // Rule ID 20396 //
     /*  337856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  337867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  337873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  337898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337915 */     GIR_RootConstrainSelectedInstOperands,
     /*  337916 */     // GIR_Coverage, 20396,
     /*  337916 */     GIR_EraseRootFromParent_Done,
     /*  337917 */   // Label 6190: @337917
     /*  337917 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(337983), // Rule ID 20399 //
     /*  337922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  337933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  337939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337981 */     GIR_RootConstrainSelectedInstOperands,
     /*  337982 */     // GIR_Coverage, 20399,
     /*  337982 */     GIR_EraseRootFromParent_Done,
     /*  337983 */   // Label 6191: @337983
     /*  337983 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(338049), // Rule ID 20400 //
     /*  337988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  337999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338047 */     GIR_RootConstrainSelectedInstOperands,
     /*  338048 */     // GIR_Coverage, 20400,
     /*  338048 */     GIR_EraseRootFromParent_Done,
     /*  338049 */   // Label 6192: @338049
     /*  338049 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338115), // Rule ID 20403 //
     /*  338054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338113 */     GIR_RootConstrainSelectedInstOperands,
     /*  338114 */     // GIR_Coverage, 20403,
     /*  338114 */     GIR_EraseRootFromParent_Done,
     /*  338115 */   // Label 6193: @338115
     /*  338115 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338181), // Rule ID 20404 //
     /*  338120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338179 */     GIR_RootConstrainSelectedInstOperands,
     /*  338180 */     // GIR_Coverage, 20404,
     /*  338180 */     GIR_EraseRootFromParent_Done,
     /*  338181 */   // Label 6194: @338181
     /*  338181 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338247), // Rule ID 20407 //
     /*  338186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338245 */     GIR_RootConstrainSelectedInstOperands,
     /*  338246 */     // GIR_Coverage, 20407,
     /*  338246 */     GIR_EraseRootFromParent_Done,
     /*  338247 */   // Label 6195: @338247
     /*  338247 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338313), // Rule ID 20408 //
     /*  338252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338311 */     GIR_RootConstrainSelectedInstOperands,
     /*  338312 */     // GIR_Coverage, 20408,
     /*  338312 */     GIR_EraseRootFromParent_Done,
     /*  338313 */   // Label 6196: @338313
     /*  338313 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338379), // Rule ID 20411 //
     /*  338318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338377 */     GIR_RootConstrainSelectedInstOperands,
     /*  338378 */     // GIR_Coverage, 20411,
     /*  338378 */     GIR_EraseRootFromParent_Done,
     /*  338379 */   // Label 6197: @338379
     /*  338379 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338445), // Rule ID 20412 //
     /*  338384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338423 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338443 */     GIR_RootConstrainSelectedInstOperands,
     /*  338444 */     // GIR_Coverage, 20412,
     /*  338444 */     GIR_EraseRootFromParent_Done,
     /*  338445 */   // Label 6198: @338445
     /*  338445 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(338511), // Rule ID 20415 //
     /*  338450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338509 */     GIR_RootConstrainSelectedInstOperands,
     /*  338510 */     // GIR_Coverage, 20415,
     /*  338510 */     GIR_EraseRootFromParent_Done,
     /*  338511 */   // Label 6199: @338511
     /*  338511 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(338577), // Rule ID 20416 //
     /*  338516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338555 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338575 */     GIR_RootConstrainSelectedInstOperands,
     /*  338576 */     // GIR_Coverage, 20416,
     /*  338576 */     GIR_EraseRootFromParent_Done,
     /*  338577 */   // Label 6200: @338577
     /*  338577 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(338643), // Rule ID 20419 //
     /*  338582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  338593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  338599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338641 */     GIR_RootConstrainSelectedInstOperands,
     /*  338642 */     // GIR_Coverage, 20419,
     /*  338642 */     GIR_EraseRootFromParent_Done,
     /*  338643 */   // Label 6201: @338643
     /*  338643 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(338709), // Rule ID 20420 //
     /*  338648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  338659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  338665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338687 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338707 */     GIR_RootConstrainSelectedInstOperands,
     /*  338708 */     // GIR_Coverage, 20420,
     /*  338708 */     GIR_EraseRootFromParent_Done,
     /*  338709 */   // Label 6202: @338709
     /*  338709 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(338775), // Rule ID 20745 //
     /*  338714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  338725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  338728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  338731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  338756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338773 */     GIR_RootConstrainSelectedInstOperands,
     /*  338774 */     // GIR_Coverage, 20745,
     /*  338774 */     GIR_EraseRootFromParent_Done,
     /*  338775 */   // Label 6203: @338775
     /*  338775 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(338841), // Rule ID 20746 //
     /*  338780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  338791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  338794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  338797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  338822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338839 */     GIR_RootConstrainSelectedInstOperands,
     /*  338840 */     // GIR_Coverage, 20746,
     /*  338840 */     GIR_EraseRootFromParent_Done,
     /*  338841 */   // Label 6204: @338841
     /*  338841 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(338907), // Rule ID 20749 //
     /*  338846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  338857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  338860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338885 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  338888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338905 */     GIR_RootConstrainSelectedInstOperands,
     /*  338906 */     // GIR_Coverage, 20749,
     /*  338906 */     GIR_EraseRootFromParent_Done,
     /*  338907 */   // Label 6205: @338907
     /*  338907 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(338973), // Rule ID 20750 //
     /*  338912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  338923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  338926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  338954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338971 */     GIR_RootConstrainSelectedInstOperands,
     /*  338972 */     // GIR_Coverage, 20750,
     /*  338972 */     GIR_EraseRootFromParent_Done,
     /*  338973 */   // Label 6206: @338973
     /*  338973 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(339039), // Rule ID 20753 //
     /*  338978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  338989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339017 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339037 */     GIR_RootConstrainSelectedInstOperands,
     /*  339038 */     // GIR_Coverage, 20753,
     /*  339038 */     GIR_EraseRootFromParent_Done,
     /*  339039 */   // Label 6207: @339039
     /*  339039 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339105), // Rule ID 20754 //
     /*  339044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339103 */     GIR_RootConstrainSelectedInstOperands,
     /*  339104 */     // GIR_Coverage, 20754,
     /*  339104 */     GIR_EraseRootFromParent_Done,
     /*  339105 */   // Label 6208: @339105
     /*  339105 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339171), // Rule ID 20757 //
     /*  339110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339169 */     GIR_RootConstrainSelectedInstOperands,
     /*  339170 */     // GIR_Coverage, 20757,
     /*  339170 */     GIR_EraseRootFromParent_Done,
     /*  339171 */   // Label 6209: @339171
     /*  339171 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339237), // Rule ID 20758 //
     /*  339176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339235 */     GIR_RootConstrainSelectedInstOperands,
     /*  339236 */     // GIR_Coverage, 20758,
     /*  339236 */     GIR_EraseRootFromParent_Done,
     /*  339237 */   // Label 6210: @339237
     /*  339237 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339303), // Rule ID 20761 //
     /*  339242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339281 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339301 */     GIR_RootConstrainSelectedInstOperands,
     /*  339302 */     // GIR_Coverage, 20761,
     /*  339302 */     GIR_EraseRootFromParent_Done,
     /*  339303 */   // Label 6211: @339303
     /*  339303 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339369), // Rule ID 20762 //
     /*  339308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339367 */     GIR_RootConstrainSelectedInstOperands,
     /*  339368 */     // GIR_Coverage, 20762,
     /*  339368 */     GIR_EraseRootFromParent_Done,
     /*  339369 */   // Label 6212: @339369
     /*  339369 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339435), // Rule ID 20765 //
     /*  339374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339413 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339433 */     GIR_RootConstrainSelectedInstOperands,
     /*  339434 */     // GIR_Coverage, 20765,
     /*  339434 */     GIR_EraseRootFromParent_Done,
     /*  339435 */   // Label 6213: @339435
     /*  339435 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339501), // Rule ID 20766 //
     /*  339440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339479 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339499 */     GIR_RootConstrainSelectedInstOperands,
     /*  339500 */     // GIR_Coverage, 20766,
     /*  339500 */     GIR_EraseRootFromParent_Done,
     /*  339501 */   // Label 6214: @339501
     /*  339501 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(339567), // Rule ID 20769 //
     /*  339506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339565 */     GIR_RootConstrainSelectedInstOperands,
     /*  339566 */     // GIR_Coverage, 20769,
     /*  339566 */     GIR_EraseRootFromParent_Done,
     /*  339567 */   // Label 6215: @339567
     /*  339567 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(339633), // Rule ID 20770 //
     /*  339572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339611 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339631 */     GIR_RootConstrainSelectedInstOperands,
     /*  339632 */     // GIR_Coverage, 20770,
     /*  339632 */     GIR_EraseRootFromParent_Done,
     /*  339633 */   // Label 6216: @339633
     /*  339633 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(339699), // Rule ID 20773 //
     /*  339638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  339680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339697 */     GIR_RootConstrainSelectedInstOperands,
     /*  339698 */     // GIR_Coverage, 20773,
     /*  339698 */     GIR_EraseRootFromParent_Done,
     /*  339699 */   // Label 6217: @339699
     /*  339699 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(339765), // Rule ID 20774 //
     /*  339704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339743 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  339746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339763 */     GIR_RootConstrainSelectedInstOperands,
     /*  339764 */     // GIR_Coverage, 20774,
     /*  339764 */     GIR_EraseRootFromParent_Done,
     /*  339765 */   // Label 6218: @339765
     /*  339765 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(339831), // Rule ID 20777 //
     /*  339770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  339812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339829 */     GIR_RootConstrainSelectedInstOperands,
     /*  339830 */     // GIR_Coverage, 20777,
     /*  339830 */     GIR_EraseRootFromParent_Done,
     /*  339831 */   // Label 6219: @339831
     /*  339831 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(339897), // Rule ID 20778 //
     /*  339836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  339878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339895 */     GIR_RootConstrainSelectedInstOperands,
     /*  339896 */     // GIR_Coverage, 20778,
     /*  339896 */     GIR_EraseRootFromParent_Done,
     /*  339897 */   // Label 6220: @339897
     /*  339897 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(339963), // Rule ID 20781 //
     /*  339902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  339913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339961 */     GIR_RootConstrainSelectedInstOperands,
     /*  339962 */     // GIR_Coverage, 20781,
     /*  339962 */     GIR_EraseRootFromParent_Done,
     /*  339963 */   // Label 6221: @339963
     /*  339963 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(340029), // Rule ID 20782 //
     /*  339968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  339979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340027 */     GIR_RootConstrainSelectedInstOperands,
     /*  340028 */     // GIR_Coverage, 20782,
     /*  340028 */     GIR_EraseRootFromParent_Done,
     /*  340029 */   // Label 6222: @340029
     /*  340029 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340095), // Rule ID 20785 //
     /*  340034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340093 */     GIR_RootConstrainSelectedInstOperands,
     /*  340094 */     // GIR_Coverage, 20785,
     /*  340094 */     GIR_EraseRootFromParent_Done,
     /*  340095 */   // Label 6223: @340095
     /*  340095 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340161), // Rule ID 20786 //
     /*  340100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340159 */     GIR_RootConstrainSelectedInstOperands,
     /*  340160 */     // GIR_Coverage, 20786,
     /*  340160 */     GIR_EraseRootFromParent_Done,
     /*  340161 */   // Label 6224: @340161
     /*  340161 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340227), // Rule ID 20789 //
     /*  340166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340225 */     GIR_RootConstrainSelectedInstOperands,
     /*  340226 */     // GIR_Coverage, 20789,
     /*  340226 */     GIR_EraseRootFromParent_Done,
     /*  340227 */   // Label 6225: @340227
     /*  340227 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340293), // Rule ID 20790 //
     /*  340232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340291 */     GIR_RootConstrainSelectedInstOperands,
     /*  340292 */     // GIR_Coverage, 20790,
     /*  340292 */     GIR_EraseRootFromParent_Done,
     /*  340293 */   // Label 6226: @340293
     /*  340293 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340359), // Rule ID 20793 //
     /*  340298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340357 */     GIR_RootConstrainSelectedInstOperands,
     /*  340358 */     // GIR_Coverage, 20793,
     /*  340358 */     GIR_EraseRootFromParent_Done,
     /*  340359 */   // Label 6227: @340359
     /*  340359 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340425), // Rule ID 20794 //
     /*  340364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340423 */     GIR_RootConstrainSelectedInstOperands,
     /*  340424 */     // GIR_Coverage, 20794,
     /*  340424 */     GIR_EraseRootFromParent_Done,
     /*  340425 */   // Label 6228: @340425
     /*  340425 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340491), // Rule ID 20797 //
     /*  340430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340469 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340489 */     GIR_RootConstrainSelectedInstOperands,
     /*  340490 */     // GIR_Coverage, 20797,
     /*  340490 */     GIR_EraseRootFromParent_Done,
     /*  340491 */   // Label 6229: @340491
     /*  340491 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340557), // Rule ID 20798 //
     /*  340496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340535 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340555 */     GIR_RootConstrainSelectedInstOperands,
     /*  340556 */     // GIR_Coverage, 20798,
     /*  340556 */     GIR_EraseRootFromParent_Done,
     /*  340557 */   // Label 6230: @340557
     /*  340557 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(340623), // Rule ID 20801 //
     /*  340562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340621 */     GIR_RootConstrainSelectedInstOperands,
     /*  340622 */     // GIR_Coverage, 20801,
     /*  340622 */     GIR_EraseRootFromParent_Done,
     /*  340623 */   // Label 6231: @340623
     /*  340623 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(340689), // Rule ID 20802 //
     /*  340628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340687 */     GIR_RootConstrainSelectedInstOperands,
     /*  340688 */     // GIR_Coverage, 20802,
     /*  340688 */     GIR_EraseRootFromParent_Done,
     /*  340689 */   // Label 6232: @340689
     /*  340689 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(340755), // Rule ID 20805 //
     /*  340694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  340705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  340736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340753 */     GIR_RootConstrainSelectedInstOperands,
     /*  340754 */     // GIR_Coverage, 20805,
     /*  340754 */     GIR_EraseRootFromParent_Done,
     /*  340755 */   // Label 6233: @340755
     /*  340755 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(340821), // Rule ID 20806 //
     /*  340760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  340771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340799 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  340802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340819 */     GIR_RootConstrainSelectedInstOperands,
     /*  340820 */     // GIR_Coverage, 20806,
     /*  340820 */     GIR_EraseRootFromParent_Done,
     /*  340821 */   // Label 6234: @340821
     /*  340821 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(340887), // Rule ID 20809 //
     /*  340826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  340837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340865 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  340868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340885 */     GIR_RootConstrainSelectedInstOperands,
     /*  340886 */     // GIR_Coverage, 20809,
     /*  340886 */     GIR_EraseRootFromParent_Done,
     /*  340887 */   // Label 6235: @340887
     /*  340887 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(340953), // Rule ID 20810 //
     /*  340892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  340903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  340934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340951 */     GIR_RootConstrainSelectedInstOperands,
     /*  340952 */     // GIR_Coverage, 20810,
     /*  340952 */     GIR_EraseRootFromParent_Done,
     /*  340953 */   // Label 6236: @340953
     /*  340953 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(341019), // Rule ID 20813 //
     /*  340958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  340969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341017 */     GIR_RootConstrainSelectedInstOperands,
     /*  341018 */     // GIR_Coverage, 20813,
     /*  341018 */     GIR_EraseRootFromParent_Done,
     /*  341019 */   // Label 6237: @341019
     /*  341019 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341085), // Rule ID 20814 //
     /*  341024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341083 */     GIR_RootConstrainSelectedInstOperands,
     /*  341084 */     // GIR_Coverage, 20814,
     /*  341084 */     GIR_EraseRootFromParent_Done,
     /*  341085 */   // Label 6238: @341085
     /*  341085 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341151), // Rule ID 20817 //
     /*  341090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341149 */     GIR_RootConstrainSelectedInstOperands,
     /*  341150 */     // GIR_Coverage, 20817,
     /*  341150 */     GIR_EraseRootFromParent_Done,
     /*  341151 */   // Label 6239: @341151
     /*  341151 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341217), // Rule ID 20818 //
     /*  341156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341195 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341215 */     GIR_RootConstrainSelectedInstOperands,
     /*  341216 */     // GIR_Coverage, 20818,
     /*  341216 */     GIR_EraseRootFromParent_Done,
     /*  341217 */   // Label 6240: @341217
     /*  341217 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341283), // Rule ID 20821 //
     /*  341222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341261 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341281 */     GIR_RootConstrainSelectedInstOperands,
     /*  341282 */     // GIR_Coverage, 20821,
     /*  341282 */     GIR_EraseRootFromParent_Done,
     /*  341283 */   // Label 6241: @341283
     /*  341283 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341349), // Rule ID 20822 //
     /*  341288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341347 */     GIR_RootConstrainSelectedInstOperands,
     /*  341348 */     // GIR_Coverage, 20822,
     /*  341348 */     GIR_EraseRootFromParent_Done,
     /*  341349 */   // Label 6242: @341349
     /*  341349 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341415), // Rule ID 20825 //
     /*  341354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341413 */     GIR_RootConstrainSelectedInstOperands,
     /*  341414 */     // GIR_Coverage, 20825,
     /*  341414 */     GIR_EraseRootFromParent_Done,
     /*  341415 */   // Label 6243: @341415
     /*  341415 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341481), // Rule ID 20826 //
     /*  341420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341479 */     GIR_RootConstrainSelectedInstOperands,
     /*  341480 */     // GIR_Coverage, 20826,
     /*  341480 */     GIR_EraseRootFromParent_Done,
     /*  341481 */   // Label 6244: @341481
     /*  341481 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341547), // Rule ID 20829 //
     /*  341486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341545 */     GIR_RootConstrainSelectedInstOperands,
     /*  341546 */     // GIR_Coverage, 20829,
     /*  341546 */     GIR_EraseRootFromParent_Done,
     /*  341547 */   // Label 6245: @341547
     /*  341547 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341613), // Rule ID 20830 //
     /*  341552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341611 */     GIR_RootConstrainSelectedInstOperands,
     /*  341612 */     // GIR_Coverage, 20830,
     /*  341612 */     GIR_EraseRootFromParent_Done,
     /*  341613 */   // Label 6246: @341613
     /*  341613 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(341679), // Rule ID 20833 //
     /*  341618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  341629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341657 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  341660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341677 */     GIR_RootConstrainSelectedInstOperands,
     /*  341678 */     // GIR_Coverage, 20833,
     /*  341678 */     GIR_EraseRootFromParent_Done,
     /*  341679 */   // Label 6247: @341679
     /*  341679 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(341745), // Rule ID 20834 //
     /*  341684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  341695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  341726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341743 */     GIR_RootConstrainSelectedInstOperands,
     /*  341744 */     // GIR_Coverage, 20834,
     /*  341744 */     GIR_EraseRootFromParent_Done,
     /*  341745 */   // Label 6248: @341745
     /*  341745 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(341811), // Rule ID 20837 //
     /*  341750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  341761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  341767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341789 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  341792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341809 */     GIR_RootConstrainSelectedInstOperands,
     /*  341810 */     // GIR_Coverage, 20837,
     /*  341810 */     GIR_EraseRootFromParent_Done,
     /*  341811 */   // Label 6249: @341811
     /*  341811 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(341877), // Rule ID 20838 //
     /*  341816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  341827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  341833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341855 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  341858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341875 */     GIR_RootConstrainSelectedInstOperands,
     /*  341876 */     // GIR_Coverage, 20838,
     /*  341876 */     GIR_EraseRootFromParent_Done,
     /*  341877 */   // Label 6250: @341877
     /*  341877 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(341943), // Rule ID 20841 //
     /*  341882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  341893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  341899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341921 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341941 */     GIR_RootConstrainSelectedInstOperands,
     /*  341942 */     // GIR_Coverage, 20841,
     /*  341942 */     GIR_EraseRootFromParent_Done,
     /*  341943 */   // Label 6251: @341943
     /*  341943 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(342009), // Rule ID 20842 //
     /*  341948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  341959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  341965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342007 */     GIR_RootConstrainSelectedInstOperands,
     /*  342008 */     // GIR_Coverage, 20842,
     /*  342008 */     GIR_EraseRootFromParent_Done,
     /*  342009 */   // Label 6252: @342009
     /*  342009 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342075), // Rule ID 20845 //
     /*  342014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342073 */     GIR_RootConstrainSelectedInstOperands,
     /*  342074 */     // GIR_Coverage, 20845,
     /*  342074 */     GIR_EraseRootFromParent_Done,
     /*  342075 */   // Label 6253: @342075
     /*  342075 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342141), // Rule ID 20846 //
     /*  342080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342139 */     GIR_RootConstrainSelectedInstOperands,
     /*  342140 */     // GIR_Coverage, 20846,
     /*  342140 */     GIR_EraseRootFromParent_Done,
     /*  342141 */   // Label 6254: @342141
     /*  342141 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342207), // Rule ID 20849 //
     /*  342146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342205 */     GIR_RootConstrainSelectedInstOperands,
     /*  342206 */     // GIR_Coverage, 20849,
     /*  342206 */     GIR_EraseRootFromParent_Done,
     /*  342207 */   // Label 6255: @342207
     /*  342207 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342273), // Rule ID 20850 //
     /*  342212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342271 */     GIR_RootConstrainSelectedInstOperands,
     /*  342272 */     // GIR_Coverage, 20850,
     /*  342272 */     GIR_EraseRootFromParent_Done,
     /*  342273 */   // Label 6256: @342273
     /*  342273 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342339), // Rule ID 20853 //
     /*  342278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342337 */     GIR_RootConstrainSelectedInstOperands,
     /*  342338 */     // GIR_Coverage, 20853,
     /*  342338 */     GIR_EraseRootFromParent_Done,
     /*  342339 */   // Label 6257: @342339
     /*  342339 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342405), // Rule ID 20854 //
     /*  342344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342403 */     GIR_RootConstrainSelectedInstOperands,
     /*  342404 */     // GIR_Coverage, 20854,
     /*  342404 */     GIR_EraseRootFromParent_Done,
     /*  342405 */   // Label 6258: @342405
     /*  342405 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342471), // Rule ID 20857 //
     /*  342410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342469 */     GIR_RootConstrainSelectedInstOperands,
     /*  342470 */     // GIR_Coverage, 20857,
     /*  342470 */     GIR_EraseRootFromParent_Done,
     /*  342471 */   // Label 6259: @342471
     /*  342471 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342537), // Rule ID 20858 //
     /*  342476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342535 */     GIR_RootConstrainSelectedInstOperands,
     /*  342536 */     // GIR_Coverage, 20858,
     /*  342536 */     GIR_EraseRootFromParent_Done,
     /*  342537 */   // Label 6260: @342537
     /*  342537 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342603), // Rule ID 20861 //
     /*  342542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  342559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342581 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342601 */     GIR_RootConstrainSelectedInstOperands,
     /*  342602 */     // GIR_Coverage, 20861,
     /*  342602 */     GIR_EraseRootFromParent_Done,
     /*  342603 */   // Label 6261: @342603
     /*  342603 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(342669), // Rule ID 20862 //
     /*  342608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  342625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342667 */     GIR_RootConstrainSelectedInstOperands,
     /*  342668 */     // GIR_Coverage, 20862,
     /*  342668 */     GIR_EraseRootFromParent_Done,
     /*  342669 */   // Label 6262: @342669
     /*  342669 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(342735), // Rule ID 21129 //
     /*  342674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  342691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  342716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342733 */     GIR_RootConstrainSelectedInstOperands,
     /*  342734 */     // GIR_Coverage, 21129,
     /*  342734 */     GIR_EraseRootFromParent_Done,
     /*  342735 */   // Label 6263: @342735
     /*  342735 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(342801), // Rule ID 21130 //
     /*  342740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  342757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  342782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342799 */     GIR_RootConstrainSelectedInstOperands,
     /*  342800 */     // GIR_Coverage, 21130,
     /*  342800 */     GIR_EraseRootFromParent_Done,
     /*  342801 */   // Label 6264: @342801
     /*  342801 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(342867), // Rule ID 21133 //
     /*  342806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  342848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342865 */     GIR_RootConstrainSelectedInstOperands,
     /*  342866 */     // GIR_Coverage, 21133,
     /*  342866 */     GIR_EraseRootFromParent_Done,
     /*  342867 */   // Label 6265: @342867
     /*  342867 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(342933), // Rule ID 21134 //
     /*  342872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  342914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342931 */     GIR_RootConstrainSelectedInstOperands,
     /*  342932 */     // GIR_Coverage, 21134,
     /*  342932 */     GIR_EraseRootFromParent_Done,
     /*  342933 */   // Label 6266: @342933
     /*  342933 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(342999), // Rule ID 21137 //
     /*  342938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  342980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342997 */     GIR_RootConstrainSelectedInstOperands,
     /*  342998 */     // GIR_Coverage, 21137,
     /*  342998 */     GIR_EraseRootFromParent_Done,
     /*  342999 */   // Label 6267: @342999
     /*  342999 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343065), // Rule ID 21138 //
     /*  343004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343063 */     GIR_RootConstrainSelectedInstOperands,
     /*  343064 */     // GIR_Coverage, 21138,
     /*  343064 */     GIR_EraseRootFromParent_Done,
     /*  343065 */   // Label 6268: @343065
     /*  343065 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343131), // Rule ID 21141 //
     /*  343070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343129 */     GIR_RootConstrainSelectedInstOperands,
     /*  343130 */     // GIR_Coverage, 21141,
     /*  343130 */     GIR_EraseRootFromParent_Done,
     /*  343131 */   // Label 6269: @343131
     /*  343131 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343197), // Rule ID 21142 //
     /*  343136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343195 */     GIR_RootConstrainSelectedInstOperands,
     /*  343196 */     // GIR_Coverage, 21142,
     /*  343196 */     GIR_EraseRootFromParent_Done,
     /*  343197 */   // Label 6270: @343197
     /*  343197 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343263), // Rule ID 21145 //
     /*  343202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343261 */     GIR_RootConstrainSelectedInstOperands,
     /*  343262 */     // GIR_Coverage, 21145,
     /*  343262 */     GIR_EraseRootFromParent_Done,
     /*  343263 */   // Label 6271: @343263
     /*  343263 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343329), // Rule ID 21146 //
     /*  343268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343327 */     GIR_RootConstrainSelectedInstOperands,
     /*  343328 */     // GIR_Coverage, 21146,
     /*  343328 */     GIR_EraseRootFromParent_Done,
     /*  343329 */   // Label 6272: @343329
     /*  343329 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343395), // Rule ID 21149 //
     /*  343334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343373 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343393 */     GIR_RootConstrainSelectedInstOperands,
     /*  343394 */     // GIR_Coverage, 21149,
     /*  343394 */     GIR_EraseRootFromParent_Done,
     /*  343395 */   // Label 6273: @343395
     /*  343395 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343461), // Rule ID 21150 //
     /*  343400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343459 */     GIR_RootConstrainSelectedInstOperands,
     /*  343460 */     // GIR_Coverage, 21150,
     /*  343460 */     GIR_EraseRootFromParent_Done,
     /*  343461 */   // Label 6274: @343461
     /*  343461 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343527), // Rule ID 21153 //
     /*  343466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343525 */     GIR_RootConstrainSelectedInstOperands,
     /*  343526 */     // GIR_Coverage, 21153,
     /*  343526 */     GIR_EraseRootFromParent_Done,
     /*  343527 */   // Label 6275: @343527
     /*  343527 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343593), // Rule ID 21154 //
     /*  343532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343591 */     GIR_RootConstrainSelectedInstOperands,
     /*  343592 */     // GIR_Coverage, 21154,
     /*  343592 */     GIR_EraseRootFromParent_Done,
     /*  343593 */   // Label 6276: @343593
     /*  343593 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(343659), // Rule ID 21157 //
     /*  343598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343657 */     GIR_RootConstrainSelectedInstOperands,
     /*  343658 */     // GIR_Coverage, 21157,
     /*  343658 */     GIR_EraseRootFromParent_Done,
     /*  343659 */   // Label 6277: @343659
     /*  343659 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(343725), // Rule ID 21158 //
     /*  343664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343703 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343723 */     GIR_RootConstrainSelectedInstOperands,
     /*  343724 */     // GIR_Coverage, 21158,
     /*  343724 */     GIR_EraseRootFromParent_Done,
     /*  343725 */   // Label 6278: @343725
     /*  343725 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(343791), // Rule ID 21161 //
     /*  343730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343769 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343789 */     GIR_RootConstrainSelectedInstOperands,
     /*  343790 */     // GIR_Coverage, 21161,
     /*  343790 */     GIR_EraseRootFromParent_Done,
     /*  343791 */   // Label 6279: @343791
     /*  343791 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(343857), // Rule ID 21162 //
     /*  343796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343835 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343855 */     GIR_RootConstrainSelectedInstOperands,
     /*  343856 */     // GIR_Coverage, 21162,
     /*  343856 */     GIR_EraseRootFromParent_Done,
     /*  343857 */   // Label 6280: @343857
     /*  343857 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(343923), // Rule ID 21165 //
     /*  343862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  343904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343921 */     GIR_RootConstrainSelectedInstOperands,
     /*  343922 */     // GIR_Coverage, 21165,
     /*  343922 */     GIR_EraseRootFromParent_Done,
     /*  343923 */   // Label 6281: @343923
     /*  343923 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(343989), // Rule ID 21166 //
     /*  343928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343967 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  343970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343987 */     GIR_RootConstrainSelectedInstOperands,
     /*  343988 */     // GIR_Coverage, 21166,
     /*  343988 */     GIR_EraseRootFromParent_Done,
     /*  343989 */   // Label 6282: @343989
     /*  343989 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344055), // Rule ID 21169 //
     /*  343994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344053 */     GIR_RootConstrainSelectedInstOperands,
     /*  344054 */     // GIR_Coverage, 21169,
     /*  344054 */     GIR_EraseRootFromParent_Done,
     /*  344055 */   // Label 6283: @344055
     /*  344055 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344121), // Rule ID 21170 //
     /*  344060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344119 */     GIR_RootConstrainSelectedInstOperands,
     /*  344120 */     // GIR_Coverage, 21170,
     /*  344120 */     GIR_EraseRootFromParent_Done,
     /*  344121 */   // Label 6284: @344121
     /*  344121 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344187), // Rule ID 21173 //
     /*  344126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344185 */     GIR_RootConstrainSelectedInstOperands,
     /*  344186 */     // GIR_Coverage, 21173,
     /*  344186 */     GIR_EraseRootFromParent_Done,
     /*  344187 */   // Label 6285: @344187
     /*  344187 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344253), // Rule ID 21174 //
     /*  344192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344251 */     GIR_RootConstrainSelectedInstOperands,
     /*  344252 */     // GIR_Coverage, 21174,
     /*  344252 */     GIR_EraseRootFromParent_Done,
     /*  344253 */   // Label 6286: @344253
     /*  344253 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344319), // Rule ID 21177 //
     /*  344258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344317 */     GIR_RootConstrainSelectedInstOperands,
     /*  344318 */     // GIR_Coverage, 21177,
     /*  344318 */     GIR_EraseRootFromParent_Done,
     /*  344319 */   // Label 6287: @344319
     /*  344319 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344385), // Rule ID 21178 //
     /*  344324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344383 */     GIR_RootConstrainSelectedInstOperands,
     /*  344384 */     // GIR_Coverage, 21178,
     /*  344384 */     GIR_EraseRootFromParent_Done,
     /*  344385 */   // Label 6288: @344385
     /*  344385 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344451), // Rule ID 21181 //
     /*  344390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344449 */     GIR_RootConstrainSelectedInstOperands,
     /*  344450 */     // GIR_Coverage, 21181,
     /*  344450 */     GIR_EraseRootFromParent_Done,
     /*  344451 */   // Label 6289: @344451
     /*  344451 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344517), // Rule ID 21182 //
     /*  344456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344515 */     GIR_RootConstrainSelectedInstOperands,
     /*  344516 */     // GIR_Coverage, 21182,
     /*  344516 */     GIR_EraseRootFromParent_Done,
     /*  344517 */   // Label 6290: @344517
     /*  344517 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344583), // Rule ID 21185 //
     /*  344522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344581 */     GIR_RootConstrainSelectedInstOperands,
     /*  344582 */     // GIR_Coverage, 21185,
     /*  344582 */     GIR_EraseRootFromParent_Done,
     /*  344583 */   // Label 6291: @344583
     /*  344583 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(344649), // Rule ID 21186 //
     /*  344588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344647 */     GIR_RootConstrainSelectedInstOperands,
     /*  344648 */     // GIR_Coverage, 21186,
     /*  344648 */     GIR_EraseRootFromParent_Done,
     /*  344649 */   // Label 6292: @344649
     /*  344649 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(344715), // Rule ID 21189 //
     /*  344654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344713 */     GIR_RootConstrainSelectedInstOperands,
     /*  344714 */     // GIR_Coverage, 21189,
     /*  344714 */     GIR_EraseRootFromParent_Done,
     /*  344715 */   // Label 6293: @344715
     /*  344715 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(344781), // Rule ID 21190 //
     /*  344720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344759 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344779 */     GIR_RootConstrainSelectedInstOperands,
     /*  344780 */     // GIR_Coverage, 21190,
     /*  344780 */     GIR_EraseRootFromParent_Done,
     /*  344781 */   // Label 6294: @344781
     /*  344781 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(344847), // Rule ID 21193 //
     /*  344786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344825 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344845 */     GIR_RootConstrainSelectedInstOperands,
     /*  344846 */     // GIR_Coverage, 21193,
     /*  344846 */     GIR_EraseRootFromParent_Done,
     /*  344847 */   // Label 6295: @344847
     /*  344847 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(344913), // Rule ID 21194 //
     /*  344852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344911 */     GIR_RootConstrainSelectedInstOperands,
     /*  344912 */     // GIR_Coverage, 21194,
     /*  344912 */     GIR_EraseRootFromParent_Done,
     /*  344913 */   // Label 6296: @344913
     /*  344913 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(344979), // Rule ID 21197 //
     /*  344918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344977 */     GIR_RootConstrainSelectedInstOperands,
     /*  344978 */     // GIR_Coverage, 21197,
     /*  344978 */     GIR_EraseRootFromParent_Done,
     /*  344979 */   // Label 6297: @344979
     /*  344979 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(345045), // Rule ID 21198 //
     /*  344984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345023 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  345026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345043 */     GIR_RootConstrainSelectedInstOperands,
     /*  345044 */     // GIR_Coverage, 21198,
     /*  345044 */     GIR_EraseRootFromParent_Done,
     /*  345045 */   // Label 6298: @345045
     /*  345045 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345111), // Rule ID 21201 //
     /*  345050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345089 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345109 */     GIR_RootConstrainSelectedInstOperands,
     /*  345110 */     // GIR_Coverage, 21201,
     /*  345110 */     GIR_EraseRootFromParent_Done,
     /*  345111 */   // Label 6299: @345111
     /*  345111 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345177), // Rule ID 21202 //
     /*  345116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345155 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345175 */     GIR_RootConstrainSelectedInstOperands,
     /*  345176 */     // GIR_Coverage, 21202,
     /*  345176 */     GIR_EraseRootFromParent_Done,
     /*  345177 */   // Label 6300: @345177
     /*  345177 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345243), // Rule ID 21205 //
     /*  345182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345221 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345241 */     GIR_RootConstrainSelectedInstOperands,
     /*  345242 */     // GIR_Coverage, 21205,
     /*  345242 */     GIR_EraseRootFromParent_Done,
     /*  345243 */   // Label 6301: @345243
     /*  345243 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345309), // Rule ID 21206 //
     /*  345248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345287 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345307 */     GIR_RootConstrainSelectedInstOperands,
     /*  345308 */     // GIR_Coverage, 21206,
     /*  345308 */     GIR_EraseRootFromParent_Done,
     /*  345309 */   // Label 6302: @345309
     /*  345309 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345375), // Rule ID 21209 //
     /*  345314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345353 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345373 */     GIR_RootConstrainSelectedInstOperands,
     /*  345374 */     // GIR_Coverage, 21209,
     /*  345374 */     GIR_EraseRootFromParent_Done,
     /*  345375 */   // Label 6303: @345375
     /*  345375 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345441), // Rule ID 21210 //
     /*  345380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345419 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345439 */     GIR_RootConstrainSelectedInstOperands,
     /*  345440 */     // GIR_Coverage, 21210,
     /*  345440 */     GIR_EraseRootFromParent_Done,
     /*  345441 */   // Label 6304: @345441
     /*  345441 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345507), // Rule ID 21213 //
     /*  345446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345485 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345505 */     GIR_RootConstrainSelectedInstOperands,
     /*  345506 */     // GIR_Coverage, 21213,
     /*  345506 */     GIR_EraseRootFromParent_Done,
     /*  345507 */   // Label 6305: @345507
     /*  345507 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345573), // Rule ID 21214 //
     /*  345512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345551 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345571 */     GIR_RootConstrainSelectedInstOperands,
     /*  345572 */     // GIR_Coverage, 21214,
     /*  345572 */     GIR_EraseRootFromParent_Done,
     /*  345573 */   // Label 6306: @345573
     /*  345573 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(345639), // Rule ID 21217 //
     /*  345578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345617 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  345620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345637 */     GIR_RootConstrainSelectedInstOperands,
     /*  345638 */     // GIR_Coverage, 21217,
     /*  345638 */     GIR_EraseRootFromParent_Done,
     /*  345639 */   // Label 6307: @345639
     /*  345639 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(345705), // Rule ID 21218 //
     /*  345644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345683 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  345686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345703 */     GIR_RootConstrainSelectedInstOperands,
     /*  345704 */     // GIR_Coverage, 21218,
     /*  345704 */     GIR_EraseRootFromParent_Done,
     /*  345705 */   // Label 6308: @345705
     /*  345705 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(345771), // Rule ID 21221 //
     /*  345710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  345721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  345724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  345727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345749 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  345752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345769 */     GIR_RootConstrainSelectedInstOperands,
     /*  345770 */     // GIR_Coverage, 21221,
     /*  345770 */     GIR_EraseRootFromParent_Done,
     /*  345771 */   // Label 6309: @345771
     /*  345771 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(345837), // Rule ID 21222 //
     /*  345776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  345787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  345790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  345793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345815 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  345818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345835 */     GIR_RootConstrainSelectedInstOperands,
     /*  345836 */     // GIR_Coverage, 21222,
     /*  345836 */     GIR_EraseRootFromParent_Done,
     /*  345837 */   // Label 6310: @345837
     /*  345837 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(345903), // Rule ID 21225 //
     /*  345842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345881 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  345884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345901 */     GIR_RootConstrainSelectedInstOperands,
     /*  345902 */     // GIR_Coverage, 21225,
     /*  345902 */     GIR_EraseRootFromParent_Done,
     /*  345903 */   // Label 6311: @345903
     /*  345903 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(345969), // Rule ID 21226 //
     /*  345908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345947 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  345950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345967 */     GIR_RootConstrainSelectedInstOperands,
     /*  345968 */     // GIR_Coverage, 21226,
     /*  345968 */     GIR_EraseRootFromParent_Done,
     /*  345969 */   // Label 6312: @345969
     /*  345969 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(346035), // Rule ID 21229 //
     /*  345974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346013 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  346016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346033 */     GIR_RootConstrainSelectedInstOperands,
     /*  346034 */     // GIR_Coverage, 21229,
     /*  346034 */     GIR_EraseRootFromParent_Done,
     /*  346035 */   // Label 6313: @346035
     /*  346035 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346101), // Rule ID 21230 //
     /*  346040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346079 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  346082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346099 */     GIR_RootConstrainSelectedInstOperands,
     /*  346100 */     // GIR_Coverage, 21230,
     /*  346100 */     GIR_EraseRootFromParent_Done,
     /*  346101 */   // Label 6314: @346101
     /*  346101 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346167), // Rule ID 21233 //
     /*  346106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346145 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346165 */     GIR_RootConstrainSelectedInstOperands,
     /*  346166 */     // GIR_Coverage, 21233,
     /*  346166 */     GIR_EraseRootFromParent_Done,
     /*  346167 */   // Label 6315: @346167
     /*  346167 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346233), // Rule ID 21234 //
     /*  346172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346211 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346231 */     GIR_RootConstrainSelectedInstOperands,
     /*  346232 */     // GIR_Coverage, 21234,
     /*  346232 */     GIR_EraseRootFromParent_Done,
     /*  346233 */   // Label 6316: @346233
     /*  346233 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346299), // Rule ID 21237 //
     /*  346238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346277 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346297 */     GIR_RootConstrainSelectedInstOperands,
     /*  346298 */     // GIR_Coverage, 21237,
     /*  346298 */     GIR_EraseRootFromParent_Done,
     /*  346299 */   // Label 6317: @346299
     /*  346299 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346365), // Rule ID 21238 //
     /*  346304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346343 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346363 */     GIR_RootConstrainSelectedInstOperands,
     /*  346364 */     // GIR_Coverage, 21238,
     /*  346364 */     GIR_EraseRootFromParent_Done,
     /*  346365 */   // Label 6318: @346365
     /*  346365 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346431), // Rule ID 21241 //
     /*  346370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346409 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346429 */     GIR_RootConstrainSelectedInstOperands,
     /*  346430 */     // GIR_Coverage, 21241,
     /*  346430 */     GIR_EraseRootFromParent_Done,
     /*  346431 */   // Label 6319: @346431
     /*  346431 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346497), // Rule ID 21242 //
     /*  346436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346475 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346495 */     GIR_RootConstrainSelectedInstOperands,
     /*  346496 */     // GIR_Coverage, 21242,
     /*  346496 */     GIR_EraseRootFromParent_Done,
     /*  346497 */   // Label 6320: @346497
     /*  346497 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346563), // Rule ID 21245 //
     /*  346502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346541 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346561 */     GIR_RootConstrainSelectedInstOperands,
     /*  346562 */     // GIR_Coverage, 21245,
     /*  346562 */     GIR_EraseRootFromParent_Done,
     /*  346563 */   // Label 6321: @346563
     /*  346563 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(346629), // Rule ID 21246 //
     /*  346568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346607 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346627 */     GIR_RootConstrainSelectedInstOperands,
     /*  346628 */     // GIR_Coverage, 21246,
     /*  346628 */     GIR_EraseRootFromParent_Done,
     /*  346629 */   // Label 6322: @346629
     /*  346629 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(346695), // Rule ID 21249 //
     /*  346634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346673 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  346676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346693 */     GIR_RootConstrainSelectedInstOperands,
     /*  346694 */     // GIR_Coverage, 21249,
     /*  346694 */     GIR_EraseRootFromParent_Done,
     /*  346695 */   // Label 6323: @346695
     /*  346695 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(346761), // Rule ID 21250 //
     /*  346700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346739 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  346742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346759 */     GIR_RootConstrainSelectedInstOperands,
     /*  346760 */     // GIR_Coverage, 21250,
     /*  346760 */     GIR_EraseRootFromParent_Done,
     /*  346761 */   // Label 6324: @346761
     /*  346761 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(346827), // Rule ID 21253 //
     /*  346766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  346777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  346780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346805 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  346808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346825 */     GIR_RootConstrainSelectedInstOperands,
     /*  346826 */     // GIR_Coverage, 21253,
     /*  346826 */     GIR_EraseRootFromParent_Done,
     /*  346827 */   // Label 6325: @346827
     /*  346827 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(346893), // Rule ID 21254 //
     /*  346832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  346843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  346846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346871 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  346874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346891 */     GIR_RootConstrainSelectedInstOperands,
     /*  346892 */     // GIR_Coverage, 21254,
     /*  346892 */     GIR_EraseRootFromParent_Done,
     /*  346893 */   // Label 6326: @346893
     /*  346893 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(346959), // Rule ID 21257 //
     /*  346898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  346909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  346912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346937 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  346940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346957 */     GIR_RootConstrainSelectedInstOperands,
     /*  346958 */     // GIR_Coverage, 21257,
     /*  346958 */     GIR_EraseRootFromParent_Done,
     /*  346959 */   // Label 6327: @346959
     /*  346959 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(347025), // Rule ID 21258 //
     /*  346964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  346975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  346978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347003 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  347006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347023 */     GIR_RootConstrainSelectedInstOperands,
     /*  347024 */     // GIR_Coverage, 21258,
     /*  347024 */     GIR_EraseRootFromParent_Done,
     /*  347025 */   // Label 6328: @347025
     /*  347025 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347091), // Rule ID 21261 //
     /*  347030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347069 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347089 */     GIR_RootConstrainSelectedInstOperands,
     /*  347090 */     // GIR_Coverage, 21261,
     /*  347090 */     GIR_EraseRootFromParent_Done,
     /*  347091 */   // Label 6329: @347091
     /*  347091 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347157), // Rule ID 21262 //
     /*  347096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347135 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347155 */     GIR_RootConstrainSelectedInstOperands,
     /*  347156 */     // GIR_Coverage, 21262,
     /*  347156 */     GIR_EraseRootFromParent_Done,
     /*  347157 */   // Label 6330: @347157
     /*  347157 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347223), // Rule ID 21265 //
     /*  347162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347201 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347221 */     GIR_RootConstrainSelectedInstOperands,
     /*  347222 */     // GIR_Coverage, 21265,
     /*  347222 */     GIR_EraseRootFromParent_Done,
     /*  347223 */   // Label 6331: @347223
     /*  347223 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347289), // Rule ID 21266 //
     /*  347228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347267 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347287 */     GIR_RootConstrainSelectedInstOperands,
     /*  347288 */     // GIR_Coverage, 21266,
     /*  347288 */     GIR_EraseRootFromParent_Done,
     /*  347289 */   // Label 6332: @347289
     /*  347289 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347355), // Rule ID 21269 //
     /*  347294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347353 */     GIR_RootConstrainSelectedInstOperands,
     /*  347354 */     // GIR_Coverage, 21269,
     /*  347354 */     GIR_EraseRootFromParent_Done,
     /*  347355 */   // Label 6333: @347355
     /*  347355 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347421), // Rule ID 21270 //
     /*  347360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347399 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347419 */     GIR_RootConstrainSelectedInstOperands,
     /*  347420 */     // GIR_Coverage, 21270,
     /*  347420 */     GIR_EraseRootFromParent_Done,
     /*  347421 */   // Label 6334: @347421
     /*  347421 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347487), // Rule ID 21273 //
     /*  347426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347465 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347485 */     GIR_RootConstrainSelectedInstOperands,
     /*  347486 */     // GIR_Coverage, 21273,
     /*  347486 */     GIR_EraseRootFromParent_Done,
     /*  347487 */   // Label 6335: @347487
     /*  347487 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347553), // Rule ID 21274 //
     /*  347492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347531 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347551 */     GIR_RootConstrainSelectedInstOperands,
     /*  347552 */     // GIR_Coverage, 21274,
     /*  347552 */     GIR_EraseRootFromParent_Done,
     /*  347553 */   // Label 6336: @347553
     /*  347553 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(347619), // Rule ID 21277 //
     /*  347558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  347575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347597 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  347600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347617 */     GIR_RootConstrainSelectedInstOperands,
     /*  347618 */     // GIR_Coverage, 21277,
     /*  347618 */     GIR_EraseRootFromParent_Done,
     /*  347619 */   // Label 6337: @347619
     /*  347619 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(347685), // Rule ID 21278 //
     /*  347624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  347641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347663 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  347666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347683 */     GIR_RootConstrainSelectedInstOperands,
     /*  347684 */     // GIR_Coverage, 21278,
     /*  347684 */     GIR_EraseRootFromParent_Done,
     /*  347685 */   // Label 6338: @347685
     /*  347685 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(347751), // Rule ID 21281 //
     /*  347690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  347701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  347704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  347707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347729 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  347732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347749 */     GIR_RootConstrainSelectedInstOperands,
     /*  347750 */     // GIR_Coverage, 21281,
     /*  347750 */     GIR_EraseRootFromParent_Done,
     /*  347751 */   // Label 6339: @347751
     /*  347751 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(347817), // Rule ID 21282 //
     /*  347756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  347767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  347770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  347773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347795 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  347798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347815 */     GIR_RootConstrainSelectedInstOperands,
     /*  347816 */     // GIR_Coverage, 21282,
     /*  347816 */     GIR_EraseRootFromParent_Done,
     /*  347817 */   // Label 6340: @347817
     /*  347817 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(347883), // Rule ID 21285 //
     /*  347822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347861 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  347864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347881 */     GIR_RootConstrainSelectedInstOperands,
     /*  347882 */     // GIR_Coverage, 21285,
     /*  347882 */     GIR_EraseRootFromParent_Done,
     /*  347883 */   // Label 6341: @347883
     /*  347883 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(347949), // Rule ID 21286 //
     /*  347888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347927 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  347930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347947 */     GIR_RootConstrainSelectedInstOperands,
     /*  347948 */     // GIR_Coverage, 21286,
     /*  347948 */     GIR_EraseRootFromParent_Done,
     /*  347949 */   // Label 6342: @347949
     /*  347949 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(348015), // Rule ID 21289 //
     /*  347954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347993 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  347996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348013 */     GIR_RootConstrainSelectedInstOperands,
     /*  348014 */     // GIR_Coverage, 21289,
     /*  348014 */     GIR_EraseRootFromParent_Done,
     /*  348015 */   // Label 6343: @348015
     /*  348015 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348081), // Rule ID 21290 //
     /*  348020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  348062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348079 */     GIR_RootConstrainSelectedInstOperands,
     /*  348080 */     // GIR_Coverage, 21290,
     /*  348080 */     GIR_EraseRootFromParent_Done,
     /*  348081 */   // Label 6344: @348081
     /*  348081 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348147), // Rule ID 21293 //
     /*  348086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348125 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348145 */     GIR_RootConstrainSelectedInstOperands,
     /*  348146 */     // GIR_Coverage, 21293,
     /*  348146 */     GIR_EraseRootFromParent_Done,
     /*  348147 */   // Label 6345: @348147
     /*  348147 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348213), // Rule ID 21294 //
     /*  348152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348191 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348211 */     GIR_RootConstrainSelectedInstOperands,
     /*  348212 */     // GIR_Coverage, 21294,
     /*  348212 */     GIR_EraseRootFromParent_Done,
     /*  348213 */   // Label 6346: @348213
     /*  348213 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348279), // Rule ID 21297 //
     /*  348218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348257 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348277 */     GIR_RootConstrainSelectedInstOperands,
     /*  348278 */     // GIR_Coverage, 21297,
     /*  348278 */     GIR_EraseRootFromParent_Done,
     /*  348279 */   // Label 6347: @348279
     /*  348279 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348345), // Rule ID 21298 //
     /*  348284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348323 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348343 */     GIR_RootConstrainSelectedInstOperands,
     /*  348344 */     // GIR_Coverage, 21298,
     /*  348344 */     GIR_EraseRootFromParent_Done,
     /*  348345 */   // Label 6348: @348345
     /*  348345 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348411), // Rule ID 21301 //
     /*  348350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348389 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348409 */     GIR_RootConstrainSelectedInstOperands,
     /*  348410 */     // GIR_Coverage, 21301,
     /*  348410 */     GIR_EraseRootFromParent_Done,
     /*  348411 */   // Label 6349: @348411
     /*  348411 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348477), // Rule ID 21302 //
     /*  348416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348455 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348475 */     GIR_RootConstrainSelectedInstOperands,
     /*  348476 */     // GIR_Coverage, 21302,
     /*  348476 */     GIR_EraseRootFromParent_Done,
     /*  348477 */   // Label 6350: @348477
     /*  348477 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348543), // Rule ID 21305 //
     /*  348482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348521 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348541 */     GIR_RootConstrainSelectedInstOperands,
     /*  348542 */     // GIR_Coverage, 21305,
     /*  348542 */     GIR_EraseRootFromParent_Done,
     /*  348543 */   // Label 6351: @348543
     /*  348543 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348609), // Rule ID 21306 //
     /*  348548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348587 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348607 */     GIR_RootConstrainSelectedInstOperands,
     /*  348608 */     // GIR_Coverage, 21306,
     /*  348608 */     GIR_EraseRootFromParent_Done,
     /*  348609 */   // Label 6352: @348609
     /*  348609 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(348675), // Rule ID 21309 //
     /*  348614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  348656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348673 */     GIR_RootConstrainSelectedInstOperands,
     /*  348674 */     // GIR_Coverage, 21309,
     /*  348674 */     GIR_EraseRootFromParent_Done,
     /*  348675 */   // Label 6353: @348675
     /*  348675 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(348741), // Rule ID 21310 //
     /*  348680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348719 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  348722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348739 */     GIR_RootConstrainSelectedInstOperands,
     /*  348740 */     // GIR_Coverage, 21310,
     /*  348740 */     GIR_EraseRootFromParent_Done,
     /*  348741 */   // Label 6354: @348741
     /*  348741 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(348807), // Rule ID 21313 //
     /*  348746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348785 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  348788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348805 */     GIR_RootConstrainSelectedInstOperands,
     /*  348806 */     // GIR_Coverage, 21313,
     /*  348806 */     GIR_EraseRootFromParent_Done,
     /*  348807 */   // Label 6355: @348807
     /*  348807 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(348873), // Rule ID 21314 //
     /*  348812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348851 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  348854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348871 */     GIR_RootConstrainSelectedInstOperands,
     /*  348872 */     // GIR_Coverage, 21314,
     /*  348872 */     GIR_EraseRootFromParent_Done,
     /*  348873 */   // Label 6356: @348873
     /*  348873 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(348939), // Rule ID 21317 //
     /*  348878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348917 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  348920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348937 */     GIR_RootConstrainSelectedInstOperands,
     /*  348938 */     // GIR_Coverage, 21317,
     /*  348938 */     GIR_EraseRootFromParent_Done,
     /*  348939 */   // Label 6357: @348939
     /*  348939 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(349005), // Rule ID 21318 //
     /*  348944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348983 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  348986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349003 */     GIR_RootConstrainSelectedInstOperands,
     /*  349004 */     // GIR_Coverage, 21318,
     /*  349004 */     GIR_EraseRootFromParent_Done,
     /*  349005 */   // Label 6358: @349005
     /*  349005 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349071), // Rule ID 21321 //
     /*  349010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349049 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349069 */     GIR_RootConstrainSelectedInstOperands,
     /*  349070 */     // GIR_Coverage, 21321,
     /*  349070 */     GIR_EraseRootFromParent_Done,
     /*  349071 */   // Label 6359: @349071
     /*  349071 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349137), // Rule ID 21322 //
     /*  349076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349115 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349135 */     GIR_RootConstrainSelectedInstOperands,
     /*  349136 */     // GIR_Coverage, 21322,
     /*  349136 */     GIR_EraseRootFromParent_Done,
     /*  349137 */   // Label 6360: @349137
     /*  349137 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349203), // Rule ID 21325 //
     /*  349142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349181 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349201 */     GIR_RootConstrainSelectedInstOperands,
     /*  349202 */     // GIR_Coverage, 21325,
     /*  349202 */     GIR_EraseRootFromParent_Done,
     /*  349203 */   // Label 6361: @349203
     /*  349203 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349269), // Rule ID 21326 //
     /*  349208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349247 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349267 */     GIR_RootConstrainSelectedInstOperands,
     /*  349268 */     // GIR_Coverage, 21326,
     /*  349268 */     GIR_EraseRootFromParent_Done,
     /*  349269 */   // Label 6362: @349269
     /*  349269 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349335), // Rule ID 21329 //
     /*  349274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349313 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349333 */     GIR_RootConstrainSelectedInstOperands,
     /*  349334 */     // GIR_Coverage, 21329,
     /*  349334 */     GIR_EraseRootFromParent_Done,
     /*  349335 */   // Label 6363: @349335
     /*  349335 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349401), // Rule ID 21330 //
     /*  349340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349379 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349399 */     GIR_RootConstrainSelectedInstOperands,
     /*  349400 */     // GIR_Coverage, 21330,
     /*  349400 */     GIR_EraseRootFromParent_Done,
     /*  349401 */   // Label 6364: @349401
     /*  349401 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349467), // Rule ID 21333 //
     /*  349406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349445 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349465 */     GIR_RootConstrainSelectedInstOperands,
     /*  349466 */     // GIR_Coverage, 21333,
     /*  349466 */     GIR_EraseRootFromParent_Done,
     /*  349467 */   // Label 6365: @349467
     /*  349467 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349533), // Rule ID 21334 //
     /*  349472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349511 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349531 */     GIR_RootConstrainSelectedInstOperands,
     /*  349532 */     // GIR_Coverage, 21334,
     /*  349532 */     GIR_EraseRootFromParent_Done,
     /*  349533 */   // Label 6366: @349533
     /*  349533 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349599), // Rule ID 21337 //
     /*  349538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  349580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349597 */     GIR_RootConstrainSelectedInstOperands,
     /*  349598 */     // GIR_Coverage, 21337,
     /*  349598 */     GIR_EraseRootFromParent_Done,
     /*  349599 */   // Label 6367: @349599
     /*  349599 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(349665), // Rule ID 21338 //
     /*  349604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349643 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  349646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349663 */     GIR_RootConstrainSelectedInstOperands,
     /*  349664 */     // GIR_Coverage, 21338,
     /*  349664 */     GIR_EraseRootFromParent_Done,
     /*  349665 */   // Label 6368: @349665
     /*  349665 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(349731), // Rule ID 21341 //
     /*  349670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349709 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  349712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349729 */     GIR_RootConstrainSelectedInstOperands,
     /*  349730 */     // GIR_Coverage, 21341,
     /*  349730 */     GIR_EraseRootFromParent_Done,
     /*  349731 */   // Label 6369: @349731
     /*  349731 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(349797), // Rule ID 21342 //
     /*  349736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349775 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  349778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349795 */     GIR_RootConstrainSelectedInstOperands,
     /*  349796 */     // GIR_Coverage, 21342,
     /*  349796 */     GIR_EraseRootFromParent_Done,
     /*  349797 */   // Label 6370: @349797
     /*  349797 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(349863), // Rule ID 21345 //
     /*  349802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349841 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  349844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349861 */     GIR_RootConstrainSelectedInstOperands,
     /*  349862 */     // GIR_Coverage, 21345,
     /*  349862 */     GIR_EraseRootFromParent_Done,
     /*  349863 */   // Label 6371: @349863
     /*  349863 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(349929), // Rule ID 21346 //
     /*  349868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349907 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  349910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349927 */     GIR_RootConstrainSelectedInstOperands,
     /*  349928 */     // GIR_Coverage, 21346,
     /*  349928 */     GIR_EraseRootFromParent_Done,
     /*  349929 */   // Label 6372: @349929
     /*  349929 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(349995), // Rule ID 21349 //
     /*  349934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349973 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  349976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349993 */     GIR_RootConstrainSelectedInstOperands,
     /*  349994 */     // GIR_Coverage, 21349,
     /*  349994 */     GIR_EraseRootFromParent_Done,
     /*  349995 */   // Label 6373: @349995
     /*  349995 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350061), // Rule ID 21350 //
     /*  350000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350039 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  350042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350059 */     GIR_RootConstrainSelectedInstOperands,
     /*  350060 */     // GIR_Coverage, 21350,
     /*  350060 */     GIR_EraseRootFromParent_Done,
     /*  350061 */   // Label 6374: @350061
     /*  350061 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350127), // Rule ID 21353 //
     /*  350066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350105 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350125 */     GIR_RootConstrainSelectedInstOperands,
     /*  350126 */     // GIR_Coverage, 21353,
     /*  350126 */     GIR_EraseRootFromParent_Done,
     /*  350127 */   // Label 6375: @350127
     /*  350127 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350193), // Rule ID 21354 //
     /*  350132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350171 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350191 */     GIR_RootConstrainSelectedInstOperands,
     /*  350192 */     // GIR_Coverage, 21354,
     /*  350192 */     GIR_EraseRootFromParent_Done,
     /*  350193 */   // Label 6376: @350193
     /*  350193 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350259), // Rule ID 21597 //
     /*  350198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350237 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350257 */     GIR_RootConstrainSelectedInstOperands,
     /*  350258 */     // GIR_Coverage, 21597,
     /*  350258 */     GIR_EraseRootFromParent_Done,
     /*  350259 */   // Label 6377: @350259
     /*  350259 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350325), // Rule ID 21598 //
     /*  350264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350323 */     GIR_RootConstrainSelectedInstOperands,
     /*  350324 */     // GIR_Coverage, 21598,
     /*  350324 */     GIR_EraseRootFromParent_Done,
     /*  350325 */   // Label 6378: @350325
     /*  350325 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350391), // Rule ID 21601 //
     /*  350330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350369 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350389 */     GIR_RootConstrainSelectedInstOperands,
     /*  350390 */     // GIR_Coverage, 21601,
     /*  350390 */     GIR_EraseRootFromParent_Done,
     /*  350391 */   // Label 6379: @350391
     /*  350391 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350457), // Rule ID 21602 //
     /*  350396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350435 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350455 */     GIR_RootConstrainSelectedInstOperands,
     /*  350456 */     // GIR_Coverage, 21602,
     /*  350456 */     GIR_EraseRootFromParent_Done,
     /*  350457 */   // Label 6380: @350457
     /*  350457 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350523), // Rule ID 21605 //
     /*  350462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350501 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350521 */     GIR_RootConstrainSelectedInstOperands,
     /*  350522 */     // GIR_Coverage, 21605,
     /*  350522 */     GIR_EraseRootFromParent_Done,
     /*  350523 */   // Label 6381: @350523
     /*  350523 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350589), // Rule ID 21606 //
     /*  350528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350587 */     GIR_RootConstrainSelectedInstOperands,
     /*  350588 */     // GIR_Coverage, 21606,
     /*  350588 */     GIR_EraseRootFromParent_Done,
     /*  350589 */   // Label 6382: @350589
     /*  350589 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(350655), // Rule ID 21609 //
     /*  350594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  350605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  350608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350653 */     GIR_RootConstrainSelectedInstOperands,
     /*  350654 */     // GIR_Coverage, 21609,
     /*  350654 */     GIR_EraseRootFromParent_Done,
     /*  350655 */   // Label 6383: @350655
     /*  350655 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(350721), // Rule ID 21610 //
     /*  350660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  350671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  350674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350719 */     GIR_RootConstrainSelectedInstOperands,
     /*  350720 */     // GIR_Coverage, 21610,
     /*  350720 */     GIR_EraseRootFromParent_Done,
     /*  350721 */   // Label 6384: @350721
     /*  350721 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(350787), // Rule ID 21613 //
     /*  350726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  350737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  350740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350785 */     GIR_RootConstrainSelectedInstOperands,
     /*  350786 */     // GIR_Coverage, 21613,
     /*  350786 */     GIR_EraseRootFromParent_Done,
     /*  350787 */   // Label 6385: @350787
     /*  350787 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(350853), // Rule ID 21614 //
     /*  350792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  350803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  350806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350831 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350851 */     GIR_RootConstrainSelectedInstOperands,
     /*  350852 */     // GIR_Coverage, 21614,
     /*  350852 */     GIR_EraseRootFromParent_Done,
     /*  350853 */   // Label 6386: @350853
     /*  350853 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(350919), // Rule ID 21617 //
     /*  350858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  350869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  350872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  350875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350917 */     GIR_RootConstrainSelectedInstOperands,
     /*  350918 */     // GIR_Coverage, 21617,
     /*  350918 */     GIR_EraseRootFromParent_Done,
     /*  350919 */   // Label 6387: @350919
     /*  350919 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(350985), // Rule ID 21618 //
     /*  350924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  350935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  350938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  350941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350963 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350983 */     GIR_RootConstrainSelectedInstOperands,
     /*  350984 */     // GIR_Coverage, 21618,
     /*  350984 */     GIR_EraseRootFromParent_Done,
     /*  350985 */   // Label 6388: @350985
     /*  350985 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(351051), // Rule ID 21621 //
     /*  350990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351029 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351049 */     GIR_RootConstrainSelectedInstOperands,
     /*  351050 */     // GIR_Coverage, 21621,
     /*  351050 */     GIR_EraseRootFromParent_Done,
     /*  351051 */   // Label 6389: @351051
     /*  351051 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351117), // Rule ID 21622 //
     /*  351056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351095 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351115 */     GIR_RootConstrainSelectedInstOperands,
     /*  351116 */     // GIR_Coverage, 21622,
     /*  351116 */     GIR_EraseRootFromParent_Done,
     /*  351117 */   // Label 6390: @351117
     /*  351117 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351183), // Rule ID 21625 //
     /*  351122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351161 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351181 */     GIR_RootConstrainSelectedInstOperands,
     /*  351182 */     // GIR_Coverage, 21625,
     /*  351182 */     GIR_EraseRootFromParent_Done,
     /*  351183 */   // Label 6391: @351183
     /*  351183 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351249), // Rule ID 21626 //
     /*  351188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351247 */     GIR_RootConstrainSelectedInstOperands,
     /*  351248 */     // GIR_Coverage, 21626,
     /*  351248 */     GIR_EraseRootFromParent_Done,
     /*  351249 */   // Label 6392: @351249
     /*  351249 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351315), // Rule ID 21629 //
     /*  351254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351313 */     GIR_RootConstrainSelectedInstOperands,
     /*  351314 */     // GIR_Coverage, 21629,
     /*  351314 */     GIR_EraseRootFromParent_Done,
     /*  351315 */   // Label 6393: @351315
     /*  351315 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351381), // Rule ID 21630 //
     /*  351320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351379 */     GIR_RootConstrainSelectedInstOperands,
     /*  351380 */     // GIR_Coverage, 21630,
     /*  351380 */     GIR_EraseRootFromParent_Done,
     /*  351381 */   // Label 6394: @351381
     /*  351381 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351447), // Rule ID 21633 //
     /*  351386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351445 */     GIR_RootConstrainSelectedInstOperands,
     /*  351446 */     // GIR_Coverage, 21633,
     /*  351446 */     GIR_EraseRootFromParent_Done,
     /*  351447 */   // Label 6395: @351447
     /*  351447 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351513), // Rule ID 21634 //
     /*  351452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351511 */     GIR_RootConstrainSelectedInstOperands,
     /*  351512 */     // GIR_Coverage, 21634,
     /*  351512 */     GIR_EraseRootFromParent_Done,
     /*  351513 */   // Label 6396: @351513
     /*  351513 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351579), // Rule ID 21637 //
     /*  351518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351557 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351577 */     GIR_RootConstrainSelectedInstOperands,
     /*  351578 */     // GIR_Coverage, 21637,
     /*  351578 */     GIR_EraseRootFromParent_Done,
     /*  351579 */   // Label 6397: @351579
     /*  351579 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(351645), // Rule ID 21638 //
     /*  351584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351623 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351643 */     GIR_RootConstrainSelectedInstOperands,
     /*  351644 */     // GIR_Coverage, 21638,
     /*  351644 */     GIR_EraseRootFromParent_Done,
     /*  351645 */   // Label 6398: @351645
     /*  351645 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(351711), // Rule ID 21641 //
     /*  351650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  351667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351689 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351709 */     GIR_RootConstrainSelectedInstOperands,
     /*  351710 */     // GIR_Coverage, 21641,
     /*  351710 */     GIR_EraseRootFromParent_Done,
     /*  351711 */   // Label 6399: @351711
     /*  351711 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(351777), // Rule ID 21642 //
     /*  351716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  351733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351775 */     GIR_RootConstrainSelectedInstOperands,
     /*  351776 */     // GIR_Coverage, 21642,
     /*  351776 */     GIR_EraseRootFromParent_Done,
     /*  351777 */   // Label 6400: @351777
     /*  351777 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(351843), // Rule ID 21645 //
     /*  351782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  351793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  351796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  351799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351841 */     GIR_RootConstrainSelectedInstOperands,
     /*  351842 */     // GIR_Coverage, 21645,
     /*  351842 */     GIR_EraseRootFromParent_Done,
     /*  351843 */   // Label 6401: @351843
     /*  351843 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(351909), // Rule ID 21646 //
     /*  351848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  351859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  351862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  351865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351907 */     GIR_RootConstrainSelectedInstOperands,
     /*  351908 */     // GIR_Coverage, 21646,
     /*  351908 */     GIR_EraseRootFromParent_Done,
     /*  351909 */   // Label 6402: @351909
     /*  351909 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(351975), // Rule ID 21649 //
     /*  351914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  351931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351973 */     GIR_RootConstrainSelectedInstOperands,
     /*  351974 */     // GIR_Coverage, 21649,
     /*  351974 */     GIR_EraseRootFromParent_Done,
     /*  351975 */   // Label 6403: @351975
     /*  351975 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(352041), // Rule ID 21650 //
     /*  351980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  351997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  352022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352039 */     GIR_RootConstrainSelectedInstOperands,
     /*  352040 */     // GIR_Coverage, 21650,
     /*  352040 */     GIR_EraseRootFromParent_Done,
     /*  352041 */   // Label 6404: @352041
     /*  352041 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352107), // Rule ID 21653 //
     /*  352046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352085 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352105 */     GIR_RootConstrainSelectedInstOperands,
     /*  352106 */     // GIR_Coverage, 21653,
     /*  352106 */     GIR_EraseRootFromParent_Done,
     /*  352107 */   // Label 6405: @352107
     /*  352107 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352173), // Rule ID 21654 //
     /*  352112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352151 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352171 */     GIR_RootConstrainSelectedInstOperands,
     /*  352172 */     // GIR_Coverage, 21654,
     /*  352172 */     GIR_EraseRootFromParent_Done,
     /*  352173 */   // Label 6406: @352173
     /*  352173 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352239), // Rule ID 21657 //
     /*  352178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352217 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352237 */     GIR_RootConstrainSelectedInstOperands,
     /*  352238 */     // GIR_Coverage, 21657,
     /*  352238 */     GIR_EraseRootFromParent_Done,
     /*  352239 */   // Label 6407: @352239
     /*  352239 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352305), // Rule ID 21658 //
     /*  352244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352303 */     GIR_RootConstrainSelectedInstOperands,
     /*  352304 */     // GIR_Coverage, 21658,
     /*  352304 */     GIR_EraseRootFromParent_Done,
     /*  352305 */   // Label 6408: @352305
     /*  352305 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352371), // Rule ID 21661 //
     /*  352310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352369 */     GIR_RootConstrainSelectedInstOperands,
     /*  352370 */     // GIR_Coverage, 21661,
     /*  352370 */     GIR_EraseRootFromParent_Done,
     /*  352371 */   // Label 6409: @352371
     /*  352371 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352437), // Rule ID 21662 //
     /*  352376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352415 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352435 */     GIR_RootConstrainSelectedInstOperands,
     /*  352436 */     // GIR_Coverage, 21662,
     /*  352436 */     GIR_EraseRootFromParent_Done,
     /*  352437 */   // Label 6410: @352437
     /*  352437 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352503), // Rule ID 21665 //
     /*  352442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352481 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352501 */     GIR_RootConstrainSelectedInstOperands,
     /*  352502 */     // GIR_Coverage, 21665,
     /*  352502 */     GIR_EraseRootFromParent_Done,
     /*  352503 */   // Label 6411: @352503
     /*  352503 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352569), // Rule ID 21666 //
     /*  352508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352567 */     GIR_RootConstrainSelectedInstOperands,
     /*  352568 */     // GIR_Coverage, 21666,
     /*  352568 */     GIR_EraseRootFromParent_Done,
     /*  352569 */   // Label 6412: @352569
     /*  352569 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(352635), // Rule ID 21669 //
     /*  352574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  352585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  352588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352633 */     GIR_RootConstrainSelectedInstOperands,
     /*  352634 */     // GIR_Coverage, 21669,
     /*  352634 */     GIR_EraseRootFromParent_Done,
     /*  352635 */   // Label 6413: @352635
     /*  352635 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(352701), // Rule ID 21670 //
     /*  352640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  352651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  352654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352679 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352699 */     GIR_RootConstrainSelectedInstOperands,
     /*  352700 */     // GIR_Coverage, 21670,
     /*  352700 */     GIR_EraseRootFromParent_Done,
     /*  352701 */   // Label 6414: @352701
     /*  352701 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(352767), // Rule ID 21673 //
     /*  352706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  352717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  352720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  352723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352765 */     GIR_RootConstrainSelectedInstOperands,
     /*  352766 */     // GIR_Coverage, 21673,
     /*  352766 */     GIR_EraseRootFromParent_Done,
     /*  352767 */   // Label 6415: @352767
     /*  352767 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(352833), // Rule ID 21674 //
     /*  352772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  352783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  352786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  352789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352831 */     GIR_RootConstrainSelectedInstOperands,
     /*  352832 */     // GIR_Coverage, 21674,
     /*  352832 */     GIR_EraseRootFromParent_Done,
     /*  352833 */   // Label 6416: @352833
     /*  352833 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(352899), // Rule ID 21677 //
     /*  352838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  352849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  352852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  352855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352897 */     GIR_RootConstrainSelectedInstOperands,
     /*  352898 */     // GIR_Coverage, 21677,
     /*  352898 */     GIR_EraseRootFromParent_Done,
     /*  352899 */   // Label 6417: @352899
     /*  352899 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(352965), // Rule ID 21678 //
     /*  352904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  352915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  352918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  352921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352943 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352963 */     GIR_RootConstrainSelectedInstOperands,
     /*  352964 */     // GIR_Coverage, 21678,
     /*  352964 */     GIR_EraseRootFromParent_Done,
     /*  352965 */   // Label 6418: @352965
     /*  352965 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(353031), // Rule ID 21681 //
     /*  352970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  352987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353029 */     GIR_RootConstrainSelectedInstOperands,
     /*  353030 */     // GIR_Coverage, 21681,
     /*  353030 */     GIR_EraseRootFromParent_Done,
     /*  353031 */   // Label 6419: @353031
     /*  353031 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353097), // Rule ID 21682 //
     /*  353036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  353047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  353050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353095 */     GIR_RootConstrainSelectedInstOperands,
     /*  353096 */     // GIR_Coverage, 21682,
     /*  353096 */     GIR_EraseRootFromParent_Done,
     /*  353097 */   // Label 6420: @353097
     /*  353097 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353163), // Rule ID 21685 //
     /*  353102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353161 */     GIR_RootConstrainSelectedInstOperands,
     /*  353162 */     // GIR_Coverage, 21685,
     /*  353162 */     GIR_EraseRootFromParent_Done,
     /*  353163 */   // Label 6421: @353163
     /*  353163 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353229), // Rule ID 21686 //
     /*  353168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353207 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353227 */     GIR_RootConstrainSelectedInstOperands,
     /*  353228 */     // GIR_Coverage, 21686,
     /*  353228 */     GIR_EraseRootFromParent_Done,
     /*  353229 */   // Label 6422: @353229
     /*  353229 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353295), // Rule ID 21689 //
     /*  353234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353293 */     GIR_RootConstrainSelectedInstOperands,
     /*  353294 */     // GIR_Coverage, 21689,
     /*  353294 */     GIR_EraseRootFromParent_Done,
     /*  353295 */   // Label 6423: @353295
     /*  353295 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353361), // Rule ID 21690 //
     /*  353300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353359 */     GIR_RootConstrainSelectedInstOperands,
     /*  353360 */     // GIR_Coverage, 21690,
     /*  353360 */     GIR_EraseRootFromParent_Done,
     /*  353361 */   // Label 6424: @353361
     /*  353361 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353427), // Rule ID 21693 //
     /*  353366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353405 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353425 */     GIR_RootConstrainSelectedInstOperands,
     /*  353426 */     // GIR_Coverage, 21693,
     /*  353426 */     GIR_EraseRootFromParent_Done,
     /*  353427 */   // Label 6425: @353427
     /*  353427 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353493), // Rule ID 21694 //
     /*  353432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353491 */     GIR_RootConstrainSelectedInstOperands,
     /*  353492 */     // GIR_Coverage, 21694,
     /*  353492 */     GIR_EraseRootFromParent_Done,
     /*  353493 */   // Label 6426: @353493
     /*  353493 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353559), // Rule ID 21697 //
     /*  353498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353557 */     GIR_RootConstrainSelectedInstOperands,
     /*  353558 */     // GIR_Coverage, 21697,
     /*  353558 */     GIR_EraseRootFromParent_Done,
     /*  353559 */   // Label 6427: @353559
     /*  353559 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(353625), // Rule ID 21698 //
     /*  353564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353623 */     GIR_RootConstrainSelectedInstOperands,
     /*  353624 */     // GIR_Coverage, 21698,
     /*  353624 */     GIR_EraseRootFromParent_Done,
     /*  353625 */   // Label 6428: @353625
     /*  353625 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(353691), // Rule ID 21701 //
     /*  353630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353669 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353689 */     GIR_RootConstrainSelectedInstOperands,
     /*  353690 */     // GIR_Coverage, 21701,
     /*  353690 */     GIR_EraseRootFromParent_Done,
     /*  353691 */   // Label 6429: @353691
     /*  353691 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(353757), // Rule ID 21702 //
     /*  353696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353735 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353755 */     GIR_RootConstrainSelectedInstOperands,
     /*  353756 */     // GIR_Coverage, 21702,
     /*  353756 */     GIR_EraseRootFromParent_Done,
     /*  353757 */   // Label 6430: @353757
     /*  353757 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(353823), // Rule ID 21705 //
     /*  353762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  353779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353801 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353821 */     GIR_RootConstrainSelectedInstOperands,
     /*  353822 */     // GIR_Coverage, 21705,
     /*  353822 */     GIR_EraseRootFromParent_Done,
     /*  353823 */   // Label 6431: @353823
     /*  353823 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(353889), // Rule ID 21706 //
     /*  353828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  353845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353887 */     GIR_RootConstrainSelectedInstOperands,
     /*  353888 */     // GIR_Coverage, 21706,
     /*  353888 */     GIR_EraseRootFromParent_Done,
     /*  353889 */   // Label 6432: @353889
     /*  353889 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(353955), // Rule ID 21709 //
     /*  353894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  353911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353953 */     GIR_RootConstrainSelectedInstOperands,
     /*  353954 */     // GIR_Coverage, 21709,
     /*  353954 */     GIR_EraseRootFromParent_Done,
     /*  353955 */   // Label 6433: @353955
     /*  353955 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(354021), // Rule ID 21710 //
     /*  353960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  353977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354019 */     GIR_RootConstrainSelectedInstOperands,
     /*  354020 */     // GIR_Coverage, 21710,
     /*  354020 */     GIR_EraseRootFromParent_Done,
     /*  354021 */   // Label 6434: @354021
     /*  354021 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354087), // Rule ID 21713 //
     /*  354026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354065 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354085 */     GIR_RootConstrainSelectedInstOperands,
     /*  354086 */     // GIR_Coverage, 21713,
     /*  354086 */     GIR_EraseRootFromParent_Done,
     /*  354087 */   // Label 6435: @354087
     /*  354087 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354153), // Rule ID 21714 //
     /*  354092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354151 */     GIR_RootConstrainSelectedInstOperands,
     /*  354152 */     // GIR_Coverage, 21714,
     /*  354152 */     GIR_EraseRootFromParent_Done,
     /*  354153 */   // Label 6436: @354153
     /*  354153 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354219), // Rule ID 21825 //
     /*  354158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354197 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354217 */     GIR_RootConstrainSelectedInstOperands,
     /*  354218 */     // GIR_Coverage, 21825,
     /*  354218 */     GIR_EraseRootFromParent_Done,
     /*  354219 */   // Label 6437: @354219
     /*  354219 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354285), // Rule ID 21826 //
     /*  354224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354263 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354283 */     GIR_RootConstrainSelectedInstOperands,
     /*  354284 */     // GIR_Coverage, 21826,
     /*  354284 */     GIR_EraseRootFromParent_Done,
     /*  354285 */   // Label 6438: @354285
     /*  354285 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354351), // Rule ID 21829 //
     /*  354290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354329 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354349 */     GIR_RootConstrainSelectedInstOperands,
     /*  354350 */     // GIR_Coverage, 21829,
     /*  354350 */     GIR_EraseRootFromParent_Done,
     /*  354351 */   // Label 6439: @354351
     /*  354351 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354417), // Rule ID 21830 //
     /*  354356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354395 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354415 */     GIR_RootConstrainSelectedInstOperands,
     /*  354416 */     // GIR_Coverage, 21830,
     /*  354416 */     GIR_EraseRootFromParent_Done,
     /*  354417 */   // Label 6440: @354417
     /*  354417 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354483), // Rule ID 21833 //
     /*  354422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354461 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354481 */     GIR_RootConstrainSelectedInstOperands,
     /*  354482 */     // GIR_Coverage, 21833,
     /*  354482 */     GIR_EraseRootFromParent_Done,
     /*  354483 */   // Label 6441: @354483
     /*  354483 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354549), // Rule ID 21834 //
     /*  354488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354527 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354547 */     GIR_RootConstrainSelectedInstOperands,
     /*  354548 */     // GIR_Coverage, 21834,
     /*  354548 */     GIR_EraseRootFromParent_Done,
     /*  354549 */   // Label 6442: @354549
     /*  354549 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(354615), // Rule ID 21837 //
     /*  354554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354593 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  354596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354613 */     GIR_RootConstrainSelectedInstOperands,
     /*  354614 */     // GIR_Coverage, 21837,
     /*  354614 */     GIR_EraseRootFromParent_Done,
     /*  354615 */   // Label 6443: @354615
     /*  354615 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(354681), // Rule ID 21838 //
     /*  354620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354659 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  354662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354679 */     GIR_RootConstrainSelectedInstOperands,
     /*  354680 */     // GIR_Coverage, 21838,
     /*  354680 */     GIR_EraseRootFromParent_Done,
     /*  354681 */   // Label 6444: @354681
     /*  354681 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(354747), // Rule ID 21841 //
     /*  354686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354725 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  354728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354745 */     GIR_RootConstrainSelectedInstOperands,
     /*  354746 */     // GIR_Coverage, 21841,
     /*  354746 */     GIR_EraseRootFromParent_Done,
     /*  354747 */   // Label 6445: @354747
     /*  354747 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(354813), // Rule ID 21842 //
     /*  354752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354791 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  354794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354811 */     GIR_RootConstrainSelectedInstOperands,
     /*  354812 */     // GIR_Coverage, 21842,
     /*  354812 */     GIR_EraseRootFromParent_Done,
     /*  354813 */   // Label 6446: @354813
     /*  354813 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(354879), // Rule ID 21845 //
     /*  354818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354857 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  354860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354877 */     GIR_RootConstrainSelectedInstOperands,
     /*  354878 */     // GIR_Coverage, 21845,
     /*  354878 */     GIR_EraseRootFromParent_Done,
     /*  354879 */   // Label 6447: @354879
     /*  354879 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(354945), // Rule ID 21846 //
     /*  354884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354923 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  354926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354943 */     GIR_RootConstrainSelectedInstOperands,
     /*  354944 */     // GIR_Coverage, 21846,
     /*  354944 */     GIR_EraseRootFromParent_Done,
     /*  354945 */   // Label 6448: @354945
     /*  354945 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(355011), // Rule ID 21849 //
     /*  354950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  354992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355009 */     GIR_RootConstrainSelectedInstOperands,
     /*  355010 */     // GIR_Coverage, 21849,
     /*  355010 */     GIR_EraseRootFromParent_Done,
     /*  355011 */   // Label 6449: @355011
     /*  355011 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355077), // Rule ID 21850 //
     /*  355016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  355027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  355030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  355033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355055 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  355058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355075 */     GIR_RootConstrainSelectedInstOperands,
     /*  355076 */     // GIR_Coverage, 21850,
     /*  355076 */     GIR_EraseRootFromParent_Done,
     /*  355077 */   // Label 6450: @355077
     /*  355077 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355143), // Rule ID 21853 //
     /*  355082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355121 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355141 */     GIR_RootConstrainSelectedInstOperands,
     /*  355142 */     // GIR_Coverage, 21853,
     /*  355142 */     GIR_EraseRootFromParent_Done,
     /*  355143 */   // Label 6451: @355143
     /*  355143 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355209), // Rule ID 21854 //
     /*  355148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355207 */     GIR_RootConstrainSelectedInstOperands,
     /*  355208 */     // GIR_Coverage, 21854,
     /*  355208 */     GIR_EraseRootFromParent_Done,
     /*  355209 */   // Label 6452: @355209
     /*  355209 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355275), // Rule ID 21857 //
     /*  355214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355253 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355273 */     GIR_RootConstrainSelectedInstOperands,
     /*  355274 */     // GIR_Coverage, 21857,
     /*  355274 */     GIR_EraseRootFromParent_Done,
     /*  355275 */   // Label 6453: @355275
     /*  355275 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355341), // Rule ID 21858 //
     /*  355280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355319 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355339 */     GIR_RootConstrainSelectedInstOperands,
     /*  355340 */     // GIR_Coverage, 21858,
     /*  355340 */     GIR_EraseRootFromParent_Done,
     /*  355341 */   // Label 6454: @355341
     /*  355341 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355404), // Rule ID 23029 //
     /*  355346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355385 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355402 */     GIR_RootConstrainSelectedInstOperands,
     /*  355403 */     // GIR_Coverage, 23029,
     /*  355403 */     GIR_EraseRootFromParent_Done,
     /*  355404 */   // Label 6455: @355404
     /*  355404 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355467), // Rule ID 23030 //
     /*  355409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355465 */     GIR_RootConstrainSelectedInstOperands,
     /*  355466 */     // GIR_Coverage, 23030,
     /*  355466 */     GIR_EraseRootFromParent_Done,
     /*  355467 */   // Label 6456: @355467
     /*  355467 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355530), // Rule ID 23031 //
     /*  355472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355511 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355528 */     GIR_RootConstrainSelectedInstOperands,
     /*  355529 */     // GIR_Coverage, 23031,
     /*  355529 */     GIR_EraseRootFromParent_Done,
     /*  355530 */   // Label 6457: @355530
     /*  355530 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355593), // Rule ID 23032 //
     /*  355535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355574 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355591 */     GIR_RootConstrainSelectedInstOperands,
     /*  355592 */     // GIR_Coverage, 23032,
     /*  355592 */     GIR_EraseRootFromParent_Done,
     /*  355593 */   // Label 6458: @355593
     /*  355593 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(355656), // Rule ID 23033 //
     /*  355598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  355640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355654 */     GIR_RootConstrainSelectedInstOperands,
     /*  355655 */     // GIR_Coverage, 23033,
     /*  355655 */     GIR_EraseRootFromParent_Done,
     /*  355656 */   // Label 6459: @355656
     /*  355656 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(355719), // Rule ID 23034 //
     /*  355661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  355703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355717 */     GIR_RootConstrainSelectedInstOperands,
     /*  355718 */     // GIR_Coverage, 23034,
     /*  355718 */     GIR_EraseRootFromParent_Done,
     /*  355719 */   // Label 6460: @355719
     /*  355719 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(355782), // Rule ID 23035 //
     /*  355724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  355766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355780 */     GIR_RootConstrainSelectedInstOperands,
     /*  355781 */     // GIR_Coverage, 23035,
     /*  355781 */     GIR_EraseRootFromParent_Done,
     /*  355782 */   // Label 6461: @355782
     /*  355782 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(355845), // Rule ID 23036 //
     /*  355787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355826 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  355829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355843 */     GIR_RootConstrainSelectedInstOperands,
     /*  355844 */     // GIR_Coverage, 23036,
     /*  355844 */     GIR_EraseRootFromParent_Done,
     /*  355845 */   // Label 6462: @355845
     /*  355845 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(355908), // Rule ID 23037 //
     /*  355850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355889 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  355892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355906 */     GIR_RootConstrainSelectedInstOperands,
     /*  355907 */     // GIR_Coverage, 23037,
     /*  355907 */     GIR_EraseRootFromParent_Done,
     /*  355908 */   // Label 6463: @355908
     /*  355908 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(355971), // Rule ID 23038 //
     /*  355913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  355955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355969 */     GIR_RootConstrainSelectedInstOperands,
     /*  355970 */     // GIR_Coverage, 23038,
     /*  355970 */     GIR_EraseRootFromParent_Done,
     /*  355971 */   // Label 6464: @355971
     /*  355971 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(356034), // Rule ID 23039 //
     /*  355976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  355987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  355990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  355993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356015 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  356018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356032 */     GIR_RootConstrainSelectedInstOperands,
     /*  356033 */     // GIR_Coverage, 23039,
     /*  356033 */     GIR_EraseRootFromParent_Done,
     /*  356034 */   // Label 6465: @356034
     /*  356034 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356097), // Rule ID 23040 //
     /*  356039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356078 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  356081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356095 */     GIR_RootConstrainSelectedInstOperands,
     /*  356096 */     // GIR_Coverage, 23040,
     /*  356096 */     GIR_EraseRootFromParent_Done,
     /*  356097 */   // Label 6466: @356097
     /*  356097 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356160), // Rule ID 23041 //
     /*  356102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356158 */     GIR_RootConstrainSelectedInstOperands,
     /*  356159 */     // GIR_Coverage, 23041,
     /*  356159 */     GIR_EraseRootFromParent_Done,
     /*  356160 */   // Label 6467: @356160
     /*  356160 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356223), // Rule ID 23042 //
     /*  356165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356221 */     GIR_RootConstrainSelectedInstOperands,
     /*  356222 */     // GIR_Coverage, 23042,
     /*  356222 */     GIR_EraseRootFromParent_Done,
     /*  356223 */   // Label 6468: @356223
     /*  356223 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356286), // Rule ID 23043 //
     /*  356228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356267 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356284 */     GIR_RootConstrainSelectedInstOperands,
     /*  356285 */     // GIR_Coverage, 23043,
     /*  356285 */     GIR_EraseRootFromParent_Done,
     /*  356286 */   // Label 6469: @356286
     /*  356286 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356349), // Rule ID 23044 //
     /*  356291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356330 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356347 */     GIR_RootConstrainSelectedInstOperands,
     /*  356348 */     // GIR_Coverage, 23044,
     /*  356348 */     GIR_EraseRootFromParent_Done,
     /*  356349 */   // Label 6470: @356349
     /*  356349 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356412), // Rule ID 23045 //
     /*  356354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356410 */     GIR_RootConstrainSelectedInstOperands,
     /*  356411 */     // GIR_Coverage, 23045,
     /*  356411 */     GIR_EraseRootFromParent_Done,
     /*  356412 */   // Label 6471: @356412
     /*  356412 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356475), // Rule ID 23046 //
     /*  356417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356473 */     GIR_RootConstrainSelectedInstOperands,
     /*  356474 */     // GIR_Coverage, 23046,
     /*  356474 */     GIR_EraseRootFromParent_Done,
     /*  356475 */   // Label 6472: @356475
     /*  356475 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356538), // Rule ID 23047 //
     /*  356480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356519 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356536 */     GIR_RootConstrainSelectedInstOperands,
     /*  356537 */     // GIR_Coverage, 23047,
     /*  356537 */     GIR_EraseRootFromParent_Done,
     /*  356538 */   // Label 6473: @356538
     /*  356538 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(356601), // Rule ID 23048 //
     /*  356543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356599 */     GIR_RootConstrainSelectedInstOperands,
     /*  356600 */     // GIR_Coverage, 23048,
     /*  356600 */     GIR_EraseRootFromParent_Done,
     /*  356601 */   // Label 6474: @356601
     /*  356601 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(356664), // Rule ID 23049 //
     /*  356606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  356648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356662 */     GIR_RootConstrainSelectedInstOperands,
     /*  356663 */     // GIR_Coverage, 23049,
     /*  356663 */     GIR_EraseRootFromParent_Done,
     /*  356664 */   // Label 6475: @356664
     /*  356664 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(356727), // Rule ID 23050 //
     /*  356669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  356711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356725 */     GIR_RootConstrainSelectedInstOperands,
     /*  356726 */     // GIR_Coverage, 23050,
     /*  356726 */     GIR_EraseRootFromParent_Done,
     /*  356727 */   // Label 6476: @356727
     /*  356727 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(356790), // Rule ID 23051 //
     /*  356732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356771 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  356774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356788 */     GIR_RootConstrainSelectedInstOperands,
     /*  356789 */     // GIR_Coverage, 23051,
     /*  356789 */     GIR_EraseRootFromParent_Done,
     /*  356790 */   // Label 6477: @356790
     /*  356790 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(356853), // Rule ID 23052 //
     /*  356795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356834 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  356837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356851 */     GIR_RootConstrainSelectedInstOperands,
     /*  356852 */     // GIR_Coverage, 23052,
     /*  356852 */     GIR_EraseRootFromParent_Done,
     /*  356853 */   // Label 6478: @356853
     /*  356853 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(356916), // Rule ID 23053 //
     /*  356858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356897 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  356900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356914 */     GIR_RootConstrainSelectedInstOperands,
     /*  356915 */     // GIR_Coverage, 23053,
     /*  356915 */     GIR_EraseRootFromParent_Done,
     /*  356916 */   // Label 6479: @356916
     /*  356916 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(356979), // Rule ID 23054 //
     /*  356921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356960 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  356963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356977 */     GIR_RootConstrainSelectedInstOperands,
     /*  356978 */     // GIR_Coverage, 23054,
     /*  356978 */     GIR_EraseRootFromParent_Done,
     /*  356979 */   // Label 6480: @356979
     /*  356979 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(357042), // Rule ID 23055 //
     /*  356984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357023 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  357026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357040 */     GIR_RootConstrainSelectedInstOperands,
     /*  357041 */     // GIR_Coverage, 23055,
     /*  357041 */     GIR_EraseRootFromParent_Done,
     /*  357042 */   // Label 6481: @357042
     /*  357042 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357105), // Rule ID 23056 //
     /*  357047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  357089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357103 */     GIR_RootConstrainSelectedInstOperands,
     /*  357104 */     // GIR_Coverage, 23056,
     /*  357104 */     GIR_EraseRootFromParent_Done,
     /*  357105 */   // Label 6482: @357105
     /*  357105 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357168), // Rule ID 23057 //
     /*  357110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357149 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357166 */     GIR_RootConstrainSelectedInstOperands,
     /*  357167 */     // GIR_Coverage, 23057,
     /*  357167 */     GIR_EraseRootFromParent_Done,
     /*  357168 */   // Label 6483: @357168
     /*  357168 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357231), // Rule ID 23058 //
     /*  357173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357229 */     GIR_RootConstrainSelectedInstOperands,
     /*  357230 */     // GIR_Coverage, 23058,
     /*  357230 */     GIR_EraseRootFromParent_Done,
     /*  357231 */   // Label 6484: @357231
     /*  357231 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357294), // Rule ID 23059 //
     /*  357236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357292 */     GIR_RootConstrainSelectedInstOperands,
     /*  357293 */     // GIR_Coverage, 23059,
     /*  357293 */     GIR_EraseRootFromParent_Done,
     /*  357294 */   // Label 6485: @357294
     /*  357294 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357357), // Rule ID 23060 //
     /*  357299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357338 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357355 */     GIR_RootConstrainSelectedInstOperands,
     /*  357356 */     // GIR_Coverage, 23060,
     /*  357356 */     GIR_EraseRootFromParent_Done,
     /*  357357 */   // Label 6486: @357357
     /*  357357 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357420), // Rule ID 23061 //
     /*  357362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357401 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357418 */     GIR_RootConstrainSelectedInstOperands,
     /*  357419 */     // GIR_Coverage, 23061,
     /*  357419 */     GIR_EraseRootFromParent_Done,
     /*  357420 */   // Label 6487: @357420
     /*  357420 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357483), // Rule ID 23062 //
     /*  357425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357481 */     GIR_RootConstrainSelectedInstOperands,
     /*  357482 */     // GIR_Coverage, 23062,
     /*  357482 */     GIR_EraseRootFromParent_Done,
     /*  357483 */   // Label 6488: @357483
     /*  357483 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(357546), // Rule ID 23063 //
     /*  357488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357527 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357544 */     GIR_RootConstrainSelectedInstOperands,
     /*  357545 */     // GIR_Coverage, 23063,
     /*  357545 */     GIR_EraseRootFromParent_Done,
     /*  357546 */   // Label 6489: @357546
     /*  357546 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(357609), // Rule ID 23064 //
     /*  357551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357590 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357607 */     GIR_RootConstrainSelectedInstOperands,
     /*  357608 */     // GIR_Coverage, 23064,
     /*  357608 */     GIR_EraseRootFromParent_Done,
     /*  357609 */   // Label 6490: @357609
     /*  357609 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(357672), // Rule ID 23065 //
     /*  357614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357653 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  357656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357670 */     GIR_RootConstrainSelectedInstOperands,
     /*  357671 */     // GIR_Coverage, 23065,
     /*  357671 */     GIR_EraseRootFromParent_Done,
     /*  357672 */   // Label 6491: @357672
     /*  357672 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(357735), // Rule ID 23066 //
     /*  357677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357716 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  357719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357733 */     GIR_RootConstrainSelectedInstOperands,
     /*  357734 */     // GIR_Coverage, 23066,
     /*  357734 */     GIR_EraseRootFromParent_Done,
     /*  357735 */   // Label 6492: @357735
     /*  357735 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(357798), // Rule ID 23067 //
     /*  357740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357779 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  357782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357796 */     GIR_RootConstrainSelectedInstOperands,
     /*  357797 */     // GIR_Coverage, 23067,
     /*  357797 */     GIR_EraseRootFromParent_Done,
     /*  357798 */   // Label 6493: @357798
     /*  357798 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(357861), // Rule ID 23068 //
     /*  357803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357842 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  357845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357859 */     GIR_RootConstrainSelectedInstOperands,
     /*  357860 */     // GIR_Coverage, 23068,
     /*  357860 */     GIR_EraseRootFromParent_Done,
     /*  357861 */   // Label 6494: @357861
     /*  357861 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(357924), // Rule ID 23069 //
     /*  357866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  357908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357922 */     GIR_RootConstrainSelectedInstOperands,
     /*  357923 */     // GIR_Coverage, 23069,
     /*  357923 */     GIR_EraseRootFromParent_Done,
     /*  357924 */   // Label 6495: @357924
     /*  357924 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(357987), // Rule ID 23070 //
     /*  357929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  357971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357985 */     GIR_RootConstrainSelectedInstOperands,
     /*  357986 */     // GIR_Coverage, 23070,
     /*  357986 */     GIR_EraseRootFromParent_Done,
     /*  357987 */   // Label 6496: @357987
     /*  357987 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(358050), // Rule ID 23071 //
     /*  357992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358031 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  358034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358048 */     GIR_RootConstrainSelectedInstOperands,
     /*  358049 */     // GIR_Coverage, 23071,
     /*  358049 */     GIR_EraseRootFromParent_Done,
     /*  358050 */   // Label 6497: @358050
     /*  358050 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358113), // Rule ID 23072 //
     /*  358055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358094 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  358097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358111 */     GIR_RootConstrainSelectedInstOperands,
     /*  358112 */     // GIR_Coverage, 23072,
     /*  358112 */     GIR_EraseRootFromParent_Done,
     /*  358113 */   // Label 6498: @358113
     /*  358113 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358176), // Rule ID 23073 //
     /*  358118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358157 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358174 */     GIR_RootConstrainSelectedInstOperands,
     /*  358175 */     // GIR_Coverage, 23073,
     /*  358175 */     GIR_EraseRootFromParent_Done,
     /*  358176 */   // Label 6499: @358176
     /*  358176 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358239), // Rule ID 23074 //
     /*  358181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358237 */     GIR_RootConstrainSelectedInstOperands,
     /*  358238 */     // GIR_Coverage, 23074,
     /*  358238 */     GIR_EraseRootFromParent_Done,
     /*  358239 */   // Label 6500: @358239
     /*  358239 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358302), // Rule ID 23075 //
     /*  358244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358283 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358300 */     GIR_RootConstrainSelectedInstOperands,
     /*  358301 */     // GIR_Coverage, 23075,
     /*  358301 */     GIR_EraseRootFromParent_Done,
     /*  358302 */   // Label 6501: @358302
     /*  358302 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358365), // Rule ID 23076 //
     /*  358307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358346 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358363 */     GIR_RootConstrainSelectedInstOperands,
     /*  358364 */     // GIR_Coverage, 23076,
     /*  358364 */     GIR_EraseRootFromParent_Done,
     /*  358365 */   // Label 6502: @358365
     /*  358365 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358428), // Rule ID 23077 //
     /*  358370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358409 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358426 */     GIR_RootConstrainSelectedInstOperands,
     /*  358427 */     // GIR_Coverage, 23077,
     /*  358427 */     GIR_EraseRootFromParent_Done,
     /*  358428 */   // Label 6503: @358428
     /*  358428 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(358491), // Rule ID 23078 //
     /*  358433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358489 */     GIR_RootConstrainSelectedInstOperands,
     /*  358490 */     // GIR_Coverage, 23078,
     /*  358490 */     GIR_EraseRootFromParent_Done,
     /*  358491 */   // Label 6504: @358491
     /*  358491 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(358554), // Rule ID 23079 //
     /*  358496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358535 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358552 */     GIR_RootConstrainSelectedInstOperands,
     /*  358553 */     // GIR_Coverage, 23079,
     /*  358553 */     GIR_EraseRootFromParent_Done,
     /*  358554 */   // Label 6505: @358554
     /*  358554 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(358617), // Rule ID 23080 //
     /*  358559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358598 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358615 */     GIR_RootConstrainSelectedInstOperands,
     /*  358616 */     // GIR_Coverage, 23080,
     /*  358616 */     GIR_EraseRootFromParent_Done,
     /*  358617 */   // Label 6506: @358617
     /*  358617 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(358680), // Rule ID 23081 //
     /*  358622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358661 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  358664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358678 */     GIR_RootConstrainSelectedInstOperands,
     /*  358679 */     // GIR_Coverage, 23081,
     /*  358679 */     GIR_EraseRootFromParent_Done,
     /*  358680 */   // Label 6507: @358680
     /*  358680 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(358743), // Rule ID 23082 //
     /*  358685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358724 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  358727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358741 */     GIR_RootConstrainSelectedInstOperands,
     /*  358742 */     // GIR_Coverage, 23082,
     /*  358742 */     GIR_EraseRootFromParent_Done,
     /*  358743 */   // Label 6508: @358743
     /*  358743 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(358806), // Rule ID 23083 //
     /*  358748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358787 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  358790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358804 */     GIR_RootConstrainSelectedInstOperands,
     /*  358805 */     // GIR_Coverage, 23083,
     /*  358805 */     GIR_EraseRootFromParent_Done,
     /*  358806 */   // Label 6509: @358806
     /*  358806 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(358869), // Rule ID 23084 //
     /*  358811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358850 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  358853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358867 */     GIR_RootConstrainSelectedInstOperands,
     /*  358868 */     // GIR_Coverage, 23084,
     /*  358868 */     GIR_EraseRootFromParent_Done,
     /*  358869 */   // Label 6510: @358869
     /*  358869 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(358932), // Rule ID 23085 //
     /*  358874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  358916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358930 */     GIR_RootConstrainSelectedInstOperands,
     /*  358931 */     // GIR_Coverage, 23085,
     /*  358931 */     GIR_EraseRootFromParent_Done,
     /*  358932 */   // Label 6511: @358932
     /*  358932 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(358995), // Rule ID 23086 //
     /*  358937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  358979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358993 */     GIR_RootConstrainSelectedInstOperands,
     /*  358994 */     // GIR_Coverage, 23086,
     /*  358994 */     GIR_EraseRootFromParent_Done,
     /*  358995 */   // Label 6512: @358995
     /*  358995 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359058), // Rule ID 23087 //
     /*  359000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  359042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359056 */     GIR_RootConstrainSelectedInstOperands,
     /*  359057 */     // GIR_Coverage, 23087,
     /*  359057 */     GIR_EraseRootFromParent_Done,
     /*  359058 */   // Label 6513: @359058
     /*  359058 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359121), // Rule ID 23088 //
     /*  359063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  359105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359119 */     GIR_RootConstrainSelectedInstOperands,
     /*  359120 */     // GIR_Coverage, 23088,
     /*  359120 */     GIR_EraseRootFromParent_Done,
     /*  359121 */   // Label 6514: @359121
     /*  359121 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359184), // Rule ID 23089 //
     /*  359126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359182 */     GIR_RootConstrainSelectedInstOperands,
     /*  359183 */     // GIR_Coverage, 23089,
     /*  359183 */     GIR_EraseRootFromParent_Done,
     /*  359184 */   // Label 6515: @359184
     /*  359184 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359247), // Rule ID 23090 //
     /*  359189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359245 */     GIR_RootConstrainSelectedInstOperands,
     /*  359246 */     // GIR_Coverage, 23090,
     /*  359246 */     GIR_EraseRootFromParent_Done,
     /*  359247 */   // Label 6516: @359247
     /*  359247 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359310), // Rule ID 23091 //
     /*  359252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359291 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359308 */     GIR_RootConstrainSelectedInstOperands,
     /*  359309 */     // GIR_Coverage, 23091,
     /*  359309 */     GIR_EraseRootFromParent_Done,
     /*  359310 */   // Label 6517: @359310
     /*  359310 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359373), // Rule ID 23092 //
     /*  359315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359354 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359371 */     GIR_RootConstrainSelectedInstOperands,
     /*  359372 */     // GIR_Coverage, 23092,
     /*  359372 */     GIR_EraseRootFromParent_Done,
     /*  359373 */   // Label 6518: @359373
     /*  359373 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(359436), // Rule ID 23093 //
     /*  359378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359417 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359434 */     GIR_RootConstrainSelectedInstOperands,
     /*  359435 */     // GIR_Coverage, 23093,
     /*  359435 */     GIR_EraseRootFromParent_Done,
     /*  359436 */   // Label 6519: @359436
     /*  359436 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(359499), // Rule ID 23094 //
     /*  359441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359480 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359497 */     GIR_RootConstrainSelectedInstOperands,
     /*  359498 */     // GIR_Coverage, 23094,
     /*  359498 */     GIR_EraseRootFromParent_Done,
     /*  359499 */   // Label 6520: @359499
     /*  359499 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(359562), // Rule ID 23095 //
     /*  359504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359543 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359560 */     GIR_RootConstrainSelectedInstOperands,
     /*  359561 */     // GIR_Coverage, 23095,
     /*  359561 */     GIR_EraseRootFromParent_Done,
     /*  359562 */   // Label 6521: @359562
     /*  359562 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(359625), // Rule ID 23096 //
     /*  359567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359606 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359623 */     GIR_RootConstrainSelectedInstOperands,
     /*  359624 */     // GIR_Coverage, 23096,
     /*  359624 */     GIR_EraseRootFromParent_Done,
     /*  359625 */   // Label 6522: @359625
     /*  359625 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(359688), // Rule ID 23097 //
     /*  359630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359669 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  359672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359686 */     GIR_RootConstrainSelectedInstOperands,
     /*  359687 */     // GIR_Coverage, 23097,
     /*  359687 */     GIR_EraseRootFromParent_Done,
     /*  359688 */   // Label 6523: @359688
     /*  359688 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(359751), // Rule ID 23098 //
     /*  359693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  359735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359749 */     GIR_RootConstrainSelectedInstOperands,
     /*  359750 */     // GIR_Coverage, 23098,
     /*  359750 */     GIR_EraseRootFromParent_Done,
     /*  359751 */   // Label 6524: @359751
     /*  359751 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(359814), // Rule ID 23099 //
     /*  359756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  359798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359812 */     GIR_RootConstrainSelectedInstOperands,
     /*  359813 */     // GIR_Coverage, 23099,
     /*  359813 */     GIR_EraseRootFromParent_Done,
     /*  359814 */   // Label 6525: @359814
     /*  359814 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(359877), // Rule ID 23100 //
     /*  359819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  359861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359875 */     GIR_RootConstrainSelectedInstOperands,
     /*  359876 */     // GIR_Coverage, 23100,
     /*  359876 */     GIR_EraseRootFromParent_Done,
     /*  359877 */   // Label 6526: @359877
     /*  359877 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(359940), // Rule ID 23101 //
     /*  359882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359921 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  359924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359938 */     GIR_RootConstrainSelectedInstOperands,
     /*  359939 */     // GIR_Coverage, 23101,
     /*  359939 */     GIR_EraseRootFromParent_Done,
     /*  359940 */   // Label 6527: @359940
     /*  359940 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(360003), // Rule ID 23102 //
     /*  359945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  359987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360001 */     GIR_RootConstrainSelectedInstOperands,
     /*  360002 */     // GIR_Coverage, 23102,
     /*  360002 */     GIR_EraseRootFromParent_Done,
     /*  360003 */   // Label 6528: @360003
     /*  360003 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360066), // Rule ID 23103 //
     /*  360008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360047 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  360050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360064 */     GIR_RootConstrainSelectedInstOperands,
     /*  360065 */     // GIR_Coverage, 23103,
     /*  360065 */     GIR_EraseRootFromParent_Done,
     /*  360066 */   // Label 6529: @360066
     /*  360066 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360129), // Rule ID 23104 //
     /*  360071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360110 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  360113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360127 */     GIR_RootConstrainSelectedInstOperands,
     /*  360128 */     // GIR_Coverage, 23104,
     /*  360128 */     GIR_EraseRootFromParent_Done,
     /*  360129 */   // Label 6530: @360129
     /*  360129 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360192), // Rule ID 23105 //
     /*  360134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360173 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360190 */     GIR_RootConstrainSelectedInstOperands,
     /*  360191 */     // GIR_Coverage, 23105,
     /*  360191 */     GIR_EraseRootFromParent_Done,
     /*  360192 */   // Label 6531: @360192
     /*  360192 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360255), // Rule ID 23106 //
     /*  360197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360236 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360253 */     GIR_RootConstrainSelectedInstOperands,
     /*  360254 */     // GIR_Coverage, 23106,
     /*  360254 */     GIR_EraseRootFromParent_Done,
     /*  360255 */   // Label 6532: @360255
     /*  360255 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360318), // Rule ID 23107 //
     /*  360260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360299 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360316 */     GIR_RootConstrainSelectedInstOperands,
     /*  360317 */     // GIR_Coverage, 23107,
     /*  360317 */     GIR_EraseRootFromParent_Done,
     /*  360318 */   // Label 6533: @360318
     /*  360318 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360381), // Rule ID 23108 //
     /*  360323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360362 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360379 */     GIR_RootConstrainSelectedInstOperands,
     /*  360380 */     // GIR_Coverage, 23108,
     /*  360380 */     GIR_EraseRootFromParent_Done,
     /*  360381 */   // Label 6534: @360381
     /*  360381 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(360444), // Rule ID 23109 //
     /*  360386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360425 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360442 */     GIR_RootConstrainSelectedInstOperands,
     /*  360443 */     // GIR_Coverage, 23109,
     /*  360443 */     GIR_EraseRootFromParent_Done,
     /*  360444 */   // Label 6535: @360444
     /*  360444 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(360507), // Rule ID 23110 //
     /*  360449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360488 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360505 */     GIR_RootConstrainSelectedInstOperands,
     /*  360506 */     // GIR_Coverage, 23110,
     /*  360506 */     GIR_EraseRootFromParent_Done,
     /*  360507 */   // Label 6536: @360507
     /*  360507 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(360570), // Rule ID 23111 //
     /*  360512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360551 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  360554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360568 */     GIR_RootConstrainSelectedInstOperands,
     /*  360569 */     // GIR_Coverage, 23111,
     /*  360569 */     GIR_EraseRootFromParent_Done,
     /*  360570 */   // Label 6537: @360570
     /*  360570 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(360633), // Rule ID 23112 //
     /*  360575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360614 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  360617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360631 */     GIR_RootConstrainSelectedInstOperands,
     /*  360632 */     // GIR_Coverage, 23112,
     /*  360632 */     GIR_EraseRootFromParent_Done,
     /*  360633 */   // Label 6538: @360633
     /*  360633 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(360696), // Rule ID 23113 //
     /*  360638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  360680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360694 */     GIR_RootConstrainSelectedInstOperands,
     /*  360695 */     // GIR_Coverage, 23113,
     /*  360695 */     GIR_EraseRootFromParent_Done,
     /*  360696 */   // Label 6539: @360696
     /*  360696 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(360759), // Rule ID 23114 //
     /*  360701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  360743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360757 */     GIR_RootConstrainSelectedInstOperands,
     /*  360758 */     // GIR_Coverage, 23114,
     /*  360758 */     GIR_EraseRootFromParent_Done,
     /*  360759 */   // Label 6540: @360759
     /*  360759 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(360822), // Rule ID 23115 //
     /*  360764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360803 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  360806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360820 */     GIR_RootConstrainSelectedInstOperands,
     /*  360821 */     // GIR_Coverage, 23115,
     /*  360821 */     GIR_EraseRootFromParent_Done,
     /*  360822 */   // Label 6541: @360822
     /*  360822 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(360885), // Rule ID 23116 //
     /*  360827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360866 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  360869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360883 */     GIR_RootConstrainSelectedInstOperands,
     /*  360884 */     // GIR_Coverage, 23116,
     /*  360884 */     GIR_EraseRootFromParent_Done,
     /*  360885 */   // Label 6542: @360885
     /*  360885 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(360948), // Rule ID 23117 //
     /*  360890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  360932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360946 */     GIR_RootConstrainSelectedInstOperands,
     /*  360947 */     // GIR_Coverage, 23117,
     /*  360947 */     GIR_EraseRootFromParent_Done,
     /*  360948 */   // Label 6543: @360948
     /*  360948 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(361011), // Rule ID 23118 //
     /*  360953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  360995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361009 */     GIR_RootConstrainSelectedInstOperands,
     /*  361010 */     // GIR_Coverage, 23118,
     /*  361010 */     GIR_EraseRootFromParent_Done,
     /*  361011 */   // Label 6544: @361011
     /*  361011 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361074), // Rule ID 23119 //
     /*  361016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361055 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361072 */     GIR_RootConstrainSelectedInstOperands,
     /*  361073 */     // GIR_Coverage, 23119,
     /*  361073 */     GIR_EraseRootFromParent_Done,
     /*  361074 */   // Label 6545: @361074
     /*  361074 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361137), // Rule ID 23120 //
     /*  361079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361135 */     GIR_RootConstrainSelectedInstOperands,
     /*  361136 */     // GIR_Coverage, 23120,
     /*  361136 */     GIR_EraseRootFromParent_Done,
     /*  361137 */   // Label 6546: @361137
     /*  361137 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361200), // Rule ID 23121 //
     /*  361142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361181 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361198 */     GIR_RootConstrainSelectedInstOperands,
     /*  361199 */     // GIR_Coverage, 23121,
     /*  361199 */     GIR_EraseRootFromParent_Done,
     /*  361200 */   // Label 6547: @361200
     /*  361200 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361263), // Rule ID 23122 //
     /*  361205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361261 */     GIR_RootConstrainSelectedInstOperands,
     /*  361262 */     // GIR_Coverage, 23122,
     /*  361262 */     GIR_EraseRootFromParent_Done,
     /*  361263 */   // Label 6548: @361263
     /*  361263 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361326), // Rule ID 23123 //
     /*  361268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361307 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361324 */     GIR_RootConstrainSelectedInstOperands,
     /*  361325 */     // GIR_Coverage, 23123,
     /*  361325 */     GIR_EraseRootFromParent_Done,
     /*  361326 */   // Label 6549: @361326
     /*  361326 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361389), // Rule ID 23124 //
     /*  361331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361370 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361387 */     GIR_RootConstrainSelectedInstOperands,
     /*  361388 */     // GIR_Coverage, 23124,
     /*  361388 */     GIR_EraseRootFromParent_Done,
     /*  361389 */   // Label 6550: @361389
     /*  361389 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(361452), // Rule ID 23125 //
     /*  361394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361433 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361450 */     GIR_RootConstrainSelectedInstOperands,
     /*  361451 */     // GIR_Coverage, 23125,
     /*  361451 */     GIR_EraseRootFromParent_Done,
     /*  361452 */   // Label 6551: @361452
     /*  361452 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(361515), // Rule ID 23126 //
     /*  361457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361513 */     GIR_RootConstrainSelectedInstOperands,
     /*  361514 */     // GIR_Coverage, 23126,
     /*  361514 */     GIR_EraseRootFromParent_Done,
     /*  361515 */   // Label 6552: @361515
     /*  361515 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(361578), // Rule ID 23127 //
     /*  361520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361559 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  361562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361576 */     GIR_RootConstrainSelectedInstOperands,
     /*  361577 */     // GIR_Coverage, 23127,
     /*  361577 */     GIR_EraseRootFromParent_Done,
     /*  361578 */   // Label 6553: @361578
     /*  361578 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(361641), // Rule ID 23128 //
     /*  361583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361622 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  361625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361639 */     GIR_RootConstrainSelectedInstOperands,
     /*  361640 */     // GIR_Coverage, 23128,
     /*  361640 */     GIR_EraseRootFromParent_Done,
     /*  361641 */   // Label 6554: @361641
     /*  361641 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(361704), // Rule ID 23129 //
     /*  361646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  361688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361702 */     GIR_RootConstrainSelectedInstOperands,
     /*  361703 */     // GIR_Coverage, 23129,
     /*  361703 */     GIR_EraseRootFromParent_Done,
     /*  361704 */   // Label 6555: @361704
     /*  361704 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(361767), // Rule ID 23130 //
     /*  361709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  361751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361765 */     GIR_RootConstrainSelectedInstOperands,
     /*  361766 */     // GIR_Coverage, 23130,
     /*  361766 */     GIR_EraseRootFromParent_Done,
     /*  361767 */   // Label 6556: @361767
     /*  361767 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(361830), // Rule ID 23131 //
     /*  361772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  361814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361828 */     GIR_RootConstrainSelectedInstOperands,
     /*  361829 */     // GIR_Coverage, 23131,
     /*  361829 */     GIR_EraseRootFromParent_Done,
     /*  361830 */   // Label 6557: @361830
     /*  361830 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(361893), // Rule ID 23132 //
     /*  361835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361874 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  361877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361891 */     GIR_RootConstrainSelectedInstOperands,
     /*  361892 */     // GIR_Coverage, 23132,
     /*  361892 */     GIR_EraseRootFromParent_Done,
     /*  361893 */   // Label 6558: @361893
     /*  361893 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(361956), // Rule ID 23133 //
     /*  361898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361937 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  361940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361954 */     GIR_RootConstrainSelectedInstOperands,
     /*  361955 */     // GIR_Coverage, 23133,
     /*  361955 */     GIR_EraseRootFromParent_Done,
     /*  361956 */   // Label 6559: @361956
     /*  361956 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(362019), // Rule ID 23134 //
     /*  361961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  362003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362017 */     GIR_RootConstrainSelectedInstOperands,
     /*  362018 */     // GIR_Coverage, 23134,
     /*  362018 */     GIR_EraseRootFromParent_Done,
     /*  362019 */   // Label 6560: @362019
     /*  362019 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362082), // Rule ID 23135 //
     /*  362024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362063 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362080 */     GIR_RootConstrainSelectedInstOperands,
     /*  362081 */     // GIR_Coverage, 23135,
     /*  362081 */     GIR_EraseRootFromParent_Done,
     /*  362082 */   // Label 6561: @362082
     /*  362082 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362145), // Rule ID 23136 //
     /*  362087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362126 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362143 */     GIR_RootConstrainSelectedInstOperands,
     /*  362144 */     // GIR_Coverage, 23136,
     /*  362144 */     GIR_EraseRootFromParent_Done,
     /*  362145 */   // Label 6562: @362145
     /*  362145 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362208), // Rule ID 23137 //
     /*  362150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362189 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362206 */     GIR_RootConstrainSelectedInstOperands,
     /*  362207 */     // GIR_Coverage, 23137,
     /*  362207 */     GIR_EraseRootFromParent_Done,
     /*  362208 */   // Label 6563: @362208
     /*  362208 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362271), // Rule ID 23138 //
     /*  362213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362252 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362269 */     GIR_RootConstrainSelectedInstOperands,
     /*  362270 */     // GIR_Coverage, 23138,
     /*  362270 */     GIR_EraseRootFromParent_Done,
     /*  362271 */   // Label 6564: @362271
     /*  362271 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362334), // Rule ID 23167 //
     /*  362276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362315 */     // (intrinsic_wo_chain:{ *:[i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362322 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362332 */     GIR_RootConstrainSelectedInstOperands,
     /*  362333 */     // GIR_Coverage, 23167,
     /*  362333 */     GIR_EraseRootFromParent_Done,
     /*  362334 */   // Label 6565: @362334
     /*  362334 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362397), // Rule ID 23168 //
     /*  362339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362378 */     // (intrinsic_wo_chain:{ *:[i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362385 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362395 */     GIR_RootConstrainSelectedInstOperands,
     /*  362396 */     // GIR_Coverage, 23168,
     /*  362396 */     GIR_EraseRootFromParent_Done,
     /*  362397 */   // Label 6566: @362397
     /*  362397 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(362460), // Rule ID 23171 //
     /*  362402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362441 */     // (intrinsic_wo_chain:{ *:[i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362448 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362458 */     GIR_RootConstrainSelectedInstOperands,
     /*  362459 */     // GIR_Coverage, 23171,
     /*  362459 */     GIR_EraseRootFromParent_Done,
     /*  362460 */   // Label 6567: @362460
     /*  362460 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(362523), // Rule ID 23172 //
     /*  362465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362504 */     // (intrinsic_wo_chain:{ *:[i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362511 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362521 */     GIR_RootConstrainSelectedInstOperands,
     /*  362522 */     // GIR_Coverage, 23172,
     /*  362522 */     GIR_EraseRootFromParent_Done,
     /*  362523 */   // Label 6568: @362523
     /*  362523 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(362586), // Rule ID 23175 //
     /*  362528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362567 */     // (intrinsic_wo_chain:{ *:[i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  362570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362574 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362584 */     GIR_RootConstrainSelectedInstOperands,
     /*  362585 */     // GIR_Coverage, 23175,
     /*  362585 */     GIR_EraseRootFromParent_Done,
     /*  362586 */   // Label 6569: @362586
     /*  362586 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(362649), // Rule ID 23176 //
     /*  362591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362630 */     // (intrinsic_wo_chain:{ *:[i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  362633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362637 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362647 */     GIR_RootConstrainSelectedInstOperands,
     /*  362648 */     // GIR_Coverage, 23176,
     /*  362648 */     GIR_EraseRootFromParent_Done,
     /*  362649 */   // Label 6570: @362649
     /*  362649 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(362712), // Rule ID 23179 //
     /*  362654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362693 */     // (intrinsic_wo_chain:{ *:[i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  362696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362700 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362710 */     GIR_RootConstrainSelectedInstOperands,
     /*  362711 */     // GIR_Coverage, 23179,
     /*  362711 */     GIR_EraseRootFromParent_Done,
     /*  362712 */   // Label 6571: @362712
     /*  362712 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(362775), // Rule ID 23180 //
     /*  362717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362756 */     // (intrinsic_wo_chain:{ *:[i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  362759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362763 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362773 */     GIR_RootConstrainSelectedInstOperands,
     /*  362774 */     // GIR_Coverage, 23180,
     /*  362774 */     GIR_EraseRootFromParent_Done,
     /*  362775 */   // Label 6572: @362775
     /*  362775 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(362838), // Rule ID 23183 //
     /*  362780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362819 */     // (intrinsic_wo_chain:{ *:[i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  362822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362826 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362836 */     GIR_RootConstrainSelectedInstOperands,
     /*  362837 */     // GIR_Coverage, 23183,
     /*  362837 */     GIR_EraseRootFromParent_Done,
     /*  362838 */   // Label 6573: @362838
     /*  362838 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(362901), // Rule ID 23184 //
     /*  362843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362882 */     // (intrinsic_wo_chain:{ *:[i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  362885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362889 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362899 */     GIR_RootConstrainSelectedInstOperands,
     /*  362900 */     // GIR_Coverage, 23184,
     /*  362900 */     GIR_EraseRootFromParent_Done,
     /*  362901 */   // Label 6574: @362901
     /*  362901 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(362964), // Rule ID 23187 //
     /*  362906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362945 */     // (intrinsic_wo_chain:{ *:[i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  362948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362952 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362962 */     GIR_RootConstrainSelectedInstOperands,
     /*  362963 */     // GIR_Coverage, 23187,
     /*  362963 */     GIR_EraseRootFromParent_Done,
     /*  362964 */   // Label 6575: @362964
     /*  362964 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(363027), // Rule ID 23188 //
     /*  362969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363008 */     // (intrinsic_wo_chain:{ *:[i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  363011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363015 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363025 */     GIR_RootConstrainSelectedInstOperands,
     /*  363026 */     // GIR_Coverage, 23188,
     /*  363026 */     GIR_EraseRootFromParent_Done,
     /*  363027 */   // Label 6576: @363027
     /*  363027 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363090), // Rule ID 23191 //
     /*  363032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363071 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363078 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363088 */     GIR_RootConstrainSelectedInstOperands,
     /*  363089 */     // GIR_Coverage, 23191,
     /*  363089 */     GIR_EraseRootFromParent_Done,
     /*  363090 */   // Label 6577: @363090
     /*  363090 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363153), // Rule ID 23192 //
     /*  363095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363134 */     // (intrinsic_wo_chain:{ *:[i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363141 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363151 */     GIR_RootConstrainSelectedInstOperands,
     /*  363152 */     // GIR_Coverage, 23192,
     /*  363152 */     GIR_EraseRootFromParent_Done,
     /*  363153 */   // Label 6578: @363153
     /*  363153 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363216), // Rule ID 23195 //
     /*  363158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363197 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363204 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363214 */     GIR_RootConstrainSelectedInstOperands,
     /*  363215 */     // GIR_Coverage, 23195,
     /*  363215 */     GIR_EraseRootFromParent_Done,
     /*  363216 */   // Label 6579: @363216
     /*  363216 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363279), // Rule ID 23196 //
     /*  363221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363260 */     // (intrinsic_wo_chain:{ *:[i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363267 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363277 */     GIR_RootConstrainSelectedInstOperands,
     /*  363278 */     // GIR_Coverage, 23196,
     /*  363278 */     GIR_EraseRootFromParent_Done,
     /*  363279 */   // Label 6580: @363279
     /*  363279 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363342), // Rule ID 23199 //
     /*  363284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363323 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363330 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363340 */     GIR_RootConstrainSelectedInstOperands,
     /*  363341 */     // GIR_Coverage, 23199,
     /*  363341 */     GIR_EraseRootFromParent_Done,
     /*  363342 */   // Label 6581: @363342
     /*  363342 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363405), // Rule ID 23200 //
     /*  363347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363386 */     // (intrinsic_wo_chain:{ *:[i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363393 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363403 */     GIR_RootConstrainSelectedInstOperands,
     /*  363404 */     // GIR_Coverage, 23200,
     /*  363404 */     GIR_EraseRootFromParent_Done,
     /*  363405 */   // Label 6582: @363405
     /*  363405 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(363468), // Rule ID 23203 //
     /*  363410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363449 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363456 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363466 */     GIR_RootConstrainSelectedInstOperands,
     /*  363467 */     // GIR_Coverage, 23203,
     /*  363467 */     GIR_EraseRootFromParent_Done,
     /*  363468 */   // Label 6583: @363468
     /*  363468 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(363531), // Rule ID 23204 //
     /*  363473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363512 */     // (intrinsic_wo_chain:{ *:[i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363519 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363529 */     GIR_RootConstrainSelectedInstOperands,
     /*  363530 */     // GIR_Coverage, 23204,
     /*  363530 */     GIR_EraseRootFromParent_Done,
     /*  363531 */   // Label 6584: @363531
     /*  363531 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(363594), // Rule ID 23207 //
     /*  363536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363575 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  363578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363582 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363592 */     GIR_RootConstrainSelectedInstOperands,
     /*  363593 */     // GIR_Coverage, 23207,
     /*  363593 */     GIR_EraseRootFromParent_Done,
     /*  363594 */   // Label 6585: @363594
     /*  363594 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(363657), // Rule ID 23208 //
     /*  363599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363638 */     // (intrinsic_wo_chain:{ *:[i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  363641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363645 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363655 */     GIR_RootConstrainSelectedInstOperands,
     /*  363656 */     // GIR_Coverage, 23208,
     /*  363656 */     GIR_EraseRootFromParent_Done,
     /*  363657 */   // Label 6586: @363657
     /*  363657 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(363720), // Rule ID 23211 //
     /*  363662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363701 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  363704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363708 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363718 */     GIR_RootConstrainSelectedInstOperands,
     /*  363719 */     // GIR_Coverage, 23211,
     /*  363719 */     GIR_EraseRootFromParent_Done,
     /*  363720 */   // Label 6587: @363720
     /*  363720 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(363783), // Rule ID 23212 //
     /*  363725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363764 */     // (intrinsic_wo_chain:{ *:[i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  363767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363771 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363781 */     GIR_RootConstrainSelectedInstOperands,
     /*  363782 */     // GIR_Coverage, 23212,
     /*  363782 */     GIR_EraseRootFromParent_Done,
     /*  363783 */   // Label 6588: @363783
     /*  363783 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(363846), // Rule ID 23215 //
     /*  363788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363827 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  363830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363834 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363844 */     GIR_RootConstrainSelectedInstOperands,
     /*  363845 */     // GIR_Coverage, 23215,
     /*  363845 */     GIR_EraseRootFromParent_Done,
     /*  363846 */   // Label 6589: @363846
     /*  363846 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(363909), // Rule ID 23216 //
     /*  363851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363890 */     // (intrinsic_wo_chain:{ *:[i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  363893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363897 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363907 */     GIR_RootConstrainSelectedInstOperands,
     /*  363908 */     // GIR_Coverage, 23216,
     /*  363908 */     GIR_EraseRootFromParent_Done,
     /*  363909 */   // Label 6590: @363909
     /*  363909 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(363975), // Rule ID 23297 //
     /*  363914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363953 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  363956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363973 */     GIR_RootConstrainSelectedInstOperands,
     /*  363974 */     // GIR_Coverage, 23297,
     /*  363974 */     GIR_EraseRootFromParent_Done,
     /*  363975 */   // Label 6591: @363975
     /*  363975 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(364041), // Rule ID 23298 //
     /*  363980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364039 */     GIR_RootConstrainSelectedInstOperands,
     /*  364040 */     // GIR_Coverage, 23298,
     /*  364040 */     GIR_EraseRootFromParent_Done,
     /*  364041 */   // Label 6592: @364041
     /*  364041 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364107), // Rule ID 23301 //
     /*  364046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364085 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364105 */     GIR_RootConstrainSelectedInstOperands,
     /*  364106 */     // GIR_Coverage, 23301,
     /*  364106 */     GIR_EraseRootFromParent_Done,
     /*  364107 */   // Label 6593: @364107
     /*  364107 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364173), // Rule ID 23302 //
     /*  364112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364171 */     GIR_RootConstrainSelectedInstOperands,
     /*  364172 */     // GIR_Coverage, 23302,
     /*  364172 */     GIR_EraseRootFromParent_Done,
     /*  364173 */   // Label 6594: @364173
     /*  364173 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364239), // Rule ID 23305 //
     /*  364178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364237 */     GIR_RootConstrainSelectedInstOperands,
     /*  364238 */     // GIR_Coverage, 23305,
     /*  364238 */     GIR_EraseRootFromParent_Done,
     /*  364239 */   // Label 6595: @364239
     /*  364239 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364305), // Rule ID 23306 //
     /*  364244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364303 */     GIR_RootConstrainSelectedInstOperands,
     /*  364304 */     // GIR_Coverage, 23306,
     /*  364304 */     GIR_EraseRootFromParent_Done,
     /*  364305 */   // Label 6596: @364305
     /*  364305 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364371), // Rule ID 23309 //
     /*  364310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364369 */     GIR_RootConstrainSelectedInstOperands,
     /*  364370 */     // GIR_Coverage, 23309,
     /*  364370 */     GIR_EraseRootFromParent_Done,
     /*  364371 */   // Label 6597: @364371
     /*  364371 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364437), // Rule ID 23310 //
     /*  364376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364435 */     GIR_RootConstrainSelectedInstOperands,
     /*  364436 */     // GIR_Coverage, 23310,
     /*  364436 */     GIR_EraseRootFromParent_Done,
     /*  364437 */   // Label 6598: @364437
     /*  364437 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(364503), // Rule ID 23313 //
     /*  364442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364481 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364501 */     GIR_RootConstrainSelectedInstOperands,
     /*  364502 */     // GIR_Coverage, 23313,
     /*  364502 */     GIR_EraseRootFromParent_Done,
     /*  364503 */   // Label 6599: @364503
     /*  364503 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(364569), // Rule ID 23314 //
     /*  364508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364567 */     GIR_RootConstrainSelectedInstOperands,
     /*  364568 */     // GIR_Coverage, 23314,
     /*  364568 */     GIR_EraseRootFromParent_Done,
     /*  364569 */   // Label 6600: @364569
     /*  364569 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(364635), // Rule ID 23317 //
     /*  364574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364633 */     GIR_RootConstrainSelectedInstOperands,
     /*  364634 */     // GIR_Coverage, 23317,
     /*  364634 */     GIR_EraseRootFromParent_Done,
     /*  364635 */   // Label 6601: @364635
     /*  364635 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(364701), // Rule ID 23318 //
     /*  364640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364679 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364699 */     GIR_RootConstrainSelectedInstOperands,
     /*  364700 */     // GIR_Coverage, 23318,
     /*  364700 */     GIR_EraseRootFromParent_Done,
     /*  364701 */   // Label 6602: @364701
     /*  364701 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(364767), // Rule ID 23321 //
     /*  364706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364745 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364765 */     GIR_RootConstrainSelectedInstOperands,
     /*  364766 */     // GIR_Coverage, 23321,
     /*  364766 */     GIR_EraseRootFromParent_Done,
     /*  364767 */   // Label 6603: @364767
     /*  364767 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(364833), // Rule ID 23322 //
     /*  364772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364811 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364831 */     GIR_RootConstrainSelectedInstOperands,
     /*  364832 */     // GIR_Coverage, 23322,
     /*  364832 */     GIR_EraseRootFromParent_Done,
     /*  364833 */   // Label 6604: @364833
     /*  364833 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(364899), // Rule ID 23325 //
     /*  364838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  364849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  364852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364897 */     GIR_RootConstrainSelectedInstOperands,
     /*  364898 */     // GIR_Coverage, 23325,
     /*  364898 */     GIR_EraseRootFromParent_Done,
     /*  364899 */   // Label 6605: @364899
     /*  364899 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(364965), // Rule ID 23326 //
     /*  364904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  364915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  364918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364963 */     GIR_RootConstrainSelectedInstOperands,
     /*  364964 */     // GIR_Coverage, 23326,
     /*  364964 */     GIR_EraseRootFromParent_Done,
     /*  364965 */   // Label 6606: @364965
     /*  364965 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(365031), // Rule ID 23329 //
     /*  364970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  364973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  364981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  364984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365029 */     GIR_RootConstrainSelectedInstOperands,
     /*  365030 */     // GIR_Coverage, 23329,
     /*  365030 */     GIR_EraseRootFromParent_Done,
     /*  365031 */   // Label 6607: @365031
     /*  365031 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365097), // Rule ID 23330 //
     /*  365036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  365047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  365050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365095 */     GIR_RootConstrainSelectedInstOperands,
     /*  365096 */     // GIR_Coverage, 23330,
     /*  365096 */     GIR_EraseRootFromParent_Done,
     /*  365097 */   // Label 6608: @365097
     /*  365097 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365163), // Rule ID 23333 //
     /*  365102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365141 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365161 */     GIR_RootConstrainSelectedInstOperands,
     /*  365162 */     // GIR_Coverage, 23333,
     /*  365162 */     GIR_EraseRootFromParent_Done,
     /*  365163 */   // Label 6609: @365163
     /*  365163 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365229), // Rule ID 23334 //
     /*  365168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365207 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365227 */     GIR_RootConstrainSelectedInstOperands,
     /*  365228 */     // GIR_Coverage, 23334,
     /*  365228 */     GIR_EraseRootFromParent_Done,
     /*  365229 */   // Label 6610: @365229
     /*  365229 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365295), // Rule ID 23337 //
     /*  365234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365273 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365293 */     GIR_RootConstrainSelectedInstOperands,
     /*  365294 */     // GIR_Coverage, 23337,
     /*  365294 */     GIR_EraseRootFromParent_Done,
     /*  365295 */   // Label 6611: @365295
     /*  365295 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365361), // Rule ID 23338 //
     /*  365300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365359 */     GIR_RootConstrainSelectedInstOperands,
     /*  365360 */     // GIR_Coverage, 23338,
     /*  365360 */     GIR_EraseRootFromParent_Done,
     /*  365361 */   // Label 6612: @365361
     /*  365361 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365427), // Rule ID 23341 //
     /*  365366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365405 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365425 */     GIR_RootConstrainSelectedInstOperands,
     /*  365426 */     // GIR_Coverage, 23341,
     /*  365426 */     GIR_EraseRootFromParent_Done,
     /*  365427 */   // Label 6613: @365427
     /*  365427 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365493), // Rule ID 23342 //
     /*  365432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365491 */     GIR_RootConstrainSelectedInstOperands,
     /*  365492 */     // GIR_Coverage, 23342,
     /*  365492 */     GIR_EraseRootFromParent_Done,
     /*  365493 */   // Label 6614: @365493
     /*  365493 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(365559), // Rule ID 23345 //
     /*  365498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365537 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365557 */     GIR_RootConstrainSelectedInstOperands,
     /*  365558 */     // GIR_Coverage, 23345,
     /*  365558 */     GIR_EraseRootFromParent_Done,
     /*  365559 */   // Label 6615: @365559
     /*  365559 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(365625), // Rule ID 23346 //
     /*  365564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365623 */     GIR_RootConstrainSelectedInstOperands,
     /*  365624 */     // GIR_Coverage, 23346,
     /*  365624 */     GIR_EraseRootFromParent_Done,
     /*  365625 */   // Label 6616: @365625
     /*  365625 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(365691), // Rule ID 23349 //
     /*  365630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  365641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  365644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365689 */     GIR_RootConstrainSelectedInstOperands,
     /*  365690 */     // GIR_Coverage, 23349,
     /*  365690 */     GIR_EraseRootFromParent_Done,
     /*  365691 */   // Label 6617: @365691
     /*  365691 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(365757), // Rule ID 23350 //
     /*  365696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  365707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  365710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365755 */     GIR_RootConstrainSelectedInstOperands,
     /*  365756 */     // GIR_Coverage, 23350,
     /*  365756 */     GIR_EraseRootFromParent_Done,
     /*  365757 */   // Label 6618: @365757
     /*  365757 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(365823), // Rule ID 23353 //
     /*  365762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  365773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  365776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365821 */     GIR_RootConstrainSelectedInstOperands,
     /*  365822 */     // GIR_Coverage, 23353,
     /*  365822 */     GIR_EraseRootFromParent_Done,
     /*  365823 */   // Label 6619: @365823
     /*  365823 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(365889), // Rule ID 23354 //
     /*  365828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  365839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  365842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365887 */     GIR_RootConstrainSelectedInstOperands,
     /*  365888 */     // GIR_Coverage, 23354,
     /*  365888 */     GIR_EraseRootFromParent_Done,
     /*  365889 */   // Label 6620: @365889
     /*  365889 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(365955), // Rule ID 23357 //
     /*  365894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365953 */     GIR_RootConstrainSelectedInstOperands,
     /*  365954 */     // GIR_Coverage, 23357,
     /*  365954 */     GIR_EraseRootFromParent_Done,
     /*  365955 */   // Label 6621: @365955
     /*  365955 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(366021), // Rule ID 23358 //
     /*  365960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366019 */     GIR_RootConstrainSelectedInstOperands,
     /*  366020 */     // GIR_Coverage, 23358,
     /*  366020 */     GIR_EraseRootFromParent_Done,
     /*  366021 */   // Label 6622: @366021
     /*  366021 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366087), // Rule ID 23361 //
     /*  366026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366065 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366085 */     GIR_RootConstrainSelectedInstOperands,
     /*  366086 */     // GIR_Coverage, 23361,
     /*  366086 */     GIR_EraseRootFromParent_Done,
     /*  366087 */   // Label 6623: @366087
     /*  366087 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366153), // Rule ID 23362 //
     /*  366092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366151 */     GIR_RootConstrainSelectedInstOperands,
     /*  366152 */     // GIR_Coverage, 23362,
     /*  366152 */     GIR_EraseRootFromParent_Done,
     /*  366153 */   // Label 6624: @366153
     /*  366153 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366219), // Rule ID 23365 //
     /*  366158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366197 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366217 */     GIR_RootConstrainSelectedInstOperands,
     /*  366218 */     // GIR_Coverage, 23365,
     /*  366218 */     GIR_EraseRootFromParent_Done,
     /*  366219 */   // Label 6625: @366219
     /*  366219 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366285), // Rule ID 23366 //
     /*  366224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366263 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366283 */     GIR_RootConstrainSelectedInstOperands,
     /*  366284 */     // GIR_Coverage, 23366,
     /*  366284 */     GIR_EraseRootFromParent_Done,
     /*  366285 */   // Label 6626: @366285
     /*  366285 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366351), // Rule ID 23369 //
     /*  366290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366349 */     GIR_RootConstrainSelectedInstOperands,
     /*  366350 */     // GIR_Coverage, 23369,
     /*  366350 */     GIR_EraseRootFromParent_Done,
     /*  366351 */   // Label 6627: @366351
     /*  366351 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366417), // Rule ID 23370 //
     /*  366356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366415 */     GIR_RootConstrainSelectedInstOperands,
     /*  366416 */     // GIR_Coverage, 23370,
     /*  366416 */     GIR_EraseRootFromParent_Done,
     /*  366417 */   // Label 6628: @366417
     /*  366417 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366483), // Rule ID 23373 //
     /*  366422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366481 */     GIR_RootConstrainSelectedInstOperands,
     /*  366482 */     // GIR_Coverage, 23373,
     /*  366482 */     GIR_EraseRootFromParent_Done,
     /*  366483 */   // Label 6629: @366483
     /*  366483 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(366549), // Rule ID 23374 //
     /*  366488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366527 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366547 */     GIR_RootConstrainSelectedInstOperands,
     /*  366548 */     // GIR_Coverage, 23374,
     /*  366548 */     GIR_EraseRootFromParent_Done,
     /*  366549 */   // Label 6630: @366549
     /*  366549 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(366615), // Rule ID 23377 //
     /*  366554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366613 */     GIR_RootConstrainSelectedInstOperands,
     /*  366614 */     // GIR_Coverage, 23377,
     /*  366614 */     GIR_EraseRootFromParent_Done,
     /*  366615 */   // Label 6631: @366615
     /*  366615 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(366681), // Rule ID 23378 //
     /*  366620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366679 */     GIR_RootConstrainSelectedInstOperands,
     /*  366680 */     // GIR_Coverage, 23378,
     /*  366680 */     GIR_EraseRootFromParent_Done,
     /*  366681 */   // Label 6632: @366681
     /*  366681 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(366747), // Rule ID 60485 //
     /*  366686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  366703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366725 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  366728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366745 */     GIR_RootConstrainSelectedInstOperands,
     /*  366746 */     // GIR_Coverage, 60485,
     /*  366746 */     GIR_EraseRootFromParent_Done,
     /*  366747 */   // Label 6633: @366747
     /*  366747 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(366813), // Rule ID 60486 //
     /*  366752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  366769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366791 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  366794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366811 */     GIR_RootConstrainSelectedInstOperands,
     /*  366812 */     // GIR_Coverage, 60486,
     /*  366812 */     GIR_EraseRootFromParent_Done,
     /*  366813 */   // Label 6634: @366813
     /*  366813 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(366879), // Rule ID 60489 //
     /*  366818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  366835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366857 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  366860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366877 */     GIR_RootConstrainSelectedInstOperands,
     /*  366878 */     // GIR_Coverage, 60489,
     /*  366878 */     GIR_EraseRootFromParent_Done,
     /*  366879 */   // Label 6635: @366879
     /*  366879 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(366945), // Rule ID 60490 //
     /*  366884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  366901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366923 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  366926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366943 */     GIR_RootConstrainSelectedInstOperands,
     /*  366944 */     // GIR_Coverage, 60490,
     /*  366944 */     GIR_EraseRootFromParent_Done,
     /*  366945 */   // Label 6636: @366945
     /*  366945 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(367011), // Rule ID 60493 //
     /*  366950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  366961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  366964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  366967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366989 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  366992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367009 */     GIR_RootConstrainSelectedInstOperands,
     /*  367010 */     // GIR_Coverage, 60493,
     /*  367010 */     GIR_EraseRootFromParent_Done,
     /*  367011 */   // Label 6637: @367011
     /*  367011 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367077), // Rule ID 60494 //
     /*  367016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  367027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  367030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  367033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367055 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367075 */     GIR_RootConstrainSelectedInstOperands,
     /*  367076 */     // GIR_Coverage, 60494,
     /*  367076 */     GIR_EraseRootFromParent_Done,
     /*  367077 */   // Label 6638: @367077
     /*  367077 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367143), // Rule ID 60497 //
     /*  367082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367141 */     GIR_RootConstrainSelectedInstOperands,
     /*  367142 */     // GIR_Coverage, 60497,
     /*  367142 */     GIR_EraseRootFromParent_Done,
     /*  367143 */   // Label 6639: @367143
     /*  367143 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367209), // Rule ID 60498 //
     /*  367148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367187 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367207 */     GIR_RootConstrainSelectedInstOperands,
     /*  367208 */     // GIR_Coverage, 60498,
     /*  367208 */     GIR_EraseRootFromParent_Done,
     /*  367209 */   // Label 6640: @367209
     /*  367209 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367275), // Rule ID 60501 //
     /*  367214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367273 */     GIR_RootConstrainSelectedInstOperands,
     /*  367274 */     // GIR_Coverage, 60501,
     /*  367274 */     GIR_EraseRootFromParent_Done,
     /*  367275 */   // Label 6641: @367275
     /*  367275 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367341), // Rule ID 60502 //
     /*  367280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367319 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367339 */     GIR_RootConstrainSelectedInstOperands,
     /*  367340 */     // GIR_Coverage, 60502,
     /*  367340 */     GIR_EraseRootFromParent_Done,
     /*  367341 */   // Label 6642: @367341
     /*  367341 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367407), // Rule ID 60505 //
     /*  367346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367385 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367405 */     GIR_RootConstrainSelectedInstOperands,
     /*  367406 */     // GIR_Coverage, 60505,
     /*  367406 */     GIR_EraseRootFromParent_Done,
     /*  367407 */   // Label 6643: @367407
     /*  367407 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367473), // Rule ID 60506 //
     /*  367412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367471 */     GIR_RootConstrainSelectedInstOperands,
     /*  367472 */     // GIR_Coverage, 60506,
     /*  367472 */     GIR_EraseRootFromParent_Done,
     /*  367473 */   // Label 6644: @367473
     /*  367473 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367539), // Rule ID 60509 //
     /*  367478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367537 */     GIR_RootConstrainSelectedInstOperands,
     /*  367538 */     // GIR_Coverage, 60509,
     /*  367538 */     GIR_EraseRootFromParent_Done,
     /*  367539 */   // Label 6645: @367539
     /*  367539 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(367605), // Rule ID 60510 //
     /*  367544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367603 */     GIR_RootConstrainSelectedInstOperands,
     /*  367604 */     // GIR_Coverage, 60510,
     /*  367604 */     GIR_EraseRootFromParent_Done,
     /*  367605 */   // Label 6646: @367605
     /*  367605 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(367671), // Rule ID 60513 //
     /*  367610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367669 */     GIR_RootConstrainSelectedInstOperands,
     /*  367670 */     // GIR_Coverage, 60513,
     /*  367670 */     GIR_EraseRootFromParent_Done,
     /*  367671 */   // Label 6647: @367671
     /*  367671 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(367737), // Rule ID 60514 //
     /*  367676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367735 */     GIR_RootConstrainSelectedInstOperands,
     /*  367736 */     // GIR_Coverage, 60514,
     /*  367736 */     GIR_EraseRootFromParent_Done,
     /*  367737 */   // Label 6648: @367737
     /*  367737 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(367803), // Rule ID 60517 //
     /*  367742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  367753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  367756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367801 */     GIR_RootConstrainSelectedInstOperands,
     /*  367802 */     // GIR_Coverage, 60517,
     /*  367802 */     GIR_EraseRootFromParent_Done,
     /*  367803 */   // Label 6649: @367803
     /*  367803 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(367869), // Rule ID 60518 //
     /*  367808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  367819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  367822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367867 */     GIR_RootConstrainSelectedInstOperands,
     /*  367868 */     // GIR_Coverage, 60518,
     /*  367868 */     GIR_EraseRootFromParent_Done,
     /*  367869 */   // Label 6650: @367869
     /*  367869 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(367935), // Rule ID 60521 //
     /*  367874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  367885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  367888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  367891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367913 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367933 */     GIR_RootConstrainSelectedInstOperands,
     /*  367934 */     // GIR_Coverage, 60521,
     /*  367934 */     GIR_EraseRootFromParent_Done,
     /*  367935 */   // Label 6651: @367935
     /*  367935 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(368001), // Rule ID 60522 //
     /*  367940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  367951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  367954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  367957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367979 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367999 */     GIR_RootConstrainSelectedInstOperands,
     /*  368000 */     // GIR_Coverage, 60522,
     /*  368000 */     GIR_EraseRootFromParent_Done,
     /*  368001 */   // Label 6652: @368001
     /*  368001 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368067), // Rule ID 60525 //
     /*  368006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  368023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368045 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368065 */     GIR_RootConstrainSelectedInstOperands,
     /*  368066 */     // GIR_Coverage, 60525,
     /*  368066 */     GIR_EraseRootFromParent_Done,
     /*  368067 */   // Label 6653: @368067
     /*  368067 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368133), // Rule ID 60526 //
     /*  368072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  368089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368131 */     GIR_RootConstrainSelectedInstOperands,
     /*  368132 */     // GIR_Coverage, 60526,
     /*  368132 */     GIR_EraseRootFromParent_Done,
     /*  368133 */   // Label 6654: @368133
     /*  368133 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368199), // Rule ID 60529 //
     /*  368138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368197 */     GIR_RootConstrainSelectedInstOperands,
     /*  368198 */     // GIR_Coverage, 60529,
     /*  368198 */     GIR_EraseRootFromParent_Done,
     /*  368199 */   // Label 6655: @368199
     /*  368199 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368265), // Rule ID 60530 //
     /*  368204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368263 */     GIR_RootConstrainSelectedInstOperands,
     /*  368264 */     // GIR_Coverage, 60530,
     /*  368264 */     GIR_EraseRootFromParent_Done,
     /*  368265 */   // Label 6656: @368265
     /*  368265 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368331), // Rule ID 60533 //
     /*  368270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368329 */     GIR_RootConstrainSelectedInstOperands,
     /*  368330 */     // GIR_Coverage, 60533,
     /*  368330 */     GIR_EraseRootFromParent_Done,
     /*  368331 */   // Label 6657: @368331
     /*  368331 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368397), // Rule ID 60534 //
     /*  368336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368375 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368395 */     GIR_RootConstrainSelectedInstOperands,
     /*  368396 */     // GIR_Coverage, 60534,
     /*  368396 */     GIR_EraseRootFromParent_Done,
     /*  368397 */   // Label 6658: @368397
     /*  368397 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368463), // Rule ID 60537 //
     /*  368402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368441 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368461 */     GIR_RootConstrainSelectedInstOperands,
     /*  368462 */     // GIR_Coverage, 60537,
     /*  368462 */     GIR_EraseRootFromParent_Done,
     /*  368463 */   // Label 6659: @368463
     /*  368463 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368529), // Rule ID 60538 //
     /*  368468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368527 */     GIR_RootConstrainSelectedInstOperands,
     /*  368528 */     // GIR_Coverage, 60538,
     /*  368528 */     GIR_EraseRootFromParent_Done,
     /*  368529 */   // Label 6660: @368529
     /*  368529 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368595), // Rule ID 60541 //
     /*  368534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368573 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368593 */     GIR_RootConstrainSelectedInstOperands,
     /*  368594 */     // GIR_Coverage, 60541,
     /*  368594 */     GIR_EraseRootFromParent_Done,
     /*  368595 */   // Label 6661: @368595
     /*  368595 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(368661), // Rule ID 60542 //
     /*  368600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368639 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368659 */     GIR_RootConstrainSelectedInstOperands,
     /*  368660 */     // GIR_Coverage, 60542,
     /*  368660 */     GIR_EraseRootFromParent_Done,
     /*  368661 */   // Label 6662: @368661
     /*  368661 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(368727), // Rule ID 60545 //
     /*  368666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  368677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  368680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368705 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368725 */     GIR_RootConstrainSelectedInstOperands,
     /*  368726 */     // GIR_Coverage, 60545,
     /*  368726 */     GIR_EraseRootFromParent_Done,
     /*  368727 */   // Label 6663: @368727
     /*  368727 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(368793), // Rule ID 60546 //
     /*  368732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  368743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  368746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368791 */     GIR_RootConstrainSelectedInstOperands,
     /*  368792 */     // GIR_Coverage, 60546,
     /*  368792 */     GIR_EraseRootFromParent_Done,
     /*  368793 */   // Label 6664: @368793
     /*  368793 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(368859), // Rule ID 60549 //
     /*  368798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368837 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368857 */     GIR_RootConstrainSelectedInstOperands,
     /*  368858 */     // GIR_Coverage, 60549,
     /*  368858 */     GIR_EraseRootFromParent_Done,
     /*  368859 */   // Label 6665: @368859
     /*  368859 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(368925), // Rule ID 60550 //
     /*  368864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368923 */     GIR_RootConstrainSelectedInstOperands,
     /*  368924 */     // GIR_Coverage, 60550,
     /*  368924 */     GIR_EraseRootFromParent_Done,
     /*  368925 */   // Label 6666: @368925
     /*  368925 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(368991), // Rule ID 60553 //
     /*  368930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  368941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  368944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  368947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368989 */     GIR_RootConstrainSelectedInstOperands,
     /*  368990 */     // GIR_Coverage, 60553,
     /*  368990 */     GIR_EraseRootFromParent_Done,
     /*  368991 */   // Label 6667: @368991
     /*  368991 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369057), // Rule ID 60554 //
     /*  368996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  369013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369055 */     GIR_RootConstrainSelectedInstOperands,
     /*  369056 */     // GIR_Coverage, 60554,
     /*  369056 */     GIR_EraseRootFromParent_Done,
     /*  369057 */   // Label 6668: @369057
     /*  369057 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369123), // Rule ID 60557 //
     /*  369062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369121 */     GIR_RootConstrainSelectedInstOperands,
     /*  369122 */     // GIR_Coverage, 60557,
     /*  369122 */     GIR_EraseRootFromParent_Done,
     /*  369123 */   // Label 6669: @369123
     /*  369123 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369189), // Rule ID 60558 //
     /*  369128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369187 */     GIR_RootConstrainSelectedInstOperands,
     /*  369188 */     // GIR_Coverage, 60558,
     /*  369188 */     GIR_EraseRootFromParent_Done,
     /*  369189 */   // Label 6670: @369189
     /*  369189 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369255), // Rule ID 60561 //
     /*  369194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369253 */     GIR_RootConstrainSelectedInstOperands,
     /*  369254 */     // GIR_Coverage, 60561,
     /*  369254 */     GIR_EraseRootFromParent_Done,
     /*  369255 */   // Label 6671: @369255
     /*  369255 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369321), // Rule ID 60562 //
     /*  369260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369319 */     GIR_RootConstrainSelectedInstOperands,
     /*  369320 */     // GIR_Coverage, 60562,
     /*  369320 */     GIR_EraseRootFromParent_Done,
     /*  369321 */   // Label 6672: @369321
     /*  369321 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369387), // Rule ID 60565 //
     /*  369326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369385 */     GIR_RootConstrainSelectedInstOperands,
     /*  369386 */     // GIR_Coverage, 60565,
     /*  369386 */     GIR_EraseRootFromParent_Done,
     /*  369387 */   // Label 6673: @369387
     /*  369387 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369453), // Rule ID 60566 //
     /*  369392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369431 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369451 */     GIR_RootConstrainSelectedInstOperands,
     /*  369452 */     // GIR_Coverage, 60566,
     /*  369452 */     GIR_EraseRootFromParent_Done,
     /*  369453 */   // Label 6674: @369453
     /*  369453 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369519), // Rule ID 60569 //
     /*  369458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369517 */     GIR_RootConstrainSelectedInstOperands,
     /*  369518 */     // GIR_Coverage, 60569,
     /*  369518 */     GIR_EraseRootFromParent_Done,
     /*  369519 */   // Label 6675: @369519
     /*  369519 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369585), // Rule ID 60570 //
     /*  369524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369563 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369583 */     GIR_RootConstrainSelectedInstOperands,
     /*  369584 */     // GIR_Coverage, 60570,
     /*  369584 */     GIR_EraseRootFromParent_Done,
     /*  369585 */   // Label 6676: @369585
     /*  369585 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(369651), // Rule ID 60573 //
     /*  369590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369629 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  369632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369649 */     GIR_RootConstrainSelectedInstOperands,
     /*  369650 */     // GIR_Coverage, 60573,
     /*  369650 */     GIR_EraseRootFromParent_Done,
     /*  369651 */   // Label 6677: @369651
     /*  369651 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(369717), // Rule ID 60574 //
     /*  369656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369695 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  369698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369715 */     GIR_RootConstrainSelectedInstOperands,
     /*  369716 */     // GIR_Coverage, 60574,
     /*  369716 */     GIR_EraseRootFromParent_Done,
     /*  369717 */   // Label 6678: @369717
     /*  369717 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(369783), // Rule ID 60577 //
     /*  369722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  369739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  369764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369781 */     GIR_RootConstrainSelectedInstOperands,
     /*  369782 */     // GIR_Coverage, 60577,
     /*  369782 */     GIR_EraseRootFromParent_Done,
     /*  369783 */   // Label 6679: @369783
     /*  369783 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(369849), // Rule ID 60578 //
     /*  369788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  369805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  369830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369847 */     GIR_RootConstrainSelectedInstOperands,
     /*  369848 */     // GIR_Coverage, 60578,
     /*  369848 */     GIR_EraseRootFromParent_Done,
     /*  369849 */   // Label 6680: @369849
     /*  369849 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(369915), // Rule ID 60581 //
     /*  369854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  369871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369893 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  369896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369913 */     GIR_RootConstrainSelectedInstOperands,
     /*  369914 */     // GIR_Coverage, 60581,
     /*  369914 */     GIR_EraseRootFromParent_Done,
     /*  369915 */   // Label 6681: @369915
     /*  369915 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(369981), // Rule ID 60582 //
     /*  369920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  369937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  369962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369979 */     GIR_RootConstrainSelectedInstOperands,
     /*  369980 */     // GIR_Coverage, 60582,
     /*  369980 */     GIR_EraseRootFromParent_Done,
     /*  369981 */   // Label 6682: @369981
     /*  369981 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(370047), // Rule ID 60585 //
     /*  369986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370045 */     GIR_RootConstrainSelectedInstOperands,
     /*  370046 */     // GIR_Coverage, 60585,
     /*  370046 */     GIR_EraseRootFromParent_Done,
     /*  370047 */   // Label 6683: @370047
     /*  370047 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370113), // Rule ID 60586 //
     /*  370052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  370063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370091 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370111 */     GIR_RootConstrainSelectedInstOperands,
     /*  370112 */     // GIR_Coverage, 60586,
     /*  370112 */     GIR_EraseRootFromParent_Done,
     /*  370113 */   // Label 6684: @370113
     /*  370113 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370179), // Rule ID 60589 //
     /*  370118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370157 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370177 */     GIR_RootConstrainSelectedInstOperands,
     /*  370178 */     // GIR_Coverage, 60589,
     /*  370178 */     GIR_EraseRootFromParent_Done,
     /*  370179 */   // Label 6685: @370179
     /*  370179 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370245), // Rule ID 60590 //
     /*  370184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370223 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370243 */     GIR_RootConstrainSelectedInstOperands,
     /*  370244 */     // GIR_Coverage, 60590,
     /*  370244 */     GIR_EraseRootFromParent_Done,
     /*  370245 */   // Label 6686: @370245
     /*  370245 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370311), // Rule ID 60593 //
     /*  370250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370309 */     GIR_RootConstrainSelectedInstOperands,
     /*  370310 */     // GIR_Coverage, 60593,
     /*  370310 */     GIR_EraseRootFromParent_Done,
     /*  370311 */   // Label 6687: @370311
     /*  370311 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370377), // Rule ID 60594 //
     /*  370316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370375 */     GIR_RootConstrainSelectedInstOperands,
     /*  370376 */     // GIR_Coverage, 60594,
     /*  370376 */     GIR_EraseRootFromParent_Done,
     /*  370377 */   // Label 6688: @370377
     /*  370377 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370443), // Rule ID 60597 //
     /*  370382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370421 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370441 */     GIR_RootConstrainSelectedInstOperands,
     /*  370442 */     // GIR_Coverage, 60597,
     /*  370442 */     GIR_EraseRootFromParent_Done,
     /*  370443 */   // Label 6689: @370443
     /*  370443 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370509), // Rule ID 60598 //
     /*  370448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370507 */     GIR_RootConstrainSelectedInstOperands,
     /*  370508 */     // GIR_Coverage, 60598,
     /*  370508 */     GIR_EraseRootFromParent_Done,
     /*  370509 */   // Label 6690: @370509
     /*  370509 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370575), // Rule ID 60601 //
     /*  370514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370573 */     GIR_RootConstrainSelectedInstOperands,
     /*  370574 */     // GIR_Coverage, 60601,
     /*  370574 */     GIR_EraseRootFromParent_Done,
     /*  370575 */   // Label 6691: @370575
     /*  370575 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(370641), // Rule ID 60602 //
     /*  370580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370639 */     GIR_RootConstrainSelectedInstOperands,
     /*  370640 */     // GIR_Coverage, 60602,
     /*  370640 */     GIR_EraseRootFromParent_Done,
     /*  370641 */   // Label 6692: @370641
     /*  370641 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(370707), // Rule ID 60605 //
     /*  370646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  370663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370705 */     GIR_RootConstrainSelectedInstOperands,
     /*  370706 */     // GIR_Coverage, 60605,
     /*  370706 */     GIR_EraseRootFromParent_Done,
     /*  370707 */   // Label 6693: @370707
     /*  370707 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(370773), // Rule ID 60606 //
     /*  370712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  370729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370771 */     GIR_RootConstrainSelectedInstOperands,
     /*  370772 */     // GIR_Coverage, 60606,
     /*  370772 */     GIR_EraseRootFromParent_Done,
     /*  370773 */   // Label 6694: @370773
     /*  370773 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(370839), // Rule ID 60609 //
     /*  370778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370837 */     GIR_RootConstrainSelectedInstOperands,
     /*  370838 */     // GIR_Coverage, 60609,
     /*  370838 */     GIR_EraseRootFromParent_Done,
     /*  370839 */   // Label 6695: @370839
     /*  370839 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(370905), // Rule ID 60610 //
     /*  370844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370903 */     GIR_RootConstrainSelectedInstOperands,
     /*  370904 */     // GIR_Coverage, 60610,
     /*  370904 */     GIR_EraseRootFromParent_Done,
     /*  370905 */   // Label 6696: @370905
     /*  370905 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(370971), // Rule ID 60613 //
     /*  370910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  370927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370969 */     GIR_RootConstrainSelectedInstOperands,
     /*  370970 */     // GIR_Coverage, 60613,
     /*  370970 */     GIR_EraseRootFromParent_Done,
     /*  370971 */   // Label 6697: @370971
     /*  370971 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(371037), // Rule ID 60614 //
     /*  370976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  370993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371015 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371035 */     GIR_RootConstrainSelectedInstOperands,
     /*  371036 */     // GIR_Coverage, 60614,
     /*  371036 */     GIR_EraseRootFromParent_Done,
     /*  371037 */   // Label 6698: @371037
     /*  371037 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371103), // Rule ID 60617 //
     /*  371042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371081 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371101 */     GIR_RootConstrainSelectedInstOperands,
     /*  371102 */     // GIR_Coverage, 60617,
     /*  371102 */     GIR_EraseRootFromParent_Done,
     /*  371103 */   // Label 6699: @371103
     /*  371103 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371169), // Rule ID 60618 //
     /*  371108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371167 */     GIR_RootConstrainSelectedInstOperands,
     /*  371168 */     // GIR_Coverage, 60618,
     /*  371168 */     GIR_EraseRootFromParent_Done,
     /*  371169 */   // Label 6700: @371169
     /*  371169 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371235), // Rule ID 60621 //
     /*  371174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371213 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371233 */     GIR_RootConstrainSelectedInstOperands,
     /*  371234 */     // GIR_Coverage, 60621,
     /*  371234 */     GIR_EraseRootFromParent_Done,
     /*  371235 */   // Label 6701: @371235
     /*  371235 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371301), // Rule ID 60622 //
     /*  371240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371279 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371299 */     GIR_RootConstrainSelectedInstOperands,
     /*  371300 */     // GIR_Coverage, 60622,
     /*  371300 */     GIR_EraseRootFromParent_Done,
     /*  371301 */   // Label 6702: @371301
     /*  371301 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371367), // Rule ID 60625 //
     /*  371306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371365 */     GIR_RootConstrainSelectedInstOperands,
     /*  371366 */     // GIR_Coverage, 60625,
     /*  371366 */     GIR_EraseRootFromParent_Done,
     /*  371367 */   // Label 6703: @371367
     /*  371367 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371433), // Rule ID 60626 //
     /*  371372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371431 */     GIR_RootConstrainSelectedInstOperands,
     /*  371432 */     // GIR_Coverage, 60626,
     /*  371432 */     GIR_EraseRootFromParent_Done,
     /*  371433 */   // Label 6704: @371433
     /*  371433 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371499), // Rule ID 60629 //
     /*  371438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371497 */     GIR_RootConstrainSelectedInstOperands,
     /*  371498 */     // GIR_Coverage, 60629,
     /*  371498 */     GIR_EraseRootFromParent_Done,
     /*  371499 */   // Label 6705: @371499
     /*  371499 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371565), // Rule ID 60630 //
     /*  371504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371563 */     GIR_RootConstrainSelectedInstOperands,
     /*  371564 */     // GIR_Coverage, 60630,
     /*  371564 */     GIR_EraseRootFromParent_Done,
     /*  371565 */   // Label 6706: @371565
     /*  371565 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(371631), // Rule ID 60633 //
     /*  371570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371629 */     GIR_RootConstrainSelectedInstOperands,
     /*  371630 */     // GIR_Coverage, 60633,
     /*  371630 */     GIR_EraseRootFromParent_Done,
     /*  371631 */   // Label 6707: @371631
     /*  371631 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(371697), // Rule ID 60634 //
     /*  371636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371675 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371695 */     GIR_RootConstrainSelectedInstOperands,
     /*  371696 */     // GIR_Coverage, 60634,
     /*  371696 */     GIR_EraseRootFromParent_Done,
     /*  371697 */   // Label 6708: @371697
     /*  371697 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(371763), // Rule ID 60637 //
     /*  371702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371741 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371761 */     GIR_RootConstrainSelectedInstOperands,
     /*  371762 */     // GIR_Coverage, 60637,
     /*  371762 */     GIR_EraseRootFromParent_Done,
     /*  371763 */   // Label 6709: @371763
     /*  371763 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(371829), // Rule ID 60638 //
     /*  371768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371827 */     GIR_RootConstrainSelectedInstOperands,
     /*  371828 */     // GIR_Coverage, 60638,
     /*  371828 */     GIR_EraseRootFromParent_Done,
     /*  371829 */   // Label 6710: @371829
     /*  371829 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(371895), // Rule ID 60641 //
     /*  371834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371893 */     GIR_RootConstrainSelectedInstOperands,
     /*  371894 */     // GIR_Coverage, 60641,
     /*  371894 */     GIR_EraseRootFromParent_Done,
     /*  371895 */   // Label 6711: @371895
     /*  371895 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(371961), // Rule ID 60642 //
     /*  371900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371959 */     GIR_RootConstrainSelectedInstOperands,
     /*  371960 */     // GIR_Coverage, 60642,
     /*  371960 */     GIR_EraseRootFromParent_Done,
     /*  371961 */   // Label 6712: @371961
     /*  371961 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(372027), // Rule ID 60645 //
     /*  371966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  371977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  371980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  371983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372025 */     GIR_RootConstrainSelectedInstOperands,
     /*  372026 */     // GIR_Coverage, 60645,
     /*  372026 */     GIR_EraseRootFromParent_Done,
     /*  372027 */   // Label 6713: @372027
     /*  372027 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372093), // Rule ID 60646 //
     /*  372032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  372043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  372046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  372049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372091 */     GIR_RootConstrainSelectedInstOperands,
     /*  372092 */     // GIR_Coverage, 60646,
     /*  372092 */     GIR_EraseRootFromParent_Done,
     /*  372093 */   // Label 6714: @372093
     /*  372093 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372159), // Rule ID 60649 //
     /*  372098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372137 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372157 */     GIR_RootConstrainSelectedInstOperands,
     /*  372158 */     // GIR_Coverage, 60649,
     /*  372158 */     GIR_EraseRootFromParent_Done,
     /*  372159 */   // Label 6715: @372159
     /*  372159 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372225), // Rule ID 60650 //
     /*  372164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372223 */     GIR_RootConstrainSelectedInstOperands,
     /*  372224 */     // GIR_Coverage, 60650,
     /*  372224 */     GIR_EraseRootFromParent_Done,
     /*  372225 */   // Label 6716: @372225
     /*  372225 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372291), // Rule ID 60653 //
     /*  372230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372269 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372289 */     GIR_RootConstrainSelectedInstOperands,
     /*  372290 */     // GIR_Coverage, 60653,
     /*  372290 */     GIR_EraseRootFromParent_Done,
     /*  372291 */   // Label 6717: @372291
     /*  372291 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372357), // Rule ID 60654 //
     /*  372296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372335 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372355 */     GIR_RootConstrainSelectedInstOperands,
     /*  372356 */     // GIR_Coverage, 60654,
     /*  372356 */     GIR_EraseRootFromParent_Done,
     /*  372357 */   // Label 6718: @372357
     /*  372357 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372423), // Rule ID 60657 //
     /*  372362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372421 */     GIR_RootConstrainSelectedInstOperands,
     /*  372422 */     // GIR_Coverage, 60657,
     /*  372422 */     GIR_EraseRootFromParent_Done,
     /*  372423 */   // Label 6719: @372423
     /*  372423 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372489), // Rule ID 60658 //
     /*  372428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372487 */     GIR_RootConstrainSelectedInstOperands,
     /*  372488 */     // GIR_Coverage, 60658,
     /*  372488 */     GIR_EraseRootFromParent_Done,
     /*  372489 */   // Label 6720: @372489
     /*  372489 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372555), // Rule ID 60661 //
     /*  372494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372533 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372553 */     GIR_RootConstrainSelectedInstOperands,
     /*  372554 */     // GIR_Coverage, 60661,
     /*  372554 */     GIR_EraseRootFromParent_Done,
     /*  372555 */   // Label 6721: @372555
     /*  372555 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(372621), // Rule ID 60662 //
     /*  372560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372619 */     GIR_RootConstrainSelectedInstOperands,
     /*  372620 */     // GIR_Coverage, 60662,
     /*  372620 */     GIR_EraseRootFromParent_Done,
     /*  372621 */   // Label 6722: @372621
     /*  372621 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(372687), // Rule ID 60665 //
     /*  372626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372665 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372685 */     GIR_RootConstrainSelectedInstOperands,
     /*  372686 */     // GIR_Coverage, 60665,
     /*  372686 */     GIR_EraseRootFromParent_Done,
     /*  372687 */   // Label 6723: @372687
     /*  372687 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(372753), // Rule ID 60666 //
     /*  372692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372731 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372751 */     GIR_RootConstrainSelectedInstOperands,
     /*  372752 */     // GIR_Coverage, 60666,
     /*  372752 */     GIR_EraseRootFromParent_Done,
     /*  372753 */   // Label 6724: @372753
     /*  372753 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(372819), // Rule ID 60669 //
     /*  372758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372797 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  372800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372817 */     GIR_RootConstrainSelectedInstOperands,
     /*  372818 */     // GIR_Coverage, 60669,
     /*  372818 */     GIR_EraseRootFromParent_Done,
     /*  372819 */   // Label 6725: @372819
     /*  372819 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(372885), // Rule ID 60670 //
     /*  372824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  372866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372883 */     GIR_RootConstrainSelectedInstOperands,
     /*  372884 */     // GIR_Coverage, 60670,
     /*  372884 */     GIR_EraseRootFromParent_Done,
     /*  372885 */   // Label 6726: @372885
     /*  372885 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(372951), // Rule ID 60673 //
     /*  372890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372929 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372949 */     GIR_RootConstrainSelectedInstOperands,
     /*  372950 */     // GIR_Coverage, 60673,
     /*  372950 */     GIR_EraseRootFromParent_Done,
     /*  372951 */   // Label 6727: @372951
     /*  372951 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(373017), // Rule ID 60674 //
     /*  372956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373015 */     GIR_RootConstrainSelectedInstOperands,
     /*  373016 */     // GIR_Coverage, 60674,
     /*  373016 */     GIR_EraseRootFromParent_Done,
     /*  373017 */   // Label 6728: @373017
     /*  373017 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373083), // Rule ID 60677 //
     /*  373022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373081 */     GIR_RootConstrainSelectedInstOperands,
     /*  373082 */     // GIR_Coverage, 60677,
     /*  373082 */     GIR_EraseRootFromParent_Done,
     /*  373083 */   // Label 6729: @373083
     /*  373083 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373149), // Rule ID 60678 //
     /*  373088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373127 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373147 */     GIR_RootConstrainSelectedInstOperands,
     /*  373148 */     // GIR_Coverage, 60678,
     /*  373148 */     GIR_EraseRootFromParent_Done,
     /*  373149 */   // Label 6730: @373149
     /*  373149 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373215), // Rule ID 60681 //
     /*  373154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373213 */     GIR_RootConstrainSelectedInstOperands,
     /*  373214 */     // GIR_Coverage, 60681,
     /*  373214 */     GIR_EraseRootFromParent_Done,
     /*  373215 */   // Label 6731: @373215
     /*  373215 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373281), // Rule ID 60682 //
     /*  373220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373279 */     GIR_RootConstrainSelectedInstOperands,
     /*  373280 */     // GIR_Coverage, 60682,
     /*  373280 */     GIR_EraseRootFromParent_Done,
     /*  373281 */   // Label 6732: @373281
     /*  373281 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373347), // Rule ID 60685 //
     /*  373286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373325 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373345 */     GIR_RootConstrainSelectedInstOperands,
     /*  373346 */     // GIR_Coverage, 60685,
     /*  373346 */     GIR_EraseRootFromParent_Done,
     /*  373347 */   // Label 6733: @373347
     /*  373347 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373413), // Rule ID 60686 //
     /*  373352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373411 */     GIR_RootConstrainSelectedInstOperands,
     /*  373412 */     // GIR_Coverage, 60686,
     /*  373412 */     GIR_EraseRootFromParent_Done,
     /*  373413 */   // Label 6734: @373413
     /*  373413 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373479), // Rule ID 60689 //
     /*  373418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373477 */     GIR_RootConstrainSelectedInstOperands,
     /*  373478 */     // GIR_Coverage, 60689,
     /*  373478 */     GIR_EraseRootFromParent_Done,
     /*  373479 */   // Label 6735: @373479
     /*  373479 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373545), // Rule ID 60690 //
     /*  373484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373543 */     GIR_RootConstrainSelectedInstOperands,
     /*  373544 */     // GIR_Coverage, 60690,
     /*  373544 */     GIR_EraseRootFromParent_Done,
     /*  373545 */   // Label 6736: @373545
     /*  373545 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373611), // Rule ID 60693 //
     /*  373550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373609 */     GIR_RootConstrainSelectedInstOperands,
     /*  373610 */     // GIR_Coverage, 60693,
     /*  373610 */     GIR_EraseRootFromParent_Done,
     /*  373611 */   // Label 6737: @373611
     /*  373611 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(373677), // Rule ID 60694 //
     /*  373616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373675 */     GIR_RootConstrainSelectedInstOperands,
     /*  373676 */     // GIR_Coverage, 60694,
     /*  373676 */     GIR_EraseRootFromParent_Done,
     /*  373677 */   // Label 6738: @373677
     /*  373677 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(373743), // Rule ID 60697 //
     /*  373682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373741 */     GIR_RootConstrainSelectedInstOperands,
     /*  373742 */     // GIR_Coverage, 60697,
     /*  373742 */     GIR_EraseRootFromParent_Done,
     /*  373743 */   // Label 6739: @373743
     /*  373743 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(373809), // Rule ID 60698 //
     /*  373748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373807 */     GIR_RootConstrainSelectedInstOperands,
     /*  373808 */     // GIR_Coverage, 60698,
     /*  373808 */     GIR_EraseRootFromParent_Done,
     /*  373809 */   // Label 6740: @373809
     /*  373809 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(373875), // Rule ID 60701 //
     /*  373814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373853 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373873 */     GIR_RootConstrainSelectedInstOperands,
     /*  373874 */     // GIR_Coverage, 60701,
     /*  373874 */     GIR_EraseRootFromParent_Done,
     /*  373875 */   // Label 6741: @373875
     /*  373875 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(373941), // Rule ID 60702 //
     /*  373880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373919 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373939 */     GIR_RootConstrainSelectedInstOperands,
     /*  373940 */     // GIR_Coverage, 60702,
     /*  373940 */     GIR_EraseRootFromParent_Done,
     /*  373941 */   // Label 6742: @373941
     /*  373941 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(374007), // Rule ID 60705 //
     /*  373946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373985 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  373988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374005 */     GIR_RootConstrainSelectedInstOperands,
     /*  374006 */     // GIR_Coverage, 60705,
     /*  374006 */     GIR_EraseRootFromParent_Done,
     /*  374007 */   // Label 6743: @374007
     /*  374007 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374073), // Rule ID 60706 //
     /*  374012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  374023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  374026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  374029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374071 */     GIR_RootConstrainSelectedInstOperands,
     /*  374072 */     // GIR_Coverage, 60706,
     /*  374072 */     GIR_EraseRootFromParent_Done,
     /*  374073 */   // Label 6744: @374073
     /*  374073 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374139), // Rule ID 60709 //
     /*  374078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374117 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374137 */     GIR_RootConstrainSelectedInstOperands,
     /*  374138 */     // GIR_Coverage, 60709,
     /*  374138 */     GIR_EraseRootFromParent_Done,
     /*  374139 */   // Label 6745: @374139
     /*  374139 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374205), // Rule ID 60710 //
     /*  374144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374183 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374203 */     GIR_RootConstrainSelectedInstOperands,
     /*  374204 */     // GIR_Coverage, 60710,
     /*  374204 */     GIR_EraseRootFromParent_Done,
     /*  374205 */   // Label 6746: @374205
     /*  374205 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374271), // Rule ID 60713 //
     /*  374210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374269 */     GIR_RootConstrainSelectedInstOperands,
     /*  374270 */     // GIR_Coverage, 60713,
     /*  374270 */     GIR_EraseRootFromParent_Done,
     /*  374271 */   // Label 6747: @374271
     /*  374271 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374337), // Rule ID 60714 //
     /*  374276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374335 */     GIR_RootConstrainSelectedInstOperands,
     /*  374336 */     // GIR_Coverage, 60714,
     /*  374336 */     GIR_EraseRootFromParent_Done,
     /*  374337 */   // Label 6748: @374337
     /*  374337 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374403), // Rule ID 60717 //
     /*  374342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374381 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374401 */     GIR_RootConstrainSelectedInstOperands,
     /*  374402 */     // GIR_Coverage, 60717,
     /*  374402 */     GIR_EraseRootFromParent_Done,
     /*  374403 */   // Label 6749: @374403
     /*  374403 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374469), // Rule ID 60718 //
     /*  374408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374467 */     GIR_RootConstrainSelectedInstOperands,
     /*  374468 */     // GIR_Coverage, 60718,
     /*  374468 */     GIR_EraseRootFromParent_Done,
     /*  374469 */   // Label 6750: @374469
     /*  374469 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374535), // Rule ID 60721 //
     /*  374474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374513 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374533 */     GIR_RootConstrainSelectedInstOperands,
     /*  374534 */     // GIR_Coverage, 60721,
     /*  374534 */     GIR_EraseRootFromParent_Done,
     /*  374535 */   // Label 6751: @374535
     /*  374535 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374601), // Rule ID 60722 //
     /*  374540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374579 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374599 */     GIR_RootConstrainSelectedInstOperands,
     /*  374600 */     // GIR_Coverage, 60722,
     /*  374600 */     GIR_EraseRootFromParent_Done,
     /*  374601 */   // Label 6752: @374601
     /*  374601 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(374667), // Rule ID 60725 //
     /*  374606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374665 */     GIR_RootConstrainSelectedInstOperands,
     /*  374666 */     // GIR_Coverage, 60725,
     /*  374666 */     GIR_EraseRootFromParent_Done,
     /*  374667 */   // Label 6753: @374667
     /*  374667 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(374733), // Rule ID 60726 //
     /*  374672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374731 */     GIR_RootConstrainSelectedInstOperands,
     /*  374732 */     // GIR_Coverage, 60726,
     /*  374732 */     GIR_EraseRootFromParent_Done,
     /*  374733 */   // Label 6754: @374733
     /*  374733 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(374799), // Rule ID 60729 //
     /*  374738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374797 */     GIR_RootConstrainSelectedInstOperands,
     /*  374798 */     // GIR_Coverage, 60729,
     /*  374798 */     GIR_EraseRootFromParent_Done,
     /*  374799 */   // Label 6755: @374799
     /*  374799 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(374865), // Rule ID 60730 //
     /*  374804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374863 */     GIR_RootConstrainSelectedInstOperands,
     /*  374864 */     // GIR_Coverage, 60730,
     /*  374864 */     GIR_EraseRootFromParent_Done,
     /*  374865 */   // Label 6756: @374865
     /*  374865 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(374931), // Rule ID 60733 //
     /*  374870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374909 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374929 */     GIR_RootConstrainSelectedInstOperands,
     /*  374930 */     // GIR_Coverage, 60733,
     /*  374930 */     GIR_EraseRootFromParent_Done,
     /*  374931 */   // Label 6757: @374931
     /*  374931 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(374997), // Rule ID 60734 //
     /*  374936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374995 */     GIR_RootConstrainSelectedInstOperands,
     /*  374996 */     // GIR_Coverage, 60734,
     /*  374996 */     GIR_EraseRootFromParent_Done,
     /*  374997 */   // Label 6758: @374997
     /*  374997 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375063), // Rule ID 60737 //
     /*  375002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375061 */     GIR_RootConstrainSelectedInstOperands,
     /*  375062 */     // GIR_Coverage, 60737,
     /*  375062 */     GIR_EraseRootFromParent_Done,
     /*  375063 */   // Label 6759: @375063
     /*  375063 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375129), // Rule ID 60738 //
     /*  375068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375127 */     GIR_RootConstrainSelectedInstOperands,
     /*  375128 */     // GIR_Coverage, 60738,
     /*  375128 */     GIR_EraseRootFromParent_Done,
     /*  375129 */   // Label 6760: @375129
     /*  375129 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375195), // Rule ID 60741 //
     /*  375134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375173 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375193 */     GIR_RootConstrainSelectedInstOperands,
     /*  375194 */     // GIR_Coverage, 60741,
     /*  375194 */     GIR_EraseRootFromParent_Done,
     /*  375195 */   // Label 6761: @375195
     /*  375195 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375261), // Rule ID 60742 //
     /*  375200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375259 */     GIR_RootConstrainSelectedInstOperands,
     /*  375260 */     // GIR_Coverage, 60742,
     /*  375260 */     GIR_EraseRootFromParent_Done,
     /*  375261 */   // Label 6762: @375261
     /*  375261 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375327), // Rule ID 60745 //
     /*  375266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375325 */     GIR_RootConstrainSelectedInstOperands,
     /*  375326 */     // GIR_Coverage, 60745,
     /*  375326 */     GIR_EraseRootFromParent_Done,
     /*  375327 */   // Label 6763: @375327
     /*  375327 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375393), // Rule ID 60746 //
     /*  375332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375371 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375391 */     GIR_RootConstrainSelectedInstOperands,
     /*  375392 */     // GIR_Coverage, 60746,
     /*  375392 */     GIR_EraseRootFromParent_Done,
     /*  375393 */   // Label 6764: @375393
     /*  375393 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375459), // Rule ID 60749 //
     /*  375398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375437 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375457 */     GIR_RootConstrainSelectedInstOperands,
     /*  375458 */     // GIR_Coverage, 60749,
     /*  375458 */     GIR_EraseRootFromParent_Done,
     /*  375459 */   // Label 6765: @375459
     /*  375459 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375525), // Rule ID 60750 //
     /*  375464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375523 */     GIR_RootConstrainSelectedInstOperands,
     /*  375524 */     // GIR_Coverage, 60750,
     /*  375524 */     GIR_EraseRootFromParent_Done,
     /*  375525 */   // Label 6766: @375525
     /*  375525 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375591), // Rule ID 60753 //
     /*  375530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375569 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375589 */     GIR_RootConstrainSelectedInstOperands,
     /*  375590 */     // GIR_Coverage, 60753,
     /*  375590 */     GIR_EraseRootFromParent_Done,
     /*  375591 */   // Label 6767: @375591
     /*  375591 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(375657), // Rule ID 60754 //
     /*  375596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375635 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375655 */     GIR_RootConstrainSelectedInstOperands,
     /*  375656 */     // GIR_Coverage, 60754,
     /*  375656 */     GIR_EraseRootFromParent_Done,
     /*  375657 */   // Label 6768: @375657
     /*  375657 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(375723), // Rule ID 60757 //
     /*  375662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  375704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375721 */     GIR_RootConstrainSelectedInstOperands,
     /*  375722 */     // GIR_Coverage, 60757,
     /*  375722 */     GIR_EraseRootFromParent_Done,
     /*  375723 */   // Label 6769: @375723
     /*  375723 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(375789), // Rule ID 60758 //
     /*  375728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  375770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375787 */     GIR_RootConstrainSelectedInstOperands,
     /*  375788 */     // GIR_Coverage, 60758,
     /*  375788 */     GIR_EraseRootFromParent_Done,
     /*  375789 */   // Label 6770: @375789
     /*  375789 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(375855), // Rule ID 60761 //
     /*  375794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375853 */     GIR_RootConstrainSelectedInstOperands,
     /*  375854 */     // GIR_Coverage, 60761,
     /*  375854 */     GIR_EraseRootFromParent_Done,
     /*  375855 */   // Label 6771: @375855
     /*  375855 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(375921), // Rule ID 60762 //
     /*  375860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375919 */     GIR_RootConstrainSelectedInstOperands,
     /*  375920 */     // GIR_Coverage, 60762,
     /*  375920 */     GIR_EraseRootFromParent_Done,
     /*  375921 */   // Label 6772: @375921
     /*  375921 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(375987), // Rule ID 60765 //
     /*  375926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  375968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375985 */     GIR_RootConstrainSelectedInstOperands,
     /*  375986 */     // GIR_Coverage, 60765,
     /*  375986 */     GIR_EraseRootFromParent_Done,
     /*  375987 */   // Label 6773: @375987
     /*  375987 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376053), // Rule ID 60766 //
     /*  375992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  376003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  376006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  376009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376031 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376051 */     GIR_RootConstrainSelectedInstOperands,
     /*  376052 */     // GIR_Coverage, 60766,
     /*  376052 */     GIR_EraseRootFromParent_Done,
     /*  376053 */   // Label 6774: @376053
     /*  376053 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376119), // Rule ID 60769 //
     /*  376058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376117 */     GIR_RootConstrainSelectedInstOperands,
     /*  376118 */     // GIR_Coverage, 60769,
     /*  376118 */     GIR_EraseRootFromParent_Done,
     /*  376119 */   // Label 6775: @376119
     /*  376119 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376185), // Rule ID 60770 //
     /*  376124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376183 */     GIR_RootConstrainSelectedInstOperands,
     /*  376184 */     // GIR_Coverage, 60770,
     /*  376184 */     GIR_EraseRootFromParent_Done,
     /*  376185 */   // Label 6776: @376185
     /*  376185 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376251), // Rule ID 60773 //
     /*  376190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376229 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376249 */     GIR_RootConstrainSelectedInstOperands,
     /*  376250 */     // GIR_Coverage, 60773,
     /*  376250 */     GIR_EraseRootFromParent_Done,
     /*  376251 */   // Label 6777: @376251
     /*  376251 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376317), // Rule ID 60774 //
     /*  376256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376295 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376315 */     GIR_RootConstrainSelectedInstOperands,
     /*  376316 */     // GIR_Coverage, 60774,
     /*  376316 */     GIR_EraseRootFromParent_Done,
     /*  376317 */   // Label 6778: @376317
     /*  376317 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376383), // Rule ID 60777 //
     /*  376322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376381 */     GIR_RootConstrainSelectedInstOperands,
     /*  376382 */     // GIR_Coverage, 60777,
     /*  376382 */     GIR_EraseRootFromParent_Done,
     /*  376383 */   // Label 6779: @376383
     /*  376383 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376449), // Rule ID 60778 //
     /*  376388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376447 */     GIR_RootConstrainSelectedInstOperands,
     /*  376448 */     // GIR_Coverage, 60778,
     /*  376448 */     GIR_EraseRootFromParent_Done,
     /*  376449 */   // Label 6780: @376449
     /*  376449 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376515), // Rule ID 60781 //
     /*  376454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376513 */     GIR_RootConstrainSelectedInstOperands,
     /*  376514 */     // GIR_Coverage, 60781,
     /*  376514 */     GIR_EraseRootFromParent_Done,
     /*  376515 */   // Label 6781: @376515
     /*  376515 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376581), // Rule ID 60782 //
     /*  376520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376579 */     GIR_RootConstrainSelectedInstOperands,
     /*  376580 */     // GIR_Coverage, 60782,
     /*  376580 */     GIR_EraseRootFromParent_Done,
     /*  376581 */   // Label 6782: @376581
     /*  376581 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376647), // Rule ID 60785 //
     /*  376586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376645 */     GIR_RootConstrainSelectedInstOperands,
     /*  376646 */     // GIR_Coverage, 60785,
     /*  376646 */     GIR_EraseRootFromParent_Done,
     /*  376647 */   // Label 6783: @376647
     /*  376647 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(376713), // Rule ID 60786 //
     /*  376652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376711 */     GIR_RootConstrainSelectedInstOperands,
     /*  376712 */     // GIR_Coverage, 60786,
     /*  376712 */     GIR_EraseRootFromParent_Done,
     /*  376713 */   // Label 6784: @376713
     /*  376713 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(376779), // Rule ID 60789 //
     /*  376718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376757 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376777 */     GIR_RootConstrainSelectedInstOperands,
     /*  376778 */     // GIR_Coverage, 60789,
     /*  376778 */     GIR_EraseRootFromParent_Done,
     /*  376779 */   // Label 6785: @376779
     /*  376779 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(376845), // Rule ID 60790 //
     /*  376784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376823 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376843 */     GIR_RootConstrainSelectedInstOperands,
     /*  376844 */     // GIR_Coverage, 60790,
     /*  376844 */     GIR_EraseRootFromParent_Done,
     /*  376845 */   // Label 6786: @376845
     /*  376845 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(376911), // Rule ID 60793 //
     /*  376850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376889 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376909 */     GIR_RootConstrainSelectedInstOperands,
     /*  376910 */     // GIR_Coverage, 60793,
     /*  376910 */     GIR_EraseRootFromParent_Done,
     /*  376911 */   // Label 6787: @376911
     /*  376911 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(376977), // Rule ID 60794 //
     /*  376916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376955 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376975 */     GIR_RootConstrainSelectedInstOperands,
     /*  376976 */     // GIR_Coverage, 60794,
     /*  376976 */     GIR_EraseRootFromParent_Done,
     /*  376977 */   // Label 6788: @376977
     /*  376977 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(377043), // Rule ID 60797 //
     /*  376982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  376993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  376996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  376999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377021 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377041 */     GIR_RootConstrainSelectedInstOperands,
     /*  377042 */     // GIR_Coverage, 60797,
     /*  377042 */     GIR_EraseRootFromParent_Done,
     /*  377043 */   // Label 6789: @377043
     /*  377043 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377109), // Rule ID 60798 //
     /*  377048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377087 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377107 */     GIR_RootConstrainSelectedInstOperands,
     /*  377108 */     // GIR_Coverage, 60798,
     /*  377108 */     GIR_EraseRootFromParent_Done,
     /*  377109 */   // Label 6790: @377109
     /*  377109 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377175), // Rule ID 60801 //
     /*  377114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377173 */     GIR_RootConstrainSelectedInstOperands,
     /*  377174 */     // GIR_Coverage, 60801,
     /*  377174 */     GIR_EraseRootFromParent_Done,
     /*  377175 */   // Label 6791: @377175
     /*  377175 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377241), // Rule ID 60802 //
     /*  377180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377239 */     GIR_RootConstrainSelectedInstOperands,
     /*  377240 */     // GIR_Coverage, 60802,
     /*  377240 */     GIR_EraseRootFromParent_Done,
     /*  377241 */   // Label 6792: @377241
     /*  377241 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377307), // Rule ID 60805 //
     /*  377246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377285 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377305 */     GIR_RootConstrainSelectedInstOperands,
     /*  377306 */     // GIR_Coverage, 60805,
     /*  377306 */     GIR_EraseRootFromParent_Done,
     /*  377307 */   // Label 6793: @377307
     /*  377307 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377373), // Rule ID 60806 //
     /*  377312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377371 */     GIR_RootConstrainSelectedInstOperands,
     /*  377372 */     // GIR_Coverage, 60806,
     /*  377372 */     GIR_EraseRootFromParent_Done,
     /*  377373 */   // Label 6794: @377373
     /*  377373 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377439), // Rule ID 60809 //
     /*  377378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377437 */     GIR_RootConstrainSelectedInstOperands,
     /*  377438 */     // GIR_Coverage, 60809,
     /*  377438 */     GIR_EraseRootFromParent_Done,
     /*  377439 */   // Label 6795: @377439
     /*  377439 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377505), // Rule ID 60810 //
     /*  377444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377503 */     GIR_RootConstrainSelectedInstOperands,
     /*  377504 */     // GIR_Coverage, 60810,
     /*  377504 */     GIR_EraseRootFromParent_Done,
     /*  377505 */   // Label 6796: @377505
     /*  377505 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377571), // Rule ID 60813 //
     /*  377510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377569 */     GIR_RootConstrainSelectedInstOperands,
     /*  377570 */     // GIR_Coverage, 60813,
     /*  377570 */     GIR_EraseRootFromParent_Done,
     /*  377571 */   // Label 6797: @377571
     /*  377571 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377637), // Rule ID 60814 //
     /*  377576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377615 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377635 */     GIR_RootConstrainSelectedInstOperands,
     /*  377636 */     // GIR_Coverage, 60814,
     /*  377636 */     GIR_EraseRootFromParent_Done,
     /*  377637 */   // Label 6798: @377637
     /*  377637 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(377703), // Rule ID 60817 //
     /*  377642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377701 */     GIR_RootConstrainSelectedInstOperands,
     /*  377702 */     // GIR_Coverage, 60817,
     /*  377702 */     GIR_EraseRootFromParent_Done,
     /*  377703 */   // Label 6799: @377703
     /*  377703 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(377769), // Rule ID 60818 //
     /*  377708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377767 */     GIR_RootConstrainSelectedInstOperands,
     /*  377768 */     // GIR_Coverage, 60818,
     /*  377768 */     GIR_EraseRootFromParent_Done,
     /*  377769 */   // Label 6800: @377769
     /*  377769 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(377835), // Rule ID 60821 //
     /*  377774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377813 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377833 */     GIR_RootConstrainSelectedInstOperands,
     /*  377834 */     // GIR_Coverage, 60821,
     /*  377834 */     GIR_EraseRootFromParent_Done,
     /*  377835 */   // Label 6801: @377835
     /*  377835 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(377901), // Rule ID 60822 //
     /*  377840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377899 */     GIR_RootConstrainSelectedInstOperands,
     /*  377900 */     // GIR_Coverage, 60822,
     /*  377900 */     GIR_EraseRootFromParent_Done,
     /*  377901 */   // Label 6802: @377901
     /*  377901 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(377967), // Rule ID 60825 //
     /*  377906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377965 */     GIR_RootConstrainSelectedInstOperands,
     /*  377966 */     // GIR_Coverage, 60825,
     /*  377966 */     GIR_EraseRootFromParent_Done,
     /*  377967 */   // Label 6803: @377967
     /*  377967 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378033), // Rule ID 60826 //
     /*  377972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378011 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378031 */     GIR_RootConstrainSelectedInstOperands,
     /*  378032 */     // GIR_Coverage, 60826,
     /*  378032 */     GIR_EraseRootFromParent_Done,
     /*  378033 */   // Label 6804: @378033
     /*  378033 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378099), // Rule ID 60829 //
     /*  378038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378097 */     GIR_RootConstrainSelectedInstOperands,
     /*  378098 */     // GIR_Coverage, 60829,
     /*  378098 */     GIR_EraseRootFromParent_Done,
     /*  378099 */   // Label 6805: @378099
     /*  378099 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378165), // Rule ID 60830 //
     /*  378104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378163 */     GIR_RootConstrainSelectedInstOperands,
     /*  378164 */     // GIR_Coverage, 60830,
     /*  378164 */     GIR_EraseRootFromParent_Done,
     /*  378165 */   // Label 6806: @378165
     /*  378165 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378231), // Rule ID 60833 //
     /*  378170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378229 */     GIR_RootConstrainSelectedInstOperands,
     /*  378230 */     // GIR_Coverage, 60833,
     /*  378230 */     GIR_EraseRootFromParent_Done,
     /*  378231 */   // Label 6807: @378231
     /*  378231 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378297), // Rule ID 60834 //
     /*  378236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378295 */     GIR_RootConstrainSelectedInstOperands,
     /*  378296 */     // GIR_Coverage, 60834,
     /*  378296 */     GIR_EraseRootFromParent_Done,
     /*  378297 */   // Label 6808: @378297
     /*  378297 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378363), // Rule ID 61257 //
     /*  378302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378341 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378361 */     GIR_RootConstrainSelectedInstOperands,
     /*  378362 */     // GIR_Coverage, 61257,
     /*  378362 */     GIR_EraseRootFromParent_Done,
     /*  378363 */   // Label 6809: @378363
     /*  378363 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378429), // Rule ID 61258 //
     /*  378368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378427 */     GIR_RootConstrainSelectedInstOperands,
     /*  378428 */     // GIR_Coverage, 61258,
     /*  378428 */     GIR_EraseRootFromParent_Done,
     /*  378429 */   // Label 6810: @378429
     /*  378429 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378495), // Rule ID 61261 //
     /*  378434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378473 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378493 */     GIR_RootConstrainSelectedInstOperands,
     /*  378494 */     // GIR_Coverage, 61261,
     /*  378494 */     GIR_EraseRootFromParent_Done,
     /*  378495 */   // Label 6811: @378495
     /*  378495 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378561), // Rule ID 61262 //
     /*  378500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378559 */     GIR_RootConstrainSelectedInstOperands,
     /*  378560 */     // GIR_Coverage, 61262,
     /*  378560 */     GIR_EraseRootFromParent_Done,
     /*  378561 */   // Label 6812: @378561
     /*  378561 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378627), // Rule ID 61265 //
     /*  378566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  378577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  378580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  378583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378605 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378625 */     GIR_RootConstrainSelectedInstOperands,
     /*  378626 */     // GIR_Coverage, 61265,
     /*  378626 */     GIR_EraseRootFromParent_Done,
     /*  378627 */   // Label 6813: @378627
     /*  378627 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(378693), // Rule ID 61266 //
     /*  378632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  378643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  378646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  378649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378691 */     GIR_RootConstrainSelectedInstOperands,
     /*  378692 */     // GIR_Coverage, 61266,
     /*  378692 */     GIR_EraseRootFromParent_Done,
     /*  378693 */   // Label 6814: @378693
     /*  378693 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(378759), // Rule ID 61269 //
     /*  378698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  378709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  378712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  378715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378757 */     GIR_RootConstrainSelectedInstOperands,
     /*  378758 */     // GIR_Coverage, 61269,
     /*  378758 */     GIR_EraseRootFromParent_Done,
     /*  378759 */   // Label 6815: @378759
     /*  378759 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(378825), // Rule ID 61270 //
     /*  378764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  378775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  378778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  378781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378823 */     GIR_RootConstrainSelectedInstOperands,
     /*  378824 */     // GIR_Coverage, 61270,
     /*  378824 */     GIR_EraseRootFromParent_Done,
     /*  378825 */   // Label 6816: @378825
     /*  378825 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(378891), // Rule ID 61273 //
     /*  378830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  378841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  378844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  378847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378869 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378889 */     GIR_RootConstrainSelectedInstOperands,
     /*  378890 */     // GIR_Coverage, 61273,
     /*  378890 */     GIR_EraseRootFromParent_Done,
     /*  378891 */   // Label 6817: @378891
     /*  378891 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(378957), // Rule ID 61274 //
     /*  378896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  378907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  378910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  378913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378955 */     GIR_RootConstrainSelectedInstOperands,
     /*  378956 */     // GIR_Coverage, 61274,
     /*  378956 */     GIR_EraseRootFromParent_Done,
     /*  378957 */   // Label 6818: @378957
     /*  378957 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379023), // Rule ID 61277 //
     /*  378962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  378973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  378976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  378979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379021 */     GIR_RootConstrainSelectedInstOperands,
     /*  379022 */     // GIR_Coverage, 61277,
     /*  379022 */     GIR_EraseRootFromParent_Done,
     /*  379023 */   // Label 6819: @379023
     /*  379023 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379089), // Rule ID 61278 //
     /*  379028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  379039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  379042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  379045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379087 */     GIR_RootConstrainSelectedInstOperands,
     /*  379088 */     // GIR_Coverage, 61278,
     /*  379088 */     GIR_EraseRootFromParent_Done,
     /*  379089 */   // Label 6820: @379089
     /*  379089 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379155), // Rule ID 61281 //
     /*  379094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379133 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379153 */     GIR_RootConstrainSelectedInstOperands,
     /*  379154 */     // GIR_Coverage, 61281,
     /*  379154 */     GIR_EraseRootFromParent_Done,
     /*  379155 */   // Label 6821: @379155
     /*  379155 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379221), // Rule ID 61282 //
     /*  379160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379199 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379219 */     GIR_RootConstrainSelectedInstOperands,
     /*  379220 */     // GIR_Coverage, 61282,
     /*  379220 */     GIR_EraseRootFromParent_Done,
     /*  379221 */   // Label 6822: @379221
     /*  379221 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379287), // Rule ID 61285 //
     /*  379226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379265 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379285 */     GIR_RootConstrainSelectedInstOperands,
     /*  379286 */     // GIR_Coverage, 61285,
     /*  379286 */     GIR_EraseRootFromParent_Done,
     /*  379287 */   // Label 6823: @379287
     /*  379287 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379353), // Rule ID 61286 //
     /*  379292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379331 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379351 */     GIR_RootConstrainSelectedInstOperands,
     /*  379352 */     // GIR_Coverage, 61286,
     /*  379352 */     GIR_EraseRootFromParent_Done,
     /*  379353 */   // Label 6824: @379353
     /*  379353 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379419), // Rule ID 61289 //
     /*  379358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379417 */     GIR_RootConstrainSelectedInstOperands,
     /*  379418 */     // GIR_Coverage, 61289,
     /*  379418 */     GIR_EraseRootFromParent_Done,
     /*  379419 */   // Label 6825: @379419
     /*  379419 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379485), // Rule ID 61290 //
     /*  379424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379483 */     GIR_RootConstrainSelectedInstOperands,
     /*  379484 */     // GIR_Coverage, 61290,
     /*  379484 */     GIR_EraseRootFromParent_Done,
     /*  379485 */   // Label 6826: @379485
     /*  379485 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379551), // Rule ID 61293 //
     /*  379490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379549 */     GIR_RootConstrainSelectedInstOperands,
     /*  379550 */     // GIR_Coverage, 61293,
     /*  379550 */     GIR_EraseRootFromParent_Done,
     /*  379551 */   // Label 6827: @379551
     /*  379551 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(379617), // Rule ID 61294 //
     /*  379556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379595 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379615 */     GIR_RootConstrainSelectedInstOperands,
     /*  379616 */     // GIR_Coverage, 61294,
     /*  379616 */     GIR_EraseRootFromParent_Done,
     /*  379617 */   // Label 6828: @379617
     /*  379617 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(379683), // Rule ID 61297 //
     /*  379622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  379633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  379636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  379639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379661 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379681 */     GIR_RootConstrainSelectedInstOperands,
     /*  379682 */     // GIR_Coverage, 61297,
     /*  379682 */     GIR_EraseRootFromParent_Done,
     /*  379683 */   // Label 6829: @379683
     /*  379683 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(379749), // Rule ID 61298 //
     /*  379688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  379699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  379702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  379705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379747 */     GIR_RootConstrainSelectedInstOperands,
     /*  379748 */     // GIR_Coverage, 61298,
     /*  379748 */     GIR_EraseRootFromParent_Done,
     /*  379749 */   // Label 6830: @379749
     /*  379749 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(379815), // Rule ID 61301 //
     /*  379754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  379765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  379768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  379771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379813 */     GIR_RootConstrainSelectedInstOperands,
     /*  379814 */     // GIR_Coverage, 61301,
     /*  379814 */     GIR_EraseRootFromParent_Done,
     /*  379815 */   // Label 6831: @379815
     /*  379815 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(379881), // Rule ID 61302 //
     /*  379820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  379831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  379834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  379837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379859 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379879 */     GIR_RootConstrainSelectedInstOperands,
     /*  379880 */     // GIR_Coverage, 61302,
     /*  379880 */     GIR_EraseRootFromParent_Done,
     /*  379881 */   // Label 6832: @379881
     /*  379881 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(379947), // Rule ID 61305 //
     /*  379886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  379897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  379900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  379903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379925 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379945 */     GIR_RootConstrainSelectedInstOperands,
     /*  379946 */     // GIR_Coverage, 61305,
     /*  379946 */     GIR_EraseRootFromParent_Done,
     /*  379947 */   // Label 6833: @379947
     /*  379947 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380013), // Rule ID 61306 //
     /*  379952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  379963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  379966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  379969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379991 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380011 */     GIR_RootConstrainSelectedInstOperands,
     /*  380012 */     // GIR_Coverage, 61306,
     /*  380012 */     GIR_EraseRootFromParent_Done,
     /*  380013 */   // Label 6834: @380013
     /*  380013 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380079), // Rule ID 61309 //
     /*  380018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  380029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  380032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  380035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380057 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380077 */     GIR_RootConstrainSelectedInstOperands,
     /*  380078 */     // GIR_Coverage, 61309,
     /*  380078 */     GIR_EraseRootFromParent_Done,
     /*  380079 */   // Label 6835: @380079
     /*  380079 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380145), // Rule ID 61310 //
     /*  380084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  380095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  380098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  380101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380143 */     GIR_RootConstrainSelectedInstOperands,
     /*  380144 */     // GIR_Coverage, 61310,
     /*  380144 */     GIR_EraseRootFromParent_Done,
     /*  380145 */   // Label 6836: @380145
     /*  380145 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380211), // Rule ID 61313 //
     /*  380150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380189 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380209 */     GIR_RootConstrainSelectedInstOperands,
     /*  380210 */     // GIR_Coverage, 61313,
     /*  380210 */     GIR_EraseRootFromParent_Done,
     /*  380211 */   // Label 6837: @380211
     /*  380211 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380277), // Rule ID 61314 //
     /*  380216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380255 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380275 */     GIR_RootConstrainSelectedInstOperands,
     /*  380276 */     // GIR_Coverage, 61314,
     /*  380276 */     GIR_EraseRootFromParent_Done,
     /*  380277 */   // Label 6838: @380277
     /*  380277 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380343), // Rule ID 61317 //
     /*  380282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380341 */     GIR_RootConstrainSelectedInstOperands,
     /*  380342 */     // GIR_Coverage, 61317,
     /*  380342 */     GIR_EraseRootFromParent_Done,
     /*  380343 */   // Label 6839: @380343
     /*  380343 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380409), // Rule ID 61318 //
     /*  380348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380387 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380407 */     GIR_RootConstrainSelectedInstOperands,
     /*  380408 */     // GIR_Coverage, 61318,
     /*  380408 */     GIR_EraseRootFromParent_Done,
     /*  380409 */   // Label 6840: @380409
     /*  380409 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380475), // Rule ID 61321 //
     /*  380414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380453 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380473 */     GIR_RootConstrainSelectedInstOperands,
     /*  380474 */     // GIR_Coverage, 61321,
     /*  380474 */     GIR_EraseRootFromParent_Done,
     /*  380475 */   // Label 6841: @380475
     /*  380475 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380541), // Rule ID 61322 //
     /*  380480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380539 */     GIR_RootConstrainSelectedInstOperands,
     /*  380540 */     // GIR_Coverage, 61322,
     /*  380540 */     GIR_EraseRootFromParent_Done,
     /*  380541 */   // Label 6842: @380541
     /*  380541 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380607), // Rule ID 61325 //
     /*  380546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  380557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  380560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  380563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380585 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380605 */     GIR_RootConstrainSelectedInstOperands,
     /*  380606 */     // GIR_Coverage, 61325,
     /*  380606 */     GIR_EraseRootFromParent_Done,
     /*  380607 */   // Label 6843: @380607
     /*  380607 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(380673), // Rule ID 61326 //
     /*  380612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  380623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  380626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  380629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380671 */     GIR_RootConstrainSelectedInstOperands,
     /*  380672 */     // GIR_Coverage, 61326,
     /*  380672 */     GIR_EraseRootFromParent_Done,
     /*  380673 */   // Label 6844: @380673
     /*  380673 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(380739), // Rule ID 61329 //
     /*  380678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  380689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  380692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  380695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380737 */     GIR_RootConstrainSelectedInstOperands,
     /*  380738 */     // GIR_Coverage, 61329,
     /*  380738 */     GIR_EraseRootFromParent_Done,
     /*  380739 */   // Label 6845: @380739
     /*  380739 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(380805), // Rule ID 61330 //
     /*  380744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  380755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  380758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  380761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380803 */     GIR_RootConstrainSelectedInstOperands,
     /*  380804 */     // GIR_Coverage, 61330,
     /*  380804 */     GIR_EraseRootFromParent_Done,
     /*  380805 */   // Label 6846: @380805
     /*  380805 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(380871), // Rule ID 61333 //
     /*  380810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  380821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  380824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  380827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380849 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380869 */     GIR_RootConstrainSelectedInstOperands,
     /*  380870 */     // GIR_Coverage, 61333,
     /*  380870 */     GIR_EraseRootFromParent_Done,
     /*  380871 */   // Label 6847: @380871
     /*  380871 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(380937), // Rule ID 61334 //
     /*  380876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  380887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  380890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  380893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380935 */     GIR_RootConstrainSelectedInstOperands,
     /*  380936 */     // GIR_Coverage, 61334,
     /*  380936 */     GIR_EraseRootFromParent_Done,
     /*  380937 */   // Label 6848: @380937
     /*  380937 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381003), // Rule ID 61337 //
     /*  380942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  380953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  380956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  380959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380981 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381001 */     GIR_RootConstrainSelectedInstOperands,
     /*  381002 */     // GIR_Coverage, 61337,
     /*  381002 */     GIR_EraseRootFromParent_Done,
     /*  381003 */   // Label 6849: @381003
     /*  381003 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381069), // Rule ID 61338 //
     /*  381008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  381019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  381022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  381025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381047 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381067 */     GIR_RootConstrainSelectedInstOperands,
     /*  381068 */     // GIR_Coverage, 61338,
     /*  381068 */     GIR_EraseRootFromParent_Done,
     /*  381069 */   // Label 6850: @381069
     /*  381069 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381135), // Rule ID 61341 //
     /*  381074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381133 */     GIR_RootConstrainSelectedInstOperands,
     /*  381134 */     // GIR_Coverage, 61341,
     /*  381134 */     GIR_EraseRootFromParent_Done,
     /*  381135 */   // Label 6851: @381135
     /*  381135 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381201), // Rule ID 61342 //
     /*  381140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381199 */     GIR_RootConstrainSelectedInstOperands,
     /*  381200 */     // GIR_Coverage, 61342,
     /*  381200 */     GIR_EraseRootFromParent_Done,
     /*  381201 */   // Label 6852: @381201
     /*  381201 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381267), // Rule ID 61345 //
     /*  381206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381245 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381265 */     GIR_RootConstrainSelectedInstOperands,
     /*  381266 */     // GIR_Coverage, 61345,
     /*  381266 */     GIR_EraseRootFromParent_Done,
     /*  381267 */   // Label 6853: @381267
     /*  381267 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381333), // Rule ID 61346 //
     /*  381272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381331 */     GIR_RootConstrainSelectedInstOperands,
     /*  381332 */     // GIR_Coverage, 61346,
     /*  381332 */     GIR_EraseRootFromParent_Done,
     /*  381333 */   // Label 6854: @381333
     /*  381333 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381399), // Rule ID 61349 //
     /*  381338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381377 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381397 */     GIR_RootConstrainSelectedInstOperands,
     /*  381398 */     // GIR_Coverage, 61349,
     /*  381398 */     GIR_EraseRootFromParent_Done,
     /*  381399 */   // Label 6855: @381399
     /*  381399 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381465), // Rule ID 61350 //
     /*  381404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381463 */     GIR_RootConstrainSelectedInstOperands,
     /*  381464 */     // GIR_Coverage, 61350,
     /*  381464 */     GIR_EraseRootFromParent_Done,
     /*  381465 */   // Label 6856: @381465
     /*  381465 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381531), // Rule ID 61353 //
     /*  381470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381509 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381529 */     GIR_RootConstrainSelectedInstOperands,
     /*  381530 */     // GIR_Coverage, 61353,
     /*  381530 */     GIR_EraseRootFromParent_Done,
     /*  381531 */   // Label 6857: @381531
     /*  381531 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381597), // Rule ID 61354 //
     /*  381536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381595 */     GIR_RootConstrainSelectedInstOperands,
     /*  381596 */     // GIR_Coverage, 61354,
     /*  381596 */     GIR_EraseRootFromParent_Done,
     /*  381597 */   // Label 6858: @381597
     /*  381597 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(381663), // Rule ID 61357 //
     /*  381602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  381616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  381619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381641 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381661 */     GIR_RootConstrainSelectedInstOperands,
     /*  381662 */     // GIR_Coverage, 61357,
     /*  381662 */     GIR_EraseRootFromParent_Done,
     /*  381663 */   // Label 6859: @381663
     /*  381663 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(381729), // Rule ID 61358 //
     /*  381668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  381682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  381685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381727 */     GIR_RootConstrainSelectedInstOperands,
     /*  381728 */     // GIR_Coverage, 61358,
     /*  381728 */     GIR_EraseRootFromParent_Done,
     /*  381729 */   // Label 6860: @381729
     /*  381729 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(381795), // Rule ID 61361 //
     /*  381734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381793 */     GIR_RootConstrainSelectedInstOperands,
     /*  381794 */     // GIR_Coverage, 61361,
     /*  381794 */     GIR_EraseRootFromParent_Done,
     /*  381795 */   // Label 6861: @381795
     /*  381795 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(381861), // Rule ID 61362 //
     /*  381800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381839 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381859 */     GIR_RootConstrainSelectedInstOperands,
     /*  381860 */     // GIR_Coverage, 61362,
     /*  381860 */     GIR_EraseRootFromParent_Done,
     /*  381861 */   // Label 6862: @381861
     /*  381861 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(381927), // Rule ID 61365 //
     /*  381866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381925 */     GIR_RootConstrainSelectedInstOperands,
     /*  381926 */     // GIR_Coverage, 61365,
     /*  381926 */     GIR_EraseRootFromParent_Done,
     /*  381927 */   // Label 6863: @381927
     /*  381927 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(381993), // Rule ID 61366 //
     /*  381932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381991 */     GIR_RootConstrainSelectedInstOperands,
     /*  381992 */     // GIR_Coverage, 61366,
     /*  381992 */     GIR_EraseRootFromParent_Done,
     /*  381993 */   // Label 6864: @381993
     /*  381993 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382059), // Rule ID 61369 //
     /*  381998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  382009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  382012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  382015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382037 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382057 */     GIR_RootConstrainSelectedInstOperands,
     /*  382058 */     // GIR_Coverage, 61369,
     /*  382058 */     GIR_EraseRootFromParent_Done,
     /*  382059 */   // Label 6865: @382059
     /*  382059 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382125), // Rule ID 61370 //
     /*  382064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  382075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  382078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  382081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382123 */     GIR_RootConstrainSelectedInstOperands,
     /*  382124 */     // GIR_Coverage, 61370,
     /*  382124 */     GIR_EraseRootFromParent_Done,
     /*  382125 */   // Label 6866: @382125
     /*  382125 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382191), // Rule ID 61373 //
     /*  382130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382169 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382189 */     GIR_RootConstrainSelectedInstOperands,
     /*  382190 */     // GIR_Coverage, 61373,
     /*  382190 */     GIR_EraseRootFromParent_Done,
     /*  382191 */   // Label 6867: @382191
     /*  382191 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382257), // Rule ID 61374 //
     /*  382196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382255 */     GIR_RootConstrainSelectedInstOperands,
     /*  382256 */     // GIR_Coverage, 61374,
     /*  382256 */     GIR_EraseRootFromParent_Done,
     /*  382257 */   // Label 6868: @382257
     /*  382257 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382323), // Rule ID 61377 //
     /*  382262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382321 */     GIR_RootConstrainSelectedInstOperands,
     /*  382322 */     // GIR_Coverage, 61377,
     /*  382322 */     GIR_EraseRootFromParent_Done,
     /*  382323 */   // Label 6869: @382323
     /*  382323 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382389), // Rule ID 61378 //
     /*  382328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382387 */     GIR_RootConstrainSelectedInstOperands,
     /*  382388 */     // GIR_Coverage, 61378,
     /*  382388 */     GIR_EraseRootFromParent_Done,
     /*  382389 */   // Label 6870: @382389
     /*  382389 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382455), // Rule ID 61381 //
     /*  382394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382453 */     GIR_RootConstrainSelectedInstOperands,
     /*  382454 */     // GIR_Coverage, 61381,
     /*  382454 */     GIR_EraseRootFromParent_Done,
     /*  382455 */   // Label 6871: @382455
     /*  382455 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382521), // Rule ID 61382 //
     /*  382460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382519 */     GIR_RootConstrainSelectedInstOperands,
     /*  382520 */     // GIR_Coverage, 61382,
     /*  382520 */     GIR_EraseRootFromParent_Done,
     /*  382521 */   // Label 6872: @382521
     /*  382521 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382587), // Rule ID 61385 //
     /*  382526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382565 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382585 */     GIR_RootConstrainSelectedInstOperands,
     /*  382586 */     // GIR_Coverage, 61385,
     /*  382586 */     GIR_EraseRootFromParent_Done,
     /*  382587 */   // Label 6873: @382587
     /*  382587 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382653), // Rule ID 61386 //
     /*  382592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382631 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382651 */     GIR_RootConstrainSelectedInstOperands,
     /*  382652 */     // GIR_Coverage, 61386,
     /*  382652 */     GIR_EraseRootFromParent_Done,
     /*  382653 */   // Label 6874: @382653
     /*  382653 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(382719), // Rule ID 61389 //
     /*  382658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382717 */     GIR_RootConstrainSelectedInstOperands,
     /*  382718 */     // GIR_Coverage, 61389,
     /*  382718 */     GIR_EraseRootFromParent_Done,
     /*  382719 */   // Label 6875: @382719
     /*  382719 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(382785), // Rule ID 61390 //
     /*  382724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382763 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382783 */     GIR_RootConstrainSelectedInstOperands,
     /*  382784 */     // GIR_Coverage, 61390,
     /*  382784 */     GIR_EraseRootFromParent_Done,
     /*  382785 */   // Label 6876: @382785
     /*  382785 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(382851), // Rule ID 61393 //
     /*  382790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382829 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382849 */     GIR_RootConstrainSelectedInstOperands,
     /*  382850 */     // GIR_Coverage, 61393,
     /*  382850 */     GIR_EraseRootFromParent_Done,
     /*  382851 */   // Label 6877: @382851
     /*  382851 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(382917), // Rule ID 61394 //
     /*  382856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382895 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382915 */     GIR_RootConstrainSelectedInstOperands,
     /*  382916 */     // GIR_Coverage, 61394,
     /*  382916 */     GIR_EraseRootFromParent_Done,
     /*  382917 */   // Label 6878: @382917
     /*  382917 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(382983), // Rule ID 61397 //
     /*  382922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  382936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  382939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382981 */     GIR_RootConstrainSelectedInstOperands,
     /*  382982 */     // GIR_Coverage, 61397,
     /*  382982 */     GIR_EraseRootFromParent_Done,
     /*  382983 */   // Label 6879: @382983
     /*  382983 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383049), // Rule ID 61398 //
     /*  382988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  383002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  383005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383047 */     GIR_RootConstrainSelectedInstOperands,
     /*  383048 */     // GIR_Coverage, 61398,
     /*  383048 */     GIR_EraseRootFromParent_Done,
     /*  383049 */   // Label 6880: @383049
     /*  383049 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383115), // Rule ID 61401 //
     /*  383054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383113 */     GIR_RootConstrainSelectedInstOperands,
     /*  383114 */     // GIR_Coverage, 61401,
     /*  383114 */     GIR_EraseRootFromParent_Done,
     /*  383115 */   // Label 6881: @383115
     /*  383115 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383181), // Rule ID 61402 //
     /*  383120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383159 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383179 */     GIR_RootConstrainSelectedInstOperands,
     /*  383180 */     // GIR_Coverage, 61402,
     /*  383180 */     GIR_EraseRootFromParent_Done,
     /*  383181 */   // Label 6882: @383181
     /*  383181 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383247), // Rule ID 61405 //
     /*  383186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383225 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383245 */     GIR_RootConstrainSelectedInstOperands,
     /*  383246 */     // GIR_Coverage, 61405,
     /*  383246 */     GIR_EraseRootFromParent_Done,
     /*  383247 */   // Label 6883: @383247
     /*  383247 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383313), // Rule ID 61406 //
     /*  383252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383311 */     GIR_RootConstrainSelectedInstOperands,
     /*  383312 */     // GIR_Coverage, 61406,
     /*  383312 */     GIR_EraseRootFromParent_Done,
     /*  383313 */   // Label 6884: @383313
     /*  383313 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383379), // Rule ID 61409 //
     /*  383318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383377 */     GIR_RootConstrainSelectedInstOperands,
     /*  383378 */     // GIR_Coverage, 61409,
     /*  383378 */     GIR_EraseRootFromParent_Done,
     /*  383379 */   // Label 6885: @383379
     /*  383379 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383445), // Rule ID 61410 //
     /*  383384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383423 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383443 */     GIR_RootConstrainSelectedInstOperands,
     /*  383444 */     // GIR_Coverage, 61410,
     /*  383444 */     GIR_EraseRootFromParent_Done,
     /*  383445 */   // Label 6886: @383445
     /*  383445 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383511), // Rule ID 61413 //
     /*  383450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383509 */     GIR_RootConstrainSelectedInstOperands,
     /*  383510 */     // GIR_Coverage, 61413,
     /*  383510 */     GIR_EraseRootFromParent_Done,
     /*  383511 */   // Label 6887: @383511
     /*  383511 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383577), // Rule ID 61414 //
     /*  383516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383575 */     GIR_RootConstrainSelectedInstOperands,
     /*  383576 */     // GIR_Coverage, 61414,
     /*  383576 */     GIR_EraseRootFromParent_Done,
     /*  383577 */   // Label 6888: @383577
     /*  383577 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(383643), // Rule ID 61417 //
     /*  383582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383641 */     GIR_RootConstrainSelectedInstOperands,
     /*  383642 */     // GIR_Coverage, 61417,
     /*  383642 */     GIR_EraseRootFromParent_Done,
     /*  383643 */   // Label 6889: @383643
     /*  383643 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(383709), // Rule ID 61418 //
     /*  383648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383687 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383707 */     GIR_RootConstrainSelectedInstOperands,
     /*  383708 */     // GIR_Coverage, 61418,
     /*  383708 */     GIR_EraseRootFromParent_Done,
     /*  383709 */   // Label 6890: @383709
     /*  383709 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(383775), // Rule ID 61421 //
     /*  383714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383773 */     GIR_RootConstrainSelectedInstOperands,
     /*  383774 */     // GIR_Coverage, 61421,
     /*  383774 */     GIR_EraseRootFromParent_Done,
     /*  383775 */   // Label 6891: @383775
     /*  383775 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(383841), // Rule ID 61422 //
     /*  383780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383819 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383839 */     GIR_RootConstrainSelectedInstOperands,
     /*  383840 */     // GIR_Coverage, 61422,
     /*  383840 */     GIR_EraseRootFromParent_Done,
     /*  383841 */   // Label 6892: @383841
     /*  383841 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(383907), // Rule ID 61425 //
     /*  383846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383905 */     GIR_RootConstrainSelectedInstOperands,
     /*  383906 */     // GIR_Coverage, 61425,
     /*  383906 */     GIR_EraseRootFromParent_Done,
     /*  383907 */   // Label 6893: @383907
     /*  383907 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(383973), // Rule ID 61426 //
     /*  383912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383971 */     GIR_RootConstrainSelectedInstOperands,
     /*  383972 */     // GIR_Coverage, 61426,
     /*  383972 */     GIR_EraseRootFromParent_Done,
     /*  383973 */   // Label 6894: @383973
     /*  383973 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384039), // Rule ID 61429 //
     /*  383978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  383989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  383992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  383995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384037 */     GIR_RootConstrainSelectedInstOperands,
     /*  384038 */     // GIR_Coverage, 61429,
     /*  384038 */     GIR_EraseRootFromParent_Done,
     /*  384039 */   // Label 6895: @384039
     /*  384039 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384105), // Rule ID 61430 //
     /*  384044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384103 */     GIR_RootConstrainSelectedInstOperands,
     /*  384104 */     // GIR_Coverage, 61430,
     /*  384104 */     GIR_EraseRootFromParent_Done,
     /*  384105 */   // Label 6896: @384105
     /*  384105 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384170), // Rule ID 64360 //
     /*  384110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  384118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384154 */     // MIs[1] Operand 1
     /*  384154 */     // No operand predicates
     /*  384154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384156 */     // (intrinsic_wo_chain:{ *:[i32] } 10901:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  384159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384168 */     GIR_RootConstrainSelectedInstOperands,
     /*  384169 */     // GIR_Coverage, 64360,
     /*  384169 */     GIR_EraseRootFromParent_Done,
     /*  384170 */   // Label 6897: @384170
     /*  384170 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384235), // Rule ID 64387 //
     /*  384175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  384183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384219 */     // MIs[1] Operand 1
     /*  384219 */     // No operand predicates
     /*  384219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384221 */     // (intrinsic_wo_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  384224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384233 */     GIR_RootConstrainSelectedInstOperands,
     /*  384234 */     // GIR_Coverage, 64387,
     /*  384234 */     GIR_EraseRootFromParent_Done,
     /*  384235 */   // Label 6898: @384235
     /*  384235 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384300), // Rule ID 64390 //
     /*  384240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  384248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384284 */     // MIs[1] Operand 1
     /*  384284 */     // No operand predicates
     /*  384284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384286 */     // (intrinsic_wo_chain:{ *:[i32] } 10902:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  384289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384298 */     GIR_RootConstrainSelectedInstOperands,
     /*  384299 */     // GIR_Coverage, 64390,
     /*  384299 */     GIR_EraseRootFromParent_Done,
     /*  384300 */   // Label 6899: @384300
     /*  384300 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384365), // Rule ID 64393 //
     /*  384305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  384313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384349 */     // MIs[1] Operand 1
     /*  384349 */     // No operand predicates
     /*  384349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384351 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  384354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384363 */     GIR_RootConstrainSelectedInstOperands,
     /*  384364 */     // GIR_Coverage, 64393,
     /*  384364 */     GIR_EraseRootFromParent_Done,
     /*  384365 */   // Label 6900: @384365
     /*  384365 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384430), // Rule ID 64396 //
     /*  384370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  384378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384414 */     // MIs[1] Operand 1
     /*  384414 */     // No operand predicates
     /*  384414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384416 */     // (intrinsic_wo_chain:{ *:[i32] } 10907:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  384419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384428 */     GIR_RootConstrainSelectedInstOperands,
     /*  384429 */     // GIR_Coverage, 64396,
     /*  384429 */     GIR_EraseRootFromParent_Done,
     /*  384430 */   // Label 6901: @384430
     /*  384430 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384495), // Rule ID 64399 //
     /*  384435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  384443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384479 */     // MIs[1] Operand 1
     /*  384479 */     // No operand predicates
     /*  384479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384481 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  384484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384493 */     GIR_RootConstrainSelectedInstOperands,
     /*  384494 */     // GIR_Coverage, 64399,
     /*  384494 */     GIR_EraseRootFromParent_Done,
     /*  384495 */   // Label 6902: @384495
     /*  384495 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384560), // Rule ID 64402 //
     /*  384500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  384508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384544 */     // MIs[1] Operand 1
     /*  384544 */     // No operand predicates
     /*  384544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384546 */     // (intrinsic_wo_chain:{ *:[i32] } 10908:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  384549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384558 */     GIR_RootConstrainSelectedInstOperands,
     /*  384559 */     // GIR_Coverage, 64402,
     /*  384559 */     GIR_EraseRootFromParent_Done,
     /*  384560 */   // Label 6903: @384560
     /*  384560 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(384625), // Rule ID 64405 //
     /*  384565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  384573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384609 */     // MIs[1] Operand 1
     /*  384609 */     // No operand predicates
     /*  384609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384611 */     // (intrinsic_wo_chain:{ *:[i32] } 10910:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  384614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384623 */     GIR_RootConstrainSelectedInstOperands,
     /*  384624 */     // GIR_Coverage, 64405,
     /*  384624 */     GIR_EraseRootFromParent_Done,
     /*  384625 */   // Label 6904: @384625
     /*  384625 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(384680), // Rule ID 2530 //
     /*  384630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  384633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  384638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384659 */     // MIs[0] imm
     /*  384659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384667 */     // (intrinsic_wo_chain:{ *:[i32] } 10886:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  384670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384676 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384678 */     GIR_RootConstrainSelectedInstOperands,
     /*  384679 */     // GIR_Coverage, 2530,
     /*  384679 */     GIR_EraseRootFromParent_Done,
     /*  384680 */   // Label 6905: @384680
     /*  384680 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(384735), // Rule ID 2531 //
     /*  384685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  384688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  384693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384714 */     // MIs[0] imm
     /*  384714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384722 */     // (intrinsic_wo_chain:{ *:[i32] } 10887:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  384725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384731 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384733 */     GIR_RootConstrainSelectedInstOperands,
     /*  384734 */     // GIR_Coverage, 2531,
     /*  384734 */     GIR_EraseRootFromParent_Done,
     /*  384735 */   // Label 6906: @384735
     /*  384735 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(384790), // Rule ID 2537 //
     /*  384740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  384743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  384748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384769 */     // MIs[0] imm
     /*  384769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384777 */     // (intrinsic_wo_chain:{ *:[i32] } 10888:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  384780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384786 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384788 */     GIR_RootConstrainSelectedInstOperands,
     /*  384789 */     // GIR_Coverage, 2537,
     /*  384789 */     GIR_EraseRootFromParent_Done,
     /*  384790 */   // Label 6907: @384790
     /*  384790 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(384845), // Rule ID 2538 //
     /*  384795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  384798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  384803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384824 */     // MIs[0] imm
     /*  384824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384832 */     // (intrinsic_wo_chain:{ *:[i32] } 10889:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  384835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384841 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384843 */     GIR_RootConstrainSelectedInstOperands,
     /*  384844 */     // GIR_Coverage, 2538,
     /*  384844 */     GIR_EraseRootFromParent_Done,
     /*  384845 */   // Label 6908: @384845
     /*  384845 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(384900), // Rule ID 64416 //
     /*  384850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  384853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  384858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384879 */     // MIs[0] imm5
     /*  384879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384882 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  384887 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  384887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  384890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384896 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  384898 */     GIR_RootConstrainSelectedInstOperands,
     /*  384899 */     // GIR_Coverage, 64416,
     /*  384899 */     GIR_EraseRootFromParent_Done,
     /*  384900 */   // Label 6909: @384900
     /*  384900 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(384955), // Rule ID 64417 //
     /*  384905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  384908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  384913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384934 */     // MIs[0] imm5
     /*  384934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  384942 */     // (intrinsic_wo_chain:{ *:[i32] } 10930:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  384942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  384945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384951 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  384953 */     GIR_RootConstrainSelectedInstOperands,
     /*  384954 */     // GIR_Coverage, 64417,
     /*  384954 */     GIR_EraseRootFromParent_Done,
     /*  384955 */   // Label 6910: @384955
     /*  384955 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(385010), // Rule ID 64418 //
     /*  384960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  384963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  384968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384989 */     // MIs[0] imm5
     /*  384989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  384997 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  384997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  385000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385006 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385008 */     GIR_RootConstrainSelectedInstOperands,
     /*  385009 */     // GIR_Coverage, 64418,
     /*  385009 */     GIR_EraseRootFromParent_Done,
     /*  385010 */   // Label 6911: @385010
     /*  385010 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385065), // Rule ID 64419 //
     /*  385015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  385023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385044 */     // MIs[0] imm5
     /*  385044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385052 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  385055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385061 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385063 */     GIR_RootConstrainSelectedInstOperands,
     /*  385064 */     // GIR_Coverage, 64419,
     /*  385064 */     GIR_EraseRootFromParent_Done,
     /*  385065 */   // Label 6912: @385065
     /*  385065 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385120), // Rule ID 64420 //
     /*  385070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  385078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385099 */     // MIs[0] imm5
     /*  385099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385107 */     // (intrinsic_wo_chain:{ *:[i32] } 10935:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  385110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385116 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385118 */     GIR_RootConstrainSelectedInstOperands,
     /*  385119 */     // GIR_Coverage, 64420,
     /*  385119 */     GIR_EraseRootFromParent_Done,
     /*  385120 */   // Label 6913: @385120
     /*  385120 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385175), // Rule ID 64421 //
     /*  385125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  385133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385154 */     // MIs[0] imm5
     /*  385154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385162 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  385165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385171 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385173 */     GIR_RootConstrainSelectedInstOperands,
     /*  385174 */     // GIR_Coverage, 64421,
     /*  385174 */     GIR_EraseRootFromParent_Done,
     /*  385175 */   // Label 6914: @385175
     /*  385175 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(385230), // Rule ID 64422 //
     /*  385180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  385188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385209 */     // MIs[0] imm5
     /*  385209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385217 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  385220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385226 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385228 */     GIR_RootConstrainSelectedInstOperands,
     /*  385229 */     // GIR_Coverage, 64422,
     /*  385229 */     GIR_EraseRootFromParent_Done,
     /*  385230 */   // Label 6915: @385230
     /*  385230 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385285), // Rule ID 64423 //
     /*  385235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  385243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385264 */     // MIs[0] imm5
     /*  385264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385272 */     // (intrinsic_wo_chain:{ *:[i32] } 10929:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  385275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385281 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385283 */     GIR_RootConstrainSelectedInstOperands,
     /*  385284 */     // GIR_Coverage, 64423,
     /*  385284 */     GIR_EraseRootFromParent_Done,
     /*  385285 */   // Label 6916: @385285
     /*  385285 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385339), // Rule ID 64358 //
     /*  385290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385326 */     // (intrinsic_wo_chain:{ *:[i32] } 10901:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385337 */     GIR_RootConstrainSelectedInstOperands,
     /*  385338 */     // GIR_Coverage, 64358,
     /*  385338 */     GIR_EraseRootFromParent_Done,
     /*  385339 */   // Label 6917: @385339
     /*  385339 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385393), // Rule ID 64359 //
     /*  385344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385380 */     // (intrinsic_wo_chain:{ *:[i32] } 10901:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385391 */     GIR_RootConstrainSelectedInstOperands,
     /*  385392 */     // GIR_Coverage, 64359,
     /*  385392 */     GIR_EraseRootFromParent_Done,
     /*  385393 */   // Label 6918: @385393
     /*  385393 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(385447), // Rule ID 64385 //
     /*  385398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385434 */     // (intrinsic_wo_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385445 */     GIR_RootConstrainSelectedInstOperands,
     /*  385446 */     // GIR_Coverage, 64385,
     /*  385446 */     GIR_EraseRootFromParent_Done,
     /*  385447 */   // Label 6919: @385447
     /*  385447 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(385501), // Rule ID 64386 //
     /*  385452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385488 */     // (intrinsic_wo_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385499 */     GIR_RootConstrainSelectedInstOperands,
     /*  385500 */     // GIR_Coverage, 64386,
     /*  385500 */     GIR_EraseRootFromParent_Done,
     /*  385501 */   // Label 6920: @385501
     /*  385501 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(385555), // Rule ID 64388 //
     /*  385506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385542 */     // (intrinsic_wo_chain:{ *:[i32] } 10902:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385553 */     GIR_RootConstrainSelectedInstOperands,
     /*  385554 */     // GIR_Coverage, 64388,
     /*  385554 */     GIR_EraseRootFromParent_Done,
     /*  385555 */   // Label 6921: @385555
     /*  385555 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(385609), // Rule ID 64389 //
     /*  385560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385596 */     // (intrinsic_wo_chain:{ *:[i32] } 10902:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385607 */     GIR_RootConstrainSelectedInstOperands,
     /*  385608 */     // GIR_Coverage, 64389,
     /*  385608 */     GIR_EraseRootFromParent_Done,
     /*  385609 */   // Label 6922: @385609
     /*  385609 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(385663), // Rule ID 64391 //
     /*  385614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  385622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385650 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  385653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385661 */     GIR_RootConstrainSelectedInstOperands,
     /*  385662 */     // GIR_Coverage, 64391,
     /*  385662 */     GIR_EraseRootFromParent_Done,
     /*  385663 */   // Label 6923: @385663
     /*  385663 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(385717), // Rule ID 64392 //
     /*  385668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  385676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385704 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  385707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385715 */     GIR_RootConstrainSelectedInstOperands,
     /*  385716 */     // GIR_Coverage, 64392,
     /*  385716 */     GIR_EraseRootFromParent_Done,
     /*  385717 */   // Label 6924: @385717
     /*  385717 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(385771), // Rule ID 64394 //
     /*  385722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  385730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385758 */     // (intrinsic_wo_chain:{ *:[i32] } 10907:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  385761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385769 */     GIR_RootConstrainSelectedInstOperands,
     /*  385770 */     // GIR_Coverage, 64394,
     /*  385770 */     GIR_EraseRootFromParent_Done,
     /*  385771 */   // Label 6925: @385771
     /*  385771 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(385825), // Rule ID 64395 //
     /*  385776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  385784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385812 */     // (intrinsic_wo_chain:{ *:[i32] } 10907:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  385815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385823 */     GIR_RootConstrainSelectedInstOperands,
     /*  385824 */     // GIR_Coverage, 64395,
     /*  385824 */     GIR_EraseRootFromParent_Done,
     /*  385825 */   // Label 6926: @385825
     /*  385825 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(385879), // Rule ID 64397 //
     /*  385830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  385838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385866 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  385869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385877 */     GIR_RootConstrainSelectedInstOperands,
     /*  385878 */     // GIR_Coverage, 64397,
     /*  385878 */     GIR_EraseRootFromParent_Done,
     /*  385879 */   // Label 6927: @385879
     /*  385879 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(385933), // Rule ID 64398 //
     /*  385884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  385892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385920 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  385923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385931 */     GIR_RootConstrainSelectedInstOperands,
     /*  385932 */     // GIR_Coverage, 64398,
     /*  385932 */     GIR_EraseRootFromParent_Done,
     /*  385933 */   // Label 6928: @385933
     /*  385933 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(385987), // Rule ID 64400 //
     /*  385938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  385946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385974 */     // (intrinsic_wo_chain:{ *:[i32] } 10908:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  385977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385985 */     GIR_RootConstrainSelectedInstOperands,
     /*  385986 */     // GIR_Coverage, 64400,
     /*  385986 */     GIR_EraseRootFromParent_Done,
     /*  385987 */   // Label 6929: @385987
     /*  385987 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(386041), // Rule ID 64401 //
     /*  385992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  386000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386028 */     // (intrinsic_wo_chain:{ *:[i32] } 10908:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  386031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386039 */     GIR_RootConstrainSelectedInstOperands,
     /*  386040 */     // GIR_Coverage, 64401,
     /*  386040 */     GIR_EraseRootFromParent_Done,
     /*  386041 */   // Label 6930: @386041
     /*  386041 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386095), // Rule ID 64403 //
     /*  386046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386082 */     // (intrinsic_wo_chain:{ *:[i32] } 10910:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386093 */     GIR_RootConstrainSelectedInstOperands,
     /*  386094 */     // GIR_Coverage, 64403,
     /*  386094 */     GIR_EraseRootFromParent_Done,
     /*  386095 */   // Label 6931: @386095
     /*  386095 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386149), // Rule ID 64404 //
     /*  386100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386136 */     // (intrinsic_wo_chain:{ *:[i32] } 10910:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386147 */     GIR_RootConstrainSelectedInstOperands,
     /*  386148 */     // GIR_Coverage, 64404,
     /*  386148 */     GIR_EraseRootFromParent_Done,
     /*  386149 */   // Label 6932: @386149
     /*  386149 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386203), // Rule ID 64341 //
     /*  386154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  386157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386190 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386201 */     GIR_RootConstrainSelectedInstOperands,
     /*  386202 */     // GIR_Coverage, 64341,
     /*  386202 */     GIR_EraseRootFromParent_Done,
     /*  386203 */   // Label 6933: @386203
     /*  386203 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386257), // Rule ID 64342 //
     /*  386208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  386211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386244 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386255 */     GIR_RootConstrainSelectedInstOperands,
     /*  386256 */     // GIR_Coverage, 64342,
     /*  386256 */     GIR_EraseRootFromParent_Done,
     /*  386257 */   // Label 6934: @386257
     /*  386257 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(386311), // Rule ID 64412 //
     /*  386262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386298 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386309 */     GIR_RootConstrainSelectedInstOperands,
     /*  386310 */     // GIR_Coverage, 64412,
     /*  386310 */     GIR_EraseRootFromParent_Done,
     /*  386311 */   // Label 6935: @386311
     /*  386311 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(386365), // Rule ID 64413 //
     /*  386316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386352 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386363 */     GIR_RootConstrainSelectedInstOperands,
     /*  386364 */     // GIR_Coverage, 64413,
     /*  386364 */     GIR_EraseRootFromParent_Done,
     /*  386365 */   // Label 6936: @386365
     /*  386365 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(386419), // Rule ID 64414 //
     /*  386370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386406 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386417 */     GIR_RootConstrainSelectedInstOperands,
     /*  386418 */     // GIR_Coverage, 64414,
     /*  386418 */     GIR_EraseRootFromParent_Done,
     /*  386419 */   // Label 6937: @386419
     /*  386419 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(386473), // Rule ID 64415 //
     /*  386424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386460 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386471 */     GIR_RootConstrainSelectedInstOperands,
     /*  386472 */     // GIR_Coverage, 64415,
     /*  386472 */     GIR_EraseRootFromParent_Done,
     /*  386473 */   // Label 6938: @386473
     /*  386473 */   GIM_Reject,
     /*  386474 */ // Label 4313: @386474
     /*  386474 */ GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(905251),
     /*  386479 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  386482 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(386557), // Rule ID 62745 //
     /*  386487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386505 */     // MIs[0] op1
     /*  386505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386513 */     // MIs[0] op2
     /*  386513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386521 */     // MIs[0] op3
     /*  386521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  386539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386555 */     GIR_RootConstrainSelectedInstOperands,
     /*  386556 */     // GIR_Coverage, 62745,
     /*  386556 */     GIR_EraseRootFromParent_Done,
     /*  386557 */   // Label 6940: @386557
     /*  386557 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(386632), // Rule ID 62746 //
     /*  386562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386580 */     // MIs[0] op1
     /*  386580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386588 */     // MIs[0] op2
     /*  386588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386596 */     // MIs[0] op3
     /*  386596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  386614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386630 */     GIR_RootConstrainSelectedInstOperands,
     /*  386631 */     // GIR_Coverage, 62746,
     /*  386631 */     GIR_EraseRootFromParent_Done,
     /*  386632 */   // Label 6941: @386632
     /*  386632 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(386707), // Rule ID 62777 //
     /*  386637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386655 */     // MIs[0] op1
     /*  386655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386663 */     // MIs[0] op2
     /*  386663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386671 */     // MIs[0] op3
     /*  386671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  386689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386705 */     GIR_RootConstrainSelectedInstOperands,
     /*  386706 */     // GIR_Coverage, 62777,
     /*  386706 */     GIR_EraseRootFromParent_Done,
     /*  386707 */   // Label 6942: @386707
     /*  386707 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(386782), // Rule ID 62778 //
     /*  386712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386730 */     // MIs[0] op1
     /*  386730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386738 */     // MIs[0] op2
     /*  386738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386746 */     // MIs[0] op3
     /*  386746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  386764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386780 */     GIR_RootConstrainSelectedInstOperands,
     /*  386781 */     // GIR_Coverage, 62778,
     /*  386781 */     GIR_EraseRootFromParent_Done,
     /*  386782 */   // Label 6943: @386782
     /*  386782 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(386857), // Rule ID 62821 //
     /*  386787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386805 */     // MIs[0] op1
     /*  386805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386813 */     // MIs[0] op2
     /*  386813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386821 */     // MIs[0] op3
     /*  386821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  386839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386841 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386843 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386845 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386855 */     GIR_RootConstrainSelectedInstOperands,
     /*  386856 */     // GIR_Coverage, 62821,
     /*  386856 */     GIR_EraseRootFromParent_Done,
     /*  386857 */   // Label 6944: @386857
     /*  386857 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(386932), // Rule ID 62822 //
     /*  386862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386880 */     // MIs[0] op1
     /*  386880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386888 */     // MIs[0] op2
     /*  386888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386896 */     // MIs[0] op3
     /*  386896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  386914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386916 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386918 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386920 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386930 */     GIR_RootConstrainSelectedInstOperands,
     /*  386931 */     // GIR_Coverage, 62822,
     /*  386931 */     GIR_EraseRootFromParent_Done,
     /*  386932 */   // Label 6945: @386932
     /*  386932 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(387007), // Rule ID 62865 //
     /*  386937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386955 */     // MIs[0] op1
     /*  386955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386963 */     // MIs[0] op2
     /*  386963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386971 */     // MIs[0] op3
     /*  386971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  386986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  386989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387005 */     GIR_RootConstrainSelectedInstOperands,
     /*  387006 */     // GIR_Coverage, 62865,
     /*  387006 */     GIR_EraseRootFromParent_Done,
     /*  387007 */   // Label 6946: @387007
     /*  387007 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387082), // Rule ID 62866 //
     /*  387012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  387023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387030 */     // MIs[0] op1
     /*  387030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387038 */     // MIs[0] op2
     /*  387038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387046 */     // MIs[0] op3
     /*  387046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387066 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387068 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387070 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387080 */     GIR_RootConstrainSelectedInstOperands,
     /*  387081 */     // GIR_Coverage, 62866,
     /*  387081 */     GIR_EraseRootFromParent_Done,
     /*  387082 */   // Label 6947: @387082
     /*  387082 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387157), // Rule ID 62921 //
     /*  387087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387105 */     // MIs[0] op1
     /*  387105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387113 */     // MIs[0] op2
     /*  387113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387121 */     // MIs[0] op3
     /*  387121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387141 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387143 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387145 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387155 */     GIR_RootConstrainSelectedInstOperands,
     /*  387156 */     // GIR_Coverage, 62921,
     /*  387156 */     GIR_EraseRootFromParent_Done,
     /*  387157 */   // Label 6948: @387157
     /*  387157 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387232), // Rule ID 62922 //
     /*  387162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387180 */     // MIs[0] op1
     /*  387180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387183 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387188 */     // MIs[0] op2
     /*  387188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387196 */     // MIs[0] op3
     /*  387196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387216 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387218 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387220 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387230 */     GIR_RootConstrainSelectedInstOperands,
     /*  387231 */     // GIR_Coverage, 62922,
     /*  387231 */     GIR_EraseRootFromParent_Done,
     /*  387232 */   // Label 6949: @387232
     /*  387232 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(387307), // Rule ID 62977 //
     /*  387237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387255 */     // MIs[0] op1
     /*  387255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387263 */     // MIs[0] op2
     /*  387263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387271 */     // MIs[0] op3
     /*  387271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387274 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387291 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387293 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387295 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387305 */     GIR_RootConstrainSelectedInstOperands,
     /*  387306 */     // GIR_Coverage, 62977,
     /*  387306 */     GIR_EraseRootFromParent_Done,
     /*  387307 */   // Label 6950: @387307
     /*  387307 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(387382), // Rule ID 62978 //
     /*  387312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387330 */     // MIs[0] op1
     /*  387330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387333 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387338 */     // MIs[0] op2
     /*  387338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387341 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387346 */     // MIs[0] op3
     /*  387346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387349 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387366 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387368 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387370 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387380 */     GIR_RootConstrainSelectedInstOperands,
     /*  387381 */     // GIR_Coverage, 62978,
     /*  387381 */     GIR_EraseRootFromParent_Done,
     /*  387382 */   // Label 6951: @387382
     /*  387382 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(387457), // Rule ID 63033 //
     /*  387387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387405 */     // MIs[0] op1
     /*  387405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387413 */     // MIs[0] op2
     /*  387413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387421 */     // MIs[0] op3
     /*  387421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387424 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387441 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387443 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387445 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387455 */     GIR_RootConstrainSelectedInstOperands,
     /*  387456 */     // GIR_Coverage, 63033,
     /*  387456 */     GIR_EraseRootFromParent_Done,
     /*  387457 */   // Label 6952: @387457
     /*  387457 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(387532), // Rule ID 63034 //
     /*  387462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387480 */     // MIs[0] op1
     /*  387480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387483 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387488 */     // MIs[0] op2
     /*  387488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387491 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387496 */     // MIs[0] op3
     /*  387496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387516 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387518 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387520 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387530 */     GIR_RootConstrainSelectedInstOperands,
     /*  387531 */     // GIR_Coverage, 63034,
     /*  387531 */     GIR_EraseRootFromParent_Done,
     /*  387532 */   // Label 6953: @387532
     /*  387532 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(387607), // Rule ID 63077 //
     /*  387537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387555 */     // MIs[0] op1
     /*  387555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387563 */     // MIs[0] op2
     /*  387563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387571 */     // MIs[0] op3
     /*  387571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387591 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387593 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387595 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387605 */     GIR_RootConstrainSelectedInstOperands,
     /*  387606 */     // GIR_Coverage, 63077,
     /*  387606 */     GIR_EraseRootFromParent_Done,
     /*  387607 */   // Label 6954: @387607
     /*  387607 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(387682), // Rule ID 63078 //
     /*  387612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387630 */     // MIs[0] op1
     /*  387630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387638 */     // MIs[0] op2
     /*  387638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387646 */     // MIs[0] op3
     /*  387646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387680 */     GIR_RootConstrainSelectedInstOperands,
     /*  387681 */     // GIR_Coverage, 63078,
     /*  387681 */     GIR_EraseRootFromParent_Done,
     /*  387682 */   // Label 6955: @387682
     /*  387682 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(387757), // Rule ID 63133 //
     /*  387687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387705 */     // MIs[0] op1
     /*  387705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387713 */     // MIs[0] op2
     /*  387713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387721 */     // MIs[0] op3
     /*  387721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387741 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387743 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387745 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387755 */     GIR_RootConstrainSelectedInstOperands,
     /*  387756 */     // GIR_Coverage, 63133,
     /*  387756 */     GIR_EraseRootFromParent_Done,
     /*  387757 */   // Label 6956: @387757
     /*  387757 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(387832), // Rule ID 63134 //
     /*  387762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387780 */     // MIs[0] op1
     /*  387780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387783 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387788 */     // MIs[0] op2
     /*  387788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387796 */     // MIs[0] op3
     /*  387796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387830 */     GIR_RootConstrainSelectedInstOperands,
     /*  387831 */     // GIR_Coverage, 63134,
     /*  387831 */     GIR_EraseRootFromParent_Done,
     /*  387832 */   // Label 6957: @387832
     /*  387832 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(387907), // Rule ID 63189 //
     /*  387837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387855 */     // MIs[0] op1
     /*  387855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387863 */     // MIs[0] op2
     /*  387863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387871 */     // MIs[0] op3
     /*  387871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  387886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387891 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387893 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387895 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387905 */     GIR_RootConstrainSelectedInstOperands,
     /*  387906 */     // GIR_Coverage, 63189,
     /*  387906 */     GIR_EraseRootFromParent_Done,
     /*  387907 */   // Label 6958: @387907
     /*  387907 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(387982), // Rule ID 63190 //
     /*  387912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387930 */     // MIs[0] op1
     /*  387930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387938 */     // MIs[0] op2
     /*  387938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387946 */     // MIs[0] op3
     /*  387946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  387961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387966 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387968 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387970 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387980 */     GIR_RootConstrainSelectedInstOperands,
     /*  387981 */     // GIR_Coverage, 63190,
     /*  387981 */     GIR_EraseRootFromParent_Done,
     /*  387982 */   // Label 6959: @387982
     /*  387982 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388057), // Rule ID 63245 //
     /*  387987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388005 */     // MIs[0] op1
     /*  388005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388013 */     // MIs[0] op2
     /*  388013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388021 */     // MIs[0] op3
     /*  388021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388041 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388043 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388045 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388055 */     GIR_RootConstrainSelectedInstOperands,
     /*  388056 */     // GIR_Coverage, 63245,
     /*  388056 */     GIR_EraseRootFromParent_Done,
     /*  388057 */   // Label 6960: @388057
     /*  388057 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388132), // Rule ID 63246 //
     /*  388062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388080 */     // MIs[0] op1
     /*  388080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388088 */     // MIs[0] op2
     /*  388088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388096 */     // MIs[0] op3
     /*  388096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388130 */     GIR_RootConstrainSelectedInstOperands,
     /*  388131 */     // GIR_Coverage, 63246,
     /*  388131 */     GIR_EraseRootFromParent_Done,
     /*  388132 */   // Label 6961: @388132
     /*  388132 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388207), // Rule ID 63289 //
     /*  388137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388155 */     // MIs[0] op1
     /*  388155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388163 */     // MIs[0] op2
     /*  388163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388171 */     // MIs[0] op3
     /*  388171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388191 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388193 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388195 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388205 */     GIR_RootConstrainSelectedInstOperands,
     /*  388206 */     // GIR_Coverage, 63289,
     /*  388206 */     GIR_EraseRootFromParent_Done,
     /*  388207 */   // Label 6962: @388207
     /*  388207 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388282), // Rule ID 63290 //
     /*  388212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388230 */     // MIs[0] op1
     /*  388230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388233 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388238 */     // MIs[0] op2
     /*  388238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388246 */     // MIs[0] op3
     /*  388246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388261 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388280 */     GIR_RootConstrainSelectedInstOperands,
     /*  388281 */     // GIR_Coverage, 63290,
     /*  388281 */     GIR_EraseRootFromParent_Done,
     /*  388282 */   // Label 6963: @388282
     /*  388282 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388357), // Rule ID 63333 //
     /*  388287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388305 */     // MIs[0] op1
     /*  388305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388313 */     // MIs[0] op2
     /*  388313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388321 */     // MIs[0] op3
     /*  388321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388341 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388343 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388345 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388355 */     GIR_RootConstrainSelectedInstOperands,
     /*  388356 */     // GIR_Coverage, 63333,
     /*  388356 */     GIR_EraseRootFromParent_Done,
     /*  388357 */   // Label 6964: @388357
     /*  388357 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(388432), // Rule ID 63334 //
     /*  388362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388380 */     // MIs[0] op1
     /*  388380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388388 */     // MIs[0] op2
     /*  388388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388391 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388396 */     // MIs[0] op3
     /*  388396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388416 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388418 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388420 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388430 */     GIR_RootConstrainSelectedInstOperands,
     /*  388431 */     // GIR_Coverage, 63334,
     /*  388431 */     GIR_EraseRootFromParent_Done,
     /*  388432 */   // Label 6965: @388432
     /*  388432 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(388507), // Rule ID 63377 //
     /*  388437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388455 */     // MIs[0] op1
     /*  388455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388463 */     // MIs[0] op2
     /*  388463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388471 */     // MIs[0] op3
     /*  388471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388474 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388491 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388493 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388495 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388505 */     GIR_RootConstrainSelectedInstOperands,
     /*  388506 */     // GIR_Coverage, 63377,
     /*  388506 */     GIR_EraseRootFromParent_Done,
     /*  388507 */   // Label 6966: @388507
     /*  388507 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(388582), // Rule ID 63378 //
     /*  388512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388530 */     // MIs[0] op1
     /*  388530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388538 */     // MIs[0] op2
     /*  388538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388541 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388546 */     // MIs[0] op3
     /*  388546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388566 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388568 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388570 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388580 */     GIR_RootConstrainSelectedInstOperands,
     /*  388581 */     // GIR_Coverage, 63378,
     /*  388581 */     GIR_EraseRootFromParent_Done,
     /*  388582 */   // Label 6967: @388582
     /*  388582 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(388657), // Rule ID 63433 //
     /*  388587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388605 */     // MIs[0] op1
     /*  388605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388613 */     // MIs[0] op2
     /*  388613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388621 */     // MIs[0] op3
     /*  388621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388655 */     GIR_RootConstrainSelectedInstOperands,
     /*  388656 */     // GIR_Coverage, 63433,
     /*  388656 */     GIR_EraseRootFromParent_Done,
     /*  388657 */   // Label 6968: @388657
     /*  388657 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(388732), // Rule ID 63434 //
     /*  388662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388680 */     // MIs[0] op1
     /*  388680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388688 */     // MIs[0] op2
     /*  388688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388696 */     // MIs[0] op3
     /*  388696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388716 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388718 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388720 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388730 */     GIR_RootConstrainSelectedInstOperands,
     /*  388731 */     // GIR_Coverage, 63434,
     /*  388731 */     GIR_EraseRootFromParent_Done,
     /*  388732 */   // Label 6969: @388732
     /*  388732 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(388807), // Rule ID 63489 //
     /*  388737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  388748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388755 */     // MIs[0] op1
     /*  388755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388763 */     // MIs[0] op2
     /*  388763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388766 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388771 */     // MIs[0] op3
     /*  388771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388791 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388793 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388795 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388805 */     GIR_RootConstrainSelectedInstOperands,
     /*  388806 */     // GIR_Coverage, 63489,
     /*  388806 */     GIR_EraseRootFromParent_Done,
     /*  388807 */   // Label 6970: @388807
     /*  388807 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(388882), // Rule ID 63490 //
     /*  388812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  388823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388830 */     // MIs[0] op1
     /*  388830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388838 */     // MIs[0] op2
     /*  388838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388841 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388846 */     // MIs[0] op3
     /*  388846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388866 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388868 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388870 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388880 */     GIR_RootConstrainSelectedInstOperands,
     /*  388881 */     // GIR_Coverage, 63490,
     /*  388881 */     GIR_EraseRootFromParent_Done,
     /*  388882 */   // Label 6971: @388882
     /*  388882 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(388957), // Rule ID 63545 //
     /*  388887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388905 */     // MIs[0] op1
     /*  388905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388913 */     // MIs[0] op2
     /*  388913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388921 */     // MIs[0] op3
     /*  388921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388924 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  388936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388941 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388943 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388945 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388955 */     GIR_RootConstrainSelectedInstOperands,
     /*  388956 */     // GIR_Coverage, 63545,
     /*  388956 */     GIR_EraseRootFromParent_Done,
     /*  388957 */   // Label 6972: @388957
     /*  388957 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(389032), // Rule ID 63546 //
     /*  388962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388980 */     // MIs[0] op1
     /*  388980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388988 */     // MIs[0] op2
     /*  388988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388996 */     // MIs[0] op3
     /*  388996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388999 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389016 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389018 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389020 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389030 */     GIR_RootConstrainSelectedInstOperands,
     /*  389031 */     // GIR_Coverage, 63546,
     /*  389031 */     GIR_EraseRootFromParent_Done,
     /*  389032 */   // Label 6973: @389032
     /*  389032 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389107), // Rule ID 63601 //
     /*  389037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389055 */     // MIs[0] op1
     /*  389055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389063 */     // MIs[0] op2
     /*  389063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389071 */     // MIs[0] op3
     /*  389071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389091 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389093 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389095 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389105 */     GIR_RootConstrainSelectedInstOperands,
     /*  389106 */     // GIR_Coverage, 63601,
     /*  389106 */     GIR_EraseRootFromParent_Done,
     /*  389107 */   // Label 6974: @389107
     /*  389107 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389182), // Rule ID 63602 //
     /*  389112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389130 */     // MIs[0] op1
     /*  389130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389138 */     // MIs[0] op2
     /*  389138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389146 */     // MIs[0] op3
     /*  389146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389180 */     GIR_RootConstrainSelectedInstOperands,
     /*  389181 */     // GIR_Coverage, 63602,
     /*  389181 */     GIR_EraseRootFromParent_Done,
     /*  389182 */   // Label 6975: @389182
     /*  389182 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389257), // Rule ID 63657 //
     /*  389187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389205 */     // MIs[0] op1
     /*  389205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389213 */     // MIs[0] op2
     /*  389213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389221 */     // MIs[0] op3
     /*  389221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389241 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389243 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389245 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389255 */     GIR_RootConstrainSelectedInstOperands,
     /*  389256 */     // GIR_Coverage, 63657,
     /*  389256 */     GIR_EraseRootFromParent_Done,
     /*  389257 */   // Label 6976: @389257
     /*  389257 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389332), // Rule ID 63658 //
     /*  389262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389280 */     // MIs[0] op1
     /*  389280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389288 */     // MIs[0] op2
     /*  389288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389296 */     // MIs[0] op3
     /*  389296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389330 */     GIR_RootConstrainSelectedInstOperands,
     /*  389331 */     // GIR_Coverage, 63658,
     /*  389331 */     GIR_EraseRootFromParent_Done,
     /*  389332 */   // Label 6977: @389332
     /*  389332 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389407), // Rule ID 63713 //
     /*  389337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389355 */     // MIs[0] op1
     /*  389355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389363 */     // MIs[0] op2
     /*  389363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389371 */     // MIs[0] op3
     /*  389371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389391 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389393 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389395 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389405 */     GIR_RootConstrainSelectedInstOperands,
     /*  389406 */     // GIR_Coverage, 63713,
     /*  389406 */     GIR_EraseRootFromParent_Done,
     /*  389407 */   // Label 6978: @389407
     /*  389407 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(389482), // Rule ID 63714 //
     /*  389412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389430 */     // MIs[0] op1
     /*  389430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389438 */     // MIs[0] op2
     /*  389438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389446 */     // MIs[0] op3
     /*  389446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389480 */     GIR_RootConstrainSelectedInstOperands,
     /*  389481 */     // GIR_Coverage, 63714,
     /*  389481 */     GIR_EraseRootFromParent_Done,
     /*  389482 */   // Label 6979: @389482
     /*  389482 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(389557), // Rule ID 63769 //
     /*  389487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389505 */     // MIs[0] op1
     /*  389505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389513 */     // MIs[0] op2
     /*  389513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389521 */     // MIs[0] op3
     /*  389521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389555 */     GIR_RootConstrainSelectedInstOperands,
     /*  389556 */     // GIR_Coverage, 63769,
     /*  389556 */     GIR_EraseRootFromParent_Done,
     /*  389557 */   // Label 6980: @389557
     /*  389557 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389632), // Rule ID 63770 //
     /*  389562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389580 */     // MIs[0] op1
     /*  389580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389588 */     // MIs[0] op2
     /*  389588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389596 */     // MIs[0] op3
     /*  389596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389630 */     GIR_RootConstrainSelectedInstOperands,
     /*  389631 */     // GIR_Coverage, 63770,
     /*  389631 */     GIR_EraseRootFromParent_Done,
     /*  389632 */   // Label 6981: @389632
     /*  389632 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389707), // Rule ID 63825 //
     /*  389637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389655 */     // MIs[0] op1
     /*  389655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389663 */     // MIs[0] op2
     /*  389663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389671 */     // MIs[0] op3
     /*  389671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389705 */     GIR_RootConstrainSelectedInstOperands,
     /*  389706 */     // GIR_Coverage, 63825,
     /*  389706 */     GIR_EraseRootFromParent_Done,
     /*  389707 */   // Label 6982: @389707
     /*  389707 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(389782), // Rule ID 63826 //
     /*  389712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389730 */     // MIs[0] op1
     /*  389730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389738 */     // MIs[0] op2
     /*  389738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389746 */     // MIs[0] op3
     /*  389746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389780 */     GIR_RootConstrainSelectedInstOperands,
     /*  389781 */     // GIR_Coverage, 63826,
     /*  389781 */     GIR_EraseRootFromParent_Done,
     /*  389782 */   // Label 6983: @389782
     /*  389782 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(389856), // Rule ID 62727 //
     /*  389787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  389798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389808 */     // MIs[0] op1
     /*  389808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389816 */     // MIs[0] op2
     /*  389816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389835 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  389838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389840 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389842 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389844 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389854 */     GIR_RootConstrainSelectedInstOperands,
     /*  389855 */     // GIR_Coverage, 62727,
     /*  389855 */     GIR_EraseRootFromParent_Done,
     /*  389856 */   // Label 6984: @389856
     /*  389856 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(389930), // Rule ID 62728 //
     /*  389861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  389872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389882 */     // MIs[0] op1
     /*  389882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389885 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389890 */     // MIs[0] op2
     /*  389890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389909 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  389909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  389912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389928 */     GIR_RootConstrainSelectedInstOperands,
     /*  389929 */     // GIR_Coverage, 62728,
     /*  389929 */     GIR_EraseRootFromParent_Done,
     /*  389930 */   // Label 6985: @389930
     /*  389930 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(390004), // Rule ID 62773 //
     /*  389935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  389946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389956 */     // MIs[0] op1
     /*  389956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389964 */     // MIs[0] op2
     /*  389964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389983 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  389986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390002 */     GIR_RootConstrainSelectedInstOperands,
     /*  390003 */     // GIR_Coverage, 62773,
     /*  390003 */     GIR_EraseRootFromParent_Done,
     /*  390004 */   // Label 6986: @390004
     /*  390004 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390078), // Rule ID 62774 //
     /*  390009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390030 */     // MIs[0] op1
     /*  390030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390038 */     // MIs[0] op2
     /*  390038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390057 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390062 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390064 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390066 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390076 */     GIR_RootConstrainSelectedInstOperands,
     /*  390077 */     // GIR_Coverage, 62774,
     /*  390077 */     GIR_EraseRootFromParent_Done,
     /*  390078 */   // Label 6987: @390078
     /*  390078 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390152), // Rule ID 62817 //
     /*  390083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390104 */     // MIs[0] op1
     /*  390104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390112 */     // MIs[0] op2
     /*  390112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390131 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390136 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390138 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390140 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390150 */     GIR_RootConstrainSelectedInstOperands,
     /*  390151 */     // GIR_Coverage, 62817,
     /*  390151 */     GIR_EraseRootFromParent_Done,
     /*  390152 */   // Label 6988: @390152
     /*  390152 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390226), // Rule ID 62818 //
     /*  390157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390178 */     // MIs[0] op1
     /*  390178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390186 */     // MIs[0] op2
     /*  390186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390205 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390224 */     GIR_RootConstrainSelectedInstOperands,
     /*  390225 */     // GIR_Coverage, 62818,
     /*  390225 */     GIR_EraseRootFromParent_Done,
     /*  390226 */   // Label 6989: @390226
     /*  390226 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390300), // Rule ID 62861 //
     /*  390231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390252 */     // MIs[0] op1
     /*  390252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390260 */     // MIs[0] op2
     /*  390260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390298 */     GIR_RootConstrainSelectedInstOperands,
     /*  390299 */     // GIR_Coverage, 62861,
     /*  390299 */     GIR_EraseRootFromParent_Done,
     /*  390300 */   // Label 6990: @390300
     /*  390300 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390374), // Rule ID 62862 //
     /*  390305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390326 */     // MIs[0] op1
     /*  390326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390334 */     // MIs[0] op2
     /*  390334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390358 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390360 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390362 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390372 */     GIR_RootConstrainSelectedInstOperands,
     /*  390373 */     // GIR_Coverage, 62862,
     /*  390373 */     GIR_EraseRootFromParent_Done,
     /*  390374 */   // Label 6991: @390374
     /*  390374 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390448), // Rule ID 62917 //
     /*  390379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390400 */     // MIs[0] op1
     /*  390400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390408 */     // MIs[0] op2
     /*  390408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390446 */     GIR_RootConstrainSelectedInstOperands,
     /*  390447 */     // GIR_Coverage, 62917,
     /*  390447 */     GIR_EraseRootFromParent_Done,
     /*  390448 */   // Label 6992: @390448
     /*  390448 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(390522), // Rule ID 62918 //
     /*  390453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390474 */     // MIs[0] op1
     /*  390474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390482 */     // MIs[0] op2
     /*  390482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390501 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390520 */     GIR_RootConstrainSelectedInstOperands,
     /*  390521 */     // GIR_Coverage, 62918,
     /*  390521 */     GIR_EraseRootFromParent_Done,
     /*  390522 */   // Label 6993: @390522
     /*  390522 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(390596), // Rule ID 62973 //
     /*  390527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390548 */     // MIs[0] op1
     /*  390548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390556 */     // MIs[0] op2
     /*  390556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390575 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390580 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390582 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390584 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390594 */     GIR_RootConstrainSelectedInstOperands,
     /*  390595 */     // GIR_Coverage, 62973,
     /*  390595 */     GIR_EraseRootFromParent_Done,
     /*  390596 */   // Label 6994: @390596
     /*  390596 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390670), // Rule ID 62974 //
     /*  390601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390622 */     // MIs[0] op1
     /*  390622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390630 */     // MIs[0] op2
     /*  390630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390649 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  390649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390654 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390656 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390658 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390668 */     GIR_RootConstrainSelectedInstOperands,
     /*  390669 */     // GIR_Coverage, 62974,
     /*  390669 */     GIR_EraseRootFromParent_Done,
     /*  390670 */   // Label 6995: @390670
     /*  390670 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390744), // Rule ID 63029 //
     /*  390675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  390686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390696 */     // MIs[0] op1
     /*  390696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390704 */     // MIs[0] op2
     /*  390704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390742 */     GIR_RootConstrainSelectedInstOperands,
     /*  390743 */     // GIR_Coverage, 63029,
     /*  390743 */     GIR_EraseRootFromParent_Done,
     /*  390744 */   // Label 6996: @390744
     /*  390744 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390818), // Rule ID 63030 //
     /*  390749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  390760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390770 */     // MIs[0] op1
     /*  390770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390778 */     // MIs[0] op2
     /*  390778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390797 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390816 */     GIR_RootConstrainSelectedInstOperands,
     /*  390817 */     // GIR_Coverage, 63030,
     /*  390817 */     GIR_EraseRootFromParent_Done,
     /*  390818 */   // Label 6997: @390818
     /*  390818 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390892), // Rule ID 63073 //
     /*  390823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  390834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390844 */     // MIs[0] op1
     /*  390844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390852 */     // MIs[0] op2
     /*  390852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390871 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390876 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390878 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390880 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390890 */     GIR_RootConstrainSelectedInstOperands,
     /*  390891 */     // GIR_Coverage, 63073,
     /*  390891 */     GIR_EraseRootFromParent_Done,
     /*  390892 */   // Label 6998: @390892
     /*  390892 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(390966), // Rule ID 63074 //
     /*  390897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  390908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390918 */     // MIs[0] op1
     /*  390918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390926 */     // MIs[0] op2
     /*  390926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390964 */     GIR_RootConstrainSelectedInstOperands,
     /*  390965 */     // GIR_Coverage, 63074,
     /*  390965 */     GIR_EraseRootFromParent_Done,
     /*  390966 */   // Label 6999: @390966
     /*  390966 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(391040), // Rule ID 63129 //
     /*  390971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  390982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390992 */     // MIs[0] op1
     /*  390992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391000 */     // MIs[0] op2
     /*  391000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  391019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391024 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391026 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391028 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391038 */     GIR_RootConstrainSelectedInstOperands,
     /*  391039 */     // GIR_Coverage, 63129,
     /*  391039 */     GIR_EraseRootFromParent_Done,
     /*  391040 */   // Label 7000: @391040
     /*  391040 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(391114), // Rule ID 63130 //
     /*  391045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391066 */     // MIs[0] op1
     /*  391066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391074 */     // MIs[0] op2
     /*  391074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391098 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391100 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391102 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391112 */     GIR_RootConstrainSelectedInstOperands,
     /*  391113 */     // GIR_Coverage, 63130,
     /*  391113 */     GIR_EraseRootFromParent_Done,
     /*  391114 */   // Label 7001: @391114
     /*  391114 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(391188), // Rule ID 63185 //
     /*  391119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391140 */     // MIs[0] op1
     /*  391140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391148 */     // MIs[0] op2
     /*  391148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  391167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391172 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391174 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391176 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391186 */     GIR_RootConstrainSelectedInstOperands,
     /*  391187 */     // GIR_Coverage, 63185,
     /*  391187 */     GIR_EraseRootFromParent_Done,
     /*  391188 */   // Label 7002: @391188
     /*  391188 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(391262), // Rule ID 63186 //
     /*  391193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391214 */     // MIs[0] op1
     /*  391214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391222 */     // MIs[0] op2
     /*  391222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  391241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391246 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391248 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391250 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391260 */     GIR_RootConstrainSelectedInstOperands,
     /*  391261 */     // GIR_Coverage, 63186,
     /*  391261 */     GIR_EraseRootFromParent_Done,
     /*  391262 */   // Label 7003: @391262
     /*  391262 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(391336), // Rule ID 63241 //
     /*  391267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391288 */     // MIs[0] op1
     /*  391288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391296 */     // MIs[0] op2
     /*  391296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391315 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391334 */     GIR_RootConstrainSelectedInstOperands,
     /*  391335 */     // GIR_Coverage, 63241,
     /*  391335 */     GIR_EraseRootFromParent_Done,
     /*  391336 */   // Label 7004: @391336
     /*  391336 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391410), // Rule ID 63242 //
     /*  391341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391362 */     // MIs[0] op1
     /*  391362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391370 */     // MIs[0] op2
     /*  391370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391373 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391394 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391396 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391398 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391408 */     GIR_RootConstrainSelectedInstOperands,
     /*  391409 */     // GIR_Coverage, 63242,
     /*  391409 */     GIR_EraseRootFromParent_Done,
     /*  391410 */   // Label 7005: @391410
     /*  391410 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(391484), // Rule ID 63285 //
     /*  391415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391436 */     // MIs[0] op1
     /*  391436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391444 */     // MIs[0] op2
     /*  391444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391463 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391468 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391470 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391472 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391482 */     GIR_RootConstrainSelectedInstOperands,
     /*  391483 */     // GIR_Coverage, 63285,
     /*  391483 */     GIR_EraseRootFromParent_Done,
     /*  391484 */   // Label 7006: @391484
     /*  391484 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(391558), // Rule ID 63286 //
     /*  391489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391510 */     // MIs[0] op1
     /*  391510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391518 */     // MIs[0] op2
     /*  391518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391537 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391542 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391544 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391546 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391556 */     GIR_RootConstrainSelectedInstOperands,
     /*  391557 */     // GIR_Coverage, 63286,
     /*  391557 */     GIR_EraseRootFromParent_Done,
     /*  391558 */   // Label 7007: @391558
     /*  391558 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391632), // Rule ID 63329 //
     /*  391563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391584 */     // MIs[0] op1
     /*  391584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391592 */     // MIs[0] op2
     /*  391592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391630 */     GIR_RootConstrainSelectedInstOperands,
     /*  391631 */     // GIR_Coverage, 63329,
     /*  391631 */     GIR_EraseRootFromParent_Done,
     /*  391632 */   // Label 7008: @391632
     /*  391632 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391706), // Rule ID 63330 //
     /*  391637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391658 */     // MIs[0] op1
     /*  391658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391661 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391666 */     // MIs[0] op2
     /*  391666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391685 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391690 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391692 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391694 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391704 */     GIR_RootConstrainSelectedInstOperands,
     /*  391705 */     // GIR_Coverage, 63330,
     /*  391705 */     GIR_EraseRootFromParent_Done,
     /*  391706 */   // Label 7009: @391706
     /*  391706 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391780), // Rule ID 63373 //
     /*  391711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  391722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391732 */     // MIs[0] op1
     /*  391732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391740 */     // MIs[0] op2
     /*  391740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391759 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391778 */     GIR_RootConstrainSelectedInstOperands,
     /*  391779 */     // GIR_Coverage, 63373,
     /*  391779 */     GIR_EraseRootFromParent_Done,
     /*  391780 */   // Label 7010: @391780
     /*  391780 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391854), // Rule ID 63374 //
     /*  391785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  391796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391806 */     // MIs[0] op1
     /*  391806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391814 */     // MIs[0] op2
     /*  391814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391852 */     GIR_RootConstrainSelectedInstOperands,
     /*  391853 */     // GIR_Coverage, 63374,
     /*  391853 */     GIR_EraseRootFromParent_Done,
     /*  391854 */   // Label 7011: @391854
     /*  391854 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(391928), // Rule ID 63429 //
     /*  391859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  391870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391880 */     // MIs[0] op1
     /*  391880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391888 */     // MIs[0] op2
     /*  391888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391907 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391912 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391914 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391916 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391926 */     GIR_RootConstrainSelectedInstOperands,
     /*  391927 */     // GIR_Coverage, 63429,
     /*  391927 */     GIR_EraseRootFromParent_Done,
     /*  391928 */   // Label 7012: @391928
     /*  391928 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(392002), // Rule ID 63430 //
     /*  391933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  391944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391954 */     // MIs[0] op1
     /*  391954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391962 */     // MIs[0] op2
     /*  391962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391981 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391986 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391988 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391990 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392000 */     GIR_RootConstrainSelectedInstOperands,
     /*  392001 */     // GIR_Coverage, 63430,
     /*  392001 */     GIR_EraseRootFromParent_Done,
     /*  392002 */   // Label 7013: @392002
     /*  392002 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(392076), // Rule ID 63485 //
     /*  392007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392028 */     // MIs[0] op1
     /*  392028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392036 */     // MIs[0] op2
     /*  392036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392055 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392060 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392062 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392064 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392074 */     GIR_RootConstrainSelectedInstOperands,
     /*  392075 */     // GIR_Coverage, 63485,
     /*  392075 */     GIR_EraseRootFromParent_Done,
     /*  392076 */   // Label 7014: @392076
     /*  392076 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(392150), // Rule ID 63486 //
     /*  392081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392102 */     // MIs[0] op1
     /*  392102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392110 */     // MIs[0] op2
     /*  392110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392129 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392148 */     GIR_RootConstrainSelectedInstOperands,
     /*  392149 */     // GIR_Coverage, 63486,
     /*  392149 */     GIR_EraseRootFromParent_Done,
     /*  392150 */   // Label 7015: @392150
     /*  392150 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(392224), // Rule ID 63541 //
     /*  392155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392176 */     // MIs[0] op1
     /*  392176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392184 */     // MIs[0] op2
     /*  392184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392208 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392210 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392212 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392222 */     GIR_RootConstrainSelectedInstOperands,
     /*  392223 */     // GIR_Coverage, 63541,
     /*  392223 */     GIR_EraseRootFromParent_Done,
     /*  392224 */   // Label 7016: @392224
     /*  392224 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(392298), // Rule ID 63542 //
     /*  392229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392250 */     // MIs[0] op1
     /*  392250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392258 */     // MIs[0] op2
     /*  392258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392282 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392284 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392286 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392296 */     GIR_RootConstrainSelectedInstOperands,
     /*  392297 */     // GIR_Coverage, 63542,
     /*  392297 */     GIR_EraseRootFromParent_Done,
     /*  392298 */   // Label 7017: @392298
     /*  392298 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(392372), // Rule ID 63597 //
     /*  392303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392324 */     // MIs[0] op1
     /*  392324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392332 */     // MIs[0] op2
     /*  392332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392370 */     GIR_RootConstrainSelectedInstOperands,
     /*  392371 */     // GIR_Coverage, 63597,
     /*  392371 */     GIR_EraseRootFromParent_Done,
     /*  392372 */   // Label 7018: @392372
     /*  392372 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(392446), // Rule ID 63598 //
     /*  392377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392398 */     // MIs[0] op1
     /*  392398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392406 */     // MIs[0] op2
     /*  392406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392444 */     GIR_RootConstrainSelectedInstOperands,
     /*  392445 */     // GIR_Coverage, 63598,
     /*  392445 */     GIR_EraseRootFromParent_Done,
     /*  392446 */   // Label 7019: @392446
     /*  392446 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(392520), // Rule ID 63653 //
     /*  392451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392472 */     // MIs[0] op1
     /*  392472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392480 */     // MIs[0] op2
     /*  392480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392483 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392504 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392506 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392508 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392518 */     GIR_RootConstrainSelectedInstOperands,
     /*  392519 */     // GIR_Coverage, 63653,
     /*  392519 */     GIR_EraseRootFromParent_Done,
     /*  392520 */   // Label 7020: @392520
     /*  392520 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(392594), // Rule ID 63654 //
     /*  392525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392546 */     // MIs[0] op1
     /*  392546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392554 */     // MIs[0] op2
     /*  392554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392573 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392578 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392580 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392582 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392592 */     GIR_RootConstrainSelectedInstOperands,
     /*  392593 */     // GIR_Coverage, 63654,
     /*  392593 */     GIR_EraseRootFromParent_Done,
     /*  392594 */   // Label 7021: @392594
     /*  392594 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392668), // Rule ID 63709 //
     /*  392599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392620 */     // MIs[0] op1
     /*  392620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392628 */     // MIs[0] op2
     /*  392628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392666 */     GIR_RootConstrainSelectedInstOperands,
     /*  392667 */     // GIR_Coverage, 63709,
     /*  392667 */     GIR_EraseRootFromParent_Done,
     /*  392668 */   // Label 7022: @392668
     /*  392668 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392742), // Rule ID 63710 //
     /*  392673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392694 */     // MIs[0] op1
     /*  392694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392702 */     // MIs[0] op2
     /*  392702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392726 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392728 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392730 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392740 */     GIR_RootConstrainSelectedInstOperands,
     /*  392741 */     // GIR_Coverage, 63710,
     /*  392741 */     GIR_EraseRootFromParent_Done,
     /*  392742 */   // Label 7023: @392742
     /*  392742 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392816), // Rule ID 63765 //
     /*  392747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  392758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392768 */     // MIs[0] op1
     /*  392768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392776 */     // MIs[0] op2
     /*  392776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392795 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392800 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392802 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392804 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392814 */     GIR_RootConstrainSelectedInstOperands,
     /*  392815 */     // GIR_Coverage, 63765,
     /*  392815 */     GIR_EraseRootFromParent_Done,
     /*  392816 */   // Label 7024: @392816
     /*  392816 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392890), // Rule ID 63766 //
     /*  392821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  392832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392842 */     // MIs[0] op1
     /*  392842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392850 */     // MIs[0] op2
     /*  392850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392874 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392876 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392878 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392888 */     GIR_RootConstrainSelectedInstOperands,
     /*  392889 */     // GIR_Coverage, 63766,
     /*  392889 */     GIR_EraseRootFromParent_Done,
     /*  392890 */   // Label 7025: @392890
     /*  392890 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(392964), // Rule ID 63821 //
     /*  392895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  392906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392916 */     // MIs[0] op1
     /*  392916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392924 */     // MIs[0] op2
     /*  392924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392943 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392962 */     GIR_RootConstrainSelectedInstOperands,
     /*  392963 */     // GIR_Coverage, 63821,
     /*  392963 */     GIR_EraseRootFromParent_Done,
     /*  392964 */   // Label 7026: @392964
     /*  392964 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(393038), // Rule ID 63822 //
     /*  392969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  392980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392990 */     // MIs[0] op1
     /*  392990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392998 */     // MIs[0] op2
     /*  392998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393001 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  393020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393022 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393024 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393026 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393036 */     GIR_RootConstrainSelectedInstOperands,
     /*  393037 */     // GIR_Coverage, 63822,
     /*  393037 */     GIR_EraseRootFromParent_Done,
     /*  393038 */   // Label 7027: @393038
     /*  393038 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(393112), // Rule ID 62751 //
     /*  393043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393064 */     // MIs[0] op1
     /*  393064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393076 */     // MIs[0] op3
     /*  393076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393091 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393096 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393098 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393100 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393110 */     GIR_RootConstrainSelectedInstOperands,
     /*  393111 */     // GIR_Coverage, 62751,
     /*  393111 */     GIR_EraseRootFromParent_Done,
     /*  393112 */   // Label 7028: @393112
     /*  393112 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(393186), // Rule ID 62752 //
     /*  393117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393138 */     // MIs[0] op1
     /*  393138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393150 */     // MIs[0] op3
     /*  393150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393165 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393184 */     GIR_RootConstrainSelectedInstOperands,
     /*  393185 */     // GIR_Coverage, 62752,
     /*  393185 */     GIR_EraseRootFromParent_Done,
     /*  393186 */   // Label 7029: @393186
     /*  393186 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(393260), // Rule ID 62789 //
     /*  393191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393212 */     // MIs[0] op1
     /*  393212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393224 */     // MIs[0] op3
     /*  393224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393239 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393244 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393246 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393248 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393258 */     GIR_RootConstrainSelectedInstOperands,
     /*  393259 */     // GIR_Coverage, 62789,
     /*  393259 */     GIR_EraseRootFromParent_Done,
     /*  393260 */   // Label 7030: @393260
     /*  393260 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(393334), // Rule ID 62790 //
     /*  393265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393286 */     // MIs[0] op1
     /*  393286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393298 */     // MIs[0] op3
     /*  393298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393301 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393313 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393318 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393320 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393322 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393332 */     GIR_RootConstrainSelectedInstOperands,
     /*  393333 */     // GIR_Coverage, 62790,
     /*  393333 */     GIR_EraseRootFromParent_Done,
     /*  393334 */   // Label 7031: @393334
     /*  393334 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(393408), // Rule ID 62833 //
     /*  393339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393360 */     // MIs[0] op1
     /*  393360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393372 */     // MIs[0] op3
     /*  393372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393387 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393392 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393394 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393396 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393406 */     GIR_RootConstrainSelectedInstOperands,
     /*  393407 */     // GIR_Coverage, 62833,
     /*  393407 */     GIR_EraseRootFromParent_Done,
     /*  393408 */   // Label 7032: @393408
     /*  393408 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(393482), // Rule ID 62834 //
     /*  393413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393434 */     // MIs[0] op1
     /*  393434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393446 */     // MIs[0] op3
     /*  393446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393461 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393480 */     GIR_RootConstrainSelectedInstOperands,
     /*  393481 */     // GIR_Coverage, 62834,
     /*  393481 */     GIR_EraseRootFromParent_Done,
     /*  393482 */   // Label 7033: @393482
     /*  393482 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(393556), // Rule ID 62877 //
     /*  393487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393508 */     // MIs[0] op1
     /*  393508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393520 */     // MIs[0] op3
     /*  393520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393523 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393540 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393542 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393544 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393554 */     GIR_RootConstrainSelectedInstOperands,
     /*  393555 */     // GIR_Coverage, 62877,
     /*  393555 */     GIR_EraseRootFromParent_Done,
     /*  393556 */   // Label 7034: @393556
     /*  393556 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(393630), // Rule ID 62878 //
     /*  393561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393582 */     // MIs[0] op1
     /*  393582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393594 */     // MIs[0] op3
     /*  393594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393628 */     GIR_RootConstrainSelectedInstOperands,
     /*  393629 */     // GIR_Coverage, 62878,
     /*  393629 */     GIR_EraseRootFromParent_Done,
     /*  393630 */   // Label 7035: @393630
     /*  393630 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393704), // Rule ID 62933 //
     /*  393635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393656 */     // MIs[0] op1
     /*  393656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393668 */     // MIs[0] op3
     /*  393668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393702 */     GIR_RootConstrainSelectedInstOperands,
     /*  393703 */     // GIR_Coverage, 62933,
     /*  393703 */     GIR_EraseRootFromParent_Done,
     /*  393704 */   // Label 7036: @393704
     /*  393704 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393778), // Rule ID 62934 //
     /*  393709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393730 */     // MIs[0] op1
     /*  393730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393742 */     // MIs[0] op3
     /*  393742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393776 */     GIR_RootConstrainSelectedInstOperands,
     /*  393777 */     // GIR_Coverage, 62934,
     /*  393777 */     GIR_EraseRootFromParent_Done,
     /*  393778 */   // Label 7037: @393778
     /*  393778 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393852), // Rule ID 62989 //
     /*  393783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  393794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  393797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393804 */     // MIs[0] op1
     /*  393804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393807 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393816 */     // MIs[0] op3
     /*  393816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393831 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393836 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393838 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393840 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393850 */     GIR_RootConstrainSelectedInstOperands,
     /*  393851 */     // GIR_Coverage, 62989,
     /*  393851 */     GIR_EraseRootFromParent_Done,
     /*  393852 */   // Label 7038: @393852
     /*  393852 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(393926), // Rule ID 62990 //
     /*  393857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  393868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  393871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393878 */     // MIs[0] op1
     /*  393878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393890 */     // MIs[0] op3
     /*  393890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393910 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393912 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393914 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393924 */     GIR_RootConstrainSelectedInstOperands,
     /*  393925 */     // GIR_Coverage, 62990,
     /*  393925 */     GIR_EraseRootFromParent_Done,
     /*  393926 */   // Label 7039: @393926
     /*  393926 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(394000), // Rule ID 63045 //
     /*  393931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  393942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  393945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393952 */     // MIs[0] op1
     /*  393952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393964 */     // MIs[0] op3
     /*  393964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  393982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393998 */     GIR_RootConstrainSelectedInstOperands,
     /*  393999 */     // GIR_Coverage, 63045,
     /*  393999 */     GIR_EraseRootFromParent_Done,
     /*  394000 */   // Label 7040: @394000
     /*  394000 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(394074), // Rule ID 63046 //
     /*  394005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  394016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  394019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394026 */     // MIs[0] op1
     /*  394026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394029 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394038 */     // MIs[0] op3
     /*  394038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394058 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394060 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394062 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394072 */     GIR_RootConstrainSelectedInstOperands,
     /*  394073 */     // GIR_Coverage, 63046,
     /*  394073 */     GIR_EraseRootFromParent_Done,
     /*  394074 */   // Label 7041: @394074
     /*  394074 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(394148), // Rule ID 63089 //
     /*  394079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394100 */     // MIs[0] op1
     /*  394100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394103 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394112 */     // MIs[0] op3
     /*  394112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394132 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394134 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394136 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394146 */     GIR_RootConstrainSelectedInstOperands,
     /*  394147 */     // GIR_Coverage, 63089,
     /*  394147 */     GIR_EraseRootFromParent_Done,
     /*  394148 */   // Label 7042: @394148
     /*  394148 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(394222), // Rule ID 63090 //
     /*  394153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394174 */     // MIs[0] op1
     /*  394174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394177 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394186 */     // MIs[0] op3
     /*  394186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394201 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394206 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394208 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394210 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394220 */     GIR_RootConstrainSelectedInstOperands,
     /*  394221 */     // GIR_Coverage, 63090,
     /*  394221 */     GIR_EraseRootFromParent_Done,
     /*  394222 */   // Label 7043: @394222
     /*  394222 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(394296), // Rule ID 63145 //
     /*  394227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394248 */     // MIs[0] op1
     /*  394248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394260 */     // MIs[0] op3
     /*  394260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394280 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394282 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394284 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394294 */     GIR_RootConstrainSelectedInstOperands,
     /*  394295 */     // GIR_Coverage, 63145,
     /*  394295 */     GIR_EraseRootFromParent_Done,
     /*  394296 */   // Label 7044: @394296
     /*  394296 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(394370), // Rule ID 63146 //
     /*  394301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394322 */     // MIs[0] op1
     /*  394322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394334 */     // MIs[0] op3
     /*  394334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394354 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394356 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394358 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394368 */     GIR_RootConstrainSelectedInstOperands,
     /*  394369 */     // GIR_Coverage, 63146,
     /*  394369 */     GIR_EraseRootFromParent_Done,
     /*  394370 */   // Label 7045: @394370
     /*  394370 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(394444), // Rule ID 63201 //
     /*  394375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394396 */     // MIs[0] op1
     /*  394396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394408 */     // MIs[0] op3
     /*  394408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394423 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394428 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394430 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394432 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394442 */     GIR_RootConstrainSelectedInstOperands,
     /*  394443 */     // GIR_Coverage, 63201,
     /*  394443 */     GIR_EraseRootFromParent_Done,
     /*  394444 */   // Label 7046: @394444
     /*  394444 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(394518), // Rule ID 63202 //
     /*  394449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394470 */     // MIs[0] op1
     /*  394470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394482 */     // MIs[0] op3
     /*  394482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394516 */     GIR_RootConstrainSelectedInstOperands,
     /*  394517 */     // GIR_Coverage, 63202,
     /*  394517 */     GIR_EraseRootFromParent_Done,
     /*  394518 */   // Label 7047: @394518
     /*  394518 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(394592), // Rule ID 63257 //
     /*  394523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394544 */     // MIs[0] op1
     /*  394544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394556 */     // MIs[0] op3
     /*  394556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394590 */     GIR_RootConstrainSelectedInstOperands,
     /*  394591 */     // GIR_Coverage, 63257,
     /*  394591 */     GIR_EraseRootFromParent_Done,
     /*  394592 */   // Label 7048: @394592
     /*  394592 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394666), // Rule ID 63258 //
     /*  394597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394618 */     // MIs[0] op1
     /*  394618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394630 */     // MIs[0] op3
     /*  394630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394645 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394650 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394652 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394654 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394664 */     GIR_RootConstrainSelectedInstOperands,
     /*  394665 */     // GIR_Coverage, 63258,
     /*  394665 */     GIR_EraseRootFromParent_Done,
     /*  394666 */   // Label 7049: @394666
     /*  394666 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394740), // Rule ID 63301 //
     /*  394671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  394682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  394685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394692 */     // MIs[0] op1
     /*  394692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394704 */     // MIs[0] op3
     /*  394704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394724 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394726 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394728 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394738 */     GIR_RootConstrainSelectedInstOperands,
     /*  394739 */     // GIR_Coverage, 63301,
     /*  394739 */     GIR_EraseRootFromParent_Done,
     /*  394740 */   // Label 7050: @394740
     /*  394740 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394814), // Rule ID 63302 //
     /*  394745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  394756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  394759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394766 */     // MIs[0] op1
     /*  394766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394778 */     // MIs[0] op3
     /*  394778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394798 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394800 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394802 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394812 */     GIR_RootConstrainSelectedInstOperands,
     /*  394813 */     // GIR_Coverage, 63302,
     /*  394813 */     GIR_EraseRootFromParent_Done,
     /*  394814 */   // Label 7051: @394814
     /*  394814 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394888), // Rule ID 63345 //
     /*  394819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  394830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  394833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394840 */     // MIs[0] op1
     /*  394840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394852 */     // MIs[0] op3
     /*  394852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394872 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394874 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394876 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394886 */     GIR_RootConstrainSelectedInstOperands,
     /*  394887 */     // GIR_Coverage, 63345,
     /*  394887 */     GIR_EraseRootFromParent_Done,
     /*  394888 */   // Label 7052: @394888
     /*  394888 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(394962), // Rule ID 63346 //
     /*  394893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  394904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  394907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394914 */     // MIs[0] op1
     /*  394914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394926 */     // MIs[0] op3
     /*  394926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394941 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394946 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394948 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394950 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394960 */     GIR_RootConstrainSelectedInstOperands,
     /*  394961 */     // GIR_Coverage, 63346,
     /*  394961 */     GIR_EraseRootFromParent_Done,
     /*  394962 */   // Label 7053: @394962
     /*  394962 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(395036), // Rule ID 63389 //
     /*  394967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  394978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  394981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394988 */     // MIs[0] op1
     /*  394988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395000 */     // MIs[0] op3
     /*  395000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395034 */     GIR_RootConstrainSelectedInstOperands,
     /*  395035 */     // GIR_Coverage, 63389,
     /*  395035 */     GIR_EraseRootFromParent_Done,
     /*  395036 */   // Label 7054: @395036
     /*  395036 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(395110), // Rule ID 63390 //
     /*  395041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  395052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  395055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395062 */     // MIs[0] op1
     /*  395062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395074 */     // MIs[0] op3
     /*  395074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395108 */     GIR_RootConstrainSelectedInstOperands,
     /*  395109 */     // GIR_Coverage, 63390,
     /*  395109 */     GIR_EraseRootFromParent_Done,
     /*  395110 */   // Label 7055: @395110
     /*  395110 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(395184), // Rule ID 63445 //
     /*  395115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395136 */     // MIs[0] op1
     /*  395136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395148 */     // MIs[0] op3
     /*  395148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395168 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395170 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395172 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395182 */     GIR_RootConstrainSelectedInstOperands,
     /*  395183 */     // GIR_Coverage, 63445,
     /*  395183 */     GIR_EraseRootFromParent_Done,
     /*  395184 */   // Label 7056: @395184
     /*  395184 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(395258), // Rule ID 63446 //
     /*  395189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395210 */     // MIs[0] op1
     /*  395210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395222 */     // MIs[0] op3
     /*  395222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395242 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395244 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395246 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395256 */     GIR_RootConstrainSelectedInstOperands,
     /*  395257 */     // GIR_Coverage, 63446,
     /*  395257 */     GIR_EraseRootFromParent_Done,
     /*  395258 */   // Label 7057: @395258
     /*  395258 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(395332), // Rule ID 63501 //
     /*  395263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395284 */     // MIs[0] op1
     /*  395284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395296 */     // MIs[0] op3
     /*  395296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395330 */     GIR_RootConstrainSelectedInstOperands,
     /*  395331 */     // GIR_Coverage, 63501,
     /*  395331 */     GIR_EraseRootFromParent_Done,
     /*  395332 */   // Label 7058: @395332
     /*  395332 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(395406), // Rule ID 63502 //
     /*  395337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395358 */     // MIs[0] op1
     /*  395358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395370 */     // MIs[0] op3
     /*  395370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395373 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395385 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395390 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395392 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395394 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395404 */     GIR_RootConstrainSelectedInstOperands,
     /*  395405 */     // GIR_Coverage, 63502,
     /*  395405 */     GIR_EraseRootFromParent_Done,
     /*  395406 */   // Label 7059: @395406
     /*  395406 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(395480), // Rule ID 63557 //
     /*  395411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395432 */     // MIs[0] op1
     /*  395432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395444 */     // MIs[0] op3
     /*  395444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395464 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395466 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395468 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395478 */     GIR_RootConstrainSelectedInstOperands,
     /*  395479 */     // GIR_Coverage, 63557,
     /*  395479 */     GIR_EraseRootFromParent_Done,
     /*  395480 */   // Label 7060: @395480
     /*  395480 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(395554), // Rule ID 63558 //
     /*  395485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395506 */     // MIs[0] op1
     /*  395506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395518 */     // MIs[0] op3
     /*  395518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395538 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395540 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395542 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395552 */     GIR_RootConstrainSelectedInstOperands,
     /*  395553 */     // GIR_Coverage, 63558,
     /*  395553 */     GIR_EraseRootFromParent_Done,
     /*  395554 */   // Label 7061: @395554
     /*  395554 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395628), // Rule ID 63613 //
     /*  395559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395580 */     // MIs[0] op1
     /*  395580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395592 */     // MIs[0] op3
     /*  395592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395607 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395626 */     GIR_RootConstrainSelectedInstOperands,
     /*  395627 */     // GIR_Coverage, 63613,
     /*  395627 */     GIR_EraseRootFromParent_Done,
     /*  395628 */   // Label 7062: @395628
     /*  395628 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395702), // Rule ID 63614 //
     /*  395633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395654 */     // MIs[0] op1
     /*  395654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395666 */     // MIs[0] op3
     /*  395666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395686 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395688 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395690 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395700 */     GIR_RootConstrainSelectedInstOperands,
     /*  395701 */     // GIR_Coverage, 63614,
     /*  395701 */     GIR_EraseRootFromParent_Done,
     /*  395702 */   // Label 7063: @395702
     /*  395702 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395776), // Rule ID 63669 //
     /*  395707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395728 */     // MIs[0] op1
     /*  395728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395740 */     // MIs[0] op3
     /*  395740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395755 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395760 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395762 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395764 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395774 */     GIR_RootConstrainSelectedInstOperands,
     /*  395775 */     // GIR_Coverage, 63669,
     /*  395775 */     GIR_EraseRootFromParent_Done,
     /*  395776 */   // Label 7064: @395776
     /*  395776 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395850), // Rule ID 63670 //
     /*  395781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395802 */     // MIs[0] op1
     /*  395802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395814 */     // MIs[0] op3
     /*  395814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395848 */     GIR_RootConstrainSelectedInstOperands,
     /*  395849 */     // GIR_Coverage, 63670,
     /*  395849 */     GIR_EraseRootFromParent_Done,
     /*  395850 */   // Label 7065: @395850
     /*  395850 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(395924), // Rule ID 63725 //
     /*  395855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  395866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  395869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395876 */     // MIs[0] op1
     /*  395876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395888 */     // MIs[0] op3
     /*  395888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  395903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395908 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395910 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395912 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395922 */     GIR_RootConstrainSelectedInstOperands,
     /*  395923 */     // GIR_Coverage, 63725,
     /*  395923 */     GIR_EraseRootFromParent_Done,
     /*  395924 */   // Label 7066: @395924
     /*  395924 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(395998), // Rule ID 63726 //
     /*  395929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  395940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  395943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395950 */     // MIs[0] op1
     /*  395950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395962 */     // MIs[0] op3
     /*  395962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  395977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395982 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395984 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395986 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395996 */     GIR_RootConstrainSelectedInstOperands,
     /*  395997 */     // GIR_Coverage, 63726,
     /*  395997 */     GIR_EraseRootFromParent_Done,
     /*  395998 */   // Label 7067: @395998
     /*  395998 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(396072), // Rule ID 63781 //
     /*  396003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396024 */     // MIs[0] op1
     /*  396024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396036 */     // MIs[0] op3
     /*  396036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396056 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396058 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396060 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396070 */     GIR_RootConstrainSelectedInstOperands,
     /*  396071 */     // GIR_Coverage, 63781,
     /*  396071 */     GIR_EraseRootFromParent_Done,
     /*  396072 */   // Label 7068: @396072
     /*  396072 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(396146), // Rule ID 63782 //
     /*  396077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396098 */     // MIs[0] op1
     /*  396098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396110 */     // MIs[0] op3
     /*  396110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396125 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396144 */     GIR_RootConstrainSelectedInstOperands,
     /*  396145 */     // GIR_Coverage, 63782,
     /*  396145 */     GIR_EraseRootFromParent_Done,
     /*  396146 */   // Label 7069: @396146
     /*  396146 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(396220), // Rule ID 63837 //
     /*  396151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396172 */     // MIs[0] op1
     /*  396172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396184 */     // MIs[0] op3
     /*  396184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396204 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396206 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396208 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396218 */     GIR_RootConstrainSelectedInstOperands,
     /*  396219 */     // GIR_Coverage, 63837,
     /*  396219 */     GIR_EraseRootFromParent_Done,
     /*  396220 */   // Label 7070: @396220
     /*  396220 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(396294), // Rule ID 63838 //
     /*  396225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396246 */     // MIs[0] op1
     /*  396246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396258 */     // MIs[0] op3
     /*  396258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396273 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396292 */     GIR_RootConstrainSelectedInstOperands,
     /*  396293 */     // GIR_Coverage, 63838,
     /*  396293 */     GIR_EraseRootFromParent_Done,
     /*  396294 */   // Label 7071: @396294
     /*  396294 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(396369), // Rule ID 7231 //
     /*  396299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396334 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396345 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396367 */     GIR_RootConstrainSelectedInstOperands,
     /*  396368 */     // GIR_Coverage, 7231,
     /*  396368 */     GIR_EraseRootFromParent_Done,
     /*  396369 */   // Label 7072: @396369
     /*  396369 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(396444), // Rule ID 7232 //
     /*  396374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396442 */     GIR_RootConstrainSelectedInstOperands,
     /*  396443 */     // GIR_Coverage, 7232,
     /*  396443 */     GIR_EraseRootFromParent_Done,
     /*  396444 */   // Label 7073: @396444
     /*  396444 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(396519), // Rule ID 7235 //
     /*  396449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396495 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396517 */     GIR_RootConstrainSelectedInstOperands,
     /*  396518 */     // GIR_Coverage, 7235,
     /*  396518 */     GIR_EraseRootFromParent_Done,
     /*  396519 */   // Label 7074: @396519
     /*  396519 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(396594), // Rule ID 7236 //
     /*  396524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396559 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396570 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396592 */     GIR_RootConstrainSelectedInstOperands,
     /*  396593 */     // GIR_Coverage, 7236,
     /*  396593 */     GIR_EraseRootFromParent_Done,
     /*  396594 */   // Label 7075: @396594
     /*  396594 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396669), // Rule ID 7239 //
     /*  396599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  396610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  396613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  396616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396634 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396645 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  396648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396667 */     GIR_RootConstrainSelectedInstOperands,
     /*  396668 */     // GIR_Coverage, 7239,
     /*  396668 */     GIR_EraseRootFromParent_Done,
     /*  396669 */   // Label 7076: @396669
     /*  396669 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396744), // Rule ID 7240 //
     /*  396674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  396685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  396688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  396691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396709 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396720 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  396723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396742 */     GIR_RootConstrainSelectedInstOperands,
     /*  396743 */     // GIR_Coverage, 7240,
     /*  396743 */     GIR_EraseRootFromParent_Done,
     /*  396744 */   // Label 7077: @396744
     /*  396744 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396819), // Rule ID 7243 //
     /*  396749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  396760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  396763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  396766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396817 */     GIR_RootConstrainSelectedInstOperands,
     /*  396818 */     // GIR_Coverage, 7243,
     /*  396818 */     GIR_EraseRootFromParent_Done,
     /*  396819 */   // Label 7078: @396819
     /*  396819 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396894), // Rule ID 7244 //
     /*  396824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  396835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  396838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  396841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396859 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396870 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  396870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396892 */     GIR_RootConstrainSelectedInstOperands,
     /*  396893 */     // GIR_Coverage, 7244,
     /*  396893 */     GIR_EraseRootFromParent_Done,
     /*  396894 */   // Label 7079: @396894
     /*  396894 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(396969), // Rule ID 7247 //
     /*  396899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396934 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396945 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  396948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396967 */     GIR_RootConstrainSelectedInstOperands,
     /*  396968 */     // GIR_Coverage, 7247,
     /*  396968 */     GIR_EraseRootFromParent_Done,
     /*  396969 */   // Label 7080: @396969
     /*  396969 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(397044), // Rule ID 7248 //
     /*  396974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397009 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397042 */     GIR_RootConstrainSelectedInstOperands,
     /*  397043 */     // GIR_Coverage, 7248,
     /*  397043 */     GIR_EraseRootFromParent_Done,
     /*  397044 */   // Label 7081: @397044
     /*  397044 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(397119), // Rule ID 7251 //
     /*  397049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397084 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397095 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397117 */     GIR_RootConstrainSelectedInstOperands,
     /*  397118 */     // GIR_Coverage, 7251,
     /*  397118 */     GIR_EraseRootFromParent_Done,
     /*  397119 */   // Label 7082: @397119
     /*  397119 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(397194), // Rule ID 7252 //
     /*  397124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397159 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397170 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397192 */     GIR_RootConstrainSelectedInstOperands,
     /*  397193 */     // GIR_Coverage, 7252,
     /*  397193 */     GIR_EraseRootFromParent_Done,
     /*  397194 */   // Label 7083: @397194
     /*  397194 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(397269), // Rule ID 7255 //
     /*  397199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397234 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397267 */     GIR_RootConstrainSelectedInstOperands,
     /*  397268 */     // GIR_Coverage, 7255,
     /*  397268 */     GIR_EraseRootFromParent_Done,
     /*  397269 */   // Label 7084: @397269
     /*  397269 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(397344), // Rule ID 7256 //
     /*  397274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397309 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397342 */     GIR_RootConstrainSelectedInstOperands,
     /*  397343 */     // GIR_Coverage, 7256,
     /*  397343 */     GIR_EraseRootFromParent_Done,
     /*  397344 */   // Label 7085: @397344
     /*  397344 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(397419), // Rule ID 7259 //
     /*  397349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397384 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397395 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397417 */     GIR_RootConstrainSelectedInstOperands,
     /*  397418 */     // GIR_Coverage, 7259,
     /*  397418 */     GIR_EraseRootFromParent_Done,
     /*  397419 */   // Label 7086: @397419
     /*  397419 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(397494), // Rule ID 7260 //
     /*  397424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397492 */     GIR_RootConstrainSelectedInstOperands,
     /*  397493 */     // GIR_Coverage, 7260,
     /*  397493 */     GIR_EraseRootFromParent_Done,
     /*  397494 */   // Label 7087: @397494
     /*  397494 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(397569), // Rule ID 7263 //
     /*  397499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397545 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397567 */     GIR_RootConstrainSelectedInstOperands,
     /*  397568 */     // GIR_Coverage, 7263,
     /*  397568 */     GIR_EraseRootFromParent_Done,
     /*  397569 */   // Label 7088: @397569
     /*  397569 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397644), // Rule ID 7264 //
     /*  397574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397609 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397642 */     GIR_RootConstrainSelectedInstOperands,
     /*  397643 */     // GIR_Coverage, 7264,
     /*  397643 */     GIR_EraseRootFromParent_Done,
     /*  397644 */   // Label 7089: @397644
     /*  397644 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397719), // Rule ID 7267 //
     /*  397649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  397652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  397660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  397663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  397666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397684 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397695 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  397695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397717 */     GIR_RootConstrainSelectedInstOperands,
     /*  397718 */     // GIR_Coverage, 7267,
     /*  397718 */     GIR_EraseRootFromParent_Done,
     /*  397719 */   // Label 7090: @397719
     /*  397719 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397794), // Rule ID 7268 //
     /*  397724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  397727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  397735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  397738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  397741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397759 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  397770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397792 */     GIR_RootConstrainSelectedInstOperands,
     /*  397793 */     // GIR_Coverage, 7268,
     /*  397793 */     GIR_EraseRootFromParent_Done,
     /*  397794 */   // Label 7091: @397794
     /*  397794 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397869), // Rule ID 7271 //
     /*  397799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  397810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  397813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  397816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397834 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397845 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397867 */     GIR_RootConstrainSelectedInstOperands,
     /*  397868 */     // GIR_Coverage, 7271,
     /*  397868 */     GIR_EraseRootFromParent_Done,
     /*  397869 */   // Label 7092: @397869
     /*  397869 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(397944), // Rule ID 7272 //
     /*  397874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  397885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  397888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  397891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397909 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397942 */     GIR_RootConstrainSelectedInstOperands,
     /*  397943 */     // GIR_Coverage, 7272,
     /*  397943 */     GIR_EraseRootFromParent_Done,
     /*  397944 */   // Label 7093: @397944
     /*  397944 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(398019), // Rule ID 7275 //
     /*  397949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  397960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  397963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  397966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397995 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  397998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398017 */     GIR_RootConstrainSelectedInstOperands,
     /*  398018 */     // GIR_Coverage, 7275,
     /*  398018 */     GIR_EraseRootFromParent_Done,
     /*  398019 */   // Label 7094: @398019
     /*  398019 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(398094), // Rule ID 7276 //
     /*  398024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  398035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  398038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  398041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398059 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398092 */     GIR_RootConstrainSelectedInstOperands,
     /*  398093 */     // GIR_Coverage, 7276,
     /*  398093 */     GIR_EraseRootFromParent_Done,
     /*  398094 */   // Label 7095: @398094
     /*  398094 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(398169), // Rule ID 7279 //
     /*  398099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398134 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398145 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398167 */     GIR_RootConstrainSelectedInstOperands,
     /*  398168 */     // GIR_Coverage, 7279,
     /*  398168 */     GIR_EraseRootFromParent_Done,
     /*  398169 */   // Label 7096: @398169
     /*  398169 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(398244), // Rule ID 7280 //
     /*  398174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398220 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398242 */     GIR_RootConstrainSelectedInstOperands,
     /*  398243 */     // GIR_Coverage, 7280,
     /*  398243 */     GIR_EraseRootFromParent_Done,
     /*  398244 */   // Label 7097: @398244
     /*  398244 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(398319), // Rule ID 7283 //
     /*  398249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398284 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398295 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398317 */     GIR_RootConstrainSelectedInstOperands,
     /*  398318 */     // GIR_Coverage, 7283,
     /*  398318 */     GIR_EraseRootFromParent_Done,
     /*  398319 */   // Label 7098: @398319
     /*  398319 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(398394), // Rule ID 7284 //
     /*  398324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398359 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398392 */     GIR_RootConstrainSelectedInstOperands,
     /*  398393 */     // GIR_Coverage, 7284,
     /*  398393 */     GIR_EraseRootFromParent_Done,
     /*  398394 */   // Label 7099: @398394
     /*  398394 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(398469), // Rule ID 7287 //
     /*  398399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398434 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398445 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398467 */     GIR_RootConstrainSelectedInstOperands,
     /*  398468 */     // GIR_Coverage, 7287,
     /*  398468 */     GIR_EraseRootFromParent_Done,
     /*  398469 */   // Label 7100: @398469
     /*  398469 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(398544), // Rule ID 7288 //
     /*  398474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398509 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398520 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398542 */     GIR_RootConstrainSelectedInstOperands,
     /*  398543 */     // GIR_Coverage, 7288,
     /*  398543 */     GIR_EraseRootFromParent_Done,
     /*  398544 */   // Label 7101: @398544
     /*  398544 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(398619), // Rule ID 7291 //
     /*  398549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398584 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398617 */     GIR_RootConstrainSelectedInstOperands,
     /*  398618 */     // GIR_Coverage, 7291,
     /*  398618 */     GIR_EraseRootFromParent_Done,
     /*  398619 */   // Label 7102: @398619
     /*  398619 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398694), // Rule ID 7292 //
     /*  398624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398659 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398670 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398692 */     GIR_RootConstrainSelectedInstOperands,
     /*  398693 */     // GIR_Coverage, 7292,
     /*  398693 */     GIR_EraseRootFromParent_Done,
     /*  398694 */   // Label 7103: @398694
     /*  398694 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398769), // Rule ID 7295 //
     /*  398699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  398710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  398713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  398716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398734 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398767 */     GIR_RootConstrainSelectedInstOperands,
     /*  398768 */     // GIR_Coverage, 7295,
     /*  398768 */     GIR_EraseRootFromParent_Done,
     /*  398769 */   // Label 7104: @398769
     /*  398769 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398844), // Rule ID 7296 //
     /*  398774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  398785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  398788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  398791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398809 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398842 */     GIR_RootConstrainSelectedInstOperands,
     /*  398843 */     // GIR_Coverage, 7296,
     /*  398843 */     GIR_EraseRootFromParent_Done,
     /*  398844 */   // Label 7105: @398844
     /*  398844 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(398919), // Rule ID 7299 //
     /*  398849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  398860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  398863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  398866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398895 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398917 */     GIR_RootConstrainSelectedInstOperands,
     /*  398918 */     // GIR_Coverage, 7299,
     /*  398918 */     GIR_EraseRootFromParent_Done,
     /*  398919 */   // Label 7106: @398919
     /*  398919 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(398994), // Rule ID 7300 //
     /*  398924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  398935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  398938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  398941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398959 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398992 */     GIR_RootConstrainSelectedInstOperands,
     /*  398993 */     // GIR_Coverage, 7300,
     /*  398993 */     GIR_EraseRootFromParent_Done,
     /*  398994 */   // Label 7107: @398994
     /*  398994 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(399069), // Rule ID 7303 //
     /*  398999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399034 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399067 */     GIR_RootConstrainSelectedInstOperands,
     /*  399068 */     // GIR_Coverage, 7303,
     /*  399068 */     GIR_EraseRootFromParent_Done,
     /*  399069 */   // Label 7108: @399069
     /*  399069 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(399144), // Rule ID 7304 //
     /*  399074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399109 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399120 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399142 */     GIR_RootConstrainSelectedInstOperands,
     /*  399143 */     // GIR_Coverage, 7304,
     /*  399143 */     GIR_EraseRootFromParent_Done,
     /*  399144 */   // Label 7109: @399144
     /*  399144 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(399219), // Rule ID 7307 //
     /*  399149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399184 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399195 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399217 */     GIR_RootConstrainSelectedInstOperands,
     /*  399218 */     // GIR_Coverage, 7307,
     /*  399218 */     GIR_EraseRootFromParent_Done,
     /*  399219 */   // Label 7110: @399219
     /*  399219 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(399294), // Rule ID 7308 //
     /*  399224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399259 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399292 */     GIR_RootConstrainSelectedInstOperands,
     /*  399293 */     // GIR_Coverage, 7308,
     /*  399293 */     GIR_EraseRootFromParent_Done,
     /*  399294 */   // Label 7111: @399294
     /*  399294 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(399369), // Rule ID 7311 //
     /*  399299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399334 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399345 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399367 */     GIR_RootConstrainSelectedInstOperands,
     /*  399368 */     // GIR_Coverage, 7311,
     /*  399368 */     GIR_EraseRootFromParent_Done,
     /*  399369 */   // Label 7112: @399369
     /*  399369 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(399444), // Rule ID 7312 //
     /*  399374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399442 */     GIR_RootConstrainSelectedInstOperands,
     /*  399443 */     // GIR_Coverage, 7312,
     /*  399443 */     GIR_EraseRootFromParent_Done,
     /*  399444 */   // Label 7113: @399444
     /*  399444 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(399519), // Rule ID 7315 //
     /*  399449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399517 */     GIR_RootConstrainSelectedInstOperands,
     /*  399518 */     // GIR_Coverage, 7315,
     /*  399518 */     GIR_EraseRootFromParent_Done,
     /*  399519 */   // Label 7114: @399519
     /*  399519 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(399594), // Rule ID 7316 //
     /*  399524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399559 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399570 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399592 */     GIR_RootConstrainSelectedInstOperands,
     /*  399593 */     // GIR_Coverage, 7316,
     /*  399593 */     GIR_EraseRootFromParent_Done,
     /*  399594 */   // Label 7115: @399594
     /*  399594 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399671), // Rule ID 2629 //
     /*  399599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  399610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  399613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  399616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399631 */     // MIs[0] Operand 4
     /*  399631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399649 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  399652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399669 */     GIR_RootConstrainSelectedInstOperands,
     /*  399670 */     // GIR_Coverage, 2629,
     /*  399670 */     GIR_EraseRootFromParent_Done,
     /*  399671 */   // Label 7116: @399671
     /*  399671 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399748), // Rule ID 2630 //
     /*  399676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  399687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  399690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  399693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399708 */     // MIs[0] Operand 4
     /*  399708 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399726 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  399729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399746 */     GIR_RootConstrainSelectedInstOperands,
     /*  399747 */     // GIR_Coverage, 2630,
     /*  399747 */     GIR_EraseRootFromParent_Done,
     /*  399748 */   // Label 7117: @399748
     /*  399748 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399825), // Rule ID 20513 //
     /*  399753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  399764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  399767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399785 */     // MIs[0] Operand 4
     /*  399785 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  399806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399823 */     GIR_RootConstrainSelectedInstOperands,
     /*  399824 */     // GIR_Coverage, 20513,
     /*  399824 */     GIR_EraseRootFromParent_Done,
     /*  399825 */   // Label 7118: @399825
     /*  399825 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399902), // Rule ID 20514 //
     /*  399830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  399841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  399844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399862 */     // MIs[0] Operand 4
     /*  399862 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  399883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399900 */     GIR_RootConstrainSelectedInstOperands,
     /*  399901 */     // GIR_Coverage, 20514,
     /*  399901 */     GIR_EraseRootFromParent_Done,
     /*  399902 */   // Label 7119: @399902
     /*  399902 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(399979), // Rule ID 20517 //
     /*  399907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  399910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399939 */     // MIs[0] Operand 4
     /*  399939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399957 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  399960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399977 */     GIR_RootConstrainSelectedInstOperands,
     /*  399978 */     // GIR_Coverage, 20517,
     /*  399978 */     GIR_EraseRootFromParent_Done,
     /*  399979 */   // Label 7120: @399979
     /*  399979 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(400056), // Rule ID 20518 //
     /*  399984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  399987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400016 */     // MIs[0] Operand 4
     /*  400016 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400054 */     GIR_RootConstrainSelectedInstOperands,
     /*  400055 */     // GIR_Coverage, 20518,
     /*  400055 */     GIR_EraseRootFromParent_Done,
     /*  400056 */   // Label 7121: @400056
     /*  400056 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(400133), // Rule ID 20521 //
     /*  400061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400093 */     // MIs[0] Operand 4
     /*  400093 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400111 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400131 */     GIR_RootConstrainSelectedInstOperands,
     /*  400132 */     // GIR_Coverage, 20521,
     /*  400132 */     GIR_EraseRootFromParent_Done,
     /*  400133 */   // Label 7122: @400133
     /*  400133 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(400210), // Rule ID 20522 //
     /*  400138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400170 */     // MIs[0] Operand 4
     /*  400170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400208 */     GIR_RootConstrainSelectedInstOperands,
     /*  400209 */     // GIR_Coverage, 20522,
     /*  400209 */     GIR_EraseRootFromParent_Done,
     /*  400210 */   // Label 7123: @400210
     /*  400210 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(400287), // Rule ID 20525 //
     /*  400215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400247 */     // MIs[0] Operand 4
     /*  400247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400285 */     GIR_RootConstrainSelectedInstOperands,
     /*  400286 */     // GIR_Coverage, 20525,
     /*  400286 */     GIR_EraseRootFromParent_Done,
     /*  400287 */   // Label 7124: @400287
     /*  400287 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(400364), // Rule ID 20526 //
     /*  400292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  400295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400324 */     // MIs[0] Operand 4
     /*  400324 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400362 */     GIR_RootConstrainSelectedInstOperands,
     /*  400363 */     // GIR_Coverage, 20526,
     /*  400363 */     GIR_EraseRootFromParent_Done,
     /*  400364 */   // Label 7125: @400364
     /*  400364 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(400441), // Rule ID 20529 //
     /*  400369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  400372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400401 */     // MIs[0] Operand 4
     /*  400401 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400419 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400439 */     GIR_RootConstrainSelectedInstOperands,
     /*  400440 */     // GIR_Coverage, 20529,
     /*  400440 */     GIR_EraseRootFromParent_Done,
     /*  400441 */   // Label 7126: @400441
     /*  400441 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(400518), // Rule ID 20530 //
     /*  400446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  400449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400478 */     // MIs[0] Operand 4
     /*  400478 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400516 */     GIR_RootConstrainSelectedInstOperands,
     /*  400517 */     // GIR_Coverage, 20530,
     /*  400517 */     GIR_EraseRootFromParent_Done,
     /*  400518 */   // Label 7127: @400518
     /*  400518 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(400595), // Rule ID 20533 //
     /*  400523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400555 */     // MIs[0] Operand 4
     /*  400555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400573 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400593 */     GIR_RootConstrainSelectedInstOperands,
     /*  400594 */     // GIR_Coverage, 20533,
     /*  400594 */     GIR_EraseRootFromParent_Done,
     /*  400595 */   // Label 7128: @400595
     /*  400595 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(400672), // Rule ID 20534 //
     /*  400600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400632 */     // MIs[0] Operand 4
     /*  400632 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400670 */     GIR_RootConstrainSelectedInstOperands,
     /*  400671 */     // GIR_Coverage, 20534,
     /*  400671 */     GIR_EraseRootFromParent_Done,
     /*  400672 */   // Label 7129: @400672
     /*  400672 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400749), // Rule ID 20537 //
     /*  400677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  400691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400709 */     // MIs[0] Operand 4
     /*  400709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  400730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400747 */     GIR_RootConstrainSelectedInstOperands,
     /*  400748 */     // GIR_Coverage, 20537,
     /*  400748 */     GIR_EraseRootFromParent_Done,
     /*  400749 */   // Label 7130: @400749
     /*  400749 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400826), // Rule ID 20538 //
     /*  400754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  400768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400786 */     // MIs[0] Operand 4
     /*  400786 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  400807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400824 */     GIR_RootConstrainSelectedInstOperands,
     /*  400825 */     // GIR_Coverage, 20538,
     /*  400825 */     GIR_EraseRootFromParent_Done,
     /*  400826 */   // Label 7131: @400826
     /*  400826 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400903), // Rule ID 20541 //
     /*  400831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  400845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400863 */     // MIs[0] Operand 4
     /*  400863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400901 */     GIR_RootConstrainSelectedInstOperands,
     /*  400902 */     // GIR_Coverage, 20541,
     /*  400902 */     GIR_EraseRootFromParent_Done,
     /*  400903 */   // Label 7132: @400903
     /*  400903 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(400980), // Rule ID 20542 //
     /*  400908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  400922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400940 */     // MIs[0] Operand 4
     /*  400940 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400978 */     GIR_RootConstrainSelectedInstOperands,
     /*  400979 */     // GIR_Coverage, 20542,
     /*  400979 */     GIR_EraseRootFromParent_Done,
     /*  400980 */   // Label 7133: @400980
     /*  400980 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(401057), // Rule ID 20545 //
     /*  400985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  400999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401017 */     // MIs[0] Operand 4
     /*  401017 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401055 */     GIR_RootConstrainSelectedInstOperands,
     /*  401056 */     // GIR_Coverage, 20545,
     /*  401056 */     GIR_EraseRootFromParent_Done,
     /*  401057 */   // Label 7134: @401057
     /*  401057 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(401134), // Rule ID 20546 //
     /*  401062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401094 */     // MIs[0] Operand 4
     /*  401094 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401112 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401132 */     GIR_RootConstrainSelectedInstOperands,
     /*  401133 */     // GIR_Coverage, 20546,
     /*  401133 */     GIR_EraseRootFromParent_Done,
     /*  401134 */   // Label 7135: @401134
     /*  401134 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(401211), // Rule ID 20549 //
     /*  401139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401171 */     // MIs[0] Operand 4
     /*  401171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401189 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401209 */     GIR_RootConstrainSelectedInstOperands,
     /*  401210 */     // GIR_Coverage, 20549,
     /*  401210 */     GIR_EraseRootFromParent_Done,
     /*  401211 */   // Label 7136: @401211
     /*  401211 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(401288), // Rule ID 20550 //
     /*  401216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401248 */     // MIs[0] Operand 4
     /*  401248 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401286 */     GIR_RootConstrainSelectedInstOperands,
     /*  401287 */     // GIR_Coverage, 20550,
     /*  401287 */     GIR_EraseRootFromParent_Done,
     /*  401288 */   // Label 7137: @401288
     /*  401288 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(401365), // Rule ID 20553 //
     /*  401293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401325 */     // MIs[0] Operand 4
     /*  401325 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401363 */     GIR_RootConstrainSelectedInstOperands,
     /*  401364 */     // GIR_Coverage, 20553,
     /*  401364 */     GIR_EraseRootFromParent_Done,
     /*  401365 */   // Label 7138: @401365
     /*  401365 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(401442), // Rule ID 20554 //
     /*  401370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401402 */     // MIs[0] Operand 4
     /*  401402 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401440 */     GIR_RootConstrainSelectedInstOperands,
     /*  401441 */     // GIR_Coverage, 20554,
     /*  401441 */     GIR_EraseRootFromParent_Done,
     /*  401442 */   // Label 7139: @401442
     /*  401442 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(401519), // Rule ID 20557 //
     /*  401447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401479 */     // MIs[0] Operand 4
     /*  401479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401517 */     GIR_RootConstrainSelectedInstOperands,
     /*  401518 */     // GIR_Coverage, 20557,
     /*  401518 */     GIR_EraseRootFromParent_Done,
     /*  401519 */   // Label 7140: @401519
     /*  401519 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(401596), // Rule ID 20558 //
     /*  401524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401556 */     // MIs[0] Operand 4
     /*  401556 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401594 */     GIR_RootConstrainSelectedInstOperands,
     /*  401595 */     // GIR_Coverage, 20558,
     /*  401595 */     GIR_EraseRootFromParent_Done,
     /*  401596 */   // Label 7141: @401596
     /*  401596 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(401673), // Rule ID 20561 //
     /*  401601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  401615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401633 */     // MIs[0] Operand 4
     /*  401633 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401671 */     GIR_RootConstrainSelectedInstOperands,
     /*  401672 */     // GIR_Coverage, 20561,
     /*  401672 */     GIR_EraseRootFromParent_Done,
     /*  401673 */   // Label 7142: @401673
     /*  401673 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(401750), // Rule ID 20562 //
     /*  401678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  401692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401710 */     // MIs[0] Operand 4
     /*  401710 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401748 */     GIR_RootConstrainSelectedInstOperands,
     /*  401749 */     // GIR_Coverage, 20562,
     /*  401749 */     GIR_EraseRootFromParent_Done,
     /*  401750 */   // Label 7143: @401750
     /*  401750 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401827), // Rule ID 20565 //
     /*  401755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  401769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401787 */     // MIs[0] Operand 4
     /*  401787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401825 */     GIR_RootConstrainSelectedInstOperands,
     /*  401826 */     // GIR_Coverage, 20565,
     /*  401826 */     GIR_EraseRootFromParent_Done,
     /*  401827 */   // Label 7144: @401827
     /*  401827 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401904), // Rule ID 20566 //
     /*  401832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  401846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401864 */     // MIs[0] Operand 4
     /*  401864 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401902 */     GIR_RootConstrainSelectedInstOperands,
     /*  401903 */     // GIR_Coverage, 20566,
     /*  401903 */     GIR_EraseRootFromParent_Done,
     /*  401904 */   // Label 7145: @401904
     /*  401904 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(401981), // Rule ID 20569 //
     /*  401909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401941 */     // MIs[0] Operand 4
     /*  401941 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401959 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  401962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401979 */     GIR_RootConstrainSelectedInstOperands,
     /*  401980 */     // GIR_Coverage, 20569,
     /*  401980 */     GIR_EraseRootFromParent_Done,
     /*  401981 */   // Label 7146: @401981
     /*  401981 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(402058), // Rule ID 20570 //
     /*  401986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402018 */     // MIs[0] Operand 4
     /*  402018 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  402039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402056 */     GIR_RootConstrainSelectedInstOperands,
     /*  402057 */     // GIR_Coverage, 20570,
     /*  402057 */     GIR_EraseRootFromParent_Done,
     /*  402058 */   // Label 7147: @402058
     /*  402058 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(402135), // Rule ID 20573 //
     /*  402063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402095 */     // MIs[0] Operand 4
     /*  402095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402133 */     GIR_RootConstrainSelectedInstOperands,
     /*  402134 */     // GIR_Coverage, 20573,
     /*  402134 */     GIR_EraseRootFromParent_Done,
     /*  402135 */   // Label 7148: @402135
     /*  402135 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(402212), // Rule ID 20574 //
     /*  402140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402172 */     // MIs[0] Operand 4
     /*  402172 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402210 */     GIR_RootConstrainSelectedInstOperands,
     /*  402211 */     // GIR_Coverage, 20574,
     /*  402211 */     GIR_EraseRootFromParent_Done,
     /*  402212 */   // Label 7149: @402212
     /*  402212 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(402289), // Rule ID 20577 //
     /*  402217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402249 */     // MIs[0] Operand 4
     /*  402249 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402287 */     GIR_RootConstrainSelectedInstOperands,
     /*  402288 */     // GIR_Coverage, 20577,
     /*  402288 */     GIR_EraseRootFromParent_Done,
     /*  402289 */   // Label 7150: @402289
     /*  402289 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(402366), // Rule ID 20578 //
     /*  402294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402326 */     // MIs[0] Operand 4
     /*  402326 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402364 */     GIR_RootConstrainSelectedInstOperands,
     /*  402365 */     // GIR_Coverage, 20578,
     /*  402365 */     GIR_EraseRootFromParent_Done,
     /*  402366 */   // Label 7151: @402366
     /*  402366 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(402443), // Rule ID 20581 //
     /*  402371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402403 */     // MIs[0] Operand 4
     /*  402403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402441 */     GIR_RootConstrainSelectedInstOperands,
     /*  402442 */     // GIR_Coverage, 20581,
     /*  402442 */     GIR_EraseRootFromParent_Done,
     /*  402443 */   // Label 7152: @402443
     /*  402443 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(402520), // Rule ID 20582 //
     /*  402448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402480 */     // MIs[0] Operand 4
     /*  402480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402518 */     GIR_RootConstrainSelectedInstOperands,
     /*  402519 */     // GIR_Coverage, 20582,
     /*  402519 */     GIR_EraseRootFromParent_Done,
     /*  402520 */   // Label 7153: @402520
     /*  402520 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(402597), // Rule ID 20585 //
     /*  402525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402557 */     // MIs[0] Operand 4
     /*  402557 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402575 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402595 */     GIR_RootConstrainSelectedInstOperands,
     /*  402596 */     // GIR_Coverage, 20585,
     /*  402596 */     GIR_EraseRootFromParent_Done,
     /*  402597 */   // Label 7154: @402597
     /*  402597 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(402674), // Rule ID 20586 //
     /*  402602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402634 */     // MIs[0] Operand 4
     /*  402634 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402672 */     GIR_RootConstrainSelectedInstOperands,
     /*  402673 */     // GIR_Coverage, 20586,
     /*  402673 */     GIR_EraseRootFromParent_Done,
     /*  402674 */   // Label 7155: @402674
     /*  402674 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(402751), // Rule ID 20589 //
     /*  402679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402711 */     // MIs[0] Operand 4
     /*  402711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402729 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402749 */     GIR_RootConstrainSelectedInstOperands,
     /*  402750 */     // GIR_Coverage, 20589,
     /*  402750 */     GIR_EraseRootFromParent_Done,
     /*  402751 */   // Label 7156: @402751
     /*  402751 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402828), // Rule ID 20590 //
     /*  402756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402788 */     // MIs[0] Operand 4
     /*  402788 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402826 */     GIR_RootConstrainSelectedInstOperands,
     /*  402827 */     // GIR_Coverage, 20590,
     /*  402827 */     GIR_EraseRootFromParent_Done,
     /*  402828 */   // Label 7157: @402828
     /*  402828 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402905), // Rule ID 20593 //
     /*  402833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  402850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402865 */     // MIs[0] Operand 4
     /*  402865 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402903 */     GIR_RootConstrainSelectedInstOperands,
     /*  402904 */     // GIR_Coverage, 20593,
     /*  402904 */     GIR_EraseRootFromParent_Done,
     /*  402905 */   // Label 7158: @402905
     /*  402905 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(402982), // Rule ID 20594 //
     /*  402910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  402927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402942 */     // MIs[0] Operand 4
     /*  402942 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402980 */     GIR_RootConstrainSelectedInstOperands,
     /*  402981 */     // GIR_Coverage, 20594,
     /*  402981 */     GIR_EraseRootFromParent_Done,
     /*  402982 */   // Label 7159: @402982
     /*  402982 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(403059), // Rule ID 20597 //
     /*  402987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  402998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403019 */     // MIs[0] Operand 4
     /*  403019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403057 */     GIR_RootConstrainSelectedInstOperands,
     /*  403058 */     // GIR_Coverage, 20597,
     /*  403058 */     GIR_EraseRootFromParent_Done,
     /*  403059 */   // Label 7160: @403059
     /*  403059 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(403136), // Rule ID 20598 //
     /*  403064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403096 */     // MIs[0] Operand 4
     /*  403096 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403134 */     GIR_RootConstrainSelectedInstOperands,
     /*  403135 */     // GIR_Coverage, 20598,
     /*  403135 */     GIR_EraseRootFromParent_Done,
     /*  403136 */   // Label 7161: @403136
     /*  403136 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(403213), // Rule ID 20601 //
     /*  403141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403173 */     // MIs[0] Operand 4
     /*  403173 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403211 */     GIR_RootConstrainSelectedInstOperands,
     /*  403212 */     // GIR_Coverage, 20601,
     /*  403212 */     GIR_EraseRootFromParent_Done,
     /*  403213 */   // Label 7162: @403213
     /*  403213 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(403290), // Rule ID 20602 //
     /*  403218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403250 */     // MIs[0] Operand 4
     /*  403250 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403288 */     GIR_RootConstrainSelectedInstOperands,
     /*  403289 */     // GIR_Coverage, 20602,
     /*  403289 */     GIR_EraseRootFromParent_Done,
     /*  403290 */   // Label 7163: @403290
     /*  403290 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(403367), // Rule ID 20605 //
     /*  403295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403327 */     // MIs[0] Operand 4
     /*  403327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403345 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403365 */     GIR_RootConstrainSelectedInstOperands,
     /*  403366 */     // GIR_Coverage, 20605,
     /*  403366 */     GIR_EraseRootFromParent_Done,
     /*  403367 */   // Label 7164: @403367
     /*  403367 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(403444), // Rule ID 20606 //
     /*  403372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403404 */     // MIs[0] Operand 4
     /*  403404 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403442 */     GIR_RootConstrainSelectedInstOperands,
     /*  403443 */     // GIR_Coverage, 20606,
     /*  403443 */     GIR_EraseRootFromParent_Done,
     /*  403444 */   // Label 7165: @403444
     /*  403444 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(403521), // Rule ID 20609 //
     /*  403449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403481 */     // MIs[0] Operand 4
     /*  403481 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403519 */     GIR_RootConstrainSelectedInstOperands,
     /*  403520 */     // GIR_Coverage, 20609,
     /*  403520 */     GIR_EraseRootFromParent_Done,
     /*  403521 */   // Label 7166: @403521
     /*  403521 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(403598), // Rule ID 20610 //
     /*  403526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403558 */     // MIs[0] Operand 4
     /*  403558 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403596 */     GIR_RootConstrainSelectedInstOperands,
     /*  403597 */     // GIR_Coverage, 20610,
     /*  403597 */     GIR_EraseRootFromParent_Done,
     /*  403598 */   // Label 7167: @403598
     /*  403598 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(403675), // Rule ID 20613 //
     /*  403603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403635 */     // MIs[0] Operand 4
     /*  403635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403653 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403673 */     GIR_RootConstrainSelectedInstOperands,
     /*  403674 */     // GIR_Coverage, 20613,
     /*  403674 */     GIR_EraseRootFromParent_Done,
     /*  403675 */   // Label 7168: @403675
     /*  403675 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(403752), // Rule ID 20614 //
     /*  403680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403712 */     // MIs[0] Operand 4
     /*  403712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403750 */     GIR_RootConstrainSelectedInstOperands,
     /*  403751 */     // GIR_Coverage, 20614,
     /*  403751 */     GIR_EraseRootFromParent_Done,
     /*  403752 */   // Label 7169: @403752
     /*  403752 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403829), // Rule ID 20617 //
     /*  403757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  403760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403789 */     // MIs[0] Operand 4
     /*  403789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403807 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403827 */     GIR_RootConstrainSelectedInstOperands,
     /*  403828 */     // GIR_Coverage, 20617,
     /*  403828 */     GIR_EraseRootFromParent_Done,
     /*  403829 */   // Label 7170: @403829
     /*  403829 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403906), // Rule ID 20618 //
     /*  403834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  403837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403866 */     // MIs[0] Operand 4
     /*  403866 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403904 */     GIR_RootConstrainSelectedInstOperands,
     /*  403905 */     // GIR_Coverage, 20618,
     /*  403905 */     GIR_EraseRootFromParent_Done,
     /*  403906 */   // Label 7171: @403906
     /*  403906 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(403983), // Rule ID 20621 //
     /*  403911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  403914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  403922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  403925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  403928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403943 */     // MIs[0] Operand 4
     /*  403943 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403961 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403981 */     GIR_RootConstrainSelectedInstOperands,
     /*  403982 */     // GIR_Coverage, 20621,
     /*  403982 */     GIR_EraseRootFromParent_Done,
     /*  403983 */   // Label 7172: @403983
     /*  403983 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(404060), // Rule ID 20622 //
     /*  403988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  403991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  403999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404020 */     // MIs[0] Operand 4
     /*  404020 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404038 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404058 */     GIR_RootConstrainSelectedInstOperands,
     /*  404059 */     // GIR_Coverage, 20622,
     /*  404059 */     GIR_EraseRootFromParent_Done,
     /*  404060 */   // Label 7173: @404060
     /*  404060 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(404137), // Rule ID 20625 //
     /*  404065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404097 */     // MIs[0] Operand 4
     /*  404097 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404135 */     GIR_RootConstrainSelectedInstOperands,
     /*  404136 */     // GIR_Coverage, 20625,
     /*  404136 */     GIR_EraseRootFromParent_Done,
     /*  404137 */   // Label 7174: @404137
     /*  404137 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(404214), // Rule ID 20626 //
     /*  404142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404174 */     // MIs[0] Operand 4
     /*  404174 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404212 */     GIR_RootConstrainSelectedInstOperands,
     /*  404213 */     // GIR_Coverage, 20626,
     /*  404213 */     GIR_EraseRootFromParent_Done,
     /*  404214 */   // Label 7175: @404214
     /*  404214 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(404291), // Rule ID 20985 //
     /*  404219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404251 */     // MIs[0] Operand 4
     /*  404251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404289 */     GIR_RootConstrainSelectedInstOperands,
     /*  404290 */     // GIR_Coverage, 20985,
     /*  404290 */     GIR_EraseRootFromParent_Done,
     /*  404291 */   // Label 7176: @404291
     /*  404291 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(404368), // Rule ID 20986 //
     /*  404296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404328 */     // MIs[0] Operand 4
     /*  404328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404366 */     GIR_RootConstrainSelectedInstOperands,
     /*  404367 */     // GIR_Coverage, 20986,
     /*  404367 */     GIR_EraseRootFromParent_Done,
     /*  404368 */   // Label 7177: @404368
     /*  404368 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(404445), // Rule ID 20989 //
     /*  404373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404405 */     // MIs[0] Operand 4
     /*  404405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404443 */     GIR_RootConstrainSelectedInstOperands,
     /*  404444 */     // GIR_Coverage, 20989,
     /*  404444 */     GIR_EraseRootFromParent_Done,
     /*  404445 */   // Label 7178: @404445
     /*  404445 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(404522), // Rule ID 20990 //
     /*  404450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404482 */     // MIs[0] Operand 4
     /*  404482 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404520 */     GIR_RootConstrainSelectedInstOperands,
     /*  404521 */     // GIR_Coverage, 20990,
     /*  404521 */     GIR_EraseRootFromParent_Done,
     /*  404522 */   // Label 7179: @404522
     /*  404522 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(404599), // Rule ID 20993 //
     /*  404527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404559 */     // MIs[0] Operand 4
     /*  404559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  404580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404597 */     GIR_RootConstrainSelectedInstOperands,
     /*  404598 */     // GIR_Coverage, 20993,
     /*  404598 */     GIR_EraseRootFromParent_Done,
     /*  404599 */   // Label 7180: @404599
     /*  404599 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(404676), // Rule ID 20994 //
     /*  404604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404636 */     // MIs[0] Operand 4
     /*  404636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  404657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404674 */     GIR_RootConstrainSelectedInstOperands,
     /*  404675 */     // GIR_Coverage, 20994,
     /*  404675 */     GIR_EraseRootFromParent_Done,
     /*  404676 */   // Label 7181: @404676
     /*  404676 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(404753), // Rule ID 20997 //
     /*  404681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  404698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404713 */     // MIs[0] Operand 4
     /*  404713 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  404734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404751 */     GIR_RootConstrainSelectedInstOperands,
     /*  404752 */     // GIR_Coverage, 20997,
     /*  404752 */     GIR_EraseRootFromParent_Done,
     /*  404753 */   // Label 7182: @404753
     /*  404753 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(404830), // Rule ID 20998 //
     /*  404758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  404775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404790 */     // MIs[0] Operand 4
     /*  404790 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  404811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404828 */     GIR_RootConstrainSelectedInstOperands,
     /*  404829 */     // GIR_Coverage, 20998,
     /*  404829 */     GIR_EraseRootFromParent_Done,
     /*  404830 */   // Label 7183: @404830
     /*  404830 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404907), // Rule ID 21001 //
     /*  404835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404867 */     // MIs[0] Operand 4
     /*  404867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  404888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404905 */     GIR_RootConstrainSelectedInstOperands,
     /*  404906 */     // GIR_Coverage, 21001,
     /*  404906 */     GIR_EraseRootFromParent_Done,
     /*  404907 */   // Label 7184: @404907
     /*  404907 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(404984), // Rule ID 21002 //
     /*  404912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404944 */     // MIs[0] Operand 4
     /*  404944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  404965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404982 */     GIR_RootConstrainSelectedInstOperands,
     /*  404983 */     // GIR_Coverage, 21002,
     /*  404983 */     GIR_EraseRootFromParent_Done,
     /*  404984 */   // Label 7185: @404984
     /*  404984 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(405061), // Rule ID 21005 //
     /*  404989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  404992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405021 */     // MIs[0] Operand 4
     /*  405021 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405059 */     GIR_RootConstrainSelectedInstOperands,
     /*  405060 */     // GIR_Coverage, 21005,
     /*  405060 */     GIR_EraseRootFromParent_Done,
     /*  405061 */   // Label 7186: @405061
     /*  405061 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(405138), // Rule ID 21006 //
     /*  405066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405098 */     // MIs[0] Operand 4
     /*  405098 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405136 */     GIR_RootConstrainSelectedInstOperands,
     /*  405137 */     // GIR_Coverage, 21006,
     /*  405137 */     GIR_EraseRootFromParent_Done,
     /*  405138 */   // Label 7187: @405138
     /*  405138 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(405215), // Rule ID 21009 //
     /*  405143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405175 */     // MIs[0] Operand 4
     /*  405175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405213 */     GIR_RootConstrainSelectedInstOperands,
     /*  405214 */     // GIR_Coverage, 21009,
     /*  405214 */     GIR_EraseRootFromParent_Done,
     /*  405215 */   // Label 7188: @405215
     /*  405215 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(405292), // Rule ID 21010 //
     /*  405220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405252 */     // MIs[0] Operand 4
     /*  405252 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405290 */     GIR_RootConstrainSelectedInstOperands,
     /*  405291 */     // GIR_Coverage, 21010,
     /*  405291 */     GIR_EraseRootFromParent_Done,
     /*  405292 */   // Label 7189: @405292
     /*  405292 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(405369), // Rule ID 21013 //
     /*  405297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405329 */     // MIs[0] Operand 4
     /*  405329 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405367 */     GIR_RootConstrainSelectedInstOperands,
     /*  405368 */     // GIR_Coverage, 21013,
     /*  405368 */     GIR_EraseRootFromParent_Done,
     /*  405369 */   // Label 7190: @405369
     /*  405369 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(405446), // Rule ID 21014 //
     /*  405374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405406 */     // MIs[0] Operand 4
     /*  405406 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405444 */     GIR_RootConstrainSelectedInstOperands,
     /*  405445 */     // GIR_Coverage, 21014,
     /*  405445 */     GIR_EraseRootFromParent_Done,
     /*  405446 */   // Label 7191: @405446
     /*  405446 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(405523), // Rule ID 21017 //
     /*  405451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405483 */     // MIs[0] Operand 4
     /*  405483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405501 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405521 */     GIR_RootConstrainSelectedInstOperands,
     /*  405522 */     // GIR_Coverage, 21017,
     /*  405522 */     GIR_EraseRootFromParent_Done,
     /*  405523 */   // Label 7192: @405523
     /*  405523 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(405600), // Rule ID 21018 //
     /*  405528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405560 */     // MIs[0] Operand 4
     /*  405560 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405598 */     GIR_RootConstrainSelectedInstOperands,
     /*  405599 */     // GIR_Coverage, 21018,
     /*  405599 */     GIR_EraseRootFromParent_Done,
     /*  405600 */   // Label 7193: @405600
     /*  405600 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(405677), // Rule ID 21021 //
     /*  405605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405637 */     // MIs[0] Operand 4
     /*  405637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405655 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  405658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405675 */     GIR_RootConstrainSelectedInstOperands,
     /*  405676 */     // GIR_Coverage, 21021,
     /*  405676 */     GIR_EraseRootFromParent_Done,
     /*  405677 */   // Label 7194: @405677
     /*  405677 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(405754), // Rule ID 21022 //
     /*  405682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405714 */     // MIs[0] Operand 4
     /*  405714 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405732 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  405735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405752 */     GIR_RootConstrainSelectedInstOperands,
     /*  405753 */     // GIR_Coverage, 21022,
     /*  405753 */     GIR_EraseRootFromParent_Done,
     /*  405754 */   // Label 7195: @405754
     /*  405754 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(405831), // Rule ID 21025 //
     /*  405759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405791 */     // MIs[0] Operand 4
     /*  405791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405809 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  405812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405829 */     GIR_RootConstrainSelectedInstOperands,
     /*  405830 */     // GIR_Coverage, 21025,
     /*  405830 */     GIR_EraseRootFromParent_Done,
     /*  405831 */   // Label 7196: @405831
     /*  405831 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405908), // Rule ID 21026 //
     /*  405836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405868 */     // MIs[0] Operand 4
     /*  405868 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  405889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405906 */     GIR_RootConstrainSelectedInstOperands,
     /*  405907 */     // GIR_Coverage, 21026,
     /*  405907 */     GIR_EraseRootFromParent_Done,
     /*  405908 */   // Label 7197: @405908
     /*  405908 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(405985), // Rule ID 21029 //
     /*  405913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405945 */     // MIs[0] Operand 4
     /*  405945 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  405966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405983 */     GIR_RootConstrainSelectedInstOperands,
     /*  405984 */     // GIR_Coverage, 21029,
     /*  405984 */     GIR_EraseRootFromParent_Done,
     /*  405985 */   // Label 7198: @405985
     /*  405985 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(406062), // Rule ID 21030 //
     /*  405990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406022 */     // MIs[0] Operand 4
     /*  406022 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406060 */     GIR_RootConstrainSelectedInstOperands,
     /*  406061 */     // GIR_Coverage, 21030,
     /*  406061 */     GIR_EraseRootFromParent_Done,
     /*  406062 */   // Label 7199: @406062
     /*  406062 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(406139), // Rule ID 21033 //
     /*  406067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406099 */     // MIs[0] Operand 4
     /*  406099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406137 */     GIR_RootConstrainSelectedInstOperands,
     /*  406138 */     // GIR_Coverage, 21033,
     /*  406138 */     GIR_EraseRootFromParent_Done,
     /*  406139 */   // Label 7200: @406139
     /*  406139 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(406216), // Rule ID 21034 //
     /*  406144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406176 */     // MIs[0] Operand 4
     /*  406176 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406214 */     GIR_RootConstrainSelectedInstOperands,
     /*  406215 */     // GIR_Coverage, 21034,
     /*  406215 */     GIR_EraseRootFromParent_Done,
     /*  406216 */   // Label 7201: @406216
     /*  406216 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(406293), // Rule ID 21037 //
     /*  406221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406253 */     // MIs[0] Operand 4
     /*  406253 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406291 */     GIR_RootConstrainSelectedInstOperands,
     /*  406292 */     // GIR_Coverage, 21037,
     /*  406292 */     GIR_EraseRootFromParent_Done,
     /*  406293 */   // Label 7202: @406293
     /*  406293 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(406370), // Rule ID 21038 //
     /*  406298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406330 */     // MIs[0] Operand 4
     /*  406330 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406368 */     GIR_RootConstrainSelectedInstOperands,
     /*  406369 */     // GIR_Coverage, 21038,
     /*  406369 */     GIR_EraseRootFromParent_Done,
     /*  406370 */   // Label 7203: @406370
     /*  406370 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(406447), // Rule ID 21041 //
     /*  406375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406407 */     // MIs[0] Operand 4
     /*  406407 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406425 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406445 */     GIR_RootConstrainSelectedInstOperands,
     /*  406446 */     // GIR_Coverage, 21041,
     /*  406446 */     GIR_EraseRootFromParent_Done,
     /*  406447 */   // Label 7204: @406447
     /*  406447 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(406524), // Rule ID 21042 //
     /*  406452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406484 */     // MIs[0] Operand 4
     /*  406484 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406522 */     GIR_RootConstrainSelectedInstOperands,
     /*  406523 */     // GIR_Coverage, 21042,
     /*  406523 */     GIR_EraseRootFromParent_Done,
     /*  406524 */   // Label 7205: @406524
     /*  406524 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(406601), // Rule ID 21045 //
     /*  406529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406561 */     // MIs[0] Operand 4
     /*  406561 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406599 */     GIR_RootConstrainSelectedInstOperands,
     /*  406600 */     // GIR_Coverage, 21045,
     /*  406600 */     GIR_EraseRootFromParent_Done,
     /*  406601 */   // Label 7206: @406601
     /*  406601 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(406678), // Rule ID 21046 //
     /*  406606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406638 */     // MIs[0] Operand 4
     /*  406638 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406676 */     GIR_RootConstrainSelectedInstOperands,
     /*  406677 */     // GIR_Coverage, 21046,
     /*  406677 */     GIR_EraseRootFromParent_Done,
     /*  406678 */   // Label 7207: @406678
     /*  406678 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(406755), // Rule ID 21049 //
     /*  406683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406715 */     // MIs[0] Operand 4
     /*  406715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406733 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406753 */     GIR_RootConstrainSelectedInstOperands,
     /*  406754 */     // GIR_Coverage, 21049,
     /*  406754 */     GIR_EraseRootFromParent_Done,
     /*  406755 */   // Label 7208: @406755
     /*  406755 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(406832), // Rule ID 21050 //
     /*  406760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406792 */     // MIs[0] Operand 4
     /*  406792 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406810 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406830 */     GIR_RootConstrainSelectedInstOperands,
     /*  406831 */     // GIR_Coverage, 21050,
     /*  406831 */     GIR_EraseRootFromParent_Done,
     /*  406832 */   // Label 7209: @406832
     /*  406832 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406909), // Rule ID 21053 //
     /*  406837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406869 */     // MIs[0] Operand 4
     /*  406869 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406907 */     GIR_RootConstrainSelectedInstOperands,
     /*  406908 */     // GIR_Coverage, 21053,
     /*  406908 */     GIR_EraseRootFromParent_Done,
     /*  406909 */   // Label 7210: @406909
     /*  406909 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(406986), // Rule ID 21054 //
     /*  406914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406946 */     // MIs[0] Operand 4
     /*  406946 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406964 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406984 */     GIR_RootConstrainSelectedInstOperands,
     /*  406985 */     // GIR_Coverage, 21054,
     /*  406985 */     GIR_EraseRootFromParent_Done,
     /*  406986 */   // Label 7211: @406986
     /*  406986 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(407063), // Rule ID 21357 //
     /*  406991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  407002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  407005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407023 */     // MIs[0] Operand 4
     /*  407023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407041 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  407044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407061 */     GIR_RootConstrainSelectedInstOperands,
     /*  407062 */     // GIR_Coverage, 21357,
     /*  407062 */     GIR_EraseRootFromParent_Done,
     /*  407063 */   // Label 7212: @407063
     /*  407063 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(407140), // Rule ID 21358 //
     /*  407068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  407079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  407082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407100 */     // MIs[0] Operand 4
     /*  407100 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407118 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  407121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407138 */     GIR_RootConstrainSelectedInstOperands,
     /*  407139 */     // GIR_Coverage, 21358,
     /*  407139 */     GIR_EraseRootFromParent_Done,
     /*  407140 */   // Label 7213: @407140
     /*  407140 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(407217), // Rule ID 21361 //
     /*  407145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407177 */     // MIs[0] Operand 4
     /*  407177 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407195 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407215 */     GIR_RootConstrainSelectedInstOperands,
     /*  407216 */     // GIR_Coverage, 21361,
     /*  407216 */     GIR_EraseRootFromParent_Done,
     /*  407217 */   // Label 7214: @407217
     /*  407217 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(407294), // Rule ID 21362 //
     /*  407222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407254 */     // MIs[0] Operand 4
     /*  407254 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407292 */     GIR_RootConstrainSelectedInstOperands,
     /*  407293 */     // GIR_Coverage, 21362,
     /*  407293 */     GIR_EraseRootFromParent_Done,
     /*  407294 */   // Label 7215: @407294
     /*  407294 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(407371), // Rule ID 21365 //
     /*  407299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407331 */     // MIs[0] Operand 4
     /*  407331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407369 */     GIR_RootConstrainSelectedInstOperands,
     /*  407370 */     // GIR_Coverage, 21365,
     /*  407370 */     GIR_EraseRootFromParent_Done,
     /*  407371 */   // Label 7216: @407371
     /*  407371 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(407448), // Rule ID 21366 //
     /*  407376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407408 */     // MIs[0] Operand 4
     /*  407408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407446 */     GIR_RootConstrainSelectedInstOperands,
     /*  407447 */     // GIR_Coverage, 21366,
     /*  407447 */     GIR_EraseRootFromParent_Done,
     /*  407448 */   // Label 7217: @407448
     /*  407448 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(407525), // Rule ID 21369 //
     /*  407453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407485 */     // MIs[0] Operand 4
     /*  407485 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407523 */     GIR_RootConstrainSelectedInstOperands,
     /*  407524 */     // GIR_Coverage, 21369,
     /*  407524 */     GIR_EraseRootFromParent_Done,
     /*  407525 */   // Label 7218: @407525
     /*  407525 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(407602), // Rule ID 21370 //
     /*  407530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407562 */     // MIs[0] Operand 4
     /*  407562 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407600 */     GIR_RootConstrainSelectedInstOperands,
     /*  407601 */     // GIR_Coverage, 21370,
     /*  407601 */     GIR_EraseRootFromParent_Done,
     /*  407602 */   // Label 7219: @407602
     /*  407602 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(407679), // Rule ID 21373 //
     /*  407607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  407618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  407621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407639 */     // MIs[0] Operand 4
     /*  407639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407657 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407677 */     GIR_RootConstrainSelectedInstOperands,
     /*  407678 */     // GIR_Coverage, 21373,
     /*  407678 */     GIR_EraseRootFromParent_Done,
     /*  407679 */   // Label 7220: @407679
     /*  407679 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(407756), // Rule ID 21374 //
     /*  407684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  407695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  407698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407716 */     // MIs[0] Operand 4
     /*  407716 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407754 */     GIR_RootConstrainSelectedInstOperands,
     /*  407755 */     // GIR_Coverage, 21374,
     /*  407755 */     GIR_EraseRootFromParent_Done,
     /*  407756 */   // Label 7221: @407756
     /*  407756 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(407833), // Rule ID 21377 //
     /*  407761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  407772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  407775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407793 */     // MIs[0] Operand 4
     /*  407793 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  407814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407831 */     GIR_RootConstrainSelectedInstOperands,
     /*  407832 */     // GIR_Coverage, 21377,
     /*  407832 */     GIR_EraseRootFromParent_Done,
     /*  407833 */   // Label 7222: @407833
     /*  407833 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407910), // Rule ID 21378 //
     /*  407838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  407849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  407852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407870 */     // MIs[0] Operand 4
     /*  407870 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407888 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  407891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407908 */     GIR_RootConstrainSelectedInstOperands,
     /*  407909 */     // GIR_Coverage, 21378,
     /*  407909 */     GIR_EraseRootFromParent_Done,
     /*  407910 */   // Label 7223: @407910
     /*  407910 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(407987), // Rule ID 21381 //
     /*  407915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  407926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  407929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407947 */     // MIs[0] Operand 4
     /*  407947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407985 */     GIR_RootConstrainSelectedInstOperands,
     /*  407986 */     // GIR_Coverage, 21381,
     /*  407986 */     GIR_EraseRootFromParent_Done,
     /*  407987 */   // Label 7224: @407987
     /*  407987 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(408064), // Rule ID 21382 //
     /*  407992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  408003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  408006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408024 */     // MIs[0] Operand 4
     /*  408024 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  408045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408062 */     GIR_RootConstrainSelectedInstOperands,
     /*  408063 */     // GIR_Coverage, 21382,
     /*  408063 */     GIR_EraseRootFromParent_Done,
     /*  408064 */   // Label 7225: @408064
     /*  408064 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(408141), // Rule ID 21385 //
     /*  408069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408101 */     // MIs[0] Operand 4
     /*  408101 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408139 */     GIR_RootConstrainSelectedInstOperands,
     /*  408140 */     // GIR_Coverage, 21385,
     /*  408140 */     GIR_EraseRootFromParent_Done,
     /*  408141 */   // Label 7226: @408141
     /*  408141 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(408218), // Rule ID 21386 //
     /*  408146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408178 */     // MIs[0] Operand 4
     /*  408178 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408216 */     GIR_RootConstrainSelectedInstOperands,
     /*  408217 */     // GIR_Coverage, 21386,
     /*  408217 */     GIR_EraseRootFromParent_Done,
     /*  408218 */   // Label 7227: @408218
     /*  408218 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(408295), // Rule ID 21389 //
     /*  408223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408255 */     // MIs[0] Operand 4
     /*  408255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408293 */     GIR_RootConstrainSelectedInstOperands,
     /*  408294 */     // GIR_Coverage, 21389,
     /*  408294 */     GIR_EraseRootFromParent_Done,
     /*  408295 */   // Label 7228: @408295
     /*  408295 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(408372), // Rule ID 21390 //
     /*  408300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408332 */     // MIs[0] Operand 4
     /*  408332 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408370 */     GIR_RootConstrainSelectedInstOperands,
     /*  408371 */     // GIR_Coverage, 21390,
     /*  408371 */     GIR_EraseRootFromParent_Done,
     /*  408372 */   // Label 7229: @408372
     /*  408372 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(408449), // Rule ID 21393 //
     /*  408377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408409 */     // MIs[0] Operand 4
     /*  408409 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408447 */     GIR_RootConstrainSelectedInstOperands,
     /*  408448 */     // GIR_Coverage, 21393,
     /*  408448 */     GIR_EraseRootFromParent_Done,
     /*  408449 */   // Label 7230: @408449
     /*  408449 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(408526), // Rule ID 21394 //
     /*  408454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408486 */     // MIs[0] Operand 4
     /*  408486 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408524 */     GIR_RootConstrainSelectedInstOperands,
     /*  408525 */     // GIR_Coverage, 21394,
     /*  408525 */     GIR_EraseRootFromParent_Done,
     /*  408526 */   // Label 7231: @408526
     /*  408526 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(408603), // Rule ID 21397 //
     /*  408531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408563 */     // MIs[0] Operand 4
     /*  408563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408581 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408601 */     GIR_RootConstrainSelectedInstOperands,
     /*  408602 */     // GIR_Coverage, 21397,
     /*  408602 */     GIR_EraseRootFromParent_Done,
     /*  408603 */   // Label 7232: @408603
     /*  408603 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(408680), // Rule ID 21398 //
     /*  408608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408640 */     // MIs[0] Operand 4
     /*  408640 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408678 */     GIR_RootConstrainSelectedInstOperands,
     /*  408679 */     // GIR_Coverage, 21398,
     /*  408679 */     GIR_EraseRootFromParent_Done,
     /*  408680 */   // Label 7233: @408680
     /*  408680 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(408757), // Rule ID 21401 //
     /*  408685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  408688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  408702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408717 */     // MIs[0] Operand 4
     /*  408717 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408735 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408755 */     GIR_RootConstrainSelectedInstOperands,
     /*  408756 */     // GIR_Coverage, 21401,
     /*  408756 */     GIR_EraseRootFromParent_Done,
     /*  408757 */   // Label 7234: @408757
     /*  408757 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(408834), // Rule ID 21402 //
     /*  408762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  408765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  408779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408794 */     // MIs[0] Operand 4
     /*  408794 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408832 */     GIR_RootConstrainSelectedInstOperands,
     /*  408833 */     // GIR_Coverage, 21402,
     /*  408833 */     GIR_EraseRootFromParent_Done,
     /*  408834 */   // Label 7235: @408834
     /*  408834 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408911), // Rule ID 21405 //
     /*  408839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  408842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408871 */     // MIs[0] Operand 4
     /*  408871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408909 */     GIR_RootConstrainSelectedInstOperands,
     /*  408910 */     // GIR_Coverage, 21405,
     /*  408910 */     GIR_EraseRootFromParent_Done,
     /*  408911 */   // Label 7236: @408911
     /*  408911 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(408988), // Rule ID 21406 //
     /*  408916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  408919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408948 */     // MIs[0] Operand 4
     /*  408948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408986 */     GIR_RootConstrainSelectedInstOperands,
     /*  408987 */     // GIR_Coverage, 21406,
     /*  408987 */     GIR_EraseRootFromParent_Done,
     /*  408988 */   // Label 7237: @408988
     /*  408988 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(409065), // Rule ID 21409 //
     /*  408993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  408996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409025 */     // MIs[0] Operand 4
     /*  409025 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409063 */     GIR_RootConstrainSelectedInstOperands,
     /*  409064 */     // GIR_Coverage, 21409,
     /*  409064 */     GIR_EraseRootFromParent_Done,
     /*  409065 */   // Label 7238: @409065
     /*  409065 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(409142), // Rule ID 21410 //
     /*  409070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409102 */     // MIs[0] Operand 4
     /*  409102 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409140 */     GIR_RootConstrainSelectedInstOperands,
     /*  409141 */     // GIR_Coverage, 21410,
     /*  409141 */     GIR_EraseRootFromParent_Done,
     /*  409142 */   // Label 7239: @409142
     /*  409142 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(409219), // Rule ID 21413 //
     /*  409147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409179 */     // MIs[0] Operand 4
     /*  409179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409217 */     GIR_RootConstrainSelectedInstOperands,
     /*  409218 */     // GIR_Coverage, 21413,
     /*  409218 */     GIR_EraseRootFromParent_Done,
     /*  409219 */   // Label 7240: @409219
     /*  409219 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(409296), // Rule ID 21414 //
     /*  409224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409256 */     // MIs[0] Operand 4
     /*  409256 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409294 */     GIR_RootConstrainSelectedInstOperands,
     /*  409295 */     // GIR_Coverage, 21414,
     /*  409295 */     GIR_EraseRootFromParent_Done,
     /*  409296 */   // Label 7241: @409296
     /*  409296 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(409373), // Rule ID 21417 //
     /*  409301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409333 */     // MIs[0] Operand 4
     /*  409333 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409371 */     GIR_RootConstrainSelectedInstOperands,
     /*  409372 */     // GIR_Coverage, 21417,
     /*  409372 */     GIR_EraseRootFromParent_Done,
     /*  409373 */   // Label 7242: @409373
     /*  409373 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(409450), // Rule ID 21418 //
     /*  409378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409410 */     // MIs[0] Operand 4
     /*  409410 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409448 */     GIR_RootConstrainSelectedInstOperands,
     /*  409449 */     // GIR_Coverage, 21418,
     /*  409449 */     GIR_EraseRootFromParent_Done,
     /*  409450 */   // Label 7243: @409450
     /*  409450 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(409527), // Rule ID 21421 //
     /*  409455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409487 */     // MIs[0] Operand 4
     /*  409487 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409525 */     GIR_RootConstrainSelectedInstOperands,
     /*  409526 */     // GIR_Coverage, 21421,
     /*  409526 */     GIR_EraseRootFromParent_Done,
     /*  409527 */   // Label 7244: @409527
     /*  409527 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(409604), // Rule ID 21422 //
     /*  409532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409564 */     // MIs[0] Operand 4
     /*  409564 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409602 */     GIR_RootConstrainSelectedInstOperands,
     /*  409603 */     // GIR_Coverage, 21422,
     /*  409603 */     GIR_EraseRootFromParent_Done,
     /*  409604 */   // Label 7245: @409604
     /*  409604 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(409681), // Rule ID 21425 //
     /*  409609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  409620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  409623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409641 */     // MIs[0] Operand 4
     /*  409641 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409679 */     GIR_RootConstrainSelectedInstOperands,
     /*  409680 */     // GIR_Coverage, 21425,
     /*  409680 */     GIR_EraseRootFromParent_Done,
     /*  409681 */   // Label 7246: @409681
     /*  409681 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(409758), // Rule ID 21426 //
     /*  409686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  409697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  409700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409718 */     // MIs[0] Operand 4
     /*  409718 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409756 */     GIR_RootConstrainSelectedInstOperands,
     /*  409757 */     // GIR_Coverage, 21426,
     /*  409757 */     GIR_EraseRootFromParent_Done,
     /*  409758 */   // Label 7247: @409758
     /*  409758 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(409835), // Rule ID 21429 //
     /*  409763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  409774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  409777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409795 */     // MIs[0] Operand 4
     /*  409795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409813 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  409816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409833 */     GIR_RootConstrainSelectedInstOperands,
     /*  409834 */     // GIR_Coverage, 21429,
     /*  409834 */     GIR_EraseRootFromParent_Done,
     /*  409835 */   // Label 7248: @409835
     /*  409835 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409912), // Rule ID 21430 //
     /*  409840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  409851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  409854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409872 */     // MIs[0] Operand 4
     /*  409872 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  409893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409910 */     GIR_RootConstrainSelectedInstOperands,
     /*  409911 */     // GIR_Coverage, 21430,
     /*  409911 */     GIR_EraseRootFromParent_Done,
     /*  409912 */   // Label 7249: @409912
     /*  409912 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(409989), // Rule ID 21433 //
     /*  409917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  409928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  409931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  409934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409949 */     // MIs[0] Operand 4
     /*  409949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  409970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409987 */     GIR_RootConstrainSelectedInstOperands,
     /*  409988 */     // GIR_Coverage, 21433,
     /*  409988 */     GIR_EraseRootFromParent_Done,
     /*  409989 */   // Label 7250: @409989
     /*  409989 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(410066), // Rule ID 21434 //
     /*  409994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  410005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  410008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410026 */     // MIs[0] Operand 4
     /*  410026 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410064 */     GIR_RootConstrainSelectedInstOperands,
     /*  410065 */     // GIR_Coverage, 21434,
     /*  410065 */     GIR_EraseRootFromParent_Done,
     /*  410066 */   // Label 7251: @410066
     /*  410066 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(410143), // Rule ID 21437 //
     /*  410071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410103 */     // MIs[0] Operand 4
     /*  410103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410141 */     GIR_RootConstrainSelectedInstOperands,
     /*  410142 */     // GIR_Coverage, 21437,
     /*  410142 */     GIR_EraseRootFromParent_Done,
     /*  410143 */   // Label 7252: @410143
     /*  410143 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(410220), // Rule ID 21438 //
     /*  410148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410180 */     // MIs[0] Operand 4
     /*  410180 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410218 */     GIR_RootConstrainSelectedInstOperands,
     /*  410219 */     // GIR_Coverage, 21438,
     /*  410219 */     GIR_EraseRootFromParent_Done,
     /*  410220 */   // Label 7253: @410220
     /*  410220 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(410297), // Rule ID 21441 //
     /*  410225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410257 */     // MIs[0] Operand 4
     /*  410257 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410295 */     GIR_RootConstrainSelectedInstOperands,
     /*  410296 */     // GIR_Coverage, 21441,
     /*  410296 */     GIR_EraseRootFromParent_Done,
     /*  410297 */   // Label 7254: @410297
     /*  410297 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(410374), // Rule ID 21442 //
     /*  410302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410334 */     // MIs[0] Operand 4
     /*  410334 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410372 */     GIR_RootConstrainSelectedInstOperands,
     /*  410373 */     // GIR_Coverage, 21442,
     /*  410373 */     GIR_EraseRootFromParent_Done,
     /*  410374 */   // Label 7255: @410374
     /*  410374 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(410451), // Rule ID 21445 //
     /*  410379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410411 */     // MIs[0] Operand 4
     /*  410411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410429 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410449 */     GIR_RootConstrainSelectedInstOperands,
     /*  410450 */     // GIR_Coverage, 21445,
     /*  410450 */     GIR_EraseRootFromParent_Done,
     /*  410451 */   // Label 7256: @410451
     /*  410451 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(410528), // Rule ID 21446 //
     /*  410456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410488 */     // MIs[0] Operand 4
     /*  410488 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410526 */     GIR_RootConstrainSelectedInstOperands,
     /*  410527 */     // GIR_Coverage, 21446,
     /*  410527 */     GIR_EraseRootFromParent_Done,
     /*  410528 */   // Label 7257: @410528
     /*  410528 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(410605), // Rule ID 21449 //
     /*  410533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  410544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  410547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410565 */     // MIs[0] Operand 4
     /*  410565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410603 */     GIR_RootConstrainSelectedInstOperands,
     /*  410604 */     // GIR_Coverage, 21449,
     /*  410604 */     GIR_EraseRootFromParent_Done,
     /*  410605 */   // Label 7258: @410605
     /*  410605 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(410682), // Rule ID 21450 //
     /*  410610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  410621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  410624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410642 */     // MIs[0] Operand 4
     /*  410642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410680 */     GIR_RootConstrainSelectedInstOperands,
     /*  410681 */     // GIR_Coverage, 21450,
     /*  410681 */     GIR_EraseRootFromParent_Done,
     /*  410682 */   // Label 7259: @410682
     /*  410682 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(410759), // Rule ID 21453 //
     /*  410687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  410701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410719 */     // MIs[0] Operand 4
     /*  410719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410757 */     GIR_RootConstrainSelectedInstOperands,
     /*  410758 */     // GIR_Coverage, 21453,
     /*  410758 */     GIR_EraseRootFromParent_Done,
     /*  410759 */   // Label 7260: @410759
     /*  410759 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(410836), // Rule ID 21454 //
     /*  410764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  410778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410796 */     // MIs[0] Operand 4
     /*  410796 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410834 */     GIR_RootConstrainSelectedInstOperands,
     /*  410835 */     // GIR_Coverage, 21454,
     /*  410835 */     GIR_EraseRootFromParent_Done,
     /*  410836 */   // Label 7261: @410836
     /*  410836 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410913), // Rule ID 21457 //
     /*  410841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  410855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410873 */     // MIs[0] Operand 4
     /*  410873 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410911 */     GIR_RootConstrainSelectedInstOperands,
     /*  410912 */     // GIR_Coverage, 21457,
     /*  410912 */     GIR_EraseRootFromParent_Done,
     /*  410913 */   // Label 7262: @410913
     /*  410913 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(410990), // Rule ID 21458 //
     /*  410918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  410932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410950 */     // MIs[0] Operand 4
     /*  410950 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410988 */     GIR_RootConstrainSelectedInstOperands,
     /*  410989 */     // GIR_Coverage, 21458,
     /*  410989 */     GIR_EraseRootFromParent_Done,
     /*  410990 */   // Label 7263: @410990
     /*  410990 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(411067), // Rule ID 21461 //
     /*  410995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  410998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  411006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  411009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  411012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411027 */     // MIs[0] Operand 4
     /*  411027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411065 */     GIR_RootConstrainSelectedInstOperands,
     /*  411066 */     // GIR_Coverage, 21461,
     /*  411066 */     GIR_EraseRootFromParent_Done,
     /*  411067 */   // Label 7264: @411067
     /*  411067 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(411144), // Rule ID 21462 //
     /*  411072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  411083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  411086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  411089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411104 */     // MIs[0] Operand 4
     /*  411104 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411142 */     GIR_RootConstrainSelectedInstOperands,
     /*  411143 */     // GIR_Coverage, 21462,
     /*  411143 */     GIR_EraseRootFromParent_Done,
     /*  411144 */   // Label 7265: @411144
     /*  411144 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(411221), // Rule ID 21465 //
     /*  411149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411181 */     // MIs[0] Operand 4
     /*  411181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411219 */     GIR_RootConstrainSelectedInstOperands,
     /*  411220 */     // GIR_Coverage, 21465,
     /*  411220 */     GIR_EraseRootFromParent_Done,
     /*  411221 */   // Label 7266: @411221
     /*  411221 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(411298), // Rule ID 21466 //
     /*  411226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411258 */     // MIs[0] Operand 4
     /*  411258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411296 */     GIR_RootConstrainSelectedInstOperands,
     /*  411297 */     // GIR_Coverage, 21466,
     /*  411297 */     GIR_EraseRootFromParent_Done,
     /*  411298 */   // Label 7267: @411298
     /*  411298 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(411375), // Rule ID 21469 //
     /*  411303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411335 */     // MIs[0] Operand 4
     /*  411335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411353 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411373 */     GIR_RootConstrainSelectedInstOperands,
     /*  411374 */     // GIR_Coverage, 21469,
     /*  411374 */     GIR_EraseRootFromParent_Done,
     /*  411375 */   // Label 7268: @411375
     /*  411375 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(411452), // Rule ID 21470 //
     /*  411380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411412 */     // MIs[0] Operand 4
     /*  411412 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411450 */     GIR_RootConstrainSelectedInstOperands,
     /*  411451 */     // GIR_Coverage, 21470,
     /*  411451 */     GIR_EraseRootFromParent_Done,
     /*  411452 */   // Label 7269: @411452
     /*  411452 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(411529), // Rule ID 21473 //
     /*  411457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411489 */     // MIs[0] Operand 4
     /*  411489 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411507 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411527 */     GIR_RootConstrainSelectedInstOperands,
     /*  411528 */     // GIR_Coverage, 21473,
     /*  411528 */     GIR_EraseRootFromParent_Done,
     /*  411529 */   // Label 7270: @411529
     /*  411529 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(411606), // Rule ID 21474 //
     /*  411534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411566 */     // MIs[0] Operand 4
     /*  411566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411604 */     GIR_RootConstrainSelectedInstOperands,
     /*  411605 */     // GIR_Coverage, 21474,
     /*  411605 */     GIR_EraseRootFromParent_Done,
     /*  411606 */   // Label 7271: @411606
     /*  411606 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(411679), // Rule ID 62733 //
     /*  411611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411635 */     // MIs[0] op1
     /*  411635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411658 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  411661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411677 */     GIR_RootConstrainSelectedInstOperands,
     /*  411678 */     // GIR_Coverage, 62733,
     /*  411678 */     GIR_EraseRootFromParent_Done,
     /*  411679 */   // Label 7272: @411679
     /*  411679 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(411752), // Rule ID 62734 //
     /*  411684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411708 */     // MIs[0] op1
     /*  411708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411731 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  411731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  411734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411750 */     GIR_RootConstrainSelectedInstOperands,
     /*  411751 */     // GIR_Coverage, 62734,
     /*  411751 */     GIR_EraseRootFromParent_Done,
     /*  411752 */   // Label 7273: @411752
     /*  411752 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(411825), // Rule ID 62757 //
     /*  411757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  411774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411781 */     // MIs[0] op1
     /*  411781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  411807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411823 */     GIR_RootConstrainSelectedInstOperands,
     /*  411824 */     // GIR_Coverage, 62757,
     /*  411824 */     GIR_EraseRootFromParent_Done,
     /*  411825 */   // Label 7274: @411825
     /*  411825 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411898), // Rule ID 62758 //
     /*  411830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  411847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411854 */     // MIs[0] op1
     /*  411854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  411877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  411880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411882 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411884 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411886 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411896 */     GIR_RootConstrainSelectedInstOperands,
     /*  411897 */     // GIR_Coverage, 62758,
     /*  411897 */     GIR_EraseRootFromParent_Done,
     /*  411898 */   // Label 7275: @411898
     /*  411898 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(411971), // Rule ID 62783 //
     /*  411903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  411917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411927 */     // MIs[0] op1
     /*  411927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  411953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411969 */     GIR_RootConstrainSelectedInstOperands,
     /*  411970 */     // GIR_Coverage, 62783,
     /*  411970 */     GIR_EraseRootFromParent_Done,
     /*  411971 */   // Label 7276: @411971
     /*  411971 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(412044), // Rule ID 62784 //
     /*  411976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  411990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412000 */     // MIs[0] op1
     /*  412000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412023 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412042 */     GIR_RootConstrainSelectedInstOperands,
     /*  412043 */     // GIR_Coverage, 62784,
     /*  412043 */     GIR_EraseRootFromParent_Done,
     /*  412044 */   // Label 7277: @412044
     /*  412044 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(412117), // Rule ID 62795 //
     /*  412049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412073 */     // MIs[0] op1
     /*  412073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412115 */     GIR_RootConstrainSelectedInstOperands,
     /*  412116 */     // GIR_Coverage, 62795,
     /*  412116 */     GIR_EraseRootFromParent_Done,
     /*  412117 */   // Label 7278: @412117
     /*  412117 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(412190), // Rule ID 62796 //
     /*  412122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412146 */     // MIs[0] op1
     /*  412146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412169 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412188 */     GIR_RootConstrainSelectedInstOperands,
     /*  412189 */     // GIR_Coverage, 62796,
     /*  412189 */     GIR_EraseRootFromParent_Done,
     /*  412190 */   // Label 7279: @412190
     /*  412190 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(412263), // Rule ID 62827 //
     /*  412195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412219 */     // MIs[0] op1
     /*  412219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412261 */     GIR_RootConstrainSelectedInstOperands,
     /*  412262 */     // GIR_Coverage, 62827,
     /*  412262 */     GIR_EraseRootFromParent_Done,
     /*  412263 */   // Label 7280: @412263
     /*  412263 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(412336), // Rule ID 62828 //
     /*  412268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412292 */     // MIs[0] op1
     /*  412292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412315 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412334 */     GIR_RootConstrainSelectedInstOperands,
     /*  412335 */     // GIR_Coverage, 62828,
     /*  412335 */     GIR_EraseRootFromParent_Done,
     /*  412336 */   // Label 7281: @412336
     /*  412336 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(412409), // Rule ID 62839 //
     /*  412341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412365 */     // MIs[0] op1
     /*  412365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412393 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412395 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412397 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412407 */     GIR_RootConstrainSelectedInstOperands,
     /*  412408 */     // GIR_Coverage, 62839,
     /*  412408 */     GIR_EraseRootFromParent_Done,
     /*  412409 */   // Label 7282: @412409
     /*  412409 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(412482), // Rule ID 62840 //
     /*  412414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412438 */     // MIs[0] op1
     /*  412438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412461 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412480 */     GIR_RootConstrainSelectedInstOperands,
     /*  412481 */     // GIR_Coverage, 62840,
     /*  412481 */     GIR_EraseRootFromParent_Done,
     /*  412482 */   // Label 7283: @412482
     /*  412482 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(412555), // Rule ID 62871 //
     /*  412487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412511 */     // MIs[0] op1
     /*  412511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412534 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412553 */     GIR_RootConstrainSelectedInstOperands,
     /*  412554 */     // GIR_Coverage, 62871,
     /*  412554 */     GIR_EraseRootFromParent_Done,
     /*  412555 */   // Label 7284: @412555
     /*  412555 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(412628), // Rule ID 62872 //
     /*  412560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412584 */     // MIs[0] op1
     /*  412584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412607 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412626 */     GIR_RootConstrainSelectedInstOperands,
     /*  412627 */     // GIR_Coverage, 62872,
     /*  412627 */     GIR_EraseRootFromParent_Done,
     /*  412628 */   // Label 7285: @412628
     /*  412628 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(412701), // Rule ID 62883 //
     /*  412633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  412650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412657 */     // MIs[0] op1
     /*  412657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412685 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412687 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412689 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412699 */     GIR_RootConstrainSelectedInstOperands,
     /*  412700 */     // GIR_Coverage, 62883,
     /*  412700 */     GIR_EraseRootFromParent_Done,
     /*  412701 */   // Label 7286: @412701
     /*  412701 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(412774), // Rule ID 62884 //
     /*  412706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  412723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412730 */     // MIs[0] op1
     /*  412730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412772 */     GIR_RootConstrainSelectedInstOperands,
     /*  412773 */     // GIR_Coverage, 62884,
     /*  412773 */     GIR_EraseRootFromParent_Done,
     /*  412774 */   // Label 7287: @412774
     /*  412774 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412847), // Rule ID 62907 //
     /*  412779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  412796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412803 */     // MIs[0] op1
     /*  412803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  412819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  412829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412831 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412833 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412835 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412845 */     GIR_RootConstrainSelectedInstOperands,
     /*  412846 */     // GIR_Coverage, 62907,
     /*  412846 */     GIR_EraseRootFromParent_Done,
     /*  412847 */   // Label 7288: @412847
     /*  412847 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(412920), // Rule ID 62908 //
     /*  412852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  412869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412876 */     // MIs[0] op1
     /*  412876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  412892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  412902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412918 */     GIR_RootConstrainSelectedInstOperands,
     /*  412919 */     // GIR_Coverage, 62908,
     /*  412919 */     GIR_EraseRootFromParent_Done,
     /*  412920 */   // Label 7289: @412920
     /*  412920 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(412993), // Rule ID 62927 //
     /*  412925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  412939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412949 */     // MIs[0] op1
     /*  412949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412977 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412979 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412981 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412991 */     GIR_RootConstrainSelectedInstOperands,
     /*  412992 */     // GIR_Coverage, 62927,
     /*  412992 */     GIR_EraseRootFromParent_Done,
     /*  412993 */   // Label 7290: @412993
     /*  412993 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(413066), // Rule ID 62928 //
     /*  412998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413022 */     // MIs[0] op1
     /*  413022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413045 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413064 */     GIR_RootConstrainSelectedInstOperands,
     /*  413065 */     // GIR_Coverage, 62928,
     /*  413065 */     GIR_EraseRootFromParent_Done,
     /*  413066 */   // Label 7291: @413066
     /*  413066 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(413139), // Rule ID 62939 //
     /*  413071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413095 */     // MIs[0] op1
     /*  413095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413123 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413125 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413127 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413137 */     GIR_RootConstrainSelectedInstOperands,
     /*  413138 */     // GIR_Coverage, 62939,
     /*  413138 */     GIR_EraseRootFromParent_Done,
     /*  413139 */   // Label 7292: @413139
     /*  413139 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(413212), // Rule ID 62940 //
     /*  413144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413168 */     // MIs[0] op1
     /*  413168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413210 */     GIR_RootConstrainSelectedInstOperands,
     /*  413211 */     // GIR_Coverage, 62940,
     /*  413211 */     GIR_EraseRootFromParent_Done,
     /*  413212 */   // Label 7293: @413212
     /*  413212 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(413285), // Rule ID 62963 //
     /*  413217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413241 */     // MIs[0] op1
     /*  413241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413283 */     GIR_RootConstrainSelectedInstOperands,
     /*  413284 */     // GIR_Coverage, 62963,
     /*  413284 */     GIR_EraseRootFromParent_Done,
     /*  413285 */   // Label 7294: @413285
     /*  413285 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(413358), // Rule ID 62964 //
     /*  413290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413314 */     // MIs[0] op1
     /*  413314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413356 */     GIR_RootConstrainSelectedInstOperands,
     /*  413357 */     // GIR_Coverage, 62964,
     /*  413357 */     GIR_EraseRootFromParent_Done,
     /*  413358 */   // Label 7295: @413358
     /*  413358 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(413431), // Rule ID 62983 //
     /*  413363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413387 */     // MIs[0] op1
     /*  413387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413410 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413429 */     GIR_RootConstrainSelectedInstOperands,
     /*  413430 */     // GIR_Coverage, 62983,
     /*  413430 */     GIR_EraseRootFromParent_Done,
     /*  413431 */   // Label 7296: @413431
     /*  413431 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(413504), // Rule ID 62984 //
     /*  413436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413460 */     // MIs[0] op1
     /*  413460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413502 */     GIR_RootConstrainSelectedInstOperands,
     /*  413503 */     // GIR_Coverage, 62984,
     /*  413503 */     GIR_EraseRootFromParent_Done,
     /*  413504 */   // Label 7297: @413504
     /*  413504 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(413577), // Rule ID 62995 //
     /*  413509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413533 */     // MIs[0] op1
     /*  413533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413575 */     GIR_RootConstrainSelectedInstOperands,
     /*  413576 */     // GIR_Coverage, 62995,
     /*  413576 */     GIR_EraseRootFromParent_Done,
     /*  413577 */   // Label 7298: @413577
     /*  413577 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(413650), // Rule ID 62996 //
     /*  413582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413606 */     // MIs[0] op1
     /*  413606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413629 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413648 */     GIR_RootConstrainSelectedInstOperands,
     /*  413649 */     // GIR_Coverage, 62996,
     /*  413649 */     GIR_EraseRootFromParent_Done,
     /*  413650 */   // Label 7299: @413650
     /*  413650 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(413723), // Rule ID 63019 //
     /*  413655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413679 */     // MIs[0] op1
     /*  413679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  413695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  413705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413721 */     GIR_RootConstrainSelectedInstOperands,
     /*  413722 */     // GIR_Coverage, 63019,
     /*  413722 */     GIR_EraseRootFromParent_Done,
     /*  413723 */   // Label 7300: @413723
     /*  413723 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413796), // Rule ID 63020 //
     /*  413728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413752 */     // MIs[0] op1
     /*  413752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  413768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  413778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413794 */     GIR_RootConstrainSelectedInstOperands,
     /*  413795 */     // GIR_Coverage, 63020,
     /*  413795 */     GIR_EraseRootFromParent_Done,
     /*  413796 */   // Label 7301: @413796
     /*  413796 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413869), // Rule ID 63039 //
     /*  413801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  413812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  413815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413825 */     // MIs[0] op1
     /*  413825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413867 */     GIR_RootConstrainSelectedInstOperands,
     /*  413868 */     // GIR_Coverage, 63039,
     /*  413868 */     GIR_EraseRootFromParent_Done,
     /*  413869 */   // Label 7302: @413869
     /*  413869 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(413942), // Rule ID 63040 //
     /*  413874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  413885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  413888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413898 */     // MIs[0] op1
     /*  413898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413921 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  413921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413940 */     GIR_RootConstrainSelectedInstOperands,
     /*  413941 */     // GIR_Coverage, 63040,
     /*  413941 */     GIR_EraseRootFromParent_Done,
     /*  413942 */   // Label 7303: @413942
     /*  413942 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(414015), // Rule ID 63051 //
     /*  413947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  413958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  413961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  413964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413971 */     // MIs[0] op1
     /*  413971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414013 */     GIR_RootConstrainSelectedInstOperands,
     /*  414014 */     // GIR_Coverage, 63051,
     /*  414014 */     GIR_EraseRootFromParent_Done,
     /*  414015 */   // Label 7304: @414015
     /*  414015 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(414088), // Rule ID 63052 //
     /*  414020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  414037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414044 */     // MIs[0] op1
     /*  414044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414086 */     GIR_RootConstrainSelectedInstOperands,
     /*  414087 */     // GIR_Coverage, 63052,
     /*  414087 */     GIR_EraseRootFromParent_Done,
     /*  414088 */   // Label 7305: @414088
     /*  414088 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(414161), // Rule ID 63083 //
     /*  414093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414117 */     // MIs[0] op1
     /*  414117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414159 */     GIR_RootConstrainSelectedInstOperands,
     /*  414160 */     // GIR_Coverage, 63083,
     /*  414160 */     GIR_EraseRootFromParent_Done,
     /*  414161 */   // Label 7306: @414161
     /*  414161 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(414234), // Rule ID 63084 //
     /*  414166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414190 */     // MIs[0] op1
     /*  414190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414232 */     GIR_RootConstrainSelectedInstOperands,
     /*  414233 */     // GIR_Coverage, 63084,
     /*  414233 */     GIR_EraseRootFromParent_Done,
     /*  414234 */   // Label 7307: @414234
     /*  414234 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(414307), // Rule ID 63095 //
     /*  414239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414263 */     // MIs[0] op1
     /*  414263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414291 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414293 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414295 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414305 */     GIR_RootConstrainSelectedInstOperands,
     /*  414306 */     // GIR_Coverage, 63095,
     /*  414306 */     GIR_EraseRootFromParent_Done,
     /*  414307 */   // Label 7308: @414307
     /*  414307 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(414380), // Rule ID 63096 //
     /*  414312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414336 */     // MIs[0] op1
     /*  414336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414378 */     GIR_RootConstrainSelectedInstOperands,
     /*  414379 */     // GIR_Coverage, 63096,
     /*  414379 */     GIR_EraseRootFromParent_Done,
     /*  414380 */   // Label 7309: @414380
     /*  414380 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(414453), // Rule ID 63119 //
     /*  414385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414409 */     // MIs[0] op1
     /*  414409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414437 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414439 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414441 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414451 */     GIR_RootConstrainSelectedInstOperands,
     /*  414452 */     // GIR_Coverage, 63119,
     /*  414452 */     GIR_EraseRootFromParent_Done,
     /*  414453 */   // Label 7310: @414453
     /*  414453 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(414526), // Rule ID 63120 //
     /*  414458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414482 */     // MIs[0] op1
     /*  414482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414524 */     GIR_RootConstrainSelectedInstOperands,
     /*  414525 */     // GIR_Coverage, 63120,
     /*  414525 */     GIR_EraseRootFromParent_Done,
     /*  414526 */   // Label 7311: @414526
     /*  414526 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(414599), // Rule ID 63139 //
     /*  414531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414555 */     // MIs[0] op1
     /*  414555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414583 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414585 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414587 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414597 */     GIR_RootConstrainSelectedInstOperands,
     /*  414598 */     // GIR_Coverage, 63139,
     /*  414598 */     GIR_EraseRootFromParent_Done,
     /*  414599 */   // Label 7312: @414599
     /*  414599 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(414672), // Rule ID 63140 //
     /*  414604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414628 */     // MIs[0] op1
     /*  414628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414670 */     GIR_RootConstrainSelectedInstOperands,
     /*  414671 */     // GIR_Coverage, 63140,
     /*  414671 */     GIR_EraseRootFromParent_Done,
     /*  414672 */   // Label 7313: @414672
     /*  414672 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414745), // Rule ID 63151 //
     /*  414677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  414694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414701 */     // MIs[0] op1
     /*  414701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414704 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414729 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414731 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414733 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414743 */     GIR_RootConstrainSelectedInstOperands,
     /*  414744 */     // GIR_Coverage, 63151,
     /*  414744 */     GIR_EraseRootFromParent_Done,
     /*  414745 */   // Label 7314: @414745
     /*  414745 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414818), // Rule ID 63152 //
     /*  414750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  414767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414774 */     // MIs[0] op1
     /*  414774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414816 */     GIR_RootConstrainSelectedInstOperands,
     /*  414817 */     // GIR_Coverage, 63152,
     /*  414817 */     GIR_EraseRootFromParent_Done,
     /*  414818 */   // Label 7315: @414818
     /*  414818 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414891), // Rule ID 63175 //
     /*  414823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414847 */     // MIs[0] op1
     /*  414847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  414873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414889 */     GIR_RootConstrainSelectedInstOperands,
     /*  414890 */     // GIR_Coverage, 63175,
     /*  414890 */     GIR_EraseRootFromParent_Done,
     /*  414891 */   // Label 7316: @414891
     /*  414891 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(414964), // Rule ID 63176 //
     /*  414896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414920 */     // MIs[0] op1
     /*  414920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  414946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414962 */     GIR_RootConstrainSelectedInstOperands,
     /*  414963 */     // GIR_Coverage, 63176,
     /*  414963 */     GIR_EraseRootFromParent_Done,
     /*  414964 */   // Label 7317: @414964
     /*  414964 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(415037), // Rule ID 63195 //
     /*  414969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  414980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  414983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414993 */     // MIs[0] op1
     /*  414993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415035 */     GIR_RootConstrainSelectedInstOperands,
     /*  415036 */     // GIR_Coverage, 63195,
     /*  415036 */     GIR_EraseRootFromParent_Done,
     /*  415037 */   // Label 7318: @415037
     /*  415037 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(415110), // Rule ID 63196 //
     /*  415042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415066 */     // MIs[0] op1
     /*  415066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415089 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415108 */     GIR_RootConstrainSelectedInstOperands,
     /*  415109 */     // GIR_Coverage, 63196,
     /*  415109 */     GIR_EraseRootFromParent_Done,
     /*  415110 */   // Label 7319: @415110
     /*  415110 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(415183), // Rule ID 63207 //
     /*  415115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415139 */     // MIs[0] op1
     /*  415139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415167 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415169 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415171 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415181 */     GIR_RootConstrainSelectedInstOperands,
     /*  415182 */     // GIR_Coverage, 63207,
     /*  415182 */     GIR_EraseRootFromParent_Done,
     /*  415183 */   // Label 7320: @415183
     /*  415183 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(415256), // Rule ID 63208 //
     /*  415188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415212 */     // MIs[0] op1
     /*  415212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415235 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415240 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415242 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415244 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415254 */     GIR_RootConstrainSelectedInstOperands,
     /*  415255 */     // GIR_Coverage, 63208,
     /*  415255 */     GIR_EraseRootFromParent_Done,
     /*  415256 */   // Label 7321: @415256
     /*  415256 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(415329), // Rule ID 63231 //
     /*  415261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415285 */     // MIs[0] op1
     /*  415285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415327 */     GIR_RootConstrainSelectedInstOperands,
     /*  415328 */     // GIR_Coverage, 63231,
     /*  415328 */     GIR_EraseRootFromParent_Done,
     /*  415329 */   // Label 7322: @415329
     /*  415329 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(415402), // Rule ID 63232 //
     /*  415334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415358 */     // MIs[0] op1
     /*  415358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415381 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415386 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415388 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415390 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415400 */     GIR_RootConstrainSelectedInstOperands,
     /*  415401 */     // GIR_Coverage, 63232,
     /*  415401 */     GIR_EraseRootFromParent_Done,
     /*  415402 */   // Label 7323: @415402
     /*  415402 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(415475), // Rule ID 63251 //
     /*  415407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415431 */     // MIs[0] op1
     /*  415431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415454 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415459 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415461 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415463 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415473 */     GIR_RootConstrainSelectedInstOperands,
     /*  415474 */     // GIR_Coverage, 63251,
     /*  415474 */     GIR_EraseRootFromParent_Done,
     /*  415475 */   // Label 7324: @415475
     /*  415475 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(415548), // Rule ID 63252 //
     /*  415480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415504 */     // MIs[0] op1
     /*  415504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415527 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415546 */     GIR_RootConstrainSelectedInstOperands,
     /*  415547 */     // GIR_Coverage, 63252,
     /*  415547 */     GIR_EraseRootFromParent_Done,
     /*  415548 */   // Label 7325: @415548
     /*  415548 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(415621), // Rule ID 63263 //
     /*  415553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  415570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415577 */     // MIs[0] op1
     /*  415577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415605 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415607 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415609 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415619 */     GIR_RootConstrainSelectedInstOperands,
     /*  415620 */     // GIR_Coverage, 63263,
     /*  415620 */     GIR_EraseRootFromParent_Done,
     /*  415621 */   // Label 7326: @415621
     /*  415621 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415694), // Rule ID 63264 //
     /*  415626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  415643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415650 */     // MIs[0] op1
     /*  415650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415673 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415692 */     GIR_RootConstrainSelectedInstOperands,
     /*  415693 */     // GIR_Coverage, 63264,
     /*  415693 */     GIR_EraseRootFromParent_Done,
     /*  415694 */   // Label 7327: @415694
     /*  415694 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415767), // Rule ID 63295 //
     /*  415699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415723 */     // MIs[0] op1
     /*  415723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  415749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415751 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415753 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415755 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415765 */     GIR_RootConstrainSelectedInstOperands,
     /*  415766 */     // GIR_Coverage, 63295,
     /*  415766 */     GIR_EraseRootFromParent_Done,
     /*  415767 */   // Label 7328: @415767
     /*  415767 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415840), // Rule ID 63296 //
     /*  415772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415796 */     // MIs[0] op1
     /*  415796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415819 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  415822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415824 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415826 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415828 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415838 */     GIR_RootConstrainSelectedInstOperands,
     /*  415839 */     // GIR_Coverage, 63296,
     /*  415839 */     GIR_EraseRootFromParent_Done,
     /*  415840 */   // Label 7329: @415840
     /*  415840 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(415913), // Rule ID 63307 //
     /*  415845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  415862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415869 */     // MIs[0] op1
     /*  415869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  415895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415911 */     GIR_RootConstrainSelectedInstOperands,
     /*  415912 */     // GIR_Coverage, 63307,
     /*  415912 */     GIR_EraseRootFromParent_Done,
     /*  415913 */   // Label 7330: @415913
     /*  415913 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(415986), // Rule ID 63308 //
     /*  415918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  415935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415942 */     // MIs[0] op1
     /*  415942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415965 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  415968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415984 */     GIR_RootConstrainSelectedInstOperands,
     /*  415985 */     // GIR_Coverage, 63308,
     /*  415985 */     GIR_EraseRootFromParent_Done,
     /*  415986 */   // Label 7331: @415986
     /*  415986 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(416059), // Rule ID 63339 //
     /*  415991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416015 */     // MIs[0] op1
     /*  416015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416043 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416045 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416047 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416057 */     GIR_RootConstrainSelectedInstOperands,
     /*  416058 */     // GIR_Coverage, 63339,
     /*  416058 */     GIR_EraseRootFromParent_Done,
     /*  416059 */   // Label 7332: @416059
     /*  416059 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(416132), // Rule ID 63340 //
     /*  416064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416088 */     // MIs[0] op1
     /*  416088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416111 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416130 */     GIR_RootConstrainSelectedInstOperands,
     /*  416131 */     // GIR_Coverage, 63340,
     /*  416131 */     GIR_EraseRootFromParent_Done,
     /*  416132 */   // Label 7333: @416132
     /*  416132 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(416205), // Rule ID 63351 //
     /*  416137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416161 */     // MIs[0] op1
     /*  416161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416184 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416203 */     GIR_RootConstrainSelectedInstOperands,
     /*  416204 */     // GIR_Coverage, 63351,
     /*  416204 */     GIR_EraseRootFromParent_Done,
     /*  416205 */   // Label 7334: @416205
     /*  416205 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(416278), // Rule ID 63352 //
     /*  416210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416234 */     // MIs[0] op1
     /*  416234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416257 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416262 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416264 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416266 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416276 */     GIR_RootConstrainSelectedInstOperands,
     /*  416277 */     // GIR_Coverage, 63352,
     /*  416277 */     GIR_EraseRootFromParent_Done,
     /*  416278 */   // Label 7335: @416278
     /*  416278 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(416351), // Rule ID 63383 //
     /*  416283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416307 */     // MIs[0] op1
     /*  416307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416349 */     GIR_RootConstrainSelectedInstOperands,
     /*  416350 */     // GIR_Coverage, 63383,
     /*  416350 */     GIR_EraseRootFromParent_Done,
     /*  416351 */   // Label 7336: @416351
     /*  416351 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(416424), // Rule ID 63384 //
     /*  416356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416380 */     // MIs[0] op1
     /*  416380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416422 */     GIR_RootConstrainSelectedInstOperands,
     /*  416423 */     // GIR_Coverage, 63384,
     /*  416423 */     GIR_EraseRootFromParent_Done,
     /*  416424 */   // Label 7337: @416424
     /*  416424 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(416497), // Rule ID 63395 //
     /*  416429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416453 */     // MIs[0] op1
     /*  416453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416481 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416483 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416485 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416495 */     GIR_RootConstrainSelectedInstOperands,
     /*  416496 */     // GIR_Coverage, 63395,
     /*  416496 */     GIR_EraseRootFromParent_Done,
     /*  416497 */   // Label 7338: @416497
     /*  416497 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(416570), // Rule ID 63396 //
     /*  416502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416526 */     // MIs[0] op1
     /*  416526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416529 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416554 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416556 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416558 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416568 */     GIR_RootConstrainSelectedInstOperands,
     /*  416569 */     // GIR_Coverage, 63396,
     /*  416569 */     GIR_EraseRootFromParent_Done,
     /*  416570 */   // Label 7339: @416570
     /*  416570 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416643), // Rule ID 63419 //
     /*  416575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416599 */     // MIs[0] op1
     /*  416599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  416615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  416625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416627 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416629 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416631 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416641 */     GIR_RootConstrainSelectedInstOperands,
     /*  416642 */     // GIR_Coverage, 63419,
     /*  416642 */     GIR_EraseRootFromParent_Done,
     /*  416643 */   // Label 7340: @416643
     /*  416643 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416716), // Rule ID 63420 //
     /*  416648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416672 */     // MIs[0] op1
     /*  416672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  416688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  416698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416714 */     GIR_RootConstrainSelectedInstOperands,
     /*  416715 */     // GIR_Coverage, 63420,
     /*  416715 */     GIR_EraseRootFromParent_Done,
     /*  416716 */   // Label 7341: @416716
     /*  416716 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416789), // Rule ID 63439 //
     /*  416721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416745 */     // MIs[0] op1
     /*  416745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416787 */     GIR_RootConstrainSelectedInstOperands,
     /*  416788 */     // GIR_Coverage, 63439,
     /*  416788 */     GIR_EraseRootFromParent_Done,
     /*  416789 */   // Label 7342: @416789
     /*  416789 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416862), // Rule ID 63440 //
     /*  416794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416818 */     // MIs[0] op1
     /*  416818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416841 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416860 */     GIR_RootConstrainSelectedInstOperands,
     /*  416861 */     // GIR_Coverage, 63440,
     /*  416861 */     GIR_EraseRootFromParent_Done,
     /*  416862 */   // Label 7343: @416862
     /*  416862 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(416935), // Rule ID 63451 //
     /*  416867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  416884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416891 */     // MIs[0] op1
     /*  416891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416914 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416933 */     GIR_RootConstrainSelectedInstOperands,
     /*  416934 */     // GIR_Coverage, 63451,
     /*  416934 */     GIR_EraseRootFromParent_Done,
     /*  416935 */   // Label 7344: @416935
     /*  416935 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(417008), // Rule ID 63452 //
     /*  416940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  416957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416964 */     // MIs[0] op1
     /*  416964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416987 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417006 */     GIR_RootConstrainSelectedInstOperands,
     /*  417007 */     // GIR_Coverage, 63452,
     /*  417007 */     GIR_EraseRootFromParent_Done,
     /*  417008 */   // Label 7345: @417008
     /*  417008 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(417081), // Rule ID 63475 //
     /*  417013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417037 */     // MIs[0] op1
     /*  417037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417065 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417067 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417069 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417079 */     GIR_RootConstrainSelectedInstOperands,
     /*  417080 */     // GIR_Coverage, 63475,
     /*  417080 */     GIR_EraseRootFromParent_Done,
     /*  417081 */   // Label 7346: @417081
     /*  417081 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(417154), // Rule ID 63476 //
     /*  417086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417110 */     // MIs[0] op1
     /*  417110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417133 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417152 */     GIR_RootConstrainSelectedInstOperands,
     /*  417153 */     // GIR_Coverage, 63476,
     /*  417153 */     GIR_EraseRootFromParent_Done,
     /*  417154 */   // Label 7347: @417154
     /*  417154 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(417227), // Rule ID 63495 //
     /*  417159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417183 */     // MIs[0] op1
     /*  417183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417225 */     GIR_RootConstrainSelectedInstOperands,
     /*  417226 */     // GIR_Coverage, 63495,
     /*  417226 */     GIR_EraseRootFromParent_Done,
     /*  417227 */   // Label 7348: @417227
     /*  417227 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(417300), // Rule ID 63496 //
     /*  417232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417256 */     // MIs[0] op1
     /*  417256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417279 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417298 */     GIR_RootConstrainSelectedInstOperands,
     /*  417299 */     // GIR_Coverage, 63496,
     /*  417299 */     GIR_EraseRootFromParent_Done,
     /*  417300 */   // Label 7349: @417300
     /*  417300 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417373), // Rule ID 63507 //
     /*  417305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417329 */     // MIs[0] op1
     /*  417329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417357 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417359 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417361 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417371 */     GIR_RootConstrainSelectedInstOperands,
     /*  417372 */     // GIR_Coverage, 63507,
     /*  417372 */     GIR_EraseRootFromParent_Done,
     /*  417373 */   // Label 7350: @417373
     /*  417373 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417446), // Rule ID 63508 //
     /*  417378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417402 */     // MIs[0] op1
     /*  417402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417425 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417444 */     GIR_RootConstrainSelectedInstOperands,
     /*  417445 */     // GIR_Coverage, 63508,
     /*  417445 */     GIR_EraseRootFromParent_Done,
     /*  417446 */   // Label 7351: @417446
     /*  417446 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(417519), // Rule ID 63531 //
     /*  417451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417475 */     // MIs[0] op1
     /*  417475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417498 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417503 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417505 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417507 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417517 */     GIR_RootConstrainSelectedInstOperands,
     /*  417518 */     // GIR_Coverage, 63531,
     /*  417518 */     GIR_EraseRootFromParent_Done,
     /*  417519 */   // Label 7352: @417519
     /*  417519 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417592), // Rule ID 63532 //
     /*  417524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417548 */     // MIs[0] op1
     /*  417548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417571 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417590 */     GIR_RootConstrainSelectedInstOperands,
     /*  417591 */     // GIR_Coverage, 63532,
     /*  417591 */     GIR_EraseRootFromParent_Done,
     /*  417592 */   // Label 7353: @417592
     /*  417592 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417665), // Rule ID 63551 //
     /*  417597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417621 */     // MIs[0] op1
     /*  417621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  417647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417649 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417651 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417653 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417663 */     GIR_RootConstrainSelectedInstOperands,
     /*  417664 */     // GIR_Coverage, 63551,
     /*  417664 */     GIR_EraseRootFromParent_Done,
     /*  417665 */   // Label 7354: @417665
     /*  417665 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417738), // Rule ID 63552 //
     /*  417670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417694 */     // MIs[0] op1
     /*  417694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417717 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  417720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417722 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417724 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417726 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417736 */     GIR_RootConstrainSelectedInstOperands,
     /*  417737 */     // GIR_Coverage, 63552,
     /*  417737 */     GIR_EraseRootFromParent_Done,
     /*  417738 */   // Label 7355: @417738
     /*  417738 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417811), // Rule ID 63563 //
     /*  417743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  417760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417767 */     // MIs[0] op1
     /*  417767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  417793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417795 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417797 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417799 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417809 */     GIR_RootConstrainSelectedInstOperands,
     /*  417810 */     // GIR_Coverage, 63563,
     /*  417810 */     GIR_EraseRootFromParent_Done,
     /*  417811 */   // Label 7356: @417811
     /*  417811 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417884), // Rule ID 63564 //
     /*  417816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  417833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417840 */     // MIs[0] op1
     /*  417840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  417866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417868 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417870 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417872 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417882 */     GIR_RootConstrainSelectedInstOperands,
     /*  417883 */     // GIR_Coverage, 63564,
     /*  417883 */     GIR_EraseRootFromParent_Done,
     /*  417884 */   // Label 7357: @417884
     /*  417884 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(417957), // Rule ID 63587 //
     /*  417889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417913 */     // MIs[0] op1
     /*  417913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  417929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  417939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417941 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417943 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417945 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417955 */     GIR_RootConstrainSelectedInstOperands,
     /*  417956 */     // GIR_Coverage, 63587,
     /*  417956 */     GIR_EraseRootFromParent_Done,
     /*  417957 */   // Label 7358: @417957
     /*  417957 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(418030), // Rule ID 63588 //
     /*  417962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417986 */     // MIs[0] op1
     /*  417986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418009 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  418012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418028 */     GIR_RootConstrainSelectedInstOperands,
     /*  418029 */     // GIR_Coverage, 63588,
     /*  418029 */     GIR_EraseRootFromParent_Done,
     /*  418030 */   // Label 7359: @418030
     /*  418030 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(418103), // Rule ID 63607 //
     /*  418035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418059 */     // MIs[0] op1
     /*  418059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418087 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418089 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418091 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418101 */     GIR_RootConstrainSelectedInstOperands,
     /*  418102 */     // GIR_Coverage, 63607,
     /*  418102 */     GIR_EraseRootFromParent_Done,
     /*  418103 */   // Label 7360: @418103
     /*  418103 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(418176), // Rule ID 63608 //
     /*  418108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418132 */     // MIs[0] op1
     /*  418132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418155 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418160 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418162 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418164 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418174 */     GIR_RootConstrainSelectedInstOperands,
     /*  418175 */     // GIR_Coverage, 63608,
     /*  418175 */     GIR_EraseRootFromParent_Done,
     /*  418176 */   // Label 7361: @418176
     /*  418176 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(418249), // Rule ID 63619 //
     /*  418181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418205 */     // MIs[0] op1
     /*  418205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418247 */     GIR_RootConstrainSelectedInstOperands,
     /*  418248 */     // GIR_Coverage, 63619,
     /*  418248 */     GIR_EraseRootFromParent_Done,
     /*  418249 */   // Label 7362: @418249
     /*  418249 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418322), // Rule ID 63620 //
     /*  418254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418278 */     // MIs[0] op1
     /*  418278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418320 */     GIR_RootConstrainSelectedInstOperands,
     /*  418321 */     // GIR_Coverage, 63620,
     /*  418321 */     GIR_EraseRootFromParent_Done,
     /*  418322 */   // Label 7363: @418322
     /*  418322 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418395), // Rule ID 63643 //
     /*  418327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418351 */     // MIs[0] op1
     /*  418351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418393 */     GIR_RootConstrainSelectedInstOperands,
     /*  418394 */     // GIR_Coverage, 63643,
     /*  418394 */     GIR_EraseRootFromParent_Done,
     /*  418395 */   // Label 7364: @418395
     /*  418395 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418468), // Rule ID 63644 //
     /*  418400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418424 */     // MIs[0] op1
     /*  418424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418466 */     GIR_RootConstrainSelectedInstOperands,
     /*  418467 */     // GIR_Coverage, 63644,
     /*  418467 */     GIR_EraseRootFromParent_Done,
     /*  418468 */   // Label 7365: @418468
     /*  418468 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(418541), // Rule ID 63663 //
     /*  418473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418497 */     // MIs[0] op1
     /*  418497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418539 */     GIR_RootConstrainSelectedInstOperands,
     /*  418540 */     // GIR_Coverage, 63663,
     /*  418540 */     GIR_EraseRootFromParent_Done,
     /*  418541 */   // Label 7366: @418541
     /*  418541 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418614), // Rule ID 63664 //
     /*  418546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418570 */     // MIs[0] op1
     /*  418570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418612 */     GIR_RootConstrainSelectedInstOperands,
     /*  418613 */     // GIR_Coverage, 63664,
     /*  418613 */     GIR_EraseRootFromParent_Done,
     /*  418614 */   // Label 7367: @418614
     /*  418614 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418687), // Rule ID 63675 //
     /*  418619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  418636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418643 */     // MIs[0] op1
     /*  418643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  418669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418685 */     GIR_RootConstrainSelectedInstOperands,
     /*  418686 */     // GIR_Coverage, 63675,
     /*  418686 */     GIR_EraseRootFromParent_Done,
     /*  418687 */   // Label 7368: @418687
     /*  418687 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418760), // Rule ID 63676 //
     /*  418692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  418709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418716 */     // MIs[0] op1
     /*  418716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418739 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  418742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418758 */     GIR_RootConstrainSelectedInstOperands,
     /*  418759 */     // GIR_Coverage, 63676,
     /*  418759 */     GIR_EraseRootFromParent_Done,
     /*  418760 */   // Label 7369: @418760
     /*  418760 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418833), // Rule ID 63699 //
     /*  418765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418789 */     // MIs[0] op1
     /*  418789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  418815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418831 */     GIR_RootConstrainSelectedInstOperands,
     /*  418832 */     // GIR_Coverage, 63699,
     /*  418832 */     GIR_EraseRootFromParent_Done,
     /*  418833 */   // Label 7370: @418833
     /*  418833 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(418906), // Rule ID 63700 //
     /*  418838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418862 */     // MIs[0] op1
     /*  418862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  418888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418904 */     GIR_RootConstrainSelectedInstOperands,
     /*  418905 */     // GIR_Coverage, 63700,
     /*  418905 */     GIR_EraseRootFromParent_Done,
     /*  418906 */   // Label 7371: @418906
     /*  418906 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(418979), // Rule ID 63719 //
     /*  418911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  418922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  418925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418935 */     // MIs[0] op1
     /*  418935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  418961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418977 */     GIR_RootConstrainSelectedInstOperands,
     /*  418978 */     // GIR_Coverage, 63719,
     /*  418978 */     GIR_EraseRootFromParent_Done,
     /*  418979 */   // Label 7372: @418979
     /*  418979 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(419052), // Rule ID 63720 //
     /*  418984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  418995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  418998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419008 */     // MIs[0] op1
     /*  419008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  419034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419036 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419038 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419040 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419050 */     GIR_RootConstrainSelectedInstOperands,
     /*  419051 */     // GIR_Coverage, 63720,
     /*  419051 */     GIR_EraseRootFromParent_Done,
     /*  419052 */   // Label 7373: @419052
     /*  419052 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(419125), // Rule ID 63731 //
     /*  419057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419081 */     // MIs[0] op1
     /*  419081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419109 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419111 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419113 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419123 */     GIR_RootConstrainSelectedInstOperands,
     /*  419124 */     // GIR_Coverage, 63731,
     /*  419124 */     GIR_EraseRootFromParent_Done,
     /*  419125 */   // Label 7374: @419125
     /*  419125 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(419198), // Rule ID 63732 //
     /*  419130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419154 */     // MIs[0] op1
     /*  419154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419177 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419182 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419184 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419186 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419196 */     GIR_RootConstrainSelectedInstOperands,
     /*  419197 */     // GIR_Coverage, 63732,
     /*  419197 */     GIR_EraseRootFromParent_Done,
     /*  419198 */   // Label 7375: @419198
     /*  419198 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419271), // Rule ID 63755 //
     /*  419203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419227 */     // MIs[0] op1
     /*  419227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419255 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419257 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419259 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419269 */     GIR_RootConstrainSelectedInstOperands,
     /*  419270 */     // GIR_Coverage, 63755,
     /*  419270 */     GIR_EraseRootFromParent_Done,
     /*  419271 */   // Label 7376: @419271
     /*  419271 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419344), // Rule ID 63756 //
     /*  419276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419300 */     // MIs[0] op1
     /*  419300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419328 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419330 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419332 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419342 */     GIR_RootConstrainSelectedInstOperands,
     /*  419343 */     // GIR_Coverage, 63756,
     /*  419343 */     GIR_EraseRootFromParent_Done,
     /*  419344 */   // Label 7377: @419344
     /*  419344 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(419417), // Rule ID 63775 //
     /*  419349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419373 */     // MIs[0] op1
     /*  419373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419401 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419403 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419405 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419415 */     GIR_RootConstrainSelectedInstOperands,
     /*  419416 */     // GIR_Coverage, 63775,
     /*  419416 */     GIR_EraseRootFromParent_Done,
     /*  419417 */   // Label 7378: @419417
     /*  419417 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(419490), // Rule ID 63776 //
     /*  419422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419446 */     // MIs[0] op1
     /*  419446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419469 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419488 */     GIR_RootConstrainSelectedInstOperands,
     /*  419489 */     // GIR_Coverage, 63776,
     /*  419489 */     GIR_EraseRootFromParent_Done,
     /*  419490 */   // Label 7379: @419490
     /*  419490 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419563), // Rule ID 63787 //
     /*  419495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419519 */     // MIs[0] op1
     /*  419519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  419545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419547 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419549 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419551 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419561 */     GIR_RootConstrainSelectedInstOperands,
     /*  419562 */     // GIR_Coverage, 63787,
     /*  419562 */     GIR_EraseRootFromParent_Done,
     /*  419563 */   // Label 7380: @419563
     /*  419563 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419636), // Rule ID 63788 //
     /*  419568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419592 */     // MIs[0] op1
     /*  419592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419615 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  419618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419634 */     GIR_RootConstrainSelectedInstOperands,
     /*  419635 */     // GIR_Coverage, 63788,
     /*  419635 */     GIR_EraseRootFromParent_Done,
     /*  419636 */   // Label 7381: @419636
     /*  419636 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419709), // Rule ID 63811 //
     /*  419641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419665 */     // MIs[0] op1
     /*  419665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  419691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419707 */     GIR_RootConstrainSelectedInstOperands,
     /*  419708 */     // GIR_Coverage, 63811,
     /*  419708 */     GIR_EraseRootFromParent_Done,
     /*  419709 */   // Label 7382: @419709
     /*  419709 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419782), // Rule ID 63812 //
     /*  419714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419738 */     // MIs[0] op1
     /*  419738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419761 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  419764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419780 */     GIR_RootConstrainSelectedInstOperands,
     /*  419781 */     // GIR_Coverage, 63812,
     /*  419781 */     GIR_EraseRootFromParent_Done,
     /*  419782 */   // Label 7383: @419782
     /*  419782 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419855), // Rule ID 63831 //
     /*  419787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  419798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  419801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419811 */     // MIs[0] op1
     /*  419811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  419837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419853 */     GIR_RootConstrainSelectedInstOperands,
     /*  419854 */     // GIR_Coverage, 63831,
     /*  419854 */     GIR_EraseRootFromParent_Done,
     /*  419855 */   // Label 7384: @419855
     /*  419855 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(419928), // Rule ID 63832 //
     /*  419860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  419871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  419874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419884 */     // MIs[0] op1
     /*  419884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  419910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419912 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419914 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419916 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419926 */     GIR_RootConstrainSelectedInstOperands,
     /*  419927 */     // GIR_Coverage, 63832,
     /*  419927 */     GIR_EraseRootFromParent_Done,
     /*  419928 */   // Label 7385: @419928
     /*  419928 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(420001), // Rule ID 63843 //
     /*  419933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  419944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  419947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  419950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419957 */     // MIs[0] op1
     /*  419957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419960 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  419983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419985 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419987 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419989 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419999 */     GIR_RootConstrainSelectedInstOperands,
     /*  420000 */     // GIR_Coverage, 63843,
     /*  420000 */     GIR_EraseRootFromParent_Done,
     /*  420001 */   // Label 7386: @420001
     /*  420001 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(420074), // Rule ID 63844 //
     /*  420006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  420023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420030 */     // MIs[0] op1
     /*  420030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420058 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420060 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420062 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420072 */     GIR_RootConstrainSelectedInstOperands,
     /*  420073 */     // GIR_Coverage, 63844,
     /*  420073 */     GIR_EraseRootFromParent_Done,
     /*  420074 */   // Label 7387: @420074
     /*  420074 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420147), // Rule ID 63867 //
     /*  420079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420103 */     // MIs[0] op1
     /*  420103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420131 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420133 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420135 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420145 */     GIR_RootConstrainSelectedInstOperands,
     /*  420146 */     // GIR_Coverage, 63867,
     /*  420146 */     GIR_EraseRootFromParent_Done,
     /*  420147 */   // Label 7388: @420147
     /*  420147 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420220), // Rule ID 63868 //
     /*  420152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420176 */     // MIs[0] op1
     /*  420176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420204 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420206 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420208 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420218 */     GIR_RootConstrainSelectedInstOperands,
     /*  420219 */     // GIR_Coverage, 63868,
     /*  420219 */     GIR_EraseRootFromParent_Done,
     /*  420220 */   // Label 7389: @420220
     /*  420220 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(420303), // Rule ID 5209 //
     /*  420225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420268 */     // MIs[1] Operand 1
     /*  420268 */     // No operand predicates
     /*  420268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420281 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420301 */     GIR_RootConstrainSelectedInstOperands,
     /*  420302 */     // GIR_Coverage, 5209,
     /*  420302 */     GIR_EraseRootFromParent_Done,
     /*  420303 */   // Label 7390: @420303
     /*  420303 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(420386), // Rule ID 5210 //
     /*  420308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420351 */     // MIs[1] Operand 1
     /*  420351 */     // No operand predicates
     /*  420351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420384 */     GIR_RootConstrainSelectedInstOperands,
     /*  420385 */     // GIR_Coverage, 5210,
     /*  420385 */     GIR_EraseRootFromParent_Done,
     /*  420386 */   // Label 7391: @420386
     /*  420386 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(420469), // Rule ID 5211 //
     /*  420391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420434 */     // MIs[1] Operand 1
     /*  420434 */     // No operand predicates
     /*  420434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420467 */     GIR_RootConstrainSelectedInstOperands,
     /*  420468 */     // GIR_Coverage, 5211,
     /*  420468 */     GIR_EraseRootFromParent_Done,
     /*  420469 */   // Label 7392: @420469
     /*  420469 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(420552), // Rule ID 5212 //
     /*  420474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420517 */     // MIs[1] Operand 1
     /*  420517 */     // No operand predicates
     /*  420517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420530 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420550 */     GIR_RootConstrainSelectedInstOperands,
     /*  420551 */     // GIR_Coverage, 5212,
     /*  420551 */     GIR_EraseRootFromParent_Done,
     /*  420552 */   // Label 7393: @420552
     /*  420552 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420635), // Rule ID 5213 //
     /*  420557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  420571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420600 */     // MIs[1] Operand 1
     /*  420600 */     // No operand predicates
     /*  420600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420633 */     GIR_RootConstrainSelectedInstOperands,
     /*  420634 */     // GIR_Coverage, 5213,
     /*  420634 */     GIR_EraseRootFromParent_Done,
     /*  420635 */   // Label 7394: @420635
     /*  420635 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420718), // Rule ID 5214 //
     /*  420640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  420654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420683 */     // MIs[1] Operand 1
     /*  420683 */     // No operand predicates
     /*  420683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420716 */     GIR_RootConstrainSelectedInstOperands,
     /*  420717 */     // GIR_Coverage, 5214,
     /*  420717 */     GIR_EraseRootFromParent_Done,
     /*  420718 */   // Label 7395: @420718
     /*  420718 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420801), // Rule ID 5215 //
     /*  420723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  420737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420766 */     // MIs[1] Operand 1
     /*  420766 */     // No operand predicates
     /*  420766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420779 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  420779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420799 */     GIR_RootConstrainSelectedInstOperands,
     /*  420800 */     // GIR_Coverage, 5215,
     /*  420800 */     GIR_EraseRootFromParent_Done,
     /*  420801 */   // Label 7396: @420801
     /*  420801 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420884), // Rule ID 5216 //
     /*  420806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  420820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420849 */     // MIs[1] Operand 1
     /*  420849 */     // No operand predicates
     /*  420849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420862 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  420862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420882 */     GIR_RootConstrainSelectedInstOperands,
     /*  420883 */     // GIR_Coverage, 5216,
     /*  420883 */     GIR_EraseRootFromParent_Done,
     /*  420884 */   // Label 7397: @420884
     /*  420884 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(420967), // Rule ID 5217 //
     /*  420889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420932 */     // MIs[1] Operand 1
     /*  420932 */     // No operand predicates
     /*  420932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  420945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420965 */     GIR_RootConstrainSelectedInstOperands,
     /*  420966 */     // GIR_Coverage, 5217,
     /*  420966 */     GIR_EraseRootFromParent_Done,
     /*  420967 */   // Label 7398: @420967
     /*  420967 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(421050), // Rule ID 5218 //
     /*  420972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421015 */     // MIs[1] Operand 1
     /*  421015 */     // No operand predicates
     /*  421015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421048 */     GIR_RootConstrainSelectedInstOperands,
     /*  421049 */     // GIR_Coverage, 5218,
     /*  421049 */     GIR_EraseRootFromParent_Done,
     /*  421050 */   // Label 7399: @421050
     /*  421050 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(421133), // Rule ID 5219 //
     /*  421055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421098 */     // MIs[1] Operand 1
     /*  421098 */     // No operand predicates
     /*  421098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421131 */     GIR_RootConstrainSelectedInstOperands,
     /*  421132 */     // GIR_Coverage, 5219,
     /*  421132 */     GIR_EraseRootFromParent_Done,
     /*  421133 */   // Label 7400: @421133
     /*  421133 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421216), // Rule ID 5220 //
     /*  421138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421181 */     // MIs[1] Operand 1
     /*  421181 */     // No operand predicates
     /*  421181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421194 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421214 */     GIR_RootConstrainSelectedInstOperands,
     /*  421215 */     // GIR_Coverage, 5220,
     /*  421215 */     GIR_EraseRootFromParent_Done,
     /*  421216 */   // Label 7401: @421216
     /*  421216 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(421299), // Rule ID 5221 //
     /*  421221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421264 */     // MIs[1] Operand 1
     /*  421264 */     // No operand predicates
     /*  421264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421297 */     GIR_RootConstrainSelectedInstOperands,
     /*  421298 */     // GIR_Coverage, 5221,
     /*  421298 */     GIR_EraseRootFromParent_Done,
     /*  421299 */   // Label 7402: @421299
     /*  421299 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(421382), // Rule ID 5222 //
     /*  421304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421347 */     // MIs[1] Operand 1
     /*  421347 */     // No operand predicates
     /*  421347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421380 */     GIR_RootConstrainSelectedInstOperands,
     /*  421381 */     // GIR_Coverage, 5222,
     /*  421381 */     GIR_EraseRootFromParent_Done,
     /*  421382 */   // Label 7403: @421382
     /*  421382 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(421465), // Rule ID 5223 //
     /*  421387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421430 */     // MIs[1] Operand 1
     /*  421430 */     // No operand predicates
     /*  421430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421463 */     GIR_RootConstrainSelectedInstOperands,
     /*  421464 */     // GIR_Coverage, 5223,
     /*  421464 */     GIR_EraseRootFromParent_Done,
     /*  421465 */   // Label 7404: @421465
     /*  421465 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(421548), // Rule ID 5224 //
     /*  421470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421513 */     // MIs[1] Operand 1
     /*  421513 */     // No operand predicates
     /*  421513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421526 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421546 */     GIR_RootConstrainSelectedInstOperands,
     /*  421547 */     // GIR_Coverage, 5224,
     /*  421547 */     GIR_EraseRootFromParent_Done,
     /*  421548 */   // Label 7405: @421548
     /*  421548 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(421631), // Rule ID 5225 //
     /*  421553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  421567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421596 */     // MIs[1] Operand 1
     /*  421596 */     // No operand predicates
     /*  421596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421609 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421629 */     GIR_RootConstrainSelectedInstOperands,
     /*  421630 */     // GIR_Coverage, 5225,
     /*  421630 */     GIR_EraseRootFromParent_Done,
     /*  421631 */   // Label 7406: @421631
     /*  421631 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(421714), // Rule ID 5226 //
     /*  421636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  421650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421679 */     // MIs[1] Operand 1
     /*  421679 */     // No operand predicates
     /*  421679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421712 */     GIR_RootConstrainSelectedInstOperands,
     /*  421713 */     // GIR_Coverage, 5226,
     /*  421713 */     GIR_EraseRootFromParent_Done,
     /*  421714 */   // Label 7407: @421714
     /*  421714 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421797), // Rule ID 5227 //
     /*  421719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  421722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  421733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421762 */     // MIs[1] Operand 1
     /*  421762 */     // No operand predicates
     /*  421762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421775 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  421775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421795 */     GIR_RootConstrainSelectedInstOperands,
     /*  421796 */     // GIR_Coverage, 5227,
     /*  421796 */     GIR_EraseRootFromParent_Done,
     /*  421797 */   // Label 7408: @421797
     /*  421797 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421880), // Rule ID 5228 //
     /*  421802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  421805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  421816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421845 */     // MIs[1] Operand 1
     /*  421845 */     // No operand predicates
     /*  421845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  421858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421878 */     GIR_RootConstrainSelectedInstOperands,
     /*  421879 */     // GIR_Coverage, 5228,
     /*  421879 */     GIR_EraseRootFromParent_Done,
     /*  421880 */   // Label 7409: @421880
     /*  421880 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(421963), // Rule ID 5229 //
     /*  421885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  421896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  421899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  421905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421928 */     // MIs[1] Operand 1
     /*  421928 */     // No operand predicates
     /*  421928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  421944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421961 */     GIR_RootConstrainSelectedInstOperands,
     /*  421962 */     // GIR_Coverage, 5229,
     /*  421962 */     GIR_EraseRootFromParent_Done,
     /*  421963 */   // Label 7410: @421963
     /*  421963 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(422046), // Rule ID 5230 //
     /*  421968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  421979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  421982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  421988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422011 */     // MIs[1] Operand 1
     /*  422011 */     // No operand predicates
     /*  422011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422044 */     GIR_RootConstrainSelectedInstOperands,
     /*  422045 */     // GIR_Coverage, 5230,
     /*  422045 */     GIR_EraseRootFromParent_Done,
     /*  422046 */   // Label 7411: @422046
     /*  422046 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(422129), // Rule ID 5231 //
     /*  422051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422094 */     // MIs[1] Operand 1
     /*  422094 */     // No operand predicates
     /*  422094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422107 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422127 */     GIR_RootConstrainSelectedInstOperands,
     /*  422128 */     // GIR_Coverage, 5231,
     /*  422128 */     GIR_EraseRootFromParent_Done,
     /*  422129 */   // Label 7412: @422129
     /*  422129 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(422212), // Rule ID 5232 //
     /*  422134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422177 */     // MIs[1] Operand 1
     /*  422177 */     // No operand predicates
     /*  422177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422190 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422210 */     GIR_RootConstrainSelectedInstOperands,
     /*  422211 */     // GIR_Coverage, 5232,
     /*  422211 */     GIR_EraseRootFromParent_Done,
     /*  422212 */   // Label 7413: @422212
     /*  422212 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(422295), // Rule ID 5233 //
     /*  422217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422260 */     // MIs[1] Operand 1
     /*  422260 */     // No operand predicates
     /*  422260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422273 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422293 */     GIR_RootConstrainSelectedInstOperands,
     /*  422294 */     // GIR_Coverage, 5233,
     /*  422294 */     GIR_EraseRootFromParent_Done,
     /*  422295 */   // Label 7414: @422295
     /*  422295 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(422378), // Rule ID 5234 //
     /*  422300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422343 */     // MIs[1] Operand 1
     /*  422343 */     // No operand predicates
     /*  422343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422356 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422376 */     GIR_RootConstrainSelectedInstOperands,
     /*  422377 */     // GIR_Coverage, 5234,
     /*  422377 */     GIR_EraseRootFromParent_Done,
     /*  422378 */   // Label 7415: @422378
     /*  422378 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(422461), // Rule ID 5235 //
     /*  422383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422426 */     // MIs[1] Operand 1
     /*  422426 */     // No operand predicates
     /*  422426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422439 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422459 */     GIR_RootConstrainSelectedInstOperands,
     /*  422460 */     // GIR_Coverage, 5235,
     /*  422460 */     GIR_EraseRootFromParent_Done,
     /*  422461 */   // Label 7416: @422461
     /*  422461 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(422544), // Rule ID 5236 //
     /*  422466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422509 */     // MIs[1] Operand 1
     /*  422509 */     // No operand predicates
     /*  422509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422522 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422542 */     GIR_RootConstrainSelectedInstOperands,
     /*  422543 */     // GIR_Coverage, 5236,
     /*  422543 */     GIR_EraseRootFromParent_Done,
     /*  422544 */   // Label 7417: @422544
     /*  422544 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(422627), // Rule ID 5237 //
     /*  422549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422592 */     // MIs[1] Operand 1
     /*  422592 */     // No operand predicates
     /*  422592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422605 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422625 */     GIR_RootConstrainSelectedInstOperands,
     /*  422626 */     // GIR_Coverage, 5237,
     /*  422626 */     GIR_EraseRootFromParent_Done,
     /*  422627 */   // Label 7418: @422627
     /*  422627 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(422710), // Rule ID 5238 //
     /*  422632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422675 */     // MIs[1] Operand 1
     /*  422675 */     // No operand predicates
     /*  422675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422708 */     GIR_RootConstrainSelectedInstOperands,
     /*  422709 */     // GIR_Coverage, 5238,
     /*  422709 */     GIR_EraseRootFromParent_Done,
     /*  422710 */   // Label 7419: @422710
     /*  422710 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(422793), // Rule ID 5239 //
     /*  422715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  422729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422758 */     // MIs[1] Operand 1
     /*  422758 */     // No operand predicates
     /*  422758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422771 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422791 */     GIR_RootConstrainSelectedInstOperands,
     /*  422792 */     // GIR_Coverage, 5239,
     /*  422792 */     GIR_EraseRootFromParent_Done,
     /*  422793 */   // Label 7420: @422793
     /*  422793 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422876), // Rule ID 5240 //
     /*  422798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  422812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422841 */     // MIs[1] Operand 1
     /*  422841 */     // No operand predicates
     /*  422841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422874 */     GIR_RootConstrainSelectedInstOperands,
     /*  422875 */     // GIR_Coverage, 5240,
     /*  422875 */     GIR_EraseRootFromParent_Done,
     /*  422876 */   // Label 7421: @422876
     /*  422876 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(422959), // Rule ID 5241 //
     /*  422881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  422895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422924 */     // MIs[1] Operand 1
     /*  422924 */     // No operand predicates
     /*  422924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422937 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422957 */     GIR_RootConstrainSelectedInstOperands,
     /*  422958 */     // GIR_Coverage, 5241,
     /*  422958 */     GIR_EraseRootFromParent_Done,
     /*  422959 */   // Label 7422: @422959
     /*  422959 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(423042), // Rule ID 5242 //
     /*  422964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  422978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423007 */     // MIs[1] Operand 1
     /*  423007 */     // No operand predicates
     /*  423007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423040 */     GIR_RootConstrainSelectedInstOperands,
     /*  423041 */     // GIR_Coverage, 5242,
     /*  423041 */     GIR_EraseRootFromParent_Done,
     /*  423042 */   // Label 7423: @423042
     /*  423042 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(423125), // Rule ID 5243 //
     /*  423047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423090 */     // MIs[1] Operand 1
     /*  423090 */     // No operand predicates
     /*  423090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423103 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423123 */     GIR_RootConstrainSelectedInstOperands,
     /*  423124 */     // GIR_Coverage, 5243,
     /*  423124 */     GIR_EraseRootFromParent_Done,
     /*  423125 */   // Label 7424: @423125
     /*  423125 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(423208), // Rule ID 5244 //
     /*  423130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423173 */     // MIs[1] Operand 1
     /*  423173 */     // No operand predicates
     /*  423173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423206 */     GIR_RootConstrainSelectedInstOperands,
     /*  423207 */     // GIR_Coverage, 5244,
     /*  423207 */     GIR_EraseRootFromParent_Done,
     /*  423208 */   // Label 7425: @423208
     /*  423208 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(423291), // Rule ID 5245 //
     /*  423213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423256 */     // MIs[1] Operand 1
     /*  423256 */     // No operand predicates
     /*  423256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423269 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423289 */     GIR_RootConstrainSelectedInstOperands,
     /*  423290 */     // GIR_Coverage, 5245,
     /*  423290 */     GIR_EraseRootFromParent_Done,
     /*  423291 */   // Label 7426: @423291
     /*  423291 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(423374), // Rule ID 5246 //
     /*  423296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423339 */     // MIs[1] Operand 1
     /*  423339 */     // No operand predicates
     /*  423339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423352 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423372 */     GIR_RootConstrainSelectedInstOperands,
     /*  423373 */     // GIR_Coverage, 5246,
     /*  423373 */     GIR_EraseRootFromParent_Done,
     /*  423374 */   // Label 7427: @423374
     /*  423374 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(423457), // Rule ID 5247 //
     /*  423379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423422 */     // MIs[1] Operand 1
     /*  423422 */     // No operand predicates
     /*  423422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423435 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423455 */     GIR_RootConstrainSelectedInstOperands,
     /*  423456 */     // GIR_Coverage, 5247,
     /*  423456 */     GIR_EraseRootFromParent_Done,
     /*  423457 */   // Label 7428: @423457
     /*  423457 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(423540), // Rule ID 5248 //
     /*  423462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423505 */     // MIs[1] Operand 1
     /*  423505 */     // No operand predicates
     /*  423505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423538 */     GIR_RootConstrainSelectedInstOperands,
     /*  423539 */     // GIR_Coverage, 5248,
     /*  423539 */     GIR_EraseRootFromParent_Done,
     /*  423540 */   // Label 7429: @423540
     /*  423540 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(423623), // Rule ID 5249 //
     /*  423545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423588 */     // MIs[1] Operand 1
     /*  423588 */     // No operand predicates
     /*  423588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423621 */     GIR_RootConstrainSelectedInstOperands,
     /*  423622 */     // GIR_Coverage, 5249,
     /*  423622 */     GIR_EraseRootFromParent_Done,
     /*  423623 */   // Label 7430: @423623
     /*  423623 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(423706), // Rule ID 5250 //
     /*  423628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423671 */     // MIs[1] Operand 1
     /*  423671 */     // No operand predicates
     /*  423671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423704 */     GIR_RootConstrainSelectedInstOperands,
     /*  423705 */     // GIR_Coverage, 5250,
     /*  423705 */     GIR_EraseRootFromParent_Done,
     /*  423706 */   // Label 7431: @423706
     /*  423706 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(423789), // Rule ID 5251 //
     /*  423711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  423725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423754 */     // MIs[1] Operand 1
     /*  423754 */     // No operand predicates
     /*  423754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423767 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423787 */     GIR_RootConstrainSelectedInstOperands,
     /*  423788 */     // GIR_Coverage, 5251,
     /*  423788 */     GIR_EraseRootFromParent_Done,
     /*  423789 */   // Label 7432: @423789
     /*  423789 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(423872), // Rule ID 5252 //
     /*  423794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  423808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423837 */     // MIs[1] Operand 1
     /*  423837 */     // No operand predicates
     /*  423837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423850 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423870 */     GIR_RootConstrainSelectedInstOperands,
     /*  423871 */     // GIR_Coverage, 5252,
     /*  423871 */     GIR_EraseRootFromParent_Done,
     /*  423872 */   // Label 7433: @423872
     /*  423872 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(423948), // Rule ID 60477 //
     /*  423877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  423880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  423888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  423891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  423894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423909 */     // MIs[0] rs2
     /*  423909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  423927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423946 */     GIR_RootConstrainSelectedInstOperands,
     /*  423947 */     // GIR_Coverage, 60477,
     /*  423947 */     GIR_EraseRootFromParent_Done,
     /*  423948 */   // Label 7434: @423948
     /*  423948 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(424024), // Rule ID 60478 //
     /*  423953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  423956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  423964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  423967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  423970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423985 */     // MIs[0] rs2
     /*  423985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  424003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424022 */     GIR_RootConstrainSelectedInstOperands,
     /*  424023 */     // GIR_Coverage, 60478,
     /*  424023 */     GIR_EraseRootFromParent_Done,
     /*  424024 */   // Label 7435: @424024
     /*  424024 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(424100), // Rule ID 62123 //
     /*  424029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424061 */     // MIs[0] rs2
     /*  424061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424098 */     GIR_RootConstrainSelectedInstOperands,
     /*  424099 */     // GIR_Coverage, 62123,
     /*  424099 */     GIR_EraseRootFromParent_Done,
     /*  424100 */   // Label 7436: @424100
     /*  424100 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(424176), // Rule ID 62124 //
     /*  424105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424137 */     // MIs[0] rs2
     /*  424137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424174 */     GIR_RootConstrainSelectedInstOperands,
     /*  424175 */     // GIR_Coverage, 62124,
     /*  424175 */     GIR_EraseRootFromParent_Done,
     /*  424176 */   // Label 7437: @424176
     /*  424176 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(424252), // Rule ID 62125 //
     /*  424181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424213 */     // MIs[0] rs2
     /*  424213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424250 */     GIR_RootConstrainSelectedInstOperands,
     /*  424251 */     // GIR_Coverage, 62125,
     /*  424251 */     GIR_EraseRootFromParent_Done,
     /*  424252 */   // Label 7438: @424252
     /*  424252 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(424328), // Rule ID 62126 //
     /*  424257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424289 */     // MIs[0] rs2
     /*  424289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424326 */     GIR_RootConstrainSelectedInstOperands,
     /*  424327 */     // GIR_Coverage, 62126,
     /*  424327 */     GIR_EraseRootFromParent_Done,
     /*  424328 */   // Label 7439: @424328
     /*  424328 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(424404), // Rule ID 62127 //
     /*  424333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424365 */     // MIs[0] rs2
     /*  424365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424402 */     GIR_RootConstrainSelectedInstOperands,
     /*  424403 */     // GIR_Coverage, 62127,
     /*  424403 */     GIR_EraseRootFromParent_Done,
     /*  424404 */   // Label 7440: @424404
     /*  424404 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(424480), // Rule ID 62128 //
     /*  424409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424441 */     // MIs[0] rs2
     /*  424441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424478 */     GIR_RootConstrainSelectedInstOperands,
     /*  424479 */     // GIR_Coverage, 62128,
     /*  424479 */     GIR_EraseRootFromParent_Done,
     /*  424480 */   // Label 7441: @424480
     /*  424480 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(424556), // Rule ID 62129 //
     /*  424485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424517 */     // MIs[0] rs2
     /*  424517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424554 */     GIR_RootConstrainSelectedInstOperands,
     /*  424555 */     // GIR_Coverage, 62129,
     /*  424555 */     GIR_EraseRootFromParent_Done,
     /*  424556 */   // Label 7442: @424556
     /*  424556 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424632), // Rule ID 62130 //
     /*  424561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424593 */     // MIs[0] rs2
     /*  424593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424630 */     GIR_RootConstrainSelectedInstOperands,
     /*  424631 */     // GIR_Coverage, 62130,
     /*  424631 */     GIR_EraseRootFromParent_Done,
     /*  424632 */   // Label 7443: @424632
     /*  424632 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424708), // Rule ID 62251 //
     /*  424637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  424640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424669 */     // MIs[0] rs2
     /*  424669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  424687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424706 */     GIR_RootConstrainSelectedInstOperands,
     /*  424707 */     // GIR_Coverage, 62251,
     /*  424707 */     GIR_EraseRootFromParent_Done,
     /*  424708 */   // Label 7444: @424708
     /*  424708 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(424784), // Rule ID 62252 //
     /*  424713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  424716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424745 */     // MIs[0] rs2
     /*  424745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  424763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424782 */     GIR_RootConstrainSelectedInstOperands,
     /*  424783 */     // GIR_Coverage, 62252,
     /*  424783 */     GIR_EraseRootFromParent_Done,
     /*  424784 */   // Label 7445: @424784
     /*  424784 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(424860), // Rule ID 62253 //
     /*  424789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  424792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424821 */     // MIs[0] rs2
     /*  424821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  424839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424858 */     GIR_RootConstrainSelectedInstOperands,
     /*  424859 */     // GIR_Coverage, 62253,
     /*  424859 */     GIR_EraseRootFromParent_Done,
     /*  424860 */   // Label 7446: @424860
     /*  424860 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(424936), // Rule ID 62254 //
     /*  424865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  424868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424897 */     // MIs[0] rs2
     /*  424897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  424915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424934 */     GIR_RootConstrainSelectedInstOperands,
     /*  424935 */     // GIR_Coverage, 62254,
     /*  424935 */     GIR_EraseRootFromParent_Done,
     /*  424936 */   // Label 7447: @424936
     /*  424936 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(425012), // Rule ID 62255 //
     /*  424941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  424944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424973 */     // MIs[0] rs2
     /*  424973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  424991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425010 */     GIR_RootConstrainSelectedInstOperands,
     /*  425011 */     // GIR_Coverage, 62255,
     /*  425011 */     GIR_EraseRootFromParent_Done,
     /*  425012 */   // Label 7448: @425012
     /*  425012 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(425088), // Rule ID 62256 //
     /*  425017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425049 */     // MIs[0] rs2
     /*  425049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425052 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  425067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425086 */     GIR_RootConstrainSelectedInstOperands,
     /*  425087 */     // GIR_Coverage, 62256,
     /*  425087 */     GIR_EraseRootFromParent_Done,
     /*  425088 */   // Label 7449: @425088
     /*  425088 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(425164), // Rule ID 62257 //
     /*  425093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425125 */     // MIs[0] rs2
     /*  425125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425128 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425162 */     GIR_RootConstrainSelectedInstOperands,
     /*  425163 */     // GIR_Coverage, 62257,
     /*  425163 */     GIR_EraseRootFromParent_Done,
     /*  425164 */   // Label 7450: @425164
     /*  425164 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(425240), // Rule ID 62258 //
     /*  425169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425201 */     // MIs[0] rs2
     /*  425201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425238 */     GIR_RootConstrainSelectedInstOperands,
     /*  425239 */     // GIR_Coverage, 62258,
     /*  425239 */     GIR_EraseRootFromParent_Done,
     /*  425240 */   // Label 7451: @425240
     /*  425240 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(425316), // Rule ID 62259 //
     /*  425245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425277 */     // MIs[0] rs2
     /*  425277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425314 */     GIR_RootConstrainSelectedInstOperands,
     /*  425315 */     // GIR_Coverage, 62259,
     /*  425315 */     GIR_EraseRootFromParent_Done,
     /*  425316 */   // Label 7452: @425316
     /*  425316 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(425392), // Rule ID 62260 //
     /*  425321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425353 */     // MIs[0] rs2
     /*  425353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425390 */     GIR_RootConstrainSelectedInstOperands,
     /*  425391 */     // GIR_Coverage, 62260,
     /*  425391 */     GIR_EraseRootFromParent_Done,
     /*  425392 */   // Label 7453: @425392
     /*  425392 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(425480), // Rule ID 2679 //
     /*  425397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425444 */     // MIs[1] Operand 1
     /*  425444 */     // No operand predicates
     /*  425444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425453 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425462 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425478 */     GIR_RootConstrainSelectedInstOperands,
     /*  425479 */     // GIR_Coverage, 2679,
     /*  425479 */     GIR_EraseRootFromParent_Done,
     /*  425480 */   // Label 7454: @425480
     /*  425480 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(425568), // Rule ID 2680 //
     /*  425485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425532 */     // MIs[1] Operand 1
     /*  425532 */     // No operand predicates
     /*  425532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425541 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425550 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425566 */     GIR_RootConstrainSelectedInstOperands,
     /*  425567 */     // GIR_Coverage, 2680,
     /*  425567 */     GIR_EraseRootFromParent_Done,
     /*  425568 */   // Label 7455: @425568
     /*  425568 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(425656), // Rule ID 2687 //
     /*  425573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  425584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  425590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425620 */     // MIs[1] Operand 1
     /*  425620 */     // No operand predicates
     /*  425620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  425632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425638 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425654 */     GIR_RootConstrainSelectedInstOperands,
     /*  425655 */     // GIR_Coverage, 2687,
     /*  425655 */     GIR_EraseRootFromParent_Done,
     /*  425656 */   // Label 7456: @425656
     /*  425656 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(425744), // Rule ID 2688 //
     /*  425661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  425672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  425678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425708 */     // MIs[1] Operand 1
     /*  425708 */     // No operand predicates
     /*  425708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425717 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  425720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425726 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425742 */     GIR_RootConstrainSelectedInstOperands,
     /*  425743 */     // GIR_Coverage, 2688,
     /*  425743 */     GIR_EraseRootFromParent_Done,
     /*  425744 */   // Label 7457: @425744
     /*  425744 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(425832), // Rule ID 2695 //
     /*  425749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  425760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  425766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425796 */     // MIs[1] Operand 1
     /*  425796 */     // No operand predicates
     /*  425796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425805 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  425808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425814 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425830 */     GIR_RootConstrainSelectedInstOperands,
     /*  425831 */     // GIR_Coverage, 2695,
     /*  425831 */     GIR_EraseRootFromParent_Done,
     /*  425832 */   // Label 7458: @425832
     /*  425832 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(425920), // Rule ID 2696 //
     /*  425837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  425848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  425854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425884 */     // MIs[1] Operand 1
     /*  425884 */     // No operand predicates
     /*  425884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425893 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  425896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425902 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425918 */     GIR_RootConstrainSelectedInstOperands,
     /*  425919 */     // GIR_Coverage, 2696,
     /*  425919 */     GIR_EraseRootFromParent_Done,
     /*  425920 */   // Label 7459: @425920
     /*  425920 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(426008), // Rule ID 2703 //
     /*  425925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  425936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  425942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425972 */     // MIs[1] Operand 1
     /*  425972 */     // No operand predicates
     /*  425972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425981 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  425984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425990 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426006 */     GIR_RootConstrainSelectedInstOperands,
     /*  426007 */     // GIR_Coverage, 2703,
     /*  426007 */     GIR_EraseRootFromParent_Done,
     /*  426008 */   // Label 7460: @426008
     /*  426008 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(426096), // Rule ID 2704 //
     /*  426013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426060 */     // MIs[1] Operand 1
     /*  426060 */     // No operand predicates
     /*  426060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426078 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426094 */     GIR_RootConstrainSelectedInstOperands,
     /*  426095 */     // GIR_Coverage, 2704,
     /*  426095 */     GIR_EraseRootFromParent_Done,
     /*  426096 */   // Label 7461: @426096
     /*  426096 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(426184), // Rule ID 2711 //
     /*  426101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426148 */     // MIs[1] Operand 1
     /*  426148 */     // No operand predicates
     /*  426148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426157 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426166 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426182 */     GIR_RootConstrainSelectedInstOperands,
     /*  426183 */     // GIR_Coverage, 2711,
     /*  426183 */     GIR_EraseRootFromParent_Done,
     /*  426184 */   // Label 7462: @426184
     /*  426184 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(426272), // Rule ID 2712 //
     /*  426189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426236 */     // MIs[1] Operand 1
     /*  426236 */     // No operand predicates
     /*  426236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426245 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426254 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426270 */     GIR_RootConstrainSelectedInstOperands,
     /*  426271 */     // GIR_Coverage, 2712,
     /*  426271 */     GIR_EraseRootFromParent_Done,
     /*  426272 */   // Label 7463: @426272
     /*  426272 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(426360), // Rule ID 2719 //
     /*  426277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426324 */     // MIs[1] Operand 1
     /*  426324 */     // No operand predicates
     /*  426324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426342 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426358 */     GIR_RootConstrainSelectedInstOperands,
     /*  426359 */     // GIR_Coverage, 2719,
     /*  426359 */     GIR_EraseRootFromParent_Done,
     /*  426360 */   // Label 7464: @426360
     /*  426360 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(426448), // Rule ID 2720 //
     /*  426365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426412 */     // MIs[1] Operand 1
     /*  426412 */     // No operand predicates
     /*  426412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426430 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426446 */     GIR_RootConstrainSelectedInstOperands,
     /*  426447 */     // GIR_Coverage, 2720,
     /*  426447 */     GIR_EraseRootFromParent_Done,
     /*  426448 */   // Label 7465: @426448
     /*  426448 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(426536), // Rule ID 2727 //
     /*  426453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426500 */     // MIs[1] Operand 1
     /*  426500 */     // No operand predicates
     /*  426500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426518 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426534 */     GIR_RootConstrainSelectedInstOperands,
     /*  426535 */     // GIR_Coverage, 2727,
     /*  426535 */     GIR_EraseRootFromParent_Done,
     /*  426536 */   // Label 7466: @426536
     /*  426536 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(426624), // Rule ID 2728 //
     /*  426541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426588 */     // MIs[1] Operand 1
     /*  426588 */     // No operand predicates
     /*  426588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426606 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426622 */     GIR_RootConstrainSelectedInstOperands,
     /*  426623 */     // GIR_Coverage, 2728,
     /*  426623 */     GIR_EraseRootFromParent_Done,
     /*  426624 */   // Label 7467: @426624
     /*  426624 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(426712), // Rule ID 2735 //
     /*  426629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426676 */     // MIs[1] Operand 1
     /*  426676 */     // No operand predicates
     /*  426676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426685 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426694 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426710 */     GIR_RootConstrainSelectedInstOperands,
     /*  426711 */     // GIR_Coverage, 2735,
     /*  426711 */     GIR_EraseRootFromParent_Done,
     /*  426712 */   // Label 7468: @426712
     /*  426712 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(426800), // Rule ID 2736 //
     /*  426717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426764 */     // MIs[1] Operand 1
     /*  426764 */     // No operand predicates
     /*  426764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426782 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426798 */     GIR_RootConstrainSelectedInstOperands,
     /*  426799 */     // GIR_Coverage, 2736,
     /*  426799 */     GIR_EraseRootFromParent_Done,
     /*  426800 */   // Label 7469: @426800
     /*  426800 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(426888), // Rule ID 2743 //
     /*  426805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426852 */     // MIs[1] Operand 1
     /*  426852 */     // No operand predicates
     /*  426852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426861 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426870 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426886 */     GIR_RootConstrainSelectedInstOperands,
     /*  426887 */     // GIR_Coverage, 2743,
     /*  426887 */     GIR_EraseRootFromParent_Done,
     /*  426888 */   // Label 7470: @426888
     /*  426888 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(426976), // Rule ID 2744 //
     /*  426893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426940 */     // MIs[1] Operand 1
     /*  426940 */     // No operand predicates
     /*  426940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426958 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426974 */     GIR_RootConstrainSelectedInstOperands,
     /*  426975 */     // GIR_Coverage, 2744,
     /*  426975 */     GIR_EraseRootFromParent_Done,
     /*  426976 */   // Label 7471: @426976
     /*  426976 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(427064), // Rule ID 2751 //
     /*  426981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  426992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  426998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427028 */     // MIs[1] Operand 1
     /*  427028 */     // No operand predicates
     /*  427028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427046 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427062 */     GIR_RootConstrainSelectedInstOperands,
     /*  427063 */     // GIR_Coverage, 2751,
     /*  427063 */     GIR_EraseRootFromParent_Done,
     /*  427064 */   // Label 7472: @427064
     /*  427064 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(427152), // Rule ID 2752 //
     /*  427069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  427080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  427083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  427086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427116 */     // MIs[1] Operand 1
     /*  427116 */     // No operand predicates
     /*  427116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427134 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427150 */     GIR_RootConstrainSelectedInstOperands,
     /*  427151 */     // GIR_Coverage, 2752,
     /*  427151 */     GIR_EraseRootFromParent_Done,
     /*  427152 */   // Label 7473: @427152
     /*  427152 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(427240), // Rule ID 2759 //
     /*  427157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427204 */     // MIs[1] Operand 1
     /*  427204 */     // No operand predicates
     /*  427204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427213 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427222 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427238 */     GIR_RootConstrainSelectedInstOperands,
     /*  427239 */     // GIR_Coverage, 2759,
     /*  427239 */     GIR_EraseRootFromParent_Done,
     /*  427240 */   // Label 7474: @427240
     /*  427240 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(427328), // Rule ID 2760 //
     /*  427245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427292 */     // MIs[1] Operand 1
     /*  427292 */     // No operand predicates
     /*  427292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427310 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427326 */     GIR_RootConstrainSelectedInstOperands,
     /*  427327 */     // GIR_Coverage, 2760,
     /*  427327 */     GIR_EraseRootFromParent_Done,
     /*  427328 */   // Label 7475: @427328
     /*  427328 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(427416), // Rule ID 2767 //
     /*  427333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427380 */     // MIs[1] Operand 1
     /*  427380 */     // No operand predicates
     /*  427380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427389 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427398 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427414 */     GIR_RootConstrainSelectedInstOperands,
     /*  427415 */     // GIR_Coverage, 2767,
     /*  427415 */     GIR_EraseRootFromParent_Done,
     /*  427416 */   // Label 7476: @427416
     /*  427416 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(427504), // Rule ID 2768 //
     /*  427421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427468 */     // MIs[1] Operand 1
     /*  427468 */     // No operand predicates
     /*  427468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427477 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427486 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427502 */     GIR_RootConstrainSelectedInstOperands,
     /*  427503 */     // GIR_Coverage, 2768,
     /*  427503 */     GIR_EraseRootFromParent_Done,
     /*  427504 */   // Label 7477: @427504
     /*  427504 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(427592), // Rule ID 2775 //
     /*  427509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  427526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427556 */     // MIs[1] Operand 1
     /*  427556 */     // No operand predicates
     /*  427556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427565 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427574 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427590 */     GIR_RootConstrainSelectedInstOperands,
     /*  427591 */     // GIR_Coverage, 2775,
     /*  427591 */     GIR_EraseRootFromParent_Done,
     /*  427592 */   // Label 7478: @427592
     /*  427592 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(427680), // Rule ID 2776 //
     /*  427597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  427614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427644 */     // MIs[1] Operand 1
     /*  427644 */     // No operand predicates
     /*  427644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427662 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427678 */     GIR_RootConstrainSelectedInstOperands,
     /*  427679 */     // GIR_Coverage, 2776,
     /*  427679 */     GIR_EraseRootFromParent_Done,
     /*  427680 */   // Label 7479: @427680
     /*  427680 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(427768), // Rule ID 2783 //
     /*  427685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  427696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  427702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427732 */     // MIs[1] Operand 1
     /*  427732 */     // No operand predicates
     /*  427732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427750 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427766 */     GIR_RootConstrainSelectedInstOperands,
     /*  427767 */     // GIR_Coverage, 2783,
     /*  427767 */     GIR_EraseRootFromParent_Done,
     /*  427768 */   // Label 7480: @427768
     /*  427768 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(427856), // Rule ID 2784 //
     /*  427773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  427784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  427790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427820 */     // MIs[1] Operand 1
     /*  427820 */     // No operand predicates
     /*  427820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427838 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427854 */     GIR_RootConstrainSelectedInstOperands,
     /*  427855 */     // GIR_Coverage, 2784,
     /*  427855 */     GIR_EraseRootFromParent_Done,
     /*  427856 */   // Label 7481: @427856
     /*  427856 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(427944), // Rule ID 2791 //
     /*  427861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427908 */     // MIs[1] Operand 1
     /*  427908 */     // No operand predicates
     /*  427908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427926 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427942 */     GIR_RootConstrainSelectedInstOperands,
     /*  427943 */     // GIR_Coverage, 2791,
     /*  427943 */     GIR_EraseRootFromParent_Done,
     /*  427944 */   // Label 7482: @427944
     /*  427944 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(428032), // Rule ID 2792 //
     /*  427949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427996 */     // MIs[1] Operand 1
     /*  427996 */     // No operand predicates
     /*  427996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428005 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428014 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428030 */     GIR_RootConstrainSelectedInstOperands,
     /*  428031 */     // GIR_Coverage, 2792,
     /*  428031 */     GIR_EraseRootFromParent_Done,
     /*  428032 */   // Label 7483: @428032
     /*  428032 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(428120), // Rule ID 2799 //
     /*  428037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  428048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428084 */     // MIs[1] Operand 1
     /*  428084 */     // No operand predicates
     /*  428084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428093 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428102 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428118 */     GIR_RootConstrainSelectedInstOperands,
     /*  428119 */     // GIR_Coverage, 2799,
     /*  428119 */     GIR_EraseRootFromParent_Done,
     /*  428120 */   // Label 7484: @428120
     /*  428120 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(428208), // Rule ID 2800 //
     /*  428125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  428136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428172 */     // MIs[1] Operand 1
     /*  428172 */     // No operand predicates
     /*  428172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428181 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428190 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428206 */     GIR_RootConstrainSelectedInstOperands,
     /*  428207 */     // GIR_Coverage, 2800,
     /*  428207 */     GIR_EraseRootFromParent_Done,
     /*  428208 */   // Label 7485: @428208
     /*  428208 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(428296), // Rule ID 2807 //
     /*  428213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428260 */     // MIs[1] Operand 1
     /*  428260 */     // No operand predicates
     /*  428260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428278 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428294 */     GIR_RootConstrainSelectedInstOperands,
     /*  428295 */     // GIR_Coverage, 2807,
     /*  428295 */     GIR_EraseRootFromParent_Done,
     /*  428296 */   // Label 7486: @428296
     /*  428296 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(428384), // Rule ID 2808 //
     /*  428301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428348 */     // MIs[1] Operand 1
     /*  428348 */     // No operand predicates
     /*  428348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428366 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428382 */     GIR_RootConstrainSelectedInstOperands,
     /*  428383 */     // GIR_Coverage, 2808,
     /*  428383 */     GIR_EraseRootFromParent_Done,
     /*  428384 */   // Label 7487: @428384
     /*  428384 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(428472), // Rule ID 2815 //
     /*  428389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428436 */     // MIs[1] Operand 1
     /*  428436 */     // No operand predicates
     /*  428436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428454 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428470 */     GIR_RootConstrainSelectedInstOperands,
     /*  428471 */     // GIR_Coverage, 2815,
     /*  428471 */     GIR_EraseRootFromParent_Done,
     /*  428472 */   // Label 7488: @428472
     /*  428472 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(428560), // Rule ID 2816 //
     /*  428477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428524 */     // MIs[1] Operand 1
     /*  428524 */     // No operand predicates
     /*  428524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428542 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428558 */     GIR_RootConstrainSelectedInstOperands,
     /*  428559 */     // GIR_Coverage, 2816,
     /*  428559 */     GIR_EraseRootFromParent_Done,
     /*  428560 */   // Label 7489: @428560
     /*  428560 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(428648), // Rule ID 2823 //
     /*  428565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  428576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  428582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428612 */     // MIs[1] Operand 1
     /*  428612 */     // No operand predicates
     /*  428612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428630 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428646 */     GIR_RootConstrainSelectedInstOperands,
     /*  428647 */     // GIR_Coverage, 2823,
     /*  428647 */     GIR_EraseRootFromParent_Done,
     /*  428648 */   // Label 7490: @428648
     /*  428648 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(428736), // Rule ID 2824 //
     /*  428653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  428664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  428670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428700 */     // MIs[1] Operand 1
     /*  428700 */     // No operand predicates
     /*  428700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428718 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428734 */     GIR_RootConstrainSelectedInstOperands,
     /*  428735 */     // GIR_Coverage, 2824,
     /*  428735 */     GIR_EraseRootFromParent_Done,
     /*  428736 */   // Label 7491: @428736
     /*  428736 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(428824), // Rule ID 2831 //
     /*  428741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  428752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  428758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428788 */     // MIs[1] Operand 1
     /*  428788 */     // No operand predicates
     /*  428788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428806 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428822 */     GIR_RootConstrainSelectedInstOperands,
     /*  428823 */     // GIR_Coverage, 2831,
     /*  428823 */     GIR_EraseRootFromParent_Done,
     /*  428824 */   // Label 7492: @428824
     /*  428824 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(428912), // Rule ID 2832 //
     /*  428829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  428840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  428846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428876 */     // MIs[1] Operand 1
     /*  428876 */     // No operand predicates
     /*  428876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428885 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428894 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428910 */     GIR_RootConstrainSelectedInstOperands,
     /*  428911 */     // GIR_Coverage, 2832,
     /*  428911 */     GIR_EraseRootFromParent_Done,
     /*  428912 */   // Label 7493: @428912
     /*  428912 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(429000), // Rule ID 2839 //
     /*  428917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  428928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  428934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428964 */     // MIs[1] Operand 1
     /*  428964 */     // No operand predicates
     /*  428964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428973 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428982 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428998 */     GIR_RootConstrainSelectedInstOperands,
     /*  428999 */     // GIR_Coverage, 2839,
     /*  428999 */     GIR_EraseRootFromParent_Done,
     /*  429000 */   // Label 7494: @429000
     /*  429000 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(429088), // Rule ID 2840 //
     /*  429005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  429016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  429019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  429022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429052 */     // MIs[1] Operand 1
     /*  429052 */     // No operand predicates
     /*  429052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429061 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429070 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429086 */     GIR_RootConstrainSelectedInstOperands,
     /*  429087 */     // GIR_Coverage, 2840,
     /*  429087 */     GIR_EraseRootFromParent_Done,
     /*  429088 */   // Label 7495: @429088
     /*  429088 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(429176), // Rule ID 2847 //
     /*  429093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429140 */     // MIs[1] Operand 1
     /*  429140 */     // No operand predicates
     /*  429140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429158 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429174 */     GIR_RootConstrainSelectedInstOperands,
     /*  429175 */     // GIR_Coverage, 2847,
     /*  429175 */     GIR_EraseRootFromParent_Done,
     /*  429176 */   // Label 7496: @429176
     /*  429176 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(429264), // Rule ID 2848 //
     /*  429181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429228 */     // MIs[1] Operand 1
     /*  429228 */     // No operand predicates
     /*  429228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429237 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429246 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429262 */     GIR_RootConstrainSelectedInstOperands,
     /*  429263 */     // GIR_Coverage, 2848,
     /*  429263 */     GIR_EraseRootFromParent_Done,
     /*  429264 */   // Label 7497: @429264
     /*  429264 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(429350), // Rule ID 3023 //
     /*  429269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429316 */     // MIs[1] Operand 1
     /*  429316 */     // No operand predicates
     /*  429316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429325 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429348 */     GIR_RootConstrainSelectedInstOperands,
     /*  429349 */     // GIR_Coverage, 3023,
     /*  429349 */     GIR_EraseRootFromParent_Done,
     /*  429350 */   // Label 7498: @429350
     /*  429350 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(429436), // Rule ID 3024 //
     /*  429355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429402 */     // MIs[1] Operand 1
     /*  429402 */     // No operand predicates
     /*  429402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429411 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429434 */     GIR_RootConstrainSelectedInstOperands,
     /*  429435 */     // GIR_Coverage, 3024,
     /*  429435 */     GIR_EraseRootFromParent_Done,
     /*  429436 */   // Label 7499: @429436
     /*  429436 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(429522), // Rule ID 3027 //
     /*  429441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429488 */     // MIs[1] Operand 1
     /*  429488 */     // No operand predicates
     /*  429488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429497 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429520 */     GIR_RootConstrainSelectedInstOperands,
     /*  429521 */     // GIR_Coverage, 3027,
     /*  429521 */     GIR_EraseRootFromParent_Done,
     /*  429522 */   // Label 7500: @429522
     /*  429522 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(429608), // Rule ID 3028 //
     /*  429527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429574 */     // MIs[1] Operand 1
     /*  429574 */     // No operand predicates
     /*  429574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429583 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429606 */     GIR_RootConstrainSelectedInstOperands,
     /*  429607 */     // GIR_Coverage, 3028,
     /*  429607 */     GIR_EraseRootFromParent_Done,
     /*  429608 */   // Label 7501: @429608
     /*  429608 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(429694), // Rule ID 3031 //
     /*  429613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  429624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  429627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  429630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429660 */     // MIs[1] Operand 1
     /*  429660 */     // No operand predicates
     /*  429660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429669 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  429672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429692 */     GIR_RootConstrainSelectedInstOperands,
     /*  429693 */     // GIR_Coverage, 3031,
     /*  429693 */     GIR_EraseRootFromParent_Done,
     /*  429694 */   // Label 7502: @429694
     /*  429694 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(429780), // Rule ID 3032 //
     /*  429699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  429710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  429713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  429716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429746 */     // MIs[1] Operand 1
     /*  429746 */     // No operand predicates
     /*  429746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429755 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  429758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429778 */     GIR_RootConstrainSelectedInstOperands,
     /*  429779 */     // GIR_Coverage, 3032,
     /*  429779 */     GIR_EraseRootFromParent_Done,
     /*  429780 */   // Label 7503: @429780
     /*  429780 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(429866), // Rule ID 3035 //
     /*  429785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  429796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  429799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  429802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429832 */     // MIs[1] Operand 1
     /*  429832 */     // No operand predicates
     /*  429832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429841 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429864 */     GIR_RootConstrainSelectedInstOperands,
     /*  429865 */     // GIR_Coverage, 3035,
     /*  429865 */     GIR_EraseRootFromParent_Done,
     /*  429866 */   // Label 7504: @429866
     /*  429866 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(429952), // Rule ID 3036 //
     /*  429871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  429882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  429885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  429888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429918 */     // MIs[1] Operand 1
     /*  429918 */     // No operand predicates
     /*  429918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429950 */     GIR_RootConstrainSelectedInstOperands,
     /*  429951 */     // GIR_Coverage, 3036,
     /*  429951 */     GIR_EraseRootFromParent_Done,
     /*  429952 */   // Label 7505: @429952
     /*  429952 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(430038), // Rule ID 3039 //
     /*  429957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  429968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  429971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  429974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430004 */     // MIs[1] Operand 1
     /*  430004 */     // No operand predicates
     /*  430004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430013 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430036 */     GIR_RootConstrainSelectedInstOperands,
     /*  430037 */     // GIR_Coverage, 3039,
     /*  430037 */     GIR_EraseRootFromParent_Done,
     /*  430038 */   // Label 7506: @430038
     /*  430038 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(430124), // Rule ID 3040 //
     /*  430043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430090 */     // MIs[1] Operand 1
     /*  430090 */     // No operand predicates
     /*  430090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430122 */     GIR_RootConstrainSelectedInstOperands,
     /*  430123 */     // GIR_Coverage, 3040,
     /*  430123 */     GIR_EraseRootFromParent_Done,
     /*  430124 */   // Label 7507: @430124
     /*  430124 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(430210), // Rule ID 3043 //
     /*  430129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430176 */     // MIs[1] Operand 1
     /*  430176 */     // No operand predicates
     /*  430176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430185 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430208 */     GIR_RootConstrainSelectedInstOperands,
     /*  430209 */     // GIR_Coverage, 3043,
     /*  430209 */     GIR_EraseRootFromParent_Done,
     /*  430210 */   // Label 7508: @430210
     /*  430210 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(430296), // Rule ID 3044 //
     /*  430215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430262 */     // MIs[1] Operand 1
     /*  430262 */     // No operand predicates
     /*  430262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430271 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430294 */     GIR_RootConstrainSelectedInstOperands,
     /*  430295 */     // GIR_Coverage, 3044,
     /*  430295 */     GIR_EraseRootFromParent_Done,
     /*  430296 */   // Label 7509: @430296
     /*  430296 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(430382), // Rule ID 3047 //
     /*  430301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430348 */     // MIs[1] Operand 1
     /*  430348 */     // No operand predicates
     /*  430348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430380 */     GIR_RootConstrainSelectedInstOperands,
     /*  430381 */     // GIR_Coverage, 3047,
     /*  430381 */     GIR_EraseRootFromParent_Done,
     /*  430382 */   // Label 7510: @430382
     /*  430382 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(430468), // Rule ID 3048 //
     /*  430387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430434 */     // MIs[1] Operand 1
     /*  430434 */     // No operand predicates
     /*  430434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430443 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430466 */     GIR_RootConstrainSelectedInstOperands,
     /*  430467 */     // GIR_Coverage, 3048,
     /*  430467 */     GIR_EraseRootFromParent_Done,
     /*  430468 */   // Label 7511: @430468
     /*  430468 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(430554), // Rule ID 3051 //
     /*  430473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430520 */     // MIs[1] Operand 1
     /*  430520 */     // No operand predicates
     /*  430520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430529 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430552 */     GIR_RootConstrainSelectedInstOperands,
     /*  430553 */     // GIR_Coverage, 3051,
     /*  430553 */     GIR_EraseRootFromParent_Done,
     /*  430554 */   // Label 7512: @430554
     /*  430554 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(430640), // Rule ID 3052 //
     /*  430559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430606 */     // MIs[1] Operand 1
     /*  430606 */     // No operand predicates
     /*  430606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430615 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430638 */     GIR_RootConstrainSelectedInstOperands,
     /*  430639 */     // GIR_Coverage, 3052,
     /*  430639 */     GIR_EraseRootFromParent_Done,
     /*  430640 */   // Label 7513: @430640
     /*  430640 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(430726), // Rule ID 3055 //
     /*  430645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430692 */     // MIs[1] Operand 1
     /*  430692 */     // No operand predicates
     /*  430692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430701 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430724 */     GIR_RootConstrainSelectedInstOperands,
     /*  430725 */     // GIR_Coverage, 3055,
     /*  430725 */     GIR_EraseRootFromParent_Done,
     /*  430726 */   // Label 7514: @430726
     /*  430726 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(430812), // Rule ID 3056 //
     /*  430731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430778 */     // MIs[1] Operand 1
     /*  430778 */     // No operand predicates
     /*  430778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430787 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430810 */     GIR_RootConstrainSelectedInstOperands,
     /*  430811 */     // GIR_Coverage, 3056,
     /*  430811 */     GIR_EraseRootFromParent_Done,
     /*  430812 */   // Label 7515: @430812
     /*  430812 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(430898), // Rule ID 3059 //
     /*  430817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  430820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  430828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  430831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  430834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430864 */     // MIs[1] Operand 1
     /*  430864 */     // No operand predicates
     /*  430864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430873 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430896 */     GIR_RootConstrainSelectedInstOperands,
     /*  430897 */     // GIR_Coverage, 3059,
     /*  430897 */     GIR_EraseRootFromParent_Done,
     /*  430898 */   // Label 7516: @430898
     /*  430898 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(430984), // Rule ID 3060 //
     /*  430903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  430906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  430914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  430917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  430920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430950 */     // MIs[1] Operand 1
     /*  430950 */     // No operand predicates
     /*  430950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430982 */     GIR_RootConstrainSelectedInstOperands,
     /*  430983 */     // GIR_Coverage, 3060,
     /*  430983 */     GIR_EraseRootFromParent_Done,
     /*  430984 */   // Label 7517: @430984
     /*  430984 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(431070), // Rule ID 3063 //
     /*  430989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431036 */     // MIs[1] Operand 1
     /*  431036 */     // No operand predicates
     /*  431036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431045 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431068 */     GIR_RootConstrainSelectedInstOperands,
     /*  431069 */     // GIR_Coverage, 3063,
     /*  431069 */     GIR_EraseRootFromParent_Done,
     /*  431070 */   // Label 7518: @431070
     /*  431070 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(431156), // Rule ID 3064 //
     /*  431075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431122 */     // MIs[1] Operand 1
     /*  431122 */     // No operand predicates
     /*  431122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431131 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431154 */     GIR_RootConstrainSelectedInstOperands,
     /*  431155 */     // GIR_Coverage, 3064,
     /*  431155 */     GIR_EraseRootFromParent_Done,
     /*  431156 */   // Label 7519: @431156
     /*  431156 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(431242), // Rule ID 3067 //
     /*  431161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431208 */     // MIs[1] Operand 1
     /*  431208 */     // No operand predicates
     /*  431208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431240 */     GIR_RootConstrainSelectedInstOperands,
     /*  431241 */     // GIR_Coverage, 3067,
     /*  431241 */     GIR_EraseRootFromParent_Done,
     /*  431242 */   // Label 7520: @431242
     /*  431242 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(431328), // Rule ID 3068 //
     /*  431247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431294 */     // MIs[1] Operand 1
     /*  431294 */     // No operand predicates
     /*  431294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431303 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431326 */     GIR_RootConstrainSelectedInstOperands,
     /*  431327 */     // GIR_Coverage, 3068,
     /*  431327 */     GIR_EraseRootFromParent_Done,
     /*  431328 */   // Label 7521: @431328
     /*  431328 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(431414), // Rule ID 3071 //
     /*  431333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431380 */     // MIs[1] Operand 1
     /*  431380 */     // No operand predicates
     /*  431380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431389 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431412 */     GIR_RootConstrainSelectedInstOperands,
     /*  431413 */     // GIR_Coverage, 3071,
     /*  431413 */     GIR_EraseRootFromParent_Done,
     /*  431414 */   // Label 7522: @431414
     /*  431414 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(431500), // Rule ID 3072 //
     /*  431419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431466 */     // MIs[1] Operand 1
     /*  431466 */     // No operand predicates
     /*  431466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431475 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431498 */     GIR_RootConstrainSelectedInstOperands,
     /*  431499 */     // GIR_Coverage, 3072,
     /*  431499 */     GIR_EraseRootFromParent_Done,
     /*  431500 */   // Label 7523: @431500
     /*  431500 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(431586), // Rule ID 3075 //
     /*  431505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431552 */     // MIs[1] Operand 1
     /*  431552 */     // No operand predicates
     /*  431552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431584 */     GIR_RootConstrainSelectedInstOperands,
     /*  431585 */     // GIR_Coverage, 3075,
     /*  431585 */     GIR_EraseRootFromParent_Done,
     /*  431586 */   // Label 7524: @431586
     /*  431586 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(431672), // Rule ID 3076 //
     /*  431591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431638 */     // MIs[1] Operand 1
     /*  431638 */     // No operand predicates
     /*  431638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431670 */     GIR_RootConstrainSelectedInstOperands,
     /*  431671 */     // GIR_Coverage, 3076,
     /*  431671 */     GIR_EraseRootFromParent_Done,
     /*  431672 */   // Label 7525: @431672
     /*  431672 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(431758), // Rule ID 3079 //
     /*  431677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431724 */     // MIs[1] Operand 1
     /*  431724 */     // No operand predicates
     /*  431724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431733 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431756 */     GIR_RootConstrainSelectedInstOperands,
     /*  431757 */     // GIR_Coverage, 3079,
     /*  431757 */     GIR_EraseRootFromParent_Done,
     /*  431758 */   // Label 7526: @431758
     /*  431758 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(431844), // Rule ID 3080 //
     /*  431763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431810 */     // MIs[1] Operand 1
     /*  431810 */     // No operand predicates
     /*  431810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431842 */     GIR_RootConstrainSelectedInstOperands,
     /*  431843 */     // GIR_Coverage, 3080,
     /*  431843 */     GIR_EraseRootFromParent_Done,
     /*  431844 */   // Label 7527: @431844
     /*  431844 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(431930), // Rule ID 3083 //
     /*  431849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431896 */     // MIs[1] Operand 1
     /*  431896 */     // No operand predicates
     /*  431896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431905 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431928 */     GIR_RootConstrainSelectedInstOperands,
     /*  431929 */     // GIR_Coverage, 3083,
     /*  431929 */     GIR_EraseRootFromParent_Done,
     /*  431930 */   // Label 7528: @431930
     /*  431930 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(432016), // Rule ID 3084 //
     /*  431935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431982 */     // MIs[1] Operand 1
     /*  431982 */     // No operand predicates
     /*  431982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431991 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432014 */     GIR_RootConstrainSelectedInstOperands,
     /*  432015 */     // GIR_Coverage, 3084,
     /*  432015 */     GIR_EraseRootFromParent_Done,
     /*  432016 */   // Label 7529: @432016
     /*  432016 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(432102), // Rule ID 3087 //
     /*  432021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432068 */     // MIs[1] Operand 1
     /*  432068 */     // No operand predicates
     /*  432068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432100 */     GIR_RootConstrainSelectedInstOperands,
     /*  432101 */     // GIR_Coverage, 3087,
     /*  432101 */     GIR_EraseRootFromParent_Done,
     /*  432102 */   // Label 7530: @432102
     /*  432102 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(432188), // Rule ID 3088 //
     /*  432107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432154 */     // MIs[1] Operand 1
     /*  432154 */     // No operand predicates
     /*  432154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432186 */     GIR_RootConstrainSelectedInstOperands,
     /*  432187 */     // GIR_Coverage, 3088,
     /*  432187 */     GIR_EraseRootFromParent_Done,
     /*  432188 */   // Label 7531: @432188
     /*  432188 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(432274), // Rule ID 3091 //
     /*  432193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432240 */     // MIs[1] Operand 1
     /*  432240 */     // No operand predicates
     /*  432240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432272 */     GIR_RootConstrainSelectedInstOperands,
     /*  432273 */     // GIR_Coverage, 3091,
     /*  432273 */     GIR_EraseRootFromParent_Done,
     /*  432274 */   // Label 7532: @432274
     /*  432274 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(432360), // Rule ID 3092 //
     /*  432279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432326 */     // MIs[1] Operand 1
     /*  432326 */     // No operand predicates
     /*  432326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432335 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432358 */     GIR_RootConstrainSelectedInstOperands,
     /*  432359 */     // GIR_Coverage, 3092,
     /*  432359 */     GIR_EraseRootFromParent_Done,
     /*  432360 */   // Label 7533: @432360
     /*  432360 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(432446), // Rule ID 3095 //
     /*  432365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432412 */     // MIs[1] Operand 1
     /*  432412 */     // No operand predicates
     /*  432412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432421 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432444 */     GIR_RootConstrainSelectedInstOperands,
     /*  432445 */     // GIR_Coverage, 3095,
     /*  432445 */     GIR_EraseRootFromParent_Done,
     /*  432446 */   // Label 7534: @432446
     /*  432446 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(432532), // Rule ID 3096 //
     /*  432451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432498 */     // MIs[1] Operand 1
     /*  432498 */     // No operand predicates
     /*  432498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432530 */     GIR_RootConstrainSelectedInstOperands,
     /*  432531 */     // GIR_Coverage, 3096,
     /*  432531 */     GIR_EraseRootFromParent_Done,
     /*  432532 */   // Label 7535: @432532
     /*  432532 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(432618), // Rule ID 3099 //
     /*  432537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432584 */     // MIs[1] Operand 1
     /*  432584 */     // No operand predicates
     /*  432584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432616 */     GIR_RootConstrainSelectedInstOperands,
     /*  432617 */     // GIR_Coverage, 3099,
     /*  432617 */     GIR_EraseRootFromParent_Done,
     /*  432618 */   // Label 7536: @432618
     /*  432618 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(432704), // Rule ID 3100 //
     /*  432623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432670 */     // MIs[1] Operand 1
     /*  432670 */     // No operand predicates
     /*  432670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432679 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432702 */     GIR_RootConstrainSelectedInstOperands,
     /*  432703 */     // GIR_Coverage, 3100,
     /*  432703 */     GIR_EraseRootFromParent_Done,
     /*  432704 */   // Label 7537: @432704
     /*  432704 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(432790), // Rule ID 3103 //
     /*  432709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432756 */     // MIs[1] Operand 1
     /*  432756 */     // No operand predicates
     /*  432756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432788 */     GIR_RootConstrainSelectedInstOperands,
     /*  432789 */     // GIR_Coverage, 3103,
     /*  432789 */     GIR_EraseRootFromParent_Done,
     /*  432790 */   // Label 7538: @432790
     /*  432790 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(432876), // Rule ID 3104 //
     /*  432795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432842 */     // MIs[1] Operand 1
     /*  432842 */     // No operand predicates
     /*  432842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432874 */     GIR_RootConstrainSelectedInstOperands,
     /*  432875 */     // GIR_Coverage, 3104,
     /*  432875 */     GIR_EraseRootFromParent_Done,
     /*  432876 */   // Label 7539: @432876
     /*  432876 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(432962), // Rule ID 3107 //
     /*  432881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432928 */     // MIs[1] Operand 1
     /*  432928 */     // No operand predicates
     /*  432928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432937 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432960 */     GIR_RootConstrainSelectedInstOperands,
     /*  432961 */     // GIR_Coverage, 3107,
     /*  432961 */     GIR_EraseRootFromParent_Done,
     /*  432962 */   // Label 7540: @432962
     /*  432962 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(433048), // Rule ID 3108 //
     /*  432967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433014 */     // MIs[1] Operand 1
     /*  433014 */     // No operand predicates
     /*  433014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433023 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433046 */     GIR_RootConstrainSelectedInstOperands,
     /*  433047 */     // GIR_Coverage, 3108,
     /*  433047 */     GIR_EraseRootFromParent_Done,
     /*  433048 */   // Label 7541: @433048
     /*  433048 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(433134), // Rule ID 3375 //
     /*  433053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433100 */     // MIs[1] Operand 1
     /*  433100 */     // No operand predicates
     /*  433100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433132 */     GIR_RootConstrainSelectedInstOperands,
     /*  433133 */     // GIR_Coverage, 3375,
     /*  433133 */     GIR_EraseRootFromParent_Done,
     /*  433134 */   // Label 7542: @433134
     /*  433134 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(433220), // Rule ID 3376 //
     /*  433139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433186 */     // MIs[1] Operand 1
     /*  433186 */     // No operand predicates
     /*  433186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433195 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433218 */     GIR_RootConstrainSelectedInstOperands,
     /*  433219 */     // GIR_Coverage, 3376,
     /*  433219 */     GIR_EraseRootFromParent_Done,
     /*  433220 */   // Label 7543: @433220
     /*  433220 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(433306), // Rule ID 3379 //
     /*  433225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433272 */     // MIs[1] Operand 1
     /*  433272 */     // No operand predicates
     /*  433272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433281 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433304 */     GIR_RootConstrainSelectedInstOperands,
     /*  433305 */     // GIR_Coverage, 3379,
     /*  433305 */     GIR_EraseRootFromParent_Done,
     /*  433306 */   // Label 7544: @433306
     /*  433306 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(433392), // Rule ID 3380 //
     /*  433311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433358 */     // MIs[1] Operand 1
     /*  433358 */     // No operand predicates
     /*  433358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433367 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433390 */     GIR_RootConstrainSelectedInstOperands,
     /*  433391 */     // GIR_Coverage, 3380,
     /*  433391 */     GIR_EraseRootFromParent_Done,
     /*  433392 */   // Label 7545: @433392
     /*  433392 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(433478), // Rule ID 3383 //
     /*  433397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433444 */     // MIs[1] Operand 1
     /*  433444 */     // No operand predicates
     /*  433444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433453 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433476 */     GIR_RootConstrainSelectedInstOperands,
     /*  433477 */     // GIR_Coverage, 3383,
     /*  433477 */     GIR_EraseRootFromParent_Done,
     /*  433478 */   // Label 7546: @433478
     /*  433478 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(433564), // Rule ID 3384 //
     /*  433483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433530 */     // MIs[1] Operand 1
     /*  433530 */     // No operand predicates
     /*  433530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433539 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433562 */     GIR_RootConstrainSelectedInstOperands,
     /*  433563 */     // GIR_Coverage, 3384,
     /*  433563 */     GIR_EraseRootFromParent_Done,
     /*  433564 */   // Label 7547: @433564
     /*  433564 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(433650), // Rule ID 3387 //
     /*  433569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  433580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  433583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433616 */     // MIs[1] Operand 1
     /*  433616 */     // No operand predicates
     /*  433616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433625 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433648 */     GIR_RootConstrainSelectedInstOperands,
     /*  433649 */     // GIR_Coverage, 3387,
     /*  433649 */     GIR_EraseRootFromParent_Done,
     /*  433650 */   // Label 7548: @433650
     /*  433650 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(433736), // Rule ID 3388 //
     /*  433655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  433666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  433669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433702 */     // MIs[1] Operand 1
     /*  433702 */     // No operand predicates
     /*  433702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433711 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433734 */     GIR_RootConstrainSelectedInstOperands,
     /*  433735 */     // GIR_Coverage, 3388,
     /*  433735 */     GIR_EraseRootFromParent_Done,
     /*  433736 */   // Label 7549: @433736
     /*  433736 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(433822), // Rule ID 3391 //
     /*  433741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  433752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  433755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  433758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433788 */     // MIs[1] Operand 1
     /*  433788 */     // No operand predicates
     /*  433788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433820 */     GIR_RootConstrainSelectedInstOperands,
     /*  433821 */     // GIR_Coverage, 3391,
     /*  433821 */     GIR_EraseRootFromParent_Done,
     /*  433822 */   // Label 7550: @433822
     /*  433822 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(433908), // Rule ID 3392 //
     /*  433827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  433838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  433841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  433844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433874 */     // MIs[1] Operand 1
     /*  433874 */     // No operand predicates
     /*  433874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433906 */     GIR_RootConstrainSelectedInstOperands,
     /*  433907 */     // GIR_Coverage, 3392,
     /*  433907 */     GIR_EraseRootFromParent_Done,
     /*  433908 */   // Label 7551: @433908
     /*  433908 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(433994), // Rule ID 3395 //
     /*  433913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  433924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  433927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  433930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433960 */     // MIs[1] Operand 1
     /*  433960 */     // No operand predicates
     /*  433960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433992 */     GIR_RootConstrainSelectedInstOperands,
     /*  433993 */     // GIR_Coverage, 3395,
     /*  433993 */     GIR_EraseRootFromParent_Done,
     /*  433994 */   // Label 7552: @433994
     /*  433994 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(434080), // Rule ID 3396 //
     /*  433999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434046 */     // MIs[1] Operand 1
     /*  434046 */     // No operand predicates
     /*  434046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434055 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434078 */     GIR_RootConstrainSelectedInstOperands,
     /*  434079 */     // GIR_Coverage, 3396,
     /*  434079 */     GIR_EraseRootFromParent_Done,
     /*  434080 */   // Label 7553: @434080
     /*  434080 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(434166), // Rule ID 3399 //
     /*  434085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434132 */     // MIs[1] Operand 1
     /*  434132 */     // No operand predicates
     /*  434132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434141 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434164 */     GIR_RootConstrainSelectedInstOperands,
     /*  434165 */     // GIR_Coverage, 3399,
     /*  434165 */     GIR_EraseRootFromParent_Done,
     /*  434166 */   // Label 7554: @434166
     /*  434166 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(434252), // Rule ID 3400 //
     /*  434171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434218 */     // MIs[1] Operand 1
     /*  434218 */     // No operand predicates
     /*  434218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434250 */     GIR_RootConstrainSelectedInstOperands,
     /*  434251 */     // GIR_Coverage, 3400,
     /*  434251 */     GIR_EraseRootFromParent_Done,
     /*  434252 */   // Label 7555: @434252
     /*  434252 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(434338), // Rule ID 3403 //
     /*  434257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434304 */     // MIs[1] Operand 1
     /*  434304 */     // No operand predicates
     /*  434304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434313 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434336 */     GIR_RootConstrainSelectedInstOperands,
     /*  434337 */     // GIR_Coverage, 3403,
     /*  434337 */     GIR_EraseRootFromParent_Done,
     /*  434338 */   // Label 7556: @434338
     /*  434338 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(434424), // Rule ID 3404 //
     /*  434343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434390 */     // MIs[1] Operand 1
     /*  434390 */     // No operand predicates
     /*  434390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434399 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434422 */     GIR_RootConstrainSelectedInstOperands,
     /*  434423 */     // GIR_Coverage, 3404,
     /*  434423 */     GIR_EraseRootFromParent_Done,
     /*  434424 */   // Label 7557: @434424
     /*  434424 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(434510), // Rule ID 3407 //
     /*  434429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434476 */     // MIs[1] Operand 1
     /*  434476 */     // No operand predicates
     /*  434476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434508 */     GIR_RootConstrainSelectedInstOperands,
     /*  434509 */     // GIR_Coverage, 3407,
     /*  434509 */     GIR_EraseRootFromParent_Done,
     /*  434510 */   // Label 7558: @434510
     /*  434510 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(434596), // Rule ID 3408 //
     /*  434515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434562 */     // MIs[1] Operand 1
     /*  434562 */     // No operand predicates
     /*  434562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434594 */     GIR_RootConstrainSelectedInstOperands,
     /*  434595 */     // GIR_Coverage, 3408,
     /*  434595 */     GIR_EraseRootFromParent_Done,
     /*  434596 */   // Label 7559: @434596
     /*  434596 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(434682), // Rule ID 3411 //
     /*  434601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  434615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  434618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434648 */     // MIs[1] Operand 1
     /*  434648 */     // No operand predicates
     /*  434648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434680 */     GIR_RootConstrainSelectedInstOperands,
     /*  434681 */     // GIR_Coverage, 3411,
     /*  434681 */     GIR_EraseRootFromParent_Done,
     /*  434682 */   // Label 7560: @434682
     /*  434682 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(434768), // Rule ID 3412 //
     /*  434687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  434701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  434704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434734 */     // MIs[1] Operand 1
     /*  434734 */     // No operand predicates
     /*  434734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434766 */     GIR_RootConstrainSelectedInstOperands,
     /*  434767 */     // GIR_Coverage, 3412,
     /*  434767 */     GIR_EraseRootFromParent_Done,
     /*  434768 */   // Label 7561: @434768
     /*  434768 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(434854), // Rule ID 3415 //
     /*  434773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  434784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  434787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  434790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434820 */     // MIs[1] Operand 1
     /*  434820 */     // No operand predicates
     /*  434820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434829 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434852 */     GIR_RootConstrainSelectedInstOperands,
     /*  434853 */     // GIR_Coverage, 3415,
     /*  434853 */     GIR_EraseRootFromParent_Done,
     /*  434854 */   // Label 7562: @434854
     /*  434854 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(434940), // Rule ID 3416 //
     /*  434859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  434870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  434873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  434876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434906 */     // MIs[1] Operand 1
     /*  434906 */     // No operand predicates
     /*  434906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434915 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434938 */     GIR_RootConstrainSelectedInstOperands,
     /*  434939 */     // GIR_Coverage, 3416,
     /*  434939 */     GIR_EraseRootFromParent_Done,
     /*  434940 */   // Label 7563: @434940
     /*  434940 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(435026), // Rule ID 3419 //
     /*  434945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  434956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  434959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  434962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434992 */     // MIs[1] Operand 1
     /*  434992 */     // No operand predicates
     /*  434992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435001 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435024 */     GIR_RootConstrainSelectedInstOperands,
     /*  435025 */     // GIR_Coverage, 3419,
     /*  435025 */     GIR_EraseRootFromParent_Done,
     /*  435026 */   // Label 7564: @435026
     /*  435026 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(435112), // Rule ID 3420 //
     /*  435031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435078 */     // MIs[1] Operand 1
     /*  435078 */     // No operand predicates
     /*  435078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435087 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435110 */     GIR_RootConstrainSelectedInstOperands,
     /*  435111 */     // GIR_Coverage, 3420,
     /*  435111 */     GIR_EraseRootFromParent_Done,
     /*  435112 */   // Label 7565: @435112
     /*  435112 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(435198), // Rule ID 3423 //
     /*  435117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435164 */     // MIs[1] Operand 1
     /*  435164 */     // No operand predicates
     /*  435164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435173 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435196 */     GIR_RootConstrainSelectedInstOperands,
     /*  435197 */     // GIR_Coverage, 3423,
     /*  435197 */     GIR_EraseRootFromParent_Done,
     /*  435198 */   // Label 7566: @435198
     /*  435198 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(435284), // Rule ID 3424 //
     /*  435203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435250 */     // MIs[1] Operand 1
     /*  435250 */     // No operand predicates
     /*  435250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435259 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435282 */     GIR_RootConstrainSelectedInstOperands,
     /*  435283 */     // GIR_Coverage, 3424,
     /*  435283 */     GIR_EraseRootFromParent_Done,
     /*  435284 */   // Label 7567: @435284
     /*  435284 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(435370), // Rule ID 3427 //
     /*  435289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435336 */     // MIs[1] Operand 1
     /*  435336 */     // No operand predicates
     /*  435336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435368 */     GIR_RootConstrainSelectedInstOperands,
     /*  435369 */     // GIR_Coverage, 3427,
     /*  435369 */     GIR_EraseRootFromParent_Done,
     /*  435370 */   // Label 7568: @435370
     /*  435370 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(435456), // Rule ID 3428 //
     /*  435375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435422 */     // MIs[1] Operand 1
     /*  435422 */     // No operand predicates
     /*  435422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435431 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435454 */     GIR_RootConstrainSelectedInstOperands,
     /*  435455 */     // GIR_Coverage, 3428,
     /*  435455 */     GIR_EraseRootFromParent_Done,
     /*  435456 */   // Label 7569: @435456
     /*  435456 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(435542), // Rule ID 3431 //
     /*  435461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435508 */     // MIs[1] Operand 1
     /*  435508 */     // No operand predicates
     /*  435508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435517 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435540 */     GIR_RootConstrainSelectedInstOperands,
     /*  435541 */     // GIR_Coverage, 3431,
     /*  435541 */     GIR_EraseRootFromParent_Done,
     /*  435542 */   // Label 7570: @435542
     /*  435542 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(435628), // Rule ID 3432 //
     /*  435547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435594 */     // MIs[1] Operand 1
     /*  435594 */     // No operand predicates
     /*  435594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435626 */     GIR_RootConstrainSelectedInstOperands,
     /*  435627 */     // GIR_Coverage, 3432,
     /*  435627 */     GIR_EraseRootFromParent_Done,
     /*  435628 */   // Label 7571: @435628
     /*  435628 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(435714), // Rule ID 3435 //
     /*  435633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  435644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  435647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  435650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435680 */     // MIs[1] Operand 1
     /*  435680 */     // No operand predicates
     /*  435680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435689 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435712 */     GIR_RootConstrainSelectedInstOperands,
     /*  435713 */     // GIR_Coverage, 3435,
     /*  435713 */     GIR_EraseRootFromParent_Done,
     /*  435714 */   // Label 7572: @435714
     /*  435714 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(435800), // Rule ID 3436 //
     /*  435719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  435730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  435733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  435736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435766 */     // MIs[1] Operand 1
     /*  435766 */     // No operand predicates
     /*  435766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435775 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435798 */     GIR_RootConstrainSelectedInstOperands,
     /*  435799 */     // GIR_Coverage, 3436,
     /*  435799 */     GIR_EraseRootFromParent_Done,
     /*  435800 */   // Label 7573: @435800
     /*  435800 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(435886), // Rule ID 3439 //
     /*  435805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  435816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  435819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  435822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435852 */     // MIs[1] Operand 1
     /*  435852 */     // No operand predicates
     /*  435852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435884 */     GIR_RootConstrainSelectedInstOperands,
     /*  435885 */     // GIR_Coverage, 3439,
     /*  435885 */     GIR_EraseRootFromParent_Done,
     /*  435886 */   // Label 7574: @435886
     /*  435886 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(435972), // Rule ID 3440 //
     /*  435891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  435902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  435905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  435908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435938 */     // MIs[1] Operand 1
     /*  435938 */     // No operand predicates
     /*  435938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435970 */     GIR_RootConstrainSelectedInstOperands,
     /*  435971 */     // GIR_Coverage, 3440,
     /*  435971 */     GIR_EraseRootFromParent_Done,
     /*  435972 */   // Label 7575: @435972
     /*  435972 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(436058), // Rule ID 3443 //
     /*  435977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  435988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  435991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  435994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436024 */     // MIs[1] Operand 1
     /*  436024 */     // No operand predicates
     /*  436024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436056 */     GIR_RootConstrainSelectedInstOperands,
     /*  436057 */     // GIR_Coverage, 3443,
     /*  436057 */     GIR_EraseRootFromParent_Done,
     /*  436058 */   // Label 7576: @436058
     /*  436058 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(436144), // Rule ID 3444 //
     /*  436063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436110 */     // MIs[1] Operand 1
     /*  436110 */     // No operand predicates
     /*  436110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436142 */     GIR_RootConstrainSelectedInstOperands,
     /*  436143 */     // GIR_Coverage, 3444,
     /*  436143 */     GIR_EraseRootFromParent_Done,
     /*  436144 */   // Label 7577: @436144
     /*  436144 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(436230), // Rule ID 3447 //
     /*  436149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436196 */     // MIs[1] Operand 1
     /*  436196 */     // No operand predicates
     /*  436196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436228 */     GIR_RootConstrainSelectedInstOperands,
     /*  436229 */     // GIR_Coverage, 3447,
     /*  436229 */     GIR_EraseRootFromParent_Done,
     /*  436230 */   // Label 7578: @436230
     /*  436230 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(436316), // Rule ID 3448 //
     /*  436235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436282 */     // MIs[1] Operand 1
     /*  436282 */     // No operand predicates
     /*  436282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436314 */     GIR_RootConstrainSelectedInstOperands,
     /*  436315 */     // GIR_Coverage, 3448,
     /*  436315 */     GIR_EraseRootFromParent_Done,
     /*  436316 */   // Label 7579: @436316
     /*  436316 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(436402), // Rule ID 3451 //
     /*  436321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436368 */     // MIs[1] Operand 1
     /*  436368 */     // No operand predicates
     /*  436368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436400 */     GIR_RootConstrainSelectedInstOperands,
     /*  436401 */     // GIR_Coverage, 3451,
     /*  436401 */     GIR_EraseRootFromParent_Done,
     /*  436402 */   // Label 7580: @436402
     /*  436402 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(436488), // Rule ID 3452 //
     /*  436407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436454 */     // MIs[1] Operand 1
     /*  436454 */     // No operand predicates
     /*  436454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436463 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436486 */     GIR_RootConstrainSelectedInstOperands,
     /*  436487 */     // GIR_Coverage, 3452,
     /*  436487 */     GIR_EraseRootFromParent_Done,
     /*  436488 */   // Label 7581: @436488
     /*  436488 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(436574), // Rule ID 3455 //
     /*  436493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436540 */     // MIs[1] Operand 1
     /*  436540 */     // No operand predicates
     /*  436540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436572 */     GIR_RootConstrainSelectedInstOperands,
     /*  436573 */     // GIR_Coverage, 3455,
     /*  436573 */     GIR_EraseRootFromParent_Done,
     /*  436574 */   // Label 7582: @436574
     /*  436574 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(436660), // Rule ID 3456 //
     /*  436579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436626 */     // MIs[1] Operand 1
     /*  436626 */     // No operand predicates
     /*  436626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436658 */     GIR_RootConstrainSelectedInstOperands,
     /*  436659 */     // GIR_Coverage, 3456,
     /*  436659 */     GIR_EraseRootFromParent_Done,
     /*  436660 */   // Label 7583: @436660
     /*  436660 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(436746), // Rule ID 3459 //
     /*  436665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  436676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  436679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  436682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436712 */     // MIs[1] Operand 1
     /*  436712 */     // No operand predicates
     /*  436712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436744 */     GIR_RootConstrainSelectedInstOperands,
     /*  436745 */     // GIR_Coverage, 3459,
     /*  436745 */     GIR_EraseRootFromParent_Done,
     /*  436746 */   // Label 7584: @436746
     /*  436746 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(436832), // Rule ID 3460 //
     /*  436751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  436762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  436765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  436768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436798 */     // MIs[1] Operand 1
     /*  436798 */     // No operand predicates
     /*  436798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436830 */     GIR_RootConstrainSelectedInstOperands,
     /*  436831 */     // GIR_Coverage, 3460,
     /*  436831 */     GIR_EraseRootFromParent_Done,
     /*  436832 */   // Label 7585: @436832
     /*  436832 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(436918), // Rule ID 5823 //
     /*  436837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  436848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  436851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  436854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436884 */     // MIs[1] Operand 1
     /*  436884 */     // No operand predicates
     /*  436884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436893 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  436896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436916 */     GIR_RootConstrainSelectedInstOperands,
     /*  436917 */     // GIR_Coverage, 5823,
     /*  436917 */     GIR_EraseRootFromParent_Done,
     /*  436918 */   // Label 7586: @436918
     /*  436918 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(437004), // Rule ID 5824 //
     /*  436923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  436934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  436937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  436940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436970 */     // MIs[1] Operand 1
     /*  436970 */     // No operand predicates
     /*  436970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436979 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  436982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437002 */     GIR_RootConstrainSelectedInstOperands,
     /*  437003 */     // GIR_Coverage, 5824,
     /*  437003 */     GIR_EraseRootFromParent_Done,
     /*  437004 */   // Label 7587: @437004
     /*  437004 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(437090), // Rule ID 5827 //
     /*  437009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437056 */     // MIs[1] Operand 1
     /*  437056 */     // No operand predicates
     /*  437056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437088 */     GIR_RootConstrainSelectedInstOperands,
     /*  437089 */     // GIR_Coverage, 5827,
     /*  437089 */     GIR_EraseRootFromParent_Done,
     /*  437090 */   // Label 7588: @437090
     /*  437090 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(437176), // Rule ID 5828 //
     /*  437095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437142 */     // MIs[1] Operand 1
     /*  437142 */     // No operand predicates
     /*  437142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437151 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437174 */     GIR_RootConstrainSelectedInstOperands,
     /*  437175 */     // GIR_Coverage, 5828,
     /*  437175 */     GIR_EraseRootFromParent_Done,
     /*  437176 */   // Label 7589: @437176
     /*  437176 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(437262), // Rule ID 5831 //
     /*  437181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437228 */     // MIs[1] Operand 1
     /*  437228 */     // No operand predicates
     /*  437228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437237 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437260 */     GIR_RootConstrainSelectedInstOperands,
     /*  437261 */     // GIR_Coverage, 5831,
     /*  437261 */     GIR_EraseRootFromParent_Done,
     /*  437262 */   // Label 7590: @437262
     /*  437262 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(437348), // Rule ID 5832 //
     /*  437267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437314 */     // MIs[1] Operand 1
     /*  437314 */     // No operand predicates
     /*  437314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437346 */     GIR_RootConstrainSelectedInstOperands,
     /*  437347 */     // GIR_Coverage, 5832,
     /*  437347 */     GIR_EraseRootFromParent_Done,
     /*  437348 */   // Label 7591: @437348
     /*  437348 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(437434), // Rule ID 5835 //
     /*  437353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437400 */     // MIs[1] Operand 1
     /*  437400 */     // No operand predicates
     /*  437400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437432 */     GIR_RootConstrainSelectedInstOperands,
     /*  437433 */     // GIR_Coverage, 5835,
     /*  437433 */     GIR_EraseRootFromParent_Done,
     /*  437434 */   // Label 7592: @437434
     /*  437434 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(437520), // Rule ID 5836 //
     /*  437439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437486 */     // MIs[1] Operand 1
     /*  437486 */     // No operand predicates
     /*  437486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437495 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437518 */     GIR_RootConstrainSelectedInstOperands,
     /*  437519 */     // GIR_Coverage, 5836,
     /*  437519 */     GIR_EraseRootFromParent_Done,
     /*  437520 */   // Label 7593: @437520
     /*  437520 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(437606), // Rule ID 5839 //
     /*  437525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  437536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  437539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437572 */     // MIs[1] Operand 1
     /*  437572 */     // No operand predicates
     /*  437572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437581 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437604 */     GIR_RootConstrainSelectedInstOperands,
     /*  437605 */     // GIR_Coverage, 5839,
     /*  437605 */     GIR_EraseRootFromParent_Done,
     /*  437606 */   // Label 7594: @437606
     /*  437606 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(437692), // Rule ID 5840 //
     /*  437611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  437622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  437625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437658 */     // MIs[1] Operand 1
     /*  437658 */     // No operand predicates
     /*  437658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437690 */     GIR_RootConstrainSelectedInstOperands,
     /*  437691 */     // GIR_Coverage, 5840,
     /*  437691 */     GIR_EraseRootFromParent_Done,
     /*  437692 */   // Label 7595: @437692
     /*  437692 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(437778), // Rule ID 5843 //
     /*  437697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  437708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  437711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  437714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437744 */     // MIs[1] Operand 1
     /*  437744 */     // No operand predicates
     /*  437744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437776 */     GIR_RootConstrainSelectedInstOperands,
     /*  437777 */     // GIR_Coverage, 5843,
     /*  437777 */     GIR_EraseRootFromParent_Done,
     /*  437778 */   // Label 7596: @437778
     /*  437778 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(437864), // Rule ID 5844 //
     /*  437783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  437794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  437797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  437800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437830 */     // MIs[1] Operand 1
     /*  437830 */     // No operand predicates
     /*  437830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437839 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437862 */     GIR_RootConstrainSelectedInstOperands,
     /*  437863 */     // GIR_Coverage, 5844,
     /*  437863 */     GIR_EraseRootFromParent_Done,
     /*  437864 */   // Label 7597: @437864
     /*  437864 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(437950), // Rule ID 5847 //
     /*  437869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  437886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437916 */     // MIs[1] Operand 1
     /*  437916 */     // No operand predicates
     /*  437916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437925 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  437928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437948 */     GIR_RootConstrainSelectedInstOperands,
     /*  437949 */     // GIR_Coverage, 5847,
     /*  437949 */     GIR_EraseRootFromParent_Done,
     /*  437950 */   // Label 7598: @437950
     /*  437950 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(438036), // Rule ID 5848 //
     /*  437955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  437972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438002 */     // MIs[1] Operand 1
     /*  438002 */     // No operand predicates
     /*  438002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438034 */     GIR_RootConstrainSelectedInstOperands,
     /*  438035 */     // GIR_Coverage, 5848,
     /*  438035 */     GIR_EraseRootFromParent_Done,
     /*  438036 */   // Label 7599: @438036
     /*  438036 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(438122), // Rule ID 5851 //
     /*  438041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438088 */     // MIs[1] Operand 1
     /*  438088 */     // No operand predicates
     /*  438088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438120 */     GIR_RootConstrainSelectedInstOperands,
     /*  438121 */     // GIR_Coverage, 5851,
     /*  438121 */     GIR_EraseRootFromParent_Done,
     /*  438122 */   // Label 7600: @438122
     /*  438122 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(438208), // Rule ID 5852 //
     /*  438127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438174 */     // MIs[1] Operand 1
     /*  438174 */     // No operand predicates
     /*  438174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438206 */     GIR_RootConstrainSelectedInstOperands,
     /*  438207 */     // GIR_Coverage, 5852,
     /*  438207 */     GIR_EraseRootFromParent_Done,
     /*  438208 */   // Label 7601: @438208
     /*  438208 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(438294), // Rule ID 5855 //
     /*  438213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438260 */     // MIs[1] Operand 1
     /*  438260 */     // No operand predicates
     /*  438260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438292 */     GIR_RootConstrainSelectedInstOperands,
     /*  438293 */     // GIR_Coverage, 5855,
     /*  438293 */     GIR_EraseRootFromParent_Done,
     /*  438294 */   // Label 7602: @438294
     /*  438294 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(438380), // Rule ID 5856 //
     /*  438299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438346 */     // MIs[1] Operand 1
     /*  438346 */     // No operand predicates
     /*  438346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438378 */     GIR_RootConstrainSelectedInstOperands,
     /*  438379 */     // GIR_Coverage, 5856,
     /*  438379 */     GIR_EraseRootFromParent_Done,
     /*  438380 */   // Label 7603: @438380
     /*  438380 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(438466), // Rule ID 5859 //
     /*  438385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438432 */     // MIs[1] Operand 1
     /*  438432 */     // No operand predicates
     /*  438432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438464 */     GIR_RootConstrainSelectedInstOperands,
     /*  438465 */     // GIR_Coverage, 5859,
     /*  438465 */     GIR_EraseRootFromParent_Done,
     /*  438466 */   // Label 7604: @438466
     /*  438466 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(438552), // Rule ID 5860 //
     /*  438471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438518 */     // MIs[1] Operand 1
     /*  438518 */     // No operand predicates
     /*  438518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438550 */     GIR_RootConstrainSelectedInstOperands,
     /*  438551 */     // GIR_Coverage, 5860,
     /*  438551 */     GIR_EraseRootFromParent_Done,
     /*  438552 */   // Label 7605: @438552
     /*  438552 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(438638), // Rule ID 5863 //
     /*  438557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  438568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  438571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  438574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438604 */     // MIs[1] Operand 1
     /*  438604 */     // No operand predicates
     /*  438604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438613 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438636 */     GIR_RootConstrainSelectedInstOperands,
     /*  438637 */     // GIR_Coverage, 5863,
     /*  438637 */     GIR_EraseRootFromParent_Done,
     /*  438638 */   // Label 7606: @438638
     /*  438638 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(438724), // Rule ID 5864 //
     /*  438643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  438654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  438657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  438660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438690 */     // MIs[1] Operand 1
     /*  438690 */     // No operand predicates
     /*  438690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438722 */     GIR_RootConstrainSelectedInstOperands,
     /*  438723 */     // GIR_Coverage, 5864,
     /*  438723 */     GIR_EraseRootFromParent_Done,
     /*  438724 */   // Label 7607: @438724
     /*  438724 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(438810), // Rule ID 5867 //
     /*  438729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  438740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  438743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  438746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438776 */     // MIs[1] Operand 1
     /*  438776 */     // No operand predicates
     /*  438776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438785 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438808 */     GIR_RootConstrainSelectedInstOperands,
     /*  438809 */     // GIR_Coverage, 5867,
     /*  438809 */     GIR_EraseRootFromParent_Done,
     /*  438810 */   // Label 7608: @438810
     /*  438810 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(438896), // Rule ID 5868 //
     /*  438815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  438826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  438829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  438832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438862 */     // MIs[1] Operand 1
     /*  438862 */     // No operand predicates
     /*  438862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438894 */     GIR_RootConstrainSelectedInstOperands,
     /*  438895 */     // GIR_Coverage, 5868,
     /*  438895 */     GIR_EraseRootFromParent_Done,
     /*  438896 */   // Label 7609: @438896
     /*  438896 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(438982), // Rule ID 5871 //
     /*  438901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  438912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  438915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  438918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438948 */     // MIs[1] Operand 1
     /*  438948 */     // No operand predicates
     /*  438948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438957 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  438960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438980 */     GIR_RootConstrainSelectedInstOperands,
     /*  438981 */     // GIR_Coverage, 5871,
     /*  438981 */     GIR_EraseRootFromParent_Done,
     /*  438982 */   // Label 7610: @438982
     /*  438982 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(439068), // Rule ID 5872 //
     /*  438987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  438998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439034 */     // MIs[1] Operand 1
     /*  439034 */     // No operand predicates
     /*  439034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439043 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439066 */     GIR_RootConstrainSelectedInstOperands,
     /*  439067 */     // GIR_Coverage, 5872,
     /*  439067 */     GIR_EraseRootFromParent_Done,
     /*  439068 */   // Label 7611: @439068
     /*  439068 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(439154), // Rule ID 5875 //
     /*  439073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439120 */     // MIs[1] Operand 1
     /*  439120 */     // No operand predicates
     /*  439120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439129 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439152 */     GIR_RootConstrainSelectedInstOperands,
     /*  439153 */     // GIR_Coverage, 5875,
     /*  439153 */     GIR_EraseRootFromParent_Done,
     /*  439154 */   // Label 7612: @439154
     /*  439154 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(439240), // Rule ID 5876 //
     /*  439159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439206 */     // MIs[1] Operand 1
     /*  439206 */     // No operand predicates
     /*  439206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439215 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439238 */     GIR_RootConstrainSelectedInstOperands,
     /*  439239 */     // GIR_Coverage, 5876,
     /*  439239 */     GIR_EraseRootFromParent_Done,
     /*  439240 */   // Label 7613: @439240
     /*  439240 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(439326), // Rule ID 5879 //
     /*  439245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439292 */     // MIs[1] Operand 1
     /*  439292 */     // No operand predicates
     /*  439292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439301 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439324 */     GIR_RootConstrainSelectedInstOperands,
     /*  439325 */     // GIR_Coverage, 5879,
     /*  439325 */     GIR_EraseRootFromParent_Done,
     /*  439326 */   // Label 7614: @439326
     /*  439326 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(439412), // Rule ID 5880 //
     /*  439331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439378 */     // MIs[1] Operand 1
     /*  439378 */     // No operand predicates
     /*  439378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439410 */     GIR_RootConstrainSelectedInstOperands,
     /*  439411 */     // GIR_Coverage, 5880,
     /*  439411 */     GIR_EraseRootFromParent_Done,
     /*  439412 */   // Label 7615: @439412
     /*  439412 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(439498), // Rule ID 5883 //
     /*  439417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439464 */     // MIs[1] Operand 1
     /*  439464 */     // No operand predicates
     /*  439464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439473 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439496 */     GIR_RootConstrainSelectedInstOperands,
     /*  439497 */     // GIR_Coverage, 5883,
     /*  439497 */     GIR_EraseRootFromParent_Done,
     /*  439498 */   // Label 7616: @439498
     /*  439498 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(439584), // Rule ID 5884 //
     /*  439503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439550 */     // MIs[1] Operand 1
     /*  439550 */     // No operand predicates
     /*  439550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439559 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439582 */     GIR_RootConstrainSelectedInstOperands,
     /*  439583 */     // GIR_Coverage, 5884,
     /*  439583 */     GIR_EraseRootFromParent_Done,
     /*  439584 */   // Label 7617: @439584
     /*  439584 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(439670), // Rule ID 5887 //
     /*  439589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439636 */     // MIs[1] Operand 1
     /*  439636 */     // No operand predicates
     /*  439636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439668 */     GIR_RootConstrainSelectedInstOperands,
     /*  439669 */     // GIR_Coverage, 5887,
     /*  439669 */     GIR_EraseRootFromParent_Done,
     /*  439670 */   // Label 7618: @439670
     /*  439670 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(439756), // Rule ID 5888 //
     /*  439675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439722 */     // MIs[1] Operand 1
     /*  439722 */     // No operand predicates
     /*  439722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439754 */     GIR_RootConstrainSelectedInstOperands,
     /*  439755 */     // GIR_Coverage, 5888,
     /*  439755 */     GIR_EraseRootFromParent_Done,
     /*  439756 */   // Label 7619: @439756
     /*  439756 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(439842), // Rule ID 5891 //
     /*  439761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  439778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439808 */     // MIs[1] Operand 1
     /*  439808 */     // No operand predicates
     /*  439808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439840 */     GIR_RootConstrainSelectedInstOperands,
     /*  439841 */     // GIR_Coverage, 5891,
     /*  439841 */     GIR_EraseRootFromParent_Done,
     /*  439842 */   // Label 7620: @439842
     /*  439842 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(439928), // Rule ID 5892 //
     /*  439847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  439864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439894 */     // MIs[1] Operand 1
     /*  439894 */     // No operand predicates
     /*  439894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439903 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439926 */     GIR_RootConstrainSelectedInstOperands,
     /*  439927 */     // GIR_Coverage, 5892,
     /*  439927 */     GIR_EraseRootFromParent_Done,
     /*  439928 */   // Label 7621: @439928
     /*  439928 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(440014), // Rule ID 5895 //
     /*  439933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  439944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  439947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  439950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439980 */     // MIs[1] Operand 1
     /*  439980 */     // No operand predicates
     /*  439980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440012 */     GIR_RootConstrainSelectedInstOperands,
     /*  440013 */     // GIR_Coverage, 5895,
     /*  440013 */     GIR_EraseRootFromParent_Done,
     /*  440014 */   // Label 7622: @440014
     /*  440014 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(440100), // Rule ID 5896 //
     /*  440019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440066 */     // MIs[1] Operand 1
     /*  440066 */     // No operand predicates
     /*  440066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440098 */     GIR_RootConstrainSelectedInstOperands,
     /*  440099 */     // GIR_Coverage, 5896,
     /*  440099 */     GIR_EraseRootFromParent_Done,
     /*  440100 */   // Label 7623: @440100
     /*  440100 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(440186), // Rule ID 5899 //
     /*  440105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440152 */     // MIs[1] Operand 1
     /*  440152 */     // No operand predicates
     /*  440152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440184 */     GIR_RootConstrainSelectedInstOperands,
     /*  440185 */     // GIR_Coverage, 5899,
     /*  440185 */     GIR_EraseRootFromParent_Done,
     /*  440186 */   // Label 7624: @440186
     /*  440186 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(440272), // Rule ID 5900 //
     /*  440191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440238 */     // MIs[1] Operand 1
     /*  440238 */     // No operand predicates
     /*  440238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440270 */     GIR_RootConstrainSelectedInstOperands,
     /*  440271 */     // GIR_Coverage, 5900,
     /*  440271 */     GIR_EraseRootFromParent_Done,
     /*  440272 */   // Label 7625: @440272
     /*  440272 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(440358), // Rule ID 5903 //
     /*  440277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440324 */     // MIs[1] Operand 1
     /*  440324 */     // No operand predicates
     /*  440324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440333 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440356 */     GIR_RootConstrainSelectedInstOperands,
     /*  440357 */     // GIR_Coverage, 5903,
     /*  440357 */     GIR_EraseRootFromParent_Done,
     /*  440358 */   // Label 7626: @440358
     /*  440358 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(440444), // Rule ID 5904 //
     /*  440363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440410 */     // MIs[1] Operand 1
     /*  440410 */     // No operand predicates
     /*  440410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440442 */     GIR_RootConstrainSelectedInstOperands,
     /*  440443 */     // GIR_Coverage, 5904,
     /*  440443 */     GIR_EraseRootFromParent_Done,
     /*  440444 */   // Label 7627: @440444
     /*  440444 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(440530), // Rule ID 5907 //
     /*  440449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440496 */     // MIs[1] Operand 1
     /*  440496 */     // No operand predicates
     /*  440496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440528 */     GIR_RootConstrainSelectedInstOperands,
     /*  440529 */     // GIR_Coverage, 5907,
     /*  440529 */     GIR_EraseRootFromParent_Done,
     /*  440530 */   // Label 7628: @440530
     /*  440530 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(440616), // Rule ID 5908 //
     /*  440535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440582 */     // MIs[1] Operand 1
     /*  440582 */     // No operand predicates
     /*  440582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440591 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440614 */     GIR_RootConstrainSelectedInstOperands,
     /*  440615 */     // GIR_Coverage, 5908,
     /*  440615 */     GIR_EraseRootFromParent_Done,
     /*  440616 */   // Label 7629: @440616
     /*  440616 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(440702), // Rule ID 6087 //
     /*  440621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  440632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  440635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  440638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440668 */     // MIs[1] Operand 1
     /*  440668 */     // No operand predicates
     /*  440668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  440680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440700 */     GIR_RootConstrainSelectedInstOperands,
     /*  440701 */     // GIR_Coverage, 6087,
     /*  440701 */     GIR_EraseRootFromParent_Done,
     /*  440702 */   // Label 7630: @440702
     /*  440702 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(440788), // Rule ID 6088 //
     /*  440707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  440718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  440721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  440724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440754 */     // MIs[1] Operand 1
     /*  440754 */     // No operand predicates
     /*  440754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440763 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  440766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440786 */     GIR_RootConstrainSelectedInstOperands,
     /*  440787 */     // GIR_Coverage, 6088,
     /*  440787 */     GIR_EraseRootFromParent_Done,
     /*  440788 */   // Label 7631: @440788
     /*  440788 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(440874), // Rule ID 6091 //
     /*  440793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  440804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  440807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  440810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440840 */     // MIs[1] Operand 1
     /*  440840 */     // No operand predicates
     /*  440840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440849 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  440852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440872 */     GIR_RootConstrainSelectedInstOperands,
     /*  440873 */     // GIR_Coverage, 6091,
     /*  440873 */     GIR_EraseRootFromParent_Done,
     /*  440874 */   // Label 7632: @440874
     /*  440874 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(440960), // Rule ID 6092 //
     /*  440879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  440890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  440893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  440896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440926 */     // MIs[1] Operand 1
     /*  440926 */     // No operand predicates
     /*  440926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  440938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440958 */     GIR_RootConstrainSelectedInstOperands,
     /*  440959 */     // GIR_Coverage, 6092,
     /*  440959 */     GIR_EraseRootFromParent_Done,
     /*  440960 */   // Label 7633: @440960
     /*  440960 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(441046), // Rule ID 6095 //
     /*  440965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  440976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  440979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  440982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441012 */     // MIs[1] Operand 1
     /*  441012 */     // No operand predicates
     /*  441012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441021 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441044 */     GIR_RootConstrainSelectedInstOperands,
     /*  441045 */     // GIR_Coverage, 6095,
     /*  441045 */     GIR_EraseRootFromParent_Done,
     /*  441046 */   // Label 7634: @441046
     /*  441046 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(441132), // Rule ID 6096 //
     /*  441051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441098 */     // MIs[1] Operand 1
     /*  441098 */     // No operand predicates
     /*  441098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441107 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441130 */     GIR_RootConstrainSelectedInstOperands,
     /*  441131 */     // GIR_Coverage, 6096,
     /*  441131 */     GIR_EraseRootFromParent_Done,
     /*  441132 */   // Label 7635: @441132
     /*  441132 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(441218), // Rule ID 6099 //
     /*  441137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441184 */     // MIs[1] Operand 1
     /*  441184 */     // No operand predicates
     /*  441184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441193 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441216 */     GIR_RootConstrainSelectedInstOperands,
     /*  441217 */     // GIR_Coverage, 6099,
     /*  441217 */     GIR_EraseRootFromParent_Done,
     /*  441218 */   // Label 7636: @441218
     /*  441218 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(441304), // Rule ID 6100 //
     /*  441223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441270 */     // MIs[1] Operand 1
     /*  441270 */     // No operand predicates
     /*  441270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441302 */     GIR_RootConstrainSelectedInstOperands,
     /*  441303 */     // GIR_Coverage, 6100,
     /*  441303 */     GIR_EraseRootFromParent_Done,
     /*  441304 */   // Label 7637: @441304
     /*  441304 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(441390), // Rule ID 6103 //
     /*  441309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441356 */     // MIs[1] Operand 1
     /*  441356 */     // No operand predicates
     /*  441356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441365 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441388 */     GIR_RootConstrainSelectedInstOperands,
     /*  441389 */     // GIR_Coverage, 6103,
     /*  441389 */     GIR_EraseRootFromParent_Done,
     /*  441390 */   // Label 7638: @441390
     /*  441390 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(441476), // Rule ID 6104 //
     /*  441395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441442 */     // MIs[1] Operand 1
     /*  441442 */     // No operand predicates
     /*  441442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441474 */     GIR_RootConstrainSelectedInstOperands,
     /*  441475 */     // GIR_Coverage, 6104,
     /*  441475 */     GIR_EraseRootFromParent_Done,
     /*  441476 */   // Label 7639: @441476
     /*  441476 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(441562), // Rule ID 6107 //
     /*  441481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441528 */     // MIs[1] Operand 1
     /*  441528 */     // No operand predicates
     /*  441528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441537 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441560 */     GIR_RootConstrainSelectedInstOperands,
     /*  441561 */     // GIR_Coverage, 6107,
     /*  441561 */     GIR_EraseRootFromParent_Done,
     /*  441562 */   // Label 7640: @441562
     /*  441562 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(441648), // Rule ID 6108 //
     /*  441567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441614 */     // MIs[1] Operand 1
     /*  441614 */     // No operand predicates
     /*  441614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441646 */     GIR_RootConstrainSelectedInstOperands,
     /*  441647 */     // GIR_Coverage, 6108,
     /*  441647 */     GIR_EraseRootFromParent_Done,
     /*  441648 */   // Label 7641: @441648
     /*  441648 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(441734), // Rule ID 6111 //
     /*  441653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  441664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  441667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  441670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441700 */     // MIs[1] Operand 1
     /*  441700 */     // No operand predicates
     /*  441700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441732 */     GIR_RootConstrainSelectedInstOperands,
     /*  441733 */     // GIR_Coverage, 6111,
     /*  441733 */     GIR_EraseRootFromParent_Done,
     /*  441734 */   // Label 7642: @441734
     /*  441734 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(441820), // Rule ID 6112 //
     /*  441739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  441750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  441753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  441756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441786 */     // MIs[1] Operand 1
     /*  441786 */     // No operand predicates
     /*  441786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441795 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441818 */     GIR_RootConstrainSelectedInstOperands,
     /*  441819 */     // GIR_Coverage, 6112,
     /*  441819 */     GIR_EraseRootFromParent_Done,
     /*  441820 */   // Label 7643: @441820
     /*  441820 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(441906), // Rule ID 6115 //
     /*  441825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  441836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  441839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  441842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441872 */     // MIs[1] Operand 1
     /*  441872 */     // No operand predicates
     /*  441872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441881 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441904 */     GIR_RootConstrainSelectedInstOperands,
     /*  441905 */     // GIR_Coverage, 6115,
     /*  441905 */     GIR_EraseRootFromParent_Done,
     /*  441906 */   // Label 7644: @441906
     /*  441906 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(441992), // Rule ID 6116 //
     /*  441911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  441922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  441925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  441928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441958 */     // MIs[1] Operand 1
     /*  441958 */     // No operand predicates
     /*  441958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441990 */     GIR_RootConstrainSelectedInstOperands,
     /*  441991 */     // GIR_Coverage, 6116,
     /*  441991 */     GIR_EraseRootFromParent_Done,
     /*  441992 */   // Label 7645: @441992
     /*  441992 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(442078), // Rule ID 6119 //
     /*  441997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442044 */     // MIs[1] Operand 1
     /*  442044 */     // No operand predicates
     /*  442044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442076 */     GIR_RootConstrainSelectedInstOperands,
     /*  442077 */     // GIR_Coverage, 6119,
     /*  442077 */     GIR_EraseRootFromParent_Done,
     /*  442078 */   // Label 7646: @442078
     /*  442078 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(442164), // Rule ID 6120 //
     /*  442083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442130 */     // MIs[1] Operand 1
     /*  442130 */     // No operand predicates
     /*  442130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442162 */     GIR_RootConstrainSelectedInstOperands,
     /*  442163 */     // GIR_Coverage, 6120,
     /*  442163 */     GIR_EraseRootFromParent_Done,
     /*  442164 */   // Label 7647: @442164
     /*  442164 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(442250), // Rule ID 6123 //
     /*  442169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442216 */     // MIs[1] Operand 1
     /*  442216 */     // No operand predicates
     /*  442216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442225 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442248 */     GIR_RootConstrainSelectedInstOperands,
     /*  442249 */     // GIR_Coverage, 6123,
     /*  442249 */     GIR_EraseRootFromParent_Done,
     /*  442250 */   // Label 7648: @442250
     /*  442250 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(442336), // Rule ID 6124 //
     /*  442255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  442258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442302 */     // MIs[1] Operand 1
     /*  442302 */     // No operand predicates
     /*  442302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442334 */     GIR_RootConstrainSelectedInstOperands,
     /*  442335 */     // GIR_Coverage, 6124,
     /*  442335 */     GIR_EraseRootFromParent_Done,
     /*  442336 */   // Label 7649: @442336
     /*  442336 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(442422), // Rule ID 6127 //
     /*  442341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442388 */     // MIs[1] Operand 1
     /*  442388 */     // No operand predicates
     /*  442388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442420 */     GIR_RootConstrainSelectedInstOperands,
     /*  442421 */     // GIR_Coverage, 6127,
     /*  442421 */     GIR_EraseRootFromParent_Done,
     /*  442422 */   // Label 7650: @442422
     /*  442422 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(442508), // Rule ID 6128 //
     /*  442427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442474 */     // MIs[1] Operand 1
     /*  442474 */     // No operand predicates
     /*  442474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442506 */     GIR_RootConstrainSelectedInstOperands,
     /*  442507 */     // GIR_Coverage, 6128,
     /*  442507 */     GIR_EraseRootFromParent_Done,
     /*  442508 */   // Label 7651: @442508
     /*  442508 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(442594), // Rule ID 6131 //
     /*  442513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  442527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  442530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442560 */     // MIs[1] Operand 1
     /*  442560 */     // No operand predicates
     /*  442560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442569 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442592 */     GIR_RootConstrainSelectedInstOperands,
     /*  442593 */     // GIR_Coverage, 6131,
     /*  442593 */     GIR_EraseRootFromParent_Done,
     /*  442594 */   // Label 7652: @442594
     /*  442594 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(442680), // Rule ID 6132 //
     /*  442599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  442613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  442616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442646 */     // MIs[1] Operand 1
     /*  442646 */     // No operand predicates
     /*  442646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442655 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442678 */     GIR_RootConstrainSelectedInstOperands,
     /*  442679 */     // GIR_Coverage, 6132,
     /*  442679 */     GIR_EraseRootFromParent_Done,
     /*  442680 */   // Label 7653: @442680
     /*  442680 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(442766), // Rule ID 6135 //
     /*  442685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  442696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  442699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  442702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442732 */     // MIs[1] Operand 1
     /*  442732 */     // No operand predicates
     /*  442732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442741 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442764 */     GIR_RootConstrainSelectedInstOperands,
     /*  442765 */     // GIR_Coverage, 6135,
     /*  442765 */     GIR_EraseRootFromParent_Done,
     /*  442766 */   // Label 7654: @442766
     /*  442766 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(442852), // Rule ID 6136 //
     /*  442771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  442782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  442785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  442788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442818 */     // MIs[1] Operand 1
     /*  442818 */     // No operand predicates
     /*  442818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442827 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442850 */     GIR_RootConstrainSelectedInstOperands,
     /*  442851 */     // GIR_Coverage, 6136,
     /*  442851 */     GIR_EraseRootFromParent_Done,
     /*  442852 */   // Label 7655: @442852
     /*  442852 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(442938), // Rule ID 6139 //
     /*  442857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  442868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  442871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  442874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442904 */     // MIs[1] Operand 1
     /*  442904 */     // No operand predicates
     /*  442904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442936 */     GIR_RootConstrainSelectedInstOperands,
     /*  442937 */     // GIR_Coverage, 6139,
     /*  442937 */     GIR_EraseRootFromParent_Done,
     /*  442938 */   // Label 7656: @442938
     /*  442938 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(443024), // Rule ID 6140 //
     /*  442943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  442954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  442957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  442960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442990 */     // MIs[1] Operand 1
     /*  442990 */     // No operand predicates
     /*  442990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443022 */     GIR_RootConstrainSelectedInstOperands,
     /*  443023 */     // GIR_Coverage, 6140,
     /*  443023 */     GIR_EraseRootFromParent_Done,
     /*  443024 */   // Label 7657: @443024
     /*  443024 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(443110), // Rule ID 6143 //
     /*  443029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443076 */     // MIs[1] Operand 1
     /*  443076 */     // No operand predicates
     /*  443076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443085 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443108 */     GIR_RootConstrainSelectedInstOperands,
     /*  443109 */     // GIR_Coverage, 6143,
     /*  443109 */     GIR_EraseRootFromParent_Done,
     /*  443110 */   // Label 7658: @443110
     /*  443110 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(443196), // Rule ID 6144 //
     /*  443115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443162 */     // MIs[1] Operand 1
     /*  443162 */     // No operand predicates
     /*  443162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443171 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443194 */     GIR_RootConstrainSelectedInstOperands,
     /*  443195 */     // GIR_Coverage, 6144,
     /*  443195 */     GIR_EraseRootFromParent_Done,
     /*  443196 */   // Label 7659: @443196
     /*  443196 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(443282), // Rule ID 6147 //
     /*  443201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443248 */     // MIs[1] Operand 1
     /*  443248 */     // No operand predicates
     /*  443248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443257 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443280 */     GIR_RootConstrainSelectedInstOperands,
     /*  443281 */     // GIR_Coverage, 6147,
     /*  443281 */     GIR_EraseRootFromParent_Done,
     /*  443282 */   // Label 7660: @443282
     /*  443282 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(443368), // Rule ID 6148 //
     /*  443287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443334 */     // MIs[1] Operand 1
     /*  443334 */     // No operand predicates
     /*  443334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443343 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443366 */     GIR_RootConstrainSelectedInstOperands,
     /*  443367 */     // GIR_Coverage, 6148,
     /*  443367 */     GIR_EraseRootFromParent_Done,
     /*  443368 */   // Label 7661: @443368
     /*  443368 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(443454), // Rule ID 6151 //
     /*  443373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443420 */     // MIs[1] Operand 1
     /*  443420 */     // No operand predicates
     /*  443420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443429 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443452 */     GIR_RootConstrainSelectedInstOperands,
     /*  443453 */     // GIR_Coverage, 6151,
     /*  443453 */     GIR_EraseRootFromParent_Done,
     /*  443454 */   // Label 7662: @443454
     /*  443454 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(443540), // Rule ID 6152 //
     /*  443459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443506 */     // MIs[1] Operand 1
     /*  443506 */     // No operand predicates
     /*  443506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443538 */     GIR_RootConstrainSelectedInstOperands,
     /*  443539 */     // GIR_Coverage, 6152,
     /*  443539 */     GIR_EraseRootFromParent_Done,
     /*  443540 */   // Label 7663: @443540
     /*  443540 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(443626), // Rule ID 6155 //
     /*  443545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443592 */     // MIs[1] Operand 1
     /*  443592 */     // No operand predicates
     /*  443592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443624 */     GIR_RootConstrainSelectedInstOperands,
     /*  443625 */     // GIR_Coverage, 6155,
     /*  443625 */     GIR_EraseRootFromParent_Done,
     /*  443626 */   // Label 7664: @443626
     /*  443626 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(443712), // Rule ID 6156 //
     /*  443631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443678 */     // MIs[1] Operand 1
     /*  443678 */     // No operand predicates
     /*  443678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443710 */     GIR_RootConstrainSelectedInstOperands,
     /*  443711 */     // GIR_Coverage, 6156,
     /*  443711 */     GIR_EraseRootFromParent_Done,
     /*  443712 */   // Label 7665: @443712
     /*  443712 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(443798), // Rule ID 6159 //
     /*  443717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  443728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  443731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443764 */     // MIs[1] Operand 1
     /*  443764 */     // No operand predicates
     /*  443764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443773 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443796 */     GIR_RootConstrainSelectedInstOperands,
     /*  443797 */     // GIR_Coverage, 6159,
     /*  443797 */     GIR_EraseRootFromParent_Done,
     /*  443798 */   // Label 7666: @443798
     /*  443798 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(443884), // Rule ID 6160 //
     /*  443803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  443814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  443817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443850 */     // MIs[1] Operand 1
     /*  443850 */     // No operand predicates
     /*  443850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443882 */     GIR_RootConstrainSelectedInstOperands,
     /*  443883 */     // GIR_Coverage, 6160,
     /*  443883 */     GIR_EraseRootFromParent_Done,
     /*  443884 */   // Label 7667: @443884
     /*  443884 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(443970), // Rule ID 6163 //
     /*  443889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  443892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  443900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  443903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  443906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443936 */     // MIs[1] Operand 1
     /*  443936 */     // No operand predicates
     /*  443936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  443945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443968 */     GIR_RootConstrainSelectedInstOperands,
     /*  443969 */     // GIR_Coverage, 6163,
     /*  443969 */     GIR_EraseRootFromParent_Done,
     /*  443970 */   // Label 7668: @443970
     /*  443970 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(444056), // Rule ID 6164 //
     /*  443975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  443986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  443989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  443992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444022 */     // MIs[1] Operand 1
     /*  444022 */     // No operand predicates
     /*  444022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444054 */     GIR_RootConstrainSelectedInstOperands,
     /*  444055 */     // GIR_Coverage, 6164,
     /*  444055 */     GIR_EraseRootFromParent_Done,
     /*  444056 */   // Label 7669: @444056
     /*  444056 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(444142), // Rule ID 6167 //
     /*  444061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444108 */     // MIs[1] Operand 1
     /*  444108 */     // No operand predicates
     /*  444108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444117 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444140 */     GIR_RootConstrainSelectedInstOperands,
     /*  444141 */     // GIR_Coverage, 6167,
     /*  444141 */     GIR_EraseRootFromParent_Done,
     /*  444142 */   // Label 7670: @444142
     /*  444142 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(444228), // Rule ID 6168 //
     /*  444147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444194 */     // MIs[1] Operand 1
     /*  444194 */     // No operand predicates
     /*  444194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444226 */     GIR_RootConstrainSelectedInstOperands,
     /*  444227 */     // GIR_Coverage, 6168,
     /*  444227 */     GIR_EraseRootFromParent_Done,
     /*  444228 */   // Label 7671: @444228
     /*  444228 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(444314), // Rule ID 6171 //
     /*  444233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444280 */     // MIs[1] Operand 1
     /*  444280 */     // No operand predicates
     /*  444280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444312 */     GIR_RootConstrainSelectedInstOperands,
     /*  444313 */     // GIR_Coverage, 6171,
     /*  444313 */     GIR_EraseRootFromParent_Done,
     /*  444314 */   // Label 7672: @444314
     /*  444314 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(444400), // Rule ID 6172 //
     /*  444319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444366 */     // MIs[1] Operand 1
     /*  444366 */     // No operand predicates
     /*  444366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444375 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444398 */     GIR_RootConstrainSelectedInstOperands,
     /*  444399 */     // GIR_Coverage, 6172,
     /*  444399 */     GIR_EraseRootFromParent_Done,
     /*  444400 */   // Label 7673: @444400
     /*  444400 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(444486), // Rule ID 6351 //
     /*  444405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444452 */     // MIs[1] Operand 1
     /*  444452 */     // No operand predicates
     /*  444452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444484 */     GIR_RootConstrainSelectedInstOperands,
     /*  444485 */     // GIR_Coverage, 6351,
     /*  444485 */     GIR_EraseRootFromParent_Done,
     /*  444486 */   // Label 7674: @444486
     /*  444486 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(444572), // Rule ID 6352 //
     /*  444491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444538 */     // MIs[1] Operand 1
     /*  444538 */     // No operand predicates
     /*  444538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444570 */     GIR_RootConstrainSelectedInstOperands,
     /*  444571 */     // GIR_Coverage, 6352,
     /*  444571 */     GIR_EraseRootFromParent_Done,
     /*  444572 */   // Label 7675: @444572
     /*  444572 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(444658), // Rule ID 6355 //
     /*  444577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  444588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  444591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  444594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444624 */     // MIs[1] Operand 1
     /*  444624 */     // No operand predicates
     /*  444624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444633 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  444636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444656 */     GIR_RootConstrainSelectedInstOperands,
     /*  444657 */     // GIR_Coverage, 6355,
     /*  444657 */     GIR_EraseRootFromParent_Done,
     /*  444658 */   // Label 7676: @444658
     /*  444658 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(444744), // Rule ID 6356 //
     /*  444663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  444674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  444677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  444680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444710 */     // MIs[1] Operand 1
     /*  444710 */     // No operand predicates
     /*  444710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444719 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  444722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444742 */     GIR_RootConstrainSelectedInstOperands,
     /*  444743 */     // GIR_Coverage, 6356,
     /*  444743 */     GIR_EraseRootFromParent_Done,
     /*  444744 */   // Label 7677: @444744
     /*  444744 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(444830), // Rule ID 6359 //
     /*  444749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  444760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  444763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  444766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444796 */     // MIs[1] Operand 1
     /*  444796 */     // No operand predicates
     /*  444796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444805 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  444808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444828 */     GIR_RootConstrainSelectedInstOperands,
     /*  444829 */     // GIR_Coverage, 6359,
     /*  444829 */     GIR_EraseRootFromParent_Done,
     /*  444830 */   // Label 7678: @444830
     /*  444830 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(444916), // Rule ID 6360 //
     /*  444835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  444846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  444849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  444852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444882 */     // MIs[1] Operand 1
     /*  444882 */     // No operand predicates
     /*  444882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444891 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  444894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444914 */     GIR_RootConstrainSelectedInstOperands,
     /*  444915 */     // GIR_Coverage, 6360,
     /*  444915 */     GIR_EraseRootFromParent_Done,
     /*  444916 */   // Label 7679: @444916
     /*  444916 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(445002), // Rule ID 6363 //
     /*  444921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  444932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  444935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  444938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444968 */     // MIs[1] Operand 1
     /*  444968 */     // No operand predicates
     /*  444968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444977 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  444980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445000 */     GIR_RootConstrainSelectedInstOperands,
     /*  445001 */     // GIR_Coverage, 6363,
     /*  445001 */     GIR_EraseRootFromParent_Done,
     /*  445002 */   // Label 7680: @445002
     /*  445002 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(445088), // Rule ID 6364 //
     /*  445007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445054 */     // MIs[1] Operand 1
     /*  445054 */     // No operand predicates
     /*  445054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445063 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445086 */     GIR_RootConstrainSelectedInstOperands,
     /*  445087 */     // GIR_Coverage, 6364,
     /*  445087 */     GIR_EraseRootFromParent_Done,
     /*  445088 */   // Label 7681: @445088
     /*  445088 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(445174), // Rule ID 6367 //
     /*  445093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445140 */     // MIs[1] Operand 1
     /*  445140 */     // No operand predicates
     /*  445140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445172 */     GIR_RootConstrainSelectedInstOperands,
     /*  445173 */     // GIR_Coverage, 6367,
     /*  445173 */     GIR_EraseRootFromParent_Done,
     /*  445174 */   // Label 7682: @445174
     /*  445174 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(445260), // Rule ID 6368 //
     /*  445179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445226 */     // MIs[1] Operand 1
     /*  445226 */     // No operand predicates
     /*  445226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445258 */     GIR_RootConstrainSelectedInstOperands,
     /*  445259 */     // GIR_Coverage, 6368,
     /*  445259 */     GIR_EraseRootFromParent_Done,
     /*  445260 */   // Label 7683: @445260
     /*  445260 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(445346), // Rule ID 6371 //
     /*  445265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445312 */     // MIs[1] Operand 1
     /*  445312 */     // No operand predicates
     /*  445312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445344 */     GIR_RootConstrainSelectedInstOperands,
     /*  445345 */     // GIR_Coverage, 6371,
     /*  445345 */     GIR_EraseRootFromParent_Done,
     /*  445346 */   // Label 7684: @445346
     /*  445346 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(445432), // Rule ID 6372 //
     /*  445351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445398 */     // MIs[1] Operand 1
     /*  445398 */     // No operand predicates
     /*  445398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445407 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445430 */     GIR_RootConstrainSelectedInstOperands,
     /*  445431 */     // GIR_Coverage, 6372,
     /*  445431 */     GIR_EraseRootFromParent_Done,
     /*  445432 */   // Label 7685: @445432
     /*  445432 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(445518), // Rule ID 6375 //
     /*  445437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445484 */     // MIs[1] Operand 1
     /*  445484 */     // No operand predicates
     /*  445484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445493 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445516 */     GIR_RootConstrainSelectedInstOperands,
     /*  445517 */     // GIR_Coverage, 6375,
     /*  445517 */     GIR_EraseRootFromParent_Done,
     /*  445518 */   // Label 7686: @445518
     /*  445518 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(445604), // Rule ID 6376 //
     /*  445523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445570 */     // MIs[1] Operand 1
     /*  445570 */     // No operand predicates
     /*  445570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445579 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445602 */     GIR_RootConstrainSelectedInstOperands,
     /*  445603 */     // GIR_Coverage, 6376,
     /*  445603 */     GIR_EraseRootFromParent_Done,
     /*  445604 */   // Label 7687: @445604
     /*  445604 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(445690), // Rule ID 6379 //
     /*  445609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  445626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445656 */     // MIs[1] Operand 1
     /*  445656 */     // No operand predicates
     /*  445656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445688 */     GIR_RootConstrainSelectedInstOperands,
     /*  445689 */     // GIR_Coverage, 6379,
     /*  445689 */     GIR_EraseRootFromParent_Done,
     /*  445690 */   // Label 7688: @445690
     /*  445690 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(445776), // Rule ID 6380 //
     /*  445695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  445712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445742 */     // MIs[1] Operand 1
     /*  445742 */     // No operand predicates
     /*  445742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445751 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445774 */     GIR_RootConstrainSelectedInstOperands,
     /*  445775 */     // GIR_Coverage, 6380,
     /*  445775 */     GIR_EraseRootFromParent_Done,
     /*  445776 */   // Label 7689: @445776
     /*  445776 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(445862), // Rule ID 6383 //
     /*  445781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  445792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  445795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  445798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445828 */     // MIs[1] Operand 1
     /*  445828 */     // No operand predicates
     /*  445828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445860 */     GIR_RootConstrainSelectedInstOperands,
     /*  445861 */     // GIR_Coverage, 6383,
     /*  445861 */     GIR_EraseRootFromParent_Done,
     /*  445862 */   // Label 7690: @445862
     /*  445862 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(445948), // Rule ID 6384 //
     /*  445867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  445878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  445881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  445884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445914 */     // MIs[1] Operand 1
     /*  445914 */     // No operand predicates
     /*  445914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445946 */     GIR_RootConstrainSelectedInstOperands,
     /*  445947 */     // GIR_Coverage, 6384,
     /*  445947 */     GIR_EraseRootFromParent_Done,
     /*  445948 */   // Label 7691: @445948
     /*  445948 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(446034), // Rule ID 6387 //
     /*  445953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  445964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  445967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  445970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446000 */     // MIs[1] Operand 1
     /*  446000 */     // No operand predicates
     /*  446000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446032 */     GIR_RootConstrainSelectedInstOperands,
     /*  446033 */     // GIR_Coverage, 6387,
     /*  446033 */     GIR_EraseRootFromParent_Done,
     /*  446034 */   // Label 7692: @446034
     /*  446034 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(446120), // Rule ID 6388 //
     /*  446039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  446042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446086 */     // MIs[1] Operand 1
     /*  446086 */     // No operand predicates
     /*  446086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446095 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446118 */     GIR_RootConstrainSelectedInstOperands,
     /*  446119 */     // GIR_Coverage, 6388,
     /*  446119 */     GIR_EraseRootFromParent_Done,
     /*  446120 */   // Label 7693: @446120
     /*  446120 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(446206), // Rule ID 6391 //
     /*  446125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446172 */     // MIs[1] Operand 1
     /*  446172 */     // No operand predicates
     /*  446172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446181 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446204 */     GIR_RootConstrainSelectedInstOperands,
     /*  446205 */     // GIR_Coverage, 6391,
     /*  446205 */     GIR_EraseRootFromParent_Done,
     /*  446206 */   // Label 7694: @446206
     /*  446206 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(446292), // Rule ID 6392 //
     /*  446211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446258 */     // MIs[1] Operand 1
     /*  446258 */     // No operand predicates
     /*  446258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446290 */     GIR_RootConstrainSelectedInstOperands,
     /*  446291 */     // GIR_Coverage, 6392,
     /*  446291 */     GIR_EraseRootFromParent_Done,
     /*  446292 */   // Label 7695: @446292
     /*  446292 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(446378), // Rule ID 6395 //
     /*  446297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446344 */     // MIs[1] Operand 1
     /*  446344 */     // No operand predicates
     /*  446344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446353 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446376 */     GIR_RootConstrainSelectedInstOperands,
     /*  446377 */     // GIR_Coverage, 6395,
     /*  446377 */     GIR_EraseRootFromParent_Done,
     /*  446378 */   // Label 7696: @446378
     /*  446378 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(446464), // Rule ID 6396 //
     /*  446383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446430 */     // MIs[1] Operand 1
     /*  446430 */     // No operand predicates
     /*  446430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446439 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446462 */     GIR_RootConstrainSelectedInstOperands,
     /*  446463 */     // GIR_Coverage, 6396,
     /*  446463 */     GIR_EraseRootFromParent_Done,
     /*  446464 */   // Label 7697: @446464
     /*  446464 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(446550), // Rule ID 6399 //
     /*  446469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446516 */     // MIs[1] Operand 1
     /*  446516 */     // No operand predicates
     /*  446516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446525 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446548 */     GIR_RootConstrainSelectedInstOperands,
     /*  446549 */     // GIR_Coverage, 6399,
     /*  446549 */     GIR_EraseRootFromParent_Done,
     /*  446550 */   // Label 7698: @446550
     /*  446550 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(446636), // Rule ID 6400 //
     /*  446555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446602 */     // MIs[1] Operand 1
     /*  446602 */     // No operand predicates
     /*  446602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446634 */     GIR_RootConstrainSelectedInstOperands,
     /*  446635 */     // GIR_Coverage, 6400,
     /*  446635 */     GIR_EraseRootFromParent_Done,
     /*  446636 */   // Label 7699: @446636
     /*  446636 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(446722), // Rule ID 6403 //
     /*  446641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  446652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  446655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  446658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446688 */     // MIs[1] Operand 1
     /*  446688 */     // No operand predicates
     /*  446688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446720 */     GIR_RootConstrainSelectedInstOperands,
     /*  446721 */     // GIR_Coverage, 6403,
     /*  446721 */     GIR_EraseRootFromParent_Done,
     /*  446722 */   // Label 7700: @446722
     /*  446722 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(446808), // Rule ID 6404 //
     /*  446727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  446738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  446741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  446744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446774 */     // MIs[1] Operand 1
     /*  446774 */     // No operand predicates
     /*  446774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446806 */     GIR_RootConstrainSelectedInstOperands,
     /*  446807 */     // GIR_Coverage, 6404,
     /*  446807 */     GIR_EraseRootFromParent_Done,
     /*  446808 */   // Label 7701: @446808
     /*  446808 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(446894), // Rule ID 6407 //
     /*  446813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  446824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  446827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  446830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446860 */     // MIs[1] Operand 1
     /*  446860 */     // No operand predicates
     /*  446860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446869 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446892 */     GIR_RootConstrainSelectedInstOperands,
     /*  446893 */     // GIR_Coverage, 6407,
     /*  446893 */     GIR_EraseRootFromParent_Done,
     /*  446894 */   // Label 7702: @446894
     /*  446894 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(446980), // Rule ID 6408 //
     /*  446899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  446910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  446913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  446916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446946 */     // MIs[1] Operand 1
     /*  446946 */     // No operand predicates
     /*  446946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446978 */     GIR_RootConstrainSelectedInstOperands,
     /*  446979 */     // GIR_Coverage, 6408,
     /*  446979 */     GIR_EraseRootFromParent_Done,
     /*  446980 */   // Label 7703: @446980
     /*  446980 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(447066), // Rule ID 6411 //
     /*  446985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  446996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  446999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447032 */     // MIs[1] Operand 1
     /*  447032 */     // No operand predicates
     /*  447032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447064 */     GIR_RootConstrainSelectedInstOperands,
     /*  447065 */     // GIR_Coverage, 6411,
     /*  447065 */     GIR_EraseRootFromParent_Done,
     /*  447066 */   // Label 7704: @447066
     /*  447066 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(447152), // Rule ID 6412 //
     /*  447071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447118 */     // MIs[1] Operand 1
     /*  447118 */     // No operand predicates
     /*  447118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447127 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447150 */     GIR_RootConstrainSelectedInstOperands,
     /*  447151 */     // GIR_Coverage, 6412,
     /*  447151 */     GIR_EraseRootFromParent_Done,
     /*  447152 */   // Label 7705: @447152
     /*  447152 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(447238), // Rule ID 6415 //
     /*  447157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447204 */     // MIs[1] Operand 1
     /*  447204 */     // No operand predicates
     /*  447204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447213 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447236 */     GIR_RootConstrainSelectedInstOperands,
     /*  447237 */     // GIR_Coverage, 6415,
     /*  447237 */     GIR_EraseRootFromParent_Done,
     /*  447238 */   // Label 7706: @447238
     /*  447238 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(447324), // Rule ID 6416 //
     /*  447243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447290 */     // MIs[1] Operand 1
     /*  447290 */     // No operand predicates
     /*  447290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447299 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447322 */     GIR_RootConstrainSelectedInstOperands,
     /*  447323 */     // GIR_Coverage, 6416,
     /*  447323 */     GIR_EraseRootFromParent_Done,
     /*  447324 */   // Label 7707: @447324
     /*  447324 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(447410), // Rule ID 6419 //
     /*  447329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447376 */     // MIs[1] Operand 1
     /*  447376 */     // No operand predicates
     /*  447376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447385 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447408 */     GIR_RootConstrainSelectedInstOperands,
     /*  447409 */     // GIR_Coverage, 6419,
     /*  447409 */     GIR_EraseRootFromParent_Done,
     /*  447410 */   // Label 7708: @447410
     /*  447410 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(447496), // Rule ID 6420 //
     /*  447415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447462 */     // MIs[1] Operand 1
     /*  447462 */     // No operand predicates
     /*  447462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447471 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447494 */     GIR_RootConstrainSelectedInstOperands,
     /*  447495 */     // GIR_Coverage, 6420,
     /*  447495 */     GIR_EraseRootFromParent_Done,
     /*  447496 */   // Label 7709: @447496
     /*  447496 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(447582), // Rule ID 6423 //
     /*  447501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447548 */     // MIs[1] Operand 1
     /*  447548 */     // No operand predicates
     /*  447548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447557 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447580 */     GIR_RootConstrainSelectedInstOperands,
     /*  447581 */     // GIR_Coverage, 6423,
     /*  447581 */     GIR_EraseRootFromParent_Done,
     /*  447582 */   // Label 7710: @447582
     /*  447582 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(447668), // Rule ID 6424 //
     /*  447587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447634 */     // MIs[1] Operand 1
     /*  447634 */     // No operand predicates
     /*  447634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447666 */     GIR_RootConstrainSelectedInstOperands,
     /*  447667 */     // GIR_Coverage, 6424,
     /*  447667 */     GIR_EraseRootFromParent_Done,
     /*  447668 */   // Label 7711: @447668
     /*  447668 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(447754), // Rule ID 6427 //
     /*  447673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  447684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  447687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  447690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447720 */     // MIs[1] Operand 1
     /*  447720 */     // No operand predicates
     /*  447720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  447729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447752 */     GIR_RootConstrainSelectedInstOperands,
     /*  447753 */     // GIR_Coverage, 6427,
     /*  447753 */     GIR_EraseRootFromParent_Done,
     /*  447754 */   // Label 7712: @447754
     /*  447754 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(447840), // Rule ID 6428 //
     /*  447759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  447770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  447773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  447776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447806 */     // MIs[1] Operand 1
     /*  447806 */     // No operand predicates
     /*  447806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447815 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447838 */     GIR_RootConstrainSelectedInstOperands,
     /*  447839 */     // GIR_Coverage, 6428,
     /*  447839 */     GIR_EraseRootFromParent_Done,
     /*  447840 */   // Label 7713: @447840
     /*  447840 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(447926), // Rule ID 6431 //
     /*  447845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  447862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447892 */     // MIs[1] Operand 1
     /*  447892 */     // No operand predicates
     /*  447892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447901 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  447901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447924 */     GIR_RootConstrainSelectedInstOperands,
     /*  447925 */     // GIR_Coverage, 6431,
     /*  447925 */     GIR_EraseRootFromParent_Done,
     /*  447926 */   // Label 7714: @447926
     /*  447926 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(448012), // Rule ID 6432 //
     /*  447931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  447948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447978 */     // MIs[1] Operand 1
     /*  447978 */     // No operand predicates
     /*  447978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448010 */     GIR_RootConstrainSelectedInstOperands,
     /*  448011 */     // GIR_Coverage, 6432,
     /*  448011 */     GIR_EraseRootFromParent_Done,
     /*  448012 */   // Label 7715: @448012
     /*  448012 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(448098), // Rule ID 6435 //
     /*  448017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448064 */     // MIs[1] Operand 1
     /*  448064 */     // No operand predicates
     /*  448064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448073 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448096 */     GIR_RootConstrainSelectedInstOperands,
     /*  448097 */     // GIR_Coverage, 6435,
     /*  448097 */     GIR_EraseRootFromParent_Done,
     /*  448098 */   // Label 7716: @448098
     /*  448098 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(448184), // Rule ID 6436 //
     /*  448103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448150 */     // MIs[1] Operand 1
     /*  448150 */     // No operand predicates
     /*  448150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448159 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448182 */     GIR_RootConstrainSelectedInstOperands,
     /*  448183 */     // GIR_Coverage, 6436,
     /*  448183 */     GIR_EraseRootFromParent_Done,
     /*  448184 */   // Label 7717: @448184
     /*  448184 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(448270), // Rule ID 6615 //
     /*  448189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448236 */     // MIs[1] Operand 1
     /*  448236 */     // No operand predicates
     /*  448236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448245 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448268 */     GIR_RootConstrainSelectedInstOperands,
     /*  448269 */     // GIR_Coverage, 6615,
     /*  448269 */     GIR_EraseRootFromParent_Done,
     /*  448270 */   // Label 7718: @448270
     /*  448270 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(448356), // Rule ID 6616 //
     /*  448275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448322 */     // MIs[1] Operand 1
     /*  448322 */     // No operand predicates
     /*  448322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448331 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448354 */     GIR_RootConstrainSelectedInstOperands,
     /*  448355 */     // GIR_Coverage, 6616,
     /*  448355 */     GIR_EraseRootFromParent_Done,
     /*  448356 */   // Label 7719: @448356
     /*  448356 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(448442), // Rule ID 6619 //
     /*  448361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448408 */     // MIs[1] Operand 1
     /*  448408 */     // No operand predicates
     /*  448408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448417 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448440 */     GIR_RootConstrainSelectedInstOperands,
     /*  448441 */     // GIR_Coverage, 6619,
     /*  448441 */     GIR_EraseRootFromParent_Done,
     /*  448442 */   // Label 7720: @448442
     /*  448442 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(448528), // Rule ID 6620 //
     /*  448447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448494 */     // MIs[1] Operand 1
     /*  448494 */     // No operand predicates
     /*  448494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448503 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448526 */     GIR_RootConstrainSelectedInstOperands,
     /*  448527 */     // GIR_Coverage, 6620,
     /*  448527 */     GIR_EraseRootFromParent_Done,
     /*  448528 */   // Label 7721: @448528
     /*  448528 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(448614), // Rule ID 6623 //
     /*  448533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  448544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  448547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  448550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448580 */     // MIs[1] Operand 1
     /*  448580 */     // No operand predicates
     /*  448580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448612 */     GIR_RootConstrainSelectedInstOperands,
     /*  448613 */     // GIR_Coverage, 6623,
     /*  448613 */     GIR_EraseRootFromParent_Done,
     /*  448614 */   // Label 7722: @448614
     /*  448614 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(448700), // Rule ID 6624 //
     /*  448619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  448630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  448633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  448636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448666 */     // MIs[1] Operand 1
     /*  448666 */     // No operand predicates
     /*  448666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448675 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448698 */     GIR_RootConstrainSelectedInstOperands,
     /*  448699 */     // GIR_Coverage, 6624,
     /*  448699 */     GIR_EraseRootFromParent_Done,
     /*  448700 */   // Label 7723: @448700
     /*  448700 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(448786), // Rule ID 6627 //
     /*  448705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  448716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  448719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  448722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448752 */     // MIs[1] Operand 1
     /*  448752 */     // No operand predicates
     /*  448752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448784 */     GIR_RootConstrainSelectedInstOperands,
     /*  448785 */     // GIR_Coverage, 6627,
     /*  448785 */     GIR_EraseRootFromParent_Done,
     /*  448786 */   // Label 7724: @448786
     /*  448786 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(448872), // Rule ID 6628 //
     /*  448791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  448802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  448805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  448808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448838 */     // MIs[1] Operand 1
     /*  448838 */     // No operand predicates
     /*  448838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448870 */     GIR_RootConstrainSelectedInstOperands,
     /*  448871 */     // GIR_Coverage, 6628,
     /*  448871 */     GIR_EraseRootFromParent_Done,
     /*  448872 */   // Label 7725: @448872
     /*  448872 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(448958), // Rule ID 6631 //
     /*  448877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  448888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  448891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  448894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448924 */     // MIs[1] Operand 1
     /*  448924 */     // No operand predicates
     /*  448924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448933 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448956 */     GIR_RootConstrainSelectedInstOperands,
     /*  448957 */     // GIR_Coverage, 6631,
     /*  448957 */     GIR_EraseRootFromParent_Done,
     /*  448958 */   // Label 7726: @448958
     /*  448958 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(449044), // Rule ID 6632 //
     /*  448963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  448974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  448977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  448980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449010 */     // MIs[1] Operand 1
     /*  449010 */     // No operand predicates
     /*  449010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449042 */     GIR_RootConstrainSelectedInstOperands,
     /*  449043 */     // GIR_Coverage, 6632,
     /*  449043 */     GIR_EraseRootFromParent_Done,
     /*  449044 */   // Label 7727: @449044
     /*  449044 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(449130), // Rule ID 6635 //
     /*  449049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449096 */     // MIs[1] Operand 1
     /*  449096 */     // No operand predicates
     /*  449096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449128 */     GIR_RootConstrainSelectedInstOperands,
     /*  449129 */     // GIR_Coverage, 6635,
     /*  449129 */     GIR_EraseRootFromParent_Done,
     /*  449130 */   // Label 7728: @449130
     /*  449130 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(449216), // Rule ID 6636 //
     /*  449135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449182 */     // MIs[1] Operand 1
     /*  449182 */     // No operand predicates
     /*  449182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449214 */     GIR_RootConstrainSelectedInstOperands,
     /*  449215 */     // GIR_Coverage, 6636,
     /*  449215 */     GIR_EraseRootFromParent_Done,
     /*  449216 */   // Label 7729: @449216
     /*  449216 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(449302), // Rule ID 6639 //
     /*  449221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449268 */     // MIs[1] Operand 1
     /*  449268 */     // No operand predicates
     /*  449268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449300 */     GIR_RootConstrainSelectedInstOperands,
     /*  449301 */     // GIR_Coverage, 6639,
     /*  449301 */     GIR_EraseRootFromParent_Done,
     /*  449302 */   // Label 7730: @449302
     /*  449302 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(449388), // Rule ID 6640 //
     /*  449307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449354 */     // MIs[1] Operand 1
     /*  449354 */     // No operand predicates
     /*  449354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449386 */     GIR_RootConstrainSelectedInstOperands,
     /*  449387 */     // GIR_Coverage, 6640,
     /*  449387 */     GIR_EraseRootFromParent_Done,
     /*  449388 */   // Label 7731: @449388
     /*  449388 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(449474), // Rule ID 6643 //
     /*  449393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449440 */     // MIs[1] Operand 1
     /*  449440 */     // No operand predicates
     /*  449440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449472 */     GIR_RootConstrainSelectedInstOperands,
     /*  449473 */     // GIR_Coverage, 6643,
     /*  449473 */     GIR_EraseRootFromParent_Done,
     /*  449474 */   // Label 7732: @449474
     /*  449474 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(449560), // Rule ID 6644 //
     /*  449479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449526 */     // MIs[1] Operand 1
     /*  449526 */     // No operand predicates
     /*  449526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449535 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449558 */     GIR_RootConstrainSelectedInstOperands,
     /*  449559 */     // GIR_Coverage, 6644,
     /*  449559 */     GIR_EraseRootFromParent_Done,
     /*  449560 */   // Label 7733: @449560
     /*  449560 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(449646), // Rule ID 6647 //
     /*  449565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  449576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  449579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  449582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449612 */     // MIs[1] Operand 1
     /*  449612 */     // No operand predicates
     /*  449612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449644 */     GIR_RootConstrainSelectedInstOperands,
     /*  449645 */     // GIR_Coverage, 6647,
     /*  449645 */     GIR_EraseRootFromParent_Done,
     /*  449646 */   // Label 7734: @449646
     /*  449646 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(449732), // Rule ID 6648 //
     /*  449651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  449662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  449665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  449668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449698 */     // MIs[1] Operand 1
     /*  449698 */     // No operand predicates
     /*  449698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449730 */     GIR_RootConstrainSelectedInstOperands,
     /*  449731 */     // GIR_Coverage, 6648,
     /*  449731 */     GIR_EraseRootFromParent_Done,
     /*  449732 */   // Label 7735: @449732
     /*  449732 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(449818), // Rule ID 6651 //
     /*  449737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  449748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  449751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  449754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449784 */     // MIs[1] Operand 1
     /*  449784 */     // No operand predicates
     /*  449784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449816 */     GIR_RootConstrainSelectedInstOperands,
     /*  449817 */     // GIR_Coverage, 6651,
     /*  449817 */     GIR_EraseRootFromParent_Done,
     /*  449818 */   // Label 7736: @449818
     /*  449818 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(449904), // Rule ID 6652 //
     /*  449823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  449834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  449837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  449840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449870 */     // MIs[1] Operand 1
     /*  449870 */     // No operand predicates
     /*  449870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449879 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449902 */     GIR_RootConstrainSelectedInstOperands,
     /*  449903 */     // GIR_Coverage, 6652,
     /*  449903 */     GIR_EraseRootFromParent_Done,
     /*  449904 */   // Label 7737: @449904
     /*  449904 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(449990), // Rule ID 6655 //
     /*  449909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  449920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  449923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  449926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449956 */     // MIs[1] Operand 1
     /*  449956 */     // No operand predicates
     /*  449956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449965 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  449968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449988 */     GIR_RootConstrainSelectedInstOperands,
     /*  449989 */     // GIR_Coverage, 6655,
     /*  449989 */     GIR_EraseRootFromParent_Done,
     /*  449990 */   // Label 7738: @449990
     /*  449990 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(450076), // Rule ID 6656 //
     /*  449995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450042 */     // MIs[1] Operand 1
     /*  450042 */     // No operand predicates
     /*  450042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450051 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450074 */     GIR_RootConstrainSelectedInstOperands,
     /*  450075 */     // GIR_Coverage, 6656,
     /*  450075 */     GIR_EraseRootFromParent_Done,
     /*  450076 */   // Label 7739: @450076
     /*  450076 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(450162), // Rule ID 6659 //
     /*  450081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450128 */     // MIs[1] Operand 1
     /*  450128 */     // No operand predicates
     /*  450128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450137 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450160 */     GIR_RootConstrainSelectedInstOperands,
     /*  450161 */     // GIR_Coverage, 6659,
     /*  450161 */     GIR_EraseRootFromParent_Done,
     /*  450162 */   // Label 7740: @450162
     /*  450162 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(450248), // Rule ID 6660 //
     /*  450167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450214 */     // MIs[1] Operand 1
     /*  450214 */     // No operand predicates
     /*  450214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450223 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450246 */     GIR_RootConstrainSelectedInstOperands,
     /*  450247 */     // GIR_Coverage, 6660,
     /*  450247 */     GIR_EraseRootFromParent_Done,
     /*  450248 */   // Label 7741: @450248
     /*  450248 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(450334), // Rule ID 6663 //
     /*  450253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450300 */     // MIs[1] Operand 1
     /*  450300 */     // No operand predicates
     /*  450300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450332 */     GIR_RootConstrainSelectedInstOperands,
     /*  450333 */     // GIR_Coverage, 6663,
     /*  450333 */     GIR_EraseRootFromParent_Done,
     /*  450334 */   // Label 7742: @450334
     /*  450334 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(450420), // Rule ID 6664 //
     /*  450339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450386 */     // MIs[1] Operand 1
     /*  450386 */     // No operand predicates
     /*  450386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450395 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450418 */     GIR_RootConstrainSelectedInstOperands,
     /*  450419 */     // GIR_Coverage, 6664,
     /*  450419 */     GIR_EraseRootFromParent_Done,
     /*  450420 */   // Label 7743: @450420
     /*  450420 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(450506), // Rule ID 6667 //
     /*  450425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450472 */     // MIs[1] Operand 1
     /*  450472 */     // No operand predicates
     /*  450472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450504 */     GIR_RootConstrainSelectedInstOperands,
     /*  450505 */     // GIR_Coverage, 6667,
     /*  450505 */     GIR_EraseRootFromParent_Done,
     /*  450506 */   // Label 7744: @450506
     /*  450506 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(450592), // Rule ID 6668 //
     /*  450511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450558 */     // MIs[1] Operand 1
     /*  450558 */     // No operand predicates
     /*  450558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450590 */     GIR_RootConstrainSelectedInstOperands,
     /*  450591 */     // GIR_Coverage, 6668,
     /*  450591 */     GIR_EraseRootFromParent_Done,
     /*  450592 */   // Label 7745: @450592
     /*  450592 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(450678), // Rule ID 6671 //
     /*  450597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  450614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450644 */     // MIs[1] Operand 1
     /*  450644 */     // No operand predicates
     /*  450644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450653 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450676 */     GIR_RootConstrainSelectedInstOperands,
     /*  450677 */     // GIR_Coverage, 6671,
     /*  450677 */     GIR_EraseRootFromParent_Done,
     /*  450678 */   // Label 7746: @450678
     /*  450678 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(450764), // Rule ID 6672 //
     /*  450683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  450700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450730 */     // MIs[1] Operand 1
     /*  450730 */     // No operand predicates
     /*  450730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450762 */     GIR_RootConstrainSelectedInstOperands,
     /*  450763 */     // GIR_Coverage, 6672,
     /*  450763 */     GIR_EraseRootFromParent_Done,
     /*  450764 */   // Label 7747: @450764
     /*  450764 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(450850), // Rule ID 6675 //
     /*  450769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  450786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450816 */     // MIs[1] Operand 1
     /*  450816 */     // No operand predicates
     /*  450816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450825 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450848 */     GIR_RootConstrainSelectedInstOperands,
     /*  450849 */     // GIR_Coverage, 6675,
     /*  450849 */     GIR_EraseRootFromParent_Done,
     /*  450850 */   // Label 7748: @450850
     /*  450850 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(450936), // Rule ID 6676 //
     /*  450855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  450872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450902 */     // MIs[1] Operand 1
     /*  450902 */     // No operand predicates
     /*  450902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450911 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450934 */     GIR_RootConstrainSelectedInstOperands,
     /*  450935 */     // GIR_Coverage, 6676,
     /*  450935 */     GIR_EraseRootFromParent_Done,
     /*  450936 */   // Label 7749: @450936
     /*  450936 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(451022), // Rule ID 6679 //
     /*  450941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  450952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  450955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  450958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450988 */     // MIs[1] Operand 1
     /*  450988 */     // No operand predicates
     /*  450988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451020 */     GIR_RootConstrainSelectedInstOperands,
     /*  451021 */     // GIR_Coverage, 6679,
     /*  451021 */     GIR_EraseRootFromParent_Done,
     /*  451022 */   // Label 7750: @451022
     /*  451022 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(451108), // Rule ID 6680 //
     /*  451027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451074 */     // MIs[1] Operand 1
     /*  451074 */     // No operand predicates
     /*  451074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451106 */     GIR_RootConstrainSelectedInstOperands,
     /*  451107 */     // GIR_Coverage, 6680,
     /*  451107 */     GIR_EraseRootFromParent_Done,
     /*  451108 */   // Label 7751: @451108
     /*  451108 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(451194), // Rule ID 6683 //
     /*  451113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451160 */     // MIs[1] Operand 1
     /*  451160 */     // No operand predicates
     /*  451160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451192 */     GIR_RootConstrainSelectedInstOperands,
     /*  451193 */     // GIR_Coverage, 6683,
     /*  451193 */     GIR_EraseRootFromParent_Done,
     /*  451194 */   // Label 7752: @451194
     /*  451194 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(451280), // Rule ID 6684 //
     /*  451199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451246 */     // MIs[1] Operand 1
     /*  451246 */     // No operand predicates
     /*  451246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451255 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451278 */     GIR_RootConstrainSelectedInstOperands,
     /*  451279 */     // GIR_Coverage, 6684,
     /*  451279 */     GIR_EraseRootFromParent_Done,
     /*  451280 */   // Label 7753: @451280
     /*  451280 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(451366), // Rule ID 6687 //
     /*  451285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451332 */     // MIs[1] Operand 1
     /*  451332 */     // No operand predicates
     /*  451332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451341 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451364 */     GIR_RootConstrainSelectedInstOperands,
     /*  451365 */     // GIR_Coverage, 6687,
     /*  451365 */     GIR_EraseRootFromParent_Done,
     /*  451366 */   // Label 7754: @451366
     /*  451366 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(451452), // Rule ID 6688 //
     /*  451371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451418 */     // MIs[1] Operand 1
     /*  451418 */     // No operand predicates
     /*  451418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451427 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451450 */     GIR_RootConstrainSelectedInstOperands,
     /*  451451 */     // GIR_Coverage, 6688,
     /*  451451 */     GIR_EraseRootFromParent_Done,
     /*  451452 */   // Label 7755: @451452
     /*  451452 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(451538), // Rule ID 6691 //
     /*  451457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451504 */     // MIs[1] Operand 1
     /*  451504 */     // No operand predicates
     /*  451504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451513 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451536 */     GIR_RootConstrainSelectedInstOperands,
     /*  451537 */     // GIR_Coverage, 6691,
     /*  451537 */     GIR_EraseRootFromParent_Done,
     /*  451538 */   // Label 7756: @451538
     /*  451538 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(451624), // Rule ID 6692 //
     /*  451543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451590 */     // MIs[1] Operand 1
     /*  451590 */     // No operand predicates
     /*  451590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451599 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451622 */     GIR_RootConstrainSelectedInstOperands,
     /*  451623 */     // GIR_Coverage, 6692,
     /*  451623 */     GIR_EraseRootFromParent_Done,
     /*  451624 */   // Label 7757: @451624
     /*  451624 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(451710), // Rule ID 6695 //
     /*  451629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  451646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451676 */     // MIs[1] Operand 1
     /*  451676 */     // No operand predicates
     /*  451676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451685 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451708 */     GIR_RootConstrainSelectedInstOperands,
     /*  451709 */     // GIR_Coverage, 6695,
     /*  451709 */     GIR_EraseRootFromParent_Done,
     /*  451710 */   // Label 7758: @451710
     /*  451710 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(451796), // Rule ID 6696 //
     /*  451715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  451732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451762 */     // MIs[1] Operand 1
     /*  451762 */     // No operand predicates
     /*  451762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451794 */     GIR_RootConstrainSelectedInstOperands,
     /*  451795 */     // GIR_Coverage, 6696,
     /*  451795 */     GIR_EraseRootFromParent_Done,
     /*  451796 */   // Label 7759: @451796
     /*  451796 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(451882), // Rule ID 6699 //
     /*  451801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  451818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451848 */     // MIs[1] Operand 1
     /*  451848 */     // No operand predicates
     /*  451848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451857 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451880 */     GIR_RootConstrainSelectedInstOperands,
     /*  451881 */     // GIR_Coverage, 6699,
     /*  451881 */     GIR_EraseRootFromParent_Done,
     /*  451882 */   // Label 7760: @451882
     /*  451882 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(451968), // Rule ID 6700 //
     /*  451887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  451904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451934 */     // MIs[1] Operand 1
     /*  451934 */     // No operand predicates
     /*  451934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451943 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451966 */     GIR_RootConstrainSelectedInstOperands,
     /*  451967 */     // GIR_Coverage, 6700,
     /*  451967 */     GIR_EraseRootFromParent_Done,
     /*  451968 */   // Label 7761: @451968
     /*  451968 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(452054), // Rule ID 6879 //
     /*  451973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  451984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  451987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  451990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452020 */     // MIs[1] Operand 1
     /*  452020 */     // No operand predicates
     /*  452020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452029 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  452032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452052 */     GIR_RootConstrainSelectedInstOperands,
     /*  452053 */     // GIR_Coverage, 6879,
     /*  452053 */     GIR_EraseRootFromParent_Done,
     /*  452054 */   // Label 7762: @452054
     /*  452054 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(452140), // Rule ID 6880 //
     /*  452059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452106 */     // MIs[1] Operand 1
     /*  452106 */     // No operand predicates
     /*  452106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452115 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  452118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452138 */     GIR_RootConstrainSelectedInstOperands,
     /*  452139 */     // GIR_Coverage, 6880,
     /*  452139 */     GIR_EraseRootFromParent_Done,
     /*  452140 */   // Label 7763: @452140
     /*  452140 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(452226), // Rule ID 6883 //
     /*  452145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452192 */     // MIs[1] Operand 1
     /*  452192 */     // No operand predicates
     /*  452192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452224 */     GIR_RootConstrainSelectedInstOperands,
     /*  452225 */     // GIR_Coverage, 6883,
     /*  452225 */     GIR_EraseRootFromParent_Done,
     /*  452226 */   // Label 7764: @452226
     /*  452226 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(452312), // Rule ID 6884 //
     /*  452231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452278 */     // MIs[1] Operand 1
     /*  452278 */     // No operand predicates
     /*  452278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452287 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452310 */     GIR_RootConstrainSelectedInstOperands,
     /*  452311 */     // GIR_Coverage, 6884,
     /*  452311 */     GIR_EraseRootFromParent_Done,
     /*  452312 */   // Label 7765: @452312
     /*  452312 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(452398), // Rule ID 6887 //
     /*  452317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452364 */     // MIs[1] Operand 1
     /*  452364 */     // No operand predicates
     /*  452364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452373 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452396 */     GIR_RootConstrainSelectedInstOperands,
     /*  452397 */     // GIR_Coverage, 6887,
     /*  452397 */     GIR_EraseRootFromParent_Done,
     /*  452398 */   // Label 7766: @452398
     /*  452398 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(452484), // Rule ID 6888 //
     /*  452403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452450 */     // MIs[1] Operand 1
     /*  452450 */     // No operand predicates
     /*  452450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452459 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452482 */     GIR_RootConstrainSelectedInstOperands,
     /*  452483 */     // GIR_Coverage, 6888,
     /*  452483 */     GIR_EraseRootFromParent_Done,
     /*  452484 */   // Label 7767: @452484
     /*  452484 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(452570), // Rule ID 6891 //
     /*  452489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452536 */     // MIs[1] Operand 1
     /*  452536 */     // No operand predicates
     /*  452536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452545 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452568 */     GIR_RootConstrainSelectedInstOperands,
     /*  452569 */     // GIR_Coverage, 6891,
     /*  452569 */     GIR_EraseRootFromParent_Done,
     /*  452570 */   // Label 7768: @452570
     /*  452570 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(452656), // Rule ID 6892 //
     /*  452575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452622 */     // MIs[1] Operand 1
     /*  452622 */     // No operand predicates
     /*  452622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452631 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452654 */     GIR_RootConstrainSelectedInstOperands,
     /*  452655 */     // GIR_Coverage, 6892,
     /*  452655 */     GIR_EraseRootFromParent_Done,
     /*  452656 */   // Label 7769: @452656
     /*  452656 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(452742), // Rule ID 6895 //
     /*  452661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  452672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  452675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  452678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452708 */     // MIs[1] Operand 1
     /*  452708 */     // No operand predicates
     /*  452708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452740 */     GIR_RootConstrainSelectedInstOperands,
     /*  452741 */     // GIR_Coverage, 6895,
     /*  452741 */     GIR_EraseRootFromParent_Done,
     /*  452742 */   // Label 7770: @452742
     /*  452742 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(452828), // Rule ID 6896 //
     /*  452747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  452758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  452761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  452764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452794 */     // MIs[1] Operand 1
     /*  452794 */     // No operand predicates
     /*  452794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452826 */     GIR_RootConstrainSelectedInstOperands,
     /*  452827 */     // GIR_Coverage, 6896,
     /*  452827 */     GIR_EraseRootFromParent_Done,
     /*  452828 */   // Label 7771: @452828
     /*  452828 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(452914), // Rule ID 6899 //
     /*  452833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  452844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  452847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  452850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452880 */     // MIs[1] Operand 1
     /*  452880 */     // No operand predicates
     /*  452880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452912 */     GIR_RootConstrainSelectedInstOperands,
     /*  452913 */     // GIR_Coverage, 6899,
     /*  452913 */     GIR_EraseRootFromParent_Done,
     /*  452914 */   // Label 7772: @452914
     /*  452914 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(453000), // Rule ID 6900 //
     /*  452919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  452930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  452933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  452936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452966 */     // MIs[1] Operand 1
     /*  452966 */     // No operand predicates
     /*  452966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452998 */     GIR_RootConstrainSelectedInstOperands,
     /*  452999 */     // GIR_Coverage, 6900,
     /*  452999 */     GIR_EraseRootFromParent_Done,
     /*  453000 */   // Label 7773: @453000
     /*  453000 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(453086), // Rule ID 6903 //
     /*  453005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453052 */     // MIs[1] Operand 1
     /*  453052 */     // No operand predicates
     /*  453052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453061 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453084 */     GIR_RootConstrainSelectedInstOperands,
     /*  453085 */     // GIR_Coverage, 6903,
     /*  453085 */     GIR_EraseRootFromParent_Done,
     /*  453086 */   // Label 7774: @453086
     /*  453086 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(453172), // Rule ID 6904 //
     /*  453091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453138 */     // MIs[1] Operand 1
     /*  453138 */     // No operand predicates
     /*  453138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453170 */     GIR_RootConstrainSelectedInstOperands,
     /*  453171 */     // GIR_Coverage, 6904,
     /*  453171 */     GIR_EraseRootFromParent_Done,
     /*  453172 */   // Label 7775: @453172
     /*  453172 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(453258), // Rule ID 6907 //
     /*  453177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453224 */     // MIs[1] Operand 1
     /*  453224 */     // No operand predicates
     /*  453224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453256 */     GIR_RootConstrainSelectedInstOperands,
     /*  453257 */     // GIR_Coverage, 6907,
     /*  453257 */     GIR_EraseRootFromParent_Done,
     /*  453258 */   // Label 7776: @453258
     /*  453258 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(453344), // Rule ID 6908 //
     /*  453263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453310 */     // MIs[1] Operand 1
     /*  453310 */     // No operand predicates
     /*  453310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453319 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453342 */     GIR_RootConstrainSelectedInstOperands,
     /*  453343 */     // GIR_Coverage, 6908,
     /*  453343 */     GIR_EraseRootFromParent_Done,
     /*  453344 */   // Label 7777: @453344
     /*  453344 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(453430), // Rule ID 6911 //
     /*  453349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453396 */     // MIs[1] Operand 1
     /*  453396 */     // No operand predicates
     /*  453396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453428 */     GIR_RootConstrainSelectedInstOperands,
     /*  453429 */     // GIR_Coverage, 6911,
     /*  453429 */     GIR_EraseRootFromParent_Done,
     /*  453430 */   // Label 7778: @453430
     /*  453430 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(453516), // Rule ID 6912 //
     /*  453435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453482 */     // MIs[1] Operand 1
     /*  453482 */     // No operand predicates
     /*  453482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453514 */     GIR_RootConstrainSelectedInstOperands,
     /*  453515 */     // GIR_Coverage, 6912,
     /*  453515 */     GIR_EraseRootFromParent_Done,
     /*  453516 */   // Label 7779: @453516
     /*  453516 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(453602), // Rule ID 6915 //
     /*  453521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  453538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453568 */     // MIs[1] Operand 1
     /*  453568 */     // No operand predicates
     /*  453568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453600 */     GIR_RootConstrainSelectedInstOperands,
     /*  453601 */     // GIR_Coverage, 6915,
     /*  453601 */     GIR_EraseRootFromParent_Done,
     /*  453602 */   // Label 7780: @453602
     /*  453602 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(453688), // Rule ID 6916 //
     /*  453607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  453624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453654 */     // MIs[1] Operand 1
     /*  453654 */     // No operand predicates
     /*  453654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453663 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453686 */     GIR_RootConstrainSelectedInstOperands,
     /*  453687 */     // GIR_Coverage, 6916,
     /*  453687 */     GIR_EraseRootFromParent_Done,
     /*  453688 */   // Label 7781: @453688
     /*  453688 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(453774), // Rule ID 6919 //
     /*  453693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  453704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  453707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  453710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453740 */     // MIs[1] Operand 1
     /*  453740 */     // No operand predicates
     /*  453740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453772 */     GIR_RootConstrainSelectedInstOperands,
     /*  453773 */     // GIR_Coverage, 6919,
     /*  453773 */     GIR_EraseRootFromParent_Done,
     /*  453774 */   // Label 7782: @453774
     /*  453774 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(453860), // Rule ID 6920 //
     /*  453779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  453790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  453793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  453796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453826 */     // MIs[1] Operand 1
     /*  453826 */     // No operand predicates
     /*  453826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453835 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453858 */     GIR_RootConstrainSelectedInstOperands,
     /*  453859 */     // GIR_Coverage, 6920,
     /*  453859 */     GIR_EraseRootFromParent_Done,
     /*  453860 */   // Label 7783: @453860
     /*  453860 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(453946), // Rule ID 6923 //
     /*  453865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  453876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  453879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  453882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453912 */     // MIs[1] Operand 1
     /*  453912 */     // No operand predicates
     /*  453912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  453924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453944 */     GIR_RootConstrainSelectedInstOperands,
     /*  453945 */     // GIR_Coverage, 6923,
     /*  453945 */     GIR_EraseRootFromParent_Done,
     /*  453946 */   // Label 7784: @453946
     /*  453946 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(454032), // Rule ID 6924 //
     /*  453951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  453962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  453965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  453968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453998 */     // MIs[1] Operand 1
     /*  453998 */     // No operand predicates
     /*  453998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454007 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454030 */     GIR_RootConstrainSelectedInstOperands,
     /*  454031 */     // GIR_Coverage, 6924,
     /*  454031 */     GIR_EraseRootFromParent_Done,
     /*  454032 */   // Label 7785: @454032
     /*  454032 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(454118), // Rule ID 6927 //
     /*  454037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454084 */     // MIs[1] Operand 1
     /*  454084 */     // No operand predicates
     /*  454084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454116 */     GIR_RootConstrainSelectedInstOperands,
     /*  454117 */     // GIR_Coverage, 6927,
     /*  454117 */     GIR_EraseRootFromParent_Done,
     /*  454118 */   // Label 7786: @454118
     /*  454118 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(454204), // Rule ID 6928 //
     /*  454123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454170 */     // MIs[1] Operand 1
     /*  454170 */     // No operand predicates
     /*  454170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454179 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454202 */     GIR_RootConstrainSelectedInstOperands,
     /*  454203 */     // GIR_Coverage, 6928,
     /*  454203 */     GIR_EraseRootFromParent_Done,
     /*  454204 */   // Label 7787: @454204
     /*  454204 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(454290), // Rule ID 6931 //
     /*  454209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454256 */     // MIs[1] Operand 1
     /*  454256 */     // No operand predicates
     /*  454256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454288 */     GIR_RootConstrainSelectedInstOperands,
     /*  454289 */     // GIR_Coverage, 6931,
     /*  454289 */     GIR_EraseRootFromParent_Done,
     /*  454290 */   // Label 7788: @454290
     /*  454290 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(454376), // Rule ID 6932 //
     /*  454295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454342 */     // MIs[1] Operand 1
     /*  454342 */     // No operand predicates
     /*  454342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454374 */     GIR_RootConstrainSelectedInstOperands,
     /*  454375 */     // GIR_Coverage, 6932,
     /*  454375 */     GIR_EraseRootFromParent_Done,
     /*  454376 */   // Label 7789: @454376
     /*  454376 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(454462), // Rule ID 6935 //
     /*  454381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454428 */     // MIs[1] Operand 1
     /*  454428 */     // No operand predicates
     /*  454428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454437 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454460 */     GIR_RootConstrainSelectedInstOperands,
     /*  454461 */     // GIR_Coverage, 6935,
     /*  454461 */     GIR_EraseRootFromParent_Done,
     /*  454462 */   // Label 7790: @454462
     /*  454462 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(454548), // Rule ID 6936 //
     /*  454467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454514 */     // MIs[1] Operand 1
     /*  454514 */     // No operand predicates
     /*  454514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454546 */     GIR_RootConstrainSelectedInstOperands,
     /*  454547 */     // GIR_Coverage, 6936,
     /*  454547 */     GIR_EraseRootFromParent_Done,
     /*  454548 */   // Label 7791: @454548
     /*  454548 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(454634), // Rule ID 6939 //
     /*  454553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454600 */     // MIs[1] Operand 1
     /*  454600 */     // No operand predicates
     /*  454600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454632 */     GIR_RootConstrainSelectedInstOperands,
     /*  454633 */     // GIR_Coverage, 6939,
     /*  454633 */     GIR_EraseRootFromParent_Done,
     /*  454634 */   // Label 7792: @454634
     /*  454634 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(454720), // Rule ID 6940 //
     /*  454639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454686 */     // MIs[1] Operand 1
     /*  454686 */     // No operand predicates
     /*  454686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454695 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454718 */     GIR_RootConstrainSelectedInstOperands,
     /*  454719 */     // GIR_Coverage, 6940,
     /*  454719 */     GIR_EraseRootFromParent_Done,
     /*  454720 */   // Label 7793: @454720
     /*  454720 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(454806), // Rule ID 6943 //
     /*  454725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  454736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  454739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  454742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454772 */     // MIs[1] Operand 1
     /*  454772 */     // No operand predicates
     /*  454772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454804 */     GIR_RootConstrainSelectedInstOperands,
     /*  454805 */     // GIR_Coverage, 6943,
     /*  454805 */     GIR_EraseRootFromParent_Done,
     /*  454806 */   // Label 7794: @454806
     /*  454806 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(454892), // Rule ID 6944 //
     /*  454811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  454822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  454825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  454828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454858 */     // MIs[1] Operand 1
     /*  454858 */     // No operand predicates
     /*  454858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454890 */     GIR_RootConstrainSelectedInstOperands,
     /*  454891 */     // GIR_Coverage, 6944,
     /*  454891 */     GIR_EraseRootFromParent_Done,
     /*  454892 */   // Label 7795: @454892
     /*  454892 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(454978), // Rule ID 6947 //
     /*  454897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  454908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  454911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  454914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454944 */     // MIs[1] Operand 1
     /*  454944 */     // No operand predicates
     /*  454944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454976 */     GIR_RootConstrainSelectedInstOperands,
     /*  454977 */     // GIR_Coverage, 6947,
     /*  454977 */     GIR_EraseRootFromParent_Done,
     /*  454978 */   // Label 7796: @454978
     /*  454978 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(455064), // Rule ID 6948 //
     /*  454983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  454994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  454997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455030 */     // MIs[1] Operand 1
     /*  455030 */     // No operand predicates
     /*  455030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455062 */     GIR_RootConstrainSelectedInstOperands,
     /*  455063 */     // GIR_Coverage, 6948,
     /*  455063 */     GIR_EraseRootFromParent_Done,
     /*  455064 */   // Label 7797: @455064
     /*  455064 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(455150), // Rule ID 6951 //
     /*  455069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455116 */     // MIs[1] Operand 1
     /*  455116 */     // No operand predicates
     /*  455116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455125 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455148 */     GIR_RootConstrainSelectedInstOperands,
     /*  455149 */     // GIR_Coverage, 6951,
     /*  455149 */     GIR_EraseRootFromParent_Done,
     /*  455150 */   // Label 7798: @455150
     /*  455150 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(455236), // Rule ID 6952 //
     /*  455155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455202 */     // MIs[1] Operand 1
     /*  455202 */     // No operand predicates
     /*  455202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455234 */     GIR_RootConstrainSelectedInstOperands,
     /*  455235 */     // GIR_Coverage, 6952,
     /*  455235 */     GIR_EraseRootFromParent_Done,
     /*  455236 */   // Label 7799: @455236
     /*  455236 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(455322), // Rule ID 6955 //
     /*  455241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455288 */     // MIs[1] Operand 1
     /*  455288 */     // No operand predicates
     /*  455288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455320 */     GIR_RootConstrainSelectedInstOperands,
     /*  455321 */     // GIR_Coverage, 6955,
     /*  455321 */     GIR_EraseRootFromParent_Done,
     /*  455322 */   // Label 7800: @455322
     /*  455322 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(455408), // Rule ID 6956 //
     /*  455327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455374 */     // MIs[1] Operand 1
     /*  455374 */     // No operand predicates
     /*  455374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455406 */     GIR_RootConstrainSelectedInstOperands,
     /*  455407 */     // GIR_Coverage, 6956,
     /*  455407 */     GIR_EraseRootFromParent_Done,
     /*  455408 */   // Label 7801: @455408
     /*  455408 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(455494), // Rule ID 6959 //
     /*  455413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455460 */     // MIs[1] Operand 1
     /*  455460 */     // No operand predicates
     /*  455460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455469 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455492 */     GIR_RootConstrainSelectedInstOperands,
     /*  455493 */     // GIR_Coverage, 6959,
     /*  455493 */     GIR_EraseRootFromParent_Done,
     /*  455494 */   // Label 7802: @455494
     /*  455494 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(455580), // Rule ID 6960 //
     /*  455499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455546 */     // MIs[1] Operand 1
     /*  455546 */     // No operand predicates
     /*  455546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455555 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455578 */     GIR_RootConstrainSelectedInstOperands,
     /*  455579 */     // GIR_Coverage, 6960,
     /*  455579 */     GIR_EraseRootFromParent_Done,
     /*  455580 */   // Label 7803: @455580
     /*  455580 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(455666), // Rule ID 6963 //
     /*  455585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455632 */     // MIs[1] Operand 1
     /*  455632 */     // No operand predicates
     /*  455632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455641 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455664 */     GIR_RootConstrainSelectedInstOperands,
     /*  455665 */     // GIR_Coverage, 6963,
     /*  455665 */     GIR_EraseRootFromParent_Done,
     /*  455666 */   // Label 7804: @455666
     /*  455666 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(455752), // Rule ID 6964 //
     /*  455671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455718 */     // MIs[1] Operand 1
     /*  455718 */     // No operand predicates
     /*  455718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455750 */     GIR_RootConstrainSelectedInstOperands,
     /*  455751 */     // GIR_Coverage, 6964,
     /*  455751 */     GIR_EraseRootFromParent_Done,
     /*  455752 */   // Label 7805: @455752
     /*  455752 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(455838), // Rule ID 7143 //
     /*  455757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  455768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  455771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  455774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455804 */     // MIs[1] Operand 1
     /*  455804 */     // No operand predicates
     /*  455804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455813 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  455816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455836 */     GIR_RootConstrainSelectedInstOperands,
     /*  455837 */     // GIR_Coverage, 7143,
     /*  455837 */     GIR_EraseRootFromParent_Done,
     /*  455838 */   // Label 7806: @455838
     /*  455838 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(455924), // Rule ID 7144 //
     /*  455843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  455854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  455857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  455860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455890 */     // MIs[1] Operand 1
     /*  455890 */     // No operand predicates
     /*  455890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  455902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455922 */     GIR_RootConstrainSelectedInstOperands,
     /*  455923 */     // GIR_Coverage, 7144,
     /*  455923 */     GIR_EraseRootFromParent_Done,
     /*  455924 */   // Label 7807: @455924
     /*  455924 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(456010), // Rule ID 7147 //
     /*  455929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  455940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  455943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  455946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455976 */     // MIs[1] Operand 1
     /*  455976 */     // No operand predicates
     /*  455976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455985 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  455988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456008 */     GIR_RootConstrainSelectedInstOperands,
     /*  456009 */     // GIR_Coverage, 7147,
     /*  456009 */     GIR_EraseRootFromParent_Done,
     /*  456010 */   // Label 7808: @456010
     /*  456010 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(456096), // Rule ID 7148 //
     /*  456015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456062 */     // MIs[1] Operand 1
     /*  456062 */     // No operand predicates
     /*  456062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456071 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456094 */     GIR_RootConstrainSelectedInstOperands,
     /*  456095 */     // GIR_Coverage, 7148,
     /*  456095 */     GIR_EraseRootFromParent_Done,
     /*  456096 */   // Label 7809: @456096
     /*  456096 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(456182), // Rule ID 7151 //
     /*  456101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456148 */     // MIs[1] Operand 1
     /*  456148 */     // No operand predicates
     /*  456148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456157 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456180 */     GIR_RootConstrainSelectedInstOperands,
     /*  456181 */     // GIR_Coverage, 7151,
     /*  456181 */     GIR_EraseRootFromParent_Done,
     /*  456182 */   // Label 7810: @456182
     /*  456182 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(456268), // Rule ID 7152 //
     /*  456187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456234 */     // MIs[1] Operand 1
     /*  456234 */     // No operand predicates
     /*  456234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456266 */     GIR_RootConstrainSelectedInstOperands,
     /*  456267 */     // GIR_Coverage, 7152,
     /*  456267 */     GIR_EraseRootFromParent_Done,
     /*  456268 */   // Label 7811: @456268
     /*  456268 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(456354), // Rule ID 7155 //
     /*  456273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456320 */     // MIs[1] Operand 1
     /*  456320 */     // No operand predicates
     /*  456320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456329 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456352 */     GIR_RootConstrainSelectedInstOperands,
     /*  456353 */     // GIR_Coverage, 7155,
     /*  456353 */     GIR_EraseRootFromParent_Done,
     /*  456354 */   // Label 7812: @456354
     /*  456354 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(456440), // Rule ID 7156 //
     /*  456359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456406 */     // MIs[1] Operand 1
     /*  456406 */     // No operand predicates
     /*  456406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456438 */     GIR_RootConstrainSelectedInstOperands,
     /*  456439 */     // GIR_Coverage, 7156,
     /*  456439 */     GIR_EraseRootFromParent_Done,
     /*  456440 */   // Label 7813: @456440
     /*  456440 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(456526), // Rule ID 7159 //
     /*  456445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456492 */     // MIs[1] Operand 1
     /*  456492 */     // No operand predicates
     /*  456492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456501 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456524 */     GIR_RootConstrainSelectedInstOperands,
     /*  456525 */     // GIR_Coverage, 7159,
     /*  456525 */     GIR_EraseRootFromParent_Done,
     /*  456526 */   // Label 7814: @456526
     /*  456526 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(456612), // Rule ID 7160 //
     /*  456531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456578 */     // MIs[1] Operand 1
     /*  456578 */     // No operand predicates
     /*  456578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456610 */     GIR_RootConstrainSelectedInstOperands,
     /*  456611 */     // GIR_Coverage, 7160,
     /*  456611 */     GIR_EraseRootFromParent_Done,
     /*  456612 */   // Label 7815: @456612
     /*  456612 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(456698), // Rule ID 7163 //
     /*  456617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  456628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  456631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  456634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456664 */     // MIs[1] Operand 1
     /*  456664 */     // No operand predicates
     /*  456664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456696 */     GIR_RootConstrainSelectedInstOperands,
     /*  456697 */     // GIR_Coverage, 7163,
     /*  456697 */     GIR_EraseRootFromParent_Done,
     /*  456698 */   // Label 7816: @456698
     /*  456698 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(456784), // Rule ID 7164 //
     /*  456703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  456714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  456717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  456720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456750 */     // MIs[1] Operand 1
     /*  456750 */     // No operand predicates
     /*  456750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456759 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456782 */     GIR_RootConstrainSelectedInstOperands,
     /*  456783 */     // GIR_Coverage, 7164,
     /*  456783 */     GIR_EraseRootFromParent_Done,
     /*  456784 */   // Label 7817: @456784
     /*  456784 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(456870), // Rule ID 7167 //
     /*  456789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  456806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456836 */     // MIs[1] Operand 1
     /*  456836 */     // No operand predicates
     /*  456836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456845 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456868 */     GIR_RootConstrainSelectedInstOperands,
     /*  456869 */     // GIR_Coverage, 7167,
     /*  456869 */     GIR_EraseRootFromParent_Done,
     /*  456870 */   // Label 7818: @456870
     /*  456870 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(456956), // Rule ID 7168 //
     /*  456875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  456892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456922 */     // MIs[1] Operand 1
     /*  456922 */     // No operand predicates
     /*  456922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456931 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456954 */     GIR_RootConstrainSelectedInstOperands,
     /*  456955 */     // GIR_Coverage, 7168,
     /*  456955 */     GIR_EraseRootFromParent_Done,
     /*  456956 */   // Label 7819: @456956
     /*  456956 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(457042), // Rule ID 7171 //
     /*  456961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  456972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  456975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  456978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457008 */     // MIs[1] Operand 1
     /*  457008 */     // No operand predicates
     /*  457008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457017 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457040 */     GIR_RootConstrainSelectedInstOperands,
     /*  457041 */     // GIR_Coverage, 7171,
     /*  457041 */     GIR_EraseRootFromParent_Done,
     /*  457042 */   // Label 7820: @457042
     /*  457042 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(457128), // Rule ID 7172 //
     /*  457047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457094 */     // MIs[1] Operand 1
     /*  457094 */     // No operand predicates
     /*  457094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457126 */     GIR_RootConstrainSelectedInstOperands,
     /*  457127 */     // GIR_Coverage, 7172,
     /*  457127 */     GIR_EraseRootFromParent_Done,
     /*  457128 */   // Label 7821: @457128
     /*  457128 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(457214), // Rule ID 7175 //
     /*  457133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457180 */     // MIs[1] Operand 1
     /*  457180 */     // No operand predicates
     /*  457180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457212 */     GIR_RootConstrainSelectedInstOperands,
     /*  457213 */     // GIR_Coverage, 7175,
     /*  457213 */     GIR_EraseRootFromParent_Done,
     /*  457214 */   // Label 7822: @457214
     /*  457214 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(457300), // Rule ID 7176 //
     /*  457219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457266 */     // MIs[1] Operand 1
     /*  457266 */     // No operand predicates
     /*  457266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457298 */     GIR_RootConstrainSelectedInstOperands,
     /*  457299 */     // GIR_Coverage, 7176,
     /*  457299 */     GIR_EraseRootFromParent_Done,
     /*  457300 */   // Label 7823: @457300
     /*  457300 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(457386), // Rule ID 7179 //
     /*  457305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457352 */     // MIs[1] Operand 1
     /*  457352 */     // No operand predicates
     /*  457352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457384 */     GIR_RootConstrainSelectedInstOperands,
     /*  457385 */     // GIR_Coverage, 7179,
     /*  457385 */     GIR_EraseRootFromParent_Done,
     /*  457386 */   // Label 7824: @457386
     /*  457386 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(457472), // Rule ID 7180 //
     /*  457391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457438 */     // MIs[1] Operand 1
     /*  457438 */     // No operand predicates
     /*  457438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457470 */     GIR_RootConstrainSelectedInstOperands,
     /*  457471 */     // GIR_Coverage, 7180,
     /*  457471 */     GIR_EraseRootFromParent_Done,
     /*  457472 */   // Label 7825: @457472
     /*  457472 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(457558), // Rule ID 7183 //
     /*  457477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457524 */     // MIs[1] Operand 1
     /*  457524 */     // No operand predicates
     /*  457524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457533 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457556 */     GIR_RootConstrainSelectedInstOperands,
     /*  457557 */     // GIR_Coverage, 7183,
     /*  457557 */     GIR_EraseRootFromParent_Done,
     /*  457558 */   // Label 7826: @457558
     /*  457558 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(457644), // Rule ID 7184 //
     /*  457563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457610 */     // MIs[1] Operand 1
     /*  457610 */     // No operand predicates
     /*  457610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457642 */     GIR_RootConstrainSelectedInstOperands,
     /*  457643 */     // GIR_Coverage, 7184,
     /*  457643 */     GIR_EraseRootFromParent_Done,
     /*  457644 */   // Label 7827: @457644
     /*  457644 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(457730), // Rule ID 7187 //
     /*  457649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  457666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457696 */     // MIs[1] Operand 1
     /*  457696 */     // No operand predicates
     /*  457696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457705 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  457708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457728 */     GIR_RootConstrainSelectedInstOperands,
     /*  457729 */     // GIR_Coverage, 7187,
     /*  457729 */     GIR_EraseRootFromParent_Done,
     /*  457730 */   // Label 7828: @457730
     /*  457730 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(457816), // Rule ID 7188 //
     /*  457735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  457752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457782 */     // MIs[1] Operand 1
     /*  457782 */     // No operand predicates
     /*  457782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457791 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  457794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457814 */     GIR_RootConstrainSelectedInstOperands,
     /*  457815 */     // GIR_Coverage, 7188,
     /*  457815 */     GIR_EraseRootFromParent_Done,
     /*  457816 */   // Label 7829: @457816
     /*  457816 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(457902), // Rule ID 7191 //
     /*  457821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  457832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  457835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  457838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457868 */     // MIs[1] Operand 1
     /*  457868 */     // No operand predicates
     /*  457868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457877 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457900 */     GIR_RootConstrainSelectedInstOperands,
     /*  457901 */     // GIR_Coverage, 7191,
     /*  457901 */     GIR_EraseRootFromParent_Done,
     /*  457902 */   // Label 7830: @457902
     /*  457902 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(457988), // Rule ID 7192 //
     /*  457907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  457918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  457921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  457924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457954 */     // MIs[1] Operand 1
     /*  457954 */     // No operand predicates
     /*  457954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457963 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457986 */     GIR_RootConstrainSelectedInstOperands,
     /*  457987 */     // GIR_Coverage, 7192,
     /*  457987 */     GIR_EraseRootFromParent_Done,
     /*  457988 */   // Label 7831: @457988
     /*  457988 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(458074), // Rule ID 7195 //
     /*  457993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458040 */     // MIs[1] Operand 1
     /*  458040 */     // No operand predicates
     /*  458040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458072 */     GIR_RootConstrainSelectedInstOperands,
     /*  458073 */     // GIR_Coverage, 7195,
     /*  458073 */     GIR_EraseRootFromParent_Done,
     /*  458074 */   // Label 7832: @458074
     /*  458074 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(458160), // Rule ID 7196 //
     /*  458079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458126 */     // MIs[1] Operand 1
     /*  458126 */     // No operand predicates
     /*  458126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458135 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458158 */     GIR_RootConstrainSelectedInstOperands,
     /*  458159 */     // GIR_Coverage, 7196,
     /*  458159 */     GIR_EraseRootFromParent_Done,
     /*  458160 */   // Label 7833: @458160
     /*  458160 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(458246), // Rule ID 7199 //
     /*  458165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458212 */     // MIs[1] Operand 1
     /*  458212 */     // No operand predicates
     /*  458212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458244 */     GIR_RootConstrainSelectedInstOperands,
     /*  458245 */     // GIR_Coverage, 7199,
     /*  458245 */     GIR_EraseRootFromParent_Done,
     /*  458246 */   // Label 7834: @458246
     /*  458246 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(458332), // Rule ID 7200 //
     /*  458251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458298 */     // MIs[1] Operand 1
     /*  458298 */     // No operand predicates
     /*  458298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458330 */     GIR_RootConstrainSelectedInstOperands,
     /*  458331 */     // GIR_Coverage, 7200,
     /*  458331 */     GIR_EraseRootFromParent_Done,
     /*  458332 */   // Label 7835: @458332
     /*  458332 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(458418), // Rule ID 7203 //
     /*  458337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458384 */     // MIs[1] Operand 1
     /*  458384 */     // No operand predicates
     /*  458384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458393 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458416 */     GIR_RootConstrainSelectedInstOperands,
     /*  458417 */     // GIR_Coverage, 7203,
     /*  458417 */     GIR_EraseRootFromParent_Done,
     /*  458418 */   // Label 7836: @458418
     /*  458418 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(458504), // Rule ID 7204 //
     /*  458423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458470 */     // MIs[1] Operand 1
     /*  458470 */     // No operand predicates
     /*  458470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458479 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458502 */     GIR_RootConstrainSelectedInstOperands,
     /*  458503 */     // GIR_Coverage, 7204,
     /*  458503 */     GIR_EraseRootFromParent_Done,
     /*  458504 */   // Label 7837: @458504
     /*  458504 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(458590), // Rule ID 7207 //
     /*  458509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458556 */     // MIs[1] Operand 1
     /*  458556 */     // No operand predicates
     /*  458556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458588 */     GIR_RootConstrainSelectedInstOperands,
     /*  458589 */     // GIR_Coverage, 7207,
     /*  458589 */     GIR_EraseRootFromParent_Done,
     /*  458590 */   // Label 7838: @458590
     /*  458590 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(458676), // Rule ID 7208 //
     /*  458595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458642 */     // MIs[1] Operand 1
     /*  458642 */     // No operand predicates
     /*  458642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458674 */     GIR_RootConstrainSelectedInstOperands,
     /*  458675 */     // GIR_Coverage, 7208,
     /*  458675 */     GIR_EraseRootFromParent_Done,
     /*  458676 */   // Label 7839: @458676
     /*  458676 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(458762), // Rule ID 7211 //
     /*  458681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  458698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458728 */     // MIs[1] Operand 1
     /*  458728 */     // No operand predicates
     /*  458728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458737 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458760 */     GIR_RootConstrainSelectedInstOperands,
     /*  458761 */     // GIR_Coverage, 7211,
     /*  458761 */     GIR_EraseRootFromParent_Done,
     /*  458762 */   // Label 7840: @458762
     /*  458762 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(458848), // Rule ID 7212 //
     /*  458767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  458784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458814 */     // MIs[1] Operand 1
     /*  458814 */     // No operand predicates
     /*  458814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458823 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458846 */     GIR_RootConstrainSelectedInstOperands,
     /*  458847 */     // GIR_Coverage, 7212,
     /*  458847 */     GIR_EraseRootFromParent_Done,
     /*  458848 */   // Label 7841: @458848
     /*  458848 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(458934), // Rule ID 7215 //
     /*  458853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  458864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  458867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  458870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458900 */     // MIs[1] Operand 1
     /*  458900 */     // No operand predicates
     /*  458900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458909 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458932 */     GIR_RootConstrainSelectedInstOperands,
     /*  458933 */     // GIR_Coverage, 7215,
     /*  458933 */     GIR_EraseRootFromParent_Done,
     /*  458934 */   // Label 7842: @458934
     /*  458934 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(459020), // Rule ID 7216 //
     /*  458939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  458950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  458953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  458956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458986 */     // MIs[1] Operand 1
     /*  458986 */     // No operand predicates
     /*  458986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458995 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459018 */     GIR_RootConstrainSelectedInstOperands,
     /*  459019 */     // GIR_Coverage, 7216,
     /*  459019 */     GIR_EraseRootFromParent_Done,
     /*  459020 */   // Label 7843: @459020
     /*  459020 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(459106), // Rule ID 7219 //
     /*  459025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459072 */     // MIs[1] Operand 1
     /*  459072 */     // No operand predicates
     /*  459072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459081 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459104 */     GIR_RootConstrainSelectedInstOperands,
     /*  459105 */     // GIR_Coverage, 7219,
     /*  459105 */     GIR_EraseRootFromParent_Done,
     /*  459106 */   // Label 7844: @459106
     /*  459106 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(459192), // Rule ID 7220 //
     /*  459111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459158 */     // MIs[1] Operand 1
     /*  459158 */     // No operand predicates
     /*  459158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459167 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459190 */     GIR_RootConstrainSelectedInstOperands,
     /*  459191 */     // GIR_Coverage, 7220,
     /*  459191 */     GIR_EraseRootFromParent_Done,
     /*  459192 */   // Label 7845: @459192
     /*  459192 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(459278), // Rule ID 7223 //
     /*  459197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459244 */     // MIs[1] Operand 1
     /*  459244 */     // No operand predicates
     /*  459244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459253 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459276 */     GIR_RootConstrainSelectedInstOperands,
     /*  459277 */     // GIR_Coverage, 7223,
     /*  459277 */     GIR_EraseRootFromParent_Done,
     /*  459278 */   // Label 7846: @459278
     /*  459278 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(459364), // Rule ID 7224 //
     /*  459283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459330 */     // MIs[1] Operand 1
     /*  459330 */     // No operand predicates
     /*  459330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459339 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459362 */     GIR_RootConstrainSelectedInstOperands,
     /*  459363 */     // GIR_Coverage, 7224,
     /*  459363 */     GIR_EraseRootFromParent_Done,
     /*  459364 */   // Label 7847: @459364
     /*  459364 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(459450), // Rule ID 7227 //
     /*  459369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459416 */     // MIs[1] Operand 1
     /*  459416 */     // No operand predicates
     /*  459416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459448 */     GIR_RootConstrainSelectedInstOperands,
     /*  459449 */     // GIR_Coverage, 7227,
     /*  459449 */     GIR_EraseRootFromParent_Done,
     /*  459450 */   // Label 7848: @459450
     /*  459450 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(459536), // Rule ID 7228 //
     /*  459455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459502 */     // MIs[1] Operand 1
     /*  459502 */     // No operand predicates
     /*  459502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459511 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459534 */     GIR_RootConstrainSelectedInstOperands,
     /*  459535 */     // GIR_Coverage, 7228,
     /*  459535 */     GIR_EraseRootFromParent_Done,
     /*  459536 */   // Label 7849: @459536
     /*  459536 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(459622), // Rule ID 7439 //
     /*  459541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459588 */     // MIs[1] Operand 1
     /*  459588 */     // No operand predicates
     /*  459588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459597 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  459600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459620 */     GIR_RootConstrainSelectedInstOperands,
     /*  459621 */     // GIR_Coverage, 7439,
     /*  459621 */     GIR_EraseRootFromParent_Done,
     /*  459622 */   // Label 7850: @459622
     /*  459622 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(459708), // Rule ID 7440 //
     /*  459627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459674 */     // MIs[1] Operand 1
     /*  459674 */     // No operand predicates
     /*  459674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  459686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459706 */     GIR_RootConstrainSelectedInstOperands,
     /*  459707 */     // GIR_Coverage, 7440,
     /*  459707 */     GIR_EraseRootFromParent_Done,
     /*  459708 */   // Label 7851: @459708
     /*  459708 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(459794), // Rule ID 7443 //
     /*  459713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  459724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  459727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459760 */     // MIs[1] Operand 1
     /*  459760 */     // No operand predicates
     /*  459760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459769 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  459772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459792 */     GIR_RootConstrainSelectedInstOperands,
     /*  459793 */     // GIR_Coverage, 7443,
     /*  459793 */     GIR_EraseRootFromParent_Done,
     /*  459794 */   // Label 7852: @459794
     /*  459794 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(459880), // Rule ID 7444 //
     /*  459799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  459810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  459813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459846 */     // MIs[1] Operand 1
     /*  459846 */     // No operand predicates
     /*  459846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459855 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  459858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459878 */     GIR_RootConstrainSelectedInstOperands,
     /*  459879 */     // GIR_Coverage, 7444,
     /*  459879 */     GIR_EraseRootFromParent_Done,
     /*  459880 */   // Label 7853: @459880
     /*  459880 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(459966), // Rule ID 7447 //
     /*  459885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  459902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459932 */     // MIs[1] Operand 1
     /*  459932 */     // No operand predicates
     /*  459932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459941 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  459944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459964 */     GIR_RootConstrainSelectedInstOperands,
     /*  459965 */     // GIR_Coverage, 7447,
     /*  459965 */     GIR_EraseRootFromParent_Done,
     /*  459966 */   // Label 7854: @459966
     /*  459966 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(460052), // Rule ID 7448 //
     /*  459971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  459988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460018 */     // MIs[1] Operand 1
     /*  460018 */     // No operand predicates
     /*  460018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460027 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460050 */     GIR_RootConstrainSelectedInstOperands,
     /*  460051 */     // GIR_Coverage, 7448,
     /*  460051 */     GIR_EraseRootFromParent_Done,
     /*  460052 */   // Label 7855: @460052
     /*  460052 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(460138), // Rule ID 7451 //
     /*  460057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460104 */     // MIs[1] Operand 1
     /*  460104 */     // No operand predicates
     /*  460104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460113 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460136 */     GIR_RootConstrainSelectedInstOperands,
     /*  460137 */     // GIR_Coverage, 7451,
     /*  460137 */     GIR_EraseRootFromParent_Done,
     /*  460138 */   // Label 7856: @460138
     /*  460138 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(460224), // Rule ID 7452 //
     /*  460143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460190 */     // MIs[1] Operand 1
     /*  460190 */     // No operand predicates
     /*  460190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460199 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460222 */     GIR_RootConstrainSelectedInstOperands,
     /*  460223 */     // GIR_Coverage, 7452,
     /*  460223 */     GIR_EraseRootFromParent_Done,
     /*  460224 */   // Label 7857: @460224
     /*  460224 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(460310), // Rule ID 7455 //
     /*  460229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460276 */     // MIs[1] Operand 1
     /*  460276 */     // No operand predicates
     /*  460276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460285 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460308 */     GIR_RootConstrainSelectedInstOperands,
     /*  460309 */     // GIR_Coverage, 7455,
     /*  460309 */     GIR_EraseRootFromParent_Done,
     /*  460310 */   // Label 7858: @460310
     /*  460310 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(460396), // Rule ID 7456 //
     /*  460315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460362 */     // MIs[1] Operand 1
     /*  460362 */     // No operand predicates
     /*  460362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460394 */     GIR_RootConstrainSelectedInstOperands,
     /*  460395 */     // GIR_Coverage, 7456,
     /*  460395 */     GIR_EraseRootFromParent_Done,
     /*  460396 */   // Label 7859: @460396
     /*  460396 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(460482), // Rule ID 7459 //
     /*  460401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460448 */     // MIs[1] Operand 1
     /*  460448 */     // No operand predicates
     /*  460448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460457 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460480 */     GIR_RootConstrainSelectedInstOperands,
     /*  460481 */     // GIR_Coverage, 7459,
     /*  460481 */     GIR_EraseRootFromParent_Done,
     /*  460482 */   // Label 7860: @460482
     /*  460482 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(460568), // Rule ID 7460 //
     /*  460487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460534 */     // MIs[1] Operand 1
     /*  460534 */     // No operand predicates
     /*  460534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460543 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460566 */     GIR_RootConstrainSelectedInstOperands,
     /*  460567 */     // GIR_Coverage, 7460,
     /*  460567 */     GIR_EraseRootFromParent_Done,
     /*  460568 */   // Label 7861: @460568
     /*  460568 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(460654), // Rule ID 7463 //
     /*  460573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  460590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460620 */     // MIs[1] Operand 1
     /*  460620 */     // No operand predicates
     /*  460620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460629 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460652 */     GIR_RootConstrainSelectedInstOperands,
     /*  460653 */     // GIR_Coverage, 7463,
     /*  460653 */     GIR_EraseRootFromParent_Done,
     /*  460654 */   // Label 7862: @460654
     /*  460654 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(460740), // Rule ID 7464 //
     /*  460659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  460676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460706 */     // MIs[1] Operand 1
     /*  460706 */     // No operand predicates
     /*  460706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460715 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460738 */     GIR_RootConstrainSelectedInstOperands,
     /*  460739 */     // GIR_Coverage, 7464,
     /*  460739 */     GIR_EraseRootFromParent_Done,
     /*  460740 */   // Label 7863: @460740
     /*  460740 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(460826), // Rule ID 7467 //
     /*  460745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  460756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  460759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460792 */     // MIs[1] Operand 1
     /*  460792 */     // No operand predicates
     /*  460792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460824 */     GIR_RootConstrainSelectedInstOperands,
     /*  460825 */     // GIR_Coverage, 7467,
     /*  460825 */     GIR_EraseRootFromParent_Done,
     /*  460826 */   // Label 7864: @460826
     /*  460826 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(460912), // Rule ID 7468 //
     /*  460831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  460842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  460845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460878 */     // MIs[1] Operand 1
     /*  460878 */     // No operand predicates
     /*  460878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460887 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460910 */     GIR_RootConstrainSelectedInstOperands,
     /*  460911 */     // GIR_Coverage, 7468,
     /*  460911 */     GIR_EraseRootFromParent_Done,
     /*  460912 */   // Label 7865: @460912
     /*  460912 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(460998), // Rule ID 7471 //
     /*  460917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  460928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  460931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  460934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460964 */     // MIs[1] Operand 1
     /*  460964 */     // No operand predicates
     /*  460964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460996 */     GIR_RootConstrainSelectedInstOperands,
     /*  460997 */     // GIR_Coverage, 7471,
     /*  460997 */     GIR_EraseRootFromParent_Done,
     /*  460998 */   // Label 7866: @460998
     /*  460998 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(461084), // Rule ID 7472 //
     /*  461003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461050 */     // MIs[1] Operand 1
     /*  461050 */     // No operand predicates
     /*  461050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461082 */     GIR_RootConstrainSelectedInstOperands,
     /*  461083 */     // GIR_Coverage, 7472,
     /*  461083 */     GIR_EraseRootFromParent_Done,
     /*  461084 */   // Label 7867: @461084
     /*  461084 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(461170), // Rule ID 7475 //
     /*  461089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461136 */     // MIs[1] Operand 1
     /*  461136 */     // No operand predicates
     /*  461136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461145 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461168 */     GIR_RootConstrainSelectedInstOperands,
     /*  461169 */     // GIR_Coverage, 7475,
     /*  461169 */     GIR_EraseRootFromParent_Done,
     /*  461170 */   // Label 7868: @461170
     /*  461170 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(461256), // Rule ID 7476 //
     /*  461175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461222 */     // MIs[1] Operand 1
     /*  461222 */     // No operand predicates
     /*  461222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461254 */     GIR_RootConstrainSelectedInstOperands,
     /*  461255 */     // GIR_Coverage, 7476,
     /*  461255 */     GIR_EraseRootFromParent_Done,
     /*  461256 */   // Label 7869: @461256
     /*  461256 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(461342), // Rule ID 7479 //
     /*  461261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461308 */     // MIs[1] Operand 1
     /*  461308 */     // No operand predicates
     /*  461308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461317 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461340 */     GIR_RootConstrainSelectedInstOperands,
     /*  461341 */     // GIR_Coverage, 7479,
     /*  461341 */     GIR_EraseRootFromParent_Done,
     /*  461342 */   // Label 7870: @461342
     /*  461342 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(461428), // Rule ID 7480 //
     /*  461347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461394 */     // MIs[1] Operand 1
     /*  461394 */     // No operand predicates
     /*  461394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461426 */     GIR_RootConstrainSelectedInstOperands,
     /*  461427 */     // GIR_Coverage, 7480,
     /*  461427 */     GIR_EraseRootFromParent_Done,
     /*  461428 */   // Label 7871: @461428
     /*  461428 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(461514), // Rule ID 7483 //
     /*  461433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461480 */     // MIs[1] Operand 1
     /*  461480 */     // No operand predicates
     /*  461480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461512 */     GIR_RootConstrainSelectedInstOperands,
     /*  461513 */     // GIR_Coverage, 7483,
     /*  461513 */     GIR_EraseRootFromParent_Done,
     /*  461514 */   // Label 7872: @461514
     /*  461514 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(461600), // Rule ID 7484 //
     /*  461519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461566 */     // MIs[1] Operand 1
     /*  461566 */     // No operand predicates
     /*  461566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461575 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461598 */     GIR_RootConstrainSelectedInstOperands,
     /*  461599 */     // GIR_Coverage, 7484,
     /*  461599 */     GIR_EraseRootFromParent_Done,
     /*  461600 */   // Label 7873: @461600
     /*  461600 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(461686), // Rule ID 7487 //
     /*  461605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  461622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461652 */     // MIs[1] Operand 1
     /*  461652 */     // No operand predicates
     /*  461652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461684 */     GIR_RootConstrainSelectedInstOperands,
     /*  461685 */     // GIR_Coverage, 7487,
     /*  461685 */     GIR_EraseRootFromParent_Done,
     /*  461686 */   // Label 7874: @461686
     /*  461686 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(461772), // Rule ID 7488 //
     /*  461691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  461708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461738 */     // MIs[1] Operand 1
     /*  461738 */     // No operand predicates
     /*  461738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461770 */     GIR_RootConstrainSelectedInstOperands,
     /*  461771 */     // GIR_Coverage, 7488,
     /*  461771 */     GIR_EraseRootFromParent_Done,
     /*  461772 */   // Label 7875: @461772
     /*  461772 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(461858), // Rule ID 7491 //
     /*  461777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  461794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461824 */     // MIs[1] Operand 1
     /*  461824 */     // No operand predicates
     /*  461824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461856 */     GIR_RootConstrainSelectedInstOperands,
     /*  461857 */     // GIR_Coverage, 7491,
     /*  461857 */     GIR_EraseRootFromParent_Done,
     /*  461858 */   // Label 7876: @461858
     /*  461858 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(461944), // Rule ID 7492 //
     /*  461863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  461880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461910 */     // MIs[1] Operand 1
     /*  461910 */     // No operand predicates
     /*  461910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461942 */     GIR_RootConstrainSelectedInstOperands,
     /*  461943 */     // GIR_Coverage, 7492,
     /*  461943 */     GIR_EraseRootFromParent_Done,
     /*  461944 */   // Label 7877: @461944
     /*  461944 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(462030), // Rule ID 7495 //
     /*  461949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  461960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  461963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  461966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461996 */     // MIs[1] Operand 1
     /*  461996 */     // No operand predicates
     /*  461996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462005 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462028 */     GIR_RootConstrainSelectedInstOperands,
     /*  462029 */     // GIR_Coverage, 7495,
     /*  462029 */     GIR_EraseRootFromParent_Done,
     /*  462030 */   // Label 7878: @462030
     /*  462030 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(462116), // Rule ID 7496 //
     /*  462035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  462046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  462049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462082 */     // MIs[1] Operand 1
     /*  462082 */     // No operand predicates
     /*  462082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462114 */     GIR_RootConstrainSelectedInstOperands,
     /*  462115 */     // GIR_Coverage, 7496,
     /*  462115 */     GIR_EraseRootFromParent_Done,
     /*  462116 */   // Label 7879: @462116
     /*  462116 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(462202), // Rule ID 7619 //
     /*  462121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462168 */     // MIs[1] Operand 1
     /*  462168 */     // No operand predicates
     /*  462168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462200 */     GIR_RootConstrainSelectedInstOperands,
     /*  462201 */     // GIR_Coverage, 7619,
     /*  462201 */     GIR_EraseRootFromParent_Done,
     /*  462202 */   // Label 7880: @462202
     /*  462202 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(462288), // Rule ID 7620 //
     /*  462207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462254 */     // MIs[1] Operand 1
     /*  462254 */     // No operand predicates
     /*  462254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462263 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462286 */     GIR_RootConstrainSelectedInstOperands,
     /*  462287 */     // GIR_Coverage, 7620,
     /*  462287 */     GIR_EraseRootFromParent_Done,
     /*  462288 */   // Label 7881: @462288
     /*  462288 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(462374), // Rule ID 7623 //
     /*  462293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462340 */     // MIs[1] Operand 1
     /*  462340 */     // No operand predicates
     /*  462340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462372 */     GIR_RootConstrainSelectedInstOperands,
     /*  462373 */     // GIR_Coverage, 7623,
     /*  462373 */     GIR_EraseRootFromParent_Done,
     /*  462374 */   // Label 7882: @462374
     /*  462374 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(462460), // Rule ID 7624 //
     /*  462379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462426 */     // MIs[1] Operand 1
     /*  462426 */     // No operand predicates
     /*  462426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462435 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462458 */     GIR_RootConstrainSelectedInstOperands,
     /*  462459 */     // GIR_Coverage, 7624,
     /*  462459 */     GIR_EraseRootFromParent_Done,
     /*  462460 */   // Label 7883: @462460
     /*  462460 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(462546), // Rule ID 7627 //
     /*  462465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462512 */     // MIs[1] Operand 1
     /*  462512 */     // No operand predicates
     /*  462512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462521 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462544 */     GIR_RootConstrainSelectedInstOperands,
     /*  462545 */     // GIR_Coverage, 7627,
     /*  462545 */     GIR_EraseRootFromParent_Done,
     /*  462546 */   // Label 7884: @462546
     /*  462546 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(462632), // Rule ID 7628 //
     /*  462551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462598 */     // MIs[1] Operand 1
     /*  462598 */     // No operand predicates
     /*  462598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462607 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462630 */     GIR_RootConstrainSelectedInstOperands,
     /*  462631 */     // GIR_Coverage, 7628,
     /*  462631 */     GIR_EraseRootFromParent_Done,
     /*  462632 */   // Label 7885: @462632
     /*  462632 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(462718), // Rule ID 7631 //
     /*  462637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462684 */     // MIs[1] Operand 1
     /*  462684 */     // No operand predicates
     /*  462684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462693 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  462696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462716 */     GIR_RootConstrainSelectedInstOperands,
     /*  462717 */     // GIR_Coverage, 7631,
     /*  462717 */     GIR_EraseRootFromParent_Done,
     /*  462718 */   // Label 7886: @462718
     /*  462718 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(462804), // Rule ID 7632 //
     /*  462723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462770 */     // MIs[1] Operand 1
     /*  462770 */     // No operand predicates
     /*  462770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462779 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  462782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462802 */     GIR_RootConstrainSelectedInstOperands,
     /*  462803 */     // GIR_Coverage, 7632,
     /*  462803 */     GIR_EraseRootFromParent_Done,
     /*  462804 */   // Label 7887: @462804
     /*  462804 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(462890), // Rule ID 7635 //
     /*  462809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  462826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462856 */     // MIs[1] Operand 1
     /*  462856 */     // No operand predicates
     /*  462856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462865 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  462868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462888 */     GIR_RootConstrainSelectedInstOperands,
     /*  462889 */     // GIR_Coverage, 7635,
     /*  462889 */     GIR_EraseRootFromParent_Done,
     /*  462890 */   // Label 7888: @462890
     /*  462890 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(462976), // Rule ID 7636 //
     /*  462895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  462912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462942 */     // MIs[1] Operand 1
     /*  462942 */     // No operand predicates
     /*  462942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  462954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462974 */     GIR_RootConstrainSelectedInstOperands,
     /*  462975 */     // GIR_Coverage, 7636,
     /*  462975 */     GIR_EraseRootFromParent_Done,
     /*  462976 */   // Label 7889: @462976
     /*  462976 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(463062), // Rule ID 7639 //
     /*  462981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  462998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463028 */     // MIs[1] Operand 1
     /*  463028 */     // No operand predicates
     /*  463028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463037 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463060 */     GIR_RootConstrainSelectedInstOperands,
     /*  463061 */     // GIR_Coverage, 7639,
     /*  463061 */     GIR_EraseRootFromParent_Done,
     /*  463062 */   // Label 7890: @463062
     /*  463062 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(463148), // Rule ID 7640 //
     /*  463067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  463078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  463081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463114 */     // MIs[1] Operand 1
     /*  463114 */     // No operand predicates
     /*  463114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463123 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463146 */     GIR_RootConstrainSelectedInstOperands,
     /*  463147 */     // GIR_Coverage, 7640,
     /*  463147 */     GIR_EraseRootFromParent_Done,
     /*  463148 */   // Label 7891: @463148
     /*  463148 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(463234), // Rule ID 7643 //
     /*  463153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463200 */     // MIs[1] Operand 1
     /*  463200 */     // No operand predicates
     /*  463200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463232 */     GIR_RootConstrainSelectedInstOperands,
     /*  463233 */     // GIR_Coverage, 7643,
     /*  463233 */     GIR_EraseRootFromParent_Done,
     /*  463234 */   // Label 7892: @463234
     /*  463234 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(463320), // Rule ID 7644 //
     /*  463239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463286 */     // MIs[1] Operand 1
     /*  463286 */     // No operand predicates
     /*  463286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463295 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463318 */     GIR_RootConstrainSelectedInstOperands,
     /*  463319 */     // GIR_Coverage, 7644,
     /*  463319 */     GIR_EraseRootFromParent_Done,
     /*  463320 */   // Label 7893: @463320
     /*  463320 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(463406), // Rule ID 7647 //
     /*  463325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463372 */     // MIs[1] Operand 1
     /*  463372 */     // No operand predicates
     /*  463372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463381 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463404 */     GIR_RootConstrainSelectedInstOperands,
     /*  463405 */     // GIR_Coverage, 7647,
     /*  463405 */     GIR_EraseRootFromParent_Done,
     /*  463406 */   // Label 7894: @463406
     /*  463406 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(463492), // Rule ID 7648 //
     /*  463411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463458 */     // MIs[1] Operand 1
     /*  463458 */     // No operand predicates
     /*  463458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463490 */     GIR_RootConstrainSelectedInstOperands,
     /*  463491 */     // GIR_Coverage, 7648,
     /*  463491 */     GIR_EraseRootFromParent_Done,
     /*  463492 */   // Label 7895: @463492
     /*  463492 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(463578), // Rule ID 7651 //
     /*  463497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463544 */     // MIs[1] Operand 1
     /*  463544 */     // No operand predicates
     /*  463544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463576 */     GIR_RootConstrainSelectedInstOperands,
     /*  463577 */     // GIR_Coverage, 7651,
     /*  463577 */     GIR_EraseRootFromParent_Done,
     /*  463578 */   // Label 7896: @463578
     /*  463578 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(463664), // Rule ID 7652 //
     /*  463583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463630 */     // MIs[1] Operand 1
     /*  463630 */     // No operand predicates
     /*  463630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463662 */     GIR_RootConstrainSelectedInstOperands,
     /*  463663 */     // GIR_Coverage, 7652,
     /*  463663 */     GIR_EraseRootFromParent_Done,
     /*  463664 */   // Label 7897: @463664
     /*  463664 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(463750), // Rule ID 7655 //
     /*  463669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463716 */     // MIs[1] Operand 1
     /*  463716 */     // No operand predicates
     /*  463716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463748 */     GIR_RootConstrainSelectedInstOperands,
     /*  463749 */     // GIR_Coverage, 7655,
     /*  463749 */     GIR_EraseRootFromParent_Done,
     /*  463750 */   // Label 7898: @463750
     /*  463750 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(463836), // Rule ID 7656 //
     /*  463755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463802 */     // MIs[1] Operand 1
     /*  463802 */     // No operand predicates
     /*  463802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463834 */     GIR_RootConstrainSelectedInstOperands,
     /*  463835 */     // GIR_Coverage, 7656,
     /*  463835 */     GIR_EraseRootFromParent_Done,
     /*  463836 */   // Label 7899: @463836
     /*  463836 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(463922), // Rule ID 7659 //
     /*  463841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463888 */     // MIs[1] Operand 1
     /*  463888 */     // No operand predicates
     /*  463888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463920 */     GIR_RootConstrainSelectedInstOperands,
     /*  463921 */     // GIR_Coverage, 7659,
     /*  463921 */     GIR_EraseRootFromParent_Done,
     /*  463922 */   // Label 7900: @463922
     /*  463922 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(464008), // Rule ID 7660 //
     /*  463927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463974 */     // MIs[1] Operand 1
     /*  463974 */     // No operand predicates
     /*  463974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464006 */     GIR_RootConstrainSelectedInstOperands,
     /*  464007 */     // GIR_Coverage, 7660,
     /*  464007 */     GIR_EraseRootFromParent_Done,
     /*  464008 */   // Label 7901: @464008
     /*  464008 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(464094), // Rule ID 7663 //
     /*  464013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464060 */     // MIs[1] Operand 1
     /*  464060 */     // No operand predicates
     /*  464060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464092 */     GIR_RootConstrainSelectedInstOperands,
     /*  464093 */     // GIR_Coverage, 7663,
     /*  464093 */     GIR_EraseRootFromParent_Done,
     /*  464094 */   // Label 7902: @464094
     /*  464094 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(464180), // Rule ID 7664 //
     /*  464099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464146 */     // MIs[1] Operand 1
     /*  464146 */     // No operand predicates
     /*  464146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464178 */     GIR_RootConstrainSelectedInstOperands,
     /*  464179 */     // GIR_Coverage, 7664,
     /*  464179 */     GIR_EraseRootFromParent_Done,
     /*  464180 */   // Label 7903: @464180
     /*  464180 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(464266), // Rule ID 7667 //
     /*  464185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464232 */     // MIs[1] Operand 1
     /*  464232 */     // No operand predicates
     /*  464232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464264 */     GIR_RootConstrainSelectedInstOperands,
     /*  464265 */     // GIR_Coverage, 7667,
     /*  464265 */     GIR_EraseRootFromParent_Done,
     /*  464266 */   // Label 7904: @464266
     /*  464266 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(464352), // Rule ID 7668 //
     /*  464271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464318 */     // MIs[1] Operand 1
     /*  464318 */     // No operand predicates
     /*  464318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464350 */     GIR_RootConstrainSelectedInstOperands,
     /*  464351 */     // GIR_Coverage, 7668,
     /*  464351 */     GIR_EraseRootFromParent_Done,
     /*  464352 */   // Label 7905: @464352
     /*  464352 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(464438), // Rule ID 7671 //
     /*  464357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464404 */     // MIs[1] Operand 1
     /*  464404 */     // No operand predicates
     /*  464404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464436 */     GIR_RootConstrainSelectedInstOperands,
     /*  464437 */     // GIR_Coverage, 7671,
     /*  464437 */     GIR_EraseRootFromParent_Done,
     /*  464438 */   // Label 7906: @464438
     /*  464438 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(464524), // Rule ID 7672 //
     /*  464443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464490 */     // MIs[1] Operand 1
     /*  464490 */     // No operand predicates
     /*  464490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464522 */     GIR_RootConstrainSelectedInstOperands,
     /*  464523 */     // GIR_Coverage, 7672,
     /*  464523 */     GIR_EraseRootFromParent_Done,
     /*  464524 */   // Label 7907: @464524
     /*  464524 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(464610), // Rule ID 7675 //
     /*  464529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464576 */     // MIs[1] Operand 1
     /*  464576 */     // No operand predicates
     /*  464576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464585 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464608 */     GIR_RootConstrainSelectedInstOperands,
     /*  464609 */     // GIR_Coverage, 7675,
     /*  464609 */     GIR_EraseRootFromParent_Done,
     /*  464610 */   // Label 7908: @464610
     /*  464610 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(464696), // Rule ID 7676 //
     /*  464615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464662 */     // MIs[1] Operand 1
     /*  464662 */     // No operand predicates
     /*  464662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464694 */     GIR_RootConstrainSelectedInstOperands,
     /*  464695 */     // GIR_Coverage, 7676,
     /*  464695 */     GIR_EraseRootFromParent_Done,
     /*  464696 */   // Label 7909: @464696
     /*  464696 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(464785), // Rule ID 14105 //
     /*  464701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  464718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464748 */     // MIs[1] Operand 1
     /*  464748 */     // No operand predicates
     /*  464748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464757 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  464760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464783 */     GIR_RootConstrainSelectedInstOperands,
     /*  464784 */     // GIR_Coverage, 14105,
     /*  464784 */     GIR_EraseRootFromParent_Done,
     /*  464785 */   // Label 7910: @464785
     /*  464785 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(464874), // Rule ID 14106 //
     /*  464790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  464807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464837 */     // MIs[1] Operand 1
     /*  464837 */     // No operand predicates
     /*  464837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464846 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  464849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464872 */     GIR_RootConstrainSelectedInstOperands,
     /*  464873 */     // GIR_Coverage, 14106,
     /*  464873 */     GIR_EraseRootFromParent_Done,
     /*  464874 */   // Label 7911: @464874
     /*  464874 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(464963), // Rule ID 14109 //
     /*  464879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  464896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464926 */     // MIs[1] Operand 1
     /*  464926 */     // No operand predicates
     /*  464926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  464938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464961 */     GIR_RootConstrainSelectedInstOperands,
     /*  464962 */     // GIR_Coverage, 14109,
     /*  464962 */     GIR_EraseRootFromParent_Done,
     /*  464963 */   // Label 7912: @464963
     /*  464963 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(465052), // Rule ID 14110 //
     /*  464968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  464985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465015 */     // MIs[1] Operand 1
     /*  465015 */     // No operand predicates
     /*  465015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465024 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465050 */     GIR_RootConstrainSelectedInstOperands,
     /*  465051 */     // GIR_Coverage, 14110,
     /*  465051 */     GIR_EraseRootFromParent_Done,
     /*  465052 */   // Label 7913: @465052
     /*  465052 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(465141), // Rule ID 14113 //
     /*  465057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465104 */     // MIs[1] Operand 1
     /*  465104 */     // No operand predicates
     /*  465104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465139 */     GIR_RootConstrainSelectedInstOperands,
     /*  465140 */     // GIR_Coverage, 14113,
     /*  465140 */     GIR_EraseRootFromParent_Done,
     /*  465141 */   // Label 7914: @465141
     /*  465141 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(465230), // Rule ID 14114 //
     /*  465146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465193 */     // MIs[1] Operand 1
     /*  465193 */     // No operand predicates
     /*  465193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465228 */     GIR_RootConstrainSelectedInstOperands,
     /*  465229 */     // GIR_Coverage, 14114,
     /*  465229 */     GIR_EraseRootFromParent_Done,
     /*  465230 */   // Label 7915: @465230
     /*  465230 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(465319), // Rule ID 14117 //
     /*  465235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465282 */     // MIs[1] Operand 1
     /*  465282 */     // No operand predicates
     /*  465282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465317 */     GIR_RootConstrainSelectedInstOperands,
     /*  465318 */     // GIR_Coverage, 14117,
     /*  465318 */     GIR_EraseRootFromParent_Done,
     /*  465319 */   // Label 7916: @465319
     /*  465319 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(465408), // Rule ID 14118 //
     /*  465324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465371 */     // MIs[1] Operand 1
     /*  465371 */     // No operand predicates
     /*  465371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465406 */     GIR_RootConstrainSelectedInstOperands,
     /*  465407 */     // GIR_Coverage, 14118,
     /*  465407 */     GIR_EraseRootFromParent_Done,
     /*  465408 */   // Label 7917: @465408
     /*  465408 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(465497), // Rule ID 14121 //
     /*  465413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465460 */     // MIs[1] Operand 1
     /*  465460 */     // No operand predicates
     /*  465460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465495 */     GIR_RootConstrainSelectedInstOperands,
     /*  465496 */     // GIR_Coverage, 14121,
     /*  465496 */     GIR_EraseRootFromParent_Done,
     /*  465497 */   // Label 7918: @465497
     /*  465497 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(465586), // Rule ID 14122 //
     /*  465502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465549 */     // MIs[1] Operand 1
     /*  465549 */     // No operand predicates
     /*  465549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465584 */     GIR_RootConstrainSelectedInstOperands,
     /*  465585 */     // GIR_Coverage, 14122,
     /*  465585 */     GIR_EraseRootFromParent_Done,
     /*  465586 */   // Label 7919: @465586
     /*  465586 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(465675), // Rule ID 14125 //
     /*  465591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465638 */     // MIs[1] Operand 1
     /*  465638 */     // No operand predicates
     /*  465638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465673 */     GIR_RootConstrainSelectedInstOperands,
     /*  465674 */     // GIR_Coverage, 14125,
     /*  465674 */     GIR_EraseRootFromParent_Done,
     /*  465675 */   // Label 7920: @465675
     /*  465675 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(465764), // Rule ID 14126 //
     /*  465680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465727 */     // MIs[1] Operand 1
     /*  465727 */     // No operand predicates
     /*  465727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465762 */     GIR_RootConstrainSelectedInstOperands,
     /*  465763 */     // GIR_Coverage, 14126,
     /*  465763 */     GIR_EraseRootFromParent_Done,
     /*  465764 */   // Label 7921: @465764
     /*  465764 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(465853), // Rule ID 14129 //
     /*  465769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  465786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465816 */     // MIs[1] Operand 1
     /*  465816 */     // No operand predicates
     /*  465816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465851 */     GIR_RootConstrainSelectedInstOperands,
     /*  465852 */     // GIR_Coverage, 14129,
     /*  465852 */     GIR_EraseRootFromParent_Done,
     /*  465853 */   // Label 7922: @465853
     /*  465853 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(465942), // Rule ID 14130 //
     /*  465858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  465875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465905 */     // MIs[1] Operand 1
     /*  465905 */     // No operand predicates
     /*  465905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465940 */     GIR_RootConstrainSelectedInstOperands,
     /*  465941 */     // GIR_Coverage, 14130,
     /*  465941 */     GIR_EraseRootFromParent_Done,
     /*  465942 */   // Label 7923: @465942
     /*  465942 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(466031), // Rule ID 14133 //
     /*  465947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  465964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465994 */     // MIs[1] Operand 1
     /*  465994 */     // No operand predicates
     /*  465994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466029 */     GIR_RootConstrainSelectedInstOperands,
     /*  466030 */     // GIR_Coverage, 14133,
     /*  466030 */     GIR_EraseRootFromParent_Done,
     /*  466031 */   // Label 7924: @466031
     /*  466031 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(466120), // Rule ID 14134 //
     /*  466036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466083 */     // MIs[1] Operand 1
     /*  466083 */     // No operand predicates
     /*  466083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466118 */     GIR_RootConstrainSelectedInstOperands,
     /*  466119 */     // GIR_Coverage, 14134,
     /*  466119 */     GIR_EraseRootFromParent_Done,
     /*  466120 */   // Label 7925: @466120
     /*  466120 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(466209), // Rule ID 14137 //
     /*  466125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466172 */     // MIs[1] Operand 1
     /*  466172 */     // No operand predicates
     /*  466172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466207 */     GIR_RootConstrainSelectedInstOperands,
     /*  466208 */     // GIR_Coverage, 14137,
     /*  466208 */     GIR_EraseRootFromParent_Done,
     /*  466209 */   // Label 7926: @466209
     /*  466209 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(466298), // Rule ID 14138 //
     /*  466214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466261 */     // MIs[1] Operand 1
     /*  466261 */     // No operand predicates
     /*  466261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466296 */     GIR_RootConstrainSelectedInstOperands,
     /*  466297 */     // GIR_Coverage, 14138,
     /*  466297 */     GIR_EraseRootFromParent_Done,
     /*  466298 */   // Label 7927: @466298
     /*  466298 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(466387), // Rule ID 14141 //
     /*  466303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466350 */     // MIs[1] Operand 1
     /*  466350 */     // No operand predicates
     /*  466350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466385 */     GIR_RootConstrainSelectedInstOperands,
     /*  466386 */     // GIR_Coverage, 14141,
     /*  466386 */     GIR_EraseRootFromParent_Done,
     /*  466387 */   // Label 7928: @466387
     /*  466387 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(466476), // Rule ID 14142 //
     /*  466392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466439 */     // MIs[1] Operand 1
     /*  466439 */     // No operand predicates
     /*  466439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466474 */     GIR_RootConstrainSelectedInstOperands,
     /*  466475 */     // GIR_Coverage, 14142,
     /*  466475 */     GIR_EraseRootFromParent_Done,
     /*  466476 */   // Label 7929: @466476
     /*  466476 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(466565), // Rule ID 14145 //
     /*  466481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466528 */     // MIs[1] Operand 1
     /*  466528 */     // No operand predicates
     /*  466528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466537 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466563 */     GIR_RootConstrainSelectedInstOperands,
     /*  466564 */     // GIR_Coverage, 14145,
     /*  466564 */     GIR_EraseRootFromParent_Done,
     /*  466565 */   // Label 7930: @466565
     /*  466565 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(466654), // Rule ID 14146 //
     /*  466570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466617 */     // MIs[1] Operand 1
     /*  466617 */     // No operand predicates
     /*  466617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466652 */     GIR_RootConstrainSelectedInstOperands,
     /*  466653 */     // GIR_Coverage, 14146,
     /*  466653 */     GIR_EraseRootFromParent_Done,
     /*  466654 */   // Label 7931: @466654
     /*  466654 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(466743), // Rule ID 14149 //
     /*  466659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  466670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  466673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  466676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466706 */     // MIs[1] Operand 1
     /*  466706 */     // No operand predicates
     /*  466706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466715 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466741 */     GIR_RootConstrainSelectedInstOperands,
     /*  466742 */     // GIR_Coverage, 14149,
     /*  466742 */     GIR_EraseRootFromParent_Done,
     /*  466743 */   // Label 7932: @466743
     /*  466743 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(466832), // Rule ID 14150 //
     /*  466748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  466759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  466762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  466765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466795 */     // MIs[1] Operand 1
     /*  466795 */     // No operand predicates
     /*  466795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466830 */     GIR_RootConstrainSelectedInstOperands,
     /*  466831 */     // GIR_Coverage, 14150,
     /*  466831 */     GIR_EraseRootFromParent_Done,
     /*  466832 */   // Label 7933: @466832
     /*  466832 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(466921), // Rule ID 14153 //
     /*  466837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  466848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  466851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  466854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466884 */     // MIs[1] Operand 1
     /*  466884 */     // No operand predicates
     /*  466884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466893 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466919 */     GIR_RootConstrainSelectedInstOperands,
     /*  466920 */     // GIR_Coverage, 14153,
     /*  466920 */     GIR_EraseRootFromParent_Done,
     /*  466921 */   // Label 7934: @466921
     /*  466921 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(467010), // Rule ID 14154 //
     /*  466926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  466937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  466940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  466943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466973 */     // MIs[1] Operand 1
     /*  466973 */     // No operand predicates
     /*  466973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466982 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467008 */     GIR_RootConstrainSelectedInstOperands,
     /*  467009 */     // GIR_Coverage, 14154,
     /*  467009 */     GIR_EraseRootFromParent_Done,
     /*  467010 */   // Label 7935: @467010
     /*  467010 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(467099), // Rule ID 14157 //
     /*  467015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467062 */     // MIs[1] Operand 1
     /*  467062 */     // No operand predicates
     /*  467062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467097 */     GIR_RootConstrainSelectedInstOperands,
     /*  467098 */     // GIR_Coverage, 14157,
     /*  467098 */     GIR_EraseRootFromParent_Done,
     /*  467099 */   // Label 7936: @467099
     /*  467099 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(467188), // Rule ID 14158 //
     /*  467104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467151 */     // MIs[1] Operand 1
     /*  467151 */     // No operand predicates
     /*  467151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467186 */     GIR_RootConstrainSelectedInstOperands,
     /*  467187 */     // GIR_Coverage, 14158,
     /*  467187 */     GIR_EraseRootFromParent_Done,
     /*  467188 */   // Label 7937: @467188
     /*  467188 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(467277), // Rule ID 14161 //
     /*  467193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467240 */     // MIs[1] Operand 1
     /*  467240 */     // No operand predicates
     /*  467240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467275 */     GIR_RootConstrainSelectedInstOperands,
     /*  467276 */     // GIR_Coverage, 14161,
     /*  467276 */     GIR_EraseRootFromParent_Done,
     /*  467277 */   // Label 7938: @467277
     /*  467277 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(467366), // Rule ID 14162 //
     /*  467282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467329 */     // MIs[1] Operand 1
     /*  467329 */     // No operand predicates
     /*  467329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467364 */     GIR_RootConstrainSelectedInstOperands,
     /*  467365 */     // GIR_Coverage, 14162,
     /*  467365 */     GIR_EraseRootFromParent_Done,
     /*  467366 */   // Label 7939: @467366
     /*  467366 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(467455), // Rule ID 14165 //
     /*  467371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467418 */     // MIs[1] Operand 1
     /*  467418 */     // No operand predicates
     /*  467418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467453 */     GIR_RootConstrainSelectedInstOperands,
     /*  467454 */     // GIR_Coverage, 14165,
     /*  467454 */     GIR_EraseRootFromParent_Done,
     /*  467455 */   // Label 7940: @467455
     /*  467455 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(467544), // Rule ID 14166 //
     /*  467460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467507 */     // MIs[1] Operand 1
     /*  467507 */     // No operand predicates
     /*  467507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467542 */     GIR_RootConstrainSelectedInstOperands,
     /*  467543 */     // GIR_Coverage, 14166,
     /*  467543 */     GIR_EraseRootFromParent_Done,
     /*  467544 */   // Label 7941: @467544
     /*  467544 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(467633), // Rule ID 14169 //
     /*  467549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  467566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467596 */     // MIs[1] Operand 1
     /*  467596 */     // No operand predicates
     /*  467596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467631 */     GIR_RootConstrainSelectedInstOperands,
     /*  467632 */     // GIR_Coverage, 14169,
     /*  467632 */     GIR_EraseRootFromParent_Done,
     /*  467633 */   // Label 7942: @467633
     /*  467633 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(467722), // Rule ID 14170 //
     /*  467638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  467655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467685 */     // MIs[1] Operand 1
     /*  467685 */     // No operand predicates
     /*  467685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467720 */     GIR_RootConstrainSelectedInstOperands,
     /*  467721 */     // GIR_Coverage, 14170,
     /*  467721 */     GIR_EraseRootFromParent_Done,
     /*  467722 */   // Label 7943: @467722
     /*  467722 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(467811), // Rule ID 14173 //
     /*  467727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  467744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467774 */     // MIs[1] Operand 1
     /*  467774 */     // No operand predicates
     /*  467774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467809 */     GIR_RootConstrainSelectedInstOperands,
     /*  467810 */     // GIR_Coverage, 14173,
     /*  467810 */     GIR_EraseRootFromParent_Done,
     /*  467811 */   // Label 7944: @467811
     /*  467811 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(467900), // Rule ID 14174 //
     /*  467816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  467833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467863 */     // MIs[1] Operand 1
     /*  467863 */     // No operand predicates
     /*  467863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467898 */     GIR_RootConstrainSelectedInstOperands,
     /*  467899 */     // GIR_Coverage, 14174,
     /*  467899 */     GIR_EraseRootFromParent_Done,
     /*  467900 */   // Label 7945: @467900
     /*  467900 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(467989), // Rule ID 14177 //
     /*  467905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  467916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  467919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  467922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467952 */     // MIs[1] Operand 1
     /*  467952 */     // No operand predicates
     /*  467952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467987 */     GIR_RootConstrainSelectedInstOperands,
     /*  467988 */     // GIR_Coverage, 14177,
     /*  467988 */     GIR_EraseRootFromParent_Done,
     /*  467989 */   // Label 7946: @467989
     /*  467989 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(468078), // Rule ID 14178 //
     /*  467994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468041 */     // MIs[1] Operand 1
     /*  468041 */     // No operand predicates
     /*  468041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468076 */     GIR_RootConstrainSelectedInstOperands,
     /*  468077 */     // GIR_Coverage, 14178,
     /*  468077 */     GIR_EraseRootFromParent_Done,
     /*  468078 */   // Label 7947: @468078
     /*  468078 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(468167), // Rule ID 14181 //
     /*  468083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468130 */     // MIs[1] Operand 1
     /*  468130 */     // No operand predicates
     /*  468130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468165 */     GIR_RootConstrainSelectedInstOperands,
     /*  468166 */     // GIR_Coverage, 14181,
     /*  468166 */     GIR_EraseRootFromParent_Done,
     /*  468167 */   // Label 7948: @468167
     /*  468167 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(468256), // Rule ID 14182 //
     /*  468172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468219 */     // MIs[1] Operand 1
     /*  468219 */     // No operand predicates
     /*  468219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468254 */     GIR_RootConstrainSelectedInstOperands,
     /*  468255 */     // GIR_Coverage, 14182,
     /*  468255 */     GIR_EraseRootFromParent_Done,
     /*  468256 */   // Label 7949: @468256
     /*  468256 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(468345), // Rule ID 14185 //
     /*  468261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468308 */     // MIs[1] Operand 1
     /*  468308 */     // No operand predicates
     /*  468308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468343 */     GIR_RootConstrainSelectedInstOperands,
     /*  468344 */     // GIR_Coverage, 14185,
     /*  468344 */     GIR_EraseRootFromParent_Done,
     /*  468345 */   // Label 7950: @468345
     /*  468345 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(468434), // Rule ID 14186 //
     /*  468350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468397 */     // MIs[1] Operand 1
     /*  468397 */     // No operand predicates
     /*  468397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468432 */     GIR_RootConstrainSelectedInstOperands,
     /*  468433 */     // GIR_Coverage, 14186,
     /*  468433 */     GIR_EraseRootFromParent_Done,
     /*  468434 */   // Label 7951: @468434
     /*  468434 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(468523), // Rule ID 14189 //
     /*  468439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468486 */     // MIs[1] Operand 1
     /*  468486 */     // No operand predicates
     /*  468486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468521 */     GIR_RootConstrainSelectedInstOperands,
     /*  468522 */     // GIR_Coverage, 14189,
     /*  468522 */     GIR_EraseRootFromParent_Done,
     /*  468523 */   // Label 7952: @468523
     /*  468523 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(468612), // Rule ID 14190 //
     /*  468528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468575 */     // MIs[1] Operand 1
     /*  468575 */     // No operand predicates
     /*  468575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468610 */     GIR_RootConstrainSelectedInstOperands,
     /*  468611 */     // GIR_Coverage, 14190,
     /*  468611 */     GIR_EraseRootFromParent_Done,
     /*  468612 */   // Label 7953: @468612
     /*  468612 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(468701), // Rule ID 14369 //
     /*  468617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  468628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  468631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  468634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468664 */     // MIs[1] Operand 1
     /*  468664 */     // No operand predicates
     /*  468664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  468676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468699 */     GIR_RootConstrainSelectedInstOperands,
     /*  468700 */     // GIR_Coverage, 14369,
     /*  468700 */     GIR_EraseRootFromParent_Done,
     /*  468701 */   // Label 7954: @468701
     /*  468701 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(468790), // Rule ID 14370 //
     /*  468706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  468717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  468720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  468723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468753 */     // MIs[1] Operand 1
     /*  468753 */     // No operand predicates
     /*  468753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468762 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  468765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468788 */     GIR_RootConstrainSelectedInstOperands,
     /*  468789 */     // GIR_Coverage, 14370,
     /*  468789 */     GIR_EraseRootFromParent_Done,
     /*  468790 */   // Label 7955: @468790
     /*  468790 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(468879), // Rule ID 14373 //
     /*  468795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  468806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  468809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  468812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468842 */     // MIs[1] Operand 1
     /*  468842 */     // No operand predicates
     /*  468842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468851 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  468854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468877 */     GIR_RootConstrainSelectedInstOperands,
     /*  468878 */     // GIR_Coverage, 14373,
     /*  468878 */     GIR_EraseRootFromParent_Done,
     /*  468879 */   // Label 7956: @468879
     /*  468879 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(468968), // Rule ID 14374 //
     /*  468884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  468895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  468898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  468901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468931 */     // MIs[1] Operand 1
     /*  468931 */     // No operand predicates
     /*  468931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468940 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  468943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468966 */     GIR_RootConstrainSelectedInstOperands,
     /*  468967 */     // GIR_Coverage, 14374,
     /*  468967 */     GIR_EraseRootFromParent_Done,
     /*  468968 */   // Label 7957: @468968
     /*  468968 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(469057), // Rule ID 14377 //
     /*  468973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  468984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  468987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  468990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469020 */     // MIs[1] Operand 1
     /*  469020 */     // No operand predicates
     /*  469020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469029 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469055 */     GIR_RootConstrainSelectedInstOperands,
     /*  469056 */     // GIR_Coverage, 14377,
     /*  469056 */     GIR_EraseRootFromParent_Done,
     /*  469057 */   // Label 7958: @469057
     /*  469057 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(469146), // Rule ID 14378 //
     /*  469062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469109 */     // MIs[1] Operand 1
     /*  469109 */     // No operand predicates
     /*  469109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469144 */     GIR_RootConstrainSelectedInstOperands,
     /*  469145 */     // GIR_Coverage, 14378,
     /*  469145 */     GIR_EraseRootFromParent_Done,
     /*  469146 */   // Label 7959: @469146
     /*  469146 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(469235), // Rule ID 14381 //
     /*  469151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469198 */     // MIs[1] Operand 1
     /*  469198 */     // No operand predicates
     /*  469198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469207 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469233 */     GIR_RootConstrainSelectedInstOperands,
     /*  469234 */     // GIR_Coverage, 14381,
     /*  469234 */     GIR_EraseRootFromParent_Done,
     /*  469235 */   // Label 7960: @469235
     /*  469235 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(469324), // Rule ID 14382 //
     /*  469240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469287 */     // MIs[1] Operand 1
     /*  469287 */     // No operand predicates
     /*  469287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469322 */     GIR_RootConstrainSelectedInstOperands,
     /*  469323 */     // GIR_Coverage, 14382,
     /*  469323 */     GIR_EraseRootFromParent_Done,
     /*  469324 */   // Label 7961: @469324
     /*  469324 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(469413), // Rule ID 14385 //
     /*  469329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469376 */     // MIs[1] Operand 1
     /*  469376 */     // No operand predicates
     /*  469376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469411 */     GIR_RootConstrainSelectedInstOperands,
     /*  469412 */     // GIR_Coverage, 14385,
     /*  469412 */     GIR_EraseRootFromParent_Done,
     /*  469413 */   // Label 7962: @469413
     /*  469413 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(469502), // Rule ID 14386 //
     /*  469418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469465 */     // MIs[1] Operand 1
     /*  469465 */     // No operand predicates
     /*  469465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469500 */     GIR_RootConstrainSelectedInstOperands,
     /*  469501 */     // GIR_Coverage, 14386,
     /*  469501 */     GIR_EraseRootFromParent_Done,
     /*  469502 */   // Label 7963: @469502
     /*  469502 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(469591), // Rule ID 14389 //
     /*  469507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469554 */     // MIs[1] Operand 1
     /*  469554 */     // No operand predicates
     /*  469554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469589 */     GIR_RootConstrainSelectedInstOperands,
     /*  469590 */     // GIR_Coverage, 14389,
     /*  469590 */     GIR_EraseRootFromParent_Done,
     /*  469591 */   // Label 7964: @469591
     /*  469591 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(469680), // Rule ID 14390 //
     /*  469596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469643 */     // MIs[1] Operand 1
     /*  469643 */     // No operand predicates
     /*  469643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469678 */     GIR_RootConstrainSelectedInstOperands,
     /*  469679 */     // GIR_Coverage, 14390,
     /*  469679 */     GIR_EraseRootFromParent_Done,
     /*  469680 */   // Label 7965: @469680
     /*  469680 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(469769), // Rule ID 14393 //
     /*  469685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  469696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  469699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  469702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469732 */     // MIs[1] Operand 1
     /*  469732 */     // No operand predicates
     /*  469732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469741 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469767 */     GIR_RootConstrainSelectedInstOperands,
     /*  469768 */     // GIR_Coverage, 14393,
     /*  469768 */     GIR_EraseRootFromParent_Done,
     /*  469769 */   // Label 7966: @469769
     /*  469769 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(469858), // Rule ID 14394 //
     /*  469774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  469785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  469788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  469791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469821 */     // MIs[1] Operand 1
     /*  469821 */     // No operand predicates
     /*  469821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469856 */     GIR_RootConstrainSelectedInstOperands,
     /*  469857 */     // GIR_Coverage, 14394,
     /*  469857 */     GIR_EraseRootFromParent_Done,
     /*  469858 */   // Label 7967: @469858
     /*  469858 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(469947), // Rule ID 14397 //
     /*  469863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  469874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  469877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  469880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469910 */     // MIs[1] Operand 1
     /*  469910 */     // No operand predicates
     /*  469910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469945 */     GIR_RootConstrainSelectedInstOperands,
     /*  469946 */     // GIR_Coverage, 14397,
     /*  469946 */     GIR_EraseRootFromParent_Done,
     /*  469947 */   // Label 7968: @469947
     /*  469947 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(470036), // Rule ID 14398 //
     /*  469952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  469963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  469966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  469969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469999 */     // MIs[1] Operand 1
     /*  469999 */     // No operand predicates
     /*  469999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470034 */     GIR_RootConstrainSelectedInstOperands,
     /*  470035 */     // GIR_Coverage, 14398,
     /*  470035 */     GIR_EraseRootFromParent_Done,
     /*  470036 */   // Label 7969: @470036
     /*  470036 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(470125), // Rule ID 14401 //
     /*  470041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470088 */     // MIs[1] Operand 1
     /*  470088 */     // No operand predicates
     /*  470088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470123 */     GIR_RootConstrainSelectedInstOperands,
     /*  470124 */     // GIR_Coverage, 14401,
     /*  470124 */     GIR_EraseRootFromParent_Done,
     /*  470125 */   // Label 7970: @470125
     /*  470125 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(470214), // Rule ID 14402 //
     /*  470130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470177 */     // MIs[1] Operand 1
     /*  470177 */     // No operand predicates
     /*  470177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470212 */     GIR_RootConstrainSelectedInstOperands,
     /*  470213 */     // GIR_Coverage, 14402,
     /*  470213 */     GIR_EraseRootFromParent_Done,
     /*  470214 */   // Label 7971: @470214
     /*  470214 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(470303), // Rule ID 14405 //
     /*  470219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470266 */     // MIs[1] Operand 1
     /*  470266 */     // No operand predicates
     /*  470266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470301 */     GIR_RootConstrainSelectedInstOperands,
     /*  470302 */     // GIR_Coverage, 14405,
     /*  470302 */     GIR_EraseRootFromParent_Done,
     /*  470303 */   // Label 7972: @470303
     /*  470303 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(470392), // Rule ID 14406 //
     /*  470308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470355 */     // MIs[1] Operand 1
     /*  470355 */     // No operand predicates
     /*  470355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470390 */     GIR_RootConstrainSelectedInstOperands,
     /*  470391 */     // GIR_Coverage, 14406,
     /*  470391 */     GIR_EraseRootFromParent_Done,
     /*  470392 */   // Label 7973: @470392
     /*  470392 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(470481), // Rule ID 14409 //
     /*  470397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470444 */     // MIs[1] Operand 1
     /*  470444 */     // No operand predicates
     /*  470444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470453 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470479 */     GIR_RootConstrainSelectedInstOperands,
     /*  470480 */     // GIR_Coverage, 14409,
     /*  470480 */     GIR_EraseRootFromParent_Done,
     /*  470481 */   // Label 7974: @470481
     /*  470481 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(470570), // Rule ID 14410 //
     /*  470486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470533 */     // MIs[1] Operand 1
     /*  470533 */     // No operand predicates
     /*  470533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470542 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470568 */     GIR_RootConstrainSelectedInstOperands,
     /*  470569 */     // GIR_Coverage, 14410,
     /*  470569 */     GIR_EraseRootFromParent_Done,
     /*  470570 */   // Label 7975: @470570
     /*  470570 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(470659), // Rule ID 14413 //
     /*  470575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470622 */     // MIs[1] Operand 1
     /*  470622 */     // No operand predicates
     /*  470622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470631 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470657 */     GIR_RootConstrainSelectedInstOperands,
     /*  470658 */     // GIR_Coverage, 14413,
     /*  470658 */     GIR_EraseRootFromParent_Done,
     /*  470659 */   // Label 7976: @470659
     /*  470659 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(470748), // Rule ID 14414 //
     /*  470664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470711 */     // MIs[1] Operand 1
     /*  470711 */     // No operand predicates
     /*  470711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470746 */     GIR_RootConstrainSelectedInstOperands,
     /*  470747 */     // GIR_Coverage, 14414,
     /*  470747 */     GIR_EraseRootFromParent_Done,
     /*  470748 */   // Label 7977: @470748
     /*  470748 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(470837), // Rule ID 14417 //
     /*  470753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  470764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  470767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  470770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470800 */     // MIs[1] Operand 1
     /*  470800 */     // No operand predicates
     /*  470800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470809 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470835 */     GIR_RootConstrainSelectedInstOperands,
     /*  470836 */     // GIR_Coverage, 14417,
     /*  470836 */     GIR_EraseRootFromParent_Done,
     /*  470837 */   // Label 7978: @470837
     /*  470837 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(470926), // Rule ID 14418 //
     /*  470842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  470853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  470856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  470859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470889 */     // MIs[1] Operand 1
     /*  470889 */     // No operand predicates
     /*  470889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470898 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470924 */     GIR_RootConstrainSelectedInstOperands,
     /*  470925 */     // GIR_Coverage, 14418,
     /*  470925 */     GIR_EraseRootFromParent_Done,
     /*  470926 */   // Label 7979: @470926
     /*  470926 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(471015), // Rule ID 14421 //
     /*  470931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  470942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  470945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  470948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470978 */     // MIs[1] Operand 1
     /*  470978 */     // No operand predicates
     /*  470978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471013 */     GIR_RootConstrainSelectedInstOperands,
     /*  471014 */     // GIR_Coverage, 14421,
     /*  471014 */     GIR_EraseRootFromParent_Done,
     /*  471015 */   // Label 7980: @471015
     /*  471015 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(471104), // Rule ID 14422 //
     /*  471020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471067 */     // MIs[1] Operand 1
     /*  471067 */     // No operand predicates
     /*  471067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471102 */     GIR_RootConstrainSelectedInstOperands,
     /*  471103 */     // GIR_Coverage, 14422,
     /*  471103 */     GIR_EraseRootFromParent_Done,
     /*  471104 */   // Label 7981: @471104
     /*  471104 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(471193), // Rule ID 14425 //
     /*  471109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471156 */     // MIs[1] Operand 1
     /*  471156 */     // No operand predicates
     /*  471156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471191 */     GIR_RootConstrainSelectedInstOperands,
     /*  471192 */     // GIR_Coverage, 14425,
     /*  471192 */     GIR_EraseRootFromParent_Done,
     /*  471193 */   // Label 7982: @471193
     /*  471193 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(471282), // Rule ID 14426 //
     /*  471198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471245 */     // MIs[1] Operand 1
     /*  471245 */     // No operand predicates
     /*  471245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471280 */     GIR_RootConstrainSelectedInstOperands,
     /*  471281 */     // GIR_Coverage, 14426,
     /*  471281 */     GIR_EraseRootFromParent_Done,
     /*  471282 */   // Label 7983: @471282
     /*  471282 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(471371), // Rule ID 14429 //
     /*  471287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471334 */     // MIs[1] Operand 1
     /*  471334 */     // No operand predicates
     /*  471334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471343 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471369 */     GIR_RootConstrainSelectedInstOperands,
     /*  471370 */     // GIR_Coverage, 14429,
     /*  471370 */     GIR_EraseRootFromParent_Done,
     /*  471371 */   // Label 7984: @471371
     /*  471371 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(471460), // Rule ID 14430 //
     /*  471376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471423 */     // MIs[1] Operand 1
     /*  471423 */     // No operand predicates
     /*  471423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471458 */     GIR_RootConstrainSelectedInstOperands,
     /*  471459 */     // GIR_Coverage, 14430,
     /*  471459 */     GIR_EraseRootFromParent_Done,
     /*  471460 */   // Label 7985: @471460
     /*  471460 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(471549), // Rule ID 14433 //
     /*  471465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471512 */     // MIs[1] Operand 1
     /*  471512 */     // No operand predicates
     /*  471512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471547 */     GIR_RootConstrainSelectedInstOperands,
     /*  471548 */     // GIR_Coverage, 14433,
     /*  471548 */     GIR_EraseRootFromParent_Done,
     /*  471549 */   // Label 7986: @471549
     /*  471549 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(471638), // Rule ID 14434 //
     /*  471554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471601 */     // MIs[1] Operand 1
     /*  471601 */     // No operand predicates
     /*  471601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471636 */     GIR_RootConstrainSelectedInstOperands,
     /*  471637 */     // GIR_Coverage, 14434,
     /*  471637 */     GIR_EraseRootFromParent_Done,
     /*  471638 */   // Label 7987: @471638
     /*  471638 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(471727), // Rule ID 14437 //
     /*  471643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471690 */     // MIs[1] Operand 1
     /*  471690 */     // No operand predicates
     /*  471690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471725 */     GIR_RootConstrainSelectedInstOperands,
     /*  471726 */     // GIR_Coverage, 14437,
     /*  471726 */     GIR_EraseRootFromParent_Done,
     /*  471727 */   // Label 7988: @471727
     /*  471727 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(471816), // Rule ID 14438 //
     /*  471732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471779 */     // MIs[1] Operand 1
     /*  471779 */     // No operand predicates
     /*  471779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471814 */     GIR_RootConstrainSelectedInstOperands,
     /*  471815 */     // GIR_Coverage, 14438,
     /*  471815 */     GIR_EraseRootFromParent_Done,
     /*  471816 */   // Label 7989: @471816
     /*  471816 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(471905), // Rule ID 14441 //
     /*  471821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471868 */     // MIs[1] Operand 1
     /*  471868 */     // No operand predicates
     /*  471868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471903 */     GIR_RootConstrainSelectedInstOperands,
     /*  471904 */     // GIR_Coverage, 14441,
     /*  471904 */     GIR_EraseRootFromParent_Done,
     /*  471905 */   // Label 7990: @471905
     /*  471905 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(471994), // Rule ID 14442 //
     /*  471910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471957 */     // MIs[1] Operand 1
     /*  471957 */     // No operand predicates
     /*  471957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471992 */     GIR_RootConstrainSelectedInstOperands,
     /*  471993 */     // GIR_Coverage, 14442,
     /*  471993 */     GIR_EraseRootFromParent_Done,
     /*  471994 */   // Label 7991: @471994
     /*  471994 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(472083), // Rule ID 14445 //
     /*  471999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472046 */     // MIs[1] Operand 1
     /*  472046 */     // No operand predicates
     /*  472046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472081 */     GIR_RootConstrainSelectedInstOperands,
     /*  472082 */     // GIR_Coverage, 14445,
     /*  472082 */     GIR_EraseRootFromParent_Done,
     /*  472083 */   // Label 7992: @472083
     /*  472083 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(472172), // Rule ID 14446 //
     /*  472088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472135 */     // MIs[1] Operand 1
     /*  472135 */     // No operand predicates
     /*  472135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472170 */     GIR_RootConstrainSelectedInstOperands,
     /*  472171 */     // GIR_Coverage, 14446,
     /*  472171 */     GIR_EraseRootFromParent_Done,
     /*  472172 */   // Label 7993: @472172
     /*  472172 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(472261), // Rule ID 14449 //
     /*  472177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472224 */     // MIs[1] Operand 1
     /*  472224 */     // No operand predicates
     /*  472224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472259 */     GIR_RootConstrainSelectedInstOperands,
     /*  472260 */     // GIR_Coverage, 14449,
     /*  472260 */     GIR_EraseRootFromParent_Done,
     /*  472261 */   // Label 7994: @472261
     /*  472261 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(472350), // Rule ID 14450 //
     /*  472266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472313 */     // MIs[1] Operand 1
     /*  472313 */     // No operand predicates
     /*  472313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472348 */     GIR_RootConstrainSelectedInstOperands,
     /*  472349 */     // GIR_Coverage, 14450,
     /*  472349 */     GIR_EraseRootFromParent_Done,
     /*  472350 */   // Label 7995: @472350
     /*  472350 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(472439), // Rule ID 14453 //
     /*  472355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472402 */     // MIs[1] Operand 1
     /*  472402 */     // No operand predicates
     /*  472402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472437 */     GIR_RootConstrainSelectedInstOperands,
     /*  472438 */     // GIR_Coverage, 14453,
     /*  472438 */     GIR_EraseRootFromParent_Done,
     /*  472439 */   // Label 7996: @472439
     /*  472439 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(472528), // Rule ID 14454 //
     /*  472444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472491 */     // MIs[1] Operand 1
     /*  472491 */     // No operand predicates
     /*  472491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472526 */     GIR_RootConstrainSelectedInstOperands,
     /*  472527 */     // GIR_Coverage, 14454,
     /*  472527 */     GIR_EraseRootFromParent_Done,
     /*  472528 */   // Label 7997: @472528
     /*  472528 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(472614), // Rule ID 24549 //
     /*  472533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  472544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  472547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472580 */     // MIs[1] Operand 1
     /*  472580 */     // No operand predicates
     /*  472580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  472592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472612 */     GIR_RootConstrainSelectedInstOperands,
     /*  472613 */     // GIR_Coverage, 24549,
     /*  472613 */     GIR_EraseRootFromParent_Done,
     /*  472614 */   // Label 7998: @472614
     /*  472614 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(472700), // Rule ID 24550 //
     /*  472619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  472630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  472633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472666 */     // MIs[1] Operand 1
     /*  472666 */     // No operand predicates
     /*  472666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  472678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472698 */     GIR_RootConstrainSelectedInstOperands,
     /*  472699 */     // GIR_Coverage, 24550,
     /*  472699 */     GIR_EraseRootFromParent_Done,
     /*  472700 */   // Label 7999: @472700
     /*  472700 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(472786), // Rule ID 24553 //
     /*  472705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  472716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  472719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  472722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472752 */     // MIs[1] Operand 1
     /*  472752 */     // No operand predicates
     /*  472752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  472764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472784 */     GIR_RootConstrainSelectedInstOperands,
     /*  472785 */     // GIR_Coverage, 24553,
     /*  472785 */     GIR_EraseRootFromParent_Done,
     /*  472786 */   // Label 8000: @472786
     /*  472786 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(472872), // Rule ID 24554 //
     /*  472791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  472802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  472805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  472808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472838 */     // MIs[1] Operand 1
     /*  472838 */     // No operand predicates
     /*  472838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  472850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472870 */     GIR_RootConstrainSelectedInstOperands,
     /*  472871 */     // GIR_Coverage, 24554,
     /*  472871 */     GIR_EraseRootFromParent_Done,
     /*  472872 */   // Label 8001: @472872
     /*  472872 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(472958), // Rule ID 24557 //
     /*  472877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  472888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  472891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  472894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472924 */     // MIs[1] Operand 1
     /*  472924 */     // No operand predicates
     /*  472924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472933 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472956 */     GIR_RootConstrainSelectedInstOperands,
     /*  472957 */     // GIR_Coverage, 24557,
     /*  472957 */     GIR_EraseRootFromParent_Done,
     /*  472958 */   // Label 8002: @472958
     /*  472958 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(473044), // Rule ID 24558 //
     /*  472963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  472974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  472977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  472980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473010 */     // MIs[1] Operand 1
     /*  473010 */     // No operand predicates
     /*  473010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473019 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473042 */     GIR_RootConstrainSelectedInstOperands,
     /*  473043 */     // GIR_Coverage, 24558,
     /*  473043 */     GIR_EraseRootFromParent_Done,
     /*  473044 */   // Label 8003: @473044
     /*  473044 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(473130), // Rule ID 24561 //
     /*  473049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473096 */     // MIs[1] Operand 1
     /*  473096 */     // No operand predicates
     /*  473096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473128 */     GIR_RootConstrainSelectedInstOperands,
     /*  473129 */     // GIR_Coverage, 24561,
     /*  473129 */     GIR_EraseRootFromParent_Done,
     /*  473130 */   // Label 8004: @473130
     /*  473130 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(473216), // Rule ID 24562 //
     /*  473135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473182 */     // MIs[1] Operand 1
     /*  473182 */     // No operand predicates
     /*  473182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473214 */     GIR_RootConstrainSelectedInstOperands,
     /*  473215 */     // GIR_Coverage, 24562,
     /*  473215 */     GIR_EraseRootFromParent_Done,
     /*  473216 */   // Label 8005: @473216
     /*  473216 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(473302), // Rule ID 24565 //
     /*  473221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473268 */     // MIs[1] Operand 1
     /*  473268 */     // No operand predicates
     /*  473268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473300 */     GIR_RootConstrainSelectedInstOperands,
     /*  473301 */     // GIR_Coverage, 24565,
     /*  473301 */     GIR_EraseRootFromParent_Done,
     /*  473302 */   // Label 8006: @473302
     /*  473302 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(473388), // Rule ID 24566 //
     /*  473307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473354 */     // MIs[1] Operand 1
     /*  473354 */     // No operand predicates
     /*  473354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473386 */     GIR_RootConstrainSelectedInstOperands,
     /*  473387 */     // GIR_Coverage, 24566,
     /*  473387 */     GIR_EraseRootFromParent_Done,
     /*  473388 */   // Label 8007: @473388
     /*  473388 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(473474), // Rule ID 24569 //
     /*  473393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473440 */     // MIs[1] Operand 1
     /*  473440 */     // No operand predicates
     /*  473440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473472 */     GIR_RootConstrainSelectedInstOperands,
     /*  473473 */     // GIR_Coverage, 24569,
     /*  473473 */     GIR_EraseRootFromParent_Done,
     /*  473474 */   // Label 8008: @473474
     /*  473474 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(473560), // Rule ID 24570 //
     /*  473479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473526 */     // MIs[1] Operand 1
     /*  473526 */     // No operand predicates
     /*  473526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473535 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473558 */     GIR_RootConstrainSelectedInstOperands,
     /*  473559 */     // GIR_Coverage, 24570,
     /*  473559 */     GIR_EraseRootFromParent_Done,
     /*  473560 */   // Label 8009: @473560
     /*  473560 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(473646), // Rule ID 24573 //
     /*  473565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  473576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  473579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473612 */     // MIs[1] Operand 1
     /*  473612 */     // No operand predicates
     /*  473612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473644 */     GIR_RootConstrainSelectedInstOperands,
     /*  473645 */     // GIR_Coverage, 24573,
     /*  473645 */     GIR_EraseRootFromParent_Done,
     /*  473646 */   // Label 8010: @473646
     /*  473646 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(473732), // Rule ID 24574 //
     /*  473651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  473662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  473665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473698 */     // MIs[1] Operand 1
     /*  473698 */     // No operand predicates
     /*  473698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473730 */     GIR_RootConstrainSelectedInstOperands,
     /*  473731 */     // GIR_Coverage, 24574,
     /*  473731 */     GIR_EraseRootFromParent_Done,
     /*  473732 */   // Label 8011: @473732
     /*  473732 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(473818), // Rule ID 24577 //
     /*  473737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  473748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  473751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  473754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473784 */     // MIs[1] Operand 1
     /*  473784 */     // No operand predicates
     /*  473784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473816 */     GIR_RootConstrainSelectedInstOperands,
     /*  473817 */     // GIR_Coverage, 24577,
     /*  473817 */     GIR_EraseRootFromParent_Done,
     /*  473818 */   // Label 8012: @473818
     /*  473818 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(473904), // Rule ID 24578 //
     /*  473823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  473834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  473837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  473840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473870 */     // MIs[1] Operand 1
     /*  473870 */     // No operand predicates
     /*  473870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473902 */     GIR_RootConstrainSelectedInstOperands,
     /*  473903 */     // GIR_Coverage, 24578,
     /*  473903 */     GIR_EraseRootFromParent_Done,
     /*  473904 */   // Label 8013: @473904
     /*  473904 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(473990), // Rule ID 24581 //
     /*  473909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  473920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  473923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  473926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473956 */     // MIs[1] Operand 1
     /*  473956 */     // No operand predicates
     /*  473956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473988 */     GIR_RootConstrainSelectedInstOperands,
     /*  473989 */     // GIR_Coverage, 24581,
     /*  473989 */     GIR_EraseRootFromParent_Done,
     /*  473990 */   // Label 8014: @473990
     /*  473990 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(474076), // Rule ID 24582 //
     /*  473995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474042 */     // MIs[1] Operand 1
     /*  474042 */     // No operand predicates
     /*  474042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474074 */     GIR_RootConstrainSelectedInstOperands,
     /*  474075 */     // GIR_Coverage, 24582,
     /*  474075 */     GIR_EraseRootFromParent_Done,
     /*  474076 */   // Label 8015: @474076
     /*  474076 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(474162), // Rule ID 24585 //
     /*  474081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474128 */     // MIs[1] Operand 1
     /*  474128 */     // No operand predicates
     /*  474128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474160 */     GIR_RootConstrainSelectedInstOperands,
     /*  474161 */     // GIR_Coverage, 24585,
     /*  474161 */     GIR_EraseRootFromParent_Done,
     /*  474162 */   // Label 8016: @474162
     /*  474162 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(474248), // Rule ID 24586 //
     /*  474167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474214 */     // MIs[1] Operand 1
     /*  474214 */     // No operand predicates
     /*  474214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474246 */     GIR_RootConstrainSelectedInstOperands,
     /*  474247 */     // GIR_Coverage, 24586,
     /*  474247 */     GIR_EraseRootFromParent_Done,
     /*  474248 */   // Label 8017: @474248
     /*  474248 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(474334), // Rule ID 24589 //
     /*  474253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474300 */     // MIs[1] Operand 1
     /*  474300 */     // No operand predicates
     /*  474300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474332 */     GIR_RootConstrainSelectedInstOperands,
     /*  474333 */     // GIR_Coverage, 24589,
     /*  474333 */     GIR_EraseRootFromParent_Done,
     /*  474334 */   // Label 8018: @474334
     /*  474334 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(474420), // Rule ID 24590 //
     /*  474339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474386 */     // MIs[1] Operand 1
     /*  474386 */     // No operand predicates
     /*  474386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474418 */     GIR_RootConstrainSelectedInstOperands,
     /*  474419 */     // GIR_Coverage, 24590,
     /*  474419 */     GIR_EraseRootFromParent_Done,
     /*  474420 */   // Label 8019: @474420
     /*  474420 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(474506), // Rule ID 24593 //
     /*  474425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474472 */     // MIs[1] Operand 1
     /*  474472 */     // No operand predicates
     /*  474472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474481 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474504 */     GIR_RootConstrainSelectedInstOperands,
     /*  474505 */     // GIR_Coverage, 24593,
     /*  474505 */     GIR_EraseRootFromParent_Done,
     /*  474506 */   // Label 8020: @474506
     /*  474506 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(474592), // Rule ID 24594 //
     /*  474511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474558 */     // MIs[1] Operand 1
     /*  474558 */     // No operand predicates
     /*  474558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474567 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474590 */     GIR_RootConstrainSelectedInstOperands,
     /*  474591 */     // GIR_Coverage, 24594,
     /*  474591 */     GIR_EraseRootFromParent_Done,
     /*  474592 */   // Label 8021: @474592
     /*  474592 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(474678), // Rule ID 24597 //
     /*  474597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  474608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  474611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  474614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474644 */     // MIs[1] Operand 1
     /*  474644 */     // No operand predicates
     /*  474644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474676 */     GIR_RootConstrainSelectedInstOperands,
     /*  474677 */     // GIR_Coverage, 24597,
     /*  474677 */     GIR_EraseRootFromParent_Done,
     /*  474678 */   // Label 8022: @474678
     /*  474678 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(474764), // Rule ID 24598 //
     /*  474683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  474694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  474697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  474700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474730 */     // MIs[1] Operand 1
     /*  474730 */     // No operand predicates
     /*  474730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474739 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474762 */     GIR_RootConstrainSelectedInstOperands,
     /*  474763 */     // GIR_Coverage, 24598,
     /*  474763 */     GIR_EraseRootFromParent_Done,
     /*  474764 */   // Label 8023: @474764
     /*  474764 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(474850), // Rule ID 24601 //
     /*  474769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  474780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  474783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  474786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474816 */     // MIs[1] Operand 1
     /*  474816 */     // No operand predicates
     /*  474816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474825 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474848 */     GIR_RootConstrainSelectedInstOperands,
     /*  474849 */     // GIR_Coverage, 24601,
     /*  474849 */     GIR_EraseRootFromParent_Done,
     /*  474850 */   // Label 8024: @474850
     /*  474850 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(474936), // Rule ID 24602 //
     /*  474855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  474866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  474869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  474872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474902 */     // MIs[1] Operand 1
     /*  474902 */     // No operand predicates
     /*  474902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474934 */     GIR_RootConstrainSelectedInstOperands,
     /*  474935 */     // GIR_Coverage, 24602,
     /*  474935 */     GIR_EraseRootFromParent_Done,
     /*  474936 */   // Label 8025: @474936
     /*  474936 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(475022), // Rule ID 24605 //
     /*  474941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  474952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  474955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  474958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474988 */     // MIs[1] Operand 1
     /*  474988 */     // No operand predicates
     /*  474988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475020 */     GIR_RootConstrainSelectedInstOperands,
     /*  475021 */     // GIR_Coverage, 24605,
     /*  475021 */     GIR_EraseRootFromParent_Done,
     /*  475022 */   // Label 8026: @475022
     /*  475022 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(475108), // Rule ID 24606 //
     /*  475027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475074 */     // MIs[1] Operand 1
     /*  475074 */     // No operand predicates
     /*  475074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475106 */     GIR_RootConstrainSelectedInstOperands,
     /*  475107 */     // GIR_Coverage, 24606,
     /*  475107 */     GIR_EraseRootFromParent_Done,
     /*  475108 */   // Label 8027: @475108
     /*  475108 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(475194), // Rule ID 24609 //
     /*  475113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475160 */     // MIs[1] Operand 1
     /*  475160 */     // No operand predicates
     /*  475160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475169 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475192 */     GIR_RootConstrainSelectedInstOperands,
     /*  475193 */     // GIR_Coverage, 24609,
     /*  475193 */     GIR_EraseRootFromParent_Done,
     /*  475194 */   // Label 8028: @475194
     /*  475194 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(475280), // Rule ID 24610 //
     /*  475199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475246 */     // MIs[1] Operand 1
     /*  475246 */     // No operand predicates
     /*  475246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475278 */     GIR_RootConstrainSelectedInstOperands,
     /*  475279 */     // GIR_Coverage, 24610,
     /*  475279 */     GIR_EraseRootFromParent_Done,
     /*  475280 */   // Label 8029: @475280
     /*  475280 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(475366), // Rule ID 24613 //
     /*  475285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475332 */     // MIs[1] Operand 1
     /*  475332 */     // No operand predicates
     /*  475332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475364 */     GIR_RootConstrainSelectedInstOperands,
     /*  475365 */     // GIR_Coverage, 24613,
     /*  475365 */     GIR_EraseRootFromParent_Done,
     /*  475366 */   // Label 8030: @475366
     /*  475366 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(475452), // Rule ID 24614 //
     /*  475371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475418 */     // MIs[1] Operand 1
     /*  475418 */     // No operand predicates
     /*  475418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475450 */     GIR_RootConstrainSelectedInstOperands,
     /*  475451 */     // GIR_Coverage, 24614,
     /*  475451 */     GIR_EraseRootFromParent_Done,
     /*  475452 */   // Label 8031: @475452
     /*  475452 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(475538), // Rule ID 24617 //
     /*  475457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475504 */     // MIs[1] Operand 1
     /*  475504 */     // No operand predicates
     /*  475504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475536 */     GIR_RootConstrainSelectedInstOperands,
     /*  475537 */     // GIR_Coverage, 24617,
     /*  475537 */     GIR_EraseRootFromParent_Done,
     /*  475538 */   // Label 8032: @475538
     /*  475538 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(475624), // Rule ID 24618 //
     /*  475543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475590 */     // MIs[1] Operand 1
     /*  475590 */     // No operand predicates
     /*  475590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475622 */     GIR_RootConstrainSelectedInstOperands,
     /*  475623 */     // GIR_Coverage, 24618,
     /*  475623 */     GIR_EraseRootFromParent_Done,
     /*  475624 */   // Label 8033: @475624
     /*  475624 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(475710), // Rule ID 24621 //
     /*  475629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  475646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475676 */     // MIs[1] Operand 1
     /*  475676 */     // No operand predicates
     /*  475676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475708 */     GIR_RootConstrainSelectedInstOperands,
     /*  475709 */     // GIR_Coverage, 24621,
     /*  475709 */     GIR_EraseRootFromParent_Done,
     /*  475710 */   // Label 8034: @475710
     /*  475710 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(475796), // Rule ID 24622 //
     /*  475715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  475732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475762 */     // MIs[1] Operand 1
     /*  475762 */     // No operand predicates
     /*  475762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475794 */     GIR_RootConstrainSelectedInstOperands,
     /*  475795 */     // GIR_Coverage, 24622,
     /*  475795 */     GIR_EraseRootFromParent_Done,
     /*  475796 */   // Label 8035: @475796
     /*  475796 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(475882), // Rule ID 24625 //
     /*  475801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  475804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  475812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  475815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  475818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475848 */     // MIs[1] Operand 1
     /*  475848 */     // No operand predicates
     /*  475848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  475857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475880 */     GIR_RootConstrainSelectedInstOperands,
     /*  475881 */     // GIR_Coverage, 24625,
     /*  475881 */     GIR_EraseRootFromParent_Done,
     /*  475882 */   // Label 8036: @475882
     /*  475882 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(475968), // Rule ID 24626 //
     /*  475887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  475890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  475898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  475901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  475904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475934 */     // MIs[1] Operand 1
     /*  475934 */     // No operand predicates
     /*  475934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  475943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475966 */     GIR_RootConstrainSelectedInstOperands,
     /*  475967 */     // GIR_Coverage, 24626,
     /*  475967 */     GIR_EraseRootFromParent_Done,
     /*  475968 */   // Label 8037: @475968
     /*  475968 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(476054), // Rule ID 24629 //
     /*  475973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  475976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  475984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  475987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  475990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476020 */     // MIs[1] Operand 1
     /*  476020 */     // No operand predicates
     /*  476020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476029 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476052 */     GIR_RootConstrainSelectedInstOperands,
     /*  476053 */     // GIR_Coverage, 24629,
     /*  476053 */     GIR_EraseRootFromParent_Done,
     /*  476054 */   // Label 8038: @476054
     /*  476054 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(476140), // Rule ID 24630 //
     /*  476059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476106 */     // MIs[1] Operand 1
     /*  476106 */     // No operand predicates
     /*  476106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476138 */     GIR_RootConstrainSelectedInstOperands,
     /*  476139 */     // GIR_Coverage, 24630,
     /*  476139 */     GIR_EraseRootFromParent_Done,
     /*  476140 */   // Label 8039: @476140
     /*  476140 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(476226), // Rule ID 24633 //
     /*  476145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476192 */     // MIs[1] Operand 1
     /*  476192 */     // No operand predicates
     /*  476192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476224 */     GIR_RootConstrainSelectedInstOperands,
     /*  476225 */     // GIR_Coverage, 24633,
     /*  476225 */     GIR_EraseRootFromParent_Done,
     /*  476226 */   // Label 8040: @476226
     /*  476226 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(476312), // Rule ID 24634 //
     /*  476231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476278 */     // MIs[1] Operand 1
     /*  476278 */     // No operand predicates
     /*  476278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476310 */     GIR_RootConstrainSelectedInstOperands,
     /*  476311 */     // GIR_Coverage, 24634,
     /*  476311 */     GIR_EraseRootFromParent_Done,
     /*  476312 */   // Label 8041: @476312
     /*  476312 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(476398), // Rule ID 24793 //
     /*  476317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476364 */     // MIs[1] Operand 1
     /*  476364 */     // No operand predicates
     /*  476364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476373 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476396 */     GIR_RootConstrainSelectedInstOperands,
     /*  476397 */     // GIR_Coverage, 24793,
     /*  476397 */     GIR_EraseRootFromParent_Done,
     /*  476398 */   // Label 8042: @476398
     /*  476398 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(476484), // Rule ID 24794 //
     /*  476403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476450 */     // MIs[1] Operand 1
     /*  476450 */     // No operand predicates
     /*  476450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476459 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476482 */     GIR_RootConstrainSelectedInstOperands,
     /*  476483 */     // GIR_Coverage, 24794,
     /*  476483 */     GIR_EraseRootFromParent_Done,
     /*  476484 */   // Label 8043: @476484
     /*  476484 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(476570), // Rule ID 24797 //
     /*  476489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476536 */     // MIs[1] Operand 1
     /*  476536 */     // No operand predicates
     /*  476536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476545 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476568 */     GIR_RootConstrainSelectedInstOperands,
     /*  476569 */     // GIR_Coverage, 24797,
     /*  476569 */     GIR_EraseRootFromParent_Done,
     /*  476570 */   // Label 8044: @476570
     /*  476570 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(476656), // Rule ID 24798 //
     /*  476575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476622 */     // MIs[1] Operand 1
     /*  476622 */     // No operand predicates
     /*  476622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476631 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476654 */     GIR_RootConstrainSelectedInstOperands,
     /*  476655 */     // GIR_Coverage, 24798,
     /*  476655 */     GIR_EraseRootFromParent_Done,
     /*  476656 */   // Label 8045: @476656
     /*  476656 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(476742), // Rule ID 24801 //
     /*  476661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  476664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  476678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476708 */     // MIs[1] Operand 1
     /*  476708 */     // No operand predicates
     /*  476708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476717 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476740 */     GIR_RootConstrainSelectedInstOperands,
     /*  476741 */     // GIR_Coverage, 24801,
     /*  476741 */     GIR_EraseRootFromParent_Done,
     /*  476742 */   // Label 8046: @476742
     /*  476742 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(476828), // Rule ID 24802 //
     /*  476747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  476750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  476764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476794 */     // MIs[1] Operand 1
     /*  476794 */     // No operand predicates
     /*  476794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476803 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476826 */     GIR_RootConstrainSelectedInstOperands,
     /*  476827 */     // GIR_Coverage, 24802,
     /*  476827 */     GIR_EraseRootFromParent_Done,
     /*  476828 */   // Label 8047: @476828
     /*  476828 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(476914), // Rule ID 24805 //
     /*  476833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476880 */     // MIs[1] Operand 1
     /*  476880 */     // No operand predicates
     /*  476880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476889 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476912 */     GIR_RootConstrainSelectedInstOperands,
     /*  476913 */     // GIR_Coverage, 24805,
     /*  476913 */     GIR_EraseRootFromParent_Done,
     /*  476914 */   // Label 8048: @476914
     /*  476914 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(477000), // Rule ID 24806 //
     /*  476919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476966 */     // MIs[1] Operand 1
     /*  476966 */     // No operand predicates
     /*  476966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476975 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476998 */     GIR_RootConstrainSelectedInstOperands,
     /*  476999 */     // GIR_Coverage, 24806,
     /*  476999 */     GIR_EraseRootFromParent_Done,
     /*  477000 */   // Label 8049: @477000
     /*  477000 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(477086), // Rule ID 24809 //
     /*  477005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  477016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  477019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  477022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477052 */     // MIs[1] Operand 1
     /*  477052 */     // No operand predicates
     /*  477052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477061 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477084 */     GIR_RootConstrainSelectedInstOperands,
     /*  477085 */     // GIR_Coverage, 24809,
     /*  477085 */     GIR_EraseRootFromParent_Done,
     /*  477086 */   // Label 8050: @477086
     /*  477086 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(477172), // Rule ID 24810 //
     /*  477091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  477102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  477105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  477108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477138 */     // MIs[1] Operand 1
     /*  477138 */     // No operand predicates
     /*  477138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477147 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477170 */     GIR_RootConstrainSelectedInstOperands,
     /*  477171 */     // GIR_Coverage, 24810,
     /*  477171 */     GIR_EraseRootFromParent_Done,
     /*  477172 */   // Label 8051: @477172
     /*  477172 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(477258), // Rule ID 24813 //
     /*  477177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477224 */     // MIs[1] Operand 1
     /*  477224 */     // No operand predicates
     /*  477224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477233 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477256 */     GIR_RootConstrainSelectedInstOperands,
     /*  477257 */     // GIR_Coverage, 24813,
     /*  477257 */     GIR_EraseRootFromParent_Done,
     /*  477258 */   // Label 8052: @477258
     /*  477258 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(477344), // Rule ID 24814 //
     /*  477263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477310 */     // MIs[1] Operand 1
     /*  477310 */     // No operand predicates
     /*  477310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477319 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477342 */     GIR_RootConstrainSelectedInstOperands,
     /*  477343 */     // GIR_Coverage, 24814,
     /*  477343 */     GIR_EraseRootFromParent_Done,
     /*  477344 */   // Label 8053: @477344
     /*  477344 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(477430), // Rule ID 24817 //
     /*  477349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477396 */     // MIs[1] Operand 1
     /*  477396 */     // No operand predicates
     /*  477396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477405 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477428 */     GIR_RootConstrainSelectedInstOperands,
     /*  477429 */     // GIR_Coverage, 24817,
     /*  477429 */     GIR_EraseRootFromParent_Done,
     /*  477430 */   // Label 8054: @477430
     /*  477430 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(477516), // Rule ID 24818 //
     /*  477435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477482 */     // MIs[1] Operand 1
     /*  477482 */     // No operand predicates
     /*  477482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477491 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477514 */     GIR_RootConstrainSelectedInstOperands,
     /*  477515 */     // GIR_Coverage, 24818,
     /*  477515 */     GIR_EraseRootFromParent_Done,
     /*  477516 */   // Label 8055: @477516
     /*  477516 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(477602), // Rule ID 24821 //
     /*  477521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477568 */     // MIs[1] Operand 1
     /*  477568 */     // No operand predicates
     /*  477568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477577 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477600 */     GIR_RootConstrainSelectedInstOperands,
     /*  477601 */     // GIR_Coverage, 24821,
     /*  477601 */     GIR_EraseRootFromParent_Done,
     /*  477602 */   // Label 8056: @477602
     /*  477602 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(477688), // Rule ID 24822 //
     /*  477607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477654 */     // MIs[1] Operand 1
     /*  477654 */     // No operand predicates
     /*  477654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477663 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477686 */     GIR_RootConstrainSelectedInstOperands,
     /*  477687 */     // GIR_Coverage, 24822,
     /*  477687 */     GIR_EraseRootFromParent_Done,
     /*  477688 */   // Label 8057: @477688
     /*  477688 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(477774), // Rule ID 24825 //
     /*  477693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477740 */     // MIs[1] Operand 1
     /*  477740 */     // No operand predicates
     /*  477740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477749 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477772 */     GIR_RootConstrainSelectedInstOperands,
     /*  477773 */     // GIR_Coverage, 24825,
     /*  477773 */     GIR_EraseRootFromParent_Done,
     /*  477774 */   // Label 8058: @477774
     /*  477774 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(477860), // Rule ID 24826 //
     /*  477779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477826 */     // MIs[1] Operand 1
     /*  477826 */     // No operand predicates
     /*  477826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477835 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477858 */     GIR_RootConstrainSelectedInstOperands,
     /*  477859 */     // GIR_Coverage, 24826,
     /*  477859 */     GIR_EraseRootFromParent_Done,
     /*  477860 */   // Label 8059: @477860
     /*  477860 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(477946), // Rule ID 24877 //
     /*  477865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  477868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477912 */     // MIs[1] Operand 1
     /*  477912 */     // No operand predicates
     /*  477912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477921 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477944 */     GIR_RootConstrainSelectedInstOperands,
     /*  477945 */     // GIR_Coverage, 24877,
     /*  477945 */     GIR_EraseRootFromParent_Done,
     /*  477946 */   // Label 8060: @477946
     /*  477946 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(478032), // Rule ID 24878 //
     /*  477951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  477954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477998 */     // MIs[1] Operand 1
     /*  477998 */     // No operand predicates
     /*  477998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478007 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478030 */     GIR_RootConstrainSelectedInstOperands,
     /*  478031 */     // GIR_Coverage, 24878,
     /*  478031 */     GIR_EraseRootFromParent_Done,
     /*  478032 */   // Label 8061: @478032
     /*  478032 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(478118), // Rule ID 24881 //
     /*  478037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478084 */     // MIs[1] Operand 1
     /*  478084 */     // No operand predicates
     /*  478084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478093 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478116 */     GIR_RootConstrainSelectedInstOperands,
     /*  478117 */     // GIR_Coverage, 24881,
     /*  478117 */     GIR_EraseRootFromParent_Done,
     /*  478118 */   // Label 8062: @478118
     /*  478118 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(478204), // Rule ID 24882 //
     /*  478123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478170 */     // MIs[1] Operand 1
     /*  478170 */     // No operand predicates
     /*  478170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478179 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478202 */     GIR_RootConstrainSelectedInstOperands,
     /*  478203 */     // GIR_Coverage, 24882,
     /*  478203 */     GIR_EraseRootFromParent_Done,
     /*  478204 */   // Label 8063: @478204
     /*  478204 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(478290), // Rule ID 24885 //
     /*  478209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478256 */     // MIs[1] Operand 1
     /*  478256 */     // No operand predicates
     /*  478256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478265 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478288 */     GIR_RootConstrainSelectedInstOperands,
     /*  478289 */     // GIR_Coverage, 24885,
     /*  478289 */     GIR_EraseRootFromParent_Done,
     /*  478290 */   // Label 8064: @478290
     /*  478290 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(478376), // Rule ID 24886 //
     /*  478295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478342 */     // MIs[1] Operand 1
     /*  478342 */     // No operand predicates
     /*  478342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478351 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478374 */     GIR_RootConstrainSelectedInstOperands,
     /*  478375 */     // GIR_Coverage, 24886,
     /*  478375 */     GIR_EraseRootFromParent_Done,
     /*  478376 */   // Label 8065: @478376
     /*  478376 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(478462), // Rule ID 24889 //
     /*  478381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478428 */     // MIs[1] Operand 1
     /*  478428 */     // No operand predicates
     /*  478428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478437 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478460 */     GIR_RootConstrainSelectedInstOperands,
     /*  478461 */     // GIR_Coverage, 24889,
     /*  478461 */     GIR_EraseRootFromParent_Done,
     /*  478462 */   // Label 8066: @478462
     /*  478462 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(478548), // Rule ID 24890 //
     /*  478467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478514 */     // MIs[1] Operand 1
     /*  478514 */     // No operand predicates
     /*  478514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478523 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478546 */     GIR_RootConstrainSelectedInstOperands,
     /*  478547 */     // GIR_Coverage, 24890,
     /*  478547 */     GIR_EraseRootFromParent_Done,
     /*  478548 */   // Label 8067: @478548
     /*  478548 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(478634), // Rule ID 24893 //
     /*  478553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478600 */     // MIs[1] Operand 1
     /*  478600 */     // No operand predicates
     /*  478600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478609 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478632 */     GIR_RootConstrainSelectedInstOperands,
     /*  478633 */     // GIR_Coverage, 24893,
     /*  478633 */     GIR_EraseRootFromParent_Done,
     /*  478634 */   // Label 8068: @478634
     /*  478634 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(478720), // Rule ID 24894 //
     /*  478639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478686 */     // MIs[1] Operand 1
     /*  478686 */     // No operand predicates
     /*  478686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478695 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478718 */     GIR_RootConstrainSelectedInstOperands,
     /*  478719 */     // GIR_Coverage, 24894,
     /*  478719 */     GIR_EraseRootFromParent_Done,
     /*  478720 */   // Label 8069: @478720
     /*  478720 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(478806), // Rule ID 24897 //
     /*  478725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478772 */     // MIs[1] Operand 1
     /*  478772 */     // No operand predicates
     /*  478772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478781 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478804 */     GIR_RootConstrainSelectedInstOperands,
     /*  478805 */     // GIR_Coverage, 24897,
     /*  478805 */     GIR_EraseRootFromParent_Done,
     /*  478806 */   // Label 8070: @478806
     /*  478806 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(478892), // Rule ID 24898 //
     /*  478811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478858 */     // MIs[1] Operand 1
     /*  478858 */     // No operand predicates
     /*  478858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478867 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478890 */     GIR_RootConstrainSelectedInstOperands,
     /*  478891 */     // GIR_Coverage, 24898,
     /*  478891 */     GIR_EraseRootFromParent_Done,
     /*  478892 */   // Label 8071: @478892
     /*  478892 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(478978), // Rule ID 60901 //
     /*  478897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  478914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478944 */     // MIs[1] Operand 1
     /*  478944 */     // No operand predicates
     /*  478944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  478956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478976 */     GIR_RootConstrainSelectedInstOperands,
     /*  478977 */     // GIR_Coverage, 60901,
     /*  478977 */     GIR_EraseRootFromParent_Done,
     /*  478978 */   // Label 8072: @478978
     /*  478978 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(479064), // Rule ID 60902 //
     /*  478983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479030 */     // MIs[1] Operand 1
     /*  479030 */     // No operand predicates
     /*  479030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479039 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  479042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479062 */     GIR_RootConstrainSelectedInstOperands,
     /*  479063 */     // GIR_Coverage, 60902,
     /*  479063 */     GIR_EraseRootFromParent_Done,
     /*  479064 */   // Label 8073: @479064
     /*  479064 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(479150), // Rule ID 60909 //
     /*  479069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479116 */     // MIs[1] Operand 1
     /*  479116 */     // No operand predicates
     /*  479116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479125 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479148 */     GIR_RootConstrainSelectedInstOperands,
     /*  479149 */     // GIR_Coverage, 60909,
     /*  479149 */     GIR_EraseRootFromParent_Done,
     /*  479150 */   // Label 8074: @479150
     /*  479150 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(479236), // Rule ID 60910 //
     /*  479155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479202 */     // MIs[1] Operand 1
     /*  479202 */     // No operand predicates
     /*  479202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479234 */     GIR_RootConstrainSelectedInstOperands,
     /*  479235 */     // GIR_Coverage, 60910,
     /*  479235 */     GIR_EraseRootFromParent_Done,
     /*  479236 */   // Label 8075: @479236
     /*  479236 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(479322), // Rule ID 60917 //
     /*  479241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479288 */     // MIs[1] Operand 1
     /*  479288 */     // No operand predicates
     /*  479288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479320 */     GIR_RootConstrainSelectedInstOperands,
     /*  479321 */     // GIR_Coverage, 60917,
     /*  479321 */     GIR_EraseRootFromParent_Done,
     /*  479322 */   // Label 8076: @479322
     /*  479322 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(479408), // Rule ID 60918 //
     /*  479327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479374 */     // MIs[1] Operand 1
     /*  479374 */     // No operand predicates
     /*  479374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479406 */     GIR_RootConstrainSelectedInstOperands,
     /*  479407 */     // GIR_Coverage, 60918,
     /*  479407 */     GIR_EraseRootFromParent_Done,
     /*  479408 */   // Label 8077: @479408
     /*  479408 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(479494), // Rule ID 60925 //
     /*  479413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479460 */     // MIs[1] Operand 1
     /*  479460 */     // No operand predicates
     /*  479460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479469 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479492 */     GIR_RootConstrainSelectedInstOperands,
     /*  479493 */     // GIR_Coverage, 60925,
     /*  479493 */     GIR_EraseRootFromParent_Done,
     /*  479494 */   // Label 8078: @479494
     /*  479494 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(479580), // Rule ID 60926 //
     /*  479499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479546 */     // MIs[1] Operand 1
     /*  479546 */     // No operand predicates
     /*  479546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479555 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479578 */     GIR_RootConstrainSelectedInstOperands,
     /*  479579 */     // GIR_Coverage, 60926,
     /*  479579 */     GIR_EraseRootFromParent_Done,
     /*  479580 */   // Label 8079: @479580
     /*  479580 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(479666), // Rule ID 60933 //
     /*  479585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479632 */     // MIs[1] Operand 1
     /*  479632 */     // No operand predicates
     /*  479632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479641 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  479644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479664 */     GIR_RootConstrainSelectedInstOperands,
     /*  479665 */     // GIR_Coverage, 60933,
     /*  479665 */     GIR_EraseRootFromParent_Done,
     /*  479666 */   // Label 8080: @479666
     /*  479666 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(479752), // Rule ID 60934 //
     /*  479671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479718 */     // MIs[1] Operand 1
     /*  479718 */     // No operand predicates
     /*  479718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  479730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479750 */     GIR_RootConstrainSelectedInstOperands,
     /*  479751 */     // GIR_Coverage, 60934,
     /*  479751 */     GIR_EraseRootFromParent_Done,
     /*  479752 */   // Label 8081: @479752
     /*  479752 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(479838), // Rule ID 60941 //
     /*  479757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479804 */     // MIs[1] Operand 1
     /*  479804 */     // No operand predicates
     /*  479804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479813 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  479816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479836 */     GIR_RootConstrainSelectedInstOperands,
     /*  479837 */     // GIR_Coverage, 60941,
     /*  479837 */     GIR_EraseRootFromParent_Done,
     /*  479838 */   // Label 8082: @479838
     /*  479838 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(479924), // Rule ID 60942 //
     /*  479843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479890 */     // MIs[1] Operand 1
     /*  479890 */     // No operand predicates
     /*  479890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  479902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479922 */     GIR_RootConstrainSelectedInstOperands,
     /*  479923 */     // GIR_Coverage, 60942,
     /*  479923 */     GIR_EraseRootFromParent_Done,
     /*  479924 */   // Label 8083: @479924
     /*  479924 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(480010), // Rule ID 60949 //
     /*  479929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  479940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  479943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479976 */     // MIs[1] Operand 1
     /*  479976 */     // No operand predicates
     /*  479976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480008 */     GIR_RootConstrainSelectedInstOperands,
     /*  480009 */     // GIR_Coverage, 60949,
     /*  480009 */     GIR_EraseRootFromParent_Done,
     /*  480010 */   // Label 8084: @480010
     /*  480010 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(480096), // Rule ID 60950 //
     /*  480015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480062 */     // MIs[1] Operand 1
     /*  480062 */     // No operand predicates
     /*  480062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480094 */     GIR_RootConstrainSelectedInstOperands,
     /*  480095 */     // GIR_Coverage, 60950,
     /*  480095 */     GIR_EraseRootFromParent_Done,
     /*  480096 */   // Label 8085: @480096
     /*  480096 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(480182), // Rule ID 60957 //
     /*  480101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480148 */     // MIs[1] Operand 1
     /*  480148 */     // No operand predicates
     /*  480148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480180 */     GIR_RootConstrainSelectedInstOperands,
     /*  480181 */     // GIR_Coverage, 60957,
     /*  480181 */     GIR_EraseRootFromParent_Done,
     /*  480182 */   // Label 8086: @480182
     /*  480182 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(480268), // Rule ID 60958 //
     /*  480187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480234 */     // MIs[1] Operand 1
     /*  480234 */     // No operand predicates
     /*  480234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480266 */     GIR_RootConstrainSelectedInstOperands,
     /*  480267 */     // GIR_Coverage, 60958,
     /*  480267 */     GIR_EraseRootFromParent_Done,
     /*  480268 */   // Label 8087: @480268
     /*  480268 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(480354), // Rule ID 60965 //
     /*  480273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480320 */     // MIs[1] Operand 1
     /*  480320 */     // No operand predicates
     /*  480320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480329 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480352 */     GIR_RootConstrainSelectedInstOperands,
     /*  480353 */     // GIR_Coverage, 60965,
     /*  480353 */     GIR_EraseRootFromParent_Done,
     /*  480354 */   // Label 8088: @480354
     /*  480354 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(480440), // Rule ID 60966 //
     /*  480359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480406 */     // MIs[1] Operand 1
     /*  480406 */     // No operand predicates
     /*  480406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480438 */     GIR_RootConstrainSelectedInstOperands,
     /*  480439 */     // GIR_Coverage, 60966,
     /*  480439 */     GIR_EraseRootFromParent_Done,
     /*  480440 */   // Label 8089: @480440
     /*  480440 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(480526), // Rule ID 60973 //
     /*  480445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480492 */     // MIs[1] Operand 1
     /*  480492 */     // No operand predicates
     /*  480492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480524 */     GIR_RootConstrainSelectedInstOperands,
     /*  480525 */     // GIR_Coverage, 60973,
     /*  480525 */     GIR_EraseRootFromParent_Done,
     /*  480526 */   // Label 8090: @480526
     /*  480526 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(480612), // Rule ID 60974 //
     /*  480531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480578 */     // MIs[1] Operand 1
     /*  480578 */     // No operand predicates
     /*  480578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480610 */     GIR_RootConstrainSelectedInstOperands,
     /*  480611 */     // GIR_Coverage, 60974,
     /*  480611 */     GIR_EraseRootFromParent_Done,
     /*  480612 */   // Label 8091: @480612
     /*  480612 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(480698), // Rule ID 60981 //
     /*  480617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480664 */     // MIs[1] Operand 1
     /*  480664 */     // No operand predicates
     /*  480664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480673 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480696 */     GIR_RootConstrainSelectedInstOperands,
     /*  480697 */     // GIR_Coverage, 60981,
     /*  480697 */     GIR_EraseRootFromParent_Done,
     /*  480698 */   // Label 8092: @480698
     /*  480698 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(480784), // Rule ID 60982 //
     /*  480703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480750 */     // MIs[1] Operand 1
     /*  480750 */     // No operand predicates
     /*  480750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480782 */     GIR_RootConstrainSelectedInstOperands,
     /*  480783 */     // GIR_Coverage, 60982,
     /*  480783 */     GIR_EraseRootFromParent_Done,
     /*  480784 */   // Label 8093: @480784
     /*  480784 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(480870), // Rule ID 60989 //
     /*  480789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480836 */     // MIs[1] Operand 1
     /*  480836 */     // No operand predicates
     /*  480836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480868 */     GIR_RootConstrainSelectedInstOperands,
     /*  480869 */     // GIR_Coverage, 60989,
     /*  480869 */     GIR_EraseRootFromParent_Done,
     /*  480870 */   // Label 8094: @480870
     /*  480870 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(480956), // Rule ID 60990 //
     /*  480875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480922 */     // MIs[1] Operand 1
     /*  480922 */     // No operand predicates
     /*  480922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480954 */     GIR_RootConstrainSelectedInstOperands,
     /*  480955 */     // GIR_Coverage, 60990,
     /*  480955 */     GIR_EraseRootFromParent_Done,
     /*  480956 */   // Label 8095: @480956
     /*  480956 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(481042), // Rule ID 60997 //
     /*  480961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481008 */     // MIs[1] Operand 1
     /*  481008 */     // No operand predicates
     /*  481008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481040 */     GIR_RootConstrainSelectedInstOperands,
     /*  481041 */     // GIR_Coverage, 60997,
     /*  481041 */     GIR_EraseRootFromParent_Done,
     /*  481042 */   // Label 8096: @481042
     /*  481042 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(481128), // Rule ID 60998 //
     /*  481047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481094 */     // MIs[1] Operand 1
     /*  481094 */     // No operand predicates
     /*  481094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481126 */     GIR_RootConstrainSelectedInstOperands,
     /*  481127 */     // GIR_Coverage, 60998,
     /*  481127 */     GIR_EraseRootFromParent_Done,
     /*  481128 */   // Label 8097: @481128
     /*  481128 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(481214), // Rule ID 61005 //
     /*  481133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481180 */     // MIs[1] Operand 1
     /*  481180 */     // No operand predicates
     /*  481180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481212 */     GIR_RootConstrainSelectedInstOperands,
     /*  481213 */     // GIR_Coverage, 61005,
     /*  481213 */     GIR_EraseRootFromParent_Done,
     /*  481214 */   // Label 8098: @481214
     /*  481214 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(481300), // Rule ID 61006 //
     /*  481219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481266 */     // MIs[1] Operand 1
     /*  481266 */     // No operand predicates
     /*  481266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481298 */     GIR_RootConstrainSelectedInstOperands,
     /*  481299 */     // GIR_Coverage, 61006,
     /*  481299 */     GIR_EraseRootFromParent_Done,
     /*  481300 */   // Label 8099: @481300
     /*  481300 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(481386), // Rule ID 61013 //
     /*  481305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481352 */     // MIs[1] Operand 1
     /*  481352 */     // No operand predicates
     /*  481352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481384 */     GIR_RootConstrainSelectedInstOperands,
     /*  481385 */     // GIR_Coverage, 61013,
     /*  481385 */     GIR_EraseRootFromParent_Done,
     /*  481386 */   // Label 8100: @481386
     /*  481386 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(481472), // Rule ID 61014 //
     /*  481391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481438 */     // MIs[1] Operand 1
     /*  481438 */     // No operand predicates
     /*  481438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481470 */     GIR_RootConstrainSelectedInstOperands,
     /*  481471 */     // GIR_Coverage, 61014,
     /*  481471 */     GIR_EraseRootFromParent_Done,
     /*  481472 */   // Label 8101: @481472
     /*  481472 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(481558), // Rule ID 61869 //
     /*  481477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481524 */     // MIs[1] Operand 1
     /*  481524 */     // No operand predicates
     /*  481524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481533 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  481536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481556 */     GIR_RootConstrainSelectedInstOperands,
     /*  481557 */     // GIR_Coverage, 61869,
     /*  481557 */     GIR_EraseRootFromParent_Done,
     /*  481558 */   // Label 8102: @481558
     /*  481558 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(481644), // Rule ID 61870 //
     /*  481563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481610 */     // MIs[1] Operand 1
     /*  481610 */     // No operand predicates
     /*  481610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  481622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481642 */     GIR_RootConstrainSelectedInstOperands,
     /*  481643 */     // GIR_Coverage, 61870,
     /*  481643 */     GIR_EraseRootFromParent_Done,
     /*  481644 */   // Label 8103: @481644
     /*  481644 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(481730), // Rule ID 61873 //
     /*  481649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  481660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  481663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481696 */     // MIs[1] Operand 1
     /*  481696 */     // No operand predicates
     /*  481696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481705 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  481708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481728 */     GIR_RootConstrainSelectedInstOperands,
     /*  481729 */     // GIR_Coverage, 61873,
     /*  481729 */     GIR_EraseRootFromParent_Done,
     /*  481730 */   // Label 8104: @481730
     /*  481730 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(481816), // Rule ID 61874 //
     /*  481735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  481746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  481749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481782 */     // MIs[1] Operand 1
     /*  481782 */     // No operand predicates
     /*  481782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  481794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481814 */     GIR_RootConstrainSelectedInstOperands,
     /*  481815 */     // GIR_Coverage, 61874,
     /*  481815 */     GIR_EraseRootFromParent_Done,
     /*  481816 */   // Label 8105: @481816
     /*  481816 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(481902), // Rule ID 61877 //
     /*  481821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  481832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  481835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481868 */     // MIs[1] Operand 1
     /*  481868 */     // No operand predicates
     /*  481868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  481880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481900 */     GIR_RootConstrainSelectedInstOperands,
     /*  481901 */     // GIR_Coverage, 61877,
     /*  481901 */     GIR_EraseRootFromParent_Done,
     /*  481902 */   // Label 8106: @481902
     /*  481902 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(481988), // Rule ID 61878 //
     /*  481907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  481918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  481921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481954 */     // MIs[1] Operand 1
     /*  481954 */     // No operand predicates
     /*  481954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481963 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  481966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481986 */     GIR_RootConstrainSelectedInstOperands,
     /*  481987 */     // GIR_Coverage, 61878,
     /*  481987 */     GIR_EraseRootFromParent_Done,
     /*  481988 */   // Label 8107: @481988
     /*  481988 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(482074), // Rule ID 61881 //
     /*  481993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482040 */     // MIs[1] Operand 1
     /*  482040 */     // No operand predicates
     /*  482040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482072 */     GIR_RootConstrainSelectedInstOperands,
     /*  482073 */     // GIR_Coverage, 61881,
     /*  482073 */     GIR_EraseRootFromParent_Done,
     /*  482074 */   // Label 8108: @482074
     /*  482074 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(482160), // Rule ID 61882 //
     /*  482079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482126 */     // MIs[1] Operand 1
     /*  482126 */     // No operand predicates
     /*  482126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482158 */     GIR_RootConstrainSelectedInstOperands,
     /*  482159 */     // GIR_Coverage, 61882,
     /*  482159 */     GIR_EraseRootFromParent_Done,
     /*  482160 */   // Label 8109: @482160
     /*  482160 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(482246), // Rule ID 61885 //
     /*  482165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482212 */     // MIs[1] Operand 1
     /*  482212 */     // No operand predicates
     /*  482212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482221 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482244 */     GIR_RootConstrainSelectedInstOperands,
     /*  482245 */     // GIR_Coverage, 61885,
     /*  482245 */     GIR_EraseRootFromParent_Done,
     /*  482246 */   // Label 8110: @482246
     /*  482246 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(482332), // Rule ID 61886 //
     /*  482251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482298 */     // MIs[1] Operand 1
     /*  482298 */     // No operand predicates
     /*  482298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482330 */     GIR_RootConstrainSelectedInstOperands,
     /*  482331 */     // GIR_Coverage, 61886,
     /*  482331 */     GIR_EraseRootFromParent_Done,
     /*  482332 */   // Label 8111: @482332
     /*  482332 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(482418), // Rule ID 61889 //
     /*  482337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482384 */     // MIs[1] Operand 1
     /*  482384 */     // No operand predicates
     /*  482384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482416 */     GIR_RootConstrainSelectedInstOperands,
     /*  482417 */     // GIR_Coverage, 61889,
     /*  482417 */     GIR_EraseRootFromParent_Done,
     /*  482418 */   // Label 8112: @482418
     /*  482418 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(482504), // Rule ID 61890 //
     /*  482423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482470 */     // MIs[1] Operand 1
     /*  482470 */     // No operand predicates
     /*  482470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482479 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482502 */     GIR_RootConstrainSelectedInstOperands,
     /*  482503 */     // GIR_Coverage, 61890,
     /*  482503 */     GIR_EraseRootFromParent_Done,
     /*  482504 */   // Label 8113: @482504
     /*  482504 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(482590), // Rule ID 61893 //
     /*  482509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482556 */     // MIs[1] Operand 1
     /*  482556 */     // No operand predicates
     /*  482556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482588 */     GIR_RootConstrainSelectedInstOperands,
     /*  482589 */     // GIR_Coverage, 61893,
     /*  482589 */     GIR_EraseRootFromParent_Done,
     /*  482590 */   // Label 8114: @482590
     /*  482590 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(482676), // Rule ID 61894 //
     /*  482595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482642 */     // MIs[1] Operand 1
     /*  482642 */     // No operand predicates
     /*  482642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482674 */     GIR_RootConstrainSelectedInstOperands,
     /*  482675 */     // GIR_Coverage, 61894,
     /*  482675 */     GIR_EraseRootFromParent_Done,
     /*  482676 */   // Label 8115: @482676
     /*  482676 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(482762), // Rule ID 61897 //
     /*  482681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482728 */     // MIs[1] Operand 1
     /*  482728 */     // No operand predicates
     /*  482728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482737 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482760 */     GIR_RootConstrainSelectedInstOperands,
     /*  482761 */     // GIR_Coverage, 61897,
     /*  482761 */     GIR_EraseRootFromParent_Done,
     /*  482762 */   // Label 8116: @482762
     /*  482762 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(482848), // Rule ID 61898 //
     /*  482767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482814 */     // MIs[1] Operand 1
     /*  482814 */     // No operand predicates
     /*  482814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482846 */     GIR_RootConstrainSelectedInstOperands,
     /*  482847 */     // GIR_Coverage, 61898,
     /*  482847 */     GIR_EraseRootFromParent_Done,
     /*  482848 */   // Label 8117: @482848
     /*  482848 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(482934), // Rule ID 61901 //
     /*  482853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482900 */     // MIs[1] Operand 1
     /*  482900 */     // No operand predicates
     /*  482900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482932 */     GIR_RootConstrainSelectedInstOperands,
     /*  482933 */     // GIR_Coverage, 61901,
     /*  482933 */     GIR_EraseRootFromParent_Done,
     /*  482934 */   // Label 8118: @482934
     /*  482934 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(483020), // Rule ID 61902 //
     /*  482939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482986 */     // MIs[1] Operand 1
     /*  482986 */     // No operand predicates
     /*  482986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483018 */     GIR_RootConstrainSelectedInstOperands,
     /*  483019 */     // GIR_Coverage, 61902,
     /*  483019 */     GIR_EraseRootFromParent_Done,
     /*  483020 */   // Label 8119: @483020
     /*  483020 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(483106), // Rule ID 61905 //
     /*  483025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483072 */     // MIs[1] Operand 1
     /*  483072 */     // No operand predicates
     /*  483072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483081 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483104 */     GIR_RootConstrainSelectedInstOperands,
     /*  483105 */     // GIR_Coverage, 61905,
     /*  483105 */     GIR_EraseRootFromParent_Done,
     /*  483106 */   // Label 8120: @483106
     /*  483106 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(483192), // Rule ID 61906 //
     /*  483111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483158 */     // MIs[1] Operand 1
     /*  483158 */     // No operand predicates
     /*  483158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483190 */     GIR_RootConstrainSelectedInstOperands,
     /*  483191 */     // GIR_Coverage, 61906,
     /*  483191 */     GIR_EraseRootFromParent_Done,
     /*  483192 */   // Label 8121: @483192
     /*  483192 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(483278), // Rule ID 61909 //
     /*  483197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483244 */     // MIs[1] Operand 1
     /*  483244 */     // No operand predicates
     /*  483244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483253 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483276 */     GIR_RootConstrainSelectedInstOperands,
     /*  483277 */     // GIR_Coverage, 61909,
     /*  483277 */     GIR_EraseRootFromParent_Done,
     /*  483278 */   // Label 8122: @483278
     /*  483278 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(483364), // Rule ID 61910 //
     /*  483283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483330 */     // MIs[1] Operand 1
     /*  483330 */     // No operand predicates
     /*  483330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483339 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483362 */     GIR_RootConstrainSelectedInstOperands,
     /*  483363 */     // GIR_Coverage, 61910,
     /*  483363 */     GIR_EraseRootFromParent_Done,
     /*  483364 */   // Label 8123: @483364
     /*  483364 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(483450), // Rule ID 61913 //
     /*  483369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483416 */     // MIs[1] Operand 1
     /*  483416 */     // No operand predicates
     /*  483416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483425 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483448 */     GIR_RootConstrainSelectedInstOperands,
     /*  483449 */     // GIR_Coverage, 61913,
     /*  483449 */     GIR_EraseRootFromParent_Done,
     /*  483450 */   // Label 8124: @483450
     /*  483450 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(483536), // Rule ID 61914 //
     /*  483455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483502 */     // MIs[1] Operand 1
     /*  483502 */     // No operand predicates
     /*  483502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483511 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483534 */     GIR_RootConstrainSelectedInstOperands,
     /*  483535 */     // GIR_Coverage, 61914,
     /*  483535 */     GIR_EraseRootFromParent_Done,
     /*  483536 */   // Label 8125: @483536
     /*  483536 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(483622), // Rule ID 61917 //
     /*  483541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  483552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  483555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  483558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483588 */     // MIs[1] Operand 1
     /*  483588 */     // No operand predicates
     /*  483588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483597 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483620 */     GIR_RootConstrainSelectedInstOperands,
     /*  483621 */     // GIR_Coverage, 61917,
     /*  483621 */     GIR_EraseRootFromParent_Done,
     /*  483622 */   // Label 8126: @483622
     /*  483622 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(483708), // Rule ID 61918 //
     /*  483627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  483638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  483641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  483644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483674 */     // MIs[1] Operand 1
     /*  483674 */     // No operand predicates
     /*  483674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483706 */     GIR_RootConstrainSelectedInstOperands,
     /*  483707 */     // GIR_Coverage, 61918,
     /*  483707 */     GIR_EraseRootFromParent_Done,
     /*  483708 */   // Label 8127: @483708
     /*  483708 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(483794), // Rule ID 61921 //
     /*  483713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  483730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483760 */     // MIs[1] Operand 1
     /*  483760 */     // No operand predicates
     /*  483760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483792 */     GIR_RootConstrainSelectedInstOperands,
     /*  483793 */     // GIR_Coverage, 61921,
     /*  483793 */     GIR_EraseRootFromParent_Done,
     /*  483794 */   // Label 8128: @483794
     /*  483794 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(483880), // Rule ID 61922 //
     /*  483799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  483816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483846 */     // MIs[1] Operand 1
     /*  483846 */     // No operand predicates
     /*  483846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483878 */     GIR_RootConstrainSelectedInstOperands,
     /*  483879 */     // GIR_Coverage, 61922,
     /*  483879 */     GIR_EraseRootFromParent_Done,
     /*  483880 */   // Label 8129: @483880
     /*  483880 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(483966), // Rule ID 61925 //
     /*  483885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483932 */     // MIs[1] Operand 1
     /*  483932 */     // No operand predicates
     /*  483932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483941 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483964 */     GIR_RootConstrainSelectedInstOperands,
     /*  483965 */     // GIR_Coverage, 61925,
     /*  483965 */     GIR_EraseRootFromParent_Done,
     /*  483966 */   // Label 8130: @483966
     /*  483966 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(484052), // Rule ID 61926 //
     /*  483971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484018 */     // MIs[1] Operand 1
     /*  484018 */     // No operand predicates
     /*  484018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484050 */     GIR_RootConstrainSelectedInstOperands,
     /*  484051 */     // GIR_Coverage, 61926,
     /*  484051 */     GIR_EraseRootFromParent_Done,
     /*  484052 */   // Label 8131: @484052
     /*  484052 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(484138), // Rule ID 61929 //
     /*  484057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484104 */     // MIs[1] Operand 1
     /*  484104 */     // No operand predicates
     /*  484104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484113 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484136 */     GIR_RootConstrainSelectedInstOperands,
     /*  484137 */     // GIR_Coverage, 61929,
     /*  484137 */     GIR_EraseRootFromParent_Done,
     /*  484138 */   // Label 8132: @484138
     /*  484138 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(484224), // Rule ID 61930 //
     /*  484143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484190 */     // MIs[1] Operand 1
     /*  484190 */     // No operand predicates
     /*  484190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484222 */     GIR_RootConstrainSelectedInstOperands,
     /*  484223 */     // GIR_Coverage, 61930,
     /*  484223 */     GIR_EraseRootFromParent_Done,
     /*  484224 */   // Label 8133: @484224
     /*  484224 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(484310), // Rule ID 61933 //
     /*  484229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484276 */     // MIs[1] Operand 1
     /*  484276 */     // No operand predicates
     /*  484276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484308 */     GIR_RootConstrainSelectedInstOperands,
     /*  484309 */     // GIR_Coverage, 61933,
     /*  484309 */     GIR_EraseRootFromParent_Done,
     /*  484310 */   // Label 8134: @484310
     /*  484310 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(484396), // Rule ID 61934 //
     /*  484315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484362 */     // MIs[1] Operand 1
     /*  484362 */     // No operand predicates
     /*  484362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484394 */     GIR_RootConstrainSelectedInstOperands,
     /*  484395 */     // GIR_Coverage, 61934,
     /*  484395 */     GIR_EraseRootFromParent_Done,
     /*  484396 */   // Label 8135: @484396
     /*  484396 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(484482), // Rule ID 61937 //
     /*  484401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484448 */     // MIs[1] Operand 1
     /*  484448 */     // No operand predicates
     /*  484448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484480 */     GIR_RootConstrainSelectedInstOperands,
     /*  484481 */     // GIR_Coverage, 61937,
     /*  484481 */     GIR_EraseRootFromParent_Done,
     /*  484482 */   // Label 8136: @484482
     /*  484482 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(484568), // Rule ID 61938 //
     /*  484487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484534 */     // MIs[1] Operand 1
     /*  484534 */     // No operand predicates
     /*  484534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484566 */     GIR_RootConstrainSelectedInstOperands,
     /*  484567 */     // GIR_Coverage, 61938,
     /*  484567 */     GIR_EraseRootFromParent_Done,
     /*  484568 */   // Label 8137: @484568
     /*  484568 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(484654), // Rule ID 61941 //
     /*  484573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  484590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484620 */     // MIs[1] Operand 1
     /*  484620 */     // No operand predicates
     /*  484620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484629 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484652 */     GIR_RootConstrainSelectedInstOperands,
     /*  484653 */     // GIR_Coverage, 61941,
     /*  484653 */     GIR_EraseRootFromParent_Done,
     /*  484654 */   // Label 8138: @484654
     /*  484654 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(484740), // Rule ID 61942 //
     /*  484659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  484676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484706 */     // MIs[1] Operand 1
     /*  484706 */     // No operand predicates
     /*  484706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484738 */     GIR_RootConstrainSelectedInstOperands,
     /*  484739 */     // GIR_Coverage, 61942,
     /*  484739 */     GIR_EraseRootFromParent_Done,
     /*  484740 */   // Label 8139: @484740
     /*  484740 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(484826), // Rule ID 61945 //
     /*  484745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  484756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  484759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  484762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484792 */     // MIs[1] Operand 1
     /*  484792 */     // No operand predicates
     /*  484792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  484801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484824 */     GIR_RootConstrainSelectedInstOperands,
     /*  484825 */     // GIR_Coverage, 61945,
     /*  484825 */     GIR_EraseRootFromParent_Done,
     /*  484826 */   // Label 8140: @484826
     /*  484826 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(484912), // Rule ID 61946 //
     /*  484831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  484842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  484845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  484848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484878 */     // MIs[1] Operand 1
     /*  484878 */     // No operand predicates
     /*  484878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  484887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484910 */     GIR_RootConstrainSelectedInstOperands,
     /*  484911 */     // GIR_Coverage, 61946,
     /*  484911 */     GIR_EraseRootFromParent_Done,
     /*  484912 */   // Label 8141: @484912
     /*  484912 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(484998), // Rule ID 61949 //
     /*  484917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  484928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  484931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  484934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484964 */     // MIs[1] Operand 1
     /*  484964 */     // No operand predicates
     /*  484964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484973 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  484973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484996 */     GIR_RootConstrainSelectedInstOperands,
     /*  484997 */     // GIR_Coverage, 61949,
     /*  484997 */     GIR_EraseRootFromParent_Done,
     /*  484998 */   // Label 8142: @484998
     /*  484998 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(485084), // Rule ID 61950 //
     /*  485003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  485020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485050 */     // MIs[1] Operand 1
     /*  485050 */     // No operand predicates
     /*  485050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485082 */     GIR_RootConstrainSelectedInstOperands,
     /*  485083 */     // GIR_Coverage, 61950,
     /*  485083 */     GIR_EraseRootFromParent_Done,
     /*  485084 */   // Label 8143: @485084
     /*  485084 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(485170), // Rule ID 61953 //
     /*  485089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485136 */     // MIs[1] Operand 1
     /*  485136 */     // No operand predicates
     /*  485136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485145 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485168 */     GIR_RootConstrainSelectedInstOperands,
     /*  485169 */     // GIR_Coverage, 61953,
     /*  485169 */     GIR_EraseRootFromParent_Done,
     /*  485170 */   // Label 8144: @485170
     /*  485170 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(485256), // Rule ID 61954 //
     /*  485175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485222 */     // MIs[1] Operand 1
     /*  485222 */     // No operand predicates
     /*  485222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485254 */     GIR_RootConstrainSelectedInstOperands,
     /*  485255 */     // GIR_Coverage, 61954,
     /*  485255 */     GIR_EraseRootFromParent_Done,
     /*  485256 */   // Label 8145: @485256
     /*  485256 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(485335), // Rule ID 2635 //
     /*  485261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485333 */     GIR_RootConstrainSelectedInstOperands,
     /*  485334 */     // GIR_Coverage, 2635,
     /*  485334 */     GIR_EraseRootFromParent_Done,
     /*  485335 */   // Label 8146: @485335
     /*  485335 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(485414), // Rule ID 2636 //
     /*  485340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485412 */     GIR_RootConstrainSelectedInstOperands,
     /*  485413 */     // GIR_Coverage, 2636,
     /*  485413 */     GIR_EraseRootFromParent_Done,
     /*  485414 */   // Label 8147: @485414
     /*  485414 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(485493), // Rule ID 3943 //
     /*  485419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485491 */     GIR_RootConstrainSelectedInstOperands,
     /*  485492 */     // GIR_Coverage, 3943,
     /*  485492 */     GIR_EraseRootFromParent_Done,
     /*  485493 */   // Label 8148: @485493
     /*  485493 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(485572), // Rule ID 3944 //
     /*  485498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485570 */     GIR_RootConstrainSelectedInstOperands,
     /*  485571 */     // GIR_Coverage, 3944,
     /*  485571 */     GIR_EraseRootFromParent_Done,
     /*  485572 */   // Label 8149: @485572
     /*  485572 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(485651), // Rule ID 3953 //
     /*  485577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  485588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  485591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  485597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485629 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485649 */     GIR_RootConstrainSelectedInstOperands,
     /*  485650 */     // GIR_Coverage, 3953,
     /*  485650 */     GIR_EraseRootFromParent_Done,
     /*  485651 */   // Label 8150: @485651
     /*  485651 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(485730), // Rule ID 3954 //
     /*  485656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  485667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  485670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  485676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485728 */     GIR_RootConstrainSelectedInstOperands,
     /*  485729 */     // GIR_Coverage, 3954,
     /*  485729 */     GIR_EraseRootFromParent_Done,
     /*  485730 */   // Label 8151: @485730
     /*  485730 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(485809), // Rule ID 3963 //
     /*  485735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  485746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  485749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  485755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  485790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485807 */     GIR_RootConstrainSelectedInstOperands,
     /*  485808 */     // GIR_Coverage, 3963,
     /*  485808 */     GIR_EraseRootFromParent_Done,
     /*  485809 */   // Label 8152: @485809
     /*  485809 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(485888), // Rule ID 3964 //
     /*  485814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  485825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  485828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  485834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  485869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485886 */     GIR_RootConstrainSelectedInstOperands,
     /*  485887 */     // GIR_Coverage, 3964,
     /*  485887 */     GIR_EraseRootFromParent_Done,
     /*  485888 */   // Label 8153: @485888
     /*  485888 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(485967), // Rule ID 3973 //
     /*  485893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  485904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  485907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  485913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485945 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  485948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485965 */     GIR_RootConstrainSelectedInstOperands,
     /*  485966 */     // GIR_Coverage, 3973,
     /*  485966 */     GIR_EraseRootFromParent_Done,
     /*  485967 */   // Label 8154: @485967
     /*  485967 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(486046), // Rule ID 3974 //
     /*  485972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  485983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  485986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  485992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486044 */     GIR_RootConstrainSelectedInstOperands,
     /*  486045 */     // GIR_Coverage, 3974,
     /*  486045 */     GIR_EraseRootFromParent_Done,
     /*  486046 */   // Label 8155: @486046
     /*  486046 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(486125), // Rule ID 3983 //
     /*  486051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486103 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486123 */     GIR_RootConstrainSelectedInstOperands,
     /*  486124 */     // GIR_Coverage, 3983,
     /*  486124 */     GIR_EraseRootFromParent_Done,
     /*  486125 */   // Label 8156: @486125
     /*  486125 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(486204), // Rule ID 3984 //
     /*  486130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486202 */     GIR_RootConstrainSelectedInstOperands,
     /*  486203 */     // GIR_Coverage, 3984,
     /*  486203 */     GIR_EraseRootFromParent_Done,
     /*  486204 */   // Label 8157: @486204
     /*  486204 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(486283), // Rule ID 3993 //
     /*  486209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486281 */     GIR_RootConstrainSelectedInstOperands,
     /*  486282 */     // GIR_Coverage, 3993,
     /*  486282 */     GIR_EraseRootFromParent_Done,
     /*  486283 */   // Label 8158: @486283
     /*  486283 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(486362), // Rule ID 3994 //
     /*  486288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486360 */     GIR_RootConstrainSelectedInstOperands,
     /*  486361 */     // GIR_Coverage, 3994,
     /*  486361 */     GIR_EraseRootFromParent_Done,
     /*  486362 */   // Label 8159: @486362
     /*  486362 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(486441), // Rule ID 4003 //
     /*  486367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486439 */     GIR_RootConstrainSelectedInstOperands,
     /*  486440 */     // GIR_Coverage, 4003,
     /*  486440 */     GIR_EraseRootFromParent_Done,
     /*  486441 */   // Label 8160: @486441
     /*  486441 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(486520), // Rule ID 4004 //
     /*  486446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486518 */     GIR_RootConstrainSelectedInstOperands,
     /*  486519 */     // GIR_Coverage, 4004,
     /*  486519 */     GIR_EraseRootFromParent_Done,
     /*  486520 */   // Label 8161: @486520
     /*  486520 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(486599), // Rule ID 4013 //
     /*  486525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  486545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486597 */     GIR_RootConstrainSelectedInstOperands,
     /*  486598 */     // GIR_Coverage, 4013,
     /*  486598 */     GIR_EraseRootFromParent_Done,
     /*  486599 */   // Label 8162: @486599
     /*  486599 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(486678), // Rule ID 4014 //
     /*  486604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  486624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486676 */     GIR_RootConstrainSelectedInstOperands,
     /*  486677 */     // GIR_Coverage, 4014,
     /*  486677 */     GIR_EraseRootFromParent_Done,
     /*  486678 */   // Label 8163: @486678
     /*  486678 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(486757), // Rule ID 4023 //
     /*  486683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  486694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  486697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  486703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486735 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486755 */     GIR_RootConstrainSelectedInstOperands,
     /*  486756 */     // GIR_Coverage, 4023,
     /*  486756 */     GIR_EraseRootFromParent_Done,
     /*  486757 */   // Label 8164: @486757
     /*  486757 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(486836), // Rule ID 4024 //
     /*  486762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  486773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  486776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  486782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486834 */     GIR_RootConstrainSelectedInstOperands,
     /*  486835 */     // GIR_Coverage, 4024,
     /*  486835 */     GIR_EraseRootFromParent_Done,
     /*  486836 */   // Label 8165: @486836
     /*  486836 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(486915), // Rule ID 4033 //
     /*  486841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  486852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  486855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  486858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  486861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486913 */     GIR_RootConstrainSelectedInstOperands,
     /*  486914 */     // GIR_Coverage, 4033,
     /*  486914 */     GIR_EraseRootFromParent_Done,
     /*  486915 */   // Label 8166: @486915
     /*  486915 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(486994), // Rule ID 4034 //
     /*  486920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  486931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  486934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  486937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  486940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486992 */     GIR_RootConstrainSelectedInstOperands,
     /*  486993 */     // GIR_Coverage, 4034,
     /*  486993 */     GIR_EraseRootFromParent_Done,
     /*  486994 */   // Label 8167: @486994
     /*  486994 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(487073), // Rule ID 4043 //
     /*  486999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487071 */     GIR_RootConstrainSelectedInstOperands,
     /*  487072 */     // GIR_Coverage, 4043,
     /*  487072 */     GIR_EraseRootFromParent_Done,
     /*  487073 */   // Label 8168: @487073
     /*  487073 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(487152), // Rule ID 4044 //
     /*  487078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487150 */     GIR_RootConstrainSelectedInstOperands,
     /*  487151 */     // GIR_Coverage, 4044,
     /*  487151 */     GIR_EraseRootFromParent_Done,
     /*  487152 */   // Label 8169: @487152
     /*  487152 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(487231), // Rule ID 4053 //
     /*  487157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487229 */     GIR_RootConstrainSelectedInstOperands,
     /*  487230 */     // GIR_Coverage, 4053,
     /*  487230 */     GIR_EraseRootFromParent_Done,
     /*  487231 */   // Label 8170: @487231
     /*  487231 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(487310), // Rule ID 4054 //
     /*  487236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487308 */     GIR_RootConstrainSelectedInstOperands,
     /*  487309 */     // GIR_Coverage, 4054,
     /*  487309 */     GIR_EraseRootFromParent_Done,
     /*  487310 */   // Label 8171: @487310
     /*  487310 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(487389), // Rule ID 4063 //
     /*  487315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487387 */     GIR_RootConstrainSelectedInstOperands,
     /*  487388 */     // GIR_Coverage, 4063,
     /*  487388 */     GIR_EraseRootFromParent_Done,
     /*  487389 */   // Label 8172: @487389
     /*  487389 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(487468), // Rule ID 4064 //
     /*  487394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487466 */     GIR_RootConstrainSelectedInstOperands,
     /*  487467 */     // GIR_Coverage, 4064,
     /*  487467 */     GIR_EraseRootFromParent_Done,
     /*  487468 */   // Label 8173: @487468
     /*  487468 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(487547), // Rule ID 4073 //
     /*  487473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487525 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487545 */     GIR_RootConstrainSelectedInstOperands,
     /*  487546 */     // GIR_Coverage, 4073,
     /*  487546 */     GIR_EraseRootFromParent_Done,
     /*  487547 */   // Label 8174: @487547
     /*  487547 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(487626), // Rule ID 4074 //
     /*  487552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487604 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487624 */     GIR_RootConstrainSelectedInstOperands,
     /*  487625 */     // GIR_Coverage, 4074,
     /*  487625 */     GIR_EraseRootFromParent_Done,
     /*  487626 */   // Label 8175: @487626
     /*  487626 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(487705), // Rule ID 4143 //
     /*  487631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  487648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  487651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  487686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487703 */     GIR_RootConstrainSelectedInstOperands,
     /*  487704 */     // GIR_Coverage, 4143,
     /*  487704 */     GIR_EraseRootFromParent_Done,
     /*  487705 */   // Label 8176: @487705
     /*  487705 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(487784), // Rule ID 4144 //
     /*  487710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  487727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  487730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  487765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487782 */     GIR_RootConstrainSelectedInstOperands,
     /*  487783 */     // GIR_Coverage, 4144,
     /*  487783 */     GIR_EraseRootFromParent_Done,
     /*  487784 */   // Label 8177: @487784
     /*  487784 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(487863), // Rule ID 4153 //
     /*  487789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  487800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  487803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  487806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  487809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  487844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487861 */     GIR_RootConstrainSelectedInstOperands,
     /*  487862 */     // GIR_Coverage, 4153,
     /*  487862 */     GIR_EraseRootFromParent_Done,
     /*  487863 */   // Label 8178: @487863
     /*  487863 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(487942), // Rule ID 4154 //
     /*  487868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  487879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  487882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  487885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  487888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  487923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487940 */     GIR_RootConstrainSelectedInstOperands,
     /*  487941 */     // GIR_Coverage, 4154,
     /*  487941 */     GIR_EraseRootFromParent_Done,
     /*  487942 */   // Label 8179: @487942
     /*  487942 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(488021), // Rule ID 4163 //
     /*  487947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  487967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488019 */     GIR_RootConstrainSelectedInstOperands,
     /*  488020 */     // GIR_Coverage, 4163,
     /*  488020 */     GIR_EraseRootFromParent_Done,
     /*  488021 */   // Label 8180: @488021
     /*  488021 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(488100), // Rule ID 4164 //
     /*  488026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  488043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  488046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488098 */     GIR_RootConstrainSelectedInstOperands,
     /*  488099 */     // GIR_Coverage, 4164,
     /*  488099 */     GIR_EraseRootFromParent_Done,
     /*  488100 */   // Label 8181: @488100
     /*  488100 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(488179), // Rule ID 4173 //
     /*  488105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488177 */     GIR_RootConstrainSelectedInstOperands,
     /*  488178 */     // GIR_Coverage, 4173,
     /*  488178 */     GIR_EraseRootFromParent_Done,
     /*  488179 */   // Label 8182: @488179
     /*  488179 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(488258), // Rule ID 4174 //
     /*  488184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488256 */     GIR_RootConstrainSelectedInstOperands,
     /*  488257 */     // GIR_Coverage, 4174,
     /*  488257 */     GIR_EraseRootFromParent_Done,
     /*  488258 */   // Label 8183: @488258
     /*  488258 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(488337), // Rule ID 4183 //
     /*  488263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488315 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488335 */     GIR_RootConstrainSelectedInstOperands,
     /*  488336 */     // GIR_Coverage, 4183,
     /*  488336 */     GIR_EraseRootFromParent_Done,
     /*  488337 */   // Label 8184: @488337
     /*  488337 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(488416), // Rule ID 4184 //
     /*  488342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488414 */     GIR_RootConstrainSelectedInstOperands,
     /*  488415 */     // GIR_Coverage, 4184,
     /*  488415 */     GIR_EraseRootFromParent_Done,
     /*  488416 */   // Label 8185: @488416
     /*  488416 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(488495), // Rule ID 4193 //
     /*  488421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488473 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488493 */     GIR_RootConstrainSelectedInstOperands,
     /*  488494 */     // GIR_Coverage, 4193,
     /*  488494 */     GIR_EraseRootFromParent_Done,
     /*  488495 */   // Label 8186: @488495
     /*  488495 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(488574), // Rule ID 4194 //
     /*  488500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488572 */     GIR_RootConstrainSelectedInstOperands,
     /*  488573 */     // GIR_Coverage, 4194,
     /*  488573 */     GIR_EraseRootFromParent_Done,
     /*  488574 */   // Label 8187: @488574
     /*  488574 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(488653), // Rule ID 4203 //
     /*  488579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  488596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488631 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488651 */     GIR_RootConstrainSelectedInstOperands,
     /*  488652 */     // GIR_Coverage, 4203,
     /*  488652 */     GIR_EraseRootFromParent_Done,
     /*  488653 */   // Label 8188: @488653
     /*  488653 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(488732), // Rule ID 4204 //
     /*  488658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  488675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488730 */     GIR_RootConstrainSelectedInstOperands,
     /*  488731 */     // GIR_Coverage, 4204,
     /*  488731 */     GIR_EraseRootFromParent_Done,
     /*  488732 */   // Label 8189: @488732
     /*  488732 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(488811), // Rule ID 4213 //
     /*  488737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  488748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  488751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  488754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  488757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488809 */     GIR_RootConstrainSelectedInstOperands,
     /*  488810 */     // GIR_Coverage, 4213,
     /*  488810 */     GIR_EraseRootFromParent_Done,
     /*  488811 */   // Label 8190: @488811
     /*  488811 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(488890), // Rule ID 4214 //
     /*  488816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  488827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  488830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  488833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  488836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488888 */     GIR_RootConstrainSelectedInstOperands,
     /*  488889 */     // GIR_Coverage, 4214,
     /*  488889 */     GIR_EraseRootFromParent_Done,
     /*  488890 */   // Label 8191: @488890
     /*  488890 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(488969), // Rule ID 4223 //
     /*  488895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  488906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  488909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  488912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  488915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488967 */     GIR_RootConstrainSelectedInstOperands,
     /*  488968 */     // GIR_Coverage, 4223,
     /*  488968 */     GIR_EraseRootFromParent_Done,
     /*  488969 */   // Label 8192: @488969
     /*  488969 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(489048), // Rule ID 4224 //
     /*  488974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  488985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  488988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  488991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  488994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489046 */     GIR_RootConstrainSelectedInstOperands,
     /*  489047 */     // GIR_Coverage, 4224,
     /*  489047 */     GIR_EraseRootFromParent_Done,
     /*  489048 */   // Label 8193: @489048
     /*  489048 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(489127), // Rule ID 4233 //
     /*  489053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489105 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489125 */     GIR_RootConstrainSelectedInstOperands,
     /*  489126 */     // GIR_Coverage, 4233,
     /*  489126 */     GIR_EraseRootFromParent_Done,
     /*  489127 */   // Label 8194: @489127
     /*  489127 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(489206), // Rule ID 4234 //
     /*  489132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489204 */     GIR_RootConstrainSelectedInstOperands,
     /*  489205 */     // GIR_Coverage, 4234,
     /*  489205 */     GIR_EraseRootFromParent_Done,
     /*  489206 */   // Label 8195: @489206
     /*  489206 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(489285), // Rule ID 4243 //
     /*  489211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489263 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489283 */     GIR_RootConstrainSelectedInstOperands,
     /*  489284 */     // GIR_Coverage, 4243,
     /*  489284 */     GIR_EraseRootFromParent_Done,
     /*  489285 */   // Label 8196: @489285
     /*  489285 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(489364), // Rule ID 4244 //
     /*  489290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489362 */     GIR_RootConstrainSelectedInstOperands,
     /*  489363 */     // GIR_Coverage, 4244,
     /*  489363 */     GIR_EraseRootFromParent_Done,
     /*  489364 */   // Label 8197: @489364
     /*  489364 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(489443), // Rule ID 4253 //
     /*  489369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489441 */     GIR_RootConstrainSelectedInstOperands,
     /*  489442 */     // GIR_Coverage, 4253,
     /*  489442 */     GIR_EraseRootFromParent_Done,
     /*  489443 */   // Label 8198: @489443
     /*  489443 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(489522), // Rule ID 4254 //
     /*  489448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489520 */     GIR_RootConstrainSelectedInstOperands,
     /*  489521 */     // GIR_Coverage, 4254,
     /*  489521 */     GIR_EraseRootFromParent_Done,
     /*  489522 */   // Label 8199: @489522
     /*  489522 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(489601), // Rule ID 4263 //
     /*  489527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489599 */     GIR_RootConstrainSelectedInstOperands,
     /*  489600 */     // GIR_Coverage, 4263,
     /*  489600 */     GIR_EraseRootFromParent_Done,
     /*  489601 */   // Label 8200: @489601
     /*  489601 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(489680), // Rule ID 4264 //
     /*  489606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489678 */     GIR_RootConstrainSelectedInstOperands,
     /*  489679 */     // GIR_Coverage, 4264,
     /*  489679 */     GIR_EraseRootFromParent_Done,
     /*  489680 */   // Label 8201: @489680
     /*  489680 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(489759), // Rule ID 4273 //
     /*  489685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  489705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489757 */     GIR_RootConstrainSelectedInstOperands,
     /*  489758 */     // GIR_Coverage, 4273,
     /*  489758 */     GIR_EraseRootFromParent_Done,
     /*  489759 */   // Label 8202: @489759
     /*  489759 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(489838), // Rule ID 4274 //
     /*  489764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  489784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489836 */     GIR_RootConstrainSelectedInstOperands,
     /*  489837 */     // GIR_Coverage, 4274,
     /*  489837 */     GIR_EraseRootFromParent_Done,
     /*  489838 */   // Label 8203: @489838
     /*  489838 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(489917), // Rule ID 4283 //
     /*  489843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  489863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489915 */     GIR_RootConstrainSelectedInstOperands,
     /*  489916 */     // GIR_Coverage, 4283,
     /*  489916 */     GIR_EraseRootFromParent_Done,
     /*  489917 */   // Label 8204: @489917
     /*  489917 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(489996), // Rule ID 4284 //
     /*  489922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  489942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489994 */     GIR_RootConstrainSelectedInstOperands,
     /*  489995 */     // GIR_Coverage, 4284,
     /*  489995 */     GIR_EraseRootFromParent_Done,
     /*  489996 */   // Label 8205: @489996
     /*  489996 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(490075), // Rule ID 4353 //
     /*  490001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490073 */     GIR_RootConstrainSelectedInstOperands,
     /*  490074 */     // GIR_Coverage, 4353,
     /*  490074 */     GIR_EraseRootFromParent_Done,
     /*  490075 */   // Label 8206: @490075
     /*  490075 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(490154), // Rule ID 4354 //
     /*  490080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490152 */     GIR_RootConstrainSelectedInstOperands,
     /*  490153 */     // GIR_Coverage, 4354,
     /*  490153 */     GIR_EraseRootFromParent_Done,
     /*  490154 */   // Label 8207: @490154
     /*  490154 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(490233), // Rule ID 4363 //
     /*  490159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490231 */     GIR_RootConstrainSelectedInstOperands,
     /*  490232 */     // GIR_Coverage, 4363,
     /*  490232 */     GIR_EraseRootFromParent_Done,
     /*  490233 */   // Label 8208: @490233
     /*  490233 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(490312), // Rule ID 4364 //
     /*  490238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490310 */     GIR_RootConstrainSelectedInstOperands,
     /*  490311 */     // GIR_Coverage, 4364,
     /*  490311 */     GIR_EraseRootFromParent_Done,
     /*  490312 */   // Label 8209: @490312
     /*  490312 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(490391), // Rule ID 4373 //
     /*  490317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490389 */     GIR_RootConstrainSelectedInstOperands,
     /*  490390 */     // GIR_Coverage, 4373,
     /*  490390 */     GIR_EraseRootFromParent_Done,
     /*  490391 */   // Label 8210: @490391
     /*  490391 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(490470), // Rule ID 4374 //
     /*  490396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490468 */     GIR_RootConstrainSelectedInstOperands,
     /*  490469 */     // GIR_Coverage, 4374,
     /*  490469 */     GIR_EraseRootFromParent_Done,
     /*  490470 */   // Label 8211: @490470
     /*  490470 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(490549), // Rule ID 4383 //
     /*  490475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490547 */     GIR_RootConstrainSelectedInstOperands,
     /*  490548 */     // GIR_Coverage, 4383,
     /*  490548 */     GIR_EraseRootFromParent_Done,
     /*  490549 */   // Label 8212: @490549
     /*  490549 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(490628), // Rule ID 4384 //
     /*  490554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490626 */     GIR_RootConstrainSelectedInstOperands,
     /*  490627 */     // GIR_Coverage, 4384,
     /*  490627 */     GIR_EraseRootFromParent_Done,
     /*  490628 */   // Label 8213: @490628
     /*  490628 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(490707), // Rule ID 4393 //
     /*  490633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490685 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490705 */     GIR_RootConstrainSelectedInstOperands,
     /*  490706 */     // GIR_Coverage, 4393,
     /*  490706 */     GIR_EraseRootFromParent_Done,
     /*  490707 */   // Label 8214: @490707
     /*  490707 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(490786), // Rule ID 4394 //
     /*  490712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490784 */     GIR_RootConstrainSelectedInstOperands,
     /*  490785 */     // GIR_Coverage, 4394,
     /*  490785 */     GIR_EraseRootFromParent_Done,
     /*  490786 */   // Label 8215: @490786
     /*  490786 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(490865), // Rule ID 4403 //
     /*  490791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  490846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490863 */     GIR_RootConstrainSelectedInstOperands,
     /*  490864 */     // GIR_Coverage, 4403,
     /*  490864 */     GIR_EraseRootFromParent_Done,
     /*  490865 */   // Label 8216: @490865
     /*  490865 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(490944), // Rule ID 4404 //
     /*  490870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  490925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490942 */     GIR_RootConstrainSelectedInstOperands,
     /*  490943 */     // GIR_Coverage, 4404,
     /*  490943 */     GIR_EraseRootFromParent_Done,
     /*  490944 */   // Label 8217: @490944
     /*  490944 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(491023), // Rule ID 4413 //
     /*  490949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  490960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  490963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  490966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  490969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491021 */     GIR_RootConstrainSelectedInstOperands,
     /*  491022 */     // GIR_Coverage, 4413,
     /*  491022 */     GIR_EraseRootFromParent_Done,
     /*  491023 */   // Label 8218: @491023
     /*  491023 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(491102), // Rule ID 4414 //
     /*  491028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491100 */     GIR_RootConstrainSelectedInstOperands,
     /*  491101 */     // GIR_Coverage, 4414,
     /*  491101 */     GIR_EraseRootFromParent_Done,
     /*  491102 */   // Label 8219: @491102
     /*  491102 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(491181), // Rule ID 4423 //
     /*  491107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491179 */     GIR_RootConstrainSelectedInstOperands,
     /*  491180 */     // GIR_Coverage, 4423,
     /*  491180 */     GIR_EraseRootFromParent_Done,
     /*  491181 */   // Label 8220: @491181
     /*  491181 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(491260), // Rule ID 4424 //
     /*  491186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491238 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491258 */     GIR_RootConstrainSelectedInstOperands,
     /*  491259 */     // GIR_Coverage, 4424,
     /*  491259 */     GIR_EraseRootFromParent_Done,
     /*  491260 */   // Label 8221: @491260
     /*  491260 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(491339), // Rule ID 4433 //
     /*  491265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491337 */     GIR_RootConstrainSelectedInstOperands,
     /*  491338 */     // GIR_Coverage, 4433,
     /*  491338 */     GIR_EraseRootFromParent_Done,
     /*  491339 */   // Label 8222: @491339
     /*  491339 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(491418), // Rule ID 4434 //
     /*  491344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491416 */     GIR_RootConstrainSelectedInstOperands,
     /*  491417 */     // GIR_Coverage, 4434,
     /*  491417 */     GIR_EraseRootFromParent_Done,
     /*  491418 */   // Label 8223: @491418
     /*  491418 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(491497), // Rule ID 4443 //
     /*  491423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491495 */     GIR_RootConstrainSelectedInstOperands,
     /*  491496 */     // GIR_Coverage, 4443,
     /*  491496 */     GIR_EraseRootFromParent_Done,
     /*  491497 */   // Label 8224: @491497
     /*  491497 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(491576), // Rule ID 4444 //
     /*  491502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491574 */     GIR_RootConstrainSelectedInstOperands,
     /*  491575 */     // GIR_Coverage, 4444,
     /*  491575 */     GIR_EraseRootFromParent_Done,
     /*  491576 */   // Label 8225: @491576
     /*  491576 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(491655), // Rule ID 4453 //
     /*  491581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491653 */     GIR_RootConstrainSelectedInstOperands,
     /*  491654 */     // GIR_Coverage, 4453,
     /*  491654 */     GIR_EraseRootFromParent_Done,
     /*  491655 */   // Label 8226: @491655
     /*  491655 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(491734), // Rule ID 4454 //
     /*  491660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491732 */     GIR_RootConstrainSelectedInstOperands,
     /*  491733 */     // GIR_Coverage, 4454,
     /*  491733 */     GIR_EraseRootFromParent_Done,
     /*  491734 */   // Label 8227: @491734
     /*  491734 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(491813), // Rule ID 4463 //
     /*  491739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491791 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491811 */     GIR_RootConstrainSelectedInstOperands,
     /*  491812 */     // GIR_Coverage, 4463,
     /*  491812 */     GIR_EraseRootFromParent_Done,
     /*  491813 */   // Label 8228: @491813
     /*  491813 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(491892), // Rule ID 4464 //
     /*  491818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491890 */     GIR_RootConstrainSelectedInstOperands,
     /*  491891 */     // GIR_Coverage, 4464,
     /*  491891 */     GIR_EraseRootFromParent_Done,
     /*  491892 */   // Label 8229: @491892
     /*  491892 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(491971), // Rule ID 4473 //
     /*  491897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491969 */     GIR_RootConstrainSelectedInstOperands,
     /*  491970 */     // GIR_Coverage, 4473,
     /*  491970 */     GIR_EraseRootFromParent_Done,
     /*  491971 */   // Label 8230: @491971
     /*  491971 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(492050), // Rule ID 4474 //
     /*  491976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  492031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492048 */     GIR_RootConstrainSelectedInstOperands,
     /*  492049 */     // GIR_Coverage, 4474,
     /*  492049 */     GIR_EraseRootFromParent_Done,
     /*  492050 */   // Label 8231: @492050
     /*  492050 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(492129), // Rule ID 4483 //
     /*  492055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492127 */     GIR_RootConstrainSelectedInstOperands,
     /*  492128 */     // GIR_Coverage, 4483,
     /*  492128 */     GIR_EraseRootFromParent_Done,
     /*  492129 */   // Label 8232: @492129
     /*  492129 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(492208), // Rule ID 4484 //
     /*  492134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492206 */     GIR_RootConstrainSelectedInstOperands,
     /*  492207 */     // GIR_Coverage, 4484,
     /*  492207 */     GIR_EraseRootFromParent_Done,
     /*  492208 */   // Label 8233: @492208
     /*  492208 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(492287), // Rule ID 4493 //
     /*  492213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492265 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492285 */     GIR_RootConstrainSelectedInstOperands,
     /*  492286 */     // GIR_Coverage, 4493,
     /*  492286 */     GIR_EraseRootFromParent_Done,
     /*  492287 */   // Label 8234: @492287
     /*  492287 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(492366), // Rule ID 4494 //
     /*  492292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492364 */     GIR_RootConstrainSelectedInstOperands,
     /*  492365 */     // GIR_Coverage, 4494,
     /*  492365 */     GIR_EraseRootFromParent_Done,
     /*  492366 */   // Label 8235: @492366
     /*  492366 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(492445), // Rule ID 4563 //
     /*  492371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492423 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492443 */     GIR_RootConstrainSelectedInstOperands,
     /*  492444 */     // GIR_Coverage, 4563,
     /*  492444 */     GIR_EraseRootFromParent_Done,
     /*  492445 */   // Label 8236: @492445
     /*  492445 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(492524), // Rule ID 4564 //
     /*  492450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492522 */     GIR_RootConstrainSelectedInstOperands,
     /*  492523 */     // GIR_Coverage, 4564,
     /*  492523 */     GIR_EraseRootFromParent_Done,
     /*  492524 */   // Label 8237: @492524
     /*  492524 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(492603), // Rule ID 4573 //
     /*  492529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492581 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492601 */     GIR_RootConstrainSelectedInstOperands,
     /*  492602 */     // GIR_Coverage, 4573,
     /*  492602 */     GIR_EraseRootFromParent_Done,
     /*  492603 */   // Label 8238: @492603
     /*  492603 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(492682), // Rule ID 4574 //
     /*  492608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492660 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492680 */     GIR_RootConstrainSelectedInstOperands,
     /*  492681 */     // GIR_Coverage, 4574,
     /*  492681 */     GIR_EraseRootFromParent_Done,
     /*  492682 */   // Label 8239: @492682
     /*  492682 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(492761), // Rule ID 4583 //
     /*  492687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  492742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492759 */     GIR_RootConstrainSelectedInstOperands,
     /*  492760 */     // GIR_Coverage, 4583,
     /*  492760 */     GIR_EraseRootFromParent_Done,
     /*  492761 */   // Label 8240: @492761
     /*  492761 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(492840), // Rule ID 4584 //
     /*  492766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  492821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492838 */     GIR_RootConstrainSelectedInstOperands,
     /*  492839 */     // GIR_Coverage, 4584,
     /*  492839 */     GIR_EraseRootFromParent_Done,
     /*  492840 */   // Label 8241: @492840
     /*  492840 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(492919), // Rule ID 4593 //
     /*  492845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  492900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492917 */     GIR_RootConstrainSelectedInstOperands,
     /*  492918 */     // GIR_Coverage, 4593,
     /*  492918 */     GIR_EraseRootFromParent_Done,
     /*  492919 */   // Label 8242: @492919
     /*  492919 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(492998), // Rule ID 4594 //
     /*  492924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  492979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492996 */     GIR_RootConstrainSelectedInstOperands,
     /*  492997 */     // GIR_Coverage, 4594,
     /*  492997 */     GIR_EraseRootFromParent_Done,
     /*  492998 */   // Label 8243: @492998
     /*  492998 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(493077), // Rule ID 4603 //
     /*  493003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493075 */     GIR_RootConstrainSelectedInstOperands,
     /*  493076 */     // GIR_Coverage, 4603,
     /*  493076 */     GIR_EraseRootFromParent_Done,
     /*  493077 */   // Label 8244: @493077
     /*  493077 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(493156), // Rule ID 4604 //
     /*  493082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493154 */     GIR_RootConstrainSelectedInstOperands,
     /*  493155 */     // GIR_Coverage, 4604,
     /*  493155 */     GIR_EraseRootFromParent_Done,
     /*  493156 */   // Label 8245: @493156
     /*  493156 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(493235), // Rule ID 4613 //
     /*  493161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493213 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493233 */     GIR_RootConstrainSelectedInstOperands,
     /*  493234 */     // GIR_Coverage, 4613,
     /*  493234 */     GIR_EraseRootFromParent_Done,
     /*  493235 */   // Label 8246: @493235
     /*  493235 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(493314), // Rule ID 4614 //
     /*  493240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493312 */     GIR_RootConstrainSelectedInstOperands,
     /*  493313 */     // GIR_Coverage, 4614,
     /*  493313 */     GIR_EraseRootFromParent_Done,
     /*  493314 */   // Label 8247: @493314
     /*  493314 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(493393), // Rule ID 4623 //
     /*  493319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493371 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493391 */     GIR_RootConstrainSelectedInstOperands,
     /*  493392 */     // GIR_Coverage, 4623,
     /*  493392 */     GIR_EraseRootFromParent_Done,
     /*  493393 */   // Label 8248: @493393
     /*  493393 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(493472), // Rule ID 4624 //
     /*  493398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493470 */     GIR_RootConstrainSelectedInstOperands,
     /*  493471 */     // GIR_Coverage, 4624,
     /*  493471 */     GIR_EraseRootFromParent_Done,
     /*  493472 */   // Label 8249: @493472
     /*  493472 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(493551), // Rule ID 4633 //
     /*  493477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493529 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493549 */     GIR_RootConstrainSelectedInstOperands,
     /*  493550 */     // GIR_Coverage, 4633,
     /*  493550 */     GIR_EraseRootFromParent_Done,
     /*  493551 */   // Label 8250: @493551
     /*  493551 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(493630), // Rule ID 4634 //
     /*  493556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493628 */     GIR_RootConstrainSelectedInstOperands,
     /*  493629 */     // GIR_Coverage, 4634,
     /*  493629 */     GIR_EraseRootFromParent_Done,
     /*  493630 */   // Label 8251: @493630
     /*  493630 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(493709), // Rule ID 4643 //
     /*  493635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493707 */     GIR_RootConstrainSelectedInstOperands,
     /*  493708 */     // GIR_Coverage, 4643,
     /*  493708 */     GIR_EraseRootFromParent_Done,
     /*  493709 */   // Label 8252: @493709
     /*  493709 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(493788), // Rule ID 4644 //
     /*  493714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493786 */     GIR_RootConstrainSelectedInstOperands,
     /*  493787 */     // GIR_Coverage, 4644,
     /*  493787 */     GIR_EraseRootFromParent_Done,
     /*  493788 */   // Label 8253: @493788
     /*  493788 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(493867), // Rule ID 4653 //
     /*  493793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493865 */     GIR_RootConstrainSelectedInstOperands,
     /*  493866 */     // GIR_Coverage, 4653,
     /*  493866 */     GIR_EraseRootFromParent_Done,
     /*  493867 */   // Label 8254: @493867
     /*  493867 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(493946), // Rule ID 4654 //
     /*  493872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493944 */     GIR_RootConstrainSelectedInstOperands,
     /*  493945 */     // GIR_Coverage, 4654,
     /*  493945 */     GIR_EraseRootFromParent_Done,
     /*  493946 */   // Label 8255: @493946
     /*  493946 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(494025), // Rule ID 4663 //
     /*  493951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494023 */     GIR_RootConstrainSelectedInstOperands,
     /*  494024 */     // GIR_Coverage, 4663,
     /*  494024 */     GIR_EraseRootFromParent_Done,
     /*  494025 */   // Label 8256: @494025
     /*  494025 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(494104), // Rule ID 4664 //
     /*  494030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494102 */     GIR_RootConstrainSelectedInstOperands,
     /*  494103 */     // GIR_Coverage, 4664,
     /*  494103 */     GIR_EraseRootFromParent_Done,
     /*  494104 */   // Label 8257: @494104
     /*  494104 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(494183), // Rule ID 4673 //
     /*  494109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494181 */     GIR_RootConstrainSelectedInstOperands,
     /*  494182 */     // GIR_Coverage, 4673,
     /*  494182 */     GIR_EraseRootFromParent_Done,
     /*  494183 */   // Label 8258: @494183
     /*  494183 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(494262), // Rule ID 4674 //
     /*  494188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494260 */     GIR_RootConstrainSelectedInstOperands,
     /*  494261 */     // GIR_Coverage, 4674,
     /*  494261 */     GIR_EraseRootFromParent_Done,
     /*  494262 */   // Label 8259: @494262
     /*  494262 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(494341), // Rule ID 4683 //
     /*  494267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494339 */     GIR_RootConstrainSelectedInstOperands,
     /*  494340 */     // GIR_Coverage, 4683,
     /*  494340 */     GIR_EraseRootFromParent_Done,
     /*  494341 */   // Label 8260: @494341
     /*  494341 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(494420), // Rule ID 4684 //
     /*  494346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494418 */     GIR_RootConstrainSelectedInstOperands,
     /*  494419 */     // GIR_Coverage, 4684,
     /*  494419 */     GIR_EraseRootFromParent_Done,
     /*  494420 */   // Label 8261: @494420
     /*  494420 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(494499), // Rule ID 4693 //
     /*  494425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494497 */     GIR_RootConstrainSelectedInstOperands,
     /*  494498 */     // GIR_Coverage, 4693,
     /*  494498 */     GIR_EraseRootFromParent_Done,
     /*  494499 */   // Label 8262: @494499
     /*  494499 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(494578), // Rule ID 4694 //
     /*  494504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494576 */     GIR_RootConstrainSelectedInstOperands,
     /*  494577 */     // GIR_Coverage, 4694,
     /*  494577 */     GIR_EraseRootFromParent_Done,
     /*  494578 */   // Label 8263: @494578
     /*  494578 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(494657), // Rule ID 4703 //
     /*  494583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494655 */     GIR_RootConstrainSelectedInstOperands,
     /*  494656 */     // GIR_Coverage, 4703,
     /*  494656 */     GIR_EraseRootFromParent_Done,
     /*  494657 */   // Label 8264: @494657
     /*  494657 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(494736), // Rule ID 4704 //
     /*  494662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494734 */     GIR_RootConstrainSelectedInstOperands,
     /*  494735 */     // GIR_Coverage, 4704,
     /*  494735 */     GIR_EraseRootFromParent_Done,
     /*  494736 */   // Label 8265: @494736
     /*  494736 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(494804), // Rule ID 2595 //
     /*  494741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  494752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  494755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494773 */     // MIs[0] policy
     /*  494773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494783 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  494786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494790 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494800 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494802 */     GIR_RootConstrainSelectedInstOperands,
     /*  494803 */     // GIR_Coverage, 2595,
     /*  494803 */     GIR_EraseRootFromParent_Done,
     /*  494804 */   // Label 8266: @494804
     /*  494804 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(494872), // Rule ID 2596 //
     /*  494809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  494820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  494823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494841 */     // MIs[0] policy
     /*  494841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  494854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494858 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494868 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494870 */     GIR_RootConstrainSelectedInstOperands,
     /*  494871 */     // GIR_Coverage, 2596,
     /*  494871 */     GIR_EraseRootFromParent_Done,
     /*  494872 */   // Label 8267: @494872
     /*  494872 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(494940), // Rule ID 23383 //
     /*  494877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  494888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  494891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494909 */     // MIs[0] policy
     /*  494909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  494922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494926 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494936 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494938 */     GIR_RootConstrainSelectedInstOperands,
     /*  494939 */     // GIR_Coverage, 23383,
     /*  494939 */     GIR_EraseRootFromParent_Done,
     /*  494940 */   // Label 8268: @494940
     /*  494940 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(495008), // Rule ID 23384 //
     /*  494945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  494956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  494959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494977 */     // MIs[0] policy
     /*  494977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  494990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494994 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495004 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495006 */     GIR_RootConstrainSelectedInstOperands,
     /*  495007 */     // GIR_Coverage, 23384,
     /*  495007 */     GIR_EraseRootFromParent_Done,
     /*  495008 */   // Label 8269: @495008
     /*  495008 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(495076), // Rule ID 23387 //
     /*  495013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  495024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  495027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495045 */     // MIs[0] policy
     /*  495045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495055 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495062 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495072 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495074 */     GIR_RootConstrainSelectedInstOperands,
     /*  495075 */     // GIR_Coverage, 23387,
     /*  495075 */     GIR_EraseRootFromParent_Done,
     /*  495076 */   // Label 8270: @495076
     /*  495076 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(495144), // Rule ID 23388 //
     /*  495081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  495092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  495095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495113 */     // MIs[0] policy
     /*  495113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495130 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495140 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495142 */     GIR_RootConstrainSelectedInstOperands,
     /*  495143 */     // GIR_Coverage, 23388,
     /*  495143 */     GIR_EraseRootFromParent_Done,
     /*  495144 */   // Label 8271: @495144
     /*  495144 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(495212), // Rule ID 23391 //
     /*  495149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495181 */     // MIs[0] policy
     /*  495181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495198 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495208 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495210 */     GIR_RootConstrainSelectedInstOperands,
     /*  495211 */     // GIR_Coverage, 23391,
     /*  495211 */     GIR_EraseRootFromParent_Done,
     /*  495212 */   // Label 8272: @495212
     /*  495212 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(495280), // Rule ID 23392 //
     /*  495217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495249 */     // MIs[0] policy
     /*  495249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495266 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495276 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495278 */     GIR_RootConstrainSelectedInstOperands,
     /*  495279 */     // GIR_Coverage, 23392,
     /*  495279 */     GIR_EraseRootFromParent_Done,
     /*  495280 */   // Label 8273: @495280
     /*  495280 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(495348), // Rule ID 23395 //
     /*  495285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495317 */     // MIs[0] policy
     /*  495317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495327 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495334 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495344 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495346 */     GIR_RootConstrainSelectedInstOperands,
     /*  495347 */     // GIR_Coverage, 23395,
     /*  495347 */     GIR_EraseRootFromParent_Done,
     /*  495348 */   // Label 8274: @495348
     /*  495348 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(495416), // Rule ID 23396 //
     /*  495353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495385 */     // MIs[0] policy
     /*  495385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495402 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495412 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495414 */     GIR_RootConstrainSelectedInstOperands,
     /*  495415 */     // GIR_Coverage, 23396,
     /*  495415 */     GIR_EraseRootFromParent_Done,
     /*  495416 */   // Label 8275: @495416
     /*  495416 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(495484), // Rule ID 23399 //
     /*  495421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495453 */     // MIs[0] policy
     /*  495453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495463 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495470 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495480 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495482 */     GIR_RootConstrainSelectedInstOperands,
     /*  495483 */     // GIR_Coverage, 23399,
     /*  495483 */     GIR_EraseRootFromParent_Done,
     /*  495484 */   // Label 8276: @495484
     /*  495484 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(495552), // Rule ID 23400 //
     /*  495489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495521 */     // MIs[0] policy
     /*  495521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495538 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495548 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495550 */     GIR_RootConstrainSelectedInstOperands,
     /*  495551 */     // GIR_Coverage, 23400,
     /*  495551 */     GIR_EraseRootFromParent_Done,
     /*  495552 */   // Label 8277: @495552
     /*  495552 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(495620), // Rule ID 23403 //
     /*  495557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  495568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  495571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495589 */     // MIs[0] policy
     /*  495589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495606 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495616 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495618 */     GIR_RootConstrainSelectedInstOperands,
     /*  495619 */     // GIR_Coverage, 23403,
     /*  495619 */     GIR_EraseRootFromParent_Done,
     /*  495620 */   // Label 8278: @495620
     /*  495620 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(495688), // Rule ID 23404 //
     /*  495625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  495636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  495639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495657 */     // MIs[0] policy
     /*  495657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11239:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495674 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495684 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495686 */     GIR_RootConstrainSelectedInstOperands,
     /*  495687 */     // GIR_Coverage, 23404,
     /*  495687 */     GIR_EraseRootFromParent_Done,
     /*  495688 */   // Label 8279: @495688
     /*  495688 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(495756), // Rule ID 23407 //
     /*  495693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495725 */     // MIs[0] policy
     /*  495725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495735 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495742 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495752 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495754 */     GIR_RootConstrainSelectedInstOperands,
     /*  495755 */     // GIR_Coverage, 23407,
     /*  495755 */     GIR_EraseRootFromParent_Done,
     /*  495756 */   // Label 8280: @495756
     /*  495756 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(495824), // Rule ID 23408 //
     /*  495761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495793 */     // MIs[0] policy
     /*  495793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495810 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495820 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495822 */     GIR_RootConstrainSelectedInstOperands,
     /*  495823 */     // GIR_Coverage, 23408,
     /*  495823 */     GIR_EraseRootFromParent_Done,
     /*  495824 */   // Label 8281: @495824
     /*  495824 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(495892), // Rule ID 23411 //
     /*  495829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495861 */     // MIs[0] policy
     /*  495861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495878 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495888 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495890 */     GIR_RootConstrainSelectedInstOperands,
     /*  495891 */     // GIR_Coverage, 23411,
     /*  495891 */     GIR_EraseRootFromParent_Done,
     /*  495892 */   // Label 8282: @495892
     /*  495892 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(495960), // Rule ID 23412 //
     /*  495897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495929 */     // MIs[0] policy
     /*  495929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495946 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495956 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495958 */     GIR_RootConstrainSelectedInstOperands,
     /*  495959 */     // GIR_Coverage, 23412,
     /*  495959 */     GIR_EraseRootFromParent_Done,
     /*  495960 */   // Label 8283: @495960
     /*  495960 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(496028), // Rule ID 23415 //
     /*  495965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  495968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  495976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  495979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495997 */     // MIs[0] policy
     /*  495997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496014 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496024 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496026 */     GIR_RootConstrainSelectedInstOperands,
     /*  496027 */     // GIR_Coverage, 23415,
     /*  496027 */     GIR_EraseRootFromParent_Done,
     /*  496028 */   // Label 8284: @496028
     /*  496028 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(496096), // Rule ID 23416 //
     /*  496033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  496036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496065 */     // MIs[0] policy
     /*  496065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496082 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496092 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496094 */     GIR_RootConstrainSelectedInstOperands,
     /*  496095 */     // GIR_Coverage, 23416,
     /*  496095 */     GIR_EraseRootFromParent_Done,
     /*  496096 */   // Label 8285: @496096
     /*  496096 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(496164), // Rule ID 23419 //
     /*  496101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496133 */     // MIs[0] policy
     /*  496133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496143 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496150 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496160 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496162 */     GIR_RootConstrainSelectedInstOperands,
     /*  496163 */     // GIR_Coverage, 23419,
     /*  496163 */     GIR_EraseRootFromParent_Done,
     /*  496164 */   // Label 8286: @496164
     /*  496164 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(496232), // Rule ID 23420 //
     /*  496169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496201 */     // MIs[0] policy
     /*  496201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496218 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496228 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496230 */     GIR_RootConstrainSelectedInstOperands,
     /*  496231 */     // GIR_Coverage, 23420,
     /*  496231 */     GIR_EraseRootFromParent_Done,
     /*  496232 */   // Label 8287: @496232
     /*  496232 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(496300), // Rule ID 23423 //
     /*  496237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496269 */     // MIs[0] policy
     /*  496269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496279 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496286 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496296 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496298 */     GIR_RootConstrainSelectedInstOperands,
     /*  496299 */     // GIR_Coverage, 23423,
     /*  496299 */     GIR_EraseRootFromParent_Done,
     /*  496300 */   // Label 8288: @496300
     /*  496300 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(496368), // Rule ID 23424 //
     /*  496305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496337 */     // MIs[0] policy
     /*  496337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496347 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496354 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496364 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496366 */     GIR_RootConstrainSelectedInstOperands,
     /*  496367 */     // GIR_Coverage, 23424,
     /*  496367 */     GIR_EraseRootFromParent_Done,
     /*  496368 */   // Label 8289: @496368
     /*  496368 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(496436), // Rule ID 23427 //
     /*  496373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496405 */     // MIs[0] policy
     /*  496405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496415 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496422 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496432 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496434 */     GIR_RootConstrainSelectedInstOperands,
     /*  496435 */     // GIR_Coverage, 23427,
     /*  496435 */     GIR_EraseRootFromParent_Done,
     /*  496436 */   // Label 8290: @496436
     /*  496436 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(496504), // Rule ID 23428 //
     /*  496441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496473 */     // MIs[0] policy
     /*  496473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496490 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496500 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496502 */     GIR_RootConstrainSelectedInstOperands,
     /*  496503 */     // GIR_Coverage, 23428,
     /*  496503 */     GIR_EraseRootFromParent_Done,
     /*  496504 */   // Label 8291: @496504
     /*  496504 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(496572), // Rule ID 23431 //
     /*  496509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496541 */     // MIs[0] policy
     /*  496541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496551 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496558 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496568 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496570 */     GIR_RootConstrainSelectedInstOperands,
     /*  496571 */     // GIR_Coverage, 23431,
     /*  496571 */     GIR_EraseRootFromParent_Done,
     /*  496572 */   // Label 8292: @496572
     /*  496572 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(496640), // Rule ID 23432 //
     /*  496577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496609 */     // MIs[0] policy
     /*  496609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496626 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496636 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496638 */     GIR_RootConstrainSelectedInstOperands,
     /*  496639 */     // GIR_Coverage, 23432,
     /*  496639 */     GIR_EraseRootFromParent_Done,
     /*  496640 */   // Label 8293: @496640
     /*  496640 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(496708), // Rule ID 23435 //
     /*  496645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  496656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  496659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496677 */     // MIs[0] policy
     /*  496677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496694 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496704 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496706 */     GIR_RootConstrainSelectedInstOperands,
     /*  496707 */     // GIR_Coverage, 23435,
     /*  496707 */     GIR_EraseRootFromParent_Done,
     /*  496708 */   // Label 8294: @496708
     /*  496708 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(496776), // Rule ID 23436 //
     /*  496713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  496724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  496727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496745 */     // MIs[0] policy
     /*  496745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496762 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496772 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496774 */     GIR_RootConstrainSelectedInstOperands,
     /*  496775 */     // GIR_Coverage, 23436,
     /*  496775 */     GIR_EraseRootFromParent_Done,
     /*  496776 */   // Label 8295: @496776
     /*  496776 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(496844), // Rule ID 23439 //
     /*  496781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  496792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  496795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496813 */     // MIs[0] policy
     /*  496813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496823 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496830 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496840 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496842 */     GIR_RootConstrainSelectedInstOperands,
     /*  496843 */     // GIR_Coverage, 23439,
     /*  496843 */     GIR_EraseRootFromParent_Done,
     /*  496844 */   // Label 8296: @496844
     /*  496844 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(496912), // Rule ID 23440 //
     /*  496849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  496860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  496863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496881 */     // MIs[0] policy
     /*  496881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496891 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496898 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496908 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496910 */     GIR_RootConstrainSelectedInstOperands,
     /*  496911 */     // GIR_Coverage, 23440,
     /*  496911 */     GIR_EraseRootFromParent_Done,
     /*  496912 */   // Label 8297: @496912
     /*  496912 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(496980), // Rule ID 23443 //
     /*  496917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496949 */     // MIs[0] policy
     /*  496949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496966 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496976 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496978 */     GIR_RootConstrainSelectedInstOperands,
     /*  496979 */     // GIR_Coverage, 23443,
     /*  496979 */     GIR_EraseRootFromParent_Done,
     /*  496980 */   // Label 8298: @496980
     /*  496980 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(497048), // Rule ID 23444 //
     /*  496985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497017 */     // MIs[0] policy
     /*  497017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497034 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497044 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497046 */     GIR_RootConstrainSelectedInstOperands,
     /*  497047 */     // GIR_Coverage, 23444,
     /*  497047 */     GIR_EraseRootFromParent_Done,
     /*  497048 */   // Label 8299: @497048
     /*  497048 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(497116), // Rule ID 23447 //
     /*  497053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497085 */     // MIs[0] policy
     /*  497085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497095 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497102 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497112 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497114 */     GIR_RootConstrainSelectedInstOperands,
     /*  497115 */     // GIR_Coverage, 23447,
     /*  497115 */     GIR_EraseRootFromParent_Done,
     /*  497116 */   // Label 8300: @497116
     /*  497116 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(497184), // Rule ID 23448 //
     /*  497121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497153 */     // MIs[0] policy
     /*  497153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497170 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497180 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497182 */     GIR_RootConstrainSelectedInstOperands,
     /*  497183 */     // GIR_Coverage, 23448,
     /*  497183 */     GIR_EraseRootFromParent_Done,
     /*  497184 */   // Label 8301: @497184
     /*  497184 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(497252), // Rule ID 23451 //
     /*  497189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497221 */     // MIs[0] policy
     /*  497221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497238 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497248 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497250 */     GIR_RootConstrainSelectedInstOperands,
     /*  497251 */     // GIR_Coverage, 23451,
     /*  497251 */     GIR_EraseRootFromParent_Done,
     /*  497252 */   // Label 8302: @497252
     /*  497252 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(497320), // Rule ID 23452 //
     /*  497257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497289 */     // MIs[0] policy
     /*  497289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497306 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497316 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497318 */     GIR_RootConstrainSelectedInstOperands,
     /*  497319 */     // GIR_Coverage, 23452,
     /*  497319 */     GIR_EraseRootFromParent_Done,
     /*  497320 */   // Label 8303: @497320
     /*  497320 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(497388), // Rule ID 23455 //
     /*  497325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497357 */     // MIs[0] policy
     /*  497357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497374 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497384 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497386 */     GIR_RootConstrainSelectedInstOperands,
     /*  497387 */     // GIR_Coverage, 23455,
     /*  497387 */     GIR_EraseRootFromParent_Done,
     /*  497388 */   // Label 8304: @497388
     /*  497388 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(497456), // Rule ID 23456 //
     /*  497393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497425 */     // MIs[0] policy
     /*  497425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497442 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497452 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497454 */     GIR_RootConstrainSelectedInstOperands,
     /*  497455 */     // GIR_Coverage, 23456,
     /*  497455 */     GIR_EraseRootFromParent_Done,
     /*  497456 */   // Label 8305: @497456
     /*  497456 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(497524), // Rule ID 23459 //
     /*  497461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497493 */     // MIs[0] policy
     /*  497493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497510 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497520 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497522 */     GIR_RootConstrainSelectedInstOperands,
     /*  497523 */     // GIR_Coverage, 23459,
     /*  497523 */     GIR_EraseRootFromParent_Done,
     /*  497524 */   // Label 8306: @497524
     /*  497524 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497592), // Rule ID 23460 //
     /*  497529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497561 */     // MIs[0] policy
     /*  497561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497578 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497588 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497590 */     GIR_RootConstrainSelectedInstOperands,
     /*  497591 */     // GIR_Coverage, 23460,
     /*  497591 */     GIR_EraseRootFromParent_Done,
     /*  497592 */   // Label 8307: @497592
     /*  497592 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(497660), // Rule ID 23463 //
     /*  497597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497629 */     // MIs[0] policy
     /*  497629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497639 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497646 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497656 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497658 */     GIR_RootConstrainSelectedInstOperands,
     /*  497659 */     // GIR_Coverage, 23463,
     /*  497659 */     GIR_EraseRootFromParent_Done,
     /*  497660 */   // Label 8308: @497660
     /*  497660 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(497728), // Rule ID 23464 //
     /*  497665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497697 */     // MIs[0] policy
     /*  497697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497707 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497714 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497724 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497726 */     GIR_RootConstrainSelectedInstOperands,
     /*  497727 */     // GIR_Coverage, 23464,
     /*  497727 */     GIR_EraseRootFromParent_Done,
     /*  497728 */   // Label 8309: @497728
     /*  497728 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(497796), // Rule ID 60469 //
     /*  497733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  497736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497765 */     // MIs[0] policy
     /*  497765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  497778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497792 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497794 */     GIR_RootConstrainSelectedInstOperands,
     /*  497795 */     // GIR_Coverage, 60469,
     /*  497795 */     GIR_EraseRootFromParent_Done,
     /*  497796 */   // Label 8310: @497796
     /*  497796 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(497864), // Rule ID 60470 //
     /*  497801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  497804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497833 */     // MIs[0] policy
     /*  497833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  497846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497860 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497862 */     GIR_RootConstrainSelectedInstOperands,
     /*  497863 */     // GIR_Coverage, 60470,
     /*  497863 */     GIR_EraseRootFromParent_Done,
     /*  497864 */   // Label 8311: @497864
     /*  497864 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(497932), // Rule ID 60471 //
     /*  497869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  497877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497901 */     // MIs[0] policy
     /*  497901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  497914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497928 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497930 */     GIR_RootConstrainSelectedInstOperands,
     /*  497931 */     // GIR_Coverage, 60471,
     /*  497931 */     GIR_EraseRootFromParent_Done,
     /*  497932 */   // Label 8312: @497932
     /*  497932 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(498000), // Rule ID 60472 //
     /*  497937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  497945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497969 */     // MIs[0] policy
     /*  497969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497979 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  497982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497996 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497998 */     GIR_RootConstrainSelectedInstOperands,
     /*  497999 */     // GIR_Coverage, 60472,
     /*  497999 */     GIR_EraseRootFromParent_Done,
     /*  498000 */   // Label 8313: @498000
     /*  498000 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(498068), // Rule ID 61965 //
     /*  498005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498037 */     // MIs[0] policy
     /*  498037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  498050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498064 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498066 */     GIR_RootConstrainSelectedInstOperands,
     /*  498067 */     // GIR_Coverage, 61965,
     /*  498067 */     GIR_EraseRootFromParent_Done,
     /*  498068 */   // Label 8314: @498068
     /*  498068 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(498136), // Rule ID 61966 //
     /*  498073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498105 */     // MIs[0] policy
     /*  498105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  498118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498132 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498134 */     GIR_RootConstrainSelectedInstOperands,
     /*  498135 */     // GIR_Coverage, 61966,
     /*  498135 */     GIR_EraseRootFromParent_Done,
     /*  498136 */   // Label 8315: @498136
     /*  498136 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(498204), // Rule ID 61967 //
     /*  498141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498173 */     // MIs[0] policy
     /*  498173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498200 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498202 */     GIR_RootConstrainSelectedInstOperands,
     /*  498203 */     // GIR_Coverage, 61967,
     /*  498203 */     GIR_EraseRootFromParent_Done,
     /*  498204 */   // Label 8316: @498204
     /*  498204 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(498272), // Rule ID 61968 //
     /*  498209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498241 */     // MIs[0] policy
     /*  498241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498268 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498270 */     GIR_RootConstrainSelectedInstOperands,
     /*  498271 */     // GIR_Coverage, 61968,
     /*  498271 */     GIR_EraseRootFromParent_Done,
     /*  498272 */   // Label 8317: @498272
     /*  498272 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(498340), // Rule ID 61969 //
     /*  498277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498309 */     // MIs[0] policy
     /*  498309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498336 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498338 */     GIR_RootConstrainSelectedInstOperands,
     /*  498339 */     // GIR_Coverage, 61969,
     /*  498339 */     GIR_EraseRootFromParent_Done,
     /*  498340 */   // Label 8318: @498340
     /*  498340 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(498408), // Rule ID 61970 //
     /*  498345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498377 */     // MIs[0] policy
     /*  498377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498404 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498406 */     GIR_RootConstrainSelectedInstOperands,
     /*  498407 */     // GIR_Coverage, 61970,
     /*  498407 */     GIR_EraseRootFromParent_Done,
     /*  498408 */   // Label 8319: @498408
     /*  498408 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498476), // Rule ID 61971 //
     /*  498413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498445 */     // MIs[0] policy
     /*  498445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498455 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498472 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498474 */     GIR_RootConstrainSelectedInstOperands,
     /*  498475 */     // GIR_Coverage, 61971,
     /*  498475 */     GIR_EraseRootFromParent_Done,
     /*  498476 */   // Label 8320: @498476
     /*  498476 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498544), // Rule ID 61972 //
     /*  498481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498513 */     // MIs[0] policy
     /*  498513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498540 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498542 */     GIR_RootConstrainSelectedInstOperands,
     /*  498543 */     // GIR_Coverage, 61972,
     /*  498543 */     GIR_EraseRootFromParent_Done,
     /*  498544 */   // Label 8321: @498544
     /*  498544 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(498612), // Rule ID 61973 //
     /*  498549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498581 */     // MIs[0] policy
     /*  498581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498591 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  498594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498608 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498610 */     GIR_RootConstrainSelectedInstOperands,
     /*  498611 */     // GIR_Coverage, 61973,
     /*  498611 */     GIR_EraseRootFromParent_Done,
     /*  498612 */   // Label 8322: @498612
     /*  498612 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(498680), // Rule ID 61974 //
     /*  498617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498649 */     // MIs[0] policy
     /*  498649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  498662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498676 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498678 */     GIR_RootConstrainSelectedInstOperands,
     /*  498679 */     // GIR_Coverage, 61974,
     /*  498679 */     GIR_EraseRootFromParent_Done,
     /*  498680 */   // Label 8323: @498680
     /*  498680 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(498748), // Rule ID 61975 //
     /*  498685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498717 */     // MIs[0] policy
     /*  498717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  498730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498744 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498746 */     GIR_RootConstrainSelectedInstOperands,
     /*  498747 */     // GIR_Coverage, 61975,
     /*  498747 */     GIR_EraseRootFromParent_Done,
     /*  498748 */   // Label 8324: @498748
     /*  498748 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(498816), // Rule ID 61976 //
     /*  498753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498785 */     // MIs[0] policy
     /*  498785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  498798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498812 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498814 */     GIR_RootConstrainSelectedInstOperands,
     /*  498815 */     // GIR_Coverage, 61976,
     /*  498815 */     GIR_EraseRootFromParent_Done,
     /*  498816 */   // Label 8325: @498816
     /*  498816 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(498884), // Rule ID 61977 //
     /*  498821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498853 */     // MIs[0] policy
     /*  498853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  498866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498880 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498882 */     GIR_RootConstrainSelectedInstOperands,
     /*  498883 */     // GIR_Coverage, 61977,
     /*  498883 */     GIR_EraseRootFromParent_Done,
     /*  498884 */   // Label 8326: @498884
     /*  498884 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(498952), // Rule ID 61978 //
     /*  498889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498921 */     // MIs[0] policy
     /*  498921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  498934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498948 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498950 */     GIR_RootConstrainSelectedInstOperands,
     /*  498951 */     // GIR_Coverage, 61978,
     /*  498951 */     GIR_EraseRootFromParent_Done,
     /*  498952 */   // Label 8327: @498952
     /*  498952 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(499020), // Rule ID 61979 //
     /*  498957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498989 */     // MIs[0] policy
     /*  498989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  499002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499016 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499018 */     GIR_RootConstrainSelectedInstOperands,
     /*  499019 */     // GIR_Coverage, 61979,
     /*  499019 */     GIR_EraseRootFromParent_Done,
     /*  499020 */   // Label 8328: @499020
     /*  499020 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(499088), // Rule ID 61980 //
     /*  499025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499057 */     // MIs[0] policy
     /*  499057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  499070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499084 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499086 */     GIR_RootConstrainSelectedInstOperands,
     /*  499087 */     // GIR_Coverage, 61980,
     /*  499087 */     GIR_EraseRootFromParent_Done,
     /*  499088 */   // Label 8329: @499088
     /*  499088 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(499156), // Rule ID 61981 //
     /*  499093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499125 */     // MIs[0] policy
     /*  499125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499135 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499152 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499154 */     GIR_RootConstrainSelectedInstOperands,
     /*  499155 */     // GIR_Coverage, 61981,
     /*  499155 */     GIR_EraseRootFromParent_Done,
     /*  499156 */   // Label 8330: @499156
     /*  499156 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(499224), // Rule ID 61982 //
     /*  499161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499193 */     // MIs[0] policy
     /*  499193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499220 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499222 */     GIR_RootConstrainSelectedInstOperands,
     /*  499223 */     // GIR_Coverage, 61982,
     /*  499223 */     GIR_EraseRootFromParent_Done,
     /*  499224 */   // Label 8331: @499224
     /*  499224 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499292), // Rule ID 61983 //
     /*  499229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499261 */     // MIs[0] policy
     /*  499261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499288 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499290 */     GIR_RootConstrainSelectedInstOperands,
     /*  499291 */     // GIR_Coverage, 61983,
     /*  499291 */     GIR_EraseRootFromParent_Done,
     /*  499292 */   // Label 8332: @499292
     /*  499292 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499360), // Rule ID 61984 //
     /*  499297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499329 */     // MIs[0] policy
     /*  499329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499356 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499358 */     GIR_RootConstrainSelectedInstOperands,
     /*  499359 */     // GIR_Coverage, 61984,
     /*  499359 */     GIR_EraseRootFromParent_Done,
     /*  499360 */   // Label 8333: @499360
     /*  499360 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499428), // Rule ID 61985 //
     /*  499365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499397 */     // MIs[0] policy
     /*  499397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499424 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499426 */     GIR_RootConstrainSelectedInstOperands,
     /*  499427 */     // GIR_Coverage, 61985,
     /*  499427 */     GIR_EraseRootFromParent_Done,
     /*  499428 */   // Label 8334: @499428
     /*  499428 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499496), // Rule ID 61986 //
     /*  499433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499465 */     // MIs[0] policy
     /*  499465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499492 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499494 */     GIR_RootConstrainSelectedInstOperands,
     /*  499495 */     // GIR_Coverage, 61986,
     /*  499495 */     GIR_EraseRootFromParent_Done,
     /*  499496 */   // Label 8335: @499496
     /*  499496 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499564), // Rule ID 61987 //
     /*  499501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499533 */     // MIs[0] policy
     /*  499533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  499546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499560 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499562 */     GIR_RootConstrainSelectedInstOperands,
     /*  499563 */     // GIR_Coverage, 61987,
     /*  499563 */     GIR_EraseRootFromParent_Done,
     /*  499564 */   // Label 8336: @499564
     /*  499564 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(499632), // Rule ID 61988 //
     /*  499569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499601 */     // MIs[0] policy
     /*  499601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  499614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499628 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499630 */     GIR_RootConstrainSelectedInstOperands,
     /*  499631 */     // GIR_Coverage, 61988,
     /*  499631 */     GIR_EraseRootFromParent_Done,
     /*  499632 */   // Label 8337: @499632
     /*  499632 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(499700), // Rule ID 61989 //
     /*  499637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499669 */     // MIs[0] policy
     /*  499669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499679 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  499682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499696 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499698 */     GIR_RootConstrainSelectedInstOperands,
     /*  499699 */     // GIR_Coverage, 61989,
     /*  499699 */     GIR_EraseRootFromParent_Done,
     /*  499700 */   // Label 8338: @499700
     /*  499700 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(499768), // Rule ID 61990 //
     /*  499705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499737 */     // MIs[0] policy
     /*  499737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  499750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499764 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499766 */     GIR_RootConstrainSelectedInstOperands,
     /*  499767 */     // GIR_Coverage, 61990,
     /*  499767 */     GIR_EraseRootFromParent_Done,
     /*  499768 */   // Label 8339: @499768
     /*  499768 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(499836), // Rule ID 61991 //
     /*  499773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499805 */     // MIs[0] policy
     /*  499805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  499818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499832 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499834 */     GIR_RootConstrainSelectedInstOperands,
     /*  499835 */     // GIR_Coverage, 61991,
     /*  499835 */     GIR_EraseRootFromParent_Done,
     /*  499836 */   // Label 8340: @499836
     /*  499836 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(499904), // Rule ID 61992 //
     /*  499841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499873 */     // MIs[0] policy
     /*  499873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  499886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499900 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499902 */     GIR_RootConstrainSelectedInstOperands,
     /*  499903 */     // GIR_Coverage, 61992,
     /*  499903 */     GIR_EraseRootFromParent_Done,
     /*  499904 */   // Label 8341: @499904
     /*  499904 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(499972), // Rule ID 61993 //
     /*  499909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499941 */     // MIs[0] policy
     /*  499941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  499954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499968 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499970 */     GIR_RootConstrainSelectedInstOperands,
     /*  499971 */     // GIR_Coverage, 61993,
     /*  499971 */     GIR_EraseRootFromParent_Done,
     /*  499972 */   // Label 8342: @499972
     /*  499972 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(500040), // Rule ID 61994 //
     /*  499977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500009 */     // MIs[0] policy
     /*  500009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  500022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500036 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500038 */     GIR_RootConstrainSelectedInstOperands,
     /*  500039 */     // GIR_Coverage, 61994,
     /*  500039 */     GIR_EraseRootFromParent_Done,
     /*  500040 */   // Label 8343: @500040
     /*  500040 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(500108), // Rule ID 61995 //
     /*  500045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500077 */     // MIs[0] policy
     /*  500077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500104 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500106 */     GIR_RootConstrainSelectedInstOperands,
     /*  500107 */     // GIR_Coverage, 61995,
     /*  500107 */     GIR_EraseRootFromParent_Done,
     /*  500108 */   // Label 8344: @500108
     /*  500108 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500176), // Rule ID 61996 //
     /*  500113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500145 */     // MIs[0] policy
     /*  500145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500155 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500172 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500174 */     GIR_RootConstrainSelectedInstOperands,
     /*  500175 */     // GIR_Coverage, 61996,
     /*  500175 */     GIR_EraseRootFromParent_Done,
     /*  500176 */   // Label 8345: @500176
     /*  500176 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500244), // Rule ID 61997 //
     /*  500181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500213 */     // MIs[0] policy
     /*  500213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500223 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500240 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500242 */     GIR_RootConstrainSelectedInstOperands,
     /*  500243 */     // GIR_Coverage, 61997,
     /*  500243 */     GIR_EraseRootFromParent_Done,
     /*  500244 */   // Label 8346: @500244
     /*  500244 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500312), // Rule ID 61998 //
     /*  500249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500281 */     // MIs[0] policy
     /*  500281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500308 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500310 */     GIR_RootConstrainSelectedInstOperands,
     /*  500311 */     // GIR_Coverage, 61998,
     /*  500311 */     GIR_EraseRootFromParent_Done,
     /*  500312 */   // Label 8347: @500312
     /*  500312 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500380), // Rule ID 61999 //
     /*  500317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500349 */     // MIs[0] policy
     /*  500349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500359 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500376 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500378 */     GIR_RootConstrainSelectedInstOperands,
     /*  500379 */     // GIR_Coverage, 61999,
     /*  500379 */     GIR_EraseRootFromParent_Done,
     /*  500380 */   // Label 8348: @500380
     /*  500380 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500448), // Rule ID 62000 //
     /*  500385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500417 */     // MIs[0] policy
     /*  500417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500444 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500446 */     GIR_RootConstrainSelectedInstOperands,
     /*  500447 */     // GIR_Coverage, 62000,
     /*  500447 */     GIR_EraseRootFromParent_Done,
     /*  500448 */   // Label 8349: @500448
     /*  500448 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500516), // Rule ID 62001 //
     /*  500453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500485 */     // MIs[0] policy
     /*  500485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500512 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500514 */     GIR_RootConstrainSelectedInstOperands,
     /*  500515 */     // GIR_Coverage, 62001,
     /*  500515 */     GIR_EraseRootFromParent_Done,
     /*  500516 */   // Label 8350: @500516
     /*  500516 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500584), // Rule ID 62002 //
     /*  500521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500553 */     // MIs[0] policy
     /*  500553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500563 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500580 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500582 */     GIR_RootConstrainSelectedInstOperands,
     /*  500583 */     // GIR_Coverage, 62002,
     /*  500583 */     GIR_EraseRootFromParent_Done,
     /*  500584 */   // Label 8351: @500584
     /*  500584 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(500652), // Rule ID 62003 //
     /*  500589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500621 */     // MIs[0] policy
     /*  500621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500631 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  500634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500648 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500650 */     GIR_RootConstrainSelectedInstOperands,
     /*  500651 */     // GIR_Coverage, 62003,
     /*  500651 */     GIR_EraseRootFromParent_Done,
     /*  500652 */   // Label 8352: @500652
     /*  500652 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(500720), // Rule ID 62004 //
     /*  500657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500689 */     // MIs[0] policy
     /*  500689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  500702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500716 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500718 */     GIR_RootConstrainSelectedInstOperands,
     /*  500719 */     // GIR_Coverage, 62004,
     /*  500719 */     GIR_EraseRootFromParent_Done,
     /*  500720 */   // Label 8353: @500720
     /*  500720 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(500788), // Rule ID 62005 //
     /*  500725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500757 */     // MIs[0] policy
     /*  500757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  500770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500784 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500786 */     GIR_RootConstrainSelectedInstOperands,
     /*  500787 */     // GIR_Coverage, 62005,
     /*  500787 */     GIR_EraseRootFromParent_Done,
     /*  500788 */   // Label 8354: @500788
     /*  500788 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(500856), // Rule ID 62006 //
     /*  500793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500825 */     // MIs[0] policy
     /*  500825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500835 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  500838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500852 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500854 */     GIR_RootConstrainSelectedInstOperands,
     /*  500855 */     // GIR_Coverage, 62006,
     /*  500855 */     GIR_EraseRootFromParent_Done,
     /*  500856 */   // Label 8355: @500856
     /*  500856 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(500924), // Rule ID 62007 //
     /*  500861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500893 */     // MIs[0] policy
     /*  500893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  500906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500920 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500922 */     GIR_RootConstrainSelectedInstOperands,
     /*  500923 */     // GIR_Coverage, 62007,
     /*  500923 */     GIR_EraseRootFromParent_Done,
     /*  500924 */   // Label 8356: @500924
     /*  500924 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(500992), // Rule ID 62008 //
     /*  500929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500961 */     // MIs[0] policy
     /*  500961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  500974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500988 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500990 */     GIR_RootConstrainSelectedInstOperands,
     /*  500991 */     // GIR_Coverage, 62008,
     /*  500991 */     GIR_EraseRootFromParent_Done,
     /*  500992 */   // Label 8357: @500992
     /*  500992 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(501060), // Rule ID 62009 //
     /*  500997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501029 */     // MIs[0] policy
     /*  501029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  501042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501056 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501058 */     GIR_RootConstrainSelectedInstOperands,
     /*  501059 */     // GIR_Coverage, 62009,
     /*  501059 */     GIR_EraseRootFromParent_Done,
     /*  501060 */   // Label 8358: @501060
     /*  501060 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(501128), // Rule ID 62010 //
     /*  501065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501097 */     // MIs[0] policy
     /*  501097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  501110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501124 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501126 */     GIR_RootConstrainSelectedInstOperands,
     /*  501127 */     // GIR_Coverage, 62010,
     /*  501127 */     GIR_EraseRootFromParent_Done,
     /*  501128 */   // Label 8359: @501128
     /*  501128 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501196), // Rule ID 62011 //
     /*  501133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501165 */     // MIs[0] policy
     /*  501165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501175 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501192 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501194 */     GIR_RootConstrainSelectedInstOperands,
     /*  501195 */     // GIR_Coverage, 62011,
     /*  501195 */     GIR_EraseRootFromParent_Done,
     /*  501196 */   // Label 8360: @501196
     /*  501196 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501264), // Rule ID 62012 //
     /*  501201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501233 */     // MIs[0] policy
     /*  501233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501260 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501262 */     GIR_RootConstrainSelectedInstOperands,
     /*  501263 */     // GIR_Coverage, 62012,
     /*  501263 */     GIR_EraseRootFromParent_Done,
     /*  501264 */   // Label 8361: @501264
     /*  501264 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501332), // Rule ID 62013 //
     /*  501269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501301 */     // MIs[0] policy
     /*  501301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501328 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501330 */     GIR_RootConstrainSelectedInstOperands,
     /*  501331 */     // GIR_Coverage, 62013,
     /*  501331 */     GIR_EraseRootFromParent_Done,
     /*  501332 */   // Label 8362: @501332
     /*  501332 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501400), // Rule ID 62014 //
     /*  501337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501369 */     // MIs[0] policy
     /*  501369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501396 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501398 */     GIR_RootConstrainSelectedInstOperands,
     /*  501399 */     // GIR_Coverage, 62014,
     /*  501399 */     GIR_EraseRootFromParent_Done,
     /*  501400 */   // Label 8363: @501400
     /*  501400 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501468), // Rule ID 62015 //
     /*  501405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501437 */     // MIs[0] policy
     /*  501437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501464 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501466 */     GIR_RootConstrainSelectedInstOperands,
     /*  501467 */     // GIR_Coverage, 62015,
     /*  501467 */     GIR_EraseRootFromParent_Done,
     /*  501468 */   // Label 8364: @501468
     /*  501468 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501536), // Rule ID 62016 //
     /*  501473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501505 */     // MIs[0] policy
     /*  501505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501532 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501534 */     GIR_RootConstrainSelectedInstOperands,
     /*  501535 */     // GIR_Coverage, 62016,
     /*  501535 */     GIR_EraseRootFromParent_Done,
     /*  501536 */   // Label 8365: @501536
     /*  501536 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501604), // Rule ID 62017 //
     /*  501541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  501558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501573 */     // MIs[0] policy
     /*  501573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  501586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501600 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501602 */     GIR_RootConstrainSelectedInstOperands,
     /*  501603 */     // GIR_Coverage, 62017,
     /*  501603 */     GIR_EraseRootFromParent_Done,
     /*  501604 */   // Label 8366: @501604
     /*  501604 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(501672), // Rule ID 62018 //
     /*  501609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  501626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501641 */     // MIs[0] policy
     /*  501641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  501654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501668 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501670 */     GIR_RootConstrainSelectedInstOperands,
     /*  501671 */     // GIR_Coverage, 62018,
     /*  501671 */     GIR_EraseRootFromParent_Done,
     /*  501672 */   // Label 8367: @501672
     /*  501672 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(501740), // Rule ID 62019 //
     /*  501677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501709 */     // MIs[0] policy
     /*  501709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501719 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  501722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501736 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501738 */     GIR_RootConstrainSelectedInstOperands,
     /*  501739 */     // GIR_Coverage, 62019,
     /*  501739 */     GIR_EraseRootFromParent_Done,
     /*  501740 */   // Label 8368: @501740
     /*  501740 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(501808), // Rule ID 62020 //
     /*  501745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501777 */     // MIs[0] policy
     /*  501777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501787 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  501790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501804 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501806 */     GIR_RootConstrainSelectedInstOperands,
     /*  501807 */     // GIR_Coverage, 62020,
     /*  501807 */     GIR_EraseRootFromParent_Done,
     /*  501808 */   // Label 8369: @501808
     /*  501808 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(501876), // Rule ID 62021 //
     /*  501813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501845 */     // MIs[0] policy
     /*  501845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  501858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501872 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501874 */     GIR_RootConstrainSelectedInstOperands,
     /*  501875 */     // GIR_Coverage, 62021,
     /*  501875 */     GIR_EraseRootFromParent_Done,
     /*  501876 */   // Label 8370: @501876
     /*  501876 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(501944), // Rule ID 62022 //
     /*  501881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501913 */     // MIs[0] policy
     /*  501913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  501926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501940 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501942 */     GIR_RootConstrainSelectedInstOperands,
     /*  501943 */     // GIR_Coverage, 62022,
     /*  501943 */     GIR_EraseRootFromParent_Done,
     /*  501944 */   // Label 8371: @501944
     /*  501944 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(502012), // Rule ID 62023 //
     /*  501949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501981 */     // MIs[0] policy
     /*  501981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  501994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502008 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502010 */     GIR_RootConstrainSelectedInstOperands,
     /*  502011 */     // GIR_Coverage, 62023,
     /*  502011 */     GIR_EraseRootFromParent_Done,
     /*  502012 */   // Label 8372: @502012
     /*  502012 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(502080), // Rule ID 62024 //
     /*  502017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502049 */     // MIs[0] policy
     /*  502049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  502062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502076 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502078 */     GIR_RootConstrainSelectedInstOperands,
     /*  502079 */     // GIR_Coverage, 62024,
     /*  502079 */     GIR_EraseRootFromParent_Done,
     /*  502080 */   // Label 8373: @502080
     /*  502080 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(502148), // Rule ID 62025 //
     /*  502085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502117 */     // MIs[0] policy
     /*  502117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502144 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502146 */     GIR_RootConstrainSelectedInstOperands,
     /*  502147 */     // GIR_Coverage, 62025,
     /*  502147 */     GIR_EraseRootFromParent_Done,
     /*  502148 */   // Label 8374: @502148
     /*  502148 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502216), // Rule ID 62026 //
     /*  502153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502185 */     // MIs[0] policy
     /*  502185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502212 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502214 */     GIR_RootConstrainSelectedInstOperands,
     /*  502215 */     // GIR_Coverage, 62026,
     /*  502215 */     GIR_EraseRootFromParent_Done,
     /*  502216 */   // Label 8375: @502216
     /*  502216 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502284), // Rule ID 62027 //
     /*  502221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502253 */     // MIs[0] policy
     /*  502253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502280 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502282 */     GIR_RootConstrainSelectedInstOperands,
     /*  502283 */     // GIR_Coverage, 62027,
     /*  502283 */     GIR_EraseRootFromParent_Done,
     /*  502284 */   // Label 8376: @502284
     /*  502284 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502352), // Rule ID 62028 //
     /*  502289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502321 */     // MIs[0] policy
     /*  502321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502348 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502350 */     GIR_RootConstrainSelectedInstOperands,
     /*  502351 */     // GIR_Coverage, 62028,
     /*  502351 */     GIR_EraseRootFromParent_Done,
     /*  502352 */   // Label 8377: @502352
     /*  502352 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502420), // Rule ID 62029 //
     /*  502357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502389 */     // MIs[0] policy
     /*  502389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502416 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502418 */     GIR_RootConstrainSelectedInstOperands,
     /*  502419 */     // GIR_Coverage, 62029,
     /*  502419 */     GIR_EraseRootFromParent_Done,
     /*  502420 */   // Label 8378: @502420
     /*  502420 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502488), // Rule ID 62030 //
     /*  502425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502457 */     // MIs[0] policy
     /*  502457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502484 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502486 */     GIR_RootConstrainSelectedInstOperands,
     /*  502487 */     // GIR_Coverage, 62030,
     /*  502487 */     GIR_EraseRootFromParent_Done,
     /*  502488 */   // Label 8379: @502488
     /*  502488 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502556), // Rule ID 62031 //
     /*  502493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502525 */     // MIs[0] policy
     /*  502525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502552 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502554 */     GIR_RootConstrainSelectedInstOperands,
     /*  502555 */     // GIR_Coverage, 62031,
     /*  502555 */     GIR_EraseRootFromParent_Done,
     /*  502556 */   // Label 8380: @502556
     /*  502556 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(502624), // Rule ID 62032 //
     /*  502561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502593 */     // MIs[0] policy
     /*  502593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502620 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502622 */     GIR_RootConstrainSelectedInstOperands,
     /*  502623 */     // GIR_Coverage, 62032,
     /*  502623 */     GIR_EraseRootFromParent_Done,
     /*  502624 */   // Label 8381: @502624
     /*  502624 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(502692), // Rule ID 62033 //
     /*  502629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502661 */     // MIs[0] policy
     /*  502661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  502674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502688 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502690 */     GIR_RootConstrainSelectedInstOperands,
     /*  502691 */     // GIR_Coverage, 62033,
     /*  502691 */     GIR_EraseRootFromParent_Done,
     /*  502692 */   // Label 8382: @502692
     /*  502692 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(502760), // Rule ID 62034 //
     /*  502697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502729 */     // MIs[0] policy
     /*  502729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  502742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502756 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502758 */     GIR_RootConstrainSelectedInstOperands,
     /*  502759 */     // GIR_Coverage, 62034,
     /*  502759 */     GIR_EraseRootFromParent_Done,
     /*  502760 */   // Label 8383: @502760
     /*  502760 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(502828), // Rule ID 62035 //
     /*  502765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502797 */     // MIs[0] policy
     /*  502797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  502810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502824 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502826 */     GIR_RootConstrainSelectedInstOperands,
     /*  502827 */     // GIR_Coverage, 62035,
     /*  502827 */     GIR_EraseRootFromParent_Done,
     /*  502828 */   // Label 8384: @502828
     /*  502828 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(502896), // Rule ID 62036 //
     /*  502833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502865 */     // MIs[0] policy
     /*  502865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  502878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502892 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502894 */     GIR_RootConstrainSelectedInstOperands,
     /*  502895 */     // GIR_Coverage, 62036,
     /*  502895 */     GIR_EraseRootFromParent_Done,
     /*  502896 */   // Label 8385: @502896
     /*  502896 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(502964), // Rule ID 62037 //
     /*  502901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502933 */     // MIs[0] policy
     /*  502933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  502946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502960 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502962 */     GIR_RootConstrainSelectedInstOperands,
     /*  502963 */     // GIR_Coverage, 62037,
     /*  502963 */     GIR_EraseRootFromParent_Done,
     /*  502964 */   // Label 8386: @502964
     /*  502964 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(503032), // Rule ID 62038 //
     /*  502969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503001 */     // MIs[0] policy
     /*  503001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  503014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503028 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503030 */     GIR_RootConstrainSelectedInstOperands,
     /*  503031 */     // GIR_Coverage, 62038,
     /*  503031 */     GIR_EraseRootFromParent_Done,
     /*  503032 */   // Label 8387: @503032
     /*  503032 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(503100), // Rule ID 62039 //
     /*  503037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503069 */     // MIs[0] policy
     /*  503069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503079 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503096 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503098 */     GIR_RootConstrainSelectedInstOperands,
     /*  503099 */     // GIR_Coverage, 62039,
     /*  503099 */     GIR_EraseRootFromParent_Done,
     /*  503100 */   // Label 8388: @503100
     /*  503100 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503168), // Rule ID 62040 //
     /*  503105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503137 */     // MIs[0] policy
     /*  503137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503164 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503166 */     GIR_RootConstrainSelectedInstOperands,
     /*  503167 */     // GIR_Coverage, 62040,
     /*  503167 */     GIR_EraseRootFromParent_Done,
     /*  503168 */   // Label 8389: @503168
     /*  503168 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503236), // Rule ID 62041 //
     /*  503173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503205 */     // MIs[0] policy
     /*  503205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503215 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503232 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503234 */     GIR_RootConstrainSelectedInstOperands,
     /*  503235 */     // GIR_Coverage, 62041,
     /*  503235 */     GIR_EraseRootFromParent_Done,
     /*  503236 */   // Label 8390: @503236
     /*  503236 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503304), // Rule ID 62042 //
     /*  503241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503273 */     // MIs[0] policy
     /*  503273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503300 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503302 */     GIR_RootConstrainSelectedInstOperands,
     /*  503303 */     // GIR_Coverage, 62042,
     /*  503303 */     GIR_EraseRootFromParent_Done,
     /*  503304 */   // Label 8391: @503304
     /*  503304 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503372), // Rule ID 62043 //
     /*  503309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503341 */     // MIs[0] policy
     /*  503341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503368 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503370 */     GIR_RootConstrainSelectedInstOperands,
     /*  503371 */     // GIR_Coverage, 62043,
     /*  503371 */     GIR_EraseRootFromParent_Done,
     /*  503372 */   // Label 8392: @503372
     /*  503372 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503440), // Rule ID 62044 //
     /*  503377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503409 */     // MIs[0] policy
     /*  503409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503436 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503438 */     GIR_RootConstrainSelectedInstOperands,
     /*  503439 */     // GIR_Coverage, 62044,
     /*  503439 */     GIR_EraseRootFromParent_Done,
     /*  503440 */   // Label 8393: @503440
     /*  503440 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503508), // Rule ID 62045 //
     /*  503445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503477 */     // MIs[0] policy
     /*  503477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503487 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503504 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503506 */     GIR_RootConstrainSelectedInstOperands,
     /*  503507 */     // GIR_Coverage, 62045,
     /*  503507 */     GIR_EraseRootFromParent_Done,
     /*  503508 */   // Label 8394: @503508
     /*  503508 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503576), // Rule ID 62046 //
     /*  503513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503545 */     // MIs[0] policy
     /*  503545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503572 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503574 */     GIR_RootConstrainSelectedInstOperands,
     /*  503575 */     // GIR_Coverage, 62046,
     /*  503575 */     GIR_EraseRootFromParent_Done,
     /*  503576 */   // Label 8395: @503576
     /*  503576 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(503644), // Rule ID 62047 //
     /*  503581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503613 */     // MIs[0] policy
     /*  503613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  503626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503640 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503642 */     GIR_RootConstrainSelectedInstOperands,
     /*  503643 */     // GIR_Coverage, 62047,
     /*  503643 */     GIR_EraseRootFromParent_Done,
     /*  503644 */   // Label 8396: @503644
     /*  503644 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(503712), // Rule ID 62048 //
     /*  503649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503681 */     // MIs[0] policy
     /*  503681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  503694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503708 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503710 */     GIR_RootConstrainSelectedInstOperands,
     /*  503711 */     // GIR_Coverage, 62048,
     /*  503711 */     GIR_EraseRootFromParent_Done,
     /*  503712 */   // Label 8397: @503712
     /*  503712 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(503780), // Rule ID 62049 //
     /*  503717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503749 */     // MIs[0] policy
     /*  503749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  503762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503776 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503778 */     GIR_RootConstrainSelectedInstOperands,
     /*  503779 */     // GIR_Coverage, 62049,
     /*  503779 */     GIR_EraseRootFromParent_Done,
     /*  503780 */   // Label 8398: @503780
     /*  503780 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(503848), // Rule ID 62050 //
     /*  503785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503817 */     // MIs[0] policy
     /*  503817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  503830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503844 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503846 */     GIR_RootConstrainSelectedInstOperands,
     /*  503847 */     // GIR_Coverage, 62050,
     /*  503847 */     GIR_EraseRootFromParent_Done,
     /*  503848 */   // Label 8399: @503848
     /*  503848 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(503916), // Rule ID 62051 //
     /*  503853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503885 */     // MIs[0] policy
     /*  503885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  503898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503912 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503914 */     GIR_RootConstrainSelectedInstOperands,
     /*  503915 */     // GIR_Coverage, 62051,
     /*  503915 */     GIR_EraseRootFromParent_Done,
     /*  503916 */   // Label 8400: @503916
     /*  503916 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(503984), // Rule ID 62052 //
     /*  503921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503953 */     // MIs[0] policy
     /*  503953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  503966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503980 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503982 */     GIR_RootConstrainSelectedInstOperands,
     /*  503983 */     // GIR_Coverage, 62052,
     /*  503983 */     GIR_EraseRootFromParent_Done,
     /*  503984 */   // Label 8401: @503984
     /*  503984 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(504052), // Rule ID 62053 //
     /*  503989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504021 */     // MIs[0] policy
     /*  504021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  504034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504048 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504050 */     GIR_RootConstrainSelectedInstOperands,
     /*  504051 */     // GIR_Coverage, 62053,
     /*  504051 */     GIR_EraseRootFromParent_Done,
     /*  504052 */   // Label 8402: @504052
     /*  504052 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(504120), // Rule ID 62054 //
     /*  504057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504089 */     // MIs[0] policy
     /*  504089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  504102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504116 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504118 */     GIR_RootConstrainSelectedInstOperands,
     /*  504119 */     // GIR_Coverage, 62054,
     /*  504119 */     GIR_EraseRootFromParent_Done,
     /*  504120 */   // Label 8403: @504120
     /*  504120 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504188), // Rule ID 62055 //
     /*  504125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504157 */     // MIs[0] policy
     /*  504157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504184 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504186 */     GIR_RootConstrainSelectedInstOperands,
     /*  504187 */     // GIR_Coverage, 62055,
     /*  504187 */     GIR_EraseRootFromParent_Done,
     /*  504188 */   // Label 8404: @504188
     /*  504188 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504256), // Rule ID 62056 //
     /*  504193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504225 */     // MIs[0] policy
     /*  504225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504252 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504254 */     GIR_RootConstrainSelectedInstOperands,
     /*  504255 */     // GIR_Coverage, 62056,
     /*  504255 */     GIR_EraseRootFromParent_Done,
     /*  504256 */   // Label 8405: @504256
     /*  504256 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504324), // Rule ID 62057 //
     /*  504261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504293 */     // MIs[0] policy
     /*  504293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504320 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504322 */     GIR_RootConstrainSelectedInstOperands,
     /*  504323 */     // GIR_Coverage, 62057,
     /*  504323 */     GIR_EraseRootFromParent_Done,
     /*  504324 */   // Label 8406: @504324
     /*  504324 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504392), // Rule ID 62058 //
     /*  504329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504361 */     // MIs[0] policy
     /*  504361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504371 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504388 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504390 */     GIR_RootConstrainSelectedInstOperands,
     /*  504391 */     // GIR_Coverage, 62058,
     /*  504391 */     GIR_EraseRootFromParent_Done,
     /*  504392 */   // Label 8407: @504392
     /*  504392 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504460), // Rule ID 62059 //
     /*  504397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504429 */     // MIs[0] policy
     /*  504429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504456 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504458 */     GIR_RootConstrainSelectedInstOperands,
     /*  504459 */     // GIR_Coverage, 62059,
     /*  504459 */     GIR_EraseRootFromParent_Done,
     /*  504460 */   // Label 8408: @504460
     /*  504460 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504528), // Rule ID 62060 //
     /*  504465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504497 */     // MIs[0] policy
     /*  504497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504524 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504526 */     GIR_RootConstrainSelectedInstOperands,
     /*  504527 */     // GIR_Coverage, 62060,
     /*  504527 */     GIR_EraseRootFromParent_Done,
     /*  504528 */   // Label 8409: @504528
     /*  504528 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504596), // Rule ID 62061 //
     /*  504533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504565 */     // MIs[0] policy
     /*  504565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504575 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  504578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504592 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504594 */     GIR_RootConstrainSelectedInstOperands,
     /*  504595 */     // GIR_Coverage, 62061,
     /*  504595 */     GIR_EraseRootFromParent_Done,
     /*  504596 */   // Label 8410: @504596
     /*  504596 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(504664), // Rule ID 62062 //
     /*  504601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504633 */     // MIs[0] policy
     /*  504633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  504646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504660 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504662 */     GIR_RootConstrainSelectedInstOperands,
     /*  504663 */     // GIR_Coverage, 62062,
     /*  504663 */     GIR_EraseRootFromParent_Done,
     /*  504664 */   // Label 8411: @504664
     /*  504664 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(504732), // Rule ID 62063 //
     /*  504669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504701 */     // MIs[0] policy
     /*  504701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  504714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504728 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504730 */     GIR_RootConstrainSelectedInstOperands,
     /*  504731 */     // GIR_Coverage, 62063,
     /*  504731 */     GIR_EraseRootFromParent_Done,
     /*  504732 */   // Label 8412: @504732
     /*  504732 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(504800), // Rule ID 62064 //
     /*  504737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504769 */     // MIs[0] policy
     /*  504769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  504782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504796 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504798 */     GIR_RootConstrainSelectedInstOperands,
     /*  504799 */     // GIR_Coverage, 62064,
     /*  504799 */     GIR_EraseRootFromParent_Done,
     /*  504800 */   // Label 8413: @504800
     /*  504800 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(504868), // Rule ID 62065 //
     /*  504805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504837 */     // MIs[0] policy
     /*  504837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  504850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504864 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504866 */     GIR_RootConstrainSelectedInstOperands,
     /*  504867 */     // GIR_Coverage, 62065,
     /*  504867 */     GIR_EraseRootFromParent_Done,
     /*  504868 */   // Label 8414: @504868
     /*  504868 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(504936), // Rule ID 62066 //
     /*  504873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504905 */     // MIs[0] policy
     /*  504905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  504918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504932 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504934 */     GIR_RootConstrainSelectedInstOperands,
     /*  504935 */     // GIR_Coverage, 62066,
     /*  504935 */     GIR_EraseRootFromParent_Done,
     /*  504936 */   // Label 8415: @504936
     /*  504936 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(505004), // Rule ID 62067 //
     /*  504941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504973 */     // MIs[0] policy
     /*  504973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  504986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505000 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505002 */     GIR_RootConstrainSelectedInstOperands,
     /*  505003 */     // GIR_Coverage, 62067,
     /*  505003 */     GIR_EraseRootFromParent_Done,
     /*  505004 */   // Label 8416: @505004
     /*  505004 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(505072), // Rule ID 62068 //
     /*  505009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505041 */     // MIs[0] policy
     /*  505041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  505054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505068 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505070 */     GIR_RootConstrainSelectedInstOperands,
     /*  505071 */     // GIR_Coverage, 62068,
     /*  505071 */     GIR_EraseRootFromParent_Done,
     /*  505072 */   // Label 8417: @505072
     /*  505072 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(505140), // Rule ID 62069 //
     /*  505077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505109 */     // MIs[0] policy
     /*  505109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505136 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505138 */     GIR_RootConstrainSelectedInstOperands,
     /*  505139 */     // GIR_Coverage, 62069,
     /*  505139 */     GIR_EraseRootFromParent_Done,
     /*  505140 */   // Label 8418: @505140
     /*  505140 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505208), // Rule ID 62070 //
     /*  505145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505177 */     // MIs[0] policy
     /*  505177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505204 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505206 */     GIR_RootConstrainSelectedInstOperands,
     /*  505207 */     // GIR_Coverage, 62070,
     /*  505207 */     GIR_EraseRootFromParent_Done,
     /*  505208 */   // Label 8419: @505208
     /*  505208 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505276), // Rule ID 62071 //
     /*  505213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505245 */     // MIs[0] policy
     /*  505245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505255 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505272 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505274 */     GIR_RootConstrainSelectedInstOperands,
     /*  505275 */     // GIR_Coverage, 62071,
     /*  505275 */     GIR_EraseRootFromParent_Done,
     /*  505276 */   // Label 8420: @505276
     /*  505276 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505344), // Rule ID 62072 //
     /*  505281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505313 */     // MIs[0] policy
     /*  505313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505323 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505340 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505342 */     GIR_RootConstrainSelectedInstOperands,
     /*  505343 */     // GIR_Coverage, 62072,
     /*  505343 */     GIR_EraseRootFromParent_Done,
     /*  505344 */   // Label 8421: @505344
     /*  505344 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505412), // Rule ID 62073 //
     /*  505349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505381 */     // MIs[0] policy
     /*  505381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505391 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505408 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505410 */     GIR_RootConstrainSelectedInstOperands,
     /*  505411 */     // GIR_Coverage, 62073,
     /*  505411 */     GIR_EraseRootFromParent_Done,
     /*  505412 */   // Label 8422: @505412
     /*  505412 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505480), // Rule ID 62074 //
     /*  505417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505449 */     // MIs[0] policy
     /*  505449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505459 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505476 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505478 */     GIR_RootConstrainSelectedInstOperands,
     /*  505479 */     // GIR_Coverage, 62074,
     /*  505479 */     GIR_EraseRootFromParent_Done,
     /*  505480 */   // Label 8423: @505480
     /*  505480 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505548), // Rule ID 62075 //
     /*  505485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505517 */     // MIs[0] policy
     /*  505517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505544 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505546 */     GIR_RootConstrainSelectedInstOperands,
     /*  505547 */     // GIR_Coverage, 62075,
     /*  505547 */     GIR_EraseRootFromParent_Done,
     /*  505548 */   // Label 8424: @505548
     /*  505548 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(505616), // Rule ID 62076 //
     /*  505553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505585 */     // MIs[0] policy
     /*  505585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505595 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505612 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505614 */     GIR_RootConstrainSelectedInstOperands,
     /*  505615 */     // GIR_Coverage, 62076,
     /*  505615 */     GIR_EraseRootFromParent_Done,
     /*  505616 */   // Label 8425: @505616
     /*  505616 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(505684), // Rule ID 62077 //
     /*  505621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505653 */     // MIs[0] policy
     /*  505653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505663 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  505666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505680 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505682 */     GIR_RootConstrainSelectedInstOperands,
     /*  505683 */     // GIR_Coverage, 62077,
     /*  505683 */     GIR_EraseRootFromParent_Done,
     /*  505684 */   // Label 8426: @505684
     /*  505684 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(505752), // Rule ID 62078 //
     /*  505689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505721 */     // MIs[0] policy
     /*  505721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  505734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505748 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505750 */     GIR_RootConstrainSelectedInstOperands,
     /*  505751 */     // GIR_Coverage, 62078,
     /*  505751 */     GIR_EraseRootFromParent_Done,
     /*  505752 */   // Label 8427: @505752
     /*  505752 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(505820), // Rule ID 62079 //
     /*  505757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505789 */     // MIs[0] policy
     /*  505789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  505802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505816 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505818 */     GIR_RootConstrainSelectedInstOperands,
     /*  505819 */     // GIR_Coverage, 62079,
     /*  505819 */     GIR_EraseRootFromParent_Done,
     /*  505820 */   // Label 8428: @505820
     /*  505820 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(505888), // Rule ID 62080 //
     /*  505825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505857 */     // MIs[0] policy
     /*  505857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  505870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505884 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505886 */     GIR_RootConstrainSelectedInstOperands,
     /*  505887 */     // GIR_Coverage, 62080,
     /*  505887 */     GIR_EraseRootFromParent_Done,
     /*  505888 */   // Label 8429: @505888
     /*  505888 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(505956), // Rule ID 62081 //
     /*  505893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505925 */     // MIs[0] policy
     /*  505925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505935 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  505938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505952 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505954 */     GIR_RootConstrainSelectedInstOperands,
     /*  505955 */     // GIR_Coverage, 62081,
     /*  505955 */     GIR_EraseRootFromParent_Done,
     /*  505956 */   // Label 8430: @505956
     /*  505956 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(506024), // Rule ID 62082 //
     /*  505961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505993 */     // MIs[0] policy
     /*  505993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  506006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506020 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506022 */     GIR_RootConstrainSelectedInstOperands,
     /*  506023 */     // GIR_Coverage, 62082,
     /*  506023 */     GIR_EraseRootFromParent_Done,
     /*  506024 */   // Label 8431: @506024
     /*  506024 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(506092), // Rule ID 62083 //
     /*  506029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506061 */     // MIs[0] policy
     /*  506061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506088 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506090 */     GIR_RootConstrainSelectedInstOperands,
     /*  506091 */     // GIR_Coverage, 62083,
     /*  506091 */     GIR_EraseRootFromParent_Done,
     /*  506092 */   // Label 8432: @506092
     /*  506092 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506160), // Rule ID 62084 //
     /*  506097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506129 */     // MIs[0] policy
     /*  506129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506156 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506158 */     GIR_RootConstrainSelectedInstOperands,
     /*  506159 */     // GIR_Coverage, 62084,
     /*  506159 */     GIR_EraseRootFromParent_Done,
     /*  506160 */   // Label 8433: @506160
     /*  506160 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506228), // Rule ID 62085 //
     /*  506165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506197 */     // MIs[0] policy
     /*  506197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506224 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506226 */     GIR_RootConstrainSelectedInstOperands,
     /*  506227 */     // GIR_Coverage, 62085,
     /*  506227 */     GIR_EraseRootFromParent_Done,
     /*  506228 */   // Label 8434: @506228
     /*  506228 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506296), // Rule ID 62086 //
     /*  506233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506265 */     // MIs[0] policy
     /*  506265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506292 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506294 */     GIR_RootConstrainSelectedInstOperands,
     /*  506295 */     // GIR_Coverage, 62086,
     /*  506295 */     GIR_EraseRootFromParent_Done,
     /*  506296 */   // Label 8435: @506296
     /*  506296 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506364), // Rule ID 62087 //
     /*  506301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506333 */     // MIs[0] policy
     /*  506333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506360 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506362 */     GIR_RootConstrainSelectedInstOperands,
     /*  506363 */     // GIR_Coverage, 62087,
     /*  506363 */     GIR_EraseRootFromParent_Done,
     /*  506364 */   // Label 8436: @506364
     /*  506364 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506432), // Rule ID 62088 //
     /*  506369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506401 */     // MIs[0] policy
     /*  506401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506428 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506430 */     GIR_RootConstrainSelectedInstOperands,
     /*  506431 */     // GIR_Coverage, 62088,
     /*  506431 */     GIR_EraseRootFromParent_Done,
     /*  506432 */   // Label 8437: @506432
     /*  506432 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506500), // Rule ID 62089 //
     /*  506437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506469 */     // MIs[0] policy
     /*  506469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506496 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506498 */     GIR_RootConstrainSelectedInstOperands,
     /*  506499 */     // GIR_Coverage, 62089,
     /*  506499 */     GIR_EraseRootFromParent_Done,
     /*  506500 */   // Label 8438: @506500
     /*  506500 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506568), // Rule ID 62090 //
     /*  506505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506537 */     // MIs[0] policy
     /*  506537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506547 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506564 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506566 */     GIR_RootConstrainSelectedInstOperands,
     /*  506567 */     // GIR_Coverage, 62090,
     /*  506567 */     GIR_EraseRootFromParent_Done,
     /*  506568 */   // Label 8439: @506568
     /*  506568 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(506636), // Rule ID 62091 //
     /*  506573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506605 */     // MIs[0] policy
     /*  506605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  506618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506632 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506634 */     GIR_RootConstrainSelectedInstOperands,
     /*  506635 */     // GIR_Coverage, 62091,
     /*  506635 */     GIR_EraseRootFromParent_Done,
     /*  506636 */   // Label 8440: @506636
     /*  506636 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(506704), // Rule ID 62092 //
     /*  506641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506673 */     // MIs[0] policy
     /*  506673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  506686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506700 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506702 */     GIR_RootConstrainSelectedInstOperands,
     /*  506703 */     // GIR_Coverage, 62092,
     /*  506703 */     GIR_EraseRootFromParent_Done,
     /*  506704 */   // Label 8441: @506704
     /*  506704 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(506772), // Rule ID 62093 //
     /*  506709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506741 */     // MIs[0] policy
     /*  506741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  506754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506768 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506770 */     GIR_RootConstrainSelectedInstOperands,
     /*  506771 */     // GIR_Coverage, 62093,
     /*  506771 */     GIR_EraseRootFromParent_Done,
     /*  506772 */   // Label 8442: @506772
     /*  506772 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(506840), // Rule ID 62094 //
     /*  506777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506809 */     // MIs[0] policy
     /*  506809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  506822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506836 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506838 */     GIR_RootConstrainSelectedInstOperands,
     /*  506839 */     // GIR_Coverage, 62094,
     /*  506839 */     GIR_EraseRootFromParent_Done,
     /*  506840 */   // Label 8443: @506840
     /*  506840 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(506908), // Rule ID 62095 //
     /*  506845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506877 */     // MIs[0] policy
     /*  506877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  506890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506904 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506906 */     GIR_RootConstrainSelectedInstOperands,
     /*  506907 */     // GIR_Coverage, 62095,
     /*  506907 */     GIR_EraseRootFromParent_Done,
     /*  506908 */   // Label 8444: @506908
     /*  506908 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(506976), // Rule ID 62096 //
     /*  506913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506945 */     // MIs[0] policy
     /*  506945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  506958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506972 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506974 */     GIR_RootConstrainSelectedInstOperands,
     /*  506975 */     // GIR_Coverage, 62096,
     /*  506975 */     GIR_EraseRootFromParent_Done,
     /*  506976 */   // Label 8445: @506976
     /*  506976 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(507044), // Rule ID 62097 //
     /*  506981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507013 */     // MIs[0] policy
     /*  507013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  507026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507040 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507042 */     GIR_RootConstrainSelectedInstOperands,
     /*  507043 */     // GIR_Coverage, 62097,
     /*  507043 */     GIR_EraseRootFromParent_Done,
     /*  507044 */   // Label 8446: @507044
     /*  507044 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(507112), // Rule ID 62098 //
     /*  507049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507081 */     // MIs[0] policy
     /*  507081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507091 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  507094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507108 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507110 */     GIR_RootConstrainSelectedInstOperands,
     /*  507111 */     // GIR_Coverage, 62098,
     /*  507111 */     GIR_EraseRootFromParent_Done,
     /*  507112 */   // Label 8447: @507112
     /*  507112 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507180), // Rule ID 62099 //
     /*  507117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507149 */     // MIs[0] policy
     /*  507149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507176 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507178 */     GIR_RootConstrainSelectedInstOperands,
     /*  507179 */     // GIR_Coverage, 62099,
     /*  507179 */     GIR_EraseRootFromParent_Done,
     /*  507180 */   // Label 8448: @507180
     /*  507180 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507248), // Rule ID 62100 //
     /*  507185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507217 */     // MIs[0] policy
     /*  507217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507244 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507246 */     GIR_RootConstrainSelectedInstOperands,
     /*  507247 */     // GIR_Coverage, 62100,
     /*  507247 */     GIR_EraseRootFromParent_Done,
     /*  507248 */   // Label 8449: @507248
     /*  507248 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507316), // Rule ID 62101 //
     /*  507253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507285 */     // MIs[0] policy
     /*  507285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507312 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507314 */     GIR_RootConstrainSelectedInstOperands,
     /*  507315 */     // GIR_Coverage, 62101,
     /*  507315 */     GIR_EraseRootFromParent_Done,
     /*  507316 */   // Label 8450: @507316
     /*  507316 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507384), // Rule ID 62102 //
     /*  507321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507353 */     // MIs[0] policy
     /*  507353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507380 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507382 */     GIR_RootConstrainSelectedInstOperands,
     /*  507383 */     // GIR_Coverage, 62102,
     /*  507383 */     GIR_EraseRootFromParent_Done,
     /*  507384 */   // Label 8451: @507384
     /*  507384 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507452), // Rule ID 62103 //
     /*  507389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507421 */     // MIs[0] policy
     /*  507421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507448 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507450 */     GIR_RootConstrainSelectedInstOperands,
     /*  507451 */     // GIR_Coverage, 62103,
     /*  507451 */     GIR_EraseRootFromParent_Done,
     /*  507452 */   // Label 8452: @507452
     /*  507452 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507520), // Rule ID 62104 //
     /*  507457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507489 */     // MIs[0] policy
     /*  507489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507516 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507518 */     GIR_RootConstrainSelectedInstOperands,
     /*  507519 */     // GIR_Coverage, 62104,
     /*  507519 */     GIR_EraseRootFromParent_Done,
     /*  507520 */   // Label 8453: @507520
     /*  507520 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507588), // Rule ID 62105 //
     /*  507525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507557 */     // MIs[0] policy
     /*  507557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  507570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507584 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507586 */     GIR_RootConstrainSelectedInstOperands,
     /*  507587 */     // GIR_Coverage, 62105,
     /*  507587 */     GIR_EraseRootFromParent_Done,
     /*  507588 */   // Label 8454: @507588
     /*  507588 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(507656), // Rule ID 62106 //
     /*  507593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507625 */     // MIs[0] policy
     /*  507625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  507638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507652 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507654 */     GIR_RootConstrainSelectedInstOperands,
     /*  507655 */     // GIR_Coverage, 62106,
     /*  507655 */     GIR_EraseRootFromParent_Done,
     /*  507656 */   // Label 8455: @507656
     /*  507656 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(507724), // Rule ID 62107 //
     /*  507661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507693 */     // MIs[0] policy
     /*  507693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  507706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507720 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507722 */     GIR_RootConstrainSelectedInstOperands,
     /*  507723 */     // GIR_Coverage, 62107,
     /*  507723 */     GIR_EraseRootFromParent_Done,
     /*  507724 */   // Label 8456: @507724
     /*  507724 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(507792), // Rule ID 62108 //
     /*  507729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507761 */     // MIs[0] policy
     /*  507761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  507774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507788 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507790 */     GIR_RootConstrainSelectedInstOperands,
     /*  507791 */     // GIR_Coverage, 62108,
     /*  507791 */     GIR_EraseRootFromParent_Done,
     /*  507792 */   // Label 8457: @507792
     /*  507792 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(507860), // Rule ID 62109 //
     /*  507797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507829 */     // MIs[0] policy
     /*  507829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  507842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507856 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507858 */     GIR_RootConstrainSelectedInstOperands,
     /*  507859 */     // GIR_Coverage, 62109,
     /*  507859 */     GIR_EraseRootFromParent_Done,
     /*  507860 */   // Label 8458: @507860
     /*  507860 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(507928), // Rule ID 62110 //
     /*  507865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507897 */     // MIs[0] policy
     /*  507897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  507910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507924 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507926 */     GIR_RootConstrainSelectedInstOperands,
     /*  507927 */     // GIR_Coverage, 62110,
     /*  507927 */     GIR_EraseRootFromParent_Done,
     /*  507928 */   // Label 8459: @507928
     /*  507928 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(507996), // Rule ID 62111 //
     /*  507933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507965 */     // MIs[0] policy
     /*  507965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507975 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  507978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507992 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507994 */     GIR_RootConstrainSelectedInstOperands,
     /*  507995 */     // GIR_Coverage, 62111,
     /*  507995 */     GIR_EraseRootFromParent_Done,
     /*  507996 */   // Label 8460: @507996
     /*  507996 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(508064), // Rule ID 62112 //
     /*  508001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508033 */     // MIs[0] policy
     /*  508033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  508046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508060 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508062 */     GIR_RootConstrainSelectedInstOperands,
     /*  508063 */     // GIR_Coverage, 62112,
     /*  508063 */     GIR_EraseRootFromParent_Done,
     /*  508064 */   // Label 8461: @508064
     /*  508064 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(508132), // Rule ID 62113 //
     /*  508069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508101 */     // MIs[0] policy
     /*  508101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508128 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508130 */     GIR_RootConstrainSelectedInstOperands,
     /*  508131 */     // GIR_Coverage, 62113,
     /*  508131 */     GIR_EraseRootFromParent_Done,
     /*  508132 */   // Label 8462: @508132
     /*  508132 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508200), // Rule ID 62114 //
     /*  508137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508169 */     // MIs[0] policy
     /*  508169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508196 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508198 */     GIR_RootConstrainSelectedInstOperands,
     /*  508199 */     // GIR_Coverage, 62114,
     /*  508199 */     GIR_EraseRootFromParent_Done,
     /*  508200 */   // Label 8463: @508200
     /*  508200 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508268), // Rule ID 62115 //
     /*  508205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508237 */     // MIs[0] policy
     /*  508237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508264 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508266 */     GIR_RootConstrainSelectedInstOperands,
     /*  508267 */     // GIR_Coverage, 62115,
     /*  508267 */     GIR_EraseRootFromParent_Done,
     /*  508268 */   // Label 8464: @508268
     /*  508268 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508336), // Rule ID 62116 //
     /*  508273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508305 */     // MIs[0] policy
     /*  508305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508332 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508334 */     GIR_RootConstrainSelectedInstOperands,
     /*  508335 */     // GIR_Coverage, 62116,
     /*  508335 */     GIR_EraseRootFromParent_Done,
     /*  508336 */   // Label 8465: @508336
     /*  508336 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508404), // Rule ID 62117 //
     /*  508341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508373 */     // MIs[0] policy
     /*  508373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508400 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508402 */     GIR_RootConstrainSelectedInstOperands,
     /*  508403 */     // GIR_Coverage, 62117,
     /*  508403 */     GIR_EraseRootFromParent_Done,
     /*  508404 */   // Label 8466: @508404
     /*  508404 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508472), // Rule ID 62118 //
     /*  508409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508441 */     // MIs[0] policy
     /*  508441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508468 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508470 */     GIR_RootConstrainSelectedInstOperands,
     /*  508471 */     // GIR_Coverage, 62118,
     /*  508471 */     GIR_EraseRootFromParent_Done,
     /*  508472 */   // Label 8467: @508472
     /*  508472 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508540), // Rule ID 62119 //
     /*  508477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508509 */     // MIs[0] policy
     /*  508509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508536 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508538 */     GIR_RootConstrainSelectedInstOperands,
     /*  508539 */     // GIR_Coverage, 62119,
     /*  508539 */     GIR_EraseRootFromParent_Done,
     /*  508540 */   // Label 8468: @508540
     /*  508540 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508608), // Rule ID 62120 //
     /*  508545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508577 */     // MIs[0] policy
     /*  508577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508604 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508606 */     GIR_RootConstrainSelectedInstOperands,
     /*  508607 */     // GIR_Coverage, 62120,
     /*  508607 */     GIR_EraseRootFromParent_Done,
     /*  508608 */   // Label 8469: @508608
     /*  508608 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(508676), // Rule ID 62121 //
     /*  508613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508645 */     // MIs[0] policy
     /*  508645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  508658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508672 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508674 */     GIR_RootConstrainSelectedInstOperands,
     /*  508675 */     // GIR_Coverage, 62121,
     /*  508675 */     GIR_EraseRootFromParent_Done,
     /*  508676 */   // Label 8470: @508676
     /*  508676 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(508744), // Rule ID 62122 //
     /*  508681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508713 */     // MIs[0] policy
     /*  508713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  508726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508740 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508742 */     GIR_RootConstrainSelectedInstOperands,
     /*  508743 */     // GIR_Coverage, 62122,
     /*  508743 */     GIR_EraseRootFromParent_Done,
     /*  508744 */   // Label 8471: @508744
     /*  508744 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(508812), // Rule ID 62139 //
     /*  508749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508781 */     // MIs[0] policy
     /*  508781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  508794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508808 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508810 */     GIR_RootConstrainSelectedInstOperands,
     /*  508811 */     // GIR_Coverage, 62139,
     /*  508811 */     GIR_EraseRootFromParent_Done,
     /*  508812 */   // Label 8472: @508812
     /*  508812 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(508880), // Rule ID 62140 //
     /*  508817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508849 */     // MIs[0] policy
     /*  508849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  508862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508876 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508878 */     GIR_RootConstrainSelectedInstOperands,
     /*  508879 */     // GIR_Coverage, 62140,
     /*  508879 */     GIR_EraseRootFromParent_Done,
     /*  508880 */   // Label 8473: @508880
     /*  508880 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(508948), // Rule ID 62141 //
     /*  508885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508917 */     // MIs[0] policy
     /*  508917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  508930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508944 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508946 */     GIR_RootConstrainSelectedInstOperands,
     /*  508947 */     // GIR_Coverage, 62141,
     /*  508947 */     GIR_EraseRootFromParent_Done,
     /*  508948 */   // Label 8474: @508948
     /*  508948 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(509016), // Rule ID 62142 //
     /*  508953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508985 */     // MIs[0] policy
     /*  508985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  508998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509012 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509014 */     GIR_RootConstrainSelectedInstOperands,
     /*  509015 */     // GIR_Coverage, 62142,
     /*  509015 */     GIR_EraseRootFromParent_Done,
     /*  509016 */   // Label 8475: @509016
     /*  509016 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(509084), // Rule ID 62143 //
     /*  509021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509053 */     // MIs[0] policy
     /*  509053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509080 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509082 */     GIR_RootConstrainSelectedInstOperands,
     /*  509083 */     // GIR_Coverage, 62143,
     /*  509083 */     GIR_EraseRootFromParent_Done,
     /*  509084 */   // Label 8476: @509084
     /*  509084 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509152), // Rule ID 62144 //
     /*  509089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509121 */     // MIs[0] policy
     /*  509121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509148 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509150 */     GIR_RootConstrainSelectedInstOperands,
     /*  509151 */     // GIR_Coverage, 62144,
     /*  509151 */     GIR_EraseRootFromParent_Done,
     /*  509152 */   // Label 8477: @509152
     /*  509152 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509220), // Rule ID 62145 //
     /*  509157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509189 */     // MIs[0] policy
     /*  509189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509216 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509218 */     GIR_RootConstrainSelectedInstOperands,
     /*  509219 */     // GIR_Coverage, 62145,
     /*  509219 */     GIR_EraseRootFromParent_Done,
     /*  509220 */   // Label 8478: @509220
     /*  509220 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509288), // Rule ID 62146 //
     /*  509225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509257 */     // MIs[0] policy
     /*  509257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509284 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509286 */     GIR_RootConstrainSelectedInstOperands,
     /*  509287 */     // GIR_Coverage, 62146,
     /*  509287 */     GIR_EraseRootFromParent_Done,
     /*  509288 */   // Label 8479: @509288
     /*  509288 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509356), // Rule ID 62147 //
     /*  509293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509325 */     // MIs[0] policy
     /*  509325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509352 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509354 */     GIR_RootConstrainSelectedInstOperands,
     /*  509355 */     // GIR_Coverage, 62147,
     /*  509355 */     GIR_EraseRootFromParent_Done,
     /*  509356 */   // Label 8480: @509356
     /*  509356 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509424), // Rule ID 62148 //
     /*  509361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509393 */     // MIs[0] policy
     /*  509393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509420 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509422 */     GIR_RootConstrainSelectedInstOperands,
     /*  509423 */     // GIR_Coverage, 62148,
     /*  509423 */     GIR_EraseRootFromParent_Done,
     /*  509424 */   // Label 8481: @509424
     /*  509424 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509492), // Rule ID 62149 //
     /*  509429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509461 */     // MIs[0] policy
     /*  509461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509488 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509490 */     GIR_RootConstrainSelectedInstOperands,
     /*  509491 */     // GIR_Coverage, 62149,
     /*  509491 */     GIR_EraseRootFromParent_Done,
     /*  509492 */   // Label 8482: @509492
     /*  509492 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509560), // Rule ID 62150 //
     /*  509497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509529 */     // MIs[0] policy
     /*  509529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509556 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509558 */     GIR_RootConstrainSelectedInstOperands,
     /*  509559 */     // GIR_Coverage, 62150,
     /*  509559 */     GIR_EraseRootFromParent_Done,
     /*  509560 */   // Label 8483: @509560
     /*  509560 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(509628), // Rule ID 62151 //
     /*  509565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509597 */     // MIs[0] policy
     /*  509597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509607 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  509610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509624 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509626 */     GIR_RootConstrainSelectedInstOperands,
     /*  509627 */     // GIR_Coverage, 62151,
     /*  509627 */     GIR_EraseRootFromParent_Done,
     /*  509628 */   // Label 8484: @509628
     /*  509628 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(509696), // Rule ID 62152 //
     /*  509633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509665 */     // MIs[0] policy
     /*  509665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509675 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  509678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509692 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509694 */     GIR_RootConstrainSelectedInstOperands,
     /*  509695 */     // GIR_Coverage, 62152,
     /*  509695 */     GIR_EraseRootFromParent_Done,
     /*  509696 */   // Label 8485: @509696
     /*  509696 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(509764), // Rule ID 62153 //
     /*  509701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509733 */     // MIs[0] policy
     /*  509733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  509746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509760 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509762 */     GIR_RootConstrainSelectedInstOperands,
     /*  509763 */     // GIR_Coverage, 62153,
     /*  509763 */     GIR_EraseRootFromParent_Done,
     /*  509764 */   // Label 8486: @509764
     /*  509764 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(509832), // Rule ID 62154 //
     /*  509769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509801 */     // MIs[0] policy
     /*  509801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  509814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509828 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509830 */     GIR_RootConstrainSelectedInstOperands,
     /*  509831 */     // GIR_Coverage, 62154,
     /*  509831 */     GIR_EraseRootFromParent_Done,
     /*  509832 */   // Label 8487: @509832
     /*  509832 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(509900), // Rule ID 62155 //
     /*  509837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509869 */     // MIs[0] policy
     /*  509869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509879 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  509882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509896 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509898 */     GIR_RootConstrainSelectedInstOperands,
     /*  509899 */     // GIR_Coverage, 62155,
     /*  509899 */     GIR_EraseRootFromParent_Done,
     /*  509900 */   // Label 8488: @509900
     /*  509900 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(509968), // Rule ID 62156 //
     /*  509905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509937 */     // MIs[0] policy
     /*  509937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  509950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509964 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509966 */     GIR_RootConstrainSelectedInstOperands,
     /*  509967 */     // GIR_Coverage, 62156,
     /*  509967 */     GIR_EraseRootFromParent_Done,
     /*  509968 */   // Label 8489: @509968
     /*  509968 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(510036), // Rule ID 62157 //
     /*  509973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510005 */     // MIs[0] policy
     /*  510005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  510018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510032 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510034 */     GIR_RootConstrainSelectedInstOperands,
     /*  510035 */     // GIR_Coverage, 62157,
     /*  510035 */     GIR_EraseRootFromParent_Done,
     /*  510036 */   // Label 8490: @510036
     /*  510036 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(510104), // Rule ID 62158 //
     /*  510041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510073 */     // MIs[0] policy
     /*  510073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  510086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510100 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510102 */     GIR_RootConstrainSelectedInstOperands,
     /*  510103 */     // GIR_Coverage, 62158,
     /*  510103 */     GIR_EraseRootFromParent_Done,
     /*  510104 */   // Label 8491: @510104
     /*  510104 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510172), // Rule ID 62159 //
     /*  510109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510141 */     // MIs[0] policy
     /*  510141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510168 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510170 */     GIR_RootConstrainSelectedInstOperands,
     /*  510171 */     // GIR_Coverage, 62159,
     /*  510171 */     GIR_EraseRootFromParent_Done,
     /*  510172 */   // Label 8492: @510172
     /*  510172 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510240), // Rule ID 62160 //
     /*  510177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510209 */     // MIs[0] policy
     /*  510209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510236 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510238 */     GIR_RootConstrainSelectedInstOperands,
     /*  510239 */     // GIR_Coverage, 62160,
     /*  510239 */     GIR_EraseRootFromParent_Done,
     /*  510240 */   // Label 8493: @510240
     /*  510240 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510308), // Rule ID 62161 //
     /*  510245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510277 */     // MIs[0] policy
     /*  510277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510304 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510306 */     GIR_RootConstrainSelectedInstOperands,
     /*  510307 */     // GIR_Coverage, 62161,
     /*  510307 */     GIR_EraseRootFromParent_Done,
     /*  510308 */   // Label 8494: @510308
     /*  510308 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510376), // Rule ID 62162 //
     /*  510313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510345 */     // MIs[0] policy
     /*  510345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510372 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510374 */     GIR_RootConstrainSelectedInstOperands,
     /*  510375 */     // GIR_Coverage, 62162,
     /*  510375 */     GIR_EraseRootFromParent_Done,
     /*  510376 */   // Label 8495: @510376
     /*  510376 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510444), // Rule ID 62163 //
     /*  510381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510413 */     // MIs[0] policy
     /*  510413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510440 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510442 */     GIR_RootConstrainSelectedInstOperands,
     /*  510443 */     // GIR_Coverage, 62163,
     /*  510443 */     GIR_EraseRootFromParent_Done,
     /*  510444 */   // Label 8496: @510444
     /*  510444 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510512), // Rule ID 62164 //
     /*  510449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510481 */     // MIs[0] policy
     /*  510481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510508 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510510 */     GIR_RootConstrainSelectedInstOperands,
     /*  510511 */     // GIR_Coverage, 62164,
     /*  510511 */     GIR_EraseRootFromParent_Done,
     /*  510512 */   // Label 8497: @510512
     /*  510512 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510580), // Rule ID 62165 //
     /*  510517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510549 */     // MIs[0] policy
     /*  510549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  510562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510576 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510578 */     GIR_RootConstrainSelectedInstOperands,
     /*  510579 */     // GIR_Coverage, 62165,
     /*  510579 */     GIR_EraseRootFromParent_Done,
     /*  510580 */   // Label 8498: @510580
     /*  510580 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(510648), // Rule ID 62166 //
     /*  510585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510617 */     // MIs[0] policy
     /*  510617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  510630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510644 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510646 */     GIR_RootConstrainSelectedInstOperands,
     /*  510647 */     // GIR_Coverage, 62166,
     /*  510647 */     GIR_EraseRootFromParent_Done,
     /*  510648 */   // Label 8499: @510648
     /*  510648 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(510716), // Rule ID 62261 //
     /*  510653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510685 */     // MIs[0] policy
     /*  510685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510695 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  510698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510712 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510714 */     GIR_RootConstrainSelectedInstOperands,
     /*  510715 */     // GIR_Coverage, 62261,
     /*  510715 */     GIR_EraseRootFromParent_Done,
     /*  510716 */   // Label 8500: @510716
     /*  510716 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(510784), // Rule ID 62262 //
     /*  510721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510753 */     // MIs[0] policy
     /*  510753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  510766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510780 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510782 */     GIR_RootConstrainSelectedInstOperands,
     /*  510783 */     // GIR_Coverage, 62262,
     /*  510783 */     GIR_EraseRootFromParent_Done,
     /*  510784 */   // Label 8501: @510784
     /*  510784 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(510852), // Rule ID 62263 //
     /*  510789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510821 */     // MIs[0] policy
     /*  510821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  510834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510848 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510850 */     GIR_RootConstrainSelectedInstOperands,
     /*  510851 */     // GIR_Coverage, 62263,
     /*  510851 */     GIR_EraseRootFromParent_Done,
     /*  510852 */   // Label 8502: @510852
     /*  510852 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(510920), // Rule ID 62264 //
     /*  510857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510889 */     // MIs[0] policy
     /*  510889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  510902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510916 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510918 */     GIR_RootConstrainSelectedInstOperands,
     /*  510919 */     // GIR_Coverage, 62264,
     /*  510919 */     GIR_EraseRootFromParent_Done,
     /*  510920 */   // Label 8503: @510920
     /*  510920 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(510988), // Rule ID 62265 //
     /*  510925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510957 */     // MIs[0] policy
     /*  510957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  510970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510984 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510986 */     GIR_RootConstrainSelectedInstOperands,
     /*  510987 */     // GIR_Coverage, 62265,
     /*  510987 */     GIR_EraseRootFromParent_Done,
     /*  510988 */   // Label 8504: @510988
     /*  510988 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(511056), // Rule ID 62266 //
     /*  510993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511025 */     // MIs[0] policy
     /*  511025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  511038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511052 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511054 */     GIR_RootConstrainSelectedInstOperands,
     /*  511055 */     // GIR_Coverage, 62266,
     /*  511055 */     GIR_EraseRootFromParent_Done,
     /*  511056 */   // Label 8505: @511056
     /*  511056 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(511124), // Rule ID 62267 //
     /*  511061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511093 */     // MIs[0] policy
     /*  511093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511120 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511122 */     GIR_RootConstrainSelectedInstOperands,
     /*  511123 */     // GIR_Coverage, 62267,
     /*  511123 */     GIR_EraseRootFromParent_Done,
     /*  511124 */   // Label 8506: @511124
     /*  511124 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511192), // Rule ID 62268 //
     /*  511129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511161 */     // MIs[0] policy
     /*  511161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511188 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511190 */     GIR_RootConstrainSelectedInstOperands,
     /*  511191 */     // GIR_Coverage, 62268,
     /*  511191 */     GIR_EraseRootFromParent_Done,
     /*  511192 */   // Label 8507: @511192
     /*  511192 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511260), // Rule ID 62269 //
     /*  511197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511229 */     // MIs[0] policy
     /*  511229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511256 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511258 */     GIR_RootConstrainSelectedInstOperands,
     /*  511259 */     // GIR_Coverage, 62269,
     /*  511259 */     GIR_EraseRootFromParent_Done,
     /*  511260 */   // Label 8508: @511260
     /*  511260 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511328), // Rule ID 62270 //
     /*  511265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511297 */     // MIs[0] policy
     /*  511297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511324 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511326 */     GIR_RootConstrainSelectedInstOperands,
     /*  511327 */     // GIR_Coverage, 62270,
     /*  511327 */     GIR_EraseRootFromParent_Done,
     /*  511328 */   // Label 8509: @511328
     /*  511328 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511396), // Rule ID 62271 //
     /*  511333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511365 */     // MIs[0] policy
     /*  511365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511392 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511394 */     GIR_RootConstrainSelectedInstOperands,
     /*  511395 */     // GIR_Coverage, 62271,
     /*  511395 */     GIR_EraseRootFromParent_Done,
     /*  511396 */   // Label 8510: @511396
     /*  511396 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511464), // Rule ID 62272 //
     /*  511401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511433 */     // MIs[0] policy
     /*  511433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511460 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511462 */     GIR_RootConstrainSelectedInstOperands,
     /*  511463 */     // GIR_Coverage, 62272,
     /*  511463 */     GIR_EraseRootFromParent_Done,
     /*  511464 */   // Label 8511: @511464
     /*  511464 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511532), // Rule ID 62273 //
     /*  511469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511501 */     // MIs[0] policy
     /*  511501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511528 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511530 */     GIR_RootConstrainSelectedInstOperands,
     /*  511531 */     // GIR_Coverage, 62273,
     /*  511531 */     GIR_EraseRootFromParent_Done,
     /*  511532 */   // Label 8512: @511532
     /*  511532 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511600), // Rule ID 62274 //
     /*  511537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511569 */     // MIs[0] policy
     /*  511569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511579 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511596 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511598 */     GIR_RootConstrainSelectedInstOperands,
     /*  511599 */     // GIR_Coverage, 62274,
     /*  511599 */     GIR_EraseRootFromParent_Done,
     /*  511600 */   // Label 8513: @511600
     /*  511600 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(511668), // Rule ID 62275 //
     /*  511605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511637 */     // MIs[0] policy
     /*  511637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  511650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511664 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511666 */     GIR_RootConstrainSelectedInstOperands,
     /*  511667 */     // GIR_Coverage, 62275,
     /*  511667 */     GIR_EraseRootFromParent_Done,
     /*  511668 */   // Label 8514: @511668
     /*  511668 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(511736), // Rule ID 62276 //
     /*  511673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511705 */     // MIs[0] policy
     /*  511705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511715 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  511718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511732 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511734 */     GIR_RootConstrainSelectedInstOperands,
     /*  511735 */     // GIR_Coverage, 62276,
     /*  511735 */     GIR_EraseRootFromParent_Done,
     /*  511736 */   // Label 8515: @511736
     /*  511736 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(511804), // Rule ID 62277 //
     /*  511741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511773 */     // MIs[0] policy
     /*  511773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  511786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511800 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511802 */     GIR_RootConstrainSelectedInstOperands,
     /*  511803 */     // GIR_Coverage, 62277,
     /*  511803 */     GIR_EraseRootFromParent_Done,
     /*  511804 */   // Label 8516: @511804
     /*  511804 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(511872), // Rule ID 62278 //
     /*  511809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511841 */     // MIs[0] policy
     /*  511841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  511854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511868 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511870 */     GIR_RootConstrainSelectedInstOperands,
     /*  511871 */     // GIR_Coverage, 62278,
     /*  511871 */     GIR_EraseRootFromParent_Done,
     /*  511872 */   // Label 8517: @511872
     /*  511872 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(511940), // Rule ID 62279 //
     /*  511877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511909 */     // MIs[0] policy
     /*  511909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  511922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511936 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511938 */     GIR_RootConstrainSelectedInstOperands,
     /*  511939 */     // GIR_Coverage, 62279,
     /*  511939 */     GIR_EraseRootFromParent_Done,
     /*  511940 */   // Label 8518: @511940
     /*  511940 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(512008), // Rule ID 62280 //
     /*  511945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511977 */     // MIs[0] policy
     /*  511977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  511990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512004 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512006 */     GIR_RootConstrainSelectedInstOperands,
     /*  512007 */     // GIR_Coverage, 62280,
     /*  512007 */     GIR_EraseRootFromParent_Done,
     /*  512008 */   // Label 8519: @512008
     /*  512008 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(512076), // Rule ID 62281 //
     /*  512013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512045 */     // MIs[0] policy
     /*  512045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512072 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512074 */     GIR_RootConstrainSelectedInstOperands,
     /*  512075 */     // GIR_Coverage, 62281,
     /*  512075 */     GIR_EraseRootFromParent_Done,
     /*  512076 */   // Label 8520: @512076
     /*  512076 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(512144), // Rule ID 62282 //
     /*  512081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512113 */     // MIs[0] policy
     /*  512113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512140 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512142 */     GIR_RootConstrainSelectedInstOperands,
     /*  512143 */     // GIR_Coverage, 62282,
     /*  512143 */     GIR_EraseRootFromParent_Done,
     /*  512144 */   // Label 8521: @512144
     /*  512144 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512212), // Rule ID 62283 //
     /*  512149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512181 */     // MIs[0] policy
     /*  512181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512208 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512210 */     GIR_RootConstrainSelectedInstOperands,
     /*  512211 */     // GIR_Coverage, 62283,
     /*  512211 */     GIR_EraseRootFromParent_Done,
     /*  512212 */   // Label 8522: @512212
     /*  512212 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512280), // Rule ID 62284 //
     /*  512217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512249 */     // MIs[0] policy
     /*  512249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512259 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512276 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512278 */     GIR_RootConstrainSelectedInstOperands,
     /*  512279 */     // GIR_Coverage, 62284,
     /*  512279 */     GIR_EraseRootFromParent_Done,
     /*  512280 */   // Label 8523: @512280
     /*  512280 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512348), // Rule ID 62285 //
     /*  512285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512317 */     // MIs[0] policy
     /*  512317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512344 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512346 */     GIR_RootConstrainSelectedInstOperands,
     /*  512347 */     // GIR_Coverage, 62285,
     /*  512347 */     GIR_EraseRootFromParent_Done,
     /*  512348 */   // Label 8524: @512348
     /*  512348 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512416), // Rule ID 62286 //
     /*  512353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512385 */     // MIs[0] policy
     /*  512385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512412 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512414 */     GIR_RootConstrainSelectedInstOperands,
     /*  512415 */     // GIR_Coverage, 62286,
     /*  512415 */     GIR_EraseRootFromParent_Done,
     /*  512416 */   // Label 8525: @512416
     /*  512416 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512484), // Rule ID 62287 //
     /*  512421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512453 */     // MIs[0] policy
     /*  512453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512463 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512480 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512482 */     GIR_RootConstrainSelectedInstOperands,
     /*  512483 */     // GIR_Coverage, 62287,
     /*  512483 */     GIR_EraseRootFromParent_Done,
     /*  512484 */   // Label 8526: @512484
     /*  512484 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512552), // Rule ID 62288 //
     /*  512489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512521 */     // MIs[0] policy
     /*  512521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512548 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512550 */     GIR_RootConstrainSelectedInstOperands,
     /*  512551 */     // GIR_Coverage, 62288,
     /*  512551 */     GIR_EraseRootFromParent_Done,
     /*  512552 */   // Label 8527: @512552
     /*  512552 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(512620), // Rule ID 62289 //
     /*  512557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512589 */     // MIs[0] policy
     /*  512589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  512602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512616 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512618 */     GIR_RootConstrainSelectedInstOperands,
     /*  512619 */     // GIR_Coverage, 62289,
     /*  512619 */     GIR_EraseRootFromParent_Done,
     /*  512620 */   // Label 8528: @512620
     /*  512620 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(512688), // Rule ID 62290 //
     /*  512625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512657 */     // MIs[0] policy
     /*  512657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  512670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512684 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512686 */     GIR_RootConstrainSelectedInstOperands,
     /*  512687 */     // GIR_Coverage, 62290,
     /*  512687 */     GIR_EraseRootFromParent_Done,
     /*  512688 */   // Label 8529: @512688
     /*  512688 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(512756), // Rule ID 62291 //
     /*  512693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512725 */     // MIs[0] policy
     /*  512725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  512738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512752 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512754 */     GIR_RootConstrainSelectedInstOperands,
     /*  512755 */     // GIR_Coverage, 62291,
     /*  512755 */     GIR_EraseRootFromParent_Done,
     /*  512756 */   // Label 8530: @512756
     /*  512756 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(512824), // Rule ID 62292 //
     /*  512761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512793 */     // MIs[0] policy
     /*  512793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  512806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512820 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512822 */     GIR_RootConstrainSelectedInstOperands,
     /*  512823 */     // GIR_Coverage, 62292,
     /*  512823 */     GIR_EraseRootFromParent_Done,
     /*  512824 */   // Label 8531: @512824
     /*  512824 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(512892), // Rule ID 62293 //
     /*  512829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512861 */     // MIs[0] policy
     /*  512861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  512874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512888 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512890 */     GIR_RootConstrainSelectedInstOperands,
     /*  512891 */     // GIR_Coverage, 62293,
     /*  512891 */     GIR_EraseRootFromParent_Done,
     /*  512892 */   // Label 8532: @512892
     /*  512892 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(512960), // Rule ID 62294 //
     /*  512897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512929 */     // MIs[0] policy
     /*  512929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512939 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  512942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512956 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512958 */     GIR_RootConstrainSelectedInstOperands,
     /*  512959 */     // GIR_Coverage, 62294,
     /*  512959 */     GIR_EraseRootFromParent_Done,
     /*  512960 */   // Label 8533: @512960
     /*  512960 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(513028), // Rule ID 62295 //
     /*  512965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512997 */     // MIs[0] policy
     /*  512997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513007 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  513010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513024 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513026 */     GIR_RootConstrainSelectedInstOperands,
     /*  513027 */     // GIR_Coverage, 62295,
     /*  513027 */     GIR_EraseRootFromParent_Done,
     /*  513028 */   // Label 8534: @513028
     /*  513028 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(513096), // Rule ID 62296 //
     /*  513033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513065 */     // MIs[0] policy
     /*  513065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  513078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513092 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513094 */     GIR_RootConstrainSelectedInstOperands,
     /*  513095 */     // GIR_Coverage, 62296,
     /*  513095 */     GIR_EraseRootFromParent_Done,
     /*  513096 */   // Label 8535: @513096
     /*  513096 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513164), // Rule ID 62297 //
     /*  513101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513133 */     // MIs[0] policy
     /*  513133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513160 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513162 */     GIR_RootConstrainSelectedInstOperands,
     /*  513163 */     // GIR_Coverage, 62297,
     /*  513163 */     GIR_EraseRootFromParent_Done,
     /*  513164 */   // Label 8536: @513164
     /*  513164 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513232), // Rule ID 62298 //
     /*  513169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513201 */     // MIs[0] policy
     /*  513201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513228 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513230 */     GIR_RootConstrainSelectedInstOperands,
     /*  513231 */     // GIR_Coverage, 62298,
     /*  513231 */     GIR_EraseRootFromParent_Done,
     /*  513232 */   // Label 8537: @513232
     /*  513232 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513303), // Rule ID 2589 //
     /*  513237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513269 */     // MIs[0] round
     /*  513269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513279 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513288 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513301 */     GIR_RootConstrainSelectedInstOperands,
     /*  513302 */     // GIR_Coverage, 2589,
     /*  513302 */     GIR_EraseRootFromParent_Done,
     /*  513303 */   // Label 8538: @513303
     /*  513303 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513374), // Rule ID 2590 //
     /*  513308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513340 */     // MIs[0] round
     /*  513340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513350 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513359 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513372 */     GIR_RootConstrainSelectedInstOperands,
     /*  513373 */     // GIR_Coverage, 2590,
     /*  513373 */     GIR_EraseRootFromParent_Done,
     /*  513374 */   // Label 8539: @513374
     /*  513374 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513445), // Rule ID 2625 //
     /*  513379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  513382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513411 */     // MIs[0] round
     /*  513411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513430 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513443 */     GIR_RootConstrainSelectedInstOperands,
     /*  513444 */     // GIR_Coverage, 2625,
     /*  513444 */     GIR_EraseRootFromParent_Done,
     /*  513445 */   // Label 8540: @513445
     /*  513445 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513516), // Rule ID 2626 //
     /*  513450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  513453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513482 */     // MIs[0] round
     /*  513482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513501 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513514 */     GIR_RootConstrainSelectedInstOperands,
     /*  513515 */     // GIR_Coverage, 2626,
     /*  513515 */     GIR_EraseRootFromParent_Done,
     /*  513516 */   // Label 8541: @513516
     /*  513516 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(513587), // Rule ID 18875 //
     /*  513521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513553 */     // MIs[0] round
     /*  513553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513563 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  513566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513572 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513585 */     GIR_RootConstrainSelectedInstOperands,
     /*  513586 */     // GIR_Coverage, 18875,
     /*  513586 */     GIR_EraseRootFromParent_Done,
     /*  513587 */   // Label 8542: @513587
     /*  513587 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(513658), // Rule ID 18876 //
     /*  513592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513624 */     // MIs[0] round
     /*  513624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513634 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  513637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513643 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513656 */     GIR_RootConstrainSelectedInstOperands,
     /*  513657 */     // GIR_Coverage, 18876,
     /*  513657 */     GIR_EraseRootFromParent_Done,
     /*  513658 */   // Label 8543: @513658
     /*  513658 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(513729), // Rule ID 18879 //
     /*  513663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  513666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513695 */     // MIs[0] round
     /*  513695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513705 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  513708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513714 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513727 */     GIR_RootConstrainSelectedInstOperands,
     /*  513728 */     // GIR_Coverage, 18879,
     /*  513728 */     GIR_EraseRootFromParent_Done,
     /*  513729 */   // Label 8544: @513729
     /*  513729 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(513800), // Rule ID 18880 //
     /*  513734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  513737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513766 */     // MIs[0] round
     /*  513766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513776 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  513776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  513779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513785 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513798 */     GIR_RootConstrainSelectedInstOperands,
     /*  513799 */     // GIR_Coverage, 18880,
     /*  513799 */     GIR_EraseRootFromParent_Done,
     /*  513800 */   // Label 8545: @513800
     /*  513800 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(513871), // Rule ID 18883 //
     /*  513805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  513816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  513819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  513822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513837 */     // MIs[0] round
     /*  513837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513847 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  513850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513856 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513869 */     GIR_RootConstrainSelectedInstOperands,
     /*  513870 */     // GIR_Coverage, 18883,
     /*  513870 */     GIR_EraseRootFromParent_Done,
     /*  513871 */   // Label 8546: @513871
     /*  513871 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(513942), // Rule ID 18884 //
     /*  513876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  513887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  513890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  513893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513908 */     // MIs[0] round
     /*  513908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513918 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  513921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513927 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513940 */     GIR_RootConstrainSelectedInstOperands,
     /*  513941 */     // GIR_Coverage, 18884,
     /*  513941 */     GIR_EraseRootFromParent_Done,
     /*  513942 */   // Label 8547: @513942
     /*  513942 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(514013), // Rule ID 18887 //
     /*  513947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  513950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513979 */     // MIs[0] round
     /*  513979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  513992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513998 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514011 */     GIR_RootConstrainSelectedInstOperands,
     /*  514012 */     // GIR_Coverage, 18887,
     /*  514012 */     GIR_EraseRootFromParent_Done,
     /*  514013 */   // Label 8548: @514013
     /*  514013 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(514084), // Rule ID 18888 //
     /*  514018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514050 */     // MIs[0] round
     /*  514050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  514063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514069 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514082 */     GIR_RootConstrainSelectedInstOperands,
     /*  514083 */     // GIR_Coverage, 18888,
     /*  514083 */     GIR_EraseRootFromParent_Done,
     /*  514084 */   // Label 8549: @514084
     /*  514084 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(514155), // Rule ID 18891 //
     /*  514089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  514092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514121 */     // MIs[0] round
     /*  514121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514131 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  514131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514140 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514153 */     GIR_RootConstrainSelectedInstOperands,
     /*  514154 */     // GIR_Coverage, 18891,
     /*  514154 */     GIR_EraseRootFromParent_Done,
     /*  514155 */   // Label 8550: @514155
     /*  514155 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514226), // Rule ID 18892 //
     /*  514160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  514163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514192 */     // MIs[0] round
     /*  514192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  514202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514211 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514224 */     GIR_RootConstrainSelectedInstOperands,
     /*  514225 */     // GIR_Coverage, 18892,
     /*  514225 */     GIR_EraseRootFromParent_Done,
     /*  514226 */   // Label 8551: @514226
     /*  514226 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514297), // Rule ID 18895 //
     /*  514231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514263 */     // MIs[0] round
     /*  514263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514273 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514282 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514295 */     GIR_RootConstrainSelectedInstOperands,
     /*  514296 */     // GIR_Coverage, 18895,
     /*  514296 */     GIR_EraseRootFromParent_Done,
     /*  514297 */   // Label 8552: @514297
     /*  514297 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514368), // Rule ID 18896 //
     /*  514302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514334 */     // MIs[0] round
     /*  514334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514344 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514353 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514366 */     GIR_RootConstrainSelectedInstOperands,
     /*  514367 */     // GIR_Coverage, 18896,
     /*  514367 */     GIR_EraseRootFromParent_Done,
     /*  514368 */   // Label 8553: @514368
     /*  514368 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514439), // Rule ID 18899 //
     /*  514373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514405 */     // MIs[0] round
     /*  514405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514415 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514424 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514437 */     GIR_RootConstrainSelectedInstOperands,
     /*  514438 */     // GIR_Coverage, 18899,
     /*  514438 */     GIR_EraseRootFromParent_Done,
     /*  514439 */   // Label 8554: @514439
     /*  514439 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514510), // Rule ID 18900 //
     /*  514444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514476 */     // MIs[0] round
     /*  514476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514486 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514495 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514508 */     GIR_RootConstrainSelectedInstOperands,
     /*  514509 */     // GIR_Coverage, 18900,
     /*  514509 */     GIR_EraseRootFromParent_Done,
     /*  514510 */   // Label 8555: @514510
     /*  514510 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(514581), // Rule ID 18903 //
     /*  514515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514547 */     // MIs[0] round
     /*  514547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514557 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  514560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514566 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514579 */     GIR_RootConstrainSelectedInstOperands,
     /*  514580 */     // GIR_Coverage, 18903,
     /*  514580 */     GIR_EraseRootFromParent_Done,
     /*  514581 */   // Label 8556: @514581
     /*  514581 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(514652), // Rule ID 18904 //
     /*  514586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514618 */     // MIs[0] round
     /*  514618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514628 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  514631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514637 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514650 */     GIR_RootConstrainSelectedInstOperands,
     /*  514651 */     // GIR_Coverage, 18904,
     /*  514651 */     GIR_EraseRootFromParent_Done,
     /*  514652 */   // Label 8557: @514652
     /*  514652 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(514723), // Rule ID 18907 //
     /*  514657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514689 */     // MIs[0] round
     /*  514689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514699 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  514702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514708 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514721 */     GIR_RootConstrainSelectedInstOperands,
     /*  514722 */     // GIR_Coverage, 18907,
     /*  514722 */     GIR_EraseRootFromParent_Done,
     /*  514723 */   // Label 8558: @514723
     /*  514723 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(514794), // Rule ID 18908 //
     /*  514728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514760 */     // MIs[0] round
     /*  514760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514770 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  514773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514779 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514792 */     GIR_RootConstrainSelectedInstOperands,
     /*  514793 */     // GIR_Coverage, 18908,
     /*  514793 */     GIR_EraseRootFromParent_Done,
     /*  514794 */   // Label 8559: @514794
     /*  514794 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(514865), // Rule ID 18911 //
     /*  514799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514831 */     // MIs[0] round
     /*  514831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514841 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  514844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514850 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514863 */     GIR_RootConstrainSelectedInstOperands,
     /*  514864 */     // GIR_Coverage, 18911,
     /*  514864 */     GIR_EraseRootFromParent_Done,
     /*  514865 */   // Label 8560: @514865
     /*  514865 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(514936), // Rule ID 18912 //
     /*  514870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514902 */     // MIs[0] round
     /*  514902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514912 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  514915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514921 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514934 */     GIR_RootConstrainSelectedInstOperands,
     /*  514935 */     // GIR_Coverage, 18912,
     /*  514935 */     GIR_EraseRootFromParent_Done,
     /*  514936 */   // Label 8561: @514936
     /*  514936 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(515007), // Rule ID 18915 //
     /*  514941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  514958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514973 */     // MIs[0] round
     /*  514973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514983 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  514986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514992 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515005 */     GIR_RootConstrainSelectedInstOperands,
     /*  515006 */     // GIR_Coverage, 18915,
     /*  515006 */     GIR_EraseRootFromParent_Done,
     /*  515007 */   // Label 8562: @515007
     /*  515007 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(515078), // Rule ID 18916 //
     /*  515012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515044 */     // MIs[0] round
     /*  515044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515054 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  515057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515063 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515076 */     GIR_RootConstrainSelectedInstOperands,
     /*  515077 */     // GIR_Coverage, 18916,
     /*  515077 */     GIR_EraseRootFromParent_Done,
     /*  515078 */   // Label 8563: @515078
     /*  515078 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(515149), // Rule ID 18919 //
     /*  515083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515115 */     // MIs[0] round
     /*  515115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515125 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515134 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515147 */     GIR_RootConstrainSelectedInstOperands,
     /*  515148 */     // GIR_Coverage, 18919,
     /*  515148 */     GIR_EraseRootFromParent_Done,
     /*  515149 */   // Label 8564: @515149
     /*  515149 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(515220), // Rule ID 18920 //
     /*  515154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515186 */     // MIs[0] round
     /*  515186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515196 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515205 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515218 */     GIR_RootConstrainSelectedInstOperands,
     /*  515219 */     // GIR_Coverage, 18920,
     /*  515219 */     GIR_EraseRootFromParent_Done,
     /*  515220 */   // Label 8565: @515220
     /*  515220 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515291), // Rule ID 18923 //
     /*  515225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515257 */     // MIs[0] round
     /*  515257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515267 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515276 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515289 */     GIR_RootConstrainSelectedInstOperands,
     /*  515290 */     // GIR_Coverage, 18923,
     /*  515290 */     GIR_EraseRootFromParent_Done,
     /*  515291 */   // Label 8566: @515291
     /*  515291 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515362), // Rule ID 18924 //
     /*  515296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515328 */     // MIs[0] round
     /*  515328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515338 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515347 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515360 */     GIR_RootConstrainSelectedInstOperands,
     /*  515361 */     // GIR_Coverage, 18924,
     /*  515361 */     GIR_EraseRootFromParent_Done,
     /*  515362 */   // Label 8567: @515362
     /*  515362 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515433), // Rule ID 18927 //
     /*  515367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515399 */     // MIs[0] round
     /*  515399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515409 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515418 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515431 */     GIR_RootConstrainSelectedInstOperands,
     /*  515432 */     // GIR_Coverage, 18927,
     /*  515432 */     GIR_EraseRootFromParent_Done,
     /*  515433 */   // Label 8568: @515433
     /*  515433 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515504), // Rule ID 18928 //
     /*  515438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515470 */     // MIs[0] round
     /*  515470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515480 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515489 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515502 */     GIR_RootConstrainSelectedInstOperands,
     /*  515503 */     // GIR_Coverage, 18928,
     /*  515503 */     GIR_EraseRootFromParent_Done,
     /*  515504 */   // Label 8569: @515504
     /*  515504 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(515575), // Rule ID 18987 //
     /*  515509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515541 */     // MIs[0] round
     /*  515541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515551 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  515554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515560 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515573 */     GIR_RootConstrainSelectedInstOperands,
     /*  515574 */     // GIR_Coverage, 18987,
     /*  515574 */     GIR_EraseRootFromParent_Done,
     /*  515575 */   // Label 8570: @515575
     /*  515575 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(515646), // Rule ID 18988 //
     /*  515580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515612 */     // MIs[0] round
     /*  515612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515622 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  515625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515631 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515644 */     GIR_RootConstrainSelectedInstOperands,
     /*  515645 */     // GIR_Coverage, 18988,
     /*  515645 */     GIR_EraseRootFromParent_Done,
     /*  515646 */   // Label 8571: @515646
     /*  515646 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(515717), // Rule ID 18991 //
     /*  515651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  515662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  515665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  515668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515683 */     // MIs[0] round
     /*  515683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515693 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  515696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515702 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515715 */     GIR_RootConstrainSelectedInstOperands,
     /*  515716 */     // GIR_Coverage, 18991,
     /*  515716 */     GIR_EraseRootFromParent_Done,
     /*  515717 */   // Label 8572: @515717
     /*  515717 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(515788), // Rule ID 18992 //
     /*  515722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  515733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  515736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  515739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515754 */     // MIs[0] round
     /*  515754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515764 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  515767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515773 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515786 */     GIR_RootConstrainSelectedInstOperands,
     /*  515787 */     // GIR_Coverage, 18992,
     /*  515787 */     GIR_EraseRootFromParent_Done,
     /*  515788 */   // Label 8573: @515788
     /*  515788 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(515859), // Rule ID 18995 //
     /*  515793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515825 */     // MIs[0] round
     /*  515825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515835 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  515838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515844 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515857 */     GIR_RootConstrainSelectedInstOperands,
     /*  515858 */     // GIR_Coverage, 18995,
     /*  515858 */     GIR_EraseRootFromParent_Done,
     /*  515859 */   // Label 8574: @515859
     /*  515859 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(515930), // Rule ID 18996 //
     /*  515864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515896 */     // MIs[0] round
     /*  515896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515906 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  515909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515915 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515928 */     GIR_RootConstrainSelectedInstOperands,
     /*  515929 */     // GIR_Coverage, 18996,
     /*  515929 */     GIR_EraseRootFromParent_Done,
     /*  515930 */   // Label 8575: @515930
     /*  515930 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(516001), // Rule ID 18999 //
     /*  515935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  515946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  515949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  515952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515967 */     // MIs[0] round
     /*  515967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  515980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515986 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515999 */     GIR_RootConstrainSelectedInstOperands,
     /*  516000 */     // GIR_Coverage, 18999,
     /*  516000 */     GIR_EraseRootFromParent_Done,
     /*  516001 */   // Label 8576: @516001
     /*  516001 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(516072), // Rule ID 19000 //
     /*  516006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516038 */     // MIs[0] round
     /*  516038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  516051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516057 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516070 */     GIR_RootConstrainSelectedInstOperands,
     /*  516071 */     // GIR_Coverage, 19000,
     /*  516071 */     GIR_EraseRootFromParent_Done,
     /*  516072 */   // Label 8577: @516072
     /*  516072 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(516143), // Rule ID 19003 //
     /*  516077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516109 */     // MIs[0] round
     /*  516109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516119 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516128 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516141 */     GIR_RootConstrainSelectedInstOperands,
     /*  516142 */     // GIR_Coverage, 19003,
     /*  516142 */     GIR_EraseRootFromParent_Done,
     /*  516143 */   // Label 8578: @516143
     /*  516143 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(516214), // Rule ID 19004 //
     /*  516148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516180 */     // MIs[0] round
     /*  516180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516190 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516199 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516212 */     GIR_RootConstrainSelectedInstOperands,
     /*  516213 */     // GIR_Coverage, 19004,
     /*  516213 */     GIR_EraseRootFromParent_Done,
     /*  516214 */   // Label 8579: @516214
     /*  516214 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516285), // Rule ID 19007 //
     /*  516219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516251 */     // MIs[0] round
     /*  516251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516261 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516270 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516283 */     GIR_RootConstrainSelectedInstOperands,
     /*  516284 */     // GIR_Coverage, 19007,
     /*  516284 */     GIR_EraseRootFromParent_Done,
     /*  516285 */   // Label 8580: @516285
     /*  516285 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516356), // Rule ID 19008 //
     /*  516290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516322 */     // MIs[0] round
     /*  516322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516354 */     GIR_RootConstrainSelectedInstOperands,
     /*  516355 */     // GIR_Coverage, 19008,
     /*  516355 */     GIR_EraseRootFromParent_Done,
     /*  516356 */   // Label 8581: @516356
     /*  516356 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516427), // Rule ID 19011 //
     /*  516361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516393 */     // MIs[0] round
     /*  516393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516403 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516425 */     GIR_RootConstrainSelectedInstOperands,
     /*  516426 */     // GIR_Coverage, 19011,
     /*  516426 */     GIR_EraseRootFromParent_Done,
     /*  516427 */   // Label 8582: @516427
     /*  516427 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516498), // Rule ID 19012 //
     /*  516432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516464 */     // MIs[0] round
     /*  516464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516474 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516496 */     GIR_RootConstrainSelectedInstOperands,
     /*  516497 */     // GIR_Coverage, 19012,
     /*  516497 */     GIR_EraseRootFromParent_Done,
     /*  516498 */   // Label 8583: @516498
     /*  516498 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(516569), // Rule ID 19015 //
     /*  516503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516535 */     // MIs[0] round
     /*  516535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516545 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  516548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516567 */     GIR_RootConstrainSelectedInstOperands,
     /*  516568 */     // GIR_Coverage, 19015,
     /*  516568 */     GIR_EraseRootFromParent_Done,
     /*  516569 */   // Label 8584: @516569
     /*  516569 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(516640), // Rule ID 19016 //
     /*  516574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516606 */     // MIs[0] round
     /*  516606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516616 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  516619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516638 */     GIR_RootConstrainSelectedInstOperands,
     /*  516639 */     // GIR_Coverage, 19016,
     /*  516639 */     GIR_EraseRootFromParent_Done,
     /*  516640 */   // Label 8585: @516640
     /*  516640 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(516711), // Rule ID 19019 //
     /*  516645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  516656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  516662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516677 */     // MIs[0] round
     /*  516677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516687 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  516690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516709 */     GIR_RootConstrainSelectedInstOperands,
     /*  516710 */     // GIR_Coverage, 19019,
     /*  516710 */     GIR_EraseRootFromParent_Done,
     /*  516711 */   // Label 8586: @516711
     /*  516711 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(516782), // Rule ID 19020 //
     /*  516716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  516727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  516733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516748 */     // MIs[0] round
     /*  516748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516758 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  516761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516780 */     GIR_RootConstrainSelectedInstOperands,
     /*  516781 */     // GIR_Coverage, 19020,
     /*  516781 */     GIR_EraseRootFromParent_Done,
     /*  516782 */   // Label 8587: @516782
     /*  516782 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516853), // Rule ID 19023 //
     /*  516787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516819 */     // MIs[0] round
     /*  516819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516829 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  516832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516851 */     GIR_RootConstrainSelectedInstOperands,
     /*  516852 */     // GIR_Coverage, 19023,
     /*  516852 */     GIR_EraseRootFromParent_Done,
     /*  516853 */   // Label 8588: @516853
     /*  516853 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(516924), // Rule ID 19024 //
     /*  516858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516890 */     // MIs[0] round
     /*  516890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516900 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  516903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516922 */     GIR_RootConstrainSelectedInstOperands,
     /*  516923 */     // GIR_Coverage, 19024,
     /*  516923 */     GIR_EraseRootFromParent_Done,
     /*  516924 */   // Label 8589: @516924
     /*  516924 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(516995), // Rule ID 19027 //
     /*  516929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  516946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516961 */     // MIs[0] round
     /*  516961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516971 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  516974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516993 */     GIR_RootConstrainSelectedInstOperands,
     /*  516994 */     // GIR_Coverage, 19027,
     /*  516994 */     GIR_EraseRootFromParent_Done,
     /*  516995 */   // Label 8590: @516995
     /*  516995 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(517066), // Rule ID 19028 //
     /*  517000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517032 */     // MIs[0] round
     /*  517032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  517045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517064 */     GIR_RootConstrainSelectedInstOperands,
     /*  517065 */     // GIR_Coverage, 19028,
     /*  517065 */     GIR_EraseRootFromParent_Done,
     /*  517066 */   // Label 8591: @517066
     /*  517066 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(517137), // Rule ID 19031 //
     /*  517071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517103 */     // MIs[0] round
     /*  517103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517113 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517135 */     GIR_RootConstrainSelectedInstOperands,
     /*  517136 */     // GIR_Coverage, 19031,
     /*  517136 */     GIR_EraseRootFromParent_Done,
     /*  517137 */   // Label 8592: @517137
     /*  517137 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(517208), // Rule ID 19032 //
     /*  517142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517174 */     // MIs[0] round
     /*  517174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517206 */     GIR_RootConstrainSelectedInstOperands,
     /*  517207 */     // GIR_Coverage, 19032,
     /*  517207 */     GIR_EraseRootFromParent_Done,
     /*  517208 */   // Label 8593: @517208
     /*  517208 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(517279), // Rule ID 19035 //
     /*  517213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517245 */     // MIs[0] round
     /*  517245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517255 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517277 */     GIR_RootConstrainSelectedInstOperands,
     /*  517278 */     // GIR_Coverage, 19035,
     /*  517278 */     GIR_EraseRootFromParent_Done,
     /*  517279 */   // Label 8594: @517279
     /*  517279 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517350), // Rule ID 19036 //
     /*  517284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517316 */     // MIs[0] round
     /*  517316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517326 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517348 */     GIR_RootConstrainSelectedInstOperands,
     /*  517349 */     // GIR_Coverage, 19036,
     /*  517349 */     GIR_EraseRootFromParent_Done,
     /*  517350 */   // Label 8595: @517350
     /*  517350 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517421), // Rule ID 19039 //
     /*  517355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517387 */     // MIs[0] round
     /*  517387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517397 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517419 */     GIR_RootConstrainSelectedInstOperands,
     /*  517420 */     // GIR_Coverage, 19039,
     /*  517420 */     GIR_EraseRootFromParent_Done,
     /*  517421 */   // Label 8596: @517421
     /*  517421 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517492), // Rule ID 19040 //
     /*  517426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517458 */     // MIs[0] round
     /*  517458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517468 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517490 */     GIR_RootConstrainSelectedInstOperands,
     /*  517491 */     // GIR_Coverage, 19040,
     /*  517491 */     GIR_EraseRootFromParent_Done,
     /*  517492 */   // Label 8597: @517492
     /*  517492 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(517563), // Rule ID 19043 //
     /*  517497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517529 */     // MIs[0] round
     /*  517529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517539 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  517542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517561 */     GIR_RootConstrainSelectedInstOperands,
     /*  517562 */     // GIR_Coverage, 19043,
     /*  517562 */     GIR_EraseRootFromParent_Done,
     /*  517563 */   // Label 8598: @517563
     /*  517563 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(517634), // Rule ID 19044 //
     /*  517568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517600 */     // MIs[0] round
     /*  517600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517610 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  517613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517632 */     GIR_RootConstrainSelectedInstOperands,
     /*  517633 */     // GIR_Coverage, 19044,
     /*  517633 */     GIR_EraseRootFromParent_Done,
     /*  517634 */   // Label 8599: @517634
     /*  517634 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(517705), // Rule ID 20629 //
     /*  517639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  517650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  517653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  517656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517671 */     // MIs[0] round
     /*  517671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517681 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517703 */     GIR_RootConstrainSelectedInstOperands,
     /*  517704 */     // GIR_Coverage, 20629,
     /*  517704 */     GIR_EraseRootFromParent_Done,
     /*  517705 */   // Label 8600: @517705
     /*  517705 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(517776), // Rule ID 20630 //
     /*  517710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  517721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  517724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  517727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517742 */     // MIs[0] round
     /*  517742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517774 */     GIR_RootConstrainSelectedInstOperands,
     /*  517775 */     // GIR_Coverage, 20630,
     /*  517775 */     GIR_EraseRootFromParent_Done,
     /*  517776 */   // Label 8601: @517776
     /*  517776 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517847), // Rule ID 20633 //
     /*  517781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  517792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  517795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517813 */     // MIs[0] round
     /*  517813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517845 */     GIR_RootConstrainSelectedInstOperands,
     /*  517846 */     // GIR_Coverage, 20633,
     /*  517846 */     GIR_EraseRootFromParent_Done,
     /*  517847 */   // Label 8602: @517847
     /*  517847 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(517918), // Rule ID 20634 //
     /*  517852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  517863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  517866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517884 */     // MIs[0] round
     /*  517884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517916 */     GIR_RootConstrainSelectedInstOperands,
     /*  517917 */     // GIR_Coverage, 20634,
     /*  517917 */     GIR_EraseRootFromParent_Done,
     /*  517918 */   // Label 8603: @517918
     /*  517918 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(517989), // Rule ID 20637 //
     /*  517923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  517934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  517937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  517940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517955 */     // MIs[0] round
     /*  517955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  517968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517987 */     GIR_RootConstrainSelectedInstOperands,
     /*  517988 */     // GIR_Coverage, 20637,
     /*  517988 */     GIR_EraseRootFromParent_Done,
     /*  517989 */   // Label 8604: @517989
     /*  517989 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(518060), // Rule ID 20638 //
     /*  517994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518026 */     // MIs[0] round
     /*  518026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518058 */     GIR_RootConstrainSelectedInstOperands,
     /*  518059 */     // GIR_Coverage, 20638,
     /*  518059 */     GIR_EraseRootFromParent_Done,
     /*  518060 */   // Label 8605: @518060
     /*  518060 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(518131), // Rule ID 20641 //
     /*  518065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518097 */     // MIs[0] round
     /*  518097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518129 */     GIR_RootConstrainSelectedInstOperands,
     /*  518130 */     // GIR_Coverage, 20641,
     /*  518130 */     GIR_EraseRootFromParent_Done,
     /*  518131 */   // Label 8606: @518131
     /*  518131 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(518202), // Rule ID 20642 //
     /*  518136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518168 */     // MIs[0] round
     /*  518168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518200 */     GIR_RootConstrainSelectedInstOperands,
     /*  518201 */     // GIR_Coverage, 20642,
     /*  518201 */     GIR_EraseRootFromParent_Done,
     /*  518202 */   // Label 8607: @518202
     /*  518202 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(518273), // Rule ID 20645 //
     /*  518207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  518210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518239 */     // MIs[0] round
     /*  518239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518271 */     GIR_RootConstrainSelectedInstOperands,
     /*  518272 */     // GIR_Coverage, 20645,
     /*  518272 */     GIR_EraseRootFromParent_Done,
     /*  518273 */   // Label 8608: @518273
     /*  518273 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(518344), // Rule ID 20646 //
     /*  518278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518310 */     // MIs[0] round
     /*  518310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518342 */     GIR_RootConstrainSelectedInstOperands,
     /*  518343 */     // GIR_Coverage, 20646,
     /*  518343 */     GIR_EraseRootFromParent_Done,
     /*  518344 */   // Label 8609: @518344
     /*  518344 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518415), // Rule ID 20649 //
     /*  518349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518381 */     // MIs[0] round
     /*  518381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518413 */     GIR_RootConstrainSelectedInstOperands,
     /*  518414 */     // GIR_Coverage, 20649,
     /*  518414 */     GIR_EraseRootFromParent_Done,
     /*  518415 */   // Label 8610: @518415
     /*  518415 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518486), // Rule ID 20650 //
     /*  518420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518452 */     // MIs[0] round
     /*  518452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518484 */     GIR_RootConstrainSelectedInstOperands,
     /*  518485 */     // GIR_Coverage, 20650,
     /*  518485 */     GIR_EraseRootFromParent_Done,
     /*  518486 */   // Label 8611: @518486
     /*  518486 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(518557), // Rule ID 20653 //
     /*  518491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518523 */     // MIs[0] round
     /*  518523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518555 */     GIR_RootConstrainSelectedInstOperands,
     /*  518556 */     // GIR_Coverage, 20653,
     /*  518556 */     GIR_EraseRootFromParent_Done,
     /*  518557 */   // Label 8612: @518557
     /*  518557 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(518628), // Rule ID 20654 //
     /*  518562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518594 */     // MIs[0] round
     /*  518594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518626 */     GIR_RootConstrainSelectedInstOperands,
     /*  518627 */     // GIR_Coverage, 20654,
     /*  518627 */     GIR_EraseRootFromParent_Done,
     /*  518628 */   // Label 8613: @518628
     /*  518628 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(518699), // Rule ID 20657 //
     /*  518633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  518644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  518647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  518650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518665 */     // MIs[0] round
     /*  518665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518675 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  518678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518697 */     GIR_RootConstrainSelectedInstOperands,
     /*  518698 */     // GIR_Coverage, 20657,
     /*  518698 */     GIR_EraseRootFromParent_Done,
     /*  518699 */   // Label 8614: @518699
     /*  518699 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(518770), // Rule ID 20658 //
     /*  518704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  518715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  518718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  518721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518736 */     // MIs[0] round
     /*  518736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  518749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518768 */     GIR_RootConstrainSelectedInstOperands,
     /*  518769 */     // GIR_Coverage, 20658,
     /*  518769 */     GIR_EraseRootFromParent_Done,
     /*  518770 */   // Label 8615: @518770
     /*  518770 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518841), // Rule ID 20661 //
     /*  518775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  518786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  518789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  518792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518807 */     // MIs[0] round
     /*  518807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518839 */     GIR_RootConstrainSelectedInstOperands,
     /*  518840 */     // GIR_Coverage, 20661,
     /*  518840 */     GIR_EraseRootFromParent_Done,
     /*  518841 */   // Label 8616: @518841
     /*  518841 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(518912), // Rule ID 20662 //
     /*  518846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  518857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  518860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  518863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518878 */     // MIs[0] round
     /*  518878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518910 */     GIR_RootConstrainSelectedInstOperands,
     /*  518911 */     // GIR_Coverage, 20662,
     /*  518911 */     GIR_EraseRootFromParent_Done,
     /*  518912 */   // Label 8617: @518912
     /*  518912 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(518983), // Rule ID 20665 //
     /*  518917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  518928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  518931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  518934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518949 */     // MIs[0] round
     /*  518949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518981 */     GIR_RootConstrainSelectedInstOperands,
     /*  518982 */     // GIR_Coverage, 20665,
     /*  518982 */     GIR_EraseRootFromParent_Done,
     /*  518983 */   // Label 8618: @518983
     /*  518983 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(519054), // Rule ID 20666 //
     /*  518988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  518999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519020 */     // MIs[0] round
     /*  519020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519052 */     GIR_RootConstrainSelectedInstOperands,
     /*  519053 */     // GIR_Coverage, 20666,
     /*  519053 */     GIR_EraseRootFromParent_Done,
     /*  519054 */   // Label 8619: @519054
     /*  519054 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(519125), // Rule ID 20669 //
     /*  519059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519091 */     // MIs[0] round
     /*  519091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519123 */     GIR_RootConstrainSelectedInstOperands,
     /*  519124 */     // GIR_Coverage, 20669,
     /*  519124 */     GIR_EraseRootFromParent_Done,
     /*  519125 */   // Label 8620: @519125
     /*  519125 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(519196), // Rule ID 20670 //
     /*  519130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519162 */     // MIs[0] round
     /*  519162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519194 */     GIR_RootConstrainSelectedInstOperands,
     /*  519195 */     // GIR_Coverage, 20670,
     /*  519195 */     GIR_EraseRootFromParent_Done,
     /*  519196 */   // Label 8621: @519196
     /*  519196 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(519267), // Rule ID 20673 //
     /*  519201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519233 */     // MIs[0] round
     /*  519233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519265 */     GIR_RootConstrainSelectedInstOperands,
     /*  519266 */     // GIR_Coverage, 20673,
     /*  519266 */     GIR_EraseRootFromParent_Done,
     /*  519267 */   // Label 8622: @519267
     /*  519267 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(519338), // Rule ID 20674 //
     /*  519272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519304 */     // MIs[0] round
     /*  519304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519336 */     GIR_RootConstrainSelectedInstOperands,
     /*  519337 */     // GIR_Coverage, 20674,
     /*  519337 */     GIR_EraseRootFromParent_Done,
     /*  519338 */   // Label 8623: @519338
     /*  519338 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519409), // Rule ID 20677 //
     /*  519343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519375 */     // MIs[0] round
     /*  519375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519385 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519407 */     GIR_RootConstrainSelectedInstOperands,
     /*  519408 */     // GIR_Coverage, 20677,
     /*  519408 */     GIR_EraseRootFromParent_Done,
     /*  519409 */   // Label 8624: @519409
     /*  519409 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519480), // Rule ID 20678 //
     /*  519414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519446 */     // MIs[0] round
     /*  519446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519465 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519478 */     GIR_RootConstrainSelectedInstOperands,
     /*  519479 */     // GIR_Coverage, 20678,
     /*  519479 */     GIR_EraseRootFromParent_Done,
     /*  519480 */   // Label 8625: @519480
     /*  519480 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(519551), // Rule ID 20681 //
     /*  519485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519517 */     // MIs[0] round
     /*  519517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519536 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519549 */     GIR_RootConstrainSelectedInstOperands,
     /*  519550 */     // GIR_Coverage, 20681,
     /*  519550 */     GIR_EraseRootFromParent_Done,
     /*  519551 */   // Label 8626: @519551
     /*  519551 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(519622), // Rule ID 20682 //
     /*  519556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519588 */     // MIs[0] round
     /*  519588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519607 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519620 */     GIR_RootConstrainSelectedInstOperands,
     /*  519621 */     // GIR_Coverage, 20682,
     /*  519621 */     GIR_EraseRootFromParent_Done,
     /*  519622 */   // Label 8627: @519622
     /*  519622 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(519693), // Rule ID 20685 //
     /*  519627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  519638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  519641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  519644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519659 */     // MIs[0] round
     /*  519659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519669 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  519672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519678 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519691 */     GIR_RootConstrainSelectedInstOperands,
     /*  519692 */     // GIR_Coverage, 20685,
     /*  519692 */     GIR_EraseRootFromParent_Done,
     /*  519693 */   // Label 8628: @519693
     /*  519693 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(519764), // Rule ID 20686 //
     /*  519698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  519709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  519712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  519715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519730 */     // MIs[0] round
     /*  519730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519740 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  519743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519749 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519762 */     GIR_RootConstrainSelectedInstOperands,
     /*  519763 */     // GIR_Coverage, 20686,
     /*  519763 */     GIR_EraseRootFromParent_Done,
     /*  519764 */   // Label 8629: @519764
     /*  519764 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(519835), // Rule ID 20689 //
     /*  519769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  519780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  519783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  519786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519801 */     // MIs[0] round
     /*  519801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  519814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519820 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519833 */     GIR_RootConstrainSelectedInstOperands,
     /*  519834 */     // GIR_Coverage, 20689,
     /*  519834 */     GIR_EraseRootFromParent_Done,
     /*  519835 */   // Label 8630: @519835
     /*  519835 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(519906), // Rule ID 20690 //
     /*  519840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  519851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  519854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  519857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519872 */     // MIs[0] round
     /*  519872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  519885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519891 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519904 */     GIR_RootConstrainSelectedInstOperands,
     /*  519905 */     // GIR_Coverage, 20690,
     /*  519905 */     GIR_EraseRootFromParent_Done,
     /*  519906 */   // Label 8631: @519906
     /*  519906 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(519977), // Rule ID 20693 //
     /*  519911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  519922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  519925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  519928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519943 */     // MIs[0] round
     /*  519943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  519956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519962 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519975 */     GIR_RootConstrainSelectedInstOperands,
     /*  519976 */     // GIR_Coverage, 20693,
     /*  519976 */     GIR_EraseRootFromParent_Done,
     /*  519977 */   // Label 8632: @519977
     /*  519977 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(520048), // Rule ID 20694 //
     /*  519982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  519993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  519996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  519999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520014 */     // MIs[0] round
     /*  520014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520033 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520046 */     GIR_RootConstrainSelectedInstOperands,
     /*  520047 */     // GIR_Coverage, 20694,
     /*  520047 */     GIR_EraseRootFromParent_Done,
     /*  520048 */   // Label 8633: @520048
     /*  520048 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(520119), // Rule ID 20697 //
     /*  520053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520085 */     // MIs[0] round
     /*  520085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520095 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520104 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520117 */     GIR_RootConstrainSelectedInstOperands,
     /*  520118 */     // GIR_Coverage, 20697,
     /*  520118 */     GIR_EraseRootFromParent_Done,
     /*  520119 */   // Label 8634: @520119
     /*  520119 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(520190), // Rule ID 20698 //
     /*  520124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520156 */     // MIs[0] round
     /*  520156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520175 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520188 */     GIR_RootConstrainSelectedInstOperands,
     /*  520189 */     // GIR_Coverage, 20698,
     /*  520189 */     GIR_EraseRootFromParent_Done,
     /*  520190 */   // Label 8635: @520190
     /*  520190 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(520261), // Rule ID 20701 //
     /*  520195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520227 */     // MIs[0] round
     /*  520227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520246 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520259 */     GIR_RootConstrainSelectedInstOperands,
     /*  520260 */     // GIR_Coverage, 20701,
     /*  520260 */     GIR_EraseRootFromParent_Done,
     /*  520261 */   // Label 8636: @520261
     /*  520261 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(520332), // Rule ID 20702 //
     /*  520266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520298 */     // MIs[0] round
     /*  520298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520317 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520330 */     GIR_RootConstrainSelectedInstOperands,
     /*  520331 */     // GIR_Coverage, 20702,
     /*  520331 */     GIR_EraseRootFromParent_Done,
     /*  520332 */   // Label 8637: @520332
     /*  520332 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520403), // Rule ID 20705 //
     /*  520337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520369 */     // MIs[0] round
     /*  520369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520388 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520401 */     GIR_RootConstrainSelectedInstOperands,
     /*  520402 */     // GIR_Coverage, 20705,
     /*  520402 */     GIR_EraseRootFromParent_Done,
     /*  520403 */   // Label 8638: @520403
     /*  520403 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520474), // Rule ID 20706 //
     /*  520408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520440 */     // MIs[0] round
     /*  520440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520459 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520472 */     GIR_RootConstrainSelectedInstOperands,
     /*  520473 */     // GIR_Coverage, 20706,
     /*  520473 */     GIR_EraseRootFromParent_Done,
     /*  520474 */   // Label 8639: @520474
     /*  520474 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(520545), // Rule ID 20709 //
     /*  520479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520511 */     // MIs[0] round
     /*  520511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520530 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520543 */     GIR_RootConstrainSelectedInstOperands,
     /*  520544 */     // GIR_Coverage, 20709,
     /*  520544 */     GIR_EraseRootFromParent_Done,
     /*  520545 */   // Label 8640: @520545
     /*  520545 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(520616), // Rule ID 20710 //
     /*  520550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520582 */     // MIs[0] round
     /*  520582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520601 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520614 */     GIR_RootConstrainSelectedInstOperands,
     /*  520615 */     // GIR_Coverage, 20710,
     /*  520615 */     GIR_EraseRootFromParent_Done,
     /*  520616 */   // Label 8641: @520616
     /*  520616 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(520687), // Rule ID 20713 //
     /*  520621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  520632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  520635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520653 */     // MIs[0] round
     /*  520653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520663 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  520666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520672 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520685 */     GIR_RootConstrainSelectedInstOperands,
     /*  520686 */     // GIR_Coverage, 20713,
     /*  520686 */     GIR_EraseRootFromParent_Done,
     /*  520687 */   // Label 8642: @520687
     /*  520687 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(520758), // Rule ID 20714 //
     /*  520692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  520703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  520706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520724 */     // MIs[0] round
     /*  520724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  520737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520743 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520756 */     GIR_RootConstrainSelectedInstOperands,
     /*  520757 */     // GIR_Coverage, 20714,
     /*  520757 */     GIR_EraseRootFromParent_Done,
     /*  520758 */   // Label 8643: @520758
     /*  520758 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(520829), // Rule ID 20717 //
     /*  520763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  520774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  520777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  520780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520795 */     // MIs[0] round
     /*  520795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520805 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  520808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520814 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520827 */     GIR_RootConstrainSelectedInstOperands,
     /*  520828 */     // GIR_Coverage, 20717,
     /*  520828 */     GIR_EraseRootFromParent_Done,
     /*  520829 */   // Label 8644: @520829
     /*  520829 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(520900), // Rule ID 20718 //
     /*  520834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  520845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  520848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  520851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520866 */     // MIs[0] round
     /*  520866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  520879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520885 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520898 */     GIR_RootConstrainSelectedInstOperands,
     /*  520899 */     // GIR_Coverage, 20718,
     /*  520899 */     GIR_EraseRootFromParent_Done,
     /*  520900 */   // Label 8645: @520900
     /*  520900 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(520971), // Rule ID 20721 //
     /*  520905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  520916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  520922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520937 */     // MIs[0] round
     /*  520937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520956 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520969 */     GIR_RootConstrainSelectedInstOperands,
     /*  520970 */     // GIR_Coverage, 20721,
     /*  520970 */     GIR_EraseRootFromParent_Done,
     /*  520971 */   // Label 8646: @520971
     /*  520971 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(521042), // Rule ID 20722 //
     /*  520976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  520987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  520993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521008 */     // MIs[0] round
     /*  521008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521027 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521040 */     GIR_RootConstrainSelectedInstOperands,
     /*  521041 */     // GIR_Coverage, 20722,
     /*  521041 */     GIR_EraseRootFromParent_Done,
     /*  521042 */   // Label 8647: @521042
     /*  521042 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(521113), // Rule ID 20725 //
     /*  521047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521079 */     // MIs[0] round
     /*  521079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521098 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521111 */     GIR_RootConstrainSelectedInstOperands,
     /*  521112 */     // GIR_Coverage, 20725,
     /*  521112 */     GIR_EraseRootFromParent_Done,
     /*  521113 */   // Label 8648: @521113
     /*  521113 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(521184), // Rule ID 20726 //
     /*  521118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521150 */     // MIs[0] round
     /*  521150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521169 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521182 */     GIR_RootConstrainSelectedInstOperands,
     /*  521183 */     // GIR_Coverage, 20726,
     /*  521183 */     GIR_EraseRootFromParent_Done,
     /*  521184 */   // Label 8649: @521184
     /*  521184 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(521255), // Rule ID 20729 //
     /*  521189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521221 */     // MIs[0] round
     /*  521221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521240 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521253 */     GIR_RootConstrainSelectedInstOperands,
     /*  521254 */     // GIR_Coverage, 20729,
     /*  521254 */     GIR_EraseRootFromParent_Done,
     /*  521255 */   // Label 8650: @521255
     /*  521255 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(521326), // Rule ID 20730 //
     /*  521260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521292 */     // MIs[0] round
     /*  521292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521311 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521324 */     GIR_RootConstrainSelectedInstOperands,
     /*  521325 */     // GIR_Coverage, 20730,
     /*  521325 */     GIR_EraseRootFromParent_Done,
     /*  521326 */   // Label 8651: @521326
     /*  521326 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521397), // Rule ID 20733 //
     /*  521331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521363 */     // MIs[0] round
     /*  521363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521373 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521382 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521395 */     GIR_RootConstrainSelectedInstOperands,
     /*  521396 */     // GIR_Coverage, 20733,
     /*  521396 */     GIR_EraseRootFromParent_Done,
     /*  521397 */   // Label 8652: @521397
     /*  521397 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521468), // Rule ID 20734 //
     /*  521402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521434 */     // MIs[0] round
     /*  521434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521453 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521466 */     GIR_RootConstrainSelectedInstOperands,
     /*  521467 */     // GIR_Coverage, 20734,
     /*  521467 */     GIR_EraseRootFromParent_Done,
     /*  521468 */   // Label 8653: @521468
     /*  521468 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(521539), // Rule ID 20737 //
     /*  521473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521505 */     // MIs[0] round
     /*  521505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521524 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521537 */     GIR_RootConstrainSelectedInstOperands,
     /*  521538 */     // GIR_Coverage, 20737,
     /*  521538 */     GIR_EraseRootFromParent_Done,
     /*  521539 */   // Label 8654: @521539
     /*  521539 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(521610), // Rule ID 20738 //
     /*  521544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521576 */     // MIs[0] round
     /*  521576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521595 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521608 */     GIR_RootConstrainSelectedInstOperands,
     /*  521609 */     // GIR_Coverage, 20738,
     /*  521609 */     GIR_EraseRootFromParent_Done,
     /*  521610 */   // Label 8655: @521610
     /*  521610 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(521681), // Rule ID 20741 //
     /*  521615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  521626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  521632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521647 */     // MIs[0] round
     /*  521647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521666 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521679 */     GIR_RootConstrainSelectedInstOperands,
     /*  521680 */     // GIR_Coverage, 20741,
     /*  521680 */     GIR_EraseRootFromParent_Done,
     /*  521681 */   // Label 8656: @521681
     /*  521681 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(521752), // Rule ID 20742 //
     /*  521686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  521697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  521703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521718 */     // MIs[0] round
     /*  521718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521737 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521750 */     GIR_RootConstrainSelectedInstOperands,
     /*  521751 */     // GIR_Coverage, 20742,
     /*  521751 */     GIR_EraseRootFromParent_Done,
     /*  521752 */   // Label 8657: @521752
     /*  521752 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(521823), // Rule ID 20865 //
     /*  521757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  521768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  521771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521789 */     // MIs[0] round
     /*  521789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521799 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  521802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521808 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521821 */     GIR_RootConstrainSelectedInstOperands,
     /*  521822 */     // GIR_Coverage, 20865,
     /*  521822 */     GIR_EraseRootFromParent_Done,
     /*  521823 */   // Label 8658: @521823
     /*  521823 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521894), // Rule ID 20866 //
     /*  521828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  521839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  521842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521860 */     // MIs[0] round
     /*  521860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521870 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  521873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521879 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521892 */     GIR_RootConstrainSelectedInstOperands,
     /*  521893 */     // GIR_Coverage, 20866,
     /*  521893 */     GIR_EraseRootFromParent_Done,
     /*  521894 */   // Label 8659: @521894
     /*  521894 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(521965), // Rule ID 20869 //
     /*  521899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  521910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  521913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521931 */     // MIs[0] round
     /*  521931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521941 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  521944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521950 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521963 */     GIR_RootConstrainSelectedInstOperands,
     /*  521964 */     // GIR_Coverage, 20869,
     /*  521964 */     GIR_EraseRootFromParent_Done,
     /*  521965 */   // Label 8660: @521965
     /*  521965 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(522036), // Rule ID 20870 //
     /*  521970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  521981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  521984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522002 */     // MIs[0] round
     /*  522002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  522015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522021 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522034 */     GIR_RootConstrainSelectedInstOperands,
     /*  522035 */     // GIR_Coverage, 20870,
     /*  522035 */     GIR_EraseRootFromParent_Done,
     /*  522036 */   // Label 8661: @522036
     /*  522036 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(522107), // Rule ID 20873 //
     /*  522041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522073 */     // MIs[0] round
     /*  522073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522083 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522092 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522105 */     GIR_RootConstrainSelectedInstOperands,
     /*  522106 */     // GIR_Coverage, 20873,
     /*  522106 */     GIR_EraseRootFromParent_Done,
     /*  522107 */   // Label 8662: @522107
     /*  522107 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(522178), // Rule ID 20874 //
     /*  522112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522144 */     // MIs[0] round
     /*  522144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522154 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522163 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522176 */     GIR_RootConstrainSelectedInstOperands,
     /*  522177 */     // GIR_Coverage, 20874,
     /*  522177 */     GIR_EraseRootFromParent_Done,
     /*  522178 */   // Label 8663: @522178
     /*  522178 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(522249), // Rule ID 20877 //
     /*  522183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522215 */     // MIs[0] round
     /*  522215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522225 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522234 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522247 */     GIR_RootConstrainSelectedInstOperands,
     /*  522248 */     // GIR_Coverage, 20877,
     /*  522248 */     GIR_EraseRootFromParent_Done,
     /*  522249 */   // Label 8664: @522249
     /*  522249 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(522320), // Rule ID 20878 //
     /*  522254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522286 */     // MIs[0] round
     /*  522286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522305 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522318 */     GIR_RootConstrainSelectedInstOperands,
     /*  522319 */     // GIR_Coverage, 20878,
     /*  522319 */     GIR_EraseRootFromParent_Done,
     /*  522320 */   // Label 8665: @522320
     /*  522320 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522391), // Rule ID 20881 //
     /*  522325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522357 */     // MIs[0] round
     /*  522357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522376 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522389 */     GIR_RootConstrainSelectedInstOperands,
     /*  522390 */     // GIR_Coverage, 20881,
     /*  522390 */     GIR_EraseRootFromParent_Done,
     /*  522391 */   // Label 8666: @522391
     /*  522391 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522462), // Rule ID 20882 //
     /*  522396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522428 */     // MIs[0] round
     /*  522428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522438 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522447 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522460 */     GIR_RootConstrainSelectedInstOperands,
     /*  522461 */     // GIR_Coverage, 20882,
     /*  522461 */     GIR_EraseRootFromParent_Done,
     /*  522462 */   // Label 8667: @522462
     /*  522462 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522533), // Rule ID 20885 //
     /*  522467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522499 */     // MIs[0] round
     /*  522499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522518 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522531 */     GIR_RootConstrainSelectedInstOperands,
     /*  522532 */     // GIR_Coverage, 20885,
     /*  522532 */     GIR_EraseRootFromParent_Done,
     /*  522533 */   // Label 8668: @522533
     /*  522533 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(522604), // Rule ID 20886 //
     /*  522538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522570 */     // MIs[0] round
     /*  522570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522589 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522602 */     GIR_RootConstrainSelectedInstOperands,
     /*  522603 */     // GIR_Coverage, 20886,
     /*  522603 */     GIR_EraseRootFromParent_Done,
     /*  522604 */   // Label 8669: @522604
     /*  522604 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(522675), // Rule ID 20889 //
     /*  522609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522641 */     // MIs[0] round
     /*  522641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522651 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  522654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522660 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522673 */     GIR_RootConstrainSelectedInstOperands,
     /*  522674 */     // GIR_Coverage, 20889,
     /*  522674 */     GIR_EraseRootFromParent_Done,
     /*  522675 */   // Label 8670: @522675
     /*  522675 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(522746), // Rule ID 20890 //
     /*  522680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522712 */     // MIs[0] round
     /*  522712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522722 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  522725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522731 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522744 */     GIR_RootConstrainSelectedInstOperands,
     /*  522745 */     // GIR_Coverage, 20890,
     /*  522745 */     GIR_EraseRootFromParent_Done,
     /*  522746 */   // Label 8671: @522746
     /*  522746 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(522817), // Rule ID 20893 //
     /*  522751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  522762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  522765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  522768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522783 */     // MIs[0] round
     /*  522783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522793 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  522796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522802 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522815 */     GIR_RootConstrainSelectedInstOperands,
     /*  522816 */     // GIR_Coverage, 20893,
     /*  522816 */     GIR_EraseRootFromParent_Done,
     /*  522817 */   // Label 8672: @522817
     /*  522817 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522888), // Rule ID 20894 //
     /*  522822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  522833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  522836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  522839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522854 */     // MIs[0] round
     /*  522854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522864 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  522867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522873 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522886 */     GIR_RootConstrainSelectedInstOperands,
     /*  522887 */     // GIR_Coverage, 20894,
     /*  522887 */     GIR_EraseRootFromParent_Done,
     /*  522888 */   // Label 8673: @522888
     /*  522888 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(522959), // Rule ID 20897 //
     /*  522893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  522904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  522907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  522910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522925 */     // MIs[0] round
     /*  522925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522935 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  522938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522944 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522957 */     GIR_RootConstrainSelectedInstOperands,
     /*  522958 */     // GIR_Coverage, 20897,
     /*  522958 */     GIR_EraseRootFromParent_Done,
     /*  522959 */   // Label 8674: @522959
     /*  522959 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(523030), // Rule ID 20898 //
     /*  522964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  522975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  522978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  522981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522996 */     // MIs[0] round
     /*  522996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523006 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  523009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523015 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523028 */     GIR_RootConstrainSelectedInstOperands,
     /*  523029 */     // GIR_Coverage, 20898,
     /*  523029 */     GIR_EraseRootFromParent_Done,
     /*  523030 */   // Label 8675: @523030
     /*  523030 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(523101), // Rule ID 20901 //
     /*  523035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523067 */     // MIs[0] round
     /*  523067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523086 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523099 */     GIR_RootConstrainSelectedInstOperands,
     /*  523100 */     // GIR_Coverage, 20901,
     /*  523100 */     GIR_EraseRootFromParent_Done,
     /*  523101 */   // Label 8676: @523101
     /*  523101 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(523172), // Rule ID 20902 //
     /*  523106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523138 */     // MIs[0] round
     /*  523138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523157 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523170 */     GIR_RootConstrainSelectedInstOperands,
     /*  523171 */     // GIR_Coverage, 20902,
     /*  523171 */     GIR_EraseRootFromParent_Done,
     /*  523172 */   // Label 8677: @523172
     /*  523172 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(523243), // Rule ID 20905 //
     /*  523177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523209 */     // MIs[0] round
     /*  523209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523219 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523228 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523241 */     GIR_RootConstrainSelectedInstOperands,
     /*  523242 */     // GIR_Coverage, 20905,
     /*  523242 */     GIR_EraseRootFromParent_Done,
     /*  523243 */   // Label 8678: @523243
     /*  523243 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(523314), // Rule ID 20906 //
     /*  523248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523280 */     // MIs[0] round
     /*  523280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523290 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523299 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523312 */     GIR_RootConstrainSelectedInstOperands,
     /*  523313 */     // GIR_Coverage, 20906,
     /*  523313 */     GIR_EraseRootFromParent_Done,
     /*  523314 */   // Label 8679: @523314
     /*  523314 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(523385), // Rule ID 20909 //
     /*  523319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523351 */     // MIs[0] round
     /*  523351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523361 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523370 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523383 */     GIR_RootConstrainSelectedInstOperands,
     /*  523384 */     // GIR_Coverage, 20909,
     /*  523384 */     GIR_EraseRootFromParent_Done,
     /*  523385 */   // Label 8680: @523385
     /*  523385 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523456), // Rule ID 20910 //
     /*  523390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523422 */     // MIs[0] round
     /*  523422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523441 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523454 */     GIR_RootConstrainSelectedInstOperands,
     /*  523455 */     // GIR_Coverage, 20910,
     /*  523455 */     GIR_EraseRootFromParent_Done,
     /*  523456 */   // Label 8681: @523456
     /*  523456 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523527), // Rule ID 20913 //
     /*  523461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523493 */     // MIs[0] round
     /*  523493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523512 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523525 */     GIR_RootConstrainSelectedInstOperands,
     /*  523526 */     // GIR_Coverage, 20913,
     /*  523526 */     GIR_EraseRootFromParent_Done,
     /*  523527 */   // Label 8682: @523527
     /*  523527 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(523598), // Rule ID 20914 //
     /*  523532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523564 */     // MIs[0] round
     /*  523564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523574 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523583 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523596 */     GIR_RootConstrainSelectedInstOperands,
     /*  523597 */     // GIR_Coverage, 20914,
     /*  523597 */     GIR_EraseRootFromParent_Done,
     /*  523598 */   // Label 8683: @523598
     /*  523598 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(523669), // Rule ID 20917 //
     /*  523603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523635 */     // MIs[0] round
     /*  523635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523645 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  523648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523654 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523667 */     GIR_RootConstrainSelectedInstOperands,
     /*  523668 */     // GIR_Coverage, 20917,
     /*  523668 */     GIR_EraseRootFromParent_Done,
     /*  523669 */   // Label 8684: @523669
     /*  523669 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(523740), // Rule ID 20918 //
     /*  523674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523706 */     // MIs[0] round
     /*  523706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523716 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  523719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523725 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523738 */     GIR_RootConstrainSelectedInstOperands,
     /*  523739 */     // GIR_Coverage, 20918,
     /*  523739 */     GIR_EraseRootFromParent_Done,
     /*  523740 */   // Label 8685: @523740
     /*  523740 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(523811), // Rule ID 20921 //
     /*  523745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  523756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  523759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  523762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523777 */     // MIs[0] round
     /*  523777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  523790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523796 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523809 */     GIR_RootConstrainSelectedInstOperands,
     /*  523810 */     // GIR_Coverage, 20921,
     /*  523810 */     GIR_EraseRootFromParent_Done,
     /*  523811 */   // Label 8686: @523811
     /*  523811 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523882), // Rule ID 20922 //
     /*  523816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  523827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  523830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  523833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523848 */     // MIs[0] round
     /*  523848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523858 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  523861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523867 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523880 */     GIR_RootConstrainSelectedInstOperands,
     /*  523881 */     // GIR_Coverage, 20922,
     /*  523881 */     GIR_EraseRootFromParent_Done,
     /*  523882 */   // Label 8687: @523882
     /*  523882 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(523953), // Rule ID 20925 //
     /*  523887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  523898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  523901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  523904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523919 */     // MIs[0] round
     /*  523919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523929 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  523932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523938 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523951 */     GIR_RootConstrainSelectedInstOperands,
     /*  523952 */     // GIR_Coverage, 20925,
     /*  523952 */     GIR_EraseRootFromParent_Done,
     /*  523953 */   // Label 8688: @523953
     /*  523953 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(524024), // Rule ID 20926 //
     /*  523958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  523969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  523972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  523975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523990 */     // MIs[0] round
     /*  523990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524000 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  524003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524009 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524022 */     GIR_RootConstrainSelectedInstOperands,
     /*  524023 */     // GIR_Coverage, 20926,
     /*  524023 */     GIR_EraseRootFromParent_Done,
     /*  524024 */   // Label 8689: @524024
     /*  524024 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(524095), // Rule ID 20929 //
     /*  524029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524061 */     // MIs[0] round
     /*  524061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524071 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524080 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524093 */     GIR_RootConstrainSelectedInstOperands,
     /*  524094 */     // GIR_Coverage, 20929,
     /*  524094 */     GIR_EraseRootFromParent_Done,
     /*  524095 */   // Label 8690: @524095
     /*  524095 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(524166), // Rule ID 20930 //
     /*  524100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524132 */     // MIs[0] round
     /*  524132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524142 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524151 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524164 */     GIR_RootConstrainSelectedInstOperands,
     /*  524165 */     // GIR_Coverage, 20930,
     /*  524165 */     GIR_EraseRootFromParent_Done,
     /*  524166 */   // Label 8691: @524166
     /*  524166 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(524237), // Rule ID 20933 //
     /*  524171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524203 */     // MIs[0] round
     /*  524203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524213 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524222 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524235 */     GIR_RootConstrainSelectedInstOperands,
     /*  524236 */     // GIR_Coverage, 20933,
     /*  524236 */     GIR_EraseRootFromParent_Done,
     /*  524237 */   // Label 8692: @524237
     /*  524237 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(524308), // Rule ID 20934 //
     /*  524242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524274 */     // MIs[0] round
     /*  524274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524284 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524293 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524306 */     GIR_RootConstrainSelectedInstOperands,
     /*  524307 */     // GIR_Coverage, 20934,
     /*  524307 */     GIR_EraseRootFromParent_Done,
     /*  524308 */   // Label 8693: @524308
     /*  524308 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(524379), // Rule ID 20937 //
     /*  524313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524345 */     // MIs[0] round
     /*  524345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524364 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524377 */     GIR_RootConstrainSelectedInstOperands,
     /*  524378 */     // GIR_Coverage, 20937,
     /*  524378 */     GIR_EraseRootFromParent_Done,
     /*  524379 */   // Label 8694: @524379
     /*  524379 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524450), // Rule ID 20938 //
     /*  524384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524416 */     // MIs[0] round
     /*  524416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524426 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524435 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524448 */     GIR_RootConstrainSelectedInstOperands,
     /*  524449 */     // GIR_Coverage, 20938,
     /*  524449 */     GIR_EraseRootFromParent_Done,
     /*  524450 */   // Label 8695: @524450
     /*  524450 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524521), // Rule ID 20941 //
     /*  524455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524487 */     // MIs[0] round
     /*  524487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524506 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524519 */     GIR_RootConstrainSelectedInstOperands,
     /*  524520 */     // GIR_Coverage, 20941,
     /*  524520 */     GIR_EraseRootFromParent_Done,
     /*  524521 */   // Label 8696: @524521
     /*  524521 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(524592), // Rule ID 20942 //
     /*  524526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524558 */     // MIs[0] round
     /*  524558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524577 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524590 */     GIR_RootConstrainSelectedInstOperands,
     /*  524591 */     // GIR_Coverage, 20942,
     /*  524591 */     GIR_EraseRootFromParent_Done,
     /*  524592 */   // Label 8697: @524592
     /*  524592 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(524663), // Rule ID 20945 //
     /*  524597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524629 */     // MIs[0] round
     /*  524629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524639 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  524642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524648 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524661 */     GIR_RootConstrainSelectedInstOperands,
     /*  524662 */     // GIR_Coverage, 20945,
     /*  524662 */     GIR_EraseRootFromParent_Done,
     /*  524663 */   // Label 8698: @524663
     /*  524663 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(524734), // Rule ID 20946 //
     /*  524668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524700 */     // MIs[0] round
     /*  524700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524710 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  524713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524719 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524732 */     GIR_RootConstrainSelectedInstOperands,
     /*  524733 */     // GIR_Coverage, 20946,
     /*  524733 */     GIR_EraseRootFromParent_Done,
     /*  524734 */   // Label 8699: @524734
     /*  524734 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(524805), // Rule ID 20949 //
     /*  524739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  524750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  524753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  524756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524771 */     // MIs[0] round
     /*  524771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524781 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  524784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524790 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524803 */     GIR_RootConstrainSelectedInstOperands,
     /*  524804 */     // GIR_Coverage, 20949,
     /*  524804 */     GIR_EraseRootFromParent_Done,
     /*  524805 */   // Label 8700: @524805
     /*  524805 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524876), // Rule ID 20950 //
     /*  524810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  524821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  524824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  524827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524842 */     // MIs[0] round
     /*  524842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  524855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524861 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524874 */     GIR_RootConstrainSelectedInstOperands,
     /*  524875 */     // GIR_Coverage, 20950,
     /*  524875 */     GIR_EraseRootFromParent_Done,
     /*  524876 */   // Label 8701: @524876
     /*  524876 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(524947), // Rule ID 20953 //
     /*  524881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  524892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  524898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524913 */     // MIs[0] round
     /*  524913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524923 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  524926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524932 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524945 */     GIR_RootConstrainSelectedInstOperands,
     /*  524946 */     // GIR_Coverage, 20953,
     /*  524946 */     GIR_EraseRootFromParent_Done,
     /*  524947 */   // Label 8702: @524947
     /*  524947 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(525018), // Rule ID 20954 //
     /*  524952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  524963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  524969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524984 */     // MIs[0] round
     /*  524984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524994 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  524997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525003 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525016 */     GIR_RootConstrainSelectedInstOperands,
     /*  525017 */     // GIR_Coverage, 20954,
     /*  525017 */     GIR_EraseRootFromParent_Done,
     /*  525018 */   // Label 8703: @525018
     /*  525018 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(525089), // Rule ID 20957 //
     /*  525023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525055 */     // MIs[0] round
     /*  525055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525065 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525074 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525087 */     GIR_RootConstrainSelectedInstOperands,
     /*  525088 */     // GIR_Coverage, 20957,
     /*  525088 */     GIR_EraseRootFromParent_Done,
     /*  525089 */   // Label 8704: @525089
     /*  525089 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(525160), // Rule ID 20958 //
     /*  525094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525126 */     // MIs[0] round
     /*  525126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525136 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525145 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525158 */     GIR_RootConstrainSelectedInstOperands,
     /*  525159 */     // GIR_Coverage, 20958,
     /*  525159 */     GIR_EraseRootFromParent_Done,
     /*  525160 */   // Label 8705: @525160
     /*  525160 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(525231), // Rule ID 20961 //
     /*  525165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525197 */     // MIs[0] round
     /*  525197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525207 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525216 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525229 */     GIR_RootConstrainSelectedInstOperands,
     /*  525230 */     // GIR_Coverage, 20961,
     /*  525230 */     GIR_EraseRootFromParent_Done,
     /*  525231 */   // Label 8706: @525231
     /*  525231 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(525302), // Rule ID 20962 //
     /*  525236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525268 */     // MIs[0] round
     /*  525268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525287 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525300 */     GIR_RootConstrainSelectedInstOperands,
     /*  525301 */     // GIR_Coverage, 20962,
     /*  525301 */     GIR_EraseRootFromParent_Done,
     /*  525302 */   // Label 8707: @525302
     /*  525302 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(525373), // Rule ID 20965 //
     /*  525307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525339 */     // MIs[0] round
     /*  525339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525349 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525358 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525371 */     GIR_RootConstrainSelectedInstOperands,
     /*  525372 */     // GIR_Coverage, 20965,
     /*  525372 */     GIR_EraseRootFromParent_Done,
     /*  525373 */   // Label 8708: @525373
     /*  525373 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525444), // Rule ID 20966 //
     /*  525378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525410 */     // MIs[0] round
     /*  525410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525420 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525429 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525442 */     GIR_RootConstrainSelectedInstOperands,
     /*  525443 */     // GIR_Coverage, 20966,
     /*  525443 */     GIR_EraseRootFromParent_Done,
     /*  525444 */   // Label 8709: @525444
     /*  525444 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525515), // Rule ID 20969 //
     /*  525449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525481 */     // MIs[0] round
     /*  525481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525491 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525500 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525513 */     GIR_RootConstrainSelectedInstOperands,
     /*  525514 */     // GIR_Coverage, 20969,
     /*  525514 */     GIR_EraseRootFromParent_Done,
     /*  525515 */   // Label 8710: @525515
     /*  525515 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(525586), // Rule ID 20970 //
     /*  525520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525552 */     // MIs[0] round
     /*  525552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525562 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525571 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525584 */     GIR_RootConstrainSelectedInstOperands,
     /*  525585 */     // GIR_Coverage, 20970,
     /*  525585 */     GIR_EraseRootFromParent_Done,
     /*  525586 */   // Label 8711: @525586
     /*  525586 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(525657), // Rule ID 20973 //
     /*  525591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525623 */     // MIs[0] round
     /*  525623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525633 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  525636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525642 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525655 */     GIR_RootConstrainSelectedInstOperands,
     /*  525656 */     // GIR_Coverage, 20973,
     /*  525656 */     GIR_EraseRootFromParent_Done,
     /*  525657 */   // Label 8712: @525657
     /*  525657 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(525728), // Rule ID 20974 //
     /*  525662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525694 */     // MIs[0] round
     /*  525694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525704 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  525707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525713 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525726 */     GIR_RootConstrainSelectedInstOperands,
     /*  525727 */     // GIR_Coverage, 20974,
     /*  525727 */     GIR_EraseRootFromParent_Done,
     /*  525728 */   // Label 8713: @525728
     /*  525728 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(525799), // Rule ID 20977 //
     /*  525733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  525744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  525750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525765 */     // MIs[0] round
     /*  525765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525775 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  525778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525784 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525797 */     GIR_RootConstrainSelectedInstOperands,
     /*  525798 */     // GIR_Coverage, 20977,
     /*  525798 */     GIR_EraseRootFromParent_Done,
     /*  525799 */   // Label 8714: @525799
     /*  525799 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525870), // Rule ID 20978 //
     /*  525804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  525815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  525821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525836 */     // MIs[0] round
     /*  525836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525846 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  525849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525855 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525868 */     GIR_RootConstrainSelectedInstOperands,
     /*  525869 */     // GIR_Coverage, 20978,
     /*  525869 */     GIR_EraseRootFromParent_Done,
     /*  525870 */   // Label 8715: @525870
     /*  525870 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(525941), // Rule ID 20981 //
     /*  525875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  525886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  525892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525907 */     // MIs[0] round
     /*  525907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525917 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  525920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525926 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525939 */     GIR_RootConstrainSelectedInstOperands,
     /*  525940 */     // GIR_Coverage, 20981,
     /*  525940 */     GIR_EraseRootFromParent_Done,
     /*  525941 */   // Label 8716: @525941
     /*  525941 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(526012), // Rule ID 20982 //
     /*  525946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  525957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  525963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525978 */     // MIs[0] round
     /*  525978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  525991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525997 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526010 */     GIR_RootConstrainSelectedInstOperands,
     /*  526011 */     // GIR_Coverage, 20982,
     /*  526011 */     GIR_EraseRootFromParent_Done,
     /*  526012 */   // Label 8717: @526012
     /*  526012 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(526083), // Rule ID 21057 //
     /*  526017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526049 */     // MIs[0] round
     /*  526049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526068 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526081 */     GIR_RootConstrainSelectedInstOperands,
     /*  526082 */     // GIR_Coverage, 21057,
     /*  526082 */     GIR_EraseRootFromParent_Done,
     /*  526083 */   // Label 8718: @526083
     /*  526083 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(526154), // Rule ID 21058 //
     /*  526088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526120 */     // MIs[0] round
     /*  526120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526139 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526152 */     GIR_RootConstrainSelectedInstOperands,
     /*  526153 */     // GIR_Coverage, 21058,
     /*  526153 */     GIR_EraseRootFromParent_Done,
     /*  526154 */   // Label 8719: @526154
     /*  526154 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(526225), // Rule ID 21061 //
     /*  526159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526191 */     // MIs[0] round
     /*  526191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526201 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526210 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526223 */     GIR_RootConstrainSelectedInstOperands,
     /*  526224 */     // GIR_Coverage, 21061,
     /*  526224 */     GIR_EraseRootFromParent_Done,
     /*  526225 */   // Label 8720: @526225
     /*  526225 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(526296), // Rule ID 21062 //
     /*  526230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526262 */     // MIs[0] round
     /*  526262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526281 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526294 */     GIR_RootConstrainSelectedInstOperands,
     /*  526295 */     // GIR_Coverage, 21062,
     /*  526295 */     GIR_EraseRootFromParent_Done,
     /*  526296 */   // Label 8721: @526296
     /*  526296 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(526367), // Rule ID 21065 //
     /*  526301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526333 */     // MIs[0] round
     /*  526333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526352 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526365 */     GIR_RootConstrainSelectedInstOperands,
     /*  526366 */     // GIR_Coverage, 21065,
     /*  526366 */     GIR_EraseRootFromParent_Done,
     /*  526367 */   // Label 8722: @526367
     /*  526367 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526438), // Rule ID 21066 //
     /*  526372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526404 */     // MIs[0] round
     /*  526404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526423 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526436 */     GIR_RootConstrainSelectedInstOperands,
     /*  526437 */     // GIR_Coverage, 21066,
     /*  526437 */     GIR_EraseRootFromParent_Done,
     /*  526438 */   // Label 8723: @526438
     /*  526438 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526509), // Rule ID 21069 //
     /*  526443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526475 */     // MIs[0] round
     /*  526475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526485 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526494 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526507 */     GIR_RootConstrainSelectedInstOperands,
     /*  526508 */     // GIR_Coverage, 21069,
     /*  526508 */     GIR_EraseRootFromParent_Done,
     /*  526509 */   // Label 8724: @526509
     /*  526509 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(526580), // Rule ID 21070 //
     /*  526514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526546 */     // MIs[0] round
     /*  526546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526565 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526578 */     GIR_RootConstrainSelectedInstOperands,
     /*  526579 */     // GIR_Coverage, 21070,
     /*  526579 */     GIR_EraseRootFromParent_Done,
     /*  526580 */   // Label 8725: @526580
     /*  526580 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(526651), // Rule ID 21073 //
     /*  526585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526617 */     // MIs[0] round
     /*  526617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  526630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526636 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526649 */     GIR_RootConstrainSelectedInstOperands,
     /*  526650 */     // GIR_Coverage, 21073,
     /*  526650 */     GIR_EraseRootFromParent_Done,
     /*  526651 */   // Label 8726: @526651
     /*  526651 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(526722), // Rule ID 21074 //
     /*  526656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526688 */     // MIs[0] round
     /*  526688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  526701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526707 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526720 */     GIR_RootConstrainSelectedInstOperands,
     /*  526721 */     // GIR_Coverage, 21074,
     /*  526721 */     GIR_EraseRootFromParent_Done,
     /*  526722 */   // Label 8727: @526722
     /*  526722 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(526793), // Rule ID 21077 //
     /*  526727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  526730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  526738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  526741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526759 */     // MIs[0] round
     /*  526759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526769 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526778 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526791 */     GIR_RootConstrainSelectedInstOperands,
     /*  526792 */     // GIR_Coverage, 21077,
     /*  526792 */     GIR_EraseRootFromParent_Done,
     /*  526793 */   // Label 8728: @526793
     /*  526793 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526864), // Rule ID 21078 //
     /*  526798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  526801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  526809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  526812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526830 */     // MIs[0] round
     /*  526830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526849 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526862 */     GIR_RootConstrainSelectedInstOperands,
     /*  526863 */     // GIR_Coverage, 21078,
     /*  526863 */     GIR_EraseRootFromParent_Done,
     /*  526864 */   // Label 8729: @526864
     /*  526864 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(526935), // Rule ID 21081 //
     /*  526869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  526872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526901 */     // MIs[0] round
     /*  526901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526920 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526933 */     GIR_RootConstrainSelectedInstOperands,
     /*  526934 */     // GIR_Coverage, 21081,
     /*  526934 */     GIR_EraseRootFromParent_Done,
     /*  526935 */   // Label 8730: @526935
     /*  526935 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(527006), // Rule ID 21082 //
     /*  526940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  526943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526972 */     // MIs[0] round
     /*  526972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526991 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527004 */     GIR_RootConstrainSelectedInstOperands,
     /*  527005 */     // GIR_Coverage, 21082,
     /*  527005 */     GIR_EraseRootFromParent_Done,
     /*  527006 */   // Label 8731: @527006
     /*  527006 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(527077), // Rule ID 21085 //
     /*  527011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527043 */     // MIs[0] round
     /*  527043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527053 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527062 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527075 */     GIR_RootConstrainSelectedInstOperands,
     /*  527076 */     // GIR_Coverage, 21085,
     /*  527076 */     GIR_EraseRootFromParent_Done,
     /*  527077 */   // Label 8732: @527077
     /*  527077 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(527148), // Rule ID 21086 //
     /*  527082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527114 */     // MIs[0] round
     /*  527114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527133 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527146 */     GIR_RootConstrainSelectedInstOperands,
     /*  527147 */     // GIR_Coverage, 21086,
     /*  527147 */     GIR_EraseRootFromParent_Done,
     /*  527148 */   // Label 8733: @527148
     /*  527148 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(527219), // Rule ID 21089 //
     /*  527153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527185 */     // MIs[0] round
     /*  527185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527195 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527204 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527217 */     GIR_RootConstrainSelectedInstOperands,
     /*  527218 */     // GIR_Coverage, 21089,
     /*  527218 */     GIR_EraseRootFromParent_Done,
     /*  527219 */   // Label 8734: @527219
     /*  527219 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(527290), // Rule ID 21090 //
     /*  527224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527256 */     // MIs[0] round
     /*  527256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527275 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527288 */     GIR_RootConstrainSelectedInstOperands,
     /*  527289 */     // GIR_Coverage, 21090,
     /*  527289 */     GIR_EraseRootFromParent_Done,
     /*  527290 */   // Label 8735: @527290
     /*  527290 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(527361), // Rule ID 21093 //
     /*  527295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527327 */     // MIs[0] round
     /*  527327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527346 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527359 */     GIR_RootConstrainSelectedInstOperands,
     /*  527360 */     // GIR_Coverage, 21093,
     /*  527360 */     GIR_EraseRootFromParent_Done,
     /*  527361 */   // Label 8736: @527361
     /*  527361 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527432), // Rule ID 21094 //
     /*  527366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527398 */     // MIs[0] round
     /*  527398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527417 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527430 */     GIR_RootConstrainSelectedInstOperands,
     /*  527431 */     // GIR_Coverage, 21094,
     /*  527431 */     GIR_EraseRootFromParent_Done,
     /*  527432 */   // Label 8737: @527432
     /*  527432 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527503), // Rule ID 21097 //
     /*  527437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527469 */     // MIs[0] round
     /*  527469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527479 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527488 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527501 */     GIR_RootConstrainSelectedInstOperands,
     /*  527502 */     // GIR_Coverage, 21097,
     /*  527502 */     GIR_EraseRootFromParent_Done,
     /*  527503 */   // Label 8738: @527503
     /*  527503 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(527574), // Rule ID 21098 //
     /*  527508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527540 */     // MIs[0] round
     /*  527540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527559 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527572 */     GIR_RootConstrainSelectedInstOperands,
     /*  527573 */     // GIR_Coverage, 21098,
     /*  527573 */     GIR_EraseRootFromParent_Done,
     /*  527574 */   // Label 8739: @527574
     /*  527574 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(527645), // Rule ID 21101 //
     /*  527579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527611 */     // MIs[0] round
     /*  527611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527621 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  527624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527630 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527643 */     GIR_RootConstrainSelectedInstOperands,
     /*  527644 */     // GIR_Coverage, 21101,
     /*  527644 */     GIR_EraseRootFromParent_Done,
     /*  527645 */   // Label 8740: @527645
     /*  527645 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(527716), // Rule ID 21102 //
     /*  527650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527682 */     // MIs[0] round
     /*  527682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  527695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527701 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527714 */     GIR_RootConstrainSelectedInstOperands,
     /*  527715 */     // GIR_Coverage, 21102,
     /*  527715 */     GIR_EraseRootFromParent_Done,
     /*  527716 */   // Label 8741: @527716
     /*  527716 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(527787), // Rule ID 21105 //
     /*  527721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527753 */     // MIs[0] round
     /*  527753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527763 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  527766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527772 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527785 */     GIR_RootConstrainSelectedInstOperands,
     /*  527786 */     // GIR_Coverage, 21105,
     /*  527786 */     GIR_EraseRootFromParent_Done,
     /*  527787 */   // Label 8742: @527787
     /*  527787 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527858), // Rule ID 21106 //
     /*  527792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527824 */     // MIs[0] round
     /*  527824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  527837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527843 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527856 */     GIR_RootConstrainSelectedInstOperands,
     /*  527857 */     // GIR_Coverage, 21106,
     /*  527857 */     GIR_EraseRootFromParent_Done,
     /*  527858 */   // Label 8743: @527858
     /*  527858 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(527929), // Rule ID 21109 //
     /*  527863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527895 */     // MIs[0] round
     /*  527895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527905 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  527908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527914 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527927 */     GIR_RootConstrainSelectedInstOperands,
     /*  527928 */     // GIR_Coverage, 21109,
     /*  527928 */     GIR_EraseRootFromParent_Done,
     /*  527929 */   // Label 8744: @527929
     /*  527929 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(528000), // Rule ID 21110 //
     /*  527934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527966 */     // MIs[0] round
     /*  527966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  527979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527985 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527998 */     GIR_RootConstrainSelectedInstOperands,
     /*  527999 */     // GIR_Coverage, 21110,
     /*  527999 */     GIR_EraseRootFromParent_Done,
     /*  528000 */   // Label 8745: @528000
     /*  528000 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(528071), // Rule ID 21113 //
     /*  528005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528037 */     // MIs[0] round
     /*  528037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528056 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528069 */     GIR_RootConstrainSelectedInstOperands,
     /*  528070 */     // GIR_Coverage, 21113,
     /*  528070 */     GIR_EraseRootFromParent_Done,
     /*  528071 */   // Label 8746: @528071
     /*  528071 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(528142), // Rule ID 21114 //
     /*  528076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528108 */     // MIs[0] round
     /*  528108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528118 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528127 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528140 */     GIR_RootConstrainSelectedInstOperands,
     /*  528141 */     // GIR_Coverage, 21114,
     /*  528141 */     GIR_EraseRootFromParent_Done,
     /*  528142 */   // Label 8747: @528142
     /*  528142 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(528213), // Rule ID 21117 //
     /*  528147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528179 */     // MIs[0] round
     /*  528179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528198 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528211 */     GIR_RootConstrainSelectedInstOperands,
     /*  528212 */     // GIR_Coverage, 21117,
     /*  528212 */     GIR_EraseRootFromParent_Done,
     /*  528213 */   // Label 8748: @528213
     /*  528213 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(528284), // Rule ID 21118 //
     /*  528218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528250 */     // MIs[0] round
     /*  528250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528269 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528282 */     GIR_RootConstrainSelectedInstOperands,
     /*  528283 */     // GIR_Coverage, 21118,
     /*  528283 */     GIR_EraseRootFromParent_Done,
     /*  528284 */   // Label 8749: @528284
     /*  528284 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(528355), // Rule ID 21121 //
     /*  528289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528321 */     // MIs[0] round
     /*  528321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528331 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528340 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528353 */     GIR_RootConstrainSelectedInstOperands,
     /*  528354 */     // GIR_Coverage, 21121,
     /*  528354 */     GIR_EraseRootFromParent_Done,
     /*  528355 */   // Label 8750: @528355
     /*  528355 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528426), // Rule ID 21122 //
     /*  528360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528392 */     // MIs[0] round
     /*  528392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528411 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528424 */     GIR_RootConstrainSelectedInstOperands,
     /*  528425 */     // GIR_Coverage, 21122,
     /*  528425 */     GIR_EraseRootFromParent_Done,
     /*  528426 */   // Label 8751: @528426
     /*  528426 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528497), // Rule ID 21125 //
     /*  528431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528463 */     // MIs[0] round
     /*  528463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528482 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528495 */     GIR_RootConstrainSelectedInstOperands,
     /*  528496 */     // GIR_Coverage, 21125,
     /*  528496 */     GIR_EraseRootFromParent_Done,
     /*  528497 */   // Label 8752: @528497
     /*  528497 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(528568), // Rule ID 21126 //
     /*  528502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528534 */     // MIs[0] round
     /*  528534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528553 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528566 */     GIR_RootConstrainSelectedInstOperands,
     /*  528567 */     // GIR_Coverage, 21126,
     /*  528567 */     GIR_EraseRootFromParent_Done,
     /*  528568 */   // Label 8753: @528568
     /*  528568 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(528639), // Rule ID 21477 //
     /*  528573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  528584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  528587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528605 */     // MIs[0] round
     /*  528605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528615 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  528618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528624 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528637 */     GIR_RootConstrainSelectedInstOperands,
     /*  528638 */     // GIR_Coverage, 21477,
     /*  528638 */     GIR_EraseRootFromParent_Done,
     /*  528639 */   // Label 8754: @528639
     /*  528639 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(528710), // Rule ID 21478 //
     /*  528644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  528655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  528658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528676 */     // MIs[0] round
     /*  528676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528686 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  528689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528695 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528708 */     GIR_RootConstrainSelectedInstOperands,
     /*  528709 */     // GIR_Coverage, 21478,
     /*  528709 */     GIR_EraseRootFromParent_Done,
     /*  528710 */   // Label 8755: @528710
     /*  528710 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(528781), // Rule ID 21481 //
     /*  528715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  528726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  528729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528747 */     // MIs[0] round
     /*  528747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528757 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  528760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528766 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528779 */     GIR_RootConstrainSelectedInstOperands,
     /*  528780 */     // GIR_Coverage, 21481,
     /*  528780 */     GIR_EraseRootFromParent_Done,
     /*  528781 */   // Label 8756: @528781
     /*  528781 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528852), // Rule ID 21482 //
     /*  528786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  528797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  528800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528818 */     // MIs[0] round
     /*  528818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528828 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  528831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528837 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528850 */     GIR_RootConstrainSelectedInstOperands,
     /*  528851 */     // GIR_Coverage, 21482,
     /*  528851 */     GIR_EraseRootFromParent_Done,
     /*  528852 */   // Label 8757: @528852
     /*  528852 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(528923), // Rule ID 21485 //
     /*  528857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  528868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  528871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528889 */     // MIs[0] round
     /*  528889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528899 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  528902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528908 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528921 */     GIR_RootConstrainSelectedInstOperands,
     /*  528922 */     // GIR_Coverage, 21485,
     /*  528922 */     GIR_EraseRootFromParent_Done,
     /*  528923 */   // Label 8758: @528923
     /*  528923 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(528994), // Rule ID 21486 //
     /*  528928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  528939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  528942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528960 */     // MIs[0] round
     /*  528960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528970 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  528973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528979 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528992 */     GIR_RootConstrainSelectedInstOperands,
     /*  528993 */     // GIR_Coverage, 21486,
     /*  528993 */     GIR_EraseRootFromParent_Done,
     /*  528994 */   // Label 8759: @528994
     /*  528994 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(529065), // Rule ID 21489 //
     /*  528999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529031 */     // MIs[0] round
     /*  529031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529050 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529063 */     GIR_RootConstrainSelectedInstOperands,
     /*  529064 */     // GIR_Coverage, 21489,
     /*  529064 */     GIR_EraseRootFromParent_Done,
     /*  529065 */   // Label 8760: @529065
     /*  529065 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(529136), // Rule ID 21490 //
     /*  529070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529102 */     // MIs[0] round
     /*  529102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529121 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529134 */     GIR_RootConstrainSelectedInstOperands,
     /*  529135 */     // GIR_Coverage, 21490,
     /*  529135 */     GIR_EraseRootFromParent_Done,
     /*  529136 */   // Label 8761: @529136
     /*  529136 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(529207), // Rule ID 21493 //
     /*  529141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529173 */     // MIs[0] round
     /*  529173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529192 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529205 */     GIR_RootConstrainSelectedInstOperands,
     /*  529206 */     // GIR_Coverage, 21493,
     /*  529206 */     GIR_EraseRootFromParent_Done,
     /*  529207 */   // Label 8762: @529207
     /*  529207 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(529278), // Rule ID 21494 //
     /*  529212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529244 */     // MIs[0] round
     /*  529244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529254 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529263 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529276 */     GIR_RootConstrainSelectedInstOperands,
     /*  529277 */     // GIR_Coverage, 21494,
     /*  529277 */     GIR_EraseRootFromParent_Done,
     /*  529278 */   // Label 8763: @529278
     /*  529278 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(529349), // Rule ID 21497 //
     /*  529283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529315 */     // MIs[0] round
     /*  529315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529325 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529334 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529347 */     GIR_RootConstrainSelectedInstOperands,
     /*  529348 */     // GIR_Coverage, 21497,
     /*  529348 */     GIR_EraseRootFromParent_Done,
     /*  529349 */   // Label 8764: @529349
     /*  529349 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529420), // Rule ID 21498 //
     /*  529354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529386 */     // MIs[0] round
     /*  529386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529405 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529418 */     GIR_RootConstrainSelectedInstOperands,
     /*  529419 */     // GIR_Coverage, 21498,
     /*  529419 */     GIR_EraseRootFromParent_Done,
     /*  529420 */   // Label 8765: @529420
     /*  529420 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529491), // Rule ID 21501 //
     /*  529425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529457 */     // MIs[0] round
     /*  529457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529476 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529489 */     GIR_RootConstrainSelectedInstOperands,
     /*  529490 */     // GIR_Coverage, 21501,
     /*  529490 */     GIR_EraseRootFromParent_Done,
     /*  529491 */   // Label 8766: @529491
     /*  529491 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(529562), // Rule ID 21502 //
     /*  529496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529528 */     // MIs[0] round
     /*  529528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529547 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529560 */     GIR_RootConstrainSelectedInstOperands,
     /*  529561 */     // GIR_Coverage, 21502,
     /*  529561 */     GIR_EraseRootFromParent_Done,
     /*  529562 */   // Label 8767: @529562
     /*  529562 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(529633), // Rule ID 21505 //
     /*  529567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529599 */     // MIs[0] round
     /*  529599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529618 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529631 */     GIR_RootConstrainSelectedInstOperands,
     /*  529632 */     // GIR_Coverage, 21505,
     /*  529632 */     GIR_EraseRootFromParent_Done,
     /*  529633 */   // Label 8768: @529633
     /*  529633 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(529704), // Rule ID 21506 //
     /*  529638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529670 */     // MIs[0] round
     /*  529670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529689 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529702 */     GIR_RootConstrainSelectedInstOperands,
     /*  529703 */     // GIR_Coverage, 21506,
     /*  529703 */     GIR_EraseRootFromParent_Done,
     /*  529704 */   // Label 8769: @529704
     /*  529704 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(529775), // Rule ID 21509 //
     /*  529709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529741 */     // MIs[0] round
     /*  529741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529751 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529760 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529773 */     GIR_RootConstrainSelectedInstOperands,
     /*  529774 */     // GIR_Coverage, 21509,
     /*  529774 */     GIR_EraseRootFromParent_Done,
     /*  529775 */   // Label 8770: @529775
     /*  529775 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529846), // Rule ID 21510 //
     /*  529780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529812 */     // MIs[0] round
     /*  529812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529831 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529844 */     GIR_RootConstrainSelectedInstOperands,
     /*  529845 */     // GIR_Coverage, 21510,
     /*  529845 */     GIR_EraseRootFromParent_Done,
     /*  529846 */   // Label 8771: @529846
     /*  529846 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(529917), // Rule ID 21513 //
     /*  529851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529883 */     // MIs[0] round
     /*  529883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529902 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529915 */     GIR_RootConstrainSelectedInstOperands,
     /*  529916 */     // GIR_Coverage, 21513,
     /*  529916 */     GIR_EraseRootFromParent_Done,
     /*  529917 */   // Label 8772: @529917
     /*  529917 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(529988), // Rule ID 21514 //
     /*  529922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529954 */     // MIs[0] round
     /*  529954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529973 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529986 */     GIR_RootConstrainSelectedInstOperands,
     /*  529987 */     // GIR_Coverage, 21514,
     /*  529987 */     GIR_EraseRootFromParent_Done,
     /*  529988 */   // Label 8773: @529988
     /*  529988 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(530059), // Rule ID 21517 //
     /*  529993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530025 */     // MIs[0] round
     /*  530025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530035 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530044 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530057 */     GIR_RootConstrainSelectedInstOperands,
     /*  530058 */     // GIR_Coverage, 21517,
     /*  530058 */     GIR_EraseRootFromParent_Done,
     /*  530059 */   // Label 8774: @530059
     /*  530059 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(530130), // Rule ID 21518 //
     /*  530064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530096 */     // MIs[0] round
     /*  530096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530115 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530128 */     GIR_RootConstrainSelectedInstOperands,
     /*  530129 */     // GIR_Coverage, 21518,
     /*  530129 */     GIR_EraseRootFromParent_Done,
     /*  530130 */   // Label 8775: @530130
     /*  530130 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(530201), // Rule ID 21521 //
     /*  530135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530167 */     // MIs[0] round
     /*  530167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530186 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530199 */     GIR_RootConstrainSelectedInstOperands,
     /*  530200 */     // GIR_Coverage, 21521,
     /*  530200 */     GIR_EraseRootFromParent_Done,
     /*  530201 */   // Label 8776: @530201
     /*  530201 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(530272), // Rule ID 21522 //
     /*  530206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530238 */     // MIs[0] round
     /*  530238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530257 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530270 */     GIR_RootConstrainSelectedInstOperands,
     /*  530271 */     // GIR_Coverage, 21522,
     /*  530271 */     GIR_EraseRootFromParent_Done,
     /*  530272 */   // Label 8777: @530272
     /*  530272 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(530343), // Rule ID 21525 //
     /*  530277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530309 */     // MIs[0] round
     /*  530309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530319 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530328 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530341 */     GIR_RootConstrainSelectedInstOperands,
     /*  530342 */     // GIR_Coverage, 21525,
     /*  530342 */     GIR_EraseRootFromParent_Done,
     /*  530343 */   // Label 8778: @530343
     /*  530343 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530414), // Rule ID 21526 //
     /*  530348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530380 */     // MIs[0] round
     /*  530380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530399 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530412 */     GIR_RootConstrainSelectedInstOperands,
     /*  530413 */     // GIR_Coverage, 21526,
     /*  530413 */     GIR_EraseRootFromParent_Done,
     /*  530414 */   // Label 8779: @530414
     /*  530414 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530485), // Rule ID 21529 //
     /*  530419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530451 */     // MIs[0] round
     /*  530451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530470 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530483 */     GIR_RootConstrainSelectedInstOperands,
     /*  530484 */     // GIR_Coverage, 21529,
     /*  530484 */     GIR_EraseRootFromParent_Done,
     /*  530485 */   // Label 8780: @530485
     /*  530485 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(530556), // Rule ID 21530 //
     /*  530490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530522 */     // MIs[0] round
     /*  530522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530541 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530554 */     GIR_RootConstrainSelectedInstOperands,
     /*  530555 */     // GIR_Coverage, 21530,
     /*  530555 */     GIR_EraseRootFromParent_Done,
     /*  530556 */   // Label 8781: @530556
     /*  530556 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(530627), // Rule ID 21533 //
     /*  530561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530593 */     // MIs[0] round
     /*  530593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530612 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530625 */     GIR_RootConstrainSelectedInstOperands,
     /*  530626 */     // GIR_Coverage, 21533,
     /*  530626 */     GIR_EraseRootFromParent_Done,
     /*  530627 */   // Label 8782: @530627
     /*  530627 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(530698), // Rule ID 21534 //
     /*  530632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530664 */     // MIs[0] round
     /*  530664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530683 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530696 */     GIR_RootConstrainSelectedInstOperands,
     /*  530697 */     // GIR_Coverage, 21534,
     /*  530697 */     GIR_EraseRootFromParent_Done,
     /*  530698 */   // Label 8783: @530698
     /*  530698 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(530769), // Rule ID 21537 //
     /*  530703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  530714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  530717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530735 */     // MIs[0] round
     /*  530735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530745 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  530748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530754 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530767 */     GIR_RootConstrainSelectedInstOperands,
     /*  530768 */     // GIR_Coverage, 21537,
     /*  530768 */     GIR_EraseRootFromParent_Done,
     /*  530769 */   // Label 8784: @530769
     /*  530769 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(530840), // Rule ID 21538 //
     /*  530774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  530785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  530788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530806 */     // MIs[0] round
     /*  530806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  530819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530825 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530838 */     GIR_RootConstrainSelectedInstOperands,
     /*  530839 */     // GIR_Coverage, 21538,
     /*  530839 */     GIR_EraseRootFromParent_Done,
     /*  530840 */   // Label 8785: @530840
     /*  530840 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(530911), // Rule ID 21541 //
     /*  530845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  530856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  530859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530877 */     // MIs[0] round
     /*  530877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530887 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  530890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530896 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530909 */     GIR_RootConstrainSelectedInstOperands,
     /*  530910 */     // GIR_Coverage, 21541,
     /*  530910 */     GIR_EraseRootFromParent_Done,
     /*  530911 */   // Label 8786: @530911
     /*  530911 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(530982), // Rule ID 21542 //
     /*  530916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  530927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  530930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530948 */     // MIs[0] round
     /*  530948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  530961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530967 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530980 */     GIR_RootConstrainSelectedInstOperands,
     /*  530981 */     // GIR_Coverage, 21542,
     /*  530981 */     GIR_EraseRootFromParent_Done,
     /*  530982 */   // Label 8787: @530982
     /*  530982 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(531053), // Rule ID 21545 //
     /*  530987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  530998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  531001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531019 */     // MIs[0] round
     /*  531019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531029 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531038 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531051 */     GIR_RootConstrainSelectedInstOperands,
     /*  531052 */     // GIR_Coverage, 21545,
     /*  531052 */     GIR_EraseRootFromParent_Done,
     /*  531053 */   // Label 8788: @531053
     /*  531053 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(531124), // Rule ID 21546 //
     /*  531058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  531069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  531072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531090 */     // MIs[0] round
     /*  531090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531109 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531122 */     GIR_RootConstrainSelectedInstOperands,
     /*  531123 */     // GIR_Coverage, 21546,
     /*  531123 */     GIR_EraseRootFromParent_Done,
     /*  531124 */   // Label 8789: @531124
     /*  531124 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(531195), // Rule ID 21549 //
     /*  531129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531161 */     // MIs[0] round
     /*  531161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531180 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531193 */     GIR_RootConstrainSelectedInstOperands,
     /*  531194 */     // GIR_Coverage, 21549,
     /*  531194 */     GIR_EraseRootFromParent_Done,
     /*  531195 */   // Label 8790: @531195
     /*  531195 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(531266), // Rule ID 21550 //
     /*  531200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531232 */     // MIs[0] round
     /*  531232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531251 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531264 */     GIR_RootConstrainSelectedInstOperands,
     /*  531265 */     // GIR_Coverage, 21550,
     /*  531265 */     GIR_EraseRootFromParent_Done,
     /*  531266 */   // Label 8791: @531266
     /*  531266 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(531337), // Rule ID 21553 //
     /*  531271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531303 */     // MIs[0] round
     /*  531303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531313 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531322 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531335 */     GIR_RootConstrainSelectedInstOperands,
     /*  531336 */     // GIR_Coverage, 21553,
     /*  531336 */     GIR_EraseRootFromParent_Done,
     /*  531337 */   // Label 8792: @531337
     /*  531337 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531408), // Rule ID 21554 //
     /*  531342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531374 */     // MIs[0] round
     /*  531374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531384 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531393 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531406 */     GIR_RootConstrainSelectedInstOperands,
     /*  531407 */     // GIR_Coverage, 21554,
     /*  531407 */     GIR_EraseRootFromParent_Done,
     /*  531408 */   // Label 8793: @531408
     /*  531408 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531479), // Rule ID 21557 //
     /*  531413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531445 */     // MIs[0] round
     /*  531445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531455 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531464 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531477 */     GIR_RootConstrainSelectedInstOperands,
     /*  531478 */     // GIR_Coverage, 21557,
     /*  531478 */     GIR_EraseRootFromParent_Done,
     /*  531479 */   // Label 8794: @531479
     /*  531479 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(531550), // Rule ID 21558 //
     /*  531484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531516 */     // MIs[0] round
     /*  531516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531535 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531548 */     GIR_RootConstrainSelectedInstOperands,
     /*  531549 */     // GIR_Coverage, 21558,
     /*  531549 */     GIR_EraseRootFromParent_Done,
     /*  531550 */   // Label 8795: @531550
     /*  531550 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(531621), // Rule ID 21561 //
     /*  531555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531587 */     // MIs[0] round
     /*  531587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531606 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531619 */     GIR_RootConstrainSelectedInstOperands,
     /*  531620 */     // GIR_Coverage, 21561,
     /*  531620 */     GIR_EraseRootFromParent_Done,
     /*  531621 */   // Label 8796: @531621
     /*  531621 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(531692), // Rule ID 21562 //
     /*  531626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  531629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531658 */     // MIs[0] round
     /*  531658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531677 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531690 */     GIR_RootConstrainSelectedInstOperands,
     /*  531691 */     // GIR_Coverage, 21562,
     /*  531691 */     GIR_EraseRootFromParent_Done,
     /*  531692 */   // Label 8797: @531692
     /*  531692 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(531763), // Rule ID 21565 //
     /*  531697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531729 */     // MIs[0] round
     /*  531729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531739 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531748 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531761 */     GIR_RootConstrainSelectedInstOperands,
     /*  531762 */     // GIR_Coverage, 21565,
     /*  531762 */     GIR_EraseRootFromParent_Done,
     /*  531763 */   // Label 8798: @531763
     /*  531763 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(531834), // Rule ID 21566 //
     /*  531768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  531771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531800 */     // MIs[0] round
     /*  531800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531819 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531832 */     GIR_RootConstrainSelectedInstOperands,
     /*  531833 */     // GIR_Coverage, 21566,
     /*  531833 */     GIR_EraseRootFromParent_Done,
     /*  531834 */   // Label 8799: @531834
     /*  531834 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(531905), // Rule ID 21569 //
     /*  531839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531871 */     // MIs[0] round
     /*  531871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531881 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531890 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531903 */     GIR_RootConstrainSelectedInstOperands,
     /*  531904 */     // GIR_Coverage, 21569,
     /*  531904 */     GIR_EraseRootFromParent_Done,
     /*  531905 */   // Label 8800: @531905
     /*  531905 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(531976), // Rule ID 21570 //
     /*  531910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  531913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531942 */     // MIs[0] round
     /*  531942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531961 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531974 */     GIR_RootConstrainSelectedInstOperands,
     /*  531975 */     // GIR_Coverage, 21570,
     /*  531975 */     GIR_EraseRootFromParent_Done,
     /*  531976 */   // Label 8801: @531976
     /*  531976 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(532047), // Rule ID 21573 //
     /*  531981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  531992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  531995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532013 */     // MIs[0] round
     /*  532013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532032 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532045 */     GIR_RootConstrainSelectedInstOperands,
     /*  532046 */     // GIR_Coverage, 21573,
     /*  532046 */     GIR_EraseRootFromParent_Done,
     /*  532047 */   // Label 8802: @532047
     /*  532047 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(532118), // Rule ID 21574 //
     /*  532052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532084 */     // MIs[0] round
     /*  532084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532103 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532116 */     GIR_RootConstrainSelectedInstOperands,
     /*  532117 */     // GIR_Coverage, 21574,
     /*  532117 */     GIR_EraseRootFromParent_Done,
     /*  532118 */   // Label 8803: @532118
     /*  532118 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(532189), // Rule ID 21577 //
     /*  532123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532155 */     // MIs[0] round
     /*  532155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532174 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532187 */     GIR_RootConstrainSelectedInstOperands,
     /*  532188 */     // GIR_Coverage, 21577,
     /*  532188 */     GIR_EraseRootFromParent_Done,
     /*  532189 */   // Label 8804: @532189
     /*  532189 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(532260), // Rule ID 21578 //
     /*  532194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532226 */     // MIs[0] round
     /*  532226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532245 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532258 */     GIR_RootConstrainSelectedInstOperands,
     /*  532259 */     // GIR_Coverage, 21578,
     /*  532259 */     GIR_EraseRootFromParent_Done,
     /*  532260 */   // Label 8805: @532260
     /*  532260 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(532331), // Rule ID 21581 //
     /*  532265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532297 */     // MIs[0] round
     /*  532297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532316 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532329 */     GIR_RootConstrainSelectedInstOperands,
     /*  532330 */     // GIR_Coverage, 21581,
     /*  532330 */     GIR_EraseRootFromParent_Done,
     /*  532331 */   // Label 8806: @532331
     /*  532331 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532402), // Rule ID 21582 //
     /*  532336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532368 */     // MIs[0] round
     /*  532368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532387 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532400 */     GIR_RootConstrainSelectedInstOperands,
     /*  532401 */     // GIR_Coverage, 21582,
     /*  532401 */     GIR_EraseRootFromParent_Done,
     /*  532402 */   // Label 8807: @532402
     /*  532402 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532473), // Rule ID 21585 //
     /*  532407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532439 */     // MIs[0] round
     /*  532439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532458 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532471 */     GIR_RootConstrainSelectedInstOperands,
     /*  532472 */     // GIR_Coverage, 21585,
     /*  532472 */     GIR_EraseRootFromParent_Done,
     /*  532473 */   // Label 8808: @532473
     /*  532473 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(532544), // Rule ID 21586 //
     /*  532478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532510 */     // MIs[0] round
     /*  532510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532529 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532542 */     GIR_RootConstrainSelectedInstOperands,
     /*  532543 */     // GIR_Coverage, 21586,
     /*  532543 */     GIR_EraseRootFromParent_Done,
     /*  532544 */   // Label 8809: @532544
     /*  532544 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(532615), // Rule ID 21589 //
     /*  532549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532581 */     // MIs[0] round
     /*  532581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532600 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532613 */     GIR_RootConstrainSelectedInstOperands,
     /*  532614 */     // GIR_Coverage, 21589,
     /*  532614 */     GIR_EraseRootFromParent_Done,
     /*  532615 */   // Label 8810: @532615
     /*  532615 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(532686), // Rule ID 21590 //
     /*  532620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532652 */     // MIs[0] round
     /*  532652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532671 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532684 */     GIR_RootConstrainSelectedInstOperands,
     /*  532685 */     // GIR_Coverage, 21590,
     /*  532685 */     GIR_EraseRootFromParent_Done,
     /*  532686 */   // Label 8811: @532686
     /*  532686 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(532757), // Rule ID 21593 //
     /*  532691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532723 */     // MIs[0] round
     /*  532723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532742 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532755 */     GIR_RootConstrainSelectedInstOperands,
     /*  532756 */     // GIR_Coverage, 21593,
     /*  532756 */     GIR_EraseRootFromParent_Done,
     /*  532757 */   // Label 8812: @532757
     /*  532757 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(532828), // Rule ID 21594 //
     /*  532762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532794 */     // MIs[0] round
     /*  532794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532813 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532826 */     GIR_RootConstrainSelectedInstOperands,
     /*  532827 */     // GIR_Coverage, 21594,
     /*  532827 */     GIR_EraseRootFromParent_Done,
     /*  532828 */   // Label 8813: @532828
     /*  532828 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(532899), // Rule ID 21717 //
     /*  532833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532865 */     // MIs[0] round
     /*  532865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532875 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  532878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532884 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532897 */     GIR_RootConstrainSelectedInstOperands,
     /*  532898 */     // GIR_Coverage, 21717,
     /*  532898 */     GIR_EraseRootFromParent_Done,
     /*  532899 */   // Label 8814: @532899
     /*  532899 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(532970), // Rule ID 21718 //
     /*  532904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532936 */     // MIs[0] round
     /*  532936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532946 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  532949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532955 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532968 */     GIR_RootConstrainSelectedInstOperands,
     /*  532969 */     // GIR_Coverage, 21718,
     /*  532969 */     GIR_EraseRootFromParent_Done,
     /*  532970 */   // Label 8815: @532970
     /*  532970 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(533041), // Rule ID 21721 //
     /*  532975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533007 */     // MIs[0] round
     /*  533007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533017 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  533020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533026 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533039 */     GIR_RootConstrainSelectedInstOperands,
     /*  533040 */     // GIR_Coverage, 21721,
     /*  533040 */     GIR_EraseRootFromParent_Done,
     /*  533041 */   // Label 8816: @533041
     /*  533041 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(533112), // Rule ID 21722 //
     /*  533046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533078 */     // MIs[0] round
     /*  533078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533088 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  533091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533097 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533110 */     GIR_RootConstrainSelectedInstOperands,
     /*  533111 */     // GIR_Coverage, 21722,
     /*  533111 */     GIR_EraseRootFromParent_Done,
     /*  533112 */   // Label 8817: @533112
     /*  533112 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(533183), // Rule ID 21725 //
     /*  533117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533149 */     // MIs[0] round
     /*  533149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533159 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533168 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533181 */     GIR_RootConstrainSelectedInstOperands,
     /*  533182 */     // GIR_Coverage, 21725,
     /*  533182 */     GIR_EraseRootFromParent_Done,
     /*  533183 */   // Label 8818: @533183
     /*  533183 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(533254), // Rule ID 21726 //
     /*  533188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533220 */     // MIs[0] round
     /*  533220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533230 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533239 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533252 */     GIR_RootConstrainSelectedInstOperands,
     /*  533253 */     // GIR_Coverage, 21726,
     /*  533253 */     GIR_EraseRootFromParent_Done,
     /*  533254 */   // Label 8819: @533254
     /*  533254 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(533325), // Rule ID 21729 //
     /*  533259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533291 */     // MIs[0] round
     /*  533291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533301 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533310 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533323 */     GIR_RootConstrainSelectedInstOperands,
     /*  533324 */     // GIR_Coverage, 21729,
     /*  533324 */     GIR_EraseRootFromParent_Done,
     /*  533325 */   // Label 8820: @533325
     /*  533325 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533396), // Rule ID 21730 //
     /*  533330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533362 */     // MIs[0] round
     /*  533362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533372 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533381 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533394 */     GIR_RootConstrainSelectedInstOperands,
     /*  533395 */     // GIR_Coverage, 21730,
     /*  533395 */     GIR_EraseRootFromParent_Done,
     /*  533396 */   // Label 8821: @533396
     /*  533396 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533467), // Rule ID 21733 //
     /*  533401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533433 */     // MIs[0] round
     /*  533433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533443 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533452 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533465 */     GIR_RootConstrainSelectedInstOperands,
     /*  533466 */     // GIR_Coverage, 21733,
     /*  533466 */     GIR_EraseRootFromParent_Done,
     /*  533467 */   // Label 8822: @533467
     /*  533467 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(533538), // Rule ID 21734 //
     /*  533472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533504 */     // MIs[0] round
     /*  533504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533514 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533523 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533536 */     GIR_RootConstrainSelectedInstOperands,
     /*  533537 */     // GIR_Coverage, 21734,
     /*  533537 */     GIR_EraseRootFromParent_Done,
     /*  533538 */   // Label 8823: @533538
     /*  533538 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(533609), // Rule ID 21737 //
     /*  533543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533575 */     // MIs[0] round
     /*  533575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533585 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  533588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533594 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533607 */     GIR_RootConstrainSelectedInstOperands,
     /*  533608 */     // GIR_Coverage, 21737,
     /*  533608 */     GIR_EraseRootFromParent_Done,
     /*  533609 */   // Label 8824: @533609
     /*  533609 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(533680), // Rule ID 21738 //
     /*  533614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533646 */     // MIs[0] round
     /*  533646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  533659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533665 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533678 */     GIR_RootConstrainSelectedInstOperands,
     /*  533679 */     // GIR_Coverage, 21738,
     /*  533679 */     GIR_EraseRootFromParent_Done,
     /*  533680 */   // Label 8825: @533680
     /*  533680 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(533751), // Rule ID 21741 //
     /*  533685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533717 */     // MIs[0] round
     /*  533717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  533730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533736 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533749 */     GIR_RootConstrainSelectedInstOperands,
     /*  533750 */     // GIR_Coverage, 21741,
     /*  533750 */     GIR_EraseRootFromParent_Done,
     /*  533751 */   // Label 8826: @533751
     /*  533751 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(533822), // Rule ID 21742 //
     /*  533756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533788 */     // MIs[0] round
     /*  533788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  533801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533807 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533820 */     GIR_RootConstrainSelectedInstOperands,
     /*  533821 */     // GIR_Coverage, 21742,
     /*  533821 */     GIR_EraseRootFromParent_Done,
     /*  533822 */   // Label 8827: @533822
     /*  533822 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533893), // Rule ID 21745 //
     /*  533827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533859 */     // MIs[0] round
     /*  533859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533869 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  533872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533878 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533891 */     GIR_RootConstrainSelectedInstOperands,
     /*  533892 */     // GIR_Coverage, 21745,
     /*  533892 */     GIR_EraseRootFromParent_Done,
     /*  533893 */   // Label 8828: @533893
     /*  533893 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(533964), // Rule ID 21746 //
     /*  533898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533930 */     // MIs[0] round
     /*  533930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533940 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  533943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533949 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533962 */     GIR_RootConstrainSelectedInstOperands,
     /*  533963 */     // GIR_Coverage, 21746,
     /*  533963 */     GIR_EraseRootFromParent_Done,
     /*  533964 */   // Label 8829: @533964
     /*  533964 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(534035), // Rule ID 21749 //
     /*  533969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534001 */     // MIs[0] round
     /*  534001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534011 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  534014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534020 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534033 */     GIR_RootConstrainSelectedInstOperands,
     /*  534034 */     // GIR_Coverage, 21749,
     /*  534034 */     GIR_EraseRootFromParent_Done,
     /*  534035 */   // Label 8830: @534035
     /*  534035 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(534106), // Rule ID 21750 //
     /*  534040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534072 */     // MIs[0] round
     /*  534072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  534085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534091 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534104 */     GIR_RootConstrainSelectedInstOperands,
     /*  534105 */     // GIR_Coverage, 21750,
     /*  534105 */     GIR_EraseRootFromParent_Done,
     /*  534106 */   // Label 8831: @534106
     /*  534106 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(534177), // Rule ID 21753 //
     /*  534111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534143 */     // MIs[0] round
     /*  534143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534153 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534162 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534175 */     GIR_RootConstrainSelectedInstOperands,
     /*  534176 */     // GIR_Coverage, 21753,
     /*  534176 */     GIR_EraseRootFromParent_Done,
     /*  534177 */   // Label 8832: @534177
     /*  534177 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(534248), // Rule ID 21754 //
     /*  534182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534214 */     // MIs[0] round
     /*  534214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534224 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534233 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534246 */     GIR_RootConstrainSelectedInstOperands,
     /*  534247 */     // GIR_Coverage, 21754,
     /*  534247 */     GIR_EraseRootFromParent_Done,
     /*  534248 */   // Label 8833: @534248
     /*  534248 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(534319), // Rule ID 21757 //
     /*  534253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534285 */     // MIs[0] round
     /*  534285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534295 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534304 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534317 */     GIR_RootConstrainSelectedInstOperands,
     /*  534318 */     // GIR_Coverage, 21757,
     /*  534318 */     GIR_EraseRootFromParent_Done,
     /*  534319 */   // Label 8834: @534319
     /*  534319 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534390), // Rule ID 21758 //
     /*  534324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534356 */     // MIs[0] round
     /*  534356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534366 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534375 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534388 */     GIR_RootConstrainSelectedInstOperands,
     /*  534389 */     // GIR_Coverage, 21758,
     /*  534389 */     GIR_EraseRootFromParent_Done,
     /*  534390 */   // Label 8835: @534390
     /*  534390 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534461), // Rule ID 21761 //
     /*  534395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534427 */     // MIs[0] round
     /*  534427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534437 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534446 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534459 */     GIR_RootConstrainSelectedInstOperands,
     /*  534460 */     // GIR_Coverage, 21761,
     /*  534460 */     GIR_EraseRootFromParent_Done,
     /*  534461 */   // Label 8836: @534461
     /*  534461 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534532), // Rule ID 21762 //
     /*  534466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534498 */     // MIs[0] round
     /*  534498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534517 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534530 */     GIR_RootConstrainSelectedInstOperands,
     /*  534531 */     // GIR_Coverage, 21762,
     /*  534531 */     GIR_EraseRootFromParent_Done,
     /*  534532 */   // Label 8837: @534532
     /*  534532 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(534603), // Rule ID 21765 //
     /*  534537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534569 */     // MIs[0] round
     /*  534569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534579 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  534582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534588 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534601 */     GIR_RootConstrainSelectedInstOperands,
     /*  534602 */     // GIR_Coverage, 21765,
     /*  534602 */     GIR_EraseRootFromParent_Done,
     /*  534603 */   // Label 8838: @534603
     /*  534603 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(534674), // Rule ID 21766 //
     /*  534608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534640 */     // MIs[0] round
     /*  534640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534650 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  534653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534659 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534672 */     GIR_RootConstrainSelectedInstOperands,
     /*  534673 */     // GIR_Coverage, 21766,
     /*  534673 */     GIR_EraseRootFromParent_Done,
     /*  534674 */   // Label 8839: @534674
     /*  534674 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(534745), // Rule ID 21769 //
     /*  534679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534711 */     // MIs[0] round
     /*  534711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534721 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  534724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534730 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534743 */     GIR_RootConstrainSelectedInstOperands,
     /*  534744 */     // GIR_Coverage, 21769,
     /*  534744 */     GIR_EraseRootFromParent_Done,
     /*  534745 */   // Label 8840: @534745
     /*  534745 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(534816), // Rule ID 21770 //
     /*  534750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534782 */     // MIs[0] round
     /*  534782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534792 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  534795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534801 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534814 */     GIR_RootConstrainSelectedInstOperands,
     /*  534815 */     // GIR_Coverage, 21770,
     /*  534815 */     GIR_EraseRootFromParent_Done,
     /*  534816 */   // Label 8841: @534816
     /*  534816 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534887), // Rule ID 21773 //
     /*  534821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534853 */     // MIs[0] round
     /*  534853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534863 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  534866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534872 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534885 */     GIR_RootConstrainSelectedInstOperands,
     /*  534886 */     // GIR_Coverage, 21773,
     /*  534886 */     GIR_EraseRootFromParent_Done,
     /*  534887 */   // Label 8842: @534887
     /*  534887 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(534958), // Rule ID 21774 //
     /*  534892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534924 */     // MIs[0] round
     /*  534924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534934 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  534937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534943 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534956 */     GIR_RootConstrainSelectedInstOperands,
     /*  534957 */     // GIR_Coverage, 21774,
     /*  534957 */     GIR_EraseRootFromParent_Done,
     /*  534958 */   // Label 8843: @534958
     /*  534958 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(535029), // Rule ID 21777 //
     /*  534963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534995 */     // MIs[0] round
     /*  534995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535005 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  535008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535014 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535027 */     GIR_RootConstrainSelectedInstOperands,
     /*  535028 */     // GIR_Coverage, 21777,
     /*  535028 */     GIR_EraseRootFromParent_Done,
     /*  535029 */   // Label 8844: @535029
     /*  535029 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(535100), // Rule ID 21778 //
     /*  535034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535066 */     // MIs[0] round
     /*  535066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  535079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535085 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535098 */     GIR_RootConstrainSelectedInstOperands,
     /*  535099 */     // GIR_Coverage, 21778,
     /*  535099 */     GIR_EraseRootFromParent_Done,
     /*  535100 */   // Label 8845: @535100
     /*  535100 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(535171), // Rule ID 21781 //
     /*  535105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535137 */     // MIs[0] round
     /*  535137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535156 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535169 */     GIR_RootConstrainSelectedInstOperands,
     /*  535170 */     // GIR_Coverage, 21781,
     /*  535170 */     GIR_EraseRootFromParent_Done,
     /*  535171 */   // Label 8846: @535171
     /*  535171 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(535242), // Rule ID 21782 //
     /*  535176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535208 */     // MIs[0] round
     /*  535208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535218 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535227 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535240 */     GIR_RootConstrainSelectedInstOperands,
     /*  535241 */     // GIR_Coverage, 21782,
     /*  535241 */     GIR_EraseRootFromParent_Done,
     /*  535242 */   // Label 8847: @535242
     /*  535242 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(535313), // Rule ID 21785 //
     /*  535247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535279 */     // MIs[0] round
     /*  535279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535289 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535298 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535311 */     GIR_RootConstrainSelectedInstOperands,
     /*  535312 */     // GIR_Coverage, 21785,
     /*  535312 */     GIR_EraseRootFromParent_Done,
     /*  535313 */   // Label 8848: @535313
     /*  535313 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(535384), // Rule ID 21786 //
     /*  535318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535350 */     // MIs[0] round
     /*  535350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535360 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535369 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535382 */     GIR_RootConstrainSelectedInstOperands,
     /*  535383 */     // GIR_Coverage, 21786,
     /*  535383 */     GIR_EraseRootFromParent_Done,
     /*  535384 */   // Label 8849: @535384
     /*  535384 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535455), // Rule ID 21789 //
     /*  535389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535421 */     // MIs[0] round
     /*  535421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535431 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535440 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535453 */     GIR_RootConstrainSelectedInstOperands,
     /*  535454 */     // GIR_Coverage, 21789,
     /*  535454 */     GIR_EraseRootFromParent_Done,
     /*  535455 */   // Label 8850: @535455
     /*  535455 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535526), // Rule ID 21790 //
     /*  535460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535492 */     // MIs[0] round
     /*  535492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535511 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535524 */     GIR_RootConstrainSelectedInstOperands,
     /*  535525 */     // GIR_Coverage, 21790,
     /*  535525 */     GIR_EraseRootFromParent_Done,
     /*  535526 */   // Label 8851: @535526
     /*  535526 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(535597), // Rule ID 21793 //
     /*  535531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535563 */     // MIs[0] round
     /*  535563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535573 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  535576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535582 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535595 */     GIR_RootConstrainSelectedInstOperands,
     /*  535596 */     // GIR_Coverage, 21793,
     /*  535596 */     GIR_EraseRootFromParent_Done,
     /*  535597 */   // Label 8852: @535597
     /*  535597 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(535668), // Rule ID 21794 //
     /*  535602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535634 */     // MIs[0] round
     /*  535634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535644 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  535647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535653 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535666 */     GIR_RootConstrainSelectedInstOperands,
     /*  535667 */     // GIR_Coverage, 21794,
     /*  535667 */     GIR_EraseRootFromParent_Done,
     /*  535668 */   // Label 8853: @535668
     /*  535668 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(535739), // Rule ID 21797 //
     /*  535673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535705 */     // MIs[0] round
     /*  535705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535715 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  535718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535724 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535737 */     GIR_RootConstrainSelectedInstOperands,
     /*  535738 */     // GIR_Coverage, 21797,
     /*  535738 */     GIR_EraseRootFromParent_Done,
     /*  535739 */   // Label 8854: @535739
     /*  535739 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(535810), // Rule ID 21798 //
     /*  535744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535776 */     // MIs[0] round
     /*  535776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535786 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  535789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535795 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535808 */     GIR_RootConstrainSelectedInstOperands,
     /*  535809 */     // GIR_Coverage, 21798,
     /*  535809 */     GIR_EraseRootFromParent_Done,
     /*  535810 */   // Label 8855: @535810
     /*  535810 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535881), // Rule ID 21801 //
     /*  535815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535847 */     // MIs[0] round
     /*  535847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535857 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  535860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535866 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535879 */     GIR_RootConstrainSelectedInstOperands,
     /*  535880 */     // GIR_Coverage, 21801,
     /*  535880 */     GIR_EraseRootFromParent_Done,
     /*  535881 */   // Label 8856: @535881
     /*  535881 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(535952), // Rule ID 21802 //
     /*  535886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535918 */     // MIs[0] round
     /*  535918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  535931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535937 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535950 */     GIR_RootConstrainSelectedInstOperands,
     /*  535951 */     // GIR_Coverage, 21802,
     /*  535951 */     GIR_EraseRootFromParent_Done,
     /*  535952 */   // Label 8857: @535952
     /*  535952 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(536023), // Rule ID 21805 //
     /*  535957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  535960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  535974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535989 */     // MIs[0] round
     /*  535989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535999 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536008 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536021 */     GIR_RootConstrainSelectedInstOperands,
     /*  536022 */     // GIR_Coverage, 21805,
     /*  536022 */     GIR_EraseRootFromParent_Done,
     /*  536023 */   // Label 8858: @536023
     /*  536023 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(536094), // Rule ID 21806 //
     /*  536028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536060 */     // MIs[0] round
     /*  536060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536070 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536079 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536092 */     GIR_RootConstrainSelectedInstOperands,
     /*  536093 */     // GIR_Coverage, 21806,
     /*  536093 */     GIR_EraseRootFromParent_Done,
     /*  536094 */   // Label 8859: @536094
     /*  536094 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(536165), // Rule ID 21809 //
     /*  536099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536131 */     // MIs[0] round
     /*  536131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536141 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536150 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536163 */     GIR_RootConstrainSelectedInstOperands,
     /*  536164 */     // GIR_Coverage, 21809,
     /*  536164 */     GIR_EraseRootFromParent_Done,
     /*  536165 */   // Label 8860: @536165
     /*  536165 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(536236), // Rule ID 21810 //
     /*  536170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536202 */     // MIs[0] round
     /*  536202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536212 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536221 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536234 */     GIR_RootConstrainSelectedInstOperands,
     /*  536235 */     // GIR_Coverage, 21810,
     /*  536235 */     GIR_EraseRootFromParent_Done,
     /*  536236 */   // Label 8861: @536236
     /*  536236 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(536307), // Rule ID 21813 //
     /*  536241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536273 */     // MIs[0] round
     /*  536273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536283 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536292 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536305 */     GIR_RootConstrainSelectedInstOperands,
     /*  536306 */     // GIR_Coverage, 21813,
     /*  536306 */     GIR_EraseRootFromParent_Done,
     /*  536307 */   // Label 8862: @536307
     /*  536307 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(536378), // Rule ID 21814 //
     /*  536312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536344 */     // MIs[0] round
     /*  536344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536354 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536363 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536376 */     GIR_RootConstrainSelectedInstOperands,
     /*  536377 */     // GIR_Coverage, 21814,
     /*  536377 */     GIR_EraseRootFromParent_Done,
     /*  536378 */   // Label 8863: @536378
     /*  536378 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536449), // Rule ID 21817 //
     /*  536383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536415 */     // MIs[0] round
     /*  536415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536425 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536434 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536447 */     GIR_RootConstrainSelectedInstOperands,
     /*  536448 */     // GIR_Coverage, 21817,
     /*  536448 */     GIR_EraseRootFromParent_Done,
     /*  536449 */   // Label 8864: @536449
     /*  536449 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536520), // Rule ID 21818 //
     /*  536454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536486 */     // MIs[0] round
     /*  536486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536505 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536518 */     GIR_RootConstrainSelectedInstOperands,
     /*  536519 */     // GIR_Coverage, 21818,
     /*  536519 */     GIR_EraseRootFromParent_Done,
     /*  536520 */   // Label 8865: @536520
     /*  536520 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(536591), // Rule ID 21821 //
     /*  536525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536557 */     // MIs[0] round
     /*  536557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536567 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  536570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536576 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536589 */     GIR_RootConstrainSelectedInstOperands,
     /*  536590 */     // GIR_Coverage, 21821,
     /*  536590 */     GIR_EraseRootFromParent_Done,
     /*  536591 */   // Label 8866: @536591
     /*  536591 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(536662), // Rule ID 21822 //
     /*  536596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536628 */     // MIs[0] round
     /*  536628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536638 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  536641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536647 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536660 */     GIR_RootConstrainSelectedInstOperands,
     /*  536661 */     // GIR_Coverage, 21822,
     /*  536661 */     GIR_EraseRootFromParent_Done,
     /*  536662 */   // Label 8867: @536662
     /*  536662 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(536733), // Rule ID 2639 //
     /*  536667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  536684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536695 */     // MIs[0] passthru
     /*  536695 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536711 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  536714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536731 */     GIR_RootConstrainSelectedInstOperands,
     /*  536732 */     // GIR_Coverage, 2639,
     /*  536732 */     GIR_EraseRootFromParent_Done,
     /*  536733 */   // Label 8868: @536733
     /*  536733 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(536804), // Rule ID 2640 //
     /*  536738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  536755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536766 */     // MIs[0] passthru
     /*  536766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  536785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536802 */     GIR_RootConstrainSelectedInstOperands,
     /*  536803 */     // GIR_Coverage, 2640,
     /*  536803 */     GIR_EraseRootFromParent_Done,
     /*  536804 */   // Label 8869: @536804
     /*  536804 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536875), // Rule ID 3947 //
     /*  536809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  536826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536837 */     // MIs[0] passthru
     /*  536837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  536856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536873 */     GIR_RootConstrainSelectedInstOperands,
     /*  536874 */     // GIR_Coverage, 3947,
     /*  536874 */     GIR_EraseRootFromParent_Done,
     /*  536875 */   // Label 8870: @536875
     /*  536875 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(536946), // Rule ID 3948 //
     /*  536880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  536897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536908 */     // MIs[0] passthru
     /*  536908 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  536927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536944 */     GIR_RootConstrainSelectedInstOperands,
     /*  536945 */     // GIR_Coverage, 3948,
     /*  536945 */     GIR_EraseRootFromParent_Done,
     /*  536946 */   // Label 8871: @536946
     /*  536946 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(537017), // Rule ID 3957 //
     /*  536951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  536968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536979 */     // MIs[0] passthru
     /*  536979 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536995 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  536998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537015 */     GIR_RootConstrainSelectedInstOperands,
     /*  537016 */     // GIR_Coverage, 3957,
     /*  537016 */     GIR_EraseRootFromParent_Done,
     /*  537017 */   // Label 8872: @537017
     /*  537017 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(537088), // Rule ID 3958 //
     /*  537022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537050 */     // MIs[0] passthru
     /*  537050 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537086 */     GIR_RootConstrainSelectedInstOperands,
     /*  537087 */     // GIR_Coverage, 3958,
     /*  537087 */     GIR_EraseRootFromParent_Done,
     /*  537088 */   // Label 8873: @537088
     /*  537088 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(537159), // Rule ID 3967 //
     /*  537093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537121 */     // MIs[0] passthru
     /*  537121 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537157 */     GIR_RootConstrainSelectedInstOperands,
     /*  537158 */     // GIR_Coverage, 3967,
     /*  537158 */     GIR_EraseRootFromParent_Done,
     /*  537159 */   // Label 8874: @537159
     /*  537159 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(537230), // Rule ID 3968 //
     /*  537164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537192 */     // MIs[0] passthru
     /*  537192 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537228 */     GIR_RootConstrainSelectedInstOperands,
     /*  537229 */     // GIR_Coverage, 3968,
     /*  537229 */     GIR_EraseRootFromParent_Done,
     /*  537230 */   // Label 8875: @537230
     /*  537230 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(537301), // Rule ID 3977 //
     /*  537235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537263 */     // MIs[0] passthru
     /*  537263 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537279 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537299 */     GIR_RootConstrainSelectedInstOperands,
     /*  537300 */     // GIR_Coverage, 3977,
     /*  537300 */     GIR_EraseRootFromParent_Done,
     /*  537301 */   // Label 8876: @537301
     /*  537301 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(537372), // Rule ID 3978 //
     /*  537306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537334 */     // MIs[0] passthru
     /*  537334 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537370 */     GIR_RootConstrainSelectedInstOperands,
     /*  537371 */     // GIR_Coverage, 3978,
     /*  537371 */     GIR_EraseRootFromParent_Done,
     /*  537372 */   // Label 8877: @537372
     /*  537372 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537443), // Rule ID 3987 //
     /*  537377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537405 */     // MIs[0] passthru
     /*  537405 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537441 */     GIR_RootConstrainSelectedInstOperands,
     /*  537442 */     // GIR_Coverage, 3987,
     /*  537442 */     GIR_EraseRootFromParent_Done,
     /*  537443 */   // Label 8878: @537443
     /*  537443 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537514), // Rule ID 3988 //
     /*  537448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537476 */     // MIs[0] passthru
     /*  537476 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537512 */     GIR_RootConstrainSelectedInstOperands,
     /*  537513 */     // GIR_Coverage, 3988,
     /*  537513 */     GIR_EraseRootFromParent_Done,
     /*  537514 */   // Label 8879: @537514
     /*  537514 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(537585), // Rule ID 3997 //
     /*  537519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537547 */     // MIs[0] passthru
     /*  537547 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537583 */     GIR_RootConstrainSelectedInstOperands,
     /*  537584 */     // GIR_Coverage, 3997,
     /*  537584 */     GIR_EraseRootFromParent_Done,
     /*  537585 */   // Label 8880: @537585
     /*  537585 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(537656), // Rule ID 3998 //
     /*  537590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537618 */     // MIs[0] passthru
     /*  537618 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537654 */     GIR_RootConstrainSelectedInstOperands,
     /*  537655 */     // GIR_Coverage, 3998,
     /*  537655 */     GIR_EraseRootFromParent_Done,
     /*  537656 */   // Label 8881: @537656
     /*  537656 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(537727), // Rule ID 4007 //
     /*  537661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  537678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537689 */     // MIs[0] passthru
     /*  537689 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537705 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537725 */     GIR_RootConstrainSelectedInstOperands,
     /*  537726 */     // GIR_Coverage, 4007,
     /*  537726 */     GIR_EraseRootFromParent_Done,
     /*  537727 */   // Label 8882: @537727
     /*  537727 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(537798), // Rule ID 4008 //
     /*  537732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  537749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537760 */     // MIs[0] passthru
     /*  537760 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537796 */     GIR_RootConstrainSelectedInstOperands,
     /*  537797 */     // GIR_Coverage, 4008,
     /*  537797 */     GIR_EraseRootFromParent_Done,
     /*  537798 */   // Label 8883: @537798
     /*  537798 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537869), // Rule ID 4017 //
     /*  537803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  537820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537831 */     // MIs[0] passthru
     /*  537831 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537867 */     GIR_RootConstrainSelectedInstOperands,
     /*  537868 */     // GIR_Coverage, 4017,
     /*  537868 */     GIR_EraseRootFromParent_Done,
     /*  537869 */   // Label 8884: @537869
     /*  537869 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(537940), // Rule ID 4018 //
     /*  537874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  537891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537902 */     // MIs[0] passthru
     /*  537902 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537938 */     GIR_RootConstrainSelectedInstOperands,
     /*  537939 */     // GIR_Coverage, 4018,
     /*  537939 */     GIR_EraseRootFromParent_Done,
     /*  537940 */   // Label 8885: @537940
     /*  537940 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(538011), // Rule ID 4027 //
     /*  537945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  537962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537973 */     // MIs[0] passthru
     /*  537973 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538009 */     GIR_RootConstrainSelectedInstOperands,
     /*  538010 */     // GIR_Coverage, 4027,
     /*  538010 */     GIR_EraseRootFromParent_Done,
     /*  538011 */   // Label 8886: @538011
     /*  538011 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(538082), // Rule ID 4028 //
     /*  538016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538044 */     // MIs[0] passthru
     /*  538044 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538080 */     GIR_RootConstrainSelectedInstOperands,
     /*  538081 */     // GIR_Coverage, 4028,
     /*  538081 */     GIR_EraseRootFromParent_Done,
     /*  538082 */   // Label 8887: @538082
     /*  538082 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(538153), // Rule ID 4037 //
     /*  538087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538115 */     // MIs[0] passthru
     /*  538115 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538151 */     GIR_RootConstrainSelectedInstOperands,
     /*  538152 */     // GIR_Coverage, 4037,
     /*  538152 */     GIR_EraseRootFromParent_Done,
     /*  538153 */   // Label 8888: @538153
     /*  538153 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(538224), // Rule ID 4038 //
     /*  538158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538186 */     // MIs[0] passthru
     /*  538186 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538222 */     GIR_RootConstrainSelectedInstOperands,
     /*  538223 */     // GIR_Coverage, 4038,
     /*  538223 */     GIR_EraseRootFromParent_Done,
     /*  538224 */   // Label 8889: @538224
     /*  538224 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(538295), // Rule ID 4047 //
     /*  538229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538257 */     // MIs[0] passthru
     /*  538257 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538293 */     GIR_RootConstrainSelectedInstOperands,
     /*  538294 */     // GIR_Coverage, 4047,
     /*  538294 */     GIR_EraseRootFromParent_Done,
     /*  538295 */   // Label 8890: @538295
     /*  538295 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(538366), // Rule ID 4048 //
     /*  538300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538328 */     // MIs[0] passthru
     /*  538328 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538364 */     GIR_RootConstrainSelectedInstOperands,
     /*  538365 */     // GIR_Coverage, 4048,
     /*  538365 */     GIR_EraseRootFromParent_Done,
     /*  538366 */   // Label 8891: @538366
     /*  538366 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538437), // Rule ID 4057 //
     /*  538371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538399 */     // MIs[0] passthru
     /*  538399 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538415 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538435 */     GIR_RootConstrainSelectedInstOperands,
     /*  538436 */     // GIR_Coverage, 4057,
     /*  538436 */     GIR_EraseRootFromParent_Done,
     /*  538437 */   // Label 8892: @538437
     /*  538437 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538508), // Rule ID 4058 //
     /*  538442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538470 */     // MIs[0] passthru
     /*  538470 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538506 */     GIR_RootConstrainSelectedInstOperands,
     /*  538507 */     // GIR_Coverage, 4058,
     /*  538507 */     GIR_EraseRootFromParent_Done,
     /*  538508 */   // Label 8893: @538508
     /*  538508 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(538579), // Rule ID 4067 //
     /*  538513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538541 */     // MIs[0] passthru
     /*  538541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538557 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538577 */     GIR_RootConstrainSelectedInstOperands,
     /*  538578 */     // GIR_Coverage, 4067,
     /*  538578 */     GIR_EraseRootFromParent_Done,
     /*  538579 */   // Label 8894: @538579
     /*  538579 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(538650), // Rule ID 4068 //
     /*  538584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538612 */     // MIs[0] passthru
     /*  538612 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538648 */     GIR_RootConstrainSelectedInstOperands,
     /*  538649 */     // GIR_Coverage, 4068,
     /*  538649 */     GIR_EraseRootFromParent_Done,
     /*  538650 */   // Label 8895: @538650
     /*  538650 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(538721), // Rule ID 4077 //
     /*  538655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  538666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  538669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  538672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538683 */     // MIs[0] passthru
     /*  538683 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538699 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538719 */     GIR_RootConstrainSelectedInstOperands,
     /*  538720 */     // GIR_Coverage, 4077,
     /*  538720 */     GIR_EraseRootFromParent_Done,
     /*  538721 */   // Label 8896: @538721
     /*  538721 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(538792), // Rule ID 4078 //
     /*  538726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  538737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  538740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  538743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538754 */     // MIs[0] passthru
     /*  538754 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538790 */     GIR_RootConstrainSelectedInstOperands,
     /*  538791 */     // GIR_Coverage, 4078,
     /*  538791 */     GIR_EraseRootFromParent_Done,
     /*  538792 */   // Label 8897: @538792
     /*  538792 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538863), // Rule ID 4147 //
     /*  538797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  538814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538825 */     // MIs[0] passthru
     /*  538825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538841 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  538844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538861 */     GIR_RootConstrainSelectedInstOperands,
     /*  538862 */     // GIR_Coverage, 4147,
     /*  538862 */     GIR_EraseRootFromParent_Done,
     /*  538863 */   // Label 8898: @538863
     /*  538863 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(538934), // Rule ID 4148 //
     /*  538868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  538885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538896 */     // MIs[0] passthru
     /*  538896 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  538915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538932 */     GIR_RootConstrainSelectedInstOperands,
     /*  538933 */     // GIR_Coverage, 4148,
     /*  538933 */     GIR_EraseRootFromParent_Done,
     /*  538934 */   // Label 8899: @538934
     /*  538934 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(539005), // Rule ID 4157 //
     /*  538939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  538950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  538953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  538956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538967 */     // MIs[0] passthru
     /*  538967 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  538986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539003 */     GIR_RootConstrainSelectedInstOperands,
     /*  539004 */     // GIR_Coverage, 4157,
     /*  539004 */     GIR_EraseRootFromParent_Done,
     /*  539005 */   // Label 8900: @539005
     /*  539005 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(539076), // Rule ID 4158 //
     /*  539010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539038 */     // MIs[0] passthru
     /*  539038 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539074 */     GIR_RootConstrainSelectedInstOperands,
     /*  539075 */     // GIR_Coverage, 4158,
     /*  539075 */     GIR_EraseRootFromParent_Done,
     /*  539076 */   // Label 8901: @539076
     /*  539076 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(539147), // Rule ID 4167 //
     /*  539081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539109 */     // MIs[0] passthru
     /*  539109 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539145 */     GIR_RootConstrainSelectedInstOperands,
     /*  539146 */     // GIR_Coverage, 4167,
     /*  539146 */     GIR_EraseRootFromParent_Done,
     /*  539147 */   // Label 8902: @539147
     /*  539147 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(539218), // Rule ID 4168 //
     /*  539152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539180 */     // MIs[0] passthru
     /*  539180 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539216 */     GIR_RootConstrainSelectedInstOperands,
     /*  539217 */     // GIR_Coverage, 4168,
     /*  539217 */     GIR_EraseRootFromParent_Done,
     /*  539218 */   // Label 8903: @539218
     /*  539218 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(539289), // Rule ID 4177 //
     /*  539223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539251 */     // MIs[0] passthru
     /*  539251 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539287 */     GIR_RootConstrainSelectedInstOperands,
     /*  539288 */     // GIR_Coverage, 4177,
     /*  539288 */     GIR_EraseRootFromParent_Done,
     /*  539289 */   // Label 8904: @539289
     /*  539289 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(539360), // Rule ID 4178 //
     /*  539294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539322 */     // MIs[0] passthru
     /*  539322 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539338 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539358 */     GIR_RootConstrainSelectedInstOperands,
     /*  539359 */     // GIR_Coverage, 4178,
     /*  539359 */     GIR_EraseRootFromParent_Done,
     /*  539360 */   // Label 8905: @539360
     /*  539360 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539431), // Rule ID 4187 //
     /*  539365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539393 */     // MIs[0] passthru
     /*  539393 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539429 */     GIR_RootConstrainSelectedInstOperands,
     /*  539430 */     // GIR_Coverage, 4187,
     /*  539430 */     GIR_EraseRootFromParent_Done,
     /*  539431 */   // Label 8906: @539431
     /*  539431 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539502), // Rule ID 4188 //
     /*  539436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539464 */     // MIs[0] passthru
     /*  539464 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539500 */     GIR_RootConstrainSelectedInstOperands,
     /*  539501 */     // GIR_Coverage, 4188,
     /*  539501 */     GIR_EraseRootFromParent_Done,
     /*  539502 */   // Label 8907: @539502
     /*  539502 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(539573), // Rule ID 4197 //
     /*  539507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539535 */     // MIs[0] passthru
     /*  539535 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539551 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539571 */     GIR_RootConstrainSelectedInstOperands,
     /*  539572 */     // GIR_Coverage, 4197,
     /*  539572 */     GIR_EraseRootFromParent_Done,
     /*  539573 */   // Label 8908: @539573
     /*  539573 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(539644), // Rule ID 4198 //
     /*  539578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539606 */     // MIs[0] passthru
     /*  539606 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539642 */     GIR_RootConstrainSelectedInstOperands,
     /*  539643 */     // GIR_Coverage, 4198,
     /*  539643 */     GIR_EraseRootFromParent_Done,
     /*  539644 */   // Label 8909: @539644
     /*  539644 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(539715), // Rule ID 4207 //
     /*  539649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  539666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539677 */     // MIs[0] passthru
     /*  539677 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539693 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539713 */     GIR_RootConstrainSelectedInstOperands,
     /*  539714 */     // GIR_Coverage, 4207,
     /*  539714 */     GIR_EraseRootFromParent_Done,
     /*  539715 */   // Label 8910: @539715
     /*  539715 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(539786), // Rule ID 4208 //
     /*  539720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  539737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539748 */     // MIs[0] passthru
     /*  539748 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539784 */     GIR_RootConstrainSelectedInstOperands,
     /*  539785 */     // GIR_Coverage, 4208,
     /*  539785 */     GIR_EraseRootFromParent_Done,
     /*  539786 */   // Label 8911: @539786
     /*  539786 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539857), // Rule ID 4217 //
     /*  539791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  539808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539819 */     // MIs[0] passthru
     /*  539819 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539855 */     GIR_RootConstrainSelectedInstOperands,
     /*  539856 */     // GIR_Coverage, 4217,
     /*  539856 */     GIR_EraseRootFromParent_Done,
     /*  539857 */   // Label 8912: @539857
     /*  539857 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(539928), // Rule ID 4218 //
     /*  539862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  539879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539890 */     // MIs[0] passthru
     /*  539890 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539926 */     GIR_RootConstrainSelectedInstOperands,
     /*  539927 */     // GIR_Coverage, 4218,
     /*  539927 */     GIR_EraseRootFromParent_Done,
     /*  539928 */   // Label 8913: @539928
     /*  539928 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(539999), // Rule ID 4227 //
     /*  539933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  539950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539961 */     // MIs[0] passthru
     /*  539961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539997 */     GIR_RootConstrainSelectedInstOperands,
     /*  539998 */     // GIR_Coverage, 4227,
     /*  539998 */     GIR_EraseRootFromParent_Done,
     /*  539999 */   // Label 8914: @539999
     /*  539999 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(540070), // Rule ID 4228 //
     /*  540004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540032 */     // MIs[0] passthru
     /*  540032 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540048 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540068 */     GIR_RootConstrainSelectedInstOperands,
     /*  540069 */     // GIR_Coverage, 4228,
     /*  540069 */     GIR_EraseRootFromParent_Done,
     /*  540070 */   // Label 8915: @540070
     /*  540070 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(540141), // Rule ID 4237 //
     /*  540075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540103 */     // MIs[0] passthru
     /*  540103 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540139 */     GIR_RootConstrainSelectedInstOperands,
     /*  540140 */     // GIR_Coverage, 4237,
     /*  540140 */     GIR_EraseRootFromParent_Done,
     /*  540141 */   // Label 8916: @540141
     /*  540141 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(540212), // Rule ID 4238 //
     /*  540146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540174 */     // MIs[0] passthru
     /*  540174 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540210 */     GIR_RootConstrainSelectedInstOperands,
     /*  540211 */     // GIR_Coverage, 4238,
     /*  540211 */     GIR_EraseRootFromParent_Done,
     /*  540212 */   // Label 8917: @540212
     /*  540212 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(540283), // Rule ID 4247 //
     /*  540217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540245 */     // MIs[0] passthru
     /*  540245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540281 */     GIR_RootConstrainSelectedInstOperands,
     /*  540282 */     // GIR_Coverage, 4247,
     /*  540282 */     GIR_EraseRootFromParent_Done,
     /*  540283 */   // Label 8918: @540283
     /*  540283 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(540354), // Rule ID 4248 //
     /*  540288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540316 */     // MIs[0] passthru
     /*  540316 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540352 */     GIR_RootConstrainSelectedInstOperands,
     /*  540353 */     // GIR_Coverage, 4248,
     /*  540353 */     GIR_EraseRootFromParent_Done,
     /*  540354 */   // Label 8919: @540354
     /*  540354 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540425), // Rule ID 4257 //
     /*  540359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540387 */     // MIs[0] passthru
     /*  540387 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540423 */     GIR_RootConstrainSelectedInstOperands,
     /*  540424 */     // GIR_Coverage, 4257,
     /*  540424 */     GIR_EraseRootFromParent_Done,
     /*  540425 */   // Label 8920: @540425
     /*  540425 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540496), // Rule ID 4258 //
     /*  540430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540458 */     // MIs[0] passthru
     /*  540458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540494 */     GIR_RootConstrainSelectedInstOperands,
     /*  540495 */     // GIR_Coverage, 4258,
     /*  540495 */     GIR_EraseRootFromParent_Done,
     /*  540496 */   // Label 8921: @540496
     /*  540496 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(540567), // Rule ID 4267 //
     /*  540501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540529 */     // MIs[0] passthru
     /*  540529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540545 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540565 */     GIR_RootConstrainSelectedInstOperands,
     /*  540566 */     // GIR_Coverage, 4267,
     /*  540566 */     GIR_EraseRootFromParent_Done,
     /*  540567 */   // Label 8922: @540567
     /*  540567 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(540638), // Rule ID 4268 //
     /*  540572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540600 */     // MIs[0] passthru
     /*  540600 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540636 */     GIR_RootConstrainSelectedInstOperands,
     /*  540637 */     // GIR_Coverage, 4268,
     /*  540637 */     GIR_EraseRootFromParent_Done,
     /*  540638 */   // Label 8923: @540638
     /*  540638 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(540709), // Rule ID 4277 //
     /*  540643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  540654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  540657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  540660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540671 */     // MIs[0] passthru
     /*  540671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540707 */     GIR_RootConstrainSelectedInstOperands,
     /*  540708 */     // GIR_Coverage, 4277,
     /*  540708 */     GIR_EraseRootFromParent_Done,
     /*  540709 */   // Label 8924: @540709
     /*  540709 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(540780), // Rule ID 4278 //
     /*  540714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  540725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  540728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  540731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540742 */     // MIs[0] passthru
     /*  540742 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540758 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540778 */     GIR_RootConstrainSelectedInstOperands,
     /*  540779 */     // GIR_Coverage, 4278,
     /*  540779 */     GIR_EraseRootFromParent_Done,
     /*  540780 */   // Label 8925: @540780
     /*  540780 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540851), // Rule ID 4287 //
     /*  540785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  540796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  540799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  540802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540813 */     // MIs[0] passthru
     /*  540813 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540829 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540849 */     GIR_RootConstrainSelectedInstOperands,
     /*  540850 */     // GIR_Coverage, 4287,
     /*  540850 */     GIR_EraseRootFromParent_Done,
     /*  540851 */   // Label 8926: @540851
     /*  540851 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(540922), // Rule ID 4288 //
     /*  540856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  540867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  540870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  540873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540884 */     // MIs[0] passthru
     /*  540884 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540920 */     GIR_RootConstrainSelectedInstOperands,
     /*  540921 */     // GIR_Coverage, 4288,
     /*  540921 */     GIR_EraseRootFromParent_Done,
     /*  540922 */   // Label 8927: @540922
     /*  540922 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(540993), // Rule ID 4357 //
     /*  540927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  540944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540955 */     // MIs[0] passthru
     /*  540955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540971 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  540974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540991 */     GIR_RootConstrainSelectedInstOperands,
     /*  540992 */     // GIR_Coverage, 4357,
     /*  540992 */     GIR_EraseRootFromParent_Done,
     /*  540993 */   // Label 8928: @540993
     /*  540993 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(541064), // Rule ID 4358 //
     /*  540998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541026 */     // MIs[0] passthru
     /*  541026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  541045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541062 */     GIR_RootConstrainSelectedInstOperands,
     /*  541063 */     // GIR_Coverage, 4358,
     /*  541063 */     GIR_EraseRootFromParent_Done,
     /*  541064 */   // Label 8929: @541064
     /*  541064 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(541135), // Rule ID 4367 //
     /*  541069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541097 */     // MIs[0] passthru
     /*  541097 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541133 */     GIR_RootConstrainSelectedInstOperands,
     /*  541134 */     // GIR_Coverage, 4367,
     /*  541134 */     GIR_EraseRootFromParent_Done,
     /*  541135 */   // Label 8930: @541135
     /*  541135 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(541206), // Rule ID 4368 //
     /*  541140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541168 */     // MIs[0] passthru
     /*  541168 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541204 */     GIR_RootConstrainSelectedInstOperands,
     /*  541205 */     // GIR_Coverage, 4368,
     /*  541205 */     GIR_EraseRootFromParent_Done,
     /*  541206 */   // Label 8931: @541206
     /*  541206 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(541277), // Rule ID 4377 //
     /*  541211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541239 */     // MIs[0] passthru
     /*  541239 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541275 */     GIR_RootConstrainSelectedInstOperands,
     /*  541276 */     // GIR_Coverage, 4377,
     /*  541276 */     GIR_EraseRootFromParent_Done,
     /*  541277 */   // Label 8932: @541277
     /*  541277 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(541348), // Rule ID 4378 //
     /*  541282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541310 */     // MIs[0] passthru
     /*  541310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541346 */     GIR_RootConstrainSelectedInstOperands,
     /*  541347 */     // GIR_Coverage, 4378,
     /*  541347 */     GIR_EraseRootFromParent_Done,
     /*  541348 */   // Label 8933: @541348
     /*  541348 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541419), // Rule ID 4387 //
     /*  541353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541381 */     // MIs[0] passthru
     /*  541381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541417 */     GIR_RootConstrainSelectedInstOperands,
     /*  541418 */     // GIR_Coverage, 4387,
     /*  541418 */     GIR_EraseRootFromParent_Done,
     /*  541419 */   // Label 8934: @541419
     /*  541419 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541490), // Rule ID 4388 //
     /*  541424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541452 */     // MIs[0] passthru
     /*  541452 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541488 */     GIR_RootConstrainSelectedInstOperands,
     /*  541489 */     // GIR_Coverage, 4388,
     /*  541489 */     GIR_EraseRootFromParent_Done,
     /*  541490 */   // Label 8935: @541490
     /*  541490 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(541561), // Rule ID 4397 //
     /*  541495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541523 */     // MIs[0] passthru
     /*  541523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541559 */     GIR_RootConstrainSelectedInstOperands,
     /*  541560 */     // GIR_Coverage, 4397,
     /*  541560 */     GIR_EraseRootFromParent_Done,
     /*  541561 */   // Label 8936: @541561
     /*  541561 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(541632), // Rule ID 4398 //
     /*  541566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541594 */     // MIs[0] passthru
     /*  541594 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541630 */     GIR_RootConstrainSelectedInstOperands,
     /*  541631 */     // GIR_Coverage, 4398,
     /*  541631 */     GIR_EraseRootFromParent_Done,
     /*  541632 */   // Label 8937: @541632
     /*  541632 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(541703), // Rule ID 4407 //
     /*  541637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  541648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  541651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  541654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541665 */     // MIs[0] passthru
     /*  541665 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541681 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541701 */     GIR_RootConstrainSelectedInstOperands,
     /*  541702 */     // GIR_Coverage, 4407,
     /*  541702 */     GIR_EraseRootFromParent_Done,
     /*  541703 */   // Label 8938: @541703
     /*  541703 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541774), // Rule ID 4408 //
     /*  541708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  541719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  541722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  541725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541736 */     // MIs[0] passthru
     /*  541736 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541772 */     GIR_RootConstrainSelectedInstOperands,
     /*  541773 */     // GIR_Coverage, 4408,
     /*  541773 */     GIR_EraseRootFromParent_Done,
     /*  541774 */   // Label 8939: @541774
     /*  541774 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541845), // Rule ID 4417 //
     /*  541779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  541796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541807 */     // MIs[0] passthru
     /*  541807 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541843 */     GIR_RootConstrainSelectedInstOperands,
     /*  541844 */     // GIR_Coverage, 4417,
     /*  541844 */     GIR_EraseRootFromParent_Done,
     /*  541845 */   // Label 8940: @541845
     /*  541845 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(541916), // Rule ID 4418 //
     /*  541850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  541867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541878 */     // MIs[0] passthru
     /*  541878 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541914 */     GIR_RootConstrainSelectedInstOperands,
     /*  541915 */     // GIR_Coverage, 4418,
     /*  541915 */     GIR_EraseRootFromParent_Done,
     /*  541916 */   // Label 8941: @541916
     /*  541916 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(541987), // Rule ID 4427 //
     /*  541921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  541938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541949 */     // MIs[0] passthru
     /*  541949 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541985 */     GIR_RootConstrainSelectedInstOperands,
     /*  541986 */     // GIR_Coverage, 4427,
     /*  541986 */     GIR_EraseRootFromParent_Done,
     /*  541987 */   // Label 8942: @541987
     /*  541987 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(542058), // Rule ID 4428 //
     /*  541992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542020 */     // MIs[0] passthru
     /*  542020 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542056 */     GIR_RootConstrainSelectedInstOperands,
     /*  542057 */     // GIR_Coverage, 4428,
     /*  542057 */     GIR_EraseRootFromParent_Done,
     /*  542058 */   // Label 8943: @542058
     /*  542058 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(542129), // Rule ID 4437 //
     /*  542063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542091 */     // MIs[0] passthru
     /*  542091 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542127 */     GIR_RootConstrainSelectedInstOperands,
     /*  542128 */     // GIR_Coverage, 4437,
     /*  542128 */     GIR_EraseRootFromParent_Done,
     /*  542129 */   // Label 8944: @542129
     /*  542129 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(542200), // Rule ID 4438 //
     /*  542134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542162 */     // MIs[0] passthru
     /*  542162 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542198 */     GIR_RootConstrainSelectedInstOperands,
     /*  542199 */     // GIR_Coverage, 4438,
     /*  542199 */     GIR_EraseRootFromParent_Done,
     /*  542200 */   // Label 8945: @542200
     /*  542200 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(542271), // Rule ID 4447 //
     /*  542205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542233 */     // MIs[0] passthru
     /*  542233 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542269 */     GIR_RootConstrainSelectedInstOperands,
     /*  542270 */     // GIR_Coverage, 4447,
     /*  542270 */     GIR_EraseRootFromParent_Done,
     /*  542271 */   // Label 8946: @542271
     /*  542271 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(542342), // Rule ID 4448 //
     /*  542276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542304 */     // MIs[0] passthru
     /*  542304 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542340 */     GIR_RootConstrainSelectedInstOperands,
     /*  542341 */     // GIR_Coverage, 4448,
     /*  542341 */     GIR_EraseRootFromParent_Done,
     /*  542342 */   // Label 8947: @542342
     /*  542342 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542413), // Rule ID 4457 //
     /*  542347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542375 */     // MIs[0] passthru
     /*  542375 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542391 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542411 */     GIR_RootConstrainSelectedInstOperands,
     /*  542412 */     // GIR_Coverage, 4457,
     /*  542412 */     GIR_EraseRootFromParent_Done,
     /*  542413 */   // Label 8948: @542413
     /*  542413 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542484), // Rule ID 4458 //
     /*  542418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542446 */     // MIs[0] passthru
     /*  542446 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542482 */     GIR_RootConstrainSelectedInstOperands,
     /*  542483 */     // GIR_Coverage, 4458,
     /*  542483 */     GIR_EraseRootFromParent_Done,
     /*  542484 */   // Label 8949: @542484
     /*  542484 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(542555), // Rule ID 4467 //
     /*  542489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542517 */     // MIs[0] passthru
     /*  542517 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542553 */     GIR_RootConstrainSelectedInstOperands,
     /*  542554 */     // GIR_Coverage, 4467,
     /*  542554 */     GIR_EraseRootFromParent_Done,
     /*  542555 */   // Label 8950: @542555
     /*  542555 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(542626), // Rule ID 4468 //
     /*  542560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542588 */     // MIs[0] passthru
     /*  542588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542624 */     GIR_RootConstrainSelectedInstOperands,
     /*  542625 */     // GIR_Coverage, 4468,
     /*  542625 */     GIR_EraseRootFromParent_Done,
     /*  542626 */   // Label 8951: @542626
     /*  542626 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(542697), // Rule ID 4477 //
     /*  542631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  542648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542659 */     // MIs[0] passthru
     /*  542659 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542695 */     GIR_RootConstrainSelectedInstOperands,
     /*  542696 */     // GIR_Coverage, 4477,
     /*  542696 */     GIR_EraseRootFromParent_Done,
     /*  542697 */   // Label 8952: @542697
     /*  542697 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542768), // Rule ID 4478 //
     /*  542702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  542719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542730 */     // MIs[0] passthru
     /*  542730 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542766 */     GIR_RootConstrainSelectedInstOperands,
     /*  542767 */     // GIR_Coverage, 4478,
     /*  542767 */     GIR_EraseRootFromParent_Done,
     /*  542768 */   // Label 8953: @542768
     /*  542768 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542839), // Rule ID 4487 //
     /*  542773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  542784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  542787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542801 */     // MIs[0] passthru
     /*  542801 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542837 */     GIR_RootConstrainSelectedInstOperands,
     /*  542838 */     // GIR_Coverage, 4487,
     /*  542838 */     GIR_EraseRootFromParent_Done,
     /*  542839 */   // Label 8954: @542839
     /*  542839 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(542910), // Rule ID 4488 //
     /*  542844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  542855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  542858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542872 */     // MIs[0] passthru
     /*  542872 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542888 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542908 */     GIR_RootConstrainSelectedInstOperands,
     /*  542909 */     // GIR_Coverage, 4488,
     /*  542909 */     GIR_EraseRootFromParent_Done,
     /*  542910 */   // Label 8955: @542910
     /*  542910 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(542981), // Rule ID 4497 //
     /*  542915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  542926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  542929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  542932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542943 */     // MIs[0] passthru
     /*  542943 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542959 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542979 */     GIR_RootConstrainSelectedInstOperands,
     /*  542980 */     // GIR_Coverage, 4497,
     /*  542980 */     GIR_EraseRootFromParent_Done,
     /*  542981 */   // Label 8956: @542981
     /*  542981 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(543052), // Rule ID 4498 //
     /*  542986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  542997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543014 */     // MIs[0] passthru
     /*  543014 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  543033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543050 */     GIR_RootConstrainSelectedInstOperands,
     /*  543051 */     // GIR_Coverage, 4498,
     /*  543051 */     GIR_EraseRootFromParent_Done,
     /*  543052 */   // Label 8957: @543052
     /*  543052 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(543123), // Rule ID 4567 //
     /*  543057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543085 */     // MIs[0] passthru
     /*  543085 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543121 */     GIR_RootConstrainSelectedInstOperands,
     /*  543122 */     // GIR_Coverage, 4567,
     /*  543122 */     GIR_EraseRootFromParent_Done,
     /*  543123 */   // Label 8958: @543123
     /*  543123 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(543194), // Rule ID 4568 //
     /*  543128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543156 */     // MIs[0] passthru
     /*  543156 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543192 */     GIR_RootConstrainSelectedInstOperands,
     /*  543193 */     // GIR_Coverage, 4568,
     /*  543193 */     GIR_EraseRootFromParent_Done,
     /*  543194 */   // Label 8959: @543194
     /*  543194 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(543265), // Rule ID 4577 //
     /*  543199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543227 */     // MIs[0] passthru
     /*  543227 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543263 */     GIR_RootConstrainSelectedInstOperands,
     /*  543264 */     // GIR_Coverage, 4577,
     /*  543264 */     GIR_EraseRootFromParent_Done,
     /*  543265 */   // Label 8960: @543265
     /*  543265 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(543336), // Rule ID 4578 //
     /*  543270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543298 */     // MIs[0] passthru
     /*  543298 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543334 */     GIR_RootConstrainSelectedInstOperands,
     /*  543335 */     // GIR_Coverage, 4578,
     /*  543335 */     GIR_EraseRootFromParent_Done,
     /*  543336 */   // Label 8961: @543336
     /*  543336 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543407), // Rule ID 4587 //
     /*  543341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543369 */     // MIs[0] passthru
     /*  543369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543385 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543405 */     GIR_RootConstrainSelectedInstOperands,
     /*  543406 */     // GIR_Coverage, 4587,
     /*  543406 */     GIR_EraseRootFromParent_Done,
     /*  543407 */   // Label 8962: @543407
     /*  543407 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543478), // Rule ID 4588 //
     /*  543412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543440 */     // MIs[0] passthru
     /*  543440 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543476 */     GIR_RootConstrainSelectedInstOperands,
     /*  543477 */     // GIR_Coverage, 4588,
     /*  543477 */     GIR_EraseRootFromParent_Done,
     /*  543478 */   // Label 8963: @543478
     /*  543478 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(543549), // Rule ID 4597 //
     /*  543483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543511 */     // MIs[0] passthru
     /*  543511 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543547 */     GIR_RootConstrainSelectedInstOperands,
     /*  543548 */     // GIR_Coverage, 4597,
     /*  543548 */     GIR_EraseRootFromParent_Done,
     /*  543549 */   // Label 8964: @543549
     /*  543549 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(543620), // Rule ID 4598 //
     /*  543554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543582 */     // MIs[0] passthru
     /*  543582 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543618 */     GIR_RootConstrainSelectedInstOperands,
     /*  543619 */     // GIR_Coverage, 4598,
     /*  543619 */     GIR_EraseRootFromParent_Done,
     /*  543620 */   // Label 8965: @543620
     /*  543620 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543691), // Rule ID 4607 //
     /*  543625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  543636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  543639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  543642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543653 */     // MIs[0] passthru
     /*  543653 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543689 */     GIR_RootConstrainSelectedInstOperands,
     /*  543690 */     // GIR_Coverage, 4607,
     /*  543690 */     GIR_EraseRootFromParent_Done,
     /*  543691 */   // Label 8966: @543691
     /*  543691 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543762), // Rule ID 4608 //
     /*  543696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  543707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  543710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  543713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543724 */     // MIs[0] passthru
     /*  543724 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543760 */     GIR_RootConstrainSelectedInstOperands,
     /*  543761 */     // GIR_Coverage, 4608,
     /*  543761 */     GIR_EraseRootFromParent_Done,
     /*  543762 */   // Label 8967: @543762
     /*  543762 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543833), // Rule ID 4617 //
     /*  543767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  543778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  543781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  543784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543795 */     // MIs[0] passthru
     /*  543795 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543831 */     GIR_RootConstrainSelectedInstOperands,
     /*  543832 */     // GIR_Coverage, 4617,
     /*  543832 */     GIR_EraseRootFromParent_Done,
     /*  543833 */   // Label 8968: @543833
     /*  543833 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(543904), // Rule ID 4618 //
     /*  543838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  543849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  543852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  543855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543866 */     // MIs[0] passthru
     /*  543866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543902 */     GIR_RootConstrainSelectedInstOperands,
     /*  543903 */     // GIR_Coverage, 4618,
     /*  543903 */     GIR_EraseRootFromParent_Done,
     /*  543904 */   // Label 8969: @543904
     /*  543904 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(543975), // Rule ID 4627 //
     /*  543909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  543920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  543923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  543926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543937 */     // MIs[0] passthru
     /*  543937 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543973 */     GIR_RootConstrainSelectedInstOperands,
     /*  543974 */     // GIR_Coverage, 4627,
     /*  543974 */     GIR_EraseRootFromParent_Done,
     /*  543975 */   // Label 8970: @543975
     /*  543975 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(544046), // Rule ID 4628 //
     /*  543980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  543991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  543994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  543997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544008 */     // MIs[0] passthru
     /*  544008 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  544027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544044 */     GIR_RootConstrainSelectedInstOperands,
     /*  544045 */     // GIR_Coverage, 4628,
     /*  544045 */     GIR_EraseRootFromParent_Done,
     /*  544046 */   // Label 8971: @544046
     /*  544046 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(544117), // Rule ID 4637 //
     /*  544051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544079 */     // MIs[0] passthru
     /*  544079 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544115 */     GIR_RootConstrainSelectedInstOperands,
     /*  544116 */     // GIR_Coverage, 4637,
     /*  544116 */     GIR_EraseRootFromParent_Done,
     /*  544117 */   // Label 8972: @544117
     /*  544117 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(544188), // Rule ID 4638 //
     /*  544122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544150 */     // MIs[0] passthru
     /*  544150 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544186 */     GIR_RootConstrainSelectedInstOperands,
     /*  544187 */     // GIR_Coverage, 4638,
     /*  544187 */     GIR_EraseRootFromParent_Done,
     /*  544188 */   // Label 8973: @544188
     /*  544188 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(544259), // Rule ID 4647 //
     /*  544193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544221 */     // MIs[0] passthru
     /*  544221 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544257 */     GIR_RootConstrainSelectedInstOperands,
     /*  544258 */     // GIR_Coverage, 4647,
     /*  544258 */     GIR_EraseRootFromParent_Done,
     /*  544259 */   // Label 8974: @544259
     /*  544259 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(544330), // Rule ID 4648 //
     /*  544264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544292 */     // MIs[0] passthru
     /*  544292 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544328 */     GIR_RootConstrainSelectedInstOperands,
     /*  544329 */     // GIR_Coverage, 4648,
     /*  544329 */     GIR_EraseRootFromParent_Done,
     /*  544330 */   // Label 8975: @544330
     /*  544330 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544401), // Rule ID 4657 //
     /*  544335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544363 */     // MIs[0] passthru
     /*  544363 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544379 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544399 */     GIR_RootConstrainSelectedInstOperands,
     /*  544400 */     // GIR_Coverage, 4657,
     /*  544400 */     GIR_EraseRootFromParent_Done,
     /*  544401 */   // Label 8976: @544401
     /*  544401 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544472), // Rule ID 4658 //
     /*  544406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544434 */     // MIs[0] passthru
     /*  544434 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544470 */     GIR_RootConstrainSelectedInstOperands,
     /*  544471 */     // GIR_Coverage, 4658,
     /*  544471 */     GIR_EraseRootFromParent_Done,
     /*  544472 */   // Label 8977: @544472
     /*  544472 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(544543), // Rule ID 4667 //
     /*  544477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544505 */     // MIs[0] passthru
     /*  544505 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544541 */     GIR_RootConstrainSelectedInstOperands,
     /*  544542 */     // GIR_Coverage, 4667,
     /*  544542 */     GIR_EraseRootFromParent_Done,
     /*  544543 */   // Label 8978: @544543
     /*  544543 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544614), // Rule ID 4668 //
     /*  544548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544576 */     // MIs[0] passthru
     /*  544576 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544612 */     GIR_RootConstrainSelectedInstOperands,
     /*  544613 */     // GIR_Coverage, 4668,
     /*  544613 */     GIR_EraseRootFromParent_Done,
     /*  544614 */   // Label 8979: @544614
     /*  544614 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544685), // Rule ID 4677 //
     /*  544619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544647 */     // MIs[0] passthru
     /*  544647 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544663 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544683 */     GIR_RootConstrainSelectedInstOperands,
     /*  544684 */     // GIR_Coverage, 4677,
     /*  544684 */     GIR_EraseRootFromParent_Done,
     /*  544685 */   // Label 8980: @544685
     /*  544685 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544756), // Rule ID 4678 //
     /*  544690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544718 */     // MIs[0] passthru
     /*  544718 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544754 */     GIR_RootConstrainSelectedInstOperands,
     /*  544755 */     // GIR_Coverage, 4678,
     /*  544755 */     GIR_EraseRootFromParent_Done,
     /*  544756 */   // Label 8981: @544756
     /*  544756 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544827), // Rule ID 4687 //
     /*  544761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  544772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  544775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  544778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544789 */     // MIs[0] passthru
     /*  544789 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544825 */     GIR_RootConstrainSelectedInstOperands,
     /*  544826 */     // GIR_Coverage, 4687,
     /*  544826 */     GIR_EraseRootFromParent_Done,
     /*  544827 */   // Label 8982: @544827
     /*  544827 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(544898), // Rule ID 4688 //
     /*  544832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  544843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  544846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  544849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544860 */     // MIs[0] passthru
     /*  544860 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544896 */     GIR_RootConstrainSelectedInstOperands,
     /*  544897 */     // GIR_Coverage, 4688,
     /*  544897 */     GIR_EraseRootFromParent_Done,
     /*  544898 */   // Label 8983: @544898
     /*  544898 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(544969), // Rule ID 4697 //
     /*  544903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  544914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  544917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  544920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544931 */     // MIs[0] passthru
     /*  544931 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544967 */     GIR_RootConstrainSelectedInstOperands,
     /*  544968 */     // GIR_Coverage, 4697,
     /*  544968 */     GIR_EraseRootFromParent_Done,
     /*  544969 */   // Label 8984: @544969
     /*  544969 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(545040), // Rule ID 4698 //
     /*  544974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  544985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  544988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  544991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545002 */     // MIs[0] passthru
     /*  545002 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  545021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545038 */     GIR_RootConstrainSelectedInstOperands,
     /*  545039 */     // GIR_Coverage, 4698,
     /*  545039 */     GIR_EraseRootFromParent_Done,
     /*  545040 */   // Label 8985: @545040
     /*  545040 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(545111), // Rule ID 4707 //
     /*  545045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545073 */     // MIs[0] passthru
     /*  545073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545109 */     GIR_RootConstrainSelectedInstOperands,
     /*  545110 */     // GIR_Coverage, 4707,
     /*  545110 */     GIR_EraseRootFromParent_Done,
     /*  545111 */   // Label 8986: @545111
     /*  545111 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(545182), // Rule ID 4708 //
     /*  545116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545144 */     // MIs[0] passthru
     /*  545144 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545180 */     GIR_RootConstrainSelectedInstOperands,
     /*  545181 */     // GIR_Coverage, 4708,
     /*  545181 */     GIR_EraseRootFromParent_Done,
     /*  545182 */   // Label 8987: @545182
     /*  545182 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(545254), // Rule ID 2571 //
     /*  545187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545233 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  545233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545252 */     GIR_RootConstrainSelectedInstOperands,
     /*  545253 */     // GIR_Coverage, 2571,
     /*  545253 */     GIR_EraseRootFromParent_Done,
     /*  545254 */   // Label 8988: @545254
     /*  545254 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(545326), // Rule ID 2572 //
     /*  545259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545305 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  545305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545324 */     GIR_RootConstrainSelectedInstOperands,
     /*  545325 */     // GIR_Coverage, 2572,
     /*  545325 */     GIR_EraseRootFromParent_Done,
     /*  545326 */   // Label 8989: @545326
     /*  545326 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545401), // Rule ID 2575 //
     /*  545331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  545334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  545377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545399 */     GIR_RootConstrainSelectedInstOperands,
     /*  545400 */     // GIR_Coverage, 2575,
     /*  545400 */     GIR_EraseRootFromParent_Done,
     /*  545401 */   // Label 8990: @545401
     /*  545401 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(545476), // Rule ID 2576 //
     /*  545406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  545409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  545452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545474 */     GIR_RootConstrainSelectedInstOperands,
     /*  545475 */     // GIR_Coverage, 2576,
     /*  545475 */     GIR_EraseRootFromParent_Done,
     /*  545476 */   // Label 8991: @545476
     /*  545476 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(545551), // Rule ID 2603 //
     /*  545481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545527 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545549 */     GIR_RootConstrainSelectedInstOperands,
     /*  545550 */     // GIR_Coverage, 2603,
     /*  545550 */     GIR_EraseRootFromParent_Done,
     /*  545551 */   // Label 8992: @545551
     /*  545551 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545626), // Rule ID 2604 //
     /*  545556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545624 */     GIR_RootConstrainSelectedInstOperands,
     /*  545625 */     // GIR_Coverage, 2604,
     /*  545625 */     GIR_EraseRootFromParent_Done,
     /*  545626 */   // Label 8993: @545626
     /*  545626 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545698), // Rule ID 2617 //
     /*  545631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  545639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  545677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  545680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  545684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545696 */     GIR_RootConstrainSelectedInstOperands,
     /*  545697 */     // GIR_Coverage, 2617,
     /*  545697 */     GIR_EraseRootFromParent_Done,
     /*  545698 */   // Label 8994: @545698
     /*  545698 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545770), // Rule ID 2618 //
     /*  545703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  545711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545749 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  545749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  545752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  545756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545768 */     GIR_RootConstrainSelectedInstOperands,
     /*  545769 */     // GIR_Coverage, 2618,
     /*  545769 */     GIR_EraseRootFromParent_Done,
     /*  545770 */   // Label 8995: @545770
     /*  545770 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545845), // Rule ID 2637 //
     /*  545775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  545783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  545792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  545824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545843 */     GIR_RootConstrainSelectedInstOperands,
     /*  545844 */     // GIR_Coverage, 2637,
     /*  545844 */     GIR_EraseRootFromParent_Done,
     /*  545845 */   // Label 8996: @545845
     /*  545845 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(545920), // Rule ID 2638 //
     /*  545850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  545858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  545867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  545899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545918 */     GIR_RootConstrainSelectedInstOperands,
     /*  545919 */     // GIR_Coverage, 2638,
     /*  545919 */     GIR_EraseRootFromParent_Done,
     /*  545920 */   // Label 8997: @545920
     /*  545920 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(545995), // Rule ID 2663 //
     /*  545925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  545933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  545936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  545939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  545945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  545974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  545978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545993 */     GIR_RootConstrainSelectedInstOperands,
     /*  545994 */     // GIR_Coverage, 2663,
     /*  545994 */     GIR_EraseRootFromParent_Done,
     /*  545995 */   // Label 8998: @545995
     /*  545995 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(546070), // Rule ID 2664 //
     /*  546000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  546008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546046 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  546049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  546053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546068 */     GIR_RootConstrainSelectedInstOperands,
     /*  546069 */     // GIR_Coverage, 2664,
     /*  546069 */     GIR_EraseRootFromParent_Done,
     /*  546070 */   // Label 8999: @546070
     /*  546070 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(546145), // Rule ID 2675 //
     /*  546075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546121 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546143 */     GIR_RootConstrainSelectedInstOperands,
     /*  546144 */     // GIR_Coverage, 2675,
     /*  546144 */     GIR_EraseRootFromParent_Done,
     /*  546145 */   // Label 9000: @546145
     /*  546145 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(546220), // Rule ID 2676 //
     /*  546150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546218 */     GIR_RootConstrainSelectedInstOperands,
     /*  546219 */     // GIR_Coverage, 2676,
     /*  546219 */     GIR_EraseRootFromParent_Done,
     /*  546220 */   // Label 9001: @546220
     /*  546220 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(546295), // Rule ID 2683 //
     /*  546225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546293 */     GIR_RootConstrainSelectedInstOperands,
     /*  546294 */     // GIR_Coverage, 2683,
     /*  546294 */     GIR_EraseRootFromParent_Done,
     /*  546295 */   // Label 9002: @546295
     /*  546295 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(546370), // Rule ID 2684 //
     /*  546300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546368 */     GIR_RootConstrainSelectedInstOperands,
     /*  546369 */     // GIR_Coverage, 2684,
     /*  546369 */     GIR_EraseRootFromParent_Done,
     /*  546370 */   // Label 9003: @546370
     /*  546370 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(546445), // Rule ID 2691 //
     /*  546375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546443 */     GIR_RootConstrainSelectedInstOperands,
     /*  546444 */     // GIR_Coverage, 2691,
     /*  546444 */     GIR_EraseRootFromParent_Done,
     /*  546445 */   // Label 9004: @546445
     /*  546445 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(546520), // Rule ID 2692 //
     /*  546450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546518 */     GIR_RootConstrainSelectedInstOperands,
     /*  546519 */     // GIR_Coverage, 2692,
     /*  546519 */     GIR_EraseRootFromParent_Done,
     /*  546520 */   // Label 9005: @546520
     /*  546520 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546595), // Rule ID 2699 //
     /*  546525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546593 */     GIR_RootConstrainSelectedInstOperands,
     /*  546594 */     // GIR_Coverage, 2699,
     /*  546594 */     GIR_EraseRootFromParent_Done,
     /*  546595 */   // Label 9006: @546595
     /*  546595 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546670), // Rule ID 2700 //
     /*  546600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546668 */     GIR_RootConstrainSelectedInstOperands,
     /*  546669 */     // GIR_Coverage, 2700,
     /*  546669 */     GIR_EraseRootFromParent_Done,
     /*  546670 */   // Label 9007: @546670
     /*  546670 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546745), // Rule ID 2707 //
     /*  546675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  546692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546743 */     GIR_RootConstrainSelectedInstOperands,
     /*  546744 */     // GIR_Coverage, 2707,
     /*  546744 */     GIR_EraseRootFromParent_Done,
     /*  546745 */   // Label 9008: @546745
     /*  546745 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546820), // Rule ID 2708 //
     /*  546750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  546767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546818 */     GIR_RootConstrainSelectedInstOperands,
     /*  546819 */     // GIR_Coverage, 2708,
     /*  546819 */     GIR_EraseRootFromParent_Done,
     /*  546820 */   // Label 9009: @546820
     /*  546820 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546895), // Rule ID 2715 //
     /*  546825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  546842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  546845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546871 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546893 */     GIR_RootConstrainSelectedInstOperands,
     /*  546894 */     // GIR_Coverage, 2715,
     /*  546894 */     GIR_EraseRootFromParent_Done,
     /*  546895 */   // Label 9010: @546895
     /*  546895 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(546970), // Rule ID 2716 //
     /*  546900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  546917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  546920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546968 */     GIR_RootConstrainSelectedInstOperands,
     /*  546969 */     // GIR_Coverage, 2716,
     /*  546969 */     GIR_EraseRootFromParent_Done,
     /*  546970 */   // Label 9011: @546970
     /*  546970 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(547045), // Rule ID 2723 //
     /*  546975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  546992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547021 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547043 */     GIR_RootConstrainSelectedInstOperands,
     /*  547044 */     // GIR_Coverage, 2723,
     /*  547044 */     GIR_EraseRootFromParent_Done,
     /*  547045 */   // Label 9012: @547045
     /*  547045 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(547120), // Rule ID 2724 //
     /*  547050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547118 */     GIR_RootConstrainSelectedInstOperands,
     /*  547119 */     // GIR_Coverage, 2724,
     /*  547119 */     GIR_EraseRootFromParent_Done,
     /*  547120 */   // Label 9013: @547120
     /*  547120 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(547195), // Rule ID 2731 //
     /*  547125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547193 */     GIR_RootConstrainSelectedInstOperands,
     /*  547194 */     // GIR_Coverage, 2731,
     /*  547194 */     GIR_EraseRootFromParent_Done,
     /*  547195 */   // Label 9014: @547195
     /*  547195 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(547270), // Rule ID 2732 //
     /*  547200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547268 */     GIR_RootConstrainSelectedInstOperands,
     /*  547269 */     // GIR_Coverage, 2732,
     /*  547269 */     GIR_EraseRootFromParent_Done,
     /*  547270 */   // Label 9015: @547270
     /*  547270 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(547345), // Rule ID 2739 //
     /*  547275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547343 */     GIR_RootConstrainSelectedInstOperands,
     /*  547344 */     // GIR_Coverage, 2739,
     /*  547344 */     GIR_EraseRootFromParent_Done,
     /*  547345 */   // Label 9016: @547345
     /*  547345 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(547420), // Rule ID 2740 //
     /*  547350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547418 */     GIR_RootConstrainSelectedInstOperands,
     /*  547419 */     // GIR_Coverage, 2740,
     /*  547419 */     GIR_EraseRootFromParent_Done,
     /*  547420 */   // Label 9017: @547420
     /*  547420 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(547495), // Rule ID 2747 //
     /*  547425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547493 */     GIR_RootConstrainSelectedInstOperands,
     /*  547494 */     // GIR_Coverage, 2747,
     /*  547494 */     GIR_EraseRootFromParent_Done,
     /*  547495 */   // Label 9018: @547495
     /*  547495 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547570), // Rule ID 2748 //
     /*  547500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  547503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  547546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547568 */     GIR_RootConstrainSelectedInstOperands,
     /*  547569 */     // GIR_Coverage, 2748,
     /*  547569 */     GIR_EraseRootFromParent_Done,
     /*  547570 */   // Label 9019: @547570
     /*  547570 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547645), // Rule ID 2755 //
     /*  547575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547643 */     GIR_RootConstrainSelectedInstOperands,
     /*  547644 */     // GIR_Coverage, 2755,
     /*  547644 */     GIR_EraseRootFromParent_Done,
     /*  547645 */   // Label 9020: @547645
     /*  547645 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547720), // Rule ID 2756 //
     /*  547650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547718 */     GIR_RootConstrainSelectedInstOperands,
     /*  547719 */     // GIR_Coverage, 2756,
     /*  547719 */     GIR_EraseRootFromParent_Done,
     /*  547720 */   // Label 9021: @547720
     /*  547720 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547795), // Rule ID 2763 //
     /*  547725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  547736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  547739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  547742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  547745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547793 */     GIR_RootConstrainSelectedInstOperands,
     /*  547794 */     // GIR_Coverage, 2763,
     /*  547794 */     GIR_EraseRootFromParent_Done,
     /*  547795 */   // Label 9022: @547795
     /*  547795 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547870), // Rule ID 2764 //
     /*  547800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  547811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  547814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  547817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  547820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547868 */     GIR_RootConstrainSelectedInstOperands,
     /*  547869 */     // GIR_Coverage, 2764,
     /*  547869 */     GIR_EraseRootFromParent_Done,
     /*  547870 */   // Label 9023: @547870
     /*  547870 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(547945), // Rule ID 2771 //
     /*  547875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  547886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  547889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  547892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  547895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547943 */     GIR_RootConstrainSelectedInstOperands,
     /*  547944 */     // GIR_Coverage, 2771,
     /*  547944 */     GIR_EraseRootFromParent_Done,
     /*  547945 */   // Label 9024: @547945
     /*  547945 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(548020), // Rule ID 2772 //
     /*  547950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  547961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  547964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  547967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  547970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548018 */     GIR_RootConstrainSelectedInstOperands,
     /*  548019 */     // GIR_Coverage, 2772,
     /*  548019 */     GIR_EraseRootFromParent_Done,
     /*  548020 */   // Label 9025: @548020
     /*  548020 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(548095), // Rule ID 2779 //
     /*  548025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548093 */     GIR_RootConstrainSelectedInstOperands,
     /*  548094 */     // GIR_Coverage, 2779,
     /*  548094 */     GIR_EraseRootFromParent_Done,
     /*  548095 */   // Label 9026: @548095
     /*  548095 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(548170), // Rule ID 2780 //
     /*  548100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548168 */     GIR_RootConstrainSelectedInstOperands,
     /*  548169 */     // GIR_Coverage, 2780,
     /*  548169 */     GIR_EraseRootFromParent_Done,
     /*  548170 */   // Label 9027: @548170
     /*  548170 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(548245), // Rule ID 2787 //
     /*  548175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548243 */     GIR_RootConstrainSelectedInstOperands,
     /*  548244 */     // GIR_Coverage, 2787,
     /*  548244 */     GIR_EraseRootFromParent_Done,
     /*  548245 */   // Label 9028: @548245
     /*  548245 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(548320), // Rule ID 2788 //
     /*  548250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548318 */     GIR_RootConstrainSelectedInstOperands,
     /*  548319 */     // GIR_Coverage, 2788,
     /*  548319 */     GIR_EraseRootFromParent_Done,
     /*  548320 */   // Label 9029: @548320
     /*  548320 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(548395), // Rule ID 2795 //
     /*  548325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548393 */     GIR_RootConstrainSelectedInstOperands,
     /*  548394 */     // GIR_Coverage, 2795,
     /*  548394 */     GIR_EraseRootFromParent_Done,
     /*  548395 */   // Label 9030: @548395
     /*  548395 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(548470), // Rule ID 2796 //
     /*  548400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548468 */     GIR_RootConstrainSelectedInstOperands,
     /*  548469 */     // GIR_Coverage, 2796,
     /*  548469 */     GIR_EraseRootFromParent_Done,
     /*  548470 */   // Label 9031: @548470
     /*  548470 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(548545), // Rule ID 2803 //
     /*  548475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548543 */     GIR_RootConstrainSelectedInstOperands,
     /*  548544 */     // GIR_Coverage, 2803,
     /*  548544 */     GIR_EraseRootFromParent_Done,
     /*  548545 */   // Label 9032: @548545
     /*  548545 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548620), // Rule ID 2804 //
     /*  548550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548618 */     GIR_RootConstrainSelectedInstOperands,
     /*  548619 */     // GIR_Coverage, 2804,
     /*  548619 */     GIR_EraseRootFromParent_Done,
     /*  548620 */   // Label 9033: @548620
     /*  548620 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548695), // Rule ID 2811 //
     /*  548625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  548642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548693 */     GIR_RootConstrainSelectedInstOperands,
     /*  548694 */     // GIR_Coverage, 2811,
     /*  548694 */     GIR_EraseRootFromParent_Done,
     /*  548695 */   // Label 9034: @548695
     /*  548695 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548770), // Rule ID 2812 //
     /*  548700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  548717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548768 */     GIR_RootConstrainSelectedInstOperands,
     /*  548769 */     // GIR_Coverage, 2812,
     /*  548769 */     GIR_EraseRootFromParent_Done,
     /*  548770 */   // Label 9035: @548770
     /*  548770 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548845), // Rule ID 2819 //
     /*  548775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  548786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  548789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  548792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  548795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548843 */     GIR_RootConstrainSelectedInstOperands,
     /*  548844 */     // GIR_Coverage, 2819,
     /*  548844 */     GIR_EraseRootFromParent_Done,
     /*  548845 */   // Label 9036: @548845
     /*  548845 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(548920), // Rule ID 2820 //
     /*  548850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  548861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  548864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  548867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  548870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548918 */     GIR_RootConstrainSelectedInstOperands,
     /*  548919 */     // GIR_Coverage, 2820,
     /*  548919 */     GIR_EraseRootFromParent_Done,
     /*  548920 */   // Label 9037: @548920
     /*  548920 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(548995), // Rule ID 2827 //
     /*  548925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  548928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  548936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  548939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  548942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  548945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548993 */     GIR_RootConstrainSelectedInstOperands,
     /*  548994 */     // GIR_Coverage, 2827,
     /*  548994 */     GIR_EraseRootFromParent_Done,
     /*  548995 */   // Label 9038: @548995
     /*  548995 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(549070), // Rule ID 2828 //
     /*  549000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549068 */     GIR_RootConstrainSelectedInstOperands,
     /*  549069 */     // GIR_Coverage, 2828,
     /*  549069 */     GIR_EraseRootFromParent_Done,
     /*  549070 */   // Label 9039: @549070
     /*  549070 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(549145), // Rule ID 2835 //
     /*  549075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549121 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549143 */     GIR_RootConstrainSelectedInstOperands,
     /*  549144 */     // GIR_Coverage, 2835,
     /*  549144 */     GIR_EraseRootFromParent_Done,
     /*  549145 */   // Label 9040: @549145
     /*  549145 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(549220), // Rule ID 2836 //
     /*  549150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549218 */     GIR_RootConstrainSelectedInstOperands,
     /*  549219 */     // GIR_Coverage, 2836,
     /*  549219 */     GIR_EraseRootFromParent_Done,
     /*  549220 */   // Label 9041: @549220
     /*  549220 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(549295), // Rule ID 2843 //
     /*  549225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549271 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549293 */     GIR_RootConstrainSelectedInstOperands,
     /*  549294 */     // GIR_Coverage, 2843,
     /*  549294 */     GIR_EraseRootFromParent_Done,
     /*  549295 */   // Label 9042: @549295
     /*  549295 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(549370), // Rule ID 2844 //
     /*  549300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549368 */     GIR_RootConstrainSelectedInstOperands,
     /*  549369 */     // GIR_Coverage, 2844,
     /*  549369 */     GIR_EraseRootFromParent_Done,
     /*  549370 */   // Label 9043: @549370
     /*  549370 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(549445), // Rule ID 2851 //
     /*  549375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549443 */     GIR_RootConstrainSelectedInstOperands,
     /*  549444 */     // GIR_Coverage, 2851,
     /*  549444 */     GIR_EraseRootFromParent_Done,
     /*  549445 */   // Label 9044: @549445
     /*  549445 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(549520), // Rule ID 2852 //
     /*  549450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549518 */     GIR_RootConstrainSelectedInstOperands,
     /*  549519 */     // GIR_Coverage, 2852,
     /*  549519 */     GIR_EraseRootFromParent_Done,
     /*  549520 */   // Label 9045: @549520
     /*  549520 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(549595), // Rule ID 2855 //
     /*  549525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  549545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549593 */     GIR_RootConstrainSelectedInstOperands,
     /*  549594 */     // GIR_Coverage, 2855,
     /*  549594 */     GIR_EraseRootFromParent_Done,
     /*  549595 */   // Label 9046: @549595
     /*  549595 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549670), // Rule ID 2856 //
     /*  549600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  549620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549646 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549668 */     GIR_RootConstrainSelectedInstOperands,
     /*  549669 */     // GIR_Coverage, 2856,
     /*  549669 */     GIR_EraseRootFromParent_Done,
     /*  549670 */   // Label 9047: @549670
     /*  549670 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549745), // Rule ID 2859 //
     /*  549675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  549686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  549689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  549692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  549695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549743 */     GIR_RootConstrainSelectedInstOperands,
     /*  549744 */     // GIR_Coverage, 2859,
     /*  549744 */     GIR_EraseRootFromParent_Done,
     /*  549745 */   // Label 9048: @549745
     /*  549745 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549820), // Rule ID 2860 //
     /*  549750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  549761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  549764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  549767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  549770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549796 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549818 */     GIR_RootConstrainSelectedInstOperands,
     /*  549819 */     // GIR_Coverage, 2860,
     /*  549819 */     GIR_EraseRootFromParent_Done,
     /*  549820 */   // Label 9049: @549820
     /*  549820 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549895), // Rule ID 2863 //
     /*  549825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  549836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  549839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  549842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  549845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549893 */     GIR_RootConstrainSelectedInstOperands,
     /*  549894 */     // GIR_Coverage, 2863,
     /*  549894 */     GIR_EraseRootFromParent_Done,
     /*  549895 */   // Label 9050: @549895
     /*  549895 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(549970), // Rule ID 2864 //
     /*  549900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  549911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  549914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  549917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  549920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549968 */     GIR_RootConstrainSelectedInstOperands,
     /*  549969 */     // GIR_Coverage, 2864,
     /*  549969 */     GIR_EraseRootFromParent_Done,
     /*  549970 */   // Label 9051: @549970
     /*  549970 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(550045), // Rule ID 2867 //
     /*  549975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  549986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  549989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  549992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550043 */     GIR_RootConstrainSelectedInstOperands,
     /*  550044 */     // GIR_Coverage, 2867,
     /*  550044 */     GIR_EraseRootFromParent_Done,
     /*  550045 */   // Label 9052: @550045
     /*  550045 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(550120), // Rule ID 2868 //
     /*  550050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550118 */     GIR_RootConstrainSelectedInstOperands,
     /*  550119 */     // GIR_Coverage, 2868,
     /*  550119 */     GIR_EraseRootFromParent_Done,
     /*  550120 */   // Label 9053: @550120
     /*  550120 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(550195), // Rule ID 2871 //
     /*  550125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550193 */     GIR_RootConstrainSelectedInstOperands,
     /*  550194 */     // GIR_Coverage, 2871,
     /*  550194 */     GIR_EraseRootFromParent_Done,
     /*  550195 */   // Label 9054: @550195
     /*  550195 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(550270), // Rule ID 2872 //
     /*  550200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550268 */     GIR_RootConstrainSelectedInstOperands,
     /*  550269 */     // GIR_Coverage, 2872,
     /*  550269 */     GIR_EraseRootFromParent_Done,
     /*  550270 */   // Label 9055: @550270
     /*  550270 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(550345), // Rule ID 2875 //
     /*  550275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550343 */     GIR_RootConstrainSelectedInstOperands,
     /*  550344 */     // GIR_Coverage, 2875,
     /*  550344 */     GIR_EraseRootFromParent_Done,
     /*  550345 */   // Label 9056: @550345
     /*  550345 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(550420), // Rule ID 2876 //
     /*  550350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550418 */     GIR_RootConstrainSelectedInstOperands,
     /*  550419 */     // GIR_Coverage, 2876,
     /*  550419 */     GIR_EraseRootFromParent_Done,
     /*  550420 */   // Label 9057: @550420
     /*  550420 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(550495), // Rule ID 2879 //
     /*  550425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550493 */     GIR_RootConstrainSelectedInstOperands,
     /*  550494 */     // GIR_Coverage, 2879,
     /*  550494 */     GIR_EraseRootFromParent_Done,
     /*  550495 */   // Label 9058: @550495
     /*  550495 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(550570), // Rule ID 2880 //
     /*  550500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550568 */     GIR_RootConstrainSelectedInstOperands,
     /*  550569 */     // GIR_Coverage, 2880,
     /*  550569 */     GIR_EraseRootFromParent_Done,
     /*  550570 */   // Label 9059: @550570
     /*  550570 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(550645), // Rule ID 2883 //
     /*  550575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  550595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550643 */     GIR_RootConstrainSelectedInstOperands,
     /*  550644 */     // GIR_Coverage, 2883,
     /*  550644 */     GIR_EraseRootFromParent_Done,
     /*  550645 */   // Label 9060: @550645
     /*  550645 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550720), // Rule ID 2884 //
     /*  550650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  550670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550718 */     GIR_RootConstrainSelectedInstOperands,
     /*  550719 */     // GIR_Coverage, 2884,
     /*  550719 */     GIR_EraseRootFromParent_Done,
     /*  550720 */   // Label 9061: @550720
     /*  550720 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550795), // Rule ID 2887 //
     /*  550725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  550736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  550739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  550742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  550745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550793 */     GIR_RootConstrainSelectedInstOperands,
     /*  550794 */     // GIR_Coverage, 2887,
     /*  550794 */     GIR_EraseRootFromParent_Done,
     /*  550795 */   // Label 9062: @550795
     /*  550795 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550870), // Rule ID 2888 //
     /*  550800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  550811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  550814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  550817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  550820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550868 */     GIR_RootConstrainSelectedInstOperands,
     /*  550869 */     // GIR_Coverage, 2888,
     /*  550869 */     GIR_EraseRootFromParent_Done,
     /*  550870 */   // Label 9063: @550870
     /*  550870 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(550945), // Rule ID 2891 //
     /*  550875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  550886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  550889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  550892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  550895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550943 */     GIR_RootConstrainSelectedInstOperands,
     /*  550944 */     // GIR_Coverage, 2891,
     /*  550944 */     GIR_EraseRootFromParent_Done,
     /*  550945 */   // Label 9064: @550945
     /*  550945 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(551020), // Rule ID 2892 //
     /*  550950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  550961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  550964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  550967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  550970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551018 */     GIR_RootConstrainSelectedInstOperands,
     /*  551019 */     // GIR_Coverage, 2892,
     /*  551019 */     GIR_EraseRootFromParent_Done,
     /*  551020 */   // Label 9065: @551020
     /*  551020 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(551095), // Rule ID 2895 //
     /*  551025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551093 */     GIR_RootConstrainSelectedInstOperands,
     /*  551094 */     // GIR_Coverage, 2895,
     /*  551094 */     GIR_EraseRootFromParent_Done,
     /*  551095 */   // Label 9066: @551095
     /*  551095 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(551170), // Rule ID 2896 //
     /*  551100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551168 */     GIR_RootConstrainSelectedInstOperands,
     /*  551169 */     // GIR_Coverage, 2896,
     /*  551169 */     GIR_EraseRootFromParent_Done,
     /*  551170 */   // Label 9067: @551170
     /*  551170 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(551245), // Rule ID 2899 //
     /*  551175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551243 */     GIR_RootConstrainSelectedInstOperands,
     /*  551244 */     // GIR_Coverage, 2899,
     /*  551244 */     GIR_EraseRootFromParent_Done,
     /*  551245 */   // Label 9068: @551245
     /*  551245 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(551320), // Rule ID 2900 //
     /*  551250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551318 */     GIR_RootConstrainSelectedInstOperands,
     /*  551319 */     // GIR_Coverage, 2900,
     /*  551319 */     GIR_EraseRootFromParent_Done,
     /*  551320 */   // Label 9069: @551320
     /*  551320 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(551395), // Rule ID 2903 //
     /*  551325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551393 */     GIR_RootConstrainSelectedInstOperands,
     /*  551394 */     // GIR_Coverage, 2903,
     /*  551394 */     GIR_EraseRootFromParent_Done,
     /*  551395 */   // Label 9070: @551395
     /*  551395 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(551470), // Rule ID 2904 //
     /*  551400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551468 */     GIR_RootConstrainSelectedInstOperands,
     /*  551469 */     // GIR_Coverage, 2904,
     /*  551469 */     GIR_EraseRootFromParent_Done,
     /*  551470 */   // Label 9071: @551470
     /*  551470 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(551545), // Rule ID 2907 //
     /*  551475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551543 */     GIR_RootConstrainSelectedInstOperands,
     /*  551544 */     // GIR_Coverage, 2907,
     /*  551544 */     GIR_EraseRootFromParent_Done,
     /*  551545 */   // Label 9072: @551545
     /*  551545 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(551620), // Rule ID 2908 //
     /*  551550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551596 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551618 */     GIR_RootConstrainSelectedInstOperands,
     /*  551619 */     // GIR_Coverage, 2908,
     /*  551619 */     GIR_EraseRootFromParent_Done,
     /*  551620 */   // Label 9073: @551620
     /*  551620 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(551695), // Rule ID 2911 //
     /*  551625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  551636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  551639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  551642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  551645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551693 */     GIR_RootConstrainSelectedInstOperands,
     /*  551694 */     // GIR_Coverage, 2911,
     /*  551694 */     GIR_EraseRootFromParent_Done,
     /*  551695 */   // Label 9074: @551695
     /*  551695 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551770), // Rule ID 2912 //
     /*  551700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  551711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  551714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  551717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  551720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551768 */     GIR_RootConstrainSelectedInstOperands,
     /*  551769 */     // GIR_Coverage, 2912,
     /*  551769 */     GIR_EraseRootFromParent_Done,
     /*  551770 */   // Label 9075: @551770
     /*  551770 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551845), // Rule ID 2915 //
     /*  551775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  551786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  551789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  551792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  551795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551843 */     GIR_RootConstrainSelectedInstOperands,
     /*  551844 */     // GIR_Coverage, 2915,
     /*  551844 */     GIR_EraseRootFromParent_Done,
     /*  551845 */   // Label 9076: @551845
     /*  551845 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(551920), // Rule ID 2916 //
     /*  551850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  551861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  551864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  551867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  551870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551918 */     GIR_RootConstrainSelectedInstOperands,
     /*  551919 */     // GIR_Coverage, 2916,
     /*  551919 */     GIR_EraseRootFromParent_Done,
     /*  551920 */   // Label 9077: @551920
     /*  551920 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(551995), // Rule ID 2919 //
     /*  551925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  551936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  551939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  551942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  551945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551993 */     GIR_RootConstrainSelectedInstOperands,
     /*  551994 */     // GIR_Coverage, 2919,
     /*  551994 */     GIR_EraseRootFromParent_Done,
     /*  551995 */   // Label 9078: @551995
     /*  551995 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(552070), // Rule ID 2920 //
     /*  552000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552068 */     GIR_RootConstrainSelectedInstOperands,
     /*  552069 */     // GIR_Coverage, 2920,
     /*  552069 */     GIR_EraseRootFromParent_Done,
     /*  552070 */   // Label 9079: @552070
     /*  552070 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(552145), // Rule ID 2923 //
     /*  552075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552143 */     GIR_RootConstrainSelectedInstOperands,
     /*  552144 */     // GIR_Coverage, 2923,
     /*  552144 */     GIR_EraseRootFromParent_Done,
     /*  552145 */   // Label 9080: @552145
     /*  552145 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(552220), // Rule ID 2924 //
     /*  552150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552196 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552218 */     GIR_RootConstrainSelectedInstOperands,
     /*  552219 */     // GIR_Coverage, 2924,
     /*  552219 */     GIR_EraseRootFromParent_Done,
     /*  552220 */   // Label 9081: @552220
     /*  552220 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(552295), // Rule ID 2927 //
     /*  552225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552293 */     GIR_RootConstrainSelectedInstOperands,
     /*  552294 */     // GIR_Coverage, 2927,
     /*  552294 */     GIR_EraseRootFromParent_Done,
     /*  552295 */   // Label 9082: @552295
     /*  552295 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(552370), // Rule ID 2928 //
     /*  552300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552346 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552368 */     GIR_RootConstrainSelectedInstOperands,
     /*  552369 */     // GIR_Coverage, 2928,
     /*  552369 */     GIR_EraseRootFromParent_Done,
     /*  552370 */   // Label 9083: @552370
     /*  552370 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(552445), // Rule ID 2931 //
     /*  552375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552443 */     GIR_RootConstrainSelectedInstOperands,
     /*  552444 */     // GIR_Coverage, 2931,
     /*  552444 */     GIR_EraseRootFromParent_Done,
     /*  552445 */   // Label 9084: @552445
     /*  552445 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(552520), // Rule ID 2932 //
     /*  552450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552518 */     GIR_RootConstrainSelectedInstOperands,
     /*  552519 */     // GIR_Coverage, 2932,
     /*  552519 */     GIR_EraseRootFromParent_Done,
     /*  552520 */   // Label 9085: @552520
     /*  552520 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(552595), // Rule ID 2935 //
     /*  552525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  552574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552593 */     GIR_RootConstrainSelectedInstOperands,
     /*  552594 */     // GIR_Coverage, 2935,
     /*  552594 */     GIR_EraseRootFromParent_Done,
     /*  552595 */   // Label 9086: @552595
     /*  552595 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(552670), // Rule ID 2936 //
     /*  552600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552646 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  552649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552668 */     GIR_RootConstrainSelectedInstOperands,
     /*  552669 */     // GIR_Coverage, 2936,
     /*  552669 */     GIR_EraseRootFromParent_Done,
     /*  552670 */   // Label 9087: @552670
     /*  552670 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552745), // Rule ID 2939 //
     /*  552675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  552686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  552689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  552692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  552724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552743 */     GIR_RootConstrainSelectedInstOperands,
     /*  552744 */     // GIR_Coverage, 2939,
     /*  552744 */     GIR_EraseRootFromParent_Done,
     /*  552745 */   // Label 9088: @552745
     /*  552745 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552820), // Rule ID 2940 //
     /*  552750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  552761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  552764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  552767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552796 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  552799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552818 */     GIR_RootConstrainSelectedInstOperands,
     /*  552819 */     // GIR_Coverage, 2940,
     /*  552819 */     GIR_EraseRootFromParent_Done,
     /*  552820 */   // Label 9089: @552820
     /*  552820 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552895), // Rule ID 2943 //
     /*  552825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  552836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  552839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  552842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  552874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552893 */     GIR_RootConstrainSelectedInstOperands,
     /*  552894 */     // GIR_Coverage, 2943,
     /*  552894 */     GIR_EraseRootFromParent_Done,
     /*  552895 */   // Label 9090: @552895
     /*  552895 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(552970), // Rule ID 2944 //
     /*  552900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  552911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  552914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  552917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  552949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552968 */     GIR_RootConstrainSelectedInstOperands,
     /*  552969 */     // GIR_Coverage, 2944,
     /*  552969 */     GIR_EraseRootFromParent_Done,
     /*  552970 */   // Label 9091: @552970
     /*  552970 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(553045), // Rule ID 2947 //
     /*  552975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  552986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  552989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  552992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553043 */     GIR_RootConstrainSelectedInstOperands,
     /*  553044 */     // GIR_Coverage, 2947,
     /*  553044 */     GIR_EraseRootFromParent_Done,
     /*  553045 */   // Label 9092: @553045
     /*  553045 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(553120), // Rule ID 2948 //
     /*  553050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553118 */     GIR_RootConstrainSelectedInstOperands,
     /*  553119 */     // GIR_Coverage, 2948,
     /*  553119 */     GIR_EraseRootFromParent_Done,
     /*  553120 */   // Label 9093: @553120
     /*  553120 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(553195), // Rule ID 2951 //
     /*  553125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553193 */     GIR_RootConstrainSelectedInstOperands,
     /*  553194 */     // GIR_Coverage, 2951,
     /*  553194 */     GIR_EraseRootFromParent_Done,
     /*  553195 */   // Label 9094: @553195
     /*  553195 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(553270), // Rule ID 2952 //
     /*  553200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553268 */     GIR_RootConstrainSelectedInstOperands,
     /*  553269 */     // GIR_Coverage, 2952,
     /*  553269 */     GIR_EraseRootFromParent_Done,
     /*  553270 */   // Label 9095: @553270
     /*  553270 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(553345), // Rule ID 2955 //
     /*  553275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553343 */     GIR_RootConstrainSelectedInstOperands,
     /*  553344 */     // GIR_Coverage, 2955,
     /*  553344 */     GIR_EraseRootFromParent_Done,
     /*  553345 */   // Label 9096: @553345
     /*  553345 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(553420), // Rule ID 2956 //
     /*  553350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553418 */     GIR_RootConstrainSelectedInstOperands,
     /*  553419 */     // GIR_Coverage, 2956,
     /*  553419 */     GIR_EraseRootFromParent_Done,
     /*  553420 */   // Label 9097: @553420
     /*  553420 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(553495), // Rule ID 2959 //
     /*  553425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553493 */     GIR_RootConstrainSelectedInstOperands,
     /*  553494 */     // GIR_Coverage, 2959,
     /*  553494 */     GIR_EraseRootFromParent_Done,
     /*  553495 */   // Label 9098: @553495
     /*  553495 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(553570), // Rule ID 2960 //
     /*  553500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553546 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553568 */     GIR_RootConstrainSelectedInstOperands,
     /*  553569 */     // GIR_Coverage, 2960,
     /*  553569 */     GIR_EraseRootFromParent_Done,
     /*  553570 */   // Label 9099: @553570
     /*  553570 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(553645), // Rule ID 2963 //
     /*  553575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553643 */     GIR_RootConstrainSelectedInstOperands,
     /*  553644 */     // GIR_Coverage, 2963,
     /*  553644 */     GIR_EraseRootFromParent_Done,
     /*  553645 */   // Label 9100: @553645
     /*  553645 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553720), // Rule ID 2964 //
     /*  553650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553718 */     GIR_RootConstrainSelectedInstOperands,
     /*  553719 */     // GIR_Coverage, 2964,
     /*  553719 */     GIR_EraseRootFromParent_Done,
     /*  553720 */   // Label 9101: @553720
     /*  553720 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553795), // Rule ID 2967 //
     /*  553725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  553736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  553739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  553742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553793 */     GIR_RootConstrainSelectedInstOperands,
     /*  553794 */     // GIR_Coverage, 2967,
     /*  553794 */     GIR_EraseRootFromParent_Done,
     /*  553795 */   // Label 9102: @553795
     /*  553795 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553870), // Rule ID 2968 //
     /*  553800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  553811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  553814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  553817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553868 */     GIR_RootConstrainSelectedInstOperands,
     /*  553869 */     // GIR_Coverage, 2968,
     /*  553869 */     GIR_EraseRootFromParent_Done,
     /*  553870 */   // Label 9103: @553870
     /*  553870 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(553945), // Rule ID 2971 //
     /*  553875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  553886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  553889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  553892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553943 */     GIR_RootConstrainSelectedInstOperands,
     /*  553944 */     // GIR_Coverage, 2971,
     /*  553944 */     GIR_EraseRootFromParent_Done,
     /*  553945 */   // Label 9104: @553945
     /*  553945 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(554020), // Rule ID 2972 //
     /*  553950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  553961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  553964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  553967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554018 */     GIR_RootConstrainSelectedInstOperands,
     /*  554019 */     // GIR_Coverage, 2972,
     /*  554019 */     GIR_EraseRootFromParent_Done,
     /*  554020 */   // Label 9105: @554020
     /*  554020 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(554095), // Rule ID 2975 //
     /*  554025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554093 */     GIR_RootConstrainSelectedInstOperands,
     /*  554094 */     // GIR_Coverage, 2975,
     /*  554094 */     GIR_EraseRootFromParent_Done,
     /*  554095 */   // Label 9106: @554095
     /*  554095 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(554170), // Rule ID 2976 //
     /*  554100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554146 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554168 */     GIR_RootConstrainSelectedInstOperands,
     /*  554169 */     // GIR_Coverage, 2976,
     /*  554169 */     GIR_EraseRootFromParent_Done,
     /*  554170 */   // Label 9107: @554170
     /*  554170 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(554245), // Rule ID 2979 //
     /*  554175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554243 */     GIR_RootConstrainSelectedInstOperands,
     /*  554244 */     // GIR_Coverage, 2979,
     /*  554244 */     GIR_EraseRootFromParent_Done,
     /*  554245 */   // Label 9108: @554245
     /*  554245 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(554320), // Rule ID 2980 //
     /*  554250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554318 */     GIR_RootConstrainSelectedInstOperands,
     /*  554319 */     // GIR_Coverage, 2980,
     /*  554319 */     GIR_EraseRootFromParent_Done,
     /*  554320 */   // Label 9109: @554320
     /*  554320 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(554395), // Rule ID 2983 //
     /*  554325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554393 */     GIR_RootConstrainSelectedInstOperands,
     /*  554394 */     // GIR_Coverage, 2983,
     /*  554394 */     GIR_EraseRootFromParent_Done,
     /*  554395 */   // Label 9110: @554395
     /*  554395 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(554470), // Rule ID 2984 //
     /*  554400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554446 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554468 */     GIR_RootConstrainSelectedInstOperands,
     /*  554469 */     // GIR_Coverage, 2984,
     /*  554469 */     GIR_EraseRootFromParent_Done,
     /*  554470 */   // Label 9111: @554470
     /*  554470 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(554545), // Rule ID 2987 //
     /*  554475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554543 */     GIR_RootConstrainSelectedInstOperands,
     /*  554544 */     // GIR_Coverage, 2987,
     /*  554544 */     GIR_EraseRootFromParent_Done,
     /*  554545 */   // Label 9112: @554545
     /*  554545 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(554620), // Rule ID 2988 //
     /*  554550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554618 */     GIR_RootConstrainSelectedInstOperands,
     /*  554619 */     // GIR_Coverage, 2988,
     /*  554619 */     GIR_EraseRootFromParent_Done,
     /*  554620 */   // Label 9113: @554620
     /*  554620 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(554695), // Rule ID 2991 //
     /*  554625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  554636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  554639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  554642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554693 */     GIR_RootConstrainSelectedInstOperands,
     /*  554694 */     // GIR_Coverage, 2991,
     /*  554694 */     GIR_EraseRootFromParent_Done,
     /*  554695 */   // Label 9114: @554695
     /*  554695 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554770), // Rule ID 2992 //
     /*  554700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  554711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  554714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  554717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554768 */     GIR_RootConstrainSelectedInstOperands,
     /*  554769 */     // GIR_Coverage, 2992,
     /*  554769 */     GIR_EraseRootFromParent_Done,
     /*  554770 */   // Label 9115: @554770
     /*  554770 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554845), // Rule ID 2995 //
     /*  554775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  554786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  554789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  554792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554843 */     GIR_RootConstrainSelectedInstOperands,
     /*  554844 */     // GIR_Coverage, 2995,
     /*  554844 */     GIR_EraseRootFromParent_Done,
     /*  554845 */   // Label 9116: @554845
     /*  554845 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(554920), // Rule ID 2996 //
     /*  554850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  554861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  554864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  554867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554918 */     GIR_RootConstrainSelectedInstOperands,
     /*  554919 */     // GIR_Coverage, 2996,
     /*  554919 */     GIR_EraseRootFromParent_Done,
     /*  554920 */   // Label 9117: @554920
     /*  554920 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(554995), // Rule ID 2999 //
     /*  554925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  554936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  554939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  554942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554993 */     GIR_RootConstrainSelectedInstOperands,
     /*  554994 */     // GIR_Coverage, 2999,
     /*  554994 */     GIR_EraseRootFromParent_Done,
     /*  554995 */   // Label 9118: @554995
     /*  554995 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(555070), // Rule ID 3000 //
     /*  555000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555068 */     GIR_RootConstrainSelectedInstOperands,
     /*  555069 */     // GIR_Coverage, 3000,
     /*  555069 */     GIR_EraseRootFromParent_Done,
     /*  555070 */   // Label 9119: @555070
     /*  555070 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(555145), // Rule ID 3003 //
     /*  555075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555143 */     GIR_RootConstrainSelectedInstOperands,
     /*  555144 */     // GIR_Coverage, 3003,
     /*  555144 */     GIR_EraseRootFromParent_Done,
     /*  555145 */   // Label 9120: @555145
     /*  555145 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(555220), // Rule ID 3004 //
     /*  555150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555218 */     GIR_RootConstrainSelectedInstOperands,
     /*  555219 */     // GIR_Coverage, 3004,
     /*  555219 */     GIR_EraseRootFromParent_Done,
     /*  555220 */   // Label 9121: @555220
     /*  555220 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(555295), // Rule ID 3007 //
     /*  555225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555293 */     GIR_RootConstrainSelectedInstOperands,
     /*  555294 */     // GIR_Coverage, 3007,
     /*  555294 */     GIR_EraseRootFromParent_Done,
     /*  555295 */   // Label 9122: @555295
     /*  555295 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(555370), // Rule ID 3008 //
     /*  555300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555368 */     GIR_RootConstrainSelectedInstOperands,
     /*  555369 */     // GIR_Coverage, 3008,
     /*  555369 */     GIR_EraseRootFromParent_Done,
     /*  555370 */   // Label 9123: @555370
     /*  555370 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(555445), // Rule ID 3011 //
     /*  555375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555443 */     GIR_RootConstrainSelectedInstOperands,
     /*  555444 */     // GIR_Coverage, 3011,
     /*  555444 */     GIR_EraseRootFromParent_Done,
     /*  555445 */   // Label 9124: @555445
     /*  555445 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(555520), // Rule ID 3012 //
     /*  555450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555518 */     GIR_RootConstrainSelectedInstOperands,
     /*  555519 */     // GIR_Coverage, 3012,
     /*  555519 */     GIR_EraseRootFromParent_Done,
     /*  555520 */   // Label 9125: @555520
     /*  555520 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(555595), // Rule ID 3015 //
     /*  555525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555593 */     GIR_RootConstrainSelectedInstOperands,
     /*  555594 */     // GIR_Coverage, 3015,
     /*  555594 */     GIR_EraseRootFromParent_Done,
     /*  555595 */   // Label 9126: @555595
     /*  555595 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(555670), // Rule ID 3016 //
     /*  555600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555668 */     GIR_RootConstrainSelectedInstOperands,
     /*  555669 */     // GIR_Coverage, 3016,
     /*  555669 */     GIR_EraseRootFromParent_Done,
     /*  555670 */   // Label 9127: @555670
     /*  555670 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555745), // Rule ID 3019 //
     /*  555675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  555686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  555689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  555692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555743 */     GIR_RootConstrainSelectedInstOperands,
     /*  555744 */     // GIR_Coverage, 3019,
     /*  555744 */     GIR_EraseRootFromParent_Done,
     /*  555745 */   // Label 9128: @555745
     /*  555745 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555820), // Rule ID 3020 //
     /*  555750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  555761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  555764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  555767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555818 */     GIR_RootConstrainSelectedInstOperands,
     /*  555819 */     // GIR_Coverage, 3020,
     /*  555819 */     GIR_EraseRootFromParent_Done,
     /*  555820 */   // Label 9129: @555820
     /*  555820 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555895), // Rule ID 3111 //
     /*  555825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  555836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  555839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  555842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  555845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  555874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555893 */     GIR_RootConstrainSelectedInstOperands,
     /*  555894 */     // GIR_Coverage, 3111,
     /*  555894 */     GIR_EraseRootFromParent_Done,
     /*  555895 */   // Label 9130: @555895
     /*  555895 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(555970), // Rule ID 3112 //
     /*  555900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  555911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  555914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  555917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  555920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555946 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  555949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555968 */     GIR_RootConstrainSelectedInstOperands,
     /*  555969 */     // GIR_Coverage, 3112,
     /*  555969 */     GIR_EraseRootFromParent_Done,
     /*  555970 */   // Label 9131: @555970
     /*  555970 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(556045), // Rule ID 3115 //
     /*  555975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  555986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  555989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  555992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  555995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556043 */     GIR_RootConstrainSelectedInstOperands,
     /*  556044 */     // GIR_Coverage, 3115,
     /*  556044 */     GIR_EraseRootFromParent_Done,
     /*  556045 */   // Label 9132: @556045
     /*  556045 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(556120), // Rule ID 3116 //
     /*  556050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  556070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556118 */     GIR_RootConstrainSelectedInstOperands,
     /*  556119 */     // GIR_Coverage, 3116,
     /*  556119 */     GIR_EraseRootFromParent_Done,
     /*  556120 */   // Label 9133: @556120
     /*  556120 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(556195), // Rule ID 3119 //
     /*  556125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556193 */     GIR_RootConstrainSelectedInstOperands,
     /*  556194 */     // GIR_Coverage, 3119,
     /*  556194 */     GIR_EraseRootFromParent_Done,
     /*  556195 */   // Label 9134: @556195
     /*  556195 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(556270), // Rule ID 3120 //
     /*  556200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556268 */     GIR_RootConstrainSelectedInstOperands,
     /*  556269 */     // GIR_Coverage, 3120,
     /*  556269 */     GIR_EraseRootFromParent_Done,
     /*  556270 */   // Label 9135: @556270
     /*  556270 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(556345), // Rule ID 3123 //
     /*  556275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556343 */     GIR_RootConstrainSelectedInstOperands,
     /*  556344 */     // GIR_Coverage, 3123,
     /*  556344 */     GIR_EraseRootFromParent_Done,
     /*  556345 */   // Label 9136: @556345
     /*  556345 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(556420), // Rule ID 3124 //
     /*  556350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556418 */     GIR_RootConstrainSelectedInstOperands,
     /*  556419 */     // GIR_Coverage, 3124,
     /*  556419 */     GIR_EraseRootFromParent_Done,
     /*  556420 */   // Label 9137: @556420
     /*  556420 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(556495), // Rule ID 3127 //
     /*  556425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556493 */     GIR_RootConstrainSelectedInstOperands,
     /*  556494 */     // GIR_Coverage, 3127,
     /*  556494 */     GIR_EraseRootFromParent_Done,
     /*  556495 */   // Label 9138: @556495
     /*  556495 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(556570), // Rule ID 3128 //
     /*  556500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556546 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556568 */     GIR_RootConstrainSelectedInstOperands,
     /*  556569 */     // GIR_Coverage, 3128,
     /*  556569 */     GIR_EraseRootFromParent_Done,
     /*  556570 */   // Label 9139: @556570
     /*  556570 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(556645), // Rule ID 3131 //
     /*  556575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  556595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556643 */     GIR_RootConstrainSelectedInstOperands,
     /*  556644 */     // GIR_Coverage, 3131,
     /*  556644 */     GIR_EraseRootFromParent_Done,
     /*  556645 */   // Label 9140: @556645
     /*  556645 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556720), // Rule ID 3132 //
     /*  556650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  556670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556718 */     GIR_RootConstrainSelectedInstOperands,
     /*  556719 */     // GIR_Coverage, 3132,
     /*  556719 */     GIR_EraseRootFromParent_Done,
     /*  556720 */   // Label 9141: @556720
     /*  556720 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556795), // Rule ID 3135 //
     /*  556725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  556736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  556739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  556742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  556745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556793 */     GIR_RootConstrainSelectedInstOperands,
     /*  556794 */     // GIR_Coverage, 3135,
     /*  556794 */     GIR_EraseRootFromParent_Done,
     /*  556795 */   // Label 9142: @556795
     /*  556795 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556870), // Rule ID 3136 //
     /*  556800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  556811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  556814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  556817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  556820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556846 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556868 */     GIR_RootConstrainSelectedInstOperands,
     /*  556869 */     // GIR_Coverage, 3136,
     /*  556869 */     GIR_EraseRootFromParent_Done,
     /*  556870 */   // Label 9143: @556870
     /*  556870 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(556945), // Rule ID 3139 //
     /*  556875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  556886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  556889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  556892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  556895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556943 */     GIR_RootConstrainSelectedInstOperands,
     /*  556944 */     // GIR_Coverage, 3139,
     /*  556944 */     GIR_EraseRootFromParent_Done,
     /*  556945 */   // Label 9144: @556945
     /*  556945 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(557020), // Rule ID 3140 //
     /*  556950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  556961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  556964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  556967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  556970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557018 */     GIR_RootConstrainSelectedInstOperands,
     /*  557019 */     // GIR_Coverage, 3140,
     /*  557019 */     GIR_EraseRootFromParent_Done,
     /*  557020 */   // Label 9145: @557020
     /*  557020 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(557095), // Rule ID 3143 //
     /*  557025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  557045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557093 */     GIR_RootConstrainSelectedInstOperands,
     /*  557094 */     // GIR_Coverage, 3143,
     /*  557094 */     GIR_EraseRootFromParent_Done,
     /*  557095 */   // Label 9146: @557095
     /*  557095 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(557170), // Rule ID 3144 //
     /*  557100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  557120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557168 */     GIR_RootConstrainSelectedInstOperands,
     /*  557169 */     // GIR_Coverage, 3144,
     /*  557169 */     GIR_EraseRootFromParent_Done,
     /*  557170 */   // Label 9147: @557170
     /*  557170 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(557245), // Rule ID 3147 //
     /*  557175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557243 */     GIR_RootConstrainSelectedInstOperands,
     /*  557244 */     // GIR_Coverage, 3147,
     /*  557244 */     GIR_EraseRootFromParent_Done,
     /*  557245 */   // Label 9148: @557245
     /*  557245 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(557320), // Rule ID 3148 //
     /*  557250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557318 */     GIR_RootConstrainSelectedInstOperands,
     /*  557319 */     // GIR_Coverage, 3148,
     /*  557319 */     GIR_EraseRootFromParent_Done,
     /*  557320 */   // Label 9149: @557320
     /*  557320 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(557395), // Rule ID 3151 //
     /*  557325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557393 */     GIR_RootConstrainSelectedInstOperands,
     /*  557394 */     // GIR_Coverage, 3151,
     /*  557394 */     GIR_EraseRootFromParent_Done,
     /*  557395 */   // Label 9150: @557395
     /*  557395 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(557470), // Rule ID 3152 //
     /*  557400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557446 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557468 */     GIR_RootConstrainSelectedInstOperands,
     /*  557469 */     // GIR_Coverage, 3152,
     /*  557469 */     GIR_EraseRootFromParent_Done,
     /*  557470 */   // Label 9151: @557470
     /*  557470 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(557545), // Rule ID 3155 //
     /*  557475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557543 */     GIR_RootConstrainSelectedInstOperands,
     /*  557544 */     // GIR_Coverage, 3155,
     /*  557544 */     GIR_EraseRootFromParent_Done,
     /*  557545 */   // Label 9152: @557545
     /*  557545 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(557620), // Rule ID 3156 //
     /*  557550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557618 */     GIR_RootConstrainSelectedInstOperands,
     /*  557619 */     // GIR_Coverage, 3156,
     /*  557619 */     GIR_EraseRootFromParent_Done,
     /*  557620 */   // Label 9153: @557620
     /*  557620 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(557695), // Rule ID 3159 //
     /*  557625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  557636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  557639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  557642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  557645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557693 */     GIR_RootConstrainSelectedInstOperands,
     /*  557694 */     // GIR_Coverage, 3159,
     /*  557694 */     GIR_EraseRootFromParent_Done,
     /*  557695 */   // Label 9154: @557695
     /*  557695 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557770), // Rule ID 3160 //
     /*  557700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  557711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  557714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  557717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  557720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557746 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557768 */     GIR_RootConstrainSelectedInstOperands,
     /*  557769 */     // GIR_Coverage, 3160,
     /*  557769 */     GIR_EraseRootFromParent_Done,
     /*  557770 */   // Label 9155: @557770
     /*  557770 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557845), // Rule ID 3163 //
     /*  557775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  557786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  557789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  557792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  557795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557843 */     GIR_RootConstrainSelectedInstOperands,
     /*  557844 */     // GIR_Coverage, 3163,
     /*  557844 */     GIR_EraseRootFromParent_Done,
     /*  557845 */   // Label 9156: @557845
     /*  557845 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(557920), // Rule ID 3164 //
     /*  557850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  557861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  557864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  557867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  557870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557918 */     GIR_RootConstrainSelectedInstOperands,
     /*  557919 */     // GIR_Coverage, 3164,
     /*  557919 */     GIR_EraseRootFromParent_Done,
     /*  557920 */   // Label 9157: @557920
     /*  557920 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(557995), // Rule ID 3167 //
     /*  557925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  557936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  557939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  557942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  557945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557993 */     GIR_RootConstrainSelectedInstOperands,
     /*  557994 */     // GIR_Coverage, 3167,
     /*  557994 */     GIR_EraseRootFromParent_Done,
     /*  557995 */   // Label 9158: @557995
     /*  557995 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(558070), // Rule ID 3168 //
     /*  558000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  558020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558068 */     GIR_RootConstrainSelectedInstOperands,
     /*  558069 */     // GIR_Coverage, 3168,
     /*  558069 */     GIR_EraseRootFromParent_Done,
     /*  558070 */   // Label 9159: @558070
     /*  558070 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(558145), // Rule ID 3171 //
     /*  558075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558143 */     GIR_RootConstrainSelectedInstOperands,
     /*  558144 */     // GIR_Coverage, 3171,
     /*  558144 */     GIR_EraseRootFromParent_Done,
     /*  558145 */   // Label 9160: @558145
     /*  558145 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(558220), // Rule ID 3172 //
     /*  558150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558218 */     GIR_RootConstrainSelectedInstOperands,
     /*  558219 */     // GIR_Coverage, 3172,
     /*  558219 */     GIR_EraseRootFromParent_Done,
     /*  558220 */   // Label 9161: @558220
     /*  558220 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(558295), // Rule ID 3175 //
     /*  558225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558293 */     GIR_RootConstrainSelectedInstOperands,
     /*  558294 */     // GIR_Coverage, 3175,
     /*  558294 */     GIR_EraseRootFromParent_Done,
     /*  558295 */   // Label 9162: @558295
     /*  558295 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(558370), // Rule ID 3176 //
     /*  558300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558368 */     GIR_RootConstrainSelectedInstOperands,
     /*  558369 */     // GIR_Coverage, 3176,
     /*  558369 */     GIR_EraseRootFromParent_Done,
     /*  558370 */   // Label 9163: @558370
     /*  558370 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(558445), // Rule ID 3179 //
     /*  558375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558443 */     GIR_RootConstrainSelectedInstOperands,
     /*  558444 */     // GIR_Coverage, 3179,
     /*  558444 */     GIR_EraseRootFromParent_Done,
     /*  558445 */   // Label 9164: @558445
     /*  558445 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(558520), // Rule ID 3180 //
     /*  558450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558518 */     GIR_RootConstrainSelectedInstOperands,
     /*  558519 */     // GIR_Coverage, 3180,
     /*  558519 */     GIR_EraseRootFromParent_Done,
     /*  558520 */   // Label 9165: @558520
     /*  558520 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(558595), // Rule ID 3183 //
     /*  558525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  558545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558593 */     GIR_RootConstrainSelectedInstOperands,
     /*  558594 */     // GIR_Coverage, 3183,
     /*  558594 */     GIR_EraseRootFromParent_Done,
     /*  558595 */   // Label 9166: @558595
     /*  558595 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(558670), // Rule ID 3184 //
     /*  558600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  558620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558668 */     GIR_RootConstrainSelectedInstOperands,
     /*  558669 */     // GIR_Coverage, 3184,
     /*  558669 */     GIR_EraseRootFromParent_Done,
     /*  558670 */   // Label 9167: @558670
     /*  558670 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558745), // Rule ID 3187 //
     /*  558675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  558686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  558689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  558692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  558695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558743 */     GIR_RootConstrainSelectedInstOperands,
     /*  558744 */     // GIR_Coverage, 3187,
     /*  558744 */     GIR_EraseRootFromParent_Done,
     /*  558745 */   // Label 9168: @558745
     /*  558745 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558820), // Rule ID 3188 //
     /*  558750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  558761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  558764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  558767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  558770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558818 */     GIR_RootConstrainSelectedInstOperands,
     /*  558819 */     // GIR_Coverage, 3188,
     /*  558819 */     GIR_EraseRootFromParent_Done,
     /*  558820 */   // Label 9169: @558820
     /*  558820 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558895), // Rule ID 3191 //
     /*  558825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  558836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  558839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  558842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  558845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558893 */     GIR_RootConstrainSelectedInstOperands,
     /*  558894 */     // GIR_Coverage, 3191,
     /*  558894 */     GIR_EraseRootFromParent_Done,
     /*  558895 */   // Label 9170: @558895
     /*  558895 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(558970), // Rule ID 3192 //
     /*  558900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  558911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  558914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  558917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  558920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558946 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558968 */     GIR_RootConstrainSelectedInstOperands,
     /*  558969 */     // GIR_Coverage, 3192,
     /*  558969 */     GIR_EraseRootFromParent_Done,
     /*  558970 */   // Label 9171: @558970
     /*  558970 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(559045), // Rule ID 3195 //
     /*  558975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  558986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  558989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  558992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  558995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559043 */     GIR_RootConstrainSelectedInstOperands,
     /*  559044 */     // GIR_Coverage, 3195,
     /*  559044 */     GIR_EraseRootFromParent_Done,
     /*  559045 */   // Label 9172: @559045
     /*  559045 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(559120), // Rule ID 3196 //
     /*  559050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  559070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559118 */     GIR_RootConstrainSelectedInstOperands,
     /*  559119 */     // GIR_Coverage, 3196,
     /*  559119 */     GIR_EraseRootFromParent_Done,
     /*  559120 */   // Label 9173: @559120
     /*  559120 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(559195), // Rule ID 3199 //
     /*  559125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559193 */     GIR_RootConstrainSelectedInstOperands,
     /*  559194 */     // GIR_Coverage, 3199,
     /*  559194 */     GIR_EraseRootFromParent_Done,
     /*  559195 */   // Label 9174: @559195
     /*  559195 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(559270), // Rule ID 3200 //
     /*  559200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559246 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559268 */     GIR_RootConstrainSelectedInstOperands,
     /*  559269 */     // GIR_Coverage, 3200,
     /*  559269 */     GIR_EraseRootFromParent_Done,
     /*  559270 */   // Label 9175: @559270
     /*  559270 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(559345), // Rule ID 3203 //
     /*  559275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559343 */     GIR_RootConstrainSelectedInstOperands,
     /*  559344 */     // GIR_Coverage, 3203,
     /*  559344 */     GIR_EraseRootFromParent_Done,
     /*  559345 */   // Label 9176: @559345
     /*  559345 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(559420), // Rule ID 3204 //
     /*  559350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559418 */     GIR_RootConstrainSelectedInstOperands,
     /*  559419 */     // GIR_Coverage, 3204,
     /*  559419 */     GIR_EraseRootFromParent_Done,
     /*  559420 */   // Label 9177: @559420
     /*  559420 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(559495), // Rule ID 3207 //
     /*  559425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559493 */     GIR_RootConstrainSelectedInstOperands,
     /*  559494 */     // GIR_Coverage, 3207,
     /*  559494 */     GIR_EraseRootFromParent_Done,
     /*  559495 */   // Label 9178: @559495
     /*  559495 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(559570), // Rule ID 3208 //
     /*  559500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559546 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559568 */     GIR_RootConstrainSelectedInstOperands,
     /*  559569 */     // GIR_Coverage, 3208,
     /*  559569 */     GIR_EraseRootFromParent_Done,
     /*  559570 */   // Label 9179: @559570
     /*  559570 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(559645), // Rule ID 3211 //
     /*  559575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559643 */     GIR_RootConstrainSelectedInstOperands,
     /*  559644 */     // GIR_Coverage, 3211,
     /*  559644 */     GIR_EraseRootFromParent_Done,
     /*  559645 */   // Label 9180: @559645
     /*  559645 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559720), // Rule ID 3212 //
     /*  559650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559718 */     GIR_RootConstrainSelectedInstOperands,
     /*  559719 */     // GIR_Coverage, 3212,
     /*  559719 */     GIR_EraseRootFromParent_Done,
     /*  559720 */   // Label 9181: @559720
     /*  559720 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559795), // Rule ID 3215 //
     /*  559725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  559736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  559739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  559742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559793 */     GIR_RootConstrainSelectedInstOperands,
     /*  559794 */     // GIR_Coverage, 3215,
     /*  559794 */     GIR_EraseRootFromParent_Done,
     /*  559795 */   // Label 9182: @559795
     /*  559795 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559870), // Rule ID 3216 //
     /*  559800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  559811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  559814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  559817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559868 */     GIR_RootConstrainSelectedInstOperands,
     /*  559869 */     // GIR_Coverage, 3216,
     /*  559869 */     GIR_EraseRootFromParent_Done,
     /*  559870 */   // Label 9183: @559870
     /*  559870 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(559945), // Rule ID 3219 //
     /*  559875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  559886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  559889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  559892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559943 */     GIR_RootConstrainSelectedInstOperands,
     /*  559944 */     // GIR_Coverage, 3219,
     /*  559944 */     GIR_EraseRootFromParent_Done,
     /*  559945 */   // Label 9184: @559945
     /*  559945 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(560020), // Rule ID 3220 //
     /*  559950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  559961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  559964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  559967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560018 */     GIR_RootConstrainSelectedInstOperands,
     /*  560019 */     // GIR_Coverage, 3220,
     /*  560019 */     GIR_EraseRootFromParent_Done,
     /*  560020 */   // Label 9185: @560020
     /*  560020 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(560095), // Rule ID 3223 //
     /*  560025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560093 */     GIR_RootConstrainSelectedInstOperands,
     /*  560094 */     // GIR_Coverage, 3223,
     /*  560094 */     GIR_EraseRootFromParent_Done,
     /*  560095 */   // Label 9186: @560095
     /*  560095 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(560170), // Rule ID 3224 //
     /*  560100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560168 */     GIR_RootConstrainSelectedInstOperands,
     /*  560169 */     // GIR_Coverage, 3224,
     /*  560169 */     GIR_EraseRootFromParent_Done,
     /*  560170 */   // Label 9187: @560170
     /*  560170 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(560245), // Rule ID 3227 //
     /*  560175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560243 */     GIR_RootConstrainSelectedInstOperands,
     /*  560244 */     // GIR_Coverage, 3227,
     /*  560244 */     GIR_EraseRootFromParent_Done,
     /*  560245 */   // Label 9188: @560245
     /*  560245 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(560320), // Rule ID 3228 //
     /*  560250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560318 */     GIR_RootConstrainSelectedInstOperands,
     /*  560319 */     // GIR_Coverage, 3228,
     /*  560319 */     GIR_EraseRootFromParent_Done,
     /*  560320 */   // Label 9189: @560320
     /*  560320 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(560395), // Rule ID 3231 //
     /*  560325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560393 */     GIR_RootConstrainSelectedInstOperands,
     /*  560394 */     // GIR_Coverage, 3231,
     /*  560394 */     GIR_EraseRootFromParent_Done,
     /*  560395 */   // Label 9190: @560395
     /*  560395 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(560470), // Rule ID 3232 //
     /*  560400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560468 */     GIR_RootConstrainSelectedInstOperands,
     /*  560469 */     // GIR_Coverage, 3232,
     /*  560469 */     GIR_EraseRootFromParent_Done,
     /*  560470 */   // Label 9191: @560470
     /*  560470 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(560545), // Rule ID 3235 //
     /*  560475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560543 */     GIR_RootConstrainSelectedInstOperands,
     /*  560544 */     // GIR_Coverage, 3235,
     /*  560544 */     GIR_EraseRootFromParent_Done,
     /*  560545 */   // Label 9192: @560545
     /*  560545 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(560620), // Rule ID 3236 //
     /*  560550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560618 */     GIR_RootConstrainSelectedInstOperands,
     /*  560619 */     // GIR_Coverage, 3236,
     /*  560619 */     GIR_EraseRootFromParent_Done,
     /*  560620 */   // Label 9193: @560620
     /*  560620 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(560695), // Rule ID 3239 //
     /*  560625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560693 */     GIR_RootConstrainSelectedInstOperands,
     /*  560694 */     // GIR_Coverage, 3239,
     /*  560694 */     GIR_EraseRootFromParent_Done,
     /*  560695 */   // Label 9194: @560695
     /*  560695 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560770), // Rule ID 3240 //
     /*  560700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560746 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560768 */     GIR_RootConstrainSelectedInstOperands,
     /*  560769 */     // GIR_Coverage, 3240,
     /*  560769 */     GIR_EraseRootFromParent_Done,
     /*  560770 */   // Label 9195: @560770
     /*  560770 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560845), // Rule ID 3243 //
     /*  560775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  560786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  560789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560843 */     GIR_RootConstrainSelectedInstOperands,
     /*  560844 */     // GIR_Coverage, 3243,
     /*  560844 */     GIR_EraseRootFromParent_Done,
     /*  560845 */   // Label 9196: @560845
     /*  560845 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(560920), // Rule ID 3244 //
     /*  560850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  560861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  560864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560896 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560918 */     GIR_RootConstrainSelectedInstOperands,
     /*  560919 */     // GIR_Coverage, 3244,
     /*  560919 */     GIR_EraseRootFromParent_Done,
     /*  560920 */   // Label 9197: @560920
     /*  560920 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(560995), // Rule ID 3247 //
     /*  560925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  560936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  560939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  560942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  560974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560993 */     GIR_RootConstrainSelectedInstOperands,
     /*  560994 */     // GIR_Coverage, 3247,
     /*  560994 */     GIR_EraseRootFromParent_Done,
     /*  560995 */   // Label 9198: @560995
     /*  560995 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(561070), // Rule ID 3248 //
     /*  561000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  561011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  561014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  561017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561046 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561068 */     GIR_RootConstrainSelectedInstOperands,
     /*  561069 */     // GIR_Coverage, 3248,
     /*  561069 */     GIR_EraseRootFromParent_Done,
     /*  561070 */   // Label 9199: @561070
     /*  561070 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(561145), // Rule ID 3251 //
     /*  561075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561143 */     GIR_RootConstrainSelectedInstOperands,
     /*  561144 */     // GIR_Coverage, 3251,
     /*  561144 */     GIR_EraseRootFromParent_Done,
     /*  561145 */   // Label 9200: @561145
     /*  561145 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(561220), // Rule ID 3252 //
     /*  561150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561218 */     GIR_RootConstrainSelectedInstOperands,
     /*  561219 */     // GIR_Coverage, 3252,
     /*  561219 */     GIR_EraseRootFromParent_Done,
     /*  561220 */   // Label 9201: @561220
     /*  561220 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(561295), // Rule ID 3255 //
     /*  561225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561293 */     GIR_RootConstrainSelectedInstOperands,
     /*  561294 */     // GIR_Coverage, 3255,
     /*  561294 */     GIR_EraseRootFromParent_Done,
     /*  561295 */   // Label 9202: @561295
     /*  561295 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(561370), // Rule ID 3256 //
     /*  561300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561368 */     GIR_RootConstrainSelectedInstOperands,
     /*  561369 */     // GIR_Coverage, 3256,
     /*  561369 */     GIR_EraseRootFromParent_Done,
     /*  561370 */   // Label 9203: @561370
     /*  561370 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(561445), // Rule ID 3259 //
     /*  561375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561443 */     GIR_RootConstrainSelectedInstOperands,
     /*  561444 */     // GIR_Coverage, 3259,
     /*  561444 */     GIR_EraseRootFromParent_Done,
     /*  561445 */   // Label 9204: @561445
     /*  561445 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(561520), // Rule ID 3260 //
     /*  561450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561496 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561518 */     GIR_RootConstrainSelectedInstOperands,
     /*  561519 */     // GIR_Coverage, 3260,
     /*  561519 */     GIR_EraseRootFromParent_Done,
     /*  561520 */   // Label 9205: @561520
     /*  561520 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(561595), // Rule ID 3263 //
     /*  561525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561593 */     GIR_RootConstrainSelectedInstOperands,
     /*  561594 */     // GIR_Coverage, 3263,
     /*  561594 */     GIR_EraseRootFromParent_Done,
     /*  561595 */   // Label 9206: @561595
     /*  561595 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(561670), // Rule ID 3264 //
     /*  561600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561668 */     GIR_RootConstrainSelectedInstOperands,
     /*  561669 */     // GIR_Coverage, 3264,
     /*  561669 */     GIR_EraseRootFromParent_Done,
     /*  561670 */   // Label 9207: @561670
     /*  561670 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561745), // Rule ID 3267 //
     /*  561675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561743 */     GIR_RootConstrainSelectedInstOperands,
     /*  561744 */     // GIR_Coverage, 3267,
     /*  561744 */     GIR_EraseRootFromParent_Done,
     /*  561745 */   // Label 9208: @561745
     /*  561745 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561820), // Rule ID 3268 //
     /*  561750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561818 */     GIR_RootConstrainSelectedInstOperands,
     /*  561819 */     // GIR_Coverage, 3268,
     /*  561819 */     GIR_EraseRootFromParent_Done,
     /*  561820 */   // Label 9209: @561820
     /*  561820 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561895), // Rule ID 3271 //
     /*  561825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561893 */     GIR_RootConstrainSelectedInstOperands,
     /*  561894 */     // GIR_Coverage, 3271,
     /*  561894 */     GIR_EraseRootFromParent_Done,
     /*  561895 */   // Label 9210: @561895
     /*  561895 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(561970), // Rule ID 3272 //
     /*  561900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561968 */     GIR_RootConstrainSelectedInstOperands,
     /*  561969 */     // GIR_Coverage, 3272,
     /*  561969 */     GIR_EraseRootFromParent_Done,
     /*  561970 */   // Label 9211: @561970
     /*  561970 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(562045), // Rule ID 3275 //
     /*  561975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  561986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  561989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  561992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562043 */     GIR_RootConstrainSelectedInstOperands,
     /*  562044 */     // GIR_Coverage, 3275,
     /*  562044 */     GIR_EraseRootFromParent_Done,
     /*  562045 */   // Label 9212: @562045
     /*  562045 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(562120), // Rule ID 3276 //
     /*  562050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  562061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  562064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562118 */     GIR_RootConstrainSelectedInstOperands,
     /*  562119 */     // GIR_Coverage, 3276,
     /*  562119 */     GIR_EraseRootFromParent_Done,
     /*  562120 */   // Label 9213: @562120
     /*  562120 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(562195), // Rule ID 3279 //
     /*  562125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562193 */     GIR_RootConstrainSelectedInstOperands,
     /*  562194 */     // GIR_Coverage, 3279,
     /*  562194 */     GIR_EraseRootFromParent_Done,
     /*  562195 */   // Label 9214: @562195
     /*  562195 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(562270), // Rule ID 3280 //
     /*  562200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562268 */     GIR_RootConstrainSelectedInstOperands,
     /*  562269 */     // GIR_Coverage, 3280,
     /*  562269 */     GIR_EraseRootFromParent_Done,
     /*  562270 */   // Label 9215: @562270
     /*  562270 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(562345), // Rule ID 3283 //
     /*  562275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562343 */     GIR_RootConstrainSelectedInstOperands,
     /*  562344 */     // GIR_Coverage, 3283,
     /*  562344 */     GIR_EraseRootFromParent_Done,
     /*  562345 */   // Label 9216: @562345
     /*  562345 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(562420), // Rule ID 3284 //
     /*  562350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562418 */     GIR_RootConstrainSelectedInstOperands,
     /*  562419 */     // GIR_Coverage, 3284,
     /*  562419 */     GIR_EraseRootFromParent_Done,
     /*  562420 */   // Label 9217: @562420
     /*  562420 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(562495), // Rule ID 3287 //
     /*  562425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562493 */     GIR_RootConstrainSelectedInstOperands,
     /*  562494 */     // GIR_Coverage, 3287,
     /*  562494 */     GIR_EraseRootFromParent_Done,
     /*  562495 */   // Label 9218: @562495
     /*  562495 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(562570), // Rule ID 3288 //
     /*  562500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562568 */     GIR_RootConstrainSelectedInstOperands,
     /*  562569 */     // GIR_Coverage, 3288,
     /*  562569 */     GIR_EraseRootFromParent_Done,
     /*  562570 */   // Label 9219: @562570
     /*  562570 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(562645), // Rule ID 3291 //
     /*  562575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562643 */     GIR_RootConstrainSelectedInstOperands,
     /*  562644 */     // GIR_Coverage, 3291,
     /*  562644 */     GIR_EraseRootFromParent_Done,
     /*  562645 */   // Label 9220: @562645
     /*  562645 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562720), // Rule ID 3292 //
     /*  562650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562718 */     GIR_RootConstrainSelectedInstOperands,
     /*  562719 */     // GIR_Coverage, 3292,
     /*  562719 */     GIR_EraseRootFromParent_Done,
     /*  562720 */   // Label 9221: @562720
     /*  562720 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562795), // Rule ID 3295 //
     /*  562725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  562774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562793 */     GIR_RootConstrainSelectedInstOperands,
     /*  562794 */     // GIR_Coverage, 3295,
     /*  562794 */     GIR_EraseRootFromParent_Done,
     /*  562795 */   // Label 9222: @562795
     /*  562795 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562870), // Rule ID 3296 //
     /*  562800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  562849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562868 */     GIR_RootConstrainSelectedInstOperands,
     /*  562869 */     // GIR_Coverage, 3296,
     /*  562869 */     GIR_EraseRootFromParent_Done,
     /*  562870 */   // Label 9223: @562870
     /*  562870 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(562945), // Rule ID 3299 //
     /*  562875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562943 */     GIR_RootConstrainSelectedInstOperands,
     /*  562944 */     // GIR_Coverage, 3299,
     /*  562944 */     GIR_EraseRootFromParent_Done,
     /*  562945 */   // Label 9224: @562945
     /*  562945 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(563020), // Rule ID 3300 //
     /*  562950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563018 */     GIR_RootConstrainSelectedInstOperands,
     /*  563019 */     // GIR_Coverage, 3300,
     /*  563019 */     GIR_EraseRootFromParent_Done,
     /*  563020 */   // Label 9225: @563020
     /*  563020 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(563095), // Rule ID 3303 //
     /*  563025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563093 */     GIR_RootConstrainSelectedInstOperands,
     /*  563094 */     // GIR_Coverage, 3303,
     /*  563094 */     GIR_EraseRootFromParent_Done,
     /*  563095 */   // Label 9226: @563095
     /*  563095 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(563170), // Rule ID 3304 //
     /*  563100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563168 */     GIR_RootConstrainSelectedInstOperands,
     /*  563169 */     // GIR_Coverage, 3304,
     /*  563169 */     GIR_EraseRootFromParent_Done,
     /*  563170 */   // Label 9227: @563170
     /*  563170 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(563245), // Rule ID 3307 //
     /*  563175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563243 */     GIR_RootConstrainSelectedInstOperands,
     /*  563244 */     // GIR_Coverage, 3307,
     /*  563244 */     GIR_EraseRootFromParent_Done,
     /*  563245 */   // Label 9228: @563245
     /*  563245 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(563320), // Rule ID 3308 //
     /*  563250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563318 */     GIR_RootConstrainSelectedInstOperands,
     /*  563319 */     // GIR_Coverage, 3308,
     /*  563319 */     GIR_EraseRootFromParent_Done,
     /*  563320 */   // Label 9229: @563320
     /*  563320 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(563395), // Rule ID 3311 //
     /*  563325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563393 */     GIR_RootConstrainSelectedInstOperands,
     /*  563394 */     // GIR_Coverage, 3311,
     /*  563394 */     GIR_EraseRootFromParent_Done,
     /*  563395 */   // Label 9230: @563395
     /*  563395 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(563470), // Rule ID 3312 //
     /*  563400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563446 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563468 */     GIR_RootConstrainSelectedInstOperands,
     /*  563469 */     // GIR_Coverage, 3312,
     /*  563469 */     GIR_EraseRootFromParent_Done,
     /*  563470 */   // Label 9231: @563470
     /*  563470 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(563545), // Rule ID 3315 //
     /*  563475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563543 */     GIR_RootConstrainSelectedInstOperands,
     /*  563544 */     // GIR_Coverage, 3315,
     /*  563544 */     GIR_EraseRootFromParent_Done,
     /*  563545 */   // Label 9232: @563545
     /*  563545 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(563620), // Rule ID 3316 //
     /*  563550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563618 */     GIR_RootConstrainSelectedInstOperands,
     /*  563619 */     // GIR_Coverage, 3316,
     /*  563619 */     GIR_EraseRootFromParent_Done,
     /*  563620 */   // Label 9233: @563620
     /*  563620 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(563695), // Rule ID 3319 //
     /*  563625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563693 */     GIR_RootConstrainSelectedInstOperands,
     /*  563694 */     // GIR_Coverage, 3319,
     /*  563694 */     GIR_EraseRootFromParent_Done,
     /*  563695 */   // Label 9234: @563695
     /*  563695 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563770), // Rule ID 3320 //
     /*  563700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563768 */     GIR_RootConstrainSelectedInstOperands,
     /*  563769 */     // GIR_Coverage, 3320,
     /*  563769 */     GIR_EraseRootFromParent_Done,
     /*  563770 */   // Label 9235: @563770
     /*  563770 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563845), // Rule ID 3323 //
     /*  563775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  563792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563843 */     GIR_RootConstrainSelectedInstOperands,
     /*  563844 */     // GIR_Coverage, 3323,
     /*  563844 */     GIR_EraseRootFromParent_Done,
     /*  563845 */   // Label 9236: @563845
     /*  563845 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(563920), // Rule ID 3324 //
     /*  563850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  563867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563918 */     GIR_RootConstrainSelectedInstOperands,
     /*  563919 */     // GIR_Coverage, 3324,
     /*  563919 */     GIR_EraseRootFromParent_Done,
     /*  563920 */   // Label 9237: @563920
     /*  563920 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(563995), // Rule ID 3327 //
     /*  563925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  563936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  563939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  563942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  563974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563993 */     GIR_RootConstrainSelectedInstOperands,
     /*  563994 */     // GIR_Coverage, 3327,
     /*  563994 */     GIR_EraseRootFromParent_Done,
     /*  563995 */   // Label 9238: @563995
     /*  563995 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(564070), // Rule ID 3328 //
     /*  564000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  564011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  564014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564046 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564068 */     GIR_RootConstrainSelectedInstOperands,
     /*  564069 */     // GIR_Coverage, 3328,
     /*  564069 */     GIR_EraseRootFromParent_Done,
     /*  564070 */   // Label 9239: @564070
     /*  564070 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(564145), // Rule ID 3331 //
     /*  564075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564143 */     GIR_RootConstrainSelectedInstOperands,
     /*  564144 */     // GIR_Coverage, 3331,
     /*  564144 */     GIR_EraseRootFromParent_Done,
     /*  564145 */   // Label 9240: @564145
     /*  564145 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(564220), // Rule ID 3332 //
     /*  564150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564196 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564218 */     GIR_RootConstrainSelectedInstOperands,
     /*  564219 */     // GIR_Coverage, 3332,
     /*  564219 */     GIR_EraseRootFromParent_Done,
     /*  564220 */   // Label 9241: @564220
     /*  564220 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(564295), // Rule ID 3335 //
     /*  564225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564293 */     GIR_RootConstrainSelectedInstOperands,
     /*  564294 */     // GIR_Coverage, 3335,
     /*  564294 */     GIR_EraseRootFromParent_Done,
     /*  564295 */   // Label 9242: @564295
     /*  564295 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(564370), // Rule ID 3336 //
     /*  564300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564346 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564368 */     GIR_RootConstrainSelectedInstOperands,
     /*  564369 */     // GIR_Coverage, 3336,
     /*  564369 */     GIR_EraseRootFromParent_Done,
     /*  564370 */   // Label 9243: @564370
     /*  564370 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(564445), // Rule ID 3339 //
     /*  564375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564443 */     GIR_RootConstrainSelectedInstOperands,
     /*  564444 */     // GIR_Coverage, 3339,
     /*  564444 */     GIR_EraseRootFromParent_Done,
     /*  564445 */   // Label 9244: @564445
     /*  564445 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(564520), // Rule ID 3340 //
     /*  564450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564518 */     GIR_RootConstrainSelectedInstOperands,
     /*  564519 */     // GIR_Coverage, 3340,
     /*  564519 */     GIR_EraseRootFromParent_Done,
     /*  564520 */   // Label 9245: @564520
     /*  564520 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(564595), // Rule ID 3343 //
     /*  564525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564593 */     GIR_RootConstrainSelectedInstOperands,
     /*  564594 */     // GIR_Coverage, 3343,
     /*  564594 */     GIR_EraseRootFromParent_Done,
     /*  564595 */   // Label 9246: @564595
     /*  564595 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(564670), // Rule ID 3344 //
     /*  564600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564646 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564668 */     GIR_RootConstrainSelectedInstOperands,
     /*  564669 */     // GIR_Coverage, 3344,
     /*  564669 */     GIR_EraseRootFromParent_Done,
     /*  564670 */   // Label 9247: @564670
     /*  564670 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564745), // Rule ID 3347 //
     /*  564675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  564686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  564689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  564692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564743 */     GIR_RootConstrainSelectedInstOperands,
     /*  564744 */     // GIR_Coverage, 3347,
     /*  564744 */     GIR_EraseRootFromParent_Done,
     /*  564745 */   // Label 9248: @564745
     /*  564745 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564820), // Rule ID 3348 //
     /*  564750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  564761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  564764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  564767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564818 */     GIR_RootConstrainSelectedInstOperands,
     /*  564819 */     // GIR_Coverage, 3348,
     /*  564819 */     GIR_EraseRootFromParent_Done,
     /*  564820 */   // Label 9249: @564820
     /*  564820 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564895), // Rule ID 3351 //
     /*  564825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  564842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564893 */     GIR_RootConstrainSelectedInstOperands,
     /*  564894 */     // GIR_Coverage, 3351,
     /*  564894 */     GIR_EraseRootFromParent_Done,
     /*  564895 */   // Label 9250: @564895
     /*  564895 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(564970), // Rule ID 3352 //
     /*  564900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  564917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564968 */     GIR_RootConstrainSelectedInstOperands,
     /*  564969 */     // GIR_Coverage, 3352,
     /*  564969 */     GIR_EraseRootFromParent_Done,
     /*  564970 */   // Label 9251: @564970
     /*  564970 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(565045), // Rule ID 3355 //
     /*  564975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  564986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  564989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  564992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565043 */     GIR_RootConstrainSelectedInstOperands,
     /*  565044 */     // GIR_Coverage, 3355,
     /*  565044 */     GIR_EraseRootFromParent_Done,
     /*  565045 */   // Label 9252: @565045
     /*  565045 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(565120), // Rule ID 3356 //
     /*  565050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  565067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565118 */     GIR_RootConstrainSelectedInstOperands,
     /*  565119 */     // GIR_Coverage, 3356,
     /*  565119 */     GIR_EraseRootFromParent_Done,
     /*  565120 */   // Label 9253: @565120
     /*  565120 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(565195), // Rule ID 3359 //
     /*  565125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565193 */     GIR_RootConstrainSelectedInstOperands,
     /*  565194 */     // GIR_Coverage, 3359,
     /*  565194 */     GIR_EraseRootFromParent_Done,
     /*  565195 */   // Label 9254: @565195
     /*  565195 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(565270), // Rule ID 3360 //
     /*  565200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565268 */     GIR_RootConstrainSelectedInstOperands,
     /*  565269 */     // GIR_Coverage, 3360,
     /*  565269 */     GIR_EraseRootFromParent_Done,
     /*  565270 */   // Label 9255: @565270
     /*  565270 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(565345), // Rule ID 3363 //
     /*  565275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565343 */     GIR_RootConstrainSelectedInstOperands,
     /*  565344 */     // GIR_Coverage, 3363,
     /*  565344 */     GIR_EraseRootFromParent_Done,
     /*  565345 */   // Label 9256: @565345
     /*  565345 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(565420), // Rule ID 3364 //
     /*  565350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565418 */     GIR_RootConstrainSelectedInstOperands,
     /*  565419 */     // GIR_Coverage, 3364,
     /*  565419 */     GIR_EraseRootFromParent_Done,
     /*  565420 */   // Label 9257: @565420
     /*  565420 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(565495), // Rule ID 3367 //
     /*  565425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565493 */     GIR_RootConstrainSelectedInstOperands,
     /*  565494 */     // GIR_Coverage, 3367,
     /*  565494 */     GIR_EraseRootFromParent_Done,
     /*  565495 */   // Label 9258: @565495
     /*  565495 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(565570), // Rule ID 3368 //
     /*  565500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565568 */     GIR_RootConstrainSelectedInstOperands,
     /*  565569 */     // GIR_Coverage, 3368,
     /*  565569 */     GIR_EraseRootFromParent_Done,
     /*  565570 */   // Label 9259: @565570
     /*  565570 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(565645), // Rule ID 3371 //
     /*  565575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565643 */     GIR_RootConstrainSelectedInstOperands,
     /*  565644 */     // GIR_Coverage, 3371,
     /*  565644 */     GIR_EraseRootFromParent_Done,
     /*  565645 */   // Label 9260: @565645
     /*  565645 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565720), // Rule ID 3372 //
     /*  565650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565718 */     GIR_RootConstrainSelectedInstOperands,
     /*  565719 */     // GIR_Coverage, 3372,
     /*  565719 */     GIR_EraseRootFromParent_Done,
     /*  565720 */   // Label 9261: @565720
     /*  565720 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565795), // Rule ID 3463 //
     /*  565725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  565736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  565739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  565742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  565745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  565774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565793 */     GIR_RootConstrainSelectedInstOperands,
     /*  565794 */     // GIR_Coverage, 3463,
     /*  565794 */     GIR_EraseRootFromParent_Done,
     /*  565795 */   // Label 9262: @565795
     /*  565795 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565870), // Rule ID 3464 //
     /*  565800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  565811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  565814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  565817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  565820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  565849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565868 */     GIR_RootConstrainSelectedInstOperands,
     /*  565869 */     // GIR_Coverage, 3464,
     /*  565869 */     GIR_EraseRootFromParent_Done,
     /*  565870 */   // Label 9263: @565870
     /*  565870 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(565945), // Rule ID 3467 //
     /*  565875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  565886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  565889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  565892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  565895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  565924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565943 */     GIR_RootConstrainSelectedInstOperands,
     /*  565944 */     // GIR_Coverage, 3467,
     /*  565944 */     GIR_EraseRootFromParent_Done,
     /*  565945 */   // Label 9264: @565945
     /*  565945 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(566020), // Rule ID 3468 //
     /*  565950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  565961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  565964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  565967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  565970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  565999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566018 */     GIR_RootConstrainSelectedInstOperands,
     /*  566019 */     // GIR_Coverage, 3468,
     /*  566019 */     GIR_EraseRootFromParent_Done,
     /*  566020 */   // Label 9265: @566020
     /*  566020 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(566095), // Rule ID 3471 //
     /*  566025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  566045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566093 */     GIR_RootConstrainSelectedInstOperands,
     /*  566094 */     // GIR_Coverage, 3471,
     /*  566094 */     GIR_EraseRootFromParent_Done,
     /*  566095 */   // Label 9266: @566095
     /*  566095 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(566170), // Rule ID 3472 //
     /*  566100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  566120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566168 */     GIR_RootConstrainSelectedInstOperands,
     /*  566169 */     // GIR_Coverage, 3472,
     /*  566169 */     GIR_EraseRootFromParent_Done,
     /*  566170 */   // Label 9267: @566170
     /*  566170 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(566245), // Rule ID 3475 //
     /*  566175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566243 */     GIR_RootConstrainSelectedInstOperands,
     /*  566244 */     // GIR_Coverage, 3475,
     /*  566244 */     GIR_EraseRootFromParent_Done,
     /*  566245 */   // Label 9268: @566245
     /*  566245 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(566320), // Rule ID 3476 //
     /*  566250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566318 */     GIR_RootConstrainSelectedInstOperands,
     /*  566319 */     // GIR_Coverage, 3476,
     /*  566319 */     GIR_EraseRootFromParent_Done,
     /*  566320 */   // Label 9269: @566320
     /*  566320 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(566395), // Rule ID 3479 //
     /*  566325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566393 */     GIR_RootConstrainSelectedInstOperands,
     /*  566394 */     // GIR_Coverage, 3479,
     /*  566394 */     GIR_EraseRootFromParent_Done,
     /*  566395 */   // Label 9270: @566395
     /*  566395 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(566470), // Rule ID 3480 //
     /*  566400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566468 */     GIR_RootConstrainSelectedInstOperands,
     /*  566469 */     // GIR_Coverage, 3480,
     /*  566469 */     GIR_EraseRootFromParent_Done,
     /*  566470 */   // Label 9271: @566470
     /*  566470 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(566545), // Rule ID 3483 //
     /*  566475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566543 */     GIR_RootConstrainSelectedInstOperands,
     /*  566544 */     // GIR_Coverage, 3483,
     /*  566544 */     GIR_EraseRootFromParent_Done,
     /*  566545 */   // Label 9272: @566545
     /*  566545 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(566620), // Rule ID 3484 //
     /*  566550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566596 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566618 */     GIR_RootConstrainSelectedInstOperands,
     /*  566619 */     // GIR_Coverage, 3484,
     /*  566619 */     GIR_EraseRootFromParent_Done,
     /*  566620 */   // Label 9273: @566620
     /*  566620 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(566695), // Rule ID 3487 //
     /*  566625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  566636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  566639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  566642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  566645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566693 */     GIR_RootConstrainSelectedInstOperands,
     /*  566694 */     // GIR_Coverage, 3487,
     /*  566694 */     GIR_EraseRootFromParent_Done,
     /*  566695 */   // Label 9274: @566695
     /*  566695 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566770), // Rule ID 3488 //
     /*  566700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  566711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  566714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  566717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  566720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566768 */     GIR_RootConstrainSelectedInstOperands,
     /*  566769 */     // GIR_Coverage, 3488,
     /*  566769 */     GIR_EraseRootFromParent_Done,
     /*  566770 */   // Label 9275: @566770
     /*  566770 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566845), // Rule ID 3491 //
     /*  566775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  566786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  566789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  566792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  566795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566843 */     GIR_RootConstrainSelectedInstOperands,
     /*  566844 */     // GIR_Coverage, 3491,
     /*  566844 */     GIR_EraseRootFromParent_Done,
     /*  566845 */   // Label 9276: @566845
     /*  566845 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(566920), // Rule ID 3492 //
     /*  566850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  566861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  566864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  566867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  566870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566918 */     GIR_RootConstrainSelectedInstOperands,
     /*  566919 */     // GIR_Coverage, 3492,
     /*  566919 */     GIR_EraseRootFromParent_Done,
     /*  566920 */   // Label 9277: @566920
     /*  566920 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(566995), // Rule ID 3495 //
     /*  566925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  566942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  566945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566993 */     GIR_RootConstrainSelectedInstOperands,
     /*  566994 */     // GIR_Coverage, 3495,
     /*  566994 */     GIR_EraseRootFromParent_Done,
     /*  566995 */   // Label 9278: @566995
     /*  566995 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(567070), // Rule ID 3496 //
     /*  567000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  567020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567068 */     GIR_RootConstrainSelectedInstOperands,
     /*  567069 */     // GIR_Coverage, 3496,
     /*  567069 */     GIR_EraseRootFromParent_Done,
     /*  567070 */   // Label 9279: @567070
     /*  567070 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(567145), // Rule ID 3499 //
     /*  567075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567143 */     GIR_RootConstrainSelectedInstOperands,
     /*  567144 */     // GIR_Coverage, 3499,
     /*  567144 */     GIR_EraseRootFromParent_Done,
     /*  567145 */   // Label 9280: @567145
     /*  567145 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(567220), // Rule ID 3500 //
     /*  567150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567218 */     GIR_RootConstrainSelectedInstOperands,
     /*  567219 */     // GIR_Coverage, 3500,
     /*  567219 */     GIR_EraseRootFromParent_Done,
     /*  567220 */   // Label 9281: @567220
     /*  567220 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(567295), // Rule ID 3503 //
     /*  567225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567293 */     GIR_RootConstrainSelectedInstOperands,
     /*  567294 */     // GIR_Coverage, 3503,
     /*  567294 */     GIR_EraseRootFromParent_Done,
     /*  567295 */   // Label 9282: @567295
     /*  567295 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(567370), // Rule ID 3504 //
     /*  567300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567368 */     GIR_RootConstrainSelectedInstOperands,
     /*  567369 */     // GIR_Coverage, 3504,
     /*  567369 */     GIR_EraseRootFromParent_Done,
     /*  567370 */   // Label 9283: @567370
     /*  567370 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(567445), // Rule ID 3507 //
     /*  567375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567443 */     GIR_RootConstrainSelectedInstOperands,
     /*  567444 */     // GIR_Coverage, 3507,
     /*  567444 */     GIR_EraseRootFromParent_Done,
     /*  567445 */   // Label 9284: @567445
     /*  567445 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(567520), // Rule ID 3508 //
     /*  567450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567518 */     GIR_RootConstrainSelectedInstOperands,
     /*  567519 */     // GIR_Coverage, 3508,
     /*  567519 */     GIR_EraseRootFromParent_Done,
     /*  567520 */   // Label 9285: @567520
     /*  567520 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(567595), // Rule ID 3511 //
     /*  567525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  567542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567593 */     GIR_RootConstrainSelectedInstOperands,
     /*  567594 */     // GIR_Coverage, 3511,
     /*  567594 */     GIR_EraseRootFromParent_Done,
     /*  567595 */   // Label 9286: @567595
     /*  567595 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(567670), // Rule ID 3512 //
     /*  567600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  567617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567668 */     GIR_RootConstrainSelectedInstOperands,
     /*  567669 */     // GIR_Coverage, 3512,
     /*  567669 */     GIR_EraseRootFromParent_Done,
     /*  567670 */   // Label 9287: @567670
     /*  567670 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567745), // Rule ID 3515 //
     /*  567675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  567686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  567689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  567692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  567695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567743 */     GIR_RootConstrainSelectedInstOperands,
     /*  567744 */     // GIR_Coverage, 3515,
     /*  567744 */     GIR_EraseRootFromParent_Done,
     /*  567745 */   // Label 9288: @567745
     /*  567745 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567820), // Rule ID 3516 //
     /*  567750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  567761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  567764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  567767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  567770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567818 */     GIR_RootConstrainSelectedInstOperands,
     /*  567819 */     // GIR_Coverage, 3516,
     /*  567819 */     GIR_EraseRootFromParent_Done,
     /*  567820 */   // Label 9289: @567820
     /*  567820 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567895), // Rule ID 3519 //
     /*  567825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  567842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  567845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567893 */     GIR_RootConstrainSelectedInstOperands,
     /*  567894 */     // GIR_Coverage, 3519,
     /*  567894 */     GIR_EraseRootFromParent_Done,
     /*  567895 */   // Label 9290: @567895
     /*  567895 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(567970), // Rule ID 3520 //
     /*  567900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  567917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  567920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567968 */     GIR_RootConstrainSelectedInstOperands,
     /*  567969 */     // GIR_Coverage, 3520,
     /*  567969 */     GIR_EraseRootFromParent_Done,
     /*  567970 */   // Label 9291: @567970
     /*  567970 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(568045), // Rule ID 3523 //
     /*  567975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  567992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  568024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568043 */     GIR_RootConstrainSelectedInstOperands,
     /*  568044 */     // GIR_Coverage, 3523,
     /*  568044 */     GIR_EraseRootFromParent_Done,
     /*  568045 */   // Label 9292: @568045
     /*  568045 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(568120), // Rule ID 3524 //
     /*  568050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  568099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568118 */     GIR_RootConstrainSelectedInstOperands,
     /*  568119 */     // GIR_Coverage, 3524,
     /*  568119 */     GIR_EraseRootFromParent_Done,
     /*  568120 */   // Label 9293: @568120
     /*  568120 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(568195), // Rule ID 3527 //
     /*  568125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568193 */     GIR_RootConstrainSelectedInstOperands,
     /*  568194 */     // GIR_Coverage, 3527,
     /*  568194 */     GIR_EraseRootFromParent_Done,
     /*  568195 */   // Label 9294: @568195
     /*  568195 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(568270), // Rule ID 3528 //
     /*  568200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568268 */     GIR_RootConstrainSelectedInstOperands,
     /*  568269 */     // GIR_Coverage, 3528,
     /*  568269 */     GIR_EraseRootFromParent_Done,
     /*  568270 */   // Label 9295: @568270
     /*  568270 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(568345), // Rule ID 3531 //
     /*  568275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568343 */     GIR_RootConstrainSelectedInstOperands,
     /*  568344 */     // GIR_Coverage, 3531,
     /*  568344 */     GIR_EraseRootFromParent_Done,
     /*  568345 */   // Label 9296: @568345
     /*  568345 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(568420), // Rule ID 3532 //
     /*  568350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568418 */     GIR_RootConstrainSelectedInstOperands,
     /*  568419 */     // GIR_Coverage, 3532,
     /*  568419 */     GIR_EraseRootFromParent_Done,
     /*  568420 */   // Label 9297: @568420
     /*  568420 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(568495), // Rule ID 3535 //
     /*  568425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568493 */     GIR_RootConstrainSelectedInstOperands,
     /*  568494 */     // GIR_Coverage, 3535,
     /*  568494 */     GIR_EraseRootFromParent_Done,
     /*  568495 */   // Label 9298: @568495
     /*  568495 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(568570), // Rule ID 3536 //
     /*  568500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568568 */     GIR_RootConstrainSelectedInstOperands,
     /*  568569 */     // GIR_Coverage, 3536,
     /*  568569 */     GIR_EraseRootFromParent_Done,
     /*  568570 */   // Label 9299: @568570
     /*  568570 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(568645), // Rule ID 3539 //
     /*  568575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568643 */     GIR_RootConstrainSelectedInstOperands,
     /*  568644 */     // GIR_Coverage, 3539,
     /*  568644 */     GIR_EraseRootFromParent_Done,
     /*  568645 */   // Label 9300: @568645
     /*  568645 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568720), // Rule ID 3540 //
     /*  568650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568718 */     GIR_RootConstrainSelectedInstOperands,
     /*  568719 */     // GIR_Coverage, 3540,
     /*  568719 */     GIR_EraseRootFromParent_Done,
     /*  568720 */   // Label 9301: @568720
     /*  568720 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568795), // Rule ID 3543 //
     /*  568725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  568736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  568739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568793 */     GIR_RootConstrainSelectedInstOperands,
     /*  568794 */     // GIR_Coverage, 3543,
     /*  568794 */     GIR_EraseRootFromParent_Done,
     /*  568795 */   // Label 9302: @568795
     /*  568795 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568870), // Rule ID 3544 //
     /*  568800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  568811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  568814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568868 */     GIR_RootConstrainSelectedInstOperands,
     /*  568869 */     // GIR_Coverage, 3544,
     /*  568869 */     GIR_EraseRootFromParent_Done,
     /*  568870 */   // Label 9303: @568870
     /*  568870 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(568945), // Rule ID 3547 //
     /*  568875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  568892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568943 */     GIR_RootConstrainSelectedInstOperands,
     /*  568944 */     // GIR_Coverage, 3547,
     /*  568944 */     GIR_EraseRootFromParent_Done,
     /*  568945 */   // Label 9304: @568945
     /*  568945 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(569020), // Rule ID 3548 //
     /*  568950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  568967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569018 */     GIR_RootConstrainSelectedInstOperands,
     /*  569019 */     // GIR_Coverage, 3548,
     /*  569019 */     GIR_EraseRootFromParent_Done,
     /*  569020 */   // Label 9305: @569020
     /*  569020 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(569095), // Rule ID 3551 //
     /*  569025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569093 */     GIR_RootConstrainSelectedInstOperands,
     /*  569094 */     // GIR_Coverage, 3551,
     /*  569094 */     GIR_EraseRootFromParent_Done,
     /*  569095 */   // Label 9306: @569095
     /*  569095 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(569170), // Rule ID 3552 //
     /*  569100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569168 */     GIR_RootConstrainSelectedInstOperands,
     /*  569169 */     // GIR_Coverage, 3552,
     /*  569169 */     GIR_EraseRootFromParent_Done,
     /*  569170 */   // Label 9307: @569170
     /*  569170 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(569245), // Rule ID 3555 //
     /*  569175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569243 */     GIR_RootConstrainSelectedInstOperands,
     /*  569244 */     // GIR_Coverage, 3555,
     /*  569244 */     GIR_EraseRootFromParent_Done,
     /*  569245 */   // Label 9308: @569245
     /*  569245 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(569320), // Rule ID 3556 //
     /*  569250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569318 */     GIR_RootConstrainSelectedInstOperands,
     /*  569319 */     // GIR_Coverage, 3556,
     /*  569319 */     GIR_EraseRootFromParent_Done,
     /*  569320 */   // Label 9309: @569320
     /*  569320 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(569395), // Rule ID 3559 //
     /*  569325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569393 */     GIR_RootConstrainSelectedInstOperands,
     /*  569394 */     // GIR_Coverage, 3559,
     /*  569394 */     GIR_EraseRootFromParent_Done,
     /*  569395 */   // Label 9310: @569395
     /*  569395 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(569470), // Rule ID 3560 //
     /*  569400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569468 */     GIR_RootConstrainSelectedInstOperands,
     /*  569469 */     // GIR_Coverage, 3560,
     /*  569469 */     GIR_EraseRootFromParent_Done,
     /*  569470 */   // Label 9311: @569470
     /*  569470 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(569545), // Rule ID 3563 //
     /*  569475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569543 */     GIR_RootConstrainSelectedInstOperands,
     /*  569544 */     // GIR_Coverage, 3563,
     /*  569544 */     GIR_EraseRootFromParent_Done,
     /*  569545 */   // Label 9312: @569545
     /*  569545 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(569620), // Rule ID 3564 //
     /*  569550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569618 */     GIR_RootConstrainSelectedInstOperands,
     /*  569619 */     // GIR_Coverage, 3564,
     /*  569619 */     GIR_EraseRootFromParent_Done,
     /*  569620 */   // Label 9313: @569620
     /*  569620 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(569695), // Rule ID 3567 //
     /*  569625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  569636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  569639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  569642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569693 */     GIR_RootConstrainSelectedInstOperands,
     /*  569694 */     // GIR_Coverage, 3567,
     /*  569694 */     GIR_EraseRootFromParent_Done,
     /*  569695 */   // Label 9314: @569695
     /*  569695 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569770), // Rule ID 3568 //
     /*  569700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  569711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  569714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  569717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569768 */     GIR_RootConstrainSelectedInstOperands,
     /*  569769 */     // GIR_Coverage, 3568,
     /*  569769 */     GIR_EraseRootFromParent_Done,
     /*  569770 */   // Label 9315: @569770
     /*  569770 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569845), // Rule ID 3571 //
     /*  569775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  569786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  569789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  569792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569843 */     GIR_RootConstrainSelectedInstOperands,
     /*  569844 */     // GIR_Coverage, 3571,
     /*  569844 */     GIR_EraseRootFromParent_Done,
     /*  569845 */   // Label 9316: @569845
     /*  569845 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(569920), // Rule ID 3572 //
     /*  569850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  569861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  569864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  569867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569918 */     GIR_RootConstrainSelectedInstOperands,
     /*  569919 */     // GIR_Coverage, 3572,
     /*  569919 */     GIR_EraseRootFromParent_Done,
     /*  569920 */   // Label 9317: @569920
     /*  569920 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(569995), // Rule ID 3575 //
     /*  569925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  569936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  569939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569993 */     GIR_RootConstrainSelectedInstOperands,
     /*  569994 */     // GIR_Coverage, 3575,
     /*  569994 */     GIR_EraseRootFromParent_Done,
     /*  569995 */   // Label 9318: @569995
     /*  569995 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(570070), // Rule ID 3576 //
     /*  570000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  570049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570068 */     GIR_RootConstrainSelectedInstOperands,
     /*  570069 */     // GIR_Coverage, 3576,
     /*  570069 */     GIR_EraseRootFromParent_Done,
     /*  570070 */   // Label 9319: @570070
     /*  570070 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(570145), // Rule ID 3579 //
     /*  570075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570143 */     GIR_RootConstrainSelectedInstOperands,
     /*  570144 */     // GIR_Coverage, 3579,
     /*  570144 */     GIR_EraseRootFromParent_Done,
     /*  570145 */   // Label 9320: @570145
     /*  570145 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(570220), // Rule ID 3580 //
     /*  570150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570218 */     GIR_RootConstrainSelectedInstOperands,
     /*  570219 */     // GIR_Coverage, 3580,
     /*  570219 */     GIR_EraseRootFromParent_Done,
     /*  570220 */   // Label 9321: @570220
     /*  570220 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(570295), // Rule ID 3583 //
     /*  570225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570293 */     GIR_RootConstrainSelectedInstOperands,
     /*  570294 */     // GIR_Coverage, 3583,
     /*  570294 */     GIR_EraseRootFromParent_Done,
     /*  570295 */   // Label 9322: @570295
     /*  570295 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(570370), // Rule ID 3584 //
     /*  570300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570368 */     GIR_RootConstrainSelectedInstOperands,
     /*  570369 */     // GIR_Coverage, 3584,
     /*  570369 */     GIR_EraseRootFromParent_Done,
     /*  570370 */   // Label 9323: @570370
     /*  570370 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(570445), // Rule ID 3587 //
     /*  570375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570421 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570443 */     GIR_RootConstrainSelectedInstOperands,
     /*  570444 */     // GIR_Coverage, 3587,
     /*  570444 */     GIR_EraseRootFromParent_Done,
     /*  570445 */   // Label 9324: @570445
     /*  570445 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(570520), // Rule ID 3588 //
     /*  570450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570518 */     GIR_RootConstrainSelectedInstOperands,
     /*  570519 */     // GIR_Coverage, 3588,
     /*  570519 */     GIR_EraseRootFromParent_Done,
     /*  570520 */   // Label 9325: @570520
     /*  570520 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(570595), // Rule ID 3591 //
     /*  570525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570593 */     GIR_RootConstrainSelectedInstOperands,
     /*  570594 */     // GIR_Coverage, 3591,
     /*  570594 */     GIR_EraseRootFromParent_Done,
     /*  570595 */   // Label 9326: @570595
     /*  570595 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(570670), // Rule ID 3592 //
     /*  570600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570668 */     GIR_RootConstrainSelectedInstOperands,
     /*  570669 */     // GIR_Coverage, 3592,
     /*  570669 */     GIR_EraseRootFromParent_Done,
     /*  570670 */   // Label 9327: @570670
     /*  570670 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570745), // Rule ID 3595 //
     /*  570675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  570686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  570689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570743 */     GIR_RootConstrainSelectedInstOperands,
     /*  570744 */     // GIR_Coverage, 3595,
     /*  570744 */     GIR_EraseRootFromParent_Done,
     /*  570745 */   // Label 9328: @570745
     /*  570745 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570820), // Rule ID 3596 //
     /*  570750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  570761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  570764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570818 */     GIR_RootConstrainSelectedInstOperands,
     /*  570819 */     // GIR_Coverage, 3596,
     /*  570819 */     GIR_EraseRootFromParent_Done,
     /*  570820 */   // Label 9329: @570820
     /*  570820 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570895), // Rule ID 3599 //
     /*  570825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  570836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  570839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  570874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570893 */     GIR_RootConstrainSelectedInstOperands,
     /*  570894 */     // GIR_Coverage, 3599,
     /*  570894 */     GIR_EraseRootFromParent_Done,
     /*  570895 */   // Label 9330: @570895
     /*  570895 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(570970), // Rule ID 3600 //
     /*  570900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  570911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  570914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  570949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570968 */     GIR_RootConstrainSelectedInstOperands,
     /*  570969 */     // GIR_Coverage, 3600,
     /*  570969 */     GIR_EraseRootFromParent_Done,
     /*  570970 */   // Label 9331: @570970
     /*  570970 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(571045), // Rule ID 3603 //
     /*  570975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  570986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  570989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  570992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  570995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571043 */     GIR_RootConstrainSelectedInstOperands,
     /*  571044 */     // GIR_Coverage, 3603,
     /*  571044 */     GIR_EraseRootFromParent_Done,
     /*  571045 */   // Label 9332: @571045
     /*  571045 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(571120), // Rule ID 3604 //
     /*  571050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571118 */     GIR_RootConstrainSelectedInstOperands,
     /*  571119 */     // GIR_Coverage, 3604,
     /*  571119 */     GIR_EraseRootFromParent_Done,
     /*  571120 */   // Label 9333: @571120
     /*  571120 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(571195), // Rule ID 3607 //
     /*  571125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571193 */     GIR_RootConstrainSelectedInstOperands,
     /*  571194 */     // GIR_Coverage, 3607,
     /*  571194 */     GIR_EraseRootFromParent_Done,
     /*  571195 */   // Label 9334: @571195
     /*  571195 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(571270), // Rule ID 3608 //
     /*  571200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571268 */     GIR_RootConstrainSelectedInstOperands,
     /*  571269 */     // GIR_Coverage, 3608,
     /*  571269 */     GIR_EraseRootFromParent_Done,
     /*  571270 */   // Label 9335: @571270
     /*  571270 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(571345), // Rule ID 3611 //
     /*  571275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571343 */     GIR_RootConstrainSelectedInstOperands,
     /*  571344 */     // GIR_Coverage, 3611,
     /*  571344 */     GIR_EraseRootFromParent_Done,
     /*  571345 */   // Label 9336: @571345
     /*  571345 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(571420), // Rule ID 3612 //
     /*  571350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571418 */     GIR_RootConstrainSelectedInstOperands,
     /*  571419 */     // GIR_Coverage, 3612,
     /*  571419 */     GIR_EraseRootFromParent_Done,
     /*  571420 */   // Label 9337: @571420
     /*  571420 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(571495), // Rule ID 3615 //
     /*  571425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571493 */     GIR_RootConstrainSelectedInstOperands,
     /*  571494 */     // GIR_Coverage, 3615,
     /*  571494 */     GIR_EraseRootFromParent_Done,
     /*  571495 */   // Label 9338: @571495
     /*  571495 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(571570), // Rule ID 3616 //
     /*  571500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571568 */     GIR_RootConstrainSelectedInstOperands,
     /*  571569 */     // GIR_Coverage, 3616,
     /*  571569 */     GIR_EraseRootFromParent_Done,
     /*  571570 */   // Label 9339: @571570
     /*  571570 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(571645), // Rule ID 3619 //
     /*  571575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571643 */     GIR_RootConstrainSelectedInstOperands,
     /*  571644 */     // GIR_Coverage, 3619,
     /*  571644 */     GIR_EraseRootFromParent_Done,
     /*  571645 */   // Label 9340: @571645
     /*  571645 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571720), // Rule ID 3620 //
     /*  571650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571718 */     GIR_RootConstrainSelectedInstOperands,
     /*  571719 */     // GIR_Coverage, 3620,
     /*  571719 */     GIR_EraseRootFromParent_Done,
     /*  571720 */   // Label 9341: @571720
     /*  571720 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571795), // Rule ID 3623 //
     /*  571725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571793 */     GIR_RootConstrainSelectedInstOperands,
     /*  571794 */     // GIR_Coverage, 3623,
     /*  571794 */     GIR_EraseRootFromParent_Done,
     /*  571795 */   // Label 9342: @571795
     /*  571795 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571870), // Rule ID 3624 //
     /*  571800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571868 */     GIR_RootConstrainSelectedInstOperands,
     /*  571869 */     // GIR_Coverage, 3624,
     /*  571869 */     GIR_EraseRootFromParent_Done,
     /*  571870 */   // Label 9343: @571870
     /*  571870 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(571945), // Rule ID 3627 //
     /*  571875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  571886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  571889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  571892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  571895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571943 */     GIR_RootConstrainSelectedInstOperands,
     /*  571944 */     // GIR_Coverage, 3627,
     /*  571944 */     GIR_EraseRootFromParent_Done,
     /*  571945 */   // Label 9344: @571945
     /*  571945 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(572020), // Rule ID 3628 //
     /*  571950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  571961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  571964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  571967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  571970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572018 */     GIR_RootConstrainSelectedInstOperands,
     /*  572019 */     // GIR_Coverage, 3628,
     /*  572019 */     GIR_EraseRootFromParent_Done,
     /*  572020 */   // Label 9345: @572020
     /*  572020 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(572095), // Rule ID 3631 //
     /*  572025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572093 */     GIR_RootConstrainSelectedInstOperands,
     /*  572094 */     // GIR_Coverage, 3631,
     /*  572094 */     GIR_EraseRootFromParent_Done,
     /*  572095 */   // Label 9346: @572095
     /*  572095 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(572170), // Rule ID 3632 //
     /*  572100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572168 */     GIR_RootConstrainSelectedInstOperands,
     /*  572169 */     // GIR_Coverage, 3632,
     /*  572169 */     GIR_EraseRootFromParent_Done,
     /*  572170 */   // Label 9347: @572170
     /*  572170 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(572245), // Rule ID 3635 //
     /*  572175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572221 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572243 */     GIR_RootConstrainSelectedInstOperands,
     /*  572244 */     // GIR_Coverage, 3635,
     /*  572244 */     GIR_EraseRootFromParent_Done,
     /*  572245 */   // Label 9348: @572245
     /*  572245 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(572320), // Rule ID 3636 //
     /*  572250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572318 */     GIR_RootConstrainSelectedInstOperands,
     /*  572319 */     // GIR_Coverage, 3636,
     /*  572319 */     GIR_EraseRootFromParent_Done,
     /*  572320 */   // Label 9349: @572320
     /*  572320 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(572395), // Rule ID 3639 //
     /*  572325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572371 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572393 */     GIR_RootConstrainSelectedInstOperands,
     /*  572394 */     // GIR_Coverage, 3639,
     /*  572394 */     GIR_EraseRootFromParent_Done,
     /*  572395 */   // Label 9350: @572395
     /*  572395 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(572470), // Rule ID 3640 //
     /*  572400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572468 */     GIR_RootConstrainSelectedInstOperands,
     /*  572469 */     // GIR_Coverage, 3640,
     /*  572469 */     GIR_EraseRootFromParent_Done,
     /*  572470 */   // Label 9351: @572470
     /*  572470 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(572545), // Rule ID 3643 //
     /*  572475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572543 */     GIR_RootConstrainSelectedInstOperands,
     /*  572544 */     // GIR_Coverage, 3643,
     /*  572544 */     GIR_EraseRootFromParent_Done,
     /*  572545 */   // Label 9352: @572545
     /*  572545 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(572620), // Rule ID 3644 //
     /*  572550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572618 */     GIR_RootConstrainSelectedInstOperands,
     /*  572619 */     // GIR_Coverage, 3644,
     /*  572619 */     GIR_EraseRootFromParent_Done,
     /*  572620 */   // Label 9353: @572620
     /*  572620 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(572695), // Rule ID 3647 //
     /*  572625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  572674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572693 */     GIR_RootConstrainSelectedInstOperands,
     /*  572694 */     // GIR_Coverage, 3647,
     /*  572694 */     GIR_EraseRootFromParent_Done,
     /*  572695 */   // Label 9354: @572695
     /*  572695 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572770), // Rule ID 3648 //
     /*  572700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  572749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572768 */     GIR_RootConstrainSelectedInstOperands,
     /*  572769 */     // GIR_Coverage, 3648,
     /*  572769 */     GIR_EraseRootFromParent_Done,
     /*  572770 */   // Label 9355: @572770
     /*  572770 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572845), // Rule ID 3651 //
     /*  572775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  572786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  572789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  572824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572843 */     GIR_RootConstrainSelectedInstOperands,
     /*  572844 */     // GIR_Coverage, 3651,
     /*  572844 */     GIR_EraseRootFromParent_Done,
     /*  572845 */   // Label 9356: @572845
     /*  572845 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(572920), // Rule ID 3652 //
     /*  572850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  572861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  572864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  572899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572918 */     GIR_RootConstrainSelectedInstOperands,
     /*  572919 */     // GIR_Coverage, 3652,
     /*  572919 */     GIR_EraseRootFromParent_Done,
     /*  572920 */   // Label 9357: @572920
     /*  572920 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(572995), // Rule ID 3655 //
     /*  572925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  572936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  572939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  572942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  572974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572993 */     GIR_RootConstrainSelectedInstOperands,
     /*  572994 */     // GIR_Coverage, 3655,
     /*  572994 */     GIR_EraseRootFromParent_Done,
     /*  572995 */   // Label 9358: @572995
     /*  572995 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(573070), // Rule ID 3656 //
     /*  573000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573068 */     GIR_RootConstrainSelectedInstOperands,
     /*  573069 */     // GIR_Coverage, 3656,
     /*  573069 */     GIR_EraseRootFromParent_Done,
     /*  573070 */   // Label 9359: @573070
     /*  573070 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(573145), // Rule ID 3659 //
     /*  573075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573143 */     GIR_RootConstrainSelectedInstOperands,
     /*  573144 */     // GIR_Coverage, 3659,
     /*  573144 */     GIR_EraseRootFromParent_Done,
     /*  573145 */   // Label 9360: @573145
     /*  573145 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(573220), // Rule ID 3660 //
     /*  573150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573218 */     GIR_RootConstrainSelectedInstOperands,
     /*  573219 */     // GIR_Coverage, 3660,
     /*  573219 */     GIR_EraseRootFromParent_Done,
     /*  573220 */   // Label 9361: @573220
     /*  573220 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(573295), // Rule ID 3663 //
     /*  573225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573293 */     GIR_RootConstrainSelectedInstOperands,
     /*  573294 */     // GIR_Coverage, 3663,
     /*  573294 */     GIR_EraseRootFromParent_Done,
     /*  573295 */   // Label 9362: @573295
     /*  573295 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(573370), // Rule ID 3664 //
     /*  573300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573368 */     GIR_RootConstrainSelectedInstOperands,
     /*  573369 */     // GIR_Coverage, 3664,
     /*  573369 */     GIR_EraseRootFromParent_Done,
     /*  573370 */   // Label 9363: @573370
     /*  573370 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(573445), // Rule ID 3667 //
     /*  573375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573443 */     GIR_RootConstrainSelectedInstOperands,
     /*  573444 */     // GIR_Coverage, 3667,
     /*  573444 */     GIR_EraseRootFromParent_Done,
     /*  573445 */   // Label 9364: @573445
     /*  573445 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(573520), // Rule ID 3668 //
     /*  573450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573518 */     GIR_RootConstrainSelectedInstOperands,
     /*  573519 */     // GIR_Coverage, 3668,
     /*  573519 */     GIR_EraseRootFromParent_Done,
     /*  573520 */   // Label 9365: @573520
     /*  573520 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(573595), // Rule ID 3671 //
     /*  573525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573593 */     GIR_RootConstrainSelectedInstOperands,
     /*  573594 */     // GIR_Coverage, 3671,
     /*  573594 */     GIR_EraseRootFromParent_Done,
     /*  573595 */   // Label 9366: @573595
     /*  573595 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(573670), // Rule ID 3672 //
     /*  573600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573668 */     GIR_RootConstrainSelectedInstOperands,
     /*  573669 */     // GIR_Coverage, 3672,
     /*  573669 */     GIR_EraseRootFromParent_Done,
     /*  573670 */   // Label 9367: @573670
     /*  573670 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573745), // Rule ID 3675 //
     /*  573675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  573686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  573689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573743 */     GIR_RootConstrainSelectedInstOperands,
     /*  573744 */     // GIR_Coverage, 3675,
     /*  573744 */     GIR_EraseRootFromParent_Done,
     /*  573745 */   // Label 9368: @573745
     /*  573745 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573820), // Rule ID 3676 //
     /*  573750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  573761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  573764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573818 */     GIR_RootConstrainSelectedInstOperands,
     /*  573819 */     // GIR_Coverage, 3676,
     /*  573819 */     GIR_EraseRootFromParent_Done,
     /*  573820 */   // Label 9369: @573820
     /*  573820 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573895), // Rule ID 3679 //
     /*  573825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  573836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  573839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  573842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573893 */     GIR_RootConstrainSelectedInstOperands,
     /*  573894 */     // GIR_Coverage, 3679,
     /*  573894 */     GIR_EraseRootFromParent_Done,
     /*  573895 */   // Label 9370: @573895
     /*  573895 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(573970), // Rule ID 3680 //
     /*  573900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  573911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  573914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  573917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573968 */     GIR_RootConstrainSelectedInstOperands,
     /*  573969 */     // GIR_Coverage, 3680,
     /*  573969 */     GIR_EraseRootFromParent_Done,
     /*  573970 */   // Label 9371: @573970
     /*  573970 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(574045), // Rule ID 3683 //
     /*  573975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  573986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  573989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  573992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574043 */     GIR_RootConstrainSelectedInstOperands,
     /*  574044 */     // GIR_Coverage, 3683,
     /*  574044 */     GIR_EraseRootFromParent_Done,
     /*  574045 */   // Label 9372: @574045
     /*  574045 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(574120), // Rule ID 3684 //
     /*  574050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574118 */     GIR_RootConstrainSelectedInstOperands,
     /*  574119 */     // GIR_Coverage, 3684,
     /*  574119 */     GIR_EraseRootFromParent_Done,
     /*  574120 */   // Label 9373: @574120
     /*  574120 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(574195), // Rule ID 3687 //
     /*  574125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574193 */     GIR_RootConstrainSelectedInstOperands,
     /*  574194 */     // GIR_Coverage, 3687,
     /*  574194 */     GIR_EraseRootFromParent_Done,
     /*  574195 */   // Label 9374: @574195
     /*  574195 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(574270), // Rule ID 3688 //
     /*  574200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574268 */     GIR_RootConstrainSelectedInstOperands,
     /*  574269 */     // GIR_Coverage, 3688,
     /*  574269 */     GIR_EraseRootFromParent_Done,
     /*  574270 */   // Label 9375: @574270
     /*  574270 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(574345), // Rule ID 3691 //
     /*  574275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574343 */     GIR_RootConstrainSelectedInstOperands,
     /*  574344 */     // GIR_Coverage, 3691,
     /*  574344 */     GIR_EraseRootFromParent_Done,
     /*  574345 */   // Label 9376: @574345
     /*  574345 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(574420), // Rule ID 3692 //
     /*  574350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574418 */     GIR_RootConstrainSelectedInstOperands,
     /*  574419 */     // GIR_Coverage, 3692,
     /*  574419 */     GIR_EraseRootFromParent_Done,
     /*  574420 */   // Label 9377: @574420
     /*  574420 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(574495), // Rule ID 3695 //
     /*  574425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574493 */     GIR_RootConstrainSelectedInstOperands,
     /*  574494 */     // GIR_Coverage, 3695,
     /*  574494 */     GIR_EraseRootFromParent_Done,
     /*  574495 */   // Label 9378: @574495
     /*  574495 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(574570), // Rule ID 3696 //
     /*  574500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574568 */     GIR_RootConstrainSelectedInstOperands,
     /*  574569 */     // GIR_Coverage, 3696,
     /*  574569 */     GIR_EraseRootFromParent_Done,
     /*  574570 */   // Label 9379: @574570
     /*  574570 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(574645), // Rule ID 3699 //
     /*  574575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574643 */     GIR_RootConstrainSelectedInstOperands,
     /*  574644 */     // GIR_Coverage, 3699,
     /*  574644 */     GIR_EraseRootFromParent_Done,
     /*  574645 */   // Label 9380: @574645
     /*  574645 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574720), // Rule ID 3700 //
     /*  574650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574718 */     GIR_RootConstrainSelectedInstOperands,
     /*  574719 */     // GIR_Coverage, 3700,
     /*  574719 */     GIR_EraseRootFromParent_Done,
     /*  574720 */   // Label 9381: @574720
     /*  574720 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574795), // Rule ID 3703 //
     /*  574725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  574774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574793 */     GIR_RootConstrainSelectedInstOperands,
     /*  574794 */     // GIR_Coverage, 3703,
     /*  574794 */     GIR_EraseRootFromParent_Done,
     /*  574795 */   // Label 9382: @574795
     /*  574795 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574870), // Rule ID 3704 //
     /*  574800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  574849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574868 */     GIR_RootConstrainSelectedInstOperands,
     /*  574869 */     // GIR_Coverage, 3704,
     /*  574869 */     GIR_EraseRootFromParent_Done,
     /*  574870 */   // Label 9383: @574870
     /*  574870 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(574945), // Rule ID 3707 //
     /*  574875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  574886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  574889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  574892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  574895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  574924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574943 */     GIR_RootConstrainSelectedInstOperands,
     /*  574944 */     // GIR_Coverage, 3707,
     /*  574944 */     GIR_EraseRootFromParent_Done,
     /*  574945 */   // Label 9384: @574945
     /*  574945 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(575020), // Rule ID 3708 //
     /*  574950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  574961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  574964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  574967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  574970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  574999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575018 */     GIR_RootConstrainSelectedInstOperands,
     /*  575019 */     // GIR_Coverage, 3708,
     /*  575019 */     GIR_EraseRootFromParent_Done,
     /*  575020 */   // Label 9385: @575020
     /*  575020 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(575095), // Rule ID 3711 //
     /*  575025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575093 */     GIR_RootConstrainSelectedInstOperands,
     /*  575094 */     // GIR_Coverage, 3711,
     /*  575094 */     GIR_EraseRootFromParent_Done,
     /*  575095 */   // Label 9386: @575095
     /*  575095 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(575170), // Rule ID 3712 //
     /*  575100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575168 */     GIR_RootConstrainSelectedInstOperands,
     /*  575169 */     // GIR_Coverage, 3712,
     /*  575169 */     GIR_EraseRootFromParent_Done,
     /*  575170 */   // Label 9387: @575170
     /*  575170 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(575245), // Rule ID 3715 //
     /*  575175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575243 */     GIR_RootConstrainSelectedInstOperands,
     /*  575244 */     // GIR_Coverage, 3715,
     /*  575244 */     GIR_EraseRootFromParent_Done,
     /*  575245 */   // Label 9388: @575245
     /*  575245 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(575320), // Rule ID 3716 //
     /*  575250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575318 */     GIR_RootConstrainSelectedInstOperands,
     /*  575319 */     // GIR_Coverage, 3716,
     /*  575319 */     GIR_EraseRootFromParent_Done,
     /*  575320 */   // Label 9389: @575320
     /*  575320 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(575395), // Rule ID 3719 //
     /*  575325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575393 */     GIR_RootConstrainSelectedInstOperands,
     /*  575394 */     // GIR_Coverage, 3719,
     /*  575394 */     GIR_EraseRootFromParent_Done,
     /*  575395 */   // Label 9390: @575395
     /*  575395 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(575470), // Rule ID 3720 //
     /*  575400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575468 */     GIR_RootConstrainSelectedInstOperands,
     /*  575469 */     // GIR_Coverage, 3720,
     /*  575469 */     GIR_EraseRootFromParent_Done,
     /*  575470 */   // Label 9391: @575470
     /*  575470 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(575545), // Rule ID 3723 //
     /*  575475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575543 */     GIR_RootConstrainSelectedInstOperands,
     /*  575544 */     // GIR_Coverage, 3723,
     /*  575544 */     GIR_EraseRootFromParent_Done,
     /*  575545 */   // Label 9392: @575545
     /*  575545 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(575620), // Rule ID 3724 //
     /*  575550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575596 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575618 */     GIR_RootConstrainSelectedInstOperands,
     /*  575619 */     // GIR_Coverage, 3724,
     /*  575619 */     GIR_EraseRootFromParent_Done,
     /*  575620 */   // Label 9393: @575620
     /*  575620 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(575695), // Rule ID 3727 //
     /*  575625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575693 */     GIR_RootConstrainSelectedInstOperands,
     /*  575694 */     // GIR_Coverage, 3727,
     /*  575694 */     GIR_EraseRootFromParent_Done,
     /*  575695 */   // Label 9394: @575695
     /*  575695 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575770), // Rule ID 3728 //
     /*  575700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575768 */     GIR_RootConstrainSelectedInstOperands,
     /*  575769 */     // GIR_Coverage, 3728,
     /*  575769 */     GIR_EraseRootFromParent_Done,
     /*  575770 */   // Label 9395: @575770
     /*  575770 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575845), // Rule ID 3731 //
     /*  575775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575843 */     GIR_RootConstrainSelectedInstOperands,
     /*  575844 */     // GIR_Coverage, 3731,
     /*  575844 */     GIR_EraseRootFromParent_Done,
     /*  575845 */   // Label 9396: @575845
     /*  575845 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(575920), // Rule ID 3732 //
     /*  575850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575918 */     GIR_RootConstrainSelectedInstOperands,
     /*  575919 */     // GIR_Coverage, 3732,
     /*  575919 */     GIR_EraseRootFromParent_Done,
     /*  575920 */   // Label 9397: @575920
     /*  575920 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(575995), // Rule ID 3735 //
     /*  575925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  575936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  575939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  575942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  575945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575993 */     GIR_RootConstrainSelectedInstOperands,
     /*  575994 */     // GIR_Coverage, 3735,
     /*  575994 */     GIR_EraseRootFromParent_Done,
     /*  575995 */   // Label 9398: @575995
     /*  575995 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(576070), // Rule ID 3736 //
     /*  576000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576068 */     GIR_RootConstrainSelectedInstOperands,
     /*  576069 */     // GIR_Coverage, 3736,
     /*  576069 */     GIR_EraseRootFromParent_Done,
     /*  576070 */   // Label 9399: @576070
     /*  576070 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(576145), // Rule ID 3739 //
     /*  576075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576143 */     GIR_RootConstrainSelectedInstOperands,
     /*  576144 */     // GIR_Coverage, 3739,
     /*  576144 */     GIR_EraseRootFromParent_Done,
     /*  576145 */   // Label 9400: @576145
     /*  576145 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(576220), // Rule ID 3740 //
     /*  576150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576218 */     GIR_RootConstrainSelectedInstOperands,
     /*  576219 */     // GIR_Coverage, 3740,
     /*  576219 */     GIR_EraseRootFromParent_Done,
     /*  576220 */   // Label 9401: @576220
     /*  576220 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(576295), // Rule ID 3743 //
     /*  576225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576293 */     GIR_RootConstrainSelectedInstOperands,
     /*  576294 */     // GIR_Coverage, 3743,
     /*  576294 */     GIR_EraseRootFromParent_Done,
     /*  576295 */   // Label 9402: @576295
     /*  576295 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(576370), // Rule ID 3744 //
     /*  576300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576368 */     GIR_RootConstrainSelectedInstOperands,
     /*  576369 */     // GIR_Coverage, 3744,
     /*  576369 */     GIR_EraseRootFromParent_Done,
     /*  576370 */   // Label 9403: @576370
     /*  576370 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(576445), // Rule ID 3747 //
     /*  576375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576443 */     GIR_RootConstrainSelectedInstOperands,
     /*  576444 */     // GIR_Coverage, 3747,
     /*  576444 */     GIR_EraseRootFromParent_Done,
     /*  576445 */   // Label 9404: @576445
     /*  576445 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(576520), // Rule ID 3748 //
     /*  576450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576518 */     GIR_RootConstrainSelectedInstOperands,
     /*  576519 */     // GIR_Coverage, 3748,
     /*  576519 */     GIR_EraseRootFromParent_Done,
     /*  576520 */   // Label 9405: @576520
     /*  576520 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(576595), // Rule ID 3751 //
     /*  576525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576593 */     GIR_RootConstrainSelectedInstOperands,
     /*  576594 */     // GIR_Coverage, 3751,
     /*  576594 */     GIR_EraseRootFromParent_Done,
     /*  576595 */   // Label 9406: @576595
     /*  576595 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(576670), // Rule ID 3752 //
     /*  576600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576668 */     GIR_RootConstrainSelectedInstOperands,
     /*  576669 */     // GIR_Coverage, 3752,
     /*  576669 */     GIR_EraseRootFromParent_Done,
     /*  576670 */   // Label 9407: @576670
     /*  576670 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576745), // Rule ID 3755 //
     /*  576675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  576686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  576689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576743 */     GIR_RootConstrainSelectedInstOperands,
     /*  576744 */     // GIR_Coverage, 3755,
     /*  576744 */     GIR_EraseRootFromParent_Done,
     /*  576745 */   // Label 9408: @576745
     /*  576745 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576820), // Rule ID 3756 //
     /*  576750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  576761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  576764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576818 */     GIR_RootConstrainSelectedInstOperands,
     /*  576819 */     // GIR_Coverage, 3756,
     /*  576819 */     GIR_EraseRootFromParent_Done,
     /*  576820 */   // Label 9409: @576820
     /*  576820 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576895), // Rule ID 3759 //
     /*  576825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  576836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  576839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  576842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  576845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576893 */     GIR_RootConstrainSelectedInstOperands,
     /*  576894 */     // GIR_Coverage, 3759,
     /*  576894 */     GIR_EraseRootFromParent_Done,
     /*  576895 */   // Label 9410: @576895
     /*  576895 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(576970), // Rule ID 3760 //
     /*  576900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  576911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  576914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  576917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  576920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576968 */     GIR_RootConstrainSelectedInstOperands,
     /*  576969 */     // GIR_Coverage, 3760,
     /*  576969 */     GIR_EraseRootFromParent_Done,
     /*  576970 */   // Label 9411: @576970
     /*  576970 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(577045), // Rule ID 3763 //
     /*  576975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  576986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  576989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  576992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  577024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577043 */     GIR_RootConstrainSelectedInstOperands,
     /*  577044 */     // GIR_Coverage, 3763,
     /*  577044 */     GIR_EraseRootFromParent_Done,
     /*  577045 */   // Label 9412: @577045
     /*  577045 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(577120), // Rule ID 3764 //
     /*  577050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  577099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577118 */     GIR_RootConstrainSelectedInstOperands,
     /*  577119 */     // GIR_Coverage, 3764,
     /*  577119 */     GIR_EraseRootFromParent_Done,
     /*  577120 */   // Label 9413: @577120
     /*  577120 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(577195), // Rule ID 3767 //
     /*  577125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577193 */     GIR_RootConstrainSelectedInstOperands,
     /*  577194 */     // GIR_Coverage, 3767,
     /*  577194 */     GIR_EraseRootFromParent_Done,
     /*  577195 */   // Label 9414: @577195
     /*  577195 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(577270), // Rule ID 3768 //
     /*  577200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577268 */     GIR_RootConstrainSelectedInstOperands,
     /*  577269 */     // GIR_Coverage, 3768,
     /*  577269 */     GIR_EraseRootFromParent_Done,
     /*  577270 */   // Label 9415: @577270
     /*  577270 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(577345), // Rule ID 3771 //
     /*  577275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577343 */     GIR_RootConstrainSelectedInstOperands,
     /*  577344 */     // GIR_Coverage, 3771,
     /*  577344 */     GIR_EraseRootFromParent_Done,
     /*  577345 */   // Label 9416: @577345
     /*  577345 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(577420), // Rule ID 3772 //
     /*  577350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577418 */     GIR_RootConstrainSelectedInstOperands,
     /*  577419 */     // GIR_Coverage, 3772,
     /*  577419 */     GIR_EraseRootFromParent_Done,
     /*  577420 */   // Label 9417: @577420
     /*  577420 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(577495), // Rule ID 3775 //
     /*  577425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577493 */     GIR_RootConstrainSelectedInstOperands,
     /*  577494 */     // GIR_Coverage, 3775,
     /*  577494 */     GIR_EraseRootFromParent_Done,
     /*  577495 */   // Label 9418: @577495
     /*  577495 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(577570), // Rule ID 3776 //
     /*  577500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577568 */     GIR_RootConstrainSelectedInstOperands,
     /*  577569 */     // GIR_Coverage, 3776,
     /*  577569 */     GIR_EraseRootFromParent_Done,
     /*  577570 */   // Label 9419: @577570
     /*  577570 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(577645), // Rule ID 3779 //
     /*  577575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577643 */     GIR_RootConstrainSelectedInstOperands,
     /*  577644 */     // GIR_Coverage, 3779,
     /*  577644 */     GIR_EraseRootFromParent_Done,
     /*  577645 */   // Label 9420: @577645
     /*  577645 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577720), // Rule ID 3780 //
     /*  577650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577718 */     GIR_RootConstrainSelectedInstOperands,
     /*  577719 */     // GIR_Coverage, 3780,
     /*  577719 */     GIR_EraseRootFromParent_Done,
     /*  577720 */   // Label 9421: @577720
     /*  577720 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577795), // Rule ID 3783 //
     /*  577725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  577736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  577739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577793 */     GIR_RootConstrainSelectedInstOperands,
     /*  577794 */     // GIR_Coverage, 3783,
     /*  577794 */     GIR_EraseRootFromParent_Done,
     /*  577795 */   // Label 9422: @577795
     /*  577795 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577870), // Rule ID 3784 //
     /*  577800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  577811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  577814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577868 */     GIR_RootConstrainSelectedInstOperands,
     /*  577869 */     // GIR_Coverage, 3784,
     /*  577869 */     GIR_EraseRootFromParent_Done,
     /*  577870 */   // Label 9423: @577870
     /*  577870 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(577945), // Rule ID 3787 //
     /*  577875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  577886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  577889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  577892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577943 */     GIR_RootConstrainSelectedInstOperands,
     /*  577944 */     // GIR_Coverage, 3787,
     /*  577944 */     GIR_EraseRootFromParent_Done,
     /*  577945 */   // Label 9424: @577945
     /*  577945 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(578020), // Rule ID 3788 //
     /*  577950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  577961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  577964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  577967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578018 */     GIR_RootConstrainSelectedInstOperands,
     /*  578019 */     // GIR_Coverage, 3788,
     /*  578019 */     GIR_EraseRootFromParent_Done,
     /*  578020 */   // Label 9425: @578020
     /*  578020 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(578095), // Rule ID 3791 //
     /*  578025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578093 */     GIR_RootConstrainSelectedInstOperands,
     /*  578094 */     // GIR_Coverage, 3791,
     /*  578094 */     GIR_EraseRootFromParent_Done,
     /*  578095 */   // Label 9426: @578095
     /*  578095 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(578170), // Rule ID 3792 //
     /*  578100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578168 */     GIR_RootConstrainSelectedInstOperands,
     /*  578169 */     // GIR_Coverage, 3792,
     /*  578169 */     GIR_EraseRootFromParent_Done,
     /*  578170 */   // Label 9427: @578170
     /*  578170 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(578245), // Rule ID 3795 //
     /*  578175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578243 */     GIR_RootConstrainSelectedInstOperands,
     /*  578244 */     // GIR_Coverage, 3795,
     /*  578244 */     GIR_EraseRootFromParent_Done,
     /*  578245 */   // Label 9428: @578245
     /*  578245 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(578320), // Rule ID 3796 //
     /*  578250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578318 */     GIR_RootConstrainSelectedInstOperands,
     /*  578319 */     // GIR_Coverage, 3796,
     /*  578319 */     GIR_EraseRootFromParent_Done,
     /*  578320 */   // Label 9429: @578320
     /*  578320 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(578395), // Rule ID 3799 //
     /*  578325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578393 */     GIR_RootConstrainSelectedInstOperands,
     /*  578394 */     // GIR_Coverage, 3799,
     /*  578394 */     GIR_EraseRootFromParent_Done,
     /*  578395 */   // Label 9430: @578395
     /*  578395 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(578470), // Rule ID 3800 //
     /*  578400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578468 */     GIR_RootConstrainSelectedInstOperands,
     /*  578469 */     // GIR_Coverage, 3800,
     /*  578469 */     GIR_EraseRootFromParent_Done,
     /*  578470 */   // Label 9431: @578470
     /*  578470 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(578545), // Rule ID 3803 //
     /*  578475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578543 */     GIR_RootConstrainSelectedInstOperands,
     /*  578544 */     // GIR_Coverage, 3803,
     /*  578544 */     GIR_EraseRootFromParent_Done,
     /*  578545 */   // Label 9432: @578545
     /*  578545 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(578620), // Rule ID 3804 //
     /*  578550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578618 */     GIR_RootConstrainSelectedInstOperands,
     /*  578619 */     // GIR_Coverage, 3804,
     /*  578619 */     GIR_EraseRootFromParent_Done,
     /*  578620 */   // Label 9433: @578620
     /*  578620 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(578695), // Rule ID 3807 //
     /*  578625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578693 */     GIR_RootConstrainSelectedInstOperands,
     /*  578694 */     // GIR_Coverage, 3807,
     /*  578694 */     GIR_EraseRootFromParent_Done,
     /*  578695 */   // Label 9434: @578695
     /*  578695 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578770), // Rule ID 3808 //
     /*  578700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578768 */     GIR_RootConstrainSelectedInstOperands,
     /*  578769 */     // GIR_Coverage, 3808,
     /*  578769 */     GIR_EraseRootFromParent_Done,
     /*  578770 */   // Label 9435: @578770
     /*  578770 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578845), // Rule ID 3811 //
     /*  578775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578843 */     GIR_RootConstrainSelectedInstOperands,
     /*  578844 */     // GIR_Coverage, 3811,
     /*  578844 */     GIR_EraseRootFromParent_Done,
     /*  578845 */   // Label 9436: @578845
     /*  578845 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(578920), // Rule ID 3812 //
     /*  578850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578918 */     GIR_RootConstrainSelectedInstOperands,
     /*  578919 */     // GIR_Coverage, 3812,
     /*  578919 */     GIR_EraseRootFromParent_Done,
     /*  578920 */   // Label 9437: @578920
     /*  578920 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(578995), // Rule ID 3815 //
     /*  578925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  578936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  578939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578993 */     GIR_RootConstrainSelectedInstOperands,
     /*  578994 */     // GIR_Coverage, 3815,
     /*  578994 */     GIR_EraseRootFromParent_Done,
     /*  578995 */   // Label 9438: @578995
     /*  578995 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(579070), // Rule ID 3816 //
     /*  579000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  579049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579068 */     GIR_RootConstrainSelectedInstOperands,
     /*  579069 */     // GIR_Coverage, 3816,
     /*  579069 */     GIR_EraseRootFromParent_Done,
     /*  579070 */   // Label 9439: @579070
     /*  579070 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(579145), // Rule ID 3819 //
     /*  579075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579143 */     GIR_RootConstrainSelectedInstOperands,
     /*  579144 */     // GIR_Coverage, 3819,
     /*  579144 */     GIR_EraseRootFromParent_Done,
     /*  579145 */   // Label 9440: @579145
     /*  579145 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(579220), // Rule ID 3820 //
     /*  579150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579218 */     GIR_RootConstrainSelectedInstOperands,
     /*  579219 */     // GIR_Coverage, 3820,
     /*  579219 */     GIR_EraseRootFromParent_Done,
     /*  579220 */   // Label 9441: @579220
     /*  579220 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(579295), // Rule ID 3823 //
     /*  579225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579293 */     GIR_RootConstrainSelectedInstOperands,
     /*  579294 */     // GIR_Coverage, 3823,
     /*  579294 */     GIR_EraseRootFromParent_Done,
     /*  579295 */   // Label 9442: @579295
     /*  579295 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(579370), // Rule ID 3824 //
     /*  579300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579368 */     GIR_RootConstrainSelectedInstOperands,
     /*  579369 */     // GIR_Coverage, 3824,
     /*  579369 */     GIR_EraseRootFromParent_Done,
     /*  579370 */   // Label 9443: @579370
     /*  579370 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(579445), // Rule ID 3827 //
     /*  579375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579421 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579443 */     GIR_RootConstrainSelectedInstOperands,
     /*  579444 */     // GIR_Coverage, 3827,
     /*  579444 */     GIR_EraseRootFromParent_Done,
     /*  579445 */   // Label 9444: @579445
     /*  579445 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(579520), // Rule ID 3828 //
     /*  579450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579518 */     GIR_RootConstrainSelectedInstOperands,
     /*  579519 */     // GIR_Coverage, 3828,
     /*  579519 */     GIR_EraseRootFromParent_Done,
     /*  579520 */   // Label 9445: @579520
     /*  579520 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(579595), // Rule ID 3831 //
     /*  579525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579593 */     GIR_RootConstrainSelectedInstOperands,
     /*  579594 */     // GIR_Coverage, 3831,
     /*  579594 */     GIR_EraseRootFromParent_Done,
     /*  579595 */   // Label 9446: @579595
     /*  579595 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(579670), // Rule ID 3832 //
     /*  579600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579668 */     GIR_RootConstrainSelectedInstOperands,
     /*  579669 */     // GIR_Coverage, 3832,
     /*  579669 */     GIR_EraseRootFromParent_Done,
     /*  579670 */   // Label 9447: @579670
     /*  579670 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579745), // Rule ID 3835 //
     /*  579675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  579692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  579695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579743 */     GIR_RootConstrainSelectedInstOperands,
     /*  579744 */     // GIR_Coverage, 3835,
     /*  579744 */     GIR_EraseRootFromParent_Done,
     /*  579745 */   // Label 9448: @579745
     /*  579745 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579820), // Rule ID 3836 //
     /*  579750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  579767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  579770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579818 */     GIR_RootConstrainSelectedInstOperands,
     /*  579819 */     // GIR_Coverage, 3836,
     /*  579819 */     GIR_EraseRootFromParent_Done,
     /*  579820 */   // Label 9449: @579820
     /*  579820 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579895), // Rule ID 3839 //
     /*  579825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  579845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  579874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579893 */     GIR_RootConstrainSelectedInstOperands,
     /*  579894 */     // GIR_Coverage, 3839,
     /*  579894 */     GIR_EraseRootFromParent_Done,
     /*  579895 */   // Label 9450: @579895
     /*  579895 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(579970), // Rule ID 3840 //
     /*  579900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  579920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  579949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579968 */     GIR_RootConstrainSelectedInstOperands,
     /*  579969 */     // GIR_Coverage, 3840,
     /*  579969 */     GIR_EraseRootFromParent_Done,
     /*  579970 */   // Label 9451: @579970
     /*  579970 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(580045), // Rule ID 3843 //
     /*  579975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  579986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  579989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  579992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  579995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580043 */     GIR_RootConstrainSelectedInstOperands,
     /*  580044 */     // GIR_Coverage, 3843,
     /*  580044 */     GIR_EraseRootFromParent_Done,
     /*  580045 */   // Label 9452: @580045
     /*  580045 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(580120), // Rule ID 3844 //
     /*  580050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580118 */     GIR_RootConstrainSelectedInstOperands,
     /*  580119 */     // GIR_Coverage, 3844,
     /*  580119 */     GIR_EraseRootFromParent_Done,
     /*  580120 */   // Label 9453: @580120
     /*  580120 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(580195), // Rule ID 3847 //
     /*  580125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580193 */     GIR_RootConstrainSelectedInstOperands,
     /*  580194 */     // GIR_Coverage, 3847,
     /*  580194 */     GIR_EraseRootFromParent_Done,
     /*  580195 */   // Label 9454: @580195
     /*  580195 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(580270), // Rule ID 3848 //
     /*  580200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580268 */     GIR_RootConstrainSelectedInstOperands,
     /*  580269 */     // GIR_Coverage, 3848,
     /*  580269 */     GIR_EraseRootFromParent_Done,
     /*  580270 */   // Label 9455: @580270
     /*  580270 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(580345), // Rule ID 3851 //
     /*  580275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580343 */     GIR_RootConstrainSelectedInstOperands,
     /*  580344 */     // GIR_Coverage, 3851,
     /*  580344 */     GIR_EraseRootFromParent_Done,
     /*  580345 */   // Label 9456: @580345
     /*  580345 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(580420), // Rule ID 3852 //
     /*  580350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580418 */     GIR_RootConstrainSelectedInstOperands,
     /*  580419 */     // GIR_Coverage, 3852,
     /*  580419 */     GIR_EraseRootFromParent_Done,
     /*  580420 */   // Label 9457: @580420
     /*  580420 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(580495), // Rule ID 3855 //
     /*  580425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580493 */     GIR_RootConstrainSelectedInstOperands,
     /*  580494 */     // GIR_Coverage, 3855,
     /*  580494 */     GIR_EraseRootFromParent_Done,
     /*  580495 */   // Label 9458: @580495
     /*  580495 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(580570), // Rule ID 3856 //
     /*  580500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580568 */     GIR_RootConstrainSelectedInstOperands,
     /*  580569 */     // GIR_Coverage, 3856,
     /*  580569 */     GIR_EraseRootFromParent_Done,
     /*  580570 */   // Label 9459: @580570
     /*  580570 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(580645), // Rule ID 3859 //
     /*  580575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580643 */     GIR_RootConstrainSelectedInstOperands,
     /*  580644 */     // GIR_Coverage, 3859,
     /*  580644 */     GIR_EraseRootFromParent_Done,
     /*  580645 */   // Label 9460: @580645
     /*  580645 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580720), // Rule ID 3860 //
     /*  580650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580718 */     GIR_RootConstrainSelectedInstOperands,
     /*  580719 */     // GIR_Coverage, 3860,
     /*  580719 */     GIR_EraseRootFromParent_Done,
     /*  580720 */   // Label 9461: @580720
     /*  580720 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580795), // Rule ID 3863 //
     /*  580725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  580745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580793 */     GIR_RootConstrainSelectedInstOperands,
     /*  580794 */     // GIR_Coverage, 3863,
     /*  580794 */     GIR_EraseRootFromParent_Done,
     /*  580795 */   // Label 9462: @580795
     /*  580795 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580870), // Rule ID 3864 //
     /*  580800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  580820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580868 */     GIR_RootConstrainSelectedInstOperands,
     /*  580869 */     // GIR_Coverage, 3864,
     /*  580869 */     GIR_EraseRootFromParent_Done,
     /*  580870 */   // Label 9463: @580870
     /*  580870 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(580945), // Rule ID 3867 //
     /*  580875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  580878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  580886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  580889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  580892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  580895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580943 */     GIR_RootConstrainSelectedInstOperands,
     /*  580944 */     // GIR_Coverage, 3867,
     /*  580944 */     GIR_EraseRootFromParent_Done,
     /*  580945 */   // Label 9464: @580945
     /*  580945 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(581020), // Rule ID 3868 //
     /*  580950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  580953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  580961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  580964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  580967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  580970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581018 */     GIR_RootConstrainSelectedInstOperands,
     /*  581019 */     // GIR_Coverage, 3868,
     /*  581019 */     GIR_EraseRootFromParent_Done,
     /*  581020 */   // Label 9465: @581020
     /*  581020 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(581095), // Rule ID 3871 //
     /*  581025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581093 */     GIR_RootConstrainSelectedInstOperands,
     /*  581094 */     // GIR_Coverage, 3871,
     /*  581094 */     GIR_EraseRootFromParent_Done,
     /*  581095 */   // Label 9466: @581095
     /*  581095 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(581170), // Rule ID 3872 //
     /*  581100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581168 */     GIR_RootConstrainSelectedInstOperands,
     /*  581169 */     // GIR_Coverage, 3872,
     /*  581169 */     GIR_EraseRootFromParent_Done,
     /*  581170 */   // Label 9467: @581170
     /*  581170 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(581245), // Rule ID 3875 //
     /*  581175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581221 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581243 */     GIR_RootConstrainSelectedInstOperands,
     /*  581244 */     // GIR_Coverage, 3875,
     /*  581244 */     GIR_EraseRootFromParent_Done,
     /*  581245 */   // Label 9468: @581245
     /*  581245 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(581320), // Rule ID 3876 //
     /*  581250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581318 */     GIR_RootConstrainSelectedInstOperands,
     /*  581319 */     // GIR_Coverage, 3876,
     /*  581319 */     GIR_EraseRootFromParent_Done,
     /*  581320 */   // Label 9469: @581320
     /*  581320 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(581395), // Rule ID 3879 //
     /*  581325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581371 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581393 */     GIR_RootConstrainSelectedInstOperands,
     /*  581394 */     // GIR_Coverage, 3879,
     /*  581394 */     GIR_EraseRootFromParent_Done,
     /*  581395 */   // Label 9470: @581395
     /*  581395 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(581470), // Rule ID 3880 //
     /*  581400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581468 */     GIR_RootConstrainSelectedInstOperands,
     /*  581469 */     // GIR_Coverage, 3880,
     /*  581469 */     GIR_EraseRootFromParent_Done,
     /*  581470 */   // Label 9471: @581470
     /*  581470 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(581545), // Rule ID 3883 //
     /*  581475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581543 */     GIR_RootConstrainSelectedInstOperands,
     /*  581544 */     // GIR_Coverage, 3883,
     /*  581544 */     GIR_EraseRootFromParent_Done,
     /*  581545 */   // Label 9472: @581545
     /*  581545 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(581620), // Rule ID 3884 //
     /*  581550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581618 */     GIR_RootConstrainSelectedInstOperands,
     /*  581619 */     // GIR_Coverage, 3884,
     /*  581619 */     GIR_EraseRootFromParent_Done,
     /*  581620 */   // Label 9473: @581620
     /*  581620 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(581695), // Rule ID 3887 //
     /*  581625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  581674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581693 */     GIR_RootConstrainSelectedInstOperands,
     /*  581694 */     // GIR_Coverage, 3887,
     /*  581694 */     GIR_EraseRootFromParent_Done,
     /*  581695 */   // Label 9474: @581695
     /*  581695 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581770), // Rule ID 3888 //
     /*  581700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  581749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581768 */     GIR_RootConstrainSelectedInstOperands,
     /*  581769 */     // GIR_Coverage, 3888,
     /*  581769 */     GIR_EraseRootFromParent_Done,
     /*  581770 */   // Label 9475: @581770
     /*  581770 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581845), // Rule ID 3891 //
     /*  581775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  581786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  581789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  581824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581843 */     GIR_RootConstrainSelectedInstOperands,
     /*  581844 */     // GIR_Coverage, 3891,
     /*  581844 */     GIR_EraseRootFromParent_Done,
     /*  581845 */   // Label 9476: @581845
     /*  581845 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(581920), // Rule ID 3892 //
     /*  581850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  581861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  581864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  581899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581918 */     GIR_RootConstrainSelectedInstOperands,
     /*  581919 */     // GIR_Coverage, 3892,
     /*  581919 */     GIR_EraseRootFromParent_Done,
     /*  581920 */   // Label 9477: @581920
     /*  581920 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(581995), // Rule ID 3895 //
     /*  581925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  581936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  581939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  581942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  581974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581993 */     GIR_RootConstrainSelectedInstOperands,
     /*  581994 */     // GIR_Coverage, 3895,
     /*  581994 */     GIR_EraseRootFromParent_Done,
     /*  581995 */   // Label 9478: @581995
     /*  581995 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(582070), // Rule ID 3896 //
     /*  582000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582068 */     GIR_RootConstrainSelectedInstOperands,
     /*  582069 */     // GIR_Coverage, 3896,
     /*  582069 */     GIR_EraseRootFromParent_Done,
     /*  582070 */   // Label 9479: @582070
     /*  582070 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(582145), // Rule ID 3899 //
     /*  582075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582143 */     GIR_RootConstrainSelectedInstOperands,
     /*  582144 */     // GIR_Coverage, 3899,
     /*  582144 */     GIR_EraseRootFromParent_Done,
     /*  582145 */   // Label 9480: @582145
     /*  582145 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(582220), // Rule ID 3900 //
     /*  582150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582218 */     GIR_RootConstrainSelectedInstOperands,
     /*  582219 */     // GIR_Coverage, 3900,
     /*  582219 */     GIR_EraseRootFromParent_Done,
     /*  582220 */   // Label 9481: @582220
     /*  582220 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(582295), // Rule ID 3903 //
     /*  582225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582293 */     GIR_RootConstrainSelectedInstOperands,
     /*  582294 */     // GIR_Coverage, 3903,
     /*  582294 */     GIR_EraseRootFromParent_Done,
     /*  582295 */   // Label 9482: @582295
     /*  582295 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(582370), // Rule ID 3904 //
     /*  582300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582368 */     GIR_RootConstrainSelectedInstOperands,
     /*  582369 */     // GIR_Coverage, 3904,
     /*  582369 */     GIR_EraseRootFromParent_Done,
     /*  582370 */   // Label 9483: @582370
     /*  582370 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(582445), // Rule ID 3907 //
     /*  582375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582443 */     GIR_RootConstrainSelectedInstOperands,
     /*  582444 */     // GIR_Coverage, 3907,
     /*  582444 */     GIR_EraseRootFromParent_Done,
     /*  582445 */   // Label 9484: @582445
     /*  582445 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(582520), // Rule ID 3908 //
     /*  582450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582518 */     GIR_RootConstrainSelectedInstOperands,
     /*  582519 */     // GIR_Coverage, 3908,
     /*  582519 */     GIR_EraseRootFromParent_Done,
     /*  582520 */   // Label 9485: @582520
     /*  582520 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(582595), // Rule ID 3911 //
     /*  582525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582593 */     GIR_RootConstrainSelectedInstOperands,
     /*  582594 */     // GIR_Coverage, 3911,
     /*  582594 */     GIR_EraseRootFromParent_Done,
     /*  582595 */   // Label 9486: @582595
     /*  582595 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(582670), // Rule ID 3912 //
     /*  582600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582668 */     GIR_RootConstrainSelectedInstOperands,
     /*  582669 */     // GIR_Coverage, 3912,
     /*  582669 */     GIR_EraseRootFromParent_Done,
     /*  582670 */   // Label 9487: @582670
     /*  582670 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582745), // Rule ID 3915 //
     /*  582675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  582686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  582689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582743 */     GIR_RootConstrainSelectedInstOperands,
     /*  582744 */     // GIR_Coverage, 3915,
     /*  582744 */     GIR_EraseRootFromParent_Done,
     /*  582745 */   // Label 9488: @582745
     /*  582745 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582820), // Rule ID 3916 //
     /*  582750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  582761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  582764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582818 */     GIR_RootConstrainSelectedInstOperands,
     /*  582819 */     // GIR_Coverage, 3916,
     /*  582819 */     GIR_EraseRootFromParent_Done,
     /*  582820 */   // Label 9489: @582820
     /*  582820 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582895), // Rule ID 3919 //
     /*  582825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  582836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  582839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582893 */     GIR_RootConstrainSelectedInstOperands,
     /*  582894 */     // GIR_Coverage, 3919,
     /*  582894 */     GIR_EraseRootFromParent_Done,
     /*  582895 */   // Label 9490: @582895
     /*  582895 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(582970), // Rule ID 3920 //
     /*  582900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  582911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  582914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582968 */     GIR_RootConstrainSelectedInstOperands,
     /*  582969 */     // GIR_Coverage, 3920,
     /*  582969 */     GIR_EraseRootFromParent_Done,
     /*  582970 */   // Label 9491: @582970
     /*  582970 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(583045), // Rule ID 3923 //
     /*  582975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  582986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  582989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  582992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583043 */     GIR_RootConstrainSelectedInstOperands,
     /*  583044 */     // GIR_Coverage, 3923,
     /*  583044 */     GIR_EraseRootFromParent_Done,
     /*  583045 */   // Label 9492: @583045
     /*  583045 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(583120), // Rule ID 3924 //
     /*  583050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583118 */     GIR_RootConstrainSelectedInstOperands,
     /*  583119 */     // GIR_Coverage, 3924,
     /*  583119 */     GIR_EraseRootFromParent_Done,
     /*  583120 */   // Label 9493: @583120
     /*  583120 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(583195), // Rule ID 3927 //
     /*  583125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583193 */     GIR_RootConstrainSelectedInstOperands,
     /*  583194 */     // GIR_Coverage, 3927,
     /*  583194 */     GIR_EraseRootFromParent_Done,
     /*  583195 */   // Label 9494: @583195
     /*  583195 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(583270), // Rule ID 3928 //
     /*  583200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583268 */     GIR_RootConstrainSelectedInstOperands,
     /*  583269 */     // GIR_Coverage, 3928,
     /*  583269 */     GIR_EraseRootFromParent_Done,
     /*  583270 */   // Label 9495: @583270
     /*  583270 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(583345), // Rule ID 3931 //
     /*  583275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583343 */     GIR_RootConstrainSelectedInstOperands,
     /*  583344 */     // GIR_Coverage, 3931,
     /*  583344 */     GIR_EraseRootFromParent_Done,
     /*  583345 */   // Label 9496: @583345
     /*  583345 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(583420), // Rule ID 3932 //
     /*  583350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583418 */     GIR_RootConstrainSelectedInstOperands,
     /*  583419 */     // GIR_Coverage, 3932,
     /*  583419 */     GIR_EraseRootFromParent_Done,
     /*  583420 */   // Label 9497: @583420
     /*  583420 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(583495), // Rule ID 3935 //
     /*  583425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583493 */     GIR_RootConstrainSelectedInstOperands,
     /*  583494 */     // GIR_Coverage, 3935,
     /*  583494 */     GIR_EraseRootFromParent_Done,
     /*  583495 */   // Label 9498: @583495
     /*  583495 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(583570), // Rule ID 3936 //
     /*  583500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583568 */     GIR_RootConstrainSelectedInstOperands,
     /*  583569 */     // GIR_Coverage, 3936,
     /*  583569 */     GIR_EraseRootFromParent_Done,
     /*  583570 */   // Label 9499: @583570
     /*  583570 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(583645), // Rule ID 3939 //
     /*  583575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583643 */     GIR_RootConstrainSelectedInstOperands,
     /*  583644 */     // GIR_Coverage, 3939,
     /*  583644 */     GIR_EraseRootFromParent_Done,
     /*  583645 */   // Label 9500: @583645
     /*  583645 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583720), // Rule ID 3940 //
     /*  583650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583718 */     GIR_RootConstrainSelectedInstOperands,
     /*  583719 */     // GIR_Coverage, 3940,
     /*  583719 */     GIR_EraseRootFromParent_Done,
     /*  583720 */   // Label 9501: @583720
     /*  583720 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583795), // Rule ID 3945 //
     /*  583725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  583736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  583739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  583745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  583774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583793 */     GIR_RootConstrainSelectedInstOperands,
     /*  583794 */     // GIR_Coverage, 3945,
     /*  583794 */     GIR_EraseRootFromParent_Done,
     /*  583795 */   // Label 9502: @583795
     /*  583795 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583870), // Rule ID 3946 //
     /*  583800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  583811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  583814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  583820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  583849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583868 */     GIR_RootConstrainSelectedInstOperands,
     /*  583869 */     // GIR_Coverage, 3946,
     /*  583869 */     GIR_EraseRootFromParent_Done,
     /*  583870 */   // Label 9503: @583870
     /*  583870 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(583945), // Rule ID 3955 //
     /*  583875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  583886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  583889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  583895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  583924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583943 */     GIR_RootConstrainSelectedInstOperands,
     /*  583944 */     // GIR_Coverage, 3955,
     /*  583944 */     GIR_EraseRootFromParent_Done,
     /*  583945 */   // Label 9504: @583945
     /*  583945 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(584020), // Rule ID 3956 //
     /*  583950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  583961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  583964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  583970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  583999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584018 */     GIR_RootConstrainSelectedInstOperands,
     /*  584019 */     // GIR_Coverage, 3956,
     /*  584019 */     GIR_EraseRootFromParent_Done,
     /*  584020 */   // Label 9505: @584020
     /*  584020 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(584095), // Rule ID 3965 //
     /*  584025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584093 */     GIR_RootConstrainSelectedInstOperands,
     /*  584094 */     // GIR_Coverage, 3965,
     /*  584094 */     GIR_EraseRootFromParent_Done,
     /*  584095 */   // Label 9506: @584095
     /*  584095 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(584170), // Rule ID 3966 //
     /*  584100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584168 */     GIR_RootConstrainSelectedInstOperands,
     /*  584169 */     // GIR_Coverage, 3966,
     /*  584169 */     GIR_EraseRootFromParent_Done,
     /*  584170 */   // Label 9507: @584170
     /*  584170 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(584245), // Rule ID 3975 //
     /*  584175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584243 */     GIR_RootConstrainSelectedInstOperands,
     /*  584244 */     // GIR_Coverage, 3975,
     /*  584244 */     GIR_EraseRootFromParent_Done,
     /*  584245 */   // Label 9508: @584245
     /*  584245 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(584320), // Rule ID 3976 //
     /*  584250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584318 */     GIR_RootConstrainSelectedInstOperands,
     /*  584319 */     // GIR_Coverage, 3976,
     /*  584319 */     GIR_EraseRootFromParent_Done,
     /*  584320 */   // Label 9509: @584320
     /*  584320 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(584395), // Rule ID 3985 //
     /*  584325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584393 */     GIR_RootConstrainSelectedInstOperands,
     /*  584394 */     // GIR_Coverage, 3985,
     /*  584394 */     GIR_EraseRootFromParent_Done,
     /*  584395 */   // Label 9510: @584395
     /*  584395 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(584470), // Rule ID 3986 //
     /*  584400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584468 */     GIR_RootConstrainSelectedInstOperands,
     /*  584469 */     // GIR_Coverage, 3986,
     /*  584469 */     GIR_EraseRootFromParent_Done,
     /*  584470 */   // Label 9511: @584470
     /*  584470 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(584545), // Rule ID 3995 //
     /*  584475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584543 */     GIR_RootConstrainSelectedInstOperands,
     /*  584544 */     // GIR_Coverage, 3995,
     /*  584544 */     GIR_EraseRootFromParent_Done,
     /*  584545 */   // Label 9512: @584545
     /*  584545 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(584620), // Rule ID 3996 //
     /*  584550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584618 */     GIR_RootConstrainSelectedInstOperands,
     /*  584619 */     // GIR_Coverage, 3996,
     /*  584619 */     GIR_EraseRootFromParent_Done,
     /*  584620 */   // Label 9513: @584620
     /*  584620 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(584695), // Rule ID 4005 //
     /*  584625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  584636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  584639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  584645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584693 */     GIR_RootConstrainSelectedInstOperands,
     /*  584694 */     // GIR_Coverage, 4005,
     /*  584694 */     GIR_EraseRootFromParent_Done,
     /*  584695 */   // Label 9514: @584695
     /*  584695 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584770), // Rule ID 4006 //
     /*  584700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  584711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  584714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  584720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584768 */     GIR_RootConstrainSelectedInstOperands,
     /*  584769 */     // GIR_Coverage, 4006,
     /*  584769 */     GIR_EraseRootFromParent_Done,
     /*  584770 */   // Label 9515: @584770
     /*  584770 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584845), // Rule ID 4015 //
     /*  584775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  584786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  584789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  584795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584843 */     GIR_RootConstrainSelectedInstOperands,
     /*  584844 */     // GIR_Coverage, 4015,
     /*  584844 */     GIR_EraseRootFromParent_Done,
     /*  584845 */   // Label 9516: @584845
     /*  584845 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(584920), // Rule ID 4016 //
     /*  584850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  584861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  584864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  584870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584918 */     GIR_RootConstrainSelectedInstOperands,
     /*  584919 */     // GIR_Coverage, 4016,
     /*  584919 */     GIR_EraseRootFromParent_Done,
     /*  584920 */   // Label 9517: @584920
     /*  584920 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(584995), // Rule ID 4025 //
     /*  584925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  584936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  584939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  584945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584993 */     GIR_RootConstrainSelectedInstOperands,
     /*  584994 */     // GIR_Coverage, 4025,
     /*  584994 */     GIR_EraseRootFromParent_Done,
     /*  584995 */   // Label 9518: @584995
     /*  584995 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(585070), // Rule ID 4026 //
     /*  585000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585068 */     GIR_RootConstrainSelectedInstOperands,
     /*  585069 */     // GIR_Coverage, 4026,
     /*  585069 */     GIR_EraseRootFromParent_Done,
     /*  585070 */   // Label 9519: @585070
     /*  585070 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(585145), // Rule ID 4035 //
     /*  585075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585143 */     GIR_RootConstrainSelectedInstOperands,
     /*  585144 */     // GIR_Coverage, 4035,
     /*  585144 */     GIR_EraseRootFromParent_Done,
     /*  585145 */   // Label 9520: @585145
     /*  585145 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(585220), // Rule ID 4036 //
     /*  585150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585218 */     GIR_RootConstrainSelectedInstOperands,
     /*  585219 */     // GIR_Coverage, 4036,
     /*  585219 */     GIR_EraseRootFromParent_Done,
     /*  585220 */   // Label 9521: @585220
     /*  585220 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(585295), // Rule ID 4045 //
     /*  585225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585271 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585293 */     GIR_RootConstrainSelectedInstOperands,
     /*  585294 */     // GIR_Coverage, 4045,
     /*  585294 */     GIR_EraseRootFromParent_Done,
     /*  585295 */   // Label 9522: @585295
     /*  585295 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(585370), // Rule ID 4046 //
     /*  585300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585368 */     GIR_RootConstrainSelectedInstOperands,
     /*  585369 */     // GIR_Coverage, 4046,
     /*  585369 */     GIR_EraseRootFromParent_Done,
     /*  585370 */   // Label 9523: @585370
     /*  585370 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(585445), // Rule ID 4055 //
     /*  585375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585443 */     GIR_RootConstrainSelectedInstOperands,
     /*  585444 */     // GIR_Coverage, 4055,
     /*  585444 */     GIR_EraseRootFromParent_Done,
     /*  585445 */   // Label 9524: @585445
     /*  585445 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(585520), // Rule ID 4056 //
     /*  585450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585518 */     GIR_RootConstrainSelectedInstOperands,
     /*  585519 */     // GIR_Coverage, 4056,
     /*  585519 */     GIR_EraseRootFromParent_Done,
     /*  585520 */   // Label 9525: @585520
     /*  585520 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(585595), // Rule ID 4065 //
     /*  585525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585593 */     GIR_RootConstrainSelectedInstOperands,
     /*  585594 */     // GIR_Coverage, 4065,
     /*  585594 */     GIR_EraseRootFromParent_Done,
     /*  585595 */   // Label 9526: @585595
     /*  585595 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(585670), // Rule ID 4066 //
     /*  585600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585668 */     GIR_RootConstrainSelectedInstOperands,
     /*  585669 */     // GIR_Coverage, 4066,
     /*  585669 */     GIR_EraseRootFromParent_Done,
     /*  585670 */   // Label 9527: @585670
     /*  585670 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585745), // Rule ID 4075 //
     /*  585675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  585692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  585695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585743 */     GIR_RootConstrainSelectedInstOperands,
     /*  585744 */     // GIR_Coverage, 4075,
     /*  585744 */     GIR_EraseRootFromParent_Done,
     /*  585745 */   // Label 9528: @585745
     /*  585745 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585820), // Rule ID 4076 //
     /*  585750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  585767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  585770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585818 */     GIR_RootConstrainSelectedInstOperands,
     /*  585819 */     // GIR_Coverage, 4076,
     /*  585819 */     GIR_EraseRootFromParent_Done,
     /*  585820 */   // Label 9529: @585820
     /*  585820 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585895), // Rule ID 4083 //
     /*  585825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  585836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  585839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  585842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585871 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  585874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585893 */     GIR_RootConstrainSelectedInstOperands,
     /*  585894 */     // GIR_Coverage, 4083,
     /*  585894 */     GIR_EraseRootFromParent_Done,
     /*  585895 */   // Label 9530: @585895
     /*  585895 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(585970), // Rule ID 4084 //
     /*  585900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  585911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  585914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  585917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  585949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585968 */     GIR_RootConstrainSelectedInstOperands,
     /*  585969 */     // GIR_Coverage, 4084,
     /*  585969 */     GIR_EraseRootFromParent_Done,
     /*  585970 */   // Label 9531: @585970
     /*  585970 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(586045), // Rule ID 4087 //
     /*  585975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  585986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  585989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586043 */     GIR_RootConstrainSelectedInstOperands,
     /*  586044 */     // GIR_Coverage, 4087,
     /*  586044 */     GIR_EraseRootFromParent_Done,
     /*  586045 */   // Label 9532: @586045
     /*  586045 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(586120), // Rule ID 4088 //
     /*  586050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586118 */     GIR_RootConstrainSelectedInstOperands,
     /*  586119 */     // GIR_Coverage, 4088,
     /*  586119 */     GIR_EraseRootFromParent_Done,
     /*  586120 */   // Label 9533: @586120
     /*  586120 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(586195), // Rule ID 4091 //
     /*  586125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586193 */     GIR_RootConstrainSelectedInstOperands,
     /*  586194 */     // GIR_Coverage, 4091,
     /*  586194 */     GIR_EraseRootFromParent_Done,
     /*  586195 */   // Label 9534: @586195
     /*  586195 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(586270), // Rule ID 4092 //
     /*  586200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586268 */     GIR_RootConstrainSelectedInstOperands,
     /*  586269 */     // GIR_Coverage, 4092,
     /*  586269 */     GIR_EraseRootFromParent_Done,
     /*  586270 */   // Label 9535: @586270
     /*  586270 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(586345), // Rule ID 4095 //
     /*  586275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586343 */     GIR_RootConstrainSelectedInstOperands,
     /*  586344 */     // GIR_Coverage, 4095,
     /*  586344 */     GIR_EraseRootFromParent_Done,
     /*  586345 */   // Label 9536: @586345
     /*  586345 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(586420), // Rule ID 4096 //
     /*  586350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586418 */     GIR_RootConstrainSelectedInstOperands,
     /*  586419 */     // GIR_Coverage, 4096,
     /*  586419 */     GIR_EraseRootFromParent_Done,
     /*  586420 */   // Label 9537: @586420
     /*  586420 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(586495), // Rule ID 4099 //
     /*  586425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586493 */     GIR_RootConstrainSelectedInstOperands,
     /*  586494 */     // GIR_Coverage, 4099,
     /*  586494 */     GIR_EraseRootFromParent_Done,
     /*  586495 */   // Label 9538: @586495
     /*  586495 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(586570), // Rule ID 4100 //
     /*  586500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586568 */     GIR_RootConstrainSelectedInstOperands,
     /*  586569 */     // GIR_Coverage, 4100,
     /*  586569 */     GIR_EraseRootFromParent_Done,
     /*  586570 */   // Label 9539: @586570
     /*  586570 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(586645), // Rule ID 4103 //
     /*  586575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586643 */     GIR_RootConstrainSelectedInstOperands,
     /*  586644 */     // GIR_Coverage, 4103,
     /*  586644 */     GIR_EraseRootFromParent_Done,
     /*  586645 */   // Label 9540: @586645
     /*  586645 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586720), // Rule ID 4104 //
     /*  586650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586718 */     GIR_RootConstrainSelectedInstOperands,
     /*  586719 */     // GIR_Coverage, 4104,
     /*  586719 */     GIR_EraseRootFromParent_Done,
     /*  586720 */   // Label 9541: @586720
     /*  586720 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586795), // Rule ID 4107 //
     /*  586725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  586736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  586739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586793 */     GIR_RootConstrainSelectedInstOperands,
     /*  586794 */     // GIR_Coverage, 4107,
     /*  586794 */     GIR_EraseRootFromParent_Done,
     /*  586795 */   // Label 9542: @586795
     /*  586795 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586870), // Rule ID 4108 //
     /*  586800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  586811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  586814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586868 */     GIR_RootConstrainSelectedInstOperands,
     /*  586869 */     // GIR_Coverage, 4108,
     /*  586869 */     GIR_EraseRootFromParent_Done,
     /*  586870 */   // Label 9543: @586870
     /*  586870 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(586945), // Rule ID 4111 //
     /*  586875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  586886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  586889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  586892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586943 */     GIR_RootConstrainSelectedInstOperands,
     /*  586944 */     // GIR_Coverage, 4111,
     /*  586944 */     GIR_EraseRootFromParent_Done,
     /*  586945 */   // Label 9544: @586945
     /*  586945 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(587020), // Rule ID 4112 //
     /*  586950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  586961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  586964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  586967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587018 */     GIR_RootConstrainSelectedInstOperands,
     /*  587019 */     // GIR_Coverage, 4112,
     /*  587019 */     GIR_EraseRootFromParent_Done,
     /*  587020 */   // Label 9545: @587020
     /*  587020 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(587095), // Rule ID 4115 //
     /*  587025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587093 */     GIR_RootConstrainSelectedInstOperands,
     /*  587094 */     // GIR_Coverage, 4115,
     /*  587094 */     GIR_EraseRootFromParent_Done,
     /*  587095 */   // Label 9546: @587095
     /*  587095 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(587170), // Rule ID 4116 //
     /*  587100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587168 */     GIR_RootConstrainSelectedInstOperands,
     /*  587169 */     // GIR_Coverage, 4116,
     /*  587169 */     GIR_EraseRootFromParent_Done,
     /*  587170 */   // Label 9547: @587170
     /*  587170 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(587245), // Rule ID 4119 //
     /*  587175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587243 */     GIR_RootConstrainSelectedInstOperands,
     /*  587244 */     // GIR_Coverage, 4119,
     /*  587244 */     GIR_EraseRootFromParent_Done,
     /*  587245 */   // Label 9548: @587245
     /*  587245 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(587320), // Rule ID 4120 //
     /*  587250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587318 */     GIR_RootConstrainSelectedInstOperands,
     /*  587319 */     // GIR_Coverage, 4120,
     /*  587319 */     GIR_EraseRootFromParent_Done,
     /*  587320 */   // Label 9549: @587320
     /*  587320 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(587395), // Rule ID 4123 //
     /*  587325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587393 */     GIR_RootConstrainSelectedInstOperands,
     /*  587394 */     // GIR_Coverage, 4123,
     /*  587394 */     GIR_EraseRootFromParent_Done,
     /*  587395 */   // Label 9550: @587395
     /*  587395 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(587470), // Rule ID 4124 //
     /*  587400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587468 */     GIR_RootConstrainSelectedInstOperands,
     /*  587469 */     // GIR_Coverage, 4124,
     /*  587469 */     GIR_EraseRootFromParent_Done,
     /*  587470 */   // Label 9551: @587470
     /*  587470 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(587545), // Rule ID 4127 //
     /*  587475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587543 */     GIR_RootConstrainSelectedInstOperands,
     /*  587544 */     // GIR_Coverage, 4127,
     /*  587544 */     GIR_EraseRootFromParent_Done,
     /*  587545 */   // Label 9552: @587545
     /*  587545 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(587620), // Rule ID 4128 //
     /*  587550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587618 */     GIR_RootConstrainSelectedInstOperands,
     /*  587619 */     // GIR_Coverage, 4128,
     /*  587619 */     GIR_EraseRootFromParent_Done,
     /*  587620 */   // Label 9553: @587620
     /*  587620 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(587695), // Rule ID 4131 //
     /*  587625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  587642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587671 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587693 */     GIR_RootConstrainSelectedInstOperands,
     /*  587694 */     // GIR_Coverage, 4131,
     /*  587694 */     GIR_EraseRootFromParent_Done,
     /*  587695 */   // Label 9554: @587695
     /*  587695 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587770), // Rule ID 4132 //
     /*  587700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  587717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587768 */     GIR_RootConstrainSelectedInstOperands,
     /*  587769 */     // GIR_Coverage, 4132,
     /*  587769 */     GIR_EraseRootFromParent_Done,
     /*  587770 */   // Label 9555: @587770
     /*  587770 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587845), // Rule ID 4135 //
     /*  587775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  587786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  587789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  587792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587821 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587843 */     GIR_RootConstrainSelectedInstOperands,
     /*  587844 */     // GIR_Coverage, 4135,
     /*  587844 */     GIR_EraseRootFromParent_Done,
     /*  587845 */   // Label 9556: @587845
     /*  587845 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(587920), // Rule ID 4136 //
     /*  587850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  587861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  587864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  587867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587918 */     GIR_RootConstrainSelectedInstOperands,
     /*  587919 */     // GIR_Coverage, 4136,
     /*  587919 */     GIR_EraseRootFromParent_Done,
     /*  587920 */   // Label 9557: @587920
     /*  587920 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(587995), // Rule ID 4139 //
     /*  587925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  587936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  587939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  587942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587993 */     GIR_RootConstrainSelectedInstOperands,
     /*  587994 */     // GIR_Coverage, 4139,
     /*  587994 */     GIR_EraseRootFromParent_Done,
     /*  587995 */   // Label 9558: @587995
     /*  587995 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(588070), // Rule ID 4140 //
     /*  588000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  588049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588068 */     GIR_RootConstrainSelectedInstOperands,
     /*  588069 */     // GIR_Coverage, 4140,
     /*  588069 */     GIR_EraseRootFromParent_Done,
     /*  588070 */   // Label 9559: @588070
     /*  588070 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(588145), // Rule ID 4145 //
     /*  588075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588143 */     GIR_RootConstrainSelectedInstOperands,
     /*  588144 */     // GIR_Coverage, 4145,
     /*  588144 */     GIR_EraseRootFromParent_Done,
     /*  588145 */   // Label 9560: @588145
     /*  588145 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(588220), // Rule ID 4146 //
     /*  588150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588218 */     GIR_RootConstrainSelectedInstOperands,
     /*  588219 */     // GIR_Coverage, 4146,
     /*  588219 */     GIR_EraseRootFromParent_Done,
     /*  588220 */   // Label 9561: @588220
     /*  588220 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(588295), // Rule ID 4155 //
     /*  588225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588293 */     GIR_RootConstrainSelectedInstOperands,
     /*  588294 */     // GIR_Coverage, 4155,
     /*  588294 */     GIR_EraseRootFromParent_Done,
     /*  588295 */   // Label 9562: @588295
     /*  588295 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(588370), // Rule ID 4156 //
     /*  588300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588368 */     GIR_RootConstrainSelectedInstOperands,
     /*  588369 */     // GIR_Coverage, 4156,
     /*  588369 */     GIR_EraseRootFromParent_Done,
     /*  588370 */   // Label 9563: @588370
     /*  588370 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(588445), // Rule ID 4165 //
     /*  588375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588443 */     GIR_RootConstrainSelectedInstOperands,
     /*  588444 */     // GIR_Coverage, 4165,
     /*  588444 */     GIR_EraseRootFromParent_Done,
     /*  588445 */   // Label 9564: @588445
     /*  588445 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(588520), // Rule ID 4166 //
     /*  588450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588518 */     GIR_RootConstrainSelectedInstOperands,
     /*  588519 */     // GIR_Coverage, 4166,
     /*  588519 */     GIR_EraseRootFromParent_Done,
     /*  588520 */   // Label 9565: @588520
     /*  588520 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(588595), // Rule ID 4175 //
     /*  588525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588571 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588593 */     GIR_RootConstrainSelectedInstOperands,
     /*  588594 */     // GIR_Coverage, 4175,
     /*  588594 */     GIR_EraseRootFromParent_Done,
     /*  588595 */   // Label 9566: @588595
     /*  588595 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(588670), // Rule ID 4176 //
     /*  588600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588668 */     GIR_RootConstrainSelectedInstOperands,
     /*  588669 */     // GIR_Coverage, 4176,
     /*  588669 */     GIR_EraseRootFromParent_Done,
     /*  588670 */   // Label 9567: @588670
     /*  588670 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588745), // Rule ID 4185 //
     /*  588675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  588686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  588689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  588695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588721 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588743 */     GIR_RootConstrainSelectedInstOperands,
     /*  588744 */     // GIR_Coverage, 4185,
     /*  588744 */     GIR_EraseRootFromParent_Done,
     /*  588745 */   // Label 9568: @588745
     /*  588745 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588820), // Rule ID 4186 //
     /*  588750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  588761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  588764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  588770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588818 */     GIR_RootConstrainSelectedInstOperands,
     /*  588819 */     // GIR_Coverage, 4186,
     /*  588819 */     GIR_EraseRootFromParent_Done,
     /*  588820 */   // Label 9569: @588820
     /*  588820 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588895), // Rule ID 4195 //
     /*  588825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  588836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  588839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  588842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  588845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588871 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  588874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588893 */     GIR_RootConstrainSelectedInstOperands,
     /*  588894 */     // GIR_Coverage, 4195,
     /*  588894 */     GIR_EraseRootFromParent_Done,
     /*  588895 */   // Label 9570: @588895
     /*  588895 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(588970), // Rule ID 4196 //
     /*  588900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  588911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  588914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  588917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  588920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  588949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588968 */     GIR_RootConstrainSelectedInstOperands,
     /*  588969 */     // GIR_Coverage, 4196,
     /*  588969 */     GIR_EraseRootFromParent_Done,
     /*  588970 */   // Label 9571: @588970
     /*  588970 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(589045), // Rule ID 4205 //
     /*  588975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  588986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  588989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  588992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  588995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589043 */     GIR_RootConstrainSelectedInstOperands,
     /*  589044 */     // GIR_Coverage, 4205,
     /*  589044 */     GIR_EraseRootFromParent_Done,
     /*  589045 */   // Label 9572: @589045
     /*  589045 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(589120), // Rule ID 4206 //
     /*  589050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589118 */     GIR_RootConstrainSelectedInstOperands,
     /*  589119 */     // GIR_Coverage, 4206,
     /*  589119 */     GIR_EraseRootFromParent_Done,
     /*  589120 */   // Label 9573: @589120
     /*  589120 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(589195), // Rule ID 4215 //
     /*  589125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589193 */     GIR_RootConstrainSelectedInstOperands,
     /*  589194 */     // GIR_Coverage, 4215,
     /*  589194 */     GIR_EraseRootFromParent_Done,
     /*  589195 */   // Label 9574: @589195
     /*  589195 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(589270), // Rule ID 4216 //
     /*  589200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589268 */     GIR_RootConstrainSelectedInstOperands,
     /*  589269 */     // GIR_Coverage, 4216,
     /*  589269 */     GIR_EraseRootFromParent_Done,
     /*  589270 */   // Label 9575: @589270
     /*  589270 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(589345), // Rule ID 4225 //
     /*  589275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589343 */     GIR_RootConstrainSelectedInstOperands,
     /*  589344 */     // GIR_Coverage, 4225,
     /*  589344 */     GIR_EraseRootFromParent_Done,
     /*  589345 */   // Label 9576: @589345
     /*  589345 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(589420), // Rule ID 4226 //
     /*  589350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589418 */     GIR_RootConstrainSelectedInstOperands,
     /*  589419 */     // GIR_Coverage, 4226,
     /*  589419 */     GIR_EraseRootFromParent_Done,
     /*  589420 */   // Label 9577: @589420
     /*  589420 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(589495), // Rule ID 4235 //
     /*  589425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589471 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589493 */     GIR_RootConstrainSelectedInstOperands,
     /*  589494 */     // GIR_Coverage, 4235,
     /*  589494 */     GIR_EraseRootFromParent_Done,
     /*  589495 */   // Label 9578: @589495
     /*  589495 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(589570), // Rule ID 4236 //
     /*  589500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589568 */     GIR_RootConstrainSelectedInstOperands,
     /*  589569 */     // GIR_Coverage, 4236,
     /*  589569 */     GIR_EraseRootFromParent_Done,
     /*  589570 */   // Label 9579: @589570
     /*  589570 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(589645), // Rule ID 4245 //
     /*  589575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589643 */     GIR_RootConstrainSelectedInstOperands,
     /*  589644 */     // GIR_Coverage, 4245,
     /*  589644 */     GIR_EraseRootFromParent_Done,
     /*  589645 */   // Label 9580: @589645
     /*  589645 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589720), // Rule ID 4246 //
     /*  589650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589718 */     GIR_RootConstrainSelectedInstOperands,
     /*  589719 */     // GIR_Coverage, 4246,
     /*  589719 */     GIR_EraseRootFromParent_Done,
     /*  589720 */   // Label 9581: @589720
     /*  589720 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589795), // Rule ID 4255 //
     /*  589725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589793 */     GIR_RootConstrainSelectedInstOperands,
     /*  589794 */     // GIR_Coverage, 4255,
     /*  589794 */     GIR_EraseRootFromParent_Done,
     /*  589795 */   // Label 9582: @589795
     /*  589795 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589870), // Rule ID 4256 //
     /*  589800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589868 */     GIR_RootConstrainSelectedInstOperands,
     /*  589869 */     // GIR_Coverage, 4256,
     /*  589869 */     GIR_EraseRootFromParent_Done,
     /*  589870 */   // Label 9583: @589870
     /*  589870 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(589945), // Rule ID 4265 //
     /*  589875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  589886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  589889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  589892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  589895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589943 */     GIR_RootConstrainSelectedInstOperands,
     /*  589944 */     // GIR_Coverage, 4265,
     /*  589944 */     GIR_EraseRootFromParent_Done,
     /*  589945 */   // Label 9584: @589945
     /*  589945 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(590020), // Rule ID 4266 //
     /*  589950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  589961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  589964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  589967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  589970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590018 */     GIR_RootConstrainSelectedInstOperands,
     /*  590019 */     // GIR_Coverage, 4266,
     /*  590019 */     GIR_EraseRootFromParent_Done,
     /*  590020 */   // Label 9585: @590020
     /*  590020 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(590095), // Rule ID 4275 //
     /*  590025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590093 */     GIR_RootConstrainSelectedInstOperands,
     /*  590094 */     // GIR_Coverage, 4275,
     /*  590094 */     GIR_EraseRootFromParent_Done,
     /*  590095 */   // Label 9586: @590095
     /*  590095 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(590170), // Rule ID 4276 //
     /*  590100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590168 */     GIR_RootConstrainSelectedInstOperands,
     /*  590169 */     // GIR_Coverage, 4276,
     /*  590169 */     GIR_EraseRootFromParent_Done,
     /*  590170 */   // Label 9587: @590170
     /*  590170 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(590245), // Rule ID 4285 //
     /*  590175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590243 */     GIR_RootConstrainSelectedInstOperands,
     /*  590244 */     // GIR_Coverage, 4285,
     /*  590244 */     GIR_EraseRootFromParent_Done,
     /*  590245 */   // Label 9588: @590245
     /*  590245 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(590320), // Rule ID 4286 //
     /*  590250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590318 */     GIR_RootConstrainSelectedInstOperands,
     /*  590319 */     // GIR_Coverage, 4286,
     /*  590319 */     GIR_EraseRootFromParent_Done,
     /*  590320 */   // Label 9589: @590320
     /*  590320 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(590395), // Rule ID 4293 //
     /*  590325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590371 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590393 */     GIR_RootConstrainSelectedInstOperands,
     /*  590394 */     // GIR_Coverage, 4293,
     /*  590394 */     GIR_EraseRootFromParent_Done,
     /*  590395 */   // Label 9590: @590395
     /*  590395 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(590470), // Rule ID 4294 //
     /*  590400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590468 */     GIR_RootConstrainSelectedInstOperands,
     /*  590469 */     // GIR_Coverage, 4294,
     /*  590469 */     GIR_EraseRootFromParent_Done,
     /*  590470 */   // Label 9591: @590470
     /*  590470 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(590545), // Rule ID 4297 //
     /*  590475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590521 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590543 */     GIR_RootConstrainSelectedInstOperands,
     /*  590544 */     // GIR_Coverage, 4297,
     /*  590544 */     GIR_EraseRootFromParent_Done,
     /*  590545 */   // Label 9592: @590545
     /*  590545 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(590620), // Rule ID 4298 //
     /*  590550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590618 */     GIR_RootConstrainSelectedInstOperands,
     /*  590619 */     // GIR_Coverage, 4298,
     /*  590619 */     GIR_EraseRootFromParent_Done,
     /*  590620 */   // Label 9593: @590620
     /*  590620 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(590695), // Rule ID 4301 //
     /*  590625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590671 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590693 */     GIR_RootConstrainSelectedInstOperands,
     /*  590694 */     // GIR_Coverage, 4301,
     /*  590694 */     GIR_EraseRootFromParent_Done,
     /*  590695 */   // Label 9594: @590695
     /*  590695 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590770), // Rule ID 4302 //
     /*  590700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590768 */     GIR_RootConstrainSelectedInstOperands,
     /*  590769 */     // GIR_Coverage, 4302,
     /*  590769 */     GIR_EraseRootFromParent_Done,
     /*  590770 */   // Label 9595: @590770
     /*  590770 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590845), // Rule ID 4305 //
     /*  590775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  590786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  590789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  590792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  590824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590843 */     GIR_RootConstrainSelectedInstOperands,
     /*  590844 */     // GIR_Coverage, 4305,
     /*  590844 */     GIR_EraseRootFromParent_Done,
     /*  590845 */   // Label 9596: @590845
     /*  590845 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(590920), // Rule ID 4306 //
     /*  590850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  590861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  590864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  590867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  590899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590918 */     GIR_RootConstrainSelectedInstOperands,
     /*  590919 */     // GIR_Coverage, 4306,
     /*  590919 */     GIR_EraseRootFromParent_Done,
     /*  590920 */   // Label 9597: @590920
     /*  590920 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(590995), // Rule ID 4309 //
     /*  590925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  590936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  590939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  590942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  590974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590993 */     GIR_RootConstrainSelectedInstOperands,
     /*  590994 */     // GIR_Coverage, 4309,
     /*  590994 */     GIR_EraseRootFromParent_Done,
     /*  590995 */   // Label 9598: @590995
     /*  590995 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(591070), // Rule ID 4310 //
     /*  591000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591068 */     GIR_RootConstrainSelectedInstOperands,
     /*  591069 */     // GIR_Coverage, 4310,
     /*  591069 */     GIR_EraseRootFromParent_Done,
     /*  591070 */   // Label 9599: @591070
     /*  591070 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(591145), // Rule ID 4313 //
     /*  591075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591143 */     GIR_RootConstrainSelectedInstOperands,
     /*  591144 */     // GIR_Coverage, 4313,
     /*  591144 */     GIR_EraseRootFromParent_Done,
     /*  591145 */   // Label 9600: @591145
     /*  591145 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(591220), // Rule ID 4314 //
     /*  591150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591218 */     GIR_RootConstrainSelectedInstOperands,
     /*  591219 */     // GIR_Coverage, 4314,
     /*  591219 */     GIR_EraseRootFromParent_Done,
     /*  591220 */   // Label 9601: @591220
     /*  591220 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(591295), // Rule ID 4317 //
     /*  591225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591271 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591293 */     GIR_RootConstrainSelectedInstOperands,
     /*  591294 */     // GIR_Coverage, 4317,
     /*  591294 */     GIR_EraseRootFromParent_Done,
     /*  591295 */   // Label 9602: @591295
     /*  591295 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(591370), // Rule ID 4318 //
     /*  591300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591368 */     GIR_RootConstrainSelectedInstOperands,
     /*  591369 */     // GIR_Coverage, 4318,
     /*  591369 */     GIR_EraseRootFromParent_Done,
     /*  591370 */   // Label 9603: @591370
     /*  591370 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(591445), // Rule ID 4321 //
     /*  591375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591443 */     GIR_RootConstrainSelectedInstOperands,
     /*  591444 */     // GIR_Coverage, 4321,
     /*  591444 */     GIR_EraseRootFromParent_Done,
     /*  591445 */   // Label 9604: @591445
     /*  591445 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(591520), // Rule ID 4322 //
     /*  591450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591518 */     GIR_RootConstrainSelectedInstOperands,
     /*  591519 */     // GIR_Coverage, 4322,
     /*  591519 */     GIR_EraseRootFromParent_Done,
     /*  591520 */   // Label 9605: @591520
     /*  591520 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(591595), // Rule ID 4325 //
     /*  591525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591593 */     GIR_RootConstrainSelectedInstOperands,
     /*  591594 */     // GIR_Coverage, 4325,
     /*  591594 */     GIR_EraseRootFromParent_Done,
     /*  591595 */   // Label 9606: @591595
     /*  591595 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(591670), // Rule ID 4326 //
     /*  591600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591668 */     GIR_RootConstrainSelectedInstOperands,
     /*  591669 */     // GIR_Coverage, 4326,
     /*  591669 */     GIR_EraseRootFromParent_Done,
     /*  591670 */   // Label 9607: @591670
     /*  591670 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591745), // Rule ID 4329 //
     /*  591675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591743 */     GIR_RootConstrainSelectedInstOperands,
     /*  591744 */     // GIR_Coverage, 4329,
     /*  591744 */     GIR_EraseRootFromParent_Done,
     /*  591745 */   // Label 9608: @591745
     /*  591745 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591820), // Rule ID 4330 //
     /*  591750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591818 */     GIR_RootConstrainSelectedInstOperands,
     /*  591819 */     // GIR_Coverage, 4330,
     /*  591819 */     GIR_EraseRootFromParent_Done,
     /*  591820 */   // Label 9609: @591820
     /*  591820 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591895), // Rule ID 4333 //
     /*  591825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591893 */     GIR_RootConstrainSelectedInstOperands,
     /*  591894 */     // GIR_Coverage, 4333,
     /*  591894 */     GIR_EraseRootFromParent_Done,
     /*  591895 */   // Label 9610: @591895
     /*  591895 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(591970), // Rule ID 4334 //
     /*  591900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591968 */     GIR_RootConstrainSelectedInstOperands,
     /*  591969 */     // GIR_Coverage, 4334,
     /*  591969 */     GIR_EraseRootFromParent_Done,
     /*  591970 */   // Label 9611: @591970
     /*  591970 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(592045), // Rule ID 4337 //
     /*  591975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  591978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  591986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  591989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  591992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592043 */     GIR_RootConstrainSelectedInstOperands,
     /*  592044 */     // GIR_Coverage, 4337,
     /*  592044 */     GIR_EraseRootFromParent_Done,
     /*  592045 */   // Label 9612: @592045
     /*  592045 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(592120), // Rule ID 4338 //
     /*  592050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592118 */     GIR_RootConstrainSelectedInstOperands,
     /*  592119 */     // GIR_Coverage, 4338,
     /*  592119 */     GIR_EraseRootFromParent_Done,
     /*  592120 */   // Label 9613: @592120
     /*  592120 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(592195), // Rule ID 4341 //
     /*  592125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592171 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592193 */     GIR_RootConstrainSelectedInstOperands,
     /*  592194 */     // GIR_Coverage, 4341,
     /*  592194 */     GIR_EraseRootFromParent_Done,
     /*  592195 */   // Label 9614: @592195
     /*  592195 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(592270), // Rule ID 4342 //
     /*  592200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592268 */     GIR_RootConstrainSelectedInstOperands,
     /*  592269 */     // GIR_Coverage, 4342,
     /*  592269 */     GIR_EraseRootFromParent_Done,
     /*  592270 */   // Label 9615: @592270
     /*  592270 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(592345), // Rule ID 4345 //
     /*  592275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592321 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592343 */     GIR_RootConstrainSelectedInstOperands,
     /*  592344 */     // GIR_Coverage, 4345,
     /*  592344 */     GIR_EraseRootFromParent_Done,
     /*  592345 */   // Label 9616: @592345
     /*  592345 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(592420), // Rule ID 4346 //
     /*  592350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592418 */     GIR_RootConstrainSelectedInstOperands,
     /*  592419 */     // GIR_Coverage, 4346,
     /*  592419 */     GIR_EraseRootFromParent_Done,
     /*  592420 */   // Label 9617: @592420
     /*  592420 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(592495), // Rule ID 4349 //
     /*  592425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592471 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592493 */     GIR_RootConstrainSelectedInstOperands,
     /*  592494 */     // GIR_Coverage, 4349,
     /*  592494 */     GIR_EraseRootFromParent_Done,
     /*  592495 */   // Label 9618: @592495
     /*  592495 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(592570), // Rule ID 4350 //
     /*  592500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592568 */     GIR_RootConstrainSelectedInstOperands,
     /*  592569 */     // GIR_Coverage, 4350,
     /*  592569 */     GIR_EraseRootFromParent_Done,
     /*  592570 */   // Label 9619: @592570
     /*  592570 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(592645), // Rule ID 4355 //
     /*  592575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  592624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592643 */     GIR_RootConstrainSelectedInstOperands,
     /*  592644 */     // GIR_Coverage, 4355,
     /*  592644 */     GIR_EraseRootFromParent_Done,
     /*  592645 */   // Label 9620: @592645
     /*  592645 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592720), // Rule ID 4356 //
     /*  592650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  592699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592718 */     GIR_RootConstrainSelectedInstOperands,
     /*  592719 */     // GIR_Coverage, 4356,
     /*  592719 */     GIR_EraseRootFromParent_Done,
     /*  592720 */   // Label 9621: @592720
     /*  592720 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592795), // Rule ID 4365 //
     /*  592725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  592745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  592774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592793 */     GIR_RootConstrainSelectedInstOperands,
     /*  592794 */     // GIR_Coverage, 4365,
     /*  592794 */     GIR_EraseRootFromParent_Done,
     /*  592795 */   // Label 9622: @592795
     /*  592795 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592870), // Rule ID 4366 //
     /*  592800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  592820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  592849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592868 */     GIR_RootConstrainSelectedInstOperands,
     /*  592869 */     // GIR_Coverage, 4366,
     /*  592869 */     GIR_EraseRootFromParent_Done,
     /*  592870 */   // Label 9623: @592870
     /*  592870 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(592945), // Rule ID 4375 //
     /*  592875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  592886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  592889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  592892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  592895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  592924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592943 */     GIR_RootConstrainSelectedInstOperands,
     /*  592944 */     // GIR_Coverage, 4375,
     /*  592944 */     GIR_EraseRootFromParent_Done,
     /*  592945 */   // Label 9624: @592945
     /*  592945 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(593020), // Rule ID 4376 //
     /*  592950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  592961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  592964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  592967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  592970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  592999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593018 */     GIR_RootConstrainSelectedInstOperands,
     /*  593019 */     // GIR_Coverage, 4376,
     /*  593019 */     GIR_EraseRootFromParent_Done,
     /*  593020 */   // Label 9625: @593020
     /*  593020 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(593095), // Rule ID 4385 //
     /*  593025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593093 */     GIR_RootConstrainSelectedInstOperands,
     /*  593094 */     // GIR_Coverage, 4385,
     /*  593094 */     GIR_EraseRootFromParent_Done,
     /*  593095 */   // Label 9626: @593095
     /*  593095 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(593170), // Rule ID 4386 //
     /*  593100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593168 */     GIR_RootConstrainSelectedInstOperands,
     /*  593169 */     // GIR_Coverage, 4386,
     /*  593169 */     GIR_EraseRootFromParent_Done,
     /*  593170 */   // Label 9627: @593170
     /*  593170 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(593245), // Rule ID 4395 //
     /*  593175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593243 */     GIR_RootConstrainSelectedInstOperands,
     /*  593244 */     // GIR_Coverage, 4395,
     /*  593244 */     GIR_EraseRootFromParent_Done,
     /*  593245 */   // Label 9628: @593245
     /*  593245 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(593320), // Rule ID 4396 //
     /*  593250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593318 */     GIR_RootConstrainSelectedInstOperands,
     /*  593319 */     // GIR_Coverage, 4396,
     /*  593319 */     GIR_EraseRootFromParent_Done,
     /*  593320 */   // Label 9629: @593320
     /*  593320 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(593395), // Rule ID 4405 //
     /*  593325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593393 */     GIR_RootConstrainSelectedInstOperands,
     /*  593394 */     // GIR_Coverage, 4405,
     /*  593394 */     GIR_EraseRootFromParent_Done,
     /*  593395 */   // Label 9630: @593395
     /*  593395 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(593470), // Rule ID 4406 //
     /*  593400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593468 */     GIR_RootConstrainSelectedInstOperands,
     /*  593469 */     // GIR_Coverage, 4406,
     /*  593469 */     GIR_EraseRootFromParent_Done,
     /*  593470 */   // Label 9631: @593470
     /*  593470 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(593545), // Rule ID 4415 //
     /*  593475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593543 */     GIR_RootConstrainSelectedInstOperands,
     /*  593544 */     // GIR_Coverage, 4415,
     /*  593544 */     GIR_EraseRootFromParent_Done,
     /*  593545 */   // Label 9632: @593545
     /*  593545 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(593620), // Rule ID 4416 //
     /*  593550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593618 */     GIR_RootConstrainSelectedInstOperands,
     /*  593619 */     // GIR_Coverage, 4416,
     /*  593619 */     GIR_EraseRootFromParent_Done,
     /*  593620 */   // Label 9633: @593620
     /*  593620 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(593695), // Rule ID 4425 //
     /*  593625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593693 */     GIR_RootConstrainSelectedInstOperands,
     /*  593694 */     // GIR_Coverage, 4425,
     /*  593694 */     GIR_EraseRootFromParent_Done,
     /*  593695 */   // Label 9634: @593695
     /*  593695 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593770), // Rule ID 4426 //
     /*  593700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593768 */     GIR_RootConstrainSelectedInstOperands,
     /*  593769 */     // GIR_Coverage, 4426,
     /*  593769 */     GIR_EraseRootFromParent_Done,
     /*  593770 */   // Label 9635: @593770
     /*  593770 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593845), // Rule ID 4435 //
     /*  593775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  593795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593843 */     GIR_RootConstrainSelectedInstOperands,
     /*  593844 */     // GIR_Coverage, 4435,
     /*  593844 */     GIR_EraseRootFromParent_Done,
     /*  593845 */   // Label 9636: @593845
     /*  593845 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(593920), // Rule ID 4436 //
     /*  593850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  593870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593918 */     GIR_RootConstrainSelectedInstOperands,
     /*  593919 */     // GIR_Coverage, 4436,
     /*  593919 */     GIR_EraseRootFromParent_Done,
     /*  593920 */   // Label 9637: @593920
     /*  593920 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(593995), // Rule ID 4445 //
     /*  593925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  593936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  593939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  593942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  593945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593993 */     GIR_RootConstrainSelectedInstOperands,
     /*  593994 */     // GIR_Coverage, 4445,
     /*  593994 */     GIR_EraseRootFromParent_Done,
     /*  593995 */   // Label 9638: @593995
     /*  593995 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(594070), // Rule ID 4446 //
     /*  594000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594068 */     GIR_RootConstrainSelectedInstOperands,
     /*  594069 */     // GIR_Coverage, 4446,
     /*  594069 */     GIR_EraseRootFromParent_Done,
     /*  594070 */   // Label 9639: @594070
     /*  594070 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(594145), // Rule ID 4455 //
     /*  594075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594143 */     GIR_RootConstrainSelectedInstOperands,
     /*  594144 */     // GIR_Coverage, 4455,
     /*  594144 */     GIR_EraseRootFromParent_Done,
     /*  594145 */   // Label 9640: @594145
     /*  594145 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(594220), // Rule ID 4456 //
     /*  594150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594218 */     GIR_RootConstrainSelectedInstOperands,
     /*  594219 */     // GIR_Coverage, 4456,
     /*  594219 */     GIR_EraseRootFromParent_Done,
     /*  594220 */   // Label 9641: @594220
     /*  594220 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(594295), // Rule ID 4465 //
     /*  594225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594271 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594293 */     GIR_RootConstrainSelectedInstOperands,
     /*  594294 */     // GIR_Coverage, 4465,
     /*  594294 */     GIR_EraseRootFromParent_Done,
     /*  594295 */   // Label 9642: @594295
     /*  594295 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(594370), // Rule ID 4466 //
     /*  594300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594368 */     GIR_RootConstrainSelectedInstOperands,
     /*  594369 */     // GIR_Coverage, 4466,
     /*  594369 */     GIR_EraseRootFromParent_Done,
     /*  594370 */   // Label 9643: @594370
     /*  594370 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(594445), // Rule ID 4475 //
     /*  594375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594443 */     GIR_RootConstrainSelectedInstOperands,
     /*  594444 */     // GIR_Coverage, 4475,
     /*  594444 */     GIR_EraseRootFromParent_Done,
     /*  594445 */   // Label 9644: @594445
     /*  594445 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(594520), // Rule ID 4476 //
     /*  594450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594518 */     GIR_RootConstrainSelectedInstOperands,
     /*  594519 */     // GIR_Coverage, 4476,
     /*  594519 */     GIR_EraseRootFromParent_Done,
     /*  594520 */   // Label 9645: @594520
     /*  594520 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(594595), // Rule ID 4485 //
     /*  594525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594593 */     GIR_RootConstrainSelectedInstOperands,
     /*  594594 */     // GIR_Coverage, 4485,
     /*  594594 */     GIR_EraseRootFromParent_Done,
     /*  594595 */   // Label 9646: @594595
     /*  594595 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(594670), // Rule ID 4486 //
     /*  594600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594668 */     GIR_RootConstrainSelectedInstOperands,
     /*  594669 */     // GIR_Coverage, 4486,
     /*  594669 */     GIR_EraseRootFromParent_Done,
     /*  594670 */   // Label 9647: @594670
     /*  594670 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594745), // Rule ID 4495 //
     /*  594675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  594695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594743 */     GIR_RootConstrainSelectedInstOperands,
     /*  594744 */     // GIR_Coverage, 4495,
     /*  594744 */     GIR_EraseRootFromParent_Done,
     /*  594745 */   // Label 9648: @594745
     /*  594745 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594820), // Rule ID 4496 //
     /*  594750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  594770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594818 */     GIR_RootConstrainSelectedInstOperands,
     /*  594819 */     // GIR_Coverage, 4496,
     /*  594819 */     GIR_EraseRootFromParent_Done,
     /*  594820 */   // Label 9649: @594820
     /*  594820 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594895), // Rule ID 4503 //
     /*  594825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594871 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  594874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594893 */     GIR_RootConstrainSelectedInstOperands,
     /*  594894 */     // GIR_Coverage, 4503,
     /*  594894 */     GIR_EraseRootFromParent_Done,
     /*  594895 */   // Label 9650: @594895
     /*  594895 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(594970), // Rule ID 4504 //
     /*  594900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  594949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594968 */     GIR_RootConstrainSelectedInstOperands,
     /*  594969 */     // GIR_Coverage, 4504,
     /*  594969 */     GIR_EraseRootFromParent_Done,
     /*  594970 */   // Label 9651: @594970
     /*  594970 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(595045), // Rule ID 4507 //
     /*  594975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  594986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  594989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  594992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595043 */     GIR_RootConstrainSelectedInstOperands,
     /*  595044 */     // GIR_Coverage, 4507,
     /*  595044 */     GIR_EraseRootFromParent_Done,
     /*  595045 */   // Label 9652: @595045
     /*  595045 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(595120), // Rule ID 4508 //
     /*  595050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595118 */     GIR_RootConstrainSelectedInstOperands,
     /*  595119 */     // GIR_Coverage, 4508,
     /*  595119 */     GIR_EraseRootFromParent_Done,
     /*  595120 */   // Label 9653: @595120
     /*  595120 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(595195), // Rule ID 4511 //
     /*  595125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595193 */     GIR_RootConstrainSelectedInstOperands,
     /*  595194 */     // GIR_Coverage, 4511,
     /*  595194 */     GIR_EraseRootFromParent_Done,
     /*  595195 */   // Label 9654: @595195
     /*  595195 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(595270), // Rule ID 4512 //
     /*  595200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595268 */     GIR_RootConstrainSelectedInstOperands,
     /*  595269 */     // GIR_Coverage, 4512,
     /*  595269 */     GIR_EraseRootFromParent_Done,
     /*  595270 */   // Label 9655: @595270
     /*  595270 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(595345), // Rule ID 4515 //
     /*  595275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595343 */     GIR_RootConstrainSelectedInstOperands,
     /*  595344 */     // GIR_Coverage, 4515,
     /*  595344 */     GIR_EraseRootFromParent_Done,
     /*  595345 */   // Label 9656: @595345
     /*  595345 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(595420), // Rule ID 4516 //
     /*  595350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595418 */     GIR_RootConstrainSelectedInstOperands,
     /*  595419 */     // GIR_Coverage, 4516,
     /*  595419 */     GIR_EraseRootFromParent_Done,
     /*  595420 */   // Label 9657: @595420
     /*  595420 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(595495), // Rule ID 4519 //
     /*  595425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595493 */     GIR_RootConstrainSelectedInstOperands,
     /*  595494 */     // GIR_Coverage, 4519,
     /*  595494 */     GIR_EraseRootFromParent_Done,
     /*  595495 */   // Label 9658: @595495
     /*  595495 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(595570), // Rule ID 4520 //
     /*  595500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595568 */     GIR_RootConstrainSelectedInstOperands,
     /*  595569 */     // GIR_Coverage, 4520,
     /*  595569 */     GIR_EraseRootFromParent_Done,
     /*  595570 */   // Label 9659: @595570
     /*  595570 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(595645), // Rule ID 4523 //
     /*  595575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595643 */     GIR_RootConstrainSelectedInstOperands,
     /*  595644 */     // GIR_Coverage, 4523,
     /*  595644 */     GIR_EraseRootFromParent_Done,
     /*  595645 */   // Label 9660: @595645
     /*  595645 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595720), // Rule ID 4524 //
     /*  595650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595718 */     GIR_RootConstrainSelectedInstOperands,
     /*  595719 */     // GIR_Coverage, 4524,
     /*  595719 */     GIR_EraseRootFromParent_Done,
     /*  595720 */   // Label 9661: @595720
     /*  595720 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595795), // Rule ID 4527 //
     /*  595725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595793 */     GIR_RootConstrainSelectedInstOperands,
     /*  595794 */     // GIR_Coverage, 4527,
     /*  595794 */     GIR_EraseRootFromParent_Done,
     /*  595795 */   // Label 9662: @595795
     /*  595795 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595870), // Rule ID 4528 //
     /*  595800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595868 */     GIR_RootConstrainSelectedInstOperands,
     /*  595869 */     // GIR_Coverage, 4528,
     /*  595869 */     GIR_EraseRootFromParent_Done,
     /*  595870 */   // Label 9663: @595870
     /*  595870 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(595945), // Rule ID 4531 //
     /*  595875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  595886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  595889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  595892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595943 */     GIR_RootConstrainSelectedInstOperands,
     /*  595944 */     // GIR_Coverage, 4531,
     /*  595944 */     GIR_EraseRootFromParent_Done,
     /*  595945 */   // Label 9664: @595945
     /*  595945 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(596020), // Rule ID 4532 //
     /*  595950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  595961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  595964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  595967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596018 */     GIR_RootConstrainSelectedInstOperands,
     /*  596019 */     // GIR_Coverage, 4532,
     /*  596019 */     GIR_EraseRootFromParent_Done,
     /*  596020 */   // Label 9665: @596020
     /*  596020 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(596095), // Rule ID 4535 //
     /*  596025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596093 */     GIR_RootConstrainSelectedInstOperands,
     /*  596094 */     // GIR_Coverage, 4535,
     /*  596094 */     GIR_EraseRootFromParent_Done,
     /*  596095 */   // Label 9666: @596095
     /*  596095 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(596170), // Rule ID 4536 //
     /*  596100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596168 */     GIR_RootConstrainSelectedInstOperands,
     /*  596169 */     // GIR_Coverage, 4536,
     /*  596169 */     GIR_EraseRootFromParent_Done,
     /*  596170 */   // Label 9667: @596170
     /*  596170 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(596245), // Rule ID 4539 //
     /*  596175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596243 */     GIR_RootConstrainSelectedInstOperands,
     /*  596244 */     // GIR_Coverage, 4539,
     /*  596244 */     GIR_EraseRootFromParent_Done,
     /*  596245 */   // Label 9668: @596245
     /*  596245 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(596320), // Rule ID 4540 //
     /*  596250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596318 */     GIR_RootConstrainSelectedInstOperands,
     /*  596319 */     // GIR_Coverage, 4540,
     /*  596319 */     GIR_EraseRootFromParent_Done,
     /*  596320 */   // Label 9669: @596320
     /*  596320 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(596395), // Rule ID 4543 //
     /*  596325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596393 */     GIR_RootConstrainSelectedInstOperands,
     /*  596394 */     // GIR_Coverage, 4543,
     /*  596394 */     GIR_EraseRootFromParent_Done,
     /*  596395 */   // Label 9670: @596395
     /*  596395 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(596470), // Rule ID 4544 //
     /*  596400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596468 */     GIR_RootConstrainSelectedInstOperands,
     /*  596469 */     // GIR_Coverage, 4544,
     /*  596469 */     GIR_EraseRootFromParent_Done,
     /*  596470 */   // Label 9671: @596470
     /*  596470 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(596545), // Rule ID 4547 //
     /*  596475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596543 */     GIR_RootConstrainSelectedInstOperands,
     /*  596544 */     // GIR_Coverage, 4547,
     /*  596544 */     GIR_EraseRootFromParent_Done,
     /*  596545 */   // Label 9672: @596545
     /*  596545 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(596620), // Rule ID 4548 //
     /*  596550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596618 */     GIR_RootConstrainSelectedInstOperands,
     /*  596619 */     // GIR_Coverage, 4548,
     /*  596619 */     GIR_EraseRootFromParent_Done,
     /*  596620 */   // Label 9673: @596620
     /*  596620 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(596695), // Rule ID 4551 //
     /*  596625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596671 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596693 */     GIR_RootConstrainSelectedInstOperands,
     /*  596694 */     // GIR_Coverage, 4551,
     /*  596694 */     GIR_EraseRootFromParent_Done,
     /*  596695 */   // Label 9674: @596695
     /*  596695 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596770), // Rule ID 4552 //
     /*  596700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596768 */     GIR_RootConstrainSelectedInstOperands,
     /*  596769 */     // GIR_Coverage, 4552,
     /*  596769 */     GIR_EraseRootFromParent_Done,
     /*  596770 */   // Label 9675: @596770
     /*  596770 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596845), // Rule ID 4555 //
     /*  596775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  596786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  596789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  596792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596821 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596843 */     GIR_RootConstrainSelectedInstOperands,
     /*  596844 */     // GIR_Coverage, 4555,
     /*  596844 */     GIR_EraseRootFromParent_Done,
     /*  596845 */   // Label 9676: @596845
     /*  596845 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(596920), // Rule ID 4556 //
     /*  596850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  596861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  596864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  596867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596918 */     GIR_RootConstrainSelectedInstOperands,
     /*  596919 */     // GIR_Coverage, 4556,
     /*  596919 */     GIR_EraseRootFromParent_Done,
     /*  596920 */   // Label 9677: @596920
     /*  596920 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(596995), // Rule ID 4559 //
     /*  596925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  596936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  596939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  596942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596993 */     GIR_RootConstrainSelectedInstOperands,
     /*  596994 */     // GIR_Coverage, 4559,
     /*  596994 */     GIR_EraseRootFromParent_Done,
     /*  596995 */   // Label 9678: @596995
     /*  596995 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(597070), // Rule ID 4560 //
     /*  597000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  597049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597068 */     GIR_RootConstrainSelectedInstOperands,
     /*  597069 */     // GIR_Coverage, 4560,
     /*  597069 */     GIR_EraseRootFromParent_Done,
     /*  597070 */   // Label 9679: @597070
     /*  597070 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(597145), // Rule ID 4565 //
     /*  597075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597143 */     GIR_RootConstrainSelectedInstOperands,
     /*  597144 */     // GIR_Coverage, 4565,
     /*  597144 */     GIR_EraseRootFromParent_Done,
     /*  597145 */   // Label 9680: @597145
     /*  597145 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(597220), // Rule ID 4566 //
     /*  597150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597218 */     GIR_RootConstrainSelectedInstOperands,
     /*  597219 */     // GIR_Coverage, 4566,
     /*  597219 */     GIR_EraseRootFromParent_Done,
     /*  597220 */   // Label 9681: @597220
     /*  597220 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(597295), // Rule ID 4575 //
     /*  597225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597293 */     GIR_RootConstrainSelectedInstOperands,
     /*  597294 */     // GIR_Coverage, 4575,
     /*  597294 */     GIR_EraseRootFromParent_Done,
     /*  597295 */   // Label 9682: @597295
     /*  597295 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(597370), // Rule ID 4576 //
     /*  597300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597368 */     GIR_RootConstrainSelectedInstOperands,
     /*  597369 */     // GIR_Coverage, 4576,
     /*  597369 */     GIR_EraseRootFromParent_Done,
     /*  597370 */   // Label 9683: @597370
     /*  597370 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(597445), // Rule ID 4585 //
     /*  597375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597443 */     GIR_RootConstrainSelectedInstOperands,
     /*  597444 */     // GIR_Coverage, 4585,
     /*  597444 */     GIR_EraseRootFromParent_Done,
     /*  597445 */   // Label 9684: @597445
     /*  597445 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(597520), // Rule ID 4586 //
     /*  597450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597518 */     GIR_RootConstrainSelectedInstOperands,
     /*  597519 */     // GIR_Coverage, 4586,
     /*  597519 */     GIR_EraseRootFromParent_Done,
     /*  597520 */   // Label 9685: @597520
     /*  597520 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(597595), // Rule ID 4595 //
     /*  597525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597571 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597593 */     GIR_RootConstrainSelectedInstOperands,
     /*  597594 */     // GIR_Coverage, 4595,
     /*  597594 */     GIR_EraseRootFromParent_Done,
     /*  597595 */   // Label 9686: @597595
     /*  597595 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(597670), // Rule ID 4596 //
     /*  597600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597668 */     GIR_RootConstrainSelectedInstOperands,
     /*  597669 */     // GIR_Coverage, 4596,
     /*  597669 */     GIR_EraseRootFromParent_Done,
     /*  597670 */   // Label 9687: @597670
     /*  597670 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597745), // Rule ID 4605 //
     /*  597675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597721 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597743 */     GIR_RootConstrainSelectedInstOperands,
     /*  597744 */     // GIR_Coverage, 4605,
     /*  597744 */     GIR_EraseRootFromParent_Done,
     /*  597745 */   // Label 9688: @597745
     /*  597745 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597820), // Rule ID 4606 //
     /*  597750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597818 */     GIR_RootConstrainSelectedInstOperands,
     /*  597819 */     // GIR_Coverage, 4606,
     /*  597819 */     GIR_EraseRootFromParent_Done,
     /*  597820 */   // Label 9689: @597820
     /*  597820 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597895), // Rule ID 4615 //
     /*  597825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597871 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  597874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597893 */     GIR_RootConstrainSelectedInstOperands,
     /*  597894 */     // GIR_Coverage, 4615,
     /*  597894 */     GIR_EraseRootFromParent_Done,
     /*  597895 */   // Label 9690: @597895
     /*  597895 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(597970), // Rule ID 4616 //
     /*  597900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  597949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597968 */     GIR_RootConstrainSelectedInstOperands,
     /*  597969 */     // GIR_Coverage, 4616,
     /*  597969 */     GIR_EraseRootFromParent_Done,
     /*  597970 */   // Label 9691: @597970
     /*  597970 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(598045), // Rule ID 4625 //
     /*  597975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  597986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  597989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  597992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  597995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598043 */     GIR_RootConstrainSelectedInstOperands,
     /*  598044 */     // GIR_Coverage, 4625,
     /*  598044 */     GIR_EraseRootFromParent_Done,
     /*  598045 */   // Label 9692: @598045
     /*  598045 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(598120), // Rule ID 4626 //
     /*  598050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598118 */     GIR_RootConstrainSelectedInstOperands,
     /*  598119 */     // GIR_Coverage, 4626,
     /*  598119 */     GIR_EraseRootFromParent_Done,
     /*  598120 */   // Label 9693: @598120
     /*  598120 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(598195), // Rule ID 4635 //
     /*  598125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598193 */     GIR_RootConstrainSelectedInstOperands,
     /*  598194 */     // GIR_Coverage, 4635,
     /*  598194 */     GIR_EraseRootFromParent_Done,
     /*  598195 */   // Label 9694: @598195
     /*  598195 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(598270), // Rule ID 4636 //
     /*  598200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598268 */     GIR_RootConstrainSelectedInstOperands,
     /*  598269 */     // GIR_Coverage, 4636,
     /*  598269 */     GIR_EraseRootFromParent_Done,
     /*  598270 */   // Label 9695: @598270
     /*  598270 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(598345), // Rule ID 4645 //
     /*  598275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598343 */     GIR_RootConstrainSelectedInstOperands,
     /*  598344 */     // GIR_Coverage, 4645,
     /*  598344 */     GIR_EraseRootFromParent_Done,
     /*  598345 */   // Label 9696: @598345
     /*  598345 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(598420), // Rule ID 4646 //
     /*  598350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598418 */     GIR_RootConstrainSelectedInstOperands,
     /*  598419 */     // GIR_Coverage, 4646,
     /*  598419 */     GIR_EraseRootFromParent_Done,
     /*  598420 */   // Label 9697: @598420
     /*  598420 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(598495), // Rule ID 4655 //
     /*  598425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598471 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598493 */     GIR_RootConstrainSelectedInstOperands,
     /*  598494 */     // GIR_Coverage, 4655,
     /*  598494 */     GIR_EraseRootFromParent_Done,
     /*  598495 */   // Label 9698: @598495
     /*  598495 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(598570), // Rule ID 4656 //
     /*  598500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598568 */     GIR_RootConstrainSelectedInstOperands,
     /*  598569 */     // GIR_Coverage, 4656,
     /*  598569 */     GIR_EraseRootFromParent_Done,
     /*  598570 */   // Label 9699: @598570
     /*  598570 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(598645), // Rule ID 4665 //
     /*  598575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598643 */     GIR_RootConstrainSelectedInstOperands,
     /*  598644 */     // GIR_Coverage, 4665,
     /*  598644 */     GIR_EraseRootFromParent_Done,
     /*  598645 */   // Label 9700: @598645
     /*  598645 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598720), // Rule ID 4666 //
     /*  598650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598718 */     GIR_RootConstrainSelectedInstOperands,
     /*  598719 */     // GIR_Coverage, 4666,
     /*  598719 */     GIR_EraseRootFromParent_Done,
     /*  598720 */   // Label 9701: @598720
     /*  598720 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598795), // Rule ID 4675 //
     /*  598725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  598745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598793 */     GIR_RootConstrainSelectedInstOperands,
     /*  598794 */     // GIR_Coverage, 4675,
     /*  598794 */     GIR_EraseRootFromParent_Done,
     /*  598795 */   // Label 9702: @598795
     /*  598795 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598870), // Rule ID 4676 //
     /*  598800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  598820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598868 */     GIR_RootConstrainSelectedInstOperands,
     /*  598869 */     // GIR_Coverage, 4676,
     /*  598869 */     GIR_EraseRootFromParent_Done,
     /*  598870 */   // Label 9703: @598870
     /*  598870 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(598945), // Rule ID 4685 //
     /*  598875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  598886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  598895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598943 */     GIR_RootConstrainSelectedInstOperands,
     /*  598944 */     // GIR_Coverage, 4685,
     /*  598944 */     GIR_EraseRootFromParent_Done,
     /*  598945 */   // Label 9704: @598945
     /*  598945 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(599020), // Rule ID 4686 //
     /*  598950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  598961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  598970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599018 */     GIR_RootConstrainSelectedInstOperands,
     /*  599019 */     // GIR_Coverage, 4686,
     /*  599019 */     GIR_EraseRootFromParent_Done,
     /*  599020 */   // Label 9705: @599020
     /*  599020 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(599095), // Rule ID 4695 //
     /*  599025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599093 */     GIR_RootConstrainSelectedInstOperands,
     /*  599094 */     // GIR_Coverage, 4695,
     /*  599094 */     GIR_EraseRootFromParent_Done,
     /*  599095 */   // Label 9706: @599095
     /*  599095 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(599170), // Rule ID 4696 //
     /*  599100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599168 */     GIR_RootConstrainSelectedInstOperands,
     /*  599169 */     // GIR_Coverage, 4696,
     /*  599169 */     GIR_EraseRootFromParent_Done,
     /*  599170 */   // Label 9707: @599170
     /*  599170 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(599245), // Rule ID 4705 //
     /*  599175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599243 */     GIR_RootConstrainSelectedInstOperands,
     /*  599244 */     // GIR_Coverage, 4705,
     /*  599244 */     GIR_EraseRootFromParent_Done,
     /*  599245 */   // Label 9708: @599245
     /*  599245 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(599320), // Rule ID 4706 //
     /*  599250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599318 */     GIR_RootConstrainSelectedInstOperands,
     /*  599319 */     // GIR_Coverage, 4706,
     /*  599319 */     GIR_EraseRootFromParent_Done,
     /*  599320 */   // Label 9709: @599320
     /*  599320 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(599395), // Rule ID 4713 //
     /*  599325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599371 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599393 */     GIR_RootConstrainSelectedInstOperands,
     /*  599394 */     // GIR_Coverage, 4713,
     /*  599394 */     GIR_EraseRootFromParent_Done,
     /*  599395 */   // Label 9710: @599395
     /*  599395 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(599470), // Rule ID 4714 //
     /*  599400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599468 */     GIR_RootConstrainSelectedInstOperands,
     /*  599469 */     // GIR_Coverage, 4714,
     /*  599469 */     GIR_EraseRootFromParent_Done,
     /*  599470 */   // Label 9711: @599470
     /*  599470 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(599545), // Rule ID 4717 //
     /*  599475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599521 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599543 */     GIR_RootConstrainSelectedInstOperands,
     /*  599544 */     // GIR_Coverage, 4717,
     /*  599544 */     GIR_EraseRootFromParent_Done,
     /*  599545 */   // Label 9712: @599545
     /*  599545 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(599620), // Rule ID 4718 //
     /*  599550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599618 */     GIR_RootConstrainSelectedInstOperands,
     /*  599619 */     // GIR_Coverage, 4718,
     /*  599619 */     GIR_EraseRootFromParent_Done,
     /*  599620 */   // Label 9713: @599620
     /*  599620 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(599695), // Rule ID 4721 //
     /*  599625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599671 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599693 */     GIR_RootConstrainSelectedInstOperands,
     /*  599694 */     // GIR_Coverage, 4721,
     /*  599694 */     GIR_EraseRootFromParent_Done,
     /*  599695 */   // Label 9714: @599695
     /*  599695 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599770), // Rule ID 4722 //
     /*  599700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599768 */     GIR_RootConstrainSelectedInstOperands,
     /*  599769 */     // GIR_Coverage, 4722,
     /*  599769 */     GIR_EraseRootFromParent_Done,
     /*  599770 */   // Label 9715: @599770
     /*  599770 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599845), // Rule ID 4725 //
     /*  599775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  599824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599843 */     GIR_RootConstrainSelectedInstOperands,
     /*  599844 */     // GIR_Coverage, 4725,
     /*  599844 */     GIR_EraseRootFromParent_Done,
     /*  599845 */   // Label 9716: @599845
     /*  599845 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(599920), // Rule ID 4726 //
     /*  599850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  599899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599918 */     GIR_RootConstrainSelectedInstOperands,
     /*  599919 */     // GIR_Coverage, 4726,
     /*  599919 */     GIR_EraseRootFromParent_Done,
     /*  599920 */   // Label 9717: @599920
     /*  599920 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(599995), // Rule ID 4729 //
     /*  599925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  599936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  599939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  599942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  599974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599993 */     GIR_RootConstrainSelectedInstOperands,
     /*  599994 */     // GIR_Coverage, 4729,
     /*  599994 */     GIR_EraseRootFromParent_Done,
     /*  599995 */   // Label 9718: @599995
     /*  599995 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(600070), // Rule ID 4730 //
     /*  600000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600068 */     GIR_RootConstrainSelectedInstOperands,
     /*  600069 */     // GIR_Coverage, 4730,
     /*  600069 */     GIR_EraseRootFromParent_Done,
     /*  600070 */   // Label 9719: @600070
     /*  600070 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(600145), // Rule ID 4733 //
     /*  600075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600143 */     GIR_RootConstrainSelectedInstOperands,
     /*  600144 */     // GIR_Coverage, 4733,
     /*  600144 */     GIR_EraseRootFromParent_Done,
     /*  600145 */   // Label 9720: @600145
     /*  600145 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(600220), // Rule ID 4734 //
     /*  600150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600218 */     GIR_RootConstrainSelectedInstOperands,
     /*  600219 */     // GIR_Coverage, 4734,
     /*  600219 */     GIR_EraseRootFromParent_Done,
     /*  600220 */   // Label 9721: @600220
     /*  600220 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(600295), // Rule ID 4737 //
     /*  600225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600271 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600293 */     GIR_RootConstrainSelectedInstOperands,
     /*  600294 */     // GIR_Coverage, 4737,
     /*  600294 */     GIR_EraseRootFromParent_Done,
     /*  600295 */   // Label 9722: @600295
     /*  600295 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(600370), // Rule ID 4738 //
     /*  600300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600368 */     GIR_RootConstrainSelectedInstOperands,
     /*  600369 */     // GIR_Coverage, 4738,
     /*  600369 */     GIR_EraseRootFromParent_Done,
     /*  600370 */   // Label 9723: @600370
     /*  600370 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(600445), // Rule ID 4741 //
     /*  600375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600443 */     GIR_RootConstrainSelectedInstOperands,
     /*  600444 */     // GIR_Coverage, 4741,
     /*  600444 */     GIR_EraseRootFromParent_Done,
     /*  600445 */   // Label 9724: @600445
     /*  600445 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(600520), // Rule ID 4742 //
     /*  600450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600518 */     GIR_RootConstrainSelectedInstOperands,
     /*  600519 */     // GIR_Coverage, 4742,
     /*  600519 */     GIR_EraseRootFromParent_Done,
     /*  600520 */   // Label 9725: @600520
     /*  600520 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(600595), // Rule ID 4745 //
     /*  600525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600593 */     GIR_RootConstrainSelectedInstOperands,
     /*  600594 */     // GIR_Coverage, 4745,
     /*  600594 */     GIR_EraseRootFromParent_Done,
     /*  600595 */   // Label 9726: @600595
     /*  600595 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(600670), // Rule ID 4746 //
     /*  600600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600668 */     GIR_RootConstrainSelectedInstOperands,
     /*  600669 */     // GIR_Coverage, 4746,
     /*  600669 */     GIR_EraseRootFromParent_Done,
     /*  600670 */   // Label 9727: @600670
     /*  600670 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600745), // Rule ID 4749 //
     /*  600675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600743 */     GIR_RootConstrainSelectedInstOperands,
     /*  600744 */     // GIR_Coverage, 4749,
     /*  600744 */     GIR_EraseRootFromParent_Done,
     /*  600745 */   // Label 9728: @600745
     /*  600745 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600820), // Rule ID 4750 //
     /*  600750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600818 */     GIR_RootConstrainSelectedInstOperands,
     /*  600819 */     // GIR_Coverage, 4750,
     /*  600819 */     GIR_EraseRootFromParent_Done,
     /*  600820 */   // Label 9729: @600820
     /*  600820 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600895), // Rule ID 4753 //
     /*  600825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600893 */     GIR_RootConstrainSelectedInstOperands,
     /*  600894 */     // GIR_Coverage, 4753,
     /*  600894 */     GIR_EraseRootFromParent_Done,
     /*  600895 */   // Label 9730: @600895
     /*  600895 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(600970), // Rule ID 4754 //
     /*  600900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600968 */     GIR_RootConstrainSelectedInstOperands,
     /*  600969 */     // GIR_Coverage, 4754,
     /*  600969 */     GIR_EraseRootFromParent_Done,
     /*  600970 */   // Label 9731: @600970
     /*  600970 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(601045), // Rule ID 4757 //
     /*  600975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  600978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  600986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  600989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  600992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601043 */     GIR_RootConstrainSelectedInstOperands,
     /*  601044 */     // GIR_Coverage, 4757,
     /*  601044 */     GIR_EraseRootFromParent_Done,
     /*  601045 */   // Label 9732: @601045
     /*  601045 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(601120), // Rule ID 4758 //
     /*  601050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601118 */     GIR_RootConstrainSelectedInstOperands,
     /*  601119 */     // GIR_Coverage, 4758,
     /*  601119 */     GIR_EraseRootFromParent_Done,
     /*  601120 */   // Label 9733: @601120
     /*  601120 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(601195), // Rule ID 4761 //
     /*  601125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601171 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601193 */     GIR_RootConstrainSelectedInstOperands,
     /*  601194 */     // GIR_Coverage, 4761,
     /*  601194 */     GIR_EraseRootFromParent_Done,
     /*  601195 */   // Label 9734: @601195
     /*  601195 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(601270), // Rule ID 4762 //
     /*  601200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601268 */     GIR_RootConstrainSelectedInstOperands,
     /*  601269 */     // GIR_Coverage, 4762,
     /*  601269 */     GIR_EraseRootFromParent_Done,
     /*  601270 */   // Label 9735: @601270
     /*  601270 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(601345), // Rule ID 4765 //
     /*  601275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601321 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601343 */     GIR_RootConstrainSelectedInstOperands,
     /*  601344 */     // GIR_Coverage, 4765,
     /*  601344 */     GIR_EraseRootFromParent_Done,
     /*  601345 */   // Label 9736: @601345
     /*  601345 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(601420), // Rule ID 4766 //
     /*  601350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601418 */     GIR_RootConstrainSelectedInstOperands,
     /*  601419 */     // GIR_Coverage, 4766,
     /*  601419 */     GIR_EraseRootFromParent_Done,
     /*  601420 */   // Label 9737: @601420
     /*  601420 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(601495), // Rule ID 4769 //
     /*  601425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601471 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601493 */     GIR_RootConstrainSelectedInstOperands,
     /*  601494 */     // GIR_Coverage, 4769,
     /*  601494 */     GIR_EraseRootFromParent_Done,
     /*  601495 */   // Label 9738: @601495
     /*  601495 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(601570), // Rule ID 4770 //
     /*  601500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601568 */     GIR_RootConstrainSelectedInstOperands,
     /*  601569 */     // GIR_Coverage, 4770,
     /*  601569 */     GIR_EraseRootFromParent_Done,
     /*  601570 */   // Label 9739: @601570
     /*  601570 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(601642), // Rule ID 5123 //
     /*  601575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601640 */     GIR_RootConstrainSelectedInstOperands,
     /*  601641 */     // GIR_Coverage, 5123,
     /*  601641 */     GIR_EraseRootFromParent_Done,
     /*  601642 */   // Label 9740: @601642
     /*  601642 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(601714), // Rule ID 5124 //
     /*  601647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601693 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601712 */     GIR_RootConstrainSelectedInstOperands,
     /*  601713 */     // GIR_Coverage, 5124,
     /*  601713 */     GIR_EraseRootFromParent_Done,
     /*  601714 */   // Label 9741: @601714
     /*  601714 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601786), // Rule ID 5125 //
     /*  601719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  601733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  601736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  601768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601784 */     GIR_RootConstrainSelectedInstOperands,
     /*  601785 */     // GIR_Coverage, 5125,
     /*  601785 */     GIR_EraseRootFromParent_Done,
     /*  601786 */   // Label 9742: @601786
     /*  601786 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601858), // Rule ID 5126 //
     /*  601791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  601805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  601808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601837 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  601840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601856 */     GIR_RootConstrainSelectedInstOperands,
     /*  601857 */     // GIR_Coverage, 5126,
     /*  601857 */     GIR_EraseRootFromParent_Done,
     /*  601858 */   // Label 9743: @601858
     /*  601858 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(601930), // Rule ID 5127 //
     /*  601863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  601909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601928 */     GIR_RootConstrainSelectedInstOperands,
     /*  601929 */     // GIR_Coverage, 5127,
     /*  601929 */     GIR_EraseRootFromParent_Done,
     /*  601930 */   // Label 9744: @601930
     /*  601930 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(602002), // Rule ID 5128 //
     /*  601935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  601981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602000 */     GIR_RootConstrainSelectedInstOperands,
     /*  602001 */     // GIR_Coverage, 5128,
     /*  602001 */     GIR_EraseRootFromParent_Done,
     /*  602002 */   // Label 9745: @602002
     /*  602002 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(602074), // Rule ID 5129 //
     /*  602007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602053 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602072 */     GIR_RootConstrainSelectedInstOperands,
     /*  602073 */     // GIR_Coverage, 5129,
     /*  602073 */     GIR_EraseRootFromParent_Done,
     /*  602074 */   // Label 9746: @602074
     /*  602074 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(602146), // Rule ID 5130 //
     /*  602079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602125 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602144 */     GIR_RootConstrainSelectedInstOperands,
     /*  602145 */     // GIR_Coverage, 5130,
     /*  602145 */     GIR_EraseRootFromParent_Done,
     /*  602146 */   // Label 9747: @602146
     /*  602146 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(602218), // Rule ID 5131 //
     /*  602151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602197 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602216 */     GIR_RootConstrainSelectedInstOperands,
     /*  602217 */     // GIR_Coverage, 5131,
     /*  602217 */     GIR_EraseRootFromParent_Done,
     /*  602218 */   // Label 9748: @602218
     /*  602218 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(602290), // Rule ID 5132 //
     /*  602223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602269 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602288 */     GIR_RootConstrainSelectedInstOperands,
     /*  602289 */     // GIR_Coverage, 5132,
     /*  602289 */     GIR_EraseRootFromParent_Done,
     /*  602290 */   // Label 9749: @602290
     /*  602290 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(602362), // Rule ID 5133 //
     /*  602295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602341 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602360 */     GIR_RootConstrainSelectedInstOperands,
     /*  602361 */     // GIR_Coverage, 5133,
     /*  602361 */     GIR_EraseRootFromParent_Done,
     /*  602362 */   // Label 9750: @602362
     /*  602362 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(602434), // Rule ID 5134 //
     /*  602367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602413 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602432 */     GIR_RootConstrainSelectedInstOperands,
     /*  602433 */     // GIR_Coverage, 5134,
     /*  602433 */     GIR_EraseRootFromParent_Done,
     /*  602434 */   // Label 9751: @602434
     /*  602434 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(602506), // Rule ID 5135 //
     /*  602439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602485 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602504 */     GIR_RootConstrainSelectedInstOperands,
     /*  602505 */     // GIR_Coverage, 5135,
     /*  602505 */     GIR_EraseRootFromParent_Done,
     /*  602506 */   // Label 9752: @602506
     /*  602506 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(602578), // Rule ID 5136 //
     /*  602511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602576 */     GIR_RootConstrainSelectedInstOperands,
     /*  602577 */     // GIR_Coverage, 5136,
     /*  602577 */     GIR_EraseRootFromParent_Done,
     /*  602578 */   // Label 9753: @602578
     /*  602578 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(602650), // Rule ID 5137 //
     /*  602583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602648 */     GIR_RootConstrainSelectedInstOperands,
     /*  602649 */     // GIR_Coverage, 5137,
     /*  602649 */     GIR_EraseRootFromParent_Done,
     /*  602650 */   // Label 9754: @602650
     /*  602650 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(602722), // Rule ID 5138 //
     /*  602655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602701 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602720 */     GIR_RootConstrainSelectedInstOperands,
     /*  602721 */     // GIR_Coverage, 5138,
     /*  602721 */     GIR_EraseRootFromParent_Done,
     /*  602722 */   // Label 9755: @602722
     /*  602722 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602794), // Rule ID 5139 //
     /*  602727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  602730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  602773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602792 */     GIR_RootConstrainSelectedInstOperands,
     /*  602793 */     // GIR_Coverage, 5139,
     /*  602793 */     GIR_EraseRootFromParent_Done,
     /*  602794 */   // Label 9756: @602794
     /*  602794 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602866), // Rule ID 5140 //
     /*  602799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  602802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602845 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  602845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602864 */     GIR_RootConstrainSelectedInstOperands,
     /*  602865 */     // GIR_Coverage, 5140,
     /*  602865 */     GIR_EraseRootFromParent_Done,
     /*  602866 */   // Label 9757: @602866
     /*  602866 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(602938), // Rule ID 5141 //
     /*  602871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  602885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  602888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602917 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602936 */     GIR_RootConstrainSelectedInstOperands,
     /*  602937 */     // GIR_Coverage, 5141,
     /*  602937 */     GIR_EraseRootFromParent_Done,
     /*  602938 */   // Label 9758: @602938
     /*  602938 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(603010), // Rule ID 5142 //
     /*  602943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  602957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  602960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603008 */     GIR_RootConstrainSelectedInstOperands,
     /*  603009 */     // GIR_Coverage, 5142,
     /*  603009 */     GIR_EraseRootFromParent_Done,
     /*  603010 */   // Label 9759: @603010
     /*  603010 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(603082), // Rule ID 5143 //
     /*  603015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603061 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603080 */     GIR_RootConstrainSelectedInstOperands,
     /*  603081 */     // GIR_Coverage, 5143,
     /*  603081 */     GIR_EraseRootFromParent_Done,
     /*  603082 */   // Label 9760: @603082
     /*  603082 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(603154), // Rule ID 5144 //
     /*  603087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603133 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603152 */     GIR_RootConstrainSelectedInstOperands,
     /*  603153 */     // GIR_Coverage, 5144,
     /*  603153 */     GIR_EraseRootFromParent_Done,
     /*  603154 */   // Label 9761: @603154
     /*  603154 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(603226), // Rule ID 5145 //
     /*  603159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603205 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603224 */     GIR_RootConstrainSelectedInstOperands,
     /*  603225 */     // GIR_Coverage, 5145,
     /*  603225 */     GIR_EraseRootFromParent_Done,
     /*  603226 */   // Label 9762: @603226
     /*  603226 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(603298), // Rule ID 5146 //
     /*  603231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603277 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603296 */     GIR_RootConstrainSelectedInstOperands,
     /*  603297 */     // GIR_Coverage, 5146,
     /*  603297 */     GIR_EraseRootFromParent_Done,
     /*  603298 */   // Label 9763: @603298
     /*  603298 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(603370), // Rule ID 5147 //
     /*  603303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603349 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603368 */     GIR_RootConstrainSelectedInstOperands,
     /*  603369 */     // GIR_Coverage, 5147,
     /*  603369 */     GIR_EraseRootFromParent_Done,
     /*  603370 */   // Label 9764: @603370
     /*  603370 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(603442), // Rule ID 5148 //
     /*  603375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603421 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603440 */     GIR_RootConstrainSelectedInstOperands,
     /*  603441 */     // GIR_Coverage, 5148,
     /*  603441 */     GIR_EraseRootFromParent_Done,
     /*  603442 */   // Label 9765: @603442
     /*  603442 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(603514), // Rule ID 5149 //
     /*  603447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603512 */     GIR_RootConstrainSelectedInstOperands,
     /*  603513 */     // GIR_Coverage, 5149,
     /*  603513 */     GIR_EraseRootFromParent_Done,
     /*  603514 */   // Label 9766: @603514
     /*  603514 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(603586), // Rule ID 5150 //
     /*  603519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603565 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603584 */     GIR_RootConstrainSelectedInstOperands,
     /*  603585 */     // GIR_Coverage, 5150,
     /*  603585 */     GIR_EraseRootFromParent_Done,
     /*  603586 */   // Label 9767: @603586
     /*  603586 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(603658), // Rule ID 5151 //
     /*  603591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603637 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603656 */     GIR_RootConstrainSelectedInstOperands,
     /*  603657 */     // GIR_Coverage, 5151,
     /*  603657 */     GIR_EraseRootFromParent_Done,
     /*  603658 */   // Label 9768: @603658
     /*  603658 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(603730), // Rule ID 5152 //
     /*  603663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603709 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603728 */     GIR_RootConstrainSelectedInstOperands,
     /*  603729 */     // GIR_Coverage, 5152,
     /*  603729 */     GIR_EraseRootFromParent_Done,
     /*  603730 */   // Label 9769: @603730
     /*  603730 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603802), // Rule ID 5153 //
     /*  603735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603800 */     GIR_RootConstrainSelectedInstOperands,
     /*  603801 */     // GIR_Coverage, 5153,
     /*  603801 */     GIR_EraseRootFromParent_Done,
     /*  603802 */   // Label 9770: @603802
     /*  603802 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603874), // Rule ID 5154 //
     /*  603807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603853 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603872 */     GIR_RootConstrainSelectedInstOperands,
     /*  603873 */     // GIR_Coverage, 5154,
     /*  603873 */     GIR_EraseRootFromParent_Done,
     /*  603874 */   // Label 9771: @603874
     /*  603874 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(603946), // Rule ID 5155 //
     /*  603879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603925 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603944 */     GIR_RootConstrainSelectedInstOperands,
     /*  603945 */     // GIR_Coverage, 5155,
     /*  603945 */     GIR_EraseRootFromParent_Done,
     /*  603946 */   // Label 9772: @603946
     /*  603946 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(604018), // Rule ID 5156 //
     /*  603951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603997 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604016 */     GIR_RootConstrainSelectedInstOperands,
     /*  604017 */     // GIR_Coverage, 5156,
     /*  604017 */     GIR_EraseRootFromParent_Done,
     /*  604018 */   // Label 9773: @604018
     /*  604018 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(604090), // Rule ID 5157 //
     /*  604023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604088 */     GIR_RootConstrainSelectedInstOperands,
     /*  604089 */     // GIR_Coverage, 5157,
     /*  604089 */     GIR_EraseRootFromParent_Done,
     /*  604090 */   // Label 9774: @604090
     /*  604090 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(604162), // Rule ID 5158 //
     /*  604095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604141 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604160 */     GIR_RootConstrainSelectedInstOperands,
     /*  604161 */     // GIR_Coverage, 5158,
     /*  604161 */     GIR_EraseRootFromParent_Done,
     /*  604162 */   // Label 9775: @604162
     /*  604162 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(604234), // Rule ID 5159 //
     /*  604167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604232 */     GIR_RootConstrainSelectedInstOperands,
     /*  604233 */     // GIR_Coverage, 5159,
     /*  604233 */     GIR_EraseRootFromParent_Done,
     /*  604234 */   // Label 9776: @604234
     /*  604234 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(604306), // Rule ID 5160 //
     /*  604239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604285 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604304 */     GIR_RootConstrainSelectedInstOperands,
     /*  604305 */     // GIR_Coverage, 5160,
     /*  604305 */     GIR_EraseRootFromParent_Done,
     /*  604306 */   // Label 9777: @604306
     /*  604306 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(604378), // Rule ID 5161 //
     /*  604311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604376 */     GIR_RootConstrainSelectedInstOperands,
     /*  604377 */     // GIR_Coverage, 5161,
     /*  604377 */     GIR_EraseRootFromParent_Done,
     /*  604378 */   // Label 9778: @604378
     /*  604378 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(604450), // Rule ID 5162 //
     /*  604383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604448 */     GIR_RootConstrainSelectedInstOperands,
     /*  604449 */     // GIR_Coverage, 5162,
     /*  604449 */     GIR_EraseRootFromParent_Done,
     /*  604450 */   // Label 9779: @604450
     /*  604450 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(604522), // Rule ID 5163 //
     /*  604455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604520 */     GIR_RootConstrainSelectedInstOperands,
     /*  604521 */     // GIR_Coverage, 5163,
     /*  604521 */     GIR_EraseRootFromParent_Done,
     /*  604522 */   // Label 9780: @604522
     /*  604522 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(604594), // Rule ID 5164 //
     /*  604527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604592 */     GIR_RootConstrainSelectedInstOperands,
     /*  604593 */     // GIR_Coverage, 5164,
     /*  604593 */     GIR_EraseRootFromParent_Done,
     /*  604594 */   // Label 9781: @604594
     /*  604594 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(604666), // Rule ID 5165 //
     /*  604599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  604648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604664 */     GIR_RootConstrainSelectedInstOperands,
     /*  604665 */     // GIR_Coverage, 5165,
     /*  604665 */     GIR_EraseRootFromParent_Done,
     /*  604666 */   // Label 9782: @604666
     /*  604666 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(604738), // Rule ID 5166 //
     /*  604671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  604720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604736 */     GIR_RootConstrainSelectedInstOperands,
     /*  604737 */     // GIR_Coverage, 5166,
     /*  604737 */     GIR_EraseRootFromParent_Done,
     /*  604738 */   // Label 9783: @604738
     /*  604738 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604810), // Rule ID 5167 //
     /*  604743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  604757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  604792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604808 */     GIR_RootConstrainSelectedInstOperands,
     /*  604809 */     // GIR_Coverage, 5167,
     /*  604809 */     GIR_EraseRootFromParent_Done,
     /*  604810 */   // Label 9784: @604810
     /*  604810 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604882), // Rule ID 5168 //
     /*  604815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  604829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  604864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604880 */     GIR_RootConstrainSelectedInstOperands,
     /*  604881 */     // GIR_Coverage, 5168,
     /*  604881 */     GIR_EraseRootFromParent_Done,
     /*  604882 */   // Label 9785: @604882
     /*  604882 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(604954), // Rule ID 5169 //
     /*  604887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  604901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  604936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604952 */     GIR_RootConstrainSelectedInstOperands,
     /*  604953 */     // GIR_Coverage, 5169,
     /*  604953 */     GIR_EraseRootFromParent_Done,
     /*  604954 */   // Label 9786: @604954
     /*  604954 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(605026), // Rule ID 5170 //
     /*  604959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  604973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605005 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605024 */     GIR_RootConstrainSelectedInstOperands,
     /*  605025 */     // GIR_Coverage, 5170,
     /*  605025 */     GIR_EraseRootFromParent_Done,
     /*  605026 */   // Label 9787: @605026
     /*  605026 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(605098), // Rule ID 5171 //
     /*  605031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605096 */     GIR_RootConstrainSelectedInstOperands,
     /*  605097 */     // GIR_Coverage, 5171,
     /*  605097 */     GIR_EraseRootFromParent_Done,
     /*  605098 */   // Label 9788: @605098
     /*  605098 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(605170), // Rule ID 5172 //
     /*  605103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605168 */     GIR_RootConstrainSelectedInstOperands,
     /*  605169 */     // GIR_Coverage, 5172,
     /*  605169 */     GIR_EraseRootFromParent_Done,
     /*  605170 */   // Label 9789: @605170
     /*  605170 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(605242), // Rule ID 5173 //
     /*  605175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605221 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605240 */     GIR_RootConstrainSelectedInstOperands,
     /*  605241 */     // GIR_Coverage, 5173,
     /*  605241 */     GIR_EraseRootFromParent_Done,
     /*  605242 */   // Label 9790: @605242
     /*  605242 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(605314), // Rule ID 5174 //
     /*  605247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605312 */     GIR_RootConstrainSelectedInstOperands,
     /*  605313 */     // GIR_Coverage, 5174,
     /*  605313 */     GIR_EraseRootFromParent_Done,
     /*  605314 */   // Label 9791: @605314
     /*  605314 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(605386), // Rule ID 5175 //
     /*  605319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605384 */     GIR_RootConstrainSelectedInstOperands,
     /*  605385 */     // GIR_Coverage, 5175,
     /*  605385 */     GIR_EraseRootFromParent_Done,
     /*  605386 */   // Label 9792: @605386
     /*  605386 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(605458), // Rule ID 5176 //
     /*  605391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605456 */     GIR_RootConstrainSelectedInstOperands,
     /*  605457 */     // GIR_Coverage, 5176,
     /*  605457 */     GIR_EraseRootFromParent_Done,
     /*  605458 */   // Label 9793: @605458
     /*  605458 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(605530), // Rule ID 5177 //
     /*  605463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605509 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605528 */     GIR_RootConstrainSelectedInstOperands,
     /*  605529 */     // GIR_Coverage, 5177,
     /*  605529 */     GIR_EraseRootFromParent_Done,
     /*  605530 */   // Label 9794: @605530
     /*  605530 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(605602), // Rule ID 5178 //
     /*  605535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605581 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605600 */     GIR_RootConstrainSelectedInstOperands,
     /*  605601 */     // GIR_Coverage, 5178,
     /*  605601 */     GIR_EraseRootFromParent_Done,
     /*  605602 */   // Label 9795: @605602
     /*  605602 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(605674), // Rule ID 5179 //
     /*  605607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  605621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605672 */     GIR_RootConstrainSelectedInstOperands,
     /*  605673 */     // GIR_Coverage, 5179,
     /*  605673 */     GIR_EraseRootFromParent_Done,
     /*  605674 */   // Label 9796: @605674
     /*  605674 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(605746), // Rule ID 5180 //
     /*  605679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  605693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605744 */     GIR_RootConstrainSelectedInstOperands,
     /*  605745 */     // GIR_Coverage, 5180,
     /*  605745 */     GIR_EraseRootFromParent_Done,
     /*  605746 */   // Label 9797: @605746
     /*  605746 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605818), // Rule ID 5181 //
     /*  605751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605816 */     GIR_RootConstrainSelectedInstOperands,
     /*  605817 */     // GIR_Coverage, 5181,
     /*  605817 */     GIR_EraseRootFromParent_Done,
     /*  605818 */   // Label 9798: @605818
     /*  605818 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605890), // Rule ID 5182 //
     /*  605823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605888 */     GIR_RootConstrainSelectedInstOperands,
     /*  605889 */     // GIR_Coverage, 5182,
     /*  605889 */     GIR_EraseRootFromParent_Done,
     /*  605890 */   // Label 9799: @605890
     /*  605890 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(605962), // Rule ID 5183 //
     /*  605895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  605898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605941 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  605941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605960 */     GIR_RootConstrainSelectedInstOperands,
     /*  605961 */     // GIR_Coverage, 5183,
     /*  605961 */     GIR_EraseRootFromParent_Done,
     /*  605962 */   // Label 9800: @605962
     /*  605962 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(606034), // Rule ID 5184 //
     /*  605967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  605970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606013 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  606013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606032 */     GIR_RootConstrainSelectedInstOperands,
     /*  606033 */     // GIR_Coverage, 5184,
     /*  606033 */     GIR_EraseRootFromParent_Done,
     /*  606034 */   // Label 9801: @606034
     /*  606034 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(606106), // Rule ID 5185 //
     /*  606039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606085 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606104 */     GIR_RootConstrainSelectedInstOperands,
     /*  606105 */     // GIR_Coverage, 5185,
     /*  606105 */     GIR_EraseRootFromParent_Done,
     /*  606106 */   // Label 9802: @606106
     /*  606106 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(606178), // Rule ID 5186 //
     /*  606111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606176 */     GIR_RootConstrainSelectedInstOperands,
     /*  606177 */     // GIR_Coverage, 5186,
     /*  606177 */     GIR_EraseRootFromParent_Done,
     /*  606178 */   // Label 9803: @606178
     /*  606178 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(606250), // Rule ID 5187 //
     /*  606183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606229 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606248 */     GIR_RootConstrainSelectedInstOperands,
     /*  606249 */     // GIR_Coverage, 5187,
     /*  606249 */     GIR_EraseRootFromParent_Done,
     /*  606250 */   // Label 9804: @606250
     /*  606250 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(606322), // Rule ID 5188 //
     /*  606255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606301 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606320 */     GIR_RootConstrainSelectedInstOperands,
     /*  606321 */     // GIR_Coverage, 5188,
     /*  606321 */     GIR_EraseRootFromParent_Done,
     /*  606322 */   // Label 9805: @606322
     /*  606322 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(606394), // Rule ID 5189 //
     /*  606327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606373 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606392 */     GIR_RootConstrainSelectedInstOperands,
     /*  606393 */     // GIR_Coverage, 5189,
     /*  606393 */     GIR_EraseRootFromParent_Done,
     /*  606394 */   // Label 9806: @606394
     /*  606394 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(606466), // Rule ID 5190 //
     /*  606399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606445 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606464 */     GIR_RootConstrainSelectedInstOperands,
     /*  606465 */     // GIR_Coverage, 5190,
     /*  606465 */     GIR_EraseRootFromParent_Done,
     /*  606466 */   // Label 9807: @606466
     /*  606466 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(606538), // Rule ID 5191 //
     /*  606471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606536 */     GIR_RootConstrainSelectedInstOperands,
     /*  606537 */     // GIR_Coverage, 5191,
     /*  606537 */     GIR_EraseRootFromParent_Done,
     /*  606538 */   // Label 9808: @606538
     /*  606538 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(606610), // Rule ID 5192 //
     /*  606543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606608 */     GIR_RootConstrainSelectedInstOperands,
     /*  606609 */     // GIR_Coverage, 5192,
     /*  606609 */     GIR_EraseRootFromParent_Done,
     /*  606610 */   // Label 9809: @606610
     /*  606610 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(606682), // Rule ID 5193 //
     /*  606615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606661 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606680 */     GIR_RootConstrainSelectedInstOperands,
     /*  606681 */     // GIR_Coverage, 5193,
     /*  606681 */     GIR_EraseRootFromParent_Done,
     /*  606682 */   // Label 9810: @606682
     /*  606682 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(606754), // Rule ID 5194 //
     /*  606687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606733 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606752 */     GIR_RootConstrainSelectedInstOperands,
     /*  606753 */     // GIR_Coverage, 5194,
     /*  606753 */     GIR_EraseRootFromParent_Done,
     /*  606754 */   // Label 9811: @606754
     /*  606754 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606826), // Rule ID 5195 //
     /*  606759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  606773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606805 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606824 */     GIR_RootConstrainSelectedInstOperands,
     /*  606825 */     // GIR_Coverage, 5195,
     /*  606825 */     GIR_EraseRootFromParent_Done,
     /*  606826 */   // Label 9812: @606826
     /*  606826 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606898), // Rule ID 5196 //
     /*  606831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  606845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606877 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606896 */     GIR_RootConstrainSelectedInstOperands,
     /*  606897 */     // GIR_Coverage, 5196,
     /*  606897 */     GIR_EraseRootFromParent_Done,
     /*  606898 */   // Label 9813: @606898
     /*  606898 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(606970), // Rule ID 5197 //
     /*  606903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  606917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606968 */     GIR_RootConstrainSelectedInstOperands,
     /*  606969 */     // GIR_Coverage, 5197,
     /*  606969 */     GIR_EraseRootFromParent_Done,
     /*  606970 */   // Label 9814: @606970
     /*  606970 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(607042), // Rule ID 5198 //
     /*  606975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  606989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607040 */     GIR_RootConstrainSelectedInstOperands,
     /*  607041 */     // GIR_Coverage, 5198,
     /*  607041 */     GIR_EraseRootFromParent_Done,
     /*  607042 */   // Label 9815: @607042
     /*  607042 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(607114), // Rule ID 5199 //
     /*  607047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607093 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607112 */     GIR_RootConstrainSelectedInstOperands,
     /*  607113 */     // GIR_Coverage, 5199,
     /*  607113 */     GIR_EraseRootFromParent_Done,
     /*  607114 */   // Label 9816: @607114
     /*  607114 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(607186), // Rule ID 5200 //
     /*  607119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607184 */     GIR_RootConstrainSelectedInstOperands,
     /*  607185 */     // GIR_Coverage, 5200,
     /*  607185 */     GIR_EraseRootFromParent_Done,
     /*  607186 */   // Label 9817: @607186
     /*  607186 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(607258), // Rule ID 5201 //
     /*  607191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607237 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607256 */     GIR_RootConstrainSelectedInstOperands,
     /*  607257 */     // GIR_Coverage, 5201,
     /*  607257 */     GIR_EraseRootFromParent_Done,
     /*  607258 */   // Label 9818: @607258
     /*  607258 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(607330), // Rule ID 5202 //
     /*  607263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607328 */     GIR_RootConstrainSelectedInstOperands,
     /*  607329 */     // GIR_Coverage, 5202,
     /*  607329 */     GIR_EraseRootFromParent_Done,
     /*  607330 */   // Label 9819: @607330
     /*  607330 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(607402), // Rule ID 5203 //
     /*  607335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607381 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607400 */     GIR_RootConstrainSelectedInstOperands,
     /*  607401 */     // GIR_Coverage, 5203,
     /*  607401 */     GIR_EraseRootFromParent_Done,
     /*  607402 */   // Label 9820: @607402
     /*  607402 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607474), // Rule ID 5204 //
     /*  607407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607472 */     GIR_RootConstrainSelectedInstOperands,
     /*  607473 */     // GIR_Coverage, 5204,
     /*  607473 */     GIR_EraseRootFromParent_Done,
     /*  607474 */   // Label 9821: @607474
     /*  607474 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(607546), // Rule ID 5205 //
     /*  607479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607544 */     GIR_RootConstrainSelectedInstOperands,
     /*  607545 */     // GIR_Coverage, 5205,
     /*  607545 */     GIR_EraseRootFromParent_Done,
     /*  607546 */   // Label 9822: @607546
     /*  607546 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(607618), // Rule ID 5206 //
     /*  607551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607597 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607616 */     GIR_RootConstrainSelectedInstOperands,
     /*  607617 */     // GIR_Coverage, 5206,
     /*  607617 */     GIR_EraseRootFromParent_Done,
     /*  607618 */   // Label 9823: @607618
     /*  607618 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(607690), // Rule ID 5207 //
     /*  607623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  607637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607688 */     GIR_RootConstrainSelectedInstOperands,
     /*  607689 */     // GIR_Coverage, 5207,
     /*  607689 */     GIR_EraseRootFromParent_Done,
     /*  607690 */   // Label 9824: @607690
     /*  607690 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(607762), // Rule ID 5208 //
     /*  607695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  607709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607741 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607760 */     GIR_RootConstrainSelectedInstOperands,
     /*  607761 */     // GIR_Coverage, 5208,
     /*  607761 */     GIR_EraseRootFromParent_Done,
     /*  607762 */   // Label 9825: @607762
     /*  607762 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607834), // Rule ID 5471 //
     /*  607767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  607816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607832 */     GIR_RootConstrainSelectedInstOperands,
     /*  607833 */     // GIR_Coverage, 5471,
     /*  607833 */     GIR_EraseRootFromParent_Done,
     /*  607834 */   // Label 9826: @607834
     /*  607834 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(607906), // Rule ID 5472 //
     /*  607839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607885 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  607888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607904 */     GIR_RootConstrainSelectedInstOperands,
     /*  607905 */     // GIR_Coverage, 5472,
     /*  607905 */     GIR_EraseRootFromParent_Done,
     /*  607906 */   // Label 9827: @607906
     /*  607906 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(607978), // Rule ID 5473 //
     /*  607911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  607928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  607960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607976 */     GIR_RootConstrainSelectedInstOperands,
     /*  607977 */     // GIR_Coverage, 5473,
     /*  607977 */     GIR_EraseRootFromParent_Done,
     /*  607978 */   // Label 9828: @607978
     /*  607978 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(608050), // Rule ID 5474 //
     /*  607983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608048 */     GIR_RootConstrainSelectedInstOperands,
     /*  608049 */     // GIR_Coverage, 5474,
     /*  608049 */     GIR_EraseRootFromParent_Done,
     /*  608050 */   // Label 9829: @608050
     /*  608050 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(608122), // Rule ID 5475 //
     /*  608055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608120 */     GIR_RootConstrainSelectedInstOperands,
     /*  608121 */     // GIR_Coverage, 5475,
     /*  608121 */     GIR_EraseRootFromParent_Done,
     /*  608122 */   // Label 9830: @608122
     /*  608122 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(608194), // Rule ID 5476 //
     /*  608127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608192 */     GIR_RootConstrainSelectedInstOperands,
     /*  608193 */     // GIR_Coverage, 5476,
     /*  608193 */     GIR_EraseRootFromParent_Done,
     /*  608194 */   // Label 9831: @608194
     /*  608194 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(608266), // Rule ID 5477 //
     /*  608199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608245 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608264 */     GIR_RootConstrainSelectedInstOperands,
     /*  608265 */     // GIR_Coverage, 5477,
     /*  608265 */     GIR_EraseRootFromParent_Done,
     /*  608266 */   // Label 9832: @608266
     /*  608266 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(608338), // Rule ID 5478 //
     /*  608271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608336 */     GIR_RootConstrainSelectedInstOperands,
     /*  608337 */     // GIR_Coverage, 5478,
     /*  608337 */     GIR_EraseRootFromParent_Done,
     /*  608338 */   // Label 9833: @608338
     /*  608338 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(608410), // Rule ID 5479 //
     /*  608343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608408 */     GIR_RootConstrainSelectedInstOperands,
     /*  608409 */     // GIR_Coverage, 5479,
     /*  608409 */     GIR_EraseRootFromParent_Done,
     /*  608410 */   // Label 9834: @608410
     /*  608410 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608482), // Rule ID 5480 //
     /*  608415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608461 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608480 */     GIR_RootConstrainSelectedInstOperands,
     /*  608481 */     // GIR_Coverage, 5480,
     /*  608481 */     GIR_EraseRootFromParent_Done,
     /*  608482 */   // Label 9835: @608482
     /*  608482 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(608554), // Rule ID 5481 //
     /*  608487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608552 */     GIR_RootConstrainSelectedInstOperands,
     /*  608553 */     // GIR_Coverage, 5481,
     /*  608553 */     GIR_EraseRootFromParent_Done,
     /*  608554 */   // Label 9836: @608554
     /*  608554 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(608626), // Rule ID 5482 //
     /*  608559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608605 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608624 */     GIR_RootConstrainSelectedInstOperands,
     /*  608625 */     // GIR_Coverage, 5482,
     /*  608625 */     GIR_EraseRootFromParent_Done,
     /*  608626 */   // Label 9837: @608626
     /*  608626 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(608698), // Rule ID 5483 //
     /*  608631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608677 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608696 */     GIR_RootConstrainSelectedInstOperands,
     /*  608697 */     // GIR_Coverage, 5483,
     /*  608697 */     GIR_EraseRootFromParent_Done,
     /*  608698 */   // Label 9838: @608698
     /*  608698 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608770), // Rule ID 5484 //
     /*  608703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608749 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608768 */     GIR_RootConstrainSelectedInstOperands,
     /*  608769 */     // GIR_Coverage, 5484,
     /*  608769 */     GIR_EraseRootFromParent_Done,
     /*  608770 */   // Label 9839: @608770
     /*  608770 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608842), // Rule ID 5485 //
     /*  608775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608840 */     GIR_RootConstrainSelectedInstOperands,
     /*  608841 */     // GIR_Coverage, 5485,
     /*  608841 */     GIR_EraseRootFromParent_Done,
     /*  608842 */   // Label 9840: @608842
     /*  608842 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(608914), // Rule ID 5486 //
     /*  608847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608912 */     GIR_RootConstrainSelectedInstOperands,
     /*  608913 */     // GIR_Coverage, 5486,
     /*  608913 */     GIR_EraseRootFromParent_Done,
     /*  608914 */   // Label 9841: @608914
     /*  608914 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(608986), // Rule ID 5487 //
     /*  608919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  608933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  608936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608984 */     GIR_RootConstrainSelectedInstOperands,
     /*  608985 */     // GIR_Coverage, 5487,
     /*  608985 */     GIR_EraseRootFromParent_Done,
     /*  608986 */   // Label 9842: @608986
     /*  608986 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(609058), // Rule ID 5488 //
     /*  608991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609056 */     GIR_RootConstrainSelectedInstOperands,
     /*  609057 */     // GIR_Coverage, 5488,
     /*  609057 */     GIR_EraseRootFromParent_Done,
     /*  609058 */   // Label 9843: @609058
     /*  609058 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(609130), // Rule ID 5489 //
     /*  609063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609109 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609128 */     GIR_RootConstrainSelectedInstOperands,
     /*  609129 */     // GIR_Coverage, 5489,
     /*  609129 */     GIR_EraseRootFromParent_Done,
     /*  609130 */   // Label 9844: @609130
     /*  609130 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(609202), // Rule ID 5490 //
     /*  609135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609200 */     GIR_RootConstrainSelectedInstOperands,
     /*  609201 */     // GIR_Coverage, 5490,
     /*  609201 */     GIR_EraseRootFromParent_Done,
     /*  609202 */   // Label 9845: @609202
     /*  609202 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(609274), // Rule ID 5491 //
     /*  609207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609253 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609272 */     GIR_RootConstrainSelectedInstOperands,
     /*  609273 */     // GIR_Coverage, 5491,
     /*  609273 */     GIR_EraseRootFromParent_Done,
     /*  609274 */   // Label 9846: @609274
     /*  609274 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(609346), // Rule ID 5492 //
     /*  609279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609325 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609344 */     GIR_RootConstrainSelectedInstOperands,
     /*  609345 */     // GIR_Coverage, 5492,
     /*  609345 */     GIR_EraseRootFromParent_Done,
     /*  609346 */   // Label 9847: @609346
     /*  609346 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(609418), // Rule ID 5493 //
     /*  609351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609397 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609416 */     GIR_RootConstrainSelectedInstOperands,
     /*  609417 */     // GIR_Coverage, 5493,
     /*  609417 */     GIR_EraseRootFromParent_Done,
     /*  609418 */   // Label 9848: @609418
     /*  609418 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609490), // Rule ID 5494 //
     /*  609423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609469 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609488 */     GIR_RootConstrainSelectedInstOperands,
     /*  609489 */     // GIR_Coverage, 5494,
     /*  609489 */     GIR_EraseRootFromParent_Done,
     /*  609490 */   // Label 9849: @609490
     /*  609490 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(609562), // Rule ID 5495 //
     /*  609495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609541 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609560 */     GIR_RootConstrainSelectedInstOperands,
     /*  609561 */     // GIR_Coverage, 5495,
     /*  609561 */     GIR_EraseRootFromParent_Done,
     /*  609562 */   // Label 9850: @609562
     /*  609562 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(609634), // Rule ID 5496 //
     /*  609567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609613 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609632 */     GIR_RootConstrainSelectedInstOperands,
     /*  609633 */     // GIR_Coverage, 5496,
     /*  609633 */     GIR_EraseRootFromParent_Done,
     /*  609634 */   // Label 9851: @609634
     /*  609634 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(609706), // Rule ID 5497 //
     /*  609639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609685 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609704 */     GIR_RootConstrainSelectedInstOperands,
     /*  609705 */     // GIR_Coverage, 5497,
     /*  609705 */     GIR_EraseRootFromParent_Done,
     /*  609706 */   // Label 9852: @609706
     /*  609706 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609778), // Rule ID 5498 //
     /*  609711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609776 */     GIR_RootConstrainSelectedInstOperands,
     /*  609777 */     // GIR_Coverage, 5498,
     /*  609777 */     GIR_EraseRootFromParent_Done,
     /*  609778 */   // Label 9853: @609778
     /*  609778 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609850), // Rule ID 5499 //
     /*  609783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609848 */     GIR_RootConstrainSelectedInstOperands,
     /*  609849 */     // GIR_Coverage, 5499,
     /*  609849 */     GIR_EraseRootFromParent_Done,
     /*  609850 */   // Label 9854: @609850
     /*  609850 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(609922), // Rule ID 5500 //
     /*  609855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609920 */     GIR_RootConstrainSelectedInstOperands,
     /*  609921 */     // GIR_Coverage, 5500,
     /*  609921 */     GIR_EraseRootFromParent_Done,
     /*  609922 */   // Label 9855: @609922
     /*  609922 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(609994), // Rule ID 5501 //
     /*  609927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  609941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  609944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609973 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609992 */     GIR_RootConstrainSelectedInstOperands,
     /*  609993 */     // GIR_Coverage, 5501,
     /*  609993 */     GIR_EraseRootFromParent_Done,
     /*  609994 */   // Label 9856: @609994
     /*  609994 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(610066), // Rule ID 5502 //
     /*  609999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610045 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610064 */     GIR_RootConstrainSelectedInstOperands,
     /*  610065 */     // GIR_Coverage, 5502,
     /*  610065 */     GIR_EraseRootFromParent_Done,
     /*  610066 */   // Label 9857: @610066
     /*  610066 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(610138), // Rule ID 5503 //
     /*  610071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610117 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610126 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610136 */     GIR_RootConstrainSelectedInstOperands,
     /*  610137 */     // GIR_Coverage, 5503,
     /*  610137 */     GIR_EraseRootFromParent_Done,
     /*  610138 */   // Label 9858: @610138
     /*  610138 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(610210), // Rule ID 5504 //
     /*  610143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610208 */     GIR_RootConstrainSelectedInstOperands,
     /*  610209 */     // GIR_Coverage, 5504,
     /*  610209 */     GIR_EraseRootFromParent_Done,
     /*  610210 */   // Label 9859: @610210
     /*  610210 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(610282), // Rule ID 5505 //
     /*  610215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610280 */     GIR_RootConstrainSelectedInstOperands,
     /*  610281 */     // GIR_Coverage, 5505,
     /*  610281 */     GIR_EraseRootFromParent_Done,
     /*  610282 */   // Label 9860: @610282
     /*  610282 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(610354), // Rule ID 5506 //
     /*  610287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610352 */     GIR_RootConstrainSelectedInstOperands,
     /*  610353 */     // GIR_Coverage, 5506,
     /*  610353 */     GIR_EraseRootFromParent_Done,
     /*  610354 */   // Label 9861: @610354
     /*  610354 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(610426), // Rule ID 5507 //
     /*  610359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610405 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610424 */     GIR_RootConstrainSelectedInstOperands,
     /*  610425 */     // GIR_Coverage, 5507,
     /*  610425 */     GIR_EraseRootFromParent_Done,
     /*  610426 */   // Label 9862: @610426
     /*  610426 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610498), // Rule ID 5508 //
     /*  610431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610477 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610496 */     GIR_RootConstrainSelectedInstOperands,
     /*  610497 */     // GIR_Coverage, 5508,
     /*  610497 */     GIR_EraseRootFromParent_Done,
     /*  610498 */   // Label 9863: @610498
     /*  610498 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(610570), // Rule ID 5509 //
     /*  610503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610568 */     GIR_RootConstrainSelectedInstOperands,
     /*  610569 */     // GIR_Coverage, 5509,
     /*  610569 */     GIR_EraseRootFromParent_Done,
     /*  610570 */   // Label 9864: @610570
     /*  610570 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(610642), // Rule ID 5510 //
     /*  610575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610640 */     GIR_RootConstrainSelectedInstOperands,
     /*  610641 */     // GIR_Coverage, 5510,
     /*  610641 */     GIR_EraseRootFromParent_Done,
     /*  610642 */   // Label 9865: @610642
     /*  610642 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610714), // Rule ID 5511 //
     /*  610647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  610661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  610664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610712 */     GIR_RootConstrainSelectedInstOperands,
     /*  610713 */     // GIR_Coverage, 5511,
     /*  610713 */     GIR_EraseRootFromParent_Done,
     /*  610714 */   // Label 9866: @610714
     /*  610714 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610786), // Rule ID 5512 //
     /*  610719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  610733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  610736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610784 */     GIR_RootConstrainSelectedInstOperands,
     /*  610785 */     // GIR_Coverage, 5512,
     /*  610785 */     GIR_EraseRootFromParent_Done,
     /*  610786 */   // Label 9867: @610786
     /*  610786 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610858), // Rule ID 5513 //
     /*  610791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  610805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  610808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610837 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610856 */     GIR_RootConstrainSelectedInstOperands,
     /*  610857 */     // GIR_Coverage, 5513,
     /*  610857 */     GIR_EraseRootFromParent_Done,
     /*  610858 */   // Label 9868: @610858
     /*  610858 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(610930), // Rule ID 5514 //
     /*  610863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  610877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  610880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610909 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610928 */     GIR_RootConstrainSelectedInstOperands,
     /*  610929 */     // GIR_Coverage, 5514,
     /*  610929 */     GIR_EraseRootFromParent_Done,
     /*  610930 */   // Label 9869: @610930
     /*  610930 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(611002), // Rule ID 5515 //
     /*  610935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  610949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  610984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611000 */     GIR_RootConstrainSelectedInstOperands,
     /*  611001 */     // GIR_Coverage, 5515,
     /*  611001 */     GIR_EraseRootFromParent_Done,
     /*  611002 */   // Label 9870: @611002
     /*  611002 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(611074), // Rule ID 5516 //
     /*  611007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  611021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611053 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  611056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611072 */     GIR_RootConstrainSelectedInstOperands,
     /*  611073 */     // GIR_Coverage, 5516,
     /*  611073 */     GIR_EraseRootFromParent_Done,
     /*  611074 */   // Label 9871: @611074
     /*  611074 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(611146), // Rule ID 5517 //
     /*  611079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611125 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611144 */     GIR_RootConstrainSelectedInstOperands,
     /*  611145 */     // GIR_Coverage, 5517,
     /*  611145 */     GIR_EraseRootFromParent_Done,
     /*  611146 */   // Label 9872: @611146
     /*  611146 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(611218), // Rule ID 5518 //
     /*  611151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611216 */     GIR_RootConstrainSelectedInstOperands,
     /*  611217 */     // GIR_Coverage, 5518,
     /*  611217 */     GIR_EraseRootFromParent_Done,
     /*  611218 */   // Label 9873: @611218
     /*  611218 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(611290), // Rule ID 5519 //
     /*  611223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611269 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611288 */     GIR_RootConstrainSelectedInstOperands,
     /*  611289 */     // GIR_Coverage, 5519,
     /*  611289 */     GIR_EraseRootFromParent_Done,
     /*  611290 */   // Label 9874: @611290
     /*  611290 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(611362), // Rule ID 5520 //
     /*  611295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611360 */     GIR_RootConstrainSelectedInstOperands,
     /*  611361 */     // GIR_Coverage, 5520,
     /*  611361 */     GIR_EraseRootFromParent_Done,
     /*  611362 */   // Label 9875: @611362
     /*  611362 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(611434), // Rule ID 5521 //
     /*  611367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611413 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611432 */     GIR_RootConstrainSelectedInstOperands,
     /*  611433 */     // GIR_Coverage, 5521,
     /*  611433 */     GIR_EraseRootFromParent_Done,
     /*  611434 */   // Label 9876: @611434
     /*  611434 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611506), // Rule ID 5522 //
     /*  611439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611485 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611504 */     GIR_RootConstrainSelectedInstOperands,
     /*  611505 */     // GIR_Coverage, 5522,
     /*  611505 */     GIR_EraseRootFromParent_Done,
     /*  611506 */   // Label 9877: @611506
     /*  611506 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(611578), // Rule ID 5523 //
     /*  611511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611576 */     GIR_RootConstrainSelectedInstOperands,
     /*  611577 */     // GIR_Coverage, 5523,
     /*  611577 */     GIR_EraseRootFromParent_Done,
     /*  611578 */   // Label 9878: @611578
     /*  611578 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(611650), // Rule ID 5524 //
     /*  611583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611648 */     GIR_RootConstrainSelectedInstOperands,
     /*  611649 */     // GIR_Coverage, 5524,
     /*  611649 */     GIR_EraseRootFromParent_Done,
     /*  611650 */   // Label 9879: @611650
     /*  611650 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611722), // Rule ID 5525 //
     /*  611655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  611669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611720 */     GIR_RootConstrainSelectedInstOperands,
     /*  611721 */     // GIR_Coverage, 5525,
     /*  611721 */     GIR_EraseRootFromParent_Done,
     /*  611722 */   // Label 9880: @611722
     /*  611722 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611794), // Rule ID 5526 //
     /*  611727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  611741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611792 */     GIR_RootConstrainSelectedInstOperands,
     /*  611793 */     // GIR_Coverage, 5526,
     /*  611793 */     GIR_EraseRootFromParent_Done,
     /*  611794 */   // Label 9881: @611794
     /*  611794 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611866), // Rule ID 5527 //
     /*  611799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611864 */     GIR_RootConstrainSelectedInstOperands,
     /*  611865 */     // GIR_Coverage, 5527,
     /*  611865 */     GIR_EraseRootFromParent_Done,
     /*  611866 */   // Label 9882: @611866
     /*  611866 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(611938), // Rule ID 5528 //
     /*  611871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611917 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611936 */     GIR_RootConstrainSelectedInstOperands,
     /*  611937 */     // GIR_Coverage, 5528,
     /*  611937 */     GIR_EraseRootFromParent_Done,
     /*  611938 */   // Label 9883: @611938
     /*  611938 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(612010), // Rule ID 5529 //
     /*  611943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  611957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612008 */     GIR_RootConstrainSelectedInstOperands,
     /*  612009 */     // GIR_Coverage, 5529,
     /*  612009 */     GIR_EraseRootFromParent_Done,
     /*  612010 */   // Label 9884: @612010
     /*  612010 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(612082), // Rule ID 5530 //
     /*  612015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  612029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612061 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612080 */     GIR_RootConstrainSelectedInstOperands,
     /*  612081 */     // GIR_Coverage, 5530,
     /*  612081 */     GIR_EraseRootFromParent_Done,
     /*  612082 */   // Label 9885: @612082
     /*  612082 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(612154), // Rule ID 5531 //
     /*  612087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612152 */     GIR_RootConstrainSelectedInstOperands,
     /*  612153 */     // GIR_Coverage, 5531,
     /*  612153 */     GIR_EraseRootFromParent_Done,
     /*  612154 */   // Label 9886: @612154
     /*  612154 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(612226), // Rule ID 5532 //
     /*  612159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612205 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612224 */     GIR_RootConstrainSelectedInstOperands,
     /*  612225 */     // GIR_Coverage, 5532,
     /*  612225 */     GIR_EraseRootFromParent_Done,
     /*  612226 */   // Label 9887: @612226
     /*  612226 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(612298), // Rule ID 5533 //
     /*  612231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612296 */     GIR_RootConstrainSelectedInstOperands,
     /*  612297 */     // GIR_Coverage, 5533,
     /*  612297 */     GIR_EraseRootFromParent_Done,
     /*  612298 */   // Label 9888: @612298
     /*  612298 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(612370), // Rule ID 5534 //
     /*  612303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612368 */     GIR_RootConstrainSelectedInstOperands,
     /*  612369 */     // GIR_Coverage, 5534,
     /*  612369 */     GIR_EraseRootFromParent_Done,
     /*  612370 */   // Label 9889: @612370
     /*  612370 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(612442), // Rule ID 5535 //
     /*  612375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612421 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612440 */     GIR_RootConstrainSelectedInstOperands,
     /*  612441 */     // GIR_Coverage, 5535,
     /*  612441 */     GIR_EraseRootFromParent_Done,
     /*  612442 */   // Label 9890: @612442
     /*  612442 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(612514), // Rule ID 5536 //
     /*  612447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612512 */     GIR_RootConstrainSelectedInstOperands,
     /*  612513 */     // GIR_Coverage, 5536,
     /*  612513 */     GIR_EraseRootFromParent_Done,
     /*  612514 */   // Label 9891: @612514
     /*  612514 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(612586), // Rule ID 5537 //
     /*  612519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612565 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612584 */     GIR_RootConstrainSelectedInstOperands,
     /*  612585 */     // GIR_Coverage, 5537,
     /*  612585 */     GIR_EraseRootFromParent_Done,
     /*  612586 */   // Label 9892: @612586
     /*  612586 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612658), // Rule ID 5538 //
     /*  612591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612637 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612656 */     GIR_RootConstrainSelectedInstOperands,
     /*  612657 */     // GIR_Coverage, 5538,
     /*  612657 */     GIR_EraseRootFromParent_Done,
     /*  612658 */   // Label 9893: @612658
     /*  612658 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612730), // Rule ID 5539 //
     /*  612663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  612674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  612677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  612683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612709 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612728 */     GIR_RootConstrainSelectedInstOperands,
     /*  612729 */     // GIR_Coverage, 5539,
     /*  612729 */     GIR_EraseRootFromParent_Done,
     /*  612730 */   // Label 9894: @612730
     /*  612730 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612802), // Rule ID 5540 //
     /*  612735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  612746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  612749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  612755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612781 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612800 */     GIR_RootConstrainSelectedInstOperands,
     /*  612801 */     // GIR_Coverage, 5540,
     /*  612801 */     GIR_EraseRootFromParent_Done,
     /*  612802 */   // Label 9895: @612802
     /*  612802 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612874), // Rule ID 5541 //
     /*  612807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612872 */     GIR_RootConstrainSelectedInstOperands,
     /*  612873 */     // GIR_Coverage, 5541,
     /*  612873 */     GIR_EraseRootFromParent_Done,
     /*  612874 */   // Label 9896: @612874
     /*  612874 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(612946), // Rule ID 5542 //
     /*  612879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612925 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612944 */     GIR_RootConstrainSelectedInstOperands,
     /*  612945 */     // GIR_Coverage, 5542,
     /*  612945 */     GIR_EraseRootFromParent_Done,
     /*  612946 */   // Label 9897: @612946
     /*  612946 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(613018), // Rule ID 5543 //
     /*  612951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  612965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613016 */     GIR_RootConstrainSelectedInstOperands,
     /*  613017 */     // GIR_Coverage, 5543,
     /*  613017 */     GIR_EraseRootFromParent_Done,
     /*  613018 */   // Label 9898: @613018
     /*  613018 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(613090), // Rule ID 5544 //
     /*  613023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  613037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613088 */     GIR_RootConstrainSelectedInstOperands,
     /*  613089 */     // GIR_Coverage, 5544,
     /*  613089 */     GIR_EraseRootFromParent_Done,
     /*  613090 */   // Label 9899: @613090
     /*  613090 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(613162), // Rule ID 5545 //
     /*  613095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613141 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613160 */     GIR_RootConstrainSelectedInstOperands,
     /*  613161 */     // GIR_Coverage, 5545,
     /*  613161 */     GIR_EraseRootFromParent_Done,
     /*  613162 */   // Label 9900: @613162
     /*  613162 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(613234), // Rule ID 5546 //
     /*  613167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613213 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613232 */     GIR_RootConstrainSelectedInstOperands,
     /*  613233 */     // GIR_Coverage, 5546,
     /*  613233 */     GIR_EraseRootFromParent_Done,
     /*  613234 */   // Label 9901: @613234
     /*  613234 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(613306), // Rule ID 5547 //
     /*  613239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613304 */     GIR_RootConstrainSelectedInstOperands,
     /*  613305 */     // GIR_Coverage, 5547,
     /*  613305 */     GIR_EraseRootFromParent_Done,
     /*  613306 */   // Label 9902: @613306
     /*  613306 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(613378), // Rule ID 5548 //
     /*  613311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613376 */     GIR_RootConstrainSelectedInstOperands,
     /*  613377 */     // GIR_Coverage, 5548,
     /*  613377 */     GIR_EraseRootFromParent_Done,
     /*  613378 */   // Label 9903: @613378
     /*  613378 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(613450), // Rule ID 5549 //
     /*  613383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613429 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613448 */     GIR_RootConstrainSelectedInstOperands,
     /*  613449 */     // GIR_Coverage, 5549,
     /*  613449 */     GIR_EraseRootFromParent_Done,
     /*  613450 */   // Label 9904: @613450
     /*  613450 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(613522), // Rule ID 5550 //
     /*  613455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613520 */     GIR_RootConstrainSelectedInstOperands,
     /*  613521 */     // GIR_Coverage, 5550,
     /*  613521 */     GIR_EraseRootFromParent_Done,
     /*  613522 */   // Label 9905: @613522
     /*  613522 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613594), // Rule ID 5551 //
     /*  613527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  613541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613592 */     GIR_RootConstrainSelectedInstOperands,
     /*  613593 */     // GIR_Coverage, 5551,
     /*  613593 */     GIR_EraseRootFromParent_Done,
     /*  613594 */   // Label 9906: @613594
     /*  613594 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613666), // Rule ID 5552 //
     /*  613599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  613613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613664 */     GIR_RootConstrainSelectedInstOperands,
     /*  613665 */     // GIR_Coverage, 5552,
     /*  613665 */     GIR_EraseRootFromParent_Done,
     /*  613666 */   // Label 9907: @613666
     /*  613666 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613738), // Rule ID 5553 //
     /*  613671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  613685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613736 */     GIR_RootConstrainSelectedInstOperands,
     /*  613737 */     // GIR_Coverage, 5553,
     /*  613737 */     GIR_EraseRootFromParent_Done,
     /*  613738 */   // Label 9908: @613738
     /*  613738 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613810), // Rule ID 5554 //
     /*  613743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  613757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  613789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613808 */     GIR_RootConstrainSelectedInstOperands,
     /*  613809 */     // GIR_Coverage, 5554,
     /*  613809 */     GIR_EraseRootFromParent_Done,
     /*  613810 */   // Label 9909: @613810
     /*  613810 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613882), // Rule ID 5555 //
     /*  613815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  613829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613861 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613880 */     GIR_RootConstrainSelectedInstOperands,
     /*  613881 */     // GIR_Coverage, 5555,
     /*  613881 */     GIR_EraseRootFromParent_Done,
     /*  613882 */   // Label 9910: @613882
     /*  613882 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(613954), // Rule ID 5556 //
     /*  613887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  613901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  613933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613952 */     GIR_RootConstrainSelectedInstOperands,
     /*  613953 */     // GIR_Coverage, 5556,
     /*  613953 */     GIR_EraseRootFromParent_Done,
     /*  613954 */   // Label 9911: @613954
     /*  613954 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(614026), // Rule ID 5557 //
     /*  613959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  613973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614005 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614024 */     GIR_RootConstrainSelectedInstOperands,
     /*  614025 */     // GIR_Coverage, 5557,
     /*  614025 */     GIR_EraseRootFromParent_Done,
     /*  614026 */   // Label 9912: @614026
     /*  614026 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(614098), // Rule ID 5558 //
     /*  614031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  614045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614096 */     GIR_RootConstrainSelectedInstOperands,
     /*  614097 */     // GIR_Coverage, 5558,
     /*  614097 */     GIR_EraseRootFromParent_Done,
     /*  614098 */   // Label 9913: @614098
     /*  614098 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(614173), // Rule ID 5647 //
     /*  614103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614171 */     GIR_RootConstrainSelectedInstOperands,
     /*  614172 */     // GIR_Coverage, 5647,
     /*  614172 */     GIR_EraseRootFromParent_Done,
     /*  614173 */   // Label 9914: @614173
     /*  614173 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(614248), // Rule ID 5648 //
     /*  614178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614246 */     GIR_RootConstrainSelectedInstOperands,
     /*  614247 */     // GIR_Coverage, 5648,
     /*  614247 */     GIR_EraseRootFromParent_Done,
     /*  614248 */   // Label 9915: @614248
     /*  614248 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(614323), // Rule ID 5651 //
     /*  614253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614299 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614321 */     GIR_RootConstrainSelectedInstOperands,
     /*  614322 */     // GIR_Coverage, 5651,
     /*  614322 */     GIR_EraseRootFromParent_Done,
     /*  614323 */   // Label 9916: @614323
     /*  614323 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(614398), // Rule ID 5652 //
     /*  614328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614396 */     GIR_RootConstrainSelectedInstOperands,
     /*  614397 */     // GIR_Coverage, 5652,
     /*  614397 */     GIR_EraseRootFromParent_Done,
     /*  614398 */   // Label 9917: @614398
     /*  614398 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(614473), // Rule ID 5655 //
     /*  614403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614471 */     GIR_RootConstrainSelectedInstOperands,
     /*  614472 */     // GIR_Coverage, 5655,
     /*  614472 */     GIR_EraseRootFromParent_Done,
     /*  614473 */   // Label 9918: @614473
     /*  614473 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(614548), // Rule ID 5656 //
     /*  614478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614546 */     GIR_RootConstrainSelectedInstOperands,
     /*  614547 */     // GIR_Coverage, 5656,
     /*  614547 */     GIR_EraseRootFromParent_Done,
     /*  614548 */   // Label 9919: @614548
     /*  614548 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614623), // Rule ID 5659 //
     /*  614553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  614564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  614567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  614570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  614573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614599 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614621 */     GIR_RootConstrainSelectedInstOperands,
     /*  614622 */     // GIR_Coverage, 5659,
     /*  614622 */     GIR_EraseRootFromParent_Done,
     /*  614623 */   // Label 9920: @614623
     /*  614623 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614698), // Rule ID 5660 //
     /*  614628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  614639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  614642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  614645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  614648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614696 */     GIR_RootConstrainSelectedInstOperands,
     /*  614697 */     // GIR_Coverage, 5660,
     /*  614697 */     GIR_EraseRootFromParent_Done,
     /*  614698 */   // Label 9921: @614698
     /*  614698 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614773), // Rule ID 5663 //
     /*  614703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  614714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  614717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  614720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  614723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614771 */     GIR_RootConstrainSelectedInstOperands,
     /*  614772 */     // GIR_Coverage, 5663,
     /*  614772 */     GIR_EraseRootFromParent_Done,
     /*  614773 */   // Label 9922: @614773
     /*  614773 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614848), // Rule ID 5664 //
     /*  614778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  614789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  614792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  614795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  614798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614846 */     GIR_RootConstrainSelectedInstOperands,
     /*  614847 */     // GIR_Coverage, 5664,
     /*  614847 */     GIR_EraseRootFromParent_Done,
     /*  614848 */   // Label 9923: @614848
     /*  614848 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(614923), // Rule ID 5667 //
     /*  614853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  614864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  614867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  614870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  614873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  614899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614921 */     GIR_RootConstrainSelectedInstOperands,
     /*  614922 */     // GIR_Coverage, 5667,
     /*  614922 */     GIR_EraseRootFromParent_Done,
     /*  614923 */   // Label 9924: @614923
     /*  614923 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(614998), // Rule ID 5668 //
     /*  614928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  614939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  614942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  614945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  614948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  614974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614996 */     GIR_RootConstrainSelectedInstOperands,
     /*  614997 */     // GIR_Coverage, 5668,
     /*  614997 */     GIR_EraseRootFromParent_Done,
     /*  614998 */   // Label 9925: @614998
     /*  614998 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(615073), // Rule ID 5671 //
     /*  615003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615049 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615071 */     GIR_RootConstrainSelectedInstOperands,
     /*  615072 */     // GIR_Coverage, 5671,
     /*  615072 */     GIR_EraseRootFromParent_Done,
     /*  615073 */   // Label 9926: @615073
     /*  615073 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(615148), // Rule ID 5672 //
     /*  615078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615146 */     GIR_RootConstrainSelectedInstOperands,
     /*  615147 */     // GIR_Coverage, 5672,
     /*  615147 */     GIR_EraseRootFromParent_Done,
     /*  615148 */   // Label 9927: @615148
     /*  615148 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(615223), // Rule ID 5675 //
     /*  615153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615221 */     GIR_RootConstrainSelectedInstOperands,
     /*  615222 */     // GIR_Coverage, 5675,
     /*  615222 */     GIR_EraseRootFromParent_Done,
     /*  615223 */   // Label 9928: @615223
     /*  615223 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(615298), // Rule ID 5676 //
     /*  615228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615296 */     GIR_RootConstrainSelectedInstOperands,
     /*  615297 */     // GIR_Coverage, 5676,
     /*  615297 */     GIR_EraseRootFromParent_Done,
     /*  615298 */   // Label 9929: @615298
     /*  615298 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(615373), // Rule ID 5679 //
     /*  615303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615371 */     GIR_RootConstrainSelectedInstOperands,
     /*  615372 */     // GIR_Coverage, 5679,
     /*  615372 */     GIR_EraseRootFromParent_Done,
     /*  615373 */   // Label 9930: @615373
     /*  615373 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(615448), // Rule ID 5680 //
     /*  615378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615446 */     GIR_RootConstrainSelectedInstOperands,
     /*  615447 */     // GIR_Coverage, 5680,
     /*  615447 */     GIR_EraseRootFromParent_Done,
     /*  615448 */   // Label 9931: @615448
     /*  615448 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(615523), // Rule ID 5683 //
     /*  615453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  615499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615521 */     GIR_RootConstrainSelectedInstOperands,
     /*  615522 */     // GIR_Coverage, 5683,
     /*  615522 */     GIR_EraseRootFromParent_Done,
     /*  615523 */   // Label 9932: @615523
     /*  615523 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615598), // Rule ID 5684 //
     /*  615528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  615574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615596 */     GIR_RootConstrainSelectedInstOperands,
     /*  615597 */     // GIR_Coverage, 5684,
     /*  615597 */     GIR_EraseRootFromParent_Done,
     /*  615598 */   // Label 9933: @615598
     /*  615598 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615673), // Rule ID 5687 //
     /*  615603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  615614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  615617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  615620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  615623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615649 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615671 */     GIR_RootConstrainSelectedInstOperands,
     /*  615672 */     // GIR_Coverage, 5687,
     /*  615672 */     GIR_EraseRootFromParent_Done,
     /*  615673 */   // Label 9934: @615673
     /*  615673 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615748), // Rule ID 5688 //
     /*  615678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  615689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  615692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  615695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  615698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615746 */     GIR_RootConstrainSelectedInstOperands,
     /*  615747 */     // GIR_Coverage, 5688,
     /*  615747 */     GIR_EraseRootFromParent_Done,
     /*  615748 */   // Label 9935: @615748
     /*  615748 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615823), // Rule ID 5691 //
     /*  615753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  615764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  615767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  615770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  615773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615799 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615821 */     GIR_RootConstrainSelectedInstOperands,
     /*  615822 */     // GIR_Coverage, 5691,
     /*  615822 */     GIR_EraseRootFromParent_Done,
     /*  615823 */   // Label 9936: @615823
     /*  615823 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615898), // Rule ID 5692 //
     /*  615828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  615839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  615842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  615845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  615848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615896 */     GIR_RootConstrainSelectedInstOperands,
     /*  615897 */     // GIR_Coverage, 5692,
     /*  615897 */     GIR_EraseRootFromParent_Done,
     /*  615898 */   // Label 9937: @615898
     /*  615898 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(615973), // Rule ID 5695 //
     /*  615903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  615914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  615917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  615920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  615923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  615952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615971 */     GIR_RootConstrainSelectedInstOperands,
     /*  615972 */     // GIR_Coverage, 5695,
     /*  615972 */     GIR_EraseRootFromParent_Done,
     /*  615973 */   // Label 9938: @615973
     /*  615973 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(616048), // Rule ID 5696 //
     /*  615978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  615989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  615992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  615995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  615998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616046 */     GIR_RootConstrainSelectedInstOperands,
     /*  616047 */     // GIR_Coverage, 5696,
     /*  616047 */     GIR_EraseRootFromParent_Done,
     /*  616048 */   // Label 9939: @616048
     /*  616048 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(616123), // Rule ID 5699 //
     /*  616053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616121 */     GIR_RootConstrainSelectedInstOperands,
     /*  616122 */     // GIR_Coverage, 5699,
     /*  616122 */     GIR_EraseRootFromParent_Done,
     /*  616123 */   // Label 9940: @616123
     /*  616123 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(616198), // Rule ID 5700 //
     /*  616128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616196 */     GIR_RootConstrainSelectedInstOperands,
     /*  616197 */     // GIR_Coverage, 5700,
     /*  616197 */     GIR_EraseRootFromParent_Done,
     /*  616198 */   // Label 9941: @616198
     /*  616198 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(616273), // Rule ID 5703 //
     /*  616203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616271 */     GIR_RootConstrainSelectedInstOperands,
     /*  616272 */     // GIR_Coverage, 5703,
     /*  616272 */     GIR_EraseRootFromParent_Done,
     /*  616273 */   // Label 9942: @616273
     /*  616273 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(616348), // Rule ID 5704 //
     /*  616278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616346 */     GIR_RootConstrainSelectedInstOperands,
     /*  616347 */     // GIR_Coverage, 5704,
     /*  616347 */     GIR_EraseRootFromParent_Done,
     /*  616348 */   // Label 9943: @616348
     /*  616348 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(616423), // Rule ID 5707 //
     /*  616353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616421 */     GIR_RootConstrainSelectedInstOperands,
     /*  616422 */     // GIR_Coverage, 5707,
     /*  616422 */     GIR_EraseRootFromParent_Done,
     /*  616423 */   // Label 9944: @616423
     /*  616423 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(616498), // Rule ID 5708 //
     /*  616428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616496 */     GIR_RootConstrainSelectedInstOperands,
     /*  616497 */     // GIR_Coverage, 5708,
     /*  616497 */     GIR_EraseRootFromParent_Done,
     /*  616498 */   // Label 9945: @616498
     /*  616498 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616573), // Rule ID 5711 //
     /*  616503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616571 */     GIR_RootConstrainSelectedInstOperands,
     /*  616572 */     // GIR_Coverage, 5711,
     /*  616572 */     GIR_EraseRootFromParent_Done,
     /*  616573 */   // Label 9946: @616573
     /*  616573 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616648), // Rule ID 5712 //
     /*  616578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616646 */     GIR_RootConstrainSelectedInstOperands,
     /*  616647 */     // GIR_Coverage, 5712,
     /*  616647 */     GIR_EraseRootFromParent_Done,
     /*  616648 */   // Label 9947: @616648
     /*  616648 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616723), // Rule ID 5715 //
     /*  616653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  616664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  616667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  616670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  616673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616721 */     GIR_RootConstrainSelectedInstOperands,
     /*  616722 */     // GIR_Coverage, 5715,
     /*  616722 */     GIR_EraseRootFromParent_Done,
     /*  616723 */   // Label 9948: @616723
     /*  616723 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616798), // Rule ID 5716 //
     /*  616728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  616739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  616742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  616745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  616748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616796 */     GIR_RootConstrainSelectedInstOperands,
     /*  616797 */     // GIR_Coverage, 5716,
     /*  616797 */     GIR_EraseRootFromParent_Done,
     /*  616798 */   // Label 9949: @616798
     /*  616798 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616873), // Rule ID 5719 //
     /*  616803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  616814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  616817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  616820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  616823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616871 */     GIR_RootConstrainSelectedInstOperands,
     /*  616872 */     // GIR_Coverage, 5719,
     /*  616872 */     GIR_EraseRootFromParent_Done,
     /*  616873 */   // Label 9950: @616873
     /*  616873 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(616948), // Rule ID 5720 //
     /*  616878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  616889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  616892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  616895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  616898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616946 */     GIR_RootConstrainSelectedInstOperands,
     /*  616947 */     // GIR_Coverage, 5720,
     /*  616947 */     GIR_EraseRootFromParent_Done,
     /*  616948 */   // Label 9951: @616948
     /*  616948 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(617023), // Rule ID 5723 //
     /*  616953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  616964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  616967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  616970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  616973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  616999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617021 */     GIR_RootConstrainSelectedInstOperands,
     /*  617022 */     // GIR_Coverage, 5723,
     /*  617022 */     GIR_EraseRootFromParent_Done,
     /*  617023 */   // Label 9952: @617023
     /*  617023 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(617098), // Rule ID 5724 //
     /*  617028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  617039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  617042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  617045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  617048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617096 */     GIR_RootConstrainSelectedInstOperands,
     /*  617097 */     // GIR_Coverage, 5724,
     /*  617097 */     GIR_EraseRootFromParent_Done,
     /*  617098 */   // Label 9953: @617098
     /*  617098 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(617173), // Rule ID 5727 //
     /*  617103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617171 */     GIR_RootConstrainSelectedInstOperands,
     /*  617172 */     // GIR_Coverage, 5727,
     /*  617172 */     GIR_EraseRootFromParent_Done,
     /*  617173 */   // Label 9954: @617173
     /*  617173 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(617248), // Rule ID 5728 //
     /*  617178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617246 */     GIR_RootConstrainSelectedInstOperands,
     /*  617247 */     // GIR_Coverage, 5728,
     /*  617247 */     GIR_EraseRootFromParent_Done,
     /*  617248 */   // Label 9955: @617248
     /*  617248 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(617323), // Rule ID 5731 //
     /*  617253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617321 */     GIR_RootConstrainSelectedInstOperands,
     /*  617322 */     // GIR_Coverage, 5731,
     /*  617322 */     GIR_EraseRootFromParent_Done,
     /*  617323 */   // Label 9956: @617323
     /*  617323 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(617398), // Rule ID 5732 //
     /*  617328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617396 */     GIR_RootConstrainSelectedInstOperands,
     /*  617397 */     // GIR_Coverage, 5732,
     /*  617397 */     GIR_EraseRootFromParent_Done,
     /*  617398 */   // Label 9957: @617398
     /*  617398 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(617473), // Rule ID 5735 //
     /*  617403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617471 */     GIR_RootConstrainSelectedInstOperands,
     /*  617472 */     // GIR_Coverage, 5735,
     /*  617472 */     GIR_EraseRootFromParent_Done,
     /*  617473 */   // Label 9958: @617473
     /*  617473 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(617548), // Rule ID 5736 //
     /*  617478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617546 */     GIR_RootConstrainSelectedInstOperands,
     /*  617547 */     // GIR_Coverage, 5736,
     /*  617547 */     GIR_EraseRootFromParent_Done,
     /*  617548 */   // Label 9959: @617548
     /*  617548 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617623), // Rule ID 5739 //
     /*  617553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  617564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  617567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  617570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617621 */     GIR_RootConstrainSelectedInstOperands,
     /*  617622 */     // GIR_Coverage, 5739,
     /*  617622 */     GIR_EraseRootFromParent_Done,
     /*  617623 */   // Label 9960: @617623
     /*  617623 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617698), // Rule ID 5740 //
     /*  617628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  617639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  617642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  617645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617696 */     GIR_RootConstrainSelectedInstOperands,
     /*  617697 */     // GIR_Coverage, 5740,
     /*  617697 */     GIR_EraseRootFromParent_Done,
     /*  617698 */   // Label 9961: @617698
     /*  617698 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617773), // Rule ID 5743 //
     /*  617703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  617714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  617717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  617720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  617752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617771 */     GIR_RootConstrainSelectedInstOperands,
     /*  617772 */     // GIR_Coverage, 5743,
     /*  617772 */     GIR_EraseRootFromParent_Done,
     /*  617773 */   // Label 9962: @617773
     /*  617773 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617848), // Rule ID 5744 //
     /*  617778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  617789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  617792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  617795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  617827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617846 */     GIR_RootConstrainSelectedInstOperands,
     /*  617847 */     // GIR_Coverage, 5744,
     /*  617847 */     GIR_EraseRootFromParent_Done,
     /*  617848 */   // Label 9963: @617848
     /*  617848 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(617923), // Rule ID 5747 //
     /*  617853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  617864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  617867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  617870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617921 */     GIR_RootConstrainSelectedInstOperands,
     /*  617922 */     // GIR_Coverage, 5747,
     /*  617922 */     GIR_EraseRootFromParent_Done,
     /*  617923 */   // Label 9964: @617923
     /*  617923 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(617998), // Rule ID 5748 //
     /*  617928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  617939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  617942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  617945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617996 */     GIR_RootConstrainSelectedInstOperands,
     /*  617997 */     // GIR_Coverage, 5748,
     /*  617997 */     GIR_EraseRootFromParent_Done,
     /*  617998 */   // Label 9965: @617998
     /*  617998 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(618073), // Rule ID 5751 //
     /*  618003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618071 */     GIR_RootConstrainSelectedInstOperands,
     /*  618072 */     // GIR_Coverage, 5751,
     /*  618072 */     GIR_EraseRootFromParent_Done,
     /*  618073 */   // Label 9966: @618073
     /*  618073 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(618148), // Rule ID 5752 //
     /*  618078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618146 */     GIR_RootConstrainSelectedInstOperands,
     /*  618147 */     // GIR_Coverage, 5752,
     /*  618147 */     GIR_EraseRootFromParent_Done,
     /*  618148 */   // Label 9967: @618148
     /*  618148 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(618223), // Rule ID 5755 //
     /*  618153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618221 */     GIR_RootConstrainSelectedInstOperands,
     /*  618222 */     // GIR_Coverage, 5755,
     /*  618222 */     GIR_EraseRootFromParent_Done,
     /*  618223 */   // Label 9968: @618223
     /*  618223 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(618298), // Rule ID 5756 //
     /*  618228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618296 */     GIR_RootConstrainSelectedInstOperands,
     /*  618297 */     // GIR_Coverage, 5756,
     /*  618297 */     GIR_EraseRootFromParent_Done,
     /*  618298 */   // Label 9969: @618298
     /*  618298 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(618373), // Rule ID 5759 //
     /*  618303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618349 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618371 */     GIR_RootConstrainSelectedInstOperands,
     /*  618372 */     // GIR_Coverage, 5759,
     /*  618372 */     GIR_EraseRootFromParent_Done,
     /*  618373 */   // Label 9970: @618373
     /*  618373 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(618448), // Rule ID 5760 //
     /*  618378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618446 */     GIR_RootConstrainSelectedInstOperands,
     /*  618447 */     // GIR_Coverage, 5760,
     /*  618447 */     GIR_EraseRootFromParent_Done,
     /*  618448 */   // Label 9971: @618448
     /*  618448 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(618523), // Rule ID 5763 //
     /*  618453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618521 */     GIR_RootConstrainSelectedInstOperands,
     /*  618522 */     // GIR_Coverage, 5763,
     /*  618522 */     GIR_EraseRootFromParent_Done,
     /*  618523 */   // Label 9972: @618523
     /*  618523 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(618598), // Rule ID 5764 //
     /*  618528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618596 */     GIR_RootConstrainSelectedInstOperands,
     /*  618597 */     // GIR_Coverage, 5764,
     /*  618597 */     GIR_EraseRootFromParent_Done,
     /*  618598 */   // Label 9973: @618598
     /*  618598 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618673), // Rule ID 5767 //
     /*  618603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  618614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  618617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  618620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618671 */     GIR_RootConstrainSelectedInstOperands,
     /*  618672 */     // GIR_Coverage, 5767,
     /*  618672 */     GIR_EraseRootFromParent_Done,
     /*  618673 */   // Label 9974: @618673
     /*  618673 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618748), // Rule ID 5768 //
     /*  618678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  618689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  618692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  618695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618746 */     GIR_RootConstrainSelectedInstOperands,
     /*  618747 */     // GIR_Coverage, 5768,
     /*  618747 */     GIR_EraseRootFromParent_Done,
     /*  618748 */   // Label 9975: @618748
     /*  618748 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618823), // Rule ID 5771 //
     /*  618753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  618764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  618767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  618770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618821 */     GIR_RootConstrainSelectedInstOperands,
     /*  618822 */     // GIR_Coverage, 5771,
     /*  618822 */     GIR_EraseRootFromParent_Done,
     /*  618823 */   // Label 9976: @618823
     /*  618823 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618898), // Rule ID 5772 //
     /*  618828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  618839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  618842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  618845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618896 */     GIR_RootConstrainSelectedInstOperands,
     /*  618897 */     // GIR_Coverage, 5772,
     /*  618897 */     GIR_EraseRootFromParent_Done,
     /*  618898 */   // Label 9977: @618898
     /*  618898 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(618973), // Rule ID 5775 //
     /*  618903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  618914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  618917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  618920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  618952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618971 */     GIR_RootConstrainSelectedInstOperands,
     /*  618972 */     // GIR_Coverage, 5775,
     /*  618972 */     GIR_EraseRootFromParent_Done,
     /*  618973 */   // Label 9978: @618973
     /*  618973 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(619048), // Rule ID 5776 //
     /*  618978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  618989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  618992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  618995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619046 */     GIR_RootConstrainSelectedInstOperands,
     /*  619047 */     // GIR_Coverage, 5776,
     /*  619047 */     GIR_EraseRootFromParent_Done,
     /*  619048 */   // Label 9979: @619048
     /*  619048 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(619123), // Rule ID 5779 //
     /*  619053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619121 */     GIR_RootConstrainSelectedInstOperands,
     /*  619122 */     // GIR_Coverage, 5779,
     /*  619122 */     GIR_EraseRootFromParent_Done,
     /*  619123 */   // Label 9980: @619123
     /*  619123 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(619198), // Rule ID 5780 //
     /*  619128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619196 */     GIR_RootConstrainSelectedInstOperands,
     /*  619197 */     // GIR_Coverage, 5780,
     /*  619197 */     GIR_EraseRootFromParent_Done,
     /*  619198 */   // Label 9981: @619198
     /*  619198 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(619273), // Rule ID 5783 //
     /*  619203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619271 */     GIR_RootConstrainSelectedInstOperands,
     /*  619272 */     // GIR_Coverage, 5783,
     /*  619272 */     GIR_EraseRootFromParent_Done,
     /*  619273 */   // Label 9982: @619273
     /*  619273 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(619348), // Rule ID 5784 //
     /*  619278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619346 */     GIR_RootConstrainSelectedInstOperands,
     /*  619347 */     // GIR_Coverage, 5784,
     /*  619347 */     GIR_EraseRootFromParent_Done,
     /*  619348 */   // Label 9983: @619348
     /*  619348 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(619423), // Rule ID 5787 //
     /*  619353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619421 */     GIR_RootConstrainSelectedInstOperands,
     /*  619422 */     // GIR_Coverage, 5787,
     /*  619422 */     GIR_EraseRootFromParent_Done,
     /*  619423 */   // Label 9984: @619423
     /*  619423 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(619498), // Rule ID 5788 //
     /*  619428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619496 */     GIR_RootConstrainSelectedInstOperands,
     /*  619497 */     // GIR_Coverage, 5788,
     /*  619497 */     GIR_EraseRootFromParent_Done,
     /*  619498 */   // Label 9985: @619498
     /*  619498 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(619573), // Rule ID 5791 //
     /*  619503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619571 */     GIR_RootConstrainSelectedInstOperands,
     /*  619572 */     // GIR_Coverage, 5791,
     /*  619572 */     GIR_EraseRootFromParent_Done,
     /*  619573 */   // Label 9986: @619573
     /*  619573 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(619648), // Rule ID 5792 //
     /*  619578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619646 */     GIR_RootConstrainSelectedInstOperands,
     /*  619647 */     // GIR_Coverage, 5792,
     /*  619647 */     GIR_EraseRootFromParent_Done,
     /*  619648 */   // Label 9987: @619648
     /*  619648 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619723), // Rule ID 5795 //
     /*  619653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  619664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  619667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  619670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619721 */     GIR_RootConstrainSelectedInstOperands,
     /*  619722 */     // GIR_Coverage, 5795,
     /*  619722 */     GIR_EraseRootFromParent_Done,
     /*  619723 */   // Label 9988: @619723
     /*  619723 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619798), // Rule ID 5796 //
     /*  619728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  619739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  619742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  619745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619796 */     GIR_RootConstrainSelectedInstOperands,
     /*  619797 */     // GIR_Coverage, 5796,
     /*  619797 */     GIR_EraseRootFromParent_Done,
     /*  619798 */   // Label 9989: @619798
     /*  619798 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619873), // Rule ID 5799 //
     /*  619803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  619814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  619817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  619820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619871 */     GIR_RootConstrainSelectedInstOperands,
     /*  619872 */     // GIR_Coverage, 5799,
     /*  619872 */     GIR_EraseRootFromParent_Done,
     /*  619873 */   // Label 9990: @619873
     /*  619873 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(619948), // Rule ID 5800 //
     /*  619878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  619889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  619892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  619895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619946 */     GIR_RootConstrainSelectedInstOperands,
     /*  619947 */     // GIR_Coverage, 5800,
     /*  619947 */     GIR_EraseRootFromParent_Done,
     /*  619948 */   // Label 9991: @619948
     /*  619948 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(620023), // Rule ID 5803 //
     /*  619953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  619964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  619967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  619970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620021 */     GIR_RootConstrainSelectedInstOperands,
     /*  620022 */     // GIR_Coverage, 5803,
     /*  620022 */     GIR_EraseRootFromParent_Done,
     /*  620023 */   // Label 9992: @620023
     /*  620023 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(620098), // Rule ID 5804 //
     /*  620028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620096 */     GIR_RootConstrainSelectedInstOperands,
     /*  620097 */     // GIR_Coverage, 5804,
     /*  620097 */     GIR_EraseRootFromParent_Done,
     /*  620098 */   // Label 9993: @620098
     /*  620098 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(620173), // Rule ID 5807 //
     /*  620103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620171 */     GIR_RootConstrainSelectedInstOperands,
     /*  620172 */     // GIR_Coverage, 5807,
     /*  620172 */     GIR_EraseRootFromParent_Done,
     /*  620173 */   // Label 9994: @620173
     /*  620173 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(620248), // Rule ID 5808 //
     /*  620178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620246 */     GIR_RootConstrainSelectedInstOperands,
     /*  620247 */     // GIR_Coverage, 5808,
     /*  620247 */     GIR_EraseRootFromParent_Done,
     /*  620248 */   // Label 9995: @620248
     /*  620248 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(620323), // Rule ID 5811 //
     /*  620253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620321 */     GIR_RootConstrainSelectedInstOperands,
     /*  620322 */     // GIR_Coverage, 5811,
     /*  620322 */     GIR_EraseRootFromParent_Done,
     /*  620323 */   // Label 9996: @620323
     /*  620323 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(620398), // Rule ID 5812 //
     /*  620328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620396 */     GIR_RootConstrainSelectedInstOperands,
     /*  620397 */     // GIR_Coverage, 5812,
     /*  620397 */     GIR_EraseRootFromParent_Done,
     /*  620398 */   // Label 9997: @620398
     /*  620398 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(620473), // Rule ID 5815 //
     /*  620403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620471 */     GIR_RootConstrainSelectedInstOperands,
     /*  620472 */     // GIR_Coverage, 5815,
     /*  620472 */     GIR_EraseRootFromParent_Done,
     /*  620473 */   // Label 9998: @620473
     /*  620473 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(620548), // Rule ID 5816 //
     /*  620478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620546 */     GIR_RootConstrainSelectedInstOperands,
     /*  620547 */     // GIR_Coverage, 5816,
     /*  620547 */     GIR_EraseRootFromParent_Done,
     /*  620548 */   // Label 9999: @620548
     /*  620548 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(620623), // Rule ID 5819 //
     /*  620553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620621 */     GIR_RootConstrainSelectedInstOperands,
     /*  620622 */     // GIR_Coverage, 5819,
     /*  620622 */     GIR_EraseRootFromParent_Done,
     /*  620623 */   // Label 10000: @620623
     /*  620623 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620698), // Rule ID 5820 //
     /*  620628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620696 */     GIR_RootConstrainSelectedInstOperands,
     /*  620697 */     // GIR_Coverage, 5820,
     /*  620697 */     GIR_EraseRootFromParent_Done,
     /*  620698 */   // Label 10001: @620698
     /*  620698 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620773), // Rule ID 5911 //
     /*  620703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  620714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  620717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  620720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  620723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620749 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  620752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620771 */     GIR_RootConstrainSelectedInstOperands,
     /*  620772 */     // GIR_Coverage, 5911,
     /*  620772 */     GIR_EraseRootFromParent_Done,
     /*  620773 */   // Label 10002: @620773
     /*  620773 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620848), // Rule ID 5912 //
     /*  620778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  620789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  620792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  620795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  620798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  620827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620846 */     GIR_RootConstrainSelectedInstOperands,
     /*  620847 */     // GIR_Coverage, 5912,
     /*  620847 */     GIR_EraseRootFromParent_Done,
     /*  620848 */   // Label 10003: @620848
     /*  620848 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(620923), // Rule ID 5915 //
     /*  620853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  620864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  620867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  620870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  620873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  620902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620921 */     GIR_RootConstrainSelectedInstOperands,
     /*  620922 */     // GIR_Coverage, 5915,
     /*  620922 */     GIR_EraseRootFromParent_Done,
     /*  620923 */   // Label 10004: @620923
     /*  620923 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(620998), // Rule ID 5916 //
     /*  620928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  620939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  620942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  620945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  620948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  620977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620996 */     GIR_RootConstrainSelectedInstOperands,
     /*  620997 */     // GIR_Coverage, 5916,
     /*  620997 */     GIR_EraseRootFromParent_Done,
     /*  620998 */   // Label 10005: @620998
     /*  620998 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(621073), // Rule ID 5919 //
     /*  621003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621071 */     GIR_RootConstrainSelectedInstOperands,
     /*  621072 */     // GIR_Coverage, 5919,
     /*  621072 */     GIR_EraseRootFromParent_Done,
     /*  621073 */   // Label 10006: @621073
     /*  621073 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(621148), // Rule ID 5920 //
     /*  621078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621146 */     GIR_RootConstrainSelectedInstOperands,
     /*  621147 */     // GIR_Coverage, 5920,
     /*  621147 */     GIR_EraseRootFromParent_Done,
     /*  621148 */   // Label 10007: @621148
     /*  621148 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(621223), // Rule ID 5923 //
     /*  621153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621221 */     GIR_RootConstrainSelectedInstOperands,
     /*  621222 */     // GIR_Coverage, 5923,
     /*  621222 */     GIR_EraseRootFromParent_Done,
     /*  621223 */   // Label 10008: @621223
     /*  621223 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(621298), // Rule ID 5924 //
     /*  621228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621296 */     GIR_RootConstrainSelectedInstOperands,
     /*  621297 */     // GIR_Coverage, 5924,
     /*  621297 */     GIR_EraseRootFromParent_Done,
     /*  621298 */   // Label 10009: @621298
     /*  621298 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(621373), // Rule ID 5927 //
     /*  621303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621371 */     GIR_RootConstrainSelectedInstOperands,
     /*  621372 */     // GIR_Coverage, 5927,
     /*  621372 */     GIR_EraseRootFromParent_Done,
     /*  621373 */   // Label 10010: @621373
     /*  621373 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(621448), // Rule ID 5928 //
     /*  621378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621446 */     GIR_RootConstrainSelectedInstOperands,
     /*  621447 */     // GIR_Coverage, 5928,
     /*  621447 */     GIR_EraseRootFromParent_Done,
     /*  621448 */   // Label 10011: @621448
     /*  621448 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(621523), // Rule ID 5931 //
     /*  621453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621521 */     GIR_RootConstrainSelectedInstOperands,
     /*  621522 */     // GIR_Coverage, 5931,
     /*  621522 */     GIR_EraseRootFromParent_Done,
     /*  621523 */   // Label 10012: @621523
     /*  621523 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(621598), // Rule ID 5932 //
     /*  621528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621596 */     GIR_RootConstrainSelectedInstOperands,
     /*  621597 */     // GIR_Coverage, 5932,
     /*  621597 */     GIR_EraseRootFromParent_Done,
     /*  621598 */   // Label 10013: @621598
     /*  621598 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621673), // Rule ID 5935 //
     /*  621603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  621614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  621617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  621620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  621623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621649 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621671 */     GIR_RootConstrainSelectedInstOperands,
     /*  621672 */     // GIR_Coverage, 5935,
     /*  621672 */     GIR_EraseRootFromParent_Done,
     /*  621673 */   // Label 10014: @621673
     /*  621673 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621748), // Rule ID 5936 //
     /*  621678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  621689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  621692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  621695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  621698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621746 */     GIR_RootConstrainSelectedInstOperands,
     /*  621747 */     // GIR_Coverage, 5936,
     /*  621747 */     GIR_EraseRootFromParent_Done,
     /*  621748 */   // Label 10015: @621748
     /*  621748 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621823), // Rule ID 5939 //
     /*  621753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  621764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  621767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  621770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  621773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621821 */     GIR_RootConstrainSelectedInstOperands,
     /*  621822 */     // GIR_Coverage, 5939,
     /*  621822 */     GIR_EraseRootFromParent_Done,
     /*  621823 */   // Label 10016: @621823
     /*  621823 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621898), // Rule ID 5940 //
     /*  621828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  621839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  621842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  621845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  621848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621896 */     GIR_RootConstrainSelectedInstOperands,
     /*  621897 */     // GIR_Coverage, 5940,
     /*  621897 */     GIR_EraseRootFromParent_Done,
     /*  621898 */   // Label 10017: @621898
     /*  621898 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(621973), // Rule ID 5943 //
     /*  621903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  621914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  621917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  621920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  621923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621971 */     GIR_RootConstrainSelectedInstOperands,
     /*  621972 */     // GIR_Coverage, 5943,
     /*  621972 */     GIR_EraseRootFromParent_Done,
     /*  621973 */   // Label 10018: @621973
     /*  621973 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(622048), // Rule ID 5944 //
     /*  621978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  621989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  621992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  621995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  621998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622046 */     GIR_RootConstrainSelectedInstOperands,
     /*  622047 */     // GIR_Coverage, 5944,
     /*  622047 */     GIR_EraseRootFromParent_Done,
     /*  622048 */   // Label 10019: @622048
     /*  622048 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(622123), // Rule ID 5947 //
     /*  622053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622099 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622121 */     GIR_RootConstrainSelectedInstOperands,
     /*  622122 */     // GIR_Coverage, 5947,
     /*  622122 */     GIR_EraseRootFromParent_Done,
     /*  622123 */   // Label 10020: @622123
     /*  622123 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(622198), // Rule ID 5948 //
     /*  622128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622196 */     GIR_RootConstrainSelectedInstOperands,
     /*  622197 */     // GIR_Coverage, 5948,
     /*  622197 */     GIR_EraseRootFromParent_Done,
     /*  622198 */   // Label 10021: @622198
     /*  622198 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(622273), // Rule ID 5951 //
     /*  622203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622249 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622271 */     GIR_RootConstrainSelectedInstOperands,
     /*  622272 */     // GIR_Coverage, 5951,
     /*  622272 */     GIR_EraseRootFromParent_Done,
     /*  622273 */   // Label 10022: @622273
     /*  622273 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(622348), // Rule ID 5952 //
     /*  622278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622324 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622346 */     GIR_RootConstrainSelectedInstOperands,
     /*  622347 */     // GIR_Coverage, 5952,
     /*  622347 */     GIR_EraseRootFromParent_Done,
     /*  622348 */   // Label 10023: @622348
     /*  622348 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(622423), // Rule ID 5955 //
     /*  622353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622399 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622421 */     GIR_RootConstrainSelectedInstOperands,
     /*  622422 */     // GIR_Coverage, 5955,
     /*  622422 */     GIR_EraseRootFromParent_Done,
     /*  622423 */   // Label 10024: @622423
     /*  622423 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(622498), // Rule ID 5956 //
     /*  622428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622496 */     GIR_RootConstrainSelectedInstOperands,
     /*  622497 */     // GIR_Coverage, 5956,
     /*  622497 */     GIR_EraseRootFromParent_Done,
     /*  622498 */   // Label 10025: @622498
     /*  622498 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(622573), // Rule ID 5959 //
     /*  622503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622549 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622571 */     GIR_RootConstrainSelectedInstOperands,
     /*  622572 */     // GIR_Coverage, 5959,
     /*  622572 */     GIR_EraseRootFromParent_Done,
     /*  622573 */   // Label 10026: @622573
     /*  622573 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(622648), // Rule ID 5960 //
     /*  622578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622624 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622646 */     GIR_RootConstrainSelectedInstOperands,
     /*  622647 */     // GIR_Coverage, 5960,
     /*  622647 */     GIR_EraseRootFromParent_Done,
     /*  622648 */   // Label 10027: @622648
     /*  622648 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622723), // Rule ID 5963 //
     /*  622653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  622664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  622667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  622670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  622673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622721 */     GIR_RootConstrainSelectedInstOperands,
     /*  622722 */     // GIR_Coverage, 5963,
     /*  622722 */     GIR_EraseRootFromParent_Done,
     /*  622723 */   // Label 10028: @622723
     /*  622723 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622798), // Rule ID 5964 //
     /*  622728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  622739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  622742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  622745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  622748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622796 */     GIR_RootConstrainSelectedInstOperands,
     /*  622797 */     // GIR_Coverage, 5964,
     /*  622797 */     GIR_EraseRootFromParent_Done,
     /*  622798 */   // Label 10029: @622798
     /*  622798 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622873), // Rule ID 5967 //
     /*  622803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  622814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  622817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  622820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  622823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622871 */     GIR_RootConstrainSelectedInstOperands,
     /*  622872 */     // GIR_Coverage, 5967,
     /*  622872 */     GIR_EraseRootFromParent_Done,
     /*  622873 */   // Label 10030: @622873
     /*  622873 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(622948), // Rule ID 5968 //
     /*  622878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  622889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  622892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  622895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  622898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622946 */     GIR_RootConstrainSelectedInstOperands,
     /*  622947 */     // GIR_Coverage, 5968,
     /*  622947 */     GIR_EraseRootFromParent_Done,
     /*  622948 */   // Label 10031: @622948
     /*  622948 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(623023), // Rule ID 5971 //
     /*  622953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  622964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  622967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  622970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  622973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623021 */     GIR_RootConstrainSelectedInstOperands,
     /*  623022 */     // GIR_Coverage, 5971,
     /*  623022 */     GIR_EraseRootFromParent_Done,
     /*  623023 */   // Label 10032: @623023
     /*  623023 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(623098), // Rule ID 5972 //
     /*  623028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  623048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623096 */     GIR_RootConstrainSelectedInstOperands,
     /*  623097 */     // GIR_Coverage, 5972,
     /*  623097 */     GIR_EraseRootFromParent_Done,
     /*  623098 */   // Label 10033: @623098
     /*  623098 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(623173), // Rule ID 5975 //
     /*  623103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623171 */     GIR_RootConstrainSelectedInstOperands,
     /*  623172 */     // GIR_Coverage, 5975,
     /*  623172 */     GIR_EraseRootFromParent_Done,
     /*  623173 */   // Label 10034: @623173
     /*  623173 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(623248), // Rule ID 5976 //
     /*  623178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623246 */     GIR_RootConstrainSelectedInstOperands,
     /*  623247 */     // GIR_Coverage, 5976,
     /*  623247 */     GIR_EraseRootFromParent_Done,
     /*  623248 */   // Label 10035: @623248
     /*  623248 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(623323), // Rule ID 5979 //
     /*  623253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623321 */     GIR_RootConstrainSelectedInstOperands,
     /*  623322 */     // GIR_Coverage, 5979,
     /*  623322 */     GIR_EraseRootFromParent_Done,
     /*  623323 */   // Label 10036: @623323
     /*  623323 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(623398), // Rule ID 5980 //
     /*  623328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623396 */     GIR_RootConstrainSelectedInstOperands,
     /*  623397 */     // GIR_Coverage, 5980,
     /*  623397 */     GIR_EraseRootFromParent_Done,
     /*  623398 */   // Label 10037: @623398
     /*  623398 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(623473), // Rule ID 5983 //
     /*  623403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623471 */     GIR_RootConstrainSelectedInstOperands,
     /*  623472 */     // GIR_Coverage, 5983,
     /*  623472 */     GIR_EraseRootFromParent_Done,
     /*  623473 */   // Label 10038: @623473
     /*  623473 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(623548), // Rule ID 5984 //
     /*  623478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623546 */     GIR_RootConstrainSelectedInstOperands,
     /*  623547 */     // GIR_Coverage, 5984,
     /*  623547 */     GIR_EraseRootFromParent_Done,
     /*  623548 */   // Label 10039: @623548
     /*  623548 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(623623), // Rule ID 5987 //
     /*  623553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623599 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623621 */     GIR_RootConstrainSelectedInstOperands,
     /*  623622 */     // GIR_Coverage, 5987,
     /*  623622 */     GIR_EraseRootFromParent_Done,
     /*  623623 */   // Label 10040: @623623
     /*  623623 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623698), // Rule ID 5988 //
     /*  623628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623674 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623696 */     GIR_RootConstrainSelectedInstOperands,
     /*  623697 */     // GIR_Coverage, 5988,
     /*  623697 */     GIR_EraseRootFromParent_Done,
     /*  623698 */   // Label 10041: @623698
     /*  623698 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623773), // Rule ID 5991 //
     /*  623703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  623714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  623717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  623720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  623723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623771 */     GIR_RootConstrainSelectedInstOperands,
     /*  623772 */     // GIR_Coverage, 5991,
     /*  623772 */     GIR_EraseRootFromParent_Done,
     /*  623773 */   // Label 10042: @623773
     /*  623773 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623848), // Rule ID 5992 //
     /*  623778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  623789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  623792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  623795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  623798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623846 */     GIR_RootConstrainSelectedInstOperands,
     /*  623847 */     // GIR_Coverage, 5992,
     /*  623847 */     GIR_EraseRootFromParent_Done,
     /*  623848 */   // Label 10043: @623848
     /*  623848 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(623923), // Rule ID 5995 //
     /*  623853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  623864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  623867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  623870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  623873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623899 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623921 */     GIR_RootConstrainSelectedInstOperands,
     /*  623922 */     // GIR_Coverage, 5995,
     /*  623922 */     GIR_EraseRootFromParent_Done,
     /*  623923 */   // Label 10044: @623923
     /*  623923 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(623998), // Rule ID 5996 //
     /*  623928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  623939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  623942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  623945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  623948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623996 */     GIR_RootConstrainSelectedInstOperands,
     /*  623997 */     // GIR_Coverage, 5996,
     /*  623997 */     GIR_EraseRootFromParent_Done,
     /*  623998 */   // Label 10045: @623998
     /*  623998 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(624073), // Rule ID 5999 //
     /*  624003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624049 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624071 */     GIR_RootConstrainSelectedInstOperands,
     /*  624072 */     // GIR_Coverage, 5999,
     /*  624072 */     GIR_EraseRootFromParent_Done,
     /*  624073 */   // Label 10046: @624073
     /*  624073 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(624148), // Rule ID 6000 //
     /*  624078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624146 */     GIR_RootConstrainSelectedInstOperands,
     /*  624147 */     // GIR_Coverage, 6000,
     /*  624147 */     GIR_EraseRootFromParent_Done,
     /*  624148 */   // Label 10047: @624148
     /*  624148 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(624223), // Rule ID 6003 //
     /*  624153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624199 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624221 */     GIR_RootConstrainSelectedInstOperands,
     /*  624222 */     // GIR_Coverage, 6003,
     /*  624222 */     GIR_EraseRootFromParent_Done,
     /*  624223 */   // Label 10048: @624223
     /*  624223 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(624298), // Rule ID 6004 //
     /*  624228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624296 */     GIR_RootConstrainSelectedInstOperands,
     /*  624297 */     // GIR_Coverage, 6004,
     /*  624297 */     GIR_EraseRootFromParent_Done,
     /*  624298 */   // Label 10049: @624298
     /*  624298 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(624373), // Rule ID 6007 //
     /*  624303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624371 */     GIR_RootConstrainSelectedInstOperands,
     /*  624372 */     // GIR_Coverage, 6007,
     /*  624372 */     GIR_EraseRootFromParent_Done,
     /*  624373 */   // Label 10050: @624373
     /*  624373 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(624448), // Rule ID 6008 //
     /*  624378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624446 */     GIR_RootConstrainSelectedInstOperands,
     /*  624447 */     // GIR_Coverage, 6008,
     /*  624447 */     GIR_EraseRootFromParent_Done,
     /*  624448 */   // Label 10051: @624448
     /*  624448 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(624523), // Rule ID 6011 //
     /*  624453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624521 */     GIR_RootConstrainSelectedInstOperands,
     /*  624522 */     // GIR_Coverage, 6011,
     /*  624522 */     GIR_EraseRootFromParent_Done,
     /*  624523 */   // Label 10052: @624523
     /*  624523 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(624598), // Rule ID 6012 //
     /*  624528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624596 */     GIR_RootConstrainSelectedInstOperands,
     /*  624597 */     // GIR_Coverage, 6012,
     /*  624597 */     GIR_EraseRootFromParent_Done,
     /*  624598 */   // Label 10053: @624598
     /*  624598 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624673), // Rule ID 6015 //
     /*  624603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  624614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  624617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  624620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624671 */     GIR_RootConstrainSelectedInstOperands,
     /*  624672 */     // GIR_Coverage, 6015,
     /*  624672 */     GIR_EraseRootFromParent_Done,
     /*  624673 */   // Label 10054: @624673
     /*  624673 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624748), // Rule ID 6016 //
     /*  624678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  624689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  624692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  624695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624746 */     GIR_RootConstrainSelectedInstOperands,
     /*  624747 */     // GIR_Coverage, 6016,
     /*  624747 */     GIR_EraseRootFromParent_Done,
     /*  624748 */   // Label 10055: @624748
     /*  624748 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624823), // Rule ID 6019 //
     /*  624753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  624764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  624767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  624770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624821 */     GIR_RootConstrainSelectedInstOperands,
     /*  624822 */     // GIR_Coverage, 6019,
     /*  624822 */     GIR_EraseRootFromParent_Done,
     /*  624823 */   // Label 10056: @624823
     /*  624823 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624898), // Rule ID 6020 //
     /*  624828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  624839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  624842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  624845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624896 */     GIR_RootConstrainSelectedInstOperands,
     /*  624897 */     // GIR_Coverage, 6020,
     /*  624897 */     GIR_EraseRootFromParent_Done,
     /*  624898 */   // Label 10057: @624898
     /*  624898 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(624973), // Rule ID 6023 //
     /*  624903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  624914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  624917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  624920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  624952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624971 */     GIR_RootConstrainSelectedInstOperands,
     /*  624972 */     // GIR_Coverage, 6023,
     /*  624972 */     GIR_EraseRootFromParent_Done,
     /*  624973 */   // Label 10058: @624973
     /*  624973 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(625048), // Rule ID 6024 //
     /*  624978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  624989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  624992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  624995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625046 */     GIR_RootConstrainSelectedInstOperands,
     /*  625047 */     // GIR_Coverage, 6024,
     /*  625047 */     GIR_EraseRootFromParent_Done,
     /*  625048 */   // Label 10059: @625048
     /*  625048 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(625123), // Rule ID 6027 //
     /*  625053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625121 */     GIR_RootConstrainSelectedInstOperands,
     /*  625122 */     // GIR_Coverage, 6027,
     /*  625122 */     GIR_EraseRootFromParent_Done,
     /*  625123 */   // Label 10060: @625123
     /*  625123 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(625198), // Rule ID 6028 //
     /*  625128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625196 */     GIR_RootConstrainSelectedInstOperands,
     /*  625197 */     // GIR_Coverage, 6028,
     /*  625197 */     GIR_EraseRootFromParent_Done,
     /*  625198 */   // Label 10061: @625198
     /*  625198 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(625273), // Rule ID 6031 //
     /*  625203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625271 */     GIR_RootConstrainSelectedInstOperands,
     /*  625272 */     // GIR_Coverage, 6031,
     /*  625272 */     GIR_EraseRootFromParent_Done,
     /*  625273 */   // Label 10062: @625273
     /*  625273 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(625348), // Rule ID 6032 //
     /*  625278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625346 */     GIR_RootConstrainSelectedInstOperands,
     /*  625347 */     // GIR_Coverage, 6032,
     /*  625347 */     GIR_EraseRootFromParent_Done,
     /*  625348 */   // Label 10063: @625348
     /*  625348 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(625423), // Rule ID 6035 //
     /*  625353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625421 */     GIR_RootConstrainSelectedInstOperands,
     /*  625422 */     // GIR_Coverage, 6035,
     /*  625422 */     GIR_EraseRootFromParent_Done,
     /*  625423 */   // Label 10064: @625423
     /*  625423 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(625498), // Rule ID 6036 //
     /*  625428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625496 */     GIR_RootConstrainSelectedInstOperands,
     /*  625497 */     // GIR_Coverage, 6036,
     /*  625497 */     GIR_EraseRootFromParent_Done,
     /*  625498 */   // Label 10065: @625498
     /*  625498 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(625573), // Rule ID 6039 //
     /*  625503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625571 */     GIR_RootConstrainSelectedInstOperands,
     /*  625572 */     // GIR_Coverage, 6039,
     /*  625572 */     GIR_EraseRootFromParent_Done,
     /*  625573 */   // Label 10066: @625573
     /*  625573 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(625648), // Rule ID 6040 //
     /*  625578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625646 */     GIR_RootConstrainSelectedInstOperands,
     /*  625647 */     // GIR_Coverage, 6040,
     /*  625647 */     GIR_EraseRootFromParent_Done,
     /*  625648 */   // Label 10067: @625648
     /*  625648 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625723), // Rule ID 6043 //
     /*  625653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  625664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  625667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  625670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625721 */     GIR_RootConstrainSelectedInstOperands,
     /*  625722 */     // GIR_Coverage, 6043,
     /*  625722 */     GIR_EraseRootFromParent_Done,
     /*  625723 */   // Label 10068: @625723
     /*  625723 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625798), // Rule ID 6044 //
     /*  625728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  625739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  625742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  625745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625796 */     GIR_RootConstrainSelectedInstOperands,
     /*  625797 */     // GIR_Coverage, 6044,
     /*  625797 */     GIR_EraseRootFromParent_Done,
     /*  625798 */   // Label 10069: @625798
     /*  625798 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625873), // Rule ID 6047 //
     /*  625803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  625814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  625817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  625820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625849 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625871 */     GIR_RootConstrainSelectedInstOperands,
     /*  625872 */     // GIR_Coverage, 6047,
     /*  625872 */     GIR_EraseRootFromParent_Done,
     /*  625873 */   // Label 10070: @625873
     /*  625873 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(625948), // Rule ID 6048 //
     /*  625878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  625889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  625892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  625895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625924 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625946 */     GIR_RootConstrainSelectedInstOperands,
     /*  625947 */     // GIR_Coverage, 6048,
     /*  625947 */     GIR_EraseRootFromParent_Done,
     /*  625948 */   // Label 10071: @625948
     /*  625948 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(626023), // Rule ID 6051 //
     /*  625953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  625964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  625967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  625970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626021 */     GIR_RootConstrainSelectedInstOperands,
     /*  626022 */     // GIR_Coverage, 6051,
     /*  626022 */     GIR_EraseRootFromParent_Done,
     /*  626023 */   // Label 10072: @626023
     /*  626023 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(626098), // Rule ID 6052 //
     /*  626028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  626039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  626042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  626045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626096 */     GIR_RootConstrainSelectedInstOperands,
     /*  626097 */     // GIR_Coverage, 6052,
     /*  626097 */     GIR_EraseRootFromParent_Done,
     /*  626098 */   // Label 10073: @626098
     /*  626098 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(626173), // Rule ID 6055 //
     /*  626103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626171 */     GIR_RootConstrainSelectedInstOperands,
     /*  626172 */     // GIR_Coverage, 6055,
     /*  626172 */     GIR_EraseRootFromParent_Done,
     /*  626173 */   // Label 10074: @626173
     /*  626173 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(626248), // Rule ID 6056 //
     /*  626178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626246 */     GIR_RootConstrainSelectedInstOperands,
     /*  626247 */     // GIR_Coverage, 6056,
     /*  626247 */     GIR_EraseRootFromParent_Done,
     /*  626248 */   // Label 10075: @626248
     /*  626248 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(626323), // Rule ID 6059 //
     /*  626253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626321 */     GIR_RootConstrainSelectedInstOperands,
     /*  626322 */     // GIR_Coverage, 6059,
     /*  626322 */     GIR_EraseRootFromParent_Done,
     /*  626323 */   // Label 10076: @626323
     /*  626323 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(626398), // Rule ID 6060 //
     /*  626328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626396 */     GIR_RootConstrainSelectedInstOperands,
     /*  626397 */     // GIR_Coverage, 6060,
     /*  626397 */     GIR_EraseRootFromParent_Done,
     /*  626398 */   // Label 10077: @626398
     /*  626398 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(626473), // Rule ID 6063 //
     /*  626403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626471 */     GIR_RootConstrainSelectedInstOperands,
     /*  626472 */     // GIR_Coverage, 6063,
     /*  626472 */     GIR_EraseRootFromParent_Done,
     /*  626473 */   // Label 10078: @626473
     /*  626473 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(626548), // Rule ID 6064 //
     /*  626478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626546 */     GIR_RootConstrainSelectedInstOperands,
     /*  626547 */     // GIR_Coverage, 6064,
     /*  626547 */     GIR_EraseRootFromParent_Done,
     /*  626548 */   // Label 10079: @626548
     /*  626548 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(626623), // Rule ID 6067 //
     /*  626553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  626564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  626567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  626570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626621 */     GIR_RootConstrainSelectedInstOperands,
     /*  626622 */     // GIR_Coverage, 6067,
     /*  626622 */     GIR_EraseRootFromParent_Done,
     /*  626623 */   // Label 10080: @626623
     /*  626623 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626698), // Rule ID 6068 //
     /*  626628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  626639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  626642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  626645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626696 */     GIR_RootConstrainSelectedInstOperands,
     /*  626697 */     // GIR_Coverage, 6068,
     /*  626697 */     GIR_EraseRootFromParent_Done,
     /*  626698 */   // Label 10081: @626698
     /*  626698 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626773), // Rule ID 6071 //
     /*  626703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  626714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  626717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  626720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626771 */     GIR_RootConstrainSelectedInstOperands,
     /*  626772 */     // GIR_Coverage, 6071,
     /*  626772 */     GIR_EraseRootFromParent_Done,
     /*  626773 */   // Label 10082: @626773
     /*  626773 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626848), // Rule ID 6072 //
     /*  626778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  626789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  626792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  626795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626846 */     GIR_RootConstrainSelectedInstOperands,
     /*  626847 */     // GIR_Coverage, 6072,
     /*  626847 */     GIR_EraseRootFromParent_Done,
     /*  626848 */   // Label 10083: @626848
     /*  626848 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(626923), // Rule ID 6075 //
     /*  626853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626921 */     GIR_RootConstrainSelectedInstOperands,
     /*  626922 */     // GIR_Coverage, 6075,
     /*  626922 */     GIR_EraseRootFromParent_Done,
     /*  626923 */   // Label 10084: @626923
     /*  626923 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(626998), // Rule ID 6076 //
     /*  626928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  626931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626996 */     GIR_RootConstrainSelectedInstOperands,
     /*  626997 */     // GIR_Coverage, 6076,
     /*  626997 */     GIR_EraseRootFromParent_Done,
     /*  626998 */   // Label 10085: @626998
     /*  626998 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(627073), // Rule ID 6079 //
     /*  627003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627049 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627071 */     GIR_RootConstrainSelectedInstOperands,
     /*  627072 */     // GIR_Coverage, 6079,
     /*  627072 */     GIR_EraseRootFromParent_Done,
     /*  627073 */   // Label 10086: @627073
     /*  627073 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(627148), // Rule ID 6080 //
     /*  627078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627146 */     GIR_RootConstrainSelectedInstOperands,
     /*  627147 */     // GIR_Coverage, 6080,
     /*  627147 */     GIR_EraseRootFromParent_Done,
     /*  627148 */   // Label 10087: @627148
     /*  627148 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(627223), // Rule ID 6083 //
     /*  627153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627221 */     GIR_RootConstrainSelectedInstOperands,
     /*  627222 */     // GIR_Coverage, 6083,
     /*  627222 */     GIR_EraseRootFromParent_Done,
     /*  627223 */   // Label 10088: @627223
     /*  627223 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(627298), // Rule ID 6084 //
     /*  627228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627296 */     GIR_RootConstrainSelectedInstOperands,
     /*  627297 */     // GIR_Coverage, 6084,
     /*  627297 */     GIR_EraseRootFromParent_Done,
     /*  627298 */   // Label 10089: @627298
     /*  627298 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(627373), // Rule ID 6175 //
     /*  627303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627349 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627371 */     GIR_RootConstrainSelectedInstOperands,
     /*  627372 */     // GIR_Coverage, 6175,
     /*  627372 */     GIR_EraseRootFromParent_Done,
     /*  627373 */   // Label 10090: @627373
     /*  627373 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(627448), // Rule ID 6176 //
     /*  627378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627446 */     GIR_RootConstrainSelectedInstOperands,
     /*  627447 */     // GIR_Coverage, 6176,
     /*  627447 */     GIR_EraseRootFromParent_Done,
     /*  627448 */   // Label 10091: @627448
     /*  627448 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(627523), // Rule ID 6179 //
     /*  627453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627499 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627521 */     GIR_RootConstrainSelectedInstOperands,
     /*  627522 */     // GIR_Coverage, 6179,
     /*  627522 */     GIR_EraseRootFromParent_Done,
     /*  627523 */   // Label 10092: @627523
     /*  627523 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(627598), // Rule ID 6180 //
     /*  627528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627596 */     GIR_RootConstrainSelectedInstOperands,
     /*  627597 */     // GIR_Coverage, 6180,
     /*  627597 */     GIR_EraseRootFromParent_Done,
     /*  627598 */   // Label 10093: @627598
     /*  627598 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627673), // Rule ID 6183 //
     /*  627603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  627614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  627617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  627620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  627623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  627652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627671 */     GIR_RootConstrainSelectedInstOperands,
     /*  627672 */     // GIR_Coverage, 6183,
     /*  627672 */     GIR_EraseRootFromParent_Done,
     /*  627673 */   // Label 10094: @627673
     /*  627673 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627748), // Rule ID 6184 //
     /*  627678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  627689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  627692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  627695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  627698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  627727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627746 */     GIR_RootConstrainSelectedInstOperands,
     /*  627747 */     // GIR_Coverage, 6184,
     /*  627747 */     GIR_EraseRootFromParent_Done,
     /*  627748 */   // Label 10095: @627748
     /*  627748 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627823), // Rule ID 6187 //
     /*  627753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  627764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  627767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  627770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  627773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627799 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627821 */     GIR_RootConstrainSelectedInstOperands,
     /*  627822 */     // GIR_Coverage, 6187,
     /*  627822 */     GIR_EraseRootFromParent_Done,
     /*  627823 */   // Label 10096: @627823
     /*  627823 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627898), // Rule ID 6188 //
     /*  627828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  627839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  627842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  627845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  627848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627896 */     GIR_RootConstrainSelectedInstOperands,
     /*  627897 */     // GIR_Coverage, 6188,
     /*  627897 */     GIR_EraseRootFromParent_Done,
     /*  627898 */   // Label 10097: @627898
     /*  627898 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(627973), // Rule ID 6191 //
     /*  627903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  627914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  627917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  627920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  627923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  627952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627971 */     GIR_RootConstrainSelectedInstOperands,
     /*  627972 */     // GIR_Coverage, 6191,
     /*  627972 */     GIR_EraseRootFromParent_Done,
     /*  627973 */   // Label 10098: @627973
     /*  627973 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(628048), // Rule ID 6192 //
     /*  627978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  627989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  627992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  627995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  627998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628046 */     GIR_RootConstrainSelectedInstOperands,
     /*  628047 */     // GIR_Coverage, 6192,
     /*  628047 */     GIR_EraseRootFromParent_Done,
     /*  628048 */   // Label 10099: @628048
     /*  628048 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(628123), // Rule ID 6195 //
     /*  628053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628121 */     GIR_RootConstrainSelectedInstOperands,
     /*  628122 */     // GIR_Coverage, 6195,
     /*  628122 */     GIR_EraseRootFromParent_Done,
     /*  628123 */   // Label 10100: @628123
     /*  628123 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(628198), // Rule ID 6196 //
     /*  628128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628196 */     GIR_RootConstrainSelectedInstOperands,
     /*  628197 */     // GIR_Coverage, 6196,
     /*  628197 */     GIR_EraseRootFromParent_Done,
     /*  628198 */   // Label 10101: @628198
     /*  628198 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(628273), // Rule ID 6199 //
     /*  628203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628271 */     GIR_RootConstrainSelectedInstOperands,
     /*  628272 */     // GIR_Coverage, 6199,
     /*  628272 */     GIR_EraseRootFromParent_Done,
     /*  628273 */   // Label 10102: @628273
     /*  628273 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(628348), // Rule ID 6200 //
     /*  628278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628346 */     GIR_RootConstrainSelectedInstOperands,
     /*  628347 */     // GIR_Coverage, 6200,
     /*  628347 */     GIR_EraseRootFromParent_Done,
     /*  628348 */   // Label 10103: @628348
     /*  628348 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(628423), // Rule ID 6203 //
     /*  628353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628399 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628421 */     GIR_RootConstrainSelectedInstOperands,
     /*  628422 */     // GIR_Coverage, 6203,
     /*  628422 */     GIR_EraseRootFromParent_Done,
     /*  628423 */   // Label 10104: @628423
     /*  628423 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(628498), // Rule ID 6204 //
     /*  628428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628496 */     GIR_RootConstrainSelectedInstOperands,
     /*  628497 */     // GIR_Coverage, 6204,
     /*  628497 */     GIR_EraseRootFromParent_Done,
     /*  628498 */   // Label 10105: @628498
     /*  628498 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(628573), // Rule ID 6207 //
     /*  628503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628571 */     GIR_RootConstrainSelectedInstOperands,
     /*  628572 */     // GIR_Coverage, 6207,
     /*  628572 */     GIR_EraseRootFromParent_Done,
     /*  628573 */   // Label 10106: @628573
     /*  628573 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(628648), // Rule ID 6208 //
     /*  628578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628646 */     GIR_RootConstrainSelectedInstOperands,
     /*  628647 */     // GIR_Coverage, 6208,
     /*  628647 */     GIR_EraseRootFromParent_Done,
     /*  628648 */   // Label 10107: @628648
     /*  628648 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628723), // Rule ID 6211 //
     /*  628653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  628664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  628667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  628670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  628673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628721 */     GIR_RootConstrainSelectedInstOperands,
     /*  628722 */     // GIR_Coverage, 6211,
     /*  628722 */     GIR_EraseRootFromParent_Done,
     /*  628723 */   // Label 10108: @628723
     /*  628723 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628798), // Rule ID 6212 //
     /*  628728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  628739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  628742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  628745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  628748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628796 */     GIR_RootConstrainSelectedInstOperands,
     /*  628797 */     // GIR_Coverage, 6212,
     /*  628797 */     GIR_EraseRootFromParent_Done,
     /*  628798 */   // Label 10109: @628798
     /*  628798 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628873), // Rule ID 6215 //
     /*  628803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  628814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  628817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  628820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  628823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628871 */     GIR_RootConstrainSelectedInstOperands,
     /*  628872 */     // GIR_Coverage, 6215,
     /*  628872 */     GIR_EraseRootFromParent_Done,
     /*  628873 */   // Label 10110: @628873
     /*  628873 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(628948), // Rule ID 6216 //
     /*  628878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  628889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  628892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  628895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  628898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628946 */     GIR_RootConstrainSelectedInstOperands,
     /*  628947 */     // GIR_Coverage, 6216,
     /*  628947 */     GIR_EraseRootFromParent_Done,
     /*  628948 */   // Label 10111: @628948
     /*  628948 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(629023), // Rule ID 6219 //
     /*  628953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  628964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  628967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  628970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  628973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629021 */     GIR_RootConstrainSelectedInstOperands,
     /*  629022 */     // GIR_Coverage, 6219,
     /*  629022 */     GIR_EraseRootFromParent_Done,
     /*  629023 */   // Label 10112: @629023
     /*  629023 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(629098), // Rule ID 6220 //
     /*  629028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629096 */     GIR_RootConstrainSelectedInstOperands,
     /*  629097 */     // GIR_Coverage, 6220,
     /*  629097 */     GIR_EraseRootFromParent_Done,
     /*  629098 */   // Label 10113: @629098
     /*  629098 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(629173), // Rule ID 6223 //
     /*  629103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629149 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629171 */     GIR_RootConstrainSelectedInstOperands,
     /*  629172 */     // GIR_Coverage, 6223,
     /*  629172 */     GIR_EraseRootFromParent_Done,
     /*  629173 */   // Label 10114: @629173
     /*  629173 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(629248), // Rule ID 6224 //
     /*  629178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629246 */     GIR_RootConstrainSelectedInstOperands,
     /*  629247 */     // GIR_Coverage, 6224,
     /*  629247 */     GIR_EraseRootFromParent_Done,
     /*  629248 */   // Label 10115: @629248
     /*  629248 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(629323), // Rule ID 6227 //
     /*  629253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629321 */     GIR_RootConstrainSelectedInstOperands,
     /*  629322 */     // GIR_Coverage, 6227,
     /*  629322 */     GIR_EraseRootFromParent_Done,
     /*  629323 */   // Label 10116: @629323
     /*  629323 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(629398), // Rule ID 6228 //
     /*  629328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629396 */     GIR_RootConstrainSelectedInstOperands,
     /*  629397 */     // GIR_Coverage, 6228,
     /*  629397 */     GIR_EraseRootFromParent_Done,
     /*  629398 */   // Label 10117: @629398
     /*  629398 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(629473), // Rule ID 6231 //
     /*  629403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629471 */     GIR_RootConstrainSelectedInstOperands,
     /*  629472 */     // GIR_Coverage, 6231,
     /*  629472 */     GIR_EraseRootFromParent_Done,
     /*  629473 */   // Label 10118: @629473
     /*  629473 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(629548), // Rule ID 6232 //
     /*  629478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629546 */     GIR_RootConstrainSelectedInstOperands,
     /*  629547 */     // GIR_Coverage, 6232,
     /*  629547 */     GIR_EraseRootFromParent_Done,
     /*  629548 */   // Label 10119: @629548
     /*  629548 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(629623), // Rule ID 6235 //
     /*  629553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629621 */     GIR_RootConstrainSelectedInstOperands,
     /*  629622 */     // GIR_Coverage, 6235,
     /*  629622 */     GIR_EraseRootFromParent_Done,
     /*  629623 */   // Label 10120: @629623
     /*  629623 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629698), // Rule ID 6236 //
     /*  629628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629696 */     GIR_RootConstrainSelectedInstOperands,
     /*  629697 */     // GIR_Coverage, 6236,
     /*  629697 */     GIR_EraseRootFromParent_Done,
     /*  629698 */   // Label 10121: @629698
     /*  629698 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629773), // Rule ID 6239 //
     /*  629703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  629714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  629717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  629720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  629723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629771 */     GIR_RootConstrainSelectedInstOperands,
     /*  629772 */     // GIR_Coverage, 6239,
     /*  629772 */     GIR_EraseRootFromParent_Done,
     /*  629773 */   // Label 10122: @629773
     /*  629773 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629848), // Rule ID 6240 //
     /*  629778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  629789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  629792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  629795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  629798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629846 */     GIR_RootConstrainSelectedInstOperands,
     /*  629847 */     // GIR_Coverage, 6240,
     /*  629847 */     GIR_EraseRootFromParent_Done,
     /*  629848 */   // Label 10123: @629848
     /*  629848 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(629923), // Rule ID 6243 //
     /*  629853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  629864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  629867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  629870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  629873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629921 */     GIR_RootConstrainSelectedInstOperands,
     /*  629922 */     // GIR_Coverage, 6243,
     /*  629922 */     GIR_EraseRootFromParent_Done,
     /*  629923 */   // Label 10124: @629923
     /*  629923 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(629998), // Rule ID 6244 //
     /*  629928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  629939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  629942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  629945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  629948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629996 */     GIR_RootConstrainSelectedInstOperands,
     /*  629997 */     // GIR_Coverage, 6244,
     /*  629997 */     GIR_EraseRootFromParent_Done,
     /*  629998 */   // Label 10125: @629998
     /*  629998 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(630073), // Rule ID 6247 //
     /*  630003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630071 */     GIR_RootConstrainSelectedInstOperands,
     /*  630072 */     // GIR_Coverage, 6247,
     /*  630072 */     GIR_EraseRootFromParent_Done,
     /*  630073 */   // Label 10126: @630073
     /*  630073 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(630148), // Rule ID 6248 //
     /*  630078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630146 */     GIR_RootConstrainSelectedInstOperands,
     /*  630147 */     // GIR_Coverage, 6248,
     /*  630147 */     GIR_EraseRootFromParent_Done,
     /*  630148 */   // Label 10127: @630148
     /*  630148 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(630223), // Rule ID 6251 //
     /*  630153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630221 */     GIR_RootConstrainSelectedInstOperands,
     /*  630222 */     // GIR_Coverage, 6251,
     /*  630222 */     GIR_EraseRootFromParent_Done,
     /*  630223 */   // Label 10128: @630223
     /*  630223 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(630298), // Rule ID 6252 //
     /*  630228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630296 */     GIR_RootConstrainSelectedInstOperands,
     /*  630297 */     // GIR_Coverage, 6252,
     /*  630297 */     GIR_EraseRootFromParent_Done,
     /*  630298 */   // Label 10129: @630298
     /*  630298 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(630373), // Rule ID 6255 //
     /*  630303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630371 */     GIR_RootConstrainSelectedInstOperands,
     /*  630372 */     // GIR_Coverage, 6255,
     /*  630372 */     GIR_EraseRootFromParent_Done,
     /*  630373 */   // Label 10130: @630373
     /*  630373 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(630448), // Rule ID 6256 //
     /*  630378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630446 */     GIR_RootConstrainSelectedInstOperands,
     /*  630447 */     // GIR_Coverage, 6256,
     /*  630447 */     GIR_EraseRootFromParent_Done,
     /*  630448 */   // Label 10131: @630448
     /*  630448 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(630523), // Rule ID 6259 //
     /*  630453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630521 */     GIR_RootConstrainSelectedInstOperands,
     /*  630522 */     // GIR_Coverage, 6259,
     /*  630522 */     GIR_EraseRootFromParent_Done,
     /*  630523 */   // Label 10132: @630523
     /*  630523 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(630598), // Rule ID 6260 //
     /*  630528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630596 */     GIR_RootConstrainSelectedInstOperands,
     /*  630597 */     // GIR_Coverage, 6260,
     /*  630597 */     GIR_EraseRootFromParent_Done,
     /*  630598 */   // Label 10133: @630598
     /*  630598 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630673), // Rule ID 6263 //
     /*  630603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  630614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  630617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  630620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630649 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  630652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630671 */     GIR_RootConstrainSelectedInstOperands,
     /*  630672 */     // GIR_Coverage, 6263,
     /*  630672 */     GIR_EraseRootFromParent_Done,
     /*  630673 */   // Label 10134: @630673
     /*  630673 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630748), // Rule ID 6264 //
     /*  630678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  630689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  630692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  630695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  630727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630746 */     GIR_RootConstrainSelectedInstOperands,
     /*  630747 */     // GIR_Coverage, 6264,
     /*  630747 */     GIR_EraseRootFromParent_Done,
     /*  630748 */   // Label 10135: @630748
     /*  630748 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630823), // Rule ID 6267 //
     /*  630753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  630764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  630767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  630770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630799 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  630802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630821 */     GIR_RootConstrainSelectedInstOperands,
     /*  630822 */     // GIR_Coverage, 6267,
     /*  630822 */     GIR_EraseRootFromParent_Done,
     /*  630823 */   // Label 10136: @630823
     /*  630823 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630898), // Rule ID 6268 //
     /*  630828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  630839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  630842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  630845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  630877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630896 */     GIR_RootConstrainSelectedInstOperands,
     /*  630897 */     // GIR_Coverage, 6268,
     /*  630897 */     GIR_EraseRootFromParent_Done,
     /*  630898 */   // Label 10137: @630898
     /*  630898 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(630973), // Rule ID 6271 //
     /*  630903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  630914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  630917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  630920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  630952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630971 */     GIR_RootConstrainSelectedInstOperands,
     /*  630972 */     // GIR_Coverage, 6271,
     /*  630972 */     GIR_EraseRootFromParent_Done,
     /*  630973 */   // Label 10138: @630973
     /*  630973 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(631048), // Rule ID 6272 //
     /*  630978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  630989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  630992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  630995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631046 */     GIR_RootConstrainSelectedInstOperands,
     /*  631047 */     // GIR_Coverage, 6272,
     /*  631047 */     GIR_EraseRootFromParent_Done,
     /*  631048 */   // Label 10139: @631048
     /*  631048 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(631123), // Rule ID 6275 //
     /*  631053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631121 */     GIR_RootConstrainSelectedInstOperands,
     /*  631122 */     // GIR_Coverage, 6275,
     /*  631122 */     GIR_EraseRootFromParent_Done,
     /*  631123 */   // Label 10140: @631123
     /*  631123 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(631198), // Rule ID 6276 //
     /*  631128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631196 */     GIR_RootConstrainSelectedInstOperands,
     /*  631197 */     // GIR_Coverage, 6276,
     /*  631197 */     GIR_EraseRootFromParent_Done,
     /*  631198 */   // Label 10141: @631198
     /*  631198 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(631273), // Rule ID 6279 //
     /*  631203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631271 */     GIR_RootConstrainSelectedInstOperands,
     /*  631272 */     // GIR_Coverage, 6279,
     /*  631272 */     GIR_EraseRootFromParent_Done,
     /*  631273 */   // Label 10142: @631273
     /*  631273 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(631348), // Rule ID 6280 //
     /*  631278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631346 */     GIR_RootConstrainSelectedInstOperands,
     /*  631347 */     // GIR_Coverage, 6280,
     /*  631347 */     GIR_EraseRootFromParent_Done,
     /*  631348 */   // Label 10143: @631348
     /*  631348 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(631423), // Rule ID 6283 //
     /*  631353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631421 */     GIR_RootConstrainSelectedInstOperands,
     /*  631422 */     // GIR_Coverage, 6283,
     /*  631422 */     GIR_EraseRootFromParent_Done,
     /*  631423 */   // Label 10144: @631423
     /*  631423 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(631498), // Rule ID 6284 //
     /*  631428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631496 */     GIR_RootConstrainSelectedInstOperands,
     /*  631497 */     // GIR_Coverage, 6284,
     /*  631497 */     GIR_EraseRootFromParent_Done,
     /*  631498 */   // Label 10145: @631498
     /*  631498 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(631573), // Rule ID 6287 //
     /*  631503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631571 */     GIR_RootConstrainSelectedInstOperands,
     /*  631572 */     // GIR_Coverage, 6287,
     /*  631572 */     GIR_EraseRootFromParent_Done,
     /*  631573 */   // Label 10146: @631573
     /*  631573 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(631648), // Rule ID 6288 //
     /*  631578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11592:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631646 */     GIR_RootConstrainSelectedInstOperands,
     /*  631647 */     // GIR_Coverage, 6288,
     /*  631647 */     GIR_EraseRootFromParent_Done,
     /*  631648 */   // Label 10147: @631648
     /*  631648 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631723), // Rule ID 6291 //
     /*  631653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  631664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  631667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  631670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631721 */     GIR_RootConstrainSelectedInstOperands,
     /*  631722 */     // GIR_Coverage, 6291,
     /*  631722 */     GIR_EraseRootFromParent_Done,
     /*  631723 */   // Label 10148: @631723
     /*  631723 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631798), // Rule ID 6292 //
     /*  631728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  631739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  631742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  631745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631796 */     GIR_RootConstrainSelectedInstOperands,
     /*  631797 */     // GIR_Coverage, 6292,
     /*  631797 */     GIR_EraseRootFromParent_Done,
     /*  631798 */   // Label 10149: @631798
     /*  631798 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631873), // Rule ID 6295 //
     /*  631803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  631814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  631817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  631820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631871 */     GIR_RootConstrainSelectedInstOperands,
     /*  631872 */     // GIR_Coverage, 6295,
     /*  631872 */     GIR_EraseRootFromParent_Done,
     /*  631873 */   // Label 10150: @631873
     /*  631873 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(631948), // Rule ID 6296 //
     /*  631878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  631889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  631892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  631895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631946 */     GIR_RootConstrainSelectedInstOperands,
     /*  631947 */     // GIR_Coverage, 6296,
     /*  631947 */     GIR_EraseRootFromParent_Done,
     /*  631948 */   // Label 10151: @631948
     /*  631948 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(632023), // Rule ID 6299 //
     /*  631953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  631964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  631967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  631970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632021 */     GIR_RootConstrainSelectedInstOperands,
     /*  632022 */     // GIR_Coverage, 6299,
     /*  632022 */     GIR_EraseRootFromParent_Done,
     /*  632023 */   // Label 10152: @632023
     /*  632023 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(632098), // Rule ID 6300 //
     /*  632028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632096 */     GIR_RootConstrainSelectedInstOperands,
     /*  632097 */     // GIR_Coverage, 6300,
     /*  632097 */     GIR_EraseRootFromParent_Done,
     /*  632098 */   // Label 10153: @632098
     /*  632098 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(632173), // Rule ID 6303 //
     /*  632103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632149 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632171 */     GIR_RootConstrainSelectedInstOperands,
     /*  632172 */     // GIR_Coverage, 6303,
     /*  632172 */     GIR_EraseRootFromParent_Done,
     /*  632173 */   // Label 10154: @632173
     /*  632173 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(632248), // Rule ID 6304 //
     /*  632178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632246 */     GIR_RootConstrainSelectedInstOperands,
     /*  632247 */     // GIR_Coverage, 6304,
     /*  632247 */     GIR_EraseRootFromParent_Done,
     /*  632248 */   // Label 10155: @632248
     /*  632248 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(632323), // Rule ID 6307 //
     /*  632253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632321 */     GIR_RootConstrainSelectedInstOperands,
     /*  632322 */     // GIR_Coverage, 6307,
     /*  632322 */     GIR_EraseRootFromParent_Done,
     /*  632323 */   // Label 10156: @632323
     /*  632323 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(632398), // Rule ID 6308 //
     /*  632328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632396 */     GIR_RootConstrainSelectedInstOperands,
     /*  632397 */     // GIR_Coverage, 6308,
     /*  632397 */     GIR_EraseRootFromParent_Done,
     /*  632398 */   // Label 10157: @632398
     /*  632398 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(632473), // Rule ID 6311 //
     /*  632403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632449 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632471 */     GIR_RootConstrainSelectedInstOperands,
     /*  632472 */     // GIR_Coverage, 6311,
     /*  632472 */     GIR_EraseRootFromParent_Done,
     /*  632473 */   // Label 10158: @632473
     /*  632473 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(632548), // Rule ID 6312 //
     /*  632478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632546 */     GIR_RootConstrainSelectedInstOperands,
     /*  632547 */     // GIR_Coverage, 6312,
     /*  632547 */     GIR_EraseRootFromParent_Done,
     /*  632548 */   // Label 10159: @632548
     /*  632548 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(632623), // Rule ID 6315 //
     /*  632553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632621 */     GIR_RootConstrainSelectedInstOperands,
     /*  632622 */     // GIR_Coverage, 6315,
     /*  632622 */     GIR_EraseRootFromParent_Done,
     /*  632623 */   // Label 10160: @632623
     /*  632623 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632698), // Rule ID 6316 //
     /*  632628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632696 */     GIR_RootConstrainSelectedInstOperands,
     /*  632697 */     // GIR_Coverage, 6316,
     /*  632697 */     GIR_EraseRootFromParent_Done,
     /*  632698 */   // Label 10161: @632698
     /*  632698 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632773), // Rule ID 6319 //
     /*  632703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  632714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  632717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  632720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632771 */     GIR_RootConstrainSelectedInstOperands,
     /*  632772 */     // GIR_Coverage, 6319,
     /*  632772 */     GIR_EraseRootFromParent_Done,
     /*  632773 */   // Label 10162: @632773
     /*  632773 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632848), // Rule ID 6320 //
     /*  632778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  632789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  632792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  632795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632846 */     GIR_RootConstrainSelectedInstOperands,
     /*  632847 */     // GIR_Coverage, 6320,
     /*  632847 */     GIR_EraseRootFromParent_Done,
     /*  632848 */   // Label 10163: @632848
     /*  632848 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(632923), // Rule ID 6323 //
     /*  632853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  632864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  632867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  632870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632921 */     GIR_RootConstrainSelectedInstOperands,
     /*  632922 */     // GIR_Coverage, 6323,
     /*  632922 */     GIR_EraseRootFromParent_Done,
     /*  632923 */   // Label 10164: @632923
     /*  632923 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(632998), // Rule ID 6324 //
     /*  632928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  632939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  632942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  632945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632996 */     GIR_RootConstrainSelectedInstOperands,
     /*  632997 */     // GIR_Coverage, 6324,
     /*  632997 */     GIR_EraseRootFromParent_Done,
     /*  632998 */   // Label 10165: @632998
     /*  632998 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(633073), // Rule ID 6327 //
     /*  633003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633071 */     GIR_RootConstrainSelectedInstOperands,
     /*  633072 */     // GIR_Coverage, 6327,
     /*  633072 */     GIR_EraseRootFromParent_Done,
     /*  633073 */   // Label 10166: @633073
     /*  633073 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(633148), // Rule ID 6328 //
     /*  633078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633146 */     GIR_RootConstrainSelectedInstOperands,
     /*  633147 */     // GIR_Coverage, 6328,
     /*  633147 */     GIR_EraseRootFromParent_Done,
     /*  633148 */   // Label 10167: @633148
     /*  633148 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(633223), // Rule ID 6331 //
     /*  633153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633221 */     GIR_RootConstrainSelectedInstOperands,
     /*  633222 */     // GIR_Coverage, 6331,
     /*  633222 */     GIR_EraseRootFromParent_Done,
     /*  633223 */   // Label 10168: @633223
     /*  633223 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(633298), // Rule ID 6332 //
     /*  633228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633296 */     GIR_RootConstrainSelectedInstOperands,
     /*  633297 */     // GIR_Coverage, 6332,
     /*  633297 */     GIR_EraseRootFromParent_Done,
     /*  633298 */   // Label 10169: @633298
     /*  633298 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(633373), // Rule ID 6335 //
     /*  633303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633371 */     GIR_RootConstrainSelectedInstOperands,
     /*  633372 */     // GIR_Coverage, 6335,
     /*  633372 */     GIR_EraseRootFromParent_Done,
     /*  633373 */   // Label 10170: @633373
     /*  633373 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(633448), // Rule ID 6336 //
     /*  633378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633446 */     GIR_RootConstrainSelectedInstOperands,
     /*  633447 */     // GIR_Coverage, 6336,
     /*  633447 */     GIR_EraseRootFromParent_Done,
     /*  633448 */   // Label 10171: @633448
     /*  633448 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(633523), // Rule ID 6339 //
     /*  633453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633521 */     GIR_RootConstrainSelectedInstOperands,
     /*  633522 */     // GIR_Coverage, 6339,
     /*  633522 */     GIR_EraseRootFromParent_Done,
     /*  633523 */   // Label 10172: @633523
     /*  633523 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(633598), // Rule ID 6340 //
     /*  633528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633596 */     GIR_RootConstrainSelectedInstOperands,
     /*  633597 */     // GIR_Coverage, 6340,
     /*  633597 */     GIR_EraseRootFromParent_Done,
     /*  633598 */   // Label 10173: @633598
     /*  633598 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633673), // Rule ID 6343 //
     /*  633603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  633614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  633617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  633620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633671 */     GIR_RootConstrainSelectedInstOperands,
     /*  633672 */     // GIR_Coverage, 6343,
     /*  633672 */     GIR_EraseRootFromParent_Done,
     /*  633673 */   // Label 10174: @633673
     /*  633673 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633748), // Rule ID 6344 //
     /*  633678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  633689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  633692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  633695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633746 */     GIR_RootConstrainSelectedInstOperands,
     /*  633747 */     // GIR_Coverage, 6344,
     /*  633747 */     GIR_EraseRootFromParent_Done,
     /*  633748 */   // Label 10175: @633748
     /*  633748 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633823), // Rule ID 6347 //
     /*  633753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  633764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  633767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  633770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633821 */     GIR_RootConstrainSelectedInstOperands,
     /*  633822 */     // GIR_Coverage, 6347,
     /*  633822 */     GIR_EraseRootFromParent_Done,
     /*  633823 */   // Label 10176: @633823
     /*  633823 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633898), // Rule ID 6348 //
     /*  633828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  633839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  633842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  633845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633896 */     GIR_RootConstrainSelectedInstOperands,
     /*  633897 */     // GIR_Coverage, 6348,
     /*  633897 */     GIR_EraseRootFromParent_Done,
     /*  633898 */   // Label 10177: @633898
     /*  633898 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(633973), // Rule ID 6439 //
     /*  633903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  633914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  633917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  633920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  633923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633949 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  633952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633971 */     GIR_RootConstrainSelectedInstOperands,
     /*  633972 */     // GIR_Coverage, 6439,
     /*  633972 */     GIR_EraseRootFromParent_Done,
     /*  633973 */   // Label 10178: @633973
     /*  633973 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(634048), // Rule ID 6440 //
     /*  633978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  633989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  633992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  633995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  633998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634024 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  634027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634046 */     GIR_RootConstrainSelectedInstOperands,
     /*  634047 */     // GIR_Coverage, 6440,
     /*  634047 */     GIR_EraseRootFromParent_Done,
     /*  634048 */   // Label 10179: @634048
     /*  634048 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(634123), // Rule ID 6443 //
     /*  634053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634099 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634121 */     GIR_RootConstrainSelectedInstOperands,
     /*  634122 */     // GIR_Coverage, 6443,
     /*  634122 */     GIR_EraseRootFromParent_Done,
     /*  634123 */   // Label 10180: @634123
     /*  634123 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(634198), // Rule ID 6444 //
     /*  634128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634174 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634196 */     GIR_RootConstrainSelectedInstOperands,
     /*  634197 */     // GIR_Coverage, 6444,
     /*  634197 */     GIR_EraseRootFromParent_Done,
     /*  634198 */   // Label 10181: @634198
     /*  634198 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(634273), // Rule ID 6447 //
     /*  634203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634249 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634271 */     GIR_RootConstrainSelectedInstOperands,
     /*  634272 */     // GIR_Coverage, 6447,
     /*  634272 */     GIR_EraseRootFromParent_Done,
     /*  634273 */   // Label 10182: @634273
     /*  634273 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(634348), // Rule ID 6448 //
     /*  634278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634346 */     GIR_RootConstrainSelectedInstOperands,
     /*  634347 */     // GIR_Coverage, 6448,
     /*  634347 */     GIR_EraseRootFromParent_Done,
     /*  634348 */   // Label 10183: @634348
     /*  634348 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(634423), // Rule ID 6451 //
     /*  634353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634421 */     GIR_RootConstrainSelectedInstOperands,
     /*  634422 */     // GIR_Coverage, 6451,
     /*  634422 */     GIR_EraseRootFromParent_Done,
     /*  634423 */   // Label 10184: @634423
     /*  634423 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(634498), // Rule ID 6452 //
     /*  634428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634496 */     GIR_RootConstrainSelectedInstOperands,
     /*  634497 */     // GIR_Coverage, 6452,
     /*  634497 */     GIR_EraseRootFromParent_Done,
     /*  634498 */   // Label 10185: @634498
     /*  634498 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(634573), // Rule ID 6455 //
     /*  634503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634571 */     GIR_RootConstrainSelectedInstOperands,
     /*  634572 */     // GIR_Coverage, 6455,
     /*  634572 */     GIR_EraseRootFromParent_Done,
     /*  634573 */   // Label 10186: @634573
     /*  634573 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(634648), // Rule ID 6456 //
     /*  634578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634646 */     GIR_RootConstrainSelectedInstOperands,
     /*  634647 */     // GIR_Coverage, 6456,
     /*  634647 */     GIR_EraseRootFromParent_Done,
     /*  634648 */   // Label 10187: @634648
     /*  634648 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634723), // Rule ID 6459 //
     /*  634653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  634664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  634667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  634670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  634673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634721 */     GIR_RootConstrainSelectedInstOperands,
     /*  634722 */     // GIR_Coverage, 6459,
     /*  634722 */     GIR_EraseRootFromParent_Done,
     /*  634723 */   // Label 10188: @634723
     /*  634723 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634798), // Rule ID 6460 //
     /*  634728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  634739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  634742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  634745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  634748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634796 */     GIR_RootConstrainSelectedInstOperands,
     /*  634797 */     // GIR_Coverage, 6460,
     /*  634797 */     GIR_EraseRootFromParent_Done,
     /*  634798 */   // Label 10189: @634798
     /*  634798 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634873), // Rule ID 6463 //
     /*  634803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  634814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  634817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  634820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  634823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634849 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  634852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634871 */     GIR_RootConstrainSelectedInstOperands,
     /*  634872 */     // GIR_Coverage, 6463,
     /*  634872 */     GIR_EraseRootFromParent_Done,
     /*  634873 */   // Label 10190: @634873
     /*  634873 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(634948), // Rule ID 6464 //
     /*  634878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  634889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  634892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  634895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  634898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  634927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634946 */     GIR_RootConstrainSelectedInstOperands,
     /*  634947 */     // GIR_Coverage, 6464,
     /*  634947 */     GIR_EraseRootFromParent_Done,
     /*  634948 */   // Label 10191: @634948
     /*  634948 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(635023), // Rule ID 6467 //
     /*  634953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  634964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  634967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  634970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  634973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635021 */     GIR_RootConstrainSelectedInstOperands,
     /*  635022 */     // GIR_Coverage, 6467,
     /*  635022 */     GIR_EraseRootFromParent_Done,
     /*  635023 */   // Label 10192: @635023
     /*  635023 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(635098), // Rule ID 6468 //
     /*  635028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635096 */     GIR_RootConstrainSelectedInstOperands,
     /*  635097 */     // GIR_Coverage, 6468,
     /*  635097 */     GIR_EraseRootFromParent_Done,
     /*  635098 */   // Label 10193: @635098
     /*  635098 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(635173), // Rule ID 6471 //
     /*  635103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635171 */     GIR_RootConstrainSelectedInstOperands,
     /*  635172 */     // GIR_Coverage, 6471,
     /*  635172 */     GIR_EraseRootFromParent_Done,
     /*  635173 */   // Label 10194: @635173
     /*  635173 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(635248), // Rule ID 6472 //
     /*  635178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635246 */     GIR_RootConstrainSelectedInstOperands,
     /*  635247 */     // GIR_Coverage, 6472,
     /*  635247 */     GIR_EraseRootFromParent_Done,
     /*  635248 */   // Label 10195: @635248
     /*  635248 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(635323), // Rule ID 6475 //
     /*  635253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635321 */     GIR_RootConstrainSelectedInstOperands,
     /*  635322 */     // GIR_Coverage, 6475,
     /*  635322 */     GIR_EraseRootFromParent_Done,
     /*  635323 */   // Label 10196: @635323
     /*  635323 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(635398), // Rule ID 6476 //
     /*  635328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635396 */     GIR_RootConstrainSelectedInstOperands,
     /*  635397 */     // GIR_Coverage, 6476,
     /*  635397 */     GIR_EraseRootFromParent_Done,
     /*  635398 */   // Label 10197: @635398
     /*  635398 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(635473), // Rule ID 6479 //
     /*  635403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635471 */     GIR_RootConstrainSelectedInstOperands,
     /*  635472 */     // GIR_Coverage, 6479,
     /*  635472 */     GIR_EraseRootFromParent_Done,
     /*  635473 */   // Label 10198: @635473
     /*  635473 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(635548), // Rule ID 6480 //
     /*  635478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635546 */     GIR_RootConstrainSelectedInstOperands,
     /*  635547 */     // GIR_Coverage, 6480,
     /*  635547 */     GIR_EraseRootFromParent_Done,
     /*  635548 */   // Label 10199: @635548
     /*  635548 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(635623), // Rule ID 6483 //
     /*  635553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635599 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635621 */     GIR_RootConstrainSelectedInstOperands,
     /*  635622 */     // GIR_Coverage, 6483,
     /*  635622 */     GIR_EraseRootFromParent_Done,
     /*  635623 */   // Label 10200: @635623
     /*  635623 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635698), // Rule ID 6484 //
     /*  635628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635674 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635696 */     GIR_RootConstrainSelectedInstOperands,
     /*  635697 */     // GIR_Coverage, 6484,
     /*  635697 */     GIR_EraseRootFromParent_Done,
     /*  635698 */   // Label 10201: @635698
     /*  635698 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635773), // Rule ID 6487 //
     /*  635703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  635714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  635717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  635720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  635723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635749 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635771 */     GIR_RootConstrainSelectedInstOperands,
     /*  635772 */     // GIR_Coverage, 6487,
     /*  635772 */     GIR_EraseRootFromParent_Done,
     /*  635773 */   // Label 10202: @635773
     /*  635773 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635848), // Rule ID 6488 //
     /*  635778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  635789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  635792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  635795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  635798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635824 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635846 */     GIR_RootConstrainSelectedInstOperands,
     /*  635847 */     // GIR_Coverage, 6488,
     /*  635847 */     GIR_EraseRootFromParent_Done,
     /*  635848 */   // Label 10203: @635848
     /*  635848 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(635923), // Rule ID 6491 //
     /*  635853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  635864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  635867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  635870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  635873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635899 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635921 */     GIR_RootConstrainSelectedInstOperands,
     /*  635922 */     // GIR_Coverage, 6491,
     /*  635922 */     GIR_EraseRootFromParent_Done,
     /*  635923 */   // Label 10204: @635923
     /*  635923 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(635998), // Rule ID 6492 //
     /*  635928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  635939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  635942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  635945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  635948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635996 */     GIR_RootConstrainSelectedInstOperands,
     /*  635997 */     // GIR_Coverage, 6492,
     /*  635997 */     GIR_EraseRootFromParent_Done,
     /*  635998 */   // Label 10205: @635998
     /*  635998 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(636073), // Rule ID 6495 //
     /*  636003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636049 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636071 */     GIR_RootConstrainSelectedInstOperands,
     /*  636072 */     // GIR_Coverage, 6495,
     /*  636072 */     GIR_EraseRootFromParent_Done,
     /*  636073 */   // Label 10206: @636073
     /*  636073 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(636148), // Rule ID 6496 //
     /*  636078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636146 */     GIR_RootConstrainSelectedInstOperands,
     /*  636147 */     // GIR_Coverage, 6496,
     /*  636147 */     GIR_EraseRootFromParent_Done,
     /*  636148 */   // Label 10207: @636148
     /*  636148 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(636223), // Rule ID 6499 //
     /*  636153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636221 */     GIR_RootConstrainSelectedInstOperands,
     /*  636222 */     // GIR_Coverage, 6499,
     /*  636222 */     GIR_EraseRootFromParent_Done,
     /*  636223 */   // Label 10208: @636223
     /*  636223 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(636298), // Rule ID 6500 //
     /*  636228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636296 */     GIR_RootConstrainSelectedInstOperands,
     /*  636297 */     // GIR_Coverage, 6500,
     /*  636297 */     GIR_EraseRootFromParent_Done,
     /*  636298 */   // Label 10209: @636298
     /*  636298 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(636373), // Rule ID 6503 //
     /*  636303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636371 */     GIR_RootConstrainSelectedInstOperands,
     /*  636372 */     // GIR_Coverage, 6503,
     /*  636372 */     GIR_EraseRootFromParent_Done,
     /*  636373 */   // Label 10210: @636373
     /*  636373 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(636448), // Rule ID 6504 //
     /*  636378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636446 */     GIR_RootConstrainSelectedInstOperands,
     /*  636447 */     // GIR_Coverage, 6504,
     /*  636447 */     GIR_EraseRootFromParent_Done,
     /*  636448 */   // Label 10211: @636448
     /*  636448 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(636523), // Rule ID 6507 //
     /*  636453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636521 */     GIR_RootConstrainSelectedInstOperands,
     /*  636522 */     // GIR_Coverage, 6507,
     /*  636522 */     GIR_EraseRootFromParent_Done,
     /*  636523 */   // Label 10212: @636523
     /*  636523 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(636598), // Rule ID 6508 //
     /*  636528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636596 */     GIR_RootConstrainSelectedInstOperands,
     /*  636597 */     // GIR_Coverage, 6508,
     /*  636597 */     GIR_EraseRootFromParent_Done,
     /*  636598 */   // Label 10213: @636598
     /*  636598 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636673), // Rule ID 6511 //
     /*  636603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  636614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  636617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  636620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  636623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636649 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636671 */     GIR_RootConstrainSelectedInstOperands,
     /*  636672 */     // GIR_Coverage, 6511,
     /*  636672 */     GIR_EraseRootFromParent_Done,
     /*  636673 */   // Label 10214: @636673
     /*  636673 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636748), // Rule ID 6512 //
     /*  636678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  636689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  636692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  636695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  636698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636746 */     GIR_RootConstrainSelectedInstOperands,
     /*  636747 */     // GIR_Coverage, 6512,
     /*  636747 */     GIR_EraseRootFromParent_Done,
     /*  636748 */   // Label 10215: @636748
     /*  636748 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636823), // Rule ID 6515 //
     /*  636753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  636764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  636767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  636770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  636773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636821 */     GIR_RootConstrainSelectedInstOperands,
     /*  636822 */     // GIR_Coverage, 6515,
     /*  636822 */     GIR_EraseRootFromParent_Done,
     /*  636823 */   // Label 10216: @636823
     /*  636823 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636898), // Rule ID 6516 //
     /*  636828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  636839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  636842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  636845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  636848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636896 */     GIR_RootConstrainSelectedInstOperands,
     /*  636897 */     // GIR_Coverage, 6516,
     /*  636897 */     GIR_EraseRootFromParent_Done,
     /*  636898 */   // Label 10217: @636898
     /*  636898 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(636973), // Rule ID 6519 //
     /*  636903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  636914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  636917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  636920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  636923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636971 */     GIR_RootConstrainSelectedInstOperands,
     /*  636972 */     // GIR_Coverage, 6519,
     /*  636972 */     GIR_EraseRootFromParent_Done,
     /*  636973 */   // Label 10218: @636973
     /*  636973 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(637048), // Rule ID 6520 //
     /*  636978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  636989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  636992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  636995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  636998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637046 */     GIR_RootConstrainSelectedInstOperands,
     /*  637047 */     // GIR_Coverage, 6520,
     /*  637047 */     GIR_EraseRootFromParent_Done,
     /*  637048 */   // Label 10219: @637048
     /*  637048 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(637123), // Rule ID 6523 //
     /*  637053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637121 */     GIR_RootConstrainSelectedInstOperands,
     /*  637122 */     // GIR_Coverage, 6523,
     /*  637122 */     GIR_EraseRootFromParent_Done,
     /*  637123 */   // Label 10220: @637123
     /*  637123 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(637198), // Rule ID 6524 //
     /*  637128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637196 */     GIR_RootConstrainSelectedInstOperands,
     /*  637197 */     // GIR_Coverage, 6524,
     /*  637197 */     GIR_EraseRootFromParent_Done,
     /*  637198 */   // Label 10221: @637198
     /*  637198 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(637273), // Rule ID 6527 //
     /*  637203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637249 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637271 */     GIR_RootConstrainSelectedInstOperands,
     /*  637272 */     // GIR_Coverage, 6527,
     /*  637272 */     GIR_EraseRootFromParent_Done,
     /*  637273 */   // Label 10222: @637273
     /*  637273 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(637348), // Rule ID 6528 //
     /*  637278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637346 */     GIR_RootConstrainSelectedInstOperands,
     /*  637347 */     // GIR_Coverage, 6528,
     /*  637347 */     GIR_EraseRootFromParent_Done,
     /*  637348 */   // Label 10223: @637348
     /*  637348 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(637423), // Rule ID 6531 //
     /*  637353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637399 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637421 */     GIR_RootConstrainSelectedInstOperands,
     /*  637422 */     // GIR_Coverage, 6531,
     /*  637422 */     GIR_EraseRootFromParent_Done,
     /*  637423 */   // Label 10224: @637423
     /*  637423 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(637498), // Rule ID 6532 //
     /*  637428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637496 */     GIR_RootConstrainSelectedInstOperands,
     /*  637497 */     // GIR_Coverage, 6532,
     /*  637497 */     GIR_EraseRootFromParent_Done,
     /*  637498 */   // Label 10225: @637498
     /*  637498 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(637573), // Rule ID 6535 //
     /*  637503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637549 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637571 */     GIR_RootConstrainSelectedInstOperands,
     /*  637572 */     // GIR_Coverage, 6535,
     /*  637572 */     GIR_EraseRootFromParent_Done,
     /*  637573 */   // Label 10226: @637573
     /*  637573 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(637648), // Rule ID 6536 //
     /*  637578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637646 */     GIR_RootConstrainSelectedInstOperands,
     /*  637647 */     // GIR_Coverage, 6536,
     /*  637647 */     GIR_EraseRootFromParent_Done,
     /*  637648 */   // Label 10227: @637648
     /*  637648 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637723), // Rule ID 6539 //
     /*  637653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  637664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  637667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  637670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637721 */     GIR_RootConstrainSelectedInstOperands,
     /*  637722 */     // GIR_Coverage, 6539,
     /*  637722 */     GIR_EraseRootFromParent_Done,
     /*  637723 */   // Label 10228: @637723
     /*  637723 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637798), // Rule ID 6540 //
     /*  637728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  637739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  637742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  637745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637796 */     GIR_RootConstrainSelectedInstOperands,
     /*  637797 */     // GIR_Coverage, 6540,
     /*  637797 */     GIR_EraseRootFromParent_Done,
     /*  637798 */   // Label 10229: @637798
     /*  637798 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637873), // Rule ID 6543 //
     /*  637803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  637814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  637817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  637820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637871 */     GIR_RootConstrainSelectedInstOperands,
     /*  637872 */     // GIR_Coverage, 6543,
     /*  637872 */     GIR_EraseRootFromParent_Done,
     /*  637873 */   // Label 10230: @637873
     /*  637873 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(637948), // Rule ID 6544 //
     /*  637878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  637889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  637892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  637895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637946 */     GIR_RootConstrainSelectedInstOperands,
     /*  637947 */     // GIR_Coverage, 6544,
     /*  637947 */     GIR_EraseRootFromParent_Done,
     /*  637948 */   // Label 10231: @637948
     /*  637948 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(638023), // Rule ID 6547 //
     /*  637953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  637964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  637967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  637970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638021 */     GIR_RootConstrainSelectedInstOperands,
     /*  638022 */     // GIR_Coverage, 6547,
     /*  638022 */     GIR_EraseRootFromParent_Done,
     /*  638023 */   // Label 10232: @638023
     /*  638023 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(638098), // Rule ID 6548 //
     /*  638028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638096 */     GIR_RootConstrainSelectedInstOperands,
     /*  638097 */     // GIR_Coverage, 6548,
     /*  638097 */     GIR_EraseRootFromParent_Done,
     /*  638098 */   // Label 10233: @638098
     /*  638098 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(638173), // Rule ID 6551 //
     /*  638103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638171 */     GIR_RootConstrainSelectedInstOperands,
     /*  638172 */     // GIR_Coverage, 6551,
     /*  638172 */     GIR_EraseRootFromParent_Done,
     /*  638173 */   // Label 10234: @638173
     /*  638173 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(638248), // Rule ID 6552 //
     /*  638178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638246 */     GIR_RootConstrainSelectedInstOperands,
     /*  638247 */     // GIR_Coverage, 6552,
     /*  638247 */     GIR_EraseRootFromParent_Done,
     /*  638248 */   // Label 10235: @638248
     /*  638248 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(638323), // Rule ID 6555 //
     /*  638253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638321 */     GIR_RootConstrainSelectedInstOperands,
     /*  638322 */     // GIR_Coverage, 6555,
     /*  638322 */     GIR_EraseRootFromParent_Done,
     /*  638323 */   // Label 10236: @638323
     /*  638323 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(638398), // Rule ID 6556 //
     /*  638328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638396 */     GIR_RootConstrainSelectedInstOperands,
     /*  638397 */     // GIR_Coverage, 6556,
     /*  638397 */     GIR_EraseRootFromParent_Done,
     /*  638398 */   // Label 10237: @638398
     /*  638398 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(638473), // Rule ID 6559 //
     /*  638403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638471 */     GIR_RootConstrainSelectedInstOperands,
     /*  638472 */     // GIR_Coverage, 6559,
     /*  638472 */     GIR_EraseRootFromParent_Done,
     /*  638473 */   // Label 10238: @638473
     /*  638473 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(638548), // Rule ID 6560 //
     /*  638478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638546 */     GIR_RootConstrainSelectedInstOperands,
     /*  638547 */     // GIR_Coverage, 6560,
     /*  638547 */     GIR_EraseRootFromParent_Done,
     /*  638548 */   // Label 10239: @638548
     /*  638548 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(638623), // Rule ID 6563 //
     /*  638553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638621 */     GIR_RootConstrainSelectedInstOperands,
     /*  638622 */     // GIR_Coverage, 6563,
     /*  638622 */     GIR_EraseRootFromParent_Done,
     /*  638623 */   // Label 10240: @638623
     /*  638623 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638698), // Rule ID 6564 //
     /*  638628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638696 */     GIR_RootConstrainSelectedInstOperands,
     /*  638697 */     // GIR_Coverage, 6564,
     /*  638697 */     GIR_EraseRootFromParent_Done,
     /*  638698 */   // Label 10241: @638698
     /*  638698 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638773), // Rule ID 6567 //
     /*  638703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  638714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  638717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  638720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638771 */     GIR_RootConstrainSelectedInstOperands,
     /*  638772 */     // GIR_Coverage, 6567,
     /*  638772 */     GIR_EraseRootFromParent_Done,
     /*  638773 */   // Label 10242: @638773
     /*  638773 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638848), // Rule ID 6568 //
     /*  638778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  638789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  638792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  638795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638824 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638846 */     GIR_RootConstrainSelectedInstOperands,
     /*  638847 */     // GIR_Coverage, 6568,
     /*  638847 */     GIR_EraseRootFromParent_Done,
     /*  638848 */   // Label 10243: @638848
     /*  638848 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(638923), // Rule ID 6571 //
     /*  638853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  638864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  638867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  638870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638921 */     GIR_RootConstrainSelectedInstOperands,
     /*  638922 */     // GIR_Coverage, 6571,
     /*  638922 */     GIR_EraseRootFromParent_Done,
     /*  638923 */   // Label 10244: @638923
     /*  638923 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(638998), // Rule ID 6572 //
     /*  638928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  638939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  638942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  638945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638996 */     GIR_RootConstrainSelectedInstOperands,
     /*  638997 */     // GIR_Coverage, 6572,
     /*  638997 */     GIR_EraseRootFromParent_Done,
     /*  638998 */   // Label 10245: @638998
     /*  638998 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(639073), // Rule ID 6575 //
     /*  639003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639049 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639071 */     GIR_RootConstrainSelectedInstOperands,
     /*  639072 */     // GIR_Coverage, 6575,
     /*  639072 */     GIR_EraseRootFromParent_Done,
     /*  639073 */   // Label 10246: @639073
     /*  639073 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(639148), // Rule ID 6576 //
     /*  639078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639146 */     GIR_RootConstrainSelectedInstOperands,
     /*  639147 */     // GIR_Coverage, 6576,
     /*  639147 */     GIR_EraseRootFromParent_Done,
     /*  639148 */   // Label 10247: @639148
     /*  639148 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(639223), // Rule ID 6579 //
     /*  639153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639221 */     GIR_RootConstrainSelectedInstOperands,
     /*  639222 */     // GIR_Coverage, 6579,
     /*  639222 */     GIR_EraseRootFromParent_Done,
     /*  639223 */   // Label 10248: @639223
     /*  639223 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(639298), // Rule ID 6580 //
     /*  639228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639296 */     GIR_RootConstrainSelectedInstOperands,
     /*  639297 */     // GIR_Coverage, 6580,
     /*  639297 */     GIR_EraseRootFromParent_Done,
     /*  639298 */   // Label 10249: @639298
     /*  639298 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(639373), // Rule ID 6583 //
     /*  639303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639371 */     GIR_RootConstrainSelectedInstOperands,
     /*  639372 */     // GIR_Coverage, 6583,
     /*  639372 */     GIR_EraseRootFromParent_Done,
     /*  639373 */   // Label 10250: @639373
     /*  639373 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(639448), // Rule ID 6584 //
     /*  639378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639446 */     GIR_RootConstrainSelectedInstOperands,
     /*  639447 */     // GIR_Coverage, 6584,
     /*  639447 */     GIR_EraseRootFromParent_Done,
     /*  639448 */   // Label 10251: @639448
     /*  639448 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(639523), // Rule ID 6587 //
     /*  639453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639521 */     GIR_RootConstrainSelectedInstOperands,
     /*  639522 */     // GIR_Coverage, 6587,
     /*  639522 */     GIR_EraseRootFromParent_Done,
     /*  639523 */   // Label 10252: @639523
     /*  639523 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(639598), // Rule ID 6588 //
     /*  639528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639596 */     GIR_RootConstrainSelectedInstOperands,
     /*  639597 */     // GIR_Coverage, 6588,
     /*  639597 */     GIR_EraseRootFromParent_Done,
     /*  639598 */   // Label 10253: @639598
     /*  639598 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639673), // Rule ID 6591 //
     /*  639603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  639614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  639617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  639620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639671 */     GIR_RootConstrainSelectedInstOperands,
     /*  639672 */     // GIR_Coverage, 6591,
     /*  639672 */     GIR_EraseRootFromParent_Done,
     /*  639673 */   // Label 10254: @639673
     /*  639673 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639748), // Rule ID 6592 //
     /*  639678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  639689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  639692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  639695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639746 */     GIR_RootConstrainSelectedInstOperands,
     /*  639747 */     // GIR_Coverage, 6592,
     /*  639747 */     GIR_EraseRootFromParent_Done,
     /*  639748 */   // Label 10255: @639748
     /*  639748 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639823), // Rule ID 6595 //
     /*  639753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  639764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  639767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  639770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639799 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639821 */     GIR_RootConstrainSelectedInstOperands,
     /*  639822 */     // GIR_Coverage, 6595,
     /*  639822 */     GIR_EraseRootFromParent_Done,
     /*  639823 */   // Label 10256: @639823
     /*  639823 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639898), // Rule ID 6596 //
     /*  639828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  639839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  639842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  639845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639896 */     GIR_RootConstrainSelectedInstOperands,
     /*  639897 */     // GIR_Coverage, 6596,
     /*  639897 */     GIR_EraseRootFromParent_Done,
     /*  639898 */   // Label 10257: @639898
     /*  639898 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(639973), // Rule ID 6599 //
     /*  639903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  639914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  639917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  639920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639971 */     GIR_RootConstrainSelectedInstOperands,
     /*  639972 */     // GIR_Coverage, 6599,
     /*  639972 */     GIR_EraseRootFromParent_Done,
     /*  639973 */   // Label 10258: @639973
     /*  639973 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(640048), // Rule ID 6600 //
     /*  639978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  639989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  639992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  639995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640046 */     GIR_RootConstrainSelectedInstOperands,
     /*  640047 */     // GIR_Coverage, 6600,
     /*  640047 */     GIR_EraseRootFromParent_Done,
     /*  640048 */   // Label 10259: @640048
     /*  640048 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(640123), // Rule ID 6603 //
     /*  640053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640121 */     GIR_RootConstrainSelectedInstOperands,
     /*  640122 */     // GIR_Coverage, 6603,
     /*  640122 */     GIR_EraseRootFromParent_Done,
     /*  640123 */   // Label 10260: @640123
     /*  640123 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(640198), // Rule ID 6604 //
     /*  640128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640196 */     GIR_RootConstrainSelectedInstOperands,
     /*  640197 */     // GIR_Coverage, 6604,
     /*  640197 */     GIR_EraseRootFromParent_Done,
     /*  640198 */   // Label 10261: @640198
     /*  640198 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(640273), // Rule ID 6607 //
     /*  640203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640271 */     GIR_RootConstrainSelectedInstOperands,
     /*  640272 */     // GIR_Coverage, 6607,
     /*  640272 */     GIR_EraseRootFromParent_Done,
     /*  640273 */   // Label 10262: @640273
     /*  640273 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(640348), // Rule ID 6608 //
     /*  640278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640346 */     GIR_RootConstrainSelectedInstOperands,
     /*  640347 */     // GIR_Coverage, 6608,
     /*  640347 */     GIR_EraseRootFromParent_Done,
     /*  640348 */   // Label 10263: @640348
     /*  640348 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(640423), // Rule ID 6611 //
     /*  640353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640421 */     GIR_RootConstrainSelectedInstOperands,
     /*  640422 */     // GIR_Coverage, 6611,
     /*  640422 */     GIR_EraseRootFromParent_Done,
     /*  640423 */   // Label 10264: @640423
     /*  640423 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(640498), // Rule ID 6612 //
     /*  640428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640496 */     GIR_RootConstrainSelectedInstOperands,
     /*  640497 */     // GIR_Coverage, 6612,
     /*  640497 */     GIR_EraseRootFromParent_Done,
     /*  640498 */   // Label 10265: @640498
     /*  640498 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(640573), // Rule ID 6703 //
     /*  640503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  640552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640571 */     GIR_RootConstrainSelectedInstOperands,
     /*  640572 */     // GIR_Coverage, 6703,
     /*  640572 */     GIR_EraseRootFromParent_Done,
     /*  640573 */   // Label 10266: @640573
     /*  640573 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(640648), // Rule ID 6704 //
     /*  640578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  640627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640646 */     GIR_RootConstrainSelectedInstOperands,
     /*  640647 */     // GIR_Coverage, 6704,
     /*  640647 */     GIR_EraseRootFromParent_Done,
     /*  640648 */   // Label 10267: @640648
     /*  640648 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640723), // Rule ID 6707 //
     /*  640653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  640664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  640667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  640670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  640673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  640702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640721 */     GIR_RootConstrainSelectedInstOperands,
     /*  640722 */     // GIR_Coverage, 6707,
     /*  640722 */     GIR_EraseRootFromParent_Done,
     /*  640723 */   // Label 10268: @640723
     /*  640723 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640798), // Rule ID 6708 //
     /*  640728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  640739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  640742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  640745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  640748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  640777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640796 */     GIR_RootConstrainSelectedInstOperands,
     /*  640797 */     // GIR_Coverage, 6708,
     /*  640797 */     GIR_EraseRootFromParent_Done,
     /*  640798 */   // Label 10269: @640798
     /*  640798 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640873), // Rule ID 6711 //
     /*  640803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  640814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  640817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  640820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  640823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640849 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  640852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640871 */     GIR_RootConstrainSelectedInstOperands,
     /*  640872 */     // GIR_Coverage, 6711,
     /*  640872 */     GIR_EraseRootFromParent_Done,
     /*  640873 */   // Label 10270: @640873
     /*  640873 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(640948), // Rule ID 6712 //
     /*  640878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  640889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  640892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  640895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  640898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  640927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640946 */     GIR_RootConstrainSelectedInstOperands,
     /*  640947 */     // GIR_Coverage, 6712,
     /*  640947 */     GIR_EraseRootFromParent_Done,
     /*  640948 */   // Label 10271: @640948
     /*  640948 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(641023), // Rule ID 6715 //
     /*  640953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  640964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  640967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  640970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  640973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641021 */     GIR_RootConstrainSelectedInstOperands,
     /*  641022 */     // GIR_Coverage, 6715,
     /*  641022 */     GIR_EraseRootFromParent_Done,
     /*  641023 */   // Label 10272: @641023
     /*  641023 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(641098), // Rule ID 6716 //
     /*  641028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641096 */     GIR_RootConstrainSelectedInstOperands,
     /*  641097 */     // GIR_Coverage, 6716,
     /*  641097 */     GIR_EraseRootFromParent_Done,
     /*  641098 */   // Label 10273: @641098
     /*  641098 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(641173), // Rule ID 6719 //
     /*  641103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641171 */     GIR_RootConstrainSelectedInstOperands,
     /*  641172 */     // GIR_Coverage, 6719,
     /*  641172 */     GIR_EraseRootFromParent_Done,
     /*  641173 */   // Label 10274: @641173
     /*  641173 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(641248), // Rule ID 6720 //
     /*  641178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641246 */     GIR_RootConstrainSelectedInstOperands,
     /*  641247 */     // GIR_Coverage, 6720,
     /*  641247 */     GIR_EraseRootFromParent_Done,
     /*  641248 */   // Label 10275: @641248
     /*  641248 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(641323), // Rule ID 6723 //
     /*  641253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641321 */     GIR_RootConstrainSelectedInstOperands,
     /*  641322 */     // GIR_Coverage, 6723,
     /*  641322 */     GIR_EraseRootFromParent_Done,
     /*  641323 */   // Label 10276: @641323
     /*  641323 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(641398), // Rule ID 6724 //
     /*  641328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641396 */     GIR_RootConstrainSelectedInstOperands,
     /*  641397 */     // GIR_Coverage, 6724,
     /*  641397 */     GIR_EraseRootFromParent_Done,
     /*  641398 */   // Label 10277: @641398
     /*  641398 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(641473), // Rule ID 6727 //
     /*  641403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641471 */     GIR_RootConstrainSelectedInstOperands,
     /*  641472 */     // GIR_Coverage, 6727,
     /*  641472 */     GIR_EraseRootFromParent_Done,
     /*  641473 */   // Label 10278: @641473
     /*  641473 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(641548), // Rule ID 6728 //
     /*  641478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641546 */     GIR_RootConstrainSelectedInstOperands,
     /*  641547 */     // GIR_Coverage, 6728,
     /*  641547 */     GIR_EraseRootFromParent_Done,
     /*  641548 */   // Label 10279: @641548
     /*  641548 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(641623), // Rule ID 6731 //
     /*  641553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641621 */     GIR_RootConstrainSelectedInstOperands,
     /*  641622 */     // GIR_Coverage, 6731,
     /*  641622 */     GIR_EraseRootFromParent_Done,
     /*  641623 */   // Label 10280: @641623
     /*  641623 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641698), // Rule ID 6732 //
     /*  641628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641696 */     GIR_RootConstrainSelectedInstOperands,
     /*  641697 */     // GIR_Coverage, 6732,
     /*  641697 */     GIR_EraseRootFromParent_Done,
     /*  641698 */   // Label 10281: @641698
     /*  641698 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641773), // Rule ID 6735 //
     /*  641703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  641714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  641717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  641720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  641723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641771 */     GIR_RootConstrainSelectedInstOperands,
     /*  641772 */     // GIR_Coverage, 6735,
     /*  641772 */     GIR_EraseRootFromParent_Done,
     /*  641773 */   // Label 10282: @641773
     /*  641773 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641848), // Rule ID 6736 //
     /*  641778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  641789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  641792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  641795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  641798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641846 */     GIR_RootConstrainSelectedInstOperands,
     /*  641847 */     // GIR_Coverage, 6736,
     /*  641847 */     GIR_EraseRootFromParent_Done,
     /*  641848 */   // Label 10283: @641848
     /*  641848 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(641923), // Rule ID 6739 //
     /*  641853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  641864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  641867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  641870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  641873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641921 */     GIR_RootConstrainSelectedInstOperands,
     /*  641922 */     // GIR_Coverage, 6739,
     /*  641922 */     GIR_EraseRootFromParent_Done,
     /*  641923 */   // Label 10284: @641923
     /*  641923 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(641998), // Rule ID 6740 //
     /*  641928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  641939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  641942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  641945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  641948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641996 */     GIR_RootConstrainSelectedInstOperands,
     /*  641997 */     // GIR_Coverage, 6740,
     /*  641997 */     GIR_EraseRootFromParent_Done,
     /*  641998 */   // Label 10285: @641998
     /*  641998 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(642073), // Rule ID 6743 //
     /*  642003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642049 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642071 */     GIR_RootConstrainSelectedInstOperands,
     /*  642072 */     // GIR_Coverage, 6743,
     /*  642072 */     GIR_EraseRootFromParent_Done,
     /*  642073 */   // Label 10286: @642073
     /*  642073 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(642148), // Rule ID 6744 //
     /*  642078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642146 */     GIR_RootConstrainSelectedInstOperands,
     /*  642147 */     // GIR_Coverage, 6744,
     /*  642147 */     GIR_EraseRootFromParent_Done,
     /*  642148 */   // Label 10287: @642148
     /*  642148 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(642223), // Rule ID 6747 //
     /*  642153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642199 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642221 */     GIR_RootConstrainSelectedInstOperands,
     /*  642222 */     // GIR_Coverage, 6747,
     /*  642222 */     GIR_EraseRootFromParent_Done,
     /*  642223 */   // Label 10288: @642223
     /*  642223 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(642298), // Rule ID 6748 //
     /*  642228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642296 */     GIR_RootConstrainSelectedInstOperands,
     /*  642297 */     // GIR_Coverage, 6748,
     /*  642297 */     GIR_EraseRootFromParent_Done,
     /*  642298 */   // Label 10289: @642298
     /*  642298 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(642373), // Rule ID 6751 //
     /*  642303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642349 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642371 */     GIR_RootConstrainSelectedInstOperands,
     /*  642372 */     // GIR_Coverage, 6751,
     /*  642372 */     GIR_EraseRootFromParent_Done,
     /*  642373 */   // Label 10290: @642373
     /*  642373 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(642448), // Rule ID 6752 //
     /*  642378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642446 */     GIR_RootConstrainSelectedInstOperands,
     /*  642447 */     // GIR_Coverage, 6752,
     /*  642447 */     GIR_EraseRootFromParent_Done,
     /*  642448 */   // Label 10291: @642448
     /*  642448 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(642523), // Rule ID 6755 //
     /*  642453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642521 */     GIR_RootConstrainSelectedInstOperands,
     /*  642522 */     // GIR_Coverage, 6755,
     /*  642522 */     GIR_EraseRootFromParent_Done,
     /*  642523 */   // Label 10292: @642523
     /*  642523 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(642598), // Rule ID 6756 //
     /*  642528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642596 */     GIR_RootConstrainSelectedInstOperands,
     /*  642597 */     // GIR_Coverage, 6756,
     /*  642597 */     GIR_EraseRootFromParent_Done,
     /*  642598 */   // Label 10293: @642598
     /*  642598 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642673), // Rule ID 6759 //
     /*  642603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  642614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  642617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  642620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  642623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642671 */     GIR_RootConstrainSelectedInstOperands,
     /*  642672 */     // GIR_Coverage, 6759,
     /*  642672 */     GIR_EraseRootFromParent_Done,
     /*  642673 */   // Label 10294: @642673
     /*  642673 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642748), // Rule ID 6760 //
     /*  642678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  642689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  642692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  642695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  642698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642746 */     GIR_RootConstrainSelectedInstOperands,
     /*  642747 */     // GIR_Coverage, 6760,
     /*  642747 */     GIR_EraseRootFromParent_Done,
     /*  642748 */   // Label 10295: @642748
     /*  642748 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642823), // Rule ID 6763 //
     /*  642753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  642764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  642767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  642770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  642773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642821 */     GIR_RootConstrainSelectedInstOperands,
     /*  642822 */     // GIR_Coverage, 6763,
     /*  642822 */     GIR_EraseRootFromParent_Done,
     /*  642823 */   // Label 10296: @642823
     /*  642823 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642898), // Rule ID 6764 //
     /*  642828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  642839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  642842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  642845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  642848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642896 */     GIR_RootConstrainSelectedInstOperands,
     /*  642897 */     // GIR_Coverage, 6764,
     /*  642897 */     GIR_EraseRootFromParent_Done,
     /*  642898 */   // Label 10297: @642898
     /*  642898 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(642973), // Rule ID 6767 //
     /*  642903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  642914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  642917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  642920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  642923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642971 */     GIR_RootConstrainSelectedInstOperands,
     /*  642972 */     // GIR_Coverage, 6767,
     /*  642972 */     GIR_EraseRootFromParent_Done,
     /*  642973 */   // Label 10298: @642973
     /*  642973 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(643048), // Rule ID 6768 //
     /*  642978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  642989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  642992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  642995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  642998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643046 */     GIR_RootConstrainSelectedInstOperands,
     /*  643047 */     // GIR_Coverage, 6768,
     /*  643047 */     GIR_EraseRootFromParent_Done,
     /*  643048 */   // Label 10299: @643048
     /*  643048 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(643123), // Rule ID 6771 //
     /*  643053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643121 */     GIR_RootConstrainSelectedInstOperands,
     /*  643122 */     // GIR_Coverage, 6771,
     /*  643122 */     GIR_EraseRootFromParent_Done,
     /*  643123 */   // Label 10300: @643123
     /*  643123 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(643198), // Rule ID 6772 //
     /*  643128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643196 */     GIR_RootConstrainSelectedInstOperands,
     /*  643197 */     // GIR_Coverage, 6772,
     /*  643197 */     GIR_EraseRootFromParent_Done,
     /*  643198 */   // Label 10301: @643198
     /*  643198 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(643273), // Rule ID 6775 //
     /*  643203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643271 */     GIR_RootConstrainSelectedInstOperands,
     /*  643272 */     // GIR_Coverage, 6775,
     /*  643272 */     GIR_EraseRootFromParent_Done,
     /*  643273 */   // Label 10302: @643273
     /*  643273 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(643348), // Rule ID 6776 //
     /*  643278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643346 */     GIR_RootConstrainSelectedInstOperands,
     /*  643347 */     // GIR_Coverage, 6776,
     /*  643347 */     GIR_EraseRootFromParent_Done,
     /*  643348 */   // Label 10303: @643348
     /*  643348 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(643423), // Rule ID 6779 //
     /*  643353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643421 */     GIR_RootConstrainSelectedInstOperands,
     /*  643422 */     // GIR_Coverage, 6779,
     /*  643422 */     GIR_EraseRootFromParent_Done,
     /*  643423 */   // Label 10304: @643423
     /*  643423 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(643498), // Rule ID 6780 //
     /*  643428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643496 */     GIR_RootConstrainSelectedInstOperands,
     /*  643497 */     // GIR_Coverage, 6780,
     /*  643497 */     GIR_EraseRootFromParent_Done,
     /*  643498 */   // Label 10305: @643498
     /*  643498 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(643573), // Rule ID 6783 //
     /*  643503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643571 */     GIR_RootConstrainSelectedInstOperands,
     /*  643572 */     // GIR_Coverage, 6783,
     /*  643572 */     GIR_EraseRootFromParent_Done,
     /*  643573 */   // Label 10306: @643573
     /*  643573 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(643648), // Rule ID 6784 //
     /*  643578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643646 */     GIR_RootConstrainSelectedInstOperands,
     /*  643647 */     // GIR_Coverage, 6784,
     /*  643647 */     GIR_EraseRootFromParent_Done,
     /*  643648 */   // Label 10307: @643648
     /*  643648 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643723), // Rule ID 6787 //
     /*  643653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  643664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  643667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  643670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  643673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643699 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643721 */     GIR_RootConstrainSelectedInstOperands,
     /*  643722 */     // GIR_Coverage, 6787,
     /*  643722 */     GIR_EraseRootFromParent_Done,
     /*  643723 */   // Label 10308: @643723
     /*  643723 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643798), // Rule ID 6788 //
     /*  643728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  643739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  643742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  643745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  643748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643796 */     GIR_RootConstrainSelectedInstOperands,
     /*  643797 */     // GIR_Coverage, 6788,
     /*  643797 */     GIR_EraseRootFromParent_Done,
     /*  643798 */   // Label 10309: @643798
     /*  643798 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643873), // Rule ID 6791 //
     /*  643803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  643814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  643817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  643820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  643852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643871 */     GIR_RootConstrainSelectedInstOperands,
     /*  643872 */     // GIR_Coverage, 6791,
     /*  643872 */     GIR_EraseRootFromParent_Done,
     /*  643873 */   // Label 10310: @643873
     /*  643873 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(643948), // Rule ID 6792 //
     /*  643878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  643889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  643892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  643895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  643927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643946 */     GIR_RootConstrainSelectedInstOperands,
     /*  643947 */     // GIR_Coverage, 6792,
     /*  643947 */     GIR_EraseRootFromParent_Done,
     /*  643948 */   // Label 10311: @643948
     /*  643948 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(644023), // Rule ID 6795 //
     /*  643953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  643964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  643967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  643970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644021 */     GIR_RootConstrainSelectedInstOperands,
     /*  644022 */     // GIR_Coverage, 6795,
     /*  644022 */     GIR_EraseRootFromParent_Done,
     /*  644023 */   // Label 10312: @644023
     /*  644023 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(644098), // Rule ID 6796 //
     /*  644028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644096 */     GIR_RootConstrainSelectedInstOperands,
     /*  644097 */     // GIR_Coverage, 6796,
     /*  644097 */     GIR_EraseRootFromParent_Done,
     /*  644098 */   // Label 10313: @644098
     /*  644098 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(644173), // Rule ID 6799 //
     /*  644103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644149 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644171 */     GIR_RootConstrainSelectedInstOperands,
     /*  644172 */     // GIR_Coverage, 6799,
     /*  644172 */     GIR_EraseRootFromParent_Done,
     /*  644173 */   // Label 10314: @644173
     /*  644173 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(644248), // Rule ID 6800 //
     /*  644178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644246 */     GIR_RootConstrainSelectedInstOperands,
     /*  644247 */     // GIR_Coverage, 6800,
     /*  644247 */     GIR_EraseRootFromParent_Done,
     /*  644248 */   // Label 10315: @644248
     /*  644248 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(644323), // Rule ID 6803 //
     /*  644253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644321 */     GIR_RootConstrainSelectedInstOperands,
     /*  644322 */     // GIR_Coverage, 6803,
     /*  644322 */     GIR_EraseRootFromParent_Done,
     /*  644323 */   // Label 10316: @644323
     /*  644323 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(644398), // Rule ID 6804 //
     /*  644328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644396 */     GIR_RootConstrainSelectedInstOperands,
     /*  644397 */     // GIR_Coverage, 6804,
     /*  644397 */     GIR_EraseRootFromParent_Done,
     /*  644398 */   // Label 10317: @644398
     /*  644398 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(644473), // Rule ID 6807 //
     /*  644403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644449 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644471 */     GIR_RootConstrainSelectedInstOperands,
     /*  644472 */     // GIR_Coverage, 6807,
     /*  644472 */     GIR_EraseRootFromParent_Done,
     /*  644473 */   // Label 10318: @644473
     /*  644473 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(644548), // Rule ID 6808 //
     /*  644478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644546 */     GIR_RootConstrainSelectedInstOperands,
     /*  644547 */     // GIR_Coverage, 6808,
     /*  644547 */     GIR_EraseRootFromParent_Done,
     /*  644548 */   // Label 10319: @644548
     /*  644548 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(644623), // Rule ID 6811 //
     /*  644553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644599 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644621 */     GIR_RootConstrainSelectedInstOperands,
     /*  644622 */     // GIR_Coverage, 6811,
     /*  644622 */     GIR_EraseRootFromParent_Done,
     /*  644623 */   // Label 10320: @644623
     /*  644623 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644698), // Rule ID 6812 //
     /*  644628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644696 */     GIR_RootConstrainSelectedInstOperands,
     /*  644697 */     // GIR_Coverage, 6812,
     /*  644697 */     GIR_EraseRootFromParent_Done,
     /*  644698 */   // Label 10321: @644698
     /*  644698 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644773), // Rule ID 6815 //
     /*  644703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  644714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  644717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  644720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644771 */     GIR_RootConstrainSelectedInstOperands,
     /*  644772 */     // GIR_Coverage, 6815,
     /*  644772 */     GIR_EraseRootFromParent_Done,
     /*  644773 */   // Label 10322: @644773
     /*  644773 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644848), // Rule ID 6816 //
     /*  644778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  644789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  644792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  644795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644846 */     GIR_RootConstrainSelectedInstOperands,
     /*  644847 */     // GIR_Coverage, 6816,
     /*  644847 */     GIR_EraseRootFromParent_Done,
     /*  644848 */   // Label 10323: @644848
     /*  644848 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(644923), // Rule ID 6819 //
     /*  644853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  644864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  644867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  644870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644921 */     GIR_RootConstrainSelectedInstOperands,
     /*  644922 */     // GIR_Coverage, 6819,
     /*  644922 */     GIR_EraseRootFromParent_Done,
     /*  644923 */   // Label 10324: @644923
     /*  644923 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(644998), // Rule ID 6820 //
     /*  644928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  644939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  644942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  644945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644996 */     GIR_RootConstrainSelectedInstOperands,
     /*  644997 */     // GIR_Coverage, 6820,
     /*  644997 */     GIR_EraseRootFromParent_Done,
     /*  644998 */   // Label 10325: @644998
     /*  644998 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(645073), // Rule ID 6823 //
     /*  645003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645071 */     GIR_RootConstrainSelectedInstOperands,
     /*  645072 */     // GIR_Coverage, 6823,
     /*  645072 */     GIR_EraseRootFromParent_Done,
     /*  645073 */   // Label 10326: @645073
     /*  645073 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(645148), // Rule ID 6824 //
     /*  645078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645146 */     GIR_RootConstrainSelectedInstOperands,
     /*  645147 */     // GIR_Coverage, 6824,
     /*  645147 */     GIR_EraseRootFromParent_Done,
     /*  645148 */   // Label 10327: @645148
     /*  645148 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(645223), // Rule ID 6827 //
     /*  645153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645221 */     GIR_RootConstrainSelectedInstOperands,
     /*  645222 */     // GIR_Coverage, 6827,
     /*  645222 */     GIR_EraseRootFromParent_Done,
     /*  645223 */   // Label 10328: @645223
     /*  645223 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(645298), // Rule ID 6828 //
     /*  645228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645296 */     GIR_RootConstrainSelectedInstOperands,
     /*  645297 */     // GIR_Coverage, 6828,
     /*  645297 */     GIR_EraseRootFromParent_Done,
     /*  645298 */   // Label 10329: @645298
     /*  645298 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(645373), // Rule ID 6831 //
     /*  645303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645349 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645371 */     GIR_RootConstrainSelectedInstOperands,
     /*  645372 */     // GIR_Coverage, 6831,
     /*  645372 */     GIR_EraseRootFromParent_Done,
     /*  645373 */   // Label 10330: @645373
     /*  645373 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(645448), // Rule ID 6832 //
     /*  645378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645446 */     GIR_RootConstrainSelectedInstOperands,
     /*  645447 */     // GIR_Coverage, 6832,
     /*  645447 */     GIR_EraseRootFromParent_Done,
     /*  645448 */   // Label 10331: @645448
     /*  645448 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(645523), // Rule ID 6835 //
     /*  645453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645499 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645521 */     GIR_RootConstrainSelectedInstOperands,
     /*  645522 */     // GIR_Coverage, 6835,
     /*  645522 */     GIR_EraseRootFromParent_Done,
     /*  645523 */   // Label 10332: @645523
     /*  645523 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(645598), // Rule ID 6836 //
     /*  645528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645596 */     GIR_RootConstrainSelectedInstOperands,
     /*  645597 */     // GIR_Coverage, 6836,
     /*  645597 */     GIR_EraseRootFromParent_Done,
     /*  645598 */   // Label 10333: @645598
     /*  645598 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645673), // Rule ID 6839 //
     /*  645603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  645614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  645617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  645620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645649 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645671 */     GIR_RootConstrainSelectedInstOperands,
     /*  645672 */     // GIR_Coverage, 6839,
     /*  645672 */     GIR_EraseRootFromParent_Done,
     /*  645673 */   // Label 10334: @645673
     /*  645673 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645748), // Rule ID 6840 //
     /*  645678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  645689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  645692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  645695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645746 */     GIR_RootConstrainSelectedInstOperands,
     /*  645747 */     // GIR_Coverage, 6840,
     /*  645747 */     GIR_EraseRootFromParent_Done,
     /*  645748 */   // Label 10335: @645748
     /*  645748 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645823), // Rule ID 6843 //
     /*  645753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  645764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  645767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  645770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645821 */     GIR_RootConstrainSelectedInstOperands,
     /*  645822 */     // GIR_Coverage, 6843,
     /*  645822 */     GIR_EraseRootFromParent_Done,
     /*  645823 */   // Label 10336: @645823
     /*  645823 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645898), // Rule ID 6844 //
     /*  645828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  645839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  645842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  645845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645896 */     GIR_RootConstrainSelectedInstOperands,
     /*  645897 */     // GIR_Coverage, 6844,
     /*  645897 */     GIR_EraseRootFromParent_Done,
     /*  645898 */   // Label 10337: @645898
     /*  645898 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(645973), // Rule ID 6847 //
     /*  645903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  645914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  645917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  645920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645949 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645971 */     GIR_RootConstrainSelectedInstOperands,
     /*  645972 */     // GIR_Coverage, 6847,
     /*  645972 */     GIR_EraseRootFromParent_Done,
     /*  645973 */   // Label 10338: @645973
     /*  645973 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(646048), // Rule ID 6848 //
     /*  645978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  645989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  645992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  645995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646046 */     GIR_RootConstrainSelectedInstOperands,
     /*  646047 */     // GIR_Coverage, 6848,
     /*  646047 */     GIR_EraseRootFromParent_Done,
     /*  646048 */   // Label 10339: @646048
     /*  646048 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(646123), // Rule ID 6851 //
     /*  646053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646121 */     GIR_RootConstrainSelectedInstOperands,
     /*  646122 */     // GIR_Coverage, 6851,
     /*  646122 */     GIR_EraseRootFromParent_Done,
     /*  646123 */   // Label 10340: @646123
     /*  646123 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(646198), // Rule ID 6852 //
     /*  646128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646196 */     GIR_RootConstrainSelectedInstOperands,
     /*  646197 */     // GIR_Coverage, 6852,
     /*  646197 */     GIR_EraseRootFromParent_Done,
     /*  646198 */   // Label 10341: @646198
     /*  646198 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(646273), // Rule ID 6855 //
     /*  646203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646271 */     GIR_RootConstrainSelectedInstOperands,
     /*  646272 */     // GIR_Coverage, 6855,
     /*  646272 */     GIR_EraseRootFromParent_Done,
     /*  646273 */   // Label 10342: @646273
     /*  646273 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(646348), // Rule ID 6856 //
     /*  646278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646346 */     GIR_RootConstrainSelectedInstOperands,
     /*  646347 */     // GIR_Coverage, 6856,
     /*  646347 */     GIR_EraseRootFromParent_Done,
     /*  646348 */   // Label 10343: @646348
     /*  646348 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(646423), // Rule ID 6859 //
     /*  646353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646421 */     GIR_RootConstrainSelectedInstOperands,
     /*  646422 */     // GIR_Coverage, 6859,
     /*  646422 */     GIR_EraseRootFromParent_Done,
     /*  646423 */   // Label 10344: @646423
     /*  646423 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(646498), // Rule ID 6860 //
     /*  646428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646496 */     GIR_RootConstrainSelectedInstOperands,
     /*  646497 */     // GIR_Coverage, 6860,
     /*  646497 */     GIR_EraseRootFromParent_Done,
     /*  646498 */   // Label 10345: @646498
     /*  646498 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(646573), // Rule ID 6863 //
     /*  646503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646571 */     GIR_RootConstrainSelectedInstOperands,
     /*  646572 */     // GIR_Coverage, 6863,
     /*  646572 */     GIR_EraseRootFromParent_Done,
     /*  646573 */   // Label 10346: @646573
     /*  646573 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(646648), // Rule ID 6864 //
     /*  646578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646646 */     GIR_RootConstrainSelectedInstOperands,
     /*  646647 */     // GIR_Coverage, 6864,
     /*  646647 */     GIR_EraseRootFromParent_Done,
     /*  646648 */   // Label 10347: @646648
     /*  646648 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646723), // Rule ID 6867 //
     /*  646653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  646664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  646667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  646670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646721 */     GIR_RootConstrainSelectedInstOperands,
     /*  646722 */     // GIR_Coverage, 6867,
     /*  646722 */     GIR_EraseRootFromParent_Done,
     /*  646723 */   // Label 10348: @646723
     /*  646723 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646798), // Rule ID 6868 //
     /*  646728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  646739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  646742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  646745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646796 */     GIR_RootConstrainSelectedInstOperands,
     /*  646797 */     // GIR_Coverage, 6868,
     /*  646797 */     GIR_EraseRootFromParent_Done,
     /*  646798 */   // Label 10349: @646798
     /*  646798 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646873), // Rule ID 6871 //
     /*  646803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  646814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  646817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  646820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646871 */     GIR_RootConstrainSelectedInstOperands,
     /*  646872 */     // GIR_Coverage, 6871,
     /*  646872 */     GIR_EraseRootFromParent_Done,
     /*  646873 */   // Label 10350: @646873
     /*  646873 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(646948), // Rule ID 6872 //
     /*  646878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  646889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  646892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  646895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646946 */     GIR_RootConstrainSelectedInstOperands,
     /*  646947 */     // GIR_Coverage, 6872,
     /*  646947 */     GIR_EraseRootFromParent_Done,
     /*  646948 */   // Label 10351: @646948
     /*  646948 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(647023), // Rule ID 6875 //
     /*  646953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  646964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  646967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  646970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647021 */     GIR_RootConstrainSelectedInstOperands,
     /*  647022 */     // GIR_Coverage, 6875,
     /*  647022 */     GIR_EraseRootFromParent_Done,
     /*  647023 */   // Label 10352: @647023
     /*  647023 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(647098), // Rule ID 6876 //
     /*  647028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647096 */     GIR_RootConstrainSelectedInstOperands,
     /*  647097 */     // GIR_Coverage, 6876,
     /*  647097 */     GIR_EraseRootFromParent_Done,
     /*  647098 */   // Label 10353: @647098
     /*  647098 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(647173), // Rule ID 6967 //
     /*  647103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647171 */     GIR_RootConstrainSelectedInstOperands,
     /*  647172 */     // GIR_Coverage, 6967,
     /*  647172 */     GIR_EraseRootFromParent_Done,
     /*  647173 */   // Label 10354: @647173
     /*  647173 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(647248), // Rule ID 6968 //
     /*  647178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647246 */     GIR_RootConstrainSelectedInstOperands,
     /*  647247 */     // GIR_Coverage, 6968,
     /*  647247 */     GIR_EraseRootFromParent_Done,
     /*  647248 */   // Label 10355: @647248
     /*  647248 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(647323), // Rule ID 6971 //
     /*  647253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647299 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647321 */     GIR_RootConstrainSelectedInstOperands,
     /*  647322 */     // GIR_Coverage, 6971,
     /*  647322 */     GIR_EraseRootFromParent_Done,
     /*  647323 */   // Label 10356: @647323
     /*  647323 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(647398), // Rule ID 6972 //
     /*  647328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647396 */     GIR_RootConstrainSelectedInstOperands,
     /*  647397 */     // GIR_Coverage, 6972,
     /*  647397 */     GIR_EraseRootFromParent_Done,
     /*  647398 */   // Label 10357: @647398
     /*  647398 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(647473), // Rule ID 6975 //
     /*  647403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647471 */     GIR_RootConstrainSelectedInstOperands,
     /*  647472 */     // GIR_Coverage, 6975,
     /*  647472 */     GIR_EraseRootFromParent_Done,
     /*  647473 */   // Label 10358: @647473
     /*  647473 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(647548), // Rule ID 6976 //
     /*  647478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647546 */     GIR_RootConstrainSelectedInstOperands,
     /*  647547 */     // GIR_Coverage, 6976,
     /*  647547 */     GIR_EraseRootFromParent_Done,
     /*  647548 */   // Label 10359: @647548
     /*  647548 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(647623), // Rule ID 6979 //
     /*  647553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647599 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647621 */     GIR_RootConstrainSelectedInstOperands,
     /*  647622 */     // GIR_Coverage, 6979,
     /*  647622 */     GIR_EraseRootFromParent_Done,
     /*  647623 */   // Label 10360: @647623
     /*  647623 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647698), // Rule ID 6980 //
     /*  647628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647696 */     GIR_RootConstrainSelectedInstOperands,
     /*  647697 */     // GIR_Coverage, 6980,
     /*  647697 */     GIR_EraseRootFromParent_Done,
     /*  647698 */   // Label 10361: @647698
     /*  647698 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647773), // Rule ID 6983 //
     /*  647703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  647714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  647717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  647723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647771 */     GIR_RootConstrainSelectedInstOperands,
     /*  647772 */     // GIR_Coverage, 6983,
     /*  647772 */     GIR_EraseRootFromParent_Done,
     /*  647773 */   // Label 10362: @647773
     /*  647773 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647848), // Rule ID 6984 //
     /*  647778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  647789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  647792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  647798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647846 */     GIR_RootConstrainSelectedInstOperands,
     /*  647847 */     // GIR_Coverage, 6984,
     /*  647847 */     GIR_EraseRootFromParent_Done,
     /*  647848 */   // Label 10363: @647848
     /*  647848 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(647923), // Rule ID 6987 //
     /*  647853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  647864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  647867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  647870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  647873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647921 */     GIR_RootConstrainSelectedInstOperands,
     /*  647922 */     // GIR_Coverage, 6987,
     /*  647922 */     GIR_EraseRootFromParent_Done,
     /*  647923 */   // Label 10364: @647923
     /*  647923 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(647998), // Rule ID 6988 //
     /*  647928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  647939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  647942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  647945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  647948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647996 */     GIR_RootConstrainSelectedInstOperands,
     /*  647997 */     // GIR_Coverage, 6988,
     /*  647997 */     GIR_EraseRootFromParent_Done,
     /*  647998 */   // Label 10365: @647998
     /*  647998 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(648073), // Rule ID 6991 //
     /*  648003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648049 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648071 */     GIR_RootConstrainSelectedInstOperands,
     /*  648072 */     // GIR_Coverage, 6991,
     /*  648072 */     GIR_EraseRootFromParent_Done,
     /*  648073 */   // Label 10366: @648073
     /*  648073 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(648148), // Rule ID 6992 //
     /*  648078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648146 */     GIR_RootConstrainSelectedInstOperands,
     /*  648147 */     // GIR_Coverage, 6992,
     /*  648147 */     GIR_EraseRootFromParent_Done,
     /*  648148 */   // Label 10367: @648148
     /*  648148 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(648223), // Rule ID 6995 //
     /*  648153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648221 */     GIR_RootConstrainSelectedInstOperands,
     /*  648222 */     // GIR_Coverage, 6995,
     /*  648222 */     GIR_EraseRootFromParent_Done,
     /*  648223 */   // Label 10368: @648223
     /*  648223 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(648298), // Rule ID 6996 //
     /*  648228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648296 */     GIR_RootConstrainSelectedInstOperands,
     /*  648297 */     // GIR_Coverage, 6996,
     /*  648297 */     GIR_EraseRootFromParent_Done,
     /*  648298 */   // Label 10369: @648298
     /*  648298 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(648373), // Rule ID 6999 //
     /*  648303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648371 */     GIR_RootConstrainSelectedInstOperands,
     /*  648372 */     // GIR_Coverage, 6999,
     /*  648372 */     GIR_EraseRootFromParent_Done,
     /*  648373 */   // Label 10370: @648373
     /*  648373 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(648448), // Rule ID 7000 //
     /*  648378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648446 */     GIR_RootConstrainSelectedInstOperands,
     /*  648447 */     // GIR_Coverage, 7000,
     /*  648447 */     GIR_EraseRootFromParent_Done,
     /*  648448 */   // Label 10371: @648448
     /*  648448 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(648523), // Rule ID 7003 //
     /*  648453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648521 */     GIR_RootConstrainSelectedInstOperands,
     /*  648522 */     // GIR_Coverage, 7003,
     /*  648522 */     GIR_EraseRootFromParent_Done,
     /*  648523 */   // Label 10372: @648523
     /*  648523 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(648598), // Rule ID 7004 //
     /*  648528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648596 */     GIR_RootConstrainSelectedInstOperands,
     /*  648597 */     // GIR_Coverage, 7004,
     /*  648597 */     GIR_EraseRootFromParent_Done,
     /*  648598 */   // Label 10373: @648598
     /*  648598 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648673), // Rule ID 7007 //
     /*  648603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  648620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648649 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648671 */     GIR_RootConstrainSelectedInstOperands,
     /*  648672 */     // GIR_Coverage, 7007,
     /*  648672 */     GIR_EraseRootFromParent_Done,
     /*  648673 */   // Label 10374: @648673
     /*  648673 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648748), // Rule ID 7008 //
     /*  648678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  648695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648746 */     GIR_RootConstrainSelectedInstOperands,
     /*  648747 */     // GIR_Coverage, 7008,
     /*  648747 */     GIR_EraseRootFromParent_Done,
     /*  648748 */   // Label 10375: @648748
     /*  648748 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648823), // Rule ID 7011 //
     /*  648753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  648770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648799 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648821 */     GIR_RootConstrainSelectedInstOperands,
     /*  648822 */     // GIR_Coverage, 7011,
     /*  648822 */     GIR_EraseRootFromParent_Done,
     /*  648823 */   // Label 10376: @648823
     /*  648823 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648898), // Rule ID 7012 //
     /*  648828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  648845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648896 */     GIR_RootConstrainSelectedInstOperands,
     /*  648897 */     // GIR_Coverage, 7012,
     /*  648897 */     GIR_EraseRootFromParent_Done,
     /*  648898 */   // Label 10377: @648898
     /*  648898 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(648973), // Rule ID 7015 //
     /*  648903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  648914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  648917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  648920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  648923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  648952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648971 */     GIR_RootConstrainSelectedInstOperands,
     /*  648972 */     // GIR_Coverage, 7015,
     /*  648972 */     GIR_EraseRootFromParent_Done,
     /*  648973 */   // Label 10378: @648973
     /*  648973 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(649048), // Rule ID 7016 //
     /*  648978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  648989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  648992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  648995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  648998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649046 */     GIR_RootConstrainSelectedInstOperands,
     /*  649047 */     // GIR_Coverage, 7016,
     /*  649047 */     GIR_EraseRootFromParent_Done,
     /*  649048 */   // Label 10379: @649048
     /*  649048 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(649123), // Rule ID 7019 //
     /*  649053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649121 */     GIR_RootConstrainSelectedInstOperands,
     /*  649122 */     // GIR_Coverage, 7019,
     /*  649122 */     GIR_EraseRootFromParent_Done,
     /*  649123 */   // Label 10380: @649123
     /*  649123 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(649198), // Rule ID 7020 //
     /*  649128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649196 */     GIR_RootConstrainSelectedInstOperands,
     /*  649197 */     // GIR_Coverage, 7020,
     /*  649197 */     GIR_EraseRootFromParent_Done,
     /*  649198 */   // Label 10381: @649198
     /*  649198 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(649273), // Rule ID 7023 //
     /*  649203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649271 */     GIR_RootConstrainSelectedInstOperands,
     /*  649272 */     // GIR_Coverage, 7023,
     /*  649272 */     GIR_EraseRootFromParent_Done,
     /*  649273 */   // Label 10382: @649273
     /*  649273 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(649348), // Rule ID 7024 //
     /*  649278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649346 */     GIR_RootConstrainSelectedInstOperands,
     /*  649347 */     // GIR_Coverage, 7024,
     /*  649347 */     GIR_EraseRootFromParent_Done,
     /*  649348 */   // Label 10383: @649348
     /*  649348 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(649423), // Rule ID 7027 //
     /*  649353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649421 */     GIR_RootConstrainSelectedInstOperands,
     /*  649422 */     // GIR_Coverage, 7027,
     /*  649422 */     GIR_EraseRootFromParent_Done,
     /*  649423 */   // Label 10384: @649423
     /*  649423 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(649498), // Rule ID 7028 //
     /*  649428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649496 */     GIR_RootConstrainSelectedInstOperands,
     /*  649497 */     // GIR_Coverage, 7028,
     /*  649497 */     GIR_EraseRootFromParent_Done,
     /*  649498 */   // Label 10385: @649498
     /*  649498 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(649573), // Rule ID 7031 //
     /*  649503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649571 */     GIR_RootConstrainSelectedInstOperands,
     /*  649572 */     // GIR_Coverage, 7031,
     /*  649572 */     GIR_EraseRootFromParent_Done,
     /*  649573 */   // Label 10386: @649573
     /*  649573 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(649648), // Rule ID 7032 //
     /*  649578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649646 */     GIR_RootConstrainSelectedInstOperands,
     /*  649647 */     // GIR_Coverage, 7032,
     /*  649647 */     GIR_EraseRootFromParent_Done,
     /*  649648 */   // Label 10387: @649648
     /*  649648 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649723), // Rule ID 7035 //
     /*  649653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649721 */     GIR_RootConstrainSelectedInstOperands,
     /*  649722 */     // GIR_Coverage, 7035,
     /*  649722 */     GIR_EraseRootFromParent_Done,
     /*  649723 */   // Label 10388: @649723
     /*  649723 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649798), // Rule ID 7036 //
     /*  649728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649796 */     GIR_RootConstrainSelectedInstOperands,
     /*  649797 */     // GIR_Coverage, 7036,
     /*  649797 */     GIR_EraseRootFromParent_Done,
     /*  649798 */   // Label 10389: @649798
     /*  649798 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649873), // Rule ID 7039 //
     /*  649803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  649817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  649823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649871 */     GIR_RootConstrainSelectedInstOperands,
     /*  649872 */     // GIR_Coverage, 7039,
     /*  649872 */     GIR_EraseRootFromParent_Done,
     /*  649873 */   // Label 10390: @649873
     /*  649873 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(649948), // Rule ID 7040 //
     /*  649878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  649892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  649898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649946 */     GIR_RootConstrainSelectedInstOperands,
     /*  649947 */     // GIR_Coverage, 7040,
     /*  649947 */     GIR_EraseRootFromParent_Done,
     /*  649948 */   // Label 10391: @649948
     /*  649948 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(650023), // Rule ID 7043 //
     /*  649953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  649956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  649964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  649967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  649970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  649973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  649999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650021 */     GIR_RootConstrainSelectedInstOperands,
     /*  650022 */     // GIR_Coverage, 7043,
     /*  650022 */     GIR_EraseRootFromParent_Done,
     /*  650023 */   // Label 10392: @650023
     /*  650023 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(650098), // Rule ID 7044 //
     /*  650028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  650045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  650048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650096 */     GIR_RootConstrainSelectedInstOperands,
     /*  650097 */     // GIR_Coverage, 7044,
     /*  650097 */     GIR_EraseRootFromParent_Done,
     /*  650098 */   // Label 10393: @650098
     /*  650098 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(650173), // Rule ID 7047 //
     /*  650103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650171 */     GIR_RootConstrainSelectedInstOperands,
     /*  650172 */     // GIR_Coverage, 7047,
     /*  650172 */     GIR_EraseRootFromParent_Done,
     /*  650173 */   // Label 10394: @650173
     /*  650173 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(650248), // Rule ID 7048 //
     /*  650178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650246 */     GIR_RootConstrainSelectedInstOperands,
     /*  650247 */     // GIR_Coverage, 7048,
     /*  650247 */     GIR_EraseRootFromParent_Done,
     /*  650248 */   // Label 10395: @650248
     /*  650248 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(650323), // Rule ID 7051 //
     /*  650253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650321 */     GIR_RootConstrainSelectedInstOperands,
     /*  650322 */     // GIR_Coverage, 7051,
     /*  650322 */     GIR_EraseRootFromParent_Done,
     /*  650323 */   // Label 10396: @650323
     /*  650323 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(650398), // Rule ID 7052 //
     /*  650328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650396 */     GIR_RootConstrainSelectedInstOperands,
     /*  650397 */     // GIR_Coverage, 7052,
     /*  650397 */     GIR_EraseRootFromParent_Done,
     /*  650398 */   // Label 10397: @650398
     /*  650398 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(650473), // Rule ID 7055 //
     /*  650403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650471 */     GIR_RootConstrainSelectedInstOperands,
     /*  650472 */     // GIR_Coverage, 7055,
     /*  650472 */     GIR_EraseRootFromParent_Done,
     /*  650473 */   // Label 10398: @650473
     /*  650473 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(650548), // Rule ID 7056 //
     /*  650478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650546 */     GIR_RootConstrainSelectedInstOperands,
     /*  650547 */     // GIR_Coverage, 7056,
     /*  650547 */     GIR_EraseRootFromParent_Done,
     /*  650548 */   // Label 10399: @650548
     /*  650548 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(650623), // Rule ID 7059 //
     /*  650553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650621 */     GIR_RootConstrainSelectedInstOperands,
     /*  650622 */     // GIR_Coverage, 7059,
     /*  650622 */     GIR_EraseRootFromParent_Done,
     /*  650623 */   // Label 10400: @650623
     /*  650623 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650698), // Rule ID 7060 //
     /*  650628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650696 */     GIR_RootConstrainSelectedInstOperands,
     /*  650697 */     // GIR_Coverage, 7060,
     /*  650697 */     GIR_EraseRootFromParent_Done,
     /*  650698 */   // Label 10401: @650698
     /*  650698 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650773), // Rule ID 7063 //
     /*  650703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  650720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  650752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650771 */     GIR_RootConstrainSelectedInstOperands,
     /*  650772 */     // GIR_Coverage, 7063,
     /*  650772 */     GIR_EraseRootFromParent_Done,
     /*  650773 */   // Label 10402: @650773
     /*  650773 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650848), // Rule ID 7064 //
     /*  650778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  650795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  650827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650846 */     GIR_RootConstrainSelectedInstOperands,
     /*  650847 */     // GIR_Coverage, 7064,
     /*  650847 */     GIR_EraseRootFromParent_Done,
     /*  650848 */   // Label 10403: @650848
     /*  650848 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(650923), // Rule ID 7067 //
     /*  650853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650921 */     GIR_RootConstrainSelectedInstOperands,
     /*  650922 */     // GIR_Coverage, 7067,
     /*  650922 */     GIR_EraseRootFromParent_Done,
     /*  650923 */   // Label 10404: @650923
     /*  650923 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(650998), // Rule ID 7068 //
     /*  650928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650996 */     GIR_RootConstrainSelectedInstOperands,
     /*  650997 */     // GIR_Coverage, 7068,
     /*  650997 */     GIR_EraseRootFromParent_Done,
     /*  650998 */   // Label 10405: @650998
     /*  650998 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(651073), // Rule ID 7071 //
     /*  651003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651071 */     GIR_RootConstrainSelectedInstOperands,
     /*  651072 */     // GIR_Coverage, 7071,
     /*  651072 */     GIR_EraseRootFromParent_Done,
     /*  651073 */   // Label 10406: @651073
     /*  651073 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(651148), // Rule ID 7072 //
     /*  651078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651146 */     GIR_RootConstrainSelectedInstOperands,
     /*  651147 */     // GIR_Coverage, 7072,
     /*  651147 */     GIR_EraseRootFromParent_Done,
     /*  651148 */   // Label 10407: @651148
     /*  651148 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(651223), // Rule ID 7075 //
     /*  651153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651221 */     GIR_RootConstrainSelectedInstOperands,
     /*  651222 */     // GIR_Coverage, 7075,
     /*  651222 */     GIR_EraseRootFromParent_Done,
     /*  651223 */   // Label 10408: @651223
     /*  651223 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(651298), // Rule ID 7076 //
     /*  651228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651296 */     GIR_RootConstrainSelectedInstOperands,
     /*  651297 */     // GIR_Coverage, 7076,
     /*  651297 */     GIR_EraseRootFromParent_Done,
     /*  651298 */   // Label 10409: @651298
     /*  651298 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(651373), // Rule ID 7079 //
     /*  651303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651349 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651371 */     GIR_RootConstrainSelectedInstOperands,
     /*  651372 */     // GIR_Coverage, 7079,
     /*  651372 */     GIR_EraseRootFromParent_Done,
     /*  651373 */   // Label 10410: @651373
     /*  651373 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(651448), // Rule ID 7080 //
     /*  651378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651446 */     GIR_RootConstrainSelectedInstOperands,
     /*  651447 */     // GIR_Coverage, 7080,
     /*  651447 */     GIR_EraseRootFromParent_Done,
     /*  651448 */   // Label 10411: @651448
     /*  651448 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(651523), // Rule ID 7083 //
     /*  651453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651521 */     GIR_RootConstrainSelectedInstOperands,
     /*  651522 */     // GIR_Coverage, 7083,
     /*  651522 */     GIR_EraseRootFromParent_Done,
     /*  651523 */   // Label 10412: @651523
     /*  651523 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(651598), // Rule ID 7084 //
     /*  651528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651596 */     GIR_RootConstrainSelectedInstOperands,
     /*  651597 */     // GIR_Coverage, 7084,
     /*  651597 */     GIR_EraseRootFromParent_Done,
     /*  651598 */   // Label 10413: @651598
     /*  651598 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651673), // Rule ID 7087 //
     /*  651603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651671 */     GIR_RootConstrainSelectedInstOperands,
     /*  651672 */     // GIR_Coverage, 7087,
     /*  651672 */     GIR_EraseRootFromParent_Done,
     /*  651673 */   // Label 10414: @651673
     /*  651673 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651748), // Rule ID 7088 //
     /*  651678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651746 */     GIR_RootConstrainSelectedInstOperands,
     /*  651747 */     // GIR_Coverage, 7088,
     /*  651747 */     GIR_EraseRootFromParent_Done,
     /*  651748 */   // Label 10415: @651748
     /*  651748 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651823), // Rule ID 7091 //
     /*  651753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  651764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  651767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651821 */     GIR_RootConstrainSelectedInstOperands,
     /*  651822 */     // GIR_Coverage, 7091,
     /*  651822 */     GIR_EraseRootFromParent_Done,
     /*  651823 */   // Label 10416: @651823
     /*  651823 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651898), // Rule ID 7092 //
     /*  651828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  651839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  651842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651896 */     GIR_RootConstrainSelectedInstOperands,
     /*  651897 */     // GIR_Coverage, 7092,
     /*  651897 */     GIR_EraseRootFromParent_Done,
     /*  651898 */   // Label 10417: @651898
     /*  651898 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(651973), // Rule ID 7095 //
     /*  651903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  651914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  651917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  651952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651971 */     GIR_RootConstrainSelectedInstOperands,
     /*  651972 */     // GIR_Coverage, 7095,
     /*  651972 */     GIR_EraseRootFromParent_Done,
     /*  651973 */   // Label 10418: @651973
     /*  651973 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(652048), // Rule ID 7096 //
     /*  651978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  651989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  651992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652046 */     GIR_RootConstrainSelectedInstOperands,
     /*  652047 */     // GIR_Coverage, 7096,
     /*  652047 */     GIR_EraseRootFromParent_Done,
     /*  652048 */   // Label 10419: @652048
     /*  652048 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(652123), // Rule ID 7099 //
     /*  652053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652121 */     GIR_RootConstrainSelectedInstOperands,
     /*  652122 */     // GIR_Coverage, 7099,
     /*  652122 */     GIR_EraseRootFromParent_Done,
     /*  652123 */   // Label 10420: @652123
     /*  652123 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(652198), // Rule ID 7100 //
     /*  652128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652196 */     GIR_RootConstrainSelectedInstOperands,
     /*  652197 */     // GIR_Coverage, 7100,
     /*  652197 */     GIR_EraseRootFromParent_Done,
     /*  652198 */   // Label 10421: @652198
     /*  652198 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(652273), // Rule ID 7103 //
     /*  652203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652271 */     GIR_RootConstrainSelectedInstOperands,
     /*  652272 */     // GIR_Coverage, 7103,
     /*  652272 */     GIR_EraseRootFromParent_Done,
     /*  652273 */   // Label 10422: @652273
     /*  652273 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(652348), // Rule ID 7104 //
     /*  652278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652346 */     GIR_RootConstrainSelectedInstOperands,
     /*  652347 */     // GIR_Coverage, 7104,
     /*  652347 */     GIR_EraseRootFromParent_Done,
     /*  652348 */   // Label 10423: @652348
     /*  652348 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(652423), // Rule ID 7107 //
     /*  652353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652421 */     GIR_RootConstrainSelectedInstOperands,
     /*  652422 */     // GIR_Coverage, 7107,
     /*  652422 */     GIR_EraseRootFromParent_Done,
     /*  652423 */   // Label 10424: @652423
     /*  652423 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(652498), // Rule ID 7108 //
     /*  652428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652496 */     GIR_RootConstrainSelectedInstOperands,
     /*  652497 */     // GIR_Coverage, 7108,
     /*  652497 */     GIR_EraseRootFromParent_Done,
     /*  652498 */   // Label 10425: @652498
     /*  652498 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(652573), // Rule ID 7111 //
     /*  652503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652571 */     GIR_RootConstrainSelectedInstOperands,
     /*  652572 */     // GIR_Coverage, 7111,
     /*  652572 */     GIR_EraseRootFromParent_Done,
     /*  652573 */   // Label 10426: @652573
     /*  652573 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(652648), // Rule ID 7112 //
     /*  652578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652646 */     GIR_RootConstrainSelectedInstOperands,
     /*  652647 */     // GIR_Coverage, 7112,
     /*  652647 */     GIR_EraseRootFromParent_Done,
     /*  652648 */   // Label 10427: @652648
     /*  652648 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652723), // Rule ID 7115 //
     /*  652653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  652664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  652667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  652670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652721 */     GIR_RootConstrainSelectedInstOperands,
     /*  652722 */     // GIR_Coverage, 7115,
     /*  652722 */     GIR_EraseRootFromParent_Done,
     /*  652723 */   // Label 10428: @652723
     /*  652723 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652798), // Rule ID 7116 //
     /*  652728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  652739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  652742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  652745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652796 */     GIR_RootConstrainSelectedInstOperands,
     /*  652797 */     // GIR_Coverage, 7116,
     /*  652797 */     GIR_EraseRootFromParent_Done,
     /*  652798 */   // Label 10429: @652798
     /*  652798 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652873), // Rule ID 7119 //
     /*  652803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  652814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  652817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652871 */     GIR_RootConstrainSelectedInstOperands,
     /*  652872 */     // GIR_Coverage, 7119,
     /*  652872 */     GIR_EraseRootFromParent_Done,
     /*  652873 */   // Label 10430: @652873
     /*  652873 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(652948), // Rule ID 7120 //
     /*  652878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  652889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  652892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652946 */     GIR_RootConstrainSelectedInstOperands,
     /*  652947 */     // GIR_Coverage, 7120,
     /*  652947 */     GIR_EraseRootFromParent_Done,
     /*  652948 */   // Label 10431: @652948
     /*  652948 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(653023), // Rule ID 7123 //
     /*  652953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  652970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653021 */     GIR_RootConstrainSelectedInstOperands,
     /*  653022 */     // GIR_Coverage, 7123,
     /*  653022 */     GIR_EraseRootFromParent_Done,
     /*  653023 */   // Label 10432: @653023
     /*  653023 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(653098), // Rule ID 7124 //
     /*  653028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  653039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  653042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653096 */     GIR_RootConstrainSelectedInstOperands,
     /*  653097 */     // GIR_Coverage, 7124,
     /*  653097 */     GIR_EraseRootFromParent_Done,
     /*  653098 */   // Label 10433: @653098
     /*  653098 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(653173), // Rule ID 7127 //
     /*  653103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653171 */     GIR_RootConstrainSelectedInstOperands,
     /*  653172 */     // GIR_Coverage, 7127,
     /*  653172 */     GIR_EraseRootFromParent_Done,
     /*  653173 */   // Label 10434: @653173
     /*  653173 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(653248), // Rule ID 7128 //
     /*  653178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653246 */     GIR_RootConstrainSelectedInstOperands,
     /*  653247 */     // GIR_Coverage, 7128,
     /*  653247 */     GIR_EraseRootFromParent_Done,
     /*  653248 */   // Label 10435: @653248
     /*  653248 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(653323), // Rule ID 7131 //
     /*  653253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653321 */     GIR_RootConstrainSelectedInstOperands,
     /*  653322 */     // GIR_Coverage, 7131,
     /*  653322 */     GIR_EraseRootFromParent_Done,
     /*  653323 */   // Label 10436: @653323
     /*  653323 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(653398), // Rule ID 7132 //
     /*  653328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653396 */     GIR_RootConstrainSelectedInstOperands,
     /*  653397 */     // GIR_Coverage, 7132,
     /*  653397 */     GIR_EraseRootFromParent_Done,
     /*  653398 */   // Label 10437: @653398
     /*  653398 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(653473), // Rule ID 7135 //
     /*  653403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653471 */     GIR_RootConstrainSelectedInstOperands,
     /*  653472 */     // GIR_Coverage, 7135,
     /*  653472 */     GIR_EraseRootFromParent_Done,
     /*  653473 */   // Label 10438: @653473
     /*  653473 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(653548), // Rule ID 7136 //
     /*  653478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653546 */     GIR_RootConstrainSelectedInstOperands,
     /*  653547 */     // GIR_Coverage, 7136,
     /*  653547 */     GIR_EraseRootFromParent_Done,
     /*  653548 */   // Label 10439: @653548
     /*  653548 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(653623), // Rule ID 7139 //
     /*  653553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653621 */     GIR_RootConstrainSelectedInstOperands,
     /*  653622 */     // GIR_Coverage, 7139,
     /*  653622 */     GIR_EraseRootFromParent_Done,
     /*  653623 */   // Label 10440: @653623
     /*  653623 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653698), // Rule ID 7140 //
     /*  653628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653696 */     GIR_RootConstrainSelectedInstOperands,
     /*  653697 */     // GIR_Coverage, 7140,
     /*  653697 */     GIR_EraseRootFromParent_Done,
     /*  653698 */   // Label 10441: @653698
     /*  653698 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653773), // Rule ID 7319 //
     /*  653703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  653714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  653717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  653720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  653723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653749 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  653752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653771 */     GIR_RootConstrainSelectedInstOperands,
     /*  653772 */     // GIR_Coverage, 7319,
     /*  653772 */     GIR_EraseRootFromParent_Done,
     /*  653773 */   // Label 10442: @653773
     /*  653773 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653848), // Rule ID 7320 //
     /*  653778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  653789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  653792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  653795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  653798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  653827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653846 */     GIR_RootConstrainSelectedInstOperands,
     /*  653847 */     // GIR_Coverage, 7320,
     /*  653847 */     GIR_EraseRootFromParent_Done,
     /*  653848 */   // Label 10443: @653848
     /*  653848 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(653923), // Rule ID 7323 //
     /*  653853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  653864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  653867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  653870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  653902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653921 */     GIR_RootConstrainSelectedInstOperands,
     /*  653922 */     // GIR_Coverage, 7323,
     /*  653922 */     GIR_EraseRootFromParent_Done,
     /*  653923 */   // Label 10444: @653923
     /*  653923 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(653998), // Rule ID 7324 //
     /*  653928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  653939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  653942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  653945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  653977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653996 */     GIR_RootConstrainSelectedInstOperands,
     /*  653997 */     // GIR_Coverage, 7324,
     /*  653997 */     GIR_EraseRootFromParent_Done,
     /*  653998 */   // Label 10445: @653998
     /*  653998 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(654073), // Rule ID 7327 //
     /*  654003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654071 */     GIR_RootConstrainSelectedInstOperands,
     /*  654072 */     // GIR_Coverage, 7327,
     /*  654072 */     GIR_EraseRootFromParent_Done,
     /*  654073 */   // Label 10446: @654073
     /*  654073 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(654148), // Rule ID 7328 //
     /*  654078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654146 */     GIR_RootConstrainSelectedInstOperands,
     /*  654147 */     // GIR_Coverage, 7328,
     /*  654147 */     GIR_EraseRootFromParent_Done,
     /*  654148 */   // Label 10447: @654148
     /*  654148 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(654223), // Rule ID 7331 //
     /*  654153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654199 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654221 */     GIR_RootConstrainSelectedInstOperands,
     /*  654222 */     // GIR_Coverage, 7331,
     /*  654222 */     GIR_EraseRootFromParent_Done,
     /*  654223 */   // Label 10448: @654223
     /*  654223 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(654298), // Rule ID 7332 //
     /*  654228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654296 */     GIR_RootConstrainSelectedInstOperands,
     /*  654297 */     // GIR_Coverage, 7332,
     /*  654297 */     GIR_EraseRootFromParent_Done,
     /*  654298 */   // Label 10449: @654298
     /*  654298 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(654373), // Rule ID 7335 //
     /*  654303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654349 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654371 */     GIR_RootConstrainSelectedInstOperands,
     /*  654372 */     // GIR_Coverage, 7335,
     /*  654372 */     GIR_EraseRootFromParent_Done,
     /*  654373 */   // Label 10450: @654373
     /*  654373 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(654448), // Rule ID 7336 //
     /*  654378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654446 */     GIR_RootConstrainSelectedInstOperands,
     /*  654447 */     // GIR_Coverage, 7336,
     /*  654447 */     GIR_EraseRootFromParent_Done,
     /*  654448 */   // Label 10451: @654448
     /*  654448 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(654523), // Rule ID 7339 //
     /*  654453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654499 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654521 */     GIR_RootConstrainSelectedInstOperands,
     /*  654522 */     // GIR_Coverage, 7339,
     /*  654522 */     GIR_EraseRootFromParent_Done,
     /*  654523 */   // Label 10452: @654523
     /*  654523 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(654598), // Rule ID 7340 //
     /*  654528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654596 */     GIR_RootConstrainSelectedInstOperands,
     /*  654597 */     // GIR_Coverage, 7340,
     /*  654597 */     GIR_EraseRootFromParent_Done,
     /*  654598 */   // Label 10453: @654598
     /*  654598 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654673), // Rule ID 7343 //
     /*  654603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  654614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  654617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  654620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  654623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654649 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654671 */     GIR_RootConstrainSelectedInstOperands,
     /*  654672 */     // GIR_Coverage, 7343,
     /*  654672 */     GIR_EraseRootFromParent_Done,
     /*  654673 */   // Label 10454: @654673
     /*  654673 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654748), // Rule ID 7344 //
     /*  654678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  654689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  654692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  654695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  654698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654746 */     GIR_RootConstrainSelectedInstOperands,
     /*  654747 */     // GIR_Coverage, 7344,
     /*  654747 */     GIR_EraseRootFromParent_Done,
     /*  654748 */   // Label 10455: @654748
     /*  654748 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654823), // Rule ID 7347 //
     /*  654753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  654764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  654767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  654770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  654773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654821 */     GIR_RootConstrainSelectedInstOperands,
     /*  654822 */     // GIR_Coverage, 7347,
     /*  654822 */     GIR_EraseRootFromParent_Done,
     /*  654823 */   // Label 10456: @654823
     /*  654823 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654898), // Rule ID 7348 //
     /*  654828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  654839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  654842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  654845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  654848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654896 */     GIR_RootConstrainSelectedInstOperands,
     /*  654897 */     // GIR_Coverage, 7348,
     /*  654897 */     GIR_EraseRootFromParent_Done,
     /*  654898 */   // Label 10457: @654898
     /*  654898 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(654973), // Rule ID 7351 //
     /*  654903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  654914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  654917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  654923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654949 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654971 */     GIR_RootConstrainSelectedInstOperands,
     /*  654972 */     // GIR_Coverage, 7351,
     /*  654972 */     GIR_EraseRootFromParent_Done,
     /*  654973 */   // Label 10458: @654973
     /*  654973 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(655048), // Rule ID 7352 //
     /*  654978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  654989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  654992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  654998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655046 */     GIR_RootConstrainSelectedInstOperands,
     /*  655047 */     // GIR_Coverage, 7352,
     /*  655047 */     GIR_EraseRootFromParent_Done,
     /*  655048 */   // Label 10459: @655048
     /*  655048 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(655123), // Rule ID 7355 //
     /*  655053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655121 */     GIR_RootConstrainSelectedInstOperands,
     /*  655122 */     // GIR_Coverage, 7355,
     /*  655122 */     GIR_EraseRootFromParent_Done,
     /*  655123 */   // Label 10460: @655123
     /*  655123 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(655198), // Rule ID 7356 //
     /*  655128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655196 */     GIR_RootConstrainSelectedInstOperands,
     /*  655197 */     // GIR_Coverage, 7356,
     /*  655197 */     GIR_EraseRootFromParent_Done,
     /*  655198 */   // Label 10461: @655198
     /*  655198 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(655273), // Rule ID 7359 //
     /*  655203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655271 */     GIR_RootConstrainSelectedInstOperands,
     /*  655272 */     // GIR_Coverage, 7359,
     /*  655272 */     GIR_EraseRootFromParent_Done,
     /*  655273 */   // Label 10462: @655273
     /*  655273 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(655348), // Rule ID 7360 //
     /*  655278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655346 */     GIR_RootConstrainSelectedInstOperands,
     /*  655347 */     // GIR_Coverage, 7360,
     /*  655347 */     GIR_EraseRootFromParent_Done,
     /*  655348 */   // Label 10463: @655348
     /*  655348 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(655423), // Rule ID 7363 //
     /*  655353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655421 */     GIR_RootConstrainSelectedInstOperands,
     /*  655422 */     // GIR_Coverage, 7363,
     /*  655422 */     GIR_EraseRootFromParent_Done,
     /*  655423 */   // Label 10464: @655423
     /*  655423 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(655498), // Rule ID 7364 //
     /*  655428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655496 */     GIR_RootConstrainSelectedInstOperands,
     /*  655497 */     // GIR_Coverage, 7364,
     /*  655497 */     GIR_EraseRootFromParent_Done,
     /*  655498 */   // Label 10465: @655498
     /*  655498 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(655573), // Rule ID 7367 //
     /*  655503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655571 */     GIR_RootConstrainSelectedInstOperands,
     /*  655572 */     // GIR_Coverage, 7367,
     /*  655572 */     GIR_EraseRootFromParent_Done,
     /*  655573 */   // Label 10466: @655573
     /*  655573 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(655648), // Rule ID 7368 //
     /*  655578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655646 */     GIR_RootConstrainSelectedInstOperands,
     /*  655647 */     // GIR_Coverage, 7368,
     /*  655647 */     GIR_EraseRootFromParent_Done,
     /*  655648 */   // Label 10467: @655648
     /*  655648 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655723), // Rule ID 7371 //
     /*  655653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  655664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  655667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  655670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  655673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655721 */     GIR_RootConstrainSelectedInstOperands,
     /*  655722 */     // GIR_Coverage, 7371,
     /*  655722 */     GIR_EraseRootFromParent_Done,
     /*  655723 */   // Label 10468: @655723
     /*  655723 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655798), // Rule ID 7372 //
     /*  655728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  655739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  655742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  655745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  655748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655796 */     GIR_RootConstrainSelectedInstOperands,
     /*  655797 */     // GIR_Coverage, 7372,
     /*  655797 */     GIR_EraseRootFromParent_Done,
     /*  655798 */   // Label 10469: @655798
     /*  655798 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655873), // Rule ID 7375 //
     /*  655803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  655814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  655817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655871 */     GIR_RootConstrainSelectedInstOperands,
     /*  655872 */     // GIR_Coverage, 7375,
     /*  655872 */     GIR_EraseRootFromParent_Done,
     /*  655873 */   // Label 10470: @655873
     /*  655873 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(655948), // Rule ID 7376 //
     /*  655878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  655889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  655892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655946 */     GIR_RootConstrainSelectedInstOperands,
     /*  655947 */     // GIR_Coverage, 7376,
     /*  655947 */     GIR_EraseRootFromParent_Done,
     /*  655948 */   // Label 10471: @655948
     /*  655948 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(656023), // Rule ID 7379 //
     /*  655953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  655970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655999 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  656002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656021 */     GIR_RootConstrainSelectedInstOperands,
     /*  656022 */     // GIR_Coverage, 7379,
     /*  656022 */     GIR_EraseRootFromParent_Done,
     /*  656023 */   // Label 10472: @656023
     /*  656023 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(656098), // Rule ID 7380 //
     /*  656028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656074 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  656077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656096 */     GIR_RootConstrainSelectedInstOperands,
     /*  656097 */     // GIR_Coverage, 7380,
     /*  656097 */     GIR_EraseRootFromParent_Done,
     /*  656098 */   // Label 10473: @656098
     /*  656098 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(656173), // Rule ID 7383 //
     /*  656103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656149 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656171 */     GIR_RootConstrainSelectedInstOperands,
     /*  656172 */     // GIR_Coverage, 7383,
     /*  656172 */     GIR_EraseRootFromParent_Done,
     /*  656173 */   // Label 10474: @656173
     /*  656173 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(656248), // Rule ID 7384 //
     /*  656178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656246 */     GIR_RootConstrainSelectedInstOperands,
     /*  656247 */     // GIR_Coverage, 7384,
     /*  656247 */     GIR_EraseRootFromParent_Done,
     /*  656248 */   // Label 10475: @656248
     /*  656248 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(656323), // Rule ID 7387 //
     /*  656253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656299 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656321 */     GIR_RootConstrainSelectedInstOperands,
     /*  656322 */     // GIR_Coverage, 7387,
     /*  656322 */     GIR_EraseRootFromParent_Done,
     /*  656323 */   // Label 10476: @656323
     /*  656323 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(656398), // Rule ID 7388 //
     /*  656328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656374 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656396 */     GIR_RootConstrainSelectedInstOperands,
     /*  656397 */     // GIR_Coverage, 7388,
     /*  656397 */     GIR_EraseRootFromParent_Done,
     /*  656398 */   // Label 10477: @656398
     /*  656398 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(656473), // Rule ID 7391 //
     /*  656403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656471 */     GIR_RootConstrainSelectedInstOperands,
     /*  656472 */     // GIR_Coverage, 7391,
     /*  656472 */     GIR_EraseRootFromParent_Done,
     /*  656473 */   // Label 10478: @656473
     /*  656473 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(656548), // Rule ID 7392 //
     /*  656478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656546 */     GIR_RootConstrainSelectedInstOperands,
     /*  656547 */     // GIR_Coverage, 7392,
     /*  656547 */     GIR_EraseRootFromParent_Done,
     /*  656548 */   // Label 10479: @656548
     /*  656548 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(656623), // Rule ID 7395 //
     /*  656553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656621 */     GIR_RootConstrainSelectedInstOperands,
     /*  656622 */     // GIR_Coverage, 7395,
     /*  656622 */     GIR_EraseRootFromParent_Done,
     /*  656623 */   // Label 10480: @656623
     /*  656623 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656698), // Rule ID 7396 //
     /*  656628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656696 */     GIR_RootConstrainSelectedInstOperands,
     /*  656697 */     // GIR_Coverage, 7396,
     /*  656697 */     GIR_EraseRootFromParent_Done,
     /*  656698 */   // Label 10481: @656698
     /*  656698 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656773), // Rule ID 7399 //
     /*  656703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  656720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656749 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656771 */     GIR_RootConstrainSelectedInstOperands,
     /*  656772 */     // GIR_Coverage, 7399,
     /*  656772 */     GIR_EraseRootFromParent_Done,
     /*  656773 */   // Label 10482: @656773
     /*  656773 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656848), // Rule ID 7400 //
     /*  656778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  656795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656846 */     GIR_RootConstrainSelectedInstOperands,
     /*  656847 */     // GIR_Coverage, 7400,
     /*  656847 */     GIR_EraseRootFromParent_Done,
     /*  656848 */   // Label 10483: @656848
     /*  656848 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(656923), // Rule ID 7403 //
     /*  656853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  656864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  656867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656921 */     GIR_RootConstrainSelectedInstOperands,
     /*  656922 */     // GIR_Coverage, 7403,
     /*  656922 */     GIR_EraseRootFromParent_Done,
     /*  656923 */   // Label 10484: @656923
     /*  656923 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(656998), // Rule ID 7404 //
     /*  656928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  656939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  656942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656996 */     GIR_RootConstrainSelectedInstOperands,
     /*  656997 */     // GIR_Coverage, 7404,
     /*  656997 */     GIR_EraseRootFromParent_Done,
     /*  656998 */   // Label 10485: @656998
     /*  656998 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(657073), // Rule ID 7407 //
     /*  657003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657071 */     GIR_RootConstrainSelectedInstOperands,
     /*  657072 */     // GIR_Coverage, 7407,
     /*  657072 */     GIR_EraseRootFromParent_Done,
     /*  657073 */   // Label 10486: @657073
     /*  657073 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(657148), // Rule ID 7408 //
     /*  657078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657146 */     GIR_RootConstrainSelectedInstOperands,
     /*  657147 */     // GIR_Coverage, 7408,
     /*  657147 */     GIR_EraseRootFromParent_Done,
     /*  657148 */   // Label 10487: @657148
     /*  657148 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(657223), // Rule ID 7411 //
     /*  657153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657221 */     GIR_RootConstrainSelectedInstOperands,
     /*  657222 */     // GIR_Coverage, 7411,
     /*  657222 */     GIR_EraseRootFromParent_Done,
     /*  657223 */   // Label 10488: @657223
     /*  657223 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(657298), // Rule ID 7412 //
     /*  657228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657296 */     GIR_RootConstrainSelectedInstOperands,
     /*  657297 */     // GIR_Coverage, 7412,
     /*  657297 */     GIR_EraseRootFromParent_Done,
     /*  657298 */   // Label 10489: @657298
     /*  657298 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(657373), // Rule ID 7415 //
     /*  657303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657371 */     GIR_RootConstrainSelectedInstOperands,
     /*  657372 */     // GIR_Coverage, 7415,
     /*  657372 */     GIR_EraseRootFromParent_Done,
     /*  657373 */   // Label 10490: @657373
     /*  657373 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(657448), // Rule ID 7416 //
     /*  657378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657446 */     GIR_RootConstrainSelectedInstOperands,
     /*  657447 */     // GIR_Coverage, 7416,
     /*  657447 */     GIR_EraseRootFromParent_Done,
     /*  657448 */   // Label 10491: @657448
     /*  657448 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(657523), // Rule ID 7419 //
     /*  657453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657521 */     GIR_RootConstrainSelectedInstOperands,
     /*  657522 */     // GIR_Coverage, 7419,
     /*  657522 */     GIR_EraseRootFromParent_Done,
     /*  657523 */   // Label 10492: @657523
     /*  657523 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(657598), // Rule ID 7420 //
     /*  657528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657596 */     GIR_RootConstrainSelectedInstOperands,
     /*  657597 */     // GIR_Coverage, 7420,
     /*  657597 */     GIR_EraseRootFromParent_Done,
     /*  657598 */   // Label 10493: @657598
     /*  657598 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657673), // Rule ID 7423 //
     /*  657603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  657614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  657617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  657620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657649 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657671 */     GIR_RootConstrainSelectedInstOperands,
     /*  657672 */     // GIR_Coverage, 7423,
     /*  657672 */     GIR_EraseRootFromParent_Done,
     /*  657673 */   // Label 10494: @657673
     /*  657673 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657748), // Rule ID 7424 //
     /*  657678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  657689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  657692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  657695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657746 */     GIR_RootConstrainSelectedInstOperands,
     /*  657747 */     // GIR_Coverage, 7424,
     /*  657747 */     GIR_EraseRootFromParent_Done,
     /*  657748 */   // Label 10495: @657748
     /*  657748 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657823), // Rule ID 7427 //
     /*  657753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  657764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  657767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  657770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657821 */     GIR_RootConstrainSelectedInstOperands,
     /*  657822 */     // GIR_Coverage, 7427,
     /*  657822 */     GIR_EraseRootFromParent_Done,
     /*  657823 */   // Label 10496: @657823
     /*  657823 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657898), // Rule ID 7428 //
     /*  657828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  657839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  657842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  657845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657896 */     GIR_RootConstrainSelectedInstOperands,
     /*  657897 */     // GIR_Coverage, 7428,
     /*  657897 */     GIR_EraseRootFromParent_Done,
     /*  657898 */   // Label 10497: @657898
     /*  657898 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(657973), // Rule ID 7431 //
     /*  657903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  657920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657971 */     GIR_RootConstrainSelectedInstOperands,
     /*  657972 */     // GIR_Coverage, 7431,
     /*  657972 */     GIR_EraseRootFromParent_Done,
     /*  657973 */   // Label 10498: @657973
     /*  657973 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(658048), // Rule ID 7432 //
     /*  657978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  657995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  658027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658046 */     GIR_RootConstrainSelectedInstOperands,
     /*  658047 */     // GIR_Coverage, 7432,
     /*  658047 */     GIR_EraseRootFromParent_Done,
     /*  658048 */   // Label 10499: @658048
     /*  658048 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(658123), // Rule ID 7435 //
     /*  658053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658121 */     GIR_RootConstrainSelectedInstOperands,
     /*  658122 */     // GIR_Coverage, 7435,
     /*  658122 */     GIR_EraseRootFromParent_Done,
     /*  658123 */   // Label 10500: @658123
     /*  658123 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(658198), // Rule ID 7436 //
     /*  658128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658196 */     GIR_RootConstrainSelectedInstOperands,
     /*  658197 */     // GIR_Coverage, 7436,
     /*  658197 */     GIR_EraseRootFromParent_Done,
     /*  658198 */   // Label 10501: @658198
     /*  658198 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(658273), // Rule ID 7499 //
     /*  658203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658249 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658271 */     GIR_RootConstrainSelectedInstOperands,
     /*  658272 */     // GIR_Coverage, 7499,
     /*  658272 */     GIR_EraseRootFromParent_Done,
     /*  658273 */   // Label 10502: @658273
     /*  658273 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(658348), // Rule ID 7500 //
     /*  658278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658346 */     GIR_RootConstrainSelectedInstOperands,
     /*  658347 */     // GIR_Coverage, 7500,
     /*  658347 */     GIR_EraseRootFromParent_Done,
     /*  658348 */   // Label 10503: @658348
     /*  658348 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(658423), // Rule ID 7503 //
     /*  658353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658399 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658421 */     GIR_RootConstrainSelectedInstOperands,
     /*  658422 */     // GIR_Coverage, 7503,
     /*  658422 */     GIR_EraseRootFromParent_Done,
     /*  658423 */   // Label 10504: @658423
     /*  658423 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(658498), // Rule ID 7504 //
     /*  658428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658496 */     GIR_RootConstrainSelectedInstOperands,
     /*  658497 */     // GIR_Coverage, 7504,
     /*  658497 */     GIR_EraseRootFromParent_Done,
     /*  658498 */   // Label 10505: @658498
     /*  658498 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(658573), // Rule ID 7507 //
     /*  658503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658549 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658571 */     GIR_RootConstrainSelectedInstOperands,
     /*  658572 */     // GIR_Coverage, 7507,
     /*  658572 */     GIR_EraseRootFromParent_Done,
     /*  658573 */   // Label 10506: @658573
     /*  658573 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(658648), // Rule ID 7508 //
     /*  658578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658646 */     GIR_RootConstrainSelectedInstOperands,
     /*  658647 */     // GIR_Coverage, 7508,
     /*  658647 */     GIR_EraseRootFromParent_Done,
     /*  658648 */   // Label 10507: @658648
     /*  658648 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658723), // Rule ID 7511 //
     /*  658653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658721 */     GIR_RootConstrainSelectedInstOperands,
     /*  658722 */     // GIR_Coverage, 7511,
     /*  658722 */     GIR_EraseRootFromParent_Done,
     /*  658723 */   // Label 10508: @658723
     /*  658723 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658798), // Rule ID 7512 //
     /*  658728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658774 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658796 */     GIR_RootConstrainSelectedInstOperands,
     /*  658797 */     // GIR_Coverage, 7512,
     /*  658797 */     GIR_EraseRootFromParent_Done,
     /*  658798 */   // Label 10509: @658798
     /*  658798 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658873), // Rule ID 7515 //
     /*  658803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  658852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658871 */     GIR_RootConstrainSelectedInstOperands,
     /*  658872 */     // GIR_Coverage, 7515,
     /*  658872 */     GIR_EraseRootFromParent_Done,
     /*  658873 */   // Label 10510: @658873
     /*  658873 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(658948), // Rule ID 7516 //
     /*  658878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  658927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658946 */     GIR_RootConstrainSelectedInstOperands,
     /*  658947 */     // GIR_Coverage, 7516,
     /*  658947 */     GIR_EraseRootFromParent_Done,
     /*  658948 */   // Label 10511: @658948
     /*  658948 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(659023), // Rule ID 7519 //
     /*  658953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  658964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  658967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  658970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659021 */     GIR_RootConstrainSelectedInstOperands,
     /*  659022 */     // GIR_Coverage, 7519,
     /*  659022 */     GIR_EraseRootFromParent_Done,
     /*  659023 */   // Label 10512: @659023
     /*  659023 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(659098), // Rule ID 7520 //
     /*  659028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659096 */     GIR_RootConstrainSelectedInstOperands,
     /*  659097 */     // GIR_Coverage, 7520,
     /*  659097 */     GIR_EraseRootFromParent_Done,
     /*  659098 */   // Label 10513: @659098
     /*  659098 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(659173), // Rule ID 7523 //
     /*  659103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659171 */     GIR_RootConstrainSelectedInstOperands,
     /*  659172 */     // GIR_Coverage, 7523,
     /*  659172 */     GIR_EraseRootFromParent_Done,
     /*  659173 */   // Label 10514: @659173
     /*  659173 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(659248), // Rule ID 7524 //
     /*  659178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659224 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659246 */     GIR_RootConstrainSelectedInstOperands,
     /*  659247 */     // GIR_Coverage, 7524,
     /*  659247 */     GIR_EraseRootFromParent_Done,
     /*  659248 */   // Label 10515: @659248
     /*  659248 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(659323), // Rule ID 7527 //
     /*  659253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659321 */     GIR_RootConstrainSelectedInstOperands,
     /*  659322 */     // GIR_Coverage, 7527,
     /*  659322 */     GIR_EraseRootFromParent_Done,
     /*  659323 */   // Label 10516: @659323
     /*  659323 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(659398), // Rule ID 7528 //
     /*  659328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659396 */     GIR_RootConstrainSelectedInstOperands,
     /*  659397 */     // GIR_Coverage, 7528,
     /*  659397 */     GIR_EraseRootFromParent_Done,
     /*  659398 */   // Label 10517: @659398
     /*  659398 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(659473), // Rule ID 7531 //
     /*  659403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659471 */     GIR_RootConstrainSelectedInstOperands,
     /*  659472 */     // GIR_Coverage, 7531,
     /*  659472 */     GIR_EraseRootFromParent_Done,
     /*  659473 */   // Label 10518: @659473
     /*  659473 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(659548), // Rule ID 7532 //
     /*  659478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659546 */     GIR_RootConstrainSelectedInstOperands,
     /*  659547 */     // GIR_Coverage, 7532,
     /*  659547 */     GIR_EraseRootFromParent_Done,
     /*  659548 */   // Label 10519: @659548
     /*  659548 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(659623), // Rule ID 7535 //
     /*  659553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659621 */     GIR_RootConstrainSelectedInstOperands,
     /*  659622 */     // GIR_Coverage, 7535,
     /*  659622 */     GIR_EraseRootFromParent_Done,
     /*  659623 */   // Label 10520: @659623
     /*  659623 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659698), // Rule ID 7536 //
     /*  659628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659696 */     GIR_RootConstrainSelectedInstOperands,
     /*  659697 */     // GIR_Coverage, 7536,
     /*  659697 */     GIR_EraseRootFromParent_Done,
     /*  659698 */   // Label 10521: @659698
     /*  659698 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659773), // Rule ID 7539 //
     /*  659703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  659714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  659717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659771 */     GIR_RootConstrainSelectedInstOperands,
     /*  659772 */     // GIR_Coverage, 7539,
     /*  659772 */     GIR_EraseRootFromParent_Done,
     /*  659773 */   // Label 10522: @659773
     /*  659773 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659848), // Rule ID 7540 //
     /*  659778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  659789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  659792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659846 */     GIR_RootConstrainSelectedInstOperands,
     /*  659847 */     // GIR_Coverage, 7540,
     /*  659847 */     GIR_EraseRootFromParent_Done,
     /*  659848 */   // Label 10523: @659848
     /*  659848 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(659923), // Rule ID 7543 //
     /*  659853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  659870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659921 */     GIR_RootConstrainSelectedInstOperands,
     /*  659922 */     // GIR_Coverage, 7543,
     /*  659922 */     GIR_EraseRootFromParent_Done,
     /*  659923 */   // Label 10524: @659923
     /*  659923 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(659998), // Rule ID 7544 //
     /*  659928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  659945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659996 */     GIR_RootConstrainSelectedInstOperands,
     /*  659997 */     // GIR_Coverage, 7544,
     /*  659997 */     GIR_EraseRootFromParent_Done,
     /*  659998 */   // Label 10525: @659998
     /*  659998 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(660073), // Rule ID 7547 //
     /*  660003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660071 */     GIR_RootConstrainSelectedInstOperands,
     /*  660072 */     // GIR_Coverage, 7547,
     /*  660072 */     GIR_EraseRootFromParent_Done,
     /*  660073 */   // Label 10526: @660073
     /*  660073 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(660148), // Rule ID 7548 //
     /*  660078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660146 */     GIR_RootConstrainSelectedInstOperands,
     /*  660147 */     // GIR_Coverage, 7548,
     /*  660147 */     GIR_EraseRootFromParent_Done,
     /*  660148 */   // Label 10527: @660148
     /*  660148 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(660223), // Rule ID 7551 //
     /*  660153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660221 */     GIR_RootConstrainSelectedInstOperands,
     /*  660222 */     // GIR_Coverage, 7551,
     /*  660222 */     GIR_EraseRootFromParent_Done,
     /*  660223 */   // Label 10528: @660223
     /*  660223 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(660298), // Rule ID 7552 //
     /*  660228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660296 */     GIR_RootConstrainSelectedInstOperands,
     /*  660297 */     // GIR_Coverage, 7552,
     /*  660297 */     GIR_EraseRootFromParent_Done,
     /*  660298 */   // Label 10529: @660298
     /*  660298 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(660373), // Rule ID 7555 //
     /*  660303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660371 */     GIR_RootConstrainSelectedInstOperands,
     /*  660372 */     // GIR_Coverage, 7555,
     /*  660372 */     GIR_EraseRootFromParent_Done,
     /*  660373 */   // Label 10530: @660373
     /*  660373 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(660448), // Rule ID 7556 //
     /*  660378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660446 */     GIR_RootConstrainSelectedInstOperands,
     /*  660447 */     // GIR_Coverage, 7556,
     /*  660447 */     GIR_EraseRootFromParent_Done,
     /*  660448 */   // Label 10531: @660448
     /*  660448 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(660523), // Rule ID 7559 //
     /*  660453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660521 */     GIR_RootConstrainSelectedInstOperands,
     /*  660522 */     // GIR_Coverage, 7559,
     /*  660522 */     GIR_EraseRootFromParent_Done,
     /*  660523 */   // Label 10532: @660523
     /*  660523 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(660598), // Rule ID 7560 //
     /*  660528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660596 */     GIR_RootConstrainSelectedInstOperands,
     /*  660597 */     // GIR_Coverage, 7560,
     /*  660597 */     GIR_EraseRootFromParent_Done,
     /*  660598 */   // Label 10533: @660598
     /*  660598 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660673), // Rule ID 7563 //
     /*  660603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  660652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660671 */     GIR_RootConstrainSelectedInstOperands,
     /*  660672 */     // GIR_Coverage, 7563,
     /*  660672 */     GIR_EraseRootFromParent_Done,
     /*  660673 */   // Label 10534: @660673
     /*  660673 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660748), // Rule ID 7564 //
     /*  660678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660724 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  660727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660746 */     GIR_RootConstrainSelectedInstOperands,
     /*  660747 */     // GIR_Coverage, 7564,
     /*  660747 */     GIR_EraseRootFromParent_Done,
     /*  660748 */   // Label 10535: @660748
     /*  660748 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660823), // Rule ID 7567 //
     /*  660753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660799 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660821 */     GIR_RootConstrainSelectedInstOperands,
     /*  660822 */     // GIR_Coverage, 7567,
     /*  660822 */     GIR_EraseRootFromParent_Done,
     /*  660823 */   // Label 10536: @660823
     /*  660823 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660898), // Rule ID 7568 //
     /*  660828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660896 */     GIR_RootConstrainSelectedInstOperands,
     /*  660897 */     // GIR_Coverage, 7568,
     /*  660897 */     GIR_EraseRootFromParent_Done,
     /*  660898 */   // Label 10537: @660898
     /*  660898 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(660973), // Rule ID 7571 //
     /*  660903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  660914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  660917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  660920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  660952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660971 */     GIR_RootConstrainSelectedInstOperands,
     /*  660972 */     // GIR_Coverage, 7571,
     /*  660972 */     GIR_EraseRootFromParent_Done,
     /*  660973 */   // Label 10538: @660973
     /*  660973 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(661048), // Rule ID 7572 //
     /*  660978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  660989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  660992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  660995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661046 */     GIR_RootConstrainSelectedInstOperands,
     /*  661047 */     // GIR_Coverage, 7572,
     /*  661047 */     GIR_EraseRootFromParent_Done,
     /*  661048 */   // Label 10539: @661048
     /*  661048 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(661123), // Rule ID 7575 //
     /*  661053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661099 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661121 */     GIR_RootConstrainSelectedInstOperands,
     /*  661122 */     // GIR_Coverage, 7575,
     /*  661122 */     GIR_EraseRootFromParent_Done,
     /*  661123 */   // Label 10540: @661123
     /*  661123 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(661198), // Rule ID 7576 //
     /*  661128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661196 */     GIR_RootConstrainSelectedInstOperands,
     /*  661197 */     // GIR_Coverage, 7576,
     /*  661197 */     GIR_EraseRootFromParent_Done,
     /*  661198 */   // Label 10541: @661198
     /*  661198 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(661273), // Rule ID 7579 //
     /*  661203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661249 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661271 */     GIR_RootConstrainSelectedInstOperands,
     /*  661272 */     // GIR_Coverage, 7579,
     /*  661272 */     GIR_EraseRootFromParent_Done,
     /*  661273 */   // Label 10542: @661273
     /*  661273 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(661348), // Rule ID 7580 //
     /*  661278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661346 */     GIR_RootConstrainSelectedInstOperands,
     /*  661347 */     // GIR_Coverage, 7580,
     /*  661347 */     GIR_EraseRootFromParent_Done,
     /*  661348 */   // Label 10543: @661348
     /*  661348 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(661423), // Rule ID 7583 //
     /*  661353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661421 */     GIR_RootConstrainSelectedInstOperands,
     /*  661422 */     // GIR_Coverage, 7583,
     /*  661422 */     GIR_EraseRootFromParent_Done,
     /*  661423 */   // Label 10544: @661423
     /*  661423 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(661498), // Rule ID 7584 //
     /*  661428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661496 */     GIR_RootConstrainSelectedInstOperands,
     /*  661497 */     // GIR_Coverage, 7584,
     /*  661497 */     GIR_EraseRootFromParent_Done,
     /*  661498 */   // Label 10545: @661498
     /*  661498 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(661573), // Rule ID 7587 //
     /*  661503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661571 */     GIR_RootConstrainSelectedInstOperands,
     /*  661572 */     // GIR_Coverage, 7587,
     /*  661572 */     GIR_EraseRootFromParent_Done,
     /*  661573 */   // Label 10546: @661573
     /*  661573 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(661648), // Rule ID 7588 //
     /*  661578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661646 */     GIR_RootConstrainSelectedInstOperands,
     /*  661647 */     // GIR_Coverage, 7588,
     /*  661647 */     GIR_EraseRootFromParent_Done,
     /*  661648 */   // Label 10547: @661648
     /*  661648 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661723), // Rule ID 7591 //
     /*  661653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661721 */     GIR_RootConstrainSelectedInstOperands,
     /*  661722 */     // GIR_Coverage, 7591,
     /*  661722 */     GIR_EraseRootFromParent_Done,
     /*  661723 */   // Label 10548: @661723
     /*  661723 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661798), // Rule ID 7592 //
     /*  661728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661796 */     GIR_RootConstrainSelectedInstOperands,
     /*  661797 */     // GIR_Coverage, 7592,
     /*  661797 */     GIR_EraseRootFromParent_Done,
     /*  661798 */   // Label 10549: @661798
     /*  661798 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661873), // Rule ID 7595 //
     /*  661803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  661814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  661817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661849 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661871 */     GIR_RootConstrainSelectedInstOperands,
     /*  661872 */     // GIR_Coverage, 7595,
     /*  661872 */     GIR_EraseRootFromParent_Done,
     /*  661873 */   // Label 10550: @661873
     /*  661873 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(661948), // Rule ID 7596 //
     /*  661878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  661889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  661892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661946 */     GIR_RootConstrainSelectedInstOperands,
     /*  661947 */     // GIR_Coverage, 7596,
     /*  661947 */     GIR_EraseRootFromParent_Done,
     /*  661948 */   // Label 10551: @661948
     /*  661948 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(662023), // Rule ID 7599 //
     /*  661953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  661964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  661967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  661970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662021 */     GIR_RootConstrainSelectedInstOperands,
     /*  662022 */     // GIR_Coverage, 7599,
     /*  662022 */     GIR_EraseRootFromParent_Done,
     /*  662023 */   // Label 10552: @662023
     /*  662023 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(662098), // Rule ID 7600 //
     /*  662028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662096 */     GIR_RootConstrainSelectedInstOperands,
     /*  662097 */     // GIR_Coverage, 7600,
     /*  662097 */     GIR_EraseRootFromParent_Done,
     /*  662098 */   // Label 10553: @662098
     /*  662098 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(662173), // Rule ID 7603 //
     /*  662103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662171 */     GIR_RootConstrainSelectedInstOperands,
     /*  662172 */     // GIR_Coverage, 7603,
     /*  662172 */     GIR_EraseRootFromParent_Done,
     /*  662173 */   // Label 10554: @662173
     /*  662173 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(662248), // Rule ID 7604 //
     /*  662178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662246 */     GIR_RootConstrainSelectedInstOperands,
     /*  662247 */     // GIR_Coverage, 7604,
     /*  662247 */     GIR_EraseRootFromParent_Done,
     /*  662248 */   // Label 10555: @662248
     /*  662248 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(662323), // Rule ID 7607 //
     /*  662253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662321 */     GIR_RootConstrainSelectedInstOperands,
     /*  662322 */     // GIR_Coverage, 7607,
     /*  662322 */     GIR_EraseRootFromParent_Done,
     /*  662323 */   // Label 10556: @662323
     /*  662323 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(662398), // Rule ID 7608 //
     /*  662328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662396 */     GIR_RootConstrainSelectedInstOperands,
     /*  662397 */     // GIR_Coverage, 7608,
     /*  662397 */     GIR_EraseRootFromParent_Done,
     /*  662398 */   // Label 10557: @662398
     /*  662398 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(662473), // Rule ID 7611 //
     /*  662403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662471 */     GIR_RootConstrainSelectedInstOperands,
     /*  662472 */     // GIR_Coverage, 7611,
     /*  662472 */     GIR_EraseRootFromParent_Done,
     /*  662473 */   // Label 10558: @662473
     /*  662473 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(662548), // Rule ID 7612 //
     /*  662478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662546 */     GIR_RootConstrainSelectedInstOperands,
     /*  662547 */     // GIR_Coverage, 7612,
     /*  662547 */     GIR_EraseRootFromParent_Done,
     /*  662548 */   // Label 10559: @662548
     /*  662548 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(662623), // Rule ID 7615 //
     /*  662553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662621 */     GIR_RootConstrainSelectedInstOperands,
     /*  662622 */     // GIR_Coverage, 7615,
     /*  662622 */     GIR_EraseRootFromParent_Done,
     /*  662623 */   // Label 10560: @662623
     /*  662623 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662698), // Rule ID 7616 //
     /*  662628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662696 */     GIR_RootConstrainSelectedInstOperands,
     /*  662697 */     // GIR_Coverage, 7616,
     /*  662697 */     GIR_EraseRootFromParent_Done,
     /*  662698 */   // Label 10561: @662698
     /*  662698 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662773), // Rule ID 10131 //
     /*  662703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  662720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662749 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  662752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662771 */     GIR_RootConstrainSelectedInstOperands,
     /*  662772 */     // GIR_Coverage, 10131,
     /*  662772 */     GIR_EraseRootFromParent_Done,
     /*  662773 */   // Label 10562: @662773
     /*  662773 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662848), // Rule ID 10132 //
     /*  662778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  662795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  662827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662846 */     GIR_RootConstrainSelectedInstOperands,
     /*  662847 */     // GIR_Coverage, 10132,
     /*  662847 */     GIR_EraseRootFromParent_Done,
     /*  662848 */   // Label 10563: @662848
     /*  662848 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(662923), // Rule ID 10135 //
     /*  662853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  662902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662921 */     GIR_RootConstrainSelectedInstOperands,
     /*  662922 */     // GIR_Coverage, 10135,
     /*  662922 */     GIR_EraseRootFromParent_Done,
     /*  662923 */   // Label 10564: @662923
     /*  662923 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(662998), // Rule ID 10136 //
     /*  662928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  662977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662996 */     GIR_RootConstrainSelectedInstOperands,
     /*  662997 */     // GIR_Coverage, 10136,
     /*  662997 */     GIR_EraseRootFromParent_Done,
     /*  662998 */   // Label 10565: @662998
     /*  662998 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(663073), // Rule ID 10139 //
     /*  663003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663071 */     GIR_RootConstrainSelectedInstOperands,
     /*  663072 */     // GIR_Coverage, 10139,
     /*  663072 */     GIR_EraseRootFromParent_Done,
     /*  663073 */   // Label 10566: @663073
     /*  663073 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(663148), // Rule ID 10140 //
     /*  663078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663146 */     GIR_RootConstrainSelectedInstOperands,
     /*  663147 */     // GIR_Coverage, 10140,
     /*  663147 */     GIR_EraseRootFromParent_Done,
     /*  663148 */   // Label 10567: @663148
     /*  663148 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(663223), // Rule ID 10143 //
     /*  663153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663221 */     GIR_RootConstrainSelectedInstOperands,
     /*  663222 */     // GIR_Coverage, 10143,
     /*  663222 */     GIR_EraseRootFromParent_Done,
     /*  663223 */   // Label 10568: @663223
     /*  663223 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(663298), // Rule ID 10144 //
     /*  663228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663296 */     GIR_RootConstrainSelectedInstOperands,
     /*  663297 */     // GIR_Coverage, 10144,
     /*  663297 */     GIR_EraseRootFromParent_Done,
     /*  663298 */   // Label 10569: @663298
     /*  663298 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(663373), // Rule ID 10147 //
     /*  663303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663371 */     GIR_RootConstrainSelectedInstOperands,
     /*  663372 */     // GIR_Coverage, 10147,
     /*  663372 */     GIR_EraseRootFromParent_Done,
     /*  663373 */   // Label 10570: @663373
     /*  663373 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(663448), // Rule ID 10148 //
     /*  663378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663446 */     GIR_RootConstrainSelectedInstOperands,
     /*  663447 */     // GIR_Coverage, 10148,
     /*  663447 */     GIR_EraseRootFromParent_Done,
     /*  663448 */   // Label 10571: @663448
     /*  663448 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(663523), // Rule ID 10151 //
     /*  663453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663521 */     GIR_RootConstrainSelectedInstOperands,
     /*  663522 */     // GIR_Coverage, 10151,
     /*  663522 */     GIR_EraseRootFromParent_Done,
     /*  663523 */   // Label 10572: @663523
     /*  663523 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(663598), // Rule ID 10152 //
     /*  663528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663596 */     GIR_RootConstrainSelectedInstOperands,
     /*  663597 */     // GIR_Coverage, 10152,
     /*  663597 */     GIR_EraseRootFromParent_Done,
     /*  663598 */   // Label 10573: @663598
     /*  663598 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663673), // Rule ID 10155 //
     /*  663603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  663620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663649 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663671 */     GIR_RootConstrainSelectedInstOperands,
     /*  663672 */     // GIR_Coverage, 10155,
     /*  663672 */     GIR_EraseRootFromParent_Done,
     /*  663673 */   // Label 10574: @663673
     /*  663673 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663748), // Rule ID 10156 //
     /*  663678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  663695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663746 */     GIR_RootConstrainSelectedInstOperands,
     /*  663747 */     // GIR_Coverage, 10156,
     /*  663747 */     GIR_EraseRootFromParent_Done,
     /*  663748 */   // Label 10575: @663748
     /*  663748 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663823), // Rule ID 10159 //
     /*  663753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663821 */     GIR_RootConstrainSelectedInstOperands,
     /*  663822 */     // GIR_Coverage, 10159,
     /*  663822 */     GIR_EraseRootFromParent_Done,
     /*  663823 */   // Label 10576: @663823
     /*  663823 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663898), // Rule ID 10160 //
     /*  663828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663896 */     GIR_RootConstrainSelectedInstOperands,
     /*  663897 */     // GIR_Coverage, 10160,
     /*  663897 */     GIR_EraseRootFromParent_Done,
     /*  663898 */   // Label 10577: @663898
     /*  663898 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(663973), // Rule ID 10163 //
     /*  663903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  663923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663971 */     GIR_RootConstrainSelectedInstOperands,
     /*  663972 */     // GIR_Coverage, 10163,
     /*  663972 */     GIR_EraseRootFromParent_Done,
     /*  663973 */   // Label 10578: @663973
     /*  663973 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(664048), // Rule ID 10164 //
     /*  663978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  663998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664046 */     GIR_RootConstrainSelectedInstOperands,
     /*  664047 */     // GIR_Coverage, 10164,
     /*  664047 */     GIR_EraseRootFromParent_Done,
     /*  664048 */   // Label 10579: @664048
     /*  664048 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(664123), // Rule ID 10167 //
     /*  664053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664099 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664121 */     GIR_RootConstrainSelectedInstOperands,
     /*  664122 */     // GIR_Coverage, 10167,
     /*  664122 */     GIR_EraseRootFromParent_Done,
     /*  664123 */   // Label 10580: @664123
     /*  664123 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(664198), // Rule ID 10168 //
     /*  664128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664196 */     GIR_RootConstrainSelectedInstOperands,
     /*  664197 */     // GIR_Coverage, 10168,
     /*  664197 */     GIR_EraseRootFromParent_Done,
     /*  664198 */   // Label 10581: @664198
     /*  664198 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(664273), // Rule ID 10171 //
     /*  664203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664249 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664271 */     GIR_RootConstrainSelectedInstOperands,
     /*  664272 */     // GIR_Coverage, 10171,
     /*  664272 */     GIR_EraseRootFromParent_Done,
     /*  664273 */   // Label 10582: @664273
     /*  664273 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(664348), // Rule ID 10172 //
     /*  664278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664324 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664346 */     GIR_RootConstrainSelectedInstOperands,
     /*  664347 */     // GIR_Coverage, 10172,
     /*  664347 */     GIR_EraseRootFromParent_Done,
     /*  664348 */   // Label 10583: @664348
     /*  664348 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(664423), // Rule ID 10175 //
     /*  664353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664399 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664421 */     GIR_RootConstrainSelectedInstOperands,
     /*  664422 */     // GIR_Coverage, 10175,
     /*  664422 */     GIR_EraseRootFromParent_Done,
     /*  664423 */   // Label 10584: @664423
     /*  664423 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(664498), // Rule ID 10176 //
     /*  664428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664496 */     GIR_RootConstrainSelectedInstOperands,
     /*  664497 */     // GIR_Coverage, 10176,
     /*  664497 */     GIR_EraseRootFromParent_Done,
     /*  664498 */   // Label 10585: @664498
     /*  664498 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(664573), // Rule ID 10179 //
     /*  664503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664549 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664571 */     GIR_RootConstrainSelectedInstOperands,
     /*  664572 */     // GIR_Coverage, 10179,
     /*  664572 */     GIR_EraseRootFromParent_Done,
     /*  664573 */   // Label 10586: @664573
     /*  664573 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(664648), // Rule ID 10180 //
     /*  664578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664624 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664646 */     GIR_RootConstrainSelectedInstOperands,
     /*  664647 */     // GIR_Coverage, 10180,
     /*  664647 */     GIR_EraseRootFromParent_Done,
     /*  664648 */   // Label 10587: @664648
     /*  664648 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664723), // Rule ID 10183 //
     /*  664653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  664670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664721 */     GIR_RootConstrainSelectedInstOperands,
     /*  664722 */     // GIR_Coverage, 10183,
     /*  664722 */     GIR_EraseRootFromParent_Done,
     /*  664723 */   // Label 10588: @664723
     /*  664723 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664798), // Rule ID 10184 //
     /*  664728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  664745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664796 */     GIR_RootConstrainSelectedInstOperands,
     /*  664797 */     // GIR_Coverage, 10184,
     /*  664797 */     GIR_EraseRootFromParent_Done,
     /*  664798 */   // Label 10589: @664798
     /*  664798 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664873), // Rule ID 10187 //
     /*  664803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664871 */     GIR_RootConstrainSelectedInstOperands,
     /*  664872 */     // GIR_Coverage, 10187,
     /*  664872 */     GIR_EraseRootFromParent_Done,
     /*  664873 */   // Label 10590: @664873
     /*  664873 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(664948), // Rule ID 10188 //
     /*  664878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664946 */     GIR_RootConstrainSelectedInstOperands,
     /*  664947 */     // GIR_Coverage, 10188,
     /*  664947 */     GIR_EraseRootFromParent_Done,
     /*  664948 */   // Label 10591: @664948
     /*  664948 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(665023), // Rule ID 10191 //
     /*  664953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  664964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  664967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  664970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  664973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665021 */     GIR_RootConstrainSelectedInstOperands,
     /*  665022 */     // GIR_Coverage, 10191,
     /*  665022 */     GIR_EraseRootFromParent_Done,
     /*  665023 */   // Label 10592: @665023
     /*  665023 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(665098), // Rule ID 10192 //
     /*  665028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  665048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665096 */     GIR_RootConstrainSelectedInstOperands,
     /*  665097 */     // GIR_Coverage, 10192,
     /*  665097 */     GIR_EraseRootFromParent_Done,
     /*  665098 */   // Label 10593: @665098
     /*  665098 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(665173), // Rule ID 10195 //
     /*  665103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665171 */     GIR_RootConstrainSelectedInstOperands,
     /*  665172 */     // GIR_Coverage, 10195,
     /*  665172 */     GIR_EraseRootFromParent_Done,
     /*  665173 */   // Label 10594: @665173
     /*  665173 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(665248), // Rule ID 10196 //
     /*  665178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665246 */     GIR_RootConstrainSelectedInstOperands,
     /*  665247 */     // GIR_Coverage, 10196,
     /*  665247 */     GIR_EraseRootFromParent_Done,
     /*  665248 */   // Label 10595: @665248
     /*  665248 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(665323), // Rule ID 10199 //
     /*  665253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665321 */     GIR_RootConstrainSelectedInstOperands,
     /*  665322 */     // GIR_Coverage, 10199,
     /*  665322 */     GIR_EraseRootFromParent_Done,
     /*  665323 */   // Label 10596: @665323
     /*  665323 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(665398), // Rule ID 10200 //
     /*  665328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665396 */     GIR_RootConstrainSelectedInstOperands,
     /*  665397 */     // GIR_Coverage, 10200,
     /*  665397 */     GIR_EraseRootFromParent_Done,
     /*  665398 */   // Label 10597: @665398
     /*  665398 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(665473), // Rule ID 10203 //
     /*  665403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665471 */     GIR_RootConstrainSelectedInstOperands,
     /*  665472 */     // GIR_Coverage, 10203,
     /*  665472 */     GIR_EraseRootFromParent_Done,
     /*  665473 */   // Label 10598: @665473
     /*  665473 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(665548), // Rule ID 10204 //
     /*  665478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665546 */     GIR_RootConstrainSelectedInstOperands,
     /*  665547 */     // GIR_Coverage, 10204,
     /*  665547 */     GIR_EraseRootFromParent_Done,
     /*  665548 */   // Label 10599: @665548
     /*  665548 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(665623), // Rule ID 10207 //
     /*  665553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  665564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  665567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  665573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665599 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665621 */     GIR_RootConstrainSelectedInstOperands,
     /*  665622 */     // GIR_Coverage, 10207,
     /*  665622 */     GIR_EraseRootFromParent_Done,
     /*  665623 */   // Label 10600: @665623
     /*  665623 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665698), // Rule ID 10208 //
     /*  665628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  665639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  665642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  665648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665674 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665696 */     GIR_RootConstrainSelectedInstOperands,
     /*  665697 */     // GIR_Coverage, 10208,
     /*  665697 */     GIR_EraseRootFromParent_Done,
     /*  665698 */   // Label 10601: @665698
     /*  665698 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665773), // Rule ID 10211 //
     /*  665703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  665714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  665717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  665723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665771 */     GIR_RootConstrainSelectedInstOperands,
     /*  665772 */     // GIR_Coverage, 10211,
     /*  665772 */     GIR_EraseRootFromParent_Done,
     /*  665773 */   // Label 10602: @665773
     /*  665773 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665848), // Rule ID 10212 //
     /*  665778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  665789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  665792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  665798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665846 */     GIR_RootConstrainSelectedInstOperands,
     /*  665847 */     // GIR_Coverage, 10212,
     /*  665847 */     GIR_EraseRootFromParent_Done,
     /*  665848 */   // Label 10603: @665848
     /*  665848 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(665923), // Rule ID 10215 //
     /*  665853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  665864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  665867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  665873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665899 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665921 */     GIR_RootConstrainSelectedInstOperands,
     /*  665922 */     // GIR_Coverage, 10215,
     /*  665922 */     GIR_EraseRootFromParent_Done,
     /*  665923 */   // Label 10604: @665923
     /*  665923 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(665998), // Rule ID 10216 //
     /*  665928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  665939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  665942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  665948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665996 */     GIR_RootConstrainSelectedInstOperands,
     /*  665997 */     // GIR_Coverage, 10216,
     /*  665997 */     GIR_EraseRootFromParent_Done,
     /*  665998 */   // Label 10605: @665998
     /*  665998 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(666073), // Rule ID 10219 //
     /*  666003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666049 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666071 */     GIR_RootConstrainSelectedInstOperands,
     /*  666072 */     // GIR_Coverage, 10219,
     /*  666072 */     GIR_EraseRootFromParent_Done,
     /*  666073 */   // Label 10606: @666073
     /*  666073 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(666148), // Rule ID 10220 //
     /*  666078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666146 */     GIR_RootConstrainSelectedInstOperands,
     /*  666147 */     // GIR_Coverage, 10220,
     /*  666147 */     GIR_EraseRootFromParent_Done,
     /*  666148 */   // Label 10607: @666148
     /*  666148 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(666223), // Rule ID 10223 //
     /*  666153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666199 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666221 */     GIR_RootConstrainSelectedInstOperands,
     /*  666222 */     // GIR_Coverage, 10223,
     /*  666222 */     GIR_EraseRootFromParent_Done,
     /*  666223 */   // Label 10608: @666223
     /*  666223 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(666298), // Rule ID 10224 //
     /*  666228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666296 */     GIR_RootConstrainSelectedInstOperands,
     /*  666297 */     // GIR_Coverage, 10224,
     /*  666297 */     GIR_EraseRootFromParent_Done,
     /*  666298 */   // Label 10609: @666298
     /*  666298 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(666373), // Rule ID 10227 //
     /*  666303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666371 */     GIR_RootConstrainSelectedInstOperands,
     /*  666372 */     // GIR_Coverage, 10227,
     /*  666372 */     GIR_EraseRootFromParent_Done,
     /*  666373 */   // Label 10610: @666373
     /*  666373 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(666448), // Rule ID 10228 //
     /*  666378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666446 */     GIR_RootConstrainSelectedInstOperands,
     /*  666447 */     // GIR_Coverage, 10228,
     /*  666447 */     GIR_EraseRootFromParent_Done,
     /*  666448 */   // Label 10611: @666448
     /*  666448 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(666523), // Rule ID 10231 //
     /*  666453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666521 */     GIR_RootConstrainSelectedInstOperands,
     /*  666522 */     // GIR_Coverage, 10231,
     /*  666522 */     GIR_EraseRootFromParent_Done,
     /*  666523 */   // Label 10612: @666523
     /*  666523 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(666598), // Rule ID 10232 //
     /*  666528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666596 */     GIR_RootConstrainSelectedInstOperands,
     /*  666597 */     // GIR_Coverage, 10232,
     /*  666597 */     GIR_EraseRootFromParent_Done,
     /*  666598 */   // Label 10613: @666598
     /*  666598 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666673), // Rule ID 10235 //
     /*  666603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666671 */     GIR_RootConstrainSelectedInstOperands,
     /*  666672 */     // GIR_Coverage, 10235,
     /*  666672 */     GIR_EraseRootFromParent_Done,
     /*  666673 */   // Label 10614: @666673
     /*  666673 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666748), // Rule ID 10236 //
     /*  666678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666746 */     GIR_RootConstrainSelectedInstOperands,
     /*  666747 */     // GIR_Coverage, 10236,
     /*  666747 */     GIR_EraseRootFromParent_Done,
     /*  666748 */   // Label 10615: @666748
     /*  666748 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666823), // Rule ID 10239 //
     /*  666753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666821 */     GIR_RootConstrainSelectedInstOperands,
     /*  666822 */     // GIR_Coverage, 10239,
     /*  666822 */     GIR_EraseRootFromParent_Done,
     /*  666823 */   // Label 10616: @666823
     /*  666823 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666898), // Rule ID 10240 //
     /*  666828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666896 */     GIR_RootConstrainSelectedInstOperands,
     /*  666897 */     // GIR_Coverage, 10240,
     /*  666897 */     GIR_EraseRootFromParent_Done,
     /*  666898 */   // Label 10617: @666898
     /*  666898 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(666973), // Rule ID 10243 //
     /*  666903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  666920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  666952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666971 */     GIR_RootConstrainSelectedInstOperands,
     /*  666972 */     // GIR_Coverage, 10243,
     /*  666972 */     GIR_EraseRootFromParent_Done,
     /*  666973 */   // Label 10618: @666973
     /*  666973 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(667048), // Rule ID 10244 //
     /*  666978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  666995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667046 */     GIR_RootConstrainSelectedInstOperands,
     /*  667047 */     // GIR_Coverage, 10244,
     /*  667047 */     GIR_EraseRootFromParent_Done,
     /*  667048 */   // Label 10619: @667048
     /*  667048 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(667123), // Rule ID 10247 //
     /*  667053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667121 */     GIR_RootConstrainSelectedInstOperands,
     /*  667122 */     // GIR_Coverage, 10247,
     /*  667122 */     GIR_EraseRootFromParent_Done,
     /*  667123 */   // Label 10620: @667123
     /*  667123 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(667198), // Rule ID 10248 //
     /*  667128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667196 */     GIR_RootConstrainSelectedInstOperands,
     /*  667197 */     // GIR_Coverage, 10248,
     /*  667197 */     GIR_EraseRootFromParent_Done,
     /*  667198 */   // Label 10621: @667198
     /*  667198 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(667273), // Rule ID 10251 //
     /*  667203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667271 */     GIR_RootConstrainSelectedInstOperands,
     /*  667272 */     // GIR_Coverage, 10251,
     /*  667272 */     GIR_EraseRootFromParent_Done,
     /*  667273 */   // Label 10622: @667273
     /*  667273 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(667348), // Rule ID 10252 //
     /*  667278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667346 */     GIR_RootConstrainSelectedInstOperands,
     /*  667347 */     // GIR_Coverage, 10252,
     /*  667347 */     GIR_EraseRootFromParent_Done,
     /*  667348 */   // Label 10623: @667348
     /*  667348 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(667423), // Rule ID 10255 //
     /*  667353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  667356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  667399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667421 */     GIR_RootConstrainSelectedInstOperands,
     /*  667422 */     // GIR_Coverage, 10255,
     /*  667422 */     GIR_EraseRootFromParent_Done,
     /*  667423 */   // Label 10624: @667423
     /*  667423 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(667498), // Rule ID 10256 //
     /*  667428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  667431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  667474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667496 */     GIR_RootConstrainSelectedInstOperands,
     /*  667497 */     // GIR_Coverage, 10256,
     /*  667497 */     GIR_EraseRootFromParent_Done,
     /*  667498 */   // Label 10625: @667498
     /*  667498 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(667573), // Rule ID 10259 //
     /*  667503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667571 */     GIR_RootConstrainSelectedInstOperands,
     /*  667572 */     // GIR_Coverage, 10259,
     /*  667572 */     GIR_EraseRootFromParent_Done,
     /*  667573 */   // Label 10626: @667573
     /*  667573 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(667648), // Rule ID 10260 //
     /*  667578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667646 */     GIR_RootConstrainSelectedInstOperands,
     /*  667647 */     // GIR_Coverage, 10260,
     /*  667647 */     GIR_EraseRootFromParent_Done,
     /*  667648 */   // Label 10627: @667648
     /*  667648 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667723), // Rule ID 10263 //
     /*  667653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  667664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  667667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  667670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667721 */     GIR_RootConstrainSelectedInstOperands,
     /*  667722 */     // GIR_Coverage, 10263,
     /*  667722 */     GIR_EraseRootFromParent_Done,
     /*  667723 */   // Label 10628: @667723
     /*  667723 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667798), // Rule ID 10264 //
     /*  667728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  667739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  667742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  667745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667796 */     GIR_RootConstrainSelectedInstOperands,
     /*  667797 */     // GIR_Coverage, 10264,
     /*  667797 */     GIR_EraseRootFromParent_Done,
     /*  667798 */   // Label 10629: @667798
     /*  667798 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667873), // Rule ID 10267 //
     /*  667803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  667814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  667817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  667820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667849 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667871 */     GIR_RootConstrainSelectedInstOperands,
     /*  667872 */     // GIR_Coverage, 10267,
     /*  667872 */     GIR_EraseRootFromParent_Done,
     /*  667873 */   // Label 10630: @667873
     /*  667873 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(667948), // Rule ID 10268 //
     /*  667878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  667889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  667892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  667895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667924 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667946 */     GIR_RootConstrainSelectedInstOperands,
     /*  667947 */     // GIR_Coverage, 10268,
     /*  667947 */     GIR_EraseRootFromParent_Done,
     /*  667948 */   // Label 10631: @667948
     /*  667948 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(668023), // Rule ID 10271 //
     /*  667953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  667964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  667967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  667970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668021 */     GIR_RootConstrainSelectedInstOperands,
     /*  668022 */     // GIR_Coverage, 10271,
     /*  668022 */     GIR_EraseRootFromParent_Done,
     /*  668023 */   // Label 10632: @668023
     /*  668023 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(668098), // Rule ID 10272 //
     /*  668028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  668039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  668042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  668045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668096 */     GIR_RootConstrainSelectedInstOperands,
     /*  668097 */     // GIR_Coverage, 10272,
     /*  668097 */     GIR_EraseRootFromParent_Done,
     /*  668098 */   // Label 10633: @668098
     /*  668098 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(668173), // Rule ID 10275 //
     /*  668103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668171 */     GIR_RootConstrainSelectedInstOperands,
     /*  668172 */     // GIR_Coverage, 10275,
     /*  668172 */     GIR_EraseRootFromParent_Done,
     /*  668173 */   // Label 10634: @668173
     /*  668173 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(668248), // Rule ID 10276 //
     /*  668178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668246 */     GIR_RootConstrainSelectedInstOperands,
     /*  668247 */     // GIR_Coverage, 10276,
     /*  668247 */     GIR_EraseRootFromParent_Done,
     /*  668248 */   // Label 10635: @668248
     /*  668248 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(668323), // Rule ID 10279 //
     /*  668253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668321 */     GIR_RootConstrainSelectedInstOperands,
     /*  668322 */     // GIR_Coverage, 10279,
     /*  668322 */     GIR_EraseRootFromParent_Done,
     /*  668323 */   // Label 10636: @668323
     /*  668323 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(668398), // Rule ID 10280 //
     /*  668328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668396 */     GIR_RootConstrainSelectedInstOperands,
     /*  668397 */     // GIR_Coverage, 10280,
     /*  668397 */     GIR_EraseRootFromParent_Done,
     /*  668398 */   // Label 10637: @668398
     /*  668398 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(668473), // Rule ID 10283 //
     /*  668403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668471 */     GIR_RootConstrainSelectedInstOperands,
     /*  668472 */     // GIR_Coverage, 10283,
     /*  668472 */     GIR_EraseRootFromParent_Done,
     /*  668473 */   // Label 10638: @668473
     /*  668473 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(668548), // Rule ID 10284 //
     /*  668478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668546 */     GIR_RootConstrainSelectedInstOperands,
     /*  668547 */     // GIR_Coverage, 10284,
     /*  668547 */     GIR_EraseRootFromParent_Done,
     /*  668548 */   // Label 10639: @668548
     /*  668548 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(668623), // Rule ID 10287 //
     /*  668553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668621 */     GIR_RootConstrainSelectedInstOperands,
     /*  668622 */     // GIR_Coverage, 10287,
     /*  668622 */     GIR_EraseRootFromParent_Done,
     /*  668623 */   // Label 10640: @668623
     /*  668623 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668698), // Rule ID 10288 //
     /*  668628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668696 */     GIR_RootConstrainSelectedInstOperands,
     /*  668697 */     // GIR_Coverage, 10288,
     /*  668697 */     GIR_EraseRootFromParent_Done,
     /*  668698 */   // Label 10641: @668698
     /*  668698 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668773), // Rule ID 10291 //
     /*  668703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  668714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  668717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  668720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668771 */     GIR_RootConstrainSelectedInstOperands,
     /*  668772 */     // GIR_Coverage, 10291,
     /*  668772 */     GIR_EraseRootFromParent_Done,
     /*  668773 */   // Label 10642: @668773
     /*  668773 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668848), // Rule ID 10292 //
     /*  668778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  668789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  668792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  668795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668846 */     GIR_RootConstrainSelectedInstOperands,
     /*  668847 */     // GIR_Coverage, 10292,
     /*  668847 */     GIR_EraseRootFromParent_Done,
     /*  668848 */   // Label 10643: @668848
     /*  668848 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(668923), // Rule ID 10295 //
     /*  668853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  668864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  668867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  668870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668921 */     GIR_RootConstrainSelectedInstOperands,
     /*  668922 */     // GIR_Coverage, 10295,
     /*  668922 */     GIR_EraseRootFromParent_Done,
     /*  668923 */   // Label 10644: @668923
     /*  668923 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(668998), // Rule ID 10296 //
     /*  668928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  668939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  668942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  668945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668996 */     GIR_RootConstrainSelectedInstOperands,
     /*  668997 */     // GIR_Coverage, 10296,
     /*  668997 */     GIR_EraseRootFromParent_Done,
     /*  668998 */   // Label 10645: @668998
     /*  668998 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(669073), // Rule ID 10299 //
     /*  669003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669049 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669071 */     GIR_RootConstrainSelectedInstOperands,
     /*  669072 */     // GIR_Coverage, 10299,
     /*  669072 */     GIR_EraseRootFromParent_Done,
     /*  669073 */   // Label 10646: @669073
     /*  669073 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(669148), // Rule ID 10300 //
     /*  669078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669146 */     GIR_RootConstrainSelectedInstOperands,
     /*  669147 */     // GIR_Coverage, 10300,
     /*  669147 */     GIR_EraseRootFromParent_Done,
     /*  669148 */   // Label 10647: @669148
     /*  669148 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(669223), // Rule ID 10303 //
     /*  669153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669221 */     GIR_RootConstrainSelectedInstOperands,
     /*  669222 */     // GIR_Coverage, 10303,
     /*  669222 */     GIR_EraseRootFromParent_Done,
     /*  669223 */   // Label 10648: @669223
     /*  669223 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(669298), // Rule ID 10304 //
     /*  669228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669296 */     GIR_RootConstrainSelectedInstOperands,
     /*  669297 */     // GIR_Coverage, 10304,
     /*  669297 */     GIR_EraseRootFromParent_Done,
     /*  669298 */   // Label 10649: @669298
     /*  669298 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(669373), // Rule ID 10307 //
     /*  669303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669349 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669371 */     GIR_RootConstrainSelectedInstOperands,
     /*  669372 */     // GIR_Coverage, 10307,
     /*  669372 */     GIR_EraseRootFromParent_Done,
     /*  669373 */   // Label 10650: @669373
     /*  669373 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(669448), // Rule ID 10308 //
     /*  669378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669446 */     GIR_RootConstrainSelectedInstOperands,
     /*  669447 */     // GIR_Coverage, 10308,
     /*  669447 */     GIR_EraseRootFromParent_Done,
     /*  669448 */   // Label 10651: @669448
     /*  669448 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(669523), // Rule ID 10311 //
     /*  669453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669499 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669521 */     GIR_RootConstrainSelectedInstOperands,
     /*  669522 */     // GIR_Coverage, 10311,
     /*  669522 */     GIR_EraseRootFromParent_Done,
     /*  669523 */   // Label 10652: @669523
     /*  669523 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(669598), // Rule ID 10312 //
     /*  669528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669596 */     GIR_RootConstrainSelectedInstOperands,
     /*  669597 */     // GIR_Coverage, 10312,
     /*  669597 */     GIR_EraseRootFromParent_Done,
     /*  669598 */   // Label 10653: @669598
     /*  669598 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669673), // Rule ID 10315 //
     /*  669603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  669614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  669617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  669620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  669623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  669652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669671 */     GIR_RootConstrainSelectedInstOperands,
     /*  669672 */     // GIR_Coverage, 10315,
     /*  669672 */     GIR_EraseRootFromParent_Done,
     /*  669673 */   // Label 10654: @669673
     /*  669673 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669748), // Rule ID 10316 //
     /*  669678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  669689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  669692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  669695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  669698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  669727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669746 */     GIR_RootConstrainSelectedInstOperands,
     /*  669747 */     // GIR_Coverage, 10316,
     /*  669747 */     GIR_EraseRootFromParent_Done,
     /*  669748 */   // Label 10655: @669748
     /*  669748 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669823), // Rule ID 10319 //
     /*  669753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  669764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  669767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  669770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  669773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669799 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669821 */     GIR_RootConstrainSelectedInstOperands,
     /*  669822 */     // GIR_Coverage, 10319,
     /*  669822 */     GIR_EraseRootFromParent_Done,
     /*  669823 */   // Label 10656: @669823
     /*  669823 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669898), // Rule ID 10320 //
     /*  669828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  669839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  669842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  669845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  669848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669896 */     GIR_RootConstrainSelectedInstOperands,
     /*  669897 */     // GIR_Coverage, 10320,
     /*  669897 */     GIR_EraseRootFromParent_Done,
     /*  669898 */   // Label 10657: @669898
     /*  669898 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(669973), // Rule ID 10323 //
     /*  669903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  669914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  669917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  669920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  669923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  669952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669971 */     GIR_RootConstrainSelectedInstOperands,
     /*  669972 */     // GIR_Coverage, 10323,
     /*  669972 */     GIR_EraseRootFromParent_Done,
     /*  669973 */   // Label 10658: @669973
     /*  669973 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(670048), // Rule ID 10324 //
     /*  669978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  669989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  669992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  669995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  669998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670046 */     GIR_RootConstrainSelectedInstOperands,
     /*  670047 */     // GIR_Coverage, 10324,
     /*  670047 */     GIR_EraseRootFromParent_Done,
     /*  670048 */   // Label 10659: @670048
     /*  670048 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(670123), // Rule ID 10327 //
     /*  670053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670121 */     GIR_RootConstrainSelectedInstOperands,
     /*  670122 */     // GIR_Coverage, 10327,
     /*  670122 */     GIR_EraseRootFromParent_Done,
     /*  670123 */   // Label 10660: @670123
     /*  670123 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(670198), // Rule ID 10328 //
     /*  670128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670196 */     GIR_RootConstrainSelectedInstOperands,
     /*  670197 */     // GIR_Coverage, 10328,
     /*  670197 */     GIR_EraseRootFromParent_Done,
     /*  670198 */   // Label 10661: @670198
     /*  670198 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(670273), // Rule ID 10331 //
     /*  670203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670271 */     GIR_RootConstrainSelectedInstOperands,
     /*  670272 */     // GIR_Coverage, 10331,
     /*  670272 */     GIR_EraseRootFromParent_Done,
     /*  670273 */   // Label 10662: @670273
     /*  670273 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(670348), // Rule ID 10332 //
     /*  670278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670346 */     GIR_RootConstrainSelectedInstOperands,
     /*  670347 */     // GIR_Coverage, 10332,
     /*  670347 */     GIR_EraseRootFromParent_Done,
     /*  670348 */   // Label 10663: @670348
     /*  670348 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(670423), // Rule ID 10335 //
     /*  670353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670399 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670421 */     GIR_RootConstrainSelectedInstOperands,
     /*  670422 */     // GIR_Coverage, 10335,
     /*  670422 */     GIR_EraseRootFromParent_Done,
     /*  670423 */   // Label 10664: @670423
     /*  670423 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(670498), // Rule ID 10336 //
     /*  670428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670496 */     GIR_RootConstrainSelectedInstOperands,
     /*  670497 */     // GIR_Coverage, 10336,
     /*  670497 */     GIR_EraseRootFromParent_Done,
     /*  670498 */   // Label 10665: @670498
     /*  670498 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670573), // Rule ID 10339 //
     /*  670503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670571 */     GIR_RootConstrainSelectedInstOperands,
     /*  670572 */     // GIR_Coverage, 10339,
     /*  670572 */     GIR_EraseRootFromParent_Done,
     /*  670573 */   // Label 10666: @670573
     /*  670573 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670648), // Rule ID 10340 //
     /*  670578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670646 */     GIR_RootConstrainSelectedInstOperands,
     /*  670647 */     // GIR_Coverage, 10340,
     /*  670647 */     GIR_EraseRootFromParent_Done,
     /*  670648 */   // Label 10667: @670648
     /*  670648 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670723), // Rule ID 10343 //
     /*  670653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  670664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  670667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  670670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  670673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670721 */     GIR_RootConstrainSelectedInstOperands,
     /*  670722 */     // GIR_Coverage, 10343,
     /*  670722 */     GIR_EraseRootFromParent_Done,
     /*  670723 */   // Label 10668: @670723
     /*  670723 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670798), // Rule ID 10344 //
     /*  670728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  670739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  670742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  670745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  670748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670796 */     GIR_RootConstrainSelectedInstOperands,
     /*  670797 */     // GIR_Coverage, 10344,
     /*  670797 */     GIR_EraseRootFromParent_Done,
     /*  670798 */   // Label 10669: @670798
     /*  670798 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670873), // Rule ID 10347 //
     /*  670803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  670814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  670817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  670820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  670823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670871 */     GIR_RootConstrainSelectedInstOperands,
     /*  670872 */     // GIR_Coverage, 10347,
     /*  670872 */     GIR_EraseRootFromParent_Done,
     /*  670873 */   // Label 10670: @670873
     /*  670873 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(670948), // Rule ID 10348 //
     /*  670878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  670889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  670892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  670895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  670898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670946 */     GIR_RootConstrainSelectedInstOperands,
     /*  670947 */     // GIR_Coverage, 10348,
     /*  670947 */     GIR_EraseRootFromParent_Done,
     /*  670948 */   // Label 10671: @670948
     /*  670948 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(671023), // Rule ID 10351 //
     /*  670953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  670964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  670967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  670970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  670973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671021 */     GIR_RootConstrainSelectedInstOperands,
     /*  671022 */     // GIR_Coverage, 10351,
     /*  671022 */     GIR_EraseRootFromParent_Done,
     /*  671023 */   // Label 10672: @671023
     /*  671023 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(671098), // Rule ID 10352 //
     /*  671028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  671039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  671042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  671045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  671048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671096 */     GIR_RootConstrainSelectedInstOperands,
     /*  671097 */     // GIR_Coverage, 10352,
     /*  671097 */     GIR_EraseRootFromParent_Done,
     /*  671098 */   // Label 10673: @671098
     /*  671098 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(671173), // Rule ID 10355 //
     /*  671103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671149 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671171 */     GIR_RootConstrainSelectedInstOperands,
     /*  671172 */     // GIR_Coverage, 10355,
     /*  671172 */     GIR_EraseRootFromParent_Done,
     /*  671173 */   // Label 10674: @671173
     /*  671173 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(671248), // Rule ID 10356 //
     /*  671178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671246 */     GIR_RootConstrainSelectedInstOperands,
     /*  671247 */     // GIR_Coverage, 10356,
     /*  671247 */     GIR_EraseRootFromParent_Done,
     /*  671248 */   // Label 10675: @671248
     /*  671248 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(671323), // Rule ID 10359 //
     /*  671253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671321 */     GIR_RootConstrainSelectedInstOperands,
     /*  671322 */     // GIR_Coverage, 10359,
     /*  671322 */     GIR_EraseRootFromParent_Done,
     /*  671323 */   // Label 10676: @671323
     /*  671323 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(671398), // Rule ID 10360 //
     /*  671328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671396 */     GIR_RootConstrainSelectedInstOperands,
     /*  671397 */     // GIR_Coverage, 10360,
     /*  671397 */     GIR_EraseRootFromParent_Done,
     /*  671398 */   // Label 10677: @671398
     /*  671398 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(671473), // Rule ID 10363 //
     /*  671403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671471 */     GIR_RootConstrainSelectedInstOperands,
     /*  671472 */     // GIR_Coverage, 10363,
     /*  671472 */     GIR_EraseRootFromParent_Done,
     /*  671473 */   // Label 10678: @671473
     /*  671473 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(671548), // Rule ID 10364 //
     /*  671478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671546 */     GIR_RootConstrainSelectedInstOperands,
     /*  671547 */     // GIR_Coverage, 10364,
     /*  671547 */     GIR_EraseRootFromParent_Done,
     /*  671548 */   // Label 10679: @671548
     /*  671548 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671623), // Rule ID 10367 //
     /*  671553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671621 */     GIR_RootConstrainSelectedInstOperands,
     /*  671622 */     // GIR_Coverage, 10367,
     /*  671622 */     GIR_EraseRootFromParent_Done,
     /*  671623 */   // Label 10680: @671623
     /*  671623 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671698), // Rule ID 10368 //
     /*  671628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671696 */     GIR_RootConstrainSelectedInstOperands,
     /*  671697 */     // GIR_Coverage, 10368,
     /*  671697 */     GIR_EraseRootFromParent_Done,
     /*  671698 */   // Label 10681: @671698
     /*  671698 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671773), // Rule ID 10371 //
     /*  671703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  671714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  671717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  671720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  671723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671771 */     GIR_RootConstrainSelectedInstOperands,
     /*  671772 */     // GIR_Coverage, 10371,
     /*  671772 */     GIR_EraseRootFromParent_Done,
     /*  671773 */   // Label 10682: @671773
     /*  671773 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671848), // Rule ID 10372 //
     /*  671778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  671789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  671792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  671795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  671798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671846 */     GIR_RootConstrainSelectedInstOperands,
     /*  671847 */     // GIR_Coverage, 10372,
     /*  671847 */     GIR_EraseRootFromParent_Done,
     /*  671848 */   // Label 10683: @671848
     /*  671848 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(671923), // Rule ID 10375 //
     /*  671853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  671864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  671867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  671870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  671873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671921 */     GIR_RootConstrainSelectedInstOperands,
     /*  671922 */     // GIR_Coverage, 10375,
     /*  671922 */     GIR_EraseRootFromParent_Done,
     /*  671923 */   // Label 10684: @671923
     /*  671923 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(671998), // Rule ID 10376 //
     /*  671928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  671939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  671942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  671945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  671948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671996 */     GIR_RootConstrainSelectedInstOperands,
     /*  671997 */     // GIR_Coverage, 10376,
     /*  671997 */     GIR_EraseRootFromParent_Done,
     /*  671998 */   // Label 10685: @671998
     /*  671998 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(672073), // Rule ID 10379 //
     /*  672003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672071 */     GIR_RootConstrainSelectedInstOperands,
     /*  672072 */     // GIR_Coverage, 10379,
     /*  672072 */     GIR_EraseRootFromParent_Done,
     /*  672073 */   // Label 10686: @672073
     /*  672073 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(672148), // Rule ID 10380 //
     /*  672078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672146 */     GIR_RootConstrainSelectedInstOperands,
     /*  672147 */     // GIR_Coverage, 10380,
     /*  672147 */     GIR_EraseRootFromParent_Done,
     /*  672148 */   // Label 10687: @672148
     /*  672148 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(672223), // Rule ID 10383 //
     /*  672153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672221 */     GIR_RootConstrainSelectedInstOperands,
     /*  672222 */     // GIR_Coverage, 10383,
     /*  672222 */     GIR_EraseRootFromParent_Done,
     /*  672223 */   // Label 10688: @672223
     /*  672223 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(672298), // Rule ID 10384 //
     /*  672228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672296 */     GIR_RootConstrainSelectedInstOperands,
     /*  672297 */     // GIR_Coverage, 10384,
     /*  672297 */     GIR_EraseRootFromParent_Done,
     /*  672298 */   // Label 10689: @672298
     /*  672298 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(672373), // Rule ID 10387 //
     /*  672303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672371 */     GIR_RootConstrainSelectedInstOperands,
     /*  672372 */     // GIR_Coverage, 10387,
     /*  672372 */     GIR_EraseRootFromParent_Done,
     /*  672373 */   // Label 10690: @672373
     /*  672373 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(672448), // Rule ID 10388 //
     /*  672378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672446 */     GIR_RootConstrainSelectedInstOperands,
     /*  672447 */     // GIR_Coverage, 10388,
     /*  672447 */     GIR_EraseRootFromParent_Done,
     /*  672448 */   // Label 10691: @672448
     /*  672448 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(672523), // Rule ID 10391 //
     /*  672453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672521 */     GIR_RootConstrainSelectedInstOperands,
     /*  672522 */     // GIR_Coverage, 10391,
     /*  672522 */     GIR_EraseRootFromParent_Done,
     /*  672523 */   // Label 10692: @672523
     /*  672523 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672598), // Rule ID 10392 //
     /*  672528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672596 */     GIR_RootConstrainSelectedInstOperands,
     /*  672597 */     // GIR_Coverage, 10392,
     /*  672597 */     GIR_EraseRootFromParent_Done,
     /*  672598 */   // Label 10693: @672598
     /*  672598 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672673), // Rule ID 10395 //
     /*  672603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  672614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  672617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  672620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672649 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  672652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672671 */     GIR_RootConstrainSelectedInstOperands,
     /*  672672 */     // GIR_Coverage, 10395,
     /*  672672 */     GIR_EraseRootFromParent_Done,
     /*  672673 */   // Label 10694: @672673
     /*  672673 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672748), // Rule ID 10396 //
     /*  672678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  672689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  672692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  672695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  672727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672746 */     GIR_RootConstrainSelectedInstOperands,
     /*  672747 */     // GIR_Coverage, 10396,
     /*  672747 */     GIR_EraseRootFromParent_Done,
     /*  672748 */   // Label 10695: @672748
     /*  672748 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672823), // Rule ID 10399 //
     /*  672753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  672764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  672767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  672770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672799 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  672802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672821 */     GIR_RootConstrainSelectedInstOperands,
     /*  672822 */     // GIR_Coverage, 10399,
     /*  672822 */     GIR_EraseRootFromParent_Done,
     /*  672823 */   // Label 10696: @672823
     /*  672823 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672898), // Rule ID 10400 //
     /*  672828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  672839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  672842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  672845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  672877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672896 */     GIR_RootConstrainSelectedInstOperands,
     /*  672897 */     // GIR_Coverage, 10400,
     /*  672897 */     GIR_EraseRootFromParent_Done,
     /*  672898 */   // Label 10697: @672898
     /*  672898 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(672973), // Rule ID 10403 //
     /*  672903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  672914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  672917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  672920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  672952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672971 */     GIR_RootConstrainSelectedInstOperands,
     /*  672972 */     // GIR_Coverage, 10403,
     /*  672972 */     GIR_EraseRootFromParent_Done,
     /*  672973 */   // Label 10698: @672973
     /*  672973 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(673048), // Rule ID 10404 //
     /*  672978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  672989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  672992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  672995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673046 */     GIR_RootConstrainSelectedInstOperands,
     /*  673047 */     // GIR_Coverage, 10404,
     /*  673047 */     GIR_EraseRootFromParent_Done,
     /*  673048 */   // Label 10699: @673048
     /*  673048 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(673123), // Rule ID 10407 //
     /*  673053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673121 */     GIR_RootConstrainSelectedInstOperands,
     /*  673122 */     // GIR_Coverage, 10407,
     /*  673122 */     GIR_EraseRootFromParent_Done,
     /*  673123 */   // Label 10700: @673123
     /*  673123 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(673198), // Rule ID 10408 //
     /*  673128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673196 */     GIR_RootConstrainSelectedInstOperands,
     /*  673197 */     // GIR_Coverage, 10408,
     /*  673197 */     GIR_EraseRootFromParent_Done,
     /*  673198 */   // Label 10701: @673198
     /*  673198 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(673273), // Rule ID 10411 //
     /*  673203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673271 */     GIR_RootConstrainSelectedInstOperands,
     /*  673272 */     // GIR_Coverage, 10411,
     /*  673272 */     GIR_EraseRootFromParent_Done,
     /*  673273 */   // Label 10702: @673273
     /*  673273 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(673348), // Rule ID 10412 //
     /*  673278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673346 */     GIR_RootConstrainSelectedInstOperands,
     /*  673347 */     // GIR_Coverage, 10412,
     /*  673347 */     GIR_EraseRootFromParent_Done,
     /*  673348 */   // Label 10703: @673348
     /*  673348 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(673423), // Rule ID 10415 //
     /*  673353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673421 */     GIR_RootConstrainSelectedInstOperands,
     /*  673422 */     // GIR_Coverage, 10415,
     /*  673422 */     GIR_EraseRootFromParent_Done,
     /*  673423 */   // Label 10704: @673423
     /*  673423 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(673498), // Rule ID 10416 //
     /*  673428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673496 */     GIR_RootConstrainSelectedInstOperands,
     /*  673497 */     // GIR_Coverage, 10416,
     /*  673497 */     GIR_EraseRootFromParent_Done,
     /*  673498 */   // Label 10705: @673498
     /*  673498 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673573), // Rule ID 10419 //
     /*  673503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673571 */     GIR_RootConstrainSelectedInstOperands,
     /*  673572 */     // GIR_Coverage, 10419,
     /*  673572 */     GIR_EraseRootFromParent_Done,
     /*  673573 */   // Label 10706: @673573
     /*  673573 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673648), // Rule ID 10420 //
     /*  673578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673646 */     GIR_RootConstrainSelectedInstOperands,
     /*  673647 */     // GIR_Coverage, 10420,
     /*  673647 */     GIR_EraseRootFromParent_Done,
     /*  673648 */   // Label 10707: @673648
     /*  673648 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673723), // Rule ID 10423 //
     /*  673653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  673664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  673667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  673670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673721 */     GIR_RootConstrainSelectedInstOperands,
     /*  673722 */     // GIR_Coverage, 10423,
     /*  673722 */     GIR_EraseRootFromParent_Done,
     /*  673723 */   // Label 10708: @673723
     /*  673723 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673798), // Rule ID 10424 //
     /*  673728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  673739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  673742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  673745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673796 */     GIR_RootConstrainSelectedInstOperands,
     /*  673797 */     // GIR_Coverage, 10424,
     /*  673797 */     GIR_EraseRootFromParent_Done,
     /*  673798 */   // Label 10709: @673798
     /*  673798 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673873), // Rule ID 10427 //
     /*  673803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  673814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  673817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  673820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673871 */     GIR_RootConstrainSelectedInstOperands,
     /*  673872 */     // GIR_Coverage, 10427,
     /*  673872 */     GIR_EraseRootFromParent_Done,
     /*  673873 */   // Label 10710: @673873
     /*  673873 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(673948), // Rule ID 10428 //
     /*  673878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  673889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  673892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  673895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673946 */     GIR_RootConstrainSelectedInstOperands,
     /*  673947 */     // GIR_Coverage, 10428,
     /*  673947 */     GIR_EraseRootFromParent_Done,
     /*  673948 */   // Label 10711: @673948
     /*  673948 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(674023), // Rule ID 10431 //
     /*  673953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  673964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  673967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  673970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674021 */     GIR_RootConstrainSelectedInstOperands,
     /*  674022 */     // GIR_Coverage, 10431,
     /*  674022 */     GIR_EraseRootFromParent_Done,
     /*  674023 */   // Label 10712: @674023
     /*  674023 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(674098), // Rule ID 10432 //
     /*  674028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  674039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  674042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  674045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674096 */     GIR_RootConstrainSelectedInstOperands,
     /*  674097 */     // GIR_Coverage, 10432,
     /*  674097 */     GIR_EraseRootFromParent_Done,
     /*  674098 */   // Label 10713: @674098
     /*  674098 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(674173), // Rule ID 10435 //
     /*  674103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674149 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674171 */     GIR_RootConstrainSelectedInstOperands,
     /*  674172 */     // GIR_Coverage, 10435,
     /*  674172 */     GIR_EraseRootFromParent_Done,
     /*  674173 */   // Label 10714: @674173
     /*  674173 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(674248), // Rule ID 10436 //
     /*  674178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674246 */     GIR_RootConstrainSelectedInstOperands,
     /*  674247 */     // GIR_Coverage, 10436,
     /*  674247 */     GIR_EraseRootFromParent_Done,
     /*  674248 */   // Label 10715: @674248
     /*  674248 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(674323), // Rule ID 10439 //
     /*  674253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674321 */     GIR_RootConstrainSelectedInstOperands,
     /*  674322 */     // GIR_Coverage, 10439,
     /*  674322 */     GIR_EraseRootFromParent_Done,
     /*  674323 */   // Label 10716: @674323
     /*  674323 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(674398), // Rule ID 10440 //
     /*  674328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674396 */     GIR_RootConstrainSelectedInstOperands,
     /*  674397 */     // GIR_Coverage, 10440,
     /*  674397 */     GIR_EraseRootFromParent_Done,
     /*  674398 */   // Label 10717: @674398
     /*  674398 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(674473), // Rule ID 10443 //
     /*  674403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674449 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674471 */     GIR_RootConstrainSelectedInstOperands,
     /*  674472 */     // GIR_Coverage, 10443,
     /*  674472 */     GIR_EraseRootFromParent_Done,
     /*  674473 */   // Label 10718: @674473
     /*  674473 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(674548), // Rule ID 10444 //
     /*  674478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674546 */     GIR_RootConstrainSelectedInstOperands,
     /*  674547 */     // GIR_Coverage, 10444,
     /*  674547 */     GIR_EraseRootFromParent_Done,
     /*  674548 */   // Label 10719: @674548
     /*  674548 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674623), // Rule ID 10447 //
     /*  674553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674621 */     GIR_RootConstrainSelectedInstOperands,
     /*  674622 */     // GIR_Coverage, 10447,
     /*  674622 */     GIR_EraseRootFromParent_Done,
     /*  674623 */   // Label 10720: @674623
     /*  674623 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674698), // Rule ID 10448 //
     /*  674628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674696 */     GIR_RootConstrainSelectedInstOperands,
     /*  674697 */     // GIR_Coverage, 10448,
     /*  674697 */     GIR_EraseRootFromParent_Done,
     /*  674698 */   // Label 10721: @674698
     /*  674698 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674773), // Rule ID 10451 //
     /*  674703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  674714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  674717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  674720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674771 */     GIR_RootConstrainSelectedInstOperands,
     /*  674772 */     // GIR_Coverage, 10451,
     /*  674772 */     GIR_EraseRootFromParent_Done,
     /*  674773 */   // Label 10722: @674773
     /*  674773 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674848), // Rule ID 10452 //
     /*  674778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  674789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  674792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  674795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674846 */     GIR_RootConstrainSelectedInstOperands,
     /*  674847 */     // GIR_Coverage, 10452,
     /*  674847 */     GIR_EraseRootFromParent_Done,
     /*  674848 */   // Label 10723: @674848
     /*  674848 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(674923), // Rule ID 10455 //
     /*  674853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  674864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  674867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  674870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674921 */     GIR_RootConstrainSelectedInstOperands,
     /*  674922 */     // GIR_Coverage, 10455,
     /*  674922 */     GIR_EraseRootFromParent_Done,
     /*  674923 */   // Label 10724: @674923
     /*  674923 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(674998), // Rule ID 10456 //
     /*  674928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  674939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  674942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  674945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674996 */     GIR_RootConstrainSelectedInstOperands,
     /*  674997 */     // GIR_Coverage, 10456,
     /*  674997 */     GIR_EraseRootFromParent_Done,
     /*  674998 */   // Label 10725: @674998
     /*  674998 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(675073), // Rule ID 10459 //
     /*  675003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675071 */     GIR_RootConstrainSelectedInstOperands,
     /*  675072 */     // GIR_Coverage, 10459,
     /*  675072 */     GIR_EraseRootFromParent_Done,
     /*  675073 */   // Label 10726: @675073
     /*  675073 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(675148), // Rule ID 10460 //
     /*  675078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675146 */     GIR_RootConstrainSelectedInstOperands,
     /*  675147 */     // GIR_Coverage, 10460,
     /*  675147 */     GIR_EraseRootFromParent_Done,
     /*  675148 */   // Label 10727: @675148
     /*  675148 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(675223), // Rule ID 10463 //
     /*  675153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675221 */     GIR_RootConstrainSelectedInstOperands,
     /*  675222 */     // GIR_Coverage, 10463,
     /*  675222 */     GIR_EraseRootFromParent_Done,
     /*  675223 */   // Label 10728: @675223
     /*  675223 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(675298), // Rule ID 10464 //
     /*  675228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675296 */     GIR_RootConstrainSelectedInstOperands,
     /*  675297 */     // GIR_Coverage, 10464,
     /*  675297 */     GIR_EraseRootFromParent_Done,
     /*  675298 */   // Label 10729: @675298
     /*  675298 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675373), // Rule ID 10467 //
     /*  675303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675371 */     GIR_RootConstrainSelectedInstOperands,
     /*  675372 */     // GIR_Coverage, 10467,
     /*  675372 */     GIR_EraseRootFromParent_Done,
     /*  675373 */   // Label 10730: @675373
     /*  675373 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(675448), // Rule ID 10468 //
     /*  675378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675446 */     GIR_RootConstrainSelectedInstOperands,
     /*  675447 */     // GIR_Coverage, 10468,
     /*  675447 */     GIR_EraseRootFromParent_Done,
     /*  675448 */   // Label 10731: @675448
     /*  675448 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(675523), // Rule ID 10471 //
     /*  675453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675521 */     GIR_RootConstrainSelectedInstOperands,
     /*  675522 */     // GIR_Coverage, 10471,
     /*  675522 */     GIR_EraseRootFromParent_Done,
     /*  675523 */   // Label 10732: @675523
     /*  675523 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675598), // Rule ID 10472 //
     /*  675528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675596 */     GIR_RootConstrainSelectedInstOperands,
     /*  675597 */     // GIR_Coverage, 10472,
     /*  675597 */     GIR_EraseRootFromParent_Done,
     /*  675598 */   // Label 10733: @675598
     /*  675598 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675673), // Rule ID 10475 //
     /*  675603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  675614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  675617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  675620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675671 */     GIR_RootConstrainSelectedInstOperands,
     /*  675672 */     // GIR_Coverage, 10475,
     /*  675672 */     GIR_EraseRootFromParent_Done,
     /*  675673 */   // Label 10734: @675673
     /*  675673 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675748), // Rule ID 10476 //
     /*  675678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  675689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  675692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  675695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675746 */     GIR_RootConstrainSelectedInstOperands,
     /*  675747 */     // GIR_Coverage, 10476,
     /*  675747 */     GIR_EraseRootFromParent_Done,
     /*  675748 */   // Label 10735: @675748
     /*  675748 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675823), // Rule ID 10479 //
     /*  675753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  675764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  675767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  675770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675821 */     GIR_RootConstrainSelectedInstOperands,
     /*  675822 */     // GIR_Coverage, 10479,
     /*  675822 */     GIR_EraseRootFromParent_Done,
     /*  675823 */   // Label 10736: @675823
     /*  675823 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675898), // Rule ID 10480 //
     /*  675828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  675839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  675842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  675845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675896 */     GIR_RootConstrainSelectedInstOperands,
     /*  675897 */     // GIR_Coverage, 10480,
     /*  675897 */     GIR_EraseRootFromParent_Done,
     /*  675898 */   // Label 10737: @675898
     /*  675898 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(675973), // Rule ID 10483 //
     /*  675903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  675914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  675917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  675920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  675923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675949 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  675952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675971 */     GIR_RootConstrainSelectedInstOperands,
     /*  675972 */     // GIR_Coverage, 10483,
     /*  675972 */     GIR_EraseRootFromParent_Done,
     /*  675973 */   // Label 10738: @675973
     /*  675973 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(676048), // Rule ID 10484 //
     /*  675978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  675989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  675992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  675995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  675998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676024 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  676027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676046 */     GIR_RootConstrainSelectedInstOperands,
     /*  676047 */     // GIR_Coverage, 10484,
     /*  676047 */     GIR_EraseRootFromParent_Done,
     /*  676048 */   // Label 10739: @676048
     /*  676048 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(676123), // Rule ID 10487 //
     /*  676053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676099 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676121 */     GIR_RootConstrainSelectedInstOperands,
     /*  676122 */     // GIR_Coverage, 10487,
     /*  676122 */     GIR_EraseRootFromParent_Done,
     /*  676123 */   // Label 10740: @676123
     /*  676123 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(676198), // Rule ID 10488 //
     /*  676128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676174 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676196 */     GIR_RootConstrainSelectedInstOperands,
     /*  676197 */     // GIR_Coverage, 10488,
     /*  676197 */     GIR_EraseRootFromParent_Done,
     /*  676198 */   // Label 10741: @676198
     /*  676198 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(676273), // Rule ID 10491 //
     /*  676203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676249 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676271 */     GIR_RootConstrainSelectedInstOperands,
     /*  676272 */     // GIR_Coverage, 10491,
     /*  676272 */     GIR_EraseRootFromParent_Done,
     /*  676273 */   // Label 10742: @676273
     /*  676273 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676348), // Rule ID 10492 //
     /*  676278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676346 */     GIR_RootConstrainSelectedInstOperands,
     /*  676347 */     // GIR_Coverage, 10492,
     /*  676347 */     GIR_EraseRootFromParent_Done,
     /*  676348 */   // Label 10743: @676348
     /*  676348 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676423), // Rule ID 10495 //
     /*  676353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676421 */     GIR_RootConstrainSelectedInstOperands,
     /*  676422 */     // GIR_Coverage, 10495,
     /*  676422 */     GIR_EraseRootFromParent_Done,
     /*  676423 */   // Label 10744: @676423
     /*  676423 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(676498), // Rule ID 10496 //
     /*  676428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676496 */     GIR_RootConstrainSelectedInstOperands,
     /*  676497 */     // GIR_Coverage, 10496,
     /*  676497 */     GIR_EraseRootFromParent_Done,
     /*  676498 */   // Label 10745: @676498
     /*  676498 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676573), // Rule ID 10499 //
     /*  676503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676571 */     GIR_RootConstrainSelectedInstOperands,
     /*  676572 */     // GIR_Coverage, 10499,
     /*  676572 */     GIR_EraseRootFromParent_Done,
     /*  676573 */   // Label 10746: @676573
     /*  676573 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676648), // Rule ID 10500 //
     /*  676578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676646 */     GIR_RootConstrainSelectedInstOperands,
     /*  676647 */     // GIR_Coverage, 10500,
     /*  676647 */     GIR_EraseRootFromParent_Done,
     /*  676648 */   // Label 10747: @676648
     /*  676648 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676723), // Rule ID 10503 //
     /*  676653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  676664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  676667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  676670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  676673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676721 */     GIR_RootConstrainSelectedInstOperands,
     /*  676722 */     // GIR_Coverage, 10503,
     /*  676722 */     GIR_EraseRootFromParent_Done,
     /*  676723 */   // Label 10748: @676723
     /*  676723 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676798), // Rule ID 10504 //
     /*  676728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  676739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  676742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  676745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  676748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676796 */     GIR_RootConstrainSelectedInstOperands,
     /*  676797 */     // GIR_Coverage, 10504,
     /*  676797 */     GIR_EraseRootFromParent_Done,
     /*  676798 */   // Label 10749: @676798
     /*  676798 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676873), // Rule ID 10507 //
     /*  676803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  676814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  676817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  676820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  676823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676849 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  676852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676871 */     GIR_RootConstrainSelectedInstOperands,
     /*  676872 */     // GIR_Coverage, 10507,
     /*  676872 */     GIR_EraseRootFromParent_Done,
     /*  676873 */   // Label 10750: @676873
     /*  676873 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(676948), // Rule ID 10508 //
     /*  676878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  676889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  676892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  676895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  676898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  676927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676946 */     GIR_RootConstrainSelectedInstOperands,
     /*  676947 */     // GIR_Coverage, 10508,
     /*  676947 */     GIR_EraseRootFromParent_Done,
     /*  676948 */   // Label 10751: @676948
     /*  676948 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(677023), // Rule ID 10511 //
     /*  676953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  676964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  676967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  676970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  676973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677021 */     GIR_RootConstrainSelectedInstOperands,
     /*  677022 */     // GIR_Coverage, 10511,
     /*  677022 */     GIR_EraseRootFromParent_Done,
     /*  677023 */   // Label 10752: @677023
     /*  677023 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(677098), // Rule ID 10512 //
     /*  677028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  677039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  677042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  677045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  677048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677096 */     GIR_RootConstrainSelectedInstOperands,
     /*  677097 */     // GIR_Coverage, 10512,
     /*  677097 */     GIR_EraseRootFromParent_Done,
     /*  677098 */   // Label 10753: @677098
     /*  677098 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(677173), // Rule ID 10515 //
     /*  677103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677171 */     GIR_RootConstrainSelectedInstOperands,
     /*  677172 */     // GIR_Coverage, 10515,
     /*  677172 */     GIR_EraseRootFromParent_Done,
     /*  677173 */   // Label 10754: @677173
     /*  677173 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(677248), // Rule ID 10516 //
     /*  677178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677246 */     GIR_RootConstrainSelectedInstOperands,
     /*  677247 */     // GIR_Coverage, 10516,
     /*  677247 */     GIR_EraseRootFromParent_Done,
     /*  677248 */   // Label 10755: @677248
     /*  677248 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677323), // Rule ID 10519 //
     /*  677253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677321 */     GIR_RootConstrainSelectedInstOperands,
     /*  677322 */     // GIR_Coverage, 10519,
     /*  677322 */     GIR_EraseRootFromParent_Done,
     /*  677323 */   // Label 10756: @677323
     /*  677323 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677398), // Rule ID 10520 //
     /*  677328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677396 */     GIR_RootConstrainSelectedInstOperands,
     /*  677397 */     // GIR_Coverage, 10520,
     /*  677397 */     GIR_EraseRootFromParent_Done,
     /*  677398 */   // Label 10757: @677398
     /*  677398 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(677473), // Rule ID 10523 //
     /*  677403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677471 */     GIR_RootConstrainSelectedInstOperands,
     /*  677472 */     // GIR_Coverage, 10523,
     /*  677472 */     GIR_EraseRootFromParent_Done,
     /*  677473 */   // Label 10758: @677473
     /*  677473 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(677548), // Rule ID 10524 //
     /*  677478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677546 */     GIR_RootConstrainSelectedInstOperands,
     /*  677547 */     // GIR_Coverage, 10524,
     /*  677547 */     GIR_EraseRootFromParent_Done,
     /*  677548 */   // Label 10759: @677548
     /*  677548 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677623), // Rule ID 10527 //
     /*  677553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677599 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677621 */     GIR_RootConstrainSelectedInstOperands,
     /*  677622 */     // GIR_Coverage, 10527,
     /*  677622 */     GIR_EraseRootFromParent_Done,
     /*  677623 */   // Label 10760: @677623
     /*  677623 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677698), // Rule ID 10528 //
     /*  677628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677674 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677696 */     GIR_RootConstrainSelectedInstOperands,
     /*  677697 */     // GIR_Coverage, 10528,
     /*  677697 */     GIR_EraseRootFromParent_Done,
     /*  677698 */   // Label 10761: @677698
     /*  677698 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677773), // Rule ID 10531 //
     /*  677703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  677714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  677717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  677720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  677723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677749 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677771 */     GIR_RootConstrainSelectedInstOperands,
     /*  677772 */     // GIR_Coverage, 10531,
     /*  677772 */     GIR_EraseRootFromParent_Done,
     /*  677773 */   // Label 10762: @677773
     /*  677773 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677848), // Rule ID 10532 //
     /*  677778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  677789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  677792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  677795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  677798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677824 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677846 */     GIR_RootConstrainSelectedInstOperands,
     /*  677847 */     // GIR_Coverage, 10532,
     /*  677847 */     GIR_EraseRootFromParent_Done,
     /*  677848 */   // Label 10763: @677848
     /*  677848 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(677923), // Rule ID 10535 //
     /*  677853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  677864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  677867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  677870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  677873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677899 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677921 */     GIR_RootConstrainSelectedInstOperands,
     /*  677922 */     // GIR_Coverage, 10535,
     /*  677922 */     GIR_EraseRootFromParent_Done,
     /*  677923 */   // Label 10764: @677923
     /*  677923 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(677998), // Rule ID 10536 //
     /*  677928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  677939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  677942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  677945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  677948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677996 */     GIR_RootConstrainSelectedInstOperands,
     /*  677997 */     // GIR_Coverage, 10536,
     /*  677997 */     GIR_EraseRootFromParent_Done,
     /*  677998 */   // Label 10765: @677998
     /*  677998 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(678073), // Rule ID 10539 //
     /*  678003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678049 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678071 */     GIR_RootConstrainSelectedInstOperands,
     /*  678072 */     // GIR_Coverage, 10539,
     /*  678072 */     GIR_EraseRootFromParent_Done,
     /*  678073 */   // Label 10766: @678073
     /*  678073 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(678148), // Rule ID 10540 //
     /*  678078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678146 */     GIR_RootConstrainSelectedInstOperands,
     /*  678147 */     // GIR_Coverage, 10540,
     /*  678147 */     GIR_EraseRootFromParent_Done,
     /*  678148 */   // Label 10767: @678148
     /*  678148 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(678223), // Rule ID 10543 //
     /*  678153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678221 */     GIR_RootConstrainSelectedInstOperands,
     /*  678222 */     // GIR_Coverage, 10543,
     /*  678222 */     GIR_EraseRootFromParent_Done,
     /*  678223 */   // Label 10768: @678223
     /*  678223 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678298), // Rule ID 10544 //
     /*  678228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678296 */     GIR_RootConstrainSelectedInstOperands,
     /*  678297 */     // GIR_Coverage, 10544,
     /*  678297 */     GIR_EraseRootFromParent_Done,
     /*  678298 */   // Label 10769: @678298
     /*  678298 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678373), // Rule ID 10547 //
     /*  678303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678371 */     GIR_RootConstrainSelectedInstOperands,
     /*  678372 */     // GIR_Coverage, 10547,
     /*  678372 */     GIR_EraseRootFromParent_Done,
     /*  678373 */   // Label 10770: @678373
     /*  678373 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(678448), // Rule ID 10548 //
     /*  678378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678446 */     GIR_RootConstrainSelectedInstOperands,
     /*  678447 */     // GIR_Coverage, 10548,
     /*  678447 */     GIR_EraseRootFromParent_Done,
     /*  678448 */   // Label 10771: @678448
     /*  678448 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(678523), // Rule ID 10551 //
     /*  678453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678521 */     GIR_RootConstrainSelectedInstOperands,
     /*  678522 */     // GIR_Coverage, 10551,
     /*  678522 */     GIR_EraseRootFromParent_Done,
     /*  678523 */   // Label 10772: @678523
     /*  678523 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678598), // Rule ID 10552 //
     /*  678528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678596 */     GIR_RootConstrainSelectedInstOperands,
     /*  678597 */     // GIR_Coverage, 10552,
     /*  678597 */     GIR_EraseRootFromParent_Done,
     /*  678598 */   // Label 10773: @678598
     /*  678598 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678673), // Rule ID 10555 //
     /*  678603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  678614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  678617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  678620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  678623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678649 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678671 */     GIR_RootConstrainSelectedInstOperands,
     /*  678672 */     // GIR_Coverage, 10555,
     /*  678672 */     GIR_EraseRootFromParent_Done,
     /*  678673 */   // Label 10774: @678673
     /*  678673 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678748), // Rule ID 10556 //
     /*  678678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  678689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  678692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  678695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  678698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678746 */     GIR_RootConstrainSelectedInstOperands,
     /*  678747 */     // GIR_Coverage, 10556,
     /*  678747 */     GIR_EraseRootFromParent_Done,
     /*  678748 */   // Label 10775: @678748
     /*  678748 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678823), // Rule ID 10559 //
     /*  678753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  678764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  678767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  678770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  678773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678821 */     GIR_RootConstrainSelectedInstOperands,
     /*  678822 */     // GIR_Coverage, 10559,
     /*  678822 */     GIR_EraseRootFromParent_Done,
     /*  678823 */   // Label 10776: @678823
     /*  678823 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678898), // Rule ID 10560 //
     /*  678828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  678839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  678842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  678845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  678848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678896 */     GIR_RootConstrainSelectedInstOperands,
     /*  678897 */     // GIR_Coverage, 10560,
     /*  678897 */     GIR_EraseRootFromParent_Done,
     /*  678898 */   // Label 10777: @678898
     /*  678898 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(678973), // Rule ID 10563 //
     /*  678903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  678914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  678917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  678920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  678923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678971 */     GIR_RootConstrainSelectedInstOperands,
     /*  678972 */     // GIR_Coverage, 10563,
     /*  678972 */     GIR_EraseRootFromParent_Done,
     /*  678973 */   // Label 10778: @678973
     /*  678973 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(679048), // Rule ID 10564 //
     /*  678978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  678989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  678992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  678995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  678998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679046 */     GIR_RootConstrainSelectedInstOperands,
     /*  679047 */     // GIR_Coverage, 10564,
     /*  679047 */     GIR_EraseRootFromParent_Done,
     /*  679048 */   // Label 10779: @679048
     /*  679048 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(679123), // Rule ID 10567 //
     /*  679053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679121 */     GIR_RootConstrainSelectedInstOperands,
     /*  679122 */     // GIR_Coverage, 10567,
     /*  679122 */     GIR_EraseRootFromParent_Done,
     /*  679123 */   // Label 10780: @679123
     /*  679123 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(679198), // Rule ID 10568 //
     /*  679128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679196 */     GIR_RootConstrainSelectedInstOperands,
     /*  679197 */     // GIR_Coverage, 10568,
     /*  679197 */     GIR_EraseRootFromParent_Done,
     /*  679198 */   // Label 10781: @679198
     /*  679198 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(679273), // Rule ID 10571 //
     /*  679203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679249 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679271 */     GIR_RootConstrainSelectedInstOperands,
     /*  679272 */     // GIR_Coverage, 10571,
     /*  679272 */     GIR_EraseRootFromParent_Done,
     /*  679273 */   // Label 10782: @679273
     /*  679273 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679348), // Rule ID 10572 //
     /*  679278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679346 */     GIR_RootConstrainSelectedInstOperands,
     /*  679347 */     // GIR_Coverage, 10572,
     /*  679347 */     GIR_EraseRootFromParent_Done,
     /*  679348 */   // Label 10783: @679348
     /*  679348 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679423), // Rule ID 10575 //
     /*  679353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679399 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679421 */     GIR_RootConstrainSelectedInstOperands,
     /*  679422 */     // GIR_Coverage, 10575,
     /*  679422 */     GIR_EraseRootFromParent_Done,
     /*  679423 */   // Label 10784: @679423
     /*  679423 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(679498), // Rule ID 10576 //
     /*  679428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679496 */     GIR_RootConstrainSelectedInstOperands,
     /*  679497 */     // GIR_Coverage, 10576,
     /*  679497 */     GIR_EraseRootFromParent_Done,
     /*  679498 */   // Label 10785: @679498
     /*  679498 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679573), // Rule ID 10579 //
     /*  679503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679549 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679571 */     GIR_RootConstrainSelectedInstOperands,
     /*  679572 */     // GIR_Coverage, 10579,
     /*  679572 */     GIR_EraseRootFromParent_Done,
     /*  679573 */   // Label 10786: @679573
     /*  679573 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679648), // Rule ID 10580 //
     /*  679578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679646 */     GIR_RootConstrainSelectedInstOperands,
     /*  679647 */     // GIR_Coverage, 10580,
     /*  679647 */     GIR_EraseRootFromParent_Done,
     /*  679648 */   // Label 10787: @679648
     /*  679648 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679723), // Rule ID 10583 //
     /*  679653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  679664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  679667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  679670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679721 */     GIR_RootConstrainSelectedInstOperands,
     /*  679722 */     // GIR_Coverage, 10583,
     /*  679722 */     GIR_EraseRootFromParent_Done,
     /*  679723 */   // Label 10788: @679723
     /*  679723 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679798), // Rule ID 10584 //
     /*  679728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  679739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  679742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  679745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679796 */     GIR_RootConstrainSelectedInstOperands,
     /*  679797 */     // GIR_Coverage, 10584,
     /*  679797 */     GIR_EraseRootFromParent_Done,
     /*  679798 */   // Label 10789: @679798
     /*  679798 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679873), // Rule ID 10587 //
     /*  679803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  679814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  679817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  679820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679871 */     GIR_RootConstrainSelectedInstOperands,
     /*  679872 */     // GIR_Coverage, 10587,
     /*  679872 */     GIR_EraseRootFromParent_Done,
     /*  679873 */   // Label 10790: @679873
     /*  679873 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(679948), // Rule ID 10588 //
     /*  679878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  679889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  679892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  679895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679946 */     GIR_RootConstrainSelectedInstOperands,
     /*  679947 */     // GIR_Coverage, 10588,
     /*  679947 */     GIR_EraseRootFromParent_Done,
     /*  679948 */   // Label 10791: @679948
     /*  679948 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(680023), // Rule ID 10591 //
     /*  679953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  679964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  679967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  679970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680021 */     GIR_RootConstrainSelectedInstOperands,
     /*  680022 */     // GIR_Coverage, 10591,
     /*  680022 */     GIR_EraseRootFromParent_Done,
     /*  680023 */   // Label 10792: @680023
     /*  680023 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(680098), // Rule ID 10592 //
     /*  680028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  680039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  680042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  680045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680096 */     GIR_RootConstrainSelectedInstOperands,
     /*  680097 */     // GIR_Coverage, 10592,
     /*  680097 */     GIR_EraseRootFromParent_Done,
     /*  680098 */   // Label 10793: @680098
     /*  680098 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(680173), // Rule ID 10595 //
     /*  680103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680171 */     GIR_RootConstrainSelectedInstOperands,
     /*  680172 */     // GIR_Coverage, 10595,
     /*  680172 */     GIR_EraseRootFromParent_Done,
     /*  680173 */   // Label 10794: @680173
     /*  680173 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(680248), // Rule ID 10596 //
     /*  680178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680246 */     GIR_RootConstrainSelectedInstOperands,
     /*  680247 */     // GIR_Coverage, 10596,
     /*  680247 */     GIR_EraseRootFromParent_Done,
     /*  680248 */   // Label 10795: @680248
     /*  680248 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680323), // Rule ID 10599 //
     /*  680253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680321 */     GIR_RootConstrainSelectedInstOperands,
     /*  680322 */     // GIR_Coverage, 10599,
     /*  680322 */     GIR_EraseRootFromParent_Done,
     /*  680323 */   // Label 10796: @680323
     /*  680323 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680398), // Rule ID 10600 //
     /*  680328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680396 */     GIR_RootConstrainSelectedInstOperands,
     /*  680397 */     // GIR_Coverage, 10600,
     /*  680397 */     GIR_EraseRootFromParent_Done,
     /*  680398 */   // Label 10797: @680398
     /*  680398 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(680473), // Rule ID 10603 //
     /*  680403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680471 */     GIR_RootConstrainSelectedInstOperands,
     /*  680472 */     // GIR_Coverage, 10603,
     /*  680472 */     GIR_EraseRootFromParent_Done,
     /*  680473 */   // Label 10798: @680473
     /*  680473 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(680548), // Rule ID 10604 //
     /*  680478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680546 */     GIR_RootConstrainSelectedInstOperands,
     /*  680547 */     // GIR_Coverage, 10604,
     /*  680547 */     GIR_EraseRootFromParent_Done,
     /*  680548 */   // Label 10799: @680548
     /*  680548 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680623), // Rule ID 10607 //
     /*  680553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680621 */     GIR_RootConstrainSelectedInstOperands,
     /*  680622 */     // GIR_Coverage, 10607,
     /*  680622 */     GIR_EraseRootFromParent_Done,
     /*  680623 */   // Label 10800: @680623
     /*  680623 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680698), // Rule ID 10608 //
     /*  680628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680696 */     GIR_RootConstrainSelectedInstOperands,
     /*  680697 */     // GIR_Coverage, 10608,
     /*  680697 */     GIR_EraseRootFromParent_Done,
     /*  680698 */   // Label 10801: @680698
     /*  680698 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680773), // Rule ID 10611 //
     /*  680703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  680714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  680717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  680720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680771 */     GIR_RootConstrainSelectedInstOperands,
     /*  680772 */     // GIR_Coverage, 10611,
     /*  680772 */     GIR_EraseRootFromParent_Done,
     /*  680773 */   // Label 10802: @680773
     /*  680773 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680848), // Rule ID 10612 //
     /*  680778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  680789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  680792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  680795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680824 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680846 */     GIR_RootConstrainSelectedInstOperands,
     /*  680847 */     // GIR_Coverage, 10612,
     /*  680847 */     GIR_EraseRootFromParent_Done,
     /*  680848 */   // Label 10803: @680848
     /*  680848 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(680923), // Rule ID 10615 //
     /*  680853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  680864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  680867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  680870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680921 */     GIR_RootConstrainSelectedInstOperands,
     /*  680922 */     // GIR_Coverage, 10615,
     /*  680922 */     GIR_EraseRootFromParent_Done,
     /*  680923 */   // Label 10804: @680923
     /*  680923 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(680998), // Rule ID 10616 //
     /*  680928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  680939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  680942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  680945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680996 */     GIR_RootConstrainSelectedInstOperands,
     /*  680997 */     // GIR_Coverage, 10616,
     /*  680997 */     GIR_EraseRootFromParent_Done,
     /*  680998 */   // Label 10805: @680998
     /*  680998 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(681073), // Rule ID 10619 //
     /*  681003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681049 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681071 */     GIR_RootConstrainSelectedInstOperands,
     /*  681072 */     // GIR_Coverage, 10619,
     /*  681072 */     GIR_EraseRootFromParent_Done,
     /*  681073 */   // Label 10806: @681073
     /*  681073 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(681148), // Rule ID 10620 //
     /*  681078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681146 */     GIR_RootConstrainSelectedInstOperands,
     /*  681147 */     // GIR_Coverage, 10620,
     /*  681147 */     GIR_EraseRootFromParent_Done,
     /*  681148 */   // Label 10807: @681148
     /*  681148 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(681223), // Rule ID 10623 //
     /*  681153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681221 */     GIR_RootConstrainSelectedInstOperands,
     /*  681222 */     // GIR_Coverage, 10623,
     /*  681222 */     GIR_EraseRootFromParent_Done,
     /*  681223 */   // Label 10808: @681223
     /*  681223 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681298), // Rule ID 10624 //
     /*  681228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681296 */     GIR_RootConstrainSelectedInstOperands,
     /*  681297 */     // GIR_Coverage, 10624,
     /*  681297 */     GIR_EraseRootFromParent_Done,
     /*  681298 */   // Label 10809: @681298
     /*  681298 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681373), // Rule ID 10627 //
     /*  681303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681371 */     GIR_RootConstrainSelectedInstOperands,
     /*  681372 */     // GIR_Coverage, 10627,
     /*  681372 */     GIR_EraseRootFromParent_Done,
     /*  681373 */   // Label 10810: @681373
     /*  681373 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(681448), // Rule ID 10628 //
     /*  681378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681446 */     GIR_RootConstrainSelectedInstOperands,
     /*  681447 */     // GIR_Coverage, 10628,
     /*  681447 */     GIR_EraseRootFromParent_Done,
     /*  681448 */   // Label 10811: @681448
     /*  681448 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(681523), // Rule ID 10631 //
     /*  681453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681521 */     GIR_RootConstrainSelectedInstOperands,
     /*  681522 */     // GIR_Coverage, 10631,
     /*  681522 */     GIR_EraseRootFromParent_Done,
     /*  681523 */   // Label 10812: @681523
     /*  681523 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681598), // Rule ID 10632 //
     /*  681528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681596 */     GIR_RootConstrainSelectedInstOperands,
     /*  681597 */     // GIR_Coverage, 10632,
     /*  681597 */     GIR_EraseRootFromParent_Done,
     /*  681598 */   // Label 10813: @681598
     /*  681598 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681673), // Rule ID 10635 //
     /*  681603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  681614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  681617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  681620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681671 */     GIR_RootConstrainSelectedInstOperands,
     /*  681672 */     // GIR_Coverage, 10635,
     /*  681672 */     GIR_EraseRootFromParent_Done,
     /*  681673 */   // Label 10814: @681673
     /*  681673 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681748), // Rule ID 10636 //
     /*  681678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  681689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  681692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  681695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681746 */     GIR_RootConstrainSelectedInstOperands,
     /*  681747 */     // GIR_Coverage, 10636,
     /*  681747 */     GIR_EraseRootFromParent_Done,
     /*  681748 */   // Label 10815: @681748
     /*  681748 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681823), // Rule ID 10639 //
     /*  681753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  681764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  681767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  681770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681799 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681821 */     GIR_RootConstrainSelectedInstOperands,
     /*  681822 */     // GIR_Coverage, 10639,
     /*  681822 */     GIR_EraseRootFromParent_Done,
     /*  681823 */   // Label 10816: @681823
     /*  681823 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681898), // Rule ID 10640 //
     /*  681828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  681839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  681842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  681845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681896 */     GIR_RootConstrainSelectedInstOperands,
     /*  681897 */     // GIR_Coverage, 10640,
     /*  681897 */     GIR_EraseRootFromParent_Done,
     /*  681898 */   // Label 10817: @681898
     /*  681898 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(681973), // Rule ID 10643 //
     /*  681903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  681914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  681917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  681920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681971 */     GIR_RootConstrainSelectedInstOperands,
     /*  681972 */     // GIR_Coverage, 10643,
     /*  681972 */     GIR_EraseRootFromParent_Done,
     /*  681973 */   // Label 10818: @681973
     /*  681973 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(682048), // Rule ID 10644 //
     /*  681978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  681989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  681992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  681995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682046 */     GIR_RootConstrainSelectedInstOperands,
     /*  682047 */     // GIR_Coverage, 10644,
     /*  682047 */     GIR_EraseRootFromParent_Done,
     /*  682048 */   // Label 10819: @682048
     /*  682048 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(682123), // Rule ID 10647 //
     /*  682053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682121 */     GIR_RootConstrainSelectedInstOperands,
     /*  682122 */     // GIR_Coverage, 10647,
     /*  682122 */     GIR_EraseRootFromParent_Done,
     /*  682123 */   // Label 10820: @682123
     /*  682123 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(682198), // Rule ID 10648 //
     /*  682128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682196 */     GIR_RootConstrainSelectedInstOperands,
     /*  682197 */     // GIR_Coverage, 10648,
     /*  682197 */     GIR_EraseRootFromParent_Done,
     /*  682198 */   // Label 10821: @682198
     /*  682198 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(682273), // Rule ID 10651 //
     /*  682203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682271 */     GIR_RootConstrainSelectedInstOperands,
     /*  682272 */     // GIR_Coverage, 10651,
     /*  682272 */     GIR_EraseRootFromParent_Done,
     /*  682273 */   // Label 10822: @682273
     /*  682273 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682348), // Rule ID 10652 //
     /*  682278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682346 */     GIR_RootConstrainSelectedInstOperands,
     /*  682347 */     // GIR_Coverage, 10652,
     /*  682347 */     GIR_EraseRootFromParent_Done,
     /*  682348 */   // Label 10823: @682348
     /*  682348 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682423), // Rule ID 10655 //
     /*  682353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682421 */     GIR_RootConstrainSelectedInstOperands,
     /*  682422 */     // GIR_Coverage, 10655,
     /*  682422 */     GIR_EraseRootFromParent_Done,
     /*  682423 */   // Label 10824: @682423
     /*  682423 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(682498), // Rule ID 10656 //
     /*  682428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682496 */     GIR_RootConstrainSelectedInstOperands,
     /*  682497 */     // GIR_Coverage, 10656,
     /*  682497 */     GIR_EraseRootFromParent_Done,
     /*  682498 */   // Label 10825: @682498
     /*  682498 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682573), // Rule ID 10659 //
     /*  682503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  682552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682571 */     GIR_RootConstrainSelectedInstOperands,
     /*  682572 */     // GIR_Coverage, 10659,
     /*  682572 */     GIR_EraseRootFromParent_Done,
     /*  682573 */   // Label 10826: @682573
     /*  682573 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682648), // Rule ID 10660 //
     /*  682578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  682627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682646 */     GIR_RootConstrainSelectedInstOperands,
     /*  682647 */     // GIR_Coverage, 10660,
     /*  682647 */     GIR_EraseRootFromParent_Done,
     /*  682648 */   // Label 10827: @682648
     /*  682648 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682723), // Rule ID 10663 //
     /*  682653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  682664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  682667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  682670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  682673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  682702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682721 */     GIR_RootConstrainSelectedInstOperands,
     /*  682722 */     // GIR_Coverage, 10663,
     /*  682722 */     GIR_EraseRootFromParent_Done,
     /*  682723 */   // Label 10828: @682723
     /*  682723 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682798), // Rule ID 10664 //
     /*  682728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  682739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  682742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  682745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  682748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  682777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682796 */     GIR_RootConstrainSelectedInstOperands,
     /*  682797 */     // GIR_Coverage, 10664,
     /*  682797 */     GIR_EraseRootFromParent_Done,
     /*  682798 */   // Label 10829: @682798
     /*  682798 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682873), // Rule ID 10667 //
     /*  682803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  682814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  682817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  682820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  682823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682849 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  682852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682871 */     GIR_RootConstrainSelectedInstOperands,
     /*  682872 */     // GIR_Coverage, 10667,
     /*  682872 */     GIR_EraseRootFromParent_Done,
     /*  682873 */   // Label 10830: @682873
     /*  682873 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(682948), // Rule ID 10668 //
     /*  682878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  682889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  682892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  682895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  682898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  682927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682946 */     GIR_RootConstrainSelectedInstOperands,
     /*  682947 */     // GIR_Coverage, 10668,
     /*  682947 */     GIR_EraseRootFromParent_Done,
     /*  682948 */   // Label 10831: @682948
     /*  682948 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(683023), // Rule ID 10671 //
     /*  682953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  682964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  682967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  682970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  682973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683021 */     GIR_RootConstrainSelectedInstOperands,
     /*  683022 */     // GIR_Coverage, 10671,
     /*  683022 */     GIR_EraseRootFromParent_Done,
     /*  683023 */   // Label 10832: @683023
     /*  683023 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(683098), // Rule ID 10672 //
     /*  683028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683096 */     GIR_RootConstrainSelectedInstOperands,
     /*  683097 */     // GIR_Coverage, 10672,
     /*  683097 */     GIR_EraseRootFromParent_Done,
     /*  683098 */   // Label 10833: @683098
     /*  683098 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(683173), // Rule ID 10675 //
     /*  683103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683171 */     GIR_RootConstrainSelectedInstOperands,
     /*  683172 */     // GIR_Coverage, 10675,
     /*  683172 */     GIR_EraseRootFromParent_Done,
     /*  683173 */   // Label 10834: @683173
     /*  683173 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(683248), // Rule ID 10676 //
     /*  683178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683246 */     GIR_RootConstrainSelectedInstOperands,
     /*  683247 */     // GIR_Coverage, 10676,
     /*  683247 */     GIR_EraseRootFromParent_Done,
     /*  683248 */   // Label 10835: @683248
     /*  683248 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683323), // Rule ID 10679 //
     /*  683253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683321 */     GIR_RootConstrainSelectedInstOperands,
     /*  683322 */     // GIR_Coverage, 10679,
     /*  683322 */     GIR_EraseRootFromParent_Done,
     /*  683323 */   // Label 10836: @683323
     /*  683323 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683398), // Rule ID 10680 //
     /*  683328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683396 */     GIR_RootConstrainSelectedInstOperands,
     /*  683397 */     // GIR_Coverage, 10680,
     /*  683397 */     GIR_EraseRootFromParent_Done,
     /*  683398 */   // Label 10837: @683398
     /*  683398 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(683473), // Rule ID 10683 //
     /*  683403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683471 */     GIR_RootConstrainSelectedInstOperands,
     /*  683472 */     // GIR_Coverage, 10683,
     /*  683472 */     GIR_EraseRootFromParent_Done,
     /*  683473 */   // Label 10838: @683473
     /*  683473 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(683548), // Rule ID 10684 //
     /*  683478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683546 */     GIR_RootConstrainSelectedInstOperands,
     /*  683547 */     // GIR_Coverage, 10684,
     /*  683547 */     GIR_EraseRootFromParent_Done,
     /*  683548 */   // Label 10839: @683548
     /*  683548 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683623), // Rule ID 10687 //
     /*  683553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683621 */     GIR_RootConstrainSelectedInstOperands,
     /*  683622 */     // GIR_Coverage, 10687,
     /*  683622 */     GIR_EraseRootFromParent_Done,
     /*  683623 */   // Label 10840: @683623
     /*  683623 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683698), // Rule ID 10688 //
     /*  683628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683696 */     GIR_RootConstrainSelectedInstOperands,
     /*  683697 */     // GIR_Coverage, 10688,
     /*  683697 */     GIR_EraseRootFromParent_Done,
     /*  683698 */   // Label 10841: @683698
     /*  683698 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683773), // Rule ID 10691 //
     /*  683703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  683714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  683717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  683720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  683723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683771 */     GIR_RootConstrainSelectedInstOperands,
     /*  683772 */     // GIR_Coverage, 10691,
     /*  683772 */     GIR_EraseRootFromParent_Done,
     /*  683773 */   // Label 10842: @683773
     /*  683773 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683848), // Rule ID 10692 //
     /*  683778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  683789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  683792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  683795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  683798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683846 */     GIR_RootConstrainSelectedInstOperands,
     /*  683847 */     // GIR_Coverage, 10692,
     /*  683847 */     GIR_EraseRootFromParent_Done,
     /*  683848 */   // Label 10843: @683848
     /*  683848 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(683923), // Rule ID 10695 //
     /*  683853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  683864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  683867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  683870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  683873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683921 */     GIR_RootConstrainSelectedInstOperands,
     /*  683922 */     // GIR_Coverage, 10695,
     /*  683922 */     GIR_EraseRootFromParent_Done,
     /*  683923 */   // Label 10844: @683923
     /*  683923 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(683998), // Rule ID 10696 //
     /*  683928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  683939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  683942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  683945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  683948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683996 */     GIR_RootConstrainSelectedInstOperands,
     /*  683997 */     // GIR_Coverage, 10696,
     /*  683997 */     GIR_EraseRootFromParent_Done,
     /*  683998 */   // Label 10845: @683998
     /*  683998 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(684073), // Rule ID 10699 //
     /*  684003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684049 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684071 */     GIR_RootConstrainSelectedInstOperands,
     /*  684072 */     // GIR_Coverage, 10699,
     /*  684072 */     GIR_EraseRootFromParent_Done,
     /*  684073 */   // Label 10846: @684073
     /*  684073 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(684148), // Rule ID 10700 //
     /*  684078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684146 */     GIR_RootConstrainSelectedInstOperands,
     /*  684147 */     // GIR_Coverage, 10700,
     /*  684147 */     GIR_EraseRootFromParent_Done,
     /*  684148 */   // Label 10847: @684148
     /*  684148 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(684223), // Rule ID 10703 //
     /*  684153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684199 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684221 */     GIR_RootConstrainSelectedInstOperands,
     /*  684222 */     // GIR_Coverage, 10703,
     /*  684222 */     GIR_EraseRootFromParent_Done,
     /*  684223 */   // Label 10848: @684223
     /*  684223 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684298), // Rule ID 10704 //
     /*  684228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684296 */     GIR_RootConstrainSelectedInstOperands,
     /*  684297 */     // GIR_Coverage, 10704,
     /*  684297 */     GIR_EraseRootFromParent_Done,
     /*  684298 */   // Label 10849: @684298
     /*  684298 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684373), // Rule ID 10707 //
     /*  684303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684349 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684371 */     GIR_RootConstrainSelectedInstOperands,
     /*  684372 */     // GIR_Coverage, 10707,
     /*  684372 */     GIR_EraseRootFromParent_Done,
     /*  684373 */   // Label 10850: @684373
     /*  684373 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(684448), // Rule ID 10708 //
     /*  684378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684446 */     GIR_RootConstrainSelectedInstOperands,
     /*  684447 */     // GIR_Coverage, 10708,
     /*  684447 */     GIR_EraseRootFromParent_Done,
     /*  684448 */   // Label 10851: @684448
     /*  684448 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(684523), // Rule ID 10711 //
     /*  684453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684521 */     GIR_RootConstrainSelectedInstOperands,
     /*  684522 */     // GIR_Coverage, 10711,
     /*  684522 */     GIR_EraseRootFromParent_Done,
     /*  684523 */   // Label 10852: @684523
     /*  684523 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684598), // Rule ID 10712 //
     /*  684528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684596 */     GIR_RootConstrainSelectedInstOperands,
     /*  684597 */     // GIR_Coverage, 10712,
     /*  684597 */     GIR_EraseRootFromParent_Done,
     /*  684598 */   // Label 10853: @684598
     /*  684598 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684673), // Rule ID 10715 //
     /*  684603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  684614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  684617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  684620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  684623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684671 */     GIR_RootConstrainSelectedInstOperands,
     /*  684672 */     // GIR_Coverage, 10715,
     /*  684672 */     GIR_EraseRootFromParent_Done,
     /*  684673 */   // Label 10854: @684673
     /*  684673 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684748), // Rule ID 10716 //
     /*  684678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  684689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  684692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  684695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  684698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684746 */     GIR_RootConstrainSelectedInstOperands,
     /*  684747 */     // GIR_Coverage, 10716,
     /*  684747 */     GIR_EraseRootFromParent_Done,
     /*  684748 */   // Label 10855: @684748
     /*  684748 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684823), // Rule ID 10719 //
     /*  684753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  684764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  684767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  684770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  684773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684821 */     GIR_RootConstrainSelectedInstOperands,
     /*  684822 */     // GIR_Coverage, 10719,
     /*  684822 */     GIR_EraseRootFromParent_Done,
     /*  684823 */   // Label 10856: @684823
     /*  684823 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684898), // Rule ID 10720 //
     /*  684828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  684839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  684842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  684845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  684848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684896 */     GIR_RootConstrainSelectedInstOperands,
     /*  684897 */     // GIR_Coverage, 10720,
     /*  684897 */     GIR_EraseRootFromParent_Done,
     /*  684898 */   // Label 10857: @684898
     /*  684898 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(684973), // Rule ID 10723 //
     /*  684903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  684914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  684917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  684920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  684923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684971 */     GIR_RootConstrainSelectedInstOperands,
     /*  684972 */     // GIR_Coverage, 10723,
     /*  684972 */     GIR_EraseRootFromParent_Done,
     /*  684973 */   // Label 10858: @684973
     /*  684973 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(685048), // Rule ID 10724 //
     /*  684978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  684989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  684992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  684995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  684998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685046 */     GIR_RootConstrainSelectedInstOperands,
     /*  685047 */     // GIR_Coverage, 10724,
     /*  685047 */     GIR_EraseRootFromParent_Done,
     /*  685048 */   // Label 10859: @685048
     /*  685048 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(685123), // Rule ID 10727 //
     /*  685053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685121 */     GIR_RootConstrainSelectedInstOperands,
     /*  685122 */     // GIR_Coverage, 10727,
     /*  685122 */     GIR_EraseRootFromParent_Done,
     /*  685123 */   // Label 10860: @685123
     /*  685123 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(685198), // Rule ID 10728 //
     /*  685128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685196 */     GIR_RootConstrainSelectedInstOperands,
     /*  685197 */     // GIR_Coverage, 10728,
     /*  685197 */     GIR_EraseRootFromParent_Done,
     /*  685198 */   // Label 10861: @685198
     /*  685198 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(685273), // Rule ID 10731 //
     /*  685203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685271 */     GIR_RootConstrainSelectedInstOperands,
     /*  685272 */     // GIR_Coverage, 10731,
     /*  685272 */     GIR_EraseRootFromParent_Done,
     /*  685273 */   // Label 10862: @685273
     /*  685273 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685348), // Rule ID 10732 //
     /*  685278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685346 */     GIR_RootConstrainSelectedInstOperands,
     /*  685347 */     // GIR_Coverage, 10732,
     /*  685347 */     GIR_EraseRootFromParent_Done,
     /*  685348 */   // Label 10863: @685348
     /*  685348 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685423), // Rule ID 10735 //
     /*  685353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685421 */     GIR_RootConstrainSelectedInstOperands,
     /*  685422 */     // GIR_Coverage, 10735,
     /*  685422 */     GIR_EraseRootFromParent_Done,
     /*  685423 */   // Label 10864: @685423
     /*  685423 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(685498), // Rule ID 10736 //
     /*  685428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685496 */     GIR_RootConstrainSelectedInstOperands,
     /*  685497 */     // GIR_Coverage, 10736,
     /*  685497 */     GIR_EraseRootFromParent_Done,
     /*  685498 */   // Label 10865: @685498
     /*  685498 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685573), // Rule ID 10739 //
     /*  685503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685571 */     GIR_RootConstrainSelectedInstOperands,
     /*  685572 */     // GIR_Coverage, 10739,
     /*  685572 */     GIR_EraseRootFromParent_Done,
     /*  685573 */   // Label 10866: @685573
     /*  685573 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685648), // Rule ID 10740 //
     /*  685578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685646 */     GIR_RootConstrainSelectedInstOperands,
     /*  685647 */     // GIR_Coverage, 10740,
     /*  685647 */     GIR_EraseRootFromParent_Done,
     /*  685648 */   // Label 10867: @685648
     /*  685648 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685723), // Rule ID 10743 //
     /*  685653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  685664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  685667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  685670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  685673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685699 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685721 */     GIR_RootConstrainSelectedInstOperands,
     /*  685722 */     // GIR_Coverage, 10743,
     /*  685722 */     GIR_EraseRootFromParent_Done,
     /*  685723 */   // Label 10868: @685723
     /*  685723 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685798), // Rule ID 10744 //
     /*  685728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  685739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  685742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  685745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  685748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685796 */     GIR_RootConstrainSelectedInstOperands,
     /*  685797 */     // GIR_Coverage, 10744,
     /*  685797 */     GIR_EraseRootFromParent_Done,
     /*  685798 */   // Label 10869: @685798
     /*  685798 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685873), // Rule ID 10747 //
     /*  685803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  685814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  685817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  685820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  685852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685871 */     GIR_RootConstrainSelectedInstOperands,
     /*  685872 */     // GIR_Coverage, 10747,
     /*  685872 */     GIR_EraseRootFromParent_Done,
     /*  685873 */   // Label 10870: @685873
     /*  685873 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(685948), // Rule ID 10748 //
     /*  685878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  685889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  685892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  685895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  685927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685946 */     GIR_RootConstrainSelectedInstOperands,
     /*  685947 */     // GIR_Coverage, 10748,
     /*  685947 */     GIR_EraseRootFromParent_Done,
     /*  685948 */   // Label 10871: @685948
     /*  685948 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(686023), // Rule ID 10751 //
     /*  685953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  685964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  685967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  685970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686021 */     GIR_RootConstrainSelectedInstOperands,
     /*  686022 */     // GIR_Coverage, 10751,
     /*  686022 */     GIR_EraseRootFromParent_Done,
     /*  686023 */   // Label 10872: @686023
     /*  686023 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(686098), // Rule ID 10752 //
     /*  686028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686096 */     GIR_RootConstrainSelectedInstOperands,
     /*  686097 */     // GIR_Coverage, 10752,
     /*  686097 */     GIR_EraseRootFromParent_Done,
     /*  686098 */   // Label 10873: @686098
     /*  686098 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(686173), // Rule ID 10755 //
     /*  686103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686149 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686171 */     GIR_RootConstrainSelectedInstOperands,
     /*  686172 */     // GIR_Coverage, 10755,
     /*  686172 */     GIR_EraseRootFromParent_Done,
     /*  686173 */   // Label 10874: @686173
     /*  686173 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(686248), // Rule ID 10756 //
     /*  686178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686246 */     GIR_RootConstrainSelectedInstOperands,
     /*  686247 */     // GIR_Coverage, 10756,
     /*  686247 */     GIR_EraseRootFromParent_Done,
     /*  686248 */   // Label 10875: @686248
     /*  686248 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686323), // Rule ID 10759 //
     /*  686253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686321 */     GIR_RootConstrainSelectedInstOperands,
     /*  686322 */     // GIR_Coverage, 10759,
     /*  686322 */     GIR_EraseRootFromParent_Done,
     /*  686323 */   // Label 10876: @686323
     /*  686323 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686398), // Rule ID 10760 //
     /*  686328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686396 */     GIR_RootConstrainSelectedInstOperands,
     /*  686397 */     // GIR_Coverage, 10760,
     /*  686397 */     GIR_EraseRootFromParent_Done,
     /*  686398 */   // Label 10877: @686398
     /*  686398 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(686473), // Rule ID 10763 //
     /*  686403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686449 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686471 */     GIR_RootConstrainSelectedInstOperands,
     /*  686472 */     // GIR_Coverage, 10763,
     /*  686472 */     GIR_EraseRootFromParent_Done,
     /*  686473 */   // Label 10878: @686473
     /*  686473 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(686548), // Rule ID 10764 //
     /*  686478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686546 */     GIR_RootConstrainSelectedInstOperands,
     /*  686547 */     // GIR_Coverage, 10764,
     /*  686547 */     GIR_EraseRootFromParent_Done,
     /*  686548 */   // Label 10879: @686548
     /*  686548 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686623), // Rule ID 10767 //
     /*  686553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686599 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686621 */     GIR_RootConstrainSelectedInstOperands,
     /*  686622 */     // GIR_Coverage, 10767,
     /*  686622 */     GIR_EraseRootFromParent_Done,
     /*  686623 */   // Label 10880: @686623
     /*  686623 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686698), // Rule ID 10768 //
     /*  686628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686696 */     GIR_RootConstrainSelectedInstOperands,
     /*  686697 */     // GIR_Coverage, 10768,
     /*  686697 */     GIR_EraseRootFromParent_Done,
     /*  686698 */   // Label 10881: @686698
     /*  686698 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686773), // Rule ID 10771 //
     /*  686703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  686714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  686717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  686720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686771 */     GIR_RootConstrainSelectedInstOperands,
     /*  686772 */     // GIR_Coverage, 10771,
     /*  686772 */     GIR_EraseRootFromParent_Done,
     /*  686773 */   // Label 10882: @686773
     /*  686773 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686848), // Rule ID 10772 //
     /*  686778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  686789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  686792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  686795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686846 */     GIR_RootConstrainSelectedInstOperands,
     /*  686847 */     // GIR_Coverage, 10772,
     /*  686847 */     GIR_EraseRootFromParent_Done,
     /*  686848 */   // Label 10883: @686848
     /*  686848 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(686923), // Rule ID 10775 //
     /*  686853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  686864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  686867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  686870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686921 */     GIR_RootConstrainSelectedInstOperands,
     /*  686922 */     // GIR_Coverage, 10775,
     /*  686922 */     GIR_EraseRootFromParent_Done,
     /*  686923 */   // Label 10884: @686923
     /*  686923 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(686998), // Rule ID 10776 //
     /*  686928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  686939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  686942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  686945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686996 */     GIR_RootConstrainSelectedInstOperands,
     /*  686997 */     // GIR_Coverage, 10776,
     /*  686997 */     GIR_EraseRootFromParent_Done,
     /*  686998 */   // Label 10885: @686998
     /*  686998 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(687073), // Rule ID 10779 //
     /*  687003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687071 */     GIR_RootConstrainSelectedInstOperands,
     /*  687072 */     // GIR_Coverage, 10779,
     /*  687072 */     GIR_EraseRootFromParent_Done,
     /*  687073 */   // Label 10886: @687073
     /*  687073 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(687148), // Rule ID 10780 //
     /*  687078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687146 */     GIR_RootConstrainSelectedInstOperands,
     /*  687147 */     // GIR_Coverage, 10780,
     /*  687147 */     GIR_EraseRootFromParent_Done,
     /*  687148 */   // Label 10887: @687148
     /*  687148 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(687223), // Rule ID 10783 //
     /*  687153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687221 */     GIR_RootConstrainSelectedInstOperands,
     /*  687222 */     // GIR_Coverage, 10783,
     /*  687222 */     GIR_EraseRootFromParent_Done,
     /*  687223 */   // Label 10888: @687223
     /*  687223 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687298), // Rule ID 10784 //
     /*  687228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687296 */     GIR_RootConstrainSelectedInstOperands,
     /*  687297 */     // GIR_Coverage, 10784,
     /*  687297 */     GIR_EraseRootFromParent_Done,
     /*  687298 */   // Label 10889: @687298
     /*  687298 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687373), // Rule ID 10787 //
     /*  687303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687349 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687371 */     GIR_RootConstrainSelectedInstOperands,
     /*  687372 */     // GIR_Coverage, 10787,
     /*  687372 */     GIR_EraseRootFromParent_Done,
     /*  687373 */   // Label 10890: @687373
     /*  687373 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(687448), // Rule ID 10788 //
     /*  687378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687446 */     GIR_RootConstrainSelectedInstOperands,
     /*  687447 */     // GIR_Coverage, 10788,
     /*  687447 */     GIR_EraseRootFromParent_Done,
     /*  687448 */   // Label 10891: @687448
     /*  687448 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(687523), // Rule ID 10791 //
     /*  687453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687499 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687521 */     GIR_RootConstrainSelectedInstOperands,
     /*  687522 */     // GIR_Coverage, 10791,
     /*  687522 */     GIR_EraseRootFromParent_Done,
     /*  687523 */   // Label 10892: @687523
     /*  687523 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687598), // Rule ID 10792 //
     /*  687528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687596 */     GIR_RootConstrainSelectedInstOperands,
     /*  687597 */     // GIR_Coverage, 10792,
     /*  687597 */     GIR_EraseRootFromParent_Done,
     /*  687598 */   // Label 10893: @687598
     /*  687598 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687673), // Rule ID 10795 //
     /*  687603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  687614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  687617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  687620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687649 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687671 */     GIR_RootConstrainSelectedInstOperands,
     /*  687672 */     // GIR_Coverage, 10795,
     /*  687672 */     GIR_EraseRootFromParent_Done,
     /*  687673 */   // Label 10894: @687673
     /*  687673 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687748), // Rule ID 10796 //
     /*  687678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  687689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  687692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  687695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687746 */     GIR_RootConstrainSelectedInstOperands,
     /*  687747 */     // GIR_Coverage, 10796,
     /*  687747 */     GIR_EraseRootFromParent_Done,
     /*  687748 */   // Label 10895: @687748
     /*  687748 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687823), // Rule ID 10799 //
     /*  687753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  687764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  687767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  687770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687821 */     GIR_RootConstrainSelectedInstOperands,
     /*  687822 */     // GIR_Coverage, 10799,
     /*  687822 */     GIR_EraseRootFromParent_Done,
     /*  687823 */   // Label 10896: @687823
     /*  687823 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687898), // Rule ID 10800 //
     /*  687828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  687839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  687842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  687845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687896 */     GIR_RootConstrainSelectedInstOperands,
     /*  687897 */     // GIR_Coverage, 10800,
     /*  687897 */     GIR_EraseRootFromParent_Done,
     /*  687898 */   // Label 10897: @687898
     /*  687898 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(687973), // Rule ID 10803 //
     /*  687903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  687914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  687917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  687920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687949 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687971 */     GIR_RootConstrainSelectedInstOperands,
     /*  687972 */     // GIR_Coverage, 10803,
     /*  687972 */     GIR_EraseRootFromParent_Done,
     /*  687973 */   // Label 10898: @687973
     /*  687973 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(688048), // Rule ID 10804 //
     /*  687978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  687989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  687992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  687995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688046 */     GIR_RootConstrainSelectedInstOperands,
     /*  688047 */     // GIR_Coverage, 10804,
     /*  688047 */     GIR_EraseRootFromParent_Done,
     /*  688048 */   // Label 10899: @688048
     /*  688048 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(688123), // Rule ID 10807 //
     /*  688053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688121 */     GIR_RootConstrainSelectedInstOperands,
     /*  688122 */     // GIR_Coverage, 10807,
     /*  688122 */     GIR_EraseRootFromParent_Done,
     /*  688123 */   // Label 10900: @688123
     /*  688123 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(688198), // Rule ID 10808 //
     /*  688128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688196 */     GIR_RootConstrainSelectedInstOperands,
     /*  688197 */     // GIR_Coverage, 10808,
     /*  688197 */     GIR_EraseRootFromParent_Done,
     /*  688198 */   // Label 10901: @688198
     /*  688198 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(688273), // Rule ID 10811 //
     /*  688203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688271 */     GIR_RootConstrainSelectedInstOperands,
     /*  688272 */     // GIR_Coverage, 10811,
     /*  688272 */     GIR_EraseRootFromParent_Done,
     /*  688273 */   // Label 10902: @688273
     /*  688273 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688348), // Rule ID 10812 //
     /*  688278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688346 */     GIR_RootConstrainSelectedInstOperands,
     /*  688347 */     // GIR_Coverage, 10812,
     /*  688347 */     GIR_EraseRootFromParent_Done,
     /*  688348 */   // Label 10903: @688348
     /*  688348 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688423), // Rule ID 10815 //
     /*  688353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688421 */     GIR_RootConstrainSelectedInstOperands,
     /*  688422 */     // GIR_Coverage, 10815,
     /*  688422 */     GIR_EraseRootFromParent_Done,
     /*  688423 */   // Label 10904: @688423
     /*  688423 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(688498), // Rule ID 10816 //
     /*  688428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688496 */     GIR_RootConstrainSelectedInstOperands,
     /*  688497 */     // GIR_Coverage, 10816,
     /*  688497 */     GIR_EraseRootFromParent_Done,
     /*  688498 */   // Label 10905: @688498
     /*  688498 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688573), // Rule ID 10819 //
     /*  688503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688571 */     GIR_RootConstrainSelectedInstOperands,
     /*  688572 */     // GIR_Coverage, 10819,
     /*  688572 */     GIR_EraseRootFromParent_Done,
     /*  688573 */   // Label 10906: @688573
     /*  688573 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688648), // Rule ID 10820 //
     /*  688578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688646 */     GIR_RootConstrainSelectedInstOperands,
     /*  688647 */     // GIR_Coverage, 10820,
     /*  688647 */     GIR_EraseRootFromParent_Done,
     /*  688648 */   // Label 10907: @688648
     /*  688648 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688723), // Rule ID 10823 //
     /*  688653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  688664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  688667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  688670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688721 */     GIR_RootConstrainSelectedInstOperands,
     /*  688722 */     // GIR_Coverage, 10823,
     /*  688722 */     GIR_EraseRootFromParent_Done,
     /*  688723 */   // Label 10908: @688723
     /*  688723 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688798), // Rule ID 10824 //
     /*  688728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  688739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  688742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  688745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  688774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688796 */     GIR_RootConstrainSelectedInstOperands,
     /*  688797 */     // GIR_Coverage, 10824,
     /*  688797 */     GIR_EraseRootFromParent_Done,
     /*  688798 */   // Label 10909: @688798
     /*  688798 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688873), // Rule ID 10827 //
     /*  688803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  688814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  688817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  688820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688871 */     GIR_RootConstrainSelectedInstOperands,
     /*  688872 */     // GIR_Coverage, 10827,
     /*  688872 */     GIR_EraseRootFromParent_Done,
     /*  688873 */   // Label 10910: @688873
     /*  688873 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(688948), // Rule ID 10828 //
     /*  688878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  688889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  688892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  688895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  688924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688946 */     GIR_RootConstrainSelectedInstOperands,
     /*  688947 */     // GIR_Coverage, 10828,
     /*  688947 */     GIR_EraseRootFromParent_Done,
     /*  688948 */   // Label 10911: @688948
     /*  688948 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(689023), // Rule ID 10831 //
     /*  688953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  688964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  688967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  688970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689021 */     GIR_RootConstrainSelectedInstOperands,
     /*  689022 */     // GIR_Coverage, 10831,
     /*  689022 */     GIR_EraseRootFromParent_Done,
     /*  689023 */   // Label 10912: @689023
     /*  689023 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(689098), // Rule ID 10832 //
     /*  689028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689096 */     GIR_RootConstrainSelectedInstOperands,
     /*  689097 */     // GIR_Coverage, 10832,
     /*  689097 */     GIR_EraseRootFromParent_Done,
     /*  689098 */   // Label 10913: @689098
     /*  689098 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(689173), // Rule ID 10835 //
     /*  689103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689171 */     GIR_RootConstrainSelectedInstOperands,
     /*  689172 */     // GIR_Coverage, 10835,
     /*  689172 */     GIR_EraseRootFromParent_Done,
     /*  689173 */   // Label 10914: @689173
     /*  689173 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(689248), // Rule ID 10836 //
     /*  689178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689246 */     GIR_RootConstrainSelectedInstOperands,
     /*  689247 */     // GIR_Coverage, 10836,
     /*  689247 */     GIR_EraseRootFromParent_Done,
     /*  689248 */   // Label 10915: @689248
     /*  689248 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689323), // Rule ID 10839 //
     /*  689253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689299 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689321 */     GIR_RootConstrainSelectedInstOperands,
     /*  689322 */     // GIR_Coverage, 10839,
     /*  689322 */     GIR_EraseRootFromParent_Done,
     /*  689323 */   // Label 10916: @689323
     /*  689323 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689398), // Rule ID 10840 //
     /*  689328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689396 */     GIR_RootConstrainSelectedInstOperands,
     /*  689397 */     // GIR_Coverage, 10840,
     /*  689397 */     GIR_EraseRootFromParent_Done,
     /*  689398 */   // Label 10917: @689398
     /*  689398 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(689473), // Rule ID 10843 //
     /*  689403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689471 */     GIR_RootConstrainSelectedInstOperands,
     /*  689472 */     // GIR_Coverage, 10843,
     /*  689472 */     GIR_EraseRootFromParent_Done,
     /*  689473 */   // Label 10918: @689473
     /*  689473 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(689548), // Rule ID 10844 //
     /*  689478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689546 */     GIR_RootConstrainSelectedInstOperands,
     /*  689547 */     // GIR_Coverage, 10844,
     /*  689547 */     GIR_EraseRootFromParent_Done,
     /*  689548 */   // Label 10919: @689548
     /*  689548 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689623), // Rule ID 10847 //
     /*  689553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689599 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689621 */     GIR_RootConstrainSelectedInstOperands,
     /*  689622 */     // GIR_Coverage, 10847,
     /*  689622 */     GIR_EraseRootFromParent_Done,
     /*  689623 */   // Label 10920: @689623
     /*  689623 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689698), // Rule ID 10848 //
     /*  689628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689696 */     GIR_RootConstrainSelectedInstOperands,
     /*  689697 */     // GIR_Coverage, 10848,
     /*  689697 */     GIR_EraseRootFromParent_Done,
     /*  689698 */   // Label 10921: @689698
     /*  689698 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689773), // Rule ID 10851 //
     /*  689703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  689714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  689717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  689720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  689723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689771 */     GIR_RootConstrainSelectedInstOperands,
     /*  689772 */     // GIR_Coverage, 10851,
     /*  689772 */     GIR_EraseRootFromParent_Done,
     /*  689773 */   // Label 10922: @689773
     /*  689773 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689848), // Rule ID 10852 //
     /*  689778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  689789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  689792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  689795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  689798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689846 */     GIR_RootConstrainSelectedInstOperands,
     /*  689847 */     // GIR_Coverage, 10852,
     /*  689847 */     GIR_EraseRootFromParent_Done,
     /*  689848 */   // Label 10923: @689848
     /*  689848 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(689923), // Rule ID 10855 //
     /*  689853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  689864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  689867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  689870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  689873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689921 */     GIR_RootConstrainSelectedInstOperands,
     /*  689922 */     // GIR_Coverage, 10855,
     /*  689922 */     GIR_EraseRootFromParent_Done,
     /*  689923 */   // Label 10924: @689923
     /*  689923 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(689998), // Rule ID 10856 //
     /*  689928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  689939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  689942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  689945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  689948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689996 */     GIR_RootConstrainSelectedInstOperands,
     /*  689997 */     // GIR_Coverage, 10856,
     /*  689997 */     GIR_EraseRootFromParent_Done,
     /*  689998 */   // Label 10925: @689998
     /*  689998 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(690073), // Rule ID 10859 //
     /*  690003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690049 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690071 */     GIR_RootConstrainSelectedInstOperands,
     /*  690072 */     // GIR_Coverage, 10859,
     /*  690072 */     GIR_EraseRootFromParent_Done,
     /*  690073 */   // Label 10926: @690073
     /*  690073 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(690148), // Rule ID 10860 //
     /*  690078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690146 */     GIR_RootConstrainSelectedInstOperands,
     /*  690147 */     // GIR_Coverage, 10860,
     /*  690147 */     GIR_EraseRootFromParent_Done,
     /*  690148 */   // Label 10927: @690148
     /*  690148 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(690223), // Rule ID 10863 //
     /*  690153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690221 */     GIR_RootConstrainSelectedInstOperands,
     /*  690222 */     // GIR_Coverage, 10863,
     /*  690222 */     GIR_EraseRootFromParent_Done,
     /*  690223 */   // Label 10928: @690223
     /*  690223 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690298), // Rule ID 10864 //
     /*  690228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690296 */     GIR_RootConstrainSelectedInstOperands,
     /*  690297 */     // GIR_Coverage, 10864,
     /*  690297 */     GIR_EraseRootFromParent_Done,
     /*  690298 */   // Label 10929: @690298
     /*  690298 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690373), // Rule ID 10867 //
     /*  690303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690371 */     GIR_RootConstrainSelectedInstOperands,
     /*  690372 */     // GIR_Coverage, 10867,
     /*  690372 */     GIR_EraseRootFromParent_Done,
     /*  690373 */   // Label 10930: @690373
     /*  690373 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(690448), // Rule ID 10868 //
     /*  690378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690446 */     GIR_RootConstrainSelectedInstOperands,
     /*  690447 */     // GIR_Coverage, 10868,
     /*  690447 */     GIR_EraseRootFromParent_Done,
     /*  690448 */   // Label 10931: @690448
     /*  690448 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(690523), // Rule ID 10871 //
     /*  690453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690521 */     GIR_RootConstrainSelectedInstOperands,
     /*  690522 */     // GIR_Coverage, 10871,
     /*  690522 */     GIR_EraseRootFromParent_Done,
     /*  690523 */   // Label 10932: @690523
     /*  690523 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690598), // Rule ID 10872 //
     /*  690528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690596 */     GIR_RootConstrainSelectedInstOperands,
     /*  690597 */     // GIR_Coverage, 10872,
     /*  690597 */     GIR_EraseRootFromParent_Done,
     /*  690598 */   // Label 10933: @690598
     /*  690598 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690673), // Rule ID 10875 //
     /*  690603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  690614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  690617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  690620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  690623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690649 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690671 */     GIR_RootConstrainSelectedInstOperands,
     /*  690672 */     // GIR_Coverage, 10875,
     /*  690672 */     GIR_EraseRootFromParent_Done,
     /*  690673 */   // Label 10934: @690673
     /*  690673 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690748), // Rule ID 10876 //
     /*  690678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  690689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  690692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  690695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  690698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690746 */     GIR_RootConstrainSelectedInstOperands,
     /*  690747 */     // GIR_Coverage, 10876,
     /*  690747 */     GIR_EraseRootFromParent_Done,
     /*  690748 */   // Label 10935: @690748
     /*  690748 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690823), // Rule ID 10879 //
     /*  690753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  690764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  690767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  690770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  690773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690799 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690821 */     GIR_RootConstrainSelectedInstOperands,
     /*  690822 */     // GIR_Coverage, 10879,
     /*  690822 */     GIR_EraseRootFromParent_Done,
     /*  690823 */   // Label 10936: @690823
     /*  690823 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690898), // Rule ID 10880 //
     /*  690828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  690839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  690842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  690845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  690848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690896 */     GIR_RootConstrainSelectedInstOperands,
     /*  690897 */     // GIR_Coverage, 10880,
     /*  690897 */     GIR_EraseRootFromParent_Done,
     /*  690898 */   // Label 10937: @690898
     /*  690898 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(690973), // Rule ID 10883 //
     /*  690903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  690914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  690917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  690920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  690923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  690952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690971 */     GIR_RootConstrainSelectedInstOperands,
     /*  690972 */     // GIR_Coverage, 10883,
     /*  690972 */     GIR_EraseRootFromParent_Done,
     /*  690973 */   // Label 10938: @690973
     /*  690973 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(691048), // Rule ID 10884 //
     /*  690978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  690989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  690992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  690995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  690998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691046 */     GIR_RootConstrainSelectedInstOperands,
     /*  691047 */     // GIR_Coverage, 10884,
     /*  691047 */     GIR_EraseRootFromParent_Done,
     /*  691048 */   // Label 10939: @691048
     /*  691048 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(691123), // Rule ID 10887 //
     /*  691053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691121 */     GIR_RootConstrainSelectedInstOperands,
     /*  691122 */     // GIR_Coverage, 10887,
     /*  691122 */     GIR_EraseRootFromParent_Done,
     /*  691123 */   // Label 10940: @691123
     /*  691123 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(691198), // Rule ID 10888 //
     /*  691128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691196 */     GIR_RootConstrainSelectedInstOperands,
     /*  691197 */     // GIR_Coverage, 10888,
     /*  691197 */     GIR_EraseRootFromParent_Done,
     /*  691198 */   // Label 10941: @691198
     /*  691198 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(691273), // Rule ID 10891 //
     /*  691203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691271 */     GIR_RootConstrainSelectedInstOperands,
     /*  691272 */     // GIR_Coverage, 10891,
     /*  691272 */     GIR_EraseRootFromParent_Done,
     /*  691273 */   // Label 10942: @691273
     /*  691273 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691348), // Rule ID 10892 //
     /*  691278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691346 */     GIR_RootConstrainSelectedInstOperands,
     /*  691347 */     // GIR_Coverage, 10892,
     /*  691347 */     GIR_EraseRootFromParent_Done,
     /*  691348 */   // Label 10943: @691348
     /*  691348 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691423), // Rule ID 10895 //
     /*  691353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691421 */     GIR_RootConstrainSelectedInstOperands,
     /*  691422 */     // GIR_Coverage, 10895,
     /*  691422 */     GIR_EraseRootFromParent_Done,
     /*  691423 */   // Label 10944: @691423
     /*  691423 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(691498), // Rule ID 10896 //
     /*  691428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691496 */     GIR_RootConstrainSelectedInstOperands,
     /*  691497 */     // GIR_Coverage, 10896,
     /*  691497 */     GIR_EraseRootFromParent_Done,
     /*  691498 */   // Label 10945: @691498
     /*  691498 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691573), // Rule ID 10899 //
     /*  691503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691571 */     GIR_RootConstrainSelectedInstOperands,
     /*  691572 */     // GIR_Coverage, 10899,
     /*  691572 */     GIR_EraseRootFromParent_Done,
     /*  691573 */   // Label 10946: @691573
     /*  691573 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691648), // Rule ID 10900 //
     /*  691578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691646 */     GIR_RootConstrainSelectedInstOperands,
     /*  691647 */     // GIR_Coverage, 10900,
     /*  691647 */     GIR_EraseRootFromParent_Done,
     /*  691648 */   // Label 10947: @691648
     /*  691648 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691723), // Rule ID 10903 //
     /*  691653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  691664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  691667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  691670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  691673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691721 */     GIR_RootConstrainSelectedInstOperands,
     /*  691722 */     // GIR_Coverage, 10903,
     /*  691722 */     GIR_EraseRootFromParent_Done,
     /*  691723 */   // Label 10948: @691723
     /*  691723 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691798), // Rule ID 10904 //
     /*  691728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  691739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  691742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  691745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  691748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691796 */     GIR_RootConstrainSelectedInstOperands,
     /*  691797 */     // GIR_Coverage, 10904,
     /*  691797 */     GIR_EraseRootFromParent_Done,
     /*  691798 */   // Label 10949: @691798
     /*  691798 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691873), // Rule ID 10907 //
     /*  691803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  691814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  691817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  691820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  691823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691871 */     GIR_RootConstrainSelectedInstOperands,
     /*  691872 */     // GIR_Coverage, 10907,
     /*  691872 */     GIR_EraseRootFromParent_Done,
     /*  691873 */   // Label 10950: @691873
     /*  691873 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(691948), // Rule ID 10908 //
     /*  691878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  691889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  691892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  691895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  691898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691946 */     GIR_RootConstrainSelectedInstOperands,
     /*  691947 */     // GIR_Coverage, 10908,
     /*  691947 */     GIR_EraseRootFromParent_Done,
     /*  691948 */   // Label 10951: @691948
     /*  691948 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(692023), // Rule ID 10911 //
     /*  691953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  691956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  691964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  691967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  691970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  691973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692021 */     GIR_RootConstrainSelectedInstOperands,
     /*  692022 */     // GIR_Coverage, 10911,
     /*  692022 */     GIR_EraseRootFromParent_Done,
     /*  692023 */   // Label 10952: @692023
     /*  692023 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(692098), // Rule ID 10912 //
     /*  692028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  692039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  692042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  692045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  692048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692096 */     GIR_RootConstrainSelectedInstOperands,
     /*  692097 */     // GIR_Coverage, 10912,
     /*  692097 */     GIR_EraseRootFromParent_Done,
     /*  692098 */   // Label 10953: @692098
     /*  692098 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(692173), // Rule ID 10915 //
     /*  692103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692171 */     GIR_RootConstrainSelectedInstOperands,
     /*  692172 */     // GIR_Coverage, 10915,
     /*  692172 */     GIR_EraseRootFromParent_Done,
     /*  692173 */   // Label 10954: @692173
     /*  692173 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(692248), // Rule ID 10916 //
     /*  692178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692246 */     GIR_RootConstrainSelectedInstOperands,
     /*  692247 */     // GIR_Coverage, 10916,
     /*  692247 */     GIR_EraseRootFromParent_Done,
     /*  692248 */   // Label 10955: @692248
     /*  692248 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692323), // Rule ID 10919 //
     /*  692253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692321 */     GIR_RootConstrainSelectedInstOperands,
     /*  692322 */     // GIR_Coverage, 10919,
     /*  692322 */     GIR_EraseRootFromParent_Done,
     /*  692323 */   // Label 10956: @692323
     /*  692323 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692398), // Rule ID 10920 //
     /*  692328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692396 */     GIR_RootConstrainSelectedInstOperands,
     /*  692397 */     // GIR_Coverage, 10920,
     /*  692397 */     GIR_EraseRootFromParent_Done,
     /*  692398 */   // Label 10957: @692398
     /*  692398 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(692473), // Rule ID 10923 //
     /*  692403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692471 */     GIR_RootConstrainSelectedInstOperands,
     /*  692472 */     // GIR_Coverage, 10923,
     /*  692472 */     GIR_EraseRootFromParent_Done,
     /*  692473 */   // Label 10958: @692473
     /*  692473 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(692548), // Rule ID 10924 //
     /*  692478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692546 */     GIR_RootConstrainSelectedInstOperands,
     /*  692547 */     // GIR_Coverage, 10924,
     /*  692547 */     GIR_EraseRootFromParent_Done,
     /*  692548 */   // Label 10959: @692548
     /*  692548 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692623), // Rule ID 10927 //
     /*  692553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692621 */     GIR_RootConstrainSelectedInstOperands,
     /*  692622 */     // GIR_Coverage, 10927,
     /*  692622 */     GIR_EraseRootFromParent_Done,
     /*  692623 */   // Label 10960: @692623
     /*  692623 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(692698), // Rule ID 10928 //
     /*  692628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692696 */     GIR_RootConstrainSelectedInstOperands,
     /*  692697 */     // GIR_Coverage, 10928,
     /*  692697 */     GIR_EraseRootFromParent_Done,
     /*  692698 */   // Label 10961: @692698
     /*  692698 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692773), // Rule ID 10931 //
     /*  692703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  692714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  692717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  692720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  692752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692771 */     GIR_RootConstrainSelectedInstOperands,
     /*  692772 */     // GIR_Coverage, 10931,
     /*  692772 */     GIR_EraseRootFromParent_Done,
     /*  692773 */   // Label 10962: @692773
     /*  692773 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692848), // Rule ID 10932 //
     /*  692778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  692789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  692792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  692795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  692827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692846 */     GIR_RootConstrainSelectedInstOperands,
     /*  692847 */     // GIR_Coverage, 10932,
     /*  692847 */     GIR_EraseRootFromParent_Done,
     /*  692848 */   // Label 10963: @692848
     /*  692848 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(692923), // Rule ID 10935 //
     /*  692853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  692864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  692867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  692870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692921 */     GIR_RootConstrainSelectedInstOperands,
     /*  692922 */     // GIR_Coverage, 10935,
     /*  692922 */     GIR_EraseRootFromParent_Done,
     /*  692923 */   // Label 10964: @692923
     /*  692923 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(692998), // Rule ID 10936 //
     /*  692928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  692939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  692942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  692945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692996 */     GIR_RootConstrainSelectedInstOperands,
     /*  692997 */     // GIR_Coverage, 10936,
     /*  692997 */     GIR_EraseRootFromParent_Done,
     /*  692998 */   // Label 10965: @692998
     /*  692998 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(693073), // Rule ID 10939 //
     /*  693003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693071 */     GIR_RootConstrainSelectedInstOperands,
     /*  693072 */     // GIR_Coverage, 10939,
     /*  693072 */     GIR_EraseRootFromParent_Done,
     /*  693073 */   // Label 10966: @693073
     /*  693073 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(693148), // Rule ID 10940 //
     /*  693078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693146 */     GIR_RootConstrainSelectedInstOperands,
     /*  693147 */     // GIR_Coverage, 10940,
     /*  693147 */     GIR_EraseRootFromParent_Done,
     /*  693148 */   // Label 10967: @693148
     /*  693148 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(693223), // Rule ID 10943 //
     /*  693153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693221 */     GIR_RootConstrainSelectedInstOperands,
     /*  693222 */     // GIR_Coverage, 10943,
     /*  693222 */     GIR_EraseRootFromParent_Done,
     /*  693223 */   // Label 10968: @693223
     /*  693223 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693298), // Rule ID 10944 //
     /*  693228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693296 */     GIR_RootConstrainSelectedInstOperands,
     /*  693297 */     // GIR_Coverage, 10944,
     /*  693297 */     GIR_EraseRootFromParent_Done,
     /*  693298 */   // Label 10969: @693298
     /*  693298 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693373), // Rule ID 10947 //
     /*  693303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693349 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693371 */     GIR_RootConstrainSelectedInstOperands,
     /*  693372 */     // GIR_Coverage, 10947,
     /*  693372 */     GIR_EraseRootFromParent_Done,
     /*  693373 */   // Label 10970: @693373
     /*  693373 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(693448), // Rule ID 10948 //
     /*  693378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693446 */     GIR_RootConstrainSelectedInstOperands,
     /*  693447 */     // GIR_Coverage, 10948,
     /*  693447 */     GIR_EraseRootFromParent_Done,
     /*  693448 */   // Label 10971: @693448
     /*  693448 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(693523), // Rule ID 10951 //
     /*  693453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693521 */     GIR_RootConstrainSelectedInstOperands,
     /*  693522 */     // GIR_Coverage, 10951,
     /*  693522 */     GIR_EraseRootFromParent_Done,
     /*  693523 */   // Label 10972: @693523
     /*  693523 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693598), // Rule ID 10952 //
     /*  693528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693596 */     GIR_RootConstrainSelectedInstOperands,
     /*  693597 */     // GIR_Coverage, 10952,
     /*  693597 */     GIR_EraseRootFromParent_Done,
     /*  693598 */   // Label 10973: @693598
     /*  693598 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(693673), // Rule ID 10955 //
     /*  693603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  693614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  693617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  693620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693671 */     GIR_RootConstrainSelectedInstOperands,
     /*  693672 */     // GIR_Coverage, 10955,
     /*  693672 */     GIR_EraseRootFromParent_Done,
     /*  693673 */   // Label 10974: @693673
     /*  693673 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693748), // Rule ID 10956 //
     /*  693678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  693689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  693692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  693695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693746 */     GIR_RootConstrainSelectedInstOperands,
     /*  693747 */     // GIR_Coverage, 10956,
     /*  693747 */     GIR_EraseRootFromParent_Done,
     /*  693748 */   // Label 10975: @693748
     /*  693748 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693823), // Rule ID 10959 //
     /*  693753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  693764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  693767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  693770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693821 */     GIR_RootConstrainSelectedInstOperands,
     /*  693822 */     // GIR_Coverage, 10959,
     /*  693822 */     GIR_EraseRootFromParent_Done,
     /*  693823 */   // Label 10976: @693823
     /*  693823 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693898), // Rule ID 10960 //
     /*  693828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  693839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  693842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  693845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693896 */     GIR_RootConstrainSelectedInstOperands,
     /*  693897 */     // GIR_Coverage, 10960,
     /*  693897 */     GIR_EraseRootFromParent_Done,
     /*  693898 */   // Label 10977: @693898
     /*  693898 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(693973), // Rule ID 10963 //
     /*  693903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  693914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  693917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  693920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  693952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693971 */     GIR_RootConstrainSelectedInstOperands,
     /*  693972 */     // GIR_Coverage, 10963,
     /*  693972 */     GIR_EraseRootFromParent_Done,
     /*  693973 */   // Label 10978: @693973
     /*  693973 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(694048), // Rule ID 10964 //
     /*  693978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  693989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  693992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  693995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694046 */     GIR_RootConstrainSelectedInstOperands,
     /*  694047 */     // GIR_Coverage, 10964,
     /*  694047 */     GIR_EraseRootFromParent_Done,
     /*  694048 */   // Label 10979: @694048
     /*  694048 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(694123), // Rule ID 10967 //
     /*  694053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694121 */     GIR_RootConstrainSelectedInstOperands,
     /*  694122 */     // GIR_Coverage, 10967,
     /*  694122 */     GIR_EraseRootFromParent_Done,
     /*  694123 */   // Label 10980: @694123
     /*  694123 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(694198), // Rule ID 10968 //
     /*  694128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694196 */     GIR_RootConstrainSelectedInstOperands,
     /*  694197 */     // GIR_Coverage, 10968,
     /*  694197 */     GIR_EraseRootFromParent_Done,
     /*  694198 */   // Label 10981: @694198
     /*  694198 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(694273), // Rule ID 10971 //
     /*  694203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694271 */     GIR_RootConstrainSelectedInstOperands,
     /*  694272 */     // GIR_Coverage, 10971,
     /*  694272 */     GIR_EraseRootFromParent_Done,
     /*  694273 */   // Label 10982: @694273
     /*  694273 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694348), // Rule ID 10972 //
     /*  694278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694346 */     GIR_RootConstrainSelectedInstOperands,
     /*  694347 */     // GIR_Coverage, 10972,
     /*  694347 */     GIR_EraseRootFromParent_Done,
     /*  694348 */   // Label 10983: @694348
     /*  694348 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694423), // Rule ID 10975 //
     /*  694353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694421 */     GIR_RootConstrainSelectedInstOperands,
     /*  694422 */     // GIR_Coverage, 10975,
     /*  694422 */     GIR_EraseRootFromParent_Done,
     /*  694423 */   // Label 10984: @694423
     /*  694423 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(694498), // Rule ID 10976 //
     /*  694428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694496 */     GIR_RootConstrainSelectedInstOperands,
     /*  694497 */     // GIR_Coverage, 10976,
     /*  694497 */     GIR_EraseRootFromParent_Done,
     /*  694498 */   // Label 10985: @694498
     /*  694498 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694573), // Rule ID 10979 //
     /*  694503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694571 */     GIR_RootConstrainSelectedInstOperands,
     /*  694572 */     // GIR_Coverage, 10979,
     /*  694572 */     GIR_EraseRootFromParent_Done,
     /*  694573 */   // Label 10986: @694573
     /*  694573 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(694648), // Rule ID 10980 //
     /*  694578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694646 */     GIR_RootConstrainSelectedInstOperands,
     /*  694647 */     // GIR_Coverage, 10980,
     /*  694647 */     GIR_EraseRootFromParent_Done,
     /*  694648 */   // Label 10987: @694648
     /*  694648 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694723), // Rule ID 10983 //
     /*  694653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  694664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  694667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  694670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694721 */     GIR_RootConstrainSelectedInstOperands,
     /*  694722 */     // GIR_Coverage, 10983,
     /*  694722 */     GIR_EraseRootFromParent_Done,
     /*  694723 */   // Label 10988: @694723
     /*  694723 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694798), // Rule ID 10984 //
     /*  694728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  694739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  694742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  694745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694796 */     GIR_RootConstrainSelectedInstOperands,
     /*  694797 */     // GIR_Coverage, 10984,
     /*  694797 */     GIR_EraseRootFromParent_Done,
     /*  694798 */   // Label 10989: @694798
     /*  694798 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694873), // Rule ID 10987 //
     /*  694803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  694814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  694817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  694820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694871 */     GIR_RootConstrainSelectedInstOperands,
     /*  694872 */     // GIR_Coverage, 10987,
     /*  694872 */     GIR_EraseRootFromParent_Done,
     /*  694873 */   // Label 10990: @694873
     /*  694873 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(694948), // Rule ID 10988 //
     /*  694878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  694889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  694892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  694895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694946 */     GIR_RootConstrainSelectedInstOperands,
     /*  694947 */     // GIR_Coverage, 10988,
     /*  694947 */     GIR_EraseRootFromParent_Done,
     /*  694948 */   // Label 10991: @694948
     /*  694948 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(695023), // Rule ID 10991 //
     /*  694953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  694964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  694967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  694970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695021 */     GIR_RootConstrainSelectedInstOperands,
     /*  695022 */     // GIR_Coverage, 10991,
     /*  695022 */     GIR_EraseRootFromParent_Done,
     /*  695023 */   // Label 10992: @695023
     /*  695023 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(695098), // Rule ID 10992 //
     /*  695028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  695039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  695042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  695045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695096 */     GIR_RootConstrainSelectedInstOperands,
     /*  695097 */     // GIR_Coverage, 10992,
     /*  695097 */     GIR_EraseRootFromParent_Done,
     /*  695098 */   // Label 10993: @695098
     /*  695098 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(695173), // Rule ID 10995 //
     /*  695103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695171 */     GIR_RootConstrainSelectedInstOperands,
     /*  695172 */     // GIR_Coverage, 10995,
     /*  695172 */     GIR_EraseRootFromParent_Done,
     /*  695173 */   // Label 10994: @695173
     /*  695173 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(695248), // Rule ID 10996 //
     /*  695178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695246 */     GIR_RootConstrainSelectedInstOperands,
     /*  695247 */     // GIR_Coverage, 10996,
     /*  695247 */     GIR_EraseRootFromParent_Done,
     /*  695248 */   // Label 10995: @695248
     /*  695248 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695323), // Rule ID 10999 //
     /*  695253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695321 */     GIR_RootConstrainSelectedInstOperands,
     /*  695322 */     // GIR_Coverage, 10999,
     /*  695322 */     GIR_EraseRootFromParent_Done,
     /*  695323 */   // Label 10996: @695323
     /*  695323 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695398), // Rule ID 11000 //
     /*  695328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695396 */     GIR_RootConstrainSelectedInstOperands,
     /*  695397 */     // GIR_Coverage, 11000,
     /*  695397 */     GIR_EraseRootFromParent_Done,
     /*  695398 */   // Label 10997: @695398
     /*  695398 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(695473), // Rule ID 11003 //
     /*  695403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695471 */     GIR_RootConstrainSelectedInstOperands,
     /*  695472 */     // GIR_Coverage, 11003,
     /*  695472 */     GIR_EraseRootFromParent_Done,
     /*  695473 */   // Label 10998: @695473
     /*  695473 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(695548), // Rule ID 11004 //
     /*  695478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695546 */     GIR_RootConstrainSelectedInstOperands,
     /*  695547 */     // GIR_Coverage, 11004,
     /*  695547 */     GIR_EraseRootFromParent_Done,
     /*  695548 */   // Label 10999: @695548
     /*  695548 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(695623), // Rule ID 11007 //
     /*  695553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  695564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  695567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  695570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695621 */     GIR_RootConstrainSelectedInstOperands,
     /*  695622 */     // GIR_Coverage, 11007,
     /*  695622 */     GIR_EraseRootFromParent_Done,
     /*  695623 */   // Label 11000: @695623
     /*  695623 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(695698), // Rule ID 11008 //
     /*  695628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  695639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  695642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  695645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695696 */     GIR_RootConstrainSelectedInstOperands,
     /*  695697 */     // GIR_Coverage, 11008,
     /*  695697 */     GIR_EraseRootFromParent_Done,
     /*  695698 */   // Label 11001: @695698
     /*  695698 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695773), // Rule ID 11011 //
     /*  695703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  695714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  695717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  695720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  695723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695749 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  695752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695771 */     GIR_RootConstrainSelectedInstOperands,
     /*  695772 */     // GIR_Coverage, 11011,
     /*  695772 */     GIR_EraseRootFromParent_Done,
     /*  695773 */   // Label 11002: @695773
     /*  695773 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695848), // Rule ID 11012 //
     /*  695778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  695789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  695792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  695795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  695798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  695827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695846 */     GIR_RootConstrainSelectedInstOperands,
     /*  695847 */     // GIR_Coverage, 11012,
     /*  695847 */     GIR_EraseRootFromParent_Done,
     /*  695848 */   // Label 11003: @695848
     /*  695848 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(695923), // Rule ID 11015 //
     /*  695853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  695864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  695867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  695870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  695873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  695902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695921 */     GIR_RootConstrainSelectedInstOperands,
     /*  695922 */     // GIR_Coverage, 11015,
     /*  695922 */     GIR_EraseRootFromParent_Done,
     /*  695923 */   // Label 11004: @695923
     /*  695923 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(695998), // Rule ID 11016 //
     /*  695928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  695939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  695942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  695945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  695948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  695977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695996 */     GIR_RootConstrainSelectedInstOperands,
     /*  695997 */     // GIR_Coverage, 11016,
     /*  695997 */     GIR_EraseRootFromParent_Done,
     /*  695998 */   // Label 11005: @695998
     /*  695998 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(696073), // Rule ID 11019 //
     /*  696003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  696014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  696017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  696020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  696023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696071 */     GIR_RootConstrainSelectedInstOperands,
     /*  696072 */     // GIR_Coverage, 11019,
     /*  696072 */     GIR_EraseRootFromParent_Done,
     /*  696073 */   // Label 11006: @696073
     /*  696073 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(696148), // Rule ID 11020 //
     /*  696078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  696089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  696092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  696095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  696098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696146 */     GIR_RootConstrainSelectedInstOperands,
     /*  696147 */     // GIR_Coverage, 11020,
     /*  696147 */     GIR_EraseRootFromParent_Done,
     /*  696148 */   // Label 11007: @696148
     /*  696148 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(696223), // Rule ID 11023 //
     /*  696153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696221 */     GIR_RootConstrainSelectedInstOperands,
     /*  696222 */     // GIR_Coverage, 11023,
     /*  696222 */     GIR_EraseRootFromParent_Done,
     /*  696223 */   // Label 11008: @696223
     /*  696223 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696298), // Rule ID 11024 //
     /*  696228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696296 */     GIR_RootConstrainSelectedInstOperands,
     /*  696297 */     // GIR_Coverage, 11024,
     /*  696297 */     GIR_EraseRootFromParent_Done,
     /*  696298 */   // Label 11009: @696298
     /*  696298 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696373), // Rule ID 11027 //
     /*  696303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696371 */     GIR_RootConstrainSelectedInstOperands,
     /*  696372 */     // GIR_Coverage, 11027,
     /*  696372 */     GIR_EraseRootFromParent_Done,
     /*  696373 */   // Label 11010: @696373
     /*  696373 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(696448), // Rule ID 11028 //
     /*  696378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696446 */     GIR_RootConstrainSelectedInstOperands,
     /*  696447 */     // GIR_Coverage, 11028,
     /*  696447 */     GIR_EraseRootFromParent_Done,
     /*  696448 */   // Label 11011: @696448
     /*  696448 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(696523), // Rule ID 11031 //
     /*  696453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696521 */     GIR_RootConstrainSelectedInstOperands,
     /*  696522 */     // GIR_Coverage, 11031,
     /*  696522 */     GIR_EraseRootFromParent_Done,
     /*  696523 */   // Label 11012: @696523
     /*  696523 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696598), // Rule ID 11032 //
     /*  696528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696596 */     GIR_RootConstrainSelectedInstOperands,
     /*  696597 */     // GIR_Coverage, 11032,
     /*  696597 */     GIR_EraseRootFromParent_Done,
     /*  696598 */   // Label 11013: @696598
     /*  696598 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(696673), // Rule ID 11035 //
     /*  696603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  696614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  696617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  696620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  696623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696649 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696671 */     GIR_RootConstrainSelectedInstOperands,
     /*  696672 */     // GIR_Coverage, 11035,
     /*  696672 */     GIR_EraseRootFromParent_Done,
     /*  696673 */   // Label 11014: @696673
     /*  696673 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696748), // Rule ID 11036 //
     /*  696678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  696689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  696692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  696695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  696698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696746 */     GIR_RootConstrainSelectedInstOperands,
     /*  696747 */     // GIR_Coverage, 11036,
     /*  696747 */     GIR_EraseRootFromParent_Done,
     /*  696748 */   // Label 11015: @696748
     /*  696748 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696823), // Rule ID 11039 //
     /*  696753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  696773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696821 */     GIR_RootConstrainSelectedInstOperands,
     /*  696822 */     // GIR_Coverage, 11039,
     /*  696822 */     GIR_EraseRootFromParent_Done,
     /*  696823 */   // Label 11016: @696823
     /*  696823 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696898), // Rule ID 11040 //
     /*  696828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  696848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696896 */     GIR_RootConstrainSelectedInstOperands,
     /*  696897 */     // GIR_Coverage, 11040,
     /*  696897 */     GIR_EraseRootFromParent_Done,
     /*  696898 */   // Label 11017: @696898
     /*  696898 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(696973), // Rule ID 11043 //
     /*  696903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  696923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696971 */     GIR_RootConstrainSelectedInstOperands,
     /*  696972 */     // GIR_Coverage, 11043,
     /*  696972 */     GIR_EraseRootFromParent_Done,
     /*  696973 */   // Label 11018: @696973
     /*  696973 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(697048), // Rule ID 11044 //
     /*  696978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  696998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697046 */     GIR_RootConstrainSelectedInstOperands,
     /*  697047 */     // GIR_Coverage, 11044,
     /*  697047 */     GIR_EraseRootFromParent_Done,
     /*  697048 */   // Label 11019: @697048
     /*  697048 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(697123), // Rule ID 11047 //
     /*  697053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697099 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697121 */     GIR_RootConstrainSelectedInstOperands,
     /*  697122 */     // GIR_Coverage, 11047,
     /*  697122 */     GIR_EraseRootFromParent_Done,
     /*  697123 */   // Label 11020: @697123
     /*  697123 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(697198), // Rule ID 11048 //
     /*  697128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697196 */     GIR_RootConstrainSelectedInstOperands,
     /*  697197 */     // GIR_Coverage, 11048,
     /*  697197 */     GIR_EraseRootFromParent_Done,
     /*  697198 */   // Label 11021: @697198
     /*  697198 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(697273), // Rule ID 11051 //
     /*  697203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697249 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697271 */     GIR_RootConstrainSelectedInstOperands,
     /*  697272 */     // GIR_Coverage, 11051,
     /*  697272 */     GIR_EraseRootFromParent_Done,
     /*  697273 */   // Label 11022: @697273
     /*  697273 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697348), // Rule ID 11052 //
     /*  697278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697346 */     GIR_RootConstrainSelectedInstOperands,
     /*  697347 */     // GIR_Coverage, 11052,
     /*  697347 */     GIR_EraseRootFromParent_Done,
     /*  697348 */   // Label 11023: @697348
     /*  697348 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697423), // Rule ID 11055 //
     /*  697353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697399 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697421 */     GIR_RootConstrainSelectedInstOperands,
     /*  697422 */     // GIR_Coverage, 11055,
     /*  697422 */     GIR_EraseRootFromParent_Done,
     /*  697423 */   // Label 11024: @697423
     /*  697423 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(697498), // Rule ID 11056 //
     /*  697428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697474 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697496 */     GIR_RootConstrainSelectedInstOperands,
     /*  697497 */     // GIR_Coverage, 11056,
     /*  697497 */     GIR_EraseRootFromParent_Done,
     /*  697498 */   // Label 11025: @697498
     /*  697498 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697573), // Rule ID 11059 //
     /*  697503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697571 */     GIR_RootConstrainSelectedInstOperands,
     /*  697572 */     // GIR_Coverage, 11059,
     /*  697572 */     GIR_EraseRootFromParent_Done,
     /*  697573 */   // Label 11026: @697573
     /*  697573 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(697648), // Rule ID 11060 //
     /*  697578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697646 */     GIR_RootConstrainSelectedInstOperands,
     /*  697647 */     // GIR_Coverage, 11060,
     /*  697647 */     GIR_EraseRootFromParent_Done,
     /*  697648 */   // Label 11027: @697648
     /*  697648 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697723), // Rule ID 11063 //
     /*  697653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  697673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697699 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697721 */     GIR_RootConstrainSelectedInstOperands,
     /*  697722 */     // GIR_Coverage, 11063,
     /*  697722 */     GIR_EraseRootFromParent_Done,
     /*  697723 */   // Label 11028: @697723
     /*  697723 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697798), // Rule ID 11064 //
     /*  697728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  697748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697796 */     GIR_RootConstrainSelectedInstOperands,
     /*  697797 */     // GIR_Coverage, 11064,
     /*  697797 */     GIR_EraseRootFromParent_Done,
     /*  697798 */   // Label 11029: @697798
     /*  697798 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697873), // Rule ID 11067 //
     /*  697803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  697823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697849 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697871 */     GIR_RootConstrainSelectedInstOperands,
     /*  697872 */     // GIR_Coverage, 11067,
     /*  697872 */     GIR_EraseRootFromParent_Done,
     /*  697873 */   // Label 11030: @697873
     /*  697873 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(697948), // Rule ID 11068 //
     /*  697878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  697898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697924 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697946 */     GIR_RootConstrainSelectedInstOperands,
     /*  697947 */     // GIR_Coverage, 11068,
     /*  697947 */     GIR_EraseRootFromParent_Done,
     /*  697948 */   // Label 11031: @697948
     /*  697948 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(698023), // Rule ID 11071 //
     /*  697953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  697964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  697967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  697970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  697973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698021 */     GIR_RootConstrainSelectedInstOperands,
     /*  698022 */     // GIR_Coverage, 11071,
     /*  698022 */     GIR_EraseRootFromParent_Done,
     /*  698023 */   // Label 11032: @698023
     /*  698023 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(698098), // Rule ID 11072 //
     /*  698028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  698039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  698042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  698045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  698048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698096 */     GIR_RootConstrainSelectedInstOperands,
     /*  698097 */     // GIR_Coverage, 11072,
     /*  698097 */     GIR_EraseRootFromParent_Done,
     /*  698098 */   // Label 11033: @698098
     /*  698098 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(698173), // Rule ID 11075 //
     /*  698103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698149 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698171 */     GIR_RootConstrainSelectedInstOperands,
     /*  698172 */     // GIR_Coverage, 11075,
     /*  698172 */     GIR_EraseRootFromParent_Done,
     /*  698173 */   // Label 11034: @698173
     /*  698173 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(698248), // Rule ID 11076 //
     /*  698178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698246 */     GIR_RootConstrainSelectedInstOperands,
     /*  698247 */     // GIR_Coverage, 11076,
     /*  698247 */     GIR_EraseRootFromParent_Done,
     /*  698248 */   // Label 11035: @698248
     /*  698248 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698323), // Rule ID 11079 //
     /*  698253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698321 */     GIR_RootConstrainSelectedInstOperands,
     /*  698322 */     // GIR_Coverage, 11079,
     /*  698322 */     GIR_EraseRootFromParent_Done,
     /*  698323 */   // Label 11036: @698323
     /*  698323 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698398), // Rule ID 11080 //
     /*  698328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698396 */     GIR_RootConstrainSelectedInstOperands,
     /*  698397 */     // GIR_Coverage, 11080,
     /*  698397 */     GIR_EraseRootFromParent_Done,
     /*  698398 */   // Label 11037: @698398
     /*  698398 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(698473), // Rule ID 11083 //
     /*  698403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698471 */     GIR_RootConstrainSelectedInstOperands,
     /*  698472 */     // GIR_Coverage, 11083,
     /*  698472 */     GIR_EraseRootFromParent_Done,
     /*  698473 */   // Label 11038: @698473
     /*  698473 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(698548), // Rule ID 11084 //
     /*  698478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698546 */     GIR_RootConstrainSelectedInstOperands,
     /*  698547 */     // GIR_Coverage, 11084,
     /*  698547 */     GIR_EraseRootFromParent_Done,
     /*  698548 */   // Label 11039: @698548
     /*  698548 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(698623), // Rule ID 11087 //
     /*  698553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698621 */     GIR_RootConstrainSelectedInstOperands,
     /*  698622 */     // GIR_Coverage, 11087,
     /*  698622 */     GIR_EraseRootFromParent_Done,
     /*  698623 */   // Label 11040: @698623
     /*  698623 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(698698), // Rule ID 11088 //
     /*  698628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698696 */     GIR_RootConstrainSelectedInstOperands,
     /*  698697 */     // GIR_Coverage, 11088,
     /*  698697 */     GIR_EraseRootFromParent_Done,
     /*  698698 */   // Label 11041: @698698
     /*  698698 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698773), // Rule ID 11091 //
     /*  698703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  698714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  698717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  698720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  698752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698771 */     GIR_RootConstrainSelectedInstOperands,
     /*  698772 */     // GIR_Coverage, 11091,
     /*  698772 */     GIR_EraseRootFromParent_Done,
     /*  698773 */   // Label 11042: @698773
     /*  698773 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698848), // Rule ID 11092 //
     /*  698778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  698789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  698792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  698795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  698827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698846 */     GIR_RootConstrainSelectedInstOperands,
     /*  698847 */     // GIR_Coverage, 11092,
     /*  698847 */     GIR_EraseRootFromParent_Done,
     /*  698848 */   // Label 11043: @698848
     /*  698848 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(698923), // Rule ID 11095 //
     /*  698853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698921 */     GIR_RootConstrainSelectedInstOperands,
     /*  698922 */     // GIR_Coverage, 11095,
     /*  698922 */     GIR_EraseRootFromParent_Done,
     /*  698923 */   // Label 11044: @698923
     /*  698923 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(698998), // Rule ID 11096 //
     /*  698928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698996 */     GIR_RootConstrainSelectedInstOperands,
     /*  698997 */     // GIR_Coverage, 11096,
     /*  698997 */     GIR_EraseRootFromParent_Done,
     /*  698998 */   // Label 11045: @698998
     /*  698998 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(699073), // Rule ID 11099 //
     /*  699003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699071 */     GIR_RootConstrainSelectedInstOperands,
     /*  699072 */     // GIR_Coverage, 11099,
     /*  699072 */     GIR_EraseRootFromParent_Done,
     /*  699073 */   // Label 11046: @699073
     /*  699073 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(699148), // Rule ID 11100 //
     /*  699078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699146 */     GIR_RootConstrainSelectedInstOperands,
     /*  699147 */     // GIR_Coverage, 11100,
     /*  699147 */     GIR_EraseRootFromParent_Done,
     /*  699148 */   // Label 11047: @699148
     /*  699148 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(699223), // Rule ID 11103 //
     /*  699153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699221 */     GIR_RootConstrainSelectedInstOperands,
     /*  699222 */     // GIR_Coverage, 11103,
     /*  699222 */     GIR_EraseRootFromParent_Done,
     /*  699223 */   // Label 11048: @699223
     /*  699223 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699298), // Rule ID 11104 //
     /*  699228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699296 */     GIR_RootConstrainSelectedInstOperands,
     /*  699297 */     // GIR_Coverage, 11104,
     /*  699297 */     GIR_EraseRootFromParent_Done,
     /*  699298 */   // Label 11049: @699298
     /*  699298 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699373), // Rule ID 11107 //
     /*  699303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699349 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699371 */     GIR_RootConstrainSelectedInstOperands,
     /*  699372 */     // GIR_Coverage, 11107,
     /*  699372 */     GIR_EraseRootFromParent_Done,
     /*  699373 */   // Label 11050: @699373
     /*  699373 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(699448), // Rule ID 11108 //
     /*  699378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699446 */     GIR_RootConstrainSelectedInstOperands,
     /*  699447 */     // GIR_Coverage, 11108,
     /*  699447 */     GIR_EraseRootFromParent_Done,
     /*  699448 */   // Label 11051: @699448
     /*  699448 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(699523), // Rule ID 11111 //
     /*  699453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699521 */     GIR_RootConstrainSelectedInstOperands,
     /*  699522 */     // GIR_Coverage, 11111,
     /*  699522 */     GIR_EraseRootFromParent_Done,
     /*  699523 */   // Label 11052: @699523
     /*  699523 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699598), // Rule ID 11112 //
     /*  699528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699596 */     GIR_RootConstrainSelectedInstOperands,
     /*  699597 */     // GIR_Coverage, 11112,
     /*  699597 */     GIR_EraseRootFromParent_Done,
     /*  699598 */   // Label 11053: @699598
     /*  699598 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(699673), // Rule ID 11115 //
     /*  699603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699671 */     GIR_RootConstrainSelectedInstOperands,
     /*  699672 */     // GIR_Coverage, 11115,
     /*  699672 */     GIR_EraseRootFromParent_Done,
     /*  699673 */   // Label 11054: @699673
     /*  699673 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699748), // Rule ID 11116 //
     /*  699678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699746 */     GIR_RootConstrainSelectedInstOperands,
     /*  699747 */     // GIR_Coverage, 11116,
     /*  699747 */     GIR_EraseRootFromParent_Done,
     /*  699748 */   // Label 11055: @699748
     /*  699748 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699823), // Rule ID 11119 //
     /*  699753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699799 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699821 */     GIR_RootConstrainSelectedInstOperands,
     /*  699822 */     // GIR_Coverage, 11119,
     /*  699822 */     GIR_EraseRootFromParent_Done,
     /*  699823 */   // Label 11056: @699823
     /*  699823 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699898), // Rule ID 11120 //
     /*  699828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699874 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699896 */     GIR_RootConstrainSelectedInstOperands,
     /*  699897 */     // GIR_Coverage, 11120,
     /*  699897 */     GIR_EraseRootFromParent_Done,
     /*  699898 */   // Label 11057: @699898
     /*  699898 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(699973), // Rule ID 11123 //
     /*  699903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  699952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699971 */     GIR_RootConstrainSelectedInstOperands,
     /*  699972 */     // GIR_Coverage, 11123,
     /*  699972 */     GIR_EraseRootFromParent_Done,
     /*  699973 */   // Label 11058: @699973
     /*  699973 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(700048), // Rule ID 11124 //
     /*  699978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700046 */     GIR_RootConstrainSelectedInstOperands,
     /*  700047 */     // GIR_Coverage, 11124,
     /*  700047 */     GIR_EraseRootFromParent_Done,
     /*  700048 */   // Label 11059: @700048
     /*  700048 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(700123), // Rule ID 11127 //
     /*  700053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700099 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700121 */     GIR_RootConstrainSelectedInstOperands,
     /*  700122 */     // GIR_Coverage, 11127,
     /*  700122 */     GIR_EraseRootFromParent_Done,
     /*  700123 */   // Label 11060: @700123
     /*  700123 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(700198), // Rule ID 11128 //
     /*  700128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700174 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700196 */     GIR_RootConstrainSelectedInstOperands,
     /*  700197 */     // GIR_Coverage, 11128,
     /*  700197 */     GIR_EraseRootFromParent_Done,
     /*  700198 */   // Label 11061: @700198
     /*  700198 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(700273), // Rule ID 11131 //
     /*  700203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700271 */     GIR_RootConstrainSelectedInstOperands,
     /*  700272 */     // GIR_Coverage, 11131,
     /*  700272 */     GIR_EraseRootFromParent_Done,
     /*  700273 */   // Label 11062: @700273
     /*  700273 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700348), // Rule ID 11132 //
     /*  700278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700346 */     GIR_RootConstrainSelectedInstOperands,
     /*  700347 */     // GIR_Coverage, 11132,
     /*  700347 */     GIR_EraseRootFromParent_Done,
     /*  700348 */   // Label 11063: @700348
     /*  700348 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700423), // Rule ID 11135 //
     /*  700353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700399 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700421 */     GIR_RootConstrainSelectedInstOperands,
     /*  700422 */     // GIR_Coverage, 11135,
     /*  700422 */     GIR_EraseRootFromParent_Done,
     /*  700423 */   // Label 11064: @700423
     /*  700423 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(700498), // Rule ID 11136 //
     /*  700428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700496 */     GIR_RootConstrainSelectedInstOperands,
     /*  700497 */     // GIR_Coverage, 11136,
     /*  700497 */     GIR_EraseRootFromParent_Done,
     /*  700498 */   // Label 11065: @700498
     /*  700498 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700573), // Rule ID 11139 //
     /*  700503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700549 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700571 */     GIR_RootConstrainSelectedInstOperands,
     /*  700572 */     // GIR_Coverage, 11139,
     /*  700572 */     GIR_EraseRootFromParent_Done,
     /*  700573 */   // Label 11066: @700573
     /*  700573 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(700648), // Rule ID 11140 //
     /*  700578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700646 */     GIR_RootConstrainSelectedInstOperands,
     /*  700647 */     // GIR_Coverage, 11140,
     /*  700647 */     GIR_EraseRootFromParent_Done,
     /*  700648 */   // Label 11067: @700648
     /*  700648 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700723), // Rule ID 11143 //
     /*  700653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700721 */     GIR_RootConstrainSelectedInstOperands,
     /*  700722 */     // GIR_Coverage, 11143,
     /*  700722 */     GIR_EraseRootFromParent_Done,
     /*  700723 */   // Label 11068: @700723
     /*  700723 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700798), // Rule ID 11144 //
     /*  700728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700796 */     GIR_RootConstrainSelectedInstOperands,
     /*  700797 */     // GIR_Coverage, 11144,
     /*  700797 */     GIR_EraseRootFromParent_Done,
     /*  700798 */   // Label 11069: @700798
     /*  700798 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700873), // Rule ID 11147 //
     /*  700803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700871 */     GIR_RootConstrainSelectedInstOperands,
     /*  700872 */     // GIR_Coverage, 11147,
     /*  700872 */     GIR_EraseRootFromParent_Done,
     /*  700873 */   // Label 11070: @700873
     /*  700873 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(700948), // Rule ID 11148 //
     /*  700878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700946 */     GIR_RootConstrainSelectedInstOperands,
     /*  700947 */     // GIR_Coverage, 11148,
     /*  700947 */     GIR_EraseRootFromParent_Done,
     /*  700948 */   // Label 11071: @700948
     /*  700948 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(701023), // Rule ID 11151 //
     /*  700953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701021 */     GIR_RootConstrainSelectedInstOperands,
     /*  701022 */     // GIR_Coverage, 11151,
     /*  701022 */     GIR_EraseRootFromParent_Done,
     /*  701023 */   // Label 11072: @701023
     /*  701023 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(701098), // Rule ID 11152 //
     /*  701028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  701039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  701042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  701045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701096 */     GIR_RootConstrainSelectedInstOperands,
     /*  701097 */     // GIR_Coverage, 11152,
     /*  701097 */     GIR_EraseRootFromParent_Done,
     /*  701098 */   // Label 11073: @701098
     /*  701098 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(701173), // Rule ID 11155 //
     /*  701103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701171 */     GIR_RootConstrainSelectedInstOperands,
     /*  701172 */     // GIR_Coverage, 11155,
     /*  701172 */     GIR_EraseRootFromParent_Done,
     /*  701173 */   // Label 11074: @701173
     /*  701173 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(701248), // Rule ID 11156 //
     /*  701178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701246 */     GIR_RootConstrainSelectedInstOperands,
     /*  701247 */     // GIR_Coverage, 11156,
     /*  701247 */     GIR_EraseRootFromParent_Done,
     /*  701248 */   // Label 11075: @701248
     /*  701248 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701323), // Rule ID 11159 //
     /*  701253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701299 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701321 */     GIR_RootConstrainSelectedInstOperands,
     /*  701322 */     // GIR_Coverage, 11159,
     /*  701322 */     GIR_EraseRootFromParent_Done,
     /*  701323 */   // Label 11076: @701323
     /*  701323 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701398), // Rule ID 11160 //
     /*  701328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701396 */     GIR_RootConstrainSelectedInstOperands,
     /*  701397 */     // GIR_Coverage, 11160,
     /*  701397 */     GIR_EraseRootFromParent_Done,
     /*  701398 */   // Label 11077: @701398
     /*  701398 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(701473), // Rule ID 11163 //
     /*  701403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701471 */     GIR_RootConstrainSelectedInstOperands,
     /*  701472 */     // GIR_Coverage, 11163,
     /*  701472 */     GIR_EraseRootFromParent_Done,
     /*  701473 */   // Label 11078: @701473
     /*  701473 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(701548), // Rule ID 11164 //
     /*  701478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701546 */     GIR_RootConstrainSelectedInstOperands,
     /*  701547 */     // GIR_Coverage, 11164,
     /*  701547 */     GIR_EraseRootFromParent_Done,
     /*  701548 */   // Label 11079: @701548
     /*  701548 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(701623), // Rule ID 11167 //
     /*  701553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701599 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701621 */     GIR_RootConstrainSelectedInstOperands,
     /*  701622 */     // GIR_Coverage, 11167,
     /*  701622 */     GIR_EraseRootFromParent_Done,
     /*  701623 */   // Label 11080: @701623
     /*  701623 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(701698), // Rule ID 11168 //
     /*  701628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701696 */     GIR_RootConstrainSelectedInstOperands,
     /*  701697 */     // GIR_Coverage, 11168,
     /*  701697 */     GIR_EraseRootFromParent_Done,
     /*  701698 */   // Label 11081: @701698
     /*  701698 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701773), // Rule ID 11171 //
     /*  701703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701771 */     GIR_RootConstrainSelectedInstOperands,
     /*  701772 */     // GIR_Coverage, 11171,
     /*  701772 */     GIR_EraseRootFromParent_Done,
     /*  701773 */   // Label 11082: @701773
     /*  701773 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701848), // Rule ID 11172 //
     /*  701778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701846 */     GIR_RootConstrainSelectedInstOperands,
     /*  701847 */     // GIR_Coverage, 11172,
     /*  701847 */     GIR_EraseRootFromParent_Done,
     /*  701848 */   // Label 11083: @701848
     /*  701848 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(701923), // Rule ID 11175 //
     /*  701853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701921 */     GIR_RootConstrainSelectedInstOperands,
     /*  701922 */     // GIR_Coverage, 11175,
     /*  701922 */     GIR_EraseRootFromParent_Done,
     /*  701923 */   // Label 11084: @701923
     /*  701923 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(701998), // Rule ID 11176 //
     /*  701928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701996 */     GIR_RootConstrainSelectedInstOperands,
     /*  701997 */     // GIR_Coverage, 11176,
     /*  701997 */     GIR_EraseRootFromParent_Done,
     /*  701998 */   // Label 11085: @701998
     /*  701998 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(702073), // Rule ID 11179 //
     /*  702003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  702014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  702017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  702020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  702023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702049 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702071 */     GIR_RootConstrainSelectedInstOperands,
     /*  702072 */     // GIR_Coverage, 11179,
     /*  702072 */     GIR_EraseRootFromParent_Done,
     /*  702073 */   // Label 11086: @702073
     /*  702073 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(702148), // Rule ID 11180 //
     /*  702078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  702089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  702092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  702095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  702098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702146 */     GIR_RootConstrainSelectedInstOperands,
     /*  702147 */     // GIR_Coverage, 11180,
     /*  702147 */     GIR_EraseRootFromParent_Done,
     /*  702148 */   // Label 11087: @702148
     /*  702148 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(702223), // Rule ID 11183 //
     /*  702153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702221 */     GIR_RootConstrainSelectedInstOperands,
     /*  702222 */     // GIR_Coverage, 11183,
     /*  702222 */     GIR_EraseRootFromParent_Done,
     /*  702223 */   // Label 11088: @702223
     /*  702223 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702298), // Rule ID 11184 //
     /*  702228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702296 */     GIR_RootConstrainSelectedInstOperands,
     /*  702297 */     // GIR_Coverage, 11184,
     /*  702297 */     GIR_EraseRootFromParent_Done,
     /*  702298 */   // Label 11089: @702298
     /*  702298 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702373), // Rule ID 11187 //
     /*  702303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702371 */     GIR_RootConstrainSelectedInstOperands,
     /*  702372 */     // GIR_Coverage, 11187,
     /*  702372 */     GIR_EraseRootFromParent_Done,
     /*  702373 */   // Label 11090: @702373
     /*  702373 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(702448), // Rule ID 11188 //
     /*  702378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702446 */     GIR_RootConstrainSelectedInstOperands,
     /*  702447 */     // GIR_Coverage, 11188,
     /*  702447 */     GIR_EraseRootFromParent_Done,
     /*  702448 */   // Label 11091: @702448
     /*  702448 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(702523), // Rule ID 11191 //
     /*  702453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702499 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702521 */     GIR_RootConstrainSelectedInstOperands,
     /*  702522 */     // GIR_Coverage, 11191,
     /*  702522 */     GIR_EraseRootFromParent_Done,
     /*  702523 */   // Label 11092: @702523
     /*  702523 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702598), // Rule ID 11192 //
     /*  702528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702596 */     GIR_RootConstrainSelectedInstOperands,
     /*  702597 */     // GIR_Coverage, 11192,
     /*  702597 */     GIR_EraseRootFromParent_Done,
     /*  702598 */   // Label 11093: @702598
     /*  702598 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(702673), // Rule ID 11195 //
     /*  702603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702649 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  702652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702671 */     GIR_RootConstrainSelectedInstOperands,
     /*  702672 */     // GIR_Coverage, 11195,
     /*  702672 */     GIR_EraseRootFromParent_Done,
     /*  702673 */   // Label 11094: @702673
     /*  702673 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702748), // Rule ID 11196 //
     /*  702678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702724 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  702727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702746 */     GIR_RootConstrainSelectedInstOperands,
     /*  702747 */     // GIR_Coverage, 11196,
     /*  702747 */     GIR_EraseRootFromParent_Done,
     /*  702748 */   // Label 11095: @702748
     /*  702748 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702823), // Rule ID 11199 //
     /*  702753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702799 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702821 */     GIR_RootConstrainSelectedInstOperands,
     /*  702822 */     // GIR_Coverage, 11199,
     /*  702822 */     GIR_EraseRootFromParent_Done,
     /*  702823 */   // Label 11096: @702823
     /*  702823 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702898), // Rule ID 11200 //
     /*  702828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702874 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702896 */     GIR_RootConstrainSelectedInstOperands,
     /*  702897 */     // GIR_Coverage, 11200,
     /*  702897 */     GIR_EraseRootFromParent_Done,
     /*  702898 */   // Label 11097: @702898
     /*  702898 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(702973), // Rule ID 11203 //
     /*  702903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702971 */     GIR_RootConstrainSelectedInstOperands,
     /*  702972 */     // GIR_Coverage, 11203,
     /*  702972 */     GIR_EraseRootFromParent_Done,
     /*  702973 */   // Label 11098: @702973
     /*  702973 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(703048), // Rule ID 11204 //
     /*  702978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703046 */     GIR_RootConstrainSelectedInstOperands,
     /*  703047 */     // GIR_Coverage, 11204,
     /*  703047 */     GIR_EraseRootFromParent_Done,
     /*  703048 */   // Label 11099: @703048
     /*  703048 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(703123), // Rule ID 11207 //
     /*  703053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703121 */     GIR_RootConstrainSelectedInstOperands,
     /*  703122 */     // GIR_Coverage, 11207,
     /*  703122 */     GIR_EraseRootFromParent_Done,
     /*  703123 */   // Label 11100: @703123
     /*  703123 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(703198), // Rule ID 11208 //
     /*  703128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703196 */     GIR_RootConstrainSelectedInstOperands,
     /*  703197 */     // GIR_Coverage, 11208,
     /*  703197 */     GIR_EraseRootFromParent_Done,
     /*  703198 */   // Label 11101: @703198
     /*  703198 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(703273), // Rule ID 11211 //
     /*  703203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703271 */     GIR_RootConstrainSelectedInstOperands,
     /*  703272 */     // GIR_Coverage, 11211,
     /*  703272 */     GIR_EraseRootFromParent_Done,
     /*  703273 */   // Label 11102: @703273
     /*  703273 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703348), // Rule ID 11212 //
     /*  703278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703346 */     GIR_RootConstrainSelectedInstOperands,
     /*  703347 */     // GIR_Coverage, 11212,
     /*  703347 */     GIR_EraseRootFromParent_Done,
     /*  703348 */   // Label 11103: @703348
     /*  703348 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703423), // Rule ID 11215 //
     /*  703353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703421 */     GIR_RootConstrainSelectedInstOperands,
     /*  703422 */     // GIR_Coverage, 11215,
     /*  703422 */     GIR_EraseRootFromParent_Done,
     /*  703423 */   // Label 11104: @703423
     /*  703423 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(703498), // Rule ID 11216 //
     /*  703428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703496 */     GIR_RootConstrainSelectedInstOperands,
     /*  703497 */     // GIR_Coverage, 11216,
     /*  703497 */     GIR_EraseRootFromParent_Done,
     /*  703498 */   // Label 11105: @703498
     /*  703498 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703573), // Rule ID 11219 //
     /*  703503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703571 */     GIR_RootConstrainSelectedInstOperands,
     /*  703572 */     // GIR_Coverage, 11219,
     /*  703572 */     GIR_EraseRootFromParent_Done,
     /*  703573 */   // Label 11106: @703573
     /*  703573 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(703648), // Rule ID 11220 //
     /*  703578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703646 */     GIR_RootConstrainSelectedInstOperands,
     /*  703647 */     // GIR_Coverage, 11220,
     /*  703647 */     GIR_EraseRootFromParent_Done,
     /*  703648 */   // Label 11107: @703648
     /*  703648 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703723), // Rule ID 11223 //
     /*  703653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703721 */     GIR_RootConstrainSelectedInstOperands,
     /*  703722 */     // GIR_Coverage, 11223,
     /*  703722 */     GIR_EraseRootFromParent_Done,
     /*  703723 */   // Label 11108: @703723
     /*  703723 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703798), // Rule ID 11224 //
     /*  703728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703796 */     GIR_RootConstrainSelectedInstOperands,
     /*  703797 */     // GIR_Coverage, 11224,
     /*  703797 */     GIR_EraseRootFromParent_Done,
     /*  703798 */   // Label 11109: @703798
     /*  703798 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703873), // Rule ID 11227 //
     /*  703803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  703852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703871 */     GIR_RootConstrainSelectedInstOperands,
     /*  703872 */     // GIR_Coverage, 11227,
     /*  703872 */     GIR_EraseRootFromParent_Done,
     /*  703873 */   // Label 11110: @703873
     /*  703873 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(703948), // Rule ID 11228 //
     /*  703878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  703927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703946 */     GIR_RootConstrainSelectedInstOperands,
     /*  703947 */     // GIR_Coverage, 11228,
     /*  703947 */     GIR_EraseRootFromParent_Done,
     /*  703948 */   // Label 11111: @703948
     /*  703948 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(704023), // Rule ID 11231 //
     /*  703953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704021 */     GIR_RootConstrainSelectedInstOperands,
     /*  704022 */     // GIR_Coverage, 11231,
     /*  704022 */     GIR_EraseRootFromParent_Done,
     /*  704023 */   // Label 11112: @704023
     /*  704023 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(704098), // Rule ID 11232 //
     /*  704028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  704039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  704042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  704045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704096 */     GIR_RootConstrainSelectedInstOperands,
     /*  704097 */     // GIR_Coverage, 11232,
     /*  704097 */     GIR_EraseRootFromParent_Done,
     /*  704098 */   // Label 11113: @704098
     /*  704098 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(704173), // Rule ID 11235 //
     /*  704103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704149 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704171 */     GIR_RootConstrainSelectedInstOperands,
     /*  704172 */     // GIR_Coverage, 11235,
     /*  704172 */     GIR_EraseRootFromParent_Done,
     /*  704173 */   // Label 11114: @704173
     /*  704173 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(704248), // Rule ID 11236 //
     /*  704178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704246 */     GIR_RootConstrainSelectedInstOperands,
     /*  704247 */     // GIR_Coverage, 11236,
     /*  704247 */     GIR_EraseRootFromParent_Done,
     /*  704248 */   // Label 11115: @704248
     /*  704248 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704323), // Rule ID 11239 //
     /*  704253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704321 */     GIR_RootConstrainSelectedInstOperands,
     /*  704322 */     // GIR_Coverage, 11239,
     /*  704322 */     GIR_EraseRootFromParent_Done,
     /*  704323 */   // Label 11116: @704323
     /*  704323 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704398), // Rule ID 11240 //
     /*  704328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704396 */     GIR_RootConstrainSelectedInstOperands,
     /*  704397 */     // GIR_Coverage, 11240,
     /*  704397 */     GIR_EraseRootFromParent_Done,
     /*  704398 */   // Label 11117: @704398
     /*  704398 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(704473), // Rule ID 11243 //
     /*  704403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704449 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704471 */     GIR_RootConstrainSelectedInstOperands,
     /*  704472 */     // GIR_Coverage, 11243,
     /*  704472 */     GIR_EraseRootFromParent_Done,
     /*  704473 */   // Label 11118: @704473
     /*  704473 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(704548), // Rule ID 11244 //
     /*  704478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704546 */     GIR_RootConstrainSelectedInstOperands,
     /*  704547 */     // GIR_Coverage, 11244,
     /*  704547 */     GIR_EraseRootFromParent_Done,
     /*  704548 */   // Label 11119: @704548
     /*  704548 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(704623), // Rule ID 11247 //
     /*  704553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704599 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704621 */     GIR_RootConstrainSelectedInstOperands,
     /*  704622 */     // GIR_Coverage, 11247,
     /*  704622 */     GIR_EraseRootFromParent_Done,
     /*  704623 */   // Label 11120: @704623
     /*  704623 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(704698), // Rule ID 11248 //
     /*  704628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704696 */     GIR_RootConstrainSelectedInstOperands,
     /*  704697 */     // GIR_Coverage, 11248,
     /*  704697 */     GIR_EraseRootFromParent_Done,
     /*  704698 */   // Label 11121: @704698
     /*  704698 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704773), // Rule ID 11251 //
     /*  704703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704771 */     GIR_RootConstrainSelectedInstOperands,
     /*  704772 */     // GIR_Coverage, 11251,
     /*  704772 */     GIR_EraseRootFromParent_Done,
     /*  704773 */   // Label 11122: @704773
     /*  704773 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704848), // Rule ID 11252 //
     /*  704778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704846 */     GIR_RootConstrainSelectedInstOperands,
     /*  704847 */     // GIR_Coverage, 11252,
     /*  704847 */     GIR_EraseRootFromParent_Done,
     /*  704848 */   // Label 11123: @704848
     /*  704848 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(704923), // Rule ID 11255 //
     /*  704853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704921 */     GIR_RootConstrainSelectedInstOperands,
     /*  704922 */     // GIR_Coverage, 11255,
     /*  704922 */     GIR_EraseRootFromParent_Done,
     /*  704923 */   // Label 11124: @704923
     /*  704923 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(704998), // Rule ID 11256 //
     /*  704928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704996 */     GIR_RootConstrainSelectedInstOperands,
     /*  704997 */     // GIR_Coverage, 11256,
     /*  704997 */     GIR_EraseRootFromParent_Done,
     /*  704998 */   // Label 11125: @704998
     /*  704998 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(705073), // Rule ID 11259 //
     /*  705003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705071 */     GIR_RootConstrainSelectedInstOperands,
     /*  705072 */     // GIR_Coverage, 11259,
     /*  705072 */     GIR_EraseRootFromParent_Done,
     /*  705073 */   // Label 11126: @705073
     /*  705073 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(705148), // Rule ID 11260 //
     /*  705078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705146 */     GIR_RootConstrainSelectedInstOperands,
     /*  705147 */     // GIR_Coverage, 11260,
     /*  705147 */     GIR_EraseRootFromParent_Done,
     /*  705148 */   // Label 11127: @705148
     /*  705148 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(705223), // Rule ID 11263 //
     /*  705153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705199 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705221 */     GIR_RootConstrainSelectedInstOperands,
     /*  705222 */     // GIR_Coverage, 11263,
     /*  705222 */     GIR_EraseRootFromParent_Done,
     /*  705223 */   // Label 11128: @705223
     /*  705223 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705298), // Rule ID 11264 //
     /*  705228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705274 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705296 */     GIR_RootConstrainSelectedInstOperands,
     /*  705297 */     // GIR_Coverage, 11264,
     /*  705297 */     GIR_EraseRootFromParent_Done,
     /*  705298 */   // Label 11129: @705298
     /*  705298 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705373), // Rule ID 11267 //
     /*  705303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705349 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705371 */     GIR_RootConstrainSelectedInstOperands,
     /*  705372 */     // GIR_Coverage, 11267,
     /*  705372 */     GIR_EraseRootFromParent_Done,
     /*  705373 */   // Label 11130: @705373
     /*  705373 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(705448), // Rule ID 11268 //
     /*  705378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705446 */     GIR_RootConstrainSelectedInstOperands,
     /*  705447 */     // GIR_Coverage, 11268,
     /*  705447 */     GIR_EraseRootFromParent_Done,
     /*  705448 */   // Label 11131: @705448
     /*  705448 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(705523), // Rule ID 11271 //
     /*  705453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705499 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705521 */     GIR_RootConstrainSelectedInstOperands,
     /*  705522 */     // GIR_Coverage, 11271,
     /*  705522 */     GIR_EraseRootFromParent_Done,
     /*  705523 */   // Label 11132: @705523
     /*  705523 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705598), // Rule ID 11272 //
     /*  705528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705574 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705596 */     GIR_RootConstrainSelectedInstOperands,
     /*  705597 */     // GIR_Coverage, 11272,
     /*  705597 */     GIR_EraseRootFromParent_Done,
     /*  705598 */   // Label 11133: @705598
     /*  705598 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(705673), // Rule ID 11275 //
     /*  705603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705649 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705671 */     GIR_RootConstrainSelectedInstOperands,
     /*  705672 */     // GIR_Coverage, 11275,
     /*  705672 */     GIR_EraseRootFromParent_Done,
     /*  705673 */   // Label 11134: @705673
     /*  705673 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705748), // Rule ID 11276 //
     /*  705678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705746 */     GIR_RootConstrainSelectedInstOperands,
     /*  705747 */     // GIR_Coverage, 11276,
     /*  705747 */     GIR_EraseRootFromParent_Done,
     /*  705748 */   // Label 11135: @705748
     /*  705748 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705823), // Rule ID 11279 //
     /*  705753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705799 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705821 */     GIR_RootConstrainSelectedInstOperands,
     /*  705822 */     // GIR_Coverage, 11279,
     /*  705822 */     GIR_EraseRootFromParent_Done,
     /*  705823 */   // Label 11136: @705823
     /*  705823 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705898), // Rule ID 11280 //
     /*  705828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705896 */     GIR_RootConstrainSelectedInstOperands,
     /*  705897 */     // GIR_Coverage, 11280,
     /*  705897 */     GIR_EraseRootFromParent_Done,
     /*  705898 */   // Label 11137: @705898
     /*  705898 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(705973), // Rule ID 11283 //
     /*  705903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705949 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705971 */     GIR_RootConstrainSelectedInstOperands,
     /*  705972 */     // GIR_Coverage, 11283,
     /*  705972 */     GIR_EraseRootFromParent_Done,
     /*  705973 */   // Label 11138: @705973
     /*  705973 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(706048), // Rule ID 11284 //
     /*  705978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706046 */     GIR_RootConstrainSelectedInstOperands,
     /*  706047 */     // GIR_Coverage, 11284,
     /*  706047 */     GIR_EraseRootFromParent_Done,
     /*  706048 */   // Label 11139: @706048
     /*  706048 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(706123), // Rule ID 11287 //
     /*  706053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706121 */     GIR_RootConstrainSelectedInstOperands,
     /*  706122 */     // GIR_Coverage, 11287,
     /*  706122 */     GIR_EraseRootFromParent_Done,
     /*  706123 */   // Label 11140: @706123
     /*  706123 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(706198), // Rule ID 11288 //
     /*  706128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706196 */     GIR_RootConstrainSelectedInstOperands,
     /*  706197 */     // GIR_Coverage, 11288,
     /*  706197 */     GIR_EraseRootFromParent_Done,
     /*  706198 */   // Label 11141: @706198
     /*  706198 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(706273), // Rule ID 11291 //
     /*  706203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706271 */     GIR_RootConstrainSelectedInstOperands,
     /*  706272 */     // GIR_Coverage, 11291,
     /*  706272 */     GIR_EraseRootFromParent_Done,
     /*  706273 */   // Label 11142: @706273
     /*  706273 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706348), // Rule ID 11292 //
     /*  706278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706346 */     GIR_RootConstrainSelectedInstOperands,
     /*  706347 */     // GIR_Coverage, 11292,
     /*  706347 */     GIR_EraseRootFromParent_Done,
     /*  706348 */   // Label 11143: @706348
     /*  706348 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706423), // Rule ID 11295 //
     /*  706353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706421 */     GIR_RootConstrainSelectedInstOperands,
     /*  706422 */     // GIR_Coverage, 11295,
     /*  706422 */     GIR_EraseRootFromParent_Done,
     /*  706423 */   // Label 11144: @706423
     /*  706423 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(706498), // Rule ID 11296 //
     /*  706428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706496 */     GIR_RootConstrainSelectedInstOperands,
     /*  706497 */     // GIR_Coverage, 11296,
     /*  706497 */     GIR_EraseRootFromParent_Done,
     /*  706498 */   // Label 11145: @706498
     /*  706498 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706573), // Rule ID 11299 //
     /*  706503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  706552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706571 */     GIR_RootConstrainSelectedInstOperands,
     /*  706572 */     // GIR_Coverage, 11299,
     /*  706572 */     GIR_EraseRootFromParent_Done,
     /*  706573 */   // Label 11146: @706573
     /*  706573 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(706648), // Rule ID 11300 //
     /*  706578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  706627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706646 */     GIR_RootConstrainSelectedInstOperands,
     /*  706647 */     // GIR_Coverage, 11300,
     /*  706647 */     GIR_EraseRootFromParent_Done,
     /*  706648 */   // Label 11147: @706648
     /*  706648 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706723), // Rule ID 11303 //
     /*  706653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  706702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706721 */     GIR_RootConstrainSelectedInstOperands,
     /*  706722 */     // GIR_Coverage, 11303,
     /*  706722 */     GIR_EraseRootFromParent_Done,
     /*  706723 */   // Label 11148: @706723
     /*  706723 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706798), // Rule ID 11304 //
     /*  706728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  706777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706796 */     GIR_RootConstrainSelectedInstOperands,
     /*  706797 */     // GIR_Coverage, 11304,
     /*  706797 */     GIR_EraseRootFromParent_Done,
     /*  706798 */   // Label 11149: @706798
     /*  706798 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706873), // Rule ID 11307 //
     /*  706803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706849 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  706852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706871 */     GIR_RootConstrainSelectedInstOperands,
     /*  706872 */     // GIR_Coverage, 11307,
     /*  706872 */     GIR_EraseRootFromParent_Done,
     /*  706873 */   // Label 11150: @706873
     /*  706873 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(706948), // Rule ID 11308 //
     /*  706878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  706927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706946 */     GIR_RootConstrainSelectedInstOperands,
     /*  706947 */     // GIR_Coverage, 11308,
     /*  706947 */     GIR_EraseRootFromParent_Done,
     /*  706948 */   // Label 11151: @706948
     /*  706948 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(707023), // Rule ID 11311 //
     /*  706953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707021 */     GIR_RootConstrainSelectedInstOperands,
     /*  707022 */     // GIR_Coverage, 11311,
     /*  707022 */     GIR_EraseRootFromParent_Done,
     /*  707023 */   // Label 11152: @707023
     /*  707023 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(707098), // Rule ID 11312 //
     /*  707028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  707039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  707042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  707045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  707048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707096 */     GIR_RootConstrainSelectedInstOperands,
     /*  707097 */     // GIR_Coverage, 11312,
     /*  707097 */     GIR_EraseRootFromParent_Done,
     /*  707098 */   // Label 11153: @707098
     /*  707098 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(707173), // Rule ID 11315 //
     /*  707103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707171 */     GIR_RootConstrainSelectedInstOperands,
     /*  707172 */     // GIR_Coverage, 11315,
     /*  707172 */     GIR_EraseRootFromParent_Done,
     /*  707173 */   // Label 11154: @707173
     /*  707173 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(707248), // Rule ID 11316 //
     /*  707178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707246 */     GIR_RootConstrainSelectedInstOperands,
     /*  707247 */     // GIR_Coverage, 11316,
     /*  707247 */     GIR_EraseRootFromParent_Done,
     /*  707248 */   // Label 11155: @707248
     /*  707248 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707323), // Rule ID 11319 //
     /*  707253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707321 */     GIR_RootConstrainSelectedInstOperands,
     /*  707322 */     // GIR_Coverage, 11319,
     /*  707322 */     GIR_EraseRootFromParent_Done,
     /*  707323 */   // Label 11156: @707323
     /*  707323 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707398), // Rule ID 11320 //
     /*  707328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707396 */     GIR_RootConstrainSelectedInstOperands,
     /*  707397 */     // GIR_Coverage, 11320,
     /*  707397 */     GIR_EraseRootFromParent_Done,
     /*  707398 */   // Label 11157: @707398
     /*  707398 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(707473), // Rule ID 11323 //
     /*  707403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707471 */     GIR_RootConstrainSelectedInstOperands,
     /*  707472 */     // GIR_Coverage, 11323,
     /*  707472 */     GIR_EraseRootFromParent_Done,
     /*  707473 */   // Label 11158: @707473
     /*  707473 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(707548), // Rule ID 11324 //
     /*  707478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707546 */     GIR_RootConstrainSelectedInstOperands,
     /*  707547 */     // GIR_Coverage, 11324,
     /*  707547 */     GIR_EraseRootFromParent_Done,
     /*  707548 */   // Label 11159: @707548
     /*  707548 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(707623), // Rule ID 11327 //
     /*  707553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707621 */     GIR_RootConstrainSelectedInstOperands,
     /*  707622 */     // GIR_Coverage, 11327,
     /*  707622 */     GIR_EraseRootFromParent_Done,
     /*  707623 */   // Label 11160: @707623
     /*  707623 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(707698), // Rule ID 11328 //
     /*  707628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707696 */     GIR_RootConstrainSelectedInstOperands,
     /*  707697 */     // GIR_Coverage, 11328,
     /*  707697 */     GIR_EraseRootFromParent_Done,
     /*  707698 */   // Label 11161: @707698
     /*  707698 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707773), // Rule ID 11331 //
     /*  707703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707771 */     GIR_RootConstrainSelectedInstOperands,
     /*  707772 */     // GIR_Coverage, 11331,
     /*  707772 */     GIR_EraseRootFromParent_Done,
     /*  707773 */   // Label 11162: @707773
     /*  707773 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707848), // Rule ID 11332 //
     /*  707778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707846 */     GIR_RootConstrainSelectedInstOperands,
     /*  707847 */     // GIR_Coverage, 11332,
     /*  707847 */     GIR_EraseRootFromParent_Done,
     /*  707848 */   // Label 11163: @707848
     /*  707848 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(707923), // Rule ID 11335 //
     /*  707853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707921 */     GIR_RootConstrainSelectedInstOperands,
     /*  707922 */     // GIR_Coverage, 11335,
     /*  707922 */     GIR_EraseRootFromParent_Done,
     /*  707923 */   // Label 11164: @707923
     /*  707923 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(707998), // Rule ID 11336 //
     /*  707928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707974 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707996 */     GIR_RootConstrainSelectedInstOperands,
     /*  707997 */     // GIR_Coverage, 11336,
     /*  707997 */     GIR_EraseRootFromParent_Done,
     /*  707998 */   // Label 11165: @707998
     /*  707998 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(708073), // Rule ID 11339 //
     /*  708003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  708014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  708017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  708020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  708023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708049 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708071 */     GIR_RootConstrainSelectedInstOperands,
     /*  708072 */     // GIR_Coverage, 11339,
     /*  708072 */     GIR_EraseRootFromParent_Done,
     /*  708073 */   // Label 11166: @708073
     /*  708073 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(708148), // Rule ID 11340 //
     /*  708078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  708089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  708092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  708095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  708098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708124 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708146 */     GIR_RootConstrainSelectedInstOperands,
     /*  708147 */     // GIR_Coverage, 11340,
     /*  708147 */     GIR_EraseRootFromParent_Done,
     /*  708148 */   // Label 11167: @708148
     /*  708148 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(708223), // Rule ID 11343 //
     /*  708153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708199 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708221 */     GIR_RootConstrainSelectedInstOperands,
     /*  708222 */     // GIR_Coverage, 11343,
     /*  708222 */     GIR_EraseRootFromParent_Done,
     /*  708223 */   // Label 11168: @708223
     /*  708223 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708298), // Rule ID 11344 //
     /*  708228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708274 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708296 */     GIR_RootConstrainSelectedInstOperands,
     /*  708297 */     // GIR_Coverage, 11344,
     /*  708297 */     GIR_EraseRootFromParent_Done,
     /*  708298 */   // Label 11169: @708298
     /*  708298 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708373), // Rule ID 11347 //
     /*  708303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708371 */     GIR_RootConstrainSelectedInstOperands,
     /*  708372 */     // GIR_Coverage, 11347,
     /*  708372 */     GIR_EraseRootFromParent_Done,
     /*  708373 */   // Label 11170: @708373
     /*  708373 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(708448), // Rule ID 11348 //
     /*  708378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708446 */     GIR_RootConstrainSelectedInstOperands,
     /*  708447 */     // GIR_Coverage, 11348,
     /*  708447 */     GIR_EraseRootFromParent_Done,
     /*  708448 */   // Label 11171: @708448
     /*  708448 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(708523), // Rule ID 11351 //
     /*  708453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708521 */     GIR_RootConstrainSelectedInstOperands,
     /*  708522 */     // GIR_Coverage, 11351,
     /*  708522 */     GIR_EraseRootFromParent_Done,
     /*  708523 */   // Label 11172: @708523
     /*  708523 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708598), // Rule ID 11352 //
     /*  708528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708596 */     GIR_RootConstrainSelectedInstOperands,
     /*  708597 */     // GIR_Coverage, 11352,
     /*  708597 */     GIR_EraseRootFromParent_Done,
     /*  708598 */   // Label 11173: @708598
     /*  708598 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(708673), // Rule ID 11355 //
     /*  708603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708671 */     GIR_RootConstrainSelectedInstOperands,
     /*  708672 */     // GIR_Coverage, 11355,
     /*  708672 */     GIR_EraseRootFromParent_Done,
     /*  708673 */   // Label 11174: @708673
     /*  708673 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708748), // Rule ID 11356 //
     /*  708678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708746 */     GIR_RootConstrainSelectedInstOperands,
     /*  708747 */     // GIR_Coverage, 11356,
     /*  708747 */     GIR_EraseRootFromParent_Done,
     /*  708748 */   // Label 11175: @708748
     /*  708748 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708823), // Rule ID 11359 //
     /*  708753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708821 */     GIR_RootConstrainSelectedInstOperands,
     /*  708822 */     // GIR_Coverage, 11359,
     /*  708822 */     GIR_EraseRootFromParent_Done,
     /*  708823 */   // Label 11176: @708823
     /*  708823 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708898), // Rule ID 11360 //
     /*  708828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708896 */     GIR_RootConstrainSelectedInstOperands,
     /*  708897 */     // GIR_Coverage, 11360,
     /*  708897 */     GIR_EraseRootFromParent_Done,
     /*  708898 */   // Label 11177: @708898
     /*  708898 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(708973), // Rule ID 11363 //
     /*  708903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708971 */     GIR_RootConstrainSelectedInstOperands,
     /*  708972 */     // GIR_Coverage, 11363,
     /*  708972 */     GIR_EraseRootFromParent_Done,
     /*  708973 */   // Label 11178: @708973
     /*  708973 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(709048), // Rule ID 11364 //
     /*  708978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709046 */     GIR_RootConstrainSelectedInstOperands,
     /*  709047 */     // GIR_Coverage, 11364,
     /*  709047 */     GIR_EraseRootFromParent_Done,
     /*  709048 */   // Label 11179: @709048
     /*  709048 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(709123), // Rule ID 11367 //
     /*  709053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709121 */     GIR_RootConstrainSelectedInstOperands,
     /*  709122 */     // GIR_Coverage, 11367,
     /*  709122 */     GIR_EraseRootFromParent_Done,
     /*  709123 */   // Label 11180: @709123
     /*  709123 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(709198), // Rule ID 11368 //
     /*  709128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709196 */     GIR_RootConstrainSelectedInstOperands,
     /*  709197 */     // GIR_Coverage, 11368,
     /*  709197 */     GIR_EraseRootFromParent_Done,
     /*  709198 */   // Label 11181: @709198
     /*  709198 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(709273), // Rule ID 11371 //
     /*  709203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709249 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709271 */     GIR_RootConstrainSelectedInstOperands,
     /*  709272 */     // GIR_Coverage, 11371,
     /*  709272 */     GIR_EraseRootFromParent_Done,
     /*  709273 */   // Label 11182: @709273
     /*  709273 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709348), // Rule ID 11372 //
     /*  709278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709346 */     GIR_RootConstrainSelectedInstOperands,
     /*  709347 */     // GIR_Coverage, 11372,
     /*  709347 */     GIR_EraseRootFromParent_Done,
     /*  709348 */   // Label 11183: @709348
     /*  709348 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709423), // Rule ID 11375 //
     /*  709353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709399 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709421 */     GIR_RootConstrainSelectedInstOperands,
     /*  709422 */     // GIR_Coverage, 11375,
     /*  709422 */     GIR_EraseRootFromParent_Done,
     /*  709423 */   // Label 11184: @709423
     /*  709423 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(709498), // Rule ID 11376 //
     /*  709428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709496 */     GIR_RootConstrainSelectedInstOperands,
     /*  709497 */     // GIR_Coverage, 11376,
     /*  709497 */     GIR_EraseRootFromParent_Done,
     /*  709498 */   // Label 11185: @709498
     /*  709498 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709573), // Rule ID 11379 //
     /*  709503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709549 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709571 */     GIR_RootConstrainSelectedInstOperands,
     /*  709572 */     // GIR_Coverage, 11379,
     /*  709572 */     GIR_EraseRootFromParent_Done,
     /*  709573 */   // Label 11186: @709573
     /*  709573 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(709648), // Rule ID 11380 //
     /*  709578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709646 */     GIR_RootConstrainSelectedInstOperands,
     /*  709647 */     // GIR_Coverage, 11380,
     /*  709647 */     GIR_EraseRootFromParent_Done,
     /*  709648 */   // Label 11187: @709648
     /*  709648 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709723), // Rule ID 11383 //
     /*  709653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709721 */     GIR_RootConstrainSelectedInstOperands,
     /*  709722 */     // GIR_Coverage, 11383,
     /*  709722 */     GIR_EraseRootFromParent_Done,
     /*  709723 */   // Label 11188: @709723
     /*  709723 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709798), // Rule ID 11384 //
     /*  709728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709796 */     GIR_RootConstrainSelectedInstOperands,
     /*  709797 */     // GIR_Coverage, 11384,
     /*  709797 */     GIR_EraseRootFromParent_Done,
     /*  709798 */   // Label 11189: @709798
     /*  709798 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709873), // Rule ID 11387 //
     /*  709803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709871 */     GIR_RootConstrainSelectedInstOperands,
     /*  709872 */     // GIR_Coverage, 11387,
     /*  709872 */     GIR_EraseRootFromParent_Done,
     /*  709873 */   // Label 11190: @709873
     /*  709873 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(709948), // Rule ID 11388 //
     /*  709878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709946 */     GIR_RootConstrainSelectedInstOperands,
     /*  709947 */     // GIR_Coverage, 11388,
     /*  709947 */     GIR_EraseRootFromParent_Done,
     /*  709948 */   // Label 11191: @709948
     /*  709948 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(710023), // Rule ID 11391 //
     /*  709953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710021 */     GIR_RootConstrainSelectedInstOperands,
     /*  710022 */     // GIR_Coverage, 11391,
     /*  710022 */     GIR_EraseRootFromParent_Done,
     /*  710023 */   // Label 11192: @710023
     /*  710023 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(710098), // Rule ID 11392 //
     /*  710028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710096 */     GIR_RootConstrainSelectedInstOperands,
     /*  710097 */     // GIR_Coverage, 11392,
     /*  710097 */     GIR_EraseRootFromParent_Done,
     /*  710098 */   // Label 11193: @710098
     /*  710098 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(710173), // Rule ID 11395 //
     /*  710103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710171 */     GIR_RootConstrainSelectedInstOperands,
     /*  710172 */     // GIR_Coverage, 11395,
     /*  710172 */     GIR_EraseRootFromParent_Done,
     /*  710173 */   // Label 11194: @710173
     /*  710173 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(710248), // Rule ID 11396 //
     /*  710178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710246 */     GIR_RootConstrainSelectedInstOperands,
     /*  710247 */     // GIR_Coverage, 11396,
     /*  710247 */     GIR_EraseRootFromParent_Done,
     /*  710248 */   // Label 11195: @710248
     /*  710248 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710323), // Rule ID 11399 //
     /*  710253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710321 */     GIR_RootConstrainSelectedInstOperands,
     /*  710322 */     // GIR_Coverage, 11399,
     /*  710322 */     GIR_EraseRootFromParent_Done,
     /*  710323 */   // Label 11196: @710323
     /*  710323 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710398), // Rule ID 11400 //
     /*  710328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710396 */     GIR_RootConstrainSelectedInstOperands,
     /*  710397 */     // GIR_Coverage, 11400,
     /*  710397 */     GIR_EraseRootFromParent_Done,
     /*  710398 */   // Label 11197: @710398
     /*  710398 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(710473), // Rule ID 11403 //
     /*  710403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710471 */     GIR_RootConstrainSelectedInstOperands,
     /*  710472 */     // GIR_Coverage, 11403,
     /*  710472 */     GIR_EraseRootFromParent_Done,
     /*  710473 */   // Label 11198: @710473
     /*  710473 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(710548), // Rule ID 11404 //
     /*  710478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710546 */     GIR_RootConstrainSelectedInstOperands,
     /*  710547 */     // GIR_Coverage, 11404,
     /*  710547 */     GIR_EraseRootFromParent_Done,
     /*  710548 */   // Label 11199: @710548
     /*  710548 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(710623), // Rule ID 11407 //
     /*  710553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710621 */     GIR_RootConstrainSelectedInstOperands,
     /*  710622 */     // GIR_Coverage, 11407,
     /*  710622 */     GIR_EraseRootFromParent_Done,
     /*  710623 */   // Label 11200: @710623
     /*  710623 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(710698), // Rule ID 11408 //
     /*  710628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710696 */     GIR_RootConstrainSelectedInstOperands,
     /*  710697 */     // GIR_Coverage, 11408,
     /*  710697 */     GIR_EraseRootFromParent_Done,
     /*  710698 */   // Label 11201: @710698
     /*  710698 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710773), // Rule ID 11411 //
     /*  710703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710749 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  710752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710771 */     GIR_RootConstrainSelectedInstOperands,
     /*  710772 */     // GIR_Coverage, 11411,
     /*  710772 */     GIR_EraseRootFromParent_Done,
     /*  710773 */   // Label 11202: @710773
     /*  710773 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710848), // Rule ID 11412 //
     /*  710778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  710827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710846 */     GIR_RootConstrainSelectedInstOperands,
     /*  710847 */     // GIR_Coverage, 11412,
     /*  710847 */     GIR_EraseRootFromParent_Done,
     /*  710848 */   // Label 11203: @710848
     /*  710848 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(710923), // Rule ID 11415 //
     /*  710853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710921 */     GIR_RootConstrainSelectedInstOperands,
     /*  710922 */     // GIR_Coverage, 11415,
     /*  710922 */     GIR_EraseRootFromParent_Done,
     /*  710923 */   // Label 11204: @710923
     /*  710923 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(710998), // Rule ID 11416 //
     /*  710928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710974 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710996 */     GIR_RootConstrainSelectedInstOperands,
     /*  710997 */     // GIR_Coverage, 11416,
     /*  710997 */     GIR_EraseRootFromParent_Done,
     /*  710998 */   // Label 11205: @710998
     /*  710998 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(711073), // Rule ID 11419 //
     /*  711003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711071 */     GIR_RootConstrainSelectedInstOperands,
     /*  711072 */     // GIR_Coverage, 11419,
     /*  711072 */     GIR_EraseRootFromParent_Done,
     /*  711073 */   // Label 11206: @711073
     /*  711073 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(711148), // Rule ID 11420 //
     /*  711078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711146 */     GIR_RootConstrainSelectedInstOperands,
     /*  711147 */     // GIR_Coverage, 11420,
     /*  711147 */     GIR_EraseRootFromParent_Done,
     /*  711148 */   // Label 11207: @711148
     /*  711148 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(711223), // Rule ID 11423 //
     /*  711153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711199 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711221 */     GIR_RootConstrainSelectedInstOperands,
     /*  711222 */     // GIR_Coverage, 11423,
     /*  711222 */     GIR_EraseRootFromParent_Done,
     /*  711223 */   // Label 11208: @711223
     /*  711223 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711298), // Rule ID 11424 //
     /*  711228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711296 */     GIR_RootConstrainSelectedInstOperands,
     /*  711297 */     // GIR_Coverage, 11424,
     /*  711297 */     GIR_EraseRootFromParent_Done,
     /*  711298 */   // Label 11209: @711298
     /*  711298 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711373), // Rule ID 11427 //
     /*  711303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711349 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711371 */     GIR_RootConstrainSelectedInstOperands,
     /*  711372 */     // GIR_Coverage, 11427,
     /*  711372 */     GIR_EraseRootFromParent_Done,
     /*  711373 */   // Label 11210: @711373
     /*  711373 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(711448), // Rule ID 11428 //
     /*  711378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711446 */     GIR_RootConstrainSelectedInstOperands,
     /*  711447 */     // GIR_Coverage, 11428,
     /*  711447 */     GIR_EraseRootFromParent_Done,
     /*  711448 */   // Label 11211: @711448
     /*  711448 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(711523), // Rule ID 11431 //
     /*  711453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711521 */     GIR_RootConstrainSelectedInstOperands,
     /*  711522 */     // GIR_Coverage, 11431,
     /*  711522 */     GIR_EraseRootFromParent_Done,
     /*  711523 */   // Label 11212: @711523
     /*  711523 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711598), // Rule ID 11432 //
     /*  711528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711596 */     GIR_RootConstrainSelectedInstOperands,
     /*  711597 */     // GIR_Coverage, 11432,
     /*  711597 */     GIR_EraseRootFromParent_Done,
     /*  711598 */   // Label 11213: @711598
     /*  711598 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(711673), // Rule ID 11435 //
     /*  711603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711649 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711671 */     GIR_RootConstrainSelectedInstOperands,
     /*  711672 */     // GIR_Coverage, 11435,
     /*  711672 */     GIR_EraseRootFromParent_Done,
     /*  711673 */   // Label 11214: @711673
     /*  711673 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711748), // Rule ID 11436 //
     /*  711678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711746 */     GIR_RootConstrainSelectedInstOperands,
     /*  711747 */     // GIR_Coverage, 11436,
     /*  711747 */     GIR_EraseRootFromParent_Done,
     /*  711748 */   // Label 11215: @711748
     /*  711748 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711823), // Rule ID 11439 //
     /*  711753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711821 */     GIR_RootConstrainSelectedInstOperands,
     /*  711822 */     // GIR_Coverage, 11439,
     /*  711822 */     GIR_EraseRootFromParent_Done,
     /*  711823 */   // Label 11216: @711823
     /*  711823 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711898), // Rule ID 11440 //
     /*  711828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711896 */     GIR_RootConstrainSelectedInstOperands,
     /*  711897 */     // GIR_Coverage, 11440,
     /*  711897 */     GIR_EraseRootFromParent_Done,
     /*  711898 */   // Label 11217: @711898
     /*  711898 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(711973), // Rule ID 11443 //
     /*  711903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  711923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  711952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711971 */     GIR_RootConstrainSelectedInstOperands,
     /*  711972 */     // GIR_Coverage, 11443,
     /*  711972 */     GIR_EraseRootFromParent_Done,
     /*  711973 */   // Label 11218: @711973
     /*  711973 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(712048), // Rule ID 11444 //
     /*  711978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  711998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  712027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712046 */     GIR_RootConstrainSelectedInstOperands,
     /*  712047 */     // GIR_Coverage, 11444,
     /*  712047 */     GIR_EraseRootFromParent_Done,
     /*  712048 */   // Label 11219: @712048
     /*  712048 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(712123), // Rule ID 11447 //
     /*  712053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712121 */     GIR_RootConstrainSelectedInstOperands,
     /*  712122 */     // GIR_Coverage, 11447,
     /*  712122 */     GIR_EraseRootFromParent_Done,
     /*  712123 */   // Label 11220: @712123
     /*  712123 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(712198), // Rule ID 11448 //
     /*  712128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712196 */     GIR_RootConstrainSelectedInstOperands,
     /*  712197 */     // GIR_Coverage, 11448,
     /*  712197 */     GIR_EraseRootFromParent_Done,
     /*  712198 */   // Label 11221: @712198
     /*  712198 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(712273), // Rule ID 11451 //
     /*  712203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712271 */     GIR_RootConstrainSelectedInstOperands,
     /*  712272 */     // GIR_Coverage, 11451,
     /*  712272 */     GIR_EraseRootFromParent_Done,
     /*  712273 */   // Label 11222: @712273
     /*  712273 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712348), // Rule ID 11452 //
     /*  712278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712346 */     GIR_RootConstrainSelectedInstOperands,
     /*  712347 */     // GIR_Coverage, 11452,
     /*  712347 */     GIR_EraseRootFromParent_Done,
     /*  712348 */   // Label 11223: @712348
     /*  712348 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712423), // Rule ID 11455 //
     /*  712353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712421 */     GIR_RootConstrainSelectedInstOperands,
     /*  712422 */     // GIR_Coverage, 11455,
     /*  712422 */     GIR_EraseRootFromParent_Done,
     /*  712423 */   // Label 11224: @712423
     /*  712423 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(712498), // Rule ID 11456 //
     /*  712428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712496 */     GIR_RootConstrainSelectedInstOperands,
     /*  712497 */     // GIR_Coverage, 11456,
     /*  712497 */     GIR_EraseRootFromParent_Done,
     /*  712498 */   // Label 11225: @712498
     /*  712498 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712573), // Rule ID 11459 //
     /*  712503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  712552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712571 */     GIR_RootConstrainSelectedInstOperands,
     /*  712572 */     // GIR_Coverage, 11459,
     /*  712572 */     GIR_EraseRootFromParent_Done,
     /*  712573 */   // Label 11226: @712573
     /*  712573 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(712648), // Rule ID 11460 //
     /*  712578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  712627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712646 */     GIR_RootConstrainSelectedInstOperands,
     /*  712647 */     // GIR_Coverage, 11460,
     /*  712647 */     GIR_EraseRootFromParent_Done,
     /*  712648 */   // Label 11227: @712648
     /*  712648 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712723), // Rule ID 11463 //
     /*  712653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  712702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712721 */     GIR_RootConstrainSelectedInstOperands,
     /*  712722 */     // GIR_Coverage, 11463,
     /*  712722 */     GIR_EraseRootFromParent_Done,
     /*  712723 */   // Label 11228: @712723
     /*  712723 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712798), // Rule ID 11464 //
     /*  712728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  712777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712796 */     GIR_RootConstrainSelectedInstOperands,
     /*  712797 */     // GIR_Coverage, 11464,
     /*  712797 */     GIR_EraseRootFromParent_Done,
     /*  712798 */   // Label 11229: @712798
     /*  712798 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712873), // Rule ID 11467 //
     /*  712803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  712852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712871 */     GIR_RootConstrainSelectedInstOperands,
     /*  712872 */     // GIR_Coverage, 11467,
     /*  712872 */     GIR_EraseRootFromParent_Done,
     /*  712873 */   // Label 11230: @712873
     /*  712873 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(712948), // Rule ID 11468 //
     /*  712878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  712927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712946 */     GIR_RootConstrainSelectedInstOperands,
     /*  712947 */     // GIR_Coverage, 11468,
     /*  712947 */     GIR_EraseRootFromParent_Done,
     /*  712948 */   // Label 11231: @712948
     /*  712948 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(713023), // Rule ID 11471 //
     /*  712953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  713002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713021 */     GIR_RootConstrainSelectedInstOperands,
     /*  713022 */     // GIR_Coverage, 11471,
     /*  713022 */     GIR_EraseRootFromParent_Done,
     /*  713023 */   // Label 11232: @713023
     /*  713023 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(713098), // Rule ID 11472 //
     /*  713028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  713077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713096 */     GIR_RootConstrainSelectedInstOperands,
     /*  713097 */     // GIR_Coverage, 11472,
     /*  713097 */     GIR_EraseRootFromParent_Done,
     /*  713098 */   // Label 11233: @713098
     /*  713098 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(713173), // Rule ID 11475 //
     /*  713103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713171 */     GIR_RootConstrainSelectedInstOperands,
     /*  713172 */     // GIR_Coverage, 11475,
     /*  713172 */     GIR_EraseRootFromParent_Done,
     /*  713173 */   // Label 11234: @713173
     /*  713173 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(713248), // Rule ID 11476 //
     /*  713178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713246 */     GIR_RootConstrainSelectedInstOperands,
     /*  713247 */     // GIR_Coverage, 11476,
     /*  713247 */     GIR_EraseRootFromParent_Done,
     /*  713248 */   // Label 11235: @713248
     /*  713248 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713323), // Rule ID 11479 //
     /*  713253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713321 */     GIR_RootConstrainSelectedInstOperands,
     /*  713322 */     // GIR_Coverage, 11479,
     /*  713322 */     GIR_EraseRootFromParent_Done,
     /*  713323 */   // Label 11236: @713323
     /*  713323 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713398), // Rule ID 11480 //
     /*  713328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713396 */     GIR_RootConstrainSelectedInstOperands,
     /*  713397 */     // GIR_Coverage, 11480,
     /*  713397 */     GIR_EraseRootFromParent_Done,
     /*  713398 */   // Label 11237: @713398
     /*  713398 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(713473), // Rule ID 11483 //
     /*  713403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713471 */     GIR_RootConstrainSelectedInstOperands,
     /*  713472 */     // GIR_Coverage, 11483,
     /*  713472 */     GIR_EraseRootFromParent_Done,
     /*  713473 */   // Label 11238: @713473
     /*  713473 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(713548), // Rule ID 11484 //
     /*  713478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713546 */     GIR_RootConstrainSelectedInstOperands,
     /*  713547 */     // GIR_Coverage, 11484,
     /*  713547 */     GIR_EraseRootFromParent_Done,
     /*  713548 */   // Label 11239: @713548
     /*  713548 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(713623), // Rule ID 11487 //
     /*  713553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  713602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713621 */     GIR_RootConstrainSelectedInstOperands,
     /*  713622 */     // GIR_Coverage, 11487,
     /*  713622 */     GIR_EraseRootFromParent_Done,
     /*  713623 */   // Label 11240: @713623
     /*  713623 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(713698), // Rule ID 11488 //
     /*  713628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  713677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713696 */     GIR_RootConstrainSelectedInstOperands,
     /*  713697 */     // GIR_Coverage, 11488,
     /*  713697 */     GIR_EraseRootFromParent_Done,
     /*  713698 */   // Label 11241: @713698
     /*  713698 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713773), // Rule ID 11491 //
     /*  713703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713749 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  713752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713771 */     GIR_RootConstrainSelectedInstOperands,
     /*  713772 */     // GIR_Coverage, 11491,
     /*  713772 */     GIR_EraseRootFromParent_Done,
     /*  713773 */   // Label 11242: @713773
     /*  713773 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713848), // Rule ID 11492 //
     /*  713778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  713827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713846 */     GIR_RootConstrainSelectedInstOperands,
     /*  713847 */     // GIR_Coverage, 11492,
     /*  713847 */     GIR_EraseRootFromParent_Done,
     /*  713848 */   // Label 11243: @713848
     /*  713848 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(713923), // Rule ID 11495 //
     /*  713853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  713902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713921 */     GIR_RootConstrainSelectedInstOperands,
     /*  713922 */     // GIR_Coverage, 11495,
     /*  713922 */     GIR_EraseRootFromParent_Done,
     /*  713923 */   // Label 11244: @713923
     /*  713923 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(713998), // Rule ID 11496 //
     /*  713928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  713977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713996 */     GIR_RootConstrainSelectedInstOperands,
     /*  713997 */     // GIR_Coverage, 11496,
     /*  713997 */     GIR_EraseRootFromParent_Done,
     /*  713998 */   // Label 11245: @713998
     /*  713998 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(714073), // Rule ID 11499 //
     /*  714003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714049 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714071 */     GIR_RootConstrainSelectedInstOperands,
     /*  714072 */     // GIR_Coverage, 11499,
     /*  714072 */     GIR_EraseRootFromParent_Done,
     /*  714073 */   // Label 11246: @714073
     /*  714073 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(714148), // Rule ID 11500 //
     /*  714078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714146 */     GIR_RootConstrainSelectedInstOperands,
     /*  714147 */     // GIR_Coverage, 11500,
     /*  714147 */     GIR_EraseRootFromParent_Done,
     /*  714148 */   // Label 11247: @714148
     /*  714148 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(714223), // Rule ID 11503 //
     /*  714153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714221 */     GIR_RootConstrainSelectedInstOperands,
     /*  714222 */     // GIR_Coverage, 11503,
     /*  714222 */     GIR_EraseRootFromParent_Done,
     /*  714223 */   // Label 11248: @714223
     /*  714223 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714298), // Rule ID 11504 //
     /*  714228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714296 */     GIR_RootConstrainSelectedInstOperands,
     /*  714297 */     // GIR_Coverage, 11504,
     /*  714297 */     GIR_EraseRootFromParent_Done,
     /*  714298 */   // Label 11249: @714298
     /*  714298 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714373), // Rule ID 11507 //
     /*  714303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714349 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714371 */     GIR_RootConstrainSelectedInstOperands,
     /*  714372 */     // GIR_Coverage, 11507,
     /*  714372 */     GIR_EraseRootFromParent_Done,
     /*  714373 */   // Label 11250: @714373
     /*  714373 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(714448), // Rule ID 11508 //
     /*  714378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714446 */     GIR_RootConstrainSelectedInstOperands,
     /*  714447 */     // GIR_Coverage, 11508,
     /*  714447 */     GIR_EraseRootFromParent_Done,
     /*  714448 */   // Label 11251: @714448
     /*  714448 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(714523), // Rule ID 11511 //
     /*  714453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714521 */     GIR_RootConstrainSelectedInstOperands,
     /*  714522 */     // GIR_Coverage, 11511,
     /*  714522 */     GIR_EraseRootFromParent_Done,
     /*  714523 */   // Label 11252: @714523
     /*  714523 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714598), // Rule ID 11512 //
     /*  714528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714596 */     GIR_RootConstrainSelectedInstOperands,
     /*  714597 */     // GIR_Coverage, 11512,
     /*  714597 */     GIR_EraseRootFromParent_Done,
     /*  714598 */   // Label 11253: @714598
     /*  714598 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(714673), // Rule ID 11515 //
     /*  714603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  714652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714671 */     GIR_RootConstrainSelectedInstOperands,
     /*  714672 */     // GIR_Coverage, 11515,
     /*  714672 */     GIR_EraseRootFromParent_Done,
     /*  714673 */   // Label 11254: @714673
     /*  714673 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714748), // Rule ID 11516 //
     /*  714678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  714727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714746 */     GIR_RootConstrainSelectedInstOperands,
     /*  714747 */     // GIR_Coverage, 11516,
     /*  714747 */     GIR_EraseRootFromParent_Done,
     /*  714748 */   // Label 11255: @714748
     /*  714748 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714823), // Rule ID 11519 //
     /*  714753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  714802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714821 */     GIR_RootConstrainSelectedInstOperands,
     /*  714822 */     // GIR_Coverage, 11519,
     /*  714822 */     GIR_EraseRootFromParent_Done,
     /*  714823 */   // Label 11256: @714823
     /*  714823 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714898), // Rule ID 11520 //
     /*  714828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  714877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714896 */     GIR_RootConstrainSelectedInstOperands,
     /*  714897 */     // GIR_Coverage, 11520,
     /*  714897 */     GIR_EraseRootFromParent_Done,
     /*  714898 */   // Label 11257: @714898
     /*  714898 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(714973), // Rule ID 11523 //
     /*  714903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714971 */     GIR_RootConstrainSelectedInstOperands,
     /*  714972 */     // GIR_Coverage, 11523,
     /*  714972 */     GIR_EraseRootFromParent_Done,
     /*  714973 */   // Label 11258: @714973
     /*  714973 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(715048), // Rule ID 11524 //
     /*  714978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715046 */     GIR_RootConstrainSelectedInstOperands,
     /*  715047 */     // GIR_Coverage, 11524,
     /*  715047 */     GIR_EraseRootFromParent_Done,
     /*  715048 */   // Label 11259: @715048
     /*  715048 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(715123), // Rule ID 11527 //
     /*  715053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715121 */     GIR_RootConstrainSelectedInstOperands,
     /*  715122 */     // GIR_Coverage, 11527,
     /*  715122 */     GIR_EraseRootFromParent_Done,
     /*  715123 */   // Label 11260: @715123
     /*  715123 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(715198), // Rule ID 11528 //
     /*  715128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715196 */     GIR_RootConstrainSelectedInstOperands,
     /*  715197 */     // GIR_Coverage, 11528,
     /*  715197 */     GIR_EraseRootFromParent_Done,
     /*  715198 */   // Label 11261: @715198
     /*  715198 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(715273), // Rule ID 11531 //
     /*  715203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715271 */     GIR_RootConstrainSelectedInstOperands,
     /*  715272 */     // GIR_Coverage, 11531,
     /*  715272 */     GIR_EraseRootFromParent_Done,
     /*  715273 */   // Label 11262: @715273
     /*  715273 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715348), // Rule ID 11532 //
     /*  715278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715346 */     GIR_RootConstrainSelectedInstOperands,
     /*  715347 */     // GIR_Coverage, 11532,
     /*  715347 */     GIR_EraseRootFromParent_Done,
     /*  715348 */   // Label 11263: @715348
     /*  715348 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715423), // Rule ID 11535 //
     /*  715353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715421 */     GIR_RootConstrainSelectedInstOperands,
     /*  715422 */     // GIR_Coverage, 11535,
     /*  715422 */     GIR_EraseRootFromParent_Done,
     /*  715423 */   // Label 11264: @715423
     /*  715423 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(715498), // Rule ID 11536 //
     /*  715428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715496 */     GIR_RootConstrainSelectedInstOperands,
     /*  715497 */     // GIR_Coverage, 11536,
     /*  715497 */     GIR_EraseRootFromParent_Done,
     /*  715498 */   // Label 11265: @715498
     /*  715498 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715573), // Rule ID 11539 //
     /*  715503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  715552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715571 */     GIR_RootConstrainSelectedInstOperands,
     /*  715572 */     // GIR_Coverage, 11539,
     /*  715572 */     GIR_EraseRootFromParent_Done,
     /*  715573 */   // Label 11266: @715573
     /*  715573 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(715648), // Rule ID 11540 //
     /*  715578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  715627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715646 */     GIR_RootConstrainSelectedInstOperands,
     /*  715647 */     // GIR_Coverage, 11540,
     /*  715647 */     GIR_EraseRootFromParent_Done,
     /*  715648 */   // Label 11267: @715648
     /*  715648 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715723), // Rule ID 11543 //
     /*  715653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  715664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  715667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  715670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  715673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  715702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715721 */     GIR_RootConstrainSelectedInstOperands,
     /*  715722 */     // GIR_Coverage, 11543,
     /*  715722 */     GIR_EraseRootFromParent_Done,
     /*  715723 */   // Label 11268: @715723
     /*  715723 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715798), // Rule ID 11544 //
     /*  715728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  715739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  715742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  715745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  715748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  715777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715796 */     GIR_RootConstrainSelectedInstOperands,
     /*  715797 */     // GIR_Coverage, 11544,
     /*  715797 */     GIR_EraseRootFromParent_Done,
     /*  715798 */   // Label 11269: @715798
     /*  715798 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715873), // Rule ID 11547 //
     /*  715803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  715814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  715817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  715820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  715823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715849 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  715852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715871 */     GIR_RootConstrainSelectedInstOperands,
     /*  715872 */     // GIR_Coverage, 11547,
     /*  715872 */     GIR_EraseRootFromParent_Done,
     /*  715873 */   // Label 11270: @715873
     /*  715873 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(715948), // Rule ID 11548 //
     /*  715878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  715889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  715892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  715895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  715898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  715927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715946 */     GIR_RootConstrainSelectedInstOperands,
     /*  715947 */     // GIR_Coverage, 11548,
     /*  715947 */     GIR_EraseRootFromParent_Done,
     /*  715948 */   // Label 11271: @715948
     /*  715948 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(716023), // Rule ID 11551 //
     /*  715953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  715964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  715967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  715970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  715973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  716002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716021 */     GIR_RootConstrainSelectedInstOperands,
     /*  716022 */     // GIR_Coverage, 11551,
     /*  716022 */     GIR_EraseRootFromParent_Done,
     /*  716023 */   // Label 11272: @716023
     /*  716023 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(716098), // Rule ID 11552 //
     /*  716028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  716039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  716042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  716045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  716048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  716077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716096 */     GIR_RootConstrainSelectedInstOperands,
     /*  716097 */     // GIR_Coverage, 11552,
     /*  716097 */     GIR_EraseRootFromParent_Done,
     /*  716098 */   // Label 11273: @716098
     /*  716098 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(716173), // Rule ID 11555 //
     /*  716103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716171 */     GIR_RootConstrainSelectedInstOperands,
     /*  716172 */     // GIR_Coverage, 11555,
     /*  716172 */     GIR_EraseRootFromParent_Done,
     /*  716173 */   // Label 11274: @716173
     /*  716173 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(716248), // Rule ID 11556 //
     /*  716178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716246 */     GIR_RootConstrainSelectedInstOperands,
     /*  716247 */     // GIR_Coverage, 11556,
     /*  716247 */     GIR_EraseRootFromParent_Done,
     /*  716248 */   // Label 11275: @716248
     /*  716248 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716323), // Rule ID 11559 //
     /*  716253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716321 */     GIR_RootConstrainSelectedInstOperands,
     /*  716322 */     // GIR_Coverage, 11559,
     /*  716322 */     GIR_EraseRootFromParent_Done,
     /*  716323 */   // Label 11276: @716323
     /*  716323 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716398), // Rule ID 11560 //
     /*  716328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716396 */     GIR_RootConstrainSelectedInstOperands,
     /*  716397 */     // GIR_Coverage, 11560,
     /*  716397 */     GIR_EraseRootFromParent_Done,
     /*  716398 */   // Label 11277: @716398
     /*  716398 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(716473), // Rule ID 11563 //
     /*  716403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716471 */     GIR_RootConstrainSelectedInstOperands,
     /*  716472 */     // GIR_Coverage, 11563,
     /*  716472 */     GIR_EraseRootFromParent_Done,
     /*  716473 */   // Label 11278: @716473
     /*  716473 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(716548), // Rule ID 11564 //
     /*  716478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716546 */     GIR_RootConstrainSelectedInstOperands,
     /*  716547 */     // GIR_Coverage, 11564,
     /*  716547 */     GIR_EraseRootFromParent_Done,
     /*  716548 */   // Label 11279: @716548
     /*  716548 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(716623), // Rule ID 11567 //
     /*  716553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  716602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716621 */     GIR_RootConstrainSelectedInstOperands,
     /*  716622 */     // GIR_Coverage, 11567,
     /*  716622 */     GIR_EraseRootFromParent_Done,
     /*  716623 */   // Label 11280: @716623
     /*  716623 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(716698), // Rule ID 11568 //
     /*  716628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  716677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716696 */     GIR_RootConstrainSelectedInstOperands,
     /*  716697 */     // GIR_Coverage, 11568,
     /*  716697 */     GIR_EraseRootFromParent_Done,
     /*  716698 */   // Label 11281: @716698
     /*  716698 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716773), // Rule ID 11571 //
     /*  716703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  716714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  716717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  716720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  716723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  716752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716771 */     GIR_RootConstrainSelectedInstOperands,
     /*  716772 */     // GIR_Coverage, 11571,
     /*  716772 */     GIR_EraseRootFromParent_Done,
     /*  716773 */   // Label 11282: @716773
     /*  716773 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716848), // Rule ID 11572 //
     /*  716778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  716789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  716792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  716795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  716798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  716827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716846 */     GIR_RootConstrainSelectedInstOperands,
     /*  716847 */     // GIR_Coverage, 11572,
     /*  716847 */     GIR_EraseRootFromParent_Done,
     /*  716848 */   // Label 11283: @716848
     /*  716848 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(716923), // Rule ID 11575 //
     /*  716853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  716856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  716902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716921 */     GIR_RootConstrainSelectedInstOperands,
     /*  716922 */     // GIR_Coverage, 11575,
     /*  716922 */     GIR_EraseRootFromParent_Done,
     /*  716923 */   // Label 11284: @716923
     /*  716923 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(716998), // Rule ID 11576 //
     /*  716928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  716931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  716977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716996 */     GIR_RootConstrainSelectedInstOperands,
     /*  716997 */     // GIR_Coverage, 11576,
     /*  716997 */     GIR_EraseRootFromParent_Done,
     /*  716998 */   // Label 11285: @716998
     /*  716998 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(717073), // Rule ID 11579 //
     /*  717003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717049 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717071 */     GIR_RootConstrainSelectedInstOperands,
     /*  717072 */     // GIR_Coverage, 11579,
     /*  717072 */     GIR_EraseRootFromParent_Done,
     /*  717073 */   // Label 11286: @717073
     /*  717073 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(717148), // Rule ID 11580 //
     /*  717078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717146 */     GIR_RootConstrainSelectedInstOperands,
     /*  717147 */     // GIR_Coverage, 11580,
     /*  717147 */     GIR_EraseRootFromParent_Done,
     /*  717148 */   // Label 11287: @717148
     /*  717148 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(717223), // Rule ID 11583 //
     /*  717153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717199 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717221 */     GIR_RootConstrainSelectedInstOperands,
     /*  717222 */     // GIR_Coverage, 11583,
     /*  717222 */     GIR_EraseRootFromParent_Done,
     /*  717223 */   // Label 11288: @717223
     /*  717223 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717298), // Rule ID 11584 //
     /*  717228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717296 */     GIR_RootConstrainSelectedInstOperands,
     /*  717297 */     // GIR_Coverage, 11584,
     /*  717297 */     GIR_EraseRootFromParent_Done,
     /*  717298 */   // Label 11289: @717298
     /*  717298 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717373), // Rule ID 11587 //
     /*  717303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717349 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717371 */     GIR_RootConstrainSelectedInstOperands,
     /*  717372 */     // GIR_Coverage, 11587,
     /*  717372 */     GIR_EraseRootFromParent_Done,
     /*  717373 */   // Label 11290: @717373
     /*  717373 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(717448), // Rule ID 11588 //
     /*  717378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717446 */     GIR_RootConstrainSelectedInstOperands,
     /*  717447 */     // GIR_Coverage, 11588,
     /*  717447 */     GIR_EraseRootFromParent_Done,
     /*  717448 */   // Label 11291: @717448
     /*  717448 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(717523), // Rule ID 11591 //
     /*  717453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717521 */     GIR_RootConstrainSelectedInstOperands,
     /*  717522 */     // GIR_Coverage, 11591,
     /*  717522 */     GIR_EraseRootFromParent_Done,
     /*  717523 */   // Label 11292: @717523
     /*  717523 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717598), // Rule ID 11592 //
     /*  717528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717596 */     GIR_RootConstrainSelectedInstOperands,
     /*  717597 */     // GIR_Coverage, 11592,
     /*  717597 */     GIR_EraseRootFromParent_Done,
     /*  717598 */   // Label 11293: @717598
     /*  717598 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(717673), // Rule ID 11595 //
     /*  717603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  717614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  717617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  717620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  717623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  717652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717671 */     GIR_RootConstrainSelectedInstOperands,
     /*  717672 */     // GIR_Coverage, 11595,
     /*  717672 */     GIR_EraseRootFromParent_Done,
     /*  717673 */   // Label 11294: @717673
     /*  717673 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717748), // Rule ID 11596 //
     /*  717678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  717689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  717692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  717695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  717698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  717727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717746 */     GIR_RootConstrainSelectedInstOperands,
     /*  717747 */     // GIR_Coverage, 11596,
     /*  717747 */     GIR_EraseRootFromParent_Done,
     /*  717748 */   // Label 11295: @717748
     /*  717748 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717823), // Rule ID 11599 //
     /*  717753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  717764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  717767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  717770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  717773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  717802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717821 */     GIR_RootConstrainSelectedInstOperands,
     /*  717822 */     // GIR_Coverage, 11599,
     /*  717822 */     GIR_EraseRootFromParent_Done,
     /*  717823 */   // Label 11296: @717823
     /*  717823 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717898), // Rule ID 11600 //
     /*  717828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  717839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  717842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  717845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  717848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  717877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717896 */     GIR_RootConstrainSelectedInstOperands,
     /*  717897 */     // GIR_Coverage, 11600,
     /*  717897 */     GIR_EraseRootFromParent_Done,
     /*  717898 */   // Label 11297: @717898
     /*  717898 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(717973), // Rule ID 11603 //
     /*  717903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  717914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  717917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  717920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  717923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  717952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717971 */     GIR_RootConstrainSelectedInstOperands,
     /*  717972 */     // GIR_Coverage, 11603,
     /*  717972 */     GIR_EraseRootFromParent_Done,
     /*  717973 */   // Label 11298: @717973
     /*  717973 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(718048), // Rule ID 11604 //
     /*  717978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  717989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  717992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  717995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  717998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  718027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718046 */     GIR_RootConstrainSelectedInstOperands,
     /*  718047 */     // GIR_Coverage, 11604,
     /*  718047 */     GIR_EraseRootFromParent_Done,
     /*  718048 */   // Label 11299: @718048
     /*  718048 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(718123), // Rule ID 11607 //
     /*  718053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718121 */     GIR_RootConstrainSelectedInstOperands,
     /*  718122 */     // GIR_Coverage, 11607,
     /*  718122 */     GIR_EraseRootFromParent_Done,
     /*  718123 */   // Label 11300: @718123
     /*  718123 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(718198), // Rule ID 11608 //
     /*  718128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718196 */     GIR_RootConstrainSelectedInstOperands,
     /*  718197 */     // GIR_Coverage, 11608,
     /*  718197 */     GIR_EraseRootFromParent_Done,
     /*  718198 */   // Label 11301: @718198
     /*  718198 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(718273), // Rule ID 11611 //
     /*  718203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718271 */     GIR_RootConstrainSelectedInstOperands,
     /*  718272 */     // GIR_Coverage, 11611,
     /*  718272 */     GIR_EraseRootFromParent_Done,
     /*  718273 */   // Label 11302: @718273
     /*  718273 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718348), // Rule ID 11612 //
     /*  718278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718346 */     GIR_RootConstrainSelectedInstOperands,
     /*  718347 */     // GIR_Coverage, 11612,
     /*  718347 */     GIR_EraseRootFromParent_Done,
     /*  718348 */   // Label 11303: @718348
     /*  718348 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718423), // Rule ID 11615 //
     /*  718353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718421 */     GIR_RootConstrainSelectedInstOperands,
     /*  718422 */     // GIR_Coverage, 11615,
     /*  718422 */     GIR_EraseRootFromParent_Done,
     /*  718423 */   // Label 11304: @718423
     /*  718423 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(718498), // Rule ID 11616 //
     /*  718428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718496 */     GIR_RootConstrainSelectedInstOperands,
     /*  718497 */     // GIR_Coverage, 11616,
     /*  718497 */     GIR_EraseRootFromParent_Done,
     /*  718498 */   // Label 11305: @718498
     /*  718498 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718573), // Rule ID 11619 //
     /*  718503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  718552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718571 */     GIR_RootConstrainSelectedInstOperands,
     /*  718572 */     // GIR_Coverage, 11619,
     /*  718572 */     GIR_EraseRootFromParent_Done,
     /*  718573 */   // Label 11306: @718573
     /*  718573 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(718648), // Rule ID 11620 //
     /*  718578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  718627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718646 */     GIR_RootConstrainSelectedInstOperands,
     /*  718647 */     // GIR_Coverage, 11620,
     /*  718647 */     GIR_EraseRootFromParent_Done,
     /*  718648 */   // Label 11307: @718648
     /*  718648 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718723), // Rule ID 11623 //
     /*  718653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718699 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  718702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718721 */     GIR_RootConstrainSelectedInstOperands,
     /*  718722 */     // GIR_Coverage, 11623,
     /*  718722 */     GIR_EraseRootFromParent_Done,
     /*  718723 */   // Label 11308: @718723
     /*  718723 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718798), // Rule ID 11624 //
     /*  718728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  718777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718796 */     GIR_RootConstrainSelectedInstOperands,
     /*  718797 */     // GIR_Coverage, 11624,
     /*  718797 */     GIR_EraseRootFromParent_Done,
     /*  718798 */   // Label 11309: @718798
     /*  718798 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718873), // Rule ID 11627 //
     /*  718803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  718814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  718817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  718820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  718852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718871 */     GIR_RootConstrainSelectedInstOperands,
     /*  718872 */     // GIR_Coverage, 11627,
     /*  718872 */     GIR_EraseRootFromParent_Done,
     /*  718873 */   // Label 11310: @718873
     /*  718873 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(718948), // Rule ID 11628 //
     /*  718878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  718889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  718892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  718895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  718927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718946 */     GIR_RootConstrainSelectedInstOperands,
     /*  718947 */     // GIR_Coverage, 11628,
     /*  718947 */     GIR_EraseRootFromParent_Done,
     /*  718948 */   // Label 11311: @718948
     /*  718948 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(719023), // Rule ID 11631 //
     /*  718953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  718964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  718967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  718970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  719002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719021 */     GIR_RootConstrainSelectedInstOperands,
     /*  719022 */     // GIR_Coverage, 11631,
     /*  719022 */     GIR_EraseRootFromParent_Done,
     /*  719023 */   // Label 11312: @719023
     /*  719023 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(719098), // Rule ID 11632 //
     /*  719028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  719039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  719042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  719045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  719077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719096 */     GIR_RootConstrainSelectedInstOperands,
     /*  719097 */     // GIR_Coverage, 11632,
     /*  719097 */     GIR_EraseRootFromParent_Done,
     /*  719098 */   // Label 11313: @719098
     /*  719098 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(719173), // Rule ID 11635 //
     /*  719103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719149 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719171 */     GIR_RootConstrainSelectedInstOperands,
     /*  719172 */     // GIR_Coverage, 11635,
     /*  719172 */     GIR_EraseRootFromParent_Done,
     /*  719173 */   // Label 11314: @719173
     /*  719173 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(719248), // Rule ID 11636 //
     /*  719178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719246 */     GIR_RootConstrainSelectedInstOperands,
     /*  719247 */     // GIR_Coverage, 11636,
     /*  719247 */     GIR_EraseRootFromParent_Done,
     /*  719248 */   // Label 11315: @719248
     /*  719248 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719323), // Rule ID 11639 //
     /*  719253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719321 */     GIR_RootConstrainSelectedInstOperands,
     /*  719322 */     // GIR_Coverage, 11639,
     /*  719322 */     GIR_EraseRootFromParent_Done,
     /*  719323 */   // Label 11316: @719323
     /*  719323 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719398), // Rule ID 11640 //
     /*  719328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719396 */     GIR_RootConstrainSelectedInstOperands,
     /*  719397 */     // GIR_Coverage, 11640,
     /*  719397 */     GIR_EraseRootFromParent_Done,
     /*  719398 */   // Label 11317: @719398
     /*  719398 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(719473), // Rule ID 11643 //
     /*  719403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719449 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719471 */     GIR_RootConstrainSelectedInstOperands,
     /*  719472 */     // GIR_Coverage, 11643,
     /*  719472 */     GIR_EraseRootFromParent_Done,
     /*  719473 */   // Label 11318: @719473
     /*  719473 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(719548), // Rule ID 11644 //
     /*  719478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719546 */     GIR_RootConstrainSelectedInstOperands,
     /*  719547 */     // GIR_Coverage, 11644,
     /*  719547 */     GIR_EraseRootFromParent_Done,
     /*  719548 */   // Label 11319: @719548
     /*  719548 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(719623), // Rule ID 11647 //
     /*  719553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  719564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  719567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719599 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  719602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719621 */     GIR_RootConstrainSelectedInstOperands,
     /*  719622 */     // GIR_Coverage, 11647,
     /*  719622 */     GIR_EraseRootFromParent_Done,
     /*  719623 */   // Label 11320: @719623
     /*  719623 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(719698), // Rule ID 11648 //
     /*  719628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  719639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  719642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  719677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719696 */     GIR_RootConstrainSelectedInstOperands,
     /*  719697 */     // GIR_Coverage, 11648,
     /*  719697 */     GIR_EraseRootFromParent_Done,
     /*  719698 */   // Label 11321: @719698
     /*  719698 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719773), // Rule ID 11651 //
     /*  719703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  719720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  719752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719771 */     GIR_RootConstrainSelectedInstOperands,
     /*  719772 */     // GIR_Coverage, 11651,
     /*  719772 */     GIR_EraseRootFromParent_Done,
     /*  719773 */   // Label 11322: @719773
     /*  719773 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719848), // Rule ID 11652 //
     /*  719778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  719795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  719827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719846 */     GIR_RootConstrainSelectedInstOperands,
     /*  719847 */     // GIR_Coverage, 11652,
     /*  719847 */     GIR_EraseRootFromParent_Done,
     /*  719848 */   // Label 11323: @719848
     /*  719848 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(719923), // Rule ID 11655 //
     /*  719853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  719870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  719902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719921 */     GIR_RootConstrainSelectedInstOperands,
     /*  719922 */     // GIR_Coverage, 11655,
     /*  719922 */     GIR_EraseRootFromParent_Done,
     /*  719923 */   // Label 11324: @719923
     /*  719923 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(719998), // Rule ID 11656 //
     /*  719928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  719945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  719977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719996 */     GIR_RootConstrainSelectedInstOperands,
     /*  719997 */     // GIR_Coverage, 11656,
     /*  719997 */     GIR_EraseRootFromParent_Done,
     /*  719998 */   // Label 11325: @719998
     /*  719998 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(720073), // Rule ID 11659 //
     /*  720003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720071 */     GIR_RootConstrainSelectedInstOperands,
     /*  720072 */     // GIR_Coverage, 11659,
     /*  720072 */     GIR_EraseRootFromParent_Done,
     /*  720073 */   // Label 11326: @720073
     /*  720073 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(720148), // Rule ID 11660 //
     /*  720078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720146 */     GIR_RootConstrainSelectedInstOperands,
     /*  720147 */     // GIR_Coverage, 11660,
     /*  720147 */     GIR_EraseRootFromParent_Done,
     /*  720148 */   // Label 11327: @720148
     /*  720148 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(720223), // Rule ID 11663 //
     /*  720153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720221 */     GIR_RootConstrainSelectedInstOperands,
     /*  720222 */     // GIR_Coverage, 11663,
     /*  720222 */     GIR_EraseRootFromParent_Done,
     /*  720223 */   // Label 11328: @720223
     /*  720223 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720298), // Rule ID 11664 //
     /*  720228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720296 */     GIR_RootConstrainSelectedInstOperands,
     /*  720297 */     // GIR_Coverage, 11664,
     /*  720297 */     GIR_EraseRootFromParent_Done,
     /*  720298 */   // Label 11329: @720298
     /*  720298 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720373), // Rule ID 11667 //
     /*  720303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720349 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720371 */     GIR_RootConstrainSelectedInstOperands,
     /*  720372 */     // GIR_Coverage, 11667,
     /*  720372 */     GIR_EraseRootFromParent_Done,
     /*  720373 */   // Label 11330: @720373
     /*  720373 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(720448), // Rule ID 11668 //
     /*  720378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720446 */     GIR_RootConstrainSelectedInstOperands,
     /*  720447 */     // GIR_Coverage, 11668,
     /*  720447 */     GIR_EraseRootFromParent_Done,
     /*  720448 */   // Label 11331: @720448
     /*  720448 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(720523), // Rule ID 11671 //
     /*  720453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720499 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720521 */     GIR_RootConstrainSelectedInstOperands,
     /*  720522 */     // GIR_Coverage, 11671,
     /*  720522 */     GIR_EraseRootFromParent_Done,
     /*  720523 */   // Label 11332: @720523
     /*  720523 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720598), // Rule ID 11672 //
     /*  720528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720596 */     GIR_RootConstrainSelectedInstOperands,
     /*  720597 */     // GIR_Coverage, 11672,
     /*  720597 */     GIR_EraseRootFromParent_Done,
     /*  720598 */   // Label 11333: @720598
     /*  720598 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(720673), // Rule ID 11675 //
     /*  720603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  720614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  720617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  720620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720649 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  720652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720671 */     GIR_RootConstrainSelectedInstOperands,
     /*  720672 */     // GIR_Coverage, 11675,
     /*  720672 */     GIR_EraseRootFromParent_Done,
     /*  720673 */   // Label 11334: @720673
     /*  720673 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720748), // Rule ID 11676 //
     /*  720678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  720689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  720692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  720695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  720727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720746 */     GIR_RootConstrainSelectedInstOperands,
     /*  720747 */     // GIR_Coverage, 11676,
     /*  720747 */     GIR_EraseRootFromParent_Done,
     /*  720748 */   // Label 11335: @720748
     /*  720748 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720823), // Rule ID 11679 //
     /*  720753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  720764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  720767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  720770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  720802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720821 */     GIR_RootConstrainSelectedInstOperands,
     /*  720822 */     // GIR_Coverage, 11679,
     /*  720822 */     GIR_EraseRootFromParent_Done,
     /*  720823 */   // Label 11336: @720823
     /*  720823 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720898), // Rule ID 11680 //
     /*  720828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  720839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  720842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  720845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  720877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720896 */     GIR_RootConstrainSelectedInstOperands,
     /*  720897 */     // GIR_Coverage, 11680,
     /*  720897 */     GIR_EraseRootFromParent_Done,
     /*  720898 */   // Label 11337: @720898
     /*  720898 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(720973), // Rule ID 11683 //
     /*  720903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  720914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  720917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  720920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720949 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  720952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720971 */     GIR_RootConstrainSelectedInstOperands,
     /*  720972 */     // GIR_Coverage, 11683,
     /*  720972 */     GIR_EraseRootFromParent_Done,
     /*  720973 */   // Label 11338: @720973
     /*  720973 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(721048), // Rule ID 11684 //
     /*  720978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  720989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  720992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  720995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  721027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721046 */     GIR_RootConstrainSelectedInstOperands,
     /*  721047 */     // GIR_Coverage, 11684,
     /*  721047 */     GIR_EraseRootFromParent_Done,
     /*  721048 */   // Label 11339: @721048
     /*  721048 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(721123), // Rule ID 11687 //
     /*  721053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721121 */     GIR_RootConstrainSelectedInstOperands,
     /*  721122 */     // GIR_Coverage, 11687,
     /*  721122 */     GIR_EraseRootFromParent_Done,
     /*  721123 */   // Label 11340: @721123
     /*  721123 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(721198), // Rule ID 11688 //
     /*  721128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721196 */     GIR_RootConstrainSelectedInstOperands,
     /*  721197 */     // GIR_Coverage, 11688,
     /*  721197 */     GIR_EraseRootFromParent_Done,
     /*  721198 */   // Label 11341: @721198
     /*  721198 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(721273), // Rule ID 11691 //
     /*  721203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721271 */     GIR_RootConstrainSelectedInstOperands,
     /*  721272 */     // GIR_Coverage, 11691,
     /*  721272 */     GIR_EraseRootFromParent_Done,
     /*  721273 */   // Label 11342: @721273
     /*  721273 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721348), // Rule ID 11692 //
     /*  721278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721346 */     GIR_RootConstrainSelectedInstOperands,
     /*  721347 */     // GIR_Coverage, 11692,
     /*  721347 */     GIR_EraseRootFromParent_Done,
     /*  721348 */   // Label 11343: @721348
     /*  721348 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721423), // Rule ID 11695 //
     /*  721353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721421 */     GIR_RootConstrainSelectedInstOperands,
     /*  721422 */     // GIR_Coverage, 11695,
     /*  721422 */     GIR_EraseRootFromParent_Done,
     /*  721423 */   // Label 11344: @721423
     /*  721423 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(721498), // Rule ID 11696 //
     /*  721428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721496 */     GIR_RootConstrainSelectedInstOperands,
     /*  721497 */     // GIR_Coverage, 11696,
     /*  721497 */     GIR_EraseRootFromParent_Done,
     /*  721498 */   // Label 11345: @721498
     /*  721498 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721573), // Rule ID 11699 //
     /*  721503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  721552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721571 */     GIR_RootConstrainSelectedInstOperands,
     /*  721572 */     // GIR_Coverage, 11699,
     /*  721572 */     GIR_EraseRootFromParent_Done,
     /*  721573 */   // Label 11346: @721573
     /*  721573 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(721648), // Rule ID 11700 //
     /*  721578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  721627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721646 */     GIR_RootConstrainSelectedInstOperands,
     /*  721647 */     // GIR_Coverage, 11700,
     /*  721647 */     GIR_EraseRootFromParent_Done,
     /*  721648 */   // Label 11347: @721648
     /*  721648 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721723), // Rule ID 11703 //
     /*  721653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  721664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  721667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  721670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  721702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721721 */     GIR_RootConstrainSelectedInstOperands,
     /*  721722 */     // GIR_Coverage, 11703,
     /*  721722 */     GIR_EraseRootFromParent_Done,
     /*  721723 */   // Label 11348: @721723
     /*  721723 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721798), // Rule ID 11704 //
     /*  721728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  721739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  721742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  721745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  721777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721796 */     GIR_RootConstrainSelectedInstOperands,
     /*  721797 */     // GIR_Coverage, 11704,
     /*  721797 */     GIR_EraseRootFromParent_Done,
     /*  721798 */   // Label 11349: @721798
     /*  721798 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721873), // Rule ID 11707 //
     /*  721803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  721814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  721817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  721820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  721852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721871 */     GIR_RootConstrainSelectedInstOperands,
     /*  721872 */     // GIR_Coverage, 11707,
     /*  721872 */     GIR_EraseRootFromParent_Done,
     /*  721873 */   // Label 11350: @721873
     /*  721873 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(721948), // Rule ID 11708 //
     /*  721878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  721889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  721892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  721895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  721927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721946 */     GIR_RootConstrainSelectedInstOperands,
     /*  721947 */     // GIR_Coverage, 11708,
     /*  721947 */     GIR_EraseRootFromParent_Done,
     /*  721948 */   // Label 11351: @721948
     /*  721948 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(722023), // Rule ID 11711 //
     /*  721953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  721964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  721967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  721970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  722002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722021 */     GIR_RootConstrainSelectedInstOperands,
     /*  722022 */     // GIR_Coverage, 11711,
     /*  722022 */     GIR_EraseRootFromParent_Done,
     /*  722023 */   // Label 11352: @722023
     /*  722023 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(722098), // Rule ID 11712 //
     /*  722028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  722039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  722042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  722045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  722077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722096 */     GIR_RootConstrainSelectedInstOperands,
     /*  722097 */     // GIR_Coverage, 11712,
     /*  722097 */     GIR_EraseRootFromParent_Done,
     /*  722098 */   // Label 11353: @722098
     /*  722098 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(722173), // Rule ID 11715 //
     /*  722103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722171 */     GIR_RootConstrainSelectedInstOperands,
     /*  722172 */     // GIR_Coverage, 11715,
     /*  722172 */     GIR_EraseRootFromParent_Done,
     /*  722173 */   // Label 11354: @722173
     /*  722173 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(722248), // Rule ID 11716 //
     /*  722178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722246 */     GIR_RootConstrainSelectedInstOperands,
     /*  722247 */     // GIR_Coverage, 11716,
     /*  722247 */     GIR_EraseRootFromParent_Done,
     /*  722248 */   // Label 11355: @722248
     /*  722248 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722323), // Rule ID 11719 //
     /*  722253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722299 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722321 */     GIR_RootConstrainSelectedInstOperands,
     /*  722322 */     // GIR_Coverage, 11719,
     /*  722322 */     GIR_EraseRootFromParent_Done,
     /*  722323 */   // Label 11356: @722323
     /*  722323 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722398), // Rule ID 11720 //
     /*  722328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722396 */     GIR_RootConstrainSelectedInstOperands,
     /*  722397 */     // GIR_Coverage, 11720,
     /*  722397 */     GIR_EraseRootFromParent_Done,
     /*  722398 */   // Label 11357: @722398
     /*  722398 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(722473), // Rule ID 11723 //
     /*  722403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722471 */     GIR_RootConstrainSelectedInstOperands,
     /*  722472 */     // GIR_Coverage, 11723,
     /*  722472 */     GIR_EraseRootFromParent_Done,
     /*  722473 */   // Label 11358: @722473
     /*  722473 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(722548), // Rule ID 11724 //
     /*  722478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722546 */     GIR_RootConstrainSelectedInstOperands,
     /*  722547 */     // GIR_Coverage, 11724,
     /*  722547 */     GIR_EraseRootFromParent_Done,
     /*  722548 */   // Label 11359: @722548
     /*  722548 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(722623), // Rule ID 11727 //
     /*  722553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  722564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  722567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  722573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722599 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  722602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722621 */     GIR_RootConstrainSelectedInstOperands,
     /*  722622 */     // GIR_Coverage, 11727,
     /*  722622 */     GIR_EraseRootFromParent_Done,
     /*  722623 */   // Label 11360: @722623
     /*  722623 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(722698), // Rule ID 11728 //
     /*  722628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  722639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  722642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  722648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  722677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722696 */     GIR_RootConstrainSelectedInstOperands,
     /*  722697 */     // GIR_Coverage, 11728,
     /*  722697 */     GIR_EraseRootFromParent_Done,
     /*  722698 */   // Label 11361: @722698
     /*  722698 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722773), // Rule ID 11731 //
     /*  722703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  722714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  722717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  722720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  722723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  722752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722771 */     GIR_RootConstrainSelectedInstOperands,
     /*  722772 */     // GIR_Coverage, 11731,
     /*  722772 */     GIR_EraseRootFromParent_Done,
     /*  722773 */   // Label 11362: @722773
     /*  722773 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722848), // Rule ID 11732 //
     /*  722778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  722789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  722792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  722795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  722798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  722827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722846 */     GIR_RootConstrainSelectedInstOperands,
     /*  722847 */     // GIR_Coverage, 11732,
     /*  722847 */     GIR_EraseRootFromParent_Done,
     /*  722848 */   // Label 11363: @722848
     /*  722848 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(722923), // Rule ID 11735 //
     /*  722853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  722864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  722867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  722870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  722873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  722902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722921 */     GIR_RootConstrainSelectedInstOperands,
     /*  722922 */     // GIR_Coverage, 11735,
     /*  722922 */     GIR_EraseRootFromParent_Done,
     /*  722923 */   // Label 11364: @722923
     /*  722923 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(722998), // Rule ID 11736 //
     /*  722928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  722939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  722942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  722945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  722948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  722977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722996 */     GIR_RootConstrainSelectedInstOperands,
     /*  722997 */     // GIR_Coverage, 11736,
     /*  722997 */     GIR_EraseRootFromParent_Done,
     /*  722998 */   // Label 11365: @722998
     /*  722998 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(723073), // Rule ID 11739 //
     /*  723003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723049 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723071 */     GIR_RootConstrainSelectedInstOperands,
     /*  723072 */     // GIR_Coverage, 11739,
     /*  723072 */     GIR_EraseRootFromParent_Done,
     /*  723073 */   // Label 11366: @723073
     /*  723073 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(723148), // Rule ID 11740 //
     /*  723078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723146 */     GIR_RootConstrainSelectedInstOperands,
     /*  723147 */     // GIR_Coverage, 11740,
     /*  723147 */     GIR_EraseRootFromParent_Done,
     /*  723148 */   // Label 11367: @723148
     /*  723148 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(723223), // Rule ID 11743 //
     /*  723153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723221 */     GIR_RootConstrainSelectedInstOperands,
     /*  723222 */     // GIR_Coverage, 11743,
     /*  723222 */     GIR_EraseRootFromParent_Done,
     /*  723223 */   // Label 11368: @723223
     /*  723223 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723298), // Rule ID 11744 //
     /*  723228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723296 */     GIR_RootConstrainSelectedInstOperands,
     /*  723297 */     // GIR_Coverage, 11744,
     /*  723297 */     GIR_EraseRootFromParent_Done,
     /*  723298 */   // Label 11369: @723298
     /*  723298 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723373), // Rule ID 11747 //
     /*  723303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723371 */     GIR_RootConstrainSelectedInstOperands,
     /*  723372 */     // GIR_Coverage, 11747,
     /*  723372 */     GIR_EraseRootFromParent_Done,
     /*  723373 */   // Label 11370: @723373
     /*  723373 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(723448), // Rule ID 11748 //
     /*  723378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723446 */     GIR_RootConstrainSelectedInstOperands,
     /*  723447 */     // GIR_Coverage, 11748,
     /*  723447 */     GIR_EraseRootFromParent_Done,
     /*  723448 */   // Label 11371: @723448
     /*  723448 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(723523), // Rule ID 11751 //
     /*  723453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723521 */     GIR_RootConstrainSelectedInstOperands,
     /*  723522 */     // GIR_Coverage, 11751,
     /*  723522 */     GIR_EraseRootFromParent_Done,
     /*  723523 */   // Label 11372: @723523
     /*  723523 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723598), // Rule ID 11752 //
     /*  723528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723596 */     GIR_RootConstrainSelectedInstOperands,
     /*  723597 */     // GIR_Coverage, 11752,
     /*  723597 */     GIR_EraseRootFromParent_Done,
     /*  723598 */   // Label 11373: @723598
     /*  723598 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(723673), // Rule ID 11755 //
     /*  723603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  723614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  723617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  723620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  723623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723649 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  723652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723671 */     GIR_RootConstrainSelectedInstOperands,
     /*  723672 */     // GIR_Coverage, 11755,
     /*  723672 */     GIR_EraseRootFromParent_Done,
     /*  723673 */   // Label 11374: @723673
     /*  723673 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723748), // Rule ID 11756 //
     /*  723678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  723689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  723692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  723695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  723698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  723727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723746 */     GIR_RootConstrainSelectedInstOperands,
     /*  723747 */     // GIR_Coverage, 11756,
     /*  723747 */     GIR_EraseRootFromParent_Done,
     /*  723748 */   // Label 11375: @723748
     /*  723748 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723823), // Rule ID 11759 //
     /*  723753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  723764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  723767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  723770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  723773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723799 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  723802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723821 */     GIR_RootConstrainSelectedInstOperands,
     /*  723822 */     // GIR_Coverage, 11759,
     /*  723822 */     GIR_EraseRootFromParent_Done,
     /*  723823 */   // Label 11376: @723823
     /*  723823 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723898), // Rule ID 11760 //
     /*  723828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  723839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  723842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  723845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  723848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  723877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723896 */     GIR_RootConstrainSelectedInstOperands,
     /*  723897 */     // GIR_Coverage, 11760,
     /*  723897 */     GIR_EraseRootFromParent_Done,
     /*  723898 */   // Label 11377: @723898
     /*  723898 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(723973), // Rule ID 11763 //
     /*  723903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  723914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  723917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  723920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  723923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  723952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723971 */     GIR_RootConstrainSelectedInstOperands,
     /*  723972 */     // GIR_Coverage, 11763,
     /*  723972 */     GIR_EraseRootFromParent_Done,
     /*  723973 */   // Label 11378: @723973
     /*  723973 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(724048), // Rule ID 11764 //
     /*  723978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  723989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  723992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  723995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  723998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  724027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724046 */     GIR_RootConstrainSelectedInstOperands,
     /*  724047 */     // GIR_Coverage, 11764,
     /*  724047 */     GIR_EraseRootFromParent_Done,
     /*  724048 */   // Label 11379: @724048
     /*  724048 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(724123), // Rule ID 11767 //
     /*  724053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724121 */     GIR_RootConstrainSelectedInstOperands,
     /*  724122 */     // GIR_Coverage, 11767,
     /*  724122 */     GIR_EraseRootFromParent_Done,
     /*  724123 */   // Label 11380: @724123
     /*  724123 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(724198), // Rule ID 11768 //
     /*  724128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724196 */     GIR_RootConstrainSelectedInstOperands,
     /*  724197 */     // GIR_Coverage, 11768,
     /*  724197 */     GIR_EraseRootFromParent_Done,
     /*  724198 */   // Label 11381: @724198
     /*  724198 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(724273), // Rule ID 11771 //
     /*  724203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724271 */     GIR_RootConstrainSelectedInstOperands,
     /*  724272 */     // GIR_Coverage, 11771,
     /*  724272 */     GIR_EraseRootFromParent_Done,
     /*  724273 */   // Label 11382: @724273
     /*  724273 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724348), // Rule ID 11772 //
     /*  724278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724346 */     GIR_RootConstrainSelectedInstOperands,
     /*  724347 */     // GIR_Coverage, 11772,
     /*  724347 */     GIR_EraseRootFromParent_Done,
     /*  724348 */   // Label 11383: @724348
     /*  724348 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724423), // Rule ID 11775 //
     /*  724353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724421 */     GIR_RootConstrainSelectedInstOperands,
     /*  724422 */     // GIR_Coverage, 11775,
     /*  724422 */     GIR_EraseRootFromParent_Done,
     /*  724423 */   // Label 11384: @724423
     /*  724423 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(724498), // Rule ID 11776 //
     /*  724428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724496 */     GIR_RootConstrainSelectedInstOperands,
     /*  724497 */     // GIR_Coverage, 11776,
     /*  724497 */     GIR_EraseRootFromParent_Done,
     /*  724498 */   // Label 11385: @724498
     /*  724498 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724573), // Rule ID 11779 //
     /*  724503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  724552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724571 */     GIR_RootConstrainSelectedInstOperands,
     /*  724572 */     // GIR_Coverage, 11779,
     /*  724572 */     GIR_EraseRootFromParent_Done,
     /*  724573 */   // Label 11386: @724573
     /*  724573 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(724648), // Rule ID 11780 //
     /*  724578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  724627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724646 */     GIR_RootConstrainSelectedInstOperands,
     /*  724647 */     // GIR_Coverage, 11780,
     /*  724647 */     GIR_EraseRootFromParent_Done,
     /*  724648 */   // Label 11387: @724648
     /*  724648 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724723), // Rule ID 11783 //
     /*  724653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  724664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  724667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  724670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  724673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  724702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724721 */     GIR_RootConstrainSelectedInstOperands,
     /*  724722 */     // GIR_Coverage, 11783,
     /*  724722 */     GIR_EraseRootFromParent_Done,
     /*  724723 */   // Label 11388: @724723
     /*  724723 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724798), // Rule ID 11784 //
     /*  724728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  724739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  724742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  724745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  724748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  724777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724796 */     GIR_RootConstrainSelectedInstOperands,
     /*  724797 */     // GIR_Coverage, 11784,
     /*  724797 */     GIR_EraseRootFromParent_Done,
     /*  724798 */   // Label 11389: @724798
     /*  724798 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724873), // Rule ID 11787 //
     /*  724803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  724814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  724817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  724820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  724823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  724852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724871 */     GIR_RootConstrainSelectedInstOperands,
     /*  724872 */     // GIR_Coverage, 11787,
     /*  724872 */     GIR_EraseRootFromParent_Done,
     /*  724873 */   // Label 11390: @724873
     /*  724873 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(724948), // Rule ID 11788 //
     /*  724878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  724889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  724892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  724895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  724898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  724927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724946 */     GIR_RootConstrainSelectedInstOperands,
     /*  724947 */     // GIR_Coverage, 11788,
     /*  724947 */     GIR_EraseRootFromParent_Done,
     /*  724948 */   // Label 11391: @724948
     /*  724948 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(725023), // Rule ID 11791 //
     /*  724953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  724964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  724967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  724970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  724973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  725002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725021 */     GIR_RootConstrainSelectedInstOperands,
     /*  725022 */     // GIR_Coverage, 11791,
     /*  725022 */     GIR_EraseRootFromParent_Done,
     /*  725023 */   // Label 11392: @725023
     /*  725023 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(725098), // Rule ID 11792 //
     /*  725028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  725039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  725042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  725045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  725048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  725077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725096 */     GIR_RootConstrainSelectedInstOperands,
     /*  725097 */     // GIR_Coverage, 11792,
     /*  725097 */     GIR_EraseRootFromParent_Done,
     /*  725098 */   // Label 11393: @725098
     /*  725098 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(725173), // Rule ID 11795 //
     /*  725103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725171 */     GIR_RootConstrainSelectedInstOperands,
     /*  725172 */     // GIR_Coverage, 11795,
     /*  725172 */     GIR_EraseRootFromParent_Done,
     /*  725173 */   // Label 11394: @725173
     /*  725173 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(725248), // Rule ID 11796 //
     /*  725178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725246 */     GIR_RootConstrainSelectedInstOperands,
     /*  725247 */     // GIR_Coverage, 11796,
     /*  725247 */     GIR_EraseRootFromParent_Done,
     /*  725248 */   // Label 11395: @725248
     /*  725248 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725323), // Rule ID 11799 //
     /*  725253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725321 */     GIR_RootConstrainSelectedInstOperands,
     /*  725322 */     // GIR_Coverage, 11799,
     /*  725322 */     GIR_EraseRootFromParent_Done,
     /*  725323 */   // Label 11396: @725323
     /*  725323 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725398), // Rule ID 11800 //
     /*  725328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725396 */     GIR_RootConstrainSelectedInstOperands,
     /*  725397 */     // GIR_Coverage, 11800,
     /*  725397 */     GIR_EraseRootFromParent_Done,
     /*  725398 */   // Label 11397: @725398
     /*  725398 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(725473), // Rule ID 11803 //
     /*  725403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725471 */     GIR_RootConstrainSelectedInstOperands,
     /*  725472 */     // GIR_Coverage, 11803,
     /*  725472 */     GIR_EraseRootFromParent_Done,
     /*  725473 */   // Label 11398: @725473
     /*  725473 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(725548), // Rule ID 11804 //
     /*  725478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725546 */     GIR_RootConstrainSelectedInstOperands,
     /*  725547 */     // GIR_Coverage, 11804,
     /*  725547 */     GIR_EraseRootFromParent_Done,
     /*  725548 */   // Label 11399: @725548
     /*  725548 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(725623), // Rule ID 11807 //
     /*  725553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  725564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  725567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  725602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725621 */     GIR_RootConstrainSelectedInstOperands,
     /*  725622 */     // GIR_Coverage, 11807,
     /*  725622 */     GIR_EraseRootFromParent_Done,
     /*  725623 */   // Label 11400: @725623
     /*  725623 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(725698), // Rule ID 11808 //
     /*  725628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  725639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  725642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  725677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725696 */     GIR_RootConstrainSelectedInstOperands,
     /*  725697 */     // GIR_Coverage, 11808,
     /*  725697 */     GIR_EraseRootFromParent_Done,
     /*  725698 */   // Label 11401: @725698
     /*  725698 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725773), // Rule ID 11811 //
     /*  725703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  725714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  725717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  725720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  725752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725771 */     GIR_RootConstrainSelectedInstOperands,
     /*  725772 */     // GIR_Coverage, 11811,
     /*  725772 */     GIR_EraseRootFromParent_Done,
     /*  725773 */   // Label 11402: @725773
     /*  725773 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725848), // Rule ID 11812 //
     /*  725778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  725789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  725792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  725795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  725827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725846 */     GIR_RootConstrainSelectedInstOperands,
     /*  725847 */     // GIR_Coverage, 11812,
     /*  725847 */     GIR_EraseRootFromParent_Done,
     /*  725848 */   // Label 11403: @725848
     /*  725848 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(725923), // Rule ID 11815 //
     /*  725853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  725864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  725867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  725870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  725902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725921 */     GIR_RootConstrainSelectedInstOperands,
     /*  725922 */     // GIR_Coverage, 11815,
     /*  725922 */     GIR_EraseRootFromParent_Done,
     /*  725923 */   // Label 11404: @725923
     /*  725923 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(725998), // Rule ID 11816 //
     /*  725928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  725939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  725942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  725945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  725977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725996 */     GIR_RootConstrainSelectedInstOperands,
     /*  725997 */     // GIR_Coverage, 11816,
     /*  725997 */     GIR_EraseRootFromParent_Done,
     /*  725998 */   // Label 11405: @725998
     /*  725998 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(726073), // Rule ID 11819 //
     /*  726003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726071 */     GIR_RootConstrainSelectedInstOperands,
     /*  726072 */     // GIR_Coverage, 11819,
     /*  726072 */     GIR_EraseRootFromParent_Done,
     /*  726073 */   // Label 11406: @726073
     /*  726073 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(726148), // Rule ID 11820 //
     /*  726078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726146 */     GIR_RootConstrainSelectedInstOperands,
     /*  726147 */     // GIR_Coverage, 11820,
     /*  726147 */     GIR_EraseRootFromParent_Done,
     /*  726148 */   // Label 11407: @726148
     /*  726148 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(726223), // Rule ID 11823 //
     /*  726153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726221 */     GIR_RootConstrainSelectedInstOperands,
     /*  726222 */     // GIR_Coverage, 11823,
     /*  726222 */     GIR_EraseRootFromParent_Done,
     /*  726223 */   // Label 11408: @726223
     /*  726223 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726298), // Rule ID 11824 //
     /*  726228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726296 */     GIR_RootConstrainSelectedInstOperands,
     /*  726297 */     // GIR_Coverage, 11824,
     /*  726297 */     GIR_EraseRootFromParent_Done,
     /*  726298 */   // Label 11409: @726298
     /*  726298 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726373), // Rule ID 11827 //
     /*  726303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726349 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726371 */     GIR_RootConstrainSelectedInstOperands,
     /*  726372 */     // GIR_Coverage, 11827,
     /*  726372 */     GIR_EraseRootFromParent_Done,
     /*  726373 */   // Label 11410: @726373
     /*  726373 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(726448), // Rule ID 11828 //
     /*  726378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726446 */     GIR_RootConstrainSelectedInstOperands,
     /*  726447 */     // GIR_Coverage, 11828,
     /*  726447 */     GIR_EraseRootFromParent_Done,
     /*  726448 */   // Label 11411: @726448
     /*  726448 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(726523), // Rule ID 11831 //
     /*  726453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726521 */     GIR_RootConstrainSelectedInstOperands,
     /*  726522 */     // GIR_Coverage, 11831,
     /*  726522 */     GIR_EraseRootFromParent_Done,
     /*  726523 */   // Label 11412: @726523
     /*  726523 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726598), // Rule ID 11832 //
     /*  726528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726596 */     GIR_RootConstrainSelectedInstOperands,
     /*  726597 */     // GIR_Coverage, 11832,
     /*  726597 */     GIR_EraseRootFromParent_Done,
     /*  726598 */   // Label 11413: @726598
     /*  726598 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(726673), // Rule ID 11835 //
     /*  726603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  726620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  726652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726671 */     GIR_RootConstrainSelectedInstOperands,
     /*  726672 */     // GIR_Coverage, 11835,
     /*  726672 */     GIR_EraseRootFromParent_Done,
     /*  726673 */   // Label 11414: @726673
     /*  726673 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726748), // Rule ID 11836 //
     /*  726678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  726695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  726727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726746 */     GIR_RootConstrainSelectedInstOperands,
     /*  726747 */     // GIR_Coverage, 11836,
     /*  726747 */     GIR_EraseRootFromParent_Done,
     /*  726748 */   // Label 11415: @726748
     /*  726748 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726823), // Rule ID 11839 //
     /*  726753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  726770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  726802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726821 */     GIR_RootConstrainSelectedInstOperands,
     /*  726822 */     // GIR_Coverage, 11839,
     /*  726822 */     GIR_EraseRootFromParent_Done,
     /*  726823 */   // Label 11416: @726823
     /*  726823 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726898), // Rule ID 11840 //
     /*  726828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  726845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  726877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726896 */     GIR_RootConstrainSelectedInstOperands,
     /*  726897 */     // GIR_Coverage, 11840,
     /*  726897 */     GIR_EraseRootFromParent_Done,
     /*  726898 */   // Label 11417: @726898
     /*  726898 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(726973), // Rule ID 11843 //
     /*  726903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  726914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  726917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  726920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  726952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726971 */     GIR_RootConstrainSelectedInstOperands,
     /*  726972 */     // GIR_Coverage, 11843,
     /*  726972 */     GIR_EraseRootFromParent_Done,
     /*  726973 */   // Label 11418: @726973
     /*  726973 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(727048), // Rule ID 11844 //
     /*  726978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  726989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  726992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  726995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  727027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727046 */     GIR_RootConstrainSelectedInstOperands,
     /*  727047 */     // GIR_Coverage, 11844,
     /*  727047 */     GIR_EraseRootFromParent_Done,
     /*  727048 */   // Label 11419: @727048
     /*  727048 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(727123), // Rule ID 11847 //
     /*  727053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727121 */     GIR_RootConstrainSelectedInstOperands,
     /*  727122 */     // GIR_Coverage, 11847,
     /*  727122 */     GIR_EraseRootFromParent_Done,
     /*  727123 */   // Label 11420: @727123
     /*  727123 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(727198), // Rule ID 11848 //
     /*  727128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727196 */     GIR_RootConstrainSelectedInstOperands,
     /*  727197 */     // GIR_Coverage, 11848,
     /*  727197 */     GIR_EraseRootFromParent_Done,
     /*  727198 */   // Label 11421: @727198
     /*  727198 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(727273), // Rule ID 11851 //
     /*  727203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727271 */     GIR_RootConstrainSelectedInstOperands,
     /*  727272 */     // GIR_Coverage, 11851,
     /*  727272 */     GIR_EraseRootFromParent_Done,
     /*  727273 */   // Label 11422: @727273
     /*  727273 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727348), // Rule ID 11852 //
     /*  727278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727346 */     GIR_RootConstrainSelectedInstOperands,
     /*  727347 */     // GIR_Coverage, 11852,
     /*  727347 */     GIR_EraseRootFromParent_Done,
     /*  727348 */   // Label 11423: @727348
     /*  727348 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727423), // Rule ID 11855 //
     /*  727353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727421 */     GIR_RootConstrainSelectedInstOperands,
     /*  727422 */     // GIR_Coverage, 11855,
     /*  727422 */     GIR_EraseRootFromParent_Done,
     /*  727423 */   // Label 11424: @727423
     /*  727423 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(727498), // Rule ID 11856 //
     /*  727428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727496 */     GIR_RootConstrainSelectedInstOperands,
     /*  727497 */     // GIR_Coverage, 11856,
     /*  727497 */     GIR_EraseRootFromParent_Done,
     /*  727498 */   // Label 11425: @727498
     /*  727498 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727573), // Rule ID 11859 //
     /*  727503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  727552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727571 */     GIR_RootConstrainSelectedInstOperands,
     /*  727572 */     // GIR_Coverage, 11859,
     /*  727572 */     GIR_EraseRootFromParent_Done,
     /*  727573 */   // Label 11426: @727573
     /*  727573 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(727648), // Rule ID 11860 //
     /*  727578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  727627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727646 */     GIR_RootConstrainSelectedInstOperands,
     /*  727647 */     // GIR_Coverage, 11860,
     /*  727647 */     GIR_EraseRootFromParent_Done,
     /*  727648 */   // Label 11427: @727648
     /*  727648 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727723), // Rule ID 11863 //
     /*  727653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  727664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  727667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  727670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  727702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727721 */     GIR_RootConstrainSelectedInstOperands,
     /*  727722 */     // GIR_Coverage, 11863,
     /*  727722 */     GIR_EraseRootFromParent_Done,
     /*  727723 */   // Label 11428: @727723
     /*  727723 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727798), // Rule ID 11864 //
     /*  727728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  727739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  727742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  727745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  727777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727796 */     GIR_RootConstrainSelectedInstOperands,
     /*  727797 */     // GIR_Coverage, 11864,
     /*  727797 */     GIR_EraseRootFromParent_Done,
     /*  727798 */   // Label 11429: @727798
     /*  727798 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727873), // Rule ID 11867 //
     /*  727803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  727814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  727817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  727820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  727852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727871 */     GIR_RootConstrainSelectedInstOperands,
     /*  727872 */     // GIR_Coverage, 11867,
     /*  727872 */     GIR_EraseRootFromParent_Done,
     /*  727873 */   // Label 11430: @727873
     /*  727873 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(727948), // Rule ID 11868 //
     /*  727878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  727889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  727892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  727895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  727927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727946 */     GIR_RootConstrainSelectedInstOperands,
     /*  727947 */     // GIR_Coverage, 11868,
     /*  727947 */     GIR_EraseRootFromParent_Done,
     /*  727948 */   // Label 11431: @727948
     /*  727948 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(728023), // Rule ID 11871 //
     /*  727953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  727964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  727967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  727970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  728002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728021 */     GIR_RootConstrainSelectedInstOperands,
     /*  728022 */     // GIR_Coverage, 11871,
     /*  728022 */     GIR_EraseRootFromParent_Done,
     /*  728023 */   // Label 11432: @728023
     /*  728023 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(728098), // Rule ID 11872 //
     /*  728028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  728039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  728042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  728045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  728077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728096 */     GIR_RootConstrainSelectedInstOperands,
     /*  728097 */     // GIR_Coverage, 11872,
     /*  728097 */     GIR_EraseRootFromParent_Done,
     /*  728098 */   // Label 11433: @728098
     /*  728098 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(728173), // Rule ID 11875 //
     /*  728103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728171 */     GIR_RootConstrainSelectedInstOperands,
     /*  728172 */     // GIR_Coverage, 11875,
     /*  728172 */     GIR_EraseRootFromParent_Done,
     /*  728173 */   // Label 11434: @728173
     /*  728173 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(728248), // Rule ID 11876 //
     /*  728178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728246 */     GIR_RootConstrainSelectedInstOperands,
     /*  728247 */     // GIR_Coverage, 11876,
     /*  728247 */     GIR_EraseRootFromParent_Done,
     /*  728248 */   // Label 11435: @728248
     /*  728248 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728323), // Rule ID 11879 //
     /*  728253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728321 */     GIR_RootConstrainSelectedInstOperands,
     /*  728322 */     // GIR_Coverage, 11879,
     /*  728322 */     GIR_EraseRootFromParent_Done,
     /*  728323 */   // Label 11436: @728323
     /*  728323 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728398), // Rule ID 11880 //
     /*  728328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728396 */     GIR_RootConstrainSelectedInstOperands,
     /*  728397 */     // GIR_Coverage, 11880,
     /*  728397 */     GIR_EraseRootFromParent_Done,
     /*  728398 */   // Label 11437: @728398
     /*  728398 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(728473), // Rule ID 11883 //
     /*  728403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728471 */     GIR_RootConstrainSelectedInstOperands,
     /*  728472 */     // GIR_Coverage, 11883,
     /*  728472 */     GIR_EraseRootFromParent_Done,
     /*  728473 */   // Label 11438: @728473
     /*  728473 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(728548), // Rule ID 11884 //
     /*  728478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728546 */     GIR_RootConstrainSelectedInstOperands,
     /*  728547 */     // GIR_Coverage, 11884,
     /*  728547 */     GIR_EraseRootFromParent_Done,
     /*  728548 */   // Label 11439: @728548
     /*  728548 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(728623), // Rule ID 11887 //
     /*  728553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  728564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  728567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  728602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728621 */     GIR_RootConstrainSelectedInstOperands,
     /*  728622 */     // GIR_Coverage, 11887,
     /*  728622 */     GIR_EraseRootFromParent_Done,
     /*  728623 */   // Label 11440: @728623
     /*  728623 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(728698), // Rule ID 11888 //
     /*  728628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  728639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  728642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  728677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728696 */     GIR_RootConstrainSelectedInstOperands,
     /*  728697 */     // GIR_Coverage, 11888,
     /*  728697 */     GIR_EraseRootFromParent_Done,
     /*  728698 */   // Label 11441: @728698
     /*  728698 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728773), // Rule ID 11891 //
     /*  728703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  728714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  728717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  728720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  728723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728749 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  728752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728771 */     GIR_RootConstrainSelectedInstOperands,
     /*  728772 */     // GIR_Coverage, 11891,
     /*  728772 */     GIR_EraseRootFromParent_Done,
     /*  728773 */   // Label 11442: @728773
     /*  728773 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728848), // Rule ID 11892 //
     /*  728778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  728789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  728792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  728795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  728798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  728827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728846 */     GIR_RootConstrainSelectedInstOperands,
     /*  728847 */     // GIR_Coverage, 11892,
     /*  728847 */     GIR_EraseRootFromParent_Done,
     /*  728848 */   // Label 11443: @728848
     /*  728848 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(728923), // Rule ID 11895 //
     /*  728853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  728864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  728867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  728870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  728873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  728902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728921 */     GIR_RootConstrainSelectedInstOperands,
     /*  728922 */     // GIR_Coverage, 11895,
     /*  728922 */     GIR_EraseRootFromParent_Done,
     /*  728923 */   // Label 11444: @728923
     /*  728923 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(728998), // Rule ID 11896 //
     /*  728928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  728939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  728942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  728945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  728948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  728977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728996 */     GIR_RootConstrainSelectedInstOperands,
     /*  728997 */     // GIR_Coverage, 11896,
     /*  728997 */     GIR_EraseRootFromParent_Done,
     /*  728998 */   // Label 11445: @728998
     /*  728998 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(729073), // Rule ID 11899 //
     /*  729003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729071 */     GIR_RootConstrainSelectedInstOperands,
     /*  729072 */     // GIR_Coverage, 11899,
     /*  729072 */     GIR_EraseRootFromParent_Done,
     /*  729073 */   // Label 11446: @729073
     /*  729073 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(729148), // Rule ID 11900 //
     /*  729078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729146 */     GIR_RootConstrainSelectedInstOperands,
     /*  729147 */     // GIR_Coverage, 11900,
     /*  729147 */     GIR_EraseRootFromParent_Done,
     /*  729148 */   // Label 11447: @729148
     /*  729148 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(729223), // Rule ID 11903 //
     /*  729153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729221 */     GIR_RootConstrainSelectedInstOperands,
     /*  729222 */     // GIR_Coverage, 11903,
     /*  729222 */     GIR_EraseRootFromParent_Done,
     /*  729223 */   // Label 11448: @729223
     /*  729223 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729298), // Rule ID 11904 //
     /*  729228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729296 */     GIR_RootConstrainSelectedInstOperands,
     /*  729297 */     // GIR_Coverage, 11904,
     /*  729297 */     GIR_EraseRootFromParent_Done,
     /*  729298 */   // Label 11449: @729298
     /*  729298 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729373), // Rule ID 11907 //
     /*  729303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729371 */     GIR_RootConstrainSelectedInstOperands,
     /*  729372 */     // GIR_Coverage, 11907,
     /*  729372 */     GIR_EraseRootFromParent_Done,
     /*  729373 */   // Label 11450: @729373
     /*  729373 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(729448), // Rule ID 11908 //
     /*  729378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729446 */     GIR_RootConstrainSelectedInstOperands,
     /*  729447 */     // GIR_Coverage, 11908,
     /*  729447 */     GIR_EraseRootFromParent_Done,
     /*  729448 */   // Label 11451: @729448
     /*  729448 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(729523), // Rule ID 11911 //
     /*  729453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729521 */     GIR_RootConstrainSelectedInstOperands,
     /*  729522 */     // GIR_Coverage, 11911,
     /*  729522 */     GIR_EraseRootFromParent_Done,
     /*  729523 */   // Label 11452: @729523
     /*  729523 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729598), // Rule ID 11912 //
     /*  729528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729596 */     GIR_RootConstrainSelectedInstOperands,
     /*  729597 */     // GIR_Coverage, 11912,
     /*  729597 */     GIR_EraseRootFromParent_Done,
     /*  729598 */   // Label 11453: @729598
     /*  729598 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(729673), // Rule ID 11915 //
     /*  729603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  729620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729649 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  729652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729671 */     GIR_RootConstrainSelectedInstOperands,
     /*  729672 */     // GIR_Coverage, 11915,
     /*  729672 */     GIR_EraseRootFromParent_Done,
     /*  729673 */   // Label 11454: @729673
     /*  729673 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729748), // Rule ID 11916 //
     /*  729678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  729695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  729727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729746 */     GIR_RootConstrainSelectedInstOperands,
     /*  729747 */     // GIR_Coverage, 11916,
     /*  729747 */     GIR_EraseRootFromParent_Done,
     /*  729748 */   // Label 11455: @729748
     /*  729748 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729823), // Rule ID 11919 //
     /*  729753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  729770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  729802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729821 */     GIR_RootConstrainSelectedInstOperands,
     /*  729822 */     // GIR_Coverage, 11919,
     /*  729822 */     GIR_EraseRootFromParent_Done,
     /*  729823 */   // Label 11456: @729823
     /*  729823 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729898), // Rule ID 11920 //
     /*  729828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  729845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  729877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729896 */     GIR_RootConstrainSelectedInstOperands,
     /*  729897 */     // GIR_Coverage, 11920,
     /*  729897 */     GIR_EraseRootFromParent_Done,
     /*  729898 */   // Label 11457: @729898
     /*  729898 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(729973), // Rule ID 11923 //
     /*  729903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  729920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  729952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729971 */     GIR_RootConstrainSelectedInstOperands,
     /*  729972 */     // GIR_Coverage, 11923,
     /*  729972 */     GIR_EraseRootFromParent_Done,
     /*  729973 */   // Label 11458: @729973
     /*  729973 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(730048), // Rule ID 11924 //
     /*  729978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  729995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  730027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730046 */     GIR_RootConstrainSelectedInstOperands,
     /*  730047 */     // GIR_Coverage, 11924,
     /*  730047 */     GIR_EraseRootFromParent_Done,
     /*  730048 */   // Label 11459: @730048
     /*  730048 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(730123), // Rule ID 11927 //
     /*  730053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730099 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730121 */     GIR_RootConstrainSelectedInstOperands,
     /*  730122 */     // GIR_Coverage, 11927,
     /*  730122 */     GIR_EraseRootFromParent_Done,
     /*  730123 */   // Label 11460: @730123
     /*  730123 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(730198), // Rule ID 11928 //
     /*  730128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730196 */     GIR_RootConstrainSelectedInstOperands,
     /*  730197 */     // GIR_Coverage, 11928,
     /*  730197 */     GIR_EraseRootFromParent_Done,
     /*  730198 */   // Label 11461: @730198
     /*  730198 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(730273), // Rule ID 11931 //
     /*  730203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730249 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730271 */     GIR_RootConstrainSelectedInstOperands,
     /*  730272 */     // GIR_Coverage, 11931,
     /*  730272 */     GIR_EraseRootFromParent_Done,
     /*  730273 */   // Label 11462: @730273
     /*  730273 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730348), // Rule ID 11932 //
     /*  730278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730324 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730346 */     GIR_RootConstrainSelectedInstOperands,
     /*  730347 */     // GIR_Coverage, 11932,
     /*  730347 */     GIR_EraseRootFromParent_Done,
     /*  730348 */   // Label 11463: @730348
     /*  730348 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730423), // Rule ID 11935 //
     /*  730353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730399 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730421 */     GIR_RootConstrainSelectedInstOperands,
     /*  730422 */     // GIR_Coverage, 11935,
     /*  730422 */     GIR_EraseRootFromParent_Done,
     /*  730423 */   // Label 11464: @730423
     /*  730423 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(730498), // Rule ID 11936 //
     /*  730428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730496 */     GIR_RootConstrainSelectedInstOperands,
     /*  730497 */     // GIR_Coverage, 11936,
     /*  730497 */     GIR_EraseRootFromParent_Done,
     /*  730498 */   // Label 11465: @730498
     /*  730498 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730573), // Rule ID 11939 //
     /*  730503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730549 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  730552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730571 */     GIR_RootConstrainSelectedInstOperands,
     /*  730572 */     // GIR_Coverage, 11939,
     /*  730572 */     GIR_EraseRootFromParent_Done,
     /*  730573 */   // Label 11466: @730573
     /*  730573 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(730648), // Rule ID 11940 //
     /*  730578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730624 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  730627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730646 */     GIR_RootConstrainSelectedInstOperands,
     /*  730647 */     // GIR_Coverage, 11940,
     /*  730647 */     GIR_EraseRootFromParent_Done,
     /*  730648 */   // Label 11467: @730648
     /*  730648 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730723), // Rule ID 11943 //
     /*  730653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  730664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  730667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  730670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  730673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  730702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730721 */     GIR_RootConstrainSelectedInstOperands,
     /*  730722 */     // GIR_Coverage, 11943,
     /*  730722 */     GIR_EraseRootFromParent_Done,
     /*  730723 */   // Label 11468: @730723
     /*  730723 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730798), // Rule ID 11944 //
     /*  730728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  730739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  730742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  730745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  730748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  730777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730796 */     GIR_RootConstrainSelectedInstOperands,
     /*  730797 */     // GIR_Coverage, 11944,
     /*  730797 */     GIR_EraseRootFromParent_Done,
     /*  730798 */   // Label 11469: @730798
     /*  730798 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730873), // Rule ID 11947 //
     /*  730803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  730814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  730817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  730820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  730823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  730852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730871 */     GIR_RootConstrainSelectedInstOperands,
     /*  730872 */     // GIR_Coverage, 11947,
     /*  730872 */     GIR_EraseRootFromParent_Done,
     /*  730873 */   // Label 11470: @730873
     /*  730873 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(730948), // Rule ID 11948 //
     /*  730878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  730889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  730892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  730895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  730898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  730927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730946 */     GIR_RootConstrainSelectedInstOperands,
     /*  730947 */     // GIR_Coverage, 11948,
     /*  730947 */     GIR_EraseRootFromParent_Done,
     /*  730948 */   // Label 11471: @730948
     /*  730948 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(731023), // Rule ID 11951 //
     /*  730953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  730964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  730967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  730970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  730973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  731002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731021 */     GIR_RootConstrainSelectedInstOperands,
     /*  731022 */     // GIR_Coverage, 11951,
     /*  731022 */     GIR_EraseRootFromParent_Done,
     /*  731023 */   // Label 11472: @731023
     /*  731023 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(731098), // Rule ID 11952 //
     /*  731028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  731039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  731042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  731045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  731048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  731077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731096 */     GIR_RootConstrainSelectedInstOperands,
     /*  731097 */     // GIR_Coverage, 11952,
     /*  731097 */     GIR_EraseRootFromParent_Done,
     /*  731098 */   // Label 11473: @731098
     /*  731098 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(731173), // Rule ID 11955 //
     /*  731103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731171 */     GIR_RootConstrainSelectedInstOperands,
     /*  731172 */     // GIR_Coverage, 11955,
     /*  731172 */     GIR_EraseRootFromParent_Done,
     /*  731173 */   // Label 11474: @731173
     /*  731173 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(731248), // Rule ID 11956 //
     /*  731178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731246 */     GIR_RootConstrainSelectedInstOperands,
     /*  731247 */     // GIR_Coverage, 11956,
     /*  731247 */     GIR_EraseRootFromParent_Done,
     /*  731248 */   // Label 11475: @731248
     /*  731248 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731323), // Rule ID 11959 //
     /*  731253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731321 */     GIR_RootConstrainSelectedInstOperands,
     /*  731322 */     // GIR_Coverage, 11959,
     /*  731322 */     GIR_EraseRootFromParent_Done,
     /*  731323 */   // Label 11476: @731323
     /*  731323 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731398), // Rule ID 11960 //
     /*  731328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731396 */     GIR_RootConstrainSelectedInstOperands,
     /*  731397 */     // GIR_Coverage, 11960,
     /*  731397 */     GIR_EraseRootFromParent_Done,
     /*  731398 */   // Label 11477: @731398
     /*  731398 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(731473), // Rule ID 11963 //
     /*  731403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731471 */     GIR_RootConstrainSelectedInstOperands,
     /*  731472 */     // GIR_Coverage, 11963,
     /*  731472 */     GIR_EraseRootFromParent_Done,
     /*  731473 */   // Label 11478: @731473
     /*  731473 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(731548), // Rule ID 11964 //
     /*  731478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731546 */     GIR_RootConstrainSelectedInstOperands,
     /*  731547 */     // GIR_Coverage, 11964,
     /*  731547 */     GIR_EraseRootFromParent_Done,
     /*  731548 */   // Label 11479: @731548
     /*  731548 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(731623), // Rule ID 11967 //
     /*  731553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  731564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  731567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  731573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731599 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  731602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731621 */     GIR_RootConstrainSelectedInstOperands,
     /*  731622 */     // GIR_Coverage, 11967,
     /*  731622 */     GIR_EraseRootFromParent_Done,
     /*  731623 */   // Label 11480: @731623
     /*  731623 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(731698), // Rule ID 11968 //
     /*  731628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  731639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  731642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  731648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731674 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  731677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731696 */     GIR_RootConstrainSelectedInstOperands,
     /*  731697 */     // GIR_Coverage, 11968,
     /*  731697 */     GIR_EraseRootFromParent_Done,
     /*  731698 */   // Label 11481: @731698
     /*  731698 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731773), // Rule ID 11971 //
     /*  731703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  731714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  731717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  731720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  731723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  731752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731771 */     GIR_RootConstrainSelectedInstOperands,
     /*  731772 */     // GIR_Coverage, 11971,
     /*  731772 */     GIR_EraseRootFromParent_Done,
     /*  731773 */   // Label 11482: @731773
     /*  731773 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731848), // Rule ID 11972 //
     /*  731778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  731789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  731792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  731795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  731798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  731827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731846 */     GIR_RootConstrainSelectedInstOperands,
     /*  731847 */     // GIR_Coverage, 11972,
     /*  731847 */     GIR_EraseRootFromParent_Done,
     /*  731848 */   // Label 11483: @731848
     /*  731848 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(731923), // Rule ID 11975 //
     /*  731853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  731864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  731867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  731870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  731873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731899 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  731902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731921 */     GIR_RootConstrainSelectedInstOperands,
     /*  731922 */     // GIR_Coverage, 11975,
     /*  731922 */     GIR_EraseRootFromParent_Done,
     /*  731923 */   // Label 11484: @731923
     /*  731923 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(731998), // Rule ID 11976 //
     /*  731928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  731939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  731942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  731945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  731948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  731977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731996 */     GIR_RootConstrainSelectedInstOperands,
     /*  731997 */     // GIR_Coverage, 11976,
     /*  731997 */     GIR_EraseRootFromParent_Done,
     /*  731998 */   // Label 11485: @731998
     /*  731998 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(732073), // Rule ID 11979 //
     /*  732003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732049 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732071 */     GIR_RootConstrainSelectedInstOperands,
     /*  732072 */     // GIR_Coverage, 11979,
     /*  732072 */     GIR_EraseRootFromParent_Done,
     /*  732073 */   // Label 11486: @732073
     /*  732073 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(732148), // Rule ID 11980 //
     /*  732078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732146 */     GIR_RootConstrainSelectedInstOperands,
     /*  732147 */     // GIR_Coverage, 11980,
     /*  732147 */     GIR_EraseRootFromParent_Done,
     /*  732148 */   // Label 11487: @732148
     /*  732148 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(732223), // Rule ID 11983 //
     /*  732153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732199 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732221 */     GIR_RootConstrainSelectedInstOperands,
     /*  732222 */     // GIR_Coverage, 11983,
     /*  732222 */     GIR_EraseRootFromParent_Done,
     /*  732223 */   // Label 11488: @732223
     /*  732223 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732298), // Rule ID 11984 //
     /*  732228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732296 */     GIR_RootConstrainSelectedInstOperands,
     /*  732297 */     // GIR_Coverage, 11984,
     /*  732297 */     GIR_EraseRootFromParent_Done,
     /*  732298 */   // Label 11489: @732298
     /*  732298 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732373), // Rule ID 11987 //
     /*  732303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732371 */     GIR_RootConstrainSelectedInstOperands,
     /*  732372 */     // GIR_Coverage, 11987,
     /*  732372 */     GIR_EraseRootFromParent_Done,
     /*  732373 */   // Label 11490: @732373
     /*  732373 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(732448), // Rule ID 11988 //
     /*  732378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732446 */     GIR_RootConstrainSelectedInstOperands,
     /*  732447 */     // GIR_Coverage, 11988,
     /*  732447 */     GIR_EraseRootFromParent_Done,
     /*  732448 */   // Label 11491: @732448
     /*  732448 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(732523), // Rule ID 11991 //
     /*  732453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732521 */     GIR_RootConstrainSelectedInstOperands,
     /*  732522 */     // GIR_Coverage, 11991,
     /*  732522 */     GIR_EraseRootFromParent_Done,
     /*  732523 */   // Label 11492: @732523
     /*  732523 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732598), // Rule ID 11992 //
     /*  732528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732596 */     GIR_RootConstrainSelectedInstOperands,
     /*  732597 */     // GIR_Coverage, 11992,
     /*  732597 */     GIR_EraseRootFromParent_Done,
     /*  732598 */   // Label 11493: @732598
     /*  732598 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(732673), // Rule ID 11995 //
     /*  732603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  732614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  732617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  732620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  732652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732671 */     GIR_RootConstrainSelectedInstOperands,
     /*  732672 */     // GIR_Coverage, 11995,
     /*  732672 */     GIR_EraseRootFromParent_Done,
     /*  732673 */   // Label 11494: @732673
     /*  732673 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732748), // Rule ID 11996 //
     /*  732678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  732689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  732692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  732695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  732727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732746 */     GIR_RootConstrainSelectedInstOperands,
     /*  732747 */     // GIR_Coverage, 11996,
     /*  732747 */     GIR_EraseRootFromParent_Done,
     /*  732748 */   // Label 11495: @732748
     /*  732748 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732823), // Rule ID 11999 //
     /*  732753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  732764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  732767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  732770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  732802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732821 */     GIR_RootConstrainSelectedInstOperands,
     /*  732822 */     // GIR_Coverage, 11999,
     /*  732822 */     GIR_EraseRootFromParent_Done,
     /*  732823 */   // Label 11496: @732823
     /*  732823 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732898), // Rule ID 12000 //
     /*  732828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  732839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  732842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  732845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  732877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732896 */     GIR_RootConstrainSelectedInstOperands,
     /*  732897 */     // GIR_Coverage, 12000,
     /*  732897 */     GIR_EraseRootFromParent_Done,
     /*  732898 */   // Label 11497: @732898
     /*  732898 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(732973), // Rule ID 12003 //
     /*  732903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  732920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  732952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732971 */     GIR_RootConstrainSelectedInstOperands,
     /*  732972 */     // GIR_Coverage, 12003,
     /*  732972 */     GIR_EraseRootFromParent_Done,
     /*  732973 */   // Label 11498: @732973
     /*  732973 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(733048), // Rule ID 12004 //
     /*  732978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  732995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  733027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733046 */     GIR_RootConstrainSelectedInstOperands,
     /*  733047 */     // GIR_Coverage, 12004,
     /*  733047 */     GIR_EraseRootFromParent_Done,
     /*  733048 */   // Label 11499: @733048
     /*  733048 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(733123), // Rule ID 12007 //
     /*  733053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733121 */     GIR_RootConstrainSelectedInstOperands,
     /*  733122 */     // GIR_Coverage, 12007,
     /*  733122 */     GIR_EraseRootFromParent_Done,
     /*  733123 */   // Label 11500: @733123
     /*  733123 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(733198), // Rule ID 12008 //
     /*  733128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733196 */     GIR_RootConstrainSelectedInstOperands,
     /*  733197 */     // GIR_Coverage, 12008,
     /*  733197 */     GIR_EraseRootFromParent_Done,
     /*  733198 */   // Label 11501: @733198
     /*  733198 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(733273), // Rule ID 12011 //
     /*  733203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733271 */     GIR_RootConstrainSelectedInstOperands,
     /*  733272 */     // GIR_Coverage, 12011,
     /*  733272 */     GIR_EraseRootFromParent_Done,
     /*  733273 */   // Label 11502: @733273
     /*  733273 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733348), // Rule ID 12012 //
     /*  733278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733346 */     GIR_RootConstrainSelectedInstOperands,
     /*  733347 */     // GIR_Coverage, 12012,
     /*  733347 */     GIR_EraseRootFromParent_Done,
     /*  733348 */   // Label 11503: @733348
     /*  733348 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733423), // Rule ID 12015 //
     /*  733353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733421 */     GIR_RootConstrainSelectedInstOperands,
     /*  733422 */     // GIR_Coverage, 12015,
     /*  733422 */     GIR_EraseRootFromParent_Done,
     /*  733423 */   // Label 11504: @733423
     /*  733423 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(733498), // Rule ID 12016 //
     /*  733428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733496 */     GIR_RootConstrainSelectedInstOperands,
     /*  733497 */     // GIR_Coverage, 12016,
     /*  733497 */     GIR_EraseRootFromParent_Done,
     /*  733498 */   // Label 11505: @733498
     /*  733498 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733573), // Rule ID 12019 //
     /*  733503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  733552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733571 */     GIR_RootConstrainSelectedInstOperands,
     /*  733572 */     // GIR_Coverage, 12019,
     /*  733572 */     GIR_EraseRootFromParent_Done,
     /*  733573 */   // Label 11506: @733573
     /*  733573 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(733648), // Rule ID 12020 //
     /*  733578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  733627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733646 */     GIR_RootConstrainSelectedInstOperands,
     /*  733647 */     // GIR_Coverage, 12020,
     /*  733647 */     GIR_EraseRootFromParent_Done,
     /*  733648 */   // Label 11507: @733648
     /*  733648 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733723), // Rule ID 12023 //
     /*  733653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  733664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  733667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  733670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  733702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733721 */     GIR_RootConstrainSelectedInstOperands,
     /*  733722 */     // GIR_Coverage, 12023,
     /*  733722 */     GIR_EraseRootFromParent_Done,
     /*  733723 */   // Label 11508: @733723
     /*  733723 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733798), // Rule ID 12024 //
     /*  733728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  733739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  733742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  733745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  733777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733796 */     GIR_RootConstrainSelectedInstOperands,
     /*  733797 */     // GIR_Coverage, 12024,
     /*  733797 */     GIR_EraseRootFromParent_Done,
     /*  733798 */   // Label 11509: @733798
     /*  733798 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733873), // Rule ID 12027 //
     /*  733803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  733814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  733817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  733820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733849 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  733852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733871 */     GIR_RootConstrainSelectedInstOperands,
     /*  733872 */     // GIR_Coverage, 12027,
     /*  733872 */     GIR_EraseRootFromParent_Done,
     /*  733873 */   // Label 11510: @733873
     /*  733873 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(733948), // Rule ID 12028 //
     /*  733878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  733889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  733892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  733895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733924 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  733927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733946 */     GIR_RootConstrainSelectedInstOperands,
     /*  733947 */     // GIR_Coverage, 12028,
     /*  733947 */     GIR_EraseRootFromParent_Done,
     /*  733948 */   // Label 11511: @733948
     /*  733948 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(734023), // Rule ID 12031 //
     /*  733953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  733964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  733967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  733970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  734002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734021 */     GIR_RootConstrainSelectedInstOperands,
     /*  734022 */     // GIR_Coverage, 12031,
     /*  734022 */     GIR_EraseRootFromParent_Done,
     /*  734023 */   // Label 11512: @734023
     /*  734023 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(734098), // Rule ID 12032 //
     /*  734028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  734039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  734042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  734045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  734077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734096 */     GIR_RootConstrainSelectedInstOperands,
     /*  734097 */     // GIR_Coverage, 12032,
     /*  734097 */     GIR_EraseRootFromParent_Done,
     /*  734098 */   // Label 11513: @734098
     /*  734098 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(734173), // Rule ID 12035 //
     /*  734103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734171 */     GIR_RootConstrainSelectedInstOperands,
     /*  734172 */     // GIR_Coverage, 12035,
     /*  734172 */     GIR_EraseRootFromParent_Done,
     /*  734173 */   // Label 11514: @734173
     /*  734173 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(734248), // Rule ID 12036 //
     /*  734178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734246 */     GIR_RootConstrainSelectedInstOperands,
     /*  734247 */     // GIR_Coverage, 12036,
     /*  734247 */     GIR_EraseRootFromParent_Done,
     /*  734248 */   // Label 11515: @734248
     /*  734248 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734323), // Rule ID 12039 //
     /*  734253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734321 */     GIR_RootConstrainSelectedInstOperands,
     /*  734322 */     // GIR_Coverage, 12039,
     /*  734322 */     GIR_EraseRootFromParent_Done,
     /*  734323 */   // Label 11516: @734323
     /*  734323 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734398), // Rule ID 12040 //
     /*  734328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734396 */     GIR_RootConstrainSelectedInstOperands,
     /*  734397 */     // GIR_Coverage, 12040,
     /*  734397 */     GIR_EraseRootFromParent_Done,
     /*  734398 */   // Label 11517: @734398
     /*  734398 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(734473), // Rule ID 12043 //
     /*  734403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734471 */     GIR_RootConstrainSelectedInstOperands,
     /*  734472 */     // GIR_Coverage, 12043,
     /*  734472 */     GIR_EraseRootFromParent_Done,
     /*  734473 */   // Label 11518: @734473
     /*  734473 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(734548), // Rule ID 12044 //
     /*  734478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734546 */     GIR_RootConstrainSelectedInstOperands,
     /*  734547 */     // GIR_Coverage, 12044,
     /*  734547 */     GIR_EraseRootFromParent_Done,
     /*  734548 */   // Label 11519: @734548
     /*  734548 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(734623), // Rule ID 12047 //
     /*  734553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  734564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  734567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  734602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734621 */     GIR_RootConstrainSelectedInstOperands,
     /*  734622 */     // GIR_Coverage, 12047,
     /*  734622 */     GIR_EraseRootFromParent_Done,
     /*  734623 */   // Label 11520: @734623
     /*  734623 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(734698), // Rule ID 12048 //
     /*  734628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  734639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  734642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  734677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734696 */     GIR_RootConstrainSelectedInstOperands,
     /*  734697 */     // GIR_Coverage, 12048,
     /*  734697 */     GIR_EraseRootFromParent_Done,
     /*  734698 */   // Label 11521: @734698
     /*  734698 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734773), // Rule ID 12051 //
     /*  734703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  734714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  734717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  734720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  734752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734771 */     GIR_RootConstrainSelectedInstOperands,
     /*  734772 */     // GIR_Coverage, 12051,
     /*  734772 */     GIR_EraseRootFromParent_Done,
     /*  734773 */   // Label 11522: @734773
     /*  734773 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734848), // Rule ID 12052 //
     /*  734778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  734789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  734792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  734795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  734827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734846 */     GIR_RootConstrainSelectedInstOperands,
     /*  734847 */     // GIR_Coverage, 12052,
     /*  734847 */     GIR_EraseRootFromParent_Done,
     /*  734848 */   // Label 11523: @734848
     /*  734848 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(734923), // Rule ID 12055 //
     /*  734853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  734864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  734867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  734870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  734902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734921 */     GIR_RootConstrainSelectedInstOperands,
     /*  734922 */     // GIR_Coverage, 12055,
     /*  734922 */     GIR_EraseRootFromParent_Done,
     /*  734923 */   // Label 11524: @734923
     /*  734923 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(734998), // Rule ID 12056 //
     /*  734928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  734939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  734942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  734945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  734977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734996 */     GIR_RootConstrainSelectedInstOperands,
     /*  734997 */     // GIR_Coverage, 12056,
     /*  734997 */     GIR_EraseRootFromParent_Done,
     /*  734998 */   // Label 11525: @734998
     /*  734998 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(735073), // Rule ID 12059 //
     /*  735003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735049 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735071 */     GIR_RootConstrainSelectedInstOperands,
     /*  735072 */     // GIR_Coverage, 12059,
     /*  735072 */     GIR_EraseRootFromParent_Done,
     /*  735073 */   // Label 11526: @735073
     /*  735073 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(735148), // Rule ID 12060 //
     /*  735078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735146 */     GIR_RootConstrainSelectedInstOperands,
     /*  735147 */     // GIR_Coverage, 12060,
     /*  735147 */     GIR_EraseRootFromParent_Done,
     /*  735148 */   // Label 11527: @735148
     /*  735148 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(735223), // Rule ID 12063 //
     /*  735153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735221 */     GIR_RootConstrainSelectedInstOperands,
     /*  735222 */     // GIR_Coverage, 12063,
     /*  735222 */     GIR_EraseRootFromParent_Done,
     /*  735223 */   // Label 11528: @735223
     /*  735223 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735298), // Rule ID 12064 //
     /*  735228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735296 */     GIR_RootConstrainSelectedInstOperands,
     /*  735297 */     // GIR_Coverage, 12064,
     /*  735297 */     GIR_EraseRootFromParent_Done,
     /*  735298 */   // Label 11529: @735298
     /*  735298 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735373), // Rule ID 12067 //
     /*  735303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735349 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735371 */     GIR_RootConstrainSelectedInstOperands,
     /*  735372 */     // GIR_Coverage, 12067,
     /*  735372 */     GIR_EraseRootFromParent_Done,
     /*  735373 */   // Label 11530: @735373
     /*  735373 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(735448), // Rule ID 12068 //
     /*  735378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735446 */     GIR_RootConstrainSelectedInstOperands,
     /*  735447 */     // GIR_Coverage, 12068,
     /*  735447 */     GIR_EraseRootFromParent_Done,
     /*  735448 */   // Label 11531: @735448
     /*  735448 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(735523), // Rule ID 12071 //
     /*  735453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735499 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735521 */     GIR_RootConstrainSelectedInstOperands,
     /*  735522 */     // GIR_Coverage, 12071,
     /*  735522 */     GIR_EraseRootFromParent_Done,
     /*  735523 */   // Label 11532: @735523
     /*  735523 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735598), // Rule ID 12072 //
     /*  735528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735596 */     GIR_RootConstrainSelectedInstOperands,
     /*  735597 */     // GIR_Coverage, 12072,
     /*  735597 */     GIR_EraseRootFromParent_Done,
     /*  735598 */   // Label 11533: @735598
     /*  735598 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(735673), // Rule ID 12075 //
     /*  735603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  735614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  735617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  735620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  735623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  735652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735671 */     GIR_RootConstrainSelectedInstOperands,
     /*  735672 */     // GIR_Coverage, 12075,
     /*  735672 */     GIR_EraseRootFromParent_Done,
     /*  735673 */   // Label 11534: @735673
     /*  735673 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735748), // Rule ID 12076 //
     /*  735678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  735689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  735692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  735695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  735698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  735727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735746 */     GIR_RootConstrainSelectedInstOperands,
     /*  735747 */     // GIR_Coverage, 12076,
     /*  735747 */     GIR_EraseRootFromParent_Done,
     /*  735748 */   // Label 11535: @735748
     /*  735748 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735823), // Rule ID 12079 //
     /*  735753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  735764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  735767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  735770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  735773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735799 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  735802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735821 */     GIR_RootConstrainSelectedInstOperands,
     /*  735822 */     // GIR_Coverage, 12079,
     /*  735822 */     GIR_EraseRootFromParent_Done,
     /*  735823 */   // Label 11536: @735823
     /*  735823 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735898), // Rule ID 12080 //
     /*  735828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  735839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  735842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  735845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  735848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  735877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735896 */     GIR_RootConstrainSelectedInstOperands,
     /*  735897 */     // GIR_Coverage, 12080,
     /*  735897 */     GIR_EraseRootFromParent_Done,
     /*  735898 */   // Label 11537: @735898
     /*  735898 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(735973), // Rule ID 12083 //
     /*  735903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  735914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  735917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  735920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  735923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  735952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735971 */     GIR_RootConstrainSelectedInstOperands,
     /*  735972 */     // GIR_Coverage, 12083,
     /*  735972 */     GIR_EraseRootFromParent_Done,
     /*  735973 */   // Label 11538: @735973
     /*  735973 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(736048), // Rule ID 12084 //
     /*  735978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  735989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  735992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  735995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  735998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  736027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736046 */     GIR_RootConstrainSelectedInstOperands,
     /*  736047 */     // GIR_Coverage, 12084,
     /*  736047 */     GIR_EraseRootFromParent_Done,
     /*  736048 */   // Label 11539: @736048
     /*  736048 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(736123), // Rule ID 12087 //
     /*  736053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736121 */     GIR_RootConstrainSelectedInstOperands,
     /*  736122 */     // GIR_Coverage, 12087,
     /*  736122 */     GIR_EraseRootFromParent_Done,
     /*  736123 */   // Label 11540: @736123
     /*  736123 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(736198), // Rule ID 12088 //
     /*  736128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736196 */     GIR_RootConstrainSelectedInstOperands,
     /*  736197 */     // GIR_Coverage, 12088,
     /*  736197 */     GIR_EraseRootFromParent_Done,
     /*  736198 */   // Label 11541: @736198
     /*  736198 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(736273), // Rule ID 12091 //
     /*  736203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736271 */     GIR_RootConstrainSelectedInstOperands,
     /*  736272 */     // GIR_Coverage, 12091,
     /*  736272 */     GIR_EraseRootFromParent_Done,
     /*  736273 */   // Label 11542: @736273
     /*  736273 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736348), // Rule ID 12092 //
     /*  736278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736346 */     GIR_RootConstrainSelectedInstOperands,
     /*  736347 */     // GIR_Coverage, 12092,
     /*  736347 */     GIR_EraseRootFromParent_Done,
     /*  736348 */   // Label 11543: @736348
     /*  736348 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736423), // Rule ID 12095 //
     /*  736353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736399 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736421 */     GIR_RootConstrainSelectedInstOperands,
     /*  736422 */     // GIR_Coverage, 12095,
     /*  736422 */     GIR_EraseRootFromParent_Done,
     /*  736423 */   // Label 11544: @736423
     /*  736423 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(736498), // Rule ID 12096 //
     /*  736428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736496 */     GIR_RootConstrainSelectedInstOperands,
     /*  736497 */     // GIR_Coverage, 12096,
     /*  736497 */     GIR_EraseRootFromParent_Done,
     /*  736498 */   // Label 11545: @736498
     /*  736498 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736573), // Rule ID 12099 //
     /*  736503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  736552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736571 */     GIR_RootConstrainSelectedInstOperands,
     /*  736572 */     // GIR_Coverage, 12099,
     /*  736572 */     GIR_EraseRootFromParent_Done,
     /*  736573 */   // Label 11546: @736573
     /*  736573 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(736648), // Rule ID 12100 //
     /*  736578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  736627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736646 */     GIR_RootConstrainSelectedInstOperands,
     /*  736647 */     // GIR_Coverage, 12100,
     /*  736647 */     GIR_EraseRootFromParent_Done,
     /*  736648 */   // Label 11547: @736648
     /*  736648 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736723), // Rule ID 12103 //
     /*  736653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  736670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  736702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736721 */     GIR_RootConstrainSelectedInstOperands,
     /*  736722 */     // GIR_Coverage, 12103,
     /*  736722 */     GIR_EraseRootFromParent_Done,
     /*  736723 */   // Label 11548: @736723
     /*  736723 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736798), // Rule ID 12104 //
     /*  736728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  736745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  736777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736796 */     GIR_RootConstrainSelectedInstOperands,
     /*  736797 */     // GIR_Coverage, 12104,
     /*  736797 */     GIR_EraseRootFromParent_Done,
     /*  736798 */   // Label 11549: @736798
     /*  736798 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736873), // Rule ID 12107 //
     /*  736803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  736814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  736817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  736823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  736852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736871 */     GIR_RootConstrainSelectedInstOperands,
     /*  736872 */     // GIR_Coverage, 12107,
     /*  736872 */     GIR_EraseRootFromParent_Done,
     /*  736873 */   // Label 11550: @736873
     /*  736873 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(736948), // Rule ID 12108 //
     /*  736878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  736889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  736892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  736898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  736927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736946 */     GIR_RootConstrainSelectedInstOperands,
     /*  736947 */     // GIR_Coverage, 12108,
     /*  736947 */     GIR_EraseRootFromParent_Done,
     /*  736948 */   // Label 11551: @736948
     /*  736948 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(737023), // Rule ID 12111 //
     /*  736953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  736964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  736967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  736970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  736973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  737002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737021 */     GIR_RootConstrainSelectedInstOperands,
     /*  737022 */     // GIR_Coverage, 12111,
     /*  737022 */     GIR_EraseRootFromParent_Done,
     /*  737023 */   // Label 11552: @737023
     /*  737023 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(737098), // Rule ID 12112 //
     /*  737028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  737039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  737042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  737045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  737048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  737077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737096 */     GIR_RootConstrainSelectedInstOperands,
     /*  737097 */     // GIR_Coverage, 12112,
     /*  737097 */     GIR_EraseRootFromParent_Done,
     /*  737098 */   // Label 11553: @737098
     /*  737098 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(737173), // Rule ID 12115 //
     /*  737103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737149 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737171 */     GIR_RootConstrainSelectedInstOperands,
     /*  737172 */     // GIR_Coverage, 12115,
     /*  737172 */     GIR_EraseRootFromParent_Done,
     /*  737173 */   // Label 11554: @737173
     /*  737173 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(737248), // Rule ID 12116 //
     /*  737178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737246 */     GIR_RootConstrainSelectedInstOperands,
     /*  737247 */     // GIR_Coverage, 12116,
     /*  737247 */     GIR_EraseRootFromParent_Done,
     /*  737248 */   // Label 11555: @737248
     /*  737248 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737323), // Rule ID 12119 //
     /*  737253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737321 */     GIR_RootConstrainSelectedInstOperands,
     /*  737322 */     // GIR_Coverage, 12119,
     /*  737322 */     GIR_EraseRootFromParent_Done,
     /*  737323 */   // Label 11556: @737323
     /*  737323 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737398), // Rule ID 12120 //
     /*  737328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737396 */     GIR_RootConstrainSelectedInstOperands,
     /*  737397 */     // GIR_Coverage, 12120,
     /*  737397 */     GIR_EraseRootFromParent_Done,
     /*  737398 */   // Label 11557: @737398
     /*  737398 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(737473), // Rule ID 12123 //
     /*  737403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737471 */     GIR_RootConstrainSelectedInstOperands,
     /*  737472 */     // GIR_Coverage, 12123,
     /*  737472 */     GIR_EraseRootFromParent_Done,
     /*  737473 */   // Label 11558: @737473
     /*  737473 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(737548), // Rule ID 12124 //
     /*  737478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737546 */     GIR_RootConstrainSelectedInstOperands,
     /*  737547 */     // GIR_Coverage, 12124,
     /*  737547 */     GIR_EraseRootFromParent_Done,
     /*  737548 */   // Label 11559: @737548
     /*  737548 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(737623), // Rule ID 12127 //
     /*  737553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  737564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  737567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  737573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  737602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737621 */     GIR_RootConstrainSelectedInstOperands,
     /*  737622 */     // GIR_Coverage, 12127,
     /*  737622 */     GIR_EraseRootFromParent_Done,
     /*  737623 */   // Label 11560: @737623
     /*  737623 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(737698), // Rule ID 12128 //
     /*  737628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  737639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  737642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  737648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  737677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737696 */     GIR_RootConstrainSelectedInstOperands,
     /*  737697 */     // GIR_Coverage, 12128,
     /*  737697 */     GIR_EraseRootFromParent_Done,
     /*  737698 */   // Label 11561: @737698
     /*  737698 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737773), // Rule ID 12131 //
     /*  737703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  737714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  737717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  737723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  737752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737771 */     GIR_RootConstrainSelectedInstOperands,
     /*  737772 */     // GIR_Coverage, 12131,
     /*  737772 */     GIR_EraseRootFromParent_Done,
     /*  737773 */   // Label 11562: @737773
     /*  737773 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737848), // Rule ID 12132 //
     /*  737778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  737789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  737792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  737798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  737827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737846 */     GIR_RootConstrainSelectedInstOperands,
     /*  737847 */     // GIR_Coverage, 12132,
     /*  737847 */     GIR_EraseRootFromParent_Done,
     /*  737848 */   // Label 11563: @737848
     /*  737848 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(737923), // Rule ID 12135 //
     /*  737853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  737864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  737867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  737870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  737873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  737902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737921 */     GIR_RootConstrainSelectedInstOperands,
     /*  737922 */     // GIR_Coverage, 12135,
     /*  737922 */     GIR_EraseRootFromParent_Done,
     /*  737923 */   // Label 11564: @737923
     /*  737923 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(737998), // Rule ID 12136 //
     /*  737928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  737939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  737942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  737945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  737948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  737977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737996 */     GIR_RootConstrainSelectedInstOperands,
     /*  737997 */     // GIR_Coverage, 12136,
     /*  737997 */     GIR_EraseRootFromParent_Done,
     /*  737998 */   // Label 11565: @737998
     /*  737998 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(738073), // Rule ID 12139 //
     /*  738003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  738014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  738017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  738020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  738023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738071 */     GIR_RootConstrainSelectedInstOperands,
     /*  738072 */     // GIR_Coverage, 12139,
     /*  738072 */     GIR_EraseRootFromParent_Done,
     /*  738073 */   // Label 11566: @738073
     /*  738073 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(738148), // Rule ID 12140 //
     /*  738078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  738089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  738092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  738095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  738098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738146 */     GIR_RootConstrainSelectedInstOperands,
     /*  738147 */     // GIR_Coverage, 12140,
     /*  738147 */     GIR_EraseRootFromParent_Done,
     /*  738148 */   // Label 11567: @738148
     /*  738148 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(738223), // Rule ID 12143 //
     /*  738153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738221 */     GIR_RootConstrainSelectedInstOperands,
     /*  738222 */     // GIR_Coverage, 12143,
     /*  738222 */     GIR_EraseRootFromParent_Done,
     /*  738223 */   // Label 11568: @738223
     /*  738223 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738298), // Rule ID 12144 //
     /*  738228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738296 */     GIR_RootConstrainSelectedInstOperands,
     /*  738297 */     // GIR_Coverage, 12144,
     /*  738297 */     GIR_EraseRootFromParent_Done,
     /*  738298 */   // Label 11569: @738298
     /*  738298 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738373), // Rule ID 12147 //
     /*  738303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738371 */     GIR_RootConstrainSelectedInstOperands,
     /*  738372 */     // GIR_Coverage, 12147,
     /*  738372 */     GIR_EraseRootFromParent_Done,
     /*  738373 */   // Label 11570: @738373
     /*  738373 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(738448), // Rule ID 12148 //
     /*  738378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738446 */     GIR_RootConstrainSelectedInstOperands,
     /*  738447 */     // GIR_Coverage, 12148,
     /*  738447 */     GIR_EraseRootFromParent_Done,
     /*  738448 */   // Label 11571: @738448
     /*  738448 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(738523), // Rule ID 12151 //
     /*  738453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738521 */     GIR_RootConstrainSelectedInstOperands,
     /*  738522 */     // GIR_Coverage, 12151,
     /*  738522 */     GIR_EraseRootFromParent_Done,
     /*  738523 */   // Label 11572: @738523
     /*  738523 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738598), // Rule ID 12152 //
     /*  738528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738596 */     GIR_RootConstrainSelectedInstOperands,
     /*  738597 */     // GIR_Coverage, 12152,
     /*  738597 */     GIR_EraseRootFromParent_Done,
     /*  738598 */   // Label 11573: @738598
     /*  738598 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(738673), // Rule ID 12155 //
     /*  738603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  738614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  738617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738649 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  738652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738671 */     GIR_RootConstrainSelectedInstOperands,
     /*  738672 */     // GIR_Coverage, 12155,
     /*  738672 */     GIR_EraseRootFromParent_Done,
     /*  738673 */   // Label 11574: @738673
     /*  738673 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738748), // Rule ID 12156 //
     /*  738678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  738689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  738692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  738727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738746 */     GIR_RootConstrainSelectedInstOperands,
     /*  738747 */     // GIR_Coverage, 12156,
     /*  738747 */     GIR_EraseRootFromParent_Done,
     /*  738748 */   // Label 11575: @738748
     /*  738748 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738823), // Rule ID 12159 //
     /*  738753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  738764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  738767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738799 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  738802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738821 */     GIR_RootConstrainSelectedInstOperands,
     /*  738822 */     // GIR_Coverage, 12159,
     /*  738822 */     GIR_EraseRootFromParent_Done,
     /*  738823 */   // Label 11576: @738823
     /*  738823 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738898), // Rule ID 12160 //
     /*  738828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  738839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  738842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  738877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738896 */     GIR_RootConstrainSelectedInstOperands,
     /*  738897 */     // GIR_Coverage, 12160,
     /*  738897 */     GIR_EraseRootFromParent_Done,
     /*  738898 */   // Label 11577: @738898
     /*  738898 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(738973), // Rule ID 12163 //
     /*  738903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  738914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  738917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  738952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738971 */     GIR_RootConstrainSelectedInstOperands,
     /*  738972 */     // GIR_Coverage, 12163,
     /*  738972 */     GIR_EraseRootFromParent_Done,
     /*  738973 */   // Label 11578: @738973
     /*  738973 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(739048), // Rule ID 12164 //
     /*  738978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  738989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  738992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  739027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739046 */     GIR_RootConstrainSelectedInstOperands,
     /*  739047 */     // GIR_Coverage, 12164,
     /*  739047 */     GIR_EraseRootFromParent_Done,
     /*  739048 */   // Label 11579: @739048
     /*  739048 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(739123), // Rule ID 12167 //
     /*  739053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739121 */     GIR_RootConstrainSelectedInstOperands,
     /*  739122 */     // GIR_Coverage, 12167,
     /*  739122 */     GIR_EraseRootFromParent_Done,
     /*  739123 */   // Label 11580: @739123
     /*  739123 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(739198), // Rule ID 12168 //
     /*  739128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739196 */     GIR_RootConstrainSelectedInstOperands,
     /*  739197 */     // GIR_Coverage, 12168,
     /*  739197 */     GIR_EraseRootFromParent_Done,
     /*  739198 */   // Label 11581: @739198
     /*  739198 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(739273), // Rule ID 12171 //
     /*  739203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739271 */     GIR_RootConstrainSelectedInstOperands,
     /*  739272 */     // GIR_Coverage, 12171,
     /*  739272 */     GIR_EraseRootFromParent_Done,
     /*  739273 */   // Label 11582: @739273
     /*  739273 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739348), // Rule ID 12172 //
     /*  739278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739346 */     GIR_RootConstrainSelectedInstOperands,
     /*  739347 */     // GIR_Coverage, 12172,
     /*  739347 */     GIR_EraseRootFromParent_Done,
     /*  739348 */   // Label 11583: @739348
     /*  739348 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739423), // Rule ID 12175 //
     /*  739353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739421 */     GIR_RootConstrainSelectedInstOperands,
     /*  739422 */     // GIR_Coverage, 12175,
     /*  739422 */     GIR_EraseRootFromParent_Done,
     /*  739423 */   // Label 11584: @739423
     /*  739423 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(739498), // Rule ID 12176 //
     /*  739428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739496 */     GIR_RootConstrainSelectedInstOperands,
     /*  739497 */     // GIR_Coverage, 12176,
     /*  739497 */     GIR_EraseRootFromParent_Done,
     /*  739498 */   // Label 11585: @739498
     /*  739498 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739573), // Rule ID 12179 //
     /*  739503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  739552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739571 */     GIR_RootConstrainSelectedInstOperands,
     /*  739572 */     // GIR_Coverage, 12179,
     /*  739572 */     GIR_EraseRootFromParent_Done,
     /*  739573 */   // Label 11586: @739573
     /*  739573 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(739648), // Rule ID 12180 //
     /*  739578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  739627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739646 */     GIR_RootConstrainSelectedInstOperands,
     /*  739647 */     // GIR_Coverage, 12180,
     /*  739647 */     GIR_EraseRootFromParent_Done,
     /*  739648 */   // Label 11587: @739648
     /*  739648 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739723), // Rule ID 12183 //
     /*  739653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  739702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739721 */     GIR_RootConstrainSelectedInstOperands,
     /*  739722 */     // GIR_Coverage, 12183,
     /*  739722 */     GIR_EraseRootFromParent_Done,
     /*  739723 */   // Label 11588: @739723
     /*  739723 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739798), // Rule ID 12184 //
     /*  739728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  739777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739796 */     GIR_RootConstrainSelectedInstOperands,
     /*  739797 */     // GIR_Coverage, 12184,
     /*  739797 */     GIR_EraseRootFromParent_Done,
     /*  739798 */   // Label 11589: @739798
     /*  739798 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739873), // Rule ID 12187 //
     /*  739803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  739820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  739852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739871 */     GIR_RootConstrainSelectedInstOperands,
     /*  739872 */     // GIR_Coverage, 12187,
     /*  739872 */     GIR_EraseRootFromParent_Done,
     /*  739873 */   // Label 11590: @739873
     /*  739873 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(739948), // Rule ID 12188 //
     /*  739878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  739895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  739927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739946 */     GIR_RootConstrainSelectedInstOperands,
     /*  739947 */     // GIR_Coverage, 12188,
     /*  739947 */     GIR_EraseRootFromParent_Done,
     /*  739948 */   // Label 11591: @739948
     /*  739948 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(740023), // Rule ID 12191 //
     /*  739953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  739970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  740002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740021 */     GIR_RootConstrainSelectedInstOperands,
     /*  740022 */     // GIR_Coverage, 12191,
     /*  740022 */     GIR_EraseRootFromParent_Done,
     /*  740023 */   // Label 11592: @740023
     /*  740023 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(740098), // Rule ID 12192 //
     /*  740028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  740045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  740077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740096 */     GIR_RootConstrainSelectedInstOperands,
     /*  740097 */     // GIR_Coverage, 12192,
     /*  740097 */     GIR_EraseRootFromParent_Done,
     /*  740098 */   // Label 11593: @740098
     /*  740098 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(740173), // Rule ID 12195 //
     /*  740103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740149 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740171 */     GIR_RootConstrainSelectedInstOperands,
     /*  740172 */     // GIR_Coverage, 12195,
     /*  740172 */     GIR_EraseRootFromParent_Done,
     /*  740173 */   // Label 11594: @740173
     /*  740173 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(740248), // Rule ID 12196 //
     /*  740178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740246 */     GIR_RootConstrainSelectedInstOperands,
     /*  740247 */     // GIR_Coverage, 12196,
     /*  740247 */     GIR_EraseRootFromParent_Done,
     /*  740248 */   // Label 11595: @740248
     /*  740248 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740323), // Rule ID 12199 //
     /*  740253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740321 */     GIR_RootConstrainSelectedInstOperands,
     /*  740322 */     // GIR_Coverage, 12199,
     /*  740322 */     GIR_EraseRootFromParent_Done,
     /*  740323 */   // Label 11596: @740323
     /*  740323 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740398), // Rule ID 12200 //
     /*  740328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740396 */     GIR_RootConstrainSelectedInstOperands,
     /*  740397 */     // GIR_Coverage, 12200,
     /*  740397 */     GIR_EraseRootFromParent_Done,
     /*  740398 */   // Label 11597: @740398
     /*  740398 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(740473), // Rule ID 12203 //
     /*  740403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740449 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740471 */     GIR_RootConstrainSelectedInstOperands,
     /*  740472 */     // GIR_Coverage, 12203,
     /*  740472 */     GIR_EraseRootFromParent_Done,
     /*  740473 */   // Label 11598: @740473
     /*  740473 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(740548), // Rule ID 12204 //
     /*  740478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740546 */     GIR_RootConstrainSelectedInstOperands,
     /*  740547 */     // GIR_Coverage, 12204,
     /*  740547 */     GIR_EraseRootFromParent_Done,
     /*  740548 */   // Label 11599: @740548
     /*  740548 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(740623), // Rule ID 12207 //
     /*  740553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  740570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  740602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740621 */     GIR_RootConstrainSelectedInstOperands,
     /*  740622 */     // GIR_Coverage, 12207,
     /*  740622 */     GIR_EraseRootFromParent_Done,
     /*  740623 */   // Label 11600: @740623
     /*  740623 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(740698), // Rule ID 12208 //
     /*  740628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  740645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  740677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740696 */     GIR_RootConstrainSelectedInstOperands,
     /*  740697 */     // GIR_Coverage, 12208,
     /*  740697 */     GIR_EraseRootFromParent_Done,
     /*  740698 */   // Label 11601: @740698
     /*  740698 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740773), // Rule ID 12211 //
     /*  740703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  740714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  740717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  740720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  740752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740771 */     GIR_RootConstrainSelectedInstOperands,
     /*  740772 */     // GIR_Coverage, 12211,
     /*  740772 */     GIR_EraseRootFromParent_Done,
     /*  740773 */   // Label 11602: @740773
     /*  740773 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740848), // Rule ID 12212 //
     /*  740778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  740789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  740792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  740795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  740827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740846 */     GIR_RootConstrainSelectedInstOperands,
     /*  740847 */     // GIR_Coverage, 12212,
     /*  740847 */     GIR_EraseRootFromParent_Done,
     /*  740848 */   // Label 11603: @740848
     /*  740848 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(740923), // Rule ID 12215 //
     /*  740853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  740864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  740867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  740870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  740902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740921 */     GIR_RootConstrainSelectedInstOperands,
     /*  740922 */     // GIR_Coverage, 12215,
     /*  740922 */     GIR_EraseRootFromParent_Done,
     /*  740923 */   // Label 11604: @740923
     /*  740923 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(740998), // Rule ID 12216 //
     /*  740928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  740939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  740942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  740945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  740977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740996 */     GIR_RootConstrainSelectedInstOperands,
     /*  740997 */     // GIR_Coverage, 12216,
     /*  740997 */     GIR_EraseRootFromParent_Done,
     /*  740998 */   // Label 11605: @740998
     /*  740998 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(741073), // Rule ID 12219 //
     /*  741003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  741020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741071 */     GIR_RootConstrainSelectedInstOperands,
     /*  741072 */     // GIR_Coverage, 12219,
     /*  741072 */     GIR_EraseRootFromParent_Done,
     /*  741073 */   // Label 11606: @741073
     /*  741073 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(741148), // Rule ID 12220 //
     /*  741078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  741095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741146 */     GIR_RootConstrainSelectedInstOperands,
     /*  741147 */     // GIR_Coverage, 12220,
     /*  741147 */     GIR_EraseRootFromParent_Done,
     /*  741148 */   // Label 11607: @741148
     /*  741148 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(741223), // Rule ID 12223 //
     /*  741153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741221 */     GIR_RootConstrainSelectedInstOperands,
     /*  741222 */     // GIR_Coverage, 12223,
     /*  741222 */     GIR_EraseRootFromParent_Done,
     /*  741223 */   // Label 11608: @741223
     /*  741223 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741298), // Rule ID 12224 //
     /*  741228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741296 */     GIR_RootConstrainSelectedInstOperands,
     /*  741297 */     // GIR_Coverage, 12224,
     /*  741297 */     GIR_EraseRootFromParent_Done,
     /*  741298 */   // Label 11609: @741298
     /*  741298 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741373), // Rule ID 12227 //
     /*  741303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741371 */     GIR_RootConstrainSelectedInstOperands,
     /*  741372 */     // GIR_Coverage, 12227,
     /*  741372 */     GIR_EraseRootFromParent_Done,
     /*  741373 */   // Label 11610: @741373
     /*  741373 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(741448), // Rule ID 12228 //
     /*  741378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741446 */     GIR_RootConstrainSelectedInstOperands,
     /*  741447 */     // GIR_Coverage, 12228,
     /*  741447 */     GIR_EraseRootFromParent_Done,
     /*  741448 */   // Label 11611: @741448
     /*  741448 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(741523), // Rule ID 12231 //
     /*  741453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741521 */     GIR_RootConstrainSelectedInstOperands,
     /*  741522 */     // GIR_Coverage, 12231,
     /*  741522 */     GIR_EraseRootFromParent_Done,
     /*  741523 */   // Label 11612: @741523
     /*  741523 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741598), // Rule ID 12232 //
     /*  741528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741596 */     GIR_RootConstrainSelectedInstOperands,
     /*  741597 */     // GIR_Coverage, 12232,
     /*  741597 */     GIR_EraseRootFromParent_Done,
     /*  741598 */   // Label 11613: @741598
     /*  741598 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(741673), // Rule ID 12235 //
     /*  741603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  741614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  741617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  741620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  741652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741671 */     GIR_RootConstrainSelectedInstOperands,
     /*  741672 */     // GIR_Coverage, 12235,
     /*  741672 */     GIR_EraseRootFromParent_Done,
     /*  741673 */   // Label 11614: @741673
     /*  741673 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741748), // Rule ID 12236 //
     /*  741678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  741689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  741692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  741695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  741727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741746 */     GIR_RootConstrainSelectedInstOperands,
     /*  741747 */     // GIR_Coverage, 12236,
     /*  741747 */     GIR_EraseRootFromParent_Done,
     /*  741748 */   // Label 11615: @741748
     /*  741748 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741823), // Rule ID 12239 //
     /*  741753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  741764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  741767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  741770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  741802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741821 */     GIR_RootConstrainSelectedInstOperands,
     /*  741822 */     // GIR_Coverage, 12239,
     /*  741822 */     GIR_EraseRootFromParent_Done,
     /*  741823 */   // Label 11616: @741823
     /*  741823 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741898), // Rule ID 12240 //
     /*  741828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  741839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  741842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  741845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  741877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741896 */     GIR_RootConstrainSelectedInstOperands,
     /*  741897 */     // GIR_Coverage, 12240,
     /*  741897 */     GIR_EraseRootFromParent_Done,
     /*  741898 */   // Label 11617: @741898
     /*  741898 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(741973), // Rule ID 12243 //
     /*  741903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  741914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  741917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  741920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  741923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741949 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  741952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741971 */     GIR_RootConstrainSelectedInstOperands,
     /*  741972 */     // GIR_Coverage, 12243,
     /*  741972 */     GIR_EraseRootFromParent_Done,
     /*  741973 */   // Label 11618: @741973
     /*  741973 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(742048), // Rule ID 12244 //
     /*  741978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  741989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  741992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  741995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  741998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  742027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742046 */     GIR_RootConstrainSelectedInstOperands,
     /*  742047 */     // GIR_Coverage, 12244,
     /*  742047 */     GIR_EraseRootFromParent_Done,
     /*  742048 */   // Label 11619: @742048
     /*  742048 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(742123), // Rule ID 12247 //
     /*  742053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742121 */     GIR_RootConstrainSelectedInstOperands,
     /*  742122 */     // GIR_Coverage, 12247,
     /*  742122 */     GIR_EraseRootFromParent_Done,
     /*  742123 */   // Label 11620: @742123
     /*  742123 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(742198), // Rule ID 12248 //
     /*  742128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742196 */     GIR_RootConstrainSelectedInstOperands,
     /*  742197 */     // GIR_Coverage, 12248,
     /*  742197 */     GIR_EraseRootFromParent_Done,
     /*  742198 */   // Label 11621: @742198
     /*  742198 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(742273), // Rule ID 12251 //
     /*  742203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742271 */     GIR_RootConstrainSelectedInstOperands,
     /*  742272 */     // GIR_Coverage, 12251,
     /*  742272 */     GIR_EraseRootFromParent_Done,
     /*  742273 */   // Label 11622: @742273
     /*  742273 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742348), // Rule ID 12252 //
     /*  742278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742346 */     GIR_RootConstrainSelectedInstOperands,
     /*  742347 */     // GIR_Coverage, 12252,
     /*  742347 */     GIR_EraseRootFromParent_Done,
     /*  742348 */   // Label 11623: @742348
     /*  742348 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742423), // Rule ID 12255 //
     /*  742353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742421 */     GIR_RootConstrainSelectedInstOperands,
     /*  742422 */     // GIR_Coverage, 12255,
     /*  742422 */     GIR_EraseRootFromParent_Done,
     /*  742423 */   // Label 11624: @742423
     /*  742423 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(742498), // Rule ID 12256 //
     /*  742428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742496 */     GIR_RootConstrainSelectedInstOperands,
     /*  742497 */     // GIR_Coverage, 12256,
     /*  742497 */     GIR_EraseRootFromParent_Done,
     /*  742498 */   // Label 11625: @742498
     /*  742498 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742573), // Rule ID 12259 //
     /*  742503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742571 */     GIR_RootConstrainSelectedInstOperands,
     /*  742572 */     // GIR_Coverage, 12259,
     /*  742572 */     GIR_EraseRootFromParent_Done,
     /*  742573 */   // Label 11626: @742573
     /*  742573 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(742648), // Rule ID 12260 //
     /*  742578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742646 */     GIR_RootConstrainSelectedInstOperands,
     /*  742647 */     // GIR_Coverage, 12260,
     /*  742647 */     GIR_EraseRootFromParent_Done,
     /*  742648 */   // Label 11627: @742648
     /*  742648 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742723), // Rule ID 12263 //
     /*  742653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  742673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742721 */     GIR_RootConstrainSelectedInstOperands,
     /*  742722 */     // GIR_Coverage, 12263,
     /*  742722 */     GIR_EraseRootFromParent_Done,
     /*  742723 */   // Label 11628: @742723
     /*  742723 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742798), // Rule ID 12264 //
     /*  742728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  742748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742796 */     GIR_RootConstrainSelectedInstOperands,
     /*  742797 */     // GIR_Coverage, 12264,
     /*  742797 */     GIR_EraseRootFromParent_Done,
     /*  742798 */   // Label 11629: @742798
     /*  742798 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742873), // Rule ID 12267 //
     /*  742803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  742814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  742817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  742820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  742823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742849 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742871 */     GIR_RootConstrainSelectedInstOperands,
     /*  742872 */     // GIR_Coverage, 12267,
     /*  742872 */     GIR_EraseRootFromParent_Done,
     /*  742873 */   // Label 11630: @742873
     /*  742873 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(742948), // Rule ID 12268 //
     /*  742878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  742889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  742892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  742895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  742898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742946 */     GIR_RootConstrainSelectedInstOperands,
     /*  742947 */     // GIR_Coverage, 12268,
     /*  742947 */     GIR_EraseRootFromParent_Done,
     /*  742948 */   // Label 11631: @742948
     /*  742948 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(743023), // Rule ID 12271 //
     /*  742953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  742970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  742973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743021 */     GIR_RootConstrainSelectedInstOperands,
     /*  743022 */     // GIR_Coverage, 12271,
     /*  743022 */     GIR_EraseRootFromParent_Done,
     /*  743023 */   // Label 11632: @743023
     /*  743023 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(743098), // Rule ID 12272 //
     /*  743028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  743048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743096 */     GIR_RootConstrainSelectedInstOperands,
     /*  743097 */     // GIR_Coverage, 12272,
     /*  743097 */     GIR_EraseRootFromParent_Done,
     /*  743098 */   // Label 11633: @743098
     /*  743098 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(743173), // Rule ID 12275 //
     /*  743103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743171 */     GIR_RootConstrainSelectedInstOperands,
     /*  743172 */     // GIR_Coverage, 12275,
     /*  743172 */     GIR_EraseRootFromParent_Done,
     /*  743173 */   // Label 11634: @743173
     /*  743173 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(743248), // Rule ID 12276 //
     /*  743178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743246 */     GIR_RootConstrainSelectedInstOperands,
     /*  743247 */     // GIR_Coverage, 12276,
     /*  743247 */     GIR_EraseRootFromParent_Done,
     /*  743248 */   // Label 11635: @743248
     /*  743248 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743323), // Rule ID 12279 //
     /*  743253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743321 */     GIR_RootConstrainSelectedInstOperands,
     /*  743322 */     // GIR_Coverage, 12279,
     /*  743322 */     GIR_EraseRootFromParent_Done,
     /*  743323 */   // Label 11636: @743323
     /*  743323 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743398), // Rule ID 12280 //
     /*  743328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743396 */     GIR_RootConstrainSelectedInstOperands,
     /*  743397 */     // GIR_Coverage, 12280,
     /*  743397 */     GIR_EraseRootFromParent_Done,
     /*  743398 */   // Label 11637: @743398
     /*  743398 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(743473), // Rule ID 12283 //
     /*  743403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743471 */     GIR_RootConstrainSelectedInstOperands,
     /*  743472 */     // GIR_Coverage, 12283,
     /*  743472 */     GIR_EraseRootFromParent_Done,
     /*  743473 */   // Label 11638: @743473
     /*  743473 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(743548), // Rule ID 12284 //
     /*  743478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743546 */     GIR_RootConstrainSelectedInstOperands,
     /*  743547 */     // GIR_Coverage, 12284,
     /*  743547 */     GIR_EraseRootFromParent_Done,
     /*  743548 */   // Label 11639: @743548
     /*  743548 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(743623), // Rule ID 12287 //
     /*  743553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  743573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743621 */     GIR_RootConstrainSelectedInstOperands,
     /*  743622 */     // GIR_Coverage, 12287,
     /*  743622 */     GIR_EraseRootFromParent_Done,
     /*  743623 */   // Label 11640: @743623
     /*  743623 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(743698), // Rule ID 12288 //
     /*  743628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  743631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  743648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743696 */     GIR_RootConstrainSelectedInstOperands,
     /*  743697 */     // GIR_Coverage, 12288,
     /*  743697 */     GIR_EraseRootFromParent_Done,
     /*  743698 */   // Label 11641: @743698
     /*  743698 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743773), // Rule ID 12291 //
     /*  743703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  743714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  743717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  743720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743771 */     GIR_RootConstrainSelectedInstOperands,
     /*  743772 */     // GIR_Coverage, 12291,
     /*  743772 */     GIR_EraseRootFromParent_Done,
     /*  743773 */   // Label 11642: @743773
     /*  743773 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743848), // Rule ID 12292 //
     /*  743778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  743781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  743789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  743792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  743795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743846 */     GIR_RootConstrainSelectedInstOperands,
     /*  743847 */     // GIR_Coverage, 12292,
     /*  743847 */     GIR_EraseRootFromParent_Done,
     /*  743848 */   // Label 11643: @743848
     /*  743848 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(743923), // Rule ID 12295 //
     /*  743853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  743870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  743873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743921 */     GIR_RootConstrainSelectedInstOperands,
     /*  743922 */     // GIR_Coverage, 12295,
     /*  743922 */     GIR_EraseRootFromParent_Done,
     /*  743923 */   // Label 11644: @743923
     /*  743923 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(743998), // Rule ID 12296 //
     /*  743928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  743931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  743945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  743948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743974 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743996 */     GIR_RootConstrainSelectedInstOperands,
     /*  743997 */     // GIR_Coverage, 12296,
     /*  743997 */     GIR_EraseRootFromParent_Done,
     /*  743998 */   // Label 11645: @743998
     /*  743998 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(744073), // Rule ID 12299 //
     /*  744003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  744023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744071 */     GIR_RootConstrainSelectedInstOperands,
     /*  744072 */     // GIR_Coverage, 12299,
     /*  744072 */     GIR_EraseRootFromParent_Done,
     /*  744073 */   // Label 11646: @744073
     /*  744073 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(744148), // Rule ID 12300 //
     /*  744078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  744098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744146 */     GIR_RootConstrainSelectedInstOperands,
     /*  744147 */     // GIR_Coverage, 12300,
     /*  744147 */     GIR_EraseRootFromParent_Done,
     /*  744148 */   // Label 11647: @744148
     /*  744148 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(744223), // Rule ID 12303 //
     /*  744153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744221 */     GIR_RootConstrainSelectedInstOperands,
     /*  744222 */     // GIR_Coverage, 12303,
     /*  744222 */     GIR_EraseRootFromParent_Done,
     /*  744223 */   // Label 11648: @744223
     /*  744223 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744298), // Rule ID 12304 //
     /*  744228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744296 */     GIR_RootConstrainSelectedInstOperands,
     /*  744297 */     // GIR_Coverage, 12304,
     /*  744297 */     GIR_EraseRootFromParent_Done,
     /*  744298 */   // Label 11649: @744298
     /*  744298 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744373), // Rule ID 12307 //
     /*  744303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744371 */     GIR_RootConstrainSelectedInstOperands,
     /*  744372 */     // GIR_Coverage, 12307,
     /*  744372 */     GIR_EraseRootFromParent_Done,
     /*  744373 */   // Label 11650: @744373
     /*  744373 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(744448), // Rule ID 12308 //
     /*  744378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744446 */     GIR_RootConstrainSelectedInstOperands,
     /*  744447 */     // GIR_Coverage, 12308,
     /*  744447 */     GIR_EraseRootFromParent_Done,
     /*  744448 */   // Label 11651: @744448
     /*  744448 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(744523), // Rule ID 12311 //
     /*  744453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744521 */     GIR_RootConstrainSelectedInstOperands,
     /*  744522 */     // GIR_Coverage, 12311,
     /*  744522 */     GIR_EraseRootFromParent_Done,
     /*  744523 */   // Label 11652: @744523
     /*  744523 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744598), // Rule ID 12312 //
     /*  744528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744596 */     GIR_RootConstrainSelectedInstOperands,
     /*  744597 */     // GIR_Coverage, 12312,
     /*  744597 */     GIR_EraseRootFromParent_Done,
     /*  744598 */   // Label 11653: @744598
     /*  744598 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(744673), // Rule ID 12315 //
     /*  744603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  744614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  744617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744649 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744671 */     GIR_RootConstrainSelectedInstOperands,
     /*  744672 */     // GIR_Coverage, 12315,
     /*  744672 */     GIR_EraseRootFromParent_Done,
     /*  744673 */   // Label 11654: @744673
     /*  744673 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744748), // Rule ID 12316 //
     /*  744678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  744689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  744692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744746 */     GIR_RootConstrainSelectedInstOperands,
     /*  744747 */     // GIR_Coverage, 12316,
     /*  744747 */     GIR_EraseRootFromParent_Done,
     /*  744748 */   // Label 11655: @744748
     /*  744748 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744823), // Rule ID 12319 //
     /*  744753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  744764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  744767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744799 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744821 */     GIR_RootConstrainSelectedInstOperands,
     /*  744822 */     // GIR_Coverage, 12319,
     /*  744822 */     GIR_EraseRootFromParent_Done,
     /*  744823 */   // Label 11656: @744823
     /*  744823 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744898), // Rule ID 12320 //
     /*  744828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  744839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  744842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744896 */     GIR_RootConstrainSelectedInstOperands,
     /*  744897 */     // GIR_Coverage, 12320,
     /*  744897 */     GIR_EraseRootFromParent_Done,
     /*  744898 */   // Label 11657: @744898
     /*  744898 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(744973), // Rule ID 12323 //
     /*  744903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  744914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  744917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  744920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744949 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  744952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744971 */     GIR_RootConstrainSelectedInstOperands,
     /*  744972 */     // GIR_Coverage, 12323,
     /*  744972 */     GIR_EraseRootFromParent_Done,
     /*  744973 */   // Label 11658: @744973
     /*  744973 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(745048), // Rule ID 12324 //
     /*  744978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  744989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  744992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  744995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745046 */     GIR_RootConstrainSelectedInstOperands,
     /*  745047 */     // GIR_Coverage, 12324,
     /*  745047 */     GIR_EraseRootFromParent_Done,
     /*  745048 */   // Label 11659: @745048
     /*  745048 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(745123), // Rule ID 12327 //
     /*  745053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745121 */     GIR_RootConstrainSelectedInstOperands,
     /*  745122 */     // GIR_Coverage, 12327,
     /*  745122 */     GIR_EraseRootFromParent_Done,
     /*  745123 */   // Label 11660: @745123
     /*  745123 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(745198), // Rule ID 12328 //
     /*  745128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745196 */     GIR_RootConstrainSelectedInstOperands,
     /*  745197 */     // GIR_Coverage, 12328,
     /*  745197 */     GIR_EraseRootFromParent_Done,
     /*  745198 */   // Label 11661: @745198
     /*  745198 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(745273), // Rule ID 12331 //
     /*  745203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745271 */     GIR_RootConstrainSelectedInstOperands,
     /*  745272 */     // GIR_Coverage, 12331,
     /*  745272 */     GIR_EraseRootFromParent_Done,
     /*  745273 */   // Label 11662: @745273
     /*  745273 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745348), // Rule ID 12332 //
     /*  745278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745346 */     GIR_RootConstrainSelectedInstOperands,
     /*  745347 */     // GIR_Coverage, 12332,
     /*  745347 */     GIR_EraseRootFromParent_Done,
     /*  745348 */   // Label 11663: @745348
     /*  745348 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745423), // Rule ID 12335 //
     /*  745353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745421 */     GIR_RootConstrainSelectedInstOperands,
     /*  745422 */     // GIR_Coverage, 12335,
     /*  745422 */     GIR_EraseRootFromParent_Done,
     /*  745423 */   // Label 11664: @745423
     /*  745423 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(745498), // Rule ID 12336 //
     /*  745428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745496 */     GIR_RootConstrainSelectedInstOperands,
     /*  745497 */     // GIR_Coverage, 12336,
     /*  745497 */     GIR_EraseRootFromParent_Done,
     /*  745498 */   // Label 11665: @745498
     /*  745498 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745573), // Rule ID 12339 //
     /*  745503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745571 */     GIR_RootConstrainSelectedInstOperands,
     /*  745572 */     // GIR_Coverage, 12339,
     /*  745572 */     GIR_EraseRootFromParent_Done,
     /*  745573 */   // Label 11666: @745573
     /*  745573 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(745648), // Rule ID 12340 //
     /*  745578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745646 */     GIR_RootConstrainSelectedInstOperands,
     /*  745647 */     // GIR_Coverage, 12340,
     /*  745647 */     GIR_EraseRootFromParent_Done,
     /*  745648 */   // Label 11667: @745648
     /*  745648 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745723), // Rule ID 12343 //
     /*  745653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  745664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  745667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745721 */     GIR_RootConstrainSelectedInstOperands,
     /*  745722 */     // GIR_Coverage, 12343,
     /*  745722 */     GIR_EraseRootFromParent_Done,
     /*  745723 */   // Label 11668: @745723
     /*  745723 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745798), // Rule ID 12344 //
     /*  745728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  745739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  745742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745796 */     GIR_RootConstrainSelectedInstOperands,
     /*  745797 */     // GIR_Coverage, 12344,
     /*  745797 */     GIR_EraseRootFromParent_Done,
     /*  745798 */   // Label 11669: @745798
     /*  745798 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745873), // Rule ID 12347 //
     /*  745803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  745806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  745820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745849 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745871 */     GIR_RootConstrainSelectedInstOperands,
     /*  745872 */     // GIR_Coverage, 12347,
     /*  745872 */     GIR_EraseRootFromParent_Done,
     /*  745873 */   // Label 11670: @745873
     /*  745873 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(745948), // Rule ID 12348 //
     /*  745878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  745881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  745895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745946 */     GIR_RootConstrainSelectedInstOperands,
     /*  745947 */     // GIR_Coverage, 12348,
     /*  745947 */     GIR_EraseRootFromParent_Done,
     /*  745948 */   // Label 11671: @745948
     /*  745948 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(746023), // Rule ID 12351 //
     /*  745953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  745956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  745964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  745967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  745970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746021 */     GIR_RootConstrainSelectedInstOperands,
     /*  746022 */     // GIR_Coverage, 12351,
     /*  746022 */     GIR_EraseRootFromParent_Done,
     /*  746023 */   // Label 11672: @746023
     /*  746023 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(746098), // Rule ID 12352 //
     /*  746028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746096 */     GIR_RootConstrainSelectedInstOperands,
     /*  746097 */     // GIR_Coverage, 12352,
     /*  746097 */     GIR_EraseRootFromParent_Done,
     /*  746098 */   // Label 11673: @746098
     /*  746098 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(746173), // Rule ID 12355 //
     /*  746103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746171 */     GIR_RootConstrainSelectedInstOperands,
     /*  746172 */     // GIR_Coverage, 12355,
     /*  746172 */     GIR_EraseRootFromParent_Done,
     /*  746173 */   // Label 11674: @746173
     /*  746173 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(746248), // Rule ID 12356 //
     /*  746178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746246 */     GIR_RootConstrainSelectedInstOperands,
     /*  746247 */     // GIR_Coverage, 12356,
     /*  746247 */     GIR_EraseRootFromParent_Done,
     /*  746248 */   // Label 11675: @746248
     /*  746248 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746323), // Rule ID 12359 //
     /*  746253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746321 */     GIR_RootConstrainSelectedInstOperands,
     /*  746322 */     // GIR_Coverage, 12359,
     /*  746322 */     GIR_EraseRootFromParent_Done,
     /*  746323 */   // Label 11676: @746323
     /*  746323 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746398), // Rule ID 12360 //
     /*  746328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746396 */     GIR_RootConstrainSelectedInstOperands,
     /*  746397 */     // GIR_Coverage, 12360,
     /*  746397 */     GIR_EraseRootFromParent_Done,
     /*  746398 */   // Label 11677: @746398
     /*  746398 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(746473), // Rule ID 12363 //
     /*  746403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746471 */     GIR_RootConstrainSelectedInstOperands,
     /*  746472 */     // GIR_Coverage, 12363,
     /*  746472 */     GIR_EraseRootFromParent_Done,
     /*  746473 */   // Label 11678: @746473
     /*  746473 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(746548), // Rule ID 12364 //
     /*  746478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746524 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746546 */     GIR_RootConstrainSelectedInstOperands,
     /*  746547 */     // GIR_Coverage, 12364,
     /*  746547 */     GIR_EraseRootFromParent_Done,
     /*  746548 */   // Label 11679: @746548
     /*  746548 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(746623), // Rule ID 12367 //
     /*  746553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746599 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746621 */     GIR_RootConstrainSelectedInstOperands,
     /*  746622 */     // GIR_Coverage, 12367,
     /*  746622 */     GIR_EraseRootFromParent_Done,
     /*  746623 */   // Label 11680: @746623
     /*  746623 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(746698), // Rule ID 12368 //
     /*  746628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746696 */     GIR_RootConstrainSelectedInstOperands,
     /*  746697 */     // GIR_Coverage, 12368,
     /*  746697 */     GIR_EraseRootFromParent_Done,
     /*  746698 */   // Label 11681: @746698
     /*  746698 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746773), // Rule ID 12371 //
     /*  746703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  746723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746749 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746771 */     GIR_RootConstrainSelectedInstOperands,
     /*  746772 */     // GIR_Coverage, 12371,
     /*  746772 */     GIR_EraseRootFromParent_Done,
     /*  746773 */   // Label 11682: @746773
     /*  746773 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746848), // Rule ID 12372 //
     /*  746778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  746798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746846 */     GIR_RootConstrainSelectedInstOperands,
     /*  746847 */     // GIR_Coverage, 12372,
     /*  746847 */     GIR_EraseRootFromParent_Done,
     /*  746848 */   // Label 11683: @746848
     /*  746848 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(746923), // Rule ID 12375 //
     /*  746853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  746864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  746867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  746870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  746873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746899 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  746902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746921 */     GIR_RootConstrainSelectedInstOperands,
     /*  746922 */     // GIR_Coverage, 12375,
     /*  746922 */     GIR_EraseRootFromParent_Done,
     /*  746923 */   // Label 11684: @746923
     /*  746923 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(746998), // Rule ID 12376 //
     /*  746928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  746939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  746942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  746945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  746948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  746977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746996 */     GIR_RootConstrainSelectedInstOperands,
     /*  746997 */     // GIR_Coverage, 12376,
     /*  746997 */     GIR_EraseRootFromParent_Done,
     /*  746998 */   // Label 11685: @746998
     /*  746998 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(747073), // Rule ID 12379 //
     /*  747003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747049 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747071 */     GIR_RootConstrainSelectedInstOperands,
     /*  747072 */     // GIR_Coverage, 12379,
     /*  747072 */     GIR_EraseRootFromParent_Done,
     /*  747073 */   // Label 11686: @747073
     /*  747073 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(747148), // Rule ID 12380 //
     /*  747078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747146 */     GIR_RootConstrainSelectedInstOperands,
     /*  747147 */     // GIR_Coverage, 12380,
     /*  747147 */     GIR_EraseRootFromParent_Done,
     /*  747148 */   // Label 11687: @747148
     /*  747148 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(747223), // Rule ID 12383 //
     /*  747153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747221 */     GIR_RootConstrainSelectedInstOperands,
     /*  747222 */     // GIR_Coverage, 12383,
     /*  747222 */     GIR_EraseRootFromParent_Done,
     /*  747223 */   // Label 11688: @747223
     /*  747223 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747298), // Rule ID 12384 //
     /*  747228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747296 */     GIR_RootConstrainSelectedInstOperands,
     /*  747297 */     // GIR_Coverage, 12384,
     /*  747297 */     GIR_EraseRootFromParent_Done,
     /*  747298 */   // Label 11689: @747298
     /*  747298 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747373), // Rule ID 12387 //
     /*  747303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747349 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747371 */     GIR_RootConstrainSelectedInstOperands,
     /*  747372 */     // GIR_Coverage, 12387,
     /*  747372 */     GIR_EraseRootFromParent_Done,
     /*  747373 */   // Label 11690: @747373
     /*  747373 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(747448), // Rule ID 12388 //
     /*  747378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747446 */     GIR_RootConstrainSelectedInstOperands,
     /*  747447 */     // GIR_Coverage, 12388,
     /*  747447 */     GIR_EraseRootFromParent_Done,
     /*  747448 */   // Label 11691: @747448
     /*  747448 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(747523), // Rule ID 12391 //
     /*  747453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747521 */     GIR_RootConstrainSelectedInstOperands,
     /*  747522 */     // GIR_Coverage, 12391,
     /*  747522 */     GIR_EraseRootFromParent_Done,
     /*  747523 */   // Label 11692: @747523
     /*  747523 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747598), // Rule ID 12392 //
     /*  747528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747574 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747596 */     GIR_RootConstrainSelectedInstOperands,
     /*  747597 */     // GIR_Coverage, 12392,
     /*  747597 */     GIR_EraseRootFromParent_Done,
     /*  747598 */   // Label 11693: @747598
     /*  747598 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(747673), // Rule ID 12395 //
     /*  747603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747671 */     GIR_RootConstrainSelectedInstOperands,
     /*  747672 */     // GIR_Coverage, 12395,
     /*  747672 */     GIR_EraseRootFromParent_Done,
     /*  747673 */   // Label 11694: @747673
     /*  747673 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747748), // Rule ID 12396 //
     /*  747678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747746 */     GIR_RootConstrainSelectedInstOperands,
     /*  747747 */     // GIR_Coverage, 12396,
     /*  747747 */     GIR_EraseRootFromParent_Done,
     /*  747748 */   // Label 11695: @747748
     /*  747748 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747823), // Rule ID 12399 //
     /*  747753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  747764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  747767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  747770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  747773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747799 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747821 */     GIR_RootConstrainSelectedInstOperands,
     /*  747822 */     // GIR_Coverage, 12399,
     /*  747822 */     GIR_EraseRootFromParent_Done,
     /*  747823 */   // Label 11696: @747823
     /*  747823 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747898), // Rule ID 12400 //
     /*  747828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  747839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  747842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  747845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  747848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747896 */     GIR_RootConstrainSelectedInstOperands,
     /*  747897 */     // GIR_Coverage, 12400,
     /*  747897 */     GIR_EraseRootFromParent_Done,
     /*  747898 */   // Label 11697: @747898
     /*  747898 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(747973), // Rule ID 12403 //
     /*  747903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  747914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  747917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  747920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  747923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747971 */     GIR_RootConstrainSelectedInstOperands,
     /*  747972 */     // GIR_Coverage, 12403,
     /*  747972 */     GIR_EraseRootFromParent_Done,
     /*  747973 */   // Label 11698: @747973
     /*  747973 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(748048), // Rule ID 12404 //
     /*  747978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  747989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  747992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  747995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  747998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748046 */     GIR_RootConstrainSelectedInstOperands,
     /*  748047 */     // GIR_Coverage, 12404,
     /*  748047 */     GIR_EraseRootFromParent_Done,
     /*  748048 */   // Label 11699: @748048
     /*  748048 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(748123), // Rule ID 12407 //
     /*  748053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748099 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748121 */     GIR_RootConstrainSelectedInstOperands,
     /*  748122 */     // GIR_Coverage, 12407,
     /*  748122 */     GIR_EraseRootFromParent_Done,
     /*  748123 */   // Label 11700: @748123
     /*  748123 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(748198), // Rule ID 12408 //
     /*  748128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748196 */     GIR_RootConstrainSelectedInstOperands,
     /*  748197 */     // GIR_Coverage, 12408,
     /*  748197 */     GIR_EraseRootFromParent_Done,
     /*  748198 */   // Label 11701: @748198
     /*  748198 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(748273), // Rule ID 12411 //
     /*  748203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748271 */     GIR_RootConstrainSelectedInstOperands,
     /*  748272 */     // GIR_Coverage, 12411,
     /*  748272 */     GIR_EraseRootFromParent_Done,
     /*  748273 */   // Label 11702: @748273
     /*  748273 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748348), // Rule ID 12412 //
     /*  748278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748346 */     GIR_RootConstrainSelectedInstOperands,
     /*  748347 */     // GIR_Coverage, 12412,
     /*  748347 */     GIR_EraseRootFromParent_Done,
     /*  748348 */   // Label 11703: @748348
     /*  748348 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748423), // Rule ID 12415 //
     /*  748353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748421 */     GIR_RootConstrainSelectedInstOperands,
     /*  748422 */     // GIR_Coverage, 12415,
     /*  748422 */     GIR_EraseRootFromParent_Done,
     /*  748423 */   // Label 11704: @748423
     /*  748423 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(748498), // Rule ID 12416 //
     /*  748428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748496 */     GIR_RootConstrainSelectedInstOperands,
     /*  748497 */     // GIR_Coverage, 12416,
     /*  748497 */     GIR_EraseRootFromParent_Done,
     /*  748498 */   // Label 11705: @748498
     /*  748498 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748573), // Rule ID 12419 //
     /*  748503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748571 */     GIR_RootConstrainSelectedInstOperands,
     /*  748572 */     // GIR_Coverage, 12419,
     /*  748572 */     GIR_EraseRootFromParent_Done,
     /*  748573 */   // Label 11706: @748573
     /*  748573 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(748648), // Rule ID 12420 //
     /*  748578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748646 */     GIR_RootConstrainSelectedInstOperands,
     /*  748647 */     // GIR_Coverage, 12420,
     /*  748647 */     GIR_EraseRootFromParent_Done,
     /*  748648 */   // Label 11707: @748648
     /*  748648 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748723), // Rule ID 12423 //
     /*  748653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  748702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748721 */     GIR_RootConstrainSelectedInstOperands,
     /*  748722 */     // GIR_Coverage, 12423,
     /*  748722 */     GIR_EraseRootFromParent_Done,
     /*  748723 */   // Label 11708: @748723
     /*  748723 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748798), // Rule ID 12424 //
     /*  748728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  748777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748796 */     GIR_RootConstrainSelectedInstOperands,
     /*  748797 */     // GIR_Coverage, 12424,
     /*  748797 */     GIR_EraseRootFromParent_Done,
     /*  748798 */   // Label 11709: @748798
     /*  748798 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748873), // Rule ID 12427 //
     /*  748803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  748814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  748817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  748820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  748852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748871 */     GIR_RootConstrainSelectedInstOperands,
     /*  748872 */     // GIR_Coverage, 12427,
     /*  748872 */     GIR_EraseRootFromParent_Done,
     /*  748873 */   // Label 11710: @748873
     /*  748873 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(748948), // Rule ID 12428 //
     /*  748878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  748889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  748892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  748895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  748927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748946 */     GIR_RootConstrainSelectedInstOperands,
     /*  748947 */     // GIR_Coverage, 12428,
     /*  748947 */     GIR_EraseRootFromParent_Done,
     /*  748948 */   // Label 11711: @748948
     /*  748948 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(749023), // Rule ID 12431 //
     /*  748953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  748964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  748967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  748970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749021 */     GIR_RootConstrainSelectedInstOperands,
     /*  749022 */     // GIR_Coverage, 12431,
     /*  749022 */     GIR_EraseRootFromParent_Done,
     /*  749023 */   // Label 11712: @749023
     /*  749023 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(749098), // Rule ID 12432 //
     /*  749028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749096 */     GIR_RootConstrainSelectedInstOperands,
     /*  749097 */     // GIR_Coverage, 12432,
     /*  749097 */     GIR_EraseRootFromParent_Done,
     /*  749098 */   // Label 11713: @749098
     /*  749098 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(749173), // Rule ID 12435 //
     /*  749103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749171 */     GIR_RootConstrainSelectedInstOperands,
     /*  749172 */     // GIR_Coverage, 12435,
     /*  749172 */     GIR_EraseRootFromParent_Done,
     /*  749173 */   // Label 11714: @749173
     /*  749173 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(749248), // Rule ID 12436 //
     /*  749178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749246 */     GIR_RootConstrainSelectedInstOperands,
     /*  749247 */     // GIR_Coverage, 12436,
     /*  749247 */     GIR_EraseRootFromParent_Done,
     /*  749248 */   // Label 11715: @749248
     /*  749248 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749323), // Rule ID 12439 //
     /*  749253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749321 */     GIR_RootConstrainSelectedInstOperands,
     /*  749322 */     // GIR_Coverage, 12439,
     /*  749322 */     GIR_EraseRootFromParent_Done,
     /*  749323 */   // Label 11716: @749323
     /*  749323 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749398), // Rule ID 12440 //
     /*  749328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749396 */     GIR_RootConstrainSelectedInstOperands,
     /*  749397 */     // GIR_Coverage, 12440,
     /*  749397 */     GIR_EraseRootFromParent_Done,
     /*  749398 */   // Label 11717: @749398
     /*  749398 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(749473), // Rule ID 12443 //
     /*  749403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749449 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749471 */     GIR_RootConstrainSelectedInstOperands,
     /*  749472 */     // GIR_Coverage, 12443,
     /*  749472 */     GIR_EraseRootFromParent_Done,
     /*  749473 */   // Label 11718: @749473
     /*  749473 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(749548), // Rule ID 12444 //
     /*  749478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749524 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749546 */     GIR_RootConstrainSelectedInstOperands,
     /*  749547 */     // GIR_Coverage, 12444,
     /*  749547 */     GIR_EraseRootFromParent_Done,
     /*  749548 */   // Label 11719: @749548
     /*  749548 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(749623), // Rule ID 12447 //
     /*  749553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749599 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749621 */     GIR_RootConstrainSelectedInstOperands,
     /*  749622 */     // GIR_Coverage, 12447,
     /*  749622 */     GIR_EraseRootFromParent_Done,
     /*  749623 */   // Label 11720: @749623
     /*  749623 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(749698), // Rule ID 12448 //
     /*  749628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749696 */     GIR_RootConstrainSelectedInstOperands,
     /*  749697 */     // GIR_Coverage, 12448,
     /*  749697 */     GIR_EraseRootFromParent_Done,
     /*  749698 */   // Label 11721: @749698
     /*  749698 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749773), // Rule ID 12451 //
     /*  749703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749771 */     GIR_RootConstrainSelectedInstOperands,
     /*  749772 */     // GIR_Coverage, 12451,
     /*  749772 */     GIR_EraseRootFromParent_Done,
     /*  749773 */   // Label 11722: @749773
     /*  749773 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749848), // Rule ID 12452 //
     /*  749778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749846 */     GIR_RootConstrainSelectedInstOperands,
     /*  749847 */     // GIR_Coverage, 12452,
     /*  749847 */     GIR_EraseRootFromParent_Done,
     /*  749848 */   // Label 11723: @749848
     /*  749848 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(749923), // Rule ID 12455 //
     /*  749853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  749864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  749867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749921 */     GIR_RootConstrainSelectedInstOperands,
     /*  749922 */     // GIR_Coverage, 12455,
     /*  749922 */     GIR_EraseRootFromParent_Done,
     /*  749923 */   // Label 11724: @749923
     /*  749923 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(749998), // Rule ID 12456 //
     /*  749928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  749939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  749942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749996 */     GIR_RootConstrainSelectedInstOperands,
     /*  749997 */     // GIR_Coverage, 12456,
     /*  749997 */     GIR_EraseRootFromParent_Done,
     /*  749998 */   // Label 11725: @749998
     /*  749998 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(750073), // Rule ID 12459 //
     /*  750003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750071 */     GIR_RootConstrainSelectedInstOperands,
     /*  750072 */     // GIR_Coverage, 12459,
     /*  750072 */     GIR_EraseRootFromParent_Done,
     /*  750073 */   // Label 11726: @750073
     /*  750073 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(750148), // Rule ID 12460 //
     /*  750078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750146 */     GIR_RootConstrainSelectedInstOperands,
     /*  750147 */     // GIR_Coverage, 12460,
     /*  750147 */     GIR_EraseRootFromParent_Done,
     /*  750148 */   // Label 11727: @750148
     /*  750148 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(750223), // Rule ID 12463 //
     /*  750153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750221 */     GIR_RootConstrainSelectedInstOperands,
     /*  750222 */     // GIR_Coverage, 12463,
     /*  750222 */     GIR_EraseRootFromParent_Done,
     /*  750223 */   // Label 11728: @750223
     /*  750223 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750298), // Rule ID 12464 //
     /*  750228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750296 */     GIR_RootConstrainSelectedInstOperands,
     /*  750297 */     // GIR_Coverage, 12464,
     /*  750297 */     GIR_EraseRootFromParent_Done,
     /*  750298 */   // Label 11729: @750298
     /*  750298 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750373), // Rule ID 12467 //
     /*  750303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750349 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750371 */     GIR_RootConstrainSelectedInstOperands,
     /*  750372 */     // GIR_Coverage, 12467,
     /*  750372 */     GIR_EraseRootFromParent_Done,
     /*  750373 */   // Label 11730: @750373
     /*  750373 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(750448), // Rule ID 12468 //
     /*  750378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750446 */     GIR_RootConstrainSelectedInstOperands,
     /*  750447 */     // GIR_Coverage, 12468,
     /*  750447 */     GIR_EraseRootFromParent_Done,
     /*  750448 */   // Label 11731: @750448
     /*  750448 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(750523), // Rule ID 12471 //
     /*  750453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750521 */     GIR_RootConstrainSelectedInstOperands,
     /*  750522 */     // GIR_Coverage, 12471,
     /*  750522 */     GIR_EraseRootFromParent_Done,
     /*  750523 */   // Label 11732: @750523
     /*  750523 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750598), // Rule ID 12472 //
     /*  750528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750596 */     GIR_RootConstrainSelectedInstOperands,
     /*  750597 */     // GIR_Coverage, 12472,
     /*  750597 */     GIR_EraseRootFromParent_Done,
     /*  750598 */   // Label 11733: @750598
     /*  750598 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(750673), // Rule ID 12475 //
     /*  750603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750671 */     GIR_RootConstrainSelectedInstOperands,
     /*  750672 */     // GIR_Coverage, 12475,
     /*  750672 */     GIR_EraseRootFromParent_Done,
     /*  750673 */   // Label 11734: @750673
     /*  750673 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750748), // Rule ID 12476 //
     /*  750678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750746 */     GIR_RootConstrainSelectedInstOperands,
     /*  750747 */     // GIR_Coverage, 12476,
     /*  750747 */     GIR_EraseRootFromParent_Done,
     /*  750748 */   // Label 11735: @750748
     /*  750748 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750823), // Rule ID 12479 //
     /*  750753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  750764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  750767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750821 */     GIR_RootConstrainSelectedInstOperands,
     /*  750822 */     // GIR_Coverage, 12479,
     /*  750822 */     GIR_EraseRootFromParent_Done,
     /*  750823 */   // Label 11736: @750823
     /*  750823 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750898), // Rule ID 12480 //
     /*  750828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  750839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  750842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750896 */     GIR_RootConstrainSelectedInstOperands,
     /*  750897 */     // GIR_Coverage, 12480,
     /*  750897 */     GIR_EraseRootFromParent_Done,
     /*  750898 */   // Label 11737: @750898
     /*  750898 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(750973), // Rule ID 12483 //
     /*  750903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  750914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  750917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  750920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  750923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750949 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  750952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750971 */     GIR_RootConstrainSelectedInstOperands,
     /*  750972 */     // GIR_Coverage, 12483,
     /*  750972 */     GIR_EraseRootFromParent_Done,
     /*  750973 */   // Label 11738: @750973
     /*  750973 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(751048), // Rule ID 12484 //
     /*  750978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  750989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  750992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  750995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  750998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  751027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751046 */     GIR_RootConstrainSelectedInstOperands,
     /*  751047 */     // GIR_Coverage, 12484,
     /*  751047 */     GIR_EraseRootFromParent_Done,
     /*  751048 */   // Label 11739: @751048
     /*  751048 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(751123), // Rule ID 12487 //
     /*  751053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751121 */     GIR_RootConstrainSelectedInstOperands,
     /*  751122 */     // GIR_Coverage, 12487,
     /*  751122 */     GIR_EraseRootFromParent_Done,
     /*  751123 */   // Label 11740: @751123
     /*  751123 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(751198), // Rule ID 12488 //
     /*  751128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751196 */     GIR_RootConstrainSelectedInstOperands,
     /*  751197 */     // GIR_Coverage, 12488,
     /*  751197 */     GIR_EraseRootFromParent_Done,
     /*  751198 */   // Label 11741: @751198
     /*  751198 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(751273), // Rule ID 12491 //
     /*  751203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751271 */     GIR_RootConstrainSelectedInstOperands,
     /*  751272 */     // GIR_Coverage, 12491,
     /*  751272 */     GIR_EraseRootFromParent_Done,
     /*  751273 */   // Label 11742: @751273
     /*  751273 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751348), // Rule ID 12492 //
     /*  751278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751346 */     GIR_RootConstrainSelectedInstOperands,
     /*  751347 */     // GIR_Coverage, 12492,
     /*  751347 */     GIR_EraseRootFromParent_Done,
     /*  751348 */   // Label 11743: @751348
     /*  751348 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751423), // Rule ID 12495 //
     /*  751353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751421 */     GIR_RootConstrainSelectedInstOperands,
     /*  751422 */     // GIR_Coverage, 12495,
     /*  751422 */     GIR_EraseRootFromParent_Done,
     /*  751423 */   // Label 11744: @751423
     /*  751423 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751498), // Rule ID 12496 //
     /*  751428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751496 */     GIR_RootConstrainSelectedInstOperands,
     /*  751497 */     // GIR_Coverage, 12496,
     /*  751497 */     GIR_EraseRootFromParent_Done,
     /*  751498 */   // Label 11745: @751498
     /*  751498 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751573), // Rule ID 12499 //
     /*  751503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751571 */     GIR_RootConstrainSelectedInstOperands,
     /*  751572 */     // GIR_Coverage, 12499,
     /*  751572 */     GIR_EraseRootFromParent_Done,
     /*  751573 */   // Label 11746: @751573
     /*  751573 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(751648), // Rule ID 12500 //
     /*  751578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751646 */     GIR_RootConstrainSelectedInstOperands,
     /*  751647 */     // GIR_Coverage, 12500,
     /*  751647 */     GIR_EraseRootFromParent_Done,
     /*  751648 */   // Label 11747: @751648
     /*  751648 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751723), // Rule ID 12503 //
     /*  751653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751721 */     GIR_RootConstrainSelectedInstOperands,
     /*  751722 */     // GIR_Coverage, 12503,
     /*  751722 */     GIR_EraseRootFromParent_Done,
     /*  751723 */   // Label 11748: @751723
     /*  751723 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751798), // Rule ID 12504 //
     /*  751728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751796 */     GIR_RootConstrainSelectedInstOperands,
     /*  751797 */     // GIR_Coverage, 12504,
     /*  751797 */     GIR_EraseRootFromParent_Done,
     /*  751798 */   // Label 11749: @751798
     /*  751798 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751873), // Rule ID 12507 //
     /*  751803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  751823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751849 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751871 */     GIR_RootConstrainSelectedInstOperands,
     /*  751872 */     // GIR_Coverage, 12507,
     /*  751872 */     GIR_EraseRootFromParent_Done,
     /*  751873 */   // Label 11750: @751873
     /*  751873 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(751948), // Rule ID 12508 //
     /*  751878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  751898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751946 */     GIR_RootConstrainSelectedInstOperands,
     /*  751947 */     // GIR_Coverage, 12508,
     /*  751947 */     GIR_EraseRootFromParent_Done,
     /*  751948 */   // Label 11751: @751948
     /*  751948 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(752023), // Rule ID 12511 //
     /*  751953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  751964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  751967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  751970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  751973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752021 */     GIR_RootConstrainSelectedInstOperands,
     /*  752022 */     // GIR_Coverage, 12511,
     /*  752022 */     GIR_EraseRootFromParent_Done,
     /*  752023 */   // Label 11752: @752023
     /*  752023 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(752098), // Rule ID 12512 //
     /*  752028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752096 */     GIR_RootConstrainSelectedInstOperands,
     /*  752097 */     // GIR_Coverage, 12512,
     /*  752097 */     GIR_EraseRootFromParent_Done,
     /*  752098 */   // Label 11753: @752098
     /*  752098 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(752173), // Rule ID 12515 //
     /*  752103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752171 */     GIR_RootConstrainSelectedInstOperands,
     /*  752172 */     // GIR_Coverage, 12515,
     /*  752172 */     GIR_EraseRootFromParent_Done,
     /*  752173 */   // Label 11754: @752173
     /*  752173 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(752248), // Rule ID 12516 //
     /*  752178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752246 */     GIR_RootConstrainSelectedInstOperands,
     /*  752247 */     // GIR_Coverage, 12516,
     /*  752247 */     GIR_EraseRootFromParent_Done,
     /*  752248 */   // Label 11755: @752248
     /*  752248 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752323), // Rule ID 12519 //
     /*  752253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752321 */     GIR_RootConstrainSelectedInstOperands,
     /*  752322 */     // GIR_Coverage, 12519,
     /*  752322 */     GIR_EraseRootFromParent_Done,
     /*  752323 */   // Label 11756: @752323
     /*  752323 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752398), // Rule ID 12520 //
     /*  752328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752396 */     GIR_RootConstrainSelectedInstOperands,
     /*  752397 */     // GIR_Coverage, 12520,
     /*  752397 */     GIR_EraseRootFromParent_Done,
     /*  752398 */   // Label 11757: @752398
     /*  752398 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752473), // Rule ID 12523 //
     /*  752403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752471 */     GIR_RootConstrainSelectedInstOperands,
     /*  752472 */     // GIR_Coverage, 12523,
     /*  752472 */     GIR_EraseRootFromParent_Done,
     /*  752473 */   // Label 11758: @752473
     /*  752473 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752548), // Rule ID 12524 //
     /*  752478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752546 */     GIR_RootConstrainSelectedInstOperands,
     /*  752547 */     // GIR_Coverage, 12524,
     /*  752547 */     GIR_EraseRootFromParent_Done,
     /*  752548 */   // Label 11759: @752548
     /*  752548 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(752623), // Rule ID 12527 //
     /*  752553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752621 */     GIR_RootConstrainSelectedInstOperands,
     /*  752622 */     // GIR_Coverage, 12527,
     /*  752622 */     GIR_EraseRootFromParent_Done,
     /*  752623 */   // Label 11760: @752623
     /*  752623 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(752698), // Rule ID 12528 //
     /*  752628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752696 */     GIR_RootConstrainSelectedInstOperands,
     /*  752697 */     // GIR_Coverage, 12528,
     /*  752697 */     GIR_EraseRootFromParent_Done,
     /*  752698 */   // Label 11761: @752698
     /*  752698 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752773), // Rule ID 12531 //
     /*  752703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752771 */     GIR_RootConstrainSelectedInstOperands,
     /*  752772 */     // GIR_Coverage, 12531,
     /*  752772 */     GIR_EraseRootFromParent_Done,
     /*  752773 */   // Label 11762: @752773
     /*  752773 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752848), // Rule ID 12532 //
     /*  752778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752846 */     GIR_RootConstrainSelectedInstOperands,
     /*  752847 */     // GIR_Coverage, 12532,
     /*  752847 */     GIR_EraseRootFromParent_Done,
     /*  752848 */   // Label 11763: @752848
     /*  752848 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(752923), // Rule ID 12535 //
     /*  752853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  752873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752921 */     GIR_RootConstrainSelectedInstOperands,
     /*  752922 */     // GIR_Coverage, 12535,
     /*  752922 */     GIR_EraseRootFromParent_Done,
     /*  752923 */   // Label 11764: @752923
     /*  752923 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(752998), // Rule ID 12536 //
     /*  752928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  752948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752974 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752996 */     GIR_RootConstrainSelectedInstOperands,
     /*  752997 */     // GIR_Coverage, 12536,
     /*  752997 */     GIR_EraseRootFromParent_Done,
     /*  752998 */   // Label 11765: @752998
     /*  752998 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(753073), // Rule ID 12539 //
     /*  753003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753071 */     GIR_RootConstrainSelectedInstOperands,
     /*  753072 */     // GIR_Coverage, 12539,
     /*  753072 */     GIR_EraseRootFromParent_Done,
     /*  753073 */   // Label 11766: @753073
     /*  753073 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(753148), // Rule ID 12540 //
     /*  753078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753146 */     GIR_RootConstrainSelectedInstOperands,
     /*  753147 */     // GIR_Coverage, 12540,
     /*  753147 */     GIR_EraseRootFromParent_Done,
     /*  753148 */   // Label 11767: @753148
     /*  753148 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(753223), // Rule ID 12543 //
     /*  753153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753221 */     GIR_RootConstrainSelectedInstOperands,
     /*  753222 */     // GIR_Coverage, 12543,
     /*  753222 */     GIR_EraseRootFromParent_Done,
     /*  753223 */   // Label 11768: @753223
     /*  753223 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753298), // Rule ID 12544 //
     /*  753228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753296 */     GIR_RootConstrainSelectedInstOperands,
     /*  753297 */     // GIR_Coverage, 12544,
     /*  753297 */     GIR_EraseRootFromParent_Done,
     /*  753298 */   // Label 11769: @753298
     /*  753298 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753373), // Rule ID 12547 //
     /*  753303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753371 */     GIR_RootConstrainSelectedInstOperands,
     /*  753372 */     // GIR_Coverage, 12547,
     /*  753372 */     GIR_EraseRootFromParent_Done,
     /*  753373 */   // Label 11770: @753373
     /*  753373 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753448), // Rule ID 12548 //
     /*  753378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753446 */     GIR_RootConstrainSelectedInstOperands,
     /*  753447 */     // GIR_Coverage, 12548,
     /*  753447 */     GIR_EraseRootFromParent_Done,
     /*  753448 */   // Label 11771: @753448
     /*  753448 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(753523), // Rule ID 12551 //
     /*  753453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753521 */     GIR_RootConstrainSelectedInstOperands,
     /*  753522 */     // GIR_Coverage, 12551,
     /*  753522 */     GIR_EraseRootFromParent_Done,
     /*  753523 */   // Label 11772: @753523
     /*  753523 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(753598), // Rule ID 12552 //
     /*  753528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753596 */     GIR_RootConstrainSelectedInstOperands,
     /*  753597 */     // GIR_Coverage, 12552,
     /*  753597 */     GIR_EraseRootFromParent_Done,
     /*  753598 */   // Label 11773: @753598
     /*  753598 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(753673), // Rule ID 12555 //
     /*  753603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753649 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753671 */     GIR_RootConstrainSelectedInstOperands,
     /*  753672 */     // GIR_Coverage, 12555,
     /*  753672 */     GIR_EraseRootFromParent_Done,
     /*  753673 */   // Label 11774: @753673
     /*  753673 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753748), // Rule ID 12556 //
     /*  753678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753746 */     GIR_RootConstrainSelectedInstOperands,
     /*  753747 */     // GIR_Coverage, 12556,
     /*  753747 */     GIR_EraseRootFromParent_Done,
     /*  753748 */   // Label 11775: @753748
     /*  753748 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753823), // Rule ID 12559 //
     /*  753753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  753770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753799 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753821 */     GIR_RootConstrainSelectedInstOperands,
     /*  753822 */     // GIR_Coverage, 12559,
     /*  753822 */     GIR_EraseRootFromParent_Done,
     /*  753823 */   // Label 11776: @753823
     /*  753823 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753898), // Rule ID 12560 //
     /*  753828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  753845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753896 */     GIR_RootConstrainSelectedInstOperands,
     /*  753897 */     // GIR_Coverage, 12560,
     /*  753897 */     GIR_EraseRootFromParent_Done,
     /*  753898 */   // Label 11777: @753898
     /*  753898 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(753973), // Rule ID 12563 //
     /*  753903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  753914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  753917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  753920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753949 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  753952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753971 */     GIR_RootConstrainSelectedInstOperands,
     /*  753972 */     // GIR_Coverage, 12563,
     /*  753972 */     GIR_EraseRootFromParent_Done,
     /*  753973 */   // Label 11778: @753973
     /*  753973 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(754048), // Rule ID 12564 //
     /*  753978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  753989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  753992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  753995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754046 */     GIR_RootConstrainSelectedInstOperands,
     /*  754047 */     // GIR_Coverage, 12564,
     /*  754047 */     GIR_EraseRootFromParent_Done,
     /*  754048 */   // Label 11779: @754048
     /*  754048 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(754123), // Rule ID 12567 //
     /*  754053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754121 */     GIR_RootConstrainSelectedInstOperands,
     /*  754122 */     // GIR_Coverage, 12567,
     /*  754122 */     GIR_EraseRootFromParent_Done,
     /*  754123 */   // Label 11780: @754123
     /*  754123 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(754198), // Rule ID 12568 //
     /*  754128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754196 */     GIR_RootConstrainSelectedInstOperands,
     /*  754197 */     // GIR_Coverage, 12568,
     /*  754197 */     GIR_EraseRootFromParent_Done,
     /*  754198 */   // Label 11781: @754198
     /*  754198 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(754273), // Rule ID 12571 //
     /*  754203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754271 */     GIR_RootConstrainSelectedInstOperands,
     /*  754272 */     // GIR_Coverage, 12571,
     /*  754272 */     GIR_EraseRootFromParent_Done,
     /*  754273 */   // Label 11782: @754273
     /*  754273 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(754348), // Rule ID 12572 //
     /*  754278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754346 */     GIR_RootConstrainSelectedInstOperands,
     /*  754347 */     // GIR_Coverage, 12572,
     /*  754347 */     GIR_EraseRootFromParent_Done,
     /*  754348 */   // Label 11783: @754348
     /*  754348 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(754423), // Rule ID 12575 //
     /*  754353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754421 */     GIR_RootConstrainSelectedInstOperands,
     /*  754422 */     // GIR_Coverage, 12575,
     /*  754422 */     GIR_EraseRootFromParent_Done,
     /*  754423 */   // Label 11784: @754423
     /*  754423 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(754498), // Rule ID 12576 //
     /*  754428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754496 */     GIR_RootConstrainSelectedInstOperands,
     /*  754497 */     // GIR_Coverage, 12576,
     /*  754497 */     GIR_EraseRootFromParent_Done,
     /*  754498 */   // Label 11785: @754498
     /*  754498 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(754573), // Rule ID 12579 //
     /*  754503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754571 */     GIR_RootConstrainSelectedInstOperands,
     /*  754572 */     // GIR_Coverage, 12579,
     /*  754572 */     GIR_EraseRootFromParent_Done,
     /*  754573 */   // Label 11786: @754573
     /*  754573 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(754648), // Rule ID 12580 //
     /*  754578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754646 */     GIR_RootConstrainSelectedInstOperands,
     /*  754647 */     // GIR_Coverage, 12580,
     /*  754647 */     GIR_EraseRootFromParent_Done,
     /*  754648 */   // Label 11787: @754648
     /*  754648 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754723), // Rule ID 12583 //
     /*  754653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754721 */     GIR_RootConstrainSelectedInstOperands,
     /*  754722 */     // GIR_Coverage, 12583,
     /*  754722 */     GIR_EraseRootFromParent_Done,
     /*  754723 */   // Label 11788: @754723
     /*  754723 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754798), // Rule ID 12584 //
     /*  754728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754796 */     GIR_RootConstrainSelectedInstOperands,
     /*  754797 */     // GIR_Coverage, 12584,
     /*  754797 */     GIR_EraseRootFromParent_Done,
     /*  754798 */   // Label 11789: @754798
     /*  754798 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754873), // Rule ID 12587 //
     /*  754803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  754820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754849 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754871 */     GIR_RootConstrainSelectedInstOperands,
     /*  754872 */     // GIR_Coverage, 12587,
     /*  754872 */     GIR_EraseRootFromParent_Done,
     /*  754873 */   // Label 11790: @754873
     /*  754873 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(754948), // Rule ID 12588 //
     /*  754878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  754881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  754895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  754924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754946 */     GIR_RootConstrainSelectedInstOperands,
     /*  754947 */     // GIR_Coverage, 12588,
     /*  754947 */     GIR_EraseRootFromParent_Done,
     /*  754948 */   // Label 11791: @754948
     /*  754948 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(755023), // Rule ID 12591 //
     /*  754953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  754964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  754967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  754970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755021 */     GIR_RootConstrainSelectedInstOperands,
     /*  755022 */     // GIR_Coverage, 12591,
     /*  755022 */     GIR_EraseRootFromParent_Done,
     /*  755023 */   // Label 11792: @755023
     /*  755023 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(755098), // Rule ID 12592 //
     /*  755028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755096 */     GIR_RootConstrainSelectedInstOperands,
     /*  755097 */     // GIR_Coverage, 12592,
     /*  755097 */     GIR_EraseRootFromParent_Done,
     /*  755098 */   // Label 11793: @755098
     /*  755098 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(755173), // Rule ID 12595 //
     /*  755103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755171 */     GIR_RootConstrainSelectedInstOperands,
     /*  755172 */     // GIR_Coverage, 12595,
     /*  755172 */     GIR_EraseRootFromParent_Done,
     /*  755173 */   // Label 11794: @755173
     /*  755173 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(755248), // Rule ID 12596 //
     /*  755178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755246 */     GIR_RootConstrainSelectedInstOperands,
     /*  755247 */     // GIR_Coverage, 12596,
     /*  755247 */     GIR_EraseRootFromParent_Done,
     /*  755248 */   // Label 11795: @755248
     /*  755248 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(755323), // Rule ID 12599 //
     /*  755253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755321 */     GIR_RootConstrainSelectedInstOperands,
     /*  755322 */     // GIR_Coverage, 12599,
     /*  755322 */     GIR_EraseRootFromParent_Done,
     /*  755323 */   // Label 11796: @755323
     /*  755323 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(755398), // Rule ID 12600 //
     /*  755328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755396 */     GIR_RootConstrainSelectedInstOperands,
     /*  755397 */     // GIR_Coverage, 12600,
     /*  755397 */     GIR_EraseRootFromParent_Done,
     /*  755398 */   // Label 11797: @755398
     /*  755398 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(755476), // Rule ID 13929 //
     /*  755403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755474 */     GIR_RootConstrainSelectedInstOperands,
     /*  755475 */     // GIR_Coverage, 13929,
     /*  755475 */     GIR_EraseRootFromParent_Done,
     /*  755476 */   // Label 11798: @755476
     /*  755476 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(755554), // Rule ID 13930 //
     /*  755481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755527 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755552 */     GIR_RootConstrainSelectedInstOperands,
     /*  755553 */     // GIR_Coverage, 13930,
     /*  755553 */     GIR_EraseRootFromParent_Done,
     /*  755554 */   // Label 11799: @755554
     /*  755554 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(755632), // Rule ID 13933 //
     /*  755559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  755570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  755573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755605 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755630 */     GIR_RootConstrainSelectedInstOperands,
     /*  755631 */     // GIR_Coverage, 13933,
     /*  755631 */     GIR_EraseRootFromParent_Done,
     /*  755632 */   // Label 11800: @755632
     /*  755632 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(755710), // Rule ID 13934 //
     /*  755637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  755648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  755651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755683 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755708 */     GIR_RootConstrainSelectedInstOperands,
     /*  755709 */     // GIR_Coverage, 13934,
     /*  755709 */     GIR_EraseRootFromParent_Done,
     /*  755710 */   // Label 11801: @755710
     /*  755710 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755788), // Rule ID 13937 //
     /*  755715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  755726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  755729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  755732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  755735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755761 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  755764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755786 */     GIR_RootConstrainSelectedInstOperands,
     /*  755787 */     // GIR_Coverage, 13937,
     /*  755787 */     GIR_EraseRootFromParent_Done,
     /*  755788 */   // Label 11802: @755788
     /*  755788 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755866), // Rule ID 13938 //
     /*  755793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  755804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  755807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  755810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  755813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755839 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  755842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755864 */     GIR_RootConstrainSelectedInstOperands,
     /*  755865 */     // GIR_Coverage, 13938,
     /*  755865 */     GIR_EraseRootFromParent_Done,
     /*  755866 */   // Label 11803: @755866
     /*  755866 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(755944), // Rule ID 13941 //
     /*  755871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  755888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  755891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755942 */     GIR_RootConstrainSelectedInstOperands,
     /*  755943 */     // GIR_Coverage, 13941,
     /*  755943 */     GIR_EraseRootFromParent_Done,
     /*  755944 */   // Label 11804: @755944
     /*  755944 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(756022), // Rule ID 13942 //
     /*  755949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  755966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  755969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756020 */     GIR_RootConstrainSelectedInstOperands,
     /*  756021 */     // GIR_Coverage, 13942,
     /*  756021 */     GIR_EraseRootFromParent_Done,
     /*  756022 */   // Label 11805: @756022
     /*  756022 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(756100), // Rule ID 13945 //
     /*  756027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756073 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756098 */     GIR_RootConstrainSelectedInstOperands,
     /*  756099 */     // GIR_Coverage, 13945,
     /*  756099 */     GIR_EraseRootFromParent_Done,
     /*  756100 */   // Label 11806: @756100
     /*  756100 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(756178), // Rule ID 13946 //
     /*  756105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756176 */     GIR_RootConstrainSelectedInstOperands,
     /*  756177 */     // GIR_Coverage, 13946,
     /*  756177 */     GIR_EraseRootFromParent_Done,
     /*  756178 */   // Label 11807: @756178
     /*  756178 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(756256), // Rule ID 13949 //
     /*  756183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756229 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756254 */     GIR_RootConstrainSelectedInstOperands,
     /*  756255 */     // GIR_Coverage, 13949,
     /*  756255 */     GIR_EraseRootFromParent_Done,
     /*  756256 */   // Label 11808: @756256
     /*  756256 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(756334), // Rule ID 13950 //
     /*  756261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756332 */     GIR_RootConstrainSelectedInstOperands,
     /*  756333 */     // GIR_Coverage, 13950,
     /*  756333 */     GIR_EraseRootFromParent_Done,
     /*  756334 */   // Label 11809: @756334
     /*  756334 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(756412), // Rule ID 13953 //
     /*  756339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756385 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756410 */     GIR_RootConstrainSelectedInstOperands,
     /*  756411 */     // GIR_Coverage, 13953,
     /*  756411 */     GIR_EraseRootFromParent_Done,
     /*  756412 */   // Label 11810: @756412
     /*  756412 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(756490), // Rule ID 13954 //
     /*  756417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756463 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756488 */     GIR_RootConstrainSelectedInstOperands,
     /*  756489 */     // GIR_Coverage, 13954,
     /*  756489 */     GIR_EraseRootFromParent_Done,
     /*  756490 */   // Label 11811: @756490
     /*  756490 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(756568), // Rule ID 13957 //
     /*  756495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756566 */     GIR_RootConstrainSelectedInstOperands,
     /*  756567 */     // GIR_Coverage, 13957,
     /*  756567 */     GIR_EraseRootFromParent_Done,
     /*  756568 */   // Label 11812: @756568
     /*  756568 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(756646), // Rule ID 13958 //
     /*  756573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756644 */     GIR_RootConstrainSelectedInstOperands,
     /*  756645 */     // GIR_Coverage, 13958,
     /*  756645 */     GIR_EraseRootFromParent_Done,
     /*  756646 */   // Label 11813: @756646
     /*  756646 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(756724), // Rule ID 13961 //
     /*  756651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  756668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  756671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756722 */     GIR_RootConstrainSelectedInstOperands,
     /*  756723 */     // GIR_Coverage, 13961,
     /*  756723 */     GIR_EraseRootFromParent_Done,
     /*  756724 */   // Label 11814: @756724
     /*  756724 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756802), // Rule ID 13962 //
     /*  756729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  756746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  756749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756800 */     GIR_RootConstrainSelectedInstOperands,
     /*  756801 */     // GIR_Coverage, 13962,
     /*  756801 */     GIR_EraseRootFromParent_Done,
     /*  756802 */   // Label 11815: @756802
     /*  756802 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756880), // Rule ID 13965 //
     /*  756807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  756810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  756818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  756821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  756824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  756827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  756853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756878 */     GIR_RootConstrainSelectedInstOperands,
     /*  756879 */     // GIR_Coverage, 13965,
     /*  756879 */     GIR_EraseRootFromParent_Done,
     /*  756880 */   // Label 11816: @756880
     /*  756880 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(756958), // Rule ID 13966 //
     /*  756885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  756888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  756896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  756899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  756902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  756905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  756931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756956 */     GIR_RootConstrainSelectedInstOperands,
     /*  756957 */     // GIR_Coverage, 13966,
     /*  756957 */     GIR_EraseRootFromParent_Done,
     /*  756958 */   // Label 11817: @756958
     /*  756958 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(757036), // Rule ID 13969 //
     /*  756963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  756974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  756977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757009 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757034 */     GIR_RootConstrainSelectedInstOperands,
     /*  757035 */     // GIR_Coverage, 13969,
     /*  757035 */     GIR_EraseRootFromParent_Done,
     /*  757036 */   // Label 11818: @757036
     /*  757036 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(757114), // Rule ID 13970 //
     /*  757041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757112 */     GIR_RootConstrainSelectedInstOperands,
     /*  757113 */     // GIR_Coverage, 13970,
     /*  757113 */     GIR_EraseRootFromParent_Done,
     /*  757114 */   // Label 11819: @757114
     /*  757114 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(757192), // Rule ID 13973 //
     /*  757119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757165 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757190 */     GIR_RootConstrainSelectedInstOperands,
     /*  757191 */     // GIR_Coverage, 13973,
     /*  757191 */     GIR_EraseRootFromParent_Done,
     /*  757192 */   // Label 11820: @757192
     /*  757192 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(757270), // Rule ID 13974 //
     /*  757197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757268 */     GIR_RootConstrainSelectedInstOperands,
     /*  757269 */     // GIR_Coverage, 13974,
     /*  757269 */     GIR_EraseRootFromParent_Done,
     /*  757270 */   // Label 11821: @757270
     /*  757270 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(757348), // Rule ID 13977 //
     /*  757275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757321 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757346 */     GIR_RootConstrainSelectedInstOperands,
     /*  757347 */     // GIR_Coverage, 13977,
     /*  757347 */     GIR_EraseRootFromParent_Done,
     /*  757348 */   // Label 11822: @757348
     /*  757348 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(757426), // Rule ID 13978 //
     /*  757353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757399 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757424 */     GIR_RootConstrainSelectedInstOperands,
     /*  757425 */     // GIR_Coverage, 13978,
     /*  757425 */     GIR_EraseRootFromParent_Done,
     /*  757426 */   // Label 11823: @757426
     /*  757426 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(757504), // Rule ID 13981 //
     /*  757431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757502 */     GIR_RootConstrainSelectedInstOperands,
     /*  757503 */     // GIR_Coverage, 13981,
     /*  757503 */     GIR_EraseRootFromParent_Done,
     /*  757504 */   // Label 11824: @757504
     /*  757504 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(757582), // Rule ID 13982 //
     /*  757509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757555 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757580 */     GIR_RootConstrainSelectedInstOperands,
     /*  757581 */     // GIR_Coverage, 13982,
     /*  757581 */     GIR_EraseRootFromParent_Done,
     /*  757582 */   // Label 11825: @757582
     /*  757582 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(757660), // Rule ID 13985 //
     /*  757587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  757598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  757601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757658 */     GIR_RootConstrainSelectedInstOperands,
     /*  757659 */     // GIR_Coverage, 13985,
     /*  757659 */     GIR_EraseRootFromParent_Done,
     /*  757660 */   // Label 11826: @757660
     /*  757660 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(757738), // Rule ID 13986 //
     /*  757665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  757676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  757679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757736 */     GIR_RootConstrainSelectedInstOperands,
     /*  757737 */     // GIR_Coverage, 13986,
     /*  757737 */     GIR_EraseRootFromParent_Done,
     /*  757738 */   // Label 11827: @757738
     /*  757738 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757816), // Rule ID 13989 //
     /*  757743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  757754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  757757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  757760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  757763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757789 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757814 */     GIR_RootConstrainSelectedInstOperands,
     /*  757815 */     // GIR_Coverage, 13989,
     /*  757815 */     GIR_EraseRootFromParent_Done,
     /*  757816 */   // Label 11828: @757816
     /*  757816 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757894), // Rule ID 13990 //
     /*  757821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  757832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  757835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  757838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  757841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757892 */     GIR_RootConstrainSelectedInstOperands,
     /*  757893 */     // GIR_Coverage, 13990,
     /*  757893 */     GIR_EraseRootFromParent_Done,
     /*  757894 */   // Label 11829: @757894
     /*  757894 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(757972), // Rule ID 13993 //
     /*  757899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  757910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  757913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757945 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757970 */     GIR_RootConstrainSelectedInstOperands,
     /*  757971 */     // GIR_Coverage, 13993,
     /*  757971 */     GIR_EraseRootFromParent_Done,
     /*  757972 */   // Label 11830: @757972
     /*  757972 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(758050), // Rule ID 13994 //
     /*  757977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  757988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  757991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758048 */     GIR_RootConstrainSelectedInstOperands,
     /*  758049 */     // GIR_Coverage, 13994,
     /*  758049 */     GIR_EraseRootFromParent_Done,
     /*  758050 */   // Label 11831: @758050
     /*  758050 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(758128), // Rule ID 13997 //
     /*  758055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758126 */     GIR_RootConstrainSelectedInstOperands,
     /*  758127 */     // GIR_Coverage, 13997,
     /*  758127 */     GIR_EraseRootFromParent_Done,
     /*  758128 */   // Label 11832: @758128
     /*  758128 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(758206), // Rule ID 13998 //
     /*  758133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758204 */     GIR_RootConstrainSelectedInstOperands,
     /*  758205 */     // GIR_Coverage, 13998,
     /*  758205 */     GIR_EraseRootFromParent_Done,
     /*  758206 */   // Label 11833: @758206
     /*  758206 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(758284), // Rule ID 14001 //
     /*  758211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758257 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758282 */     GIR_RootConstrainSelectedInstOperands,
     /*  758283 */     // GIR_Coverage, 14001,
     /*  758283 */     GIR_EraseRootFromParent_Done,
     /*  758284 */   // Label 11834: @758284
     /*  758284 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(758362), // Rule ID 14002 //
     /*  758289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758335 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758360 */     GIR_RootConstrainSelectedInstOperands,
     /*  758361 */     // GIR_Coverage, 14002,
     /*  758361 */     GIR_EraseRootFromParent_Done,
     /*  758362 */   // Label 11835: @758362
     /*  758362 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(758440), // Rule ID 14005 //
     /*  758367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758438 */     GIR_RootConstrainSelectedInstOperands,
     /*  758439 */     // GIR_Coverage, 14005,
     /*  758439 */     GIR_EraseRootFromParent_Done,
     /*  758440 */   // Label 11836: @758440
     /*  758440 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(758518), // Rule ID 14006 //
     /*  758445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758516 */     GIR_RootConstrainSelectedInstOperands,
     /*  758517 */     // GIR_Coverage, 14006,
     /*  758517 */     GIR_EraseRootFromParent_Done,
     /*  758518 */   // Label 11837: @758518
     /*  758518 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(758596), // Rule ID 14009 //
     /*  758523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  758540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  758543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758594 */     GIR_RootConstrainSelectedInstOperands,
     /*  758595 */     // GIR_Coverage, 14009,
     /*  758595 */     GIR_EraseRootFromParent_Done,
     /*  758596 */   // Label 11838: @758596
     /*  758596 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(758674), // Rule ID 14010 //
     /*  758601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  758618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  758621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758672 */     GIR_RootConstrainSelectedInstOperands,
     /*  758673 */     // GIR_Coverage, 14010,
     /*  758673 */     GIR_EraseRootFromParent_Done,
     /*  758674 */   // Label 11839: @758674
     /*  758674 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(758752), // Rule ID 14013 //
     /*  758679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  758690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  758693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  758696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  758699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758750 */     GIR_RootConstrainSelectedInstOperands,
     /*  758751 */     // GIR_Coverage, 14013,
     /*  758751 */     GIR_EraseRootFromParent_Done,
     /*  758752 */   // Label 11840: @758752
     /*  758752 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(758830), // Rule ID 14014 //
     /*  758757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  758768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  758771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  758774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  758777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758828 */     GIR_RootConstrainSelectedInstOperands,
     /*  758829 */     // GIR_Coverage, 14014,
     /*  758829 */     GIR_EraseRootFromParent_Done,
     /*  758830 */   // Label 11841: @758830
     /*  758830 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758908), // Rule ID 14017 //
     /*  758835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  758846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  758849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  758852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758881 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  758884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758906 */     GIR_RootConstrainSelectedInstOperands,
     /*  758907 */     // GIR_Coverage, 14017,
     /*  758907 */     GIR_EraseRootFromParent_Done,
     /*  758908 */   // Label 11842: @758908
     /*  758908 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(758986), // Rule ID 14018 //
     /*  758913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  758924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  758927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  758930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  758962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758984 */     GIR_RootConstrainSelectedInstOperands,
     /*  758985 */     // GIR_Coverage, 14018,
     /*  758985 */     GIR_EraseRootFromParent_Done,
     /*  758986 */   // Label 11843: @758986
     /*  758986 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(759064), // Rule ID 14021 //
     /*  758991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759037 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759062 */     GIR_RootConstrainSelectedInstOperands,
     /*  759063 */     // GIR_Coverage, 14021,
     /*  759063 */     GIR_EraseRootFromParent_Done,
     /*  759064 */   // Label 11844: @759064
     /*  759064 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(759142), // Rule ID 14022 //
     /*  759069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759115 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759140 */     GIR_RootConstrainSelectedInstOperands,
     /*  759141 */     // GIR_Coverage, 14022,
     /*  759141 */     GIR_EraseRootFromParent_Done,
     /*  759142 */   // Label 11845: @759142
     /*  759142 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(759220), // Rule ID 14025 //
     /*  759147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759193 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759218 */     GIR_RootConstrainSelectedInstOperands,
     /*  759219 */     // GIR_Coverage, 14025,
     /*  759219 */     GIR_EraseRootFromParent_Done,
     /*  759220 */   // Label 11846: @759220
     /*  759220 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(759298), // Rule ID 14026 //
     /*  759225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759296 */     GIR_RootConstrainSelectedInstOperands,
     /*  759297 */     // GIR_Coverage, 14026,
     /*  759297 */     GIR_EraseRootFromParent_Done,
     /*  759298 */   // Label 11847: @759298
     /*  759298 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(759376), // Rule ID 14029 //
     /*  759303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759374 */     GIR_RootConstrainSelectedInstOperands,
     /*  759375 */     // GIR_Coverage, 14029,
     /*  759375 */     GIR_EraseRootFromParent_Done,
     /*  759376 */   // Label 11848: @759376
     /*  759376 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(759454), // Rule ID 14030 //
     /*  759381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759452 */     GIR_RootConstrainSelectedInstOperands,
     /*  759453 */     // GIR_Coverage, 14030,
     /*  759453 */     GIR_EraseRootFromParent_Done,
     /*  759454 */   // Label 11849: @759454
     /*  759454 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(759532), // Rule ID 14033 //
     /*  759459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759530 */     GIR_RootConstrainSelectedInstOperands,
     /*  759531 */     // GIR_Coverage, 14033,
     /*  759531 */     GIR_EraseRootFromParent_Done,
     /*  759532 */   // Label 11850: @759532
     /*  759532 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(759610), // Rule ID 14034 //
     /*  759537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759608 */     GIR_RootConstrainSelectedInstOperands,
     /*  759609 */     // GIR_Coverage, 14034,
     /*  759609 */     GIR_EraseRootFromParent_Done,
     /*  759610 */   // Label 11851: @759610
     /*  759610 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(759688), // Rule ID 14037 //
     /*  759615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  759626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  759629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759686 */     GIR_RootConstrainSelectedInstOperands,
     /*  759687 */     // GIR_Coverage, 14037,
     /*  759687 */     GIR_EraseRootFromParent_Done,
     /*  759688 */   // Label 11852: @759688
     /*  759688 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(759766), // Rule ID 14038 //
     /*  759693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  759704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  759707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759764 */     GIR_RootConstrainSelectedInstOperands,
     /*  759765 */     // GIR_Coverage, 14038,
     /*  759765 */     GIR_EraseRootFromParent_Done,
     /*  759766 */   // Label 11853: @759766
     /*  759766 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(759844), // Rule ID 14041 //
     /*  759771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  759782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  759785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  759788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759842 */     GIR_RootConstrainSelectedInstOperands,
     /*  759843 */     // GIR_Coverage, 14041,
     /*  759843 */     GIR_EraseRootFromParent_Done,
     /*  759844 */   // Label 11854: @759844
     /*  759844 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759922), // Rule ID 14042 //
     /*  759849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  759860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  759863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  759866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759895 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759920 */     GIR_RootConstrainSelectedInstOperands,
     /*  759921 */     // GIR_Coverage, 14042,
     /*  759921 */     GIR_EraseRootFromParent_Done,
     /*  759922 */   // Label 11855: @759922
     /*  759922 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(760000), // Rule ID 14045 //
     /*  759927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  759938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  759941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  759944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759998 */     GIR_RootConstrainSelectedInstOperands,
     /*  759999 */     // GIR_Coverage, 14045,
     /*  759999 */     GIR_EraseRootFromParent_Done,
     /*  760000 */   // Label 11856: @760000
     /*  760000 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(760078), // Rule ID 14046 //
     /*  760005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760076 */     GIR_RootConstrainSelectedInstOperands,
     /*  760077 */     // GIR_Coverage, 14046,
     /*  760077 */     GIR_EraseRootFromParent_Done,
     /*  760078 */   // Label 11857: @760078
     /*  760078 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(760156), // Rule ID 14049 //
     /*  760083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760154 */     GIR_RootConstrainSelectedInstOperands,
     /*  760155 */     // GIR_Coverage, 14049,
     /*  760155 */     GIR_EraseRootFromParent_Done,
     /*  760156 */   // Label 11858: @760156
     /*  760156 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(760234), // Rule ID 14050 //
     /*  760161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760232 */     GIR_RootConstrainSelectedInstOperands,
     /*  760233 */     // GIR_Coverage, 14050,
     /*  760233 */     GIR_EraseRootFromParent_Done,
     /*  760234 */   // Label 11859: @760234
     /*  760234 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(760312), // Rule ID 14053 //
     /*  760239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760285 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760310 */     GIR_RootConstrainSelectedInstOperands,
     /*  760311 */     // GIR_Coverage, 14053,
     /*  760311 */     GIR_EraseRootFromParent_Done,
     /*  760312 */   // Label 11860: @760312
     /*  760312 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(760390), // Rule ID 14054 //
     /*  760317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760388 */     GIR_RootConstrainSelectedInstOperands,
     /*  760389 */     // GIR_Coverage, 14054,
     /*  760389 */     GIR_EraseRootFromParent_Done,
     /*  760390 */   // Label 11861: @760390
     /*  760390 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(760468), // Rule ID 14057 //
     /*  760395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760466 */     GIR_RootConstrainSelectedInstOperands,
     /*  760467 */     // GIR_Coverage, 14057,
     /*  760467 */     GIR_EraseRootFromParent_Done,
     /*  760468 */   // Label 11862: @760468
     /*  760468 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(760546), // Rule ID 14058 //
     /*  760473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760544 */     GIR_RootConstrainSelectedInstOperands,
     /*  760545 */     // GIR_Coverage, 14058,
     /*  760545 */     GIR_EraseRootFromParent_Done,
     /*  760546 */   // Label 11863: @760546
     /*  760546 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(760624), // Rule ID 14061 //
     /*  760551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  760562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  760565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  760568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760622 */     GIR_RootConstrainSelectedInstOperands,
     /*  760623 */     // GIR_Coverage, 14061,
     /*  760623 */     GIR_EraseRootFromParent_Done,
     /*  760624 */   // Label 11864: @760624
     /*  760624 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(760702), // Rule ID 14062 //
     /*  760629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  760640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  760643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  760646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760700 */     GIR_RootConstrainSelectedInstOperands,
     /*  760701 */     // GIR_Coverage, 14062,
     /*  760701 */     GIR_EraseRootFromParent_Done,
     /*  760702 */   // Label 11865: @760702
     /*  760702 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(760780), // Rule ID 14065 //
     /*  760707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  760718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  760721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  760724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760753 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760778 */     GIR_RootConstrainSelectedInstOperands,
     /*  760779 */     // GIR_Coverage, 14065,
     /*  760779 */     GIR_EraseRootFromParent_Done,
     /*  760780 */   // Label 11866: @760780
     /*  760780 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(760858), // Rule ID 14066 //
     /*  760785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  760796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  760799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  760802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760831 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760856 */     GIR_RootConstrainSelectedInstOperands,
     /*  760857 */     // GIR_Coverage, 14066,
     /*  760857 */     GIR_EraseRootFromParent_Done,
     /*  760858 */   // Label 11867: @760858
     /*  760858 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(760936), // Rule ID 14069 //
     /*  760863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  760874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  760877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  760880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760934 */     GIR_RootConstrainSelectedInstOperands,
     /*  760935 */     // GIR_Coverage, 14069,
     /*  760935 */     GIR_EraseRootFromParent_Done,
     /*  760936 */   // Label 11868: @760936
     /*  760936 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(761014), // Rule ID 14070 //
     /*  760941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  760952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  760955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  760958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761012 */     GIR_RootConstrainSelectedInstOperands,
     /*  761013 */     // GIR_Coverage, 14070,
     /*  761013 */     GIR_EraseRootFromParent_Done,
     /*  761014 */   // Label 11869: @761014
     /*  761014 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(761092), // Rule ID 14073 //
     /*  761019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761065 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761090 */     GIR_RootConstrainSelectedInstOperands,
     /*  761091 */     // GIR_Coverage, 14073,
     /*  761091 */     GIR_EraseRootFromParent_Done,
     /*  761092 */   // Label 11870: @761092
     /*  761092 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(761170), // Rule ID 14074 //
     /*  761097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761168 */     GIR_RootConstrainSelectedInstOperands,
     /*  761169 */     // GIR_Coverage, 14074,
     /*  761169 */     GIR_EraseRootFromParent_Done,
     /*  761170 */   // Label 11871: @761170
     /*  761170 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(761248), // Rule ID 14077 //
     /*  761175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761246 */     GIR_RootConstrainSelectedInstOperands,
     /*  761247 */     // GIR_Coverage, 14077,
     /*  761247 */     GIR_EraseRootFromParent_Done,
     /*  761248 */   // Label 11872: @761248
     /*  761248 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(761326), // Rule ID 14078 //
     /*  761253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761324 */     GIR_RootConstrainSelectedInstOperands,
     /*  761325 */     // GIR_Coverage, 14078,
     /*  761325 */     GIR_EraseRootFromParent_Done,
     /*  761326 */   // Label 11873: @761326
     /*  761326 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(761404), // Rule ID 14081 //
     /*  761331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761402 */     GIR_RootConstrainSelectedInstOperands,
     /*  761403 */     // GIR_Coverage, 14081,
     /*  761403 */     GIR_EraseRootFromParent_Done,
     /*  761404 */   // Label 11874: @761404
     /*  761404 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(761482), // Rule ID 14082 //
     /*  761409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761455 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761480 */     GIR_RootConstrainSelectedInstOperands,
     /*  761481 */     // GIR_Coverage, 14082,
     /*  761481 */     GIR_EraseRootFromParent_Done,
     /*  761482 */   // Label 11875: @761482
     /*  761482 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(761560), // Rule ID 14085 //
     /*  761487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761558 */     GIR_RootConstrainSelectedInstOperands,
     /*  761559 */     // GIR_Coverage, 14085,
     /*  761559 */     GIR_EraseRootFromParent_Done,
     /*  761560 */   // Label 11876: @761560
     /*  761560 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(761638), // Rule ID 14086 //
     /*  761565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761636 */     GIR_RootConstrainSelectedInstOperands,
     /*  761637 */     // GIR_Coverage, 14086,
     /*  761637 */     GIR_EraseRootFromParent_Done,
     /*  761638 */   // Label 11877: @761638
     /*  761638 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(761716), // Rule ID 14089 //
     /*  761643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  761654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  761657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  761660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761689 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761714 */     GIR_RootConstrainSelectedInstOperands,
     /*  761715 */     // GIR_Coverage, 14089,
     /*  761715 */     GIR_EraseRootFromParent_Done,
     /*  761716 */   // Label 11878: @761716
     /*  761716 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(761794), // Rule ID 14090 //
     /*  761721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  761732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  761735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  761738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761792 */     GIR_RootConstrainSelectedInstOperands,
     /*  761793 */     // GIR_Coverage, 14090,
     /*  761793 */     GIR_EraseRootFromParent_Done,
     /*  761794 */   // Label 11879: @761794
     /*  761794 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(761872), // Rule ID 14093 //
     /*  761799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  761810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  761813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  761816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761870 */     GIR_RootConstrainSelectedInstOperands,
     /*  761871 */     // GIR_Coverage, 14093,
     /*  761871 */     GIR_EraseRootFromParent_Done,
     /*  761872 */   // Label 11880: @761872
     /*  761872 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(761950), // Rule ID 14094 //
     /*  761877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  761888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  761891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  761894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761948 */     GIR_RootConstrainSelectedInstOperands,
     /*  761949 */     // GIR_Coverage, 14094,
     /*  761949 */     GIR_EraseRootFromParent_Done,
     /*  761950 */   // Label 11881: @761950
     /*  761950 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(762028), // Rule ID 14097 //
     /*  761955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  761966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  761969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  761972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762001 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762026 */     GIR_RootConstrainSelectedInstOperands,
     /*  762027 */     // GIR_Coverage, 14097,
     /*  762027 */     GIR_EraseRootFromParent_Done,
     /*  762028 */   // Label 11882: @762028
     /*  762028 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(762106), // Rule ID 14098 //
     /*  762033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  762044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  762047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  762050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762079 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762104 */     GIR_RootConstrainSelectedInstOperands,
     /*  762105 */     // GIR_Coverage, 14098,
     /*  762105 */     GIR_EraseRootFromParent_Done,
     /*  762106 */   // Label 11883: @762106
     /*  762106 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(762184), // Rule ID 14101 //
     /*  762111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762157 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762182 */     GIR_RootConstrainSelectedInstOperands,
     /*  762183 */     // GIR_Coverage, 14101,
     /*  762183 */     GIR_EraseRootFromParent_Done,
     /*  762184 */   // Label 11884: @762184
     /*  762184 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(762262), // Rule ID 14102 //
     /*  762189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762260 */     GIR_RootConstrainSelectedInstOperands,
     /*  762261 */     // GIR_Coverage, 14102,
     /*  762261 */     GIR_EraseRootFromParent_Done,
     /*  762262 */   // Label 11885: @762262
     /*  762262 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(762340), // Rule ID 14193 //
     /*  762267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762313 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762338 */     GIR_RootConstrainSelectedInstOperands,
     /*  762339 */     // GIR_Coverage, 14193,
     /*  762339 */     GIR_EraseRootFromParent_Done,
     /*  762340 */   // Label 11886: @762340
     /*  762340 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(762418), // Rule ID 14194 //
     /*  762345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762416 */     GIR_RootConstrainSelectedInstOperands,
     /*  762417 */     // GIR_Coverage, 14194,
     /*  762417 */     GIR_EraseRootFromParent_Done,
     /*  762418 */   // Label 11887: @762418
     /*  762418 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(762496), // Rule ID 14197 //
     /*  762423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762469 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762494 */     GIR_RootConstrainSelectedInstOperands,
     /*  762495 */     // GIR_Coverage, 14197,
     /*  762495 */     GIR_EraseRootFromParent_Done,
     /*  762496 */   // Label 11888: @762496
     /*  762496 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(762574), // Rule ID 14198 //
     /*  762501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762572 */     GIR_RootConstrainSelectedInstOperands,
     /*  762573 */     // GIR_Coverage, 14198,
     /*  762573 */     GIR_EraseRootFromParent_Done,
     /*  762574 */   // Label 11889: @762574
     /*  762574 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(762652), // Rule ID 14201 //
     /*  762579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762625 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  762628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762650 */     GIR_RootConstrainSelectedInstOperands,
     /*  762651 */     // GIR_Coverage, 14201,
     /*  762651 */     GIR_EraseRootFromParent_Done,
     /*  762652 */   // Label 11890: @762652
     /*  762652 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(762730), // Rule ID 14202 //
     /*  762657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  762706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762728 */     GIR_RootConstrainSelectedInstOperands,
     /*  762729 */     // GIR_Coverage, 14202,
     /*  762729 */     GIR_EraseRootFromParent_Done,
     /*  762730 */   // Label 11891: @762730
     /*  762730 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(762808), // Rule ID 14205 //
     /*  762735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  762746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  762749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  762752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  762755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762806 */     GIR_RootConstrainSelectedInstOperands,
     /*  762807 */     // GIR_Coverage, 14205,
     /*  762807 */     GIR_EraseRootFromParent_Done,
     /*  762808 */   // Label 11892: @762808
     /*  762808 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(762886), // Rule ID 14206 //
     /*  762813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  762824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  762827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  762830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  762833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762884 */     GIR_RootConstrainSelectedInstOperands,
     /*  762885 */     // GIR_Coverage, 14206,
     /*  762885 */     GIR_EraseRootFromParent_Done,
     /*  762886 */   // Label 11893: @762886
     /*  762886 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(762964), // Rule ID 14209 //
     /*  762891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  762902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  762905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  762908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  762911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  762940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762962 */     GIR_RootConstrainSelectedInstOperands,
     /*  762963 */     // GIR_Coverage, 14209,
     /*  762963 */     GIR_EraseRootFromParent_Done,
     /*  762964 */   // Label 11894: @762964
     /*  762964 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(763042), // Rule ID 14210 //
     /*  762969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  762980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  762983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  762986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  762989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763040 */     GIR_RootConstrainSelectedInstOperands,
     /*  763041 */     // GIR_Coverage, 14210,
     /*  763041 */     GIR_EraseRootFromParent_Done,
     /*  763042 */   // Label 11895: @763042
     /*  763042 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(763120), // Rule ID 14213 //
     /*  763047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763118 */     GIR_RootConstrainSelectedInstOperands,
     /*  763119 */     // GIR_Coverage, 14213,
     /*  763119 */     GIR_EraseRootFromParent_Done,
     /*  763120 */   // Label 11896: @763120
     /*  763120 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(763198), // Rule ID 14214 //
     /*  763125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763196 */     GIR_RootConstrainSelectedInstOperands,
     /*  763197 */     // GIR_Coverage, 14214,
     /*  763197 */     GIR_EraseRootFromParent_Done,
     /*  763198 */   // Label 11897: @763198
     /*  763198 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(763276), // Rule ID 14217 //
     /*  763203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763274 */     GIR_RootConstrainSelectedInstOperands,
     /*  763275 */     // GIR_Coverage, 14217,
     /*  763275 */     GIR_EraseRootFromParent_Done,
     /*  763276 */   // Label 11898: @763276
     /*  763276 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(763354), // Rule ID 14218 //
     /*  763281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763352 */     GIR_RootConstrainSelectedInstOperands,
     /*  763353 */     // GIR_Coverage, 14218,
     /*  763353 */     GIR_EraseRootFromParent_Done,
     /*  763354 */   // Label 11899: @763354
     /*  763354 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(763432), // Rule ID 14221 //
     /*  763359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763430 */     GIR_RootConstrainSelectedInstOperands,
     /*  763431 */     // GIR_Coverage, 14221,
     /*  763431 */     GIR_EraseRootFromParent_Done,
     /*  763432 */   // Label 11900: @763432
     /*  763432 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(763510), // Rule ID 14222 //
     /*  763437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763508 */     GIR_RootConstrainSelectedInstOperands,
     /*  763509 */     // GIR_Coverage, 14222,
     /*  763509 */     GIR_EraseRootFromParent_Done,
     /*  763510 */   // Label 11901: @763510
     /*  763510 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(763588), // Rule ID 14225 //
     /*  763515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763561 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763586 */     GIR_RootConstrainSelectedInstOperands,
     /*  763587 */     // GIR_Coverage, 14225,
     /*  763587 */     GIR_EraseRootFromParent_Done,
     /*  763588 */   // Label 11902: @763588
     /*  763588 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(763666), // Rule ID 14226 //
     /*  763593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763664 */     GIR_RootConstrainSelectedInstOperands,
     /*  763665 */     // GIR_Coverage, 14226,
     /*  763665 */     GIR_EraseRootFromParent_Done,
     /*  763666 */   // Label 11903: @763666
     /*  763666 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(763744), // Rule ID 14229 //
     /*  763671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  763682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  763685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  763688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  763691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763742 */     GIR_RootConstrainSelectedInstOperands,
     /*  763743 */     // GIR_Coverage, 14229,
     /*  763743 */     GIR_EraseRootFromParent_Done,
     /*  763744 */   // Label 11904: @763744
     /*  763744 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(763822), // Rule ID 14230 //
     /*  763749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  763760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  763763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  763766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  763769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763820 */     GIR_RootConstrainSelectedInstOperands,
     /*  763821 */     // GIR_Coverage, 14230,
     /*  763821 */     GIR_EraseRootFromParent_Done,
     /*  763822 */   // Label 11905: @763822
     /*  763822 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(763900), // Rule ID 14233 //
     /*  763827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  763838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  763841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  763844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  763847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763898 */     GIR_RootConstrainSelectedInstOperands,
     /*  763899 */     // GIR_Coverage, 14233,
     /*  763899 */     GIR_EraseRootFromParent_Done,
     /*  763900 */   // Label 11906: @763900
     /*  763900 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(763978), // Rule ID 14234 //
     /*  763905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  763916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  763919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  763922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  763925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763976 */     GIR_RootConstrainSelectedInstOperands,
     /*  763977 */     // GIR_Coverage, 14234,
     /*  763977 */     GIR_EraseRootFromParent_Done,
     /*  763978 */   // Label 11907: @763978
     /*  763978 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(764056), // Rule ID 14237 //
     /*  763983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  763994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  763997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764029 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764054 */     GIR_RootConstrainSelectedInstOperands,
     /*  764055 */     // GIR_Coverage, 14237,
     /*  764055 */     GIR_EraseRootFromParent_Done,
     /*  764056 */   // Label 11908: @764056
     /*  764056 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(764134), // Rule ID 14238 //
     /*  764061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764132 */     GIR_RootConstrainSelectedInstOperands,
     /*  764133 */     // GIR_Coverage, 14238,
     /*  764133 */     GIR_EraseRootFromParent_Done,
     /*  764134 */   // Label 11909: @764134
     /*  764134 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(764212), // Rule ID 14241 //
     /*  764139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764185 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764210 */     GIR_RootConstrainSelectedInstOperands,
     /*  764211 */     // GIR_Coverage, 14241,
     /*  764211 */     GIR_EraseRootFromParent_Done,
     /*  764212 */   // Label 11910: @764212
     /*  764212 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(764290), // Rule ID 14242 //
     /*  764217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764263 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764288 */     GIR_RootConstrainSelectedInstOperands,
     /*  764289 */     // GIR_Coverage, 14242,
     /*  764289 */     GIR_EraseRootFromParent_Done,
     /*  764290 */   // Label 11911: @764290
     /*  764290 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(764368), // Rule ID 14245 //
     /*  764295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764341 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764366 */     GIR_RootConstrainSelectedInstOperands,
     /*  764367 */     // GIR_Coverage, 14245,
     /*  764367 */     GIR_EraseRootFromParent_Done,
     /*  764368 */   // Label 11912: @764368
     /*  764368 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(764446), // Rule ID 14246 //
     /*  764373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764444 */     GIR_RootConstrainSelectedInstOperands,
     /*  764445 */     // GIR_Coverage, 14246,
     /*  764445 */     GIR_EraseRootFromParent_Done,
     /*  764446 */   // Label 11913: @764446
     /*  764446 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(764524), // Rule ID 14249 //
     /*  764451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764522 */     GIR_RootConstrainSelectedInstOperands,
     /*  764523 */     // GIR_Coverage, 14249,
     /*  764523 */     GIR_EraseRootFromParent_Done,
     /*  764524 */   // Label 11914: @764524
     /*  764524 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(764602), // Rule ID 14250 //
     /*  764529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764575 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764600 */     GIR_RootConstrainSelectedInstOperands,
     /*  764601 */     // GIR_Coverage, 14250,
     /*  764601 */     GIR_EraseRootFromParent_Done,
     /*  764602 */   // Label 11915: @764602
     /*  764602 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(764680), // Rule ID 14253 //
     /*  764607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  764627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764653 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764678 */     GIR_RootConstrainSelectedInstOperands,
     /*  764679 */     // GIR_Coverage, 14253,
     /*  764679 */     GIR_EraseRootFromParent_Done,
     /*  764680 */   // Label 11916: @764680
     /*  764680 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(764758), // Rule ID 14254 //
     /*  764685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  764705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764756 */     GIR_RootConstrainSelectedInstOperands,
     /*  764757 */     // GIR_Coverage, 14254,
     /*  764757 */     GIR_EraseRootFromParent_Done,
     /*  764758 */   // Label 11917: @764758
     /*  764758 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(764836), // Rule ID 14257 //
     /*  764763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  764774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  764777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  764780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  764783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764834 */     GIR_RootConstrainSelectedInstOperands,
     /*  764835 */     // GIR_Coverage, 14257,
     /*  764835 */     GIR_EraseRootFromParent_Done,
     /*  764836 */   // Label 11918: @764836
     /*  764836 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(764914), // Rule ID 14258 //
     /*  764841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  764852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  764855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  764858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  764861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764912 */     GIR_RootConstrainSelectedInstOperands,
     /*  764913 */     // GIR_Coverage, 14258,
     /*  764913 */     GIR_EraseRootFromParent_Done,
     /*  764914 */   // Label 11919: @764914
     /*  764914 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(764992), // Rule ID 14261 //
     /*  764919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  764930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  764933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  764936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  764939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764990 */     GIR_RootConstrainSelectedInstOperands,
     /*  764991 */     // GIR_Coverage, 14261,
     /*  764991 */     GIR_EraseRootFromParent_Done,
     /*  764992 */   // Label 11920: @764992
     /*  764992 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(765070), // Rule ID 14262 //
     /*  764997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765068 */     GIR_RootConstrainSelectedInstOperands,
     /*  765069 */     // GIR_Coverage, 14262,
     /*  765069 */     GIR_EraseRootFromParent_Done,
     /*  765070 */   // Label 11921: @765070
     /*  765070 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(765148), // Rule ID 14265 //
     /*  765075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765146 */     GIR_RootConstrainSelectedInstOperands,
     /*  765147 */     // GIR_Coverage, 14265,
     /*  765147 */     GIR_EraseRootFromParent_Done,
     /*  765148 */   // Label 11922: @765148
     /*  765148 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(765226), // Rule ID 14266 //
     /*  765153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765224 */     GIR_RootConstrainSelectedInstOperands,
     /*  765225 */     // GIR_Coverage, 14266,
     /*  765225 */     GIR_EraseRootFromParent_Done,
     /*  765226 */   // Label 11923: @765226
     /*  765226 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(765304), // Rule ID 14269 //
     /*  765231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765277 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765302 */     GIR_RootConstrainSelectedInstOperands,
     /*  765303 */     // GIR_Coverage, 14269,
     /*  765303 */     GIR_EraseRootFromParent_Done,
     /*  765304 */   // Label 11924: @765304
     /*  765304 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(765382), // Rule ID 14270 //
     /*  765309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765380 */     GIR_RootConstrainSelectedInstOperands,
     /*  765381 */     // GIR_Coverage, 14270,
     /*  765381 */     GIR_EraseRootFromParent_Done,
     /*  765382 */   // Label 11925: @765382
     /*  765382 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(765460), // Rule ID 14273 //
     /*  765387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765433 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765458 */     GIR_RootConstrainSelectedInstOperands,
     /*  765459 */     // GIR_Coverage, 14273,
     /*  765459 */     GIR_EraseRootFromParent_Done,
     /*  765460 */   // Label 11926: @765460
     /*  765460 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(765538), // Rule ID 14274 //
     /*  765465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765536 */     GIR_RootConstrainSelectedInstOperands,
     /*  765537 */     // GIR_Coverage, 14274,
     /*  765537 */     GIR_EraseRootFromParent_Done,
     /*  765538 */   // Label 11927: @765538
     /*  765538 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(765616), // Rule ID 14277 //
     /*  765543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765614 */     GIR_RootConstrainSelectedInstOperands,
     /*  765615 */     // GIR_Coverage, 14277,
     /*  765615 */     GIR_EraseRootFromParent_Done,
     /*  765616 */   // Label 11928: @765616
     /*  765616 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(765694), // Rule ID 14278 //
     /*  765621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765692 */     GIR_RootConstrainSelectedInstOperands,
     /*  765693 */     // GIR_Coverage, 14278,
     /*  765693 */     GIR_EraseRootFromParent_Done,
     /*  765694 */   // Label 11929: @765694
     /*  765694 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(765772), // Rule ID 14281 //
     /*  765699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  765710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  765713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  765716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765745 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  765748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765770 */     GIR_RootConstrainSelectedInstOperands,
     /*  765771 */     // GIR_Coverage, 14281,
     /*  765771 */     GIR_EraseRootFromParent_Done,
     /*  765772 */   // Label 11930: @765772
     /*  765772 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(765850), // Rule ID 14282 //
     /*  765777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  765788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  765791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  765794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765823 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  765826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765848 */     GIR_RootConstrainSelectedInstOperands,
     /*  765849 */     // GIR_Coverage, 14282,
     /*  765849 */     GIR_EraseRootFromParent_Done,
     /*  765850 */   // Label 11931: @765850
     /*  765850 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(765928), // Rule ID 14285 //
     /*  765855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  765866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  765869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  765872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  765904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765926 */     GIR_RootConstrainSelectedInstOperands,
     /*  765927 */     // GIR_Coverage, 14285,
     /*  765927 */     GIR_EraseRootFromParent_Done,
     /*  765928 */   // Label 11932: @765928
     /*  765928 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(766006), // Rule ID 14286 //
     /*  765933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  765944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  765947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  765950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765979 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  765982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766004 */     GIR_RootConstrainSelectedInstOperands,
     /*  766005 */     // GIR_Coverage, 14286,
     /*  766005 */     GIR_EraseRootFromParent_Done,
     /*  766006 */   // Label 11933: @766006
     /*  766006 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(766084), // Rule ID 14289 //
     /*  766011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766057 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766082 */     GIR_RootConstrainSelectedInstOperands,
     /*  766083 */     // GIR_Coverage, 14289,
     /*  766083 */     GIR_EraseRootFromParent_Done,
     /*  766084 */   // Label 11934: @766084
     /*  766084 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(766162), // Rule ID 14290 //
     /*  766089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766135 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766160 */     GIR_RootConstrainSelectedInstOperands,
     /*  766161 */     // GIR_Coverage, 14290,
     /*  766161 */     GIR_EraseRootFromParent_Done,
     /*  766162 */   // Label 11935: @766162
     /*  766162 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(766240), // Rule ID 14293 //
     /*  766167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766213 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766238 */     GIR_RootConstrainSelectedInstOperands,
     /*  766239 */     // GIR_Coverage, 14293,
     /*  766239 */     GIR_EraseRootFromParent_Done,
     /*  766240 */   // Label 11936: @766240
     /*  766240 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(766318), // Rule ID 14294 //
     /*  766245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766316 */     GIR_RootConstrainSelectedInstOperands,
     /*  766317 */     // GIR_Coverage, 14294,
     /*  766317 */     GIR_EraseRootFromParent_Done,
     /*  766318 */   // Label 11937: @766318
     /*  766318 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(766396), // Rule ID 14297 //
     /*  766323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766369 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766394 */     GIR_RootConstrainSelectedInstOperands,
     /*  766395 */     // GIR_Coverage, 14297,
     /*  766395 */     GIR_EraseRootFromParent_Done,
     /*  766396 */   // Label 11938: @766396
     /*  766396 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(766474), // Rule ID 14298 //
     /*  766401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766472 */     GIR_RootConstrainSelectedInstOperands,
     /*  766473 */     // GIR_Coverage, 14298,
     /*  766473 */     GIR_EraseRootFromParent_Done,
     /*  766474 */   // Label 11939: @766474
     /*  766474 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(766552), // Rule ID 14301 //
     /*  766479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766550 */     GIR_RootConstrainSelectedInstOperands,
     /*  766551 */     // GIR_Coverage, 14301,
     /*  766551 */     GIR_EraseRootFromParent_Done,
     /*  766552 */   // Label 11940: @766552
     /*  766552 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(766630), // Rule ID 14302 //
     /*  766557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766628 */     GIR_RootConstrainSelectedInstOperands,
     /*  766629 */     // GIR_Coverage, 14302,
     /*  766629 */     GIR_EraseRootFromParent_Done,
     /*  766630 */   // Label 11941: @766630
     /*  766630 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(766708), // Rule ID 14305 //
     /*  766635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  766646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  766649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  766652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766681 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766706 */     GIR_RootConstrainSelectedInstOperands,
     /*  766707 */     // GIR_Coverage, 14305,
     /*  766707 */     GIR_EraseRootFromParent_Done,
     /*  766708 */   // Label 11942: @766708
     /*  766708 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(766786), // Rule ID 14306 //
     /*  766713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  766724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  766727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  766730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766759 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766784 */     GIR_RootConstrainSelectedInstOperands,
     /*  766785 */     // GIR_Coverage, 14306,
     /*  766785 */     GIR_EraseRootFromParent_Done,
     /*  766786 */   // Label 11943: @766786
     /*  766786 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(766864), // Rule ID 14309 //
     /*  766791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766862 */     GIR_RootConstrainSelectedInstOperands,
     /*  766863 */     // GIR_Coverage, 14309,
     /*  766863 */     GIR_EraseRootFromParent_Done,
     /*  766864 */   // Label 11944: @766864
     /*  766864 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(766942), // Rule ID 14310 //
     /*  766869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766940 */     GIR_RootConstrainSelectedInstOperands,
     /*  766941 */     // GIR_Coverage, 14310,
     /*  766941 */     GIR_EraseRootFromParent_Done,
     /*  766942 */   // Label 11945: @766942
     /*  766942 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(767020), // Rule ID 14313 //
     /*  766947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  766958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  766961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  766964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766993 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767018 */     GIR_RootConstrainSelectedInstOperands,
     /*  767019 */     // GIR_Coverage, 14313,
     /*  767019 */     GIR_EraseRootFromParent_Done,
     /*  767020 */   // Label 11946: @767020
     /*  767020 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(767098), // Rule ID 14314 //
     /*  767025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  767036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  767039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  767042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767096 */     GIR_RootConstrainSelectedInstOperands,
     /*  767097 */     // GIR_Coverage, 14314,
     /*  767097 */     GIR_EraseRootFromParent_Done,
     /*  767098 */   // Label 11947: @767098
     /*  767098 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(767176), // Rule ID 14317 //
     /*  767103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767174 */     GIR_RootConstrainSelectedInstOperands,
     /*  767175 */     // GIR_Coverage, 14317,
     /*  767175 */     GIR_EraseRootFromParent_Done,
     /*  767176 */   // Label 11948: @767176
     /*  767176 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(767254), // Rule ID 14318 //
     /*  767181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767252 */     GIR_RootConstrainSelectedInstOperands,
     /*  767253 */     // GIR_Coverage, 14318,
     /*  767253 */     GIR_EraseRootFromParent_Done,
     /*  767254 */   // Label 11949: @767254
     /*  767254 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(767332), // Rule ID 14321 //
     /*  767259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767305 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767330 */     GIR_RootConstrainSelectedInstOperands,
     /*  767331 */     // GIR_Coverage, 14321,
     /*  767331 */     GIR_EraseRootFromParent_Done,
     /*  767332 */   // Label 11950: @767332
     /*  767332 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(767410), // Rule ID 14322 //
     /*  767337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767408 */     GIR_RootConstrainSelectedInstOperands,
     /*  767409 */     // GIR_Coverage, 14322,
     /*  767409 */     GIR_EraseRootFromParent_Done,
     /*  767410 */   // Label 11951: @767410
     /*  767410 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(767488), // Rule ID 14325 //
     /*  767415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767486 */     GIR_RootConstrainSelectedInstOperands,
     /*  767487 */     // GIR_Coverage, 14325,
     /*  767487 */     GIR_EraseRootFromParent_Done,
     /*  767488 */   // Label 11952: @767488
     /*  767488 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(767566), // Rule ID 14326 //
     /*  767493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767564 */     GIR_RootConstrainSelectedInstOperands,
     /*  767565 */     // GIR_Coverage, 14326,
     /*  767565 */     GIR_EraseRootFromParent_Done,
     /*  767566 */   // Label 11953: @767566
     /*  767566 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(767644), // Rule ID 14329 //
     /*  767571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767617 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767642 */     GIR_RootConstrainSelectedInstOperands,
     /*  767643 */     // GIR_Coverage, 14329,
     /*  767643 */     GIR_EraseRootFromParent_Done,
     /*  767644 */   // Label 11954: @767644
     /*  767644 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(767722), // Rule ID 14330 //
     /*  767649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767695 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767720 */     GIR_RootConstrainSelectedInstOperands,
     /*  767721 */     // GIR_Coverage, 14330,
     /*  767721 */     GIR_EraseRootFromParent_Done,
     /*  767722 */   // Label 11955: @767722
     /*  767722 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(767800), // Rule ID 14333 //
     /*  767727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  767738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  767741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  767744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767798 */     GIR_RootConstrainSelectedInstOperands,
     /*  767799 */     // GIR_Coverage, 14333,
     /*  767799 */     GIR_EraseRootFromParent_Done,
     /*  767800 */   // Label 11956: @767800
     /*  767800 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(767878), // Rule ID 14334 //
     /*  767805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  767816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  767819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  767822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767876 */     GIR_RootConstrainSelectedInstOperands,
     /*  767877 */     // GIR_Coverage, 14334,
     /*  767877 */     GIR_EraseRootFromParent_Done,
     /*  767878 */   // Label 11957: @767878
     /*  767878 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(767956), // Rule ID 14337 //
     /*  767883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  767894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  767897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  767900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767929 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767954 */     GIR_RootConstrainSelectedInstOperands,
     /*  767955 */     // GIR_Coverage, 14337,
     /*  767955 */     GIR_EraseRootFromParent_Done,
     /*  767956 */   // Label 11958: @767956
     /*  767956 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(768034), // Rule ID 14338 //
     /*  767961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  767972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  767975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  767978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768032 */     GIR_RootConstrainSelectedInstOperands,
     /*  768033 */     // GIR_Coverage, 14338,
     /*  768033 */     GIR_EraseRootFromParent_Done,
     /*  768034 */   // Label 11959: @768034
     /*  768034 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(768112), // Rule ID 14341 //
     /*  768039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768110 */     GIR_RootConstrainSelectedInstOperands,
     /*  768111 */     // GIR_Coverage, 14341,
     /*  768111 */     GIR_EraseRootFromParent_Done,
     /*  768112 */   // Label 11960: @768112
     /*  768112 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(768190), // Rule ID 14342 //
     /*  768117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768163 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768188 */     GIR_RootConstrainSelectedInstOperands,
     /*  768189 */     // GIR_Coverage, 14342,
     /*  768189 */     GIR_EraseRootFromParent_Done,
     /*  768190 */   // Label 11961: @768190
     /*  768190 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(768268), // Rule ID 14345 //
     /*  768195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768266 */     GIR_RootConstrainSelectedInstOperands,
     /*  768267 */     // GIR_Coverage, 14345,
     /*  768267 */     GIR_EraseRootFromParent_Done,
     /*  768268 */   // Label 11962: @768268
     /*  768268 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(768346), // Rule ID 14346 //
     /*  768273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768344 */     GIR_RootConstrainSelectedInstOperands,
     /*  768345 */     // GIR_Coverage, 14346,
     /*  768345 */     GIR_EraseRootFromParent_Done,
     /*  768346 */   // Label 11963: @768346
     /*  768346 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(768424), // Rule ID 14349 //
     /*  768351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768422 */     GIR_RootConstrainSelectedInstOperands,
     /*  768423 */     // GIR_Coverage, 14349,
     /*  768423 */     GIR_EraseRootFromParent_Done,
     /*  768424 */   // Label 11964: @768424
     /*  768424 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(768502), // Rule ID 14350 //
     /*  768429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768500 */     GIR_RootConstrainSelectedInstOperands,
     /*  768501 */     // GIR_Coverage, 14350,
     /*  768501 */     GIR_EraseRootFromParent_Done,
     /*  768502 */   // Label 11965: @768502
     /*  768502 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(768580), // Rule ID 14353 //
     /*  768507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768578 */     GIR_RootConstrainSelectedInstOperands,
     /*  768579 */     // GIR_Coverage, 14353,
     /*  768579 */     GIR_EraseRootFromParent_Done,
     /*  768580 */   // Label 11966: @768580
     /*  768580 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(768658), // Rule ID 14354 //
     /*  768585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768631 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768656 */     GIR_RootConstrainSelectedInstOperands,
     /*  768657 */     // GIR_Coverage, 14354,
     /*  768657 */     GIR_EraseRootFromParent_Done,
     /*  768658 */   // Label 11967: @768658
     /*  768658 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(768736), // Rule ID 14357 //
     /*  768663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  768674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  768677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  768680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768734 */     GIR_RootConstrainSelectedInstOperands,
     /*  768735 */     // GIR_Coverage, 14357,
     /*  768735 */     GIR_EraseRootFromParent_Done,
     /*  768736 */   // Label 11968: @768736
     /*  768736 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(768814), // Rule ID 14358 //
     /*  768741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  768752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  768755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  768758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768812 */     GIR_RootConstrainSelectedInstOperands,
     /*  768813 */     // GIR_Coverage, 14358,
     /*  768813 */     GIR_EraseRootFromParent_Done,
     /*  768814 */   // Label 11969: @768814
     /*  768814 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(768892), // Rule ID 14361 //
     /*  768819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  768830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  768833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  768836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768865 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768890 */     GIR_RootConstrainSelectedInstOperands,
     /*  768891 */     // GIR_Coverage, 14361,
     /*  768891 */     GIR_EraseRootFromParent_Done,
     /*  768892 */   // Label 11970: @768892
     /*  768892 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(768970), // Rule ID 14362 //
     /*  768897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  768908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  768911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  768914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768968 */     GIR_RootConstrainSelectedInstOperands,
     /*  768969 */     // GIR_Coverage, 14362,
     /*  768969 */     GIR_EraseRootFromParent_Done,
     /*  768970 */   // Label 11971: @768970
     /*  768970 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(769048), // Rule ID 14365 //
     /*  768975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  768986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  768989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  768992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769046 */     GIR_RootConstrainSelectedInstOperands,
     /*  769047 */     // GIR_Coverage, 14365,
     /*  769047 */     GIR_EraseRootFromParent_Done,
     /*  769048 */   // Label 11972: @769048
     /*  769048 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(769126), // Rule ID 14366 //
     /*  769053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769124 */     GIR_RootConstrainSelectedInstOperands,
     /*  769125 */     // GIR_Coverage, 14366,
     /*  769125 */     GIR_EraseRootFromParent_Done,
     /*  769126 */   // Label 11973: @769126
     /*  769126 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(769204), // Rule ID 14457 //
     /*  769131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769202 */     GIR_RootConstrainSelectedInstOperands,
     /*  769203 */     // GIR_Coverage, 14457,
     /*  769203 */     GIR_EraseRootFromParent_Done,
     /*  769204 */   // Label 11974: @769204
     /*  769204 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(769282), // Rule ID 14458 //
     /*  769209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769255 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769280 */     GIR_RootConstrainSelectedInstOperands,
     /*  769281 */     // GIR_Coverage, 14458,
     /*  769281 */     GIR_EraseRootFromParent_Done,
     /*  769282 */   // Label 11975: @769282
     /*  769282 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(769360), // Rule ID 14461 //
     /*  769287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769333 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769358 */     GIR_RootConstrainSelectedInstOperands,
     /*  769359 */     // GIR_Coverage, 14461,
     /*  769359 */     GIR_EraseRootFromParent_Done,
     /*  769360 */   // Label 11976: @769360
     /*  769360 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(769438), // Rule ID 14462 //
     /*  769365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769411 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769436 */     GIR_RootConstrainSelectedInstOperands,
     /*  769437 */     // GIR_Coverage, 14462,
     /*  769437 */     GIR_EraseRootFromParent_Done,
     /*  769438 */   // Label 11977: @769438
     /*  769438 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(769516), // Rule ID 14465 //
     /*  769443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769489 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769514 */     GIR_RootConstrainSelectedInstOperands,
     /*  769515 */     // GIR_Coverage, 14465,
     /*  769515 */     GIR_EraseRootFromParent_Done,
     /*  769516 */   // Label 11978: @769516
     /*  769516 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(769594), // Rule ID 14466 //
     /*  769521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769592 */     GIR_RootConstrainSelectedInstOperands,
     /*  769593 */     // GIR_Coverage, 14466,
     /*  769593 */     GIR_EraseRootFromParent_Done,
     /*  769594 */   // Label 11979: @769594
     /*  769594 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(769672), // Rule ID 14469 //
     /*  769599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  769613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  769616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769670 */     GIR_RootConstrainSelectedInstOperands,
     /*  769671 */     // GIR_Coverage, 14469,
     /*  769671 */     GIR_EraseRootFromParent_Done,
     /*  769672 */   // Label 11980: @769672
     /*  769672 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(769750), // Rule ID 14470 //
     /*  769677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  769691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  769694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769748 */     GIR_RootConstrainSelectedInstOperands,
     /*  769749 */     // GIR_Coverage, 14470,
     /*  769749 */     GIR_EraseRootFromParent_Done,
     /*  769750 */   // Label 11981: @769750
     /*  769750 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(769828), // Rule ID 14473 //
     /*  769755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  769766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  769769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  769772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  769775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769826 */     GIR_RootConstrainSelectedInstOperands,
     /*  769827 */     // GIR_Coverage, 14473,
     /*  769827 */     GIR_EraseRootFromParent_Done,
     /*  769828 */   // Label 11982: @769828
     /*  769828 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(769906), // Rule ID 14474 //
     /*  769833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  769844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  769847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  769850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  769853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769879 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769904 */     GIR_RootConstrainSelectedInstOperands,
     /*  769905 */     // GIR_Coverage, 14474,
     /*  769905 */     GIR_EraseRootFromParent_Done,
     /*  769906 */   // Label 11983: @769906
     /*  769906 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(769984), // Rule ID 14477 //
     /*  769911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  769922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  769925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  769928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  769931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769957 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769982 */     GIR_RootConstrainSelectedInstOperands,
     /*  769983 */     // GIR_Coverage, 14477,
     /*  769983 */     GIR_EraseRootFromParent_Done,
     /*  769984 */   // Label 11984: @769984
     /*  769984 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(770062), // Rule ID 14478 //
     /*  769989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770060 */     GIR_RootConstrainSelectedInstOperands,
     /*  770061 */     // GIR_Coverage, 14478,
     /*  770061 */     GIR_EraseRootFromParent_Done,
     /*  770062 */   // Label 11985: @770062
     /*  770062 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(770140), // Rule ID 14481 //
     /*  770067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770113 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770138 */     GIR_RootConstrainSelectedInstOperands,
     /*  770139 */     // GIR_Coverage, 14481,
     /*  770139 */     GIR_EraseRootFromParent_Done,
     /*  770140 */   // Label 11986: @770140
     /*  770140 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(770218), // Rule ID 14482 //
     /*  770145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770191 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770216 */     GIR_RootConstrainSelectedInstOperands,
     /*  770217 */     // GIR_Coverage, 14482,
     /*  770217 */     GIR_EraseRootFromParent_Done,
     /*  770218 */   // Label 11987: @770218
     /*  770218 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(770296), // Rule ID 14485 //
     /*  770223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770294 */     GIR_RootConstrainSelectedInstOperands,
     /*  770295 */     // GIR_Coverage, 14485,
     /*  770295 */     GIR_EraseRootFromParent_Done,
     /*  770296 */   // Label 11988: @770296
     /*  770296 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(770374), // Rule ID 14486 //
     /*  770301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770372 */     GIR_RootConstrainSelectedInstOperands,
     /*  770373 */     // GIR_Coverage, 14486,
     /*  770373 */     GIR_EraseRootFromParent_Done,
     /*  770374 */   // Label 11989: @770374
     /*  770374 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(770452), // Rule ID 14489 //
     /*  770379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770425 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770450 */     GIR_RootConstrainSelectedInstOperands,
     /*  770451 */     // GIR_Coverage, 14489,
     /*  770451 */     GIR_EraseRootFromParent_Done,
     /*  770452 */   // Label 11990: @770452
     /*  770452 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(770530), // Rule ID 14490 //
     /*  770457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770528 */     GIR_RootConstrainSelectedInstOperands,
     /*  770529 */     // GIR_Coverage, 14490,
     /*  770529 */     GIR_EraseRootFromParent_Done,
     /*  770530 */   // Label 11991: @770530
     /*  770530 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(770608), // Rule ID 14493 //
     /*  770535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  770555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770581 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770606 */     GIR_RootConstrainSelectedInstOperands,
     /*  770607 */     // GIR_Coverage, 14493,
     /*  770607 */     GIR_EraseRootFromParent_Done,
     /*  770608 */   // Label 11992: @770608
     /*  770608 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(770686), // Rule ID 14494 //
     /*  770613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  770633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770684 */     GIR_RootConstrainSelectedInstOperands,
     /*  770685 */     // GIR_Coverage, 14494,
     /*  770685 */     GIR_EraseRootFromParent_Done,
     /*  770686 */   // Label 11993: @770686
     /*  770686 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(770764), // Rule ID 14497 //
     /*  770691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  770702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  770705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  770708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  770711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770737 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770762 */     GIR_RootConstrainSelectedInstOperands,
     /*  770763 */     // GIR_Coverage, 14497,
     /*  770763 */     GIR_EraseRootFromParent_Done,
     /*  770764 */   // Label 11994: @770764
     /*  770764 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(770842), // Rule ID 14498 //
     /*  770769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  770780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  770783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  770786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  770789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770815 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770840 */     GIR_RootConstrainSelectedInstOperands,
     /*  770841 */     // GIR_Coverage, 14498,
     /*  770841 */     GIR_EraseRootFromParent_Done,
     /*  770842 */   // Label 11995: @770842
     /*  770842 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(770920), // Rule ID 14501 //
     /*  770847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  770858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  770861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  770864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  770867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770918 */     GIR_RootConstrainSelectedInstOperands,
     /*  770919 */     // GIR_Coverage, 14501,
     /*  770919 */     GIR_EraseRootFromParent_Done,
     /*  770920 */   // Label 11996: @770920
     /*  770920 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(770998), // Rule ID 14502 //
     /*  770925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  770936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  770939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  770942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  770945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770971 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770996 */     GIR_RootConstrainSelectedInstOperands,
     /*  770997 */     // GIR_Coverage, 14502,
     /*  770997 */     GIR_EraseRootFromParent_Done,
     /*  770998 */   // Label 11997: @770998
     /*  770998 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(771076), // Rule ID 14505 //
     /*  771003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771049 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771074 */     GIR_RootConstrainSelectedInstOperands,
     /*  771075 */     // GIR_Coverage, 14505,
     /*  771075 */     GIR_EraseRootFromParent_Done,
     /*  771076 */   // Label 11998: @771076
     /*  771076 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(771154), // Rule ID 14506 //
     /*  771081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771127 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771152 */     GIR_RootConstrainSelectedInstOperands,
     /*  771153 */     // GIR_Coverage, 14506,
     /*  771153 */     GIR_EraseRootFromParent_Done,
     /*  771154 */   // Label 11999: @771154
     /*  771154 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(771232), // Rule ID 14509 //
     /*  771159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771230 */     GIR_RootConstrainSelectedInstOperands,
     /*  771231 */     // GIR_Coverage, 14509,
     /*  771231 */     GIR_EraseRootFromParent_Done,
     /*  771232 */   // Label 12000: @771232
     /*  771232 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(771310), // Rule ID 14510 //
     /*  771237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771308 */     GIR_RootConstrainSelectedInstOperands,
     /*  771309 */     // GIR_Coverage, 14510,
     /*  771309 */     GIR_EraseRootFromParent_Done,
     /*  771310 */   // Label 12001: @771310
     /*  771310 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(771388), // Rule ID 14513 //
     /*  771315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771361 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771386 */     GIR_RootConstrainSelectedInstOperands,
     /*  771387 */     // GIR_Coverage, 14513,
     /*  771387 */     GIR_EraseRootFromParent_Done,
     /*  771388 */   // Label 12002: @771388
     /*  771388 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(771466), // Rule ID 14514 //
     /*  771393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771464 */     GIR_RootConstrainSelectedInstOperands,
     /*  771465 */     // GIR_Coverage, 14514,
     /*  771465 */     GIR_EraseRootFromParent_Done,
     /*  771466 */   // Label 12003: @771466
     /*  771466 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(771544), // Rule ID 14517 //
     /*  771471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771517 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771542 */     GIR_RootConstrainSelectedInstOperands,
     /*  771543 */     // GIR_Coverage, 14517,
     /*  771543 */     GIR_EraseRootFromParent_Done,
     /*  771544 */   // Label 12004: @771544
     /*  771544 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(771622), // Rule ID 14518 //
     /*  771549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771620 */     GIR_RootConstrainSelectedInstOperands,
     /*  771621 */     // GIR_Coverage, 14518,
     /*  771621 */     GIR_EraseRootFromParent_Done,
     /*  771622 */   // Label 12005: @771622
     /*  771622 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(771700), // Rule ID 14521 //
     /*  771627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  771638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  771641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  771644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  771647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771698 */     GIR_RootConstrainSelectedInstOperands,
     /*  771699 */     // GIR_Coverage, 14521,
     /*  771699 */     GIR_EraseRootFromParent_Done,
     /*  771700 */   // Label 12006: @771700
     /*  771700 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(771778), // Rule ID 14522 //
     /*  771705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  771716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  771719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  771722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  771725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771776 */     GIR_RootConstrainSelectedInstOperands,
     /*  771777 */     // GIR_Coverage, 14522,
     /*  771777 */     GIR_EraseRootFromParent_Done,
     /*  771778 */   // Label 12007: @771778
     /*  771778 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(771856), // Rule ID 14525 //
     /*  771783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  771794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  771797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  771800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  771803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771854 */     GIR_RootConstrainSelectedInstOperands,
     /*  771855 */     // GIR_Coverage, 14525,
     /*  771855 */     GIR_EraseRootFromParent_Done,
     /*  771856 */   // Label 12008: @771856
     /*  771856 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(771934), // Rule ID 14526 //
     /*  771861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  771872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  771875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  771878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  771881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771932 */     GIR_RootConstrainSelectedInstOperands,
     /*  771933 */     // GIR_Coverage, 14526,
     /*  771933 */     GIR_EraseRootFromParent_Done,
     /*  771934 */   // Label 12009: @771934
     /*  771934 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(772012), // Rule ID 14529 //
     /*  771939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  771950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  771953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  771956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  771959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771985 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772010 */     GIR_RootConstrainSelectedInstOperands,
     /*  772011 */     // GIR_Coverage, 14529,
     /*  772011 */     GIR_EraseRootFromParent_Done,
     /*  772012 */   // Label 12010: @772012
     /*  772012 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(772090), // Rule ID 14530 //
     /*  772017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772063 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772088 */     GIR_RootConstrainSelectedInstOperands,
     /*  772089 */     // GIR_Coverage, 14530,
     /*  772089 */     GIR_EraseRootFromParent_Done,
     /*  772090 */   // Label 12011: @772090
     /*  772090 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(772168), // Rule ID 14533 //
     /*  772095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772166 */     GIR_RootConstrainSelectedInstOperands,
     /*  772167 */     // GIR_Coverage, 14533,
     /*  772167 */     GIR_EraseRootFromParent_Done,
     /*  772168 */   // Label 12012: @772168
     /*  772168 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(772246), // Rule ID 14534 //
     /*  772173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772244 */     GIR_RootConstrainSelectedInstOperands,
     /*  772245 */     // GIR_Coverage, 14534,
     /*  772245 */     GIR_EraseRootFromParent_Done,
     /*  772246 */   // Label 12013: @772246
     /*  772246 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(772324), // Rule ID 14537 //
     /*  772251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772322 */     GIR_RootConstrainSelectedInstOperands,
     /*  772323 */     // GIR_Coverage, 14537,
     /*  772323 */     GIR_EraseRootFromParent_Done,
     /*  772324 */   // Label 12014: @772324
     /*  772324 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(772402), // Rule ID 14538 //
     /*  772329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772400 */     GIR_RootConstrainSelectedInstOperands,
     /*  772401 */     // GIR_Coverage, 14538,
     /*  772401 */     GIR_EraseRootFromParent_Done,
     /*  772402 */   // Label 12015: @772402
     /*  772402 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772480), // Rule ID 14541 //
     /*  772407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772478 */     GIR_RootConstrainSelectedInstOperands,
     /*  772479 */     // GIR_Coverage, 14541,
     /*  772479 */     GIR_EraseRootFromParent_Done,
     /*  772480 */   // Label 12016: @772480
     /*  772480 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(772558), // Rule ID 14542 //
     /*  772485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772556 */     GIR_RootConstrainSelectedInstOperands,
     /*  772557 */     // GIR_Coverage, 14542,
     /*  772557 */     GIR_EraseRootFromParent_Done,
     /*  772558 */   // Label 12017: @772558
     /*  772558 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(772636), // Rule ID 14545 //
     /*  772563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  772574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  772577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  772580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772609 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  772612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772634 */     GIR_RootConstrainSelectedInstOperands,
     /*  772635 */     // GIR_Coverage, 14545,
     /*  772635 */     GIR_EraseRootFromParent_Done,
     /*  772636 */   // Label 12018: @772636
     /*  772636 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(772714), // Rule ID 14546 //
     /*  772641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  772652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  772655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  772658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  772690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772712 */     GIR_RootConstrainSelectedInstOperands,
     /*  772713 */     // GIR_Coverage, 14546,
     /*  772713 */     GIR_EraseRootFromParent_Done,
     /*  772714 */   // Label 12019: @772714
     /*  772714 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(772792), // Rule ID 14549 //
     /*  772719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  772730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  772733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  772736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772765 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  772768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772790 */     GIR_RootConstrainSelectedInstOperands,
     /*  772791 */     // GIR_Coverage, 14549,
     /*  772791 */     GIR_EraseRootFromParent_Done,
     /*  772792 */   // Label 12020: @772792
     /*  772792 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(772870), // Rule ID 14550 //
     /*  772797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  772808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  772811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  772814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772843 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  772846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772868 */     GIR_RootConstrainSelectedInstOperands,
     /*  772869 */     // GIR_Coverage, 14550,
     /*  772869 */     GIR_EraseRootFromParent_Done,
     /*  772870 */   // Label 12021: @772870
     /*  772870 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(772948), // Rule ID 14553 //
     /*  772875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  772886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  772889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  772892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772921 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  772924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772946 */     GIR_RootConstrainSelectedInstOperands,
     /*  772947 */     // GIR_Coverage, 14553,
     /*  772947 */     GIR_EraseRootFromParent_Done,
     /*  772948 */   // Label 12022: @772948
     /*  772948 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(773026), // Rule ID 14554 //
     /*  772953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  772964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  772967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  772970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772999 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773024 */     GIR_RootConstrainSelectedInstOperands,
     /*  773025 */     // GIR_Coverage, 14554,
     /*  773025 */     GIR_EraseRootFromParent_Done,
     /*  773026 */   // Label 12023: @773026
     /*  773026 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(773104), // Rule ID 14557 //
     /*  773031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773102 */     GIR_RootConstrainSelectedInstOperands,
     /*  773103 */     // GIR_Coverage, 14557,
     /*  773103 */     GIR_EraseRootFromParent_Done,
     /*  773104 */   // Label 12024: @773104
     /*  773104 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(773182), // Rule ID 14558 //
     /*  773109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773155 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773180 */     GIR_RootConstrainSelectedInstOperands,
     /*  773181 */     // GIR_Coverage, 14558,
     /*  773181 */     GIR_EraseRootFromParent_Done,
     /*  773182 */   // Label 12025: @773182
     /*  773182 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(773260), // Rule ID 14561 //
     /*  773187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773258 */     GIR_RootConstrainSelectedInstOperands,
     /*  773259 */     // GIR_Coverage, 14561,
     /*  773259 */     GIR_EraseRootFromParent_Done,
     /*  773260 */   // Label 12026: @773260
     /*  773260 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(773338), // Rule ID 14562 //
     /*  773265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773336 */     GIR_RootConstrainSelectedInstOperands,
     /*  773337 */     // GIR_Coverage, 14562,
     /*  773337 */     GIR_EraseRootFromParent_Done,
     /*  773338 */   // Label 12027: @773338
     /*  773338 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(773416), // Rule ID 14565 //
     /*  773343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773414 */     GIR_RootConstrainSelectedInstOperands,
     /*  773415 */     // GIR_Coverage, 14565,
     /*  773415 */     GIR_EraseRootFromParent_Done,
     /*  773416 */   // Label 12028: @773416
     /*  773416 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773494), // Rule ID 14566 //
     /*  773421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773492 */     GIR_RootConstrainSelectedInstOperands,
     /*  773493 */     // GIR_Coverage, 14566,
     /*  773493 */     GIR_EraseRootFromParent_Done,
     /*  773494 */   // Label 12029: @773494
     /*  773494 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773572), // Rule ID 14569 //
     /*  773499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773545 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773570 */     GIR_RootConstrainSelectedInstOperands,
     /*  773571 */     // GIR_Coverage, 14569,
     /*  773571 */     GIR_EraseRootFromParent_Done,
     /*  773572 */   // Label 12030: @773572
     /*  773572 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(773650), // Rule ID 14570 //
     /*  773577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773648 */     GIR_RootConstrainSelectedInstOperands,
     /*  773649 */     // GIR_Coverage, 14570,
     /*  773649 */     GIR_EraseRootFromParent_Done,
     /*  773650 */   // Label 12031: @773650
     /*  773650 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(773728), // Rule ID 14573 //
     /*  773655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  773666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  773669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  773672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773726 */     GIR_RootConstrainSelectedInstOperands,
     /*  773727 */     // GIR_Coverage, 14573,
     /*  773727 */     GIR_EraseRootFromParent_Done,
     /*  773728 */   // Label 12032: @773728
     /*  773728 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(773806), // Rule ID 14574 //
     /*  773733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  773744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  773747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  773750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773804 */     GIR_RootConstrainSelectedInstOperands,
     /*  773805 */     // GIR_Coverage, 14574,
     /*  773805 */     GIR_EraseRootFromParent_Done,
     /*  773806 */   // Label 12033: @773806
     /*  773806 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(773884), // Rule ID 14577 //
     /*  773811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  773822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  773825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  773828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773882 */     GIR_RootConstrainSelectedInstOperands,
     /*  773883 */     // GIR_Coverage, 14577,
     /*  773883 */     GIR_EraseRootFromParent_Done,
     /*  773884 */   // Label 12034: @773884
     /*  773884 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(773962), // Rule ID 14578 //
     /*  773889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  773900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  773903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  773906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773960 */     GIR_RootConstrainSelectedInstOperands,
     /*  773961 */     // GIR_Coverage, 14578,
     /*  773961 */     GIR_EraseRootFromParent_Done,
     /*  773962 */   // Label 12035: @773962
     /*  773962 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(774040), // Rule ID 14581 //
     /*  773967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  773978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  773981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  773984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774038 */     GIR_RootConstrainSelectedInstOperands,
     /*  774039 */     // GIR_Coverage, 14581,
     /*  774039 */     GIR_EraseRootFromParent_Done,
     /*  774040 */   // Label 12036: @774040
     /*  774040 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(774118), // Rule ID 14582 //
     /*  774045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774116 */     GIR_RootConstrainSelectedInstOperands,
     /*  774117 */     // GIR_Coverage, 14582,
     /*  774117 */     GIR_EraseRootFromParent_Done,
     /*  774118 */   // Label 12037: @774118
     /*  774118 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(774196), // Rule ID 14585 //
     /*  774123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774169 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774194 */     GIR_RootConstrainSelectedInstOperands,
     /*  774195 */     // GIR_Coverage, 14585,
     /*  774195 */     GIR_EraseRootFromParent_Done,
     /*  774196 */   // Label 12038: @774196
     /*  774196 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(774274), // Rule ID 14586 //
     /*  774201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774272 */     GIR_RootConstrainSelectedInstOperands,
     /*  774273 */     // GIR_Coverage, 14586,
     /*  774273 */     GIR_EraseRootFromParent_Done,
     /*  774274 */   // Label 12039: @774274
     /*  774274 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(774352), // Rule ID 14589 //
     /*  774279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774325 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774350 */     GIR_RootConstrainSelectedInstOperands,
     /*  774351 */     // GIR_Coverage, 14589,
     /*  774351 */     GIR_EraseRootFromParent_Done,
     /*  774352 */   // Label 12040: @774352
     /*  774352 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(774430), // Rule ID 14590 //
     /*  774357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774428 */     GIR_RootConstrainSelectedInstOperands,
     /*  774429 */     // GIR_Coverage, 14590,
     /*  774429 */     GIR_EraseRootFromParent_Done,
     /*  774430 */   // Label 12041: @774430
     /*  774430 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774508), // Rule ID 14593 //
     /*  774435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774506 */     GIR_RootConstrainSelectedInstOperands,
     /*  774507 */     // GIR_Coverage, 14593,
     /*  774507 */     GIR_EraseRootFromParent_Done,
     /*  774508 */   // Label 12042: @774508
     /*  774508 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774586), // Rule ID 14594 //
     /*  774513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774584 */     GIR_RootConstrainSelectedInstOperands,
     /*  774585 */     // GIR_Coverage, 14594,
     /*  774585 */     GIR_EraseRootFromParent_Done,
     /*  774586 */   // Label 12043: @774586
     /*  774586 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(774664), // Rule ID 14597 //
     /*  774591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  774602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  774605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  774608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774637 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774662 */     GIR_RootConstrainSelectedInstOperands,
     /*  774663 */     // GIR_Coverage, 14597,
     /*  774663 */     GIR_EraseRootFromParent_Done,
     /*  774664 */   // Label 12044: @774664
     /*  774664 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(774742), // Rule ID 14598 //
     /*  774669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  774680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  774683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  774686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774715 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774740 */     GIR_RootConstrainSelectedInstOperands,
     /*  774741 */     // GIR_Coverage, 14598,
     /*  774741 */     GIR_EraseRootFromParent_Done,
     /*  774742 */   // Label 12045: @774742
     /*  774742 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(774820), // Rule ID 14601 //
     /*  774747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  774758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  774761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  774764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774818 */     GIR_RootConstrainSelectedInstOperands,
     /*  774819 */     // GIR_Coverage, 14601,
     /*  774819 */     GIR_EraseRootFromParent_Done,
     /*  774820 */   // Label 12046: @774820
     /*  774820 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(774898), // Rule ID 14602 //
     /*  774825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  774836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  774839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  774842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774896 */     GIR_RootConstrainSelectedInstOperands,
     /*  774897 */     // GIR_Coverage, 14602,
     /*  774897 */     GIR_EraseRootFromParent_Done,
     /*  774898 */   // Label 12047: @774898
     /*  774898 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(774976), // Rule ID 14605 //
     /*  774903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  774914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  774917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  774920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774949 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774974 */     GIR_RootConstrainSelectedInstOperands,
     /*  774975 */     // GIR_Coverage, 14605,
     /*  774975 */     GIR_EraseRootFromParent_Done,
     /*  774976 */   // Label 12048: @774976
     /*  774976 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(775054), // Rule ID 14606 //
     /*  774981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  774992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  774995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  774998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775052 */     GIR_RootConstrainSelectedInstOperands,
     /*  775053 */     // GIR_Coverage, 14606,
     /*  775053 */     GIR_EraseRootFromParent_Done,
     /*  775054 */   // Label 12049: @775054
     /*  775054 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(775132), // Rule ID 14609 //
     /*  775059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775130 */     GIR_RootConstrainSelectedInstOperands,
     /*  775131 */     // GIR_Coverage, 14609,
     /*  775131 */     GIR_EraseRootFromParent_Done,
     /*  775132 */   // Label 12050: @775132
     /*  775132 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(775210), // Rule ID 14610 //
     /*  775137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775208 */     GIR_RootConstrainSelectedInstOperands,
     /*  775209 */     // GIR_Coverage, 14610,
     /*  775209 */     GIR_EraseRootFromParent_Done,
     /*  775210 */   // Label 12051: @775210
     /*  775210 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(775288), // Rule ID 14613 //
     /*  775215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775286 */     GIR_RootConstrainSelectedInstOperands,
     /*  775287 */     // GIR_Coverage, 14613,
     /*  775287 */     GIR_EraseRootFromParent_Done,
     /*  775288 */   // Label 12052: @775288
     /*  775288 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(775366), // Rule ID 14614 //
     /*  775293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775364 */     GIR_RootConstrainSelectedInstOperands,
     /*  775365 */     // GIR_Coverage, 14614,
     /*  775365 */     GIR_EraseRootFromParent_Done,
     /*  775366 */   // Label 12053: @775366
     /*  775366 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(775444), // Rule ID 14617 //
     /*  775371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775442 */     GIR_RootConstrainSelectedInstOperands,
     /*  775443 */     // GIR_Coverage, 14617,
     /*  775443 */     GIR_EraseRootFromParent_Done,
     /*  775444 */   // Label 12054: @775444
     /*  775444 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775522), // Rule ID 14618 //
     /*  775449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775520 */     GIR_RootConstrainSelectedInstOperands,
     /*  775521 */     // GIR_Coverage, 14618,
     /*  775521 */     GIR_EraseRootFromParent_Done,
     /*  775522 */   // Label 12055: @775522
     /*  775522 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775600), // Rule ID 14621 //
     /*  775527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  775538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  775541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  775544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775573 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775598 */     GIR_RootConstrainSelectedInstOperands,
     /*  775599 */     // GIR_Coverage, 14621,
     /*  775599 */     GIR_EraseRootFromParent_Done,
     /*  775600 */   // Label 12056: @775600
     /*  775600 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(775678), // Rule ID 14622 //
     /*  775605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  775616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  775619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  775622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775651 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775676 */     GIR_RootConstrainSelectedInstOperands,
     /*  775677 */     // GIR_Coverage, 14622,
     /*  775677 */     GIR_EraseRootFromParent_Done,
     /*  775678 */   // Label 12057: @775678
     /*  775678 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(775756), // Rule ID 14625 //
     /*  775683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  775694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  775697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  775700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775729 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775754 */     GIR_RootConstrainSelectedInstOperands,
     /*  775755 */     // GIR_Coverage, 14625,
     /*  775755 */     GIR_EraseRootFromParent_Done,
     /*  775756 */   // Label 12058: @775756
     /*  775756 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(775834), // Rule ID 14626 //
     /*  775761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  775772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  775775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  775778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775832 */     GIR_RootConstrainSelectedInstOperands,
     /*  775833 */     // GIR_Coverage, 14626,
     /*  775833 */     GIR_EraseRootFromParent_Done,
     /*  775834 */   // Label 12059: @775834
     /*  775834 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(775912), // Rule ID 14629 //
     /*  775839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  775850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  775853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  775856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775885 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775910 */     GIR_RootConstrainSelectedInstOperands,
     /*  775911 */     // GIR_Coverage, 14629,
     /*  775911 */     GIR_EraseRootFromParent_Done,
     /*  775912 */   // Label 12060: @775912
     /*  775912 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(775990), // Rule ID 14630 //
     /*  775917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  775928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  775931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  775934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775988 */     GIR_RootConstrainSelectedInstOperands,
     /*  775989 */     // GIR_Coverage, 14630,
     /*  775989 */     GIR_EraseRootFromParent_Done,
     /*  775990 */   // Label 12061: @775990
     /*  775990 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(776068), // Rule ID 14633 //
     /*  775995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  776006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  776009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  776012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  776015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776041 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  776044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776066 */     GIR_RootConstrainSelectedInstOperands,
     /*  776067 */     // GIR_Coverage, 14633,
     /*  776067 */     GIR_EraseRootFromParent_Done,
     /*  776068 */   // Label 12062: @776068
     /*  776068 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(776146), // Rule ID 14634 //
     /*  776073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  776084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  776087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  776090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  776093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776119 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  776122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776144 */     GIR_RootConstrainSelectedInstOperands,
     /*  776145 */     // GIR_Coverage, 14634,
     /*  776145 */     GIR_EraseRootFromParent_Done,
     /*  776146 */   // Label 12063: @776146
     /*  776146 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(776224), // Rule ID 14637 //
     /*  776151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776222 */     GIR_RootConstrainSelectedInstOperands,
     /*  776223 */     // GIR_Coverage, 14637,
     /*  776223 */     GIR_EraseRootFromParent_Done,
     /*  776224 */   // Label 12064: @776224
     /*  776224 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(776302), // Rule ID 14638 //
     /*  776229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776275 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776300 */     GIR_RootConstrainSelectedInstOperands,
     /*  776301 */     // GIR_Coverage, 14638,
     /*  776301 */     GIR_EraseRootFromParent_Done,
     /*  776302 */   // Label 12065: @776302
     /*  776302 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(776380), // Rule ID 14641 //
     /*  776307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776353 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776378 */     GIR_RootConstrainSelectedInstOperands,
     /*  776379 */     // GIR_Coverage, 14641,
     /*  776379 */     GIR_EraseRootFromParent_Done,
     /*  776380 */   // Label 12066: @776380
     /*  776380 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(776458), // Rule ID 14642 //
     /*  776385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776431 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776456 */     GIR_RootConstrainSelectedInstOperands,
     /*  776457 */     // GIR_Coverage, 14642,
     /*  776457 */     GIR_EraseRootFromParent_Done,
     /*  776458 */   // Label 12067: @776458
     /*  776458 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776536), // Rule ID 14645 //
     /*  776463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776509 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776534 */     GIR_RootConstrainSelectedInstOperands,
     /*  776535 */     // GIR_Coverage, 14645,
     /*  776535 */     GIR_EraseRootFromParent_Done,
     /*  776536 */   // Label 12068: @776536
     /*  776536 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776614), // Rule ID 14646 //
     /*  776541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776612 */     GIR_RootConstrainSelectedInstOperands,
     /*  776613 */     // GIR_Coverage, 14646,
     /*  776613 */     GIR_EraseRootFromParent_Done,
     /*  776614 */   // Label 12069: @776614
     /*  776614 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776692), // Rule ID 14649 //
     /*  776619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  776630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  776633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  776636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776665 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776690 */     GIR_RootConstrainSelectedInstOperands,
     /*  776691 */     // GIR_Coverage, 14649,
     /*  776691 */     GIR_EraseRootFromParent_Done,
     /*  776692 */   // Label 12070: @776692
     /*  776692 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(776770), // Rule ID 14650 //
     /*  776697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  776708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  776711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  776714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776768 */     GIR_RootConstrainSelectedInstOperands,
     /*  776769 */     // GIR_Coverage, 14650,
     /*  776769 */     GIR_EraseRootFromParent_Done,
     /*  776770 */   // Label 12071: @776770
     /*  776770 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(776848), // Rule ID 14653 //
     /*  776775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  776786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  776789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  776792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  776795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776846 */     GIR_RootConstrainSelectedInstOperands,
     /*  776847 */     // GIR_Coverage, 14653,
     /*  776847 */     GIR_EraseRootFromParent_Done,
     /*  776848 */   // Label 12072: @776848
     /*  776848 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(776926), // Rule ID 14654 //
     /*  776853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  776864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  776867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  776870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  776873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776924 */     GIR_RootConstrainSelectedInstOperands,
     /*  776925 */     // GIR_Coverage, 14654,
     /*  776925 */     GIR_EraseRootFromParent_Done,
     /*  776926 */   // Label 12073: @776926
     /*  776926 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(777004), // Rule ID 14657 //
     /*  776931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  776942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  776945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  776948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  776951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  776980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777002 */     GIR_RootConstrainSelectedInstOperands,
     /*  777003 */     // GIR_Coverage, 14657,
     /*  777003 */     GIR_EraseRootFromParent_Done,
     /*  777004 */   // Label 12074: @777004
     /*  777004 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(777082), // Rule ID 14658 //
     /*  777009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  777020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  777023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  777026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  777029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777080 */     GIR_RootConstrainSelectedInstOperands,
     /*  777081 */     // GIR_Coverage, 14658,
     /*  777081 */     GIR_EraseRootFromParent_Done,
     /*  777082 */   // Label 12075: @777082
     /*  777082 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(777160), // Rule ID 14661 //
     /*  777087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777158 */     GIR_RootConstrainSelectedInstOperands,
     /*  777159 */     // GIR_Coverage, 14661,
     /*  777159 */     GIR_EraseRootFromParent_Done,
     /*  777160 */   // Label 12076: @777160
     /*  777160 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(777238), // Rule ID 14662 //
     /*  777165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777236 */     GIR_RootConstrainSelectedInstOperands,
     /*  777237 */     // GIR_Coverage, 14662,
     /*  777237 */     GIR_EraseRootFromParent_Done,
     /*  777238 */   // Label 12077: @777238
     /*  777238 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(777316), // Rule ID 14665 //
     /*  777243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777314 */     GIR_RootConstrainSelectedInstOperands,
     /*  777315 */     // GIR_Coverage, 14665,
     /*  777315 */     GIR_EraseRootFromParent_Done,
     /*  777316 */   // Label 12078: @777316
     /*  777316 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(777394), // Rule ID 14666 //
     /*  777321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777392 */     GIR_RootConstrainSelectedInstOperands,
     /*  777393 */     // GIR_Coverage, 14666,
     /*  777393 */     GIR_EraseRootFromParent_Done,
     /*  777394 */   // Label 12079: @777394
     /*  777394 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(777472), // Rule ID 14669 //
     /*  777399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777445 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777470 */     GIR_RootConstrainSelectedInstOperands,
     /*  777471 */     // GIR_Coverage, 14669,
     /*  777471 */     GIR_EraseRootFromParent_Done,
     /*  777472 */   // Label 12080: @777472
     /*  777472 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777550), // Rule ID 14670 //
     /*  777477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777548 */     GIR_RootConstrainSelectedInstOperands,
     /*  777549 */     // GIR_Coverage, 14670,
     /*  777549 */     GIR_EraseRootFromParent_Done,
     /*  777550 */   // Label 12081: @777550
     /*  777550 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777628), // Rule ID 14673 //
     /*  777555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  777566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  777569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  777572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  777575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777601 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777626 */     GIR_RootConstrainSelectedInstOperands,
     /*  777627 */     // GIR_Coverage, 14673,
     /*  777627 */     GIR_EraseRootFromParent_Done,
     /*  777628 */   // Label 12082: @777628
     /*  777628 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777706), // Rule ID 14674 //
     /*  777633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  777644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  777647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  777650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  777653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777704 */     GIR_RootConstrainSelectedInstOperands,
     /*  777705 */     // GIR_Coverage, 14674,
     /*  777705 */     GIR_EraseRootFromParent_Done,
     /*  777706 */   // Label 12083: @777706
     /*  777706 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(777784), // Rule ID 14677 //
     /*  777711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  777722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  777725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  777728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  777731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777757 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777782 */     GIR_RootConstrainSelectedInstOperands,
     /*  777783 */     // GIR_Coverage, 14677,
     /*  777783 */     GIR_EraseRootFromParent_Done,
     /*  777784 */   // Label 12084: @777784
     /*  777784 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(777862), // Rule ID 14678 //
     /*  777789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  777800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  777803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  777806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  777809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777835 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777860 */     GIR_RootConstrainSelectedInstOperands,
     /*  777861 */     // GIR_Coverage, 14678,
     /*  777861 */     GIR_EraseRootFromParent_Done,
     /*  777862 */   // Label 12085: @777862
     /*  777862 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(777940), // Rule ID 14681 //
     /*  777867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  777878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  777881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  777884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  777887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777913 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777938 */     GIR_RootConstrainSelectedInstOperands,
     /*  777939 */     // GIR_Coverage, 14681,
     /*  777939 */     GIR_EraseRootFromParent_Done,
     /*  777940 */   // Label 12086: @777940
     /*  777940 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(778018), // Rule ID 14682 //
     /*  777945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  777956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  777959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  777962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  777965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777991 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778016 */     GIR_RootConstrainSelectedInstOperands,
     /*  778017 */     // GIR_Coverage, 14682,
     /*  778017 */     GIR_EraseRootFromParent_Done,
     /*  778018 */   // Label 12087: @778018
     /*  778018 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(778096), // Rule ID 14685 //
     /*  778023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  778034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  778037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  778040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778069 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778094 */     GIR_RootConstrainSelectedInstOperands,
     /*  778095 */     // GIR_Coverage, 14685,
     /*  778095 */     GIR_EraseRootFromParent_Done,
     /*  778096 */   // Label 12088: @778096
     /*  778096 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(778174), // Rule ID 14686 //
     /*  778101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  778112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  778115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  778118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778172 */     GIR_RootConstrainSelectedInstOperands,
     /*  778173 */     // GIR_Coverage, 14686,
     /*  778173 */     GIR_EraseRootFromParent_Done,
     /*  778174 */   // Label 12089: @778174
     /*  778174 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(778252), // Rule ID 14689 //
     /*  778179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778225 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778250 */     GIR_RootConstrainSelectedInstOperands,
     /*  778251 */     // GIR_Coverage, 14689,
     /*  778251 */     GIR_EraseRootFromParent_Done,
     /*  778252 */   // Label 12090: @778252
     /*  778252 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(778330), // Rule ID 14690 //
     /*  778257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778303 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778328 */     GIR_RootConstrainSelectedInstOperands,
     /*  778329 */     // GIR_Coverage, 14690,
     /*  778329 */     GIR_EraseRootFromParent_Done,
     /*  778330 */   // Label 12091: @778330
     /*  778330 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(778408), // Rule ID 14693 //
     /*  778335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778381 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778406 */     GIR_RootConstrainSelectedInstOperands,
     /*  778407 */     // GIR_Coverage, 14693,
     /*  778407 */     GIR_EraseRootFromParent_Done,
     /*  778408 */   // Label 12092: @778408
     /*  778408 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778486), // Rule ID 14694 //
     /*  778413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778484 */     GIR_RootConstrainSelectedInstOperands,
     /*  778485 */     // GIR_Coverage, 14694,
     /*  778485 */     GIR_EraseRootFromParent_Done,
     /*  778486 */   // Label 12093: @778486
     /*  778486 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778564), // Rule ID 14697 //
     /*  778491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778562 */     GIR_RootConstrainSelectedInstOperands,
     /*  778563 */     // GIR_Coverage, 14697,
     /*  778563 */     GIR_EraseRootFromParent_Done,
     /*  778564 */   // Label 12094: @778564
     /*  778564 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778642), // Rule ID 14698 //
     /*  778569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778615 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778640 */     GIR_RootConstrainSelectedInstOperands,
     /*  778641 */     // GIR_Coverage, 14698,
     /*  778641 */     GIR_EraseRootFromParent_Done,
     /*  778642 */   // Label 12095: @778642
     /*  778642 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778720), // Rule ID 14701 //
     /*  778647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778718 */     GIR_RootConstrainSelectedInstOperands,
     /*  778719 */     // GIR_Coverage, 14701,
     /*  778719 */     GIR_EraseRootFromParent_Done,
     /*  778720 */   // Label 12096: @778720
     /*  778720 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(778798), // Rule ID 14702 //
     /*  778725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778796 */     GIR_RootConstrainSelectedInstOperands,
     /*  778797 */     // GIR_Coverage, 14702,
     /*  778797 */     GIR_EraseRootFromParent_Done,
     /*  778798 */   // Label 12097: @778798
     /*  778798 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(778876), // Rule ID 14705 //
     /*  778803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778874 */     GIR_RootConstrainSelectedInstOperands,
     /*  778875 */     // GIR_Coverage, 14705,
     /*  778875 */     GIR_EraseRootFromParent_Done,
     /*  778876 */   // Label 12098: @778876
     /*  778876 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(778954), // Rule ID 14706 //
     /*  778881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778952 */     GIR_RootConstrainSelectedInstOperands,
     /*  778953 */     // GIR_Coverage, 14706,
     /*  778953 */     GIR_EraseRootFromParent_Done,
     /*  778954 */   // Label 12099: @778954
     /*  778954 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(779032), // Rule ID 14709 //
     /*  778959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  778962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  778979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779005 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779030 */     GIR_RootConstrainSelectedInstOperands,
     /*  779031 */     // GIR_Coverage, 14709,
     /*  779031 */     GIR_EraseRootFromParent_Done,
     /*  779032 */   // Label 12100: @779032
     /*  779032 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(779110), // Rule ID 14710 //
     /*  779037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  779048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  779051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  779054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  779057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779108 */     GIR_RootConstrainSelectedInstOperands,
     /*  779109 */     // GIR_Coverage, 14710,
     /*  779109 */     GIR_EraseRootFromParent_Done,
     /*  779110 */   // Label 12101: @779110
     /*  779110 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(779188), // Rule ID 14713 //
     /*  779115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779186 */     GIR_RootConstrainSelectedInstOperands,
     /*  779187 */     // GIR_Coverage, 14713,
     /*  779187 */     GIR_EraseRootFromParent_Done,
     /*  779188 */   // Label 12102: @779188
     /*  779188 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(779266), // Rule ID 14714 //
     /*  779193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779264 */     GIR_RootConstrainSelectedInstOperands,
     /*  779265 */     // GIR_Coverage, 14714,
     /*  779265 */     GIR_EraseRootFromParent_Done,
     /*  779266 */   // Label 12103: @779266
     /*  779266 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(779344), // Rule ID 14717 //
     /*  779271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779342 */     GIR_RootConstrainSelectedInstOperands,
     /*  779343 */     // GIR_Coverage, 14717,
     /*  779343 */     GIR_EraseRootFromParent_Done,
     /*  779344 */   // Label 12104: @779344
     /*  779344 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(779422), // Rule ID 14718 //
     /*  779349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779395 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779420 */     GIR_RootConstrainSelectedInstOperands,
     /*  779421 */     // GIR_Coverage, 14718,
     /*  779421 */     GIR_EraseRootFromParent_Done,
     /*  779422 */   // Label 12105: @779422
     /*  779422 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779500), // Rule ID 14721 //
     /*  779427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779473 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779498 */     GIR_RootConstrainSelectedInstOperands,
     /*  779499 */     // GIR_Coverage, 14721,
     /*  779499 */     GIR_EraseRootFromParent_Done,
     /*  779500 */   // Label 12106: @779500
     /*  779500 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779578), // Rule ID 14722 //
     /*  779505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779576 */     GIR_RootConstrainSelectedInstOperands,
     /*  779577 */     // GIR_Coverage, 14722,
     /*  779577 */     GIR_EraseRootFromParent_Done,
     /*  779578 */   // Label 12107: @779578
     /*  779578 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779656), // Rule ID 14725 //
     /*  779583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  779594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  779597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  779600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  779632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779654 */     GIR_RootConstrainSelectedInstOperands,
     /*  779655 */     // GIR_Coverage, 14725,
     /*  779655 */     GIR_EraseRootFromParent_Done,
     /*  779656 */   // Label 12108: @779656
     /*  779656 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779734), // Rule ID 14726 //
     /*  779661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  779672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  779675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  779678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779707 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  779710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779732 */     GIR_RootConstrainSelectedInstOperands,
     /*  779733 */     // GIR_Coverage, 14726,
     /*  779733 */     GIR_EraseRootFromParent_Done,
     /*  779734 */   // Label 12109: @779734
     /*  779734 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779812), // Rule ID 14729 //
     /*  779739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  779750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  779753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  779756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779785 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  779788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779810 */     GIR_RootConstrainSelectedInstOperands,
     /*  779811 */     // GIR_Coverage, 14729,
     /*  779811 */     GIR_EraseRootFromParent_Done,
     /*  779812 */   // Label 12110: @779812
     /*  779812 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(779890), // Rule ID 14730 //
     /*  779817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  779828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  779831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  779834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  779866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779888 */     GIR_RootConstrainSelectedInstOperands,
     /*  779889 */     // GIR_Coverage, 14730,
     /*  779889 */     GIR_EraseRootFromParent_Done,
     /*  779890 */   // Label 12111: @779890
     /*  779890 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(779968), // Rule ID 14733 //
     /*  779895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  779906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  779909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  779912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779941 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  779944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779966 */     GIR_RootConstrainSelectedInstOperands,
     /*  779967 */     // GIR_Coverage, 14733,
     /*  779967 */     GIR_EraseRootFromParent_Done,
     /*  779968 */   // Label 12112: @779968
     /*  779968 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(780046), // Rule ID 14734 //
     /*  779973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  779984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  779987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  779990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780044 */     GIR_RootConstrainSelectedInstOperands,
     /*  780045 */     // GIR_Coverage, 14734,
     /*  780045 */     GIR_EraseRootFromParent_Done,
     /*  780046 */   // Label 12113: @780046
     /*  780046 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(780124), // Rule ID 14737 //
     /*  780051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780122 */     GIR_RootConstrainSelectedInstOperands,
     /*  780123 */     // GIR_Coverage, 14737,
     /*  780123 */     GIR_EraseRootFromParent_Done,
     /*  780124 */   // Label 12114: @780124
     /*  780124 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(780202), // Rule ID 14738 //
     /*  780129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780175 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780200 */     GIR_RootConstrainSelectedInstOperands,
     /*  780201 */     // GIR_Coverage, 14738,
     /*  780201 */     GIR_EraseRootFromParent_Done,
     /*  780202 */   // Label 12115: @780202
     /*  780202 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(780280), // Rule ID 14741 //
     /*  780207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780278 */     GIR_RootConstrainSelectedInstOperands,
     /*  780279 */     // GIR_Coverage, 14741,
     /*  780279 */     GIR_EraseRootFromParent_Done,
     /*  780280 */   // Label 12116: @780280
     /*  780280 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(780358), // Rule ID 14742 //
     /*  780285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780331 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780356 */     GIR_RootConstrainSelectedInstOperands,
     /*  780357 */     // GIR_Coverage, 14742,
     /*  780357 */     GIR_EraseRootFromParent_Done,
     /*  780358 */   // Label 12117: @780358
     /*  780358 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(780436), // Rule ID 14745 //
     /*  780363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780409 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780434 */     GIR_RootConstrainSelectedInstOperands,
     /*  780435 */     // GIR_Coverage, 14745,
     /*  780435 */     GIR_EraseRootFromParent_Done,
     /*  780436 */   // Label 12118: @780436
     /*  780436 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780514), // Rule ID 14746 //
     /*  780441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780512 */     GIR_RootConstrainSelectedInstOperands,
     /*  780513 */     // GIR_Coverage, 14746,
     /*  780513 */     GIR_EraseRootFromParent_Done,
     /*  780514 */   // Label 12119: @780514
     /*  780514 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780592), // Rule ID 14749 //
     /*  780519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780590 */     GIR_RootConstrainSelectedInstOperands,
     /*  780591 */     // GIR_Coverage, 14749,
     /*  780591 */     GIR_EraseRootFromParent_Done,
     /*  780592 */   // Label 12120: @780592
     /*  780592 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780670), // Rule ID 14750 //
     /*  780597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780668 */     GIR_RootConstrainSelectedInstOperands,
     /*  780669 */     // GIR_Coverage, 14750,
     /*  780669 */     GIR_EraseRootFromParent_Done,
     /*  780670 */   // Label 12121: @780670
     /*  780670 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780748), // Rule ID 14753 //
     /*  780675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  780686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  780689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  780692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780721 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780746 */     GIR_RootConstrainSelectedInstOperands,
     /*  780747 */     // GIR_Coverage, 14753,
     /*  780747 */     GIR_EraseRootFromParent_Done,
     /*  780748 */   // Label 12122: @780748
     /*  780748 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780826), // Rule ID 14754 //
     /*  780753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  780764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  780767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  780770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780824 */     GIR_RootConstrainSelectedInstOperands,
     /*  780825 */     // GIR_Coverage, 14754,
     /*  780825 */     GIR_EraseRootFromParent_Done,
     /*  780826 */   // Label 12123: @780826
     /*  780826 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(780904), // Rule ID 14757 //
     /*  780831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  780842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  780845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  780848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780902 */     GIR_RootConstrainSelectedInstOperands,
     /*  780903 */     // GIR_Coverage, 14757,
     /*  780903 */     GIR_EraseRootFromParent_Done,
     /*  780904 */   // Label 12124: @780904
     /*  780904 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(780982), // Rule ID 14758 //
     /*  780909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  780920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  780923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  780926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780980 */     GIR_RootConstrainSelectedInstOperands,
     /*  780981 */     // GIR_Coverage, 14758,
     /*  780981 */     GIR_EraseRootFromParent_Done,
     /*  780982 */   // Label 12125: @780982
     /*  780982 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(781060), // Rule ID 14761 //
     /*  780987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  780998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  781001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  781004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781033 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781058 */     GIR_RootConstrainSelectedInstOperands,
     /*  781059 */     // GIR_Coverage, 14761,
     /*  781059 */     GIR_EraseRootFromParent_Done,
     /*  781060 */   // Label 12126: @781060
     /*  781060 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(781138), // Rule ID 14762 //
     /*  781065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  781076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  781079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  781082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781136 */     GIR_RootConstrainSelectedInstOperands,
     /*  781137 */     // GIR_Coverage, 14762,
     /*  781137 */     GIR_EraseRootFromParent_Done,
     /*  781138 */   // Label 12127: @781138
     /*  781138 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(781216), // Rule ID 14765 //
     /*  781143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781214 */     GIR_RootConstrainSelectedInstOperands,
     /*  781215 */     // GIR_Coverage, 14765,
     /*  781215 */     GIR_EraseRootFromParent_Done,
     /*  781216 */   // Label 12128: @781216
     /*  781216 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(781294), // Rule ID 14766 //
     /*  781221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781292 */     GIR_RootConstrainSelectedInstOperands,
     /*  781293 */     // GIR_Coverage, 14766,
     /*  781293 */     GIR_EraseRootFromParent_Done,
     /*  781294 */   // Label 12129: @781294
     /*  781294 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(781372), // Rule ID 14769 //
     /*  781299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781345 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781370 */     GIR_RootConstrainSelectedInstOperands,
     /*  781371 */     // GIR_Coverage, 14769,
     /*  781371 */     GIR_EraseRootFromParent_Done,
     /*  781372 */   // Label 12130: @781372
     /*  781372 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(781450), // Rule ID 14770 //
     /*  781377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781423 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781448 */     GIR_RootConstrainSelectedInstOperands,
     /*  781449 */     // GIR_Coverage, 14770,
     /*  781449 */     GIR_EraseRootFromParent_Done,
     /*  781450 */   // Label 12131: @781450
     /*  781450 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781528), // Rule ID 14773 //
     /*  781455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781501 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781526 */     GIR_RootConstrainSelectedInstOperands,
     /*  781527 */     // GIR_Coverage, 14773,
     /*  781527 */     GIR_EraseRootFromParent_Done,
     /*  781528 */   // Label 12132: @781528
     /*  781528 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781606), // Rule ID 14774 //
     /*  781533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781604 */     GIR_RootConstrainSelectedInstOperands,
     /*  781605 */     // GIR_Coverage, 14774,
     /*  781605 */     GIR_EraseRootFromParent_Done,
     /*  781606 */   // Label 12133: @781606
     /*  781606 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781684), // Rule ID 14777 //
     /*  781611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  781622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  781625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  781628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781657 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781682 */     GIR_RootConstrainSelectedInstOperands,
     /*  781683 */     // GIR_Coverage, 14777,
     /*  781683 */     GIR_EraseRootFromParent_Done,
     /*  781684 */   // Label 12134: @781684
     /*  781684 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781762), // Rule ID 14778 //
     /*  781689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  781700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  781703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  781706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781760 */     GIR_RootConstrainSelectedInstOperands,
     /*  781761 */     // GIR_Coverage, 14778,
     /*  781761 */     GIR_EraseRootFromParent_Done,
     /*  781762 */   // Label 12135: @781762
     /*  781762 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781840), // Rule ID 14781 //
     /*  781767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  781778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  781781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  781784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781813 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781838 */     GIR_RootConstrainSelectedInstOperands,
     /*  781839 */     // GIR_Coverage, 14781,
     /*  781839 */     GIR_EraseRootFromParent_Done,
     /*  781840 */   // Label 12136: @781840
     /*  781840 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(781918), // Rule ID 14782 //
     /*  781845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  781856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  781859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  781862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781891 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781916 */     GIR_RootConstrainSelectedInstOperands,
     /*  781917 */     // GIR_Coverage, 14782,
     /*  781917 */     GIR_EraseRootFromParent_Done,
     /*  781918 */   // Label 12137: @781918
     /*  781918 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(781996), // Rule ID 14785 //
     /*  781923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  781934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  781937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  781940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781994 */     GIR_RootConstrainSelectedInstOperands,
     /*  781995 */     // GIR_Coverage, 14785,
     /*  781995 */     GIR_EraseRootFromParent_Done,
     /*  781996 */   // Label 12138: @781996
     /*  781996 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(782074), // Rule ID 14786 //
     /*  782001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782072 */     GIR_RootConstrainSelectedInstOperands,
     /*  782073 */     // GIR_Coverage, 14786,
     /*  782073 */     GIR_EraseRootFromParent_Done,
     /*  782074 */   // Label 12139: @782074
     /*  782074 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(782152), // Rule ID 14789 //
     /*  782079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782150 */     GIR_RootConstrainSelectedInstOperands,
     /*  782151 */     // GIR_Coverage, 14789,
     /*  782151 */     GIR_EraseRootFromParent_Done,
     /*  782152 */   // Label 12140: @782152
     /*  782152 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(782230), // Rule ID 14790 //
     /*  782157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782228 */     GIR_RootConstrainSelectedInstOperands,
     /*  782229 */     // GIR_Coverage, 14790,
     /*  782229 */     GIR_EraseRootFromParent_Done,
     /*  782230 */   // Label 12141: @782230
     /*  782230 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(782308), // Rule ID 14793 //
     /*  782235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782306 */     GIR_RootConstrainSelectedInstOperands,
     /*  782307 */     // GIR_Coverage, 14793,
     /*  782307 */     GIR_EraseRootFromParent_Done,
     /*  782308 */   // Label 12142: @782308
     /*  782308 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(782386), // Rule ID 14794 //
     /*  782313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782384 */     GIR_RootConstrainSelectedInstOperands,
     /*  782385 */     // GIR_Coverage, 14794,
     /*  782385 */     GIR_EraseRootFromParent_Done,
     /*  782386 */   // Label 12143: @782386
     /*  782386 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(782464), // Rule ID 14797 //
     /*  782391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782437 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782462 */     GIR_RootConstrainSelectedInstOperands,
     /*  782463 */     // GIR_Coverage, 14797,
     /*  782463 */     GIR_EraseRootFromParent_Done,
     /*  782464 */   // Label 12144: @782464
     /*  782464 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782542), // Rule ID 14798 //
     /*  782469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782540 */     GIR_RootConstrainSelectedInstOperands,
     /*  782541 */     // GIR_Coverage, 14798,
     /*  782541 */     GIR_EraseRootFromParent_Done,
     /*  782542 */   // Label 12145: @782542
     /*  782542 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782620), // Rule ID 14801 //
     /*  782547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782593 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782618 */     GIR_RootConstrainSelectedInstOperands,
     /*  782619 */     // GIR_Coverage, 14801,
     /*  782619 */     GIR_EraseRootFromParent_Done,
     /*  782620 */   // Label 12146: @782620
     /*  782620 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782698), // Rule ID 14802 //
     /*  782625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782696 */     GIR_RootConstrainSelectedInstOperands,
     /*  782697 */     // GIR_Coverage, 14802,
     /*  782697 */     GIR_EraseRootFromParent_Done,
     /*  782698 */   // Label 12147: @782698
     /*  782698 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782776), // Rule ID 14805 //
     /*  782703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  782714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  782717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  782720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782749 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782774 */     GIR_RootConstrainSelectedInstOperands,
     /*  782775 */     // GIR_Coverage, 14805,
     /*  782775 */     GIR_EraseRootFromParent_Done,
     /*  782776 */   // Label 12148: @782776
     /*  782776 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782854), // Rule ID 14806 //
     /*  782781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  782792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  782795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  782798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782852 */     GIR_RootConstrainSelectedInstOperands,
     /*  782853 */     // GIR_Coverage, 14806,
     /*  782853 */     GIR_EraseRootFromParent_Done,
     /*  782854 */   // Label 12149: @782854
     /*  782854 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(782929), // Rule ID 19047 //
     /*  782859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  782870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  782873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  782876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782905 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  782908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782927 */     GIR_RootConstrainSelectedInstOperands,
     /*  782928 */     // GIR_Coverage, 19047,
     /*  782928 */     GIR_EraseRootFromParent_Done,
     /*  782929 */   // Label 12150: @782929
     /*  782929 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(783004), // Rule ID 19048 //
     /*  782934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  782945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  782948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  782951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  782983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783002 */     GIR_RootConstrainSelectedInstOperands,
     /*  783003 */     // GIR_Coverage, 19048,
     /*  783003 */     GIR_EraseRootFromParent_Done,
     /*  783004 */   // Label 12151: @783004
     /*  783004 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(783079), // Rule ID 19051 //
     /*  783009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783055 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783077 */     GIR_RootConstrainSelectedInstOperands,
     /*  783078 */     // GIR_Coverage, 19051,
     /*  783078 */     GIR_EraseRootFromParent_Done,
     /*  783079 */   // Label 12152: @783079
     /*  783079 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(783154), // Rule ID 19052 //
     /*  783084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783130 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783152 */     GIR_RootConstrainSelectedInstOperands,
     /*  783153 */     // GIR_Coverage, 19052,
     /*  783153 */     GIR_EraseRootFromParent_Done,
     /*  783154 */   // Label 12153: @783154
     /*  783154 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(783229), // Rule ID 19055 //
     /*  783159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783227 */     GIR_RootConstrainSelectedInstOperands,
     /*  783228 */     // GIR_Coverage, 19055,
     /*  783228 */     GIR_EraseRootFromParent_Done,
     /*  783229 */   // Label 12154: @783229
     /*  783229 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(783304), // Rule ID 19056 //
     /*  783234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783302 */     GIR_RootConstrainSelectedInstOperands,
     /*  783303 */     // GIR_Coverage, 19056,
     /*  783303 */     GIR_EraseRootFromParent_Done,
     /*  783304 */   // Label 12155: @783304
     /*  783304 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(783379), // Rule ID 19059 //
     /*  783309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783377 */     GIR_RootConstrainSelectedInstOperands,
     /*  783378 */     // GIR_Coverage, 19059,
     /*  783378 */     GIR_EraseRootFromParent_Done,
     /*  783379 */   // Label 12156: @783379
     /*  783379 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(783454), // Rule ID 19060 //
     /*  783384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783430 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783452 */     GIR_RootConstrainSelectedInstOperands,
     /*  783453 */     // GIR_Coverage, 19060,
     /*  783453 */     GIR_EraseRootFromParent_Done,
     /*  783454 */   // Label 12157: @783454
     /*  783454 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(783529), // Rule ID 19063 //
     /*  783459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783527 */     GIR_RootConstrainSelectedInstOperands,
     /*  783528 */     // GIR_Coverage, 19063,
     /*  783528 */     GIR_EraseRootFromParent_Done,
     /*  783529 */   // Label 12158: @783529
     /*  783529 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783604), // Rule ID 19064 //
     /*  783534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783602 */     GIR_RootConstrainSelectedInstOperands,
     /*  783603 */     // GIR_Coverage, 19064,
     /*  783603 */     GIR_EraseRootFromParent_Done,
     /*  783604 */   // Label 12159: @783604
     /*  783604 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783679), // Rule ID 19067 //
     /*  783609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  783620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  783623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  783626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  783629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783655 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  783658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783677 */     GIR_RootConstrainSelectedInstOperands,
     /*  783678 */     // GIR_Coverage, 19067,
     /*  783678 */     GIR_EraseRootFromParent_Done,
     /*  783679 */   // Label 12160: @783679
     /*  783679 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783754), // Rule ID 19068 //
     /*  783684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  783695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  783698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  783701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  783704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  783733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783752 */     GIR_RootConstrainSelectedInstOperands,
     /*  783753 */     // GIR_Coverage, 19068,
     /*  783753 */     GIR_EraseRootFromParent_Done,
     /*  783754 */   // Label 12161: @783754
     /*  783754 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783829), // Rule ID 19071 //
     /*  783759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783805 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  783808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783827 */     GIR_RootConstrainSelectedInstOperands,
     /*  783828 */     // GIR_Coverage, 19071,
     /*  783828 */     GIR_EraseRootFromParent_Done,
     /*  783829 */   // Label 12162: @783829
     /*  783829 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783904), // Rule ID 19072 //
     /*  783834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  783883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783902 */     GIR_RootConstrainSelectedInstOperands,
     /*  783903 */     // GIR_Coverage, 19072,
     /*  783903 */     GIR_EraseRootFromParent_Done,
     /*  783904 */   // Label 12163: @783904
     /*  783904 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(783979), // Rule ID 19075 //
     /*  783909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783955 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  783958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783977 */     GIR_RootConstrainSelectedInstOperands,
     /*  783978 */     // GIR_Coverage, 19075,
     /*  783978 */     GIR_EraseRootFromParent_Done,
     /*  783979 */   // Label 12164: @783979
     /*  783979 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(784054), // Rule ID 19076 //
     /*  783984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784030 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  784033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784052 */     GIR_RootConstrainSelectedInstOperands,
     /*  784053 */     // GIR_Coverage, 19076,
     /*  784053 */     GIR_EraseRootFromParent_Done,
     /*  784054 */   // Label 12165: @784054
     /*  784054 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(784129), // Rule ID 19079 //
     /*  784059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784105 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784127 */     GIR_RootConstrainSelectedInstOperands,
     /*  784128 */     // GIR_Coverage, 19079,
     /*  784128 */     GIR_EraseRootFromParent_Done,
     /*  784129 */   // Label 12166: @784129
     /*  784129 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(784204), // Rule ID 19080 //
     /*  784134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784180 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784202 */     GIR_RootConstrainSelectedInstOperands,
     /*  784203 */     // GIR_Coverage, 19080,
     /*  784203 */     GIR_EraseRootFromParent_Done,
     /*  784204 */   // Label 12167: @784204
     /*  784204 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(784279), // Rule ID 19083 //
     /*  784209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784255 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784277 */     GIR_RootConstrainSelectedInstOperands,
     /*  784278 */     // GIR_Coverage, 19083,
     /*  784278 */     GIR_EraseRootFromParent_Done,
     /*  784279 */   // Label 12168: @784279
     /*  784279 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(784354), // Rule ID 19084 //
     /*  784284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784330 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784352 */     GIR_RootConstrainSelectedInstOperands,
     /*  784353 */     // GIR_Coverage, 19084,
     /*  784353 */     GIR_EraseRootFromParent_Done,
     /*  784354 */   // Label 12169: @784354
     /*  784354 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784429), // Rule ID 19087 //
     /*  784359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784405 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784427 */     GIR_RootConstrainSelectedInstOperands,
     /*  784428 */     // GIR_Coverage, 19087,
     /*  784428 */     GIR_EraseRootFromParent_Done,
     /*  784429 */   // Label 12170: @784429
     /*  784429 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(784504), // Rule ID 19088 //
     /*  784434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784502 */     GIR_RootConstrainSelectedInstOperands,
     /*  784503 */     // GIR_Coverage, 19088,
     /*  784503 */     GIR_EraseRootFromParent_Done,
     /*  784504 */   // Label 12171: @784504
     /*  784504 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784579), // Rule ID 19091 //
     /*  784509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784555 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  784558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784577 */     GIR_RootConstrainSelectedInstOperands,
     /*  784578 */     // GIR_Coverage, 19091,
     /*  784578 */     GIR_EraseRootFromParent_Done,
     /*  784579 */   // Label 12172: @784579
     /*  784579 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784654), // Rule ID 19092 //
     /*  784584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784630 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  784633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784652 */     GIR_RootConstrainSelectedInstOperands,
     /*  784653 */     // GIR_Coverage, 19092,
     /*  784653 */     GIR_EraseRootFromParent_Done,
     /*  784654 */   // Label 12173: @784654
     /*  784654 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784729), // Rule ID 19095 //
     /*  784659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  784679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  784708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784727 */     GIR_RootConstrainSelectedInstOperands,
     /*  784728 */     // GIR_Coverage, 19095,
     /*  784728 */     GIR_EraseRootFromParent_Done,
     /*  784729 */   // Label 12174: @784729
     /*  784729 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784804), // Rule ID 19096 //
     /*  784734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  784754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784780 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  784783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784802 */     GIR_RootConstrainSelectedInstOperands,
     /*  784803 */     // GIR_Coverage, 19096,
     /*  784803 */     GIR_EraseRootFromParent_Done,
     /*  784804 */   // Label 12175: @784804
     /*  784804 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784879), // Rule ID 19099 //
     /*  784809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  784829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784855 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  784858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784877 */     GIR_RootConstrainSelectedInstOperands,
     /*  784878 */     // GIR_Coverage, 19099,
     /*  784878 */     GIR_EraseRootFromParent_Done,
     /*  784879 */   // Label 12176: @784879
     /*  784879 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(784954), // Rule ID 19100 //
     /*  784884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  784904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  784933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784952 */     GIR_RootConstrainSelectedInstOperands,
     /*  784953 */     // GIR_Coverage, 19100,
     /*  784953 */     GIR_EraseRootFromParent_Done,
     /*  784954 */   // Label 12177: @784954
     /*  784954 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(785029), // Rule ID 19103 //
     /*  784959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  784979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785005 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  785008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785027 */     GIR_RootConstrainSelectedInstOperands,
     /*  785028 */     // GIR_Coverage, 19103,
     /*  785028 */     GIR_EraseRootFromParent_Done,
     /*  785029 */   // Label 12178: @785029
     /*  785029 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(785104), // Rule ID 19104 //
     /*  785034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  785054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785080 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  785083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785102 */     GIR_RootConstrainSelectedInstOperands,
     /*  785103 */     // GIR_Coverage, 19104,
     /*  785103 */     GIR_EraseRootFromParent_Done,
     /*  785104 */   // Label 12179: @785104
     /*  785104 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(785179), // Rule ID 19107 //
     /*  785109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785155 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785177 */     GIR_RootConstrainSelectedInstOperands,
     /*  785178 */     // GIR_Coverage, 19107,
     /*  785178 */     GIR_EraseRootFromParent_Done,
     /*  785179 */   // Label 12180: @785179
     /*  785179 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(785254), // Rule ID 19108 //
     /*  785184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785230 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785252 */     GIR_RootConstrainSelectedInstOperands,
     /*  785253 */     // GIR_Coverage, 19108,
     /*  785253 */     GIR_EraseRootFromParent_Done,
     /*  785254 */   // Label 12181: @785254
     /*  785254 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(785329), // Rule ID 19111 //
     /*  785259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785327 */     GIR_RootConstrainSelectedInstOperands,
     /*  785328 */     // GIR_Coverage, 19111,
     /*  785328 */     GIR_EraseRootFromParent_Done,
     /*  785329 */   // Label 12182: @785329
     /*  785329 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785404), // Rule ID 19112 //
     /*  785334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785380 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785402 */     GIR_RootConstrainSelectedInstOperands,
     /*  785403 */     // GIR_Coverage, 19112,
     /*  785403 */     GIR_EraseRootFromParent_Done,
     /*  785404 */   // Label 12183: @785404
     /*  785404 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(785479), // Rule ID 19115 //
     /*  785409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785455 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785477 */     GIR_RootConstrainSelectedInstOperands,
     /*  785478 */     // GIR_Coverage, 19115,
     /*  785478 */     GIR_EraseRootFromParent_Done,
     /*  785479 */   // Label 12184: @785479
     /*  785479 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785554), // Rule ID 19116 //
     /*  785484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785552 */     GIR_RootConstrainSelectedInstOperands,
     /*  785553 */     // GIR_Coverage, 19116,
     /*  785553 */     GIR_EraseRootFromParent_Done,
     /*  785554 */   // Label 12185: @785554
     /*  785554 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785629), // Rule ID 19119 //
     /*  785559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  785608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785627 */     GIR_RootConstrainSelectedInstOperands,
     /*  785628 */     // GIR_Coverage, 19119,
     /*  785628 */     GIR_EraseRootFromParent_Done,
     /*  785629 */   // Label 12186: @785629
     /*  785629 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785704), // Rule ID 19120 //
     /*  785634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  785683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785702 */     GIR_RootConstrainSelectedInstOperands,
     /*  785703 */     // GIR_Coverage, 19120,
     /*  785703 */     GIR_EraseRootFromParent_Done,
     /*  785704 */   // Label 12187: @785704
     /*  785704 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785779), // Rule ID 19123 //
     /*  785709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785755 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  785758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785777 */     GIR_RootConstrainSelectedInstOperands,
     /*  785778 */     // GIR_Coverage, 19123,
     /*  785778 */     GIR_EraseRootFromParent_Done,
     /*  785779 */   // Label 12188: @785779
     /*  785779 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785854), // Rule ID 19124 //
     /*  785784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  785833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785852 */     GIR_RootConstrainSelectedInstOperands,
     /*  785853 */     // GIR_Coverage, 19124,
     /*  785853 */     GIR_EraseRootFromParent_Done,
     /*  785854 */   // Label 12189: @785854
     /*  785854 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(785929), // Rule ID 19127 //
     /*  785859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785905 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  785908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785927 */     GIR_RootConstrainSelectedInstOperands,
     /*  785928 */     // GIR_Coverage, 19127,
     /*  785928 */     GIR_EraseRootFromParent_Done,
     /*  785929 */   // Label 12190: @785929
     /*  785929 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(786004), // Rule ID 19128 //
     /*  785934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785980 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  785983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786002 */     GIR_RootConstrainSelectedInstOperands,
     /*  786003 */     // GIR_Coverage, 19128,
     /*  786003 */     GIR_EraseRootFromParent_Done,
     /*  786004 */   // Label 12191: @786004
     /*  786004 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(786079), // Rule ID 19131 //
     /*  786009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786055 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786077 */     GIR_RootConstrainSelectedInstOperands,
     /*  786078 */     // GIR_Coverage, 19131,
     /*  786078 */     GIR_EraseRootFromParent_Done,
     /*  786079 */   // Label 12192: @786079
     /*  786079 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(786154), // Rule ID 19132 //
     /*  786084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786152 */     GIR_RootConstrainSelectedInstOperands,
     /*  786153 */     // GIR_Coverage, 19132,
     /*  786153 */     GIR_EraseRootFromParent_Done,
     /*  786154 */   // Label 12193: @786154
     /*  786154 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(786229), // Rule ID 19135 //
     /*  786159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786205 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786227 */     GIR_RootConstrainSelectedInstOperands,
     /*  786228 */     // GIR_Coverage, 19135,
     /*  786228 */     GIR_EraseRootFromParent_Done,
     /*  786229 */   // Label 12194: @786229
     /*  786229 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(786304), // Rule ID 19136 //
     /*  786234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786280 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786302 */     GIR_RootConstrainSelectedInstOperands,
     /*  786303 */     // GIR_Coverage, 19136,
     /*  786303 */     GIR_EraseRootFromParent_Done,
     /*  786304 */   // Label 12195: @786304
     /*  786304 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786379), // Rule ID 19139 //
     /*  786309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786355 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786377 */     GIR_RootConstrainSelectedInstOperands,
     /*  786378 */     // GIR_Coverage, 19139,
     /*  786378 */     GIR_EraseRootFromParent_Done,
     /*  786379 */   // Label 12196: @786379
     /*  786379 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(786454), // Rule ID 19140 //
     /*  786384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786430 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786452 */     GIR_RootConstrainSelectedInstOperands,
     /*  786453 */     // GIR_Coverage, 19140,
     /*  786453 */     GIR_EraseRootFromParent_Done,
     /*  786454 */   // Label 12197: @786454
     /*  786454 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(786529), // Rule ID 19143 //
     /*  786459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786527 */     GIR_RootConstrainSelectedInstOperands,
     /*  786528 */     // GIR_Coverage, 19143,
     /*  786528 */     GIR_EraseRootFromParent_Done,
     /*  786529 */   // Label 12198: @786529
     /*  786529 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786604), // Rule ID 19144 //
     /*  786534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786580 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786602 */     GIR_RootConstrainSelectedInstOperands,
     /*  786603 */     // GIR_Coverage, 19144,
     /*  786603 */     GIR_EraseRootFromParent_Done,
     /*  786604 */   // Label 12199: @786604
     /*  786604 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786679), // Rule ID 19147 //
     /*  786609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786655 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  786658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786677 */     GIR_RootConstrainSelectedInstOperands,
     /*  786678 */     // GIR_Coverage, 19147,
     /*  786678 */     GIR_EraseRootFromParent_Done,
     /*  786679 */   // Label 12200: @786679
     /*  786679 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786754), // Rule ID 19148 //
     /*  786684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  786733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786752 */     GIR_RootConstrainSelectedInstOperands,
     /*  786753 */     // GIR_Coverage, 19148,
     /*  786753 */     GIR_EraseRootFromParent_Done,
     /*  786754 */   // Label 12201: @786754
     /*  786754 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786829), // Rule ID 19151 //
     /*  786759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  786770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  786773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  786776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786805 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  786808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786827 */     GIR_RootConstrainSelectedInstOperands,
     /*  786828 */     // GIR_Coverage, 19151,
     /*  786828 */     GIR_EraseRootFromParent_Done,
     /*  786829 */   // Label 12202: @786829
     /*  786829 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786904), // Rule ID 19152 //
     /*  786834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  786845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  786848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  786851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  786883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786902 */     GIR_RootConstrainSelectedInstOperands,
     /*  786903 */     // GIR_Coverage, 19152,
     /*  786903 */     GIR_EraseRootFromParent_Done,
     /*  786904 */   // Label 12203: @786904
     /*  786904 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(786979), // Rule ID 19155 //
     /*  786909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  786920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  786923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  786926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  786958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786977 */     GIR_RootConstrainSelectedInstOperands,
     /*  786978 */     // GIR_Coverage, 19155,
     /*  786978 */     GIR_EraseRootFromParent_Done,
     /*  786979 */   // Label 12204: @786979
     /*  786979 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(787054), // Rule ID 19156 //
     /*  786984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  786995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  786998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  787033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787052 */     GIR_RootConstrainSelectedInstOperands,
     /*  787053 */     // GIR_Coverage, 19156,
     /*  787053 */     GIR_EraseRootFromParent_Done,
     /*  787054 */   // Label 12205: @787054
     /*  787054 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(787129), // Rule ID 19159 //
     /*  787059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787105 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787127 */     GIR_RootConstrainSelectedInstOperands,
     /*  787128 */     // GIR_Coverage, 19159,
     /*  787128 */     GIR_EraseRootFromParent_Done,
     /*  787129 */   // Label 12206: @787129
     /*  787129 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(787204), // Rule ID 19160 //
     /*  787134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787180 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787202 */     GIR_RootConstrainSelectedInstOperands,
     /*  787203 */     // GIR_Coverage, 19160,
     /*  787203 */     GIR_EraseRootFromParent_Done,
     /*  787204 */   // Label 12207: @787204
     /*  787204 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(787279), // Rule ID 19163 //
     /*  787209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787255 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787277 */     GIR_RootConstrainSelectedInstOperands,
     /*  787278 */     // GIR_Coverage, 19163,
     /*  787278 */     GIR_EraseRootFromParent_Done,
     /*  787279 */   // Label 12208: @787279
     /*  787279 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787354), // Rule ID 19164 //
     /*  787284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787330 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787352 */     GIR_RootConstrainSelectedInstOperands,
     /*  787353 */     // GIR_Coverage, 19164,
     /*  787353 */     GIR_EraseRootFromParent_Done,
     /*  787354 */   // Label 12209: @787354
     /*  787354 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787429), // Rule ID 19167 //
     /*  787359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787405 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787427 */     GIR_RootConstrainSelectedInstOperands,
     /*  787428 */     // GIR_Coverage, 19167,
     /*  787428 */     GIR_EraseRootFromParent_Done,
     /*  787429 */   // Label 12210: @787429
     /*  787429 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(787504), // Rule ID 19168 //
     /*  787434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787502 */     GIR_RootConstrainSelectedInstOperands,
     /*  787503 */     // GIR_Coverage, 19168,
     /*  787503 */     GIR_EraseRootFromParent_Done,
     /*  787504 */   // Label 12211: @787504
     /*  787504 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787579), // Rule ID 19171 //
     /*  787509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  787558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787577 */     GIR_RootConstrainSelectedInstOperands,
     /*  787578 */     // GIR_Coverage, 19171,
     /*  787578 */     GIR_EraseRootFromParent_Done,
     /*  787579 */   // Label 12212: @787579
     /*  787579 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787654), // Rule ID 19172 //
     /*  787584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787630 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  787633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787652 */     GIR_RootConstrainSelectedInstOperands,
     /*  787653 */     // GIR_Coverage, 19172,
     /*  787653 */     GIR_EraseRootFromParent_Done,
     /*  787654 */   // Label 12213: @787654
     /*  787654 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787729), // Rule ID 19175 //
     /*  787659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  787679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787705 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  787708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787727 */     GIR_RootConstrainSelectedInstOperands,
     /*  787728 */     // GIR_Coverage, 19175,
     /*  787728 */     GIR_EraseRootFromParent_Done,
     /*  787729 */   // Label 12214: @787729
     /*  787729 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787804), // Rule ID 19176 //
     /*  787734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  787754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  787783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787802 */     GIR_RootConstrainSelectedInstOperands,
     /*  787803 */     // GIR_Coverage, 19176,
     /*  787803 */     GIR_EraseRootFromParent_Done,
     /*  787804 */   // Label 12215: @787804
     /*  787804 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787879), // Rule ID 19179 //
     /*  787809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  787820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  787823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  787829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787855 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  787858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787877 */     GIR_RootConstrainSelectedInstOperands,
     /*  787878 */     // GIR_Coverage, 19179,
     /*  787878 */     GIR_EraseRootFromParent_Done,
     /*  787879 */   // Label 12216: @787879
     /*  787879 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(787954), // Rule ID 19180 //
     /*  787884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  787895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  787898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  787904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787930 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  787933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787952 */     GIR_RootConstrainSelectedInstOperands,
     /*  787953 */     // GIR_Coverage, 19180,
     /*  787953 */     GIR_EraseRootFromParent_Done,
     /*  787954 */   // Label 12217: @787954
     /*  787954 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(788029), // Rule ID 19183 //
     /*  787959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  787970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  787973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  787976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  787979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788005 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  788008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788027 */     GIR_RootConstrainSelectedInstOperands,
     /*  788028 */     // GIR_Coverage, 19183,
     /*  788028 */     GIR_EraseRootFromParent_Done,
     /*  788029 */   // Label 12218: @788029
     /*  788029 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(788104), // Rule ID 19184 //
     /*  788034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  788083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788102 */     GIR_RootConstrainSelectedInstOperands,
     /*  788103 */     // GIR_Coverage, 19184,
     /*  788103 */     GIR_EraseRootFromParent_Done,
     /*  788104 */   // Label 12219: @788104
     /*  788104 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(788179), // Rule ID 19187 //
     /*  788109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788177 */     GIR_RootConstrainSelectedInstOperands,
     /*  788178 */     // GIR_Coverage, 19187,
     /*  788178 */     GIR_EraseRootFromParent_Done,
     /*  788179 */   // Label 12220: @788179
     /*  788179 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(788254), // Rule ID 19188 //
     /*  788184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788252 */     GIR_RootConstrainSelectedInstOperands,
     /*  788253 */     // GIR_Coverage, 19188,
     /*  788253 */     GIR_EraseRootFromParent_Done,
     /*  788254 */   // Label 12221: @788254
     /*  788254 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788329), // Rule ID 19191 //
     /*  788259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788305 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788327 */     GIR_RootConstrainSelectedInstOperands,
     /*  788328 */     // GIR_Coverage, 19191,
     /*  788328 */     GIR_EraseRootFromParent_Done,
     /*  788329 */   // Label 12222: @788329
     /*  788329 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788404), // Rule ID 19192 //
     /*  788334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788380 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788402 */     GIR_RootConstrainSelectedInstOperands,
     /*  788403 */     // GIR_Coverage, 19192,
     /*  788403 */     GIR_EraseRootFromParent_Done,
     /*  788404 */   // Label 12223: @788404
     /*  788404 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(788479), // Rule ID 19195 //
     /*  788409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788455 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788477 */     GIR_RootConstrainSelectedInstOperands,
     /*  788478 */     // GIR_Coverage, 19195,
     /*  788478 */     GIR_EraseRootFromParent_Done,
     /*  788479 */   // Label 12224: @788479
     /*  788479 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788554), // Rule ID 19196 //
     /*  788484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788530 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788552 */     GIR_RootConstrainSelectedInstOperands,
     /*  788553 */     // GIR_Coverage, 19196,
     /*  788553 */     GIR_EraseRootFromParent_Done,
     /*  788554 */   // Label 12225: @788554
     /*  788554 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788629), // Rule ID 19199 //
     /*  788559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788605 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  788608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788627 */     GIR_RootConstrainSelectedInstOperands,
     /*  788628 */     // GIR_Coverage, 19199,
     /*  788628 */     GIR_EraseRootFromParent_Done,
     /*  788629 */   // Label 12226: @788629
     /*  788629 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788704), // Rule ID 19200 //
     /*  788634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788680 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  788683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788702 */     GIR_RootConstrainSelectedInstOperands,
     /*  788703 */     // GIR_Coverage, 19200,
     /*  788703 */     GIR_EraseRootFromParent_Done,
     /*  788704 */   // Label 12227: @788704
     /*  788704 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788779), // Rule ID 19203 //
     /*  788709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  788729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788755 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  788758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788777 */     GIR_RootConstrainSelectedInstOperands,
     /*  788778 */     // GIR_Coverage, 19203,
     /*  788778 */     GIR_EraseRootFromParent_Done,
     /*  788779 */   // Label 12228: @788779
     /*  788779 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788854), // Rule ID 19204 //
     /*  788784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  788804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  788833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788852 */     GIR_RootConstrainSelectedInstOperands,
     /*  788853 */     // GIR_Coverage, 19204,
     /*  788853 */     GIR_EraseRootFromParent_Done,
     /*  788854 */   // Label 12229: @788854
     /*  788854 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(788929), // Rule ID 19207 //
     /*  788859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  788879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788905 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  788908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788927 */     GIR_RootConstrainSelectedInstOperands,
     /*  788928 */     // GIR_Coverage, 19207,
     /*  788928 */     GIR_EraseRootFromParent_Done,
     /*  788929 */   // Label 12230: @788929
     /*  788929 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(789004), // Rule ID 19208 //
     /*  788934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  788954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788980 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  788983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789002 */     GIR_RootConstrainSelectedInstOperands,
     /*  789003 */     // GIR_Coverage, 19208,
     /*  789003 */     GIR_EraseRootFromParent_Done,
     /*  789004 */   // Label 12231: @789004
     /*  789004 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(789079), // Rule ID 19211 //
     /*  789009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789055 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789077 */     GIR_RootConstrainSelectedInstOperands,
     /*  789078 */     // GIR_Coverage, 19211,
     /*  789078 */     GIR_EraseRootFromParent_Done,
     /*  789079 */   // Label 12232: @789079
     /*  789079 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(789154), // Rule ID 19212 //
     /*  789084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789152 */     GIR_RootConstrainSelectedInstOperands,
     /*  789153 */     // GIR_Coverage, 19212,
     /*  789153 */     GIR_EraseRootFromParent_Done,
     /*  789154 */   // Label 12233: @789154
     /*  789154 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(789229), // Rule ID 19215 //
     /*  789159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789205 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789227 */     GIR_RootConstrainSelectedInstOperands,
     /*  789228 */     // GIR_Coverage, 19215,
     /*  789228 */     GIR_EraseRootFromParent_Done,
     /*  789229 */   // Label 12234: @789229
     /*  789229 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789304), // Rule ID 19216 //
     /*  789234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789302 */     GIR_RootConstrainSelectedInstOperands,
     /*  789303 */     // GIR_Coverage, 19216,
     /*  789303 */     GIR_EraseRootFromParent_Done,
     /*  789304 */   // Label 12235: @789304
     /*  789304 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789379), // Rule ID 19219 //
     /*  789309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789355 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789377 */     GIR_RootConstrainSelectedInstOperands,
     /*  789378 */     // GIR_Coverage, 19219,
     /*  789378 */     GIR_EraseRootFromParent_Done,
     /*  789379 */   // Label 12236: @789379
     /*  789379 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(789454), // Rule ID 19220 //
     /*  789384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789430 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789452 */     GIR_RootConstrainSelectedInstOperands,
     /*  789453 */     // GIR_Coverage, 19220,
     /*  789453 */     GIR_EraseRootFromParent_Done,
     /*  789454 */   // Label 12237: @789454
     /*  789454 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(789529), // Rule ID 19223 //
     /*  789459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789505 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789527 */     GIR_RootConstrainSelectedInstOperands,
     /*  789528 */     // GIR_Coverage, 19223,
     /*  789528 */     GIR_EraseRootFromParent_Done,
     /*  789529 */   // Label 12238: @789529
     /*  789529 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789604), // Rule ID 19224 //
     /*  789534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789602 */     GIR_RootConstrainSelectedInstOperands,
     /*  789603 */     // GIR_Coverage, 19224,
     /*  789603 */     GIR_EraseRootFromParent_Done,
     /*  789604 */   // Label 12239: @789604
     /*  789604 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789679), // Rule ID 19227 //
     /*  789609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789655 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  789658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789677 */     GIR_RootConstrainSelectedInstOperands,
     /*  789678 */     // GIR_Coverage, 19227,
     /*  789678 */     GIR_EraseRootFromParent_Done,
     /*  789679 */   // Label 12240: @789679
     /*  789679 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789754), // Rule ID 19228 //
     /*  789684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  789733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789752 */     GIR_RootConstrainSelectedInstOperands,
     /*  789753 */     // GIR_Coverage, 19228,
     /*  789753 */     GIR_EraseRootFromParent_Done,
     /*  789754 */   // Label 12241: @789754
     /*  789754 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789829), // Rule ID 19231 //
     /*  789759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789805 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  789808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789827 */     GIR_RootConstrainSelectedInstOperands,
     /*  789828 */     // GIR_Coverage, 19231,
     /*  789828 */     GIR_EraseRootFromParent_Done,
     /*  789829 */   // Label 12242: @789829
     /*  789829 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789904), // Rule ID 19232 //
     /*  789834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789880 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  789883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789902 */     GIR_RootConstrainSelectedInstOperands,
     /*  789903 */     // GIR_Coverage, 19232,
     /*  789903 */     GIR_EraseRootFromParent_Done,
     /*  789904 */   // Label 12243: @789904
     /*  789904 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(789979), // Rule ID 19235 //
     /*  789909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  789920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  789923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  789926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789955 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  789958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789977 */     GIR_RootConstrainSelectedInstOperands,
     /*  789978 */     // GIR_Coverage, 19235,
     /*  789978 */     GIR_EraseRootFromParent_Done,
     /*  789979 */   // Label 12244: @789979
     /*  789979 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(790054), // Rule ID 19236 //
     /*  789984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  789995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  789998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790030 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  790033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790052 */     GIR_RootConstrainSelectedInstOperands,
     /*  790053 */     // GIR_Coverage, 19236,
     /*  790053 */     GIR_EraseRootFromParent_Done,
     /*  790054 */   // Label 12245: @790054
     /*  790054 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(790129), // Rule ID 19239 //
     /*  790059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790105 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790127 */     GIR_RootConstrainSelectedInstOperands,
     /*  790128 */     // GIR_Coverage, 19239,
     /*  790128 */     GIR_EraseRootFromParent_Done,
     /*  790129 */   // Label 12246: @790129
     /*  790129 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(790204), // Rule ID 19240 //
     /*  790134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790180 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790202 */     GIR_RootConstrainSelectedInstOperands,
     /*  790203 */     // GIR_Coverage, 19240,
     /*  790203 */     GIR_EraseRootFromParent_Done,
     /*  790204 */   // Label 12247: @790204
     /*  790204 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790279), // Rule ID 19243 //
     /*  790209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790255 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790277 */     GIR_RootConstrainSelectedInstOperands,
     /*  790278 */     // GIR_Coverage, 19243,
     /*  790278 */     GIR_EraseRootFromParent_Done,
     /*  790279 */   // Label 12248: @790279
     /*  790279 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790354), // Rule ID 19244 //
     /*  790284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790352 */     GIR_RootConstrainSelectedInstOperands,
     /*  790353 */     // GIR_Coverage, 19244,
     /*  790353 */     GIR_EraseRootFromParent_Done,
     /*  790354 */   // Label 12249: @790354
     /*  790354 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790429), // Rule ID 19247 //
     /*  790359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790405 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790427 */     GIR_RootConstrainSelectedInstOperands,
     /*  790428 */     // GIR_Coverage, 19247,
     /*  790428 */     GIR_EraseRootFromParent_Done,
     /*  790429 */   // Label 12250: @790429
     /*  790429 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(790504), // Rule ID 19248 //
     /*  790434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790502 */     GIR_RootConstrainSelectedInstOperands,
     /*  790503 */     // GIR_Coverage, 19248,
     /*  790503 */     GIR_EraseRootFromParent_Done,
     /*  790504 */   // Label 12251: @790504
     /*  790504 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790579), // Rule ID 19251 //
     /*  790509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790555 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  790558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790577 */     GIR_RootConstrainSelectedInstOperands,
     /*  790578 */     // GIR_Coverage, 19251,
     /*  790578 */     GIR_EraseRootFromParent_Done,
     /*  790579 */   // Label 12252: @790579
     /*  790579 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790654), // Rule ID 19252 //
     /*  790584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790630 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  790633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790652 */     GIR_RootConstrainSelectedInstOperands,
     /*  790653 */     // GIR_Coverage, 19252,
     /*  790653 */     GIR_EraseRootFromParent_Done,
     /*  790654 */   // Label 12253: @790654
     /*  790654 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790729), // Rule ID 19255 //
     /*  790659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790705 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  790708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790727 */     GIR_RootConstrainSelectedInstOperands,
     /*  790728 */     // GIR_Coverage, 19255,
     /*  790728 */     GIR_EraseRootFromParent_Done,
     /*  790729 */   // Label 12254: @790729
     /*  790729 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790804), // Rule ID 19256 //
     /*  790734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790780 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  790783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790802 */     GIR_RootConstrainSelectedInstOperands,
     /*  790803 */     // GIR_Coverage, 19256,
     /*  790803 */     GIR_EraseRootFromParent_Done,
     /*  790804 */   // Label 12255: @790804
     /*  790804 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790879), // Rule ID 19259 //
     /*  790809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  790826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790855 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  790858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790877 */     GIR_RootConstrainSelectedInstOperands,
     /*  790878 */     // GIR_Coverage, 19259,
     /*  790878 */     GIR_EraseRootFromParent_Done,
     /*  790879 */   // Label 12256: @790879
     /*  790879 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(790954), // Rule ID 19260 //
     /*  790884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  790901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790930 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  790933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790952 */     GIR_RootConstrainSelectedInstOperands,
     /*  790953 */     // GIR_Coverage, 19260,
     /*  790953 */     GIR_EraseRootFromParent_Done,
     /*  790954 */   // Label 12257: @790954
     /*  790954 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(791029), // Rule ID 19263 //
     /*  790959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  790970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  790973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  790976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791005 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  791008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791027 */     GIR_RootConstrainSelectedInstOperands,
     /*  791028 */     // GIR_Coverage, 19263,
     /*  791028 */     GIR_EraseRootFromParent_Done,
     /*  791029 */   // Label 12258: @791029
     /*  791029 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(791104), // Rule ID 19264 //
     /*  791034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  791083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791102 */     GIR_RootConstrainSelectedInstOperands,
     /*  791103 */     // GIR_Coverage, 19264,
     /*  791103 */     GIR_EraseRootFromParent_Done,
     /*  791104 */   // Label 12259: @791104
     /*  791104 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(791179), // Rule ID 19267 //
     /*  791109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791155 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791177 */     GIR_RootConstrainSelectedInstOperands,
     /*  791178 */     // GIR_Coverage, 19267,
     /*  791178 */     GIR_EraseRootFromParent_Done,
     /*  791179 */   // Label 12260: @791179
     /*  791179 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(791254), // Rule ID 19268 //
     /*  791184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791230 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791252 */     GIR_RootConstrainSelectedInstOperands,
     /*  791253 */     // GIR_Coverage, 19268,
     /*  791253 */     GIR_EraseRootFromParent_Done,
     /*  791254 */   // Label 12261: @791254
     /*  791254 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791329), // Rule ID 19271 //
     /*  791259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791305 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791327 */     GIR_RootConstrainSelectedInstOperands,
     /*  791328 */     // GIR_Coverage, 19271,
     /*  791328 */     GIR_EraseRootFromParent_Done,
     /*  791329 */   // Label 12262: @791329
     /*  791329 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791404), // Rule ID 19272 //
     /*  791334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791380 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791402 */     GIR_RootConstrainSelectedInstOperands,
     /*  791403 */     // GIR_Coverage, 19272,
     /*  791403 */     GIR_EraseRootFromParent_Done,
     /*  791404 */   // Label 12263: @791404
     /*  791404 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(791479), // Rule ID 19275 //
     /*  791409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791455 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791477 */     GIR_RootConstrainSelectedInstOperands,
     /*  791478 */     // GIR_Coverage, 19275,
     /*  791478 */     GIR_EraseRootFromParent_Done,
     /*  791479 */   // Label 12264: @791479
     /*  791479 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791554), // Rule ID 19276 //
     /*  791484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791530 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791552 */     GIR_RootConstrainSelectedInstOperands,
     /*  791553 */     // GIR_Coverage, 19276,
     /*  791553 */     GIR_EraseRootFromParent_Done,
     /*  791554 */   // Label 12265: @791554
     /*  791554 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791629), // Rule ID 19279 //
     /*  791559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791605 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  791608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791627 */     GIR_RootConstrainSelectedInstOperands,
     /*  791628 */     // GIR_Coverage, 19279,
     /*  791628 */     GIR_EraseRootFromParent_Done,
     /*  791629 */   // Label 12266: @791629
     /*  791629 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791704), // Rule ID 19280 //
     /*  791634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791680 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  791683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791702 */     GIR_RootConstrainSelectedInstOperands,
     /*  791703 */     // GIR_Coverage, 19280,
     /*  791703 */     GIR_EraseRootFromParent_Done,
     /*  791704 */   // Label 12267: @791704
     /*  791704 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791779), // Rule ID 19283 //
     /*  791709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  791720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  791723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  791726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  791758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791777 */     GIR_RootConstrainSelectedInstOperands,
     /*  791778 */     // GIR_Coverage, 19283,
     /*  791778 */     GIR_EraseRootFromParent_Done,
     /*  791779 */   // Label 12268: @791779
     /*  791779 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791854), // Rule ID 19284 //
     /*  791784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  791795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  791798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  791801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791830 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  791833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791852 */     GIR_RootConstrainSelectedInstOperands,
     /*  791853 */     // GIR_Coverage, 19284,
     /*  791853 */     GIR_EraseRootFromParent_Done,
     /*  791854 */   // Label 12269: @791854
     /*  791854 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(791929), // Rule ID 19287 //
     /*  791859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791905 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  791908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791927 */     GIR_RootConstrainSelectedInstOperands,
     /*  791928 */     // GIR_Coverage, 19287,
     /*  791928 */     GIR_EraseRootFromParent_Done,
     /*  791929 */   // Label 12270: @791929
     /*  791929 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(792004), // Rule ID 19288 //
     /*  791934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  791983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792002 */     GIR_RootConstrainSelectedInstOperands,
     /*  792003 */     // GIR_Coverage, 19288,
     /*  792003 */     GIR_EraseRootFromParent_Done,
     /*  792004 */   // Label 12271: @792004
     /*  792004 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(792079), // Rule ID 19291 //
     /*  792009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792055 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792077 */     GIR_RootConstrainSelectedInstOperands,
     /*  792078 */     // GIR_Coverage, 19291,
     /*  792078 */     GIR_EraseRootFromParent_Done,
     /*  792079 */   // Label 12272: @792079
     /*  792079 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(792154), // Rule ID 19292 //
     /*  792084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792130 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792152 */     GIR_RootConstrainSelectedInstOperands,
     /*  792153 */     // GIR_Coverage, 19292,
     /*  792153 */     GIR_EraseRootFromParent_Done,
     /*  792154 */   // Label 12273: @792154
     /*  792154 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(792229), // Rule ID 19295 //
     /*  792159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792227 */     GIR_RootConstrainSelectedInstOperands,
     /*  792228 */     // GIR_Coverage, 19295,
     /*  792228 */     GIR_EraseRootFromParent_Done,
     /*  792229 */   // Label 12274: @792229
     /*  792229 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792304), // Rule ID 19296 //
     /*  792234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792302 */     GIR_RootConstrainSelectedInstOperands,
     /*  792303 */     // GIR_Coverage, 19296,
     /*  792303 */     GIR_EraseRootFromParent_Done,
     /*  792304 */   // Label 12275: @792304
     /*  792304 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792379), // Rule ID 19299 //
     /*  792309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792377 */     GIR_RootConstrainSelectedInstOperands,
     /*  792378 */     // GIR_Coverage, 19299,
     /*  792378 */     GIR_EraseRootFromParent_Done,
     /*  792379 */   // Label 12276: @792379
     /*  792379 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(792454), // Rule ID 19300 //
     /*  792384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792430 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792452 */     GIR_RootConstrainSelectedInstOperands,
     /*  792453 */     // GIR_Coverage, 19300,
     /*  792453 */     GIR_EraseRootFromParent_Done,
     /*  792454 */   // Label 12277: @792454
     /*  792454 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(792529), // Rule ID 19303 //
     /*  792459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792527 */     GIR_RootConstrainSelectedInstOperands,
     /*  792528 */     // GIR_Coverage, 19303,
     /*  792528 */     GIR_EraseRootFromParent_Done,
     /*  792529 */   // Label 12278: @792529
     /*  792529 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792604), // Rule ID 19304 //
     /*  792534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792602 */     GIR_RootConstrainSelectedInstOperands,
     /*  792603 */     // GIR_Coverage, 19304,
     /*  792603 */     GIR_EraseRootFromParent_Done,
     /*  792604 */   // Label 12279: @792604
     /*  792604 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792679), // Rule ID 19307 //
     /*  792609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792655 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  792658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792677 */     GIR_RootConstrainSelectedInstOperands,
     /*  792678 */     // GIR_Coverage, 19307,
     /*  792678 */     GIR_EraseRootFromParent_Done,
     /*  792679 */   // Label 12280: @792679
     /*  792679 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792754), // Rule ID 19308 //
     /*  792684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  792733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792752 */     GIR_RootConstrainSelectedInstOperands,
     /*  792753 */     // GIR_Coverage, 19308,
     /*  792753 */     GIR_EraseRootFromParent_Done,
     /*  792754 */   // Label 12281: @792754
     /*  792754 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792829), // Rule ID 19311 //
     /*  792759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792805 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  792808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792827 */     GIR_RootConstrainSelectedInstOperands,
     /*  792828 */     // GIR_Coverage, 19311,
     /*  792828 */     GIR_EraseRootFromParent_Done,
     /*  792829 */   // Label 12282: @792829
     /*  792829 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792904), // Rule ID 19312 //
     /*  792834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  792883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792902 */     GIR_RootConstrainSelectedInstOperands,
     /*  792903 */     // GIR_Coverage, 19312,
     /*  792903 */     GIR_EraseRootFromParent_Done,
     /*  792904 */   // Label 12283: @792904
     /*  792904 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(792979), // Rule ID 19315 //
     /*  792909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  792926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  792929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792955 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  792958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792977 */     GIR_RootConstrainSelectedInstOperands,
     /*  792978 */     // GIR_Coverage, 19315,
     /*  792978 */     GIR_EraseRootFromParent_Done,
     /*  792979 */   // Label 12284: @792979
     /*  792979 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(793054), // Rule ID 19316 //
     /*  792984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793030 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  793033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793052 */     GIR_RootConstrainSelectedInstOperands,
     /*  793053 */     // GIR_Coverage, 19316,
     /*  793053 */     GIR_EraseRootFromParent_Done,
     /*  793054 */   // Label 12285: @793054
     /*  793054 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(793129), // Rule ID 19319 //
     /*  793059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793105 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793127 */     GIR_RootConstrainSelectedInstOperands,
     /*  793128 */     // GIR_Coverage, 19319,
     /*  793128 */     GIR_EraseRootFromParent_Done,
     /*  793129 */   // Label 12286: @793129
     /*  793129 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(793204), // Rule ID 19320 //
     /*  793134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793180 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793202 */     GIR_RootConstrainSelectedInstOperands,
     /*  793203 */     // GIR_Coverage, 19320,
     /*  793203 */     GIR_EraseRootFromParent_Done,
     /*  793204 */   // Label 12287: @793204
     /*  793204 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793279), // Rule ID 19323 //
     /*  793209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793255 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793277 */     GIR_RootConstrainSelectedInstOperands,
     /*  793278 */     // GIR_Coverage, 19323,
     /*  793278 */     GIR_EraseRootFromParent_Done,
     /*  793279 */   // Label 12288: @793279
     /*  793279 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793354), // Rule ID 19324 //
     /*  793284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793330 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793352 */     GIR_RootConstrainSelectedInstOperands,
     /*  793353 */     // GIR_Coverage, 19324,
     /*  793353 */     GIR_EraseRootFromParent_Done,
     /*  793354 */   // Label 12289: @793354
     /*  793354 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793429), // Rule ID 19327 //
     /*  793359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793405 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793427 */     GIR_RootConstrainSelectedInstOperands,
     /*  793428 */     // GIR_Coverage, 19327,
     /*  793428 */     GIR_EraseRootFromParent_Done,
     /*  793429 */   // Label 12290: @793429
     /*  793429 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(793504), // Rule ID 19328 //
     /*  793434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793502 */     GIR_RootConstrainSelectedInstOperands,
     /*  793503 */     // GIR_Coverage, 19328,
     /*  793503 */     GIR_EraseRootFromParent_Done,
     /*  793504 */   // Label 12291: @793504
     /*  793504 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793579), // Rule ID 19331 //
     /*  793509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793555 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  793558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793577 */     GIR_RootConstrainSelectedInstOperands,
     /*  793578 */     // GIR_Coverage, 19331,
     /*  793578 */     GIR_EraseRootFromParent_Done,
     /*  793579 */   // Label 12292: @793579
     /*  793579 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793654), // Rule ID 19332 //
     /*  793584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793630 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  793633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793652 */     GIR_RootConstrainSelectedInstOperands,
     /*  793653 */     // GIR_Coverage, 19332,
     /*  793653 */     GIR_EraseRootFromParent_Done,
     /*  793654 */   // Label 12293: @793654
     /*  793654 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793729), // Rule ID 19335 //
     /*  793659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  793708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793727 */     GIR_RootConstrainSelectedInstOperands,
     /*  793728 */     // GIR_Coverage, 19335,
     /*  793728 */     GIR_EraseRootFromParent_Done,
     /*  793729 */   // Label 12294: @793729
     /*  793729 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793804), // Rule ID 19336 //
     /*  793734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793780 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  793783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793802 */     GIR_RootConstrainSelectedInstOperands,
     /*  793803 */     // GIR_Coverage, 19336,
     /*  793803 */     GIR_EraseRootFromParent_Done,
     /*  793804 */   // Label 12295: @793804
     /*  793804 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793879), // Rule ID 19339 //
     /*  793809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793855 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  793858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793877 */     GIR_RootConstrainSelectedInstOperands,
     /*  793878 */     // GIR_Coverage, 19339,
     /*  793878 */     GIR_EraseRootFromParent_Done,
     /*  793879 */   // Label 12296: @793879
     /*  793879 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(793954), // Rule ID 19340 //
     /*  793884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  793933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793952 */     GIR_RootConstrainSelectedInstOperands,
     /*  793953 */     // GIR_Coverage, 19340,
     /*  793953 */     GIR_EraseRootFromParent_Done,
     /*  793954 */   // Label 12297: @793954
     /*  793954 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(794029), // Rule ID 19343 //
     /*  793959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  793970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  793973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  793976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  793979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794005 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  794008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794027 */     GIR_RootConstrainSelectedInstOperands,
     /*  794028 */     // GIR_Coverage, 19343,
     /*  794028 */     GIR_EraseRootFromParent_Done,
     /*  794029 */   // Label 12298: @794029
     /*  794029 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(794104), // Rule ID 19344 //
     /*  794034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794080 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  794083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794102 */     GIR_RootConstrainSelectedInstOperands,
     /*  794103 */     // GIR_Coverage, 19344,
     /*  794103 */     GIR_EraseRootFromParent_Done,
     /*  794104 */   // Label 12299: @794104
     /*  794104 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(794179), // Rule ID 19347 //
     /*  794109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794155 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794177 */     GIR_RootConstrainSelectedInstOperands,
     /*  794178 */     // GIR_Coverage, 19347,
     /*  794178 */     GIR_EraseRootFromParent_Done,
     /*  794179 */   // Label 12300: @794179
     /*  794179 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(794254), // Rule ID 19348 //
     /*  794184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794230 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794252 */     GIR_RootConstrainSelectedInstOperands,
     /*  794253 */     // GIR_Coverage, 19348,
     /*  794253 */     GIR_EraseRootFromParent_Done,
     /*  794254 */   // Label 12301: @794254
     /*  794254 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794329), // Rule ID 19351 //
     /*  794259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794327 */     GIR_RootConstrainSelectedInstOperands,
     /*  794328 */     // GIR_Coverage, 19351,
     /*  794328 */     GIR_EraseRootFromParent_Done,
     /*  794329 */   // Label 12302: @794329
     /*  794329 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794404), // Rule ID 19352 //
     /*  794334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794380 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794402 */     GIR_RootConstrainSelectedInstOperands,
     /*  794403 */     // GIR_Coverage, 19352,
     /*  794403 */     GIR_EraseRootFromParent_Done,
     /*  794404 */   // Label 12303: @794404
     /*  794404 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(794479), // Rule ID 19355 //
     /*  794409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794455 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794477 */     GIR_RootConstrainSelectedInstOperands,
     /*  794478 */     // GIR_Coverage, 19355,
     /*  794478 */     GIR_EraseRootFromParent_Done,
     /*  794479 */   // Label 12304: @794479
     /*  794479 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794554), // Rule ID 19356 //
     /*  794484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794552 */     GIR_RootConstrainSelectedInstOperands,
     /*  794553 */     // GIR_Coverage, 19356,
     /*  794553 */     GIR_EraseRootFromParent_Done,
     /*  794554 */   // Label 12305: @794554
     /*  794554 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794629), // Rule ID 19359 //
     /*  794559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  794608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794627 */     GIR_RootConstrainSelectedInstOperands,
     /*  794628 */     // GIR_Coverage, 19359,
     /*  794628 */     GIR_EraseRootFromParent_Done,
     /*  794629 */   // Label 12306: @794629
     /*  794629 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794704), // Rule ID 19360 //
     /*  794634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  794683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794702 */     GIR_RootConstrainSelectedInstOperands,
     /*  794703 */     // GIR_Coverage, 19360,
     /*  794703 */     GIR_EraseRootFromParent_Done,
     /*  794704 */   // Label 12307: @794704
     /*  794704 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794779), // Rule ID 19363 //
     /*  794709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  794720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  794723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794755 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  794758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794777 */     GIR_RootConstrainSelectedInstOperands,
     /*  794778 */     // GIR_Coverage, 19363,
     /*  794778 */     GIR_EraseRootFromParent_Done,
     /*  794779 */   // Label 12308: @794779
     /*  794779 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794854), // Rule ID 19364 //
     /*  794784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  794795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  794798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  794833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794852 */     GIR_RootConstrainSelectedInstOperands,
     /*  794853 */     // GIR_Coverage, 19364,
     /*  794853 */     GIR_EraseRootFromParent_Done,
     /*  794854 */   // Label 12309: @794854
     /*  794854 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(794929), // Rule ID 19367 //
     /*  794859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794905 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  794908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794927 */     GIR_RootConstrainSelectedInstOperands,
     /*  794928 */     // GIR_Coverage, 19367,
     /*  794928 */     GIR_EraseRootFromParent_Done,
     /*  794929 */   // Label 12310: @794929
     /*  794929 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(795004), // Rule ID 19368 //
     /*  794934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794980 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  794983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795002 */     GIR_RootConstrainSelectedInstOperands,
     /*  795003 */     // GIR_Coverage, 19368,
     /*  795003 */     GIR_EraseRootFromParent_Done,
     /*  795004 */   // Label 12311: @795004
     /*  795004 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(795079), // Rule ID 19371 //
     /*  795009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795055 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795077 */     GIR_RootConstrainSelectedInstOperands,
     /*  795078 */     // GIR_Coverage, 19371,
     /*  795078 */     GIR_EraseRootFromParent_Done,
     /*  795079 */   // Label 12312: @795079
     /*  795079 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(795154), // Rule ID 19372 //
     /*  795084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795152 */     GIR_RootConstrainSelectedInstOperands,
     /*  795153 */     // GIR_Coverage, 19372,
     /*  795153 */     GIR_EraseRootFromParent_Done,
     /*  795154 */   // Label 12313: @795154
     /*  795154 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(795229), // Rule ID 19375 //
     /*  795159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795205 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795227 */     GIR_RootConstrainSelectedInstOperands,
     /*  795228 */     // GIR_Coverage, 19375,
     /*  795228 */     GIR_EraseRootFromParent_Done,
     /*  795229 */   // Label 12314: @795229
     /*  795229 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795304), // Rule ID 19376 //
     /*  795234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795280 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795302 */     GIR_RootConstrainSelectedInstOperands,
     /*  795303 */     // GIR_Coverage, 19376,
     /*  795303 */     GIR_EraseRootFromParent_Done,
     /*  795304 */   // Label 12315: @795304
     /*  795304 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795379), // Rule ID 19379 //
     /*  795309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795355 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795377 */     GIR_RootConstrainSelectedInstOperands,
     /*  795378 */     // GIR_Coverage, 19379,
     /*  795378 */     GIR_EraseRootFromParent_Done,
     /*  795379 */   // Label 12316: @795379
     /*  795379 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(795454), // Rule ID 19380 //
     /*  795384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795430 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795452 */     GIR_RootConstrainSelectedInstOperands,
     /*  795453 */     // GIR_Coverage, 19380,
     /*  795453 */     GIR_EraseRootFromParent_Done,
     /*  795454 */   // Label 12317: @795454
     /*  795454 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(795529), // Rule ID 19383 //
     /*  795459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795527 */     GIR_RootConstrainSelectedInstOperands,
     /*  795528 */     // GIR_Coverage, 19383,
     /*  795528 */     GIR_EraseRootFromParent_Done,
     /*  795529 */   // Label 12318: @795529
     /*  795529 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795604), // Rule ID 19384 //
     /*  795534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795580 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795602 */     GIR_RootConstrainSelectedInstOperands,
     /*  795603 */     // GIR_Coverage, 19384,
     /*  795603 */     GIR_EraseRootFromParent_Done,
     /*  795604 */   // Label 12319: @795604
     /*  795604 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795679), // Rule ID 19387 //
     /*  795609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795655 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  795658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795677 */     GIR_RootConstrainSelectedInstOperands,
     /*  795678 */     // GIR_Coverage, 19387,
     /*  795678 */     GIR_EraseRootFromParent_Done,
     /*  795679 */   // Label 12320: @795679
     /*  795679 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795754), // Rule ID 19388 //
     /*  795684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  795733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795752 */     GIR_RootConstrainSelectedInstOperands,
     /*  795753 */     // GIR_Coverage, 19388,
     /*  795753 */     GIR_EraseRootFromParent_Done,
     /*  795754 */   // Label 12321: @795754
     /*  795754 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795829), // Rule ID 19391 //
     /*  795759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  795770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  795773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  795776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795805 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  795808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795827 */     GIR_RootConstrainSelectedInstOperands,
     /*  795828 */     // GIR_Coverage, 19391,
     /*  795828 */     GIR_EraseRootFromParent_Done,
     /*  795829 */   // Label 12322: @795829
     /*  795829 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795904), // Rule ID 19392 //
     /*  795834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  795845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  795848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  795851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  795883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795902 */     GIR_RootConstrainSelectedInstOperands,
     /*  795903 */     // GIR_Coverage, 19392,
     /*  795903 */     GIR_EraseRootFromParent_Done,
     /*  795904 */   // Label 12323: @795904
     /*  795904 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(795979), // Rule ID 19395 //
     /*  795909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  795958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795977 */     GIR_RootConstrainSelectedInstOperands,
     /*  795978 */     // GIR_Coverage, 19395,
     /*  795978 */     GIR_EraseRootFromParent_Done,
     /*  795979 */   // Label 12324: @795979
     /*  795979 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(796054), // Rule ID 19396 //
     /*  795984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  796033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796052 */     GIR_RootConstrainSelectedInstOperands,
     /*  796053 */     // GIR_Coverage, 19396,
     /*  796053 */     GIR_EraseRootFromParent_Done,
     /*  796054 */   // Label 12325: @796054
     /*  796054 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(796129), // Rule ID 19399 //
     /*  796059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796105 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796127 */     GIR_RootConstrainSelectedInstOperands,
     /*  796128 */     // GIR_Coverage, 19399,
     /*  796128 */     GIR_EraseRootFromParent_Done,
     /*  796129 */   // Label 12326: @796129
     /*  796129 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(796204), // Rule ID 19400 //
     /*  796134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796180 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796202 */     GIR_RootConstrainSelectedInstOperands,
     /*  796203 */     // GIR_Coverage, 19400,
     /*  796203 */     GIR_EraseRootFromParent_Done,
     /*  796204 */   // Label 12327: @796204
     /*  796204 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796279), // Rule ID 19403 //
     /*  796209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796255 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796277 */     GIR_RootConstrainSelectedInstOperands,
     /*  796278 */     // GIR_Coverage, 19403,
     /*  796278 */     GIR_EraseRootFromParent_Done,
     /*  796279 */   // Label 12328: @796279
     /*  796279 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796354), // Rule ID 19404 //
     /*  796284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796330 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796352 */     GIR_RootConstrainSelectedInstOperands,
     /*  796353 */     // GIR_Coverage, 19404,
     /*  796353 */     GIR_EraseRootFromParent_Done,
     /*  796354 */   // Label 12329: @796354
     /*  796354 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796429), // Rule ID 19407 //
     /*  796359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796405 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796427 */     GIR_RootConstrainSelectedInstOperands,
     /*  796428 */     // GIR_Coverage, 19407,
     /*  796428 */     GIR_EraseRootFromParent_Done,
     /*  796429 */   // Label 12330: @796429
     /*  796429 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(796504), // Rule ID 19408 //
     /*  796434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796502 */     GIR_RootConstrainSelectedInstOperands,
     /*  796503 */     // GIR_Coverage, 19408,
     /*  796503 */     GIR_EraseRootFromParent_Done,
     /*  796504 */   // Label 12331: @796504
     /*  796504 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796579), // Rule ID 19411 //
     /*  796509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  796558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796577 */     GIR_RootConstrainSelectedInstOperands,
     /*  796578 */     // GIR_Coverage, 19411,
     /*  796578 */     GIR_EraseRootFromParent_Done,
     /*  796579 */   // Label 12332: @796579
     /*  796579 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796654), // Rule ID 19412 //
     /*  796584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796630 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  796633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796652 */     GIR_RootConstrainSelectedInstOperands,
     /*  796653 */     // GIR_Coverage, 19412,
     /*  796653 */     GIR_EraseRootFromParent_Done,
     /*  796654 */   // Label 12333: @796654
     /*  796654 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796729), // Rule ID 19415 //
     /*  796659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  796679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796705 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  796708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796727 */     GIR_RootConstrainSelectedInstOperands,
     /*  796728 */     // GIR_Coverage, 19415,
     /*  796728 */     GIR_EraseRootFromParent_Done,
     /*  796729 */   // Label 12334: @796729
     /*  796729 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796804), // Rule ID 19416 //
     /*  796734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  796754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  796783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796802 */     GIR_RootConstrainSelectedInstOperands,
     /*  796803 */     // GIR_Coverage, 19416,
     /*  796803 */     GIR_EraseRootFromParent_Done,
     /*  796804 */   // Label 12335: @796804
     /*  796804 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796879), // Rule ID 19419 //
     /*  796809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  796820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  796823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  796826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  796829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796855 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  796858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796877 */     GIR_RootConstrainSelectedInstOperands,
     /*  796878 */     // GIR_Coverage, 19419,
     /*  796878 */     GIR_EraseRootFromParent_Done,
     /*  796879 */   // Label 12336: @796879
     /*  796879 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(796954), // Rule ID 19420 //
     /*  796884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  796895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  796898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  796901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  796904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796930 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  796933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796952 */     GIR_RootConstrainSelectedInstOperands,
     /*  796953 */     // GIR_Coverage, 19420,
     /*  796953 */     GIR_EraseRootFromParent_Done,
     /*  796954 */   // Label 12337: @796954
     /*  796954 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(797029), // Rule ID 19423 //
     /*  796959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  796970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  796973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  796976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  796979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797005 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  797008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797027 */     GIR_RootConstrainSelectedInstOperands,
     /*  797028 */     // GIR_Coverage, 19423,
     /*  797028 */     GIR_EraseRootFromParent_Done,
     /*  797029 */   // Label 12338: @797029
     /*  797029 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(797104), // Rule ID 19424 //
     /*  797034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  797083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797102 */     GIR_RootConstrainSelectedInstOperands,
     /*  797103 */     // GIR_Coverage, 19424,
     /*  797103 */     GIR_EraseRootFromParent_Done,
     /*  797104 */   // Label 12339: @797104
     /*  797104 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(797179), // Rule ID 19427 //
     /*  797109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797177 */     GIR_RootConstrainSelectedInstOperands,
     /*  797178 */     // GIR_Coverage, 19427,
     /*  797178 */     GIR_EraseRootFromParent_Done,
     /*  797179 */   // Label 12340: @797179
     /*  797179 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(797254), // Rule ID 19428 //
     /*  797184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797252 */     GIR_RootConstrainSelectedInstOperands,
     /*  797253 */     // GIR_Coverage, 19428,
     /*  797253 */     GIR_EraseRootFromParent_Done,
     /*  797254 */   // Label 12341: @797254
     /*  797254 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797329), // Rule ID 19431 //
     /*  797259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797305 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797327 */     GIR_RootConstrainSelectedInstOperands,
     /*  797328 */     // GIR_Coverage, 19431,
     /*  797328 */     GIR_EraseRootFromParent_Done,
     /*  797329 */   // Label 12342: @797329
     /*  797329 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797404), // Rule ID 19432 //
     /*  797334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797380 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797402 */     GIR_RootConstrainSelectedInstOperands,
     /*  797403 */     // GIR_Coverage, 19432,
     /*  797403 */     GIR_EraseRootFromParent_Done,
     /*  797404 */   // Label 12343: @797404
     /*  797404 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(797479), // Rule ID 19435 //
     /*  797409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797455 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797477 */     GIR_RootConstrainSelectedInstOperands,
     /*  797478 */     // GIR_Coverage, 19435,
     /*  797478 */     GIR_EraseRootFromParent_Done,
     /*  797479 */   // Label 12344: @797479
     /*  797479 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797554), // Rule ID 19436 //
     /*  797484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797530 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797552 */     GIR_RootConstrainSelectedInstOperands,
     /*  797553 */     // GIR_Coverage, 19436,
     /*  797553 */     GIR_EraseRootFromParent_Done,
     /*  797554 */   // Label 12345: @797554
     /*  797554 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797629), // Rule ID 19439 //
     /*  797559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797605 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  797608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797627 */     GIR_RootConstrainSelectedInstOperands,
     /*  797628 */     // GIR_Coverage, 19439,
     /*  797628 */     GIR_EraseRootFromParent_Done,
     /*  797629 */   // Label 12346: @797629
     /*  797629 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797704), // Rule ID 19440 //
     /*  797634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797680 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  797683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797702 */     GIR_RootConstrainSelectedInstOperands,
     /*  797703 */     // GIR_Coverage, 19440,
     /*  797703 */     GIR_EraseRootFromParent_Done,
     /*  797704 */   // Label 12347: @797704
     /*  797704 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797779), // Rule ID 19443 //
     /*  797709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  797720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  797723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  797726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  797729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797755 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  797758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797777 */     GIR_RootConstrainSelectedInstOperands,
     /*  797778 */     // GIR_Coverage, 19443,
     /*  797778 */     GIR_EraseRootFromParent_Done,
     /*  797779 */   // Label 12348: @797779
     /*  797779 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797854), // Rule ID 19444 //
     /*  797784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  797795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  797798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  797801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  797804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  797833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797852 */     GIR_RootConstrainSelectedInstOperands,
     /*  797853 */     // GIR_Coverage, 19444,
     /*  797853 */     GIR_EraseRootFromParent_Done,
     /*  797854 */   // Label 12349: @797854
     /*  797854 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(797929), // Rule ID 19447 //
     /*  797859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  797870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  797873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  797876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  797879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797905 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  797908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797927 */     GIR_RootConstrainSelectedInstOperands,
     /*  797928 */     // GIR_Coverage, 19447,
     /*  797928 */     GIR_EraseRootFromParent_Done,
     /*  797929 */   // Label 12350: @797929
     /*  797929 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(798004), // Rule ID 19448 //
     /*  797934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  797945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  797948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  797951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  797954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797980 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  797983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798002 */     GIR_RootConstrainSelectedInstOperands,
     /*  798003 */     // GIR_Coverage, 19448,
     /*  798003 */     GIR_EraseRootFromParent_Done,
     /*  798004 */   // Label 12351: @798004
     /*  798004 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(798079), // Rule ID 19451 //
     /*  798009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798055 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798077 */     GIR_RootConstrainSelectedInstOperands,
     /*  798078 */     // GIR_Coverage, 19451,
     /*  798078 */     GIR_EraseRootFromParent_Done,
     /*  798079 */   // Label 12352: @798079
     /*  798079 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(798154), // Rule ID 19452 //
     /*  798084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798152 */     GIR_RootConstrainSelectedInstOperands,
     /*  798153 */     // GIR_Coverage, 19452,
     /*  798153 */     GIR_EraseRootFromParent_Done,
     /*  798154 */   // Label 12353: @798154
     /*  798154 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(798229), // Rule ID 19455 //
     /*  798159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798205 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798227 */     GIR_RootConstrainSelectedInstOperands,
     /*  798228 */     // GIR_Coverage, 19455,
     /*  798228 */     GIR_EraseRootFromParent_Done,
     /*  798229 */   // Label 12354: @798229
     /*  798229 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798304), // Rule ID 19456 //
     /*  798234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798302 */     GIR_RootConstrainSelectedInstOperands,
     /*  798303 */     // GIR_Coverage, 19456,
     /*  798303 */     GIR_EraseRootFromParent_Done,
     /*  798304 */   // Label 12355: @798304
     /*  798304 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798379), // Rule ID 19459 //
     /*  798309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798355 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798377 */     GIR_RootConstrainSelectedInstOperands,
     /*  798378 */     // GIR_Coverage, 19459,
     /*  798378 */     GIR_EraseRootFromParent_Done,
     /*  798379 */   // Label 12356: @798379
     /*  798379 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(798454), // Rule ID 19460 //
     /*  798384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798430 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798452 */     GIR_RootConstrainSelectedInstOperands,
     /*  798453 */     // GIR_Coverage, 19460,
     /*  798453 */     GIR_EraseRootFromParent_Done,
     /*  798454 */   // Label 12357: @798454
     /*  798454 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(798529), // Rule ID 19463 //
     /*  798459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798505 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798527 */     GIR_RootConstrainSelectedInstOperands,
     /*  798528 */     // GIR_Coverage, 19463,
     /*  798528 */     GIR_EraseRootFromParent_Done,
     /*  798529 */   // Label 12358: @798529
     /*  798529 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798604), // Rule ID 19464 //
     /*  798534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798602 */     GIR_RootConstrainSelectedInstOperands,
     /*  798603 */     // GIR_Coverage, 19464,
     /*  798603 */     GIR_EraseRootFromParent_Done,
     /*  798604 */   // Label 12359: @798604
     /*  798604 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798679), // Rule ID 19467 //
     /*  798609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798655 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  798658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798677 */     GIR_RootConstrainSelectedInstOperands,
     /*  798678 */     // GIR_Coverage, 19467,
     /*  798678 */     GIR_EraseRootFromParent_Done,
     /*  798679 */   // Label 12360: @798679
     /*  798679 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798754), // Rule ID 19468 //
     /*  798684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  798733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798752 */     GIR_RootConstrainSelectedInstOperands,
     /*  798753 */     // GIR_Coverage, 19468,
     /*  798753 */     GIR_EraseRootFromParent_Done,
     /*  798754 */   // Label 12361: @798754
     /*  798754 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798829), // Rule ID 19471 //
     /*  798759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798805 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  798808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798827 */     GIR_RootConstrainSelectedInstOperands,
     /*  798828 */     // GIR_Coverage, 19471,
     /*  798828 */     GIR_EraseRootFromParent_Done,
     /*  798829 */   // Label 12362: @798829
     /*  798829 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798904), // Rule ID 19472 //
     /*  798834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798880 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  798883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798902 */     GIR_RootConstrainSelectedInstOperands,
     /*  798903 */     // GIR_Coverage, 19472,
     /*  798903 */     GIR_EraseRootFromParent_Done,
     /*  798904 */   // Label 12363: @798904
     /*  798904 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(798979), // Rule ID 19475 //
     /*  798909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  798920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  798923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  798926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798955 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  798958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798977 */     GIR_RootConstrainSelectedInstOperands,
     /*  798978 */     // GIR_Coverage, 19475,
     /*  798978 */     GIR_EraseRootFromParent_Done,
     /*  798979 */   // Label 12364: @798979
     /*  798979 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(799054), // Rule ID 19476 //
     /*  798984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  798995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  798998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799030 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  799033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799052 */     GIR_RootConstrainSelectedInstOperands,
     /*  799053 */     // GIR_Coverage, 19476,
     /*  799053 */     GIR_EraseRootFromParent_Done,
     /*  799054 */   // Label 12365: @799054
     /*  799054 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(799129), // Rule ID 19479 //
     /*  799059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799105 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799127 */     GIR_RootConstrainSelectedInstOperands,
     /*  799128 */     // GIR_Coverage, 19479,
     /*  799128 */     GIR_EraseRootFromParent_Done,
     /*  799129 */   // Label 12366: @799129
     /*  799129 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(799204), // Rule ID 19480 //
     /*  799134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799180 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799202 */     GIR_RootConstrainSelectedInstOperands,
     /*  799203 */     // GIR_Coverage, 19480,
     /*  799203 */     GIR_EraseRootFromParent_Done,
     /*  799204 */   // Label 12367: @799204
     /*  799204 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799279), // Rule ID 19483 //
     /*  799209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799255 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799277 */     GIR_RootConstrainSelectedInstOperands,
     /*  799278 */     // GIR_Coverage, 19483,
     /*  799278 */     GIR_EraseRootFromParent_Done,
     /*  799279 */   // Label 12368: @799279
     /*  799279 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799354), // Rule ID 19484 //
     /*  799284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799352 */     GIR_RootConstrainSelectedInstOperands,
     /*  799353 */     // GIR_Coverage, 19484,
     /*  799353 */     GIR_EraseRootFromParent_Done,
     /*  799354 */   // Label 12369: @799354
     /*  799354 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799429), // Rule ID 19487 //
     /*  799359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799405 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799427 */     GIR_RootConstrainSelectedInstOperands,
     /*  799428 */     // GIR_Coverage, 19487,
     /*  799428 */     GIR_EraseRootFromParent_Done,
     /*  799429 */   // Label 12370: @799429
     /*  799429 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(799504), // Rule ID 19488 //
     /*  799434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799502 */     GIR_RootConstrainSelectedInstOperands,
     /*  799503 */     // GIR_Coverage, 19488,
     /*  799503 */     GIR_EraseRootFromParent_Done,
     /*  799504 */   // Label 12371: @799504
     /*  799504 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799579), // Rule ID 19491 //
     /*  799509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799555 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  799558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799577 */     GIR_RootConstrainSelectedInstOperands,
     /*  799578 */     // GIR_Coverage, 19491,
     /*  799578 */     GIR_EraseRootFromParent_Done,
     /*  799579 */   // Label 12372: @799579
     /*  799579 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799654), // Rule ID 19492 //
     /*  799584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799630 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  799633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799652 */     GIR_RootConstrainSelectedInstOperands,
     /*  799653 */     // GIR_Coverage, 19492,
     /*  799653 */     GIR_EraseRootFromParent_Done,
     /*  799654 */   // Label 12373: @799654
     /*  799654 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799729), // Rule ID 19495 //
     /*  799659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799705 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  799708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799727 */     GIR_RootConstrainSelectedInstOperands,
     /*  799728 */     // GIR_Coverage, 19495,
     /*  799728 */     GIR_EraseRootFromParent_Done,
     /*  799729 */   // Label 12374: @799729
     /*  799729 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799804), // Rule ID 19496 //
     /*  799734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799780 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  799783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799802 */     GIR_RootConstrainSelectedInstOperands,
     /*  799803 */     // GIR_Coverage, 19496,
     /*  799803 */     GIR_EraseRootFromParent_Done,
     /*  799804 */   // Label 12375: @799804
     /*  799804 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799879), // Rule ID 19499 //
     /*  799809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799855 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  799858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799877 */     GIR_RootConstrainSelectedInstOperands,
     /*  799878 */     // GIR_Coverage, 19499,
     /*  799878 */     GIR_EraseRootFromParent_Done,
     /*  799879 */   // Label 12376: @799879
     /*  799879 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(799954), // Rule ID 19500 //
     /*  799884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799930 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  799933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799952 */     GIR_RootConstrainSelectedInstOperands,
     /*  799953 */     // GIR_Coverage, 19500,
     /*  799953 */     GIR_EraseRootFromParent_Done,
     /*  799954 */   // Label 12377: @799954
     /*  799954 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(800029), // Rule ID 19503 //
     /*  799959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  799970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  799973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  799976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800005 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  800008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800027 */     GIR_RootConstrainSelectedInstOperands,
     /*  800028 */     // GIR_Coverage, 19503,
     /*  800028 */     GIR_EraseRootFromParent_Done,
     /*  800029 */   // Label 12378: @800029
     /*  800029 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(800104), // Rule ID 19504 //
     /*  800034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  800083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800102 */     GIR_RootConstrainSelectedInstOperands,
     /*  800103 */     // GIR_Coverage, 19504,
     /*  800103 */     GIR_EraseRootFromParent_Done,
     /*  800104 */   // Label 12379: @800104
     /*  800104 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(800179), // Rule ID 19507 //
     /*  800109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800155 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800177 */     GIR_RootConstrainSelectedInstOperands,
     /*  800178 */     // GIR_Coverage, 19507,
     /*  800178 */     GIR_EraseRootFromParent_Done,
     /*  800179 */   // Label 12380: @800179
     /*  800179 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(800254), // Rule ID 19508 //
     /*  800184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800230 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800252 */     GIR_RootConstrainSelectedInstOperands,
     /*  800253 */     // GIR_Coverage, 19508,
     /*  800253 */     GIR_EraseRootFromParent_Done,
     /*  800254 */   // Label 12381: @800254
     /*  800254 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800329), // Rule ID 19511 //
     /*  800259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800305 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800327 */     GIR_RootConstrainSelectedInstOperands,
     /*  800328 */     // GIR_Coverage, 19511,
     /*  800328 */     GIR_EraseRootFromParent_Done,
     /*  800329 */   // Label 12382: @800329
     /*  800329 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800404), // Rule ID 19512 //
     /*  800334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800380 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800402 */     GIR_RootConstrainSelectedInstOperands,
     /*  800403 */     // GIR_Coverage, 19512,
     /*  800403 */     GIR_EraseRootFromParent_Done,
     /*  800404 */   // Label 12383: @800404
     /*  800404 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(800479), // Rule ID 19515 //
     /*  800409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800455 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800477 */     GIR_RootConstrainSelectedInstOperands,
     /*  800478 */     // GIR_Coverage, 19515,
     /*  800478 */     GIR_EraseRootFromParent_Done,
     /*  800479 */   // Label 12384: @800479
     /*  800479 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800554), // Rule ID 19516 //
     /*  800484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800530 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800552 */     GIR_RootConstrainSelectedInstOperands,
     /*  800553 */     // GIR_Coverage, 19516,
     /*  800553 */     GIR_EraseRootFromParent_Done,
     /*  800554 */   // Label 12385: @800554
     /*  800554 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800629), // Rule ID 19519 //
     /*  800559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800605 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  800608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800627 */     GIR_RootConstrainSelectedInstOperands,
     /*  800628 */     // GIR_Coverage, 19519,
     /*  800628 */     GIR_EraseRootFromParent_Done,
     /*  800629 */   // Label 12386: @800629
     /*  800629 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800704), // Rule ID 19520 //
     /*  800634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800680 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  800683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800702 */     GIR_RootConstrainSelectedInstOperands,
     /*  800703 */     // GIR_Coverage, 19520,
     /*  800703 */     GIR_EraseRootFromParent_Done,
     /*  800704 */   // Label 12387: @800704
     /*  800704 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800779), // Rule ID 19523 //
     /*  800709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  800758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800777 */     GIR_RootConstrainSelectedInstOperands,
     /*  800778 */     // GIR_Coverage, 19523,
     /*  800778 */     GIR_EraseRootFromParent_Done,
     /*  800779 */   // Label 12388: @800779
     /*  800779 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800854), // Rule ID 19524 //
     /*  800784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800830 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  800833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800852 */     GIR_RootConstrainSelectedInstOperands,
     /*  800853 */     // GIR_Coverage, 19524,
     /*  800853 */     GIR_EraseRootFromParent_Done,
     /*  800854 */   // Label 12389: @800854
     /*  800854 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(800929), // Rule ID 19527 //
     /*  800859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  800879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800905 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  800908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800927 */     GIR_RootConstrainSelectedInstOperands,
     /*  800928 */     // GIR_Coverage, 19527,
     /*  800928 */     GIR_EraseRootFromParent_Done,
     /*  800929 */   // Label 12390: @800929
     /*  800929 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(801004), // Rule ID 19528 //
     /*  800934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  800954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  800983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801002 */     GIR_RootConstrainSelectedInstOperands,
     /*  801003 */     // GIR_Coverage, 19528,
     /*  801003 */     GIR_EraseRootFromParent_Done,
     /*  801004 */   // Label 12391: @801004
     /*  801004 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(801079), // Rule ID 19531 //
     /*  801009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801055 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801077 */     GIR_RootConstrainSelectedInstOperands,
     /*  801078 */     // GIR_Coverage, 19531,
     /*  801078 */     GIR_EraseRootFromParent_Done,
     /*  801079 */   // Label 12392: @801079
     /*  801079 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(801154), // Rule ID 19532 //
     /*  801084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801130 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801152 */     GIR_RootConstrainSelectedInstOperands,
     /*  801153 */     // GIR_Coverage, 19532,
     /*  801153 */     GIR_EraseRootFromParent_Done,
     /*  801154 */   // Label 12393: @801154
     /*  801154 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(801229), // Rule ID 19535 //
     /*  801159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801227 */     GIR_RootConstrainSelectedInstOperands,
     /*  801228 */     // GIR_Coverage, 19535,
     /*  801228 */     GIR_EraseRootFromParent_Done,
     /*  801229 */   // Label 12394: @801229
     /*  801229 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801304), // Rule ID 19536 //
     /*  801234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801302 */     GIR_RootConstrainSelectedInstOperands,
     /*  801303 */     // GIR_Coverage, 19536,
     /*  801303 */     GIR_EraseRootFromParent_Done,
     /*  801304 */   // Label 12395: @801304
     /*  801304 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801379), // Rule ID 19539 //
     /*  801309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801377 */     GIR_RootConstrainSelectedInstOperands,
     /*  801378 */     // GIR_Coverage, 19539,
     /*  801378 */     GIR_EraseRootFromParent_Done,
     /*  801379 */   // Label 12396: @801379
     /*  801379 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(801454), // Rule ID 19540 //
     /*  801384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801430 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801452 */     GIR_RootConstrainSelectedInstOperands,
     /*  801453 */     // GIR_Coverage, 19540,
     /*  801453 */     GIR_EraseRootFromParent_Done,
     /*  801454 */   // Label 12397: @801454
     /*  801454 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(801529), // Rule ID 19543 //
     /*  801459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801527 */     GIR_RootConstrainSelectedInstOperands,
     /*  801528 */     // GIR_Coverage, 19543,
     /*  801528 */     GIR_EraseRootFromParent_Done,
     /*  801529 */   // Label 12398: @801529
     /*  801529 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801604), // Rule ID 19544 //
     /*  801534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801602 */     GIR_RootConstrainSelectedInstOperands,
     /*  801603 */     // GIR_Coverage, 19544,
     /*  801603 */     GIR_EraseRootFromParent_Done,
     /*  801604 */   // Label 12399: @801604
     /*  801604 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801679), // Rule ID 19547 //
     /*  801609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801655 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  801658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801677 */     GIR_RootConstrainSelectedInstOperands,
     /*  801678 */     // GIR_Coverage, 19547,
     /*  801678 */     GIR_EraseRootFromParent_Done,
     /*  801679 */   // Label 12400: @801679
     /*  801679 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801754), // Rule ID 19548 //
     /*  801684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  801733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801752 */     GIR_RootConstrainSelectedInstOperands,
     /*  801753 */     // GIR_Coverage, 19548,
     /*  801753 */     GIR_EraseRootFromParent_Done,
     /*  801754 */   // Label 12401: @801754
     /*  801754 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801829), // Rule ID 19551 //
     /*  801759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  801770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  801773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  801779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801805 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  801808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801827 */     GIR_RootConstrainSelectedInstOperands,
     /*  801828 */     // GIR_Coverage, 19551,
     /*  801828 */     GIR_EraseRootFromParent_Done,
     /*  801829 */   // Label 12402: @801829
     /*  801829 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801904), // Rule ID 19552 //
     /*  801834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  801845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  801848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  801854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  801883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801902 */     GIR_RootConstrainSelectedInstOperands,
     /*  801903 */     // GIR_Coverage, 19552,
     /*  801903 */     GIR_EraseRootFromParent_Done,
     /*  801904 */   // Label 12403: @801904
     /*  801904 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(801979), // Rule ID 19555 //
     /*  801909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  801920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  801923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  801926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  801929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801955 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  801958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801977 */     GIR_RootConstrainSelectedInstOperands,
     /*  801978 */     // GIR_Coverage, 19555,
     /*  801978 */     GIR_EraseRootFromParent_Done,
     /*  801979 */   // Label 12404: @801979
     /*  801979 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(802054), // Rule ID 19556 //
     /*  801984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  801995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  801998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802030 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  802033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802052 */     GIR_RootConstrainSelectedInstOperands,
     /*  802053 */     // GIR_Coverage, 19556,
     /*  802053 */     GIR_EraseRootFromParent_Done,
     /*  802054 */   // Label 12405: @802054
     /*  802054 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(802129), // Rule ID 19559 //
     /*  802059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802105 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802127 */     GIR_RootConstrainSelectedInstOperands,
     /*  802128 */     // GIR_Coverage, 19559,
     /*  802128 */     GIR_EraseRootFromParent_Done,
     /*  802129 */   // Label 12406: @802129
     /*  802129 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(802204), // Rule ID 19560 //
     /*  802134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802180 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802202 */     GIR_RootConstrainSelectedInstOperands,
     /*  802203 */     // GIR_Coverage, 19560,
     /*  802203 */     GIR_EraseRootFromParent_Done,
     /*  802204 */   // Label 12407: @802204
     /*  802204 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802279), // Rule ID 19563 //
     /*  802209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802255 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802277 */     GIR_RootConstrainSelectedInstOperands,
     /*  802278 */     // GIR_Coverage, 19563,
     /*  802278 */     GIR_EraseRootFromParent_Done,
     /*  802279 */   // Label 12408: @802279
     /*  802279 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802354), // Rule ID 19564 //
     /*  802284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802330 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802352 */     GIR_RootConstrainSelectedInstOperands,
     /*  802353 */     // GIR_Coverage, 19564,
     /*  802353 */     GIR_EraseRootFromParent_Done,
     /*  802354 */   // Label 12409: @802354
     /*  802354 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802429), // Rule ID 19567 //
     /*  802359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802405 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802427 */     GIR_RootConstrainSelectedInstOperands,
     /*  802428 */     // GIR_Coverage, 19567,
     /*  802428 */     GIR_EraseRootFromParent_Done,
     /*  802429 */   // Label 12410: @802429
     /*  802429 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(802504), // Rule ID 19568 //
     /*  802434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802502 */     GIR_RootConstrainSelectedInstOperands,
     /*  802503 */     // GIR_Coverage, 19568,
     /*  802503 */     GIR_EraseRootFromParent_Done,
     /*  802504 */   // Label 12411: @802504
     /*  802504 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802579), // Rule ID 19571 //
     /*  802509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802555 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  802558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802577 */     GIR_RootConstrainSelectedInstOperands,
     /*  802578 */     // GIR_Coverage, 19571,
     /*  802578 */     GIR_EraseRootFromParent_Done,
     /*  802579 */   // Label 12412: @802579
     /*  802579 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802654), // Rule ID 19572 //
     /*  802584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802630 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  802633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802652 */     GIR_RootConstrainSelectedInstOperands,
     /*  802653 */     // GIR_Coverage, 19572,
     /*  802653 */     GIR_EraseRootFromParent_Done,
     /*  802654 */   // Label 12413: @802654
     /*  802654 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802729), // Rule ID 19575 //
     /*  802659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  802679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  802708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802727 */     GIR_RootConstrainSelectedInstOperands,
     /*  802728 */     // GIR_Coverage, 19575,
     /*  802728 */     GIR_EraseRootFromParent_Done,
     /*  802729 */   // Label 12414: @802729
     /*  802729 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802804), // Rule ID 19576 //
     /*  802734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  802754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802780 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  802783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802802 */     GIR_RootConstrainSelectedInstOperands,
     /*  802803 */     // GIR_Coverage, 19576,
     /*  802803 */     GIR_EraseRootFromParent_Done,
     /*  802804 */   // Label 12415: @802804
     /*  802804 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802879), // Rule ID 19579 //
     /*  802809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  802820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  802823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  802829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802855 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  802858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802877 */     GIR_RootConstrainSelectedInstOperands,
     /*  802878 */     // GIR_Coverage, 19579,
     /*  802878 */     GIR_EraseRootFromParent_Done,
     /*  802879 */   // Label 12416: @802879
     /*  802879 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(802954), // Rule ID 19580 //
     /*  802884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  802895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  802898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  802904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  802933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802952 */     GIR_RootConstrainSelectedInstOperands,
     /*  802953 */     // GIR_Coverage, 19580,
     /*  802953 */     GIR_EraseRootFromParent_Done,
     /*  802954 */   // Label 12417: @802954
     /*  802954 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(803029), // Rule ID 19583 //
     /*  802959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  802970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  802973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  802976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  802979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803005 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  803008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803027 */     GIR_RootConstrainSelectedInstOperands,
     /*  803028 */     // GIR_Coverage, 19583,
     /*  803028 */     GIR_EraseRootFromParent_Done,
     /*  803029 */   // Label 12418: @803029
     /*  803029 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(803104), // Rule ID 19584 //
     /*  803034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803080 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  803083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803102 */     GIR_RootConstrainSelectedInstOperands,
     /*  803103 */     // GIR_Coverage, 19584,
     /*  803103 */     GIR_EraseRootFromParent_Done,
     /*  803104 */   // Label 12419: @803104
     /*  803104 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(803179), // Rule ID 19587 //
     /*  803109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803155 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803177 */     GIR_RootConstrainSelectedInstOperands,
     /*  803178 */     // GIR_Coverage, 19587,
     /*  803178 */     GIR_EraseRootFromParent_Done,
     /*  803179 */   // Label 12420: @803179
     /*  803179 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(803254), // Rule ID 19588 //
     /*  803184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803230 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803252 */     GIR_RootConstrainSelectedInstOperands,
     /*  803253 */     // GIR_Coverage, 19588,
     /*  803253 */     GIR_EraseRootFromParent_Done,
     /*  803254 */   // Label 12421: @803254
     /*  803254 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803329), // Rule ID 19591 //
     /*  803259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803327 */     GIR_RootConstrainSelectedInstOperands,
     /*  803328 */     // GIR_Coverage, 19591,
     /*  803328 */     GIR_EraseRootFromParent_Done,
     /*  803329 */   // Label 12422: @803329
     /*  803329 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803404), // Rule ID 19592 //
     /*  803334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803380 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803402 */     GIR_RootConstrainSelectedInstOperands,
     /*  803403 */     // GIR_Coverage, 19592,
     /*  803403 */     GIR_EraseRootFromParent_Done,
     /*  803404 */   // Label 12423: @803404
     /*  803404 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(803479), // Rule ID 19595 //
     /*  803409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803455 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803477 */     GIR_RootConstrainSelectedInstOperands,
     /*  803478 */     // GIR_Coverage, 19595,
     /*  803478 */     GIR_EraseRootFromParent_Done,
     /*  803479 */   // Label 12424: @803479
     /*  803479 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803554), // Rule ID 19596 //
     /*  803484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803552 */     GIR_RootConstrainSelectedInstOperands,
     /*  803553 */     // GIR_Coverage, 19596,
     /*  803553 */     GIR_EraseRootFromParent_Done,
     /*  803554 */   // Label 12425: @803554
     /*  803554 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803629), // Rule ID 19599 //
     /*  803559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  803608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803627 */     GIR_RootConstrainSelectedInstOperands,
     /*  803628 */     // GIR_Coverage, 19599,
     /*  803628 */     GIR_EraseRootFromParent_Done,
     /*  803629 */   // Label 12426: @803629
     /*  803629 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803704), // Rule ID 19600 //
     /*  803634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  803683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803702 */     GIR_RootConstrainSelectedInstOperands,
     /*  803703 */     // GIR_Coverage, 19600,
     /*  803703 */     GIR_EraseRootFromParent_Done,
     /*  803704 */   // Label 12427: @803704
     /*  803704 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803779), // Rule ID 19603 //
     /*  803709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803755 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  803758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803777 */     GIR_RootConstrainSelectedInstOperands,
     /*  803778 */     // GIR_Coverage, 19603,
     /*  803778 */     GIR_EraseRootFromParent_Done,
     /*  803779 */   // Label 12428: @803779
     /*  803779 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803854), // Rule ID 19604 //
     /*  803784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  803833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803852 */     GIR_RootConstrainSelectedInstOperands,
     /*  803853 */     // GIR_Coverage, 19604,
     /*  803853 */     GIR_EraseRootFromParent_Done,
     /*  803854 */   // Label 12429: @803854
     /*  803854 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(803929), // Rule ID 19607 //
     /*  803859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803905 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  803908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803927 */     GIR_RootConstrainSelectedInstOperands,
     /*  803928 */     // GIR_Coverage, 19607,
     /*  803928 */     GIR_EraseRootFromParent_Done,
     /*  803929 */   // Label 12430: @803929
     /*  803929 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(804004), // Rule ID 19608 //
     /*  803934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803980 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  803983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804002 */     GIR_RootConstrainSelectedInstOperands,
     /*  804003 */     // GIR_Coverage, 19608,
     /*  804003 */     GIR_EraseRootFromParent_Done,
     /*  804004 */   // Label 12431: @804004
     /*  804004 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(804079), // Rule ID 19611 //
     /*  804009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804055 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804077 */     GIR_RootConstrainSelectedInstOperands,
     /*  804078 */     // GIR_Coverage, 19611,
     /*  804078 */     GIR_EraseRootFromParent_Done,
     /*  804079 */   // Label 12432: @804079
     /*  804079 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(804154), // Rule ID 19612 //
     /*  804084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804152 */     GIR_RootConstrainSelectedInstOperands,
     /*  804153 */     // GIR_Coverage, 19612,
     /*  804153 */     GIR_EraseRootFromParent_Done,
     /*  804154 */   // Label 12433: @804154
     /*  804154 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(804229), // Rule ID 19615 //
     /*  804159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804205 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804227 */     GIR_RootConstrainSelectedInstOperands,
     /*  804228 */     // GIR_Coverage, 19615,
     /*  804228 */     GIR_EraseRootFromParent_Done,
     /*  804229 */   // Label 12434: @804229
     /*  804229 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804304), // Rule ID 19616 //
     /*  804234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804280 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804302 */     GIR_RootConstrainSelectedInstOperands,
     /*  804303 */     // GIR_Coverage, 19616,
     /*  804303 */     GIR_EraseRootFromParent_Done,
     /*  804304 */   // Label 12435: @804304
     /*  804304 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804379), // Rule ID 19619 //
     /*  804309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804355 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804377 */     GIR_RootConstrainSelectedInstOperands,
     /*  804378 */     // GIR_Coverage, 19619,
     /*  804378 */     GIR_EraseRootFromParent_Done,
     /*  804379 */   // Label 12436: @804379
     /*  804379 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(804454), // Rule ID 19620 //
     /*  804384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804430 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804452 */     GIR_RootConstrainSelectedInstOperands,
     /*  804453 */     // GIR_Coverage, 19620,
     /*  804453 */     GIR_EraseRootFromParent_Done,
     /*  804454 */   // Label 12437: @804454
     /*  804454 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(804529), // Rule ID 19623 //
     /*  804459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804527 */     GIR_RootConstrainSelectedInstOperands,
     /*  804528 */     // GIR_Coverage, 19623,
     /*  804528 */     GIR_EraseRootFromParent_Done,
     /*  804529 */   // Label 12438: @804529
     /*  804529 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804604), // Rule ID 19624 //
     /*  804534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804580 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804602 */     GIR_RootConstrainSelectedInstOperands,
     /*  804603 */     // GIR_Coverage, 19624,
     /*  804603 */     GIR_EraseRootFromParent_Done,
     /*  804604 */   // Label 12439: @804604
     /*  804604 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804679), // Rule ID 19627 //
     /*  804609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804655 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  804658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804677 */     GIR_RootConstrainSelectedInstOperands,
     /*  804678 */     // GIR_Coverage, 19627,
     /*  804678 */     GIR_EraseRootFromParent_Done,
     /*  804679 */   // Label 12440: @804679
     /*  804679 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804754), // Rule ID 19628 //
     /*  804684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  804733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804752 */     GIR_RootConstrainSelectedInstOperands,
     /*  804753 */     // GIR_Coverage, 19628,
     /*  804753 */     GIR_EraseRootFromParent_Done,
     /*  804754 */   // Label 12441: @804754
     /*  804754 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804829), // Rule ID 19631 //
     /*  804759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  804770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  804773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  804776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804805 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  804808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804827 */     GIR_RootConstrainSelectedInstOperands,
     /*  804828 */     // GIR_Coverage, 19631,
     /*  804828 */     GIR_EraseRootFromParent_Done,
     /*  804829 */   // Label 12442: @804829
     /*  804829 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804904), // Rule ID 19632 //
     /*  804834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  804845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  804848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  804851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  804883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804902 */     GIR_RootConstrainSelectedInstOperands,
     /*  804903 */     // GIR_Coverage, 19632,
     /*  804903 */     GIR_EraseRootFromParent_Done,
     /*  804904 */   // Label 12443: @804904
     /*  804904 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(804979), // Rule ID 19635 //
     /*  804909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  804920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  804923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  804926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  804958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804977 */     GIR_RootConstrainSelectedInstOperands,
     /*  804978 */     // GIR_Coverage, 19635,
     /*  804978 */     GIR_EraseRootFromParent_Done,
     /*  804979 */   // Label 12444: @804979
     /*  804979 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(805054), // Rule ID 19636 //
     /*  804984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  804995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  804998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  805033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805052 */     GIR_RootConstrainSelectedInstOperands,
     /*  805053 */     // GIR_Coverage, 19636,
     /*  805053 */     GIR_EraseRootFromParent_Done,
     /*  805054 */   // Label 12445: @805054
     /*  805054 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(805129), // Rule ID 19639 //
     /*  805059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805105 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805127 */     GIR_RootConstrainSelectedInstOperands,
     /*  805128 */     // GIR_Coverage, 19639,
     /*  805128 */     GIR_EraseRootFromParent_Done,
     /*  805129 */   // Label 12446: @805129
     /*  805129 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(805204), // Rule ID 19640 //
     /*  805134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805180 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805202 */     GIR_RootConstrainSelectedInstOperands,
     /*  805203 */     // GIR_Coverage, 19640,
     /*  805203 */     GIR_EraseRootFromParent_Done,
     /*  805204 */   // Label 12447: @805204
     /*  805204 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805279), // Rule ID 19643 //
     /*  805209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805255 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805277 */     GIR_RootConstrainSelectedInstOperands,
     /*  805278 */     // GIR_Coverage, 19643,
     /*  805278 */     GIR_EraseRootFromParent_Done,
     /*  805279 */   // Label 12448: @805279
     /*  805279 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805354), // Rule ID 19644 //
     /*  805284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805330 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805352 */     GIR_RootConstrainSelectedInstOperands,
     /*  805353 */     // GIR_Coverage, 19644,
     /*  805353 */     GIR_EraseRootFromParent_Done,
     /*  805354 */   // Label 12449: @805354
     /*  805354 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805429), // Rule ID 21861 //
     /*  805359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805405 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805427 */     GIR_RootConstrainSelectedInstOperands,
     /*  805428 */     // GIR_Coverage, 21861,
     /*  805428 */     GIR_EraseRootFromParent_Done,
     /*  805429 */   // Label 12450: @805429
     /*  805429 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(805504), // Rule ID 21862 //
     /*  805434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805480 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805502 */     GIR_RootConstrainSelectedInstOperands,
     /*  805503 */     // GIR_Coverage, 21862,
     /*  805503 */     GIR_EraseRootFromParent_Done,
     /*  805504 */   // Label 12451: @805504
     /*  805504 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805579), // Rule ID 21865 //
     /*  805509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  805558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805577 */     GIR_RootConstrainSelectedInstOperands,
     /*  805578 */     // GIR_Coverage, 21865,
     /*  805578 */     GIR_EraseRootFromParent_Done,
     /*  805579 */   // Label 12452: @805579
     /*  805579 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805654), // Rule ID 21866 //
     /*  805584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  805633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805652 */     GIR_RootConstrainSelectedInstOperands,
     /*  805653 */     // GIR_Coverage, 21866,
     /*  805653 */     GIR_EraseRootFromParent_Done,
     /*  805654 */   // Label 12453: @805654
     /*  805654 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805729), // Rule ID 21869 //
     /*  805659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  805708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805727 */     GIR_RootConstrainSelectedInstOperands,
     /*  805728 */     // GIR_Coverage, 21869,
     /*  805728 */     GIR_EraseRootFromParent_Done,
     /*  805729 */   // Label 12454: @805729
     /*  805729 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805804), // Rule ID 21870 //
     /*  805734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  805783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805802 */     GIR_RootConstrainSelectedInstOperands,
     /*  805803 */     // GIR_Coverage, 21870,
     /*  805803 */     GIR_EraseRootFromParent_Done,
     /*  805804 */   // Label 12455: @805804
     /*  805804 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805879), // Rule ID 21873 //
     /*  805809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805855 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  805858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805877 */     GIR_RootConstrainSelectedInstOperands,
     /*  805878 */     // GIR_Coverage, 21873,
     /*  805878 */     GIR_EraseRootFromParent_Done,
     /*  805879 */   // Label 12456: @805879
     /*  805879 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(805954), // Rule ID 21874 //
     /*  805884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  805933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805952 */     GIR_RootConstrainSelectedInstOperands,
     /*  805953 */     // GIR_Coverage, 21874,
     /*  805953 */     GIR_EraseRootFromParent_Done,
     /*  805954 */   // Label 12457: @805954
     /*  805954 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(806029), // Rule ID 21877 //
     /*  805959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  805976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  806008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806027 */     GIR_RootConstrainSelectedInstOperands,
     /*  806028 */     // GIR_Coverage, 21877,
     /*  806028 */     GIR_EraseRootFromParent_Done,
     /*  806029 */   // Label 12458: @806029
     /*  806029 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(806104), // Rule ID 21878 //
     /*  806034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  806083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806102 */     GIR_RootConstrainSelectedInstOperands,
     /*  806103 */     // GIR_Coverage, 21878,
     /*  806103 */     GIR_EraseRootFromParent_Done,
     /*  806104 */   // Label 12459: @806104
     /*  806104 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(806179), // Rule ID 21881 //
     /*  806109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806177 */     GIR_RootConstrainSelectedInstOperands,
     /*  806178 */     // GIR_Coverage, 21881,
     /*  806178 */     GIR_EraseRootFromParent_Done,
     /*  806179 */   // Label 12460: @806179
     /*  806179 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(806254), // Rule ID 21882 //
     /*  806184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806252 */     GIR_RootConstrainSelectedInstOperands,
     /*  806253 */     // GIR_Coverage, 21882,
     /*  806253 */     GIR_EraseRootFromParent_Done,
     /*  806254 */   // Label 12461: @806254
     /*  806254 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806329), // Rule ID 21885 //
     /*  806259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806327 */     GIR_RootConstrainSelectedInstOperands,
     /*  806328 */     // GIR_Coverage, 21885,
     /*  806328 */     GIR_EraseRootFromParent_Done,
     /*  806329 */   // Label 12462: @806329
     /*  806329 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806404), // Rule ID 21886 //
     /*  806334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806402 */     GIR_RootConstrainSelectedInstOperands,
     /*  806403 */     // GIR_Coverage, 21886,
     /*  806403 */     GIR_EraseRootFromParent_Done,
     /*  806404 */   // Label 12463: @806404
     /*  806404 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(806479), // Rule ID 21889 //
     /*  806409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806477 */     GIR_RootConstrainSelectedInstOperands,
     /*  806478 */     // GIR_Coverage, 21889,
     /*  806478 */     GIR_EraseRootFromParent_Done,
     /*  806479 */   // Label 12464: @806479
     /*  806479 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806554), // Rule ID 21890 //
     /*  806484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806552 */     GIR_RootConstrainSelectedInstOperands,
     /*  806553 */     // GIR_Coverage, 21890,
     /*  806553 */     GIR_EraseRootFromParent_Done,
     /*  806554 */   // Label 12465: @806554
     /*  806554 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806629), // Rule ID 21893 //
     /*  806559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  806562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  806608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806627 */     GIR_RootConstrainSelectedInstOperands,
     /*  806628 */     // GIR_Coverage, 21893,
     /*  806628 */     GIR_EraseRootFromParent_Done,
     /*  806629 */   // Label 12466: @806629
     /*  806629 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806704), // Rule ID 21894 //
     /*  806634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  806637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  806683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806702 */     GIR_RootConstrainSelectedInstOperands,
     /*  806703 */     // GIR_Coverage, 21894,
     /*  806703 */     GIR_EraseRootFromParent_Done,
     /*  806704 */   // Label 12467: @806704
     /*  806704 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806779), // Rule ID 21897 //
     /*  806709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  806726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  806758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806777 */     GIR_RootConstrainSelectedInstOperands,
     /*  806778 */     // GIR_Coverage, 21897,
     /*  806778 */     GIR_EraseRootFromParent_Done,
     /*  806779 */   // Label 12468: @806779
     /*  806779 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806854), // Rule ID 21898 //
     /*  806784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  806801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  806833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806852 */     GIR_RootConstrainSelectedInstOperands,
     /*  806853 */     // GIR_Coverage, 21898,
     /*  806853 */     GIR_EraseRootFromParent_Done,
     /*  806854 */   // Label 12469: @806854
     /*  806854 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(806929), // Rule ID 21901 //
     /*  806859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  806876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806905 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  806908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806927 */     GIR_RootConstrainSelectedInstOperands,
     /*  806928 */     // GIR_Coverage, 21901,
     /*  806928 */     GIR_EraseRootFromParent_Done,
     /*  806929 */   // Label 12470: @806929
     /*  806929 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(807004), // Rule ID 21902 //
     /*  806934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  806951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  806983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807002 */     GIR_RootConstrainSelectedInstOperands,
     /*  807003 */     // GIR_Coverage, 21902,
     /*  807003 */     GIR_EraseRootFromParent_Done,
     /*  807004 */   // Label 12471: @807004
     /*  807004 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(807079), // Rule ID 21905 //
     /*  807009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807077 */     GIR_RootConstrainSelectedInstOperands,
     /*  807078 */     // GIR_Coverage, 21905,
     /*  807078 */     GIR_EraseRootFromParent_Done,
     /*  807079 */   // Label 12472: @807079
     /*  807079 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(807154), // Rule ID 21906 //
     /*  807084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807152 */     GIR_RootConstrainSelectedInstOperands,
     /*  807153 */     // GIR_Coverage, 21906,
     /*  807153 */     GIR_EraseRootFromParent_Done,
     /*  807154 */   // Label 12473: @807154
     /*  807154 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(807229), // Rule ID 21909 //
     /*  807159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807227 */     GIR_RootConstrainSelectedInstOperands,
     /*  807228 */     // GIR_Coverage, 21909,
     /*  807228 */     GIR_EraseRootFromParent_Done,
     /*  807229 */   // Label 12474: @807229
     /*  807229 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807304), // Rule ID 21910 //
     /*  807234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807302 */     GIR_RootConstrainSelectedInstOperands,
     /*  807303 */     // GIR_Coverage, 21910,
     /*  807303 */     GIR_EraseRootFromParent_Done,
     /*  807304 */   // Label 12475: @807304
     /*  807304 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807379), // Rule ID 21913 //
     /*  807309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807377 */     GIR_RootConstrainSelectedInstOperands,
     /*  807378 */     // GIR_Coverage, 21913,
     /*  807378 */     GIR_EraseRootFromParent_Done,
     /*  807379 */   // Label 12476: @807379
     /*  807379 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(807454), // Rule ID 21914 //
     /*  807384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807452 */     GIR_RootConstrainSelectedInstOperands,
     /*  807453 */     // GIR_Coverage, 21914,
     /*  807453 */     GIR_EraseRootFromParent_Done,
     /*  807454 */   // Label 12477: @807454
     /*  807454 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(807529), // Rule ID 21917 //
     /*  807459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807527 */     GIR_RootConstrainSelectedInstOperands,
     /*  807528 */     // GIR_Coverage, 21917,
     /*  807528 */     GIR_EraseRootFromParent_Done,
     /*  807529 */   // Label 12478: @807529
     /*  807529 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807604), // Rule ID 21918 //
     /*  807534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807602 */     GIR_RootConstrainSelectedInstOperands,
     /*  807603 */     // GIR_Coverage, 21918,
     /*  807603 */     GIR_EraseRootFromParent_Done,
     /*  807604 */   // Label 12479: @807604
     /*  807604 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807679), // Rule ID 21921 //
     /*  807609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  807626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  807658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807677 */     GIR_RootConstrainSelectedInstOperands,
     /*  807678 */     // GIR_Coverage, 21921,
     /*  807678 */     GIR_EraseRootFromParent_Done,
     /*  807679 */   // Label 12480: @807679
     /*  807679 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807754), // Rule ID 21922 //
     /*  807684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  807701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  807733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807752 */     GIR_RootConstrainSelectedInstOperands,
     /*  807753 */     // GIR_Coverage, 21922,
     /*  807753 */     GIR_EraseRootFromParent_Done,
     /*  807754 */   // Label 12481: @807754
     /*  807754 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807829), // Rule ID 21925 //
     /*  807759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  807808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807827 */     GIR_RootConstrainSelectedInstOperands,
     /*  807828 */     // GIR_Coverage, 21925,
     /*  807828 */     GIR_EraseRootFromParent_Done,
     /*  807829 */   // Label 12482: @807829
     /*  807829 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807904), // Rule ID 21926 //
     /*  807834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  807883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807902 */     GIR_RootConstrainSelectedInstOperands,
     /*  807903 */     // GIR_Coverage, 21926,
     /*  807903 */     GIR_EraseRootFromParent_Done,
     /*  807904 */   // Label 12483: @807904
     /*  807904 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(807979), // Rule ID 21929 //
     /*  807909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  807958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807977 */     GIR_RootConstrainSelectedInstOperands,
     /*  807978 */     // GIR_Coverage, 21929,
     /*  807978 */     GIR_EraseRootFromParent_Done,
     /*  807979 */   // Label 12484: @807979
     /*  807979 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(808054), // Rule ID 21930 //
     /*  807984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  808033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808052 */     GIR_RootConstrainSelectedInstOperands,
     /*  808053 */     // GIR_Coverage, 21930,
     /*  808053 */     GIR_EraseRootFromParent_Done,
     /*  808054 */   // Label 12485: @808054
     /*  808054 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(808129), // Rule ID 21933 //
     /*  808059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808105 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808127 */     GIR_RootConstrainSelectedInstOperands,
     /*  808128 */     // GIR_Coverage, 21933,
     /*  808128 */     GIR_EraseRootFromParent_Done,
     /*  808129 */   // Label 12486: @808129
     /*  808129 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(808204), // Rule ID 21934 //
     /*  808134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808202 */     GIR_RootConstrainSelectedInstOperands,
     /*  808203 */     // GIR_Coverage, 21934,
     /*  808203 */     GIR_EraseRootFromParent_Done,
     /*  808204 */   // Label 12487: @808204
     /*  808204 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808279), // Rule ID 21937 //
     /*  808209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808277 */     GIR_RootConstrainSelectedInstOperands,
     /*  808278 */     // GIR_Coverage, 21937,
     /*  808278 */     GIR_EraseRootFromParent_Done,
     /*  808279 */   // Label 12488: @808279
     /*  808279 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808354), // Rule ID 21938 //
     /*  808284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808352 */     GIR_RootConstrainSelectedInstOperands,
     /*  808353 */     // GIR_Coverage, 21938,
     /*  808353 */     GIR_EraseRootFromParent_Done,
     /*  808354 */   // Label 12489: @808354
     /*  808354 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808429), // Rule ID 21941 //
     /*  808359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808427 */     GIR_RootConstrainSelectedInstOperands,
     /*  808428 */     // GIR_Coverage, 21941,
     /*  808428 */     GIR_EraseRootFromParent_Done,
     /*  808429 */   // Label 12490: @808429
     /*  808429 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(808504), // Rule ID 21942 //
     /*  808434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808502 */     GIR_RootConstrainSelectedInstOperands,
     /*  808503 */     // GIR_Coverage, 21942,
     /*  808503 */     GIR_EraseRootFromParent_Done,
     /*  808504 */   // Label 12491: @808504
     /*  808504 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808579), // Rule ID 21945 //
     /*  808509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  808558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808577 */     GIR_RootConstrainSelectedInstOperands,
     /*  808578 */     // GIR_Coverage, 21945,
     /*  808578 */     GIR_EraseRootFromParent_Done,
     /*  808579 */   // Label 12492: @808579
     /*  808579 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808654), // Rule ID 21946 //
     /*  808584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  808633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808652 */     GIR_RootConstrainSelectedInstOperands,
     /*  808653 */     // GIR_Coverage, 21946,
     /*  808653 */     GIR_EraseRootFromParent_Done,
     /*  808654 */   // Label 12493: @808654
     /*  808654 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808729), // Rule ID 21949 //
     /*  808659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  808676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  808708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808727 */     GIR_RootConstrainSelectedInstOperands,
     /*  808728 */     // GIR_Coverage, 21949,
     /*  808728 */     GIR_EraseRootFromParent_Done,
     /*  808729 */   // Label 12494: @808729
     /*  808729 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808804), // Rule ID 21950 //
     /*  808734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  808751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  808783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808802 */     GIR_RootConstrainSelectedInstOperands,
     /*  808803 */     // GIR_Coverage, 21950,
     /*  808803 */     GIR_EraseRootFromParent_Done,
     /*  808804 */   // Label 12495: @808804
     /*  808804 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808879), // Rule ID 21953 //
     /*  808809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  808826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  808858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808877 */     GIR_RootConstrainSelectedInstOperands,
     /*  808878 */     // GIR_Coverage, 21953,
     /*  808878 */     GIR_EraseRootFromParent_Done,
     /*  808879 */   // Label 12496: @808879
     /*  808879 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(808954), // Rule ID 21954 //
     /*  808884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  808901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  808933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808952 */     GIR_RootConstrainSelectedInstOperands,
     /*  808953 */     // GIR_Coverage, 21954,
     /*  808953 */     GIR_EraseRootFromParent_Done,
     /*  808954 */   // Label 12497: @808954
     /*  808954 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(809029), // Rule ID 21957 //
     /*  808959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  808976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  809008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809027 */     GIR_RootConstrainSelectedInstOperands,
     /*  809028 */     // GIR_Coverage, 21957,
     /*  809028 */     GIR_EraseRootFromParent_Done,
     /*  809029 */   // Label 12498: @809029
     /*  809029 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(809104), // Rule ID 21958 //
     /*  809034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  809051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  809083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809102 */     GIR_RootConstrainSelectedInstOperands,
     /*  809103 */     // GIR_Coverage, 21958,
     /*  809103 */     GIR_EraseRootFromParent_Done,
     /*  809104 */   // Label 12499: @809104
     /*  809104 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(809179), // Rule ID 21961 //
     /*  809109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809177 */     GIR_RootConstrainSelectedInstOperands,
     /*  809178 */     // GIR_Coverage, 21961,
     /*  809178 */     GIR_EraseRootFromParent_Done,
     /*  809179 */   // Label 12500: @809179
     /*  809179 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(809254), // Rule ID 21962 //
     /*  809184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809252 */     GIR_RootConstrainSelectedInstOperands,
     /*  809253 */     // GIR_Coverage, 21962,
     /*  809253 */     GIR_EraseRootFromParent_Done,
     /*  809254 */   // Label 12501: @809254
     /*  809254 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809329), // Rule ID 21965 //
     /*  809259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809327 */     GIR_RootConstrainSelectedInstOperands,
     /*  809328 */     // GIR_Coverage, 21965,
     /*  809328 */     GIR_EraseRootFromParent_Done,
     /*  809329 */   // Label 12502: @809329
     /*  809329 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809404), // Rule ID 21966 //
     /*  809334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809402 */     GIR_RootConstrainSelectedInstOperands,
     /*  809403 */     // GIR_Coverage, 21966,
     /*  809403 */     GIR_EraseRootFromParent_Done,
     /*  809404 */   // Label 12503: @809404
     /*  809404 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(809479), // Rule ID 21969 //
     /*  809409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809477 */     GIR_RootConstrainSelectedInstOperands,
     /*  809478 */     // GIR_Coverage, 21969,
     /*  809478 */     GIR_EraseRootFromParent_Done,
     /*  809479 */   // Label 12504: @809479
     /*  809479 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809554), // Rule ID 21970 //
     /*  809484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809552 */     GIR_RootConstrainSelectedInstOperands,
     /*  809553 */     // GIR_Coverage, 21970,
     /*  809553 */     GIR_EraseRootFromParent_Done,
     /*  809554 */   // Label 12505: @809554
     /*  809554 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809629), // Rule ID 21973 //
     /*  809559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  809576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809605 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  809608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809627 */     GIR_RootConstrainSelectedInstOperands,
     /*  809628 */     // GIR_Coverage, 21973,
     /*  809628 */     GIR_EraseRootFromParent_Done,
     /*  809629 */   // Label 12506: @809629
     /*  809629 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809704), // Rule ID 21974 //
     /*  809634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  809651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  809683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809702 */     GIR_RootConstrainSelectedInstOperands,
     /*  809703 */     // GIR_Coverage, 21974,
     /*  809703 */     GIR_EraseRootFromParent_Done,
     /*  809704 */   // Label 12507: @809704
     /*  809704 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809779), // Rule ID 21977 //
     /*  809709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  809726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  809758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809777 */     GIR_RootConstrainSelectedInstOperands,
     /*  809778 */     // GIR_Coverage, 21977,
     /*  809778 */     GIR_EraseRootFromParent_Done,
     /*  809779 */   // Label 12508: @809779
     /*  809779 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809854), // Rule ID 21978 //
     /*  809784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  809801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  809833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809852 */     GIR_RootConstrainSelectedInstOperands,
     /*  809853 */     // GIR_Coverage, 21978,
     /*  809853 */     GIR_EraseRootFromParent_Done,
     /*  809854 */   // Label 12509: @809854
     /*  809854 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(809929), // Rule ID 21981 //
     /*  809859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  809862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  809876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  809908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809927 */     GIR_RootConstrainSelectedInstOperands,
     /*  809928 */     // GIR_Coverage, 21981,
     /*  809928 */     GIR_EraseRootFromParent_Done,
     /*  809929 */   // Label 12510: @809929
     /*  809929 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(810004), // Rule ID 21982 //
     /*  809934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  809937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  809951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  809983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810002 */     GIR_RootConstrainSelectedInstOperands,
     /*  810003 */     // GIR_Coverage, 21982,
     /*  810003 */     GIR_EraseRootFromParent_Done,
     /*  810004 */   // Label 12511: @810004
     /*  810004 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(810079), // Rule ID 21985 //
     /*  810009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810077 */     GIR_RootConstrainSelectedInstOperands,
     /*  810078 */     // GIR_Coverage, 21985,
     /*  810078 */     GIR_EraseRootFromParent_Done,
     /*  810079 */   // Label 12512: @810079
     /*  810079 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(810154), // Rule ID 21986 //
     /*  810084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810152 */     GIR_RootConstrainSelectedInstOperands,
     /*  810153 */     // GIR_Coverage, 21986,
     /*  810153 */     GIR_EraseRootFromParent_Done,
     /*  810154 */   // Label 12513: @810154
     /*  810154 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(810229), // Rule ID 21989 //
     /*  810159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810205 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810227 */     GIR_RootConstrainSelectedInstOperands,
     /*  810228 */     // GIR_Coverage, 21989,
     /*  810228 */     GIR_EraseRootFromParent_Done,
     /*  810229 */   // Label 12514: @810229
     /*  810229 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810304), // Rule ID 21990 //
     /*  810234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810302 */     GIR_RootConstrainSelectedInstOperands,
     /*  810303 */     // GIR_Coverage, 21990,
     /*  810303 */     GIR_EraseRootFromParent_Done,
     /*  810304 */   // Label 12515: @810304
     /*  810304 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810379), // Rule ID 21993 //
     /*  810309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810355 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810377 */     GIR_RootConstrainSelectedInstOperands,
     /*  810378 */     // GIR_Coverage, 21993,
     /*  810378 */     GIR_EraseRootFromParent_Done,
     /*  810379 */   // Label 12516: @810379
     /*  810379 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(810454), // Rule ID 21994 //
     /*  810384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810452 */     GIR_RootConstrainSelectedInstOperands,
     /*  810453 */     // GIR_Coverage, 21994,
     /*  810453 */     GIR_EraseRootFromParent_Done,
     /*  810454 */   // Label 12517: @810454
     /*  810454 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(810529), // Rule ID 21997 //
     /*  810459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810527 */     GIR_RootConstrainSelectedInstOperands,
     /*  810528 */     // GIR_Coverage, 21997,
     /*  810528 */     GIR_EraseRootFromParent_Done,
     /*  810529 */   // Label 12518: @810529
     /*  810529 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810604), // Rule ID 21998 //
     /*  810534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810602 */     GIR_RootConstrainSelectedInstOperands,
     /*  810603 */     // GIR_Coverage, 21998,
     /*  810603 */     GIR_EraseRootFromParent_Done,
     /*  810604 */   // Label 12519: @810604
     /*  810604 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810679), // Rule ID 22001 //
     /*  810609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  810626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  810658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810677 */     GIR_RootConstrainSelectedInstOperands,
     /*  810678 */     // GIR_Coverage, 22001,
     /*  810678 */     GIR_EraseRootFromParent_Done,
     /*  810679 */   // Label 12520: @810679
     /*  810679 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810754), // Rule ID 22002 //
     /*  810684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  810701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  810733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810752 */     GIR_RootConstrainSelectedInstOperands,
     /*  810753 */     // GIR_Coverage, 22002,
     /*  810753 */     GIR_EraseRootFromParent_Done,
     /*  810754 */   // Label 12521: @810754
     /*  810754 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810829), // Rule ID 22005 //
     /*  810759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  810776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  810808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810827 */     GIR_RootConstrainSelectedInstOperands,
     /*  810828 */     // GIR_Coverage, 22005,
     /*  810828 */     GIR_EraseRootFromParent_Done,
     /*  810829 */   // Label 12522: @810829
     /*  810829 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810904), // Rule ID 22006 //
     /*  810834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  810851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  810883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810902 */     GIR_RootConstrainSelectedInstOperands,
     /*  810903 */     // GIR_Coverage, 22006,
     /*  810903 */     GIR_EraseRootFromParent_Done,
     /*  810904 */   // Label 12523: @810904
     /*  810904 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(810979), // Rule ID 22009 //
     /*  810909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  810926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  810958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810977 */     GIR_RootConstrainSelectedInstOperands,
     /*  810978 */     // GIR_Coverage, 22009,
     /*  810978 */     GIR_EraseRootFromParent_Done,
     /*  810979 */   // Label 12524: @810979
     /*  810979 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(811054), // Rule ID 22010 //
     /*  810984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  811033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811052 */     GIR_RootConstrainSelectedInstOperands,
     /*  811053 */     // GIR_Coverage, 22010,
     /*  811053 */     GIR_EraseRootFromParent_Done,
     /*  811054 */   // Label 12525: @811054
     /*  811054 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(811129), // Rule ID 22013 //
     /*  811059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811127 */     GIR_RootConstrainSelectedInstOperands,
     /*  811128 */     // GIR_Coverage, 22013,
     /*  811128 */     GIR_EraseRootFromParent_Done,
     /*  811129 */   // Label 12526: @811129
     /*  811129 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(811204), // Rule ID 22014 //
     /*  811134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811202 */     GIR_RootConstrainSelectedInstOperands,
     /*  811203 */     // GIR_Coverage, 22014,
     /*  811203 */     GIR_EraseRootFromParent_Done,
     /*  811204 */   // Label 12527: @811204
     /*  811204 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811279), // Rule ID 22017 //
     /*  811209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811277 */     GIR_RootConstrainSelectedInstOperands,
     /*  811278 */     // GIR_Coverage, 22017,
     /*  811278 */     GIR_EraseRootFromParent_Done,
     /*  811279 */   // Label 12528: @811279
     /*  811279 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811354), // Rule ID 22018 //
     /*  811284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811352 */     GIR_RootConstrainSelectedInstOperands,
     /*  811353 */     // GIR_Coverage, 22018,
     /*  811353 */     GIR_EraseRootFromParent_Done,
     /*  811354 */   // Label 12529: @811354
     /*  811354 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811429), // Rule ID 22021 //
     /*  811359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811427 */     GIR_RootConstrainSelectedInstOperands,
     /*  811428 */     // GIR_Coverage, 22021,
     /*  811428 */     GIR_EraseRootFromParent_Done,
     /*  811429 */   // Label 12530: @811429
     /*  811429 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(811504), // Rule ID 22022 //
     /*  811434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811502 */     GIR_RootConstrainSelectedInstOperands,
     /*  811503 */     // GIR_Coverage, 22022,
     /*  811503 */     GIR_EraseRootFromParent_Done,
     /*  811504 */   // Label 12531: @811504
     /*  811504 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811579), // Rule ID 22025 //
     /*  811509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  811558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811577 */     GIR_RootConstrainSelectedInstOperands,
     /*  811578 */     // GIR_Coverage, 22025,
     /*  811578 */     GIR_EraseRootFromParent_Done,
     /*  811579 */   // Label 12532: @811579
     /*  811579 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811654), // Rule ID 22026 //
     /*  811584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  811633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811652 */     GIR_RootConstrainSelectedInstOperands,
     /*  811653 */     // GIR_Coverage, 22026,
     /*  811653 */     GIR_EraseRootFromParent_Done,
     /*  811654 */   // Label 12533: @811654
     /*  811654 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811729), // Rule ID 22029 //
     /*  811659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  811676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  811708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811727 */     GIR_RootConstrainSelectedInstOperands,
     /*  811728 */     // GIR_Coverage, 22029,
     /*  811728 */     GIR_EraseRootFromParent_Done,
     /*  811729 */   // Label 12534: @811729
     /*  811729 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811804), // Rule ID 22030 //
     /*  811734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  811751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  811783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811802 */     GIR_RootConstrainSelectedInstOperands,
     /*  811803 */     // GIR_Coverage, 22030,
     /*  811803 */     GIR_EraseRootFromParent_Done,
     /*  811804 */   // Label 12535: @811804
     /*  811804 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811879), // Rule ID 22033 //
     /*  811809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  811826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  811858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811877 */     GIR_RootConstrainSelectedInstOperands,
     /*  811878 */     // GIR_Coverage, 22033,
     /*  811878 */     GIR_EraseRootFromParent_Done,
     /*  811879 */   // Label 12536: @811879
     /*  811879 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(811954), // Rule ID 22034 //
     /*  811884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  811901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  811933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811952 */     GIR_RootConstrainSelectedInstOperands,
     /*  811953 */     // GIR_Coverage, 22034,
     /*  811953 */     GIR_EraseRootFromParent_Done,
     /*  811954 */   // Label 12537: @811954
     /*  811954 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(812029), // Rule ID 22037 //
     /*  811959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  811976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  812008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812027 */     GIR_RootConstrainSelectedInstOperands,
     /*  812028 */     // GIR_Coverage, 22037,
     /*  812028 */     GIR_EraseRootFromParent_Done,
     /*  812029 */   // Label 12538: @812029
     /*  812029 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(812104), // Rule ID 22038 //
     /*  812034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  812083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812102 */     GIR_RootConstrainSelectedInstOperands,
     /*  812103 */     // GIR_Coverage, 22038,
     /*  812103 */     GIR_EraseRootFromParent_Done,
     /*  812104 */   // Label 12539: @812104
     /*  812104 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(812179), // Rule ID 22041 //
     /*  812109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812177 */     GIR_RootConstrainSelectedInstOperands,
     /*  812178 */     // GIR_Coverage, 22041,
     /*  812178 */     GIR_EraseRootFromParent_Done,
     /*  812179 */   // Label 12540: @812179
     /*  812179 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(812254), // Rule ID 22042 //
     /*  812184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812252 */     GIR_RootConstrainSelectedInstOperands,
     /*  812253 */     // GIR_Coverage, 22042,
     /*  812253 */     GIR_EraseRootFromParent_Done,
     /*  812254 */   // Label 12541: @812254
     /*  812254 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812329), // Rule ID 22045 //
     /*  812259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812327 */     GIR_RootConstrainSelectedInstOperands,
     /*  812328 */     // GIR_Coverage, 22045,
     /*  812328 */     GIR_EraseRootFromParent_Done,
     /*  812329 */   // Label 12542: @812329
     /*  812329 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812404), // Rule ID 22046 //
     /*  812334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812402 */     GIR_RootConstrainSelectedInstOperands,
     /*  812403 */     // GIR_Coverage, 22046,
     /*  812403 */     GIR_EraseRootFromParent_Done,
     /*  812404 */   // Label 12543: @812404
     /*  812404 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(812479), // Rule ID 22049 //
     /*  812409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812477 */     GIR_RootConstrainSelectedInstOperands,
     /*  812478 */     // GIR_Coverage, 22049,
     /*  812478 */     GIR_EraseRootFromParent_Done,
     /*  812479 */   // Label 12544: @812479
     /*  812479 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812554), // Rule ID 22050 //
     /*  812484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812552 */     GIR_RootConstrainSelectedInstOperands,
     /*  812553 */     // GIR_Coverage, 22050,
     /*  812553 */     GIR_EraseRootFromParent_Done,
     /*  812554 */   // Label 12545: @812554
     /*  812554 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812629), // Rule ID 22053 //
     /*  812559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  812608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812627 */     GIR_RootConstrainSelectedInstOperands,
     /*  812628 */     // GIR_Coverage, 22053,
     /*  812628 */     GIR_EraseRootFromParent_Done,
     /*  812629 */   // Label 12546: @812629
     /*  812629 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812704), // Rule ID 22054 //
     /*  812634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  812683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812702 */     GIR_RootConstrainSelectedInstOperands,
     /*  812703 */     // GIR_Coverage, 22054,
     /*  812703 */     GIR_EraseRootFromParent_Done,
     /*  812704 */   // Label 12547: @812704
     /*  812704 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812779), // Rule ID 22057 //
     /*  812709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  812726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  812758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812777 */     GIR_RootConstrainSelectedInstOperands,
     /*  812778 */     // GIR_Coverage, 22057,
     /*  812778 */     GIR_EraseRootFromParent_Done,
     /*  812779 */   // Label 12548: @812779
     /*  812779 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812854), // Rule ID 22058 //
     /*  812784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  812801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  812833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812852 */     GIR_RootConstrainSelectedInstOperands,
     /*  812853 */     // GIR_Coverage, 22058,
     /*  812853 */     GIR_EraseRootFromParent_Done,
     /*  812854 */   // Label 12549: @812854
     /*  812854 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(812929), // Rule ID 22061 //
     /*  812859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  812876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  812908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812927 */     GIR_RootConstrainSelectedInstOperands,
     /*  812928 */     // GIR_Coverage, 22061,
     /*  812928 */     GIR_EraseRootFromParent_Done,
     /*  812929 */   // Label 12550: @812929
     /*  812929 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(813004), // Rule ID 22062 //
     /*  812934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  812951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  812983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813002 */     GIR_RootConstrainSelectedInstOperands,
     /*  813003 */     // GIR_Coverage, 22062,
     /*  813003 */     GIR_EraseRootFromParent_Done,
     /*  813004 */   // Label 12551: @813004
     /*  813004 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(813079), // Rule ID 22065 //
     /*  813009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813077 */     GIR_RootConstrainSelectedInstOperands,
     /*  813078 */     // GIR_Coverage, 22065,
     /*  813078 */     GIR_EraseRootFromParent_Done,
     /*  813079 */   // Label 12552: @813079
     /*  813079 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(813154), // Rule ID 22066 //
     /*  813084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813152 */     GIR_RootConstrainSelectedInstOperands,
     /*  813153 */     // GIR_Coverage, 22066,
     /*  813153 */     GIR_EraseRootFromParent_Done,
     /*  813154 */   // Label 12553: @813154
     /*  813154 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(813229), // Rule ID 22069 //
     /*  813159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813227 */     GIR_RootConstrainSelectedInstOperands,
     /*  813228 */     // GIR_Coverage, 22069,
     /*  813228 */     GIR_EraseRootFromParent_Done,
     /*  813229 */   // Label 12554: @813229
     /*  813229 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813304), // Rule ID 22070 //
     /*  813234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813302 */     GIR_RootConstrainSelectedInstOperands,
     /*  813303 */     // GIR_Coverage, 22070,
     /*  813303 */     GIR_EraseRootFromParent_Done,
     /*  813304 */   // Label 12555: @813304
     /*  813304 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813379), // Rule ID 22073 //
     /*  813309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813355 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813377 */     GIR_RootConstrainSelectedInstOperands,
     /*  813378 */     // GIR_Coverage, 22073,
     /*  813378 */     GIR_EraseRootFromParent_Done,
     /*  813379 */   // Label 12556: @813379
     /*  813379 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(813454), // Rule ID 22074 //
     /*  813384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813452 */     GIR_RootConstrainSelectedInstOperands,
     /*  813453 */     // GIR_Coverage, 22074,
     /*  813453 */     GIR_EraseRootFromParent_Done,
     /*  813454 */   // Label 12557: @813454
     /*  813454 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(813529), // Rule ID 22077 //
     /*  813459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813505 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813527 */     GIR_RootConstrainSelectedInstOperands,
     /*  813528 */     // GIR_Coverage, 22077,
     /*  813528 */     GIR_EraseRootFromParent_Done,
     /*  813529 */   // Label 12558: @813529
     /*  813529 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813604), // Rule ID 22078 //
     /*  813534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813602 */     GIR_RootConstrainSelectedInstOperands,
     /*  813603 */     // GIR_Coverage, 22078,
     /*  813603 */     GIR_EraseRootFromParent_Done,
     /*  813604 */   // Label 12559: @813604
     /*  813604 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813679), // Rule ID 22081 //
     /*  813609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  813626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  813658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813677 */     GIR_RootConstrainSelectedInstOperands,
     /*  813678 */     // GIR_Coverage, 22081,
     /*  813678 */     GIR_EraseRootFromParent_Done,
     /*  813679 */   // Label 12560: @813679
     /*  813679 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813754), // Rule ID 22082 //
     /*  813684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  813701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  813733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813752 */     GIR_RootConstrainSelectedInstOperands,
     /*  813753 */     // GIR_Coverage, 22082,
     /*  813753 */     GIR_EraseRootFromParent_Done,
     /*  813754 */   // Label 12561: @813754
     /*  813754 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813829), // Rule ID 22085 //
     /*  813759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  813776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  813808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813827 */     GIR_RootConstrainSelectedInstOperands,
     /*  813828 */     // GIR_Coverage, 22085,
     /*  813828 */     GIR_EraseRootFromParent_Done,
     /*  813829 */   // Label 12562: @813829
     /*  813829 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813904), // Rule ID 22086 //
     /*  813834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  813851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  813883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813902 */     GIR_RootConstrainSelectedInstOperands,
     /*  813903 */     // GIR_Coverage, 22086,
     /*  813903 */     GIR_EraseRootFromParent_Done,
     /*  813904 */   // Label 12563: @813904
     /*  813904 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(813979), // Rule ID 22089 //
     /*  813909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  813926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  813958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813977 */     GIR_RootConstrainSelectedInstOperands,
     /*  813978 */     // GIR_Coverage, 22089,
     /*  813978 */     GIR_EraseRootFromParent_Done,
     /*  813979 */   // Label 12564: @813979
     /*  813979 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(814054), // Rule ID 22090 //
     /*  813984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  814033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814052 */     GIR_RootConstrainSelectedInstOperands,
     /*  814053 */     // GIR_Coverage, 22090,
     /*  814053 */     GIR_EraseRootFromParent_Done,
     /*  814054 */   // Label 12565: @814054
     /*  814054 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(814129), // Rule ID 22093 //
     /*  814059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814127 */     GIR_RootConstrainSelectedInstOperands,
     /*  814128 */     // GIR_Coverage, 22093,
     /*  814128 */     GIR_EraseRootFromParent_Done,
     /*  814129 */   // Label 12566: @814129
     /*  814129 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(814204), // Rule ID 22094 //
     /*  814134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814202 */     GIR_RootConstrainSelectedInstOperands,
     /*  814203 */     // GIR_Coverage, 22094,
     /*  814203 */     GIR_EraseRootFromParent_Done,
     /*  814204 */   // Label 12567: @814204
     /*  814204 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814279), // Rule ID 22097 //
     /*  814209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814277 */     GIR_RootConstrainSelectedInstOperands,
     /*  814278 */     // GIR_Coverage, 22097,
     /*  814278 */     GIR_EraseRootFromParent_Done,
     /*  814279 */   // Label 12568: @814279
     /*  814279 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814354), // Rule ID 22098 //
     /*  814284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814352 */     GIR_RootConstrainSelectedInstOperands,
     /*  814353 */     // GIR_Coverage, 22098,
     /*  814353 */     GIR_EraseRootFromParent_Done,
     /*  814354 */   // Label 12569: @814354
     /*  814354 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814429), // Rule ID 22101 //
     /*  814359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814427 */     GIR_RootConstrainSelectedInstOperands,
     /*  814428 */     // GIR_Coverage, 22101,
     /*  814428 */     GIR_EraseRootFromParent_Done,
     /*  814429 */   // Label 12570: @814429
     /*  814429 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(814504), // Rule ID 22102 //
     /*  814434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814502 */     GIR_RootConstrainSelectedInstOperands,
     /*  814503 */     // GIR_Coverage, 22102,
     /*  814503 */     GIR_EraseRootFromParent_Done,
     /*  814504 */   // Label 12571: @814504
     /*  814504 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814579), // Rule ID 22105 //
     /*  814509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  814558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814577 */     GIR_RootConstrainSelectedInstOperands,
     /*  814578 */     // GIR_Coverage, 22105,
     /*  814578 */     GIR_EraseRootFromParent_Done,
     /*  814579 */   // Label 12572: @814579
     /*  814579 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814654), // Rule ID 22106 //
     /*  814584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  814633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814652 */     GIR_RootConstrainSelectedInstOperands,
     /*  814653 */     // GIR_Coverage, 22106,
     /*  814653 */     GIR_EraseRootFromParent_Done,
     /*  814654 */   // Label 12573: @814654
     /*  814654 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814729), // Rule ID 22109 //
     /*  814659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  814676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  814708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814727 */     GIR_RootConstrainSelectedInstOperands,
     /*  814728 */     // GIR_Coverage, 22109,
     /*  814728 */     GIR_EraseRootFromParent_Done,
     /*  814729 */   // Label 12574: @814729
     /*  814729 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814804), // Rule ID 22110 //
     /*  814734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  814751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  814783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814802 */     GIR_RootConstrainSelectedInstOperands,
     /*  814803 */     // GIR_Coverage, 22110,
     /*  814803 */     GIR_EraseRootFromParent_Done,
     /*  814804 */   // Label 12575: @814804
     /*  814804 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814879), // Rule ID 22113 //
     /*  814809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  814826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  814858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814877 */     GIR_RootConstrainSelectedInstOperands,
     /*  814878 */     // GIR_Coverage, 22113,
     /*  814878 */     GIR_EraseRootFromParent_Done,
     /*  814879 */   // Label 12576: @814879
     /*  814879 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(814954), // Rule ID 22114 //
     /*  814884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  814901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  814933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814952 */     GIR_RootConstrainSelectedInstOperands,
     /*  814953 */     // GIR_Coverage, 22114,
     /*  814953 */     GIR_EraseRootFromParent_Done,
     /*  814954 */   // Label 12577: @814954
     /*  814954 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(815029), // Rule ID 22117 //
     /*  814959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  814976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  815008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815027 */     GIR_RootConstrainSelectedInstOperands,
     /*  815028 */     // GIR_Coverage, 22117,
     /*  815028 */     GIR_EraseRootFromParent_Done,
     /*  815029 */   // Label 12578: @815029
     /*  815029 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(815104), // Rule ID 22118 //
     /*  815034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  815083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815102 */     GIR_RootConstrainSelectedInstOperands,
     /*  815103 */     // GIR_Coverage, 22118,
     /*  815103 */     GIR_EraseRootFromParent_Done,
     /*  815104 */   // Label 12579: @815104
     /*  815104 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(815179), // Rule ID 22121 //
     /*  815109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815177 */     GIR_RootConstrainSelectedInstOperands,
     /*  815178 */     // GIR_Coverage, 22121,
     /*  815178 */     GIR_EraseRootFromParent_Done,
     /*  815179 */   // Label 12580: @815179
     /*  815179 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(815254), // Rule ID 22122 //
     /*  815184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815252 */     GIR_RootConstrainSelectedInstOperands,
     /*  815253 */     // GIR_Coverage, 22122,
     /*  815253 */     GIR_EraseRootFromParent_Done,
     /*  815254 */   // Label 12581: @815254
     /*  815254 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815329), // Rule ID 22125 //
     /*  815259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815327 */     GIR_RootConstrainSelectedInstOperands,
     /*  815328 */     // GIR_Coverage, 22125,
     /*  815328 */     GIR_EraseRootFromParent_Done,
     /*  815329 */   // Label 12582: @815329
     /*  815329 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815404), // Rule ID 22126 //
     /*  815334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815402 */     GIR_RootConstrainSelectedInstOperands,
     /*  815403 */     // GIR_Coverage, 22126,
     /*  815403 */     GIR_EraseRootFromParent_Done,
     /*  815404 */   // Label 12583: @815404
     /*  815404 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(815479), // Rule ID 22129 //
     /*  815409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815477 */     GIR_RootConstrainSelectedInstOperands,
     /*  815478 */     // GIR_Coverage, 22129,
     /*  815478 */     GIR_EraseRootFromParent_Done,
     /*  815479 */   // Label 12584: @815479
     /*  815479 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815554), // Rule ID 22130 //
     /*  815484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815552 */     GIR_RootConstrainSelectedInstOperands,
     /*  815553 */     // GIR_Coverage, 22130,
     /*  815553 */     GIR_EraseRootFromParent_Done,
     /*  815554 */   // Label 12585: @815554
     /*  815554 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815629), // Rule ID 22133 //
     /*  815559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815605 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  815608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815627 */     GIR_RootConstrainSelectedInstOperands,
     /*  815628 */     // GIR_Coverage, 22133,
     /*  815628 */     GIR_EraseRootFromParent_Done,
     /*  815629 */   // Label 12586: @815629
     /*  815629 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815704), // Rule ID 22134 //
     /*  815634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  815683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815702 */     GIR_RootConstrainSelectedInstOperands,
     /*  815703 */     // GIR_Coverage, 22134,
     /*  815703 */     GIR_EraseRootFromParent_Done,
     /*  815704 */   // Label 12587: @815704
     /*  815704 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815779), // Rule ID 22137 //
     /*  815709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  815726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  815758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815777 */     GIR_RootConstrainSelectedInstOperands,
     /*  815778 */     // GIR_Coverage, 22137,
     /*  815778 */     GIR_EraseRootFromParent_Done,
     /*  815779 */   // Label 12588: @815779
     /*  815779 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815854), // Rule ID 22138 //
     /*  815784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  815801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  815833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815852 */     GIR_RootConstrainSelectedInstOperands,
     /*  815853 */     // GIR_Coverage, 22138,
     /*  815853 */     GIR_EraseRootFromParent_Done,
     /*  815854 */   // Label 12589: @815854
     /*  815854 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(815929), // Rule ID 22141 //
     /*  815859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  815876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  815908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815927 */     GIR_RootConstrainSelectedInstOperands,
     /*  815928 */     // GIR_Coverage, 22141,
     /*  815928 */     GIR_EraseRootFromParent_Done,
     /*  815929 */   // Label 12590: @815929
     /*  815929 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(816004), // Rule ID 22142 //
     /*  815934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  815951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  815983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816002 */     GIR_RootConstrainSelectedInstOperands,
     /*  816003 */     // GIR_Coverage, 22142,
     /*  816003 */     GIR_EraseRootFromParent_Done,
     /*  816004 */   // Label 12591: @816004
     /*  816004 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(816079), // Rule ID 22145 //
     /*  816009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816077 */     GIR_RootConstrainSelectedInstOperands,
     /*  816078 */     // GIR_Coverage, 22145,
     /*  816078 */     GIR_EraseRootFromParent_Done,
     /*  816079 */   // Label 12592: @816079
     /*  816079 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(816154), // Rule ID 22146 //
     /*  816084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816152 */     GIR_RootConstrainSelectedInstOperands,
     /*  816153 */     // GIR_Coverage, 22146,
     /*  816153 */     GIR_EraseRootFromParent_Done,
     /*  816154 */   // Label 12593: @816154
     /*  816154 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(816229), // Rule ID 22149 //
     /*  816159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816227 */     GIR_RootConstrainSelectedInstOperands,
     /*  816228 */     // GIR_Coverage, 22149,
     /*  816228 */     GIR_EraseRootFromParent_Done,
     /*  816229 */   // Label 12594: @816229
     /*  816229 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816304), // Rule ID 22150 //
     /*  816234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816302 */     GIR_RootConstrainSelectedInstOperands,
     /*  816303 */     // GIR_Coverage, 22150,
     /*  816303 */     GIR_EraseRootFromParent_Done,
     /*  816304 */   // Label 12595: @816304
     /*  816304 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816379), // Rule ID 22153 //
     /*  816309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816377 */     GIR_RootConstrainSelectedInstOperands,
     /*  816378 */     // GIR_Coverage, 22153,
     /*  816378 */     GIR_EraseRootFromParent_Done,
     /*  816379 */   // Label 12596: @816379
     /*  816379 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(816454), // Rule ID 22154 //
     /*  816384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816452 */     GIR_RootConstrainSelectedInstOperands,
     /*  816453 */     // GIR_Coverage, 22154,
     /*  816453 */     GIR_EraseRootFromParent_Done,
     /*  816454 */   // Label 12597: @816454
     /*  816454 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(816529), // Rule ID 22157 //
     /*  816459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816527 */     GIR_RootConstrainSelectedInstOperands,
     /*  816528 */     // GIR_Coverage, 22157,
     /*  816528 */     GIR_EraseRootFromParent_Done,
     /*  816529 */   // Label 12598: @816529
     /*  816529 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816604), // Rule ID 22158 //
     /*  816534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816602 */     GIR_RootConstrainSelectedInstOperands,
     /*  816603 */     // GIR_Coverage, 22158,
     /*  816603 */     GIR_EraseRootFromParent_Done,
     /*  816604 */   // Label 12599: @816604
     /*  816604 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816679), // Rule ID 22161 //
     /*  816609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  816626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  816658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816677 */     GIR_RootConstrainSelectedInstOperands,
     /*  816678 */     // GIR_Coverage, 22161,
     /*  816678 */     GIR_EraseRootFromParent_Done,
     /*  816679 */   // Label 12600: @816679
     /*  816679 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816754), // Rule ID 22162 //
     /*  816684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  816701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  816733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816752 */     GIR_RootConstrainSelectedInstOperands,
     /*  816753 */     // GIR_Coverage, 22162,
     /*  816753 */     GIR_EraseRootFromParent_Done,
     /*  816754 */   // Label 12601: @816754
     /*  816754 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816829), // Rule ID 22165 //
     /*  816759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  816776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816805 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  816808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816827 */     GIR_RootConstrainSelectedInstOperands,
     /*  816828 */     // GIR_Coverage, 22165,
     /*  816828 */     GIR_EraseRootFromParent_Done,
     /*  816829 */   // Label 12602: @816829
     /*  816829 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816904), // Rule ID 22166 //
     /*  816834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  816851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  816883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816902 */     GIR_RootConstrainSelectedInstOperands,
     /*  816903 */     // GIR_Coverage, 22166,
     /*  816903 */     GIR_EraseRootFromParent_Done,
     /*  816904 */   // Label 12603: @816904
     /*  816904 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(816979), // Rule ID 22169 //
     /*  816909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  816926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816955 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  816958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816977 */     GIR_RootConstrainSelectedInstOperands,
     /*  816978 */     // GIR_Coverage, 22169,
     /*  816978 */     GIR_EraseRootFromParent_Done,
     /*  816979 */   // Label 12604: @816979
     /*  816979 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(817054), // Rule ID 22170 //
     /*  816984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  817033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817052 */     GIR_RootConstrainSelectedInstOperands,
     /*  817053 */     // GIR_Coverage, 22170,
     /*  817053 */     GIR_EraseRootFromParent_Done,
     /*  817054 */   // Label 12605: @817054
     /*  817054 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(817129), // Rule ID 22173 //
     /*  817059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817127 */     GIR_RootConstrainSelectedInstOperands,
     /*  817128 */     // GIR_Coverage, 22173,
     /*  817128 */     GIR_EraseRootFromParent_Done,
     /*  817129 */   // Label 12606: @817129
     /*  817129 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(817204), // Rule ID 22174 //
     /*  817134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817202 */     GIR_RootConstrainSelectedInstOperands,
     /*  817203 */     // GIR_Coverage, 22174,
     /*  817203 */     GIR_EraseRootFromParent_Done,
     /*  817204 */   // Label 12607: @817204
     /*  817204 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817279), // Rule ID 22177 //
     /*  817209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817277 */     GIR_RootConstrainSelectedInstOperands,
     /*  817278 */     // GIR_Coverage, 22177,
     /*  817278 */     GIR_EraseRootFromParent_Done,
     /*  817279 */   // Label 12608: @817279
     /*  817279 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817354), // Rule ID 22178 //
     /*  817284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817352 */     GIR_RootConstrainSelectedInstOperands,
     /*  817353 */     // GIR_Coverage, 22178,
     /*  817353 */     GIR_EraseRootFromParent_Done,
     /*  817354 */   // Label 12609: @817354
     /*  817354 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817429), // Rule ID 22181 //
     /*  817359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817427 */     GIR_RootConstrainSelectedInstOperands,
     /*  817428 */     // GIR_Coverage, 22181,
     /*  817428 */     GIR_EraseRootFromParent_Done,
     /*  817429 */   // Label 12610: @817429
     /*  817429 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(817504), // Rule ID 22182 //
     /*  817434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817502 */     GIR_RootConstrainSelectedInstOperands,
     /*  817503 */     // GIR_Coverage, 22182,
     /*  817503 */     GIR_EraseRootFromParent_Done,
     /*  817504 */   // Label 12611: @817504
     /*  817504 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817579), // Rule ID 22185 //
     /*  817509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  817558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817577 */     GIR_RootConstrainSelectedInstOperands,
     /*  817578 */     // GIR_Coverage, 22185,
     /*  817578 */     GIR_EraseRootFromParent_Done,
     /*  817579 */   // Label 12612: @817579
     /*  817579 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817654), // Rule ID 22186 //
     /*  817584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  817633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817652 */     GIR_RootConstrainSelectedInstOperands,
     /*  817653 */     // GIR_Coverage, 22186,
     /*  817653 */     GIR_EraseRootFromParent_Done,
     /*  817654 */   // Label 12613: @817654
     /*  817654 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817729), // Rule ID 22189 //
     /*  817659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  817676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817705 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  817708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817727 */     GIR_RootConstrainSelectedInstOperands,
     /*  817728 */     // GIR_Coverage, 22189,
     /*  817728 */     GIR_EraseRootFromParent_Done,
     /*  817729 */   // Label 12614: @817729
     /*  817729 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817804), // Rule ID 22190 //
     /*  817734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  817751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  817783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817802 */     GIR_RootConstrainSelectedInstOperands,
     /*  817803 */     // GIR_Coverage, 22190,
     /*  817803 */     GIR_EraseRootFromParent_Done,
     /*  817804 */   // Label 12615: @817804
     /*  817804 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817879), // Rule ID 22193 //
     /*  817809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  817858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817877 */     GIR_RootConstrainSelectedInstOperands,
     /*  817878 */     // GIR_Coverage, 22193,
     /*  817878 */     GIR_EraseRootFromParent_Done,
     /*  817879 */   // Label 12616: @817879
     /*  817879 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(817954), // Rule ID 22194 //
     /*  817884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  817933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817952 */     GIR_RootConstrainSelectedInstOperands,
     /*  817953 */     // GIR_Coverage, 22194,
     /*  817953 */     GIR_EraseRootFromParent_Done,
     /*  817954 */   // Label 12617: @817954
     /*  817954 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(818029), // Rule ID 22197 //
     /*  817959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  817962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  817976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  818008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818027 */     GIR_RootConstrainSelectedInstOperands,
     /*  818028 */     // GIR_Coverage, 22197,
     /*  818028 */     GIR_EraseRootFromParent_Done,
     /*  818029 */   // Label 12618: @818029
     /*  818029 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(818104), // Rule ID 22198 //
     /*  818034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  818051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  818083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818102 */     GIR_RootConstrainSelectedInstOperands,
     /*  818103 */     // GIR_Coverage, 22198,
     /*  818103 */     GIR_EraseRootFromParent_Done,
     /*  818104 */   // Label 12619: @818104
     /*  818104 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(818179), // Rule ID 22201 //
     /*  818109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818155 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818177 */     GIR_RootConstrainSelectedInstOperands,
     /*  818178 */     // GIR_Coverage, 22201,
     /*  818178 */     GIR_EraseRootFromParent_Done,
     /*  818179 */   // Label 12620: @818179
     /*  818179 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(818254), // Rule ID 22202 //
     /*  818184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818230 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818252 */     GIR_RootConstrainSelectedInstOperands,
     /*  818253 */     // GIR_Coverage, 22202,
     /*  818253 */     GIR_EraseRootFromParent_Done,
     /*  818254 */   // Label 12621: @818254
     /*  818254 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818329), // Rule ID 22205 //
     /*  818259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818327 */     GIR_RootConstrainSelectedInstOperands,
     /*  818328 */     // GIR_Coverage, 22205,
     /*  818328 */     GIR_EraseRootFromParent_Done,
     /*  818329 */   // Label 12622: @818329
     /*  818329 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818404), // Rule ID 22206 //
     /*  818334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818402 */     GIR_RootConstrainSelectedInstOperands,
     /*  818403 */     // GIR_Coverage, 22206,
     /*  818403 */     GIR_EraseRootFromParent_Done,
     /*  818404 */   // Label 12623: @818404
     /*  818404 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(818479), // Rule ID 22209 //
     /*  818409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818477 */     GIR_RootConstrainSelectedInstOperands,
     /*  818478 */     // GIR_Coverage, 22209,
     /*  818478 */     GIR_EraseRootFromParent_Done,
     /*  818479 */   // Label 12624: @818479
     /*  818479 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818554), // Rule ID 22210 //
     /*  818484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818552 */     GIR_RootConstrainSelectedInstOperands,
     /*  818553 */     // GIR_Coverage, 22210,
     /*  818553 */     GIR_EraseRootFromParent_Done,
     /*  818554 */   // Label 12625: @818554
     /*  818554 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818629), // Rule ID 22213 //
     /*  818559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  818576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  818608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818627 */     GIR_RootConstrainSelectedInstOperands,
     /*  818628 */     // GIR_Coverage, 22213,
     /*  818628 */     GIR_EraseRootFromParent_Done,
     /*  818629 */   // Label 12626: @818629
     /*  818629 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818704), // Rule ID 22214 //
     /*  818634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  818651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  818683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818702 */     GIR_RootConstrainSelectedInstOperands,
     /*  818703 */     // GIR_Coverage, 22214,
     /*  818703 */     GIR_EraseRootFromParent_Done,
     /*  818704 */   // Label 12627: @818704
     /*  818704 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818779), // Rule ID 22217 //
     /*  818709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  818726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  818758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818777 */     GIR_RootConstrainSelectedInstOperands,
     /*  818778 */     // GIR_Coverage, 22217,
     /*  818778 */     GIR_EraseRootFromParent_Done,
     /*  818779 */   // Label 12628: @818779
     /*  818779 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818854), // Rule ID 22218 //
     /*  818784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  818801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  818833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818852 */     GIR_RootConstrainSelectedInstOperands,
     /*  818853 */     // GIR_Coverage, 22218,
     /*  818853 */     GIR_EraseRootFromParent_Done,
     /*  818854 */   // Label 12629: @818854
     /*  818854 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(818929), // Rule ID 22221 //
     /*  818859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  818876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  818908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818927 */     GIR_RootConstrainSelectedInstOperands,
     /*  818928 */     // GIR_Coverage, 22221,
     /*  818928 */     GIR_EraseRootFromParent_Done,
     /*  818929 */   // Label 12630: @818929
     /*  818929 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(819004), // Rule ID 22222 //
     /*  818934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  818951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  818983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819002 */     GIR_RootConstrainSelectedInstOperands,
     /*  819003 */     // GIR_Coverage, 22222,
     /*  819003 */     GIR_EraseRootFromParent_Done,
     /*  819004 */   // Label 12631: @819004
     /*  819004 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(819079), // Rule ID 22225 //
     /*  819009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819077 */     GIR_RootConstrainSelectedInstOperands,
     /*  819078 */     // GIR_Coverage, 22225,
     /*  819078 */     GIR_EraseRootFromParent_Done,
     /*  819079 */   // Label 12632: @819079
     /*  819079 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(819154), // Rule ID 22226 //
     /*  819084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819152 */     GIR_RootConstrainSelectedInstOperands,
     /*  819153 */     // GIR_Coverage, 22226,
     /*  819153 */     GIR_EraseRootFromParent_Done,
     /*  819154 */   // Label 12633: @819154
     /*  819154 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(819229), // Rule ID 22229 //
     /*  819159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819227 */     GIR_RootConstrainSelectedInstOperands,
     /*  819228 */     // GIR_Coverage, 22229,
     /*  819228 */     GIR_EraseRootFromParent_Done,
     /*  819229 */   // Label 12634: @819229
     /*  819229 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819304), // Rule ID 22230 //
     /*  819234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819302 */     GIR_RootConstrainSelectedInstOperands,
     /*  819303 */     // GIR_Coverage, 22230,
     /*  819303 */     GIR_EraseRootFromParent_Done,
     /*  819304 */   // Label 12635: @819304
     /*  819304 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819379), // Rule ID 22233 //
     /*  819309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819355 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819377 */     GIR_RootConstrainSelectedInstOperands,
     /*  819378 */     // GIR_Coverage, 22233,
     /*  819378 */     GIR_EraseRootFromParent_Done,
     /*  819379 */   // Label 12636: @819379
     /*  819379 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(819454), // Rule ID 22234 //
     /*  819384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819452 */     GIR_RootConstrainSelectedInstOperands,
     /*  819453 */     // GIR_Coverage, 22234,
     /*  819453 */     GIR_EraseRootFromParent_Done,
     /*  819454 */   // Label 12637: @819454
     /*  819454 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(819529), // Rule ID 22237 //
     /*  819459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819527 */     GIR_RootConstrainSelectedInstOperands,
     /*  819528 */     // GIR_Coverage, 22237,
     /*  819528 */     GIR_EraseRootFromParent_Done,
     /*  819529 */   // Label 12638: @819529
     /*  819529 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819604), // Rule ID 22238 //
     /*  819534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819602 */     GIR_RootConstrainSelectedInstOperands,
     /*  819603 */     // GIR_Coverage, 22238,
     /*  819603 */     GIR_EraseRootFromParent_Done,
     /*  819604 */   // Label 12639: @819604
     /*  819604 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819679), // Rule ID 22241 //
     /*  819609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  819626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  819658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819677 */     GIR_RootConstrainSelectedInstOperands,
     /*  819678 */     // GIR_Coverage, 22241,
     /*  819678 */     GIR_EraseRootFromParent_Done,
     /*  819679 */   // Label 12640: @819679
     /*  819679 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819754), // Rule ID 22242 //
     /*  819684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  819701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  819733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819752 */     GIR_RootConstrainSelectedInstOperands,
     /*  819753 */     // GIR_Coverage, 22242,
     /*  819753 */     GIR_EraseRootFromParent_Done,
     /*  819754 */   // Label 12641: @819754
     /*  819754 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819829), // Rule ID 22245 //
     /*  819759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  819776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819805 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  819808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819827 */     GIR_RootConstrainSelectedInstOperands,
     /*  819828 */     // GIR_Coverage, 22245,
     /*  819828 */     GIR_EraseRootFromParent_Done,
     /*  819829 */   // Label 12642: @819829
     /*  819829 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819904), // Rule ID 22246 //
     /*  819834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  819851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  819883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819902 */     GIR_RootConstrainSelectedInstOperands,
     /*  819903 */     // GIR_Coverage, 22246,
     /*  819903 */     GIR_EraseRootFromParent_Done,
     /*  819904 */   // Label 12643: @819904
     /*  819904 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(819979), // Rule ID 22249 //
     /*  819909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  819926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819955 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  819958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819977 */     GIR_RootConstrainSelectedInstOperands,
     /*  819978 */     // GIR_Coverage, 22249,
     /*  819978 */     GIR_EraseRootFromParent_Done,
     /*  819979 */   // Label 12644: @819979
     /*  819979 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(820054), // Rule ID 22250 //
     /*  819984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  820033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820052 */     GIR_RootConstrainSelectedInstOperands,
     /*  820053 */     // GIR_Coverage, 22250,
     /*  820053 */     GIR_EraseRootFromParent_Done,
     /*  820054 */   // Label 12645: @820054
     /*  820054 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(820129), // Rule ID 22253 //
     /*  820059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820105 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820127 */     GIR_RootConstrainSelectedInstOperands,
     /*  820128 */     // GIR_Coverage, 22253,
     /*  820128 */     GIR_EraseRootFromParent_Done,
     /*  820129 */   // Label 12646: @820129
     /*  820129 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(820204), // Rule ID 22254 //
     /*  820134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820202 */     GIR_RootConstrainSelectedInstOperands,
     /*  820203 */     // GIR_Coverage, 22254,
     /*  820203 */     GIR_EraseRootFromParent_Done,
     /*  820204 */   // Label 12647: @820204
     /*  820204 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820279), // Rule ID 22257 //
     /*  820209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820277 */     GIR_RootConstrainSelectedInstOperands,
     /*  820278 */     // GIR_Coverage, 22257,
     /*  820278 */     GIR_EraseRootFromParent_Done,
     /*  820279 */   // Label 12648: @820279
     /*  820279 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820354), // Rule ID 22258 //
     /*  820284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820330 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820352 */     GIR_RootConstrainSelectedInstOperands,
     /*  820353 */     // GIR_Coverage, 22258,
     /*  820353 */     GIR_EraseRootFromParent_Done,
     /*  820354 */   // Label 12649: @820354
     /*  820354 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820429), // Rule ID 22261 //
     /*  820359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820427 */     GIR_RootConstrainSelectedInstOperands,
     /*  820428 */     // GIR_Coverage, 22261,
     /*  820428 */     GIR_EraseRootFromParent_Done,
     /*  820429 */   // Label 12650: @820429
     /*  820429 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(820504), // Rule ID 22262 //
     /*  820434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820502 */     GIR_RootConstrainSelectedInstOperands,
     /*  820503 */     // GIR_Coverage, 22262,
     /*  820503 */     GIR_EraseRootFromParent_Done,
     /*  820504 */   // Label 12651: @820504
     /*  820504 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820579), // Rule ID 22265 //
     /*  820509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  820558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820577 */     GIR_RootConstrainSelectedInstOperands,
     /*  820578 */     // GIR_Coverage, 22265,
     /*  820578 */     GIR_EraseRootFromParent_Done,
     /*  820579 */   // Label 12652: @820579
     /*  820579 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820654), // Rule ID 22266 //
     /*  820584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820630 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  820633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820652 */     GIR_RootConstrainSelectedInstOperands,
     /*  820653 */     // GIR_Coverage, 22266,
     /*  820653 */     GIR_EraseRootFromParent_Done,
     /*  820654 */   // Label 12653: @820654
     /*  820654 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820729), // Rule ID 22269 //
     /*  820659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  820676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  820708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820727 */     GIR_RootConstrainSelectedInstOperands,
     /*  820728 */     // GIR_Coverage, 22269,
     /*  820728 */     GIR_EraseRootFromParent_Done,
     /*  820729 */   // Label 12654: @820729
     /*  820729 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820804), // Rule ID 22270 //
     /*  820734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  820751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  820783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820802 */     GIR_RootConstrainSelectedInstOperands,
     /*  820803 */     // GIR_Coverage, 22270,
     /*  820803 */     GIR_EraseRootFromParent_Done,
     /*  820804 */   // Label 12655: @820804
     /*  820804 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820879), // Rule ID 22273 //
     /*  820809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  820826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  820858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820877 */     GIR_RootConstrainSelectedInstOperands,
     /*  820878 */     // GIR_Coverage, 22273,
     /*  820878 */     GIR_EraseRootFromParent_Done,
     /*  820879 */   // Label 12656: @820879
     /*  820879 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(820954), // Rule ID 22274 //
     /*  820884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  820901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  820933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820952 */     GIR_RootConstrainSelectedInstOperands,
     /*  820953 */     // GIR_Coverage, 22274,
     /*  820953 */     GIR_EraseRootFromParent_Done,
     /*  820954 */   // Label 12657: @820954
     /*  820954 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(821029), // Rule ID 22277 //
     /*  820959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  820976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  821008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821027 */     GIR_RootConstrainSelectedInstOperands,
     /*  821028 */     // GIR_Coverage, 22277,
     /*  821028 */     GIR_EraseRootFromParent_Done,
     /*  821029 */   // Label 12658: @821029
     /*  821029 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(821104), // Rule ID 22278 //
     /*  821034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  821051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  821083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821102 */     GIR_RootConstrainSelectedInstOperands,
     /*  821103 */     // GIR_Coverage, 22278,
     /*  821103 */     GIR_EraseRootFromParent_Done,
     /*  821104 */   // Label 12659: @821104
     /*  821104 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(821179), // Rule ID 22281 //
     /*  821109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821177 */     GIR_RootConstrainSelectedInstOperands,
     /*  821178 */     // GIR_Coverage, 22281,
     /*  821178 */     GIR_EraseRootFromParent_Done,
     /*  821179 */   // Label 12660: @821179
     /*  821179 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(821254), // Rule ID 22282 //
     /*  821184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821252 */     GIR_RootConstrainSelectedInstOperands,
     /*  821253 */     // GIR_Coverage, 22282,
     /*  821253 */     GIR_EraseRootFromParent_Done,
     /*  821254 */   // Label 12661: @821254
     /*  821254 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821329), // Rule ID 22285 //
     /*  821259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821327 */     GIR_RootConstrainSelectedInstOperands,
     /*  821328 */     // GIR_Coverage, 22285,
     /*  821328 */     GIR_EraseRootFromParent_Done,
     /*  821329 */   // Label 12662: @821329
     /*  821329 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821404), // Rule ID 22286 //
     /*  821334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821402 */     GIR_RootConstrainSelectedInstOperands,
     /*  821403 */     // GIR_Coverage, 22286,
     /*  821403 */     GIR_EraseRootFromParent_Done,
     /*  821404 */   // Label 12663: @821404
     /*  821404 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(821479), // Rule ID 22289 //
     /*  821409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821455 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821477 */     GIR_RootConstrainSelectedInstOperands,
     /*  821478 */     // GIR_Coverage, 22289,
     /*  821478 */     GIR_EraseRootFromParent_Done,
     /*  821479 */   // Label 12664: @821479
     /*  821479 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821554), // Rule ID 22290 //
     /*  821484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821530 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821552 */     GIR_RootConstrainSelectedInstOperands,
     /*  821553 */     // GIR_Coverage, 22290,
     /*  821553 */     GIR_EraseRootFromParent_Done,
     /*  821554 */   // Label 12665: @821554
     /*  821554 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821629), // Rule ID 22293 //
     /*  821559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  821608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821627 */     GIR_RootConstrainSelectedInstOperands,
     /*  821628 */     // GIR_Coverage, 22293,
     /*  821628 */     GIR_EraseRootFromParent_Done,
     /*  821629 */   // Label 12666: @821629
     /*  821629 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821704), // Rule ID 22294 //
     /*  821634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  821683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821702 */     GIR_RootConstrainSelectedInstOperands,
     /*  821703 */     // GIR_Coverage, 22294,
     /*  821703 */     GIR_EraseRootFromParent_Done,
     /*  821704 */   // Label 12667: @821704
     /*  821704 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821779), // Rule ID 22297 //
     /*  821709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  821726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  821758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821777 */     GIR_RootConstrainSelectedInstOperands,
     /*  821778 */     // GIR_Coverage, 22297,
     /*  821778 */     GIR_EraseRootFromParent_Done,
     /*  821779 */   // Label 12668: @821779
     /*  821779 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821854), // Rule ID 22298 //
     /*  821784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  821801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  821833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821852 */     GIR_RootConstrainSelectedInstOperands,
     /*  821853 */     // GIR_Coverage, 22298,
     /*  821853 */     GIR_EraseRootFromParent_Done,
     /*  821854 */   // Label 12669: @821854
     /*  821854 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(821929), // Rule ID 22301 //
     /*  821859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  821876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821905 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  821908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821927 */     GIR_RootConstrainSelectedInstOperands,
     /*  821928 */     // GIR_Coverage, 22301,
     /*  821928 */     GIR_EraseRootFromParent_Done,
     /*  821929 */   // Label 12670: @821929
     /*  821929 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(822004), // Rule ID 22302 //
     /*  821934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  821951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  821983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822002 */     GIR_RootConstrainSelectedInstOperands,
     /*  822003 */     // GIR_Coverage, 22302,
     /*  822003 */     GIR_EraseRootFromParent_Done,
     /*  822004 */   // Label 12671: @822004
     /*  822004 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(822079), // Rule ID 22305 //
     /*  822009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822077 */     GIR_RootConstrainSelectedInstOperands,
     /*  822078 */     // GIR_Coverage, 22305,
     /*  822078 */     GIR_EraseRootFromParent_Done,
     /*  822079 */   // Label 12672: @822079
     /*  822079 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(822154), // Rule ID 22306 //
     /*  822084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822152 */     GIR_RootConstrainSelectedInstOperands,
     /*  822153 */     // GIR_Coverage, 22306,
     /*  822153 */     GIR_EraseRootFromParent_Done,
     /*  822154 */   // Label 12673: @822154
     /*  822154 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(822229), // Rule ID 22309 //
     /*  822159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822227 */     GIR_RootConstrainSelectedInstOperands,
     /*  822228 */     // GIR_Coverage, 22309,
     /*  822228 */     GIR_EraseRootFromParent_Done,
     /*  822229 */   // Label 12674: @822229
     /*  822229 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822304), // Rule ID 22310 //
     /*  822234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822302 */     GIR_RootConstrainSelectedInstOperands,
     /*  822303 */     // GIR_Coverage, 22310,
     /*  822303 */     GIR_EraseRootFromParent_Done,
     /*  822304 */   // Label 12675: @822304
     /*  822304 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822379), // Rule ID 22313 //
     /*  822309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822377 */     GIR_RootConstrainSelectedInstOperands,
     /*  822378 */     // GIR_Coverage, 22313,
     /*  822378 */     GIR_EraseRootFromParent_Done,
     /*  822379 */   // Label 12676: @822379
     /*  822379 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(822454), // Rule ID 22314 //
     /*  822384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822452 */     GIR_RootConstrainSelectedInstOperands,
     /*  822453 */     // GIR_Coverage, 22314,
     /*  822453 */     GIR_EraseRootFromParent_Done,
     /*  822454 */   // Label 12677: @822454
     /*  822454 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(822529), // Rule ID 22317 //
     /*  822459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822527 */     GIR_RootConstrainSelectedInstOperands,
     /*  822528 */     // GIR_Coverage, 22317,
     /*  822528 */     GIR_EraseRootFromParent_Done,
     /*  822529 */   // Label 12678: @822529
     /*  822529 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822604), // Rule ID 22318 //
     /*  822534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822602 */     GIR_RootConstrainSelectedInstOperands,
     /*  822603 */     // GIR_Coverage, 22318,
     /*  822603 */     GIR_EraseRootFromParent_Done,
     /*  822604 */   // Label 12679: @822604
     /*  822604 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822679), // Rule ID 22321 //
     /*  822609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  822626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  822658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822677 */     GIR_RootConstrainSelectedInstOperands,
     /*  822678 */     // GIR_Coverage, 22321,
     /*  822678 */     GIR_EraseRootFromParent_Done,
     /*  822679 */   // Label 12680: @822679
     /*  822679 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822754), // Rule ID 22322 //
     /*  822684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  822701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  822733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822752 */     GIR_RootConstrainSelectedInstOperands,
     /*  822753 */     // GIR_Coverage, 22322,
     /*  822753 */     GIR_EraseRootFromParent_Done,
     /*  822754 */   // Label 12681: @822754
     /*  822754 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822829), // Rule ID 22325 //
     /*  822759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  822776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  822808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822827 */     GIR_RootConstrainSelectedInstOperands,
     /*  822828 */     // GIR_Coverage, 22325,
     /*  822828 */     GIR_EraseRootFromParent_Done,
     /*  822829 */   // Label 12682: @822829
     /*  822829 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822904), // Rule ID 22326 //
     /*  822834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  822851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  822883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822902 */     GIR_RootConstrainSelectedInstOperands,
     /*  822903 */     // GIR_Coverage, 22326,
     /*  822903 */     GIR_EraseRootFromParent_Done,
     /*  822904 */   // Label 12683: @822904
     /*  822904 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(822979), // Rule ID 22329 //
     /*  822909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  822926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  822958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822977 */     GIR_RootConstrainSelectedInstOperands,
     /*  822978 */     // GIR_Coverage, 22329,
     /*  822978 */     GIR_EraseRootFromParent_Done,
     /*  822979 */   // Label 12684: @822979
     /*  822979 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(823054), // Rule ID 22330 //
     /*  822984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  823033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823052 */     GIR_RootConstrainSelectedInstOperands,
     /*  823053 */     // GIR_Coverage, 22330,
     /*  823053 */     GIR_EraseRootFromParent_Done,
     /*  823054 */   // Label 12685: @823054
     /*  823054 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(823129), // Rule ID 22333 //
     /*  823059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823105 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823127 */     GIR_RootConstrainSelectedInstOperands,
     /*  823128 */     // GIR_Coverage, 22333,
     /*  823128 */     GIR_EraseRootFromParent_Done,
     /*  823129 */   // Label 12686: @823129
     /*  823129 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(823204), // Rule ID 22334 //
     /*  823134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823202 */     GIR_RootConstrainSelectedInstOperands,
     /*  823203 */     // GIR_Coverage, 22334,
     /*  823203 */     GIR_EraseRootFromParent_Done,
     /*  823204 */   // Label 12687: @823204
     /*  823204 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823279), // Rule ID 22337 //
     /*  823209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823277 */     GIR_RootConstrainSelectedInstOperands,
     /*  823278 */     // GIR_Coverage, 22337,
     /*  823278 */     GIR_EraseRootFromParent_Done,
     /*  823279 */   // Label 12688: @823279
     /*  823279 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823354), // Rule ID 22338 //
     /*  823284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823330 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823352 */     GIR_RootConstrainSelectedInstOperands,
     /*  823353 */     // GIR_Coverage, 22338,
     /*  823353 */     GIR_EraseRootFromParent_Done,
     /*  823354 */   // Label 12689: @823354
     /*  823354 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823429), // Rule ID 22341 //
     /*  823359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823405 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823427 */     GIR_RootConstrainSelectedInstOperands,
     /*  823428 */     // GIR_Coverage, 22341,
     /*  823428 */     GIR_EraseRootFromParent_Done,
     /*  823429 */   // Label 12690: @823429
     /*  823429 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(823504), // Rule ID 22342 //
     /*  823434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823480 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823502 */     GIR_RootConstrainSelectedInstOperands,
     /*  823503 */     // GIR_Coverage, 22342,
     /*  823503 */     GIR_EraseRootFromParent_Done,
     /*  823504 */   // Label 12691: @823504
     /*  823504 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823579), // Rule ID 22345 //
     /*  823509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  823558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823577 */     GIR_RootConstrainSelectedInstOperands,
     /*  823578 */     // GIR_Coverage, 22345,
     /*  823578 */     GIR_EraseRootFromParent_Done,
     /*  823579 */   // Label 12692: @823579
     /*  823579 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823654), // Rule ID 22346 //
     /*  823584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  823633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823652 */     GIR_RootConstrainSelectedInstOperands,
     /*  823653 */     // GIR_Coverage, 22346,
     /*  823653 */     GIR_EraseRootFromParent_Done,
     /*  823654 */   // Label 12693: @823654
     /*  823654 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823729), // Rule ID 22349 //
     /*  823659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  823676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  823708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823727 */     GIR_RootConstrainSelectedInstOperands,
     /*  823728 */     // GIR_Coverage, 22349,
     /*  823728 */     GIR_EraseRootFromParent_Done,
     /*  823729 */   // Label 12694: @823729
     /*  823729 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823804), // Rule ID 22350 //
     /*  823734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  823751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  823783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823802 */     GIR_RootConstrainSelectedInstOperands,
     /*  823803 */     // GIR_Coverage, 22350,
     /*  823803 */     GIR_EraseRootFromParent_Done,
     /*  823804 */   // Label 12695: @823804
     /*  823804 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823879), // Rule ID 22353 //
     /*  823809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  823826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823855 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  823858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823877 */     GIR_RootConstrainSelectedInstOperands,
     /*  823878 */     // GIR_Coverage, 22353,
     /*  823878 */     GIR_EraseRootFromParent_Done,
     /*  823879 */   // Label 12696: @823879
     /*  823879 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(823954), // Rule ID 22354 //
     /*  823884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  823901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  823933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823952 */     GIR_RootConstrainSelectedInstOperands,
     /*  823953 */     // GIR_Coverage, 22354,
     /*  823953 */     GIR_EraseRootFromParent_Done,
     /*  823954 */   // Label 12697: @823954
     /*  823954 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(824029), // Rule ID 22357 //
     /*  823959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  823976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  824008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824027 */     GIR_RootConstrainSelectedInstOperands,
     /*  824028 */     // GIR_Coverage, 22357,
     /*  824028 */     GIR_EraseRootFromParent_Done,
     /*  824029 */   // Label 12698: @824029
     /*  824029 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(824104), // Rule ID 22358 //
     /*  824034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  824051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  824083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824102 */     GIR_RootConstrainSelectedInstOperands,
     /*  824103 */     // GIR_Coverage, 22358,
     /*  824103 */     GIR_EraseRootFromParent_Done,
     /*  824104 */   // Label 12699: @824104
     /*  824104 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(824179), // Rule ID 22361 //
     /*  824109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824177 */     GIR_RootConstrainSelectedInstOperands,
     /*  824178 */     // GIR_Coverage, 22361,
     /*  824178 */     GIR_EraseRootFromParent_Done,
     /*  824179 */   // Label 12700: @824179
     /*  824179 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(824254), // Rule ID 22362 //
     /*  824184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824252 */     GIR_RootConstrainSelectedInstOperands,
     /*  824253 */     // GIR_Coverage, 22362,
     /*  824253 */     GIR_EraseRootFromParent_Done,
     /*  824254 */   // Label 12701: @824254
     /*  824254 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824329), // Rule ID 22365 //
     /*  824259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824327 */     GIR_RootConstrainSelectedInstOperands,
     /*  824328 */     // GIR_Coverage, 22365,
     /*  824328 */     GIR_EraseRootFromParent_Done,
     /*  824329 */   // Label 12702: @824329
     /*  824329 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824404), // Rule ID 22366 //
     /*  824334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824402 */     GIR_RootConstrainSelectedInstOperands,
     /*  824403 */     // GIR_Coverage, 22366,
     /*  824403 */     GIR_EraseRootFromParent_Done,
     /*  824404 */   // Label 12703: @824404
     /*  824404 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(824479), // Rule ID 22369 //
     /*  824409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824477 */     GIR_RootConstrainSelectedInstOperands,
     /*  824478 */     // GIR_Coverage, 22369,
     /*  824478 */     GIR_EraseRootFromParent_Done,
     /*  824479 */   // Label 12704: @824479
     /*  824479 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824554), // Rule ID 22370 //
     /*  824484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824552 */     GIR_RootConstrainSelectedInstOperands,
     /*  824553 */     // GIR_Coverage, 22370,
     /*  824553 */     GIR_EraseRootFromParent_Done,
     /*  824554 */   // Label 12705: @824554
     /*  824554 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824629), // Rule ID 22373 //
     /*  824559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  824576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  824608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824627 */     GIR_RootConstrainSelectedInstOperands,
     /*  824628 */     // GIR_Coverage, 22373,
     /*  824628 */     GIR_EraseRootFromParent_Done,
     /*  824629 */   // Label 12706: @824629
     /*  824629 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824704), // Rule ID 22374 //
     /*  824634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  824651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  824683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824702 */     GIR_RootConstrainSelectedInstOperands,
     /*  824703 */     // GIR_Coverage, 22374,
     /*  824703 */     GIR_EraseRootFromParent_Done,
     /*  824704 */   // Label 12707: @824704
     /*  824704 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824779), // Rule ID 22377 //
     /*  824709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  824726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  824758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824777 */     GIR_RootConstrainSelectedInstOperands,
     /*  824778 */     // GIR_Coverage, 22377,
     /*  824778 */     GIR_EraseRootFromParent_Done,
     /*  824779 */   // Label 12708: @824779
     /*  824779 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824854), // Rule ID 22378 //
     /*  824784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  824801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  824833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824852 */     GIR_RootConstrainSelectedInstOperands,
     /*  824853 */     // GIR_Coverage, 22378,
     /*  824853 */     GIR_EraseRootFromParent_Done,
     /*  824854 */   // Label 12709: @824854
     /*  824854 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(824929), // Rule ID 22381 //
     /*  824859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  824876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  824908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824927 */     GIR_RootConstrainSelectedInstOperands,
     /*  824928 */     // GIR_Coverage, 22381,
     /*  824928 */     GIR_EraseRootFromParent_Done,
     /*  824929 */   // Label 12710: @824929
     /*  824929 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(825004), // Rule ID 22382 //
     /*  824934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  824951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  824983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825002 */     GIR_RootConstrainSelectedInstOperands,
     /*  825003 */     // GIR_Coverage, 22382,
     /*  825003 */     GIR_EraseRootFromParent_Done,
     /*  825004 */   // Label 12711: @825004
     /*  825004 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(825079), // Rule ID 22385 //
     /*  825009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825077 */     GIR_RootConstrainSelectedInstOperands,
     /*  825078 */     // GIR_Coverage, 22385,
     /*  825078 */     GIR_EraseRootFromParent_Done,
     /*  825079 */   // Label 12712: @825079
     /*  825079 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(825154), // Rule ID 22386 //
     /*  825084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825152 */     GIR_RootConstrainSelectedInstOperands,
     /*  825153 */     // GIR_Coverage, 22386,
     /*  825153 */     GIR_EraseRootFromParent_Done,
     /*  825154 */   // Label 12713: @825154
     /*  825154 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(825229), // Rule ID 22389 //
     /*  825159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825205 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825227 */     GIR_RootConstrainSelectedInstOperands,
     /*  825228 */     // GIR_Coverage, 22389,
     /*  825228 */     GIR_EraseRootFromParent_Done,
     /*  825229 */   // Label 12714: @825229
     /*  825229 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825304), // Rule ID 22390 //
     /*  825234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825302 */     GIR_RootConstrainSelectedInstOperands,
     /*  825303 */     // GIR_Coverage, 22390,
     /*  825303 */     GIR_EraseRootFromParent_Done,
     /*  825304 */   // Label 12715: @825304
     /*  825304 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825379), // Rule ID 22393 //
     /*  825309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825355 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825377 */     GIR_RootConstrainSelectedInstOperands,
     /*  825378 */     // GIR_Coverage, 22393,
     /*  825378 */     GIR_EraseRootFromParent_Done,
     /*  825379 */   // Label 12716: @825379
     /*  825379 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(825454), // Rule ID 22394 //
     /*  825384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825452 */     GIR_RootConstrainSelectedInstOperands,
     /*  825453 */     // GIR_Coverage, 22394,
     /*  825453 */     GIR_EraseRootFromParent_Done,
     /*  825454 */   // Label 12717: @825454
     /*  825454 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(825529), // Rule ID 22397 //
     /*  825459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825527 */     GIR_RootConstrainSelectedInstOperands,
     /*  825528 */     // GIR_Coverage, 22397,
     /*  825528 */     GIR_EraseRootFromParent_Done,
     /*  825529 */   // Label 12718: @825529
     /*  825529 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(825604), // Rule ID 22398 //
     /*  825534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825602 */     GIR_RootConstrainSelectedInstOperands,
     /*  825603 */     // GIR_Coverage, 22398,
     /*  825603 */     GIR_EraseRootFromParent_Done,
     /*  825604 */   // Label 12719: @825604
     /*  825604 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(825679), // Rule ID 22401 //
     /*  825609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  825626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  825658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825677 */     GIR_RootConstrainSelectedInstOperands,
     /*  825678 */     // GIR_Coverage, 22401,
     /*  825678 */     GIR_EraseRootFromParent_Done,
     /*  825679 */   // Label 12720: @825679
     /*  825679 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825754), // Rule ID 22402 //
     /*  825684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  825701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  825733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825752 */     GIR_RootConstrainSelectedInstOperands,
     /*  825753 */     // GIR_Coverage, 22402,
     /*  825753 */     GIR_EraseRootFromParent_Done,
     /*  825754 */   // Label 12721: @825754
     /*  825754 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825829), // Rule ID 22405 //
     /*  825759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  825776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  825808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825827 */     GIR_RootConstrainSelectedInstOperands,
     /*  825828 */     // GIR_Coverage, 22405,
     /*  825828 */     GIR_EraseRootFromParent_Done,
     /*  825829 */   // Label 12722: @825829
     /*  825829 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825904), // Rule ID 22406 //
     /*  825834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  825851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  825883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825902 */     GIR_RootConstrainSelectedInstOperands,
     /*  825903 */     // GIR_Coverage, 22406,
     /*  825903 */     GIR_EraseRootFromParent_Done,
     /*  825904 */   // Label 12723: @825904
     /*  825904 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(825979), // Rule ID 22409 //
     /*  825909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  825926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825955 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  825958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825977 */     GIR_RootConstrainSelectedInstOperands,
     /*  825978 */     // GIR_Coverage, 22409,
     /*  825978 */     GIR_EraseRootFromParent_Done,
     /*  825979 */   // Label 12724: @825979
     /*  825979 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(826054), // Rule ID 22410 //
     /*  825984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  826033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826052 */     GIR_RootConstrainSelectedInstOperands,
     /*  826053 */     // GIR_Coverage, 22410,
     /*  826053 */     GIR_EraseRootFromParent_Done,
     /*  826054 */   // Label 12725: @826054
     /*  826054 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(826129), // Rule ID 22413 //
     /*  826059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826127 */     GIR_RootConstrainSelectedInstOperands,
     /*  826128 */     // GIR_Coverage, 22413,
     /*  826128 */     GIR_EraseRootFromParent_Done,
     /*  826129 */   // Label 12726: @826129
     /*  826129 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(826204), // Rule ID 22414 //
     /*  826134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826202 */     GIR_RootConstrainSelectedInstOperands,
     /*  826203 */     // GIR_Coverage, 22414,
     /*  826203 */     GIR_EraseRootFromParent_Done,
     /*  826204 */   // Label 12727: @826204
     /*  826204 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826279), // Rule ID 22417 //
     /*  826209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826277 */     GIR_RootConstrainSelectedInstOperands,
     /*  826278 */     // GIR_Coverage, 22417,
     /*  826278 */     GIR_EraseRootFromParent_Done,
     /*  826279 */   // Label 12728: @826279
     /*  826279 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826354), // Rule ID 22418 //
     /*  826284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826352 */     GIR_RootConstrainSelectedInstOperands,
     /*  826353 */     // GIR_Coverage, 22418,
     /*  826353 */     GIR_EraseRootFromParent_Done,
     /*  826354 */   // Label 12729: @826354
     /*  826354 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826429), // Rule ID 22421 //
     /*  826359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826427 */     GIR_RootConstrainSelectedInstOperands,
     /*  826428 */     // GIR_Coverage, 22421,
     /*  826428 */     GIR_EraseRootFromParent_Done,
     /*  826429 */   // Label 12730: @826429
     /*  826429 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(826504), // Rule ID 22422 //
     /*  826434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826502 */     GIR_RootConstrainSelectedInstOperands,
     /*  826503 */     // GIR_Coverage, 22422,
     /*  826503 */     GIR_EraseRootFromParent_Done,
     /*  826504 */   // Label 12731: @826504
     /*  826504 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(826579), // Rule ID 22425 //
     /*  826509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  826558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826577 */     GIR_RootConstrainSelectedInstOperands,
     /*  826578 */     // GIR_Coverage, 22425,
     /*  826578 */     GIR_EraseRootFromParent_Done,
     /*  826579 */   // Label 12732: @826579
     /*  826579 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(826654), // Rule ID 22426 //
     /*  826584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  826633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826652 */     GIR_RootConstrainSelectedInstOperands,
     /*  826653 */     // GIR_Coverage, 22426,
     /*  826653 */     GIR_EraseRootFromParent_Done,
     /*  826654 */   // Label 12733: @826654
     /*  826654 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826729), // Rule ID 22429 //
     /*  826659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  826676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  826708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826727 */     GIR_RootConstrainSelectedInstOperands,
     /*  826728 */     // GIR_Coverage, 22429,
     /*  826728 */     GIR_EraseRootFromParent_Done,
     /*  826729 */   // Label 12734: @826729
     /*  826729 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826804), // Rule ID 22430 //
     /*  826734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  826751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  826783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826802 */     GIR_RootConstrainSelectedInstOperands,
     /*  826803 */     // GIR_Coverage, 22430,
     /*  826803 */     GIR_EraseRootFromParent_Done,
     /*  826804 */   // Label 12735: @826804
     /*  826804 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826879), // Rule ID 22433 //
     /*  826809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  826826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  826858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826877 */     GIR_RootConstrainSelectedInstOperands,
     /*  826878 */     // GIR_Coverage, 22433,
     /*  826878 */     GIR_EraseRootFromParent_Done,
     /*  826879 */   // Label 12736: @826879
     /*  826879 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(826954), // Rule ID 22434 //
     /*  826884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  826901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  826933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826952 */     GIR_RootConstrainSelectedInstOperands,
     /*  826953 */     // GIR_Coverage, 22434,
     /*  826953 */     GIR_EraseRootFromParent_Done,
     /*  826954 */   // Label 12737: @826954
     /*  826954 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(827029), // Rule ID 22437 //
     /*  826959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  826976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  827008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827027 */     GIR_RootConstrainSelectedInstOperands,
     /*  827028 */     // GIR_Coverage, 22437,
     /*  827028 */     GIR_EraseRootFromParent_Done,
     /*  827029 */   // Label 12738: @827029
     /*  827029 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(827104), // Rule ID 22438 //
     /*  827034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  827083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827102 */     GIR_RootConstrainSelectedInstOperands,
     /*  827103 */     // GIR_Coverage, 22438,
     /*  827103 */     GIR_EraseRootFromParent_Done,
     /*  827104 */   // Label 12739: @827104
     /*  827104 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(827179), // Rule ID 22441 //
     /*  827109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827177 */     GIR_RootConstrainSelectedInstOperands,
     /*  827178 */     // GIR_Coverage, 22441,
     /*  827178 */     GIR_EraseRootFromParent_Done,
     /*  827179 */   // Label 12740: @827179
     /*  827179 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(827254), // Rule ID 22442 //
     /*  827184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827252 */     GIR_RootConstrainSelectedInstOperands,
     /*  827253 */     // GIR_Coverage, 22442,
     /*  827253 */     GIR_EraseRootFromParent_Done,
     /*  827254 */   // Label 12741: @827254
     /*  827254 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(827329), // Rule ID 22445 //
     /*  827259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827327 */     GIR_RootConstrainSelectedInstOperands,
     /*  827328 */     // GIR_Coverage, 22445,
     /*  827328 */     GIR_EraseRootFromParent_Done,
     /*  827329 */   // Label 12742: @827329
     /*  827329 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(827404), // Rule ID 22446 //
     /*  827334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827402 */     GIR_RootConstrainSelectedInstOperands,
     /*  827403 */     // GIR_Coverage, 22446,
     /*  827403 */     GIR_EraseRootFromParent_Done,
     /*  827404 */   // Label 12743: @827404
     /*  827404 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(827479), // Rule ID 22449 //
     /*  827409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827477 */     GIR_RootConstrainSelectedInstOperands,
     /*  827478 */     // GIR_Coverage, 22449,
     /*  827478 */     GIR_EraseRootFromParent_Done,
     /*  827479 */   // Label 12744: @827479
     /*  827479 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(827554), // Rule ID 22450 //
     /*  827484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827552 */     GIR_RootConstrainSelectedInstOperands,
     /*  827553 */     // GIR_Coverage, 22450,
     /*  827553 */     GIR_EraseRootFromParent_Done,
     /*  827554 */   // Label 12745: @827554
     /*  827554 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(827629), // Rule ID 22453 //
     /*  827559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  827576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  827608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827627 */     GIR_RootConstrainSelectedInstOperands,
     /*  827628 */     // GIR_Coverage, 22453,
     /*  827628 */     GIR_EraseRootFromParent_Done,
     /*  827629 */   // Label 12746: @827629
     /*  827629 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827704), // Rule ID 22454 //
     /*  827634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  827651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  827683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827702 */     GIR_RootConstrainSelectedInstOperands,
     /*  827703 */     // GIR_Coverage, 22454,
     /*  827703 */     GIR_EraseRootFromParent_Done,
     /*  827704 */   // Label 12747: @827704
     /*  827704 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827779), // Rule ID 22457 //
     /*  827709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  827726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  827758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827777 */     GIR_RootConstrainSelectedInstOperands,
     /*  827778 */     // GIR_Coverage, 22457,
     /*  827778 */     GIR_EraseRootFromParent_Done,
     /*  827779 */   // Label 12748: @827779
     /*  827779 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827854), // Rule ID 22458 //
     /*  827784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  827801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  827833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827852 */     GIR_RootConstrainSelectedInstOperands,
     /*  827853 */     // GIR_Coverage, 22458,
     /*  827853 */     GIR_EraseRootFromParent_Done,
     /*  827854 */   // Label 12749: @827854
     /*  827854 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(827929), // Rule ID 22461 //
     /*  827859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  827876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  827905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  827908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827927 */     GIR_RootConstrainSelectedInstOperands,
     /*  827928 */     // GIR_Coverage, 22461,
     /*  827928 */     GIR_EraseRootFromParent_Done,
     /*  827929 */   // Label 12750: @827929
     /*  827929 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(828004), // Rule ID 22462 //
     /*  827934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  827937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  827951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  827980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  827983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828002 */     GIR_RootConstrainSelectedInstOperands,
     /*  828003 */     // GIR_Coverage, 22462,
     /*  828003 */     GIR_EraseRootFromParent_Done,
     /*  828004 */   // Label 12751: @828004
     /*  828004 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(828079), // Rule ID 22465 //
     /*  828009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  828026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828055 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828077 */     GIR_RootConstrainSelectedInstOperands,
     /*  828078 */     // GIR_Coverage, 22465,
     /*  828078 */     GIR_EraseRootFromParent_Done,
     /*  828079 */   // Label 12752: @828079
     /*  828079 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(828154), // Rule ID 22466 //
     /*  828084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  828101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828152 */     GIR_RootConstrainSelectedInstOperands,
     /*  828153 */     // GIR_Coverage, 22466,
     /*  828153 */     GIR_EraseRootFromParent_Done,
     /*  828154 */   // Label 12753: @828154
     /*  828154 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(828229), // Rule ID 22469 //
     /*  828159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828227 */     GIR_RootConstrainSelectedInstOperands,
     /*  828228 */     // GIR_Coverage, 22469,
     /*  828228 */     GIR_EraseRootFromParent_Done,
     /*  828229 */   // Label 12754: @828229
     /*  828229 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(828304), // Rule ID 22470 //
     /*  828234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828302 */     GIR_RootConstrainSelectedInstOperands,
     /*  828303 */     // GIR_Coverage, 22470,
     /*  828303 */     GIR_EraseRootFromParent_Done,
     /*  828304 */   // Label 12755: @828304
     /*  828304 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(828379), // Rule ID 22473 //
     /*  828309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828355 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828377 */     GIR_RootConstrainSelectedInstOperands,
     /*  828378 */     // GIR_Coverage, 22473,
     /*  828378 */     GIR_EraseRootFromParent_Done,
     /*  828379 */   // Label 12756: @828379
     /*  828379 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(828454), // Rule ID 22474 //
     /*  828384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828452 */     GIR_RootConstrainSelectedInstOperands,
     /*  828453 */     // GIR_Coverage, 22474,
     /*  828453 */     GIR_EraseRootFromParent_Done,
     /*  828454 */   // Label 12757: @828454
     /*  828454 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(828529), // Rule ID 22477 //
     /*  828459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828505 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828527 */     GIR_RootConstrainSelectedInstOperands,
     /*  828528 */     // GIR_Coverage, 22477,
     /*  828528 */     GIR_EraseRootFromParent_Done,
     /*  828529 */   // Label 12758: @828529
     /*  828529 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(828604), // Rule ID 22478 //
     /*  828534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828602 */     GIR_RootConstrainSelectedInstOperands,
     /*  828603 */     // GIR_Coverage, 22478,
     /*  828603 */     GIR_EraseRootFromParent_Done,
     /*  828604 */   // Label 12759: @828604
     /*  828604 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(828679), // Rule ID 22481 //
     /*  828609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  828626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  828658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828677 */     GIR_RootConstrainSelectedInstOperands,
     /*  828678 */     // GIR_Coverage, 22481,
     /*  828678 */     GIR_EraseRootFromParent_Done,
     /*  828679 */   // Label 12760: @828679
     /*  828679 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828754), // Rule ID 22482 //
     /*  828684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  828701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  828733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828752 */     GIR_RootConstrainSelectedInstOperands,
     /*  828753 */     // GIR_Coverage, 22482,
     /*  828753 */     GIR_EraseRootFromParent_Done,
     /*  828754 */   // Label 12761: @828754
     /*  828754 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828829), // Rule ID 22485 //
     /*  828759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  828776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  828808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828827 */     GIR_RootConstrainSelectedInstOperands,
     /*  828828 */     // GIR_Coverage, 22485,
     /*  828828 */     GIR_EraseRootFromParent_Done,
     /*  828829 */   // Label 12762: @828829
     /*  828829 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828904), // Rule ID 22486 //
     /*  828834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  828851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  828883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828902 */     GIR_RootConstrainSelectedInstOperands,
     /*  828903 */     // GIR_Coverage, 22486,
     /*  828903 */     GIR_EraseRootFromParent_Done,
     /*  828904 */   // Label 12763: @828904
     /*  828904 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(828979), // Rule ID 22489 //
     /*  828909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  828926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  828958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828977 */     GIR_RootConstrainSelectedInstOperands,
     /*  828978 */     // GIR_Coverage, 22489,
     /*  828978 */     GIR_EraseRootFromParent_Done,
     /*  828979 */   // Label 12764: @828979
     /*  828979 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(829054), // Rule ID 22490 //
     /*  828984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  829001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  829033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829052 */     GIR_RootConstrainSelectedInstOperands,
     /*  829053 */     // GIR_Coverage, 22490,
     /*  829053 */     GIR_EraseRootFromParent_Done,
     /*  829054 */   // Label 12765: @829054
     /*  829054 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(829129), // Rule ID 22493 //
     /*  829059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829127 */     GIR_RootConstrainSelectedInstOperands,
     /*  829128 */     // GIR_Coverage, 22493,
     /*  829128 */     GIR_EraseRootFromParent_Done,
     /*  829129 */   // Label 12766: @829129
     /*  829129 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(829204), // Rule ID 22494 //
     /*  829134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829202 */     GIR_RootConstrainSelectedInstOperands,
     /*  829203 */     // GIR_Coverage, 22494,
     /*  829203 */     GIR_EraseRootFromParent_Done,
     /*  829204 */   // Label 12767: @829204
     /*  829204 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(829279), // Rule ID 22497 //
     /*  829209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829277 */     GIR_RootConstrainSelectedInstOperands,
     /*  829278 */     // GIR_Coverage, 22497,
     /*  829278 */     GIR_EraseRootFromParent_Done,
     /*  829279 */   // Label 12768: @829279
     /*  829279 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(829354), // Rule ID 22498 //
     /*  829284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829330 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829352 */     GIR_RootConstrainSelectedInstOperands,
     /*  829353 */     // GIR_Coverage, 22498,
     /*  829353 */     GIR_EraseRootFromParent_Done,
     /*  829354 */   // Label 12769: @829354
     /*  829354 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(829429), // Rule ID 22501 //
     /*  829359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829427 */     GIR_RootConstrainSelectedInstOperands,
     /*  829428 */     // GIR_Coverage, 22501,
     /*  829428 */     GIR_EraseRootFromParent_Done,
     /*  829429 */   // Label 12770: @829429
     /*  829429 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(829504), // Rule ID 22502 //
     /*  829434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829502 */     GIR_RootConstrainSelectedInstOperands,
     /*  829503 */     // GIR_Coverage, 22502,
     /*  829503 */     GIR_EraseRootFromParent_Done,
     /*  829504 */   // Label 12771: @829504
     /*  829504 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(829579), // Rule ID 22505 //
     /*  829509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  829558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829577 */     GIR_RootConstrainSelectedInstOperands,
     /*  829578 */     // GIR_Coverage, 22505,
     /*  829578 */     GIR_EraseRootFromParent_Done,
     /*  829579 */   // Label 12772: @829579
     /*  829579 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(829654), // Rule ID 22506 //
     /*  829584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  829633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829652 */     GIR_RootConstrainSelectedInstOperands,
     /*  829653 */     // GIR_Coverage, 22506,
     /*  829653 */     GIR_EraseRootFromParent_Done,
     /*  829654 */   // Label 12773: @829654
     /*  829654 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829729), // Rule ID 22509 //
     /*  829659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  829676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  829708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829727 */     GIR_RootConstrainSelectedInstOperands,
     /*  829728 */     // GIR_Coverage, 22509,
     /*  829728 */     GIR_EraseRootFromParent_Done,
     /*  829729 */   // Label 12774: @829729
     /*  829729 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829804), // Rule ID 22510 //
     /*  829734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  829751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  829783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829802 */     GIR_RootConstrainSelectedInstOperands,
     /*  829803 */     // GIR_Coverage, 22510,
     /*  829803 */     GIR_EraseRootFromParent_Done,
     /*  829804 */   // Label 12775: @829804
     /*  829804 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829879), // Rule ID 22513 //
     /*  829809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  829826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  829858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829877 */     GIR_RootConstrainSelectedInstOperands,
     /*  829878 */     // GIR_Coverage, 22513,
     /*  829878 */     GIR_EraseRootFromParent_Done,
     /*  829879 */   // Label 12776: @829879
     /*  829879 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(829954), // Rule ID 22514 //
     /*  829884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  829901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  829933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829952 */     GIR_RootConstrainSelectedInstOperands,
     /*  829953 */     // GIR_Coverage, 22514,
     /*  829953 */     GIR_EraseRootFromParent_Done,
     /*  829954 */   // Label 12777: @829954
     /*  829954 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(830029), // Rule ID 22517 //
     /*  829959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  829976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  830008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830027 */     GIR_RootConstrainSelectedInstOperands,
     /*  830028 */     // GIR_Coverage, 22517,
     /*  830028 */     GIR_EraseRootFromParent_Done,
     /*  830029 */   // Label 12778: @830029
     /*  830029 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(830104), // Rule ID 22518 //
     /*  830034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  830051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  830083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830102 */     GIR_RootConstrainSelectedInstOperands,
     /*  830103 */     // GIR_Coverage, 22518,
     /*  830103 */     GIR_EraseRootFromParent_Done,
     /*  830104 */   // Label 12779: @830104
     /*  830104 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(830179), // Rule ID 22521 //
     /*  830109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830177 */     GIR_RootConstrainSelectedInstOperands,
     /*  830178 */     // GIR_Coverage, 22521,
     /*  830178 */     GIR_EraseRootFromParent_Done,
     /*  830179 */   // Label 12780: @830179
     /*  830179 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(830254), // Rule ID 22522 //
     /*  830184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830252 */     GIR_RootConstrainSelectedInstOperands,
     /*  830253 */     // GIR_Coverage, 22522,
     /*  830253 */     GIR_EraseRootFromParent_Done,
     /*  830254 */   // Label 12781: @830254
     /*  830254 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(830329), // Rule ID 22525 //
     /*  830259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830327 */     GIR_RootConstrainSelectedInstOperands,
     /*  830328 */     // GIR_Coverage, 22525,
     /*  830328 */     GIR_EraseRootFromParent_Done,
     /*  830329 */   // Label 12782: @830329
     /*  830329 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(830404), // Rule ID 22526 //
     /*  830334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830402 */     GIR_RootConstrainSelectedInstOperands,
     /*  830403 */     // GIR_Coverage, 22526,
     /*  830403 */     GIR_EraseRootFromParent_Done,
     /*  830404 */   // Label 12783: @830404
     /*  830404 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(830479), // Rule ID 22529 //
     /*  830409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830477 */     GIR_RootConstrainSelectedInstOperands,
     /*  830478 */     // GIR_Coverage, 22529,
     /*  830478 */     GIR_EraseRootFromParent_Done,
     /*  830479 */   // Label 12784: @830479
     /*  830479 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(830554), // Rule ID 22530 //
     /*  830484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830552 */     GIR_RootConstrainSelectedInstOperands,
     /*  830553 */     // GIR_Coverage, 22530,
     /*  830553 */     GIR_EraseRootFromParent_Done,
     /*  830554 */   // Label 12785: @830554
     /*  830554 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(830629), // Rule ID 22533 //
     /*  830559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830605 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  830608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830627 */     GIR_RootConstrainSelectedInstOperands,
     /*  830628 */     // GIR_Coverage, 22533,
     /*  830628 */     GIR_EraseRootFromParent_Done,
     /*  830629 */   // Label 12786: @830629
     /*  830629 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830704), // Rule ID 22534 //
     /*  830634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  830683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830702 */     GIR_RootConstrainSelectedInstOperands,
     /*  830703 */     // GIR_Coverage, 22534,
     /*  830703 */     GIR_EraseRootFromParent_Done,
     /*  830704 */   // Label 12787: @830704
     /*  830704 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830779), // Rule ID 22537 //
     /*  830709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  830726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  830758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830777 */     GIR_RootConstrainSelectedInstOperands,
     /*  830778 */     // GIR_Coverage, 22537,
     /*  830778 */     GIR_EraseRootFromParent_Done,
     /*  830779 */   // Label 12788: @830779
     /*  830779 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830854), // Rule ID 22538 //
     /*  830784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  830801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  830833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830852 */     GIR_RootConstrainSelectedInstOperands,
     /*  830853 */     // GIR_Coverage, 22538,
     /*  830853 */     GIR_EraseRootFromParent_Done,
     /*  830854 */   // Label 12789: @830854
     /*  830854 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(830929), // Rule ID 22541 //
     /*  830859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  830876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  830908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830927 */     GIR_RootConstrainSelectedInstOperands,
     /*  830928 */     // GIR_Coverage, 22541,
     /*  830928 */     GIR_EraseRootFromParent_Done,
     /*  830929 */   // Label 12790: @830929
     /*  830929 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(831004), // Rule ID 22542 //
     /*  830934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  830951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  830983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831002 */     GIR_RootConstrainSelectedInstOperands,
     /*  831003 */     // GIR_Coverage, 22542,
     /*  831003 */     GIR_EraseRootFromParent_Done,
     /*  831004 */   // Label 12791: @831004
     /*  831004 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(831079), // Rule ID 22545 //
     /*  831009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831077 */     GIR_RootConstrainSelectedInstOperands,
     /*  831078 */     // GIR_Coverage, 22545,
     /*  831078 */     GIR_EraseRootFromParent_Done,
     /*  831079 */   // Label 12792: @831079
     /*  831079 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(831154), // Rule ID 22546 //
     /*  831084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831152 */     GIR_RootConstrainSelectedInstOperands,
     /*  831153 */     // GIR_Coverage, 22546,
     /*  831153 */     GIR_EraseRootFromParent_Done,
     /*  831154 */   // Label 12793: @831154
     /*  831154 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(831229), // Rule ID 22549 //
     /*  831159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831227 */     GIR_RootConstrainSelectedInstOperands,
     /*  831228 */     // GIR_Coverage, 22549,
     /*  831228 */     GIR_EraseRootFromParent_Done,
     /*  831229 */   // Label 12794: @831229
     /*  831229 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(831304), // Rule ID 22550 //
     /*  831234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831302 */     GIR_RootConstrainSelectedInstOperands,
     /*  831303 */     // GIR_Coverage, 22550,
     /*  831303 */     GIR_EraseRootFromParent_Done,
     /*  831304 */   // Label 12795: @831304
     /*  831304 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(831379), // Rule ID 22553 //
     /*  831309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831377 */     GIR_RootConstrainSelectedInstOperands,
     /*  831378 */     // GIR_Coverage, 22553,
     /*  831378 */     GIR_EraseRootFromParent_Done,
     /*  831379 */   // Label 12796: @831379
     /*  831379 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(831454), // Rule ID 22554 //
     /*  831384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831452 */     GIR_RootConstrainSelectedInstOperands,
     /*  831453 */     // GIR_Coverage, 22554,
     /*  831453 */     GIR_EraseRootFromParent_Done,
     /*  831454 */   // Label 12797: @831454
     /*  831454 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(831529), // Rule ID 22557 //
     /*  831459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831527 */     GIR_RootConstrainSelectedInstOperands,
     /*  831528 */     // GIR_Coverage, 22557,
     /*  831528 */     GIR_EraseRootFromParent_Done,
     /*  831529 */   // Label 12798: @831529
     /*  831529 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(831604), // Rule ID 22558 //
     /*  831534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831602 */     GIR_RootConstrainSelectedInstOperands,
     /*  831603 */     // GIR_Coverage, 22558,
     /*  831603 */     GIR_EraseRootFromParent_Done,
     /*  831604 */   // Label 12799: @831604
     /*  831604 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(831679), // Rule ID 22561 //
     /*  831609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  831626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  831658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831677 */     GIR_RootConstrainSelectedInstOperands,
     /*  831678 */     // GIR_Coverage, 22561,
     /*  831678 */     GIR_EraseRootFromParent_Done,
     /*  831679 */   // Label 12800: @831679
     /*  831679 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831754), // Rule ID 22562 //
     /*  831684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  831701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  831733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831752 */     GIR_RootConstrainSelectedInstOperands,
     /*  831753 */     // GIR_Coverage, 22562,
     /*  831753 */     GIR_EraseRootFromParent_Done,
     /*  831754 */   // Label 12801: @831754
     /*  831754 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831829), // Rule ID 22565 //
     /*  831759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  831776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  831808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831827 */     GIR_RootConstrainSelectedInstOperands,
     /*  831828 */     // GIR_Coverage, 22565,
     /*  831828 */     GIR_EraseRootFromParent_Done,
     /*  831829 */   // Label 12802: @831829
     /*  831829 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831904), // Rule ID 22566 //
     /*  831834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  831851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  831883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831902 */     GIR_RootConstrainSelectedInstOperands,
     /*  831903 */     // GIR_Coverage, 22566,
     /*  831903 */     GIR_EraseRootFromParent_Done,
     /*  831904 */   // Label 12803: @831904
     /*  831904 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(831979), // Rule ID 22569 //
     /*  831909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  831926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  831958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831977 */     GIR_RootConstrainSelectedInstOperands,
     /*  831978 */     // GIR_Coverage, 22569,
     /*  831978 */     GIR_EraseRootFromParent_Done,
     /*  831979 */   // Label 12804: @831979
     /*  831979 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(832054), // Rule ID 22570 //
     /*  831984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  832033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832052 */     GIR_RootConstrainSelectedInstOperands,
     /*  832053 */     // GIR_Coverage, 22570,
     /*  832053 */     GIR_EraseRootFromParent_Done,
     /*  832054 */   // Label 12805: @832054
     /*  832054 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(832129), // Rule ID 22573 //
     /*  832059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832127 */     GIR_RootConstrainSelectedInstOperands,
     /*  832128 */     // GIR_Coverage, 22573,
     /*  832128 */     GIR_EraseRootFromParent_Done,
     /*  832129 */   // Label 12806: @832129
     /*  832129 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(832204), // Rule ID 22574 //
     /*  832134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832202 */     GIR_RootConstrainSelectedInstOperands,
     /*  832203 */     // GIR_Coverage, 22574,
     /*  832203 */     GIR_EraseRootFromParent_Done,
     /*  832204 */   // Label 12807: @832204
     /*  832204 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(832279), // Rule ID 22577 //
     /*  832209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832277 */     GIR_RootConstrainSelectedInstOperands,
     /*  832278 */     // GIR_Coverage, 22577,
     /*  832278 */     GIR_EraseRootFromParent_Done,
     /*  832279 */   // Label 12808: @832279
     /*  832279 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(832354), // Rule ID 22578 //
     /*  832284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832352 */     GIR_RootConstrainSelectedInstOperands,
     /*  832353 */     // GIR_Coverage, 22578,
     /*  832353 */     GIR_EraseRootFromParent_Done,
     /*  832354 */   // Label 12809: @832354
     /*  832354 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(832429), // Rule ID 22581 //
     /*  832359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832427 */     GIR_RootConstrainSelectedInstOperands,
     /*  832428 */     // GIR_Coverage, 22581,
     /*  832428 */     GIR_EraseRootFromParent_Done,
     /*  832429 */   // Label 12810: @832429
     /*  832429 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(832504), // Rule ID 22582 //
     /*  832434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832502 */     GIR_RootConstrainSelectedInstOperands,
     /*  832503 */     // GIR_Coverage, 22582,
     /*  832503 */     GIR_EraseRootFromParent_Done,
     /*  832504 */   // Label 12811: @832504
     /*  832504 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(832579), // Rule ID 22585 //
     /*  832509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  832558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832577 */     GIR_RootConstrainSelectedInstOperands,
     /*  832578 */     // GIR_Coverage, 22585,
     /*  832578 */     GIR_EraseRootFromParent_Done,
     /*  832579 */   // Label 12812: @832579
     /*  832579 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(832654), // Rule ID 22586 //
     /*  832584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832630 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  832633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832652 */     GIR_RootConstrainSelectedInstOperands,
     /*  832653 */     // GIR_Coverage, 22586,
     /*  832653 */     GIR_EraseRootFromParent_Done,
     /*  832654 */   // Label 12813: @832654
     /*  832654 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832729), // Rule ID 22589 //
     /*  832659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  832676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832705 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  832708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832727 */     GIR_RootConstrainSelectedInstOperands,
     /*  832728 */     // GIR_Coverage, 22589,
     /*  832728 */     GIR_EraseRootFromParent_Done,
     /*  832729 */   // Label 12814: @832729
     /*  832729 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832804), // Rule ID 22590 //
     /*  832734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  832751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  832783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832802 */     GIR_RootConstrainSelectedInstOperands,
     /*  832803 */     // GIR_Coverage, 22590,
     /*  832803 */     GIR_EraseRootFromParent_Done,
     /*  832804 */   // Label 12815: @832804
     /*  832804 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832879), // Rule ID 22593 //
     /*  832809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  832826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  832858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832877 */     GIR_RootConstrainSelectedInstOperands,
     /*  832878 */     // GIR_Coverage, 22593,
     /*  832878 */     GIR_EraseRootFromParent_Done,
     /*  832879 */   // Label 12816: @832879
     /*  832879 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(832954), // Rule ID 22594 //
     /*  832884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  832901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  832933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832952 */     GIR_RootConstrainSelectedInstOperands,
     /*  832953 */     // GIR_Coverage, 22594,
     /*  832953 */     GIR_EraseRootFromParent_Done,
     /*  832954 */   // Label 12817: @832954
     /*  832954 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(833029), // Rule ID 22597 //
     /*  832959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  832976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  833008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833027 */     GIR_RootConstrainSelectedInstOperands,
     /*  833028 */     // GIR_Coverage, 22597,
     /*  833028 */     GIR_EraseRootFromParent_Done,
     /*  833029 */   // Label 12818: @833029
     /*  833029 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(833104), // Rule ID 22598 //
     /*  833034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  833051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  833083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833102 */     GIR_RootConstrainSelectedInstOperands,
     /*  833103 */     // GIR_Coverage, 22598,
     /*  833103 */     GIR_EraseRootFromParent_Done,
     /*  833104 */   // Label 12819: @833104
     /*  833104 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(833179), // Rule ID 22601 //
     /*  833109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833177 */     GIR_RootConstrainSelectedInstOperands,
     /*  833178 */     // GIR_Coverage, 22601,
     /*  833178 */     GIR_EraseRootFromParent_Done,
     /*  833179 */   // Label 12820: @833179
     /*  833179 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(833254), // Rule ID 22602 //
     /*  833184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833252 */     GIR_RootConstrainSelectedInstOperands,
     /*  833253 */     // GIR_Coverage, 22602,
     /*  833253 */     GIR_EraseRootFromParent_Done,
     /*  833254 */   // Label 12821: @833254
     /*  833254 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(833329), // Rule ID 22605 //
     /*  833259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833327 */     GIR_RootConstrainSelectedInstOperands,
     /*  833328 */     // GIR_Coverage, 22605,
     /*  833328 */     GIR_EraseRootFromParent_Done,
     /*  833329 */   // Label 12822: @833329
     /*  833329 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(833404), // Rule ID 22606 //
     /*  833334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833402 */     GIR_RootConstrainSelectedInstOperands,
     /*  833403 */     // GIR_Coverage, 22606,
     /*  833403 */     GIR_EraseRootFromParent_Done,
     /*  833404 */   // Label 12823: @833404
     /*  833404 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(833479), // Rule ID 22609 //
     /*  833409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833477 */     GIR_RootConstrainSelectedInstOperands,
     /*  833478 */     // GIR_Coverage, 22609,
     /*  833478 */     GIR_EraseRootFromParent_Done,
     /*  833479 */   // Label 12824: @833479
     /*  833479 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(833554), // Rule ID 22610 //
     /*  833484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833552 */     GIR_RootConstrainSelectedInstOperands,
     /*  833553 */     // GIR_Coverage, 22610,
     /*  833553 */     GIR_EraseRootFromParent_Done,
     /*  833554 */   // Label 12825: @833554
     /*  833554 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(833629), // Rule ID 22613 //
     /*  833559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  833576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  833608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833627 */     GIR_RootConstrainSelectedInstOperands,
     /*  833628 */     // GIR_Coverage, 22613,
     /*  833628 */     GIR_EraseRootFromParent_Done,
     /*  833629 */   // Label 12826: @833629
     /*  833629 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833704), // Rule ID 22614 //
     /*  833634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  833651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  833683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833702 */     GIR_RootConstrainSelectedInstOperands,
     /*  833703 */     // GIR_Coverage, 22614,
     /*  833703 */     GIR_EraseRootFromParent_Done,
     /*  833704 */   // Label 12827: @833704
     /*  833704 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833779), // Rule ID 22617 //
     /*  833709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  833726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  833758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833777 */     GIR_RootConstrainSelectedInstOperands,
     /*  833778 */     // GIR_Coverage, 22617,
     /*  833778 */     GIR_EraseRootFromParent_Done,
     /*  833779 */   // Label 12828: @833779
     /*  833779 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833854), // Rule ID 22618 //
     /*  833784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  833801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  833833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833852 */     GIR_RootConstrainSelectedInstOperands,
     /*  833853 */     // GIR_Coverage, 22618,
     /*  833853 */     GIR_EraseRootFromParent_Done,
     /*  833854 */   // Label 12829: @833854
     /*  833854 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(833929), // Rule ID 22621 //
     /*  833859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  833876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  833908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833927 */     GIR_RootConstrainSelectedInstOperands,
     /*  833928 */     // GIR_Coverage, 22621,
     /*  833928 */     GIR_EraseRootFromParent_Done,
     /*  833929 */   // Label 12830: @833929
     /*  833929 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(834004), // Rule ID 22622 //
     /*  833934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  833951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  833983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834002 */     GIR_RootConstrainSelectedInstOperands,
     /*  834003 */     // GIR_Coverage, 22622,
     /*  834003 */     GIR_EraseRootFromParent_Done,
     /*  834004 */   // Label 12831: @834004
     /*  834004 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(834079), // Rule ID 22625 //
     /*  834009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834055 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834077 */     GIR_RootConstrainSelectedInstOperands,
     /*  834078 */     // GIR_Coverage, 22625,
     /*  834078 */     GIR_EraseRootFromParent_Done,
     /*  834079 */   // Label 12832: @834079
     /*  834079 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(834154), // Rule ID 22626 //
     /*  834084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834152 */     GIR_RootConstrainSelectedInstOperands,
     /*  834153 */     // GIR_Coverage, 22626,
     /*  834153 */     GIR_EraseRootFromParent_Done,
     /*  834154 */   // Label 12833: @834154
     /*  834154 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(834229), // Rule ID 22629 //
     /*  834159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834227 */     GIR_RootConstrainSelectedInstOperands,
     /*  834228 */     // GIR_Coverage, 22629,
     /*  834228 */     GIR_EraseRootFromParent_Done,
     /*  834229 */   // Label 12834: @834229
     /*  834229 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(834304), // Rule ID 22630 //
     /*  834234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834302 */     GIR_RootConstrainSelectedInstOperands,
     /*  834303 */     // GIR_Coverage, 22630,
     /*  834303 */     GIR_EraseRootFromParent_Done,
     /*  834304 */   // Label 12835: @834304
     /*  834304 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(834379), // Rule ID 22633 //
     /*  834309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834377 */     GIR_RootConstrainSelectedInstOperands,
     /*  834378 */     // GIR_Coverage, 22633,
     /*  834378 */     GIR_EraseRootFromParent_Done,
     /*  834379 */   // Label 12836: @834379
     /*  834379 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(834454), // Rule ID 22634 //
     /*  834384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834452 */     GIR_RootConstrainSelectedInstOperands,
     /*  834453 */     // GIR_Coverage, 22634,
     /*  834453 */     GIR_EraseRootFromParent_Done,
     /*  834454 */   // Label 12837: @834454
     /*  834454 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(834529), // Rule ID 22637 //
     /*  834459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834527 */     GIR_RootConstrainSelectedInstOperands,
     /*  834528 */     // GIR_Coverage, 22637,
     /*  834528 */     GIR_EraseRootFromParent_Done,
     /*  834529 */   // Label 12838: @834529
     /*  834529 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(834604), // Rule ID 22638 //
     /*  834534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834602 */     GIR_RootConstrainSelectedInstOperands,
     /*  834603 */     // GIR_Coverage, 22638,
     /*  834603 */     GIR_EraseRootFromParent_Done,
     /*  834604 */   // Label 12839: @834604
     /*  834604 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(834679), // Rule ID 22641 //
     /*  834609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  834626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  834658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834677 */     GIR_RootConstrainSelectedInstOperands,
     /*  834678 */     // GIR_Coverage, 22641,
     /*  834678 */     GIR_EraseRootFromParent_Done,
     /*  834679 */   // Label 12840: @834679
     /*  834679 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834754), // Rule ID 22642 //
     /*  834684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  834701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  834733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834752 */     GIR_RootConstrainSelectedInstOperands,
     /*  834753 */     // GIR_Coverage, 22642,
     /*  834753 */     GIR_EraseRootFromParent_Done,
     /*  834754 */   // Label 12841: @834754
     /*  834754 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834829), // Rule ID 22645 //
     /*  834759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  834776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  834808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834827 */     GIR_RootConstrainSelectedInstOperands,
     /*  834828 */     // GIR_Coverage, 22645,
     /*  834828 */     GIR_EraseRootFromParent_Done,
     /*  834829 */   // Label 12842: @834829
     /*  834829 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834904), // Rule ID 22646 //
     /*  834834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  834851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  834883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834902 */     GIR_RootConstrainSelectedInstOperands,
     /*  834903 */     // GIR_Coverage, 22646,
     /*  834903 */     GIR_EraseRootFromParent_Done,
     /*  834904 */   // Label 12843: @834904
     /*  834904 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(834979), // Rule ID 22649 //
     /*  834909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  834926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  834958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834977 */     GIR_RootConstrainSelectedInstOperands,
     /*  834978 */     // GIR_Coverage, 22649,
     /*  834978 */     GIR_EraseRootFromParent_Done,
     /*  834979 */   // Label 12844: @834979
     /*  834979 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(835054), // Rule ID 22650 //
     /*  834984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  835001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  835033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835052 */     GIR_RootConstrainSelectedInstOperands,
     /*  835053 */     // GIR_Coverage, 22650,
     /*  835053 */     GIR_EraseRootFromParent_Done,
     /*  835054 */   // Label 12845: @835054
     /*  835054 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(835129), // Rule ID 22653 //
     /*  835059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835105 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835127 */     GIR_RootConstrainSelectedInstOperands,
     /*  835128 */     // GIR_Coverage, 22653,
     /*  835128 */     GIR_EraseRootFromParent_Done,
     /*  835129 */   // Label 12846: @835129
     /*  835129 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(835204), // Rule ID 22654 //
     /*  835134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835202 */     GIR_RootConstrainSelectedInstOperands,
     /*  835203 */     // GIR_Coverage, 22654,
     /*  835203 */     GIR_EraseRootFromParent_Done,
     /*  835204 */   // Label 12847: @835204
     /*  835204 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(835279), // Rule ID 22657 //
     /*  835209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835277 */     GIR_RootConstrainSelectedInstOperands,
     /*  835278 */     // GIR_Coverage, 22657,
     /*  835278 */     GIR_EraseRootFromParent_Done,
     /*  835279 */   // Label 12848: @835279
     /*  835279 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(835354), // Rule ID 22658 //
     /*  835284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835352 */     GIR_RootConstrainSelectedInstOperands,
     /*  835353 */     // GIR_Coverage, 22658,
     /*  835353 */     GIR_EraseRootFromParent_Done,
     /*  835354 */   // Label 12849: @835354
     /*  835354 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(835429), // Rule ID 22661 //
     /*  835359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835427 */     GIR_RootConstrainSelectedInstOperands,
     /*  835428 */     // GIR_Coverage, 22661,
     /*  835428 */     GIR_EraseRootFromParent_Done,
     /*  835429 */   // Label 12850: @835429
     /*  835429 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(835504), // Rule ID 22662 //
     /*  835434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835502 */     GIR_RootConstrainSelectedInstOperands,
     /*  835503 */     // GIR_Coverage, 22662,
     /*  835503 */     GIR_EraseRootFromParent_Done,
     /*  835504 */   // Label 12851: @835504
     /*  835504 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(835579), // Rule ID 22665 //
     /*  835509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  835558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835577 */     GIR_RootConstrainSelectedInstOperands,
     /*  835578 */     // GIR_Coverage, 22665,
     /*  835578 */     GIR_EraseRootFromParent_Done,
     /*  835579 */   // Label 12852: @835579
     /*  835579 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(835654), // Rule ID 22666 //
     /*  835584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  835633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835652 */     GIR_RootConstrainSelectedInstOperands,
     /*  835653 */     // GIR_Coverage, 22666,
     /*  835653 */     GIR_EraseRootFromParent_Done,
     /*  835654 */   // Label 12853: @835654
     /*  835654 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835729), // Rule ID 22669 //
     /*  835659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  835676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  835708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835727 */     GIR_RootConstrainSelectedInstOperands,
     /*  835728 */     // GIR_Coverage, 22669,
     /*  835728 */     GIR_EraseRootFromParent_Done,
     /*  835729 */   // Label 12854: @835729
     /*  835729 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835804), // Rule ID 22670 //
     /*  835734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  835751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  835783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835802 */     GIR_RootConstrainSelectedInstOperands,
     /*  835803 */     // GIR_Coverage, 22670,
     /*  835803 */     GIR_EraseRootFromParent_Done,
     /*  835804 */   // Label 12855: @835804
     /*  835804 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835879), // Rule ID 22673 //
     /*  835809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  835826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835855 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  835858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835877 */     GIR_RootConstrainSelectedInstOperands,
     /*  835878 */     // GIR_Coverage, 22673,
     /*  835878 */     GIR_EraseRootFromParent_Done,
     /*  835879 */   // Label 12856: @835879
     /*  835879 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(835954), // Rule ID 22674 //
     /*  835884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  835901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  835933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835952 */     GIR_RootConstrainSelectedInstOperands,
     /*  835953 */     // GIR_Coverage, 22674,
     /*  835953 */     GIR_EraseRootFromParent_Done,
     /*  835954 */   // Label 12857: @835954
     /*  835954 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(836029), // Rule ID 22677 //
     /*  835959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  835976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  836008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836027 */     GIR_RootConstrainSelectedInstOperands,
     /*  836028 */     // GIR_Coverage, 22677,
     /*  836028 */     GIR_EraseRootFromParent_Done,
     /*  836029 */   // Label 12858: @836029
     /*  836029 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(836104), // Rule ID 22678 //
     /*  836034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  836051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  836083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836102 */     GIR_RootConstrainSelectedInstOperands,
     /*  836103 */     // GIR_Coverage, 22678,
     /*  836103 */     GIR_EraseRootFromParent_Done,
     /*  836104 */   // Label 12859: @836104
     /*  836104 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(836179), // Rule ID 22681 //
     /*  836109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836177 */     GIR_RootConstrainSelectedInstOperands,
     /*  836178 */     // GIR_Coverage, 22681,
     /*  836178 */     GIR_EraseRootFromParent_Done,
     /*  836179 */   // Label 12860: @836179
     /*  836179 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(836254), // Rule ID 22682 //
     /*  836184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836252 */     GIR_RootConstrainSelectedInstOperands,
     /*  836253 */     // GIR_Coverage, 22682,
     /*  836253 */     GIR_EraseRootFromParent_Done,
     /*  836254 */   // Label 12861: @836254
     /*  836254 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(836329), // Rule ID 22685 //
     /*  836259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836327 */     GIR_RootConstrainSelectedInstOperands,
     /*  836328 */     // GIR_Coverage, 22685,
     /*  836328 */     GIR_EraseRootFromParent_Done,
     /*  836329 */   // Label 12862: @836329
     /*  836329 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(836404), // Rule ID 22686 //
     /*  836334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836402 */     GIR_RootConstrainSelectedInstOperands,
     /*  836403 */     // GIR_Coverage, 22686,
     /*  836403 */     GIR_EraseRootFromParent_Done,
     /*  836404 */   // Label 12863: @836404
     /*  836404 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(836479), // Rule ID 22689 //
     /*  836409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836477 */     GIR_RootConstrainSelectedInstOperands,
     /*  836478 */     // GIR_Coverage, 22689,
     /*  836478 */     GIR_EraseRootFromParent_Done,
     /*  836479 */   // Label 12864: @836479
     /*  836479 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(836554), // Rule ID 22690 //
     /*  836484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836552 */     GIR_RootConstrainSelectedInstOperands,
     /*  836553 */     // GIR_Coverage, 22690,
     /*  836553 */     GIR_EraseRootFromParent_Done,
     /*  836554 */   // Label 12865: @836554
     /*  836554 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(836629), // Rule ID 22693 //
     /*  836559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  836576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  836608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836627 */     GIR_RootConstrainSelectedInstOperands,
     /*  836628 */     // GIR_Coverage, 22693,
     /*  836628 */     GIR_EraseRootFromParent_Done,
     /*  836629 */   // Label 12866: @836629
     /*  836629 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836704), // Rule ID 22694 //
     /*  836634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  836651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  836683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836702 */     GIR_RootConstrainSelectedInstOperands,
     /*  836703 */     // GIR_Coverage, 22694,
     /*  836703 */     GIR_EraseRootFromParent_Done,
     /*  836704 */   // Label 12867: @836704
     /*  836704 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836779), // Rule ID 22697 //
     /*  836709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  836726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  836758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836777 */     GIR_RootConstrainSelectedInstOperands,
     /*  836778 */     // GIR_Coverage, 22697,
     /*  836778 */     GIR_EraseRootFromParent_Done,
     /*  836779 */   // Label 12868: @836779
     /*  836779 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836854), // Rule ID 22698 //
     /*  836784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  836801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  836833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836852 */     GIR_RootConstrainSelectedInstOperands,
     /*  836853 */     // GIR_Coverage, 22698,
     /*  836853 */     GIR_EraseRootFromParent_Done,
     /*  836854 */   // Label 12869: @836854
     /*  836854 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(836929), // Rule ID 22701 //
     /*  836859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  836876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  836908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836927 */     GIR_RootConstrainSelectedInstOperands,
     /*  836928 */     // GIR_Coverage, 22701,
     /*  836928 */     GIR_EraseRootFromParent_Done,
     /*  836929 */   // Label 12870: @836929
     /*  836929 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(837004), // Rule ID 22702 //
     /*  836934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  836951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  836983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837002 */     GIR_RootConstrainSelectedInstOperands,
     /*  837003 */     // GIR_Coverage, 22702,
     /*  837003 */     GIR_EraseRootFromParent_Done,
     /*  837004 */   // Label 12871: @837004
     /*  837004 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(837079), // Rule ID 22821 //
     /*  837009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837077 */     GIR_RootConstrainSelectedInstOperands,
     /*  837078 */     // GIR_Coverage, 22821,
     /*  837078 */     GIR_EraseRootFromParent_Done,
     /*  837079 */   // Label 12872: @837079
     /*  837079 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(837154), // Rule ID 22822 //
     /*  837084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837152 */     GIR_RootConstrainSelectedInstOperands,
     /*  837153 */     // GIR_Coverage, 22822,
     /*  837153 */     GIR_EraseRootFromParent_Done,
     /*  837154 */   // Label 12873: @837154
     /*  837154 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(837229), // Rule ID 22825 //
     /*  837159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837205 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837227 */     GIR_RootConstrainSelectedInstOperands,
     /*  837228 */     // GIR_Coverage, 22825,
     /*  837228 */     GIR_EraseRootFromParent_Done,
     /*  837229 */   // Label 12874: @837229
     /*  837229 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(837304), // Rule ID 22826 //
     /*  837234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837280 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837302 */     GIR_RootConstrainSelectedInstOperands,
     /*  837303 */     // GIR_Coverage, 22826,
     /*  837303 */     GIR_EraseRootFromParent_Done,
     /*  837304 */   // Label 12875: @837304
     /*  837304 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(837379), // Rule ID 22829 //
     /*  837309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837355 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837377 */     GIR_RootConstrainSelectedInstOperands,
     /*  837378 */     // GIR_Coverage, 22829,
     /*  837378 */     GIR_EraseRootFromParent_Done,
     /*  837379 */   // Label 12876: @837379
     /*  837379 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(837454), // Rule ID 22830 //
     /*  837384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837430 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837452 */     GIR_RootConstrainSelectedInstOperands,
     /*  837453 */     // GIR_Coverage, 22830,
     /*  837453 */     GIR_EraseRootFromParent_Done,
     /*  837454 */   // Label 12877: @837454
     /*  837454 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(837529), // Rule ID 22833 //
     /*  837459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837505 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837527 */     GIR_RootConstrainSelectedInstOperands,
     /*  837528 */     // GIR_Coverage, 22833,
     /*  837528 */     GIR_EraseRootFromParent_Done,
     /*  837529 */   // Label 12878: @837529
     /*  837529 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(837604), // Rule ID 22834 //
     /*  837534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837580 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837602 */     GIR_RootConstrainSelectedInstOperands,
     /*  837603 */     // GIR_Coverage, 22834,
     /*  837603 */     GIR_EraseRootFromParent_Done,
     /*  837604 */   // Label 12879: @837604
     /*  837604 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(837679), // Rule ID 22837 //
     /*  837609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837655 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  837658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837677 */     GIR_RootConstrainSelectedInstOperands,
     /*  837678 */     // GIR_Coverage, 22837,
     /*  837678 */     GIR_EraseRootFromParent_Done,
     /*  837679 */   // Label 12880: @837679
     /*  837679 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837754), // Rule ID 22838 //
     /*  837684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837730 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  837733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837752 */     GIR_RootConstrainSelectedInstOperands,
     /*  837753 */     // GIR_Coverage, 22838,
     /*  837753 */     GIR_EraseRootFromParent_Done,
     /*  837754 */   // Label 12881: @837754
     /*  837754 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837829), // Rule ID 22841 //
     /*  837759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  837762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  837776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837805 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  837805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  837808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837827 */     GIR_RootConstrainSelectedInstOperands,
     /*  837828 */     // GIR_Coverage, 22841,
     /*  837828 */     GIR_EraseRootFromParent_Done,
     /*  837829 */   // Label 12882: @837829
     /*  837829 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837904), // Rule ID 22842 //
     /*  837834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  837837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  837851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  837880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  837883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837902 */     GIR_RootConstrainSelectedInstOperands,
     /*  837903 */     // GIR_Coverage, 22842,
     /*  837903 */     GIR_EraseRootFromParent_Done,
     /*  837904 */   // Label 12883: @837904
     /*  837904 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(837979), // Rule ID 22845 //
     /*  837909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  837926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837955 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  837958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837977 */     GIR_RootConstrainSelectedInstOperands,
     /*  837978 */     // GIR_Coverage, 22845,
     /*  837978 */     GIR_EraseRootFromParent_Done,
     /*  837979 */   // Label 12884: @837979
     /*  837979 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(838054), // Rule ID 22846 //
     /*  837984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838030 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  838033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838052 */     GIR_RootConstrainSelectedInstOperands,
     /*  838053 */     // GIR_Coverage, 22846,
     /*  838053 */     GIR_EraseRootFromParent_Done,
     /*  838054 */   // Label 12885: @838054
     /*  838054 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(838129), // Rule ID 22849 //
     /*  838059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838105 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838127 */     GIR_RootConstrainSelectedInstOperands,
     /*  838128 */     // GIR_Coverage, 22849,
     /*  838128 */     GIR_EraseRootFromParent_Done,
     /*  838129 */   // Label 12886: @838129
     /*  838129 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(838204), // Rule ID 22850 //
     /*  838134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838180 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838202 */     GIR_RootConstrainSelectedInstOperands,
     /*  838203 */     // GIR_Coverage, 22850,
     /*  838203 */     GIR_EraseRootFromParent_Done,
     /*  838204 */   // Label 12887: @838204
     /*  838204 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(838279), // Rule ID 22853 //
     /*  838209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838255 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838277 */     GIR_RootConstrainSelectedInstOperands,
     /*  838278 */     // GIR_Coverage, 22853,
     /*  838278 */     GIR_EraseRootFromParent_Done,
     /*  838279 */   // Label 12888: @838279
     /*  838279 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(838354), // Rule ID 22854 //
     /*  838284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838330 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838352 */     GIR_RootConstrainSelectedInstOperands,
     /*  838353 */     // GIR_Coverage, 22854,
     /*  838353 */     GIR_EraseRootFromParent_Done,
     /*  838354 */   // Label 12889: @838354
     /*  838354 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(838429), // Rule ID 22857 //
     /*  838359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838405 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838427 */     GIR_RootConstrainSelectedInstOperands,
     /*  838428 */     // GIR_Coverage, 22857,
     /*  838428 */     GIR_EraseRootFromParent_Done,
     /*  838429 */   // Label 12890: @838429
     /*  838429 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(838504), // Rule ID 22858 //
     /*  838434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838502 */     GIR_RootConstrainSelectedInstOperands,
     /*  838503 */     // GIR_Coverage, 22858,
     /*  838503 */     GIR_EraseRootFromParent_Done,
     /*  838504 */   // Label 12891: @838504
     /*  838504 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(838579), // Rule ID 22861 //
     /*  838509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838555 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  838558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838577 */     GIR_RootConstrainSelectedInstOperands,
     /*  838578 */     // GIR_Coverage, 22861,
     /*  838578 */     GIR_EraseRootFromParent_Done,
     /*  838579 */   // Label 12892: @838579
     /*  838579 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(838654), // Rule ID 22862 //
     /*  838584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838630 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  838633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838652 */     GIR_RootConstrainSelectedInstOperands,
     /*  838653 */     // GIR_Coverage, 22862,
     /*  838653 */     GIR_EraseRootFromParent_Done,
     /*  838654 */   // Label 12893: @838654
     /*  838654 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838729), // Rule ID 22865 //
     /*  838659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838705 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  838708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838727 */     GIR_RootConstrainSelectedInstOperands,
     /*  838728 */     // GIR_Coverage, 22865,
     /*  838728 */     GIR_EraseRootFromParent_Done,
     /*  838729 */   // Label 12894: @838729
     /*  838729 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838804), // Rule ID 22866 //
     /*  838734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838780 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  838783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838802 */     GIR_RootConstrainSelectedInstOperands,
     /*  838803 */     // GIR_Coverage, 22866,
     /*  838803 */     GIR_EraseRootFromParent_Done,
     /*  838804 */   // Label 12895: @838804
     /*  838804 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838879), // Rule ID 22869 //
     /*  838809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  838826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838855 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  838858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838877 */     GIR_RootConstrainSelectedInstOperands,
     /*  838878 */     // GIR_Coverage, 22869,
     /*  838878 */     GIR_EraseRootFromParent_Done,
     /*  838879 */   // Label 12896: @838879
     /*  838879 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(838954), // Rule ID 22870 //
     /*  838884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  838901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  838930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  838933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838952 */     GIR_RootConstrainSelectedInstOperands,
     /*  838953 */     // GIR_Coverage, 22870,
     /*  838953 */     GIR_EraseRootFromParent_Done,
     /*  838954 */   // Label 12897: @838954
     /*  838954 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(839029), // Rule ID 22873 //
     /*  838959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  838976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839005 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  839008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839027 */     GIR_RootConstrainSelectedInstOperands,
     /*  839028 */     // GIR_Coverage, 22873,
     /*  839028 */     GIR_EraseRootFromParent_Done,
     /*  839029 */   // Label 12898: @839029
     /*  839029 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(839104), // Rule ID 22874 //
     /*  839034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  839051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839080 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  839083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839102 */     GIR_RootConstrainSelectedInstOperands,
     /*  839103 */     // GIR_Coverage, 22874,
     /*  839103 */     GIR_EraseRootFromParent_Done,
     /*  839104 */   // Label 12899: @839104
     /*  839104 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(839179), // Rule ID 22877 //
     /*  839109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839177 */     GIR_RootConstrainSelectedInstOperands,
     /*  839178 */     // GIR_Coverage, 22877,
     /*  839178 */     GIR_EraseRootFromParent_Done,
     /*  839179 */   // Label 12900: @839179
     /*  839179 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(839254), // Rule ID 22878 //
     /*  839184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839252 */     GIR_RootConstrainSelectedInstOperands,
     /*  839253 */     // GIR_Coverage, 22878,
     /*  839253 */     GIR_EraseRootFromParent_Done,
     /*  839254 */   // Label 12901: @839254
     /*  839254 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(839329), // Rule ID 22881 //
     /*  839259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839305 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839327 */     GIR_RootConstrainSelectedInstOperands,
     /*  839328 */     // GIR_Coverage, 22881,
     /*  839328 */     GIR_EraseRootFromParent_Done,
     /*  839329 */   // Label 12902: @839329
     /*  839329 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(839404), // Rule ID 22882 //
     /*  839334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839402 */     GIR_RootConstrainSelectedInstOperands,
     /*  839403 */     // GIR_Coverage, 22882,
     /*  839403 */     GIR_EraseRootFromParent_Done,
     /*  839404 */   // Label 12903: @839404
     /*  839404 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(839479), // Rule ID 22885 //
     /*  839409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839455 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839477 */     GIR_RootConstrainSelectedInstOperands,
     /*  839478 */     // GIR_Coverage, 22885,
     /*  839478 */     GIR_EraseRootFromParent_Done,
     /*  839479 */   // Label 12904: @839479
     /*  839479 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(839554), // Rule ID 22886 //
     /*  839484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839530 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839552 */     GIR_RootConstrainSelectedInstOperands,
     /*  839553 */     // GIR_Coverage, 22886,
     /*  839553 */     GIR_EraseRootFromParent_Done,
     /*  839554 */   // Label 12905: @839554
     /*  839554 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(839629), // Rule ID 22889 //
     /*  839559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839605 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  839608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839627 */     GIR_RootConstrainSelectedInstOperands,
     /*  839628 */     // GIR_Coverage, 22889,
     /*  839628 */     GIR_EraseRootFromParent_Done,
     /*  839629 */   // Label 12906: @839629
     /*  839629 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839704), // Rule ID 22890 //
     /*  839634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839680 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  839683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839702 */     GIR_RootConstrainSelectedInstOperands,
     /*  839703 */     // GIR_Coverage, 22890,
     /*  839703 */     GIR_EraseRootFromParent_Done,
     /*  839704 */   // Label 12907: @839704
     /*  839704 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839779), // Rule ID 22893 //
     /*  839709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839755 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  839758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839777 */     GIR_RootConstrainSelectedInstOperands,
     /*  839778 */     // GIR_Coverage, 22893,
     /*  839778 */     GIR_EraseRootFromParent_Done,
     /*  839779 */   // Label 12908: @839779
     /*  839779 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839854), // Rule ID 22894 //
     /*  839784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839830 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  839833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839852 */     GIR_RootConstrainSelectedInstOperands,
     /*  839853 */     // GIR_Coverage, 22894,
     /*  839853 */     GIR_EraseRootFromParent_Done,
     /*  839854 */   // Label 12909: @839854
     /*  839854 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(839929), // Rule ID 22897 //
     /*  839859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  839876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  839908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839927 */     GIR_RootConstrainSelectedInstOperands,
     /*  839928 */     // GIR_Coverage, 22897,
     /*  839928 */     GIR_EraseRootFromParent_Done,
     /*  839929 */   // Label 12910: @839929
     /*  839929 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(840004), // Rule ID 22898 //
     /*  839934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  839951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839980 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  839983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840002 */     GIR_RootConstrainSelectedInstOperands,
     /*  840003 */     // GIR_Coverage, 22898,
     /*  840003 */     GIR_EraseRootFromParent_Done,
     /*  840004 */   // Label 12911: @840004
     /*  840004 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(840079), // Rule ID 22901 //
     /*  840009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  840012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840055 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840077 */     GIR_RootConstrainSelectedInstOperands,
     /*  840078 */     // GIR_Coverage, 22901,
     /*  840078 */     GIR_EraseRootFromParent_Done,
     /*  840079 */   // Label 12912: @840079
     /*  840079 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(840154), // Rule ID 22902 //
     /*  840084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840130 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840152 */     GIR_RootConstrainSelectedInstOperands,
     /*  840153 */     // GIR_Coverage, 22902,
     /*  840153 */     GIR_EraseRootFromParent_Done,
     /*  840154 */   // Label 12913: @840154
     /*  840154 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(840229), // Rule ID 22905 //
     /*  840159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840205 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840227 */     GIR_RootConstrainSelectedInstOperands,
     /*  840228 */     // GIR_Coverage, 22905,
     /*  840228 */     GIR_EraseRootFromParent_Done,
     /*  840229 */   // Label 12914: @840229
     /*  840229 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(840304), // Rule ID 22906 //
     /*  840234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840280 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840302 */     GIR_RootConstrainSelectedInstOperands,
     /*  840303 */     // GIR_Coverage, 22906,
     /*  840303 */     GIR_EraseRootFromParent_Done,
     /*  840304 */   // Label 12915: @840304
     /*  840304 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(840379), // Rule ID 22909 //
     /*  840309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840377 */     GIR_RootConstrainSelectedInstOperands,
     /*  840378 */     // GIR_Coverage, 22909,
     /*  840378 */     GIR_EraseRootFromParent_Done,
     /*  840379 */   // Label 12916: @840379
     /*  840379 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(840454), // Rule ID 22910 //
     /*  840384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840430 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840452 */     GIR_RootConstrainSelectedInstOperands,
     /*  840453 */     // GIR_Coverage, 22910,
     /*  840453 */     GIR_EraseRootFromParent_Done,
     /*  840454 */   // Label 12917: @840454
     /*  840454 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(840529), // Rule ID 22913 //
     /*  840459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840505 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840527 */     GIR_RootConstrainSelectedInstOperands,
     /*  840528 */     // GIR_Coverage, 22913,
     /*  840528 */     GIR_EraseRootFromParent_Done,
     /*  840529 */   // Label 12918: @840529
     /*  840529 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(840604), // Rule ID 22914 //
     /*  840534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840580 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840602 */     GIR_RootConstrainSelectedInstOperands,
     /*  840603 */     // GIR_Coverage, 22914,
     /*  840603 */     GIR_EraseRootFromParent_Done,
     /*  840604 */   // Label 12919: @840604
     /*  840604 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(840679), // Rule ID 22917 //
     /*  840609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  840626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840655 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  840658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840677 */     GIR_RootConstrainSelectedInstOperands,
     /*  840678 */     // GIR_Coverage, 22917,
     /*  840678 */     GIR_EraseRootFromParent_Done,
     /*  840679 */   // Label 12920: @840679
     /*  840679 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840754), // Rule ID 22918 //
     /*  840684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  840701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840730 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  840733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840752 */     GIR_RootConstrainSelectedInstOperands,
     /*  840753 */     // GIR_Coverage, 22918,
     /*  840753 */     GIR_EraseRootFromParent_Done,
     /*  840754 */   // Label 12921: @840754
     /*  840754 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840829), // Rule ID 22921 //
     /*  840759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  840776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840805 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  840808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840827 */     GIR_RootConstrainSelectedInstOperands,
     /*  840828 */     // GIR_Coverage, 22921,
     /*  840828 */     GIR_EraseRootFromParent_Done,
     /*  840829 */   // Label 12922: @840829
     /*  840829 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840904), // Rule ID 22922 //
     /*  840834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  840851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  840883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840902 */     GIR_RootConstrainSelectedInstOperands,
     /*  840903 */     // GIR_Coverage, 22922,
     /*  840903 */     GIR_EraseRootFromParent_Done,
     /*  840904 */   // Label 12923: @840904
     /*  840904 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(840979), // Rule ID 22925 //
     /*  840909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  840926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840955 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  840958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840977 */     GIR_RootConstrainSelectedInstOperands,
     /*  840978 */     // GIR_Coverage, 22925,
     /*  840978 */     GIR_EraseRootFromParent_Done,
     /*  840979 */   // Label 12924: @840979
     /*  840979 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(841054), // Rule ID 22926 //
     /*  840984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  841033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841052 */     GIR_RootConstrainSelectedInstOperands,
     /*  841053 */     // GIR_Coverage, 22926,
     /*  841053 */     GIR_EraseRootFromParent_Done,
     /*  841054 */   // Label 12925: @841054
     /*  841054 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(841129), // Rule ID 22929 //
     /*  841059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841105 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841127 */     GIR_RootConstrainSelectedInstOperands,
     /*  841128 */     // GIR_Coverage, 22929,
     /*  841128 */     GIR_EraseRootFromParent_Done,
     /*  841129 */   // Label 12926: @841129
     /*  841129 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(841204), // Rule ID 22930 //
     /*  841134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841202 */     GIR_RootConstrainSelectedInstOperands,
     /*  841203 */     // GIR_Coverage, 22930,
     /*  841203 */     GIR_EraseRootFromParent_Done,
     /*  841204 */   // Label 12927: @841204
     /*  841204 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(841279), // Rule ID 22933 //
     /*  841209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841255 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841277 */     GIR_RootConstrainSelectedInstOperands,
     /*  841278 */     // GIR_Coverage, 22933,
     /*  841278 */     GIR_EraseRootFromParent_Done,
     /*  841279 */   // Label 12928: @841279
     /*  841279 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(841354), // Rule ID 22934 //
     /*  841284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841352 */     GIR_RootConstrainSelectedInstOperands,
     /*  841353 */     // GIR_Coverage, 22934,
     /*  841353 */     GIR_EraseRootFromParent_Done,
     /*  841354 */   // Label 12929: @841354
     /*  841354 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(841429), // Rule ID 22937 //
     /*  841359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841405 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841427 */     GIR_RootConstrainSelectedInstOperands,
     /*  841428 */     // GIR_Coverage, 22937,
     /*  841428 */     GIR_EraseRootFromParent_Done,
     /*  841429 */   // Label 12930: @841429
     /*  841429 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(841504), // Rule ID 22938 //
     /*  841434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841502 */     GIR_RootConstrainSelectedInstOperands,
     /*  841503 */     // GIR_Coverage, 22938,
     /*  841503 */     GIR_EraseRootFromParent_Done,
     /*  841504 */   // Label 12931: @841504
     /*  841504 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(841579), // Rule ID 23219 //
     /*  841509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841555 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  841558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841577 */     GIR_RootConstrainSelectedInstOperands,
     /*  841578 */     // GIR_Coverage, 23219,
     /*  841578 */     GIR_EraseRootFromParent_Done,
     /*  841579 */   // Label 12932: @841579
     /*  841579 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(841654), // Rule ID 23220 //
     /*  841584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  841633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841652 */     GIR_RootConstrainSelectedInstOperands,
     /*  841653 */     // GIR_Coverage, 23220,
     /*  841653 */     GIR_EraseRootFromParent_Done,
     /*  841654 */   // Label 12933: @841654
     /*  841654 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841729), // Rule ID 23223 //
     /*  841659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  841670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  841673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  841676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  841679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  841708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841727 */     GIR_RootConstrainSelectedInstOperands,
     /*  841728 */     // GIR_Coverage, 23223,
     /*  841728 */     GIR_EraseRootFromParent_Done,
     /*  841729 */   // Label 12934: @841729
     /*  841729 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841804), // Rule ID 23224 //
     /*  841734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  841745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  841748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  841751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  841754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  841783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841802 */     GIR_RootConstrainSelectedInstOperands,
     /*  841803 */     // GIR_Coverage, 23224,
     /*  841803 */     GIR_EraseRootFromParent_Done,
     /*  841804 */   // Label 12935: @841804
     /*  841804 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841879), // Rule ID 23227 //
     /*  841809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  841820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  841823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  841826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  841829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841855 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  841858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841877 */     GIR_RootConstrainSelectedInstOperands,
     /*  841878 */     // GIR_Coverage, 23227,
     /*  841878 */     GIR_EraseRootFromParent_Done,
     /*  841879 */   // Label 12936: @841879
     /*  841879 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(841954), // Rule ID 23228 //
     /*  841884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  841895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  841898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  841901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  841904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  841933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841952 */     GIR_RootConstrainSelectedInstOperands,
     /*  841953 */     // GIR_Coverage, 23228,
     /*  841953 */     GIR_EraseRootFromParent_Done,
     /*  841954 */   // Label 12937: @841954
     /*  841954 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(842029), // Rule ID 23231 //
     /*  841959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  841970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  841973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  841976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  841979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842005 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  842008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842027 */     GIR_RootConstrainSelectedInstOperands,
     /*  842028 */     // GIR_Coverage, 23231,
     /*  842028 */     GIR_EraseRootFromParent_Done,
     /*  842029 */   // Label 12938: @842029
     /*  842029 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(842104), // Rule ID 23232 //
     /*  842034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  842083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842102 */     GIR_RootConstrainSelectedInstOperands,
     /*  842103 */     // GIR_Coverage, 23232,
     /*  842103 */     GIR_EraseRootFromParent_Done,
     /*  842104 */   // Label 12939: @842104
     /*  842104 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(842179), // Rule ID 23235 //
     /*  842109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842155 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842177 */     GIR_RootConstrainSelectedInstOperands,
     /*  842178 */     // GIR_Coverage, 23235,
     /*  842178 */     GIR_EraseRootFromParent_Done,
     /*  842179 */   // Label 12940: @842179
     /*  842179 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(842254), // Rule ID 23236 //
     /*  842184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842230 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842252 */     GIR_RootConstrainSelectedInstOperands,
     /*  842253 */     // GIR_Coverage, 23236,
     /*  842253 */     GIR_EraseRootFromParent_Done,
     /*  842254 */   // Label 12941: @842254
     /*  842254 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(842329), // Rule ID 23239 //
     /*  842259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842305 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842327 */     GIR_RootConstrainSelectedInstOperands,
     /*  842328 */     // GIR_Coverage, 23239,
     /*  842328 */     GIR_EraseRootFromParent_Done,
     /*  842329 */   // Label 12942: @842329
     /*  842329 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(842404), // Rule ID 23240 //
     /*  842334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842380 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842402 */     GIR_RootConstrainSelectedInstOperands,
     /*  842403 */     // GIR_Coverage, 23240,
     /*  842403 */     GIR_EraseRootFromParent_Done,
     /*  842404 */   // Label 12943: @842404
     /*  842404 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(842479), // Rule ID 23243 //
     /*  842409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842477 */     GIR_RootConstrainSelectedInstOperands,
     /*  842478 */     // GIR_Coverage, 23243,
     /*  842478 */     GIR_EraseRootFromParent_Done,
     /*  842479 */   // Label 12944: @842479
     /*  842479 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(842554), // Rule ID 23244 //
     /*  842484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842530 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842552 */     GIR_RootConstrainSelectedInstOperands,
     /*  842553 */     // GIR_Coverage, 23244,
     /*  842553 */     GIR_EraseRootFromParent_Done,
     /*  842554 */   // Label 12945: @842554
     /*  842554 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(842629), // Rule ID 23247 //
     /*  842559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  842608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842627 */     GIR_RootConstrainSelectedInstOperands,
     /*  842628 */     // GIR_Coverage, 23247,
     /*  842628 */     GIR_EraseRootFromParent_Done,
     /*  842629 */   // Label 12946: @842629
     /*  842629 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842704), // Rule ID 23248 //
     /*  842634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  842683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842702 */     GIR_RootConstrainSelectedInstOperands,
     /*  842703 */     // GIR_Coverage, 23248,
     /*  842703 */     GIR_EraseRootFromParent_Done,
     /*  842704 */   // Label 12947: @842704
     /*  842704 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842779), // Rule ID 23251 //
     /*  842709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842755 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  842758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842777 */     GIR_RootConstrainSelectedInstOperands,
     /*  842778 */     // GIR_Coverage, 23251,
     /*  842778 */     GIR_EraseRootFromParent_Done,
     /*  842779 */   // Label 12948: @842779
     /*  842779 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842854), // Rule ID 23252 //
     /*  842784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842830 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  842833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842852 */     GIR_RootConstrainSelectedInstOperands,
     /*  842853 */     // GIR_Coverage, 23252,
     /*  842853 */     GIR_EraseRootFromParent_Done,
     /*  842854 */   // Label 12949: @842854
     /*  842854 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(842929), // Rule ID 23255 //
     /*  842859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842905 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  842908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842927 */     GIR_RootConstrainSelectedInstOperands,
     /*  842928 */     // GIR_Coverage, 23255,
     /*  842928 */     GIR_EraseRootFromParent_Done,
     /*  842929 */   // Label 12950: @842929
     /*  842929 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(843004), // Rule ID 23256 //
     /*  842934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  842983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843002 */     GIR_RootConstrainSelectedInstOperands,
     /*  843003 */     // GIR_Coverage, 23256,
     /*  843003 */     GIR_EraseRootFromParent_Done,
     /*  843004 */   // Label 12951: @843004
     /*  843004 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(843079), // Rule ID 23259 //
     /*  843009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843055 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843077 */     GIR_RootConstrainSelectedInstOperands,
     /*  843078 */     // GIR_Coverage, 23259,
     /*  843078 */     GIR_EraseRootFromParent_Done,
     /*  843079 */   // Label 12952: @843079
     /*  843079 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(843154), // Rule ID 23260 //
     /*  843084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843130 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843152 */     GIR_RootConstrainSelectedInstOperands,
     /*  843153 */     // GIR_Coverage, 23260,
     /*  843153 */     GIR_EraseRootFromParent_Done,
     /*  843154 */   // Label 12953: @843154
     /*  843154 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(843229), // Rule ID 23263 //
     /*  843159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843205 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843227 */     GIR_RootConstrainSelectedInstOperands,
     /*  843228 */     // GIR_Coverage, 23263,
     /*  843228 */     GIR_EraseRootFromParent_Done,
     /*  843229 */   // Label 12954: @843229
     /*  843229 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(843304), // Rule ID 23264 //
     /*  843234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843280 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843302 */     GIR_RootConstrainSelectedInstOperands,
     /*  843303 */     // GIR_Coverage, 23264,
     /*  843303 */     GIR_EraseRootFromParent_Done,
     /*  843304 */   // Label 12955: @843304
     /*  843304 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(843379), // Rule ID 23267 //
     /*  843309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843355 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843377 */     GIR_RootConstrainSelectedInstOperands,
     /*  843378 */     // GIR_Coverage, 23267,
     /*  843378 */     GIR_EraseRootFromParent_Done,
     /*  843379 */   // Label 12956: @843379
     /*  843379 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(843454), // Rule ID 23268 //
     /*  843384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843430 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843452 */     GIR_RootConstrainSelectedInstOperands,
     /*  843453 */     // GIR_Coverage, 23268,
     /*  843453 */     GIR_EraseRootFromParent_Done,
     /*  843454 */   // Label 12957: @843454
     /*  843454 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(843529), // Rule ID 23271 //
     /*  843459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843527 */     GIR_RootConstrainSelectedInstOperands,
     /*  843528 */     // GIR_Coverage, 23271,
     /*  843528 */     GIR_EraseRootFromParent_Done,
     /*  843529 */   // Label 12958: @843529
     /*  843529 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(843604), // Rule ID 23272 //
     /*  843534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843602 */     GIR_RootConstrainSelectedInstOperands,
     /*  843603 */     // GIR_Coverage, 23272,
     /*  843603 */     GIR_EraseRootFromParent_Done,
     /*  843604 */   // Label 12959: @843604
     /*  843604 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(843679), // Rule ID 23275 //
     /*  843609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843655 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  843658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843677 */     GIR_RootConstrainSelectedInstOperands,
     /*  843678 */     // GIR_Coverage, 23275,
     /*  843678 */     GIR_EraseRootFromParent_Done,
     /*  843679 */   // Label 12960: @843679
     /*  843679 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843754), // Rule ID 23276 //
     /*  843684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  843733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843752 */     GIR_RootConstrainSelectedInstOperands,
     /*  843753 */     // GIR_Coverage, 23276,
     /*  843753 */     GIR_EraseRootFromParent_Done,
     /*  843754 */   // Label 12961: @843754
     /*  843754 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843829), // Rule ID 23279 //
     /*  843759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843805 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  843808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843827 */     GIR_RootConstrainSelectedInstOperands,
     /*  843828 */     // GIR_Coverage, 23279,
     /*  843828 */     GIR_EraseRootFromParent_Done,
     /*  843829 */   // Label 12962: @843829
     /*  843829 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843904), // Rule ID 23280 //
     /*  843834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  843883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843902 */     GIR_RootConstrainSelectedInstOperands,
     /*  843903 */     // GIR_Coverage, 23280,
     /*  843903 */     GIR_EraseRootFromParent_Done,
     /*  843904 */   // Label 12963: @843904
     /*  843904 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(843979), // Rule ID 23283 //
     /*  843909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843955 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  843958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843977 */     GIR_RootConstrainSelectedInstOperands,
     /*  843978 */     // GIR_Coverage, 23283,
     /*  843978 */     GIR_EraseRootFromParent_Done,
     /*  843979 */   // Label 12964: @843979
     /*  843979 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(844054), // Rule ID 23284 //
     /*  843984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  844001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  844004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844030 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  844033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844052 */     GIR_RootConstrainSelectedInstOperands,
     /*  844053 */     // GIR_Coverage, 23284,
     /*  844053 */     GIR_EraseRootFromParent_Done,
     /*  844054 */   // Label 12965: @844054
     /*  844054 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(844129), // Rule ID 23287 //
     /*  844059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844105 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844127 */     GIR_RootConstrainSelectedInstOperands,
     /*  844128 */     // GIR_Coverage, 23287,
     /*  844128 */     GIR_EraseRootFromParent_Done,
     /*  844129 */   // Label 12966: @844129
     /*  844129 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(844204), // Rule ID 23288 //
     /*  844134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844202 */     GIR_RootConstrainSelectedInstOperands,
     /*  844203 */     // GIR_Coverage, 23288,
     /*  844203 */     GIR_EraseRootFromParent_Done,
     /*  844204 */   // Label 12967: @844204
     /*  844204 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(844279), // Rule ID 23291 //
     /*  844209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844255 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844277 */     GIR_RootConstrainSelectedInstOperands,
     /*  844278 */     // GIR_Coverage, 23291,
     /*  844278 */     GIR_EraseRootFromParent_Done,
     /*  844279 */   // Label 12968: @844279
     /*  844279 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(844354), // Rule ID 23292 //
     /*  844284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844330 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844352 */     GIR_RootConstrainSelectedInstOperands,
     /*  844353 */     // GIR_Coverage, 23292,
     /*  844353 */     GIR_EraseRootFromParent_Done,
     /*  844354 */   // Label 12969: @844354
     /*  844354 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(844429), // Rule ID 23295 //
     /*  844359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844405 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844427 */     GIR_RootConstrainSelectedInstOperands,
     /*  844428 */     // GIR_Coverage, 23295,
     /*  844428 */     GIR_EraseRootFromParent_Done,
     /*  844429 */   // Label 12970: @844429
     /*  844429 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(844504), // Rule ID 23296 //
     /*  844434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844480 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844502 */     GIR_RootConstrainSelectedInstOperands,
     /*  844503 */     // GIR_Coverage, 23296,
     /*  844503 */     GIR_EraseRootFromParent_Done,
     /*  844504 */   // Label 12971: @844504
     /*  844504 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(844579), // Rule ID 23837 //
     /*  844509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  844558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844577 */     GIR_RootConstrainSelectedInstOperands,
     /*  844578 */     // GIR_Coverage, 23837,
     /*  844578 */     GIR_EraseRootFromParent_Done,
     /*  844579 */   // Label 12972: @844579
     /*  844579 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(844654), // Rule ID 23838 //
     /*  844584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844630 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  844633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844652 */     GIR_RootConstrainSelectedInstOperands,
     /*  844653 */     // GIR_Coverage, 23838,
     /*  844653 */     GIR_EraseRootFromParent_Done,
     /*  844654 */   // Label 12973: @844654
     /*  844654 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844729), // Rule ID 23841 //
     /*  844659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  844670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  844673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  844676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844705 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  844708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844727 */     GIR_RootConstrainSelectedInstOperands,
     /*  844728 */     // GIR_Coverage, 23841,
     /*  844728 */     GIR_EraseRootFromParent_Done,
     /*  844729 */   // Label 12974: @844729
     /*  844729 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844804), // Rule ID 23842 //
     /*  844734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  844745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  844748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  844751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844780 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  844783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844802 */     GIR_RootConstrainSelectedInstOperands,
     /*  844803 */     // GIR_Coverage, 23842,
     /*  844803 */     GIR_EraseRootFromParent_Done,
     /*  844804 */   // Label 12975: @844804
     /*  844804 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844879), // Rule ID 23845 //
     /*  844809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  844820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  844823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  844826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844855 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  844858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844877 */     GIR_RootConstrainSelectedInstOperands,
     /*  844878 */     // GIR_Coverage, 23845,
     /*  844878 */     GIR_EraseRootFromParent_Done,
     /*  844879 */   // Label 12976: @844879
     /*  844879 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(844954), // Rule ID 23846 //
     /*  844884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  844895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  844898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  844901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  844933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844952 */     GIR_RootConstrainSelectedInstOperands,
     /*  844953 */     // GIR_Coverage, 23846,
     /*  844953 */     GIR_EraseRootFromParent_Done,
     /*  844954 */   // Label 12977: @844954
     /*  844954 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(845029), // Rule ID 23849 //
     /*  844959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  844970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  844973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  844976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845027 */     GIR_RootConstrainSelectedInstOperands,
     /*  845028 */     // GIR_Coverage, 23849,
     /*  845028 */     GIR_EraseRootFromParent_Done,
     /*  845029 */   // Label 12978: @845029
     /*  845029 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(845104), // Rule ID 23850 //
     /*  845034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  845045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  845048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  845051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845080 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845102 */     GIR_RootConstrainSelectedInstOperands,
     /*  845103 */     // GIR_Coverage, 23850,
     /*  845103 */     GIR_EraseRootFromParent_Done,
     /*  845104 */   // Label 12979: @845104
     /*  845104 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(845179), // Rule ID 23853 //
     /*  845109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845155 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845177 */     GIR_RootConstrainSelectedInstOperands,
     /*  845178 */     // GIR_Coverage, 23853,
     /*  845178 */     GIR_EraseRootFromParent_Done,
     /*  845179 */   // Label 12980: @845179
     /*  845179 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(845254), // Rule ID 23854 //
     /*  845184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845252 */     GIR_RootConstrainSelectedInstOperands,
     /*  845253 */     // GIR_Coverage, 23854,
     /*  845253 */     GIR_EraseRootFromParent_Done,
     /*  845254 */   // Label 12981: @845254
     /*  845254 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(845329), // Rule ID 23857 //
     /*  845259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845305 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845327 */     GIR_RootConstrainSelectedInstOperands,
     /*  845328 */     // GIR_Coverage, 23857,
     /*  845328 */     GIR_EraseRootFromParent_Done,
     /*  845329 */   // Label 12982: @845329
     /*  845329 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(845404), // Rule ID 23858 //
     /*  845334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845402 */     GIR_RootConstrainSelectedInstOperands,
     /*  845403 */     // GIR_Coverage, 23858,
     /*  845403 */     GIR_EraseRootFromParent_Done,
     /*  845404 */   // Label 12983: @845404
     /*  845404 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(845479), // Rule ID 23861 //
     /*  845409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845477 */     GIR_RootConstrainSelectedInstOperands,
     /*  845478 */     // GIR_Coverage, 23861,
     /*  845478 */     GIR_EraseRootFromParent_Done,
     /*  845479 */   // Label 12984: @845479
     /*  845479 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(845554), // Rule ID 23862 //
     /*  845484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845552 */     GIR_RootConstrainSelectedInstOperands,
     /*  845553 */     // GIR_Coverage, 23862,
     /*  845553 */     GIR_EraseRootFromParent_Done,
     /*  845554 */   // Label 12985: @845554
     /*  845554 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(845629), // Rule ID 23865 //
     /*  845559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845605 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845627 */     GIR_RootConstrainSelectedInstOperands,
     /*  845628 */     // GIR_Coverage, 23865,
     /*  845628 */     GIR_EraseRootFromParent_Done,
     /*  845629 */   // Label 12986: @845629
     /*  845629 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845704), // Rule ID 23866 //
     /*  845634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845702 */     GIR_RootConstrainSelectedInstOperands,
     /*  845703 */     // GIR_Coverage, 23866,
     /*  845703 */     GIR_EraseRootFromParent_Done,
     /*  845704 */   // Label 12987: @845704
     /*  845704 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845779), // Rule ID 23869 //
     /*  845709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845777 */     GIR_RootConstrainSelectedInstOperands,
     /*  845778 */     // GIR_Coverage, 23869,
     /*  845778 */     GIR_EraseRootFromParent_Done,
     /*  845779 */   // Label 12988: @845779
     /*  845779 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845854), // Rule ID 23870 //
     /*  845784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845852 */     GIR_RootConstrainSelectedInstOperands,
     /*  845853 */     // GIR_Coverage, 23870,
     /*  845853 */     GIR_EraseRootFromParent_Done,
     /*  845854 */   // Label 12989: @845854
     /*  845854 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(845929), // Rule ID 23873 //
     /*  845859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  845862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845927 */     GIR_RootConstrainSelectedInstOperands,
     /*  845928 */     // GIR_Coverage, 23873,
     /*  845928 */     GIR_EraseRootFromParent_Done,
     /*  845929 */   // Label 12990: @845929
     /*  845929 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(846004), // Rule ID 23874 //
     /*  845934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  845937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  845980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846002 */     GIR_RootConstrainSelectedInstOperands,
     /*  846003 */     // GIR_Coverage, 23874,
     /*  846003 */     GIR_EraseRootFromParent_Done,
     /*  846004 */   // Label 12991: @846004
     /*  846004 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(846079), // Rule ID 23877 //
     /*  846009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  846020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  846023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  846026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846055 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846077 */     GIR_RootConstrainSelectedInstOperands,
     /*  846078 */     // GIR_Coverage, 23877,
     /*  846078 */     GIR_EraseRootFromParent_Done,
     /*  846079 */   // Label 12992: @846079
     /*  846079 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(846154), // Rule ID 23878 //
     /*  846084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  846095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  846098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  846101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846152 */     GIR_RootConstrainSelectedInstOperands,
     /*  846153 */     // GIR_Coverage, 23878,
     /*  846153 */     GIR_EraseRootFromParent_Done,
     /*  846154 */   // Label 12993: @846154
     /*  846154 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(846229), // Rule ID 23881 //
     /*  846159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846205 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846227 */     GIR_RootConstrainSelectedInstOperands,
     /*  846228 */     // GIR_Coverage, 23881,
     /*  846228 */     GIR_EraseRootFromParent_Done,
     /*  846229 */   // Label 12994: @846229
     /*  846229 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(846304), // Rule ID 23882 //
     /*  846234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846280 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846302 */     GIR_RootConstrainSelectedInstOperands,
     /*  846303 */     // GIR_Coverage, 23882,
     /*  846303 */     GIR_EraseRootFromParent_Done,
     /*  846304 */   // Label 12995: @846304
     /*  846304 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(846379), // Rule ID 23885 //
     /*  846309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846355 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846377 */     GIR_RootConstrainSelectedInstOperands,
     /*  846378 */     // GIR_Coverage, 23885,
     /*  846378 */     GIR_EraseRootFromParent_Done,
     /*  846379 */   // Label 12996: @846379
     /*  846379 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(846454), // Rule ID 23886 //
     /*  846384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846452 */     GIR_RootConstrainSelectedInstOperands,
     /*  846453 */     // GIR_Coverage, 23886,
     /*  846453 */     GIR_EraseRootFromParent_Done,
     /*  846454 */   // Label 12997: @846454
     /*  846454 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(846529), // Rule ID 23889 //
     /*  846459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846505 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846527 */     GIR_RootConstrainSelectedInstOperands,
     /*  846528 */     // GIR_Coverage, 23889,
     /*  846528 */     GIR_EraseRootFromParent_Done,
     /*  846529 */   // Label 12998: @846529
     /*  846529 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(846604), // Rule ID 23890 //
     /*  846534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846602 */     GIR_RootConstrainSelectedInstOperands,
     /*  846603 */     // GIR_Coverage, 23890,
     /*  846603 */     GIR_EraseRootFromParent_Done,
     /*  846604 */   // Label 12999: @846604
     /*  846604 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(846679), // Rule ID 23893 //
     /*  846609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  846620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  846623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  846626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846655 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846677 */     GIR_RootConstrainSelectedInstOperands,
     /*  846678 */     // GIR_Coverage, 23893,
     /*  846678 */     GIR_EraseRootFromParent_Done,
     /*  846679 */   // Label 13000: @846679
     /*  846679 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846754), // Rule ID 23894 //
     /*  846684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  846695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  846698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  846701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846752 */     GIR_RootConstrainSelectedInstOperands,
     /*  846753 */     // GIR_Coverage, 23894,
     /*  846753 */     GIR_EraseRootFromParent_Done,
     /*  846754 */   // Label 13001: @846754
     /*  846754 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846829), // Rule ID 23897 //
     /*  846759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  846770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  846773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  846776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846805 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846827 */     GIR_RootConstrainSelectedInstOperands,
     /*  846828 */     // GIR_Coverage, 23897,
     /*  846828 */     GIR_EraseRootFromParent_Done,
     /*  846829 */   // Label 13002: @846829
     /*  846829 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846904), // Rule ID 23898 //
     /*  846834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  846845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  846848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  846851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846902 */     GIR_RootConstrainSelectedInstOperands,
     /*  846903 */     // GIR_Coverage, 23898,
     /*  846903 */     GIR_EraseRootFromParent_Done,
     /*  846904 */   // Label 13003: @846904
     /*  846904 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(846979), // Rule ID 23901 //
     /*  846909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  846926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846977 */     GIR_RootConstrainSelectedInstOperands,
     /*  846978 */     // GIR_Coverage, 23901,
     /*  846978 */     GIR_EraseRootFromParent_Done,
     /*  846979 */   // Label 13004: @846979
     /*  846979 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(847054), // Rule ID 23902 //
     /*  846984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  847001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847052 */     GIR_RootConstrainSelectedInstOperands,
     /*  847053 */     // GIR_Coverage, 23902,
     /*  847053 */     GIR_EraseRootFromParent_Done,
     /*  847054 */   // Label 13005: @847054
     /*  847054 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(847129), // Rule ID 23905 //
     /*  847059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847105 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847127 */     GIR_RootConstrainSelectedInstOperands,
     /*  847128 */     // GIR_Coverage, 23905,
     /*  847128 */     GIR_EraseRootFromParent_Done,
     /*  847129 */   // Label 13006: @847129
     /*  847129 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(847204), // Rule ID 23906 //
     /*  847134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847202 */     GIR_RootConstrainSelectedInstOperands,
     /*  847203 */     // GIR_Coverage, 23906,
     /*  847203 */     GIR_EraseRootFromParent_Done,
     /*  847204 */   // Label 13007: @847204
     /*  847204 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(847279), // Rule ID 23909 //
     /*  847209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847277 */     GIR_RootConstrainSelectedInstOperands,
     /*  847278 */     // GIR_Coverage, 23909,
     /*  847278 */     GIR_EraseRootFromParent_Done,
     /*  847279 */   // Label 13008: @847279
     /*  847279 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(847354), // Rule ID 23910 //
     /*  847284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847352 */     GIR_RootConstrainSelectedInstOperands,
     /*  847353 */     // GIR_Coverage, 23910,
     /*  847353 */     GIR_EraseRootFromParent_Done,
     /*  847354 */   // Label 13009: @847354
     /*  847354 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(847429), // Rule ID 23913 //
     /*  847359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847427 */     GIR_RootConstrainSelectedInstOperands,
     /*  847428 */     // GIR_Coverage, 23913,
     /*  847428 */     GIR_EraseRootFromParent_Done,
     /*  847429 */   // Label 13010: @847429
     /*  847429 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(847504), // Rule ID 23914 //
     /*  847434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847480 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847502 */     GIR_RootConstrainSelectedInstOperands,
     /*  847503 */     // GIR_Coverage, 23914,
     /*  847503 */     GIR_EraseRootFromParent_Done,
     /*  847504 */   // Label 13011: @847504
     /*  847504 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(847579), // Rule ID 23917 //
     /*  847509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847555 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847577 */     GIR_RootConstrainSelectedInstOperands,
     /*  847578 */     // GIR_Coverage, 23917,
     /*  847578 */     GIR_EraseRootFromParent_Done,
     /*  847579 */   // Label 13012: @847579
     /*  847579 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(847654), // Rule ID 23918 //
     /*  847584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847630 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847652 */     GIR_RootConstrainSelectedInstOperands,
     /*  847653 */     // GIR_Coverage, 23918,
     /*  847653 */     GIR_EraseRootFromParent_Done,
     /*  847654 */   // Label 13013: @847654
     /*  847654 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847729), // Rule ID 23921 //
     /*  847659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847727 */     GIR_RootConstrainSelectedInstOperands,
     /*  847728 */     // GIR_Coverage, 23921,
     /*  847728 */     GIR_EraseRootFromParent_Done,
     /*  847729 */   // Label 13014: @847729
     /*  847729 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847804), // Rule ID 23922 //
     /*  847734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847802 */     GIR_RootConstrainSelectedInstOperands,
     /*  847803 */     // GIR_Coverage, 23922,
     /*  847803 */     GIR_EraseRootFromParent_Done,
     /*  847804 */   // Label 13015: @847804
     /*  847804 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847879), // Rule ID 23925 //
     /*  847809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  847820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  847823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  847826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847855 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  847858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847877 */     GIR_RootConstrainSelectedInstOperands,
     /*  847878 */     // GIR_Coverage, 23925,
     /*  847878 */     GIR_EraseRootFromParent_Done,
     /*  847879 */   // Label 13016: @847879
     /*  847879 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(847954), // Rule ID 23926 //
     /*  847884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  847895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  847898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  847901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  847933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847952 */     GIR_RootConstrainSelectedInstOperands,
     /*  847953 */     // GIR_Coverage, 23926,
     /*  847953 */     GIR_EraseRootFromParent_Done,
     /*  847954 */   // Label 13017: @847954
     /*  847954 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(848029), // Rule ID 23929 //
     /*  847959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  847970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  847973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  847976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848005 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848027 */     GIR_RootConstrainSelectedInstOperands,
     /*  848028 */     // GIR_Coverage, 23929,
     /*  848028 */     GIR_EraseRootFromParent_Done,
     /*  848029 */   // Label 13018: @848029
     /*  848029 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(848104), // Rule ID 23930 //
     /*  848034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  848045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  848048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  848051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848102 */     GIR_RootConstrainSelectedInstOperands,
     /*  848103 */     // GIR_Coverage, 23930,
     /*  848103 */     GIR_EraseRootFromParent_Done,
     /*  848104 */   // Label 13019: @848104
     /*  848104 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(848179), // Rule ID 23933 //
     /*  848109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848155 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848177 */     GIR_RootConstrainSelectedInstOperands,
     /*  848178 */     // GIR_Coverage, 23933,
     /*  848178 */     GIR_EraseRootFromParent_Done,
     /*  848179 */   // Label 13020: @848179
     /*  848179 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(848254), // Rule ID 23934 //
     /*  848184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848230 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848252 */     GIR_RootConstrainSelectedInstOperands,
     /*  848253 */     // GIR_Coverage, 23934,
     /*  848253 */     GIR_EraseRootFromParent_Done,
     /*  848254 */   // Label 13021: @848254
     /*  848254 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(848329), // Rule ID 23937 //
     /*  848259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848305 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848327 */     GIR_RootConstrainSelectedInstOperands,
     /*  848328 */     // GIR_Coverage, 23937,
     /*  848328 */     GIR_EraseRootFromParent_Done,
     /*  848329 */   // Label 13022: @848329
     /*  848329 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(848404), // Rule ID 23938 //
     /*  848334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848402 */     GIR_RootConstrainSelectedInstOperands,
     /*  848403 */     // GIR_Coverage, 23938,
     /*  848403 */     GIR_EraseRootFromParent_Done,
     /*  848404 */   // Label 13023: @848404
     /*  848404 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(848479), // Rule ID 23941 //
     /*  848409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848455 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848477 */     GIR_RootConstrainSelectedInstOperands,
     /*  848478 */     // GIR_Coverage, 23941,
     /*  848478 */     GIR_EraseRootFromParent_Done,
     /*  848479 */   // Label 13024: @848479
     /*  848479 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(848554), // Rule ID 23942 //
     /*  848484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848552 */     GIR_RootConstrainSelectedInstOperands,
     /*  848553 */     // GIR_Coverage, 23942,
     /*  848553 */     GIR_EraseRootFromParent_Done,
     /*  848554 */   // Label 13025: @848554
     /*  848554 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(848629), // Rule ID 23945 //
     /*  848559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  848576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848627 */     GIR_RootConstrainSelectedInstOperands,
     /*  848628 */     // GIR_Coverage, 23945,
     /*  848628 */     GIR_EraseRootFromParent_Done,
     /*  848629 */   // Label 13026: @848629
     /*  848629 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848704), // Rule ID 23946 //
     /*  848634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  848651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848702 */     GIR_RootConstrainSelectedInstOperands,
     /*  848703 */     // GIR_Coverage, 23946,
     /*  848703 */     GIR_EraseRootFromParent_Done,
     /*  848704 */   // Label 13027: @848704
     /*  848704 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848779), // Rule ID 23949 //
     /*  848709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  848720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  848723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  848726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848777 */     GIR_RootConstrainSelectedInstOperands,
     /*  848778 */     // GIR_Coverage, 23949,
     /*  848778 */     GIR_EraseRootFromParent_Done,
     /*  848779 */   // Label 13028: @848779
     /*  848779 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848854), // Rule ID 23950 //
     /*  848784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  848795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  848798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  848801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848852 */     GIR_RootConstrainSelectedInstOperands,
     /*  848853 */     // GIR_Coverage, 23950,
     /*  848853 */     GIR_EraseRootFromParent_Done,
     /*  848854 */   // Label 13029: @848854
     /*  848854 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(848929), // Rule ID 23953 //
     /*  848859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  848870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  848873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  848876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848927 */     GIR_RootConstrainSelectedInstOperands,
     /*  848928 */     // GIR_Coverage, 23953,
     /*  848928 */     GIR_EraseRootFromParent_Done,
     /*  848929 */   // Label 13030: @848929
     /*  848929 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(849004), // Rule ID 23954 //
     /*  848934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  848945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  848948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  848951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849002 */     GIR_RootConstrainSelectedInstOperands,
     /*  849003 */     // GIR_Coverage, 23954,
     /*  849003 */     GIR_EraseRootFromParent_Done,
     /*  849004 */   // Label 13031: @849004
     /*  849004 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(849079), // Rule ID 23957 //
     /*  849009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  849020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  849023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  849026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849077 */     GIR_RootConstrainSelectedInstOperands,
     /*  849078 */     // GIR_Coverage, 23957,
     /*  849078 */     GIR_EraseRootFromParent_Done,
     /*  849079 */   // Label 13032: @849079
     /*  849079 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(849154), // Rule ID 23958 //
     /*  849084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  849095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  849098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  849101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849152 */     GIR_RootConstrainSelectedInstOperands,
     /*  849153 */     // GIR_Coverage, 23958,
     /*  849153 */     GIR_EraseRootFromParent_Done,
     /*  849154 */   // Label 13033: @849154
     /*  849154 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(849229), // Rule ID 23961 //
     /*  849159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  849162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849227 */     GIR_RootConstrainSelectedInstOperands,
     /*  849228 */     // GIR_Coverage, 23961,
     /*  849228 */     GIR_EraseRootFromParent_Done,
     /*  849229 */   // Label 13034: @849229
     /*  849229 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(849304), // Rule ID 23962 //
     /*  849234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  849237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849302 */     GIR_RootConstrainSelectedInstOperands,
     /*  849303 */     // GIR_Coverage, 23962,
     /*  849303 */     GIR_EraseRootFromParent_Done,
     /*  849304 */   // Label 13035: @849304
     /*  849304 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(849379), // Rule ID 23965 //
     /*  849309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849355 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849377 */     GIR_RootConstrainSelectedInstOperands,
     /*  849378 */     // GIR_Coverage, 23965,
     /*  849378 */     GIR_EraseRootFromParent_Done,
     /*  849379 */   // Label 13036: @849379
     /*  849379 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(849454), // Rule ID 23966 //
     /*  849384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849452 */     GIR_RootConstrainSelectedInstOperands,
     /*  849453 */     // GIR_Coverage, 23966,
     /*  849453 */     GIR_EraseRootFromParent_Done,
     /*  849454 */   // Label 13037: @849454
     /*  849454 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(849529), // Rule ID 23969 //
     /*  849459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849505 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849527 */     GIR_RootConstrainSelectedInstOperands,
     /*  849528 */     // GIR_Coverage, 23969,
     /*  849528 */     GIR_EraseRootFromParent_Done,
     /*  849529 */   // Label 13038: @849529
     /*  849529 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(849604), // Rule ID 23970 //
     /*  849534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849602 */     GIR_RootConstrainSelectedInstOperands,
     /*  849603 */     // GIR_Coverage, 23970,
     /*  849603 */     GIR_EraseRootFromParent_Done,
     /*  849604 */   // Label 13039: @849604
     /*  849604 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(849679), // Rule ID 23973 //
     /*  849609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  849620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  849623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  849626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849655 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849677 */     GIR_RootConstrainSelectedInstOperands,
     /*  849678 */     // GIR_Coverage, 23973,
     /*  849678 */     GIR_EraseRootFromParent_Done,
     /*  849679 */   // Label 13040: @849679
     /*  849679 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849754), // Rule ID 23974 //
     /*  849684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  849695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  849698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  849701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849752 */     GIR_RootConstrainSelectedInstOperands,
     /*  849753 */     // GIR_Coverage, 23974,
     /*  849753 */     GIR_EraseRootFromParent_Done,
     /*  849754 */   // Label 13041: @849754
     /*  849754 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849829), // Rule ID 23977 //
     /*  849759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  849770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  849773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  849776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849827 */     GIR_RootConstrainSelectedInstOperands,
     /*  849828 */     // GIR_Coverage, 23977,
     /*  849828 */     GIR_EraseRootFromParent_Done,
     /*  849829 */   // Label 13042: @849829
     /*  849829 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849904), // Rule ID 23978 //
     /*  849834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  849845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  849848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  849851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849902 */     GIR_RootConstrainSelectedInstOperands,
     /*  849903 */     // GIR_Coverage, 23978,
     /*  849903 */     GIR_EraseRootFromParent_Done,
     /*  849904 */   // Label 13043: @849904
     /*  849904 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(849979), // Rule ID 23981 //
     /*  849909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  849920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  849923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  849926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849977 */     GIR_RootConstrainSelectedInstOperands,
     /*  849978 */     // GIR_Coverage, 23981,
     /*  849978 */     GIR_EraseRootFromParent_Done,
     /*  849979 */   // Label 13044: @849979
     /*  849979 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(850054), // Rule ID 23982 //
     /*  849984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  849995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  849998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850052 */     GIR_RootConstrainSelectedInstOperands,
     /*  850053 */     // GIR_Coverage, 23982,
     /*  850053 */     GIR_EraseRootFromParent_Done,
     /*  850054 */   // Label 13045: @850054
     /*  850054 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(850129), // Rule ID 23985 //
     /*  850059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850127 */     GIR_RootConstrainSelectedInstOperands,
     /*  850128 */     // GIR_Coverage, 23985,
     /*  850128 */     GIR_EraseRootFromParent_Done,
     /*  850129 */   // Label 13046: @850129
     /*  850129 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(850204), // Rule ID 23986 //
     /*  850134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850202 */     GIR_RootConstrainSelectedInstOperands,
     /*  850203 */     // GIR_Coverage, 23986,
     /*  850203 */     GIR_EraseRootFromParent_Done,
     /*  850204 */   // Label 13047: @850204
     /*  850204 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(850279), // Rule ID 23989 //
     /*  850209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850277 */     GIR_RootConstrainSelectedInstOperands,
     /*  850278 */     // GIR_Coverage, 23989,
     /*  850278 */     GIR_EraseRootFromParent_Done,
     /*  850279 */   // Label 13048: @850279
     /*  850279 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(850354), // Rule ID 23990 //
     /*  850284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850352 */     GIR_RootConstrainSelectedInstOperands,
     /*  850353 */     // GIR_Coverage, 23990,
     /*  850353 */     GIR_EraseRootFromParent_Done,
     /*  850354 */   // Label 13049: @850354
     /*  850354 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(850429), // Rule ID 23993 //
     /*  850359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850427 */     GIR_RootConstrainSelectedInstOperands,
     /*  850428 */     // GIR_Coverage, 23993,
     /*  850428 */     GIR_EraseRootFromParent_Done,
     /*  850429 */   // Label 13050: @850429
     /*  850429 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(850504), // Rule ID 23994 //
     /*  850434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850502 */     GIR_RootConstrainSelectedInstOperands,
     /*  850503 */     // GIR_Coverage, 23994,
     /*  850503 */     GIR_EraseRootFromParent_Done,
     /*  850504 */   // Label 13051: @850504
     /*  850504 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(850579), // Rule ID 23997 //
     /*  850509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850577 */     GIR_RootConstrainSelectedInstOperands,
     /*  850578 */     // GIR_Coverage, 23997,
     /*  850578 */     GIR_EraseRootFromParent_Done,
     /*  850579 */   // Label 13052: @850579
     /*  850579 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(850654), // Rule ID 23998 //
     /*  850584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850652 */     GIR_RootConstrainSelectedInstOperands,
     /*  850653 */     // GIR_Coverage, 23998,
     /*  850653 */     GIR_EraseRootFromParent_Done,
     /*  850654 */   // Label 13053: @850654
     /*  850654 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850729), // Rule ID 24001 //
     /*  850659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  850670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  850673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  850676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850727 */     GIR_RootConstrainSelectedInstOperands,
     /*  850728 */     // GIR_Coverage, 24001,
     /*  850728 */     GIR_EraseRootFromParent_Done,
     /*  850729 */   // Label 13054: @850729
     /*  850729 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850804), // Rule ID 24002 //
     /*  850734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  850745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  850748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  850751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850802 */     GIR_RootConstrainSelectedInstOperands,
     /*  850803 */     // GIR_Coverage, 24002,
     /*  850803 */     GIR_EraseRootFromParent_Done,
     /*  850804 */   // Label 13055: @850804
     /*  850804 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850879), // Rule ID 24005 //
     /*  850809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  850820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  850823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  850826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850855 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850877 */     GIR_RootConstrainSelectedInstOperands,
     /*  850878 */     // GIR_Coverage, 24005,
     /*  850878 */     GIR_EraseRootFromParent_Done,
     /*  850879 */   // Label 13056: @850879
     /*  850879 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(850954), // Rule ID 24006 //
     /*  850884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  850895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  850898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  850901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850952 */     GIR_RootConstrainSelectedInstOperands,
     /*  850953 */     // GIR_Coverage, 24006,
     /*  850953 */     GIR_EraseRootFromParent_Done,
     /*  850954 */   // Label 13057: @850954
     /*  850954 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(851029), // Rule ID 24009 //
     /*  850959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  850970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  850973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  850976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851005 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851027 */     GIR_RootConstrainSelectedInstOperands,
     /*  851028 */     // GIR_Coverage, 24009,
     /*  851028 */     GIR_EraseRootFromParent_Done,
     /*  851029 */   // Label 13058: @851029
     /*  851029 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(851104), // Rule ID 24010 //
     /*  851034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  851045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  851048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  851051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851102 */     GIR_RootConstrainSelectedInstOperands,
     /*  851103 */     // GIR_Coverage, 24010,
     /*  851103 */     GIR_EraseRootFromParent_Done,
     /*  851104 */   // Label 13059: @851104
     /*  851104 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(851179), // Rule ID 24253 //
     /*  851109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851155 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851177 */     GIR_RootConstrainSelectedInstOperands,
     /*  851178 */     // GIR_Coverage, 24253,
     /*  851178 */     GIR_EraseRootFromParent_Done,
     /*  851179 */   // Label 13060: @851179
     /*  851179 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(851254), // Rule ID 24254 //
     /*  851184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851230 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851252 */     GIR_RootConstrainSelectedInstOperands,
     /*  851253 */     // GIR_Coverage, 24254,
     /*  851253 */     GIR_EraseRootFromParent_Done,
     /*  851254 */   // Label 13061: @851254
     /*  851254 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(851329), // Rule ID 24257 //
     /*  851259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851327 */     GIR_RootConstrainSelectedInstOperands,
     /*  851328 */     // GIR_Coverage, 24257,
     /*  851328 */     GIR_EraseRootFromParent_Done,
     /*  851329 */   // Label 13062: @851329
     /*  851329 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(851404), // Rule ID 24258 //
     /*  851334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851380 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851402 */     GIR_RootConstrainSelectedInstOperands,
     /*  851403 */     // GIR_Coverage, 24258,
     /*  851403 */     GIR_EraseRootFromParent_Done,
     /*  851404 */   // Label 13063: @851404
     /*  851404 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(851479), // Rule ID 24261 //
     /*  851409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851455 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851477 */     GIR_RootConstrainSelectedInstOperands,
     /*  851478 */     // GIR_Coverage, 24261,
     /*  851478 */     GIR_EraseRootFromParent_Done,
     /*  851479 */   // Label 13064: @851479
     /*  851479 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(851554), // Rule ID 24262 //
     /*  851484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851552 */     GIR_RootConstrainSelectedInstOperands,
     /*  851553 */     // GIR_Coverage, 24262,
     /*  851553 */     GIR_EraseRootFromParent_Done,
     /*  851554 */   // Label 13065: @851554
     /*  851554 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(851629), // Rule ID 24265 //
     /*  851559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  851570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  851573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  851576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  851608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851627 */     GIR_RootConstrainSelectedInstOperands,
     /*  851628 */     // GIR_Coverage, 24265,
     /*  851628 */     GIR_EraseRootFromParent_Done,
     /*  851629 */   // Label 13066: @851629
     /*  851629 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851704), // Rule ID 24266 //
     /*  851634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  851645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  851648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  851651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  851683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851702 */     GIR_RootConstrainSelectedInstOperands,
     /*  851703 */     // GIR_Coverage, 24266,
     /*  851703 */     GIR_EraseRootFromParent_Done,
     /*  851704 */   // Label 13067: @851704
     /*  851704 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851779), // Rule ID 24269 //
     /*  851709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  851720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  851723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  851726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851755 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  851758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851777 */     GIR_RootConstrainSelectedInstOperands,
     /*  851778 */     // GIR_Coverage, 24269,
     /*  851778 */     GIR_EraseRootFromParent_Done,
     /*  851779 */   // Label 13068: @851779
     /*  851779 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851854), // Rule ID 24270 //
     /*  851784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  851795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  851798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  851801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  851833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851852 */     GIR_RootConstrainSelectedInstOperands,
     /*  851853 */     // GIR_Coverage, 24270,
     /*  851853 */     GIR_EraseRootFromParent_Done,
     /*  851854 */   // Label 13069: @851854
     /*  851854 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(851929), // Rule ID 24273 //
     /*  851859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  851862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851905 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  851908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851927 */     GIR_RootConstrainSelectedInstOperands,
     /*  851928 */     // GIR_Coverage, 24273,
     /*  851928 */     GIR_EraseRootFromParent_Done,
     /*  851929 */   // Label 13070: @851929
     /*  851929 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(852004), // Rule ID 24274 //
     /*  851934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  851937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851980 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  851983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852002 */     GIR_RootConstrainSelectedInstOperands,
     /*  852003 */     // GIR_Coverage, 24274,
     /*  852003 */     GIR_EraseRootFromParent_Done,
     /*  852004 */   // Label 13071: @852004
     /*  852004 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(852079), // Rule ID 24277 //
     /*  852009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  852020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  852023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  852026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852055 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852077 */     GIR_RootConstrainSelectedInstOperands,
     /*  852078 */     // GIR_Coverage, 24277,
     /*  852078 */     GIR_EraseRootFromParent_Done,
     /*  852079 */   // Label 13072: @852079
     /*  852079 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(852154), // Rule ID 24278 //
     /*  852084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  852095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  852098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  852101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852152 */     GIR_RootConstrainSelectedInstOperands,
     /*  852153 */     // GIR_Coverage, 24278,
     /*  852153 */     GIR_EraseRootFromParent_Done,
     /*  852154 */   // Label 13073: @852154
     /*  852154 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(852229), // Rule ID 24281 //
     /*  852159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852205 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852227 */     GIR_RootConstrainSelectedInstOperands,
     /*  852228 */     // GIR_Coverage, 24281,
     /*  852228 */     GIR_EraseRootFromParent_Done,
     /*  852229 */   // Label 13074: @852229
     /*  852229 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(852304), // Rule ID 24282 //
     /*  852234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852280 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852302 */     GIR_RootConstrainSelectedInstOperands,
     /*  852303 */     // GIR_Coverage, 24282,
     /*  852303 */     GIR_EraseRootFromParent_Done,
     /*  852304 */   // Label 13075: @852304
     /*  852304 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(852379), // Rule ID 24285 //
     /*  852309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852355 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852377 */     GIR_RootConstrainSelectedInstOperands,
     /*  852378 */     // GIR_Coverage, 24285,
     /*  852378 */     GIR_EraseRootFromParent_Done,
     /*  852379 */   // Label 13076: @852379
     /*  852379 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(852454), // Rule ID 24286 //
     /*  852384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852430 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852452 */     GIR_RootConstrainSelectedInstOperands,
     /*  852453 */     // GIR_Coverage, 24286,
     /*  852453 */     GIR_EraseRootFromParent_Done,
     /*  852454 */   // Label 13077: @852454
     /*  852454 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(852529), // Rule ID 24289 //
     /*  852459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852527 */     GIR_RootConstrainSelectedInstOperands,
     /*  852528 */     // GIR_Coverage, 24289,
     /*  852528 */     GIR_EraseRootFromParent_Done,
     /*  852529 */   // Label 13078: @852529
     /*  852529 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(852604), // Rule ID 24290 //
     /*  852534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852580 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852602 */     GIR_RootConstrainSelectedInstOperands,
     /*  852603 */     // GIR_Coverage, 24290,
     /*  852603 */     GIR_EraseRootFromParent_Done,
     /*  852604 */   // Label 13079: @852604
     /*  852604 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852679), // Rule ID 24293 //
     /*  852609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852655 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  852658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852677 */     GIR_RootConstrainSelectedInstOperands,
     /*  852678 */     // GIR_Coverage, 24293,
     /*  852678 */     GIR_EraseRootFromParent_Done,
     /*  852679 */   // Label 13080: @852679
     /*  852679 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852754), // Rule ID 24294 //
     /*  852684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  852733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852752 */     GIR_RootConstrainSelectedInstOperands,
     /*  852753 */     // GIR_Coverage, 24294,
     /*  852753 */     GIR_EraseRootFromParent_Done,
     /*  852754 */   // Label 13081: @852754
     /*  852754 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852829), // Rule ID 24297 //
     /*  852759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852805 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  852808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852827 */     GIR_RootConstrainSelectedInstOperands,
     /*  852828 */     // GIR_Coverage, 24297,
     /*  852828 */     GIR_EraseRootFromParent_Done,
     /*  852829 */   // Label 13082: @852829
     /*  852829 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852904), // Rule ID 24298 //
     /*  852834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  852883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852902 */     GIR_RootConstrainSelectedInstOperands,
     /*  852903 */     // GIR_Coverage, 24298,
     /*  852903 */     GIR_EraseRootFromParent_Done,
     /*  852904 */   // Label 13083: @852904
     /*  852904 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(852979), // Rule ID 24301 //
     /*  852909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  852912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  852958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852977 */     GIR_RootConstrainSelectedInstOperands,
     /*  852978 */     // GIR_Coverage, 24301,
     /*  852978 */     GIR_EraseRootFromParent_Done,
     /*  852979 */   // Label 13084: @852979
     /*  852979 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(853054), // Rule ID 24302 //
     /*  852984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  852987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  853033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853052 */     GIR_RootConstrainSelectedInstOperands,
     /*  853053 */     // GIR_Coverage, 24302,
     /*  853053 */     GIR_EraseRootFromParent_Done,
     /*  853054 */   // Label 13085: @853054
     /*  853054 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(853129), // Rule ID 24305 //
     /*  853059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853105 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853127 */     GIR_RootConstrainSelectedInstOperands,
     /*  853128 */     // GIR_Coverage, 24305,
     /*  853128 */     GIR_EraseRootFromParent_Done,
     /*  853129 */   // Label 13086: @853129
     /*  853129 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(853204), // Rule ID 24306 //
     /*  853134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853180 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853202 */     GIR_RootConstrainSelectedInstOperands,
     /*  853203 */     // GIR_Coverage, 24306,
     /*  853203 */     GIR_EraseRootFromParent_Done,
     /*  853204 */   // Label 13087: @853204
     /*  853204 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(853279), // Rule ID 24309 //
     /*  853209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853255 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853277 */     GIR_RootConstrainSelectedInstOperands,
     /*  853278 */     // GIR_Coverage, 24309,
     /*  853278 */     GIR_EraseRootFromParent_Done,
     /*  853279 */   // Label 13088: @853279
     /*  853279 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(853354), // Rule ID 24310 //
     /*  853284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853330 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853352 */     GIR_RootConstrainSelectedInstOperands,
     /*  853353 */     // GIR_Coverage, 24310,
     /*  853353 */     GIR_EraseRootFromParent_Done,
     /*  853354 */   // Label 13089: @853354
     /*  853354 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(853429), // Rule ID 24313 //
     /*  853359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853405 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853427 */     GIR_RootConstrainSelectedInstOperands,
     /*  853428 */     // GIR_Coverage, 24313,
     /*  853428 */     GIR_EraseRootFromParent_Done,
     /*  853429 */   // Label 13090: @853429
     /*  853429 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(853504), // Rule ID 24314 //
     /*  853434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853502 */     GIR_RootConstrainSelectedInstOperands,
     /*  853503 */     // GIR_Coverage, 24314,
     /*  853503 */     GIR_EraseRootFromParent_Done,
     /*  853504 */   // Label 13091: @853504
     /*  853504 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853579), // Rule ID 24317 //
     /*  853509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  853558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853577 */     GIR_RootConstrainSelectedInstOperands,
     /*  853578 */     // GIR_Coverage, 24317,
     /*  853578 */     GIR_EraseRootFromParent_Done,
     /*  853579 */   // Label 13092: @853579
     /*  853579 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853654), // Rule ID 24318 //
     /*  853584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853630 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  853633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853652 */     GIR_RootConstrainSelectedInstOperands,
     /*  853653 */     // GIR_Coverage, 24318,
     /*  853653 */     GIR_EraseRootFromParent_Done,
     /*  853654 */   // Label 13093: @853654
     /*  853654 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853729), // Rule ID 24321 //
     /*  853659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853705 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  853708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853727 */     GIR_RootConstrainSelectedInstOperands,
     /*  853728 */     // GIR_Coverage, 24321,
     /*  853728 */     GIR_EraseRootFromParent_Done,
     /*  853729 */   // Label 13094: @853729
     /*  853729 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853804), // Rule ID 24322 //
     /*  853734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  853783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853802 */     GIR_RootConstrainSelectedInstOperands,
     /*  853803 */     // GIR_Coverage, 24322,
     /*  853803 */     GIR_EraseRootFromParent_Done,
     /*  853804 */   // Label 13095: @853804
     /*  853804 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853879), // Rule ID 24325 //
     /*  853809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853855 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  853858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853877 */     GIR_RootConstrainSelectedInstOperands,
     /*  853878 */     // GIR_Coverage, 24325,
     /*  853878 */     GIR_EraseRootFromParent_Done,
     /*  853879 */   // Label 13096: @853879
     /*  853879 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(853954), // Rule ID 24326 //
     /*  853884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853930 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  853933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853952 */     GIR_RootConstrainSelectedInstOperands,
     /*  853953 */     // GIR_Coverage, 24326,
     /*  853953 */     GIR_EraseRootFromParent_Done,
     /*  853954 */   // Label 13097: @853954
     /*  853954 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(854029), // Rule ID 24329 //
     /*  853959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854005 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  854008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854027 */     GIR_RootConstrainSelectedInstOperands,
     /*  854028 */     // GIR_Coverage, 24329,
     /*  854028 */     GIR_EraseRootFromParent_Done,
     /*  854029 */   // Label 13098: @854029
     /*  854029 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(854104), // Rule ID 24330 //
     /*  854034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  854083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854102 */     GIR_RootConstrainSelectedInstOperands,
     /*  854103 */     // GIR_Coverage, 24330,
     /*  854103 */     GIR_EraseRootFromParent_Done,
     /*  854104 */   // Label 13099: @854104
     /*  854104 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(854179), // Rule ID 24333 //
     /*  854109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854177 */     GIR_RootConstrainSelectedInstOperands,
     /*  854178 */     // GIR_Coverage, 24333,
     /*  854178 */     GIR_EraseRootFromParent_Done,
     /*  854179 */   // Label 13100: @854179
     /*  854179 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(854254), // Rule ID 24334 //
     /*  854184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854252 */     GIR_RootConstrainSelectedInstOperands,
     /*  854253 */     // GIR_Coverage, 24334,
     /*  854253 */     GIR_EraseRootFromParent_Done,
     /*  854254 */   // Label 13101: @854254
     /*  854254 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(854329), // Rule ID 24337 //
     /*  854259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854305 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854327 */     GIR_RootConstrainSelectedInstOperands,
     /*  854328 */     // GIR_Coverage, 24337,
     /*  854328 */     GIR_EraseRootFromParent_Done,
     /*  854329 */   // Label 13102: @854329
     /*  854329 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(854404), // Rule ID 24338 //
     /*  854334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854380 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854402 */     GIR_RootConstrainSelectedInstOperands,
     /*  854403 */     // GIR_Coverage, 24338,
     /*  854403 */     GIR_EraseRootFromParent_Done,
     /*  854404 */   // Label 13103: @854404
     /*  854404 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(854479), // Rule ID 24341 //
     /*  854409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854455 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854477 */     GIR_RootConstrainSelectedInstOperands,
     /*  854478 */     // GIR_Coverage, 24341,
     /*  854478 */     GIR_EraseRootFromParent_Done,
     /*  854479 */   // Label 13104: @854479
     /*  854479 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854554), // Rule ID 24342 //
     /*  854484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854530 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854552 */     GIR_RootConstrainSelectedInstOperands,
     /*  854553 */     // GIR_Coverage, 24342,
     /*  854553 */     GIR_EraseRootFromParent_Done,
     /*  854554 */   // Label 13105: @854554
     /*  854554 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854629), // Rule ID 24345 //
     /*  854559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854605 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  854608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854627 */     GIR_RootConstrainSelectedInstOperands,
     /*  854628 */     // GIR_Coverage, 24345,
     /*  854628 */     GIR_EraseRootFromParent_Done,
     /*  854629 */   // Label 13106: @854629
     /*  854629 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854704), // Rule ID 24346 //
     /*  854634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854680 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  854683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854702 */     GIR_RootConstrainSelectedInstOperands,
     /*  854703 */     // GIR_Coverage, 24346,
     /*  854703 */     GIR_EraseRootFromParent_Done,
     /*  854704 */   // Label 13107: @854704
     /*  854704 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854779), // Rule ID 24349 //
     /*  854709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854755 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  854758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854777 */     GIR_RootConstrainSelectedInstOperands,
     /*  854778 */     // GIR_Coverage, 24349,
     /*  854778 */     GIR_EraseRootFromParent_Done,
     /*  854779 */   // Label 13108: @854779
     /*  854779 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854854), // Rule ID 24350 //
     /*  854784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  854833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854852 */     GIR_RootConstrainSelectedInstOperands,
     /*  854853 */     // GIR_Coverage, 24350,
     /*  854853 */     GIR_EraseRootFromParent_Done,
     /*  854854 */   // Label 13109: @854854
     /*  854854 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(854929), // Rule ID 24353 //
     /*  854859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854905 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  854908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854927 */     GIR_RootConstrainSelectedInstOperands,
     /*  854928 */     // GIR_Coverage, 24353,
     /*  854928 */     GIR_EraseRootFromParent_Done,
     /*  854929 */   // Label 13110: @854929
     /*  854929 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(855004), // Rule ID 24354 //
     /*  854934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854980 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  854983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855002 */     GIR_RootConstrainSelectedInstOperands,
     /*  855003 */     // GIR_Coverage, 24354,
     /*  855003 */     GIR_EraseRootFromParent_Done,
     /*  855004 */   // Label 13111: @855004
     /*  855004 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(855079), // Rule ID 24357 //
     /*  855009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855055 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855077 */     GIR_RootConstrainSelectedInstOperands,
     /*  855078 */     // GIR_Coverage, 24357,
     /*  855078 */     GIR_EraseRootFromParent_Done,
     /*  855079 */   // Label 13112: @855079
     /*  855079 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(855154), // Rule ID 24358 //
     /*  855084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855152 */     GIR_RootConstrainSelectedInstOperands,
     /*  855153 */     // GIR_Coverage, 24358,
     /*  855153 */     GIR_EraseRootFromParent_Done,
     /*  855154 */   // Label 13113: @855154
     /*  855154 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(855229), // Rule ID 24361 //
     /*  855159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855205 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855227 */     GIR_RootConstrainSelectedInstOperands,
     /*  855228 */     // GIR_Coverage, 24361,
     /*  855228 */     GIR_EraseRootFromParent_Done,
     /*  855229 */   // Label 13114: @855229
     /*  855229 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(855304), // Rule ID 24362 //
     /*  855234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855302 */     GIR_RootConstrainSelectedInstOperands,
     /*  855303 */     // GIR_Coverage, 24362,
     /*  855303 */     GIR_EraseRootFromParent_Done,
     /*  855304 */   // Label 13115: @855304
     /*  855304 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(855379), // Rule ID 24365 //
     /*  855309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855355 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855377 */     GIR_RootConstrainSelectedInstOperands,
     /*  855378 */     // GIR_Coverage, 24365,
     /*  855378 */     GIR_EraseRootFromParent_Done,
     /*  855379 */   // Label 13116: @855379
     /*  855379 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(855454), // Rule ID 24366 //
     /*  855384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855430 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855452 */     GIR_RootConstrainSelectedInstOperands,
     /*  855453 */     // GIR_Coverage, 24366,
     /*  855453 */     GIR_EraseRootFromParent_Done,
     /*  855454 */   // Label 13117: @855454
     /*  855454 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(855529), // Rule ID 24369 //
     /*  855459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855505 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855527 */     GIR_RootConstrainSelectedInstOperands,
     /*  855528 */     // GIR_Coverage, 24369,
     /*  855528 */     GIR_EraseRootFromParent_Done,
     /*  855529 */   // Label 13118: @855529
     /*  855529 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855604), // Rule ID 24370 //
     /*  855534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855602 */     GIR_RootConstrainSelectedInstOperands,
     /*  855603 */     // GIR_Coverage, 24370,
     /*  855603 */     GIR_EraseRootFromParent_Done,
     /*  855604 */   // Label 13119: @855604
     /*  855604 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855679), // Rule ID 24373 //
     /*  855609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  855623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855655 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  855658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855677 */     GIR_RootConstrainSelectedInstOperands,
     /*  855678 */     // GIR_Coverage, 24373,
     /*  855678 */     GIR_EraseRootFromParent_Done,
     /*  855679 */   // Label 13120: @855679
     /*  855679 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855754), // Rule ID 24374 //
     /*  855684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  855698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855730 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  855730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  855733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855752 */     GIR_RootConstrainSelectedInstOperands,
     /*  855753 */     // GIR_Coverage, 24374,
     /*  855753 */     GIR_EraseRootFromParent_Done,
     /*  855754 */   // Label 13121: @855754
     /*  855754 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855829), // Rule ID 24377 //
     /*  855759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  855773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  855808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855827 */     GIR_RootConstrainSelectedInstOperands,
     /*  855828 */     // GIR_Coverage, 24377,
     /*  855828 */     GIR_EraseRootFromParent_Done,
     /*  855829 */   // Label 13122: @855829
     /*  855829 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855904), // Rule ID 24378 //
     /*  855834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  855848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855880 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  855880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  855883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855902 */     GIR_RootConstrainSelectedInstOperands,
     /*  855903 */     // GIR_Coverage, 24378,
     /*  855903 */     GIR_EraseRootFromParent_Done,
     /*  855904 */   // Label 13123: @855904
     /*  855904 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(855979), // Rule ID 24381 //
     /*  855909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  855920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  855923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  855926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  855929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  855958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855977 */     GIR_RootConstrainSelectedInstOperands,
     /*  855978 */     // GIR_Coverage, 24381,
     /*  855978 */     GIR_EraseRootFromParent_Done,
     /*  855979 */   // Label 13124: @855979
     /*  855979 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(856054), // Rule ID 24382 //
     /*  855984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  855995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  855998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856030 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  856033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856052 */     GIR_RootConstrainSelectedInstOperands,
     /*  856053 */     // GIR_Coverage, 24382,
     /*  856053 */     GIR_EraseRootFromParent_Done,
     /*  856054 */   // Label 13125: @856054
     /*  856054 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(856129), // Rule ID 24385 //
     /*  856059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856127 */     GIR_RootConstrainSelectedInstOperands,
     /*  856128 */     // GIR_Coverage, 24385,
     /*  856128 */     GIR_EraseRootFromParent_Done,
     /*  856129 */   // Label 13126: @856129
     /*  856129 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(856204), // Rule ID 24386 //
     /*  856134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856202 */     GIR_RootConstrainSelectedInstOperands,
     /*  856203 */     // GIR_Coverage, 24386,
     /*  856203 */     GIR_EraseRootFromParent_Done,
     /*  856204 */   // Label 13127: @856204
     /*  856204 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(856279), // Rule ID 24389 //
     /*  856209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856255 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856277 */     GIR_RootConstrainSelectedInstOperands,
     /*  856278 */     // GIR_Coverage, 24389,
     /*  856278 */     GIR_EraseRootFromParent_Done,
     /*  856279 */   // Label 13128: @856279
     /*  856279 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856354), // Rule ID 24390 //
     /*  856284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856330 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856352 */     GIR_RootConstrainSelectedInstOperands,
     /*  856353 */     // GIR_Coverage, 24390,
     /*  856353 */     GIR_EraseRootFromParent_Done,
     /*  856354 */   // Label 13129: @856354
     /*  856354 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856429), // Rule ID 24393 //
     /*  856359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856427 */     GIR_RootConstrainSelectedInstOperands,
     /*  856428 */     // GIR_Coverage, 24393,
     /*  856428 */     GIR_EraseRootFromParent_Done,
     /*  856429 */   // Label 13130: @856429
     /*  856429 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(856504), // Rule ID 24394 //
     /*  856434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856502 */     GIR_RootConstrainSelectedInstOperands,
     /*  856503 */     // GIR_Coverage, 24394,
     /*  856503 */     GIR_EraseRootFromParent_Done,
     /*  856504 */   // Label 13131: @856504
     /*  856504 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856579), // Rule ID 24397 //
     /*  856509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  856558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856577 */     GIR_RootConstrainSelectedInstOperands,
     /*  856578 */     // GIR_Coverage, 24397,
     /*  856578 */     GIR_EraseRootFromParent_Done,
     /*  856579 */   // Label 13132: @856579
     /*  856579 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856654), // Rule ID 24398 //
     /*  856584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  856633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856652 */     GIR_RootConstrainSelectedInstOperands,
     /*  856653 */     // GIR_Coverage, 24398,
     /*  856653 */     GIR_EraseRootFromParent_Done,
     /*  856654 */   // Label 13133: @856654
     /*  856654 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856729), // Rule ID 24401 //
     /*  856659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  856679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  856708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856727 */     GIR_RootConstrainSelectedInstOperands,
     /*  856728 */     // GIR_Coverage, 24401,
     /*  856728 */     GIR_EraseRootFromParent_Done,
     /*  856729 */   // Label 13134: @856729
     /*  856729 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856804), // Rule ID 24402 //
     /*  856734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  856754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  856783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856802 */     GIR_RootConstrainSelectedInstOperands,
     /*  856803 */     // GIR_Coverage, 24402,
     /*  856803 */     GIR_EraseRootFromParent_Done,
     /*  856804 */   // Label 13135: @856804
     /*  856804 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856879), // Rule ID 24405 //
     /*  856809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  856829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  856858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856877 */     GIR_RootConstrainSelectedInstOperands,
     /*  856878 */     // GIR_Coverage, 24405,
     /*  856878 */     GIR_EraseRootFromParent_Done,
     /*  856879 */   // Label 13136: @856879
     /*  856879 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(856954), // Rule ID 24406 //
     /*  856884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  856904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  856933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856952 */     GIR_RootConstrainSelectedInstOperands,
     /*  856953 */     // GIR_Coverage, 24406,
     /*  856953 */     GIR_EraseRootFromParent_Done,
     /*  856954 */   // Label 13137: @856954
     /*  856954 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(857029), // Rule ID 24409 //
     /*  856959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  856962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  856970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  856973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  856976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  856979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  857008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857027 */     GIR_RootConstrainSelectedInstOperands,
     /*  857028 */     // GIR_Coverage, 24409,
     /*  857028 */     GIR_EraseRootFromParent_Done,
     /*  857029 */   // Label 13138: @857029
     /*  857029 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(857104), // Rule ID 24410 //
     /*  857034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  857037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  857054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  857083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857102 */     GIR_RootConstrainSelectedInstOperands,
     /*  857103 */     // GIR_Coverage, 24410,
     /*  857103 */     GIR_EraseRootFromParent_Done,
     /*  857104 */   // Label 13139: @857104
     /*  857104 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(857179), // Rule ID 24413 //
     /*  857109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857177 */     GIR_RootConstrainSelectedInstOperands,
     /*  857178 */     // GIR_Coverage, 24413,
     /*  857178 */     GIR_EraseRootFromParent_Done,
     /*  857179 */   // Label 13140: @857179
     /*  857179 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(857254), // Rule ID 24414 //
     /*  857184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857252 */     GIR_RootConstrainSelectedInstOperands,
     /*  857253 */     // GIR_Coverage, 24414,
     /*  857253 */     GIR_EraseRootFromParent_Done,
     /*  857254 */   // Label 13141: @857254
     /*  857254 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857329), // Rule ID 24417 //
     /*  857259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857305 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857327 */     GIR_RootConstrainSelectedInstOperands,
     /*  857328 */     // GIR_Coverage, 24417,
     /*  857328 */     GIR_EraseRootFromParent_Done,
     /*  857329 */   // Label 13142: @857329
     /*  857329 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857404), // Rule ID 24418 //
     /*  857334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857380 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857402 */     GIR_RootConstrainSelectedInstOperands,
     /*  857403 */     // GIR_Coverage, 24418,
     /*  857403 */     GIR_EraseRootFromParent_Done,
     /*  857404 */   // Label 13143: @857404
     /*  857404 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(857479), // Rule ID 24421 //
     /*  857409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857455 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857477 */     GIR_RootConstrainSelectedInstOperands,
     /*  857478 */     // GIR_Coverage, 24421,
     /*  857478 */     GIR_EraseRootFromParent_Done,
     /*  857479 */   // Label 13144: @857479
     /*  857479 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857554), // Rule ID 24422 //
     /*  857484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857530 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857552 */     GIR_RootConstrainSelectedInstOperands,
     /*  857553 */     // GIR_Coverage, 24422,
     /*  857553 */     GIR_EraseRootFromParent_Done,
     /*  857554 */   // Label 13145: @857554
     /*  857554 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857629), // Rule ID 24425 //
     /*  857559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857605 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  857608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857627 */     GIR_RootConstrainSelectedInstOperands,
     /*  857628 */     // GIR_Coverage, 24425,
     /*  857628 */     GIR_EraseRootFromParent_Done,
     /*  857629 */   // Label 13146: @857629
     /*  857629 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857704), // Rule ID 24426 //
     /*  857634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  857683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857702 */     GIR_RootConstrainSelectedInstOperands,
     /*  857703 */     // GIR_Coverage, 24426,
     /*  857703 */     GIR_EraseRootFromParent_Done,
     /*  857704 */   // Label 13147: @857704
     /*  857704 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857779), // Rule ID 24429 //
     /*  857709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  857720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  857723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  857726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  857729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  857758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857777 */     GIR_RootConstrainSelectedInstOperands,
     /*  857778 */     // GIR_Coverage, 24429,
     /*  857778 */     GIR_EraseRootFromParent_Done,
     /*  857779 */   // Label 13148: @857779
     /*  857779 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857854), // Rule ID 24430 //
     /*  857784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  857795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  857798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  857801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  857804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  857833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857852 */     GIR_RootConstrainSelectedInstOperands,
     /*  857853 */     // GIR_Coverage, 24430,
     /*  857853 */     GIR_EraseRootFromParent_Done,
     /*  857854 */   // Label 13149: @857854
     /*  857854 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(857929), // Rule ID 24433 //
     /*  857859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  857879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857905 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  857908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857927 */     GIR_RootConstrainSelectedInstOperands,
     /*  857928 */     // GIR_Coverage, 24433,
     /*  857928 */     GIR_EraseRootFromParent_Done,
     /*  857929 */   // Label 13150: @857929
     /*  857929 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(858004), // Rule ID 24434 //
     /*  857934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  857954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  857983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858002 */     GIR_RootConstrainSelectedInstOperands,
     /*  858003 */     // GIR_Coverage, 24434,
     /*  858003 */     GIR_EraseRootFromParent_Done,
     /*  858004 */   // Label 13151: @858004
     /*  858004 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(858079), // Rule ID 24437 //
     /*  858009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  858029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858077 */     GIR_RootConstrainSelectedInstOperands,
     /*  858078 */     // GIR_Coverage, 24437,
     /*  858078 */     GIR_EraseRootFromParent_Done,
     /*  858079 */   // Label 13152: @858079
     /*  858079 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(858154), // Rule ID 24438 //
     /*  858084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  858104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858152 */     GIR_RootConstrainSelectedInstOperands,
     /*  858153 */     // GIR_Coverage, 24438,
     /*  858153 */     GIR_EraseRootFromParent_Done,
     /*  858154 */   // Label 13153: @858154
     /*  858154 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(858229), // Rule ID 24441 //
     /*  858159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858227 */     GIR_RootConstrainSelectedInstOperands,
     /*  858228 */     // GIR_Coverage, 24441,
     /*  858228 */     GIR_EraseRootFromParent_Done,
     /*  858229 */   // Label 13154: @858229
     /*  858229 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858304), // Rule ID 24442 //
     /*  858234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858302 */     GIR_RootConstrainSelectedInstOperands,
     /*  858303 */     // GIR_Coverage, 24442,
     /*  858303 */     GIR_EraseRootFromParent_Done,
     /*  858304 */   // Label 13155: @858304
     /*  858304 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858379), // Rule ID 24445 //
     /*  858309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858377 */     GIR_RootConstrainSelectedInstOperands,
     /*  858378 */     // GIR_Coverage, 24445,
     /*  858378 */     GIR_EraseRootFromParent_Done,
     /*  858379 */   // Label 13156: @858379
     /*  858379 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(858454), // Rule ID 24446 //
     /*  858384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858452 */     GIR_RootConstrainSelectedInstOperands,
     /*  858453 */     // GIR_Coverage, 24446,
     /*  858453 */     GIR_EraseRootFromParent_Done,
     /*  858454 */   // Label 13157: @858454
     /*  858454 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(858529), // Rule ID 24449 //
     /*  858459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858527 */     GIR_RootConstrainSelectedInstOperands,
     /*  858528 */     // GIR_Coverage, 24449,
     /*  858528 */     GIR_EraseRootFromParent_Done,
     /*  858529 */   // Label 13158: @858529
     /*  858529 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858604), // Rule ID 24450 //
     /*  858534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858602 */     GIR_RootConstrainSelectedInstOperands,
     /*  858603 */     // GIR_Coverage, 24450,
     /*  858603 */     GIR_EraseRootFromParent_Done,
     /*  858604 */   // Label 13159: @858604
     /*  858604 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858679), // Rule ID 24453 //
     /*  858609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  858623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  858658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858677 */     GIR_RootConstrainSelectedInstOperands,
     /*  858678 */     // GIR_Coverage, 24453,
     /*  858678 */     GIR_EraseRootFromParent_Done,
     /*  858679 */   // Label 13160: @858679
     /*  858679 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858754), // Rule ID 24454 //
     /*  858684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  858698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858730 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  858733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858752 */     GIR_RootConstrainSelectedInstOperands,
     /*  858753 */     // GIR_Coverage, 24454,
     /*  858753 */     GIR_EraseRootFromParent_Done,
     /*  858754 */   // Label 13161: @858754
     /*  858754 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858829), // Rule ID 24457 //
     /*  858759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  858773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  858808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858827 */     GIR_RootConstrainSelectedInstOperands,
     /*  858828 */     // GIR_Coverage, 24457,
     /*  858828 */     GIR_EraseRootFromParent_Done,
     /*  858829 */   // Label 13162: @858829
     /*  858829 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858904), // Rule ID 24458 //
     /*  858834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  858848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  858883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858902 */     GIR_RootConstrainSelectedInstOperands,
     /*  858903 */     // GIR_Coverage, 24458,
     /*  858903 */     GIR_EraseRootFromParent_Done,
     /*  858904 */   // Label 13163: @858904
     /*  858904 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(858979), // Rule ID 24461 //
     /*  858909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  858920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  858923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  858926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858955 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  858955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  858958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858977 */     GIR_RootConstrainSelectedInstOperands,
     /*  858978 */     // GIR_Coverage, 24461,
     /*  858978 */     GIR_EraseRootFromParent_Done,
     /*  858979 */   // Label 13164: @858979
     /*  858979 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(859054), // Rule ID 24462 //
     /*  858984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  858995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  858998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  859001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859030 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  859033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859052 */     GIR_RootConstrainSelectedInstOperands,
     /*  859053 */     // GIR_Coverage, 24462,
     /*  859053 */     GIR_EraseRootFromParent_Done,
     /*  859054 */   // Label 13165: @859054
     /*  859054 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(859129), // Rule ID 24465 //
     /*  859059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859105 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859127 */     GIR_RootConstrainSelectedInstOperands,
     /*  859128 */     // GIR_Coverage, 24465,
     /*  859128 */     GIR_EraseRootFromParent_Done,
     /*  859129 */   // Label 13166: @859129
     /*  859129 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(859204), // Rule ID 24466 //
     /*  859134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859180 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859202 */     GIR_RootConstrainSelectedInstOperands,
     /*  859203 */     // GIR_Coverage, 24466,
     /*  859203 */     GIR_EraseRootFromParent_Done,
     /*  859204 */   // Label 13167: @859204
     /*  859204 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859279), // Rule ID 24469 //
     /*  859209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859255 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859277 */     GIR_RootConstrainSelectedInstOperands,
     /*  859278 */     // GIR_Coverage, 24469,
     /*  859278 */     GIR_EraseRootFromParent_Done,
     /*  859279 */   // Label 13168: @859279
     /*  859279 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859354), // Rule ID 24470 //
     /*  859284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859352 */     GIR_RootConstrainSelectedInstOperands,
     /*  859353 */     // GIR_Coverage, 24470,
     /*  859353 */     GIR_EraseRootFromParent_Done,
     /*  859354 */   // Label 13169: @859354
     /*  859354 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859429), // Rule ID 24473 //
     /*  859359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859405 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859427 */     GIR_RootConstrainSelectedInstOperands,
     /*  859428 */     // GIR_Coverage, 24473,
     /*  859428 */     GIR_EraseRootFromParent_Done,
     /*  859429 */   // Label 13170: @859429
     /*  859429 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(859504), // Rule ID 24474 //
     /*  859434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859502 */     GIR_RootConstrainSelectedInstOperands,
     /*  859503 */     // GIR_Coverage, 24474,
     /*  859503 */     GIR_EraseRootFromParent_Done,
     /*  859504 */   // Label 13171: @859504
     /*  859504 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859579), // Rule ID 24477 //
     /*  859509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859555 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859577 */     GIR_RootConstrainSelectedInstOperands,
     /*  859578 */     // GIR_Coverage, 24477,
     /*  859578 */     GIR_EraseRootFromParent_Done,
     /*  859579 */   // Label 13172: @859579
     /*  859579 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859654), // Rule ID 24478 //
     /*  859584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859652 */     GIR_RootConstrainSelectedInstOperands,
     /*  859653 */     // GIR_Coverage, 24478,
     /*  859653 */     GIR_EraseRootFromParent_Done,
     /*  859654 */   // Label 13173: @859654
     /*  859654 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859729), // Rule ID 24481 //
     /*  859659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  859670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  859673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  859676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859727 */     GIR_RootConstrainSelectedInstOperands,
     /*  859728 */     // GIR_Coverage, 24481,
     /*  859728 */     GIR_EraseRootFromParent_Done,
     /*  859729 */   // Label 13174: @859729
     /*  859729 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859804), // Rule ID 24482 //
     /*  859734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  859745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  859748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  859751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859802 */     GIR_RootConstrainSelectedInstOperands,
     /*  859803 */     // GIR_Coverage, 24482,
     /*  859803 */     GIR_EraseRootFromParent_Done,
     /*  859804 */   // Label 13175: @859804
     /*  859804 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859879), // Rule ID 24485 //
     /*  859809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  859820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  859823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  859826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  859858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859877 */     GIR_RootConstrainSelectedInstOperands,
     /*  859878 */     // GIR_Coverage, 24485,
     /*  859878 */     GIR_EraseRootFromParent_Done,
     /*  859879 */   // Label 13176: @859879
     /*  859879 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(859954), // Rule ID 24486 //
     /*  859884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  859895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  859898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  859901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  859933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859952 */     GIR_RootConstrainSelectedInstOperands,
     /*  859953 */     // GIR_Coverage, 24486,
     /*  859953 */     GIR_EraseRootFromParent_Done,
     /*  859954 */   // Label 13177: @859954
     /*  859954 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(860029), // Rule ID 24489 //
     /*  859959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  859973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860027 */     GIR_RootConstrainSelectedInstOperands,
     /*  860028 */     // GIR_Coverage, 24489,
     /*  860028 */     GIR_EraseRootFromParent_Done,
     /*  860029 */   // Label 13178: @860029
     /*  860029 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(860104), // Rule ID 24490 //
     /*  860034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  860045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  860048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  860051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860102 */     GIR_RootConstrainSelectedInstOperands,
     /*  860103 */     // GIR_Coverage, 24490,
     /*  860103 */     GIR_EraseRootFromParent_Done,
     /*  860104 */   // Label 13179: @860104
     /*  860104 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(860179), // Rule ID 24493 //
     /*  860109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860177 */     GIR_RootConstrainSelectedInstOperands,
     /*  860178 */     // GIR_Coverage, 24493,
     /*  860178 */     GIR_EraseRootFromParent_Done,
     /*  860179 */   // Label 13180: @860179
     /*  860179 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(860254), // Rule ID 24494 //
     /*  860184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860252 */     GIR_RootConstrainSelectedInstOperands,
     /*  860253 */     // GIR_Coverage, 24494,
     /*  860253 */     GIR_EraseRootFromParent_Done,
     /*  860254 */   // Label 13181: @860254
     /*  860254 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860329), // Rule ID 24497 //
     /*  860259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  860262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860327 */     GIR_RootConstrainSelectedInstOperands,
     /*  860328 */     // GIR_Coverage, 24497,
     /*  860328 */     GIR_EraseRootFromParent_Done,
     /*  860329 */   // Label 13182: @860329
     /*  860329 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860404), // Rule ID 24498 //
     /*  860334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  860337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860402 */     GIR_RootConstrainSelectedInstOperands,
     /*  860403 */     // GIR_Coverage, 24498,
     /*  860403 */     GIR_EraseRootFromParent_Done,
     /*  860404 */   // Label 13183: @860404
     /*  860404 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(860479), // Rule ID 24501 //
     /*  860409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860455 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860477 */     GIR_RootConstrainSelectedInstOperands,
     /*  860478 */     // GIR_Coverage, 24501,
     /*  860478 */     GIR_EraseRootFromParent_Done,
     /*  860479 */   // Label 13184: @860479
     /*  860479 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860554), // Rule ID 24502 //
     /*  860484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860552 */     GIR_RootConstrainSelectedInstOperands,
     /*  860553 */     // GIR_Coverage, 24502,
     /*  860553 */     GIR_EraseRootFromParent_Done,
     /*  860554 */   // Label 13185: @860554
     /*  860554 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860629), // Rule ID 24505 //
     /*  860559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  860570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  860573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  860576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860627 */     GIR_RootConstrainSelectedInstOperands,
     /*  860628 */     // GIR_Coverage, 24505,
     /*  860628 */     GIR_EraseRootFromParent_Done,
     /*  860629 */   // Label 13186: @860629
     /*  860629 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860704), // Rule ID 24506 //
     /*  860634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  860645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  860648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  860651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860702 */     GIR_RootConstrainSelectedInstOperands,
     /*  860703 */     // GIR_Coverage, 24506,
     /*  860703 */     GIR_EraseRootFromParent_Done,
     /*  860704 */   // Label 13187: @860704
     /*  860704 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860779), // Rule ID 24509 //
     /*  860709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  860723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860755 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860777 */     GIR_RootConstrainSelectedInstOperands,
     /*  860778 */     // GIR_Coverage, 24509,
     /*  860778 */     GIR_EraseRootFromParent_Done,
     /*  860779 */   // Label 13188: @860779
     /*  860779 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860854), // Rule ID 24510 //
     /*  860784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  860798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860830 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860852 */     GIR_RootConstrainSelectedInstOperands,
     /*  860853 */     // GIR_Coverage, 24510,
     /*  860853 */     GIR_EraseRootFromParent_Done,
     /*  860854 */   // Label 13189: @860854
     /*  860854 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(860929), // Rule ID 24513 //
     /*  860859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  860873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860927 */     GIR_RootConstrainSelectedInstOperands,
     /*  860928 */     // GIR_Coverage, 24513,
     /*  860928 */     GIR_EraseRootFromParent_Done,
     /*  860929 */   // Label 13190: @860929
     /*  860929 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(861004), // Rule ID 24514 //
     /*  860934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  860948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861002 */     GIR_RootConstrainSelectedInstOperands,
     /*  861003 */     // GIR_Coverage, 24514,
     /*  861003 */     GIR_EraseRootFromParent_Done,
     /*  861004 */   // Label 13191: @861004
     /*  861004 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(861079), // Rule ID 24517 //
     /*  861009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  861023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861077 */     GIR_RootConstrainSelectedInstOperands,
     /*  861078 */     // GIR_Coverage, 24517,
     /*  861078 */     GIR_EraseRootFromParent_Done,
     /*  861079 */   // Label 13192: @861079
     /*  861079 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(861154), // Rule ID 24518 //
     /*  861084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  861098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861152 */     GIR_RootConstrainSelectedInstOperands,
     /*  861153 */     // GIR_Coverage, 24518,
     /*  861153 */     GIR_EraseRootFromParent_Done,
     /*  861154 */   // Label 13193: @861154
     /*  861154 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(861229), // Rule ID 24521 //
     /*  861159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861227 */     GIR_RootConstrainSelectedInstOperands,
     /*  861228 */     // GIR_Coverage, 24521,
     /*  861228 */     GIR_EraseRootFromParent_Done,
     /*  861229 */   // Label 13194: @861229
     /*  861229 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861304), // Rule ID 24522 //
     /*  861234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861302 */     GIR_RootConstrainSelectedInstOperands,
     /*  861303 */     // GIR_Coverage, 24522,
     /*  861303 */     GIR_EraseRootFromParent_Done,
     /*  861304 */   // Label 13195: @861304
     /*  861304 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861379), // Rule ID 24525 //
     /*  861309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861355 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861377 */     GIR_RootConstrainSelectedInstOperands,
     /*  861378 */     // GIR_Coverage, 24525,
     /*  861378 */     GIR_EraseRootFromParent_Done,
     /*  861379 */   // Label 13196: @861379
     /*  861379 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(861454), // Rule ID 24526 //
     /*  861384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861452 */     GIR_RootConstrainSelectedInstOperands,
     /*  861453 */     // GIR_Coverage, 24526,
     /*  861453 */     GIR_EraseRootFromParent_Done,
     /*  861454 */   // Label 13197: @861454
     /*  861454 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(861529), // Rule ID 24529 //
     /*  861459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861527 */     GIR_RootConstrainSelectedInstOperands,
     /*  861528 */     // GIR_Coverage, 24529,
     /*  861528 */     GIR_EraseRootFromParent_Done,
     /*  861529 */   // Label 13198: @861529
     /*  861529 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861604), // Rule ID 24530 //
     /*  861534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861602 */     GIR_RootConstrainSelectedInstOperands,
     /*  861603 */     // GIR_Coverage, 24530,
     /*  861603 */     GIR_EraseRootFromParent_Done,
     /*  861604 */   // Label 13199: @861604
     /*  861604 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861679), // Rule ID 24533 //
     /*  861609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  861620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  861623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  861626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861677 */     GIR_RootConstrainSelectedInstOperands,
     /*  861678 */     // GIR_Coverage, 24533,
     /*  861678 */     GIR_EraseRootFromParent_Done,
     /*  861679 */   // Label 13200: @861679
     /*  861679 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861754), // Rule ID 24534 //
     /*  861684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  861695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  861698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  861701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861752 */     GIR_RootConstrainSelectedInstOperands,
     /*  861753 */     // GIR_Coverage, 24534,
     /*  861753 */     GIR_EraseRootFromParent_Done,
     /*  861754 */   // Label 13201: @861754
     /*  861754 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861829), // Rule ID 24537 //
     /*  861759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  861762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  861770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  861773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  861776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861827 */     GIR_RootConstrainSelectedInstOperands,
     /*  861828 */     // GIR_Coverage, 24537,
     /*  861828 */     GIR_EraseRootFromParent_Done,
     /*  861829 */   // Label 13202: @861829
     /*  861829 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861904), // Rule ID 24538 //
     /*  861834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  861837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  861845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  861848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  861851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861902 */     GIR_RootConstrainSelectedInstOperands,
     /*  861903 */     // GIR_Coverage, 24538,
     /*  861903 */     GIR_EraseRootFromParent_Done,
     /*  861904 */   // Label 13203: @861904
     /*  861904 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(861979), // Rule ID 24541 //
     /*  861909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  861912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  861920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  861923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  861926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861977 */     GIR_RootConstrainSelectedInstOperands,
     /*  861978 */     // GIR_Coverage, 24541,
     /*  861978 */     GIR_EraseRootFromParent_Done,
     /*  861979 */   // Label 13204: @861979
     /*  861979 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(862054), // Rule ID 24542 //
     /*  861984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  861987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  861995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  861998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  862001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862052 */     GIR_RootConstrainSelectedInstOperands,
     /*  862053 */     // GIR_Coverage, 24542,
     /*  862053 */     GIR_EraseRootFromParent_Done,
     /*  862054 */   // Label 13205: @862054
     /*  862054 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(862129), // Rule ID 24545 //
     /*  862059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862127 */     GIR_RootConstrainSelectedInstOperands,
     /*  862128 */     // GIR_Coverage, 24545,
     /*  862128 */     GIR_EraseRootFromParent_Done,
     /*  862129 */   // Label 13206: @862129
     /*  862129 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(862204), // Rule ID 24546 //
     /*  862134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862202 */     GIR_RootConstrainSelectedInstOperands,
     /*  862203 */     // GIR_Coverage, 24546,
     /*  862203 */     GIR_EraseRootFromParent_Done,
     /*  862204 */   // Label 13207: @862204
     /*  862204 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862279), // Rule ID 24637 //
     /*  862209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862255 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862277 */     GIR_RootConstrainSelectedInstOperands,
     /*  862278 */     // GIR_Coverage, 24637,
     /*  862278 */     GIR_EraseRootFromParent_Done,
     /*  862279 */   // Label 13208: @862279
     /*  862279 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862354), // Rule ID 24638 //
     /*  862284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862352 */     GIR_RootConstrainSelectedInstOperands,
     /*  862353 */     // GIR_Coverage, 24638,
     /*  862353 */     GIR_EraseRootFromParent_Done,
     /*  862354 */   // Label 13209: @862354
     /*  862354 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862429), // Rule ID 24641 //
     /*  862359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862405 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862427 */     GIR_RootConstrainSelectedInstOperands,
     /*  862428 */     // GIR_Coverage, 24641,
     /*  862428 */     GIR_EraseRootFromParent_Done,
     /*  862429 */   // Label 13210: @862429
     /*  862429 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(862504), // Rule ID 24642 //
     /*  862434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862480 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862502 */     GIR_RootConstrainSelectedInstOperands,
     /*  862503 */     // GIR_Coverage, 24642,
     /*  862503 */     GIR_EraseRootFromParent_Done,
     /*  862504 */   // Label 13211: @862504
     /*  862504 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862579), // Rule ID 24645 //
     /*  862509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862555 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  862558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862577 */     GIR_RootConstrainSelectedInstOperands,
     /*  862578 */     // GIR_Coverage, 24645,
     /*  862578 */     GIR_EraseRootFromParent_Done,
     /*  862579 */   // Label 13212: @862579
     /*  862579 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862654), // Rule ID 24646 //
     /*  862584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  862633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862652 */     GIR_RootConstrainSelectedInstOperands,
     /*  862653 */     // GIR_Coverage, 24646,
     /*  862653 */     GIR_EraseRootFromParent_Done,
     /*  862654 */   // Label 13213: @862654
     /*  862654 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862729), // Rule ID 24649 //
     /*  862659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  862670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  862673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  862676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862705 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  862708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862727 */     GIR_RootConstrainSelectedInstOperands,
     /*  862728 */     // GIR_Coverage, 24649,
     /*  862728 */     GIR_EraseRootFromParent_Done,
     /*  862729 */   // Label 13214: @862729
     /*  862729 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862804), // Rule ID 24650 //
     /*  862734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  862745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  862748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  862751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  862783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862802 */     GIR_RootConstrainSelectedInstOperands,
     /*  862803 */     // GIR_Coverage, 24650,
     /*  862803 */     GIR_EraseRootFromParent_Done,
     /*  862804 */   // Label 13215: @862804
     /*  862804 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862879), // Rule ID 24653 //
     /*  862809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  862820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  862823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  862826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862855 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  862858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862877 */     GIR_RootConstrainSelectedInstOperands,
     /*  862878 */     // GIR_Coverage, 24653,
     /*  862878 */     GIR_EraseRootFromParent_Done,
     /*  862879 */   // Label 13216: @862879
     /*  862879 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(862954), // Rule ID 24654 //
     /*  862884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  862895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  862898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  862901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  862933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862952 */     GIR_RootConstrainSelectedInstOperands,
     /*  862953 */     // GIR_Coverage, 24654,
     /*  862953 */     GIR_EraseRootFromParent_Done,
     /*  862954 */   // Label 13217: @862954
     /*  862954 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(863029), // Rule ID 24657 //
     /*  862959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  862970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  862973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  862976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863005 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  863008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863027 */     GIR_RootConstrainSelectedInstOperands,
     /*  863028 */     // GIR_Coverage, 24657,
     /*  863028 */     GIR_EraseRootFromParent_Done,
     /*  863029 */   // Label 13218: @863029
     /*  863029 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(863104), // Rule ID 24658 //
     /*  863034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  863045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  863048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  863051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  863083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863102 */     GIR_RootConstrainSelectedInstOperands,
     /*  863103 */     // GIR_Coverage, 24658,
     /*  863103 */     GIR_EraseRootFromParent_Done,
     /*  863104 */   // Label 13219: @863104
     /*  863104 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(863179), // Rule ID 24661 //
     /*  863109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863177 */     GIR_RootConstrainSelectedInstOperands,
     /*  863178 */     // GIR_Coverage, 24661,
     /*  863178 */     GIR_EraseRootFromParent_Done,
     /*  863179 */   // Label 13220: @863179
     /*  863179 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(863254), // Rule ID 24662 //
     /*  863184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863252 */     GIR_RootConstrainSelectedInstOperands,
     /*  863253 */     // GIR_Coverage, 24662,
     /*  863253 */     GIR_EraseRootFromParent_Done,
     /*  863254 */   // Label 13221: @863254
     /*  863254 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863329), // Rule ID 24665 //
     /*  863259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863327 */     GIR_RootConstrainSelectedInstOperands,
     /*  863328 */     // GIR_Coverage, 24665,
     /*  863328 */     GIR_EraseRootFromParent_Done,
     /*  863329 */   // Label 13222: @863329
     /*  863329 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863404), // Rule ID 24666 //
     /*  863334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863402 */     GIR_RootConstrainSelectedInstOperands,
     /*  863403 */     // GIR_Coverage, 24666,
     /*  863403 */     GIR_EraseRootFromParent_Done,
     /*  863404 */   // Label 13223: @863404
     /*  863404 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(863479), // Rule ID 24669 //
     /*  863409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863477 */     GIR_RootConstrainSelectedInstOperands,
     /*  863478 */     // GIR_Coverage, 24669,
     /*  863478 */     GIR_EraseRootFromParent_Done,
     /*  863479 */   // Label 13224: @863479
     /*  863479 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863554), // Rule ID 24670 //
     /*  863484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863552 */     GIR_RootConstrainSelectedInstOperands,
     /*  863553 */     // GIR_Coverage, 24670,
     /*  863553 */     GIR_EraseRootFromParent_Done,
     /*  863554 */   // Label 13225: @863554
     /*  863554 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(863629), // Rule ID 24673 //
     /*  863559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  863562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  863573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  863608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863627 */     GIR_RootConstrainSelectedInstOperands,
     /*  863628 */     // GIR_Coverage, 24673,
     /*  863628 */     GIR_EraseRootFromParent_Done,
     /*  863629 */   // Label 13226: @863629
     /*  863629 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863704), // Rule ID 24674 //
     /*  863634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  863637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  863648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  863683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863702 */     GIR_RootConstrainSelectedInstOperands,
     /*  863703 */     // GIR_Coverage, 24674,
     /*  863703 */     GIR_EraseRootFromParent_Done,
     /*  863704 */   // Label 13227: @863704
     /*  863704 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863779), // Rule ID 24677 //
     /*  863709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  863720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  863723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  863726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  863758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863777 */     GIR_RootConstrainSelectedInstOperands,
     /*  863778 */     // GIR_Coverage, 24677,
     /*  863778 */     GIR_EraseRootFromParent_Done,
     /*  863779 */   // Label 13228: @863779
     /*  863779 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863854), // Rule ID 24678 //
     /*  863784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  863795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  863798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  863801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863830 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  863833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863852 */     GIR_RootConstrainSelectedInstOperands,
     /*  863853 */     // GIR_Coverage, 24678,
     /*  863853 */     GIR_EraseRootFromParent_Done,
     /*  863854 */   // Label 13229: @863854
     /*  863854 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(863929), // Rule ID 24681 //
     /*  863859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  863870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  863873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  863876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863905 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  863908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863927 */     GIR_RootConstrainSelectedInstOperands,
     /*  863928 */     // GIR_Coverage, 24681,
     /*  863928 */     GIR_EraseRootFromParent_Done,
     /*  863929 */   // Label 13230: @863929
     /*  863929 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(864004), // Rule ID 24682 //
     /*  863934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  863945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  863948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  863951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863980 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  863983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864002 */     GIR_RootConstrainSelectedInstOperands,
     /*  864003 */     // GIR_Coverage, 24682,
     /*  864003 */     GIR_EraseRootFromParent_Done,
     /*  864004 */   // Label 13231: @864004
     /*  864004 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(864079), // Rule ID 24685 //
     /*  864009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864077 */     GIR_RootConstrainSelectedInstOperands,
     /*  864078 */     // GIR_Coverage, 24685,
     /*  864078 */     GIR_EraseRootFromParent_Done,
     /*  864079 */   // Label 13232: @864079
     /*  864079 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(864154), // Rule ID 24686 //
     /*  864084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864152 */     GIR_RootConstrainSelectedInstOperands,
     /*  864153 */     // GIR_Coverage, 24686,
     /*  864153 */     GIR_EraseRootFromParent_Done,
     /*  864154 */   // Label 13233: @864154
     /*  864154 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(864229), // Rule ID 24689 //
     /*  864159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864227 */     GIR_RootConstrainSelectedInstOperands,
     /*  864228 */     // GIR_Coverage, 24689,
     /*  864228 */     GIR_EraseRootFromParent_Done,
     /*  864229 */   // Label 13234: @864229
     /*  864229 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864304), // Rule ID 24690 //
     /*  864234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864280 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864302 */     GIR_RootConstrainSelectedInstOperands,
     /*  864303 */     // GIR_Coverage, 24690,
     /*  864303 */     GIR_EraseRootFromParent_Done,
     /*  864304 */   // Label 13235: @864304
     /*  864304 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864379), // Rule ID 24693 //
     /*  864309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864377 */     GIR_RootConstrainSelectedInstOperands,
     /*  864378 */     // GIR_Coverage, 24693,
     /*  864378 */     GIR_EraseRootFromParent_Done,
     /*  864379 */   // Label 13236: @864379
     /*  864379 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(864454), // Rule ID 24694 //
     /*  864384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864430 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864452 */     GIR_RootConstrainSelectedInstOperands,
     /*  864453 */     // GIR_Coverage, 24694,
     /*  864453 */     GIR_EraseRootFromParent_Done,
     /*  864454 */   // Label 13237: @864454
     /*  864454 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(864529), // Rule ID 24697 //
     /*  864459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864505 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864527 */     GIR_RootConstrainSelectedInstOperands,
     /*  864528 */     // GIR_Coverage, 24697,
     /*  864528 */     GIR_EraseRootFromParent_Done,
     /*  864529 */   // Label 13238: @864529
     /*  864529 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(864604), // Rule ID 24698 //
     /*  864534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864602 */     GIR_RootConstrainSelectedInstOperands,
     /*  864603 */     // GIR_Coverage, 24698,
     /*  864603 */     GIR_EraseRootFromParent_Done,
     /*  864604 */   // Label 13239: @864604
     /*  864604 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(864679), // Rule ID 24701 //
     /*  864609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  864620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  864623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  864626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864655 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  864658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864677 */     GIR_RootConstrainSelectedInstOperands,
     /*  864678 */     // GIR_Coverage, 24701,
     /*  864678 */     GIR_EraseRootFromParent_Done,
     /*  864679 */   // Label 13240: @864679
     /*  864679 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864754), // Rule ID 24702 //
     /*  864684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  864695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  864698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  864701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  864733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864752 */     GIR_RootConstrainSelectedInstOperands,
     /*  864753 */     // GIR_Coverage, 24702,
     /*  864753 */     GIR_EraseRootFromParent_Done,
     /*  864754 */   // Label 13241: @864754
     /*  864754 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864829), // Rule ID 24705 //
     /*  864759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  864770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  864773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  864776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864805 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  864808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864827 */     GIR_RootConstrainSelectedInstOperands,
     /*  864828 */     // GIR_Coverage, 24705,
     /*  864828 */     GIR_EraseRootFromParent_Done,
     /*  864829 */   // Label 13242: @864829
     /*  864829 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864904), // Rule ID 24706 //
     /*  864834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  864845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  864848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  864851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  864883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864902 */     GIR_RootConstrainSelectedInstOperands,
     /*  864903 */     // GIR_Coverage, 24706,
     /*  864903 */     GIR_EraseRootFromParent_Done,
     /*  864904 */   // Label 13243: @864904
     /*  864904 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(864979), // Rule ID 24709 //
     /*  864909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  864912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  864920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  864923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  864926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  864958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864977 */     GIR_RootConstrainSelectedInstOperands,
     /*  864978 */     // GIR_Coverage, 24709,
     /*  864978 */     GIR_EraseRootFromParent_Done,
     /*  864979 */   // Label 13244: @864979
     /*  864979 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(865054), // Rule ID 24710 //
     /*  864984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  864987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  864995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  864998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  865033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865052 */     GIR_RootConstrainSelectedInstOperands,
     /*  865053 */     // GIR_Coverage, 24710,
     /*  865053 */     GIR_EraseRootFromParent_Done,
     /*  865054 */   // Label 13245: @865054
     /*  865054 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(865129), // Rule ID 24713 //
     /*  865059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865105 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865127 */     GIR_RootConstrainSelectedInstOperands,
     /*  865128 */     // GIR_Coverage, 24713,
     /*  865128 */     GIR_EraseRootFromParent_Done,
     /*  865129 */   // Label 13246: @865129
     /*  865129 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(865204), // Rule ID 24714 //
     /*  865134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865202 */     GIR_RootConstrainSelectedInstOperands,
     /*  865203 */     // GIR_Coverage, 24714,
     /*  865203 */     GIR_EraseRootFromParent_Done,
     /*  865204 */   // Label 13247: @865204
     /*  865204 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865279), // Rule ID 24717 //
     /*  865209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865255 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865277 */     GIR_RootConstrainSelectedInstOperands,
     /*  865278 */     // GIR_Coverage, 24717,
     /*  865278 */     GIR_EraseRootFromParent_Done,
     /*  865279 */   // Label 13248: @865279
     /*  865279 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865354), // Rule ID 24718 //
     /*  865284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865352 */     GIR_RootConstrainSelectedInstOperands,
     /*  865353 */     // GIR_Coverage, 24718,
     /*  865353 */     GIR_EraseRootFromParent_Done,
     /*  865354 */   // Label 13249: @865354
     /*  865354 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(865429), // Rule ID 24721 //
     /*  865359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865405 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865427 */     GIR_RootConstrainSelectedInstOperands,
     /*  865428 */     // GIR_Coverage, 24721,
     /*  865428 */     GIR_EraseRootFromParent_Done,
     /*  865429 */   // Label 13250: @865429
     /*  865429 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(865504), // Rule ID 24722 //
     /*  865434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865480 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865502 */     GIR_RootConstrainSelectedInstOperands,
     /*  865503 */     // GIR_Coverage, 24722,
     /*  865503 */     GIR_EraseRootFromParent_Done,
     /*  865504 */   // Label 13251: @865504
     /*  865504 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(865579), // Rule ID 24725 //
     /*  865509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865555 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  865558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865577 */     GIR_RootConstrainSelectedInstOperands,
     /*  865578 */     // GIR_Coverage, 24725,
     /*  865578 */     GIR_EraseRootFromParent_Done,
     /*  865579 */   // Label 13252: @865579
     /*  865579 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(865654), // Rule ID 24726 //
     /*  865584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865630 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  865633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865652 */     GIR_RootConstrainSelectedInstOperands,
     /*  865653 */     // GIR_Coverage, 24726,
     /*  865653 */     GIR_EraseRootFromParent_Done,
     /*  865654 */   // Label 13253: @865654
     /*  865654 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865729), // Rule ID 24729 //
     /*  865659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  865662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  865679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865705 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  865708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865727 */     GIR_RootConstrainSelectedInstOperands,
     /*  865728 */     // GIR_Coverage, 24729,
     /*  865728 */     GIR_EraseRootFromParent_Done,
     /*  865729 */   // Label 13254: @865729
     /*  865729 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865804), // Rule ID 24730 //
     /*  865734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  865737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  865754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865780 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  865783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865802 */     GIR_RootConstrainSelectedInstOperands,
     /*  865803 */     // GIR_Coverage, 24730,
     /*  865803 */     GIR_EraseRootFromParent_Done,
     /*  865804 */   // Label 13255: @865804
     /*  865804 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865879), // Rule ID 24733 //
     /*  865809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  865829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865855 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  865858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865877 */     GIR_RootConstrainSelectedInstOperands,
     /*  865878 */     // GIR_Coverage, 24733,
     /*  865878 */     GIR_EraseRootFromParent_Done,
     /*  865879 */   // Label 13256: @865879
     /*  865879 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(865954), // Rule ID 24734 //
     /*  865884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  865904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865930 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  865933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865952 */     GIR_RootConstrainSelectedInstOperands,
     /*  865953 */     // GIR_Coverage, 24734,
     /*  865953 */     GIR_EraseRootFromParent_Done,
     /*  865954 */   // Label 13257: @865954
     /*  865954 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(866029), // Rule ID 24737 //
     /*  865959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  865979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866005 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  866008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866027 */     GIR_RootConstrainSelectedInstOperands,
     /*  866028 */     // GIR_Coverage, 24737,
     /*  866028 */     GIR_EraseRootFromParent_Done,
     /*  866029 */   // Label 13258: @866029
     /*  866029 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(866104), // Rule ID 24738 //
     /*  866034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  866054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  866083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866102 */     GIR_RootConstrainSelectedInstOperands,
     /*  866103 */     // GIR_Coverage, 24738,
     /*  866103 */     GIR_EraseRootFromParent_Done,
     /*  866104 */   // Label 13259: @866104
     /*  866104 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(866179), // Rule ID 24741 //
     /*  866109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866155 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866177 */     GIR_RootConstrainSelectedInstOperands,
     /*  866178 */     // GIR_Coverage, 24741,
     /*  866178 */     GIR_EraseRootFromParent_Done,
     /*  866179 */   // Label 13260: @866179
     /*  866179 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(866254), // Rule ID 24742 //
     /*  866184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866230 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866252 */     GIR_RootConstrainSelectedInstOperands,
     /*  866253 */     // GIR_Coverage, 24742,
     /*  866253 */     GIR_EraseRootFromParent_Done,
     /*  866254 */   // Label 13261: @866254
     /*  866254 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(866329), // Rule ID 24745 //
     /*  866259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866305 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866327 */     GIR_RootConstrainSelectedInstOperands,
     /*  866328 */     // GIR_Coverage, 24745,
     /*  866328 */     GIR_EraseRootFromParent_Done,
     /*  866329 */   // Label 13262: @866329
     /*  866329 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(866404), // Rule ID 24746 //
     /*  866334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866402 */     GIR_RootConstrainSelectedInstOperands,
     /*  866403 */     // GIR_Coverage, 24746,
     /*  866403 */     GIR_EraseRootFromParent_Done,
     /*  866404 */   // Label 13263: @866404
     /*  866404 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(866479), // Rule ID 24749 //
     /*  866409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866455 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866477 */     GIR_RootConstrainSelectedInstOperands,
     /*  866478 */     // GIR_Coverage, 24749,
     /*  866478 */     GIR_EraseRootFromParent_Done,
     /*  866479 */   // Label 13264: @866479
     /*  866479 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(866554), // Rule ID 24750 //
     /*  866484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866530 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866552 */     GIR_RootConstrainSelectedInstOperands,
     /*  866553 */     // GIR_Coverage, 24750,
     /*  866553 */     GIR_EraseRootFromParent_Done,
     /*  866554 */   // Label 13265: @866554
     /*  866554 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(866629), // Rule ID 24753 //
     /*  866559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  866579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866605 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  866608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866627 */     GIR_RootConstrainSelectedInstOperands,
     /*  866628 */     // GIR_Coverage, 24753,
     /*  866628 */     GIR_EraseRootFromParent_Done,
     /*  866629 */   // Label 13266: @866629
     /*  866629 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866704), // Rule ID 24754 //
     /*  866634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  866654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866680 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  866683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866702 */     GIR_RootConstrainSelectedInstOperands,
     /*  866703 */     // GIR_Coverage, 24754,
     /*  866703 */     GIR_EraseRootFromParent_Done,
     /*  866704 */   // Label 13267: @866704
     /*  866704 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866779), // Rule ID 24757 //
     /*  866709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866755 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  866758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866777 */     GIR_RootConstrainSelectedInstOperands,
     /*  866778 */     // GIR_Coverage, 24757,
     /*  866778 */     GIR_EraseRootFromParent_Done,
     /*  866779 */   // Label 13268: @866779
     /*  866779 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866854), // Rule ID 24758 //
     /*  866784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866830 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  866833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866852 */     GIR_RootConstrainSelectedInstOperands,
     /*  866853 */     // GIR_Coverage, 24758,
     /*  866853 */     GIR_EraseRootFromParent_Done,
     /*  866854 */   // Label 13269: @866854
     /*  866854 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(866929), // Rule ID 24761 //
     /*  866859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  866870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  866873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  866876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  866908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866927 */     GIR_RootConstrainSelectedInstOperands,
     /*  866928 */     // GIR_Coverage, 24761,
     /*  866928 */     GIR_EraseRootFromParent_Done,
     /*  866929 */   // Label 13270: @866929
     /*  866929 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(867004), // Rule ID 24762 //
     /*  866934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  866945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  866948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  866951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866980 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  866983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867002 */     GIR_RootConstrainSelectedInstOperands,
     /*  867003 */     // GIR_Coverage, 24762,
     /*  867003 */     GIR_EraseRootFromParent_Done,
     /*  867004 */   // Label 13271: @867004
     /*  867004 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(867079), // Rule ID 24765 //
     /*  867009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867055 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867077 */     GIR_RootConstrainSelectedInstOperands,
     /*  867078 */     // GIR_Coverage, 24765,
     /*  867078 */     GIR_EraseRootFromParent_Done,
     /*  867079 */   // Label 13272: @867079
     /*  867079 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(867154), // Rule ID 24766 //
     /*  867084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867130 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867152 */     GIR_RootConstrainSelectedInstOperands,
     /*  867153 */     // GIR_Coverage, 24766,
     /*  867153 */     GIR_EraseRootFromParent_Done,
     /*  867154 */   // Label 13273: @867154
     /*  867154 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(867229), // Rule ID 24769 //
     /*  867159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867205 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867227 */     GIR_RootConstrainSelectedInstOperands,
     /*  867228 */     // GIR_Coverage, 24769,
     /*  867228 */     GIR_EraseRootFromParent_Done,
     /*  867229 */   // Label 13274: @867229
     /*  867229 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(867304), // Rule ID 24770 //
     /*  867234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867280 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867302 */     GIR_RootConstrainSelectedInstOperands,
     /*  867303 */     // GIR_Coverage, 24770,
     /*  867303 */     GIR_EraseRootFromParent_Done,
     /*  867304 */   // Label 13275: @867304
     /*  867304 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(867379), // Rule ID 24773 //
     /*  867309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867355 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867377 */     GIR_RootConstrainSelectedInstOperands,
     /*  867378 */     // GIR_Coverage, 24773,
     /*  867378 */     GIR_EraseRootFromParent_Done,
     /*  867379 */   // Label 13276: @867379
     /*  867379 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(867454), // Rule ID 24774 //
     /*  867384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867430 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867452 */     GIR_RootConstrainSelectedInstOperands,
     /*  867453 */     // GIR_Coverage, 24774,
     /*  867453 */     GIR_EraseRootFromParent_Done,
     /*  867454 */   // Label 13277: @867454
     /*  867454 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(867529), // Rule ID 24777 //
     /*  867459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867505 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867527 */     GIR_RootConstrainSelectedInstOperands,
     /*  867528 */     // GIR_Coverage, 24777,
     /*  867528 */     GIR_EraseRootFromParent_Done,
     /*  867529 */   // Label 13278: @867529
     /*  867529 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(867604), // Rule ID 24778 //
     /*  867534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867580 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867602 */     GIR_RootConstrainSelectedInstOperands,
     /*  867603 */     // GIR_Coverage, 24778,
     /*  867603 */     GIR_EraseRootFromParent_Done,
     /*  867604 */   // Label 13279: @867604
     /*  867604 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(867679), // Rule ID 24781 //
     /*  867609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  867620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  867623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  867626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867655 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867677 */     GIR_RootConstrainSelectedInstOperands,
     /*  867678 */     // GIR_Coverage, 24781,
     /*  867678 */     GIR_EraseRootFromParent_Done,
     /*  867679 */   // Label 13280: @867679
     /*  867679 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867754), // Rule ID 24782 //
     /*  867684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  867695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  867698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  867701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867752 */     GIR_RootConstrainSelectedInstOperands,
     /*  867753 */     // GIR_Coverage, 24782,
     /*  867753 */     GIR_EraseRootFromParent_Done,
     /*  867754 */   // Label 13281: @867754
     /*  867754 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867829), // Rule ID 24785 //
     /*  867759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  867770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  867773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  867776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867805 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867827 */     GIR_RootConstrainSelectedInstOperands,
     /*  867828 */     // GIR_Coverage, 24785,
     /*  867828 */     GIR_EraseRootFromParent_Done,
     /*  867829 */   // Label 13282: @867829
     /*  867829 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867904), // Rule ID 24786 //
     /*  867834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  867845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  867848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  867851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867880 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867902 */     GIR_RootConstrainSelectedInstOperands,
     /*  867903 */     // GIR_Coverage, 24786,
     /*  867903 */     GIR_EraseRootFromParent_Done,
     /*  867904 */   // Label 13283: @867904
     /*  867904 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(867979), // Rule ID 24789 //
     /*  867909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  867926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867955 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867977 */     GIR_RootConstrainSelectedInstOperands,
     /*  867978 */     // GIR_Coverage, 24789,
     /*  867978 */     GIR_EraseRootFromParent_Done,
     /*  867979 */   // Label 13284: @867979
     /*  867979 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(868054), // Rule ID 24790 //
     /*  867984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  868001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868030 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  868033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868052 */     GIR_RootConstrainSelectedInstOperands,
     /*  868053 */     // GIR_Coverage, 24790,
     /*  868053 */     GIR_EraseRootFromParent_Done,
     /*  868054 */   // Label 13285: @868054
     /*  868054 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(868129), // Rule ID 24829 //
     /*  868059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868105 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868127 */     GIR_RootConstrainSelectedInstOperands,
     /*  868128 */     // GIR_Coverage, 24829,
     /*  868128 */     GIR_EraseRootFromParent_Done,
     /*  868129 */   // Label 13286: @868129
     /*  868129 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(868204), // Rule ID 24830 //
     /*  868134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868180 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868202 */     GIR_RootConstrainSelectedInstOperands,
     /*  868203 */     // GIR_Coverage, 24830,
     /*  868203 */     GIR_EraseRootFromParent_Done,
     /*  868204 */   // Label 13287: @868204
     /*  868204 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(868279), // Rule ID 24833 //
     /*  868209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868255 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868277 */     GIR_RootConstrainSelectedInstOperands,
     /*  868278 */     // GIR_Coverage, 24833,
     /*  868278 */     GIR_EraseRootFromParent_Done,
     /*  868279 */   // Label 13288: @868279
     /*  868279 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(868354), // Rule ID 24834 //
     /*  868284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868330 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868352 */     GIR_RootConstrainSelectedInstOperands,
     /*  868353 */     // GIR_Coverage, 24834,
     /*  868353 */     GIR_EraseRootFromParent_Done,
     /*  868354 */   // Label 13289: @868354
     /*  868354 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(868429), // Rule ID 24837 //
     /*  868359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868405 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868427 */     GIR_RootConstrainSelectedInstOperands,
     /*  868428 */     // GIR_Coverage, 24837,
     /*  868428 */     GIR_EraseRootFromParent_Done,
     /*  868429 */   // Label 13290: @868429
     /*  868429 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(868504), // Rule ID 24838 //
     /*  868434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868480 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868502 */     GIR_RootConstrainSelectedInstOperands,
     /*  868503 */     // GIR_Coverage, 24838,
     /*  868503 */     GIR_EraseRootFromParent_Done,
     /*  868504 */   // Label 13291: @868504
     /*  868504 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(868579), // Rule ID 24841 //
     /*  868509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868555 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  868558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868577 */     GIR_RootConstrainSelectedInstOperands,
     /*  868578 */     // GIR_Coverage, 24841,
     /*  868578 */     GIR_EraseRootFromParent_Done,
     /*  868579 */   // Label 13292: @868579
     /*  868579 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(868654), // Rule ID 24842 //
     /*  868584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868630 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  868633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868652 */     GIR_RootConstrainSelectedInstOperands,
     /*  868653 */     // GIR_Coverage, 24842,
     /*  868653 */     GIR_EraseRootFromParent_Done,
     /*  868654 */   // Label 13293: @868654
     /*  868654 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868729), // Rule ID 24845 //
     /*  868659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868705 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  868708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868727 */     GIR_RootConstrainSelectedInstOperands,
     /*  868728 */     // GIR_Coverage, 24845,
     /*  868728 */     GIR_EraseRootFromParent_Done,
     /*  868729 */   // Label 13294: @868729
     /*  868729 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868804), // Rule ID 24846 //
     /*  868734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868780 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  868783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868802 */     GIR_RootConstrainSelectedInstOperands,
     /*  868803 */     // GIR_Coverage, 24846,
     /*  868803 */     GIR_EraseRootFromParent_Done,
     /*  868804 */   // Label 13295: @868804
     /*  868804 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868879), // Rule ID 24849 //
     /*  868809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868855 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  868858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868877 */     GIR_RootConstrainSelectedInstOperands,
     /*  868878 */     // GIR_Coverage, 24849,
     /*  868878 */     GIR_EraseRootFromParent_Done,
     /*  868879 */   // Label 13296: @868879
     /*  868879 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(868954), // Rule ID 24850 //
     /*  868884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868930 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  868933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868952 */     GIR_RootConstrainSelectedInstOperands,
     /*  868953 */     // GIR_Coverage, 24850,
     /*  868953 */     GIR_EraseRootFromParent_Done,
     /*  868954 */   // Label 13297: @868954
     /*  868954 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(869029), // Rule ID 24853 //
     /*  868959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869005 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  869008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869027 */     GIR_RootConstrainSelectedInstOperands,
     /*  869028 */     // GIR_Coverage, 24853,
     /*  869028 */     GIR_EraseRootFromParent_Done,
     /*  869029 */   // Label 13298: @869029
     /*  869029 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(869104), // Rule ID 24854 //
     /*  869034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869080 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  869083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869102 */     GIR_RootConstrainSelectedInstOperands,
     /*  869103 */     // GIR_Coverage, 24854,
     /*  869103 */     GIR_EraseRootFromParent_Done,
     /*  869104 */   // Label 13299: @869104
     /*  869104 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(869179), // Rule ID 24857 //
     /*  869109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869155 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869177 */     GIR_RootConstrainSelectedInstOperands,
     /*  869178 */     // GIR_Coverage, 24857,
     /*  869178 */     GIR_EraseRootFromParent_Done,
     /*  869179 */   // Label 13300: @869179
     /*  869179 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(869254), // Rule ID 24858 //
     /*  869184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869230 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869252 */     GIR_RootConstrainSelectedInstOperands,
     /*  869253 */     // GIR_Coverage, 24858,
     /*  869253 */     GIR_EraseRootFromParent_Done,
     /*  869254 */   // Label 13301: @869254
     /*  869254 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(869329), // Rule ID 24861 //
     /*  869259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869305 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869327 */     GIR_RootConstrainSelectedInstOperands,
     /*  869328 */     // GIR_Coverage, 24861,
     /*  869328 */     GIR_EraseRootFromParent_Done,
     /*  869329 */   // Label 13302: @869329
     /*  869329 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(869404), // Rule ID 24862 //
     /*  869334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869402 */     GIR_RootConstrainSelectedInstOperands,
     /*  869403 */     // GIR_Coverage, 24862,
     /*  869403 */     GIR_EraseRootFromParent_Done,
     /*  869404 */   // Label 13303: @869404
     /*  869404 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(869479), // Rule ID 24865 //
     /*  869409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869455 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869477 */     GIR_RootConstrainSelectedInstOperands,
     /*  869478 */     // GIR_Coverage, 24865,
     /*  869478 */     GIR_EraseRootFromParent_Done,
     /*  869479 */   // Label 13304: @869479
     /*  869479 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(869554), // Rule ID 24866 //
     /*  869484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869530 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869552 */     GIR_RootConstrainSelectedInstOperands,
     /*  869553 */     // GIR_Coverage, 24866,
     /*  869553 */     GIR_EraseRootFromParent_Done,
     /*  869554 */   // Label 13305: @869554
     /*  869554 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(869629), // Rule ID 24869 //
     /*  869559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869605 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869627 */     GIR_RootConstrainSelectedInstOperands,
     /*  869628 */     // GIR_Coverage, 24869,
     /*  869628 */     GIR_EraseRootFromParent_Done,
     /*  869629 */   // Label 13306: @869629
     /*  869629 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869704), // Rule ID 24870 //
     /*  869634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869680 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869702 */     GIR_RootConstrainSelectedInstOperands,
     /*  869703 */     // GIR_Coverage, 24870,
     /*  869703 */     GIR_EraseRootFromParent_Done,
     /*  869704 */   // Label 13307: @869704
     /*  869704 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869779), // Rule ID 24873 //
     /*  869709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869755 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  869758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869777 */     GIR_RootConstrainSelectedInstOperands,
     /*  869778 */     // GIR_Coverage, 24873,
     /*  869778 */     GIR_EraseRootFromParent_Done,
     /*  869779 */   // Label 13308: @869779
     /*  869779 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869854), // Rule ID 24874 //
     /*  869784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869830 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  869833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869852 */     GIR_RootConstrainSelectedInstOperands,
     /*  869853 */     // GIR_Coverage, 24874,
     /*  869853 */     GIR_EraseRootFromParent_Done,
     /*  869854 */   // Label 13309: @869854
     /*  869854 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(869929), // Rule ID 24901 //
     /*  869859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  869862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  869879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869905 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  869908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869927 */     GIR_RootConstrainSelectedInstOperands,
     /*  869928 */     // GIR_Coverage, 24901,
     /*  869928 */     GIR_EraseRootFromParent_Done,
     /*  869929 */   // Label 13310: @869929
     /*  869929 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(870004), // Rule ID 24902 //
     /*  869934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  869937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  869954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  869983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870002 */     GIR_RootConstrainSelectedInstOperands,
     /*  870003 */     // GIR_Coverage, 24902,
     /*  870003 */     GIR_EraseRootFromParent_Done,
     /*  870004 */   // Label 13311: @870004
     /*  870004 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(870079), // Rule ID 24905 //
     /*  870009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870055 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870077 */     GIR_RootConstrainSelectedInstOperands,
     /*  870078 */     // GIR_Coverage, 24905,
     /*  870078 */     GIR_EraseRootFromParent_Done,
     /*  870079 */   // Label 13312: @870079
     /*  870079 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(870154), // Rule ID 24906 //
     /*  870084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870130 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870152 */     GIR_RootConstrainSelectedInstOperands,
     /*  870153 */     // GIR_Coverage, 24906,
     /*  870153 */     GIR_EraseRootFromParent_Done,
     /*  870154 */   // Label 13313: @870154
     /*  870154 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(870229), // Rule ID 24909 //
     /*  870159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870227 */     GIR_RootConstrainSelectedInstOperands,
     /*  870228 */     // GIR_Coverage, 24909,
     /*  870228 */     GIR_EraseRootFromParent_Done,
     /*  870229 */   // Label 13314: @870229
     /*  870229 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(870304), // Rule ID 24910 //
     /*  870234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870302 */     GIR_RootConstrainSelectedInstOperands,
     /*  870303 */     // GIR_Coverage, 24910,
     /*  870303 */     GIR_EraseRootFromParent_Done,
     /*  870304 */   // Label 13315: @870304
     /*  870304 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(870379), // Rule ID 24913 //
     /*  870309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870377 */     GIR_RootConstrainSelectedInstOperands,
     /*  870378 */     // GIR_Coverage, 24913,
     /*  870378 */     GIR_EraseRootFromParent_Done,
     /*  870379 */   // Label 13316: @870379
     /*  870379 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(870454), // Rule ID 24914 //
     /*  870384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870430 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870452 */     GIR_RootConstrainSelectedInstOperands,
     /*  870453 */     // GIR_Coverage, 24914,
     /*  870453 */     GIR_EraseRootFromParent_Done,
     /*  870454 */   // Label 13317: @870454
     /*  870454 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(870529), // Rule ID 24917 //
     /*  870459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870527 */     GIR_RootConstrainSelectedInstOperands,
     /*  870528 */     // GIR_Coverage, 24917,
     /*  870528 */     GIR_EraseRootFromParent_Done,
     /*  870529 */   // Label 13318: @870529
     /*  870529 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(870604), // Rule ID 24918 //
     /*  870534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870602 */     GIR_RootConstrainSelectedInstOperands,
     /*  870603 */     // GIR_Coverage, 24918,
     /*  870603 */     GIR_EraseRootFromParent_Done,
     /*  870604 */   // Label 13319: @870604
     /*  870604 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(870679), // Rule ID 24921 //
     /*  870609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  870612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870655 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  870658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870677 */     GIR_RootConstrainSelectedInstOperands,
     /*  870678 */     // GIR_Coverage, 24921,
     /*  870678 */     GIR_EraseRootFromParent_Done,
     /*  870679 */   // Label 13320: @870679
     /*  870679 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870754), // Rule ID 24922 //
     /*  870684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  870687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  870733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870752 */     GIR_RootConstrainSelectedInstOperands,
     /*  870753 */     // GIR_Coverage, 24922,
     /*  870753 */     GIR_EraseRootFromParent_Done,
     /*  870754 */   // Label 13321: @870754
     /*  870754 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870829), // Rule ID 24925 //
     /*  870759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  870770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  870773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  870776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870805 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  870808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870827 */     GIR_RootConstrainSelectedInstOperands,
     /*  870828 */     // GIR_Coverage, 24925,
     /*  870828 */     GIR_EraseRootFromParent_Done,
     /*  870829 */   // Label 13322: @870829
     /*  870829 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870904), // Rule ID 24926 //
     /*  870834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  870845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  870848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  870851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  870883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870902 */     GIR_RootConstrainSelectedInstOperands,
     /*  870903 */     // GIR_Coverage, 24926,
     /*  870903 */     GIR_EraseRootFromParent_Done,
     /*  870904 */   // Label 13323: @870904
     /*  870904 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(870979), // Rule ID 24929 //
     /*  870909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  870920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  870923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  870926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  870929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870955 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  870958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870977 */     GIR_RootConstrainSelectedInstOperands,
     /*  870978 */     // GIR_Coverage, 24929,
     /*  870978 */     GIR_EraseRootFromParent_Done,
     /*  870979 */   // Label 13324: @870979
     /*  870979 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(871054), // Rule ID 24930 //
     /*  870984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  870995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  870998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871030 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  871033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871052 */     GIR_RootConstrainSelectedInstOperands,
     /*  871053 */     // GIR_Coverage, 24930,
     /*  871053 */     GIR_EraseRootFromParent_Done,
     /*  871054 */   // Label 13325: @871054
     /*  871054 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(871129), // Rule ID 24933 //
     /*  871059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871105 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871127 */     GIR_RootConstrainSelectedInstOperands,
     /*  871128 */     // GIR_Coverage, 24933,
     /*  871128 */     GIR_EraseRootFromParent_Done,
     /*  871129 */   // Label 13326: @871129
     /*  871129 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(871204), // Rule ID 24934 //
     /*  871134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871180 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871202 */     GIR_RootConstrainSelectedInstOperands,
     /*  871203 */     // GIR_Coverage, 24934,
     /*  871203 */     GIR_EraseRootFromParent_Done,
     /*  871204 */   // Label 13327: @871204
     /*  871204 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(871279), // Rule ID 24937 //
     /*  871209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871255 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871277 */     GIR_RootConstrainSelectedInstOperands,
     /*  871278 */     // GIR_Coverage, 24937,
     /*  871278 */     GIR_EraseRootFromParent_Done,
     /*  871279 */   // Label 13328: @871279
     /*  871279 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(871354), // Rule ID 24938 //
     /*  871284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871330 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871352 */     GIR_RootConstrainSelectedInstOperands,
     /*  871353 */     // GIR_Coverage, 24938,
     /*  871353 */     GIR_EraseRootFromParent_Done,
     /*  871354 */   // Label 13329: @871354
     /*  871354 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(871429), // Rule ID 24941 //
     /*  871359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871405 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871427 */     GIR_RootConstrainSelectedInstOperands,
     /*  871428 */     // GIR_Coverage, 24941,
     /*  871428 */     GIR_EraseRootFromParent_Done,
     /*  871429 */   // Label 13330: @871429
     /*  871429 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(871504), // Rule ID 24942 //
     /*  871434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871502 */     GIR_RootConstrainSelectedInstOperands,
     /*  871503 */     // GIR_Coverage, 24942,
     /*  871503 */     GIR_EraseRootFromParent_Done,
     /*  871504 */   // Label 13331: @871504
     /*  871504 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(871579), // Rule ID 24945 //
     /*  871509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871555 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  871558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871577 */     GIR_RootConstrainSelectedInstOperands,
     /*  871578 */     // GIR_Coverage, 24945,
     /*  871578 */     GIR_EraseRootFromParent_Done,
     /*  871579 */   // Label 13332: @871579
     /*  871579 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(871654), // Rule ID 24946 //
     /*  871584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871630 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  871633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871652 */     GIR_RootConstrainSelectedInstOperands,
     /*  871653 */     // GIR_Coverage, 24946,
     /*  871653 */     GIR_EraseRootFromParent_Done,
     /*  871654 */   // Label 13333: @871654
     /*  871654 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(871729), // Rule ID 24949 //
     /*  871659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  871662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  871670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  871673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  871676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  871708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871727 */     GIR_RootConstrainSelectedInstOperands,
     /*  871728 */     // GIR_Coverage, 24949,
     /*  871728 */     GIR_EraseRootFromParent_Done,
     /*  871729 */   // Label 13334: @871729
     /*  871729 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871804), // Rule ID 24950 //
     /*  871734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  871737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  871745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  871748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  871751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871780 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  871783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871802 */     GIR_RootConstrainSelectedInstOperands,
     /*  871803 */     // GIR_Coverage, 24950,
     /*  871803 */     GIR_EraseRootFromParent_Done,
     /*  871804 */   // Label 13335: @871804
     /*  871804 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871879), // Rule ID 24953 //
     /*  871809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  871812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  871820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  871823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  871826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871855 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  871858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871877 */     GIR_RootConstrainSelectedInstOperands,
     /*  871878 */     // GIR_Coverage, 24953,
     /*  871878 */     GIR_EraseRootFromParent_Done,
     /*  871879 */   // Label 13336: @871879
     /*  871879 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(871954), // Rule ID 24954 //
     /*  871884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  871887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  871895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  871898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  871901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  871933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871952 */     GIR_RootConstrainSelectedInstOperands,
     /*  871953 */     // GIR_Coverage, 24954,
     /*  871953 */     GIR_EraseRootFromParent_Done,
     /*  871954 */   // Label 13337: @871954
     /*  871954 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(872029), // Rule ID 24957 //
     /*  871959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  871962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  871973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872005 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  872008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872027 */     GIR_RootConstrainSelectedInstOperands,
     /*  872028 */     // GIR_Coverage, 24957,
     /*  872028 */     GIR_EraseRootFromParent_Done,
     /*  872029 */   // Label 13338: @872029
     /*  872029 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(872104), // Rule ID 24958 //
     /*  872034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  872037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872080 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  872083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872102 */     GIR_RootConstrainSelectedInstOperands,
     /*  872103 */     // GIR_Coverage, 24958,
     /*  872103 */     GIR_EraseRootFromParent_Done,
     /*  872104 */   // Label 13339: @872104
     /*  872104 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(872176), // Rule ID 24961 //
     /*  872109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872174 */     GIR_RootConstrainSelectedInstOperands,
     /*  872175 */     // GIR_Coverage, 24961,
     /*  872175 */     GIR_EraseRootFromParent_Done,
     /*  872176 */   // Label 13340: @872176
     /*  872176 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(872248), // Rule ID 24962 //
     /*  872181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872246 */     GIR_RootConstrainSelectedInstOperands,
     /*  872247 */     // GIR_Coverage, 24962,
     /*  872247 */     GIR_EraseRootFromParent_Done,
     /*  872248 */   // Label 13341: @872248
     /*  872248 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(872320), // Rule ID 24963 //
     /*  872253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872299 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872318 */     GIR_RootConstrainSelectedInstOperands,
     /*  872319 */     // GIR_Coverage, 24963,
     /*  872319 */     GIR_EraseRootFromParent_Done,
     /*  872320 */   // Label 13342: @872320
     /*  872320 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(872392), // Rule ID 24964 //
     /*  872325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872390 */     GIR_RootConstrainSelectedInstOperands,
     /*  872391 */     // GIR_Coverage, 24964,
     /*  872391 */     GIR_EraseRootFromParent_Done,
     /*  872392 */   // Label 13343: @872392
     /*  872392 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(872464), // Rule ID 24965 //
     /*  872397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872462 */     GIR_RootConstrainSelectedInstOperands,
     /*  872463 */     // GIR_Coverage, 24965,
     /*  872463 */     GIR_EraseRootFromParent_Done,
     /*  872464 */   // Label 13344: @872464
     /*  872464 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(872536), // Rule ID 24966 //
     /*  872469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872515 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872534 */     GIR_RootConstrainSelectedInstOperands,
     /*  872535 */     // GIR_Coverage, 24966,
     /*  872535 */     GIR_EraseRootFromParent_Done,
     /*  872536 */   // Label 13345: @872536
     /*  872536 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(872608), // Rule ID 24967 //
     /*  872541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  872590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872606 */     GIR_RootConstrainSelectedInstOperands,
     /*  872607 */     // GIR_Coverage, 24967,
     /*  872607 */     GIR_EraseRootFromParent_Done,
     /*  872608 */   // Label 13346: @872608
     /*  872608 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(872680), // Rule ID 24968 //
     /*  872613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  872662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872678 */     GIR_RootConstrainSelectedInstOperands,
     /*  872679 */     // GIR_Coverage, 24968,
     /*  872679 */     GIR_EraseRootFromParent_Done,
     /*  872680 */   // Label 13347: @872680
     /*  872680 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872752), // Rule ID 24969 //
     /*  872685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  872702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  872731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  872734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872750 */     GIR_RootConstrainSelectedInstOperands,
     /*  872751 */     // GIR_Coverage, 24969,
     /*  872751 */     GIR_EraseRootFromParent_Done,
     /*  872752 */   // Label 13348: @872752
     /*  872752 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872824), // Rule ID 24970 //
     /*  872757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  872774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  872803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  872806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872822 */     GIR_RootConstrainSelectedInstOperands,
     /*  872823 */     // GIR_Coverage, 24970,
     /*  872823 */     GIR_EraseRootFromParent_Done,
     /*  872824 */   // Label 13349: @872824
     /*  872824 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872896), // Rule ID 24971 //
     /*  872829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  872840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  872843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  872846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  872849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872875 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  872878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872894 */     GIR_RootConstrainSelectedInstOperands,
     /*  872895 */     // GIR_Coverage, 24971,
     /*  872895 */     GIR_EraseRootFromParent_Done,
     /*  872896 */   // Label 13350: @872896
     /*  872896 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(872968), // Rule ID 24972 //
     /*  872901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  872912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  872915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  872918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  872921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  872950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872966 */     GIR_RootConstrainSelectedInstOperands,
     /*  872967 */     // GIR_Coverage, 24972,
     /*  872967 */     GIR_EraseRootFromParent_Done,
     /*  872968 */   // Label 13351: @872968
     /*  872968 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(873040), // Rule ID 24973 //
     /*  872973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  872984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  872987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  873022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873038 */     GIR_RootConstrainSelectedInstOperands,
     /*  873039 */     // GIR_Coverage, 24973,
     /*  873039 */     GIR_EraseRootFromParent_Done,
     /*  873040 */   // Label 13352: @873040
     /*  873040 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(873112), // Rule ID 24974 //
     /*  873045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  873094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873110 */     GIR_RootConstrainSelectedInstOperands,
     /*  873111 */     // GIR_Coverage, 24974,
     /*  873111 */     GIR_EraseRootFromParent_Done,
     /*  873112 */   // Label 13353: @873112
     /*  873112 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(873184), // Rule ID 24975 //
     /*  873117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873182 */     GIR_RootConstrainSelectedInstOperands,
     /*  873183 */     // GIR_Coverage, 24975,
     /*  873183 */     GIR_EraseRootFromParent_Done,
     /*  873184 */   // Label 13354: @873184
     /*  873184 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(873256), // Rule ID 24976 //
     /*  873189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873235 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873254 */     GIR_RootConstrainSelectedInstOperands,
     /*  873255 */     // GIR_Coverage, 24976,
     /*  873255 */     GIR_EraseRootFromParent_Done,
     /*  873256 */   // Label 13355: @873256
     /*  873256 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(873328), // Rule ID 24977 //
     /*  873261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873326 */     GIR_RootConstrainSelectedInstOperands,
     /*  873327 */     // GIR_Coverage, 24977,
     /*  873327 */     GIR_EraseRootFromParent_Done,
     /*  873328 */   // Label 13356: @873328
     /*  873328 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(873400), // Rule ID 24978 //
     /*  873333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873398 */     GIR_RootConstrainSelectedInstOperands,
     /*  873399 */     // GIR_Coverage, 24978,
     /*  873399 */     GIR_EraseRootFromParent_Done,
     /*  873400 */   // Label 13357: @873400
     /*  873400 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(873472), // Rule ID 24979 //
     /*  873405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873470 */     GIR_RootConstrainSelectedInstOperands,
     /*  873471 */     // GIR_Coverage, 24979,
     /*  873471 */     GIR_EraseRootFromParent_Done,
     /*  873472 */   // Label 13358: @873472
     /*  873472 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(873544), // Rule ID 24980 //
     /*  873477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873542 */     GIR_RootConstrainSelectedInstOperands,
     /*  873543 */     // GIR_Coverage, 24980,
     /*  873543 */     GIR_EraseRootFromParent_Done,
     /*  873544 */   // Label 13359: @873544
     /*  873544 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(873616), // Rule ID 24981 //
     /*  873549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  873569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873595 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  873598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873614 */     GIR_RootConstrainSelectedInstOperands,
     /*  873615 */     // GIR_Coverage, 24981,
     /*  873615 */     GIR_EraseRootFromParent_Done,
     /*  873616 */   // Label 13360: @873616
     /*  873616 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(873688), // Rule ID 24982 //
     /*  873621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  873641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  873670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873686 */     GIR_RootConstrainSelectedInstOperands,
     /*  873687 */     // GIR_Coverage, 24982,
     /*  873687 */     GIR_EraseRootFromParent_Done,
     /*  873688 */   // Label 13361: @873688
     /*  873688 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873760), // Rule ID 24983 //
     /*  873693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  873704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  873707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  873710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  873713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873739 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  873742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873758 */     GIR_RootConstrainSelectedInstOperands,
     /*  873759 */     // GIR_Coverage, 24983,
     /*  873759 */     GIR_EraseRootFromParent_Done,
     /*  873760 */   // Label 13362: @873760
     /*  873760 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873832), // Rule ID 24984 //
     /*  873765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  873776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  873779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  873782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  873785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  873814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873830 */     GIR_RootConstrainSelectedInstOperands,
     /*  873831 */     // GIR_Coverage, 24984,
     /*  873831 */     GIR_EraseRootFromParent_Done,
     /*  873832 */   // Label 13363: @873832
     /*  873832 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(873904), // Rule ID 24985 //
     /*  873837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  873886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873902 */     GIR_RootConstrainSelectedInstOperands,
     /*  873903 */     // GIR_Coverage, 24985,
     /*  873903 */     GIR_EraseRootFromParent_Done,
     /*  873904 */   // Label 13364: @873904
     /*  873904 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(873976), // Rule ID 24986 //
     /*  873909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  873958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873974 */     GIR_RootConstrainSelectedInstOperands,
     /*  873975 */     // GIR_Coverage, 24986,
     /*  873975 */     GIR_EraseRootFromParent_Done,
     /*  873976 */   // Label 13365: @873976
     /*  873976 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(874048), // Rule ID 24987 //
     /*  873981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  874030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874046 */     GIR_RootConstrainSelectedInstOperands,
     /*  874047 */     // GIR_Coverage, 24987,
     /*  874047 */     GIR_EraseRootFromParent_Done,
     /*  874048 */   // Label 13366: @874048
     /*  874048 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(874120), // Rule ID 24988 //
     /*  874053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  874102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874118 */     GIR_RootConstrainSelectedInstOperands,
     /*  874119 */     // GIR_Coverage, 24988,
     /*  874119 */     GIR_EraseRootFromParent_Done,
     /*  874120 */   // Label 13367: @874120
     /*  874120 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(874192), // Rule ID 24989 //
     /*  874125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874190 */     GIR_RootConstrainSelectedInstOperands,
     /*  874191 */     // GIR_Coverage, 24989,
     /*  874191 */     GIR_EraseRootFromParent_Done,
     /*  874192 */   // Label 13368: @874192
     /*  874192 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(874264), // Rule ID 24990 //
     /*  874197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874262 */     GIR_RootConstrainSelectedInstOperands,
     /*  874263 */     // GIR_Coverage, 24990,
     /*  874263 */     GIR_EraseRootFromParent_Done,
     /*  874264 */   // Label 13369: @874264
     /*  874264 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(874336), // Rule ID 24991 //
     /*  874269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874315 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874334 */     GIR_RootConstrainSelectedInstOperands,
     /*  874335 */     // GIR_Coverage, 24991,
     /*  874335 */     GIR_EraseRootFromParent_Done,
     /*  874336 */   // Label 13370: @874336
     /*  874336 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(874408), // Rule ID 24992 //
     /*  874341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874387 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874406 */     GIR_RootConstrainSelectedInstOperands,
     /*  874407 */     // GIR_Coverage, 24992,
     /*  874407 */     GIR_EraseRootFromParent_Done,
     /*  874408 */   // Label 13371: @874408
     /*  874408 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(874480), // Rule ID 24993 //
     /*  874413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874459 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874478 */     GIR_RootConstrainSelectedInstOperands,
     /*  874479 */     // GIR_Coverage, 24993,
     /*  874479 */     GIR_EraseRootFromParent_Done,
     /*  874480 */   // Label 13372: @874480
     /*  874480 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(874552), // Rule ID 24994 //
     /*  874485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874550 */     GIR_RootConstrainSelectedInstOperands,
     /*  874551 */     // GIR_Coverage, 24994,
     /*  874551 */     GIR_EraseRootFromParent_Done,
     /*  874552 */   // Label 13373: @874552
     /*  874552 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(874624), // Rule ID 24995 //
     /*  874557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874622 */     GIR_RootConstrainSelectedInstOperands,
     /*  874623 */     // GIR_Coverage, 24995,
     /*  874623 */     GIR_EraseRootFromParent_Done,
     /*  874624 */   // Label 13374: @874624
     /*  874624 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874696), // Rule ID 24996 //
     /*  874629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874694 */     GIR_RootConstrainSelectedInstOperands,
     /*  874695 */     // GIR_Coverage, 24996,
     /*  874695 */     GIR_EraseRootFromParent_Done,
     /*  874696 */   // Label 13375: @874696
     /*  874696 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874768), // Rule ID 24997 //
     /*  874701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  874750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874766 */     GIR_RootConstrainSelectedInstOperands,
     /*  874767 */     // GIR_Coverage, 24997,
     /*  874767 */     GIR_EraseRootFromParent_Done,
     /*  874768 */   // Label 13376: @874768
     /*  874768 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874840), // Rule ID 24998 //
     /*  874773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  874776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874819 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  874819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  874822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874838 */     GIR_RootConstrainSelectedInstOperands,
     /*  874839 */     // GIR_Coverage, 24998,
     /*  874839 */     GIR_EraseRootFromParent_Done,
     /*  874840 */   // Label 13377: @874840
     /*  874840 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(874912), // Rule ID 24999 //
     /*  874845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  874894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874910 */     GIR_RootConstrainSelectedInstOperands,
     /*  874911 */     // GIR_Coverage, 24999,
     /*  874911 */     GIR_EraseRootFromParent_Done,
     /*  874912 */   // Label 13378: @874912
     /*  874912 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(874984), // Rule ID 25000 //
     /*  874917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  874920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  874963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  874966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874982 */     GIR_RootConstrainSelectedInstOperands,
     /*  874983 */     // GIR_Coverage, 25000,
     /*  874983 */     GIR_EraseRootFromParent_Done,
     /*  874984 */   // Label 13379: @874984
     /*  874984 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(875056), // Rule ID 25001 //
     /*  874989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875035 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875054 */     GIR_RootConstrainSelectedInstOperands,
     /*  875055 */     // GIR_Coverage, 25001,
     /*  875055 */     GIR_EraseRootFromParent_Done,
     /*  875056 */   // Label 13380: @875056
     /*  875056 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(875128), // Rule ID 25002 //
     /*  875061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875107 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875126 */     GIR_RootConstrainSelectedInstOperands,
     /*  875127 */     // GIR_Coverage, 25002,
     /*  875127 */     GIR_EraseRootFromParent_Done,
     /*  875128 */   // Label 13381: @875128
     /*  875128 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(875200), // Rule ID 25003 //
     /*  875133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875179 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875198 */     GIR_RootConstrainSelectedInstOperands,
     /*  875199 */     // GIR_Coverage, 25003,
     /*  875199 */     GIR_EraseRootFromParent_Done,
     /*  875200 */   // Label 13382: @875200
     /*  875200 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(875272), // Rule ID 25004 //
     /*  875205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875251 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875270 */     GIR_RootConstrainSelectedInstOperands,
     /*  875271 */     // GIR_Coverage, 25004,
     /*  875271 */     GIR_EraseRootFromParent_Done,
     /*  875272 */   // Label 13383: @875272
     /*  875272 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(875344), // Rule ID 25005 //
     /*  875277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875323 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875342 */     GIR_RootConstrainSelectedInstOperands,
     /*  875343 */     // GIR_Coverage, 25005,
     /*  875343 */     GIR_EraseRootFromParent_Done,
     /*  875344 */   // Label 13384: @875344
     /*  875344 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(875416), // Rule ID 25006 //
     /*  875349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875395 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875414 */     GIR_RootConstrainSelectedInstOperands,
     /*  875415 */     // GIR_Coverage, 25006,
     /*  875415 */     GIR_EraseRootFromParent_Done,
     /*  875416 */   // Label 13385: @875416
     /*  875416 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(875488), // Rule ID 25007 //
     /*  875421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  875424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875467 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875486 */     GIR_RootConstrainSelectedInstOperands,
     /*  875487 */     // GIR_Coverage, 25007,
     /*  875487 */     GIR_EraseRootFromParent_Done,
     /*  875488 */   // Label 13386: @875488
     /*  875488 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(875560), // Rule ID 25008 //
     /*  875493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  875496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875539 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875558 */     GIR_RootConstrainSelectedInstOperands,
     /*  875559 */     // GIR_Coverage, 25008,
     /*  875559 */     GIR_EraseRootFromParent_Done,
     /*  875560 */   // Label 13387: @875560
     /*  875560 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875632), // Rule ID 25009 //
     /*  875565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  875614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875630 */     GIR_RootConstrainSelectedInstOperands,
     /*  875631 */     // GIR_Coverage, 25009,
     /*  875631 */     GIR_EraseRootFromParent_Done,
     /*  875632 */   // Label 13388: @875632
     /*  875632 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875704), // Rule ID 25010 //
     /*  875637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875683 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  875686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875702 */     GIR_RootConstrainSelectedInstOperands,
     /*  875703 */     // GIR_Coverage, 25010,
     /*  875703 */     GIR_EraseRootFromParent_Done,
     /*  875704 */   // Label 13389: @875704
     /*  875704 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875776), // Rule ID 25011 //
     /*  875709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875755 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  875758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875774 */     GIR_RootConstrainSelectedInstOperands,
     /*  875775 */     // GIR_Coverage, 25011,
     /*  875775 */     GIR_EraseRootFromParent_Done,
     /*  875776 */   // Label 13390: @875776
     /*  875776 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875848), // Rule ID 25012 //
     /*  875781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875827 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  875830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875846 */     GIR_RootConstrainSelectedInstOperands,
     /*  875847 */     // GIR_Coverage, 25012,
     /*  875847 */     GIR_EraseRootFromParent_Done,
     /*  875848 */   // Label 13391: @875848
     /*  875848 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(875920), // Rule ID 25013 //
     /*  875853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875899 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875918 */     GIR_RootConstrainSelectedInstOperands,
     /*  875919 */     // GIR_Coverage, 25013,
     /*  875919 */     GIR_EraseRootFromParent_Done,
     /*  875920 */   // Label 13392: @875920
     /*  875920 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(875992), // Rule ID 25014 //
     /*  875925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875971 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875990 */     GIR_RootConstrainSelectedInstOperands,
     /*  875991 */     // GIR_Coverage, 25014,
     /*  875991 */     GIR_EraseRootFromParent_Done,
     /*  875992 */   // Label 13393: @875992
     /*  875992 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(876064), // Rule ID 25015 //
     /*  875997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876043 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  876046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876062 */     GIR_RootConstrainSelectedInstOperands,
     /*  876063 */     // GIR_Coverage, 25015,
     /*  876063 */     GIR_EraseRootFromParent_Done,
     /*  876064 */   // Label 13394: @876064
     /*  876064 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(876136), // Rule ID 25016 //
     /*  876069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876115 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  876118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876134 */     GIR_RootConstrainSelectedInstOperands,
     /*  876135 */     // GIR_Coverage, 25016,
     /*  876135 */     GIR_EraseRootFromParent_Done,
     /*  876136 */   // Label 13395: @876136
     /*  876136 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(876208), // Rule ID 25017 //
     /*  876141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876187 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876206 */     GIR_RootConstrainSelectedInstOperands,
     /*  876207 */     // GIR_Coverage, 25017,
     /*  876207 */     GIR_EraseRootFromParent_Done,
     /*  876208 */   // Label 13396: @876208
     /*  876208 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(876280), // Rule ID 25018 //
     /*  876213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876259 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876278 */     GIR_RootConstrainSelectedInstOperands,
     /*  876279 */     // GIR_Coverage, 25018,
     /*  876279 */     GIR_EraseRootFromParent_Done,
     /*  876280 */   // Label 13397: @876280
     /*  876280 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(876352), // Rule ID 25019 //
     /*  876285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876331 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876350 */     GIR_RootConstrainSelectedInstOperands,
     /*  876351 */     // GIR_Coverage, 25019,
     /*  876351 */     GIR_EraseRootFromParent_Done,
     /*  876352 */   // Label 13398: @876352
     /*  876352 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(876424), // Rule ID 25020 //
     /*  876357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876403 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876422 */     GIR_RootConstrainSelectedInstOperands,
     /*  876423 */     // GIR_Coverage, 25020,
     /*  876423 */     GIR_EraseRootFromParent_Done,
     /*  876424 */   // Label 13399: @876424
     /*  876424 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(876496), // Rule ID 25021 //
     /*  876429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876475 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876494 */     GIR_RootConstrainSelectedInstOperands,
     /*  876495 */     // GIR_Coverage, 25021,
     /*  876495 */     GIR_EraseRootFromParent_Done,
     /*  876496 */   // Label 13400: @876496
     /*  876496 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(876568), // Rule ID 25022 //
     /*  876501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876547 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876566 */     GIR_RootConstrainSelectedInstOperands,
     /*  876567 */     // GIR_Coverage, 25022,
     /*  876567 */     GIR_EraseRootFromParent_Done,
     /*  876568 */   // Label 13401: @876568
     /*  876568 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876640), // Rule ID 25023 //
     /*  876573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876619 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  876622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876638 */     GIR_RootConstrainSelectedInstOperands,
     /*  876639 */     // GIR_Coverage, 25023,
     /*  876639 */     GIR_EraseRootFromParent_Done,
     /*  876640 */   // Label 13402: @876640
     /*  876640 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876712), // Rule ID 25024 //
     /*  876645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876691 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  876694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876710 */     GIR_RootConstrainSelectedInstOperands,
     /*  876711 */     // GIR_Coverage, 25024,
     /*  876711 */     GIR_EraseRootFromParent_Done,
     /*  876712 */   // Label 13403: @876712
     /*  876712 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876784), // Rule ID 25025 //
     /*  876717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  876734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876763 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  876766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876782 */     GIR_RootConstrainSelectedInstOperands,
     /*  876783 */     // GIR_Coverage, 25025,
     /*  876783 */     GIR_EraseRootFromParent_Done,
     /*  876784 */   // Label 13404: @876784
     /*  876784 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876856), // Rule ID 25026 //
     /*  876789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  876806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876835 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  876838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876854 */     GIR_RootConstrainSelectedInstOperands,
     /*  876855 */     // GIR_Coverage, 25026,
     /*  876855 */     GIR_EraseRootFromParent_Done,
     /*  876856 */   // Label 13405: @876856
     /*  876856 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(876928), // Rule ID 25027 //
     /*  876861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  876872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  876875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  876878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876907 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  876910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876926 */     GIR_RootConstrainSelectedInstOperands,
     /*  876927 */     // GIR_Coverage, 25027,
     /*  876927 */     GIR_EraseRootFromParent_Done,
     /*  876928 */   // Label 13406: @876928
     /*  876928 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(877000), // Rule ID 25028 //
     /*  876933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  876944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  876947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  876950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876979 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  876982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876998 */     GIR_RootConstrainSelectedInstOperands,
     /*  876999 */     // GIR_Coverage, 25028,
     /*  876999 */     GIR_EraseRootFromParent_Done,
     /*  877000 */   // Label 13407: @877000
     /*  877000 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(877072), // Rule ID 25029 //
     /*  877005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877051 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877070 */     GIR_RootConstrainSelectedInstOperands,
     /*  877071 */     // GIR_Coverage, 25029,
     /*  877071 */     GIR_EraseRootFromParent_Done,
     /*  877072 */   // Label 13408: @877072
     /*  877072 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(877144), // Rule ID 25030 //
     /*  877077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877123 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877142 */     GIR_RootConstrainSelectedInstOperands,
     /*  877143 */     // GIR_Coverage, 25030,
     /*  877143 */     GIR_EraseRootFromParent_Done,
     /*  877144 */   // Label 13409: @877144
     /*  877144 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(877216), // Rule ID 25031 //
     /*  877149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877195 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877214 */     GIR_RootConstrainSelectedInstOperands,
     /*  877215 */     // GIR_Coverage, 25031,
     /*  877215 */     GIR_EraseRootFromParent_Done,
     /*  877216 */   // Label 13410: @877216
     /*  877216 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(877288), // Rule ID 25032 //
     /*  877221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877267 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877286 */     GIR_RootConstrainSelectedInstOperands,
     /*  877287 */     // GIR_Coverage, 25032,
     /*  877287 */     GIR_EraseRootFromParent_Done,
     /*  877288 */   // Label 13411: @877288
     /*  877288 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(877363), // Rule ID 60479 //
     /*  877293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  877296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  877339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877361 */     GIR_RootConstrainSelectedInstOperands,
     /*  877362 */     // GIR_Coverage, 60479,
     /*  877362 */     GIR_EraseRootFromParent_Done,
     /*  877363 */   // Label 13412: @877363
     /*  877363 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(877438), // Rule ID 60480 //
     /*  877368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  877371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  877414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877436 */     GIR_RootConstrainSelectedInstOperands,
     /*  877437 */     // GIR_Coverage, 60480,
     /*  877437 */     GIR_EraseRootFromParent_Done,
     /*  877438 */   // Label 13413: @877438
     /*  877438 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(877513), // Rule ID 60837 //
     /*  877443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877511 */     GIR_RootConstrainSelectedInstOperands,
     /*  877512 */     // GIR_Coverage, 60837,
     /*  877512 */     GIR_EraseRootFromParent_Done,
     /*  877513 */   // Label 13414: @877513
     /*  877513 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877588), // Rule ID 60838 //
     /*  877518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877586 */     GIR_RootConstrainSelectedInstOperands,
     /*  877587 */     // GIR_Coverage, 60838,
     /*  877587 */     GIR_EraseRootFromParent_Done,
     /*  877588 */   // Label 13415: @877588
     /*  877588 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877663), // Rule ID 60841 //
     /*  877593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  877613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877639 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  877642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877661 */     GIR_RootConstrainSelectedInstOperands,
     /*  877662 */     // GIR_Coverage, 60841,
     /*  877662 */     GIR_EraseRootFromParent_Done,
     /*  877663 */   // Label 13416: @877663
     /*  877663 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877738), // Rule ID 60842 //
     /*  877668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  877688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  877717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877736 */     GIR_RootConstrainSelectedInstOperands,
     /*  877737 */     // GIR_Coverage, 60842,
     /*  877737 */     GIR_EraseRootFromParent_Done,
     /*  877738 */   // Label 13417: @877738
     /*  877738 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877813), // Rule ID 60845 //
     /*  877743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  877763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877811 */     GIR_RootConstrainSelectedInstOperands,
     /*  877812 */     // GIR_Coverage, 60845,
     /*  877812 */     GIR_EraseRootFromParent_Done,
     /*  877813 */   // Label 13418: @877813
     /*  877813 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877888), // Rule ID 60846 //
     /*  877818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  877838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877886 */     GIR_RootConstrainSelectedInstOperands,
     /*  877887 */     // GIR_Coverage, 60846,
     /*  877887 */     GIR_EraseRootFromParent_Done,
     /*  877888 */   // Label 13419: @877888
     /*  877888 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(877963), // Rule ID 60849 //
     /*  877893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  877913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  877942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877961 */     GIR_RootConstrainSelectedInstOperands,
     /*  877962 */     // GIR_Coverage, 60849,
     /*  877962 */     GIR_EraseRootFromParent_Done,
     /*  877963 */   // Label 13420: @877963
     /*  877963 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(878038), // Rule ID 60850 //
     /*  877968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  877988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878036 */     GIR_RootConstrainSelectedInstOperands,
     /*  878037 */     // GIR_Coverage, 60850,
     /*  878037 */     GIR_EraseRootFromParent_Done,
     /*  878038 */   // Label 13421: @878038
     /*  878038 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(878113), // Rule ID 60853 //
     /*  878043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878111 */     GIR_RootConstrainSelectedInstOperands,
     /*  878112 */     // GIR_Coverage, 60853,
     /*  878112 */     GIR_EraseRootFromParent_Done,
     /*  878113 */   // Label 13422: @878113
     /*  878113 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(878188), // Rule ID 60854 //
     /*  878118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878186 */     GIR_RootConstrainSelectedInstOperands,
     /*  878187 */     // GIR_Coverage, 60854,
     /*  878187 */     GIR_EraseRootFromParent_Done,
     /*  878188 */   // Label 13423: @878188
     /*  878188 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(878263), // Rule ID 60857 //
     /*  878193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878239 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878261 */     GIR_RootConstrainSelectedInstOperands,
     /*  878262 */     // GIR_Coverage, 60857,
     /*  878262 */     GIR_EraseRootFromParent_Done,
     /*  878263 */   // Label 13424: @878263
     /*  878263 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(878338), // Rule ID 60858 //
     /*  878268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878336 */     GIR_RootConstrainSelectedInstOperands,
     /*  878337 */     // GIR_Coverage, 60858,
     /*  878337 */     GIR_EraseRootFromParent_Done,
     /*  878338 */   // Label 13425: @878338
     /*  878338 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(878413), // Rule ID 60861 //
     /*  878343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878411 */     GIR_RootConstrainSelectedInstOperands,
     /*  878412 */     // GIR_Coverage, 60861,
     /*  878412 */     GIR_EraseRootFromParent_Done,
     /*  878413 */   // Label 13426: @878413
     /*  878413 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(878488), // Rule ID 60862 //
     /*  878418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878486 */     GIR_RootConstrainSelectedInstOperands,
     /*  878487 */     // GIR_Coverage, 60862,
     /*  878487 */     GIR_EraseRootFromParent_Done,
     /*  878488 */   // Label 13427: @878488
     /*  878488 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878563), // Rule ID 60865 //
     /*  878493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878561 */     GIR_RootConstrainSelectedInstOperands,
     /*  878562 */     // GIR_Coverage, 60865,
     /*  878562 */     GIR_EraseRootFromParent_Done,
     /*  878563 */   // Label 13428: @878563
     /*  878563 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878638), // Rule ID 60866 //
     /*  878568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878636 */     GIR_RootConstrainSelectedInstOperands,
     /*  878637 */     // GIR_Coverage, 60866,
     /*  878637 */     GIR_EraseRootFromParent_Done,
     /*  878638 */   // Label 13429: @878638
     /*  878638 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878713), // Rule ID 60869 //
     /*  878643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  878654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  878657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  878663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878711 */     GIR_RootConstrainSelectedInstOperands,
     /*  878712 */     // GIR_Coverage, 60869,
     /*  878712 */     GIR_EraseRootFromParent_Done,
     /*  878713 */   // Label 13430: @878713
     /*  878713 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878788), // Rule ID 60870 //
     /*  878718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  878729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  878732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  878738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878786 */     GIR_RootConstrainSelectedInstOperands,
     /*  878787 */     // GIR_Coverage, 60870,
     /*  878787 */     GIR_EraseRootFromParent_Done,
     /*  878788 */   // Label 13431: @878788
     /*  878788 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878863), // Rule ID 60873 //
     /*  878793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  878804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  878807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  878813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878861 */     GIR_RootConstrainSelectedInstOperands,
     /*  878862 */     // GIR_Coverage, 60873,
     /*  878862 */     GIR_EraseRootFromParent_Done,
     /*  878863 */   // Label 13432: @878863
     /*  878863 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(878938), // Rule ID 60874 //
     /*  878868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  878879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  878882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  878888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878936 */     GIR_RootConstrainSelectedInstOperands,
     /*  878937 */     // GIR_Coverage, 60874,
     /*  878937 */     GIR_EraseRootFromParent_Done,
     /*  878938 */   // Label 13433: @878938
     /*  878938 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(879013), // Rule ID 60877 //
     /*  878943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  878954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  878957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  878960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  878963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879011 */     GIR_RootConstrainSelectedInstOperands,
     /*  879012 */     // GIR_Coverage, 60877,
     /*  879012 */     GIR_EraseRootFromParent_Done,
     /*  879013 */   // Label 13434: @879013
     /*  879013 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(879088), // Rule ID 60878 //
     /*  879018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  879038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879086 */     GIR_RootConstrainSelectedInstOperands,
     /*  879087 */     // GIR_Coverage, 60878,
     /*  879087 */     GIR_EraseRootFromParent_Done,
     /*  879088 */   // Label 13435: @879088
     /*  879088 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(879163), // Rule ID 60881 //
     /*  879093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879161 */     GIR_RootConstrainSelectedInstOperands,
     /*  879162 */     // GIR_Coverage, 60881,
     /*  879162 */     GIR_EraseRootFromParent_Done,
     /*  879163 */   // Label 13436: @879163
     /*  879163 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(879238), // Rule ID 60882 //
     /*  879168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879236 */     GIR_RootConstrainSelectedInstOperands,
     /*  879237 */     // GIR_Coverage, 60882,
     /*  879237 */     GIR_EraseRootFromParent_Done,
     /*  879238 */   // Label 13437: @879238
     /*  879238 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(879313), // Rule ID 60885 //
     /*  879243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879311 */     GIR_RootConstrainSelectedInstOperands,
     /*  879312 */     // GIR_Coverage, 60885,
     /*  879312 */     GIR_EraseRootFromParent_Done,
     /*  879313 */   // Label 13438: @879313
     /*  879313 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(879388), // Rule ID 60886 //
     /*  879318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879386 */     GIR_RootConstrainSelectedInstOperands,
     /*  879387 */     // GIR_Coverage, 60886,
     /*  879387 */     GIR_EraseRootFromParent_Done,
     /*  879388 */   // Label 13439: @879388
     /*  879388 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(879463), // Rule ID 60889 //
     /*  879393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879461 */     GIR_RootConstrainSelectedInstOperands,
     /*  879462 */     // GIR_Coverage, 60889,
     /*  879462 */     GIR_EraseRootFromParent_Done,
     /*  879463 */   // Label 13440: @879463
     /*  879463 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(879538), // Rule ID 60890 //
     /*  879468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879536 */     GIR_RootConstrainSelectedInstOperands,
     /*  879537 */     // GIR_Coverage, 60890,
     /*  879537 */     GIR_EraseRootFromParent_Done,
     /*  879538 */   // Label 13441: @879538
     /*  879538 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879613), // Rule ID 60893 //
     /*  879543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  879563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879611 */     GIR_RootConstrainSelectedInstOperands,
     /*  879612 */     // GIR_Coverage, 60893,
     /*  879612 */     GIR_EraseRootFromParent_Done,
     /*  879613 */   // Label 13442: @879613
     /*  879613 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879688), // Rule ID 60894 //
     /*  879618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  879638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879664 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879686 */     GIR_RootConstrainSelectedInstOperands,
     /*  879687 */     // GIR_Coverage, 60894,
     /*  879687 */     GIR_EraseRootFromParent_Done,
     /*  879688 */   // Label 13443: @879688
     /*  879688 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879763), // Rule ID 60897 //
     /*  879693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  879704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  879707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  879710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  879742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879761 */     GIR_RootConstrainSelectedInstOperands,
     /*  879762 */     // GIR_Coverage, 60897,
     /*  879762 */     GIR_EraseRootFromParent_Done,
     /*  879763 */   // Label 13444: @879763
     /*  879763 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879838), // Rule ID 60898 //
     /*  879768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  879779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  879782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  879785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  879817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879836 */     GIR_RootConstrainSelectedInstOperands,
     /*  879837 */     // GIR_Coverage, 60898,
     /*  879837 */     GIR_EraseRootFromParent_Done,
     /*  879838 */   // Label 13445: @879838
     /*  879838 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(879913), // Rule ID 60905 //
     /*  879843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  879854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  879857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  879860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  879892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879911 */     GIR_RootConstrainSelectedInstOperands,
     /*  879912 */     // GIR_Coverage, 60905,
     /*  879912 */     GIR_EraseRootFromParent_Done,
     /*  879913 */   // Label 13446: @879913
     /*  879913 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(879988), // Rule ID 60906 //
     /*  879918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  879929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  879932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  879935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879964 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  879967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879986 */     GIR_RootConstrainSelectedInstOperands,
     /*  879987 */     // GIR_Coverage, 60906,
     /*  879987 */     GIR_EraseRootFromParent_Done,
     /*  879988 */   // Label 13447: @879988
     /*  879988 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(880063), // Rule ID 60913 //
     /*  879993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  880010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880061 */     GIR_RootConstrainSelectedInstOperands,
     /*  880062 */     // GIR_Coverage, 60913,
     /*  880062 */     GIR_EraseRootFromParent_Done,
     /*  880063 */   // Label 13448: @880063
     /*  880063 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(880138), // Rule ID 60914 //
     /*  880068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  880085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880136 */     GIR_RootConstrainSelectedInstOperands,
     /*  880137 */     // GIR_Coverage, 60914,
     /*  880137 */     GIR_EraseRootFromParent_Done,
     /*  880138 */   // Label 13449: @880138
     /*  880138 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(880213), // Rule ID 60921 //
     /*  880143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880189 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880211 */     GIR_RootConstrainSelectedInstOperands,
     /*  880212 */     // GIR_Coverage, 60921,
     /*  880212 */     GIR_EraseRootFromParent_Done,
     /*  880213 */   // Label 13450: @880213
     /*  880213 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(880288), // Rule ID 60922 //
     /*  880218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880286 */     GIR_RootConstrainSelectedInstOperands,
     /*  880287 */     // GIR_Coverage, 60922,
     /*  880287 */     GIR_EraseRootFromParent_Done,
     /*  880288 */   // Label 13451: @880288
     /*  880288 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(880363), // Rule ID 60929 //
     /*  880293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880339 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880361 */     GIR_RootConstrainSelectedInstOperands,
     /*  880362 */     // GIR_Coverage, 60929,
     /*  880362 */     GIR_EraseRootFromParent_Done,
     /*  880363 */   // Label 13452: @880363
     /*  880363 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(880438), // Rule ID 60930 //
     /*  880368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880436 */     GIR_RootConstrainSelectedInstOperands,
     /*  880437 */     // GIR_Coverage, 60930,
     /*  880437 */     GIR_EraseRootFromParent_Done,
     /*  880438 */   // Label 13453: @880438
     /*  880438 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(880513), // Rule ID 60937 //
     /*  880443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880489 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880511 */     GIR_RootConstrainSelectedInstOperands,
     /*  880512 */     // GIR_Coverage, 60937,
     /*  880512 */     GIR_EraseRootFromParent_Done,
     /*  880513 */   // Label 13454: @880513
     /*  880513 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(880588), // Rule ID 60938 //
     /*  880518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880586 */     GIR_RootConstrainSelectedInstOperands,
     /*  880587 */     // GIR_Coverage, 60938,
     /*  880587 */     GIR_EraseRootFromParent_Done,
     /*  880588 */   // Label 13455: @880588
     /*  880588 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880663), // Rule ID 60945 //
     /*  880593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880661 */     GIR_RootConstrainSelectedInstOperands,
     /*  880662 */     // GIR_Coverage, 60945,
     /*  880662 */     GIR_EraseRootFromParent_Done,
     /*  880663 */   // Label 13456: @880663
     /*  880663 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880738), // Rule ID 60946 //
     /*  880668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880736 */     GIR_RootConstrainSelectedInstOperands,
     /*  880737 */     // GIR_Coverage, 60946,
     /*  880737 */     GIR_EraseRootFromParent_Done,
     /*  880738 */   // Label 13457: @880738
     /*  880738 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880813), // Rule ID 60953 //
     /*  880743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  880754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  880757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  880760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880811 */     GIR_RootConstrainSelectedInstOperands,
     /*  880812 */     // GIR_Coverage, 60953,
     /*  880812 */     GIR_EraseRootFromParent_Done,
     /*  880813 */   // Label 13458: @880813
     /*  880813 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880888), // Rule ID 60954 //
     /*  880818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  880829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  880832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  880835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880886 */     GIR_RootConstrainSelectedInstOperands,
     /*  880887 */     // GIR_Coverage, 60954,
     /*  880887 */     GIR_EraseRootFromParent_Done,
     /*  880888 */   // Label 13459: @880888
     /*  880888 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(880963), // Rule ID 60961 //
     /*  880893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  880910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880961 */     GIR_RootConstrainSelectedInstOperands,
     /*  880962 */     // GIR_Coverage, 60961,
     /*  880962 */     GIR_EraseRootFromParent_Done,
     /*  880963 */   // Label 13460: @880963
     /*  880963 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(881038), // Rule ID 60962 //
     /*  880968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  880985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881036 */     GIR_RootConstrainSelectedInstOperands,
     /*  881037 */     // GIR_Coverage, 60962,
     /*  881037 */     GIR_EraseRootFromParent_Done,
     /*  881038 */   // Label 13461: @881038
     /*  881038 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(881113), // Rule ID 60969 //
     /*  881043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881111 */     GIR_RootConstrainSelectedInstOperands,
     /*  881112 */     // GIR_Coverage, 60969,
     /*  881112 */     GIR_EraseRootFromParent_Done,
     /*  881113 */   // Label 13462: @881113
     /*  881113 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(881188), // Rule ID 60970 //
     /*  881118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881186 */     GIR_RootConstrainSelectedInstOperands,
     /*  881187 */     // GIR_Coverage, 60970,
     /*  881187 */     GIR_EraseRootFromParent_Done,
     /*  881188 */   // Label 13463: @881188
     /*  881188 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(881263), // Rule ID 60977 //
     /*  881193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881261 */     GIR_RootConstrainSelectedInstOperands,
     /*  881262 */     // GIR_Coverage, 60977,
     /*  881262 */     GIR_EraseRootFromParent_Done,
     /*  881263 */   // Label 13464: @881263
     /*  881263 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(881338), // Rule ID 60978 //
     /*  881268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881336 */     GIR_RootConstrainSelectedInstOperands,
     /*  881337 */     // GIR_Coverage, 60978,
     /*  881337 */     GIR_EraseRootFromParent_Done,
     /*  881338 */   // Label 13465: @881338
     /*  881338 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(881413), // Rule ID 60985 //
     /*  881343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881411 */     GIR_RootConstrainSelectedInstOperands,
     /*  881412 */     // GIR_Coverage, 60985,
     /*  881412 */     GIR_EraseRootFromParent_Done,
     /*  881413 */   // Label 13466: @881413
     /*  881413 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(881488), // Rule ID 60986 //
     /*  881418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881486 */     GIR_RootConstrainSelectedInstOperands,
     /*  881487 */     // GIR_Coverage, 60986,
     /*  881487 */     GIR_EraseRootFromParent_Done,
     /*  881488 */   // Label 13467: @881488
     /*  881488 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(881563), // Rule ID 60993 //
     /*  881493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881561 */     GIR_RootConstrainSelectedInstOperands,
     /*  881562 */     // GIR_Coverage, 60993,
     /*  881562 */     GIR_EraseRootFromParent_Done,
     /*  881563 */   // Label 13468: @881563
     /*  881563 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(881638), // Rule ID 60994 //
     /*  881568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881636 */     GIR_RootConstrainSelectedInstOperands,
     /*  881637 */     // GIR_Coverage, 60994,
     /*  881637 */     GIR_EraseRootFromParent_Done,
     /*  881638 */   // Label 13469: @881638
     /*  881638 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881713), // Rule ID 61001 //
     /*  881643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  881660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881711 */     GIR_RootConstrainSelectedInstOperands,
     /*  881712 */     // GIR_Coverage, 61001,
     /*  881712 */     GIR_EraseRootFromParent_Done,
     /*  881713 */   // Label 13470: @881713
     /*  881713 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881788), // Rule ID 61002 //
     /*  881718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  881735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881786 */     GIR_RootConstrainSelectedInstOperands,
     /*  881787 */     // GIR_Coverage, 61002,
     /*  881787 */     GIR_EraseRootFromParent_Done,
     /*  881788 */   // Label 13471: @881788
     /*  881788 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881863), // Rule ID 61009 //
     /*  881793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  881810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881861 */     GIR_RootConstrainSelectedInstOperands,
     /*  881862 */     // GIR_Coverage, 61009,
     /*  881862 */     GIR_EraseRootFromParent_Done,
     /*  881863 */   // Label 13472: @881863
     /*  881863 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(881938), // Rule ID 61010 //
     /*  881868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  881885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881936 */     GIR_RootConstrainSelectedInstOperands,
     /*  881937 */     // GIR_Coverage, 61010,
     /*  881937 */     GIR_EraseRootFromParent_Done,
     /*  881938 */   // Label 13473: @881938
     /*  881938 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(882013), // Rule ID 61017 //
     /*  881943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  881963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881989 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  881992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882011 */     GIR_RootConstrainSelectedInstOperands,
     /*  882012 */     // GIR_Coverage, 61017,
     /*  882012 */     GIR_EraseRootFromParent_Done,
     /*  882013 */   // Label 13474: @882013
     /*  882013 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(882088), // Rule ID 61018 //
     /*  882018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  882038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  882067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882086 */     GIR_RootConstrainSelectedInstOperands,
     /*  882087 */     // GIR_Coverage, 61018,
     /*  882087 */     GIR_EraseRootFromParent_Done,
     /*  882088 */   // Label 13475: @882088
     /*  882088 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(882163), // Rule ID 61021 //
     /*  882093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882161 */     GIR_RootConstrainSelectedInstOperands,
     /*  882162 */     // GIR_Coverage, 61021,
     /*  882162 */     GIR_EraseRootFromParent_Done,
     /*  882163 */   // Label 13476: @882163
     /*  882163 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(882238), // Rule ID 61022 //
     /*  882168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882236 */     GIR_RootConstrainSelectedInstOperands,
     /*  882237 */     // GIR_Coverage, 61022,
     /*  882237 */     GIR_EraseRootFromParent_Done,
     /*  882238 */   // Label 13477: @882238
     /*  882238 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(882313), // Rule ID 61025 //
     /*  882243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882289 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882311 */     GIR_RootConstrainSelectedInstOperands,
     /*  882312 */     // GIR_Coverage, 61025,
     /*  882312 */     GIR_EraseRootFromParent_Done,
     /*  882313 */   // Label 13478: @882313
     /*  882313 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(882388), // Rule ID 61026 //
     /*  882318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882386 */     GIR_RootConstrainSelectedInstOperands,
     /*  882387 */     // GIR_Coverage, 61026,
     /*  882387 */     GIR_EraseRootFromParent_Done,
     /*  882388 */   // Label 13479: @882388
     /*  882388 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(882463), // Rule ID 61029 //
     /*  882393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882439 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882461 */     GIR_RootConstrainSelectedInstOperands,
     /*  882462 */     // GIR_Coverage, 61029,
     /*  882462 */     GIR_EraseRootFromParent_Done,
     /*  882463 */   // Label 13480: @882463
     /*  882463 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(882538), // Rule ID 61030 //
     /*  882468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882536 */     GIR_RootConstrainSelectedInstOperands,
     /*  882537 */     // GIR_Coverage, 61030,
     /*  882537 */     GIR_EraseRootFromParent_Done,
     /*  882538 */   // Label 13481: @882538
     /*  882538 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(882613), // Rule ID 61033 //
     /*  882543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882589 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  882592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882611 */     GIR_RootConstrainSelectedInstOperands,
     /*  882612 */     // GIR_Coverage, 61033,
     /*  882612 */     GIR_EraseRootFromParent_Done,
     /*  882613 */   // Label 13482: @882613
     /*  882613 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882688), // Rule ID 61034 //
     /*  882618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  882667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882686 */     GIR_RootConstrainSelectedInstOperands,
     /*  882687 */     // GIR_Coverage, 61034,
     /*  882687 */     GIR_EraseRootFromParent_Done,
     /*  882688 */   // Label 13483: @882688
     /*  882688 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882763), // Rule ID 61037 //
     /*  882693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  882742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882761 */     GIR_RootConstrainSelectedInstOperands,
     /*  882762 */     // GIR_Coverage, 61037,
     /*  882762 */     GIR_EraseRootFromParent_Done,
     /*  882763 */   // Label 13484: @882763
     /*  882763 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882838), // Rule ID 61038 //
     /*  882768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  882817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882836 */     GIR_RootConstrainSelectedInstOperands,
     /*  882837 */     // GIR_Coverage, 61038,
     /*  882837 */     GIR_EraseRootFromParent_Done,
     /*  882838 */   // Label 13485: @882838
     /*  882838 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(882913), // Rule ID 61041 //
     /*  882843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882889 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  882892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882911 */     GIR_RootConstrainSelectedInstOperands,
     /*  882912 */     // GIR_Coverage, 61041,
     /*  882912 */     GIR_EraseRootFromParent_Done,
     /*  882913 */   // Label 13486: @882913
     /*  882913 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(882988), // Rule ID 61042 //
     /*  882918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  882967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882986 */     GIR_RootConstrainSelectedInstOperands,
     /*  882987 */     // GIR_Coverage, 61042,
     /*  882987 */     GIR_EraseRootFromParent_Done,
     /*  882988 */   // Label 13487: @882988
     /*  882988 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(883063), // Rule ID 61045 //
     /*  882993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883039 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  883042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883061 */     GIR_RootConstrainSelectedInstOperands,
     /*  883062 */     // GIR_Coverage, 61045,
     /*  883062 */     GIR_EraseRootFromParent_Done,
     /*  883063 */   // Label 13488: @883063
     /*  883063 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(883138), // Rule ID 61046 //
     /*  883068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  883117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883136 */     GIR_RootConstrainSelectedInstOperands,
     /*  883137 */     // GIR_Coverage, 61046,
     /*  883137 */     GIR_EraseRootFromParent_Done,
     /*  883138 */   // Label 13489: @883138
     /*  883138 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(883213), // Rule ID 61049 //
     /*  883143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883211 */     GIR_RootConstrainSelectedInstOperands,
     /*  883212 */     // GIR_Coverage, 61049,
     /*  883212 */     GIR_EraseRootFromParent_Done,
     /*  883213 */   // Label 13490: @883213
     /*  883213 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(883288), // Rule ID 61050 //
     /*  883218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883286 */     GIR_RootConstrainSelectedInstOperands,
     /*  883287 */     // GIR_Coverage, 61050,
     /*  883287 */     GIR_EraseRootFromParent_Done,
     /*  883288 */   // Label 13491: @883288
     /*  883288 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(883363), // Rule ID 61053 //
     /*  883293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883361 */     GIR_RootConstrainSelectedInstOperands,
     /*  883362 */     // GIR_Coverage, 61053,
     /*  883362 */     GIR_EraseRootFromParent_Done,
     /*  883363 */   // Label 13492: @883363
     /*  883363 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(883438), // Rule ID 61054 //
     /*  883368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883436 */     GIR_RootConstrainSelectedInstOperands,
     /*  883437 */     // GIR_Coverage, 61054,
     /*  883437 */     GIR_EraseRootFromParent_Done,
     /*  883438 */   // Label 13493: @883438
     /*  883438 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(883513), // Rule ID 61057 //
     /*  883443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883511 */     GIR_RootConstrainSelectedInstOperands,
     /*  883512 */     // GIR_Coverage, 61057,
     /*  883512 */     GIR_EraseRootFromParent_Done,
     /*  883513 */   // Label 13494: @883513
     /*  883513 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(883588), // Rule ID 61058 //
     /*  883518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883586 */     GIR_RootConstrainSelectedInstOperands,
     /*  883587 */     // GIR_Coverage, 61058,
     /*  883587 */     GIR_EraseRootFromParent_Done,
     /*  883588 */   // Label 13495: @883588
     /*  883588 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(883663), // Rule ID 61061 //
     /*  883593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  883613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883639 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  883642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883661 */     GIR_RootConstrainSelectedInstOperands,
     /*  883662 */     // GIR_Coverage, 61061,
     /*  883662 */     GIR_EraseRootFromParent_Done,
     /*  883663 */   // Label 13496: @883663
     /*  883663 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883738), // Rule ID 61062 //
     /*  883668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  883688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  883717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883736 */     GIR_RootConstrainSelectedInstOperands,
     /*  883737 */     // GIR_Coverage, 61062,
     /*  883737 */     GIR_EraseRootFromParent_Done,
     /*  883738 */   // Label 13497: @883738
     /*  883738 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883813), // Rule ID 61065 //
     /*  883743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883789 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  883792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883811 */     GIR_RootConstrainSelectedInstOperands,
     /*  883812 */     // GIR_Coverage, 61065,
     /*  883812 */     GIR_EraseRootFromParent_Done,
     /*  883813 */   // Label 13498: @883813
     /*  883813 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883888), // Rule ID 61066 //
     /*  883818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  883867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883886 */     GIR_RootConstrainSelectedInstOperands,
     /*  883887 */     // GIR_Coverage, 61066,
     /*  883887 */     GIR_EraseRootFromParent_Done,
     /*  883888 */   // Label 13499: @883888
     /*  883888 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(883963), // Rule ID 61069 //
     /*  883893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  883942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883961 */     GIR_RootConstrainSelectedInstOperands,
     /*  883962 */     // GIR_Coverage, 61069,
     /*  883962 */     GIR_EraseRootFromParent_Done,
     /*  883963 */   // Label 13500: @883963
     /*  883963 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(884038), // Rule ID 61070 //
     /*  883968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  884017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884036 */     GIR_RootConstrainSelectedInstOperands,
     /*  884037 */     // GIR_Coverage, 61070,
     /*  884037 */     GIR_EraseRootFromParent_Done,
     /*  884038 */   // Label 13501: @884038
     /*  884038 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(884113), // Rule ID 61073 //
     /*  884043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884111 */     GIR_RootConstrainSelectedInstOperands,
     /*  884112 */     // GIR_Coverage, 61073,
     /*  884112 */     GIR_EraseRootFromParent_Done,
     /*  884113 */   // Label 13502: @884113
     /*  884113 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(884188), // Rule ID 61074 //
     /*  884118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884186 */     GIR_RootConstrainSelectedInstOperands,
     /*  884187 */     // GIR_Coverage, 61074,
     /*  884187 */     GIR_EraseRootFromParent_Done,
     /*  884188 */   // Label 13503: @884188
     /*  884188 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(884263), // Rule ID 61077 //
     /*  884193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884261 */     GIR_RootConstrainSelectedInstOperands,
     /*  884262 */     // GIR_Coverage, 61077,
     /*  884262 */     GIR_EraseRootFromParent_Done,
     /*  884263 */   // Label 13504: @884263
     /*  884263 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(884338), // Rule ID 61078 //
     /*  884268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884336 */     GIR_RootConstrainSelectedInstOperands,
     /*  884337 */     // GIR_Coverage, 61078,
     /*  884337 */     GIR_EraseRootFromParent_Done,
     /*  884338 */   // Label 13505: @884338
     /*  884338 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(884413), // Rule ID 61081 //
     /*  884343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884389 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884411 */     GIR_RootConstrainSelectedInstOperands,
     /*  884412 */     // GIR_Coverage, 61081,
     /*  884412 */     GIR_EraseRootFromParent_Done,
     /*  884413 */   // Label 13506: @884413
     /*  884413 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(884488), // Rule ID 61082 //
     /*  884418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884464 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884486 */     GIR_RootConstrainSelectedInstOperands,
     /*  884487 */     // GIR_Coverage, 61082,
     /*  884487 */     GIR_EraseRootFromParent_Done,
     /*  884488 */   // Label 13507: @884488
     /*  884488 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(884563), // Rule ID 61085 //
     /*  884493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884561 */     GIR_RootConstrainSelectedInstOperands,
     /*  884562 */     // GIR_Coverage, 61085,
     /*  884562 */     GIR_EraseRootFromParent_Done,
     /*  884563 */   // Label 13508: @884563
     /*  884563 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(884638), // Rule ID 61086 //
     /*  884568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884636 */     GIR_RootConstrainSelectedInstOperands,
     /*  884637 */     // GIR_Coverage, 61086,
     /*  884637 */     GIR_EraseRootFromParent_Done,
     /*  884638 */   // Label 13509: @884638
     /*  884638 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884713), // Rule ID 61089 //
     /*  884643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  884654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  884657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  884663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884689 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  884692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884711 */     GIR_RootConstrainSelectedInstOperands,
     /*  884712 */     // GIR_Coverage, 61089,
     /*  884712 */     GIR_EraseRootFromParent_Done,
     /*  884713 */   // Label 13510: @884713
     /*  884713 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884788), // Rule ID 61090 //
     /*  884718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  884729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  884732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  884738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  884767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884786 */     GIR_RootConstrainSelectedInstOperands,
     /*  884787 */     // GIR_Coverage, 61090,
     /*  884787 */     GIR_EraseRootFromParent_Done,
     /*  884788 */   // Label 13511: @884788
     /*  884788 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884863), // Rule ID 61093 //
     /*  884793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  884810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  884813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884839 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  884839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884861 */     GIR_RootConstrainSelectedInstOperands,
     /*  884862 */     // GIR_Coverage, 61093,
     /*  884862 */     GIR_EraseRootFromParent_Done,
     /*  884863 */   // Label 13512: @884863
     /*  884863 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(884938), // Rule ID 61094 //
     /*  884868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  884885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  884888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  884914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884936 */     GIR_RootConstrainSelectedInstOperands,
     /*  884937 */     // GIR_Coverage, 61094,
     /*  884937 */     GIR_EraseRootFromParent_Done,
     /*  884938 */   // Label 13513: @884938
     /*  884938 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(885013), // Rule ID 61097 //
     /*  884943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  884954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  884957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  884960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  884963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884989 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  884989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  884992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885011 */     GIR_RootConstrainSelectedInstOperands,
     /*  885012 */     // GIR_Coverage, 61097,
     /*  885012 */     GIR_EraseRootFromParent_Done,
     /*  885013 */   // Label 13514: @885013
     /*  885013 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(885088), // Rule ID 61098 //
     /*  885018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  885038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885086 */     GIR_RootConstrainSelectedInstOperands,
     /*  885087 */     // GIR_Coverage, 61098,
     /*  885087 */     GIR_EraseRootFromParent_Done,
     /*  885088 */   // Label 13515: @885088
     /*  885088 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(885163), // Rule ID 61101 //
     /*  885093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885161 */     GIR_RootConstrainSelectedInstOperands,
     /*  885162 */     // GIR_Coverage, 61101,
     /*  885162 */     GIR_EraseRootFromParent_Done,
     /*  885163 */   // Label 13516: @885163
     /*  885163 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(885238), // Rule ID 61102 //
     /*  885168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885236 */     GIR_RootConstrainSelectedInstOperands,
     /*  885237 */     // GIR_Coverage, 61102,
     /*  885237 */     GIR_EraseRootFromParent_Done,
     /*  885238 */   // Label 13517: @885238
     /*  885238 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(885313), // Rule ID 61105 //
     /*  885243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885311 */     GIR_RootConstrainSelectedInstOperands,
     /*  885312 */     // GIR_Coverage, 61105,
     /*  885312 */     GIR_EraseRootFromParent_Done,
     /*  885313 */   // Label 13518: @885313
     /*  885313 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(885388), // Rule ID 61106 //
     /*  885318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885386 */     GIR_RootConstrainSelectedInstOperands,
     /*  885387 */     // GIR_Coverage, 61106,
     /*  885387 */     GIR_EraseRootFromParent_Done,
     /*  885388 */   // Label 13519: @885388
     /*  885388 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(885463), // Rule ID 61109 //
     /*  885393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885461 */     GIR_RootConstrainSelectedInstOperands,
     /*  885462 */     // GIR_Coverage, 61109,
     /*  885462 */     GIR_EraseRootFromParent_Done,
     /*  885463 */   // Label 13520: @885463
     /*  885463 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(885538), // Rule ID 61110 //
     /*  885468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885536 */     GIR_RootConstrainSelectedInstOperands,
     /*  885537 */     // GIR_Coverage, 61110,
     /*  885537 */     GIR_EraseRootFromParent_Done,
     /*  885538 */   // Label 13521: @885538
     /*  885538 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(885613), // Rule ID 61113 //
     /*  885543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  885560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  885563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885611 */     GIR_RootConstrainSelectedInstOperands,
     /*  885612 */     // GIR_Coverage, 61113,
     /*  885612 */     GIR_EraseRootFromParent_Done,
     /*  885613 */   // Label 13522: @885613
     /*  885613 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(885688), // Rule ID 61114 //
     /*  885618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  885635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  885638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885686 */     GIR_RootConstrainSelectedInstOperands,
     /*  885687 */     // GIR_Coverage, 61114,
     /*  885687 */     GIR_EraseRootFromParent_Done,
     /*  885688 */   // Label 13523: @885688
     /*  885688 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885763), // Rule ID 61117 //
     /*  885693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  885704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  885707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  885710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  885713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  885739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885761 */     GIR_RootConstrainSelectedInstOperands,
     /*  885762 */     // GIR_Coverage, 61117,
     /*  885762 */     GIR_EraseRootFromParent_Done,
     /*  885763 */   // Label 13524: @885763
     /*  885763 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885838), // Rule ID 61118 //
     /*  885768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  885779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  885782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  885785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  885788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  885814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885836 */     GIR_RootConstrainSelectedInstOperands,
     /*  885837 */     // GIR_Coverage, 61118,
     /*  885837 */     GIR_EraseRootFromParent_Done,
     /*  885838 */   // Label 13525: @885838
     /*  885838 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(885913), // Rule ID 61121 //
     /*  885843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  885854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  885857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  885863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885889 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885911 */     GIR_RootConstrainSelectedInstOperands,
     /*  885912 */     // GIR_Coverage, 61121,
     /*  885912 */     GIR_EraseRootFromParent_Done,
     /*  885913 */   // Label 13526: @885913
     /*  885913 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(885988), // Rule ID 61122 //
     /*  885918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  885929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  885932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  885938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885964 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885986 */     GIR_RootConstrainSelectedInstOperands,
     /*  885987 */     // GIR_Coverage, 61122,
     /*  885987 */     GIR_EraseRootFromParent_Done,
     /*  885988 */   // Label 13527: @885988
     /*  885988 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(886063), // Rule ID 61125 //
     /*  885993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886039 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886061 */     GIR_RootConstrainSelectedInstOperands,
     /*  886062 */     // GIR_Coverage, 61125,
     /*  886062 */     GIR_EraseRootFromParent_Done,
     /*  886063 */   // Label 13528: @886063
     /*  886063 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(886138), // Rule ID 61126 //
     /*  886068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886114 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886136 */     GIR_RootConstrainSelectedInstOperands,
     /*  886137 */     // GIR_Coverage, 61126,
     /*  886137 */     GIR_EraseRootFromParent_Done,
     /*  886138 */   // Label 13529: @886138
     /*  886138 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(886213), // Rule ID 61129 //
     /*  886143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886189 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886211 */     GIR_RootConstrainSelectedInstOperands,
     /*  886212 */     // GIR_Coverage, 61129,
     /*  886212 */     GIR_EraseRootFromParent_Done,
     /*  886213 */   // Label 13530: @886213
     /*  886213 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(886288), // Rule ID 61130 //
     /*  886218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886264 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886286 */     GIR_RootConstrainSelectedInstOperands,
     /*  886287 */     // GIR_Coverage, 61130,
     /*  886287 */     GIR_EraseRootFromParent_Done,
     /*  886288 */   // Label 13531: @886288
     /*  886288 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(886363), // Rule ID 61133 //
     /*  886293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886361 */     GIR_RootConstrainSelectedInstOperands,
     /*  886362 */     // GIR_Coverage, 61133,
     /*  886362 */     GIR_EraseRootFromParent_Done,
     /*  886363 */   // Label 13532: @886363
     /*  886363 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(886438), // Rule ID 61134 //
     /*  886368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886436 */     GIR_RootConstrainSelectedInstOperands,
     /*  886437 */     // GIR_Coverage, 61134,
     /*  886437 */     GIR_EraseRootFromParent_Done,
     /*  886438 */   // Label 13533: @886438
     /*  886438 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(886513), // Rule ID 61137 //
     /*  886443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886511 */     GIR_RootConstrainSelectedInstOperands,
     /*  886512 */     // GIR_Coverage, 61137,
     /*  886512 */     GIR_EraseRootFromParent_Done,
     /*  886513 */   // Label 13534: @886513
     /*  886513 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(886588), // Rule ID 61138 //
     /*  886518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886586 */     GIR_RootConstrainSelectedInstOperands,
     /*  886587 */     // GIR_Coverage, 61138,
     /*  886587 */     GIR_EraseRootFromParent_Done,
     /*  886588 */   // Label 13535: @886588
     /*  886588 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(886663), // Rule ID 61141 //
     /*  886593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  886604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  886607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  886610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  886613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886661 */     GIR_RootConstrainSelectedInstOperands,
     /*  886662 */     // GIR_Coverage, 61141,
     /*  886662 */     GIR_EraseRootFromParent_Done,
     /*  886663 */   // Label 13536: @886663
     /*  886663 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886738), // Rule ID 61142 //
     /*  886668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  886679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  886682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  886685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  886688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886736 */     GIR_RootConstrainSelectedInstOperands,
     /*  886737 */     // GIR_Coverage, 61142,
     /*  886737 */     GIR_EraseRootFromParent_Done,
     /*  886738 */   // Label 13537: @886738
     /*  886738 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886813), // Rule ID 61145 //
     /*  886743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  886754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  886757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  886763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886811 */     GIR_RootConstrainSelectedInstOperands,
     /*  886812 */     // GIR_Coverage, 61145,
     /*  886812 */     GIR_EraseRootFromParent_Done,
     /*  886813 */   // Label 13538: @886813
     /*  886813 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886888), // Rule ID 61146 //
     /*  886818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  886829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  886832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  886838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886886 */     GIR_RootConstrainSelectedInstOperands,
     /*  886887 */     // GIR_Coverage, 61146,
     /*  886887 */     GIR_EraseRootFromParent_Done,
     /*  886888 */   // Label 13539: @886888
     /*  886888 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(886963), // Rule ID 61149 //
     /*  886893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  886904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  886907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  886913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886961 */     GIR_RootConstrainSelectedInstOperands,
     /*  886962 */     // GIR_Coverage, 61149,
     /*  886962 */     GIR_EraseRootFromParent_Done,
     /*  886963 */   // Label 13540: @886963
     /*  886963 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(887038), // Rule ID 61150 //
     /*  886968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  886979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  886982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  886988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887036 */     GIR_RootConstrainSelectedInstOperands,
     /*  887037 */     // GIR_Coverage, 61150,
     /*  887037 */     GIR_EraseRootFromParent_Done,
     /*  887038 */   // Label 13541: @887038
     /*  887038 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(887113), // Rule ID 61153 //
     /*  887043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887111 */     GIR_RootConstrainSelectedInstOperands,
     /*  887112 */     // GIR_Coverage, 61153,
     /*  887112 */     GIR_EraseRootFromParent_Done,
     /*  887113 */   // Label 13542: @887113
     /*  887113 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(887188), // Rule ID 61154 //
     /*  887118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887186 */     GIR_RootConstrainSelectedInstOperands,
     /*  887187 */     // GIR_Coverage, 61154,
     /*  887187 */     GIR_EraseRootFromParent_Done,
     /*  887188 */   // Label 13543: @887188
     /*  887188 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(887263), // Rule ID 61157 //
     /*  887193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887261 */     GIR_RootConstrainSelectedInstOperands,
     /*  887262 */     // GIR_Coverage, 61157,
     /*  887262 */     GIR_EraseRootFromParent_Done,
     /*  887263 */   // Label 13544: @887263
     /*  887263 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(887338), // Rule ID 61158 //
     /*  887268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887336 */     GIR_RootConstrainSelectedInstOperands,
     /*  887337 */     // GIR_Coverage, 61158,
     /*  887337 */     GIR_EraseRootFromParent_Done,
     /*  887338 */   // Label 13545: @887338
     /*  887338 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(887413), // Rule ID 61161 //
     /*  887343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887411 */     GIR_RootConstrainSelectedInstOperands,
     /*  887412 */     // GIR_Coverage, 61161,
     /*  887412 */     GIR_EraseRootFromParent_Done,
     /*  887413 */   // Label 13546: @887413
     /*  887413 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(887488), // Rule ID 61162 //
     /*  887418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887464 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887486 */     GIR_RootConstrainSelectedInstOperands,
     /*  887487 */     // GIR_Coverage, 61162,
     /*  887487 */     GIR_EraseRootFromParent_Done,
     /*  887488 */   // Label 13547: @887488
     /*  887488 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(887563), // Rule ID 61165 //
     /*  887493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887539 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887561 */     GIR_RootConstrainSelectedInstOperands,
     /*  887562 */     // GIR_Coverage, 61165,
     /*  887562 */     GIR_EraseRootFromParent_Done,
     /*  887563 */   // Label 13548: @887563
     /*  887563 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(887638), // Rule ID 61166 //
     /*  887568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887636 */     GIR_RootConstrainSelectedInstOperands,
     /*  887637 */     // GIR_Coverage, 61166,
     /*  887637 */     GIR_EraseRootFromParent_Done,
     /*  887638 */   // Label 13549: @887638
     /*  887638 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887713), // Rule ID 61169 //
     /*  887643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  887654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  887657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  887660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887689 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  887692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887711 */     GIR_RootConstrainSelectedInstOperands,
     /*  887712 */     // GIR_Coverage, 61169,
     /*  887712 */     GIR_EraseRootFromParent_Done,
     /*  887713 */   // Label 13550: @887713
     /*  887713 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887788), // Rule ID 61170 //
     /*  887718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  887729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  887732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  887735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  887767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887786 */     GIR_RootConstrainSelectedInstOperands,
     /*  887787 */     // GIR_Coverage, 61170,
     /*  887787 */     GIR_EraseRootFromParent_Done,
     /*  887788 */   // Label 13551: @887788
     /*  887788 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887863), // Rule ID 61173 //
     /*  887793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  887804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  887807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  887810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887839 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  887842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887861 */     GIR_RootConstrainSelectedInstOperands,
     /*  887862 */     // GIR_Coverage, 61173,
     /*  887862 */     GIR_EraseRootFromParent_Done,
     /*  887863 */   // Label 13552: @887863
     /*  887863 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(887938), // Rule ID 61174 //
     /*  887868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  887879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  887882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  887885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887914 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  887917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887936 */     GIR_RootConstrainSelectedInstOperands,
     /*  887937 */     // GIR_Coverage, 61174,
     /*  887937 */     GIR_EraseRootFromParent_Done,
     /*  887938 */   // Label 13553: @887938
     /*  887938 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(888013), // Rule ID 61177 //
     /*  887943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  887954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  887957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  887960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887989 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  887992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888011 */     GIR_RootConstrainSelectedInstOperands,
     /*  888012 */     // GIR_Coverage, 61177,
     /*  888012 */     GIR_EraseRootFromParent_Done,
     /*  888013 */   // Label 13554: @888013
     /*  888013 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(888088), // Rule ID 61178 //
     /*  888018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  888029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  888032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  888035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888086 */     GIR_RootConstrainSelectedInstOperands,
     /*  888087 */     // GIR_Coverage, 61178,
     /*  888087 */     GIR_EraseRootFromParent_Done,
     /*  888088 */   // Label 13555: @888088
     /*  888088 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(888163), // Rule ID 61181 //
     /*  888093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888161 */     GIR_RootConstrainSelectedInstOperands,
     /*  888162 */     // GIR_Coverage, 61181,
     /*  888162 */     GIR_EraseRootFromParent_Done,
     /*  888163 */   // Label 13556: @888163
     /*  888163 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(888238), // Rule ID 61182 //
     /*  888168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888214 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888236 */     GIR_RootConstrainSelectedInstOperands,
     /*  888237 */     // GIR_Coverage, 61182,
     /*  888237 */     GIR_EraseRootFromParent_Done,
     /*  888238 */   // Label 13557: @888238
     /*  888238 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(888313), // Rule ID 61185 //
     /*  888243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888311 */     GIR_RootConstrainSelectedInstOperands,
     /*  888312 */     // GIR_Coverage, 61185,
     /*  888312 */     GIR_EraseRootFromParent_Done,
     /*  888313 */   // Label 13558: @888313
     /*  888313 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(888388), // Rule ID 61186 //
     /*  888318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888386 */     GIR_RootConstrainSelectedInstOperands,
     /*  888387 */     // GIR_Coverage, 61186,
     /*  888387 */     GIR_EraseRootFromParent_Done,
     /*  888388 */   // Label 13559: @888388
     /*  888388 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(888463), // Rule ID 61189 //
     /*  888393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888439 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888461 */     GIR_RootConstrainSelectedInstOperands,
     /*  888462 */     // GIR_Coverage, 61189,
     /*  888462 */     GIR_EraseRootFromParent_Done,
     /*  888463 */   // Label 13560: @888463
     /*  888463 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(888538), // Rule ID 61190 //
     /*  888468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888536 */     GIR_RootConstrainSelectedInstOperands,
     /*  888537 */     // GIR_Coverage, 61190,
     /*  888537 */     GIR_EraseRootFromParent_Done,
     /*  888538 */   // Label 13561: @888538
     /*  888538 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(888613), // Rule ID 61193 //
     /*  888543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  888554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  888557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  888560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888611 */     GIR_RootConstrainSelectedInstOperands,
     /*  888612 */     // GIR_Coverage, 61193,
     /*  888612 */     GIR_EraseRootFromParent_Done,
     /*  888613 */   // Label 13562: @888613
     /*  888613 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(888688), // Rule ID 61194 //
     /*  888618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  888629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  888632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  888635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888686 */     GIR_RootConstrainSelectedInstOperands,
     /*  888687 */     // GIR_Coverage, 61194,
     /*  888687 */     GIR_EraseRootFromParent_Done,
     /*  888688 */   // Label 13563: @888688
     /*  888688 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888763), // Rule ID 61197 //
     /*  888693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  888704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  888707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  888710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888761 */     GIR_RootConstrainSelectedInstOperands,
     /*  888762 */     // GIR_Coverage, 61197,
     /*  888762 */     GIR_EraseRootFromParent_Done,
     /*  888763 */   // Label 13564: @888763
     /*  888763 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888838), // Rule ID 61198 //
     /*  888768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  888779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  888782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  888785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888836 */     GIR_RootConstrainSelectedInstOperands,
     /*  888837 */     // GIR_Coverage, 61198,
     /*  888837 */     GIR_EraseRootFromParent_Done,
     /*  888838 */   // Label 13565: @888838
     /*  888838 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(888913), // Rule ID 61201 //
     /*  888843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  888854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  888857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  888860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888911 */     GIR_RootConstrainSelectedInstOperands,
     /*  888912 */     // GIR_Coverage, 61201,
     /*  888912 */     GIR_EraseRootFromParent_Done,
     /*  888913 */   // Label 13566: @888913
     /*  888913 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(888988), // Rule ID 61202 //
     /*  888918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  888929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  888932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  888935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888986 */     GIR_RootConstrainSelectedInstOperands,
     /*  888987 */     // GIR_Coverage, 61202,
     /*  888987 */     GIR_EraseRootFromParent_Done,
     /*  888988 */   // Label 13567: @888988
     /*  888988 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(889063), // Rule ID 61205 //
     /*  888993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889061 */     GIR_RootConstrainSelectedInstOperands,
     /*  889062 */     // GIR_Coverage, 61205,
     /*  889062 */     GIR_EraseRootFromParent_Done,
     /*  889063 */   // Label 13568: @889063
     /*  889063 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(889138), // Rule ID 61206 //
     /*  889068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889136 */     GIR_RootConstrainSelectedInstOperands,
     /*  889137 */     // GIR_Coverage, 61206,
     /*  889137 */     GIR_EraseRootFromParent_Done,
     /*  889138 */   // Label 13569: @889138
     /*  889138 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(889213), // Rule ID 61209 //
     /*  889143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889211 */     GIR_RootConstrainSelectedInstOperands,
     /*  889212 */     // GIR_Coverage, 61209,
     /*  889212 */     GIR_EraseRootFromParent_Done,
     /*  889213 */   // Label 13570: @889213
     /*  889213 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(889288), // Rule ID 61210 //
     /*  889218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889264 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889286 */     GIR_RootConstrainSelectedInstOperands,
     /*  889287 */     // GIR_Coverage, 61210,
     /*  889287 */     GIR_EraseRootFromParent_Done,
     /*  889288 */   // Label 13571: @889288
     /*  889288 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(889363), // Rule ID 61213 //
     /*  889293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889361 */     GIR_RootConstrainSelectedInstOperands,
     /*  889362 */     // GIR_Coverage, 61213,
     /*  889362 */     GIR_EraseRootFromParent_Done,
     /*  889363 */   // Label 13572: @889363
     /*  889363 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(889438), // Rule ID 61214 //
     /*  889368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889436 */     GIR_RootConstrainSelectedInstOperands,
     /*  889437 */     // GIR_Coverage, 61214,
     /*  889437 */     GIR_EraseRootFromParent_Done,
     /*  889438 */   // Label 13573: @889438
     /*  889438 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(889513), // Rule ID 61217 //
     /*  889443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889489 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889511 */     GIR_RootConstrainSelectedInstOperands,
     /*  889512 */     // GIR_Coverage, 61217,
     /*  889512 */     GIR_EraseRootFromParent_Done,
     /*  889513 */   // Label 13574: @889513
     /*  889513 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(889588), // Rule ID 61218 //
     /*  889518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889564 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889586 */     GIR_RootConstrainSelectedInstOperands,
     /*  889587 */     // GIR_Coverage, 61218,
     /*  889587 */     GIR_EraseRootFromParent_Done,
     /*  889588 */   // Label 13575: @889588
     /*  889588 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(889663), // Rule ID 61221 //
     /*  889593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  889604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  889607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  889610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889661 */     GIR_RootConstrainSelectedInstOperands,
     /*  889662 */     // GIR_Coverage, 61221,
     /*  889662 */     GIR_EraseRootFromParent_Done,
     /*  889663 */   // Label 13576: @889663
     /*  889663 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889738), // Rule ID 61222 //
     /*  889668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  889679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  889682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  889685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889736 */     GIR_RootConstrainSelectedInstOperands,
     /*  889737 */     // GIR_Coverage, 61222,
     /*  889737 */     GIR_EraseRootFromParent_Done,
     /*  889738 */   // Label 13577: @889738
     /*  889738 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889813), // Rule ID 61225 //
     /*  889743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  889754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  889757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  889760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889811 */     GIR_RootConstrainSelectedInstOperands,
     /*  889812 */     // GIR_Coverage, 61225,
     /*  889812 */     GIR_EraseRootFromParent_Done,
     /*  889813 */   // Label 13578: @889813
     /*  889813 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889888), // Rule ID 61226 //
     /*  889818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  889829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  889832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  889835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889864 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889886 */     GIR_RootConstrainSelectedInstOperands,
     /*  889887 */     // GIR_Coverage, 61226,
     /*  889887 */     GIR_EraseRootFromParent_Done,
     /*  889888 */   // Label 13579: @889888
     /*  889888 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(889963), // Rule ID 61229 //
     /*  889893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  889904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  889907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  889910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889961 */     GIR_RootConstrainSelectedInstOperands,
     /*  889962 */     // GIR_Coverage, 61229,
     /*  889962 */     GIR_EraseRootFromParent_Done,
     /*  889963 */   // Label 13580: @889963
     /*  889963 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(890038), // Rule ID 61230 //
     /*  889968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  889979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  889982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  889985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890036 */     GIR_RootConstrainSelectedInstOperands,
     /*  890037 */     // GIR_Coverage, 61230,
     /*  890037 */     GIR_EraseRootFromParent_Done,
     /*  890038 */   // Label 13581: @890038
     /*  890038 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(890113), // Rule ID 61233 //
     /*  890043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890111 */     GIR_RootConstrainSelectedInstOperands,
     /*  890112 */     // GIR_Coverage, 61233,
     /*  890112 */     GIR_EraseRootFromParent_Done,
     /*  890113 */   // Label 13582: @890113
     /*  890113 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(890188), // Rule ID 61234 //
     /*  890118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890186 */     GIR_RootConstrainSelectedInstOperands,
     /*  890187 */     // GIR_Coverage, 61234,
     /*  890187 */     GIR_EraseRootFromParent_Done,
     /*  890188 */   // Label 13583: @890188
     /*  890188 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(890263), // Rule ID 61237 //
     /*  890193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890261 */     GIR_RootConstrainSelectedInstOperands,
     /*  890262 */     // GIR_Coverage, 61237,
     /*  890262 */     GIR_EraseRootFromParent_Done,
     /*  890263 */   // Label 13584: @890263
     /*  890263 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(890338), // Rule ID 61238 //
     /*  890268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890336 */     GIR_RootConstrainSelectedInstOperands,
     /*  890337 */     // GIR_Coverage, 61238,
     /*  890337 */     GIR_EraseRootFromParent_Done,
     /*  890338 */   // Label 13585: @890338
     /*  890338 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(890413), // Rule ID 61241 //
     /*  890343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890411 */     GIR_RootConstrainSelectedInstOperands,
     /*  890412 */     // GIR_Coverage, 61241,
     /*  890412 */     GIR_EraseRootFromParent_Done,
     /*  890413 */   // Label 13586: @890413
     /*  890413 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(890488), // Rule ID 61242 //
     /*  890418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890486 */     GIR_RootConstrainSelectedInstOperands,
     /*  890487 */     // GIR_Coverage, 61242,
     /*  890487 */     GIR_EraseRootFromParent_Done,
     /*  890488 */   // Label 13587: @890488
     /*  890488 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(890563), // Rule ID 61245 //
     /*  890493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890561 */     GIR_RootConstrainSelectedInstOperands,
     /*  890562 */     // GIR_Coverage, 61245,
     /*  890562 */     GIR_EraseRootFromParent_Done,
     /*  890563 */   // Label 13588: @890563
     /*  890563 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(890638), // Rule ID 61246 //
     /*  890568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890636 */     GIR_RootConstrainSelectedInstOperands,
     /*  890637 */     // GIR_Coverage, 61246,
     /*  890637 */     GIR_EraseRootFromParent_Done,
     /*  890638 */   // Label 13589: @890638
     /*  890638 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890713), // Rule ID 61249 //
     /*  890643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  890654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  890657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  890660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890711 */     GIR_RootConstrainSelectedInstOperands,
     /*  890712 */     // GIR_Coverage, 61249,
     /*  890712 */     GIR_EraseRootFromParent_Done,
     /*  890713 */   // Label 13590: @890713
     /*  890713 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890788), // Rule ID 61250 //
     /*  890718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  890729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  890732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  890735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890786 */     GIR_RootConstrainSelectedInstOperands,
     /*  890787 */     // GIR_Coverage, 61250,
     /*  890787 */     GIR_EraseRootFromParent_Done,
     /*  890788 */   // Label 13591: @890788
     /*  890788 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890863), // Rule ID 61253 //
     /*  890793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  890804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  890807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  890810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890861 */     GIR_RootConstrainSelectedInstOperands,
     /*  890862 */     // GIR_Coverage, 61253,
     /*  890862 */     GIR_EraseRootFromParent_Done,
     /*  890863 */   // Label 13592: @890863
     /*  890863 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(890938), // Rule ID 61254 //
     /*  890868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  890879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  890882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  890885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890936 */     GIR_RootConstrainSelectedInstOperands,
     /*  890937 */     // GIR_Coverage, 61254,
     /*  890937 */     GIR_EraseRootFromParent_Done,
     /*  890938 */   // Label 13593: @890938
     /*  890938 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(891013), // Rule ID 61433 //
     /*  890943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  890954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  890957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  890960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  890963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890989 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  890992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891011 */     GIR_RootConstrainSelectedInstOperands,
     /*  891012 */     // GIR_Coverage, 61433,
     /*  891012 */     GIR_EraseRootFromParent_Done,
     /*  891013 */   // Label 13594: @891013
     /*  891013 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(891088), // Rule ID 61434 //
     /*  891018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  891029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  891032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  891035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  891038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891064 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  891067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891086 */     GIR_RootConstrainSelectedInstOperands,
     /*  891087 */     // GIR_Coverage, 61434,
     /*  891087 */     GIR_EraseRootFromParent_Done,
     /*  891088 */   // Label 13595: @891088
     /*  891088 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(891163), // Rule ID 61437 //
     /*  891093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891161 */     GIR_RootConstrainSelectedInstOperands,
     /*  891162 */     // GIR_Coverage, 61437,
     /*  891162 */     GIR_EraseRootFromParent_Done,
     /*  891163 */   // Label 13596: @891163
     /*  891163 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(891238), // Rule ID 61438 //
     /*  891168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891236 */     GIR_RootConstrainSelectedInstOperands,
     /*  891237 */     // GIR_Coverage, 61438,
     /*  891237 */     GIR_EraseRootFromParent_Done,
     /*  891238 */   // Label 13597: @891238
     /*  891238 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(891313), // Rule ID 61441 //
     /*  891243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891289 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891311 */     GIR_RootConstrainSelectedInstOperands,
     /*  891312 */     // GIR_Coverage, 61441,
     /*  891312 */     GIR_EraseRootFromParent_Done,
     /*  891313 */   // Label 13598: @891313
     /*  891313 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(891388), // Rule ID 61442 //
     /*  891318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891386 */     GIR_RootConstrainSelectedInstOperands,
     /*  891387 */     // GIR_Coverage, 61442,
     /*  891387 */     GIR_EraseRootFromParent_Done,
     /*  891388 */   // Label 13599: @891388
     /*  891388 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(891463), // Rule ID 61445 //
     /*  891393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891461 */     GIR_RootConstrainSelectedInstOperands,
     /*  891462 */     // GIR_Coverage, 61445,
     /*  891462 */     GIR_EraseRootFromParent_Done,
     /*  891463 */   // Label 13600: @891463
     /*  891463 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(891538), // Rule ID 61446 //
     /*  891468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891536 */     GIR_RootConstrainSelectedInstOperands,
     /*  891537 */     // GIR_Coverage, 61446,
     /*  891537 */     GIR_EraseRootFromParent_Done,
     /*  891538 */   // Label 13601: @891538
     /*  891538 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(891613), // Rule ID 61449 //
     /*  891543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  891554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  891557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  891563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891589 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891611 */     GIR_RootConstrainSelectedInstOperands,
     /*  891612 */     // GIR_Coverage, 61449,
     /*  891612 */     GIR_EraseRootFromParent_Done,
     /*  891613 */   // Label 13602: @891613
     /*  891613 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(891688), // Rule ID 61450 //
     /*  891618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  891629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  891632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  891638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891686 */     GIR_RootConstrainSelectedInstOperands,
     /*  891687 */     // GIR_Coverage, 61450,
     /*  891687 */     GIR_EraseRootFromParent_Done,
     /*  891688 */   // Label 13603: @891688
     /*  891688 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891763), // Rule ID 61453 //
     /*  891693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  891704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  891707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  891710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  891713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891761 */     GIR_RootConstrainSelectedInstOperands,
     /*  891762 */     // GIR_Coverage, 61453,
     /*  891762 */     GIR_EraseRootFromParent_Done,
     /*  891763 */   // Label 13604: @891763
     /*  891763 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891838), // Rule ID 61454 //
     /*  891768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  891779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  891782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  891785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  891788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891836 */     GIR_RootConstrainSelectedInstOperands,
     /*  891837 */     // GIR_Coverage, 61454,
     /*  891837 */     GIR_EraseRootFromParent_Done,
     /*  891838 */   // Label 13605: @891838
     /*  891838 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(891913), // Rule ID 61457 //
     /*  891843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  891854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  891857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  891860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  891863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891911 */     GIR_RootConstrainSelectedInstOperands,
     /*  891912 */     // GIR_Coverage, 61457,
     /*  891912 */     GIR_EraseRootFromParent_Done,
     /*  891913 */   // Label 13606: @891913
     /*  891913 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(891988), // Rule ID 61458 //
     /*  891918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  891929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  891932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  891935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  891938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891986 */     GIR_RootConstrainSelectedInstOperands,
     /*  891987 */     // GIR_Coverage, 61458,
     /*  891987 */     GIR_EraseRootFromParent_Done,
     /*  891988 */   // Label 13607: @891988
     /*  891988 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(892063), // Rule ID 61461 //
     /*  891993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892061 */     GIR_RootConstrainSelectedInstOperands,
     /*  892062 */     // GIR_Coverage, 61461,
     /*  892062 */     GIR_EraseRootFromParent_Done,
     /*  892063 */   // Label 13608: @892063
     /*  892063 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(892138), // Rule ID 61462 //
     /*  892068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892136 */     GIR_RootConstrainSelectedInstOperands,
     /*  892137 */     // GIR_Coverage, 61462,
     /*  892137 */     GIR_EraseRootFromParent_Done,
     /*  892138 */   // Label 13609: @892138
     /*  892138 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(892213), // Rule ID 61465 //
     /*  892143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892211 */     GIR_RootConstrainSelectedInstOperands,
     /*  892212 */     // GIR_Coverage, 61465,
     /*  892212 */     GIR_EraseRootFromParent_Done,
     /*  892213 */   // Label 13610: @892213
     /*  892213 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(892288), // Rule ID 61466 //
     /*  892218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892286 */     GIR_RootConstrainSelectedInstOperands,
     /*  892287 */     // GIR_Coverage, 61466,
     /*  892287 */     GIR_EraseRootFromParent_Done,
     /*  892288 */   // Label 13611: @892288
     /*  892288 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(892363), // Rule ID 61469 //
     /*  892293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892361 */     GIR_RootConstrainSelectedInstOperands,
     /*  892362 */     // GIR_Coverage, 61469,
     /*  892362 */     GIR_EraseRootFromParent_Done,
     /*  892363 */   // Label 13612: @892363
     /*  892363 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(892438), // Rule ID 61470 //
     /*  892368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892436 */     GIR_RootConstrainSelectedInstOperands,
     /*  892437 */     // GIR_Coverage, 61470,
     /*  892437 */     GIR_EraseRootFromParent_Done,
     /*  892438 */   // Label 13613: @892438
     /*  892438 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(892513), // Rule ID 61473 //
     /*  892443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892489 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892511 */     GIR_RootConstrainSelectedInstOperands,
     /*  892512 */     // GIR_Coverage, 61473,
     /*  892512 */     GIR_EraseRootFromParent_Done,
     /*  892513 */   // Label 13614: @892513
     /*  892513 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(892588), // Rule ID 61474 //
     /*  892518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892564 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892586 */     GIR_RootConstrainSelectedInstOperands,
     /*  892587 */     // GIR_Coverage, 61474,
     /*  892587 */     GIR_EraseRootFromParent_Done,
     /*  892588 */   // Label 13615: @892588
     /*  892588 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(892663), // Rule ID 61477 //
     /*  892593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  892604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  892607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  892610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  892613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892661 */     GIR_RootConstrainSelectedInstOperands,
     /*  892662 */     // GIR_Coverage, 61477,
     /*  892662 */     GIR_EraseRootFromParent_Done,
     /*  892663 */   // Label 13616: @892663
     /*  892663 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892738), // Rule ID 61478 //
     /*  892668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  892679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  892682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  892685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  892688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892736 */     GIR_RootConstrainSelectedInstOperands,
     /*  892737 */     // GIR_Coverage, 61478,
     /*  892737 */     GIR_EraseRootFromParent_Done,
     /*  892738 */   // Label 13617: @892738
     /*  892738 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892813), // Rule ID 61481 //
     /*  892743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  892754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  892757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  892760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  892763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892789 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892811 */     GIR_RootConstrainSelectedInstOperands,
     /*  892812 */     // GIR_Coverage, 61481,
     /*  892812 */     GIR_EraseRootFromParent_Done,
     /*  892813 */   // Label 13618: @892813
     /*  892813 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892888), // Rule ID 61482 //
     /*  892818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  892829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  892832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  892835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  892838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892864 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892886 */     GIR_RootConstrainSelectedInstOperands,
     /*  892887 */     // GIR_Coverage, 61482,
     /*  892887 */     GIR_EraseRootFromParent_Done,
     /*  892888 */   // Label 13619: @892888
     /*  892888 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(892963), // Rule ID 61485 //
     /*  892893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  892904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  892907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  892910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  892913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892961 */     GIR_RootConstrainSelectedInstOperands,
     /*  892962 */     // GIR_Coverage, 61485,
     /*  892962 */     GIR_EraseRootFromParent_Done,
     /*  892963 */   // Label 13620: @892963
     /*  892963 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(893038), // Rule ID 61486 //
     /*  892968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  892979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  892982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  892985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  892988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893036 */     GIR_RootConstrainSelectedInstOperands,
     /*  893037 */     // GIR_Coverage, 61486,
     /*  893037 */     GIR_EraseRootFromParent_Done,
     /*  893038 */   // Label 13621: @893038
     /*  893038 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(893113), // Rule ID 61489 //
     /*  893043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893111 */     GIR_RootConstrainSelectedInstOperands,
     /*  893112 */     // GIR_Coverage, 61489,
     /*  893112 */     GIR_EraseRootFromParent_Done,
     /*  893113 */   // Label 13622: @893113
     /*  893113 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(893188), // Rule ID 61490 //
     /*  893118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893186 */     GIR_RootConstrainSelectedInstOperands,
     /*  893187 */     // GIR_Coverage, 61490,
     /*  893187 */     GIR_EraseRootFromParent_Done,
     /*  893188 */   // Label 13623: @893188
     /*  893188 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(893263), // Rule ID 61493 //
     /*  893193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893239 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893261 */     GIR_RootConstrainSelectedInstOperands,
     /*  893262 */     // GIR_Coverage, 61493,
     /*  893262 */     GIR_EraseRootFromParent_Done,
     /*  893263 */   // Label 13624: @893263
     /*  893263 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(893338), // Rule ID 61494 //
     /*  893268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893336 */     GIR_RootConstrainSelectedInstOperands,
     /*  893337 */     // GIR_Coverage, 61494,
     /*  893337 */     GIR_EraseRootFromParent_Done,
     /*  893338 */   // Label 13625: @893338
     /*  893338 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(893413), // Rule ID 61497 //
     /*  893343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893389 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893411 */     GIR_RootConstrainSelectedInstOperands,
     /*  893412 */     // GIR_Coverage, 61497,
     /*  893412 */     GIR_EraseRootFromParent_Done,
     /*  893413 */   // Label 13626: @893413
     /*  893413 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(893488), // Rule ID 61498 //
     /*  893418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893486 */     GIR_RootConstrainSelectedInstOperands,
     /*  893487 */     // GIR_Coverage, 61498,
     /*  893487 */     GIR_EraseRootFromParent_Done,
     /*  893488 */   // Label 13627: @893488
     /*  893488 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(893563), // Rule ID 61501 //
     /*  893493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893561 */     GIR_RootConstrainSelectedInstOperands,
     /*  893562 */     // GIR_Coverage, 61501,
     /*  893562 */     GIR_EraseRootFromParent_Done,
     /*  893563 */   // Label 13628: @893563
     /*  893563 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(893638), // Rule ID 61502 //
     /*  893568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893636 */     GIR_RootConstrainSelectedInstOperands,
     /*  893637 */     // GIR_Coverage, 61502,
     /*  893637 */     GIR_EraseRootFromParent_Done,
     /*  893638 */   // Label 13629: @893638
     /*  893638 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893713), // Rule ID 61505 //
     /*  893643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  893654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  893657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  893660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  893663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893689 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893711 */     GIR_RootConstrainSelectedInstOperands,
     /*  893712 */     // GIR_Coverage, 61505,
     /*  893712 */     GIR_EraseRootFromParent_Done,
     /*  893713 */   // Label 13630: @893713
     /*  893713 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893788), // Rule ID 61506 //
     /*  893718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  893729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  893732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  893735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  893738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893786 */     GIR_RootConstrainSelectedInstOperands,
     /*  893787 */     // GIR_Coverage, 61506,
     /*  893787 */     GIR_EraseRootFromParent_Done,
     /*  893788 */   // Label 13631: @893788
     /*  893788 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893863), // Rule ID 61509 //
     /*  893793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  893804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  893807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  893810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  893813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  893839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893861 */     GIR_RootConstrainSelectedInstOperands,
     /*  893862 */     // GIR_Coverage, 61509,
     /*  893862 */     GIR_EraseRootFromParent_Done,
     /*  893863 */   // Label 13632: @893863
     /*  893863 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(893938), // Rule ID 61510 //
     /*  893868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  893879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  893882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  893885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  893888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  893914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893936 */     GIR_RootConstrainSelectedInstOperands,
     /*  893937 */     // GIR_Coverage, 61510,
     /*  893937 */     GIR_EraseRootFromParent_Done,
     /*  893938 */   // Label 13633: @893938
     /*  893938 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(894013), // Rule ID 61513 //
     /*  893943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  893954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  893957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  893960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  893963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  893989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894011 */     GIR_RootConstrainSelectedInstOperands,
     /*  894012 */     // GIR_Coverage, 61513,
     /*  894012 */     GIR_EraseRootFromParent_Done,
     /*  894013 */   // Label 13634: @894013
     /*  894013 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(894088), // Rule ID 61514 //
     /*  894018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  894029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  894032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  894035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  894038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894086 */     GIR_RootConstrainSelectedInstOperands,
     /*  894087 */     // GIR_Coverage, 61514,
     /*  894087 */     GIR_EraseRootFromParent_Done,
     /*  894088 */   // Label 13635: @894088
     /*  894088 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(894163), // Rule ID 61517 //
     /*  894093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894139 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894161 */     GIR_RootConstrainSelectedInstOperands,
     /*  894162 */     // GIR_Coverage, 61517,
     /*  894162 */     GIR_EraseRootFromParent_Done,
     /*  894163 */   // Label 13636: @894163
     /*  894163 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(894238), // Rule ID 61518 //
     /*  894168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894236 */     GIR_RootConstrainSelectedInstOperands,
     /*  894237 */     // GIR_Coverage, 61518,
     /*  894237 */     GIR_EraseRootFromParent_Done,
     /*  894238 */   // Label 13637: @894238
     /*  894238 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(894313), // Rule ID 61521 //
     /*  894243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894289 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894311 */     GIR_RootConstrainSelectedInstOperands,
     /*  894312 */     // GIR_Coverage, 61521,
     /*  894312 */     GIR_EraseRootFromParent_Done,
     /*  894313 */   // Label 13638: @894313
     /*  894313 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(894388), // Rule ID 61522 //
     /*  894318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894386 */     GIR_RootConstrainSelectedInstOperands,
     /*  894387 */     // GIR_Coverage, 61522,
     /*  894387 */     GIR_EraseRootFromParent_Done,
     /*  894388 */   // Label 13639: @894388
     /*  894388 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(894463), // Rule ID 61525 //
     /*  894393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894439 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894461 */     GIR_RootConstrainSelectedInstOperands,
     /*  894462 */     // GIR_Coverage, 61525,
     /*  894462 */     GIR_EraseRootFromParent_Done,
     /*  894463 */   // Label 13640: @894463
     /*  894463 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(894538), // Rule ID 61526 //
     /*  894468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894514 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894536 */     GIR_RootConstrainSelectedInstOperands,
     /*  894537 */     // GIR_Coverage, 61526,
     /*  894537 */     GIR_EraseRootFromParent_Done,
     /*  894538 */   // Label 13641: @894538
     /*  894538 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(894613), // Rule ID 61529 //
     /*  894543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  894554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  894557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  894560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894611 */     GIR_RootConstrainSelectedInstOperands,
     /*  894612 */     // GIR_Coverage, 61529,
     /*  894612 */     GIR_EraseRootFromParent_Done,
     /*  894613 */   // Label 13642: @894613
     /*  894613 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(894688), // Rule ID 61530 //
     /*  894618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  894629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  894632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  894635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894664 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894686 */     GIR_RootConstrainSelectedInstOperands,
     /*  894687 */     // GIR_Coverage, 61530,
     /*  894687 */     GIR_EraseRootFromParent_Done,
     /*  894688 */   // Label 13643: @894688
     /*  894688 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894763), // Rule ID 61533 //
     /*  894693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  894704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  894707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  894710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894761 */     GIR_RootConstrainSelectedInstOperands,
     /*  894762 */     // GIR_Coverage, 61533,
     /*  894762 */     GIR_EraseRootFromParent_Done,
     /*  894763 */   // Label 13644: @894763
     /*  894763 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894838), // Rule ID 61534 //
     /*  894768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  894779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  894782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  894785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894836 */     GIR_RootConstrainSelectedInstOperands,
     /*  894837 */     // GIR_Coverage, 61534,
     /*  894837 */     GIR_EraseRootFromParent_Done,
     /*  894838 */   // Label 13645: @894838
     /*  894838 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(894913), // Rule ID 61537 //
     /*  894843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  894854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  894857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  894860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894911 */     GIR_RootConstrainSelectedInstOperands,
     /*  894912 */     // GIR_Coverage, 61537,
     /*  894912 */     GIR_EraseRootFromParent_Done,
     /*  894913 */   // Label 13646: @894913
     /*  894913 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(894988), // Rule ID 61538 //
     /*  894918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  894929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  894932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  894935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894964 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894986 */     GIR_RootConstrainSelectedInstOperands,
     /*  894987 */     // GIR_Coverage, 61538,
     /*  894987 */     GIR_EraseRootFromParent_Done,
     /*  894988 */   // Label 13647: @894988
     /*  894988 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(895063), // Rule ID 61541 //
     /*  894993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895061 */     GIR_RootConstrainSelectedInstOperands,
     /*  895062 */     // GIR_Coverage, 61541,
     /*  895062 */     GIR_EraseRootFromParent_Done,
     /*  895063 */   // Label 13648: @895063
     /*  895063 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(895138), // Rule ID 61542 //
     /*  895068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895136 */     GIR_RootConstrainSelectedInstOperands,
     /*  895137 */     // GIR_Coverage, 61542,
     /*  895137 */     GIR_EraseRootFromParent_Done,
     /*  895138 */   // Label 13649: @895138
     /*  895138 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(895213), // Rule ID 61545 //
     /*  895143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895211 */     GIR_RootConstrainSelectedInstOperands,
     /*  895212 */     // GIR_Coverage, 61545,
     /*  895212 */     GIR_EraseRootFromParent_Done,
     /*  895213 */   // Label 13650: @895213
     /*  895213 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(895288), // Rule ID 61546 //
     /*  895218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895286 */     GIR_RootConstrainSelectedInstOperands,
     /*  895287 */     // GIR_Coverage, 61546,
     /*  895287 */     GIR_EraseRootFromParent_Done,
     /*  895288 */   // Label 13651: @895288
     /*  895288 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(895363), // Rule ID 61549 //
     /*  895293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895361 */     GIR_RootConstrainSelectedInstOperands,
     /*  895362 */     // GIR_Coverage, 61549,
     /*  895362 */     GIR_EraseRootFromParent_Done,
     /*  895363 */   // Label 13652: @895363
     /*  895363 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(895438), // Rule ID 61550 //
     /*  895368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895436 */     GIR_RootConstrainSelectedInstOperands,
     /*  895437 */     // GIR_Coverage, 61550,
     /*  895437 */     GIR_EraseRootFromParent_Done,
     /*  895438 */   // Label 13653: @895438
     /*  895438 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(895513), // Rule ID 61553 //
     /*  895443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895511 */     GIR_RootConstrainSelectedInstOperands,
     /*  895512 */     // GIR_Coverage, 61553,
     /*  895512 */     GIR_EraseRootFromParent_Done,
     /*  895513 */   // Label 13654: @895513
     /*  895513 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(895588), // Rule ID 61554 //
     /*  895518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895586 */     GIR_RootConstrainSelectedInstOperands,
     /*  895587 */     // GIR_Coverage, 61554,
     /*  895587 */     GIR_EraseRootFromParent_Done,
     /*  895588 */   // Label 13655: @895588
     /*  895588 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(895663), // Rule ID 61557 //
     /*  895593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895661 */     GIR_RootConstrainSelectedInstOperands,
     /*  895662 */     // GIR_Coverage, 61557,
     /*  895662 */     GIR_EraseRootFromParent_Done,
     /*  895663 */   // Label 13656: @895663
     /*  895663 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895738), // Rule ID 61558 //
     /*  895668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895736 */     GIR_RootConstrainSelectedInstOperands,
     /*  895737 */     // GIR_Coverage, 61558,
     /*  895737 */     GIR_EraseRootFromParent_Done,
     /*  895738 */   // Label 13657: @895738
     /*  895738 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895813), // Rule ID 61561 //
     /*  895743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  895754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  895757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  895760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895811 */     GIR_RootConstrainSelectedInstOperands,
     /*  895812 */     // GIR_Coverage, 61561,
     /*  895812 */     GIR_EraseRootFromParent_Done,
     /*  895813 */   // Label 13658: @895813
     /*  895813 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895888), // Rule ID 61562 //
     /*  895818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  895829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  895832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  895835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895886 */     GIR_RootConstrainSelectedInstOperands,
     /*  895887 */     // GIR_Coverage, 61562,
     /*  895887 */     GIR_EraseRootFromParent_Done,
     /*  895888 */   // Label 13659: @895888
     /*  895888 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(895963), // Rule ID 61565 //
     /*  895893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  895904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  895907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  895910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  895942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895961 */     GIR_RootConstrainSelectedInstOperands,
     /*  895962 */     // GIR_Coverage, 61565,
     /*  895962 */     GIR_EraseRootFromParent_Done,
     /*  895963 */   // Label 13660: @895963
     /*  895963 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(896038), // Rule ID 61566 //
     /*  895968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  895979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  895982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  895985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896014 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896036 */     GIR_RootConstrainSelectedInstOperands,
     /*  896037 */     // GIR_Coverage, 61566,
     /*  896037 */     GIR_EraseRootFromParent_Done,
     /*  896038 */   // Label 13661: @896038
     /*  896038 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(896113), // Rule ID 61569 //
     /*  896043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896089 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896111 */     GIR_RootConstrainSelectedInstOperands,
     /*  896112 */     // GIR_Coverage, 61569,
     /*  896112 */     GIR_EraseRootFromParent_Done,
     /*  896113 */   // Label 13662: @896113
     /*  896113 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(896188), // Rule ID 61570 //
     /*  896118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896186 */     GIR_RootConstrainSelectedInstOperands,
     /*  896187 */     // GIR_Coverage, 61570,
     /*  896187 */     GIR_EraseRootFromParent_Done,
     /*  896188 */   // Label 13663: @896188
     /*  896188 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(896263), // Rule ID 61573 //
     /*  896193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896261 */     GIR_RootConstrainSelectedInstOperands,
     /*  896262 */     // GIR_Coverage, 61573,
     /*  896262 */     GIR_EraseRootFromParent_Done,
     /*  896263 */   // Label 13664: @896263
     /*  896263 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(896338), // Rule ID 61574 //
     /*  896268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896314 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896336 */     GIR_RootConstrainSelectedInstOperands,
     /*  896337 */     // GIR_Coverage, 61574,
     /*  896337 */     GIR_EraseRootFromParent_Done,
     /*  896338 */   // Label 13665: @896338
     /*  896338 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(896413), // Rule ID 61577 //
     /*  896343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896389 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896411 */     GIR_RootConstrainSelectedInstOperands,
     /*  896412 */     // GIR_Coverage, 61577,
     /*  896412 */     GIR_EraseRootFromParent_Done,
     /*  896413 */   // Label 13666: @896413
     /*  896413 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(896488), // Rule ID 61578 //
     /*  896418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896486 */     GIR_RootConstrainSelectedInstOperands,
     /*  896487 */     // GIR_Coverage, 61578,
     /*  896487 */     GIR_EraseRootFromParent_Done,
     /*  896488 */   // Label 13667: @896488
     /*  896488 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(896563), // Rule ID 61581 //
     /*  896493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896561 */     GIR_RootConstrainSelectedInstOperands,
     /*  896562 */     // GIR_Coverage, 61581,
     /*  896562 */     GIR_EraseRootFromParent_Done,
     /*  896563 */   // Label 13668: @896563
     /*  896563 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(896638), // Rule ID 61582 //
     /*  896568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896636 */     GIR_RootConstrainSelectedInstOperands,
     /*  896637 */     // GIR_Coverage, 61582,
     /*  896637 */     GIR_EraseRootFromParent_Done,
     /*  896638 */   // Label 13669: @896638
     /*  896638 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896713), // Rule ID 61585 //
     /*  896643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  896654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  896657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  896660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896711 */     GIR_RootConstrainSelectedInstOperands,
     /*  896712 */     // GIR_Coverage, 61585,
     /*  896712 */     GIR_EraseRootFromParent_Done,
     /*  896713 */   // Label 13670: @896713
     /*  896713 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896788), // Rule ID 61586 //
     /*  896718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  896729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  896732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  896735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896786 */     GIR_RootConstrainSelectedInstOperands,
     /*  896787 */     // GIR_Coverage, 61586,
     /*  896787 */     GIR_EraseRootFromParent_Done,
     /*  896788 */   // Label 13671: @896788
     /*  896788 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896863), // Rule ID 61589 //
     /*  896793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  896804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  896807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  896810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896861 */     GIR_RootConstrainSelectedInstOperands,
     /*  896862 */     // GIR_Coverage, 61589,
     /*  896862 */     GIR_EraseRootFromParent_Done,
     /*  896863 */   // Label 13672: @896863
     /*  896863 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(896938), // Rule ID 61590 //
     /*  896868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  896879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  896882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  896885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896936 */     GIR_RootConstrainSelectedInstOperands,
     /*  896937 */     // GIR_Coverage, 61590,
     /*  896937 */     GIR_EraseRootFromParent_Done,
     /*  896938 */   // Label 13673: @896938
     /*  896938 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(897013), // Rule ID 61593 //
     /*  896943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  896954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  896957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  896960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897011 */     GIR_RootConstrainSelectedInstOperands,
     /*  897012 */     // GIR_Coverage, 61593,
     /*  897012 */     GIR_EraseRootFromParent_Done,
     /*  897013 */   // Label 13674: @897013
     /*  897013 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(897088), // Rule ID 61594 //
     /*  897018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  897029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  897032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897086 */     GIR_RootConstrainSelectedInstOperands,
     /*  897087 */     // GIR_Coverage, 61594,
     /*  897087 */     GIR_EraseRootFromParent_Done,
     /*  897088 */   // Label 13675: @897088
     /*  897088 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(897163), // Rule ID 61597 //
     /*  897093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897161 */     GIR_RootConstrainSelectedInstOperands,
     /*  897162 */     // GIR_Coverage, 61597,
     /*  897162 */     GIR_EraseRootFromParent_Done,
     /*  897163 */   // Label 13676: @897163
     /*  897163 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(897238), // Rule ID 61598 //
     /*  897168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897236 */     GIR_RootConstrainSelectedInstOperands,
     /*  897237 */     // GIR_Coverage, 61598,
     /*  897237 */     GIR_EraseRootFromParent_Done,
     /*  897238 */   // Label 13677: @897238
     /*  897238 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(897313), // Rule ID 61601 //
     /*  897243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897289 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897311 */     GIR_RootConstrainSelectedInstOperands,
     /*  897312 */     // GIR_Coverage, 61601,
     /*  897312 */     GIR_EraseRootFromParent_Done,
     /*  897313 */   // Label 13678: @897313
     /*  897313 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(897388), // Rule ID 61602 //
     /*  897318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897386 */     GIR_RootConstrainSelectedInstOperands,
     /*  897387 */     // GIR_Coverage, 61602,
     /*  897387 */     GIR_EraseRootFromParent_Done,
     /*  897388 */   // Label 13679: @897388
     /*  897388 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(897463), // Rule ID 61605 //
     /*  897393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897439 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897461 */     GIR_RootConstrainSelectedInstOperands,
     /*  897462 */     // GIR_Coverage, 61605,
     /*  897462 */     GIR_EraseRootFromParent_Done,
     /*  897463 */   // Label 13680: @897463
     /*  897463 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(897538), // Rule ID 61606 //
     /*  897468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897536 */     GIR_RootConstrainSelectedInstOperands,
     /*  897537 */     // GIR_Coverage, 61606,
     /*  897537 */     GIR_EraseRootFromParent_Done,
     /*  897538 */   // Label 13681: @897538
     /*  897538 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(897613), // Rule ID 61693 //
     /*  897543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  897554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  897557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  897560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  897563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  897592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897611 */     GIR_RootConstrainSelectedInstOperands,
     /*  897612 */     // GIR_Coverage, 61693,
     /*  897612 */     GIR_EraseRootFromParent_Done,
     /*  897613 */   // Label 13682: @897613
     /*  897613 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(897688), // Rule ID 61694 //
     /*  897618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  897629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  897632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  897635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  897638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  897667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897686 */     GIR_RootConstrainSelectedInstOperands,
     /*  897687 */     // GIR_Coverage, 61694,
     /*  897687 */     GIR_EraseRootFromParent_Done,
     /*  897688 */   // Label 13683: @897688
     /*  897688 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897763), // Rule ID 61697 //
     /*  897693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  897704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  897707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  897710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  897713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897739 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  897742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897761 */     GIR_RootConstrainSelectedInstOperands,
     /*  897762 */     // GIR_Coverage, 61697,
     /*  897762 */     GIR_EraseRootFromParent_Done,
     /*  897763 */   // Label 13684: @897763
     /*  897763 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897838), // Rule ID 61698 //
     /*  897768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  897779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  897782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  897785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  897788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  897817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897836 */     GIR_RootConstrainSelectedInstOperands,
     /*  897837 */     // GIR_Coverage, 61698,
     /*  897837 */     GIR_EraseRootFromParent_Done,
     /*  897838 */   // Label 13685: @897838
     /*  897838 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(897913), // Rule ID 61701 //
     /*  897843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  897854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  897857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  897860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  897863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897889 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  897892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897911 */     GIR_RootConstrainSelectedInstOperands,
     /*  897912 */     // GIR_Coverage, 61701,
     /*  897912 */     GIR_EraseRootFromParent_Done,
     /*  897913 */   // Label 13686: @897913
     /*  897913 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(897988), // Rule ID 61702 //
     /*  897918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  897929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  897932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  897935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  897938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897964 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  897967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897986 */     GIR_RootConstrainSelectedInstOperands,
     /*  897987 */     // GIR_Coverage, 61702,
     /*  897987 */     GIR_EraseRootFromParent_Done,
     /*  897988 */   // Label 13687: @897988
     /*  897988 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(898063), // Rule ID 61705 //
     /*  897993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  898004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  898007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  898010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  898013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898039 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898061 */     GIR_RootConstrainSelectedInstOperands,
     /*  898062 */     // GIR_Coverage, 61705,
     /*  898062 */     GIR_EraseRootFromParent_Done,
     /*  898063 */   // Label 13688: @898063
     /*  898063 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(898138), // Rule ID 61706 //
     /*  898068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  898079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  898082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  898085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  898088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898136 */     GIR_RootConstrainSelectedInstOperands,
     /*  898137 */     // GIR_Coverage, 61706,
     /*  898137 */     GIR_EraseRootFromParent_Done,
     /*  898138 */   // Label 13689: @898138
     /*  898138 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(898213), // Rule ID 61709 //
     /*  898143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898211 */     GIR_RootConstrainSelectedInstOperands,
     /*  898212 */     // GIR_Coverage, 61709,
     /*  898212 */     GIR_EraseRootFromParent_Done,
     /*  898213 */   // Label 13690: @898213
     /*  898213 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(898288), // Rule ID 61710 //
     /*  898218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898286 */     GIR_RootConstrainSelectedInstOperands,
     /*  898287 */     // GIR_Coverage, 61710,
     /*  898287 */     GIR_EraseRootFromParent_Done,
     /*  898288 */   // Label 13691: @898288
     /*  898288 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(898363), // Rule ID 61713 //
     /*  898293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898361 */     GIR_RootConstrainSelectedInstOperands,
     /*  898362 */     // GIR_Coverage, 61713,
     /*  898362 */     GIR_EraseRootFromParent_Done,
     /*  898363 */   // Label 13692: @898363
     /*  898363 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(898438), // Rule ID 61714 //
     /*  898368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898436 */     GIR_RootConstrainSelectedInstOperands,
     /*  898437 */     // GIR_Coverage, 61714,
     /*  898437 */     GIR_EraseRootFromParent_Done,
     /*  898438 */   // Label 13693: @898438
     /*  898438 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(898513), // Rule ID 61717 //
     /*  898443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898511 */     GIR_RootConstrainSelectedInstOperands,
     /*  898512 */     // GIR_Coverage, 61717,
     /*  898512 */     GIR_EraseRootFromParent_Done,
     /*  898513 */   // Label 13694: @898513
     /*  898513 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(898588), // Rule ID 61718 //
     /*  898518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898586 */     GIR_RootConstrainSelectedInstOperands,
     /*  898587 */     // GIR_Coverage, 61718,
     /*  898587 */     GIR_EraseRootFromParent_Done,
     /*  898588 */   // Label 13695: @898588
     /*  898588 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(898663), // Rule ID 61721 //
     /*  898593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  898604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  898607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  898610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  898613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898661 */     GIR_RootConstrainSelectedInstOperands,
     /*  898662 */     // GIR_Coverage, 61721,
     /*  898662 */     GIR_EraseRootFromParent_Done,
     /*  898663 */   // Label 13696: @898663
     /*  898663 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898738), // Rule ID 61722 //
     /*  898668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  898679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  898682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  898685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  898688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898736 */     GIR_RootConstrainSelectedInstOperands,
     /*  898737 */     // GIR_Coverage, 61722,
     /*  898737 */     GIR_EraseRootFromParent_Done,
     /*  898738 */   // Label 13697: @898738
     /*  898738 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898813), // Rule ID 61725 //
     /*  898743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  898754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  898757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  898760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898811 */     GIR_RootConstrainSelectedInstOperands,
     /*  898812 */     // GIR_Coverage, 61725,
     /*  898812 */     GIR_EraseRootFromParent_Done,
     /*  898813 */   // Label 13698: @898813
     /*  898813 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898888), // Rule ID 61726 //
     /*  898818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  898829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  898832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  898835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898886 */     GIR_RootConstrainSelectedInstOperands,
     /*  898887 */     // GIR_Coverage, 61726,
     /*  898887 */     GIR_EraseRootFromParent_Done,
     /*  898888 */   // Label 13699: @898888
     /*  898888 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(898963), // Rule ID 61729 //
     /*  898893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  898904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  898907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  898910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  898913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898961 */     GIR_RootConstrainSelectedInstOperands,
     /*  898962 */     // GIR_Coverage, 61729,
     /*  898962 */     GIR_EraseRootFromParent_Done,
     /*  898963 */   // Label 13700: @898963
     /*  898963 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(899038), // Rule ID 61730 //
     /*  898968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  898979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  898982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  898985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  898988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899036 */     GIR_RootConstrainSelectedInstOperands,
     /*  899037 */     // GIR_Coverage, 61730,
     /*  899037 */     GIR_EraseRootFromParent_Done,
     /*  899038 */   // Label 13701: @899038
     /*  899038 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(899113), // Rule ID 61733 //
     /*  899043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899111 */     GIR_RootConstrainSelectedInstOperands,
     /*  899112 */     // GIR_Coverage, 61733,
     /*  899112 */     GIR_EraseRootFromParent_Done,
     /*  899113 */   // Label 13702: @899113
     /*  899113 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(899188), // Rule ID 61734 //
     /*  899118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899186 */     GIR_RootConstrainSelectedInstOperands,
     /*  899187 */     // GIR_Coverage, 61734,
     /*  899187 */     GIR_EraseRootFromParent_Done,
     /*  899188 */   // Label 13703: @899188
     /*  899188 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(899263), // Rule ID 61737 //
     /*  899193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899239 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899261 */     GIR_RootConstrainSelectedInstOperands,
     /*  899262 */     // GIR_Coverage, 61737,
     /*  899262 */     GIR_EraseRootFromParent_Done,
     /*  899263 */   // Label 13704: @899263
     /*  899263 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(899338), // Rule ID 61738 //
     /*  899268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899336 */     GIR_RootConstrainSelectedInstOperands,
     /*  899337 */     // GIR_Coverage, 61738,
     /*  899337 */     GIR_EraseRootFromParent_Done,
     /*  899338 */   // Label 13705: @899338
     /*  899338 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(899413), // Rule ID 61741 //
     /*  899343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899389 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899411 */     GIR_RootConstrainSelectedInstOperands,
     /*  899412 */     // GIR_Coverage, 61741,
     /*  899412 */     GIR_EraseRootFromParent_Done,
     /*  899413 */   // Label 13706: @899413
     /*  899413 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(899488), // Rule ID 61742 //
     /*  899418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899464 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899486 */     GIR_RootConstrainSelectedInstOperands,
     /*  899487 */     // GIR_Coverage, 61742,
     /*  899487 */     GIR_EraseRootFromParent_Done,
     /*  899488 */   // Label 13707: @899488
     /*  899488 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(899563), // Rule ID 61745 //
     /*  899493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899539 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899561 */     GIR_RootConstrainSelectedInstOperands,
     /*  899562 */     // GIR_Coverage, 61745,
     /*  899562 */     GIR_EraseRootFromParent_Done,
     /*  899563 */   // Label 13708: @899563
     /*  899563 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(899638), // Rule ID 61746 //
     /*  899568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899636 */     GIR_RootConstrainSelectedInstOperands,
     /*  899637 */     // GIR_Coverage, 61746,
     /*  899637 */     GIR_EraseRootFromParent_Done,
     /*  899638 */   // Label 13709: @899638
     /*  899638 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899713), // Rule ID 61749 //
     /*  899643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  899654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  899657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  899660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  899663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899689 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899711 */     GIR_RootConstrainSelectedInstOperands,
     /*  899712 */     // GIR_Coverage, 61749,
     /*  899712 */     GIR_EraseRootFromParent_Done,
     /*  899713 */   // Label 13710: @899713
     /*  899713 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899788), // Rule ID 61750 //
     /*  899718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  899729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  899732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  899735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  899738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899786 */     GIR_RootConstrainSelectedInstOperands,
     /*  899787 */     // GIR_Coverage, 61750,
     /*  899787 */     GIR_EraseRootFromParent_Done,
     /*  899788 */   // Label 13711: @899788
     /*  899788 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899863), // Rule ID 61753 //
     /*  899793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  899804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  899807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  899810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  899813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899839 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899861 */     GIR_RootConstrainSelectedInstOperands,
     /*  899862 */     // GIR_Coverage, 61753,
     /*  899862 */     GIR_EraseRootFromParent_Done,
     /*  899863 */   // Label 13712: @899863
     /*  899863 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(899938), // Rule ID 61754 //
     /*  899868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  899879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  899882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  899885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  899888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899936 */     GIR_RootConstrainSelectedInstOperands,
     /*  899937 */     // GIR_Coverage, 61754,
     /*  899937 */     GIR_EraseRootFromParent_Done,
     /*  899938 */   // Label 13713: @899938
     /*  899938 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(900013), // Rule ID 61757 //
     /*  899943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  899954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  899957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  899960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  899963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900011 */     GIR_RootConstrainSelectedInstOperands,
     /*  900012 */     // GIR_Coverage, 61757,
     /*  900012 */     GIR_EraseRootFromParent_Done,
     /*  900013 */   // Label 13714: @900013
     /*  900013 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(900088), // Rule ID 61758 //
     /*  900018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  900029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  900032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  900035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  900038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900086 */     GIR_RootConstrainSelectedInstOperands,
     /*  900087 */     // GIR_Coverage, 61758,
     /*  900087 */     GIR_EraseRootFromParent_Done,
     /*  900088 */   // Label 13715: @900088
     /*  900088 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(900163), // Rule ID 61761 //
     /*  900093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900161 */     GIR_RootConstrainSelectedInstOperands,
     /*  900162 */     // GIR_Coverage, 61761,
     /*  900162 */     GIR_EraseRootFromParent_Done,
     /*  900163 */   // Label 13716: @900163
     /*  900163 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(900238), // Rule ID 61762 //
     /*  900168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900236 */     GIR_RootConstrainSelectedInstOperands,
     /*  900237 */     // GIR_Coverage, 61762,
     /*  900237 */     GIR_EraseRootFromParent_Done,
     /*  900238 */   // Label 13717: @900238
     /*  900238 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(900313), // Rule ID 61765 //
     /*  900243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900289 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900311 */     GIR_RootConstrainSelectedInstOperands,
     /*  900312 */     // GIR_Coverage, 61765,
     /*  900312 */     GIR_EraseRootFromParent_Done,
     /*  900313 */   // Label 13718: @900313
     /*  900313 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(900388), // Rule ID 61766 //
     /*  900318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900386 */     GIR_RootConstrainSelectedInstOperands,
     /*  900387 */     // GIR_Coverage, 61766,
     /*  900387 */     GIR_EraseRootFromParent_Done,
     /*  900388 */   // Label 13719: @900388
     /*  900388 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(900463), // Rule ID 61769 //
     /*  900393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900461 */     GIR_RootConstrainSelectedInstOperands,
     /*  900462 */     // GIR_Coverage, 61769,
     /*  900462 */     GIR_EraseRootFromParent_Done,
     /*  900463 */   // Label 13720: @900463
     /*  900463 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(900538), // Rule ID 61770 //
     /*  900468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900514 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900536 */     GIR_RootConstrainSelectedInstOperands,
     /*  900537 */     // GIR_Coverage, 61770,
     /*  900537 */     GIR_EraseRootFromParent_Done,
     /*  900538 */   // Label 13721: @900538
     /*  900538 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(900613), // Rule ID 61773 //
     /*  900543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  900560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  900563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900611 */     GIR_RootConstrainSelectedInstOperands,
     /*  900612 */     // GIR_Coverage, 61773,
     /*  900612 */     GIR_EraseRootFromParent_Done,
     /*  900613 */   // Label 13722: @900613
     /*  900613 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(900688), // Rule ID 61774 //
     /*  900618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  900635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  900638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900686 */     GIR_RootConstrainSelectedInstOperands,
     /*  900687 */     // GIR_Coverage, 61774,
     /*  900687 */     GIR_EraseRootFromParent_Done,
     /*  900688 */   // Label 13723: @900688
     /*  900688 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900763), // Rule ID 61777 //
     /*  900693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  900704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  900707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  900710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  900713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900761 */     GIR_RootConstrainSelectedInstOperands,
     /*  900762 */     // GIR_Coverage, 61777,
     /*  900762 */     GIR_EraseRootFromParent_Done,
     /*  900763 */   // Label 13724: @900763
     /*  900763 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900838), // Rule ID 61778 //
     /*  900768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  900779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  900782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  900785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  900788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900836 */     GIR_RootConstrainSelectedInstOperands,
     /*  900837 */     // GIR_Coverage, 61778,
     /*  900837 */     GIR_EraseRootFromParent_Done,
     /*  900838 */   // Label 13725: @900838
     /*  900838 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(900913), // Rule ID 61781 //
     /*  900843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  900854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  900857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900889 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  900892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900911 */     GIR_RootConstrainSelectedInstOperands,
     /*  900912 */     // GIR_Coverage, 61781,
     /*  900912 */     GIR_EraseRootFromParent_Done,
     /*  900913 */   // Label 13726: @900913
     /*  900913 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(900988), // Rule ID 61782 //
     /*  900918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  900929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  900932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  900967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900986 */     GIR_RootConstrainSelectedInstOperands,
     /*  900987 */     // GIR_Coverage, 61782,
     /*  900987 */     GIR_EraseRootFromParent_Done,
     /*  900988 */   // Label 13727: @900988
     /*  900988 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(901063), // Rule ID 61785 //
     /*  900993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  901004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  901007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901039 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901061 */     GIR_RootConstrainSelectedInstOperands,
     /*  901062 */     // GIR_Coverage, 61785,
     /*  901062 */     GIR_EraseRootFromParent_Done,
     /*  901063 */   // Label 13728: @901063
     /*  901063 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(901138), // Rule ID 61786 //
     /*  901068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  901079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  901082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901114 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901136 */     GIR_RootConstrainSelectedInstOperands,
     /*  901137 */     // GIR_Coverage, 61786,
     /*  901137 */     GIR_EraseRootFromParent_Done,
     /*  901138 */   // Label 13729: @901138
     /*  901138 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(901213), // Rule ID 61789 //
     /*  901143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901189 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901211 */     GIR_RootConstrainSelectedInstOperands,
     /*  901212 */     // GIR_Coverage, 61789,
     /*  901212 */     GIR_EraseRootFromParent_Done,
     /*  901213 */   // Label 13730: @901213
     /*  901213 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(901288), // Rule ID 61790 //
     /*  901218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901264 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901286 */     GIR_RootConstrainSelectedInstOperands,
     /*  901287 */     // GIR_Coverage, 61790,
     /*  901287 */     GIR_EraseRootFromParent_Done,
     /*  901288 */   // Label 13731: @901288
     /*  901288 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(901363), // Rule ID 61793 //
     /*  901293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901361 */     GIR_RootConstrainSelectedInstOperands,
     /*  901362 */     // GIR_Coverage, 61793,
     /*  901362 */     GIR_EraseRootFromParent_Done,
     /*  901363 */   // Label 13732: @901363
     /*  901363 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(901438), // Rule ID 61794 //
     /*  901368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901436 */     GIR_RootConstrainSelectedInstOperands,
     /*  901437 */     // GIR_Coverage, 61794,
     /*  901437 */     GIR_EraseRootFromParent_Done,
     /*  901438 */   // Label 13733: @901438
     /*  901438 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(901513), // Rule ID 61797 //
     /*  901443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901489 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901511 */     GIR_RootConstrainSelectedInstOperands,
     /*  901512 */     // GIR_Coverage, 61797,
     /*  901512 */     GIR_EraseRootFromParent_Done,
     /*  901513 */   // Label 13734: @901513
     /*  901513 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(901588), // Rule ID 61798 //
     /*  901518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901586 */     GIR_RootConstrainSelectedInstOperands,
     /*  901587 */     // GIR_Coverage, 61798,
     /*  901587 */     GIR_EraseRootFromParent_Done,
     /*  901588 */   // Label 13735: @901588
     /*  901588 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(901663), // Rule ID 61801 //
     /*  901593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901661 */     GIR_RootConstrainSelectedInstOperands,
     /*  901662 */     // GIR_Coverage, 61801,
     /*  901662 */     GIR_EraseRootFromParent_Done,
     /*  901663 */   // Label 13736: @901663
     /*  901663 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901738), // Rule ID 61802 //
     /*  901668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901736 */     GIR_RootConstrainSelectedInstOperands,
     /*  901737 */     // GIR_Coverage, 61802,
     /*  901737 */     GIR_EraseRootFromParent_Done,
     /*  901738 */   // Label 13737: @901738
     /*  901738 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901813), // Rule ID 61805 //
     /*  901743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  901754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  901757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901811 */     GIR_RootConstrainSelectedInstOperands,
     /*  901812 */     // GIR_Coverage, 61805,
     /*  901812 */     GIR_EraseRootFromParent_Done,
     /*  901813 */   // Label 13738: @901813
     /*  901813 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901888), // Rule ID 61806 //
     /*  901818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  901829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  901832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901886 */     GIR_RootConstrainSelectedInstOperands,
     /*  901887 */     // GIR_Coverage, 61806,
     /*  901887 */     GIR_EraseRootFromParent_Done,
     /*  901888 */   // Label 13739: @901888
     /*  901888 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(901963), // Rule ID 61809 //
     /*  901893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  901904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  901907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  901910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901961 */     GIR_RootConstrainSelectedInstOperands,
     /*  901962 */     // GIR_Coverage, 61809,
     /*  901962 */     GIR_EraseRootFromParent_Done,
     /*  901963 */   // Label 13740: @901963
     /*  901963 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(902038), // Rule ID 61810 //
     /*  901968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  901979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  901982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  901985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902036 */     GIR_RootConstrainSelectedInstOperands,
     /*  902037 */     // GIR_Coverage, 61810,
     /*  902037 */     GIR_EraseRootFromParent_Done,
     /*  902038 */   // Label 13741: @902038
     /*  902038 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(902113), // Rule ID 61813 //
     /*  902043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902111 */     GIR_RootConstrainSelectedInstOperands,
     /*  902112 */     // GIR_Coverage, 61813,
     /*  902112 */     GIR_EraseRootFromParent_Done,
     /*  902113 */   // Label 13742: @902113
     /*  902113 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(902188), // Rule ID 61814 //
     /*  902118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902186 */     GIR_RootConstrainSelectedInstOperands,
     /*  902187 */     // GIR_Coverage, 61814,
     /*  902187 */     GIR_EraseRootFromParent_Done,
     /*  902188 */   // Label 13743: @902188
     /*  902188 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(902263), // Rule ID 61817 //
     /*  902193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902261 */     GIR_RootConstrainSelectedInstOperands,
     /*  902262 */     // GIR_Coverage, 61817,
     /*  902262 */     GIR_EraseRootFromParent_Done,
     /*  902263 */   // Label 13744: @902263
     /*  902263 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(902338), // Rule ID 61818 //
     /*  902268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902336 */     GIR_RootConstrainSelectedInstOperands,
     /*  902337 */     // GIR_Coverage, 61818,
     /*  902337 */     GIR_EraseRootFromParent_Done,
     /*  902338 */   // Label 13745: @902338
     /*  902338 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(902413), // Rule ID 61821 //
     /*  902343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902411 */     GIR_RootConstrainSelectedInstOperands,
     /*  902412 */     // GIR_Coverage, 61821,
     /*  902412 */     GIR_EraseRootFromParent_Done,
     /*  902413 */   // Label 13746: @902413
     /*  902413 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(902488), // Rule ID 61822 //
     /*  902418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902464 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902486 */     GIR_RootConstrainSelectedInstOperands,
     /*  902487 */     // GIR_Coverage, 61822,
     /*  902487 */     GIR_EraseRootFromParent_Done,
     /*  902488 */   // Label 13747: @902488
     /*  902488 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(902563), // Rule ID 61825 //
     /*  902493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902561 */     GIR_RootConstrainSelectedInstOperands,
     /*  902562 */     // GIR_Coverage, 61825,
     /*  902562 */     GIR_EraseRootFromParent_Done,
     /*  902563 */   // Label 13748: @902563
     /*  902563 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(902638), // Rule ID 61826 //
     /*  902568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902614 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902636 */     GIR_RootConstrainSelectedInstOperands,
     /*  902637 */     // GIR_Coverage, 61826,
     /*  902637 */     GIR_EraseRootFromParent_Done,
     /*  902638 */   // Label 13749: @902638
     /*  902638 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902713), // Rule ID 61829 //
     /*  902643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  902654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  902657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  902660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902711 */     GIR_RootConstrainSelectedInstOperands,
     /*  902712 */     // GIR_Coverage, 61829,
     /*  902712 */     GIR_EraseRootFromParent_Done,
     /*  902713 */   // Label 13750: @902713
     /*  902713 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902788), // Rule ID 61830 //
     /*  902718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  902729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  902732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  902735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902764 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902786 */     GIR_RootConstrainSelectedInstOperands,
     /*  902787 */     // GIR_Coverage, 61830,
     /*  902787 */     GIR_EraseRootFromParent_Done,
     /*  902788 */   // Label 13751: @902788
     /*  902788 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902863), // Rule ID 61833 //
     /*  902793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  902804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  902807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  902810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902839 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902861 */     GIR_RootConstrainSelectedInstOperands,
     /*  902862 */     // GIR_Coverage, 61833,
     /*  902862 */     GIR_EraseRootFromParent_Done,
     /*  902863 */   // Label 13752: @902863
     /*  902863 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(902938), // Rule ID 61834 //
     /*  902868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  902879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  902882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  902885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902936 */     GIR_RootConstrainSelectedInstOperands,
     /*  902937 */     // GIR_Coverage, 61834,
     /*  902937 */     GIR_EraseRootFromParent_Done,
     /*  902938 */   // Label 13753: @902938
     /*  902938 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(903013), // Rule ID 61837 //
     /*  902943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  902954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  902957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  902960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903011 */     GIR_RootConstrainSelectedInstOperands,
     /*  903012 */     // GIR_Coverage, 61837,
     /*  903012 */     GIR_EraseRootFromParent_Done,
     /*  903013 */   // Label 13754: @903013
     /*  903013 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(903088), // Rule ID 61838 //
     /*  903018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  903029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  903032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903086 */     GIR_RootConstrainSelectedInstOperands,
     /*  903087 */     // GIR_Coverage, 61838,
     /*  903087 */     GIR_EraseRootFromParent_Done,
     /*  903088 */   // Label 13755: @903088
     /*  903088 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(903163), // Rule ID 61841 //
     /*  903093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903161 */     GIR_RootConstrainSelectedInstOperands,
     /*  903162 */     // GIR_Coverage, 61841,
     /*  903162 */     GIR_EraseRootFromParent_Done,
     /*  903163 */   // Label 13756: @903163
     /*  903163 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(903238), // Rule ID 61842 //
     /*  903168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903236 */     GIR_RootConstrainSelectedInstOperands,
     /*  903237 */     // GIR_Coverage, 61842,
     /*  903237 */     GIR_EraseRootFromParent_Done,
     /*  903238 */   // Label 13757: @903238
     /*  903238 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(903313), // Rule ID 61845 //
     /*  903243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903311 */     GIR_RootConstrainSelectedInstOperands,
     /*  903312 */     // GIR_Coverage, 61845,
     /*  903312 */     GIR_EraseRootFromParent_Done,
     /*  903313 */   // Label 13758: @903313
     /*  903313 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903388), // Rule ID 61846 //
     /*  903318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903386 */     GIR_RootConstrainSelectedInstOperands,
     /*  903387 */     // GIR_Coverage, 61846,
     /*  903387 */     GIR_EraseRootFromParent_Done,
     /*  903388 */   // Label 13759: @903388
     /*  903388 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903463), // Rule ID 61849 //
     /*  903393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903461 */     GIR_RootConstrainSelectedInstOperands,
     /*  903462 */     // GIR_Coverage, 61849,
     /*  903462 */     GIR_EraseRootFromParent_Done,
     /*  903463 */   // Label 13760: @903463
     /*  903463 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(903538), // Rule ID 61850 //
     /*  903468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903536 */     GIR_RootConstrainSelectedInstOperands,
     /*  903537 */     // GIR_Coverage, 61850,
     /*  903537 */     GIR_EraseRootFromParent_Done,
     /*  903538 */   // Label 13761: @903538
     /*  903538 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(903613), // Rule ID 61853 //
     /*  903543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903589 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903611 */     GIR_RootConstrainSelectedInstOperands,
     /*  903612 */     // GIR_Coverage, 61853,
     /*  903612 */     GIR_EraseRootFromParent_Done,
     /*  903613 */   // Label 13762: @903613
     /*  903613 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(903688), // Rule ID 61854 //
     /*  903618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903686 */     GIR_RootConstrainSelectedInstOperands,
     /*  903687 */     // GIR_Coverage, 61854,
     /*  903687 */     GIR_EraseRootFromParent_Done,
     /*  903688 */   // Label 13763: @903688
     /*  903688 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903763), // Rule ID 61857 //
     /*  903693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  903704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  903707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  903710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903761 */     GIR_RootConstrainSelectedInstOperands,
     /*  903762 */     // GIR_Coverage, 61857,
     /*  903762 */     GIR_EraseRootFromParent_Done,
     /*  903763 */   // Label 13764: @903763
     /*  903763 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903838), // Rule ID 61858 //
     /*  903768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  903779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  903782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  903785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  903814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903836 */     GIR_RootConstrainSelectedInstOperands,
     /*  903837 */     // GIR_Coverage, 61858,
     /*  903837 */     GIR_EraseRootFromParent_Done,
     /*  903838 */   // Label 13765: @903838
     /*  903838 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(903913), // Rule ID 61861 //
     /*  903843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  903854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  903857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  903860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903889 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903911 */     GIR_RootConstrainSelectedInstOperands,
     /*  903912 */     // GIR_Coverage, 61861,
     /*  903912 */     GIR_EraseRootFromParent_Done,
     /*  903913 */   // Label 13766: @903913
     /*  903913 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(903988), // Rule ID 61862 //
     /*  903918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  903929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  903932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  903935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  903964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903986 */     GIR_RootConstrainSelectedInstOperands,
     /*  903987 */     // GIR_Coverage, 61862,
     /*  903987 */     GIR_EraseRootFromParent_Done,
     /*  903988 */   // Label 13767: @903988
     /*  903988 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(904063), // Rule ID 61865 //
     /*  903993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904039 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904061 */     GIR_RootConstrainSelectedInstOperands,
     /*  904062 */     // GIR_Coverage, 61865,
     /*  904062 */     GIR_EraseRootFromParent_Done,
     /*  904063 */   // Label 13768: @904063
     /*  904063 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(904138), // Rule ID 61866 //
     /*  904068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904136 */     GIR_RootConstrainSelectedInstOperands,
     /*  904137 */     // GIR_Coverage, 61866,
     /*  904137 */     GIR_EraseRootFromParent_Done,
     /*  904138 */   // Label 13769: @904138
     /*  904138 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(904213), // Rule ID 62309 //
     /*  904143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904211 */     GIR_RootConstrainSelectedInstOperands,
     /*  904212 */     // GIR_Coverage, 62309,
     /*  904212 */     GIR_EraseRootFromParent_Done,
     /*  904213 */   // Label 13770: @904213
     /*  904213 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904288), // Rule ID 62310 //
     /*  904218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904286 */     GIR_RootConstrainSelectedInstOperands,
     /*  904287 */     // GIR_Coverage, 62310,
     /*  904287 */     GIR_EraseRootFromParent_Done,
     /*  904288 */   // Label 13771: @904288
     /*  904288 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904363), // Rule ID 62311 //
     /*  904293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904361 */     GIR_RootConstrainSelectedInstOperands,
     /*  904362 */     // GIR_Coverage, 62311,
     /*  904362 */     GIR_EraseRootFromParent_Done,
     /*  904363 */   // Label 13772: @904363
     /*  904363 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904438), // Rule ID 62312 //
     /*  904368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904436 */     GIR_RootConstrainSelectedInstOperands,
     /*  904437 */     // GIR_Coverage, 62312,
     /*  904437 */     GIR_EraseRootFromParent_Done,
     /*  904438 */   // Label 13773: @904438
     /*  904438 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(904513), // Rule ID 62313 //
     /*  904443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904511 */     GIR_RootConstrainSelectedInstOperands,
     /*  904512 */     // GIR_Coverage, 62313,
     /*  904512 */     GIR_EraseRootFromParent_Done,
     /*  904513 */   // Label 13774: @904513
     /*  904513 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(904588), // Rule ID 62314 //
     /*  904518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904586 */     GIR_RootConstrainSelectedInstOperands,
     /*  904587 */     // GIR_Coverage, 62314,
     /*  904587 */     GIR_EraseRootFromParent_Done,
     /*  904588 */   // Label 13775: @904588
     /*  904588 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(904663), // Rule ID 62315 //
     /*  904593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  904613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  904642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904661 */     GIR_RootConstrainSelectedInstOperands,
     /*  904662 */     // GIR_Coverage, 62315,
     /*  904662 */     GIR_EraseRootFromParent_Done,
     /*  904663 */   // Label 13776: @904663
     /*  904663 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904738), // Rule ID 62316 //
     /*  904668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  904688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  904717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904736 */     GIR_RootConstrainSelectedInstOperands,
     /*  904737 */     // GIR_Coverage, 62316,
     /*  904737 */     GIR_EraseRootFromParent_Done,
     /*  904738 */   // Label 13777: @904738
     /*  904738 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904802), // Rule ID 64424 //
     /*  904743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  904751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904779 */     // MIs[0] imm5
     /*  904779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904787 */     // (intrinsic_wo_chain:{ *:[i32] } 10925:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  904790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904798 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904800 */     GIR_RootConstrainSelectedInstOperands,
     /*  904801 */     // GIR_Coverage, 64424,
     /*  904801 */     GIR_EraseRootFromParent_Done,
     /*  904802 */   // Label 13778: @904802
     /*  904802 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904866), // Rule ID 64425 //
     /*  904807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  904815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904843 */     // MIs[0] imm5
     /*  904843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904851 */     // (intrinsic_wo_chain:{ *:[i32] } 10921:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  904854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904862 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904864 */     GIR_RootConstrainSelectedInstOperands,
     /*  904865 */     // GIR_Coverage, 64425,
     /*  904865 */     GIR_EraseRootFromParent_Done,
     /*  904866 */   // Label 13779: @904866
     /*  904866 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(904930), // Rule ID 64426 //
     /*  904871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  904879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904907 */     // MIs[0] imm5
     /*  904907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904915 */     // (intrinsic_wo_chain:{ *:[i32] } 10923:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  904918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904926 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904928 */     GIR_RootConstrainSelectedInstOperands,
     /*  904929 */     // GIR_Coverage, 64426,
     /*  904929 */     GIR_EraseRootFromParent_Done,
     /*  904930 */   // Label 13780: @904930
     /*  904930 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(904994), // Rule ID 64427 //
     /*  904935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  904943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904971 */     // MIs[0] imm5
     /*  904971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904979 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  904982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904990 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904992 */     GIR_RootConstrainSelectedInstOperands,
     /*  904993 */     // GIR_Coverage, 64427,
     /*  904993 */     GIR_EraseRootFromParent_Done,
     /*  904994 */   // Label 13781: @904994
     /*  904994 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(905058), // Rule ID 64428 //
     /*  904999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  905007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905035 */     // MIs[0] imm5
     /*  905035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905043 */     // (intrinsic_wo_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  905046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905054 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905056 */     GIR_RootConstrainSelectedInstOperands,
     /*  905057 */     // GIR_Coverage, 64428,
     /*  905057 */     GIR_EraseRootFromParent_Done,
     /*  905058 */   // Label 13782: @905058
     /*  905058 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(905122), // Rule ID 64429 //
     /*  905063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  905071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905099 */     // MIs[0] imm5
     /*  905099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905107 */     // (intrinsic_wo_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  905110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905118 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905120 */     GIR_RootConstrainSelectedInstOperands,
     /*  905121 */     // GIR_Coverage, 64429,
     /*  905121 */     GIR_EraseRootFromParent_Done,
     /*  905122 */   // Label 13783: @905122
     /*  905122 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(905186), // Rule ID 64430 //
     /*  905127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  905135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905163 */     // MIs[0] imm5
     /*  905163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905171 */     // (intrinsic_wo_chain:{ *:[i32] } 10924:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  905174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905182 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905184 */     GIR_RootConstrainSelectedInstOperands,
     /*  905185 */     // GIR_Coverage, 64430,
     /*  905185 */     GIR_EraseRootFromParent_Done,
     /*  905186 */   // Label 13784: @905186
     /*  905186 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905250), // Rule ID 64431 //
     /*  905191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  905199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905227 */     // MIs[0] imm5
     /*  905227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905235 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  905238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905246 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905248 */     GIR_RootConstrainSelectedInstOperands,
     /*  905249 */     // GIR_Coverage, 64431,
     /*  905249 */     GIR_EraseRootFromParent_Done,
     /*  905250 */   // Label 13785: @905250
     /*  905250 */   GIM_Reject,
     /*  905251 */ // Label 6939: @905251
     /*  905251 */ GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(1394724),
     /*  905256 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  905259 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(905342), // Rule ID 62763 //
     /*  905264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905288 */     // MIs[0] op1
     /*  905288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905304 */     // MIs[0] op4
     /*  905304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905319 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905330 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905340 */     GIR_RootConstrainSelectedInstOperands,
     /*  905341 */     // GIR_Coverage, 62763,
     /*  905341 */     GIR_EraseRootFromParent_Done,
     /*  905342 */   // Label 13787: @905342
     /*  905342 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(905425), // Rule ID 62764 //
     /*  905347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905371 */     // MIs[0] op1
     /*  905371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905387 */     // MIs[0] op4
     /*  905387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905413 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905423 */     GIR_RootConstrainSelectedInstOperands,
     /*  905424 */     // GIR_Coverage, 62764,
     /*  905424 */     GIR_EraseRootFromParent_Done,
     /*  905425 */   // Label 13788: @905425
     /*  905425 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(905508), // Rule ID 62807 //
     /*  905430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905454 */     // MIs[0] op1
     /*  905454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905470 */     // MIs[0] op4
     /*  905470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905506 */     GIR_RootConstrainSelectedInstOperands,
     /*  905507 */     // GIR_Coverage, 62807,
     /*  905507 */     GIR_EraseRootFromParent_Done,
     /*  905508 */   // Label 13789: @905508
     /*  905508 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(905591), // Rule ID 62808 //
     /*  905513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905537 */     // MIs[0] op1
     /*  905537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905553 */     // MIs[0] op4
     /*  905553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905568 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905573 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905575 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905577 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905579 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905589 */     GIR_RootConstrainSelectedInstOperands,
     /*  905590 */     // GIR_Coverage, 62808,
     /*  905590 */     GIR_EraseRootFromParent_Done,
     /*  905591 */   // Label 13790: @905591
     /*  905591 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905674), // Rule ID 62851 //
     /*  905596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  905613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905620 */     // MIs[0] op1
     /*  905620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905636 */     // MIs[0] op4
     /*  905636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  905654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905662 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905672 */     GIR_RootConstrainSelectedInstOperands,
     /*  905673 */     // GIR_Coverage, 62851,
     /*  905673 */     GIR_EraseRootFromParent_Done,
     /*  905674 */   // Label 13791: @905674
     /*  905674 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905757), // Rule ID 62852 //
     /*  905679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  905696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905703 */     // MIs[0] op1
     /*  905703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905719 */     // MIs[0] op4
     /*  905719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  905737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905745 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905755 */     GIR_RootConstrainSelectedInstOperands,
     /*  905756 */     // GIR_Coverage, 62852,
     /*  905756 */     GIR_EraseRootFromParent_Done,
     /*  905757 */   // Label 13792: @905757
     /*  905757 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905840), // Rule ID 62895 //
     /*  905762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  905779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905786 */     // MIs[0] op1
     /*  905786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905802 */     // MIs[0] op4
     /*  905802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  905817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905828 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905838 */     GIR_RootConstrainSelectedInstOperands,
     /*  905839 */     // GIR_Coverage, 62895,
     /*  905839 */     GIR_EraseRootFromParent_Done,
     /*  905840 */   // Label 13793: @905840
     /*  905840 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905923), // Rule ID 62896 //
     /*  905845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  905862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905869 */     // MIs[0] op1
     /*  905869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905885 */     // MIs[0] op4
     /*  905885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  905900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905911 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905921 */     GIR_RootConstrainSelectedInstOperands,
     /*  905922 */     // GIR_Coverage, 62896,
     /*  905922 */     GIR_EraseRootFromParent_Done,
     /*  905923 */   // Label 13794: @905923
     /*  905923 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(906006), // Rule ID 62951 //
     /*  905928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  905939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  905942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  905945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905952 */     // MIs[0] op1
     /*  905952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905968 */     // MIs[0] op4
     /*  905968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  905983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  905986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905994 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906004 */     GIR_RootConstrainSelectedInstOperands,
     /*  906005 */     // GIR_Coverage, 62951,
     /*  906005 */     GIR_EraseRootFromParent_Done,
     /*  906006 */   // Label 13795: @906006
     /*  906006 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(906089), // Rule ID 62952 //
     /*  906011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  906028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906035 */     // MIs[0] op1
     /*  906035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906051 */     // MIs[0] op4
     /*  906051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906077 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906087 */     GIR_RootConstrainSelectedInstOperands,
     /*  906088 */     // GIR_Coverage, 62952,
     /*  906088 */     GIR_EraseRootFromParent_Done,
     /*  906089 */   // Label 13796: @906089
     /*  906089 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(906172), // Rule ID 63007 //
     /*  906094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906118 */     // MIs[0] op1
     /*  906118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906134 */     // MIs[0] op4
     /*  906134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906170 */     GIR_RootConstrainSelectedInstOperands,
     /*  906171 */     // GIR_Coverage, 63007,
     /*  906171 */     GIR_EraseRootFromParent_Done,
     /*  906172 */   // Label 13797: @906172
     /*  906172 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(906255), // Rule ID 63008 //
     /*  906177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906201 */     // MIs[0] op1
     /*  906201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906217 */     // MIs[0] op4
     /*  906217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906237 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906239 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906241 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906243 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906253 */     GIR_RootConstrainSelectedInstOperands,
     /*  906254 */     // GIR_Coverage, 63008,
     /*  906254 */     GIR_EraseRootFromParent_Done,
     /*  906255 */   // Label 13798: @906255
     /*  906255 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(906338), // Rule ID 63063 //
     /*  906260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906284 */     // MIs[0] op1
     /*  906284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906300 */     // MIs[0] op4
     /*  906300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906326 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906336 */     GIR_RootConstrainSelectedInstOperands,
     /*  906337 */     // GIR_Coverage, 63063,
     /*  906337 */     GIR_EraseRootFromParent_Done,
     /*  906338 */   // Label 13799: @906338
     /*  906338 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(906421), // Rule ID 63064 //
     /*  906343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906367 */     // MIs[0] op1
     /*  906367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906383 */     // MIs[0] op4
     /*  906383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906409 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906419 */     GIR_RootConstrainSelectedInstOperands,
     /*  906420 */     // GIR_Coverage, 63064,
     /*  906420 */     GIR_EraseRootFromParent_Done,
     /*  906421 */   // Label 13800: @906421
     /*  906421 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(906504), // Rule ID 63107 //
     /*  906426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906450 */     // MIs[0] op1
     /*  906450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906466 */     // MIs[0] op4
     /*  906466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906481 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906502 */     GIR_RootConstrainSelectedInstOperands,
     /*  906503 */     // GIR_Coverage, 63107,
     /*  906503 */     GIR_EraseRootFromParent_Done,
     /*  906504 */   // Label 13801: @906504
     /*  906504 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(906587), // Rule ID 63108 //
     /*  906509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906533 */     // MIs[0] op1
     /*  906533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906549 */     // MIs[0] op4
     /*  906549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906569 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906571 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906573 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906575 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906585 */     GIR_RootConstrainSelectedInstOperands,
     /*  906586 */     // GIR_Coverage, 63108,
     /*  906586 */     GIR_EraseRootFromParent_Done,
     /*  906587 */   // Label 13802: @906587
     /*  906587 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(906670), // Rule ID 63163 //
     /*  906592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  906609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906616 */     // MIs[0] op1
     /*  906616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906632 */     // MIs[0] op4
     /*  906632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906658 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906668 */     GIR_RootConstrainSelectedInstOperands,
     /*  906669 */     // GIR_Coverage, 63163,
     /*  906669 */     GIR_EraseRootFromParent_Done,
     /*  906670 */   // Label 13803: @906670
     /*  906670 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906753), // Rule ID 63164 //
     /*  906675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  906692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906699 */     // MIs[0] op1
     /*  906699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906715 */     // MIs[0] op4
     /*  906715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906741 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906751 */     GIR_RootConstrainSelectedInstOperands,
     /*  906752 */     // GIR_Coverage, 63164,
     /*  906752 */     GIR_EraseRootFromParent_Done,
     /*  906753 */   // Label 13804: @906753
     /*  906753 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906836), // Rule ID 63219 //
     /*  906758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  906772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  906775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906782 */     // MIs[0] op1
     /*  906782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906798 */     // MIs[0] op4
     /*  906798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906813 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  906813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  906834 */     GIR_RootConstrainSelectedInstOperands,
     /*  906835 */     // GIR_Coverage, 63219,
     /*  906835 */     GIR_EraseRootFromParent_Done,
     /*  906836 */   // Label 13805: @906836
     /*  906836 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906919), // Rule ID 63220 //
     /*  906841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  906855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  906858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906865 */     // MIs[0] op1
     /*  906865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906881 */     // MIs[0] op4
     /*  906881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  906896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906907 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  906917 */     GIR_RootConstrainSelectedInstOperands,
     /*  906918 */     // GIR_Coverage, 63220,
     /*  906918 */     GIR_EraseRootFromParent_Done,
     /*  906919 */   // Label 13806: @906919
     /*  906919 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(907002), // Rule ID 63275 //
     /*  906924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  906935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  906938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  906941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906948 */     // MIs[0] op1
     /*  906948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906964 */     // MIs[0] op4
     /*  906964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  906982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906990 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907000 */     GIR_RootConstrainSelectedInstOperands,
     /*  907001 */     // GIR_Coverage, 63275,
     /*  907001 */     GIR_EraseRootFromParent_Done,
     /*  907002 */   // Label 13807: @907002
     /*  907002 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(907085), // Rule ID 63276 //
     /*  907007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  907024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907031 */     // MIs[0] op1
     /*  907031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907047 */     // MIs[0] op4
     /*  907047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907073 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907083 */     GIR_RootConstrainSelectedInstOperands,
     /*  907084 */     // GIR_Coverage, 63276,
     /*  907084 */     GIR_EraseRootFromParent_Done,
     /*  907085 */   // Label 13808: @907085
     /*  907085 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(907168), // Rule ID 63319 //
     /*  907090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907114 */     // MIs[0] op1
     /*  907114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907130 */     // MIs[0] op4
     /*  907130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907145 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907156 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907166 */     GIR_RootConstrainSelectedInstOperands,
     /*  907167 */     // GIR_Coverage, 63319,
     /*  907167 */     GIR_EraseRootFromParent_Done,
     /*  907168 */   // Label 13809: @907168
     /*  907168 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(907251), // Rule ID 63320 //
     /*  907173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907197 */     // MIs[0] op1
     /*  907197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907213 */     // MIs[0] op4
     /*  907213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907239 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907249 */     GIR_RootConstrainSelectedInstOperands,
     /*  907250 */     // GIR_Coverage, 63320,
     /*  907250 */     GIR_EraseRootFromParent_Done,
     /*  907251 */   // Label 13810: @907251
     /*  907251 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(907334), // Rule ID 63363 //
     /*  907256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907280 */     // MIs[0] op1
     /*  907280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907296 */     // MIs[0] op4
     /*  907296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907322 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907332 */     GIR_RootConstrainSelectedInstOperands,
     /*  907333 */     // GIR_Coverage, 63363,
     /*  907333 */     GIR_EraseRootFromParent_Done,
     /*  907334 */   // Label 13811: @907334
     /*  907334 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(907417), // Rule ID 63364 //
     /*  907339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907363 */     // MIs[0] op1
     /*  907363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907379 */     // MIs[0] op4
     /*  907379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907394 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907405 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907415 */     GIR_RootConstrainSelectedInstOperands,
     /*  907416 */     // GIR_Coverage, 63364,
     /*  907416 */     GIR_EraseRootFromParent_Done,
     /*  907417 */   // Label 13812: @907417
     /*  907417 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(907500), // Rule ID 63407 //
     /*  907422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907446 */     // MIs[0] op1
     /*  907446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907462 */     // MIs[0] op4
     /*  907462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907498 */     GIR_RootConstrainSelectedInstOperands,
     /*  907499 */     // GIR_Coverage, 63407,
     /*  907499 */     GIR_EraseRootFromParent_Done,
     /*  907500 */   // Label 13813: @907500
     /*  907500 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(907583), // Rule ID 63408 //
     /*  907505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907529 */     // MIs[0] op1
     /*  907529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907545 */     // MIs[0] op4
     /*  907545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907565 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907567 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907569 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907571 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907581 */     GIR_RootConstrainSelectedInstOperands,
     /*  907582 */     // GIR_Coverage, 63408,
     /*  907582 */     GIR_EraseRootFromParent_Done,
     /*  907583 */   // Label 13814: @907583
     /*  907583 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(907666), // Rule ID 63463 //
     /*  907588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  907605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907612 */     // MIs[0] op1
     /*  907612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907628 */     // MIs[0] op4
     /*  907628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907643 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907654 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907664 */     GIR_RootConstrainSelectedInstOperands,
     /*  907665 */     // GIR_Coverage, 63463,
     /*  907665 */     GIR_EraseRootFromParent_Done,
     /*  907666 */   // Label 13815: @907666
     /*  907666 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(907749), // Rule ID 63464 //
     /*  907671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  907688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907695 */     // MIs[0] op1
     /*  907695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907711 */     // MIs[0] op4
     /*  907711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907731 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907733 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907735 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907737 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907747 */     GIR_RootConstrainSelectedInstOperands,
     /*  907748 */     // GIR_Coverage, 63464,
     /*  907748 */     GIR_EraseRootFromParent_Done,
     /*  907749 */   // Label 13816: @907749
     /*  907749 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907832), // Rule ID 63519 //
     /*  907754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  907771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907778 */     // MIs[0] op1
     /*  907778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907794 */     // MIs[0] op4
     /*  907794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907830 */     GIR_RootConstrainSelectedInstOperands,
     /*  907831 */     // GIR_Coverage, 63519,
     /*  907831 */     GIR_EraseRootFromParent_Done,
     /*  907832 */   // Label 13817: @907832
     /*  907832 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907915), // Rule ID 63520 //
     /*  907837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  907854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907861 */     // MIs[0] op1
     /*  907861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907877 */     // MIs[0] op4
     /*  907877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907903 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907913 */     GIR_RootConstrainSelectedInstOperands,
     /*  907914 */     // GIR_Coverage, 63520,
     /*  907914 */     GIR_EraseRootFromParent_Done,
     /*  907915 */   // Label 13818: @907915
     /*  907915 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(907998), // Rule ID 63575 //
     /*  907920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  907931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  907934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  907937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907944 */     // MIs[0] op1
     /*  907944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907960 */     // MIs[0] op4
     /*  907960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  907975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907986 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907996 */     GIR_RootConstrainSelectedInstOperands,
     /*  907997 */     // GIR_Coverage, 63575,
     /*  907997 */     GIR_EraseRootFromParent_Done,
     /*  907998 */   // Label 13819: @907998
     /*  907998 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(908081), // Rule ID 63576 //
     /*  908003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908027 */     // MIs[0] op1
     /*  908027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908043 */     // MIs[0] op4
     /*  908043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908069 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908079 */     GIR_RootConstrainSelectedInstOperands,
     /*  908080 */     // GIR_Coverage, 63576,
     /*  908080 */     GIR_EraseRootFromParent_Done,
     /*  908081 */   // Label 13820: @908081
     /*  908081 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(908164), // Rule ID 63631 //
     /*  908086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908110 */     // MIs[0] op1
     /*  908110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908126 */     // MIs[0] op4
     /*  908126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908162 */     GIR_RootConstrainSelectedInstOperands,
     /*  908163 */     // GIR_Coverage, 63631,
     /*  908163 */     GIR_EraseRootFromParent_Done,
     /*  908164 */   // Label 13821: @908164
     /*  908164 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(908247), // Rule ID 63632 //
     /*  908169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908193 */     // MIs[0] op1
     /*  908193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908209 */     // MIs[0] op4
     /*  908209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908235 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908245 */     GIR_RootConstrainSelectedInstOperands,
     /*  908246 */     // GIR_Coverage, 63632,
     /*  908246 */     GIR_EraseRootFromParent_Done,
     /*  908247 */   // Label 13822: @908247
     /*  908247 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(908330), // Rule ID 63687 //
     /*  908252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908276 */     // MIs[0] op1
     /*  908276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908292 */     // MIs[0] op4
     /*  908292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908318 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908328 */     GIR_RootConstrainSelectedInstOperands,
     /*  908329 */     // GIR_Coverage, 63687,
     /*  908329 */     GIR_EraseRootFromParent_Done,
     /*  908330 */   // Label 13823: @908330
     /*  908330 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(908413), // Rule ID 63688 //
     /*  908335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908359 */     // MIs[0] op1
     /*  908359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908375 */     // MIs[0] op4
     /*  908375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908411 */     GIR_RootConstrainSelectedInstOperands,
     /*  908412 */     // GIR_Coverage, 63688,
     /*  908412 */     GIR_EraseRootFromParent_Done,
     /*  908413 */   // Label 13824: @908413
     /*  908413 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(908496), // Rule ID 63743 //
     /*  908418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908442 */     // MIs[0] op1
     /*  908442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908458 */     // MIs[0] op4
     /*  908458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908484 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908494 */     GIR_RootConstrainSelectedInstOperands,
     /*  908495 */     // GIR_Coverage, 63743,
     /*  908495 */     GIR_EraseRootFromParent_Done,
     /*  908496 */   // Label 13825: @908496
     /*  908496 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(908579), // Rule ID 63744 //
     /*  908501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908525 */     // MIs[0] op1
     /*  908525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908541 */     // MIs[0] op4
     /*  908541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908567 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908577 */     GIR_RootConstrainSelectedInstOperands,
     /*  908578 */     // GIR_Coverage, 63744,
     /*  908578 */     GIR_EraseRootFromParent_Done,
     /*  908579 */   // Label 13826: @908579
     /*  908579 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(908662), // Rule ID 63799 //
     /*  908584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  908601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908608 */     // MIs[0] op1
     /*  908608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908624 */     // MIs[0] op4
     /*  908624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908639 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908660 */     GIR_RootConstrainSelectedInstOperands,
     /*  908661 */     // GIR_Coverage, 63799,
     /*  908661 */     GIR_EraseRootFromParent_Done,
     /*  908662 */   // Label 13827: @908662
     /*  908662 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(908745), // Rule ID 63800 //
     /*  908667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  908684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908691 */     // MIs[0] op1
     /*  908691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908707 */     // MIs[0] op4
     /*  908707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908727 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908729 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908731 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908733 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908743 */     GIR_RootConstrainSelectedInstOperands,
     /*  908744 */     // GIR_Coverage, 63800,
     /*  908744 */     GIR_EraseRootFromParent_Done,
     /*  908745 */   // Label 13828: @908745
     /*  908745 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(908828), // Rule ID 63855 //
     /*  908750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  908767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908774 */     // MIs[0] op1
     /*  908774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908790 */     // MIs[0] op4
     /*  908790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908826 */     GIR_RootConstrainSelectedInstOperands,
     /*  908827 */     // GIR_Coverage, 63855,
     /*  908827 */     GIR_EraseRootFromParent_Done,
     /*  908828 */   // Label 13829: @908828
     /*  908828 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908911), // Rule ID 63856 //
     /*  908833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  908850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908857 */     // MIs[0] op1
     /*  908857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908873 */     // MIs[0] op4
     /*  908873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908899 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908909 */     GIR_RootConstrainSelectedInstOperands,
     /*  908910 */     // GIR_Coverage, 63856,
     /*  908910 */     GIR_EraseRootFromParent_Done,
     /*  908911 */   // Label 13830: @908911
     /*  908911 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(908994), // Rule ID 63885 //
     /*  908916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  908927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  908930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  908933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908940 */     // MIs[0] op1
     /*  908940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908956 */     // MIs[0] op4
     /*  908956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908971 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  908974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908982 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908992 */     GIR_RootConstrainSelectedInstOperands,
     /*  908993 */     // GIR_Coverage, 63885,
     /*  908993 */     GIR_EraseRootFromParent_Done,
     /*  908994 */   // Label 13831: @908994
     /*  908994 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(909077), // Rule ID 63886 //
     /*  908999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  909010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  909013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909023 */     // MIs[0] op1
     /*  909023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909039 */     // MIs[0] op4
     /*  909039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  909057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909059 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909061 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909063 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909065 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909075 */     GIR_RootConstrainSelectedInstOperands,
     /*  909076 */     // GIR_Coverage, 63886,
     /*  909076 */     GIR_EraseRootFromParent_Done,
     /*  909077 */   // Label 13832: @909077
     /*  909077 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(909160), // Rule ID 63903 //
     /*  909082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909106 */     // MIs[0] op1
     /*  909106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909122 */     // MIs[0] op4
     /*  909122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909137 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909148 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909158 */     GIR_RootConstrainSelectedInstOperands,
     /*  909159 */     // GIR_Coverage, 63903,
     /*  909159 */     GIR_EraseRootFromParent_Done,
     /*  909160 */   // Label 13833: @909160
     /*  909160 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(909243), // Rule ID 63904 //
     /*  909165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909189 */     // MIs[0] op1
     /*  909189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909205 */     // MIs[0] op4
     /*  909205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909231 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909241 */     GIR_RootConstrainSelectedInstOperands,
     /*  909242 */     // GIR_Coverage, 63904,
     /*  909242 */     GIR_EraseRootFromParent_Done,
     /*  909243 */   // Label 13834: @909243
     /*  909243 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(909326), // Rule ID 63921 //
     /*  909248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909272 */     // MIs[0] op1
     /*  909272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909288 */     // MIs[0] op4
     /*  909288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909314 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909324 */     GIR_RootConstrainSelectedInstOperands,
     /*  909325 */     // GIR_Coverage, 63921,
     /*  909325 */     GIR_EraseRootFromParent_Done,
     /*  909326 */   // Label 13835: @909326
     /*  909326 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(909409), // Rule ID 63922 //
     /*  909331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909355 */     // MIs[0] op1
     /*  909355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909371 */     // MIs[0] op4
     /*  909371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909391 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909393 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909395 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909397 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909407 */     GIR_RootConstrainSelectedInstOperands,
     /*  909408 */     // GIR_Coverage, 63922,
     /*  909408 */     GIR_EraseRootFromParent_Done,
     /*  909409 */   // Label 13836: @909409
     /*  909409 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(909492), // Rule ID 63939 //
     /*  909414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909438 */     // MIs[0] op1
     /*  909438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909454 */     // MIs[0] op4
     /*  909454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909469 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909480 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909490 */     GIR_RootConstrainSelectedInstOperands,
     /*  909491 */     // GIR_Coverage, 63939,
     /*  909491 */     GIR_EraseRootFromParent_Done,
     /*  909492 */   // Label 13837: @909492
     /*  909492 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(909575), // Rule ID 63940 //
     /*  909497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909521 */     // MIs[0] op1
     /*  909521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909537 */     // MIs[0] op4
     /*  909537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909563 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909573 */     GIR_RootConstrainSelectedInstOperands,
     /*  909574 */     // GIR_Coverage, 63940,
     /*  909574 */     GIR_EraseRootFromParent_Done,
     /*  909575 */   // Label 13838: @909575
     /*  909575 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(909658), // Rule ID 63957 //
     /*  909580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  909597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909604 */     // MIs[0] op1
     /*  909604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909620 */     // MIs[0] op4
     /*  909620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909640 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909642 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909644 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909646 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909656 */     GIR_RootConstrainSelectedInstOperands,
     /*  909657 */     // GIR_Coverage, 63957,
     /*  909657 */     GIR_EraseRootFromParent_Done,
     /*  909658 */   // Label 13839: @909658
     /*  909658 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(909741), // Rule ID 63958 //
     /*  909663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  909680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909687 */     // MIs[0] op1
     /*  909687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909703 */     // MIs[0] op4
     /*  909703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909718 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909723 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909725 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909727 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909729 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909739 */     GIR_RootConstrainSelectedInstOperands,
     /*  909740 */     // GIR_Coverage, 63958,
     /*  909740 */     GIR_EraseRootFromParent_Done,
     /*  909741 */   // Label 13840: @909741
     /*  909741 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(909824), // Rule ID 63975 //
     /*  909746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  909757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  909760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  909763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909770 */     // MIs[0] op1
     /*  909770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909786 */     // MIs[0] op4
     /*  909786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  909804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909806 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909808 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909810 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909812 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909822 */     GIR_RootConstrainSelectedInstOperands,
     /*  909823 */     // GIR_Coverage, 63975,
     /*  909823 */     GIR_EraseRootFromParent_Done,
     /*  909824 */   // Label 13841: @909824
     /*  909824 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(909907), // Rule ID 63976 //
     /*  909829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  909840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  909843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  909846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909853 */     // MIs[0] op1
     /*  909853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909869 */     // MIs[0] op4
     /*  909869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  909887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909895 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909905 */     GIR_RootConstrainSelectedInstOperands,
     /*  909906 */     // GIR_Coverage, 63976,
     /*  909906 */     GIR_EraseRootFromParent_Done,
     /*  909907 */   // Label 13842: @909907
     /*  909907 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(909990), // Rule ID 63993 //
     /*  909912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  909923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  909926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  909929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909936 */     // MIs[0] op1
     /*  909936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909939 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909952 */     // MIs[0] op4
     /*  909952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909967 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  909967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909978 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909988 */     GIR_RootConstrainSelectedInstOperands,
     /*  909989 */     // GIR_Coverage, 63993,
     /*  909989 */     GIR_EraseRootFromParent_Done,
     /*  909990 */   // Label 13843: @909990
     /*  909990 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(910073), // Rule ID 63994 //
     /*  909995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910019 */     // MIs[0] op1
     /*  910019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910035 */     // MIs[0] op4
     /*  910035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  910053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910055 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910057 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910059 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910061 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910071 */     GIR_RootConstrainSelectedInstOperands,
     /*  910072 */     // GIR_Coverage, 63994,
     /*  910072 */     GIR_EraseRootFromParent_Done,
     /*  910073 */   // Label 13844: @910073
     /*  910073 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(910156), // Rule ID 64017 //
     /*  910078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910102 */     // MIs[0] op1
     /*  910102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910118 */     // MIs[0] op4
     /*  910118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910144 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910154 */     GIR_RootConstrainSelectedInstOperands,
     /*  910155 */     // GIR_Coverage, 64017,
     /*  910155 */     GIR_EraseRootFromParent_Done,
     /*  910156 */   // Label 13845: @910156
     /*  910156 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(910239), // Rule ID 64018 //
     /*  910161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910185 */     // MIs[0] op1
     /*  910185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910201 */     // MIs[0] op4
     /*  910201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910227 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910237 */     GIR_RootConstrainSelectedInstOperands,
     /*  910238 */     // GIR_Coverage, 64018,
     /*  910238 */     GIR_EraseRootFromParent_Done,
     /*  910239 */   // Label 13846: @910239
     /*  910239 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(910322), // Rule ID 64041 //
     /*  910244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910268 */     // MIs[0] op1
     /*  910268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910284 */     // MIs[0] op4
     /*  910284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910299 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910304 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910306 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910308 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910310 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910320 */     GIR_RootConstrainSelectedInstOperands,
     /*  910321 */     // GIR_Coverage, 64041,
     /*  910321 */     GIR_EraseRootFromParent_Done,
     /*  910322 */   // Label 13847: @910322
     /*  910322 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(910405), // Rule ID 64042 //
     /*  910327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910351 */     // MIs[0] op1
     /*  910351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910367 */     // MIs[0] op4
     /*  910367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910387 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910389 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910391 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910393 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910403 */     GIR_RootConstrainSelectedInstOperands,
     /*  910404 */     // GIR_Coverage, 64042,
     /*  910404 */     GIR_EraseRootFromParent_Done,
     /*  910405 */   // Label 13848: @910405
     /*  910405 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(910488), // Rule ID 64065 //
     /*  910410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910434 */     // MIs[0] op1
     /*  910434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910450 */     // MIs[0] op4
     /*  910450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910465 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910476 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910486 */     GIR_RootConstrainSelectedInstOperands,
     /*  910487 */     // GIR_Coverage, 64065,
     /*  910487 */     GIR_EraseRootFromParent_Done,
     /*  910488 */   // Label 13849: @910488
     /*  910488 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(910571), // Rule ID 64066 //
     /*  910493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910517 */     // MIs[0] op1
     /*  910517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910533 */     // MIs[0] op4
     /*  910533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910559 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910569 */     GIR_RootConstrainSelectedInstOperands,
     /*  910570 */     // GIR_Coverage, 64066,
     /*  910570 */     GIR_EraseRootFromParent_Done,
     /*  910571 */   // Label 13850: @910571
     /*  910571 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(910654), // Rule ID 64089 //
     /*  910576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910600 */     // MIs[0] op1
     /*  910600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910616 */     // MIs[0] op4
     /*  910616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910631 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910636 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910638 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910640 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910642 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910652 */     GIR_RootConstrainSelectedInstOperands,
     /*  910653 */     // GIR_Coverage, 64089,
     /*  910653 */     GIR_EraseRootFromParent_Done,
     /*  910654 */   // Label 13851: @910654
     /*  910654 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(910737), // Rule ID 64090 //
     /*  910659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910683 */     // MIs[0] op1
     /*  910683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910699 */     // MIs[0] op4
     /*  910699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910719 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910721 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910723 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910725 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910735 */     GIR_RootConstrainSelectedInstOperands,
     /*  910736 */     // GIR_Coverage, 64090,
     /*  910736 */     GIR_EraseRootFromParent_Done,
     /*  910737 */   // Label 13852: @910737
     /*  910737 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(910820), // Rule ID 64113 //
     /*  910742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  910756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910766 */     // MIs[0] op1
     /*  910766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910782 */     // MIs[0] op4
     /*  910782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  910797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910808 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910818 */     GIR_RootConstrainSelectedInstOperands,
     /*  910819 */     // GIR_Coverage, 64113,
     /*  910819 */     GIR_EraseRootFromParent_Done,
     /*  910820 */   // Label 13853: @910820
     /*  910820 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(910903), // Rule ID 64114 //
     /*  910825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  910839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910849 */     // MIs[0] op1
     /*  910849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910865 */     // MIs[0] op4
     /*  910865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  910880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910891 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910901 */     GIR_RootConstrainSelectedInstOperands,
     /*  910902 */     // GIR_Coverage, 64114,
     /*  910902 */     GIR_EraseRootFromParent_Done,
     /*  910903 */   // Label 13854: @910903
     /*  910903 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(910986), // Rule ID 64137 //
     /*  910908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  910919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  910922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  910925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910932 */     // MIs[0] op1
     /*  910932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910948 */     // MIs[0] op4
     /*  910948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  910963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910968 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910970 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910972 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910974 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910984 */     GIR_RootConstrainSelectedInstOperands,
     /*  910985 */     // GIR_Coverage, 64137,
     /*  910985 */     GIR_EraseRootFromParent_Done,
     /*  910986 */   // Label 13855: @910986
     /*  910986 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(911069), // Rule ID 64138 //
     /*  910991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  911002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  911005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911015 */     // MIs[0] op1
     /*  911015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911031 */     // MIs[0] op4
     /*  911031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  911049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911057 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911067 */     GIR_RootConstrainSelectedInstOperands,
     /*  911068 */     // GIR_Coverage, 64138,
     /*  911068 */     GIR_EraseRootFromParent_Done,
     /*  911069 */   // Label 13856: @911069
     /*  911069 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(911152), // Rule ID 64161 //
     /*  911074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911098 */     // MIs[0] op1
     /*  911098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911114 */     // MIs[0] op4
     /*  911114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911129 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911140 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911150 */     GIR_RootConstrainSelectedInstOperands,
     /*  911151 */     // GIR_Coverage, 64161,
     /*  911151 */     GIR_EraseRootFromParent_Done,
     /*  911152 */   // Label 13857: @911152
     /*  911152 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(911235), // Rule ID 64162 //
     /*  911157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911181 */     // MIs[0] op1
     /*  911181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911197 */     // MIs[0] op4
     /*  911197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911212 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911223 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911233 */     GIR_RootConstrainSelectedInstOperands,
     /*  911234 */     // GIR_Coverage, 64162,
     /*  911234 */     GIR_EraseRootFromParent_Done,
     /*  911235 */   // Label 13858: @911235
     /*  911235 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(911318), // Rule ID 64185 //
     /*  911240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911264 */     // MIs[0] op1
     /*  911264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911280 */     // MIs[0] op4
     /*  911280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911295 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911306 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911316 */     GIR_RootConstrainSelectedInstOperands,
     /*  911317 */     // GIR_Coverage, 64185,
     /*  911317 */     GIR_EraseRootFromParent_Done,
     /*  911318 */   // Label 13859: @911318
     /*  911318 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(911401), // Rule ID 64186 //
     /*  911323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911347 */     // MIs[0] op1
     /*  911347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911363 */     // MIs[0] op4
     /*  911363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911383 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911385 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911387 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911389 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911399 */     GIR_RootConstrainSelectedInstOperands,
     /*  911400 */     // GIR_Coverage, 64186,
     /*  911400 */     GIR_EraseRootFromParent_Done,
     /*  911401 */   // Label 13860: @911401
     /*  911401 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(911479), // Rule ID 60475 //
     /*  911406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911438 */     // MIs[0] rs2
     /*  911438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911446 */     // MIs[0] policy
     /*  911446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911477 */     GIR_RootConstrainSelectedInstOperands,
     /*  911478 */     // GIR_Coverage, 60475,
     /*  911478 */     GIR_EraseRootFromParent_Done,
     /*  911479 */   // Label 13861: @911479
     /*  911479 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(911557), // Rule ID 60476 //
     /*  911484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911516 */     // MIs[0] rs2
     /*  911516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911524 */     // MIs[0] policy
     /*  911524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911555 */     GIR_RootConstrainSelectedInstOperands,
     /*  911556 */     // GIR_Coverage, 60476,
     /*  911556 */     GIR_EraseRootFromParent_Done,
     /*  911557 */   // Label 13862: @911557
     /*  911557 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(911635), // Rule ID 62131 //
     /*  911562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911594 */     // MIs[0] rs2
     /*  911594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911602 */     // MIs[0] policy
     /*  911602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  911615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911633 */     GIR_RootConstrainSelectedInstOperands,
     /*  911634 */     // GIR_Coverage, 62131,
     /*  911634 */     GIR_EraseRootFromParent_Done,
     /*  911635 */   // Label 13863: @911635
     /*  911635 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(911713), // Rule ID 62132 //
     /*  911640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911672 */     // MIs[0] rs2
     /*  911672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911680 */     // MIs[0] policy
     /*  911680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  911693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911711 */     GIR_RootConstrainSelectedInstOperands,
     /*  911712 */     // GIR_Coverage, 62132,
     /*  911712 */     GIR_EraseRootFromParent_Done,
     /*  911713 */   // Label 13864: @911713
     /*  911713 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(911791), // Rule ID 62133 //
     /*  911718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911750 */     // MIs[0] rs2
     /*  911750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911758 */     // MIs[0] policy
     /*  911758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  911771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911789 */     GIR_RootConstrainSelectedInstOperands,
     /*  911790 */     // GIR_Coverage, 62133,
     /*  911790 */     GIR_EraseRootFromParent_Done,
     /*  911791 */   // Label 13865: @911791
     /*  911791 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(911869), // Rule ID 62134 //
     /*  911796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911828 */     // MIs[0] rs2
     /*  911828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911836 */     // MIs[0] policy
     /*  911836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  911849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911867 */     GIR_RootConstrainSelectedInstOperands,
     /*  911868 */     // GIR_Coverage, 62134,
     /*  911868 */     GIR_EraseRootFromParent_Done,
     /*  911869 */   // Label 13866: @911869
     /*  911869 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(911947), // Rule ID 62135 //
     /*  911874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911906 */     // MIs[0] rs2
     /*  911906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911914 */     // MIs[0] policy
     /*  911914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  911927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911945 */     GIR_RootConstrainSelectedInstOperands,
     /*  911946 */     // GIR_Coverage, 62135,
     /*  911946 */     GIR_EraseRootFromParent_Done,
     /*  911947 */   // Label 13867: @911947
     /*  911947 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(912025), // Rule ID 62136 //
     /*  911952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911984 */     // MIs[0] rs2
     /*  911984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911992 */     // MIs[0] policy
     /*  911992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  912005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912023 */     GIR_RootConstrainSelectedInstOperands,
     /*  912024 */     // GIR_Coverage, 62136,
     /*  912024 */     GIR_EraseRootFromParent_Done,
     /*  912025 */   // Label 13868: @912025
     /*  912025 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(912103), // Rule ID 62137 //
     /*  912030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912062 */     // MIs[0] rs2
     /*  912062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912070 */     // MIs[0] policy
     /*  912070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912101 */     GIR_RootConstrainSelectedInstOperands,
     /*  912102 */     // GIR_Coverage, 62137,
     /*  912102 */     GIR_EraseRootFromParent_Done,
     /*  912103 */   // Label 13869: @912103
     /*  912103 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(912181), // Rule ID 62138 //
     /*  912108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912140 */     // MIs[0] rs2
     /*  912140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912148 */     // MIs[0] policy
     /*  912148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912179 */     GIR_RootConstrainSelectedInstOperands,
     /*  912180 */     // GIR_Coverage, 62138,
     /*  912180 */     GIR_EraseRootFromParent_Done,
     /*  912181 */   // Label 13870: @912181
     /*  912181 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(912259), // Rule ID 62299 //
     /*  912186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912218 */     // MIs[0] rs2
     /*  912218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912221 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912226 */     // MIs[0] policy
     /*  912226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912257 */     GIR_RootConstrainSelectedInstOperands,
     /*  912258 */     // GIR_Coverage, 62299,
     /*  912258 */     GIR_EraseRootFromParent_Done,
     /*  912259 */   // Label 13871: @912259
     /*  912259 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(912337), // Rule ID 62300 //
     /*  912264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912296 */     // MIs[0] rs2
     /*  912296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912304 */     // MIs[0] policy
     /*  912304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912335 */     GIR_RootConstrainSelectedInstOperands,
     /*  912336 */     // GIR_Coverage, 62300,
     /*  912336 */     GIR_EraseRootFromParent_Done,
     /*  912337 */   // Label 13872: @912337
     /*  912337 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(912415), // Rule ID 62301 //
     /*  912342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912374 */     // MIs[0] rs2
     /*  912374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912377 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912382 */     // MIs[0] policy
     /*  912382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912413 */     GIR_RootConstrainSelectedInstOperands,
     /*  912414 */     // GIR_Coverage, 62301,
     /*  912414 */     GIR_EraseRootFromParent_Done,
     /*  912415 */   // Label 13873: @912415
     /*  912415 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(912493), // Rule ID 62302 //
     /*  912420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912452 */     // MIs[0] rs2
     /*  912452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912460 */     // MIs[0] policy
     /*  912460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912491 */     GIR_RootConstrainSelectedInstOperands,
     /*  912492 */     // GIR_Coverage, 62302,
     /*  912492 */     GIR_EraseRootFromParent_Done,
     /*  912493 */   // Label 13874: @912493
     /*  912493 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(912571), // Rule ID 62303 //
     /*  912498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912530 */     // MIs[0] rs2
     /*  912530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912538 */     // MIs[0] policy
     /*  912538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  912551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912569 */     GIR_RootConstrainSelectedInstOperands,
     /*  912570 */     // GIR_Coverage, 62303,
     /*  912570 */     GIR_EraseRootFromParent_Done,
     /*  912571 */   // Label 13875: @912571
     /*  912571 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(912649), // Rule ID 62304 //
     /*  912576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912608 */     // MIs[0] rs2
     /*  912608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912616 */     // MIs[0] policy
     /*  912616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  912629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912647 */     GIR_RootConstrainSelectedInstOperands,
     /*  912648 */     // GIR_Coverage, 62304,
     /*  912648 */     GIR_EraseRootFromParent_Done,
     /*  912649 */   // Label 13876: @912649
     /*  912649 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(912727), // Rule ID 62305 //
     /*  912654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912686 */     // MIs[0] rs2
     /*  912686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912694 */     // MIs[0] policy
     /*  912694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  912707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912725 */     GIR_RootConstrainSelectedInstOperands,
     /*  912726 */     // GIR_Coverage, 62305,
     /*  912726 */     GIR_EraseRootFromParent_Done,
     /*  912727 */   // Label 13877: @912727
     /*  912727 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(912805), // Rule ID 62306 //
     /*  912732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912764 */     // MIs[0] rs2
     /*  912764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912772 */     // MIs[0] policy
     /*  912772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  912785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912803 */     GIR_RootConstrainSelectedInstOperands,
     /*  912804 */     // GIR_Coverage, 62306,
     /*  912804 */     GIR_EraseRootFromParent_Done,
     /*  912805 */   // Label 13878: @912805
     /*  912805 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(912883), // Rule ID 62307 //
     /*  912810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912842 */     // MIs[0] rs2
     /*  912842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912850 */     // MIs[0] policy
     /*  912850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  912863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912881 */     GIR_RootConstrainSelectedInstOperands,
     /*  912882 */     // GIR_Coverage, 62307,
     /*  912882 */     GIR_EraseRootFromParent_Done,
     /*  912883 */   // Label 13879: @912883
     /*  912883 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(912961), // Rule ID 62308 //
     /*  912888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912920 */     // MIs[0] rs2
     /*  912920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912928 */     // MIs[0] policy
     /*  912928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  912941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912959 */     GIR_RootConstrainSelectedInstOperands,
     /*  912960 */     // GIR_Coverage, 62308,
     /*  912960 */     GIR_EraseRootFromParent_Done,
     /*  912961 */   // Label 13880: @912961
     /*  912961 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(913049), // Rule ID 23573 //
     /*  912966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  912977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  912980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  912983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913013 */     // MIs[1] Operand 1
     /*  913013 */     // No operand predicates
     /*  913013 */     // MIs[0] policy
     /*  913013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913025 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  913028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913047 */     GIR_RootConstrainSelectedInstOperands,
     /*  913048 */     // GIR_Coverage, 23573,
     /*  913048 */     GIR_EraseRootFromParent_Done,
     /*  913049 */   // Label 13881: @913049
     /*  913049 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(913137), // Rule ID 23574 //
     /*  913054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913101 */     // MIs[1] Operand 1
     /*  913101 */     // No operand predicates
     /*  913101 */     // MIs[0] policy
     /*  913101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913113 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  913116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913135 */     GIR_RootConstrainSelectedInstOperands,
     /*  913136 */     // GIR_Coverage, 23574,
     /*  913136 */     GIR_EraseRootFromParent_Done,
     /*  913137 */   // Label 13882: @913137
     /*  913137 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(913225), // Rule ID 23577 //
     /*  913142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913189 */     // MIs[1] Operand 1
     /*  913189 */     // No operand predicates
     /*  913189 */     // MIs[0] policy
     /*  913189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913223 */     GIR_RootConstrainSelectedInstOperands,
     /*  913224 */     // GIR_Coverage, 23577,
     /*  913224 */     GIR_EraseRootFromParent_Done,
     /*  913225 */   // Label 13883: @913225
     /*  913225 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(913313), // Rule ID 23578 //
     /*  913230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913277 */     // MIs[1] Operand 1
     /*  913277 */     // No operand predicates
     /*  913277 */     // MIs[0] policy
     /*  913277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913311 */     GIR_RootConstrainSelectedInstOperands,
     /*  913312 */     // GIR_Coverage, 23578,
     /*  913312 */     GIR_EraseRootFromParent_Done,
     /*  913313 */   // Label 13884: @913313
     /*  913313 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(913401), // Rule ID 23581 //
     /*  913318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913365 */     // MIs[1] Operand 1
     /*  913365 */     // No operand predicates
     /*  913365 */     // MIs[0] policy
     /*  913365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913399 */     GIR_RootConstrainSelectedInstOperands,
     /*  913400 */     // GIR_Coverage, 23581,
     /*  913400 */     GIR_EraseRootFromParent_Done,
     /*  913401 */   // Label 13885: @913401
     /*  913401 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(913489), // Rule ID 23582 //
     /*  913406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913453 */     // MIs[1] Operand 1
     /*  913453 */     // No operand predicates
     /*  913453 */     // MIs[0] policy
     /*  913453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913487 */     GIR_RootConstrainSelectedInstOperands,
     /*  913488 */     // GIR_Coverage, 23582,
     /*  913488 */     GIR_EraseRootFromParent_Done,
     /*  913489 */   // Label 13886: @913489
     /*  913489 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(913577), // Rule ID 23585 //
     /*  913494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913541 */     // MIs[1] Operand 1
     /*  913541 */     // No operand predicates
     /*  913541 */     // MIs[0] policy
     /*  913541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913575 */     GIR_RootConstrainSelectedInstOperands,
     /*  913576 */     // GIR_Coverage, 23585,
     /*  913576 */     GIR_EraseRootFromParent_Done,
     /*  913577 */   // Label 13887: @913577
     /*  913577 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(913665), // Rule ID 23586 //
     /*  913582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913629 */     // MIs[1] Operand 1
     /*  913629 */     // No operand predicates
     /*  913629 */     // MIs[0] policy
     /*  913629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913641 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913663 */     GIR_RootConstrainSelectedInstOperands,
     /*  913664 */     // GIR_Coverage, 23586,
     /*  913664 */     GIR_EraseRootFromParent_Done,
     /*  913665 */   // Label 13888: @913665
     /*  913665 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(913753), // Rule ID 23589 //
     /*  913670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913717 */     // MIs[1] Operand 1
     /*  913717 */     // No operand predicates
     /*  913717 */     // MIs[0] policy
     /*  913717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913729 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913751 */     GIR_RootConstrainSelectedInstOperands,
     /*  913752 */     // GIR_Coverage, 23589,
     /*  913752 */     GIR_EraseRootFromParent_Done,
     /*  913753 */   // Label 13889: @913753
     /*  913753 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(913841), // Rule ID 23590 //
     /*  913758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913805 */     // MIs[1] Operand 1
     /*  913805 */     // No operand predicates
     /*  913805 */     // MIs[0] policy
     /*  913805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913839 */     GIR_RootConstrainSelectedInstOperands,
     /*  913840 */     // GIR_Coverage, 23590,
     /*  913840 */     GIR_EraseRootFromParent_Done,
     /*  913841 */   // Label 13890: @913841
     /*  913841 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(913929), // Rule ID 23593 //
     /*  913846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  913863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913893 */     // MIs[1] Operand 1
     /*  913893 */     // No operand predicates
     /*  913893 */     // MIs[0] policy
     /*  913893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913927 */     GIR_RootConstrainSelectedInstOperands,
     /*  913928 */     // GIR_Coverage, 23593,
     /*  913928 */     GIR_EraseRootFromParent_Done,
     /*  913929 */   // Label 13891: @913929
     /*  913929 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(914017), // Rule ID 23594 //
     /*  913934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  913951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913981 */     // MIs[1] Operand 1
     /*  913981 */     // No operand predicates
     /*  913981 */     // MIs[0] policy
     /*  913981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914015 */     GIR_RootConstrainSelectedInstOperands,
     /*  914016 */     // GIR_Coverage, 23594,
     /*  914016 */     GIR_EraseRootFromParent_Done,
     /*  914017 */   // Label 13892: @914017
     /*  914017 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(914105), // Rule ID 23597 //
     /*  914022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  914033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  914036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914069 */     // MIs[1] Operand 1
     /*  914069 */     // No operand predicates
     /*  914069 */     // MIs[0] policy
     /*  914069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914103 */     GIR_RootConstrainSelectedInstOperands,
     /*  914104 */     // GIR_Coverage, 23597,
     /*  914104 */     GIR_EraseRootFromParent_Done,
     /*  914105 */   // Label 13893: @914105
     /*  914105 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(914193), // Rule ID 23598 //
     /*  914110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  914121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  914124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914157 */     // MIs[1] Operand 1
     /*  914157 */     // No operand predicates
     /*  914157 */     // MIs[0] policy
     /*  914157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914191 */     GIR_RootConstrainSelectedInstOperands,
     /*  914192 */     // GIR_Coverage, 23598,
     /*  914192 */     GIR_EraseRootFromParent_Done,
     /*  914193 */   // Label 13894: @914193
     /*  914193 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(914281), // Rule ID 23601 //
     /*  914198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914245 */     // MIs[1] Operand 1
     /*  914245 */     // No operand predicates
     /*  914245 */     // MIs[0] policy
     /*  914245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914279 */     GIR_RootConstrainSelectedInstOperands,
     /*  914280 */     // GIR_Coverage, 23601,
     /*  914280 */     GIR_EraseRootFromParent_Done,
     /*  914281 */   // Label 13895: @914281
     /*  914281 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(914369), // Rule ID 23602 //
     /*  914286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914333 */     // MIs[1] Operand 1
     /*  914333 */     // No operand predicates
     /*  914333 */     // MIs[0] policy
     /*  914333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914367 */     GIR_RootConstrainSelectedInstOperands,
     /*  914368 */     // GIR_Coverage, 23602,
     /*  914368 */     GIR_EraseRootFromParent_Done,
     /*  914369 */   // Label 13896: @914369
     /*  914369 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(914457), // Rule ID 23605 //
     /*  914374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914421 */     // MIs[1] Operand 1
     /*  914421 */     // No operand predicates
     /*  914421 */     // MIs[0] policy
     /*  914421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914455 */     GIR_RootConstrainSelectedInstOperands,
     /*  914456 */     // GIR_Coverage, 23605,
     /*  914456 */     GIR_EraseRootFromParent_Done,
     /*  914457 */   // Label 13897: @914457
     /*  914457 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(914545), // Rule ID 23606 //
     /*  914462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914509 */     // MIs[1] Operand 1
     /*  914509 */     // No operand predicates
     /*  914509 */     // MIs[0] policy
     /*  914509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914521 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914543 */     GIR_RootConstrainSelectedInstOperands,
     /*  914544 */     // GIR_Coverage, 23606,
     /*  914544 */     GIR_EraseRootFromParent_Done,
     /*  914545 */   // Label 13898: @914545
     /*  914545 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(914633), // Rule ID 23609 //
     /*  914550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  914567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914597 */     // MIs[1] Operand 1
     /*  914597 */     // No operand predicates
     /*  914597 */     // MIs[0] policy
     /*  914597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914631 */     GIR_RootConstrainSelectedInstOperands,
     /*  914632 */     // GIR_Coverage, 23609,
     /*  914632 */     GIR_EraseRootFromParent_Done,
     /*  914633 */   // Label 13899: @914633
     /*  914633 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(914721), // Rule ID 23610 //
     /*  914638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  914641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  914655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914685 */     // MIs[1] Operand 1
     /*  914685 */     // No operand predicates
     /*  914685 */     // MIs[0] policy
     /*  914685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914719 */     GIR_RootConstrainSelectedInstOperands,
     /*  914720 */     // GIR_Coverage, 23610,
     /*  914720 */     GIR_EraseRootFromParent_Done,
     /*  914721 */   // Label 13900: @914721
     /*  914721 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(914809), // Rule ID 23613 //
     /*  914726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  914737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  914740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  914743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914773 */     // MIs[1] Operand 1
     /*  914773 */     // No operand predicates
     /*  914773 */     // MIs[0] policy
     /*  914773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914785 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914807 */     GIR_RootConstrainSelectedInstOperands,
     /*  914808 */     // GIR_Coverage, 23613,
     /*  914808 */     GIR_EraseRootFromParent_Done,
     /*  914809 */   // Label 13901: @914809
     /*  914809 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(914897), // Rule ID 23614 //
     /*  914814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  914825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  914828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  914831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914861 */     // MIs[1] Operand 1
     /*  914861 */     // No operand predicates
     /*  914861 */     // MIs[0] policy
     /*  914861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914895 */     GIR_RootConstrainSelectedInstOperands,
     /*  914896 */     // GIR_Coverage, 23614,
     /*  914896 */     GIR_EraseRootFromParent_Done,
     /*  914897 */   // Label 13902: @914897
     /*  914897 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(914985), // Rule ID 23617 //
     /*  914902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  914913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  914916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  914919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914949 */     // MIs[1] Operand 1
     /*  914949 */     // No operand predicates
     /*  914949 */     // MIs[0] policy
     /*  914949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  914964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914983 */     GIR_RootConstrainSelectedInstOperands,
     /*  914984 */     // GIR_Coverage, 23617,
     /*  914984 */     GIR_EraseRootFromParent_Done,
     /*  914985 */   // Label 13903: @914985
     /*  914985 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(915073), // Rule ID 23618 //
     /*  914990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  915001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  915004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  915007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915037 */     // MIs[1] Operand 1
     /*  915037 */     // No operand predicates
     /*  915037 */     // MIs[0] policy
     /*  915037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915049 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915071 */     GIR_RootConstrainSelectedInstOperands,
     /*  915072 */     // GIR_Coverage, 23618,
     /*  915072 */     GIR_EraseRootFromParent_Done,
     /*  915073 */   // Label 13904: @915073
     /*  915073 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(915161), // Rule ID 23621 //
     /*  915078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915125 */     // MIs[1] Operand 1
     /*  915125 */     // No operand predicates
     /*  915125 */     // MIs[0] policy
     /*  915125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915137 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915159 */     GIR_RootConstrainSelectedInstOperands,
     /*  915160 */     // GIR_Coverage, 23621,
     /*  915160 */     GIR_EraseRootFromParent_Done,
     /*  915161 */   // Label 13905: @915161
     /*  915161 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(915249), // Rule ID 23622 //
     /*  915166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915213 */     // MIs[1] Operand 1
     /*  915213 */     // No operand predicates
     /*  915213 */     // MIs[0] policy
     /*  915213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915225 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915247 */     GIR_RootConstrainSelectedInstOperands,
     /*  915248 */     // GIR_Coverage, 23622,
     /*  915248 */     GIR_EraseRootFromParent_Done,
     /*  915249 */   // Label 13906: @915249
     /*  915249 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(915337), // Rule ID 23625 //
     /*  915254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915301 */     // MIs[1] Operand 1
     /*  915301 */     // No operand predicates
     /*  915301 */     // MIs[0] policy
     /*  915301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915313 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915335 */     GIR_RootConstrainSelectedInstOperands,
     /*  915336 */     // GIR_Coverage, 23625,
     /*  915336 */     GIR_EraseRootFromParent_Done,
     /*  915337 */   // Label 13907: @915337
     /*  915337 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(915425), // Rule ID 23626 //
     /*  915342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915389 */     // MIs[1] Operand 1
     /*  915389 */     // No operand predicates
     /*  915389 */     // MIs[0] policy
     /*  915389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915423 */     GIR_RootConstrainSelectedInstOperands,
     /*  915424 */     // GIR_Coverage, 23626,
     /*  915424 */     GIR_EraseRootFromParent_Done,
     /*  915425 */   // Label 13908: @915425
     /*  915425 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(915513), // Rule ID 23629 //
     /*  915430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915477 */     // MIs[1] Operand 1
     /*  915477 */     // No operand predicates
     /*  915477 */     // MIs[0] policy
     /*  915477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915511 */     GIR_RootConstrainSelectedInstOperands,
     /*  915512 */     // GIR_Coverage, 23629,
     /*  915512 */     GIR_EraseRootFromParent_Done,
     /*  915513 */   // Label 13909: @915513
     /*  915513 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(915601), // Rule ID 23630 //
     /*  915518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915565 */     // MIs[1] Operand 1
     /*  915565 */     // No operand predicates
     /*  915565 */     // MIs[0] policy
     /*  915565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915599 */     GIR_RootConstrainSelectedInstOperands,
     /*  915600 */     // GIR_Coverage, 23630,
     /*  915600 */     GIR_EraseRootFromParent_Done,
     /*  915601 */   // Label 13910: @915601
     /*  915601 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(915689), // Rule ID 23633 //
     /*  915606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  915620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  915623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915653 */     // MIs[1] Operand 1
     /*  915653 */     // No operand predicates
     /*  915653 */     // MIs[0] policy
     /*  915653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915665 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915687 */     GIR_RootConstrainSelectedInstOperands,
     /*  915688 */     // GIR_Coverage, 23633,
     /*  915688 */     GIR_EraseRootFromParent_Done,
     /*  915689 */   // Label 13911: @915689
     /*  915689 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(915777), // Rule ID 23634 //
     /*  915694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  915708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  915711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915741 */     // MIs[1] Operand 1
     /*  915741 */     // No operand predicates
     /*  915741 */     // MIs[0] policy
     /*  915741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915775 */     GIR_RootConstrainSelectedInstOperands,
     /*  915776 */     // GIR_Coverage, 23634,
     /*  915776 */     GIR_EraseRootFromParent_Done,
     /*  915777 */   // Label 13912: @915777
     /*  915777 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(915865), // Rule ID 23637 //
     /*  915782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  915796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915829 */     // MIs[1] Operand 1
     /*  915829 */     // No operand predicates
     /*  915829 */     // MIs[0] policy
     /*  915829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915841 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915863 */     GIR_RootConstrainSelectedInstOperands,
     /*  915864 */     // GIR_Coverage, 23637,
     /*  915864 */     GIR_EraseRootFromParent_Done,
     /*  915865 */   // Label 13913: @915865
     /*  915865 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(915953), // Rule ID 23638 //
     /*  915870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  915884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915917 */     // MIs[1] Operand 1
     /*  915917 */     // No operand predicates
     /*  915917 */     // MIs[0] policy
     /*  915917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915929 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915951 */     GIR_RootConstrainSelectedInstOperands,
     /*  915952 */     // GIR_Coverage, 23638,
     /*  915952 */     GIR_EraseRootFromParent_Done,
     /*  915953 */   // Label 13914: @915953
     /*  915953 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(916041), // Rule ID 23641 //
     /*  915958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  915972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  915975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916005 */     // MIs[1] Operand 1
     /*  916005 */     // No operand predicates
     /*  916005 */     // MIs[0] policy
     /*  916005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916039 */     GIR_RootConstrainSelectedInstOperands,
     /*  916040 */     // GIR_Coverage, 23641,
     /*  916040 */     GIR_EraseRootFromParent_Done,
     /*  916041 */   // Label 13915: @916041
     /*  916041 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(916129), // Rule ID 23642 //
     /*  916046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916093 */     // MIs[1] Operand 1
     /*  916093 */     // No operand predicates
     /*  916093 */     // MIs[0] policy
     /*  916093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916105 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916127 */     GIR_RootConstrainSelectedInstOperands,
     /*  916128 */     // GIR_Coverage, 23642,
     /*  916128 */     GIR_EraseRootFromParent_Done,
     /*  916129 */   // Label 13916: @916129
     /*  916129 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(916217), // Rule ID 23645 //
     /*  916134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916181 */     // MIs[1] Operand 1
     /*  916181 */     // No operand predicates
     /*  916181 */     // MIs[0] policy
     /*  916181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916215 */     GIR_RootConstrainSelectedInstOperands,
     /*  916216 */     // GIR_Coverage, 23645,
     /*  916216 */     GIR_EraseRootFromParent_Done,
     /*  916217 */   // Label 13917: @916217
     /*  916217 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(916305), // Rule ID 23646 //
     /*  916222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916269 */     // MIs[1] Operand 1
     /*  916269 */     // No operand predicates
     /*  916269 */     // MIs[0] policy
     /*  916269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916303 */     GIR_RootConstrainSelectedInstOperands,
     /*  916304 */     // GIR_Coverage, 23646,
     /*  916304 */     GIR_EraseRootFromParent_Done,
     /*  916305 */   // Label 13918: @916305
     /*  916305 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(916393), // Rule ID 23649 //
     /*  916310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916357 */     // MIs[1] Operand 1
     /*  916357 */     // No operand predicates
     /*  916357 */     // MIs[0] policy
     /*  916357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916391 */     GIR_RootConstrainSelectedInstOperands,
     /*  916392 */     // GIR_Coverage, 23649,
     /*  916392 */     GIR_EraseRootFromParent_Done,
     /*  916393 */   // Label 13919: @916393
     /*  916393 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(916481), // Rule ID 23650 //
     /*  916398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916445 */     // MIs[1] Operand 1
     /*  916445 */     // No operand predicates
     /*  916445 */     // MIs[0] policy
     /*  916445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916457 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916479 */     GIR_RootConstrainSelectedInstOperands,
     /*  916480 */     // GIR_Coverage, 23650,
     /*  916480 */     GIR_EraseRootFromParent_Done,
     /*  916481 */   // Label 13920: @916481
     /*  916481 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(916569), // Rule ID 23653 //
     /*  916486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916533 */     // MIs[1] Operand 1
     /*  916533 */     // No operand predicates
     /*  916533 */     // MIs[0] policy
     /*  916533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916545 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916567 */     GIR_RootConstrainSelectedInstOperands,
     /*  916568 */     // GIR_Coverage, 23653,
     /*  916568 */     GIR_EraseRootFromParent_Done,
     /*  916569 */   // Label 13921: @916569
     /*  916569 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(916657), // Rule ID 23654 //
     /*  916574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916621 */     // MIs[1] Operand 1
     /*  916621 */     // No operand predicates
     /*  916621 */     // MIs[0] policy
     /*  916621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916655 */     GIR_RootConstrainSelectedInstOperands,
     /*  916656 */     // GIR_Coverage, 23654,
     /*  916656 */     GIR_EraseRootFromParent_Done,
     /*  916657 */   // Label 13922: @916657
     /*  916657 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(916745), // Rule ID 23657 //
     /*  916662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916709 */     // MIs[1] Operand 1
     /*  916709 */     // No operand predicates
     /*  916709 */     // MIs[0] policy
     /*  916709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916743 */     GIR_RootConstrainSelectedInstOperands,
     /*  916744 */     // GIR_Coverage, 23657,
     /*  916744 */     GIR_EraseRootFromParent_Done,
     /*  916745 */   // Label 13923: @916745
     /*  916745 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(916833), // Rule ID 23658 //
     /*  916750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916797 */     // MIs[1] Operand 1
     /*  916797 */     // No operand predicates
     /*  916797 */     // MIs[0] policy
     /*  916797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916831 */     GIR_RootConstrainSelectedInstOperands,
     /*  916832 */     // GIR_Coverage, 23658,
     /*  916832 */     GIR_EraseRootFromParent_Done,
     /*  916833 */   // Label 13924: @916833
     /*  916833 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(916921), // Rule ID 23749 //
     /*  916838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  916849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  916852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916885 */     // MIs[1] Operand 1
     /*  916885 */     // No operand predicates
     /*  916885 */     // MIs[0] policy
     /*  916885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916897 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  916900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916919 */     GIR_RootConstrainSelectedInstOperands,
     /*  916920 */     // GIR_Coverage, 23749,
     /*  916920 */     GIR_EraseRootFromParent_Done,
     /*  916921 */   // Label 13925: @916921
     /*  916921 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(917009), // Rule ID 23750 //
     /*  916926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  916937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  916940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916973 */     // MIs[1] Operand 1
     /*  916973 */     // No operand predicates
     /*  916973 */     // MIs[0] policy
     /*  916973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916985 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  916988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917007 */     GIR_RootConstrainSelectedInstOperands,
     /*  917008 */     // GIR_Coverage, 23750,
     /*  917008 */     GIR_EraseRootFromParent_Done,
     /*  917009 */   // Label 13926: @917009
     /*  917009 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(917097), // Rule ID 23753 //
     /*  917014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917061 */     // MIs[1] Operand 1
     /*  917061 */     // No operand predicates
     /*  917061 */     // MIs[0] policy
     /*  917061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917095 */     GIR_RootConstrainSelectedInstOperands,
     /*  917096 */     // GIR_Coverage, 23753,
     /*  917096 */     GIR_EraseRootFromParent_Done,
     /*  917097 */   // Label 13927: @917097
     /*  917097 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(917185), // Rule ID 23754 //
     /*  917102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917149 */     // MIs[1] Operand 1
     /*  917149 */     // No operand predicates
     /*  917149 */     // MIs[0] policy
     /*  917149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917183 */     GIR_RootConstrainSelectedInstOperands,
     /*  917184 */     // GIR_Coverage, 23754,
     /*  917184 */     GIR_EraseRootFromParent_Done,
     /*  917185 */   // Label 13928: @917185
     /*  917185 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(917273), // Rule ID 23757 //
     /*  917190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917237 */     // MIs[1] Operand 1
     /*  917237 */     // No operand predicates
     /*  917237 */     // MIs[0] policy
     /*  917237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917249 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917271 */     GIR_RootConstrainSelectedInstOperands,
     /*  917272 */     // GIR_Coverage, 23757,
     /*  917272 */     GIR_EraseRootFromParent_Done,
     /*  917273 */   // Label 13929: @917273
     /*  917273 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(917361), // Rule ID 23758 //
     /*  917278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917325 */     // MIs[1] Operand 1
     /*  917325 */     // No operand predicates
     /*  917325 */     // MIs[0] policy
     /*  917325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917337 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917359 */     GIR_RootConstrainSelectedInstOperands,
     /*  917360 */     // GIR_Coverage, 23758,
     /*  917360 */     GIR_EraseRootFromParent_Done,
     /*  917361 */   // Label 13930: @917361
     /*  917361 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(917449), // Rule ID 23761 //
     /*  917366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917413 */     // MIs[1] Operand 1
     /*  917413 */     // No operand predicates
     /*  917413 */     // MIs[0] policy
     /*  917413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917425 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917447 */     GIR_RootConstrainSelectedInstOperands,
     /*  917448 */     // GIR_Coverage, 23761,
     /*  917448 */     GIR_EraseRootFromParent_Done,
     /*  917449 */   // Label 13931: @917449
     /*  917449 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(917537), // Rule ID 23762 //
     /*  917454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917501 */     // MIs[1] Operand 1
     /*  917501 */     // No operand predicates
     /*  917501 */     // MIs[0] policy
     /*  917501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917513 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917535 */     GIR_RootConstrainSelectedInstOperands,
     /*  917536 */     // GIR_Coverage, 23762,
     /*  917536 */     GIR_EraseRootFromParent_Done,
     /*  917537 */   // Label 13932: @917537
     /*  917537 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(917625), // Rule ID 23765 //
     /*  917542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917589 */     // MIs[1] Operand 1
     /*  917589 */     // No operand predicates
     /*  917589 */     // MIs[0] policy
     /*  917589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917601 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917623 */     GIR_RootConstrainSelectedInstOperands,
     /*  917624 */     // GIR_Coverage, 23765,
     /*  917624 */     GIR_EraseRootFromParent_Done,
     /*  917625 */   // Label 13933: @917625
     /*  917625 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(917713), // Rule ID 23766 //
     /*  917630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917677 */     // MIs[1] Operand 1
     /*  917677 */     // No operand predicates
     /*  917677 */     // MIs[0] policy
     /*  917677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917689 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917711 */     GIR_RootConstrainSelectedInstOperands,
     /*  917712 */     // GIR_Coverage, 23766,
     /*  917712 */     GIR_EraseRootFromParent_Done,
     /*  917713 */   // Label 13934: @917713
     /*  917713 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(917801), // Rule ID 23769 //
     /*  917718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917765 */     // MIs[1] Operand 1
     /*  917765 */     // No operand predicates
     /*  917765 */     // MIs[0] policy
     /*  917765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917777 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917799 */     GIR_RootConstrainSelectedInstOperands,
     /*  917800 */     // GIR_Coverage, 23769,
     /*  917800 */     GIR_EraseRootFromParent_Done,
     /*  917801 */   // Label 13935: @917801
     /*  917801 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(917889), // Rule ID 23770 //
     /*  917806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917853 */     // MIs[1] Operand 1
     /*  917853 */     // No operand predicates
     /*  917853 */     // MIs[0] policy
     /*  917853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917887 */     GIR_RootConstrainSelectedInstOperands,
     /*  917888 */     // GIR_Coverage, 23770,
     /*  917888 */     GIR_EraseRootFromParent_Done,
     /*  917889 */   // Label 13936: @917889
     /*  917889 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(917977), // Rule ID 23773 //
     /*  917894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  917905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  917908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  917911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917941 */     // MIs[1] Operand 1
     /*  917941 */     // No operand predicates
     /*  917941 */     // MIs[0] policy
     /*  917941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917975 */     GIR_RootConstrainSelectedInstOperands,
     /*  917976 */     // GIR_Coverage, 23773,
     /*  917976 */     GIR_EraseRootFromParent_Done,
     /*  917977 */   // Label 13937: @917977
     /*  917977 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(918065), // Rule ID 23774 //
     /*  917982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  917993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  917996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  917999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918029 */     // MIs[1] Operand 1
     /*  918029 */     // No operand predicates
     /*  918029 */     // MIs[0] policy
     /*  918029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918063 */     GIR_RootConstrainSelectedInstOperands,
     /*  918064 */     // GIR_Coverage, 23774,
     /*  918064 */     GIR_EraseRootFromParent_Done,
     /*  918065 */   // Label 13938: @918065
     /*  918065 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(918153), // Rule ID 23777 //
     /*  918070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918117 */     // MIs[1] Operand 1
     /*  918117 */     // No operand predicates
     /*  918117 */     // MIs[0] policy
     /*  918117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918151 */     GIR_RootConstrainSelectedInstOperands,
     /*  918152 */     // GIR_Coverage, 23777,
     /*  918152 */     GIR_EraseRootFromParent_Done,
     /*  918153 */   // Label 13939: @918153
     /*  918153 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(918241), // Rule ID 23778 //
     /*  918158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918205 */     // MIs[1] Operand 1
     /*  918205 */     // No operand predicates
     /*  918205 */     // MIs[0] policy
     /*  918205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918239 */     GIR_RootConstrainSelectedInstOperands,
     /*  918240 */     // GIR_Coverage, 23778,
     /*  918240 */     GIR_EraseRootFromParent_Done,
     /*  918241 */   // Label 13940: @918241
     /*  918241 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(918329), // Rule ID 23781 //
     /*  918246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918293 */     // MIs[1] Operand 1
     /*  918293 */     // No operand predicates
     /*  918293 */     // MIs[0] policy
     /*  918293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918327 */     GIR_RootConstrainSelectedInstOperands,
     /*  918328 */     // GIR_Coverage, 23781,
     /*  918328 */     GIR_EraseRootFromParent_Done,
     /*  918329 */   // Label 13941: @918329
     /*  918329 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(918417), // Rule ID 23782 //
     /*  918334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918381 */     // MIs[1] Operand 1
     /*  918381 */     // No operand predicates
     /*  918381 */     // MIs[0] policy
     /*  918381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918415 */     GIR_RootConstrainSelectedInstOperands,
     /*  918416 */     // GIR_Coverage, 23782,
     /*  918416 */     GIR_EraseRootFromParent_Done,
     /*  918417 */   // Label 13942: @918417
     /*  918417 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(918505), // Rule ID 23785 //
     /*  918422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  918425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918469 */     // MIs[1] Operand 1
     /*  918469 */     // No operand predicates
     /*  918469 */     // MIs[0] policy
     /*  918469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918503 */     GIR_RootConstrainSelectedInstOperands,
     /*  918504 */     // GIR_Coverage, 23785,
     /*  918504 */     GIR_EraseRootFromParent_Done,
     /*  918505 */   // Label 13943: @918505
     /*  918505 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(918593), // Rule ID 23786 //
     /*  918510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  918513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918557 */     // MIs[1] Operand 1
     /*  918557 */     // No operand predicates
     /*  918557 */     // MIs[0] policy
     /*  918557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918591 */     GIR_RootConstrainSelectedInstOperands,
     /*  918592 */     // GIR_Coverage, 23786,
     /*  918592 */     GIR_EraseRootFromParent_Done,
     /*  918593 */   // Label 13944: @918593
     /*  918593 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(918681), // Rule ID 23789 //
     /*  918598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  918609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  918612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  918615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918645 */     // MIs[1] Operand 1
     /*  918645 */     // No operand predicates
     /*  918645 */     // MIs[0] policy
     /*  918645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918657 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918679 */     GIR_RootConstrainSelectedInstOperands,
     /*  918680 */     // GIR_Coverage, 23789,
     /*  918680 */     GIR_EraseRootFromParent_Done,
     /*  918681 */   // Label 13945: @918681
     /*  918681 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(918769), // Rule ID 23790 //
     /*  918686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  918697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  918700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  918703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918733 */     // MIs[1] Operand 1
     /*  918733 */     // No operand predicates
     /*  918733 */     // MIs[0] policy
     /*  918733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918767 */     GIR_RootConstrainSelectedInstOperands,
     /*  918768 */     // GIR_Coverage, 23790,
     /*  918768 */     GIR_EraseRootFromParent_Done,
     /*  918769 */   // Label 13946: @918769
     /*  918769 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(918857), // Rule ID 23793 //
     /*  918774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  918785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  918788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  918791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918821 */     // MIs[1] Operand 1
     /*  918821 */     // No operand predicates
     /*  918821 */     // MIs[0] policy
     /*  918821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918855 */     GIR_RootConstrainSelectedInstOperands,
     /*  918856 */     // GIR_Coverage, 23793,
     /*  918856 */     GIR_EraseRootFromParent_Done,
     /*  918857 */   // Label 13947: @918857
     /*  918857 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(918945), // Rule ID 23794 //
     /*  918862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  918873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  918876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  918879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918909 */     // MIs[1] Operand 1
     /*  918909 */     // No operand predicates
     /*  918909 */     // MIs[0] policy
     /*  918909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918943 */     GIR_RootConstrainSelectedInstOperands,
     /*  918944 */     // GIR_Coverage, 23794,
     /*  918944 */     GIR_EraseRootFromParent_Done,
     /*  918945 */   // Label 13948: @918945
     /*  918945 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(919033), // Rule ID 23797 //
     /*  918950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  918961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  918964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  918967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918997 */     // MIs[1] Operand 1
     /*  918997 */     // No operand predicates
     /*  918997 */     // MIs[0] policy
     /*  918997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919009 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919031 */     GIR_RootConstrainSelectedInstOperands,
     /*  919032 */     // GIR_Coverage, 23797,
     /*  919032 */     GIR_EraseRootFromParent_Done,
     /*  919033 */   // Label 13949: @919033
     /*  919033 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(919121), // Rule ID 23798 //
     /*  919038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919085 */     // MIs[1] Operand 1
     /*  919085 */     // No operand predicates
     /*  919085 */     // MIs[0] policy
     /*  919085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919119 */     GIR_RootConstrainSelectedInstOperands,
     /*  919120 */     // GIR_Coverage, 23798,
     /*  919120 */     GIR_EraseRootFromParent_Done,
     /*  919121 */   // Label 13950: @919121
     /*  919121 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(919209), // Rule ID 23801 //
     /*  919126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919173 */     // MIs[1] Operand 1
     /*  919173 */     // No operand predicates
     /*  919173 */     // MIs[0] policy
     /*  919173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919185 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919207 */     GIR_RootConstrainSelectedInstOperands,
     /*  919208 */     // GIR_Coverage, 23801,
     /*  919208 */     GIR_EraseRootFromParent_Done,
     /*  919209 */   // Label 13951: @919209
     /*  919209 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(919297), // Rule ID 23802 //
     /*  919214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919261 */     // MIs[1] Operand 1
     /*  919261 */     // No operand predicates
     /*  919261 */     // MIs[0] policy
     /*  919261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919273 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919295 */     GIR_RootConstrainSelectedInstOperands,
     /*  919296 */     // GIR_Coverage, 23802,
     /*  919296 */     GIR_EraseRootFromParent_Done,
     /*  919297 */   // Label 13952: @919297
     /*  919297 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(919385), // Rule ID 23805 //
     /*  919302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919349 */     // MIs[1] Operand 1
     /*  919349 */     // No operand predicates
     /*  919349 */     // MIs[0] policy
     /*  919349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919361 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919383 */     GIR_RootConstrainSelectedInstOperands,
     /*  919384 */     // GIR_Coverage, 23805,
     /*  919384 */     GIR_EraseRootFromParent_Done,
     /*  919385 */   // Label 13953: @919385
     /*  919385 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(919473), // Rule ID 23806 //
     /*  919390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919437 */     // MIs[1] Operand 1
     /*  919437 */     // No operand predicates
     /*  919437 */     // MIs[0] policy
     /*  919437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919471 */     GIR_RootConstrainSelectedInstOperands,
     /*  919472 */     // GIR_Coverage, 23806,
     /*  919472 */     GIR_EraseRootFromParent_Done,
     /*  919473 */   // Label 13954: @919473
     /*  919473 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(919561), // Rule ID 23809 //
     /*  919478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919525 */     // MIs[1] Operand 1
     /*  919525 */     // No operand predicates
     /*  919525 */     // MIs[0] policy
     /*  919525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919537 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919559 */     GIR_RootConstrainSelectedInstOperands,
     /*  919560 */     // GIR_Coverage, 23809,
     /*  919560 */     GIR_EraseRootFromParent_Done,
     /*  919561 */   // Label 13955: @919561
     /*  919561 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(919649), // Rule ID 23810 //
     /*  919566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919613 */     // MIs[1] Operand 1
     /*  919613 */     // No operand predicates
     /*  919613 */     // MIs[0] policy
     /*  919613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919625 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919647 */     GIR_RootConstrainSelectedInstOperands,
     /*  919648 */     // GIR_Coverage, 23810,
     /*  919648 */     GIR_EraseRootFromParent_Done,
     /*  919649 */   // Label 13956: @919649
     /*  919649 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(919737), // Rule ID 23813 //
     /*  919654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  919665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  919668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  919671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919701 */     // MIs[1] Operand 1
     /*  919701 */     // No operand predicates
     /*  919701 */     // MIs[0] policy
     /*  919701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919713 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919735 */     GIR_RootConstrainSelectedInstOperands,
     /*  919736 */     // GIR_Coverage, 23813,
     /*  919736 */     GIR_EraseRootFromParent_Done,
     /*  919737 */   // Label 13957: @919737
     /*  919737 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(919825), // Rule ID 23814 //
     /*  919742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  919753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  919756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  919759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919789 */     // MIs[1] Operand 1
     /*  919789 */     // No operand predicates
     /*  919789 */     // MIs[0] policy
     /*  919789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919823 */     GIR_RootConstrainSelectedInstOperands,
     /*  919824 */     // GIR_Coverage, 23814,
     /*  919824 */     GIR_EraseRootFromParent_Done,
     /*  919825 */   // Label 13958: @919825
     /*  919825 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(919913), // Rule ID 23817 //
     /*  919830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  919841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  919844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  919847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919877 */     // MIs[1] Operand 1
     /*  919877 */     // No operand predicates
     /*  919877 */     // MIs[0] policy
     /*  919877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919911 */     GIR_RootConstrainSelectedInstOperands,
     /*  919912 */     // GIR_Coverage, 23817,
     /*  919912 */     GIR_EraseRootFromParent_Done,
     /*  919913 */   // Label 13959: @919913
     /*  919913 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(920001), // Rule ID 23818 //
     /*  919918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  919929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  919932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  919935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919965 */     // MIs[1] Operand 1
     /*  919965 */     // No operand predicates
     /*  919965 */     // MIs[0] policy
     /*  919965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919999 */     GIR_RootConstrainSelectedInstOperands,
     /*  920000 */     // GIR_Coverage, 23818,
     /*  920000 */     GIR_EraseRootFromParent_Done,
     /*  920001 */   // Label 13960: @920001
     /*  920001 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(920089), // Rule ID 23821 //
     /*  920006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920053 */     // MIs[1] Operand 1
     /*  920053 */     // No operand predicates
     /*  920053 */     // MIs[0] policy
     /*  920053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920065 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920087 */     GIR_RootConstrainSelectedInstOperands,
     /*  920088 */     // GIR_Coverage, 23821,
     /*  920088 */     GIR_EraseRootFromParent_Done,
     /*  920089 */   // Label 13961: @920089
     /*  920089 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(920177), // Rule ID 23822 //
     /*  920094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920141 */     // MIs[1] Operand 1
     /*  920141 */     // No operand predicates
     /*  920141 */     // MIs[0] policy
     /*  920141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920175 */     GIR_RootConstrainSelectedInstOperands,
     /*  920176 */     // GIR_Coverage, 23822,
     /*  920176 */     GIR_EraseRootFromParent_Done,
     /*  920177 */   // Label 13962: @920177
     /*  920177 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(920265), // Rule ID 23825 //
     /*  920182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920229 */     // MIs[1] Operand 1
     /*  920229 */     // No operand predicates
     /*  920229 */     // MIs[0] policy
     /*  920229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920263 */     GIR_RootConstrainSelectedInstOperands,
     /*  920264 */     // GIR_Coverage, 23825,
     /*  920264 */     GIR_EraseRootFromParent_Done,
     /*  920265 */   // Label 13963: @920265
     /*  920265 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(920353), // Rule ID 23826 //
     /*  920270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920317 */     // MIs[1] Operand 1
     /*  920317 */     // No operand predicates
     /*  920317 */     // MIs[0] policy
     /*  920317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920351 */     GIR_RootConstrainSelectedInstOperands,
     /*  920352 */     // GIR_Coverage, 23826,
     /*  920352 */     GIR_EraseRootFromParent_Done,
     /*  920353 */   // Label 13964: @920353
     /*  920353 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(920441), // Rule ID 23829 //
     /*  920358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920405 */     // MIs[1] Operand 1
     /*  920405 */     // No operand predicates
     /*  920405 */     // MIs[0] policy
     /*  920405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920439 */     GIR_RootConstrainSelectedInstOperands,
     /*  920440 */     // GIR_Coverage, 23829,
     /*  920440 */     GIR_EraseRootFromParent_Done,
     /*  920441 */   // Label 13965: @920441
     /*  920441 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(920529), // Rule ID 23830 //
     /*  920446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920493 */     // MIs[1] Operand 1
     /*  920493 */     // No operand predicates
     /*  920493 */     // MIs[0] policy
     /*  920493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920505 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920527 */     GIR_RootConstrainSelectedInstOperands,
     /*  920528 */     // GIR_Coverage, 23830,
     /*  920528 */     GIR_EraseRootFromParent_Done,
     /*  920529 */   // Label 13966: @920529
     /*  920529 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(920617), // Rule ID 23833 //
     /*  920534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  920545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  920548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  920551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920581 */     // MIs[1] Operand 1
     /*  920581 */     // No operand predicates
     /*  920581 */     // MIs[0] policy
     /*  920581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920615 */     GIR_RootConstrainSelectedInstOperands,
     /*  920616 */     // GIR_Coverage, 23833,
     /*  920616 */     GIR_EraseRootFromParent_Done,
     /*  920617 */   // Label 13967: @920617
     /*  920617 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(920705), // Rule ID 23834 //
     /*  920622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  920633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  920636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  920639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920669 */     // MIs[1] Operand 1
     /*  920669 */     // No operand predicates
     /*  920669 */     // MIs[0] policy
     /*  920669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920681 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920703 */     GIR_RootConstrainSelectedInstOperands,
     /*  920704 */     // GIR_Coverage, 23834,
     /*  920704 */     GIR_EraseRootFromParent_Done,
     /*  920705 */   // Label 13968: @920705
     /*  920705 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(920793), // Rule ID 24073 //
     /*  920710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  920727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920757 */     // MIs[1] Operand 1
     /*  920757 */     // No operand predicates
     /*  920757 */     // MIs[0] policy
     /*  920757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920769 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  920772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920791 */     GIR_RootConstrainSelectedInstOperands,
     /*  920792 */     // GIR_Coverage, 24073,
     /*  920792 */     GIR_EraseRootFromParent_Done,
     /*  920793 */   // Label 13969: @920793
     /*  920793 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(920881), // Rule ID 24074 //
     /*  920798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  920815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920845 */     // MIs[1] Operand 1
     /*  920845 */     // No operand predicates
     /*  920845 */     // MIs[0] policy
     /*  920845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920857 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  920860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920879 */     GIR_RootConstrainSelectedInstOperands,
     /*  920880 */     // GIR_Coverage, 24074,
     /*  920880 */     GIR_EraseRootFromParent_Done,
     /*  920881 */   // Label 13970: @920881
     /*  920881 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(920969), // Rule ID 24077 //
     /*  920886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920933 */     // MIs[1] Operand 1
     /*  920933 */     // No operand predicates
     /*  920933 */     // MIs[0] policy
     /*  920933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920945 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  920948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920967 */     GIR_RootConstrainSelectedInstOperands,
     /*  920968 */     // GIR_Coverage, 24077,
     /*  920968 */     GIR_EraseRootFromParent_Done,
     /*  920969 */   // Label 13971: @920969
     /*  920969 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(921057), // Rule ID 24078 //
     /*  920974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921021 */     // MIs[1] Operand 1
     /*  921021 */     // No operand predicates
     /*  921021 */     // MIs[0] policy
     /*  921021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921033 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921055 */     GIR_RootConstrainSelectedInstOperands,
     /*  921056 */     // GIR_Coverage, 24078,
     /*  921056 */     GIR_EraseRootFromParent_Done,
     /*  921057 */   // Label 13972: @921057
     /*  921057 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(921145), // Rule ID 24081 //
     /*  921062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921109 */     // MIs[1] Operand 1
     /*  921109 */     // No operand predicates
     /*  921109 */     // MIs[0] policy
     /*  921109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921121 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921143 */     GIR_RootConstrainSelectedInstOperands,
     /*  921144 */     // GIR_Coverage, 24081,
     /*  921144 */     GIR_EraseRootFromParent_Done,
     /*  921145 */   // Label 13973: @921145
     /*  921145 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(921233), // Rule ID 24082 //
     /*  921150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921197 */     // MIs[1] Operand 1
     /*  921197 */     // No operand predicates
     /*  921197 */     // MIs[0] policy
     /*  921197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921209 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921231 */     GIR_RootConstrainSelectedInstOperands,
     /*  921232 */     // GIR_Coverage, 24082,
     /*  921232 */     GIR_EraseRootFromParent_Done,
     /*  921233 */   // Label 13974: @921233
     /*  921233 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(921321), // Rule ID 24085 //
     /*  921238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921285 */     // MIs[1] Operand 1
     /*  921285 */     // No operand predicates
     /*  921285 */     // MIs[0] policy
     /*  921285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921297 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921319 */     GIR_RootConstrainSelectedInstOperands,
     /*  921320 */     // GIR_Coverage, 24085,
     /*  921320 */     GIR_EraseRootFromParent_Done,
     /*  921321 */   // Label 13975: @921321
     /*  921321 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(921409), // Rule ID 24086 //
     /*  921326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921373 */     // MIs[1] Operand 1
     /*  921373 */     // No operand predicates
     /*  921373 */     // MIs[0] policy
     /*  921373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921385 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921407 */     GIR_RootConstrainSelectedInstOperands,
     /*  921408 */     // GIR_Coverage, 24086,
     /*  921408 */     GIR_EraseRootFromParent_Done,
     /*  921409 */   // Label 13976: @921409
     /*  921409 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(921497), // Rule ID 24089 //
     /*  921414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921461 */     // MIs[1] Operand 1
     /*  921461 */     // No operand predicates
     /*  921461 */     // MIs[0] policy
     /*  921461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921473 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921495 */     GIR_RootConstrainSelectedInstOperands,
     /*  921496 */     // GIR_Coverage, 24089,
     /*  921496 */     GIR_EraseRootFromParent_Done,
     /*  921497 */   // Label 13977: @921497
     /*  921497 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(921585), // Rule ID 24090 //
     /*  921502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921549 */     // MIs[1] Operand 1
     /*  921549 */     // No operand predicates
     /*  921549 */     // MIs[0] policy
     /*  921549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921561 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921583 */     GIR_RootConstrainSelectedInstOperands,
     /*  921584 */     // GIR_Coverage, 24090,
     /*  921584 */     GIR_EraseRootFromParent_Done,
     /*  921585 */   // Label 13978: @921585
     /*  921585 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(921673), // Rule ID 24093 //
     /*  921590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  921593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921637 */     // MIs[1] Operand 1
     /*  921637 */     // No operand predicates
     /*  921637 */     // MIs[0] policy
     /*  921637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921649 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921671 */     GIR_RootConstrainSelectedInstOperands,
     /*  921672 */     // GIR_Coverage, 24093,
     /*  921672 */     GIR_EraseRootFromParent_Done,
     /*  921673 */   // Label 13979: @921673
     /*  921673 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(921761), // Rule ID 24094 //
     /*  921678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  921681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921725 */     // MIs[1] Operand 1
     /*  921725 */     // No operand predicates
     /*  921725 */     // MIs[0] policy
     /*  921725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921737 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921759 */     GIR_RootConstrainSelectedInstOperands,
     /*  921760 */     // GIR_Coverage, 24094,
     /*  921760 */     GIR_EraseRootFromParent_Done,
     /*  921761 */   // Label 13980: @921761
     /*  921761 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(921849), // Rule ID 24097 //
     /*  921766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  921777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  921780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  921783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921813 */     // MIs[1] Operand 1
     /*  921813 */     // No operand predicates
     /*  921813 */     // MIs[0] policy
     /*  921813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921825 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921847 */     GIR_RootConstrainSelectedInstOperands,
     /*  921848 */     // GIR_Coverage, 24097,
     /*  921848 */     GIR_EraseRootFromParent_Done,
     /*  921849 */   // Label 13981: @921849
     /*  921849 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(921937), // Rule ID 24098 //
     /*  921854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  921865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  921868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  921871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921901 */     // MIs[1] Operand 1
     /*  921901 */     // No operand predicates
     /*  921901 */     // MIs[0] policy
     /*  921901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921913 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921935 */     GIR_RootConstrainSelectedInstOperands,
     /*  921936 */     // GIR_Coverage, 24098,
     /*  921936 */     GIR_EraseRootFromParent_Done,
     /*  921937 */   // Label 13982: @921937
     /*  921937 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(922025), // Rule ID 24101 //
     /*  921942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  921953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  921956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  921959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921989 */     // MIs[1] Operand 1
     /*  921989 */     // No operand predicates
     /*  921989 */     // MIs[0] policy
     /*  921989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922001 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922023 */     GIR_RootConstrainSelectedInstOperands,
     /*  922024 */     // GIR_Coverage, 24101,
     /*  922024 */     GIR_EraseRootFromParent_Done,
     /*  922025 */   // Label 13983: @922025
     /*  922025 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(922113), // Rule ID 24102 //
     /*  922030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  922041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  922044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  922047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922077 */     // MIs[1] Operand 1
     /*  922077 */     // No operand predicates
     /*  922077 */     // MIs[0] policy
     /*  922077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922089 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922111 */     GIR_RootConstrainSelectedInstOperands,
     /*  922112 */     // GIR_Coverage, 24102,
     /*  922112 */     GIR_EraseRootFromParent_Done,
     /*  922113 */   // Label 13984: @922113
     /*  922113 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(922201), // Rule ID 24105 //
     /*  922118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922165 */     // MIs[1] Operand 1
     /*  922165 */     // No operand predicates
     /*  922165 */     // MIs[0] policy
     /*  922165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922199 */     GIR_RootConstrainSelectedInstOperands,
     /*  922200 */     // GIR_Coverage, 24105,
     /*  922200 */     GIR_EraseRootFromParent_Done,
     /*  922201 */   // Label 13985: @922201
     /*  922201 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(922289), // Rule ID 24106 //
     /*  922206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922253 */     // MIs[1] Operand 1
     /*  922253 */     // No operand predicates
     /*  922253 */     // MIs[0] policy
     /*  922253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922265 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922287 */     GIR_RootConstrainSelectedInstOperands,
     /*  922288 */     // GIR_Coverage, 24106,
     /*  922288 */     GIR_EraseRootFromParent_Done,
     /*  922289 */   // Label 13986: @922289
     /*  922289 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(922377), // Rule ID 24109 //
     /*  922294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922341 */     // MIs[1] Operand 1
     /*  922341 */     // No operand predicates
     /*  922341 */     // MIs[0] policy
     /*  922341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922353 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922375 */     GIR_RootConstrainSelectedInstOperands,
     /*  922376 */     // GIR_Coverage, 24109,
     /*  922376 */     GIR_EraseRootFromParent_Done,
     /*  922377 */   // Label 13987: @922377
     /*  922377 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(922465), // Rule ID 24110 //
     /*  922382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922429 */     // MIs[1] Operand 1
     /*  922429 */     // No operand predicates
     /*  922429 */     // MIs[0] policy
     /*  922429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922441 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922463 */     GIR_RootConstrainSelectedInstOperands,
     /*  922464 */     // GIR_Coverage, 24110,
     /*  922464 */     GIR_EraseRootFromParent_Done,
     /*  922465 */   // Label 13988: @922465
     /*  922465 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(922553), // Rule ID 24113 //
     /*  922470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922517 */     // MIs[1] Operand 1
     /*  922517 */     // No operand predicates
     /*  922517 */     // MIs[0] policy
     /*  922517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922529 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922551 */     GIR_RootConstrainSelectedInstOperands,
     /*  922552 */     // GIR_Coverage, 24113,
     /*  922552 */     GIR_EraseRootFromParent_Done,
     /*  922553 */   // Label 13989: @922553
     /*  922553 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(922641), // Rule ID 24114 //
     /*  922558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922605 */     // MIs[1] Operand 1
     /*  922605 */     // No operand predicates
     /*  922605 */     // MIs[0] policy
     /*  922605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922617 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922639 */     GIR_RootConstrainSelectedInstOperands,
     /*  922640 */     // GIR_Coverage, 24114,
     /*  922640 */     GIR_EraseRootFromParent_Done,
     /*  922641 */   // Label 13990: @922641
     /*  922641 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(922729), // Rule ID 24117 //
     /*  922646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  922663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922693 */     // MIs[1] Operand 1
     /*  922693 */     // No operand predicates
     /*  922693 */     // MIs[0] policy
     /*  922693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922705 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922727 */     GIR_RootConstrainSelectedInstOperands,
     /*  922728 */     // GIR_Coverage, 24117,
     /*  922728 */     GIR_EraseRootFromParent_Done,
     /*  922729 */   // Label 13991: @922729
     /*  922729 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(922817), // Rule ID 24118 //
     /*  922734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  922751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922781 */     // MIs[1] Operand 1
     /*  922781 */     // No operand predicates
     /*  922781 */     // MIs[0] policy
     /*  922781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922793 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922815 */     GIR_RootConstrainSelectedInstOperands,
     /*  922816 */     // GIR_Coverage, 24118,
     /*  922816 */     GIR_EraseRootFromParent_Done,
     /*  922817 */   // Label 13992: @922817
     /*  922817 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(922905), // Rule ID 24121 //
     /*  922822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  922825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  922839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922869 */     // MIs[1] Operand 1
     /*  922869 */     // No operand predicates
     /*  922869 */     // MIs[0] policy
     /*  922869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922881 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922903 */     GIR_RootConstrainSelectedInstOperands,
     /*  922904 */     // GIR_Coverage, 24121,
     /*  922904 */     GIR_EraseRootFromParent_Done,
     /*  922905 */   // Label 13993: @922905
     /*  922905 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(922993), // Rule ID 24122 //
     /*  922910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  922913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  922927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922957 */     // MIs[1] Operand 1
     /*  922957 */     // No operand predicates
     /*  922957 */     // MIs[0] policy
     /*  922957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922969 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922991 */     GIR_RootConstrainSelectedInstOperands,
     /*  922992 */     // GIR_Coverage, 24122,
     /*  922992 */     GIR_EraseRootFromParent_Done,
     /*  922993 */   // Label 13994: @922993
     /*  922993 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(923081), // Rule ID 24125 //
     /*  922998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923045 */     // MIs[1] Operand 1
     /*  923045 */     // No operand predicates
     /*  923045 */     // MIs[0] policy
     /*  923045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923057 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923079 */     GIR_RootConstrainSelectedInstOperands,
     /*  923080 */     // GIR_Coverage, 24125,
     /*  923080 */     GIR_EraseRootFromParent_Done,
     /*  923081 */   // Label 13995: @923081
     /*  923081 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(923169), // Rule ID 24126 //
     /*  923086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923133 */     // MIs[1] Operand 1
     /*  923133 */     // No operand predicates
     /*  923133 */     // MIs[0] policy
     /*  923133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923145 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923167 */     GIR_RootConstrainSelectedInstOperands,
     /*  923168 */     // GIR_Coverage, 24126,
     /*  923168 */     GIR_EraseRootFromParent_Done,
     /*  923169 */   // Label 13996: @923169
     /*  923169 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(923257), // Rule ID 24129 //
     /*  923174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923221 */     // MIs[1] Operand 1
     /*  923221 */     // No operand predicates
     /*  923221 */     // MIs[0] policy
     /*  923221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923233 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923255 */     GIR_RootConstrainSelectedInstOperands,
     /*  923256 */     // GIR_Coverage, 24129,
     /*  923256 */     GIR_EraseRootFromParent_Done,
     /*  923257 */   // Label 13997: @923257
     /*  923257 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(923345), // Rule ID 24130 //
     /*  923262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923309 */     // MIs[1] Operand 1
     /*  923309 */     // No operand predicates
     /*  923309 */     // MIs[0] policy
     /*  923309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923321 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923343 */     GIR_RootConstrainSelectedInstOperands,
     /*  923344 */     // GIR_Coverage, 24130,
     /*  923344 */     GIR_EraseRootFromParent_Done,
     /*  923345 */   // Label 13998: @923345
     /*  923345 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(923433), // Rule ID 24193 //
     /*  923350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923397 */     // MIs[1] Operand 1
     /*  923397 */     // No operand predicates
     /*  923397 */     // MIs[0] policy
     /*  923397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923409 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923431 */     GIR_RootConstrainSelectedInstOperands,
     /*  923432 */     // GIR_Coverage, 24193,
     /*  923432 */     GIR_EraseRootFromParent_Done,
     /*  923433 */   // Label 13999: @923433
     /*  923433 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(923521), // Rule ID 24194 //
     /*  923438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923485 */     // MIs[1] Operand 1
     /*  923485 */     // No operand predicates
     /*  923485 */     // MIs[0] policy
     /*  923485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923497 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923519 */     GIR_RootConstrainSelectedInstOperands,
     /*  923520 */     // GIR_Coverage, 24194,
     /*  923520 */     GIR_EraseRootFromParent_Done,
     /*  923521 */   // Label 14000: @923521
     /*  923521 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(923609), // Rule ID 24197 //
     /*  923526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923573 */     // MIs[1] Operand 1
     /*  923573 */     // No operand predicates
     /*  923573 */     // MIs[0] policy
     /*  923573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923585 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923607 */     GIR_RootConstrainSelectedInstOperands,
     /*  923608 */     // GIR_Coverage, 24197,
     /*  923608 */     GIR_EraseRootFromParent_Done,
     /*  923609 */   // Label 14001: @923609
     /*  923609 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(923697), // Rule ID 24198 //
     /*  923614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923661 */     // MIs[1] Operand 1
     /*  923661 */     // No operand predicates
     /*  923661 */     // MIs[0] policy
     /*  923661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923673 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923695 */     GIR_RootConstrainSelectedInstOperands,
     /*  923696 */     // GIR_Coverage, 24198,
     /*  923696 */     GIR_EraseRootFromParent_Done,
     /*  923697 */   // Label 14002: @923697
     /*  923697 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(923785), // Rule ID 24201 //
     /*  923702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  923705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  923713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  923716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  923719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923749 */     // MIs[1] Operand 1
     /*  923749 */     // No operand predicates
     /*  923749 */     // MIs[0] policy
     /*  923749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923761 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923783 */     GIR_RootConstrainSelectedInstOperands,
     /*  923784 */     // GIR_Coverage, 24201,
     /*  923784 */     GIR_EraseRootFromParent_Done,
     /*  923785 */   // Label 14003: @923785
     /*  923785 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(923873), // Rule ID 24202 //
     /*  923790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  923793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  923801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  923804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  923807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923837 */     // MIs[1] Operand 1
     /*  923837 */     // No operand predicates
     /*  923837 */     // MIs[0] policy
     /*  923837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923849 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923871 */     GIR_RootConstrainSelectedInstOperands,
     /*  923872 */     // GIR_Coverage, 24202,
     /*  923872 */     GIR_EraseRootFromParent_Done,
     /*  923873 */   // Label 14004: @923873
     /*  923873 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(923961), // Rule ID 24205 //
     /*  923878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  923889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  923892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  923895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923925 */     // MIs[1] Operand 1
     /*  923925 */     // No operand predicates
     /*  923925 */     // MIs[0] policy
     /*  923925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923937 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923959 */     GIR_RootConstrainSelectedInstOperands,
     /*  923960 */     // GIR_Coverage, 24205,
     /*  923960 */     GIR_EraseRootFromParent_Done,
     /*  923961 */   // Label 14005: @923961
     /*  923961 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(924049), // Rule ID 24206 //
     /*  923966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  923977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  923980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  923983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924013 */     // MIs[1] Operand 1
     /*  924013 */     // No operand predicates
     /*  924013 */     // MIs[0] policy
     /*  924013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924025 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924047 */     GIR_RootConstrainSelectedInstOperands,
     /*  924048 */     // GIR_Coverage, 24206,
     /*  924048 */     GIR_EraseRootFromParent_Done,
     /*  924049 */   // Label 14006: @924049
     /*  924049 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(924137), // Rule ID 24209 //
     /*  924054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924101 */     // MIs[1] Operand 1
     /*  924101 */     // No operand predicates
     /*  924101 */     // MIs[0] policy
     /*  924101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924113 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924135 */     GIR_RootConstrainSelectedInstOperands,
     /*  924136 */     // GIR_Coverage, 24209,
     /*  924136 */     GIR_EraseRootFromParent_Done,
     /*  924137 */   // Label 14007: @924137
     /*  924137 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(924225), // Rule ID 24210 //
     /*  924142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924189 */     // MIs[1] Operand 1
     /*  924189 */     // No operand predicates
     /*  924189 */     // MIs[0] policy
     /*  924189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924201 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924223 */     GIR_RootConstrainSelectedInstOperands,
     /*  924224 */     // GIR_Coverage, 24210,
     /*  924224 */     GIR_EraseRootFromParent_Done,
     /*  924225 */   // Label 14008: @924225
     /*  924225 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(924313), // Rule ID 24213 //
     /*  924230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  924233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924277 */     // MIs[1] Operand 1
     /*  924277 */     // No operand predicates
     /*  924277 */     // MIs[0] policy
     /*  924277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924289 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924311 */     GIR_RootConstrainSelectedInstOperands,
     /*  924312 */     // GIR_Coverage, 24213,
     /*  924312 */     GIR_EraseRootFromParent_Done,
     /*  924313 */   // Label 14009: @924313
     /*  924313 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(924401), // Rule ID 24214 //
     /*  924318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  924321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924365 */     // MIs[1] Operand 1
     /*  924365 */     // No operand predicates
     /*  924365 */     // MIs[0] policy
     /*  924365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924377 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924399 */     GIR_RootConstrainSelectedInstOperands,
     /*  924400 */     // GIR_Coverage, 24214,
     /*  924400 */     GIR_EraseRootFromParent_Done,
     /*  924401 */   // Label 14010: @924401
     /*  924401 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(924489), // Rule ID 24217 //
     /*  924406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924453 */     // MIs[1] Operand 1
     /*  924453 */     // No operand predicates
     /*  924453 */     // MIs[0] policy
     /*  924453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924465 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924487 */     GIR_RootConstrainSelectedInstOperands,
     /*  924488 */     // GIR_Coverage, 24217,
     /*  924488 */     GIR_EraseRootFromParent_Done,
     /*  924489 */   // Label 14011: @924489
     /*  924489 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(924577), // Rule ID 24218 //
     /*  924494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924541 */     // MIs[1] Operand 1
     /*  924541 */     // No operand predicates
     /*  924541 */     // MIs[0] policy
     /*  924541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924553 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924575 */     GIR_RootConstrainSelectedInstOperands,
     /*  924576 */     // GIR_Coverage, 24218,
     /*  924576 */     GIR_EraseRootFromParent_Done,
     /*  924577 */   // Label 14012: @924577
     /*  924577 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(924665), // Rule ID 24221 //
     /*  924582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924629 */     // MIs[1] Operand 1
     /*  924629 */     // No operand predicates
     /*  924629 */     // MIs[0] policy
     /*  924629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924641 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924663 */     GIR_RootConstrainSelectedInstOperands,
     /*  924664 */     // GIR_Coverage, 24221,
     /*  924664 */     GIR_EraseRootFromParent_Done,
     /*  924665 */   // Label 14013: @924665
     /*  924665 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(924753), // Rule ID 24222 //
     /*  924670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924717 */     // MIs[1] Operand 1
     /*  924717 */     // No operand predicates
     /*  924717 */     // MIs[0] policy
     /*  924717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924729 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924751 */     GIR_RootConstrainSelectedInstOperands,
     /*  924752 */     // GIR_Coverage, 24222,
     /*  924752 */     GIR_EraseRootFromParent_Done,
     /*  924753 */   // Label 14014: @924753
     /*  924753 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(924841), // Rule ID 24225 //
     /*  924758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924805 */     // MIs[1] Operand 1
     /*  924805 */     // No operand predicates
     /*  924805 */     // MIs[0] policy
     /*  924805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924839 */     GIR_RootConstrainSelectedInstOperands,
     /*  924840 */     // GIR_Coverage, 24225,
     /*  924840 */     GIR_EraseRootFromParent_Done,
     /*  924841 */   // Label 14015: @924841
     /*  924841 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(924929), // Rule ID 24226 //
     /*  924846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924893 */     // MIs[1] Operand 1
     /*  924893 */     // No operand predicates
     /*  924893 */     // MIs[0] policy
     /*  924893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924905 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924927 */     GIR_RootConstrainSelectedInstOperands,
     /*  924928 */     // GIR_Coverage, 24226,
     /*  924928 */     GIR_EraseRootFromParent_Done,
     /*  924929 */   // Label 14016: @924929
     /*  924929 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(925017), // Rule ID 24229 //
     /*  924934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924981 */     // MIs[1] Operand 1
     /*  924981 */     // No operand predicates
     /*  924981 */     // MIs[0] policy
     /*  924981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924993 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925015 */     GIR_RootConstrainSelectedInstOperands,
     /*  925016 */     // GIR_Coverage, 24229,
     /*  925016 */     GIR_EraseRootFromParent_Done,
     /*  925017 */   // Label 14017: @925017
     /*  925017 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(925105), // Rule ID 24230 //
     /*  925022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  925036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  925039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925069 */     // MIs[1] Operand 1
     /*  925069 */     // No operand predicates
     /*  925069 */     // MIs[0] policy
     /*  925069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925081 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925103 */     GIR_RootConstrainSelectedInstOperands,
     /*  925104 */     // GIR_Coverage, 24230,
     /*  925104 */     GIR_EraseRootFromParent_Done,
     /*  925105 */   // Label 14018: @925105
     /*  925105 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(925193), // Rule ID 24233 //
     /*  925110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925157 */     // MIs[1] Operand 1
     /*  925157 */     // No operand predicates
     /*  925157 */     // MIs[0] policy
     /*  925157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925169 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925191 */     GIR_RootConstrainSelectedInstOperands,
     /*  925192 */     // GIR_Coverage, 24233,
     /*  925192 */     GIR_EraseRootFromParent_Done,
     /*  925193 */   // Label 14019: @925193
     /*  925193 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(925281), // Rule ID 24234 //
     /*  925198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925245 */     // MIs[1] Operand 1
     /*  925245 */     // No operand predicates
     /*  925245 */     // MIs[0] policy
     /*  925245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925257 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925279 */     GIR_RootConstrainSelectedInstOperands,
     /*  925280 */     // GIR_Coverage, 24234,
     /*  925280 */     GIR_EraseRootFromParent_Done,
     /*  925281 */   // Label 14020: @925281
     /*  925281 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(925369), // Rule ID 24237 //
     /*  925286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925333 */     // MIs[1] Operand 1
     /*  925333 */     // No operand predicates
     /*  925333 */     // MIs[0] policy
     /*  925333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925345 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925367 */     GIR_RootConstrainSelectedInstOperands,
     /*  925368 */     // GIR_Coverage, 24237,
     /*  925368 */     GIR_EraseRootFromParent_Done,
     /*  925369 */   // Label 14021: @925369
     /*  925369 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(925457), // Rule ID 24238 //
     /*  925374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925421 */     // MIs[1] Operand 1
     /*  925421 */     // No operand predicates
     /*  925421 */     // MIs[0] policy
     /*  925421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925455 */     GIR_RootConstrainSelectedInstOperands,
     /*  925456 */     // GIR_Coverage, 24238,
     /*  925456 */     GIR_EraseRootFromParent_Done,
     /*  925457 */   // Label 14022: @925457
     /*  925457 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(925545), // Rule ID 24241 //
     /*  925462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925509 */     // MIs[1] Operand 1
     /*  925509 */     // No operand predicates
     /*  925509 */     // MIs[0] policy
     /*  925509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925521 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925543 */     GIR_RootConstrainSelectedInstOperands,
     /*  925544 */     // GIR_Coverage, 24241,
     /*  925544 */     GIR_EraseRootFromParent_Done,
     /*  925545 */   // Label 14023: @925545
     /*  925545 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(925633), // Rule ID 24242 //
     /*  925550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925597 */     // MIs[1] Operand 1
     /*  925597 */     // No operand predicates
     /*  925597 */     // MIs[0] policy
     /*  925597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925609 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925631 */     GIR_RootConstrainSelectedInstOperands,
     /*  925632 */     // GIR_Coverage, 24242,
     /*  925632 */     GIR_EraseRootFromParent_Done,
     /*  925633 */   // Label 14024: @925633
     /*  925633 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(925721), // Rule ID 24245 //
     /*  925638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925685 */     // MIs[1] Operand 1
     /*  925685 */     // No operand predicates
     /*  925685 */     // MIs[0] policy
     /*  925685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925719 */     GIR_RootConstrainSelectedInstOperands,
     /*  925720 */     // GIR_Coverage, 24245,
     /*  925720 */     GIR_EraseRootFromParent_Done,
     /*  925721 */   // Label 14025: @925721
     /*  925721 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(925809), // Rule ID 24246 //
     /*  925726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925773 */     // MIs[1] Operand 1
     /*  925773 */     // No operand predicates
     /*  925773 */     // MIs[0] policy
     /*  925773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925785 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925807 */     GIR_RootConstrainSelectedInstOperands,
     /*  925808 */     // GIR_Coverage, 24246,
     /*  925808 */     GIR_EraseRootFromParent_Done,
     /*  925809 */   // Label 14026: @925809
     /*  925809 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(925897), // Rule ID 24249 //
     /*  925814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925861 */     // MIs[1] Operand 1
     /*  925861 */     // No operand predicates
     /*  925861 */     // MIs[0] policy
     /*  925861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925873 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925895 */     GIR_RootConstrainSelectedInstOperands,
     /*  925896 */     // GIR_Coverage, 24249,
     /*  925896 */     GIR_EraseRootFromParent_Done,
     /*  925897 */   // Label 14027: @925897
     /*  925897 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(925985), // Rule ID 24250 //
     /*  925902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925949 */     // MIs[1] Operand 1
     /*  925949 */     // No operand predicates
     /*  925949 */     // MIs[0] policy
     /*  925949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925961 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925983 */     GIR_RootConstrainSelectedInstOperands,
     /*  925984 */     // GIR_Coverage, 24250,
     /*  925984 */     GIR_EraseRootFromParent_Done,
     /*  925985 */   // Label 14028: @925985
     /*  925985 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(926076), // Rule ID 15861 //
     /*  925990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  926007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926037 */     // MIs[1] Operand 1
     /*  926037 */     // No operand predicates
     /*  926037 */     // MIs[0] round
     /*  926037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926049 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926074 */     GIR_RootConstrainSelectedInstOperands,
     /*  926075 */     // GIR_Coverage, 15861,
     /*  926075 */     GIR_EraseRootFromParent_Done,
     /*  926076 */   // Label 14029: @926076
     /*  926076 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(926167), // Rule ID 15862 //
     /*  926081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  926098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926128 */     // MIs[1] Operand 1
     /*  926128 */     // No operand predicates
     /*  926128 */     // MIs[0] round
     /*  926128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926165 */     GIR_RootConstrainSelectedInstOperands,
     /*  926166 */     // GIR_Coverage, 15862,
     /*  926166 */     GIR_EraseRootFromParent_Done,
     /*  926167 */   // Label 14030: @926167
     /*  926167 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(926258), // Rule ID 15865 //
     /*  926172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926219 */     // MIs[1] Operand 1
     /*  926219 */     // No operand predicates
     /*  926219 */     // MIs[0] round
     /*  926219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926231 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926256 */     GIR_RootConstrainSelectedInstOperands,
     /*  926257 */     // GIR_Coverage, 15865,
     /*  926257 */     GIR_EraseRootFromParent_Done,
     /*  926258 */   // Label 14031: @926258
     /*  926258 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(926349), // Rule ID 15866 //
     /*  926263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926310 */     // MIs[1] Operand 1
     /*  926310 */     // No operand predicates
     /*  926310 */     // MIs[0] round
     /*  926310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926347 */     GIR_RootConstrainSelectedInstOperands,
     /*  926348 */     // GIR_Coverage, 15866,
     /*  926348 */     GIR_EraseRootFromParent_Done,
     /*  926349 */   // Label 14032: @926349
     /*  926349 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(926440), // Rule ID 15869 //
     /*  926354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926401 */     // MIs[1] Operand 1
     /*  926401 */     // No operand predicates
     /*  926401 */     // MIs[0] round
     /*  926401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926438 */     GIR_RootConstrainSelectedInstOperands,
     /*  926439 */     // GIR_Coverage, 15869,
     /*  926439 */     GIR_EraseRootFromParent_Done,
     /*  926440 */   // Label 14033: @926440
     /*  926440 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(926531), // Rule ID 15870 //
     /*  926445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926492 */     // MIs[1] Operand 1
     /*  926492 */     // No operand predicates
     /*  926492 */     // MIs[0] round
     /*  926492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926529 */     GIR_RootConstrainSelectedInstOperands,
     /*  926530 */     // GIR_Coverage, 15870,
     /*  926530 */     GIR_EraseRootFromParent_Done,
     /*  926531 */   // Label 14034: @926531
     /*  926531 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(926622), // Rule ID 15873 //
     /*  926536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  926553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926583 */     // MIs[1] Operand 1
     /*  926583 */     // No operand predicates
     /*  926583 */     // MIs[0] round
     /*  926583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926595 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926620 */     GIR_RootConstrainSelectedInstOperands,
     /*  926621 */     // GIR_Coverage, 15873,
     /*  926621 */     GIR_EraseRootFromParent_Done,
     /*  926622 */   // Label 14035: @926622
     /*  926622 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(926713), // Rule ID 15874 //
     /*  926627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  926644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926674 */     // MIs[1] Operand 1
     /*  926674 */     // No operand predicates
     /*  926674 */     // MIs[0] round
     /*  926674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926711 */     GIR_RootConstrainSelectedInstOperands,
     /*  926712 */     // GIR_Coverage, 15874,
     /*  926712 */     GIR_EraseRootFromParent_Done,
     /*  926713 */   // Label 14036: @926713
     /*  926713 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(926804), // Rule ID 15877 //
     /*  926718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  926729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  926732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  926735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926765 */     // MIs[1] Operand 1
     /*  926765 */     // No operand predicates
     /*  926765 */     // MIs[0] round
     /*  926765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926802 */     GIR_RootConstrainSelectedInstOperands,
     /*  926803 */     // GIR_Coverage, 15877,
     /*  926803 */     GIR_EraseRootFromParent_Done,
     /*  926804 */   // Label 14037: @926804
     /*  926804 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(926895), // Rule ID 15878 //
     /*  926809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  926820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  926823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  926826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926856 */     // MIs[1] Operand 1
     /*  926856 */     // No operand predicates
     /*  926856 */     // MIs[0] round
     /*  926856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926893 */     GIR_RootConstrainSelectedInstOperands,
     /*  926894 */     // GIR_Coverage, 15878,
     /*  926894 */     GIR_EraseRootFromParent_Done,
     /*  926895 */   // Label 14038: @926895
     /*  926895 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(926986), // Rule ID 15881 //
     /*  926900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  926911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  926914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  926917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926947 */     // MIs[1] Operand 1
     /*  926947 */     // No operand predicates
     /*  926947 */     // MIs[0] round
     /*  926947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926959 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  926959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926984 */     GIR_RootConstrainSelectedInstOperands,
     /*  926985 */     // GIR_Coverage, 15881,
     /*  926985 */     GIR_EraseRootFromParent_Done,
     /*  926986 */   // Label 14039: @926986
     /*  926986 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(927077), // Rule ID 15882 //
     /*  926991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  927008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927038 */     // MIs[1] Operand 1
     /*  927038 */     // No operand predicates
     /*  927038 */     // MIs[0] round
     /*  927038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927075 */     GIR_RootConstrainSelectedInstOperands,
     /*  927076 */     // GIR_Coverage, 15882,
     /*  927076 */     GIR_EraseRootFromParent_Done,
     /*  927077 */   // Label 14040: @927077
     /*  927077 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(927168), // Rule ID 15885 //
     /*  927082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927129 */     // MIs[1] Operand 1
     /*  927129 */     // No operand predicates
     /*  927129 */     // MIs[0] round
     /*  927129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927141 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927166 */     GIR_RootConstrainSelectedInstOperands,
     /*  927167 */     // GIR_Coverage, 15885,
     /*  927167 */     GIR_EraseRootFromParent_Done,
     /*  927168 */   // Label 14041: @927168
     /*  927168 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(927259), // Rule ID 15886 //
     /*  927173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927220 */     // MIs[1] Operand 1
     /*  927220 */     // No operand predicates
     /*  927220 */     // MIs[0] round
     /*  927220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927257 */     GIR_RootConstrainSelectedInstOperands,
     /*  927258 */     // GIR_Coverage, 15886,
     /*  927258 */     GIR_EraseRootFromParent_Done,
     /*  927259 */   // Label 14042: @927259
     /*  927259 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(927350), // Rule ID 15889 //
     /*  927264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927311 */     // MIs[1] Operand 1
     /*  927311 */     // No operand predicates
     /*  927311 */     // MIs[0] round
     /*  927311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927348 */     GIR_RootConstrainSelectedInstOperands,
     /*  927349 */     // GIR_Coverage, 15889,
     /*  927349 */     GIR_EraseRootFromParent_Done,
     /*  927350 */   // Label 14043: @927350
     /*  927350 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(927441), // Rule ID 15890 //
     /*  927355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927402 */     // MIs[1] Operand 1
     /*  927402 */     // No operand predicates
     /*  927402 */     // MIs[0] round
     /*  927402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927439 */     GIR_RootConstrainSelectedInstOperands,
     /*  927440 */     // GIR_Coverage, 15890,
     /*  927440 */     GIR_EraseRootFromParent_Done,
     /*  927441 */   // Label 14044: @927441
     /*  927441 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(927532), // Rule ID 15893 //
     /*  927446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927493 */     // MIs[1] Operand 1
     /*  927493 */     // No operand predicates
     /*  927493 */     // MIs[0] round
     /*  927493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927530 */     GIR_RootConstrainSelectedInstOperands,
     /*  927531 */     // GIR_Coverage, 15893,
     /*  927531 */     GIR_EraseRootFromParent_Done,
     /*  927532 */   // Label 14045: @927532
     /*  927532 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(927623), // Rule ID 15894 //
     /*  927537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927584 */     // MIs[1] Operand 1
     /*  927584 */     // No operand predicates
     /*  927584 */     // MIs[0] round
     /*  927584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927621 */     GIR_RootConstrainSelectedInstOperands,
     /*  927622 */     // GIR_Coverage, 15894,
     /*  927622 */     GIR_EraseRootFromParent_Done,
     /*  927623 */   // Label 14046: @927623
     /*  927623 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(927714), // Rule ID 15897 //
     /*  927628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  927639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  927642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  927645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927675 */     // MIs[1] Operand 1
     /*  927675 */     // No operand predicates
     /*  927675 */     // MIs[0] round
     /*  927675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927687 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  927687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927712 */     GIR_RootConstrainSelectedInstOperands,
     /*  927713 */     // GIR_Coverage, 15897,
     /*  927713 */     GIR_EraseRootFromParent_Done,
     /*  927714 */   // Label 14047: @927714
     /*  927714 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(927805), // Rule ID 15898 //
     /*  927719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  927730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  927733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  927736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927766 */     // MIs[1] Operand 1
     /*  927766 */     // No operand predicates
     /*  927766 */     // MIs[0] round
     /*  927766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  927778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927803 */     GIR_RootConstrainSelectedInstOperands,
     /*  927804 */     // GIR_Coverage, 15898,
     /*  927804 */     GIR_EraseRootFromParent_Done,
     /*  927805 */   // Label 14048: @927805
     /*  927805 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(927896), // Rule ID 15901 //
     /*  927810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  927821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  927824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  927827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927857 */     // MIs[1] Operand 1
     /*  927857 */     // No operand predicates
     /*  927857 */     // MIs[0] round
     /*  927857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927869 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927894 */     GIR_RootConstrainSelectedInstOperands,
     /*  927895 */     // GIR_Coverage, 15901,
     /*  927895 */     GIR_EraseRootFromParent_Done,
     /*  927896 */   // Label 14049: @927896
     /*  927896 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(927987), // Rule ID 15902 //
     /*  927901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  927912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  927915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  927918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927948 */     // MIs[1] Operand 1
     /*  927948 */     // No operand predicates
     /*  927948 */     // MIs[0] round
     /*  927948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927985 */     GIR_RootConstrainSelectedInstOperands,
     /*  927986 */     // GIR_Coverage, 15902,
     /*  927986 */     GIR_EraseRootFromParent_Done,
     /*  927987 */   // Label 14050: @927987
     /*  927987 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(928078), // Rule ID 15905 //
     /*  927992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  928009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928039 */     // MIs[1] Operand 1
     /*  928039 */     // No operand predicates
     /*  928039 */     // MIs[0] round
     /*  928039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928076 */     GIR_RootConstrainSelectedInstOperands,
     /*  928077 */     // GIR_Coverage, 15905,
     /*  928077 */     GIR_EraseRootFromParent_Done,
     /*  928078 */   // Label 14051: @928078
     /*  928078 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(928169), // Rule ID 15906 //
     /*  928083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  928100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928130 */     // MIs[1] Operand 1
     /*  928130 */     // No operand predicates
     /*  928130 */     // MIs[0] round
     /*  928130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928167 */     GIR_RootConstrainSelectedInstOperands,
     /*  928168 */     // GIR_Coverage, 15906,
     /*  928168 */     GIR_EraseRootFromParent_Done,
     /*  928169 */   // Label 14052: @928169
     /*  928169 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(928260), // Rule ID 15909 //
     /*  928174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928221 */     // MIs[1] Operand 1
     /*  928221 */     // No operand predicates
     /*  928221 */     // MIs[0] round
     /*  928221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928233 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928258 */     GIR_RootConstrainSelectedInstOperands,
     /*  928259 */     // GIR_Coverage, 15909,
     /*  928259 */     GIR_EraseRootFromParent_Done,
     /*  928260 */   // Label 14053: @928260
     /*  928260 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(928351), // Rule ID 15910 //
     /*  928265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928312 */     // MIs[1] Operand 1
     /*  928312 */     // No operand predicates
     /*  928312 */     // MIs[0] round
     /*  928312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928349 */     GIR_RootConstrainSelectedInstOperands,
     /*  928350 */     // GIR_Coverage, 15910,
     /*  928350 */     GIR_EraseRootFromParent_Done,
     /*  928351 */   // Label 14054: @928351
     /*  928351 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(928442), // Rule ID 15913 //
     /*  928356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928403 */     // MIs[1] Operand 1
     /*  928403 */     // No operand predicates
     /*  928403 */     // MIs[0] round
     /*  928403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928440 */     GIR_RootConstrainSelectedInstOperands,
     /*  928441 */     // GIR_Coverage, 15913,
     /*  928441 */     GIR_EraseRootFromParent_Done,
     /*  928442 */   // Label 14055: @928442
     /*  928442 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(928533), // Rule ID 15914 //
     /*  928447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928494 */     // MIs[1] Operand 1
     /*  928494 */     // No operand predicates
     /*  928494 */     // MIs[0] round
     /*  928494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928506 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928531 */     GIR_RootConstrainSelectedInstOperands,
     /*  928532 */     // GIR_Coverage, 15914,
     /*  928532 */     GIR_EraseRootFromParent_Done,
     /*  928533 */   // Label 14056: @928533
     /*  928533 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(928624), // Rule ID 15917 //
     /*  928538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928585 */     // MIs[1] Operand 1
     /*  928585 */     // No operand predicates
     /*  928585 */     // MIs[0] round
     /*  928585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928622 */     GIR_RootConstrainSelectedInstOperands,
     /*  928623 */     // GIR_Coverage, 15917,
     /*  928623 */     GIR_EraseRootFromParent_Done,
     /*  928624 */   // Label 14057: @928624
     /*  928624 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(928715), // Rule ID 15918 //
     /*  928629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928676 */     // MIs[1] Operand 1
     /*  928676 */     // No operand predicates
     /*  928676 */     // MIs[0] round
     /*  928676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928713 */     GIR_RootConstrainSelectedInstOperands,
     /*  928714 */     // GIR_Coverage, 15918,
     /*  928714 */     GIR_EraseRootFromParent_Done,
     /*  928715 */   // Label 14058: @928715
     /*  928715 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(928806), // Rule ID 15921 //
     /*  928720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  928731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  928734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  928737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928767 */     // MIs[1] Operand 1
     /*  928767 */     // No operand predicates
     /*  928767 */     // MIs[0] round
     /*  928767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928804 */     GIR_RootConstrainSelectedInstOperands,
     /*  928805 */     // GIR_Coverage, 15921,
     /*  928805 */     GIR_EraseRootFromParent_Done,
     /*  928806 */   // Label 14059: @928806
     /*  928806 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(928897), // Rule ID 15922 //
     /*  928811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  928822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  928825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  928828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928858 */     // MIs[1] Operand 1
     /*  928858 */     // No operand predicates
     /*  928858 */     // MIs[0] round
     /*  928858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928870 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928895 */     GIR_RootConstrainSelectedInstOperands,
     /*  928896 */     // GIR_Coverage, 15922,
     /*  928896 */     GIR_EraseRootFromParent_Done,
     /*  928897 */   // Label 14060: @928897
     /*  928897 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(928988), // Rule ID 15925 //
     /*  928902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  928913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  928916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  928919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928949 */     // MIs[1] Operand 1
     /*  928949 */     // No operand predicates
     /*  928949 */     // MIs[0] round
     /*  928949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  928961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928986 */     GIR_RootConstrainSelectedInstOperands,
     /*  928987 */     // GIR_Coverage, 15925,
     /*  928987 */     GIR_EraseRootFromParent_Done,
     /*  928988 */   // Label 14061: @928988
     /*  928988 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(929079), // Rule ID 15926 //
     /*  928993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929040 */     // MIs[1] Operand 1
     /*  929040 */     // No operand predicates
     /*  929040 */     // MIs[0] round
     /*  929040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929077 */     GIR_RootConstrainSelectedInstOperands,
     /*  929078 */     // GIR_Coverage, 15926,
     /*  929078 */     GIR_EraseRootFromParent_Done,
     /*  929079 */   // Label 14062: @929079
     /*  929079 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(929170), // Rule ID 15929 //
     /*  929084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929131 */     // MIs[1] Operand 1
     /*  929131 */     // No operand predicates
     /*  929131 */     // MIs[0] round
     /*  929131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929143 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929168 */     GIR_RootConstrainSelectedInstOperands,
     /*  929169 */     // GIR_Coverage, 15929,
     /*  929169 */     GIR_EraseRootFromParent_Done,
     /*  929170 */   // Label 14063: @929170
     /*  929170 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(929261), // Rule ID 15930 //
     /*  929175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929222 */     // MIs[1] Operand 1
     /*  929222 */     // No operand predicates
     /*  929222 */     // MIs[0] round
     /*  929222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929259 */     GIR_RootConstrainSelectedInstOperands,
     /*  929260 */     // GIR_Coverage, 15930,
     /*  929260 */     GIR_EraseRootFromParent_Done,
     /*  929261 */   // Label 14064: @929261
     /*  929261 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(929352), // Rule ID 15933 //
     /*  929266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929313 */     // MIs[1] Operand 1
     /*  929313 */     // No operand predicates
     /*  929313 */     // MIs[0] round
     /*  929313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929350 */     GIR_RootConstrainSelectedInstOperands,
     /*  929351 */     // GIR_Coverage, 15933,
     /*  929351 */     GIR_EraseRootFromParent_Done,
     /*  929352 */   // Label 14065: @929352
     /*  929352 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(929443), // Rule ID 15934 //
     /*  929357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929404 */     // MIs[1] Operand 1
     /*  929404 */     // No operand predicates
     /*  929404 */     // MIs[0] round
     /*  929404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929441 */     GIR_RootConstrainSelectedInstOperands,
     /*  929442 */     // GIR_Coverage, 15934,
     /*  929442 */     GIR_EraseRootFromParent_Done,
     /*  929443 */   // Label 14066: @929443
     /*  929443 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(929534), // Rule ID 15937 //
     /*  929448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929495 */     // MIs[1] Operand 1
     /*  929495 */     // No operand predicates
     /*  929495 */     // MIs[0] round
     /*  929495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929532 */     GIR_RootConstrainSelectedInstOperands,
     /*  929533 */     // GIR_Coverage, 15937,
     /*  929533 */     GIR_EraseRootFromParent_Done,
     /*  929534 */   // Label 14067: @929534
     /*  929534 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(929625), // Rule ID 15938 //
     /*  929539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929586 */     // MIs[1] Operand 1
     /*  929586 */     // No operand predicates
     /*  929586 */     // MIs[0] round
     /*  929586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929623 */     GIR_RootConstrainSelectedInstOperands,
     /*  929624 */     // GIR_Coverage, 15938,
     /*  929624 */     GIR_EraseRootFromParent_Done,
     /*  929625 */   // Label 14068: @929625
     /*  929625 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(929716), // Rule ID 15941 //
     /*  929630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  929641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  929644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  929647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929677 */     // MIs[1] Operand 1
     /*  929677 */     // No operand predicates
     /*  929677 */     // MIs[0] round
     /*  929677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929714 */     GIR_RootConstrainSelectedInstOperands,
     /*  929715 */     // GIR_Coverage, 15941,
     /*  929715 */     GIR_EraseRootFromParent_Done,
     /*  929716 */   // Label 14069: @929716
     /*  929716 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(929807), // Rule ID 15942 //
     /*  929721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  929732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  929735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  929738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929768 */     // MIs[1] Operand 1
     /*  929768 */     // No operand predicates
     /*  929768 */     // MIs[0] round
     /*  929768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929805 */     GIR_RootConstrainSelectedInstOperands,
     /*  929806 */     // GIR_Coverage, 15942,
     /*  929806 */     GIR_EraseRootFromParent_Done,
     /*  929807 */   // Label 14070: @929807
     /*  929807 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(929898), // Rule ID 15945 //
     /*  929812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  929823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  929826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  929829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929859 */     // MIs[1] Operand 1
     /*  929859 */     // No operand predicates
     /*  929859 */     // MIs[0] round
     /*  929859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929896 */     GIR_RootConstrainSelectedInstOperands,
     /*  929897 */     // GIR_Coverage, 15945,
     /*  929897 */     GIR_EraseRootFromParent_Done,
     /*  929898 */   // Label 14071: @929898
     /*  929898 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(929989), // Rule ID 15946 //
     /*  929903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  929914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  929917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  929920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929950 */     // MIs[1] Operand 1
     /*  929950 */     // No operand predicates
     /*  929950 */     // MIs[0] round
     /*  929950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929987 */     GIR_RootConstrainSelectedInstOperands,
     /*  929988 */     // GIR_Coverage, 15946,
     /*  929988 */     GIR_EraseRootFromParent_Done,
     /*  929989 */   // Label 14072: @929989
     /*  929989 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(930080), // Rule ID 16125 //
     /*  929994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930041 */     // MIs[1] Operand 1
     /*  930041 */     // No operand predicates
     /*  930041 */     // MIs[0] round
     /*  930041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930053 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930078 */     GIR_RootConstrainSelectedInstOperands,
     /*  930079 */     // GIR_Coverage, 16125,
     /*  930079 */     GIR_EraseRootFromParent_Done,
     /*  930080 */   // Label 14073: @930080
     /*  930080 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(930171), // Rule ID 16126 //
     /*  930085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930132 */     // MIs[1] Operand 1
     /*  930132 */     // No operand predicates
     /*  930132 */     // MIs[0] round
     /*  930132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930169 */     GIR_RootConstrainSelectedInstOperands,
     /*  930170 */     // GIR_Coverage, 16126,
     /*  930170 */     GIR_EraseRootFromParent_Done,
     /*  930171 */   // Label 14074: @930171
     /*  930171 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(930262), // Rule ID 16129 //
     /*  930176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930223 */     // MIs[1] Operand 1
     /*  930223 */     // No operand predicates
     /*  930223 */     // MIs[0] round
     /*  930223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930235 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930260 */     GIR_RootConstrainSelectedInstOperands,
     /*  930261 */     // GIR_Coverage, 16129,
     /*  930261 */     GIR_EraseRootFromParent_Done,
     /*  930262 */   // Label 14075: @930262
     /*  930262 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(930353), // Rule ID 16130 //
     /*  930267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930314 */     // MIs[1] Operand 1
     /*  930314 */     // No operand predicates
     /*  930314 */     // MIs[0] round
     /*  930314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930326 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930351 */     GIR_RootConstrainSelectedInstOperands,
     /*  930352 */     // GIR_Coverage, 16130,
     /*  930352 */     GIR_EraseRootFromParent_Done,
     /*  930353 */   // Label 14076: @930353
     /*  930353 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(930444), // Rule ID 16133 //
     /*  930358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930405 */     // MIs[1] Operand 1
     /*  930405 */     // No operand predicates
     /*  930405 */     // MIs[0] round
     /*  930405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930442 */     GIR_RootConstrainSelectedInstOperands,
     /*  930443 */     // GIR_Coverage, 16133,
     /*  930443 */     GIR_EraseRootFromParent_Done,
     /*  930444 */   // Label 14077: @930444
     /*  930444 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(930535), // Rule ID 16134 //
     /*  930449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930496 */     // MIs[1] Operand 1
     /*  930496 */     // No operand predicates
     /*  930496 */     // MIs[0] round
     /*  930496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930533 */     GIR_RootConstrainSelectedInstOperands,
     /*  930534 */     // GIR_Coverage, 16134,
     /*  930534 */     GIR_EraseRootFromParent_Done,
     /*  930535 */   // Label 14078: @930535
     /*  930535 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(930626), // Rule ID 16137 //
     /*  930540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930587 */     // MIs[1] Operand 1
     /*  930587 */     // No operand predicates
     /*  930587 */     // MIs[0] round
     /*  930587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930599 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  930599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930624 */     GIR_RootConstrainSelectedInstOperands,
     /*  930625 */     // GIR_Coverage, 16137,
     /*  930625 */     GIR_EraseRootFromParent_Done,
     /*  930626 */   // Label 14079: @930626
     /*  930626 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(930717), // Rule ID 16138 //
     /*  930631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930678 */     // MIs[1] Operand 1
     /*  930678 */     // No operand predicates
     /*  930678 */     // MIs[0] round
     /*  930678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  930690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930715 */     GIR_RootConstrainSelectedInstOperands,
     /*  930716 */     // GIR_Coverage, 16138,
     /*  930716 */     GIR_EraseRootFromParent_Done,
     /*  930717 */   // Label 14080: @930717
     /*  930717 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(930808), // Rule ID 16141 //
     /*  930722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  930733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  930736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  930739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930769 */     // MIs[1] Operand 1
     /*  930769 */     // No operand predicates
     /*  930769 */     // MIs[0] round
     /*  930769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  930781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930806 */     GIR_RootConstrainSelectedInstOperands,
     /*  930807 */     // GIR_Coverage, 16141,
     /*  930807 */     GIR_EraseRootFromParent_Done,
     /*  930808 */   // Label 14081: @930808
     /*  930808 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(930899), // Rule ID 16142 //
     /*  930813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  930824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  930827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  930830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930860 */     // MIs[1] Operand 1
     /*  930860 */     // No operand predicates
     /*  930860 */     // MIs[0] round
     /*  930860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  930872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930897 */     GIR_RootConstrainSelectedInstOperands,
     /*  930898 */     // GIR_Coverage, 16142,
     /*  930898 */     GIR_EraseRootFromParent_Done,
     /*  930899 */   // Label 14082: @930899
     /*  930899 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(930990), // Rule ID 16145 //
     /*  930904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  930915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  930918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  930921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930951 */     // MIs[1] Operand 1
     /*  930951 */     // No operand predicates
     /*  930951 */     // MIs[0] round
     /*  930951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930963 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930988 */     GIR_RootConstrainSelectedInstOperands,
     /*  930989 */     // GIR_Coverage, 16145,
     /*  930989 */     GIR_EraseRootFromParent_Done,
     /*  930990 */   // Label 14083: @930990
     /*  930990 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(931081), // Rule ID 16146 //
     /*  930995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931042 */     // MIs[1] Operand 1
     /*  931042 */     // No operand predicates
     /*  931042 */     // MIs[0] round
     /*  931042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931079 */     GIR_RootConstrainSelectedInstOperands,
     /*  931080 */     // GIR_Coverage, 16146,
     /*  931080 */     GIR_EraseRootFromParent_Done,
     /*  931081 */   // Label 14084: @931081
     /*  931081 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(931172), // Rule ID 16149 //
     /*  931086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931133 */     // MIs[1] Operand 1
     /*  931133 */     // No operand predicates
     /*  931133 */     // MIs[0] round
     /*  931133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931145 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931170 */     GIR_RootConstrainSelectedInstOperands,
     /*  931171 */     // GIR_Coverage, 16149,
     /*  931171 */     GIR_EraseRootFromParent_Done,
     /*  931172 */   // Label 14085: @931172
     /*  931172 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(931263), // Rule ID 16150 //
     /*  931177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931224 */     // MIs[1] Operand 1
     /*  931224 */     // No operand predicates
     /*  931224 */     // MIs[0] round
     /*  931224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931261 */     GIR_RootConstrainSelectedInstOperands,
     /*  931262 */     // GIR_Coverage, 16150,
     /*  931262 */     GIR_EraseRootFromParent_Done,
     /*  931263 */   // Label 14086: @931263
     /*  931263 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(931354), // Rule ID 16153 //
     /*  931268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931315 */     // MIs[1] Operand 1
     /*  931315 */     // No operand predicates
     /*  931315 */     // MIs[0] round
     /*  931315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931352 */     GIR_RootConstrainSelectedInstOperands,
     /*  931353 */     // GIR_Coverage, 16153,
     /*  931353 */     GIR_EraseRootFromParent_Done,
     /*  931354 */   // Label 14087: @931354
     /*  931354 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(931445), // Rule ID 16154 //
     /*  931359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931406 */     // MIs[1] Operand 1
     /*  931406 */     // No operand predicates
     /*  931406 */     // MIs[0] round
     /*  931406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931443 */     GIR_RootConstrainSelectedInstOperands,
     /*  931444 */     // GIR_Coverage, 16154,
     /*  931444 */     GIR_EraseRootFromParent_Done,
     /*  931445 */   // Label 14088: @931445
     /*  931445 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(931536), // Rule ID 16157 //
     /*  931450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931497 */     // MIs[1] Operand 1
     /*  931497 */     // No operand predicates
     /*  931497 */     // MIs[0] round
     /*  931497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931534 */     GIR_RootConstrainSelectedInstOperands,
     /*  931535 */     // GIR_Coverage, 16157,
     /*  931535 */     GIR_EraseRootFromParent_Done,
     /*  931536 */   // Label 14089: @931536
     /*  931536 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(931627), // Rule ID 16158 //
     /*  931541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931588 */     // MIs[1] Operand 1
     /*  931588 */     // No operand predicates
     /*  931588 */     // MIs[0] round
     /*  931588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931625 */     GIR_RootConstrainSelectedInstOperands,
     /*  931626 */     // GIR_Coverage, 16158,
     /*  931626 */     GIR_EraseRootFromParent_Done,
     /*  931627 */   // Label 14090: @931627
     /*  931627 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(931718), // Rule ID 16161 //
     /*  931632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  931635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  931643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  931646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  931649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931679 */     // MIs[1] Operand 1
     /*  931679 */     // No operand predicates
     /*  931679 */     // MIs[0] round
     /*  931679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  931691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931716 */     GIR_RootConstrainSelectedInstOperands,
     /*  931717 */     // GIR_Coverage, 16161,
     /*  931717 */     GIR_EraseRootFromParent_Done,
     /*  931718 */   // Label 14091: @931718
     /*  931718 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(931809), // Rule ID 16162 //
     /*  931723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  931726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  931734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  931737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  931740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931770 */     // MIs[1] Operand 1
     /*  931770 */     // No operand predicates
     /*  931770 */     // MIs[0] round
     /*  931770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  931782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931807 */     GIR_RootConstrainSelectedInstOperands,
     /*  931808 */     // GIR_Coverage, 16162,
     /*  931808 */     GIR_EraseRootFromParent_Done,
     /*  931809 */   // Label 14092: @931809
     /*  931809 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(931900), // Rule ID 16165 //
     /*  931814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  931831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931861 */     // MIs[1] Operand 1
     /*  931861 */     // No operand predicates
     /*  931861 */     // MIs[0] round
     /*  931861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931898 */     GIR_RootConstrainSelectedInstOperands,
     /*  931899 */     // GIR_Coverage, 16165,
     /*  931899 */     GIR_EraseRootFromParent_Done,
     /*  931900 */   // Label 14093: @931900
     /*  931900 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(931991), // Rule ID 16166 //
     /*  931905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  931922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931952 */     // MIs[1] Operand 1
     /*  931952 */     // No operand predicates
     /*  931952 */     // MIs[0] round
     /*  931952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931964 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931989 */     GIR_RootConstrainSelectedInstOperands,
     /*  931990 */     // GIR_Coverage, 16166,
     /*  931990 */     GIR_EraseRootFromParent_Done,
     /*  931991 */   // Label 14094: @931991
     /*  931991 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(932082), // Rule ID 16169 //
     /*  931996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932043 */     // MIs[1] Operand 1
     /*  932043 */     // No operand predicates
     /*  932043 */     // MIs[0] round
     /*  932043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932055 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932080 */     GIR_RootConstrainSelectedInstOperands,
     /*  932081 */     // GIR_Coverage, 16169,
     /*  932081 */     GIR_EraseRootFromParent_Done,
     /*  932082 */   // Label 14095: @932082
     /*  932082 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(932173), // Rule ID 16170 //
     /*  932087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932134 */     // MIs[1] Operand 1
     /*  932134 */     // No operand predicates
     /*  932134 */     // MIs[0] round
     /*  932134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932171 */     GIR_RootConstrainSelectedInstOperands,
     /*  932172 */     // GIR_Coverage, 16170,
     /*  932172 */     GIR_EraseRootFromParent_Done,
     /*  932173 */   // Label 14096: @932173
     /*  932173 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(932264), // Rule ID 16173 //
     /*  932178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932225 */     // MIs[1] Operand 1
     /*  932225 */     // No operand predicates
     /*  932225 */     // MIs[0] round
     /*  932225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932237 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932262 */     GIR_RootConstrainSelectedInstOperands,
     /*  932263 */     // GIR_Coverage, 16173,
     /*  932263 */     GIR_EraseRootFromParent_Done,
     /*  932264 */   // Label 14097: @932264
     /*  932264 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(932355), // Rule ID 16174 //
     /*  932269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932316 */     // MIs[1] Operand 1
     /*  932316 */     // No operand predicates
     /*  932316 */     // MIs[0] round
     /*  932316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932353 */     GIR_RootConstrainSelectedInstOperands,
     /*  932354 */     // GIR_Coverage, 16174,
     /*  932354 */     GIR_EraseRootFromParent_Done,
     /*  932355 */   // Label 14098: @932355
     /*  932355 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(932446), // Rule ID 16177 //
     /*  932360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932407 */     // MIs[1] Operand 1
     /*  932407 */     // No operand predicates
     /*  932407 */     // MIs[0] round
     /*  932407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932444 */     GIR_RootConstrainSelectedInstOperands,
     /*  932445 */     // GIR_Coverage, 16177,
     /*  932445 */     GIR_EraseRootFromParent_Done,
     /*  932446 */   // Label 14099: @932446
     /*  932446 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(932537), // Rule ID 16178 //
     /*  932451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932498 */     // MIs[1] Operand 1
     /*  932498 */     // No operand predicates
     /*  932498 */     // MIs[0] round
     /*  932498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932510 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932535 */     GIR_RootConstrainSelectedInstOperands,
     /*  932536 */     // GIR_Coverage, 16178,
     /*  932536 */     GIR_EraseRootFromParent_Done,
     /*  932537 */   // Label 14100: @932537
     /*  932537 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(932628), // Rule ID 16181 //
     /*  932542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932589 */     // MIs[1] Operand 1
     /*  932589 */     // No operand predicates
     /*  932589 */     // MIs[0] round
     /*  932589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932626 */     GIR_RootConstrainSelectedInstOperands,
     /*  932627 */     // GIR_Coverage, 16181,
     /*  932627 */     GIR_EraseRootFromParent_Done,
     /*  932628 */   // Label 14101: @932628
     /*  932628 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(932719), // Rule ID 16182 //
     /*  932633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932680 */     // MIs[1] Operand 1
     /*  932680 */     // No operand predicates
     /*  932680 */     // MIs[0] round
     /*  932680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932717 */     GIR_RootConstrainSelectedInstOperands,
     /*  932718 */     // GIR_Coverage, 16182,
     /*  932718 */     GIR_EraseRootFromParent_Done,
     /*  932719 */   // Label 14102: @932719
     /*  932719 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(932810), // Rule ID 16185 //
     /*  932724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  932735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  932738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  932741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932771 */     // MIs[1] Operand 1
     /*  932771 */     // No operand predicates
     /*  932771 */     // MIs[0] round
     /*  932771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932783 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932808 */     GIR_RootConstrainSelectedInstOperands,
     /*  932809 */     // GIR_Coverage, 16185,
     /*  932809 */     GIR_EraseRootFromParent_Done,
     /*  932810 */   // Label 14103: @932810
     /*  932810 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(932901), // Rule ID 16186 //
     /*  932815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  932826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  932829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  932832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932862 */     // MIs[1] Operand 1
     /*  932862 */     // No operand predicates
     /*  932862 */     // MIs[0] round
     /*  932862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932899 */     GIR_RootConstrainSelectedInstOperands,
     /*  932900 */     // GIR_Coverage, 16186,
     /*  932900 */     GIR_EraseRootFromParent_Done,
     /*  932901 */   // Label 14104: @932901
     /*  932901 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(932992), // Rule ID 16189 //
     /*  932906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  932917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  932920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  932923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932953 */     // MIs[1] Operand 1
     /*  932953 */     // No operand predicates
     /*  932953 */     // MIs[0] round
     /*  932953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932965 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932990 */     GIR_RootConstrainSelectedInstOperands,
     /*  932991 */     // GIR_Coverage, 16189,
     /*  932991 */     GIR_EraseRootFromParent_Done,
     /*  932992 */   // Label 14105: @932992
     /*  932992 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(933083), // Rule ID 16190 //
     /*  932997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933044 */     // MIs[1] Operand 1
     /*  933044 */     // No operand predicates
     /*  933044 */     // MIs[0] round
     /*  933044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933081 */     GIR_RootConstrainSelectedInstOperands,
     /*  933082 */     // GIR_Coverage, 16190,
     /*  933082 */     GIR_EraseRootFromParent_Done,
     /*  933083 */   // Label 14106: @933083
     /*  933083 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(933174), // Rule ID 16193 //
     /*  933088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933135 */     // MIs[1] Operand 1
     /*  933135 */     // No operand predicates
     /*  933135 */     // MIs[0] round
     /*  933135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933172 */     GIR_RootConstrainSelectedInstOperands,
     /*  933173 */     // GIR_Coverage, 16193,
     /*  933173 */     GIR_EraseRootFromParent_Done,
     /*  933174 */   // Label 14107: @933174
     /*  933174 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(933265), // Rule ID 16194 //
     /*  933179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933226 */     // MIs[1] Operand 1
     /*  933226 */     // No operand predicates
     /*  933226 */     // MIs[0] round
     /*  933226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933263 */     GIR_RootConstrainSelectedInstOperands,
     /*  933264 */     // GIR_Coverage, 16194,
     /*  933264 */     GIR_EraseRootFromParent_Done,
     /*  933265 */   // Label 14108: @933265
     /*  933265 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(933356), // Rule ID 16197 //
     /*  933270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933317 */     // MIs[1] Operand 1
     /*  933317 */     // No operand predicates
     /*  933317 */     // MIs[0] round
     /*  933317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933354 */     GIR_RootConstrainSelectedInstOperands,
     /*  933355 */     // GIR_Coverage, 16197,
     /*  933355 */     GIR_EraseRootFromParent_Done,
     /*  933356 */   // Label 14109: @933356
     /*  933356 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(933447), // Rule ID 16198 //
     /*  933361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933408 */     // MIs[1] Operand 1
     /*  933408 */     // No operand predicates
     /*  933408 */     // MIs[0] round
     /*  933408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933445 */     GIR_RootConstrainSelectedInstOperands,
     /*  933446 */     // GIR_Coverage, 16198,
     /*  933446 */     GIR_EraseRootFromParent_Done,
     /*  933447 */   // Label 14110: @933447
     /*  933447 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(933538), // Rule ID 16201 //
     /*  933452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933499 */     // MIs[1] Operand 1
     /*  933499 */     // No operand predicates
     /*  933499 */     // MIs[0] round
     /*  933499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933536 */     GIR_RootConstrainSelectedInstOperands,
     /*  933537 */     // GIR_Coverage, 16201,
     /*  933537 */     GIR_EraseRootFromParent_Done,
     /*  933538 */   // Label 14111: @933538
     /*  933538 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(933629), // Rule ID 16202 //
     /*  933543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933590 */     // MIs[1] Operand 1
     /*  933590 */     // No operand predicates
     /*  933590 */     // MIs[0] round
     /*  933590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933627 */     GIR_RootConstrainSelectedInstOperands,
     /*  933628 */     // GIR_Coverage, 16202,
     /*  933628 */     GIR_EraseRootFromParent_Done,
     /*  933629 */   // Label 14112: @933629
     /*  933629 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(933720), // Rule ID 16205 //
     /*  933634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  933645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  933648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933681 */     // MIs[1] Operand 1
     /*  933681 */     // No operand predicates
     /*  933681 */     // MIs[0] round
     /*  933681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933693 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933718 */     GIR_RootConstrainSelectedInstOperands,
     /*  933719 */     // GIR_Coverage, 16205,
     /*  933719 */     GIR_EraseRootFromParent_Done,
     /*  933720 */   // Label 14113: @933720
     /*  933720 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(933811), // Rule ID 16206 //
     /*  933725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  933736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  933739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933772 */     // MIs[1] Operand 1
     /*  933772 */     // No operand predicates
     /*  933772 */     // MIs[0] round
     /*  933772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933809 */     GIR_RootConstrainSelectedInstOperands,
     /*  933810 */     // GIR_Coverage, 16206,
     /*  933810 */     GIR_EraseRootFromParent_Done,
     /*  933811 */   // Label 14114: @933811
     /*  933811 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(933902), // Rule ID 16209 //
     /*  933816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  933827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  933830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933863 */     // MIs[1] Operand 1
     /*  933863 */     // No operand predicates
     /*  933863 */     // MIs[0] round
     /*  933863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933875 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933900 */     GIR_RootConstrainSelectedInstOperands,
     /*  933901 */     // GIR_Coverage, 16209,
     /*  933901 */     GIR_EraseRootFromParent_Done,
     /*  933902 */   // Label 14115: @933902
     /*  933902 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(933993), // Rule ID 16210 //
     /*  933907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  933918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  933921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933954 */     // MIs[1] Operand 1
     /*  933954 */     // No operand predicates
     /*  933954 */     // MIs[0] round
     /*  933954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933991 */     GIR_RootConstrainSelectedInstOperands,
     /*  933992 */     // GIR_Coverage, 16210,
     /*  933992 */     GIR_EraseRootFromParent_Done,
     /*  933993 */   // Label 14116: @933993
     /*  933993 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(934087), // Rule ID 16333 //
     /*  933998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  934015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934045 */     // MIs[1] Operand 1
     /*  934045 */     // No operand predicates
     /*  934045 */     // MIs[0] round
     /*  934045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934085 */     GIR_RootConstrainSelectedInstOperands,
     /*  934086 */     // GIR_Coverage, 16333,
     /*  934086 */     GIR_EraseRootFromParent_Done,
     /*  934087 */   // Label 14117: @934087
     /*  934087 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(934181), // Rule ID 16334 //
     /*  934092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  934109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934139 */     // MIs[1] Operand 1
     /*  934139 */     // No operand predicates
     /*  934139 */     // MIs[0] round
     /*  934139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934179 */     GIR_RootConstrainSelectedInstOperands,
     /*  934180 */     // GIR_Coverage, 16334,
     /*  934180 */     GIR_EraseRootFromParent_Done,
     /*  934181 */   // Label 14118: @934181
     /*  934181 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(934275), // Rule ID 16337 //
     /*  934186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934233 */     // MIs[1] Operand 1
     /*  934233 */     // No operand predicates
     /*  934233 */     // MIs[0] round
     /*  934233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934245 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934273 */     GIR_RootConstrainSelectedInstOperands,
     /*  934274 */     // GIR_Coverage, 16337,
     /*  934274 */     GIR_EraseRootFromParent_Done,
     /*  934275 */   // Label 14119: @934275
     /*  934275 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(934369), // Rule ID 16338 //
     /*  934280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934327 */     // MIs[1] Operand 1
     /*  934327 */     // No operand predicates
     /*  934327 */     // MIs[0] round
     /*  934327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934339 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934367 */     GIR_RootConstrainSelectedInstOperands,
     /*  934368 */     // GIR_Coverage, 16338,
     /*  934368 */     GIR_EraseRootFromParent_Done,
     /*  934369 */   // Label 14120: @934369
     /*  934369 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(934463), // Rule ID 16341 //
     /*  934374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934421 */     // MIs[1] Operand 1
     /*  934421 */     // No operand predicates
     /*  934421 */     // MIs[0] round
     /*  934421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934433 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934461 */     GIR_RootConstrainSelectedInstOperands,
     /*  934462 */     // GIR_Coverage, 16341,
     /*  934462 */     GIR_EraseRootFromParent_Done,
     /*  934463 */   // Label 14121: @934463
     /*  934463 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(934557), // Rule ID 16342 //
     /*  934468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934515 */     // MIs[1] Operand 1
     /*  934515 */     // No operand predicates
     /*  934515 */     // MIs[0] round
     /*  934515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934527 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934555 */     GIR_RootConstrainSelectedInstOperands,
     /*  934556 */     // GIR_Coverage, 16342,
     /*  934556 */     GIR_EraseRootFromParent_Done,
     /*  934557 */   // Label 14122: @934557
     /*  934557 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(934651), // Rule ID 16345 //
     /*  934562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  934579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934609 */     // MIs[1] Operand 1
     /*  934609 */     // No operand predicates
     /*  934609 */     // MIs[0] round
     /*  934609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  934624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934649 */     GIR_RootConstrainSelectedInstOperands,
     /*  934650 */     // GIR_Coverage, 16345,
     /*  934650 */     GIR_EraseRootFromParent_Done,
     /*  934651 */   // Label 14123: @934651
     /*  934651 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(934745), // Rule ID 16346 //
     /*  934656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  934673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934703 */     // MIs[1] Operand 1
     /*  934703 */     // No operand predicates
     /*  934703 */     // MIs[0] round
     /*  934703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934715 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  934718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934743 */     GIR_RootConstrainSelectedInstOperands,
     /*  934744 */     // GIR_Coverage, 16346,
     /*  934744 */     GIR_EraseRootFromParent_Done,
     /*  934745 */   // Label 14124: @934745
     /*  934745 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(934839), // Rule ID 16349 //
     /*  934750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  934761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  934764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  934767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934797 */     // MIs[1] Operand 1
     /*  934797 */     // No operand predicates
     /*  934797 */     // MIs[0] round
     /*  934797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  934812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934837 */     GIR_RootConstrainSelectedInstOperands,
     /*  934838 */     // GIR_Coverage, 16349,
     /*  934838 */     GIR_EraseRootFromParent_Done,
     /*  934839 */   // Label 14125: @934839
     /*  934839 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(934933), // Rule ID 16350 //
     /*  934844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  934855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  934858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  934861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934891 */     // MIs[1] Operand 1
     /*  934891 */     // No operand predicates
     /*  934891 */     // MIs[0] round
     /*  934891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934903 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  934906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934931 */     GIR_RootConstrainSelectedInstOperands,
     /*  934932 */     // GIR_Coverage, 16350,
     /*  934932 */     GIR_EraseRootFromParent_Done,
     /*  934933 */   // Label 14126: @934933
     /*  934933 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(935027), // Rule ID 16353 //
     /*  934938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  934949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  934952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  934955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934985 */     // MIs[1] Operand 1
     /*  934985 */     // No operand predicates
     /*  934985 */     // MIs[0] round
     /*  934985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935025 */     GIR_RootConstrainSelectedInstOperands,
     /*  935026 */     // GIR_Coverage, 16353,
     /*  935026 */     GIR_EraseRootFromParent_Done,
     /*  935027 */   // Label 14127: @935027
     /*  935027 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(935121), // Rule ID 16354 //
     /*  935032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  935043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  935046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  935049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935079 */     // MIs[1] Operand 1
     /*  935079 */     // No operand predicates
     /*  935079 */     // MIs[0] round
     /*  935079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935091 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935119 */     GIR_RootConstrainSelectedInstOperands,
     /*  935120 */     // GIR_Coverage, 16354,
     /*  935120 */     GIR_EraseRootFromParent_Done,
     /*  935121 */   // Label 14128: @935121
     /*  935121 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(935215), // Rule ID 16357 //
     /*  935126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935173 */     // MIs[1] Operand 1
     /*  935173 */     // No operand predicates
     /*  935173 */     // MIs[0] round
     /*  935173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935185 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935213 */     GIR_RootConstrainSelectedInstOperands,
     /*  935214 */     // GIR_Coverage, 16357,
     /*  935214 */     GIR_EraseRootFromParent_Done,
     /*  935215 */   // Label 14129: @935215
     /*  935215 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(935309), // Rule ID 16358 //
     /*  935220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935267 */     // MIs[1] Operand 1
     /*  935267 */     // No operand predicates
     /*  935267 */     // MIs[0] round
     /*  935267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935307 */     GIR_RootConstrainSelectedInstOperands,
     /*  935308 */     // GIR_Coverage, 16358,
     /*  935308 */     GIR_EraseRootFromParent_Done,
     /*  935309 */   // Label 14130: @935309
     /*  935309 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(935403), // Rule ID 16361 //
     /*  935314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935361 */     // MIs[1] Operand 1
     /*  935361 */     // No operand predicates
     /*  935361 */     // MIs[0] round
     /*  935361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935373 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935401 */     GIR_RootConstrainSelectedInstOperands,
     /*  935402 */     // GIR_Coverage, 16361,
     /*  935402 */     GIR_EraseRootFromParent_Done,
     /*  935403 */   // Label 14131: @935403
     /*  935403 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(935497), // Rule ID 16362 //
     /*  935408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935455 */     // MIs[1] Operand 1
     /*  935455 */     // No operand predicates
     /*  935455 */     // MIs[0] round
     /*  935455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935495 */     GIR_RootConstrainSelectedInstOperands,
     /*  935496 */     // GIR_Coverage, 16362,
     /*  935496 */     GIR_EraseRootFromParent_Done,
     /*  935497 */   // Label 14132: @935497
     /*  935497 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(935591), // Rule ID 16365 //
     /*  935502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935549 */     // MIs[1] Operand 1
     /*  935549 */     // No operand predicates
     /*  935549 */     // MIs[0] round
     /*  935549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935589 */     GIR_RootConstrainSelectedInstOperands,
     /*  935590 */     // GIR_Coverage, 16365,
     /*  935590 */     GIR_EraseRootFromParent_Done,
     /*  935591 */   // Label 14133: @935591
     /*  935591 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(935685), // Rule ID 16366 //
     /*  935596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935643 */     // MIs[1] Operand 1
     /*  935643 */     // No operand predicates
     /*  935643 */     // MIs[0] round
     /*  935643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935683 */     GIR_RootConstrainSelectedInstOperands,
     /*  935684 */     // GIR_Coverage, 16366,
     /*  935684 */     GIR_EraseRootFromParent_Done,
     /*  935685 */   // Label 14134: @935685
     /*  935685 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(935779), // Rule ID 16369 //
     /*  935690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  935701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  935704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  935707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935737 */     // MIs[1] Operand 1
     /*  935737 */     // No operand predicates
     /*  935737 */     // MIs[0] round
     /*  935737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935777 */     GIR_RootConstrainSelectedInstOperands,
     /*  935778 */     // GIR_Coverage, 16369,
     /*  935778 */     GIR_EraseRootFromParent_Done,
     /*  935779 */   // Label 14135: @935779
     /*  935779 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(935873), // Rule ID 16370 //
     /*  935784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  935795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  935798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  935801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935831 */     // MIs[1] Operand 1
     /*  935831 */     // No operand predicates
     /*  935831 */     // MIs[0] round
     /*  935831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935843 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935871 */     GIR_RootConstrainSelectedInstOperands,
     /*  935872 */     // GIR_Coverage, 16370,
     /*  935872 */     GIR_EraseRootFromParent_Done,
     /*  935873 */   // Label 14136: @935873
     /*  935873 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(935967), // Rule ID 16373 //
     /*  935878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  935889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  935892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  935895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935925 */     // MIs[1] Operand 1
     /*  935925 */     // No operand predicates
     /*  935925 */     // MIs[0] round
     /*  935925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935937 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935965 */     GIR_RootConstrainSelectedInstOperands,
     /*  935966 */     // GIR_Coverage, 16373,
     /*  935966 */     GIR_EraseRootFromParent_Done,
     /*  935967 */   // Label 14137: @935967
     /*  935967 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(936061), // Rule ID 16374 //
     /*  935972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  935983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  935986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  935989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936019 */     // MIs[1] Operand 1
     /*  936019 */     // No operand predicates
     /*  936019 */     // MIs[0] round
     /*  936019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936031 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936059 */     GIR_RootConstrainSelectedInstOperands,
     /*  936060 */     // GIR_Coverage, 16374,
     /*  936060 */     GIR_EraseRootFromParent_Done,
     /*  936061 */   // Label 14138: @936061
     /*  936061 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(936155), // Rule ID 16377 //
     /*  936066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936113 */     // MIs[1] Operand 1
     /*  936113 */     // No operand predicates
     /*  936113 */     // MIs[0] round
     /*  936113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936153 */     GIR_RootConstrainSelectedInstOperands,
     /*  936154 */     // GIR_Coverage, 16377,
     /*  936154 */     GIR_EraseRootFromParent_Done,
     /*  936155 */   // Label 14139: @936155
     /*  936155 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(936249), // Rule ID 16378 //
     /*  936160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936207 */     // MIs[1] Operand 1
     /*  936207 */     // No operand predicates
     /*  936207 */     // MIs[0] round
     /*  936207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936247 */     GIR_RootConstrainSelectedInstOperands,
     /*  936248 */     // GIR_Coverage, 16378,
     /*  936248 */     GIR_EraseRootFromParent_Done,
     /*  936249 */   // Label 14140: @936249
     /*  936249 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(936343), // Rule ID 16381 //
     /*  936254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936301 */     // MIs[1] Operand 1
     /*  936301 */     // No operand predicates
     /*  936301 */     // MIs[0] round
     /*  936301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936313 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936341 */     GIR_RootConstrainSelectedInstOperands,
     /*  936342 */     // GIR_Coverage, 16381,
     /*  936342 */     GIR_EraseRootFromParent_Done,
     /*  936343 */   // Label 14141: @936343
     /*  936343 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(936437), // Rule ID 16382 //
     /*  936348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936395 */     // MIs[1] Operand 1
     /*  936395 */     // No operand predicates
     /*  936395 */     // MIs[0] round
     /*  936395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936435 */     GIR_RootConstrainSelectedInstOperands,
     /*  936436 */     // GIR_Coverage, 16382,
     /*  936436 */     GIR_EraseRootFromParent_Done,
     /*  936437 */   // Label 14142: @936437
     /*  936437 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(936531), // Rule ID 16385 //
     /*  936442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936489 */     // MIs[1] Operand 1
     /*  936489 */     // No operand predicates
     /*  936489 */     // MIs[0] round
     /*  936489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936529 */     GIR_RootConstrainSelectedInstOperands,
     /*  936530 */     // GIR_Coverage, 16385,
     /*  936530 */     GIR_EraseRootFromParent_Done,
     /*  936531 */   // Label 14143: @936531
     /*  936531 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(936625), // Rule ID 16386 //
     /*  936536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936583 */     // MIs[1] Operand 1
     /*  936583 */     // No operand predicates
     /*  936583 */     // MIs[0] round
     /*  936583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936623 */     GIR_RootConstrainSelectedInstOperands,
     /*  936624 */     // GIR_Coverage, 16386,
     /*  936624 */     GIR_EraseRootFromParent_Done,
     /*  936625 */   // Label 14144: @936625
     /*  936625 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(936719), // Rule ID 16389 //
     /*  936630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  936641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  936644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  936647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936677 */     // MIs[1] Operand 1
     /*  936677 */     // No operand predicates
     /*  936677 */     // MIs[0] round
     /*  936677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936717 */     GIR_RootConstrainSelectedInstOperands,
     /*  936718 */     // GIR_Coverage, 16389,
     /*  936718 */     GIR_EraseRootFromParent_Done,
     /*  936719 */   // Label 14145: @936719
     /*  936719 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(936813), // Rule ID 16390 //
     /*  936724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  936735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  936738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  936741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936771 */     // MIs[1] Operand 1
     /*  936771 */     // No operand predicates
     /*  936771 */     // MIs[0] round
     /*  936771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936811 */     GIR_RootConstrainSelectedInstOperands,
     /*  936812 */     // GIR_Coverage, 16390,
     /*  936812 */     GIR_EraseRootFromParent_Done,
     /*  936813 */   // Label 14146: @936813
     /*  936813 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(936907), // Rule ID 16513 //
     /*  936818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  936832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  936835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936865 */     // MIs[1] Operand 1
     /*  936865 */     // No operand predicates
     /*  936865 */     // MIs[0] round
     /*  936865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  936880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936905 */     GIR_RootConstrainSelectedInstOperands,
     /*  936906 */     // GIR_Coverage, 16513,
     /*  936906 */     GIR_EraseRootFromParent_Done,
     /*  936907 */   // Label 14147: @936907
     /*  936907 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(937001), // Rule ID 16514 //
     /*  936912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  936926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  936929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936959 */     // MIs[1] Operand 1
     /*  936959 */     // No operand predicates
     /*  936959 */     // MIs[0] round
     /*  936959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  936974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936999 */     GIR_RootConstrainSelectedInstOperands,
     /*  937000 */     // GIR_Coverage, 16514,
     /*  937000 */     GIR_EraseRootFromParent_Done,
     /*  937001 */   // Label 14148: @937001
     /*  937001 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(937095), // Rule ID 16517 //
     /*  937006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937053 */     // MIs[1] Operand 1
     /*  937053 */     // No operand predicates
     /*  937053 */     // MIs[0] round
     /*  937053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937093 */     GIR_RootConstrainSelectedInstOperands,
     /*  937094 */     // GIR_Coverage, 16517,
     /*  937094 */     GIR_EraseRootFromParent_Done,
     /*  937095 */   // Label 14149: @937095
     /*  937095 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(937189), // Rule ID 16518 //
     /*  937100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937147 */     // MIs[1] Operand 1
     /*  937147 */     // No operand predicates
     /*  937147 */     // MIs[0] round
     /*  937147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937187 */     GIR_RootConstrainSelectedInstOperands,
     /*  937188 */     // GIR_Coverage, 16518,
     /*  937188 */     GIR_EraseRootFromParent_Done,
     /*  937189 */   // Label 14150: @937189
     /*  937189 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(937283), // Rule ID 16521 //
     /*  937194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937241 */     // MIs[1] Operand 1
     /*  937241 */     // No operand predicates
     /*  937241 */     // MIs[0] round
     /*  937241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937281 */     GIR_RootConstrainSelectedInstOperands,
     /*  937282 */     // GIR_Coverage, 16521,
     /*  937282 */     GIR_EraseRootFromParent_Done,
     /*  937283 */   // Label 14151: @937283
     /*  937283 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(937377), // Rule ID 16522 //
     /*  937288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937335 */     // MIs[1] Operand 1
     /*  937335 */     // No operand predicates
     /*  937335 */     // MIs[0] round
     /*  937335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937375 */     GIR_RootConstrainSelectedInstOperands,
     /*  937376 */     // GIR_Coverage, 16522,
     /*  937376 */     GIR_EraseRootFromParent_Done,
     /*  937377 */   // Label 14152: @937377
     /*  937377 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(937471), // Rule ID 16525 //
     /*  937382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937429 */     // MIs[1] Operand 1
     /*  937429 */     // No operand predicates
     /*  937429 */     // MIs[0] round
     /*  937429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937469 */     GIR_RootConstrainSelectedInstOperands,
     /*  937470 */     // GIR_Coverage, 16525,
     /*  937470 */     GIR_EraseRootFromParent_Done,
     /*  937471 */   // Label 14153: @937471
     /*  937471 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(937565), // Rule ID 16526 //
     /*  937476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937523 */     // MIs[1] Operand 1
     /*  937523 */     // No operand predicates
     /*  937523 */     // MIs[0] round
     /*  937523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937563 */     GIR_RootConstrainSelectedInstOperands,
     /*  937564 */     // GIR_Coverage, 16526,
     /*  937564 */     GIR_EraseRootFromParent_Done,
     /*  937565 */   // Label 14154: @937565
     /*  937565 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(937659), // Rule ID 16529 //
     /*  937570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937617 */     // MIs[1] Operand 1
     /*  937617 */     // No operand predicates
     /*  937617 */     // MIs[0] round
     /*  937617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937629 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  937632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937657 */     GIR_RootConstrainSelectedInstOperands,
     /*  937658 */     // GIR_Coverage, 16529,
     /*  937658 */     GIR_EraseRootFromParent_Done,
     /*  937659 */   // Label 14155: @937659
     /*  937659 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(937753), // Rule ID 16530 //
     /*  937664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937711 */     // MIs[1] Operand 1
     /*  937711 */     // No operand predicates
     /*  937711 */     // MIs[0] round
     /*  937711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  937726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937751 */     GIR_RootConstrainSelectedInstOperands,
     /*  937752 */     // GIR_Coverage, 16530,
     /*  937752 */     GIR_EraseRootFromParent_Done,
     /*  937753 */   // Label 14156: @937753
     /*  937753 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(937847), // Rule ID 16533 //
     /*  937758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  937769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  937772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937805 */     // MIs[1] Operand 1
     /*  937805 */     // No operand predicates
     /*  937805 */     // MIs[0] round
     /*  937805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  937820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937845 */     GIR_RootConstrainSelectedInstOperands,
     /*  937846 */     // GIR_Coverage, 16533,
     /*  937846 */     GIR_EraseRootFromParent_Done,
     /*  937847 */   // Label 14157: @937847
     /*  937847 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(937941), // Rule ID 16534 //
     /*  937852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  937863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  937866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937899 */     // MIs[1] Operand 1
     /*  937899 */     // No operand predicates
     /*  937899 */     // MIs[0] round
     /*  937899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  937914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937939 */     GIR_RootConstrainSelectedInstOperands,
     /*  937940 */     // GIR_Coverage, 16534,
     /*  937940 */     GIR_EraseRootFromParent_Done,
     /*  937941 */   // Label 14158: @937941
     /*  937941 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(938035), // Rule ID 16537 //
     /*  937946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  937960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  937963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937993 */     // MIs[1] Operand 1
     /*  937993 */     // No operand predicates
     /*  937993 */     // MIs[0] round
     /*  937993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938033 */     GIR_RootConstrainSelectedInstOperands,
     /*  938034 */     // GIR_Coverage, 16537,
     /*  938034 */     GIR_EraseRootFromParent_Done,
     /*  938035 */   // Label 14159: @938035
     /*  938035 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(938129), // Rule ID 16538 //
     /*  938040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938087 */     // MIs[1] Operand 1
     /*  938087 */     // No operand predicates
     /*  938087 */     // MIs[0] round
     /*  938087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938127 */     GIR_RootConstrainSelectedInstOperands,
     /*  938128 */     // GIR_Coverage, 16538,
     /*  938128 */     GIR_EraseRootFromParent_Done,
     /*  938129 */   // Label 14160: @938129
     /*  938129 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(938223), // Rule ID 16541 //
     /*  938134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938181 */     // MIs[1] Operand 1
     /*  938181 */     // No operand predicates
     /*  938181 */     // MIs[0] round
     /*  938181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938193 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938221 */     GIR_RootConstrainSelectedInstOperands,
     /*  938222 */     // GIR_Coverage, 16541,
     /*  938222 */     GIR_EraseRootFromParent_Done,
     /*  938223 */   // Label 14161: @938223
     /*  938223 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(938317), // Rule ID 16542 //
     /*  938228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938275 */     // MIs[1] Operand 1
     /*  938275 */     // No operand predicates
     /*  938275 */     // MIs[0] round
     /*  938275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938315 */     GIR_RootConstrainSelectedInstOperands,
     /*  938316 */     // GIR_Coverage, 16542,
     /*  938316 */     GIR_EraseRootFromParent_Done,
     /*  938317 */   // Label 14162: @938317
     /*  938317 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(938411), // Rule ID 16545 //
     /*  938322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938369 */     // MIs[1] Operand 1
     /*  938369 */     // No operand predicates
     /*  938369 */     // MIs[0] round
     /*  938369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938381 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938409 */     GIR_RootConstrainSelectedInstOperands,
     /*  938410 */     // GIR_Coverage, 16545,
     /*  938410 */     GIR_EraseRootFromParent_Done,
     /*  938411 */   // Label 14163: @938411
     /*  938411 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(938505), // Rule ID 16546 //
     /*  938416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938463 */     // MIs[1] Operand 1
     /*  938463 */     // No operand predicates
     /*  938463 */     // MIs[0] round
     /*  938463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938475 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938503 */     GIR_RootConstrainSelectedInstOperands,
     /*  938504 */     // GIR_Coverage, 16546,
     /*  938504 */     GIR_EraseRootFromParent_Done,
     /*  938505 */   // Label 14164: @938505
     /*  938505 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(938599), // Rule ID 16549 //
     /*  938510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  938521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  938524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938557 */     // MIs[1] Operand 1
     /*  938557 */     // No operand predicates
     /*  938557 */     // MIs[0] round
     /*  938557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938569 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938597 */     GIR_RootConstrainSelectedInstOperands,
     /*  938598 */     // GIR_Coverage, 16549,
     /*  938598 */     GIR_EraseRootFromParent_Done,
     /*  938599 */   // Label 14165: @938599
     /*  938599 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(938693), // Rule ID 16550 //
     /*  938604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  938615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  938618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938651 */     // MIs[1] Operand 1
     /*  938651 */     // No operand predicates
     /*  938651 */     // MIs[0] round
     /*  938651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938691 */     GIR_RootConstrainSelectedInstOperands,
     /*  938692 */     // GIR_Coverage, 16550,
     /*  938692 */     GIR_EraseRootFromParent_Done,
     /*  938693 */   // Label 14166: @938693
     /*  938693 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(938787), // Rule ID 16553 //
     /*  938698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  938709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  938712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938745 */     // MIs[1] Operand 1
     /*  938745 */     // No operand predicates
     /*  938745 */     // MIs[0] round
     /*  938745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938757 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938785 */     GIR_RootConstrainSelectedInstOperands,
     /*  938786 */     // GIR_Coverage, 16553,
     /*  938786 */     GIR_EraseRootFromParent_Done,
     /*  938787 */   // Label 14167: @938787
     /*  938787 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(938881), // Rule ID 16554 //
     /*  938792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  938803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  938806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938839 */     // MIs[1] Operand 1
     /*  938839 */     // No operand predicates
     /*  938839 */     // MIs[0] round
     /*  938839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938879 */     GIR_RootConstrainSelectedInstOperands,
     /*  938880 */     // GIR_Coverage, 16554,
     /*  938880 */     GIR_EraseRootFromParent_Done,
     /*  938881 */   // Label 14168: @938881
     /*  938881 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(938975), // Rule ID 16557 //
     /*  938886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  938903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938933 */     // MIs[1] Operand 1
     /*  938933 */     // No operand predicates
     /*  938933 */     // MIs[0] round
     /*  938933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938973 */     GIR_RootConstrainSelectedInstOperands,
     /*  938974 */     // GIR_Coverage, 16557,
     /*  938974 */     GIR_EraseRootFromParent_Done,
     /*  938975 */   // Label 14169: @938975
     /*  938975 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(939069), // Rule ID 16558 //
     /*  938980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  938997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939027 */     // MIs[1] Operand 1
     /*  939027 */     // No operand predicates
     /*  939027 */     // MIs[0] round
     /*  939027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  939042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939067 */     GIR_RootConstrainSelectedInstOperands,
     /*  939068 */     // GIR_Coverage, 16558,
     /*  939068 */     GIR_EraseRootFromParent_Done,
     /*  939069 */   // Label 14170: @939069
     /*  939069 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(939163), // Rule ID 16561 //
     /*  939074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939121 */     // MIs[1] Operand 1
     /*  939121 */     // No operand predicates
     /*  939121 */     // MIs[0] round
     /*  939121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939161 */     GIR_RootConstrainSelectedInstOperands,
     /*  939162 */     // GIR_Coverage, 16561,
     /*  939162 */     GIR_EraseRootFromParent_Done,
     /*  939163 */   // Label 14171: @939163
     /*  939163 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(939257), // Rule ID 16562 //
     /*  939168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939215 */     // MIs[1] Operand 1
     /*  939215 */     // No operand predicates
     /*  939215 */     // MIs[0] round
     /*  939215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939255 */     GIR_RootConstrainSelectedInstOperands,
     /*  939256 */     // GIR_Coverage, 16562,
     /*  939256 */     GIR_EraseRootFromParent_Done,
     /*  939257 */   // Label 14172: @939257
     /*  939257 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(939351), // Rule ID 16565 //
     /*  939262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939309 */     // MIs[1] Operand 1
     /*  939309 */     // No operand predicates
     /*  939309 */     // MIs[0] round
     /*  939309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939349 */     GIR_RootConstrainSelectedInstOperands,
     /*  939350 */     // GIR_Coverage, 16565,
     /*  939350 */     GIR_EraseRootFromParent_Done,
     /*  939351 */   // Label 14173: @939351
     /*  939351 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(939445), // Rule ID 16566 //
     /*  939356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939403 */     // MIs[1] Operand 1
     /*  939403 */     // No operand predicates
     /*  939403 */     // MIs[0] round
     /*  939403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939443 */     GIR_RootConstrainSelectedInstOperands,
     /*  939444 */     // GIR_Coverage, 16566,
     /*  939444 */     GIR_EraseRootFromParent_Done,
     /*  939445 */   // Label 14174: @939445
     /*  939445 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(939539), // Rule ID 16569 //
     /*  939450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939497 */     // MIs[1] Operand 1
     /*  939497 */     // No operand predicates
     /*  939497 */     // MIs[0] round
     /*  939497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939537 */     GIR_RootConstrainSelectedInstOperands,
     /*  939538 */     // GIR_Coverage, 16569,
     /*  939538 */     GIR_EraseRootFromParent_Done,
     /*  939539 */   // Label 14175: @939539
     /*  939539 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(939633), // Rule ID 16570 //
     /*  939544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939591 */     // MIs[1] Operand 1
     /*  939591 */     // No operand predicates
     /*  939591 */     // MIs[0] round
     /*  939591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939631 */     GIR_RootConstrainSelectedInstOperands,
     /*  939632 */     // GIR_Coverage, 16570,
     /*  939632 */     GIR_EraseRootFromParent_Done,
     /*  939633 */   // Label 14176: @939633
     /*  939633 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(939717), // Rule ID 2645 //
     /*  939638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  939658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939681 */     // MIs[0] round
     /*  939681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939693 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  939693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  939696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939715 */     GIR_RootConstrainSelectedInstOperands,
     /*  939716 */     // GIR_Coverage, 2645,
     /*  939716 */     GIR_EraseRootFromParent_Done,
     /*  939717 */   // Label 14177: @939717
     /*  939717 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(939801), // Rule ID 2646 //
     /*  939722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  939725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  939742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939765 */     // MIs[0] round
     /*  939765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939777 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  939777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  939780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939799 */     GIR_RootConstrainSelectedInstOperands,
     /*  939800 */     // GIR_Coverage, 2646,
     /*  939800 */     GIR_EraseRootFromParent_Done,
     /*  939801 */   // Label 14178: @939801
     /*  939801 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(939885), // Rule ID 17017 //
     /*  939806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  939826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939849 */     // MIs[0] round
     /*  939849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939861 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  939861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  939864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939883 */     GIR_RootConstrainSelectedInstOperands,
     /*  939884 */     // GIR_Coverage, 17017,
     /*  939884 */     GIR_EraseRootFromParent_Done,
     /*  939885 */   // Label 14179: @939885
     /*  939885 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(939969), // Rule ID 17018 //
     /*  939890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  939893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  939910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939933 */     // MIs[0] round
     /*  939933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939945 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  939945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  939948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939967 */     GIR_RootConstrainSelectedInstOperands,
     /*  939968 */     // GIR_Coverage, 17018,
     /*  939968 */     GIR_EraseRootFromParent_Done,
     /*  939969 */   // Label 14180: @939969
     /*  939969 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(940053), // Rule ID 17027 //
     /*  939974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  939991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940017 */     // MIs[0] round
     /*  940017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940029 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  940032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940051 */     GIR_RootConstrainSelectedInstOperands,
     /*  940052 */     // GIR_Coverage, 17027,
     /*  940052 */     GIR_EraseRootFromParent_Done,
     /*  940053 */   // Label 14181: @940053
     /*  940053 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(940137), // Rule ID 17028 //
     /*  940058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940101 */     // MIs[0] round
     /*  940101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940113 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  940116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940135 */     GIR_RootConstrainSelectedInstOperands,
     /*  940136 */     // GIR_Coverage, 17028,
     /*  940136 */     GIR_EraseRootFromParent_Done,
     /*  940137 */   // Label 14182: @940137
     /*  940137 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(940221), // Rule ID 17037 //
     /*  940142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940185 */     // MIs[0] round
     /*  940185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940197 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940219 */     GIR_RootConstrainSelectedInstOperands,
     /*  940220 */     // GIR_Coverage, 17037,
     /*  940220 */     GIR_EraseRootFromParent_Done,
     /*  940221 */   // Label 14183: @940221
     /*  940221 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(940305), // Rule ID 17038 //
     /*  940226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940269 */     // MIs[0] round
     /*  940269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940281 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940303 */     GIR_RootConstrainSelectedInstOperands,
     /*  940304 */     // GIR_Coverage, 17038,
     /*  940304 */     GIR_EraseRootFromParent_Done,
     /*  940305 */   // Label 14184: @940305
     /*  940305 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(940389), // Rule ID 17047 //
     /*  940310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940353 */     // MIs[0] round
     /*  940353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940365 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940387 */     GIR_RootConstrainSelectedInstOperands,
     /*  940388 */     // GIR_Coverage, 17047,
     /*  940388 */     GIR_EraseRootFromParent_Done,
     /*  940389 */   // Label 14185: @940389
     /*  940389 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(940473), // Rule ID 17048 //
     /*  940394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940437 */     // MIs[0] round
     /*  940437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940449 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940471 */     GIR_RootConstrainSelectedInstOperands,
     /*  940472 */     // GIR_Coverage, 17048,
     /*  940472 */     GIR_EraseRootFromParent_Done,
     /*  940473 */   // Label 14186: @940473
     /*  940473 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(940557), // Rule ID 17057 //
     /*  940478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940521 */     // MIs[0] round
     /*  940521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  940536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940555 */     GIR_RootConstrainSelectedInstOperands,
     /*  940556 */     // GIR_Coverage, 17057,
     /*  940556 */     GIR_EraseRootFromParent_Done,
     /*  940557 */   // Label 14187: @940557
     /*  940557 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(940641), // Rule ID 17058 //
     /*  940562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940605 */     // MIs[0] round
     /*  940605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  940620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940639 */     GIR_RootConstrainSelectedInstOperands,
     /*  940640 */     // GIR_Coverage, 17058,
     /*  940640 */     GIR_EraseRootFromParent_Done,
     /*  940641 */   // Label 14188: @940641
     /*  940641 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(940725), // Rule ID 17067 //
     /*  940646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940689 */     // MIs[0] round
     /*  940689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940701 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  940704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940723 */     GIR_RootConstrainSelectedInstOperands,
     /*  940724 */     // GIR_Coverage, 17067,
     /*  940724 */     GIR_EraseRootFromParent_Done,
     /*  940725 */   // Label 14189: @940725
     /*  940725 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(940809), // Rule ID 17068 //
     /*  940730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940773 */     // MIs[0] round
     /*  940773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940785 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  940788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940807 */     GIR_RootConstrainSelectedInstOperands,
     /*  940808 */     // GIR_Coverage, 17068,
     /*  940808 */     GIR_EraseRootFromParent_Done,
     /*  940809 */   // Label 14190: @940809
     /*  940809 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(940893), // Rule ID 17077 //
     /*  940814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  940834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940857 */     // MIs[0] round
     /*  940857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940869 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  940872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940891 */     GIR_RootConstrainSelectedInstOperands,
     /*  940892 */     // GIR_Coverage, 17077,
     /*  940892 */     GIR_EraseRootFromParent_Done,
     /*  940893 */   // Label 14191: @940893
     /*  940893 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(940977), // Rule ID 17078 //
     /*  940898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  940918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940941 */     // MIs[0] round
     /*  940941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940953 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  940956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940975 */     GIR_RootConstrainSelectedInstOperands,
     /*  940976 */     // GIR_Coverage, 17078,
     /*  940976 */     GIR_EraseRootFromParent_Done,
     /*  940977 */   // Label 14192: @940977
     /*  940977 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(941061), // Rule ID 17087 //
     /*  940982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  940993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  940996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  940999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941025 */     // MIs[0] round
     /*  941025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941037 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  941040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941059 */     GIR_RootConstrainSelectedInstOperands,
     /*  941060 */     // GIR_Coverage, 17087,
     /*  941060 */     GIR_EraseRootFromParent_Done,
     /*  941061 */   // Label 14193: @941061
     /*  941061 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(941145), // Rule ID 17088 //
     /*  941066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941109 */     // MIs[0] round
     /*  941109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941121 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  941124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941143 */     GIR_RootConstrainSelectedInstOperands,
     /*  941144 */     // GIR_Coverage, 17088,
     /*  941144 */     GIR_EraseRootFromParent_Done,
     /*  941145 */   // Label 14194: @941145
     /*  941145 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(941229), // Rule ID 17133 //
     /*  941150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941193 */     // MIs[0] round
     /*  941193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941227 */     GIR_RootConstrainSelectedInstOperands,
     /*  941228 */     // GIR_Coverage, 17133,
     /*  941228 */     GIR_EraseRootFromParent_Done,
     /*  941229 */   // Label 14195: @941229
     /*  941229 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(941313), // Rule ID 17134 //
     /*  941234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941277 */     // MIs[0] round
     /*  941277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941289 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941311 */     GIR_RootConstrainSelectedInstOperands,
     /*  941312 */     // GIR_Coverage, 17134,
     /*  941312 */     GIR_EraseRootFromParent_Done,
     /*  941313 */   // Label 14196: @941313
     /*  941313 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(941397), // Rule ID 17143 //
     /*  941318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941361 */     // MIs[0] round
     /*  941361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941373 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941395 */     GIR_RootConstrainSelectedInstOperands,
     /*  941396 */     // GIR_Coverage, 17143,
     /*  941396 */     GIR_EraseRootFromParent_Done,
     /*  941397 */   // Label 14197: @941397
     /*  941397 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(941481), // Rule ID 17144 //
     /*  941402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941445 */     // MIs[0] round
     /*  941445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941479 */     GIR_RootConstrainSelectedInstOperands,
     /*  941480 */     // GIR_Coverage, 17144,
     /*  941480 */     GIR_EraseRootFromParent_Done,
     /*  941481 */   // Label 14198: @941481
     /*  941481 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(941565), // Rule ID 17153 //
     /*  941486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941529 */     // MIs[0] round
     /*  941529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941541 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  941544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941563 */     GIR_RootConstrainSelectedInstOperands,
     /*  941564 */     // GIR_Coverage, 17153,
     /*  941564 */     GIR_EraseRootFromParent_Done,
     /*  941565 */   // Label 14199: @941565
     /*  941565 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(941649), // Rule ID 17154 //
     /*  941570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941613 */     // MIs[0] round
     /*  941613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941625 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  941628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941647 */     GIR_RootConstrainSelectedInstOperands,
     /*  941648 */     // GIR_Coverage, 17154,
     /*  941648 */     GIR_EraseRootFromParent_Done,
     /*  941649 */   // Label 14200: @941649
     /*  941649 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(941733), // Rule ID 17163 //
     /*  941654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  941671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  941674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941697 */     // MIs[0] round
     /*  941697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941709 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  941712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941731 */     GIR_RootConstrainSelectedInstOperands,
     /*  941732 */     // GIR_Coverage, 17163,
     /*  941732 */     GIR_EraseRootFromParent_Done,
     /*  941733 */   // Label 14201: @941733
     /*  941733 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(941817), // Rule ID 17164 //
     /*  941738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  941755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  941758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941781 */     // MIs[0] round
     /*  941781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941793 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  941796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941815 */     GIR_RootConstrainSelectedInstOperands,
     /*  941816 */     // GIR_Coverage, 17164,
     /*  941816 */     GIR_EraseRootFromParent_Done,
     /*  941817 */   // Label 14202: @941817
     /*  941817 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(941901), // Rule ID 17173 //
     /*  941822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  941833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  941836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  941842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941865 */     // MIs[0] round
     /*  941865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941877 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  941880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941899 */     GIR_RootConstrainSelectedInstOperands,
     /*  941900 */     // GIR_Coverage, 17173,
     /*  941900 */     GIR_EraseRootFromParent_Done,
     /*  941901 */   // Label 14203: @941901
     /*  941901 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(941985), // Rule ID 17174 //
     /*  941906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  941917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  941920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  941926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941949 */     // MIs[0] round
     /*  941949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941961 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  941964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941983 */     GIR_RootConstrainSelectedInstOperands,
     /*  941984 */     // GIR_Coverage, 17174,
     /*  941984 */     GIR_EraseRootFromParent_Done,
     /*  941985 */   // Label 14204: @941985
     /*  941985 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(942069), // Rule ID 17183 //
     /*  941990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  942007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942033 */     // MIs[0] round
     /*  942033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942045 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  942048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942067 */     GIR_RootConstrainSelectedInstOperands,
     /*  942068 */     // GIR_Coverage, 17183,
     /*  942068 */     GIR_EraseRootFromParent_Done,
     /*  942069 */   // Label 14205: @942069
     /*  942069 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(942153), // Rule ID 17184 //
     /*  942074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  942091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942117 */     // MIs[0] round
     /*  942117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942129 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  942132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942151 */     GIR_RootConstrainSelectedInstOperands,
     /*  942152 */     // GIR_Coverage, 17184,
     /*  942152 */     GIR_EraseRootFromParent_Done,
     /*  942153 */   // Label 14206: @942153
     /*  942153 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(942237), // Rule ID 17193 //
     /*  942158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942201 */     // MIs[0] round
     /*  942201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942213 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942235 */     GIR_RootConstrainSelectedInstOperands,
     /*  942236 */     // GIR_Coverage, 17193,
     /*  942236 */     GIR_EraseRootFromParent_Done,
     /*  942237 */   // Label 14207: @942237
     /*  942237 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(942321), // Rule ID 17194 //
     /*  942242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942285 */     // MIs[0] round
     /*  942285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942297 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942319 */     GIR_RootConstrainSelectedInstOperands,
     /*  942320 */     // GIR_Coverage, 17194,
     /*  942320 */     GIR_EraseRootFromParent_Done,
     /*  942321 */   // Label 14208: @942321
     /*  942321 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(942405), // Rule ID 17203 //
     /*  942326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942369 */     // MIs[0] round
     /*  942369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942381 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942403 */     GIR_RootConstrainSelectedInstOperands,
     /*  942404 */     // GIR_Coverage, 17203,
     /*  942404 */     GIR_EraseRootFromParent_Done,
     /*  942405 */   // Label 14209: @942405
     /*  942405 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(942489), // Rule ID 17204 //
     /*  942410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942453 */     // MIs[0] round
     /*  942453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942465 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942487 */     GIR_RootConstrainSelectedInstOperands,
     /*  942488 */     // GIR_Coverage, 17204,
     /*  942488 */     GIR_EraseRootFromParent_Done,
     /*  942489 */   // Label 14210: @942489
     /*  942489 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(942573), // Rule ID 17213 //
     /*  942494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942537 */     // MIs[0] round
     /*  942537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942549 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  942552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942571 */     GIR_RootConstrainSelectedInstOperands,
     /*  942572 */     // GIR_Coverage, 17213,
     /*  942572 */     GIR_EraseRootFromParent_Done,
     /*  942573 */   // Label 14211: @942573
     /*  942573 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(942657), // Rule ID 17214 //
     /*  942578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942621 */     // MIs[0] round
     /*  942621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942633 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  942636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942655 */     GIR_RootConstrainSelectedInstOperands,
     /*  942656 */     // GIR_Coverage, 17214,
     /*  942656 */     GIR_EraseRootFromParent_Done,
     /*  942657 */   // Label 14212: @942657
     /*  942657 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(942739), // Rule ID 62739 //
     /*  942662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942689 */     // MIs[0] op1
     /*  942689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942716 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  942716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  942719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942721 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942723 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942725 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942727 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942737 */     GIR_RootConstrainSelectedInstOperands,
     /*  942738 */     // GIR_Coverage, 62739,
     /*  942738 */     GIR_EraseRootFromParent_Done,
     /*  942739 */   // Label 14213: @942739
     /*  942739 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(942821), // Rule ID 62740 //
     /*  942744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942771 */     // MIs[0] op1
     /*  942771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  942798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  942801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942803 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942805 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942807 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942809 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942819 */     GIR_RootConstrainSelectedInstOperands,
     /*  942820 */     // GIR_Coverage, 62740,
     /*  942820 */     GIR_EraseRootFromParent_Done,
     /*  942821 */   // Label 14214: @942821
     /*  942821 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(942903), // Rule ID 62769 //
     /*  942826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  942846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942853 */     // MIs[0] op1
     /*  942853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942880 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  942880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  942883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942891 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942901 */     GIR_RootConstrainSelectedInstOperands,
     /*  942902 */     // GIR_Coverage, 62769,
     /*  942902 */     GIR_EraseRootFromParent_Done,
     /*  942903 */   // Label 14215: @942903
     /*  942903 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(942985), // Rule ID 62770 //
     /*  942908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  942928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942935 */     // MIs[0] op1
     /*  942935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942962 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  942962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  942965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942967 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942969 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942971 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942973 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942983 */     GIR_RootConstrainSelectedInstOperands,
     /*  942984 */     // GIR_Coverage, 62770,
     /*  942984 */     GIR_EraseRootFromParent_Done,
     /*  942985 */   // Label 14216: @942985
     /*  942985 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(943067), // Rule ID 62801 //
     /*  942990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943017 */     // MIs[0] op1
     /*  943017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943044 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943049 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943051 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943053 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943055 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943065 */     GIR_RootConstrainSelectedInstOperands,
     /*  943066 */     // GIR_Coverage, 62801,
     /*  943066 */     GIR_EraseRootFromParent_Done,
     /*  943067 */   // Label 14217: @943067
     /*  943067 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(943149), // Rule ID 62802 //
     /*  943072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943099 */     // MIs[0] op1
     /*  943099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943131 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943133 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943135 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943137 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943147 */     GIR_RootConstrainSelectedInstOperands,
     /*  943148 */     // GIR_Coverage, 62802,
     /*  943148 */     GIR_EraseRootFromParent_Done,
     /*  943149 */   // Label 14218: @943149
     /*  943149 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(943231), // Rule ID 62813 //
     /*  943154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943181 */     // MIs[0] op1
     /*  943181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943219 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943229 */     GIR_RootConstrainSelectedInstOperands,
     /*  943230 */     // GIR_Coverage, 62813,
     /*  943230 */     GIR_EraseRootFromParent_Done,
     /*  943231 */   // Label 14219: @943231
     /*  943231 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(943313), // Rule ID 62814 //
     /*  943236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943263 */     // MIs[0] op1
     /*  943263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943290 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943295 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943297 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943299 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943301 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943311 */     GIR_RootConstrainSelectedInstOperands,
     /*  943312 */     // GIR_Coverage, 62814,
     /*  943312 */     GIR_EraseRootFromParent_Done,
     /*  943313 */   // Label 14220: @943313
     /*  943313 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(943395), // Rule ID 62845 //
     /*  943318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943345 */     // MIs[0] op1
     /*  943345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943377 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943379 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943381 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943383 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943393 */     GIR_RootConstrainSelectedInstOperands,
     /*  943394 */     // GIR_Coverage, 62845,
     /*  943394 */     GIR_EraseRootFromParent_Done,
     /*  943395 */   // Label 14221: @943395
     /*  943395 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(943477), // Rule ID 62846 //
     /*  943400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943427 */     // MIs[0] op1
     /*  943427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943454 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943459 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943461 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943463 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943465 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943475 */     GIR_RootConstrainSelectedInstOperands,
     /*  943476 */     // GIR_Coverage, 62846,
     /*  943476 */     GIR_EraseRootFromParent_Done,
     /*  943477 */   // Label 14222: @943477
     /*  943477 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(943559), // Rule ID 62857 //
     /*  943482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943509 */     // MIs[0] op1
     /*  943509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943547 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943557 */     GIR_RootConstrainSelectedInstOperands,
     /*  943558 */     // GIR_Coverage, 62857,
     /*  943558 */     GIR_EraseRootFromParent_Done,
     /*  943559 */   // Label 14223: @943559
     /*  943559 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(943641), // Rule ID 62858 //
     /*  943564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943591 */     // MIs[0] op1
     /*  943591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943618 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943623 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943625 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943627 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943629 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943639 */     GIR_RootConstrainSelectedInstOperands,
     /*  943640 */     // GIR_Coverage, 62858,
     /*  943640 */     GIR_EraseRootFromParent_Done,
     /*  943641 */   // Label 14224: @943641
     /*  943641 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(943723), // Rule ID 62889 //
     /*  943646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943673 */     // MIs[0] op1
     /*  943673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943711 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943721 */     GIR_RootConstrainSelectedInstOperands,
     /*  943722 */     // GIR_Coverage, 62889,
     /*  943722 */     GIR_EraseRootFromParent_Done,
     /*  943723 */   // Label 14225: @943723
     /*  943723 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(943805), // Rule ID 62890 //
     /*  943728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943755 */     // MIs[0] op1
     /*  943755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943793 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943803 */     GIR_RootConstrainSelectedInstOperands,
     /*  943804 */     // GIR_Coverage, 62890,
     /*  943804 */     GIR_EraseRootFromParent_Done,
     /*  943805 */   // Label 14226: @943805
     /*  943805 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(943887), // Rule ID 62901 //
     /*  943810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  943830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943837 */     // MIs[0] op1
     /*  943837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943869 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943871 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943873 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943875 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943885 */     GIR_RootConstrainSelectedInstOperands,
     /*  943886 */     // GIR_Coverage, 62901,
     /*  943886 */     GIR_EraseRootFromParent_Done,
     /*  943887 */   // Label 14227: @943887
     /*  943887 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(943969), // Rule ID 62902 //
     /*  943892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  943912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943919 */     // MIs[0] op1
     /*  943919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943957 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943967 */     GIR_RootConstrainSelectedInstOperands,
     /*  943968 */     // GIR_Coverage, 62902,
     /*  943968 */     GIR_EraseRootFromParent_Done,
     /*  943969 */   // Label 14228: @943969
     /*  943969 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(944051), // Rule ID 62913 //
     /*  943974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  943994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944001 */     // MIs[0] op1
     /*  944001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  944031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944039 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944049 */     GIR_RootConstrainSelectedInstOperands,
     /*  944050 */     // GIR_Coverage, 62913,
     /*  944050 */     GIR_EraseRootFromParent_Done,
     /*  944051 */   // Label 14229: @944051
     /*  944051 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(944133), // Rule ID 62914 //
     /*  944056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944083 */     // MIs[0] op1
     /*  944083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  944113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944121 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944131 */     GIR_RootConstrainSelectedInstOperands,
     /*  944132 */     // GIR_Coverage, 62914,
     /*  944132 */     GIR_EraseRootFromParent_Done,
     /*  944133 */   // Label 14230: @944133
     /*  944133 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(944215), // Rule ID 62945 //
     /*  944138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944165 */     // MIs[0] op1
     /*  944165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944197 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944199 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944201 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944203 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944213 */     GIR_RootConstrainSelectedInstOperands,
     /*  944214 */     // GIR_Coverage, 62945,
     /*  944214 */     GIR_EraseRootFromParent_Done,
     /*  944215 */   // Label 14231: @944215
     /*  944215 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(944297), // Rule ID 62946 //
     /*  944220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944247 */     // MIs[0] op1
     /*  944247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944279 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944281 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944283 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944285 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944295 */     GIR_RootConstrainSelectedInstOperands,
     /*  944296 */     // GIR_Coverage, 62946,
     /*  944296 */     GIR_EraseRootFromParent_Done,
     /*  944297 */   // Label 14232: @944297
     /*  944297 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(944379), // Rule ID 62957 //
     /*  944302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944329 */     // MIs[0] op1
     /*  944329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944367 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944377 */     GIR_RootConstrainSelectedInstOperands,
     /*  944378 */     // GIR_Coverage, 62957,
     /*  944378 */     GIR_EraseRootFromParent_Done,
     /*  944379 */   // Label 14233: @944379
     /*  944379 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(944461), // Rule ID 62958 //
     /*  944384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944411 */     // MIs[0] op1
     /*  944411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944443 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944445 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944447 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944449 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944459 */     GIR_RootConstrainSelectedInstOperands,
     /*  944460 */     // GIR_Coverage, 62958,
     /*  944460 */     GIR_EraseRootFromParent_Done,
     /*  944461 */   // Label 14234: @944461
     /*  944461 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(944543), // Rule ID 62969 //
     /*  944466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944493 */     // MIs[0] op1
     /*  944493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944531 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944541 */     GIR_RootConstrainSelectedInstOperands,
     /*  944542 */     // GIR_Coverage, 62969,
     /*  944542 */     GIR_EraseRootFromParent_Done,
     /*  944543 */   // Label 14235: @944543
     /*  944543 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(944625), // Rule ID 62970 //
     /*  944548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944575 */     // MIs[0] op1
     /*  944575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944607 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944609 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944611 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944613 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944623 */     GIR_RootConstrainSelectedInstOperands,
     /*  944624 */     // GIR_Coverage, 62970,
     /*  944624 */     GIR_EraseRootFromParent_Done,
     /*  944625 */   // Label 14236: @944625
     /*  944625 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(944707), // Rule ID 63001 //
     /*  944630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944657 */     // MIs[0] op1
     /*  944657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944695 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944705 */     GIR_RootConstrainSelectedInstOperands,
     /*  944706 */     // GIR_Coverage, 63001,
     /*  944706 */     GIR_EraseRootFromParent_Done,
     /*  944707 */   // Label 14237: @944707
     /*  944707 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(944789), // Rule ID 63002 //
     /*  944712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944739 */     // MIs[0] op1
     /*  944739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944771 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944773 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944775 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944777 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944787 */     GIR_RootConstrainSelectedInstOperands,
     /*  944788 */     // GIR_Coverage, 63002,
     /*  944788 */     GIR_EraseRootFromParent_Done,
     /*  944789 */   // Label 14238: @944789
     /*  944789 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(944871), // Rule ID 63013 //
     /*  944794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  944814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944821 */     // MIs[0] op1
     /*  944821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944848 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944859 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944869 */     GIR_RootConstrainSelectedInstOperands,
     /*  944870 */     // GIR_Coverage, 63013,
     /*  944870 */     GIR_EraseRootFromParent_Done,
     /*  944871 */   // Label 14239: @944871
     /*  944871 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(944953), // Rule ID 63014 //
     /*  944876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  944896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944903 */     // MIs[0] op1
     /*  944903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944935 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944937 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944939 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944941 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944951 */     GIR_RootConstrainSelectedInstOperands,
     /*  944952 */     // GIR_Coverage, 63014,
     /*  944952 */     GIR_EraseRootFromParent_Done,
     /*  944953 */   // Label 14240: @944953
     /*  944953 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(945035), // Rule ID 63025 //
     /*  944958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944985 */     // MIs[0] op1
     /*  944985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  945015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945017 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945019 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945021 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945023 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945033 */     GIR_RootConstrainSelectedInstOperands,
     /*  945034 */     // GIR_Coverage, 63025,
     /*  945034 */     GIR_EraseRootFromParent_Done,
     /*  945035 */   // Label 14241: @945035
     /*  945035 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(945117), // Rule ID 63026 //
     /*  945040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945067 */     // MIs[0] op1
     /*  945067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945094 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  945097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945099 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945101 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945103 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945105 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945115 */     GIR_RootConstrainSelectedInstOperands,
     /*  945116 */     // GIR_Coverage, 63026,
     /*  945116 */     GIR_EraseRootFromParent_Done,
     /*  945117 */   // Label 14242: @945117
     /*  945117 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(945199), // Rule ID 63057 //
     /*  945122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945149 */     // MIs[0] op1
     /*  945149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945187 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945197 */     GIR_RootConstrainSelectedInstOperands,
     /*  945198 */     // GIR_Coverage, 63057,
     /*  945198 */     GIR_EraseRootFromParent_Done,
     /*  945199 */   // Label 14243: @945199
     /*  945199 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(945281), // Rule ID 63058 //
     /*  945204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945231 */     // MIs[0] op1
     /*  945231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945258 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945269 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945279 */     GIR_RootConstrainSelectedInstOperands,
     /*  945280 */     // GIR_Coverage, 63058,
     /*  945280 */     GIR_EraseRootFromParent_Done,
     /*  945281 */   // Label 14244: @945281
     /*  945281 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(945363), // Rule ID 63069 //
     /*  945286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945313 */     // MIs[0] op1
     /*  945313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945351 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945361 */     GIR_RootConstrainSelectedInstOperands,
     /*  945362 */     // GIR_Coverage, 63069,
     /*  945362 */     GIR_EraseRootFromParent_Done,
     /*  945363 */   // Label 14245: @945363
     /*  945363 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(945445), // Rule ID 63070 //
     /*  945368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945395 */     // MIs[0] op1
     /*  945395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945422 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945427 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945429 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945431 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945433 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945443 */     GIR_RootConstrainSelectedInstOperands,
     /*  945444 */     // GIR_Coverage, 63070,
     /*  945444 */     GIR_EraseRootFromParent_Done,
     /*  945445 */   // Label 14246: @945445
     /*  945445 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(945527), // Rule ID 63101 //
     /*  945450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945477 */     // MIs[0] op1
     /*  945477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945515 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945525 */     GIR_RootConstrainSelectedInstOperands,
     /*  945526 */     // GIR_Coverage, 63101,
     /*  945526 */     GIR_EraseRootFromParent_Done,
     /*  945527 */   // Label 14247: @945527
     /*  945527 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(945609), // Rule ID 63102 //
     /*  945532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945559 */     // MIs[0] op1
     /*  945559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945591 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945593 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945595 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945597 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945607 */     GIR_RootConstrainSelectedInstOperands,
     /*  945608 */     // GIR_Coverage, 63102,
     /*  945608 */     GIR_EraseRootFromParent_Done,
     /*  945609 */   // Label 14248: @945609
     /*  945609 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(945691), // Rule ID 63113 //
     /*  945614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  945634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945641 */     // MIs[0] op1
     /*  945641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945673 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945675 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945677 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945679 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945689 */     GIR_RootConstrainSelectedInstOperands,
     /*  945690 */     // GIR_Coverage, 63113,
     /*  945690 */     GIR_EraseRootFromParent_Done,
     /*  945691 */   // Label 14249: @945691
     /*  945691 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(945773), // Rule ID 63114 //
     /*  945696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  945716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945723 */     // MIs[0] op1
     /*  945723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945750 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945755 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945757 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945759 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945761 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945771 */     GIR_RootConstrainSelectedInstOperands,
     /*  945772 */     // GIR_Coverage, 63114,
     /*  945772 */     GIR_EraseRootFromParent_Done,
     /*  945773 */   // Label 14250: @945773
     /*  945773 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(945855), // Rule ID 63125 //
     /*  945778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945805 */     // MIs[0] op1
     /*  945805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  945835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945837 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945839 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945841 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945843 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945853 */     GIR_RootConstrainSelectedInstOperands,
     /*  945854 */     // GIR_Coverage, 63125,
     /*  945854 */     GIR_EraseRootFromParent_Done,
     /*  945855 */   // Label 14251: @945855
     /*  945855 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(945937), // Rule ID 63126 //
     /*  945860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945887 */     // MIs[0] op1
     /*  945887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  945917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945925 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945935 */     GIR_RootConstrainSelectedInstOperands,
     /*  945936 */     // GIR_Coverage, 63126,
     /*  945936 */     GIR_EraseRootFromParent_Done,
     /*  945937 */   // Label 14252: @945937
     /*  945937 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(946019), // Rule ID 63157 //
     /*  945942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945969 */     // MIs[0] op1
     /*  945969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946007 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946017 */     GIR_RootConstrainSelectedInstOperands,
     /*  946018 */     // GIR_Coverage, 63157,
     /*  946018 */     GIR_EraseRootFromParent_Done,
     /*  946019 */   // Label 14253: @946019
     /*  946019 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(946101), // Rule ID 63158 //
     /*  946024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946051 */     // MIs[0] op1
     /*  946051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946089 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946099 */     GIR_RootConstrainSelectedInstOperands,
     /*  946100 */     // GIR_Coverage, 63158,
     /*  946100 */     GIR_EraseRootFromParent_Done,
     /*  946101 */   // Label 14254: @946101
     /*  946101 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(946183), // Rule ID 63169 //
     /*  946106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946133 */     // MIs[0] op1
     /*  946133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946165 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946167 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946169 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946171 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946181 */     GIR_RootConstrainSelectedInstOperands,
     /*  946182 */     // GIR_Coverage, 63169,
     /*  946182 */     GIR_EraseRootFromParent_Done,
     /*  946183 */   // Label 14255: @946183
     /*  946183 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(946265), // Rule ID 63170 //
     /*  946188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946215 */     // MIs[0] op1
     /*  946215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946253 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946263 */     GIR_RootConstrainSelectedInstOperands,
     /*  946264 */     // GIR_Coverage, 63170,
     /*  946264 */     GIR_EraseRootFromParent_Done,
     /*  946265 */   // Label 14256: @946265
     /*  946265 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(946347), // Rule ID 63181 //
     /*  946270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946297 */     // MIs[0] op1
     /*  946297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946329 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946331 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946333 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946335 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946345 */     GIR_RootConstrainSelectedInstOperands,
     /*  946346 */     // GIR_Coverage, 63181,
     /*  946346 */     GIR_EraseRootFromParent_Done,
     /*  946347 */   // Label 14257: @946347
     /*  946347 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(946429), // Rule ID 63182 //
     /*  946352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946379 */     // MIs[0] op1
     /*  946379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946417 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946427 */     GIR_RootConstrainSelectedInstOperands,
     /*  946428 */     // GIR_Coverage, 63182,
     /*  946428 */     GIR_EraseRootFromParent_Done,
     /*  946429 */   // Label 14258: @946429
     /*  946429 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(946511), // Rule ID 63213 //
     /*  946434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946461 */     // MIs[0] op1
     /*  946461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946493 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946495 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946497 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946499 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946509 */     GIR_RootConstrainSelectedInstOperands,
     /*  946510 */     // GIR_Coverage, 63213,
     /*  946510 */     GIR_EraseRootFromParent_Done,
     /*  946511 */   // Label 14259: @946511
     /*  946511 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(946593), // Rule ID 63214 //
     /*  946516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946543 */     // MIs[0] op1
     /*  946543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946581 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946591 */     GIR_RootConstrainSelectedInstOperands,
     /*  946592 */     // GIR_Coverage, 63214,
     /*  946592 */     GIR_EraseRootFromParent_Done,
     /*  946593 */   // Label 14260: @946593
     /*  946593 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(946675), // Rule ID 63225 //
     /*  946598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  946618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946625 */     // MIs[0] op1
     /*  946625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946657 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946659 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946661 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946663 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946673 */     GIR_RootConstrainSelectedInstOperands,
     /*  946674 */     // GIR_Coverage, 63225,
     /*  946674 */     GIR_EraseRootFromParent_Done,
     /*  946675 */   // Label 14261: @946675
     /*  946675 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(946757), // Rule ID 63226 //
     /*  946680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  946700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946707 */     // MIs[0] op1
     /*  946707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946745 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946755 */     GIR_RootConstrainSelectedInstOperands,
     /*  946756 */     // GIR_Coverage, 63226,
     /*  946756 */     GIR_EraseRootFromParent_Done,
     /*  946757 */   // Label 14262: @946757
     /*  946757 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(946839), // Rule ID 63237 //
     /*  946762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946789 */     // MIs[0] op1
     /*  946789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  946809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  946819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946821 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946823 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946825 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946827 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946837 */     GIR_RootConstrainSelectedInstOperands,
     /*  946838 */     // GIR_Coverage, 63237,
     /*  946838 */     GIR_EraseRootFromParent_Done,
     /*  946839 */   // Label 14263: @946839
     /*  946839 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(946921), // Rule ID 63238 //
     /*  946844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946871 */     // MIs[0] op1
     /*  946871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  946891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  946901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946903 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946905 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946907 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946909 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946919 */     GIR_RootConstrainSelectedInstOperands,
     /*  946920 */     // GIR_Coverage, 63238,
     /*  946920 */     GIR_EraseRootFromParent_Done,
     /*  946921 */   // Label 14264: @946921
     /*  946921 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(947003), // Rule ID 63269 //
     /*  946926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  946937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  946940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  946943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946953 */     // MIs[0] op1
     /*  946953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  946983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946985 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946987 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946989 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946991 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947001 */     GIR_RootConstrainSelectedInstOperands,
     /*  947002 */     // GIR_Coverage, 63269,
     /*  947002 */     GIR_EraseRootFromParent_Done,
     /*  947003 */   // Label 14265: @947003
     /*  947003 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(947085), // Rule ID 63270 //
     /*  947008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947035 */     // MIs[0] op1
     /*  947035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947073 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947083 */     GIR_RootConstrainSelectedInstOperands,
     /*  947084 */     // GIR_Coverage, 63270,
     /*  947084 */     GIR_EraseRootFromParent_Done,
     /*  947085 */   // Label 14266: @947085
     /*  947085 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(947167), // Rule ID 63281 //
     /*  947090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947117 */     // MIs[0] op1
     /*  947117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947149 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947151 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947153 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947155 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947165 */     GIR_RootConstrainSelectedInstOperands,
     /*  947166 */     // GIR_Coverage, 63281,
     /*  947166 */     GIR_EraseRootFromParent_Done,
     /*  947167 */   // Label 14267: @947167
     /*  947167 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(947249), // Rule ID 63282 //
     /*  947172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947199 */     // MIs[0] op1
     /*  947199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947231 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947233 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947235 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947237 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947247 */     GIR_RootConstrainSelectedInstOperands,
     /*  947248 */     // GIR_Coverage, 63282,
     /*  947248 */     GIR_EraseRootFromParent_Done,
     /*  947249 */   // Label 14268: @947249
     /*  947249 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(947331), // Rule ID 63313 //
     /*  947254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947281 */     // MIs[0] op1
     /*  947281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947319 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947329 */     GIR_RootConstrainSelectedInstOperands,
     /*  947330 */     // GIR_Coverage, 63313,
     /*  947330 */     GIR_EraseRootFromParent_Done,
     /*  947331 */   // Label 14269: @947331
     /*  947331 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(947413), // Rule ID 63314 //
     /*  947336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947363 */     // MIs[0] op1
     /*  947363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947411 */     GIR_RootConstrainSelectedInstOperands,
     /*  947412 */     // GIR_Coverage, 63314,
     /*  947412 */     GIR_EraseRootFromParent_Done,
     /*  947413 */   // Label 14270: @947413
     /*  947413 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(947495), // Rule ID 63325 //
     /*  947418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947445 */     // MIs[0] op1
     /*  947445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947477 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947479 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947481 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947483 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947493 */     GIR_RootConstrainSelectedInstOperands,
     /*  947494 */     // GIR_Coverage, 63325,
     /*  947494 */     GIR_EraseRootFromParent_Done,
     /*  947495 */   // Label 14271: @947495
     /*  947495 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(947577), // Rule ID 63326 //
     /*  947500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947527 */     // MIs[0] op1
     /*  947527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947554 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947565 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947575 */     GIR_RootConstrainSelectedInstOperands,
     /*  947576 */     // GIR_Coverage, 63326,
     /*  947576 */     GIR_EraseRootFromParent_Done,
     /*  947577 */   // Label 14272: @947577
     /*  947577 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(947659), // Rule ID 63357 //
     /*  947582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947609 */     // MIs[0] op1
     /*  947609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  947639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947647 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947657 */     GIR_RootConstrainSelectedInstOperands,
     /*  947658 */     // GIR_Coverage, 63357,
     /*  947658 */     GIR_EraseRootFromParent_Done,
     /*  947659 */   // Label 14273: @947659
     /*  947659 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(947741), // Rule ID 63358 //
     /*  947664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947691 */     // MIs[0] op1
     /*  947691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  947721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947723 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947725 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947727 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947729 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947739 */     GIR_RootConstrainSelectedInstOperands,
     /*  947740 */     // GIR_Coverage, 63358,
     /*  947740 */     GIR_EraseRootFromParent_Done,
     /*  947741 */   // Label 14274: @947741
     /*  947741 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(947823), // Rule ID 63369 //
     /*  947746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  947766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947773 */     // MIs[0] op1
     /*  947773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947800 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  947803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947811 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947821 */     GIR_RootConstrainSelectedInstOperands,
     /*  947822 */     // GIR_Coverage, 63369,
     /*  947822 */     GIR_EraseRootFromParent_Done,
     /*  947823 */   // Label 14275: @947823
     /*  947823 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(947905), // Rule ID 63370 //
     /*  947828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  947848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947855 */     // MIs[0] op1
     /*  947855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947882 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  947885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947887 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947889 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947891 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947893 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947903 */     GIR_RootConstrainSelectedInstOperands,
     /*  947904 */     // GIR_Coverage, 63370,
     /*  947904 */     GIR_EraseRootFromParent_Done,
     /*  947905 */   // Label 14276: @947905
     /*  947905 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(947987), // Rule ID 63401 //
     /*  947910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  947927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947937 */     // MIs[0] op1
     /*  947937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947975 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947985 */     GIR_RootConstrainSelectedInstOperands,
     /*  947986 */     // GIR_Coverage, 63401,
     /*  947986 */     GIR_EraseRootFromParent_Done,
     /*  947987 */   // Label 14277: @947987
     /*  947987 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(948069), // Rule ID 63402 //
     /*  947992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948019 */     // MIs[0] op1
     /*  948019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  948049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948057 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948067 */     GIR_RootConstrainSelectedInstOperands,
     /*  948068 */     // GIR_Coverage, 63402,
     /*  948068 */     GIR_EraseRootFromParent_Done,
     /*  948069 */   // Label 14278: @948069
     /*  948069 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(948151), // Rule ID 63413 //
     /*  948074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948101 */     // MIs[0] op1
     /*  948101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948133 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948135 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948137 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948139 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948149 */     GIR_RootConstrainSelectedInstOperands,
     /*  948150 */     // GIR_Coverage, 63413,
     /*  948150 */     GIR_EraseRootFromParent_Done,
     /*  948151 */   // Label 14279: @948151
     /*  948151 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(948233), // Rule ID 63414 //
     /*  948156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948183 */     // MIs[0] op1
     /*  948183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948221 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948231 */     GIR_RootConstrainSelectedInstOperands,
     /*  948232 */     // GIR_Coverage, 63414,
     /*  948232 */     GIR_EraseRootFromParent_Done,
     /*  948233 */   // Label 14280: @948233
     /*  948233 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(948315), // Rule ID 63425 //
     /*  948238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948265 */     // MIs[0] op1
     /*  948265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948297 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948299 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948301 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948303 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948313 */     GIR_RootConstrainSelectedInstOperands,
     /*  948314 */     // GIR_Coverage, 63425,
     /*  948314 */     GIR_EraseRootFromParent_Done,
     /*  948315 */   // Label 14281: @948315
     /*  948315 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(948397), // Rule ID 63426 //
     /*  948320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948347 */     // MIs[0] op1
     /*  948347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948385 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948395 */     GIR_RootConstrainSelectedInstOperands,
     /*  948396 */     // GIR_Coverage, 63426,
     /*  948396 */     GIR_EraseRootFromParent_Done,
     /*  948397 */   // Label 14282: @948397
     /*  948397 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(948479), // Rule ID 63457 //
     /*  948402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948429 */     // MIs[0] op1
     /*  948429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948432 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948461 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948463 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948465 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948467 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948477 */     GIR_RootConstrainSelectedInstOperands,
     /*  948478 */     // GIR_Coverage, 63457,
     /*  948478 */     GIR_EraseRootFromParent_Done,
     /*  948479 */   // Label 14283: @948479
     /*  948479 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(948561), // Rule ID 63458 //
     /*  948484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948511 */     // MIs[0] op1
     /*  948511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948549 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948559 */     GIR_RootConstrainSelectedInstOperands,
     /*  948560 */     // GIR_Coverage, 63458,
     /*  948560 */     GIR_EraseRootFromParent_Done,
     /*  948561 */   // Label 14284: @948561
     /*  948561 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(948643), // Rule ID 63469 //
     /*  948566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  948586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948593 */     // MIs[0] op1
     /*  948593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948620 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  948623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948625 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948627 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948629 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948631 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948641 */     GIR_RootConstrainSelectedInstOperands,
     /*  948642 */     // GIR_Coverage, 63469,
     /*  948642 */     GIR_EraseRootFromParent_Done,
     /*  948643 */   // Label 14285: @948643
     /*  948643 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(948725), // Rule ID 63470 //
     /*  948648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  948668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948675 */     // MIs[0] op1
     /*  948675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  948705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948713 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948723 */     GIR_RootConstrainSelectedInstOperands,
     /*  948724 */     // GIR_Coverage, 63470,
     /*  948724 */     GIR_EraseRootFromParent_Done,
     /*  948725 */   // Label 14286: @948725
     /*  948725 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(948807), // Rule ID 63481 //
     /*  948730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948757 */     // MIs[0] op1
     /*  948757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  948787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948795 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948805 */     GIR_RootConstrainSelectedInstOperands,
     /*  948806 */     // GIR_Coverage, 63481,
     /*  948806 */     GIR_EraseRootFromParent_Done,
     /*  948807 */   // Label 14287: @948807
     /*  948807 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(948889), // Rule ID 63482 //
     /*  948812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948839 */     // MIs[0] op1
     /*  948839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  948869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948877 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948887 */     GIR_RootConstrainSelectedInstOperands,
     /*  948888 */     // GIR_Coverage, 63482,
     /*  948888 */     GIR_EraseRootFromParent_Done,
     /*  948889 */   // Label 14288: @948889
     /*  948889 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(948971), // Rule ID 63513 //
     /*  948894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  948911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948921 */     // MIs[0] op1
     /*  948921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948924 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948948 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  948951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948953 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948955 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948957 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948959 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948969 */     GIR_RootConstrainSelectedInstOperands,
     /*  948970 */     // GIR_Coverage, 63513,
     /*  948970 */     GIR_EraseRootFromParent_Done,
     /*  948971 */   // Label 14289: @948971
     /*  948971 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(949053), // Rule ID 63514 //
     /*  948976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  948993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949003 */     // MIs[0] op1
     /*  949003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  949033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949041 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949051 */     GIR_RootConstrainSelectedInstOperands,
     /*  949052 */     // GIR_Coverage, 63514,
     /*  949052 */     GIR_EraseRootFromParent_Done,
     /*  949053 */   // Label 14290: @949053
     /*  949053 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(949135), // Rule ID 63525 //
     /*  949058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949085 */     // MIs[0] op1
     /*  949085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949117 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949119 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949121 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949123 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949133 */     GIR_RootConstrainSelectedInstOperands,
     /*  949134 */     // GIR_Coverage, 63525,
     /*  949134 */     GIR_EraseRootFromParent_Done,
     /*  949135 */   // Label 14291: @949135
     /*  949135 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(949217), // Rule ID 63526 //
     /*  949140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949167 */     // MIs[0] op1
     /*  949167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949205 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949215 */     GIR_RootConstrainSelectedInstOperands,
     /*  949216 */     // GIR_Coverage, 63526,
     /*  949216 */     GIR_EraseRootFromParent_Done,
     /*  949217 */   // Label 14292: @949217
     /*  949217 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(949299), // Rule ID 63537 //
     /*  949222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949249 */     // MIs[0] op1
     /*  949249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949276 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949281 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949283 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949285 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949287 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949297 */     GIR_RootConstrainSelectedInstOperands,
     /*  949298 */     // GIR_Coverage, 63537,
     /*  949298 */     GIR_EraseRootFromParent_Done,
     /*  949299 */   // Label 14293: @949299
     /*  949299 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(949381), // Rule ID 63538 //
     /*  949304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949331 */     // MIs[0] op1
     /*  949331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949369 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949379 */     GIR_RootConstrainSelectedInstOperands,
     /*  949380 */     // GIR_Coverage, 63538,
     /*  949380 */     GIR_EraseRootFromParent_Done,
     /*  949381 */   // Label 14294: @949381
     /*  949381 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(949463), // Rule ID 63569 //
     /*  949386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949413 */     // MIs[0] op1
     /*  949413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949451 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949461 */     GIR_RootConstrainSelectedInstOperands,
     /*  949462 */     // GIR_Coverage, 63569,
     /*  949462 */     GIR_EraseRootFromParent_Done,
     /*  949463 */   // Label 14295: @949463
     /*  949463 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(949545), // Rule ID 63570 //
     /*  949468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949495 */     // MIs[0] op1
     /*  949495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949533 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949543 */     GIR_RootConstrainSelectedInstOperands,
     /*  949544 */     // GIR_Coverage, 63570,
     /*  949544 */     GIR_EraseRootFromParent_Done,
     /*  949545 */   // Label 14296: @949545
     /*  949545 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(949627), // Rule ID 63581 //
     /*  949550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  949570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949577 */     // MIs[0] op1
     /*  949577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949609 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949611 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949613 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949615 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949625 */     GIR_RootConstrainSelectedInstOperands,
     /*  949626 */     // GIR_Coverage, 63581,
     /*  949626 */     GIR_EraseRootFromParent_Done,
     /*  949627 */   // Label 14297: @949627
     /*  949627 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(949709), // Rule ID 63582 //
     /*  949632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  949652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949659 */     // MIs[0] op1
     /*  949659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949697 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949707 */     GIR_RootConstrainSelectedInstOperands,
     /*  949708 */     // GIR_Coverage, 63582,
     /*  949708 */     GIR_EraseRootFromParent_Done,
     /*  949709 */   // Label 14298: @949709
     /*  949709 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(949791), // Rule ID 63593 //
     /*  949714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949741 */     // MIs[0] op1
     /*  949741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  949771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949779 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949789 */     GIR_RootConstrainSelectedInstOperands,
     /*  949790 */     // GIR_Coverage, 63593,
     /*  949790 */     GIR_EraseRootFromParent_Done,
     /*  949791 */   // Label 14299: @949791
     /*  949791 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(949873), // Rule ID 63594 //
     /*  949796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949823 */     // MIs[0] op1
     /*  949823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  949853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949861 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949871 */     GIR_RootConstrainSelectedInstOperands,
     /*  949872 */     // GIR_Coverage, 63594,
     /*  949872 */     GIR_EraseRootFromParent_Done,
     /*  949873 */   // Label 14300: @949873
     /*  949873 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(949955), // Rule ID 63625 //
     /*  949878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  949892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  949895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949905 */     // MIs[0] op1
     /*  949905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  949935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949937 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949939 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949941 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949943 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949953 */     GIR_RootConstrainSelectedInstOperands,
     /*  949954 */     // GIR_Coverage, 63625,
     /*  949954 */     GIR_EraseRootFromParent_Done,
     /*  949955 */   // Label 14301: @949955
     /*  949955 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(950037), // Rule ID 63626 //
     /*  949960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  949974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  949977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949987 */     // MIs[0] op1
     /*  949987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  950017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950025 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950035 */     GIR_RootConstrainSelectedInstOperands,
     /*  950036 */     // GIR_Coverage, 63626,
     /*  950036 */     GIR_EraseRootFromParent_Done,
     /*  950037 */   // Label 14302: @950037
     /*  950037 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(950119), // Rule ID 63637 //
     /*  950042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950069 */     // MIs[0] op1
     /*  950069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950107 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950117 */     GIR_RootConstrainSelectedInstOperands,
     /*  950118 */     // GIR_Coverage, 63637,
     /*  950118 */     GIR_EraseRootFromParent_Done,
     /*  950119 */   // Label 14303: @950119
     /*  950119 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(950201), // Rule ID 63638 //
     /*  950124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950151 */     // MIs[0] op1
     /*  950151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950183 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950185 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950187 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950189 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950199 */     GIR_RootConstrainSelectedInstOperands,
     /*  950200 */     // GIR_Coverage, 63638,
     /*  950200 */     GIR_EraseRootFromParent_Done,
     /*  950201 */   // Label 14304: @950201
     /*  950201 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(950283), // Rule ID 63649 //
     /*  950206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950233 */     // MIs[0] op1
     /*  950233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950265 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950267 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950269 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950271 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950281 */     GIR_RootConstrainSelectedInstOperands,
     /*  950282 */     // GIR_Coverage, 63649,
     /*  950282 */     GIR_EraseRootFromParent_Done,
     /*  950283 */   // Label 14305: @950283
     /*  950283 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(950365), // Rule ID 63650 //
     /*  950288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950315 */     // MIs[0] op1
     /*  950315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950347 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950349 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950351 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950353 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950363 */     GIR_RootConstrainSelectedInstOperands,
     /*  950364 */     // GIR_Coverage, 63650,
     /*  950364 */     GIR_EraseRootFromParent_Done,
     /*  950365 */   // Label 14306: @950365
     /*  950365 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(950447), // Rule ID 63681 //
     /*  950370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950397 */     // MIs[0] op1
     /*  950397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950435 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950445 */     GIR_RootConstrainSelectedInstOperands,
     /*  950446 */     // GIR_Coverage, 63681,
     /*  950446 */     GIR_EraseRootFromParent_Done,
     /*  950447 */   // Label 14307: @950447
     /*  950447 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(950529), // Rule ID 63682 //
     /*  950452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950479 */     // MIs[0] op1
     /*  950479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950517 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950527 */     GIR_RootConstrainSelectedInstOperands,
     /*  950528 */     // GIR_Coverage, 63682,
     /*  950528 */     GIR_EraseRootFromParent_Done,
     /*  950529 */   // Label 14308: @950529
     /*  950529 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(950611), // Rule ID 63693 //
     /*  950534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  950554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950561 */     // MIs[0] op1
     /*  950561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950599 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950609 */     GIR_RootConstrainSelectedInstOperands,
     /*  950610 */     // GIR_Coverage, 63693,
     /*  950610 */     GIR_EraseRootFromParent_Done,
     /*  950611 */   // Label 14309: @950611
     /*  950611 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(950693), // Rule ID 63694 //
     /*  950616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  950636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950643 */     // MIs[0] op1
     /*  950643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950681 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950691 */     GIR_RootConstrainSelectedInstOperands,
     /*  950692 */     // GIR_Coverage, 63694,
     /*  950692 */     GIR_EraseRootFromParent_Done,
     /*  950693 */   // Label 14310: @950693
     /*  950693 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(950775), // Rule ID 63705 //
     /*  950698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950725 */     // MIs[0] op1
     /*  950725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  950755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950757 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950759 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950761 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950763 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950773 */     GIR_RootConstrainSelectedInstOperands,
     /*  950774 */     // GIR_Coverage, 63705,
     /*  950774 */     GIR_EraseRootFromParent_Done,
     /*  950775 */   // Label 14311: @950775
     /*  950775 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(950857), // Rule ID 63706 //
     /*  950780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950807 */     // MIs[0] op1
     /*  950807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  950837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950845 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950855 */     GIR_RootConstrainSelectedInstOperands,
     /*  950856 */     // GIR_Coverage, 63706,
     /*  950856 */     GIR_EraseRootFromParent_Done,
     /*  950857 */   // Label 14312: @950857
     /*  950857 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(950939), // Rule ID 63737 //
     /*  950862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  950876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950889 */     // MIs[0] op1
     /*  950889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  950919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950927 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950937 */     GIR_RootConstrainSelectedInstOperands,
     /*  950938 */     // GIR_Coverage, 63737,
     /*  950938 */     GIR_EraseRootFromParent_Done,
     /*  950939 */   // Label 14313: @950939
     /*  950939 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(951021), // Rule ID 63738 //
     /*  950944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  950958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950971 */     // MIs[0] op1
     /*  950971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951009 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951019 */     GIR_RootConstrainSelectedInstOperands,
     /*  951020 */     // GIR_Coverage, 63738,
     /*  951020 */     GIR_EraseRootFromParent_Done,
     /*  951021 */   // Label 14314: @951021
     /*  951021 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(951103), // Rule ID 63749 //
     /*  951026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  951046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951053 */     // MIs[0] op1
     /*  951053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951085 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951087 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951089 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951091 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951101 */     GIR_RootConstrainSelectedInstOperands,
     /*  951102 */     // GIR_Coverage, 63749,
     /*  951102 */     GIR_EraseRootFromParent_Done,
     /*  951103 */   // Label 14315: @951103
     /*  951103 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(951185), // Rule ID 63750 //
     /*  951108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  951128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951135 */     // MIs[0] op1
     /*  951135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951167 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951169 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951171 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951173 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951183 */     GIR_RootConstrainSelectedInstOperands,
     /*  951184 */     // GIR_Coverage, 63750,
     /*  951184 */     GIR_EraseRootFromParent_Done,
     /*  951185 */   // Label 14316: @951185
     /*  951185 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(951267), // Rule ID 63761 //
     /*  951190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951217 */     // MIs[0] op1
     /*  951217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951255 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951265 */     GIR_RootConstrainSelectedInstOperands,
     /*  951266 */     // GIR_Coverage, 63761,
     /*  951266 */     GIR_EraseRootFromParent_Done,
     /*  951267 */   // Label 14317: @951267
     /*  951267 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(951349), // Rule ID 63762 //
     /*  951272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951299 */     // MIs[0] op1
     /*  951299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951326 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951337 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951347 */     GIR_RootConstrainSelectedInstOperands,
     /*  951348 */     // GIR_Coverage, 63762,
     /*  951348 */     GIR_EraseRootFromParent_Done,
     /*  951349 */   // Label 14318: @951349
     /*  951349 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(951431), // Rule ID 63793 //
     /*  951354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951381 */     // MIs[0] op1
     /*  951381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951413 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951415 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951417 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951419 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951429 */     GIR_RootConstrainSelectedInstOperands,
     /*  951430 */     // GIR_Coverage, 63793,
     /*  951430 */     GIR_EraseRootFromParent_Done,
     /*  951431 */   // Label 14319: @951431
     /*  951431 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(951513), // Rule ID 63794 //
     /*  951436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951463 */     // MIs[0] op1
     /*  951463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951501 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951511 */     GIR_RootConstrainSelectedInstOperands,
     /*  951512 */     // GIR_Coverage, 63794,
     /*  951512 */     GIR_EraseRootFromParent_Done,
     /*  951513 */   // Label 14320: @951513
     /*  951513 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(951595), // Rule ID 63805 //
     /*  951518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  951538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951545 */     // MIs[0] op1
     /*  951545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  951575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951583 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951593 */     GIR_RootConstrainSelectedInstOperands,
     /*  951594 */     // GIR_Coverage, 63805,
     /*  951594 */     GIR_EraseRootFromParent_Done,
     /*  951595 */   // Label 14321: @951595
     /*  951595 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(951677), // Rule ID 63806 //
     /*  951600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  951620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951627 */     // MIs[0] op1
     /*  951627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  951657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951665 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951675 */     GIR_RootConstrainSelectedInstOperands,
     /*  951676 */     // GIR_Coverage, 63806,
     /*  951676 */     GIR_EraseRootFromParent_Done,
     /*  951677 */   // Label 14322: @951677
     /*  951677 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(951759), // Rule ID 63817 //
     /*  951682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951709 */     // MIs[0] op1
     /*  951709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  951739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951741 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951743 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951745 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951747 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951757 */     GIR_RootConstrainSelectedInstOperands,
     /*  951758 */     // GIR_Coverage, 63817,
     /*  951758 */     GIR_EraseRootFromParent_Done,
     /*  951759 */   // Label 14323: @951759
     /*  951759 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(951841), // Rule ID 63818 //
     /*  951764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951791 */     // MIs[0] op1
     /*  951791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  951821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951823 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951825 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951827 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951829 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951839 */     GIR_RootConstrainSelectedInstOperands,
     /*  951840 */     // GIR_Coverage, 63818,
     /*  951840 */     GIR_EraseRootFromParent_Done,
     /*  951841 */   // Label 14324: @951841
     /*  951841 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(951923), // Rule ID 63849 //
     /*  951846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  951857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  951860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  951863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951873 */     // MIs[0] op1
     /*  951873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  951903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951911 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951921 */     GIR_RootConstrainSelectedInstOperands,
     /*  951922 */     // GIR_Coverage, 63849,
     /*  951922 */     GIR_EraseRootFromParent_Done,
     /*  951923 */   // Label 14325: @951923
     /*  951923 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(952005), // Rule ID 63850 //
     /*  951928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  951939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  951942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  951945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951955 */     // MIs[0] op1
     /*  951955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  951985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951987 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951989 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951991 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951993 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952003 */     GIR_RootConstrainSelectedInstOperands,
     /*  952004 */     // GIR_Coverage, 63850,
     /*  952004 */     GIR_EraseRootFromParent_Done,
     /*  952005 */   // Label 14326: @952005
     /*  952005 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(952087), // Rule ID 63861 //
     /*  952010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  952030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952037 */     // MIs[0] op1
     /*  952037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952069 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952071 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952073 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952075 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952085 */     GIR_RootConstrainSelectedInstOperands,
     /*  952086 */     // GIR_Coverage, 63861,
     /*  952086 */     GIR_EraseRootFromParent_Done,
     /*  952087 */   // Label 14327: @952087
     /*  952087 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(952169), // Rule ID 63862 //
     /*  952092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  952112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952119 */     // MIs[0] op1
     /*  952119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952151 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952153 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952155 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952157 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952167 */     GIR_RootConstrainSelectedInstOperands,
     /*  952168 */     // GIR_Coverage, 63862,
     /*  952168 */     GIR_EraseRootFromParent_Done,
     /*  952169 */   // Label 14328: @952169
     /*  952169 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(952251), // Rule ID 63873 //
     /*  952174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952201 */     // MIs[0] op1
     /*  952201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952239 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952249 */     GIR_RootConstrainSelectedInstOperands,
     /*  952250 */     // GIR_Coverage, 63873,
     /*  952250 */     GIR_EraseRootFromParent_Done,
     /*  952251 */   // Label 14329: @952251
     /*  952251 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(952333), // Rule ID 63874 //
     /*  952256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952283 */     // MIs[0] op1
     /*  952283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952310 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952315 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952317 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952319 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952321 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952331 */     GIR_RootConstrainSelectedInstOperands,
     /*  952332 */     // GIR_Coverage, 63874,
     /*  952332 */     GIR_EraseRootFromParent_Done,
     /*  952333 */   // Label 14330: @952333
     /*  952333 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(952415), // Rule ID 63879 //
     /*  952338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952365 */     // MIs[0] op1
     /*  952365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952397 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952399 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952401 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952403 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952413 */     GIR_RootConstrainSelectedInstOperands,
     /*  952414 */     // GIR_Coverage, 63879,
     /*  952414 */     GIR_EraseRootFromParent_Done,
     /*  952415 */   // Label 14331: @952415
     /*  952415 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(952497), // Rule ID 63880 //
     /*  952420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952447 */     // MIs[0] op1
     /*  952447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952450 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952479 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952481 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952483 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952485 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952495 */     GIR_RootConstrainSelectedInstOperands,
     /*  952496 */     // GIR_Coverage, 63880,
     /*  952496 */     GIR_EraseRootFromParent_Done,
     /*  952497 */   // Label 14332: @952497
     /*  952497 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(952579), // Rule ID 63891 //
     /*  952502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952529 */     // MIs[0] op1
     /*  952529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952556 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  952559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952567 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952577 */     GIR_RootConstrainSelectedInstOperands,
     /*  952578 */     // GIR_Coverage, 63891,
     /*  952578 */     GIR_EraseRootFromParent_Done,
     /*  952579 */   // Label 14333: @952579
     /*  952579 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(952661), // Rule ID 63892 //
     /*  952584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952611 */     // MIs[0] op1
     /*  952611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  952641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952643 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952645 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952647 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952649 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952659 */     GIR_RootConstrainSelectedInstOperands,
     /*  952660 */     // GIR_Coverage, 63892,
     /*  952660 */     GIR_EraseRootFromParent_Done,
     /*  952661 */   // Label 14334: @952661
     /*  952661 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(952743), // Rule ID 63897 //
     /*  952666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952693 */     // MIs[0] op1
     /*  952693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952720 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  952723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952725 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952727 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952729 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952731 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952741 */     GIR_RootConstrainSelectedInstOperands,
     /*  952742 */     // GIR_Coverage, 63897,
     /*  952742 */     GIR_EraseRootFromParent_Done,
     /*  952743 */   // Label 14335: @952743
     /*  952743 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(952825), // Rule ID 63898 //
     /*  952748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952775 */     // MIs[0] op1
     /*  952775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  952805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952807 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952809 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952811 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952813 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952823 */     GIR_RootConstrainSelectedInstOperands,
     /*  952824 */     // GIR_Coverage, 63898,
     /*  952824 */     GIR_EraseRootFromParent_Done,
     /*  952825 */   // Label 14336: @952825
     /*  952825 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(952907), // Rule ID 63909 //
     /*  952830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  952850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952857 */     // MIs[0] op1
     /*  952857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  952887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952895 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952905 */     GIR_RootConstrainSelectedInstOperands,
     /*  952906 */     // GIR_Coverage, 63909,
     /*  952906 */     GIR_EraseRootFromParent_Done,
     /*  952907 */   // Label 14337: @952907
     /*  952907 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(952989), // Rule ID 63910 //
     /*  952912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  952932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952939 */     // MIs[0] op1
     /*  952939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  952969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952971 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952973 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952975 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952977 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952987 */     GIR_RootConstrainSelectedInstOperands,
     /*  952988 */     // GIR_Coverage, 63910,
     /*  952988 */     GIR_EraseRootFromParent_Done,
     /*  952989 */   // Label 14338: @952989
     /*  952989 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(953071), // Rule ID 63915 //
     /*  952994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953021 */     // MIs[0] op1
     /*  953021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953053 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953055 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953057 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953059 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953069 */     GIR_RootConstrainSelectedInstOperands,
     /*  953070 */     // GIR_Coverage, 63915,
     /*  953070 */     GIR_EraseRootFromParent_Done,
     /*  953071 */   // Label 14339: @953071
     /*  953071 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(953153), // Rule ID 63916 //
     /*  953076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953103 */     // MIs[0] op1
     /*  953103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953135 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953137 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953139 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953141 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953151 */     GIR_RootConstrainSelectedInstOperands,
     /*  953152 */     // GIR_Coverage, 63916,
     /*  953152 */     GIR_EraseRootFromParent_Done,
     /*  953153 */   // Label 14340: @953153
     /*  953153 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(953235), // Rule ID 63927 //
     /*  953158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953185 */     // MIs[0] op1
     /*  953185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953223 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953233 */     GIR_RootConstrainSelectedInstOperands,
     /*  953234 */     // GIR_Coverage, 63927,
     /*  953234 */     GIR_EraseRootFromParent_Done,
     /*  953235 */   // Label 14341: @953235
     /*  953235 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(953317), // Rule ID 63928 //
     /*  953240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953267 */     // MIs[0] op1
     /*  953267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953299 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953301 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953303 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953305 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953315 */     GIR_RootConstrainSelectedInstOperands,
     /*  953316 */     // GIR_Coverage, 63928,
     /*  953316 */     GIR_EraseRootFromParent_Done,
     /*  953317 */   // Label 14342: @953317
     /*  953317 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(953399), // Rule ID 63933 //
     /*  953322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953349 */     // MIs[0] op1
     /*  953349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953381 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953383 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953385 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953387 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953397 */     GIR_RootConstrainSelectedInstOperands,
     /*  953398 */     // GIR_Coverage, 63933,
     /*  953398 */     GIR_EraseRootFromParent_Done,
     /*  953399 */   // Label 14343: @953399
     /*  953399 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(953481), // Rule ID 63934 //
     /*  953404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953431 */     // MIs[0] op1
     /*  953431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953463 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953465 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953467 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953469 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953479 */     GIR_RootConstrainSelectedInstOperands,
     /*  953480 */     // GIR_Coverage, 63934,
     /*  953480 */     GIR_EraseRootFromParent_Done,
     /*  953481 */   // Label 14344: @953481
     /*  953481 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(953563), // Rule ID 63945 //
     /*  953486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953513 */     // MIs[0] op1
     /*  953513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  953543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953545 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953547 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953549 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953551 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953561 */     GIR_RootConstrainSelectedInstOperands,
     /*  953562 */     // GIR_Coverage, 63945,
     /*  953562 */     GIR_EraseRootFromParent_Done,
     /*  953563 */   // Label 14345: @953563
     /*  953563 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(953645), // Rule ID 63946 //
     /*  953568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953595 */     // MIs[0] op1
     /*  953595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953598 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  953625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953627 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953629 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953631 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953633 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953643 */     GIR_RootConstrainSelectedInstOperands,
     /*  953644 */     // GIR_Coverage, 63946,
     /*  953644 */     GIR_EraseRootFromParent_Done,
     /*  953645 */   // Label 14346: @953645
     /*  953645 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(953727), // Rule ID 63951 //
     /*  953650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953677 */     // MIs[0] op1
     /*  953677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  953707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953709 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953711 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953713 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953715 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953725 */     GIR_RootConstrainSelectedInstOperands,
     /*  953726 */     // GIR_Coverage, 63951,
     /*  953726 */     GIR_EraseRootFromParent_Done,
     /*  953727 */   // Label 14347: @953727
     /*  953727 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(953809), // Rule ID 63952 //
     /*  953732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953759 */     // MIs[0] op1
     /*  953759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  953789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953791 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953793 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953795 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953797 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953807 */     GIR_RootConstrainSelectedInstOperands,
     /*  953808 */     // GIR_Coverage, 63952,
     /*  953808 */     GIR_EraseRootFromParent_Done,
     /*  953809 */   // Label 14348: @953809
     /*  953809 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(953891), // Rule ID 63963 //
     /*  953814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  953834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953841 */     // MIs[0] op1
     /*  953841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  953871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953873 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953875 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953877 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953879 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953889 */     GIR_RootConstrainSelectedInstOperands,
     /*  953890 */     // GIR_Coverage, 63963,
     /*  953890 */     GIR_EraseRootFromParent_Done,
     /*  953891 */   // Label 14349: @953891
     /*  953891 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(953973), // Rule ID 63964 //
     /*  953896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  953916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953923 */     // MIs[0] op1
     /*  953923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  953953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953961 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953971 */     GIR_RootConstrainSelectedInstOperands,
     /*  953972 */     // GIR_Coverage, 63964,
     /*  953972 */     GIR_EraseRootFromParent_Done,
     /*  953973 */   // Label 14350: @953973
     /*  953973 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(954055), // Rule ID 63969 //
     /*  953978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  953995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954005 */     // MIs[0] op1
     /*  954005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  954035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954037 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954039 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954041 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954043 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954053 */     GIR_RootConstrainSelectedInstOperands,
     /*  954054 */     // GIR_Coverage, 63969,
     /*  954054 */     GIR_EraseRootFromParent_Done,
     /*  954055 */   // Label 14351: @954055
     /*  954055 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(954137), // Rule ID 63970 //
     /*  954060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954087 */     // MIs[0] op1
     /*  954087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  954117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954119 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954121 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954123 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954125 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954135 */     GIR_RootConstrainSelectedInstOperands,
     /*  954136 */     // GIR_Coverage, 63970,
     /*  954136 */     GIR_EraseRootFromParent_Done,
     /*  954137 */   // Label 14352: @954137
     /*  954137 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(954219), // Rule ID 63981 //
     /*  954142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954169 */     // MIs[0] op1
     /*  954169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954201 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954203 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954205 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954207 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954217 */     GIR_RootConstrainSelectedInstOperands,
     /*  954218 */     // GIR_Coverage, 63981,
     /*  954218 */     GIR_EraseRootFromParent_Done,
     /*  954219 */   // Label 14353: @954219
     /*  954219 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(954301), // Rule ID 63982 //
     /*  954224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954251 */     // MIs[0] op1
     /*  954251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954254 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954283 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954285 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954287 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954289 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954299 */     GIR_RootConstrainSelectedInstOperands,
     /*  954300 */     // GIR_Coverage, 63982,
     /*  954300 */     GIR_EraseRootFromParent_Done,
     /*  954301 */   // Label 14354: @954301
     /*  954301 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(954383), // Rule ID 63987 //
     /*  954306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954333 */     // MIs[0] op1
     /*  954333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954365 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954367 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954369 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954371 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954381 */     GIR_RootConstrainSelectedInstOperands,
     /*  954382 */     // GIR_Coverage, 63987,
     /*  954382 */     GIR_EraseRootFromParent_Done,
     /*  954383 */   // Label 14355: @954383
     /*  954383 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(954465), // Rule ID 63988 //
     /*  954388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954415 */     // MIs[0] op1
     /*  954415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954447 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954449 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954451 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954453 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954463 */     GIR_RootConstrainSelectedInstOperands,
     /*  954464 */     // GIR_Coverage, 63988,
     /*  954464 */     GIR_EraseRootFromParent_Done,
     /*  954465 */   // Label 14356: @954465
     /*  954465 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(954547), // Rule ID 63999 //
     /*  954470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954497 */     // MIs[0] op1
     /*  954497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954529 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954531 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954533 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954535 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954545 */     GIR_RootConstrainSelectedInstOperands,
     /*  954546 */     // GIR_Coverage, 63999,
     /*  954546 */     GIR_EraseRootFromParent_Done,
     /*  954547 */   // Label 14357: @954547
     /*  954547 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(954629), // Rule ID 64000 //
     /*  954552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954579 */     // MIs[0] op1
     /*  954579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954582 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954611 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954613 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954615 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954617 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954627 */     GIR_RootConstrainSelectedInstOperands,
     /*  954628 */     // GIR_Coverage, 64000,
     /*  954628 */     GIR_EraseRootFromParent_Done,
     /*  954629 */   // Label 14358: @954629
     /*  954629 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(954711), // Rule ID 64005 //
     /*  954634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954661 */     // MIs[0] op1
     /*  954661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954688 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  954691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954699 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954709 */     GIR_RootConstrainSelectedInstOperands,
     /*  954710 */     // GIR_Coverage, 64005,
     /*  954710 */     GIR_EraseRootFromParent_Done,
     /*  954711 */   // Label 14359: @954711
     /*  954711 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(954793), // Rule ID 64006 //
     /*  954716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954743 */     // MIs[0] op1
     /*  954743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  954773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954775 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954777 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954779 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954781 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954791 */     GIR_RootConstrainSelectedInstOperands,
     /*  954792 */     // GIR_Coverage, 64006,
     /*  954792 */     GIR_EraseRootFromParent_Done,
     /*  954793 */   // Label 14360: @954793
     /*  954793 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(954875), // Rule ID 64011 //
     /*  954798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954825 */     // MIs[0] op1
     /*  954825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  954855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954857 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954859 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954861 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954863 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954873 */     GIR_RootConstrainSelectedInstOperands,
     /*  954874 */     // GIR_Coverage, 64011,
     /*  954874 */     GIR_EraseRootFromParent_Done,
     /*  954875 */   // Label 14361: @954875
     /*  954875 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(954957), // Rule ID 64012 //
     /*  954880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954907 */     // MIs[0] op1
     /*  954907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  954937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954939 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954941 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954943 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954945 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954955 */     GIR_RootConstrainSelectedInstOperands,
     /*  954956 */     // GIR_Coverage, 64012,
     /*  954956 */     GIR_EraseRootFromParent_Done,
     /*  954957 */   // Label 14362: @954957
     /*  954957 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(955039), // Rule ID 64023 //
     /*  954962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  954982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954989 */     // MIs[0] op1
     /*  954989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955027 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955037 */     GIR_RootConstrainSelectedInstOperands,
     /*  955038 */     // GIR_Coverage, 64023,
     /*  955038 */     GIR_EraseRootFromParent_Done,
     /*  955039 */   // Label 14363: @955039
     /*  955039 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(955121), // Rule ID 64024 //
     /*  955044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  955064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955071 */     // MIs[0] op1
     /*  955071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955103 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955105 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955107 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955109 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955119 */     GIR_RootConstrainSelectedInstOperands,
     /*  955120 */     // GIR_Coverage, 64024,
     /*  955120 */     GIR_EraseRootFromParent_Done,
     /*  955121 */   // Label 14364: @955121
     /*  955121 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(955203), // Rule ID 64029 //
     /*  955126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955153 */     // MIs[0] op1
     /*  955153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955191 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955201 */     GIR_RootConstrainSelectedInstOperands,
     /*  955202 */     // GIR_Coverage, 64029,
     /*  955202 */     GIR_EraseRootFromParent_Done,
     /*  955203 */   // Label 14365: @955203
     /*  955203 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(955285), // Rule ID 64030 //
     /*  955208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955235 */     // MIs[0] op1
     /*  955235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955267 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955269 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955271 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955273 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955283 */     GIR_RootConstrainSelectedInstOperands,
     /*  955284 */     // GIR_Coverage, 64030,
     /*  955284 */     GIR_EraseRootFromParent_Done,
     /*  955285 */   // Label 14366: @955285
     /*  955285 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(955367), // Rule ID 64035 //
     /*  955290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955317 */     // MIs[0] op1
     /*  955317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955349 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955351 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955353 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955355 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955365 */     GIR_RootConstrainSelectedInstOperands,
     /*  955366 */     // GIR_Coverage, 64035,
     /*  955366 */     GIR_EraseRootFromParent_Done,
     /*  955367 */   // Label 14367: @955367
     /*  955367 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(955449), // Rule ID 64036 //
     /*  955372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955399 */     // MIs[0] op1
     /*  955399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955431 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955433 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955435 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955437 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955447 */     GIR_RootConstrainSelectedInstOperands,
     /*  955448 */     // GIR_Coverage, 64036,
     /*  955448 */     GIR_EraseRootFromParent_Done,
     /*  955449 */   // Label 14368: @955449
     /*  955449 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(955531), // Rule ID 64047 //
     /*  955454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955481 */     // MIs[0] op1
     /*  955481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955519 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955529 */     GIR_RootConstrainSelectedInstOperands,
     /*  955530 */     // GIR_Coverage, 64047,
     /*  955530 */     GIR_EraseRootFromParent_Done,
     /*  955531 */   // Label 14369: @955531
     /*  955531 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(955613), // Rule ID 64048 //
     /*  955536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955563 */     // MIs[0] op1
     /*  955563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955595 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955597 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955599 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955601 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955611 */     GIR_RootConstrainSelectedInstOperands,
     /*  955612 */     // GIR_Coverage, 64048,
     /*  955612 */     GIR_EraseRootFromParent_Done,
     /*  955613 */   // Label 14370: @955613
     /*  955613 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(955695), // Rule ID 64053 //
     /*  955618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955645 */     // MIs[0] op1
     /*  955645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  955675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955677 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955679 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955681 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955683 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955693 */     GIR_RootConstrainSelectedInstOperands,
     /*  955694 */     // GIR_Coverage, 64053,
     /*  955694 */     GIR_EraseRootFromParent_Done,
     /*  955695 */   // Label 14371: @955695
     /*  955695 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(955777), // Rule ID 64054 //
     /*  955700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955727 */     // MIs[0] op1
     /*  955727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955754 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  955757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955759 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955761 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955763 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955765 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955775 */     GIR_RootConstrainSelectedInstOperands,
     /*  955776 */     // GIR_Coverage, 64054,
     /*  955776 */     GIR_EraseRootFromParent_Done,
     /*  955777 */   // Label 14372: @955777
     /*  955777 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(955859), // Rule ID 64059 //
     /*  955782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  955799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955809 */     // MIs[0] op1
     /*  955809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955812 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  955839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955841 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955843 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955845 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955847 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955857 */     GIR_RootConstrainSelectedInstOperands,
     /*  955858 */     // GIR_Coverage, 64059,
     /*  955858 */     GIR_EraseRootFromParent_Done,
     /*  955859 */   // Label 14373: @955859
     /*  955859 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(955941), // Rule ID 64060 //
     /*  955864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  955881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955891 */     // MIs[0] op1
     /*  955891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  955921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955923 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955925 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955927 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955929 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955939 */     GIR_RootConstrainSelectedInstOperands,
     /*  955940 */     // GIR_Coverage, 64060,
     /*  955940 */     GIR_EraseRootFromParent_Done,
     /*  955941 */   // Label 14374: @955941
     /*  955941 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(956023), // Rule ID 64071 //
     /*  955946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  955963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  955966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955973 */     // MIs[0] op1
     /*  955973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956005 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956007 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956009 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956011 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956021 */     GIR_RootConstrainSelectedInstOperands,
     /*  956022 */     // GIR_Coverage, 64071,
     /*  956022 */     GIR_EraseRootFromParent_Done,
     /*  956023 */   // Label 14375: @956023
     /*  956023 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(956105), // Rule ID 64072 //
     /*  956028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  956048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956055 */     // MIs[0] op1
     /*  956055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956087 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956089 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956091 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956093 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956103 */     GIR_RootConstrainSelectedInstOperands,
     /*  956104 */     // GIR_Coverage, 64072,
     /*  956104 */     GIR_EraseRootFromParent_Done,
     /*  956105 */   // Label 14376: @956105
     /*  956105 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(956187), // Rule ID 64077 //
     /*  956110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956137 */     // MIs[0] op1
     /*  956137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956169 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956171 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956173 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956175 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956185 */     GIR_RootConstrainSelectedInstOperands,
     /*  956186 */     // GIR_Coverage, 64077,
     /*  956186 */     GIR_EraseRootFromParent_Done,
     /*  956187 */   // Label 14377: @956187
     /*  956187 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(956269), // Rule ID 64078 //
     /*  956192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956219 */     // MIs[0] op1
     /*  956219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956257 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956267 */     GIR_RootConstrainSelectedInstOperands,
     /*  956268 */     // GIR_Coverage, 64078,
     /*  956268 */     GIR_EraseRootFromParent_Done,
     /*  956269 */   // Label 14378: @956269
     /*  956269 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(956351), // Rule ID 64083 //
     /*  956274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956301 */     // MIs[0] op1
     /*  956301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956333 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956335 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956337 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956339 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956349 */     GIR_RootConstrainSelectedInstOperands,
     /*  956350 */     // GIR_Coverage, 64083,
     /*  956350 */     GIR_EraseRootFromParent_Done,
     /*  956351 */   // Label 14379: @956351
     /*  956351 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(956433), // Rule ID 64084 //
     /*  956356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956383 */     // MIs[0] op1
     /*  956383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956421 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956431 */     GIR_RootConstrainSelectedInstOperands,
     /*  956432 */     // GIR_Coverage, 64084,
     /*  956432 */     GIR_EraseRootFromParent_Done,
     /*  956433 */   // Label 14380: @956433
     /*  956433 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(956515), // Rule ID 64095 //
     /*  956438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956465 */     // MIs[0] op1
     /*  956465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956468 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956497 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956499 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956501 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956503 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956513 */     GIR_RootConstrainSelectedInstOperands,
     /*  956514 */     // GIR_Coverage, 64095,
     /*  956514 */     GIR_EraseRootFromParent_Done,
     /*  956515 */   // Label 14381: @956515
     /*  956515 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(956597), // Rule ID 64096 //
     /*  956520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956547 */     // MIs[0] op1
     /*  956547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956579 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956581 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956583 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956585 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956595 */     GIR_RootConstrainSelectedInstOperands,
     /*  956596 */     // GIR_Coverage, 64096,
     /*  956596 */     GIR_EraseRootFromParent_Done,
     /*  956597 */   // Label 14382: @956597
     /*  956597 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(956679), // Rule ID 64101 //
     /*  956602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956629 */     // MIs[0] op1
     /*  956629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956632 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  956659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956661 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956663 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956665 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956667 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956677 */     GIR_RootConstrainSelectedInstOperands,
     /*  956678 */     // GIR_Coverage, 64101,
     /*  956678 */     GIR_EraseRootFromParent_Done,
     /*  956679 */   // Label 14383: @956679
     /*  956679 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(956761), // Rule ID 64102 //
     /*  956684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956711 */     // MIs[0] op1
     /*  956711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956738 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  956741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956749 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956759 */     GIR_RootConstrainSelectedInstOperands,
     /*  956760 */     // GIR_Coverage, 64102,
     /*  956760 */     GIR_EraseRootFromParent_Done,
     /*  956761 */   // Label 14384: @956761
     /*  956761 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(956843), // Rule ID 64107 //
     /*  956766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  956777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  956780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  956783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956793 */     // MIs[0] op1
     /*  956793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  956823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956825 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956827 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956829 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956831 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956841 */     GIR_RootConstrainSelectedInstOperands,
     /*  956842 */     // GIR_Coverage, 64107,
     /*  956842 */     GIR_EraseRootFromParent_Done,
     /*  956843 */   // Label 14385: @956843
     /*  956843 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(956925), // Rule ID 64108 //
     /*  956848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  956859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  956862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  956865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956875 */     // MIs[0] op1
     /*  956875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  956905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956907 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956909 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956911 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956913 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956923 */     GIR_RootConstrainSelectedInstOperands,
     /*  956924 */     // GIR_Coverage, 64108,
     /*  956924 */     GIR_EraseRootFromParent_Done,
     /*  956925 */   // Label 14386: @956925
     /*  956925 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(957007), // Rule ID 64119 //
     /*  956930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  956941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  956944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  956947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  956950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956957 */     // MIs[0] op1
     /*  956957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956960 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  956987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956989 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956991 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956993 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956995 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957005 */     GIR_RootConstrainSelectedInstOperands,
     /*  957006 */     // GIR_Coverage, 64119,
     /*  957006 */     GIR_EraseRootFromParent_Done,
     /*  957007 */   // Label 14387: @957007
     /*  957007 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(957089), // Rule ID 64120 //
     /*  957012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  957032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957039 */     // MIs[0] op1
     /*  957039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957077 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957087 */     GIR_RootConstrainSelectedInstOperands,
     /*  957088 */     // GIR_Coverage, 64120,
     /*  957088 */     GIR_EraseRootFromParent_Done,
     /*  957089 */   // Label 14388: @957089
     /*  957089 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(957171), // Rule ID 64125 //
     /*  957094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957121 */     // MIs[0] op1
     /*  957121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957153 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957155 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957157 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957159 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957169 */     GIR_RootConstrainSelectedInstOperands,
     /*  957170 */     // GIR_Coverage, 64125,
     /*  957170 */     GIR_EraseRootFromParent_Done,
     /*  957171 */   // Label 14389: @957171
     /*  957171 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(957253), // Rule ID 64126 //
     /*  957176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957203 */     // MIs[0] op1
     /*  957203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957230 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957235 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957237 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957239 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957241 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957251 */     GIR_RootConstrainSelectedInstOperands,
     /*  957252 */     // GIR_Coverage, 64126,
     /*  957252 */     GIR_EraseRootFromParent_Done,
     /*  957253 */   // Label 14390: @957253
     /*  957253 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(957335), // Rule ID 64131 //
     /*  957258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957285 */     // MIs[0] op1
     /*  957285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957317 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957319 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957321 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957323 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957333 */     GIR_RootConstrainSelectedInstOperands,
     /*  957334 */     // GIR_Coverage, 64131,
     /*  957334 */     GIR_EraseRootFromParent_Done,
     /*  957335 */   // Label 14391: @957335
     /*  957335 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(957417), // Rule ID 64132 //
     /*  957340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957367 */     // MIs[0] op1
     /*  957367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957405 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957415 */     GIR_RootConstrainSelectedInstOperands,
     /*  957416 */     // GIR_Coverage, 64132,
     /*  957416 */     GIR_EraseRootFromParent_Done,
     /*  957417 */   // Label 14392: @957417
     /*  957417 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(957499), // Rule ID 64143 //
     /*  957422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957449 */     // MIs[0] op1
     /*  957449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957481 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957483 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957485 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957487 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957497 */     GIR_RootConstrainSelectedInstOperands,
     /*  957498 */     // GIR_Coverage, 64143,
     /*  957498 */     GIR_EraseRootFromParent_Done,
     /*  957499 */   // Label 14393: @957499
     /*  957499 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(957581), // Rule ID 64144 //
     /*  957504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957531 */     // MIs[0] op1
     /*  957531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957534 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957563 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957565 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957567 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957569 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957579 */     GIR_RootConstrainSelectedInstOperands,
     /*  957580 */     // GIR_Coverage, 64144,
     /*  957580 */     GIR_EraseRootFromParent_Done,
     /*  957581 */   // Label 14394: @957581
     /*  957581 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(957663), // Rule ID 64149 //
     /*  957586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957613 */     // MIs[0] op1
     /*  957613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  957643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957645 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957647 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957649 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957651 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957661 */     GIR_RootConstrainSelectedInstOperands,
     /*  957662 */     // GIR_Coverage, 64149,
     /*  957662 */     GIR_EraseRootFromParent_Done,
     /*  957663 */   // Label 14395: @957663
     /*  957663 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(957745), // Rule ID 64150 //
     /*  957668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957695 */     // MIs[0] op1
     /*  957695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  957725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957727 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957729 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957731 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957733 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957743 */     GIR_RootConstrainSelectedInstOperands,
     /*  957744 */     // GIR_Coverage, 64150,
     /*  957744 */     GIR_EraseRootFromParent_Done,
     /*  957745 */   // Label 14396: @957745
     /*  957745 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(957827), // Rule ID 64155 //
     /*  957750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957777 */     // MIs[0] op1
     /*  957777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957804 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  957807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957815 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957825 */     GIR_RootConstrainSelectedInstOperands,
     /*  957826 */     // GIR_Coverage, 64155,
     /*  957826 */     GIR_EraseRootFromParent_Done,
     /*  957827 */   // Label 14397: @957827
     /*  957827 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(957909), // Rule ID 64156 //
     /*  957832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957859 */     // MIs[0] op1
     /*  957859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  957889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957891 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957893 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957895 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957897 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957907 */     GIR_RootConstrainSelectedInstOperands,
     /*  957908 */     // GIR_Coverage, 64156,
     /*  957908 */     GIR_EraseRootFromParent_Done,
     /*  957909 */   // Label 14398: @957909
     /*  957909 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(957991), // Rule ID 64167 //
     /*  957914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  957934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957941 */     // MIs[0] op1
     /*  957941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  957971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957973 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957975 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957977 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957979 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957989 */     GIR_RootConstrainSelectedInstOperands,
     /*  957990 */     // GIR_Coverage, 64167,
     /*  957990 */     GIR_EraseRootFromParent_Done,
     /*  957991 */   // Label 14399: @957991
     /*  957991 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(958073), // Rule ID 64168 //
     /*  957996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  958016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958023 */     // MIs[0] op1
     /*  958023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958055 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958057 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958059 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958061 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958071 */     GIR_RootConstrainSelectedInstOperands,
     /*  958072 */     // GIR_Coverage, 64168,
     /*  958072 */     GIR_EraseRootFromParent_Done,
     /*  958073 */   // Label 14400: @958073
     /*  958073 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(958155), // Rule ID 64173 //
     /*  958078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958105 */     // MIs[0] op1
     /*  958105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958143 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958153 */     GIR_RootConstrainSelectedInstOperands,
     /*  958154 */     // GIR_Coverage, 64173,
     /*  958154 */     GIR_EraseRootFromParent_Done,
     /*  958155 */   // Label 14401: @958155
     /*  958155 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(958237), // Rule ID 64174 //
     /*  958160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958187 */     // MIs[0] op1
     /*  958187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958219 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958221 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958223 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958225 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958235 */     GIR_RootConstrainSelectedInstOperands,
     /*  958236 */     // GIR_Coverage, 64174,
     /*  958236 */     GIR_EraseRootFromParent_Done,
     /*  958237 */   // Label 14402: @958237
     /*  958237 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(958319), // Rule ID 64179 //
     /*  958242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958269 */     // MIs[0] op1
     /*  958269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958301 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958303 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958305 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958307 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958317 */     GIR_RootConstrainSelectedInstOperands,
     /*  958318 */     // GIR_Coverage, 64179,
     /*  958318 */     GIR_EraseRootFromParent_Done,
     /*  958319 */   // Label 14403: @958319
     /*  958319 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(958401), // Rule ID 64180 //
     /*  958324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958351 */     // MIs[0] op1
     /*  958351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958383 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958385 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958387 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958389 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958399 */     GIR_RootConstrainSelectedInstOperands,
     /*  958400 */     // GIR_Coverage, 64180,
     /*  958400 */     GIR_EraseRootFromParent_Done,
     /*  958401 */   // Label 14404: @958401
     /*  958401 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(958483), // Rule ID 64191 //
     /*  958406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958433 */     // MIs[0] op1
     /*  958433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958460 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958465 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958467 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958469 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958471 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958481 */     GIR_RootConstrainSelectedInstOperands,
     /*  958482 */     // GIR_Coverage, 64191,
     /*  958482 */     GIR_EraseRootFromParent_Done,
     /*  958483 */   // Label 14405: @958483
     /*  958483 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(958565), // Rule ID 64192 //
     /*  958488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958515 */     // MIs[0] op1
     /*  958515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958547 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958549 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958551 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958553 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958563 */     GIR_RootConstrainSelectedInstOperands,
     /*  958564 */     // GIR_Coverage, 64192,
     /*  958564 */     GIR_EraseRootFromParent_Done,
     /*  958565 */   // Label 14406: @958565
     /*  958565 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(958647), // Rule ID 64197 //
     /*  958570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958597 */     // MIs[0] op1
     /*  958597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  958627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958629 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958631 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958633 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958635 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958645 */     GIR_RootConstrainSelectedInstOperands,
     /*  958646 */     // GIR_Coverage, 64197,
     /*  958646 */     GIR_EraseRootFromParent_Done,
     /*  958647 */   // Label 14407: @958647
     /*  958647 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(958729), // Rule ID 64198 //
     /*  958652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958679 */     // MIs[0] op1
     /*  958679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  958709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958711 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958713 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958715 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958717 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958727 */     GIR_RootConstrainSelectedInstOperands,
     /*  958728 */     // GIR_Coverage, 64198,
     /*  958728 */     GIR_EraseRootFromParent_Done,
     /*  958729 */   // Label 14408: @958729
     /*  958729 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(958821), // Rule ID 5079 //
     /*  958734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  958745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  958748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  958751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958784 */     // MIs[1] Operand 1
     /*  958784 */     // No operand predicates
     /*  958784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  958800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958819 */     GIR_RootConstrainSelectedInstOperands,
     /*  958820 */     // GIR_Coverage, 5079,
     /*  958820 */     GIR_EraseRootFromParent_Done,
     /*  958821 */   // Label 14409: @958821
     /*  958821 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(958913), // Rule ID 5080 //
     /*  958826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  958837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  958840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  958843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958876 */     // MIs[1] Operand 1
     /*  958876 */     // No operand predicates
     /*  958876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958889 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  958892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958911 */     GIR_RootConstrainSelectedInstOperands,
     /*  958912 */     // GIR_Coverage, 5080,
     /*  958912 */     GIR_EraseRootFromParent_Done,
     /*  958913 */   // Label 14410: @958913
     /*  958913 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(959005), // Rule ID 5081 //
     /*  958918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  958929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  958932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  958935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958968 */     // MIs[1] Operand 1
     /*  958968 */     // No operand predicates
     /*  958968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958981 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  958984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959003 */     GIR_RootConstrainSelectedInstOperands,
     /*  959004 */     // GIR_Coverage, 5081,
     /*  959004 */     GIR_EraseRootFromParent_Done,
     /*  959005 */   // Label 14411: @959005
     /*  959005 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(959097), // Rule ID 5082 //
     /*  959010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  959021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  959024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  959027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959060 */     // MIs[1] Operand 1
     /*  959060 */     // No operand predicates
     /*  959060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959095 */     GIR_RootConstrainSelectedInstOperands,
     /*  959096 */     // GIR_Coverage, 5082,
     /*  959096 */     GIR_EraseRootFromParent_Done,
     /*  959097 */   // Label 14412: @959097
     /*  959097 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(959189), // Rule ID 5083 //
     /*  959102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959152 */     // MIs[1] Operand 1
     /*  959152 */     // No operand predicates
     /*  959152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959165 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959187 */     GIR_RootConstrainSelectedInstOperands,
     /*  959188 */     // GIR_Coverage, 5083,
     /*  959188 */     GIR_EraseRootFromParent_Done,
     /*  959189 */   // Label 14413: @959189
     /*  959189 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(959281), // Rule ID 5084 //
     /*  959194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959244 */     // MIs[1] Operand 1
     /*  959244 */     // No operand predicates
     /*  959244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959257 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959279 */     GIR_RootConstrainSelectedInstOperands,
     /*  959280 */     // GIR_Coverage, 5084,
     /*  959280 */     GIR_EraseRootFromParent_Done,
     /*  959281 */   // Label 14414: @959281
     /*  959281 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(959373), // Rule ID 5085 //
     /*  959286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959336 */     // MIs[1] Operand 1
     /*  959336 */     // No operand predicates
     /*  959336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959371 */     GIR_RootConstrainSelectedInstOperands,
     /*  959372 */     // GIR_Coverage, 5085,
     /*  959372 */     GIR_EraseRootFromParent_Done,
     /*  959373 */   // Label 14415: @959373
     /*  959373 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(959465), // Rule ID 5086 //
     /*  959378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959428 */     // MIs[1] Operand 1
     /*  959428 */     // No operand predicates
     /*  959428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959441 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959463 */     GIR_RootConstrainSelectedInstOperands,
     /*  959464 */     // GIR_Coverage, 5086,
     /*  959464 */     GIR_EraseRootFromParent_Done,
     /*  959465 */   // Label 14416: @959465
     /*  959465 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(959557), // Rule ID 5087 //
     /*  959470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959520 */     // MIs[1] Operand 1
     /*  959520 */     // No operand predicates
     /*  959520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959533 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959555 */     GIR_RootConstrainSelectedInstOperands,
     /*  959556 */     // GIR_Coverage, 5087,
     /*  959556 */     GIR_EraseRootFromParent_Done,
     /*  959557 */   // Label 14417: @959557
     /*  959557 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(959649), // Rule ID 5088 //
     /*  959562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959612 */     // MIs[1] Operand 1
     /*  959612 */     // No operand predicates
     /*  959612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959625 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959647 */     GIR_RootConstrainSelectedInstOperands,
     /*  959648 */     // GIR_Coverage, 5088,
     /*  959648 */     GIR_EraseRootFromParent_Done,
     /*  959649 */   // Label 14418: @959649
     /*  959649 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(959741), // Rule ID 5089 //
     /*  959654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  959668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959704 */     // MIs[1] Operand 1
     /*  959704 */     // No operand predicates
     /*  959704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959739 */     GIR_RootConstrainSelectedInstOperands,
     /*  959740 */     // GIR_Coverage, 5089,
     /*  959740 */     GIR_EraseRootFromParent_Done,
     /*  959741 */   // Label 14419: @959741
     /*  959741 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(959833), // Rule ID 5090 //
     /*  959746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  959760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959796 */     // MIs[1] Operand 1
     /*  959796 */     // No operand predicates
     /*  959796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959831 */     GIR_RootConstrainSelectedInstOperands,
     /*  959832 */     // GIR_Coverage, 5090,
     /*  959832 */     GIR_EraseRootFromParent_Done,
     /*  959833 */   // Label 14420: @959833
     /*  959833 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(959925), // Rule ID 5091 //
     /*  959838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  959849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  959852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  959855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  959861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959888 */     // MIs[1] Operand 1
     /*  959888 */     // No operand predicates
     /*  959888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959901 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959923 */     GIR_RootConstrainSelectedInstOperands,
     /*  959924 */     // GIR_Coverage, 5091,
     /*  959924 */     GIR_EraseRootFromParent_Done,
     /*  959925 */   // Label 14421: @959925
     /*  959925 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(960017), // Rule ID 5092 //
     /*  959930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  959941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  959944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  959947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  959953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959980 */     // MIs[1] Operand 1
     /*  959980 */     // No operand predicates
     /*  959980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960015 */     GIR_RootConstrainSelectedInstOperands,
     /*  960016 */     // GIR_Coverage, 5092,
     /*  960016 */     GIR_EraseRootFromParent_Done,
     /*  960017 */   // Label 14422: @960017
     /*  960017 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(960109), // Rule ID 5093 //
     /*  960022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  960039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960072 */     // MIs[1] Operand 1
     /*  960072 */     // No operand predicates
     /*  960072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960085 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960107 */     GIR_RootConstrainSelectedInstOperands,
     /*  960108 */     // GIR_Coverage, 5093,
     /*  960108 */     GIR_EraseRootFromParent_Done,
     /*  960109 */   // Label 14423: @960109
     /*  960109 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(960201), // Rule ID 5094 //
     /*  960114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  960131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960164 */     // MIs[1] Operand 1
     /*  960164 */     // No operand predicates
     /*  960164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960199 */     GIR_RootConstrainSelectedInstOperands,
     /*  960200 */     // GIR_Coverage, 5094,
     /*  960200 */     GIR_EraseRootFromParent_Done,
     /*  960201 */   // Label 14424: @960201
     /*  960201 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(960293), // Rule ID 5095 //
     /*  960206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960256 */     // MIs[1] Operand 1
     /*  960256 */     // No operand predicates
     /*  960256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960291 */     GIR_RootConstrainSelectedInstOperands,
     /*  960292 */     // GIR_Coverage, 5095,
     /*  960292 */     GIR_EraseRootFromParent_Done,
     /*  960293 */   // Label 14425: @960293
     /*  960293 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(960385), // Rule ID 5096 //
     /*  960298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960348 */     // MIs[1] Operand 1
     /*  960348 */     // No operand predicates
     /*  960348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960383 */     GIR_RootConstrainSelectedInstOperands,
     /*  960384 */     // GIR_Coverage, 5096,
     /*  960384 */     GIR_EraseRootFromParent_Done,
     /*  960385 */   // Label 14426: @960385
     /*  960385 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(960477), // Rule ID 5097 //
     /*  960390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960440 */     // MIs[1] Operand 1
     /*  960440 */     // No operand predicates
     /*  960440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  960453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960475 */     GIR_RootConstrainSelectedInstOperands,
     /*  960476 */     // GIR_Coverage, 5097,
     /*  960476 */     GIR_EraseRootFromParent_Done,
     /*  960477 */   // Label 14427: @960477
     /*  960477 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(960569), // Rule ID 5098 //
     /*  960482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  960485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960532 */     // MIs[1] Operand 1
     /*  960532 */     // No operand predicates
     /*  960532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960545 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  960545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960567 */     GIR_RootConstrainSelectedInstOperands,
     /*  960568 */     // GIR_Coverage, 5098,
     /*  960568 */     GIR_EraseRootFromParent_Done,
     /*  960569 */   // Label 14428: @960569
     /*  960569 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(960661), // Rule ID 5099 //
     /*  960574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  960585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  960588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960624 */     // MIs[1] Operand 1
     /*  960624 */     // No operand predicates
     /*  960624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960637 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  960640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960659 */     GIR_RootConstrainSelectedInstOperands,
     /*  960660 */     // GIR_Coverage, 5099,
     /*  960660 */     GIR_EraseRootFromParent_Done,
     /*  960661 */   // Label 14429: @960661
     /*  960661 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(960753), // Rule ID 5100 //
     /*  960666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  960677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  960680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960716 */     // MIs[1] Operand 1
     /*  960716 */     // No operand predicates
     /*  960716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960729 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  960732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960751 */     GIR_RootConstrainSelectedInstOperands,
     /*  960752 */     // GIR_Coverage, 5100,
     /*  960752 */     GIR_EraseRootFromParent_Done,
     /*  960753 */   // Label 14430: @960753
     /*  960753 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(960845), // Rule ID 5101 //
     /*  960758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  960769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  960772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  960775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  960781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960808 */     // MIs[1] Operand 1
     /*  960808 */     // No operand predicates
     /*  960808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960843 */     GIR_RootConstrainSelectedInstOperands,
     /*  960844 */     // GIR_Coverage, 5101,
     /*  960844 */     GIR_EraseRootFromParent_Done,
     /*  960845 */   // Label 14431: @960845
     /*  960845 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(960937), // Rule ID 5102 //
     /*  960850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  960861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  960864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  960867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  960873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960900 */     // MIs[1] Operand 1
     /*  960900 */     // No operand predicates
     /*  960900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960935 */     GIR_RootConstrainSelectedInstOperands,
     /*  960936 */     // GIR_Coverage, 5102,
     /*  960936 */     GIR_EraseRootFromParent_Done,
     /*  960937 */   // Label 14432: @960937
     /*  960937 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(961029), // Rule ID 5103 //
     /*  960942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  960953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  960956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  960959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  960965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960992 */     // MIs[1] Operand 1
     /*  960992 */     // No operand predicates
     /*  960992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961005 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961027 */     GIR_RootConstrainSelectedInstOperands,
     /*  961028 */     // GIR_Coverage, 5103,
     /*  961028 */     GIR_EraseRootFromParent_Done,
     /*  961029 */   // Label 14433: @961029
     /*  961029 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(961121), // Rule ID 5104 //
     /*  961034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  961045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  961048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  961051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  961057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961084 */     // MIs[1] Operand 1
     /*  961084 */     // No operand predicates
     /*  961084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961119 */     GIR_RootConstrainSelectedInstOperands,
     /*  961120 */     // GIR_Coverage, 5104,
     /*  961120 */     GIR_EraseRootFromParent_Done,
     /*  961121 */   // Label 14434: @961121
     /*  961121 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(961213), // Rule ID 5105 //
     /*  961126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961176 */     // MIs[1] Operand 1
     /*  961176 */     // No operand predicates
     /*  961176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961189 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961211 */     GIR_RootConstrainSelectedInstOperands,
     /*  961212 */     // GIR_Coverage, 5105,
     /*  961212 */     GIR_EraseRootFromParent_Done,
     /*  961213 */   // Label 14435: @961213
     /*  961213 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(961305), // Rule ID 5106 //
     /*  961218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961268 */     // MIs[1] Operand 1
     /*  961268 */     // No operand predicates
     /*  961268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961303 */     GIR_RootConstrainSelectedInstOperands,
     /*  961304 */     // GIR_Coverage, 5106,
     /*  961304 */     GIR_EraseRootFromParent_Done,
     /*  961305 */   // Label 14436: @961305
     /*  961305 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(961397), // Rule ID 5107 //
     /*  961310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961360 */     // MIs[1] Operand 1
     /*  961360 */     // No operand predicates
     /*  961360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961373 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961395 */     GIR_RootConstrainSelectedInstOperands,
     /*  961396 */     // GIR_Coverage, 5107,
     /*  961396 */     GIR_EraseRootFromParent_Done,
     /*  961397 */   // Label 14437: @961397
     /*  961397 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(961489), // Rule ID 5108 //
     /*  961402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961452 */     // MIs[1] Operand 1
     /*  961452 */     // No operand predicates
     /*  961452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961465 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961487 */     GIR_RootConstrainSelectedInstOperands,
     /*  961488 */     // GIR_Coverage, 5108,
     /*  961488 */     GIR_EraseRootFromParent_Done,
     /*  961489 */   // Label 14438: @961489
     /*  961489 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(961581), // Rule ID 5109 //
     /*  961494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961544 */     // MIs[1] Operand 1
     /*  961544 */     // No operand predicates
     /*  961544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961557 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961579 */     GIR_RootConstrainSelectedInstOperands,
     /*  961580 */     // GIR_Coverage, 5109,
     /*  961580 */     GIR_EraseRootFromParent_Done,
     /*  961581 */   // Label 14439: @961581
     /*  961581 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(961673), // Rule ID 5110 //
     /*  961586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961636 */     // MIs[1] Operand 1
     /*  961636 */     // No operand predicates
     /*  961636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961671 */     GIR_RootConstrainSelectedInstOperands,
     /*  961672 */     // GIR_Coverage, 5110,
     /*  961672 */     GIR_EraseRootFromParent_Done,
     /*  961673 */   // Label 14440: @961673
     /*  961673 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(961765), // Rule ID 5111 //
     /*  961678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  961689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  961692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  961695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961728 */     // MIs[1] Operand 1
     /*  961728 */     // No operand predicates
     /*  961728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961741 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961763 */     GIR_RootConstrainSelectedInstOperands,
     /*  961764 */     // GIR_Coverage, 5111,
     /*  961764 */     GIR_EraseRootFromParent_Done,
     /*  961765 */   // Label 14441: @961765
     /*  961765 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(961857), // Rule ID 5112 //
     /*  961770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  961781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  961784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  961787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961820 */     // MIs[1] Operand 1
     /*  961820 */     // No operand predicates
     /*  961820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961855 */     GIR_RootConstrainSelectedInstOperands,
     /*  961856 */     // GIR_Coverage, 5112,
     /*  961856 */     GIR_EraseRootFromParent_Done,
     /*  961857 */   // Label 14442: @961857
     /*  961857 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(961949), // Rule ID 5113 //
     /*  961862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  961876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961912 */     // MIs[1] Operand 1
     /*  961912 */     // No operand predicates
     /*  961912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961947 */     GIR_RootConstrainSelectedInstOperands,
     /*  961948 */     // GIR_Coverage, 5113,
     /*  961948 */     GIR_EraseRootFromParent_Done,
     /*  961949 */   // Label 14443: @961949
     /*  961949 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(962041), // Rule ID 5114 //
     /*  961954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  961968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962004 */     // MIs[1] Operand 1
     /*  962004 */     // No operand predicates
     /*  962004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962039 */     GIR_RootConstrainSelectedInstOperands,
     /*  962040 */     // GIR_Coverage, 5114,
     /*  962040 */     GIR_EraseRootFromParent_Done,
     /*  962041 */   // Label 14444: @962041
     /*  962041 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(962133), // Rule ID 5115 //
     /*  962046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962096 */     // MIs[1] Operand 1
     /*  962096 */     // No operand predicates
     /*  962096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962131 */     GIR_RootConstrainSelectedInstOperands,
     /*  962132 */     // GIR_Coverage, 5115,
     /*  962132 */     GIR_EraseRootFromParent_Done,
     /*  962133 */   // Label 14445: @962133
     /*  962133 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(962225), // Rule ID 5116 //
     /*  962138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962188 */     // MIs[1] Operand 1
     /*  962188 */     // No operand predicates
     /*  962188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962201 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962223 */     GIR_RootConstrainSelectedInstOperands,
     /*  962224 */     // GIR_Coverage, 5116,
     /*  962224 */     GIR_EraseRootFromParent_Done,
     /*  962225 */   // Label 14446: @962225
     /*  962225 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(962317), // Rule ID 5117 //
     /*  962230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962280 */     // MIs[1] Operand 1
     /*  962280 */     // No operand predicates
     /*  962280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962315 */     GIR_RootConstrainSelectedInstOperands,
     /*  962316 */     // GIR_Coverage, 5117,
     /*  962316 */     GIR_EraseRootFromParent_Done,
     /*  962317 */   // Label 14447: @962317
     /*  962317 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(962409), // Rule ID 5118 //
     /*  962322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962372 */     // MIs[1] Operand 1
     /*  962372 */     // No operand predicates
     /*  962372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962407 */     GIR_RootConstrainSelectedInstOperands,
     /*  962408 */     // GIR_Coverage, 5118,
     /*  962408 */     GIR_EraseRootFromParent_Done,
     /*  962409 */   // Label 14448: @962409
     /*  962409 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(962501), // Rule ID 5119 //
     /*  962414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962464 */     // MIs[1] Operand 1
     /*  962464 */     // No operand predicates
     /*  962464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962499 */     GIR_RootConstrainSelectedInstOperands,
     /*  962500 */     // GIR_Coverage, 5119,
     /*  962500 */     GIR_EraseRootFromParent_Done,
     /*  962501 */   // Label 14449: @962501
     /*  962501 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(962593), // Rule ID 5120 //
     /*  962506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962556 */     // MIs[1] Operand 1
     /*  962556 */     // No operand predicates
     /*  962556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962591 */     GIR_RootConstrainSelectedInstOperands,
     /*  962592 */     // GIR_Coverage, 5120,
     /*  962592 */     GIR_EraseRootFromParent_Done,
     /*  962593 */   // Label 14450: @962593
     /*  962593 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(962685), // Rule ID 5121 //
     /*  962598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962648 */     // MIs[1] Operand 1
     /*  962648 */     // No operand predicates
     /*  962648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962683 */     GIR_RootConstrainSelectedInstOperands,
     /*  962684 */     // GIR_Coverage, 5121,
     /*  962684 */     GIR_EraseRootFromParent_Done,
     /*  962685 */   // Label 14451: @962685
     /*  962685 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(962777), // Rule ID 5122 //
     /*  962690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962740 */     // MIs[1] Operand 1
     /*  962740 */     // No operand predicates
     /*  962740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962775 */     GIR_RootConstrainSelectedInstOperands,
     /*  962776 */     // GIR_Coverage, 5122,
     /*  962776 */     GIR_EraseRootFromParent_Done,
     /*  962777 */   // Label 14452: @962777
     /*  962777 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(962872), // Rule ID 7853 //
     /*  962782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  962799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962832 */     // MIs[1] Operand 1
     /*  962832 */     // No operand predicates
     /*  962832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962845 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  962845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  962848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962870 */     GIR_RootConstrainSelectedInstOperands,
     /*  962871 */     // GIR_Coverage, 7853,
     /*  962871 */     GIR_EraseRootFromParent_Done,
     /*  962872 */   // Label 14453: @962872
     /*  962872 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(962967), // Rule ID 7854 //
     /*  962877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  962894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962927 */     // MIs[1] Operand 1
     /*  962927 */     // No operand predicates
     /*  962927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  962940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  962943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962965 */     GIR_RootConstrainSelectedInstOperands,
     /*  962966 */     // GIR_Coverage, 7854,
     /*  962966 */     GIR_EraseRootFromParent_Done,
     /*  962967 */   // Label 14454: @962967
     /*  962967 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(963062), // Rule ID 7857 //
     /*  962972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  962983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  962986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  962989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963022 */     // MIs[1] Operand 1
     /*  963022 */     // No operand predicates
     /*  963022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963035 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963060 */     GIR_RootConstrainSelectedInstOperands,
     /*  963061 */     // GIR_Coverage, 7857,
     /*  963061 */     GIR_EraseRootFromParent_Done,
     /*  963062 */   // Label 14455: @963062
     /*  963062 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(963157), // Rule ID 7858 //
     /*  963067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963117 */     // MIs[1] Operand 1
     /*  963117 */     // No operand predicates
     /*  963117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963130 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963155 */     GIR_RootConstrainSelectedInstOperands,
     /*  963156 */     // GIR_Coverage, 7858,
     /*  963156 */     GIR_EraseRootFromParent_Done,
     /*  963157 */   // Label 14456: @963157
     /*  963157 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(963252), // Rule ID 7861 //
     /*  963162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963212 */     // MIs[1] Operand 1
     /*  963212 */     // No operand predicates
     /*  963212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963225 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963250 */     GIR_RootConstrainSelectedInstOperands,
     /*  963251 */     // GIR_Coverage, 7861,
     /*  963251 */     GIR_EraseRootFromParent_Done,
     /*  963252 */   // Label 14457: @963252
     /*  963252 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(963347), // Rule ID 7862 //
     /*  963257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963307 */     // MIs[1] Operand 1
     /*  963307 */     // No operand predicates
     /*  963307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963345 */     GIR_RootConstrainSelectedInstOperands,
     /*  963346 */     // GIR_Coverage, 7862,
     /*  963346 */     GIR_EraseRootFromParent_Done,
     /*  963347 */   // Label 14458: @963347
     /*  963347 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(963442), // Rule ID 7865 //
     /*  963352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963402 */     // MIs[1] Operand 1
     /*  963402 */     // No operand predicates
     /*  963402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963440 */     GIR_RootConstrainSelectedInstOperands,
     /*  963441 */     // GIR_Coverage, 7865,
     /*  963441 */     GIR_EraseRootFromParent_Done,
     /*  963442 */   // Label 14459: @963442
     /*  963442 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(963537), // Rule ID 7866 //
     /*  963447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963497 */     // MIs[1] Operand 1
     /*  963497 */     // No operand predicates
     /*  963497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963510 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963535 */     GIR_RootConstrainSelectedInstOperands,
     /*  963536 */     // GIR_Coverage, 7866,
     /*  963536 */     GIR_EraseRootFromParent_Done,
     /*  963537 */   // Label 14460: @963537
     /*  963537 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(963632), // Rule ID 7869 //
     /*  963542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963592 */     // MIs[1] Operand 1
     /*  963592 */     // No operand predicates
     /*  963592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963630 */     GIR_RootConstrainSelectedInstOperands,
     /*  963631 */     // GIR_Coverage, 7869,
     /*  963631 */     GIR_EraseRootFromParent_Done,
     /*  963632 */   // Label 14461: @963632
     /*  963632 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(963727), // Rule ID 7870 //
     /*  963637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963687 */     // MIs[1] Operand 1
     /*  963687 */     // No operand predicates
     /*  963687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963725 */     GIR_RootConstrainSelectedInstOperands,
     /*  963726 */     // GIR_Coverage, 7870,
     /*  963726 */     GIR_EraseRootFromParent_Done,
     /*  963727 */   // Label 14462: @963727
     /*  963727 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(963822), // Rule ID 7873 //
     /*  963732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  963749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963782 */     // MIs[1] Operand 1
     /*  963782 */     // No operand predicates
     /*  963782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963795 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  963795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963820 */     GIR_RootConstrainSelectedInstOperands,
     /*  963821 */     // GIR_Coverage, 7873,
     /*  963821 */     GIR_EraseRootFromParent_Done,
     /*  963822 */   // Label 14463: @963822
     /*  963822 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(963917), // Rule ID 7874 //
     /*  963827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  963844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963877 */     // MIs[1] Operand 1
     /*  963877 */     // No operand predicates
     /*  963877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963890 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  963890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963915 */     GIR_RootConstrainSelectedInstOperands,
     /*  963916 */     // GIR_Coverage, 7874,
     /*  963916 */     GIR_EraseRootFromParent_Done,
     /*  963917 */   // Label 14464: @963917
     /*  963917 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(964012), // Rule ID 7877 //
     /*  963922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  963933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  963936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  963939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963972 */     // MIs[1] Operand 1
     /*  963972 */     // No operand predicates
     /*  963972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963985 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  963988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964010 */     GIR_RootConstrainSelectedInstOperands,
     /*  964011 */     // GIR_Coverage, 7877,
     /*  964011 */     GIR_EraseRootFromParent_Done,
     /*  964012 */   // Label 14465: @964012
     /*  964012 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(964107), // Rule ID 7878 //
     /*  964017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964067 */     // MIs[1] Operand 1
     /*  964067 */     // No operand predicates
     /*  964067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964105 */     GIR_RootConstrainSelectedInstOperands,
     /*  964106 */     // GIR_Coverage, 7878,
     /*  964106 */     GIR_EraseRootFromParent_Done,
     /*  964107 */   // Label 14466: @964107
     /*  964107 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(964202), // Rule ID 7881 //
     /*  964112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964162 */     // MIs[1] Operand 1
     /*  964162 */     // No operand predicates
     /*  964162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964175 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964200 */     GIR_RootConstrainSelectedInstOperands,
     /*  964201 */     // GIR_Coverage, 7881,
     /*  964201 */     GIR_EraseRootFromParent_Done,
     /*  964202 */   // Label 14467: @964202
     /*  964202 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(964297), // Rule ID 7882 //
     /*  964207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964257 */     // MIs[1] Operand 1
     /*  964257 */     // No operand predicates
     /*  964257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964295 */     GIR_RootConstrainSelectedInstOperands,
     /*  964296 */     // GIR_Coverage, 7882,
     /*  964296 */     GIR_EraseRootFromParent_Done,
     /*  964297 */   // Label 14468: @964297
     /*  964297 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(964392), // Rule ID 7885 //
     /*  964302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964352 */     // MIs[1] Operand 1
     /*  964352 */     // No operand predicates
     /*  964352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964365 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964390 */     GIR_RootConstrainSelectedInstOperands,
     /*  964391 */     // GIR_Coverage, 7885,
     /*  964391 */     GIR_EraseRootFromParent_Done,
     /*  964392 */   // Label 14469: @964392
     /*  964392 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(964487), // Rule ID 7886 //
     /*  964397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964447 */     // MIs[1] Operand 1
     /*  964447 */     // No operand predicates
     /*  964447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964485 */     GIR_RootConstrainSelectedInstOperands,
     /*  964486 */     // GIR_Coverage, 7886,
     /*  964486 */     GIR_EraseRootFromParent_Done,
     /*  964487 */   // Label 14470: @964487
     /*  964487 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(964582), // Rule ID 7889 //
     /*  964492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  964495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964542 */     // MIs[1] Operand 1
     /*  964542 */     // No operand predicates
     /*  964542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964555 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  964555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964580 */     GIR_RootConstrainSelectedInstOperands,
     /*  964581 */     // GIR_Coverage, 7889,
     /*  964581 */     GIR_EraseRootFromParent_Done,
     /*  964582 */   // Label 14471: @964582
     /*  964582 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(964677), // Rule ID 7890 //
     /*  964587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  964590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964637 */     // MIs[1] Operand 1
     /*  964637 */     // No operand predicates
     /*  964637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964650 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  964650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964675 */     GIR_RootConstrainSelectedInstOperands,
     /*  964676 */     // GIR_Coverage, 7890,
     /*  964676 */     GIR_EraseRootFromParent_Done,
     /*  964677 */   // Label 14472: @964677
     /*  964677 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(964772), // Rule ID 7893 //
     /*  964682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  964699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964732 */     // MIs[1] Operand 1
     /*  964732 */     // No operand predicates
     /*  964732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964745 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964770 */     GIR_RootConstrainSelectedInstOperands,
     /*  964771 */     // GIR_Coverage, 7893,
     /*  964771 */     GIR_EraseRootFromParent_Done,
     /*  964772 */   // Label 14473: @964772
     /*  964772 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(964867), // Rule ID 7894 //
     /*  964777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  964794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964827 */     // MIs[1] Operand 1
     /*  964827 */     // No operand predicates
     /*  964827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964865 */     GIR_RootConstrainSelectedInstOperands,
     /*  964866 */     // GIR_Coverage, 7894,
     /*  964866 */     GIR_EraseRootFromParent_Done,
     /*  964867 */   // Label 14474: @964867
     /*  964867 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(964962), // Rule ID 7897 //
     /*  964872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  964883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  964886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  964889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  964895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964922 */     // MIs[1] Operand 1
     /*  964922 */     // No operand predicates
     /*  964922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964935 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  964938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964960 */     GIR_RootConstrainSelectedInstOperands,
     /*  964961 */     // GIR_Coverage, 7897,
     /*  964961 */     GIR_EraseRootFromParent_Done,
     /*  964962 */   // Label 14475: @964962
     /*  964962 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(965057), // Rule ID 7898 //
     /*  964967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  964978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  964981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  964984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  964990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965017 */     // MIs[1] Operand 1
     /*  965017 */     // No operand predicates
     /*  965017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965030 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965055 */     GIR_RootConstrainSelectedInstOperands,
     /*  965056 */     // GIR_Coverage, 7898,
     /*  965056 */     GIR_EraseRootFromParent_Done,
     /*  965057 */   // Label 14476: @965057
     /*  965057 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(965152), // Rule ID 7901 //
     /*  965062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965112 */     // MIs[1] Operand 1
     /*  965112 */     // No operand predicates
     /*  965112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965125 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965150 */     GIR_RootConstrainSelectedInstOperands,
     /*  965151 */     // GIR_Coverage, 7901,
     /*  965151 */     GIR_EraseRootFromParent_Done,
     /*  965152 */   // Label 14477: @965152
     /*  965152 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(965247), // Rule ID 7902 //
     /*  965157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965207 */     // MIs[1] Operand 1
     /*  965207 */     // No operand predicates
     /*  965207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965220 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965245 */     GIR_RootConstrainSelectedInstOperands,
     /*  965246 */     // GIR_Coverage, 7902,
     /*  965246 */     GIR_EraseRootFromParent_Done,
     /*  965247 */   // Label 14478: @965247
     /*  965247 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(965342), // Rule ID 7905 //
     /*  965252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965302 */     // MIs[1] Operand 1
     /*  965302 */     // No operand predicates
     /*  965302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965315 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965340 */     GIR_RootConstrainSelectedInstOperands,
     /*  965341 */     // GIR_Coverage, 7905,
     /*  965341 */     GIR_EraseRootFromParent_Done,
     /*  965342 */   // Label 14479: @965342
     /*  965342 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(965437), // Rule ID 7906 //
     /*  965347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965397 */     // MIs[1] Operand 1
     /*  965397 */     // No operand predicates
     /*  965397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965410 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965435 */     GIR_RootConstrainSelectedInstOperands,
     /*  965436 */     // GIR_Coverage, 7906,
     /*  965436 */     GIR_EraseRootFromParent_Done,
     /*  965437 */   // Label 14480: @965437
     /*  965437 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(965532), // Rule ID 7909 //
     /*  965442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965492 */     // MIs[1] Operand 1
     /*  965492 */     // No operand predicates
     /*  965492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965505 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965530 */     GIR_RootConstrainSelectedInstOperands,
     /*  965531 */     // GIR_Coverage, 7909,
     /*  965531 */     GIR_EraseRootFromParent_Done,
     /*  965532 */   // Label 14481: @965532
     /*  965532 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(965627), // Rule ID 7910 //
     /*  965537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965587 */     // MIs[1] Operand 1
     /*  965587 */     // No operand predicates
     /*  965587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965625 */     GIR_RootConstrainSelectedInstOperands,
     /*  965626 */     // GIR_Coverage, 7910,
     /*  965626 */     GIR_EraseRootFromParent_Done,
     /*  965627 */   // Label 14482: @965627
     /*  965627 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(965722), // Rule ID 7913 //
     /*  965632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  965649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965682 */     // MIs[1] Operand 1
     /*  965682 */     // No operand predicates
     /*  965682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965695 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965720 */     GIR_RootConstrainSelectedInstOperands,
     /*  965721 */     // GIR_Coverage, 7913,
     /*  965721 */     GIR_EraseRootFromParent_Done,
     /*  965722 */   // Label 14483: @965722
     /*  965722 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(965817), // Rule ID 7914 //
     /*  965727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  965744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965777 */     // MIs[1] Operand 1
     /*  965777 */     // No operand predicates
     /*  965777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965790 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965815 */     GIR_RootConstrainSelectedInstOperands,
     /*  965816 */     // GIR_Coverage, 7914,
     /*  965816 */     GIR_EraseRootFromParent_Done,
     /*  965817 */   // Label 14484: @965817
     /*  965817 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(965912), // Rule ID 7917 //
     /*  965822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  965839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965872 */     // MIs[1] Operand 1
     /*  965872 */     // No operand predicates
     /*  965872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  965885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965910 */     GIR_RootConstrainSelectedInstOperands,
     /*  965911 */     // GIR_Coverage, 7917,
     /*  965911 */     GIR_EraseRootFromParent_Done,
     /*  965912 */   // Label 14485: @965912
     /*  965912 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(966007), // Rule ID 7918 //
     /*  965917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  965934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965967 */     // MIs[1] Operand 1
     /*  965967 */     // No operand predicates
     /*  965967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  965980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966005 */     GIR_RootConstrainSelectedInstOperands,
     /*  966006 */     // GIR_Coverage, 7918,
     /*  966006 */     GIR_EraseRootFromParent_Done,
     /*  966007 */   // Label 14486: @966007
     /*  966007 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(966102), // Rule ID 7921 //
     /*  966012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966062 */     // MIs[1] Operand 1
     /*  966062 */     // No operand predicates
     /*  966062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966075 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966100 */     GIR_RootConstrainSelectedInstOperands,
     /*  966101 */     // GIR_Coverage, 7921,
     /*  966101 */     GIR_EraseRootFromParent_Done,
     /*  966102 */   // Label 14487: @966102
     /*  966102 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(966197), // Rule ID 7922 //
     /*  966107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966157 */     // MIs[1] Operand 1
     /*  966157 */     // No operand predicates
     /*  966157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966170 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966195 */     GIR_RootConstrainSelectedInstOperands,
     /*  966196 */     // GIR_Coverage, 7922,
     /*  966196 */     GIR_EraseRootFromParent_Done,
     /*  966197 */   // Label 14488: @966197
     /*  966197 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(966292), // Rule ID 7925 //
     /*  966202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966252 */     // MIs[1] Operand 1
     /*  966252 */     // No operand predicates
     /*  966252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966265 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966290 */     GIR_RootConstrainSelectedInstOperands,
     /*  966291 */     // GIR_Coverage, 7925,
     /*  966291 */     GIR_EraseRootFromParent_Done,
     /*  966292 */   // Label 14489: @966292
     /*  966292 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(966387), // Rule ID 7926 //
     /*  966297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966347 */     // MIs[1] Operand 1
     /*  966347 */     // No operand predicates
     /*  966347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966385 */     GIR_RootConstrainSelectedInstOperands,
     /*  966386 */     // GIR_Coverage, 7926,
     /*  966386 */     GIR_EraseRootFromParent_Done,
     /*  966387 */   // Label 14490: @966387
     /*  966387 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(966482), // Rule ID 7929 //
     /*  966392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966442 */     // MIs[1] Operand 1
     /*  966442 */     // No operand predicates
     /*  966442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966455 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966480 */     GIR_RootConstrainSelectedInstOperands,
     /*  966481 */     // GIR_Coverage, 7929,
     /*  966481 */     GIR_EraseRootFromParent_Done,
     /*  966482 */   // Label 14491: @966482
     /*  966482 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(966577), // Rule ID 7930 //
     /*  966487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966537 */     // MIs[1] Operand 1
     /*  966537 */     // No operand predicates
     /*  966537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966575 */     GIR_RootConstrainSelectedInstOperands,
     /*  966576 */     // GIR_Coverage, 7930,
     /*  966576 */     GIR_EraseRootFromParent_Done,
     /*  966577 */   // Label 14492: @966577
     /*  966577 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(966672), // Rule ID 7933 //
     /*  966582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  966599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966632 */     // MIs[1] Operand 1
     /*  966632 */     // No operand predicates
     /*  966632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966670 */     GIR_RootConstrainSelectedInstOperands,
     /*  966671 */     // GIR_Coverage, 7933,
     /*  966671 */     GIR_EraseRootFromParent_Done,
     /*  966672 */   // Label 14493: @966672
     /*  966672 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(966767), // Rule ID 7934 //
     /*  966677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  966694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966727 */     // MIs[1] Operand 1
     /*  966727 */     // No operand predicates
     /*  966727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966765 */     GIR_RootConstrainSelectedInstOperands,
     /*  966766 */     // GIR_Coverage, 7934,
     /*  966766 */     GIR_EraseRootFromParent_Done,
     /*  966767 */   // Label 14494: @966767
     /*  966767 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(966862), // Rule ID 7937 //
     /*  966772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  966789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966822 */     // MIs[1] Operand 1
     /*  966822 */     // No operand predicates
     /*  966822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966860 */     GIR_RootConstrainSelectedInstOperands,
     /*  966861 */     // GIR_Coverage, 7937,
     /*  966861 */     GIR_EraseRootFromParent_Done,
     /*  966862 */   // Label 14495: @966862
     /*  966862 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(966957), // Rule ID 7938 //
     /*  966867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  966884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966917 */     // MIs[1] Operand 1
     /*  966917 */     // No operand predicates
     /*  966917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966955 */     GIR_RootConstrainSelectedInstOperands,
     /*  966956 */     // GIR_Coverage, 7938,
     /*  966956 */     GIR_EraseRootFromParent_Done,
     /*  966957 */   // Label 14496: @966957
     /*  966957 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(967052), // Rule ID 8117 //
     /*  966962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  966979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967012 */     // MIs[1] Operand 1
     /*  967012 */     // No operand predicates
     /*  967012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  967028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967050 */     GIR_RootConstrainSelectedInstOperands,
     /*  967051 */     // GIR_Coverage, 8117,
     /*  967051 */     GIR_EraseRootFromParent_Done,
     /*  967052 */   // Label 14497: @967052
     /*  967052 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(967147), // Rule ID 8118 //
     /*  967057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967107 */     // MIs[1] Operand 1
     /*  967107 */     // No operand predicates
     /*  967107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  967123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967145 */     GIR_RootConstrainSelectedInstOperands,
     /*  967146 */     // GIR_Coverage, 8118,
     /*  967146 */     GIR_EraseRootFromParent_Done,
     /*  967147 */   // Label 14498: @967147
     /*  967147 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(967242), // Rule ID 8121 //
     /*  967152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967202 */     // MIs[1] Operand 1
     /*  967202 */     // No operand predicates
     /*  967202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967215 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967240 */     GIR_RootConstrainSelectedInstOperands,
     /*  967241 */     // GIR_Coverage, 8121,
     /*  967241 */     GIR_EraseRootFromParent_Done,
     /*  967242 */   // Label 14499: @967242
     /*  967242 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(967337), // Rule ID 8122 //
     /*  967247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967297 */     // MIs[1] Operand 1
     /*  967297 */     // No operand predicates
     /*  967297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967335 */     GIR_RootConstrainSelectedInstOperands,
     /*  967336 */     // GIR_Coverage, 8122,
     /*  967336 */     GIR_EraseRootFromParent_Done,
     /*  967337 */   // Label 14500: @967337
     /*  967337 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(967432), // Rule ID 8125 //
     /*  967342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967392 */     // MIs[1] Operand 1
     /*  967392 */     // No operand predicates
     /*  967392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967405 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967430 */     GIR_RootConstrainSelectedInstOperands,
     /*  967431 */     // GIR_Coverage, 8125,
     /*  967431 */     GIR_EraseRootFromParent_Done,
     /*  967432 */   // Label 14501: @967432
     /*  967432 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(967527), // Rule ID 8126 //
     /*  967437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967487 */     // MIs[1] Operand 1
     /*  967487 */     // No operand predicates
     /*  967487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967500 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967525 */     GIR_RootConstrainSelectedInstOperands,
     /*  967526 */     // GIR_Coverage, 8126,
     /*  967526 */     GIR_EraseRootFromParent_Done,
     /*  967527 */   // Label 14502: @967527
     /*  967527 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(967622), // Rule ID 8129 //
     /*  967532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967582 */     // MIs[1] Operand 1
     /*  967582 */     // No operand predicates
     /*  967582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967595 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967620 */     GIR_RootConstrainSelectedInstOperands,
     /*  967621 */     // GIR_Coverage, 8129,
     /*  967621 */     GIR_EraseRootFromParent_Done,
     /*  967622 */   // Label 14503: @967622
     /*  967622 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(967717), // Rule ID 8130 //
     /*  967627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967677 */     // MIs[1] Operand 1
     /*  967677 */     // No operand predicates
     /*  967677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967690 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  967690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967715 */     GIR_RootConstrainSelectedInstOperands,
     /*  967716 */     // GIR_Coverage, 8130,
     /*  967716 */     GIR_EraseRootFromParent_Done,
     /*  967717 */   // Label 14504: @967717
     /*  967717 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(967812), // Rule ID 8133 //
     /*  967722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967772 */     // MIs[1] Operand 1
     /*  967772 */     // No operand predicates
     /*  967772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967785 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967810 */     GIR_RootConstrainSelectedInstOperands,
     /*  967811 */     // GIR_Coverage, 8133,
     /*  967811 */     GIR_EraseRootFromParent_Done,
     /*  967812 */   // Label 14505: @967812
     /*  967812 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(967907), // Rule ID 8134 //
     /*  967817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967867 */     // MIs[1] Operand 1
     /*  967867 */     // No operand predicates
     /*  967867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  967880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967905 */     GIR_RootConstrainSelectedInstOperands,
     /*  967906 */     // GIR_Coverage, 8134,
     /*  967906 */     GIR_EraseRootFromParent_Done,
     /*  967907 */   // Label 14506: @967907
     /*  967907 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(968002), // Rule ID 8137 //
     /*  967912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  967929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967962 */     // MIs[1] Operand 1
     /*  967962 */     // No operand predicates
     /*  967962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967975 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  967975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968000 */     GIR_RootConstrainSelectedInstOperands,
     /*  968001 */     // GIR_Coverage, 8137,
     /*  968001 */     GIR_EraseRootFromParent_Done,
     /*  968002 */   // Label 14507: @968002
     /*  968002 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(968097), // Rule ID 8138 //
     /*  968007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968057 */     // MIs[1] Operand 1
     /*  968057 */     // No operand predicates
     /*  968057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968070 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968095 */     GIR_RootConstrainSelectedInstOperands,
     /*  968096 */     // GIR_Coverage, 8138,
     /*  968096 */     GIR_EraseRootFromParent_Done,
     /*  968097 */   // Label 14508: @968097
     /*  968097 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(968192), // Rule ID 8141 //
     /*  968102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968152 */     // MIs[1] Operand 1
     /*  968152 */     // No operand predicates
     /*  968152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968190 */     GIR_RootConstrainSelectedInstOperands,
     /*  968191 */     // GIR_Coverage, 8141,
     /*  968191 */     GIR_EraseRootFromParent_Done,
     /*  968192 */   // Label 14509: @968192
     /*  968192 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(968287), // Rule ID 8142 //
     /*  968197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968247 */     // MIs[1] Operand 1
     /*  968247 */     // No operand predicates
     /*  968247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968285 */     GIR_RootConstrainSelectedInstOperands,
     /*  968286 */     // GIR_Coverage, 8142,
     /*  968286 */     GIR_EraseRootFromParent_Done,
     /*  968287 */   // Label 14510: @968287
     /*  968287 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(968382), // Rule ID 8145 //
     /*  968292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968342 */     // MIs[1] Operand 1
     /*  968342 */     // No operand predicates
     /*  968342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968355 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968380 */     GIR_RootConstrainSelectedInstOperands,
     /*  968381 */     // GIR_Coverage, 8145,
     /*  968381 */     GIR_EraseRootFromParent_Done,
     /*  968382 */   // Label 14511: @968382
     /*  968382 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(968477), // Rule ID 8146 //
     /*  968387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968437 */     // MIs[1] Operand 1
     /*  968437 */     // No operand predicates
     /*  968437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968450 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968475 */     GIR_RootConstrainSelectedInstOperands,
     /*  968476 */     // GIR_Coverage, 8146,
     /*  968476 */     GIR_EraseRootFromParent_Done,
     /*  968477 */   // Label 14512: @968477
     /*  968477 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(968572), // Rule ID 8149 //
     /*  968482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968532 */     // MIs[1] Operand 1
     /*  968532 */     // No operand predicates
     /*  968532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968545 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968570 */     GIR_RootConstrainSelectedInstOperands,
     /*  968571 */     // GIR_Coverage, 8149,
     /*  968571 */     GIR_EraseRootFromParent_Done,
     /*  968572 */   // Label 14513: @968572
     /*  968572 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(968667), // Rule ID 8150 //
     /*  968577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968627 */     // MIs[1] Operand 1
     /*  968627 */     // No operand predicates
     /*  968627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968665 */     GIR_RootConstrainSelectedInstOperands,
     /*  968666 */     // GIR_Coverage, 8150,
     /*  968666 */     GIR_EraseRootFromParent_Done,
     /*  968667 */   // Label 14514: @968667
     /*  968667 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(968762), // Rule ID 8153 //
     /*  968672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  968675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  968689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968722 */     // MIs[1] Operand 1
     /*  968722 */     // No operand predicates
     /*  968722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968735 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  968735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968760 */     GIR_RootConstrainSelectedInstOperands,
     /*  968761 */     // GIR_Coverage, 8153,
     /*  968761 */     GIR_EraseRootFromParent_Done,
     /*  968762 */   // Label 14515: @968762
     /*  968762 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(968857), // Rule ID 8154 //
     /*  968767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  968770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  968784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968817 */     // MIs[1] Operand 1
     /*  968817 */     // No operand predicates
     /*  968817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  968830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968855 */     GIR_RootConstrainSelectedInstOperands,
     /*  968856 */     // GIR_Coverage, 8154,
     /*  968856 */     GIR_EraseRootFromParent_Done,
     /*  968857 */   // Label 14516: @968857
     /*  968857 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(968952), // Rule ID 8157 //
     /*  968862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  968879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968912 */     // MIs[1] Operand 1
     /*  968912 */     // No operand predicates
     /*  968912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968925 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  968928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968950 */     GIR_RootConstrainSelectedInstOperands,
     /*  968951 */     // GIR_Coverage, 8157,
     /*  968951 */     GIR_EraseRootFromParent_Done,
     /*  968952 */   // Label 14517: @968952
     /*  968952 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(969047), // Rule ID 8158 //
     /*  968957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  968974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969007 */     // MIs[1] Operand 1
     /*  969007 */     // No operand predicates
     /*  969007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969045 */     GIR_RootConstrainSelectedInstOperands,
     /*  969046 */     // GIR_Coverage, 8158,
     /*  969046 */     GIR_EraseRootFromParent_Done,
     /*  969047 */   // Label 14518: @969047
     /*  969047 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(969142), // Rule ID 8161 //
     /*  969052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969102 */     // MIs[1] Operand 1
     /*  969102 */     // No operand predicates
     /*  969102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969115 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969140 */     GIR_RootConstrainSelectedInstOperands,
     /*  969141 */     // GIR_Coverage, 8161,
     /*  969141 */     GIR_EraseRootFromParent_Done,
     /*  969142 */   // Label 14519: @969142
     /*  969142 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(969237), // Rule ID 8162 //
     /*  969147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969197 */     // MIs[1] Operand 1
     /*  969197 */     // No operand predicates
     /*  969197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969210 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969235 */     GIR_RootConstrainSelectedInstOperands,
     /*  969236 */     // GIR_Coverage, 8162,
     /*  969236 */     GIR_EraseRootFromParent_Done,
     /*  969237 */   // Label 14520: @969237
     /*  969237 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(969332), // Rule ID 8165 //
     /*  969242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969292 */     // MIs[1] Operand 1
     /*  969292 */     // No operand predicates
     /*  969292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969305 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969330 */     GIR_RootConstrainSelectedInstOperands,
     /*  969331 */     // GIR_Coverage, 8165,
     /*  969331 */     GIR_EraseRootFromParent_Done,
     /*  969332 */   // Label 14521: @969332
     /*  969332 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(969427), // Rule ID 8166 //
     /*  969337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969387 */     // MIs[1] Operand 1
     /*  969387 */     // No operand predicates
     /*  969387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969400 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969425 */     GIR_RootConstrainSelectedInstOperands,
     /*  969426 */     // GIR_Coverage, 8166,
     /*  969426 */     GIR_EraseRootFromParent_Done,
     /*  969427 */   // Label 14522: @969427
     /*  969427 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(969522), // Rule ID 8169 //
     /*  969432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969482 */     // MIs[1] Operand 1
     /*  969482 */     // No operand predicates
     /*  969482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969495 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969520 */     GIR_RootConstrainSelectedInstOperands,
     /*  969521 */     // GIR_Coverage, 8169,
     /*  969521 */     GIR_EraseRootFromParent_Done,
     /*  969522 */   // Label 14523: @969522
     /*  969522 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(969617), // Rule ID 8170 //
     /*  969527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969577 */     // MIs[1] Operand 1
     /*  969577 */     // No operand predicates
     /*  969577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969615 */     GIR_RootConstrainSelectedInstOperands,
     /*  969616 */     // GIR_Coverage, 8170,
     /*  969616 */     GIR_EraseRootFromParent_Done,
     /*  969617 */   // Label 14524: @969617
     /*  969617 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(969712), // Rule ID 8173 //
     /*  969622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  969639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969672 */     // MIs[1] Operand 1
     /*  969672 */     // No operand predicates
     /*  969672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969685 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969710 */     GIR_RootConstrainSelectedInstOperands,
     /*  969711 */     // GIR_Coverage, 8173,
     /*  969711 */     GIR_EraseRootFromParent_Done,
     /*  969712 */   // Label 14525: @969712
     /*  969712 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(969807), // Rule ID 8174 //
     /*  969717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  969734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969767 */     // MIs[1] Operand 1
     /*  969767 */     // No operand predicates
     /*  969767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969805 */     GIR_RootConstrainSelectedInstOperands,
     /*  969806 */     // GIR_Coverage, 8174,
     /*  969806 */     GIR_EraseRootFromParent_Done,
     /*  969807 */   // Label 14526: @969807
     /*  969807 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(969902), // Rule ID 8177 //
     /*  969812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  969829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969862 */     // MIs[1] Operand 1
     /*  969862 */     // No operand predicates
     /*  969862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969875 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969900 */     GIR_RootConstrainSelectedInstOperands,
     /*  969901 */     // GIR_Coverage, 8177,
     /*  969901 */     GIR_EraseRootFromParent_Done,
     /*  969902 */   // Label 14527: @969902
     /*  969902 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(969997), // Rule ID 8178 //
     /*  969907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  969924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969957 */     // MIs[1] Operand 1
     /*  969957 */     // No operand predicates
     /*  969957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969970 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969995 */     GIR_RootConstrainSelectedInstOperands,
     /*  969996 */     // GIR_Coverage, 8178,
     /*  969996 */     GIR_EraseRootFromParent_Done,
     /*  969997 */   // Label 14528: @969997
     /*  969997 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(970092), // Rule ID 8181 //
     /*  970002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970052 */     // MIs[1] Operand 1
     /*  970052 */     // No operand predicates
     /*  970052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970090 */     GIR_RootConstrainSelectedInstOperands,
     /*  970091 */     // GIR_Coverage, 8181,
     /*  970091 */     GIR_EraseRootFromParent_Done,
     /*  970092 */   // Label 14529: @970092
     /*  970092 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(970187), // Rule ID 8182 //
     /*  970097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970147 */     // MIs[1] Operand 1
     /*  970147 */     // No operand predicates
     /*  970147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970185 */     GIR_RootConstrainSelectedInstOperands,
     /*  970186 */     // GIR_Coverage, 8182,
     /*  970186 */     GIR_EraseRootFromParent_Done,
     /*  970187 */   // Label 14530: @970187
     /*  970187 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(970282), // Rule ID 8185 //
     /*  970192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970242 */     // MIs[1] Operand 1
     /*  970242 */     // No operand predicates
     /*  970242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970255 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970280 */     GIR_RootConstrainSelectedInstOperands,
     /*  970281 */     // GIR_Coverage, 8185,
     /*  970281 */     GIR_EraseRootFromParent_Done,
     /*  970282 */   // Label 14531: @970282
     /*  970282 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(970377), // Rule ID 8186 //
     /*  970287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970337 */     // MIs[1] Operand 1
     /*  970337 */     // No operand predicates
     /*  970337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970350 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970375 */     GIR_RootConstrainSelectedInstOperands,
     /*  970376 */     // GIR_Coverage, 8186,
     /*  970376 */     GIR_EraseRootFromParent_Done,
     /*  970377 */   // Label 14532: @970377
     /*  970377 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(970472), // Rule ID 8189 //
     /*  970382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970432 */     // MIs[1] Operand 1
     /*  970432 */     // No operand predicates
     /*  970432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970445 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970470 */     GIR_RootConstrainSelectedInstOperands,
     /*  970471 */     // GIR_Coverage, 8189,
     /*  970471 */     GIR_EraseRootFromParent_Done,
     /*  970472 */   // Label 14533: @970472
     /*  970472 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(970567), // Rule ID 8190 //
     /*  970477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970527 */     // MIs[1] Operand 1
     /*  970527 */     // No operand predicates
     /*  970527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970565 */     GIR_RootConstrainSelectedInstOperands,
     /*  970566 */     // GIR_Coverage, 8190,
     /*  970566 */     GIR_EraseRootFromParent_Done,
     /*  970567 */   // Label 14534: @970567
     /*  970567 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(970662), // Rule ID 8193 //
     /*  970572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  970589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970622 */     // MIs[1] Operand 1
     /*  970622 */     // No operand predicates
     /*  970622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970635 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  970635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970660 */     GIR_RootConstrainSelectedInstOperands,
     /*  970661 */     // GIR_Coverage, 8193,
     /*  970661 */     GIR_EraseRootFromParent_Done,
     /*  970662 */   // Label 14535: @970662
     /*  970662 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(970757), // Rule ID 8194 //
     /*  970667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  970670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  970684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970717 */     // MIs[1] Operand 1
     /*  970717 */     // No operand predicates
     /*  970717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  970730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970755 */     GIR_RootConstrainSelectedInstOperands,
     /*  970756 */     // GIR_Coverage, 8194,
     /*  970756 */     GIR_EraseRootFromParent_Done,
     /*  970757 */   // Label 14536: @970757
     /*  970757 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(970852), // Rule ID 8197 //
     /*  970762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  970779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970812 */     // MIs[1] Operand 1
     /*  970812 */     // No operand predicates
     /*  970812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  970825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970850 */     GIR_RootConstrainSelectedInstOperands,
     /*  970851 */     // GIR_Coverage, 8197,
     /*  970851 */     GIR_EraseRootFromParent_Done,
     /*  970852 */   // Label 14537: @970852
     /*  970852 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(970947), // Rule ID 8198 //
     /*  970857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  970860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  970874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970907 */     // MIs[1] Operand 1
     /*  970907 */     // No operand predicates
     /*  970907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  970920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970945 */     GIR_RootConstrainSelectedInstOperands,
     /*  970946 */     // GIR_Coverage, 8198,
     /*  970946 */     GIR_EraseRootFromParent_Done,
     /*  970947 */   // Label 14538: @970947
     /*  970947 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(971042), // Rule ID 8201 //
     /*  970952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  970969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971002 */     // MIs[1] Operand 1
     /*  971002 */     // No operand predicates
     /*  971002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971015 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971040 */     GIR_RootConstrainSelectedInstOperands,
     /*  971041 */     // GIR_Coverage, 8201,
     /*  971041 */     GIR_EraseRootFromParent_Done,
     /*  971042 */   // Label 14539: @971042
     /*  971042 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(971137), // Rule ID 8202 //
     /*  971047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971097 */     // MIs[1] Operand 1
     /*  971097 */     // No operand predicates
     /*  971097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971110 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971135 */     GIR_RootConstrainSelectedInstOperands,
     /*  971136 */     // GIR_Coverage, 8202,
     /*  971136 */     GIR_EraseRootFromParent_Done,
     /*  971137 */   // Label 14540: @971137
     /*  971137 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(971232), // Rule ID 8733 //
     /*  971142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971192 */     // MIs[1] Operand 1
     /*  971192 */     // No operand predicates
     /*  971192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971205 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971230 */     GIR_RootConstrainSelectedInstOperands,
     /*  971231 */     // GIR_Coverage, 8733,
     /*  971231 */     GIR_EraseRootFromParent_Done,
     /*  971232 */   // Label 14541: @971232
     /*  971232 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(971327), // Rule ID 8734 //
     /*  971237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971287 */     // MIs[1] Operand 1
     /*  971287 */     // No operand predicates
     /*  971287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971325 */     GIR_RootConstrainSelectedInstOperands,
     /*  971326 */     // GIR_Coverage, 8734,
     /*  971326 */     GIR_EraseRootFromParent_Done,
     /*  971327 */   // Label 14542: @971327
     /*  971327 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(971422), // Rule ID 8737 //
     /*  971332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971382 */     // MIs[1] Operand 1
     /*  971382 */     // No operand predicates
     /*  971382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971395 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971420 */     GIR_RootConstrainSelectedInstOperands,
     /*  971421 */     // GIR_Coverage, 8737,
     /*  971421 */     GIR_EraseRootFromParent_Done,
     /*  971422 */   // Label 14543: @971422
     /*  971422 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(971517), // Rule ID 8738 //
     /*  971427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971477 */     // MIs[1] Operand 1
     /*  971477 */     // No operand predicates
     /*  971477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971490 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971515 */     GIR_RootConstrainSelectedInstOperands,
     /*  971516 */     // GIR_Coverage, 8738,
     /*  971516 */     GIR_EraseRootFromParent_Done,
     /*  971517 */   // Label 14544: @971517
     /*  971517 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(971612), // Rule ID 8741 //
     /*  971522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971572 */     // MIs[1] Operand 1
     /*  971572 */     // No operand predicates
     /*  971572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971610 */     GIR_RootConstrainSelectedInstOperands,
     /*  971611 */     // GIR_Coverage, 8741,
     /*  971611 */     GIR_EraseRootFromParent_Done,
     /*  971612 */   // Label 14545: @971612
     /*  971612 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(971707), // Rule ID 8742 //
     /*  971617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971667 */     // MIs[1] Operand 1
     /*  971667 */     // No operand predicates
     /*  971667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971705 */     GIR_RootConstrainSelectedInstOperands,
     /*  971706 */     // GIR_Coverage, 8742,
     /*  971706 */     GIR_EraseRootFromParent_Done,
     /*  971707 */   // Label 14546: @971707
     /*  971707 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(971802), // Rule ID 8745 //
     /*  971712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  971729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971762 */     // MIs[1] Operand 1
     /*  971762 */     // No operand predicates
     /*  971762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971775 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  971775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971800 */     GIR_RootConstrainSelectedInstOperands,
     /*  971801 */     // GIR_Coverage, 8745,
     /*  971801 */     GIR_EraseRootFromParent_Done,
     /*  971802 */   // Label 14547: @971802
     /*  971802 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(971897), // Rule ID 8746 //
     /*  971807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  971824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971857 */     // MIs[1] Operand 1
     /*  971857 */     // No operand predicates
     /*  971857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  971870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971895 */     GIR_RootConstrainSelectedInstOperands,
     /*  971896 */     // GIR_Coverage, 8746,
     /*  971896 */     GIR_EraseRootFromParent_Done,
     /*  971897 */   // Label 14548: @971897
     /*  971897 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(971992), // Rule ID 8749 //
     /*  971902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  971919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971952 */     // MIs[1] Operand 1
     /*  971952 */     // No operand predicates
     /*  971952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  971965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971990 */     GIR_RootConstrainSelectedInstOperands,
     /*  971991 */     // GIR_Coverage, 8749,
     /*  971991 */     GIR_EraseRootFromParent_Done,
     /*  971992 */   // Label 14549: @971992
     /*  971992 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(972087), // Rule ID 8750 //
     /*  971997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972047 */     // MIs[1] Operand 1
     /*  972047 */     // No operand predicates
     /*  972047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972085 */     GIR_RootConstrainSelectedInstOperands,
     /*  972086 */     // GIR_Coverage, 8750,
     /*  972086 */     GIR_EraseRootFromParent_Done,
     /*  972087 */   // Label 14550: @972087
     /*  972087 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(972182), // Rule ID 8753 //
     /*  972092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972142 */     // MIs[1] Operand 1
     /*  972142 */     // No operand predicates
     /*  972142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972155 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972180 */     GIR_RootConstrainSelectedInstOperands,
     /*  972181 */     // GIR_Coverage, 8753,
     /*  972181 */     GIR_EraseRootFromParent_Done,
     /*  972182 */   // Label 14551: @972182
     /*  972182 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(972277), // Rule ID 8754 //
     /*  972187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972237 */     // MIs[1] Operand 1
     /*  972237 */     // No operand predicates
     /*  972237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972250 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972275 */     GIR_RootConstrainSelectedInstOperands,
     /*  972276 */     // GIR_Coverage, 8754,
     /*  972276 */     GIR_EraseRootFromParent_Done,
     /*  972277 */   // Label 14552: @972277
     /*  972277 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(972372), // Rule ID 8757 //
     /*  972282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972332 */     // MIs[1] Operand 1
     /*  972332 */     // No operand predicates
     /*  972332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972370 */     GIR_RootConstrainSelectedInstOperands,
     /*  972371 */     // GIR_Coverage, 8757,
     /*  972371 */     GIR_EraseRootFromParent_Done,
     /*  972372 */   // Label 14553: @972372
     /*  972372 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(972467), // Rule ID 8758 //
     /*  972377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972427 */     // MIs[1] Operand 1
     /*  972427 */     // No operand predicates
     /*  972427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972465 */     GIR_RootConstrainSelectedInstOperands,
     /*  972466 */     // GIR_Coverage, 8758,
     /*  972466 */     GIR_EraseRootFromParent_Done,
     /*  972467 */   // Label 14554: @972467
     /*  972467 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(972562), // Rule ID 8761 //
     /*  972472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972522 */     // MIs[1] Operand 1
     /*  972522 */     // No operand predicates
     /*  972522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972560 */     GIR_RootConstrainSelectedInstOperands,
     /*  972561 */     // GIR_Coverage, 8761,
     /*  972561 */     GIR_EraseRootFromParent_Done,
     /*  972562 */   // Label 14555: @972562
     /*  972562 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(972657), // Rule ID 8762 //
     /*  972567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972617 */     // MIs[1] Operand 1
     /*  972617 */     // No operand predicates
     /*  972617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972630 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972655 */     GIR_RootConstrainSelectedInstOperands,
     /*  972656 */     // GIR_Coverage, 8762,
     /*  972656 */     GIR_EraseRootFromParent_Done,
     /*  972657 */   // Label 14556: @972657
     /*  972657 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(972752), // Rule ID 8765 //
     /*  972662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  972679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972712 */     // MIs[1] Operand 1
     /*  972712 */     // No operand predicates
     /*  972712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972725 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972750 */     GIR_RootConstrainSelectedInstOperands,
     /*  972751 */     // GIR_Coverage, 8765,
     /*  972751 */     GIR_EraseRootFromParent_Done,
     /*  972752 */   // Label 14557: @972752
     /*  972752 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(972847), // Rule ID 8766 //
     /*  972757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  972774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972807 */     // MIs[1] Operand 1
     /*  972807 */     // No operand predicates
     /*  972807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972845 */     GIR_RootConstrainSelectedInstOperands,
     /*  972846 */     // GIR_Coverage, 8766,
     /*  972846 */     GIR_EraseRootFromParent_Done,
     /*  972847 */   // Label 14558: @972847
     /*  972847 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(972942), // Rule ID 8769 //
     /*  972852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  972855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  972869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972902 */     // MIs[1] Operand 1
     /*  972902 */     // No operand predicates
     /*  972902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972915 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  972915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972940 */     GIR_RootConstrainSelectedInstOperands,
     /*  972941 */     // GIR_Coverage, 8769,
     /*  972941 */     GIR_EraseRootFromParent_Done,
     /*  972942 */   // Label 14559: @972942
     /*  972942 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(973037), // Rule ID 8770 //
     /*  972947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  972950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  972964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972997 */     // MIs[1] Operand 1
     /*  972997 */     // No operand predicates
     /*  972997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973035 */     GIR_RootConstrainSelectedInstOperands,
     /*  973036 */     // GIR_Coverage, 8770,
     /*  973036 */     GIR_EraseRootFromParent_Done,
     /*  973037 */   // Label 14560: @973037
     /*  973037 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(973132), // Rule ID 8773 //
     /*  973042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973092 */     // MIs[1] Operand 1
     /*  973092 */     // No operand predicates
     /*  973092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973105 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973130 */     GIR_RootConstrainSelectedInstOperands,
     /*  973131 */     // GIR_Coverage, 8773,
     /*  973131 */     GIR_EraseRootFromParent_Done,
     /*  973132 */   // Label 14561: @973132
     /*  973132 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(973227), // Rule ID 8774 //
     /*  973137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973187 */     // MIs[1] Operand 1
     /*  973187 */     // No operand predicates
     /*  973187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973225 */     GIR_RootConstrainSelectedInstOperands,
     /*  973226 */     // GIR_Coverage, 8774,
     /*  973226 */     GIR_EraseRootFromParent_Done,
     /*  973227 */   // Label 14562: @973227
     /*  973227 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(973322), // Rule ID 8777 //
     /*  973232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973282 */     // MIs[1] Operand 1
     /*  973282 */     // No operand predicates
     /*  973282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973295 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973320 */     GIR_RootConstrainSelectedInstOperands,
     /*  973321 */     // GIR_Coverage, 8777,
     /*  973321 */     GIR_EraseRootFromParent_Done,
     /*  973322 */   // Label 14563: @973322
     /*  973322 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(973417), // Rule ID 8778 //
     /*  973327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973377 */     // MIs[1] Operand 1
     /*  973377 */     // No operand predicates
     /*  973377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973390 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973415 */     GIR_RootConstrainSelectedInstOperands,
     /*  973416 */     // GIR_Coverage, 8778,
     /*  973416 */     GIR_EraseRootFromParent_Done,
     /*  973417 */   // Label 14564: @973417
     /*  973417 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(973512), // Rule ID 8781 //
     /*  973422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973472 */     // MIs[1] Operand 1
     /*  973472 */     // No operand predicates
     /*  973472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973485 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973510 */     GIR_RootConstrainSelectedInstOperands,
     /*  973511 */     // GIR_Coverage, 8781,
     /*  973511 */     GIR_EraseRootFromParent_Done,
     /*  973512 */   // Label 14565: @973512
     /*  973512 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(973607), // Rule ID 8782 //
     /*  973517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973567 */     // MIs[1] Operand 1
     /*  973567 */     // No operand predicates
     /*  973567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973580 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973605 */     GIR_RootConstrainSelectedInstOperands,
     /*  973606 */     // GIR_Coverage, 8782,
     /*  973606 */     GIR_EraseRootFromParent_Done,
     /*  973607 */   // Label 14566: @973607
     /*  973607 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(973702), // Rule ID 8785 //
     /*  973612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973662 */     // MIs[1] Operand 1
     /*  973662 */     // No operand predicates
     /*  973662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973700 */     GIR_RootConstrainSelectedInstOperands,
     /*  973701 */     // GIR_Coverage, 8785,
     /*  973701 */     GIR_EraseRootFromParent_Done,
     /*  973702 */   // Label 14567: @973702
     /*  973702 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(973797), // Rule ID 8786 //
     /*  973707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973757 */     // MIs[1] Operand 1
     /*  973757 */     // No operand predicates
     /*  973757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973770 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973795 */     GIR_RootConstrainSelectedInstOperands,
     /*  973796 */     // GIR_Coverage, 8786,
     /*  973796 */     GIR_EraseRootFromParent_Done,
     /*  973797 */   // Label 14568: @973797
     /*  973797 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(973892), // Rule ID 8789 //
     /*  973802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973852 */     // MIs[1] Operand 1
     /*  973852 */     // No operand predicates
     /*  973852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973865 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973890 */     GIR_RootConstrainSelectedInstOperands,
     /*  973891 */     // GIR_Coverage, 8789,
     /*  973891 */     GIR_EraseRootFromParent_Done,
     /*  973892 */   // Label 14569: @973892
     /*  973892 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(973987), // Rule ID 8790 //
     /*  973897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973947 */     // MIs[1] Operand 1
     /*  973947 */     // No operand predicates
     /*  973947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973985 */     GIR_RootConstrainSelectedInstOperands,
     /*  973986 */     // GIR_Coverage, 8790,
     /*  973986 */     GIR_EraseRootFromParent_Done,
     /*  973987 */   // Label 14570: @973987
     /*  973987 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(974082), // Rule ID 8793 //
     /*  973992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974042 */     // MIs[1] Operand 1
     /*  974042 */     // No operand predicates
     /*  974042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974055 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974080 */     GIR_RootConstrainSelectedInstOperands,
     /*  974081 */     // GIR_Coverage, 8793,
     /*  974081 */     GIR_EraseRootFromParent_Done,
     /*  974082 */   // Label 14571: @974082
     /*  974082 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(974177), // Rule ID 8794 //
     /*  974087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974137 */     // MIs[1] Operand 1
     /*  974137 */     // No operand predicates
     /*  974137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974150 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974175 */     GIR_RootConstrainSelectedInstOperands,
     /*  974176 */     // GIR_Coverage, 8794,
     /*  974176 */     GIR_EraseRootFromParent_Done,
     /*  974177 */   // Label 14572: @974177
     /*  974177 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(974272), // Rule ID 8797 //
     /*  974182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974232 */     // MIs[1] Operand 1
     /*  974232 */     // No operand predicates
     /*  974232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974245 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974270 */     GIR_RootConstrainSelectedInstOperands,
     /*  974271 */     // GIR_Coverage, 8797,
     /*  974271 */     GIR_EraseRootFromParent_Done,
     /*  974272 */   // Label 14573: @974272
     /*  974272 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(974367), // Rule ID 8798 //
     /*  974277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974327 */     // MIs[1] Operand 1
     /*  974327 */     // No operand predicates
     /*  974327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974340 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974365 */     GIR_RootConstrainSelectedInstOperands,
     /*  974366 */     // GIR_Coverage, 8798,
     /*  974366 */     GIR_EraseRootFromParent_Done,
     /*  974367 */   // Label 14574: @974367
     /*  974367 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(974462), // Rule ID 8801 //
     /*  974372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974422 */     // MIs[1] Operand 1
     /*  974422 */     // No operand predicates
     /*  974422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974435 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974460 */     GIR_RootConstrainSelectedInstOperands,
     /*  974461 */     // GIR_Coverage, 8801,
     /*  974461 */     GIR_EraseRootFromParent_Done,
     /*  974462 */   // Label 14575: @974462
     /*  974462 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(974557), // Rule ID 8802 //
     /*  974467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974517 */     // MIs[1] Operand 1
     /*  974517 */     // No operand predicates
     /*  974517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974530 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974555 */     GIR_RootConstrainSelectedInstOperands,
     /*  974556 */     // GIR_Coverage, 8802,
     /*  974556 */     GIR_EraseRootFromParent_Done,
     /*  974557 */   // Label 14576: @974557
     /*  974557 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(974652), // Rule ID 8805 //
     /*  974562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974612 */     // MIs[1] Operand 1
     /*  974612 */     // No operand predicates
     /*  974612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974650 */     GIR_RootConstrainSelectedInstOperands,
     /*  974651 */     // GIR_Coverage, 8805,
     /*  974651 */     GIR_EraseRootFromParent_Done,
     /*  974652 */   // Label 14577: @974652
     /*  974652 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(974747), // Rule ID 8806 //
     /*  974657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974707 */     // MIs[1] Operand 1
     /*  974707 */     // No operand predicates
     /*  974707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974720 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974745 */     GIR_RootConstrainSelectedInstOperands,
     /*  974746 */     // GIR_Coverage, 8806,
     /*  974746 */     GIR_EraseRootFromParent_Done,
     /*  974747 */   // Label 14578: @974747
     /*  974747 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(974842), // Rule ID 8809 //
     /*  974752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  974755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974802 */     // MIs[1] Operand 1
     /*  974802 */     // No operand predicates
     /*  974802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974815 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  974815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974840 */     GIR_RootConstrainSelectedInstOperands,
     /*  974841 */     // GIR_Coverage, 8809,
     /*  974841 */     GIR_EraseRootFromParent_Done,
     /*  974842 */   // Label 14579: @974842
     /*  974842 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(974937), // Rule ID 8810 //
     /*  974847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  974850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974897 */     // MIs[1] Operand 1
     /*  974897 */     // No operand predicates
     /*  974897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974910 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  974910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974935 */     GIR_RootConstrainSelectedInstOperands,
     /*  974936 */     // GIR_Coverage, 8810,
     /*  974936 */     GIR_EraseRootFromParent_Done,
     /*  974937 */   // Label 14580: @974937
     /*  974937 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(975032), // Rule ID 8813 //
     /*  974942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  974945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  974959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974992 */     // MIs[1] Operand 1
     /*  974992 */     // No operand predicates
     /*  974992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975005 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975030 */     GIR_RootConstrainSelectedInstOperands,
     /*  975031 */     // GIR_Coverage, 8813,
     /*  975031 */     GIR_EraseRootFromParent_Done,
     /*  975032 */   // Label 14581: @975032
     /*  975032 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(975127), // Rule ID 8814 //
     /*  975037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975087 */     // MIs[1] Operand 1
     /*  975087 */     // No operand predicates
     /*  975087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975125 */     GIR_RootConstrainSelectedInstOperands,
     /*  975126 */     // GIR_Coverage, 8814,
     /*  975126 */     GIR_EraseRootFromParent_Done,
     /*  975127 */   // Label 14582: @975127
     /*  975127 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(975222), // Rule ID 8817 //
     /*  975132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975182 */     // MIs[1] Operand 1
     /*  975182 */     // No operand predicates
     /*  975182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975195 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975220 */     GIR_RootConstrainSelectedInstOperands,
     /*  975221 */     // GIR_Coverage, 8817,
     /*  975221 */     GIR_EraseRootFromParent_Done,
     /*  975222 */   // Label 14583: @975222
     /*  975222 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(975317), // Rule ID 8818 //
     /*  975227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975277 */     // MIs[1] Operand 1
     /*  975277 */     // No operand predicates
     /*  975277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975290 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975315 */     GIR_RootConstrainSelectedInstOperands,
     /*  975316 */     // GIR_Coverage, 8818,
     /*  975316 */     GIR_EraseRootFromParent_Done,
     /*  975317 */   // Label 14584: @975317
     /*  975317 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(975412), // Rule ID 8997 //
     /*  975322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975372 */     // MIs[1] Operand 1
     /*  975372 */     // No operand predicates
     /*  975372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975410 */     GIR_RootConstrainSelectedInstOperands,
     /*  975411 */     // GIR_Coverage, 8997,
     /*  975411 */     GIR_EraseRootFromParent_Done,
     /*  975412 */   // Label 14585: @975412
     /*  975412 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(975507), // Rule ID 8998 //
     /*  975417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975467 */     // MIs[1] Operand 1
     /*  975467 */     // No operand predicates
     /*  975467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975505 */     GIR_RootConstrainSelectedInstOperands,
     /*  975506 */     // GIR_Coverage, 8998,
     /*  975506 */     GIR_EraseRootFromParent_Done,
     /*  975507 */   // Label 14586: @975507
     /*  975507 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(975602), // Rule ID 9001 //
     /*  975512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975562 */     // MIs[1] Operand 1
     /*  975562 */     // No operand predicates
     /*  975562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975600 */     GIR_RootConstrainSelectedInstOperands,
     /*  975601 */     // GIR_Coverage, 9001,
     /*  975601 */     GIR_EraseRootFromParent_Done,
     /*  975602 */   // Label 14587: @975602
     /*  975602 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(975697), // Rule ID 9002 //
     /*  975607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975657 */     // MIs[1] Operand 1
     /*  975657 */     // No operand predicates
     /*  975657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975670 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975695 */     GIR_RootConstrainSelectedInstOperands,
     /*  975696 */     // GIR_Coverage, 9002,
     /*  975696 */     GIR_EraseRootFromParent_Done,
     /*  975697 */   // Label 14588: @975697
     /*  975697 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(975792), // Rule ID 9005 //
     /*  975702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  975719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975752 */     // MIs[1] Operand 1
     /*  975752 */     // No operand predicates
     /*  975752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  975768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975790 */     GIR_RootConstrainSelectedInstOperands,
     /*  975791 */     // GIR_Coverage, 9005,
     /*  975791 */     GIR_EraseRootFromParent_Done,
     /*  975792 */   // Label 14589: @975792
     /*  975792 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(975887), // Rule ID 9006 //
     /*  975797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  975814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975847 */     // MIs[1] Operand 1
     /*  975847 */     // No operand predicates
     /*  975847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  975863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975885 */     GIR_RootConstrainSelectedInstOperands,
     /*  975886 */     // GIR_Coverage, 9006,
     /*  975886 */     GIR_EraseRootFromParent_Done,
     /*  975887 */   // Label 14590: @975887
     /*  975887 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(975982), // Rule ID 9009 //
     /*  975892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  975909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975942 */     // MIs[1] Operand 1
     /*  975942 */     // No operand predicates
     /*  975942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  975955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975980 */     GIR_RootConstrainSelectedInstOperands,
     /*  975981 */     // GIR_Coverage, 9009,
     /*  975981 */     GIR_EraseRootFromParent_Done,
     /*  975982 */   // Label 14591: @975982
     /*  975982 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(976077), // Rule ID 9010 //
     /*  975987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976037 */     // MIs[1] Operand 1
     /*  976037 */     // No operand predicates
     /*  976037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976075 */     GIR_RootConstrainSelectedInstOperands,
     /*  976076 */     // GIR_Coverage, 9010,
     /*  976076 */     GIR_EraseRootFromParent_Done,
     /*  976077 */   // Label 14592: @976077
     /*  976077 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(976172), // Rule ID 9013 //
     /*  976082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976132 */     // MIs[1] Operand 1
     /*  976132 */     // No operand predicates
     /*  976132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976145 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976170 */     GIR_RootConstrainSelectedInstOperands,
     /*  976171 */     // GIR_Coverage, 9013,
     /*  976171 */     GIR_EraseRootFromParent_Done,
     /*  976172 */   // Label 14593: @976172
     /*  976172 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(976267), // Rule ID 9014 //
     /*  976177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976227 */     // MIs[1] Operand 1
     /*  976227 */     // No operand predicates
     /*  976227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976265 */     GIR_RootConstrainSelectedInstOperands,
     /*  976266 */     // GIR_Coverage, 9014,
     /*  976266 */     GIR_EraseRootFromParent_Done,
     /*  976267 */   // Label 14594: @976267
     /*  976267 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(976362), // Rule ID 9017 //
     /*  976272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976322 */     // MIs[1] Operand 1
     /*  976322 */     // No operand predicates
     /*  976322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976335 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976360 */     GIR_RootConstrainSelectedInstOperands,
     /*  976361 */     // GIR_Coverage, 9017,
     /*  976361 */     GIR_EraseRootFromParent_Done,
     /*  976362 */   // Label 14595: @976362
     /*  976362 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(976457), // Rule ID 9018 //
     /*  976367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976417 */     // MIs[1] Operand 1
     /*  976417 */     // No operand predicates
     /*  976417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976455 */     GIR_RootConstrainSelectedInstOperands,
     /*  976456 */     // GIR_Coverage, 9018,
     /*  976456 */     GIR_EraseRootFromParent_Done,
     /*  976457 */   // Label 14596: @976457
     /*  976457 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(976552), // Rule ID 9021 //
     /*  976462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976512 */     // MIs[1] Operand 1
     /*  976512 */     // No operand predicates
     /*  976512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976525 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976550 */     GIR_RootConstrainSelectedInstOperands,
     /*  976551 */     // GIR_Coverage, 9021,
     /*  976551 */     GIR_EraseRootFromParent_Done,
     /*  976552 */   // Label 14597: @976552
     /*  976552 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(976647), // Rule ID 9022 //
     /*  976557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976607 */     // MIs[1] Operand 1
     /*  976607 */     // No operand predicates
     /*  976607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976645 */     GIR_RootConstrainSelectedInstOperands,
     /*  976646 */     // GIR_Coverage, 9022,
     /*  976646 */     GIR_EraseRootFromParent_Done,
     /*  976647 */   // Label 14598: @976647
     /*  976647 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(976742), // Rule ID 9025 //
     /*  976652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  976669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976702 */     // MIs[1] Operand 1
     /*  976702 */     // No operand predicates
     /*  976702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976715 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976740 */     GIR_RootConstrainSelectedInstOperands,
     /*  976741 */     // GIR_Coverage, 9025,
     /*  976741 */     GIR_EraseRootFromParent_Done,
     /*  976742 */   // Label 14599: @976742
     /*  976742 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(976837), // Rule ID 9026 //
     /*  976747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  976764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976797 */     // MIs[1] Operand 1
     /*  976797 */     // No operand predicates
     /*  976797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976835 */     GIR_RootConstrainSelectedInstOperands,
     /*  976836 */     // GIR_Coverage, 9026,
     /*  976836 */     GIR_EraseRootFromParent_Done,
     /*  976837 */   // Label 14600: @976837
     /*  976837 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(976932), // Rule ID 9029 //
     /*  976842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  976859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976892 */     // MIs[1] Operand 1
     /*  976892 */     // No operand predicates
     /*  976892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976930 */     GIR_RootConstrainSelectedInstOperands,
     /*  976931 */     // GIR_Coverage, 9029,
     /*  976931 */     GIR_EraseRootFromParent_Done,
     /*  976932 */   // Label 14601: @976932
     /*  976932 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(977027), // Rule ID 9030 //
     /*  976937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  976954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976987 */     // MIs[1] Operand 1
     /*  976987 */     // No operand predicates
     /*  976987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977025 */     GIR_RootConstrainSelectedInstOperands,
     /*  977026 */     // GIR_Coverage, 9030,
     /*  977026 */     GIR_EraseRootFromParent_Done,
     /*  977027 */   // Label 14602: @977027
     /*  977027 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(977122), // Rule ID 9033 //
     /*  977032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977082 */     // MIs[1] Operand 1
     /*  977082 */     // No operand predicates
     /*  977082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977120 */     GIR_RootConstrainSelectedInstOperands,
     /*  977121 */     // GIR_Coverage, 9033,
     /*  977121 */     GIR_EraseRootFromParent_Done,
     /*  977122 */   // Label 14603: @977122
     /*  977122 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(977217), // Rule ID 9034 //
     /*  977127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977177 */     // MIs[1] Operand 1
     /*  977177 */     // No operand predicates
     /*  977177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977215 */     GIR_RootConstrainSelectedInstOperands,
     /*  977216 */     // GIR_Coverage, 9034,
     /*  977216 */     GIR_EraseRootFromParent_Done,
     /*  977217 */   // Label 14604: @977217
     /*  977217 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(977312), // Rule ID 9037 //
     /*  977222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977272 */     // MIs[1] Operand 1
     /*  977272 */     // No operand predicates
     /*  977272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977285 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977310 */     GIR_RootConstrainSelectedInstOperands,
     /*  977311 */     // GIR_Coverage, 9037,
     /*  977311 */     GIR_EraseRootFromParent_Done,
     /*  977312 */   // Label 14605: @977312
     /*  977312 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(977407), // Rule ID 9038 //
     /*  977317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977367 */     // MIs[1] Operand 1
     /*  977367 */     // No operand predicates
     /*  977367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977405 */     GIR_RootConstrainSelectedInstOperands,
     /*  977406 */     // GIR_Coverage, 9038,
     /*  977406 */     GIR_EraseRootFromParent_Done,
     /*  977407 */   // Label 14606: @977407
     /*  977407 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(977502), // Rule ID 9041 //
     /*  977412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977462 */     // MIs[1] Operand 1
     /*  977462 */     // No operand predicates
     /*  977462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977475 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977500 */     GIR_RootConstrainSelectedInstOperands,
     /*  977501 */     // GIR_Coverage, 9041,
     /*  977501 */     GIR_EraseRootFromParent_Done,
     /*  977502 */   // Label 14607: @977502
     /*  977502 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(977597), // Rule ID 9042 //
     /*  977507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977557 */     // MIs[1] Operand 1
     /*  977557 */     // No operand predicates
     /*  977557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977570 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977595 */     GIR_RootConstrainSelectedInstOperands,
     /*  977596 */     // GIR_Coverage, 9042,
     /*  977596 */     GIR_EraseRootFromParent_Done,
     /*  977597 */   // Label 14608: @977597
     /*  977597 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(977692), // Rule ID 9045 //
     /*  977602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  977613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  977616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  977619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  977625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977652 */     // MIs[1] Operand 1
     /*  977652 */     // No operand predicates
     /*  977652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977665 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  977668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977690 */     GIR_RootConstrainSelectedInstOperands,
     /*  977691 */     // GIR_Coverage, 9045,
     /*  977691 */     GIR_EraseRootFromParent_Done,
     /*  977692 */   // Label 14609: @977692
     /*  977692 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(977787), // Rule ID 9046 //
     /*  977697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  977708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  977711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  977714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  977720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977747 */     // MIs[1] Operand 1
     /*  977747 */     // No operand predicates
     /*  977747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977760 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  977763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977785 */     GIR_RootConstrainSelectedInstOperands,
     /*  977786 */     // GIR_Coverage, 9046,
     /*  977786 */     GIR_EraseRootFromParent_Done,
     /*  977787 */   // Label 14610: @977787
     /*  977787 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(977882), // Rule ID 9049 //
     /*  977792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  977809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977842 */     // MIs[1] Operand 1
     /*  977842 */     // No operand predicates
     /*  977842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977855 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977880 */     GIR_RootConstrainSelectedInstOperands,
     /*  977881 */     // GIR_Coverage, 9049,
     /*  977881 */     GIR_EraseRootFromParent_Done,
     /*  977882 */   // Label 14611: @977882
     /*  977882 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(977977), // Rule ID 9050 //
     /*  977887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  977904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977937 */     // MIs[1] Operand 1
     /*  977937 */     // No operand predicates
     /*  977937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977950 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977975 */     GIR_RootConstrainSelectedInstOperands,
     /*  977976 */     // GIR_Coverage, 9050,
     /*  977976 */     GIR_EraseRootFromParent_Done,
     /*  977977 */   // Label 14612: @977977
     /*  977977 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(978072), // Rule ID 9053 //
     /*  977982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  977999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978032 */     // MIs[1] Operand 1
     /*  978032 */     // No operand predicates
     /*  978032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978045 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978070 */     GIR_RootConstrainSelectedInstOperands,
     /*  978071 */     // GIR_Coverage, 9053,
     /*  978071 */     GIR_EraseRootFromParent_Done,
     /*  978072 */   // Label 14613: @978072
     /*  978072 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(978167), // Rule ID 9054 //
     /*  978077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978127 */     // MIs[1] Operand 1
     /*  978127 */     // No operand predicates
     /*  978127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978165 */     GIR_RootConstrainSelectedInstOperands,
     /*  978166 */     // GIR_Coverage, 9054,
     /*  978166 */     GIR_EraseRootFromParent_Done,
     /*  978167 */   // Label 14614: @978167
     /*  978167 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(978262), // Rule ID 9057 //
     /*  978172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978222 */     // MIs[1] Operand 1
     /*  978222 */     // No operand predicates
     /*  978222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978235 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978260 */     GIR_RootConstrainSelectedInstOperands,
     /*  978261 */     // GIR_Coverage, 9057,
     /*  978261 */     GIR_EraseRootFromParent_Done,
     /*  978262 */   // Label 14615: @978262
     /*  978262 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(978357), // Rule ID 9058 //
     /*  978267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978317 */     // MIs[1] Operand 1
     /*  978317 */     // No operand predicates
     /*  978317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978330 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978355 */     GIR_RootConstrainSelectedInstOperands,
     /*  978356 */     // GIR_Coverage, 9058,
     /*  978356 */     GIR_EraseRootFromParent_Done,
     /*  978357 */   // Label 14616: @978357
     /*  978357 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(978452), // Rule ID 9061 //
     /*  978362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978412 */     // MIs[1] Operand 1
     /*  978412 */     // No operand predicates
     /*  978412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978450 */     GIR_RootConstrainSelectedInstOperands,
     /*  978451 */     // GIR_Coverage, 9061,
     /*  978451 */     GIR_EraseRootFromParent_Done,
     /*  978452 */   // Label 14617: @978452
     /*  978452 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(978547), // Rule ID 9062 //
     /*  978457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978507 */     // MIs[1] Operand 1
     /*  978507 */     // No operand predicates
     /*  978507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978545 */     GIR_RootConstrainSelectedInstOperands,
     /*  978546 */     // GIR_Coverage, 9062,
     /*  978546 */     GIR_EraseRootFromParent_Done,
     /*  978547 */   // Label 14618: @978547
     /*  978547 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(978642), // Rule ID 9065 //
     /*  978552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  978569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978602 */     // MIs[1] Operand 1
     /*  978602 */     // No operand predicates
     /*  978602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978615 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978640 */     GIR_RootConstrainSelectedInstOperands,
     /*  978641 */     // GIR_Coverage, 9065,
     /*  978641 */     GIR_EraseRootFromParent_Done,
     /*  978642 */   // Label 14619: @978642
     /*  978642 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(978737), // Rule ID 9066 //
     /*  978647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  978664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978697 */     // MIs[1] Operand 1
     /*  978697 */     // No operand predicates
     /*  978697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978710 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978735 */     GIR_RootConstrainSelectedInstOperands,
     /*  978736 */     // GIR_Coverage, 9066,
     /*  978736 */     GIR_EraseRootFromParent_Done,
     /*  978737 */   // Label 14620: @978737
     /*  978737 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(978832), // Rule ID 9069 //
     /*  978742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  978759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978792 */     // MIs[1] Operand 1
     /*  978792 */     // No operand predicates
     /*  978792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978830 */     GIR_RootConstrainSelectedInstOperands,
     /*  978831 */     // GIR_Coverage, 9069,
     /*  978831 */     GIR_EraseRootFromParent_Done,
     /*  978832 */   // Label 14621: @978832
     /*  978832 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(978927), // Rule ID 9070 //
     /*  978837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  978854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978887 */     // MIs[1] Operand 1
     /*  978887 */     // No operand predicates
     /*  978887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978925 */     GIR_RootConstrainSelectedInstOperands,
     /*  978926 */     // GIR_Coverage, 9070,
     /*  978926 */     GIR_EraseRootFromParent_Done,
     /*  978927 */   // Label 14622: @978927
     /*  978927 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(979022), // Rule ID 9073 //
     /*  978932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  978935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  978949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978982 */     // MIs[1] Operand 1
     /*  978982 */     // No operand predicates
     /*  978982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978995 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  978995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979020 */     GIR_RootConstrainSelectedInstOperands,
     /*  979021 */     // GIR_Coverage, 9073,
     /*  979021 */     GIR_EraseRootFromParent_Done,
     /*  979022 */   // Label 14623: @979022
     /*  979022 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(979117), // Rule ID 9074 //
     /*  979027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979077 */     // MIs[1] Operand 1
     /*  979077 */     // No operand predicates
     /*  979077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979115 */     GIR_RootConstrainSelectedInstOperands,
     /*  979116 */     // GIR_Coverage, 9074,
     /*  979116 */     GIR_EraseRootFromParent_Done,
     /*  979117 */   // Label 14624: @979117
     /*  979117 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(979212), // Rule ID 9077 //
     /*  979122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979172 */     // MIs[1] Operand 1
     /*  979172 */     // No operand predicates
     /*  979172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979185 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979210 */     GIR_RootConstrainSelectedInstOperands,
     /*  979211 */     // GIR_Coverage, 9077,
     /*  979211 */     GIR_EraseRootFromParent_Done,
     /*  979212 */   // Label 14625: @979212
     /*  979212 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(979307), // Rule ID 9078 //
     /*  979217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979267 */     // MIs[1] Operand 1
     /*  979267 */     // No operand predicates
     /*  979267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979305 */     GIR_RootConstrainSelectedInstOperands,
     /*  979306 */     // GIR_Coverage, 9078,
     /*  979306 */     GIR_EraseRootFromParent_Done,
     /*  979307 */   // Label 14626: @979307
     /*  979307 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(979402), // Rule ID 9081 //
     /*  979312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979362 */     // MIs[1] Operand 1
     /*  979362 */     // No operand predicates
     /*  979362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979400 */     GIR_RootConstrainSelectedInstOperands,
     /*  979401 */     // GIR_Coverage, 9081,
     /*  979401 */     GIR_EraseRootFromParent_Done,
     /*  979402 */   // Label 14627: @979402
     /*  979402 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(979497), // Rule ID 9082 //
     /*  979407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979457 */     // MIs[1] Operand 1
     /*  979457 */     // No operand predicates
     /*  979457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979495 */     GIR_RootConstrainSelectedInstOperands,
     /*  979496 */     // GIR_Coverage, 9082,
     /*  979496 */     GIR_EraseRootFromParent_Done,
     /*  979497 */   // Label 14628: @979497
     /*  979497 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(979592), // Rule ID 9173 //
     /*  979502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979552 */     // MIs[1] Operand 1
     /*  979552 */     // No operand predicates
     /*  979552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  979568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979590 */     GIR_RootConstrainSelectedInstOperands,
     /*  979591 */     // GIR_Coverage, 9173,
     /*  979591 */     GIR_EraseRootFromParent_Done,
     /*  979592 */   // Label 14629: @979592
     /*  979592 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(979687), // Rule ID 9174 //
     /*  979597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979647 */     // MIs[1] Operand 1
     /*  979647 */     // No operand predicates
     /*  979647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  979663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979685 */     GIR_RootConstrainSelectedInstOperands,
     /*  979686 */     // GIR_Coverage, 9174,
     /*  979686 */     GIR_EraseRootFromParent_Done,
     /*  979687 */   // Label 14630: @979687
     /*  979687 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(979782), // Rule ID 9177 //
     /*  979692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  979709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979742 */     // MIs[1] Operand 1
     /*  979742 */     // No operand predicates
     /*  979742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979755 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  979758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979780 */     GIR_RootConstrainSelectedInstOperands,
     /*  979781 */     // GIR_Coverage, 9177,
     /*  979781 */     GIR_EraseRootFromParent_Done,
     /*  979782 */   // Label 14631: @979782
     /*  979782 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(979877), // Rule ID 9178 //
     /*  979787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  979804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979837 */     // MIs[1] Operand 1
     /*  979837 */     // No operand predicates
     /*  979837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  979853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979875 */     GIR_RootConstrainSelectedInstOperands,
     /*  979876 */     // GIR_Coverage, 9178,
     /*  979876 */     GIR_EraseRootFromParent_Done,
     /*  979877 */   // Label 14632: @979877
     /*  979877 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(979972), // Rule ID 9181 //
     /*  979882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  979899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979932 */     // MIs[1] Operand 1
     /*  979932 */     // No operand predicates
     /*  979932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  979948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979970 */     GIR_RootConstrainSelectedInstOperands,
     /*  979971 */     // GIR_Coverage, 9181,
     /*  979971 */     GIR_EraseRootFromParent_Done,
     /*  979972 */   // Label 14633: @979972
     /*  979972 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(980067), // Rule ID 9182 //
     /*  979977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  979994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980027 */     // MIs[1] Operand 1
     /*  980027 */     // No operand predicates
     /*  980027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980065 */     GIR_RootConstrainSelectedInstOperands,
     /*  980066 */     // GIR_Coverage, 9182,
     /*  980066 */     GIR_EraseRootFromParent_Done,
     /*  980067 */   // Label 14634: @980067
     /*  980067 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(980162), // Rule ID 9185 //
     /*  980072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980122 */     // MIs[1] Operand 1
     /*  980122 */     // No operand predicates
     /*  980122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980135 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980160 */     GIR_RootConstrainSelectedInstOperands,
     /*  980161 */     // GIR_Coverage, 9185,
     /*  980161 */     GIR_EraseRootFromParent_Done,
     /*  980162 */   // Label 14635: @980162
     /*  980162 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(980257), // Rule ID 9186 //
     /*  980167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980217 */     // MIs[1] Operand 1
     /*  980217 */     // No operand predicates
     /*  980217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980230 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980255 */     GIR_RootConstrainSelectedInstOperands,
     /*  980256 */     // GIR_Coverage, 9186,
     /*  980256 */     GIR_EraseRootFromParent_Done,
     /*  980257 */   // Label 14636: @980257
     /*  980257 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(980352), // Rule ID 9189 //
     /*  980262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980312 */     // MIs[1] Operand 1
     /*  980312 */     // No operand predicates
     /*  980312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980350 */     GIR_RootConstrainSelectedInstOperands,
     /*  980351 */     // GIR_Coverage, 9189,
     /*  980351 */     GIR_EraseRootFromParent_Done,
     /*  980352 */   // Label 14637: @980352
     /*  980352 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(980447), // Rule ID 9190 //
     /*  980357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980407 */     // MIs[1] Operand 1
     /*  980407 */     // No operand predicates
     /*  980407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980445 */     GIR_RootConstrainSelectedInstOperands,
     /*  980446 */     // GIR_Coverage, 9190,
     /*  980446 */     GIR_EraseRootFromParent_Done,
     /*  980447 */   // Label 14638: @980447
     /*  980447 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(980542), // Rule ID 9193 //
     /*  980452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980502 */     // MIs[1] Operand 1
     /*  980502 */     // No operand predicates
     /*  980502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980515 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  980515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980540 */     GIR_RootConstrainSelectedInstOperands,
     /*  980541 */     // GIR_Coverage, 9193,
     /*  980541 */     GIR_EraseRootFromParent_Done,
     /*  980542 */   // Label 14639: @980542
     /*  980542 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(980637), // Rule ID 9194 //
     /*  980547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980597 */     // MIs[1] Operand 1
     /*  980597 */     // No operand predicates
     /*  980597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980610 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  980610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980635 */     GIR_RootConstrainSelectedInstOperands,
     /*  980636 */     // GIR_Coverage, 9194,
     /*  980636 */     GIR_EraseRootFromParent_Done,
     /*  980637 */   // Label 14640: @980637
     /*  980637 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(980732), // Rule ID 9197 //
     /*  980642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  980659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980692 */     // MIs[1] Operand 1
     /*  980692 */     // No operand predicates
     /*  980692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980730 */     GIR_RootConstrainSelectedInstOperands,
     /*  980731 */     // GIR_Coverage, 9197,
     /*  980731 */     GIR_EraseRootFromParent_Done,
     /*  980732 */   // Label 14641: @980732
     /*  980732 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(980827), // Rule ID 9198 //
     /*  980737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  980754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980787 */     // MIs[1] Operand 1
     /*  980787 */     // No operand predicates
     /*  980787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980825 */     GIR_RootConstrainSelectedInstOperands,
     /*  980826 */     // GIR_Coverage, 9198,
     /*  980826 */     GIR_EraseRootFromParent_Done,
     /*  980827 */   // Label 14642: @980827
     /*  980827 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(980922), // Rule ID 9201 //
     /*  980832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980882 */     // MIs[1] Operand 1
     /*  980882 */     // No operand predicates
     /*  980882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980895 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980920 */     GIR_RootConstrainSelectedInstOperands,
     /*  980921 */     // GIR_Coverage, 9201,
     /*  980921 */     GIR_EraseRootFromParent_Done,
     /*  980922 */   // Label 14643: @980922
     /*  980922 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(981017), // Rule ID 9202 //
     /*  980927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980977 */     // MIs[1] Operand 1
     /*  980977 */     // No operand predicates
     /*  980977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981015 */     GIR_RootConstrainSelectedInstOperands,
     /*  981016 */     // GIR_Coverage, 9202,
     /*  981016 */     GIR_EraseRootFromParent_Done,
     /*  981017 */   // Label 14644: @981017
     /*  981017 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(981112), // Rule ID 9205 //
     /*  981022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981072 */     // MIs[1] Operand 1
     /*  981072 */     // No operand predicates
     /*  981072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981110 */     GIR_RootConstrainSelectedInstOperands,
     /*  981111 */     // GIR_Coverage, 9205,
     /*  981111 */     GIR_EraseRootFromParent_Done,
     /*  981112 */   // Label 14645: @981112
     /*  981112 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(981207), // Rule ID 9206 //
     /*  981117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981167 */     // MIs[1] Operand 1
     /*  981167 */     // No operand predicates
     /*  981167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981205 */     GIR_RootConstrainSelectedInstOperands,
     /*  981206 */     // GIR_Coverage, 9206,
     /*  981206 */     GIR_EraseRootFromParent_Done,
     /*  981207 */   // Label 14646: @981207
     /*  981207 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(981302), // Rule ID 9209 //
     /*  981212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981262 */     // MIs[1] Operand 1
     /*  981262 */     // No operand predicates
     /*  981262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981275 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981300 */     GIR_RootConstrainSelectedInstOperands,
     /*  981301 */     // GIR_Coverage, 9209,
     /*  981301 */     GIR_EraseRootFromParent_Done,
     /*  981302 */   // Label 14647: @981302
     /*  981302 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(981397), // Rule ID 9210 //
     /*  981307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981357 */     // MIs[1] Operand 1
     /*  981357 */     // No operand predicates
     /*  981357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981370 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981395 */     GIR_RootConstrainSelectedInstOperands,
     /*  981396 */     // GIR_Coverage, 9210,
     /*  981396 */     GIR_EraseRootFromParent_Done,
     /*  981397 */   // Label 14648: @981397
     /*  981397 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(981492), // Rule ID 9213 //
     /*  981402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981452 */     // MIs[1] Operand 1
     /*  981452 */     // No operand predicates
     /*  981452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981465 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981490 */     GIR_RootConstrainSelectedInstOperands,
     /*  981491 */     // GIR_Coverage, 9213,
     /*  981491 */     GIR_EraseRootFromParent_Done,
     /*  981492 */   // Label 14649: @981492
     /*  981492 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(981587), // Rule ID 9214 //
     /*  981497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981547 */     // MIs[1] Operand 1
     /*  981547 */     // No operand predicates
     /*  981547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981585 */     GIR_RootConstrainSelectedInstOperands,
     /*  981586 */     // GIR_Coverage, 9214,
     /*  981586 */     GIR_EraseRootFromParent_Done,
     /*  981587 */   // Label 14650: @981587
     /*  981587 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(981682), // Rule ID 9217 //
     /*  981592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981642 */     // MIs[1] Operand 1
     /*  981642 */     // No operand predicates
     /*  981642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981655 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  981658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981680 */     GIR_RootConstrainSelectedInstOperands,
     /*  981681 */     // GIR_Coverage, 9217,
     /*  981681 */     GIR_EraseRootFromParent_Done,
     /*  981682 */   // Label 14651: @981682
     /*  981682 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(981777), // Rule ID 9218 //
     /*  981687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981737 */     // MIs[1] Operand 1
     /*  981737 */     // No operand predicates
     /*  981737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981750 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  981753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981775 */     GIR_RootConstrainSelectedInstOperands,
     /*  981776 */     // GIR_Coverage, 9218,
     /*  981776 */     GIR_EraseRootFromParent_Done,
     /*  981777 */   // Label 14652: @981777
     /*  981777 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(981872), // Rule ID 9221 //
     /*  981782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  981793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  981796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  981799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  981805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981832 */     // MIs[1] Operand 1
     /*  981832 */     // No operand predicates
     /*  981832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981845 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981870 */     GIR_RootConstrainSelectedInstOperands,
     /*  981871 */     // GIR_Coverage, 9221,
     /*  981871 */     GIR_EraseRootFromParent_Done,
     /*  981872 */   // Label 14653: @981872
     /*  981872 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(981967), // Rule ID 9222 //
     /*  981877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  981888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  981891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  981894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  981900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981927 */     // MIs[1] Operand 1
     /*  981927 */     // No operand predicates
     /*  981927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981940 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981965 */     GIR_RootConstrainSelectedInstOperands,
     /*  981966 */     // GIR_Coverage, 9222,
     /*  981966 */     GIR_EraseRootFromParent_Done,
     /*  981967 */   // Label 14654: @981967
     /*  981967 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(982062), // Rule ID 9225 //
     /*  981972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  981989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982022 */     // MIs[1] Operand 1
     /*  982022 */     // No operand predicates
     /*  982022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982035 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982060 */     GIR_RootConstrainSelectedInstOperands,
     /*  982061 */     // GIR_Coverage, 9225,
     /*  982061 */     GIR_EraseRootFromParent_Done,
     /*  982062 */   // Label 14655: @982062
     /*  982062 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(982157), // Rule ID 9226 //
     /*  982067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982117 */     // MIs[1] Operand 1
     /*  982117 */     // No operand predicates
     /*  982117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982130 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982155 */     GIR_RootConstrainSelectedInstOperands,
     /*  982156 */     // GIR_Coverage, 9226,
     /*  982156 */     GIR_EraseRootFromParent_Done,
     /*  982157 */   // Label 14656: @982157
     /*  982157 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(982252), // Rule ID 9229 //
     /*  982162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982212 */     // MIs[1] Operand 1
     /*  982212 */     // No operand predicates
     /*  982212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982225 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982250 */     GIR_RootConstrainSelectedInstOperands,
     /*  982251 */     // GIR_Coverage, 9229,
     /*  982251 */     GIR_EraseRootFromParent_Done,
     /*  982252 */   // Label 14657: @982252
     /*  982252 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(982347), // Rule ID 9230 //
     /*  982257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982307 */     // MIs[1] Operand 1
     /*  982307 */     // No operand predicates
     /*  982307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982345 */     GIR_RootConstrainSelectedInstOperands,
     /*  982346 */     // GIR_Coverage, 9230,
     /*  982346 */     GIR_EraseRootFromParent_Done,
     /*  982347 */   // Label 14658: @982347
     /*  982347 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(982442), // Rule ID 9233 //
     /*  982352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982402 */     // MIs[1] Operand 1
     /*  982402 */     // No operand predicates
     /*  982402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982415 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982440 */     GIR_RootConstrainSelectedInstOperands,
     /*  982441 */     // GIR_Coverage, 9233,
     /*  982441 */     GIR_EraseRootFromParent_Done,
     /*  982442 */   // Label 14659: @982442
     /*  982442 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(982537), // Rule ID 9234 //
     /*  982447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982497 */     // MIs[1] Operand 1
     /*  982497 */     // No operand predicates
     /*  982497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982510 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982535 */     GIR_RootConstrainSelectedInstOperands,
     /*  982536 */     // GIR_Coverage, 9234,
     /*  982536 */     GIR_EraseRootFromParent_Done,
     /*  982537 */   // Label 14660: @982537
     /*  982537 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(982632), // Rule ID 9237 //
     /*  982542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982592 */     // MIs[1] Operand 1
     /*  982592 */     // No operand predicates
     /*  982592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982630 */     GIR_RootConstrainSelectedInstOperands,
     /*  982631 */     // GIR_Coverage, 9237,
     /*  982631 */     GIR_EraseRootFromParent_Done,
     /*  982632 */   // Label 14661: @982632
     /*  982632 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(982727), // Rule ID 9238 //
     /*  982637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982687 */     // MIs[1] Operand 1
     /*  982687 */     // No operand predicates
     /*  982687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  982700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982725 */     GIR_RootConstrainSelectedInstOperands,
     /*  982726 */     // GIR_Coverage, 9238,
     /*  982726 */     GIR_EraseRootFromParent_Done,
     /*  982727 */   // Label 14662: @982727
     /*  982727 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(982822), // Rule ID 9241 //
     /*  982732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  982749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982782 */     // MIs[1] Operand 1
     /*  982782 */     // No operand predicates
     /*  982782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982795 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982820 */     GIR_RootConstrainSelectedInstOperands,
     /*  982821 */     // GIR_Coverage, 9241,
     /*  982821 */     GIR_EraseRootFromParent_Done,
     /*  982822 */   // Label 14663: @982822
     /*  982822 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(982917), // Rule ID 9242 //
     /*  982827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  982844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982877 */     // MIs[1] Operand 1
     /*  982877 */     // No operand predicates
     /*  982877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982890 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  982890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982915 */     GIR_RootConstrainSelectedInstOperands,
     /*  982916 */     // GIR_Coverage, 9242,
     /*  982916 */     GIR_EraseRootFromParent_Done,
     /*  982917 */   // Label 14664: @982917
     /*  982917 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(983012), // Rule ID 9245 //
     /*  982922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  982939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982972 */     // MIs[1] Operand 1
     /*  982972 */     // No operand predicates
     /*  982972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982985 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983010 */     GIR_RootConstrainSelectedInstOperands,
     /*  983011 */     // GIR_Coverage, 9245,
     /*  983011 */     GIR_EraseRootFromParent_Done,
     /*  983012 */   // Label 14665: @983012
     /*  983012 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(983107), // Rule ID 9246 //
     /*  983017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983067 */     // MIs[1] Operand 1
     /*  983067 */     // No operand predicates
     /*  983067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983105 */     GIR_RootConstrainSelectedInstOperands,
     /*  983106 */     // GIR_Coverage, 9246,
     /*  983106 */     GIR_EraseRootFromParent_Done,
     /*  983107 */   // Label 14666: @983107
     /*  983107 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(983202), // Rule ID 9249 //
     /*  983112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983162 */     // MIs[1] Operand 1
     /*  983162 */     // No operand predicates
     /*  983162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983175 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983200 */     GIR_RootConstrainSelectedInstOperands,
     /*  983201 */     // GIR_Coverage, 9249,
     /*  983201 */     GIR_EraseRootFromParent_Done,
     /*  983202 */   // Label 14667: @983202
     /*  983202 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(983297), // Rule ID 9250 //
     /*  983207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983257 */     // MIs[1] Operand 1
     /*  983257 */     // No operand predicates
     /*  983257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983270 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983295 */     GIR_RootConstrainSelectedInstOperands,
     /*  983296 */     // GIR_Coverage, 9250,
     /*  983296 */     GIR_EraseRootFromParent_Done,
     /*  983297 */   // Label 14668: @983297
     /*  983297 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(983392), // Rule ID 9253 //
     /*  983302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983352 */     // MIs[1] Operand 1
     /*  983352 */     // No operand predicates
     /*  983352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983390 */     GIR_RootConstrainSelectedInstOperands,
     /*  983391 */     // GIR_Coverage, 9253,
     /*  983391 */     GIR_EraseRootFromParent_Done,
     /*  983392 */   // Label 14669: @983392
     /*  983392 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(983487), // Rule ID 9254 //
     /*  983397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983447 */     // MIs[1] Operand 1
     /*  983447 */     // No operand predicates
     /*  983447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983460 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983485 */     GIR_RootConstrainSelectedInstOperands,
     /*  983486 */     // GIR_Coverage, 9254,
     /*  983486 */     GIR_EraseRootFromParent_Done,
     /*  983487 */   // Label 14670: @983487
     /*  983487 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(983582), // Rule ID 9257 //
     /*  983492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983542 */     // MIs[1] Operand 1
     /*  983542 */     // No operand predicates
     /*  983542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983555 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983580 */     GIR_RootConstrainSelectedInstOperands,
     /*  983581 */     // GIR_Coverage, 9257,
     /*  983581 */     GIR_EraseRootFromParent_Done,
     /*  983582 */   // Label 14671: @983582
     /*  983582 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(983677), // Rule ID 9258 //
     /*  983587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983637 */     // MIs[1] Operand 1
     /*  983637 */     // No operand predicates
     /*  983637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983650 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983675 */     GIR_RootConstrainSelectedInstOperands,
     /*  983676 */     // GIR_Coverage, 9258,
     /*  983676 */     GIR_EraseRootFromParent_Done,
     /*  983677 */   // Label 14672: @983677
     /*  983677 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(983772), // Rule ID 9349 //
     /*  983682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  983699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983732 */     // MIs[1] Operand 1
     /*  983732 */     // No operand predicates
     /*  983732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  983745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  983748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983770 */     GIR_RootConstrainSelectedInstOperands,
     /*  983771 */     // GIR_Coverage, 9349,
     /*  983771 */     GIR_EraseRootFromParent_Done,
     /*  983772 */   // Label 14673: @983772
     /*  983772 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(983867), // Rule ID 9350 //
     /*  983777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  983794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983827 */     // MIs[1] Operand 1
     /*  983827 */     // No operand predicates
     /*  983827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  983840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  983843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983865 */     GIR_RootConstrainSelectedInstOperands,
     /*  983866 */     // GIR_Coverage, 9350,
     /*  983866 */     GIR_EraseRootFromParent_Done,
     /*  983867 */   // Label 14674: @983867
     /*  983867 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(983962), // Rule ID 9353 //
     /*  983872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  983889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983922 */     // MIs[1] Operand 1
     /*  983922 */     // No operand predicates
     /*  983922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983935 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  983935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  983938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983960 */     GIR_RootConstrainSelectedInstOperands,
     /*  983961 */     // GIR_Coverage, 9353,
     /*  983961 */     GIR_EraseRootFromParent_Done,
     /*  983962 */   // Label 14675: @983962
     /*  983962 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(984057), // Rule ID 9354 //
     /*  983967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  983984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984017 */     // MIs[1] Operand 1
     /*  984017 */     // No operand predicates
     /*  984017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984030 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984055 */     GIR_RootConstrainSelectedInstOperands,
     /*  984056 */     // GIR_Coverage, 9354,
     /*  984056 */     GIR_EraseRootFromParent_Done,
     /*  984057 */   // Label 14676: @984057
     /*  984057 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(984152), // Rule ID 9357 //
     /*  984062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984112 */     // MIs[1] Operand 1
     /*  984112 */     // No operand predicates
     /*  984112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984150 */     GIR_RootConstrainSelectedInstOperands,
     /*  984151 */     // GIR_Coverage, 9357,
     /*  984151 */     GIR_EraseRootFromParent_Done,
     /*  984152 */   // Label 14677: @984152
     /*  984152 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(984247), // Rule ID 9358 //
     /*  984157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984207 */     // MIs[1] Operand 1
     /*  984207 */     // No operand predicates
     /*  984207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984245 */     GIR_RootConstrainSelectedInstOperands,
     /*  984246 */     // GIR_Coverage, 9358,
     /*  984246 */     GIR_EraseRootFromParent_Done,
     /*  984247 */   // Label 14678: @984247
     /*  984247 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(984342), // Rule ID 9361 //
     /*  984252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984302 */     // MIs[1] Operand 1
     /*  984302 */     // No operand predicates
     /*  984302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984340 */     GIR_RootConstrainSelectedInstOperands,
     /*  984341 */     // GIR_Coverage, 9361,
     /*  984341 */     GIR_EraseRootFromParent_Done,
     /*  984342 */   // Label 14679: @984342
     /*  984342 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(984437), // Rule ID 9362 //
     /*  984347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984397 */     // MIs[1] Operand 1
     /*  984397 */     // No operand predicates
     /*  984397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984410 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984435 */     GIR_RootConstrainSelectedInstOperands,
     /*  984436 */     // GIR_Coverage, 9362,
     /*  984436 */     GIR_EraseRootFromParent_Done,
     /*  984437 */   // Label 14680: @984437
     /*  984437 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(984532), // Rule ID 9365 //
     /*  984442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984492 */     // MIs[1] Operand 1
     /*  984492 */     // No operand predicates
     /*  984492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984505 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984530 */     GIR_RootConstrainSelectedInstOperands,
     /*  984531 */     // GIR_Coverage, 9365,
     /*  984531 */     GIR_EraseRootFromParent_Done,
     /*  984532 */   // Label 14681: @984532
     /*  984532 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(984627), // Rule ID 9366 //
     /*  984537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984587 */     // MIs[1] Operand 1
     /*  984587 */     // No operand predicates
     /*  984587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984625 */     GIR_RootConstrainSelectedInstOperands,
     /*  984626 */     // GIR_Coverage, 9366,
     /*  984626 */     GIR_EraseRootFromParent_Done,
     /*  984627 */   // Label 14682: @984627
     /*  984627 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(984722), // Rule ID 9369 //
     /*  984632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  984649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984682 */     // MIs[1] Operand 1
     /*  984682 */     // No operand predicates
     /*  984682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984695 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  984695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984720 */     GIR_RootConstrainSelectedInstOperands,
     /*  984721 */     // GIR_Coverage, 9369,
     /*  984721 */     GIR_EraseRootFromParent_Done,
     /*  984722 */   // Label 14683: @984722
     /*  984722 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(984817), // Rule ID 9370 //
     /*  984727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  984744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984777 */     // MIs[1] Operand 1
     /*  984777 */     // No operand predicates
     /*  984777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984790 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  984790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984815 */     GIR_RootConstrainSelectedInstOperands,
     /*  984816 */     // GIR_Coverage, 9370,
     /*  984816 */     GIR_EraseRootFromParent_Done,
     /*  984817 */   // Label 14684: @984817
     /*  984817 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(984912), // Rule ID 9373 //
     /*  984822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  984839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984872 */     // MIs[1] Operand 1
     /*  984872 */     // No operand predicates
     /*  984872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984910 */     GIR_RootConstrainSelectedInstOperands,
     /*  984911 */     // GIR_Coverage, 9373,
     /*  984911 */     GIR_EraseRootFromParent_Done,
     /*  984912 */   // Label 14685: @984912
     /*  984912 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(985007), // Rule ID 9374 //
     /*  984917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  984934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984967 */     // MIs[1] Operand 1
     /*  984967 */     // No operand predicates
     /*  984967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985005 */     GIR_RootConstrainSelectedInstOperands,
     /*  985006 */     // GIR_Coverage, 9374,
     /*  985006 */     GIR_EraseRootFromParent_Done,
     /*  985007 */   // Label 14686: @985007
     /*  985007 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(985102), // Rule ID 9377 //
     /*  985012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985062 */     // MIs[1] Operand 1
     /*  985062 */     // No operand predicates
     /*  985062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985075 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985100 */     GIR_RootConstrainSelectedInstOperands,
     /*  985101 */     // GIR_Coverage, 9377,
     /*  985101 */     GIR_EraseRootFromParent_Done,
     /*  985102 */   // Label 14687: @985102
     /*  985102 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(985197), // Rule ID 9378 //
     /*  985107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985157 */     // MIs[1] Operand 1
     /*  985157 */     // No operand predicates
     /*  985157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985195 */     GIR_RootConstrainSelectedInstOperands,
     /*  985196 */     // GIR_Coverage, 9378,
     /*  985196 */     GIR_EraseRootFromParent_Done,
     /*  985197 */   // Label 14688: @985197
     /*  985197 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(985292), // Rule ID 9381 //
     /*  985202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985252 */     // MIs[1] Operand 1
     /*  985252 */     // No operand predicates
     /*  985252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985290 */     GIR_RootConstrainSelectedInstOperands,
     /*  985291 */     // GIR_Coverage, 9381,
     /*  985291 */     GIR_EraseRootFromParent_Done,
     /*  985292 */   // Label 14689: @985292
     /*  985292 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(985387), // Rule ID 9382 //
     /*  985297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985347 */     // MIs[1] Operand 1
     /*  985347 */     // No operand predicates
     /*  985347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985360 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985385 */     GIR_RootConstrainSelectedInstOperands,
     /*  985386 */     // GIR_Coverage, 9382,
     /*  985386 */     GIR_EraseRootFromParent_Done,
     /*  985387 */   // Label 14690: @985387
     /*  985387 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(985482), // Rule ID 9385 //
     /*  985392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985442 */     // MIs[1] Operand 1
     /*  985442 */     // No operand predicates
     /*  985442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  985455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985480 */     GIR_RootConstrainSelectedInstOperands,
     /*  985481 */     // GIR_Coverage, 9385,
     /*  985481 */     GIR_EraseRootFromParent_Done,
     /*  985482 */   // Label 14691: @985482
     /*  985482 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(985577), // Rule ID 9386 //
     /*  985487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985537 */     // MIs[1] Operand 1
     /*  985537 */     // No operand predicates
     /*  985537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985550 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  985550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985575 */     GIR_RootConstrainSelectedInstOperands,
     /*  985576 */     // GIR_Coverage, 9386,
     /*  985576 */     GIR_EraseRootFromParent_Done,
     /*  985577 */   // Label 14692: @985577
     /*  985577 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(985672), // Rule ID 9389 //
     /*  985582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985632 */     // MIs[1] Operand 1
     /*  985632 */     // No operand predicates
     /*  985632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  985648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985670 */     GIR_RootConstrainSelectedInstOperands,
     /*  985671 */     // GIR_Coverage, 9389,
     /*  985671 */     GIR_EraseRootFromParent_Done,
     /*  985672 */   // Label 14693: @985672
     /*  985672 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(985767), // Rule ID 9390 //
     /*  985677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985727 */     // MIs[1] Operand 1
     /*  985727 */     // No operand predicates
     /*  985727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985740 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  985743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985765 */     GIR_RootConstrainSelectedInstOperands,
     /*  985766 */     // GIR_Coverage, 9390,
     /*  985766 */     GIR_EraseRootFromParent_Done,
     /*  985767 */   // Label 14694: @985767
     /*  985767 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(985862), // Rule ID 9393 //
     /*  985772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  985783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  985786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  985789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  985795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985822 */     // MIs[1] Operand 1
     /*  985822 */     // No operand predicates
     /*  985822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985835 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985860 */     GIR_RootConstrainSelectedInstOperands,
     /*  985861 */     // GIR_Coverage, 9393,
     /*  985861 */     GIR_EraseRootFromParent_Done,
     /*  985862 */   // Label 14695: @985862
     /*  985862 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(985957), // Rule ID 9394 //
     /*  985867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  985878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  985881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  985884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  985890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985917 */     // MIs[1] Operand 1
     /*  985917 */     // No operand predicates
     /*  985917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985930 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985955 */     GIR_RootConstrainSelectedInstOperands,
     /*  985956 */     // GIR_Coverage, 9394,
     /*  985956 */     GIR_EraseRootFromParent_Done,
     /*  985957 */   // Label 14696: @985957
     /*  985957 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(986052), // Rule ID 9397 //
     /*  985962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  985973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  985976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  985979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  985985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986012 */     // MIs[1] Operand 1
     /*  986012 */     // No operand predicates
     /*  986012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986025 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986050 */     GIR_RootConstrainSelectedInstOperands,
     /*  986051 */     // GIR_Coverage, 9397,
     /*  986051 */     GIR_EraseRootFromParent_Done,
     /*  986052 */   // Label 14697: @986052
     /*  986052 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(986147), // Rule ID 9398 //
     /*  986057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986107 */     // MIs[1] Operand 1
     /*  986107 */     // No operand predicates
     /*  986107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986120 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986145 */     GIR_RootConstrainSelectedInstOperands,
     /*  986146 */     // GIR_Coverage, 9398,
     /*  986146 */     GIR_EraseRootFromParent_Done,
     /*  986147 */   // Label 14698: @986147
     /*  986147 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(986242), // Rule ID 9401 //
     /*  986152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986202 */     // MIs[1] Operand 1
     /*  986202 */     // No operand predicates
     /*  986202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986240 */     GIR_RootConstrainSelectedInstOperands,
     /*  986241 */     // GIR_Coverage, 9401,
     /*  986241 */     GIR_EraseRootFromParent_Done,
     /*  986242 */   // Label 14699: @986242
     /*  986242 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(986337), // Rule ID 9402 //
     /*  986247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986297 */     // MIs[1] Operand 1
     /*  986297 */     // No operand predicates
     /*  986297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986310 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986335 */     GIR_RootConstrainSelectedInstOperands,
     /*  986336 */     // GIR_Coverage, 9402,
     /*  986336 */     GIR_EraseRootFromParent_Done,
     /*  986337 */   // Label 14700: @986337
     /*  986337 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(986432), // Rule ID 9405 //
     /*  986342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986392 */     // MIs[1] Operand 1
     /*  986392 */     // No operand predicates
     /*  986392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986405 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986430 */     GIR_RootConstrainSelectedInstOperands,
     /*  986431 */     // GIR_Coverage, 9405,
     /*  986431 */     GIR_EraseRootFromParent_Done,
     /*  986432 */   // Label 14701: @986432
     /*  986432 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(986527), // Rule ID 9406 //
     /*  986437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986487 */     // MIs[1] Operand 1
     /*  986487 */     // No operand predicates
     /*  986487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986525 */     GIR_RootConstrainSelectedInstOperands,
     /*  986526 */     // GIR_Coverage, 9406,
     /*  986526 */     GIR_EraseRootFromParent_Done,
     /*  986527 */   // Label 14702: @986527
     /*  986527 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(986622), // Rule ID 9409 //
     /*  986532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  986549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986582 */     // MIs[1] Operand 1
     /*  986582 */     // No operand predicates
     /*  986582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986595 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986620 */     GIR_RootConstrainSelectedInstOperands,
     /*  986621 */     // GIR_Coverage, 9409,
     /*  986621 */     GIR_EraseRootFromParent_Done,
     /*  986622 */   // Label 14703: @986622
     /*  986622 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(986717), // Rule ID 9410 //
     /*  986627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  986644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986677 */     // MIs[1] Operand 1
     /*  986677 */     // No operand predicates
     /*  986677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986690 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986715 */     GIR_RootConstrainSelectedInstOperands,
     /*  986716 */     // GIR_Coverage, 9410,
     /*  986716 */     GIR_EraseRootFromParent_Done,
     /*  986717 */   // Label 14704: @986717
     /*  986717 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(986812), // Rule ID 9413 //
     /*  986722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  986739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986772 */     // MIs[1] Operand 1
     /*  986772 */     // No operand predicates
     /*  986772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  986785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986810 */     GIR_RootConstrainSelectedInstOperands,
     /*  986811 */     // GIR_Coverage, 9413,
     /*  986811 */     GIR_EraseRootFromParent_Done,
     /*  986812 */   // Label 14705: @986812
     /*  986812 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(986907), // Rule ID 9414 //
     /*  986817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  986834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986867 */     // MIs[1] Operand 1
     /*  986867 */     // No operand predicates
     /*  986867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  986880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986905 */     GIR_RootConstrainSelectedInstOperands,
     /*  986906 */     // GIR_Coverage, 9414,
     /*  986906 */     GIR_EraseRootFromParent_Done,
     /*  986907 */   // Label 14706: @986907
     /*  986907 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(987002), // Rule ID 9417 //
     /*  986912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  986929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986962 */     // MIs[1] Operand 1
     /*  986962 */     // No operand predicates
     /*  986962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986975 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  986975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987000 */     GIR_RootConstrainSelectedInstOperands,
     /*  987001 */     // GIR_Coverage, 9417,
     /*  987001 */     GIR_EraseRootFromParent_Done,
     /*  987002 */   // Label 14707: @987002
     /*  987002 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(987097), // Rule ID 9418 //
     /*  987007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987057 */     // MIs[1] Operand 1
     /*  987057 */     // No operand predicates
     /*  987057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987070 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987095 */     GIR_RootConstrainSelectedInstOperands,
     /*  987096 */     // GIR_Coverage, 9418,
     /*  987096 */     GIR_EraseRootFromParent_Done,
     /*  987097 */   // Label 14708: @987097
     /*  987097 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(987192), // Rule ID 9421 //
     /*  987102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987152 */     // MIs[1] Operand 1
     /*  987152 */     // No operand predicates
     /*  987152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987165 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987190 */     GIR_RootConstrainSelectedInstOperands,
     /*  987191 */     // GIR_Coverage, 9421,
     /*  987191 */     GIR_EraseRootFromParent_Done,
     /*  987192 */   // Label 14709: @987192
     /*  987192 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(987287), // Rule ID 9422 //
     /*  987197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987247 */     // MIs[1] Operand 1
     /*  987247 */     // No operand predicates
     /*  987247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987260 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987285 */     GIR_RootConstrainSelectedInstOperands,
     /*  987286 */     // GIR_Coverage, 9422,
     /*  987286 */     GIR_EraseRootFromParent_Done,
     /*  987287 */   // Label 14710: @987287
     /*  987287 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(987382), // Rule ID 9425 //
     /*  987292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987342 */     // MIs[1] Operand 1
     /*  987342 */     // No operand predicates
     /*  987342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987355 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987380 */     GIR_RootConstrainSelectedInstOperands,
     /*  987381 */     // GIR_Coverage, 9425,
     /*  987381 */     GIR_EraseRootFromParent_Done,
     /*  987382 */   // Label 14711: @987382
     /*  987382 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(987477), // Rule ID 9426 //
     /*  987387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987437 */     // MIs[1] Operand 1
     /*  987437 */     // No operand predicates
     /*  987437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987475 */     GIR_RootConstrainSelectedInstOperands,
     /*  987476 */     // GIR_Coverage, 9426,
     /*  987476 */     GIR_EraseRootFromParent_Done,
     /*  987477 */   // Label 14712: @987477
     /*  987477 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(987572), // Rule ID 9429 //
     /*  987482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987532 */     // MIs[1] Operand 1
     /*  987532 */     // No operand predicates
     /*  987532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987570 */     GIR_RootConstrainSelectedInstOperands,
     /*  987571 */     // GIR_Coverage, 9429,
     /*  987571 */     GIR_EraseRootFromParent_Done,
     /*  987572 */   // Label 14713: @987572
     /*  987572 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(987667), // Rule ID 9430 //
     /*  987577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987627 */     // MIs[1] Operand 1
     /*  987627 */     // No operand predicates
     /*  987627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987665 */     GIR_RootConstrainSelectedInstOperands,
     /*  987666 */     // GIR_Coverage, 9430,
     /*  987666 */     GIR_EraseRootFromParent_Done,
     /*  987667 */   // Label 14714: @987667
     /*  987667 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(987762), // Rule ID 9433 //
     /*  987672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  987689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987722 */     // MIs[1] Operand 1
     /*  987722 */     // No operand predicates
     /*  987722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987735 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987760 */     GIR_RootConstrainSelectedInstOperands,
     /*  987761 */     // GIR_Coverage, 9433,
     /*  987761 */     GIR_EraseRootFromParent_Done,
     /*  987762 */   // Label 14715: @987762
     /*  987762 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(987857), // Rule ID 9434 //
     /*  987767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  987784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987817 */     // MIs[1] Operand 1
     /*  987817 */     // No operand predicates
     /*  987817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987830 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987855 */     GIR_RootConstrainSelectedInstOperands,
     /*  987856 */     // GIR_Coverage, 9434,
     /*  987856 */     GIR_EraseRootFromParent_Done,
     /*  987857 */   // Label 14716: @987857
     /*  987857 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(987949), // Rule ID 13811 //
     /*  987862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  987873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  987876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  987879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987912 */     // MIs[1] Operand 1
     /*  987912 */     // No operand predicates
     /*  987912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987925 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  987925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  987928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987947 */     GIR_RootConstrainSelectedInstOperands,
     /*  987948 */     // GIR_Coverage, 13811,
     /*  987948 */     GIR_EraseRootFromParent_Done,
     /*  987949 */   // Label 14717: @987949
     /*  987949 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(988041), // Rule ID 13812 //
     /*  987954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  987965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  987968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  987971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988004 */     // MIs[1] Operand 1
     /*  988004 */     // No operand predicates
     /*  988004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988017 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  988020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988039 */     GIR_RootConstrainSelectedInstOperands,
     /*  988040 */     // GIR_Coverage, 13812,
     /*  988040 */     GIR_EraseRootFromParent_Done,
     /*  988041 */   // Label 14718: @988041
     /*  988041 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(988133), // Rule ID 13813 //
     /*  988046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988096 */     // MIs[1] Operand 1
     /*  988096 */     // No operand predicates
     /*  988096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988109 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988131 */     GIR_RootConstrainSelectedInstOperands,
     /*  988132 */     // GIR_Coverage, 13813,
     /*  988132 */     GIR_EraseRootFromParent_Done,
     /*  988133 */   // Label 14719: @988133
     /*  988133 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(988225), // Rule ID 13814 //
     /*  988138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988188 */     // MIs[1] Operand 1
     /*  988188 */     // No operand predicates
     /*  988188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988223 */     GIR_RootConstrainSelectedInstOperands,
     /*  988224 */     // GIR_Coverage, 13814,
     /*  988224 */     GIR_EraseRootFromParent_Done,
     /*  988225 */   // Label 14720: @988225
     /*  988225 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(988317), // Rule ID 13815 //
     /*  988230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988280 */     // MIs[1] Operand 1
     /*  988280 */     // No operand predicates
     /*  988280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988293 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988315 */     GIR_RootConstrainSelectedInstOperands,
     /*  988316 */     // GIR_Coverage, 13815,
     /*  988316 */     GIR_EraseRootFromParent_Done,
     /*  988317 */   // Label 14721: @988317
     /*  988317 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(988409), // Rule ID 13816 //
     /*  988322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988372 */     // MIs[1] Operand 1
     /*  988372 */     // No operand predicates
     /*  988372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988385 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988407 */     GIR_RootConstrainSelectedInstOperands,
     /*  988408 */     // GIR_Coverage, 13816,
     /*  988408 */     GIR_EraseRootFromParent_Done,
     /*  988409 */   // Label 14722: @988409
     /*  988409 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(988501), // Rule ID 13817 //
     /*  988414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988464 */     // MIs[1] Operand 1
     /*  988464 */     // No operand predicates
     /*  988464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988477 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  988477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988499 */     GIR_RootConstrainSelectedInstOperands,
     /*  988500 */     // GIR_Coverage, 13817,
     /*  988500 */     GIR_EraseRootFromParent_Done,
     /*  988501 */   // Label 14723: @988501
     /*  988501 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(988593), // Rule ID 13818 //
     /*  988506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988556 */     // MIs[1] Operand 1
     /*  988556 */     // No operand predicates
     /*  988556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  988569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988591 */     GIR_RootConstrainSelectedInstOperands,
     /*  988592 */     // GIR_Coverage, 13818,
     /*  988592 */     GIR_EraseRootFromParent_Done,
     /*  988593 */   // Label 14724: @988593
     /*  988593 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(988685), // Rule ID 13819 //
     /*  988598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  988609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  988612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  988615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988648 */     // MIs[1] Operand 1
     /*  988648 */     // No operand predicates
     /*  988648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  988661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988683 */     GIR_RootConstrainSelectedInstOperands,
     /*  988684 */     // GIR_Coverage, 13819,
     /*  988684 */     GIR_EraseRootFromParent_Done,
     /*  988685 */   // Label 14725: @988685
     /*  988685 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(988777), // Rule ID 13820 //
     /*  988690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  988701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  988704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  988707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988740 */     // MIs[1] Operand 1
     /*  988740 */     // No operand predicates
     /*  988740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  988753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988775 */     GIR_RootConstrainSelectedInstOperands,
     /*  988776 */     // GIR_Coverage, 13820,
     /*  988776 */     GIR_EraseRootFromParent_Done,
     /*  988777 */   // Label 14726: @988777
     /*  988777 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(988869), // Rule ID 13821 //
     /*  988782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  988793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  988796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  988799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988832 */     // MIs[1] Operand 1
     /*  988832 */     // No operand predicates
     /*  988832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988845 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  988845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988867 */     GIR_RootConstrainSelectedInstOperands,
     /*  988868 */     // GIR_Coverage, 13821,
     /*  988868 */     GIR_EraseRootFromParent_Done,
     /*  988869 */   // Label 14727: @988869
     /*  988869 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(988961), // Rule ID 13822 //
     /*  988874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  988885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  988888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  988891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988924 */     // MIs[1] Operand 1
     /*  988924 */     // No operand predicates
     /*  988924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  988937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988959 */     GIR_RootConstrainSelectedInstOperands,
     /*  988960 */     // GIR_Coverage, 13822,
     /*  988960 */     GIR_EraseRootFromParent_Done,
     /*  988961 */   // Label 14728: @988961
     /*  988961 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(989053), // Rule ID 13823 //
     /*  988966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  988977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  988980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  988983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989016 */     // MIs[1] Operand 1
     /*  989016 */     // No operand predicates
     /*  989016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989029 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989051 */     GIR_RootConstrainSelectedInstOperands,
     /*  989052 */     // GIR_Coverage, 13823,
     /*  989052 */     GIR_EraseRootFromParent_Done,
     /*  989053 */   // Label 14729: @989053
     /*  989053 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(989145), // Rule ID 13824 //
     /*  989058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989108 */     // MIs[1] Operand 1
     /*  989108 */     // No operand predicates
     /*  989108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989121 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989143 */     GIR_RootConstrainSelectedInstOperands,
     /*  989144 */     // GIR_Coverage, 13824,
     /*  989144 */     GIR_EraseRootFromParent_Done,
     /*  989145 */   // Label 14730: @989145
     /*  989145 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(989237), // Rule ID 13825 //
     /*  989150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989200 */     // MIs[1] Operand 1
     /*  989200 */     // No operand predicates
     /*  989200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989235 */     GIR_RootConstrainSelectedInstOperands,
     /*  989236 */     // GIR_Coverage, 13825,
     /*  989236 */     GIR_EraseRootFromParent_Done,
     /*  989237 */   // Label 14731: @989237
     /*  989237 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(989329), // Rule ID 13826 //
     /*  989242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989292 */     // MIs[1] Operand 1
     /*  989292 */     // No operand predicates
     /*  989292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989327 */     GIR_RootConstrainSelectedInstOperands,
     /*  989328 */     // GIR_Coverage, 13826,
     /*  989328 */     GIR_EraseRootFromParent_Done,
     /*  989329 */   // Label 14732: @989329
     /*  989329 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(989421), // Rule ID 13827 //
     /*  989334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989384 */     // MIs[1] Operand 1
     /*  989384 */     // No operand predicates
     /*  989384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989419 */     GIR_RootConstrainSelectedInstOperands,
     /*  989420 */     // GIR_Coverage, 13827,
     /*  989420 */     GIR_EraseRootFromParent_Done,
     /*  989421 */   // Label 14733: @989421
     /*  989421 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(989513), // Rule ID 13828 //
     /*  989426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989476 */     // MIs[1] Operand 1
     /*  989476 */     // No operand predicates
     /*  989476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989511 */     GIR_RootConstrainSelectedInstOperands,
     /*  989512 */     // GIR_Coverage, 13828,
     /*  989512 */     GIR_EraseRootFromParent_Done,
     /*  989513 */   // Label 14734: @989513
     /*  989513 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(989605), // Rule ID 13829 //
     /*  989518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  989521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989568 */     // MIs[1] Operand 1
     /*  989568 */     // No operand predicates
     /*  989568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989581 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  989581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989603 */     GIR_RootConstrainSelectedInstOperands,
     /*  989604 */     // GIR_Coverage, 13829,
     /*  989604 */     GIR_EraseRootFromParent_Done,
     /*  989605 */   // Label 14735: @989605
     /*  989605 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(989697), // Rule ID 13830 //
     /*  989610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  989613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989660 */     // MIs[1] Operand 1
     /*  989660 */     // No operand predicates
     /*  989660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  989673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989695 */     GIR_RootConstrainSelectedInstOperands,
     /*  989696 */     // GIR_Coverage, 13830,
     /*  989696 */     GIR_EraseRootFromParent_Done,
     /*  989697 */   // Label 14736: @989697
     /*  989697 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(989789), // Rule ID 13831 //
     /*  989702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  989713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  989716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  989719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  989725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989752 */     // MIs[1] Operand 1
     /*  989752 */     // No operand predicates
     /*  989752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989787 */     GIR_RootConstrainSelectedInstOperands,
     /*  989788 */     // GIR_Coverage, 13831,
     /*  989788 */     GIR_EraseRootFromParent_Done,
     /*  989789 */   // Label 14737: @989789
     /*  989789 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(989881), // Rule ID 13832 //
     /*  989794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  989805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  989808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  989811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  989817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989844 */     // MIs[1] Operand 1
     /*  989844 */     // No operand predicates
     /*  989844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989857 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989879 */     GIR_RootConstrainSelectedInstOperands,
     /*  989880 */     // GIR_Coverage, 13832,
     /*  989880 */     GIR_EraseRootFromParent_Done,
     /*  989881 */   // Label 14738: @989881
     /*  989881 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(989973), // Rule ID 13833 //
     /*  989886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  989897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  989900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  989903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  989909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989936 */     // MIs[1] Operand 1
     /*  989936 */     // No operand predicates
     /*  989936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  989952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989971 */     GIR_RootConstrainSelectedInstOperands,
     /*  989972 */     // GIR_Coverage, 13833,
     /*  989972 */     GIR_EraseRootFromParent_Done,
     /*  989973 */   // Label 14739: @989973
     /*  989973 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(990065), // Rule ID 13834 //
     /*  989978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  989989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  989992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  989995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990028 */     // MIs[1] Operand 1
     /*  990028 */     // No operand predicates
     /*  990028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990041 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990063 */     GIR_RootConstrainSelectedInstOperands,
     /*  990064 */     // GIR_Coverage, 13834,
     /*  990064 */     GIR_EraseRootFromParent_Done,
     /*  990065 */   // Label 14740: @990065
     /*  990065 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(990157), // Rule ID 13835 //
     /*  990070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990120 */     // MIs[1] Operand 1
     /*  990120 */     // No operand predicates
     /*  990120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990133 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990155 */     GIR_RootConstrainSelectedInstOperands,
     /*  990156 */     // GIR_Coverage, 13835,
     /*  990156 */     GIR_EraseRootFromParent_Done,
     /*  990157 */   // Label 14741: @990157
     /*  990157 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(990249), // Rule ID 13836 //
     /*  990162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990212 */     // MIs[1] Operand 1
     /*  990212 */     // No operand predicates
     /*  990212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990225 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990247 */     GIR_RootConstrainSelectedInstOperands,
     /*  990248 */     // GIR_Coverage, 13836,
     /*  990248 */     GIR_EraseRootFromParent_Done,
     /*  990249 */   // Label 14742: @990249
     /*  990249 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(990341), // Rule ID 13837 //
     /*  990254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990304 */     // MIs[1] Operand 1
     /*  990304 */     // No operand predicates
     /*  990304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990339 */     GIR_RootConstrainSelectedInstOperands,
     /*  990340 */     // GIR_Coverage, 13837,
     /*  990340 */     GIR_EraseRootFromParent_Done,
     /*  990341 */   // Label 14743: @990341
     /*  990341 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(990433), // Rule ID 13838 //
     /*  990346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990396 */     // MIs[1] Operand 1
     /*  990396 */     // No operand predicates
     /*  990396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990431 */     GIR_RootConstrainSelectedInstOperands,
     /*  990432 */     // GIR_Coverage, 13838,
     /*  990432 */     GIR_EraseRootFromParent_Done,
     /*  990433 */   // Label 14744: @990433
     /*  990433 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(990525), // Rule ID 13839 //
     /*  990438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990488 */     // MIs[1] Operand 1
     /*  990488 */     // No operand predicates
     /*  990488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990523 */     GIR_RootConstrainSelectedInstOperands,
     /*  990524 */     // GIR_Coverage, 13839,
     /*  990524 */     GIR_EraseRootFromParent_Done,
     /*  990525 */   // Label 14745: @990525
     /*  990525 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(990617), // Rule ID 13840 //
     /*  990530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990580 */     // MIs[1] Operand 1
     /*  990580 */     // No operand predicates
     /*  990580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990615 */     GIR_RootConstrainSelectedInstOperands,
     /*  990616 */     // GIR_Coverage, 13840,
     /*  990616 */     GIR_EraseRootFromParent_Done,
     /*  990617 */   // Label 14746: @990617
     /*  990617 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(990709), // Rule ID 13841 //
     /*  990622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990672 */     // MIs[1] Operand 1
     /*  990672 */     // No operand predicates
     /*  990672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990685 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990707 */     GIR_RootConstrainSelectedInstOperands,
     /*  990708 */     // GIR_Coverage, 13841,
     /*  990708 */     GIR_EraseRootFromParent_Done,
     /*  990709 */   // Label 14747: @990709
     /*  990709 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(990801), // Rule ID 13842 //
     /*  990714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990764 */     // MIs[1] Operand 1
     /*  990764 */     // No operand predicates
     /*  990764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990777 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990799 */     GIR_RootConstrainSelectedInstOperands,
     /*  990800 */     // GIR_Coverage, 13842,
     /*  990800 */     GIR_EraseRootFromParent_Done,
     /*  990801 */   // Label 14748: @990801
     /*  990801 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(990893), // Rule ID 13843 //
     /*  990806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990856 */     // MIs[1] Operand 1
     /*  990856 */     // No operand predicates
     /*  990856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  990869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990891 */     GIR_RootConstrainSelectedInstOperands,
     /*  990892 */     // GIR_Coverage, 13843,
     /*  990892 */     GIR_EraseRootFromParent_Done,
     /*  990893 */   // Label 14749: @990893
     /*  990893 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(990985), // Rule ID 13844 //
     /*  990898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990948 */     // MIs[1] Operand 1
     /*  990948 */     // No operand predicates
     /*  990948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  990961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990983 */     GIR_RootConstrainSelectedInstOperands,
     /*  990984 */     // GIR_Coverage, 13844,
     /*  990984 */     GIR_EraseRootFromParent_Done,
     /*  990985 */   // Label 14750: @990985
     /*  990985 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(991077), // Rule ID 13845 //
     /*  990990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991040 */     // MIs[1] Operand 1
     /*  991040 */     // No operand predicates
     /*  991040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991075 */     GIR_RootConstrainSelectedInstOperands,
     /*  991076 */     // GIR_Coverage, 13845,
     /*  991076 */     GIR_EraseRootFromParent_Done,
     /*  991077 */   // Label 14751: @991077
     /*  991077 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(991169), // Rule ID 13846 //
     /*  991082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991132 */     // MIs[1] Operand 1
     /*  991132 */     // No operand predicates
     /*  991132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991145 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991167 */     GIR_RootConstrainSelectedInstOperands,
     /*  991168 */     // GIR_Coverage, 13846,
     /*  991168 */     GIR_EraseRootFromParent_Done,
     /*  991169 */   // Label 14752: @991169
     /*  991169 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(991261), // Rule ID 13847 //
     /*  991174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991224 */     // MIs[1] Operand 1
     /*  991224 */     // No operand predicates
     /*  991224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991237 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991259 */     GIR_RootConstrainSelectedInstOperands,
     /*  991260 */     // GIR_Coverage, 13847,
     /*  991260 */     GIR_EraseRootFromParent_Done,
     /*  991261 */   // Label 14753: @991261
     /*  991261 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(991353), // Rule ID 13848 //
     /*  991266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991316 */     // MIs[1] Operand 1
     /*  991316 */     // No operand predicates
     /*  991316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991351 */     GIR_RootConstrainSelectedInstOperands,
     /*  991352 */     // GIR_Coverage, 13848,
     /*  991352 */     GIR_EraseRootFromParent_Done,
     /*  991353 */   // Label 14754: @991353
     /*  991353 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(991445), // Rule ID 13849 //
     /*  991358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991408 */     // MIs[1] Operand 1
     /*  991408 */     // No operand predicates
     /*  991408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991443 */     GIR_RootConstrainSelectedInstOperands,
     /*  991444 */     // GIR_Coverage, 13849,
     /*  991444 */     GIR_EraseRootFromParent_Done,
     /*  991445 */   // Label 14755: @991445
     /*  991445 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(991537), // Rule ID 13850 //
     /*  991450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991500 */     // MIs[1] Operand 1
     /*  991500 */     // No operand predicates
     /*  991500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991513 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991535 */     GIR_RootConstrainSelectedInstOperands,
     /*  991536 */     // GIR_Coverage, 13850,
     /*  991536 */     GIR_EraseRootFromParent_Done,
     /*  991537 */   // Label 14756: @991537
     /*  991537 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(991629), // Rule ID 13851 //
     /*  991542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991592 */     // MIs[1] Operand 1
     /*  991592 */     // No operand predicates
     /*  991592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991605 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991627 */     GIR_RootConstrainSelectedInstOperands,
     /*  991628 */     // GIR_Coverage, 13851,
     /*  991628 */     GIR_EraseRootFromParent_Done,
     /*  991629 */   // Label 14757: @991629
     /*  991629 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(991721), // Rule ID 13852 //
     /*  991634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991684 */     // MIs[1] Operand 1
     /*  991684 */     // No operand predicates
     /*  991684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991719 */     GIR_RootConstrainSelectedInstOperands,
     /*  991720 */     // GIR_Coverage, 13852,
     /*  991720 */     GIR_EraseRootFromParent_Done,
     /*  991721 */   // Label 14758: @991721
     /*  991721 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(991813), // Rule ID 13853 //
     /*  991726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  991743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991776 */     // MIs[1] Operand 1
     /*  991776 */     // No operand predicates
     /*  991776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991789 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991811 */     GIR_RootConstrainSelectedInstOperands,
     /*  991812 */     // GIR_Coverage, 13853,
     /*  991812 */     GIR_EraseRootFromParent_Done,
     /*  991813 */   // Label 14759: @991813
     /*  991813 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(991905), // Rule ID 13854 //
     /*  991818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  991835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991868 */     // MIs[1] Operand 1
     /*  991868 */     // No operand predicates
     /*  991868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991881 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991903 */     GIR_RootConstrainSelectedInstOperands,
     /*  991904 */     // GIR_Coverage, 13854,
     /*  991904 */     GIR_EraseRootFromParent_Done,
     /*  991905 */   // Label 14760: @991905
     /*  991905 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(991981), // Rule ID 2649 //
     /*  991910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  991913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  991927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991938 */     // MIs[0] passthru
     /*  991938 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991947 */     // MIs[0] round
     /*  991947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991957 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  991957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  991960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991979 */     GIR_RootConstrainSelectedInstOperands,
     /*  991980 */     // GIR_Coverage, 2649,
     /*  991980 */     GIR_EraseRootFromParent_Done,
     /*  991981 */   // Label 14761: @991981
     /*  991981 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(992057), // Rule ID 2650 //
     /*  991986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  991989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992014 */     // MIs[0] passthru
     /*  992014 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992023 */     // MIs[0] round
     /*  992023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992033 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  992036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992055 */     GIR_RootConstrainSelectedInstOperands,
     /*  992056 */     // GIR_Coverage, 2650,
     /*  992056 */     GIR_EraseRootFromParent_Done,
     /*  992057 */   // Label 14762: @992057
     /*  992057 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(992133), // Rule ID 17021 //
     /*  992062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992090 */     // MIs[0] passthru
     /*  992090 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992099 */     // MIs[0] round
     /*  992099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992131 */     GIR_RootConstrainSelectedInstOperands,
     /*  992132 */     // GIR_Coverage, 17021,
     /*  992132 */     GIR_EraseRootFromParent_Done,
     /*  992133 */   // Label 14763: @992133
     /*  992133 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(992209), // Rule ID 17022 //
     /*  992138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992166 */     // MIs[0] passthru
     /*  992166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992175 */     // MIs[0] round
     /*  992175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992185 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992207 */     GIR_RootConstrainSelectedInstOperands,
     /*  992208 */     // GIR_Coverage, 17022,
     /*  992208 */     GIR_EraseRootFromParent_Done,
     /*  992209 */   // Label 14764: @992209
     /*  992209 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(992285), // Rule ID 17031 //
     /*  992214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992242 */     // MIs[0] passthru
     /*  992242 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992251 */     // MIs[0] round
     /*  992251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992261 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992283 */     GIR_RootConstrainSelectedInstOperands,
     /*  992284 */     // GIR_Coverage, 17031,
     /*  992284 */     GIR_EraseRootFromParent_Done,
     /*  992285 */   // Label 14765: @992285
     /*  992285 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(992361), // Rule ID 17032 //
     /*  992290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992318 */     // MIs[0] passthru
     /*  992318 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992327 */     // MIs[0] round
     /*  992327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992337 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992359 */     GIR_RootConstrainSelectedInstOperands,
     /*  992360 */     // GIR_Coverage, 17032,
     /*  992360 */     GIR_EraseRootFromParent_Done,
     /*  992361 */   // Label 14766: @992361
     /*  992361 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(992437), // Rule ID 17041 //
     /*  992366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992394 */     // MIs[0] passthru
     /*  992394 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992403 */     // MIs[0] round
     /*  992403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992413 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992435 */     GIR_RootConstrainSelectedInstOperands,
     /*  992436 */     // GIR_Coverage, 17041,
     /*  992436 */     GIR_EraseRootFromParent_Done,
     /*  992437 */   // Label 14767: @992437
     /*  992437 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(992513), // Rule ID 17042 //
     /*  992442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992470 */     // MIs[0] passthru
     /*  992470 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992479 */     // MIs[0] round
     /*  992479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992489 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992511 */     GIR_RootConstrainSelectedInstOperands,
     /*  992512 */     // GIR_Coverage, 17042,
     /*  992512 */     GIR_EraseRootFromParent_Done,
     /*  992513 */   // Label 14768: @992513
     /*  992513 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(992589), // Rule ID 17051 //
     /*  992518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992546 */     // MIs[0] passthru
     /*  992546 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992555 */     // MIs[0] round
     /*  992555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992565 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  992568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992587 */     GIR_RootConstrainSelectedInstOperands,
     /*  992588 */     // GIR_Coverage, 17051,
     /*  992588 */     GIR_EraseRootFromParent_Done,
     /*  992589 */   // Label 14769: @992589
     /*  992589 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(992665), // Rule ID 17052 //
     /*  992594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992622 */     // MIs[0] passthru
     /*  992622 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992631 */     // MIs[0] round
     /*  992631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992641 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  992644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992663 */     GIR_RootConstrainSelectedInstOperands,
     /*  992664 */     // GIR_Coverage, 17052,
     /*  992664 */     GIR_EraseRootFromParent_Done,
     /*  992665 */   // Label 14770: @992665
     /*  992665 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(992741), // Rule ID 17061 //
     /*  992670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  992687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992698 */     // MIs[0] passthru
     /*  992698 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992707 */     // MIs[0] round
     /*  992707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992717 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  992717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  992720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992739 */     GIR_RootConstrainSelectedInstOperands,
     /*  992740 */     // GIR_Coverage, 17061,
     /*  992740 */     GIR_EraseRootFromParent_Done,
     /*  992741 */   // Label 14771: @992741
     /*  992741 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(992817), // Rule ID 17062 //
     /*  992746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  992749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  992763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992774 */     // MIs[0] passthru
     /*  992774 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992783 */     // MIs[0] round
     /*  992783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992793 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  992793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  992796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992815 */     GIR_RootConstrainSelectedInstOperands,
     /*  992816 */     // GIR_Coverage, 17062,
     /*  992816 */     GIR_EraseRootFromParent_Done,
     /*  992817 */   // Label 14772: @992817
     /*  992817 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(992893), // Rule ID 17071 //
     /*  992822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  992839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992850 */     // MIs[0] passthru
     /*  992850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992859 */     // MIs[0] round
     /*  992859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992869 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  992869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  992872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992891 */     GIR_RootConstrainSelectedInstOperands,
     /*  992892 */     // GIR_Coverage, 17071,
     /*  992892 */     GIR_EraseRootFromParent_Done,
     /*  992893 */   // Label 14773: @992893
     /*  992893 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(992969), // Rule ID 17072 //
     /*  992898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  992901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  992915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992926 */     // MIs[0] passthru
     /*  992926 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992935 */     // MIs[0] round
     /*  992935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992945 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  992945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  992948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992967 */     GIR_RootConstrainSelectedInstOperands,
     /*  992968 */     // GIR_Coverage, 17072,
     /*  992968 */     GIR_EraseRootFromParent_Done,
     /*  992969 */   // Label 14774: @992969
     /*  992969 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(993045), // Rule ID 17081 //
     /*  992974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  992991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993002 */     // MIs[0] passthru
     /*  993002 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993011 */     // MIs[0] round
     /*  993011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993021 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  993024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993043 */     GIR_RootConstrainSelectedInstOperands,
     /*  993044 */     // GIR_Coverage, 17081,
     /*  993044 */     GIR_EraseRootFromParent_Done,
     /*  993045 */   // Label 14775: @993045
     /*  993045 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(993121), // Rule ID 17082 //
     /*  993050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993078 */     // MIs[0] passthru
     /*  993078 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993087 */     // MIs[0] round
     /*  993087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993097 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  993100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993119 */     GIR_RootConstrainSelectedInstOperands,
     /*  993120 */     // GIR_Coverage, 17082,
     /*  993120 */     GIR_EraseRootFromParent_Done,
     /*  993121 */   // Label 14776: @993121
     /*  993121 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(993197), // Rule ID 17091 //
     /*  993126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993154 */     // MIs[0] passthru
     /*  993154 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993163 */     // MIs[0] round
     /*  993163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993173 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993195 */     GIR_RootConstrainSelectedInstOperands,
     /*  993196 */     // GIR_Coverage, 17091,
     /*  993196 */     GIR_EraseRootFromParent_Done,
     /*  993197 */   // Label 14777: @993197
     /*  993197 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(993273), // Rule ID 17092 //
     /*  993202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993230 */     // MIs[0] passthru
     /*  993230 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993239 */     // MIs[0] round
     /*  993239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993249 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993271 */     GIR_RootConstrainSelectedInstOperands,
     /*  993272 */     // GIR_Coverage, 17092,
     /*  993272 */     GIR_EraseRootFromParent_Done,
     /*  993273 */   // Label 14778: @993273
     /*  993273 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(993349), // Rule ID 17137 //
     /*  993278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993306 */     // MIs[0] passthru
     /*  993306 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993315 */     // MIs[0] round
     /*  993315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993325 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993347 */     GIR_RootConstrainSelectedInstOperands,
     /*  993348 */     // GIR_Coverage, 17137,
     /*  993348 */     GIR_EraseRootFromParent_Done,
     /*  993349 */   // Label 14779: @993349
     /*  993349 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(993425), // Rule ID 17138 //
     /*  993354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993382 */     // MIs[0] passthru
     /*  993382 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993391 */     // MIs[0] round
     /*  993391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993401 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993423 */     GIR_RootConstrainSelectedInstOperands,
     /*  993424 */     // GIR_Coverage, 17138,
     /*  993424 */     GIR_EraseRootFromParent_Done,
     /*  993425 */   // Label 14780: @993425
     /*  993425 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(993501), // Rule ID 17147 //
     /*  993430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993458 */     // MIs[0] passthru
     /*  993458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993467 */     // MIs[0] round
     /*  993467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993477 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993499 */     GIR_RootConstrainSelectedInstOperands,
     /*  993500 */     // GIR_Coverage, 17147,
     /*  993500 */     GIR_EraseRootFromParent_Done,
     /*  993501 */   // Label 14781: @993501
     /*  993501 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(993577), // Rule ID 17148 //
     /*  993506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993534 */     // MIs[0] passthru
     /*  993534 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993543 */     // MIs[0] round
     /*  993543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993553 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993575 */     GIR_RootConstrainSelectedInstOperands,
     /*  993576 */     // GIR_Coverage, 17148,
     /*  993576 */     GIR_EraseRootFromParent_Done,
     /*  993577 */   // Label 14782: @993577
     /*  993577 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(993653), // Rule ID 17157 //
     /*  993582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993610 */     // MIs[0] passthru
     /*  993610 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993619 */     // MIs[0] round
     /*  993619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993629 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  993632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993651 */     GIR_RootConstrainSelectedInstOperands,
     /*  993652 */     // GIR_Coverage, 17157,
     /*  993652 */     GIR_EraseRootFromParent_Done,
     /*  993653 */   // Label 14783: @993653
     /*  993653 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(993729), // Rule ID 17158 //
     /*  993658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993686 */     // MIs[0] passthru
     /*  993686 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993695 */     // MIs[0] round
     /*  993695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993705 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  993708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993727 */     GIR_RootConstrainSelectedInstOperands,
     /*  993728 */     // GIR_Coverage, 17158,
     /*  993728 */     GIR_EraseRootFromParent_Done,
     /*  993729 */   // Label 14784: @993729
     /*  993729 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(993805), // Rule ID 17167 //
     /*  993734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  993751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993762 */     // MIs[0] passthru
     /*  993762 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993771 */     // MIs[0] round
     /*  993771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993781 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  993784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993803 */     GIR_RootConstrainSelectedInstOperands,
     /*  993804 */     // GIR_Coverage, 17167,
     /*  993804 */     GIR_EraseRootFromParent_Done,
     /*  993805 */   // Label 14785: @993805
     /*  993805 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(993881), // Rule ID 17168 //
     /*  993810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  993827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993838 */     // MIs[0] passthru
     /*  993838 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993847 */     // MIs[0] round
     /*  993847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993857 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  993860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993879 */     GIR_RootConstrainSelectedInstOperands,
     /*  993880 */     // GIR_Coverage, 17168,
     /*  993880 */     GIR_EraseRootFromParent_Done,
     /*  993881 */   // Label 14786: @993881
     /*  993881 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(993957), // Rule ID 17177 //
     /*  993886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  993897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  993900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  993903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993914 */     // MIs[0] passthru
     /*  993914 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993923 */     // MIs[0] round
     /*  993923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993933 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  993936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993955 */     GIR_RootConstrainSelectedInstOperands,
     /*  993956 */     // GIR_Coverage, 17177,
     /*  993956 */     GIR_EraseRootFromParent_Done,
     /*  993957 */   // Label 14787: @993957
     /*  993957 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(994033), // Rule ID 17178 //
     /*  993962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  993973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  993976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  993979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993990 */     // MIs[0] passthru
     /*  993990 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993999 */     // MIs[0] round
     /*  993999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994009 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  994012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994031 */     GIR_RootConstrainSelectedInstOperands,
     /*  994032 */     // GIR_Coverage, 17178,
     /*  994032 */     GIR_EraseRootFromParent_Done,
     /*  994033 */   // Label 14788: @994033
     /*  994033 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(994109), // Rule ID 17187 //
     /*  994038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994066 */     // MIs[0] passthru
     /*  994066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994075 */     // MIs[0] round
     /*  994075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994085 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994107 */     GIR_RootConstrainSelectedInstOperands,
     /*  994108 */     // GIR_Coverage, 17187,
     /*  994108 */     GIR_EraseRootFromParent_Done,
     /*  994109 */   // Label 14789: @994109
     /*  994109 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(994185), // Rule ID 17188 //
     /*  994114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994142 */     // MIs[0] passthru
     /*  994142 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994151 */     // MIs[0] round
     /*  994151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994161 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994183 */     GIR_RootConstrainSelectedInstOperands,
     /*  994184 */     // GIR_Coverage, 17188,
     /*  994184 */     GIR_EraseRootFromParent_Done,
     /*  994185 */   // Label 14790: @994185
     /*  994185 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(994261), // Rule ID 17197 //
     /*  994190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994218 */     // MIs[0] passthru
     /*  994218 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994227 */     // MIs[0] round
     /*  994227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994237 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994259 */     GIR_RootConstrainSelectedInstOperands,
     /*  994260 */     // GIR_Coverage, 17197,
     /*  994260 */     GIR_EraseRootFromParent_Done,
     /*  994261 */   // Label 14791: @994261
     /*  994261 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(994337), // Rule ID 17198 //
     /*  994266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994294 */     // MIs[0] passthru
     /*  994294 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994303 */     // MIs[0] round
     /*  994303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994313 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994335 */     GIR_RootConstrainSelectedInstOperands,
     /*  994336 */     // GIR_Coverage, 17198,
     /*  994336 */     GIR_EraseRootFromParent_Done,
     /*  994337 */   // Label 14792: @994337
     /*  994337 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(994413), // Rule ID 17207 //
     /*  994342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994370 */     // MIs[0] passthru
     /*  994370 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994379 */     // MIs[0] round
     /*  994379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994389 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994411 */     GIR_RootConstrainSelectedInstOperands,
     /*  994412 */     // GIR_Coverage, 17207,
     /*  994412 */     GIR_EraseRootFromParent_Done,
     /*  994413 */   // Label 14793: @994413
     /*  994413 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(994489), // Rule ID 17208 //
     /*  994418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994446 */     // MIs[0] passthru
     /*  994446 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994455 */     // MIs[0] round
     /*  994455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994465 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994487 */     GIR_RootConstrainSelectedInstOperands,
     /*  994488 */     // GIR_Coverage, 17208,
     /*  994488 */     GIR_EraseRootFromParent_Done,
     /*  994489 */   // Label 14794: @994489
     /*  994489 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(994565), // Rule ID 17217 //
     /*  994494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994522 */     // MIs[0] passthru
     /*  994522 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994531 */     // MIs[0] round
     /*  994531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994541 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  994544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994563 */     GIR_RootConstrainSelectedInstOperands,
     /*  994564 */     // GIR_Coverage, 17217,
     /*  994564 */     GIR_EraseRootFromParent_Done,
     /*  994565 */   // Label 14795: @994565
     /*  994565 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(994641), // Rule ID 17218 //
     /*  994570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994598 */     // MIs[0] passthru
     /*  994598 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994607 */     // MIs[0] round
     /*  994607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994617 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  994620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994639 */     GIR_RootConstrainSelectedInstOperands,
     /*  994640 */     // GIR_Coverage, 17218,
     /*  994640 */     GIR_EraseRootFromParent_Done,
     /*  994641 */   // Label 14796: @994641
     /*  994641 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(994718), // Rule ID 2579 //
     /*  994646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  994654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  994663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994685 */     // MIs[0] policy
     /*  994685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994695 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  994698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994716 */     GIR_RootConstrainSelectedInstOperands,
     /*  994717 */     // GIR_Coverage, 2579,
     /*  994717 */     GIR_EraseRootFromParent_Done,
     /*  994718 */   // Label 14797: @994718
     /*  994718 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(994795), // Rule ID 2580 //
     /*  994723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  994731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  994740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994762 */     // MIs[0] policy
     /*  994762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  994775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994793 */     GIR_RootConstrainSelectedInstOperands,
     /*  994794 */     // GIR_Coverage, 2580,
     /*  994794 */     GIR_EraseRootFromParent_Done,
     /*  994795 */   // Label 14798: @994795
     /*  994795 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(994872), // Rule ID 2583 //
     /*  994800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994839 */     // MIs[0] policy
     /*  994839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  994852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994870 */     GIR_RootConstrainSelectedInstOperands,
     /*  994871 */     // GIR_Coverage, 2583,
     /*  994871 */     GIR_EraseRootFromParent_Done,
     /*  994872 */   // Label 14799: @994872
     /*  994872 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(994949), // Rule ID 2584 //
     /*  994877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994916 */     // MIs[0] policy
     /*  994916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  994929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994947 */     GIR_RootConstrainSelectedInstOperands,
     /*  994948 */     // GIR_Coverage, 2584,
     /*  994948 */     GIR_EraseRootFromParent_Done,
     /*  994949 */   // Label 14800: @994949
     /*  994949 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(995026), // Rule ID 2587 //
     /*  994954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  994957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  994962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  994971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994993 */     // MIs[0] policy
     /*  994993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995003 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  995006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995024 */     GIR_RootConstrainSelectedInstOperands,
     /*  995025 */     // GIR_Coverage, 2587,
     /*  995025 */     GIR_EraseRootFromParent_Done,
     /*  995026 */   // Label 14801: @995026
     /*  995026 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(995103), // Rule ID 2588 //
     /*  995031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  995034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  995039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995070 */     // MIs[0] policy
     /*  995070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995080 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  995083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995101 */     GIR_RootConstrainSelectedInstOperands,
     /*  995102 */     // GIR_Coverage, 2588,
     /*  995102 */     GIR_EraseRootFromParent_Done,
     /*  995103 */   // Label 14802: @995103
     /*  995103 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(995180), // Rule ID 2623 //
     /*  995108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  995111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995147 */     // MIs[0] policy
     /*  995147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995157 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995178 */     GIR_RootConstrainSelectedInstOperands,
     /*  995179 */     // GIR_Coverage, 2623,
     /*  995179 */     GIR_EraseRootFromParent_Done,
     /*  995180 */   // Label 14803: @995180
     /*  995180 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(995257), // Rule ID 2624 //
     /*  995185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  995188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995224 */     // MIs[0] policy
     /*  995224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995255 */     GIR_RootConstrainSelectedInstOperands,
     /*  995256 */     // GIR_Coverage, 2624,
     /*  995256 */     GIR_EraseRootFromParent_Done,
     /*  995257 */   // Label 14804: @995257
     /*  995257 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(995334), // Rule ID 2655 //
     /*  995262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995301 */     // MIs[0] policy
     /*  995301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995332 */     GIR_RootConstrainSelectedInstOperands,
     /*  995333 */     // GIR_Coverage, 2655,
     /*  995333 */     GIR_EraseRootFromParent_Done,
     /*  995334 */   // Label 14805: @995334
     /*  995334 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(995411), // Rule ID 2656 //
     /*  995339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995378 */     // MIs[0] policy
     /*  995378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995409 */     GIR_RootConstrainSelectedInstOperands,
     /*  995410 */     // GIR_Coverage, 2656,
     /*  995410 */     GIR_EraseRootFromParent_Done,
     /*  995411 */   // Label 14806: @995411
     /*  995411 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(995488), // Rule ID 4775 //
     /*  995416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995455 */     // MIs[0] policy
     /*  995455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995465 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995486 */     GIR_RootConstrainSelectedInstOperands,
     /*  995487 */     // GIR_Coverage, 4775,
     /*  995487 */     GIR_EraseRootFromParent_Done,
     /*  995488 */   // Label 14807: @995488
     /*  995488 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(995565), // Rule ID 4776 //
     /*  995493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995532 */     // MIs[0] policy
     /*  995532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995563 */     GIR_RootConstrainSelectedInstOperands,
     /*  995564 */     // GIR_Coverage, 4776,
     /*  995564 */     GIR_EraseRootFromParent_Done,
     /*  995565 */   // Label 14808: @995565
     /*  995565 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(995642), // Rule ID 4779 //
     /*  995570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  995587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995609 */     // MIs[0] policy
     /*  995609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995640 */     GIR_RootConstrainSelectedInstOperands,
     /*  995641 */     // GIR_Coverage, 4779,
     /*  995641 */     GIR_EraseRootFromParent_Done,
     /*  995642 */   // Label 14809: @995642
     /*  995642 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(995719), // Rule ID 4780 //
     /*  995647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  995664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995686 */     // MIs[0] policy
     /*  995686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995717 */     GIR_RootConstrainSelectedInstOperands,
     /*  995718 */     // GIR_Coverage, 4780,
     /*  995718 */     GIR_EraseRootFromParent_Done,
     /*  995719 */   // Label 14810: @995719
     /*  995719 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(995796), // Rule ID 4783 //
     /*  995724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  995741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995763 */     // MIs[0] policy
     /*  995763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995794 */     GIR_RootConstrainSelectedInstOperands,
     /*  995795 */     // GIR_Coverage, 4783,
     /*  995795 */     GIR_EraseRootFromParent_Done,
     /*  995796 */   // Label 14811: @995796
     /*  995796 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(995873), // Rule ID 4784 //
     /*  995801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  995818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995840 */     // MIs[0] policy
     /*  995840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995871 */     GIR_RootConstrainSelectedInstOperands,
     /*  995872 */     // GIR_Coverage, 4784,
     /*  995872 */     GIR_EraseRootFromParent_Done,
     /*  995873 */   // Label 14812: @995873
     /*  995873 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(995950), // Rule ID 4787 //
     /*  995878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  995895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995917 */     // MIs[0] policy
     /*  995917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  995930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995948 */     GIR_RootConstrainSelectedInstOperands,
     /*  995949 */     // GIR_Coverage, 4787,
     /*  995949 */     GIR_EraseRootFromParent_Done,
     /*  995950 */   // Label 14813: @995950
     /*  995950 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(996027), // Rule ID 4788 //
     /*  995955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  995972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995994 */     // MIs[0] policy
     /*  995994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996004 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996025 */     GIR_RootConstrainSelectedInstOperands,
     /*  996026 */     // GIR_Coverage, 4788,
     /*  996026 */     GIR_EraseRootFromParent_Done,
     /*  996027 */   // Label 14814: @996027
     /*  996027 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(996104), // Rule ID 4791 //
     /*  996032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996071 */     // MIs[0] policy
     /*  996071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996081 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996102 */     GIR_RootConstrainSelectedInstOperands,
     /*  996103 */     // GIR_Coverage, 4791,
     /*  996103 */     GIR_EraseRootFromParent_Done,
     /*  996104 */   // Label 14815: @996104
     /*  996104 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(996181), // Rule ID 4792 //
     /*  996109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996148 */     // MIs[0] policy
     /*  996148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996179 */     GIR_RootConstrainSelectedInstOperands,
     /*  996180 */     // GIR_Coverage, 4792,
     /*  996180 */     GIR_EraseRootFromParent_Done,
     /*  996181 */   // Label 14816: @996181
     /*  996181 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(996258), // Rule ID 4795 //
     /*  996186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996225 */     // MIs[0] policy
     /*  996225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996256 */     GIR_RootConstrainSelectedInstOperands,
     /*  996257 */     // GIR_Coverage, 4795,
     /*  996257 */     GIR_EraseRootFromParent_Done,
     /*  996258 */   // Label 14817: @996258
     /*  996258 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(996335), // Rule ID 4796 //
     /*  996263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996302 */     // MIs[0] policy
     /*  996302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996333 */     GIR_RootConstrainSelectedInstOperands,
     /*  996334 */     // GIR_Coverage, 4796,
     /*  996334 */     GIR_EraseRootFromParent_Done,
     /*  996335 */   // Label 14818: @996335
     /*  996335 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(996412), // Rule ID 4799 //
     /*  996340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996379 */     // MIs[0] policy
     /*  996379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996410 */     GIR_RootConstrainSelectedInstOperands,
     /*  996411 */     // GIR_Coverage, 4799,
     /*  996411 */     GIR_EraseRootFromParent_Done,
     /*  996412 */   // Label 14819: @996412
     /*  996412 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(996489), // Rule ID 4800 //
     /*  996417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996456 */     // MIs[0] policy
     /*  996456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996487 */     GIR_RootConstrainSelectedInstOperands,
     /*  996488 */     // GIR_Coverage, 4800,
     /*  996488 */     GIR_EraseRootFromParent_Done,
     /*  996489 */   // Label 14820: @996489
     /*  996489 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(996566), // Rule ID 4803 //
     /*  996494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996533 */     // MIs[0] policy
     /*  996533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996564 */     GIR_RootConstrainSelectedInstOperands,
     /*  996565 */     // GIR_Coverage, 4803,
     /*  996565 */     GIR_EraseRootFromParent_Done,
     /*  996566 */   // Label 14821: @996566
     /*  996566 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(996643), // Rule ID 4804 //
     /*  996571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996610 */     // MIs[0] policy
     /*  996610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996641 */     GIR_RootConstrainSelectedInstOperands,
     /*  996642 */     // GIR_Coverage, 4804,
     /*  996642 */     GIR_EraseRootFromParent_Done,
     /*  996643 */   // Label 14822: @996643
     /*  996643 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(996720), // Rule ID 4807 //
     /*  996648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  996665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996687 */     // MIs[0] policy
     /*  996687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996718 */     GIR_RootConstrainSelectedInstOperands,
     /*  996719 */     // GIR_Coverage, 4807,
     /*  996719 */     GIR_EraseRootFromParent_Done,
     /*  996720 */   // Label 14823: @996720
     /*  996720 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(996797), // Rule ID 4808 //
     /*  996725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  996742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996764 */     // MIs[0] policy
     /*  996764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996795 */     GIR_RootConstrainSelectedInstOperands,
     /*  996796 */     // GIR_Coverage, 4808,
     /*  996796 */     GIR_EraseRootFromParent_Done,
     /*  996797 */   // Label 14824: @996797
     /*  996797 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(996874), // Rule ID 4811 //
     /*  996802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  996819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996841 */     // MIs[0] policy
     /*  996841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996872 */     GIR_RootConstrainSelectedInstOperands,
     /*  996873 */     // GIR_Coverage, 4811,
     /*  996873 */     GIR_EraseRootFromParent_Done,
     /*  996874 */   // Label 14825: @996874
     /*  996874 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(996951), // Rule ID 4812 //
     /*  996879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  996896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996918 */     // MIs[0] policy
     /*  996918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996949 */     GIR_RootConstrainSelectedInstOperands,
     /*  996950 */     // GIR_Coverage, 4812,
     /*  996950 */     GIR_EraseRootFromParent_Done,
     /*  996951 */   // Label 14826: @996951
     /*  996951 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(997028), // Rule ID 4815 //
     /*  996956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  996959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  996967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  996970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  996973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996995 */     // MIs[0] policy
     /*  996995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997026 */     GIR_RootConstrainSelectedInstOperands,
     /*  997027 */     // GIR_Coverage, 4815,
     /*  997027 */     GIR_EraseRootFromParent_Done,
     /*  997028 */   // Label 14827: @997028
     /*  997028 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(997105), // Rule ID 4816 //
     /*  997033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  997050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997072 */     // MIs[0] policy
     /*  997072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997103 */     GIR_RootConstrainSelectedInstOperands,
     /*  997104 */     // GIR_Coverage, 4816,
     /*  997104 */     GIR_EraseRootFromParent_Done,
     /*  997105 */   // Label 14828: @997105
     /*  997105 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(997182), // Rule ID 4819 //
     /*  997110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997149 */     // MIs[0] policy
     /*  997149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997159 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997180 */     GIR_RootConstrainSelectedInstOperands,
     /*  997181 */     // GIR_Coverage, 4819,
     /*  997181 */     GIR_EraseRootFromParent_Done,
     /*  997182 */   // Label 14829: @997182
     /*  997182 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(997259), // Rule ID 4820 //
     /*  997187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997226 */     // MIs[0] policy
     /*  997226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997257 */     GIR_RootConstrainSelectedInstOperands,
     /*  997258 */     // GIR_Coverage, 4820,
     /*  997258 */     GIR_EraseRootFromParent_Done,
     /*  997259 */   // Label 14830: @997259
     /*  997259 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(997336), // Rule ID 4823 //
     /*  997264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997303 */     // MIs[0] policy
     /*  997303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997334 */     GIR_RootConstrainSelectedInstOperands,
     /*  997335 */     // GIR_Coverage, 4823,
     /*  997335 */     GIR_EraseRootFromParent_Done,
     /*  997336 */   // Label 14831: @997336
     /*  997336 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(997413), // Rule ID 4824 //
     /*  997341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997380 */     // MIs[0] policy
     /*  997380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997390 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997411 */     GIR_RootConstrainSelectedInstOperands,
     /*  997412 */     // GIR_Coverage, 4824,
     /*  997412 */     GIR_EraseRootFromParent_Done,
     /*  997413 */   // Label 14832: @997413
     /*  997413 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(997490), // Rule ID 4827 //
     /*  997418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997457 */     // MIs[0] policy
     /*  997457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997488 */     GIR_RootConstrainSelectedInstOperands,
     /*  997489 */     // GIR_Coverage, 4827,
     /*  997489 */     GIR_EraseRootFromParent_Done,
     /*  997490 */   // Label 14833: @997490
     /*  997490 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(997567), // Rule ID 4828 //
     /*  997495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997534 */     // MIs[0] policy
     /*  997534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997565 */     GIR_RootConstrainSelectedInstOperands,
     /*  997566 */     // GIR_Coverage, 4828,
     /*  997566 */     GIR_EraseRootFromParent_Done,
     /*  997567 */   // Label 14834: @997567
     /*  997567 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(997644), // Rule ID 4831 //
     /*  997572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997611 */     // MIs[0] policy
     /*  997611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  997624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997642 */     GIR_RootConstrainSelectedInstOperands,
     /*  997643 */     // GIR_Coverage, 4831,
     /*  997643 */     GIR_EraseRootFromParent_Done,
     /*  997644 */   // Label 14835: @997644
     /*  997644 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(997721), // Rule ID 4832 //
     /*  997649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997688 */     // MIs[0] policy
     /*  997688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  997701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997719 */     GIR_RootConstrainSelectedInstOperands,
     /*  997720 */     // GIR_Coverage, 4832,
     /*  997720 */     GIR_EraseRootFromParent_Done,
     /*  997721 */   // Label 14836: @997721
     /*  997721 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(997798), // Rule ID 4835 //
     /*  997726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997765 */     // MIs[0] policy
     /*  997765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  997778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997796 */     GIR_RootConstrainSelectedInstOperands,
     /*  997797 */     // GIR_Coverage, 4835,
     /*  997797 */     GIR_EraseRootFromParent_Done,
     /*  997798 */   // Label 14837: @997798
     /*  997798 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997875), // Rule ID 4836 //
     /*  997803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997842 */     // MIs[0] policy
     /*  997842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  997855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997873 */     GIR_RootConstrainSelectedInstOperands,
     /*  997874 */     // GIR_Coverage, 4836,
     /*  997874 */     GIR_EraseRootFromParent_Done,
     /*  997875 */   // Label 14838: @997875
     /*  997875 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(997952), // Rule ID 4839 //
     /*  997880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  997897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997919 */     // MIs[0] policy
     /*  997919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997929 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  997932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997950 */     GIR_RootConstrainSelectedInstOperands,
     /*  997951 */     // GIR_Coverage, 4839,
     /*  997951 */     GIR_EraseRootFromParent_Done,
     /*  997952 */   // Label 14839: @997952
     /*  997952 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(998029), // Rule ID 4840 //
     /*  997957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  997974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997996 */     // MIs[0] policy
     /*  997996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998027 */     GIR_RootConstrainSelectedInstOperands,
     /*  998028 */     // GIR_Coverage, 4840,
     /*  998028 */     GIR_EraseRootFromParent_Done,
     /*  998029 */   // Label 14840: @998029
     /*  998029 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(998106), // Rule ID 4843 //
     /*  998034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998073 */     // MIs[0] policy
     /*  998073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998104 */     GIR_RootConstrainSelectedInstOperands,
     /*  998105 */     // GIR_Coverage, 4843,
     /*  998105 */     GIR_EraseRootFromParent_Done,
     /*  998106 */   // Label 14841: @998106
     /*  998106 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(998183), // Rule ID 4844 //
     /*  998111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998150 */     // MIs[0] policy
     /*  998150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998181 */     GIR_RootConstrainSelectedInstOperands,
     /*  998182 */     // GIR_Coverage, 4844,
     /*  998182 */     GIR_EraseRootFromParent_Done,
     /*  998183 */   // Label 14842: @998183
     /*  998183 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(998260), // Rule ID 4847 //
     /*  998188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998227 */     // MIs[0] policy
     /*  998227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998237 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998258 */     GIR_RootConstrainSelectedInstOperands,
     /*  998259 */     // GIR_Coverage, 4847,
     /*  998259 */     GIR_EraseRootFromParent_Done,
     /*  998260 */   // Label 14843: @998260
     /*  998260 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(998337), // Rule ID 4848 //
     /*  998265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998304 */     // MIs[0] policy
     /*  998304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998335 */     GIR_RootConstrainSelectedInstOperands,
     /*  998336 */     // GIR_Coverage, 4848,
     /*  998336 */     GIR_EraseRootFromParent_Done,
     /*  998337 */   // Label 14844: @998337
     /*  998337 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(998414), // Rule ID 4851 //
     /*  998342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998381 */     // MIs[0] policy
     /*  998381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998412 */     GIR_RootConstrainSelectedInstOperands,
     /*  998413 */     // GIR_Coverage, 4851,
     /*  998413 */     GIR_EraseRootFromParent_Done,
     /*  998414 */   // Label 14845: @998414
     /*  998414 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(998491), // Rule ID 4852 //
     /*  998419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998458 */     // MIs[0] policy
     /*  998458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998489 */     GIR_RootConstrainSelectedInstOperands,
     /*  998490 */     // GIR_Coverage, 4852,
     /*  998490 */     GIR_EraseRootFromParent_Done,
     /*  998491 */   // Label 14846: @998491
     /*  998491 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(998568), // Rule ID 4855 //
     /*  998496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998535 */     // MIs[0] policy
     /*  998535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998545 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998566 */     GIR_RootConstrainSelectedInstOperands,
     /*  998567 */     // GIR_Coverage, 4855,
     /*  998567 */     GIR_EraseRootFromParent_Done,
     /*  998568 */   // Label 14847: @998568
     /*  998568 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(998645), // Rule ID 4856 //
     /*  998573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998612 */     // MIs[0] policy
     /*  998612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998643 */     GIR_RootConstrainSelectedInstOperands,
     /*  998644 */     // GIR_Coverage, 4856,
     /*  998644 */     GIR_EraseRootFromParent_Done,
     /*  998645 */   // Label 14848: @998645
     /*  998645 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(998722), // Rule ID 4859 //
     /*  998650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  998667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998689 */     // MIs[0] policy
     /*  998689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998720 */     GIR_RootConstrainSelectedInstOperands,
     /*  998721 */     // GIR_Coverage, 4859,
     /*  998721 */     GIR_EraseRootFromParent_Done,
     /*  998722 */   // Label 14849: @998722
     /*  998722 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(998799), // Rule ID 4860 //
     /*  998727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  998744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998766 */     // MIs[0] policy
     /*  998766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998797 */     GIR_RootConstrainSelectedInstOperands,
     /*  998798 */     // GIR_Coverage, 4860,
     /*  998798 */     GIR_EraseRootFromParent_Done,
     /*  998799 */   // Label 14850: @998799
     /*  998799 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998876), // Rule ID 4863 //
     /*  998804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  998821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998843 */     // MIs[0] policy
     /*  998843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998874 */     GIR_RootConstrainSelectedInstOperands,
     /*  998875 */     // GIR_Coverage, 4863,
     /*  998875 */     GIR_EraseRootFromParent_Done,
     /*  998876 */   // Label 14851: @998876
     /*  998876 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(998953), // Rule ID 4864 //
     /*  998881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  998898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998920 */     // MIs[0] policy
     /*  998920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998951 */     GIR_RootConstrainSelectedInstOperands,
     /*  998952 */     // GIR_Coverage, 4864,
     /*  998952 */     GIR_EraseRootFromParent_Done,
     /*  998953 */   // Label 14852: @998953
     /*  998953 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(999030), // Rule ID 4867 //
     /*  998958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998997 */     // MIs[0] policy
     /*  998997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  999010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999028 */     GIR_RootConstrainSelectedInstOperands,
     /*  999029 */     // GIR_Coverage, 4867,
     /*  999029 */     GIR_EraseRootFromParent_Done,
     /*  999030 */   // Label 14853: @999030
     /*  999030 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(999107), // Rule ID 4868 //
     /*  999035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999074 */     // MIs[0] policy
     /*  999074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  999087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999105 */     GIR_RootConstrainSelectedInstOperands,
     /*  999106 */     // GIR_Coverage, 4868,
     /*  999106 */     GIR_EraseRootFromParent_Done,
     /*  999107 */   // Label 14854: @999107
     /*  999107 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(999184), // Rule ID 4871 //
     /*  999112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999151 */     // MIs[0] policy
     /*  999151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999182 */     GIR_RootConstrainSelectedInstOperands,
     /*  999183 */     // GIR_Coverage, 4871,
     /*  999183 */     GIR_EraseRootFromParent_Done,
     /*  999184 */   // Label 14855: @999184
     /*  999184 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(999261), // Rule ID 4872 //
     /*  999189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999228 */     // MIs[0] policy
     /*  999228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999259 */     GIR_RootConstrainSelectedInstOperands,
     /*  999260 */     // GIR_Coverage, 4872,
     /*  999260 */     GIR_EraseRootFromParent_Done,
     /*  999261 */   // Label 14856: @999261
     /*  999261 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(999338), // Rule ID 4875 //
     /*  999266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999305 */     // MIs[0] policy
     /*  999305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999336 */     GIR_RootConstrainSelectedInstOperands,
     /*  999337 */     // GIR_Coverage, 4875,
     /*  999337 */     GIR_EraseRootFromParent_Done,
     /*  999338 */   // Label 14857: @999338
     /*  999338 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(999415), // Rule ID 4876 //
     /*  999343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999382 */     // MIs[0] policy
     /*  999382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999413 */     GIR_RootConstrainSelectedInstOperands,
     /*  999414 */     // GIR_Coverage, 4876,
     /*  999414 */     GIR_EraseRootFromParent_Done,
     /*  999415 */   // Label 14858: @999415
     /*  999415 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(999492), // Rule ID 4879 //
     /*  999420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999459 */     // MIs[0] policy
     /*  999459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999469 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999490 */     GIR_RootConstrainSelectedInstOperands,
     /*  999491 */     // GIR_Coverage, 4879,
     /*  999491 */     GIR_EraseRootFromParent_Done,
     /*  999492 */   // Label 14859: @999492
     /*  999492 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(999569), // Rule ID 4880 //
     /*  999497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999536 */     // MIs[0] policy
     /*  999536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999567 */     GIR_RootConstrainSelectedInstOperands,
     /*  999568 */     // GIR_Coverage, 4880,
     /*  999568 */     GIR_EraseRootFromParent_Done,
     /*  999569 */   // Label 14860: @999569
     /*  999569 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(999646), // Rule ID 4883 //
     /*  999574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999613 */     // MIs[0] policy
     /*  999613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999623 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  999626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999644 */     GIR_RootConstrainSelectedInstOperands,
     /*  999645 */     // GIR_Coverage, 4883,
     /*  999645 */     GIR_EraseRootFromParent_Done,
     /*  999646 */   // Label 14861: @999646
     /*  999646 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(999723), // Rule ID 4884 //
     /*  999651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999690 */     // MIs[0] policy
     /*  999690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  999703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999721 */     GIR_RootConstrainSelectedInstOperands,
     /*  999722 */     // GIR_Coverage, 4884,
     /*  999722 */     GIR_EraseRootFromParent_Done,
     /*  999723 */   // Label 14862: @999723
     /*  999723 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(999800), // Rule ID 4887 //
     /*  999728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  999739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  999742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999767 */     // MIs[0] policy
     /*  999767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  999780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999798 */     GIR_RootConstrainSelectedInstOperands,
     /*  999799 */     // GIR_Coverage, 4887,
     /*  999799 */     GIR_EraseRootFromParent_Done,
     /*  999800 */   // Label 14863: @999800
     /*  999800 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999877), // Rule ID 4888 //
     /*  999805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  999816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  999819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999844 */     // MIs[0] policy
     /*  999844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  999857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999875 */     GIR_RootConstrainSelectedInstOperands,
     /*  999876 */     // GIR_Coverage, 4888,
     /*  999876 */     GIR_EraseRootFromParent_Done,
     /*  999877 */   // Label 14864: @999877
     /*  999877 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(999954), // Rule ID 4891 //
     /*  999882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  999893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  999896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999921 */     // MIs[0] policy
     /*  999921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  999934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999952 */     GIR_RootConstrainSelectedInstOperands,
     /*  999953 */     // GIR_Coverage, 4891,
     /*  999953 */     GIR_EraseRootFromParent_Done,
     /*  999954 */   // Label 14865: @999954
     /*  999954 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(1000031), // Rule ID 4892 //
     /*  999959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  999970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  999973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999998 */     // MIs[0] policy
     /*  999998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000030 */     // GIR_Coverage, 4892,
     /* 1000030 */     GIR_EraseRootFromParent_Done,
     /* 1000031 */   // Label 14866: @1000031
     /* 1000031 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(1000108), // Rule ID 4895 //
     /* 1000036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000075 */     // MIs[0] policy
     /* 1000075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000107 */     // GIR_Coverage, 4895,
     /* 1000107 */     GIR_EraseRootFromParent_Done,
     /* 1000108 */   // Label 14867: @1000108
     /* 1000108 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(1000185), // Rule ID 4896 //
     /* 1000113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000152 */     // MIs[0] policy
     /* 1000152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000184 */     // GIR_Coverage, 4896,
     /* 1000184 */     GIR_EraseRootFromParent_Done,
     /* 1000185 */   // Label 14868: @1000185
     /* 1000185 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(1000262), // Rule ID 4899 //
     /* 1000190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000229 */     // MIs[0] policy
     /* 1000229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000261 */     // GIR_Coverage, 4899,
     /* 1000261 */     GIR_EraseRootFromParent_Done,
     /* 1000262 */   // Label 14869: @1000262
     /* 1000262 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(1000339), // Rule ID 4900 //
     /* 1000267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000306 */     // MIs[0] policy
     /* 1000306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000338 */     // GIR_Coverage, 4900,
     /* 1000338 */     GIR_EraseRootFromParent_Done,
     /* 1000339 */   // Label 14870: @1000339
     /* 1000339 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1000416), // Rule ID 4903 //
     /* 1000344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000383 */     // MIs[0] policy
     /* 1000383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000393 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000415 */     // GIR_Coverage, 4903,
     /* 1000415 */     GIR_EraseRootFromParent_Done,
     /* 1000416 */   // Label 14871: @1000416
     /* 1000416 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1000493), // Rule ID 4904 //
     /* 1000421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000460 */     // MIs[0] policy
     /* 1000460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000492 */     // GIR_Coverage, 4904,
     /* 1000492 */     GIR_EraseRootFromParent_Done,
     /* 1000493 */   // Label 14872: @1000493
     /* 1000493 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1000570), // Rule ID 4907 //
     /* 1000498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000537 */     // MIs[0] policy
     /* 1000537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000569 */     // GIR_Coverage, 4907,
     /* 1000569 */     GIR_EraseRootFromParent_Done,
     /* 1000570 */   // Label 14873: @1000570
     /* 1000570 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1000647), // Rule ID 4908 //
     /* 1000575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000614 */     // MIs[0] policy
     /* 1000614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000646 */     // GIR_Coverage, 4908,
     /* 1000646 */     GIR_EraseRootFromParent_Done,
     /* 1000647 */   // Label 14874: @1000647
     /* 1000647 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1000724), // Rule ID 4911 //
     /* 1000652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1000669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000691 */     // MIs[0] policy
     /* 1000691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000701 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000723 */     // GIR_Coverage, 4911,
     /* 1000723 */     GIR_EraseRootFromParent_Done,
     /* 1000724 */   // Label 14875: @1000724
     /* 1000724 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1000801), // Rule ID 4912 //
     /* 1000729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1000746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000768 */     // MIs[0] policy
     /* 1000768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000800 */     // GIR_Coverage, 4912,
     /* 1000800 */     GIR_EraseRootFromParent_Done,
     /* 1000801 */   // Label 14876: @1000801
     /* 1000801 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000878), // Rule ID 4915 //
     /* 1000806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1000823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000845 */     // MIs[0] policy
     /* 1000845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000877 */     // GIR_Coverage, 4915,
     /* 1000877 */     GIR_EraseRootFromParent_Done,
     /* 1000878 */   // Label 14877: @1000878
     /* 1000878 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1000955), // Rule ID 4916 //
     /* 1000883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1000900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000922 */     // MIs[0] policy
     /* 1000922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000954 */     // GIR_Coverage, 4916,
     /* 1000954 */     GIR_EraseRootFromParent_Done,
     /* 1000955 */   // Label 14878: @1000955
     /* 1000955 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1001032), // Rule ID 4919 //
     /* 1000960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1000971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1000974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1000977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000999 */     // MIs[0] policy
     /* 1000999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001009 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001031 */     // GIR_Coverage, 4919,
     /* 1001031 */     GIR_EraseRootFromParent_Done,
     /* 1001032 */   // Label 14879: @1001032
     /* 1001032 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1001109), // Rule ID 4920 //
     /* 1001037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001076 */     // MIs[0] policy
     /* 1001076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001108 */     // GIR_Coverage, 4920,
     /* 1001108 */     GIR_EraseRootFromParent_Done,
     /* 1001109 */   // Label 14880: @1001109
     /* 1001109 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1001186), // Rule ID 4923 //
     /* 1001114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001153 */     // MIs[0] policy
     /* 1001153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001185 */     // GIR_Coverage, 4923,
     /* 1001185 */     GIR_EraseRootFromParent_Done,
     /* 1001186 */   // Label 14881: @1001186
     /* 1001186 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1001263), // Rule ID 4924 //
     /* 1001191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001230 */     // MIs[0] policy
     /* 1001230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001262 */     // GIR_Coverage, 4924,
     /* 1001262 */     GIR_EraseRootFromParent_Done,
     /* 1001263 */   // Label 14882: @1001263
     /* 1001263 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1001340), // Rule ID 4927 //
     /* 1001268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001307 */     // MIs[0] policy
     /* 1001307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001339 */     // GIR_Coverage, 4927,
     /* 1001339 */     GIR_EraseRootFromParent_Done,
     /* 1001340 */   // Label 14883: @1001340
     /* 1001340 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1001417), // Rule ID 4928 //
     /* 1001345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001384 */     // MIs[0] policy
     /* 1001384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001416 */     // GIR_Coverage, 4928,
     /* 1001416 */     GIR_EraseRootFromParent_Done,
     /* 1001417 */   // Label 14884: @1001417
     /* 1001417 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1001494), // Rule ID 4931 //
     /* 1001422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001461 */     // MIs[0] policy
     /* 1001461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001471 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001493 */     // GIR_Coverage, 4931,
     /* 1001493 */     GIR_EraseRootFromParent_Done,
     /* 1001494 */   // Label 14885: @1001494
     /* 1001494 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1001571), // Rule ID 4932 //
     /* 1001499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001538 */     // MIs[0] policy
     /* 1001538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001570 */     // GIR_Coverage, 4932,
     /* 1001570 */     GIR_EraseRootFromParent_Done,
     /* 1001571 */   // Label 14886: @1001571
     /* 1001571 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1001648), // Rule ID 4935 //
     /* 1001576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001615 */     // MIs[0] policy
     /* 1001615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001647 */     // GIR_Coverage, 4935,
     /* 1001647 */     GIR_EraseRootFromParent_Done,
     /* 1001648 */   // Label 14887: @1001648
     /* 1001648 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1001725), // Rule ID 4936 //
     /* 1001653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001692 */     // MIs[0] policy
     /* 1001692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001724 */     // GIR_Coverage, 4936,
     /* 1001724 */     GIR_EraseRootFromParent_Done,
     /* 1001725 */   // Label 14888: @1001725
     /* 1001725 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1001802), // Rule ID 4939 //
     /* 1001730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1001747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001769 */     // MIs[0] policy
     /* 1001769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001779 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001801 */     // GIR_Coverage, 4939,
     /* 1001801 */     GIR_EraseRootFromParent_Done,
     /* 1001802 */   // Label 14889: @1001802
     /* 1001802 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001879), // Rule ID 4940 //
     /* 1001807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1001824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001846 */     // MIs[0] policy
     /* 1001846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001878 */     // GIR_Coverage, 4940,
     /* 1001878 */     GIR_EraseRootFromParent_Done,
     /* 1001879 */   // Label 14890: @1001879
     /* 1001879 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1001956), // Rule ID 4943 //
     /* 1001884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1001901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001923 */     // MIs[0] policy
     /* 1001923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1001936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001955 */     // GIR_Coverage, 4943,
     /* 1001955 */     GIR_EraseRootFromParent_Done,
     /* 1001956 */   // Label 14891: @1001956
     /* 1001956 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1002033), // Rule ID 4944 //
     /* 1001961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1001978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002000 */     // MIs[0] policy
     /* 1002000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1002013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002032 */     // GIR_Coverage, 4944,
     /* 1002032 */     GIR_EraseRootFromParent_Done,
     /* 1002033 */   // Label 14892: @1002033
     /* 1002033 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1002110), // Rule ID 4947 //
     /* 1002038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002077 */     // MIs[0] policy
     /* 1002077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002109 */     // GIR_Coverage, 4947,
     /* 1002109 */     GIR_EraseRootFromParent_Done,
     /* 1002110 */   // Label 14893: @1002110
     /* 1002110 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1002187), // Rule ID 4948 //
     /* 1002115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002154 */     // MIs[0] policy
     /* 1002154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002186 */     // GIR_Coverage, 4948,
     /* 1002186 */     GIR_EraseRootFromParent_Done,
     /* 1002187 */   // Label 14894: @1002187
     /* 1002187 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1002264), // Rule ID 4951 //
     /* 1002192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002231 */     // MIs[0] policy
     /* 1002231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002263 */     // GIR_Coverage, 4951,
     /* 1002263 */     GIR_EraseRootFromParent_Done,
     /* 1002264 */   // Label 14895: @1002264
     /* 1002264 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1002341), // Rule ID 4952 //
     /* 1002269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002308 */     // MIs[0] policy
     /* 1002308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002340 */     // GIR_Coverage, 4952,
     /* 1002340 */     GIR_EraseRootFromParent_Done,
     /* 1002341 */   // Label 14896: @1002341
     /* 1002341 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1002418), // Rule ID 4955 //
     /* 1002346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002385 */     // MIs[0] policy
     /* 1002385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002417 */     // GIR_Coverage, 4955,
     /* 1002417 */     GIR_EraseRootFromParent_Done,
     /* 1002418 */   // Label 14897: @1002418
     /* 1002418 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1002495), // Rule ID 4956 //
     /* 1002423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002462 */     // MIs[0] policy
     /* 1002462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002494 */     // GIR_Coverage, 4956,
     /* 1002494 */     GIR_EraseRootFromParent_Done,
     /* 1002495 */   // Label 14898: @1002495
     /* 1002495 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1002572), // Rule ID 4959 //
     /* 1002500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002539 */     // MIs[0] policy
     /* 1002539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1002552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002571 */     // GIR_Coverage, 4959,
     /* 1002571 */     GIR_EraseRootFromParent_Done,
     /* 1002572 */   // Label 14899: @1002572
     /* 1002572 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1002649), // Rule ID 4960 //
     /* 1002577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002616 */     // MIs[0] policy
     /* 1002616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1002629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002648 */     // GIR_Coverage, 4960,
     /* 1002648 */     GIR_EraseRootFromParent_Done,
     /* 1002649 */   // Label 14900: @1002649
     /* 1002649 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1002726), // Rule ID 4963 //
     /* 1002654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1002671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002693 */     // MIs[0] policy
     /* 1002693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002725 */     // GIR_Coverage, 4963,
     /* 1002725 */     GIR_EraseRootFromParent_Done,
     /* 1002726 */   // Label 14901: @1002726
     /* 1002726 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1002803), // Rule ID 4964 //
     /* 1002731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1002748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002770 */     // MIs[0] policy
     /* 1002770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002802 */     // GIR_Coverage, 4964,
     /* 1002802 */     GIR_EraseRootFromParent_Done,
     /* 1002803 */   // Label 14902: @1002803
     /* 1002803 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002880), // Rule ID 4967 //
     /* 1002808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1002825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002847 */     // MIs[0] policy
     /* 1002847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002879 */     // GIR_Coverage, 4967,
     /* 1002879 */     GIR_EraseRootFromParent_Done,
     /* 1002880 */   // Label 14903: @1002880
     /* 1002880 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1002957), // Rule ID 4968 //
     /* 1002885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1002902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002924 */     // MIs[0] policy
     /* 1002924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002934 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002956 */     // GIR_Coverage, 4968,
     /* 1002956 */     GIR_EraseRootFromParent_Done,
     /* 1002957 */   // Label 14904: @1002957
     /* 1002957 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1003034), // Rule ID 4971 //
     /* 1002962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1002979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003001 */     // MIs[0] policy
     /* 1003001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003033 */     // GIR_Coverage, 4971,
     /* 1003033 */     GIR_EraseRootFromParent_Done,
     /* 1003034 */   // Label 14905: @1003034
     /* 1003034 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1003111), // Rule ID 4972 //
     /* 1003039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003078 */     // MIs[0] policy
     /* 1003078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003110 */     // GIR_Coverage, 4972,
     /* 1003110 */     GIR_EraseRootFromParent_Done,
     /* 1003111 */   // Label 14906: @1003111
     /* 1003111 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1003188), // Rule ID 4975 //
     /* 1003116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003155 */     // MIs[0] policy
     /* 1003155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003165 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003187 */     // GIR_Coverage, 4975,
     /* 1003187 */     GIR_EraseRootFromParent_Done,
     /* 1003188 */   // Label 14907: @1003188
     /* 1003188 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1003265), // Rule ID 4976 //
     /* 1003193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003232 */     // MIs[0] policy
     /* 1003232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003264 */     // GIR_Coverage, 4976,
     /* 1003264 */     GIR_EraseRootFromParent_Done,
     /* 1003265 */   // Label 14908: @1003265
     /* 1003265 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1003342), // Rule ID 4979 //
     /* 1003270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003309 */     // MIs[0] policy
     /* 1003309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003341 */     // GIR_Coverage, 4979,
     /* 1003341 */     GIR_EraseRootFromParent_Done,
     /* 1003342 */   // Label 14909: @1003342
     /* 1003342 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1003419), // Rule ID 4980 //
     /* 1003347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003386 */     // MIs[0] policy
     /* 1003386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003418 */     // GIR_Coverage, 4980,
     /* 1003418 */     GIR_EraseRootFromParent_Done,
     /* 1003419 */   // Label 14910: @1003419
     /* 1003419 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1003496), // Rule ID 4983 //
     /* 1003424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003463 */     // MIs[0] policy
     /* 1003463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003495 */     // GIR_Coverage, 4983,
     /* 1003495 */     GIR_EraseRootFromParent_Done,
     /* 1003496 */   // Label 14911: @1003496
     /* 1003496 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1003573), // Rule ID 4984 //
     /* 1003501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003540 */     // MIs[0] policy
     /* 1003540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003572 */     // GIR_Coverage, 4984,
     /* 1003572 */     GIR_EraseRootFromParent_Done,
     /* 1003573 */   // Label 14912: @1003573
     /* 1003573 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1003650), // Rule ID 4987 //
     /* 1003578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003617 */     // MIs[0] policy
     /* 1003617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1003630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003649 */     // GIR_Coverage, 4987,
     /* 1003649 */     GIR_EraseRootFromParent_Done,
     /* 1003650 */   // Label 14913: @1003650
     /* 1003650 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1003727), // Rule ID 4988 //
     /* 1003655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003694 */     // MIs[0] policy
     /* 1003694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1003707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003726 */     // GIR_Coverage, 4988,
     /* 1003726 */     GIR_EraseRootFromParent_Done,
     /* 1003727 */   // Label 14914: @1003727
     /* 1003727 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1003804), // Rule ID 4991 //
     /* 1003732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003771 */     // MIs[0] policy
     /* 1003771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003781 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1003784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003803 */     // GIR_Coverage, 4991,
     /* 1003803 */     GIR_EraseRootFromParent_Done,
     /* 1003804 */   // Label 14915: @1003804
     /* 1003804 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003881), // Rule ID 4992 //
     /* 1003809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003848 */     // MIs[0] policy
     /* 1003848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1003861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003880 */     // GIR_Coverage, 4992,
     /* 1003880 */     GIR_EraseRootFromParent_Done,
     /* 1003881 */   // Label 14916: @1003881
     /* 1003881 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1003958), // Rule ID 12603 //
     /* 1003886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1003897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1003900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1003906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003925 */     // MIs[0] policy
     /* 1003925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1003938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003957 */     // GIR_Coverage, 12603,
     /* 1003957 */     GIR_EraseRootFromParent_Done,
     /* 1003958 */   // Label 14917: @1003958
     /* 1003958 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1004035), // Rule ID 12604 //
     /* 1003963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1003974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1003977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1003983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004002 */     // MIs[0] policy
     /* 1004002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004034 */     // GIR_Coverage, 12604,
     /* 1004034 */     GIR_EraseRootFromParent_Done,
     /* 1004035 */   // Label 14918: @1004035
     /* 1004035 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1004112), // Rule ID 12607 //
     /* 1004040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004079 */     // MIs[0] policy
     /* 1004079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004089 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004111 */     // GIR_Coverage, 12607,
     /* 1004111 */     GIR_EraseRootFromParent_Done,
     /* 1004112 */   // Label 14919: @1004112
     /* 1004112 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1004189), // Rule ID 12608 //
     /* 1004117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004156 */     // MIs[0] policy
     /* 1004156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004166 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004188 */     // GIR_Coverage, 12608,
     /* 1004188 */     GIR_EraseRootFromParent_Done,
     /* 1004189 */   // Label 14920: @1004189
     /* 1004189 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1004266), // Rule ID 12611 //
     /* 1004194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004233 */     // MIs[0] policy
     /* 1004233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004265 */     // GIR_Coverage, 12611,
     /* 1004265 */     GIR_EraseRootFromParent_Done,
     /* 1004266 */   // Label 14921: @1004266
     /* 1004266 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1004343), // Rule ID 12612 //
     /* 1004271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004310 */     // MIs[0] policy
     /* 1004310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004342 */     // GIR_Coverage, 12612,
     /* 1004342 */     GIR_EraseRootFromParent_Done,
     /* 1004343 */   // Label 14922: @1004343
     /* 1004343 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1004420), // Rule ID 12615 //
     /* 1004348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004387 */     // MIs[0] policy
     /* 1004387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004419 */     // GIR_Coverage, 12615,
     /* 1004419 */     GIR_EraseRootFromParent_Done,
     /* 1004420 */   // Label 14923: @1004420
     /* 1004420 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1004497), // Rule ID 12616 //
     /* 1004425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004464 */     // MIs[0] policy
     /* 1004464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004496 */     // GIR_Coverage, 12616,
     /* 1004496 */     GIR_EraseRootFromParent_Done,
     /* 1004497 */   // Label 14924: @1004497
     /* 1004497 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1004574), // Rule ID 12619 //
     /* 1004502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004541 */     // MIs[0] policy
     /* 1004541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004573 */     // GIR_Coverage, 12619,
     /* 1004573 */     GIR_EraseRootFromParent_Done,
     /* 1004574 */   // Label 14925: @1004574
     /* 1004574 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1004651), // Rule ID 12620 //
     /* 1004579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004618 */     // MIs[0] policy
     /* 1004618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004650 */     // GIR_Coverage, 12620,
     /* 1004650 */     GIR_EraseRootFromParent_Done,
     /* 1004651 */   // Label 14926: @1004651
     /* 1004651 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1004728), // Rule ID 12623 //
     /* 1004656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1004667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1004670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1004676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004695 */     // MIs[0] policy
     /* 1004695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004727 */     // GIR_Coverage, 12623,
     /* 1004727 */     GIR_EraseRootFromParent_Done,
     /* 1004728 */   // Label 14927: @1004728
     /* 1004728 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1004805), // Rule ID 12624 //
     /* 1004733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1004744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1004747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1004753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004772 */     // MIs[0] policy
     /* 1004772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004804 */     // GIR_Coverage, 12624,
     /* 1004804 */     GIR_EraseRootFromParent_Done,
     /* 1004805 */   // Label 14928: @1004805
     /* 1004805 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004882), // Rule ID 12627 //
     /* 1004810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1004827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1004830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004849 */     // MIs[0] policy
     /* 1004849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004881 */     // GIR_Coverage, 12627,
     /* 1004881 */     GIR_EraseRootFromParent_Done,
     /* 1004882 */   // Label 14929: @1004882
     /* 1004882 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1004959), // Rule ID 12628 //
     /* 1004887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1004904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1004907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004926 */     // MIs[0] policy
     /* 1004926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004958 */     // GIR_Coverage, 12628,
     /* 1004958 */     GIR_EraseRootFromParent_Done,
     /* 1004959 */   // Label 14930: @1004959
     /* 1004959 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1005036), // Rule ID 12631 //
     /* 1004964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1004975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1004978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1004981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1004984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005003 */     // MIs[0] policy
     /* 1005003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005035 */     // GIR_Coverage, 12631,
     /* 1005035 */     GIR_EraseRootFromParent_Done,
     /* 1005036 */   // Label 14931: @1005036
     /* 1005036 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1005113), // Rule ID 12632 //
     /* 1005041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005080 */     // MIs[0] policy
     /* 1005080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005112 */     // GIR_Coverage, 12632,
     /* 1005112 */     GIR_EraseRootFromParent_Done,
     /* 1005113 */   // Label 14932: @1005113
     /* 1005113 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1005190), // Rule ID 12635 //
     /* 1005118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005157 */     // MIs[0] policy
     /* 1005157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005189 */     // GIR_Coverage, 12635,
     /* 1005189 */     GIR_EraseRootFromParent_Done,
     /* 1005190 */   // Label 14933: @1005190
     /* 1005190 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1005267), // Rule ID 12636 //
     /* 1005195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005234 */     // MIs[0] policy
     /* 1005234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005266 */     // GIR_Coverage, 12636,
     /* 1005266 */     GIR_EraseRootFromParent_Done,
     /* 1005267 */   // Label 14934: @1005267
     /* 1005267 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1005344), // Rule ID 12639 //
     /* 1005272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005311 */     // MIs[0] policy
     /* 1005311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005343 */     // GIR_Coverage, 12639,
     /* 1005343 */     GIR_EraseRootFromParent_Done,
     /* 1005344 */   // Label 14935: @1005344
     /* 1005344 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1005421), // Rule ID 12640 //
     /* 1005349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005388 */     // MIs[0] policy
     /* 1005388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005398 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005420 */     // GIR_Coverage, 12640,
     /* 1005420 */     GIR_EraseRootFromParent_Done,
     /* 1005421 */   // Label 14936: @1005421
     /* 1005421 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1005498), // Rule ID 12643 //
     /* 1005426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005465 */     // MIs[0] policy
     /* 1005465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005475 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005497 */     // GIR_Coverage, 12643,
     /* 1005497 */     GIR_EraseRootFromParent_Done,
     /* 1005498 */   // Label 14937: @1005498
     /* 1005498 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1005575), // Rule ID 12644 //
     /* 1005503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005542 */     // MIs[0] policy
     /* 1005542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005574 */     // GIR_Coverage, 12644,
     /* 1005574 */     GIR_EraseRootFromParent_Done,
     /* 1005575 */   // Label 14938: @1005575
     /* 1005575 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1005652), // Rule ID 12647 //
     /* 1005580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1005600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005619 */     // MIs[0] policy
     /* 1005619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005629 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005651 */     // GIR_Coverage, 12647,
     /* 1005651 */     GIR_EraseRootFromParent_Done,
     /* 1005652 */   // Label 14939: @1005652
     /* 1005652 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1005729), // Rule ID 12648 //
     /* 1005657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1005677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005696 */     // MIs[0] policy
     /* 1005696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005706 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005728 */     // GIR_Coverage, 12648,
     /* 1005728 */     GIR_EraseRootFromParent_Done,
     /* 1005729 */   // Label 14940: @1005729
     /* 1005729 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1005806), // Rule ID 12651 //
     /* 1005734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1005754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005773 */     // MIs[0] policy
     /* 1005773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005805 */     // GIR_Coverage, 12651,
     /* 1005805 */     GIR_EraseRootFromParent_Done,
     /* 1005806 */   // Label 14941: @1005806
     /* 1005806 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005883), // Rule ID 12652 //
     /* 1005811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1005831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005850 */     // MIs[0] policy
     /* 1005850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005882 */     // GIR_Coverage, 12652,
     /* 1005882 */     GIR_EraseRootFromParent_Done,
     /* 1005883 */   // Label 14942: @1005883
     /* 1005883 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1005960), // Rule ID 12655 //
     /* 1005888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1005899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1005902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1005908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005927 */     // MIs[0] policy
     /* 1005927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005937 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005959 */     // GIR_Coverage, 12655,
     /* 1005959 */     GIR_EraseRootFromParent_Done,
     /* 1005960 */   // Label 14943: @1005960
     /* 1005960 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1006037), // Rule ID 12656 //
     /* 1005965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1005976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1005979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1005985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006004 */     // MIs[0] policy
     /* 1006004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006036 */     // GIR_Coverage, 12656,
     /* 1006036 */     GIR_EraseRootFromParent_Done,
     /* 1006037 */   // Label 14944: @1006037
     /* 1006037 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1006114), // Rule ID 12659 //
     /* 1006042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006081 */     // MIs[0] policy
     /* 1006081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006091 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006113 */     // GIR_Coverage, 12659,
     /* 1006113 */     GIR_EraseRootFromParent_Done,
     /* 1006114 */   // Label 14945: @1006114
     /* 1006114 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1006191), // Rule ID 12660 //
     /* 1006119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006158 */     // MIs[0] policy
     /* 1006158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006190 */     // GIR_Coverage, 12660,
     /* 1006190 */     GIR_EraseRootFromParent_Done,
     /* 1006191 */   // Label 14946: @1006191
     /* 1006191 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1006268), // Rule ID 12663 //
     /* 1006196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006235 */     // MIs[0] policy
     /* 1006235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006267 */     // GIR_Coverage, 12663,
     /* 1006267 */     GIR_EraseRootFromParent_Done,
     /* 1006268 */   // Label 14947: @1006268
     /* 1006268 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1006345), // Rule ID 12664 //
     /* 1006273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006312 */     // MIs[0] policy
     /* 1006312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006344 */     // GIR_Coverage, 12664,
     /* 1006344 */     GIR_EraseRootFromParent_Done,
     /* 1006345 */   // Label 14948: @1006345
     /* 1006345 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1006422), // Rule ID 12667 //
     /* 1006350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006389 */     // MIs[0] policy
     /* 1006389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006421 */     // GIR_Coverage, 12667,
     /* 1006421 */     GIR_EraseRootFromParent_Done,
     /* 1006422 */   // Label 14949: @1006422
     /* 1006422 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1006499), // Rule ID 12668 //
     /* 1006427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006466 */     // MIs[0] policy
     /* 1006466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006498 */     // GIR_Coverage, 12668,
     /* 1006498 */     GIR_EraseRootFromParent_Done,
     /* 1006499 */   // Label 14950: @1006499
     /* 1006499 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1006576), // Rule ID 12671 //
     /* 1006504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006543 */     // MIs[0] policy
     /* 1006543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006575 */     // GIR_Coverage, 12671,
     /* 1006575 */     GIR_EraseRootFromParent_Done,
     /* 1006576 */   // Label 14951: @1006576
     /* 1006576 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1006653), // Rule ID 12672 //
     /* 1006581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006620 */     // MIs[0] policy
     /* 1006620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006652 */     // GIR_Coverage, 12672,
     /* 1006652 */     GIR_EraseRootFromParent_Done,
     /* 1006653 */   // Label 14952: @1006653
     /* 1006653 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1006730), // Rule ID 12675 //
     /* 1006658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1006675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1006678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006697 */     // MIs[0] policy
     /* 1006697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006729 */     // GIR_Coverage, 12675,
     /* 1006729 */     GIR_EraseRootFromParent_Done,
     /* 1006730 */   // Label 14953: @1006730
     /* 1006730 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1006807), // Rule ID 12676 //
     /* 1006735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1006752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1006755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006774 */     // MIs[0] policy
     /* 1006774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006806 */     // GIR_Coverage, 12676,
     /* 1006806 */     GIR_EraseRootFromParent_Done,
     /* 1006807 */   // Label 14954: @1006807
     /* 1006807 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006884), // Rule ID 12679 //
     /* 1006812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1006829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1006832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006851 */     // MIs[0] policy
     /* 1006851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006861 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006883 */     // GIR_Coverage, 12679,
     /* 1006883 */     GIR_EraseRootFromParent_Done,
     /* 1006884 */   // Label 14955: @1006884
     /* 1006884 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1006961), // Rule ID 12680 //
     /* 1006889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1006906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1006909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006928 */     // MIs[0] policy
     /* 1006928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006960 */     // GIR_Coverage, 12680,
     /* 1006960 */     GIR_EraseRootFromParent_Done,
     /* 1006961 */   // Label 14956: @1006961
     /* 1006961 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1007038), // Rule ID 12683 //
     /* 1006966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1006977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1006980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1006983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1006986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007005 */     // MIs[0] policy
     /* 1007005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007015 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007037 */     // GIR_Coverage, 12683,
     /* 1007037 */     GIR_EraseRootFromParent_Done,
     /* 1007038 */   // Label 14957: @1007038
     /* 1007038 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1007115), // Rule ID 12684 //
     /* 1007043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007082 */     // MIs[0] policy
     /* 1007082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007114 */     // GIR_Coverage, 12684,
     /* 1007114 */     GIR_EraseRootFromParent_Done,
     /* 1007115 */   // Label 14958: @1007115
     /* 1007115 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1007192), // Rule ID 12687 //
     /* 1007120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007159 */     // MIs[0] policy
     /* 1007159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007169 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007191 */     // GIR_Coverage, 12687,
     /* 1007191 */     GIR_EraseRootFromParent_Done,
     /* 1007192 */   // Label 14959: @1007192
     /* 1007192 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1007269), // Rule ID 12688 //
     /* 1007197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007236 */     // MIs[0] policy
     /* 1007236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007246 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007268 */     // GIR_Coverage, 12688,
     /* 1007268 */     GIR_EraseRootFromParent_Done,
     /* 1007269 */   // Label 14960: @1007269
     /* 1007269 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1007346), // Rule ID 12691 //
     /* 1007274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007313 */     // MIs[0] policy
     /* 1007313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007323 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007345 */     // GIR_Coverage, 12691,
     /* 1007345 */     GIR_EraseRootFromParent_Done,
     /* 1007346 */   // Label 14961: @1007346
     /* 1007346 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1007423), // Rule ID 12692 //
     /* 1007351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007390 */     // MIs[0] policy
     /* 1007390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007400 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007422 */     // GIR_Coverage, 12692,
     /* 1007422 */     GIR_EraseRootFromParent_Done,
     /* 1007423 */   // Label 14962: @1007423
     /* 1007423 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1007500), // Rule ID 12695 //
     /* 1007428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007467 */     // MIs[0] policy
     /* 1007467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007499 */     // GIR_Coverage, 12695,
     /* 1007499 */     GIR_EraseRootFromParent_Done,
     /* 1007500 */   // Label 14963: @1007500
     /* 1007500 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1007577), // Rule ID 12696 //
     /* 1007505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007544 */     // MIs[0] policy
     /* 1007544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007554 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007576 */     // GIR_Coverage, 12696,
     /* 1007576 */     GIR_EraseRootFromParent_Done,
     /* 1007577 */   // Label 14964: @1007577
     /* 1007577 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1007654), // Rule ID 12699 //
     /* 1007582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1007602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007621 */     // MIs[0] policy
     /* 1007621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007631 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007653 */     // GIR_Coverage, 12699,
     /* 1007653 */     GIR_EraseRootFromParent_Done,
     /* 1007654 */   // Label 14965: @1007654
     /* 1007654 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1007731), // Rule ID 12700 //
     /* 1007659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1007679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007698 */     // MIs[0] policy
     /* 1007698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007730 */     // GIR_Coverage, 12700,
     /* 1007730 */     GIR_EraseRootFromParent_Done,
     /* 1007731 */   // Label 14966: @1007731
     /* 1007731 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1007808), // Rule ID 12703 //
     /* 1007736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1007747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1007750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1007756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007775 */     // MIs[0] policy
     /* 1007775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007785 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007807 */     // GIR_Coverage, 12703,
     /* 1007807 */     GIR_EraseRootFromParent_Done,
     /* 1007808 */   // Label 14967: @1007808
     /* 1007808 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007885), // Rule ID 12704 //
     /* 1007813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1007824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1007827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1007833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007852 */     // MIs[0] policy
     /* 1007852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007862 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007884 */     // GIR_Coverage, 12704,
     /* 1007884 */     GIR_EraseRootFromParent_Done,
     /* 1007885 */   // Label 14968: @1007885
     /* 1007885 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1007962), // Rule ID 12707 //
     /* 1007890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1007910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007929 */     // MIs[0] policy
     /* 1007929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007961 */     // GIR_Coverage, 12707,
     /* 1007961 */     GIR_EraseRootFromParent_Done,
     /* 1007962 */   // Label 14969: @1007962
     /* 1007962 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1008039), // Rule ID 12708 //
     /* 1007967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1007987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008006 */     // MIs[0] policy
     /* 1008006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008038 */     // GIR_Coverage, 12708,
     /* 1008038 */     GIR_EraseRootFromParent_Done,
     /* 1008039 */   // Label 14970: @1008039
     /* 1008039 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1008116), // Rule ID 12711 //
     /* 1008044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008083 */     // MIs[0] policy
     /* 1008083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008093 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008115 */     // GIR_Coverage, 12711,
     /* 1008115 */     GIR_EraseRootFromParent_Done,
     /* 1008116 */   // Label 14971: @1008116
     /* 1008116 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1008193), // Rule ID 12712 //
     /* 1008121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008160 */     // MIs[0] policy
     /* 1008160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008170 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008192 */     // GIR_Coverage, 12712,
     /* 1008192 */     GIR_EraseRootFromParent_Done,
     /* 1008193 */   // Label 14972: @1008193
     /* 1008193 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1008270), // Rule ID 12715 //
     /* 1008198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008237 */     // MIs[0] policy
     /* 1008237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008269 */     // GIR_Coverage, 12715,
     /* 1008269 */     GIR_EraseRootFromParent_Done,
     /* 1008270 */   // Label 14973: @1008270
     /* 1008270 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1008347), // Rule ID 12716 //
     /* 1008275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008314 */     // MIs[0] policy
     /* 1008314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008346 */     // GIR_Coverage, 12716,
     /* 1008346 */     GIR_EraseRootFromParent_Done,
     /* 1008347 */   // Label 14974: @1008347
     /* 1008347 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1008424), // Rule ID 12719 //
     /* 1008352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008391 */     // MIs[0] policy
     /* 1008391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008401 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008423 */     // GIR_Coverage, 12719,
     /* 1008423 */     GIR_EraseRootFromParent_Done,
     /* 1008424 */   // Label 14975: @1008424
     /* 1008424 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1008501), // Rule ID 12720 //
     /* 1008429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008468 */     // MIs[0] policy
     /* 1008468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008500 */     // GIR_Coverage, 12720,
     /* 1008500 */     GIR_EraseRootFromParent_Done,
     /* 1008501 */   // Label 14976: @1008501
     /* 1008501 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1008578), // Rule ID 12723 //
     /* 1008506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1008509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008545 */     // MIs[0] policy
     /* 1008545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008577 */     // GIR_Coverage, 12723,
     /* 1008577 */     GIR_EraseRootFromParent_Done,
     /* 1008578 */   // Label 14977: @1008578
     /* 1008578 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1008655), // Rule ID 12724 //
     /* 1008583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1008586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008622 */     // MIs[0] policy
     /* 1008622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008654 */     // GIR_Coverage, 12724,
     /* 1008654 */     GIR_EraseRootFromParent_Done,
     /* 1008655 */   // Label 14978: @1008655
     /* 1008655 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1008732), // Rule ID 12727 //
     /* 1008660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1008671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1008674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1008680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008699 */     // MIs[0] policy
     /* 1008699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008709 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008731 */     // GIR_Coverage, 12727,
     /* 1008731 */     GIR_EraseRootFromParent_Done,
     /* 1008732 */   // Label 14979: @1008732
     /* 1008732 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1008809), // Rule ID 12728 //
     /* 1008737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1008748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1008751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1008757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008776 */     // MIs[0] policy
     /* 1008776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008786 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008808 */     // GIR_Coverage, 12728,
     /* 1008808 */     GIR_EraseRootFromParent_Done,
     /* 1008809 */   // Label 14980: @1008809
     /* 1008809 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008886), // Rule ID 12731 //
     /* 1008814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1008825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1008828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1008834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008853 */     // MIs[0] policy
     /* 1008853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008863 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008885 */     // GIR_Coverage, 12731,
     /* 1008885 */     GIR_EraseRootFromParent_Done,
     /* 1008886 */   // Label 14981: @1008886
     /* 1008886 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1008963), // Rule ID 12732 //
     /* 1008891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1008902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1008905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1008911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008930 */     // MIs[0] policy
     /* 1008930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008940 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008962 */     // GIR_Coverage, 12732,
     /* 1008962 */     GIR_EraseRootFromParent_Done,
     /* 1008963 */   // Label 14982: @1008963
     /* 1008963 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1009040), // Rule ID 12735 //
     /* 1008968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1008979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1008982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1008988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009007 */     // MIs[0] policy
     /* 1009007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009017 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009039 */     // GIR_Coverage, 12735,
     /* 1009039 */     GIR_EraseRootFromParent_Done,
     /* 1009040 */   // Label 14983: @1009040
     /* 1009040 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1009117), // Rule ID 12736 //
     /* 1009045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009084 */     // MIs[0] policy
     /* 1009084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009094 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009116 */     // GIR_Coverage, 12736,
     /* 1009116 */     GIR_EraseRootFromParent_Done,
     /* 1009117 */   // Label 14984: @1009117
     /* 1009117 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1009194), // Rule ID 12739 //
     /* 1009122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009161 */     // MIs[0] policy
     /* 1009161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009193 */     // GIR_Coverage, 12739,
     /* 1009193 */     GIR_EraseRootFromParent_Done,
     /* 1009194 */   // Label 14985: @1009194
     /* 1009194 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1009271), // Rule ID 12740 //
     /* 1009199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009238 */     // MIs[0] policy
     /* 1009238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009270 */     // GIR_Coverage, 12740,
     /* 1009270 */     GIR_EraseRootFromParent_Done,
     /* 1009271 */   // Label 14986: @1009271
     /* 1009271 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1009348), // Rule ID 12743 //
     /* 1009276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009315 */     // MIs[0] policy
     /* 1009315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009347 */     // GIR_Coverage, 12743,
     /* 1009347 */     GIR_EraseRootFromParent_Done,
     /* 1009348 */   // Label 14987: @1009348
     /* 1009348 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1009425), // Rule ID 12744 //
     /* 1009353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009392 */     // MIs[0] policy
     /* 1009392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009424 */     // GIR_Coverage, 12744,
     /* 1009424 */     GIR_EraseRootFromParent_Done,
     /* 1009425 */   // Label 14988: @1009425
     /* 1009425 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1009502), // Rule ID 12747 //
     /* 1009430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009469 */     // MIs[0] policy
     /* 1009469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009479 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009501 */     // GIR_Coverage, 12747,
     /* 1009501 */     GIR_EraseRootFromParent_Done,
     /* 1009502 */   // Label 14989: @1009502
     /* 1009502 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1009579), // Rule ID 12748 //
     /* 1009507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009546 */     // MIs[0] policy
     /* 1009546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009556 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009578 */     // GIR_Coverage, 12748,
     /* 1009578 */     GIR_EraseRootFromParent_Done,
     /* 1009579 */   // Label 14990: @1009579
     /* 1009579 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1009656), // Rule ID 12751 //
     /* 1009584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1009595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1009598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1009604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009623 */     // MIs[0] policy
     /* 1009623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009655 */     // GIR_Coverage, 12751,
     /* 1009655 */     GIR_EraseRootFromParent_Done,
     /* 1009656 */   // Label 14991: @1009656
     /* 1009656 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1009733), // Rule ID 12752 //
     /* 1009661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1009672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1009675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1009681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009700 */     // MIs[0] policy
     /* 1009700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009732 */     // GIR_Coverage, 12752,
     /* 1009732 */     GIR_EraseRootFromParent_Done,
     /* 1009733 */   // Label 14992: @1009733
     /* 1009733 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1009810), // Rule ID 12755 //
     /* 1009738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1009749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1009752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1009758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009777 */     // MIs[0] policy
     /* 1009777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009809 */     // GIR_Coverage, 12755,
     /* 1009809 */     GIR_EraseRootFromParent_Done,
     /* 1009810 */   // Label 14993: @1009810
     /* 1009810 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009887), // Rule ID 12756 //
     /* 1009815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1009826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1009829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1009835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009854 */     // MIs[0] policy
     /* 1009854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009886 */     // GIR_Coverage, 12756,
     /* 1009886 */     GIR_EraseRootFromParent_Done,
     /* 1009887 */   // Label 14994: @1009887
     /* 1009887 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1009964), // Rule ID 12759 //
     /* 1009892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1009903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1009906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1009912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009931 */     // MIs[0] policy
     /* 1009931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009941 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009963 */     // GIR_Coverage, 12759,
     /* 1009963 */     GIR_EraseRootFromParent_Done,
     /* 1009964 */   // Label 14995: @1009964
     /* 1009964 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1010041), // Rule ID 12760 //
     /* 1009969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1009980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1009983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1009989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010008 */     // MIs[0] policy
     /* 1010008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010040 */     // GIR_Coverage, 12760,
     /* 1010040 */     GIR_EraseRootFromParent_Done,
     /* 1010041 */   // Label 14996: @1010041
     /* 1010041 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1010118), // Rule ID 12763 //
     /* 1010046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010085 */     // MIs[0] policy
     /* 1010085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010095 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010117 */     // GIR_Coverage, 12763,
     /* 1010117 */     GIR_EraseRootFromParent_Done,
     /* 1010118 */   // Label 14997: @1010118
     /* 1010118 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1010195), // Rule ID 12764 //
     /* 1010123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010162 */     // MIs[0] policy
     /* 1010162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010194 */     // GIR_Coverage, 12764,
     /* 1010194 */     GIR_EraseRootFromParent_Done,
     /* 1010195 */   // Label 14998: @1010195
     /* 1010195 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1010272), // Rule ID 12767 //
     /* 1010200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010239 */     // MIs[0] policy
     /* 1010239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010271 */     // GIR_Coverage, 12767,
     /* 1010271 */     GIR_EraseRootFromParent_Done,
     /* 1010272 */   // Label 14999: @1010272
     /* 1010272 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1010349), // Rule ID 12768 //
     /* 1010277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010316 */     // MIs[0] policy
     /* 1010316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010348 */     // GIR_Coverage, 12768,
     /* 1010348 */     GIR_EraseRootFromParent_Done,
     /* 1010349 */   // Label 15000: @1010349
     /* 1010349 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1010426), // Rule ID 12771 //
     /* 1010354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010393 */     // MIs[0] policy
     /* 1010393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010425 */     // GIR_Coverage, 12771,
     /* 1010425 */     GIR_EraseRootFromParent_Done,
     /* 1010426 */   // Label 15001: @1010426
     /* 1010426 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1010503), // Rule ID 12772 //
     /* 1010431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010470 */     // MIs[0] policy
     /* 1010470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010502 */     // GIR_Coverage, 12772,
     /* 1010502 */     GIR_EraseRootFromParent_Done,
     /* 1010503 */   // Label 15002: @1010503
     /* 1010503 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1010580), // Rule ID 12775 //
     /* 1010508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010547 */     // MIs[0] policy
     /* 1010547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010557 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1010560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010579 */     // GIR_Coverage, 12775,
     /* 1010579 */     GIR_EraseRootFromParent_Done,
     /* 1010580 */   // Label 15003: @1010580
     /* 1010580 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1010657), // Rule ID 12776 //
     /* 1010585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010624 */     // MIs[0] policy
     /* 1010624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1010637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010656 */     // GIR_Coverage, 12776,
     /* 1010656 */     GIR_EraseRootFromParent_Done,
     /* 1010657 */   // Label 15004: @1010657
     /* 1010657 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1010734), // Rule ID 12779 //
     /* 1010662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1010673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1010676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1010679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1010682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010701 */     // MIs[0] policy
     /* 1010701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010711 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1010714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010733 */     // GIR_Coverage, 12779,
     /* 1010733 */     GIR_EraseRootFromParent_Done,
     /* 1010734 */   // Label 15005: @1010734
     /* 1010734 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1010811), // Rule ID 12780 //
     /* 1010739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1010750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1010753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1010756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1010759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010778 */     // MIs[0] policy
     /* 1010778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010788 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1010791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010810 */     // GIR_Coverage, 12780,
     /* 1010810 */     GIR_EraseRootFromParent_Done,
     /* 1010811 */   // Label 15006: @1010811
     /* 1010811 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010888), // Rule ID 12783 //
     /* 1010816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1010827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1010830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1010833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1010836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010855 */     // MIs[0] policy
     /* 1010855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010865 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1010868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010887 */     // GIR_Coverage, 12783,
     /* 1010887 */     GIR_EraseRootFromParent_Done,
     /* 1010888 */   // Label 15007: @1010888
     /* 1010888 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1010965), // Rule ID 12784 //
     /* 1010893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1010904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1010907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1010910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1010913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010932 */     // MIs[0] policy
     /* 1010932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010942 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1010945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010964 */     // GIR_Coverage, 12784,
     /* 1010964 */     GIR_EraseRootFromParent_Done,
     /* 1010965 */   // Label 15008: @1010965
     /* 1010965 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1011042), // Rule ID 12787 //
     /* 1010970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1010981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1010984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1010987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1010990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011009 */     // MIs[0] policy
     /* 1011009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011041 */     // GIR_Coverage, 12787,
     /* 1011041 */     GIR_EraseRootFromParent_Done,
     /* 1011042 */   // Label 15009: @1011042
     /* 1011042 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1011119), // Rule ID 12788 //
     /* 1011047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011086 */     // MIs[0] policy
     /* 1011086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011118 */     // GIR_Coverage, 12788,
     /* 1011118 */     GIR_EraseRootFromParent_Done,
     /* 1011119 */   // Label 15010: @1011119
     /* 1011119 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1011196), // Rule ID 12791 //
     /* 1011124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011163 */     // MIs[0] policy
     /* 1011163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011195 */     // GIR_Coverage, 12791,
     /* 1011195 */     GIR_EraseRootFromParent_Done,
     /* 1011196 */   // Label 15011: @1011196
     /* 1011196 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1011273), // Rule ID 12792 //
     /* 1011201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011240 */     // MIs[0] policy
     /* 1011240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011250 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011272 */     // GIR_Coverage, 12792,
     /* 1011272 */     GIR_EraseRootFromParent_Done,
     /* 1011273 */   // Label 15012: @1011273
     /* 1011273 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1011350), // Rule ID 12795 //
     /* 1011278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011317 */     // MIs[0] policy
     /* 1011317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011349 */     // GIR_Coverage, 12795,
     /* 1011349 */     GIR_EraseRootFromParent_Done,
     /* 1011350 */   // Label 15013: @1011350
     /* 1011350 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1011427), // Rule ID 12796 //
     /* 1011355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011394 */     // MIs[0] policy
     /* 1011394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011426 */     // GIR_Coverage, 12796,
     /* 1011426 */     GIR_EraseRootFromParent_Done,
     /* 1011427 */   // Label 15014: @1011427
     /* 1011427 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1011504), // Rule ID 12799 //
     /* 1011432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011471 */     // MIs[0] policy
     /* 1011471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011481 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011503 */     // GIR_Coverage, 12799,
     /* 1011503 */     GIR_EraseRootFromParent_Done,
     /* 1011504 */   // Label 15015: @1011504
     /* 1011504 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1011581), // Rule ID 12800 //
     /* 1011509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011548 */     // MIs[0] policy
     /* 1011548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011558 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011580 */     // GIR_Coverage, 12800,
     /* 1011580 */     GIR_EraseRootFromParent_Done,
     /* 1011581 */   // Label 15016: @1011581
     /* 1011581 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1011658), // Rule ID 12803 //
     /* 1011586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1011597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1011600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1011603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1011606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011625 */     // MIs[0] policy
     /* 1011625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011635 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011657 */     // GIR_Coverage, 12803,
     /* 1011657 */     GIR_EraseRootFromParent_Done,
     /* 1011658 */   // Label 15017: @1011658
     /* 1011658 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1011735), // Rule ID 12804 //
     /* 1011663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1011674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1011677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1011680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1011683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011702 */     // MIs[0] policy
     /* 1011702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011734 */     // GIR_Coverage, 12804,
     /* 1011734 */     GIR_EraseRootFromParent_Done,
     /* 1011735 */   // Label 15018: @1011735
     /* 1011735 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1011812), // Rule ID 12807 //
     /* 1011740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1011751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1011754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1011757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1011760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011779 */     // MIs[0] policy
     /* 1011779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011811 */     // GIR_Coverage, 12807,
     /* 1011811 */     GIR_EraseRootFromParent_Done,
     /* 1011812 */   // Label 15019: @1011812
     /* 1011812 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011889), // Rule ID 12808 //
     /* 1011817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1011828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1011831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1011834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1011837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011856 */     // MIs[0] policy
     /* 1011856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011888 */     // GIR_Coverage, 12808,
     /* 1011888 */     GIR_EraseRootFromParent_Done,
     /* 1011889 */   // Label 15020: @1011889
     /* 1011889 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1011966), // Rule ID 12811 //
     /* 1011894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1011905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1011908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1011911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1011914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011933 */     // MIs[0] policy
     /* 1011933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011965 */     // GIR_Coverage, 12811,
     /* 1011965 */     GIR_EraseRootFromParent_Done,
     /* 1011966 */   // Label 15021: @1011966
     /* 1011966 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1012043), // Rule ID 12812 //
     /* 1011971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1011982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1011985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1011988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1011991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012010 */     // MIs[0] policy
     /* 1012010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012042 */     // GIR_Coverage, 12812,
     /* 1012042 */     GIR_EraseRootFromParent_Done,
     /* 1012043 */   // Label 15022: @1012043
     /* 1012043 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1012120), // Rule ID 12815 //
     /* 1012048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012087 */     // MIs[0] policy
     /* 1012087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012119 */     // GIR_Coverage, 12815,
     /* 1012119 */     GIR_EraseRootFromParent_Done,
     /* 1012120 */   // Label 15023: @1012120
     /* 1012120 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1012197), // Rule ID 12816 //
     /* 1012125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012164 */     // MIs[0] policy
     /* 1012164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012196 */     // GIR_Coverage, 12816,
     /* 1012196 */     GIR_EraseRootFromParent_Done,
     /* 1012197 */   // Label 15024: @1012197
     /* 1012197 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1012274), // Rule ID 12819 //
     /* 1012202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012241 */     // MIs[0] policy
     /* 1012241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012273 */     // GIR_Coverage, 12819,
     /* 1012273 */     GIR_EraseRootFromParent_Done,
     /* 1012274 */   // Label 15025: @1012274
     /* 1012274 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1012351), // Rule ID 12820 //
     /* 1012279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012318 */     // MIs[0] policy
     /* 1012318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012350 */     // GIR_Coverage, 12820,
     /* 1012350 */     GIR_EraseRootFromParent_Done,
     /* 1012351 */   // Label 15026: @1012351
     /* 1012351 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1012428), // Rule ID 12823 //
     /* 1012356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012395 */     // MIs[0] policy
     /* 1012395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012405 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012427 */     // GIR_Coverage, 12823,
     /* 1012427 */     GIR_EraseRootFromParent_Done,
     /* 1012428 */   // Label 15027: @1012428
     /* 1012428 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1012505), // Rule ID 12824 //
     /* 1012433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012472 */     // MIs[0] policy
     /* 1012472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012482 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012504 */     // GIR_Coverage, 12824,
     /* 1012504 */     GIR_EraseRootFromParent_Done,
     /* 1012505 */   // Label 15028: @1012505
     /* 1012505 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1012582), // Rule ID 12827 //
     /* 1012510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012549 */     // MIs[0] policy
     /* 1012549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012581 */     // GIR_Coverage, 12827,
     /* 1012581 */     GIR_EraseRootFromParent_Done,
     /* 1012582 */   // Label 15029: @1012582
     /* 1012582 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1012659), // Rule ID 12828 //
     /* 1012587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012626 */     // MIs[0] policy
     /* 1012626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012636 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012658 */     // GIR_Coverage, 12828,
     /* 1012658 */     GIR_EraseRootFromParent_Done,
     /* 1012659 */   // Label 15030: @1012659
     /* 1012659 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1012736), // Rule ID 12831 //
     /* 1012664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1012675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1012678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1012681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1012684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012703 */     // MIs[0] policy
     /* 1012703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012713 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012735 */     // GIR_Coverage, 12831,
     /* 1012735 */     GIR_EraseRootFromParent_Done,
     /* 1012736 */   // Label 15031: @1012736
     /* 1012736 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1012813), // Rule ID 12832 //
     /* 1012741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1012752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1012755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1012758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1012761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012780 */     // MIs[0] policy
     /* 1012780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012812 */     // GIR_Coverage, 12832,
     /* 1012812 */     GIR_EraseRootFromParent_Done,
     /* 1012813 */   // Label 15032: @1012813
     /* 1012813 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012890), // Rule ID 12835 //
     /* 1012818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1012829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1012832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1012835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1012838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012857 */     // MIs[0] policy
     /* 1012857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012889 */     // GIR_Coverage, 12835,
     /* 1012889 */     GIR_EraseRootFromParent_Done,
     /* 1012890 */   // Label 15033: @1012890
     /* 1012890 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1012967), // Rule ID 12836 //
     /* 1012895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1012906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1012909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1012912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1012915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012934 */     // MIs[0] policy
     /* 1012934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012966 */     // GIR_Coverage, 12836,
     /* 1012966 */     GIR_EraseRootFromParent_Done,
     /* 1012967 */   // Label 15034: @1012967
     /* 1012967 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1013044), // Rule ID 12839 //
     /* 1012972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1012983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1012986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1012989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1012992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013011 */     // MIs[0] policy
     /* 1013011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013043 */     // GIR_Coverage, 12839,
     /* 1013043 */     GIR_EraseRootFromParent_Done,
     /* 1013044 */   // Label 15035: @1013044
     /* 1013044 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1013121), // Rule ID 12840 //
     /* 1013049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013088 */     // MIs[0] policy
     /* 1013088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013120 */     // GIR_Coverage, 12840,
     /* 1013120 */     GIR_EraseRootFromParent_Done,
     /* 1013121 */   // Label 15036: @1013121
     /* 1013121 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1013198), // Rule ID 12843 //
     /* 1013126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013165 */     // MIs[0] policy
     /* 1013165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013197 */     // GIR_Coverage, 12843,
     /* 1013197 */     GIR_EraseRootFromParent_Done,
     /* 1013198 */   // Label 15037: @1013198
     /* 1013198 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1013275), // Rule ID 12844 //
     /* 1013203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013242 */     // MIs[0] policy
     /* 1013242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013274 */     // GIR_Coverage, 12844,
     /* 1013274 */     GIR_EraseRootFromParent_Done,
     /* 1013275 */   // Label 15038: @1013275
     /* 1013275 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1013352), // Rule ID 12847 //
     /* 1013280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013319 */     // MIs[0] policy
     /* 1013319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013351 */     // GIR_Coverage, 12847,
     /* 1013351 */     GIR_EraseRootFromParent_Done,
     /* 1013352 */   // Label 15039: @1013352
     /* 1013352 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1013429), // Rule ID 12848 //
     /* 1013357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013396 */     // MIs[0] policy
     /* 1013396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013428 */     // GIR_Coverage, 12848,
     /* 1013428 */     GIR_EraseRootFromParent_Done,
     /* 1013429 */   // Label 15040: @1013429
     /* 1013429 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1013506), // Rule ID 12851 //
     /* 1013434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013473 */     // MIs[0] policy
     /* 1013473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013505 */     // GIR_Coverage, 12851,
     /* 1013505 */     GIR_EraseRootFromParent_Done,
     /* 1013506 */   // Label 15041: @1013506
     /* 1013506 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1013583), // Rule ID 12852 //
     /* 1013511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013550 */     // MIs[0] policy
     /* 1013550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013582 */     // GIR_Coverage, 12852,
     /* 1013582 */     GIR_EraseRootFromParent_Done,
     /* 1013583 */   // Label 15042: @1013583
     /* 1013583 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1013660), // Rule ID 12855 //
     /* 1013588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1013599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1013602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1013605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1013608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013627 */     // MIs[0] policy
     /* 1013627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013659 */     // GIR_Coverage, 12855,
     /* 1013659 */     GIR_EraseRootFromParent_Done,
     /* 1013660 */   // Label 15043: @1013660
     /* 1013660 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1013737), // Rule ID 12856 //
     /* 1013665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1013676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1013679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1013682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1013685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013704 */     // MIs[0] policy
     /* 1013704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013736 */     // GIR_Coverage, 12856,
     /* 1013736 */     GIR_EraseRootFromParent_Done,
     /* 1013737 */   // Label 15044: @1013737
     /* 1013737 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1013814), // Rule ID 12859 //
     /* 1013742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1013753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1013756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1013759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1013762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013781 */     // MIs[0] policy
     /* 1013781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013813 */     // GIR_Coverage, 12859,
     /* 1013813 */     GIR_EraseRootFromParent_Done,
     /* 1013814 */   // Label 15045: @1013814
     /* 1013814 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013891), // Rule ID 12860 //
     /* 1013819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1013830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1013833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1013836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1013839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013858 */     // MIs[0] policy
     /* 1013858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013890 */     // GIR_Coverage, 12860,
     /* 1013890 */     GIR_EraseRootFromParent_Done,
     /* 1013891 */   // Label 15046: @1013891
     /* 1013891 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1013968), // Rule ID 12863 //
     /* 1013896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1013907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1013910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1013916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013935 */     // MIs[0] policy
     /* 1013935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013945 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1013948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013967 */     // GIR_Coverage, 12863,
     /* 1013967 */     GIR_EraseRootFromParent_Done,
     /* 1013968 */   // Label 15047: @1013968
     /* 1013968 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1014045), // Rule ID 12864 //
     /* 1013973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1013984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1013987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1013993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014012 */     // MIs[0] policy
     /* 1014012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014022 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1014025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014044 */     // GIR_Coverage, 12864,
     /* 1014044 */     GIR_EraseRootFromParent_Done,
     /* 1014045 */   // Label 15048: @1014045
     /* 1014045 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1014122), // Rule ID 12867 //
     /* 1014050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014089 */     // MIs[0] policy
     /* 1014089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014099 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014121 */     // GIR_Coverage, 12867,
     /* 1014121 */     GIR_EraseRootFromParent_Done,
     /* 1014122 */   // Label 15049: @1014122
     /* 1014122 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1014199), // Rule ID 12868 //
     /* 1014127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014166 */     // MIs[0] policy
     /* 1014166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014198 */     // GIR_Coverage, 12868,
     /* 1014198 */     GIR_EraseRootFromParent_Done,
     /* 1014199 */   // Label 15050: @1014199
     /* 1014199 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1014276), // Rule ID 12871 //
     /* 1014204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014243 */     // MIs[0] policy
     /* 1014243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014275 */     // GIR_Coverage, 12871,
     /* 1014275 */     GIR_EraseRootFromParent_Done,
     /* 1014276 */   // Label 15051: @1014276
     /* 1014276 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1014353), // Rule ID 12872 //
     /* 1014281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014320 */     // MIs[0] policy
     /* 1014320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014352 */     // GIR_Coverage, 12872,
     /* 1014352 */     GIR_EraseRootFromParent_Done,
     /* 1014353 */   // Label 15052: @1014353
     /* 1014353 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1014430), // Rule ID 12875 //
     /* 1014358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014397 */     // MIs[0] policy
     /* 1014397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014407 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014429 */     // GIR_Coverage, 12875,
     /* 1014429 */     GIR_EraseRootFromParent_Done,
     /* 1014430 */   // Label 15053: @1014430
     /* 1014430 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1014507), // Rule ID 12876 //
     /* 1014435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014474 */     // MIs[0] policy
     /* 1014474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014506 */     // GIR_Coverage, 12876,
     /* 1014506 */     GIR_EraseRootFromParent_Done,
     /* 1014507 */   // Label 15054: @1014507
     /* 1014507 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1014584), // Rule ID 12879 //
     /* 1014512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014551 */     // MIs[0] policy
     /* 1014551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014583 */     // GIR_Coverage, 12879,
     /* 1014583 */     GIR_EraseRootFromParent_Done,
     /* 1014584 */   // Label 15055: @1014584
     /* 1014584 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1014661), // Rule ID 12880 //
     /* 1014589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014628 */     // MIs[0] policy
     /* 1014628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014660 */     // GIR_Coverage, 12880,
     /* 1014660 */     GIR_EraseRootFromParent_Done,
     /* 1014661 */   // Label 15056: @1014661
     /* 1014661 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1014738), // Rule ID 12883 //
     /* 1014666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1014677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1014680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1014686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014705 */     // MIs[0] policy
     /* 1014705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014737 */     // GIR_Coverage, 12883,
     /* 1014737 */     GIR_EraseRootFromParent_Done,
     /* 1014738 */   // Label 15057: @1014738
     /* 1014738 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1014815), // Rule ID 12884 //
     /* 1014743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1014754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1014757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1014763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014782 */     // MIs[0] policy
     /* 1014782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014814 */     // GIR_Coverage, 12884,
     /* 1014814 */     GIR_EraseRootFromParent_Done,
     /* 1014815 */   // Label 15058: @1014815
     /* 1014815 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014892), // Rule ID 12887 //
     /* 1014820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1014831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1014834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1014840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014859 */     // MIs[0] policy
     /* 1014859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014891 */     // GIR_Coverage, 12887,
     /* 1014891 */     GIR_EraseRootFromParent_Done,
     /* 1014892 */   // Label 15059: @1014892
     /* 1014892 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1014969), // Rule ID 12888 //
     /* 1014897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1014908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1014911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1014917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014936 */     // MIs[0] policy
     /* 1014936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014968 */     // GIR_Coverage, 12888,
     /* 1014968 */     GIR_EraseRootFromParent_Done,
     /* 1014969 */   // Label 15060: @1014969
     /* 1014969 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1015046), // Rule ID 12891 //
     /* 1014974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1014985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1014988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1014994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015013 */     // MIs[0] policy
     /* 1015013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015045 */     // GIR_Coverage, 12891,
     /* 1015045 */     GIR_EraseRootFromParent_Done,
     /* 1015046 */   // Label 15061: @1015046
     /* 1015046 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1015123), // Rule ID 12892 //
     /* 1015051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015090 */     // MIs[0] policy
     /* 1015090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015122 */     // GIR_Coverage, 12892,
     /* 1015122 */     GIR_EraseRootFromParent_Done,
     /* 1015123 */   // Label 15062: @1015123
     /* 1015123 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1015200), // Rule ID 12895 //
     /* 1015128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015167 */     // MIs[0] policy
     /* 1015167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015199 */     // GIR_Coverage, 12895,
     /* 1015199 */     GIR_EraseRootFromParent_Done,
     /* 1015200 */   // Label 15063: @1015200
     /* 1015200 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1015277), // Rule ID 12896 //
     /* 1015205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015244 */     // MIs[0] policy
     /* 1015244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015276 */     // GIR_Coverage, 12896,
     /* 1015276 */     GIR_EraseRootFromParent_Done,
     /* 1015277 */   // Label 15064: @1015277
     /* 1015277 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1015354), // Rule ID 12899 //
     /* 1015282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015321 */     // MIs[0] policy
     /* 1015321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015353 */     // GIR_Coverage, 12899,
     /* 1015353 */     GIR_EraseRootFromParent_Done,
     /* 1015354 */   // Label 15065: @1015354
     /* 1015354 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1015431), // Rule ID 12900 //
     /* 1015359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015398 */     // MIs[0] policy
     /* 1015398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015430 */     // GIR_Coverage, 12900,
     /* 1015430 */     GIR_EraseRootFromParent_Done,
     /* 1015431 */   // Label 15066: @1015431
     /* 1015431 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1015508), // Rule ID 12903 //
     /* 1015436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015475 */     // MIs[0] policy
     /* 1015475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015485 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015507 */     // GIR_Coverage, 12903,
     /* 1015507 */     GIR_EraseRootFromParent_Done,
     /* 1015508 */   // Label 15067: @1015508
     /* 1015508 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1015585), // Rule ID 12904 //
     /* 1015513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015552 */     // MIs[0] policy
     /* 1015552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015584 */     // GIR_Coverage, 12904,
     /* 1015584 */     GIR_EraseRootFromParent_Done,
     /* 1015585 */   // Label 15068: @1015585
     /* 1015585 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1015662), // Rule ID 12907 //
     /* 1015590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1015601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1015604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1015610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015629 */     // MIs[0] policy
     /* 1015629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015661 */     // GIR_Coverage, 12907,
     /* 1015661 */     GIR_EraseRootFromParent_Done,
     /* 1015662 */   // Label 15069: @1015662
     /* 1015662 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1015739), // Rule ID 12908 //
     /* 1015667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1015678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1015681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1015687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015706 */     // MIs[0] policy
     /* 1015706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015716 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015738 */     // GIR_Coverage, 12908,
     /* 1015738 */     GIR_EraseRootFromParent_Done,
     /* 1015739 */   // Label 15070: @1015739
     /* 1015739 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1015816), // Rule ID 12911 //
     /* 1015744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1015755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1015758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1015764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015783 */     // MIs[0] policy
     /* 1015783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015793 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015815 */     // GIR_Coverage, 12911,
     /* 1015815 */     GIR_EraseRootFromParent_Done,
     /* 1015816 */   // Label 15071: @1015816
     /* 1015816 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015893), // Rule ID 12912 //
     /* 1015821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1015832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1015835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1015841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015860 */     // MIs[0] policy
     /* 1015860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015870 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015892 */     // GIR_Coverage, 12912,
     /* 1015892 */     GIR_EraseRootFromParent_Done,
     /* 1015893 */   // Label 15072: @1015893
     /* 1015893 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1015970), // Rule ID 12915 //
     /* 1015898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1015909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1015912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1015918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015937 */     // MIs[0] policy
     /* 1015937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015969 */     // GIR_Coverage, 12915,
     /* 1015969 */     GIR_EraseRootFromParent_Done,
     /* 1015970 */   // Label 15073: @1015970
     /* 1015970 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1016047), // Rule ID 12916 //
     /* 1015975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1015986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1015989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1015995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016014 */     // MIs[0] policy
     /* 1016014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016046 */     // GIR_Coverage, 12916,
     /* 1016046 */     GIR_EraseRootFromParent_Done,
     /* 1016047 */   // Label 15074: @1016047
     /* 1016047 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1016124), // Rule ID 12919 //
     /* 1016052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016091 */     // MIs[0] policy
     /* 1016091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016123 */     // GIR_Coverage, 12919,
     /* 1016123 */     GIR_EraseRootFromParent_Done,
     /* 1016124 */   // Label 15075: @1016124
     /* 1016124 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1016201), // Rule ID 12920 //
     /* 1016129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016168 */     // MIs[0] policy
     /* 1016168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016200 */     // GIR_Coverage, 12920,
     /* 1016200 */     GIR_EraseRootFromParent_Done,
     /* 1016201 */   // Label 15076: @1016201
     /* 1016201 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1016278), // Rule ID 12923 //
     /* 1016206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016245 */     // MIs[0] policy
     /* 1016245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016277 */     // GIR_Coverage, 12923,
     /* 1016277 */     GIR_EraseRootFromParent_Done,
     /* 1016278 */   // Label 15077: @1016278
     /* 1016278 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1016355), // Rule ID 12924 //
     /* 1016283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016322 */     // MIs[0] policy
     /* 1016322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016354 */     // GIR_Coverage, 12924,
     /* 1016354 */     GIR_EraseRootFromParent_Done,
     /* 1016355 */   // Label 15078: @1016355
     /* 1016355 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1016432), // Rule ID 12927 //
     /* 1016360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016399 */     // MIs[0] policy
     /* 1016399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016431 */     // GIR_Coverage, 12927,
     /* 1016431 */     GIR_EraseRootFromParent_Done,
     /* 1016432 */   // Label 15079: @1016432
     /* 1016432 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1016509), // Rule ID 12928 //
     /* 1016437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016476 */     // MIs[0] policy
     /* 1016476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016508 */     // GIR_Coverage, 12928,
     /* 1016508 */     GIR_EraseRootFromParent_Done,
     /* 1016509 */   // Label 15080: @1016509
     /* 1016509 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1016586), // Rule ID 12931 //
     /* 1016514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016553 */     // MIs[0] policy
     /* 1016553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016585 */     // GIR_Coverage, 12931,
     /* 1016585 */     GIR_EraseRootFromParent_Done,
     /* 1016586 */   // Label 15081: @1016586
     /* 1016586 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1016663), // Rule ID 12932 //
     /* 1016591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016630 */     // MIs[0] policy
     /* 1016630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016662 */     // GIR_Coverage, 12932,
     /* 1016662 */     GIR_EraseRootFromParent_Done,
     /* 1016663 */   // Label 15082: @1016663
     /* 1016663 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1016740), // Rule ID 12935 //
     /* 1016668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1016679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1016682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1016688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016707 */     // MIs[0] policy
     /* 1016707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016739 */     // GIR_Coverage, 12935,
     /* 1016739 */     GIR_EraseRootFromParent_Done,
     /* 1016740 */   // Label 15083: @1016740
     /* 1016740 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1016817), // Rule ID 12936 //
     /* 1016745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1016756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1016759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1016765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016784 */     // MIs[0] policy
     /* 1016784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016816 */     // GIR_Coverage, 12936,
     /* 1016816 */     GIR_EraseRootFromParent_Done,
     /* 1016817 */   // Label 15084: @1016817
     /* 1016817 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016894), // Rule ID 12939 //
     /* 1016822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1016833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1016836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1016842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016861 */     // MIs[0] policy
     /* 1016861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016893 */     // GIR_Coverage, 12939,
     /* 1016893 */     GIR_EraseRootFromParent_Done,
     /* 1016894 */   // Label 15085: @1016894
     /* 1016894 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1016971), // Rule ID 12940 //
     /* 1016899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1016902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1016910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1016913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1016919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016938 */     // MIs[0] policy
     /* 1016938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016948 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016970 */     // GIR_Coverage, 12940,
     /* 1016970 */     GIR_EraseRootFromParent_Done,
     /* 1016971 */   // Label 15086: @1016971
     /* 1016971 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1017048), // Rule ID 12943 //
     /* 1016976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1016987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1016990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1016996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017015 */     // MIs[0] policy
     /* 1017015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017047 */     // GIR_Coverage, 12943,
     /* 1017047 */     GIR_EraseRootFromParent_Done,
     /* 1017048 */   // Label 15087: @1017048
     /* 1017048 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1017125), // Rule ID 12944 //
     /* 1017053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017092 */     // MIs[0] policy
     /* 1017092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017124 */     // GIR_Coverage, 12944,
     /* 1017124 */     GIR_EraseRootFromParent_Done,
     /* 1017125 */   // Label 15088: @1017125
     /* 1017125 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1017202), // Rule ID 12947 //
     /* 1017130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017169 */     // MIs[0] policy
     /* 1017169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017201 */     // GIR_Coverage, 12947,
     /* 1017201 */     GIR_EraseRootFromParent_Done,
     /* 1017202 */   // Label 15089: @1017202
     /* 1017202 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1017279), // Rule ID 12948 //
     /* 1017207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017246 */     // MIs[0] policy
     /* 1017246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017278 */     // GIR_Coverage, 12948,
     /* 1017278 */     GIR_EraseRootFromParent_Done,
     /* 1017279 */   // Label 15090: @1017279
     /* 1017279 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1017356), // Rule ID 12951 //
     /* 1017284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017323 */     // MIs[0] policy
     /* 1017323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017333 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017355 */     // GIR_Coverage, 12951,
     /* 1017355 */     GIR_EraseRootFromParent_Done,
     /* 1017356 */   // Label 15091: @1017356
     /* 1017356 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1017433), // Rule ID 12952 //
     /* 1017361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017400 */     // MIs[0] policy
     /* 1017400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017410 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017432 */     // GIR_Coverage, 12952,
     /* 1017432 */     GIR_EraseRootFromParent_Done,
     /* 1017433 */   // Label 15092: @1017433
     /* 1017433 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1017510), // Rule ID 12955 //
     /* 1017438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017477 */     // MIs[0] policy
     /* 1017477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017487 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017509 */     // GIR_Coverage, 12955,
     /* 1017509 */     GIR_EraseRootFromParent_Done,
     /* 1017510 */   // Label 15093: @1017510
     /* 1017510 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1017587), // Rule ID 12956 //
     /* 1017515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017554 */     // MIs[0] policy
     /* 1017554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017586 */     // GIR_Coverage, 12956,
     /* 1017586 */     GIR_EraseRootFromParent_Done,
     /* 1017587 */   // Label 15094: @1017587
     /* 1017587 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1017664), // Rule ID 12959 //
     /* 1017592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1017603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1017606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1017609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1017612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017631 */     // MIs[0] policy
     /* 1017631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017641 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1017644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017663 */     // GIR_Coverage, 12959,
     /* 1017663 */     GIR_EraseRootFromParent_Done,
     /* 1017664 */   // Label 15095: @1017664
     /* 1017664 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1017741), // Rule ID 12960 //
     /* 1017669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1017680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1017683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1017686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1017689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017708 */     // MIs[0] policy
     /* 1017708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1017721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017740 */     // GIR_Coverage, 12960,
     /* 1017740 */     GIR_EraseRootFromParent_Done,
     /* 1017741 */   // Label 15096: @1017741
     /* 1017741 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1017818), // Rule ID 12963 //
     /* 1017746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1017757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1017760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1017763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1017766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017785 */     // MIs[0] policy
     /* 1017785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017817 */     // GIR_Coverage, 12963,
     /* 1017817 */     GIR_EraseRootFromParent_Done,
     /* 1017818 */   // Label 15097: @1017818
     /* 1017818 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017895), // Rule ID 12964 //
     /* 1017823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1017834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1017837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1017840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1017843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017862 */     // MIs[0] policy
     /* 1017862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017894 */     // GIR_Coverage, 12964,
     /* 1017894 */     GIR_EraseRootFromParent_Done,
     /* 1017895 */   // Label 15098: @1017895
     /* 1017895 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1017972), // Rule ID 12967 //
     /* 1017900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1017911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1017914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1017917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1017920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017939 */     // MIs[0] policy
     /* 1017939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1017952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017971 */     // GIR_Coverage, 12967,
     /* 1017971 */     GIR_EraseRootFromParent_Done,
     /* 1017972 */   // Label 15099: @1017972
     /* 1017972 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1018049), // Rule ID 12968 //
     /* 1017977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1017988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1017991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1017994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1017997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018016 */     // MIs[0] policy
     /* 1018016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018048 */     // GIR_Coverage, 12968,
     /* 1018048 */     GIR_EraseRootFromParent_Done,
     /* 1018049 */   // Label 15100: @1018049
     /* 1018049 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1018126), // Rule ID 12971 //
     /* 1018054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018093 */     // MIs[0] policy
     /* 1018093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018125 */     // GIR_Coverage, 12971,
     /* 1018125 */     GIR_EraseRootFromParent_Done,
     /* 1018126 */   // Label 15101: @1018126
     /* 1018126 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1018203), // Rule ID 12972 //
     /* 1018131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018170 */     // MIs[0] policy
     /* 1018170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018202 */     // GIR_Coverage, 12972,
     /* 1018202 */     GIR_EraseRootFromParent_Done,
     /* 1018203 */   // Label 15102: @1018203
     /* 1018203 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1018280), // Rule ID 12975 //
     /* 1018208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018247 */     // MIs[0] policy
     /* 1018247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018257 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018279 */     // GIR_Coverage, 12975,
     /* 1018279 */     GIR_EraseRootFromParent_Done,
     /* 1018280 */   // Label 15103: @1018280
     /* 1018280 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1018357), // Rule ID 12976 //
     /* 1018285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018324 */     // MIs[0] policy
     /* 1018324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018356 */     // GIR_Coverage, 12976,
     /* 1018356 */     GIR_EraseRootFromParent_Done,
     /* 1018357 */   // Label 15104: @1018357
     /* 1018357 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1018434), // Rule ID 12979 //
     /* 1018362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018401 */     // MIs[0] policy
     /* 1018401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018433 */     // GIR_Coverage, 12979,
     /* 1018433 */     GIR_EraseRootFromParent_Done,
     /* 1018434 */   // Label 15105: @1018434
     /* 1018434 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1018511), // Rule ID 12980 //
     /* 1018439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018478 */     // MIs[0] policy
     /* 1018478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018510 */     // GIR_Coverage, 12980,
     /* 1018510 */     GIR_EraseRootFromParent_Done,
     /* 1018511 */   // Label 15106: @1018511
     /* 1018511 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1018588), // Rule ID 12983 //
     /* 1018516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1018536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018555 */     // MIs[0] policy
     /* 1018555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018587 */     // GIR_Coverage, 12983,
     /* 1018587 */     GIR_EraseRootFromParent_Done,
     /* 1018588 */   // Label 15107: @1018588
     /* 1018588 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1018665), // Rule ID 12984 //
     /* 1018593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1018613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018632 */     // MIs[0] policy
     /* 1018632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018664 */     // GIR_Coverage, 12984,
     /* 1018664 */     GIR_EraseRootFromParent_Done,
     /* 1018665 */   // Label 15108: @1018665
     /* 1018665 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1018742), // Rule ID 12987 //
     /* 1018670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1018681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1018684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1018687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1018690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018709 */     // MIs[0] policy
     /* 1018709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018719 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018741 */     // GIR_Coverage, 12987,
     /* 1018741 */     GIR_EraseRootFromParent_Done,
     /* 1018742 */   // Label 15109: @1018742
     /* 1018742 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1018819), // Rule ID 12988 //
     /* 1018747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1018758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1018761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1018764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1018767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018786 */     // MIs[0] policy
     /* 1018786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018818 */     // GIR_Coverage, 12988,
     /* 1018818 */     GIR_EraseRootFromParent_Done,
     /* 1018819 */   // Label 15110: @1018819
     /* 1018819 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018896), // Rule ID 12991 //
     /* 1018824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1018835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1018838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1018841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1018844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018863 */     // MIs[0] policy
     /* 1018863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018895 */     // GIR_Coverage, 12991,
     /* 1018895 */     GIR_EraseRootFromParent_Done,
     /* 1018896 */   // Label 15111: @1018896
     /* 1018896 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1018973), // Rule ID 12992 //
     /* 1018901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1018912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1018915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1018918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1018921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018940 */     // MIs[0] policy
     /* 1018940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018972 */     // GIR_Coverage, 12992,
     /* 1018972 */     GIR_EraseRootFromParent_Done,
     /* 1018973 */   // Label 15112: @1018973
     /* 1018973 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1019050), // Rule ID 12995 //
     /* 1018978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1018989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1018992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1018995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1018998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019017 */     // MIs[0] policy
     /* 1019017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019049 */     // GIR_Coverage, 12995,
     /* 1019049 */     GIR_EraseRootFromParent_Done,
     /* 1019050 */   // Label 15113: @1019050
     /* 1019050 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1019127), // Rule ID 12996 //
     /* 1019055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019094 */     // MIs[0] policy
     /* 1019094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019104 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019126 */     // GIR_Coverage, 12996,
     /* 1019126 */     GIR_EraseRootFromParent_Done,
     /* 1019127 */   // Label 15114: @1019127
     /* 1019127 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1019204), // Rule ID 12999 //
     /* 1019132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019171 */     // MIs[0] policy
     /* 1019171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019181 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019203 */     // GIR_Coverage, 12999,
     /* 1019203 */     GIR_EraseRootFromParent_Done,
     /* 1019204 */   // Label 15115: @1019204
     /* 1019204 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1019281), // Rule ID 13000 //
     /* 1019209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019248 */     // MIs[0] policy
     /* 1019248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019258 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019280 */     // GIR_Coverage, 13000,
     /* 1019280 */     GIR_EraseRootFromParent_Done,
     /* 1019281 */   // Label 15116: @1019281
     /* 1019281 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1019358), // Rule ID 13003 //
     /* 1019286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019325 */     // MIs[0] policy
     /* 1019325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019357 */     // GIR_Coverage, 13003,
     /* 1019357 */     GIR_EraseRootFromParent_Done,
     /* 1019358 */   // Label 15117: @1019358
     /* 1019358 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1019435), // Rule ID 13004 //
     /* 1019363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019402 */     // MIs[0] policy
     /* 1019402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019434 */     // GIR_Coverage, 13004,
     /* 1019434 */     GIR_EraseRootFromParent_Done,
     /* 1019435 */   // Label 15118: @1019435
     /* 1019435 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1019512), // Rule ID 13007 //
     /* 1019440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019479 */     // MIs[0] policy
     /* 1019479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019511 */     // GIR_Coverage, 13007,
     /* 1019511 */     GIR_EraseRootFromParent_Done,
     /* 1019512 */   // Label 15119: @1019512
     /* 1019512 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1019589), // Rule ID 13008 //
     /* 1019517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019556 */     // MIs[0] policy
     /* 1019556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019588 */     // GIR_Coverage, 13008,
     /* 1019588 */     GIR_EraseRootFromParent_Done,
     /* 1019589 */   // Label 15120: @1019589
     /* 1019589 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1019666), // Rule ID 13011 //
     /* 1019594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1019614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019633 */     // MIs[0] policy
     /* 1019633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019665 */     // GIR_Coverage, 13011,
     /* 1019665 */     GIR_EraseRootFromParent_Done,
     /* 1019666 */   // Label 15121: @1019666
     /* 1019666 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1019743), // Rule ID 13012 //
     /* 1019671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1019691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019710 */     // MIs[0] policy
     /* 1019710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019720 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019742 */     // GIR_Coverage, 13012,
     /* 1019742 */     GIR_EraseRootFromParent_Done,
     /* 1019743 */   // Label 15122: @1019743
     /* 1019743 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1019820), // Rule ID 13015 //
     /* 1019748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1019765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1019768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019787 */     // MIs[0] policy
     /* 1019787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019819 */     // GIR_Coverage, 13015,
     /* 1019819 */     GIR_EraseRootFromParent_Done,
     /* 1019820 */   // Label 15123: @1019820
     /* 1019820 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019897), // Rule ID 13016 //
     /* 1019825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1019842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1019845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019864 */     // MIs[0] policy
     /* 1019864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019896 */     // GIR_Coverage, 13016,
     /* 1019896 */     GIR_EraseRootFromParent_Done,
     /* 1019897 */   // Label 15124: @1019897
     /* 1019897 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1019974), // Rule ID 13019 //
     /* 1019902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1019919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1019922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019941 */     // MIs[0] policy
     /* 1019941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019973 */     // GIR_Coverage, 13019,
     /* 1019973 */     GIR_EraseRootFromParent_Done,
     /* 1019974 */   // Label 15125: @1019974
     /* 1019974 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1020051), // Rule ID 13020 //
     /* 1019979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1019996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1019999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020018 */     // MIs[0] policy
     /* 1020018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020050 */     // GIR_Coverage, 13020,
     /* 1020050 */     GIR_EraseRootFromParent_Done,
     /* 1020051 */   // Label 15126: @1020051
     /* 1020051 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1020128), // Rule ID 13023 //
     /* 1020056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020095 */     // MIs[0] policy
     /* 1020095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020127 */     // GIR_Coverage, 13023,
     /* 1020127 */     GIR_EraseRootFromParent_Done,
     /* 1020128 */   // Label 15127: @1020128
     /* 1020128 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1020205), // Rule ID 13024 //
     /* 1020133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020172 */     // MIs[0] policy
     /* 1020172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020204 */     // GIR_Coverage, 13024,
     /* 1020204 */     GIR_EraseRootFromParent_Done,
     /* 1020205 */   // Label 15128: @1020205
     /* 1020205 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1020282), // Rule ID 13027 //
     /* 1020210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020249 */     // MIs[0] policy
     /* 1020249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020281 */     // GIR_Coverage, 13027,
     /* 1020281 */     GIR_EraseRootFromParent_Done,
     /* 1020282 */   // Label 15129: @1020282
     /* 1020282 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1020359), // Rule ID 13028 //
     /* 1020287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020326 */     // MIs[0] policy
     /* 1020326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020358 */     // GIR_Coverage, 13028,
     /* 1020358 */     GIR_EraseRootFromParent_Done,
     /* 1020359 */   // Label 15130: @1020359
     /* 1020359 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1020436), // Rule ID 13031 //
     /* 1020364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020403 */     // MIs[0] policy
     /* 1020403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020435 */     // GIR_Coverage, 13031,
     /* 1020435 */     GIR_EraseRootFromParent_Done,
     /* 1020436 */   // Label 15131: @1020436
     /* 1020436 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1020513), // Rule ID 13032 //
     /* 1020441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020480 */     // MIs[0] policy
     /* 1020480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020512 */     // GIR_Coverage, 13032,
     /* 1020512 */     GIR_EraseRootFromParent_Done,
     /* 1020513 */   // Label 15132: @1020513
     /* 1020513 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1020590), // Rule ID 13035 //
     /* 1020518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1020538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020557 */     // MIs[0] policy
     /* 1020557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020567 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020589 */     // GIR_Coverage, 13035,
     /* 1020589 */     GIR_EraseRootFromParent_Done,
     /* 1020590 */   // Label 15133: @1020590
     /* 1020590 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1020667), // Rule ID 13036 //
     /* 1020595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1020615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020634 */     // MIs[0] policy
     /* 1020634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020666 */     // GIR_Coverage, 13036,
     /* 1020666 */     GIR_EraseRootFromParent_Done,
     /* 1020667 */   // Label 15134: @1020667
     /* 1020667 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1020744), // Rule ID 13039 //
     /* 1020672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1020683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1020686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1020692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020711 */     // MIs[0] policy
     /* 1020711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020721 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1020724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020743 */     // GIR_Coverage, 13039,
     /* 1020743 */     GIR_EraseRootFromParent_Done,
     /* 1020744 */   // Label 15135: @1020744
     /* 1020744 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1020821), // Rule ID 13040 //
     /* 1020749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1020760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1020763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1020769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020788 */     // MIs[0] policy
     /* 1020788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1020801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020820 */     // GIR_Coverage, 13040,
     /* 1020820 */     GIR_EraseRootFromParent_Done,
     /* 1020821 */   // Label 15136: @1020821
     /* 1020821 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020898), // Rule ID 13043 //
     /* 1020826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1020837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1020840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1020846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020865 */     // MIs[0] policy
     /* 1020865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020875 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1020878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020897 */     // GIR_Coverage, 13043,
     /* 1020897 */     GIR_EraseRootFromParent_Done,
     /* 1020898 */   // Label 15137: @1020898
     /* 1020898 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1020975), // Rule ID 13044 //
     /* 1020903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1020914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1020917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1020923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020942 */     // MIs[0] policy
     /* 1020942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020952 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1020955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020974 */     // GIR_Coverage, 13044,
     /* 1020974 */     GIR_EraseRootFromParent_Done,
     /* 1020975 */   // Label 15138: @1020975
     /* 1020975 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1021052), // Rule ID 13047 //
     /* 1020980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1020991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1020994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021019 */     // MIs[0] policy
     /* 1021019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021029 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021051 */     // GIR_Coverage, 13047,
     /* 1021051 */     GIR_EraseRootFromParent_Done,
     /* 1021052 */   // Label 15139: @1021052
     /* 1021052 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1021129), // Rule ID 13048 //
     /* 1021057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021096 */     // MIs[0] policy
     /* 1021096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021106 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021128 */     // GIR_Coverage, 13048,
     /* 1021128 */     GIR_EraseRootFromParent_Done,
     /* 1021129 */   // Label 15140: @1021129
     /* 1021129 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1021206), // Rule ID 13051 //
     /* 1021134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021173 */     // MIs[0] policy
     /* 1021173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021183 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021205 */     // GIR_Coverage, 13051,
     /* 1021205 */     GIR_EraseRootFromParent_Done,
     /* 1021206 */   // Label 15141: @1021206
     /* 1021206 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1021283), // Rule ID 13052 //
     /* 1021211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021250 */     // MIs[0] policy
     /* 1021250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021282 */     // GIR_Coverage, 13052,
     /* 1021282 */     GIR_EraseRootFromParent_Done,
     /* 1021283 */   // Label 15142: @1021283
     /* 1021283 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1021360), // Rule ID 13055 //
     /* 1021288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021327 */     // MIs[0] policy
     /* 1021327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021359 */     // GIR_Coverage, 13055,
     /* 1021359 */     GIR_EraseRootFromParent_Done,
     /* 1021360 */   // Label 15143: @1021360
     /* 1021360 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1021437), // Rule ID 13056 //
     /* 1021365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021404 */     // MIs[0] policy
     /* 1021404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021436 */     // GIR_Coverage, 13056,
     /* 1021436 */     GIR_EraseRootFromParent_Done,
     /* 1021437 */   // Label 15144: @1021437
     /* 1021437 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1021514), // Rule ID 13059 //
     /* 1021442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021481 */     // MIs[0] policy
     /* 1021481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021491 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021513 */     // GIR_Coverage, 13059,
     /* 1021513 */     GIR_EraseRootFromParent_Done,
     /* 1021514 */   // Label 15145: @1021514
     /* 1021514 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1021591), // Rule ID 13060 //
     /* 1021519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021558 */     // MIs[0] policy
     /* 1021558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021590 */     // GIR_Coverage, 13060,
     /* 1021590 */     GIR_EraseRootFromParent_Done,
     /* 1021591 */   // Label 15146: @1021591
     /* 1021591 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1021668), // Rule ID 13063 //
     /* 1021596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021635 */     // MIs[0] policy
     /* 1021635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021645 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021667 */     // GIR_Coverage, 13063,
     /* 1021667 */     GIR_EraseRootFromParent_Done,
     /* 1021668 */   // Label 15147: @1021668
     /* 1021668 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1021745), // Rule ID 13064 //
     /* 1021673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021712 */     // MIs[0] policy
     /* 1021712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021744 */     // GIR_Coverage, 13064,
     /* 1021744 */     GIR_EraseRootFromParent_Done,
     /* 1021745 */   // Label 15148: @1021745
     /* 1021745 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1021822), // Rule ID 13067 //
     /* 1021750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1021761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1021764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1021770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021789 */     // MIs[0] policy
     /* 1021789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021821 */     // GIR_Coverage, 13067,
     /* 1021821 */     GIR_EraseRootFromParent_Done,
     /* 1021822 */   // Label 15149: @1021822
     /* 1021822 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021899), // Rule ID 13068 //
     /* 1021827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1021838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1021841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1021847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021866 */     // MIs[0] policy
     /* 1021866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021898 */     // GIR_Coverage, 13068,
     /* 1021898 */     GIR_EraseRootFromParent_Done,
     /* 1021899 */   // Label 15150: @1021899
     /* 1021899 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1021976), // Rule ID 13071 //
     /* 1021904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1021924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021943 */     // MIs[0] policy
     /* 1021943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021975 */     // GIR_Coverage, 13071,
     /* 1021975 */     GIR_EraseRootFromParent_Done,
     /* 1021976 */   // Label 15151: @1021976
     /* 1021976 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1022053), // Rule ID 13072 //
     /* 1021981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022020 */     // MIs[0] policy
     /* 1022020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022052 */     // GIR_Coverage, 13072,
     /* 1022052 */     GIR_EraseRootFromParent_Done,
     /* 1022053 */   // Label 15152: @1022053
     /* 1022053 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1022130), // Rule ID 13075 //
     /* 1022058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022097 */     // MIs[0] policy
     /* 1022097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022129 */     // GIR_Coverage, 13075,
     /* 1022129 */     GIR_EraseRootFromParent_Done,
     /* 1022130 */   // Label 15153: @1022130
     /* 1022130 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1022207), // Rule ID 13076 //
     /* 1022135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022174 */     // MIs[0] policy
     /* 1022174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022206 */     // GIR_Coverage, 13076,
     /* 1022206 */     GIR_EraseRootFromParent_Done,
     /* 1022207 */   // Label 15154: @1022207
     /* 1022207 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1022284), // Rule ID 13079 //
     /* 1022212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022251 */     // MIs[0] policy
     /* 1022251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022261 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022283 */     // GIR_Coverage, 13079,
     /* 1022283 */     GIR_EraseRootFromParent_Done,
     /* 1022284 */   // Label 15155: @1022284
     /* 1022284 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1022361), // Rule ID 13080 //
     /* 1022289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022328 */     // MIs[0] policy
     /* 1022328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022360 */     // GIR_Coverage, 13080,
     /* 1022360 */     GIR_EraseRootFromParent_Done,
     /* 1022361 */   // Label 15156: @1022361
     /* 1022361 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1022438), // Rule ID 13083 //
     /* 1022366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022405 */     // MIs[0] policy
     /* 1022405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022415 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022437 */     // GIR_Coverage, 13083,
     /* 1022437 */     GIR_EraseRootFromParent_Done,
     /* 1022438 */   // Label 15157: @1022438
     /* 1022438 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1022515), // Rule ID 13084 //
     /* 1022443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022482 */     // MIs[0] policy
     /* 1022482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022514 */     // GIR_Coverage, 13084,
     /* 1022514 */     GIR_EraseRootFromParent_Done,
     /* 1022515 */   // Label 15158: @1022515
     /* 1022515 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1022592), // Rule ID 13087 //
     /* 1022520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022559 */     // MIs[0] policy
     /* 1022559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022569 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022591 */     // GIR_Coverage, 13087,
     /* 1022591 */     GIR_EraseRootFromParent_Done,
     /* 1022592 */   // Label 15159: @1022592
     /* 1022592 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1022669), // Rule ID 13088 //
     /* 1022597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022636 */     // MIs[0] policy
     /* 1022636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022668 */     // GIR_Coverage, 13088,
     /* 1022668 */     GIR_EraseRootFromParent_Done,
     /* 1022669 */   // Label 15160: @1022669
     /* 1022669 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1022746), // Rule ID 13091 //
     /* 1022674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1022685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1022688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1022694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022713 */     // MIs[0] policy
     /* 1022713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022745 */     // GIR_Coverage, 13091,
     /* 1022745 */     GIR_EraseRootFromParent_Done,
     /* 1022746 */   // Label 15161: @1022746
     /* 1022746 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1022823), // Rule ID 13092 //
     /* 1022751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1022762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1022765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1022771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022790 */     // MIs[0] policy
     /* 1022790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022800 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022822 */     // GIR_Coverage, 13092,
     /* 1022822 */     GIR_EraseRootFromParent_Done,
     /* 1022823 */   // Label 15162: @1022823
     /* 1022823 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022900), // Rule ID 13095 //
     /* 1022828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1022839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1022842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1022848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022867 */     // MIs[0] policy
     /* 1022867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022899 */     // GIR_Coverage, 13095,
     /* 1022899 */     GIR_EraseRootFromParent_Done,
     /* 1022900 */   // Label 15163: @1022900
     /* 1022900 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1022977), // Rule ID 13096 //
     /* 1022905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1022916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1022919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1022925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022944 */     // MIs[0] policy
     /* 1022944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022976 */     // GIR_Coverage, 13096,
     /* 1022976 */     GIR_EraseRootFromParent_Done,
     /* 1022977 */   // Label 15164: @1022977
     /* 1022977 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1023054), // Rule ID 13099 //
     /* 1022982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1022993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1022996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023021 */     // MIs[0] policy
     /* 1023021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023031 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023053 */     // GIR_Coverage, 13099,
     /* 1023053 */     GIR_EraseRootFromParent_Done,
     /* 1023054 */   // Label 15165: @1023054
     /* 1023054 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1023131), // Rule ID 13100 //
     /* 1023059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023098 */     // MIs[0] policy
     /* 1023098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023130 */     // GIR_Coverage, 13100,
     /* 1023130 */     GIR_EraseRootFromParent_Done,
     /* 1023131 */   // Label 15166: @1023131
     /* 1023131 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1023208), // Rule ID 13103 //
     /* 1023136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023175 */     // MIs[0] policy
     /* 1023175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023185 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023207 */     // GIR_Coverage, 13103,
     /* 1023207 */     GIR_EraseRootFromParent_Done,
     /* 1023208 */   // Label 15167: @1023208
     /* 1023208 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1023285), // Rule ID 13104 //
     /* 1023213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023252 */     // MIs[0] policy
     /* 1023252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023284 */     // GIR_Coverage, 13104,
     /* 1023284 */     GIR_EraseRootFromParent_Done,
     /* 1023285 */   // Label 15168: @1023285
     /* 1023285 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1023362), // Rule ID 13107 //
     /* 1023290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023329 */     // MIs[0] policy
     /* 1023329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023361 */     // GIR_Coverage, 13107,
     /* 1023361 */     GIR_EraseRootFromParent_Done,
     /* 1023362 */   // Label 15169: @1023362
     /* 1023362 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1023439), // Rule ID 13108 //
     /* 1023367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023406 */     // MIs[0] policy
     /* 1023406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023438 */     // GIR_Coverage, 13108,
     /* 1023438 */     GIR_EraseRootFromParent_Done,
     /* 1023439 */   // Label 15170: @1023439
     /* 1023439 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1023516), // Rule ID 13111 //
     /* 1023444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023483 */     // MIs[0] policy
     /* 1023483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023493 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023515 */     // GIR_Coverage, 13111,
     /* 1023515 */     GIR_EraseRootFromParent_Done,
     /* 1023516 */   // Label 15171: @1023516
     /* 1023516 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1023593), // Rule ID 13112 //
     /* 1023521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023560 */     // MIs[0] policy
     /* 1023560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023570 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023592 */     // GIR_Coverage, 13112,
     /* 1023592 */     GIR_EraseRootFromParent_Done,
     /* 1023593 */   // Label 15172: @1023593
     /* 1023593 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1023670), // Rule ID 13115 //
     /* 1023598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1023609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1023612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1023618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023637 */     // MIs[0] policy
     /* 1023637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023669 */     // GIR_Coverage, 13115,
     /* 1023669 */     GIR_EraseRootFromParent_Done,
     /* 1023670 */   // Label 15173: @1023670
     /* 1023670 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1023747), // Rule ID 13116 //
     /* 1023675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1023686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1023689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1023695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023714 */     // MIs[0] policy
     /* 1023714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023746 */     // GIR_Coverage, 13116,
     /* 1023746 */     GIR_EraseRootFromParent_Done,
     /* 1023747 */   // Label 15174: @1023747
     /* 1023747 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1023824), // Rule ID 13119 //
     /* 1023752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1023763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1023766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1023772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023791 */     // MIs[0] policy
     /* 1023791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023801 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023823 */     // GIR_Coverage, 13119,
     /* 1023823 */     GIR_EraseRootFromParent_Done,
     /* 1023824 */   // Label 15175: @1023824
     /* 1023824 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023901), // Rule ID 13120 //
     /* 1023829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1023840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1023843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1023849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023868 */     // MIs[0] policy
     /* 1023868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023900 */     // GIR_Coverage, 13120,
     /* 1023900 */     GIR_EraseRootFromParent_Done,
     /* 1023901 */   // Label 15176: @1023901
     /* 1023901 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1023978), // Rule ID 13123 //
     /* 1023906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1023917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1023920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1023926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023945 */     // MIs[0] policy
     /* 1023945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023977 */     // GIR_Coverage, 13123,
     /* 1023977 */     GIR_EraseRootFromParent_Done,
     /* 1023978 */   // Label 15177: @1023978
     /* 1023978 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1024055), // Rule ID 13124 //
     /* 1023983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1023994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1023997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024022 */     // MIs[0] policy
     /* 1024022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024032 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024054 */     // GIR_Coverage, 13124,
     /* 1024054 */     GIR_EraseRootFromParent_Done,
     /* 1024055 */   // Label 15178: @1024055
     /* 1024055 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1024132), // Rule ID 13127 //
     /* 1024060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024099 */     // MIs[0] policy
     /* 1024099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024131 */     // GIR_Coverage, 13127,
     /* 1024131 */     GIR_EraseRootFromParent_Done,
     /* 1024132 */   // Label 15179: @1024132
     /* 1024132 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1024209), // Rule ID 13128 //
     /* 1024137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024176 */     // MIs[0] policy
     /* 1024176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024186 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024208 */     // GIR_Coverage, 13128,
     /* 1024208 */     GIR_EraseRootFromParent_Done,
     /* 1024209 */   // Label 15180: @1024209
     /* 1024209 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1024286), // Rule ID 13131 //
     /* 1024214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024253 */     // MIs[0] policy
     /* 1024253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024263 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024285 */     // GIR_Coverage, 13131,
     /* 1024285 */     GIR_EraseRootFromParent_Done,
     /* 1024286 */   // Label 15181: @1024286
     /* 1024286 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1024363), // Rule ID 13132 //
     /* 1024291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024330 */     // MIs[0] policy
     /* 1024330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024362 */     // GIR_Coverage, 13132,
     /* 1024362 */     GIR_EraseRootFromParent_Done,
     /* 1024363 */   // Label 15182: @1024363
     /* 1024363 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1024440), // Rule ID 13135 //
     /* 1024368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024407 */     // MIs[0] policy
     /* 1024407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024439 */     // GIR_Coverage, 13135,
     /* 1024439 */     GIR_EraseRootFromParent_Done,
     /* 1024440 */   // Label 15183: @1024440
     /* 1024440 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1024517), // Rule ID 13136 //
     /* 1024445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024484 */     // MIs[0] policy
     /* 1024484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024494 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024516 */     // GIR_Coverage, 13136,
     /* 1024516 */     GIR_EraseRootFromParent_Done,
     /* 1024517 */   // Label 15184: @1024517
     /* 1024517 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1024594), // Rule ID 13139 //
     /* 1024522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1024539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1024542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024561 */     // MIs[0] policy
     /* 1024561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024593 */     // GIR_Coverage, 13139,
     /* 1024593 */     GIR_EraseRootFromParent_Done,
     /* 1024594 */   // Label 15185: @1024594
     /* 1024594 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1024671), // Rule ID 13140 //
     /* 1024599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1024616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1024619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024638 */     // MIs[0] policy
     /* 1024638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024670 */     // GIR_Coverage, 13140,
     /* 1024670 */     GIR_EraseRootFromParent_Done,
     /* 1024671 */   // Label 15186: @1024671
     /* 1024671 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1024748), // Rule ID 13143 //
     /* 1024676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1024687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1024690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1024693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1024696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024715 */     // MIs[0] policy
     /* 1024715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024747 */     // GIR_Coverage, 13143,
     /* 1024747 */     GIR_EraseRootFromParent_Done,
     /* 1024748 */   // Label 15187: @1024748
     /* 1024748 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1024825), // Rule ID 13144 //
     /* 1024753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1024764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1024767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1024770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1024773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024792 */     // MIs[0] policy
     /* 1024792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024824 */     // GIR_Coverage, 13144,
     /* 1024824 */     GIR_EraseRootFromParent_Done,
     /* 1024825 */   // Label 15188: @1024825
     /* 1024825 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024902), // Rule ID 13147 //
     /* 1024830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1024841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1024844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1024847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1024850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024869 */     // MIs[0] policy
     /* 1024869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024879 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024901 */     // GIR_Coverage, 13147,
     /* 1024901 */     GIR_EraseRootFromParent_Done,
     /* 1024902 */   // Label 15189: @1024902
     /* 1024902 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1024979), // Rule ID 13148 //
     /* 1024907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1024918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1024921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1024924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1024927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024946 */     // MIs[0] policy
     /* 1024946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024978 */     // GIR_Coverage, 13148,
     /* 1024978 */     GIR_EraseRootFromParent_Done,
     /* 1024979 */   // Label 15190: @1024979
     /* 1024979 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1025056), // Rule ID 13151 //
     /* 1024984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1024995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1024998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025023 */     // MIs[0] policy
     /* 1025023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025033 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025055 */     // GIR_Coverage, 13151,
     /* 1025055 */     GIR_EraseRootFromParent_Done,
     /* 1025056 */   // Label 15191: @1025056
     /* 1025056 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1025133), // Rule ID 13152 //
     /* 1025061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025100 */     // MIs[0] policy
     /* 1025100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025110 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025132 */     // GIR_Coverage, 13152,
     /* 1025132 */     GIR_EraseRootFromParent_Done,
     /* 1025133 */   // Label 15192: @1025133
     /* 1025133 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1025210), // Rule ID 13155 //
     /* 1025138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025177 */     // MIs[0] policy
     /* 1025177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025187 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025209 */     // GIR_Coverage, 13155,
     /* 1025209 */     GIR_EraseRootFromParent_Done,
     /* 1025210 */   // Label 15193: @1025210
     /* 1025210 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1025287), // Rule ID 13156 //
     /* 1025215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025254 */     // MIs[0] policy
     /* 1025254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025286 */     // GIR_Coverage, 13156,
     /* 1025286 */     GIR_EraseRootFromParent_Done,
     /* 1025287 */   // Label 15194: @1025287
     /* 1025287 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1025364), // Rule ID 13159 //
     /* 1025292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025331 */     // MIs[0] policy
     /* 1025331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025363 */     // GIR_Coverage, 13159,
     /* 1025363 */     GIR_EraseRootFromParent_Done,
     /* 1025364 */   // Label 15195: @1025364
     /* 1025364 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1025441), // Rule ID 13160 //
     /* 1025369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025408 */     // MIs[0] policy
     /* 1025408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025440 */     // GIR_Coverage, 13160,
     /* 1025440 */     GIR_EraseRootFromParent_Done,
     /* 1025441 */   // Label 15196: @1025441
     /* 1025441 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1025518), // Rule ID 13163 //
     /* 1025446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025485 */     // MIs[0] policy
     /* 1025485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025495 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025517 */     // GIR_Coverage, 13163,
     /* 1025517 */     GIR_EraseRootFromParent_Done,
     /* 1025518 */   // Label 15197: @1025518
     /* 1025518 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1025595), // Rule ID 13164 //
     /* 1025523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025562 */     // MIs[0] policy
     /* 1025562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025594 */     // GIR_Coverage, 13164,
     /* 1025594 */     GIR_EraseRootFromParent_Done,
     /* 1025595 */   // Label 15198: @1025595
     /* 1025595 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1025672), // Rule ID 13167 //
     /* 1025600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1025611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1025614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1025617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025639 */     // MIs[0] policy
     /* 1025639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025649 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025671 */     // GIR_Coverage, 13167,
     /* 1025671 */     GIR_EraseRootFromParent_Done,
     /* 1025672 */   // Label 15199: @1025672
     /* 1025672 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1025749), // Rule ID 13168 //
     /* 1025677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1025688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1025691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1025694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025716 */     // MIs[0] policy
     /* 1025716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025748 */     // GIR_Coverage, 13168,
     /* 1025748 */     GIR_EraseRootFromParent_Done,
     /* 1025749 */   // Label 15200: @1025749
     /* 1025749 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1025826), // Rule ID 13171 //
     /* 1025754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1025765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1025768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1025771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025793 */     // MIs[0] policy
     /* 1025793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025803 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025825 */     // GIR_Coverage, 13171,
     /* 1025825 */     GIR_EraseRootFromParent_Done,
     /* 1025826 */   // Label 15201: @1025826
     /* 1025826 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025903), // Rule ID 13172 //
     /* 1025831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1025842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1025845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1025848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025870 */     // MIs[0] policy
     /* 1025870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025880 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025902 */     // GIR_Coverage, 13172,
     /* 1025902 */     GIR_EraseRootFromParent_Done,
     /* 1025903 */   // Label 15202: @1025903
     /* 1025903 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1025980), // Rule ID 13175 //
     /* 1025908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1025919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1025922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1025925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1025928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025947 */     // MIs[0] policy
     /* 1025947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025957 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1025960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025979 */     // GIR_Coverage, 13175,
     /* 1025979 */     GIR_EraseRootFromParent_Done,
     /* 1025980 */   // Label 15203: @1025980
     /* 1025980 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1026057), // Rule ID 13176 //
     /* 1025985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1025996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1025999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026024 */     // MIs[0] policy
     /* 1026024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026034 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026056 */     // GIR_Coverage, 13176,
     /* 1026056 */     GIR_EraseRootFromParent_Done,
     /* 1026057 */   // Label 15204: @1026057
     /* 1026057 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1026134), // Rule ID 13179 //
     /* 1026062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026101 */     // MIs[0] policy
     /* 1026101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026133 */     // GIR_Coverage, 13179,
     /* 1026133 */     GIR_EraseRootFromParent_Done,
     /* 1026134 */   // Label 15205: @1026134
     /* 1026134 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1026211), // Rule ID 13180 //
     /* 1026139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026178 */     // MIs[0] policy
     /* 1026178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026210 */     // GIR_Coverage, 13180,
     /* 1026210 */     GIR_EraseRootFromParent_Done,
     /* 1026211 */   // Label 15206: @1026211
     /* 1026211 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1026288), // Rule ID 13183 //
     /* 1026216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026255 */     // MIs[0] policy
     /* 1026255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026265 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026287 */     // GIR_Coverage, 13183,
     /* 1026287 */     GIR_EraseRootFromParent_Done,
     /* 1026288 */   // Label 15207: @1026288
     /* 1026288 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1026365), // Rule ID 13184 //
     /* 1026293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026332 */     // MIs[0] policy
     /* 1026332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026364 */     // GIR_Coverage, 13184,
     /* 1026364 */     GIR_EraseRootFromParent_Done,
     /* 1026365 */   // Label 15208: @1026365
     /* 1026365 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1026442), // Rule ID 13187 //
     /* 1026370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026409 */     // MIs[0] policy
     /* 1026409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026441 */     // GIR_Coverage, 13187,
     /* 1026441 */     GIR_EraseRootFromParent_Done,
     /* 1026442 */   // Label 15209: @1026442
     /* 1026442 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1026519), // Rule ID 13188 //
     /* 1026447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026486 */     // MIs[0] policy
     /* 1026486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026496 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026518 */     // GIR_Coverage, 13188,
     /* 1026518 */     GIR_EraseRootFromParent_Done,
     /* 1026519 */   // Label 15210: @1026519
     /* 1026519 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1026596), // Rule ID 13191 //
     /* 1026524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026563 */     // MIs[0] policy
     /* 1026563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026595 */     // GIR_Coverage, 13191,
     /* 1026595 */     GIR_EraseRootFromParent_Done,
     /* 1026596 */   // Label 15211: @1026596
     /* 1026596 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1026673), // Rule ID 13192 //
     /* 1026601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026640 */     // MIs[0] policy
     /* 1026640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026672 */     // GIR_Coverage, 13192,
     /* 1026672 */     GIR_EraseRootFromParent_Done,
     /* 1026673 */   // Label 15212: @1026673
     /* 1026673 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1026750), // Rule ID 13195 //
     /* 1026678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1026695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1026698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026717 */     // MIs[0] policy
     /* 1026717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026749 */     // GIR_Coverage, 13195,
     /* 1026749 */     GIR_EraseRootFromParent_Done,
     /* 1026750 */   // Label 15213: @1026750
     /* 1026750 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1026827), // Rule ID 13196 //
     /* 1026755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1026772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1026775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026794 */     // MIs[0] policy
     /* 1026794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026826 */     // GIR_Coverage, 13196,
     /* 1026826 */     GIR_EraseRootFromParent_Done,
     /* 1026827 */   // Label 15214: @1026827
     /* 1026827 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026904), // Rule ID 13199 //
     /* 1026832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1026849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1026852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026871 */     // MIs[0] policy
     /* 1026871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026903 */     // GIR_Coverage, 13199,
     /* 1026903 */     GIR_EraseRootFromParent_Done,
     /* 1026904 */   // Label 15215: @1026904
     /* 1026904 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1026981), // Rule ID 13200 //
     /* 1026909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1026926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1026929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026948 */     // MIs[0] policy
     /* 1026948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026980 */     // GIR_Coverage, 13200,
     /* 1026980 */     GIR_EraseRootFromParent_Done,
     /* 1026981 */   // Label 15216: @1026981
     /* 1026981 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1027058), // Rule ID 13203 //
     /* 1026986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1026989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1026997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1027000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1027003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1027006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027025 */     // MIs[0] policy
     /* 1027025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027057 */     // GIR_Coverage, 13203,
     /* 1027057 */     GIR_EraseRootFromParent_Done,
     /* 1027058 */   // Label 15217: @1027058
     /* 1027058 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1027135), // Rule ID 13204 //
     /* 1027063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1027074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1027077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1027080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1027083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027102 */     // MIs[0] policy
     /* 1027102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027134 */     // GIR_Coverage, 13204,
     /* 1027134 */     GIR_EraseRootFromParent_Done,
     /* 1027135 */   // Label 15218: @1027135
     /* 1027135 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1027212), // Rule ID 13207 //
     /* 1027140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027179 */     // MIs[0] policy
     /* 1027179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027211 */     // GIR_Coverage, 13207,
     /* 1027211 */     GIR_EraseRootFromParent_Done,
     /* 1027212 */   // Label 15219: @1027212
     /* 1027212 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1027289), // Rule ID 13208 //
     /* 1027217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027256 */     // MIs[0] policy
     /* 1027256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027288 */     // GIR_Coverage, 13208,
     /* 1027288 */     GIR_EraseRootFromParent_Done,
     /* 1027289 */   // Label 15220: @1027289
     /* 1027289 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1027366), // Rule ID 13211 //
     /* 1027294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027333 */     // MIs[0] policy
     /* 1027333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027365 */     // GIR_Coverage, 13211,
     /* 1027365 */     GIR_EraseRootFromParent_Done,
     /* 1027366 */   // Label 15221: @1027366
     /* 1027366 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1027443), // Rule ID 13212 //
     /* 1027371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027410 */     // MIs[0] policy
     /* 1027410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027442 */     // GIR_Coverage, 13212,
     /* 1027442 */     GIR_EraseRootFromParent_Done,
     /* 1027443 */   // Label 15222: @1027443
     /* 1027443 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1027520), // Rule ID 13215 //
     /* 1027448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027487 */     // MIs[0] policy
     /* 1027487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027519 */     // GIR_Coverage, 13215,
     /* 1027519 */     GIR_EraseRootFromParent_Done,
     /* 1027520 */   // Label 15223: @1027520
     /* 1027520 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1027597), // Rule ID 13216 //
     /* 1027525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027564 */     // MIs[0] policy
     /* 1027564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027596 */     // GIR_Coverage, 13216,
     /* 1027596 */     GIR_EraseRootFromParent_Done,
     /* 1027597 */   // Label 15224: @1027597
     /* 1027597 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1027674), // Rule ID 13219 //
     /* 1027602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1027613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1027616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1027622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027641 */     // MIs[0] policy
     /* 1027641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027651 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1027654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027673 */     // GIR_Coverage, 13219,
     /* 1027673 */     GIR_EraseRootFromParent_Done,
     /* 1027674 */   // Label 15225: @1027674
     /* 1027674 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1027751), // Rule ID 13220 //
     /* 1027679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1027690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1027693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1027699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027718 */     // MIs[0] policy
     /* 1027718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1027731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027750 */     // GIR_Coverage, 13220,
     /* 1027750 */     GIR_EraseRootFromParent_Done,
     /* 1027751 */   // Label 15226: @1027751
     /* 1027751 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1027828), // Rule ID 13223 //
     /* 1027756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1027767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1027770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027795 */     // MIs[0] policy
     /* 1027795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027805 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1027808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027827 */     // GIR_Coverage, 13223,
     /* 1027827 */     GIR_EraseRootFromParent_Done,
     /* 1027828 */   // Label 15227: @1027828
     /* 1027828 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027905), // Rule ID 13224 //
     /* 1027833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1027844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1027847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027872 */     // MIs[0] policy
     /* 1027872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027882 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1027885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027904 */     // GIR_Coverage, 13224,
     /* 1027904 */     GIR_EraseRootFromParent_Done,
     /* 1027905 */   // Label 15228: @1027905
     /* 1027905 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1027982), // Rule ID 13227 //
     /* 1027910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1027921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1027924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1027930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027949 */     // MIs[0] policy
     /* 1027949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027959 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1027962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027981 */     // GIR_Coverage, 13227,
     /* 1027981 */     GIR_EraseRootFromParent_Done,
     /* 1027982 */   // Label 15229: @1027982
     /* 1027982 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1028059), // Rule ID 13228 //
     /* 1027987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1027998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1028001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028026 */     // MIs[0] policy
     /* 1028026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028058 */     // GIR_Coverage, 13228,
     /* 1028058 */     GIR_EraseRootFromParent_Done,
     /* 1028059 */   // Label 15230: @1028059
     /* 1028059 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1028136), // Rule ID 13231 //
     /* 1028064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028103 */     // MIs[0] policy
     /* 1028103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028135 */     // GIR_Coverage, 13231,
     /* 1028135 */     GIR_EraseRootFromParent_Done,
     /* 1028136 */   // Label 15231: @1028136
     /* 1028136 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1028213), // Rule ID 13232 //
     /* 1028141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028180 */     // MIs[0] policy
     /* 1028180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028212 */     // GIR_Coverage, 13232,
     /* 1028212 */     GIR_EraseRootFromParent_Done,
     /* 1028213 */   // Label 15232: @1028213
     /* 1028213 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1028290), // Rule ID 13235 //
     /* 1028218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028257 */     // MIs[0] policy
     /* 1028257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028289 */     // GIR_Coverage, 13235,
     /* 1028289 */     GIR_EraseRootFromParent_Done,
     /* 1028290 */   // Label 15233: @1028290
     /* 1028290 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1028367), // Rule ID 13236 //
     /* 1028295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028334 */     // MIs[0] policy
     /* 1028334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028366 */     // GIR_Coverage, 13236,
     /* 1028366 */     GIR_EraseRootFromParent_Done,
     /* 1028367 */   // Label 15234: @1028367
     /* 1028367 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1028444), // Rule ID 13239 //
     /* 1028372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028411 */     // MIs[0] policy
     /* 1028411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028421 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028443 */     // GIR_Coverage, 13239,
     /* 1028443 */     GIR_EraseRootFromParent_Done,
     /* 1028444 */   // Label 15235: @1028444
     /* 1028444 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1028521), // Rule ID 13240 //
     /* 1028449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028488 */     // MIs[0] policy
     /* 1028488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028520 */     // GIR_Coverage, 13240,
     /* 1028520 */     GIR_EraseRootFromParent_Done,
     /* 1028521 */   // Label 15236: @1028521
     /* 1028521 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1028598), // Rule ID 13243 //
     /* 1028526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1028537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1028540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028565 */     // MIs[0] policy
     /* 1028565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028575 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028597 */     // GIR_Coverage, 13243,
     /* 1028597 */     GIR_EraseRootFromParent_Done,
     /* 1028598 */   // Label 15237: @1028598
     /* 1028598 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1028675), // Rule ID 13244 //
     /* 1028603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1028614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1028617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028642 */     // MIs[0] policy
     /* 1028642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028674 */     // GIR_Coverage, 13244,
     /* 1028674 */     GIR_EraseRootFromParent_Done,
     /* 1028675 */   // Label 15238: @1028675
     /* 1028675 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1028752), // Rule ID 13247 //
     /* 1028680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1028700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028719 */     // MIs[0] policy
     /* 1028719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028751 */     // GIR_Coverage, 13247,
     /* 1028751 */     GIR_EraseRootFromParent_Done,
     /* 1028752 */   // Label 15239: @1028752
     /* 1028752 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1028829), // Rule ID 13248 //
     /* 1028757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1028777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028796 */     // MIs[0] policy
     /* 1028796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028828 */     // GIR_Coverage, 13248,
     /* 1028828 */     GIR_EraseRootFromParent_Done,
     /* 1028829 */   // Label 15240: @1028829
     /* 1028829 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028906), // Rule ID 13251 //
     /* 1028834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1028845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1028848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1028854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028873 */     // MIs[0] policy
     /* 1028873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028905 */     // GIR_Coverage, 13251,
     /* 1028905 */     GIR_EraseRootFromParent_Done,
     /* 1028906 */   // Label 15241: @1028906
     /* 1028906 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1028983), // Rule ID 13252 //
     /* 1028911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1028922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1028925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1028931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028950 */     // MIs[0] policy
     /* 1028950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028982 */     // GIR_Coverage, 13252,
     /* 1028982 */     GIR_EraseRootFromParent_Done,
     /* 1028983 */   // Label 15242: @1028983
     /* 1028983 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1029060), // Rule ID 13255 //
     /* 1028988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1028999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1029002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1029008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029027 */     // MIs[0] policy
     /* 1029027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029037 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029059 */     // GIR_Coverage, 13255,
     /* 1029059 */     GIR_EraseRootFromParent_Done,
     /* 1029060 */   // Label 15243: @1029060
     /* 1029060 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1029137), // Rule ID 13256 //
     /* 1029065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1029076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1029079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1029085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029104 */     // MIs[0] policy
     /* 1029104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029114 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029136 */     // GIR_Coverage, 13256,
     /* 1029136 */     GIR_EraseRootFromParent_Done,
     /* 1029137 */   // Label 15244: @1029137
     /* 1029137 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1029214), // Rule ID 13259 //
     /* 1029142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029181 */     // MIs[0] policy
     /* 1029181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029213 */     // GIR_Coverage, 13259,
     /* 1029213 */     GIR_EraseRootFromParent_Done,
     /* 1029214 */   // Label 15245: @1029214
     /* 1029214 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1029291), // Rule ID 13260 //
     /* 1029219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029258 */     // MIs[0] policy
     /* 1029258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029268 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029290 */     // GIR_Coverage, 13260,
     /* 1029290 */     GIR_EraseRootFromParent_Done,
     /* 1029291 */   // Label 15246: @1029291
     /* 1029291 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1029368), // Rule ID 13263 //
     /* 1029296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029335 */     // MIs[0] policy
     /* 1029335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029345 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029367 */     // GIR_Coverage, 13263,
     /* 1029367 */     GIR_EraseRootFromParent_Done,
     /* 1029368 */   // Label 15247: @1029368
     /* 1029368 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1029445), // Rule ID 13264 //
     /* 1029373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029412 */     // MIs[0] policy
     /* 1029412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029444 */     // GIR_Coverage, 13264,
     /* 1029444 */     GIR_EraseRootFromParent_Done,
     /* 1029445 */   // Label 15248: @1029445
     /* 1029445 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1029522), // Rule ID 13267 //
     /* 1029450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029489 */     // MIs[0] policy
     /* 1029489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029521 */     // GIR_Coverage, 13267,
     /* 1029521 */     GIR_EraseRootFromParent_Done,
     /* 1029522 */   // Label 15249: @1029522
     /* 1029522 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1029599), // Rule ID 13268 //
     /* 1029527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029566 */     // MIs[0] policy
     /* 1029566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029598 */     // GIR_Coverage, 13268,
     /* 1029598 */     GIR_EraseRootFromParent_Done,
     /* 1029599 */   // Label 15250: @1029599
     /* 1029599 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1029676), // Rule ID 13271 //
     /* 1029604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1029615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1029618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1029624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029643 */     // MIs[0] policy
     /* 1029643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029653 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029675 */     // GIR_Coverage, 13271,
     /* 1029675 */     GIR_EraseRootFromParent_Done,
     /* 1029676 */   // Label 15251: @1029676
     /* 1029676 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1029753), // Rule ID 13272 //
     /* 1029681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1029692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1029695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1029701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029720 */     // MIs[0] policy
     /* 1029720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029752 */     // GIR_Coverage, 13272,
     /* 1029752 */     GIR_EraseRootFromParent_Done,
     /* 1029753 */   // Label 15252: @1029753
     /* 1029753 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1029830), // Rule ID 13275 //
     /* 1029758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1029769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1029772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1029778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029797 */     // MIs[0] policy
     /* 1029797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029807 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029829 */     // GIR_Coverage, 13275,
     /* 1029829 */     GIR_EraseRootFromParent_Done,
     /* 1029830 */   // Label 15253: @1029830
     /* 1029830 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029907), // Rule ID 13276 //
     /* 1029835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1029846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1029849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1029855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029874 */     // MIs[0] policy
     /* 1029874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029906 */     // GIR_Coverage, 13276,
     /* 1029906 */     GIR_EraseRootFromParent_Done,
     /* 1029907 */   // Label 15254: @1029907
     /* 1029907 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1029984), // Rule ID 13279 //
     /* 1029912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1029923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1029926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1029932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029951 */     // MIs[0] policy
     /* 1029951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029983 */     // GIR_Coverage, 13279,
     /* 1029983 */     GIR_EraseRootFromParent_Done,
     /* 1029984 */   // Label 15255: @1029984
     /* 1029984 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1030061), // Rule ID 13280 //
     /* 1029989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1030009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030028 */     // MIs[0] policy
     /* 1030028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030060 */     // GIR_Coverage, 13280,
     /* 1030060 */     GIR_EraseRootFromParent_Done,
     /* 1030061 */   // Label 15256: @1030061
     /* 1030061 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1030138), // Rule ID 13283 //
     /* 1030066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030105 */     // MIs[0] policy
     /* 1030105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030115 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030137 */     // GIR_Coverage, 13283,
     /* 1030137 */     GIR_EraseRootFromParent_Done,
     /* 1030138 */   // Label 15257: @1030138
     /* 1030138 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1030215), // Rule ID 13284 //
     /* 1030143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030182 */     // MIs[0] policy
     /* 1030182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030214 */     // GIR_Coverage, 13284,
     /* 1030214 */     GIR_EraseRootFromParent_Done,
     /* 1030215 */   // Label 15258: @1030215
     /* 1030215 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1030292), // Rule ID 13287 //
     /* 1030220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030259 */     // MIs[0] policy
     /* 1030259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030291 */     // GIR_Coverage, 13287,
     /* 1030291 */     GIR_EraseRootFromParent_Done,
     /* 1030292 */   // Label 15259: @1030292
     /* 1030292 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1030369), // Rule ID 13288 //
     /* 1030297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030336 */     // MIs[0] policy
     /* 1030336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030368 */     // GIR_Coverage, 13288,
     /* 1030368 */     GIR_EraseRootFromParent_Done,
     /* 1030369 */   // Label 15260: @1030369
     /* 1030369 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1030446), // Rule ID 13291 //
     /* 1030374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030413 */     // MIs[0] policy
     /* 1030413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030423 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030445 */     // GIR_Coverage, 13291,
     /* 1030445 */     GIR_EraseRootFromParent_Done,
     /* 1030446 */   // Label 15261: @1030446
     /* 1030446 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1030523), // Rule ID 13292 //
     /* 1030451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030490 */     // MIs[0] policy
     /* 1030490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030522 */     // GIR_Coverage, 13292,
     /* 1030522 */     GIR_EraseRootFromParent_Done,
     /* 1030523 */   // Label 15262: @1030523
     /* 1030523 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1030600), // Rule ID 13295 //
     /* 1030528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1030539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1030542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1030548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030567 */     // MIs[0] policy
     /* 1030567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030599 */     // GIR_Coverage, 13295,
     /* 1030599 */     GIR_EraseRootFromParent_Done,
     /* 1030600 */   // Label 15263: @1030600
     /* 1030600 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1030677), // Rule ID 13296 //
     /* 1030605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1030616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1030619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1030625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030644 */     // MIs[0] policy
     /* 1030644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030676 */     // GIR_Coverage, 13296,
     /* 1030676 */     GIR_EraseRootFromParent_Done,
     /* 1030677 */   // Label 15264: @1030677
     /* 1030677 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1030754), // Rule ID 13299 //
     /* 1030682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1030693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1030696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1030702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030721 */     // MIs[0] policy
     /* 1030721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030731 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030753 */     // GIR_Coverage, 13299,
     /* 1030753 */     GIR_EraseRootFromParent_Done,
     /* 1030754 */   // Label 15265: @1030754
     /* 1030754 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1030831), // Rule ID 13300 //
     /* 1030759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1030770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1030773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1030779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030798 */     // MIs[0] policy
     /* 1030798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030830 */     // GIR_Coverage, 13300,
     /* 1030830 */     GIR_EraseRootFromParent_Done,
     /* 1030831 */   // Label 15266: @1030831
     /* 1030831 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030908), // Rule ID 13303 //
     /* 1030836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1030847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1030850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1030853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1030856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030875 */     // MIs[0] policy
     /* 1030875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030885 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1030888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030907 */     // GIR_Coverage, 13303,
     /* 1030907 */     GIR_EraseRootFromParent_Done,
     /* 1030908 */   // Label 15267: @1030908
     /* 1030908 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1030985), // Rule ID 13304 //
     /* 1030913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1030924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1030927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1030930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1030933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030952 */     // MIs[0] policy
     /* 1030952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1030965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030984 */     // GIR_Coverage, 13304,
     /* 1030984 */     GIR_EraseRootFromParent_Done,
     /* 1030985 */   // Label 15268: @1030985
     /* 1030985 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1031062), // Rule ID 13307 //
     /* 1030990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1031007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031029 */     // MIs[0] policy
     /* 1031029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031039 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031061 */     // GIR_Coverage, 13307,
     /* 1031061 */     GIR_EraseRootFromParent_Done,
     /* 1031062 */   // Label 15269: @1031062
     /* 1031062 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1031139), // Rule ID 13308 //
     /* 1031067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1031084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031106 */     // MIs[0] policy
     /* 1031106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031116 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031138 */     // GIR_Coverage, 13308,
     /* 1031138 */     GIR_EraseRootFromParent_Done,
     /* 1031139 */   // Label 15270: @1031139
     /* 1031139 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1031216), // Rule ID 13311 //
     /* 1031144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031183 */     // MIs[0] policy
     /* 1031183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031215 */     // GIR_Coverage, 13311,
     /* 1031215 */     GIR_EraseRootFromParent_Done,
     /* 1031216 */   // Label 15271: @1031216
     /* 1031216 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1031293), // Rule ID 13312 //
     /* 1031221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031260 */     // MIs[0] policy
     /* 1031260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031292 */     // GIR_Coverage, 13312,
     /* 1031292 */     GIR_EraseRootFromParent_Done,
     /* 1031293 */   // Label 15272: @1031293
     /* 1031293 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1031370), // Rule ID 13315 //
     /* 1031298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031337 */     // MIs[0] policy
     /* 1031337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031369 */     // GIR_Coverage, 13315,
     /* 1031369 */     GIR_EraseRootFromParent_Done,
     /* 1031370 */   // Label 15273: @1031370
     /* 1031370 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1031447), // Rule ID 13316 //
     /* 1031375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031414 */     // MIs[0] policy
     /* 1031414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031446 */     // GIR_Coverage, 13316,
     /* 1031446 */     GIR_EraseRootFromParent_Done,
     /* 1031447 */   // Label 15274: @1031447
     /* 1031447 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1031524), // Rule ID 13319 //
     /* 1031452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031491 */     // MIs[0] policy
     /* 1031491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031523 */     // GIR_Coverage, 13319,
     /* 1031523 */     GIR_EraseRootFromParent_Done,
     /* 1031524 */   // Label 15275: @1031524
     /* 1031524 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1031601), // Rule ID 13320 //
     /* 1031529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031568 */     // MIs[0] policy
     /* 1031568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031600 */     // GIR_Coverage, 13320,
     /* 1031600 */     GIR_EraseRootFromParent_Done,
     /* 1031601 */   // Label 15276: @1031601
     /* 1031601 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1031678), // Rule ID 13323 //
     /* 1031606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1031623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1031626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031645 */     // MIs[0] policy
     /* 1031645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031655 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031677 */     // GIR_Coverage, 13323,
     /* 1031677 */     GIR_EraseRootFromParent_Done,
     /* 1031678 */   // Label 15277: @1031678
     /* 1031678 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1031755), // Rule ID 13324 //
     /* 1031683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1031700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1031703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031722 */     // MIs[0] policy
     /* 1031722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031754 */     // GIR_Coverage, 13324,
     /* 1031754 */     GIR_EraseRootFromParent_Done,
     /* 1031755 */   // Label 15278: @1031755
     /* 1031755 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1031832), // Rule ID 13327 //
     /* 1031760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1031771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1031774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1031777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1031780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031799 */     // MIs[0] policy
     /* 1031799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031831 */     // GIR_Coverage, 13327,
     /* 1031831 */     GIR_EraseRootFromParent_Done,
     /* 1031832 */   // Label 15279: @1031832
     /* 1031832 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031909), // Rule ID 13328 //
     /* 1031837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1031848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1031851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1031854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1031857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031876 */     // MIs[0] policy
     /* 1031876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031908 */     // GIR_Coverage, 13328,
     /* 1031908 */     GIR_EraseRootFromParent_Done,
     /* 1031909 */   // Label 15280: @1031909
     /* 1031909 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1031986), // Rule ID 13331 //
     /* 1031914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1031925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1031928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1031931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1031934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031953 */     // MIs[0] policy
     /* 1031953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031985 */     // GIR_Coverage, 13331,
     /* 1031985 */     GIR_EraseRootFromParent_Done,
     /* 1031986 */   // Label 15281: @1031986
     /* 1031986 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1032063), // Rule ID 13332 //
     /* 1031991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1032008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032030 */     // MIs[0] policy
     /* 1032030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032062 */     // GIR_Coverage, 13332,
     /* 1032062 */     GIR_EraseRootFromParent_Done,
     /* 1032063 */   // Label 15282: @1032063
     /* 1032063 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1032140), // Rule ID 13335 //
     /* 1032068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032107 */     // MIs[0] policy
     /* 1032107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032139 */     // GIR_Coverage, 13335,
     /* 1032139 */     GIR_EraseRootFromParent_Done,
     /* 1032140 */   // Label 15283: @1032140
     /* 1032140 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1032217), // Rule ID 13336 //
     /* 1032145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032184 */     // MIs[0] policy
     /* 1032184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032216 */     // GIR_Coverage, 13336,
     /* 1032216 */     GIR_EraseRootFromParent_Done,
     /* 1032217 */   // Label 15284: @1032217
     /* 1032217 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1032294), // Rule ID 13339 //
     /* 1032222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032261 */     // MIs[0] policy
     /* 1032261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032271 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032293 */     // GIR_Coverage, 13339,
     /* 1032293 */     GIR_EraseRootFromParent_Done,
     /* 1032294 */   // Label 15285: @1032294
     /* 1032294 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1032371), // Rule ID 13340 //
     /* 1032299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032338 */     // MIs[0] policy
     /* 1032338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032370 */     // GIR_Coverage, 13340,
     /* 1032370 */     GIR_EraseRootFromParent_Done,
     /* 1032371 */   // Label 15286: @1032371
     /* 1032371 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1032448), // Rule ID 13343 //
     /* 1032376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032415 */     // MIs[0] policy
     /* 1032415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032425 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032447 */     // GIR_Coverage, 13343,
     /* 1032447 */     GIR_EraseRootFromParent_Done,
     /* 1032448 */   // Label 15287: @1032448
     /* 1032448 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1032525), // Rule ID 13344 //
     /* 1032453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032492 */     // MIs[0] policy
     /* 1032492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032524 */     // GIR_Coverage, 13344,
     /* 1032524 */     GIR_EraseRootFromParent_Done,
     /* 1032525 */   // Label 15288: @1032525
     /* 1032525 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1032602), // Rule ID 13347 //
     /* 1032530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1032541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1032544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1032547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032569 */     // MIs[0] policy
     /* 1032569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032601 */     // GIR_Coverage, 13347,
     /* 1032601 */     GIR_EraseRootFromParent_Done,
     /* 1032602 */   // Label 15289: @1032602
     /* 1032602 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1032679), // Rule ID 13348 //
     /* 1032607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1032618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1032621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1032624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032646 */     // MIs[0] policy
     /* 1032646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032678 */     // GIR_Coverage, 13348,
     /* 1032678 */     GIR_EraseRootFromParent_Done,
     /* 1032679 */   // Label 15290: @1032679
     /* 1032679 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1032756), // Rule ID 13351 //
     /* 1032684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1032701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1032704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032723 */     // MIs[0] policy
     /* 1032723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032755 */     // GIR_Coverage, 13351,
     /* 1032755 */     GIR_EraseRootFromParent_Done,
     /* 1032756 */   // Label 15291: @1032756
     /* 1032756 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1032833), // Rule ID 13352 //
     /* 1032761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1032778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1032781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032800 */     // MIs[0] policy
     /* 1032800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032832 */     // GIR_Coverage, 13352,
     /* 1032832 */     GIR_EraseRootFromParent_Done,
     /* 1032833 */   // Label 15292: @1032833
     /* 1032833 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032910), // Rule ID 13355 //
     /* 1032838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1032855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1032858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032877 */     // MIs[0] policy
     /* 1032877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032887 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032909 */     // GIR_Coverage, 13355,
     /* 1032909 */     GIR_EraseRootFromParent_Done,
     /* 1032910 */   // Label 15293: @1032910
     /* 1032910 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1032987), // Rule ID 13356 //
     /* 1032915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1032932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1032935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032954 */     // MIs[0] policy
     /* 1032954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032986 */     // GIR_Coverage, 13356,
     /* 1032986 */     GIR_EraseRootFromParent_Done,
     /* 1032987 */   // Label 15294: @1032987
     /* 1032987 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1033064), // Rule ID 13359 //
     /* 1032992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1033009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033031 */     // MIs[0] policy
     /* 1033031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033063 */     // GIR_Coverage, 13359,
     /* 1033063 */     GIR_EraseRootFromParent_Done,
     /* 1033064 */   // Label 15295: @1033064
     /* 1033064 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1033141), // Rule ID 13360 //
     /* 1033069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1033086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033108 */     // MIs[0] policy
     /* 1033108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033140 */     // GIR_Coverage, 13360,
     /* 1033140 */     GIR_EraseRootFromParent_Done,
     /* 1033141 */   // Label 15296: @1033141
     /* 1033141 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1033218), // Rule ID 13363 //
     /* 1033146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033185 */     // MIs[0] policy
     /* 1033185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033217 */     // GIR_Coverage, 13363,
     /* 1033217 */     GIR_EraseRootFromParent_Done,
     /* 1033218 */   // Label 15297: @1033218
     /* 1033218 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1033295), // Rule ID 13364 //
     /* 1033223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033262 */     // MIs[0] policy
     /* 1033262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033294 */     // GIR_Coverage, 13364,
     /* 1033294 */     GIR_EraseRootFromParent_Done,
     /* 1033295 */   // Label 15298: @1033295
     /* 1033295 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1033372), // Rule ID 13367 //
     /* 1033300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033339 */     // MIs[0] policy
     /* 1033339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033371 */     // GIR_Coverage, 13367,
     /* 1033371 */     GIR_EraseRootFromParent_Done,
     /* 1033372 */   // Label 15299: @1033372
     /* 1033372 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1033449), // Rule ID 13368 //
     /* 1033377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033416 */     // MIs[0] policy
     /* 1033416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033448 */     // GIR_Coverage, 13368,
     /* 1033448 */     GIR_EraseRootFromParent_Done,
     /* 1033449 */   // Label 15300: @1033449
     /* 1033449 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1033526), // Rule ID 13371 //
     /* 1033454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033493 */     // MIs[0] policy
     /* 1033493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033525 */     // GIR_Coverage, 13371,
     /* 1033525 */     GIR_EraseRootFromParent_Done,
     /* 1033526 */   // Label 15301: @1033526
     /* 1033526 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1033603), // Rule ID 13372 //
     /* 1033531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033570 */     // MIs[0] policy
     /* 1033570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033602 */     // GIR_Coverage, 13372,
     /* 1033602 */     GIR_EraseRootFromParent_Done,
     /* 1033603 */   // Label 15302: @1033603
     /* 1033603 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1033680), // Rule ID 13375 //
     /* 1033608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1033619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1033622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033647 */     // MIs[0] policy
     /* 1033647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033657 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033679 */     // GIR_Coverage, 13375,
     /* 1033679 */     GIR_EraseRootFromParent_Done,
     /* 1033680 */   // Label 15303: @1033680
     /* 1033680 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1033757), // Rule ID 13376 //
     /* 1033685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1033696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1033699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033724 */     // MIs[0] policy
     /* 1033724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033756 */     // GIR_Coverage, 13376,
     /* 1033756 */     GIR_EraseRootFromParent_Done,
     /* 1033757 */   // Label 15304: @1033757
     /* 1033757 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1033834), // Rule ID 13379 //
     /* 1033762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1033773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1033776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033801 */     // MIs[0] policy
     /* 1033801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1033814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033833 */     // GIR_Coverage, 13379,
     /* 1033833 */     GIR_EraseRootFromParent_Done,
     /* 1033834 */   // Label 15305: @1033834
     /* 1033834 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033911), // Rule ID 13380 //
     /* 1033839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1033850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1033853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033878 */     // MIs[0] policy
     /* 1033878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033888 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1033891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033910 */     // GIR_Coverage, 13380,
     /* 1033910 */     GIR_EraseRootFromParent_Done,
     /* 1033911 */   // Label 15306: @1033911
     /* 1033911 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1033988), // Rule ID 13383 //
     /* 1033916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1033927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1033930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1033936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033955 */     // MIs[0] policy
     /* 1033955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033965 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1033968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033987 */     // GIR_Coverage, 13383,
     /* 1033987 */     GIR_EraseRootFromParent_Done,
     /* 1033988 */   // Label 15307: @1033988
     /* 1033988 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1034065), // Rule ID 13384 //
     /* 1033993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034032 */     // MIs[0] policy
     /* 1034032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034064 */     // GIR_Coverage, 13384,
     /* 1034064 */     GIR_EraseRootFromParent_Done,
     /* 1034065 */   // Label 15308: @1034065
     /* 1034065 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1034142), // Rule ID 13387 //
     /* 1034070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034109 */     // MIs[0] policy
     /* 1034109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034141 */     // GIR_Coverage, 13387,
     /* 1034141 */     GIR_EraseRootFromParent_Done,
     /* 1034142 */   // Label 15309: @1034142
     /* 1034142 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1034219), // Rule ID 13388 //
     /* 1034147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034186 */     // MIs[0] policy
     /* 1034186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034218 */     // GIR_Coverage, 13388,
     /* 1034218 */     GIR_EraseRootFromParent_Done,
     /* 1034219 */   // Label 15310: @1034219
     /* 1034219 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1034296), // Rule ID 13391 //
     /* 1034224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034263 */     // MIs[0] policy
     /* 1034263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034295 */     // GIR_Coverage, 13391,
     /* 1034295 */     GIR_EraseRootFromParent_Done,
     /* 1034296 */   // Label 15311: @1034296
     /* 1034296 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1034373), // Rule ID 13392 //
     /* 1034301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034340 */     // MIs[0] policy
     /* 1034340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034372 */     // GIR_Coverage, 13392,
     /* 1034372 */     GIR_EraseRootFromParent_Done,
     /* 1034373 */   // Label 15312: @1034373
     /* 1034373 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1034450), // Rule ID 13395 //
     /* 1034378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034417 */     // MIs[0] policy
     /* 1034417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034449 */     // GIR_Coverage, 13395,
     /* 1034449 */     GIR_EraseRootFromParent_Done,
     /* 1034450 */   // Label 15313: @1034450
     /* 1034450 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1034527), // Rule ID 13396 //
     /* 1034455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034494 */     // MIs[0] policy
     /* 1034494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034526 */     // GIR_Coverage, 13396,
     /* 1034526 */     GIR_EraseRootFromParent_Done,
     /* 1034527 */   // Label 15314: @1034527
     /* 1034527 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1034604), // Rule ID 13399 //
     /* 1034532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034571 */     // MIs[0] policy
     /* 1034571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034603 */     // GIR_Coverage, 13399,
     /* 1034603 */     GIR_EraseRootFromParent_Done,
     /* 1034604 */   // Label 15315: @1034604
     /* 1034604 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1034681), // Rule ID 13400 //
     /* 1034609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034648 */     // MIs[0] policy
     /* 1034648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034680 */     // GIR_Coverage, 13400,
     /* 1034680 */     GIR_EraseRootFromParent_Done,
     /* 1034681 */   // Label 15316: @1034681
     /* 1034681 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1034758), // Rule ID 13403 //
     /* 1034686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1034697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1034700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034725 */     // MIs[0] policy
     /* 1034725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034757 */     // GIR_Coverage, 13403,
     /* 1034757 */     GIR_EraseRootFromParent_Done,
     /* 1034758 */   // Label 15317: @1034758
     /* 1034758 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1034835), // Rule ID 13404 //
     /* 1034763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1034774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1034777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034802 */     // MIs[0] policy
     /* 1034802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034834 */     // GIR_Coverage, 13404,
     /* 1034834 */     GIR_EraseRootFromParent_Done,
     /* 1034835 */   // Label 15318: @1034835
     /* 1034835 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034912), // Rule ID 13407 //
     /* 1034840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1034843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1034860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034879 */     // MIs[0] policy
     /* 1034879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034911 */     // GIR_Coverage, 13407,
     /* 1034911 */     GIR_EraseRootFromParent_Done,
     /* 1034912 */   // Label 15319: @1034912
     /* 1034912 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1034989), // Rule ID 13408 //
     /* 1034917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1034920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1034937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034956 */     // MIs[0] policy
     /* 1034956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034988 */     // GIR_Coverage, 13408,
     /* 1034988 */     GIR_EraseRootFromParent_Done,
     /* 1034989 */   // Label 15320: @1034989
     /* 1034989 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1035066), // Rule ID 13411 //
     /* 1034994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1034997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035033 */     // MIs[0] policy
     /* 1035033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035065 */     // GIR_Coverage, 13411,
     /* 1035065 */     GIR_EraseRootFromParent_Done,
     /* 1035066 */   // Label 15321: @1035066
     /* 1035066 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1035143), // Rule ID 13412 //
     /* 1035071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035110 */     // MIs[0] policy
     /* 1035110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035142 */     // GIR_Coverage, 13412,
     /* 1035142 */     GIR_EraseRootFromParent_Done,
     /* 1035143 */   // Label 15322: @1035143
     /* 1035143 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1035220), // Rule ID 13415 //
     /* 1035148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035187 */     // MIs[0] policy
     /* 1035187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035219 */     // GIR_Coverage, 13415,
     /* 1035219 */     GIR_EraseRootFromParent_Done,
     /* 1035220 */   // Label 15323: @1035220
     /* 1035220 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1035297), // Rule ID 13416 //
     /* 1035225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035264 */     // MIs[0] policy
     /* 1035264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035296 */     // GIR_Coverage, 13416,
     /* 1035296 */     GIR_EraseRootFromParent_Done,
     /* 1035297 */   // Label 15324: @1035297
     /* 1035297 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1035374), // Rule ID 13419 //
     /* 1035302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035341 */     // MIs[0] policy
     /* 1035341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035373 */     // GIR_Coverage, 13419,
     /* 1035373 */     GIR_EraseRootFromParent_Done,
     /* 1035374 */   // Label 15325: @1035374
     /* 1035374 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1035451), // Rule ID 13420 //
     /* 1035379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035418 */     // MIs[0] policy
     /* 1035418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035450 */     // GIR_Coverage, 13420,
     /* 1035450 */     GIR_EraseRootFromParent_Done,
     /* 1035451 */   // Label 15326: @1035451
     /* 1035451 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1035528), // Rule ID 13423 //
     /* 1035456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035495 */     // MIs[0] policy
     /* 1035495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035505 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035527 */     // GIR_Coverage, 13423,
     /* 1035527 */     GIR_EraseRootFromParent_Done,
     /* 1035528 */   // Label 15327: @1035528
     /* 1035528 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1035605), // Rule ID 13424 //
     /* 1035533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035572 */     // MIs[0] policy
     /* 1035572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035604 */     // GIR_Coverage, 13424,
     /* 1035604 */     GIR_EraseRootFromParent_Done,
     /* 1035605 */   // Label 15328: @1035605
     /* 1035605 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1035682), // Rule ID 13427 //
     /* 1035610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035649 */     // MIs[0] policy
     /* 1035649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1035662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035681 */     // GIR_Coverage, 13427,
     /* 1035681 */     GIR_EraseRootFromParent_Done,
     /* 1035682 */   // Label 15329: @1035682
     /* 1035682 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1035759), // Rule ID 13428 //
     /* 1035687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035726 */     // MIs[0] policy
     /* 1035726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1035739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035758 */     // GIR_Coverage, 13428,
     /* 1035758 */     GIR_EraseRootFromParent_Done,
     /* 1035759 */   // Label 15330: @1035759
     /* 1035759 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1035836), // Rule ID 13431 //
     /* 1035764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035803 */     // MIs[0] policy
     /* 1035803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035813 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1035816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035835 */     // GIR_Coverage, 13431,
     /* 1035835 */     GIR_EraseRootFromParent_Done,
     /* 1035836 */   // Label 15331: @1035836
     /* 1035836 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035913), // Rule ID 13432 //
     /* 1035841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035880 */     // MIs[0] policy
     /* 1035880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1035893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035912 */     // GIR_Coverage, 13432,
     /* 1035912 */     GIR_EraseRootFromParent_Done,
     /* 1035913 */   // Label 15332: @1035913
     /* 1035913 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1035990), // Rule ID 13435 //
     /* 1035918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1035929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1035932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1035935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1035938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035957 */     // MIs[0] policy
     /* 1035957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1035970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035989 */     // GIR_Coverage, 13435,
     /* 1035989 */     GIR_EraseRootFromParent_Done,
     /* 1035990 */   // Label 15333: @1035990
     /* 1035990 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1036067), // Rule ID 13436 //
     /* 1035995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036034 */     // MIs[0] policy
     /* 1036034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036066 */     // GIR_Coverage, 13436,
     /* 1036066 */     GIR_EraseRootFromParent_Done,
     /* 1036067 */   // Label 15334: @1036067
     /* 1036067 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1036144), // Rule ID 13439 //
     /* 1036072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036111 */     // MIs[0] policy
     /* 1036111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036143 */     // GIR_Coverage, 13439,
     /* 1036143 */     GIR_EraseRootFromParent_Done,
     /* 1036144 */   // Label 15335: @1036144
     /* 1036144 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1036221), // Rule ID 13440 //
     /* 1036149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036188 */     // MIs[0] policy
     /* 1036188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036220 */     // GIR_Coverage, 13440,
     /* 1036220 */     GIR_EraseRootFromParent_Done,
     /* 1036221 */   // Label 15336: @1036221
     /* 1036221 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1036298), // Rule ID 13443 //
     /* 1036226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036265 */     // MIs[0] policy
     /* 1036265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036297 */     // GIR_Coverage, 13443,
     /* 1036297 */     GIR_EraseRootFromParent_Done,
     /* 1036298 */   // Label 15337: @1036298
     /* 1036298 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1036375), // Rule ID 13444 //
     /* 1036303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036342 */     // MIs[0] policy
     /* 1036342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036374 */     // GIR_Coverage, 13444,
     /* 1036374 */     GIR_EraseRootFromParent_Done,
     /* 1036375 */   // Label 15338: @1036375
     /* 1036375 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1036452), // Rule ID 13447 //
     /* 1036380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036419 */     // MIs[0] policy
     /* 1036419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036451 */     // GIR_Coverage, 13447,
     /* 1036451 */     GIR_EraseRootFromParent_Done,
     /* 1036452 */   // Label 15339: @1036452
     /* 1036452 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1036529), // Rule ID 13448 //
     /* 1036457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036496 */     // MIs[0] policy
     /* 1036496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036528 */     // GIR_Coverage, 13448,
     /* 1036528 */     GIR_EraseRootFromParent_Done,
     /* 1036529 */   // Label 15340: @1036529
     /* 1036529 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1036606), // Rule ID 13451 //
     /* 1036534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036573 */     // MIs[0] policy
     /* 1036573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036605 */     // GIR_Coverage, 13451,
     /* 1036605 */     GIR_EraseRootFromParent_Done,
     /* 1036606 */   // Label 15341: @1036606
     /* 1036606 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1036683), // Rule ID 13452 //
     /* 1036611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036650 */     // MIs[0] policy
     /* 1036650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036682 */     // GIR_Coverage, 13452,
     /* 1036682 */     GIR_EraseRootFromParent_Done,
     /* 1036683 */   // Label 15342: @1036683
     /* 1036683 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1036760), // Rule ID 13455 //
     /* 1036688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036727 */     // MIs[0] policy
     /* 1036727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036759 */     // GIR_Coverage, 13455,
     /* 1036759 */     GIR_EraseRootFromParent_Done,
     /* 1036760 */   // Label 15343: @1036760
     /* 1036760 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1036837), // Rule ID 13456 //
     /* 1036765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036804 */     // MIs[0] policy
     /* 1036804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036836 */     // GIR_Coverage, 13456,
     /* 1036836 */     GIR_EraseRootFromParent_Done,
     /* 1036837 */   // Label 15344: @1036837
     /* 1036837 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036914), // Rule ID 13459 //
     /* 1036842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1036859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1036862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036881 */     // MIs[0] policy
     /* 1036881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036913 */     // GIR_Coverage, 13459,
     /* 1036913 */     GIR_EraseRootFromParent_Done,
     /* 1036914 */   // Label 15345: @1036914
     /* 1036914 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1036991), // Rule ID 13460 //
     /* 1036919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1036936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1036939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036958 */     // MIs[0] policy
     /* 1036958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036990 */     // GIR_Coverage, 13460,
     /* 1036990 */     GIR_EraseRootFromParent_Done,
     /* 1036991 */   // Label 15346: @1036991
     /* 1036991 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1037068), // Rule ID 13463 //
     /* 1036996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037035 */     // MIs[0] policy
     /* 1037035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037067 */     // GIR_Coverage, 13463,
     /* 1037067 */     GIR_EraseRootFromParent_Done,
     /* 1037068 */   // Label 15347: @1037068
     /* 1037068 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1037145), // Rule ID 13464 //
     /* 1037073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037112 */     // MIs[0] policy
     /* 1037112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037144 */     // GIR_Coverage, 13464,
     /* 1037144 */     GIR_EraseRootFromParent_Done,
     /* 1037145 */   // Label 15348: @1037145
     /* 1037145 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1037222), // Rule ID 13467 //
     /* 1037150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037189 */     // MIs[0] policy
     /* 1037189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037221 */     // GIR_Coverage, 13467,
     /* 1037221 */     GIR_EraseRootFromParent_Done,
     /* 1037222 */   // Label 15349: @1037222
     /* 1037222 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1037299), // Rule ID 13468 //
     /* 1037227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037266 */     // MIs[0] policy
     /* 1037266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037298 */     // GIR_Coverage, 13468,
     /* 1037298 */     GIR_EraseRootFromParent_Done,
     /* 1037299 */   // Label 15350: @1037299
     /* 1037299 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1037376), // Rule ID 13471 //
     /* 1037304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037343 */     // MIs[0] policy
     /* 1037343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037375 */     // GIR_Coverage, 13471,
     /* 1037375 */     GIR_EraseRootFromParent_Done,
     /* 1037376 */   // Label 15351: @1037376
     /* 1037376 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1037453), // Rule ID 13472 //
     /* 1037381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037420 */     // MIs[0] policy
     /* 1037420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037452 */     // GIR_Coverage, 13472,
     /* 1037452 */     GIR_EraseRootFromParent_Done,
     /* 1037453 */   // Label 15352: @1037453
     /* 1037453 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1037530), // Rule ID 13475 //
     /* 1037458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037497 */     // MIs[0] policy
     /* 1037497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037529 */     // GIR_Coverage, 13475,
     /* 1037529 */     GIR_EraseRootFromParent_Done,
     /* 1037530 */   // Label 15353: @1037530
     /* 1037530 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1037607), // Rule ID 13476 //
     /* 1037535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037574 */     // MIs[0] policy
     /* 1037574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037606 */     // GIR_Coverage, 13476,
     /* 1037606 */     GIR_EraseRootFromParent_Done,
     /* 1037607 */   // Label 15354: @1037607
     /* 1037607 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1037684), // Rule ID 13479 //
     /* 1037612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037651 */     // MIs[0] policy
     /* 1037651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037683 */     // GIR_Coverage, 13479,
     /* 1037683 */     GIR_EraseRootFromParent_Done,
     /* 1037684 */   // Label 15355: @1037684
     /* 1037684 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1037761), // Rule ID 13480 //
     /* 1037689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037728 */     // MIs[0] policy
     /* 1037728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037760 */     // GIR_Coverage, 13480,
     /* 1037760 */     GIR_EraseRootFromParent_Done,
     /* 1037761 */   // Label 15356: @1037761
     /* 1037761 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1037838), // Rule ID 13483 //
     /* 1037766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037805 */     // MIs[0] policy
     /* 1037805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037815 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1037818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037837 */     // GIR_Coverage, 13483,
     /* 1037837 */     GIR_EraseRootFromParent_Done,
     /* 1037838 */   // Label 15357: @1037838
     /* 1037838 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037915), // Rule ID 13484 //
     /* 1037843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037882 */     // MIs[0] policy
     /* 1037882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1037895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037914 */     // GIR_Coverage, 13484,
     /* 1037914 */     GIR_EraseRootFromParent_Done,
     /* 1037915 */   // Label 15358: @1037915
     /* 1037915 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1037992), // Rule ID 13487 //
     /* 1037920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1037931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1037934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1037940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037959 */     // MIs[0] policy
     /* 1037959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1037972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037991 */     // GIR_Coverage, 13487,
     /* 1037991 */     GIR_EraseRootFromParent_Done,
     /* 1037992 */   // Label 15359: @1037992
     /* 1037992 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1038069), // Rule ID 13488 //
     /* 1037997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038036 */     // MIs[0] policy
     /* 1038036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038068 */     // GIR_Coverage, 13488,
     /* 1038068 */     GIR_EraseRootFromParent_Done,
     /* 1038069 */   // Label 15360: @1038069
     /* 1038069 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1038146), // Rule ID 13491 //
     /* 1038074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038113 */     // MIs[0] policy
     /* 1038113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038145 */     // GIR_Coverage, 13491,
     /* 1038145 */     GIR_EraseRootFromParent_Done,
     /* 1038146 */   // Label 15361: @1038146
     /* 1038146 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1038223), // Rule ID 13492 //
     /* 1038151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038190 */     // MIs[0] policy
     /* 1038190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038200 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038222 */     // GIR_Coverage, 13492,
     /* 1038222 */     GIR_EraseRootFromParent_Done,
     /* 1038223 */   // Label 15362: @1038223
     /* 1038223 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1038300), // Rule ID 13495 //
     /* 1038228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038267 */     // MIs[0] policy
     /* 1038267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038299 */     // GIR_Coverage, 13495,
     /* 1038299 */     GIR_EraseRootFromParent_Done,
     /* 1038300 */   // Label 15363: @1038300
     /* 1038300 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1038377), // Rule ID 13496 //
     /* 1038305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038344 */     // MIs[0] policy
     /* 1038344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038376 */     // GIR_Coverage, 13496,
     /* 1038376 */     GIR_EraseRootFromParent_Done,
     /* 1038377 */   // Label 15364: @1038377
     /* 1038377 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1038454), // Rule ID 13499 //
     /* 1038382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038421 */     // MIs[0] policy
     /* 1038421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038431 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038453 */     // GIR_Coverage, 13499,
     /* 1038453 */     GIR_EraseRootFromParent_Done,
     /* 1038454 */   // Label 15365: @1038454
     /* 1038454 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1038531), // Rule ID 13500 //
     /* 1038459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038498 */     // MIs[0] policy
     /* 1038498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038530 */     // GIR_Coverage, 13500,
     /* 1038530 */     GIR_EraseRootFromParent_Done,
     /* 1038531 */   // Label 15366: @1038531
     /* 1038531 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1038608), // Rule ID 13503 //
     /* 1038536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038575 */     // MIs[0] policy
     /* 1038575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038585 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038607 */     // GIR_Coverage, 13503,
     /* 1038607 */     GIR_EraseRootFromParent_Done,
     /* 1038608 */   // Label 15367: @1038608
     /* 1038608 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1038685), // Rule ID 13504 //
     /* 1038613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038652 */     // MIs[0] policy
     /* 1038652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038684 */     // GIR_Coverage, 13504,
     /* 1038684 */     GIR_EraseRootFromParent_Done,
     /* 1038685 */   // Label 15368: @1038685
     /* 1038685 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1038762), // Rule ID 13507 //
     /* 1038690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038729 */     // MIs[0] policy
     /* 1038729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038761 */     // GIR_Coverage, 13507,
     /* 1038761 */     GIR_EraseRootFromParent_Done,
     /* 1038762 */   // Label 15369: @1038762
     /* 1038762 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1038839), // Rule ID 13508 //
     /* 1038767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038806 */     // MIs[0] policy
     /* 1038806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038838 */     // GIR_Coverage, 13508,
     /* 1038838 */     GIR_EraseRootFromParent_Done,
     /* 1038839 */   // Label 15370: @1038839
     /* 1038839 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038916), // Rule ID 13511 //
     /* 1038844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1038864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038883 */     // MIs[0] policy
     /* 1038883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038915 */     // GIR_Coverage, 13511,
     /* 1038915 */     GIR_EraseRootFromParent_Done,
     /* 1038916 */   // Label 15371: @1038916
     /* 1038916 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1038993), // Rule ID 13512 //
     /* 1038921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1038941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038960 */     // MIs[0] policy
     /* 1038960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038992 */     // GIR_Coverage, 13512,
     /* 1038992 */     GIR_EraseRootFromParent_Done,
     /* 1038993 */   // Label 15372: @1038993
     /* 1038993 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1039070), // Rule ID 13515 //
     /* 1038998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039037 */     // MIs[0] policy
     /* 1039037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039069 */     // GIR_Coverage, 13515,
     /* 1039069 */     GIR_EraseRootFromParent_Done,
     /* 1039070 */   // Label 15373: @1039070
     /* 1039070 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1039147), // Rule ID 13516 //
     /* 1039075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039114 */     // MIs[0] policy
     /* 1039114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039146 */     // GIR_Coverage, 13516,
     /* 1039146 */     GIR_EraseRootFromParent_Done,
     /* 1039147 */   // Label 15374: @1039147
     /* 1039147 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1039224), // Rule ID 13519 //
     /* 1039152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039191 */     // MIs[0] policy
     /* 1039191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039223 */     // GIR_Coverage, 13519,
     /* 1039223 */     GIR_EraseRootFromParent_Done,
     /* 1039224 */   // Label 15375: @1039224
     /* 1039224 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1039301), // Rule ID 13520 //
     /* 1039229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039268 */     // MIs[0] policy
     /* 1039268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039300 */     // GIR_Coverage, 13520,
     /* 1039300 */     GIR_EraseRootFromParent_Done,
     /* 1039301 */   // Label 15376: @1039301
     /* 1039301 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1039378), // Rule ID 13523 //
     /* 1039306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039345 */     // MIs[0] policy
     /* 1039345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039377 */     // GIR_Coverage, 13523,
     /* 1039377 */     GIR_EraseRootFromParent_Done,
     /* 1039378 */   // Label 15377: @1039378
     /* 1039378 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1039455), // Rule ID 13524 //
     /* 1039383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039422 */     // MIs[0] policy
     /* 1039422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039454 */     // GIR_Coverage, 13524,
     /* 1039454 */     GIR_EraseRootFromParent_Done,
     /* 1039455 */   // Label 15378: @1039455
     /* 1039455 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1039532), // Rule ID 13527 //
     /* 1039460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039499 */     // MIs[0] policy
     /* 1039499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039531 */     // GIR_Coverage, 13527,
     /* 1039531 */     GIR_EraseRootFromParent_Done,
     /* 1039532 */   // Label 15379: @1039532
     /* 1039532 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1039609), // Rule ID 13528 //
     /* 1039537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039576 */     // MIs[0] policy
     /* 1039576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039608 */     // GIR_Coverage, 13528,
     /* 1039608 */     GIR_EraseRootFromParent_Done,
     /* 1039609 */   // Label 15380: @1039609
     /* 1039609 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1039686), // Rule ID 13531 //
     /* 1039614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039653 */     // MIs[0] policy
     /* 1039653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039685 */     // GIR_Coverage, 13531,
     /* 1039685 */     GIR_EraseRootFromParent_Done,
     /* 1039686 */   // Label 15381: @1039686
     /* 1039686 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1039763), // Rule ID 13532 //
     /* 1039691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039730 */     // MIs[0] policy
     /* 1039730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039762 */     // GIR_Coverage, 13532,
     /* 1039762 */     GIR_EraseRootFromParent_Done,
     /* 1039763 */   // Label 15382: @1039763
     /* 1039763 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1039840), // Rule ID 13535 //
     /* 1039768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039807 */     // MIs[0] policy
     /* 1039807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039839 */     // GIR_Coverage, 13535,
     /* 1039839 */     GIR_EraseRootFromParent_Done,
     /* 1039840 */   // Label 15383: @1039840
     /* 1039840 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039917), // Rule ID 13536 //
     /* 1039845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039884 */     // MIs[0] policy
     /* 1039884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039916 */     // GIR_Coverage, 13536,
     /* 1039916 */     GIR_EraseRootFromParent_Done,
     /* 1039917 */   // Label 15384: @1039917
     /* 1039917 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1039994), // Rule ID 13539 //
     /* 1039922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1039933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1039936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039961 */     // MIs[0] policy
     /* 1039961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039993 */     // GIR_Coverage, 13539,
     /* 1039993 */     GIR_EraseRootFromParent_Done,
     /* 1039994 */   // Label 15385: @1039994
     /* 1039994 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1040071), // Rule ID 13540 //
     /* 1039999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040038 */     // MIs[0] policy
     /* 1040038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1040051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040070 */     // GIR_Coverage, 13540,
     /* 1040070 */     GIR_EraseRootFromParent_Done,
     /* 1040071 */   // Label 15386: @1040071
     /* 1040071 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1040148), // Rule ID 13543 //
     /* 1040076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040115 */     // MIs[0] policy
     /* 1040115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040125 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040147 */     // GIR_Coverage, 13543,
     /* 1040147 */     GIR_EraseRootFromParent_Done,
     /* 1040148 */   // Label 15387: @1040148
     /* 1040148 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1040225), // Rule ID 13544 //
     /* 1040153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040192 */     // MIs[0] policy
     /* 1040192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040224 */     // GIR_Coverage, 13544,
     /* 1040224 */     GIR_EraseRootFromParent_Done,
     /* 1040225 */   // Label 15388: @1040225
     /* 1040225 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1040302), // Rule ID 13547 //
     /* 1040230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040269 */     // MIs[0] policy
     /* 1040269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040279 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040301 */     // GIR_Coverage, 13547,
     /* 1040301 */     GIR_EraseRootFromParent_Done,
     /* 1040302 */   // Label 15389: @1040302
     /* 1040302 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1040379), // Rule ID 13548 //
     /* 1040307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040346 */     // MIs[0] policy
     /* 1040346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040378 */     // GIR_Coverage, 13548,
     /* 1040378 */     GIR_EraseRootFromParent_Done,
     /* 1040379 */   // Label 15390: @1040379
     /* 1040379 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1040456), // Rule ID 13551 //
     /* 1040384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040423 */     // MIs[0] policy
     /* 1040423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040455 */     // GIR_Coverage, 13551,
     /* 1040455 */     GIR_EraseRootFromParent_Done,
     /* 1040456 */   // Label 15391: @1040456
     /* 1040456 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1040533), // Rule ID 13552 //
     /* 1040461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040500 */     // MIs[0] policy
     /* 1040500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040532 */     // GIR_Coverage, 13552,
     /* 1040532 */     GIR_EraseRootFromParent_Done,
     /* 1040533 */   // Label 15392: @1040533
     /* 1040533 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1040610), // Rule ID 13555 //
     /* 1040538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040577 */     // MIs[0] policy
     /* 1040577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040609 */     // GIR_Coverage, 13555,
     /* 1040609 */     GIR_EraseRootFromParent_Done,
     /* 1040610 */   // Label 15393: @1040610
     /* 1040610 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1040687), // Rule ID 13556 //
     /* 1040615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040654 */     // MIs[0] policy
     /* 1040654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040686 */     // GIR_Coverage, 13556,
     /* 1040686 */     GIR_EraseRootFromParent_Done,
     /* 1040687 */   // Label 15394: @1040687
     /* 1040687 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1040764), // Rule ID 13559 //
     /* 1040692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040731 */     // MIs[0] policy
     /* 1040731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040763 */     // GIR_Coverage, 13559,
     /* 1040763 */     GIR_EraseRootFromParent_Done,
     /* 1040764 */   // Label 15395: @1040764
     /* 1040764 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1040841), // Rule ID 13560 //
     /* 1040769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040808 */     // MIs[0] policy
     /* 1040808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040840 */     // GIR_Coverage, 13560,
     /* 1040840 */     GIR_EraseRootFromParent_Done,
     /* 1040841 */   // Label 15396: @1040841
     /* 1040841 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040918), // Rule ID 13563 //
     /* 1040846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1040857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1040860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1040863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1040866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040885 */     // MIs[0] policy
     /* 1040885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1040898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040917 */     // GIR_Coverage, 13563,
     /* 1040917 */     GIR_EraseRootFromParent_Done,
     /* 1040918 */   // Label 15397: @1040918
     /* 1040918 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1040995), // Rule ID 13564 //
     /* 1040923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1040934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1040937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1040940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1040943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040962 */     // MIs[0] policy
     /* 1040962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1040975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040994 */     // GIR_Coverage, 13564,
     /* 1040994 */     GIR_EraseRootFromParent_Done,
     /* 1040995 */   // Label 15398: @1040995
     /* 1040995 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1041072), // Rule ID 13567 //
     /* 1041000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041039 */     // MIs[0] policy
     /* 1041039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041071 */     // GIR_Coverage, 13567,
     /* 1041071 */     GIR_EraseRootFromParent_Done,
     /* 1041072 */   // Label 15399: @1041072
     /* 1041072 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1041149), // Rule ID 13568 //
     /* 1041077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041116 */     // MIs[0] policy
     /* 1041116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041148 */     // GIR_Coverage, 13568,
     /* 1041148 */     GIR_EraseRootFromParent_Done,
     /* 1041149 */   // Label 15400: @1041149
     /* 1041149 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1041226), // Rule ID 13571 //
     /* 1041154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041193 */     // MIs[0] policy
     /* 1041193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041225 */     // GIR_Coverage, 13571,
     /* 1041225 */     GIR_EraseRootFromParent_Done,
     /* 1041226 */   // Label 15401: @1041226
     /* 1041226 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1041303), // Rule ID 13572 //
     /* 1041231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041270 */     // MIs[0] policy
     /* 1041270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041302 */     // GIR_Coverage, 13572,
     /* 1041302 */     GIR_EraseRootFromParent_Done,
     /* 1041303 */   // Label 15402: @1041303
     /* 1041303 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1041380), // Rule ID 13575 //
     /* 1041308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041347 */     // MIs[0] policy
     /* 1041347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041379 */     // GIR_Coverage, 13575,
     /* 1041379 */     GIR_EraseRootFromParent_Done,
     /* 1041380 */   // Label 15403: @1041380
     /* 1041380 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1041457), // Rule ID 13576 //
     /* 1041385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041424 */     // MIs[0] policy
     /* 1041424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041456 */     // GIR_Coverage, 13576,
     /* 1041456 */     GIR_EraseRootFromParent_Done,
     /* 1041457 */   // Label 15404: @1041457
     /* 1041457 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1041534), // Rule ID 13579 //
     /* 1041462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041501 */     // MIs[0] policy
     /* 1041501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041511 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041533 */     // GIR_Coverage, 13579,
     /* 1041533 */     GIR_EraseRootFromParent_Done,
     /* 1041534 */   // Label 15405: @1041534
     /* 1041534 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1041611), // Rule ID 13580 //
     /* 1041539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041578 */     // MIs[0] policy
     /* 1041578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041610 */     // GIR_Coverage, 13580,
     /* 1041610 */     GIR_EraseRootFromParent_Done,
     /* 1041611 */   // Label 15406: @1041611
     /* 1041611 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1041688), // Rule ID 13583 //
     /* 1041616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041655 */     // MIs[0] policy
     /* 1041655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041665 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041687 */     // GIR_Coverage, 13583,
     /* 1041687 */     GIR_EraseRootFromParent_Done,
     /* 1041688 */   // Label 15407: @1041688
     /* 1041688 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1041765), // Rule ID 13584 //
     /* 1041693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041732 */     // MIs[0] policy
     /* 1041732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041764 */     // GIR_Coverage, 13584,
     /* 1041764 */     GIR_EraseRootFromParent_Done,
     /* 1041765 */   // Label 15408: @1041765
     /* 1041765 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1041842), // Rule ID 13587 //
     /* 1041770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1041773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041809 */     // MIs[0] policy
     /* 1041809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041841 */     // GIR_Coverage, 13587,
     /* 1041841 */     GIR_EraseRootFromParent_Done,
     /* 1041842 */   // Label 15409: @1041842
     /* 1041842 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041919), // Rule ID 13588 //
     /* 1041847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041886 */     // MIs[0] policy
     /* 1041886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041918 */     // GIR_Coverage, 13588,
     /* 1041918 */     GIR_EraseRootFromParent_Done,
     /* 1041919 */   // Label 15410: @1041919
     /* 1041919 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1041996), // Rule ID 13591 //
     /* 1041924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1041927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1041935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1041938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1041944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041963 */     // MIs[0] policy
     /* 1041963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041995 */     // GIR_Coverage, 13591,
     /* 1041995 */     GIR_EraseRootFromParent_Done,
     /* 1041996 */   // Label 15411: @1041996
     /* 1041996 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1042073), // Rule ID 13592 //
     /* 1042001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042040 */     // MIs[0] policy
     /* 1042040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042072 */     // GIR_Coverage, 13592,
     /* 1042072 */     GIR_EraseRootFromParent_Done,
     /* 1042073 */   // Label 15412: @1042073
     /* 1042073 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1042150), // Rule ID 13595 //
     /* 1042078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042117 */     // MIs[0] policy
     /* 1042117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042149 */     // GIR_Coverage, 13595,
     /* 1042149 */     GIR_EraseRootFromParent_Done,
     /* 1042150 */   // Label 15413: @1042150
     /* 1042150 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1042227), // Rule ID 13596 //
     /* 1042155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042194 */     // MIs[0] policy
     /* 1042194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042226 */     // GIR_Coverage, 13596,
     /* 1042226 */     GIR_EraseRootFromParent_Done,
     /* 1042227 */   // Label 15414: @1042227
     /* 1042227 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1042304), // Rule ID 13599 //
     /* 1042232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042271 */     // MIs[0] policy
     /* 1042271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042281 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042303 */     // GIR_Coverage, 13599,
     /* 1042303 */     GIR_EraseRootFromParent_Done,
     /* 1042304 */   // Label 15415: @1042304
     /* 1042304 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1042381), // Rule ID 13600 //
     /* 1042309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042348 */     // MIs[0] policy
     /* 1042348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042380 */     // GIR_Coverage, 13600,
     /* 1042380 */     GIR_EraseRootFromParent_Done,
     /* 1042381 */   // Label 15416: @1042381
     /* 1042381 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1042458), // Rule ID 13603 //
     /* 1042386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042425 */     // MIs[0] policy
     /* 1042425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042457 */     // GIR_Coverage, 13603,
     /* 1042457 */     GIR_EraseRootFromParent_Done,
     /* 1042458 */   // Label 15417: @1042458
     /* 1042458 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1042535), // Rule ID 13604 //
     /* 1042463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042502 */     // MIs[0] policy
     /* 1042502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042534 */     // GIR_Coverage, 13604,
     /* 1042534 */     GIR_EraseRootFromParent_Done,
     /* 1042535 */   // Label 15418: @1042535
     /* 1042535 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1042612), // Rule ID 13607 //
     /* 1042540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042579 */     // MIs[0] policy
     /* 1042579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042589 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042611 */     // GIR_Coverage, 13607,
     /* 1042611 */     GIR_EraseRootFromParent_Done,
     /* 1042612 */   // Label 15419: @1042612
     /* 1042612 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1042689), // Rule ID 13608 //
     /* 1042617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042656 */     // MIs[0] policy
     /* 1042656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042688 */     // GIR_Coverage, 13608,
     /* 1042688 */     GIR_EraseRootFromParent_Done,
     /* 1042689 */   // Label 15420: @1042689
     /* 1042689 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1042766), // Rule ID 13611 //
     /* 1042694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042733 */     // MIs[0] policy
     /* 1042733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042765 */     // GIR_Coverage, 13611,
     /* 1042765 */     GIR_EraseRootFromParent_Done,
     /* 1042766 */   // Label 15421: @1042766
     /* 1042766 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1042843), // Rule ID 13612 //
     /* 1042771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042810 */     // MIs[0] policy
     /* 1042810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042842 */     // GIR_Coverage, 13612,
     /* 1042842 */     GIR_EraseRootFromParent_Done,
     /* 1042843 */   // Label 15422: @1042843
     /* 1042843 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042920), // Rule ID 13615 //
     /* 1042848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1042868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042887 */     // MIs[0] policy
     /* 1042887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1042900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042919 */     // GIR_Coverage, 13615,
     /* 1042919 */     GIR_EraseRootFromParent_Done,
     /* 1042920 */   // Label 15423: @1042920
     /* 1042920 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1042997), // Rule ID 13616 //
     /* 1042925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1042945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042964 */     // MIs[0] policy
     /* 1042964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1042977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042996 */     // GIR_Coverage, 13616,
     /* 1042996 */     GIR_EraseRootFromParent_Done,
     /* 1042997 */   // Label 15424: @1042997
     /* 1042997 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1043074), // Rule ID 13619 //
     /* 1043002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043041 */     // MIs[0] policy
     /* 1043041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043073 */     // GIR_Coverage, 13619,
     /* 1043073 */     GIR_EraseRootFromParent_Done,
     /* 1043074 */   // Label 15425: @1043074
     /* 1043074 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1043151), // Rule ID 13620 //
     /* 1043079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043118 */     // MIs[0] policy
     /* 1043118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043150 */     // GIR_Coverage, 13620,
     /* 1043150 */     GIR_EraseRootFromParent_Done,
     /* 1043151 */   // Label 15426: @1043151
     /* 1043151 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1043228), // Rule ID 13623 //
     /* 1043156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043195 */     // MIs[0] policy
     /* 1043195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043227 */     // GIR_Coverage, 13623,
     /* 1043227 */     GIR_EraseRootFromParent_Done,
     /* 1043228 */   // Label 15427: @1043228
     /* 1043228 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1043305), // Rule ID 13624 //
     /* 1043233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043272 */     // MIs[0] policy
     /* 1043272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043304 */     // GIR_Coverage, 13624,
     /* 1043304 */     GIR_EraseRootFromParent_Done,
     /* 1043305 */   // Label 15428: @1043305
     /* 1043305 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1043382), // Rule ID 13627 //
     /* 1043310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043349 */     // MIs[0] policy
     /* 1043349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043381 */     // GIR_Coverage, 13627,
     /* 1043381 */     GIR_EraseRootFromParent_Done,
     /* 1043382 */   // Label 15429: @1043382
     /* 1043382 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1043459), // Rule ID 13628 //
     /* 1043387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043426 */     // MIs[0] policy
     /* 1043426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043458 */     // GIR_Coverage, 13628,
     /* 1043458 */     GIR_EraseRootFromParent_Done,
     /* 1043459 */   // Label 15430: @1043459
     /* 1043459 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1043536), // Rule ID 13631 //
     /* 1043464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043503 */     // MIs[0] policy
     /* 1043503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043535 */     // GIR_Coverage, 13631,
     /* 1043535 */     GIR_EraseRootFromParent_Done,
     /* 1043536 */   // Label 15431: @1043536
     /* 1043536 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1043613), // Rule ID 13632 //
     /* 1043541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043580 */     // MIs[0] policy
     /* 1043580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043612 */     // GIR_Coverage, 13632,
     /* 1043612 */     GIR_EraseRootFromParent_Done,
     /* 1043613 */   // Label 15432: @1043613
     /* 1043613 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1043690), // Rule ID 13635 //
     /* 1043618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043657 */     // MIs[0] policy
     /* 1043657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043689 */     // GIR_Coverage, 13635,
     /* 1043689 */     GIR_EraseRootFromParent_Done,
     /* 1043690 */   // Label 15433: @1043690
     /* 1043690 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1043767), // Rule ID 13636 //
     /* 1043695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043734 */     // MIs[0] policy
     /* 1043734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043766 */     // GIR_Coverage, 13636,
     /* 1043766 */     GIR_EraseRootFromParent_Done,
     /* 1043767 */   // Label 15434: @1043767
     /* 1043767 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1043844), // Rule ID 13639 //
     /* 1043772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043811 */     // MIs[0] policy
     /* 1043811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043843 */     // GIR_Coverage, 13639,
     /* 1043843 */     GIR_EraseRootFromParent_Done,
     /* 1043844 */   // Label 15435: @1043844
     /* 1043844 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1043921), // Rule ID 13640 //
     /* 1043849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043888 */     // MIs[0] policy
     /* 1043888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043920 */     // GIR_Coverage, 13640,
     /* 1043920 */     GIR_EraseRootFromParent_Done,
     /* 1043921 */   // Label 15436: @1043921
     /* 1043921 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1043998), // Rule ID 13643 //
     /* 1043926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1043937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1043940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1043946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043965 */     // MIs[0] policy
     /* 1043965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043997 */     // GIR_Coverage, 13643,
     /* 1043997 */     GIR_EraseRootFromParent_Done,
     /* 1043998 */   // Label 15437: @1043998
     /* 1043998 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1044075), // Rule ID 13644 //
     /* 1044003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044042 */     // MIs[0] policy
     /* 1044042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044074 */     // GIR_Coverage, 13644,
     /* 1044074 */     GIR_EraseRootFromParent_Done,
     /* 1044075 */   // Label 15438: @1044075
     /* 1044075 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1044152), // Rule ID 13647 //
     /* 1044080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044119 */     // MIs[0] policy
     /* 1044119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044151 */     // GIR_Coverage, 13647,
     /* 1044151 */     GIR_EraseRootFromParent_Done,
     /* 1044152 */   // Label 15439: @1044152
     /* 1044152 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1044229), // Rule ID 13648 //
     /* 1044157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044196 */     // MIs[0] policy
     /* 1044196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044228 */     // GIR_Coverage, 13648,
     /* 1044228 */     GIR_EraseRootFromParent_Done,
     /* 1044229 */   // Label 15440: @1044229
     /* 1044229 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1044306), // Rule ID 13651 //
     /* 1044234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044273 */     // MIs[0] policy
     /* 1044273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044305 */     // GIR_Coverage, 13651,
     /* 1044305 */     GIR_EraseRootFromParent_Done,
     /* 1044306 */   // Label 15441: @1044306
     /* 1044306 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1044383), // Rule ID 13652 //
     /* 1044311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044350 */     // MIs[0] policy
     /* 1044350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044382 */     // GIR_Coverage, 13652,
     /* 1044382 */     GIR_EraseRootFromParent_Done,
     /* 1044383 */   // Label 15442: @1044383
     /* 1044383 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1044460), // Rule ID 13655 //
     /* 1044388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044427 */     // MIs[0] policy
     /* 1044427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044459 */     // GIR_Coverage, 13655,
     /* 1044459 */     GIR_EraseRootFromParent_Done,
     /* 1044460 */   // Label 15443: @1044460
     /* 1044460 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1044537), // Rule ID 13656 //
     /* 1044465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044504 */     // MIs[0] policy
     /* 1044504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044536 */     // GIR_Coverage, 13656,
     /* 1044536 */     GIR_EraseRootFromParent_Done,
     /* 1044537 */   // Label 15444: @1044537
     /* 1044537 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1044614), // Rule ID 13659 //
     /* 1044542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044581 */     // MIs[0] policy
     /* 1044581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044591 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044613 */     // GIR_Coverage, 13659,
     /* 1044613 */     GIR_EraseRootFromParent_Done,
     /* 1044614 */   // Label 15445: @1044614
     /* 1044614 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1044691), // Rule ID 13660 //
     /* 1044619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044658 */     // MIs[0] policy
     /* 1044658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044690 */     // GIR_Coverage, 13660,
     /* 1044690 */     GIR_EraseRootFromParent_Done,
     /* 1044691 */   // Label 15446: @1044691
     /* 1044691 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1044768), // Rule ID 13663 //
     /* 1044696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044735 */     // MIs[0] policy
     /* 1044735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1044748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044767 */     // GIR_Coverage, 13663,
     /* 1044767 */     GIR_EraseRootFromParent_Done,
     /* 1044768 */   // Label 15447: @1044768
     /* 1044768 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1044845), // Rule ID 13664 //
     /* 1044773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044812 */     // MIs[0] policy
     /* 1044812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1044825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044844 */     // GIR_Coverage, 13664,
     /* 1044844 */     GIR_EraseRootFromParent_Done,
     /* 1044845 */   // Label 15448: @1044845
     /* 1044845 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1044922), // Rule ID 13667 //
     /* 1044850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1044870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044889 */     // MIs[0] policy
     /* 1044889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1044902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044921 */     // GIR_Coverage, 13667,
     /* 1044921 */     GIR_EraseRootFromParent_Done,
     /* 1044922 */   // Label 15449: @1044922
     /* 1044922 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1044999), // Rule ID 13668 //
     /* 1044927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1044947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044966 */     // MIs[0] policy
     /* 1044966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1044979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044998 */     // GIR_Coverage, 13668,
     /* 1044998 */     GIR_EraseRootFromParent_Done,
     /* 1044999 */   // Label 15450: @1044999
     /* 1044999 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1045076), // Rule ID 13671 //
     /* 1045004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045043 */     // MIs[0] policy
     /* 1045043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045075 */     // GIR_Coverage, 13671,
     /* 1045075 */     GIR_EraseRootFromParent_Done,
     /* 1045076 */   // Label 15451: @1045076
     /* 1045076 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1045153), // Rule ID 13672 //
     /* 1045081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045120 */     // MIs[0] policy
     /* 1045120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045152 */     // GIR_Coverage, 13672,
     /* 1045152 */     GIR_EraseRootFromParent_Done,
     /* 1045153 */   // Label 15452: @1045153
     /* 1045153 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1045230), // Rule ID 13675 //
     /* 1045158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045197 */     // MIs[0] policy
     /* 1045197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045207 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045229 */     // GIR_Coverage, 13675,
     /* 1045229 */     GIR_EraseRootFromParent_Done,
     /* 1045230 */   // Label 15453: @1045230
     /* 1045230 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1045307), // Rule ID 13676 //
     /* 1045235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045274 */     // MIs[0] policy
     /* 1045274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045306 */     // GIR_Coverage, 13676,
     /* 1045306 */     GIR_EraseRootFromParent_Done,
     /* 1045307 */   // Label 15454: @1045307
     /* 1045307 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1045384), // Rule ID 13679 //
     /* 1045312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045351 */     // MIs[0] policy
     /* 1045351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045361 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045383 */     // GIR_Coverage, 13679,
     /* 1045383 */     GIR_EraseRootFromParent_Done,
     /* 1045384 */   // Label 15455: @1045384
     /* 1045384 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1045461), // Rule ID 13680 //
     /* 1045389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045428 */     // MIs[0] policy
     /* 1045428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045438 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045460 */     // GIR_Coverage, 13680,
     /* 1045460 */     GIR_EraseRootFromParent_Done,
     /* 1045461 */   // Label 15456: @1045461
     /* 1045461 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1045538), // Rule ID 13683 //
     /* 1045466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045505 */     // MIs[0] policy
     /* 1045505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045537 */     // GIR_Coverage, 13683,
     /* 1045537 */     GIR_EraseRootFromParent_Done,
     /* 1045538 */   // Label 15457: @1045538
     /* 1045538 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1045615), // Rule ID 13684 //
     /* 1045543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045582 */     // MIs[0] policy
     /* 1045582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045614 */     // GIR_Coverage, 13684,
     /* 1045614 */     GIR_EraseRootFromParent_Done,
     /* 1045615 */   // Label 15458: @1045615
     /* 1045615 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1045692), // Rule ID 13687 //
     /* 1045620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045659 */     // MIs[0] policy
     /* 1045659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045669 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045691 */     // GIR_Coverage, 13687,
     /* 1045691 */     GIR_EraseRootFromParent_Done,
     /* 1045692 */   // Label 15459: @1045692
     /* 1045692 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1045769), // Rule ID 13688 //
     /* 1045697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045736 */     // MIs[0] policy
     /* 1045736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045768 */     // GIR_Coverage, 13688,
     /* 1045768 */     GIR_EraseRootFromParent_Done,
     /* 1045769 */   // Label 15460: @1045769
     /* 1045769 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1045846), // Rule ID 13691 //
     /* 1045774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045813 */     // MIs[0] policy
     /* 1045813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045845 */     // GIR_Coverage, 13691,
     /* 1045845 */     GIR_EraseRootFromParent_Done,
     /* 1045846 */   // Label 15461: @1045846
     /* 1045846 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1045923), // Rule ID 13692 //
     /* 1045851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045890 */     // MIs[0] policy
     /* 1045890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045922 */     // GIR_Coverage, 13692,
     /* 1045922 */     GIR_EraseRootFromParent_Done,
     /* 1045923 */   // Label 15462: @1045923
     /* 1045923 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1046000), // Rule ID 13695 //
     /* 1045928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1045948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045967 */     // MIs[0] policy
     /* 1045967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045999 */     // GIR_Coverage, 13695,
     /* 1045999 */     GIR_EraseRootFromParent_Done,
     /* 1046000 */   // Label 15463: @1046000
     /* 1046000 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1046077), // Rule ID 13696 //
     /* 1046005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046044 */     // MIs[0] policy
     /* 1046044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046076 */     // GIR_Coverage, 13696,
     /* 1046076 */     GIR_EraseRootFromParent_Done,
     /* 1046077 */   // Label 15464: @1046077
     /* 1046077 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1046154), // Rule ID 13699 //
     /* 1046082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046121 */     // MIs[0] policy
     /* 1046121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046153 */     // GIR_Coverage, 13699,
     /* 1046153 */     GIR_EraseRootFromParent_Done,
     /* 1046154 */   // Label 15465: @1046154
     /* 1046154 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1046231), // Rule ID 13700 //
     /* 1046159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046198 */     // MIs[0] policy
     /* 1046198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046230 */     // GIR_Coverage, 13700,
     /* 1046230 */     GIR_EraseRootFromParent_Done,
     /* 1046231 */   // Label 15466: @1046231
     /* 1046231 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1046308), // Rule ID 13703 //
     /* 1046236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046275 */     // MIs[0] policy
     /* 1046275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046285 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046307 */     // GIR_Coverage, 13703,
     /* 1046307 */     GIR_EraseRootFromParent_Done,
     /* 1046308 */   // Label 15467: @1046308
     /* 1046308 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1046385), // Rule ID 13704 //
     /* 1046313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046352 */     // MIs[0] policy
     /* 1046352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046384 */     // GIR_Coverage, 13704,
     /* 1046384 */     GIR_EraseRootFromParent_Done,
     /* 1046385 */   // Label 15468: @1046385
     /* 1046385 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1046462), // Rule ID 13707 //
     /* 1046390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046429 */     // MIs[0] policy
     /* 1046429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046461 */     // GIR_Coverage, 13707,
     /* 1046461 */     GIR_EraseRootFromParent_Done,
     /* 1046462 */   // Label 15469: @1046462
     /* 1046462 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1046539), // Rule ID 13708 //
     /* 1046467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046506 */     // MIs[0] policy
     /* 1046506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046538 */     // GIR_Coverage, 13708,
     /* 1046538 */     GIR_EraseRootFromParent_Done,
     /* 1046539 */   // Label 15470: @1046539
     /* 1046539 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1046616), // Rule ID 13711 //
     /* 1046544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046583 */     // MIs[0] policy
     /* 1046583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046615 */     // GIR_Coverage, 13711,
     /* 1046615 */     GIR_EraseRootFromParent_Done,
     /* 1046616 */   // Label 15471: @1046616
     /* 1046616 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1046693), // Rule ID 13712 //
     /* 1046621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046660 */     // MIs[0] policy
     /* 1046660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046692 */     // GIR_Coverage, 13712,
     /* 1046692 */     GIR_EraseRootFromParent_Done,
     /* 1046693 */   // Label 15472: @1046693
     /* 1046693 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1046770), // Rule ID 13715 //
     /* 1046698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046737 */     // MIs[0] policy
     /* 1046737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046769 */     // GIR_Coverage, 13715,
     /* 1046769 */     GIR_EraseRootFromParent_Done,
     /* 1046770 */   // Label 15473: @1046770
     /* 1046770 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1046847), // Rule ID 13716 //
     /* 1046775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046814 */     // MIs[0] policy
     /* 1046814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046846 */     // GIR_Coverage, 13716,
     /* 1046846 */     GIR_EraseRootFromParent_Done,
     /* 1046847 */   // Label 15474: @1046847
     /* 1046847 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1046924), // Rule ID 13719 //
     /* 1046852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046891 */     // MIs[0] policy
     /* 1046891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046923 */     // GIR_Coverage, 13719,
     /* 1046923 */     GIR_EraseRootFromParent_Done,
     /* 1046924 */   // Label 15475: @1046924
     /* 1046924 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1047001), // Rule ID 13720 //
     /* 1046929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046968 */     // MIs[0] policy
     /* 1046968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047000 */     // GIR_Coverage, 13720,
     /* 1047000 */     GIR_EraseRootFromParent_Done,
     /* 1047001 */   // Label 15476: @1047001
     /* 1047001 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1047078), // Rule ID 18933 //
     /* 1047006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047045 */     // MIs[0] policy
     /* 1047045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047055 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047077 */     // GIR_Coverage, 18933,
     /* 1047077 */     GIR_EraseRootFromParent_Done,
     /* 1047078 */   // Label 15477: @1047078
     /* 1047078 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1047155), // Rule ID 18934 //
     /* 1047083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047122 */     // MIs[0] policy
     /* 1047122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047132 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047154 */     // GIR_Coverage, 18934,
     /* 1047154 */     GIR_EraseRootFromParent_Done,
     /* 1047155 */   // Label 15478: @1047155
     /* 1047155 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1047232), // Rule ID 18937 //
     /* 1047160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047199 */     // MIs[0] policy
     /* 1047199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047209 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047231 */     // GIR_Coverage, 18937,
     /* 1047231 */     GIR_EraseRootFromParent_Done,
     /* 1047232 */   // Label 15479: @1047232
     /* 1047232 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1047309), // Rule ID 18938 //
     /* 1047237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047276 */     // MIs[0] policy
     /* 1047276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047286 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047308 */     // GIR_Coverage, 18938,
     /* 1047308 */     GIR_EraseRootFromParent_Done,
     /* 1047309 */   // Label 15480: @1047309
     /* 1047309 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1047386), // Rule ID 18941 //
     /* 1047314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047353 */     // MIs[0] policy
     /* 1047353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047363 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047385 */     // GIR_Coverage, 18941,
     /* 1047385 */     GIR_EraseRootFromParent_Done,
     /* 1047386 */   // Label 15481: @1047386
     /* 1047386 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1047463), // Rule ID 18942 //
     /* 1047391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047430 */     // MIs[0] policy
     /* 1047430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047462 */     // GIR_Coverage, 18942,
     /* 1047462 */     GIR_EraseRootFromParent_Done,
     /* 1047463 */   // Label 15482: @1047463
     /* 1047463 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1047540), // Rule ID 18945 //
     /* 1047468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047507 */     // MIs[0] policy
     /* 1047507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047517 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047539 */     // GIR_Coverage, 18945,
     /* 1047539 */     GIR_EraseRootFromParent_Done,
     /* 1047540 */   // Label 15483: @1047540
     /* 1047540 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1047617), // Rule ID 18946 //
     /* 1047545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047584 */     // MIs[0] policy
     /* 1047584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047594 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047616 */     // GIR_Coverage, 18946,
     /* 1047616 */     GIR_EraseRootFromParent_Done,
     /* 1047617 */   // Label 15484: @1047617
     /* 1047617 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1047694), // Rule ID 18949 //
     /* 1047622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1047625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1047639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047661 */     // MIs[0] policy
     /* 1047661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1047674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047693 */     // GIR_Coverage, 18949,
     /* 1047693 */     GIR_EraseRootFromParent_Done,
     /* 1047694 */   // Label 15485: @1047694
     /* 1047694 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1047771), // Rule ID 18950 //
     /* 1047699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1047702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1047716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047738 */     // MIs[0] policy
     /* 1047738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047748 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1047751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047770 */     // GIR_Coverage, 18950,
     /* 1047770 */     GIR_EraseRootFromParent_Done,
     /* 1047771 */   // Label 15486: @1047771
     /* 1047771 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1047848), // Rule ID 18953 //
     /* 1047776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1047793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047815 */     // MIs[0] policy
     /* 1047815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047825 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1047828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047847 */     // GIR_Coverage, 18953,
     /* 1047847 */     GIR_EraseRootFromParent_Done,
     /* 1047848 */   // Label 15487: @1047848
     /* 1047848 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1047925), // Rule ID 18954 //
     /* 1047853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1047870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047892 */     // MIs[0] policy
     /* 1047892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047902 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1047905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047924 */     // GIR_Coverage, 18954,
     /* 1047924 */     GIR_EraseRootFromParent_Done,
     /* 1047925 */   // Label 15488: @1047925
     /* 1047925 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1048002), // Rule ID 18957 //
     /* 1047930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1047941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1047944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1047947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1047950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047969 */     // MIs[0] policy
     /* 1047969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047979 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1047982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048001 */     // GIR_Coverage, 18957,
     /* 1048001 */     GIR_EraseRootFromParent_Done,
     /* 1048002 */   // Label 15489: @1048002
     /* 1048002 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1048079), // Rule ID 18958 //
     /* 1048007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048046 */     // MIs[0] policy
     /* 1048046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048056 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1048059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048078 */     // GIR_Coverage, 18958,
     /* 1048078 */     GIR_EraseRootFromParent_Done,
     /* 1048079 */   // Label 15490: @1048079
     /* 1048079 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1048156), // Rule ID 18961 //
     /* 1048084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048123 */     // MIs[0] policy
     /* 1048123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048133 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048155 */     // GIR_Coverage, 18961,
     /* 1048155 */     GIR_EraseRootFromParent_Done,
     /* 1048156 */   // Label 15491: @1048156
     /* 1048156 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1048233), // Rule ID 18962 //
     /* 1048161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048200 */     // MIs[0] policy
     /* 1048200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048210 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048232 */     // GIR_Coverage, 18962,
     /* 1048232 */     GIR_EraseRootFromParent_Done,
     /* 1048233 */   // Label 15492: @1048233
     /* 1048233 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1048310), // Rule ID 18965 //
     /* 1048238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048277 */     // MIs[0] policy
     /* 1048277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048287 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048309 */     // GIR_Coverage, 18965,
     /* 1048309 */     GIR_EraseRootFromParent_Done,
     /* 1048310 */   // Label 15493: @1048310
     /* 1048310 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1048387), // Rule ID 18966 //
     /* 1048315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048354 */     // MIs[0] policy
     /* 1048354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048364 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048386 */     // GIR_Coverage, 18966,
     /* 1048386 */     GIR_EraseRootFromParent_Done,
     /* 1048387 */   // Label 15494: @1048387
     /* 1048387 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1048464), // Rule ID 18969 //
     /* 1048392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048431 */     // MIs[0] policy
     /* 1048431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048441 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048463 */     // GIR_Coverage, 18969,
     /* 1048463 */     GIR_EraseRootFromParent_Done,
     /* 1048464 */   // Label 15495: @1048464
     /* 1048464 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1048541), // Rule ID 18970 //
     /* 1048469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048508 */     // MIs[0] policy
     /* 1048508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048518 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048540 */     // GIR_Coverage, 18970,
     /* 1048540 */     GIR_EraseRootFromParent_Done,
     /* 1048541 */   // Label 15496: @1048541
     /* 1048541 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1048618), // Rule ID 18973 //
     /* 1048546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1048563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048585 */     // MIs[0] policy
     /* 1048585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048595 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1048598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048617 */     // GIR_Coverage, 18973,
     /* 1048617 */     GIR_EraseRootFromParent_Done,
     /* 1048618 */   // Label 15497: @1048618
     /* 1048618 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1048695), // Rule ID 18974 //
     /* 1048623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1048640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048662 */     // MIs[0] policy
     /* 1048662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048672 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1048675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048694 */     // GIR_Coverage, 18974,
     /* 1048694 */     GIR_EraseRootFromParent_Done,
     /* 1048695 */   // Label 15498: @1048695
     /* 1048695 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1048772), // Rule ID 18977 //
     /* 1048700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1048711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1048714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1048717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048739 */     // MIs[0] policy
     /* 1048739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048749 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1048752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048771 */     // GIR_Coverage, 18977,
     /* 1048771 */     GIR_EraseRootFromParent_Done,
     /* 1048772 */   // Label 15499: @1048772
     /* 1048772 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1048849), // Rule ID 18978 //
     /* 1048777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1048780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1048788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1048791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1048794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048816 */     // MIs[0] policy
     /* 1048816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048826 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1048829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048848 */     // GIR_Coverage, 18978,
     /* 1048848 */     GIR_EraseRootFromParent_Done,
     /* 1048849 */   // Label 15500: @1048849
     /* 1048849 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1048926), // Rule ID 18981 //
     /* 1048854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1048865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1048868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1048871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048893 */     // MIs[0] policy
     /* 1048893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048903 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1048906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048925 */     // GIR_Coverage, 18981,
     /* 1048925 */     GIR_EraseRootFromParent_Done,
     /* 1048926 */   // Label 15501: @1048926
     /* 1048926 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1049003), // Rule ID 18982 //
     /* 1048931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1048934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1048942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1048945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1048948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048970 */     // MIs[0] policy
     /* 1048970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048980 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1048983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049002 */     // GIR_Coverage, 18982,
     /* 1049002 */     GIR_EraseRootFromParent_Done,
     /* 1049003 */   // Label 15502: @1049003
     /* 1049003 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1049080), // Rule ID 18985 //
     /* 1049008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049047 */     // MIs[0] policy
     /* 1049047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049079 */     // GIR_Coverage, 18985,
     /* 1049079 */     GIR_EraseRootFromParent_Done,
     /* 1049080 */   // Label 15503: @1049080
     /* 1049080 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1049157), // Rule ID 18986 //
     /* 1049085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049124 */     // MIs[0] policy
     /* 1049124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049134 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049156 */     // GIR_Coverage, 18986,
     /* 1049156 */     GIR_EraseRootFromParent_Done,
     /* 1049157 */   // Label 15504: @1049157
     /* 1049157 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1049234), // Rule ID 20369 //
     /* 1049162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049201 */     // MIs[0] policy
     /* 1049201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049233 */     // GIR_Coverage, 20369,
     /* 1049233 */     GIR_EraseRootFromParent_Done,
     /* 1049234 */   // Label 15505: @1049234
     /* 1049234 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1049311), // Rule ID 20370 //
     /* 1049239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049278 */     // MIs[0] policy
     /* 1049278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049310 */     // GIR_Coverage, 20370,
     /* 1049310 */     GIR_EraseRootFromParent_Done,
     /* 1049311 */   // Label 15506: @1049311
     /* 1049311 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1049388), // Rule ID 20373 //
     /* 1049316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049355 */     // MIs[0] policy
     /* 1049355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049365 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049387 */     // GIR_Coverage, 20373,
     /* 1049387 */     GIR_EraseRootFromParent_Done,
     /* 1049388 */   // Label 15507: @1049388
     /* 1049388 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1049465), // Rule ID 20374 //
     /* 1049393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049432 */     // MIs[0] policy
     /* 1049432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049464 */     // GIR_Coverage, 20374,
     /* 1049464 */     GIR_EraseRootFromParent_Done,
     /* 1049465 */   // Label 15508: @1049465
     /* 1049465 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1049542), // Rule ID 20377 //
     /* 1049470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049509 */     // MIs[0] policy
     /* 1049509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049541 */     // GIR_Coverage, 20377,
     /* 1049541 */     GIR_EraseRootFromParent_Done,
     /* 1049542 */   // Label 15509: @1049542
     /* 1049542 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1049619), // Rule ID 20378 //
     /* 1049547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049586 */     // MIs[0] policy
     /* 1049586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049618 */     // GIR_Coverage, 20378,
     /* 1049618 */     GIR_EraseRootFromParent_Done,
     /* 1049619 */   // Label 15510: @1049619
     /* 1049619 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1049696), // Rule ID 20381 //
     /* 1049624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1049635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1049638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1049641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049663 */     // MIs[0] policy
     /* 1049663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049695 */     // GIR_Coverage, 20381,
     /* 1049695 */     GIR_EraseRootFromParent_Done,
     /* 1049696 */   // Label 15511: @1049696
     /* 1049696 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1049773), // Rule ID 20382 //
     /* 1049701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1049712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1049715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1049718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049740 */     // MIs[0] policy
     /* 1049740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049772 */     // GIR_Coverage, 20382,
     /* 1049772 */     GIR_EraseRootFromParent_Done,
     /* 1049773 */   // Label 15512: @1049773
     /* 1049773 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1049850), // Rule ID 20385 //
     /* 1049778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1049789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1049792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1049795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049817 */     // MIs[0] policy
     /* 1049817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049849 */     // GIR_Coverage, 20385,
     /* 1049849 */     GIR_EraseRootFromParent_Done,
     /* 1049850 */   // Label 15513: @1049850
     /* 1049850 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1049927), // Rule ID 20386 //
     /* 1049855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1049858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1049866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1049869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1049872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049894 */     // MIs[0] policy
     /* 1049894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049926 */     // GIR_Coverage, 20386,
     /* 1049926 */     GIR_EraseRootFromParent_Done,
     /* 1049927 */   // Label 15514: @1049927
     /* 1049927 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1050004), // Rule ID 20389 //
     /* 1049932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1049949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049971 */     // MIs[0] policy
     /* 1049971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1049984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050003 */     // GIR_Coverage, 20389,
     /* 1050003 */     GIR_EraseRootFromParent_Done,
     /* 1050004 */   // Label 15515: @1050004
     /* 1050004 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1050081), // Rule ID 20390 //
     /* 1050009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1050026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050048 */     // MIs[0] policy
     /* 1050048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050058 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050080 */     // GIR_Coverage, 20390,
     /* 1050080 */     GIR_EraseRootFromParent_Done,
     /* 1050081 */   // Label 15516: @1050081
     /* 1050081 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1050158), // Rule ID 20393 //
     /* 1050086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050125 */     // MIs[0] policy
     /* 1050125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050135 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050157 */     // GIR_Coverage, 20393,
     /* 1050157 */     GIR_EraseRootFromParent_Done,
     /* 1050158 */   // Label 15517: @1050158
     /* 1050158 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1050235), // Rule ID 20394 //
     /* 1050163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050202 */     // MIs[0] policy
     /* 1050202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050234 */     // GIR_Coverage, 20394,
     /* 1050234 */     GIR_EraseRootFromParent_Done,
     /* 1050235 */   // Label 15518: @1050235
     /* 1050235 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1050312), // Rule ID 20397 //
     /* 1050240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050279 */     // MIs[0] policy
     /* 1050279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050289 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050311 */     // GIR_Coverage, 20397,
     /* 1050311 */     GIR_EraseRootFromParent_Done,
     /* 1050312 */   // Label 15519: @1050312
     /* 1050312 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1050389), // Rule ID 20398 //
     /* 1050317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050356 */     // MIs[0] policy
     /* 1050356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050366 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050388 */     // GIR_Coverage, 20398,
     /* 1050388 */     GIR_EraseRootFromParent_Done,
     /* 1050389 */   // Label 15520: @1050389
     /* 1050389 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1050466), // Rule ID 20401 //
     /* 1050394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050433 */     // MIs[0] policy
     /* 1050433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050465 */     // GIR_Coverage, 20401,
     /* 1050465 */     GIR_EraseRootFromParent_Done,
     /* 1050466 */   // Label 15521: @1050466
     /* 1050466 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1050543), // Rule ID 20402 //
     /* 1050471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050510 */     // MIs[0] policy
     /* 1050510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050542 */     // GIR_Coverage, 20402,
     /* 1050542 */     GIR_EraseRootFromParent_Done,
     /* 1050543 */   // Label 15522: @1050543
     /* 1050543 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1050620), // Rule ID 20405 //
     /* 1050548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1050565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050587 */     // MIs[0] policy
     /* 1050587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050619 */     // GIR_Coverage, 20405,
     /* 1050619 */     GIR_EraseRootFromParent_Done,
     /* 1050620 */   // Label 15523: @1050620
     /* 1050620 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1050697), // Rule ID 20406 //
     /* 1050625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1050642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050664 */     // MIs[0] policy
     /* 1050664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050696 */     // GIR_Coverage, 20406,
     /* 1050696 */     GIR_EraseRootFromParent_Done,
     /* 1050697 */   // Label 15524: @1050697
     /* 1050697 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1050774), // Rule ID 20409 //
     /* 1050702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1050719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050741 */     // MIs[0] policy
     /* 1050741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050773 */     // GIR_Coverage, 20409,
     /* 1050773 */     GIR_EraseRootFromParent_Done,
     /* 1050774 */   // Label 15525: @1050774
     /* 1050774 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1050851), // Rule ID 20410 //
     /* 1050779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1050796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050818 */     // MIs[0] policy
     /* 1050818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050850 */     // GIR_Coverage, 20410,
     /* 1050850 */     GIR_EraseRootFromParent_Done,
     /* 1050851 */   // Label 15526: @1050851
     /* 1050851 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1050928), // Rule ID 20413 //
     /* 1050856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1050859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1050867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1050870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1050873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050895 */     // MIs[0] policy
     /* 1050895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050927 */     // GIR_Coverage, 20413,
     /* 1050927 */     GIR_EraseRootFromParent_Done,
     /* 1050928 */   // Label 15527: @1050928
     /* 1050928 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1051005), // Rule ID 20414 //
     /* 1050933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1050936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1050944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1050947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1050950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050972 */     // MIs[0] policy
     /* 1050972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051004 */     // GIR_Coverage, 20414,
     /* 1051004 */     GIR_EraseRootFromParent_Done,
     /* 1051005 */   // Label 15528: @1051005
     /* 1051005 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1051082), // Rule ID 20417 //
     /* 1051010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1051027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051049 */     // MIs[0] policy
     /* 1051049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051081 */     // GIR_Coverage, 20417,
     /* 1051081 */     GIR_EraseRootFromParent_Done,
     /* 1051082 */   // Label 15529: @1051082
     /* 1051082 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1051159), // Rule ID 20418 //
     /* 1051087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1051104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051126 */     // MIs[0] policy
     /* 1051126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051158 */     // GIR_Coverage, 20418,
     /* 1051158 */     GIR_EraseRootFromParent_Done,
     /* 1051159 */   // Label 15530: @1051159
     /* 1051159 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1051236), // Rule ID 20421 //
     /* 1051164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051203 */     // MIs[0] policy
     /* 1051203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051235 */     // GIR_Coverage, 20421,
     /* 1051235 */     GIR_EraseRootFromParent_Done,
     /* 1051236 */   // Label 15531: @1051236
     /* 1051236 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1051313), // Rule ID 20422 //
     /* 1051241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051280 */     // MIs[0] policy
     /* 1051280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051312 */     // GIR_Coverage, 20422,
     /* 1051312 */     GIR_EraseRootFromParent_Done,
     /* 1051313 */   // Label 15532: @1051313
     /* 1051313 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1051390), // Rule ID 20747 //
     /* 1051318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051357 */     // MIs[0] policy
     /* 1051357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051367 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051389 */     // GIR_Coverage, 20747,
     /* 1051389 */     GIR_EraseRootFromParent_Done,
     /* 1051390 */   // Label 15533: @1051390
     /* 1051390 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1051467), // Rule ID 20748 //
     /* 1051395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051434 */     // MIs[0] policy
     /* 1051434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051466 */     // GIR_Coverage, 20748,
     /* 1051466 */     GIR_EraseRootFromParent_Done,
     /* 1051467 */   // Label 15534: @1051467
     /* 1051467 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1051544), // Rule ID 20751 //
     /* 1051472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051511 */     // MIs[0] policy
     /* 1051511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051521 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051543 */     // GIR_Coverage, 20751,
     /* 1051543 */     GIR_EraseRootFromParent_Done,
     /* 1051544 */   // Label 15535: @1051544
     /* 1051544 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1051621), // Rule ID 20752 //
     /* 1051549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051588 */     // MIs[0] policy
     /* 1051588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051620 */     // GIR_Coverage, 20752,
     /* 1051620 */     GIR_EraseRootFromParent_Done,
     /* 1051621 */   // Label 15536: @1051621
     /* 1051621 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1051698), // Rule ID 20755 //
     /* 1051626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051665 */     // MIs[0] policy
     /* 1051665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051697 */     // GIR_Coverage, 20755,
     /* 1051697 */     GIR_EraseRootFromParent_Done,
     /* 1051698 */   // Label 15537: @1051698
     /* 1051698 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1051775), // Rule ID 20756 //
     /* 1051703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051742 */     // MIs[0] policy
     /* 1051742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051774 */     // GIR_Coverage, 20756,
     /* 1051774 */     GIR_EraseRootFromParent_Done,
     /* 1051775 */   // Label 15538: @1051775
     /* 1051775 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1051852), // Rule ID 20759 //
     /* 1051780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051819 */     // MIs[0] policy
     /* 1051819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1051832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051851 */     // GIR_Coverage, 20759,
     /* 1051851 */     GIR_EraseRootFromParent_Done,
     /* 1051852 */   // Label 15539: @1051852
     /* 1051852 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1051929), // Rule ID 20760 //
     /* 1051857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051896 */     // MIs[0] policy
     /* 1051896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051906 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1051909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051928 */     // GIR_Coverage, 20760,
     /* 1051928 */     GIR_EraseRootFromParent_Done,
     /* 1051929 */   // Label 15540: @1051929
     /* 1051929 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1052006), // Rule ID 20763 //
     /* 1051934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1051951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051973 */     // MIs[0] policy
     /* 1051973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1051986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052005 */     // GIR_Coverage, 20763,
     /* 1052005 */     GIR_EraseRootFromParent_Done,
     /* 1052006 */   // Label 15541: @1052006
     /* 1052006 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1052083), // Rule ID 20764 //
     /* 1052011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052050 */     // MIs[0] policy
     /* 1052050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052082 */     // GIR_Coverage, 20764,
     /* 1052082 */     GIR_EraseRootFromParent_Done,
     /* 1052083 */   // Label 15542: @1052083
     /* 1052083 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1052160), // Rule ID 20767 //
     /* 1052088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052127 */     // MIs[0] policy
     /* 1052127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052159 */     // GIR_Coverage, 20767,
     /* 1052159 */     GIR_EraseRootFromParent_Done,
     /* 1052160 */   // Label 15543: @1052160
     /* 1052160 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1052237), // Rule ID 20768 //
     /* 1052165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052204 */     // MIs[0] policy
     /* 1052204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052236 */     // GIR_Coverage, 20768,
     /* 1052236 */     GIR_EraseRootFromParent_Done,
     /* 1052237 */   // Label 15544: @1052237
     /* 1052237 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1052314), // Rule ID 20771 //
     /* 1052242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052281 */     // MIs[0] policy
     /* 1052281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052313 */     // GIR_Coverage, 20771,
     /* 1052313 */     GIR_EraseRootFromParent_Done,
     /* 1052314 */   // Label 15545: @1052314
     /* 1052314 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1052391), // Rule ID 20772 //
     /* 1052319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052358 */     // MIs[0] policy
     /* 1052358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052390 */     // GIR_Coverage, 20772,
     /* 1052390 */     GIR_EraseRootFromParent_Done,
     /* 1052391 */   // Label 15546: @1052391
     /* 1052391 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1052468), // Rule ID 20775 //
     /* 1052396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052435 */     // MIs[0] policy
     /* 1052435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052445 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052467 */     // GIR_Coverage, 20775,
     /* 1052467 */     GIR_EraseRootFromParent_Done,
     /* 1052468 */   // Label 15547: @1052468
     /* 1052468 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1052545), // Rule ID 20776 //
     /* 1052473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052512 */     // MIs[0] policy
     /* 1052512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052544 */     // GIR_Coverage, 20776,
     /* 1052544 */     GIR_EraseRootFromParent_Done,
     /* 1052545 */   // Label 15548: @1052545
     /* 1052545 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1052622), // Rule ID 20779 //
     /* 1052550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052589 */     // MIs[0] policy
     /* 1052589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052621 */     // GIR_Coverage, 20779,
     /* 1052621 */     GIR_EraseRootFromParent_Done,
     /* 1052622 */   // Label 15549: @1052622
     /* 1052622 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1052699), // Rule ID 20780 //
     /* 1052627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052666 */     // MIs[0] policy
     /* 1052666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052698 */     // GIR_Coverage, 20780,
     /* 1052698 */     GIR_EraseRootFromParent_Done,
     /* 1052699 */   // Label 15550: @1052699
     /* 1052699 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1052776), // Rule ID 20783 //
     /* 1052704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052743 */     // MIs[0] policy
     /* 1052743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052775 */     // GIR_Coverage, 20783,
     /* 1052775 */     GIR_EraseRootFromParent_Done,
     /* 1052776 */   // Label 15551: @1052776
     /* 1052776 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1052853), // Rule ID 20784 //
     /* 1052781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052820 */     // MIs[0] policy
     /* 1052820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052852 */     // GIR_Coverage, 20784,
     /* 1052852 */     GIR_EraseRootFromParent_Done,
     /* 1052853 */   // Label 15552: @1052853
     /* 1052853 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1052930), // Rule ID 20787 //
     /* 1052858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1052875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052897 */     // MIs[0] policy
     /* 1052897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052929 */     // GIR_Coverage, 20787,
     /* 1052929 */     GIR_EraseRootFromParent_Done,
     /* 1052930 */   // Label 15553: @1052930
     /* 1052930 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1053007), // Rule ID 20788 //
     /* 1052935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1052952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052974 */     // MIs[0] policy
     /* 1052974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053006 */     // GIR_Coverage, 20788,
     /* 1053006 */     GIR_EraseRootFromParent_Done,
     /* 1053007 */   // Label 15554: @1053007
     /* 1053007 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1053084), // Rule ID 20791 //
     /* 1053012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053051 */     // MIs[0] policy
     /* 1053051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053083 */     // GIR_Coverage, 20791,
     /* 1053083 */     GIR_EraseRootFromParent_Done,
     /* 1053084 */   // Label 15555: @1053084
     /* 1053084 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1053161), // Rule ID 20792 //
     /* 1053089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053128 */     // MIs[0] policy
     /* 1053128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053160 */     // GIR_Coverage, 20792,
     /* 1053160 */     GIR_EraseRootFromParent_Done,
     /* 1053161 */   // Label 15556: @1053161
     /* 1053161 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1053238), // Rule ID 20795 //
     /* 1053166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053205 */     // MIs[0] policy
     /* 1053205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053237 */     // GIR_Coverage, 20795,
     /* 1053237 */     GIR_EraseRootFromParent_Done,
     /* 1053238 */   // Label 15557: @1053238
     /* 1053238 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1053315), // Rule ID 20796 //
     /* 1053243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053282 */     // MIs[0] policy
     /* 1053282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053314 */     // GIR_Coverage, 20796,
     /* 1053314 */     GIR_EraseRootFromParent_Done,
     /* 1053315 */   // Label 15558: @1053315
     /* 1053315 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1053392), // Rule ID 20799 //
     /* 1053320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053359 */     // MIs[0] policy
     /* 1053359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053369 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053391 */     // GIR_Coverage, 20799,
     /* 1053391 */     GIR_EraseRootFromParent_Done,
     /* 1053392 */   // Label 15559: @1053392
     /* 1053392 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1053469), // Rule ID 20800 //
     /* 1053397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053436 */     // MIs[0] policy
     /* 1053436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053468 */     // GIR_Coverage, 20800,
     /* 1053468 */     GIR_EraseRootFromParent_Done,
     /* 1053469 */   // Label 15560: @1053469
     /* 1053469 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1053546), // Rule ID 20803 //
     /* 1053474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053513 */     // MIs[0] policy
     /* 1053513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053523 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053545 */     // GIR_Coverage, 20803,
     /* 1053545 */     GIR_EraseRootFromParent_Done,
     /* 1053546 */   // Label 15561: @1053546
     /* 1053546 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1053623), // Rule ID 20804 //
     /* 1053551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053590 */     // MIs[0] policy
     /* 1053590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053622 */     // GIR_Coverage, 20804,
     /* 1053622 */     GIR_EraseRootFromParent_Done,
     /* 1053623 */   // Label 15562: @1053623
     /* 1053623 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1053700), // Rule ID 20807 //
     /* 1053628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1053639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1053642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1053645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053667 */     // MIs[0] policy
     /* 1053667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053677 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1053680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053699 */     // GIR_Coverage, 20807,
     /* 1053699 */     GIR_EraseRootFromParent_Done,
     /* 1053700 */   // Label 15563: @1053700
     /* 1053700 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1053777), // Rule ID 20808 //
     /* 1053705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1053716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1053719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1053722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053744 */     // MIs[0] policy
     /* 1053744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1053757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053776 */     // GIR_Coverage, 20808,
     /* 1053776 */     GIR_EraseRootFromParent_Done,
     /* 1053777 */   // Label 15564: @1053777
     /* 1053777 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1053854), // Rule ID 20811 //
     /* 1053782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053821 */     // MIs[0] policy
     /* 1053821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1053834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053853 */     // GIR_Coverage, 20811,
     /* 1053853 */     GIR_EraseRootFromParent_Done,
     /* 1053854 */   // Label 15565: @1053854
     /* 1053854 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1053931), // Rule ID 20812 //
     /* 1053859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053898 */     // MIs[0] policy
     /* 1053898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1053911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053930 */     // GIR_Coverage, 20812,
     /* 1053930 */     GIR_EraseRootFromParent_Done,
     /* 1053931 */   // Label 15566: @1053931
     /* 1053931 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1054008), // Rule ID 20815 //
     /* 1053936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1053947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1053950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1053953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053975 */     // MIs[0] policy
     /* 1053975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1053988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054007 */     // GIR_Coverage, 20815,
     /* 1054007 */     GIR_EraseRootFromParent_Done,
     /* 1054008 */   // Label 15567: @1054008
     /* 1054008 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1054085), // Rule ID 20816 //
     /* 1054013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054052 */     // MIs[0] policy
     /* 1054052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054084 */     // GIR_Coverage, 20816,
     /* 1054084 */     GIR_EraseRootFromParent_Done,
     /* 1054085 */   // Label 15568: @1054085
     /* 1054085 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1054162), // Rule ID 20819 //
     /* 1054090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054129 */     // MIs[0] policy
     /* 1054129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054161 */     // GIR_Coverage, 20819,
     /* 1054161 */     GIR_EraseRootFromParent_Done,
     /* 1054162 */   // Label 15569: @1054162
     /* 1054162 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1054239), // Rule ID 20820 //
     /* 1054167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054206 */     // MIs[0] policy
     /* 1054206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054238 */     // GIR_Coverage, 20820,
     /* 1054238 */     GIR_EraseRootFromParent_Done,
     /* 1054239 */   // Label 15570: @1054239
     /* 1054239 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1054316), // Rule ID 20823 //
     /* 1054244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054283 */     // MIs[0] policy
     /* 1054283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054315 */     // GIR_Coverage, 20823,
     /* 1054315 */     GIR_EraseRootFromParent_Done,
     /* 1054316 */   // Label 15571: @1054316
     /* 1054316 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1054393), // Rule ID 20824 //
     /* 1054321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054360 */     // MIs[0] policy
     /* 1054360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054392 */     // GIR_Coverage, 20824,
     /* 1054392 */     GIR_EraseRootFromParent_Done,
     /* 1054393 */   // Label 15572: @1054393
     /* 1054393 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1054470), // Rule ID 20827 //
     /* 1054398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054437 */     // MIs[0] policy
     /* 1054437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054469 */     // GIR_Coverage, 20827,
     /* 1054469 */     GIR_EraseRootFromParent_Done,
     /* 1054470 */   // Label 15573: @1054470
     /* 1054470 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1054547), // Rule ID 20828 //
     /* 1054475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054514 */     // MIs[0] policy
     /* 1054514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054546 */     // GIR_Coverage, 20828,
     /* 1054546 */     GIR_EraseRootFromParent_Done,
     /* 1054547 */   // Label 15574: @1054547
     /* 1054547 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1054624), // Rule ID 20831 //
     /* 1054552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054591 */     // MIs[0] policy
     /* 1054591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054623 */     // GIR_Coverage, 20831,
     /* 1054623 */     GIR_EraseRootFromParent_Done,
     /* 1054624 */   // Label 15575: @1054624
     /* 1054624 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1054701), // Rule ID 20832 //
     /* 1054629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054668 */     // MIs[0] policy
     /* 1054668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054700 */     // GIR_Coverage, 20832,
     /* 1054700 */     GIR_EraseRootFromParent_Done,
     /* 1054701 */   // Label 15576: @1054701
     /* 1054701 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1054778), // Rule ID 20835 //
     /* 1054706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054745 */     // MIs[0] policy
     /* 1054745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1054758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054777 */     // GIR_Coverage, 20835,
     /* 1054777 */     GIR_EraseRootFromParent_Done,
     /* 1054778 */   // Label 15577: @1054778
     /* 1054778 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1054855), // Rule ID 20836 //
     /* 1054783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054822 */     // MIs[0] policy
     /* 1054822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1054835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054854 */     // GIR_Coverage, 20836,
     /* 1054854 */     GIR_EraseRootFromParent_Done,
     /* 1054855 */   // Label 15578: @1054855
     /* 1054855 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1054932), // Rule ID 20839 //
     /* 1054860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1054871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1054874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1054877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1054880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054899 */     // MIs[0] policy
     /* 1054899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054931 */     // GIR_Coverage, 20839,
     /* 1054931 */     GIR_EraseRootFromParent_Done,
     /* 1054932 */   // Label 15579: @1054932
     /* 1054932 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1055009), // Rule ID 20840 //
     /* 1054937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1054948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1054951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1054954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1054957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054976 */     // MIs[0] policy
     /* 1054976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055008 */     // GIR_Coverage, 20840,
     /* 1055008 */     GIR_EraseRootFromParent_Done,
     /* 1055009 */   // Label 15580: @1055009
     /* 1055009 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1055086), // Rule ID 20843 //
     /* 1055014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055053 */     // MIs[0] policy
     /* 1055053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055085 */     // GIR_Coverage, 20843,
     /* 1055085 */     GIR_EraseRootFromParent_Done,
     /* 1055086 */   // Label 15581: @1055086
     /* 1055086 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1055163), // Rule ID 20844 //
     /* 1055091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055130 */     // MIs[0] policy
     /* 1055130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055140 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055162 */     // GIR_Coverage, 20844,
     /* 1055162 */     GIR_EraseRootFromParent_Done,
     /* 1055163 */   // Label 15582: @1055163
     /* 1055163 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1055240), // Rule ID 20847 //
     /* 1055168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055207 */     // MIs[0] policy
     /* 1055207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055239 */     // GIR_Coverage, 20847,
     /* 1055239 */     GIR_EraseRootFromParent_Done,
     /* 1055240 */   // Label 15583: @1055240
     /* 1055240 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1055317), // Rule ID 20848 //
     /* 1055245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055284 */     // MIs[0] policy
     /* 1055284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055316 */     // GIR_Coverage, 20848,
     /* 1055316 */     GIR_EraseRootFromParent_Done,
     /* 1055317 */   // Label 15584: @1055317
     /* 1055317 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1055394), // Rule ID 20851 //
     /* 1055322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055361 */     // MIs[0] policy
     /* 1055361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055393 */     // GIR_Coverage, 20851,
     /* 1055393 */     GIR_EraseRootFromParent_Done,
     /* 1055394 */   // Label 15585: @1055394
     /* 1055394 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1055471), // Rule ID 20852 //
     /* 1055399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055438 */     // MIs[0] policy
     /* 1055438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055470 */     // GIR_Coverage, 20852,
     /* 1055470 */     GIR_EraseRootFromParent_Done,
     /* 1055471 */   // Label 15586: @1055471
     /* 1055471 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1055548), // Rule ID 20855 //
     /* 1055476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055515 */     // MIs[0] policy
     /* 1055515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055547 */     // GIR_Coverage, 20855,
     /* 1055547 */     GIR_EraseRootFromParent_Done,
     /* 1055548 */   // Label 15587: @1055548
     /* 1055548 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1055625), // Rule ID 20856 //
     /* 1055553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055592 */     // MIs[0] policy
     /* 1055592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055624 */     // GIR_Coverage, 20856,
     /* 1055624 */     GIR_EraseRootFromParent_Done,
     /* 1055625 */   // Label 15588: @1055625
     /* 1055625 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1055702), // Rule ID 20859 //
     /* 1055630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055669 */     // MIs[0] policy
     /* 1055669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055679 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055701 */     // GIR_Coverage, 20859,
     /* 1055701 */     GIR_EraseRootFromParent_Done,
     /* 1055702 */   // Label 15589: @1055702
     /* 1055702 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1055779), // Rule ID 20860 //
     /* 1055707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055746 */     // MIs[0] policy
     /* 1055746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055778 */     // GIR_Coverage, 20860,
     /* 1055778 */     GIR_EraseRootFromParent_Done,
     /* 1055779 */   // Label 15590: @1055779
     /* 1055779 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1055856), // Rule ID 20863 //
     /* 1055784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1055801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055823 */     // MIs[0] policy
     /* 1055823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055855 */     // GIR_Coverage, 20863,
     /* 1055855 */     GIR_EraseRootFromParent_Done,
     /* 1055856 */   // Label 15591: @1055856
     /* 1055856 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1055933), // Rule ID 20864 //
     /* 1055861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1055878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055900 */     // MIs[0] policy
     /* 1055900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055932 */     // GIR_Coverage, 20864,
     /* 1055932 */     GIR_EraseRootFromParent_Done,
     /* 1055933 */   // Label 15592: @1055933
     /* 1055933 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1056010), // Rule ID 21131 //
     /* 1055938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1055949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1055952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1055955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055977 */     // MIs[0] policy
     /* 1055977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1055990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056009 */     // GIR_Coverage, 21131,
     /* 1056009 */     GIR_EraseRootFromParent_Done,
     /* 1056010 */   // Label 15593: @1056010
     /* 1056010 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1056087), // Rule ID 21132 //
     /* 1056015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056054 */     // MIs[0] policy
     /* 1056054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056086 */     // GIR_Coverage, 21132,
     /* 1056086 */     GIR_EraseRootFromParent_Done,
     /* 1056087 */   // Label 15594: @1056087
     /* 1056087 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1056164), // Rule ID 21135 //
     /* 1056092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056131 */     // MIs[0] policy
     /* 1056131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056163 */     // GIR_Coverage, 21135,
     /* 1056163 */     GIR_EraseRootFromParent_Done,
     /* 1056164 */   // Label 15595: @1056164
     /* 1056164 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1056241), // Rule ID 21136 //
     /* 1056169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056208 */     // MIs[0] policy
     /* 1056208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056240 */     // GIR_Coverage, 21136,
     /* 1056240 */     GIR_EraseRootFromParent_Done,
     /* 1056241 */   // Label 15596: @1056241
     /* 1056241 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1056318), // Rule ID 21139 //
     /* 1056246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056285 */     // MIs[0] policy
     /* 1056285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056317 */     // GIR_Coverage, 21139,
     /* 1056317 */     GIR_EraseRootFromParent_Done,
     /* 1056318 */   // Label 15597: @1056318
     /* 1056318 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1056395), // Rule ID 21140 //
     /* 1056323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056362 */     // MIs[0] policy
     /* 1056362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056394 */     // GIR_Coverage, 21140,
     /* 1056394 */     GIR_EraseRootFromParent_Done,
     /* 1056395 */   // Label 15598: @1056395
     /* 1056395 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1056472), // Rule ID 21143 //
     /* 1056400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056439 */     // MIs[0] policy
     /* 1056439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056471 */     // GIR_Coverage, 21143,
     /* 1056471 */     GIR_EraseRootFromParent_Done,
     /* 1056472 */   // Label 15599: @1056472
     /* 1056472 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1056549), // Rule ID 21144 //
     /* 1056477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056516 */     // MIs[0] policy
     /* 1056516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056548 */     // GIR_Coverage, 21144,
     /* 1056548 */     GIR_EraseRootFromParent_Done,
     /* 1056549 */   // Label 15600: @1056549
     /* 1056549 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1056626), // Rule ID 21147 //
     /* 1056554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056593 */     // MIs[0] policy
     /* 1056593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056625 */     // GIR_Coverage, 21147,
     /* 1056625 */     GIR_EraseRootFromParent_Done,
     /* 1056626 */   // Label 15601: @1056626
     /* 1056626 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1056703), // Rule ID 21148 //
     /* 1056631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056670 */     // MIs[0] policy
     /* 1056670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056702 */     // GIR_Coverage, 21148,
     /* 1056702 */     GIR_EraseRootFromParent_Done,
     /* 1056703 */   // Label 15602: @1056703
     /* 1056703 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1056780), // Rule ID 21151 //
     /* 1056708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1056711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056747 */     // MIs[0] policy
     /* 1056747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056757 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056779 */     // GIR_Coverage, 21151,
     /* 1056779 */     GIR_EraseRootFromParent_Done,
     /* 1056780 */   // Label 15603: @1056780
     /* 1056780 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1056857), // Rule ID 21152 //
     /* 1056785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1056788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056824 */     // MIs[0] policy
     /* 1056824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056856 */     // GIR_Coverage, 21152,
     /* 1056856 */     GIR_EraseRootFromParent_Done,
     /* 1056857 */   // Label 15604: @1056857
     /* 1056857 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1056934), // Rule ID 21155 //
     /* 1056862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1056865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056901 */     // MIs[0] policy
     /* 1056901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056933 */     // GIR_Coverage, 21155,
     /* 1056933 */     GIR_EraseRootFromParent_Done,
     /* 1056934 */   // Label 15605: @1056934
     /* 1056934 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1057011), // Rule ID 21156 //
     /* 1056939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1056942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056978 */     // MIs[0] policy
     /* 1056978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057010 */     // GIR_Coverage, 21156,
     /* 1057010 */     GIR_EraseRootFromParent_Done,
     /* 1057011 */   // Label 15606: @1057011
     /* 1057011 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1057088), // Rule ID 21159 //
     /* 1057016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057055 */     // MIs[0] policy
     /* 1057055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057087 */     // GIR_Coverage, 21159,
     /* 1057087 */     GIR_EraseRootFromParent_Done,
     /* 1057088 */   // Label 15607: @1057088
     /* 1057088 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1057165), // Rule ID 21160 //
     /* 1057093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057132 */     // MIs[0] policy
     /* 1057132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057142 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057164 */     // GIR_Coverage, 21160,
     /* 1057164 */     GIR_EraseRootFromParent_Done,
     /* 1057165 */   // Label 15608: @1057165
     /* 1057165 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1057242), // Rule ID 21163 //
     /* 1057170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057209 */     // MIs[0] policy
     /* 1057209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057219 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057241 */     // GIR_Coverage, 21163,
     /* 1057241 */     GIR_EraseRootFromParent_Done,
     /* 1057242 */   // Label 15609: @1057242
     /* 1057242 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1057319), // Rule ID 21164 //
     /* 1057247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057286 */     // MIs[0] policy
     /* 1057286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057318 */     // GIR_Coverage, 21164,
     /* 1057318 */     GIR_EraseRootFromParent_Done,
     /* 1057319 */   // Label 15610: @1057319
     /* 1057319 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1057396), // Rule ID 21167 //
     /* 1057324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057363 */     // MIs[0] policy
     /* 1057363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057373 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057395 */     // GIR_Coverage, 21167,
     /* 1057395 */     GIR_EraseRootFromParent_Done,
     /* 1057396 */   // Label 15611: @1057396
     /* 1057396 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1057473), // Rule ID 21168 //
     /* 1057401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057440 */     // MIs[0] policy
     /* 1057440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057472 */     // GIR_Coverage, 21168,
     /* 1057472 */     GIR_EraseRootFromParent_Done,
     /* 1057473 */   // Label 15612: @1057473
     /* 1057473 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1057550), // Rule ID 21171 //
     /* 1057478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057517 */     // MIs[0] policy
     /* 1057517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057549 */     // GIR_Coverage, 21171,
     /* 1057549 */     GIR_EraseRootFromParent_Done,
     /* 1057550 */   // Label 15613: @1057550
     /* 1057550 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1057627), // Rule ID 21172 //
     /* 1057555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057594 */     // MIs[0] policy
     /* 1057594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057626 */     // GIR_Coverage, 21172,
     /* 1057626 */     GIR_EraseRootFromParent_Done,
     /* 1057627 */   // Label 15614: @1057627
     /* 1057627 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1057704), // Rule ID 21175 //
     /* 1057632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057671 */     // MIs[0] policy
     /* 1057671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057681 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1057684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057703 */     // GIR_Coverage, 21175,
     /* 1057703 */     GIR_EraseRootFromParent_Done,
     /* 1057704 */   // Label 15615: @1057704
     /* 1057704 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1057781), // Rule ID 21176 //
     /* 1057709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057748 */     // MIs[0] policy
     /* 1057748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1057761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057780 */     // GIR_Coverage, 21176,
     /* 1057780 */     GIR_EraseRootFromParent_Done,
     /* 1057781 */   // Label 15616: @1057781
     /* 1057781 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1057858), // Rule ID 21179 //
     /* 1057786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057825 */     // MIs[0] policy
     /* 1057825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1057838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057857 */     // GIR_Coverage, 21179,
     /* 1057857 */     GIR_EraseRootFromParent_Done,
     /* 1057858 */   // Label 15617: @1057858
     /* 1057858 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1057935), // Rule ID 21180 //
     /* 1057863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057902 */     // MIs[0] policy
     /* 1057902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057912 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1057915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057934 */     // GIR_Coverage, 21180,
     /* 1057934 */     GIR_EraseRootFromParent_Done,
     /* 1057935 */   // Label 15618: @1057935
     /* 1057935 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1058012), // Rule ID 21183 //
     /* 1057940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057979 */     // MIs[0] policy
     /* 1057979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1057992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058011 */     // GIR_Coverage, 21183,
     /* 1058011 */     GIR_EraseRootFromParent_Done,
     /* 1058012 */   // Label 15619: @1058012
     /* 1058012 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1058089), // Rule ID 21184 //
     /* 1058017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1058034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058056 */     // MIs[0] policy
     /* 1058056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058088 */     // GIR_Coverage, 21184,
     /* 1058088 */     GIR_EraseRootFromParent_Done,
     /* 1058089 */   // Label 15620: @1058089
     /* 1058089 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1058166), // Rule ID 21187 //
     /* 1058094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058133 */     // MIs[0] policy
     /* 1058133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058165 */     // GIR_Coverage, 21187,
     /* 1058165 */     GIR_EraseRootFromParent_Done,
     /* 1058166 */   // Label 15621: @1058166
     /* 1058166 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1058243), // Rule ID 21188 //
     /* 1058171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058210 */     // MIs[0] policy
     /* 1058210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058220 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058242 */     // GIR_Coverage, 21188,
     /* 1058242 */     GIR_EraseRootFromParent_Done,
     /* 1058243 */   // Label 15622: @1058243
     /* 1058243 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1058320), // Rule ID 21191 //
     /* 1058248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058287 */     // MIs[0] policy
     /* 1058287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058319 */     // GIR_Coverage, 21191,
     /* 1058319 */     GIR_EraseRootFromParent_Done,
     /* 1058320 */   // Label 15623: @1058320
     /* 1058320 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1058397), // Rule ID 21192 //
     /* 1058325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058364 */     // MIs[0] policy
     /* 1058364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058396 */     // GIR_Coverage, 21192,
     /* 1058396 */     GIR_EraseRootFromParent_Done,
     /* 1058397 */   // Label 15624: @1058397
     /* 1058397 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1058474), // Rule ID 21195 //
     /* 1058402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058441 */     // MIs[0] policy
     /* 1058441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058473 */     // GIR_Coverage, 21195,
     /* 1058473 */     GIR_EraseRootFromParent_Done,
     /* 1058474 */   // Label 15625: @1058474
     /* 1058474 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1058551), // Rule ID 21196 //
     /* 1058479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058518 */     // MIs[0] policy
     /* 1058518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058550 */     // GIR_Coverage, 21196,
     /* 1058550 */     GIR_EraseRootFromParent_Done,
     /* 1058551 */   // Label 15626: @1058551
     /* 1058551 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1058628), // Rule ID 21199 //
     /* 1058556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058595 */     // MIs[0] policy
     /* 1058595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058605 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058627 */     // GIR_Coverage, 21199,
     /* 1058627 */     GIR_EraseRootFromParent_Done,
     /* 1058628 */   // Label 15627: @1058628
     /* 1058628 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1058705), // Rule ID 21200 //
     /* 1058633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058672 */     // MIs[0] policy
     /* 1058672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058704 */     // GIR_Coverage, 21200,
     /* 1058704 */     GIR_EraseRootFromParent_Done,
     /* 1058705 */   // Label 15628: @1058705
     /* 1058705 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1058782), // Rule ID 21203 //
     /* 1058710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1058727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058749 */     // MIs[0] policy
     /* 1058749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058759 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1058762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058781 */     // GIR_Coverage, 21203,
     /* 1058781 */     GIR_EraseRootFromParent_Done,
     /* 1058782 */   // Label 15629: @1058782
     /* 1058782 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1058859), // Rule ID 21204 //
     /* 1058787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1058804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058826 */     // MIs[0] policy
     /* 1058826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058836 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1058839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058858 */     // GIR_Coverage, 21204,
     /* 1058858 */     GIR_EraseRootFromParent_Done,
     /* 1058859 */   // Label 15630: @1058859
     /* 1058859 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1058936), // Rule ID 21207 //
     /* 1058864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1058881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058903 */     // MIs[0] policy
     /* 1058903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058913 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1058916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058935 */     // GIR_Coverage, 21207,
     /* 1058935 */     GIR_EraseRootFromParent_Done,
     /* 1058936 */   // Label 15631: @1058936
     /* 1058936 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1059013), // Rule ID 21208 //
     /* 1058941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1058958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058980 */     // MIs[0] policy
     /* 1058980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058990 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1058993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059012 */     // GIR_Coverage, 21208,
     /* 1059012 */     GIR_EraseRootFromParent_Done,
     /* 1059013 */   // Label 15632: @1059013
     /* 1059013 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1059090), // Rule ID 21211 //
     /* 1059018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1059035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059057 */     // MIs[0] policy
     /* 1059057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059089 */     // GIR_Coverage, 21211,
     /* 1059089 */     GIR_EraseRootFromParent_Done,
     /* 1059090 */   // Label 15633: @1059090
     /* 1059090 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1059167), // Rule ID 21212 //
     /* 1059095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1059112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059134 */     // MIs[0] policy
     /* 1059134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059166 */     // GIR_Coverage, 21212,
     /* 1059166 */     GIR_EraseRootFromParent_Done,
     /* 1059167 */   // Label 15634: @1059167
     /* 1059167 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1059244), // Rule ID 21215 //
     /* 1059172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059211 */     // MIs[0] policy
     /* 1059211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059221 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059243 */     // GIR_Coverage, 21215,
     /* 1059243 */     GIR_EraseRootFromParent_Done,
     /* 1059244 */   // Label 15635: @1059244
     /* 1059244 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1059321), // Rule ID 21216 //
     /* 1059249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059288 */     // MIs[0] policy
     /* 1059288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059298 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059320 */     // GIR_Coverage, 21216,
     /* 1059320 */     GIR_EraseRootFromParent_Done,
     /* 1059321 */   // Label 15636: @1059321
     /* 1059321 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1059398), // Rule ID 21219 //
     /* 1059326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059365 */     // MIs[0] policy
     /* 1059365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059375 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059397 */     // GIR_Coverage, 21219,
     /* 1059397 */     GIR_EraseRootFromParent_Done,
     /* 1059398 */   // Label 15637: @1059398
     /* 1059398 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1059475), // Rule ID 21220 //
     /* 1059403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059442 */     // MIs[0] policy
     /* 1059442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059474 */     // GIR_Coverage, 21220,
     /* 1059474 */     GIR_EraseRootFromParent_Done,
     /* 1059475 */   // Label 15638: @1059475
     /* 1059475 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1059552), // Rule ID 21223 //
     /* 1059480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059519 */     // MIs[0] policy
     /* 1059519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059529 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059551 */     // GIR_Coverage, 21223,
     /* 1059551 */     GIR_EraseRootFromParent_Done,
     /* 1059552 */   // Label 15639: @1059552
     /* 1059552 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1059629), // Rule ID 21224 //
     /* 1059557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059596 */     // MIs[0] policy
     /* 1059596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059606 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059628 */     // GIR_Coverage, 21224,
     /* 1059628 */     GIR_EraseRootFromParent_Done,
     /* 1059629 */   // Label 15640: @1059629
     /* 1059629 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1059706), // Rule ID 21227 //
     /* 1059634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1059651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059673 */     // MIs[0] policy
     /* 1059673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059683 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1059686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059705 */     // GIR_Coverage, 21227,
     /* 1059705 */     GIR_EraseRootFromParent_Done,
     /* 1059706 */   // Label 15641: @1059706
     /* 1059706 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1059783), // Rule ID 21228 //
     /* 1059711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1059728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059750 */     // MIs[0] policy
     /* 1059750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059760 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1059763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059782 */     // GIR_Coverage, 21228,
     /* 1059782 */     GIR_EraseRootFromParent_Done,
     /* 1059783 */   // Label 15642: @1059783
     /* 1059783 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059860), // Rule ID 21231 //
     /* 1059788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059827 */     // MIs[0] policy
     /* 1059827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059837 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1059840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059859 */     // GIR_Coverage, 21231,
     /* 1059859 */     GIR_EraseRootFromParent_Done,
     /* 1059860 */   // Label 15643: @1059860
     /* 1059860 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1059937), // Rule ID 21232 //
     /* 1059865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059904 */     // MIs[0] policy
     /* 1059904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059914 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1059917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059936 */     // GIR_Coverage, 21232,
     /* 1059936 */     GIR_EraseRootFromParent_Done,
     /* 1059937 */   // Label 15644: @1059937
     /* 1059937 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1060014), // Rule ID 21235 //
     /* 1059942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059981 */     // MIs[0] policy
     /* 1059981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059991 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1059994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060013 */     // GIR_Coverage, 21235,
     /* 1060013 */     GIR_EraseRootFromParent_Done,
     /* 1060014 */   // Label 15645: @1060014
     /* 1060014 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1060091), // Rule ID 21236 //
     /* 1060019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1060036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060058 */     // MIs[0] policy
     /* 1060058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1060071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060090 */     // GIR_Coverage, 21236,
     /* 1060090 */     GIR_EraseRootFromParent_Done,
     /* 1060091 */   // Label 15646: @1060091
     /* 1060091 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1060168), // Rule ID 21239 //
     /* 1060096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060135 */     // MIs[0] policy
     /* 1060135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060145 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060167 */     // GIR_Coverage, 21239,
     /* 1060167 */     GIR_EraseRootFromParent_Done,
     /* 1060168 */   // Label 15647: @1060168
     /* 1060168 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1060245), // Rule ID 21240 //
     /* 1060173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060212 */     // MIs[0] policy
     /* 1060212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060222 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060244 */     // GIR_Coverage, 21240,
     /* 1060244 */     GIR_EraseRootFromParent_Done,
     /* 1060245 */   // Label 15648: @1060245
     /* 1060245 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1060322), // Rule ID 21243 //
     /* 1060250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060289 */     // MIs[0] policy
     /* 1060289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060299 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060321 */     // GIR_Coverage, 21243,
     /* 1060321 */     GIR_EraseRootFromParent_Done,
     /* 1060322 */   // Label 15649: @1060322
     /* 1060322 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1060399), // Rule ID 21244 //
     /* 1060327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060366 */     // MIs[0] policy
     /* 1060366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060398 */     // GIR_Coverage, 21244,
     /* 1060398 */     GIR_EraseRootFromParent_Done,
     /* 1060399 */   // Label 15650: @1060399
     /* 1060399 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1060476), // Rule ID 21247 //
     /* 1060404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060443 */     // MIs[0] policy
     /* 1060443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060475 */     // GIR_Coverage, 21247,
     /* 1060475 */     GIR_EraseRootFromParent_Done,
     /* 1060476 */   // Label 15651: @1060476
     /* 1060476 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1060553), // Rule ID 21248 //
     /* 1060481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060520 */     // MIs[0] policy
     /* 1060520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060552 */     // GIR_Coverage, 21248,
     /* 1060552 */     GIR_EraseRootFromParent_Done,
     /* 1060553 */   // Label 15652: @1060553
     /* 1060553 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1060630), // Rule ID 21251 //
     /* 1060558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1060575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060597 */     // MIs[0] policy
     /* 1060597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060607 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1060610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060616 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060629 */     // GIR_Coverage, 21251,
     /* 1060629 */     GIR_EraseRootFromParent_Done,
     /* 1060630 */   // Label 15653: @1060630
     /* 1060630 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1060707), // Rule ID 21252 //
     /* 1060635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1060652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060674 */     // MIs[0] policy
     /* 1060674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060684 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1060687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060706 */     // GIR_Coverage, 21252,
     /* 1060706 */     GIR_EraseRootFromParent_Done,
     /* 1060707 */   // Label 15654: @1060707
     /* 1060707 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1060784), // Rule ID 21255 //
     /* 1060712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060751 */     // MIs[0] policy
     /* 1060751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060761 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1060764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060783 */     // GIR_Coverage, 21255,
     /* 1060783 */     GIR_EraseRootFromParent_Done,
     /* 1060784 */   // Label 15655: @1060784
     /* 1060784 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060861), // Rule ID 21256 //
     /* 1060789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060828 */     // MIs[0] policy
     /* 1060828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060838 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1060841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060860 */     // GIR_Coverage, 21256,
     /* 1060860 */     GIR_EraseRootFromParent_Done,
     /* 1060861 */   // Label 15656: @1060861
     /* 1060861 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1060938), // Rule ID 21259 //
     /* 1060866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060905 */     // MIs[0] policy
     /* 1060905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060915 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1060918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060937 */     // GIR_Coverage, 21259,
     /* 1060937 */     GIR_EraseRootFromParent_Done,
     /* 1060938 */   // Label 15657: @1060938
     /* 1060938 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1061015), // Rule ID 21260 //
     /* 1060943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060982 */     // MIs[0] policy
     /* 1060982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1060995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061014 */     // GIR_Coverage, 21260,
     /* 1061014 */     GIR_EraseRootFromParent_Done,
     /* 1061015 */   // Label 15658: @1061015
     /* 1061015 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1061092), // Rule ID 21263 //
     /* 1061020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061059 */     // MIs[0] policy
     /* 1061059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061069 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061091 */     // GIR_Coverage, 21263,
     /* 1061091 */     GIR_EraseRootFromParent_Done,
     /* 1061092 */   // Label 15659: @1061092
     /* 1061092 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1061169), // Rule ID 21264 //
     /* 1061097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061136 */     // MIs[0] policy
     /* 1061136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061146 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061168 */     // GIR_Coverage, 21264,
     /* 1061168 */     GIR_EraseRootFromParent_Done,
     /* 1061169 */   // Label 15660: @1061169
     /* 1061169 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1061246), // Rule ID 21267 //
     /* 1061174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061213 */     // MIs[0] policy
     /* 1061213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061223 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061245 */     // GIR_Coverage, 21267,
     /* 1061245 */     GIR_EraseRootFromParent_Done,
     /* 1061246 */   // Label 15661: @1061246
     /* 1061246 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1061323), // Rule ID 21268 //
     /* 1061251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061290 */     // MIs[0] policy
     /* 1061290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061300 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061322 */     // GIR_Coverage, 21268,
     /* 1061322 */     GIR_EraseRootFromParent_Done,
     /* 1061323 */   // Label 15662: @1061323
     /* 1061323 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1061400), // Rule ID 21271 //
     /* 1061328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061367 */     // MIs[0] policy
     /* 1061367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061399 */     // GIR_Coverage, 21271,
     /* 1061399 */     GIR_EraseRootFromParent_Done,
     /* 1061400 */   // Label 15663: @1061400
     /* 1061400 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1061477), // Rule ID 21272 //
     /* 1061405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061444 */     // MIs[0] policy
     /* 1061444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061454 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061476 */     // GIR_Coverage, 21272,
     /* 1061476 */     GIR_EraseRootFromParent_Done,
     /* 1061477 */   // Label 15664: @1061477
     /* 1061477 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1061554), // Rule ID 21275 //
     /* 1061482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061521 */     // MIs[0] policy
     /* 1061521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061531 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061553 */     // GIR_Coverage, 21275,
     /* 1061553 */     GIR_EraseRootFromParent_Done,
     /* 1061554 */   // Label 15665: @1061554
     /* 1061554 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1061631), // Rule ID 21276 //
     /* 1061559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061598 */     // MIs[0] policy
     /* 1061598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061630 */     // GIR_Coverage, 21276,
     /* 1061630 */     GIR_EraseRootFromParent_Done,
     /* 1061631 */   // Label 15666: @1061631
     /* 1061631 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1061708), // Rule ID 21279 //
     /* 1061636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1061647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1061650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1061653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061675 */     // MIs[0] policy
     /* 1061675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061685 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1061688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061707 */     // GIR_Coverage, 21279,
     /* 1061707 */     GIR_EraseRootFromParent_Done,
     /* 1061708 */   // Label 15667: @1061708
     /* 1061708 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1061785), // Rule ID 21280 //
     /* 1061713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1061724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1061727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1061730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061752 */     // MIs[0] policy
     /* 1061752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061762 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1061765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061784 */     // GIR_Coverage, 21280,
     /* 1061784 */     GIR_EraseRootFromParent_Done,
     /* 1061785 */   // Label 15668: @1061785
     /* 1061785 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061862), // Rule ID 21283 //
     /* 1061790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1061801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1061804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1061807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1061810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061829 */     // MIs[0] policy
     /* 1061829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061839 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1061842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061861 */     // GIR_Coverage, 21283,
     /* 1061861 */     GIR_EraseRootFromParent_Done,
     /* 1061862 */   // Label 15669: @1061862
     /* 1061862 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1061939), // Rule ID 21284 //
     /* 1061867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1061878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1061881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1061884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1061887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061906 */     // MIs[0] policy
     /* 1061906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061916 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1061919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061938 */     // GIR_Coverage, 21284,
     /* 1061938 */     GIR_EraseRootFromParent_Done,
     /* 1061939 */   // Label 15670: @1061939
     /* 1061939 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1062016), // Rule ID 21287 //
     /* 1061944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1061947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061983 */     // MIs[0] policy
     /* 1061983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061993 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1061996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062015 */     // GIR_Coverage, 21287,
     /* 1062015 */     GIR_EraseRootFromParent_Done,
     /* 1062016 */   // Label 15671: @1062016
     /* 1062016 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1062093), // Rule ID 21288 //
     /* 1062021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062060 */     // MIs[0] policy
     /* 1062060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062070 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1062073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062092 */     // GIR_Coverage, 21288,
     /* 1062092 */     GIR_EraseRootFromParent_Done,
     /* 1062093 */   // Label 15672: @1062093
     /* 1062093 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1062170), // Rule ID 21291 //
     /* 1062098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062137 */     // MIs[0] policy
     /* 1062137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062147 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062169 */     // GIR_Coverage, 21291,
     /* 1062169 */     GIR_EraseRootFromParent_Done,
     /* 1062170 */   // Label 15673: @1062170
     /* 1062170 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1062247), // Rule ID 21292 //
     /* 1062175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062214 */     // MIs[0] policy
     /* 1062214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062246 */     // GIR_Coverage, 21292,
     /* 1062246 */     GIR_EraseRootFromParent_Done,
     /* 1062247 */   // Label 15674: @1062247
     /* 1062247 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1062324), // Rule ID 21295 //
     /* 1062252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062291 */     // MIs[0] policy
     /* 1062291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062301 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062323 */     // GIR_Coverage, 21295,
     /* 1062323 */     GIR_EraseRootFromParent_Done,
     /* 1062324 */   // Label 15675: @1062324
     /* 1062324 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1062401), // Rule ID 21296 //
     /* 1062329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062368 */     // MIs[0] policy
     /* 1062368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062400 */     // GIR_Coverage, 21296,
     /* 1062400 */     GIR_EraseRootFromParent_Done,
     /* 1062401 */   // Label 15676: @1062401
     /* 1062401 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1062478), // Rule ID 21299 //
     /* 1062406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062445 */     // MIs[0] policy
     /* 1062445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062455 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062477 */     // GIR_Coverage, 21299,
     /* 1062477 */     GIR_EraseRootFromParent_Done,
     /* 1062478 */   // Label 15677: @1062478
     /* 1062478 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1062555), // Rule ID 21300 //
     /* 1062483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062522 */     // MIs[0] policy
     /* 1062522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062554 */     // GIR_Coverage, 21300,
     /* 1062554 */     GIR_EraseRootFromParent_Done,
     /* 1062555 */   // Label 15678: @1062555
     /* 1062555 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1062632), // Rule ID 21303 //
     /* 1062560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062599 */     // MIs[0] policy
     /* 1062599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062609 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1062612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062631 */     // GIR_Coverage, 21303,
     /* 1062631 */     GIR_EraseRootFromParent_Done,
     /* 1062632 */   // Label 15679: @1062632
     /* 1062632 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1062709), // Rule ID 21304 //
     /* 1062637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062676 */     // MIs[0] policy
     /* 1062676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062686 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1062689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062708 */     // GIR_Coverage, 21304,
     /* 1062708 */     GIR_EraseRootFromParent_Done,
     /* 1062709 */   // Label 15680: @1062709
     /* 1062709 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1062786), // Rule ID 21307 //
     /* 1062714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1062717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062753 */     // MIs[0] policy
     /* 1062753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062763 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1062766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062785 */     // GIR_Coverage, 21307,
     /* 1062785 */     GIR_EraseRootFromParent_Done,
     /* 1062786 */   // Label 15681: @1062786
     /* 1062786 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062863), // Rule ID 21308 //
     /* 1062791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1062794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062830 */     // MIs[0] policy
     /* 1062830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062840 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1062843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062862 */     // GIR_Coverage, 21308,
     /* 1062862 */     GIR_EraseRootFromParent_Done,
     /* 1062863 */   // Label 15682: @1062863
     /* 1062863 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1062940), // Rule ID 21311 //
     /* 1062868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1062871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062907 */     // MIs[0] policy
     /* 1062907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062917 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1062920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062939 */     // GIR_Coverage, 21311,
     /* 1062939 */     GIR_EraseRootFromParent_Done,
     /* 1062940 */   // Label 15683: @1062940
     /* 1062940 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1063017), // Rule ID 21312 //
     /* 1062945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1062948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062984 */     // MIs[0] policy
     /* 1062984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062994 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1062997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063016 */     // GIR_Coverage, 21312,
     /* 1063016 */     GIR_EraseRootFromParent_Done,
     /* 1063017 */   // Label 15684: @1063017
     /* 1063017 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1063094), // Rule ID 21315 //
     /* 1063022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063061 */     // MIs[0] policy
     /* 1063061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063071 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063093 */     // GIR_Coverage, 21315,
     /* 1063093 */     GIR_EraseRootFromParent_Done,
     /* 1063094 */   // Label 15685: @1063094
     /* 1063094 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1063171), // Rule ID 21316 //
     /* 1063099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063138 */     // MIs[0] policy
     /* 1063138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063148 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063170 */     // GIR_Coverage, 21316,
     /* 1063170 */     GIR_EraseRootFromParent_Done,
     /* 1063171 */   // Label 15686: @1063171
     /* 1063171 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1063248), // Rule ID 21319 //
     /* 1063176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063215 */     // MIs[0] policy
     /* 1063215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063225 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063247 */     // GIR_Coverage, 21319,
     /* 1063247 */     GIR_EraseRootFromParent_Done,
     /* 1063248 */   // Label 15687: @1063248
     /* 1063248 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1063325), // Rule ID 21320 //
     /* 1063253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063292 */     // MIs[0] policy
     /* 1063292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063324 */     // GIR_Coverage, 21320,
     /* 1063324 */     GIR_EraseRootFromParent_Done,
     /* 1063325 */   // Label 15688: @1063325
     /* 1063325 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1063402), // Rule ID 21323 //
     /* 1063330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063369 */     // MIs[0] policy
     /* 1063369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063379 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063401 */     // GIR_Coverage, 21323,
     /* 1063401 */     GIR_EraseRootFromParent_Done,
     /* 1063402 */   // Label 15689: @1063402
     /* 1063402 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1063479), // Rule ID 21324 //
     /* 1063407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063446 */     // MIs[0] policy
     /* 1063446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063478 */     // GIR_Coverage, 21324,
     /* 1063478 */     GIR_EraseRootFromParent_Done,
     /* 1063479 */   // Label 15690: @1063479
     /* 1063479 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1063556), // Rule ID 21327 //
     /* 1063484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063523 */     // MIs[0] policy
     /* 1063523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063533 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1063536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063555 */     // GIR_Coverage, 21327,
     /* 1063555 */     GIR_EraseRootFromParent_Done,
     /* 1063556 */   // Label 15691: @1063556
     /* 1063556 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1063633), // Rule ID 21328 //
     /* 1063561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063600 */     // MIs[0] policy
     /* 1063600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1063613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063632 */     // GIR_Coverage, 21328,
     /* 1063632 */     GIR_EraseRootFromParent_Done,
     /* 1063633 */   // Label 15692: @1063633
     /* 1063633 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1063710), // Rule ID 21331 //
     /* 1063638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063677 */     // MIs[0] policy
     /* 1063677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063687 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1063690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063709 */     // GIR_Coverage, 21331,
     /* 1063709 */     GIR_EraseRootFromParent_Done,
     /* 1063710 */   // Label 15693: @1063710
     /* 1063710 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1063787), // Rule ID 21332 //
     /* 1063715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063754 */     // MIs[0] policy
     /* 1063754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1063767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063786 */     // GIR_Coverage, 21332,
     /* 1063786 */     GIR_EraseRootFromParent_Done,
     /* 1063787 */   // Label 15694: @1063787
     /* 1063787 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063864), // Rule ID 21335 //
     /* 1063792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063831 */     // MIs[0] policy
     /* 1063831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063841 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1063844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063863 */     // GIR_Coverage, 21335,
     /* 1063863 */     GIR_EraseRootFromParent_Done,
     /* 1063864 */   // Label 15695: @1063864
     /* 1063864 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1063941), // Rule ID 21336 //
     /* 1063869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063908 */     // MIs[0] policy
     /* 1063908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063918 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1063921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063940 */     // GIR_Coverage, 21336,
     /* 1063940 */     GIR_EraseRootFromParent_Done,
     /* 1063941 */   // Label 15696: @1063941
     /* 1063941 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1064018), // Rule ID 21339 //
     /* 1063946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063985 */     // MIs[0] policy
     /* 1063985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063995 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1063998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064017 */     // GIR_Coverage, 21339,
     /* 1064017 */     GIR_EraseRootFromParent_Done,
     /* 1064018 */   // Label 15697: @1064018
     /* 1064018 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1064095), // Rule ID 21340 //
     /* 1064023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1064026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064062 */     // MIs[0] policy
     /* 1064062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064072 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1064075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064094 */     // GIR_Coverage, 21340,
     /* 1064094 */     GIR_EraseRootFromParent_Done,
     /* 1064095 */   // Label 15698: @1064095
     /* 1064095 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1064172), // Rule ID 21343 //
     /* 1064100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064139 */     // MIs[0] policy
     /* 1064139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064171 */     // GIR_Coverage, 21343,
     /* 1064171 */     GIR_EraseRootFromParent_Done,
     /* 1064172 */   // Label 15699: @1064172
     /* 1064172 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1064249), // Rule ID 21344 //
     /* 1064177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064216 */     // MIs[0] policy
     /* 1064216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064226 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064248 */     // GIR_Coverage, 21344,
     /* 1064248 */     GIR_EraseRootFromParent_Done,
     /* 1064249 */   // Label 15700: @1064249
     /* 1064249 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1064326), // Rule ID 21347 //
     /* 1064254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064293 */     // MIs[0] policy
     /* 1064293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064303 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064325 */     // GIR_Coverage, 21347,
     /* 1064325 */     GIR_EraseRootFromParent_Done,
     /* 1064326 */   // Label 15701: @1064326
     /* 1064326 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1064403), // Rule ID 21348 //
     /* 1064331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064370 */     // MIs[0] policy
     /* 1064370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064402 */     // GIR_Coverage, 21348,
     /* 1064402 */     GIR_EraseRootFromParent_Done,
     /* 1064403 */   // Label 15702: @1064403
     /* 1064403 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1064480), // Rule ID 21351 //
     /* 1064408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064447 */     // MIs[0] policy
     /* 1064447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064457 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064479 */     // GIR_Coverage, 21351,
     /* 1064479 */     GIR_EraseRootFromParent_Done,
     /* 1064480 */   // Label 15703: @1064480
     /* 1064480 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1064557), // Rule ID 21352 //
     /* 1064485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064524 */     // MIs[0] policy
     /* 1064524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064534 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064556 */     // GIR_Coverage, 21352,
     /* 1064556 */     GIR_EraseRootFromParent_Done,
     /* 1064557 */   // Label 15704: @1064557
     /* 1064557 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1064634), // Rule ID 21355 //
     /* 1064562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064601 */     // MIs[0] policy
     /* 1064601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064611 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1064614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064633 */     // GIR_Coverage, 21355,
     /* 1064633 */     GIR_EraseRootFromParent_Done,
     /* 1064634 */   // Label 15705: @1064634
     /* 1064634 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1064711), // Rule ID 21356 //
     /* 1064639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064678 */     // MIs[0] policy
     /* 1064678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064688 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1064691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064710 */     // GIR_Coverage, 21356,
     /* 1064710 */     GIR_EraseRootFromParent_Done,
     /* 1064711 */   // Label 15706: @1064711
     /* 1064711 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1064788), // Rule ID 21599 //
     /* 1064716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1064727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1064730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064755 */     // MIs[0] policy
     /* 1064755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1064768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064787 */     // GIR_Coverage, 21599,
     /* 1064787 */     GIR_EraseRootFromParent_Done,
     /* 1064788 */   // Label 15707: @1064788
     /* 1064788 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064865), // Rule ID 21600 //
     /* 1064793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1064804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1064807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064832 */     // MIs[0] policy
     /* 1064832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064842 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1064845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064864 */     // GIR_Coverage, 21600,
     /* 1064864 */     GIR_EraseRootFromParent_Done,
     /* 1064865 */   // Label 15708: @1064865
     /* 1064865 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1064942), // Rule ID 21603 //
     /* 1064870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064909 */     // MIs[0] policy
     /* 1064909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1064922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064941 */     // GIR_Coverage, 21603,
     /* 1064941 */     GIR_EraseRootFromParent_Done,
     /* 1064942 */   // Label 15709: @1064942
     /* 1064942 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1065019), // Rule ID 21604 //
     /* 1064947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064986 */     // MIs[0] policy
     /* 1064986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064996 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1064999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065018 */     // GIR_Coverage, 21604,
     /* 1065018 */     GIR_EraseRootFromParent_Done,
     /* 1065019 */   // Label 15710: @1065019
     /* 1065019 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1065096), // Rule ID 21607 //
     /* 1065024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065063 */     // MIs[0] policy
     /* 1065063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065073 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065095 */     // GIR_Coverage, 21607,
     /* 1065095 */     GIR_EraseRootFromParent_Done,
     /* 1065096 */   // Label 15711: @1065096
     /* 1065096 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1065173), // Rule ID 21608 //
     /* 1065101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065140 */     // MIs[0] policy
     /* 1065140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065172 */     // GIR_Coverage, 21608,
     /* 1065172 */     GIR_EraseRootFromParent_Done,
     /* 1065173 */   // Label 15712: @1065173
     /* 1065173 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1065250), // Rule ID 21611 //
     /* 1065178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065217 */     // MIs[0] policy
     /* 1065217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065249 */     // GIR_Coverage, 21611,
     /* 1065249 */     GIR_EraseRootFromParent_Done,
     /* 1065250 */   // Label 15713: @1065250
     /* 1065250 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1065327), // Rule ID 21612 //
     /* 1065255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065294 */     // MIs[0] policy
     /* 1065294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065326 */     // GIR_Coverage, 21612,
     /* 1065326 */     GIR_EraseRootFromParent_Done,
     /* 1065327 */   // Label 15714: @1065327
     /* 1065327 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1065404), // Rule ID 21615 //
     /* 1065332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065371 */     // MIs[0] policy
     /* 1065371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065381 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065403 */     // GIR_Coverage, 21615,
     /* 1065403 */     GIR_EraseRootFromParent_Done,
     /* 1065404 */   // Label 15715: @1065404
     /* 1065404 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1065481), // Rule ID 21616 //
     /* 1065409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065448 */     // MIs[0] policy
     /* 1065448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065480 */     // GIR_Coverage, 21616,
     /* 1065480 */     GIR_EraseRootFromParent_Done,
     /* 1065481 */   // Label 15716: @1065481
     /* 1065481 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1065558), // Rule ID 21619 //
     /* 1065486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065525 */     // MIs[0] policy
     /* 1065525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065535 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065557 */     // GIR_Coverage, 21619,
     /* 1065557 */     GIR_EraseRootFromParent_Done,
     /* 1065558 */   // Label 15717: @1065558
     /* 1065558 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1065635), // Rule ID 21620 //
     /* 1065563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065602 */     // MIs[0] policy
     /* 1065602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065612 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065634 */     // GIR_Coverage, 21620,
     /* 1065634 */     GIR_EraseRootFromParent_Done,
     /* 1065635 */   // Label 15718: @1065635
     /* 1065635 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1065712), // Rule ID 21623 //
     /* 1065640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065679 */     // MIs[0] policy
     /* 1065679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065689 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065711 */     // GIR_Coverage, 21623,
     /* 1065711 */     GIR_EraseRootFromParent_Done,
     /* 1065712 */   // Label 15719: @1065712
     /* 1065712 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1065789), // Rule ID 21624 //
     /* 1065717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065756 */     // MIs[0] policy
     /* 1065756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065788 */     // GIR_Coverage, 21624,
     /* 1065788 */     GIR_EraseRootFromParent_Done,
     /* 1065789 */   // Label 15720: @1065789
     /* 1065789 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065866), // Rule ID 21627 //
     /* 1065794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065833 */     // MIs[0] policy
     /* 1065833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065865 */     // GIR_Coverage, 21627,
     /* 1065865 */     GIR_EraseRootFromParent_Done,
     /* 1065866 */   // Label 15721: @1065866
     /* 1065866 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1065943), // Rule ID 21628 //
     /* 1065871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065910 */     // MIs[0] policy
     /* 1065910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065942 */     // GIR_Coverage, 21628,
     /* 1065942 */     GIR_EraseRootFromParent_Done,
     /* 1065943 */   // Label 15722: @1065943
     /* 1065943 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1066020), // Rule ID 21631 //
     /* 1065948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065987 */     // MIs[0] policy
     /* 1065987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066019 */     // GIR_Coverage, 21631,
     /* 1066019 */     GIR_EraseRootFromParent_Done,
     /* 1066020 */   // Label 15723: @1066020
     /* 1066020 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1066097), // Rule ID 21632 //
     /* 1066025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1066042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066064 */     // MIs[0] policy
     /* 1066064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066096 */     // GIR_Coverage, 21632,
     /* 1066096 */     GIR_EraseRootFromParent_Done,
     /* 1066097 */   // Label 15724: @1066097
     /* 1066097 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1066174), // Rule ID 21635 //
     /* 1066102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066141 */     // MIs[0] policy
     /* 1066141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066151 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066173 */     // GIR_Coverage, 21635,
     /* 1066173 */     GIR_EraseRootFromParent_Done,
     /* 1066174 */   // Label 15725: @1066174
     /* 1066174 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1066251), // Rule ID 21636 //
     /* 1066179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066218 */     // MIs[0] policy
     /* 1066218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066250 */     // GIR_Coverage, 21636,
     /* 1066250 */     GIR_EraseRootFromParent_Done,
     /* 1066251 */   // Label 15726: @1066251
     /* 1066251 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1066328), // Rule ID 21639 //
     /* 1066256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066295 */     // MIs[0] policy
     /* 1066295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066305 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066327 */     // GIR_Coverage, 21639,
     /* 1066327 */     GIR_EraseRootFromParent_Done,
     /* 1066328 */   // Label 15727: @1066328
     /* 1066328 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1066405), // Rule ID 21640 //
     /* 1066333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066372 */     // MIs[0] policy
     /* 1066372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066404 */     // GIR_Coverage, 21640,
     /* 1066404 */     GIR_EraseRootFromParent_Done,
     /* 1066405 */   // Label 15728: @1066405
     /* 1066405 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1066482), // Rule ID 21643 //
     /* 1066410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066449 */     // MIs[0] policy
     /* 1066449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066481 */     // GIR_Coverage, 21643,
     /* 1066481 */     GIR_EraseRootFromParent_Done,
     /* 1066482 */   // Label 15729: @1066482
     /* 1066482 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1066559), // Rule ID 21644 //
     /* 1066487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066526 */     // MIs[0] policy
     /* 1066526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066558 */     // GIR_Coverage, 21644,
     /* 1066558 */     GIR_EraseRootFromParent_Done,
     /* 1066559 */   // Label 15730: @1066559
     /* 1066559 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1066636), // Rule ID 21647 //
     /* 1066564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1066581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066603 */     // MIs[0] policy
     /* 1066603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066613 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066635 */     // GIR_Coverage, 21647,
     /* 1066635 */     GIR_EraseRootFromParent_Done,
     /* 1066636 */   // Label 15731: @1066636
     /* 1066636 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1066713), // Rule ID 21648 //
     /* 1066641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1066658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066680 */     // MIs[0] policy
     /* 1066680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066712 */     // GIR_Coverage, 21648,
     /* 1066712 */     GIR_EraseRootFromParent_Done,
     /* 1066713 */   // Label 15732: @1066713
     /* 1066713 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1066790), // Rule ID 21651 //
     /* 1066718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1066729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1066732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1066735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066757 */     // MIs[0] policy
     /* 1066757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066789 */     // GIR_Coverage, 21651,
     /* 1066789 */     GIR_EraseRootFromParent_Done,
     /* 1066790 */   // Label 15733: @1066790
     /* 1066790 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066867), // Rule ID 21652 //
     /* 1066795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1066806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1066809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1066812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066834 */     // MIs[0] policy
     /* 1066834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066866 */     // GIR_Coverage, 21652,
     /* 1066866 */     GIR_EraseRootFromParent_Done,
     /* 1066867 */   // Label 15734: @1066867
     /* 1066867 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1066944), // Rule ID 21655 //
     /* 1066872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1066883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1066886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1066889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066911 */     // MIs[0] policy
     /* 1066911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066943 */     // GIR_Coverage, 21655,
     /* 1066943 */     GIR_EraseRootFromParent_Done,
     /* 1066944 */   // Label 15735: @1066944
     /* 1066944 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1067021), // Rule ID 21656 //
     /* 1066949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1066960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1066963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1066966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066988 */     // MIs[0] policy
     /* 1066988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066998 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067020 */     // GIR_Coverage, 21656,
     /* 1067020 */     GIR_EraseRootFromParent_Done,
     /* 1067021 */   // Label 15736: @1067021
     /* 1067021 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1067098), // Rule ID 21659 //
     /* 1067026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1067037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1067040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067065 */     // MIs[0] policy
     /* 1067065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067075 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067097 */     // GIR_Coverage, 21659,
     /* 1067097 */     GIR_EraseRootFromParent_Done,
     /* 1067098 */   // Label 15737: @1067098
     /* 1067098 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1067175), // Rule ID 21660 //
     /* 1067103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1067114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1067117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067142 */     // MIs[0] policy
     /* 1067142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067152 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067174 */     // GIR_Coverage, 21660,
     /* 1067174 */     GIR_EraseRootFromParent_Done,
     /* 1067175 */   // Label 15738: @1067175
     /* 1067175 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1067252), // Rule ID 21663 //
     /* 1067180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067219 */     // MIs[0] policy
     /* 1067219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067229 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067251 */     // GIR_Coverage, 21663,
     /* 1067251 */     GIR_EraseRootFromParent_Done,
     /* 1067252 */   // Label 15739: @1067252
     /* 1067252 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1067329), // Rule ID 21664 //
     /* 1067257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067296 */     // MIs[0] policy
     /* 1067296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067328 */     // GIR_Coverage, 21664,
     /* 1067328 */     GIR_EraseRootFromParent_Done,
     /* 1067329 */   // Label 15740: @1067329
     /* 1067329 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1067406), // Rule ID 21667 //
     /* 1067334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067373 */     // MIs[0] policy
     /* 1067373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067405 */     // GIR_Coverage, 21667,
     /* 1067405 */     GIR_EraseRootFromParent_Done,
     /* 1067406 */   // Label 15741: @1067406
     /* 1067406 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1067483), // Rule ID 21668 //
     /* 1067411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067450 */     // MIs[0] policy
     /* 1067450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067482 */     // GIR_Coverage, 21668,
     /* 1067482 */     GIR_EraseRootFromParent_Done,
     /* 1067483 */   // Label 15742: @1067483
     /* 1067483 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1067560), // Rule ID 21671 //
     /* 1067488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067527 */     // MIs[0] policy
     /* 1067527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067559 */     // GIR_Coverage, 21671,
     /* 1067559 */     GIR_EraseRootFromParent_Done,
     /* 1067560 */   // Label 15743: @1067560
     /* 1067560 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1067637), // Rule ID 21672 //
     /* 1067565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067604 */     // MIs[0] policy
     /* 1067604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067636 */     // GIR_Coverage, 21672,
     /* 1067636 */     GIR_EraseRootFromParent_Done,
     /* 1067637 */   // Label 15744: @1067637
     /* 1067637 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1067714), // Rule ID 21675 //
     /* 1067642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1067653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1067656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067681 */     // MIs[0] policy
     /* 1067681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067691 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067713 */     // GIR_Coverage, 21675,
     /* 1067713 */     GIR_EraseRootFromParent_Done,
     /* 1067714 */   // Label 15745: @1067714
     /* 1067714 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1067791), // Rule ID 21676 //
     /* 1067719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1067730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1067733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067758 */     // MIs[0] policy
     /* 1067758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067790 */     // GIR_Coverage, 21676,
     /* 1067790 */     GIR_EraseRootFromParent_Done,
     /* 1067791 */   // Label 15746: @1067791
     /* 1067791 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067868), // Rule ID 21679 //
     /* 1067796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1067807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1067810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1067816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067835 */     // MIs[0] policy
     /* 1067835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067845 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1067848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067867 */     // GIR_Coverage, 21679,
     /* 1067867 */     GIR_EraseRootFromParent_Done,
     /* 1067868 */   // Label 15747: @1067868
     /* 1067868 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1067945), // Rule ID 21680 //
     /* 1067873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1067884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1067887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1067893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067912 */     // MIs[0] policy
     /* 1067912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1067925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067944 */     // GIR_Coverage, 21680,
     /* 1067944 */     GIR_EraseRootFromParent_Done,
     /* 1067945 */   // Label 15748: @1067945
     /* 1067945 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1068022), // Rule ID 21683 //
     /* 1067950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1067961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1067964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067989 */     // MIs[0] policy
     /* 1067989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068021 */     // GIR_Coverage, 21683,
     /* 1068021 */     GIR_EraseRootFromParent_Done,
     /* 1068022 */   // Label 15749: @1068022
     /* 1068022 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1068099), // Rule ID 21684 //
     /* 1068027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068066 */     // MIs[0] policy
     /* 1068066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068098 */     // GIR_Coverage, 21684,
     /* 1068098 */     GIR_EraseRootFromParent_Done,
     /* 1068099 */   // Label 15750: @1068099
     /* 1068099 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1068176), // Rule ID 21687 //
     /* 1068104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068143 */     // MIs[0] policy
     /* 1068143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068153 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068175 */     // GIR_Coverage, 21687,
     /* 1068175 */     GIR_EraseRootFromParent_Done,
     /* 1068176 */   // Label 15751: @1068176
     /* 1068176 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1068253), // Rule ID 21688 //
     /* 1068181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068220 */     // MIs[0] policy
     /* 1068220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068252 */     // GIR_Coverage, 21688,
     /* 1068252 */     GIR_EraseRootFromParent_Done,
     /* 1068253 */   // Label 15752: @1068253
     /* 1068253 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1068330), // Rule ID 21691 //
     /* 1068258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068297 */     // MIs[0] policy
     /* 1068297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068329 */     // GIR_Coverage, 21691,
     /* 1068329 */     GIR_EraseRootFromParent_Done,
     /* 1068330 */   // Label 15753: @1068330
     /* 1068330 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1068407), // Rule ID 21692 //
     /* 1068335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068374 */     // MIs[0] policy
     /* 1068374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068406 */     // GIR_Coverage, 21692,
     /* 1068406 */     GIR_EraseRootFromParent_Done,
     /* 1068407 */   // Label 15754: @1068407
     /* 1068407 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1068484), // Rule ID 21695 //
     /* 1068412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068451 */     // MIs[0] policy
     /* 1068451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068483 */     // GIR_Coverage, 21695,
     /* 1068483 */     GIR_EraseRootFromParent_Done,
     /* 1068484 */   // Label 15755: @1068484
     /* 1068484 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1068561), // Rule ID 21696 //
     /* 1068489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068528 */     // MIs[0] policy
     /* 1068528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068560 */     // GIR_Coverage, 21696,
     /* 1068560 */     GIR_EraseRootFromParent_Done,
     /* 1068561 */   // Label 15756: @1068561
     /* 1068561 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1068638), // Rule ID 21699 //
     /* 1068566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068605 */     // MIs[0] policy
     /* 1068605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068615 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068637 */     // GIR_Coverage, 21699,
     /* 1068637 */     GIR_EraseRootFromParent_Done,
     /* 1068638 */   // Label 15757: @1068638
     /* 1068638 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1068715), // Rule ID 21700 //
     /* 1068643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068682 */     // MIs[0] policy
     /* 1068682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068714 */     // GIR_Coverage, 21700,
     /* 1068714 */     GIR_EraseRootFromParent_Done,
     /* 1068715 */   // Label 15758: @1068715
     /* 1068715 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1068792), // Rule ID 21703 //
     /* 1068720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1068737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068759 */     // MIs[0] policy
     /* 1068759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068769 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068791 */     // GIR_Coverage, 21703,
     /* 1068791 */     GIR_EraseRootFromParent_Done,
     /* 1068792 */   // Label 15759: @1068792
     /* 1068792 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068869), // Rule ID 21704 //
     /* 1068797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1068814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068836 */     // MIs[0] policy
     /* 1068836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068868 */     // GIR_Coverage, 21704,
     /* 1068868 */     GIR_EraseRootFromParent_Done,
     /* 1068869 */   // Label 15760: @1068869
     /* 1068869 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1068946), // Rule ID 21707 //
     /* 1068874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1068891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068913 */     // MIs[0] policy
     /* 1068913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068945 */     // GIR_Coverage, 21707,
     /* 1068945 */     GIR_EraseRootFromParent_Done,
     /* 1068946 */   // Label 15761: @1068946
     /* 1068946 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1069023), // Rule ID 21708 //
     /* 1068951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1068968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068990 */     // MIs[0] policy
     /* 1068990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069022 */     // GIR_Coverage, 21708,
     /* 1069022 */     GIR_EraseRootFromParent_Done,
     /* 1069023 */   // Label 15762: @1069023
     /* 1069023 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1069100), // Rule ID 21711 //
     /* 1069028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069067 */     // MIs[0] policy
     /* 1069067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069099 */     // GIR_Coverage, 21711,
     /* 1069099 */     GIR_EraseRootFromParent_Done,
     /* 1069100 */   // Label 15763: @1069100
     /* 1069100 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1069177), // Rule ID 21712 //
     /* 1069105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069144 */     // MIs[0] policy
     /* 1069144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069176 */     // GIR_Coverage, 21712,
     /* 1069176 */     GIR_EraseRootFromParent_Done,
     /* 1069177 */   // Label 15764: @1069177
     /* 1069177 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1069254), // Rule ID 21715 //
     /* 1069182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069221 */     // MIs[0] policy
     /* 1069221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069253 */     // GIR_Coverage, 21715,
     /* 1069253 */     GIR_EraseRootFromParent_Done,
     /* 1069254 */   // Label 15765: @1069254
     /* 1069254 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1069331), // Rule ID 21716 //
     /* 1069259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069298 */     // MIs[0] policy
     /* 1069298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069330 */     // GIR_Coverage, 21716,
     /* 1069330 */     GIR_EraseRootFromParent_Done,
     /* 1069331 */   // Label 15766: @1069331
     /* 1069331 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1069408), // Rule ID 21827 //
     /* 1069336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069375 */     // MIs[0] policy
     /* 1069375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069385 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069407 */     // GIR_Coverage, 21827,
     /* 1069407 */     GIR_EraseRootFromParent_Done,
     /* 1069408 */   // Label 15767: @1069408
     /* 1069408 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1069485), // Rule ID 21828 //
     /* 1069413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069452 */     // MIs[0] policy
     /* 1069452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069462 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069484 */     // GIR_Coverage, 21828,
     /* 1069484 */     GIR_EraseRootFromParent_Done,
     /* 1069485 */   // Label 15768: @1069485
     /* 1069485 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1069562), // Rule ID 21831 //
     /* 1069490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069529 */     // MIs[0] policy
     /* 1069529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069539 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1069542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069561 */     // GIR_Coverage, 21831,
     /* 1069561 */     GIR_EraseRootFromParent_Done,
     /* 1069562 */   // Label 15769: @1069562
     /* 1069562 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1069639), // Rule ID 21832 //
     /* 1069567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069606 */     // MIs[0] policy
     /* 1069606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069616 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1069619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069638 */     // GIR_Coverage, 21832,
     /* 1069638 */     GIR_EraseRootFromParent_Done,
     /* 1069639 */   // Label 15770: @1069639
     /* 1069639 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1069716), // Rule ID 21835 //
     /* 1069644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069683 */     // MIs[0] policy
     /* 1069683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069693 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1069696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069715 */     // GIR_Coverage, 21835,
     /* 1069715 */     GIR_EraseRootFromParent_Done,
     /* 1069716 */   // Label 15771: @1069716
     /* 1069716 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1069793), // Rule ID 21836 //
     /* 1069721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069760 */     // MIs[0] policy
     /* 1069760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069770 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1069773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069792 */     // GIR_Coverage, 21836,
     /* 1069792 */     GIR_EraseRootFromParent_Done,
     /* 1069793 */   // Label 15772: @1069793
     /* 1069793 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069870), // Rule ID 21839 //
     /* 1069798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1069809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1069812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069837 */     // MIs[0] policy
     /* 1069837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069847 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1069850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069869 */     // GIR_Coverage, 21839,
     /* 1069869 */     GIR_EraseRootFromParent_Done,
     /* 1069870 */   // Label 15773: @1069870
     /* 1069870 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1069947), // Rule ID 21840 //
     /* 1069875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1069886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1069889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069914 */     // MIs[0] policy
     /* 1069914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069924 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1069927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069946 */     // GIR_Coverage, 21840,
     /* 1069946 */     GIR_EraseRootFromParent_Done,
     /* 1069947 */   // Label 15774: @1069947
     /* 1069947 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1070024), // Rule ID 21843 //
     /* 1069952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1069963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1069966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1069969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069991 */     // MIs[0] policy
     /* 1069991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070001 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1070004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070023 */     // GIR_Coverage, 21843,
     /* 1070023 */     GIR_EraseRootFromParent_Done,
     /* 1070024 */   // Label 15775: @1070024
     /* 1070024 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1070101), // Rule ID 21844 //
     /* 1070029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070068 */     // MIs[0] policy
     /* 1070068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070078 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1070081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070100 */     // GIR_Coverage, 21844,
     /* 1070100 */     GIR_EraseRootFromParent_Done,
     /* 1070101 */   // Label 15776: @1070101
     /* 1070101 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1070178), // Rule ID 21847 //
     /* 1070106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070145 */     // MIs[0] policy
     /* 1070145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070155 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070177 */     // GIR_Coverage, 21847,
     /* 1070177 */     GIR_EraseRootFromParent_Done,
     /* 1070178 */   // Label 15777: @1070178
     /* 1070178 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1070255), // Rule ID 21848 //
     /* 1070183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070222 */     // MIs[0] policy
     /* 1070222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070254 */     // GIR_Coverage, 21848,
     /* 1070254 */     GIR_EraseRootFromParent_Done,
     /* 1070255 */   // Label 15778: @1070255
     /* 1070255 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1070332), // Rule ID 21851 //
     /* 1070260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070299 */     // MIs[0] policy
     /* 1070299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070309 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070331 */     // GIR_Coverage, 21851,
     /* 1070331 */     GIR_EraseRootFromParent_Done,
     /* 1070332 */   // Label 15779: @1070332
     /* 1070332 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1070409), // Rule ID 21852 //
     /* 1070337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070376 */     // MIs[0] policy
     /* 1070376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070386 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070408 */     // GIR_Coverage, 21852,
     /* 1070408 */     GIR_EraseRootFromParent_Done,
     /* 1070409 */   // Label 15780: @1070409
     /* 1070409 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1070486), // Rule ID 21855 //
     /* 1070414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070453 */     // MIs[0] policy
     /* 1070453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070463 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070485 */     // GIR_Coverage, 21855,
     /* 1070485 */     GIR_EraseRootFromParent_Done,
     /* 1070486 */   // Label 15781: @1070486
     /* 1070486 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1070563), // Rule ID 21856 //
     /* 1070491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070530 */     // MIs[0] policy
     /* 1070530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070540 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070562 */     // GIR_Coverage, 21856,
     /* 1070562 */     GIR_EraseRootFromParent_Done,
     /* 1070563 */   // Label 15782: @1070563
     /* 1070563 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1070640), // Rule ID 21859 //
     /* 1070568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070607 */     // MIs[0] policy
     /* 1070607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070617 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1070620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070639 */     // GIR_Coverage, 21859,
     /* 1070639 */     GIR_EraseRootFromParent_Done,
     /* 1070640 */   // Label 15783: @1070640
     /* 1070640 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1070717), // Rule ID 21860 //
     /* 1070645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070684 */     // MIs[0] policy
     /* 1070684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070694 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1070697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070716 */     // GIR_Coverage, 21860,
     /* 1070716 */     GIR_EraseRootFromParent_Done,
     /* 1070717 */   // Label 15784: @1070717
     /* 1070717 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1070794), // Rule ID 23299 //
     /* 1070722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1070733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1070736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1070739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070761 */     // MIs[0] policy
     /* 1070761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070771 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1070774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070793 */     // GIR_Coverage, 23299,
     /* 1070793 */     GIR_EraseRootFromParent_Done,
     /* 1070794 */   // Label 15785: @1070794
     /* 1070794 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070871), // Rule ID 23300 //
     /* 1070799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1070810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1070813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1070816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070838 */     // MIs[0] policy
     /* 1070838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1070851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070870 */     // GIR_Coverage, 23300,
     /* 1070870 */     GIR_EraseRootFromParent_Done,
     /* 1070871 */   // Label 15786: @1070871
     /* 1070871 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1070948), // Rule ID 23303 //
     /* 1070876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1070887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1070890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1070893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070915 */     // MIs[0] policy
     /* 1070915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1070928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070947 */     // GIR_Coverage, 23303,
     /* 1070947 */     GIR_EraseRootFromParent_Done,
     /* 1070948 */   // Label 15787: @1070948
     /* 1070948 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1071025), // Rule ID 23304 //
     /* 1070953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1070964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1070967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1070970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070992 */     // MIs[0] policy
     /* 1070992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071024 */     // GIR_Coverage, 23304,
     /* 1071024 */     GIR_EraseRootFromParent_Done,
     /* 1071025 */   // Label 15788: @1071025
     /* 1071025 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1071102), // Rule ID 23307 //
     /* 1071030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071069 */     // MIs[0] policy
     /* 1071069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071101 */     // GIR_Coverage, 23307,
     /* 1071101 */     GIR_EraseRootFromParent_Done,
     /* 1071102 */   // Label 15789: @1071102
     /* 1071102 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1071179), // Rule ID 23308 //
     /* 1071107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071146 */     // MIs[0] policy
     /* 1071146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071156 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071178 */     // GIR_Coverage, 23308,
     /* 1071178 */     GIR_EraseRootFromParent_Done,
     /* 1071179 */   // Label 15790: @1071179
     /* 1071179 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1071256), // Rule ID 23311 //
     /* 1071184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071223 */     // MIs[0] policy
     /* 1071223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071255 */     // GIR_Coverage, 23311,
     /* 1071255 */     GIR_EraseRootFromParent_Done,
     /* 1071256 */   // Label 15791: @1071256
     /* 1071256 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1071333), // Rule ID 23312 //
     /* 1071261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071300 */     // MIs[0] policy
     /* 1071300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071310 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071332 */     // GIR_Coverage, 23312,
     /* 1071332 */     GIR_EraseRootFromParent_Done,
     /* 1071333 */   // Label 15792: @1071333
     /* 1071333 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1071410), // Rule ID 23315 //
     /* 1071338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071377 */     // MIs[0] policy
     /* 1071377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071409 */     // GIR_Coverage, 23315,
     /* 1071409 */     GIR_EraseRootFromParent_Done,
     /* 1071410 */   // Label 15793: @1071410
     /* 1071410 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1071487), // Rule ID 23316 //
     /* 1071415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071454 */     // MIs[0] policy
     /* 1071454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071486 */     // GIR_Coverage, 23316,
     /* 1071486 */     GIR_EraseRootFromParent_Done,
     /* 1071487 */   // Label 15794: @1071487
     /* 1071487 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1071564), // Rule ID 23319 //
     /* 1071492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071531 */     // MIs[0] policy
     /* 1071531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071541 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071563 */     // GIR_Coverage, 23319,
     /* 1071563 */     GIR_EraseRootFromParent_Done,
     /* 1071564 */   // Label 15795: @1071564
     /* 1071564 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1071641), // Rule ID 23320 //
     /* 1071569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071608 */     // MIs[0] policy
     /* 1071608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071640 */     // GIR_Coverage, 23320,
     /* 1071640 */     GIR_EraseRootFromParent_Done,
     /* 1071641 */   // Label 15796: @1071641
     /* 1071641 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1071718), // Rule ID 23323 //
     /* 1071646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1071657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1071660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071685 */     // MIs[0] policy
     /* 1071685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071695 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071717 */     // GIR_Coverage, 23323,
     /* 1071717 */     GIR_EraseRootFromParent_Done,
     /* 1071718 */   // Label 15797: @1071718
     /* 1071718 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1071795), // Rule ID 23324 //
     /* 1071723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1071734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1071737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071762 */     // MIs[0] policy
     /* 1071762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071794 */     // GIR_Coverage, 23324,
     /* 1071794 */     GIR_EraseRootFromParent_Done,
     /* 1071795 */   // Label 15798: @1071795
     /* 1071795 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071872), // Rule ID 23327 //
     /* 1071800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071839 */     // MIs[0] policy
     /* 1071839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071871 */     // GIR_Coverage, 23327,
     /* 1071871 */     GIR_EraseRootFromParent_Done,
     /* 1071872 */   // Label 15799: @1071872
     /* 1071872 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1071949), // Rule ID 23328 //
     /* 1071877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071916 */     // MIs[0] policy
     /* 1071916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071948 */     // GIR_Coverage, 23328,
     /* 1071948 */     GIR_EraseRootFromParent_Done,
     /* 1071949 */   // Label 15800: @1071949
     /* 1071949 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1072026), // Rule ID 23331 //
     /* 1071954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1071965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1071968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071993 */     // MIs[0] policy
     /* 1071993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072025 */     // GIR_Coverage, 23331,
     /* 1072025 */     GIR_EraseRootFromParent_Done,
     /* 1072026 */   // Label 15801: @1072026
     /* 1072026 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1072103), // Rule ID 23332 //
     /* 1072031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1072042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1072045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072070 */     // MIs[0] policy
     /* 1072070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072102 */     // GIR_Coverage, 23332,
     /* 1072102 */     GIR_EraseRootFromParent_Done,
     /* 1072103 */   // Label 15802: @1072103
     /* 1072103 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1072180), // Rule ID 23335 //
     /* 1072108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072147 */     // MIs[0] policy
     /* 1072147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072157 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072179 */     // GIR_Coverage, 23335,
     /* 1072179 */     GIR_EraseRootFromParent_Done,
     /* 1072180 */   // Label 15803: @1072180
     /* 1072180 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1072257), // Rule ID 23336 //
     /* 1072185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072224 */     // MIs[0] policy
     /* 1072224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072256 */     // GIR_Coverage, 23336,
     /* 1072256 */     GIR_EraseRootFromParent_Done,
     /* 1072257 */   // Label 15804: @1072257
     /* 1072257 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1072334), // Rule ID 23339 //
     /* 1072262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072301 */     // MIs[0] policy
     /* 1072301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072311 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072333 */     // GIR_Coverage, 23339,
     /* 1072333 */     GIR_EraseRootFromParent_Done,
     /* 1072334 */   // Label 15805: @1072334
     /* 1072334 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1072411), // Rule ID 23340 //
     /* 1072339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072378 */     // MIs[0] policy
     /* 1072378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072410 */     // GIR_Coverage, 23340,
     /* 1072410 */     GIR_EraseRootFromParent_Done,
     /* 1072411 */   // Label 15806: @1072411
     /* 1072411 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1072488), // Rule ID 23343 //
     /* 1072416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072455 */     // MIs[0] policy
     /* 1072455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072465 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072487 */     // GIR_Coverage, 23343,
     /* 1072487 */     GIR_EraseRootFromParent_Done,
     /* 1072488 */   // Label 15807: @1072488
     /* 1072488 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1072565), // Rule ID 23344 //
     /* 1072493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072532 */     // MIs[0] policy
     /* 1072532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072542 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072564 */     // GIR_Coverage, 23344,
     /* 1072564 */     GIR_EraseRootFromParent_Done,
     /* 1072565 */   // Label 15808: @1072565
     /* 1072565 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1072642), // Rule ID 23347 //
     /* 1072570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1072581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1072584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072609 */     // MIs[0] policy
     /* 1072609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072641 */     // GIR_Coverage, 23347,
     /* 1072641 */     GIR_EraseRootFromParent_Done,
     /* 1072642 */   // Label 15809: @1072642
     /* 1072642 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1072719), // Rule ID 23348 //
     /* 1072647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1072658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1072661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072686 */     // MIs[0] policy
     /* 1072686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072718 */     // GIR_Coverage, 23348,
     /* 1072718 */     GIR_EraseRootFromParent_Done,
     /* 1072719 */   // Label 15810: @1072719
     /* 1072719 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1072796), // Rule ID 23351 //
     /* 1072724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1072735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1072738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072763 */     // MIs[0] policy
     /* 1072763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072773 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072795 */     // GIR_Coverage, 23351,
     /* 1072795 */     GIR_EraseRootFromParent_Done,
     /* 1072796 */   // Label 15811: @1072796
     /* 1072796 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072873), // Rule ID 23352 //
     /* 1072801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1072812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1072815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072840 */     // MIs[0] policy
     /* 1072840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072850 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072872 */     // GIR_Coverage, 23352,
     /* 1072872 */     GIR_EraseRootFromParent_Done,
     /* 1072873 */   // Label 15812: @1072873
     /* 1072873 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1072950), // Rule ID 23355 //
     /* 1072878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1072889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1072892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072917 */     // MIs[0] policy
     /* 1072917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072949 */     // GIR_Coverage, 23355,
     /* 1072949 */     GIR_EraseRootFromParent_Done,
     /* 1072950 */   // Label 15813: @1072950
     /* 1072950 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1073027), // Rule ID 23356 //
     /* 1072955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1072966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1072969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072994 */     // MIs[0] policy
     /* 1072994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073004 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073026 */     // GIR_Coverage, 23356,
     /* 1073026 */     GIR_EraseRootFromParent_Done,
     /* 1073027 */   // Label 15814: @1073027
     /* 1073027 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1073104), // Rule ID 23359 //
     /* 1073032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073071 */     // MIs[0] policy
     /* 1073071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073103 */     // GIR_Coverage, 23359,
     /* 1073103 */     GIR_EraseRootFromParent_Done,
     /* 1073104 */   // Label 15815: @1073104
     /* 1073104 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1073181), // Rule ID 23360 //
     /* 1073109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073148 */     // MIs[0] policy
     /* 1073148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073180 */     // GIR_Coverage, 23360,
     /* 1073180 */     GIR_EraseRootFromParent_Done,
     /* 1073181 */   // Label 15816: @1073181
     /* 1073181 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1073258), // Rule ID 23363 //
     /* 1073186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073225 */     // MIs[0] policy
     /* 1073225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073235 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073257 */     // GIR_Coverage, 23363,
     /* 1073257 */     GIR_EraseRootFromParent_Done,
     /* 1073258 */   // Label 15817: @1073258
     /* 1073258 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1073335), // Rule ID 23364 //
     /* 1073263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073302 */     // MIs[0] policy
     /* 1073302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073334 */     // GIR_Coverage, 23364,
     /* 1073334 */     GIR_EraseRootFromParent_Done,
     /* 1073335 */   // Label 15818: @1073335
     /* 1073335 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1073412), // Rule ID 23367 //
     /* 1073340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073379 */     // MIs[0] policy
     /* 1073379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073411 */     // GIR_Coverage, 23367,
     /* 1073411 */     GIR_EraseRootFromParent_Done,
     /* 1073412 */   // Label 15819: @1073412
     /* 1073412 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1073489), // Rule ID 23368 //
     /* 1073417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073456 */     // MIs[0] policy
     /* 1073456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073488 */     // GIR_Coverage, 23368,
     /* 1073488 */     GIR_EraseRootFromParent_Done,
     /* 1073489 */   // Label 15820: @1073489
     /* 1073489 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1073566), // Rule ID 23371 //
     /* 1073494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073533 */     // MIs[0] policy
     /* 1073533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073565 */     // GIR_Coverage, 23371,
     /* 1073565 */     GIR_EraseRootFromParent_Done,
     /* 1073566 */   // Label 15821: @1073566
     /* 1073566 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1073643), // Rule ID 23372 //
     /* 1073571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073610 */     // MIs[0] policy
     /* 1073610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073642 */     // GIR_Coverage, 23372,
     /* 1073642 */     GIR_EraseRootFromParent_Done,
     /* 1073643 */   // Label 15822: @1073643
     /* 1073643 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1073720), // Rule ID 23375 //
     /* 1073648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1073659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1073662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073687 */     // MIs[0] policy
     /* 1073687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073719 */     // GIR_Coverage, 23375,
     /* 1073719 */     GIR_EraseRootFromParent_Done,
     /* 1073720 */   // Label 15823: @1073720
     /* 1073720 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1073797), // Rule ID 23376 //
     /* 1073725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1073736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1073739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073764 */     // MIs[0] policy
     /* 1073764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073796 */     // GIR_Coverage, 23376,
     /* 1073796 */     GIR_EraseRootFromParent_Done,
     /* 1073797 */   // Label 15824: @1073797
     /* 1073797 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073874), // Rule ID 23379 //
     /* 1073802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1073813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1073816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073841 */     // MIs[0] policy
     /* 1073841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073873 */     // GIR_Coverage, 23379,
     /* 1073873 */     GIR_EraseRootFromParent_Done,
     /* 1073874 */   // Label 15825: @1073874
     /* 1073874 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1073951), // Rule ID 23380 //
     /* 1073879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1073890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1073893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073918 */     // MIs[0] policy
     /* 1073918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073950 */     // GIR_Coverage, 23380,
     /* 1073950 */     GIR_EraseRootFromParent_Done,
     /* 1073951 */   // Label 15826: @1073951
     /* 1073951 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1074028), // Rule ID 23485 //
     /* 1073956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1073967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1073970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1073973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073995 */     // MIs[0] policy
     /* 1073995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074005 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1074008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074027 */     // GIR_Coverage, 23485,
     /* 1074027 */     GIR_EraseRootFromParent_Done,
     /* 1074028 */   // Label 15827: @1074028
     /* 1074028 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1074105), // Rule ID 23486 //
     /* 1074033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1074044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1074047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1074050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074072 */     // MIs[0] policy
     /* 1074072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1074085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074104 */     // GIR_Coverage, 23486,
     /* 1074104 */     GIR_EraseRootFromParent_Done,
     /* 1074105 */   // Label 15828: @1074105
     /* 1074105 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1074182), // Rule ID 23489 //
     /* 1074110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074149 */     // MIs[0] policy
     /* 1074149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074181 */     // GIR_Coverage, 23489,
     /* 1074181 */     GIR_EraseRootFromParent_Done,
     /* 1074182 */   // Label 15829: @1074182
     /* 1074182 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1074259), // Rule ID 23490 //
     /* 1074187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074226 */     // MIs[0] policy
     /* 1074226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074236 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074258 */     // GIR_Coverage, 23490,
     /* 1074258 */     GIR_EraseRootFromParent_Done,
     /* 1074259 */   // Label 15830: @1074259
     /* 1074259 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1074336), // Rule ID 23493 //
     /* 1074264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074303 */     // MIs[0] policy
     /* 1074303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074313 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074335 */     // GIR_Coverage, 23493,
     /* 1074335 */     GIR_EraseRootFromParent_Done,
     /* 1074336 */   // Label 15831: @1074336
     /* 1074336 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1074413), // Rule ID 23494 //
     /* 1074341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074380 */     // MIs[0] policy
     /* 1074380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074412 */     // GIR_Coverage, 23494,
     /* 1074412 */     GIR_EraseRootFromParent_Done,
     /* 1074413 */   // Label 15832: @1074413
     /* 1074413 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1074490), // Rule ID 23497 //
     /* 1074418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074457 */     // MIs[0] policy
     /* 1074457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074489 */     // GIR_Coverage, 23497,
     /* 1074489 */     GIR_EraseRootFromParent_Done,
     /* 1074490 */   // Label 15833: @1074490
     /* 1074490 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1074567), // Rule ID 23498 //
     /* 1074495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074534 */     // MIs[0] policy
     /* 1074534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074566 */     // GIR_Coverage, 23498,
     /* 1074566 */     GIR_EraseRootFromParent_Done,
     /* 1074567 */   // Label 15834: @1074567
     /* 1074567 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1074644), // Rule ID 23501 //
     /* 1074572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1074589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074611 */     // MIs[0] policy
     /* 1074611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074621 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074643 */     // GIR_Coverage, 23501,
     /* 1074643 */     GIR_EraseRootFromParent_Done,
     /* 1074644 */   // Label 15835: @1074644
     /* 1074644 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1074721), // Rule ID 23502 //
     /* 1074649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1074666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074688 */     // MIs[0] policy
     /* 1074688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074720 */     // GIR_Coverage, 23502,
     /* 1074720 */     GIR_EraseRootFromParent_Done,
     /* 1074721 */   // Label 15836: @1074721
     /* 1074721 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1074798), // Rule ID 23505 //
     /* 1074726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074765 */     // MIs[0] policy
     /* 1074765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074797 */     // GIR_Coverage, 23505,
     /* 1074797 */     GIR_EraseRootFromParent_Done,
     /* 1074798 */   // Label 15837: @1074798
     /* 1074798 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074875), // Rule ID 23506 //
     /* 1074803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074842 */     // MIs[0] policy
     /* 1074842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074874 */     // GIR_Coverage, 23506,
     /* 1074874 */     GIR_EraseRootFromParent_Done,
     /* 1074875 */   // Label 15838: @1074875
     /* 1074875 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1074952), // Rule ID 23509 //
     /* 1074880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1074891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1074894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1074897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074919 */     // MIs[0] policy
     /* 1074919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074929 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1074932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074951 */     // GIR_Coverage, 23509,
     /* 1074951 */     GIR_EraseRootFromParent_Done,
     /* 1074952 */   // Label 15839: @1074952
     /* 1074952 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1075029), // Rule ID 23510 //
     /* 1074957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1074968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1074971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1074974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074996 */     // MIs[0] policy
     /* 1074996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075006 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075028 */     // GIR_Coverage, 23510,
     /* 1075028 */     GIR_EraseRootFromParent_Done,
     /* 1075029 */   // Label 15840: @1075029
     /* 1075029 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1075106), // Rule ID 23513 //
     /* 1075034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075073 */     // MIs[0] policy
     /* 1075073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075105 */     // GIR_Coverage, 23513,
     /* 1075105 */     GIR_EraseRootFromParent_Done,
     /* 1075106 */   // Label 15841: @1075106
     /* 1075106 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1075183), // Rule ID 23514 //
     /* 1075111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075150 */     // MIs[0] policy
     /* 1075150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075182 */     // GIR_Coverage, 23514,
     /* 1075182 */     GIR_EraseRootFromParent_Done,
     /* 1075183 */   // Label 15842: @1075183
     /* 1075183 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1075260), // Rule ID 23517 //
     /* 1075188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075227 */     // MIs[0] policy
     /* 1075227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075259 */     // GIR_Coverage, 23517,
     /* 1075259 */     GIR_EraseRootFromParent_Done,
     /* 1075260 */   // Label 15843: @1075260
     /* 1075260 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1075337), // Rule ID 23518 //
     /* 1075265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075304 */     // MIs[0] policy
     /* 1075304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075336 */     // GIR_Coverage, 23518,
     /* 1075336 */     GIR_EraseRootFromParent_Done,
     /* 1075337 */   // Label 15844: @1075337
     /* 1075337 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1075414), // Rule ID 23521 //
     /* 1075342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075381 */     // MIs[0] policy
     /* 1075381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075413 */     // GIR_Coverage, 23521,
     /* 1075413 */     GIR_EraseRootFromParent_Done,
     /* 1075414 */   // Label 15845: @1075414
     /* 1075414 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1075491), // Rule ID 23522 //
     /* 1075419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075458 */     // MIs[0] policy
     /* 1075458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075490 */     // GIR_Coverage, 23522,
     /* 1075490 */     GIR_EraseRootFromParent_Done,
     /* 1075491 */   // Label 15846: @1075491
     /* 1075491 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1075568), // Rule ID 23525 //
     /* 1075496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075535 */     // MIs[0] policy
     /* 1075535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075567 */     // GIR_Coverage, 23525,
     /* 1075567 */     GIR_EraseRootFromParent_Done,
     /* 1075568 */   // Label 15847: @1075568
     /* 1075568 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1075645), // Rule ID 23526 //
     /* 1075573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075612 */     // MIs[0] policy
     /* 1075612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075622 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075644 */     // GIR_Coverage, 23526,
     /* 1075644 */     GIR_EraseRootFromParent_Done,
     /* 1075645 */   // Label 15848: @1075645
     /* 1075645 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1075722), // Rule ID 23529 //
     /* 1075650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1075661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1075664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1075667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075689 */     // MIs[0] policy
     /* 1075689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075721 */     // GIR_Coverage, 23529,
     /* 1075721 */     GIR_EraseRootFromParent_Done,
     /* 1075722 */   // Label 15849: @1075722
     /* 1075722 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1075799), // Rule ID 23530 //
     /* 1075727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1075738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1075741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1075744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075766 */     // MIs[0] policy
     /* 1075766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075798 */     // GIR_Coverage, 23530,
     /* 1075798 */     GIR_EraseRootFromParent_Done,
     /* 1075799 */   // Label 15850: @1075799
     /* 1075799 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075876), // Rule ID 23533 //
     /* 1075804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1075815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1075818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1075821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075843 */     // MIs[0] policy
     /* 1075843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075853 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075875 */     // GIR_Coverage, 23533,
     /* 1075875 */     GIR_EraseRootFromParent_Done,
     /* 1075876 */   // Label 15851: @1075876
     /* 1075876 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1075953), // Rule ID 23534 //
     /* 1075881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1075892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1075895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1075898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075920 */     // MIs[0] policy
     /* 1075920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075930 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075952 */     // GIR_Coverage, 23534,
     /* 1075952 */     GIR_EraseRootFromParent_Done,
     /* 1075953 */   // Label 15852: @1075953
     /* 1075953 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1076030), // Rule ID 23537 //
     /* 1075958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1075969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1075972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1075975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075997 */     // MIs[0] policy
     /* 1075997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076029 */     // GIR_Coverage, 23537,
     /* 1076029 */     GIR_EraseRootFromParent_Done,
     /* 1076030 */   // Label 15853: @1076030
     /* 1076030 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1076107), // Rule ID 23538 //
     /* 1076035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1076046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1076049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1076052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076074 */     // MIs[0] policy
     /* 1076074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076106 */     // GIR_Coverage, 23538,
     /* 1076106 */     GIR_EraseRootFromParent_Done,
     /* 1076107 */   // Label 15854: @1076107
     /* 1076107 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1076184), // Rule ID 23541 //
     /* 1076112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076151 */     // MIs[0] policy
     /* 1076151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076161 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076183 */     // GIR_Coverage, 23541,
     /* 1076183 */     GIR_EraseRootFromParent_Done,
     /* 1076184 */   // Label 15855: @1076184
     /* 1076184 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1076261), // Rule ID 23542 //
     /* 1076189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076228 */     // MIs[0] policy
     /* 1076228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076260 */     // GIR_Coverage, 23542,
     /* 1076260 */     GIR_EraseRootFromParent_Done,
     /* 1076261 */   // Label 15856: @1076261
     /* 1076261 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1076338), // Rule ID 23545 //
     /* 1076266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076305 */     // MIs[0] policy
     /* 1076305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076315 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076337 */     // GIR_Coverage, 23545,
     /* 1076337 */     GIR_EraseRootFromParent_Done,
     /* 1076338 */   // Label 15857: @1076338
     /* 1076338 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1076415), // Rule ID 23546 //
     /* 1076343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076382 */     // MIs[0] policy
     /* 1076382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076414 */     // GIR_Coverage, 23546,
     /* 1076414 */     GIR_EraseRootFromParent_Done,
     /* 1076415 */   // Label 15858: @1076415
     /* 1076415 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1076492), // Rule ID 23549 //
     /* 1076420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076459 */     // MIs[0] policy
     /* 1076459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076491 */     // GIR_Coverage, 23549,
     /* 1076491 */     GIR_EraseRootFromParent_Done,
     /* 1076492 */   // Label 15859: @1076492
     /* 1076492 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1076569), // Rule ID 23550 //
     /* 1076497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076536 */     // MIs[0] policy
     /* 1076536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076568 */     // GIR_Coverage, 23550,
     /* 1076568 */     GIR_EraseRootFromParent_Done,
     /* 1076569 */   // Label 15860: @1076569
     /* 1076569 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1076646), // Rule ID 23553 //
     /* 1076574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076613 */     // MIs[0] policy
     /* 1076613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076645 */     // GIR_Coverage, 23553,
     /* 1076645 */     GIR_EraseRootFromParent_Done,
     /* 1076646 */   // Label 15861: @1076646
     /* 1076646 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1076723), // Rule ID 23554 //
     /* 1076651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076690 */     // MIs[0] policy
     /* 1076690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076722 */     // GIR_Coverage, 23554,
     /* 1076722 */     GIR_EraseRootFromParent_Done,
     /* 1076723 */   // Label 15862: @1076723
     /* 1076723 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1076800), // Rule ID 23557 //
     /* 1076728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1076739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1076742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1076745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076767 */     // MIs[0] policy
     /* 1076767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076799 */     // GIR_Coverage, 23557,
     /* 1076799 */     GIR_EraseRootFromParent_Done,
     /* 1076800 */   // Label 15863: @1076800
     /* 1076800 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076877), // Rule ID 23558 //
     /* 1076805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1076816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1076819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1076822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076844 */     // MIs[0] policy
     /* 1076844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076876 */     // GIR_Coverage, 23558,
     /* 1076876 */     GIR_EraseRootFromParent_Done,
     /* 1076877 */   // Label 15864: @1076877
     /* 1076877 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1076954), // Rule ID 23561 //
     /* 1076882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1076885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1076893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1076896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1076899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076921 */     // MIs[0] policy
     /* 1076921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076953 */     // GIR_Coverage, 23561,
     /* 1076953 */     GIR_EraseRootFromParent_Done,
     /* 1076954 */   // Label 15865: @1076954
     /* 1076954 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1077031), // Rule ID 23562 //
     /* 1076959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1076962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1076970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1076973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1076976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076998 */     // MIs[0] policy
     /* 1076998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077030 */     // GIR_Coverage, 23562,
     /* 1077030 */     GIR_EraseRootFromParent_Done,
     /* 1077031 */   // Label 15866: @1077031
     /* 1077031 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1077108), // Rule ID 23565 //
     /* 1077036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1077047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1077050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077075 */     // MIs[0] policy
     /* 1077075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077085 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077107 */     // GIR_Coverage, 23565,
     /* 1077107 */     GIR_EraseRootFromParent_Done,
     /* 1077108 */   // Label 15867: @1077108
     /* 1077108 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1077185), // Rule ID 23566 //
     /* 1077113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1077124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1077127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077152 */     // MIs[0] policy
     /* 1077152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077162 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077184 */     // GIR_Coverage, 23566,
     /* 1077184 */     GIR_EraseRootFromParent_Done,
     /* 1077185 */   // Label 15868: @1077185
     /* 1077185 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1077262), // Rule ID 23569 //
     /* 1077190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077229 */     // MIs[0] policy
     /* 1077229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077261 */     // GIR_Coverage, 23569,
     /* 1077261 */     GIR_EraseRootFromParent_Done,
     /* 1077262 */   // Label 15869: @1077262
     /* 1077262 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1077339), // Rule ID 23570 //
     /* 1077267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077306 */     // MIs[0] policy
     /* 1077306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077316 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077338 */     // GIR_Coverage, 23570,
     /* 1077338 */     GIR_EraseRootFromParent_Done,
     /* 1077339 */   // Label 15870: @1077339
     /* 1077339 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1077416), // Rule ID 23661 //
     /* 1077344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077383 */     // MIs[0] policy
     /* 1077383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077393 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077415 */     // GIR_Coverage, 23661,
     /* 1077415 */     GIR_EraseRootFromParent_Done,
     /* 1077416 */   // Label 15871: @1077416
     /* 1077416 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1077493), // Rule ID 23662 //
     /* 1077421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077460 */     // MIs[0] policy
     /* 1077460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077470 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077492 */     // GIR_Coverage, 23662,
     /* 1077492 */     GIR_EraseRootFromParent_Done,
     /* 1077493 */   // Label 15872: @1077493
     /* 1077493 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1077570), // Rule ID 23665 //
     /* 1077498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077537 */     // MIs[0] policy
     /* 1077537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077569 */     // GIR_Coverage, 23665,
     /* 1077569 */     GIR_EraseRootFromParent_Done,
     /* 1077570 */   // Label 15873: @1077570
     /* 1077570 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1077647), // Rule ID 23666 //
     /* 1077575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077614 */     // MIs[0] policy
     /* 1077614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077624 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077646 */     // GIR_Coverage, 23666,
     /* 1077646 */     GIR_EraseRootFromParent_Done,
     /* 1077647 */   // Label 15874: @1077647
     /* 1077647 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1077724), // Rule ID 23669 //
     /* 1077652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1077663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1077666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1077669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077691 */     // MIs[0] policy
     /* 1077691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077723 */     // GIR_Coverage, 23669,
     /* 1077723 */     GIR_EraseRootFromParent_Done,
     /* 1077724 */   // Label 15875: @1077724
     /* 1077724 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1077801), // Rule ID 23670 //
     /* 1077729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1077740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1077743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1077746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077768 */     // MIs[0] policy
     /* 1077768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077800 */     // GIR_Coverage, 23670,
     /* 1077800 */     GIR_EraseRootFromParent_Done,
     /* 1077801 */   // Label 15876: @1077801
     /* 1077801 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077878), // Rule ID 23673 //
     /* 1077806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1077817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1077820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1077823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077845 */     // MIs[0] policy
     /* 1077845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077877 */     // GIR_Coverage, 23673,
     /* 1077877 */     GIR_EraseRootFromParent_Done,
     /* 1077878 */   // Label 15877: @1077878
     /* 1077878 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1077955), // Rule ID 23674 //
     /* 1077883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1077894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1077897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1077900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077922 */     // MIs[0] policy
     /* 1077922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077954 */     // GIR_Coverage, 23674,
     /* 1077954 */     GIR_EraseRootFromParent_Done,
     /* 1077955 */   // Label 15878: @1077955
     /* 1077955 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1078032), // Rule ID 23677 //
     /* 1077960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1077971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1077974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1077977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077999 */     // MIs[0] policy
     /* 1077999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078009 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078031 */     // GIR_Coverage, 23677,
     /* 1078031 */     GIR_EraseRootFromParent_Done,
     /* 1078032 */   // Label 15879: @1078032
     /* 1078032 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1078109), // Rule ID 23678 //
     /* 1078037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1078048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1078051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1078054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078076 */     // MIs[0] policy
     /* 1078076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078108 */     // GIR_Coverage, 23678,
     /* 1078108 */     GIR_EraseRootFromParent_Done,
     /* 1078109 */   // Label 15880: @1078109
     /* 1078109 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1078186), // Rule ID 23681 //
     /* 1078114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078153 */     // MIs[0] policy
     /* 1078153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078185 */     // GIR_Coverage, 23681,
     /* 1078185 */     GIR_EraseRootFromParent_Done,
     /* 1078186 */   // Label 15881: @1078186
     /* 1078186 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1078263), // Rule ID 23682 //
     /* 1078191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078230 */     // MIs[0] policy
     /* 1078230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078262 */     // GIR_Coverage, 23682,
     /* 1078262 */     GIR_EraseRootFromParent_Done,
     /* 1078263 */   // Label 15882: @1078263
     /* 1078263 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1078340), // Rule ID 23685 //
     /* 1078268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078307 */     // MIs[0] policy
     /* 1078307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078339 */     // GIR_Coverage, 23685,
     /* 1078339 */     GIR_EraseRootFromParent_Done,
     /* 1078340 */   // Label 15883: @1078340
     /* 1078340 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1078417), // Rule ID 23686 //
     /* 1078345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078384 */     // MIs[0] policy
     /* 1078384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078394 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078416 */     // GIR_Coverage, 23686,
     /* 1078416 */     GIR_EraseRootFromParent_Done,
     /* 1078417 */   // Label 15884: @1078417
     /* 1078417 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1078494), // Rule ID 23689 //
     /* 1078422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078461 */     // MIs[0] policy
     /* 1078461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078493 */     // GIR_Coverage, 23689,
     /* 1078493 */     GIR_EraseRootFromParent_Done,
     /* 1078494 */   // Label 15885: @1078494
     /* 1078494 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1078571), // Rule ID 23690 //
     /* 1078499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078538 */     // MIs[0] policy
     /* 1078538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078570 */     // GIR_Coverage, 23690,
     /* 1078570 */     GIR_EraseRootFromParent_Done,
     /* 1078571 */   // Label 15886: @1078571
     /* 1078571 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1078648), // Rule ID 23693 //
     /* 1078576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1078587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1078590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1078593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078615 */     // MIs[0] policy
     /* 1078615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078647 */     // GIR_Coverage, 23693,
     /* 1078647 */     GIR_EraseRootFromParent_Done,
     /* 1078648 */   // Label 15887: @1078648
     /* 1078648 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1078725), // Rule ID 23694 //
     /* 1078653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1078664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1078667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1078670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078692 */     // MIs[0] policy
     /* 1078692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078724 */     // GIR_Coverage, 23694,
     /* 1078724 */     GIR_EraseRootFromParent_Done,
     /* 1078725 */   // Label 15888: @1078725
     /* 1078725 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1078802), // Rule ID 23697 //
     /* 1078730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1078741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1078744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1078747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078769 */     // MIs[0] policy
     /* 1078769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078801 */     // GIR_Coverage, 23697,
     /* 1078801 */     GIR_EraseRootFromParent_Done,
     /* 1078802 */   // Label 15889: @1078802
     /* 1078802 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078879), // Rule ID 23698 //
     /* 1078807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1078818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1078821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1078824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078846 */     // MIs[0] policy
     /* 1078846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078878 */     // GIR_Coverage, 23698,
     /* 1078878 */     GIR_EraseRootFromParent_Done,
     /* 1078879 */   // Label 15890: @1078879
     /* 1078879 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1078956), // Rule ID 23701 //
     /* 1078884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1078895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1078898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1078901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078923 */     // MIs[0] policy
     /* 1078923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078955 */     // GIR_Coverage, 23701,
     /* 1078955 */     GIR_EraseRootFromParent_Done,
     /* 1078956 */   // Label 15891: @1078956
     /* 1078956 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1079033), // Rule ID 23702 //
     /* 1078961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1078972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1078975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1078978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079000 */     // MIs[0] policy
     /* 1079000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079010 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079032 */     // GIR_Coverage, 23702,
     /* 1079032 */     GIR_EraseRootFromParent_Done,
     /* 1079033 */   // Label 15892: @1079033
     /* 1079033 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1079110), // Rule ID 23705 //
     /* 1079038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079077 */     // MIs[0] policy
     /* 1079077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079087 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079109 */     // GIR_Coverage, 23705,
     /* 1079109 */     GIR_EraseRootFromParent_Done,
     /* 1079110 */   // Label 15893: @1079110
     /* 1079110 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1079187), // Rule ID 23706 //
     /* 1079115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079154 */     // MIs[0] policy
     /* 1079154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079186 */     // GIR_Coverage, 23706,
     /* 1079186 */     GIR_EraseRootFromParent_Done,
     /* 1079187 */   // Label 15894: @1079187
     /* 1079187 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1079264), // Rule ID 23709 //
     /* 1079192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079231 */     // MIs[0] policy
     /* 1079231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079241 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079263 */     // GIR_Coverage, 23709,
     /* 1079263 */     GIR_EraseRootFromParent_Done,
     /* 1079264 */   // Label 15895: @1079264
     /* 1079264 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1079341), // Rule ID 23710 //
     /* 1079269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079308 */     // MIs[0] policy
     /* 1079308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079318 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079340 */     // GIR_Coverage, 23710,
     /* 1079340 */     GIR_EraseRootFromParent_Done,
     /* 1079341 */   // Label 15896: @1079341
     /* 1079341 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1079418), // Rule ID 23713 //
     /* 1079346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079385 */     // MIs[0] policy
     /* 1079385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079395 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079417 */     // GIR_Coverage, 23713,
     /* 1079417 */     GIR_EraseRootFromParent_Done,
     /* 1079418 */   // Label 15897: @1079418
     /* 1079418 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1079495), // Rule ID 23714 //
     /* 1079423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079462 */     // MIs[0] policy
     /* 1079462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079494 */     // GIR_Coverage, 23714,
     /* 1079494 */     GIR_EraseRootFromParent_Done,
     /* 1079495 */   // Label 15898: @1079495
     /* 1079495 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1079572), // Rule ID 23717 //
     /* 1079500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079539 */     // MIs[0] policy
     /* 1079539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079571 */     // GIR_Coverage, 23717,
     /* 1079571 */     GIR_EraseRootFromParent_Done,
     /* 1079572 */   // Label 15899: @1079572
     /* 1079572 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1079649), // Rule ID 23718 //
     /* 1079577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079616 */     // MIs[0] policy
     /* 1079616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079648 */     // GIR_Coverage, 23718,
     /* 1079648 */     GIR_EraseRootFromParent_Done,
     /* 1079649 */   // Label 15900: @1079649
     /* 1079649 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1079726), // Rule ID 23721 //
     /* 1079654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1079665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1079668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1079671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079693 */     // MIs[0] policy
     /* 1079693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079703 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079725 */     // GIR_Coverage, 23721,
     /* 1079725 */     GIR_EraseRootFromParent_Done,
     /* 1079726 */   // Label 15901: @1079726
     /* 1079726 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1079803), // Rule ID 23722 //
     /* 1079731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1079742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1079745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1079748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079770 */     // MIs[0] policy
     /* 1079770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079802 */     // GIR_Coverage, 23722,
     /* 1079802 */     GIR_EraseRootFromParent_Done,
     /* 1079803 */   // Label 15902: @1079803
     /* 1079803 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079880), // Rule ID 23725 //
     /* 1079808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1079819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1079822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1079825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079847 */     // MIs[0] policy
     /* 1079847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079857 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079879 */     // GIR_Coverage, 23725,
     /* 1079879 */     GIR_EraseRootFromParent_Done,
     /* 1079880 */   // Label 15903: @1079880
     /* 1079880 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1079957), // Rule ID 23726 //
     /* 1079885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1079896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1079899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1079902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079924 */     // MIs[0] policy
     /* 1079924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079956 */     // GIR_Coverage, 23726,
     /* 1079956 */     GIR_EraseRootFromParent_Done,
     /* 1079957 */   // Label 15904: @1079957
     /* 1079957 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1080034), // Rule ID 23729 //
     /* 1079962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1079973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1079976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1079979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080001 */     // MIs[0] policy
     /* 1080001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080033 */     // GIR_Coverage, 23729,
     /* 1080033 */     GIR_EraseRootFromParent_Done,
     /* 1080034 */   // Label 15905: @1080034
     /* 1080034 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1080111), // Rule ID 23730 //
     /* 1080039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1080050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1080053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080078 */     // MIs[0] policy
     /* 1080078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080110 */     // GIR_Coverage, 23730,
     /* 1080110 */     GIR_EraseRootFromParent_Done,
     /* 1080111 */   // Label 15906: @1080111
     /* 1080111 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1080188), // Rule ID 23733 //
     /* 1080116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080155 */     // MIs[0] policy
     /* 1080155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080187 */     // GIR_Coverage, 23733,
     /* 1080187 */     GIR_EraseRootFromParent_Done,
     /* 1080188 */   // Label 15907: @1080188
     /* 1080188 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1080265), // Rule ID 23734 //
     /* 1080193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080232 */     // MIs[0] policy
     /* 1080232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080264 */     // GIR_Coverage, 23734,
     /* 1080264 */     GIR_EraseRootFromParent_Done,
     /* 1080265 */   // Label 15908: @1080265
     /* 1080265 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1080342), // Rule ID 23737 //
     /* 1080270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080309 */     // MIs[0] policy
     /* 1080309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080341 */     // GIR_Coverage, 23737,
     /* 1080341 */     GIR_EraseRootFromParent_Done,
     /* 1080342 */   // Label 15909: @1080342
     /* 1080342 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1080419), // Rule ID 23738 //
     /* 1080347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080386 */     // MIs[0] policy
     /* 1080386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080418 */     // GIR_Coverage, 23738,
     /* 1080418 */     GIR_EraseRootFromParent_Done,
     /* 1080419 */   // Label 15910: @1080419
     /* 1080419 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1080496), // Rule ID 23741 //
     /* 1080424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080463 */     // MIs[0] policy
     /* 1080463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080495 */     // GIR_Coverage, 23741,
     /* 1080495 */     GIR_EraseRootFromParent_Done,
     /* 1080496 */   // Label 15911: @1080496
     /* 1080496 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1080573), // Rule ID 23742 //
     /* 1080501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080540 */     // MIs[0] policy
     /* 1080540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080550 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080572 */     // GIR_Coverage, 23742,
     /* 1080572 */     GIR_EraseRootFromParent_Done,
     /* 1080573 */   // Label 15912: @1080573
     /* 1080573 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1080650), // Rule ID 23745 //
     /* 1080578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1080589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1080592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1080595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080617 */     // MIs[0] policy
     /* 1080617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080649 */     // GIR_Coverage, 23745,
     /* 1080649 */     GIR_EraseRootFromParent_Done,
     /* 1080650 */   // Label 15913: @1080650
     /* 1080650 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1080727), // Rule ID 23746 //
     /* 1080655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1080666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1080669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1080672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080694 */     // MIs[0] policy
     /* 1080694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080726 */     // GIR_Coverage, 23746,
     /* 1080726 */     GIR_EraseRootFromParent_Done,
     /* 1080727 */   // Label 15914: @1080727
     /* 1080727 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1080804), // Rule ID 24013 //
     /* 1080732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1080735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1080743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1080746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1080749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080771 */     // MIs[0] policy
     /* 1080771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080781 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1080784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080803 */     // GIR_Coverage, 24013,
     /* 1080803 */     GIR_EraseRootFromParent_Done,
     /* 1080804 */   // Label 15915: @1080804
     /* 1080804 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080881), // Rule ID 24014 //
     /* 1080809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1080820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1080823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1080826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080848 */     // MIs[0] policy
     /* 1080848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080858 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1080861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080880 */     // GIR_Coverage, 24014,
     /* 1080880 */     GIR_EraseRootFromParent_Done,
     /* 1080881 */   // Label 15916: @1080881
     /* 1080881 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1080958), // Rule ID 24017 //
     /* 1080886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1080889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080925 */     // MIs[0] policy
     /* 1080925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080935 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1080938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080957 */     // GIR_Coverage, 24017,
     /* 1080957 */     GIR_EraseRootFromParent_Done,
     /* 1080958 */   // Label 15917: @1080958
     /* 1080958 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1081035), // Rule ID 24018 //
     /* 1080963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081002 */     // MIs[0] policy
     /* 1081002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081034 */     // GIR_Coverage, 24018,
     /* 1081034 */     GIR_EraseRootFromParent_Done,
     /* 1081035 */   // Label 15918: @1081035
     /* 1081035 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1081112), // Rule ID 24021 //
     /* 1081040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1081051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081079 */     // MIs[0] policy
     /* 1081079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081089 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081111 */     // GIR_Coverage, 24021,
     /* 1081111 */     GIR_EraseRootFromParent_Done,
     /* 1081112 */   // Label 15919: @1081112
     /* 1081112 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1081189), // Rule ID 24022 //
     /* 1081117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1081128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081156 */     // MIs[0] policy
     /* 1081156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081166 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081188 */     // GIR_Coverage, 24022,
     /* 1081188 */     GIR_EraseRootFromParent_Done,
     /* 1081189 */   // Label 15920: @1081189
     /* 1081189 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1081266), // Rule ID 24025 //
     /* 1081194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081233 */     // MIs[0] policy
     /* 1081233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081243 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081265 */     // GIR_Coverage, 24025,
     /* 1081265 */     GIR_EraseRootFromParent_Done,
     /* 1081266 */   // Label 15921: @1081266
     /* 1081266 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1081343), // Rule ID 24026 //
     /* 1081271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081310 */     // MIs[0] policy
     /* 1081310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081320 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081342 */     // GIR_Coverage, 24026,
     /* 1081342 */     GIR_EraseRootFromParent_Done,
     /* 1081343 */   // Label 15922: @1081343
     /* 1081343 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1081420), // Rule ID 24029 //
     /* 1081348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081387 */     // MIs[0] policy
     /* 1081387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081397 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081419 */     // GIR_Coverage, 24029,
     /* 1081419 */     GIR_EraseRootFromParent_Done,
     /* 1081420 */   // Label 15923: @1081420
     /* 1081420 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1081497), // Rule ID 24030 //
     /* 1081425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081464 */     // MIs[0] policy
     /* 1081464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081474 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081496 */     // GIR_Coverage, 24030,
     /* 1081496 */     GIR_EraseRootFromParent_Done,
     /* 1081497 */   // Label 15924: @1081497
     /* 1081497 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1081574), // Rule ID 24033 //
     /* 1081502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1081505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081541 */     // MIs[0] policy
     /* 1081541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081551 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081573 */     // GIR_Coverage, 24033,
     /* 1081573 */     GIR_EraseRootFromParent_Done,
     /* 1081574 */   // Label 15925: @1081574
     /* 1081574 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1081651), // Rule ID 24034 //
     /* 1081579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1081582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081618 */     // MIs[0] policy
     /* 1081618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081650 */     // GIR_Coverage, 24034,
     /* 1081650 */     GIR_EraseRootFromParent_Done,
     /* 1081651 */   // Label 15926: @1081651
     /* 1081651 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1081728), // Rule ID 24037 //
     /* 1081656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081695 */     // MIs[0] policy
     /* 1081695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081705 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081727 */     // GIR_Coverage, 24037,
     /* 1081727 */     GIR_EraseRootFromParent_Done,
     /* 1081728 */   // Label 15927: @1081728
     /* 1081728 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1081805), // Rule ID 24038 //
     /* 1081733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081772 */     // MIs[0] policy
     /* 1081772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081782 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081804 */     // GIR_Coverage, 24038,
     /* 1081804 */     GIR_EraseRootFromParent_Done,
     /* 1081805 */   // Label 15928: @1081805
     /* 1081805 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081882), // Rule ID 24041 //
     /* 1081810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081849 */     // MIs[0] policy
     /* 1081849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081859 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081881 */     // GIR_Coverage, 24041,
     /* 1081881 */     GIR_EraseRootFromParent_Done,
     /* 1081882 */   // Label 15929: @1081882
     /* 1081882 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1081959), // Rule ID 24042 //
     /* 1081887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081926 */     // MIs[0] policy
     /* 1081926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081936 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081958 */     // GIR_Coverage, 24042,
     /* 1081958 */     GIR_EraseRootFromParent_Done,
     /* 1081959 */   // Label 15930: @1081959
     /* 1081959 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1082036), // Rule ID 24045 //
     /* 1081964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082003 */     // MIs[0] policy
     /* 1082003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082013 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082035 */     // GIR_Coverage, 24045,
     /* 1082035 */     GIR_EraseRootFromParent_Done,
     /* 1082036 */   // Label 15931: @1082036
     /* 1082036 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1082113), // Rule ID 24046 //
     /* 1082041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1082052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1082055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082080 */     // MIs[0] policy
     /* 1082080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082090 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082112 */     // GIR_Coverage, 24046,
     /* 1082112 */     GIR_EraseRootFromParent_Done,
     /* 1082113 */   // Label 15932: @1082113
     /* 1082113 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1082190), // Rule ID 24049 //
     /* 1082118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082157 */     // MIs[0] policy
     /* 1082157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082167 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082189 */     // GIR_Coverage, 24049,
     /* 1082189 */     GIR_EraseRootFromParent_Done,
     /* 1082190 */   // Label 15933: @1082190
     /* 1082190 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1082267), // Rule ID 24050 //
     /* 1082195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082234 */     // MIs[0] policy
     /* 1082234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082244 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082266 */     // GIR_Coverage, 24050,
     /* 1082266 */     GIR_EraseRootFromParent_Done,
     /* 1082267 */   // Label 15934: @1082267
     /* 1082267 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1082344), // Rule ID 24053 //
     /* 1082272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082311 */     // MIs[0] policy
     /* 1082311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082321 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082343 */     // GIR_Coverage, 24053,
     /* 1082343 */     GIR_EraseRootFromParent_Done,
     /* 1082344 */   // Label 15935: @1082344
     /* 1082344 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1082421), // Rule ID 24054 //
     /* 1082349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082388 */     // MIs[0] policy
     /* 1082388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082398 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082420 */     // GIR_Coverage, 24054,
     /* 1082420 */     GIR_EraseRootFromParent_Done,
     /* 1082421 */   // Label 15936: @1082421
     /* 1082421 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1082498), // Rule ID 24057 //
     /* 1082426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082465 */     // MIs[0] policy
     /* 1082465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082475 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082497 */     // GIR_Coverage, 24057,
     /* 1082497 */     GIR_EraseRootFromParent_Done,
     /* 1082498 */   // Label 15937: @1082498
     /* 1082498 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1082575), // Rule ID 24058 //
     /* 1082503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082542 */     // MIs[0] policy
     /* 1082542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082574 */     // GIR_Coverage, 24058,
     /* 1082574 */     GIR_EraseRootFromParent_Done,
     /* 1082575 */   // Label 15938: @1082575
     /* 1082575 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1082652), // Rule ID 24061 //
     /* 1082580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082619 */     // MIs[0] policy
     /* 1082619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082629 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082651 */     // GIR_Coverage, 24061,
     /* 1082651 */     GIR_EraseRootFromParent_Done,
     /* 1082652 */   // Label 15939: @1082652
     /* 1082652 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1082729), // Rule ID 24062 //
     /* 1082657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1082660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082696 */     // MIs[0] policy
     /* 1082696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082706 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082728 */     // GIR_Coverage, 24062,
     /* 1082728 */     GIR_EraseRootFromParent_Done,
     /* 1082729 */   // Label 15940: @1082729
     /* 1082729 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1082806), // Rule ID 24065 //
     /* 1082734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082773 */     // MIs[0] policy
     /* 1082773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082783 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082805 */     // GIR_Coverage, 24065,
     /* 1082805 */     GIR_EraseRootFromParent_Done,
     /* 1082806 */   // Label 15941: @1082806
     /* 1082806 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082883), // Rule ID 24066 //
     /* 1082811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1082814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082850 */     // MIs[0] policy
     /* 1082850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082860 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082882 */     // GIR_Coverage, 24066,
     /* 1082882 */     GIR_EraseRootFromParent_Done,
     /* 1082883 */   // Label 15942: @1082883
     /* 1082883 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1082960), // Rule ID 24069 //
     /* 1082888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082927 */     // MIs[0] policy
     /* 1082927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082937 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082959 */     // GIR_Coverage, 24069,
     /* 1082959 */     GIR_EraseRootFromParent_Done,
     /* 1082960 */   // Label 15943: @1082960
     /* 1082960 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1083037), // Rule ID 24070 //
     /* 1082965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1082968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083004 */     // MIs[0] policy
     /* 1083004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083036 */     // GIR_Coverage, 24070,
     /* 1083036 */     GIR_EraseRootFromParent_Done,
     /* 1083037 */   // Label 15944: @1083037
     /* 1083037 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1083114), // Rule ID 24133 //
     /* 1083042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083081 */     // MIs[0] policy
     /* 1083081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083091 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083113 */     // GIR_Coverage, 24133,
     /* 1083113 */     GIR_EraseRootFromParent_Done,
     /* 1083114 */   // Label 15945: @1083114
     /* 1083114 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1083191), // Rule ID 24134 //
     /* 1083119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083158 */     // MIs[0] policy
     /* 1083158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083168 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083190 */     // GIR_Coverage, 24134,
     /* 1083190 */     GIR_EraseRootFromParent_Done,
     /* 1083191 */   // Label 15946: @1083191
     /* 1083191 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1083268), // Rule ID 24137 //
     /* 1083196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083235 */     // MIs[0] policy
     /* 1083235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083245 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083267 */     // GIR_Coverage, 24137,
     /* 1083267 */     GIR_EraseRootFromParent_Done,
     /* 1083268 */   // Label 15947: @1083268
     /* 1083268 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1083345), // Rule ID 24138 //
     /* 1083273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083312 */     // MIs[0] policy
     /* 1083312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083322 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083344 */     // GIR_Coverage, 24138,
     /* 1083344 */     GIR_EraseRootFromParent_Done,
     /* 1083345 */   // Label 15948: @1083345
     /* 1083345 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1083422), // Rule ID 24141 //
     /* 1083350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083389 */     // MIs[0] policy
     /* 1083389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083399 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083421 */     // GIR_Coverage, 24141,
     /* 1083421 */     GIR_EraseRootFromParent_Done,
     /* 1083422 */   // Label 15949: @1083422
     /* 1083422 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1083499), // Rule ID 24142 //
     /* 1083427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083466 */     // MIs[0] policy
     /* 1083466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083476 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083498 */     // GIR_Coverage, 24142,
     /* 1083498 */     GIR_EraseRootFromParent_Done,
     /* 1083499 */   // Label 15950: @1083499
     /* 1083499 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1083576), // Rule ID 24145 //
     /* 1083504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083543 */     // MIs[0] policy
     /* 1083543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083575 */     // GIR_Coverage, 24145,
     /* 1083575 */     GIR_EraseRootFromParent_Done,
     /* 1083576 */   // Label 15951: @1083576
     /* 1083576 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1083653), // Rule ID 24146 //
     /* 1083581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083620 */     // MIs[0] policy
     /* 1083620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083630 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083652 */     // GIR_Coverage, 24146,
     /* 1083652 */     GIR_EraseRootFromParent_Done,
     /* 1083653 */   // Label 15952: @1083653
     /* 1083653 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1083730), // Rule ID 24149 //
     /* 1083658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083697 */     // MIs[0] policy
     /* 1083697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083729 */     // GIR_Coverage, 24149,
     /* 1083729 */     GIR_EraseRootFromParent_Done,
     /* 1083730 */   // Label 15953: @1083730
     /* 1083730 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1083807), // Rule ID 24150 //
     /* 1083735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083774 */     // MIs[0] policy
     /* 1083774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083806 */     // GIR_Coverage, 24150,
     /* 1083806 */     GIR_EraseRootFromParent_Done,
     /* 1083807 */   // Label 15954: @1083807
     /* 1083807 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083884), // Rule ID 24153 //
     /* 1083812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083851 */     // MIs[0] policy
     /* 1083851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083861 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083883 */     // GIR_Coverage, 24153,
     /* 1083883 */     GIR_EraseRootFromParent_Done,
     /* 1083884 */   // Label 15955: @1083884
     /* 1083884 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1083961), // Rule ID 24154 //
     /* 1083889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083928 */     // MIs[0] policy
     /* 1083928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083938 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083960 */     // GIR_Coverage, 24154,
     /* 1083960 */     GIR_EraseRootFromParent_Done,
     /* 1083961 */   // Label 15956: @1083961
     /* 1083961 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1084038), // Rule ID 24157 //
     /* 1083966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1083977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1083980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1083983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084005 */     // MIs[0] policy
     /* 1084005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084015 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084037 */     // GIR_Coverage, 24157,
     /* 1084037 */     GIR_EraseRootFromParent_Done,
     /* 1084038 */   // Label 15957: @1084038
     /* 1084038 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1084115), // Rule ID 24158 //
     /* 1084043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084082 */     // MIs[0] policy
     /* 1084082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084114 */     // GIR_Coverage, 24158,
     /* 1084114 */     GIR_EraseRootFromParent_Done,
     /* 1084115 */   // Label 15958: @1084115
     /* 1084115 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1084192), // Rule ID 24161 //
     /* 1084120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084159 */     // MIs[0] policy
     /* 1084159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084169 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084191 */     // GIR_Coverage, 24161,
     /* 1084191 */     GIR_EraseRootFromParent_Done,
     /* 1084192 */   // Label 15959: @1084192
     /* 1084192 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1084269), // Rule ID 24162 //
     /* 1084197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084236 */     // MIs[0] policy
     /* 1084236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084246 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084268 */     // GIR_Coverage, 24162,
     /* 1084268 */     GIR_EraseRootFromParent_Done,
     /* 1084269 */   // Label 15960: @1084269
     /* 1084269 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1084346), // Rule ID 24165 //
     /* 1084274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084313 */     // MIs[0] policy
     /* 1084313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084323 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084345 */     // GIR_Coverage, 24165,
     /* 1084345 */     GIR_EraseRootFromParent_Done,
     /* 1084346 */   // Label 15961: @1084346
     /* 1084346 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1084423), // Rule ID 24166 //
     /* 1084351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084390 */     // MIs[0] policy
     /* 1084390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084400 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084422 */     // GIR_Coverage, 24166,
     /* 1084422 */     GIR_EraseRootFromParent_Done,
     /* 1084423 */   // Label 15962: @1084423
     /* 1084423 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1084500), // Rule ID 24169 //
     /* 1084428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084467 */     // MIs[0] policy
     /* 1084467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084477 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084499 */     // GIR_Coverage, 24169,
     /* 1084499 */     GIR_EraseRootFromParent_Done,
     /* 1084500 */   // Label 15963: @1084500
     /* 1084500 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1084577), // Rule ID 24170 //
     /* 1084505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084544 */     // MIs[0] policy
     /* 1084544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084554 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084576 */     // GIR_Coverage, 24170,
     /* 1084576 */     GIR_EraseRootFromParent_Done,
     /* 1084577 */   // Label 15964: @1084577
     /* 1084577 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1084654), // Rule ID 24173 //
     /* 1084582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084621 */     // MIs[0] policy
     /* 1084621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084631 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084653 */     // GIR_Coverage, 24173,
     /* 1084653 */     GIR_EraseRootFromParent_Done,
     /* 1084654 */   // Label 15965: @1084654
     /* 1084654 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1084731), // Rule ID 24174 //
     /* 1084659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084698 */     // MIs[0] policy
     /* 1084698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084730 */     // GIR_Coverage, 24174,
     /* 1084730 */     GIR_EraseRootFromParent_Done,
     /* 1084731 */   // Label 15966: @1084731
     /* 1084731 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1084808), // Rule ID 24177 //
     /* 1084736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084775 */     // MIs[0] policy
     /* 1084775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084785 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084807 */     // GIR_Coverage, 24177,
     /* 1084807 */     GIR_EraseRootFromParent_Done,
     /* 1084808 */   // Label 15967: @1084808
     /* 1084808 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084885), // Rule ID 24178 //
     /* 1084813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084852 */     // MIs[0] policy
     /* 1084852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084862 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084884 */     // GIR_Coverage, 24178,
     /* 1084884 */     GIR_EraseRootFromParent_Done,
     /* 1084885 */   // Label 15968: @1084885
     /* 1084885 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1084962), // Rule ID 24181 //
     /* 1084890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1084893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1084901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1084904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1084907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084929 */     // MIs[0] policy
     /* 1084929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084939 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084961 */     // GIR_Coverage, 24181,
     /* 1084961 */     GIR_EraseRootFromParent_Done,
     /* 1084962 */   // Label 15969: @1084962
     /* 1084962 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1085039), // Rule ID 24182 //
     /* 1084967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1084970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1084978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1084981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1084984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085006 */     // MIs[0] policy
     /* 1085006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085038 */     // GIR_Coverage, 24182,
     /* 1085038 */     GIR_EraseRootFromParent_Done,
     /* 1085039 */   // Label 15970: @1085039
     /* 1085039 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1085116), // Rule ID 24185 //
     /* 1085044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085083 */     // MIs[0] policy
     /* 1085083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085093 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085115 */     // GIR_Coverage, 24185,
     /* 1085115 */     GIR_EraseRootFromParent_Done,
     /* 1085116 */   // Label 15971: @1085116
     /* 1085116 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1085193), // Rule ID 24186 //
     /* 1085121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085160 */     // MIs[0] policy
     /* 1085160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085170 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085192 */     // GIR_Coverage, 24186,
     /* 1085192 */     GIR_EraseRootFromParent_Done,
     /* 1085193 */   // Label 15972: @1085193
     /* 1085193 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1085270), // Rule ID 24189 //
     /* 1085198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085237 */     // MIs[0] policy
     /* 1085237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085247 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085269 */     // GIR_Coverage, 24189,
     /* 1085269 */     GIR_EraseRootFromParent_Done,
     /* 1085270 */   // Label 15973: @1085270
     /* 1085270 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1085347), // Rule ID 24190 //
     /* 1085275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085314 */     // MIs[0] policy
     /* 1085314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085324 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085346 */     // GIR_Coverage, 24190,
     /* 1085346 */     GIR_EraseRootFromParent_Done,
     /* 1085347 */   // Label 15974: @1085347
     /* 1085347 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1085424), // Rule ID 60473 //
     /* 1085352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1085355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085391 */     // MIs[0] policy
     /* 1085391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085423 */     // GIR_Coverage, 60473,
     /* 1085423 */     GIR_EraseRootFromParent_Done,
     /* 1085424 */   // Label 15975: @1085424
     /* 1085424 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1085501), // Rule ID 60474 //
     /* 1085429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1085432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085468 */     // MIs[0] policy
     /* 1085468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085500 */     // GIR_Coverage, 60474,
     /* 1085500 */     GIR_EraseRootFromParent_Done,
     /* 1085501 */   // Label 15976: @1085501
     /* 1085501 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1085578), // Rule ID 60487 //
     /* 1085506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085545 */     // MIs[0] policy
     /* 1085545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1085558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085577 */     // GIR_Coverage, 60487,
     /* 1085577 */     GIR_EraseRootFromParent_Done,
     /* 1085578 */   // Label 15977: @1085578
     /* 1085578 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1085655), // Rule ID 60488 //
     /* 1085583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085622 */     // MIs[0] policy
     /* 1085622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1085635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085654 */     // GIR_Coverage, 60488,
     /* 1085654 */     GIR_EraseRootFromParent_Done,
     /* 1085655 */   // Label 15978: @1085655
     /* 1085655 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1085732), // Rule ID 60491 //
     /* 1085660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1085671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1085674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1085677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085699 */     // MIs[0] policy
     /* 1085699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1085712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085731 */     // GIR_Coverage, 60491,
     /* 1085731 */     GIR_EraseRootFromParent_Done,
     /* 1085732 */   // Label 15979: @1085732
     /* 1085732 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1085809), // Rule ID 60492 //
     /* 1085737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1085748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1085751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1085754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085776 */     // MIs[0] policy
     /* 1085776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1085789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085808 */     // GIR_Coverage, 60492,
     /* 1085808 */     GIR_EraseRootFromParent_Done,
     /* 1085809 */   // Label 15980: @1085809
     /* 1085809 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085886), // Rule ID 60495 //
     /* 1085814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1085825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1085828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1085831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085853 */     // MIs[0] policy
     /* 1085853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1085866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085885 */     // GIR_Coverage, 60495,
     /* 1085885 */     GIR_EraseRootFromParent_Done,
     /* 1085886 */   // Label 15981: @1085886
     /* 1085886 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1085963), // Rule ID 60496 //
     /* 1085891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1085902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1085905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1085908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085930 */     // MIs[0] policy
     /* 1085930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1085943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085962 */     // GIR_Coverage, 60496,
     /* 1085962 */     GIR_EraseRootFromParent_Done,
     /* 1085963 */   // Label 15982: @1085963
     /* 1085963 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1086040), // Rule ID 60499 //
     /* 1085968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1085979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1085982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1085985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086007 */     // MIs[0] policy
     /* 1086007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086039 */     // GIR_Coverage, 60499,
     /* 1086039 */     GIR_EraseRootFromParent_Done,
     /* 1086040 */   // Label 15983: @1086040
     /* 1086040 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1086117), // Rule ID 60500 //
     /* 1086045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086084 */     // MIs[0] policy
     /* 1086084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086116 */     // GIR_Coverage, 60500,
     /* 1086116 */     GIR_EraseRootFromParent_Done,
     /* 1086117 */   // Label 15984: @1086117
     /* 1086117 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1086194), // Rule ID 60503 //
     /* 1086122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086161 */     // MIs[0] policy
     /* 1086161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086193 */     // GIR_Coverage, 60503,
     /* 1086193 */     GIR_EraseRootFromParent_Done,
     /* 1086194 */   // Label 15985: @1086194
     /* 1086194 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1086271), // Rule ID 60504 //
     /* 1086199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086238 */     // MIs[0] policy
     /* 1086238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086248 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086270 */     // GIR_Coverage, 60504,
     /* 1086270 */     GIR_EraseRootFromParent_Done,
     /* 1086271 */   // Label 15986: @1086271
     /* 1086271 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1086348), // Rule ID 60507 //
     /* 1086276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086315 */     // MIs[0] policy
     /* 1086315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086347 */     // GIR_Coverage, 60507,
     /* 1086347 */     GIR_EraseRootFromParent_Done,
     /* 1086348 */   // Label 15987: @1086348
     /* 1086348 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1086425), // Rule ID 60508 //
     /* 1086353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086392 */     // MIs[0] policy
     /* 1086392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086424 */     // GIR_Coverage, 60508,
     /* 1086424 */     GIR_EraseRootFromParent_Done,
     /* 1086425 */   // Label 15988: @1086425
     /* 1086425 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1086502), // Rule ID 60511 //
     /* 1086430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086469 */     // MIs[0] policy
     /* 1086469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086501 */     // GIR_Coverage, 60511,
     /* 1086501 */     GIR_EraseRootFromParent_Done,
     /* 1086502 */   // Label 15989: @1086502
     /* 1086502 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1086579), // Rule ID 60512 //
     /* 1086507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086546 */     // MIs[0] policy
     /* 1086546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086578 */     // GIR_Coverage, 60512,
     /* 1086578 */     GIR_EraseRootFromParent_Done,
     /* 1086579 */   // Label 15990: @1086579
     /* 1086579 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1086656), // Rule ID 60515 //
     /* 1086584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086623 */     // MIs[0] policy
     /* 1086623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086655 */     // GIR_Coverage, 60515,
     /* 1086655 */     GIR_EraseRootFromParent_Done,
     /* 1086656 */   // Label 15991: @1086656
     /* 1086656 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1086733), // Rule ID 60516 //
     /* 1086661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086700 */     // MIs[0] policy
     /* 1086700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086732 */     // GIR_Coverage, 60516,
     /* 1086732 */     GIR_EraseRootFromParent_Done,
     /* 1086733 */   // Label 15992: @1086733
     /* 1086733 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1086810), // Rule ID 60519 //
     /* 1086738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086777 */     // MIs[0] policy
     /* 1086777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086787 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086809 */     // GIR_Coverage, 60519,
     /* 1086809 */     GIR_EraseRootFromParent_Done,
     /* 1086810 */   // Label 15993: @1086810
     /* 1086810 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086887), // Rule ID 60520 //
     /* 1086815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086854 */     // MIs[0] policy
     /* 1086854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086886 */     // GIR_Coverage, 60520,
     /* 1086886 */     GIR_EraseRootFromParent_Done,
     /* 1086887 */   // Label 15994: @1086887
     /* 1086887 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1086964), // Rule ID 60523 //
     /* 1086892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086931 */     // MIs[0] policy
     /* 1086931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086963 */     // GIR_Coverage, 60523,
     /* 1086963 */     GIR_EraseRootFromParent_Done,
     /* 1086964 */   // Label 15995: @1086964
     /* 1086964 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1087041), // Rule ID 60524 //
     /* 1086969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087008 */     // MIs[0] policy
     /* 1087008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087040 */     // GIR_Coverage, 60524,
     /* 1087040 */     GIR_EraseRootFromParent_Done,
     /* 1087041 */   // Label 15996: @1087041
     /* 1087041 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1087118), // Rule ID 60527 //
     /* 1087046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087085 */     // MIs[0] policy
     /* 1087085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087095 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087117 */     // GIR_Coverage, 60527,
     /* 1087117 */     GIR_EraseRootFromParent_Done,
     /* 1087118 */   // Label 15997: @1087118
     /* 1087118 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1087195), // Rule ID 60528 //
     /* 1087123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087162 */     // MIs[0] policy
     /* 1087162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087194 */     // GIR_Coverage, 60528,
     /* 1087194 */     GIR_EraseRootFromParent_Done,
     /* 1087195 */   // Label 15998: @1087195
     /* 1087195 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1087272), // Rule ID 60531 //
     /* 1087200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087239 */     // MIs[0] policy
     /* 1087239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087249 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087271 */     // GIR_Coverage, 60531,
     /* 1087271 */     GIR_EraseRootFromParent_Done,
     /* 1087272 */   // Label 15999: @1087272
     /* 1087272 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1087349), // Rule ID 60532 //
     /* 1087277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087316 */     // MIs[0] policy
     /* 1087316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087326 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087348 */     // GIR_Coverage, 60532,
     /* 1087348 */     GIR_EraseRootFromParent_Done,
     /* 1087349 */   // Label 16000: @1087349
     /* 1087349 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1087426), // Rule ID 60535 //
     /* 1087354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087393 */     // MIs[0] policy
     /* 1087393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087425 */     // GIR_Coverage, 60535,
     /* 1087425 */     GIR_EraseRootFromParent_Done,
     /* 1087426 */   // Label 16001: @1087426
     /* 1087426 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1087503), // Rule ID 60536 //
     /* 1087431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087470 */     // MIs[0] policy
     /* 1087470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087502 */     // GIR_Coverage, 60536,
     /* 1087502 */     GIR_EraseRootFromParent_Done,
     /* 1087503 */   // Label 16002: @1087503
     /* 1087503 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1087580), // Rule ID 60539 //
     /* 1087508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087547 */     // MIs[0] policy
     /* 1087547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087579 */     // GIR_Coverage, 60539,
     /* 1087579 */     GIR_EraseRootFromParent_Done,
     /* 1087580 */   // Label 16003: @1087580
     /* 1087580 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1087657), // Rule ID 60540 //
     /* 1087585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087624 */     // MIs[0] policy
     /* 1087624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087656 */     // GIR_Coverage, 60540,
     /* 1087656 */     GIR_EraseRootFromParent_Done,
     /* 1087657 */   // Label 16004: @1087657
     /* 1087657 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1087734), // Rule ID 60543 //
     /* 1087662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1087673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1087676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1087679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087701 */     // MIs[0] policy
     /* 1087701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087733 */     // GIR_Coverage, 60543,
     /* 1087733 */     GIR_EraseRootFromParent_Done,
     /* 1087734 */   // Label 16005: @1087734
     /* 1087734 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1087811), // Rule ID 60544 //
     /* 1087739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1087750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1087753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1087756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087778 */     // MIs[0] policy
     /* 1087778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087810 */     // GIR_Coverage, 60544,
     /* 1087810 */     GIR_EraseRootFromParent_Done,
     /* 1087811 */   // Label 16006: @1087811
     /* 1087811 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087888), // Rule ID 60547 //
     /* 1087816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1087827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1087830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087855 */     // MIs[0] policy
     /* 1087855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087865 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087887 */     // GIR_Coverage, 60547,
     /* 1087887 */     GIR_EraseRootFromParent_Done,
     /* 1087888 */   // Label 16007: @1087888
     /* 1087888 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1087965), // Rule ID 60548 //
     /* 1087893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1087904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1087907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087932 */     // MIs[0] policy
     /* 1087932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087964 */     // GIR_Coverage, 60548,
     /* 1087964 */     GIR_EraseRootFromParent_Done,
     /* 1087965 */   // Label 16008: @1087965
     /* 1087965 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1088042), // Rule ID 60551 //
     /* 1087970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1087981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1087984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1087987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088009 */     // MIs[0] policy
     /* 1088009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088041 */     // GIR_Coverage, 60551,
     /* 1088041 */     GIR_EraseRootFromParent_Done,
     /* 1088042 */   // Label 16009: @1088042
     /* 1088042 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1088119), // Rule ID 60552 //
     /* 1088047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088086 */     // MIs[0] policy
     /* 1088086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088118 */     // GIR_Coverage, 60552,
     /* 1088118 */     GIR_EraseRootFromParent_Done,
     /* 1088119 */   // Label 16010: @1088119
     /* 1088119 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1088196), // Rule ID 60555 //
     /* 1088124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088163 */     // MIs[0] policy
     /* 1088163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088173 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088195 */     // GIR_Coverage, 60555,
     /* 1088195 */     GIR_EraseRootFromParent_Done,
     /* 1088196 */   // Label 16011: @1088196
     /* 1088196 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1088273), // Rule ID 60556 //
     /* 1088201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088240 */     // MIs[0] policy
     /* 1088240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088272 */     // GIR_Coverage, 60556,
     /* 1088272 */     GIR_EraseRootFromParent_Done,
     /* 1088273 */   // Label 16012: @1088273
     /* 1088273 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1088350), // Rule ID 60559 //
     /* 1088278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088317 */     // MIs[0] policy
     /* 1088317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088349 */     // GIR_Coverage, 60559,
     /* 1088349 */     GIR_EraseRootFromParent_Done,
     /* 1088350 */   // Label 16013: @1088350
     /* 1088350 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1088427), // Rule ID 60560 //
     /* 1088355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088394 */     // MIs[0] policy
     /* 1088394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088426 */     // GIR_Coverage, 60560,
     /* 1088426 */     GIR_EraseRootFromParent_Done,
     /* 1088427 */   // Label 16014: @1088427
     /* 1088427 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1088504), // Rule ID 60563 //
     /* 1088432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088471 */     // MIs[0] policy
     /* 1088471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088481 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088503 */     // GIR_Coverage, 60563,
     /* 1088503 */     GIR_EraseRootFromParent_Done,
     /* 1088504 */   // Label 16015: @1088504
     /* 1088504 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1088581), // Rule ID 60564 //
     /* 1088509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088548 */     // MIs[0] policy
     /* 1088548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088580 */     // GIR_Coverage, 60564,
     /* 1088580 */     GIR_EraseRootFromParent_Done,
     /* 1088581 */   // Label 16016: @1088581
     /* 1088581 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1088658), // Rule ID 60567 //
     /* 1088586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1088597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1088600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088625 */     // MIs[0] policy
     /* 1088625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088657 */     // GIR_Coverage, 60567,
     /* 1088657 */     GIR_EraseRootFromParent_Done,
     /* 1088658 */   // Label 16017: @1088658
     /* 1088658 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1088735), // Rule ID 60568 //
     /* 1088663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1088674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1088677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088702 */     // MIs[0] policy
     /* 1088702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088734 */     // GIR_Coverage, 60568,
     /* 1088734 */     GIR_EraseRootFromParent_Done,
     /* 1088735 */   // Label 16018: @1088735
     /* 1088735 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1088812), // Rule ID 60571 //
     /* 1088740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1088751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1088754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088779 */     // MIs[0] policy
     /* 1088779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088789 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088811 */     // GIR_Coverage, 60571,
     /* 1088811 */     GIR_EraseRootFromParent_Done,
     /* 1088812 */   // Label 16019: @1088812
     /* 1088812 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088889), // Rule ID 60572 //
     /* 1088817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1088828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1088831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088856 */     // MIs[0] policy
     /* 1088856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088888 */     // GIR_Coverage, 60572,
     /* 1088888 */     GIR_EraseRootFromParent_Done,
     /* 1088889 */   // Label 16020: @1088889
     /* 1088889 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1088966), // Rule ID 60575 //
     /* 1088894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1088905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1088908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1088911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088933 */     // MIs[0] policy
     /* 1088933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088943 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1088946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088965 */     // GIR_Coverage, 60575,
     /* 1088965 */     GIR_EraseRootFromParent_Done,
     /* 1088966 */   // Label 16021: @1088966
     /* 1088966 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1089043), // Rule ID 60576 //
     /* 1088971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1088982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1088985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1088988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089010 */     // MIs[0] policy
     /* 1089010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089020 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1089023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089042 */     // GIR_Coverage, 60576,
     /* 1089042 */     GIR_EraseRootFromParent_Done,
     /* 1089043 */   // Label 16022: @1089043
     /* 1089043 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1089120), // Rule ID 60579 //
     /* 1089048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089087 */     // MIs[0] policy
     /* 1089087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089119 */     // GIR_Coverage, 60579,
     /* 1089119 */     GIR_EraseRootFromParent_Done,
     /* 1089120 */   // Label 16023: @1089120
     /* 1089120 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1089197), // Rule ID 60580 //
     /* 1089125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089164 */     // MIs[0] policy
     /* 1089164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089174 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089196 */     // GIR_Coverage, 60580,
     /* 1089196 */     GIR_EraseRootFromParent_Done,
     /* 1089197 */   // Label 16024: @1089197
     /* 1089197 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1089274), // Rule ID 60583 //
     /* 1089202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089241 */     // MIs[0] policy
     /* 1089241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089273 */     // GIR_Coverage, 60583,
     /* 1089273 */     GIR_EraseRootFromParent_Done,
     /* 1089274 */   // Label 16025: @1089274
     /* 1089274 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1089351), // Rule ID 60584 //
     /* 1089279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089318 */     // MIs[0] policy
     /* 1089318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089350 */     // GIR_Coverage, 60584,
     /* 1089350 */     GIR_EraseRootFromParent_Done,
     /* 1089351 */   // Label 16026: @1089351
     /* 1089351 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1089428), // Rule ID 60587 //
     /* 1089356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089395 */     // MIs[0] policy
     /* 1089395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089405 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089427 */     // GIR_Coverage, 60587,
     /* 1089427 */     GIR_EraseRootFromParent_Done,
     /* 1089428 */   // Label 16027: @1089428
     /* 1089428 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1089505), // Rule ID 60588 //
     /* 1089433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089472 */     // MIs[0] policy
     /* 1089472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089504 */     // GIR_Coverage, 60588,
     /* 1089504 */     GIR_EraseRootFromParent_Done,
     /* 1089505 */   // Label 16028: @1089505
     /* 1089505 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1089582), // Rule ID 60591 //
     /* 1089510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089549 */     // MIs[0] policy
     /* 1089549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089581 */     // GIR_Coverage, 60591,
     /* 1089581 */     GIR_EraseRootFromParent_Done,
     /* 1089582 */   // Label 16029: @1089582
     /* 1089582 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1089659), // Rule ID 60592 //
     /* 1089587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089626 */     // MIs[0] policy
     /* 1089626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089658 */     // GIR_Coverage, 60592,
     /* 1089658 */     GIR_EraseRootFromParent_Done,
     /* 1089659 */   // Label 16030: @1089659
     /* 1089659 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1089736), // Rule ID 60595 //
     /* 1089664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089703 */     // MIs[0] policy
     /* 1089703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089735 */     // GIR_Coverage, 60595,
     /* 1089735 */     GIR_EraseRootFromParent_Done,
     /* 1089736 */   // Label 16031: @1089736
     /* 1089736 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1089813), // Rule ID 60596 //
     /* 1089741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089780 */     // MIs[0] policy
     /* 1089780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089790 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089812 */     // GIR_Coverage, 60596,
     /* 1089812 */     GIR_EraseRootFromParent_Done,
     /* 1089813 */   // Label 16032: @1089813
     /* 1089813 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089890), // Rule ID 60599 //
     /* 1089818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1089829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1089832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1089835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089857 */     // MIs[0] policy
     /* 1089857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089889 */     // GIR_Coverage, 60599,
     /* 1089889 */     GIR_EraseRootFromParent_Done,
     /* 1089890 */   // Label 16033: @1089890
     /* 1089890 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1089967), // Rule ID 60600 //
     /* 1089895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1089906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1089909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1089912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089934 */     // MIs[0] policy
     /* 1089934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089966 */     // GIR_Coverage, 60600,
     /* 1089966 */     GIR_EraseRootFromParent_Done,
     /* 1089967 */   // Label 16034: @1089967
     /* 1089967 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1090044), // Rule ID 60603 //
     /* 1089972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1089983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1089986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1089989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090011 */     // MIs[0] policy
     /* 1090011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090043 */     // GIR_Coverage, 60603,
     /* 1090043 */     GIR_EraseRootFromParent_Done,
     /* 1090044 */   // Label 16035: @1090044
     /* 1090044 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1090121), // Rule ID 60604 //
     /* 1090049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090088 */     // MIs[0] policy
     /* 1090088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090120 */     // GIR_Coverage, 60604,
     /* 1090120 */     GIR_EraseRootFromParent_Done,
     /* 1090121 */   // Label 16036: @1090121
     /* 1090121 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1090198), // Rule ID 60607 //
     /* 1090126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090165 */     // MIs[0] policy
     /* 1090165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090175 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090197 */     // GIR_Coverage, 60607,
     /* 1090197 */     GIR_EraseRootFromParent_Done,
     /* 1090198 */   // Label 16037: @1090198
     /* 1090198 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1090275), // Rule ID 60608 //
     /* 1090203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090242 */     // MIs[0] policy
     /* 1090242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090274 */     // GIR_Coverage, 60608,
     /* 1090274 */     GIR_EraseRootFromParent_Done,
     /* 1090275 */   // Label 16038: @1090275
     /* 1090275 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1090352), // Rule ID 60611 //
     /* 1090280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090319 */     // MIs[0] policy
     /* 1090319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090351 */     // GIR_Coverage, 60611,
     /* 1090351 */     GIR_EraseRootFromParent_Done,
     /* 1090352 */   // Label 16039: @1090352
     /* 1090352 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1090429), // Rule ID 60612 //
     /* 1090357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090396 */     // MIs[0] policy
     /* 1090396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090428 */     // GIR_Coverage, 60612,
     /* 1090428 */     GIR_EraseRootFromParent_Done,
     /* 1090429 */   // Label 16040: @1090429
     /* 1090429 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1090506), // Rule ID 60615 //
     /* 1090434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090473 */     // MIs[0] policy
     /* 1090473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090505 */     // GIR_Coverage, 60615,
     /* 1090505 */     GIR_EraseRootFromParent_Done,
     /* 1090506 */   // Label 16041: @1090506
     /* 1090506 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1090583), // Rule ID 60616 //
     /* 1090511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090550 */     // MIs[0] policy
     /* 1090550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090560 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090582 */     // GIR_Coverage, 60616,
     /* 1090582 */     GIR_EraseRootFromParent_Done,
     /* 1090583 */   // Label 16042: @1090583
     /* 1090583 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1090660), // Rule ID 60619 //
     /* 1090588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1090599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1090602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1090605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1090608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090627 */     // MIs[0] policy
     /* 1090627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090659 */     // GIR_Coverage, 60619,
     /* 1090659 */     GIR_EraseRootFromParent_Done,
     /* 1090660 */   // Label 16043: @1090660
     /* 1090660 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1090737), // Rule ID 60620 //
     /* 1090665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1090676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1090679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1090682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1090685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090704 */     // MIs[0] policy
     /* 1090704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090736 */     // GIR_Coverage, 60620,
     /* 1090736 */     GIR_EraseRootFromParent_Done,
     /* 1090737 */   // Label 16044: @1090737
     /* 1090737 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1090814), // Rule ID 60623 //
     /* 1090742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1090753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1090756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1090759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1090762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090781 */     // MIs[0] policy
     /* 1090781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090791 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090813 */     // GIR_Coverage, 60623,
     /* 1090813 */     GIR_EraseRootFromParent_Done,
     /* 1090814 */   // Label 16045: @1090814
     /* 1090814 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090891), // Rule ID 60624 //
     /* 1090819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1090830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1090833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1090836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1090839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090858 */     // MIs[0] policy
     /* 1090858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090890 */     // GIR_Coverage, 60624,
     /* 1090890 */     GIR_EraseRootFromParent_Done,
     /* 1090891 */   // Label 16046: @1090891
     /* 1090891 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1090968), // Rule ID 60627 //
     /* 1090896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1090907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1090910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1090913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090935 */     // MIs[0] policy
     /* 1090935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090967 */     // GIR_Coverage, 60627,
     /* 1090967 */     GIR_EraseRootFromParent_Done,
     /* 1090968 */   // Label 16047: @1090968
     /* 1090968 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1091045), // Rule ID 60628 //
     /* 1090973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1090984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1090987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1090990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091012 */     // MIs[0] policy
     /* 1091012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091044 */     // GIR_Coverage, 60628,
     /* 1091044 */     GIR_EraseRootFromParent_Done,
     /* 1091045 */   // Label 16048: @1091045
     /* 1091045 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1091122), // Rule ID 60631 //
     /* 1091050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091089 */     // MIs[0] policy
     /* 1091089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091121 */     // GIR_Coverage, 60631,
     /* 1091121 */     GIR_EraseRootFromParent_Done,
     /* 1091122 */   // Label 16049: @1091122
     /* 1091122 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1091199), // Rule ID 60632 //
     /* 1091127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091166 */     // MIs[0] policy
     /* 1091166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091198 */     // GIR_Coverage, 60632,
     /* 1091198 */     GIR_EraseRootFromParent_Done,
     /* 1091199 */   // Label 16050: @1091199
     /* 1091199 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1091276), // Rule ID 60635 //
     /* 1091204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091243 */     // MIs[0] policy
     /* 1091243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091275 */     // GIR_Coverage, 60635,
     /* 1091275 */     GIR_EraseRootFromParent_Done,
     /* 1091276 */   // Label 16051: @1091276
     /* 1091276 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1091353), // Rule ID 60636 //
     /* 1091281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091320 */     // MIs[0] policy
     /* 1091320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091330 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091352 */     // GIR_Coverage, 60636,
     /* 1091352 */     GIR_EraseRootFromParent_Done,
     /* 1091353 */   // Label 16052: @1091353
     /* 1091353 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1091430), // Rule ID 60639 //
     /* 1091358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091397 */     // MIs[0] policy
     /* 1091397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091429 */     // GIR_Coverage, 60639,
     /* 1091429 */     GIR_EraseRootFromParent_Done,
     /* 1091430 */   // Label 16053: @1091430
     /* 1091430 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1091507), // Rule ID 60640 //
     /* 1091435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091474 */     // MIs[0] policy
     /* 1091474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091506 */     // GIR_Coverage, 60640,
     /* 1091506 */     GIR_EraseRootFromParent_Done,
     /* 1091507 */   // Label 16054: @1091507
     /* 1091507 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1091584), // Rule ID 60643 //
     /* 1091512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091551 */     // MIs[0] policy
     /* 1091551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091583 */     // GIR_Coverage, 60643,
     /* 1091583 */     GIR_EraseRootFromParent_Done,
     /* 1091584 */   // Label 16055: @1091584
     /* 1091584 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1091661), // Rule ID 60644 //
     /* 1091589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091628 */     // MIs[0] policy
     /* 1091628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091660 */     // GIR_Coverage, 60644,
     /* 1091660 */     GIR_EraseRootFromParent_Done,
     /* 1091661 */   // Label 16056: @1091661
     /* 1091661 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1091738), // Rule ID 60647 //
     /* 1091666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1091677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1091680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1091683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091705 */     // MIs[0] policy
     /* 1091705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091737 */     // GIR_Coverage, 60647,
     /* 1091737 */     GIR_EraseRootFromParent_Done,
     /* 1091738 */   // Label 16057: @1091738
     /* 1091738 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1091815), // Rule ID 60648 //
     /* 1091743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1091754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1091757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1091760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091782 */     // MIs[0] policy
     /* 1091782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091814 */     // GIR_Coverage, 60648,
     /* 1091814 */     GIR_EraseRootFromParent_Done,
     /* 1091815 */   // Label 16058: @1091815
     /* 1091815 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091892), // Rule ID 60651 //
     /* 1091820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1091831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1091834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1091837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091859 */     // MIs[0] policy
     /* 1091859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091891 */     // GIR_Coverage, 60651,
     /* 1091891 */     GIR_EraseRootFromParent_Done,
     /* 1091892 */   // Label 16059: @1091892
     /* 1091892 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1091969), // Rule ID 60652 //
     /* 1091897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1091908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1091911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1091914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091936 */     // MIs[0] policy
     /* 1091936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091968 */     // GIR_Coverage, 60652,
     /* 1091968 */     GIR_EraseRootFromParent_Done,
     /* 1091969 */   // Label 16060: @1091969
     /* 1091969 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1092046), // Rule ID 60655 //
     /* 1091974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1091985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1091988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1091991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092013 */     // MIs[0] policy
     /* 1092013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092023 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092045 */     // GIR_Coverage, 60655,
     /* 1092045 */     GIR_EraseRootFromParent_Done,
     /* 1092046 */   // Label 16061: @1092046
     /* 1092046 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1092123), // Rule ID 60656 //
     /* 1092051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092090 */     // MIs[0] policy
     /* 1092090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092122 */     // GIR_Coverage, 60656,
     /* 1092122 */     GIR_EraseRootFromParent_Done,
     /* 1092123 */   // Label 16062: @1092123
     /* 1092123 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1092200), // Rule ID 60659 //
     /* 1092128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092167 */     // MIs[0] policy
     /* 1092167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092199 */     // GIR_Coverage, 60659,
     /* 1092199 */     GIR_EraseRootFromParent_Done,
     /* 1092200 */   // Label 16063: @1092200
     /* 1092200 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1092277), // Rule ID 60660 //
     /* 1092205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092244 */     // MIs[0] policy
     /* 1092244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092276 */     // GIR_Coverage, 60660,
     /* 1092276 */     GIR_EraseRootFromParent_Done,
     /* 1092277 */   // Label 16064: @1092277
     /* 1092277 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1092354), // Rule ID 60663 //
     /* 1092282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092321 */     // MIs[0] policy
     /* 1092321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092331 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092353 */     // GIR_Coverage, 60663,
     /* 1092353 */     GIR_EraseRootFromParent_Done,
     /* 1092354 */   // Label 16065: @1092354
     /* 1092354 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1092431), // Rule ID 60664 //
     /* 1092359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092398 */     // MIs[0] policy
     /* 1092398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092430 */     // GIR_Coverage, 60664,
     /* 1092430 */     GIR_EraseRootFromParent_Done,
     /* 1092431 */   // Label 16066: @1092431
     /* 1092431 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1092508), // Rule ID 60667 //
     /* 1092436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092475 */     // MIs[0] policy
     /* 1092475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092507 */     // GIR_Coverage, 60667,
     /* 1092507 */     GIR_EraseRootFromParent_Done,
     /* 1092508 */   // Label 16067: @1092508
     /* 1092508 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1092585), // Rule ID 60668 //
     /* 1092513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092552 */     // MIs[0] policy
     /* 1092552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092562 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092584 */     // GIR_Coverage, 60668,
     /* 1092584 */     GIR_EraseRootFromParent_Done,
     /* 1092585 */   // Label 16068: @1092585
     /* 1092585 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1092662), // Rule ID 60671 //
     /* 1092590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1092601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1092604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1092607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092629 */     // MIs[0] policy
     /* 1092629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092639 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1092642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092661 */     // GIR_Coverage, 60671,
     /* 1092661 */     GIR_EraseRootFromParent_Done,
     /* 1092662 */   // Label 16069: @1092662
     /* 1092662 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1092739), // Rule ID 60672 //
     /* 1092667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1092678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1092681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1092684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092706 */     // MIs[0] policy
     /* 1092706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1092719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092738 */     // GIR_Coverage, 60672,
     /* 1092738 */     GIR_EraseRootFromParent_Done,
     /* 1092739 */   // Label 16070: @1092739
     /* 1092739 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1092816), // Rule ID 60675 //
     /* 1092744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1092755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1092758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1092761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092783 */     // MIs[0] policy
     /* 1092783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092815 */     // GIR_Coverage, 60675,
     /* 1092815 */     GIR_EraseRootFromParent_Done,
     /* 1092816 */   // Label 16071: @1092816
     /* 1092816 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092893), // Rule ID 60676 //
     /* 1092821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1092832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1092835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1092838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092860 */     // MIs[0] policy
     /* 1092860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092870 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092892 */     // GIR_Coverage, 60676,
     /* 1092892 */     GIR_EraseRootFromParent_Done,
     /* 1092893 */   // Label 16072: @1092893
     /* 1092893 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1092970), // Rule ID 60679 //
     /* 1092898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1092909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1092912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1092915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092937 */     // MIs[0] policy
     /* 1092937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1092950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092969 */     // GIR_Coverage, 60679,
     /* 1092969 */     GIR_EraseRootFromParent_Done,
     /* 1092970 */   // Label 16073: @1092970
     /* 1092970 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1093047), // Rule ID 60680 //
     /* 1092975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1092986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1092989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1092992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093014 */     // MIs[0] policy
     /* 1093014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093046 */     // GIR_Coverage, 60680,
     /* 1093046 */     GIR_EraseRootFromParent_Done,
     /* 1093047 */   // Label 16074: @1093047
     /* 1093047 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1093124), // Rule ID 60683 //
     /* 1093052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093091 */     // MIs[0] policy
     /* 1093091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093123 */     // GIR_Coverage, 60683,
     /* 1093123 */     GIR_EraseRootFromParent_Done,
     /* 1093124 */   // Label 16075: @1093124
     /* 1093124 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1093201), // Rule ID 60684 //
     /* 1093129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093168 */     // MIs[0] policy
     /* 1093168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093200 */     // GIR_Coverage, 60684,
     /* 1093200 */     GIR_EraseRootFromParent_Done,
     /* 1093201 */   // Label 16076: @1093201
     /* 1093201 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1093278), // Rule ID 60687 //
     /* 1093206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093245 */     // MIs[0] policy
     /* 1093245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093277 */     // GIR_Coverage, 60687,
     /* 1093277 */     GIR_EraseRootFromParent_Done,
     /* 1093278 */   // Label 16077: @1093278
     /* 1093278 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1093355), // Rule ID 60688 //
     /* 1093283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093322 */     // MIs[0] policy
     /* 1093322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093354 */     // GIR_Coverage, 60688,
     /* 1093354 */     GIR_EraseRootFromParent_Done,
     /* 1093355 */   // Label 16078: @1093355
     /* 1093355 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1093432), // Rule ID 60691 //
     /* 1093360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093399 */     // MIs[0] policy
     /* 1093399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093431 */     // GIR_Coverage, 60691,
     /* 1093431 */     GIR_EraseRootFromParent_Done,
     /* 1093432 */   // Label 16079: @1093432
     /* 1093432 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1093509), // Rule ID 60692 //
     /* 1093437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093476 */     // MIs[0] policy
     /* 1093476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093508 */     // GIR_Coverage, 60692,
     /* 1093508 */     GIR_EraseRootFromParent_Done,
     /* 1093509 */   // Label 16080: @1093509
     /* 1093509 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1093586), // Rule ID 60695 //
     /* 1093514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093553 */     // MIs[0] policy
     /* 1093553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093585 */     // GIR_Coverage, 60695,
     /* 1093585 */     GIR_EraseRootFromParent_Done,
     /* 1093586 */   // Label 16081: @1093586
     /* 1093586 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1093663), // Rule ID 60696 //
     /* 1093591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093630 */     // MIs[0] policy
     /* 1093630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093662 */     // GIR_Coverage, 60696,
     /* 1093662 */     GIR_EraseRootFromParent_Done,
     /* 1093663 */   // Label 16082: @1093663
     /* 1093663 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1093740), // Rule ID 60699 //
     /* 1093668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1093679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1093682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1093685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093707 */     // MIs[0] policy
     /* 1093707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093739 */     // GIR_Coverage, 60699,
     /* 1093739 */     GIR_EraseRootFromParent_Done,
     /* 1093740 */   // Label 16083: @1093740
     /* 1093740 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1093817), // Rule ID 60700 //
     /* 1093745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1093756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1093759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1093762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093784 */     // MIs[0] policy
     /* 1093784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093794 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093816 */     // GIR_Coverage, 60700,
     /* 1093816 */     GIR_EraseRootFromParent_Done,
     /* 1093817 */   // Label 16084: @1093817
     /* 1093817 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093894), // Rule ID 60703 //
     /* 1093822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1093833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1093836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1093839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093861 */     // MIs[0] policy
     /* 1093861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093893 */     // GIR_Coverage, 60703,
     /* 1093893 */     GIR_EraseRootFromParent_Done,
     /* 1093894 */   // Label 16085: @1093894
     /* 1093894 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1093971), // Rule ID 60704 //
     /* 1093899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1093910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1093913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1093916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093938 */     // MIs[0] policy
     /* 1093938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093970 */     // GIR_Coverage, 60704,
     /* 1093970 */     GIR_EraseRootFromParent_Done,
     /* 1093971 */   // Label 16086: @1093971
     /* 1093971 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1094048), // Rule ID 60707 //
     /* 1093976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1093987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1093990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1093993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1093996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094015 */     // MIs[0] policy
     /* 1094015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094025 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094047 */     // GIR_Coverage, 60707,
     /* 1094047 */     GIR_EraseRootFromParent_Done,
     /* 1094048 */   // Label 16087: @1094048
     /* 1094048 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1094125), // Rule ID 60708 //
     /* 1094053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094092 */     // MIs[0] policy
     /* 1094092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094124 */     // GIR_Coverage, 60708,
     /* 1094124 */     GIR_EraseRootFromParent_Done,
     /* 1094125 */   // Label 16088: @1094125
     /* 1094125 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1094202), // Rule ID 60711 //
     /* 1094130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094169 */     // MIs[0] policy
     /* 1094169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094179 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094201 */     // GIR_Coverage, 60711,
     /* 1094201 */     GIR_EraseRootFromParent_Done,
     /* 1094202 */   // Label 16089: @1094202
     /* 1094202 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1094279), // Rule ID 60712 //
     /* 1094207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094246 */     // MIs[0] policy
     /* 1094246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094278 */     // GIR_Coverage, 60712,
     /* 1094278 */     GIR_EraseRootFromParent_Done,
     /* 1094279 */   // Label 16090: @1094279
     /* 1094279 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1094356), // Rule ID 60715 //
     /* 1094284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094323 */     // MIs[0] policy
     /* 1094323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094355 */     // GIR_Coverage, 60715,
     /* 1094355 */     GIR_EraseRootFromParent_Done,
     /* 1094356 */   // Label 16091: @1094356
     /* 1094356 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1094433), // Rule ID 60716 //
     /* 1094361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094400 */     // MIs[0] policy
     /* 1094400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094432 */     // GIR_Coverage, 60716,
     /* 1094432 */     GIR_EraseRootFromParent_Done,
     /* 1094433 */   // Label 16092: @1094433
     /* 1094433 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1094510), // Rule ID 60719 //
     /* 1094438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094477 */     // MIs[0] policy
     /* 1094477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094509 */     // GIR_Coverage, 60719,
     /* 1094509 */     GIR_EraseRootFromParent_Done,
     /* 1094510 */   // Label 16093: @1094510
     /* 1094510 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1094587), // Rule ID 60720 //
     /* 1094515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094554 */     // MIs[0] policy
     /* 1094554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094586 */     // GIR_Coverage, 60720,
     /* 1094586 */     GIR_EraseRootFromParent_Done,
     /* 1094587 */   // Label 16094: @1094587
     /* 1094587 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1094664), // Rule ID 60723 //
     /* 1094592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094631 */     // MIs[0] policy
     /* 1094631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094641 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094663 */     // GIR_Coverage, 60723,
     /* 1094663 */     GIR_EraseRootFromParent_Done,
     /* 1094664 */   // Label 16095: @1094664
     /* 1094664 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1094741), // Rule ID 60724 //
     /* 1094669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094708 */     // MIs[0] policy
     /* 1094708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094718 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094740 */     // GIR_Coverage, 60724,
     /* 1094740 */     GIR_EraseRootFromParent_Done,
     /* 1094741 */   // Label 16096: @1094741
     /* 1094741 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1094818), // Rule ID 60727 //
     /* 1094746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1094757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1094760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1094763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094785 */     // MIs[0] policy
     /* 1094785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094817 */     // GIR_Coverage, 60727,
     /* 1094817 */     GIR_EraseRootFromParent_Done,
     /* 1094818 */   // Label 16097: @1094818
     /* 1094818 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094895), // Rule ID 60728 //
     /* 1094823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1094834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1094837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1094840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094862 */     // MIs[0] policy
     /* 1094862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094894 */     // GIR_Coverage, 60728,
     /* 1094894 */     GIR_EraseRootFromParent_Done,
     /* 1094895 */   // Label 16098: @1094895
     /* 1094895 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1094972), // Rule ID 60731 //
     /* 1094900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1094911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1094914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1094917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094939 */     // MIs[0] policy
     /* 1094939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094971 */     // GIR_Coverage, 60731,
     /* 1094971 */     GIR_EraseRootFromParent_Done,
     /* 1094972 */   // Label 16099: @1094972
     /* 1094972 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1095049), // Rule ID 60732 //
     /* 1094977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1094988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1094991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1094994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095016 */     // MIs[0] policy
     /* 1095016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095048 */     // GIR_Coverage, 60732,
     /* 1095048 */     GIR_EraseRootFromParent_Done,
     /* 1095049 */   // Label 16100: @1095049
     /* 1095049 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1095126), // Rule ID 60735 //
     /* 1095054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095093 */     // MIs[0] policy
     /* 1095093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095125 */     // GIR_Coverage, 60735,
     /* 1095125 */     GIR_EraseRootFromParent_Done,
     /* 1095126 */   // Label 16101: @1095126
     /* 1095126 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1095203), // Rule ID 60736 //
     /* 1095131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095170 */     // MIs[0] policy
     /* 1095170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095202 */     // GIR_Coverage, 60736,
     /* 1095202 */     GIR_EraseRootFromParent_Done,
     /* 1095203 */   // Label 16102: @1095203
     /* 1095203 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1095280), // Rule ID 60739 //
     /* 1095208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095247 */     // MIs[0] policy
     /* 1095247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095257 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095279 */     // GIR_Coverage, 60739,
     /* 1095279 */     GIR_EraseRootFromParent_Done,
     /* 1095280 */   // Label 16103: @1095280
     /* 1095280 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1095357), // Rule ID 60740 //
     /* 1095285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095324 */     // MIs[0] policy
     /* 1095324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095356 */     // GIR_Coverage, 60740,
     /* 1095356 */     GIR_EraseRootFromParent_Done,
     /* 1095357 */   // Label 16104: @1095357
     /* 1095357 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1095434), // Rule ID 60743 //
     /* 1095362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095401 */     // MIs[0] policy
     /* 1095401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095433 */     // GIR_Coverage, 60743,
     /* 1095433 */     GIR_EraseRootFromParent_Done,
     /* 1095434 */   // Label 16105: @1095434
     /* 1095434 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1095511), // Rule ID 60744 //
     /* 1095439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095478 */     // MIs[0] policy
     /* 1095478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095488 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095510 */     // GIR_Coverage, 60744,
     /* 1095510 */     GIR_EraseRootFromParent_Done,
     /* 1095511 */   // Label 16106: @1095511
     /* 1095511 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1095588), // Rule ID 60747 //
     /* 1095516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095555 */     // MIs[0] policy
     /* 1095555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095565 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095587 */     // GIR_Coverage, 60747,
     /* 1095587 */     GIR_EraseRootFromParent_Done,
     /* 1095588 */   // Label 16107: @1095588
     /* 1095588 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1095665), // Rule ID 60748 //
     /* 1095593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095632 */     // MIs[0] policy
     /* 1095632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095664 */     // GIR_Coverage, 60748,
     /* 1095664 */     GIR_EraseRootFromParent_Done,
     /* 1095665 */   // Label 16108: @1095665
     /* 1095665 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1095742), // Rule ID 60751 //
     /* 1095670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1095681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1095684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1095687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095709 */     // MIs[0] policy
     /* 1095709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095719 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1095722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095741 */     // GIR_Coverage, 60751,
     /* 1095741 */     GIR_EraseRootFromParent_Done,
     /* 1095742 */   // Label 16109: @1095742
     /* 1095742 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1095819), // Rule ID 60752 //
     /* 1095747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1095758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1095761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1095764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095786 */     // MIs[0] policy
     /* 1095786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1095799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095818 */     // GIR_Coverage, 60752,
     /* 1095818 */     GIR_EraseRootFromParent_Done,
     /* 1095819 */   // Label 16110: @1095819
     /* 1095819 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095896), // Rule ID 60755 //
     /* 1095824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1095835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1095838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1095841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095863 */     // MIs[0] policy
     /* 1095863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095873 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1095876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095895 */     // GIR_Coverage, 60755,
     /* 1095895 */     GIR_EraseRootFromParent_Done,
     /* 1095896 */   // Label 16111: @1095896
     /* 1095896 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1095973), // Rule ID 60756 //
     /* 1095901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1095912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1095915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1095918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095940 */     // MIs[0] policy
     /* 1095940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1095953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095972 */     // GIR_Coverage, 60756,
     /* 1095972 */     GIR_EraseRootFromParent_Done,
     /* 1095973 */   // Label 16112: @1095973
     /* 1095973 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1096050), // Rule ID 60759 //
     /* 1095978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1095989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1095992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1095995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096017 */     // MIs[0] policy
     /* 1096017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096027 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096049 */     // GIR_Coverage, 60759,
     /* 1096049 */     GIR_EraseRootFromParent_Done,
     /* 1096050 */   // Label 16113: @1096050
     /* 1096050 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1096127), // Rule ID 60760 //
     /* 1096055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096094 */     // MIs[0] policy
     /* 1096094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096104 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096126 */     // GIR_Coverage, 60760,
     /* 1096126 */     GIR_EraseRootFromParent_Done,
     /* 1096127 */   // Label 16114: @1096127
     /* 1096127 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1096204), // Rule ID 60763 //
     /* 1096132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096171 */     // MIs[0] policy
     /* 1096171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096181 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096203 */     // GIR_Coverage, 60763,
     /* 1096203 */     GIR_EraseRootFromParent_Done,
     /* 1096204 */   // Label 16115: @1096204
     /* 1096204 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1096281), // Rule ID 60764 //
     /* 1096209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096248 */     // MIs[0] policy
     /* 1096248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096280 */     // GIR_Coverage, 60764,
     /* 1096280 */     GIR_EraseRootFromParent_Done,
     /* 1096281 */   // Label 16116: @1096281
     /* 1096281 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1096358), // Rule ID 60767 //
     /* 1096286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096325 */     // MIs[0] policy
     /* 1096325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096335 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096357 */     // GIR_Coverage, 60767,
     /* 1096357 */     GIR_EraseRootFromParent_Done,
     /* 1096358 */   // Label 16117: @1096358
     /* 1096358 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1096435), // Rule ID 60768 //
     /* 1096363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096402 */     // MIs[0] policy
     /* 1096402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096434 */     // GIR_Coverage, 60768,
     /* 1096434 */     GIR_EraseRootFromParent_Done,
     /* 1096435 */   // Label 16118: @1096435
     /* 1096435 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1096512), // Rule ID 60771 //
     /* 1096440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096479 */     // MIs[0] policy
     /* 1096479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096511 */     // GIR_Coverage, 60771,
     /* 1096511 */     GIR_EraseRootFromParent_Done,
     /* 1096512 */   // Label 16119: @1096512
     /* 1096512 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1096589), // Rule ID 60772 //
     /* 1096517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096556 */     // MIs[0] policy
     /* 1096556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096588 */     // GIR_Coverage, 60772,
     /* 1096588 */     GIR_EraseRootFromParent_Done,
     /* 1096589 */   // Label 16120: @1096589
     /* 1096589 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1096666), // Rule ID 60775 //
     /* 1096594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1096605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1096608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1096611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096633 */     // MIs[0] policy
     /* 1096633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096665 */     // GIR_Coverage, 60775,
     /* 1096665 */     GIR_EraseRootFromParent_Done,
     /* 1096666 */   // Label 16121: @1096666
     /* 1096666 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1096743), // Rule ID 60776 //
     /* 1096671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1096682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1096685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1096688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096710 */     // MIs[0] policy
     /* 1096710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096742 */     // GIR_Coverage, 60776,
     /* 1096742 */     GIR_EraseRootFromParent_Done,
     /* 1096743 */   // Label 16122: @1096743
     /* 1096743 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1096820), // Rule ID 60779 //
     /* 1096748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1096759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1096762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1096765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096787 */     // MIs[0] policy
     /* 1096787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096819 */     // GIR_Coverage, 60779,
     /* 1096819 */     GIR_EraseRootFromParent_Done,
     /* 1096820 */   // Label 16123: @1096820
     /* 1096820 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096897), // Rule ID 60780 //
     /* 1096825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1096836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1096839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1096842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096864 */     // MIs[0] policy
     /* 1096864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096896 */     // GIR_Coverage, 60780,
     /* 1096896 */     GIR_EraseRootFromParent_Done,
     /* 1096897 */   // Label 16124: @1096897
     /* 1096897 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1096974), // Rule ID 60783 //
     /* 1096902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1096913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1096916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1096919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096941 */     // MIs[0] policy
     /* 1096941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096973 */     // GIR_Coverage, 60783,
     /* 1096973 */     GIR_EraseRootFromParent_Done,
     /* 1096974 */   // Label 16125: @1096974
     /* 1096974 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1097051), // Rule ID 60784 //
     /* 1096979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1096990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1096993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1096996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097018 */     // MIs[0] policy
     /* 1097018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097050 */     // GIR_Coverage, 60784,
     /* 1097050 */     GIR_EraseRootFromParent_Done,
     /* 1097051 */   // Label 16126: @1097051
     /* 1097051 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1097128), // Rule ID 60787 //
     /* 1097056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097095 */     // MIs[0] policy
     /* 1097095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097105 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097127 */     // GIR_Coverage, 60787,
     /* 1097127 */     GIR_EraseRootFromParent_Done,
     /* 1097128 */   // Label 16127: @1097128
     /* 1097128 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1097205), // Rule ID 60788 //
     /* 1097133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097172 */     // MIs[0] policy
     /* 1097172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097204 */     // GIR_Coverage, 60788,
     /* 1097204 */     GIR_EraseRootFromParent_Done,
     /* 1097205 */   // Label 16128: @1097205
     /* 1097205 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1097282), // Rule ID 60791 //
     /* 1097210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097249 */     // MIs[0] policy
     /* 1097249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097281 */     // GIR_Coverage, 60791,
     /* 1097281 */     GIR_EraseRootFromParent_Done,
     /* 1097282 */   // Label 16129: @1097282
     /* 1097282 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1097359), // Rule ID 60792 //
     /* 1097287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097326 */     // MIs[0] policy
     /* 1097326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097358 */     // GIR_Coverage, 60792,
     /* 1097358 */     GIR_EraseRootFromParent_Done,
     /* 1097359 */   // Label 16130: @1097359
     /* 1097359 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1097436), // Rule ID 60795 //
     /* 1097364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097403 */     // MIs[0] policy
     /* 1097403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097413 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097435 */     // GIR_Coverage, 60795,
     /* 1097435 */     GIR_EraseRootFromParent_Done,
     /* 1097436 */   // Label 16131: @1097436
     /* 1097436 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1097513), // Rule ID 60796 //
     /* 1097441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097480 */     // MIs[0] policy
     /* 1097480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097490 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097512 */     // GIR_Coverage, 60796,
     /* 1097512 */     GIR_EraseRootFromParent_Done,
     /* 1097513 */   // Label 16132: @1097513
     /* 1097513 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1097590), // Rule ID 60799 //
     /* 1097518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1097538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097557 */     // MIs[0] policy
     /* 1097557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097589 */     // GIR_Coverage, 60799,
     /* 1097589 */     GIR_EraseRootFromParent_Done,
     /* 1097590 */   // Label 16133: @1097590
     /* 1097590 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1097667), // Rule ID 60800 //
     /* 1097595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1097615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097634 */     // MIs[0] policy
     /* 1097634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097666 */     // GIR_Coverage, 60800,
     /* 1097666 */     GIR_EraseRootFromParent_Done,
     /* 1097667 */   // Label 16134: @1097667
     /* 1097667 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1097744), // Rule ID 60803 //
     /* 1097672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1097683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1097686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1097689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097711 */     // MIs[0] policy
     /* 1097711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097743 */     // GIR_Coverage, 60803,
     /* 1097743 */     GIR_EraseRootFromParent_Done,
     /* 1097744 */   // Label 16135: @1097744
     /* 1097744 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1097821), // Rule ID 60804 //
     /* 1097749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1097760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1097763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1097766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097788 */     // MIs[0] policy
     /* 1097788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097820 */     // GIR_Coverage, 60804,
     /* 1097820 */     GIR_EraseRootFromParent_Done,
     /* 1097821 */   // Label 16136: @1097821
     /* 1097821 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097898), // Rule ID 60807 //
     /* 1097826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1097837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1097840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1097843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097865 */     // MIs[0] policy
     /* 1097865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097897 */     // GIR_Coverage, 60807,
     /* 1097897 */     GIR_EraseRootFromParent_Done,
     /* 1097898 */   // Label 16137: @1097898
     /* 1097898 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1097975), // Rule ID 60808 //
     /* 1097903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1097914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1097917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1097920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097942 */     // MIs[0] policy
     /* 1097942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097974 */     // GIR_Coverage, 60808,
     /* 1097974 */     GIR_EraseRootFromParent_Done,
     /* 1097975 */   // Label 16138: @1097975
     /* 1097975 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1098052), // Rule ID 60811 //
     /* 1097980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1097991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1097994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1097997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098019 */     // MIs[0] policy
     /* 1098019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098029 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098051 */     // GIR_Coverage, 60811,
     /* 1098051 */     GIR_EraseRootFromParent_Done,
     /* 1098052 */   // Label 16139: @1098052
     /* 1098052 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1098129), // Rule ID 60812 //
     /* 1098057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098096 */     // MIs[0] policy
     /* 1098096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098128 */     // GIR_Coverage, 60812,
     /* 1098128 */     GIR_EraseRootFromParent_Done,
     /* 1098129 */   // Label 16140: @1098129
     /* 1098129 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1098206), // Rule ID 60815 //
     /* 1098134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098173 */     // MIs[0] policy
     /* 1098173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098205 */     // GIR_Coverage, 60815,
     /* 1098205 */     GIR_EraseRootFromParent_Done,
     /* 1098206 */   // Label 16141: @1098206
     /* 1098206 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1098283), // Rule ID 60816 //
     /* 1098211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098250 */     // MIs[0] policy
     /* 1098250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098282 */     // GIR_Coverage, 60816,
     /* 1098282 */     GIR_EraseRootFromParent_Done,
     /* 1098283 */   // Label 16142: @1098283
     /* 1098283 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1098360), // Rule ID 60819 //
     /* 1098288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098327 */     // MIs[0] policy
     /* 1098327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098359 */     // GIR_Coverage, 60819,
     /* 1098359 */     GIR_EraseRootFromParent_Done,
     /* 1098360 */   // Label 16143: @1098360
     /* 1098360 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1098437), // Rule ID 60820 //
     /* 1098365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098404 */     // MIs[0] policy
     /* 1098404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098436 */     // GIR_Coverage, 60820,
     /* 1098436 */     GIR_EraseRootFromParent_Done,
     /* 1098437 */   // Label 16144: @1098437
     /* 1098437 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1098514), // Rule ID 60823 //
     /* 1098442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098481 */     // MIs[0] policy
     /* 1098481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098513 */     // GIR_Coverage, 60823,
     /* 1098513 */     GIR_EraseRootFromParent_Done,
     /* 1098514 */   // Label 16145: @1098514
     /* 1098514 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1098591), // Rule ID 60824 //
     /* 1098519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098558 */     // MIs[0] policy
     /* 1098558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098590 */     // GIR_Coverage, 60824,
     /* 1098590 */     GIR_EraseRootFromParent_Done,
     /* 1098591 */   // Label 16146: @1098591
     /* 1098591 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1098668), // Rule ID 60827 //
     /* 1098596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1098607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1098610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1098613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098635 */     // MIs[0] policy
     /* 1098635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098667 */     // GIR_Coverage, 60827,
     /* 1098667 */     GIR_EraseRootFromParent_Done,
     /* 1098668 */   // Label 16147: @1098668
     /* 1098668 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1098745), // Rule ID 60828 //
     /* 1098673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1098684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1098687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1098690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098712 */     // MIs[0] policy
     /* 1098712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098744 */     // GIR_Coverage, 60828,
     /* 1098744 */     GIR_EraseRootFromParent_Done,
     /* 1098745 */   // Label 16148: @1098745
     /* 1098745 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1098822), // Rule ID 60831 //
     /* 1098750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1098761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1098764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1098767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098789 */     // MIs[0] policy
     /* 1098789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098821 */     // GIR_Coverage, 60831,
     /* 1098821 */     GIR_EraseRootFromParent_Done,
     /* 1098822 */   // Label 16149: @1098822
     /* 1098822 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098899), // Rule ID 60832 //
     /* 1098827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1098838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1098841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1098844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098866 */     // MIs[0] policy
     /* 1098866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098898 */     // GIR_Coverage, 60832,
     /* 1098898 */     GIR_EraseRootFromParent_Done,
     /* 1098899 */   // Label 16150: @1098899
     /* 1098899 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1098976), // Rule ID 60835 //
     /* 1098904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1098915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1098918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1098921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098943 */     // MIs[0] policy
     /* 1098943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098975 */     // GIR_Coverage, 60835,
     /* 1098975 */     GIR_EraseRootFromParent_Done,
     /* 1098976 */   // Label 16151: @1098976
     /* 1098976 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1099053), // Rule ID 60836 //
     /* 1098981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1098992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1098995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1098998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099020 */     // MIs[0] policy
     /* 1099020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099052 */     // GIR_Coverage, 60836,
     /* 1099052 */     GIR_EraseRootFromParent_Done,
     /* 1099053 */   // Label 16152: @1099053
     /* 1099053 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1099130), // Rule ID 61259 //
     /* 1099058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099097 */     // MIs[0] policy
     /* 1099097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099107 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099129 */     // GIR_Coverage, 61259,
     /* 1099129 */     GIR_EraseRootFromParent_Done,
     /* 1099130 */   // Label 16153: @1099130
     /* 1099130 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1099207), // Rule ID 61260 //
     /* 1099135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099174 */     // MIs[0] policy
     /* 1099174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099184 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099206 */     // GIR_Coverage, 61260,
     /* 1099206 */     GIR_EraseRootFromParent_Done,
     /* 1099207 */   // Label 16154: @1099207
     /* 1099207 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1099284), // Rule ID 61263 //
     /* 1099212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099251 */     // MIs[0] policy
     /* 1099251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099283 */     // GIR_Coverage, 61263,
     /* 1099283 */     GIR_EraseRootFromParent_Done,
     /* 1099284 */   // Label 16155: @1099284
     /* 1099284 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1099361), // Rule ID 61264 //
     /* 1099289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099328 */     // MIs[0] policy
     /* 1099328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099338 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099360 */     // GIR_Coverage, 61264,
     /* 1099360 */     GIR_EraseRootFromParent_Done,
     /* 1099361 */   // Label 16156: @1099361
     /* 1099361 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1099438), // Rule ID 61267 //
     /* 1099366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099405 */     // MIs[0] policy
     /* 1099405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099415 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099437 */     // GIR_Coverage, 61267,
     /* 1099437 */     GIR_EraseRootFromParent_Done,
     /* 1099438 */   // Label 16157: @1099438
     /* 1099438 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1099515), // Rule ID 61268 //
     /* 1099443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099482 */     // MIs[0] policy
     /* 1099482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099514 */     // GIR_Coverage, 61268,
     /* 1099514 */     GIR_EraseRootFromParent_Done,
     /* 1099515 */   // Label 16158: @1099515
     /* 1099515 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1099592), // Rule ID 61271 //
     /* 1099520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1099537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099559 */     // MIs[0] policy
     /* 1099559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099591 */     // GIR_Coverage, 61271,
     /* 1099591 */     GIR_EraseRootFromParent_Done,
     /* 1099592 */   // Label 16159: @1099592
     /* 1099592 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1099669), // Rule ID 61272 //
     /* 1099597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1099614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099636 */     // MIs[0] policy
     /* 1099636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099668 */     // GIR_Coverage, 61272,
     /* 1099668 */     GIR_EraseRootFromParent_Done,
     /* 1099669 */   // Label 16160: @1099669
     /* 1099669 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1099746), // Rule ID 61275 //
     /* 1099674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1099685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1099688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1099691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099713 */     // MIs[0] policy
     /* 1099713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099723 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099745 */     // GIR_Coverage, 61275,
     /* 1099745 */     GIR_EraseRootFromParent_Done,
     /* 1099746 */   // Label 16161: @1099746
     /* 1099746 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1099823), // Rule ID 61276 //
     /* 1099751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1099762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1099765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1099768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099790 */     // MIs[0] policy
     /* 1099790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099822 */     // GIR_Coverage, 61276,
     /* 1099822 */     GIR_EraseRootFromParent_Done,
     /* 1099823 */   // Label 16162: @1099823
     /* 1099823 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099900), // Rule ID 61279 //
     /* 1099828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1099839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1099842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1099845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099867 */     // MIs[0] policy
     /* 1099867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099877 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099899 */     // GIR_Coverage, 61279,
     /* 1099899 */     GIR_EraseRootFromParent_Done,
     /* 1099900 */   // Label 16163: @1099900
     /* 1099900 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1099977), // Rule ID 61280 //
     /* 1099905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1099916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1099919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1099922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099944 */     // MIs[0] policy
     /* 1099944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099976 */     // GIR_Coverage, 61280,
     /* 1099976 */     GIR_EraseRootFromParent_Done,
     /* 1099977 */   // Label 16164: @1099977
     /* 1099977 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1100054), // Rule ID 61283 //
     /* 1099982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1099993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1099996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1099999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100021 */     // MIs[0] policy
     /* 1100021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100031 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100053 */     // GIR_Coverage, 61283,
     /* 1100053 */     GIR_EraseRootFromParent_Done,
     /* 1100054 */   // Label 16165: @1100054
     /* 1100054 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1100131), // Rule ID 61284 //
     /* 1100059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1100070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1100073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1100076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100098 */     // MIs[0] policy
     /* 1100098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100130 */     // GIR_Coverage, 61284,
     /* 1100130 */     GIR_EraseRootFromParent_Done,
     /* 1100131 */   // Label 16166: @1100131
     /* 1100131 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1100208), // Rule ID 61287 //
     /* 1100136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100175 */     // MIs[0] policy
     /* 1100175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100185 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100207 */     // GIR_Coverage, 61287,
     /* 1100207 */     GIR_EraseRootFromParent_Done,
     /* 1100208 */   // Label 16167: @1100208
     /* 1100208 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1100285), // Rule ID 61288 //
     /* 1100213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100252 */     // MIs[0] policy
     /* 1100252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100262 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100284 */     // GIR_Coverage, 61288,
     /* 1100284 */     GIR_EraseRootFromParent_Done,
     /* 1100285 */   // Label 16168: @1100285
     /* 1100285 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1100362), // Rule ID 61291 //
     /* 1100290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100329 */     // MIs[0] policy
     /* 1100329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100361 */     // GIR_Coverage, 61291,
     /* 1100361 */     GIR_EraseRootFromParent_Done,
     /* 1100362 */   // Label 16169: @1100362
     /* 1100362 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1100439), // Rule ID 61292 //
     /* 1100367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100406 */     // MIs[0] policy
     /* 1100406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100438 */     // GIR_Coverage, 61292,
     /* 1100438 */     GIR_EraseRootFromParent_Done,
     /* 1100439 */   // Label 16170: @1100439
     /* 1100439 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1100516), // Rule ID 61295 //
     /* 1100444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100483 */     // MIs[0] policy
     /* 1100483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100515 */     // GIR_Coverage, 61295,
     /* 1100515 */     GIR_EraseRootFromParent_Done,
     /* 1100516 */   // Label 16171: @1100516
     /* 1100516 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1100593), // Rule ID 61296 //
     /* 1100521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100560 */     // MIs[0] policy
     /* 1100560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100592 */     // GIR_Coverage, 61296,
     /* 1100592 */     GIR_EraseRootFromParent_Done,
     /* 1100593 */   // Label 16172: @1100593
     /* 1100593 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1100670), // Rule ID 61299 //
     /* 1100598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1100609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1100612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1100615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100637 */     // MIs[0] policy
     /* 1100637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100669 */     // GIR_Coverage, 61299,
     /* 1100669 */     GIR_EraseRootFromParent_Done,
     /* 1100670 */   // Label 16173: @1100670
     /* 1100670 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1100747), // Rule ID 61300 //
     /* 1100675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1100686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1100689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1100692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100714 */     // MIs[0] policy
     /* 1100714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100746 */     // GIR_Coverage, 61300,
     /* 1100746 */     GIR_EraseRootFromParent_Done,
     /* 1100747 */   // Label 16174: @1100747
     /* 1100747 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1100824), // Rule ID 61303 //
     /* 1100752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1100763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1100766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1100769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1100772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100791 */     // MIs[0] policy
     /* 1100791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100823 */     // GIR_Coverage, 61303,
     /* 1100823 */     GIR_EraseRootFromParent_Done,
     /* 1100824 */   // Label 16175: @1100824
     /* 1100824 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100901), // Rule ID 61304 //
     /* 1100829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1100840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1100843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1100846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1100849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100868 */     // MIs[0] policy
     /* 1100868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100900 */     // GIR_Coverage, 61304,
     /* 1100900 */     GIR_EraseRootFromParent_Done,
     /* 1100901 */   // Label 16176: @1100901
     /* 1100901 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1100978), // Rule ID 61307 //
     /* 1100906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1100917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1100920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1100923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1100926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100945 */     // MIs[0] policy
     /* 1100945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100955 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1100958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100977 */     // GIR_Coverage, 61307,
     /* 1100977 */     GIR_EraseRootFromParent_Done,
     /* 1100978 */   // Label 16177: @1100978
     /* 1100978 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1101055), // Rule ID 61308 //
     /* 1100983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1100994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1100997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1101000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1101003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101022 */     // MIs[0] policy
     /* 1101022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101054 */     // GIR_Coverage, 61308,
     /* 1101054 */     GIR_EraseRootFromParent_Done,
     /* 1101055 */   // Label 16178: @1101055
     /* 1101055 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1101132), // Rule ID 61311 //
     /* 1101060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101099 */     // MIs[0] policy
     /* 1101099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101131 */     // GIR_Coverage, 61311,
     /* 1101131 */     GIR_EraseRootFromParent_Done,
     /* 1101132 */   // Label 16179: @1101132
     /* 1101132 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1101209), // Rule ID 61312 //
     /* 1101137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101176 */     // MIs[0] policy
     /* 1101176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101208 */     // GIR_Coverage, 61312,
     /* 1101208 */     GIR_EraseRootFromParent_Done,
     /* 1101209 */   // Label 16180: @1101209
     /* 1101209 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1101286), // Rule ID 61315 //
     /* 1101214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101253 */     // MIs[0] policy
     /* 1101253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101263 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101285 */     // GIR_Coverage, 61315,
     /* 1101285 */     GIR_EraseRootFromParent_Done,
     /* 1101286 */   // Label 16181: @1101286
     /* 1101286 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1101363), // Rule ID 61316 //
     /* 1101291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101330 */     // MIs[0] policy
     /* 1101330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101362 */     // GIR_Coverage, 61316,
     /* 1101362 */     GIR_EraseRootFromParent_Done,
     /* 1101363 */   // Label 16182: @1101363
     /* 1101363 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1101440), // Rule ID 61319 //
     /* 1101368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101407 */     // MIs[0] policy
     /* 1101407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101439 */     // GIR_Coverage, 61319,
     /* 1101439 */     GIR_EraseRootFromParent_Done,
     /* 1101440 */   // Label 16183: @1101440
     /* 1101440 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1101517), // Rule ID 61320 //
     /* 1101445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101484 */     // MIs[0] policy
     /* 1101484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101516 */     // GIR_Coverage, 61320,
     /* 1101516 */     GIR_EraseRootFromParent_Done,
     /* 1101517 */   // Label 16184: @1101517
     /* 1101517 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1101594), // Rule ID 61323 //
     /* 1101522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101561 */     // MIs[0] policy
     /* 1101561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101593 */     // GIR_Coverage, 61323,
     /* 1101593 */     GIR_EraseRootFromParent_Done,
     /* 1101594 */   // Label 16185: @1101594
     /* 1101594 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1101671), // Rule ID 61324 //
     /* 1101599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101638 */     // MIs[0] policy
     /* 1101638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101670 */     // GIR_Coverage, 61324,
     /* 1101670 */     GIR_EraseRootFromParent_Done,
     /* 1101671 */   // Label 16186: @1101671
     /* 1101671 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1101748), // Rule ID 61327 //
     /* 1101676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1101693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101715 */     // MIs[0] policy
     /* 1101715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101725 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101747 */     // GIR_Coverage, 61327,
     /* 1101747 */     GIR_EraseRootFromParent_Done,
     /* 1101748 */   // Label 16187: @1101748
     /* 1101748 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1101825), // Rule ID 61328 //
     /* 1101753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1101770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101792 */     // MIs[0] policy
     /* 1101792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101824 */     // GIR_Coverage, 61328,
     /* 1101824 */     GIR_EraseRootFromParent_Done,
     /* 1101825 */   // Label 16188: @1101825
     /* 1101825 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101902), // Rule ID 61331 //
     /* 1101830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101869 */     // MIs[0] policy
     /* 1101869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101901 */     // GIR_Coverage, 61331,
     /* 1101901 */     GIR_EraseRootFromParent_Done,
     /* 1101902 */   // Label 16189: @1101902
     /* 1101902 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1101979), // Rule ID 61332 //
     /* 1101907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101946 */     // MIs[0] policy
     /* 1101946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101978 */     // GIR_Coverage, 61332,
     /* 1101978 */     GIR_EraseRootFromParent_Done,
     /* 1101979 */   // Label 16190: @1101979
     /* 1101979 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1102056), // Rule ID 61335 //
     /* 1101984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1101995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1101998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1102001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102023 */     // MIs[0] policy
     /* 1102023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102055 */     // GIR_Coverage, 61335,
     /* 1102055 */     GIR_EraseRootFromParent_Done,
     /* 1102056 */   // Label 16191: @1102056
     /* 1102056 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1102133), // Rule ID 61336 //
     /* 1102061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1102072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1102075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1102078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102100 */     // MIs[0] policy
     /* 1102100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102132 */     // GIR_Coverage, 61336,
     /* 1102132 */     GIR_EraseRootFromParent_Done,
     /* 1102133 */   // Label 16192: @1102133
     /* 1102133 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1102210), // Rule ID 61339 //
     /* 1102138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102177 */     // MIs[0] policy
     /* 1102177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102209 */     // GIR_Coverage, 61339,
     /* 1102209 */     GIR_EraseRootFromParent_Done,
     /* 1102210 */   // Label 16193: @1102210
     /* 1102210 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1102287), // Rule ID 61340 //
     /* 1102215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102254 */     // MIs[0] policy
     /* 1102254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102286 */     // GIR_Coverage, 61340,
     /* 1102286 */     GIR_EraseRootFromParent_Done,
     /* 1102287 */   // Label 16194: @1102287
     /* 1102287 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1102364), // Rule ID 61343 //
     /* 1102292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102331 */     // MIs[0] policy
     /* 1102331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102341 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102363 */     // GIR_Coverage, 61343,
     /* 1102363 */     GIR_EraseRootFromParent_Done,
     /* 1102364 */   // Label 16195: @1102364
     /* 1102364 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1102441), // Rule ID 61344 //
     /* 1102369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102408 */     // MIs[0] policy
     /* 1102408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102440 */     // GIR_Coverage, 61344,
     /* 1102440 */     GIR_EraseRootFromParent_Done,
     /* 1102441 */   // Label 16196: @1102441
     /* 1102441 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1102518), // Rule ID 61347 //
     /* 1102446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102485 */     // MIs[0] policy
     /* 1102485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102517 */     // GIR_Coverage, 61347,
     /* 1102517 */     GIR_EraseRootFromParent_Done,
     /* 1102518 */   // Label 16197: @1102518
     /* 1102518 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1102595), // Rule ID 61348 //
     /* 1102523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102562 */     // MIs[0] policy
     /* 1102562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102594 */     // GIR_Coverage, 61348,
     /* 1102594 */     GIR_EraseRootFromParent_Done,
     /* 1102595 */   // Label 16198: @1102595
     /* 1102595 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1102672), // Rule ID 61351 //
     /* 1102600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1102611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1102614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1102617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102639 */     // MIs[0] policy
     /* 1102639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1102652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102671 */     // GIR_Coverage, 61351,
     /* 1102671 */     GIR_EraseRootFromParent_Done,
     /* 1102672 */   // Label 16199: @1102672
     /* 1102672 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1102749), // Rule ID 61352 //
     /* 1102677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1102688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1102691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1102694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102716 */     // MIs[0] policy
     /* 1102716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1102729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102748 */     // GIR_Coverage, 61352,
     /* 1102748 */     GIR_EraseRootFromParent_Done,
     /* 1102749 */   // Label 16200: @1102749
     /* 1102749 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1102826), // Rule ID 61355 //
     /* 1102754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1102765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1102768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1102771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102793 */     // MIs[0] policy
     /* 1102793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1102806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102825 */     // GIR_Coverage, 61355,
     /* 1102825 */     GIR_EraseRootFromParent_Done,
     /* 1102826 */   // Label 16201: @1102826
     /* 1102826 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102903), // Rule ID 61356 //
     /* 1102831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1102842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1102845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1102848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102870 */     // MIs[0] policy
     /* 1102870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102880 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1102883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102902 */     // GIR_Coverage, 61356,
     /* 1102902 */     GIR_EraseRootFromParent_Done,
     /* 1102903 */   // Label 16202: @1102903
     /* 1102903 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1102980), // Rule ID 61359 //
     /* 1102908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1102919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1102922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1102925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102947 */     // MIs[0] policy
     /* 1102947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102957 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1102960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102979 */     // GIR_Coverage, 61359,
     /* 1102979 */     GIR_EraseRootFromParent_Done,
     /* 1102980 */   // Label 16203: @1102980
     /* 1102980 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1103057), // Rule ID 61360 //
     /* 1102985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1102996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1102999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103024 */     // MIs[0] policy
     /* 1103024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103056 */     // GIR_Coverage, 61360,
     /* 1103056 */     GIR_EraseRootFromParent_Done,
     /* 1103057 */   // Label 16204: @1103057
     /* 1103057 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1103134), // Rule ID 61363 //
     /* 1103062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103101 */     // MIs[0] policy
     /* 1103101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103133 */     // GIR_Coverage, 61363,
     /* 1103133 */     GIR_EraseRootFromParent_Done,
     /* 1103134 */   // Label 16205: @1103134
     /* 1103134 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1103211), // Rule ID 61364 //
     /* 1103139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103178 */     // MIs[0] policy
     /* 1103178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103210 */     // GIR_Coverage, 61364,
     /* 1103210 */     GIR_EraseRootFromParent_Done,
     /* 1103211 */   // Label 16206: @1103211
     /* 1103211 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1103288), // Rule ID 61367 //
     /* 1103216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103255 */     // MIs[0] policy
     /* 1103255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103287 */     // GIR_Coverage, 61367,
     /* 1103287 */     GIR_EraseRootFromParent_Done,
     /* 1103288 */   // Label 16207: @1103288
     /* 1103288 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1103365), // Rule ID 61368 //
     /* 1103293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103332 */     // MIs[0] policy
     /* 1103332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103364 */     // GIR_Coverage, 61368,
     /* 1103364 */     GIR_EraseRootFromParent_Done,
     /* 1103365 */   // Label 16208: @1103365
     /* 1103365 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1103442), // Rule ID 61371 //
     /* 1103370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103409 */     // MIs[0] policy
     /* 1103409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103419 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103441 */     // GIR_Coverage, 61371,
     /* 1103441 */     GIR_EraseRootFromParent_Done,
     /* 1103442 */   // Label 16209: @1103442
     /* 1103442 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1103519), // Rule ID 61372 //
     /* 1103447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103486 */     // MIs[0] policy
     /* 1103486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103518 */     // GIR_Coverage, 61372,
     /* 1103518 */     GIR_EraseRootFromParent_Done,
     /* 1103519 */   // Label 16210: @1103519
     /* 1103519 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1103596), // Rule ID 61375 //
     /* 1103524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1103538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103563 */     // MIs[0] policy
     /* 1103563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103595 */     // GIR_Coverage, 61375,
     /* 1103595 */     GIR_EraseRootFromParent_Done,
     /* 1103596 */   // Label 16211: @1103596
     /* 1103596 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1103673), // Rule ID 61376 //
     /* 1103601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1103615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103640 */     // MIs[0] policy
     /* 1103640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103672 */     // GIR_Coverage, 61376,
     /* 1103672 */     GIR_EraseRootFromParent_Done,
     /* 1103673 */   // Label 16212: @1103673
     /* 1103673 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1103750), // Rule ID 61379 //
     /* 1103678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1103689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1103692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1103695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103717 */     // MIs[0] policy
     /* 1103717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103749 */     // GIR_Coverage, 61379,
     /* 1103749 */     GIR_EraseRootFromParent_Done,
     /* 1103750 */   // Label 16213: @1103750
     /* 1103750 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1103827), // Rule ID 61380 //
     /* 1103755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1103766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1103769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1103772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103794 */     // MIs[0] policy
     /* 1103794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103826 */     // GIR_Coverage, 61380,
     /* 1103826 */     GIR_EraseRootFromParent_Done,
     /* 1103827 */   // Label 16214: @1103827
     /* 1103827 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103904), // Rule ID 61383 //
     /* 1103832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1103849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103871 */     // MIs[0] policy
     /* 1103871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103903 */     // GIR_Coverage, 61383,
     /* 1103903 */     GIR_EraseRootFromParent_Done,
     /* 1103904 */   // Label 16215: @1103904
     /* 1103904 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1103981), // Rule ID 61384 //
     /* 1103909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1103926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103948 */     // MIs[0] policy
     /* 1103948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103980 */     // GIR_Coverage, 61384,
     /* 1103980 */     GIR_EraseRootFromParent_Done,
     /* 1103981 */   // Label 16216: @1103981
     /* 1103981 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1104058), // Rule ID 61387 //
     /* 1103986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1103997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1104000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1104003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104025 */     // MIs[0] policy
     /* 1104025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104057 */     // GIR_Coverage, 61387,
     /* 1104057 */     GIR_EraseRootFromParent_Done,
     /* 1104058 */   // Label 16217: @1104058
     /* 1104058 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1104135), // Rule ID 61388 //
     /* 1104063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1104074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1104077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1104080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104102 */     // MIs[0] policy
     /* 1104102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104134 */     // GIR_Coverage, 61388,
     /* 1104134 */     GIR_EraseRootFromParent_Done,
     /* 1104135 */   // Label 16218: @1104135
     /* 1104135 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1104212), // Rule ID 61391 //
     /* 1104140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104179 */     // MIs[0] policy
     /* 1104179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104211 */     // GIR_Coverage, 61391,
     /* 1104211 */     GIR_EraseRootFromParent_Done,
     /* 1104212 */   // Label 16219: @1104212
     /* 1104212 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1104289), // Rule ID 61392 //
     /* 1104217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104256 */     // MIs[0] policy
     /* 1104256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104288 */     // GIR_Coverage, 61392,
     /* 1104288 */     GIR_EraseRootFromParent_Done,
     /* 1104289 */   // Label 16220: @1104289
     /* 1104289 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1104366), // Rule ID 61395 //
     /* 1104294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104333 */     // MIs[0] policy
     /* 1104333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104343 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104365 */     // GIR_Coverage, 61395,
     /* 1104365 */     GIR_EraseRootFromParent_Done,
     /* 1104366 */   // Label 16221: @1104366
     /* 1104366 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1104443), // Rule ID 61396 //
     /* 1104371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104410 */     // MIs[0] policy
     /* 1104410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104420 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104442 */     // GIR_Coverage, 61396,
     /* 1104442 */     GIR_EraseRootFromParent_Done,
     /* 1104443 */   // Label 16222: @1104443
     /* 1104443 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1104520), // Rule ID 61399 //
     /* 1104448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104487 */     // MIs[0] policy
     /* 1104487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104519 */     // GIR_Coverage, 61399,
     /* 1104519 */     GIR_EraseRootFromParent_Done,
     /* 1104520 */   // Label 16223: @1104520
     /* 1104520 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1104597), // Rule ID 61400 //
     /* 1104525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104564 */     // MIs[0] policy
     /* 1104564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104596 */     // GIR_Coverage, 61400,
     /* 1104596 */     GIR_EraseRootFromParent_Done,
     /* 1104597 */   // Label 16224: @1104597
     /* 1104597 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1104674), // Rule ID 61403 //
     /* 1104602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1104613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1104616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1104619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104641 */     // MIs[0] policy
     /* 1104641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104673 */     // GIR_Coverage, 61403,
     /* 1104673 */     GIR_EraseRootFromParent_Done,
     /* 1104674 */   // Label 16225: @1104674
     /* 1104674 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1104751), // Rule ID 61404 //
     /* 1104679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1104690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1104693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1104696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104718 */     // MIs[0] policy
     /* 1104718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104750 */     // GIR_Coverage, 61404,
     /* 1104750 */     GIR_EraseRootFromParent_Done,
     /* 1104751 */   // Label 16226: @1104751
     /* 1104751 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1104828), // Rule ID 61407 //
     /* 1104756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1104767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1104770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1104773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104795 */     // MIs[0] policy
     /* 1104795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104805 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104827 */     // GIR_Coverage, 61407,
     /* 1104827 */     GIR_EraseRootFromParent_Done,
     /* 1104828 */   // Label 16227: @1104828
     /* 1104828 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104905), // Rule ID 61408 //
     /* 1104833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1104844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1104847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1104850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104872 */     // MIs[0] policy
     /* 1104872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104904 */     // GIR_Coverage, 61408,
     /* 1104904 */     GIR_EraseRootFromParent_Done,
     /* 1104905 */   // Label 16228: @1104905
     /* 1104905 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1104982), // Rule ID 61411 //
     /* 1104910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104949 */     // MIs[0] policy
     /* 1104949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104981 */     // GIR_Coverage, 61411,
     /* 1104981 */     GIR_EraseRootFromParent_Done,
     /* 1104982 */   // Label 16229: @1104982
     /* 1104982 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1105059), // Rule ID 61412 //
     /* 1104987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105026 */     // MIs[0] policy
     /* 1105026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105058 */     // GIR_Coverage, 61412,
     /* 1105058 */     GIR_EraseRootFromParent_Done,
     /* 1105059 */   // Label 16230: @1105059
     /* 1105059 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1105136), // Rule ID 61415 //
     /* 1105064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105103 */     // MIs[0] policy
     /* 1105103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105135 */     // GIR_Coverage, 61415,
     /* 1105135 */     GIR_EraseRootFromParent_Done,
     /* 1105136 */   // Label 16231: @1105136
     /* 1105136 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1105213), // Rule ID 61416 //
     /* 1105141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105180 */     // MIs[0] policy
     /* 1105180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105212 */     // GIR_Coverage, 61416,
     /* 1105212 */     GIR_EraseRootFromParent_Done,
     /* 1105213 */   // Label 16232: @1105213
     /* 1105213 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1105290), // Rule ID 61419 //
     /* 1105218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105257 */     // MIs[0] policy
     /* 1105257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105289 */     // GIR_Coverage, 61419,
     /* 1105289 */     GIR_EraseRootFromParent_Done,
     /* 1105290 */   // Label 16233: @1105290
     /* 1105290 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1105367), // Rule ID 61420 //
     /* 1105295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105334 */     // MIs[0] policy
     /* 1105334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105366 */     // GIR_Coverage, 61420,
     /* 1105366 */     GIR_EraseRootFromParent_Done,
     /* 1105367 */   // Label 16234: @1105367
     /* 1105367 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1105444), // Rule ID 61423 //
     /* 1105372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105411 */     // MIs[0] policy
     /* 1105411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105443 */     // GIR_Coverage, 61423,
     /* 1105443 */     GIR_EraseRootFromParent_Done,
     /* 1105444 */   // Label 16235: @1105444
     /* 1105444 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1105521), // Rule ID 61424 //
     /* 1105449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105488 */     // MIs[0] policy
     /* 1105488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105520 */     // GIR_Coverage, 61424,
     /* 1105520 */     GIR_EraseRootFromParent_Done,
     /* 1105521 */   // Label 16236: @1105521
     /* 1105521 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1105598), // Rule ID 61427 //
     /* 1105526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105565 */     // MIs[0] policy
     /* 1105565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105597 */     // GIR_Coverage, 61427,
     /* 1105597 */     GIR_EraseRootFromParent_Done,
     /* 1105598 */   // Label 16237: @1105598
     /* 1105598 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1105675), // Rule ID 61428 //
     /* 1105603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105642 */     // MIs[0] policy
     /* 1105642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105652 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105674 */     // GIR_Coverage, 61428,
     /* 1105674 */     GIR_EraseRootFromParent_Done,
     /* 1105675 */   // Label 16238: @1105675
     /* 1105675 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1105752), // Rule ID 61431 //
     /* 1105680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1105691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1105694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1105697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105719 */     // MIs[0] policy
     /* 1105719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105751 */     // GIR_Coverage, 61431,
     /* 1105751 */     GIR_EraseRootFromParent_Done,
     /* 1105752 */   // Label 16239: @1105752
     /* 1105752 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1105829), // Rule ID 61432 //
     /* 1105757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1105768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1105771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1105774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105796 */     // MIs[0] policy
     /* 1105796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105828 */     // GIR_Coverage, 61432,
     /* 1105828 */     GIR_EraseRootFromParent_Done,
     /* 1105829 */   // Label 16240: @1105829
     /* 1105829 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105906), // Rule ID 61957 //
     /* 1105834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1105837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105873 */     // MIs[0] policy
     /* 1105873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1105886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105905 */     // GIR_Coverage, 61957,
     /* 1105905 */     GIR_EraseRootFromParent_Done,
     /* 1105906 */   // Label 16241: @1105906
     /* 1105906 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1105983), // Rule ID 61958 //
     /* 1105911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1105914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105950 */     // MIs[0] policy
     /* 1105950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1105963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105982 */     // GIR_Coverage, 61958,
     /* 1105982 */     GIR_EraseRootFromParent_Done,
     /* 1105983 */   // Label 16242: @1105983
     /* 1105983 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1106060), // Rule ID 61959 //
     /* 1105988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1105991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106027 */     // MIs[0] policy
     /* 1106027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1106040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106059 */     // GIR_Coverage, 61959,
     /* 1106059 */     GIR_EraseRootFromParent_Done,
     /* 1106060 */   // Label 16243: @1106060
     /* 1106060 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1106137), // Rule ID 61960 //
     /* 1106065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106104 */     // MIs[0] policy
     /* 1106104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1106117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106136 */     // GIR_Coverage, 61960,
     /* 1106136 */     GIR_EraseRootFromParent_Done,
     /* 1106137 */   // Label 16244: @1106137
     /* 1106137 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1106214), // Rule ID 61961 //
     /* 1106142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106181 */     // MIs[0] policy
     /* 1106181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106213 */     // GIR_Coverage, 61961,
     /* 1106213 */     GIR_EraseRootFromParent_Done,
     /* 1106214 */   // Label 16245: @1106214
     /* 1106214 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1106291), // Rule ID 61962 //
     /* 1106219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106258 */     // MIs[0] policy
     /* 1106258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106290 */     // GIR_Coverage, 61962,
     /* 1106290 */     GIR_EraseRootFromParent_Done,
     /* 1106291 */   // Label 16246: @1106291
     /* 1106291 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1106368), // Rule ID 61963 //
     /* 1106296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106335 */     // MIs[0] policy
     /* 1106335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106367 */     // GIR_Coverage, 61963,
     /* 1106367 */     GIR_EraseRootFromParent_Done,
     /* 1106368 */   // Label 16247: @1106368
     /* 1106368 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1106445), // Rule ID 61964 //
     /* 1106373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106412 */     // MIs[0] policy
     /* 1106412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106444 */     // GIR_Coverage, 61964,
     /* 1106444 */     GIR_EraseRootFromParent_Done,
     /* 1106445 */   // Label 16248: @1106445
     /* 1106445 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1106522), // Rule ID 62167 //
     /* 1106450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106489 */     // MIs[0] policy
     /* 1106489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106521 */     // GIR_Coverage, 62167,
     /* 1106521 */     GIR_EraseRootFromParent_Done,
     /* 1106522 */   // Label 16249: @1106522
     /* 1106522 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1106599), // Rule ID 62168 //
     /* 1106527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106566 */     // MIs[0] policy
     /* 1106566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106598 */     // GIR_Coverage, 62168,
     /* 1106598 */     GIR_EraseRootFromParent_Done,
     /* 1106599 */   // Label 16250: @1106599
     /* 1106599 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1106676), // Rule ID 62169 //
     /* 1106604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106643 */     // MIs[0] policy
     /* 1106643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1106656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106675 */     // GIR_Coverage, 62169,
     /* 1106675 */     GIR_EraseRootFromParent_Done,
     /* 1106676 */   // Label 16251: @1106676
     /* 1106676 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1106753), // Rule ID 62170 //
     /* 1106681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106720 */     // MIs[0] policy
     /* 1106720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1106733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106752 */     // GIR_Coverage, 62170,
     /* 1106752 */     GIR_EraseRootFromParent_Done,
     /* 1106753 */   // Label 16252: @1106753
     /* 1106753 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1106830), // Rule ID 62171 //
     /* 1106758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106797 */     // MIs[0] policy
     /* 1106797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1106810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106829 */     // GIR_Coverage, 62171,
     /* 1106829 */     GIR_EraseRootFromParent_Done,
     /* 1106830 */   // Label 16253: @1106830
     /* 1106830 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106907), // Rule ID 62172 //
     /* 1106835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106874 */     // MIs[0] policy
     /* 1106874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1106887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106906 */     // GIR_Coverage, 62172,
     /* 1106906 */     GIR_EraseRootFromParent_Done,
     /* 1106907 */   // Label 16254: @1106907
     /* 1106907 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1106984), // Rule ID 62173 //
     /* 1106912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106951 */     // MIs[0] policy
     /* 1106951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1106964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106983 */     // GIR_Coverage, 62173,
     /* 1106983 */     GIR_EraseRootFromParent_Done,
     /* 1106984 */   // Label 16255: @1106984
     /* 1106984 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1107061), // Rule ID 62174 //
     /* 1106989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107028 */     // MIs[0] policy
     /* 1107028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107060 */     // GIR_Coverage, 62174,
     /* 1107060 */     GIR_EraseRootFromParent_Done,
     /* 1107061 */   // Label 16256: @1107061
     /* 1107061 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1107138), // Rule ID 62175 //
     /* 1107066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107105 */     // MIs[0] policy
     /* 1107105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107137 */     // GIR_Coverage, 62175,
     /* 1107137 */     GIR_EraseRootFromParent_Done,
     /* 1107138 */   // Label 16257: @1107138
     /* 1107138 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1107215), // Rule ID 62176 //
     /* 1107143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107182 */     // MIs[0] policy
     /* 1107182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107214 */     // GIR_Coverage, 62176,
     /* 1107214 */     GIR_EraseRootFromParent_Done,
     /* 1107215 */   // Label 16258: @1107215
     /* 1107215 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1107292), // Rule ID 62177 //
     /* 1107220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107259 */     // MIs[0] policy
     /* 1107259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107291 */     // GIR_Coverage, 62177,
     /* 1107291 */     GIR_EraseRootFromParent_Done,
     /* 1107292 */   // Label 16259: @1107292
     /* 1107292 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1107369), // Rule ID 62178 //
     /* 1107297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107336 */     // MIs[0] policy
     /* 1107336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107368 */     // GIR_Coverage, 62178,
     /* 1107368 */     GIR_EraseRootFromParent_Done,
     /* 1107369 */   // Label 16260: @1107369
     /* 1107369 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1107446), // Rule ID 62179 //
     /* 1107374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107413 */     // MIs[0] policy
     /* 1107413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107445 */     // GIR_Coverage, 62179,
     /* 1107445 */     GIR_EraseRootFromParent_Done,
     /* 1107446 */   // Label 16261: @1107446
     /* 1107446 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1107523), // Rule ID 62180 //
     /* 1107451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107490 */     // MIs[0] policy
     /* 1107490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107522 */     // GIR_Coverage, 62180,
     /* 1107522 */     GIR_EraseRootFromParent_Done,
     /* 1107523 */   // Label 16262: @1107523
     /* 1107523 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1107600), // Rule ID 62181 //
     /* 1107528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107567 */     // MIs[0] policy
     /* 1107567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107599 */     // GIR_Coverage, 62181,
     /* 1107599 */     GIR_EraseRootFromParent_Done,
     /* 1107600 */   // Label 16263: @1107600
     /* 1107600 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1107677), // Rule ID 62182 //
     /* 1107605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107644 */     // MIs[0] policy
     /* 1107644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107676 */     // GIR_Coverage, 62182,
     /* 1107676 */     GIR_EraseRootFromParent_Done,
     /* 1107677 */   // Label 16264: @1107677
     /* 1107677 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1107754), // Rule ID 62183 //
     /* 1107682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107721 */     // MIs[0] policy
     /* 1107721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107753 */     // GIR_Coverage, 62183,
     /* 1107753 */     GIR_EraseRootFromParent_Done,
     /* 1107754 */   // Label 16265: @1107754
     /* 1107754 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1107831), // Rule ID 62184 //
     /* 1107759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107798 */     // MIs[0] policy
     /* 1107798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107830 */     // GIR_Coverage, 62184,
     /* 1107830 */     GIR_EraseRootFromParent_Done,
     /* 1107831 */   // Label 16266: @1107831
     /* 1107831 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107908), // Rule ID 62185 //
     /* 1107836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107875 */     // MIs[0] policy
     /* 1107875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107907 */     // GIR_Coverage, 62185,
     /* 1107907 */     GIR_EraseRootFromParent_Done,
     /* 1107908 */   // Label 16267: @1107908
     /* 1107908 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1107985), // Rule ID 62186 //
     /* 1107913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107952 */     // MIs[0] policy
     /* 1107952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107984 */     // GIR_Coverage, 62186,
     /* 1107984 */     GIR_EraseRootFromParent_Done,
     /* 1107985 */   // Label 16268: @1107985
     /* 1107985 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1108062), // Rule ID 62187 //
     /* 1107990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108029 */     // MIs[0] policy
     /* 1108029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1108042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108061 */     // GIR_Coverage, 62187,
     /* 1108061 */     GIR_EraseRootFromParent_Done,
     /* 1108062 */   // Label 16269: @1108062
     /* 1108062 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1108139), // Rule ID 62188 //
     /* 1108067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108106 */     // MIs[0] policy
     /* 1108106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1108119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108138 */     // GIR_Coverage, 62188,
     /* 1108138 */     GIR_EraseRootFromParent_Done,
     /* 1108139 */   // Label 16270: @1108139
     /* 1108139 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1108216), // Rule ID 62189 //
     /* 1108144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108183 */     // MIs[0] policy
     /* 1108183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108215 */     // GIR_Coverage, 62189,
     /* 1108215 */     GIR_EraseRootFromParent_Done,
     /* 1108216 */   // Label 16271: @1108216
     /* 1108216 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1108293), // Rule ID 62190 //
     /* 1108221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108260 */     // MIs[0] policy
     /* 1108260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108292 */     // GIR_Coverage, 62190,
     /* 1108292 */     GIR_EraseRootFromParent_Done,
     /* 1108293 */   // Label 16272: @1108293
     /* 1108293 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1108370), // Rule ID 62191 //
     /* 1108298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108337 */     // MIs[0] policy
     /* 1108337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108369 */     // GIR_Coverage, 62191,
     /* 1108369 */     GIR_EraseRootFromParent_Done,
     /* 1108370 */   // Label 16273: @1108370
     /* 1108370 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1108447), // Rule ID 62192 //
     /* 1108375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108414 */     // MIs[0] policy
     /* 1108414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108446 */     // GIR_Coverage, 62192,
     /* 1108446 */     GIR_EraseRootFromParent_Done,
     /* 1108447 */   // Label 16274: @1108447
     /* 1108447 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1108524), // Rule ID 62193 //
     /* 1108452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108491 */     // MIs[0] policy
     /* 1108491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108523 */     // GIR_Coverage, 62193,
     /* 1108523 */     GIR_EraseRootFromParent_Done,
     /* 1108524 */   // Label 16275: @1108524
     /* 1108524 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1108601), // Rule ID 62194 //
     /* 1108529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108568 */     // MIs[0] policy
     /* 1108568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108600 */     // GIR_Coverage, 62194,
     /* 1108600 */     GIR_EraseRootFromParent_Done,
     /* 1108601 */   // Label 16276: @1108601
     /* 1108601 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1108678), // Rule ID 62195 //
     /* 1108606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108645 */     // MIs[0] policy
     /* 1108645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1108658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108677 */     // GIR_Coverage, 62195,
     /* 1108677 */     GIR_EraseRootFromParent_Done,
     /* 1108678 */   // Label 16277: @1108678
     /* 1108678 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1108755), // Rule ID 62196 //
     /* 1108683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108722 */     // MIs[0] policy
     /* 1108722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1108735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108754 */     // GIR_Coverage, 62196,
     /* 1108754 */     GIR_EraseRootFromParent_Done,
     /* 1108755 */   // Label 16278: @1108755
     /* 1108755 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1108832), // Rule ID 62197 //
     /* 1108760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108799 */     // MIs[0] policy
     /* 1108799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1108812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108831 */     // GIR_Coverage, 62197,
     /* 1108831 */     GIR_EraseRootFromParent_Done,
     /* 1108832 */   // Label 16279: @1108832
     /* 1108832 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108909), // Rule ID 62198 //
     /* 1108837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108876 */     // MIs[0] policy
     /* 1108876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1108889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108908 */     // GIR_Coverage, 62198,
     /* 1108908 */     GIR_EraseRootFromParent_Done,
     /* 1108909 */   // Label 16280: @1108909
     /* 1108909 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1108986), // Rule ID 62199 //
     /* 1108914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108953 */     // MIs[0] policy
     /* 1108953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1108966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108985 */     // GIR_Coverage, 62199,
     /* 1108985 */     GIR_EraseRootFromParent_Done,
     /* 1108986 */   // Label 16281: @1108986
     /* 1108986 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1109063), // Rule ID 62200 //
     /* 1108991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109030 */     // MIs[0] policy
     /* 1109030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109062 */     // GIR_Coverage, 62200,
     /* 1109062 */     GIR_EraseRootFromParent_Done,
     /* 1109063 */   // Label 16282: @1109063
     /* 1109063 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1109140), // Rule ID 62201 //
     /* 1109068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109107 */     // MIs[0] policy
     /* 1109107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109139 */     // GIR_Coverage, 62201,
     /* 1109139 */     GIR_EraseRootFromParent_Done,
     /* 1109140 */   // Label 16283: @1109140
     /* 1109140 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1109217), // Rule ID 62202 //
     /* 1109145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109184 */     // MIs[0] policy
     /* 1109184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109216 */     // GIR_Coverage, 62202,
     /* 1109216 */     GIR_EraseRootFromParent_Done,
     /* 1109217 */   // Label 16284: @1109217
     /* 1109217 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1109294), // Rule ID 62203 //
     /* 1109222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109261 */     // MIs[0] policy
     /* 1109261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109293 */     // GIR_Coverage, 62203,
     /* 1109293 */     GIR_EraseRootFromParent_Done,
     /* 1109294 */   // Label 16285: @1109294
     /* 1109294 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1109371), // Rule ID 62204 //
     /* 1109299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109338 */     // MIs[0] policy
     /* 1109338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109370 */     // GIR_Coverage, 62204,
     /* 1109370 */     GIR_EraseRootFromParent_Done,
     /* 1109371 */   // Label 16286: @1109371
     /* 1109371 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1109448), // Rule ID 62205 //
     /* 1109376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109415 */     // MIs[0] policy
     /* 1109415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109447 */     // GIR_Coverage, 62205,
     /* 1109447 */     GIR_EraseRootFromParent_Done,
     /* 1109448 */   // Label 16287: @1109448
     /* 1109448 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1109525), // Rule ID 62206 //
     /* 1109453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109492 */     // MIs[0] policy
     /* 1109492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109524 */     // GIR_Coverage, 62206,
     /* 1109524 */     GIR_EraseRootFromParent_Done,
     /* 1109525 */   // Label 16288: @1109525
     /* 1109525 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1109602), // Rule ID 62207 //
     /* 1109530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109569 */     // MIs[0] policy
     /* 1109569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109601 */     // GIR_Coverage, 62207,
     /* 1109601 */     GIR_EraseRootFromParent_Done,
     /* 1109602 */   // Label 16289: @1109602
     /* 1109602 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1109679), // Rule ID 62208 //
     /* 1109607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109646 */     // MIs[0] policy
     /* 1109646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109678 */     // GIR_Coverage, 62208,
     /* 1109678 */     GIR_EraseRootFromParent_Done,
     /* 1109679 */   // Label 16290: @1109679
     /* 1109679 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1109756), // Rule ID 62209 //
     /* 1109684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1109695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1109698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1109701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1109704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109723 */     // MIs[0] policy
     /* 1109723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109755 */     // GIR_Coverage, 62209,
     /* 1109755 */     GIR_EraseRootFromParent_Done,
     /* 1109756 */   // Label 16291: @1109756
     /* 1109756 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109833), // Rule ID 62210 //
     /* 1109761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1109772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1109775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1109778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1109781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109800 */     // MIs[0] policy
     /* 1109800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109832 */     // GIR_Coverage, 62210,
     /* 1109832 */     GIR_EraseRootFromParent_Done,
     /* 1109833 */   // Label 16292: @1109833
     /* 1109833 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109910), // Rule ID 62211 //
     /* 1109838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1109849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1109852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1109855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1109858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109877 */     // MIs[0] policy
     /* 1109877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109887 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109909 */     // GIR_Coverage, 62211,
     /* 1109909 */     GIR_EraseRootFromParent_Done,
     /* 1109910 */   // Label 16293: @1109910
     /* 1109910 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1109987), // Rule ID 62212 //
     /* 1109915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1109926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1109929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1109932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1109935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109954 */     // MIs[0] policy
     /* 1109954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109986 */     // GIR_Coverage, 62212,
     /* 1109986 */     GIR_EraseRootFromParent_Done,
     /* 1109987 */   // Label 16294: @1109987
     /* 1109987 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1110064), // Rule ID 62213 //
     /* 1109992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110031 */     // MIs[0] policy
     /* 1110031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110063 */     // GIR_Coverage, 62213,
     /* 1110063 */     GIR_EraseRootFromParent_Done,
     /* 1110064 */   // Label 16295: @1110064
     /* 1110064 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1110141), // Rule ID 62214 //
     /* 1110069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110108 */     // MIs[0] policy
     /* 1110108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110140 */     // GIR_Coverage, 62214,
     /* 1110140 */     GIR_EraseRootFromParent_Done,
     /* 1110141 */   // Label 16296: @1110141
     /* 1110141 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1110218), // Rule ID 62215 //
     /* 1110146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110185 */     // MIs[0] policy
     /* 1110185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110195 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110217 */     // GIR_Coverage, 62215,
     /* 1110217 */     GIR_EraseRootFromParent_Done,
     /* 1110218 */   // Label 16297: @1110218
     /* 1110218 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1110295), // Rule ID 62216 //
     /* 1110223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110262 */     // MIs[0] policy
     /* 1110262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110294 */     // GIR_Coverage, 62216,
     /* 1110294 */     GIR_EraseRootFromParent_Done,
     /* 1110295 */   // Label 16298: @1110295
     /* 1110295 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1110372), // Rule ID 62217 //
     /* 1110300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110339 */     // MIs[0] policy
     /* 1110339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110371 */     // GIR_Coverage, 62217,
     /* 1110371 */     GIR_EraseRootFromParent_Done,
     /* 1110372 */   // Label 16299: @1110372
     /* 1110372 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1110449), // Rule ID 62218 //
     /* 1110377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110416 */     // MIs[0] policy
     /* 1110416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110448 */     // GIR_Coverage, 62218,
     /* 1110448 */     GIR_EraseRootFromParent_Done,
     /* 1110449 */   // Label 16300: @1110449
     /* 1110449 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1110526), // Rule ID 62219 //
     /* 1110454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110493 */     // MIs[0] policy
     /* 1110493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110525 */     // GIR_Coverage, 62219,
     /* 1110525 */     GIR_EraseRootFromParent_Done,
     /* 1110526 */   // Label 16301: @1110526
     /* 1110526 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1110603), // Rule ID 62220 //
     /* 1110531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110570 */     // MIs[0] policy
     /* 1110570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110602 */     // GIR_Coverage, 62220,
     /* 1110602 */     GIR_EraseRootFromParent_Done,
     /* 1110603 */   // Label 16302: @1110603
     /* 1110603 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1110680), // Rule ID 62221 //
     /* 1110608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110647 */     // MIs[0] policy
     /* 1110647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110679 */     // GIR_Coverage, 62221,
     /* 1110679 */     GIR_EraseRootFromParent_Done,
     /* 1110680 */   // Label 16303: @1110680
     /* 1110680 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1110757), // Rule ID 62222 //
     /* 1110685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110724 */     // MIs[0] policy
     /* 1110724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110756 */     // GIR_Coverage, 62222,
     /* 1110756 */     GIR_EraseRootFromParent_Done,
     /* 1110757 */   // Label 16304: @1110757
     /* 1110757 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110834), // Rule ID 62223 //
     /* 1110762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110801 */     // MIs[0] policy
     /* 1110801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110833 */     // GIR_Coverage, 62223,
     /* 1110833 */     GIR_EraseRootFromParent_Done,
     /* 1110834 */   // Label 16305: @1110834
     /* 1110834 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110911), // Rule ID 62224 //
     /* 1110839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110878 */     // MIs[0] policy
     /* 1110878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110910 */     // GIR_Coverage, 62224,
     /* 1110910 */     GIR_EraseRootFromParent_Done,
     /* 1110911 */   // Label 16306: @1110911
     /* 1110911 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1110988), // Rule ID 62225 //
     /* 1110916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110955 */     // MIs[0] policy
     /* 1110955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110965 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110987 */     // GIR_Coverage, 62225,
     /* 1110987 */     GIR_EraseRootFromParent_Done,
     /* 1110988 */   // Label 16307: @1110988
     /* 1110988 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1111065), // Rule ID 62226 //
     /* 1110993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111032 */     // MIs[0] policy
     /* 1111032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111064 */     // GIR_Coverage, 62226,
     /* 1111064 */     GIR_EraseRootFromParent_Done,
     /* 1111065 */   // Label 16308: @1111065
     /* 1111065 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1111142), // Rule ID 62227 //
     /* 1111070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111109 */     // MIs[0] policy
     /* 1111109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111119 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111141 */     // GIR_Coverage, 62227,
     /* 1111141 */     GIR_EraseRootFromParent_Done,
     /* 1111142 */   // Label 16309: @1111142
     /* 1111142 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1111219), // Rule ID 62228 //
     /* 1111147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111186 */     // MIs[0] policy
     /* 1111186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111196 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111218 */     // GIR_Coverage, 62228,
     /* 1111218 */     GIR_EraseRootFromParent_Done,
     /* 1111219 */   // Label 16310: @1111219
     /* 1111219 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1111296), // Rule ID 62229 //
     /* 1111224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111263 */     // MIs[0] policy
     /* 1111263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111295 */     // GIR_Coverage, 62229,
     /* 1111295 */     GIR_EraseRootFromParent_Done,
     /* 1111296 */   // Label 16311: @1111296
     /* 1111296 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1111373), // Rule ID 62230 //
     /* 1111301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111340 */     // MIs[0] policy
     /* 1111340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111372 */     // GIR_Coverage, 62230,
     /* 1111372 */     GIR_EraseRootFromParent_Done,
     /* 1111373 */   // Label 16312: @1111373
     /* 1111373 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1111450), // Rule ID 62231 //
     /* 1111378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111417 */     // MIs[0] policy
     /* 1111417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111449 */     // GIR_Coverage, 62231,
     /* 1111449 */     GIR_EraseRootFromParent_Done,
     /* 1111450 */   // Label 16313: @1111450
     /* 1111450 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1111527), // Rule ID 62232 //
     /* 1111455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111494 */     // MIs[0] policy
     /* 1111494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111526 */     // GIR_Coverage, 62232,
     /* 1111526 */     GIR_EraseRootFromParent_Done,
     /* 1111527 */   // Label 16314: @1111527
     /* 1111527 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1111604), // Rule ID 62233 //
     /* 1111532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111571 */     // MIs[0] policy
     /* 1111571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111581 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1111584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111603 */     // GIR_Coverage, 62233,
     /* 1111603 */     GIR_EraseRootFromParent_Done,
     /* 1111604 */   // Label 16315: @1111604
     /* 1111604 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1111681), // Rule ID 62234 //
     /* 1111609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111648 */     // MIs[0] policy
     /* 1111648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1111661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111680 */     // GIR_Coverage, 62234,
     /* 1111680 */     GIR_EraseRootFromParent_Done,
     /* 1111681 */   // Label 16316: @1111681
     /* 1111681 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111758), // Rule ID 62235 //
     /* 1111686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111725 */     // MIs[0] policy
     /* 1111725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111735 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1111738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111757 */     // GIR_Coverage, 62235,
     /* 1111757 */     GIR_EraseRootFromParent_Done,
     /* 1111758 */   // Label 16317: @1111758
     /* 1111758 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111835), // Rule ID 62236 //
     /* 1111763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111802 */     // MIs[0] policy
     /* 1111802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1111815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111834 */     // GIR_Coverage, 62236,
     /* 1111834 */     GIR_EraseRootFromParent_Done,
     /* 1111835 */   // Label 16318: @1111835
     /* 1111835 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111912), // Rule ID 62237 //
     /* 1111840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1111860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111879 */     // MIs[0] policy
     /* 1111879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1111892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111911 */     // GIR_Coverage, 62237,
     /* 1111911 */     GIR_EraseRootFromParent_Done,
     /* 1111912 */   // Label 16319: @1111912
     /* 1111912 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1111989), // Rule ID 62238 //
     /* 1111917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1111937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111956 */     // MIs[0] policy
     /* 1111956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1111969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111988 */     // GIR_Coverage, 62238,
     /* 1111988 */     GIR_EraseRootFromParent_Done,
     /* 1111989 */   // Label 16320: @1111989
     /* 1111989 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1112066), // Rule ID 62239 //
     /* 1111994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112033 */     // MIs[0] policy
     /* 1112033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112065 */     // GIR_Coverage, 62239,
     /* 1112065 */     GIR_EraseRootFromParent_Done,
     /* 1112066 */   // Label 16321: @1112066
     /* 1112066 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1112143), // Rule ID 62240 //
     /* 1112071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112110 */     // MIs[0] policy
     /* 1112110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112142 */     // GIR_Coverage, 62240,
     /* 1112142 */     GIR_EraseRootFromParent_Done,
     /* 1112143 */   // Label 16322: @1112143
     /* 1112143 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1112220), // Rule ID 62241 //
     /* 1112148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112187 */     // MIs[0] policy
     /* 1112187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112219 */     // GIR_Coverage, 62241,
     /* 1112219 */     GIR_EraseRootFromParent_Done,
     /* 1112220 */   // Label 16323: @1112220
     /* 1112220 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1112297), // Rule ID 62242 //
     /* 1112225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112264 */     // MIs[0] policy
     /* 1112264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112296 */     // GIR_Coverage, 62242,
     /* 1112296 */     GIR_EraseRootFromParent_Done,
     /* 1112297 */   // Label 16324: @1112297
     /* 1112297 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1112374), // Rule ID 62243 //
     /* 1112302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112341 */     // MIs[0] policy
     /* 1112341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112373 */     // GIR_Coverage, 62243,
     /* 1112373 */     GIR_EraseRootFromParent_Done,
     /* 1112374 */   // Label 16325: @1112374
     /* 1112374 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1112451), // Rule ID 62244 //
     /* 1112379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112418 */     // MIs[0] policy
     /* 1112418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112450 */     // GIR_Coverage, 62244,
     /* 1112450 */     GIR_EraseRootFromParent_Done,
     /* 1112451 */   // Label 16326: @1112451
     /* 1112451 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1112528), // Rule ID 62245 //
     /* 1112456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112495 */     // MIs[0] policy
     /* 1112495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112527 */     // GIR_Coverage, 62245,
     /* 1112527 */     GIR_EraseRootFromParent_Done,
     /* 1112528 */   // Label 16327: @1112528
     /* 1112528 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1112605), // Rule ID 62246 //
     /* 1112533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112572 */     // MIs[0] policy
     /* 1112572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112604 */     // GIR_Coverage, 62246,
     /* 1112604 */     GIR_EraseRootFromParent_Done,
     /* 1112605 */   // Label 16328: @1112605
     /* 1112605 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1112682), // Rule ID 62247 //
     /* 1112610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1112621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1112624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1112627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1112630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112649 */     // MIs[0] policy
     /* 1112649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1112662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112681 */     // GIR_Coverage, 62247,
     /* 1112681 */     GIR_EraseRootFromParent_Done,
     /* 1112682 */   // Label 16329: @1112682
     /* 1112682 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112759), // Rule ID 62248 //
     /* 1112687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1112698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1112701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1112704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1112707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112726 */     // MIs[0] policy
     /* 1112726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1112739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112758 */     // GIR_Coverage, 62248,
     /* 1112758 */     GIR_EraseRootFromParent_Done,
     /* 1112759 */   // Label 16330: @1112759
     /* 1112759 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112836), // Rule ID 62249 //
     /* 1112764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1112775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1112778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1112781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1112784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112803 */     // MIs[0] policy
     /* 1112803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112813 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1112816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112835 */     // GIR_Coverage, 62249,
     /* 1112835 */     GIR_EraseRootFromParent_Done,
     /* 1112836 */   // Label 16331: @1112836
     /* 1112836 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112913), // Rule ID 62250 //
     /* 1112841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1112852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1112855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1112858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1112861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112880 */     // MIs[0] policy
     /* 1112880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1112893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112912 */     // GIR_Coverage, 62250,
     /* 1112912 */     GIR_EraseRootFromParent_Done,
     /* 1112913 */   // Label 16332: @1112913
     /* 1112913 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1112990), // Rule ID 62510 //
     /* 1112918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1112935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1112938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112957 */     // MIs[0] policy
     /* 1112957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112967 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1112970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112989 */     // GIR_Coverage, 62510,
     /* 1112989 */     GIR_EraseRootFromParent_Done,
     /* 1112990 */   // Label 16333: @1112990
     /* 1112990 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1113067), // Rule ID 62511 //
     /* 1112995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113034 */     // MIs[0] policy
     /* 1113034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1113047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113066 */     // GIR_Coverage, 62511,
     /* 1113066 */     GIR_EraseRootFromParent_Done,
     /* 1113067 */   // Label 16334: @1113067
     /* 1113067 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1113144), // Rule ID 62514 //
     /* 1113072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113111 */     // MIs[0] policy
     /* 1113111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113143 */     // GIR_Coverage, 62514,
     /* 1113143 */     GIR_EraseRootFromParent_Done,
     /* 1113144 */   // Label 16335: @1113144
     /* 1113144 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1113221), // Rule ID 62515 //
     /* 1113149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113188 */     // MIs[0] policy
     /* 1113188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113220 */     // GIR_Coverage, 62515,
     /* 1113220 */     GIR_EraseRootFromParent_Done,
     /* 1113221 */   // Label 16336: @1113221
     /* 1113221 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1113298), // Rule ID 62518 //
     /* 1113226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113265 */     // MIs[0] policy
     /* 1113265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113297 */     // GIR_Coverage, 62518,
     /* 1113297 */     GIR_EraseRootFromParent_Done,
     /* 1113298 */   // Label 16337: @1113298
     /* 1113298 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1113375), // Rule ID 62519 //
     /* 1113303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113342 */     // MIs[0] policy
     /* 1113342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113374 */     // GIR_Coverage, 62519,
     /* 1113374 */     GIR_EraseRootFromParent_Done,
     /* 1113375 */   // Label 16338: @1113375
     /* 1113375 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1113452), // Rule ID 62522 //
     /* 1113380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113419 */     // MIs[0] policy
     /* 1113419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113429 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113451 */     // GIR_Coverage, 62522,
     /* 1113451 */     GIR_EraseRootFromParent_Done,
     /* 1113452 */   // Label 16339: @1113452
     /* 1113452 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1113529), // Rule ID 62523 //
     /* 1113457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113496 */     // MIs[0] policy
     /* 1113496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113528 */     // GIR_Coverage, 62523,
     /* 1113528 */     GIR_EraseRootFromParent_Done,
     /* 1113529 */   // Label 16340: @1113529
     /* 1113529 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1113606), // Rule ID 62526 //
     /* 1113534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113573 */     // MIs[0] policy
     /* 1113573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1113586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113605 */     // GIR_Coverage, 62526,
     /* 1113605 */     GIR_EraseRootFromParent_Done,
     /* 1113606 */   // Label 16341: @1113606
     /* 1113606 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113683), // Rule ID 62527 //
     /* 1113611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113650 */     // MIs[0] policy
     /* 1113650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113660 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1113663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113682 */     // GIR_Coverage, 62527,
     /* 1113682 */     GIR_EraseRootFromParent_Done,
     /* 1113683 */   // Label 16342: @1113683
     /* 1113683 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113760), // Rule ID 62530 //
     /* 1113688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1113705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113727 */     // MIs[0] policy
     /* 1113727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1113740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113759 */     // GIR_Coverage, 62530,
     /* 1113759 */     GIR_EraseRootFromParent_Done,
     /* 1113760 */   // Label 16343: @1113760
     /* 1113760 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113837), // Rule ID 62531 //
     /* 1113765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1113782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113804 */     // MIs[0] policy
     /* 1113804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1113817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113836 */     // GIR_Coverage, 62531,
     /* 1113836 */     GIR_EraseRootFromParent_Done,
     /* 1113837 */   // Label 16344: @1113837
     /* 1113837 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113914), // Rule ID 62534 //
     /* 1113842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1113859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113881 */     // MIs[0] policy
     /* 1113881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113891 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1113894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113913 */     // GIR_Coverage, 62534,
     /* 1113913 */     GIR_EraseRootFromParent_Done,
     /* 1113914 */   // Label 16345: @1113914
     /* 1113914 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1113991), // Rule ID 62535 //
     /* 1113919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1113936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113958 */     // MIs[0] policy
     /* 1113958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1113971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113990 */     // GIR_Coverage, 62535,
     /* 1113990 */     GIR_EraseRootFromParent_Done,
     /* 1113991 */   // Label 16346: @1113991
     /* 1113991 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1114068), // Rule ID 62538 //
     /* 1113996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114035 */     // MIs[0] policy
     /* 1114035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114045 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1114048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114067 */     // GIR_Coverage, 62538,
     /* 1114067 */     GIR_EraseRootFromParent_Done,
     /* 1114068 */   // Label 16347: @1114068
     /* 1114068 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1114145), // Rule ID 62539 //
     /* 1114073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114112 */     // MIs[0] policy
     /* 1114112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1114125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114144 */     // GIR_Coverage, 62539,
     /* 1114144 */     GIR_EraseRootFromParent_Done,
     /* 1114145 */   // Label 16348: @1114145
     /* 1114145 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1114222), // Rule ID 62542 //
     /* 1114150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114189 */     // MIs[0] policy
     /* 1114189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114221 */     // GIR_Coverage, 62542,
     /* 1114221 */     GIR_EraseRootFromParent_Done,
     /* 1114222 */   // Label 16349: @1114222
     /* 1114222 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1114299), // Rule ID 62543 //
     /* 1114227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114266 */     // MIs[0] policy
     /* 1114266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114298 */     // GIR_Coverage, 62543,
     /* 1114298 */     GIR_EraseRootFromParent_Done,
     /* 1114299 */   // Label 16350: @1114299
     /* 1114299 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1114376), // Rule ID 62546 //
     /* 1114304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114343 */     // MIs[0] policy
     /* 1114343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114353 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114375 */     // GIR_Coverage, 62546,
     /* 1114375 */     GIR_EraseRootFromParent_Done,
     /* 1114376 */   // Label 16351: @1114376
     /* 1114376 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1114453), // Rule ID 62547 //
     /* 1114381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114420 */     // MIs[0] policy
     /* 1114420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114452 */     // GIR_Coverage, 62547,
     /* 1114452 */     GIR_EraseRootFromParent_Done,
     /* 1114453 */   // Label 16352: @1114453
     /* 1114453 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1114530), // Rule ID 62550 //
     /* 1114458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114497 */     // MIs[0] policy
     /* 1114497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114507 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114529 */     // GIR_Coverage, 62550,
     /* 1114529 */     GIR_EraseRootFromParent_Done,
     /* 1114530 */   // Label 16353: @1114530
     /* 1114530 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1114607), // Rule ID 62551 //
     /* 1114535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114574 */     // MIs[0] policy
     /* 1114574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114606 */     // GIR_Coverage, 62551,
     /* 1114606 */     GIR_EraseRootFromParent_Done,
     /* 1114607 */   // Label 16354: @1114607
     /* 1114607 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114684), // Rule ID 62554 //
     /* 1114612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114651 */     // MIs[0] policy
     /* 1114651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1114664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114683 */     // GIR_Coverage, 62554,
     /* 1114683 */     GIR_EraseRootFromParent_Done,
     /* 1114684 */   // Label 16355: @1114684
     /* 1114684 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114761), // Rule ID 62555 //
     /* 1114689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114728 */     // MIs[0] policy
     /* 1114728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1114741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114760 */     // GIR_Coverage, 62555,
     /* 1114760 */     GIR_EraseRootFromParent_Done,
     /* 1114761 */   // Label 16356: @1114761
     /* 1114761 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114838), // Rule ID 62558 //
     /* 1114766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1114783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114805 */     // MIs[0] policy
     /* 1114805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1114818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114837 */     // GIR_Coverage, 62558,
     /* 1114837 */     GIR_EraseRootFromParent_Done,
     /* 1114838 */   // Label 16357: @1114838
     /* 1114838 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114915), // Rule ID 62559 //
     /* 1114843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1114860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114882 */     // MIs[0] policy
     /* 1114882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1114895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114914 */     // GIR_Coverage, 62559,
     /* 1114914 */     GIR_EraseRootFromParent_Done,
     /* 1114915 */   // Label 16358: @1114915
     /* 1114915 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1114992), // Rule ID 62562 //
     /* 1114920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1114937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114959 */     // MIs[0] policy
     /* 1114959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1114972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114991 */     // GIR_Coverage, 62562,
     /* 1114991 */     GIR_EraseRootFromParent_Done,
     /* 1114992 */   // Label 16359: @1114992
     /* 1114992 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1115069), // Rule ID 62563 //
     /* 1114997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115036 */     // MIs[0] policy
     /* 1115036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1115049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115068 */     // GIR_Coverage, 62563,
     /* 1115068 */     GIR_EraseRootFromParent_Done,
     /* 1115069 */   // Label 16360: @1115069
     /* 1115069 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1115146), // Rule ID 62566 //
     /* 1115074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115113 */     // MIs[0] policy
     /* 1115113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115123 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115145 */     // GIR_Coverage, 62566,
     /* 1115145 */     GIR_EraseRootFromParent_Done,
     /* 1115146 */   // Label 16361: @1115146
     /* 1115146 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1115223), // Rule ID 62567 //
     /* 1115151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115190 */     // MIs[0] policy
     /* 1115190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115222 */     // GIR_Coverage, 62567,
     /* 1115222 */     GIR_EraseRootFromParent_Done,
     /* 1115223 */   // Label 16362: @1115223
     /* 1115223 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1115300), // Rule ID 62570 //
     /* 1115228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115267 */     // MIs[0] policy
     /* 1115267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115299 */     // GIR_Coverage, 62570,
     /* 1115299 */     GIR_EraseRootFromParent_Done,
     /* 1115300 */   // Label 16363: @1115300
     /* 1115300 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1115377), // Rule ID 62571 //
     /* 1115305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115344 */     // MIs[0] policy
     /* 1115344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115376 */     // GIR_Coverage, 62571,
     /* 1115376 */     GIR_EraseRootFromParent_Done,
     /* 1115377 */   // Label 16364: @1115377
     /* 1115377 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1115454), // Rule ID 62574 //
     /* 1115382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115421 */     // MIs[0] policy
     /* 1115421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115453 */     // GIR_Coverage, 62574,
     /* 1115453 */     GIR_EraseRootFromParent_Done,
     /* 1115454 */   // Label 16365: @1115454
     /* 1115454 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1115531), // Rule ID 62575 //
     /* 1115459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115498 */     // MIs[0] policy
     /* 1115498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115530 */     // GIR_Coverage, 62575,
     /* 1115530 */     GIR_EraseRootFromParent_Done,
     /* 1115531 */   // Label 16366: @1115531
     /* 1115531 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115608), // Rule ID 62578 //
     /* 1115536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115575 */     // MIs[0] policy
     /* 1115575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115585 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1115588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115607 */     // GIR_Coverage, 62578,
     /* 1115607 */     GIR_EraseRootFromParent_Done,
     /* 1115608 */   // Label 16367: @1115608
     /* 1115608 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115685), // Rule ID 62579 //
     /* 1115613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115652 */     // MIs[0] policy
     /* 1115652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1115665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115684 */     // GIR_Coverage, 62579,
     /* 1115684 */     GIR_EraseRootFromParent_Done,
     /* 1115685 */   // Label 16368: @1115685
     /* 1115685 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115762), // Rule ID 62582 //
     /* 1115690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115729 */     // MIs[0] policy
     /* 1115729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1115742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115761 */     // GIR_Coverage, 62582,
     /* 1115761 */     GIR_EraseRootFromParent_Done,
     /* 1115762 */   // Label 16369: @1115762
     /* 1115762 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115839), // Rule ID 62583 //
     /* 1115767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115806 */     // MIs[0] policy
     /* 1115806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1115819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115838 */     // GIR_Coverage, 62583,
     /* 1115838 */     GIR_EraseRootFromParent_Done,
     /* 1115839 */   // Label 16370: @1115839
     /* 1115839 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115916), // Rule ID 62586 //
     /* 1115844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115883 */     // MIs[0] policy
     /* 1115883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1115896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115915 */     // GIR_Coverage, 62586,
     /* 1115915 */     GIR_EraseRootFromParent_Done,
     /* 1115916 */   // Label 16371: @1115916
     /* 1115916 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1115993), // Rule ID 62587 //
     /* 1115921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115960 */     // MIs[0] policy
     /* 1115960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1115973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115992 */     // GIR_Coverage, 62587,
     /* 1115992 */     GIR_EraseRootFromParent_Done,
     /* 1115993 */   // Label 16372: @1115993
     /* 1115993 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1116070), // Rule ID 62590 //
     /* 1115998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1116015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116037 */     // MIs[0] policy
     /* 1116037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1116050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116069 */     // GIR_Coverage, 62590,
     /* 1116069 */     GIR_EraseRootFromParent_Done,
     /* 1116070 */   // Label 16373: @1116070
     /* 1116070 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1116147), // Rule ID 62591 //
     /* 1116075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1116092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116114 */     // MIs[0] policy
     /* 1116114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1116127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116146 */     // GIR_Coverage, 62591,
     /* 1116146 */     GIR_EraseRootFromParent_Done,
     /* 1116147 */   // Label 16374: @1116147
     /* 1116147 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1116224), // Rule ID 62594 //
     /* 1116152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116191 */     // MIs[0] policy
     /* 1116191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116201 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116223 */     // GIR_Coverage, 62594,
     /* 1116223 */     GIR_EraseRootFromParent_Done,
     /* 1116224 */   // Label 16375: @1116224
     /* 1116224 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1116301), // Rule ID 62595 //
     /* 1116229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116268 */     // MIs[0] policy
     /* 1116268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116300 */     // GIR_Coverage, 62595,
     /* 1116300 */     GIR_EraseRootFromParent_Done,
     /* 1116301 */   // Label 16376: @1116301
     /* 1116301 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1116378), // Rule ID 62598 //
     /* 1116306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116345 */     // MIs[0] policy
     /* 1116345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116355 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116377 */     // GIR_Coverage, 62598,
     /* 1116377 */     GIR_EraseRootFromParent_Done,
     /* 1116378 */   // Label 16377: @1116378
     /* 1116378 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1116455), // Rule ID 62599 //
     /* 1116383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116422 */     // MIs[0] policy
     /* 1116422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116454 */     // GIR_Coverage, 62599,
     /* 1116454 */     GIR_EraseRootFromParent_Done,
     /* 1116455 */   // Label 16378: @1116455
     /* 1116455 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1116532), // Rule ID 62602 //
     /* 1116460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116499 */     // MIs[0] policy
     /* 1116499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116531 */     // GIR_Coverage, 62602,
     /* 1116531 */     GIR_EraseRootFromParent_Done,
     /* 1116532 */   // Label 16379: @1116532
     /* 1116532 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116609), // Rule ID 62603 //
     /* 1116537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116576 */     // MIs[0] policy
     /* 1116576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116608 */     // GIR_Coverage, 62603,
     /* 1116608 */     GIR_EraseRootFromParent_Done,
     /* 1116609 */   // Label 16380: @1116609
     /* 1116609 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116686), // Rule ID 62606 //
     /* 1116614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1116631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116653 */     // MIs[0] policy
     /* 1116653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116663 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1116666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116685 */     // GIR_Coverage, 62606,
     /* 1116685 */     GIR_EraseRootFromParent_Done,
     /* 1116686 */   // Label 16381: @1116686
     /* 1116686 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116763), // Rule ID 62607 //
     /* 1116691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1116708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116730 */     // MIs[0] policy
     /* 1116730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1116743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116762 */     // GIR_Coverage, 62607,
     /* 1116762 */     GIR_EraseRootFromParent_Done,
     /* 1116763 */   // Label 16382: @1116763
     /* 1116763 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116840), // Rule ID 62610 //
     /* 1116768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116807 */     // MIs[0] policy
     /* 1116807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1116820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116839 */     // GIR_Coverage, 62610,
     /* 1116839 */     GIR_EraseRootFromParent_Done,
     /* 1116840 */   // Label 16383: @1116840
     /* 1116840 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116917), // Rule ID 62611 //
     /* 1116845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116884 */     // MIs[0] policy
     /* 1116884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1116897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116916 */     // GIR_Coverage, 62611,
     /* 1116916 */     GIR_EraseRootFromParent_Done,
     /* 1116917 */   // Label 16384: @1116917
     /* 1116917 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1116994), // Rule ID 62614 //
     /* 1116922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116961 */     // MIs[0] policy
     /* 1116961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1116974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116993 */     // GIR_Coverage, 62614,
     /* 1116993 */     GIR_EraseRootFromParent_Done,
     /* 1116994 */   // Label 16385: @1116994
     /* 1116994 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1117071), // Rule ID 62615 //
     /* 1116999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117038 */     // MIs[0] policy
     /* 1117038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1117051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117070 */     // GIR_Coverage, 62615,
     /* 1117070 */     GIR_EraseRootFromParent_Done,
     /* 1117071 */   // Label 16386: @1117071
     /* 1117071 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1117148), // Rule ID 62618 //
     /* 1117076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117115 */     // MIs[0] policy
     /* 1117115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117147 */     // GIR_Coverage, 62618,
     /* 1117147 */     GIR_EraseRootFromParent_Done,
     /* 1117148 */   // Label 16387: @1117148
     /* 1117148 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1117225), // Rule ID 62619 //
     /* 1117153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117192 */     // MIs[0] policy
     /* 1117192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117224 */     // GIR_Coverage, 62619,
     /* 1117224 */     GIR_EraseRootFromParent_Done,
     /* 1117225 */   // Label 16388: @1117225
     /* 1117225 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1117302), // Rule ID 62622 //
     /* 1117230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117269 */     // MIs[0] policy
     /* 1117269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117279 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117301 */     // GIR_Coverage, 62622,
     /* 1117301 */     GIR_EraseRootFromParent_Done,
     /* 1117302 */   // Label 16389: @1117302
     /* 1117302 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1117379), // Rule ID 62623 //
     /* 1117307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117346 */     // MIs[0] policy
     /* 1117346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117378 */     // GIR_Coverage, 62623,
     /* 1117378 */     GIR_EraseRootFromParent_Done,
     /* 1117379 */   // Label 16390: @1117379
     /* 1117379 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1117456), // Rule ID 62626 //
     /* 1117384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117423 */     // MIs[0] policy
     /* 1117423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117455 */     // GIR_Coverage, 62626,
     /* 1117455 */     GIR_EraseRootFromParent_Done,
     /* 1117456 */   // Label 16391: @1117456
     /* 1117456 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117533), // Rule ID 62627 //
     /* 1117461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117500 */     // MIs[0] policy
     /* 1117500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117532 */     // GIR_Coverage, 62627,
     /* 1117532 */     GIR_EraseRootFromParent_Done,
     /* 1117533 */   // Label 16392: @1117533
     /* 1117533 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117610), // Rule ID 62630 //
     /* 1117538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117577 */     // MIs[0] policy
     /* 1117577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1117590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117609 */     // GIR_Coverage, 62630,
     /* 1117609 */     GIR_EraseRootFromParent_Done,
     /* 1117610 */   // Label 16393: @1117610
     /* 1117610 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117687), // Rule ID 62631 //
     /* 1117615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117654 */     // MIs[0] policy
     /* 1117654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1117667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117686 */     // GIR_Coverage, 62631,
     /* 1117686 */     GIR_EraseRootFromParent_Done,
     /* 1117687 */   // Label 16394: @1117687
     /* 1117687 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117764), // Rule ID 62634 //
     /* 1117692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117731 */     // MIs[0] policy
     /* 1117731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1117744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117763 */     // GIR_Coverage, 62634,
     /* 1117763 */     GIR_EraseRootFromParent_Done,
     /* 1117764 */   // Label 16395: @1117764
     /* 1117764 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117841), // Rule ID 62635 //
     /* 1117769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117808 */     // MIs[0] policy
     /* 1117808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1117821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117840 */     // GIR_Coverage, 62635,
     /* 1117840 */     GIR_EraseRootFromParent_Done,
     /* 1117841 */   // Label 16396: @1117841
     /* 1117841 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117918), // Rule ID 62638 //
     /* 1117846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117885 */     // MIs[0] policy
     /* 1117885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1117898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117917 */     // GIR_Coverage, 62638,
     /* 1117917 */     GIR_EraseRootFromParent_Done,
     /* 1117918 */   // Label 16397: @1117918
     /* 1117918 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1117995), // Rule ID 62639 //
     /* 1117923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117962 */     // MIs[0] policy
     /* 1117962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1117975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117994 */     // GIR_Coverage, 62639,
     /* 1117994 */     GIR_EraseRootFromParent_Done,
     /* 1117995 */   // Label 16398: @1117995
     /* 1117995 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1118072), // Rule ID 62642 //
     /* 1118000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118039 */     // MIs[0] policy
     /* 1118039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118071 */     // GIR_Coverage, 62642,
     /* 1118071 */     GIR_EraseRootFromParent_Done,
     /* 1118072 */   // Label 16399: @1118072
     /* 1118072 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1118149), // Rule ID 62643 //
     /* 1118077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118116 */     // MIs[0] policy
     /* 1118116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118148 */     // GIR_Coverage, 62643,
     /* 1118148 */     GIR_EraseRootFromParent_Done,
     /* 1118149 */   // Label 16400: @1118149
     /* 1118149 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1118226), // Rule ID 62646 //
     /* 1118154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118193 */     // MIs[0] policy
     /* 1118193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118225 */     // GIR_Coverage, 62646,
     /* 1118225 */     GIR_EraseRootFromParent_Done,
     /* 1118226 */   // Label 16401: @1118226
     /* 1118226 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1118303), // Rule ID 62647 //
     /* 1118231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118270 */     // MIs[0] policy
     /* 1118270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118302 */     // GIR_Coverage, 62647,
     /* 1118302 */     GIR_EraseRootFromParent_Done,
     /* 1118303 */   // Label 16402: @1118303
     /* 1118303 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1118380), // Rule ID 62741 //
     /* 1118308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118347 */     // MIs[0] policy
     /* 1118347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118379 */     // GIR_Coverage, 62741,
     /* 1118379 */     GIR_EraseRootFromParent_Done,
     /* 1118380 */   // Label 16403: @1118380
     /* 1118380 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1118457), // Rule ID 62742 //
     /* 1118385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118424 */     // MIs[0] policy
     /* 1118424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118456 */     // GIR_Coverage, 62742,
     /* 1118456 */     GIR_EraseRootFromParent_Done,
     /* 1118457 */   // Label 16404: @1118457
     /* 1118457 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118534), // Rule ID 64199 //
     /* 1118462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118501 */     // MIs[0] policy
     /* 1118501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118533 */     // GIR_Coverage, 64199,
     /* 1118533 */     GIR_EraseRootFromParent_Done,
     /* 1118534 */   // Label 16405: @1118534
     /* 1118534 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118611), // Rule ID 64200 //
     /* 1118539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118578 */     // MIs[0] policy
     /* 1118578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118610 */     // GIR_Coverage, 64200,
     /* 1118610 */     GIR_EraseRootFromParent_Done,
     /* 1118611 */   // Label 16406: @1118611
     /* 1118611 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118688), // Rule ID 64201 //
     /* 1118616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118655 */     // MIs[0] policy
     /* 1118655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1118668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118687 */     // GIR_Coverage, 64201,
     /* 1118687 */     GIR_EraseRootFromParent_Done,
     /* 1118688 */   // Label 16407: @1118688
     /* 1118688 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118765), // Rule ID 64202 //
     /* 1118693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118732 */     // MIs[0] policy
     /* 1118732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1118745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118764 */     // GIR_Coverage, 64202,
     /* 1118764 */     GIR_EraseRootFromParent_Done,
     /* 1118765 */   // Label 16408: @1118765
     /* 1118765 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118842), // Rule ID 64203 //
     /* 1118770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118809 */     // MIs[0] policy
     /* 1118809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1118822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118841 */     // GIR_Coverage, 64203,
     /* 1118841 */     GIR_EraseRootFromParent_Done,
     /* 1118842 */   // Label 16409: @1118842
     /* 1118842 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118919), // Rule ID 64204 //
     /* 1118847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118886 */     // MIs[0] policy
     /* 1118886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1118899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118918 */     // GIR_Coverage, 64204,
     /* 1118918 */     GIR_EraseRootFromParent_Done,
     /* 1118919 */   // Label 16410: @1118919
     /* 1118919 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1118996), // Rule ID 64205 //
     /* 1118924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1118932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118963 */     // MIs[0] policy
     /* 1118963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118973 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1118976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118995 */     // GIR_Coverage, 64205,
     /* 1118995 */     GIR_EraseRootFromParent_Done,
     /* 1118996 */   // Label 16411: @1118996
     /* 1118996 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1119073), // Rule ID 64206 //
     /* 1119001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119040 */     // MIs[0] policy
     /* 1119040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1119053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119072 */     // GIR_Coverage, 64206,
     /* 1119072 */     GIR_EraseRootFromParent_Done,
     /* 1119073 */   // Label 16412: @1119073
     /* 1119073 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1119150), // Rule ID 64207 //
     /* 1119078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119117 */     // MIs[0] policy
     /* 1119117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119149 */     // GIR_Coverage, 64207,
     /* 1119149 */     GIR_EraseRootFromParent_Done,
     /* 1119150 */   // Label 16413: @1119150
     /* 1119150 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1119227), // Rule ID 64208 //
     /* 1119155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119194 */     // MIs[0] policy
     /* 1119194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119226 */     // GIR_Coverage, 64208,
     /* 1119226 */     GIR_EraseRootFromParent_Done,
     /* 1119227 */   // Label 16414: @1119227
     /* 1119227 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1119304), // Rule ID 64209 //
     /* 1119232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119271 */     // MIs[0] policy
     /* 1119271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119303 */     // GIR_Coverage, 64209,
     /* 1119303 */     GIR_EraseRootFromParent_Done,
     /* 1119304 */   // Label 16415: @1119304
     /* 1119304 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1119381), // Rule ID 64210 //
     /* 1119309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119348 */     // MIs[0] policy
     /* 1119348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119380 */     // GIR_Coverage, 64210,
     /* 1119380 */     GIR_EraseRootFromParent_Done,
     /* 1119381 */   // Label 16416: @1119381
     /* 1119381 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119458), // Rule ID 64211 //
     /* 1119386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119425 */     // MIs[0] policy
     /* 1119425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119457 */     // GIR_Coverage, 64211,
     /* 1119457 */     GIR_EraseRootFromParent_Done,
     /* 1119458 */   // Label 16417: @1119458
     /* 1119458 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119535), // Rule ID 64212 //
     /* 1119463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119502 */     // MIs[0] policy
     /* 1119502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119534 */     // GIR_Coverage, 64212,
     /* 1119534 */     GIR_EraseRootFromParent_Done,
     /* 1119535 */   // Label 16418: @1119535
     /* 1119535 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119612), // Rule ID 64213 //
     /* 1119540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119579 */     // MIs[0] policy
     /* 1119579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1119592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119611 */     // GIR_Coverage, 64213,
     /* 1119611 */     GIR_EraseRootFromParent_Done,
     /* 1119612 */   // Label 16419: @1119612
     /* 1119612 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119689), // Rule ID 64214 //
     /* 1119617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119656 */     // MIs[0] policy
     /* 1119656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119666 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1119669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119688 */     // GIR_Coverage, 64214,
     /* 1119688 */     GIR_EraseRootFromParent_Done,
     /* 1119689 */   // Label 16420: @1119689
     /* 1119689 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119766), // Rule ID 64215 //
     /* 1119694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119733 */     // MIs[0] policy
     /* 1119733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119743 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1119746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119765 */     // GIR_Coverage, 64215,
     /* 1119765 */     GIR_EraseRootFromParent_Done,
     /* 1119766 */   // Label 16421: @1119766
     /* 1119766 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119843), // Rule ID 64216 //
     /* 1119771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119810 */     // MIs[0] policy
     /* 1119810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1119823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119842 */     // GIR_Coverage, 64216,
     /* 1119842 */     GIR_EraseRootFromParent_Done,
     /* 1119843 */   // Label 16422: @1119843
     /* 1119843 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119920), // Rule ID 64217 //
     /* 1119848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119887 */     // MIs[0] policy
     /* 1119887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11024:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1119900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119919 */     // GIR_Coverage, 64217,
     /* 1119919 */     GIR_EraseRootFromParent_Done,
     /* 1119920 */   // Label 16423: @1119920
     /* 1119920 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1119997), // Rule ID 64218 //
     /* 1119925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119964 */     // MIs[0] policy
     /* 1119964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11024:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1119977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119996 */     // GIR_Coverage, 64218,
     /* 1119996 */     GIR_EraseRootFromParent_Done,
     /* 1119997 */   // Label 16424: @1119997
     /* 1119997 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1120074), // Rule ID 64219 //
     /* 1120002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120041 */     // MIs[0] policy
     /* 1120041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11024:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120073 */     // GIR_Coverage, 64219,
     /* 1120073 */     GIR_EraseRootFromParent_Done,
     /* 1120074 */   // Label 16425: @1120074
     /* 1120074 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1120151), // Rule ID 64220 //
     /* 1120079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120118 */     // MIs[0] policy
     /* 1120118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11024:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120150 */     // GIR_Coverage, 64220,
     /* 1120150 */     GIR_EraseRootFromParent_Done,
     /* 1120151 */   // Label 16426: @1120151
     /* 1120151 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1120228), // Rule ID 64221 //
     /* 1120156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120195 */     // MIs[0] policy
     /* 1120195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120227 */     // GIR_Coverage, 64221,
     /* 1120227 */     GIR_EraseRootFromParent_Done,
     /* 1120228 */   // Label 16427: @1120228
     /* 1120228 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1120305), // Rule ID 64222 //
     /* 1120233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120272 */     // MIs[0] policy
     /* 1120272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120304 */     // GIR_Coverage, 64222,
     /* 1120304 */     GIR_EraseRootFromParent_Done,
     /* 1120305 */   // Label 16428: @1120305
     /* 1120305 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1120382), // Rule ID 64223 //
     /* 1120310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120349 */     // MIs[0] policy
     /* 1120349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120381 */     // GIR_Coverage, 64223,
     /* 1120381 */     GIR_EraseRootFromParent_Done,
     /* 1120382 */   // Label 16429: @1120382
     /* 1120382 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120459), // Rule ID 64224 //
     /* 1120387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120426 */     // MIs[0] policy
     /* 1120426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120458 */     // GIR_Coverage, 64224,
     /* 1120458 */     GIR_EraseRootFromParent_Done,
     /* 1120459 */   // Label 16430: @1120459
     /* 1120459 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120536), // Rule ID 64225 //
     /* 1120464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120503 */     // MIs[0] policy
     /* 1120503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120535 */     // GIR_Coverage, 64225,
     /* 1120535 */     GIR_EraseRootFromParent_Done,
     /* 1120536 */   // Label 16431: @1120536
     /* 1120536 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120613), // Rule ID 64226 //
     /* 1120541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120580 */     // MIs[0] policy
     /* 1120580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120612 */     // GIR_Coverage, 64226,
     /* 1120612 */     GIR_EraseRootFromParent_Done,
     /* 1120613 */   // Label 16432: @1120613
     /* 1120613 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120690), // Rule ID 64227 //
     /* 1120618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120657 */     // MIs[0] policy
     /* 1120657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120667 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1120670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120689 */     // GIR_Coverage, 64227,
     /* 1120689 */     GIR_EraseRootFromParent_Done,
     /* 1120690 */   // Label 16433: @1120690
     /* 1120690 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120767), // Rule ID 64228 //
     /* 1120695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120734 */     // MIs[0] policy
     /* 1120734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1120747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120766 */     // GIR_Coverage, 64228,
     /* 1120766 */     GIR_EraseRootFromParent_Done,
     /* 1120767 */   // Label 16434: @1120767
     /* 1120767 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120844), // Rule ID 64229 //
     /* 1120772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120811 */     // MIs[0] policy
     /* 1120811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1120824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120843 */     // GIR_Coverage, 64229,
     /* 1120843 */     GIR_EraseRootFromParent_Done,
     /* 1120844 */   // Label 16435: @1120844
     /* 1120844 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120921), // Rule ID 64230 //
     /* 1120849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120888 */     // MIs[0] policy
     /* 1120888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1120901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120920 */     // GIR_Coverage, 64230,
     /* 1120920 */     GIR_EraseRootFromParent_Done,
     /* 1120921 */   // Label 16436: @1120921
     /* 1120921 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1120998), // Rule ID 64231 //
     /* 1120926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120965 */     // MIs[0] policy
     /* 1120965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1120978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120997 */     // GIR_Coverage, 64231,
     /* 1120997 */     GIR_EraseRootFromParent_Done,
     /* 1120998 */   // Label 16437: @1120998
     /* 1120998 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1121075), // Rule ID 64232 //
     /* 1121003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121042 */     // MIs[0] policy
     /* 1121042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1121055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121074 */     // GIR_Coverage, 64232,
     /* 1121074 */     GIR_EraseRootFromParent_Done,
     /* 1121075 */   // Label 16438: @1121075
     /* 1121075 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1121152), // Rule ID 64233 //
     /* 1121080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121119 */     // MIs[0] policy
     /* 1121119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121129 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121151 */     // GIR_Coverage, 64233,
     /* 1121151 */     GIR_EraseRootFromParent_Done,
     /* 1121152 */   // Label 16439: @1121152
     /* 1121152 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1121229), // Rule ID 64234 //
     /* 1121157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121196 */     // MIs[0] policy
     /* 1121196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121228 */     // GIR_Coverage, 64234,
     /* 1121228 */     GIR_EraseRootFromParent_Done,
     /* 1121229 */   // Label 16440: @1121229
     /* 1121229 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1121306), // Rule ID 64235 //
     /* 1121234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121273 */     // MIs[0] policy
     /* 1121273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121305 */     // GIR_Coverage, 64235,
     /* 1121305 */     GIR_EraseRootFromParent_Done,
     /* 1121306 */   // Label 16441: @1121306
     /* 1121306 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121383), // Rule ID 64236 //
     /* 1121311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121350 */     // MIs[0] policy
     /* 1121350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121382 */     // GIR_Coverage, 64236,
     /* 1121382 */     GIR_EraseRootFromParent_Done,
     /* 1121383 */   // Label 16442: @1121383
     /* 1121383 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121460), // Rule ID 64237 //
     /* 1121388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121427 */     // MIs[0] policy
     /* 1121427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121459 */     // GIR_Coverage, 64237,
     /* 1121459 */     GIR_EraseRootFromParent_Done,
     /* 1121460 */   // Label 16443: @1121460
     /* 1121460 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121537), // Rule ID 64238 //
     /* 1121465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121504 */     // MIs[0] policy
     /* 1121504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121536 */     // GIR_Coverage, 64238,
     /* 1121536 */     GIR_EraseRootFromParent_Done,
     /* 1121537 */   // Label 16444: @1121537
     /* 1121537 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121614), // Rule ID 64239 //
     /* 1121542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121581 */     // MIs[0] policy
     /* 1121581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1121594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121613 */     // GIR_Coverage, 64239,
     /* 1121613 */     GIR_EraseRootFromParent_Done,
     /* 1121614 */   // Label 16445: @1121614
     /* 1121614 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121691), // Rule ID 64240 //
     /* 1121619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121658 */     // MIs[0] policy
     /* 1121658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1121671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121690 */     // GIR_Coverage, 64240,
     /* 1121690 */     GIR_EraseRootFromParent_Done,
     /* 1121691 */   // Label 16446: @1121691
     /* 1121691 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121768), // Rule ID 64241 //
     /* 1121696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121735 */     // MIs[0] policy
     /* 1121735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121745 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1121748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121767 */     // GIR_Coverage, 64241,
     /* 1121767 */     GIR_EraseRootFromParent_Done,
     /* 1121768 */   // Label 16447: @1121768
     /* 1121768 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121845), // Rule ID 64242 //
     /* 1121773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121812 */     // MIs[0] policy
     /* 1121812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1121825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121844 */     // GIR_Coverage, 64242,
     /* 1121844 */     GIR_EraseRootFromParent_Done,
     /* 1121845 */   // Label 16448: @1121845
     /* 1121845 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121922), // Rule ID 64243 //
     /* 1121850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121889 */     // MIs[0] policy
     /* 1121889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1121902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121921 */     // GIR_Coverage, 64243,
     /* 1121921 */     GIR_EraseRootFromParent_Done,
     /* 1121922 */   // Label 16449: @1121922
     /* 1121922 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1121999), // Rule ID 64244 //
     /* 1121927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121966 */     // MIs[0] policy
     /* 1121966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1121979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121998 */     // GIR_Coverage, 64244,
     /* 1121998 */     GIR_EraseRootFromParent_Done,
     /* 1121999 */   // Label 16450: @1121999
     /* 1121999 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1122076), // Rule ID 64245 //
     /* 1122004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122043 */     // MIs[0] policy
     /* 1122043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122075 */     // GIR_Coverage, 64245,
     /* 1122075 */     GIR_EraseRootFromParent_Done,
     /* 1122076 */   // Label 16451: @1122076
     /* 1122076 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1122153), // Rule ID 64246 //
     /* 1122081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122120 */     // MIs[0] policy
     /* 1122120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122152 */     // GIR_Coverage, 64246,
     /* 1122152 */     GIR_EraseRootFromParent_Done,
     /* 1122153 */   // Label 16452: @1122153
     /* 1122153 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1122230), // Rule ID 64247 //
     /* 1122158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122197 */     // MIs[0] policy
     /* 1122197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122229 */     // GIR_Coverage, 64247,
     /* 1122229 */     GIR_EraseRootFromParent_Done,
     /* 1122230 */   // Label 16453: @1122230
     /* 1122230 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1122307), // Rule ID 64248 //
     /* 1122235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122274 */     // MIs[0] policy
     /* 1122274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122306 */     // GIR_Coverage, 64248,
     /* 1122306 */     GIR_EraseRootFromParent_Done,
     /* 1122307 */   // Label 16454: @1122307
     /* 1122307 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1122384), // Rule ID 64249 //
     /* 1122312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122351 */     // MIs[0] policy
     /* 1122351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122383 */     // GIR_Coverage, 64249,
     /* 1122383 */     GIR_EraseRootFromParent_Done,
     /* 1122384 */   // Label 16455: @1122384
     /* 1122384 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122461), // Rule ID 64250 //
     /* 1122389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122428 */     // MIs[0] policy
     /* 1122428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122438 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122460 */     // GIR_Coverage, 64250,
     /* 1122460 */     GIR_EraseRootFromParent_Done,
     /* 1122461 */   // Label 16456: @1122461
     /* 1122461 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122538), // Rule ID 64251 //
     /* 1122466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122505 */     // MIs[0] policy
     /* 1122505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122537 */     // GIR_Coverage, 64251,
     /* 1122537 */     GIR_EraseRootFromParent_Done,
     /* 1122538 */   // Label 16457: @1122538
     /* 1122538 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122615), // Rule ID 64252 //
     /* 1122543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122582 */     // MIs[0] policy
     /* 1122582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122614 */     // GIR_Coverage, 64252,
     /* 1122614 */     GIR_EraseRootFromParent_Done,
     /* 1122615 */   // Label 16458: @1122615
     /* 1122615 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122692), // Rule ID 64253 //
     /* 1122620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122659 */     // MIs[0] policy
     /* 1122659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1122672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122691 */     // GIR_Coverage, 64253,
     /* 1122691 */     GIR_EraseRootFromParent_Done,
     /* 1122692 */   // Label 16459: @1122692
     /* 1122692 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122769), // Rule ID 64254 //
     /* 1122697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122736 */     // MIs[0] policy
     /* 1122736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1122749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122768 */     // GIR_Coverage, 64254,
     /* 1122768 */     GIR_EraseRootFromParent_Done,
     /* 1122769 */   // Label 16460: @1122769
     /* 1122769 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122846), // Rule ID 64255 //
     /* 1122774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122813 */     // MIs[0] policy
     /* 1122813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1122826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122845 */     // GIR_Coverage, 64255,
     /* 1122845 */     GIR_EraseRootFromParent_Done,
     /* 1122846 */   // Label 16461: @1122846
     /* 1122846 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122923), // Rule ID 64256 //
     /* 1122851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122890 */     // MIs[0] policy
     /* 1122890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1122903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122922 */     // GIR_Coverage, 64256,
     /* 1122922 */     GIR_EraseRootFromParent_Done,
     /* 1122923 */   // Label 16462: @1122923
     /* 1122923 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1123000), // Rule ID 64257 //
     /* 1122928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122967 */     // MIs[0] policy
     /* 1122967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1122980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122999 */     // GIR_Coverage, 64257,
     /* 1122999 */     GIR_EraseRootFromParent_Done,
     /* 1123000 */   // Label 16463: @1123000
     /* 1123000 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1123077), // Rule ID 64258 //
     /* 1123005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123044 */     // MIs[0] policy
     /* 1123044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1123057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123076 */     // GIR_Coverage, 64258,
     /* 1123076 */     GIR_EraseRootFromParent_Done,
     /* 1123077 */   // Label 16464: @1123077
     /* 1123077 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1123154), // Rule ID 64259 //
     /* 1123082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123121 */     // MIs[0] policy
     /* 1123121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123153 */     // GIR_Coverage, 64259,
     /* 1123153 */     GIR_EraseRootFromParent_Done,
     /* 1123154 */   // Label 16465: @1123154
     /* 1123154 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1123231), // Rule ID 64260 //
     /* 1123159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123198 */     // MIs[0] policy
     /* 1123198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123230 */     // GIR_Coverage, 64260,
     /* 1123230 */     GIR_EraseRootFromParent_Done,
     /* 1123231 */   // Label 16466: @1123231
     /* 1123231 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123311), // Rule ID 2607 //
     /* 1123236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123275 */     // MIs[0] round
     /* 1123275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123285 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123310 */     // GIR_Coverage, 2607,
     /* 1123310 */     GIR_EraseRootFromParent_Done,
     /* 1123311 */   // Label 16467: @1123311
     /* 1123311 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1123391), // Rule ID 2608 //
     /* 1123316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123355 */     // MIs[0] round
     /* 1123355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123365 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123390 */     // GIR_Coverage, 2608,
     /* 1123390 */     GIR_EraseRootFromParent_Done,
     /* 1123391 */   // Label 16468: @1123391
     /* 1123391 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123471), // Rule ID 2647 //
     /* 1123396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1123399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123435 */     // MIs[0] round
     /* 1123435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123445 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123470 */     // GIR_Coverage, 2647,
     /* 1123470 */     GIR_EraseRootFromParent_Done,
     /* 1123471 */   // Label 16469: @1123471
     /* 1123471 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123551), // Rule ID 2648 //
     /* 1123476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1123479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123515 */     // MIs[0] round
     /* 1123515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123525 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123550 */     // GIR_Coverage, 2648,
     /* 1123550 */     GIR_EraseRootFromParent_Done,
     /* 1123551 */   // Label 16470: @1123551
     /* 1123551 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123631), // Rule ID 2667 //
     /* 1123556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1123559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1123564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123595 */     // MIs[0] round
     /* 1123595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1123608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123630 */     // GIR_Coverage, 2667,
     /* 1123630 */     GIR_EraseRootFromParent_Done,
     /* 1123631 */   // Label 16471: @1123631
     /* 1123631 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123711), // Rule ID 2668 //
     /* 1123636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1123639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1123644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123675 */     // MIs[0] round
     /* 1123675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123685 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1123688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123710 */     // GIR_Coverage, 2668,
     /* 1123710 */     GIR_EraseRootFromParent_Done,
     /* 1123711 */   // Label 16472: @1123711
     /* 1123711 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123791), // Rule ID 14809 //
     /* 1123716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1123727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1123730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1123733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1123736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123755 */     // MIs[0] round
     /* 1123755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123765 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1123768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123790 */     // GIR_Coverage, 14809,
     /* 1123790 */     GIR_EraseRootFromParent_Done,
     /* 1123791 */   // Label 16473: @1123791
     /* 1123791 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123871), // Rule ID 14810 //
     /* 1123796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1123807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1123810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1123813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1123816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123835 */     // MIs[0] round
     /* 1123835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123845 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1123848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123870 */     // GIR_Coverage, 14810,
     /* 1123870 */     GIR_EraseRootFromParent_Done,
     /* 1123871 */   // Label 16474: @1123871
     /* 1123871 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1123951), // Rule ID 14813 //
     /* 1123876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1123887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1123890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1123893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123915 */     // MIs[0] round
     /* 1123915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1123928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123950 */     // GIR_Coverage, 14813,
     /* 1123950 */     GIR_EraseRootFromParent_Done,
     /* 1123951 */   // Label 16475: @1123951
     /* 1123951 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1124031), // Rule ID 14814 //
     /* 1123956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1123967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1123970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1123973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123995 */     // MIs[0] round
     /* 1123995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124030 */     // GIR_Coverage, 14814,
     /* 1124030 */     GIR_EraseRootFromParent_Done,
     /* 1124031 */   // Label 16476: @1124031
     /* 1124031 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1124111), // Rule ID 14817 //
     /* 1124036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1124047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1124050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124075 */     // MIs[0] round
     /* 1124075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124085 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124110 */     // GIR_Coverage, 14817,
     /* 1124110 */     GIR_EraseRootFromParent_Done,
     /* 1124111 */   // Label 16477: @1124111
     /* 1124111 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1124191), // Rule ID 14818 //
     /* 1124116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1124127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1124130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124155 */     // MIs[0] round
     /* 1124155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124165 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124190 */     // GIR_Coverage, 14818,
     /* 1124190 */     GIR_EraseRootFromParent_Done,
     /* 1124191 */   // Label 16478: @1124191
     /* 1124191 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1124271), // Rule ID 14821 //
     /* 1124196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124235 */     // MIs[0] round
     /* 1124235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124245 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124270 */     // GIR_Coverage, 14821,
     /* 1124270 */     GIR_EraseRootFromParent_Done,
     /* 1124271 */   // Label 16479: @1124271
     /* 1124271 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1124351), // Rule ID 14822 //
     /* 1124276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124315 */     // MIs[0] round
     /* 1124315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124325 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124350 */     // GIR_Coverage, 14822,
     /* 1124350 */     GIR_EraseRootFromParent_Done,
     /* 1124351 */   // Label 16480: @1124351
     /* 1124351 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1124431), // Rule ID 14825 //
     /* 1124356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124395 */     // MIs[0] round
     /* 1124395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124430 */     // GIR_Coverage, 14825,
     /* 1124430 */     GIR_EraseRootFromParent_Done,
     /* 1124431 */   // Label 16481: @1124431
     /* 1124431 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124511), // Rule ID 14826 //
     /* 1124436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124475 */     // MIs[0] round
     /* 1124475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124510 */     // GIR_Coverage, 14826,
     /* 1124510 */     GIR_EraseRootFromParent_Done,
     /* 1124511 */   // Label 16482: @1124511
     /* 1124511 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124591), // Rule ID 14829 //
     /* 1124516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124555 */     // MIs[0] round
     /* 1124555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124590 */     // GIR_Coverage, 14829,
     /* 1124590 */     GIR_EraseRootFromParent_Done,
     /* 1124591 */   // Label 16483: @1124591
     /* 1124591 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124671), // Rule ID 14830 //
     /* 1124596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124635 */     // MIs[0] round
     /* 1124635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124645 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124670 */     // GIR_Coverage, 14830,
     /* 1124670 */     GIR_EraseRootFromParent_Done,
     /* 1124671 */   // Label 16484: @1124671
     /* 1124671 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124751), // Rule ID 14833 //
     /* 1124676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124715 */     // MIs[0] round
     /* 1124715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124750 */     // GIR_Coverage, 14833,
     /* 1124750 */     GIR_EraseRootFromParent_Done,
     /* 1124751 */   // Label 16485: @1124751
     /* 1124751 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124831), // Rule ID 14834 //
     /* 1124756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124795 */     // MIs[0] round
     /* 1124795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124830 */     // GIR_Coverage, 14834,
     /* 1124830 */     GIR_EraseRootFromParent_Done,
     /* 1124831 */   // Label 16486: @1124831
     /* 1124831 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124911), // Rule ID 14837 //
     /* 1124836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1124853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1124856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124875 */     // MIs[0] round
     /* 1124875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124885 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124910 */     // GIR_Coverage, 14837,
     /* 1124910 */     GIR_EraseRootFromParent_Done,
     /* 1124911 */   // Label 16487: @1124911
     /* 1124911 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1124991), // Rule ID 14838 //
     /* 1124916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1124933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1124936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124955 */     // MIs[0] round
     /* 1124955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124990 */     // GIR_Coverage, 14838,
     /* 1124990 */     GIR_EraseRootFromParent_Done,
     /* 1124991 */   // Label 16488: @1124991
     /* 1124991 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1125071), // Rule ID 14841 //
     /* 1124996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1124999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1125013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1125016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125035 */     // MIs[0] round
     /* 1125035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125070 */     // GIR_Coverage, 14841,
     /* 1125070 */     GIR_EraseRootFromParent_Done,
     /* 1125071 */   // Label 16489: @1125071
     /* 1125071 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1125151), // Rule ID 14842 //
     /* 1125076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1125093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1125096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125115 */     // MIs[0] round
     /* 1125115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125150 */     // GIR_Coverage, 14842,
     /* 1125150 */     GIR_EraseRootFromParent_Done,
     /* 1125151 */   // Label 16490: @1125151
     /* 1125151 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1125231), // Rule ID 14845 //
     /* 1125156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125195 */     // MIs[0] round
     /* 1125195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125205 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125230 */     // GIR_Coverage, 14845,
     /* 1125230 */     GIR_EraseRootFromParent_Done,
     /* 1125231 */   // Label 16491: @1125231
     /* 1125231 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1125311), // Rule ID 14846 //
     /* 1125236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125275 */     // MIs[0] round
     /* 1125275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125285 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125310 */     // GIR_Coverage, 14846,
     /* 1125310 */     GIR_EraseRootFromParent_Done,
     /* 1125311 */   // Label 16492: @1125311
     /* 1125311 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1125391), // Rule ID 14849 //
     /* 1125316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125355 */     // MIs[0] round
     /* 1125355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125365 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125390 */     // GIR_Coverage, 14849,
     /* 1125390 */     GIR_EraseRootFromParent_Done,
     /* 1125391 */   // Label 16493: @1125391
     /* 1125391 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1125471), // Rule ID 14850 //
     /* 1125396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125435 */     // MIs[0] round
     /* 1125435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125445 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125470 */     // GIR_Coverage, 14850,
     /* 1125470 */     GIR_EraseRootFromParent_Done,
     /* 1125471 */   // Label 16494: @1125471
     /* 1125471 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125551), // Rule ID 14853 //
     /* 1125476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125515 */     // MIs[0] round
     /* 1125515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125525 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125550 */     // GIR_Coverage, 14853,
     /* 1125550 */     GIR_EraseRootFromParent_Done,
     /* 1125551 */   // Label 16495: @1125551
     /* 1125551 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125631), // Rule ID 14854 //
     /* 1125556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125595 */     // MIs[0] round
     /* 1125595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125605 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125630 */     // GIR_Coverage, 14854,
     /* 1125630 */     GIR_EraseRootFromParent_Done,
     /* 1125631 */   // Label 16496: @1125631
     /* 1125631 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125711), // Rule ID 14857 //
     /* 1125636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1125647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1125650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1125653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1125656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125675 */     // MIs[0] round
     /* 1125675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125685 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125710 */     // GIR_Coverage, 14857,
     /* 1125710 */     GIR_EraseRootFromParent_Done,
     /* 1125711 */   // Label 16497: @1125711
     /* 1125711 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125791), // Rule ID 14858 //
     /* 1125716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1125727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1125730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1125733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1125736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125755 */     // MIs[0] round
     /* 1125755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125765 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125790 */     // GIR_Coverage, 14858,
     /* 1125790 */     GIR_EraseRootFromParent_Done,
     /* 1125791 */   // Label 16498: @1125791
     /* 1125791 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125871), // Rule ID 14861 //
     /* 1125796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1125807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1125810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1125816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125835 */     // MIs[0] round
     /* 1125835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125845 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125870 */     // GIR_Coverage, 14861,
     /* 1125870 */     GIR_EraseRootFromParent_Done,
     /* 1125871 */   // Label 16499: @1125871
     /* 1125871 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1125951), // Rule ID 14862 //
     /* 1125876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1125887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1125890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1125896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125915 */     // MIs[0] round
     /* 1125915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125950 */     // GIR_Coverage, 14862,
     /* 1125950 */     GIR_EraseRootFromParent_Done,
     /* 1125951 */   // Label 16500: @1125951
     /* 1125951 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1126031), // Rule ID 14865 //
     /* 1125956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1125967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1125970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1125973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1125976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125995 */     // MIs[0] round
     /* 1125995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126005 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126030 */     // GIR_Coverage, 14865,
     /* 1126030 */     GIR_EraseRootFromParent_Done,
     /* 1126031 */   // Label 16501: @1126031
     /* 1126031 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1126111), // Rule ID 14866 //
     /* 1126036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1126047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1126050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1126053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1126056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126075 */     // MIs[0] round
     /* 1126075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126110 */     // GIR_Coverage, 14866,
     /* 1126110 */     GIR_EraseRootFromParent_Done,
     /* 1126111 */   // Label 16502: @1126111
     /* 1126111 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1126191), // Rule ID 14869 //
     /* 1126116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126155 */     // MIs[0] round
     /* 1126155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126190 */     // GIR_Coverage, 14869,
     /* 1126190 */     GIR_EraseRootFromParent_Done,
     /* 1126191 */   // Label 16503: @1126191
     /* 1126191 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1126271), // Rule ID 14870 //
     /* 1126196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126235 */     // MIs[0] round
     /* 1126235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126270 */     // GIR_Coverage, 14870,
     /* 1126270 */     GIR_EraseRootFromParent_Done,
     /* 1126271 */   // Label 16504: @1126271
     /* 1126271 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1126351), // Rule ID 14873 //
     /* 1126276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126315 */     // MIs[0] round
     /* 1126315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126325 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126350 */     // GIR_Coverage, 14873,
     /* 1126350 */     GIR_EraseRootFromParent_Done,
     /* 1126351 */   // Label 16505: @1126351
     /* 1126351 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1126431), // Rule ID 14874 //
     /* 1126356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126395 */     // MIs[0] round
     /* 1126395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126430 */     // GIR_Coverage, 14874,
     /* 1126430 */     GIR_EraseRootFromParent_Done,
     /* 1126431 */   // Label 16506: @1126431
     /* 1126431 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1126511), // Rule ID 14877 //
     /* 1126436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126475 */     // MIs[0] round
     /* 1126475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126485 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126510 */     // GIR_Coverage, 14877,
     /* 1126510 */     GIR_EraseRootFromParent_Done,
     /* 1126511 */   // Label 16507: @1126511
     /* 1126511 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126591), // Rule ID 14878 //
     /* 1126516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126555 */     // MIs[0] round
     /* 1126555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126590 */     // GIR_Coverage, 14878,
     /* 1126590 */     GIR_EraseRootFromParent_Done,
     /* 1126591 */   // Label 16508: @1126591
     /* 1126591 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126671), // Rule ID 14881 //
     /* 1126596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1126613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1126616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126635 */     // MIs[0] round
     /* 1126635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126670 */     // GIR_Coverage, 14881,
     /* 1126670 */     GIR_EraseRootFromParent_Done,
     /* 1126671 */   // Label 16509: @1126671
     /* 1126671 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126751), // Rule ID 14882 //
     /* 1126676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1126693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1126696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126715 */     // MIs[0] round
     /* 1126715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126725 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126750 */     // GIR_Coverage, 14882,
     /* 1126750 */     GIR_EraseRootFromParent_Done,
     /* 1126751 */   // Label 16510: @1126751
     /* 1126751 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126831), // Rule ID 14885 //
     /* 1126756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1126773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1126776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126795 */     // MIs[0] round
     /* 1126795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126830 */     // GIR_Coverage, 14885,
     /* 1126830 */     GIR_EraseRootFromParent_Done,
     /* 1126831 */   // Label 16511: @1126831
     /* 1126831 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126911), // Rule ID 14886 //
     /* 1126836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1126853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1126856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126875 */     // MIs[0] round
     /* 1126875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126910 */     // GIR_Coverage, 14886,
     /* 1126910 */     GIR_EraseRootFromParent_Done,
     /* 1126911 */   // Label 16512: @1126911
     /* 1126911 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1126991), // Rule ID 14889 //
     /* 1126916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1126933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1126936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126955 */     // MIs[0] round
     /* 1126955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126965 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126990 */     // GIR_Coverage, 14889,
     /* 1126990 */     GIR_EraseRootFromParent_Done,
     /* 1126991 */   // Label 16513: @1126991
     /* 1126991 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1127071), // Rule ID 14890 //
     /* 1126996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1127007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1127010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1127013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1127016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127035 */     // MIs[0] round
     /* 1127035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127045 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1127048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127070 */     // GIR_Coverage, 14890,
     /* 1127070 */     GIR_EraseRootFromParent_Done,
     /* 1127071 */   // Label 16514: @1127071
     /* 1127071 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1127151), // Rule ID 14893 //
     /* 1127076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127115 */     // MIs[0] round
     /* 1127115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127125 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127150 */     // GIR_Coverage, 14893,
     /* 1127150 */     GIR_EraseRootFromParent_Done,
     /* 1127151 */   // Label 16515: @1127151
     /* 1127151 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1127231), // Rule ID 14894 //
     /* 1127156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127195 */     // MIs[0] round
     /* 1127195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127205 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127230 */     // GIR_Coverage, 14894,
     /* 1127230 */     GIR_EraseRootFromParent_Done,
     /* 1127231 */   // Label 16516: @1127231
     /* 1127231 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1127311), // Rule ID 14897 //
     /* 1127236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127275 */     // MIs[0] round
     /* 1127275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127285 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127310 */     // GIR_Coverage, 14897,
     /* 1127310 */     GIR_EraseRootFromParent_Done,
     /* 1127311 */   // Label 16517: @1127311
     /* 1127311 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1127391), // Rule ID 14898 //
     /* 1127316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127355 */     // MIs[0] round
     /* 1127355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127365 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127390 */     // GIR_Coverage, 14898,
     /* 1127390 */     GIR_EraseRootFromParent_Done,
     /* 1127391 */   // Label 16518: @1127391
     /* 1127391 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1127471), // Rule ID 14901 //
     /* 1127396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127435 */     // MIs[0] round
     /* 1127435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127445 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127470 */     // GIR_Coverage, 14901,
     /* 1127470 */     GIR_EraseRootFromParent_Done,
     /* 1127471 */   // Label 16519: @1127471
     /* 1127471 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1127551), // Rule ID 14902 //
     /* 1127476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127515 */     // MIs[0] round
     /* 1127515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127525 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127550 */     // GIR_Coverage, 14902,
     /* 1127550 */     GIR_EraseRootFromParent_Done,
     /* 1127551 */   // Label 16520: @1127551
     /* 1127551 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127631), // Rule ID 14905 //
     /* 1127556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1127567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1127570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127595 */     // MIs[0] round
     /* 1127595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127605 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127630 */     // GIR_Coverage, 14905,
     /* 1127630 */     GIR_EraseRootFromParent_Done,
     /* 1127631 */   // Label 16521: @1127631
     /* 1127631 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127711), // Rule ID 14906 //
     /* 1127636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1127647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1127650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127675 */     // MIs[0] round
     /* 1127675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127685 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127710 */     // GIR_Coverage, 14906,
     /* 1127710 */     GIR_EraseRootFromParent_Done,
     /* 1127711 */   // Label 16522: @1127711
     /* 1127711 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127791), // Rule ID 14909 //
     /* 1127716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1127727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1127730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127755 */     // MIs[0] round
     /* 1127755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127790 */     // GIR_Coverage, 14909,
     /* 1127790 */     GIR_EraseRootFromParent_Done,
     /* 1127791 */   // Label 16523: @1127791
     /* 1127791 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127871), // Rule ID 14910 //
     /* 1127796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1127807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1127810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127835 */     // MIs[0] round
     /* 1127835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127845 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127870 */     // GIR_Coverage, 14910,
     /* 1127870 */     GIR_EraseRootFromParent_Done,
     /* 1127871 */   // Label 16524: @1127871
     /* 1127871 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1127951), // Rule ID 14913 //
     /* 1127876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127915 */     // MIs[0] round
     /* 1127915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127925 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127950 */     // GIR_Coverage, 14913,
     /* 1127950 */     GIR_EraseRootFromParent_Done,
     /* 1127951 */   // Label 16525: @1127951
     /* 1127951 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1128031), // Rule ID 14914 //
     /* 1127956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127995 */     // MIs[0] round
     /* 1127995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128005 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128030 */     // GIR_Coverage, 14914,
     /* 1128030 */     GIR_EraseRootFromParent_Done,
     /* 1128031 */   // Label 16526: @1128031
     /* 1128031 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1128111), // Rule ID 14917 //
     /* 1128036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1128047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1128050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128075 */     // MIs[0] round
     /* 1128075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128085 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128110 */     // GIR_Coverage, 14917,
     /* 1128110 */     GIR_EraseRootFromParent_Done,
     /* 1128111 */   // Label 16527: @1128111
     /* 1128111 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1128191), // Rule ID 14918 //
     /* 1128116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1128127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1128130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128155 */     // MIs[0] round
     /* 1128155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128190 */     // GIR_Coverage, 14918,
     /* 1128190 */     GIR_EraseRootFromParent_Done,
     /* 1128191 */   // Label 16528: @1128191
     /* 1128191 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1128271), // Rule ID 14921 //
     /* 1128196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128235 */     // MIs[0] round
     /* 1128235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128245 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128270 */     // GIR_Coverage, 14921,
     /* 1128270 */     GIR_EraseRootFromParent_Done,
     /* 1128271 */   // Label 16529: @1128271
     /* 1128271 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1128351), // Rule ID 14922 //
     /* 1128276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128315 */     // MIs[0] round
     /* 1128315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128325 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128350 */     // GIR_Coverage, 14922,
     /* 1128350 */     GIR_EraseRootFromParent_Done,
     /* 1128351 */   // Label 16530: @1128351
     /* 1128351 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1128431), // Rule ID 14925 //
     /* 1128356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128395 */     // MIs[0] round
     /* 1128395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128430 */     // GIR_Coverage, 14925,
     /* 1128430 */     GIR_EraseRootFromParent_Done,
     /* 1128431 */   // Label 16531: @1128431
     /* 1128431 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1128511), // Rule ID 14926 //
     /* 1128436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128475 */     // MIs[0] round
     /* 1128475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128510 */     // GIR_Coverage, 14926,
     /* 1128510 */     GIR_EraseRootFromParent_Done,
     /* 1128511 */   // Label 16532: @1128511
     /* 1128511 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1128591), // Rule ID 14929 //
     /* 1128516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1128533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128555 */     // MIs[0] round
     /* 1128555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128565 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128590 */     // GIR_Coverage, 14929,
     /* 1128590 */     GIR_EraseRootFromParent_Done,
     /* 1128591 */   // Label 16533: @1128591
     /* 1128591 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128671), // Rule ID 14930 //
     /* 1128596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1128613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128635 */     // MIs[0] round
     /* 1128635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128670 */     // GIR_Coverage, 14930,
     /* 1128670 */     GIR_EraseRootFromParent_Done,
     /* 1128671 */   // Label 16534: @1128671
     /* 1128671 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128751), // Rule ID 14933 //
     /* 1128676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1128687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1128690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1128693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128715 */     // MIs[0] round
     /* 1128715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128725 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128750 */     // GIR_Coverage, 14933,
     /* 1128750 */     GIR_EraseRootFromParent_Done,
     /* 1128751 */   // Label 16535: @1128751
     /* 1128751 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128831), // Rule ID 14934 //
     /* 1128756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1128767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1128770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1128773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128795 */     // MIs[0] round
     /* 1128795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128830 */     // GIR_Coverage, 14934,
     /* 1128830 */     GIR_EraseRootFromParent_Done,
     /* 1128831 */   // Label 16536: @1128831
     /* 1128831 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128911), // Rule ID 14937 //
     /* 1128836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1128847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1128850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1128853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128875 */     // MIs[0] round
     /* 1128875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128885 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128910 */     // GIR_Coverage, 14937,
     /* 1128910 */     GIR_EraseRootFromParent_Done,
     /* 1128911 */   // Label 16537: @1128911
     /* 1128911 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1128991), // Rule ID 14938 //
     /* 1128916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1128927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1128930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1128933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128955 */     // MIs[0] round
     /* 1128955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128965 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128990 */     // GIR_Coverage, 14938,
     /* 1128990 */     GIR_EraseRootFromParent_Done,
     /* 1128991 */   // Label 16538: @1128991
     /* 1128991 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1129071), // Rule ID 14941 //
     /* 1128996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1129007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1129010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129035 */     // MIs[0] round
     /* 1129035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129045 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129070 */     // GIR_Coverage, 14941,
     /* 1129070 */     GIR_EraseRootFromParent_Done,
     /* 1129071 */   // Label 16539: @1129071
     /* 1129071 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1129151), // Rule ID 14942 //
     /* 1129076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1129087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1129090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129115 */     // MIs[0] round
     /* 1129115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129125 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129150 */     // GIR_Coverage, 14942,
     /* 1129150 */     GIR_EraseRootFromParent_Done,
     /* 1129151 */   // Label 16540: @1129151
     /* 1129151 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1129231), // Rule ID 14945 //
     /* 1129156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129195 */     // MIs[0] round
     /* 1129195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129230 */     // GIR_Coverage, 14945,
     /* 1129230 */     GIR_EraseRootFromParent_Done,
     /* 1129231 */   // Label 16541: @1129231
     /* 1129231 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1129311), // Rule ID 14946 //
     /* 1129236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129275 */     // MIs[0] round
     /* 1129275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129285 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129310 */     // GIR_Coverage, 14946,
     /* 1129310 */     GIR_EraseRootFromParent_Done,
     /* 1129311 */   // Label 16542: @1129311
     /* 1129311 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1129391), // Rule ID 14949 //
     /* 1129316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129355 */     // MIs[0] round
     /* 1129355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129365 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129390 */     // GIR_Coverage, 14949,
     /* 1129390 */     GIR_EraseRootFromParent_Done,
     /* 1129391 */   // Label 16543: @1129391
     /* 1129391 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1129471), // Rule ID 14950 //
     /* 1129396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129435 */     // MIs[0] round
     /* 1129435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129445 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129470 */     // GIR_Coverage, 14950,
     /* 1129470 */     GIR_EraseRootFromParent_Done,
     /* 1129471 */   // Label 16544: @1129471
     /* 1129471 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1129551), // Rule ID 14953 //
     /* 1129476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129515 */     // MIs[0] round
     /* 1129515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129525 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129550 */     // GIR_Coverage, 14953,
     /* 1129550 */     GIR_EraseRootFromParent_Done,
     /* 1129551 */   // Label 16545: @1129551
     /* 1129551 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129631), // Rule ID 14954 //
     /* 1129556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129595 */     // MIs[0] round
     /* 1129595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129630 */     // GIR_Coverage, 14954,
     /* 1129630 */     GIR_EraseRootFromParent_Done,
     /* 1129631 */   // Label 16546: @1129631
     /* 1129631 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129711), // Rule ID 14957 //
     /* 1129636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1129647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1129650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1129653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129675 */     // MIs[0] round
     /* 1129675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129685 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129710 */     // GIR_Coverage, 14957,
     /* 1129710 */     GIR_EraseRootFromParent_Done,
     /* 1129711 */   // Label 16547: @1129711
     /* 1129711 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129791), // Rule ID 14958 //
     /* 1129716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1129727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1129730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1129733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129755 */     // MIs[0] round
     /* 1129755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129790 */     // GIR_Coverage, 14958,
     /* 1129790 */     GIR_EraseRootFromParent_Done,
     /* 1129791 */   // Label 16548: @1129791
     /* 1129791 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129871), // Rule ID 14961 //
     /* 1129796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1129807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1129810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1129813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129835 */     // MIs[0] round
     /* 1129835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129870 */     // GIR_Coverage, 14961,
     /* 1129870 */     GIR_EraseRootFromParent_Done,
     /* 1129871 */   // Label 16549: @1129871
     /* 1129871 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1129951), // Rule ID 14962 //
     /* 1129876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1129887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1129890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1129893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129915 */     // MIs[0] round
     /* 1129915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129950 */     // GIR_Coverage, 14962,
     /* 1129950 */     GIR_EraseRootFromParent_Done,
     /* 1129951 */   // Label 16550: @1129951
     /* 1129951 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1130031), // Rule ID 14965 //
     /* 1129956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1129967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1129970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1129973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129995 */     // MIs[0] round
     /* 1129995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130030 */     // GIR_Coverage, 14965,
     /* 1130030 */     GIR_EraseRootFromParent_Done,
     /* 1130031 */   // Label 16551: @1130031
     /* 1130031 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1130111), // Rule ID 14966 //
     /* 1130036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1130053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130075 */     // MIs[0] round
     /* 1130075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130085 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130110 */     // GIR_Coverage, 14966,
     /* 1130110 */     GIR_EraseRootFromParent_Done,
     /* 1130111 */   // Label 16552: @1130111
     /* 1130111 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1130191), // Rule ID 14969 //
     /* 1130116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130155 */     // MIs[0] round
     /* 1130155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130165 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130190 */     // GIR_Coverage, 14969,
     /* 1130190 */     GIR_EraseRootFromParent_Done,
     /* 1130191 */   // Label 16553: @1130191
     /* 1130191 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1130271), // Rule ID 14970 //
     /* 1130196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130235 */     // MIs[0] round
     /* 1130235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130270 */     // GIR_Coverage, 14970,
     /* 1130270 */     GIR_EraseRootFromParent_Done,
     /* 1130271 */   // Label 16554: @1130271
     /* 1130271 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1130351), // Rule ID 14973 //
     /* 1130276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130315 */     // MIs[0] round
     /* 1130315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130325 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130350 */     // GIR_Coverage, 14973,
     /* 1130350 */     GIR_EraseRootFromParent_Done,
     /* 1130351 */   // Label 16555: @1130351
     /* 1130351 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1130431), // Rule ID 14974 //
     /* 1130356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130395 */     // MIs[0] round
     /* 1130395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130430 */     // GIR_Coverage, 14974,
     /* 1130430 */     GIR_EraseRootFromParent_Done,
     /* 1130431 */   // Label 16556: @1130431
     /* 1130431 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1130511), // Rule ID 14977 //
     /* 1130436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130475 */     // MIs[0] round
     /* 1130475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130485 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130510 */     // GIR_Coverage, 14977,
     /* 1130510 */     GIR_EraseRootFromParent_Done,
     /* 1130511 */   // Label 16557: @1130511
     /* 1130511 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1130591), // Rule ID 14978 //
     /* 1130516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130555 */     // MIs[0] round
     /* 1130555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130565 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130590 */     // GIR_Coverage, 14978,
     /* 1130590 */     GIR_EraseRootFromParent_Done,
     /* 1130591 */   // Label 16558: @1130591
     /* 1130591 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130671), // Rule ID 14981 //
     /* 1130596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1130607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1130610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1130613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1130616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130635 */     // MIs[0] round
     /* 1130635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130645 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1130648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130670 */     // GIR_Coverage, 14981,
     /* 1130670 */     GIR_EraseRootFromParent_Done,
     /* 1130671 */   // Label 16559: @1130671
     /* 1130671 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130751), // Rule ID 14982 //
     /* 1130676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1130687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1130690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1130693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1130696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130715 */     // MIs[0] round
     /* 1130715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130725 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1130728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130750 */     // GIR_Coverage, 14982,
     /* 1130750 */     GIR_EraseRootFromParent_Done,
     /* 1130751 */   // Label 16560: @1130751
     /* 1130751 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130831), // Rule ID 14985 //
     /* 1130756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1130767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1130770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1130773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1130776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130795 */     // MIs[0] round
     /* 1130795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1130808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130830 */     // GIR_Coverage, 14985,
     /* 1130830 */     GIR_EraseRootFromParent_Done,
     /* 1130831 */   // Label 16561: @1130831
     /* 1130831 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130911), // Rule ID 14986 //
     /* 1130836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1130847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1130850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1130853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1130856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130875 */     // MIs[0] round
     /* 1130875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130885 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1130888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130910 */     // GIR_Coverage, 14986,
     /* 1130910 */     GIR_EraseRootFromParent_Done,
     /* 1130911 */   // Label 16562: @1130911
     /* 1130911 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1130991), // Rule ID 14989 //
     /* 1130916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1130927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1130930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1130933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1130936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130955 */     // MIs[0] round
     /* 1130955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130965 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1130968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130990 */     // GIR_Coverage, 14989,
     /* 1130990 */     GIR_EraseRootFromParent_Done,
     /* 1130991 */   // Label 16563: @1130991
     /* 1130991 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1131071), // Rule ID 14990 //
     /* 1130996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1131007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1131010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1131016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131035 */     // MIs[0] round
     /* 1131035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131045 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131070 */     // GIR_Coverage, 14990,
     /* 1131070 */     GIR_EraseRootFromParent_Done,
     /* 1131071 */   // Label 16564: @1131071
     /* 1131071 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1131151), // Rule ID 14993 //
     /* 1131076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131115 */     // MIs[0] round
     /* 1131115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131125 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131150 */     // GIR_Coverage, 14993,
     /* 1131150 */     GIR_EraseRootFromParent_Done,
     /* 1131151 */   // Label 16565: @1131151
     /* 1131151 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1131231), // Rule ID 14994 //
     /* 1131156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131195 */     // MIs[0] round
     /* 1131195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131205 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131230 */     // GIR_Coverage, 14994,
     /* 1131230 */     GIR_EraseRootFromParent_Done,
     /* 1131231 */   // Label 16566: @1131231
     /* 1131231 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1131311), // Rule ID 14997 //
     /* 1131236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131275 */     // MIs[0] round
     /* 1131275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131285 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131310 */     // GIR_Coverage, 14997,
     /* 1131310 */     GIR_EraseRootFromParent_Done,
     /* 1131311 */   // Label 16567: @1131311
     /* 1131311 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1131391), // Rule ID 14998 //
     /* 1131316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131355 */     // MIs[0] round
     /* 1131355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131365 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131390 */     // GIR_Coverage, 14998,
     /* 1131390 */     GIR_EraseRootFromParent_Done,
     /* 1131391 */   // Label 16568: @1131391
     /* 1131391 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1131471), // Rule ID 15001 //
     /* 1131396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131435 */     // MIs[0] round
     /* 1131435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131470 */     // GIR_Coverage, 15001,
     /* 1131470 */     GIR_EraseRootFromParent_Done,
     /* 1131471 */   // Label 16569: @1131471
     /* 1131471 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1131551), // Rule ID 15002 //
     /* 1131476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131515 */     // MIs[0] round
     /* 1131515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131550 */     // GIR_Coverage, 15002,
     /* 1131550 */     GIR_EraseRootFromParent_Done,
     /* 1131551 */   // Label 16570: @1131551
     /* 1131551 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131631), // Rule ID 15005 //
     /* 1131556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1131567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1131570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131595 */     // MIs[0] round
     /* 1131595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131630 */     // GIR_Coverage, 15005,
     /* 1131630 */     GIR_EraseRootFromParent_Done,
     /* 1131631 */   // Label 16571: @1131631
     /* 1131631 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131711), // Rule ID 15006 //
     /* 1131636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1131647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1131650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131675 */     // MIs[0] round
     /* 1131675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131685 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131710 */     // GIR_Coverage, 15006,
     /* 1131710 */     GIR_EraseRootFromParent_Done,
     /* 1131711 */   // Label 16572: @1131711
     /* 1131711 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131791), // Rule ID 15009 //
     /* 1131716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1131727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1131730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1131733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1131736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131755 */     // MIs[0] round
     /* 1131755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131790 */     // GIR_Coverage, 15009,
     /* 1131790 */     GIR_EraseRootFromParent_Done,
     /* 1131791 */   // Label 16573: @1131791
     /* 1131791 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131871), // Rule ID 15010 //
     /* 1131796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1131807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1131810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1131813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1131816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131835 */     // MIs[0] round
     /* 1131835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131845 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131870 */     // GIR_Coverage, 15010,
     /* 1131870 */     GIR_EraseRootFromParent_Done,
     /* 1131871 */   // Label 16574: @1131871
     /* 1131871 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1131951), // Rule ID 15013 //
     /* 1131876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1131893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131915 */     // MIs[0] round
     /* 1131915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131950 */     // GIR_Coverage, 15013,
     /* 1131950 */     GIR_EraseRootFromParent_Done,
     /* 1131951 */   // Label 16575: @1131951
     /* 1131951 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1132031), // Rule ID 15014 //
     /* 1131956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1131973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131995 */     // MIs[0] round
     /* 1131995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132030 */     // GIR_Coverage, 15014,
     /* 1132030 */     GIR_EraseRootFromParent_Done,
     /* 1132031 */   // Label 16576: @1132031
     /* 1132031 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1132111), // Rule ID 15017 //
     /* 1132036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132075 */     // MIs[0] round
     /* 1132075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132085 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132110 */     // GIR_Coverage, 15017,
     /* 1132110 */     GIR_EraseRootFromParent_Done,
     /* 1132111 */   // Label 16577: @1132111
     /* 1132111 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1132191), // Rule ID 15018 //
     /* 1132116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132155 */     // MIs[0] round
     /* 1132155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132190 */     // GIR_Coverage, 15018,
     /* 1132190 */     GIR_EraseRootFromParent_Done,
     /* 1132191 */   // Label 16578: @1132191
     /* 1132191 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1132271), // Rule ID 15021 //
     /* 1132196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132235 */     // MIs[0] round
     /* 1132235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132245 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132270 */     // GIR_Coverage, 15021,
     /* 1132270 */     GIR_EraseRootFromParent_Done,
     /* 1132271 */   // Label 16579: @1132271
     /* 1132271 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1132351), // Rule ID 15022 //
     /* 1132276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132315 */     // MIs[0] round
     /* 1132315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132350 */     // GIR_Coverage, 15022,
     /* 1132350 */     GIR_EraseRootFromParent_Done,
     /* 1132351 */   // Label 16580: @1132351
     /* 1132351 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1132431), // Rule ID 15025 //
     /* 1132356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132395 */     // MIs[0] round
     /* 1132395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132405 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132430 */     // GIR_Coverage, 15025,
     /* 1132430 */     GIR_EraseRootFromParent_Done,
     /* 1132431 */   // Label 16581: @1132431
     /* 1132431 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1132511), // Rule ID 15026 //
     /* 1132436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132475 */     // MIs[0] round
     /* 1132475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132485 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132510 */     // GIR_Coverage, 15026,
     /* 1132510 */     GIR_EraseRootFromParent_Done,
     /* 1132511 */   // Label 16582: @1132511
     /* 1132511 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1132591), // Rule ID 15029 //
     /* 1132516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1132533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1132536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132555 */     // MIs[0] round
     /* 1132555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132565 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132590 */     // GIR_Coverage, 15029,
     /* 1132590 */     GIR_EraseRootFromParent_Done,
     /* 1132591 */   // Label 16583: @1132591
     /* 1132591 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132671), // Rule ID 15030 //
     /* 1132596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1132613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1132616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132635 */     // MIs[0] round
     /* 1132635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132670 */     // GIR_Coverage, 15030,
     /* 1132670 */     GIR_EraseRootFromParent_Done,
     /* 1132671 */   // Label 16584: @1132671
     /* 1132671 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132751), // Rule ID 15033 //
     /* 1132676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1132687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1132690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132715 */     // MIs[0] round
     /* 1132715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132750 */     // GIR_Coverage, 15033,
     /* 1132750 */     GIR_EraseRootFromParent_Done,
     /* 1132751 */   // Label 16585: @1132751
     /* 1132751 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132831), // Rule ID 15034 //
     /* 1132756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1132767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1132770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132795 */     // MIs[0] round
     /* 1132795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132830 */     // GIR_Coverage, 15034,
     /* 1132830 */     GIR_EraseRootFromParent_Done,
     /* 1132831 */   // Label 16586: @1132831
     /* 1132831 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132911), // Rule ID 15037 //
     /* 1132836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1132847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1132850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132875 */     // MIs[0] round
     /* 1132875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132910 */     // GIR_Coverage, 15037,
     /* 1132910 */     GIR_EraseRootFromParent_Done,
     /* 1132911 */   // Label 16587: @1132911
     /* 1132911 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1132991), // Rule ID 15038 //
     /* 1132916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1132927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1132930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132955 */     // MIs[0] round
     /* 1132955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132965 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132990 */     // GIR_Coverage, 15038,
     /* 1132990 */     GIR_EraseRootFromParent_Done,
     /* 1132991 */   // Label 16588: @1132991
     /* 1132991 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1133071), // Rule ID 15041 //
     /* 1132996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1133007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1133010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1133013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1133016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133035 */     // MIs[0] round
     /* 1133035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133045 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133070 */     // GIR_Coverage, 15041,
     /* 1133070 */     GIR_EraseRootFromParent_Done,
     /* 1133071 */   // Label 16589: @1133071
     /* 1133071 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1133151), // Rule ID 15042 //
     /* 1133076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1133087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1133090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1133093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1133096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133115 */     // MIs[0] round
     /* 1133115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133125 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133150 */     // GIR_Coverage, 15042,
     /* 1133150 */     GIR_EraseRootFromParent_Done,
     /* 1133151 */   // Label 16590: @1133151
     /* 1133151 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1133231), // Rule ID 15045 //
     /* 1133156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133195 */     // MIs[0] round
     /* 1133195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133230 */     // GIR_Coverage, 15045,
     /* 1133230 */     GIR_EraseRootFromParent_Done,
     /* 1133231 */   // Label 16591: @1133231
     /* 1133231 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1133311), // Rule ID 15046 //
     /* 1133236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133275 */     // MIs[0] round
     /* 1133275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133310 */     // GIR_Coverage, 15046,
     /* 1133310 */     GIR_EraseRootFromParent_Done,
     /* 1133311 */   // Label 16592: @1133311
     /* 1133311 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1133391), // Rule ID 15049 //
     /* 1133316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133355 */     // MIs[0] round
     /* 1133355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133365 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133390 */     // GIR_Coverage, 15049,
     /* 1133390 */     GIR_EraseRootFromParent_Done,
     /* 1133391 */   // Label 16593: @1133391
     /* 1133391 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1133471), // Rule ID 15050 //
     /* 1133396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133435 */     // MIs[0] round
     /* 1133435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133470 */     // GIR_Coverage, 15050,
     /* 1133470 */     GIR_EraseRootFromParent_Done,
     /* 1133471 */   // Label 16594: @1133471
     /* 1133471 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1133551), // Rule ID 15053 //
     /* 1133476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133515 */     // MIs[0] round
     /* 1133515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133525 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133550 */     // GIR_Coverage, 15053,
     /* 1133550 */     GIR_EraseRootFromParent_Done,
     /* 1133551 */   // Label 16595: @1133551
     /* 1133551 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133631), // Rule ID 15054 //
     /* 1133556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133595 */     // MIs[0] round
     /* 1133595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133605 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133630 */     // GIR_Coverage, 15054,
     /* 1133630 */     GIR_EraseRootFromParent_Done,
     /* 1133631 */   // Label 16596: @1133631
     /* 1133631 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133711), // Rule ID 15057 //
     /* 1133636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1133647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1133650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1133653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1133656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133675 */     // MIs[0] round
     /* 1133675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133710 */     // GIR_Coverage, 15057,
     /* 1133710 */     GIR_EraseRootFromParent_Done,
     /* 1133711 */   // Label 16597: @1133711
     /* 1133711 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133791), // Rule ID 15058 //
     /* 1133716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1133727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1133730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1133733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1133736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133755 */     // MIs[0] round
     /* 1133755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133765 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133790 */     // GIR_Coverage, 15058,
     /* 1133790 */     GIR_EraseRootFromParent_Done,
     /* 1133791 */   // Label 16598: @1133791
     /* 1133791 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133871), // Rule ID 15061 //
     /* 1133796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1133807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1133810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1133813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1133816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133835 */     // MIs[0] round
     /* 1133835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133845 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133870 */     // GIR_Coverage, 15061,
     /* 1133870 */     GIR_EraseRootFromParent_Done,
     /* 1133871 */   // Label 16599: @1133871
     /* 1133871 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1133951), // Rule ID 15062 //
     /* 1133876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1133887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1133890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1133893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1133896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133915 */     // MIs[0] round
     /* 1133915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133925 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133950 */     // GIR_Coverage, 15062,
     /* 1133950 */     GIR_EraseRootFromParent_Done,
     /* 1133951 */   // Label 16600: @1133951
     /* 1133951 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1134031), // Rule ID 15065 //
     /* 1133956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1133967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1133970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1133973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1133976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133995 */     // MIs[0] round
     /* 1133995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134005 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1134008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134030 */     // GIR_Coverage, 15065,
     /* 1134030 */     GIR_EraseRootFromParent_Done,
     /* 1134031 */   // Label 16601: @1134031
     /* 1134031 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1134111), // Rule ID 15066 //
     /* 1134036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1134056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134075 */     // MIs[0] round
     /* 1134075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1134088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134110 */     // GIR_Coverage, 15066,
     /* 1134110 */     GIR_EraseRootFromParent_Done,
     /* 1134111 */   // Label 16602: @1134111
     /* 1134111 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1134191), // Rule ID 15069 //
     /* 1134116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134155 */     // MIs[0] round
     /* 1134155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134165 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134190 */     // GIR_Coverage, 15069,
     /* 1134190 */     GIR_EraseRootFromParent_Done,
     /* 1134191 */   // Label 16603: @1134191
     /* 1134191 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1134271), // Rule ID 15070 //
     /* 1134196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134235 */     // MIs[0] round
     /* 1134235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134245 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134270 */     // GIR_Coverage, 15070,
     /* 1134270 */     GIR_EraseRootFromParent_Done,
     /* 1134271 */   // Label 16604: @1134271
     /* 1134271 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1134351), // Rule ID 15073 //
     /* 1134276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134315 */     // MIs[0] round
     /* 1134315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134325 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134350 */     // GIR_Coverage, 15073,
     /* 1134350 */     GIR_EraseRootFromParent_Done,
     /* 1134351 */   // Label 16605: @1134351
     /* 1134351 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1134431), // Rule ID 15074 //
     /* 1134356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134395 */     // MIs[0] round
     /* 1134395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134405 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134430 */     // GIR_Coverage, 15074,
     /* 1134430 */     GIR_EraseRootFromParent_Done,
     /* 1134431 */   // Label 16606: @1134431
     /* 1134431 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1134511), // Rule ID 15077 //
     /* 1134436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134475 */     // MIs[0] round
     /* 1134475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134485 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134510 */     // GIR_Coverage, 15077,
     /* 1134510 */     GIR_EraseRootFromParent_Done,
     /* 1134511 */   // Label 16607: @1134511
     /* 1134511 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1134591), // Rule ID 15078 //
     /* 1134516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134555 */     // MIs[0] round
     /* 1134555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134590 */     // GIR_Coverage, 15078,
     /* 1134590 */     GIR_EraseRootFromParent_Done,
     /* 1134591 */   // Label 16608: @1134591
     /* 1134591 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134671), // Rule ID 15081 //
     /* 1134596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1134607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1134610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1134613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134635 */     // MIs[0] round
     /* 1134635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134670 */     // GIR_Coverage, 15081,
     /* 1134670 */     GIR_EraseRootFromParent_Done,
     /* 1134671 */   // Label 16609: @1134671
     /* 1134671 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134751), // Rule ID 15082 //
     /* 1134676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1134687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1134690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1134693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134715 */     // MIs[0] round
     /* 1134715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134750 */     // GIR_Coverage, 15082,
     /* 1134750 */     GIR_EraseRootFromParent_Done,
     /* 1134751 */   // Label 16610: @1134751
     /* 1134751 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134831), // Rule ID 15085 //
     /* 1134756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1134767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1134770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1134773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134795 */     // MIs[0] round
     /* 1134795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134830 */     // GIR_Coverage, 15085,
     /* 1134830 */     GIR_EraseRootFromParent_Done,
     /* 1134831 */   // Label 16611: @1134831
     /* 1134831 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134911), // Rule ID 15086 //
     /* 1134836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1134847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1134850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1134853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134875 */     // MIs[0] round
     /* 1134875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134885 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134910 */     // GIR_Coverage, 15086,
     /* 1134910 */     GIR_EraseRootFromParent_Done,
     /* 1134911 */   // Label 16612: @1134911
     /* 1134911 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1134991), // Rule ID 15089 //
     /* 1134916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1134927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1134930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1134933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134955 */     // MIs[0] round
     /* 1134955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134965 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134990 */     // GIR_Coverage, 15089,
     /* 1134990 */     GIR_EraseRootFromParent_Done,
     /* 1134991 */   // Label 16613: @1134991
     /* 1134991 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1135071), // Rule ID 15090 //
     /* 1134996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1135007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1135010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135035 */     // MIs[0] round
     /* 1135035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135070 */     // GIR_Coverage, 15090,
     /* 1135070 */     GIR_EraseRootFromParent_Done,
     /* 1135071 */   // Label 16614: @1135071
     /* 1135071 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1135151), // Rule ID 15093 //
     /* 1135076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135115 */     // MIs[0] round
     /* 1135115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135125 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135150 */     // GIR_Coverage, 15093,
     /* 1135150 */     GIR_EraseRootFromParent_Done,
     /* 1135151 */   // Label 16615: @1135151
     /* 1135151 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1135231), // Rule ID 15094 //
     /* 1135156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135195 */     // MIs[0] round
     /* 1135195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135205 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135230 */     // GIR_Coverage, 15094,
     /* 1135230 */     GIR_EraseRootFromParent_Done,
     /* 1135231 */   // Label 16616: @1135231
     /* 1135231 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1135311), // Rule ID 15097 //
     /* 1135236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135275 */     // MIs[0] round
     /* 1135275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135285 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135310 */     // GIR_Coverage, 15097,
     /* 1135310 */     GIR_EraseRootFromParent_Done,
     /* 1135311 */   // Label 16617: @1135311
     /* 1135311 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1135391), // Rule ID 15098 //
     /* 1135316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135355 */     // MIs[0] round
     /* 1135355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135390 */     // GIR_Coverage, 15098,
     /* 1135390 */     GIR_EraseRootFromParent_Done,
     /* 1135391 */   // Label 16618: @1135391
     /* 1135391 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1135471), // Rule ID 15101 //
     /* 1135396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135435 */     // MIs[0] round
     /* 1135435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135470 */     // GIR_Coverage, 15101,
     /* 1135470 */     GIR_EraseRootFromParent_Done,
     /* 1135471 */   // Label 16619: @1135471
     /* 1135471 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1135551), // Rule ID 15102 //
     /* 1135476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135515 */     // MIs[0] round
     /* 1135515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135550 */     // GIR_Coverage, 15102,
     /* 1135550 */     GIR_EraseRootFromParent_Done,
     /* 1135551 */   // Label 16620: @1135551
     /* 1135551 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135631), // Rule ID 15105 //
     /* 1135556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135595 */     // MIs[0] round
     /* 1135595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135630 */     // GIR_Coverage, 15105,
     /* 1135630 */     GIR_EraseRootFromParent_Done,
     /* 1135631 */   // Label 16621: @1135631
     /* 1135631 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135711), // Rule ID 15106 //
     /* 1135636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135675 */     // MIs[0] round
     /* 1135675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135685 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135710 */     // GIR_Coverage, 15106,
     /* 1135710 */     GIR_EraseRootFromParent_Done,
     /* 1135711 */   // Label 16622: @1135711
     /* 1135711 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135791), // Rule ID 15109 //
     /* 1135716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1135727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1135730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1135733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135755 */     // MIs[0] round
     /* 1135755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135790 */     // GIR_Coverage, 15109,
     /* 1135790 */     GIR_EraseRootFromParent_Done,
     /* 1135791 */   // Label 16623: @1135791
     /* 1135791 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135871), // Rule ID 15110 //
     /* 1135796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1135807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1135810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1135813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135835 */     // MIs[0] round
     /* 1135835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135845 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135870 */     // GIR_Coverage, 15110,
     /* 1135870 */     GIR_EraseRootFromParent_Done,
     /* 1135871 */   // Label 16624: @1135871
     /* 1135871 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1135951), // Rule ID 15113 //
     /* 1135876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1135887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1135890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1135893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135915 */     // MIs[0] round
     /* 1135915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135925 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1135928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135950 */     // GIR_Coverage, 15113,
     /* 1135950 */     GIR_EraseRootFromParent_Done,
     /* 1135951 */   // Label 16625: @1135951
     /* 1135951 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1136031), // Rule ID 15114 //
     /* 1135956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1135967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1135970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1135973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135995 */     // MIs[0] round
     /* 1135995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136005 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136030 */     // GIR_Coverage, 15114,
     /* 1136030 */     GIR_EraseRootFromParent_Done,
     /* 1136031 */   // Label 16626: @1136031
     /* 1136031 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1136111), // Rule ID 15117 //
     /* 1136036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1136047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1136050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136075 */     // MIs[0] round
     /* 1136075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136085 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136110 */     // GIR_Coverage, 15117,
     /* 1136110 */     GIR_EraseRootFromParent_Done,
     /* 1136111 */   // Label 16627: @1136111
     /* 1136111 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1136191), // Rule ID 15118 //
     /* 1136116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1136127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1136130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136155 */     // MIs[0] round
     /* 1136155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136165 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136190 */     // GIR_Coverage, 15118,
     /* 1136190 */     GIR_EraseRootFromParent_Done,
     /* 1136191 */   // Label 16628: @1136191
     /* 1136191 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1136271), // Rule ID 15121 //
     /* 1136196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136235 */     // MIs[0] round
     /* 1136235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136270 */     // GIR_Coverage, 15121,
     /* 1136270 */     GIR_EraseRootFromParent_Done,
     /* 1136271 */   // Label 16629: @1136271
     /* 1136271 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1136351), // Rule ID 15122 //
     /* 1136276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136315 */     // MIs[0] round
     /* 1136315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136350 */     // GIR_Coverage, 15122,
     /* 1136350 */     GIR_EraseRootFromParent_Done,
     /* 1136351 */   // Label 16630: @1136351
     /* 1136351 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1136431), // Rule ID 15125 //
     /* 1136356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136395 */     // MIs[0] round
     /* 1136395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136405 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136430 */     // GIR_Coverage, 15125,
     /* 1136430 */     GIR_EraseRootFromParent_Done,
     /* 1136431 */   // Label 16631: @1136431
     /* 1136431 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1136511), // Rule ID 15126 //
     /* 1136436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136475 */     // MIs[0] round
     /* 1136475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136485 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136510 */     // GIR_Coverage, 15126,
     /* 1136510 */     GIR_EraseRootFromParent_Done,
     /* 1136511 */   // Label 16632: @1136511
     /* 1136511 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1136591), // Rule ID 15129 //
     /* 1136516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1136533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136555 */     // MIs[0] round
     /* 1136555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136565 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136590 */     // GIR_Coverage, 15129,
     /* 1136590 */     GIR_EraseRootFromParent_Done,
     /* 1136591 */   // Label 16633: @1136591
     /* 1136591 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136671), // Rule ID 15130 //
     /* 1136596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1136613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136635 */     // MIs[0] round
     /* 1136635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136670 */     // GIR_Coverage, 15130,
     /* 1136670 */     GIR_EraseRootFromParent_Done,
     /* 1136671 */   // Label 16634: @1136671
     /* 1136671 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136751), // Rule ID 15133 //
     /* 1136676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1136687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1136690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136715 */     // MIs[0] round
     /* 1136715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136750 */     // GIR_Coverage, 15133,
     /* 1136750 */     GIR_EraseRootFromParent_Done,
     /* 1136751 */   // Label 16635: @1136751
     /* 1136751 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136831), // Rule ID 15134 //
     /* 1136756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1136767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1136770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136795 */     // MIs[0] round
     /* 1136795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136830 */     // GIR_Coverage, 15134,
     /* 1136830 */     GIR_EraseRootFromParent_Done,
     /* 1136831 */   // Label 16636: @1136831
     /* 1136831 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136911), // Rule ID 15137 //
     /* 1136836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1136847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1136850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136875 */     // MIs[0] round
     /* 1136875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136910 */     // GIR_Coverage, 15137,
     /* 1136910 */     GIR_EraseRootFromParent_Done,
     /* 1136911 */   // Label 16637: @1136911
     /* 1136911 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1136991), // Rule ID 15138 //
     /* 1136916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1136927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1136930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136955 */     // MIs[0] round
     /* 1136955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136990 */     // GIR_Coverage, 15138,
     /* 1136990 */     GIR_EraseRootFromParent_Done,
     /* 1136991 */   // Label 16638: @1136991
     /* 1136991 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1137071), // Rule ID 15141 //
     /* 1136996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1137007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1137010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1137013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137035 */     // MIs[0] round
     /* 1137035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137070 */     // GIR_Coverage, 15141,
     /* 1137070 */     GIR_EraseRootFromParent_Done,
     /* 1137071 */   // Label 16639: @1137071
     /* 1137071 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1137151), // Rule ID 15142 //
     /* 1137076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1137087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1137090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1137093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137115 */     // MIs[0] round
     /* 1137115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137125 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137150 */     // GIR_Coverage, 15142,
     /* 1137150 */     GIR_EraseRootFromParent_Done,
     /* 1137151 */   // Label 16640: @1137151
     /* 1137151 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1137231), // Rule ID 15145 //
     /* 1137156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137195 */     // MIs[0] round
     /* 1137195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137230 */     // GIR_Coverage, 15145,
     /* 1137230 */     GIR_EraseRootFromParent_Done,
     /* 1137231 */   // Label 16641: @1137231
     /* 1137231 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1137311), // Rule ID 15146 //
     /* 1137236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137275 */     // MIs[0] round
     /* 1137275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137285 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137310 */     // GIR_Coverage, 15146,
     /* 1137310 */     GIR_EraseRootFromParent_Done,
     /* 1137311 */   // Label 16642: @1137311
     /* 1137311 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1137391), // Rule ID 15149 //
     /* 1137316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137355 */     // MIs[0] round
     /* 1137355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137390 */     // GIR_Coverage, 15149,
     /* 1137390 */     GIR_EraseRootFromParent_Done,
     /* 1137391 */   // Label 16643: @1137391
     /* 1137391 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1137471), // Rule ID 15150 //
     /* 1137396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137435 */     // MIs[0] round
     /* 1137435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137445 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137470 */     // GIR_Coverage, 15150,
     /* 1137470 */     GIR_EraseRootFromParent_Done,
     /* 1137471 */   // Label 16644: @1137471
     /* 1137471 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1137551), // Rule ID 15153 //
     /* 1137476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137515 */     // MIs[0] round
     /* 1137515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137525 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137550 */     // GIR_Coverage, 15153,
     /* 1137550 */     GIR_EraseRootFromParent_Done,
     /* 1137551 */   // Label 16645: @1137551
     /* 1137551 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137631), // Rule ID 15154 //
     /* 1137556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137595 */     // MIs[0] round
     /* 1137595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137605 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137630 */     // GIR_Coverage, 15154,
     /* 1137630 */     GIR_EraseRootFromParent_Done,
     /* 1137631 */   // Label 16646: @1137631
     /* 1137631 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137711), // Rule ID 15157 //
     /* 1137636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1137647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1137650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1137656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137675 */     // MIs[0] round
     /* 1137675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137685 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1137688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137710 */     // GIR_Coverage, 15157,
     /* 1137710 */     GIR_EraseRootFromParent_Done,
     /* 1137711 */   // Label 16647: @1137711
     /* 1137711 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137791), // Rule ID 15158 //
     /* 1137716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1137727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1137730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1137736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137755 */     // MIs[0] round
     /* 1137755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1137768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137790 */     // GIR_Coverage, 15158,
     /* 1137790 */     GIR_EraseRootFromParent_Done,
     /* 1137791 */   // Label 16648: @1137791
     /* 1137791 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137871), // Rule ID 15161 //
     /* 1137796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1137807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1137810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1137813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1137816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137835 */     // MIs[0] round
     /* 1137835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137845 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1137848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137870 */     // GIR_Coverage, 15161,
     /* 1137870 */     GIR_EraseRootFromParent_Done,
     /* 1137871 */   // Label 16649: @1137871
     /* 1137871 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1137951), // Rule ID 15162 //
     /* 1137876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1137887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1137890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1137893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1137896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137915 */     // MIs[0] round
     /* 1137915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137925 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1137928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137950 */     // GIR_Coverage, 15162,
     /* 1137950 */     GIR_EraseRootFromParent_Done,
     /* 1137951 */   // Label 16650: @1137951
     /* 1137951 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1138031), // Rule ID 15165 //
     /* 1137956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1137967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1137970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1137973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1137976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137995 */     // MIs[0] round
     /* 1137995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138030 */     // GIR_Coverage, 15165,
     /* 1138030 */     GIR_EraseRootFromParent_Done,
     /* 1138031 */   // Label 16651: @1138031
     /* 1138031 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1138111), // Rule ID 15166 //
     /* 1138036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1138047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1138050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1138053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1138056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138075 */     // MIs[0] round
     /* 1138075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138085 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138110 */     // GIR_Coverage, 15166,
     /* 1138110 */     GIR_EraseRootFromParent_Done,
     /* 1138111 */   // Label 16652: @1138111
     /* 1138111 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1138191), // Rule ID 15169 //
     /* 1138116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138155 */     // MIs[0] round
     /* 1138155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138165 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138190 */     // GIR_Coverage, 15169,
     /* 1138190 */     GIR_EraseRootFromParent_Done,
     /* 1138191 */   // Label 16653: @1138191
     /* 1138191 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1138271), // Rule ID 15170 //
     /* 1138196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138235 */     // MIs[0] round
     /* 1138235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138245 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138270 */     // GIR_Coverage, 15170,
     /* 1138270 */     GIR_EraseRootFromParent_Done,
     /* 1138271 */   // Label 16654: @1138271
     /* 1138271 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1138351), // Rule ID 15173 //
     /* 1138276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138315 */     // MIs[0] round
     /* 1138315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138325 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138350 */     // GIR_Coverage, 15173,
     /* 1138350 */     GIR_EraseRootFromParent_Done,
     /* 1138351 */   // Label 16655: @1138351
     /* 1138351 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1138431), // Rule ID 15174 //
     /* 1138356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138395 */     // MIs[0] round
     /* 1138395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138405 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138430 */     // GIR_Coverage, 15174,
     /* 1138430 */     GIR_EraseRootFromParent_Done,
     /* 1138431 */   // Label 16656: @1138431
     /* 1138431 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1138511), // Rule ID 15177 //
     /* 1138436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138475 */     // MIs[0] round
     /* 1138475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138510 */     // GIR_Coverage, 15177,
     /* 1138510 */     GIR_EraseRootFromParent_Done,
     /* 1138511 */   // Label 16657: @1138511
     /* 1138511 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1138591), // Rule ID 15178 //
     /* 1138516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138555 */     // MIs[0] round
     /* 1138555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138565 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138590 */     // GIR_Coverage, 15178,
     /* 1138590 */     GIR_EraseRootFromParent_Done,
     /* 1138591 */   // Label 16658: @1138591
     /* 1138591 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138671), // Rule ID 15181 //
     /* 1138596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1138613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1138616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138635 */     // MIs[0] round
     /* 1138635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138645 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138670 */     // GIR_Coverage, 15181,
     /* 1138670 */     GIR_EraseRootFromParent_Done,
     /* 1138671 */   // Label 16659: @1138671
     /* 1138671 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138751), // Rule ID 15182 //
     /* 1138676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1138693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1138696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138715 */     // MIs[0] round
     /* 1138715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138725 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138750 */     // GIR_Coverage, 15182,
     /* 1138750 */     GIR_EraseRootFromParent_Done,
     /* 1138751 */   // Label 16660: @1138751
     /* 1138751 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138831), // Rule ID 15185 //
     /* 1138756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138795 */     // MIs[0] round
     /* 1138795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138830 */     // GIR_Coverage, 15185,
     /* 1138830 */     GIR_EraseRootFromParent_Done,
     /* 1138831 */   // Label 16661: @1138831
     /* 1138831 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138911), // Rule ID 15186 //
     /* 1138836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138875 */     // MIs[0] round
     /* 1138875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138910 */     // GIR_Coverage, 15186,
     /* 1138910 */     GIR_EraseRootFromParent_Done,
     /* 1138911 */   // Label 16662: @1138911
     /* 1138911 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1138991), // Rule ID 15189 //
     /* 1138916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1138927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1138930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1138933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1138936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138955 */     // MIs[0] round
     /* 1138955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138990 */     // GIR_Coverage, 15189,
     /* 1138990 */     GIR_EraseRootFromParent_Done,
     /* 1138991 */   // Label 16663: @1138991
     /* 1138991 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1139071), // Rule ID 15190 //
     /* 1138996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1139007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1139010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1139013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1139016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139035 */     // MIs[0] round
     /* 1139035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139070 */     // GIR_Coverage, 15190,
     /* 1139070 */     GIR_EraseRootFromParent_Done,
     /* 1139071 */   // Label 16664: @1139071
     /* 1139071 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1139151), // Rule ID 15193 //
     /* 1139076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139115 */     // MIs[0] round
     /* 1139115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139150 */     // GIR_Coverage, 15193,
     /* 1139150 */     GIR_EraseRootFromParent_Done,
     /* 1139151 */   // Label 16665: @1139151
     /* 1139151 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1139231), // Rule ID 15194 //
     /* 1139156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139195 */     // MIs[0] round
     /* 1139195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139230 */     // GIR_Coverage, 15194,
     /* 1139230 */     GIR_EraseRootFromParent_Done,
     /* 1139231 */   // Label 16666: @1139231
     /* 1139231 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1139311), // Rule ID 15197 //
     /* 1139236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139275 */     // MIs[0] round
     /* 1139275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139285 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139310 */     // GIR_Coverage, 15197,
     /* 1139310 */     GIR_EraseRootFromParent_Done,
     /* 1139311 */   // Label 16667: @1139311
     /* 1139311 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1139391), // Rule ID 15198 //
     /* 1139316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139355 */     // MIs[0] round
     /* 1139355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139365 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139390 */     // GIR_Coverage, 15198,
     /* 1139390 */     GIR_EraseRootFromParent_Done,
     /* 1139391 */   // Label 16668: @1139391
     /* 1139391 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1139471), // Rule ID 15201 //
     /* 1139396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139435 */     // MIs[0] round
     /* 1139435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139445 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139470 */     // GIR_Coverage, 15201,
     /* 1139470 */     GIR_EraseRootFromParent_Done,
     /* 1139471 */   // Label 16669: @1139471
     /* 1139471 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1139551), // Rule ID 15202 //
     /* 1139476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139515 */     // MIs[0] round
     /* 1139515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139525 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139550 */     // GIR_Coverage, 15202,
     /* 1139550 */     GIR_EraseRootFromParent_Done,
     /* 1139551 */   // Label 16670: @1139551
     /* 1139551 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139631), // Rule ID 15205 //
     /* 1139556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139595 */     // MIs[0] round
     /* 1139595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139605 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139630 */     // GIR_Coverage, 15205,
     /* 1139630 */     GIR_EraseRootFromParent_Done,
     /* 1139631 */   // Label 16671: @1139631
     /* 1139631 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139711), // Rule ID 15206 //
     /* 1139636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139675 */     // MIs[0] round
     /* 1139675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139685 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139710 */     // GIR_Coverage, 15206,
     /* 1139710 */     GIR_EraseRootFromParent_Done,
     /* 1139711 */   // Label 16672: @1139711
     /* 1139711 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139791), // Rule ID 15209 //
     /* 1139716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1139727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1139730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1139733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1139736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139755 */     // MIs[0] round
     /* 1139755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139765 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139790 */     // GIR_Coverage, 15209,
     /* 1139790 */     GIR_EraseRootFromParent_Done,
     /* 1139791 */   // Label 16673: @1139791
     /* 1139791 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139871), // Rule ID 15210 //
     /* 1139796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1139807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1139810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1139813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1139816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139835 */     // MIs[0] round
     /* 1139835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139870 */     // GIR_Coverage, 15210,
     /* 1139870 */     GIR_EraseRootFromParent_Done,
     /* 1139871 */   // Label 16674: @1139871
     /* 1139871 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1139951), // Rule ID 15213 //
     /* 1139876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1139887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1139890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1139893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1139896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139915 */     // MIs[0] round
     /* 1139915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139950 */     // GIR_Coverage, 15213,
     /* 1139950 */     GIR_EraseRootFromParent_Done,
     /* 1139951 */   // Label 16675: @1139951
     /* 1139951 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1140031), // Rule ID 15214 //
     /* 1139956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1139967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1139970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1139973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1139976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139995 */     // MIs[0] round
     /* 1139995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140005 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140030 */     // GIR_Coverage, 15214,
     /* 1140030 */     GIR_EraseRootFromParent_Done,
     /* 1140031 */   // Label 16676: @1140031
     /* 1140031 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1140111), // Rule ID 15217 //
     /* 1140036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1140047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1140050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140075 */     // MIs[0] round
     /* 1140075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140110 */     // GIR_Coverage, 15217,
     /* 1140110 */     GIR_EraseRootFromParent_Done,
     /* 1140111 */   // Label 16677: @1140111
     /* 1140111 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1140191), // Rule ID 15218 //
     /* 1140116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1140127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1140130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140155 */     // MIs[0] round
     /* 1140155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140165 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140190 */     // GIR_Coverage, 15218,
     /* 1140190 */     GIR_EraseRootFromParent_Done,
     /* 1140191 */   // Label 16678: @1140191
     /* 1140191 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1140271), // Rule ID 15221 //
     /* 1140196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140235 */     // MIs[0] round
     /* 1140235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140270 */     // GIR_Coverage, 15221,
     /* 1140270 */     GIR_EraseRootFromParent_Done,
     /* 1140271 */   // Label 16679: @1140271
     /* 1140271 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1140351), // Rule ID 15222 //
     /* 1140276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140315 */     // MIs[0] round
     /* 1140315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140350 */     // GIR_Coverage, 15222,
     /* 1140350 */     GIR_EraseRootFromParent_Done,
     /* 1140351 */   // Label 16680: @1140351
     /* 1140351 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1140431), // Rule ID 15225 //
     /* 1140356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140395 */     // MIs[0] round
     /* 1140395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140430 */     // GIR_Coverage, 15225,
     /* 1140430 */     GIR_EraseRootFromParent_Done,
     /* 1140431 */   // Label 16681: @1140431
     /* 1140431 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1140511), // Rule ID 15226 //
     /* 1140436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140475 */     // MIs[0] round
     /* 1140475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140485 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140510 */     // GIR_Coverage, 15226,
     /* 1140510 */     GIR_EraseRootFromParent_Done,
     /* 1140511 */   // Label 16682: @1140511
     /* 1140511 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1140591), // Rule ID 15229 //
     /* 1140516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140555 */     // MIs[0] round
     /* 1140555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140590 */     // GIR_Coverage, 15229,
     /* 1140590 */     GIR_EraseRootFromParent_Done,
     /* 1140591 */   // Label 16683: @1140591
     /* 1140591 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140671), // Rule ID 15230 //
     /* 1140596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140635 */     // MIs[0] round
     /* 1140635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140670 */     // GIR_Coverage, 15230,
     /* 1140670 */     GIR_EraseRootFromParent_Done,
     /* 1140671 */   // Label 16684: @1140671
     /* 1140671 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140751), // Rule ID 15233 //
     /* 1140676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1140687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1140690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1140693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1140696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140715 */     // MIs[0] round
     /* 1140715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140725 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140750 */     // GIR_Coverage, 15233,
     /* 1140750 */     GIR_EraseRootFromParent_Done,
     /* 1140751 */   // Label 16685: @1140751
     /* 1140751 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140831), // Rule ID 15234 //
     /* 1140756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1140767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1140770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1140773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1140776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140795 */     // MIs[0] round
     /* 1140795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140830 */     // GIR_Coverage, 15234,
     /* 1140830 */     GIR_EraseRootFromParent_Done,
     /* 1140831 */   // Label 16686: @1140831
     /* 1140831 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140911), // Rule ID 15237 //
     /* 1140836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1140847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1140850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1140853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1140856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140875 */     // MIs[0] round
     /* 1140875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140910 */     // GIR_Coverage, 15237,
     /* 1140910 */     GIR_EraseRootFromParent_Done,
     /* 1140911 */   // Label 16687: @1140911
     /* 1140911 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1140991), // Rule ID 15238 //
     /* 1140916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1140927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1140930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1140933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1140936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140955 */     // MIs[0] round
     /* 1140955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140965 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140990 */     // GIR_Coverage, 15238,
     /* 1140990 */     GIR_EraseRootFromParent_Done,
     /* 1140991 */   // Label 16688: @1140991
     /* 1140991 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1141071), // Rule ID 15241 //
     /* 1140996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1141007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1141010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1141013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1141016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141035 */     // MIs[0] round
     /* 1141035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141045 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141070 */     // GIR_Coverage, 15241,
     /* 1141070 */     GIR_EraseRootFromParent_Done,
     /* 1141071 */   // Label 16689: @1141071
     /* 1141071 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1141151), // Rule ID 15242 //
     /* 1141076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1141087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1141090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1141093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1141096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141115 */     // MIs[0] round
     /* 1141115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141150 */     // GIR_Coverage, 15242,
     /* 1141150 */     GIR_EraseRootFromParent_Done,
     /* 1141151 */   // Label 16690: @1141151
     /* 1141151 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1141231), // Rule ID 15245 //
     /* 1141156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141195 */     // MIs[0] round
     /* 1141195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141205 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141230 */     // GIR_Coverage, 15245,
     /* 1141230 */     GIR_EraseRootFromParent_Done,
     /* 1141231 */   // Label 16691: @1141231
     /* 1141231 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1141311), // Rule ID 15246 //
     /* 1141236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141275 */     // MIs[0] round
     /* 1141275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141285 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141310 */     // GIR_Coverage, 15246,
     /* 1141310 */     GIR_EraseRootFromParent_Done,
     /* 1141311 */   // Label 16692: @1141311
     /* 1141311 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1141391), // Rule ID 15249 //
     /* 1141316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141355 */     // MIs[0] round
     /* 1141355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141365 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141390 */     // GIR_Coverage, 15249,
     /* 1141390 */     GIR_EraseRootFromParent_Done,
     /* 1141391 */   // Label 16693: @1141391
     /* 1141391 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1141471), // Rule ID 15250 //
     /* 1141396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141435 */     // MIs[0] round
     /* 1141435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141445 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141470 */     // GIR_Coverage, 15250,
     /* 1141470 */     GIR_EraseRootFromParent_Done,
     /* 1141471 */   // Label 16694: @1141471
     /* 1141471 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1141551), // Rule ID 15253 //
     /* 1141476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141515 */     // MIs[0] round
     /* 1141515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141525 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141550 */     // GIR_Coverage, 15253,
     /* 1141550 */     GIR_EraseRootFromParent_Done,
     /* 1141551 */   // Label 16695: @1141551
     /* 1141551 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141631), // Rule ID 15254 //
     /* 1141556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141595 */     // MIs[0] round
     /* 1141595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141605 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141630 */     // GIR_Coverage, 15254,
     /* 1141630 */     GIR_EraseRootFromParent_Done,
     /* 1141631 */   // Label 16696: @1141631
     /* 1141631 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141711), // Rule ID 15257 //
     /* 1141636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1141647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1141650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1141653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141675 */     // MIs[0] round
     /* 1141675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141685 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141710 */     // GIR_Coverage, 15257,
     /* 1141710 */     GIR_EraseRootFromParent_Done,
     /* 1141711 */   // Label 16697: @1141711
     /* 1141711 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141791), // Rule ID 15258 //
     /* 1141716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1141727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1141730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1141733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141755 */     // MIs[0] round
     /* 1141755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141765 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141790 */     // GIR_Coverage, 15258,
     /* 1141790 */     GIR_EraseRootFromParent_Done,
     /* 1141791 */   // Label 16698: @1141791
     /* 1141791 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141871), // Rule ID 15261 //
     /* 1141796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1141807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1141810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1141813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141835 */     // MIs[0] round
     /* 1141835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141845 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141870 */     // GIR_Coverage, 15261,
     /* 1141870 */     GIR_EraseRootFromParent_Done,
     /* 1141871 */   // Label 16699: @1141871
     /* 1141871 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1141951), // Rule ID 15262 //
     /* 1141876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1141887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1141890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1141893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141915 */     // MIs[0] round
     /* 1141915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141925 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141950 */     // GIR_Coverage, 15262,
     /* 1141950 */     GIR_EraseRootFromParent_Done,
     /* 1141951 */   // Label 16700: @1141951
     /* 1141951 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1142031), // Rule ID 15265 //
     /* 1141956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1141967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1141970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1141973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141995 */     // MIs[0] round
     /* 1141995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142005 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142030 */     // GIR_Coverage, 15265,
     /* 1142030 */     GIR_EraseRootFromParent_Done,
     /* 1142031 */   // Label 16701: @1142031
     /* 1142031 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1142111), // Rule ID 15266 //
     /* 1142036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142075 */     // MIs[0] round
     /* 1142075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142110 */     // GIR_Coverage, 15266,
     /* 1142110 */     GIR_EraseRootFromParent_Done,
     /* 1142111 */   // Label 16702: @1142111
     /* 1142111 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1142191), // Rule ID 15269 //
     /* 1142116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142155 */     // MIs[0] round
     /* 1142155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142190 */     // GIR_Coverage, 15269,
     /* 1142190 */     GIR_EraseRootFromParent_Done,
     /* 1142191 */   // Label 16703: @1142191
     /* 1142191 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1142271), // Rule ID 15270 //
     /* 1142196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142235 */     // MIs[0] round
     /* 1142235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142270 */     // GIR_Coverage, 15270,
     /* 1142270 */     GIR_EraseRootFromParent_Done,
     /* 1142271 */   // Label 16704: @1142271
     /* 1142271 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1142351), // Rule ID 15273 //
     /* 1142276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142315 */     // MIs[0] round
     /* 1142315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142325 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142350 */     // GIR_Coverage, 15273,
     /* 1142350 */     GIR_EraseRootFromParent_Done,
     /* 1142351 */   // Label 16705: @1142351
     /* 1142351 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1142431), // Rule ID 15274 //
     /* 1142356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142395 */     // MIs[0] round
     /* 1142395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142430 */     // GIR_Coverage, 15274,
     /* 1142430 */     GIR_EraseRootFromParent_Done,
     /* 1142431 */   // Label 16706: @1142431
     /* 1142431 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1142511), // Rule ID 15277 //
     /* 1142436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142475 */     // MIs[0] round
     /* 1142475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142510 */     // GIR_Coverage, 15277,
     /* 1142510 */     GIR_EraseRootFromParent_Done,
     /* 1142511 */   // Label 16707: @1142511
     /* 1142511 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1142591), // Rule ID 15278 //
     /* 1142516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142555 */     // MIs[0] round
     /* 1142555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142590 */     // GIR_Coverage, 15278,
     /* 1142590 */     GIR_EraseRootFromParent_Done,
     /* 1142591 */   // Label 16708: @1142591
     /* 1142591 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142671), // Rule ID 15281 //
     /* 1142596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1142613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142635 */     // MIs[0] round
     /* 1142635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142670 */     // GIR_Coverage, 15281,
     /* 1142670 */     GIR_EraseRootFromParent_Done,
     /* 1142671 */   // Label 16709: @1142671
     /* 1142671 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142751), // Rule ID 15282 //
     /* 1142676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1142693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142715 */     // MIs[0] round
     /* 1142715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142750 */     // GIR_Coverage, 15282,
     /* 1142750 */     GIR_EraseRootFromParent_Done,
     /* 1142751 */   // Label 16710: @1142751
     /* 1142751 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142831), // Rule ID 15285 //
     /* 1142756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1142767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1142770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1142773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142795 */     // MIs[0] round
     /* 1142795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142830 */     // GIR_Coverage, 15285,
     /* 1142830 */     GIR_EraseRootFromParent_Done,
     /* 1142831 */   // Label 16711: @1142831
     /* 1142831 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142911), // Rule ID 15286 //
     /* 1142836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1142847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1142850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1142853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142875 */     // MIs[0] round
     /* 1142875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142885 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142910 */     // GIR_Coverage, 15286,
     /* 1142910 */     GIR_EraseRootFromParent_Done,
     /* 1142911 */   // Label 16712: @1142911
     /* 1142911 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1142991), // Rule ID 15289 //
     /* 1142916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1142927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1142930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1142933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142955 */     // MIs[0] round
     /* 1142955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142965 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1142968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142990 */     // GIR_Coverage, 15289,
     /* 1142990 */     GIR_EraseRootFromParent_Done,
     /* 1142991 */   // Label 16713: @1142991
     /* 1142991 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1143071), // Rule ID 15290 //
     /* 1142996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1143007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1143010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1143013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143035 */     // MIs[0] round
     /* 1143035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143045 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143070 */     // GIR_Coverage, 15290,
     /* 1143070 */     GIR_EraseRootFromParent_Done,
     /* 1143071 */   // Label 16714: @1143071
     /* 1143071 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1143151), // Rule ID 15293 //
     /* 1143076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143115 */     // MIs[0] round
     /* 1143115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143125 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143150 */     // GIR_Coverage, 15293,
     /* 1143150 */     GIR_EraseRootFromParent_Done,
     /* 1143151 */   // Label 16715: @1143151
     /* 1143151 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1143231), // Rule ID 15294 //
     /* 1143156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143195 */     // MIs[0] round
     /* 1143195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143230 */     // GIR_Coverage, 15294,
     /* 1143230 */     GIR_EraseRootFromParent_Done,
     /* 1143231 */   // Label 16716: @1143231
     /* 1143231 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1143311), // Rule ID 15297 //
     /* 1143236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143275 */     // MIs[0] round
     /* 1143275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143285 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143310 */     // GIR_Coverage, 15297,
     /* 1143310 */     GIR_EraseRootFromParent_Done,
     /* 1143311 */   // Label 16717: @1143311
     /* 1143311 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1143391), // Rule ID 15298 //
     /* 1143316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143355 */     // MIs[0] round
     /* 1143355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143390 */     // GIR_Coverage, 15298,
     /* 1143390 */     GIR_EraseRootFromParent_Done,
     /* 1143391 */   // Label 16718: @1143391
     /* 1143391 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1143471), // Rule ID 15301 //
     /* 1143396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143435 */     // MIs[0] round
     /* 1143435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143445 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143470 */     // GIR_Coverage, 15301,
     /* 1143470 */     GIR_EraseRootFromParent_Done,
     /* 1143471 */   // Label 16719: @1143471
     /* 1143471 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1143551), // Rule ID 15302 //
     /* 1143476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143515 */     // MIs[0] round
     /* 1143515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143525 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143550 */     // GIR_Coverage, 15302,
     /* 1143550 */     GIR_EraseRootFromParent_Done,
     /* 1143551 */   // Label 16720: @1143551
     /* 1143551 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143631), // Rule ID 15305 //
     /* 1143556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143595 */     // MIs[0] round
     /* 1143595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143630 */     // GIR_Coverage, 15305,
     /* 1143630 */     GIR_EraseRootFromParent_Done,
     /* 1143631 */   // Label 16721: @1143631
     /* 1143631 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143711), // Rule ID 15306 //
     /* 1143636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143675 */     // MIs[0] round
     /* 1143675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143685 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143710 */     // GIR_Coverage, 15306,
     /* 1143710 */     GIR_EraseRootFromParent_Done,
     /* 1143711 */   // Label 16722: @1143711
     /* 1143711 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143791), // Rule ID 15309 //
     /* 1143716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143755 */     // MIs[0] round
     /* 1143755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143790 */     // GIR_Coverage, 15309,
     /* 1143790 */     GIR_EraseRootFromParent_Done,
     /* 1143791 */   // Label 16723: @1143791
     /* 1143791 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143871), // Rule ID 15310 //
     /* 1143796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143835 */     // MIs[0] round
     /* 1143835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143870 */     // GIR_Coverage, 15310,
     /* 1143870 */     GIR_EraseRootFromParent_Done,
     /* 1143871 */   // Label 16724: @1143871
     /* 1143871 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1143951), // Rule ID 15313 //
     /* 1143876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1143887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1143890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1143893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143915 */     // MIs[0] round
     /* 1143915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143950 */     // GIR_Coverage, 15313,
     /* 1143950 */     GIR_EraseRootFromParent_Done,
     /* 1143951 */   // Label 16725: @1143951
     /* 1143951 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1144031), // Rule ID 15314 //
     /* 1143956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1143967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1143970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1143973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143995 */     // MIs[0] round
     /* 1143995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144005 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144030 */     // GIR_Coverage, 15314,
     /* 1144030 */     GIR_EraseRootFromParent_Done,
     /* 1144031 */   // Label 16726: @1144031
     /* 1144031 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1144111), // Rule ID 15317 //
     /* 1144036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144075 */     // MIs[0] round
     /* 1144075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144085 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144110 */     // GIR_Coverage, 15317,
     /* 1144110 */     GIR_EraseRootFromParent_Done,
     /* 1144111 */   // Label 16727: @1144111
     /* 1144111 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1144191), // Rule ID 15318 //
     /* 1144116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144155 */     // MIs[0] round
     /* 1144155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144190 */     // GIR_Coverage, 15318,
     /* 1144190 */     GIR_EraseRootFromParent_Done,
     /* 1144191 */   // Label 16728: @1144191
     /* 1144191 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1144271), // Rule ID 15321 //
     /* 1144196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144235 */     // MIs[0] round
     /* 1144235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144270 */     // GIR_Coverage, 15321,
     /* 1144270 */     GIR_EraseRootFromParent_Done,
     /* 1144271 */   // Label 16729: @1144271
     /* 1144271 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1144351), // Rule ID 15322 //
     /* 1144276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144315 */     // MIs[0] round
     /* 1144315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144350 */     // GIR_Coverage, 15322,
     /* 1144350 */     GIR_EraseRootFromParent_Done,
     /* 1144351 */   // Label 16730: @1144351
     /* 1144351 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1144431), // Rule ID 15325 //
     /* 1144356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144395 */     // MIs[0] round
     /* 1144395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144430 */     // GIR_Coverage, 15325,
     /* 1144430 */     GIR_EraseRootFromParent_Done,
     /* 1144431 */   // Label 16731: @1144431
     /* 1144431 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1144511), // Rule ID 15326 //
     /* 1144436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144475 */     // MIs[0] round
     /* 1144475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144485 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144510 */     // GIR_Coverage, 15326,
     /* 1144510 */     GIR_EraseRootFromParent_Done,
     /* 1144511 */   // Label 16732: @1144511
     /* 1144511 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1144591), // Rule ID 15329 //
     /* 1144516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144555 */     // MIs[0] round
     /* 1144555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144565 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144590 */     // GIR_Coverage, 15329,
     /* 1144590 */     GIR_EraseRootFromParent_Done,
     /* 1144591 */   // Label 16733: @1144591
     /* 1144591 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144671), // Rule ID 15330 //
     /* 1144596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144635 */     // MIs[0] round
     /* 1144635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144645 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144670 */     // GIR_Coverage, 15330,
     /* 1144670 */     GIR_EraseRootFromParent_Done,
     /* 1144671 */   // Label 16734: @1144671
     /* 1144671 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144751), // Rule ID 15333 //
     /* 1144676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1144687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1144690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1144693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1144696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144715 */     // MIs[0] round
     /* 1144715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144725 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1144728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144750 */     // GIR_Coverage, 15333,
     /* 1144750 */     GIR_EraseRootFromParent_Done,
     /* 1144751 */   // Label 16735: @1144751
     /* 1144751 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144831), // Rule ID 15334 //
     /* 1144756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1144767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1144770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1144773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1144776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144795 */     // MIs[0] round
     /* 1144795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144805 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1144808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144830 */     // GIR_Coverage, 15334,
     /* 1144830 */     GIR_EraseRootFromParent_Done,
     /* 1144831 */   // Label 16736: @1144831
     /* 1144831 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144911), // Rule ID 15337 //
     /* 1144836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1144847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1144850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1144853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1144856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144875 */     // MIs[0] round
     /* 1144875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144885 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1144888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144910 */     // GIR_Coverage, 15337,
     /* 1144910 */     GIR_EraseRootFromParent_Done,
     /* 1144911 */   // Label 16737: @1144911
     /* 1144911 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1144991), // Rule ID 15338 //
     /* 1144916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1144927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1144930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1144933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1144936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144955 */     // MIs[0] round
     /* 1144955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144965 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1144968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144990 */     // GIR_Coverage, 15338,
     /* 1144990 */     GIR_EraseRootFromParent_Done,
     /* 1144991 */   // Label 16738: @1144991
     /* 1144991 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1145071), // Rule ID 15341 //
     /* 1144996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1145007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1145010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1145013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1145016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145035 */     // MIs[0] round
     /* 1145035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145045 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145070 */     // GIR_Coverage, 15341,
     /* 1145070 */     GIR_EraseRootFromParent_Done,
     /* 1145071 */   // Label 16739: @1145071
     /* 1145071 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1145151), // Rule ID 15342 //
     /* 1145076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1145087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1145090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1145093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1145096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145115 */     // MIs[0] round
     /* 1145115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145125 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145150 */     // GIR_Coverage, 15342,
     /* 1145150 */     GIR_EraseRootFromParent_Done,
     /* 1145151 */   // Label 16740: @1145151
     /* 1145151 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1145231), // Rule ID 15345 //
     /* 1145156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145195 */     // MIs[0] round
     /* 1145195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145205 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145230 */     // GIR_Coverage, 15345,
     /* 1145230 */     GIR_EraseRootFromParent_Done,
     /* 1145231 */   // Label 16741: @1145231
     /* 1145231 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1145311), // Rule ID 15346 //
     /* 1145236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145275 */     // MIs[0] round
     /* 1145275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145285 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145310 */     // GIR_Coverage, 15346,
     /* 1145310 */     GIR_EraseRootFromParent_Done,
     /* 1145311 */   // Label 16742: @1145311
     /* 1145311 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1145391), // Rule ID 15349 //
     /* 1145316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145355 */     // MIs[0] round
     /* 1145355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145365 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145390 */     // GIR_Coverage, 15349,
     /* 1145390 */     GIR_EraseRootFromParent_Done,
     /* 1145391 */   // Label 16743: @1145391
     /* 1145391 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1145471), // Rule ID 15350 //
     /* 1145396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145435 */     // MIs[0] round
     /* 1145435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145445 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145470 */     // GIR_Coverage, 15350,
     /* 1145470 */     GIR_EraseRootFromParent_Done,
     /* 1145471 */   // Label 16744: @1145471
     /* 1145471 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1145551), // Rule ID 15353 //
     /* 1145476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145515 */     // MIs[0] round
     /* 1145515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145550 */     // GIR_Coverage, 15353,
     /* 1145550 */     GIR_EraseRootFromParent_Done,
     /* 1145551 */   // Label 16745: @1145551
     /* 1145551 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145631), // Rule ID 15354 //
     /* 1145556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145595 */     // MIs[0] round
     /* 1145595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145630 */     // GIR_Coverage, 15354,
     /* 1145630 */     GIR_EraseRootFromParent_Done,
     /* 1145631 */   // Label 16746: @1145631
     /* 1145631 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145711), // Rule ID 15357 //
     /* 1145636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1145647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1145650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1145653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1145656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145675 */     // MIs[0] round
     /* 1145675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145685 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145710 */     // GIR_Coverage, 15357,
     /* 1145710 */     GIR_EraseRootFromParent_Done,
     /* 1145711 */   // Label 16747: @1145711
     /* 1145711 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145791), // Rule ID 15358 //
     /* 1145716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1145727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1145730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1145733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1145736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145755 */     // MIs[0] round
     /* 1145755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145790 */     // GIR_Coverage, 15358,
     /* 1145790 */     GIR_EraseRootFromParent_Done,
     /* 1145791 */   // Label 16748: @1145791
     /* 1145791 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145871), // Rule ID 15361 //
     /* 1145796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1145816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145835 */     // MIs[0] round
     /* 1145835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145845 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145870 */     // GIR_Coverage, 15361,
     /* 1145870 */     GIR_EraseRootFromParent_Done,
     /* 1145871 */   // Label 16749: @1145871
     /* 1145871 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1145951), // Rule ID 15362 //
     /* 1145876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1145896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145915 */     // MIs[0] round
     /* 1145915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145925 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145950 */     // GIR_Coverage, 15362,
     /* 1145950 */     GIR_EraseRootFromParent_Done,
     /* 1145951 */   // Label 16750: @1145951
     /* 1145951 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1146031), // Rule ID 15365 //
     /* 1145956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1145967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1145970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1145973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1145976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145995 */     // MIs[0] round
     /* 1145995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146030 */     // GIR_Coverage, 15365,
     /* 1146030 */     GIR_EraseRootFromParent_Done,
     /* 1146031 */   // Label 16751: @1146031
     /* 1146031 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1146111), // Rule ID 15366 //
     /* 1146036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1146047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1146050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1146053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1146056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146075 */     // MIs[0] round
     /* 1146075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146110 */     // GIR_Coverage, 15366,
     /* 1146110 */     GIR_EraseRootFromParent_Done,
     /* 1146111 */   // Label 16752: @1146111
     /* 1146111 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1146191), // Rule ID 15369 //
     /* 1146116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146155 */     // MIs[0] round
     /* 1146155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146190 */     // GIR_Coverage, 15369,
     /* 1146190 */     GIR_EraseRootFromParent_Done,
     /* 1146191 */   // Label 16753: @1146191
     /* 1146191 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1146271), // Rule ID 15370 //
     /* 1146196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146235 */     // MIs[0] round
     /* 1146235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146245 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146270 */     // GIR_Coverage, 15370,
     /* 1146270 */     GIR_EraseRootFromParent_Done,
     /* 1146271 */   // Label 16754: @1146271
     /* 1146271 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1146351), // Rule ID 15373 //
     /* 1146276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146315 */     // MIs[0] round
     /* 1146315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146350 */     // GIR_Coverage, 15373,
     /* 1146350 */     GIR_EraseRootFromParent_Done,
     /* 1146351 */   // Label 16755: @1146351
     /* 1146351 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1146431), // Rule ID 15374 //
     /* 1146356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146395 */     // MIs[0] round
     /* 1146395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146405 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146430 */     // GIR_Coverage, 15374,
     /* 1146430 */     GIR_EraseRootFromParent_Done,
     /* 1146431 */   // Label 16756: @1146431
     /* 1146431 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1146511), // Rule ID 15377 //
     /* 1146436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146475 */     // MIs[0] round
     /* 1146475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146485 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146510 */     // GIR_Coverage, 15377,
     /* 1146510 */     GIR_EraseRootFromParent_Done,
     /* 1146511 */   // Label 16757: @1146511
     /* 1146511 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1146591), // Rule ID 15378 //
     /* 1146516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146555 */     // MIs[0] round
     /* 1146555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146565 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146590 */     // GIR_Coverage, 15378,
     /* 1146590 */     GIR_EraseRootFromParent_Done,
     /* 1146591 */   // Label 16758: @1146591
     /* 1146591 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146671), // Rule ID 15381 //
     /* 1146596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1146613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1146616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146635 */     // MIs[0] round
     /* 1146635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146670 */     // GIR_Coverage, 15381,
     /* 1146670 */     GIR_EraseRootFromParent_Done,
     /* 1146671 */   // Label 16759: @1146671
     /* 1146671 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146751), // Rule ID 15382 //
     /* 1146676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1146693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1146696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146715 */     // MIs[0] round
     /* 1146715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146725 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146750 */     // GIR_Coverage, 15382,
     /* 1146750 */     GIR_EraseRootFromParent_Done,
     /* 1146751 */   // Label 16760: @1146751
     /* 1146751 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146831), // Rule ID 15385 //
     /* 1146756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1146767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1146770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1146773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1146776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146795 */     // MIs[0] round
     /* 1146795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146830 */     // GIR_Coverage, 15385,
     /* 1146830 */     GIR_EraseRootFromParent_Done,
     /* 1146831 */   // Label 16761: @1146831
     /* 1146831 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146911), // Rule ID 15386 //
     /* 1146836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1146847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1146850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1146853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1146856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146875 */     // MIs[0] round
     /* 1146875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146910 */     // GIR_Coverage, 15386,
     /* 1146910 */     GIR_EraseRootFromParent_Done,
     /* 1146911 */   // Label 16762: @1146911
     /* 1146911 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1146991), // Rule ID 15389 //
     /* 1146916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1146927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1146930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1146933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1146936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146955 */     // MIs[0] round
     /* 1146955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146965 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146990 */     // GIR_Coverage, 15389,
     /* 1146990 */     GIR_EraseRootFromParent_Done,
     /* 1146991 */   // Label 16763: @1146991
     /* 1146991 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1147071), // Rule ID 15390 //
     /* 1146996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1147007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1147010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1147013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1147016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147035 */     // MIs[0] round
     /* 1147035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147045 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147070 */     // GIR_Coverage, 15390,
     /* 1147070 */     GIR_EraseRootFromParent_Done,
     /* 1147071 */   // Label 16764: @1147071
     /* 1147071 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1147151), // Rule ID 15393 //
     /* 1147076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147115 */     // MIs[0] round
     /* 1147115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147125 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147150 */     // GIR_Coverage, 15393,
     /* 1147150 */     GIR_EraseRootFromParent_Done,
     /* 1147151 */   // Label 16765: @1147151
     /* 1147151 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1147231), // Rule ID 15394 //
     /* 1147156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147195 */     // MIs[0] round
     /* 1147195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147230 */     // GIR_Coverage, 15394,
     /* 1147230 */     GIR_EraseRootFromParent_Done,
     /* 1147231 */   // Label 16766: @1147231
     /* 1147231 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1147311), // Rule ID 15397 //
     /* 1147236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147275 */     // MIs[0] round
     /* 1147275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147310 */     // GIR_Coverage, 15397,
     /* 1147310 */     GIR_EraseRootFromParent_Done,
     /* 1147311 */   // Label 16767: @1147311
     /* 1147311 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1147391), // Rule ID 15398 //
     /* 1147316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147355 */     // MIs[0] round
     /* 1147355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147365 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147390 */     // GIR_Coverage, 15398,
     /* 1147390 */     GIR_EraseRootFromParent_Done,
     /* 1147391 */   // Label 16768: @1147391
     /* 1147391 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1147471), // Rule ID 15401 //
     /* 1147396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147435 */     // MIs[0] round
     /* 1147435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147470 */     // GIR_Coverage, 15401,
     /* 1147470 */     GIR_EraseRootFromParent_Done,
     /* 1147471 */   // Label 16769: @1147471
     /* 1147471 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1147551), // Rule ID 15402 //
     /* 1147476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147515 */     // MIs[0] round
     /* 1147515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147525 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147550 */     // GIR_Coverage, 15402,
     /* 1147550 */     GIR_EraseRootFromParent_Done,
     /* 1147551 */   // Label 16770: @1147551
     /* 1147551 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147631), // Rule ID 15405 //
     /* 1147556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147595 */     // MIs[0] round
     /* 1147595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147605 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147630 */     // GIR_Coverage, 15405,
     /* 1147630 */     GIR_EraseRootFromParent_Done,
     /* 1147631 */   // Label 16771: @1147631
     /* 1147631 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147711), // Rule ID 15406 //
     /* 1147636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147675 */     // MIs[0] round
     /* 1147675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147710 */     // GIR_Coverage, 15406,
     /* 1147710 */     GIR_EraseRootFromParent_Done,
     /* 1147711 */   // Label 16772: @1147711
     /* 1147711 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147791), // Rule ID 15409 //
     /* 1147716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1147727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1147730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1147733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1147736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147755 */     // MIs[0] round
     /* 1147755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147765 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147790 */     // GIR_Coverage, 15409,
     /* 1147790 */     GIR_EraseRootFromParent_Done,
     /* 1147791 */   // Label 16773: @1147791
     /* 1147791 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147871), // Rule ID 15410 //
     /* 1147796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1147807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1147810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1147813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1147816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147835 */     // MIs[0] round
     /* 1147835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147870 */     // GIR_Coverage, 15410,
     /* 1147870 */     GIR_EraseRootFromParent_Done,
     /* 1147871 */   // Label 16774: @1147871
     /* 1147871 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1147951), // Rule ID 15413 //
     /* 1147876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1147887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1147890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1147893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1147896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147915 */     // MIs[0] round
     /* 1147915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147925 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147950 */     // GIR_Coverage, 15413,
     /* 1147950 */     GIR_EraseRootFromParent_Done,
     /* 1147951 */   // Label 16775: @1147951
     /* 1147951 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1148031), // Rule ID 15414 //
     /* 1147956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1147967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1147970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1147973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1147976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147995 */     // MIs[0] round
     /* 1147995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148005 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1148008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148030 */     // GIR_Coverage, 15414,
     /* 1148030 */     GIR_EraseRootFromParent_Done,
     /* 1148031 */   // Label 16776: @1148031
     /* 1148031 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1148111), // Rule ID 15417 //
     /* 1148036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1148047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1148050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148075 */     // MIs[0] round
     /* 1148075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148110 */     // GIR_Coverage, 15417,
     /* 1148110 */     GIR_EraseRootFromParent_Done,
     /* 1148111 */   // Label 16777: @1148111
     /* 1148111 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1148191), // Rule ID 15418 //
     /* 1148116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1148127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1148130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148155 */     // MIs[0] round
     /* 1148155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148165 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148190 */     // GIR_Coverage, 15418,
     /* 1148190 */     GIR_EraseRootFromParent_Done,
     /* 1148191 */   // Label 16778: @1148191
     /* 1148191 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1148271), // Rule ID 15421 //
     /* 1148196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148235 */     // MIs[0] round
     /* 1148235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148245 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148270 */     // GIR_Coverage, 15421,
     /* 1148270 */     GIR_EraseRootFromParent_Done,
     /* 1148271 */   // Label 16779: @1148271
     /* 1148271 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1148351), // Rule ID 15422 //
     /* 1148276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148315 */     // MIs[0] round
     /* 1148315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148325 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148350 */     // GIR_Coverage, 15422,
     /* 1148350 */     GIR_EraseRootFromParent_Done,
     /* 1148351 */   // Label 16780: @1148351
     /* 1148351 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1148431), // Rule ID 15425 //
     /* 1148356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148395 */     // MIs[0] round
     /* 1148395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148405 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148430 */     // GIR_Coverage, 15425,
     /* 1148430 */     GIR_EraseRootFromParent_Done,
     /* 1148431 */   // Label 16781: @1148431
     /* 1148431 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1148511), // Rule ID 15426 //
     /* 1148436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148475 */     // MIs[0] round
     /* 1148475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148510 */     // GIR_Coverage, 15426,
     /* 1148510 */     GIR_EraseRootFromParent_Done,
     /* 1148511 */   // Label 16782: @1148511
     /* 1148511 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1148591), // Rule ID 15429 //
     /* 1148516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148555 */     // MIs[0] round
     /* 1148555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148590 */     // GIR_Coverage, 15429,
     /* 1148590 */     GIR_EraseRootFromParent_Done,
     /* 1148591 */   // Label 16783: @1148591
     /* 1148591 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148671), // Rule ID 15430 //
     /* 1148596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148635 */     // MIs[0] round
     /* 1148635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148645 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148670 */     // GIR_Coverage, 15430,
     /* 1148670 */     GIR_EraseRootFromParent_Done,
     /* 1148671 */   // Label 16784: @1148671
     /* 1148671 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148751), // Rule ID 15433 //
     /* 1148676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1148687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1148690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1148693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148715 */     // MIs[0] round
     /* 1148715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148750 */     // GIR_Coverage, 15433,
     /* 1148750 */     GIR_EraseRootFromParent_Done,
     /* 1148751 */   // Label 16785: @1148751
     /* 1148751 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148831), // Rule ID 15434 //
     /* 1148756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1148767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1148770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1148773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148795 */     // MIs[0] round
     /* 1148795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148805 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148830 */     // GIR_Coverage, 15434,
     /* 1148830 */     GIR_EraseRootFromParent_Done,
     /* 1148831 */   // Label 16786: @1148831
     /* 1148831 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148911), // Rule ID 15437 //
     /* 1148836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1148847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1148850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1148853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148875 */     // MIs[0] round
     /* 1148875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148885 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148910 */     // GIR_Coverage, 15437,
     /* 1148910 */     GIR_EraseRootFromParent_Done,
     /* 1148911 */   // Label 16787: @1148911
     /* 1148911 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1148991), // Rule ID 15438 //
     /* 1148916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1148927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1148930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1148933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148955 */     // MIs[0] round
     /* 1148955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148990 */     // GIR_Coverage, 15438,
     /* 1148990 */     GIR_EraseRootFromParent_Done,
     /* 1148991 */   // Label 16788: @1148991
     /* 1148991 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1149071), // Rule ID 15441 //
     /* 1148996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149035 */     // MIs[0] round
     /* 1149035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149070 */     // GIR_Coverage, 15441,
     /* 1149070 */     GIR_EraseRootFromParent_Done,
     /* 1149071 */   // Label 16789: @1149071
     /* 1149071 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1149151), // Rule ID 15442 //
     /* 1149076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149115 */     // MIs[0] round
     /* 1149115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149150 */     // GIR_Coverage, 15442,
     /* 1149150 */     GIR_EraseRootFromParent_Done,
     /* 1149151 */   // Label 16790: @1149151
     /* 1149151 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1149231), // Rule ID 15445 //
     /* 1149156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149195 */     // MIs[0] round
     /* 1149195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149205 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149230 */     // GIR_Coverage, 15445,
     /* 1149230 */     GIR_EraseRootFromParent_Done,
     /* 1149231 */   // Label 16791: @1149231
     /* 1149231 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1149311), // Rule ID 15446 //
     /* 1149236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149275 */     // MIs[0] round
     /* 1149275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149285 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149310 */     // GIR_Coverage, 15446,
     /* 1149310 */     GIR_EraseRootFromParent_Done,
     /* 1149311 */   // Label 16792: @1149311
     /* 1149311 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1149391), // Rule ID 15449 //
     /* 1149316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149355 */     // MIs[0] round
     /* 1149355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149390 */     // GIR_Coverage, 15449,
     /* 1149390 */     GIR_EraseRootFromParent_Done,
     /* 1149391 */   // Label 16793: @1149391
     /* 1149391 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1149471), // Rule ID 15450 //
     /* 1149396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149435 */     // MIs[0] round
     /* 1149435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149470 */     // GIR_Coverage, 15450,
     /* 1149470 */     GIR_EraseRootFromParent_Done,
     /* 1149471 */   // Label 16794: @1149471
     /* 1149471 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1149551), // Rule ID 15453 //
     /* 1149476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149515 */     // MIs[0] round
     /* 1149515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149550 */     // GIR_Coverage, 15453,
     /* 1149550 */     GIR_EraseRootFromParent_Done,
     /* 1149551 */   // Label 16795: @1149551
     /* 1149551 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149631), // Rule ID 15454 //
     /* 1149556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149595 */     // MIs[0] round
     /* 1149595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149630 */     // GIR_Coverage, 15454,
     /* 1149630 */     GIR_EraseRootFromParent_Done,
     /* 1149631 */   // Label 16796: @1149631
     /* 1149631 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149711), // Rule ID 15457 //
     /* 1149636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1149647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1149650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1149653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149675 */     // MIs[0] round
     /* 1149675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149685 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149710 */     // GIR_Coverage, 15457,
     /* 1149710 */     GIR_EraseRootFromParent_Done,
     /* 1149711 */   // Label 16797: @1149711
     /* 1149711 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149791), // Rule ID 15458 //
     /* 1149716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1149727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1149730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1149733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149755 */     // MIs[0] round
     /* 1149755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149765 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149790 */     // GIR_Coverage, 15458,
     /* 1149790 */     GIR_EraseRootFromParent_Done,
     /* 1149791 */   // Label 16798: @1149791
     /* 1149791 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149871), // Rule ID 15461 //
     /* 1149796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1149807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1149810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1149813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149835 */     // MIs[0] round
     /* 1149835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149845 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149870 */     // GIR_Coverage, 15461,
     /* 1149870 */     GIR_EraseRootFromParent_Done,
     /* 1149871 */   // Label 16799: @1149871
     /* 1149871 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1149951), // Rule ID 15462 //
     /* 1149876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1149887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1149890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1149893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149915 */     // MIs[0] round
     /* 1149915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149925 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149950 */     // GIR_Coverage, 15462,
     /* 1149950 */     GIR_EraseRootFromParent_Done,
     /* 1149951 */   // Label 16800: @1149951
     /* 1149951 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1150031), // Rule ID 15465 //
     /* 1149956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1149967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1149970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1149973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149995 */     // MIs[0] round
     /* 1149995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150005 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150030 */     // GIR_Coverage, 15465,
     /* 1150030 */     GIR_EraseRootFromParent_Done,
     /* 1150031 */   // Label 16801: @1150031
     /* 1150031 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1150111), // Rule ID 15466 //
     /* 1150036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150075 */     // MIs[0] round
     /* 1150075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150085 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150110 */     // GIR_Coverage, 15466,
     /* 1150110 */     GIR_EraseRootFromParent_Done,
     /* 1150111 */   // Label 16802: @1150111
     /* 1150111 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1150191), // Rule ID 15469 //
     /* 1150116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150155 */     // MIs[0] round
     /* 1150155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150165 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150190 */     // GIR_Coverage, 15469,
     /* 1150190 */     GIR_EraseRootFromParent_Done,
     /* 1150191 */   // Label 16803: @1150191
     /* 1150191 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1150271), // Rule ID 15470 //
     /* 1150196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150235 */     // MIs[0] round
     /* 1150235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150245 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150270 */     // GIR_Coverage, 15470,
     /* 1150270 */     GIR_EraseRootFromParent_Done,
     /* 1150271 */   // Label 16804: @1150271
     /* 1150271 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1150351), // Rule ID 15473 //
     /* 1150276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150315 */     // MIs[0] round
     /* 1150315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150350 */     // GIR_Coverage, 15473,
     /* 1150350 */     GIR_EraseRootFromParent_Done,
     /* 1150351 */   // Label 16805: @1150351
     /* 1150351 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1150431), // Rule ID 15474 //
     /* 1150356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150395 */     // MIs[0] round
     /* 1150395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150405 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150430 */     // GIR_Coverage, 15474,
     /* 1150430 */     GIR_EraseRootFromParent_Done,
     /* 1150431 */   // Label 16806: @1150431
     /* 1150431 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1150511), // Rule ID 15477 //
     /* 1150436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150475 */     // MIs[0] round
     /* 1150475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150485 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150510 */     // GIR_Coverage, 15477,
     /* 1150510 */     GIR_EraseRootFromParent_Done,
     /* 1150511 */   // Label 16807: @1150511
     /* 1150511 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1150591), // Rule ID 15478 //
     /* 1150516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150555 */     // MIs[0] round
     /* 1150555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150590 */     // GIR_Coverage, 15478,
     /* 1150590 */     GIR_EraseRootFromParent_Done,
     /* 1150591 */   // Label 16808: @1150591
     /* 1150591 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150671), // Rule ID 15481 //
     /* 1150596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1150613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150635 */     // MIs[0] round
     /* 1150635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150670 */     // GIR_Coverage, 15481,
     /* 1150670 */     GIR_EraseRootFromParent_Done,
     /* 1150671 */   // Label 16809: @1150671
     /* 1150671 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150751), // Rule ID 15482 //
     /* 1150676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1150693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150715 */     // MIs[0] round
     /* 1150715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150750 */     // GIR_Coverage, 15482,
     /* 1150750 */     GIR_EraseRootFromParent_Done,
     /* 1150751 */   // Label 16810: @1150751
     /* 1150751 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150831), // Rule ID 15485 //
     /* 1150756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1150767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1150770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150795 */     // MIs[0] round
     /* 1150795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150830 */     // GIR_Coverage, 15485,
     /* 1150830 */     GIR_EraseRootFromParent_Done,
     /* 1150831 */   // Label 16811: @1150831
     /* 1150831 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150911), // Rule ID 15486 //
     /* 1150836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1150847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1150850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150875 */     // MIs[0] round
     /* 1150875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150885 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150910 */     // GIR_Coverage, 15486,
     /* 1150910 */     GIR_EraseRootFromParent_Done,
     /* 1150911 */   // Label 16812: @1150911
     /* 1150911 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1150991), // Rule ID 15489 //
     /* 1150916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1150927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1150930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1150933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150955 */     // MIs[0] round
     /* 1150955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150990 */     // GIR_Coverage, 15489,
     /* 1150990 */     GIR_EraseRootFromParent_Done,
     /* 1150991 */   // Label 16813: @1150991
     /* 1150991 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1151071), // Rule ID 15490 //
     /* 1150996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151035 */     // MIs[0] round
     /* 1151035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151070 */     // GIR_Coverage, 15490,
     /* 1151070 */     GIR_EraseRootFromParent_Done,
     /* 1151071 */   // Label 16814: @1151071
     /* 1151071 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1151151), // Rule ID 15493 //
     /* 1151076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151115 */     // MIs[0] round
     /* 1151115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151125 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151150 */     // GIR_Coverage, 15493,
     /* 1151150 */     GIR_EraseRootFromParent_Done,
     /* 1151151 */   // Label 16815: @1151151
     /* 1151151 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1151231), // Rule ID 15494 //
     /* 1151156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151195 */     // MIs[0] round
     /* 1151195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151230 */     // GIR_Coverage, 15494,
     /* 1151230 */     GIR_EraseRootFromParent_Done,
     /* 1151231 */   // Label 16816: @1151231
     /* 1151231 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1151311), // Rule ID 15497 //
     /* 1151236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151275 */     // MIs[0] round
     /* 1151275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151285 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151310 */     // GIR_Coverage, 15497,
     /* 1151310 */     GIR_EraseRootFromParent_Done,
     /* 1151311 */   // Label 16817: @1151311
     /* 1151311 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1151391), // Rule ID 15498 //
     /* 1151316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151355 */     // MIs[0] round
     /* 1151355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151390 */     // GIR_Coverage, 15498,
     /* 1151390 */     GIR_EraseRootFromParent_Done,
     /* 1151391 */   // Label 16818: @1151391
     /* 1151391 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1151471), // Rule ID 15501 //
     /* 1151396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151435 */     // MIs[0] round
     /* 1151435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151445 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151470 */     // GIR_Coverage, 15501,
     /* 1151470 */     GIR_EraseRootFromParent_Done,
     /* 1151471 */   // Label 16819: @1151471
     /* 1151471 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1151551), // Rule ID 15502 //
     /* 1151476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151515 */     // MIs[0] round
     /* 1151515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151525 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151550 */     // GIR_Coverage, 15502,
     /* 1151550 */     GIR_EraseRootFromParent_Done,
     /* 1151551 */   // Label 16820: @1151551
     /* 1151551 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151631), // Rule ID 15505 //
     /* 1151556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151595 */     // MIs[0] round
     /* 1151595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151605 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151630 */     // GIR_Coverage, 15505,
     /* 1151630 */     GIR_EraseRootFromParent_Done,
     /* 1151631 */   // Label 16821: @1151631
     /* 1151631 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151711), // Rule ID 15506 //
     /* 1151636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151675 */     // MIs[0] round
     /* 1151675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151685 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151710 */     // GIR_Coverage, 15506,
     /* 1151710 */     GIR_EraseRootFromParent_Done,
     /* 1151711 */   // Label 16822: @1151711
     /* 1151711 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151794), // Rule ID 15509 //
     /* 1151716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1151727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1151730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1151733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1151736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151755 */     // MIs[0] round
     /* 1151755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1151768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151793 */     // GIR_Coverage, 15509,
     /* 1151793 */     GIR_EraseRootFromParent_Done,
     /* 1151794 */   // Label 16823: @1151794
     /* 1151794 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151877), // Rule ID 15510 //
     /* 1151799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1151810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1151813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1151816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1151819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151838 */     // MIs[0] round
     /* 1151838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1151851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151876 */     // GIR_Coverage, 15510,
     /* 1151876 */     GIR_EraseRootFromParent_Done,
     /* 1151877 */   // Label 16824: @1151877
     /* 1151877 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1151960), // Rule ID 15513 //
     /* 1151882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1151893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1151896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1151899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1151902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151921 */     // MIs[0] round
     /* 1151921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1151934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151959 */     // GIR_Coverage, 15513,
     /* 1151959 */     GIR_EraseRootFromParent_Done,
     /* 1151960 */   // Label 16825: @1151960
     /* 1151960 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1152043), // Rule ID 15514 //
     /* 1151965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1151976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1151979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1151982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1151985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152004 */     // MIs[0] round
     /* 1152004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152042 */     // GIR_Coverage, 15514,
     /* 1152042 */     GIR_EraseRootFromParent_Done,
     /* 1152043 */   // Label 16826: @1152043
     /* 1152043 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1152126), // Rule ID 15517 //
     /* 1152048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152087 */     // MIs[0] round
     /* 1152087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152125 */     // GIR_Coverage, 15517,
     /* 1152125 */     GIR_EraseRootFromParent_Done,
     /* 1152126 */   // Label 16827: @1152126
     /* 1152126 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1152209), // Rule ID 15518 //
     /* 1152131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152170 */     // MIs[0] round
     /* 1152170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152208 */     // GIR_Coverage, 15518,
     /* 1152208 */     GIR_EraseRootFromParent_Done,
     /* 1152209 */   // Label 16828: @1152209
     /* 1152209 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1152292), // Rule ID 15521 //
     /* 1152214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152253 */     // MIs[0] round
     /* 1152253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152263 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152291 */     // GIR_Coverage, 15521,
     /* 1152291 */     GIR_EraseRootFromParent_Done,
     /* 1152292 */   // Label 16829: @1152292
     /* 1152292 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1152375), // Rule ID 15522 //
     /* 1152297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152336 */     // MIs[0] round
     /* 1152336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152374 */     // GIR_Coverage, 15522,
     /* 1152374 */     GIR_EraseRootFromParent_Done,
     /* 1152375 */   // Label 16830: @1152375
     /* 1152375 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1152458), // Rule ID 15525 //
     /* 1152380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152419 */     // MIs[0] round
     /* 1152419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152429 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152457 */     // GIR_Coverage, 15525,
     /* 1152457 */     GIR_EraseRootFromParent_Done,
     /* 1152458 */   // Label 16831: @1152458
     /* 1152458 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1152541), // Rule ID 15526 //
     /* 1152463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152502 */     // MIs[0] round
     /* 1152502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152540 */     // GIR_Coverage, 15526,
     /* 1152540 */     GIR_EraseRootFromParent_Done,
     /* 1152541 */   // Label 16832: @1152541
     /* 1152541 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1152624), // Rule ID 15529 //
     /* 1152546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1152557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1152560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152585 */     // MIs[0] round
     /* 1152585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152623 */     // GIR_Coverage, 15529,
     /* 1152623 */     GIR_EraseRootFromParent_Done,
     /* 1152624 */   // Label 16833: @1152624
     /* 1152624 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152707), // Rule ID 15530 //
     /* 1152629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1152640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1152643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152668 */     // MIs[0] round
     /* 1152668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152706 */     // GIR_Coverage, 15530,
     /* 1152706 */     GIR_EraseRootFromParent_Done,
     /* 1152707 */   // Label 16834: @1152707
     /* 1152707 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152790), // Rule ID 15533 //
     /* 1152712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1152723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1152726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1152729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1152732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152751 */     // MIs[0] round
     /* 1152751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152761 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1152764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152789 */     // GIR_Coverage, 15533,
     /* 1152789 */     GIR_EraseRootFromParent_Done,
     /* 1152790 */   // Label 16835: @1152790
     /* 1152790 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152873), // Rule ID 15534 //
     /* 1152795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1152806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1152809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1152812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1152815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152834 */     // MIs[0] round
     /* 1152834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1152847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152872 */     // GIR_Coverage, 15534,
     /* 1152872 */     GIR_EraseRootFromParent_Done,
     /* 1152873 */   // Label 16836: @1152873
     /* 1152873 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1152956), // Rule ID 15537 //
     /* 1152878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152917 */     // MIs[0] round
     /* 1152917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1152930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152955 */     // GIR_Coverage, 15537,
     /* 1152955 */     GIR_EraseRootFromParent_Done,
     /* 1152956 */   // Label 16837: @1152956
     /* 1152956 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1153039), // Rule ID 15538 //
     /* 1152961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153000 */     // MIs[0] round
     /* 1153000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153038 */     // GIR_Coverage, 15538,
     /* 1153038 */     GIR_EraseRootFromParent_Done,
     /* 1153039 */   // Label 16838: @1153039
     /* 1153039 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1153122), // Rule ID 15541 //
     /* 1153044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153083 */     // MIs[0] round
     /* 1153083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153121 */     // GIR_Coverage, 15541,
     /* 1153121 */     GIR_EraseRootFromParent_Done,
     /* 1153122 */   // Label 16839: @1153122
     /* 1153122 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1153205), // Rule ID 15542 //
     /* 1153127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153166 */     // MIs[0] round
     /* 1153166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153204 */     // GIR_Coverage, 15542,
     /* 1153204 */     GIR_EraseRootFromParent_Done,
     /* 1153205 */   // Label 16840: @1153205
     /* 1153205 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1153288), // Rule ID 15545 //
     /* 1153210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153249 */     // MIs[0] round
     /* 1153249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153287 */     // GIR_Coverage, 15545,
     /* 1153287 */     GIR_EraseRootFromParent_Done,
     /* 1153288 */   // Label 16841: @1153288
     /* 1153288 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1153371), // Rule ID 15546 //
     /* 1153293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153332 */     // MIs[0] round
     /* 1153332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153342 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153370 */     // GIR_Coverage, 15546,
     /* 1153370 */     GIR_EraseRootFromParent_Done,
     /* 1153371 */   // Label 16842: @1153371
     /* 1153371 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1153454), // Rule ID 15549 //
     /* 1153376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153415 */     // MIs[0] round
     /* 1153415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153425 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153453 */     // GIR_Coverage, 15549,
     /* 1153453 */     GIR_EraseRootFromParent_Done,
     /* 1153454 */   // Label 16843: @1153454
     /* 1153454 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1153537), // Rule ID 15550 //
     /* 1153459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153498 */     // MIs[0] round
     /* 1153498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153536 */     // GIR_Coverage, 15550,
     /* 1153536 */     GIR_EraseRootFromParent_Done,
     /* 1153537 */   // Label 16844: @1153537
     /* 1153537 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1153620), // Rule ID 15553 //
     /* 1153542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1153553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1153556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153581 */     // MIs[0] round
     /* 1153581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153591 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153619 */     // GIR_Coverage, 15553,
     /* 1153619 */     GIR_EraseRootFromParent_Done,
     /* 1153620 */   // Label 16845: @1153620
     /* 1153620 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153703), // Rule ID 15554 //
     /* 1153625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1153636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1153639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153664 */     // MIs[0] round
     /* 1153664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153674 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153702 */     // GIR_Coverage, 15554,
     /* 1153702 */     GIR_EraseRootFromParent_Done,
     /* 1153703 */   // Label 16846: @1153703
     /* 1153703 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153786), // Rule ID 15557 //
     /* 1153708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1153719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1153722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1153728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153747 */     // MIs[0] round
     /* 1153747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153757 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153785 */     // GIR_Coverage, 15557,
     /* 1153785 */     GIR_EraseRootFromParent_Done,
     /* 1153786 */   // Label 16847: @1153786
     /* 1153786 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153869), // Rule ID 15558 //
     /* 1153791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1153802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1153805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1153811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153830 */     // MIs[0] round
     /* 1153830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153840 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153868 */     // GIR_Coverage, 15558,
     /* 1153868 */     GIR_EraseRootFromParent_Done,
     /* 1153869 */   // Label 16848: @1153869
     /* 1153869 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1153952), // Rule ID 15561 //
     /* 1153874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1153885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1153888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1153894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153913 */     // MIs[0] round
     /* 1153913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153951 */     // GIR_Coverage, 15561,
     /* 1153951 */     GIR_EraseRootFromParent_Done,
     /* 1153952 */   // Label 16849: @1153952
     /* 1153952 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1154035), // Rule ID 15562 //
     /* 1153957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1153968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1153971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1153977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153996 */     // MIs[0] round
     /* 1153996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154006 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154034 */     // GIR_Coverage, 15562,
     /* 1154034 */     GIR_EraseRootFromParent_Done,
     /* 1154035 */   // Label 16850: @1154035
     /* 1154035 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1154118), // Rule ID 15565 //
     /* 1154040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1154051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154079 */     // MIs[0] round
     /* 1154079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154117 */     // GIR_Coverage, 15565,
     /* 1154117 */     GIR_EraseRootFromParent_Done,
     /* 1154118 */   // Label 16851: @1154118
     /* 1154118 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1154201), // Rule ID 15566 //
     /* 1154123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1154134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154162 */     // MIs[0] round
     /* 1154162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154200 */     // GIR_Coverage, 15566,
     /* 1154200 */     GIR_EraseRootFromParent_Done,
     /* 1154201 */   // Label 16852: @1154201
     /* 1154201 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1154284), // Rule ID 15569 //
     /* 1154206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154245 */     // MIs[0] round
     /* 1154245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154283 */     // GIR_Coverage, 15569,
     /* 1154283 */     GIR_EraseRootFromParent_Done,
     /* 1154284 */   // Label 16853: @1154284
     /* 1154284 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1154367), // Rule ID 15570 //
     /* 1154289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154328 */     // MIs[0] round
     /* 1154328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154366 */     // GIR_Coverage, 15570,
     /* 1154366 */     GIR_EraseRootFromParent_Done,
     /* 1154367 */   // Label 16854: @1154367
     /* 1154367 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1154450), // Rule ID 15573 //
     /* 1154372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154411 */     // MIs[0] round
     /* 1154411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154449 */     // GIR_Coverage, 15573,
     /* 1154449 */     GIR_EraseRootFromParent_Done,
     /* 1154450 */   // Label 16855: @1154450
     /* 1154450 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1154533), // Rule ID 15574 //
     /* 1154455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154494 */     // MIs[0] round
     /* 1154494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154532 */     // GIR_Coverage, 15574,
     /* 1154532 */     GIR_EraseRootFromParent_Done,
     /* 1154533 */   // Label 16856: @1154533
     /* 1154533 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1154616), // Rule ID 15577 //
     /* 1154538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1154549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1154552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154577 */     // MIs[0] round
     /* 1154577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154615 */     // GIR_Coverage, 15577,
     /* 1154615 */     GIR_EraseRootFromParent_Done,
     /* 1154616 */   // Label 16857: @1154616
     /* 1154616 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1154699), // Rule ID 15578 //
     /* 1154621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1154632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1154635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154660 */     // MIs[0] round
     /* 1154660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154698 */     // GIR_Coverage, 15578,
     /* 1154698 */     GIR_EraseRootFromParent_Done,
     /* 1154699 */   // Label 16858: @1154699
     /* 1154699 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154782), // Rule ID 15581 //
     /* 1154704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1154715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1154718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1154721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154743 */     // MIs[0] round
     /* 1154743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154753 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1154756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154781 */     // GIR_Coverage, 15581,
     /* 1154781 */     GIR_EraseRootFromParent_Done,
     /* 1154782 */   // Label 16859: @1154782
     /* 1154782 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154865), // Rule ID 15582 //
     /* 1154787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1154798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1154801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1154804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154826 */     // MIs[0] round
     /* 1154826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1154839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154864 */     // GIR_Coverage, 15582,
     /* 1154864 */     GIR_EraseRootFromParent_Done,
     /* 1154865 */   // Label 16860: @1154865
     /* 1154865 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1154948), // Rule ID 15585 //
     /* 1154870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1154881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1154884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1154887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154909 */     // MIs[0] round
     /* 1154909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1154922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154947 */     // GIR_Coverage, 15585,
     /* 1154947 */     GIR_EraseRootFromParent_Done,
     /* 1154948 */   // Label 16861: @1154948
     /* 1154948 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1155031), // Rule ID 15586 //
     /* 1154953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1154964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1154967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1154970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154992 */     // MIs[0] round
     /* 1154992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155030 */     // GIR_Coverage, 15586,
     /* 1155030 */     GIR_EraseRootFromParent_Done,
     /* 1155031 */   // Label 16862: @1155031
     /* 1155031 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1155114), // Rule ID 15589 //
     /* 1155036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1155047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1155050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155075 */     // MIs[0] round
     /* 1155075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155085 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155113 */     // GIR_Coverage, 15589,
     /* 1155113 */     GIR_EraseRootFromParent_Done,
     /* 1155114 */   // Label 16863: @1155114
     /* 1155114 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1155197), // Rule ID 15590 //
     /* 1155119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1155130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1155133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155158 */     // MIs[0] round
     /* 1155158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155196 */     // GIR_Coverage, 15590,
     /* 1155196 */     GIR_EraseRootFromParent_Done,
     /* 1155197 */   // Label 16864: @1155197
     /* 1155197 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1155280), // Rule ID 15593 //
     /* 1155202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155241 */     // MIs[0] round
     /* 1155241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155279 */     // GIR_Coverage, 15593,
     /* 1155279 */     GIR_EraseRootFromParent_Done,
     /* 1155280 */   // Label 16865: @1155280
     /* 1155280 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1155363), // Rule ID 15594 //
     /* 1155285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155324 */     // MIs[0] round
     /* 1155324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155362 */     // GIR_Coverage, 15594,
     /* 1155362 */     GIR_EraseRootFromParent_Done,
     /* 1155363 */   // Label 16866: @1155363
     /* 1155363 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1155446), // Rule ID 15597 //
     /* 1155368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155407 */     // MIs[0] round
     /* 1155407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155417 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155445 */     // GIR_Coverage, 15597,
     /* 1155445 */     GIR_EraseRootFromParent_Done,
     /* 1155446 */   // Label 16867: @1155446
     /* 1155446 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1155529), // Rule ID 15598 //
     /* 1155451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155490 */     // MIs[0] round
     /* 1155490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155528 */     // GIR_Coverage, 15598,
     /* 1155528 */     GIR_EraseRootFromParent_Done,
     /* 1155529 */   // Label 16868: @1155529
     /* 1155529 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1155612), // Rule ID 15601 //
     /* 1155534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1155545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1155548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155573 */     // MIs[0] round
     /* 1155573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155583 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155611 */     // GIR_Coverage, 15601,
     /* 1155611 */     GIR_EraseRootFromParent_Done,
     /* 1155612 */   // Label 16869: @1155612
     /* 1155612 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1155695), // Rule ID 15602 //
     /* 1155617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1155628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1155631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155656 */     // MIs[0] round
     /* 1155656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155694 */     // GIR_Coverage, 15602,
     /* 1155694 */     GIR_EraseRootFromParent_Done,
     /* 1155695 */   // Label 16870: @1155695
     /* 1155695 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155778), // Rule ID 15605 //
     /* 1155700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1155711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1155714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155739 */     // MIs[0] round
     /* 1155739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1155752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155777 */     // GIR_Coverage, 15605,
     /* 1155777 */     GIR_EraseRootFromParent_Done,
     /* 1155778 */   // Label 16871: @1155778
     /* 1155778 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155861), // Rule ID 15606 //
     /* 1155783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1155794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1155797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155822 */     // MIs[0] round
     /* 1155822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1155835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155860 */     // GIR_Coverage, 15606,
     /* 1155860 */     GIR_EraseRootFromParent_Done,
     /* 1155861 */   // Label 16872: @1155861
     /* 1155861 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155944), // Rule ID 15609 //
     /* 1155866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155905 */     // MIs[0] round
     /* 1155905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1155918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155943 */     // GIR_Coverage, 15609,
     /* 1155943 */     GIR_EraseRootFromParent_Done,
     /* 1155944 */   // Label 16873: @1155944
     /* 1155944 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1156027), // Rule ID 15610 //
     /* 1155949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155988 */     // MIs[0] round
     /* 1155988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156026 */     // GIR_Coverage, 15610,
     /* 1156026 */     GIR_EraseRootFromParent_Done,
     /* 1156027 */   // Label 16874: @1156027
     /* 1156027 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1156110), // Rule ID 15613 //
     /* 1156032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156071 */     // MIs[0] round
     /* 1156071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156109 */     // GIR_Coverage, 15613,
     /* 1156109 */     GIR_EraseRootFromParent_Done,
     /* 1156110 */   // Label 16875: @1156110
     /* 1156110 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1156193), // Rule ID 15614 //
     /* 1156115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156154 */     // MIs[0] round
     /* 1156154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156192 */     // GIR_Coverage, 15614,
     /* 1156192 */     GIR_EraseRootFromParent_Done,
     /* 1156193 */   // Label 16876: @1156193
     /* 1156193 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1156276), // Rule ID 15617 //
     /* 1156198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156237 */     // MIs[0] round
     /* 1156237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156275 */     // GIR_Coverage, 15617,
     /* 1156275 */     GIR_EraseRootFromParent_Done,
     /* 1156276 */   // Label 16877: @1156276
     /* 1156276 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1156359), // Rule ID 15618 //
     /* 1156281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156320 */     // MIs[0] round
     /* 1156320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156358 */     // GIR_Coverage, 15618,
     /* 1156358 */     GIR_EraseRootFromParent_Done,
     /* 1156359 */   // Label 16878: @1156359
     /* 1156359 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1156442), // Rule ID 15621 //
     /* 1156364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156403 */     // MIs[0] round
     /* 1156403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156413 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156441 */     // GIR_Coverage, 15621,
     /* 1156441 */     GIR_EraseRootFromParent_Done,
     /* 1156442 */   // Label 16879: @1156442
     /* 1156442 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1156525), // Rule ID 15622 //
     /* 1156447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156486 */     // MIs[0] round
     /* 1156486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156496 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156524 */     // GIR_Coverage, 15622,
     /* 1156524 */     GIR_EraseRootFromParent_Done,
     /* 1156525 */   // Label 16880: @1156525
     /* 1156525 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1156608), // Rule ID 15625 //
     /* 1156530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1156541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1156544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156569 */     // MIs[0] round
     /* 1156569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156579 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156607 */     // GIR_Coverage, 15625,
     /* 1156607 */     GIR_EraseRootFromParent_Done,
     /* 1156608 */   // Label 16881: @1156608
     /* 1156608 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1156691), // Rule ID 15626 //
     /* 1156613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1156624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1156627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156652 */     // MIs[0] round
     /* 1156652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156662 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156690 */     // GIR_Coverage, 15626,
     /* 1156690 */     GIR_EraseRootFromParent_Done,
     /* 1156691 */   // Label 16882: @1156691
     /* 1156691 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1156774), // Rule ID 15629 //
     /* 1156696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1156707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1156710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1156713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156735 */     // MIs[0] round
     /* 1156735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156745 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156773 */     // GIR_Coverage, 15629,
     /* 1156773 */     GIR_EraseRootFromParent_Done,
     /* 1156774 */   // Label 16883: @1156774
     /* 1156774 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156857), // Rule ID 15630 //
     /* 1156779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1156790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1156793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1156796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156818 */     // MIs[0] round
     /* 1156818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156856 */     // GIR_Coverage, 15630,
     /* 1156856 */     GIR_EraseRootFromParent_Done,
     /* 1156857 */   // Label 16884: @1156857
     /* 1156857 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156940), // Rule ID 15633 //
     /* 1156862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1156873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1156876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1156879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156901 */     // MIs[0] round
     /* 1156901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156939 */     // GIR_Coverage, 15633,
     /* 1156939 */     GIR_EraseRootFromParent_Done,
     /* 1156940 */   // Label 16885: @1156940
     /* 1156940 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1157023), // Rule ID 15634 //
     /* 1156945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1156956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1156959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1156962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156984 */     // MIs[0] round
     /* 1156984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157022 */     // GIR_Coverage, 15634,
     /* 1157022 */     GIR_EraseRootFromParent_Done,
     /* 1157023 */   // Label 16886: @1157023
     /* 1157023 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1157106), // Rule ID 15637 //
     /* 1157028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1157039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1157042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157067 */     // MIs[0] round
     /* 1157067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157105 */     // GIR_Coverage, 15637,
     /* 1157105 */     GIR_EraseRootFromParent_Done,
     /* 1157106 */   // Label 16887: @1157106
     /* 1157106 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1157189), // Rule ID 15638 //
     /* 1157111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1157122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1157125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157150 */     // MIs[0] round
     /* 1157150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157160 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157188 */     // GIR_Coverage, 15638,
     /* 1157188 */     GIR_EraseRootFromParent_Done,
     /* 1157189 */   // Label 16888: @1157189
     /* 1157189 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1157272), // Rule ID 15641 //
     /* 1157194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157233 */     // MIs[0] round
     /* 1157233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157271 */     // GIR_Coverage, 15641,
     /* 1157271 */     GIR_EraseRootFromParent_Done,
     /* 1157272 */   // Label 16889: @1157272
     /* 1157272 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1157355), // Rule ID 15642 //
     /* 1157277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157316 */     // MIs[0] round
     /* 1157316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157354 */     // GIR_Coverage, 15642,
     /* 1157354 */     GIR_EraseRootFromParent_Done,
     /* 1157355 */   // Label 16890: @1157355
     /* 1157355 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1157438), // Rule ID 15645 //
     /* 1157360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157399 */     // MIs[0] round
     /* 1157399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157409 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157437 */     // GIR_Coverage, 15645,
     /* 1157437 */     GIR_EraseRootFromParent_Done,
     /* 1157438 */   // Label 16891: @1157438
     /* 1157438 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1157521), // Rule ID 15646 //
     /* 1157443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157482 */     // MIs[0] round
     /* 1157482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157520 */     // GIR_Coverage, 15646,
     /* 1157520 */     GIR_EraseRootFromParent_Done,
     /* 1157521 */   // Label 16892: @1157521
     /* 1157521 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1157604), // Rule ID 15649 //
     /* 1157526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1157540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157565 */     // MIs[0] round
     /* 1157565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157603 */     // GIR_Coverage, 15649,
     /* 1157603 */     GIR_EraseRootFromParent_Done,
     /* 1157604 */   // Label 16893: @1157604
     /* 1157604 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1157687), // Rule ID 15650 //
     /* 1157609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1157623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157648 */     // MIs[0] round
     /* 1157648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157686 */     // GIR_Coverage, 15650,
     /* 1157686 */     GIR_EraseRootFromParent_Done,
     /* 1157687 */   // Label 16894: @1157687
     /* 1157687 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1157770), // Rule ID 15653 //
     /* 1157692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1157709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157731 */     // MIs[0] round
     /* 1157731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157741 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157769 */     // GIR_Coverage, 15653,
     /* 1157769 */     GIR_EraseRootFromParent_Done,
     /* 1157770 */   // Label 16895: @1157770
     /* 1157770 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157853), // Rule ID 15654 //
     /* 1157775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1157792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157814 */     // MIs[0] round
     /* 1157814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157852 */     // GIR_Coverage, 15654,
     /* 1157852 */     GIR_EraseRootFromParent_Done,
     /* 1157853 */   // Label 16896: @1157853
     /* 1157853 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157936), // Rule ID 15657 //
     /* 1157858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1157878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157897 */     // MIs[0] round
     /* 1157897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157907 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1157910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157935 */     // GIR_Coverage, 15657,
     /* 1157935 */     GIR_EraseRootFromParent_Done,
     /* 1157936 */   // Label 16897: @1157936
     /* 1157936 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1158019), // Rule ID 15658 //
     /* 1157941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1157961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157980 */     // MIs[0] round
     /* 1157980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157990 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1157993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158018 */     // GIR_Coverage, 15658,
     /* 1158018 */     GIR_EraseRootFromParent_Done,
     /* 1158019 */   // Label 16898: @1158019
     /* 1158019 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1158102), // Rule ID 15661 //
     /* 1158024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1158044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158063 */     // MIs[0] round
     /* 1158063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158101 */     // GIR_Coverage, 15661,
     /* 1158101 */     GIR_EraseRootFromParent_Done,
     /* 1158102 */   // Label 16899: @1158102
     /* 1158102 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1158185), // Rule ID 15662 //
     /* 1158107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1158127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158146 */     // MIs[0] round
     /* 1158146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158184 */     // GIR_Coverage, 15662,
     /* 1158184 */     GIR_EraseRootFromParent_Done,
     /* 1158185 */   // Label 16900: @1158185
     /* 1158185 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1158268), // Rule ID 15665 //
     /* 1158190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158229 */     // MIs[0] round
     /* 1158229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158267 */     // GIR_Coverage, 15665,
     /* 1158267 */     GIR_EraseRootFromParent_Done,
     /* 1158268 */   // Label 16901: @1158268
     /* 1158268 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1158351), // Rule ID 15666 //
     /* 1158273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158312 */     // MIs[0] round
     /* 1158312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158350 */     // GIR_Coverage, 15666,
     /* 1158350 */     GIR_EraseRootFromParent_Done,
     /* 1158351 */   // Label 16902: @1158351
     /* 1158351 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1158434), // Rule ID 15669 //
     /* 1158356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158395 */     // MIs[0] round
     /* 1158395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158433 */     // GIR_Coverage, 15669,
     /* 1158433 */     GIR_EraseRootFromParent_Done,
     /* 1158434 */   // Label 16903: @1158434
     /* 1158434 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1158517), // Rule ID 15670 //
     /* 1158439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158478 */     // MIs[0] round
     /* 1158478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158516 */     // GIR_Coverage, 15670,
     /* 1158516 */     GIR_EraseRootFromParent_Done,
     /* 1158517 */   // Label 16904: @1158517
     /* 1158517 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1158600), // Rule ID 15673 //
     /* 1158522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158561 */     // MIs[0] round
     /* 1158561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1158574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158599 */     // GIR_Coverage, 15673,
     /* 1158599 */     GIR_EraseRootFromParent_Done,
     /* 1158600 */   // Label 16905: @1158600
     /* 1158600 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1158683), // Rule ID 15674 //
     /* 1158605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158644 */     // MIs[0] round
     /* 1158644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158654 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1158657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158682 */     // GIR_Coverage, 15674,
     /* 1158682 */     GIR_EraseRootFromParent_Done,
     /* 1158683 */   // Label 16906: @1158683
     /* 1158683 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1158766), // Rule ID 15677 //
     /* 1158688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158727 */     // MIs[0] round
     /* 1158727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1158740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158765 */     // GIR_Coverage, 15677,
     /* 1158765 */     GIR_EraseRootFromParent_Done,
     /* 1158766 */   // Label 16907: @1158766
     /* 1158766 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158849), // Rule ID 15678 //
     /* 1158771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158810 */     // MIs[0] round
     /* 1158810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1158823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158848 */     // GIR_Coverage, 15678,
     /* 1158848 */     GIR_EraseRootFromParent_Done,
     /* 1158849 */   // Label 16908: @1158849
     /* 1158849 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158932), // Rule ID 15681 //
     /* 1158854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158893 */     // MIs[0] round
     /* 1158893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158903 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1158906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158931 */     // GIR_Coverage, 15681,
     /* 1158931 */     GIR_EraseRootFromParent_Done,
     /* 1158932 */   // Label 16909: @1158932
     /* 1158932 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1159015), // Rule ID 15682 //
     /* 1158937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158976 */     // MIs[0] round
     /* 1158976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1158989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159014 */     // GIR_Coverage, 15682,
     /* 1159014 */     GIR_EraseRootFromParent_Done,
     /* 1159015 */   // Label 16910: @1159015
     /* 1159015 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1159095), // Rule ID 15685 //
     /* 1159020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1159040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159059 */     // MIs[0] round
     /* 1159059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159094 */     // GIR_Coverage, 15685,
     /* 1159094 */     GIR_EraseRootFromParent_Done,
     /* 1159095 */   // Label 16911: @1159095
     /* 1159095 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1159175), // Rule ID 15686 //
     /* 1159100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1159120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159139 */     // MIs[0] round
     /* 1159139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159174 */     // GIR_Coverage, 15686,
     /* 1159174 */     GIR_EraseRootFromParent_Done,
     /* 1159175 */   // Label 16912: @1159175
     /* 1159175 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1159255), // Rule ID 15689 //
     /* 1159180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159219 */     // MIs[0] round
     /* 1159219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159229 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159254 */     // GIR_Coverage, 15689,
     /* 1159254 */     GIR_EraseRootFromParent_Done,
     /* 1159255 */   // Label 16913: @1159255
     /* 1159255 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1159335), // Rule ID 15690 //
     /* 1159260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159299 */     // MIs[0] round
     /* 1159299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159309 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159334 */     // GIR_Coverage, 15690,
     /* 1159334 */     GIR_EraseRootFromParent_Done,
     /* 1159335 */   // Label 16914: @1159335
     /* 1159335 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1159415), // Rule ID 15693 //
     /* 1159340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159379 */     // MIs[0] round
     /* 1159379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159414 */     // GIR_Coverage, 15693,
     /* 1159414 */     GIR_EraseRootFromParent_Done,
     /* 1159415 */   // Label 16915: @1159415
     /* 1159415 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1159495), // Rule ID 15694 //
     /* 1159420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159459 */     // MIs[0] round
     /* 1159459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159469 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159494 */     // GIR_Coverage, 15694,
     /* 1159494 */     GIR_EraseRootFromParent_Done,
     /* 1159495 */   // Label 16916: @1159495
     /* 1159495 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1159575), // Rule ID 15697 //
     /* 1159500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159539 */     // MIs[0] round
     /* 1159539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159574 */     // GIR_Coverage, 15697,
     /* 1159574 */     GIR_EraseRootFromParent_Done,
     /* 1159575 */   // Label 16917: @1159575
     /* 1159575 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1159655), // Rule ID 15698 //
     /* 1159580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159619 */     // MIs[0] round
     /* 1159619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159629 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159654 */     // GIR_Coverage, 15698,
     /* 1159654 */     GIR_EraseRootFromParent_Done,
     /* 1159655 */   // Label 16918: @1159655
     /* 1159655 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1159735), // Rule ID 15701 //
     /* 1159660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1159671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1159674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1159680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159699 */     // MIs[0] round
     /* 1159699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159709 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159734 */     // GIR_Coverage, 15701,
     /* 1159734 */     GIR_EraseRootFromParent_Done,
     /* 1159735 */   // Label 16919: @1159735
     /* 1159735 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159815), // Rule ID 15702 //
     /* 1159740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1159751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1159754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1159760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159779 */     // MIs[0] round
     /* 1159779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159789 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159814 */     // GIR_Coverage, 15702,
     /* 1159814 */     GIR_EraseRootFromParent_Done,
     /* 1159815 */   // Label 16920: @1159815
     /* 1159815 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159895), // Rule ID 15705 //
     /* 1159820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1159831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1159834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1159840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159859 */     // MIs[0] round
     /* 1159859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159894 */     // GIR_Coverage, 15705,
     /* 1159894 */     GIR_EraseRootFromParent_Done,
     /* 1159895 */   // Label 16921: @1159895
     /* 1159895 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1159975), // Rule ID 15706 //
     /* 1159900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1159911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1159914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1159920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159939 */     // MIs[0] round
     /* 1159939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159949 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159974 */     // GIR_Coverage, 15706,
     /* 1159974 */     GIR_EraseRootFromParent_Done,
     /* 1159975 */   // Label 16922: @1159975
     /* 1159975 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1160055), // Rule ID 15709 //
     /* 1159980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1159991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1159994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1159997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1160000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160019 */     // MIs[0] round
     /* 1160019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160029 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160054 */     // GIR_Coverage, 15709,
     /* 1160054 */     GIR_EraseRootFromParent_Done,
     /* 1160055 */   // Label 16923: @1160055
     /* 1160055 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1160135), // Rule ID 15710 //
     /* 1160060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1160080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160099 */     // MIs[0] round
     /* 1160099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160134 */     // GIR_Coverage, 15710,
     /* 1160134 */     GIR_EraseRootFromParent_Done,
     /* 1160135 */   // Label 16924: @1160135
     /* 1160135 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1160215), // Rule ID 15713 //
     /* 1160140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160179 */     // MIs[0] round
     /* 1160179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160214 */     // GIR_Coverage, 15713,
     /* 1160214 */     GIR_EraseRootFromParent_Done,
     /* 1160215 */   // Label 16925: @1160215
     /* 1160215 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1160295), // Rule ID 15714 //
     /* 1160220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160259 */     // MIs[0] round
     /* 1160259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160294 */     // GIR_Coverage, 15714,
     /* 1160294 */     GIR_EraseRootFromParent_Done,
     /* 1160295 */   // Label 16926: @1160295
     /* 1160295 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1160375), // Rule ID 15717 //
     /* 1160300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160339 */     // MIs[0] round
     /* 1160339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160374 */     // GIR_Coverage, 15717,
     /* 1160374 */     GIR_EraseRootFromParent_Done,
     /* 1160375 */   // Label 16927: @1160375
     /* 1160375 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1160455), // Rule ID 15718 //
     /* 1160380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160419 */     // MIs[0] round
     /* 1160419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160429 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160454 */     // GIR_Coverage, 15718,
     /* 1160454 */     GIR_EraseRootFromParent_Done,
     /* 1160455 */   // Label 16928: @1160455
     /* 1160455 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1160535), // Rule ID 15721 //
     /* 1160460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160499 */     // MIs[0] round
     /* 1160499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160534 */     // GIR_Coverage, 15721,
     /* 1160534 */     GIR_EraseRootFromParent_Done,
     /* 1160535 */   // Label 16929: @1160535
     /* 1160535 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1160615), // Rule ID 15722 //
     /* 1160540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160579 */     // MIs[0] round
     /* 1160579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160589 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160614 */     // GIR_Coverage, 15722,
     /* 1160614 */     GIR_EraseRootFromParent_Done,
     /* 1160615 */   // Label 16930: @1160615
     /* 1160615 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1160695), // Rule ID 15725 //
     /* 1160620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1160631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1160634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1160640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160659 */     // MIs[0] round
     /* 1160659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160669 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160694 */     // GIR_Coverage, 15725,
     /* 1160694 */     GIR_EraseRootFromParent_Done,
     /* 1160695 */   // Label 16931: @1160695
     /* 1160695 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160775), // Rule ID 15726 //
     /* 1160700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1160711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1160714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1160720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160739 */     // MIs[0] round
     /* 1160739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160774 */     // GIR_Coverage, 15726,
     /* 1160774 */     GIR_EraseRootFromParent_Done,
     /* 1160775 */   // Label 16932: @1160775
     /* 1160775 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160855), // Rule ID 15729 //
     /* 1160780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1160791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1160794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1160797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1160800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160819 */     // MIs[0] round
     /* 1160819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160829 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160854 */     // GIR_Coverage, 15729,
     /* 1160854 */     GIR_EraseRootFromParent_Done,
     /* 1160855 */   // Label 16933: @1160855
     /* 1160855 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1160935), // Rule ID 15730 //
     /* 1160860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1160871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1160874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1160877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1160880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160899 */     // MIs[0] round
     /* 1160899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160934 */     // GIR_Coverage, 15730,
     /* 1160934 */     GIR_EraseRootFromParent_Done,
     /* 1160935 */   // Label 16934: @1160935
     /* 1160935 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1161015), // Rule ID 15733 //
     /* 1160940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1160951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1160954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1160957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1160960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160979 */     // MIs[0] round
     /* 1160979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160989 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1160992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161014 */     // GIR_Coverage, 15733,
     /* 1161014 */     GIR_EraseRootFromParent_Done,
     /* 1161015 */   // Label 16935: @1161015
     /* 1161015 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1161095), // Rule ID 15734 //
     /* 1161020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1161040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161059 */     // MIs[0] round
     /* 1161059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161069 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161094 */     // GIR_Coverage, 15734,
     /* 1161094 */     GIR_EraseRootFromParent_Done,
     /* 1161095 */   // Label 16936: @1161095
     /* 1161095 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1161175), // Rule ID 15737 //
     /* 1161100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161139 */     // MIs[0] round
     /* 1161139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161174 */     // GIR_Coverage, 15737,
     /* 1161174 */     GIR_EraseRootFromParent_Done,
     /* 1161175 */   // Label 16937: @1161175
     /* 1161175 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1161255), // Rule ID 15738 //
     /* 1161180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161219 */     // MIs[0] round
     /* 1161219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161229 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161254 */     // GIR_Coverage, 15738,
     /* 1161254 */     GIR_EraseRootFromParent_Done,
     /* 1161255 */   // Label 16938: @1161255
     /* 1161255 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1161335), // Rule ID 15741 //
     /* 1161260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161299 */     // MIs[0] round
     /* 1161299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161334 */     // GIR_Coverage, 15741,
     /* 1161334 */     GIR_EraseRootFromParent_Done,
     /* 1161335 */   // Label 16939: @1161335
     /* 1161335 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1161415), // Rule ID 15742 //
     /* 1161340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161379 */     // MIs[0] round
     /* 1161379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161389 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161414 */     // GIR_Coverage, 15742,
     /* 1161414 */     GIR_EraseRootFromParent_Done,
     /* 1161415 */   // Label 16940: @1161415
     /* 1161415 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1161495), // Rule ID 15745 //
     /* 1161420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161459 */     // MIs[0] round
     /* 1161459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161469 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161494 */     // GIR_Coverage, 15745,
     /* 1161494 */     GIR_EraseRootFromParent_Done,
     /* 1161495 */   // Label 16941: @1161495
     /* 1161495 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1161575), // Rule ID 15746 //
     /* 1161500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161539 */     // MIs[0] round
     /* 1161539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161549 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161574 */     // GIR_Coverage, 15746,
     /* 1161574 */     GIR_EraseRootFromParent_Done,
     /* 1161575 */   // Label 16942: @1161575
     /* 1161575 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1161655), // Rule ID 15749 //
     /* 1161580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161619 */     // MIs[0] round
     /* 1161619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161654 */     // GIR_Coverage, 15749,
     /* 1161654 */     GIR_EraseRootFromParent_Done,
     /* 1161655 */   // Label 16943: @1161655
     /* 1161655 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161735), // Rule ID 15750 //
     /* 1161660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161699 */     // MIs[0] round
     /* 1161699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161734 */     // GIR_Coverage, 15750,
     /* 1161734 */     GIR_EraseRootFromParent_Done,
     /* 1161735 */   // Label 16944: @1161735
     /* 1161735 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161815), // Rule ID 15753 //
     /* 1161740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1161751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1161754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1161760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161779 */     // MIs[0] round
     /* 1161779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161789 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161814 */     // GIR_Coverage, 15753,
     /* 1161814 */     GIR_EraseRootFromParent_Done,
     /* 1161815 */   // Label 16945: @1161815
     /* 1161815 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161895), // Rule ID 15754 //
     /* 1161820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1161831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1161834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1161840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161859 */     // MIs[0] round
     /* 1161859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161894 */     // GIR_Coverage, 15754,
     /* 1161894 */     GIR_EraseRootFromParent_Done,
     /* 1161895 */   // Label 16946: @1161895
     /* 1161895 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1161975), // Rule ID 15757 //
     /* 1161900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1161911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1161914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1161920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161939 */     // MIs[0] round
     /* 1161939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161974 */     // GIR_Coverage, 15757,
     /* 1161974 */     GIR_EraseRootFromParent_Done,
     /* 1161975 */   // Label 16947: @1161975
     /* 1161975 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1162055), // Rule ID 15758 //
     /* 1161980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1161991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1161994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1162000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162019 */     // MIs[0] round
     /* 1162019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162029 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162054 */     // GIR_Coverage, 15758,
     /* 1162054 */     GIR_EraseRootFromParent_Done,
     /* 1162055 */   // Label 16948: @1162055
     /* 1162055 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1162135), // Rule ID 15761 //
     /* 1162060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162099 */     // MIs[0] round
     /* 1162099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162134 */     // GIR_Coverage, 15761,
     /* 1162134 */     GIR_EraseRootFromParent_Done,
     /* 1162135 */   // Label 16949: @1162135
     /* 1162135 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1162215), // Rule ID 15762 //
     /* 1162140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162179 */     // MIs[0] round
     /* 1162179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162214 */     // GIR_Coverage, 15762,
     /* 1162214 */     GIR_EraseRootFromParent_Done,
     /* 1162215 */   // Label 16950: @1162215
     /* 1162215 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1162295), // Rule ID 15765 //
     /* 1162220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162259 */     // MIs[0] round
     /* 1162259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162269 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162294 */     // GIR_Coverage, 15765,
     /* 1162294 */     GIR_EraseRootFromParent_Done,
     /* 1162295 */   // Label 16951: @1162295
     /* 1162295 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1162375), // Rule ID 15766 //
     /* 1162300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162339 */     // MIs[0] round
     /* 1162339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162374 */     // GIR_Coverage, 15766,
     /* 1162374 */     GIR_EraseRootFromParent_Done,
     /* 1162375 */   // Label 16952: @1162375
     /* 1162375 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1162455), // Rule ID 15769 //
     /* 1162380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162419 */     // MIs[0] round
     /* 1162419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162429 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162454 */     // GIR_Coverage, 15769,
     /* 1162454 */     GIR_EraseRootFromParent_Done,
     /* 1162455 */   // Label 16953: @1162455
     /* 1162455 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1162535), // Rule ID 15770 //
     /* 1162460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162499 */     // MIs[0] round
     /* 1162499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162534 */     // GIR_Coverage, 15770,
     /* 1162534 */     GIR_EraseRootFromParent_Done,
     /* 1162535 */   // Label 16954: @1162535
     /* 1162535 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1162615), // Rule ID 15773 //
     /* 1162540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162579 */     // MIs[0] round
     /* 1162579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1162592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162614 */     // GIR_Coverage, 15773,
     /* 1162614 */     GIR_EraseRootFromParent_Done,
     /* 1162615 */   // Label 16955: @1162615
     /* 1162615 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162695), // Rule ID 15774 //
     /* 1162620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162659 */     // MIs[0] round
     /* 1162659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162669 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1162672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162694 */     // GIR_Coverage, 15774,
     /* 1162694 */     GIR_EraseRootFromParent_Done,
     /* 1162695 */   // Label 16956: @1162695
     /* 1162695 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162775), // Rule ID 15777 //
     /* 1162700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1162711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1162714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1162717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162739 */     // MIs[0] round
     /* 1162739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1162752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162774 */     // GIR_Coverage, 15777,
     /* 1162774 */     GIR_EraseRootFromParent_Done,
     /* 1162775 */   // Label 16957: @1162775
     /* 1162775 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162855), // Rule ID 15778 //
     /* 1162780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1162791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1162794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1162797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162819 */     // MIs[0] round
     /* 1162819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162829 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1162832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162854 */     // GIR_Coverage, 15778,
     /* 1162854 */     GIR_EraseRootFromParent_Done,
     /* 1162855 */   // Label 16958: @1162855
     /* 1162855 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1162935), // Rule ID 15781 //
     /* 1162860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1162871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1162874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1162877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162899 */     // MIs[0] round
     /* 1162899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162909 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1162912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162934 */     // GIR_Coverage, 15781,
     /* 1162934 */     GIR_EraseRootFromParent_Done,
     /* 1162935 */   // Label 16959: @1162935
     /* 1162935 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1163015), // Rule ID 15782 //
     /* 1162940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1162951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1162954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1162957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162979 */     // MIs[0] round
     /* 1162979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162989 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1162992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163014 */     // GIR_Coverage, 15782,
     /* 1163014 */     GIR_EraseRootFromParent_Done,
     /* 1163015 */   // Label 16960: @1163015
     /* 1163015 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1163095), // Rule ID 15785 //
     /* 1163020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163059 */     // MIs[0] round
     /* 1163059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163094 */     // GIR_Coverage, 15785,
     /* 1163094 */     GIR_EraseRootFromParent_Done,
     /* 1163095 */   // Label 16961: @1163095
     /* 1163095 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1163175), // Rule ID 15786 //
     /* 1163100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163139 */     // MIs[0] round
     /* 1163139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163174 */     // GIR_Coverage, 15786,
     /* 1163174 */     GIR_EraseRootFromParent_Done,
     /* 1163175 */   // Label 16962: @1163175
     /* 1163175 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1163255), // Rule ID 15789 //
     /* 1163180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163219 */     // MIs[0] round
     /* 1163219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163229 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163254 */     // GIR_Coverage, 15789,
     /* 1163254 */     GIR_EraseRootFromParent_Done,
     /* 1163255 */   // Label 16963: @1163255
     /* 1163255 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1163335), // Rule ID 15790 //
     /* 1163260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163299 */     // MIs[0] round
     /* 1163299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163334 */     // GIR_Coverage, 15790,
     /* 1163334 */     GIR_EraseRootFromParent_Done,
     /* 1163335 */   // Label 16964: @1163335
     /* 1163335 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1163415), // Rule ID 15793 //
     /* 1163340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163379 */     // MIs[0] round
     /* 1163379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163414 */     // GIR_Coverage, 15793,
     /* 1163414 */     GIR_EraseRootFromParent_Done,
     /* 1163415 */   // Label 16965: @1163415
     /* 1163415 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1163495), // Rule ID 15794 //
     /* 1163420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163459 */     // MIs[0] round
     /* 1163459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163494 */     // GIR_Coverage, 15794,
     /* 1163494 */     GIR_EraseRootFromParent_Done,
     /* 1163495 */   // Label 16966: @1163495
     /* 1163495 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1163575), // Rule ID 15797 //
     /* 1163500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163539 */     // MIs[0] round
     /* 1163539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163574 */     // GIR_Coverage, 15797,
     /* 1163574 */     GIR_EraseRootFromParent_Done,
     /* 1163575 */   // Label 16967: @1163575
     /* 1163575 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163655), // Rule ID 15798 //
     /* 1163580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163619 */     // MIs[0] round
     /* 1163619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163629 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163654 */     // GIR_Coverage, 15798,
     /* 1163654 */     GIR_EraseRootFromParent_Done,
     /* 1163655 */   // Label 16968: @1163655
     /* 1163655 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163735), // Rule ID 15801 //
     /* 1163660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1163671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1163674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1163677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163699 */     // MIs[0] round
     /* 1163699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163734 */     // GIR_Coverage, 15801,
     /* 1163734 */     GIR_EraseRootFromParent_Done,
     /* 1163735 */   // Label 16969: @1163735
     /* 1163735 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163815), // Rule ID 15802 //
     /* 1163740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1163751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1163754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1163757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163779 */     // MIs[0] round
     /* 1163779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163814 */     // GIR_Coverage, 15802,
     /* 1163814 */     GIR_EraseRootFromParent_Done,
     /* 1163815 */   // Label 16970: @1163815
     /* 1163815 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163895), // Rule ID 15805 //
     /* 1163820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1163831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1163834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1163837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163859 */     // MIs[0] round
     /* 1163859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163894 */     // GIR_Coverage, 15805,
     /* 1163894 */     GIR_EraseRootFromParent_Done,
     /* 1163895 */   // Label 16971: @1163895
     /* 1163895 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1163975), // Rule ID 15806 //
     /* 1163900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1163911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1163914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1163917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163939 */     // MIs[0] round
     /* 1163939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163974 */     // GIR_Coverage, 15806,
     /* 1163974 */     GIR_EraseRootFromParent_Done,
     /* 1163975 */   // Label 16972: @1163975
     /* 1163975 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1164055), // Rule ID 15809 //
     /* 1163980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1163983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1163991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1163994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164019 */     // MIs[0] round
     /* 1164019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164029 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164054 */     // GIR_Coverage, 15809,
     /* 1164054 */     GIR_EraseRootFromParent_Done,
     /* 1164055 */   // Label 16973: @1164055
     /* 1164055 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1164135), // Rule ID 15810 //
     /* 1164060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164099 */     // MIs[0] round
     /* 1164099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164134 */     // GIR_Coverage, 15810,
     /* 1164134 */     GIR_EraseRootFromParent_Done,
     /* 1164135 */   // Label 16974: @1164135
     /* 1164135 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1164215), // Rule ID 15813 //
     /* 1164140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164179 */     // MIs[0] round
     /* 1164179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164214 */     // GIR_Coverage, 15813,
     /* 1164214 */     GIR_EraseRootFromParent_Done,
     /* 1164215 */   // Label 16975: @1164215
     /* 1164215 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1164295), // Rule ID 15814 //
     /* 1164220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164259 */     // MIs[0] round
     /* 1164259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164269 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164294 */     // GIR_Coverage, 15814,
     /* 1164294 */     GIR_EraseRootFromParent_Done,
     /* 1164295 */   // Label 16976: @1164295
     /* 1164295 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1164375), // Rule ID 15817 //
     /* 1164300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164339 */     // MIs[0] round
     /* 1164339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164349 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164374 */     // GIR_Coverage, 15817,
     /* 1164374 */     GIR_EraseRootFromParent_Done,
     /* 1164375 */   // Label 16977: @1164375
     /* 1164375 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1164455), // Rule ID 15818 //
     /* 1164380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164419 */     // MIs[0] round
     /* 1164419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164429 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164454 */     // GIR_Coverage, 15818,
     /* 1164454 */     GIR_EraseRootFromParent_Done,
     /* 1164455 */   // Label 16978: @1164455
     /* 1164455 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1164535), // Rule ID 15821 //
     /* 1164460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164499 */     // MIs[0] round
     /* 1164499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164509 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164534 */     // GIR_Coverage, 15821,
     /* 1164534 */     GIR_EraseRootFromParent_Done,
     /* 1164535 */   // Label 16979: @1164535
     /* 1164535 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164615), // Rule ID 15822 //
     /* 1164540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164579 */     // MIs[0] round
     /* 1164579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164589 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164614 */     // GIR_Coverage, 15822,
     /* 1164614 */     GIR_EraseRootFromParent_Done,
     /* 1164615 */   // Label 16980: @1164615
     /* 1164615 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164695), // Rule ID 15825 //
     /* 1164620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1164631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1164634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1164637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164659 */     // MIs[0] round
     /* 1164659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164694 */     // GIR_Coverage, 15825,
     /* 1164694 */     GIR_EraseRootFromParent_Done,
     /* 1164695 */   // Label 16981: @1164695
     /* 1164695 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164775), // Rule ID 15826 //
     /* 1164700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1164711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1164714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1164717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164739 */     // MIs[0] round
     /* 1164739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164774 */     // GIR_Coverage, 15826,
     /* 1164774 */     GIR_EraseRootFromParent_Done,
     /* 1164775 */   // Label 16982: @1164775
     /* 1164775 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164855), // Rule ID 15829 //
     /* 1164780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1164791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1164794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1164797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164819 */     // MIs[0] round
     /* 1164819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164829 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164854 */     // GIR_Coverage, 15829,
     /* 1164854 */     GIR_EraseRootFromParent_Done,
     /* 1164855 */   // Label 16983: @1164855
     /* 1164855 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1164935), // Rule ID 15830 //
     /* 1164860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1164871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1164874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1164877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164899 */     // MIs[0] round
     /* 1164899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164909 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164934 */     // GIR_Coverage, 15830,
     /* 1164934 */     GIR_EraseRootFromParent_Done,
     /* 1164935 */   // Label 16984: @1164935
     /* 1164935 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1165015), // Rule ID 15833 //
     /* 1164940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1164951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1164954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1164957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164979 */     // MIs[0] round
     /* 1164979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165014 */     // GIR_Coverage, 15833,
     /* 1165014 */     GIR_EraseRootFromParent_Done,
     /* 1165015 */   // Label 16985: @1165015
     /* 1165015 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1165095), // Rule ID 15834 //
     /* 1165020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165059 */     // MIs[0] round
     /* 1165059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165094 */     // GIR_Coverage, 15834,
     /* 1165094 */     GIR_EraseRootFromParent_Done,
     /* 1165095 */   // Label 16986: @1165095
     /* 1165095 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1165175), // Rule ID 15837 //
     /* 1165100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165139 */     // MIs[0] round
     /* 1165139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165174 */     // GIR_Coverage, 15837,
     /* 1165174 */     GIR_EraseRootFromParent_Done,
     /* 1165175 */   // Label 16987: @1165175
     /* 1165175 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1165255), // Rule ID 15838 //
     /* 1165180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165219 */     // MIs[0] round
     /* 1165219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165254 */     // GIR_Coverage, 15838,
     /* 1165254 */     GIR_EraseRootFromParent_Done,
     /* 1165255 */   // Label 16988: @1165255
     /* 1165255 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1165335), // Rule ID 15841 //
     /* 1165260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165299 */     // MIs[0] round
     /* 1165299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165334 */     // GIR_Coverage, 15841,
     /* 1165334 */     GIR_EraseRootFromParent_Done,
     /* 1165335 */   // Label 16989: @1165335
     /* 1165335 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1165415), // Rule ID 15842 //
     /* 1165340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165379 */     // MIs[0] round
     /* 1165379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165414 */     // GIR_Coverage, 15842,
     /* 1165414 */     GIR_EraseRootFromParent_Done,
     /* 1165415 */   // Label 16990: @1165415
     /* 1165415 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1165495), // Rule ID 15845 //
     /* 1165420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165459 */     // MIs[0] round
     /* 1165459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165494 */     // GIR_Coverage, 15845,
     /* 1165494 */     GIR_EraseRootFromParent_Done,
     /* 1165495 */   // Label 16991: @1165495
     /* 1165495 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1165575), // Rule ID 15846 //
     /* 1165500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165539 */     // MIs[0] round
     /* 1165539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165574 */     // GIR_Coverage, 15846,
     /* 1165574 */     GIR_EraseRootFromParent_Done,
     /* 1165575 */   // Label 16992: @1165575
     /* 1165575 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165655), // Rule ID 15849 //
     /* 1165580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1165591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1165594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165619 */     // MIs[0] round
     /* 1165619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165654 */     // GIR_Coverage, 15849,
     /* 1165654 */     GIR_EraseRootFromParent_Done,
     /* 1165655 */   // Label 16993: @1165655
     /* 1165655 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165735), // Rule ID 15850 //
     /* 1165660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1165671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1165674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165699 */     // MIs[0] round
     /* 1165699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165734 */     // GIR_Coverage, 15850,
     /* 1165734 */     GIR_EraseRootFromParent_Done,
     /* 1165735 */   // Label 16994: @1165735
     /* 1165735 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165815), // Rule ID 15853 //
     /* 1165740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1165751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1165754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1165757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165779 */     // MIs[0] round
     /* 1165779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165814 */     // GIR_Coverage, 15853,
     /* 1165814 */     GIR_EraseRootFromParent_Done,
     /* 1165815 */   // Label 16995: @1165815
     /* 1165815 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165895), // Rule ID 15854 //
     /* 1165820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1165831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1165834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1165837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165859 */     // MIs[0] round
     /* 1165859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165894 */     // GIR_Coverage, 15854,
     /* 1165894 */     GIR_EraseRootFromParent_Done,
     /* 1165895 */   // Label 16996: @1165895
     /* 1165895 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1165975), // Rule ID 15857 //
     /* 1165900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1165911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1165914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1165917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165939 */     // MIs[0] round
     /* 1165939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165949 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165974 */     // GIR_Coverage, 15857,
     /* 1165974 */     GIR_EraseRootFromParent_Done,
     /* 1165975 */   // Label 16997: @1165975
     /* 1165975 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1166055), // Rule ID 15858 //
     /* 1165980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1165991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1165994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1165997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166019 */     // MIs[0] round
     /* 1166019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1166032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166054 */     // GIR_Coverage, 15858,
     /* 1166054 */     GIR_EraseRootFromParent_Done,
     /* 1166055 */   // Label 16998: @1166055
     /* 1166055 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1166135), // Rule ID 15949 //
     /* 1166060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166099 */     // MIs[0] round
     /* 1166099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166134 */     // GIR_Coverage, 15949,
     /* 1166134 */     GIR_EraseRootFromParent_Done,
     /* 1166135 */   // Label 16999: @1166135
     /* 1166135 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1166215), // Rule ID 15950 //
     /* 1166140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166179 */     // MIs[0] round
     /* 1166179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166189 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166214 */     // GIR_Coverage, 15950,
     /* 1166214 */     GIR_EraseRootFromParent_Done,
     /* 1166215 */   // Label 17000: @1166215
     /* 1166215 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1166295), // Rule ID 15953 //
     /* 1166220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166259 */     // MIs[0] round
     /* 1166259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166269 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166294 */     // GIR_Coverage, 15953,
     /* 1166294 */     GIR_EraseRootFromParent_Done,
     /* 1166295 */   // Label 17001: @1166295
     /* 1166295 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1166375), // Rule ID 15954 //
     /* 1166300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166339 */     // MIs[0] round
     /* 1166339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166374 */     // GIR_Coverage, 15954,
     /* 1166374 */     GIR_EraseRootFromParent_Done,
     /* 1166375 */   // Label 17002: @1166375
     /* 1166375 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1166455), // Rule ID 15957 //
     /* 1166380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166419 */     // MIs[0] round
     /* 1166419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166429 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166454 */     // GIR_Coverage, 15957,
     /* 1166454 */     GIR_EraseRootFromParent_Done,
     /* 1166455 */   // Label 17003: @1166455
     /* 1166455 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1166535), // Rule ID 15958 //
     /* 1166460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166499 */     // MIs[0] round
     /* 1166499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166509 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166534 */     // GIR_Coverage, 15958,
     /* 1166534 */     GIR_EraseRootFromParent_Done,
     /* 1166535 */   // Label 17004: @1166535
     /* 1166535 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166615), // Rule ID 15961 //
     /* 1166540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1166551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1166554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166579 */     // MIs[0] round
     /* 1166579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166589 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166614 */     // GIR_Coverage, 15961,
     /* 1166614 */     GIR_EraseRootFromParent_Done,
     /* 1166615 */   // Label 17005: @1166615
     /* 1166615 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166695), // Rule ID 15962 //
     /* 1166620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1166631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1166634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166659 */     // MIs[0] round
     /* 1166659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166669 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166694 */     // GIR_Coverage, 15962,
     /* 1166694 */     GIR_EraseRootFromParent_Done,
     /* 1166695 */   // Label 17006: @1166695
     /* 1166695 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166775), // Rule ID 15965 //
     /* 1166700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1166711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1166714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1166717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1166720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166739 */     // MIs[0] round
     /* 1166739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166774 */     // GIR_Coverage, 15965,
     /* 1166774 */     GIR_EraseRootFromParent_Done,
     /* 1166775 */   // Label 17007: @1166775
     /* 1166775 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166855), // Rule ID 15966 //
     /* 1166780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1166791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1166794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1166797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1166800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166819 */     // MIs[0] round
     /* 1166819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166854 */     // GIR_Coverage, 15966,
     /* 1166854 */     GIR_EraseRootFromParent_Done,
     /* 1166855 */   // Label 17008: @1166855
     /* 1166855 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1166935), // Rule ID 15969 //
     /* 1166860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1166871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1166874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1166877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1166880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166899 */     // MIs[0] round
     /* 1166899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166934 */     // GIR_Coverage, 15969,
     /* 1166934 */     GIR_EraseRootFromParent_Done,
     /* 1166935 */   // Label 17009: @1166935
     /* 1166935 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1167015), // Rule ID 15970 //
     /* 1166940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1166951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1166954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1166957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1166960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166979 */     // MIs[0] round
     /* 1166979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167014 */     // GIR_Coverage, 15970,
     /* 1167014 */     GIR_EraseRootFromParent_Done,
     /* 1167015 */   // Label 17010: @1167015
     /* 1167015 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1167095), // Rule ID 15973 //
     /* 1167020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1167037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167059 */     // MIs[0] round
     /* 1167059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167094 */     // GIR_Coverage, 15973,
     /* 1167094 */     GIR_EraseRootFromParent_Done,
     /* 1167095 */   // Label 17011: @1167095
     /* 1167095 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1167175), // Rule ID 15974 //
     /* 1167100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1167117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167139 */     // MIs[0] round
     /* 1167139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167174 */     // GIR_Coverage, 15974,
     /* 1167174 */     GIR_EraseRootFromParent_Done,
     /* 1167175 */   // Label 17012: @1167175
     /* 1167175 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1167255), // Rule ID 15977 //
     /* 1167180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167219 */     // MIs[0] round
     /* 1167219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167229 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167254 */     // GIR_Coverage, 15977,
     /* 1167254 */     GIR_EraseRootFromParent_Done,
     /* 1167255 */   // Label 17013: @1167255
     /* 1167255 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1167335), // Rule ID 15978 //
     /* 1167260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167299 */     // MIs[0] round
     /* 1167299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167334 */     // GIR_Coverage, 15978,
     /* 1167334 */     GIR_EraseRootFromParent_Done,
     /* 1167335 */   // Label 17014: @1167335
     /* 1167335 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1167415), // Rule ID 15981 //
     /* 1167340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167379 */     // MIs[0] round
     /* 1167379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167414 */     // GIR_Coverage, 15981,
     /* 1167414 */     GIR_EraseRootFromParent_Done,
     /* 1167415 */   // Label 17015: @1167415
     /* 1167415 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1167495), // Rule ID 15982 //
     /* 1167420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167459 */     // MIs[0] round
     /* 1167459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167494 */     // GIR_Coverage, 15982,
     /* 1167494 */     GIR_EraseRootFromParent_Done,
     /* 1167495 */   // Label 17016: @1167495
     /* 1167495 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1167575), // Rule ID 15985 //
     /* 1167500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167539 */     // MIs[0] round
     /* 1167539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167574 */     // GIR_Coverage, 15985,
     /* 1167574 */     GIR_EraseRootFromParent_Done,
     /* 1167575 */   // Label 17017: @1167575
     /* 1167575 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167655), // Rule ID 15986 //
     /* 1167580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167619 */     // MIs[0] round
     /* 1167619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167654 */     // GIR_Coverage, 15986,
     /* 1167654 */     GIR_EraseRootFromParent_Done,
     /* 1167655 */   // Label 17018: @1167655
     /* 1167655 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167735), // Rule ID 15989 //
     /* 1167660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1167671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1167674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1167677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167699 */     // MIs[0] round
     /* 1167699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167709 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167734 */     // GIR_Coverage, 15989,
     /* 1167734 */     GIR_EraseRootFromParent_Done,
     /* 1167735 */   // Label 17019: @1167735
     /* 1167735 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167815), // Rule ID 15990 //
     /* 1167740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1167751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1167754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1167757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167779 */     // MIs[0] round
     /* 1167779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167814 */     // GIR_Coverage, 15990,
     /* 1167814 */     GIR_EraseRootFromParent_Done,
     /* 1167815 */   // Label 17020: @1167815
     /* 1167815 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167895), // Rule ID 15993 //
     /* 1167820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1167831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1167834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1167837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1167840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167859 */     // MIs[0] round
     /* 1167859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167894 */     // GIR_Coverage, 15993,
     /* 1167894 */     GIR_EraseRootFromParent_Done,
     /* 1167895 */   // Label 17021: @1167895
     /* 1167895 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1167975), // Rule ID 15994 //
     /* 1167900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1167911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1167914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1167917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1167920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167939 */     // MIs[0] round
     /* 1167939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167974 */     // GIR_Coverage, 15994,
     /* 1167974 */     GIR_EraseRootFromParent_Done,
     /* 1167975 */   // Label 17022: @1167975
     /* 1167975 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1168055), // Rule ID 15997 //
     /* 1167980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1167991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1167994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1167997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1168000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168019 */     // MIs[0] round
     /* 1168019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168029 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168054 */     // GIR_Coverage, 15997,
     /* 1168054 */     GIR_EraseRootFromParent_Done,
     /* 1168055 */   // Label 17023: @1168055
     /* 1168055 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1168135), // Rule ID 15998 //
     /* 1168060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1168071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1168074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1168077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1168080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168099 */     // MIs[0] round
     /* 1168099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168109 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168134 */     // GIR_Coverage, 15998,
     /* 1168134 */     GIR_EraseRootFromParent_Done,
     /* 1168135 */   // Label 17024: @1168135
     /* 1168135 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1168215), // Rule ID 16001 //
     /* 1168140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168179 */     // MIs[0] round
     /* 1168179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168189 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168214 */     // GIR_Coverage, 16001,
     /* 1168214 */     GIR_EraseRootFromParent_Done,
     /* 1168215 */   // Label 17025: @1168215
     /* 1168215 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1168295), // Rule ID 16002 //
     /* 1168220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168259 */     // MIs[0] round
     /* 1168259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168294 */     // GIR_Coverage, 16002,
     /* 1168294 */     GIR_EraseRootFromParent_Done,
     /* 1168295 */   // Label 17026: @1168295
     /* 1168295 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1168375), // Rule ID 16005 //
     /* 1168300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168339 */     // MIs[0] round
     /* 1168339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168374 */     // GIR_Coverage, 16005,
     /* 1168374 */     GIR_EraseRootFromParent_Done,
     /* 1168375 */   // Label 17027: @1168375
     /* 1168375 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1168455), // Rule ID 16006 //
     /* 1168380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168419 */     // MIs[0] round
     /* 1168419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168454 */     // GIR_Coverage, 16006,
     /* 1168454 */     GIR_EraseRootFromParent_Done,
     /* 1168455 */   // Label 17028: @1168455
     /* 1168455 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1168535), // Rule ID 16009 //
     /* 1168460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168499 */     // MIs[0] round
     /* 1168499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168509 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168534 */     // GIR_Coverage, 16009,
     /* 1168534 */     GIR_EraseRootFromParent_Done,
     /* 1168535 */   // Label 17029: @1168535
     /* 1168535 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168615), // Rule ID 16010 //
     /* 1168540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168579 */     // MIs[0] round
     /* 1168579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168589 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168614 */     // GIR_Coverage, 16010,
     /* 1168614 */     GIR_EraseRootFromParent_Done,
     /* 1168615 */   // Label 17030: @1168615
     /* 1168615 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168695), // Rule ID 16013 //
     /* 1168620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1168631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1168634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1168640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168659 */     // MIs[0] round
     /* 1168659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168694 */     // GIR_Coverage, 16013,
     /* 1168694 */     GIR_EraseRootFromParent_Done,
     /* 1168695 */   // Label 17031: @1168695
     /* 1168695 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168775), // Rule ID 16014 //
     /* 1168700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1168711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1168714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1168720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168739 */     // MIs[0] round
     /* 1168739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168774 */     // GIR_Coverage, 16014,
     /* 1168774 */     GIR_EraseRootFromParent_Done,
     /* 1168775 */   // Label 17032: @1168775
     /* 1168775 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168855), // Rule ID 16017 //
     /* 1168780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1168791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1168794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1168800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168819 */     // MIs[0] round
     /* 1168819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168854 */     // GIR_Coverage, 16017,
     /* 1168854 */     GIR_EraseRootFromParent_Done,
     /* 1168855 */   // Label 17033: @1168855
     /* 1168855 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1168935), // Rule ID 16018 //
     /* 1168860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1168871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1168874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1168880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168899 */     // MIs[0] round
     /* 1168899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168934 */     // GIR_Coverage, 16018,
     /* 1168934 */     GIR_EraseRootFromParent_Done,
     /* 1168935 */   // Label 17034: @1168935
     /* 1168935 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1169015), // Rule ID 16021 //
     /* 1168940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1168951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1168954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1168957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1168960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168979 */     // MIs[0] round
     /* 1168979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169014 */     // GIR_Coverage, 16021,
     /* 1169014 */     GIR_EraseRootFromParent_Done,
     /* 1169015 */   // Label 17035: @1169015
     /* 1169015 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1169095), // Rule ID 16022 //
     /* 1169020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1169031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1169034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1169037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1169040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169059 */     // MIs[0] round
     /* 1169059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169094 */     // GIR_Coverage, 16022,
     /* 1169094 */     GIR_EraseRootFromParent_Done,
     /* 1169095 */   // Label 17036: @1169095
     /* 1169095 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1169175), // Rule ID 16025 //
     /* 1169100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169139 */     // MIs[0] round
     /* 1169139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169149 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169174 */     // GIR_Coverage, 16025,
     /* 1169174 */     GIR_EraseRootFromParent_Done,
     /* 1169175 */   // Label 17037: @1169175
     /* 1169175 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1169255), // Rule ID 16026 //
     /* 1169180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169219 */     // MIs[0] round
     /* 1169219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169229 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169254 */     // GIR_Coverage, 16026,
     /* 1169254 */     GIR_EraseRootFromParent_Done,
     /* 1169255 */   // Label 17038: @1169255
     /* 1169255 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1169335), // Rule ID 16029 //
     /* 1169260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169299 */     // MIs[0] round
     /* 1169299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169309 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169334 */     // GIR_Coverage, 16029,
     /* 1169334 */     GIR_EraseRootFromParent_Done,
     /* 1169335 */   // Label 17039: @1169335
     /* 1169335 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1169415), // Rule ID 16030 //
     /* 1169340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169379 */     // MIs[0] round
     /* 1169379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169414 */     // GIR_Coverage, 16030,
     /* 1169414 */     GIR_EraseRootFromParent_Done,
     /* 1169415 */   // Label 17040: @1169415
     /* 1169415 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1169495), // Rule ID 16033 //
     /* 1169420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169459 */     // MIs[0] round
     /* 1169459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169469 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169494 */     // GIR_Coverage, 16033,
     /* 1169494 */     GIR_EraseRootFromParent_Done,
     /* 1169495 */   // Label 17041: @1169495
     /* 1169495 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1169575), // Rule ID 16034 //
     /* 1169500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169539 */     // MIs[0] round
     /* 1169539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169574 */     // GIR_Coverage, 16034,
     /* 1169574 */     GIR_EraseRootFromParent_Done,
     /* 1169575 */   // Label 17042: @1169575
     /* 1169575 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169655), // Rule ID 16037 //
     /* 1169580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169619 */     // MIs[0] round
     /* 1169619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169629 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1169632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169654 */     // GIR_Coverage, 16037,
     /* 1169654 */     GIR_EraseRootFromParent_Done,
     /* 1169655 */   // Label 17043: @1169655
     /* 1169655 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169735), // Rule ID 16038 //
     /* 1169660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169699 */     // MIs[0] round
     /* 1169699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169709 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1169712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169734 */     // GIR_Coverage, 16038,
     /* 1169734 */     GIR_EraseRootFromParent_Done,
     /* 1169735 */   // Label 17044: @1169735
     /* 1169735 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169815), // Rule ID 16041 //
     /* 1169740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1169751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1169754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1169757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169779 */     // MIs[0] round
     /* 1169779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169789 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1169792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169814 */     // GIR_Coverage, 16041,
     /* 1169814 */     GIR_EraseRootFromParent_Done,
     /* 1169815 */   // Label 17045: @1169815
     /* 1169815 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169895), // Rule ID 16042 //
     /* 1169820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1169831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1169834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1169837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169859 */     // MIs[0] round
     /* 1169859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169869 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1169872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169894 */     // GIR_Coverage, 16042,
     /* 1169894 */     GIR_EraseRootFromParent_Done,
     /* 1169895 */   // Label 17046: @1169895
     /* 1169895 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1169975), // Rule ID 16045 //
     /* 1169900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1169911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1169914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1169917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169939 */     // MIs[0] round
     /* 1169939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1169952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169974 */     // GIR_Coverage, 16045,
     /* 1169974 */     GIR_EraseRootFromParent_Done,
     /* 1169975 */   // Label 17047: @1169975
     /* 1169975 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1170055), // Rule ID 16046 //
     /* 1169980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1169991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1169994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1169997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170019 */     // MIs[0] round
     /* 1170019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170029 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170054 */     // GIR_Coverage, 16046,
     /* 1170054 */     GIR_EraseRootFromParent_Done,
     /* 1170055 */   // Label 17048: @1170055
     /* 1170055 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1170135), // Rule ID 16049 //
     /* 1170060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170099 */     // MIs[0] round
     /* 1170099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170134 */     // GIR_Coverage, 16049,
     /* 1170134 */     GIR_EraseRootFromParent_Done,
     /* 1170135 */   // Label 17049: @1170135
     /* 1170135 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1170215), // Rule ID 16050 //
     /* 1170140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170179 */     // MIs[0] round
     /* 1170179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170214 */     // GIR_Coverage, 16050,
     /* 1170214 */     GIR_EraseRootFromParent_Done,
     /* 1170215 */   // Label 17050: @1170215
     /* 1170215 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1170295), // Rule ID 16053 //
     /* 1170220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170259 */     // MIs[0] round
     /* 1170259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170269 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170294 */     // GIR_Coverage, 16053,
     /* 1170294 */     GIR_EraseRootFromParent_Done,
     /* 1170295 */   // Label 17051: @1170295
     /* 1170295 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1170375), // Rule ID 16054 //
     /* 1170300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170339 */     // MIs[0] round
     /* 1170339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170374 */     // GIR_Coverage, 16054,
     /* 1170374 */     GIR_EraseRootFromParent_Done,
     /* 1170375 */   // Label 17052: @1170375
     /* 1170375 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1170455), // Rule ID 16057 //
     /* 1170380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170419 */     // MIs[0] round
     /* 1170419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170454 */     // GIR_Coverage, 16057,
     /* 1170454 */     GIR_EraseRootFromParent_Done,
     /* 1170455 */   // Label 17053: @1170455
     /* 1170455 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1170535), // Rule ID 16058 //
     /* 1170460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170499 */     // MIs[0] round
     /* 1170499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170534 */     // GIR_Coverage, 16058,
     /* 1170534 */     GIR_EraseRootFromParent_Done,
     /* 1170535 */   // Label 17054: @1170535
     /* 1170535 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170615), // Rule ID 16061 //
     /* 1170540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170579 */     // MIs[0] round
     /* 1170579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170614 */     // GIR_Coverage, 16061,
     /* 1170614 */     GIR_EraseRootFromParent_Done,
     /* 1170615 */   // Label 17055: @1170615
     /* 1170615 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170695), // Rule ID 16062 //
     /* 1170620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170659 */     // MIs[0] round
     /* 1170659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170669 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170694 */     // GIR_Coverage, 16062,
     /* 1170694 */     GIR_EraseRootFromParent_Done,
     /* 1170695 */   // Label 17056: @1170695
     /* 1170695 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170775), // Rule ID 16065 //
     /* 1170700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1170711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1170714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1170717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170739 */     // MIs[0] round
     /* 1170739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170749 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170774 */     // GIR_Coverage, 16065,
     /* 1170774 */     GIR_EraseRootFromParent_Done,
     /* 1170775 */   // Label 17057: @1170775
     /* 1170775 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170855), // Rule ID 16066 //
     /* 1170780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1170791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1170794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1170797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170819 */     // MIs[0] round
     /* 1170819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170854 */     // GIR_Coverage, 16066,
     /* 1170854 */     GIR_EraseRootFromParent_Done,
     /* 1170855 */   // Label 17058: @1170855
     /* 1170855 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1170935), // Rule ID 16069 //
     /* 1170860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1170871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1170874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170899 */     // MIs[0] round
     /* 1170899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170934 */     // GIR_Coverage, 16069,
     /* 1170934 */     GIR_EraseRootFromParent_Done,
     /* 1170935 */   // Label 17059: @1170935
     /* 1170935 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1171015), // Rule ID 16070 //
     /* 1170940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1170951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1170954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170979 */     // MIs[0] round
     /* 1170979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171014 */     // GIR_Coverage, 16070,
     /* 1171014 */     GIR_EraseRootFromParent_Done,
     /* 1171015 */   // Label 17060: @1171015
     /* 1171015 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1171095), // Rule ID 16073 //
     /* 1171020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1171031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1171034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171059 */     // MIs[0] round
     /* 1171059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171069 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171094 */     // GIR_Coverage, 16073,
     /* 1171094 */     GIR_EraseRootFromParent_Done,
     /* 1171095 */   // Label 17061: @1171095
     /* 1171095 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1171175), // Rule ID 16074 //
     /* 1171100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1171111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1171114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171139 */     // MIs[0] round
     /* 1171139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171174 */     // GIR_Coverage, 16074,
     /* 1171174 */     GIR_EraseRootFromParent_Done,
     /* 1171175 */   // Label 17062: @1171175
     /* 1171175 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1171255), // Rule ID 16077 //
     /* 1171180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171219 */     // MIs[0] round
     /* 1171219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171229 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171254 */     // GIR_Coverage, 16077,
     /* 1171254 */     GIR_EraseRootFromParent_Done,
     /* 1171255 */   // Label 17063: @1171255
     /* 1171255 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1171335), // Rule ID 16078 //
     /* 1171260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171299 */     // MIs[0] round
     /* 1171299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171334 */     // GIR_Coverage, 16078,
     /* 1171334 */     GIR_EraseRootFromParent_Done,
     /* 1171335 */   // Label 17064: @1171335
     /* 1171335 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1171415), // Rule ID 16081 //
     /* 1171340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171379 */     // MIs[0] round
     /* 1171379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171389 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171414 */     // GIR_Coverage, 16081,
     /* 1171414 */     GIR_EraseRootFromParent_Done,
     /* 1171415 */   // Label 17065: @1171415
     /* 1171415 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1171495), // Rule ID 16082 //
     /* 1171420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171459 */     // MIs[0] round
     /* 1171459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171469 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171494 */     // GIR_Coverage, 16082,
     /* 1171494 */     GIR_EraseRootFromParent_Done,
     /* 1171495 */   // Label 17066: @1171495
     /* 1171495 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1171575), // Rule ID 16085 //
     /* 1171500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171539 */     // MIs[0] round
     /* 1171539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171549 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171574 */     // GIR_Coverage, 16085,
     /* 1171574 */     GIR_EraseRootFromParent_Done,
     /* 1171575 */   // Label 17067: @1171575
     /* 1171575 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171655), // Rule ID 16086 //
     /* 1171580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171619 */     // MIs[0] round
     /* 1171619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171629 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171654 */     // GIR_Coverage, 16086,
     /* 1171654 */     GIR_EraseRootFromParent_Done,
     /* 1171655 */   // Label 17068: @1171655
     /* 1171655 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171735), // Rule ID 16089 //
     /* 1171660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1171671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1171674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1171677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171699 */     // MIs[0] round
     /* 1171699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171734 */     // GIR_Coverage, 16089,
     /* 1171734 */     GIR_EraseRootFromParent_Done,
     /* 1171735 */   // Label 17069: @1171735
     /* 1171735 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171815), // Rule ID 16090 //
     /* 1171740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1171751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1171754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1171757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171779 */     // MIs[0] round
     /* 1171779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171814 */     // GIR_Coverage, 16090,
     /* 1171814 */     GIR_EraseRootFromParent_Done,
     /* 1171815 */   // Label 17070: @1171815
     /* 1171815 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171895), // Rule ID 16093 //
     /* 1171820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1171831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1171834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1171837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171859 */     // MIs[0] round
     /* 1171859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171869 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171894 */     // GIR_Coverage, 16093,
     /* 1171894 */     GIR_EraseRootFromParent_Done,
     /* 1171895 */   // Label 17071: @1171895
     /* 1171895 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1171975), // Rule ID 16094 //
     /* 1171900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1171911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1171914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1171917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171939 */     // MIs[0] round
     /* 1171939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171949 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171974 */     // GIR_Coverage, 16094,
     /* 1171974 */     GIR_EraseRootFromParent_Done,
     /* 1171975 */   // Label 17072: @1171975
     /* 1171975 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1172055), // Rule ID 16097 //
     /* 1171980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1171991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1171994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1171997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172019 */     // MIs[0] round
     /* 1172019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172029 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172054 */     // GIR_Coverage, 16097,
     /* 1172054 */     GIR_EraseRootFromParent_Done,
     /* 1172055 */   // Label 17073: @1172055
     /* 1172055 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1172135), // Rule ID 16098 //
     /* 1172060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1172071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1172074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172099 */     // MIs[0] round
     /* 1172099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172134 */     // GIR_Coverage, 16098,
     /* 1172134 */     GIR_EraseRootFromParent_Done,
     /* 1172135 */   // Label 17074: @1172135
     /* 1172135 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1172215), // Rule ID 16101 //
     /* 1172140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172179 */     // MIs[0] round
     /* 1172179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172214 */     // GIR_Coverage, 16101,
     /* 1172214 */     GIR_EraseRootFromParent_Done,
     /* 1172215 */   // Label 17075: @1172215
     /* 1172215 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1172295), // Rule ID 16102 //
     /* 1172220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172259 */     // MIs[0] round
     /* 1172259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172294 */     // GIR_Coverage, 16102,
     /* 1172294 */     GIR_EraseRootFromParent_Done,
     /* 1172295 */   // Label 17076: @1172295
     /* 1172295 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1172375), // Rule ID 16105 //
     /* 1172300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172339 */     // MIs[0] round
     /* 1172339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172374 */     // GIR_Coverage, 16105,
     /* 1172374 */     GIR_EraseRootFromParent_Done,
     /* 1172375 */   // Label 17077: @1172375
     /* 1172375 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1172455), // Rule ID 16106 //
     /* 1172380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172419 */     // MIs[0] round
     /* 1172419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172429 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172454 */     // GIR_Coverage, 16106,
     /* 1172454 */     GIR_EraseRootFromParent_Done,
     /* 1172455 */   // Label 17078: @1172455
     /* 1172455 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1172535), // Rule ID 16109 //
     /* 1172460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172499 */     // MIs[0] round
     /* 1172499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172509 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172534 */     // GIR_Coverage, 16109,
     /* 1172534 */     GIR_EraseRootFromParent_Done,
     /* 1172535 */   // Label 17079: @1172535
     /* 1172535 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172615), // Rule ID 16110 //
     /* 1172540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172579 */     // MIs[0] round
     /* 1172579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172589 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172614 */     // GIR_Coverage, 16110,
     /* 1172614 */     GIR_EraseRootFromParent_Done,
     /* 1172615 */   // Label 17080: @1172615
     /* 1172615 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172695), // Rule ID 16113 //
     /* 1172620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1172631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1172634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1172637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172659 */     // MIs[0] round
     /* 1172659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172694 */     // GIR_Coverage, 16113,
     /* 1172694 */     GIR_EraseRootFromParent_Done,
     /* 1172695 */   // Label 17081: @1172695
     /* 1172695 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172775), // Rule ID 16114 //
     /* 1172700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1172711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1172714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1172717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172739 */     // MIs[0] round
     /* 1172739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172774 */     // GIR_Coverage, 16114,
     /* 1172774 */     GIR_EraseRootFromParent_Done,
     /* 1172775 */   // Label 17082: @1172775
     /* 1172775 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172855), // Rule ID 16117 //
     /* 1172780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1172791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1172794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1172797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172819 */     // MIs[0] round
     /* 1172819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172829 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172854 */     // GIR_Coverage, 16117,
     /* 1172854 */     GIR_EraseRootFromParent_Done,
     /* 1172855 */   // Label 17083: @1172855
     /* 1172855 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1172935), // Rule ID 16118 //
     /* 1172860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1172871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1172874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1172877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172899 */     // MIs[0] round
     /* 1172899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172934 */     // GIR_Coverage, 16118,
     /* 1172934 */     GIR_EraseRootFromParent_Done,
     /* 1172935 */   // Label 17084: @1172935
     /* 1172935 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1173015), // Rule ID 16121 //
     /* 1172940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1172951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1172954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1172957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172979 */     // MIs[0] round
     /* 1172979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173014 */     // GIR_Coverage, 16121,
     /* 1173014 */     GIR_EraseRootFromParent_Done,
     /* 1173015 */   // Label 17085: @1173015
     /* 1173015 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1173095), // Rule ID 16122 //
     /* 1173020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1173031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1173034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1173037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173059 */     // MIs[0] round
     /* 1173059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1173072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173094 */     // GIR_Coverage, 16122,
     /* 1173094 */     GIR_EraseRootFromParent_Done,
     /* 1173095 */   // Label 17086: @1173095
     /* 1173095 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1173178), // Rule ID 16213 //
     /* 1173100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173139 */     // MIs[0] round
     /* 1173139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173177 */     // GIR_Coverage, 16213,
     /* 1173177 */     GIR_EraseRootFromParent_Done,
     /* 1173178 */   // Label 17087: @1173178
     /* 1173178 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1173261), // Rule ID 16214 //
     /* 1173183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173222 */     // MIs[0] round
     /* 1173222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173232 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173260 */     // GIR_Coverage, 16214,
     /* 1173260 */     GIR_EraseRootFromParent_Done,
     /* 1173261 */   // Label 17088: @1173261
     /* 1173261 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1173344), // Rule ID 16217 //
     /* 1173266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173305 */     // MIs[0] round
     /* 1173305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173315 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173343 */     // GIR_Coverage, 16217,
     /* 1173343 */     GIR_EraseRootFromParent_Done,
     /* 1173344 */   // Label 17089: @1173344
     /* 1173344 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1173427), // Rule ID 16218 //
     /* 1173349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173388 */     // MIs[0] round
     /* 1173388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173398 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173426 */     // GIR_Coverage, 16218,
     /* 1173426 */     GIR_EraseRootFromParent_Done,
     /* 1173427 */   // Label 17090: @1173427
     /* 1173427 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1173510), // Rule ID 16221 //
     /* 1173432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173471 */     // MIs[0] round
     /* 1173471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173481 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173509 */     // GIR_Coverage, 16221,
     /* 1173509 */     GIR_EraseRootFromParent_Done,
     /* 1173510 */   // Label 17091: @1173510
     /* 1173510 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1173593), // Rule ID 16222 //
     /* 1173515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173554 */     // MIs[0] round
     /* 1173554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173592 */     // GIR_Coverage, 16222,
     /* 1173592 */     GIR_EraseRootFromParent_Done,
     /* 1173593 */   // Label 17092: @1173593
     /* 1173593 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173676), // Rule ID 16225 //
     /* 1173598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1173609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1173612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1173615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1173618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173637 */     // MIs[0] round
     /* 1173637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173675 */     // GIR_Coverage, 16225,
     /* 1173675 */     GIR_EraseRootFromParent_Done,
     /* 1173676 */   // Label 17093: @1173676
     /* 1173676 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173759), // Rule ID 16226 //
     /* 1173681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1173692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1173695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1173698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1173701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173720 */     // MIs[0] round
     /* 1173720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173758 */     // GIR_Coverage, 16226,
     /* 1173758 */     GIR_EraseRootFromParent_Done,
     /* 1173759 */   // Label 17094: @1173759
     /* 1173759 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173842), // Rule ID 16229 //
     /* 1173764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1173784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173803 */     // MIs[0] round
     /* 1173803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1173816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173841 */     // GIR_Coverage, 16229,
     /* 1173841 */     GIR_EraseRootFromParent_Done,
     /* 1173842 */   // Label 17095: @1173842
     /* 1173842 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173925), // Rule ID 16230 //
     /* 1173847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1173867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173886 */     // MIs[0] round
     /* 1173886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1173899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173924 */     // GIR_Coverage, 16230,
     /* 1173924 */     GIR_EraseRootFromParent_Done,
     /* 1173925 */   // Label 17096: @1173925
     /* 1173925 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1174008), // Rule ID 16233 //
     /* 1173930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173969 */     // MIs[0] round
     /* 1173969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173979 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1173982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174007 */     // GIR_Coverage, 16233,
     /* 1174007 */     GIR_EraseRootFromParent_Done,
     /* 1174008 */   // Label 17097: @1174008
     /* 1174008 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1174091), // Rule ID 16234 //
     /* 1174013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1174024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1174027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1174033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174052 */     // MIs[0] round
     /* 1174052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174062 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174090 */     // GIR_Coverage, 16234,
     /* 1174090 */     GIR_EraseRootFromParent_Done,
     /* 1174091 */   // Label 17098: @1174091
     /* 1174091 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1174174), // Rule ID 16237 //
     /* 1174096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174135 */     // MIs[0] round
     /* 1174135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174145 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174173 */     // GIR_Coverage, 16237,
     /* 1174173 */     GIR_EraseRootFromParent_Done,
     /* 1174174 */   // Label 17099: @1174174
     /* 1174174 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1174257), // Rule ID 16238 //
     /* 1174179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174218 */     // MIs[0] round
     /* 1174218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174256 */     // GIR_Coverage, 16238,
     /* 1174256 */     GIR_EraseRootFromParent_Done,
     /* 1174257 */   // Label 17100: @1174257
     /* 1174257 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1174340), // Rule ID 16241 //
     /* 1174262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174301 */     // MIs[0] round
     /* 1174301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174339 */     // GIR_Coverage, 16241,
     /* 1174339 */     GIR_EraseRootFromParent_Done,
     /* 1174340 */   // Label 17101: @1174340
     /* 1174340 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1174423), // Rule ID 16242 //
     /* 1174345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174384 */     // MIs[0] round
     /* 1174384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174422 */     // GIR_Coverage, 16242,
     /* 1174422 */     GIR_EraseRootFromParent_Done,
     /* 1174423 */   // Label 17102: @1174423
     /* 1174423 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1174506), // Rule ID 16245 //
     /* 1174428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174467 */     // MIs[0] round
     /* 1174467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174505 */     // GIR_Coverage, 16245,
     /* 1174505 */     GIR_EraseRootFromParent_Done,
     /* 1174506 */   // Label 17103: @1174506
     /* 1174506 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1174589), // Rule ID 16246 //
     /* 1174511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174550 */     // MIs[0] round
     /* 1174550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174588 */     // GIR_Coverage, 16246,
     /* 1174588 */     GIR_EraseRootFromParent_Done,
     /* 1174589 */   // Label 17104: @1174589
     /* 1174589 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174672), // Rule ID 16249 //
     /* 1174594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174633 */     // MIs[0] round
     /* 1174633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174671 */     // GIR_Coverage, 16249,
     /* 1174671 */     GIR_EraseRootFromParent_Done,
     /* 1174672 */   // Label 17105: @1174672
     /* 1174672 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174755), // Rule ID 16250 //
     /* 1174677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174716 */     // MIs[0] round
     /* 1174716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174754 */     // GIR_Coverage, 16250,
     /* 1174754 */     GIR_EraseRootFromParent_Done,
     /* 1174755 */   // Label 17106: @1174755
     /* 1174755 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174838), // Rule ID 16253 //
     /* 1174760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1174780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174799 */     // MIs[0] round
     /* 1174799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174809 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174837 */     // GIR_Coverage, 16253,
     /* 1174837 */     GIR_EraseRootFromParent_Done,
     /* 1174838 */   // Label 17107: @1174838
     /* 1174838 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174921), // Rule ID 16254 //
     /* 1174843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1174863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174882 */     // MIs[0] round
     /* 1174882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174920 */     // GIR_Coverage, 16254,
     /* 1174920 */     GIR_EraseRootFromParent_Done,
     /* 1174921 */   // Label 17108: @1174921
     /* 1174921 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1175004), // Rule ID 16257 //
     /* 1174926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1174929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1174937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1174940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1174943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1174946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174965 */     // MIs[0] round
     /* 1174965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175003 */     // GIR_Coverage, 16257,
     /* 1175003 */     GIR_EraseRootFromParent_Done,
     /* 1175004 */   // Label 17109: @1175004
     /* 1175004 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1175087), // Rule ID 16258 //
     /* 1175009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1175029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175048 */     // MIs[0] round
     /* 1175048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1175061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175086 */     // GIR_Coverage, 16258,
     /* 1175086 */     GIR_EraseRootFromParent_Done,
     /* 1175087 */   // Label 17110: @1175087
     /* 1175087 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1175170), // Rule ID 16261 //
     /* 1175092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175131 */     // MIs[0] round
     /* 1175131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175169 */     // GIR_Coverage, 16261,
     /* 1175169 */     GIR_EraseRootFromParent_Done,
     /* 1175170 */   // Label 17111: @1175170
     /* 1175170 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1175253), // Rule ID 16262 //
     /* 1175175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175214 */     // MIs[0] round
     /* 1175214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175252 */     // GIR_Coverage, 16262,
     /* 1175252 */     GIR_EraseRootFromParent_Done,
     /* 1175253 */   // Label 17112: @1175253
     /* 1175253 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1175336), // Rule ID 16265 //
     /* 1175258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175297 */     // MIs[0] round
     /* 1175297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175335 */     // GIR_Coverage, 16265,
     /* 1175335 */     GIR_EraseRootFromParent_Done,
     /* 1175336 */   // Label 17113: @1175336
     /* 1175336 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1175419), // Rule ID 16266 //
     /* 1175341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175380 */     // MIs[0] round
     /* 1175380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175418 */     // GIR_Coverage, 16266,
     /* 1175418 */     GIR_EraseRootFromParent_Done,
     /* 1175419 */   // Label 17114: @1175419
     /* 1175419 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1175502), // Rule ID 16269 //
     /* 1175424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175463 */     // MIs[0] round
     /* 1175463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175501 */     // GIR_Coverage, 16269,
     /* 1175501 */     GIR_EraseRootFromParent_Done,
     /* 1175502 */   // Label 17115: @1175502
     /* 1175502 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1175585), // Rule ID 16270 //
     /* 1175507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175546 */     // MIs[0] round
     /* 1175546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175584 */     // GIR_Coverage, 16270,
     /* 1175584 */     GIR_EraseRootFromParent_Done,
     /* 1175585 */   // Label 17116: @1175585
     /* 1175585 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1175668), // Rule ID 16273 //
     /* 1175590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175629 */     // MIs[0] round
     /* 1175629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175639 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1175642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175667 */     // GIR_Coverage, 16273,
     /* 1175667 */     GIR_EraseRootFromParent_Done,
     /* 1175668 */   // Label 17117: @1175668
     /* 1175668 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175751), // Rule ID 16274 //
     /* 1175673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175712 */     // MIs[0] round
     /* 1175712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175722 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1175725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175750 */     // GIR_Coverage, 16274,
     /* 1175750 */     GIR_EraseRootFromParent_Done,
     /* 1175751 */   // Label 17118: @1175751
     /* 1175751 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175834), // Rule ID 16277 //
     /* 1175756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1175767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1175770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1175773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175795 */     // MIs[0] round
     /* 1175795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1175808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175833 */     // GIR_Coverage, 16277,
     /* 1175833 */     GIR_EraseRootFromParent_Done,
     /* 1175834 */   // Label 17119: @1175834
     /* 1175834 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175917), // Rule ID 16278 //
     /* 1175839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1175850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1175853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1175856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175878 */     // MIs[0] round
     /* 1175878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175888 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1175891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175916 */     // GIR_Coverage, 16278,
     /* 1175916 */     GIR_EraseRootFromParent_Done,
     /* 1175917 */   // Label 17120: @1175917
     /* 1175917 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1176000), // Rule ID 16281 //
     /* 1175922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175961 */     // MIs[0] round
     /* 1175961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1175974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175999 */     // GIR_Coverage, 16281,
     /* 1175999 */     GIR_EraseRootFromParent_Done,
     /* 1176000 */   // Label 17121: @1176000
     /* 1176000 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1176083), // Rule ID 16282 //
     /* 1176005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1176016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1176019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176044 */     // MIs[0] round
     /* 1176044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176054 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176082 */     // GIR_Coverage, 16282,
     /* 1176082 */     GIR_EraseRootFromParent_Done,
     /* 1176083 */   // Label 17122: @1176083
     /* 1176083 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1176166), // Rule ID 16285 //
     /* 1176088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176127 */     // MIs[0] round
     /* 1176127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176137 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176165 */     // GIR_Coverage, 16285,
     /* 1176165 */     GIR_EraseRootFromParent_Done,
     /* 1176166 */   // Label 17123: @1176166
     /* 1176166 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1176249), // Rule ID 16286 //
     /* 1176171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176210 */     // MIs[0] round
     /* 1176210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176248 */     // GIR_Coverage, 16286,
     /* 1176248 */     GIR_EraseRootFromParent_Done,
     /* 1176249 */   // Label 17124: @1176249
     /* 1176249 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1176332), // Rule ID 16289 //
     /* 1176254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176293 */     // MIs[0] round
     /* 1176293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176331 */     // GIR_Coverage, 16289,
     /* 1176331 */     GIR_EraseRootFromParent_Done,
     /* 1176332 */   // Label 17125: @1176332
     /* 1176332 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1176415), // Rule ID 16290 //
     /* 1176337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176376 */     // MIs[0] round
     /* 1176376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176386 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176414 */     // GIR_Coverage, 16290,
     /* 1176414 */     GIR_EraseRootFromParent_Done,
     /* 1176415 */   // Label 17126: @1176415
     /* 1176415 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1176498), // Rule ID 16293 //
     /* 1176420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176459 */     // MIs[0] round
     /* 1176459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176469 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176497 */     // GIR_Coverage, 16293,
     /* 1176497 */     GIR_EraseRootFromParent_Done,
     /* 1176498 */   // Label 17127: @1176498
     /* 1176498 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1176581), // Rule ID 16294 //
     /* 1176503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176542 */     // MIs[0] round
     /* 1176542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176580 */     // GIR_Coverage, 16294,
     /* 1176580 */     GIR_EraseRootFromParent_Done,
     /* 1176581 */   // Label 17128: @1176581
     /* 1176581 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1176664), // Rule ID 16297 //
     /* 1176586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176625 */     // MIs[0] round
     /* 1176625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176635 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176663 */     // GIR_Coverage, 16297,
     /* 1176663 */     GIR_EraseRootFromParent_Done,
     /* 1176664 */   // Label 17129: @1176664
     /* 1176664 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176747), // Rule ID 16298 //
     /* 1176669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176708 */     // MIs[0] round
     /* 1176708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176746 */     // GIR_Coverage, 16298,
     /* 1176746 */     GIR_EraseRootFromParent_Done,
     /* 1176747 */   // Label 17130: @1176747
     /* 1176747 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176830), // Rule ID 16301 //
     /* 1176752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176791 */     // MIs[0] round
     /* 1176791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176829 */     // GIR_Coverage, 16301,
     /* 1176829 */     GIR_EraseRootFromParent_Done,
     /* 1176830 */   // Label 17131: @1176830
     /* 1176830 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176913), // Rule ID 16302 //
     /* 1176835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176874 */     // MIs[0] round
     /* 1176874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176912 */     // GIR_Coverage, 16302,
     /* 1176912 */     GIR_EraseRootFromParent_Done,
     /* 1176913 */   // Label 17132: @1176913
     /* 1176913 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1176996), // Rule ID 16305 //
     /* 1176918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1176929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1176932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176957 */     // MIs[0] round
     /* 1176957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176995 */     // GIR_Coverage, 16305,
     /* 1176995 */     GIR_EraseRootFromParent_Done,
     /* 1176996 */   // Label 17133: @1176996
     /* 1176996 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1177079), // Rule ID 16306 //
     /* 1177001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1177018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177040 */     // MIs[0] round
     /* 1177040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177078 */     // GIR_Coverage, 16306,
     /* 1177078 */     GIR_EraseRootFromParent_Done,
     /* 1177079 */   // Label 17134: @1177079
     /* 1177079 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1177162), // Rule ID 16309 //
     /* 1177084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177123 */     // MIs[0] round
     /* 1177123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177161 */     // GIR_Coverage, 16309,
     /* 1177161 */     GIR_EraseRootFromParent_Done,
     /* 1177162 */   // Label 17135: @1177162
     /* 1177162 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1177245), // Rule ID 16310 //
     /* 1177167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177206 */     // MIs[0] round
     /* 1177206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177244 */     // GIR_Coverage, 16310,
     /* 1177244 */     GIR_EraseRootFromParent_Done,
     /* 1177245 */   // Label 17136: @1177245
     /* 1177245 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1177328), // Rule ID 16313 //
     /* 1177250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177289 */     // MIs[0] round
     /* 1177289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177327 */     // GIR_Coverage, 16313,
     /* 1177327 */     GIR_EraseRootFromParent_Done,
     /* 1177328 */   // Label 17137: @1177328
     /* 1177328 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1177411), // Rule ID 16314 //
     /* 1177333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177372 */     // MIs[0] round
     /* 1177372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177410 */     // GIR_Coverage, 16314,
     /* 1177410 */     GIR_EraseRootFromParent_Done,
     /* 1177411 */   // Label 17138: @1177411
     /* 1177411 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1177494), // Rule ID 16317 //
     /* 1177416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177455 */     // MIs[0] round
     /* 1177455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177493 */     // GIR_Coverage, 16317,
     /* 1177493 */     GIR_EraseRootFromParent_Done,
     /* 1177494 */   // Label 17139: @1177494
     /* 1177494 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1177577), // Rule ID 16318 //
     /* 1177499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177538 */     // MIs[0] round
     /* 1177538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177576 */     // GIR_Coverage, 16318,
     /* 1177576 */     GIR_EraseRootFromParent_Done,
     /* 1177577 */   // Label 17140: @1177577
     /* 1177577 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1177660), // Rule ID 16321 //
     /* 1177582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177621 */     // MIs[0] round
     /* 1177621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177631 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177659 */     // GIR_Coverage, 16321,
     /* 1177659 */     GIR_EraseRootFromParent_Done,
     /* 1177660 */   // Label 17141: @1177660
     /* 1177660 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1177743), // Rule ID 16322 //
     /* 1177665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177704 */     // MIs[0] round
     /* 1177704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177742 */     // GIR_Coverage, 16322,
     /* 1177742 */     GIR_EraseRootFromParent_Done,
     /* 1177743 */   // Label 17142: @1177743
     /* 1177743 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177826), // Rule ID 16325 //
     /* 1177748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1177759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1177762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177787 */     // MIs[0] round
     /* 1177787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177825 */     // GIR_Coverage, 16325,
     /* 1177825 */     GIR_EraseRootFromParent_Done,
     /* 1177826 */   // Label 17143: @1177826
     /* 1177826 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177909), // Rule ID 16326 //
     /* 1177831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1177842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1177845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177870 */     // MIs[0] round
     /* 1177870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177908 */     // GIR_Coverage, 16326,
     /* 1177908 */     GIR_EraseRootFromParent_Done,
     /* 1177909 */   // Label 17144: @1177909
     /* 1177909 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1177992), // Rule ID 16329 //
     /* 1177914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177953 */     // MIs[0] round
     /* 1177953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177991 */     // GIR_Coverage, 16329,
     /* 1177991 */     GIR_EraseRootFromParent_Done,
     /* 1177992 */   // Label 17145: @1177992
     /* 1177992 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1178075), // Rule ID 16330 //
     /* 1177997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178036 */     // MIs[0] round
     /* 1178036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1178049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178074 */     // GIR_Coverage, 16330,
     /* 1178074 */     GIR_EraseRootFromParent_Done,
     /* 1178075 */   // Label 17146: @1178075
     /* 1178075 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1178158), // Rule ID 16393 //
     /* 1178080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178119 */     // MIs[0] round
     /* 1178119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178129 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178157 */     // GIR_Coverage, 16393,
     /* 1178157 */     GIR_EraseRootFromParent_Done,
     /* 1178158 */   // Label 17147: @1178158
     /* 1178158 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1178241), // Rule ID 16394 //
     /* 1178163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178202 */     // MIs[0] round
     /* 1178202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178240 */     // GIR_Coverage, 16394,
     /* 1178240 */     GIR_EraseRootFromParent_Done,
     /* 1178241 */   // Label 17148: @1178241
     /* 1178241 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1178324), // Rule ID 16397 //
     /* 1178246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178285 */     // MIs[0] round
     /* 1178285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178295 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178323 */     // GIR_Coverage, 16397,
     /* 1178323 */     GIR_EraseRootFromParent_Done,
     /* 1178324 */   // Label 17149: @1178324
     /* 1178324 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1178407), // Rule ID 16398 //
     /* 1178329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178368 */     // MIs[0] round
     /* 1178368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178406 */     // GIR_Coverage, 16398,
     /* 1178406 */     GIR_EraseRootFromParent_Done,
     /* 1178407 */   // Label 17150: @1178407
     /* 1178407 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1178490), // Rule ID 16401 //
     /* 1178412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178451 */     // MIs[0] round
     /* 1178451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178461 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178489 */     // GIR_Coverage, 16401,
     /* 1178489 */     GIR_EraseRootFromParent_Done,
     /* 1178490 */   // Label 17151: @1178490
     /* 1178490 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1178573), // Rule ID 16402 //
     /* 1178495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178534 */     // MIs[0] round
     /* 1178534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178572 */     // GIR_Coverage, 16402,
     /* 1178572 */     GIR_EraseRootFromParent_Done,
     /* 1178573 */   // Label 17152: @1178573
     /* 1178573 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1178656), // Rule ID 16405 //
     /* 1178578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178617 */     // MIs[0] round
     /* 1178617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178655 */     // GIR_Coverage, 16405,
     /* 1178655 */     GIR_EraseRootFromParent_Done,
     /* 1178656 */   // Label 17153: @1178656
     /* 1178656 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1178739), // Rule ID 16406 //
     /* 1178661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178700 */     // MIs[0] round
     /* 1178700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178710 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178738 */     // GIR_Coverage, 16406,
     /* 1178738 */     GIR_EraseRootFromParent_Done,
     /* 1178739 */   // Label 17154: @1178739
     /* 1178739 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178822), // Rule ID 16409 //
     /* 1178744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178783 */     // MIs[0] round
     /* 1178783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1178796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178821 */     // GIR_Coverage, 16409,
     /* 1178821 */     GIR_EraseRootFromParent_Done,
     /* 1178822 */   // Label 17155: @1178822
     /* 1178822 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178905), // Rule ID 16410 //
     /* 1178827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178866 */     // MIs[0] round
     /* 1178866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178876 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1178879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178904 */     // GIR_Coverage, 16410,
     /* 1178904 */     GIR_EraseRootFromParent_Done,
     /* 1178905 */   // Label 17156: @1178905
     /* 1178905 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1178988), // Rule ID 16413 //
     /* 1178910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1178930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178949 */     // MIs[0] round
     /* 1178949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178959 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1178962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178987 */     // GIR_Coverage, 16413,
     /* 1178987 */     GIR_EraseRootFromParent_Done,
     /* 1178988 */   // Label 17157: @1178988
     /* 1178988 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1179071), // Rule ID 16414 //
     /* 1178993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1179004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1179007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1179013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179032 */     // MIs[0] round
     /* 1179032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179070 */     // GIR_Coverage, 16414,
     /* 1179070 */     GIR_EraseRootFromParent_Done,
     /* 1179071 */   // Label 17158: @1179071
     /* 1179071 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1179154), // Rule ID 16417 //
     /* 1179076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179115 */     // MIs[0] round
     /* 1179115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179125 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179153 */     // GIR_Coverage, 16417,
     /* 1179153 */     GIR_EraseRootFromParent_Done,
     /* 1179154 */   // Label 17159: @1179154
     /* 1179154 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1179237), // Rule ID 16418 //
     /* 1179159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179198 */     // MIs[0] round
     /* 1179198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179236 */     // GIR_Coverage, 16418,
     /* 1179236 */     GIR_EraseRootFromParent_Done,
     /* 1179237 */   // Label 17160: @1179237
     /* 1179237 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1179320), // Rule ID 16421 //
     /* 1179242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179281 */     // MIs[0] round
     /* 1179281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179291 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179319 */     // GIR_Coverage, 16421,
     /* 1179319 */     GIR_EraseRootFromParent_Done,
     /* 1179320 */   // Label 17161: @1179320
     /* 1179320 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1179403), // Rule ID 16422 //
     /* 1179325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179364 */     // MIs[0] round
     /* 1179364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179402 */     // GIR_Coverage, 16422,
     /* 1179402 */     GIR_EraseRootFromParent_Done,
     /* 1179403 */   // Label 17162: @1179403
     /* 1179403 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1179486), // Rule ID 16425 //
     /* 1179408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179447 */     // MIs[0] round
     /* 1179447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179485 */     // GIR_Coverage, 16425,
     /* 1179485 */     GIR_EraseRootFromParent_Done,
     /* 1179486 */   // Label 17163: @1179486
     /* 1179486 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1179569), // Rule ID 16426 //
     /* 1179491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179530 */     // MIs[0] round
     /* 1179530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179568 */     // GIR_Coverage, 16426,
     /* 1179568 */     GIR_EraseRootFromParent_Done,
     /* 1179569 */   // Label 17164: @1179569
     /* 1179569 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1179652), // Rule ID 16429 //
     /* 1179574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179613 */     // MIs[0] round
     /* 1179613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179623 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179651 */     // GIR_Coverage, 16429,
     /* 1179651 */     GIR_EraseRootFromParent_Done,
     /* 1179652 */   // Label 17165: @1179652
     /* 1179652 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1179735), // Rule ID 16430 //
     /* 1179657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179696 */     // MIs[0] round
     /* 1179696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179734 */     // GIR_Coverage, 16430,
     /* 1179734 */     GIR_EraseRootFromParent_Done,
     /* 1179735 */   // Label 17166: @1179735
     /* 1179735 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179818), // Rule ID 16433 //
     /* 1179740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179779 */     // MIs[0] round
     /* 1179779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179817 */     // GIR_Coverage, 16433,
     /* 1179817 */     GIR_EraseRootFromParent_Done,
     /* 1179818 */   // Label 17167: @1179818
     /* 1179818 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179901), // Rule ID 16434 //
     /* 1179823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179862 */     // MIs[0] round
     /* 1179862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179900 */     // GIR_Coverage, 16434,
     /* 1179900 */     GIR_EraseRootFromParent_Done,
     /* 1179901 */   // Label 17168: @1179901
     /* 1179901 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1179984), // Rule ID 16437 //
     /* 1179906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1179923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1179926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179945 */     // MIs[0] round
     /* 1179945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179983 */     // GIR_Coverage, 16437,
     /* 1179983 */     GIR_EraseRootFromParent_Done,
     /* 1179984 */   // Label 17169: @1179984
     /* 1179984 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1180067), // Rule ID 16438 //
     /* 1179989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1180000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1180003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180028 */     // MIs[0] round
     /* 1180028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1180041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180066 */     // GIR_Coverage, 16438,
     /* 1180066 */     GIR_EraseRootFromParent_Done,
     /* 1180067 */   // Label 17170: @1180067
     /* 1180067 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1180150), // Rule ID 16441 //
     /* 1180072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180111 */     // MIs[0] round
     /* 1180111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180149 */     // GIR_Coverage, 16441,
     /* 1180149 */     GIR_EraseRootFromParent_Done,
     /* 1180150 */   // Label 17171: @1180150
     /* 1180150 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1180233), // Rule ID 16442 //
     /* 1180155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180194 */     // MIs[0] round
     /* 1180194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180232 */     // GIR_Coverage, 16442,
     /* 1180232 */     GIR_EraseRootFromParent_Done,
     /* 1180233 */   // Label 17172: @1180233
     /* 1180233 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1180316), // Rule ID 16445 //
     /* 1180238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180277 */     // MIs[0] round
     /* 1180277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180315 */     // GIR_Coverage, 16445,
     /* 1180315 */     GIR_EraseRootFromParent_Done,
     /* 1180316 */   // Label 17173: @1180316
     /* 1180316 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1180399), // Rule ID 16446 //
     /* 1180321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180360 */     // MIs[0] round
     /* 1180360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180398 */     // GIR_Coverage, 16446,
     /* 1180398 */     GIR_EraseRootFromParent_Done,
     /* 1180399 */   // Label 17174: @1180399
     /* 1180399 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1180482), // Rule ID 16449 //
     /* 1180404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180443 */     // MIs[0] round
     /* 1180443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180481 */     // GIR_Coverage, 16449,
     /* 1180481 */     GIR_EraseRootFromParent_Done,
     /* 1180482 */   // Label 17175: @1180482
     /* 1180482 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1180565), // Rule ID 16450 //
     /* 1180487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180526 */     // MIs[0] round
     /* 1180526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180564 */     // GIR_Coverage, 16450,
     /* 1180564 */     GIR_EraseRootFromParent_Done,
     /* 1180565 */   // Label 17176: @1180565
     /* 1180565 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1180648), // Rule ID 16453 //
     /* 1180570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180609 */     // MIs[0] round
     /* 1180609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1180622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180647 */     // GIR_Coverage, 16453,
     /* 1180647 */     GIR_EraseRootFromParent_Done,
     /* 1180648 */   // Label 17177: @1180648
     /* 1180648 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1180731), // Rule ID 16454 //
     /* 1180653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180692 */     // MIs[0] round
     /* 1180692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1180705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180730 */     // GIR_Coverage, 16454,
     /* 1180730 */     GIR_EraseRootFromParent_Done,
     /* 1180731 */   // Label 17178: @1180731
     /* 1180731 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180814), // Rule ID 16457 //
     /* 1180736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180775 */     // MIs[0] round
     /* 1180775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180785 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1180788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180813 */     // GIR_Coverage, 16457,
     /* 1180813 */     GIR_EraseRootFromParent_Done,
     /* 1180814 */   // Label 17179: @1180814
     /* 1180814 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180897), // Rule ID 16458 //
     /* 1180819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180858 */     // MIs[0] round
     /* 1180858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180868 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1180871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180896 */     // GIR_Coverage, 16458,
     /* 1180896 */     GIR_EraseRootFromParent_Done,
     /* 1180897 */   // Label 17180: @1180897
     /* 1180897 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1180980), // Rule ID 16461 //
     /* 1180902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180941 */     // MIs[0] round
     /* 1180941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1180954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180979 */     // GIR_Coverage, 16461,
     /* 1180979 */     GIR_EraseRootFromParent_Done,
     /* 1180980 */   // Label 17181: @1180980
     /* 1180980 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1181063), // Rule ID 16462 //
     /* 1180985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181024 */     // MIs[0] round
     /* 1181024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181062 */     // GIR_Coverage, 16462,
     /* 1181062 */     GIR_EraseRootFromParent_Done,
     /* 1181063 */   // Label 17182: @1181063
     /* 1181063 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1181146), // Rule ID 16465 //
     /* 1181068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181107 */     // MIs[0] round
     /* 1181107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181145 */     // GIR_Coverage, 16465,
     /* 1181145 */     GIR_EraseRootFromParent_Done,
     /* 1181146 */   // Label 17183: @1181146
     /* 1181146 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1181229), // Rule ID 16466 //
     /* 1181151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181190 */     // MIs[0] round
     /* 1181190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181228 */     // GIR_Coverage, 16466,
     /* 1181228 */     GIR_EraseRootFromParent_Done,
     /* 1181229 */   // Label 17184: @1181229
     /* 1181229 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1181312), // Rule ID 16469 //
     /* 1181234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181273 */     // MIs[0] round
     /* 1181273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181311 */     // GIR_Coverage, 16469,
     /* 1181311 */     GIR_EraseRootFromParent_Done,
     /* 1181312 */   // Label 17185: @1181312
     /* 1181312 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1181395), // Rule ID 16470 //
     /* 1181317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181356 */     // MIs[0] round
     /* 1181356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181366 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181394 */     // GIR_Coverage, 16470,
     /* 1181394 */     GIR_EraseRootFromParent_Done,
     /* 1181395 */   // Label 17186: @1181395
     /* 1181395 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1181478), // Rule ID 16473 //
     /* 1181400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181439 */     // MIs[0] round
     /* 1181439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181449 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181477 */     // GIR_Coverage, 16473,
     /* 1181477 */     GIR_EraseRootFromParent_Done,
     /* 1181478 */   // Label 17187: @1181478
     /* 1181478 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1181561), // Rule ID 16474 //
     /* 1181483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181522 */     // MIs[0] round
     /* 1181522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181560 */     // GIR_Coverage, 16474,
     /* 1181560 */     GIR_EraseRootFromParent_Done,
     /* 1181561 */   // Label 17188: @1181561
     /* 1181561 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1181644), // Rule ID 16477 //
     /* 1181566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181605 */     // MIs[0] round
     /* 1181605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181643 */     // GIR_Coverage, 16477,
     /* 1181643 */     GIR_EraseRootFromParent_Done,
     /* 1181644 */   // Label 17189: @1181644
     /* 1181644 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1181727), // Rule ID 16478 //
     /* 1181649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181688 */     // MIs[0] round
     /* 1181688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181726 */     // GIR_Coverage, 16478,
     /* 1181726 */     GIR_EraseRootFromParent_Done,
     /* 1181727 */   // Label 17190: @1181727
     /* 1181727 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1181810), // Rule ID 16481 //
     /* 1181732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181771 */     // MIs[0] round
     /* 1181771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181809 */     // GIR_Coverage, 16481,
     /* 1181809 */     GIR_EraseRootFromParent_Done,
     /* 1181810 */   // Label 17191: @1181810
     /* 1181810 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181893), // Rule ID 16482 //
     /* 1181815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181854 */     // MIs[0] round
     /* 1181854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181892 */     // GIR_Coverage, 16482,
     /* 1181892 */     GIR_EraseRootFromParent_Done,
     /* 1181893 */   // Label 17192: @1181893
     /* 1181893 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1181976), // Rule ID 16485 //
     /* 1181898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181937 */     // MIs[0] round
     /* 1181937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181975 */     // GIR_Coverage, 16485,
     /* 1181975 */     GIR_EraseRootFromParent_Done,
     /* 1181976 */   // Label 17193: @1181976
     /* 1181976 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1182059), // Rule ID 16486 //
     /* 1181981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182020 */     // MIs[0] round
     /* 1182020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182058 */     // GIR_Coverage, 16486,
     /* 1182058 */     GIR_EraseRootFromParent_Done,
     /* 1182059 */   // Label 17194: @1182059
     /* 1182059 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1182142), // Rule ID 16489 //
     /* 1182064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182103 */     // MIs[0] round
     /* 1182103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182141 */     // GIR_Coverage, 16489,
     /* 1182141 */     GIR_EraseRootFromParent_Done,
     /* 1182142 */   // Label 17195: @1182142
     /* 1182142 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1182225), // Rule ID 16490 //
     /* 1182147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182186 */     // MIs[0] round
     /* 1182186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182224 */     // GIR_Coverage, 16490,
     /* 1182224 */     GIR_EraseRootFromParent_Done,
     /* 1182225 */   // Label 17196: @1182225
     /* 1182225 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1182308), // Rule ID 16493 //
     /* 1182230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182269 */     // MIs[0] round
     /* 1182269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182279 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182307 */     // GIR_Coverage, 16493,
     /* 1182307 */     GIR_EraseRootFromParent_Done,
     /* 1182308 */   // Label 17197: @1182308
     /* 1182308 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1182391), // Rule ID 16494 //
     /* 1182313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182352 */     // MIs[0] round
     /* 1182352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182390 */     // GIR_Coverage, 16494,
     /* 1182390 */     GIR_EraseRootFromParent_Done,
     /* 1182391 */   // Label 17198: @1182391
     /* 1182391 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1182474), // Rule ID 16497 //
     /* 1182396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182435 */     // MIs[0] round
     /* 1182435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182473 */     // GIR_Coverage, 16497,
     /* 1182473 */     GIR_EraseRootFromParent_Done,
     /* 1182474 */   // Label 17199: @1182474
     /* 1182474 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1182557), // Rule ID 16498 //
     /* 1182479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182518 */     // MIs[0] round
     /* 1182518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182556 */     // GIR_Coverage, 16498,
     /* 1182556 */     GIR_EraseRootFromParent_Done,
     /* 1182557 */   // Label 17200: @1182557
     /* 1182557 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1182640), // Rule ID 16501 //
     /* 1182562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182601 */     // MIs[0] round
     /* 1182601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182639 */     // GIR_Coverage, 16501,
     /* 1182639 */     GIR_EraseRootFromParent_Done,
     /* 1182640 */   // Label 17201: @1182640
     /* 1182640 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1182723), // Rule ID 16502 //
     /* 1182645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182684 */     // MIs[0] round
     /* 1182684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182722 */     // GIR_Coverage, 16502,
     /* 1182722 */     GIR_EraseRootFromParent_Done,
     /* 1182723 */   // Label 17202: @1182723
     /* 1182723 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1182806), // Rule ID 16505 //
     /* 1182728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182767 */     // MIs[0] round
     /* 1182767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182805 */     // GIR_Coverage, 16505,
     /* 1182805 */     GIR_EraseRootFromParent_Done,
     /* 1182806 */   // Label 17203: @1182806
     /* 1182806 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182889), // Rule ID 16506 //
     /* 1182811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182850 */     // MIs[0] round
     /* 1182850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182888 */     // GIR_Coverage, 16506,
     /* 1182888 */     GIR_EraseRootFromParent_Done,
     /* 1182889 */   // Label 17204: @1182889
     /* 1182889 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1182972), // Rule ID 16509 //
     /* 1182894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182933 */     // MIs[0] round
     /* 1182933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182971 */     // GIR_Coverage, 16509,
     /* 1182971 */     GIR_EraseRootFromParent_Done,
     /* 1182972 */   // Label 17205: @1182972
     /* 1182972 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1183055), // Rule ID 16510 //
     /* 1182977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183016 */     // MIs[0] round
     /* 1183016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1183029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183054 */     // GIR_Coverage, 16510,
     /* 1183054 */     GIR_EraseRootFromParent_Done,
     /* 1183055 */   // Label 17206: @1183055
     /* 1183055 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1183135), // Rule ID 16573 //
     /* 1183060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183099 */     // MIs[0] round
     /* 1183099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183109 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183134 */     // GIR_Coverage, 16573,
     /* 1183134 */     GIR_EraseRootFromParent_Done,
     /* 1183135 */   // Label 17207: @1183135
     /* 1183135 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1183215), // Rule ID 16574 //
     /* 1183140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183179 */     // MIs[0] round
     /* 1183179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183189 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183214 */     // GIR_Coverage, 16574,
     /* 1183214 */     GIR_EraseRootFromParent_Done,
     /* 1183215 */   // Label 17208: @1183215
     /* 1183215 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1183295), // Rule ID 16577 //
     /* 1183220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183259 */     // MIs[0] round
     /* 1183259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183269 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183294 */     // GIR_Coverage, 16577,
     /* 1183294 */     GIR_EraseRootFromParent_Done,
     /* 1183295 */   // Label 17209: @1183295
     /* 1183295 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1183375), // Rule ID 16578 //
     /* 1183300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183339 */     // MIs[0] round
     /* 1183339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183349 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183374 */     // GIR_Coverage, 16578,
     /* 1183374 */     GIR_EraseRootFromParent_Done,
     /* 1183375 */   // Label 17210: @1183375
     /* 1183375 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1183455), // Rule ID 16581 //
     /* 1183380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183419 */     // MIs[0] round
     /* 1183419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183429 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183454 */     // GIR_Coverage, 16581,
     /* 1183454 */     GIR_EraseRootFromParent_Done,
     /* 1183455 */   // Label 17211: @1183455
     /* 1183455 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1183535), // Rule ID 16582 //
     /* 1183460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183499 */     // MIs[0] round
     /* 1183499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183509 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183534 */     // GIR_Coverage, 16582,
     /* 1183534 */     GIR_EraseRootFromParent_Done,
     /* 1183535 */   // Label 17212: @1183535
     /* 1183535 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1183615), // Rule ID 16585 //
     /* 1183540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183579 */     // MIs[0] round
     /* 1183579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183589 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1183592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183614 */     // GIR_Coverage, 16585,
     /* 1183614 */     GIR_EraseRootFromParent_Done,
     /* 1183615 */   // Label 17213: @1183615
     /* 1183615 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1183695), // Rule ID 16586 //
     /* 1183620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183659 */     // MIs[0] round
     /* 1183659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1183672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183694 */     // GIR_Coverage, 16586,
     /* 1183694 */     GIR_EraseRootFromParent_Done,
     /* 1183695 */   // Label 17214: @1183695
     /* 1183695 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1183775), // Rule ID 16589 //
     /* 1183700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1183711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1183714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1183720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183739 */     // MIs[0] round
     /* 1183739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183749 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1183752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183774 */     // GIR_Coverage, 16589,
     /* 1183774 */     GIR_EraseRootFromParent_Done,
     /* 1183775 */   // Label 17215: @1183775
     /* 1183775 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183855), // Rule ID 16590 //
     /* 1183780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1183791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1183794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1183800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183819 */     // MIs[0] round
     /* 1183819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1183832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183854 */     // GIR_Coverage, 16590,
     /* 1183854 */     GIR_EraseRootFromParent_Done,
     /* 1183855 */   // Label 17216: @1183855
     /* 1183855 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1183935), // Rule ID 16593 //
     /* 1183860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1183863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1183871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1183874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1183877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1183880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183899 */     // MIs[0] round
     /* 1183899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1183912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183934 */     // GIR_Coverage, 16593,
     /* 1183934 */     GIR_EraseRootFromParent_Done,
     /* 1183935 */   // Label 17217: @1183935
     /* 1183935 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1184015), // Rule ID 16594 //
     /* 1183940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1183943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1183951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1183954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1183957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1183960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183979 */     // MIs[0] round
     /* 1183979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1183992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184014 */     // GIR_Coverage, 16594,
     /* 1184014 */     GIR_EraseRootFromParent_Done,
     /* 1184015 */   // Label 17218: @1184015
     /* 1184015 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1184095), // Rule ID 16597 //
     /* 1184020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1184037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184059 */     // MIs[0] round
     /* 1184059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184069 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184094 */     // GIR_Coverage, 16597,
     /* 1184094 */     GIR_EraseRootFromParent_Done,
     /* 1184095 */   // Label 17219: @1184095
     /* 1184095 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1184175), // Rule ID 16598 //
     /* 1184100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1184117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184139 */     // MIs[0] round
     /* 1184139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184149 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184174 */     // GIR_Coverage, 16598,
     /* 1184174 */     GIR_EraseRootFromParent_Done,
     /* 1184175 */   // Label 17220: @1184175
     /* 1184175 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1184255), // Rule ID 16601 //
     /* 1184180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184219 */     // MIs[0] round
     /* 1184219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184229 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184254 */     // GIR_Coverage, 16601,
     /* 1184254 */     GIR_EraseRootFromParent_Done,
     /* 1184255 */   // Label 17221: @1184255
     /* 1184255 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1184335), // Rule ID 16602 //
     /* 1184260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184299 */     // MIs[0] round
     /* 1184299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184309 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184334 */     // GIR_Coverage, 16602,
     /* 1184334 */     GIR_EraseRootFromParent_Done,
     /* 1184335 */   // Label 17222: @1184335
     /* 1184335 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1184415), // Rule ID 16605 //
     /* 1184340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184379 */     // MIs[0] round
     /* 1184379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184389 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184414 */     // GIR_Coverage, 16605,
     /* 1184414 */     GIR_EraseRootFromParent_Done,
     /* 1184415 */   // Label 17223: @1184415
     /* 1184415 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1184495), // Rule ID 16606 //
     /* 1184420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184459 */     // MIs[0] round
     /* 1184459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184469 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184494 */     // GIR_Coverage, 16606,
     /* 1184494 */     GIR_EraseRootFromParent_Done,
     /* 1184495 */   // Label 17224: @1184495
     /* 1184495 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1184575), // Rule ID 16609 //
     /* 1184500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184539 */     // MIs[0] round
     /* 1184539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184549 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1184552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184574 */     // GIR_Coverage, 16609,
     /* 1184574 */     GIR_EraseRootFromParent_Done,
     /* 1184575 */   // Label 17225: @1184575
     /* 1184575 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1184655), // Rule ID 16610 //
     /* 1184580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184619 */     // MIs[0] round
     /* 1184619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184629 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1184632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184654 */     // GIR_Coverage, 16610,
     /* 1184654 */     GIR_EraseRootFromParent_Done,
     /* 1184655 */   // Label 17226: @1184655
     /* 1184655 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1184735), // Rule ID 16613 //
     /* 1184660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1184671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1184674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1184680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184699 */     // MIs[0] round
     /* 1184699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184709 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1184712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184734 */     // GIR_Coverage, 16613,
     /* 1184734 */     GIR_EraseRootFromParent_Done,
     /* 1184735 */   // Label 17227: @1184735
     /* 1184735 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184815), // Rule ID 16614 //
     /* 1184740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1184751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1184754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1184760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184779 */     // MIs[0] round
     /* 1184779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1184792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184814 */     // GIR_Coverage, 16614,
     /* 1184814 */     GIR_EraseRootFromParent_Done,
     /* 1184815 */   // Label 17228: @1184815
     /* 1184815 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184895), // Rule ID 16617 //
     /* 1184820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1184831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1184834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1184840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184859 */     // MIs[0] round
     /* 1184859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184869 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1184872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184894 */     // GIR_Coverage, 16617,
     /* 1184894 */     GIR_EraseRootFromParent_Done,
     /* 1184895 */   // Label 17229: @1184895
     /* 1184895 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1184975), // Rule ID 16618 //
     /* 1184900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1184911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1184914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1184920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184939 */     // MIs[0] round
     /* 1184939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184949 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1184952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184974 */     // GIR_Coverage, 16618,
     /* 1184974 */     GIR_EraseRootFromParent_Done,
     /* 1184975 */   // Label 17230: @1184975
     /* 1184975 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1185055), // Rule ID 16621 //
     /* 1184980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1184983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1184991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1184994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1185000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185019 */     // MIs[0] round
     /* 1185019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185029 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1185032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185054 */     // GIR_Coverage, 16621,
     /* 1185054 */     GIR_EraseRootFromParent_Done,
     /* 1185055 */   // Label 17231: @1185055
     /* 1185055 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1185135), // Rule ID 16622 //
     /* 1185060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1185071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1185074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1185080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185099 */     // MIs[0] round
     /* 1185099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1185112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185134 */     // GIR_Coverage, 16622,
     /* 1185134 */     GIR_EraseRootFromParent_Done,
     /* 1185135 */   // Label 17232: @1185135
     /* 1185135 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1185215), // Rule ID 16625 //
     /* 1185140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185179 */     // MIs[0] round
     /* 1185179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185189 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185214 */     // GIR_Coverage, 16625,
     /* 1185214 */     GIR_EraseRootFromParent_Done,
     /* 1185215 */   // Label 17233: @1185215
     /* 1185215 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1185295), // Rule ID 16626 //
     /* 1185220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185259 */     // MIs[0] round
     /* 1185259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185269 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185294 */     // GIR_Coverage, 16626,
     /* 1185294 */     GIR_EraseRootFromParent_Done,
     /* 1185295 */   // Label 17234: @1185295
     /* 1185295 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1185375), // Rule ID 16629 //
     /* 1185300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185339 */     // MIs[0] round
     /* 1185339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185349 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185374 */     // GIR_Coverage, 16629,
     /* 1185374 */     GIR_EraseRootFromParent_Done,
     /* 1185375 */   // Label 17235: @1185375
     /* 1185375 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1185455), // Rule ID 16630 //
     /* 1185380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185419 */     // MIs[0] round
     /* 1185419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185429 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185454 */     // GIR_Coverage, 16630,
     /* 1185454 */     GIR_EraseRootFromParent_Done,
     /* 1185455 */   // Label 17236: @1185455
     /* 1185455 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1185535), // Rule ID 16633 //
     /* 1185460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185499 */     // MIs[0] round
     /* 1185499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185509 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185534 */     // GIR_Coverage, 16633,
     /* 1185534 */     GIR_EraseRootFromParent_Done,
     /* 1185535 */   // Label 17237: @1185535
     /* 1185535 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1185615), // Rule ID 16634 //
     /* 1185540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185579 */     // MIs[0] round
     /* 1185579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185589 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185614 */     // GIR_Coverage, 16634,
     /* 1185614 */     GIR_EraseRootFromParent_Done,
     /* 1185615 */   // Label 17238: @1185615
     /* 1185615 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1185695), // Rule ID 16637 //
     /* 1185620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1185631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1185634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185659 */     // MIs[0] round
     /* 1185659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185669 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1185672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185694 */     // GIR_Coverage, 16637,
     /* 1185694 */     GIR_EraseRootFromParent_Done,
     /* 1185695 */   // Label 17239: @1185695
     /* 1185695 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185775), // Rule ID 16638 //
     /* 1185700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1185711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1185714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185739 */     // MIs[0] round
     /* 1185739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185749 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1185752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185774 */     // GIR_Coverage, 16638,
     /* 1185774 */     GIR_EraseRootFromParent_Done,
     /* 1185775 */   // Label 17240: @1185775
     /* 1185775 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185855), // Rule ID 16641 //
     /* 1185780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1185791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1185794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1185797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185819 */     // MIs[0] round
     /* 1185819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185829 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1185832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185854 */     // GIR_Coverage, 16641,
     /* 1185854 */     GIR_EraseRootFromParent_Done,
     /* 1185855 */   // Label 17241: @1185855
     /* 1185855 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1185935), // Rule ID 16642 //
     /* 1185860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1185871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1185874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1185877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185899 */     // MIs[0] round
     /* 1185899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1185912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185934 */     // GIR_Coverage, 16642,
     /* 1185934 */     GIR_EraseRootFromParent_Done,
     /* 1185935 */   // Label 17242: @1185935
     /* 1185935 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1186015), // Rule ID 16645 //
     /* 1185940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1185951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1185954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185979 */     // MIs[0] round
     /* 1185979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185989 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1185992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186014 */     // GIR_Coverage, 16645,
     /* 1186014 */     GIR_EraseRootFromParent_Done,
     /* 1186015 */   // Label 17243: @1186015
     /* 1186015 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1186095), // Rule ID 16646 //
     /* 1186020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1186037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186059 */     // MIs[0] round
     /* 1186059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186069 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1186072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186094 */     // GIR_Coverage, 16646,
     /* 1186094 */     GIR_EraseRootFromParent_Done,
     /* 1186095 */   // Label 17244: @1186095
     /* 1186095 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1186175), // Rule ID 16649 //
     /* 1186100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186139 */     // MIs[0] round
     /* 1186139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186149 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186174 */     // GIR_Coverage, 16649,
     /* 1186174 */     GIR_EraseRootFromParent_Done,
     /* 1186175 */   // Label 17245: @1186175
     /* 1186175 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1186255), // Rule ID 16650 //
     /* 1186180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186219 */     // MIs[0] round
     /* 1186219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186254 */     // GIR_Coverage, 16650,
     /* 1186254 */     GIR_EraseRootFromParent_Done,
     /* 1186255 */   // Label 17246: @1186255
     /* 1186255 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1186335), // Rule ID 16653 //
     /* 1186260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186299 */     // MIs[0] round
     /* 1186299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186309 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186334 */     // GIR_Coverage, 16653,
     /* 1186334 */     GIR_EraseRootFromParent_Done,
     /* 1186335 */   // Label 17247: @1186335
     /* 1186335 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1186415), // Rule ID 16654 //
     /* 1186340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186379 */     // MIs[0] round
     /* 1186379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186389 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186414 */     // GIR_Coverage, 16654,
     /* 1186414 */     GIR_EraseRootFromParent_Done,
     /* 1186415 */   // Label 17248: @1186415
     /* 1186415 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1186495), // Rule ID 16657 //
     /* 1186420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186459 */     // MIs[0] round
     /* 1186459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186469 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186494 */     // GIR_Coverage, 16657,
     /* 1186494 */     GIR_EraseRootFromParent_Done,
     /* 1186495 */   // Label 17249: @1186495
     /* 1186495 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1186575), // Rule ID 16658 //
     /* 1186500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186539 */     // MIs[0] round
     /* 1186539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186549 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186574 */     // GIR_Coverage, 16658,
     /* 1186574 */     GIR_EraseRootFromParent_Done,
     /* 1186575 */   // Label 17250: @1186575
     /* 1186575 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1186655), // Rule ID 16661 //
     /* 1186580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186619 */     // MIs[0] round
     /* 1186619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186629 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1186632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186654 */     // GIR_Coverage, 16661,
     /* 1186654 */     GIR_EraseRootFromParent_Done,
     /* 1186655 */   // Label 17251: @1186655
     /* 1186655 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186735), // Rule ID 16662 //
     /* 1186660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186699 */     // MIs[0] round
     /* 1186699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186709 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1186712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186734 */     // GIR_Coverage, 16662,
     /* 1186734 */     GIR_EraseRootFromParent_Done,
     /* 1186735 */   // Label 17252: @1186735
     /* 1186735 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186815), // Rule ID 16665 //
     /* 1186740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1186751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1186754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186779 */     // MIs[0] round
     /* 1186779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186789 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1186792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186814 */     // GIR_Coverage, 16665,
     /* 1186814 */     GIR_EraseRootFromParent_Done,
     /* 1186815 */   // Label 17253: @1186815
     /* 1186815 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186895), // Rule ID 16666 //
     /* 1186820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1186831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1186834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186859 */     // MIs[0] round
     /* 1186859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186869 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1186872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186894 */     // GIR_Coverage, 16666,
     /* 1186894 */     GIR_EraseRootFromParent_Done,
     /* 1186895 */   // Label 17254: @1186895
     /* 1186895 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1186975), // Rule ID 16669 //
     /* 1186900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1186911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1186914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186939 */     // MIs[0] round
     /* 1186939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186949 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1186952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186974 */     // GIR_Coverage, 16669,
     /* 1186974 */     GIR_EraseRootFromParent_Done,
     /* 1186975 */   // Label 17255: @1186975
     /* 1186975 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1187055), // Rule ID 16670 //
     /* 1186980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1186991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1186994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187019 */     // MIs[0] round
     /* 1187019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187029 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1187032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187054 */     // GIR_Coverage, 16670,
     /* 1187054 */     GIR_EraseRootFromParent_Done,
     /* 1187055 */   // Label 17256: @1187055
     /* 1187055 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1187135), // Rule ID 16673 //
     /* 1187060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187099 */     // MIs[0] round
     /* 1187099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187134 */     // GIR_Coverage, 16673,
     /* 1187134 */     GIR_EraseRootFromParent_Done,
     /* 1187135 */   // Label 17257: @1187135
     /* 1187135 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1187215), // Rule ID 16674 //
     /* 1187140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187179 */     // MIs[0] round
     /* 1187179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187189 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187214 */     // GIR_Coverage, 16674,
     /* 1187214 */     GIR_EraseRootFromParent_Done,
     /* 1187215 */   // Label 17258: @1187215
     /* 1187215 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1187295), // Rule ID 16677 //
     /* 1187220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187259 */     // MIs[0] round
     /* 1187259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187269 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187294 */     // GIR_Coverage, 16677,
     /* 1187294 */     GIR_EraseRootFromParent_Done,
     /* 1187295 */   // Label 17259: @1187295
     /* 1187295 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1187375), // Rule ID 16678 //
     /* 1187300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187339 */     // MIs[0] round
     /* 1187339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187349 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187374 */     // GIR_Coverage, 16678,
     /* 1187374 */     GIR_EraseRootFromParent_Done,
     /* 1187375 */   // Label 17260: @1187375
     /* 1187375 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1187455), // Rule ID 16681 //
     /* 1187380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187419 */     // MIs[0] round
     /* 1187419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187429 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187454 */     // GIR_Coverage, 16681,
     /* 1187454 */     GIR_EraseRootFromParent_Done,
     /* 1187455 */   // Label 17261: @1187455
     /* 1187455 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1187535), // Rule ID 16682 //
     /* 1187460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187499 */     // MIs[0] round
     /* 1187499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187509 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187534 */     // GIR_Coverage, 16682,
     /* 1187534 */     GIR_EraseRootFromParent_Done,
     /* 1187535 */   // Label 17262: @1187535
     /* 1187535 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1187615), // Rule ID 16685 //
     /* 1187540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1187551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1187554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187579 */     // MIs[0] round
     /* 1187579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187589 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1187592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187614 */     // GIR_Coverage, 16685,
     /* 1187614 */     GIR_EraseRootFromParent_Done,
     /* 1187615 */   // Label 17263: @1187615
     /* 1187615 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187695), // Rule ID 16686 //
     /* 1187620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1187631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1187634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187659 */     // MIs[0] round
     /* 1187659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187669 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1187672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187694 */     // GIR_Coverage, 16686,
     /* 1187694 */     GIR_EraseRootFromParent_Done,
     /* 1187695 */   // Label 17264: @1187695
     /* 1187695 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187775), // Rule ID 16689 //
     /* 1187700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1187711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1187714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187739 */     // MIs[0] round
     /* 1187739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187749 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1187752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187774 */     // GIR_Coverage, 16689,
     /* 1187774 */     GIR_EraseRootFromParent_Done,
     /* 1187775 */   // Label 17265: @1187775
     /* 1187775 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187855), // Rule ID 16690 //
     /* 1187780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1187791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1187794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187819 */     // MIs[0] round
     /* 1187819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187829 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1187832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187854 */     // GIR_Coverage, 16690,
     /* 1187854 */     GIR_EraseRootFromParent_Done,
     /* 1187855 */   // Label 17266: @1187855
     /* 1187855 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1187935), // Rule ID 16693 //
     /* 1187860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187899 */     // MIs[0] round
     /* 1187899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187909 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1187912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187934 */     // GIR_Coverage, 16693,
     /* 1187934 */     GIR_EraseRootFromParent_Done,
     /* 1187935 */   // Label 17267: @1187935
     /* 1187935 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1188015), // Rule ID 16694 //
     /* 1187940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187979 */     // MIs[0] round
     /* 1187979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187989 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1187992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188014 */     // GIR_Coverage, 16694,
     /* 1188014 */     GIR_EraseRootFromParent_Done,
     /* 1188015 */   // Label 17268: @1188015
     /* 1188015 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1188095), // Rule ID 16697 //
     /* 1188020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188059 */     // MIs[0] round
     /* 1188059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188069 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188094 */     // GIR_Coverage, 16697,
     /* 1188094 */     GIR_EraseRootFromParent_Done,
     /* 1188095 */   // Label 17269: @1188095
     /* 1188095 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1188175), // Rule ID 16698 //
     /* 1188100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188139 */     // MIs[0] round
     /* 1188139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188149 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188174 */     // GIR_Coverage, 16698,
     /* 1188174 */     GIR_EraseRootFromParent_Done,
     /* 1188175 */   // Label 17270: @1188175
     /* 1188175 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1188255), // Rule ID 16701 //
     /* 1188180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188219 */     // MIs[0] round
     /* 1188219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188229 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188254 */     // GIR_Coverage, 16701,
     /* 1188254 */     GIR_EraseRootFromParent_Done,
     /* 1188255 */   // Label 17271: @1188255
     /* 1188255 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1188335), // Rule ID 16702 //
     /* 1188260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188299 */     // MIs[0] round
     /* 1188299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188309 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188334 */     // GIR_Coverage, 16702,
     /* 1188334 */     GIR_EraseRootFromParent_Done,
     /* 1188335 */   // Label 17272: @1188335
     /* 1188335 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1188415), // Rule ID 16705 //
     /* 1188340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188379 */     // MIs[0] round
     /* 1188379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188389 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188414 */     // GIR_Coverage, 16705,
     /* 1188414 */     GIR_EraseRootFromParent_Done,
     /* 1188415 */   // Label 17273: @1188415
     /* 1188415 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1188495), // Rule ID 16706 //
     /* 1188420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188459 */     // MIs[0] round
     /* 1188459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188469 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188494 */     // GIR_Coverage, 16706,
     /* 1188494 */     GIR_EraseRootFromParent_Done,
     /* 1188495 */   // Label 17274: @1188495
     /* 1188495 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1188575), // Rule ID 16709 //
     /* 1188500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188539 */     // MIs[0] round
     /* 1188539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188549 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1188552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188574 */     // GIR_Coverage, 16709,
     /* 1188574 */     GIR_EraseRootFromParent_Done,
     /* 1188575 */   // Label 17275: @1188575
     /* 1188575 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188655), // Rule ID 16710 //
     /* 1188580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188619 */     // MIs[0] round
     /* 1188619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1188632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188654 */     // GIR_Coverage, 16710,
     /* 1188654 */     GIR_EraseRootFromParent_Done,
     /* 1188655 */   // Label 17276: @1188655
     /* 1188655 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188735), // Rule ID 16713 //
     /* 1188660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188699 */     // MIs[0] round
     /* 1188699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188709 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1188712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188734 */     // GIR_Coverage, 16713,
     /* 1188734 */     GIR_EraseRootFromParent_Done,
     /* 1188735 */   // Label 17277: @1188735
     /* 1188735 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188815), // Rule ID 16714 //
     /* 1188740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188779 */     // MIs[0] round
     /* 1188779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188789 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1188792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188814 */     // GIR_Coverage, 16714,
     /* 1188814 */     GIR_EraseRootFromParent_Done,
     /* 1188815 */   // Label 17278: @1188815
     /* 1188815 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188895), // Rule ID 16717 //
     /* 1188820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188859 */     // MIs[0] round
     /* 1188859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188869 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1188872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188894 */     // GIR_Coverage, 16717,
     /* 1188894 */     GIR_EraseRootFromParent_Done,
     /* 1188895 */   // Label 17279: @1188895
     /* 1188895 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1188975), // Rule ID 16718 //
     /* 1188900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188939 */     // MIs[0] round
     /* 1188939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188949 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1188952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188974 */     // GIR_Coverage, 16718,
     /* 1188974 */     GIR_EraseRootFromParent_Done,
     /* 1188975 */   // Label 17280: @1188975
     /* 1188975 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1189055), // Rule ID 16721 //
     /* 1188980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1188991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1188994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1188997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189019 */     // MIs[0] round
     /* 1189019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189029 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1189032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189054 */     // GIR_Coverage, 16721,
     /* 1189054 */     GIR_EraseRootFromParent_Done,
     /* 1189055 */   // Label 17281: @1189055
     /* 1189055 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1189135), // Rule ID 16722 //
     /* 1189060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189099 */     // MIs[0] round
     /* 1189099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189109 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1189112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189134 */     // GIR_Coverage, 16722,
     /* 1189134 */     GIR_EraseRootFromParent_Done,
     /* 1189135 */   // Label 17282: @1189135
     /* 1189135 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1189215), // Rule ID 16725 //
     /* 1189140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189179 */     // MIs[0] round
     /* 1189179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189189 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189214 */     // GIR_Coverage, 16725,
     /* 1189214 */     GIR_EraseRootFromParent_Done,
     /* 1189215 */   // Label 17283: @1189215
     /* 1189215 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1189295), // Rule ID 16726 //
     /* 1189220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189259 */     // MIs[0] round
     /* 1189259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189269 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189294 */     // GIR_Coverage, 16726,
     /* 1189294 */     GIR_EraseRootFromParent_Done,
     /* 1189295 */   // Label 17284: @1189295
     /* 1189295 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1189375), // Rule ID 16729 //
     /* 1189300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189339 */     // MIs[0] round
     /* 1189339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189349 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189374 */     // GIR_Coverage, 16729,
     /* 1189374 */     GIR_EraseRootFromParent_Done,
     /* 1189375 */   // Label 17285: @1189375
     /* 1189375 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1189455), // Rule ID 16730 //
     /* 1189380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189419 */     // MIs[0] round
     /* 1189419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189454 */     // GIR_Coverage, 16730,
     /* 1189454 */     GIR_EraseRootFromParent_Done,
     /* 1189455 */   // Label 17286: @1189455
     /* 1189455 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1189535), // Rule ID 16733 //
     /* 1189460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189499 */     // MIs[0] round
     /* 1189499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189509 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189534 */     // GIR_Coverage, 16733,
     /* 1189534 */     GIR_EraseRootFromParent_Done,
     /* 1189535 */   // Label 17287: @1189535
     /* 1189535 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189615), // Rule ID 16734 //
     /* 1189540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189579 */     // MIs[0] round
     /* 1189579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189589 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189614 */     // GIR_Coverage, 16734,
     /* 1189614 */     GIR_EraseRootFromParent_Done,
     /* 1189615 */   // Label 17288: @1189615
     /* 1189615 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189695), // Rule ID 16737 //
     /* 1189620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189659 */     // MIs[0] round
     /* 1189659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189669 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1189672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189694 */     // GIR_Coverage, 16737,
     /* 1189694 */     GIR_EraseRootFromParent_Done,
     /* 1189695 */   // Label 17289: @1189695
     /* 1189695 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189775), // Rule ID 16738 //
     /* 1189700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189739 */     // MIs[0] round
     /* 1189739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189749 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1189752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189774 */     // GIR_Coverage, 16738,
     /* 1189774 */     GIR_EraseRootFromParent_Done,
     /* 1189775 */   // Label 17290: @1189775
     /* 1189775 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189855), // Rule ID 16741 //
     /* 1189780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189819 */     // MIs[0] round
     /* 1189819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189829 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1189832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189854 */     // GIR_Coverage, 16741,
     /* 1189854 */     GIR_EraseRootFromParent_Done,
     /* 1189855 */   // Label 17291: @1189855
     /* 1189855 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1189935), // Rule ID 16742 //
     /* 1189860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189899 */     // MIs[0] round
     /* 1189899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189909 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1189912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189934 */     // GIR_Coverage, 16742,
     /* 1189934 */     GIR_EraseRootFromParent_Done,
     /* 1189935 */   // Label 17292: @1189935
     /* 1189935 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1190015), // Rule ID 16745 //
     /* 1189940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1189951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1189954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1189960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189979 */     // MIs[0] round
     /* 1189979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189989 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1189992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190014 */     // GIR_Coverage, 16745,
     /* 1190014 */     GIR_EraseRootFromParent_Done,
     /* 1190015 */   // Label 17293: @1190015
     /* 1190015 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1190095), // Rule ID 16746 //
     /* 1190020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190059 */     // MIs[0] round
     /* 1190059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190069 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1190072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190094 */     // GIR_Coverage, 16746,
     /* 1190094 */     GIR_EraseRootFromParent_Done,
     /* 1190095 */   // Label 17294: @1190095
     /* 1190095 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1190175), // Rule ID 16749 //
     /* 1190100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190139 */     // MIs[0] round
     /* 1190139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190149 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190174 */     // GIR_Coverage, 16749,
     /* 1190174 */     GIR_EraseRootFromParent_Done,
     /* 1190175 */   // Label 17295: @1190175
     /* 1190175 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1190255), // Rule ID 16750 //
     /* 1190180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190219 */     // MIs[0] round
     /* 1190219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190229 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190254 */     // GIR_Coverage, 16750,
     /* 1190254 */     GIR_EraseRootFromParent_Done,
     /* 1190255 */   // Label 17296: @1190255
     /* 1190255 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1190335), // Rule ID 16753 //
     /* 1190260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190299 */     // MIs[0] round
     /* 1190299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190309 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190334 */     // GIR_Coverage, 16753,
     /* 1190334 */     GIR_EraseRootFromParent_Done,
     /* 1190335 */   // Label 17297: @1190335
     /* 1190335 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1190415), // Rule ID 16754 //
     /* 1190340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190379 */     // MIs[0] round
     /* 1190379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190389 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190414 */     // GIR_Coverage, 16754,
     /* 1190414 */     GIR_EraseRootFromParent_Done,
     /* 1190415 */   // Label 17298: @1190415
     /* 1190415 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1190495), // Rule ID 16757 //
     /* 1190420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190459 */     // MIs[0] round
     /* 1190459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190469 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190494 */     // GIR_Coverage, 16757,
     /* 1190494 */     GIR_EraseRootFromParent_Done,
     /* 1190495 */   // Label 17299: @1190495
     /* 1190495 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1190575), // Rule ID 16758 //
     /* 1190500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190539 */     // MIs[0] round
     /* 1190539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190549 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190574 */     // GIR_Coverage, 16758,
     /* 1190574 */     GIR_EraseRootFromParent_Done,
     /* 1190575 */   // Label 17300: @1190575
     /* 1190575 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190655), // Rule ID 16761 //
     /* 1190580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190619 */     // MIs[0] round
     /* 1190619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190629 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1190632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190654 */     // GIR_Coverage, 16761,
     /* 1190654 */     GIR_EraseRootFromParent_Done,
     /* 1190655 */   // Label 17301: @1190655
     /* 1190655 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190735), // Rule ID 16762 //
     /* 1190660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190699 */     // MIs[0] round
     /* 1190699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190709 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1190712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190734 */     // GIR_Coverage, 16762,
     /* 1190734 */     GIR_EraseRootFromParent_Done,
     /* 1190735 */   // Label 17302: @1190735
     /* 1190735 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190815), // Rule ID 16765 //
     /* 1190740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190779 */     // MIs[0] round
     /* 1190779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190789 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1190792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190814 */     // GIR_Coverage, 16765,
     /* 1190814 */     GIR_EraseRootFromParent_Done,
     /* 1190815 */   // Label 17303: @1190815
     /* 1190815 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190895), // Rule ID 16766 //
     /* 1190820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190859 */     // MIs[0] round
     /* 1190859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190869 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1190872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190894 */     // GIR_Coverage, 16766,
     /* 1190894 */     GIR_EraseRootFromParent_Done,
     /* 1190895 */   // Label 17304: @1190895
     /* 1190895 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1190975), // Rule ID 16769 //
     /* 1190900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190939 */     // MIs[0] round
     /* 1190939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1190952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190974 */     // GIR_Coverage, 16769,
     /* 1190974 */     GIR_EraseRootFromParent_Done,
     /* 1190975 */   // Label 17305: @1190975
     /* 1190975 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1191055), // Rule ID 16770 //
     /* 1190980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191019 */     // MIs[0] round
     /* 1191019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191029 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1191032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191054 */     // GIR_Coverage, 16770,
     /* 1191054 */     GIR_EraseRootFromParent_Done,
     /* 1191055 */   // Label 17306: @1191055
     /* 1191055 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1191135), // Rule ID 16773 //
     /* 1191060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191099 */     // MIs[0] round
     /* 1191099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191134 */     // GIR_Coverage, 16773,
     /* 1191134 */     GIR_EraseRootFromParent_Done,
     /* 1191135 */   // Label 17307: @1191135
     /* 1191135 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1191215), // Rule ID 16774 //
     /* 1191140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191179 */     // MIs[0] round
     /* 1191179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191189 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191214 */     // GIR_Coverage, 16774,
     /* 1191214 */     GIR_EraseRootFromParent_Done,
     /* 1191215 */   // Label 17308: @1191215
     /* 1191215 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1191295), // Rule ID 16777 //
     /* 1191220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191259 */     // MIs[0] round
     /* 1191259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191269 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191294 */     // GIR_Coverage, 16777,
     /* 1191294 */     GIR_EraseRootFromParent_Done,
     /* 1191295 */   // Label 17309: @1191295
     /* 1191295 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1191375), // Rule ID 16778 //
     /* 1191300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191339 */     // MIs[0] round
     /* 1191339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191349 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191374 */     // GIR_Coverage, 16778,
     /* 1191374 */     GIR_EraseRootFromParent_Done,
     /* 1191375 */   // Label 17310: @1191375
     /* 1191375 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1191455), // Rule ID 16781 //
     /* 1191380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191419 */     // MIs[0] round
     /* 1191419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191429 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191454 */     // GIR_Coverage, 16781,
     /* 1191454 */     GIR_EraseRootFromParent_Done,
     /* 1191455 */   // Label 17311: @1191455
     /* 1191455 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1191535), // Rule ID 16782 //
     /* 1191460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191499 */     // MIs[0] round
     /* 1191499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191509 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191534 */     // GIR_Coverage, 16782,
     /* 1191534 */     GIR_EraseRootFromParent_Done,
     /* 1191535 */   // Label 17312: @1191535
     /* 1191535 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191615), // Rule ID 16785 //
     /* 1191540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191579 */     // MIs[0] round
     /* 1191579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191589 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1191592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191614 */     // GIR_Coverage, 16785,
     /* 1191614 */     GIR_EraseRootFromParent_Done,
     /* 1191615 */   // Label 17313: @1191615
     /* 1191615 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191695), // Rule ID 16786 //
     /* 1191620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191659 */     // MIs[0] round
     /* 1191659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191669 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1191672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191694 */     // GIR_Coverage, 16786,
     /* 1191694 */     GIR_EraseRootFromParent_Done,
     /* 1191695 */   // Label 17314: @1191695
     /* 1191695 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191775), // Rule ID 16789 //
     /* 1191700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191739 */     // MIs[0] round
     /* 1191739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191749 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1191752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191774 */     // GIR_Coverage, 16789,
     /* 1191774 */     GIR_EraseRootFromParent_Done,
     /* 1191775 */   // Label 17315: @1191775
     /* 1191775 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191855), // Rule ID 16790 //
     /* 1191780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191819 */     // MIs[0] round
     /* 1191819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191829 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1191832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191854 */     // GIR_Coverage, 16790,
     /* 1191854 */     GIR_EraseRootFromParent_Done,
     /* 1191855 */   // Label 17316: @1191855
     /* 1191855 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1191935), // Rule ID 16793 //
     /* 1191860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191899 */     // MIs[0] round
     /* 1191899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191909 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1191912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191934 */     // GIR_Coverage, 16793,
     /* 1191934 */     GIR_EraseRootFromParent_Done,
     /* 1191935 */   // Label 17317: @1191935
     /* 1191935 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1192015), // Rule ID 16794 //
     /* 1191940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191979 */     // MIs[0] round
     /* 1191979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191989 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1191992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192014 */     // GIR_Coverage, 16794,
     /* 1192014 */     GIR_EraseRootFromParent_Done,
     /* 1192015 */   // Label 17318: @1192015
     /* 1192015 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1192095), // Rule ID 16797 //
     /* 1192020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192059 */     // MIs[0] round
     /* 1192059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192069 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192094 */     // GIR_Coverage, 16797,
     /* 1192094 */     GIR_EraseRootFromParent_Done,
     /* 1192095 */   // Label 17319: @1192095
     /* 1192095 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1192175), // Rule ID 16798 //
     /* 1192100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192139 */     // MIs[0] round
     /* 1192139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192149 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192174 */     // GIR_Coverage, 16798,
     /* 1192174 */     GIR_EraseRootFromParent_Done,
     /* 1192175 */   // Label 17320: @1192175
     /* 1192175 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1192255), // Rule ID 16801 //
     /* 1192180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192219 */     // MIs[0] round
     /* 1192219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192229 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192254 */     // GIR_Coverage, 16801,
     /* 1192254 */     GIR_EraseRootFromParent_Done,
     /* 1192255 */   // Label 17321: @1192255
     /* 1192255 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1192335), // Rule ID 16802 //
     /* 1192260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192299 */     // MIs[0] round
     /* 1192299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192309 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192334 */     // GIR_Coverage, 16802,
     /* 1192334 */     GIR_EraseRootFromParent_Done,
     /* 1192335 */   // Label 17322: @1192335
     /* 1192335 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1192415), // Rule ID 16805 //
     /* 1192340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192379 */     // MIs[0] round
     /* 1192379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192389 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192414 */     // GIR_Coverage, 16805,
     /* 1192414 */     GIR_EraseRootFromParent_Done,
     /* 1192415 */   // Label 17323: @1192415
     /* 1192415 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1192495), // Rule ID 16806 //
     /* 1192420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192459 */     // MIs[0] round
     /* 1192459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192469 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192494 */     // GIR_Coverage, 16806,
     /* 1192494 */     GIR_EraseRootFromParent_Done,
     /* 1192495 */   // Label 17324: @1192495
     /* 1192495 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1192575), // Rule ID 16809 //
     /* 1192500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192539 */     // MIs[0] round
     /* 1192539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192549 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1192552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192574 */     // GIR_Coverage, 16809,
     /* 1192574 */     GIR_EraseRootFromParent_Done,
     /* 1192575 */   // Label 17325: @1192575
     /* 1192575 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192655), // Rule ID 16810 //
     /* 1192580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192619 */     // MIs[0] round
     /* 1192619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192629 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1192632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192654 */     // GIR_Coverage, 16810,
     /* 1192654 */     GIR_EraseRootFromParent_Done,
     /* 1192655 */   // Label 17326: @1192655
     /* 1192655 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192735), // Rule ID 16813 //
     /* 1192660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192699 */     // MIs[0] round
     /* 1192699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192709 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1192712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192734 */     // GIR_Coverage, 16813,
     /* 1192734 */     GIR_EraseRootFromParent_Done,
     /* 1192735 */   // Label 17327: @1192735
     /* 1192735 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192815), // Rule ID 16814 //
     /* 1192740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192779 */     // MIs[0] round
     /* 1192779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192789 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1192792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192814 */     // GIR_Coverage, 16814,
     /* 1192814 */     GIR_EraseRootFromParent_Done,
     /* 1192815 */   // Label 17328: @1192815
     /* 1192815 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192895), // Rule ID 16817 //
     /* 1192820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192859 */     // MIs[0] round
     /* 1192859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192869 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1192872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192894 */     // GIR_Coverage, 16817,
     /* 1192894 */     GIR_EraseRootFromParent_Done,
     /* 1192895 */   // Label 17329: @1192895
     /* 1192895 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1192975), // Rule ID 16818 //
     /* 1192900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192939 */     // MIs[0] round
     /* 1192939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192949 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1192952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192974 */     // GIR_Coverage, 16818,
     /* 1192974 */     GIR_EraseRootFromParent_Done,
     /* 1192975 */   // Label 17330: @1192975
     /* 1192975 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1193055), // Rule ID 16821 //
     /* 1192980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193019 */     // MIs[0] round
     /* 1193019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193029 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1193032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193054 */     // GIR_Coverage, 16821,
     /* 1193054 */     GIR_EraseRootFromParent_Done,
     /* 1193055 */   // Label 17331: @1193055
     /* 1193055 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1193135), // Rule ID 16822 //
     /* 1193060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193099 */     // MIs[0] round
     /* 1193099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193109 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1193112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193134 */     // GIR_Coverage, 16822,
     /* 1193134 */     GIR_EraseRootFromParent_Done,
     /* 1193135 */   // Label 17332: @1193135
     /* 1193135 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1193215), // Rule ID 16825 //
     /* 1193140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193179 */     // MIs[0] round
     /* 1193179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193189 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193214 */     // GIR_Coverage, 16825,
     /* 1193214 */     GIR_EraseRootFromParent_Done,
     /* 1193215 */   // Label 17333: @1193215
     /* 1193215 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1193295), // Rule ID 16826 //
     /* 1193220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193259 */     // MIs[0] round
     /* 1193259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193269 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193294 */     // GIR_Coverage, 16826,
     /* 1193294 */     GIR_EraseRootFromParent_Done,
     /* 1193295 */   // Label 17334: @1193295
     /* 1193295 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1193375), // Rule ID 16829 //
     /* 1193300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193339 */     // MIs[0] round
     /* 1193339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193349 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193374 */     // GIR_Coverage, 16829,
     /* 1193374 */     GIR_EraseRootFromParent_Done,
     /* 1193375 */   // Label 17335: @1193375
     /* 1193375 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1193455), // Rule ID 16830 //
     /* 1193380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193419 */     // MIs[0] round
     /* 1193419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193429 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193454 */     // GIR_Coverage, 16830,
     /* 1193454 */     GIR_EraseRootFromParent_Done,
     /* 1193455 */   // Label 17336: @1193455
     /* 1193455 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1193535), // Rule ID 16833 //
     /* 1193460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193499 */     // MIs[0] round
     /* 1193499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193534 */     // GIR_Coverage, 16833,
     /* 1193534 */     GIR_EraseRootFromParent_Done,
     /* 1193535 */   // Label 17337: @1193535
     /* 1193535 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193615), // Rule ID 16834 //
     /* 1193540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193579 */     // MIs[0] round
     /* 1193579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193589 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193614 */     // GIR_Coverage, 16834,
     /* 1193614 */     GIR_EraseRootFromParent_Done,
     /* 1193615 */   // Label 17338: @1193615
     /* 1193615 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193695), // Rule ID 16837 //
     /* 1193620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193659 */     // MIs[0] round
     /* 1193659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193669 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1193672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193694 */     // GIR_Coverage, 16837,
     /* 1193694 */     GIR_EraseRootFromParent_Done,
     /* 1193695 */   // Label 17339: @1193695
     /* 1193695 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193775), // Rule ID 16838 //
     /* 1193700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193739 */     // MIs[0] round
     /* 1193739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193749 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1193752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193774 */     // GIR_Coverage, 16838,
     /* 1193774 */     GIR_EraseRootFromParent_Done,
     /* 1193775 */   // Label 17340: @1193775
     /* 1193775 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193855), // Rule ID 16841 //
     /* 1193780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193819 */     // MIs[0] round
     /* 1193819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193829 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1193832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193854 */     // GIR_Coverage, 16841,
     /* 1193854 */     GIR_EraseRootFromParent_Done,
     /* 1193855 */   // Label 17341: @1193855
     /* 1193855 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1193935), // Rule ID 16842 //
     /* 1193860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193899 */     // MIs[0] round
     /* 1193899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193909 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1193912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193934 */     // GIR_Coverage, 16842,
     /* 1193934 */     GIR_EraseRootFromParent_Done,
     /* 1193935 */   // Label 17342: @1193935
     /* 1193935 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1194015), // Rule ID 16845 //
     /* 1193940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193979 */     // MIs[0] round
     /* 1193979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193989 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1193992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194014 */     // GIR_Coverage, 16845,
     /* 1194014 */     GIR_EraseRootFromParent_Done,
     /* 1194015 */   // Label 17343: @1194015
     /* 1194015 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1194095), // Rule ID 16846 //
     /* 1194020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1194031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1194034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1194037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194059 */     // MIs[0] round
     /* 1194059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194069 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1194072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194094 */     // GIR_Coverage, 16846,
     /* 1194094 */     GIR_EraseRootFromParent_Done,
     /* 1194095 */   // Label 17344: @1194095
     /* 1194095 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1194175), // Rule ID 16849 //
     /* 1194100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194139 */     // MIs[0] round
     /* 1194139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194149 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194174 */     // GIR_Coverage, 16849,
     /* 1194174 */     GIR_EraseRootFromParent_Done,
     /* 1194175 */   // Label 17345: @1194175
     /* 1194175 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1194255), // Rule ID 16850 //
     /* 1194180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194219 */     // MIs[0] round
     /* 1194219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194229 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194254 */     // GIR_Coverage, 16850,
     /* 1194254 */     GIR_EraseRootFromParent_Done,
     /* 1194255 */   // Label 17346: @1194255
     /* 1194255 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1194335), // Rule ID 16853 //
     /* 1194260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194299 */     // MIs[0] round
     /* 1194299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194309 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194334 */     // GIR_Coverage, 16853,
     /* 1194334 */     GIR_EraseRootFromParent_Done,
     /* 1194335 */   // Label 17347: @1194335
     /* 1194335 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1194415), // Rule ID 16854 //
     /* 1194340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194379 */     // MIs[0] round
     /* 1194379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194389 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194414 */     // GIR_Coverage, 16854,
     /* 1194414 */     GIR_EraseRootFromParent_Done,
     /* 1194415 */   // Label 17348: @1194415
     /* 1194415 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1194495), // Rule ID 16857 //
     /* 1194420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194459 */     // MIs[0] round
     /* 1194459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194469 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194494 */     // GIR_Coverage, 16857,
     /* 1194494 */     GIR_EraseRootFromParent_Done,
     /* 1194495 */   // Label 17349: @1194495
     /* 1194495 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1194575), // Rule ID 16858 //
     /* 1194500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194539 */     // MIs[0] round
     /* 1194539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194549 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194574 */     // GIR_Coverage, 16858,
     /* 1194574 */     GIR_EraseRootFromParent_Done,
     /* 1194575 */   // Label 17350: @1194575
     /* 1194575 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194655), // Rule ID 16861 //
     /* 1194580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194619 */     // MIs[0] round
     /* 1194619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194629 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1194632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194654 */     // GIR_Coverage, 16861,
     /* 1194654 */     GIR_EraseRootFromParent_Done,
     /* 1194655 */   // Label 17351: @1194655
     /* 1194655 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194735), // Rule ID 16862 //
     /* 1194660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194699 */     // MIs[0] round
     /* 1194699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194709 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1194712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194734 */     // GIR_Coverage, 16862,
     /* 1194734 */     GIR_EraseRootFromParent_Done,
     /* 1194735 */   // Label 17352: @1194735
     /* 1194735 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194815), // Rule ID 16865 //
     /* 1194740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194779 */     // MIs[0] round
     /* 1194779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194789 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1194792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194814 */     // GIR_Coverage, 16865,
     /* 1194814 */     GIR_EraseRootFromParent_Done,
     /* 1194815 */   // Label 17353: @1194815
     /* 1194815 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194895), // Rule ID 16866 //
     /* 1194820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194859 */     // MIs[0] round
     /* 1194859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194869 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1194872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194894 */     // GIR_Coverage, 16866,
     /* 1194894 */     GIR_EraseRootFromParent_Done,
     /* 1194895 */   // Label 17354: @1194895
     /* 1194895 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1194975), // Rule ID 16869 //
     /* 1194900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194939 */     // MIs[0] round
     /* 1194939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194949 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1194952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194974 */     // GIR_Coverage, 16869,
     /* 1194974 */     GIR_EraseRootFromParent_Done,
     /* 1194975 */   // Label 17355: @1194975
     /* 1194975 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1195055), // Rule ID 16870 //
     /* 1194980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195019 */     // MIs[0] round
     /* 1195019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195029 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1195032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195054 */     // GIR_Coverage, 16870,
     /* 1195054 */     GIR_EraseRootFromParent_Done,
     /* 1195055 */   // Label 17356: @1195055
     /* 1195055 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1195135), // Rule ID 16873 //
     /* 1195060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195099 */     // MIs[0] round
     /* 1195099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195109 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195134 */     // GIR_Coverage, 16873,
     /* 1195134 */     GIR_EraseRootFromParent_Done,
     /* 1195135 */   // Label 17357: @1195135
     /* 1195135 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1195215), // Rule ID 16874 //
     /* 1195140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195179 */     // MIs[0] round
     /* 1195179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195189 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195214 */     // GIR_Coverage, 16874,
     /* 1195214 */     GIR_EraseRootFromParent_Done,
     /* 1195215 */   // Label 17358: @1195215
     /* 1195215 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1195295), // Rule ID 16877 //
     /* 1195220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195259 */     // MIs[0] round
     /* 1195259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195269 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195294 */     // GIR_Coverage, 16877,
     /* 1195294 */     GIR_EraseRootFromParent_Done,
     /* 1195295 */   // Label 17359: @1195295
     /* 1195295 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1195375), // Rule ID 16878 //
     /* 1195300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195339 */     // MIs[0] round
     /* 1195339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195349 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195374 */     // GIR_Coverage, 16878,
     /* 1195374 */     GIR_EraseRootFromParent_Done,
     /* 1195375 */   // Label 17360: @1195375
     /* 1195375 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1195455), // Rule ID 16881 //
     /* 1195380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195419 */     // MIs[0] round
     /* 1195419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195454 */     // GIR_Coverage, 16881,
     /* 1195454 */     GIR_EraseRootFromParent_Done,
     /* 1195455 */   // Label 17361: @1195455
     /* 1195455 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1195535), // Rule ID 16882 //
     /* 1195460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195499 */     // MIs[0] round
     /* 1195499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195509 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195534 */     // GIR_Coverage, 16882,
     /* 1195534 */     GIR_EraseRootFromParent_Done,
     /* 1195535 */   // Label 17362: @1195535
     /* 1195535 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195615), // Rule ID 16885 //
     /* 1195540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195579 */     // MIs[0] round
     /* 1195579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195589 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1195592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195614 */     // GIR_Coverage, 16885,
     /* 1195614 */     GIR_EraseRootFromParent_Done,
     /* 1195615 */   // Label 17363: @1195615
     /* 1195615 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195695), // Rule ID 16886 //
     /* 1195620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195659 */     // MIs[0] round
     /* 1195659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195669 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1195672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195694 */     // GIR_Coverage, 16886,
     /* 1195694 */     GIR_EraseRootFromParent_Done,
     /* 1195695 */   // Label 17364: @1195695
     /* 1195695 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195775), // Rule ID 16889 //
     /* 1195700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1195720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195739 */     // MIs[0] round
     /* 1195739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195749 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1195752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195774 */     // GIR_Coverage, 16889,
     /* 1195774 */     GIR_EraseRootFromParent_Done,
     /* 1195775 */   // Label 17365: @1195775
     /* 1195775 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195855), // Rule ID 16890 //
     /* 1195780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1195800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195819 */     // MIs[0] round
     /* 1195819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195829 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1195832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195854 */     // GIR_Coverage, 16890,
     /* 1195854 */     GIR_EraseRootFromParent_Done,
     /* 1195855 */   // Label 17366: @1195855
     /* 1195855 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1195935), // Rule ID 16893 //
     /* 1195860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1195880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195899 */     // MIs[0] round
     /* 1195899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1195912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195934 */     // GIR_Coverage, 16893,
     /* 1195934 */     GIR_EraseRootFromParent_Done,
     /* 1195935 */   // Label 17367: @1195935
     /* 1195935 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1196015), // Rule ID 16894 //
     /* 1195940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1195943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1195960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195979 */     // MIs[0] round
     /* 1195979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1195992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196014 */     // GIR_Coverage, 16894,
     /* 1196014 */     GIR_EraseRootFromParent_Done,
     /* 1196015 */   // Label 17368: @1196015
     /* 1196015 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1196095), // Rule ID 16897 //
     /* 1196020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1196040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196059 */     // MIs[0] round
     /* 1196059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196069 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196094 */     // GIR_Coverage, 16897,
     /* 1196094 */     GIR_EraseRootFromParent_Done,
     /* 1196095 */   // Label 17369: @1196095
     /* 1196095 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1196175), // Rule ID 16898 //
     /* 1196100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1196120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196139 */     // MIs[0] round
     /* 1196139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196149 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196174 */     // GIR_Coverage, 16898,
     /* 1196174 */     GIR_EraseRootFromParent_Done,
     /* 1196175 */   // Label 17370: @1196175
     /* 1196175 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1196255), // Rule ID 16901 //
     /* 1196180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196219 */     // MIs[0] round
     /* 1196219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196229 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196254 */     // GIR_Coverage, 16901,
     /* 1196254 */     GIR_EraseRootFromParent_Done,
     /* 1196255 */   // Label 17371: @1196255
     /* 1196255 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1196335), // Rule ID 16902 //
     /* 1196260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196299 */     // MIs[0] round
     /* 1196299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196309 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196334 */     // GIR_Coverage, 16902,
     /* 1196334 */     GIR_EraseRootFromParent_Done,
     /* 1196335 */   // Label 17372: @1196335
     /* 1196335 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1196415), // Rule ID 16905 //
     /* 1196340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196379 */     // MIs[0] round
     /* 1196379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196389 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196414 */     // GIR_Coverage, 16905,
     /* 1196414 */     GIR_EraseRootFromParent_Done,
     /* 1196415 */   // Label 17373: @1196415
     /* 1196415 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1196495), // Rule ID 16906 //
     /* 1196420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196459 */     // MIs[0] round
     /* 1196459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196469 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196494 */     // GIR_Coverage, 16906,
     /* 1196494 */     GIR_EraseRootFromParent_Done,
     /* 1196495 */   // Label 17374: @1196495
     /* 1196495 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1196575), // Rule ID 16909 //
     /* 1196500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196539 */     // MIs[0] round
     /* 1196539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196549 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1196552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196574 */     // GIR_Coverage, 16909,
     /* 1196574 */     GIR_EraseRootFromParent_Done,
     /* 1196575 */   // Label 17375: @1196575
     /* 1196575 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196655), // Rule ID 16910 //
     /* 1196580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196619 */     // MIs[0] round
     /* 1196619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196629 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1196632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196654 */     // GIR_Coverage, 16910,
     /* 1196654 */     GIR_EraseRootFromParent_Done,
     /* 1196655 */   // Label 17376: @1196655
     /* 1196655 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196735), // Rule ID 16913 //
     /* 1196660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1196677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196699 */     // MIs[0] round
     /* 1196699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1196712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196734 */     // GIR_Coverage, 16913,
     /* 1196734 */     GIR_EraseRootFromParent_Done,
     /* 1196735 */   // Label 17377: @1196735
     /* 1196735 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196815), // Rule ID 16914 //
     /* 1196740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1196757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196779 */     // MIs[0] round
     /* 1196779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1196792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196814 */     // GIR_Coverage, 16914,
     /* 1196814 */     GIR_EraseRootFromParent_Done,
     /* 1196815 */   // Label 17378: @1196815
     /* 1196815 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196895), // Rule ID 16917 //
     /* 1196820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1196837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196859 */     // MIs[0] round
     /* 1196859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196869 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1196872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196894 */     // GIR_Coverage, 16917,
     /* 1196894 */     GIR_EraseRootFromParent_Done,
     /* 1196895 */   // Label 17379: @1196895
     /* 1196895 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1196975), // Rule ID 16918 //
     /* 1196900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1196917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196939 */     // MIs[0] round
     /* 1196939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196949 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1196952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196974 */     // GIR_Coverage, 16918,
     /* 1196974 */     GIR_EraseRootFromParent_Done,
     /* 1196975 */   // Label 17380: @1196975
     /* 1196975 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1197055), // Rule ID 16921 //
     /* 1196980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197019 */     // MIs[0] round
     /* 1197019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197029 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1197032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197054 */     // GIR_Coverage, 16921,
     /* 1197054 */     GIR_EraseRootFromParent_Done,
     /* 1197055 */   // Label 17381: @1197055
     /* 1197055 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1197135), // Rule ID 16922 //
     /* 1197060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197099 */     // MIs[0] round
     /* 1197099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1197112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197134 */     // GIR_Coverage, 16922,
     /* 1197134 */     GIR_EraseRootFromParent_Done,
     /* 1197135 */   // Label 17382: @1197135
     /* 1197135 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1197215), // Rule ID 16925 //
     /* 1197140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197179 */     // MIs[0] round
     /* 1197179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197189 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197214 */     // GIR_Coverage, 16925,
     /* 1197214 */     GIR_EraseRootFromParent_Done,
     /* 1197215 */   // Label 17383: @1197215
     /* 1197215 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1197295), // Rule ID 16926 //
     /* 1197220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197259 */     // MIs[0] round
     /* 1197259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197269 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197294 */     // GIR_Coverage, 16926,
     /* 1197294 */     GIR_EraseRootFromParent_Done,
     /* 1197295 */   // Label 17384: @1197295
     /* 1197295 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1197375), // Rule ID 16929 //
     /* 1197300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197339 */     // MIs[0] round
     /* 1197339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197349 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197374 */     // GIR_Coverage, 16929,
     /* 1197374 */     GIR_EraseRootFromParent_Done,
     /* 1197375 */   // Label 17385: @1197375
     /* 1197375 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1197455), // Rule ID 16930 //
     /* 1197380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197419 */     // MIs[0] round
     /* 1197419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197429 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197454 */     // GIR_Coverage, 16930,
     /* 1197454 */     GIR_EraseRootFromParent_Done,
     /* 1197455 */   // Label 17386: @1197455
     /* 1197455 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1197535), // Rule ID 16933 //
     /* 1197460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197499 */     // MIs[0] round
     /* 1197499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197509 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197534 */     // GIR_Coverage, 16933,
     /* 1197534 */     GIR_EraseRootFromParent_Done,
     /* 1197535 */   // Label 17387: @1197535
     /* 1197535 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197615), // Rule ID 16934 //
     /* 1197540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197579 */     // MIs[0] round
     /* 1197579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197589 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197614 */     // GIR_Coverage, 16934,
     /* 1197614 */     GIR_EraseRootFromParent_Done,
     /* 1197615 */   // Label 17388: @1197615
     /* 1197615 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197695), // Rule ID 16937 //
     /* 1197620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197659 */     // MIs[0] round
     /* 1197659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197669 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1197672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197694 */     // GIR_Coverage, 16937,
     /* 1197694 */     GIR_EraseRootFromParent_Done,
     /* 1197695 */   // Label 17389: @1197695
     /* 1197695 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197775), // Rule ID 16938 //
     /* 1197700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197739 */     // MIs[0] round
     /* 1197739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197749 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1197752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197774 */     // GIR_Coverage, 16938,
     /* 1197774 */     GIR_EraseRootFromParent_Done,
     /* 1197775 */   // Label 17390: @1197775
     /* 1197775 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197855), // Rule ID 16941 //
     /* 1197780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1197797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197819 */     // MIs[0] round
     /* 1197819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197829 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1197832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197854 */     // GIR_Coverage, 16941,
     /* 1197854 */     GIR_EraseRootFromParent_Done,
     /* 1197855 */   // Label 17391: @1197855
     /* 1197855 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1197935), // Rule ID 16942 //
     /* 1197860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1197877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197899 */     // MIs[0] round
     /* 1197899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197909 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1197912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197934 */     // GIR_Coverage, 16942,
     /* 1197934 */     GIR_EraseRootFromParent_Done,
     /* 1197935 */   // Label 17392: @1197935
     /* 1197935 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1198015), // Rule ID 16945 //
     /* 1197940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1197960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197979 */     // MIs[0] round
     /* 1197979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197989 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1197992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198014 */     // GIR_Coverage, 16945,
     /* 1198014 */     GIR_EraseRootFromParent_Done,
     /* 1198015 */   // Label 17393: @1198015
     /* 1198015 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1198095), // Rule ID 16946 //
     /* 1198020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1198040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198059 */     // MIs[0] round
     /* 1198059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198069 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1198072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198094 */     // GIR_Coverage, 16946,
     /* 1198094 */     GIR_EraseRootFromParent_Done,
     /* 1198095 */   // Label 17394: @1198095
     /* 1198095 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1198175), // Rule ID 16949 //
     /* 1198100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198139 */     // MIs[0] round
     /* 1198139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198149 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198174 */     // GIR_Coverage, 16949,
     /* 1198174 */     GIR_EraseRootFromParent_Done,
     /* 1198175 */   // Label 17395: @1198175
     /* 1198175 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1198255), // Rule ID 16950 //
     /* 1198180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198219 */     // MIs[0] round
     /* 1198219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198254 */     // GIR_Coverage, 16950,
     /* 1198254 */     GIR_EraseRootFromParent_Done,
     /* 1198255 */   // Label 17396: @1198255
     /* 1198255 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1198335), // Rule ID 16953 //
     /* 1198260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198299 */     // MIs[0] round
     /* 1198299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198309 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198334 */     // GIR_Coverage, 16953,
     /* 1198334 */     GIR_EraseRootFromParent_Done,
     /* 1198335 */   // Label 17397: @1198335
     /* 1198335 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1198415), // Rule ID 16954 //
     /* 1198340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198379 */     // MIs[0] round
     /* 1198379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198389 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198414 */     // GIR_Coverage, 16954,
     /* 1198414 */     GIR_EraseRootFromParent_Done,
     /* 1198415 */   // Label 17398: @1198415
     /* 1198415 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1198495), // Rule ID 16957 //
     /* 1198420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198459 */     // MIs[0] round
     /* 1198459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198469 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198494 */     // GIR_Coverage, 16957,
     /* 1198494 */     GIR_EraseRootFromParent_Done,
     /* 1198495 */   // Label 17399: @1198495
     /* 1198495 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1198575), // Rule ID 16958 //
     /* 1198500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198539 */     // MIs[0] round
     /* 1198539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198549 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198574 */     // GIR_Coverage, 16958,
     /* 1198574 */     GIR_EraseRootFromParent_Done,
     /* 1198575 */   // Label 17400: @1198575
     /* 1198575 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198655), // Rule ID 16961 //
     /* 1198580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198619 */     // MIs[0] round
     /* 1198619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198629 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1198632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198654 */     // GIR_Coverage, 16961,
     /* 1198654 */     GIR_EraseRootFromParent_Done,
     /* 1198655 */   // Label 17401: @1198655
     /* 1198655 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198735), // Rule ID 16962 //
     /* 1198660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198699 */     // MIs[0] round
     /* 1198699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198709 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1198712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198734 */     // GIR_Coverage, 16962,
     /* 1198734 */     GIR_EraseRootFromParent_Done,
     /* 1198735 */   // Label 17402: @1198735
     /* 1198735 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198815), // Rule ID 16965 //
     /* 1198740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198779 */     // MIs[0] round
     /* 1198779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198789 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1198792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198814 */     // GIR_Coverage, 16965,
     /* 1198814 */     GIR_EraseRootFromParent_Done,
     /* 1198815 */   // Label 17403: @1198815
     /* 1198815 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198895), // Rule ID 16966 //
     /* 1198820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198859 */     // MIs[0] round
     /* 1198859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198869 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1198872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198894 */     // GIR_Coverage, 16966,
     /* 1198894 */     GIR_EraseRootFromParent_Done,
     /* 1198895 */   // Label 17404: @1198895
     /* 1198895 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1198975), // Rule ID 16969 //
     /* 1198900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1198911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1198914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1198920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198939 */     // MIs[0] round
     /* 1198939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198949 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1198952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198974 */     // GIR_Coverage, 16969,
     /* 1198974 */     GIR_EraseRootFromParent_Done,
     /* 1198975 */   // Label 17405: @1198975
     /* 1198975 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1199055), // Rule ID 16970 //
     /* 1198980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1198991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1198994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1199000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199019 */     // MIs[0] round
     /* 1199019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199029 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1199032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199054 */     // GIR_Coverage, 16970,
     /* 1199054 */     GIR_EraseRootFromParent_Done,
     /* 1199055 */   // Label 17406: @1199055
     /* 1199055 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1199135), // Rule ID 16973 //
     /* 1199060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199099 */     // MIs[0] round
     /* 1199099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199109 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199134 */     // GIR_Coverage, 16973,
     /* 1199134 */     GIR_EraseRootFromParent_Done,
     /* 1199135 */   // Label 17407: @1199135
     /* 1199135 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1199215), // Rule ID 16974 //
     /* 1199140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199179 */     // MIs[0] round
     /* 1199179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199189 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199214 */     // GIR_Coverage, 16974,
     /* 1199214 */     GIR_EraseRootFromParent_Done,
     /* 1199215 */   // Label 17408: @1199215
     /* 1199215 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1199295), // Rule ID 16977 //
     /* 1199220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199259 */     // MIs[0] round
     /* 1199259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199269 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199294 */     // GIR_Coverage, 16977,
     /* 1199294 */     GIR_EraseRootFromParent_Done,
     /* 1199295 */   // Label 17409: @1199295
     /* 1199295 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1199375), // Rule ID 16978 //
     /* 1199300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199339 */     // MIs[0] round
     /* 1199339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199349 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199374 */     // GIR_Coverage, 16978,
     /* 1199374 */     GIR_EraseRootFromParent_Done,
     /* 1199375 */   // Label 17410: @1199375
     /* 1199375 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1199455), // Rule ID 16981 //
     /* 1199380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199419 */     // MIs[0] round
     /* 1199419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199429 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199454 */     // GIR_Coverage, 16981,
     /* 1199454 */     GIR_EraseRootFromParent_Done,
     /* 1199455 */   // Label 17411: @1199455
     /* 1199455 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1199535), // Rule ID 16982 //
     /* 1199460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199499 */     // MIs[0] round
     /* 1199499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199509 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199534 */     // GIR_Coverage, 16982,
     /* 1199534 */     GIR_EraseRootFromParent_Done,
     /* 1199535 */   // Label 17412: @1199535
     /* 1199535 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199615), // Rule ID 16985 //
     /* 1199540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199579 */     // MIs[0] round
     /* 1199579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1199592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199614 */     // GIR_Coverage, 16985,
     /* 1199614 */     GIR_EraseRootFromParent_Done,
     /* 1199615 */   // Label 17413: @1199615
     /* 1199615 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199695), // Rule ID 16986 //
     /* 1199620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199659 */     // MIs[0] round
     /* 1199659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199669 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1199672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199694 */     // GIR_Coverage, 16986,
     /* 1199694 */     GIR_EraseRootFromParent_Done,
     /* 1199695 */   // Label 17414: @1199695
     /* 1199695 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199775), // Rule ID 16989 //
     /* 1199700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1199717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199739 */     // MIs[0] round
     /* 1199739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199749 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1199752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199774 */     // GIR_Coverage, 16989,
     /* 1199774 */     GIR_EraseRootFromParent_Done,
     /* 1199775 */   // Label 17415: @1199775
     /* 1199775 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199855), // Rule ID 16990 //
     /* 1199780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1199797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199819 */     // MIs[0] round
     /* 1199819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199829 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1199832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199854 */     // GIR_Coverage, 16990,
     /* 1199854 */     GIR_EraseRootFromParent_Done,
     /* 1199855 */   // Label 17416: @1199855
     /* 1199855 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1199935), // Rule ID 16993 //
     /* 1199860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1199877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199899 */     // MIs[0] round
     /* 1199899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199909 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1199912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199934 */     // GIR_Coverage, 16993,
     /* 1199934 */     GIR_EraseRootFromParent_Done,
     /* 1199935 */   // Label 17417: @1199935
     /* 1199935 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1200015), // Rule ID 16994 //
     /* 1199940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1199957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199979 */     // MIs[0] round
     /* 1199979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199989 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1199992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200014 */     // GIR_Coverage, 16994,
     /* 1200014 */     GIR_EraseRootFromParent_Done,
     /* 1200015 */   // Label 17418: @1200015
     /* 1200015 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1200095), // Rule ID 16997 //
     /* 1200020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200059 */     // MIs[0] round
     /* 1200059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200069 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200094 */     // GIR_Coverage, 16997,
     /* 1200094 */     GIR_EraseRootFromParent_Done,
     /* 1200095 */   // Label 17419: @1200095
     /* 1200095 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1200175), // Rule ID 16998 //
     /* 1200100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200139 */     // MIs[0] round
     /* 1200139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200149 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200174 */     // GIR_Coverage, 16998,
     /* 1200174 */     GIR_EraseRootFromParent_Done,
     /* 1200175 */   // Label 17420: @1200175
     /* 1200175 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1200255), // Rule ID 17001 //
     /* 1200180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200219 */     // MIs[0] round
     /* 1200219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200229 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200254 */     // GIR_Coverage, 17001,
     /* 1200254 */     GIR_EraseRootFromParent_Done,
     /* 1200255 */   // Label 17421: @1200255
     /* 1200255 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1200335), // Rule ID 17002 //
     /* 1200260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200299 */     // MIs[0] round
     /* 1200299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200309 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200334 */     // GIR_Coverage, 17002,
     /* 1200334 */     GIR_EraseRootFromParent_Done,
     /* 1200335 */   // Label 17422: @1200335
     /* 1200335 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1200415), // Rule ID 17005 //
     /* 1200340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200379 */     // MIs[0] round
     /* 1200379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200389 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200414 */     // GIR_Coverage, 17005,
     /* 1200414 */     GIR_EraseRootFromParent_Done,
     /* 1200415 */   // Label 17423: @1200415
     /* 1200415 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1200495), // Rule ID 17006 //
     /* 1200420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200459 */     // MIs[0] round
     /* 1200459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200469 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200494 */     // GIR_Coverage, 17006,
     /* 1200494 */     GIR_EraseRootFromParent_Done,
     /* 1200495 */   // Label 17424: @1200495
     /* 1200495 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1200575), // Rule ID 17009 //
     /* 1200500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200539 */     // MIs[0] round
     /* 1200539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200549 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1200552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200574 */     // GIR_Coverage, 17009,
     /* 1200574 */     GIR_EraseRootFromParent_Done,
     /* 1200575 */   // Label 17425: @1200575
     /* 1200575 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200655), // Rule ID 17010 //
     /* 1200580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200619 */     // MIs[0] round
     /* 1200619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200629 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1200632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200654 */     // GIR_Coverage, 17010,
     /* 1200654 */     GIR_EraseRootFromParent_Done,
     /* 1200655 */   // Label 17426: @1200655
     /* 1200655 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200735), // Rule ID 17013 //
     /* 1200660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200699 */     // MIs[0] round
     /* 1200699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1200712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200734 */     // GIR_Coverage, 17013,
     /* 1200734 */     GIR_EraseRootFromParent_Done,
     /* 1200735 */   // Label 17427: @1200735
     /* 1200735 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200815), // Rule ID 17014 //
     /* 1200740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200779 */     // MIs[0] round
     /* 1200779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200789 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1200792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200814 */     // GIR_Coverage, 17014,
     /* 1200814 */     GIR_EraseRootFromParent_Done,
     /* 1200815 */   // Label 17428: @1200815
     /* 1200815 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200895), // Rule ID 17019 //
     /* 1200820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200859 */     // MIs[0] round
     /* 1200859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1200872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200894 */     // GIR_Coverage, 17019,
     /* 1200894 */     GIR_EraseRootFromParent_Done,
     /* 1200895 */   // Label 17429: @1200895
     /* 1200895 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1200975), // Rule ID 17020 //
     /* 1200900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200939 */     // MIs[0] round
     /* 1200939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1200952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200974 */     // GIR_Coverage, 17020,
     /* 1200974 */     GIR_EraseRootFromParent_Done,
     /* 1200975 */   // Label 17430: @1200975
     /* 1200975 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1201055), // Rule ID 17029 //
     /* 1200980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201019 */     // MIs[0] round
     /* 1201019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201029 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1201032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201054 */     // GIR_Coverage, 17029,
     /* 1201054 */     GIR_EraseRootFromParent_Done,
     /* 1201055 */   // Label 17431: @1201055
     /* 1201055 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1201135), // Rule ID 17030 //
     /* 1201060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201099 */     // MIs[0] round
     /* 1201099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201109 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1201112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201134 */     // GIR_Coverage, 17030,
     /* 1201134 */     GIR_EraseRootFromParent_Done,
     /* 1201135 */   // Label 17432: @1201135
     /* 1201135 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1201215), // Rule ID 17039 //
     /* 1201140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201179 */     // MIs[0] round
     /* 1201179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201189 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201214 */     // GIR_Coverage, 17039,
     /* 1201214 */     GIR_EraseRootFromParent_Done,
     /* 1201215 */   // Label 17433: @1201215
     /* 1201215 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1201295), // Rule ID 17040 //
     /* 1201220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201259 */     // MIs[0] round
     /* 1201259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201269 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201294 */     // GIR_Coverage, 17040,
     /* 1201294 */     GIR_EraseRootFromParent_Done,
     /* 1201295 */   // Label 17434: @1201295
     /* 1201295 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1201375), // Rule ID 17049 //
     /* 1201300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201339 */     // MIs[0] round
     /* 1201339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201349 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201374 */     // GIR_Coverage, 17049,
     /* 1201374 */     GIR_EraseRootFromParent_Done,
     /* 1201375 */   // Label 17435: @1201375
     /* 1201375 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1201455), // Rule ID 17050 //
     /* 1201380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201419 */     // MIs[0] round
     /* 1201419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201429 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201454 */     // GIR_Coverage, 17050,
     /* 1201454 */     GIR_EraseRootFromParent_Done,
     /* 1201455 */   // Label 17436: @1201455
     /* 1201455 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1201535), // Rule ID 17059 //
     /* 1201460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201499 */     // MIs[0] round
     /* 1201499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201534 */     // GIR_Coverage, 17059,
     /* 1201534 */     GIR_EraseRootFromParent_Done,
     /* 1201535 */   // Label 17437: @1201535
     /* 1201535 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201615), // Rule ID 17060 //
     /* 1201540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201579 */     // MIs[0] round
     /* 1201579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201589 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201614 */     // GIR_Coverage, 17060,
     /* 1201614 */     GIR_EraseRootFromParent_Done,
     /* 1201615 */   // Label 17438: @1201615
     /* 1201615 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201695), // Rule ID 17069 //
     /* 1201620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201659 */     // MIs[0] round
     /* 1201659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201669 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1201672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201694 */     // GIR_Coverage, 17069,
     /* 1201694 */     GIR_EraseRootFromParent_Done,
     /* 1201695 */   // Label 17439: @1201695
     /* 1201695 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201775), // Rule ID 17070 //
     /* 1201700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201739 */     // MIs[0] round
     /* 1201739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201749 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1201752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201774 */     // GIR_Coverage, 17070,
     /* 1201774 */     GIR_EraseRootFromParent_Done,
     /* 1201775 */   // Label 17440: @1201775
     /* 1201775 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201855), // Rule ID 17079 //
     /* 1201780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201819 */     // MIs[0] round
     /* 1201819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201829 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1201832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201854 */     // GIR_Coverage, 17079,
     /* 1201854 */     GIR_EraseRootFromParent_Done,
     /* 1201855 */   // Label 17441: @1201855
     /* 1201855 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1201935), // Rule ID 17080 //
     /* 1201860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201899 */     // MIs[0] round
     /* 1201899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201909 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1201912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201934 */     // GIR_Coverage, 17080,
     /* 1201934 */     GIR_EraseRootFromParent_Done,
     /* 1201935 */   // Label 17442: @1201935
     /* 1201935 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1202015), // Rule ID 17089 //
     /* 1201940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201979 */     // MIs[0] round
     /* 1201979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201989 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1201992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202014 */     // GIR_Coverage, 17089,
     /* 1202014 */     GIR_EraseRootFromParent_Done,
     /* 1202015 */   // Label 17443: @1202015
     /* 1202015 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1202095), // Rule ID 17090 //
     /* 1202020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1202040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202059 */     // MIs[0] round
     /* 1202059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202069 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1202072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202094 */     // GIR_Coverage, 17090,
     /* 1202094 */     GIR_EraseRootFromParent_Done,
     /* 1202095 */   // Label 17444: @1202095
     /* 1202095 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1202175), // Rule ID 17097 //
     /* 1202100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202139 */     // MIs[0] round
     /* 1202139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202149 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202174 */     // GIR_Coverage, 17097,
     /* 1202174 */     GIR_EraseRootFromParent_Done,
     /* 1202175 */   // Label 17445: @1202175
     /* 1202175 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1202255), // Rule ID 17098 //
     /* 1202180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202219 */     // MIs[0] round
     /* 1202219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202229 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202254 */     // GIR_Coverage, 17098,
     /* 1202254 */     GIR_EraseRootFromParent_Done,
     /* 1202255 */   // Label 17446: @1202255
     /* 1202255 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1202335), // Rule ID 17101 //
     /* 1202260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202299 */     // MIs[0] round
     /* 1202299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202309 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202334 */     // GIR_Coverage, 17101,
     /* 1202334 */     GIR_EraseRootFromParent_Done,
     /* 1202335 */   // Label 17447: @1202335
     /* 1202335 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1202415), // Rule ID 17102 //
     /* 1202340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202379 */     // MIs[0] round
     /* 1202379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202389 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202414 */     // GIR_Coverage, 17102,
     /* 1202414 */     GIR_EraseRootFromParent_Done,
     /* 1202415 */   // Label 17448: @1202415
     /* 1202415 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1202495), // Rule ID 17105 //
     /* 1202420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202459 */     // MIs[0] round
     /* 1202459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202469 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202494 */     // GIR_Coverage, 17105,
     /* 1202494 */     GIR_EraseRootFromParent_Done,
     /* 1202495 */   // Label 17449: @1202495
     /* 1202495 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1202575), // Rule ID 17106 //
     /* 1202500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202539 */     // MIs[0] round
     /* 1202539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202549 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202574 */     // GIR_Coverage, 17106,
     /* 1202574 */     GIR_EraseRootFromParent_Done,
     /* 1202575 */   // Label 17450: @1202575
     /* 1202575 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202655), // Rule ID 17109 //
     /* 1202580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202619 */     // MIs[0] round
     /* 1202619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202629 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1202632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202654 */     // GIR_Coverage, 17109,
     /* 1202654 */     GIR_EraseRootFromParent_Done,
     /* 1202655 */   // Label 17451: @1202655
     /* 1202655 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202735), // Rule ID 17110 //
     /* 1202660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202699 */     // MIs[0] round
     /* 1202699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202709 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1202712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202734 */     // GIR_Coverage, 17110,
     /* 1202734 */     GIR_EraseRootFromParent_Done,
     /* 1202735 */   // Label 17452: @1202735
     /* 1202735 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202815), // Rule ID 17113 //
     /* 1202740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1202757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202779 */     // MIs[0] round
     /* 1202779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202789 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1202792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202814 */     // GIR_Coverage, 17113,
     /* 1202814 */     GIR_EraseRootFromParent_Done,
     /* 1202815 */   // Label 17453: @1202815
     /* 1202815 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202895), // Rule ID 17114 //
     /* 1202820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1202837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202859 */     // MIs[0] round
     /* 1202859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202869 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1202872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202894 */     // GIR_Coverage, 17114,
     /* 1202894 */     GIR_EraseRootFromParent_Done,
     /* 1202895 */   // Label 17454: @1202895
     /* 1202895 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1202975), // Rule ID 17117 //
     /* 1202900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202939 */     // MIs[0] round
     /* 1202939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202949 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1202952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202974 */     // GIR_Coverage, 17117,
     /* 1202974 */     GIR_EraseRootFromParent_Done,
     /* 1202975 */   // Label 17455: @1202975
     /* 1202975 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1203055), // Rule ID 17118 //
     /* 1202980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203019 */     // MIs[0] round
     /* 1203019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203029 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1203032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203054 */     // GIR_Coverage, 17118,
     /* 1203054 */     GIR_EraseRootFromParent_Done,
     /* 1203055 */   // Label 17456: @1203055
     /* 1203055 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1203135), // Rule ID 17121 //
     /* 1203060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203099 */     // MIs[0] round
     /* 1203099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203134 */     // GIR_Coverage, 17121,
     /* 1203134 */     GIR_EraseRootFromParent_Done,
     /* 1203135 */   // Label 17457: @1203135
     /* 1203135 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1203215), // Rule ID 17122 //
     /* 1203140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203179 */     // MIs[0] round
     /* 1203179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203189 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203214 */     // GIR_Coverage, 17122,
     /* 1203214 */     GIR_EraseRootFromParent_Done,
     /* 1203215 */   // Label 17458: @1203215
     /* 1203215 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1203295), // Rule ID 17125 //
     /* 1203220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203259 */     // MIs[0] round
     /* 1203259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203269 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203294 */     // GIR_Coverage, 17125,
     /* 1203294 */     GIR_EraseRootFromParent_Done,
     /* 1203295 */   // Label 17459: @1203295
     /* 1203295 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1203375), // Rule ID 17126 //
     /* 1203300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203339 */     // MIs[0] round
     /* 1203339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203349 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203374 */     // GIR_Coverage, 17126,
     /* 1203374 */     GIR_EraseRootFromParent_Done,
     /* 1203375 */   // Label 17460: @1203375
     /* 1203375 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1203455), // Rule ID 17129 //
     /* 1203380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203419 */     // MIs[0] round
     /* 1203419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203429 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203454 */     // GIR_Coverage, 17129,
     /* 1203454 */     GIR_EraseRootFromParent_Done,
     /* 1203455 */   // Label 17461: @1203455
     /* 1203455 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1203535), // Rule ID 17130 //
     /* 1203460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203499 */     // MIs[0] round
     /* 1203499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203509 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203534 */     // GIR_Coverage, 17130,
     /* 1203534 */     GIR_EraseRootFromParent_Done,
     /* 1203535 */   // Label 17462: @1203535
     /* 1203535 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203615), // Rule ID 17135 //
     /* 1203540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203579 */     // MIs[0] round
     /* 1203579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203589 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1203592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203614 */     // GIR_Coverage, 17135,
     /* 1203614 */     GIR_EraseRootFromParent_Done,
     /* 1203615 */   // Label 17463: @1203615
     /* 1203615 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203695), // Rule ID 17136 //
     /* 1203620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203659 */     // MIs[0] round
     /* 1203659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203669 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1203672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203694 */     // GIR_Coverage, 17136,
     /* 1203694 */     GIR_EraseRootFromParent_Done,
     /* 1203695 */   // Label 17464: @1203695
     /* 1203695 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203775), // Rule ID 17145 //
     /* 1203700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1203720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203739 */     // MIs[0] round
     /* 1203739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203749 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1203752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203774 */     // GIR_Coverage, 17145,
     /* 1203774 */     GIR_EraseRootFromParent_Done,
     /* 1203775 */   // Label 17465: @1203775
     /* 1203775 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203855), // Rule ID 17146 //
     /* 1203780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1203800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203819 */     // MIs[0] round
     /* 1203819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1203832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203854 */     // GIR_Coverage, 17146,
     /* 1203854 */     GIR_EraseRootFromParent_Done,
     /* 1203855 */   // Label 17466: @1203855
     /* 1203855 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1203935), // Rule ID 17155 //
     /* 1203860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203899 */     // MIs[0] round
     /* 1203899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203909 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1203912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203934 */     // GIR_Coverage, 17155,
     /* 1203934 */     GIR_EraseRootFromParent_Done,
     /* 1203935 */   // Label 17467: @1203935
     /* 1203935 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1204015), // Rule ID 17156 //
     /* 1203940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203979 */     // MIs[0] round
     /* 1203979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203989 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1203992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204014 */     // GIR_Coverage, 17156,
     /* 1204014 */     GIR_EraseRootFromParent_Done,
     /* 1204015 */   // Label 17468: @1204015
     /* 1204015 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1204095), // Rule ID 17165 //
     /* 1204020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204059 */     // MIs[0] round
     /* 1204059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204069 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204094 */     // GIR_Coverage, 17165,
     /* 1204094 */     GIR_EraseRootFromParent_Done,
     /* 1204095 */   // Label 17469: @1204095
     /* 1204095 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1204175), // Rule ID 17166 //
     /* 1204100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204139 */     // MIs[0] round
     /* 1204139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204149 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204174 */     // GIR_Coverage, 17166,
     /* 1204174 */     GIR_EraseRootFromParent_Done,
     /* 1204175 */   // Label 17470: @1204175
     /* 1204175 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1204255), // Rule ID 17175 //
     /* 1204180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204219 */     // MIs[0] round
     /* 1204219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204229 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204254 */     // GIR_Coverage, 17175,
     /* 1204254 */     GIR_EraseRootFromParent_Done,
     /* 1204255 */   // Label 17471: @1204255
     /* 1204255 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1204335), // Rule ID 17176 //
     /* 1204260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204299 */     // MIs[0] round
     /* 1204299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204309 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204334 */     // GIR_Coverage, 17176,
     /* 1204334 */     GIR_EraseRootFromParent_Done,
     /* 1204335 */   // Label 17472: @1204335
     /* 1204335 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1204415), // Rule ID 17185 //
     /* 1204340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204379 */     // MIs[0] round
     /* 1204379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204389 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204414 */     // GIR_Coverage, 17185,
     /* 1204414 */     GIR_EraseRootFromParent_Done,
     /* 1204415 */   // Label 17473: @1204415
     /* 1204415 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1204495), // Rule ID 17186 //
     /* 1204420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204459 */     // MIs[0] round
     /* 1204459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204469 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204494 */     // GIR_Coverage, 17186,
     /* 1204494 */     GIR_EraseRootFromParent_Done,
     /* 1204495 */   // Label 17474: @1204495
     /* 1204495 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1204575), // Rule ID 17195 //
     /* 1204500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204539 */     // MIs[0] round
     /* 1204539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204549 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1204552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204574 */     // GIR_Coverage, 17195,
     /* 1204574 */     GIR_EraseRootFromParent_Done,
     /* 1204575 */   // Label 17475: @1204575
     /* 1204575 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204655), // Rule ID 17196 //
     /* 1204580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204619 */     // MIs[0] round
     /* 1204619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204629 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1204632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204654 */     // GIR_Coverage, 17196,
     /* 1204654 */     GIR_EraseRootFromParent_Done,
     /* 1204655 */   // Label 17476: @1204655
     /* 1204655 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204735), // Rule ID 17205 //
     /* 1204660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1204680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204699 */     // MIs[0] round
     /* 1204699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204709 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1204712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204734 */     // GIR_Coverage, 17205,
     /* 1204734 */     GIR_EraseRootFromParent_Done,
     /* 1204735 */   // Label 17477: @1204735
     /* 1204735 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204815), // Rule ID 17206 //
     /* 1204740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1204760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204779 */     // MIs[0] round
     /* 1204779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204789 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1204792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204814 */     // GIR_Coverage, 17206,
     /* 1204814 */     GIR_EraseRootFromParent_Done,
     /* 1204815 */   // Label 17478: @1204815
     /* 1204815 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204895), // Rule ID 17215 //
     /* 1204820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1204840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204859 */     // MIs[0] round
     /* 1204859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204869 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1204872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204894 */     // GIR_Coverage, 17215,
     /* 1204894 */     GIR_EraseRootFromParent_Done,
     /* 1204895 */   // Label 17479: @1204895
     /* 1204895 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1204975), // Rule ID 17216 //
     /* 1204900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1204920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204939 */     // MIs[0] round
     /* 1204939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204949 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1204952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204974 */     // GIR_Coverage, 17216,
     /* 1204974 */     GIR_EraseRootFromParent_Done,
     /* 1204975 */   // Label 17480: @1204975
     /* 1204975 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1205055), // Rule ID 17223 //
     /* 1204980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205019 */     // MIs[0] round
     /* 1205019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205029 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1205032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205054 */     // GIR_Coverage, 17223,
     /* 1205054 */     GIR_EraseRootFromParent_Done,
     /* 1205055 */   // Label 17481: @1205055
     /* 1205055 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1205135), // Rule ID 17224 //
     /* 1205060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205099 */     // MIs[0] round
     /* 1205099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205109 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1205112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205134 */     // GIR_Coverage, 17224,
     /* 1205134 */     GIR_EraseRootFromParent_Done,
     /* 1205135 */   // Label 17482: @1205135
     /* 1205135 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1205215), // Rule ID 17227 //
     /* 1205140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205179 */     // MIs[0] round
     /* 1205179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205189 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205214 */     // GIR_Coverage, 17227,
     /* 1205214 */     GIR_EraseRootFromParent_Done,
     /* 1205215 */   // Label 17483: @1205215
     /* 1205215 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1205295), // Rule ID 17228 //
     /* 1205220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205259 */     // MIs[0] round
     /* 1205259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205269 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205294 */     // GIR_Coverage, 17228,
     /* 1205294 */     GIR_EraseRootFromParent_Done,
     /* 1205295 */   // Label 17484: @1205295
     /* 1205295 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1205375), // Rule ID 17231 //
     /* 1205300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205339 */     // MIs[0] round
     /* 1205339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205349 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205374 */     // GIR_Coverage, 17231,
     /* 1205374 */     GIR_EraseRootFromParent_Done,
     /* 1205375 */   // Label 17485: @1205375
     /* 1205375 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1205455), // Rule ID 17232 //
     /* 1205380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205419 */     // MIs[0] round
     /* 1205419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205454 */     // GIR_Coverage, 17232,
     /* 1205454 */     GIR_EraseRootFromParent_Done,
     /* 1205455 */   // Label 17486: @1205455
     /* 1205455 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1205535), // Rule ID 17235 //
     /* 1205460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205499 */     // MIs[0] round
     /* 1205499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205509 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205534 */     // GIR_Coverage, 17235,
     /* 1205534 */     GIR_EraseRootFromParent_Done,
     /* 1205535 */   // Label 17487: @1205535
     /* 1205535 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205615), // Rule ID 17236 //
     /* 1205540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205579 */     // MIs[0] round
     /* 1205579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205589 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205614 */     // GIR_Coverage, 17236,
     /* 1205614 */     GIR_EraseRootFromParent_Done,
     /* 1205615 */   // Label 17488: @1205615
     /* 1205615 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205695), // Rule ID 17239 //
     /* 1205620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205659 */     // MIs[0] round
     /* 1205659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205669 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1205672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205694 */     // GIR_Coverage, 17239,
     /* 1205694 */     GIR_EraseRootFromParent_Done,
     /* 1205695 */   // Label 17489: @1205695
     /* 1205695 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205775), // Rule ID 17240 //
     /* 1205700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205739 */     // MIs[0] round
     /* 1205739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205749 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1205752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205774 */     // GIR_Coverage, 17240,
     /* 1205774 */     GIR_EraseRootFromParent_Done,
     /* 1205775 */   // Label 17490: @1205775
     /* 1205775 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205855), // Rule ID 17243 //
     /* 1205780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1205797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205819 */     // MIs[0] round
     /* 1205819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205829 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1205832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205854 */     // GIR_Coverage, 17243,
     /* 1205854 */     GIR_EraseRootFromParent_Done,
     /* 1205855 */   // Label 17491: @1205855
     /* 1205855 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1205935), // Rule ID 17244 //
     /* 1205860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1205877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205899 */     // MIs[0] round
     /* 1205899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1205912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205934 */     // GIR_Coverage, 17244,
     /* 1205934 */     GIR_EraseRootFromParent_Done,
     /* 1205935 */   // Label 17492: @1205935
     /* 1205935 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1206015), // Rule ID 17247 //
     /* 1205940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1205957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205979 */     // MIs[0] round
     /* 1205979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205989 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1205992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206014 */     // GIR_Coverage, 17247,
     /* 1206014 */     GIR_EraseRootFromParent_Done,
     /* 1206015 */   // Label 17493: @1206015
     /* 1206015 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1206095), // Rule ID 17248 //
     /* 1206020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206059 */     // MIs[0] round
     /* 1206059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206069 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1206072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206094 */     // GIR_Coverage, 17248,
     /* 1206094 */     GIR_EraseRootFromParent_Done,
     /* 1206095 */   // Label 17494: @1206095
     /* 1206095 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1206175), // Rule ID 17251 //
     /* 1206100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206139 */     // MIs[0] round
     /* 1206139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206149 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206174 */     // GIR_Coverage, 17251,
     /* 1206174 */     GIR_EraseRootFromParent_Done,
     /* 1206175 */   // Label 17495: @1206175
     /* 1206175 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1206255), // Rule ID 17252 //
     /* 1206180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206219 */     // MIs[0] round
     /* 1206219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206229 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206254 */     // GIR_Coverage, 17252,
     /* 1206254 */     GIR_EraseRootFromParent_Done,
     /* 1206255 */   // Label 17496: @1206255
     /* 1206255 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1206335), // Rule ID 17255 //
     /* 1206260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206299 */     // MIs[0] round
     /* 1206299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206309 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206334 */     // GIR_Coverage, 17255,
     /* 1206334 */     GIR_EraseRootFromParent_Done,
     /* 1206335 */   // Label 17497: @1206335
     /* 1206335 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1206415), // Rule ID 17256 //
     /* 1206340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206379 */     // MIs[0] round
     /* 1206379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206389 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206414 */     // GIR_Coverage, 17256,
     /* 1206414 */     GIR_EraseRootFromParent_Done,
     /* 1206415 */   // Label 17498: @1206415
     /* 1206415 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1206495), // Rule ID 17259 //
     /* 1206420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206459 */     // MIs[0] round
     /* 1206459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206469 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206494 */     // GIR_Coverage, 17259,
     /* 1206494 */     GIR_EraseRootFromParent_Done,
     /* 1206495 */   // Label 17499: @1206495
     /* 1206495 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1206575), // Rule ID 17260 //
     /* 1206500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206539 */     // MIs[0] round
     /* 1206539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206549 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206574 */     // GIR_Coverage, 17260,
     /* 1206574 */     GIR_EraseRootFromParent_Done,
     /* 1206575 */   // Label 17500: @1206575
     /* 1206575 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206655), // Rule ID 17263 //
     /* 1206580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1206591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1206594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206619 */     // MIs[0] round
     /* 1206619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206629 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1206632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206654 */     // GIR_Coverage, 17263,
     /* 1206654 */     GIR_EraseRootFromParent_Done,
     /* 1206655 */   // Label 17501: @1206655
     /* 1206655 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206735), // Rule ID 17264 //
     /* 1206660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1206671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1206674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206699 */     // MIs[0] round
     /* 1206699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206709 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1206712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206734 */     // GIR_Coverage, 17264,
     /* 1206734 */     GIR_EraseRootFromParent_Done,
     /* 1206735 */   // Label 17502: @1206735
     /* 1206735 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206815), // Rule ID 17267 //
     /* 1206740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1206743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206779 */     // MIs[0] round
     /* 1206779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206789 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1206792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206814 */     // GIR_Coverage, 17267,
     /* 1206814 */     GIR_EraseRootFromParent_Done,
     /* 1206815 */   // Label 17503: @1206815
     /* 1206815 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206895), // Rule ID 17268 //
     /* 1206820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1206823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206859 */     // MIs[0] round
     /* 1206859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206869 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1206872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206894 */     // GIR_Coverage, 17268,
     /* 1206894 */     GIR_EraseRootFromParent_Done,
     /* 1206895 */   // Label 17504: @1206895
     /* 1206895 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1206975), // Rule ID 17271 //
     /* 1206900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1206911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1206914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1206917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1206920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206939 */     // MIs[0] round
     /* 1206939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206949 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1206952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206974 */     // GIR_Coverage, 17271,
     /* 1206974 */     GIR_EraseRootFromParent_Done,
     /* 1206975 */   // Label 17505: @1206975
     /* 1206975 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1207055), // Rule ID 17272 //
     /* 1206980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1206991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1206994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1206997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207019 */     // MIs[0] round
     /* 1207019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207029 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1207032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207054 */     // GIR_Coverage, 17272,
     /* 1207054 */     GIR_EraseRootFromParent_Done,
     /* 1207055 */   // Label 17506: @1207055
     /* 1207055 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1207135), // Rule ID 17275 //
     /* 1207060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207099 */     // MIs[0] round
     /* 1207099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207134 */     // GIR_Coverage, 17275,
     /* 1207134 */     GIR_EraseRootFromParent_Done,
     /* 1207135 */   // Label 17507: @1207135
     /* 1207135 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1207215), // Rule ID 17276 //
     /* 1207140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207179 */     // MIs[0] round
     /* 1207179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207189 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207214 */     // GIR_Coverage, 17276,
     /* 1207214 */     GIR_EraseRootFromParent_Done,
     /* 1207215 */   // Label 17508: @1207215
     /* 1207215 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1207295), // Rule ID 17279 //
     /* 1207220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207259 */     // MIs[0] round
     /* 1207259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207269 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207294 */     // GIR_Coverage, 17279,
     /* 1207294 */     GIR_EraseRootFromParent_Done,
     /* 1207295 */   // Label 17509: @1207295
     /* 1207295 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1207375), // Rule ID 17280 //
     /* 1207300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207339 */     // MIs[0] round
     /* 1207339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207349 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207374 */     // GIR_Coverage, 17280,
     /* 1207374 */     GIR_EraseRootFromParent_Done,
     /* 1207375 */   // Label 17510: @1207375
     /* 1207375 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1207455), // Rule ID 17283 //
     /* 1207380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207419 */     // MIs[0] round
     /* 1207419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207429 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207454 */     // GIR_Coverage, 17283,
     /* 1207454 */     GIR_EraseRootFromParent_Done,
     /* 1207455 */   // Label 17511: @1207455
     /* 1207455 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1207535), // Rule ID 17284 //
     /* 1207460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207499 */     // MIs[0] round
     /* 1207499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207509 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207534 */     // GIR_Coverage, 17284,
     /* 1207534 */     GIR_EraseRootFromParent_Done,
     /* 1207535 */   // Label 17512: @1207535
     /* 1207535 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207615), // Rule ID 17287 //
     /* 1207540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1207551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1207554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207579 */     // MIs[0] round
     /* 1207579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207589 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1207592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207614 */     // GIR_Coverage, 17287,
     /* 1207614 */     GIR_EraseRootFromParent_Done,
     /* 1207615 */   // Label 17513: @1207615
     /* 1207615 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207695), // Rule ID 17288 //
     /* 1207620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1207631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1207634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207659 */     // MIs[0] round
     /* 1207659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207669 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1207672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207694 */     // GIR_Coverage, 17288,
     /* 1207694 */     GIR_EraseRootFromParent_Done,
     /* 1207695 */   // Label 17514: @1207695
     /* 1207695 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207775), // Rule ID 17291 //
     /* 1207700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1207711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1207714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1207717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1207720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207739 */     // MIs[0] round
     /* 1207739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207749 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1207752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207774 */     // GIR_Coverage, 17291,
     /* 1207774 */     GIR_EraseRootFromParent_Done,
     /* 1207775 */   // Label 17515: @1207775
     /* 1207775 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207855), // Rule ID 17292 //
     /* 1207780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1207791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1207794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1207797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1207800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207819 */     // MIs[0] round
     /* 1207819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207829 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1207832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207854 */     // GIR_Coverage, 17292,
     /* 1207854 */     GIR_EraseRootFromParent_Done,
     /* 1207855 */   // Label 17516: @1207855
     /* 1207855 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1207935), // Rule ID 17295 //
     /* 1207860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207899 */     // MIs[0] round
     /* 1207899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207909 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1207912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207934 */     // GIR_Coverage, 17295,
     /* 1207934 */     GIR_EraseRootFromParent_Done,
     /* 1207935 */   // Label 17517: @1207935
     /* 1207935 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1208015), // Rule ID 17296 //
     /* 1207940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207979 */     // MIs[0] round
     /* 1207979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207989 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1207992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208014 */     // GIR_Coverage, 17296,
     /* 1208014 */     GIR_EraseRootFromParent_Done,
     /* 1208015 */   // Label 17518: @1208015
     /* 1208015 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1208095), // Rule ID 17299 //
     /* 1208020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208059 */     // MIs[0] round
     /* 1208059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208069 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208094 */     // GIR_Coverage, 17299,
     /* 1208094 */     GIR_EraseRootFromParent_Done,
     /* 1208095 */   // Label 17519: @1208095
     /* 1208095 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1208175), // Rule ID 17300 //
     /* 1208100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208139 */     // MIs[0] round
     /* 1208139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208149 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208174 */     // GIR_Coverage, 17300,
     /* 1208174 */     GIR_EraseRootFromParent_Done,
     /* 1208175 */   // Label 17520: @1208175
     /* 1208175 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1208255), // Rule ID 17303 //
     /* 1208180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208219 */     // MIs[0] round
     /* 1208219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208229 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208254 */     // GIR_Coverage, 17303,
     /* 1208254 */     GIR_EraseRootFromParent_Done,
     /* 1208255 */   // Label 17521: @1208255
     /* 1208255 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1208335), // Rule ID 17304 //
     /* 1208260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208299 */     // MIs[0] round
     /* 1208299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208309 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208334 */     // GIR_Coverage, 17304,
     /* 1208334 */     GIR_EraseRootFromParent_Done,
     /* 1208335 */   // Label 17522: @1208335
     /* 1208335 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1208415), // Rule ID 17307 //
     /* 1208340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208379 */     // MIs[0] round
     /* 1208379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208389 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208414 */     // GIR_Coverage, 17307,
     /* 1208414 */     GIR_EraseRootFromParent_Done,
     /* 1208415 */   // Label 17523: @1208415
     /* 1208415 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1208495), // Rule ID 17308 //
     /* 1208420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208459 */     // MIs[0] round
     /* 1208459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208469 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208494 */     // GIR_Coverage, 17308,
     /* 1208494 */     GIR_EraseRootFromParent_Done,
     /* 1208495 */   // Label 17524: @1208495
     /* 1208495 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1208575), // Rule ID 17311 //
     /* 1208500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208539 */     // MIs[0] round
     /* 1208539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208549 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1208552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208574 */     // GIR_Coverage, 17311,
     /* 1208574 */     GIR_EraseRootFromParent_Done,
     /* 1208575 */   // Label 17525: @1208575
     /* 1208575 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208655), // Rule ID 17312 //
     /* 1208580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208619 */     // MIs[0] round
     /* 1208619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208629 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1208632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208654 */     // GIR_Coverage, 17312,
     /* 1208654 */     GIR_EraseRootFromParent_Done,
     /* 1208655 */   // Label 17526: @1208655
     /* 1208655 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208735), // Rule ID 17315 //
     /* 1208660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1208680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208699 */     // MIs[0] round
     /* 1208699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1208712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208734 */     // GIR_Coverage, 17315,
     /* 1208734 */     GIR_EraseRootFromParent_Done,
     /* 1208735 */   // Label 17527: @1208735
     /* 1208735 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208815), // Rule ID 17316 //
     /* 1208740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1208760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208779 */     // MIs[0] round
     /* 1208779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208789 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1208792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208814 */     // GIR_Coverage, 17316,
     /* 1208814 */     GIR_EraseRootFromParent_Done,
     /* 1208815 */   // Label 17528: @1208815
     /* 1208815 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208895), // Rule ID 17319 //
     /* 1208820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1208831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1208834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208859 */     // MIs[0] round
     /* 1208859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208869 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1208872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208894 */     // GIR_Coverage, 17319,
     /* 1208894 */     GIR_EraseRootFromParent_Done,
     /* 1208895 */   // Label 17529: @1208895
     /* 1208895 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1208975), // Rule ID 17320 //
     /* 1208900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1208911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1208914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208939 */     // MIs[0] round
     /* 1208939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208949 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1208952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208974 */     // GIR_Coverage, 17320,
     /* 1208974 */     GIR_EraseRootFromParent_Done,
     /* 1208975 */   // Label 17530: @1208975
     /* 1208975 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1209055), // Rule ID 17323 //
     /* 1208980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1208991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1208994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1208997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209019 */     // MIs[0] round
     /* 1209019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209029 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1209032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209054 */     // GIR_Coverage, 17323,
     /* 1209054 */     GIR_EraseRootFromParent_Done,
     /* 1209055 */   // Label 17531: @1209055
     /* 1209055 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1209135), // Rule ID 17324 //
     /* 1209060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1209071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1209074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1209077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209099 */     // MIs[0] round
     /* 1209099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209109 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1209112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209134 */     // GIR_Coverage, 17324,
     /* 1209134 */     GIR_EraseRootFromParent_Done,
     /* 1209135 */   // Label 17532: @1209135
     /* 1209135 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1209215), // Rule ID 17327 //
     /* 1209140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209179 */     // MIs[0] round
     /* 1209179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209189 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209214 */     // GIR_Coverage, 17327,
     /* 1209214 */     GIR_EraseRootFromParent_Done,
     /* 1209215 */   // Label 17533: @1209215
     /* 1209215 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1209295), // Rule ID 17328 //
     /* 1209220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209259 */     // MIs[0] round
     /* 1209259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209269 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209294 */     // GIR_Coverage, 17328,
     /* 1209294 */     GIR_EraseRootFromParent_Done,
     /* 1209295 */   // Label 17534: @1209295
     /* 1209295 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1209375), // Rule ID 17331 //
     /* 1209300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209339 */     // MIs[0] round
     /* 1209339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209349 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209374 */     // GIR_Coverage, 17331,
     /* 1209374 */     GIR_EraseRootFromParent_Done,
     /* 1209375 */   // Label 17535: @1209375
     /* 1209375 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1209455), // Rule ID 17332 //
     /* 1209380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209419 */     // MIs[0] round
     /* 1209419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209429 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209454 */     // GIR_Coverage, 17332,
     /* 1209454 */     GIR_EraseRootFromParent_Done,
     /* 1209455 */   // Label 17536: @1209455
     /* 1209455 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1209535), // Rule ID 17335 //
     /* 1209460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209499 */     // MIs[0] round
     /* 1209499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209509 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209534 */     // GIR_Coverage, 17335,
     /* 1209534 */     GIR_EraseRootFromParent_Done,
     /* 1209535 */   // Label 17537: @1209535
     /* 1209535 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209615), // Rule ID 17336 //
     /* 1209540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209579 */     // MIs[0] round
     /* 1209579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209614 */     // GIR_Coverage, 17336,
     /* 1209614 */     GIR_EraseRootFromParent_Done,
     /* 1209615 */   // Label 17538: @1209615
     /* 1209615 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209695), // Rule ID 17339 //
     /* 1209620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209659 */     // MIs[0] round
     /* 1209659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1209672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209694 */     // GIR_Coverage, 17339,
     /* 1209694 */     GIR_EraseRootFromParent_Done,
     /* 1209695 */   // Label 17539: @1209695
     /* 1209695 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209775), // Rule ID 17340 //
     /* 1209700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209739 */     // MIs[0] round
     /* 1209739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209749 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1209752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209774 */     // GIR_Coverage, 17340,
     /* 1209774 */     GIR_EraseRootFromParent_Done,
     /* 1209775 */   // Label 17540: @1209775
     /* 1209775 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209855), // Rule ID 17343 //
     /* 1209780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1209791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1209794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1209797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209819 */     // MIs[0] round
     /* 1209819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209829 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1209832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209854 */     // GIR_Coverage, 17343,
     /* 1209854 */     GIR_EraseRootFromParent_Done,
     /* 1209855 */   // Label 17541: @1209855
     /* 1209855 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1209935), // Rule ID 17344 //
     /* 1209860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1209871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1209874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1209877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209899 */     // MIs[0] round
     /* 1209899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209909 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1209912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209934 */     // GIR_Coverage, 17344,
     /* 1209934 */     GIR_EraseRootFromParent_Done,
     /* 1209935 */   // Label 17542: @1209935
     /* 1209935 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1210015), // Rule ID 17347 //
     /* 1209940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1209951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1209954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1209957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209979 */     // MIs[0] round
     /* 1209979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209989 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1209992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210014 */     // GIR_Coverage, 17347,
     /* 1210014 */     GIR_EraseRootFromParent_Done,
     /* 1210015 */   // Label 17543: @1210015
     /* 1210015 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1210095), // Rule ID 17348 //
     /* 1210020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1210031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1210034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1210037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210059 */     // MIs[0] round
     /* 1210059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210069 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1210072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210094 */     // GIR_Coverage, 17348,
     /* 1210094 */     GIR_EraseRootFromParent_Done,
     /* 1210095 */   // Label 17544: @1210095
     /* 1210095 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1210175), // Rule ID 17351 //
     /* 1210100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210139 */     // MIs[0] round
     /* 1210139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210149 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210174 */     // GIR_Coverage, 17351,
     /* 1210174 */     GIR_EraseRootFromParent_Done,
     /* 1210175 */   // Label 17545: @1210175
     /* 1210175 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1210255), // Rule ID 17352 //
     /* 1210180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210219 */     // MIs[0] round
     /* 1210219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210229 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210254 */     // GIR_Coverage, 17352,
     /* 1210254 */     GIR_EraseRootFromParent_Done,
     /* 1210255 */   // Label 17546: @1210255
     /* 1210255 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1210335), // Rule ID 17355 //
     /* 1210260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210299 */     // MIs[0] round
     /* 1210299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210309 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210334 */     // GIR_Coverage, 17355,
     /* 1210334 */     GIR_EraseRootFromParent_Done,
     /* 1210335 */   // Label 17547: @1210335
     /* 1210335 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1210415), // Rule ID 17356 //
     /* 1210340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210379 */     // MIs[0] round
     /* 1210379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210389 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210414 */     // GIR_Coverage, 17356,
     /* 1210414 */     GIR_EraseRootFromParent_Done,
     /* 1210415 */   // Label 17548: @1210415
     /* 1210415 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1210495), // Rule ID 17359 //
     /* 1210420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210459 */     // MIs[0] round
     /* 1210459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210469 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210494 */     // GIR_Coverage, 17359,
     /* 1210494 */     GIR_EraseRootFromParent_Done,
     /* 1210495 */   // Label 17549: @1210495
     /* 1210495 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1210575), // Rule ID 17360 //
     /* 1210500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210539 */     // MIs[0] round
     /* 1210539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210549 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210574 */     // GIR_Coverage, 17360,
     /* 1210574 */     GIR_EraseRootFromParent_Done,
     /* 1210575 */   // Label 17550: @1210575
     /* 1210575 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210655), // Rule ID 17363 //
     /* 1210580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210619 */     // MIs[0] round
     /* 1210619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210629 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1210632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210654 */     // GIR_Coverage, 17363,
     /* 1210654 */     GIR_EraseRootFromParent_Done,
     /* 1210655 */   // Label 17551: @1210655
     /* 1210655 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210735), // Rule ID 17364 //
     /* 1210660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210699 */     // MIs[0] round
     /* 1210699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210709 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1210712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210734 */     // GIR_Coverage, 17364,
     /* 1210734 */     GIR_EraseRootFromParent_Done,
     /* 1210735 */   // Label 17552: @1210735
     /* 1210735 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210815), // Rule ID 17367 //
     /* 1210740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210779 */     // MIs[0] round
     /* 1210779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1210792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210814 */     // GIR_Coverage, 17367,
     /* 1210814 */     GIR_EraseRootFromParent_Done,
     /* 1210815 */   // Label 17553: @1210815
     /* 1210815 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210895), // Rule ID 17368 //
     /* 1210820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210859 */     // MIs[0] round
     /* 1210859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210869 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1210872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210894 */     // GIR_Coverage, 17368,
     /* 1210894 */     GIR_EraseRootFromParent_Done,
     /* 1210895 */   // Label 17554: @1210895
     /* 1210895 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1210975), // Rule ID 17371 //
     /* 1210900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210939 */     // MIs[0] round
     /* 1210939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210949 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1210952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210974 */     // GIR_Coverage, 17371,
     /* 1210974 */     GIR_EraseRootFromParent_Done,
     /* 1210975 */   // Label 17555: @1210975
     /* 1210975 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1211055), // Rule ID 17372 //
     /* 1210980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211019 */     // MIs[0] round
     /* 1211019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211029 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1211032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211054 */     // GIR_Coverage, 17372,
     /* 1211054 */     GIR_EraseRootFromParent_Done,
     /* 1211055 */   // Label 17556: @1211055
     /* 1211055 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1211135), // Rule ID 17375 //
     /* 1211060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211099 */     // MIs[0] round
     /* 1211099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211109 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211134 */     // GIR_Coverage, 17375,
     /* 1211134 */     GIR_EraseRootFromParent_Done,
     /* 1211135 */   // Label 17557: @1211135
     /* 1211135 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1211215), // Rule ID 17376 //
     /* 1211140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211179 */     // MIs[0] round
     /* 1211179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211189 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211214 */     // GIR_Coverage, 17376,
     /* 1211214 */     GIR_EraseRootFromParent_Done,
     /* 1211215 */   // Label 17558: @1211215
     /* 1211215 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1211295), // Rule ID 17379 //
     /* 1211220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211259 */     // MIs[0] round
     /* 1211259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211269 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211294 */     // GIR_Coverage, 17379,
     /* 1211294 */     GIR_EraseRootFromParent_Done,
     /* 1211295 */   // Label 17559: @1211295
     /* 1211295 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1211375), // Rule ID 17380 //
     /* 1211300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211339 */     // MIs[0] round
     /* 1211339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211349 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211374 */     // GIR_Coverage, 17380,
     /* 1211374 */     GIR_EraseRootFromParent_Done,
     /* 1211375 */   // Label 17560: @1211375
     /* 1211375 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1211455), // Rule ID 17383 //
     /* 1211380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211419 */     // MIs[0] round
     /* 1211419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211429 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211454 */     // GIR_Coverage, 17383,
     /* 1211454 */     GIR_EraseRootFromParent_Done,
     /* 1211455 */   // Label 17561: @1211455
     /* 1211455 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1211535), // Rule ID 17384 //
     /* 1211460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211499 */     // MIs[0] round
     /* 1211499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211509 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211534 */     // GIR_Coverage, 17384,
     /* 1211534 */     GIR_EraseRootFromParent_Done,
     /* 1211535 */   // Label 17562: @1211535
     /* 1211535 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211615), // Rule ID 17387 //
     /* 1211540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211579 */     // MIs[0] round
     /* 1211579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211589 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1211592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211614 */     // GIR_Coverage, 17387,
     /* 1211614 */     GIR_EraseRootFromParent_Done,
     /* 1211615 */   // Label 17563: @1211615
     /* 1211615 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211695), // Rule ID 17388 //
     /* 1211620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211659 */     // MIs[0] round
     /* 1211659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211669 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1211672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211694 */     // GIR_Coverage, 17388,
     /* 1211694 */     GIR_EraseRootFromParent_Done,
     /* 1211695 */   // Label 17564: @1211695
     /* 1211695 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211775), // Rule ID 17391 //
     /* 1211700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211739 */     // MIs[0] round
     /* 1211739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211749 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1211752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211774 */     // GIR_Coverage, 17391,
     /* 1211774 */     GIR_EraseRootFromParent_Done,
     /* 1211775 */   // Label 17565: @1211775
     /* 1211775 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211855), // Rule ID 17392 //
     /* 1211780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211819 */     // MIs[0] round
     /* 1211819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211829 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1211832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211854 */     // GIR_Coverage, 17392,
     /* 1211854 */     GIR_EraseRootFromParent_Done,
     /* 1211855 */   // Label 17566: @1211855
     /* 1211855 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1211935), // Rule ID 17395 //
     /* 1211860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211899 */     // MIs[0] round
     /* 1211899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211909 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1211912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211934 */     // GIR_Coverage, 17395,
     /* 1211934 */     GIR_EraseRootFromParent_Done,
     /* 1211935 */   // Label 17567: @1211935
     /* 1211935 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1212015), // Rule ID 17396 //
     /* 1211940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211979 */     // MIs[0] round
     /* 1211979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1211992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212014 */     // GIR_Coverage, 17396,
     /* 1212014 */     GIR_EraseRootFromParent_Done,
     /* 1212015 */   // Label 17568: @1212015
     /* 1212015 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1212095), // Rule ID 17399 //
     /* 1212020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212059 */     // MIs[0] round
     /* 1212059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212094 */     // GIR_Coverage, 17399,
     /* 1212094 */     GIR_EraseRootFromParent_Done,
     /* 1212095 */   // Label 17569: @1212095
     /* 1212095 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1212175), // Rule ID 17400 //
     /* 1212100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212139 */     // MIs[0] round
     /* 1212139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212174 */     // GIR_Coverage, 17400,
     /* 1212174 */     GIR_EraseRootFromParent_Done,
     /* 1212175 */   // Label 17570: @1212175
     /* 1212175 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1212255), // Rule ID 17403 //
     /* 1212180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212219 */     // MIs[0] round
     /* 1212219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212229 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212254 */     // GIR_Coverage, 17403,
     /* 1212254 */     GIR_EraseRootFromParent_Done,
     /* 1212255 */   // Label 17571: @1212255
     /* 1212255 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1212335), // Rule ID 17404 //
     /* 1212260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212299 */     // MIs[0] round
     /* 1212299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212309 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212334 */     // GIR_Coverage, 17404,
     /* 1212334 */     GIR_EraseRootFromParent_Done,
     /* 1212335 */   // Label 17572: @1212335
     /* 1212335 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1212415), // Rule ID 17407 //
     /* 1212340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212379 */     // MIs[0] round
     /* 1212379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212389 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212414 */     // GIR_Coverage, 17407,
     /* 1212414 */     GIR_EraseRootFromParent_Done,
     /* 1212415 */   // Label 17573: @1212415
     /* 1212415 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1212495), // Rule ID 17408 //
     /* 1212420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212459 */     // MIs[0] round
     /* 1212459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212469 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212494 */     // GIR_Coverage, 17408,
     /* 1212494 */     GIR_EraseRootFromParent_Done,
     /* 1212495 */   // Label 17574: @1212495
     /* 1212495 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1212575), // Rule ID 17411 //
     /* 1212500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212539 */     // MIs[0] round
     /* 1212539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212549 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1212552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212574 */     // GIR_Coverage, 17411,
     /* 1212574 */     GIR_EraseRootFromParent_Done,
     /* 1212575 */   // Label 17575: @1212575
     /* 1212575 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212655), // Rule ID 17412 //
     /* 1212580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212619 */     // MIs[0] round
     /* 1212619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212629 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1212632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212654 */     // GIR_Coverage, 17412,
     /* 1212654 */     GIR_EraseRootFromParent_Done,
     /* 1212655 */   // Label 17576: @1212655
     /* 1212655 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212735), // Rule ID 17415 //
     /* 1212660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212699 */     // MIs[0] round
     /* 1212699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1212712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212734 */     // GIR_Coverage, 17415,
     /* 1212734 */     GIR_EraseRootFromParent_Done,
     /* 1212735 */   // Label 17577: @1212735
     /* 1212735 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212815), // Rule ID 17416 //
     /* 1212740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212779 */     // MIs[0] round
     /* 1212779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212789 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1212792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212814 */     // GIR_Coverage, 17416,
     /* 1212814 */     GIR_EraseRootFromParent_Done,
     /* 1212815 */   // Label 17578: @1212815
     /* 1212815 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212895), // Rule ID 17419 //
     /* 1212820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212859 */     // MIs[0] round
     /* 1212859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212869 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1212872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212894 */     // GIR_Coverage, 17419,
     /* 1212894 */     GIR_EraseRootFromParent_Done,
     /* 1212895 */   // Label 17579: @1212895
     /* 1212895 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1212975), // Rule ID 17420 //
     /* 1212900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212939 */     // MIs[0] round
     /* 1212939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212949 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1212952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212974 */     // GIR_Coverage, 17420,
     /* 1212974 */     GIR_EraseRootFromParent_Done,
     /* 1212975 */   // Label 17580: @1212975
     /* 1212975 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1213055), // Rule ID 17423 //
     /* 1212980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1212991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1212994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1212997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213019 */     // MIs[0] round
     /* 1213019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213029 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1213032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213054 */     // GIR_Coverage, 17423,
     /* 1213054 */     GIR_EraseRootFromParent_Done,
     /* 1213055 */   // Label 17581: @1213055
     /* 1213055 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1213135), // Rule ID 17424 //
     /* 1213060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213099 */     // MIs[0] round
     /* 1213099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213109 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1213112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213134 */     // GIR_Coverage, 17424,
     /* 1213134 */     GIR_EraseRootFromParent_Done,
     /* 1213135 */   // Label 17582: @1213135
     /* 1213135 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1213215), // Rule ID 17427 //
     /* 1213140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213179 */     // MIs[0] round
     /* 1213179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213189 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213214 */     // GIR_Coverage, 17427,
     /* 1213214 */     GIR_EraseRootFromParent_Done,
     /* 1213215 */   // Label 17583: @1213215
     /* 1213215 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1213295), // Rule ID 17428 //
     /* 1213220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213259 */     // MIs[0] round
     /* 1213259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213269 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213294 */     // GIR_Coverage, 17428,
     /* 1213294 */     GIR_EraseRootFromParent_Done,
     /* 1213295 */   // Label 17584: @1213295
     /* 1213295 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1213375), // Rule ID 17431 //
     /* 1213300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213339 */     // MIs[0] round
     /* 1213339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213349 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213374 */     // GIR_Coverage, 17431,
     /* 1213374 */     GIR_EraseRootFromParent_Done,
     /* 1213375 */   // Label 17585: @1213375
     /* 1213375 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1213455), // Rule ID 17432 //
     /* 1213380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213419 */     // MIs[0] round
     /* 1213419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213429 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213454 */     // GIR_Coverage, 17432,
     /* 1213454 */     GIR_EraseRootFromParent_Done,
     /* 1213455 */   // Label 17586: @1213455
     /* 1213455 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1213535), // Rule ID 17435 //
     /* 1213460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213499 */     // MIs[0] round
     /* 1213499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213509 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213534 */     // GIR_Coverage, 17435,
     /* 1213534 */     GIR_EraseRootFromParent_Done,
     /* 1213535 */   // Label 17587: @1213535
     /* 1213535 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213615), // Rule ID 17436 //
     /* 1213540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213579 */     // MIs[0] round
     /* 1213579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213589 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213614 */     // GIR_Coverage, 17436,
     /* 1213614 */     GIR_EraseRootFromParent_Done,
     /* 1213615 */   // Label 17588: @1213615
     /* 1213615 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213695), // Rule ID 17439 //
     /* 1213620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213659 */     // MIs[0] round
     /* 1213659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213669 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1213672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213694 */     // GIR_Coverage, 17439,
     /* 1213694 */     GIR_EraseRootFromParent_Done,
     /* 1213695 */   // Label 17589: @1213695
     /* 1213695 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213775), // Rule ID 17440 //
     /* 1213700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213739 */     // MIs[0] round
     /* 1213739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213749 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1213752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213774 */     // GIR_Coverage, 17440,
     /* 1213774 */     GIR_EraseRootFromParent_Done,
     /* 1213775 */   // Label 17590: @1213775
     /* 1213775 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213855), // Rule ID 17443 //
     /* 1213780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213819 */     // MIs[0] round
     /* 1213819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213829 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1213832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213854 */     // GIR_Coverage, 17443,
     /* 1213854 */     GIR_EraseRootFromParent_Done,
     /* 1213855 */   // Label 17591: @1213855
     /* 1213855 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1213935), // Rule ID 17444 //
     /* 1213860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213899 */     // MIs[0] round
     /* 1213899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213909 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1213912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213934 */     // GIR_Coverage, 17444,
     /* 1213934 */     GIR_EraseRootFromParent_Done,
     /* 1213935 */   // Label 17592: @1213935
     /* 1213935 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1214015), // Rule ID 17447 //
     /* 1213940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213979 */     // MIs[0] round
     /* 1213979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213989 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1213992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214014 */     // GIR_Coverage, 17447,
     /* 1214014 */     GIR_EraseRootFromParent_Done,
     /* 1214015 */   // Label 17593: @1214015
     /* 1214015 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1214095), // Rule ID 17448 //
     /* 1214020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214059 */     // MIs[0] round
     /* 1214059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214069 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1214072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214094 */     // GIR_Coverage, 17448,
     /* 1214094 */     GIR_EraseRootFromParent_Done,
     /* 1214095 */   // Label 17594: @1214095
     /* 1214095 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1214175), // Rule ID 17451 //
     /* 1214100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214139 */     // MIs[0] round
     /* 1214139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214149 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214174 */     // GIR_Coverage, 17451,
     /* 1214174 */     GIR_EraseRootFromParent_Done,
     /* 1214175 */   // Label 17595: @1214175
     /* 1214175 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1214255), // Rule ID 17452 //
     /* 1214180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214219 */     // MIs[0] round
     /* 1214219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214229 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214254 */     // GIR_Coverage, 17452,
     /* 1214254 */     GIR_EraseRootFromParent_Done,
     /* 1214255 */   // Label 17596: @1214255
     /* 1214255 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1214335), // Rule ID 17455 //
     /* 1214260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214299 */     // MIs[0] round
     /* 1214299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214309 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214334 */     // GIR_Coverage, 17455,
     /* 1214334 */     GIR_EraseRootFromParent_Done,
     /* 1214335 */   // Label 17597: @1214335
     /* 1214335 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1214415), // Rule ID 17456 //
     /* 1214340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214379 */     // MIs[0] round
     /* 1214379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214389 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214414 */     // GIR_Coverage, 17456,
     /* 1214414 */     GIR_EraseRootFromParent_Done,
     /* 1214415 */   // Label 17598: @1214415
     /* 1214415 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1214495), // Rule ID 17459 //
     /* 1214420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214459 */     // MIs[0] round
     /* 1214459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214469 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214494 */     // GIR_Coverage, 17459,
     /* 1214494 */     GIR_EraseRootFromParent_Done,
     /* 1214495 */   // Label 17599: @1214495
     /* 1214495 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1214575), // Rule ID 17460 //
     /* 1214500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214539 */     // MIs[0] round
     /* 1214539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214549 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214574 */     // GIR_Coverage, 17460,
     /* 1214574 */     GIR_EraseRootFromParent_Done,
     /* 1214575 */   // Label 17600: @1214575
     /* 1214575 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214655), // Rule ID 17463 //
     /* 1214580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214619 */     // MIs[0] round
     /* 1214619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214629 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1214632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214654 */     // GIR_Coverage, 17463,
     /* 1214654 */     GIR_EraseRootFromParent_Done,
     /* 1214655 */   // Label 17601: @1214655
     /* 1214655 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214735), // Rule ID 17464 //
     /* 1214660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214699 */     // MIs[0] round
     /* 1214699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214709 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1214712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214734 */     // GIR_Coverage, 17464,
     /* 1214734 */     GIR_EraseRootFromParent_Done,
     /* 1214735 */   // Label 17602: @1214735
     /* 1214735 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214815), // Rule ID 17467 //
     /* 1214740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214779 */     // MIs[0] round
     /* 1214779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214789 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1214792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214814 */     // GIR_Coverage, 17467,
     /* 1214814 */     GIR_EraseRootFromParent_Done,
     /* 1214815 */   // Label 17603: @1214815
     /* 1214815 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214895), // Rule ID 17468 //
     /* 1214820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214859 */     // MIs[0] round
     /* 1214859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214869 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1214872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214894 */     // GIR_Coverage, 17468,
     /* 1214894 */     GIR_EraseRootFromParent_Done,
     /* 1214895 */   // Label 17604: @1214895
     /* 1214895 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1214975), // Rule ID 17471 //
     /* 1214900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214939 */     // MIs[0] round
     /* 1214939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214949 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1214952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214974 */     // GIR_Coverage, 17471,
     /* 1214974 */     GIR_EraseRootFromParent_Done,
     /* 1214975 */   // Label 17605: @1214975
     /* 1214975 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1215055), // Rule ID 17472 //
     /* 1214980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215019 */     // MIs[0] round
     /* 1215019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215029 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1215032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215054 */     // GIR_Coverage, 17472,
     /* 1215054 */     GIR_EraseRootFromParent_Done,
     /* 1215055 */   // Label 17606: @1215055
     /* 1215055 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1215135), // Rule ID 17475 //
     /* 1215060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215099 */     // MIs[0] round
     /* 1215099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215109 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215134 */     // GIR_Coverage, 17475,
     /* 1215134 */     GIR_EraseRootFromParent_Done,
     /* 1215135 */   // Label 17607: @1215135
     /* 1215135 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1215215), // Rule ID 17476 //
     /* 1215140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215179 */     // MIs[0] round
     /* 1215179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215189 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215214 */     // GIR_Coverage, 17476,
     /* 1215214 */     GIR_EraseRootFromParent_Done,
     /* 1215215 */   // Label 17608: @1215215
     /* 1215215 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1215295), // Rule ID 17479 //
     /* 1215220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215259 */     // MIs[0] round
     /* 1215259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215269 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215294 */     // GIR_Coverage, 17479,
     /* 1215294 */     GIR_EraseRootFromParent_Done,
     /* 1215295 */   // Label 17609: @1215295
     /* 1215295 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1215375), // Rule ID 17480 //
     /* 1215300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215339 */     // MIs[0] round
     /* 1215339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215349 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215374 */     // GIR_Coverage, 17480,
     /* 1215374 */     GIR_EraseRootFromParent_Done,
     /* 1215375 */   // Label 17610: @1215375
     /* 1215375 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1215455), // Rule ID 17483 //
     /* 1215380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215419 */     // MIs[0] round
     /* 1215419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215429 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215454 */     // GIR_Coverage, 17483,
     /* 1215454 */     GIR_EraseRootFromParent_Done,
     /* 1215455 */   // Label 17611: @1215455
     /* 1215455 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1215535), // Rule ID 17484 //
     /* 1215460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215499 */     // MIs[0] round
     /* 1215499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215509 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215534 */     // GIR_Coverage, 17484,
     /* 1215534 */     GIR_EraseRootFromParent_Done,
     /* 1215535 */   // Label 17612: @1215535
     /* 1215535 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215615), // Rule ID 17487 //
     /* 1215540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215579 */     // MIs[0] round
     /* 1215579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215589 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1215592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215614 */     // GIR_Coverage, 17487,
     /* 1215614 */     GIR_EraseRootFromParent_Done,
     /* 1215615 */   // Label 17613: @1215615
     /* 1215615 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215695), // Rule ID 17488 //
     /* 1215620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215659 */     // MIs[0] round
     /* 1215659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215669 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1215672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215694 */     // GIR_Coverage, 17488,
     /* 1215694 */     GIR_EraseRootFromParent_Done,
     /* 1215695 */   // Label 17614: @1215695
     /* 1215695 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215775), // Rule ID 17491 //
     /* 1215700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215739 */     // MIs[0] round
     /* 1215739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215749 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1215752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215774 */     // GIR_Coverage, 17491,
     /* 1215774 */     GIR_EraseRootFromParent_Done,
     /* 1215775 */   // Label 17615: @1215775
     /* 1215775 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215855), // Rule ID 17492 //
     /* 1215780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215819 */     // MIs[0] round
     /* 1215819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215829 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1215832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215854 */     // GIR_Coverage, 17492,
     /* 1215854 */     GIR_EraseRootFromParent_Done,
     /* 1215855 */   // Label 17616: @1215855
     /* 1215855 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1215935), // Rule ID 17495 //
     /* 1215860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215899 */     // MIs[0] round
     /* 1215899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215909 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1215912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215934 */     // GIR_Coverage, 17495,
     /* 1215934 */     GIR_EraseRootFromParent_Done,
     /* 1215935 */   // Label 17617: @1215935
     /* 1215935 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1216015), // Rule ID 17496 //
     /* 1215940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215979 */     // MIs[0] round
     /* 1215979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215989 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1215992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216014 */     // GIR_Coverage, 17496,
     /* 1216014 */     GIR_EraseRootFromParent_Done,
     /* 1216015 */   // Label 17618: @1216015
     /* 1216015 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1216095), // Rule ID 17499 //
     /* 1216020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216059 */     // MIs[0] round
     /* 1216059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216069 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216094 */     // GIR_Coverage, 17499,
     /* 1216094 */     GIR_EraseRootFromParent_Done,
     /* 1216095 */   // Label 17619: @1216095
     /* 1216095 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1216175), // Rule ID 17500 //
     /* 1216100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216139 */     // MIs[0] round
     /* 1216139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216149 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216174 */     // GIR_Coverage, 17500,
     /* 1216174 */     GIR_EraseRootFromParent_Done,
     /* 1216175 */   // Label 17620: @1216175
     /* 1216175 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1216255), // Rule ID 17503 //
     /* 1216180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216219 */     // MIs[0] round
     /* 1216219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216229 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216254 */     // GIR_Coverage, 17503,
     /* 1216254 */     GIR_EraseRootFromParent_Done,
     /* 1216255 */   // Label 17621: @1216255
     /* 1216255 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1216335), // Rule ID 17504 //
     /* 1216260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216299 */     // MIs[0] round
     /* 1216299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216309 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216334 */     // GIR_Coverage, 17504,
     /* 1216334 */     GIR_EraseRootFromParent_Done,
     /* 1216335 */   // Label 17622: @1216335
     /* 1216335 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1216415), // Rule ID 17507 //
     /* 1216340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216379 */     // MIs[0] round
     /* 1216379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216389 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216414 */     // GIR_Coverage, 17507,
     /* 1216414 */     GIR_EraseRootFromParent_Done,
     /* 1216415 */   // Label 17623: @1216415
     /* 1216415 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1216495), // Rule ID 17508 //
     /* 1216420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216459 */     // MIs[0] round
     /* 1216459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216469 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216494 */     // GIR_Coverage, 17508,
     /* 1216494 */     GIR_EraseRootFromParent_Done,
     /* 1216495 */   // Label 17624: @1216495
     /* 1216495 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1216575), // Rule ID 17511 //
     /* 1216500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216539 */     // MIs[0] round
     /* 1216539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1216552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216574 */     // GIR_Coverage, 17511,
     /* 1216574 */     GIR_EraseRootFromParent_Done,
     /* 1216575 */   // Label 17625: @1216575
     /* 1216575 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216655), // Rule ID 17512 //
     /* 1216580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216619 */     // MIs[0] round
     /* 1216619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216629 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1216632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216654 */     // GIR_Coverage, 17512,
     /* 1216654 */     GIR_EraseRootFromParent_Done,
     /* 1216655 */   // Label 17626: @1216655
     /* 1216655 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216735), // Rule ID 17515 //
     /* 1216660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216699 */     // MIs[0] round
     /* 1216699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1216712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216734 */     // GIR_Coverage, 17515,
     /* 1216734 */     GIR_EraseRootFromParent_Done,
     /* 1216735 */   // Label 17627: @1216735
     /* 1216735 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216815), // Rule ID 17516 //
     /* 1216740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216779 */     // MIs[0] round
     /* 1216779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1216792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216814 */     // GIR_Coverage, 17516,
     /* 1216814 */     GIR_EraseRootFromParent_Done,
     /* 1216815 */   // Label 17628: @1216815
     /* 1216815 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216895), // Rule ID 17519 //
     /* 1216820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216859 */     // MIs[0] round
     /* 1216859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216869 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1216872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216894 */     // GIR_Coverage, 17519,
     /* 1216894 */     GIR_EraseRootFromParent_Done,
     /* 1216895 */   // Label 17629: @1216895
     /* 1216895 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1216975), // Rule ID 17520 //
     /* 1216900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216939 */     // MIs[0] round
     /* 1216939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216949 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1216952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216974 */     // GIR_Coverage, 17520,
     /* 1216974 */     GIR_EraseRootFromParent_Done,
     /* 1216975 */   // Label 17630: @1216975
     /* 1216975 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1217055), // Rule ID 17523 //
     /* 1216980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1216991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1216994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217019 */     // MIs[0] round
     /* 1217019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217029 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1217032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217054 */     // GIR_Coverage, 17523,
     /* 1217054 */     GIR_EraseRootFromParent_Done,
     /* 1217055 */   // Label 17631: @1217055
     /* 1217055 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1217135), // Rule ID 17524 //
     /* 1217060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217099 */     // MIs[0] round
     /* 1217099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217109 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1217112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217134 */     // GIR_Coverage, 17524,
     /* 1217134 */     GIR_EraseRootFromParent_Done,
     /* 1217135 */   // Label 17632: @1217135
     /* 1217135 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1217215), // Rule ID 17527 //
     /* 1217140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217179 */     // MIs[0] round
     /* 1217179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217189 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217214 */     // GIR_Coverage, 17527,
     /* 1217214 */     GIR_EraseRootFromParent_Done,
     /* 1217215 */   // Label 17633: @1217215
     /* 1217215 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1217295), // Rule ID 17528 //
     /* 1217220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217259 */     // MIs[0] round
     /* 1217259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217269 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217294 */     // GIR_Coverage, 17528,
     /* 1217294 */     GIR_EraseRootFromParent_Done,
     /* 1217295 */   // Label 17634: @1217295
     /* 1217295 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1217375), // Rule ID 17531 //
     /* 1217300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217339 */     // MIs[0] round
     /* 1217339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217349 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217374 */     // GIR_Coverage, 17531,
     /* 1217374 */     GIR_EraseRootFromParent_Done,
     /* 1217375 */   // Label 17635: @1217375
     /* 1217375 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1217455), // Rule ID 17532 //
     /* 1217380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217419 */     // MIs[0] round
     /* 1217419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217429 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217454 */     // GIR_Coverage, 17532,
     /* 1217454 */     GIR_EraseRootFromParent_Done,
     /* 1217455 */   // Label 17636: @1217455
     /* 1217455 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1217535), // Rule ID 17535 //
     /* 1217460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217499 */     // MIs[0] round
     /* 1217499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217509 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217534 */     // GIR_Coverage, 17535,
     /* 1217534 */     GIR_EraseRootFromParent_Done,
     /* 1217535 */   // Label 17637: @1217535
     /* 1217535 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217615), // Rule ID 17536 //
     /* 1217540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217579 */     // MIs[0] round
     /* 1217579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217614 */     // GIR_Coverage, 17536,
     /* 1217614 */     GIR_EraseRootFromParent_Done,
     /* 1217615 */   // Label 17638: @1217615
     /* 1217615 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217695), // Rule ID 17539 //
     /* 1217620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217659 */     // MIs[0] round
     /* 1217659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217669 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1217672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217694 */     // GIR_Coverage, 17539,
     /* 1217694 */     GIR_EraseRootFromParent_Done,
     /* 1217695 */   // Label 17639: @1217695
     /* 1217695 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217775), // Rule ID 17540 //
     /* 1217700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217739 */     // MIs[0] round
     /* 1217739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217749 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1217752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217774 */     // GIR_Coverage, 17540,
     /* 1217774 */     GIR_EraseRootFromParent_Done,
     /* 1217775 */   // Label 17640: @1217775
     /* 1217775 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217855), // Rule ID 17543 //
     /* 1217780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217819 */     // MIs[0] round
     /* 1217819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217829 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1217832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217854 */     // GIR_Coverage, 17543,
     /* 1217854 */     GIR_EraseRootFromParent_Done,
     /* 1217855 */   // Label 17641: @1217855
     /* 1217855 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1217935), // Rule ID 17544 //
     /* 1217860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217899 */     // MIs[0] round
     /* 1217899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217909 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1217912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217934 */     // GIR_Coverage, 17544,
     /* 1217934 */     GIR_EraseRootFromParent_Done,
     /* 1217935 */   // Label 17642: @1217935
     /* 1217935 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1218015), // Rule ID 17547 //
     /* 1217940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217979 */     // MIs[0] round
     /* 1217979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217989 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1217992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218014 */     // GIR_Coverage, 17547,
     /* 1218014 */     GIR_EraseRootFromParent_Done,
     /* 1218015 */   // Label 17643: @1218015
     /* 1218015 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1218095), // Rule ID 17548 //
     /* 1218020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218059 */     // MIs[0] round
     /* 1218059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218069 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1218072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218094 */     // GIR_Coverage, 17548,
     /* 1218094 */     GIR_EraseRootFromParent_Done,
     /* 1218095 */   // Label 17644: @1218095
     /* 1218095 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1218175), // Rule ID 17551 //
     /* 1218100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218139 */     // MIs[0] round
     /* 1218139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218149 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218174 */     // GIR_Coverage, 17551,
     /* 1218174 */     GIR_EraseRootFromParent_Done,
     /* 1218175 */   // Label 17645: @1218175
     /* 1218175 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1218255), // Rule ID 17552 //
     /* 1218180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218219 */     // MIs[0] round
     /* 1218219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218229 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218254 */     // GIR_Coverage, 17552,
     /* 1218254 */     GIR_EraseRootFromParent_Done,
     /* 1218255 */   // Label 17646: @1218255
     /* 1218255 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1218335), // Rule ID 17555 //
     /* 1218260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218299 */     // MIs[0] round
     /* 1218299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218309 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218334 */     // GIR_Coverage, 17555,
     /* 1218334 */     GIR_EraseRootFromParent_Done,
     /* 1218335 */   // Label 17647: @1218335
     /* 1218335 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1218415), // Rule ID 17556 //
     /* 1218340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218379 */     // MIs[0] round
     /* 1218379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218389 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218414 */     // GIR_Coverage, 17556,
     /* 1218414 */     GIR_EraseRootFromParent_Done,
     /* 1218415 */   // Label 17648: @1218415
     /* 1218415 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1218495), // Rule ID 17559 //
     /* 1218420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218459 */     // MIs[0] round
     /* 1218459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218469 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218494 */     // GIR_Coverage, 17559,
     /* 1218494 */     GIR_EraseRootFromParent_Done,
     /* 1218495 */   // Label 17649: @1218495
     /* 1218495 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1218575), // Rule ID 17560 //
     /* 1218500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218539 */     // MIs[0] round
     /* 1218539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218549 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218574 */     // GIR_Coverage, 17560,
     /* 1218574 */     GIR_EraseRootFromParent_Done,
     /* 1218575 */   // Label 17650: @1218575
     /* 1218575 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218655), // Rule ID 17563 //
     /* 1218580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1218600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218619 */     // MIs[0] round
     /* 1218619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1218632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218654 */     // GIR_Coverage, 17563,
     /* 1218654 */     GIR_EraseRootFromParent_Done,
     /* 1218655 */   // Label 17651: @1218655
     /* 1218655 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218735), // Rule ID 17564 //
     /* 1218660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1218680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218699 */     // MIs[0] round
     /* 1218699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1218712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218734 */     // GIR_Coverage, 17564,
     /* 1218734 */     GIR_EraseRootFromParent_Done,
     /* 1218735 */   // Label 17652: @1218735
     /* 1218735 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218815), // Rule ID 17567 //
     /* 1218740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1218751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1218754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218779 */     // MIs[0] round
     /* 1218779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218789 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1218792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218814 */     // GIR_Coverage, 17567,
     /* 1218814 */     GIR_EraseRootFromParent_Done,
     /* 1218815 */   // Label 17653: @1218815
     /* 1218815 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218895), // Rule ID 17568 //
     /* 1218820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1218831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1218834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218859 */     // MIs[0] round
     /* 1218859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218869 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1218872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218894 */     // GIR_Coverage, 17568,
     /* 1218894 */     GIR_EraseRootFromParent_Done,
     /* 1218895 */   // Label 17654: @1218895
     /* 1218895 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1218975), // Rule ID 17571 //
     /* 1218900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1218917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1218920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218939 */     // MIs[0] round
     /* 1218939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218949 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1218952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218974 */     // GIR_Coverage, 17571,
     /* 1218974 */     GIR_EraseRootFromParent_Done,
     /* 1218975 */   // Label 17655: @1218975
     /* 1218975 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1219055), // Rule ID 17572 //
     /* 1218980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1218997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1219000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219019 */     // MIs[0] round
     /* 1219019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219029 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1219032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219054 */     // GIR_Coverage, 17572,
     /* 1219054 */     GIR_EraseRootFromParent_Done,
     /* 1219055 */   // Label 17656: @1219055
     /* 1219055 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1219135), // Rule ID 17575 //
     /* 1219060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219099 */     // MIs[0] round
     /* 1219099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219109 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219134 */     // GIR_Coverage, 17575,
     /* 1219134 */     GIR_EraseRootFromParent_Done,
     /* 1219135 */   // Label 17657: @1219135
     /* 1219135 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1219215), // Rule ID 17576 //
     /* 1219140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219179 */     // MIs[0] round
     /* 1219179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219189 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219214 */     // GIR_Coverage, 17576,
     /* 1219214 */     GIR_EraseRootFromParent_Done,
     /* 1219215 */   // Label 17658: @1219215
     /* 1219215 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1219295), // Rule ID 17579 //
     /* 1219220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219259 */     // MIs[0] round
     /* 1219259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219269 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219294 */     // GIR_Coverage, 17579,
     /* 1219294 */     GIR_EraseRootFromParent_Done,
     /* 1219295 */   // Label 17659: @1219295
     /* 1219295 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1219375), // Rule ID 17580 //
     /* 1219300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219339 */     // MIs[0] round
     /* 1219339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219349 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219374 */     // GIR_Coverage, 17580,
     /* 1219374 */     GIR_EraseRootFromParent_Done,
     /* 1219375 */   // Label 17660: @1219375
     /* 1219375 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1219455), // Rule ID 17583 //
     /* 1219380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219419 */     // MIs[0] round
     /* 1219419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219429 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219454 */     // GIR_Coverage, 17583,
     /* 1219454 */     GIR_EraseRootFromParent_Done,
     /* 1219455 */   // Label 17661: @1219455
     /* 1219455 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1219535), // Rule ID 17584 //
     /* 1219460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219499 */     // MIs[0] round
     /* 1219499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219509 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219534 */     // GIR_Coverage, 17584,
     /* 1219534 */     GIR_EraseRootFromParent_Done,
     /* 1219535 */   // Label 17662: @1219535
     /* 1219535 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219615), // Rule ID 17587 //
     /* 1219540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1219560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219579 */     // MIs[0] round
     /* 1219579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219589 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1219592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219614 */     // GIR_Coverage, 17587,
     /* 1219614 */     GIR_EraseRootFromParent_Done,
     /* 1219615 */   // Label 17663: @1219615
     /* 1219615 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219695), // Rule ID 17588 //
     /* 1219620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1219640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219659 */     // MIs[0] round
     /* 1219659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219669 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1219672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219694 */     // GIR_Coverage, 17588,
     /* 1219694 */     GIR_EraseRootFromParent_Done,
     /* 1219695 */   // Label 17664: @1219695
     /* 1219695 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219775), // Rule ID 17591 //
     /* 1219700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1219711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1219714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1219720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219739 */     // MIs[0] round
     /* 1219739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219749 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1219752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219774 */     // GIR_Coverage, 17591,
     /* 1219774 */     GIR_EraseRootFromParent_Done,
     /* 1219775 */   // Label 17665: @1219775
     /* 1219775 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219855), // Rule ID 17592 //
     /* 1219780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1219791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1219794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1219800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219819 */     // MIs[0] round
     /* 1219819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219829 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1219832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219854 */     // GIR_Coverage, 17592,
     /* 1219854 */     GIR_EraseRootFromParent_Done,
     /* 1219855 */   // Label 17666: @1219855
     /* 1219855 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1219935), // Rule ID 17595 //
     /* 1219860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1219877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219899 */     // MIs[0] round
     /* 1219899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1219912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219934 */     // GIR_Coverage, 17595,
     /* 1219934 */     GIR_EraseRootFromParent_Done,
     /* 1219935 */   // Label 17667: @1219935
     /* 1219935 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1220015), // Rule ID 17596 //
     /* 1219940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1219957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219979 */     // MIs[0] round
     /* 1219979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219989 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1219992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220014 */     // GIR_Coverage, 17596,
     /* 1220014 */     GIR_EraseRootFromParent_Done,
     /* 1220015 */   // Label 17668: @1220015
     /* 1220015 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1220095), // Rule ID 17599 //
     /* 1220020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220059 */     // MIs[0] round
     /* 1220059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220069 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220094 */     // GIR_Coverage, 17599,
     /* 1220094 */     GIR_EraseRootFromParent_Done,
     /* 1220095 */   // Label 17669: @1220095
     /* 1220095 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1220175), // Rule ID 17600 //
     /* 1220100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220139 */     // MIs[0] round
     /* 1220139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220149 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220174 */     // GIR_Coverage, 17600,
     /* 1220174 */     GIR_EraseRootFromParent_Done,
     /* 1220175 */   // Label 17670: @1220175
     /* 1220175 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1220255), // Rule ID 17603 //
     /* 1220180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220219 */     // MIs[0] round
     /* 1220219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220229 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220254 */     // GIR_Coverage, 17603,
     /* 1220254 */     GIR_EraseRootFromParent_Done,
     /* 1220255 */   // Label 17671: @1220255
     /* 1220255 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1220335), // Rule ID 17604 //
     /* 1220260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220299 */     // MIs[0] round
     /* 1220299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220309 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220334 */     // GIR_Coverage, 17604,
     /* 1220334 */     GIR_EraseRootFromParent_Done,
     /* 1220335 */   // Label 17672: @1220335
     /* 1220335 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1220415), // Rule ID 17607 //
     /* 1220340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220379 */     // MIs[0] round
     /* 1220379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220389 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220414 */     // GIR_Coverage, 17607,
     /* 1220414 */     GIR_EraseRootFromParent_Done,
     /* 1220415 */   // Label 17673: @1220415
     /* 1220415 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1220495), // Rule ID 17608 //
     /* 1220420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220459 */     // MIs[0] round
     /* 1220459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220469 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220494 */     // GIR_Coverage, 17608,
     /* 1220494 */     GIR_EraseRootFromParent_Done,
     /* 1220495 */   // Label 17674: @1220495
     /* 1220495 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1220575), // Rule ID 17611 //
     /* 1220500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220539 */     // MIs[0] round
     /* 1220539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220549 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1220552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220574 */     // GIR_Coverage, 17611,
     /* 1220574 */     GIR_EraseRootFromParent_Done,
     /* 1220575 */   // Label 17675: @1220575
     /* 1220575 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220655), // Rule ID 17612 //
     /* 1220580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220619 */     // MIs[0] round
     /* 1220619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220629 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1220632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220654 */     // GIR_Coverage, 17612,
     /* 1220654 */     GIR_EraseRootFromParent_Done,
     /* 1220655 */   // Label 17676: @1220655
     /* 1220655 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220735), // Rule ID 17615 //
     /* 1220660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220699 */     // MIs[0] round
     /* 1220699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220709 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1220712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220734 */     // GIR_Coverage, 17615,
     /* 1220734 */     GIR_EraseRootFromParent_Done,
     /* 1220735 */   // Label 17677: @1220735
     /* 1220735 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220815), // Rule ID 17616 //
     /* 1220740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220779 */     // MIs[0] round
     /* 1220779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220789 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1220792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220814 */     // GIR_Coverage, 17616,
     /* 1220814 */     GIR_EraseRootFromParent_Done,
     /* 1220815 */   // Label 17678: @1220815
     /* 1220815 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1220895), // Rule ID 17619 //
     /* 1220820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220859 */     // MIs[0] round
     /* 1220859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220869 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1220872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220894 */     // GIR_Coverage, 17619,
     /* 1220894 */     GIR_EraseRootFromParent_Done,
     /* 1220895 */   // Label 17679: @1220895
     /* 1220895 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1220975), // Rule ID 17620 //
     /* 1220900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220939 */     // MIs[0] round
     /* 1220939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220949 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1220952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220974 */     // GIR_Coverage, 17620,
     /* 1220974 */     GIR_EraseRootFromParent_Done,
     /* 1220975 */   // Label 17680: @1220975
     /* 1220975 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1221055), // Rule ID 17623 //
     /* 1220980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1220997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221019 */     // MIs[0] round
     /* 1221019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221029 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1221032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221054 */     // GIR_Coverage, 17623,
     /* 1221054 */     GIR_EraseRootFromParent_Done,
     /* 1221055 */   // Label 17681: @1221055
     /* 1221055 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1221135), // Rule ID 17624 //
     /* 1221060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1221071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1221074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221099 */     // MIs[0] round
     /* 1221099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221109 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1221112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221134 */     // GIR_Coverage, 17624,
     /* 1221134 */     GIR_EraseRootFromParent_Done,
     /* 1221135 */   // Label 17682: @1221135
     /* 1221135 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1221215), // Rule ID 17627 //
     /* 1221140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221179 */     // MIs[0] round
     /* 1221179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221189 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221214 */     // GIR_Coverage, 17627,
     /* 1221214 */     GIR_EraseRootFromParent_Done,
     /* 1221215 */   // Label 17683: @1221215
     /* 1221215 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1221295), // Rule ID 17628 //
     /* 1221220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221259 */     // MIs[0] round
     /* 1221259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221269 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221294 */     // GIR_Coverage, 17628,
     /* 1221294 */     GIR_EraseRootFromParent_Done,
     /* 1221295 */   // Label 17684: @1221295
     /* 1221295 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1221375), // Rule ID 22705 //
     /* 1221300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221339 */     // MIs[0] round
     /* 1221339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221349 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221374 */     // GIR_Coverage, 22705,
     /* 1221374 */     GIR_EraseRootFromParent_Done,
     /* 1221375 */   // Label 17685: @1221375
     /* 1221375 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1221455), // Rule ID 22706 //
     /* 1221380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221419 */     // MIs[0] round
     /* 1221419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221429 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221454 */     // GIR_Coverage, 22706,
     /* 1221454 */     GIR_EraseRootFromParent_Done,
     /* 1221455 */   // Label 17686: @1221455
     /* 1221455 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1221535), // Rule ID 22709 //
     /* 1221460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221499 */     // MIs[0] round
     /* 1221499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221509 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221534 */     // GIR_Coverage, 22709,
     /* 1221534 */     GIR_EraseRootFromParent_Done,
     /* 1221535 */   // Label 17687: @1221535
     /* 1221535 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221615), // Rule ID 22710 //
     /* 1221540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221579 */     // MIs[0] round
     /* 1221579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221614 */     // GIR_Coverage, 22710,
     /* 1221614 */     GIR_EraseRootFromParent_Done,
     /* 1221615 */   // Label 17688: @1221615
     /* 1221615 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221695), // Rule ID 22713 //
     /* 1221620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221659 */     // MIs[0] round
     /* 1221659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1221672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221694 */     // GIR_Coverage, 22713,
     /* 1221694 */     GIR_EraseRootFromParent_Done,
     /* 1221695 */   // Label 17689: @1221695
     /* 1221695 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221775), // Rule ID 22714 //
     /* 1221700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221739 */     // MIs[0] round
     /* 1221739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221749 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1221752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221774 */     // GIR_Coverage, 22714,
     /* 1221774 */     GIR_EraseRootFromParent_Done,
     /* 1221775 */   // Label 17690: @1221775
     /* 1221775 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221855), // Rule ID 22717 //
     /* 1221780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221819 */     // MIs[0] round
     /* 1221819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1221832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221854 */     // GIR_Coverage, 22717,
     /* 1221854 */     GIR_EraseRootFromParent_Done,
     /* 1221855 */   // Label 17691: @1221855
     /* 1221855 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1221935), // Rule ID 22718 //
     /* 1221860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221899 */     // MIs[0] round
     /* 1221899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221909 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1221912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221934 */     // GIR_Coverage, 22718,
     /* 1221934 */     GIR_EraseRootFromParent_Done,
     /* 1221935 */   // Label 17692: @1221935
     /* 1221935 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1222015), // Rule ID 22721 //
     /* 1221940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221979 */     // MIs[0] round
     /* 1221979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1221992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222014 */     // GIR_Coverage, 22721,
     /* 1222014 */     GIR_EraseRootFromParent_Done,
     /* 1222015 */   // Label 17693: @1222015
     /* 1222015 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1222095), // Rule ID 22722 //
     /* 1222020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1222037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222059 */     // MIs[0] round
     /* 1222059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1222072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222094 */     // GIR_Coverage, 22722,
     /* 1222094 */     GIR_EraseRootFromParent_Done,
     /* 1222095 */   // Label 17694: @1222095
     /* 1222095 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1222175), // Rule ID 22725 //
     /* 1222100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222139 */     // MIs[0] round
     /* 1222139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222149 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222174 */     // GIR_Coverage, 22725,
     /* 1222174 */     GIR_EraseRootFromParent_Done,
     /* 1222175 */   // Label 17695: @1222175
     /* 1222175 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1222255), // Rule ID 22726 //
     /* 1222180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222219 */     // MIs[0] round
     /* 1222219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222229 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222254 */     // GIR_Coverage, 22726,
     /* 1222254 */     GIR_EraseRootFromParent_Done,
     /* 1222255 */   // Label 17696: @1222255
     /* 1222255 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1222335), // Rule ID 22729 //
     /* 1222260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222299 */     // MIs[0] round
     /* 1222299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222309 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222334 */     // GIR_Coverage, 22729,
     /* 1222334 */     GIR_EraseRootFromParent_Done,
     /* 1222335 */   // Label 17697: @1222335
     /* 1222335 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1222415), // Rule ID 22730 //
     /* 1222340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222379 */     // MIs[0] round
     /* 1222379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222389 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222414 */     // GIR_Coverage, 22730,
     /* 1222414 */     GIR_EraseRootFromParent_Done,
     /* 1222415 */   // Label 17698: @1222415
     /* 1222415 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1222495), // Rule ID 22733 //
     /* 1222420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222459 */     // MIs[0] round
     /* 1222459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222469 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222494 */     // GIR_Coverage, 22733,
     /* 1222494 */     GIR_EraseRootFromParent_Done,
     /* 1222495 */   // Label 17699: @1222495
     /* 1222495 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1222575), // Rule ID 22734 //
     /* 1222500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222539 */     // MIs[0] round
     /* 1222539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222574 */     // GIR_Coverage, 22734,
     /* 1222574 */     GIR_EraseRootFromParent_Done,
     /* 1222575 */   // Label 17700: @1222575
     /* 1222575 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222655), // Rule ID 22737 //
     /* 1222580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222619 */     // MIs[0] round
     /* 1222619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1222632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222654 */     // GIR_Coverage, 22737,
     /* 1222654 */     GIR_EraseRootFromParent_Done,
     /* 1222655 */   // Label 17701: @1222655
     /* 1222655 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222735), // Rule ID 22738 //
     /* 1222660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222699 */     // MIs[0] round
     /* 1222699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1222712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222734 */     // GIR_Coverage, 22738,
     /* 1222734 */     GIR_EraseRootFromParent_Done,
     /* 1222735 */   // Label 17702: @1222735
     /* 1222735 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222815), // Rule ID 22741 //
     /* 1222740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222779 */     // MIs[0] round
     /* 1222779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1222792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222814 */     // GIR_Coverage, 22741,
     /* 1222814 */     GIR_EraseRootFromParent_Done,
     /* 1222815 */   // Label 17703: @1222815
     /* 1222815 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1222895), // Rule ID 22742 //
     /* 1222820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222859 */     // MIs[0] round
     /* 1222859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1222872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222894 */     // GIR_Coverage, 22742,
     /* 1222894 */     GIR_EraseRootFromParent_Done,
     /* 1222895 */   // Label 17704: @1222895
     /* 1222895 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1222975), // Rule ID 22745 //
     /* 1222900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222939 */     // MIs[0] round
     /* 1222939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1222952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222974 */     // GIR_Coverage, 22745,
     /* 1222974 */     GIR_EraseRootFromParent_Done,
     /* 1222975 */   // Label 17705: @1222975
     /* 1222975 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1223055), // Rule ID 22746 //
     /* 1222980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223019 */     // MIs[0] round
     /* 1223019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223029 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1223032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223054 */     // GIR_Coverage, 22746,
     /* 1223054 */     GIR_EraseRootFromParent_Done,
     /* 1223055 */   // Label 17706: @1223055
     /* 1223055 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1223135), // Rule ID 22749 //
     /* 1223060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223099 */     // MIs[0] round
     /* 1223099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223134 */     // GIR_Coverage, 22749,
     /* 1223134 */     GIR_EraseRootFromParent_Done,
     /* 1223135 */   // Label 17707: @1223135
     /* 1223135 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1223215), // Rule ID 22750 //
     /* 1223140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223179 */     // MIs[0] round
     /* 1223179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223189 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223214 */     // GIR_Coverage, 22750,
     /* 1223214 */     GIR_EraseRootFromParent_Done,
     /* 1223215 */   // Label 17708: @1223215
     /* 1223215 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1223295), // Rule ID 22753 //
     /* 1223220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223259 */     // MIs[0] round
     /* 1223259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223269 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223294 */     // GIR_Coverage, 22753,
     /* 1223294 */     GIR_EraseRootFromParent_Done,
     /* 1223295 */   // Label 17709: @1223295
     /* 1223295 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1223375), // Rule ID 22754 //
     /* 1223300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223339 */     // MIs[0] round
     /* 1223339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223349 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223374 */     // GIR_Coverage, 22754,
     /* 1223374 */     GIR_EraseRootFromParent_Done,
     /* 1223375 */   // Label 17710: @1223375
     /* 1223375 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1223455), // Rule ID 22757 //
     /* 1223380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223419 */     // MIs[0] round
     /* 1223419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223429 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223454 */     // GIR_Coverage, 22757,
     /* 1223454 */     GIR_EraseRootFromParent_Done,
     /* 1223455 */   // Label 17711: @1223455
     /* 1223455 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1223535), // Rule ID 22758 //
     /* 1223460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223499 */     // MIs[0] round
     /* 1223499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223534 */     // GIR_Coverage, 22758,
     /* 1223534 */     GIR_EraseRootFromParent_Done,
     /* 1223535 */   // Label 17712: @1223535
     /* 1223535 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223615), // Rule ID 22761 //
     /* 1223540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223579 */     // MIs[0] round
     /* 1223579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223589 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1223592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223614 */     // GIR_Coverage, 22761,
     /* 1223614 */     GIR_EraseRootFromParent_Done,
     /* 1223615 */   // Label 17713: @1223615
     /* 1223615 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223695), // Rule ID 22762 //
     /* 1223620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223659 */     // MIs[0] round
     /* 1223659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1223672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223694 */     // GIR_Coverage, 22762,
     /* 1223694 */     GIR_EraseRootFromParent_Done,
     /* 1223695 */   // Label 17714: @1223695
     /* 1223695 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223775), // Rule ID 22765 //
     /* 1223700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223739 */     // MIs[0] round
     /* 1223739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223749 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1223752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223774 */     // GIR_Coverage, 22765,
     /* 1223774 */     GIR_EraseRootFromParent_Done,
     /* 1223775 */   // Label 17715: @1223775
     /* 1223775 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1223855), // Rule ID 22766 //
     /* 1223780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223819 */     // MIs[0] round
     /* 1223819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223829 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1223832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223854 */     // GIR_Coverage, 22766,
     /* 1223854 */     GIR_EraseRootFromParent_Done,
     /* 1223855 */   // Label 17716: @1223855
     /* 1223855 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1223935), // Rule ID 22769 //
     /* 1223860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223899 */     // MIs[0] round
     /* 1223899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223909 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1223912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223934 */     // GIR_Coverage, 22769,
     /* 1223934 */     GIR_EraseRootFromParent_Done,
     /* 1223935 */   // Label 17717: @1223935
     /* 1223935 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1224015), // Rule ID 22770 //
     /* 1223940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223979 */     // MIs[0] round
     /* 1223979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1223992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224014 */     // GIR_Coverage, 22770,
     /* 1224014 */     GIR_EraseRootFromParent_Done,
     /* 1224015 */   // Label 17718: @1224015
     /* 1224015 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1224095), // Rule ID 22773 //
     /* 1224020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224059 */     // MIs[0] round
     /* 1224059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224069 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224094 */     // GIR_Coverage, 22773,
     /* 1224094 */     GIR_EraseRootFromParent_Done,
     /* 1224095 */   // Label 17719: @1224095
     /* 1224095 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1224175), // Rule ID 22774 //
     /* 1224100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224139 */     // MIs[0] round
     /* 1224139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224149 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224174 */     // GIR_Coverage, 22774,
     /* 1224174 */     GIR_EraseRootFromParent_Done,
     /* 1224175 */   // Label 17720: @1224175
     /* 1224175 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1224255), // Rule ID 22777 //
     /* 1224180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224219 */     // MIs[0] round
     /* 1224219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224254 */     // GIR_Coverage, 22777,
     /* 1224254 */     GIR_EraseRootFromParent_Done,
     /* 1224255 */   // Label 17721: @1224255
     /* 1224255 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1224335), // Rule ID 22778 //
     /* 1224260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224299 */     // MIs[0] round
     /* 1224299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224309 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224334 */     // GIR_Coverage, 22778,
     /* 1224334 */     GIR_EraseRootFromParent_Done,
     /* 1224335 */   // Label 17722: @1224335
     /* 1224335 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1224415), // Rule ID 22781 //
     /* 1224340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224379 */     // MIs[0] round
     /* 1224379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224389 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224414 */     // GIR_Coverage, 22781,
     /* 1224414 */     GIR_EraseRootFromParent_Done,
     /* 1224415 */   // Label 17723: @1224415
     /* 1224415 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1224495), // Rule ID 22782 //
     /* 1224420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224459 */     // MIs[0] round
     /* 1224459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224469 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224494 */     // GIR_Coverage, 22782,
     /* 1224494 */     GIR_EraseRootFromParent_Done,
     /* 1224495 */   // Label 17724: @1224495
     /* 1224495 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1224575), // Rule ID 22785 //
     /* 1224500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224539 */     // MIs[0] round
     /* 1224539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1224552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224574 */     // GIR_Coverage, 22785,
     /* 1224574 */     GIR_EraseRootFromParent_Done,
     /* 1224575 */   // Label 17725: @1224575
     /* 1224575 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224655), // Rule ID 22786 //
     /* 1224580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224619 */     // MIs[0] round
     /* 1224619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224629 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1224632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224654 */     // GIR_Coverage, 22786,
     /* 1224654 */     GIR_EraseRootFromParent_Done,
     /* 1224655 */   // Label 17726: @1224655
     /* 1224655 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224735), // Rule ID 22789 //
     /* 1224660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224699 */     // MIs[0] round
     /* 1224699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224709 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1224712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224734 */     // GIR_Coverage, 22789,
     /* 1224734 */     GIR_EraseRootFromParent_Done,
     /* 1224735 */   // Label 17727: @1224735
     /* 1224735 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224815), // Rule ID 22790 //
     /* 1224740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224779 */     // MIs[0] round
     /* 1224779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224789 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1224792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224814 */     // GIR_Coverage, 22790,
     /* 1224814 */     GIR_EraseRootFromParent_Done,
     /* 1224815 */   // Label 17728: @1224815
     /* 1224815 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1224895), // Rule ID 22793 //
     /* 1224820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1224837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224859 */     // MIs[0] round
     /* 1224859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224869 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1224872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224894 */     // GIR_Coverage, 22793,
     /* 1224894 */     GIR_EraseRootFromParent_Done,
     /* 1224895 */   // Label 17729: @1224895
     /* 1224895 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1224975), // Rule ID 22794 //
     /* 1224900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1224917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224939 */     // MIs[0] round
     /* 1224939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224949 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1224952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224974 */     // GIR_Coverage, 22794,
     /* 1224974 */     GIR_EraseRootFromParent_Done,
     /* 1224975 */   // Label 17730: @1224975
     /* 1224975 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1225055), // Rule ID 22797 //
     /* 1224980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225019 */     // MIs[0] round
     /* 1225019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225029 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1225032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225054 */     // GIR_Coverage, 22797,
     /* 1225054 */     GIR_EraseRootFromParent_Done,
     /* 1225055 */   // Label 17731: @1225055
     /* 1225055 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1225135), // Rule ID 22798 //
     /* 1225060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225099 */     // MIs[0] round
     /* 1225099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1225112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225134 */     // GIR_Coverage, 22798,
     /* 1225134 */     GIR_EraseRootFromParent_Done,
     /* 1225135 */   // Label 17732: @1225135
     /* 1225135 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1225215), // Rule ID 22801 //
     /* 1225140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225179 */     // MIs[0] round
     /* 1225179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225189 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225214 */     // GIR_Coverage, 22801,
     /* 1225214 */     GIR_EraseRootFromParent_Done,
     /* 1225215 */   // Label 17733: @1225215
     /* 1225215 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1225295), // Rule ID 22802 //
     /* 1225220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225259 */     // MIs[0] round
     /* 1225259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225269 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225294 */     // GIR_Coverage, 22802,
     /* 1225294 */     GIR_EraseRootFromParent_Done,
     /* 1225295 */   // Label 17734: @1225295
     /* 1225295 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1225375), // Rule ID 22805 //
     /* 1225300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225339 */     // MIs[0] round
     /* 1225339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225349 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225374 */     // GIR_Coverage, 22805,
     /* 1225374 */     GIR_EraseRootFromParent_Done,
     /* 1225375 */   // Label 17735: @1225375
     /* 1225375 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1225455), // Rule ID 22806 //
     /* 1225380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225419 */     // MIs[0] round
     /* 1225419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225429 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225454 */     // GIR_Coverage, 22806,
     /* 1225454 */     GIR_EraseRootFromParent_Done,
     /* 1225455 */   // Label 17736: @1225455
     /* 1225455 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1225535), // Rule ID 22809 //
     /* 1225460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225499 */     // MIs[0] round
     /* 1225499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225534 */     // GIR_Coverage, 22809,
     /* 1225534 */     GIR_EraseRootFromParent_Done,
     /* 1225535 */   // Label 17737: @1225535
     /* 1225535 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225615), // Rule ID 22810 //
     /* 1225540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225579 */     // MIs[0] round
     /* 1225579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225589 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225614 */     // GIR_Coverage, 22810,
     /* 1225614 */     GIR_EraseRootFromParent_Done,
     /* 1225615 */   // Label 17738: @1225615
     /* 1225615 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225695), // Rule ID 22813 //
     /* 1225620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1225637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225659 */     // MIs[0] round
     /* 1225659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1225672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225694 */     // GIR_Coverage, 22813,
     /* 1225694 */     GIR_EraseRootFromParent_Done,
     /* 1225695 */   // Label 17739: @1225695
     /* 1225695 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225775), // Rule ID 22814 //
     /* 1225700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1225717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225739 */     // MIs[0] round
     /* 1225739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225749 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1225752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225774 */     // GIR_Coverage, 22814,
     /* 1225774 */     GIR_EraseRootFromParent_Done,
     /* 1225775 */   // Label 17740: @1225775
     /* 1225775 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1225855), // Rule ID 22817 //
     /* 1225780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1225797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225819 */     // MIs[0] round
     /* 1225819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225829 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1225832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225854 */     // GIR_Coverage, 22817,
     /* 1225854 */     GIR_EraseRootFromParent_Done,
     /* 1225855 */   // Label 17741: @1225855
     /* 1225855 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1225935), // Rule ID 22818 //
     /* 1225860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1225877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225899 */     // MIs[0] round
     /* 1225899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1225912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225934 */     // GIR_Coverage, 22818,
     /* 1225934 */     GIR_EraseRootFromParent_Done,
     /* 1225935 */   // Label 17742: @1225935
     /* 1225935 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1226015), // Rule ID 22941 //
     /* 1225940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225979 */     // MIs[0] round
     /* 1225979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1225992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226014 */     // GIR_Coverage, 22941,
     /* 1226014 */     GIR_EraseRootFromParent_Done,
     /* 1226015 */   // Label 17743: @1226015
     /* 1226015 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1226095), // Rule ID 22942 //
     /* 1226020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226059 */     // MIs[0] round
     /* 1226059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226069 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1226072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226094 */     // GIR_Coverage, 22942,
     /* 1226094 */     GIR_EraseRootFromParent_Done,
     /* 1226095 */   // Label 17744: @1226095
     /* 1226095 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1226175), // Rule ID 22945 //
     /* 1226100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226139 */     // MIs[0] round
     /* 1226139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226149 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226174 */     // GIR_Coverage, 22945,
     /* 1226174 */     GIR_EraseRootFromParent_Done,
     /* 1226175 */   // Label 17745: @1226175
     /* 1226175 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1226255), // Rule ID 22946 //
     /* 1226180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226219 */     // MIs[0] round
     /* 1226219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226254 */     // GIR_Coverage, 22946,
     /* 1226254 */     GIR_EraseRootFromParent_Done,
     /* 1226255 */   // Label 17746: @1226255
     /* 1226255 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1226335), // Rule ID 22949 //
     /* 1226260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226299 */     // MIs[0] round
     /* 1226299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226309 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226334 */     // GIR_Coverage, 22949,
     /* 1226334 */     GIR_EraseRootFromParent_Done,
     /* 1226335 */   // Label 17747: @1226335
     /* 1226335 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1226415), // Rule ID 22950 //
     /* 1226340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226379 */     // MIs[0] round
     /* 1226379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226389 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226414 */     // GIR_Coverage, 22950,
     /* 1226414 */     GIR_EraseRootFromParent_Done,
     /* 1226415 */   // Label 17748: @1226415
     /* 1226415 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1226495), // Rule ID 22953 //
     /* 1226420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226459 */     // MIs[0] round
     /* 1226459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226469 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226494 */     // GIR_Coverage, 22953,
     /* 1226494 */     GIR_EraseRootFromParent_Done,
     /* 1226495 */   // Label 17749: @1226495
     /* 1226495 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1226575), // Rule ID 22954 //
     /* 1226500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226539 */     // MIs[0] round
     /* 1226539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226549 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226574 */     // GIR_Coverage, 22954,
     /* 1226574 */     GIR_EraseRootFromParent_Done,
     /* 1226575 */   // Label 17750: @1226575
     /* 1226575 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226655), // Rule ID 22957 //
     /* 1226580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226619 */     // MIs[0] round
     /* 1226619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226629 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1226632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226654 */     // GIR_Coverage, 22957,
     /* 1226654 */     GIR_EraseRootFromParent_Done,
     /* 1226655 */   // Label 17751: @1226655
     /* 1226655 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226735), // Rule ID 22958 //
     /* 1226660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226699 */     // MIs[0] round
     /* 1226699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226709 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1226712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226734 */     // GIR_Coverage, 22958,
     /* 1226734 */     GIR_EraseRootFromParent_Done,
     /* 1226735 */   // Label 17752: @1226735
     /* 1226735 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1226815), // Rule ID 22961 //
     /* 1226740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226779 */     // MIs[0] round
     /* 1226779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1226792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226814 */     // GIR_Coverage, 22961,
     /* 1226814 */     GIR_EraseRootFromParent_Done,
     /* 1226815 */   // Label 17753: @1226815
     /* 1226815 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1226895), // Rule ID 22962 //
     /* 1226820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226859 */     // MIs[0] round
     /* 1226859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1226872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226894 */     // GIR_Coverage, 22962,
     /* 1226894 */     GIR_EraseRootFromParent_Done,
     /* 1226895 */   // Label 17754: @1226895
     /* 1226895 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1226975), // Rule ID 22965 //
     /* 1226900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226939 */     // MIs[0] round
     /* 1226939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1226952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226974 */     // GIR_Coverage, 22965,
     /* 1226974 */     GIR_EraseRootFromParent_Done,
     /* 1226975 */   // Label 17755: @1226975
     /* 1226975 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1227055), // Rule ID 22966 //
     /* 1226980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227019 */     // MIs[0] round
     /* 1227019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227029 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1227032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227054 */     // GIR_Coverage, 22966,
     /* 1227054 */     GIR_EraseRootFromParent_Done,
     /* 1227055 */   // Label 17756: @1227055
     /* 1227055 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1227135), // Rule ID 22969 //
     /* 1227060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227099 */     // MIs[0] round
     /* 1227099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227134 */     // GIR_Coverage, 22969,
     /* 1227134 */     GIR_EraseRootFromParent_Done,
     /* 1227135 */   // Label 17757: @1227135
     /* 1227135 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1227215), // Rule ID 22970 //
     /* 1227140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227179 */     // MIs[0] round
     /* 1227179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227189 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227214 */     // GIR_Coverage, 22970,
     /* 1227214 */     GIR_EraseRootFromParent_Done,
     /* 1227215 */   // Label 17758: @1227215
     /* 1227215 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1227295), // Rule ID 22973 //
     /* 1227220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227259 */     // MIs[0] round
     /* 1227259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227269 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227294 */     // GIR_Coverage, 22973,
     /* 1227294 */     GIR_EraseRootFromParent_Done,
     /* 1227295 */   // Label 17759: @1227295
     /* 1227295 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1227375), // Rule ID 22974 //
     /* 1227300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227339 */     // MIs[0] round
     /* 1227339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227349 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227374 */     // GIR_Coverage, 22974,
     /* 1227374 */     GIR_EraseRootFromParent_Done,
     /* 1227375 */   // Label 17760: @1227375
     /* 1227375 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1227455), // Rule ID 22977 //
     /* 1227380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227419 */     // MIs[0] round
     /* 1227419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227429 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227454 */     // GIR_Coverage, 22977,
     /* 1227454 */     GIR_EraseRootFromParent_Done,
     /* 1227455 */   // Label 17761: @1227455
     /* 1227455 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1227535), // Rule ID 22978 //
     /* 1227460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227499 */     // MIs[0] round
     /* 1227499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227534 */     // GIR_Coverage, 22978,
     /* 1227534 */     GIR_EraseRootFromParent_Done,
     /* 1227535 */   // Label 17762: @1227535
     /* 1227535 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227615), // Rule ID 22981 //
     /* 1227540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227579 */     // MIs[0] round
     /* 1227579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227589 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1227592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227614 */     // GIR_Coverage, 22981,
     /* 1227614 */     GIR_EraseRootFromParent_Done,
     /* 1227615 */   // Label 17763: @1227615
     /* 1227615 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227695), // Rule ID 22982 //
     /* 1227620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227659 */     // MIs[0] round
     /* 1227659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1227672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227694 */     // GIR_Coverage, 22982,
     /* 1227694 */     GIR_EraseRootFromParent_Done,
     /* 1227695 */   // Label 17764: @1227695
     /* 1227695 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227775), // Rule ID 22985 //
     /* 1227700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227739 */     // MIs[0] round
     /* 1227739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227749 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1227752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227774 */     // GIR_Coverage, 22985,
     /* 1227774 */     GIR_EraseRootFromParent_Done,
     /* 1227775 */   // Label 17765: @1227775
     /* 1227775 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1227855), // Rule ID 22986 //
     /* 1227780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227819 */     // MIs[0] round
     /* 1227819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1227832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227854 */     // GIR_Coverage, 22986,
     /* 1227854 */     GIR_EraseRootFromParent_Done,
     /* 1227855 */   // Label 17766: @1227855
     /* 1227855 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1227935), // Rule ID 22989 //
     /* 1227860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1227877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227899 */     // MIs[0] round
     /* 1227899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227909 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1227912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227934 */     // GIR_Coverage, 22989,
     /* 1227934 */     GIR_EraseRootFromParent_Done,
     /* 1227935 */   // Label 17767: @1227935
     /* 1227935 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1228015), // Rule ID 22990 //
     /* 1227940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1227957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227979 */     // MIs[0] round
     /* 1227979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1227992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228014 */     // GIR_Coverage, 22990,
     /* 1228014 */     GIR_EraseRootFromParent_Done,
     /* 1228015 */   // Label 17768: @1228015
     /* 1228015 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1228095), // Rule ID 22993 //
     /* 1228020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228059 */     // MIs[0] round
     /* 1228059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228094 */     // GIR_Coverage, 22993,
     /* 1228094 */     GIR_EraseRootFromParent_Done,
     /* 1228095 */   // Label 17769: @1228095
     /* 1228095 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1228175), // Rule ID 22994 //
     /* 1228100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228139 */     // MIs[0] round
     /* 1228139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228174 */     // GIR_Coverage, 22994,
     /* 1228174 */     GIR_EraseRootFromParent_Done,
     /* 1228175 */   // Label 17770: @1228175
     /* 1228175 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1228255), // Rule ID 22997 //
     /* 1228180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228219 */     // MIs[0] round
     /* 1228219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228254 */     // GIR_Coverage, 22997,
     /* 1228254 */     GIR_EraseRootFromParent_Done,
     /* 1228255 */   // Label 17771: @1228255
     /* 1228255 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1228335), // Rule ID 22998 //
     /* 1228260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228299 */     // MIs[0] round
     /* 1228299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228309 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228334 */     // GIR_Coverage, 22998,
     /* 1228334 */     GIR_EraseRootFromParent_Done,
     /* 1228335 */   // Label 17772: @1228335
     /* 1228335 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1228415), // Rule ID 23001 //
     /* 1228340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228379 */     // MIs[0] round
     /* 1228379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228389 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228414 */     // GIR_Coverage, 23001,
     /* 1228414 */     GIR_EraseRootFromParent_Done,
     /* 1228415 */   // Label 17773: @1228415
     /* 1228415 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1228495), // Rule ID 23002 //
     /* 1228420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228459 */     // MIs[0] round
     /* 1228459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228469 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228494 */     // GIR_Coverage, 23002,
     /* 1228494 */     GIR_EraseRootFromParent_Done,
     /* 1228495 */   // Label 17774: @1228495
     /* 1228495 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1228575), // Rule ID 23005 //
     /* 1228500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228539 */     // MIs[0] round
     /* 1228539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228549 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1228552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228574 */     // GIR_Coverage, 23005,
     /* 1228574 */     GIR_EraseRootFromParent_Done,
     /* 1228575 */   // Label 17775: @1228575
     /* 1228575 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228655), // Rule ID 23006 //
     /* 1228580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228619 */     // MIs[0] round
     /* 1228619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1228632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228654 */     // GIR_Coverage, 23006,
     /* 1228654 */     GIR_EraseRootFromParent_Done,
     /* 1228655 */   // Label 17776: @1228655
     /* 1228655 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228735), // Rule ID 23009 //
     /* 1228660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228699 */     // MIs[0] round
     /* 1228699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1228712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228734 */     // GIR_Coverage, 23009,
     /* 1228734 */     GIR_EraseRootFromParent_Done,
     /* 1228735 */   // Label 17777: @1228735
     /* 1228735 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1228815), // Rule ID 23010 //
     /* 1228740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228779 */     // MIs[0] round
     /* 1228779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1228792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228814 */     // GIR_Coverage, 23010,
     /* 1228814 */     GIR_EraseRootFromParent_Done,
     /* 1228815 */   // Label 17778: @1228815
     /* 1228815 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1228895), // Rule ID 23013 //
     /* 1228820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228859 */     // MIs[0] round
     /* 1228859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1228872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228894 */     // GIR_Coverage, 23013,
     /* 1228894 */     GIR_EraseRootFromParent_Done,
     /* 1228895 */   // Label 17779: @1228895
     /* 1228895 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1228975), // Rule ID 23014 //
     /* 1228900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228939 */     // MIs[0] round
     /* 1228939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1228952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228974 */     // GIR_Coverage, 23014,
     /* 1228974 */     GIR_EraseRootFromParent_Done,
     /* 1228975 */   // Label 17780: @1228975
     /* 1228975 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1229055), // Rule ID 23017 //
     /* 1228980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229019 */     // MIs[0] round
     /* 1229019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229029 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1229032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229054 */     // GIR_Coverage, 23017,
     /* 1229054 */     GIR_EraseRootFromParent_Done,
     /* 1229055 */   // Label 17781: @1229055
     /* 1229055 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1229135), // Rule ID 23018 //
     /* 1229060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229099 */     // MIs[0] round
     /* 1229099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1229112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229134 */     // GIR_Coverage, 23018,
     /* 1229134 */     GIR_EraseRootFromParent_Done,
     /* 1229135 */   // Label 17782: @1229135
     /* 1229135 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1229215), // Rule ID 23021 //
     /* 1229140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229179 */     // MIs[0] round
     /* 1229179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229189 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229214 */     // GIR_Coverage, 23021,
     /* 1229214 */     GIR_EraseRootFromParent_Done,
     /* 1229215 */   // Label 17783: @1229215
     /* 1229215 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1229295), // Rule ID 23022 //
     /* 1229220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229259 */     // MIs[0] round
     /* 1229259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229269 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229294 */     // GIR_Coverage, 23022,
     /* 1229294 */     GIR_EraseRootFromParent_Done,
     /* 1229295 */   // Label 17784: @1229295
     /* 1229295 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1229375), // Rule ID 23025 //
     /* 1229300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229339 */     // MIs[0] round
     /* 1229339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229349 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229374 */     // GIR_Coverage, 23025,
     /* 1229374 */     GIR_EraseRootFromParent_Done,
     /* 1229375 */   // Label 17785: @1229375
     /* 1229375 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1229455), // Rule ID 23026 //
     /* 1229380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229419 */     // MIs[0] round
     /* 1229419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229429 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229454 */     // GIR_Coverage, 23026,
     /* 1229454 */     GIR_EraseRootFromParent_Done,
     /* 1229455 */   // Label 17786: @1229455
     /* 1229455 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1229535), // Rule ID 64261 //
     /* 1229460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229499 */     // MIs[0] round
     /* 1229499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229509 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229534 */     // GIR_Coverage, 64261,
     /* 1229534 */     GIR_EraseRootFromParent_Done,
     /* 1229535 */   // Label 17787: @1229535
     /* 1229535 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229615), // Rule ID 64262 //
     /* 1229540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229579 */     // MIs[0] round
     /* 1229579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229614 */     // GIR_Coverage, 64262,
     /* 1229614 */     GIR_EraseRootFromParent_Done,
     /* 1229615 */   // Label 17788: @1229615
     /* 1229615 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229695), // Rule ID 64265 //
     /* 1229620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229659 */     // MIs[0] round
     /* 1229659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1229672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229694 */     // GIR_Coverage, 64265,
     /* 1229694 */     GIR_EraseRootFromParent_Done,
     /* 1229695 */   // Label 17789: @1229695
     /* 1229695 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1229775), // Rule ID 64266 //
     /* 1229700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229739 */     // MIs[0] round
     /* 1229739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1229752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229774 */     // GIR_Coverage, 64266,
     /* 1229774 */     GIR_EraseRootFromParent_Done,
     /* 1229775 */   // Label 17790: @1229775
     /* 1229775 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1229855), // Rule ID 64269 //
     /* 1229780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229819 */     // MIs[0] round
     /* 1229819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229829 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1229832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229854 */     // GIR_Coverage, 64269,
     /* 1229854 */     GIR_EraseRootFromParent_Done,
     /* 1229855 */   // Label 17791: @1229855
     /* 1229855 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1229935), // Rule ID 64270 //
     /* 1229860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229899 */     // MIs[0] round
     /* 1229899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229909 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1229912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229934 */     // GIR_Coverage, 64270,
     /* 1229934 */     GIR_EraseRootFromParent_Done,
     /* 1229935 */   // Label 17792: @1229935
     /* 1229935 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1230015), // Rule ID 64273 //
     /* 1229940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1229951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1229954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229979 */     // MIs[0] round
     /* 1229979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1229992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230014 */     // GIR_Coverage, 64273,
     /* 1230014 */     GIR_EraseRootFromParent_Done,
     /* 1230015 */   // Label 17793: @1230015
     /* 1230015 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1230095), // Rule ID 64274 //
     /* 1230020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230059 */     // MIs[0] round
     /* 1230059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1230072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230094 */     // GIR_Coverage, 64274,
     /* 1230094 */     GIR_EraseRootFromParent_Done,
     /* 1230095 */   // Label 17794: @1230095
     /* 1230095 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1230175), // Rule ID 64277 //
     /* 1230100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230139 */     // MIs[0] round
     /* 1230139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230149 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230174 */     // GIR_Coverage, 64277,
     /* 1230174 */     GIR_EraseRootFromParent_Done,
     /* 1230175 */   // Label 17795: @1230175
     /* 1230175 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1230255), // Rule ID 64278 //
     /* 1230180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230219 */     // MIs[0] round
     /* 1230219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230229 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230254 */     // GIR_Coverage, 64278,
     /* 1230254 */     GIR_EraseRootFromParent_Done,
     /* 1230255 */   // Label 17796: @1230255
     /* 1230255 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1230335), // Rule ID 64281 //
     /* 1230260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230299 */     // MIs[0] round
     /* 1230299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230334 */     // GIR_Coverage, 64281,
     /* 1230334 */     GIR_EraseRootFromParent_Done,
     /* 1230335 */   // Label 17797: @1230335
     /* 1230335 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1230415), // Rule ID 64282 //
     /* 1230340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230379 */     // MIs[0] round
     /* 1230379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230389 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230414 */     // GIR_Coverage, 64282,
     /* 1230414 */     GIR_EraseRootFromParent_Done,
     /* 1230415 */   // Label 17798: @1230415
     /* 1230415 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1230495), // Rule ID 64285 //
     /* 1230420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230459 */     // MIs[0] round
     /* 1230459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230469 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230494 */     // GIR_Coverage, 64285,
     /* 1230494 */     GIR_EraseRootFromParent_Done,
     /* 1230495 */   // Label 17799: @1230495
     /* 1230495 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1230575), // Rule ID 64286 //
     /* 1230500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230539 */     // MIs[0] round
     /* 1230539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230549 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230574 */     // GIR_Coverage, 64286,
     /* 1230574 */     GIR_EraseRootFromParent_Done,
     /* 1230575 */   // Label 17800: @1230575
     /* 1230575 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230655), // Rule ID 64289 //
     /* 1230580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230619 */     // MIs[0] round
     /* 1230619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230629 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1230632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230654 */     // GIR_Coverage, 64289,
     /* 1230654 */     GIR_EraseRootFromParent_Done,
     /* 1230655 */   // Label 17801: @1230655
     /* 1230655 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230735), // Rule ID 64290 //
     /* 1230660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230699 */     // MIs[0] round
     /* 1230699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1230712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230734 */     // GIR_Coverage, 64290,
     /* 1230734 */     GIR_EraseRootFromParent_Done,
     /* 1230735 */   // Label 17802: @1230735
     /* 1230735 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1230815), // Rule ID 64293 //
     /* 1230740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230779 */     // MIs[0] round
     /* 1230779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1230792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230814 */     // GIR_Coverage, 64293,
     /* 1230814 */     GIR_EraseRootFromParent_Done,
     /* 1230815 */   // Label 17803: @1230815
     /* 1230815 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1230895), // Rule ID 64294 //
     /* 1230820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230859 */     // MIs[0] round
     /* 1230859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11013:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1230872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230894 */     // GIR_Coverage, 64294,
     /* 1230894 */     GIR_EraseRootFromParent_Done,
     /* 1230895 */   // Label 17804: @1230895
     /* 1230895 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1230975), // Rule ID 64297 //
     /* 1230900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230939 */     // MIs[0] round
     /* 1230939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11013:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1230952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230974 */     // GIR_Coverage, 64297,
     /* 1230974 */     GIR_EraseRootFromParent_Done,
     /* 1230975 */   // Label 17805: @1230975
     /* 1230975 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1231055), // Rule ID 64298 //
     /* 1230980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231019 */     // MIs[0] round
     /* 1231019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231029 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11013:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1231032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231054 */     // GIR_Coverage, 64298,
     /* 1231054 */     GIR_EraseRootFromParent_Done,
     /* 1231055 */   // Label 17806: @1231055
     /* 1231055 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1231139), // Rule ID 2601 //
     /* 1231060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231113 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231138 */     // GIR_Coverage, 2601,
     /* 1231138 */     GIR_EraseRootFromParent_Done,
     /* 1231139 */   // Label 17807: @1231139
     /* 1231139 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1231223), // Rule ID 2602 //
     /* 1231144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231197 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231222 */     // GIR_Coverage, 2602,
     /* 1231222 */     GIR_EraseRootFromParent_Done,
     /* 1231223 */   // Label 17808: @1231223
     /* 1231223 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1231307), // Rule ID 2613 //
     /* 1231228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231281 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231306 */     // GIR_Coverage, 2613,
     /* 1231306 */     GIR_EraseRootFromParent_Done,
     /* 1231307 */   // Label 17809: @1231307
     /* 1231307 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1231391), // Rule ID 2614 //
     /* 1231312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231390 */     // GIR_Coverage, 2614,
     /* 1231390 */     GIR_EraseRootFromParent_Done,
     /* 1231391 */   // Label 17810: @1231391
     /* 1231391 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1231472), // Rule ID 2615 //
     /* 1231396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231471 */     // GIR_Coverage, 2615,
     /* 1231471 */     GIR_EraseRootFromParent_Done,
     /* 1231472 */   // Label 17811: @1231472
     /* 1231472 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1231553), // Rule ID 2616 //
     /* 1231477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231552 */     // GIR_Coverage, 2616,
     /* 1231552 */     GIR_EraseRootFromParent_Done,
     /* 1231553 */   // Label 17812: @1231553
     /* 1231553 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231637), // Rule ID 2665 //
     /* 1231558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1231566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1231614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231636 */     // GIR_Coverage, 2665,
     /* 1231636 */     GIR_EraseRootFromParent_Done,
     /* 1231637 */   // Label 17813: @1231637
     /* 1231637 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231721), // Rule ID 2666 //
     /* 1231642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1231650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231695 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1231698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231720 */     // GIR_Coverage, 2666,
     /* 1231720 */     GIR_EraseRootFromParent_Done,
     /* 1231721 */   // Label 17814: @1231721
     /* 1231721 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1231802), // Rule ID 4993 //
     /* 1231726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1231737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1231740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1231743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1231746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1231782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231801 */     // GIR_Coverage, 4993,
     /* 1231801 */     GIR_EraseRootFromParent_Done,
     /* 1231802 */   // Label 17815: @1231802
     /* 1231802 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1231883), // Rule ID 4994 //
     /* 1231807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1231818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1231821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1231824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1231827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1231863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231882 */     // GIR_Coverage, 4994,
     /* 1231882 */     GIR_EraseRootFromParent_Done,
     /* 1231883 */   // Label 17816: @1231883
     /* 1231883 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1231964), // Rule ID 4995 //
     /* 1231888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1231899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1231902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1231905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1231908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231941 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1231944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231963 */     // GIR_Coverage, 4995,
     /* 1231963 */     GIR_EraseRootFromParent_Done,
     /* 1231964 */   // Label 17817: @1231964
     /* 1231964 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1232045), // Rule ID 4996 //
     /* 1231969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1231980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1231983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1231986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1231989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232022 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232044 */     // GIR_Coverage, 4996,
     /* 1232044 */     GIR_EraseRootFromParent_Done,
     /* 1232045 */   // Label 17818: @1232045
     /* 1232045 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1232126), // Rule ID 4997 //
     /* 1232050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232103 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232125 */     // GIR_Coverage, 4997,
     /* 1232125 */     GIR_EraseRootFromParent_Done,
     /* 1232126 */   // Label 17819: @1232126
     /* 1232126 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1232207), // Rule ID 4998 //
     /* 1232131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232206 */     // GIR_Coverage, 4998,
     /* 1232206 */     GIR_EraseRootFromParent_Done,
     /* 1232207 */   // Label 17820: @1232207
     /* 1232207 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1232288), // Rule ID 4999 //
     /* 1232212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232265 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232287 */     // GIR_Coverage, 4999,
     /* 1232287 */     GIR_EraseRootFromParent_Done,
     /* 1232288 */   // Label 17821: @1232288
     /* 1232288 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1232369), // Rule ID 5000 //
     /* 1232293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232368 */     // GIR_Coverage, 5000,
     /* 1232368 */     GIR_EraseRootFromParent_Done,
     /* 1232369 */   // Label 17822: @1232369
     /* 1232369 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1232450), // Rule ID 5001 //
     /* 1232374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232449 */     // GIR_Coverage, 5001,
     /* 1232449 */     GIR_EraseRootFromParent_Done,
     /* 1232450 */   // Label 17823: @1232450
     /* 1232450 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1232531), // Rule ID 5002 //
     /* 1232455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232508 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232530 */     // GIR_Coverage, 5002,
     /* 1232530 */     GIR_EraseRootFromParent_Done,
     /* 1232531 */   // Label 17824: @1232531
     /* 1232531 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1232612), // Rule ID 5003 //
     /* 1232536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1232553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232611 */     // GIR_Coverage, 5003,
     /* 1232611 */     GIR_EraseRootFromParent_Done,
     /* 1232612 */   // Label 17825: @1232612
     /* 1232612 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232693), // Rule ID 5004 //
     /* 1232617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1232634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232692 */     // GIR_Coverage, 5004,
     /* 1232692 */     GIR_EraseRootFromParent_Done,
     /* 1232693 */   // Label 17826: @1232693
     /* 1232693 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1232774), // Rule ID 5005 //
     /* 1232698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1232709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1232712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1232718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232751 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232773 */     // GIR_Coverage, 5005,
     /* 1232773 */     GIR_EraseRootFromParent_Done,
     /* 1232774 */   // Label 17827: @1232774
     /* 1232774 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1232855), // Rule ID 5006 //
     /* 1232779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1232790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1232793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1232799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232854 */     // GIR_Coverage, 5006,
     /* 1232854 */     GIR_EraseRootFromParent_Done,
     /* 1232855 */   // Label 17828: @1232855
     /* 1232855 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1232936), // Rule ID 5007 //
     /* 1232860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232935 */     // GIR_Coverage, 5007,
     /* 1232935 */     GIR_EraseRootFromParent_Done,
     /* 1232936 */   // Label 17829: @1232936
     /* 1232936 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1233017), // Rule ID 5008 //
     /* 1232941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233016 */     // GIR_Coverage, 5008,
     /* 1233016 */     GIR_EraseRootFromParent_Done,
     /* 1233017 */   // Label 17830: @1233017
     /* 1233017 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1233098), // Rule ID 5009 //
     /* 1233022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1233025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233097 */     // GIR_Coverage, 5009,
     /* 1233097 */     GIR_EraseRootFromParent_Done,
     /* 1233098 */   // Label 17831: @1233098
     /* 1233098 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1233179), // Rule ID 5010 //
     /* 1233103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1233106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233178 */     // GIR_Coverage, 5010,
     /* 1233178 */     GIR_EraseRootFromParent_Done,
     /* 1233179 */   // Label 17832: @1233179
     /* 1233179 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1233260), // Rule ID 5011 //
     /* 1233184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233237 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233259 */     // GIR_Coverage, 5011,
     /* 1233259 */     GIR_EraseRootFromParent_Done,
     /* 1233260 */   // Label 17833: @1233260
     /* 1233260 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1233341), // Rule ID 5012 //
     /* 1233265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233318 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233340 */     // GIR_Coverage, 5012,
     /* 1233340 */     GIR_EraseRootFromParent_Done,
     /* 1233341 */   // Label 17834: @1233341
     /* 1233341 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1233422), // Rule ID 5013 //
     /* 1233346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233399 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233421 */     // GIR_Coverage, 5013,
     /* 1233421 */     GIR_EraseRootFromParent_Done,
     /* 1233422 */   // Label 17835: @1233422
     /* 1233422 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1233503), // Rule ID 5014 //
     /* 1233427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233502 */     // GIR_Coverage, 5014,
     /* 1233502 */     GIR_EraseRootFromParent_Done,
     /* 1233503 */   // Label 17836: @1233503
     /* 1233503 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1233584), // Rule ID 5015 //
     /* 1233508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233561 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233583 */     // GIR_Coverage, 5015,
     /* 1233583 */     GIR_EraseRootFromParent_Done,
     /* 1233584 */   // Label 17837: @1233584
     /* 1233584 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233665), // Rule ID 5016 //
     /* 1233589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233642 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233664 */     // GIR_Coverage, 5016,
     /* 1233664 */     GIR_EraseRootFromParent_Done,
     /* 1233665 */   // Label 17838: @1233665
     /* 1233665 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233746), // Rule ID 5017 //
     /* 1233670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1233681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1233684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1233690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233745 */     // GIR_Coverage, 5017,
     /* 1233745 */     GIR_EraseRootFromParent_Done,
     /* 1233746 */   // Label 17839: @1233746
     /* 1233746 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1233827), // Rule ID 5018 //
     /* 1233751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1233762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1233765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1233771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233804 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233826 */     // GIR_Coverage, 5018,
     /* 1233826 */     GIR_EraseRootFromParent_Done,
     /* 1233827 */   // Label 17840: @1233827
     /* 1233827 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1233908), // Rule ID 5019 //
     /* 1233832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1233843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1233846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1233852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233907 */     // GIR_Coverage, 5019,
     /* 1233907 */     GIR_EraseRootFromParent_Done,
     /* 1233908 */   // Label 17841: @1233908
     /* 1233908 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1233989), // Rule ID 5020 //
     /* 1233913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1233924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1233927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1233933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233988 */     // GIR_Coverage, 5020,
     /* 1233988 */     GIR_EraseRootFromParent_Done,
     /* 1233989 */   // Label 17842: @1233989
     /* 1233989 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1234070), // Rule ID 5021 //
     /* 1233994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1234005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1234008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1234014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234047 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234069 */     // GIR_Coverage, 5021,
     /* 1234069 */     GIR_EraseRootFromParent_Done,
     /* 1234070 */   // Label 17843: @1234070
     /* 1234070 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1234151), // Rule ID 5022 //
     /* 1234075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1234086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1234089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1234095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234150 */     // GIR_Coverage, 5022,
     /* 1234150 */     GIR_EraseRootFromParent_Done,
     /* 1234151 */   // Label 17844: @1234151
     /* 1234151 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1234232), // Rule ID 5023 //
     /* 1234156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234231 */     // GIR_Coverage, 5023,
     /* 1234231 */     GIR_EraseRootFromParent_Done,
     /* 1234232 */   // Label 17845: @1234232
     /* 1234232 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1234313), // Rule ID 5024 //
     /* 1234237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234312 */     // GIR_Coverage, 5024,
     /* 1234312 */     GIR_EraseRootFromParent_Done,
     /* 1234313 */   // Label 17846: @1234313
     /* 1234313 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1234394), // Rule ID 5025 //
     /* 1234318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234393 */     // GIR_Coverage, 5025,
     /* 1234393 */     GIR_EraseRootFromParent_Done,
     /* 1234394 */   // Label 17847: @1234394
     /* 1234394 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1234475), // Rule ID 5026 //
     /* 1234399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234474 */     // GIR_Coverage, 5026,
     /* 1234474 */     GIR_EraseRootFromParent_Done,
     /* 1234475 */   // Label 17848: @1234475
     /* 1234475 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1234556), // Rule ID 5027 //
     /* 1234480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234533 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234555 */     // GIR_Coverage, 5027,
     /* 1234555 */     GIR_EraseRootFromParent_Done,
     /* 1234556 */   // Label 17849: @1234556
     /* 1234556 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1234637), // Rule ID 5028 //
     /* 1234561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234636 */     // GIR_Coverage, 5028,
     /* 1234636 */     GIR_EraseRootFromParent_Done,
     /* 1234637 */   // Label 17850: @1234637
     /* 1234637 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234718), // Rule ID 5029 //
     /* 1234642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1234653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1234656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1234662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234695 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234717 */     // GIR_Coverage, 5029,
     /* 1234717 */     GIR_EraseRootFromParent_Done,
     /* 1234718 */   // Label 17851: @1234718
     /* 1234718 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1234799), // Rule ID 5030 //
     /* 1234723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1234726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1234734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1234737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1234743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234798 */     // GIR_Coverage, 5030,
     /* 1234798 */     GIR_EraseRootFromParent_Done,
     /* 1234799 */   // Label 17852: @1234799
     /* 1234799 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1234880), // Rule ID 5031 //
     /* 1234804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1234815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1234818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1234821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1234824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234879 */     // GIR_Coverage, 5031,
     /* 1234879 */     GIR_EraseRootFromParent_Done,
     /* 1234880 */   // Label 17853: @1234880
     /* 1234880 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1234961), // Rule ID 5032 //
     /* 1234885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1234888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1234896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1234899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1234902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1234905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234960 */     // GIR_Coverage, 5032,
     /* 1234960 */     GIR_EraseRootFromParent_Done,
     /* 1234961 */   // Label 17854: @1234961
     /* 1234961 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1235042), // Rule ID 5033 //
     /* 1234966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1234977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1234980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1234983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1234986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235041 */     // GIR_Coverage, 5033,
     /* 1235041 */     GIR_EraseRootFromParent_Done,
     /* 1235042 */   // Label 17855: @1235042
     /* 1235042 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1235123), // Rule ID 5034 //
     /* 1235047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1235058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1235061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1235067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235122 */     // GIR_Coverage, 5034,
     /* 1235122 */     GIR_EraseRootFromParent_Done,
     /* 1235123 */   // Label 17856: @1235123
     /* 1235123 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1235204), // Rule ID 5035 //
     /* 1235128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235181 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235203 */     // GIR_Coverage, 5035,
     /* 1235203 */     GIR_EraseRootFromParent_Done,
     /* 1235204 */   // Label 17857: @1235204
     /* 1235204 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1235285), // Rule ID 5036 //
     /* 1235209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235284 */     // GIR_Coverage, 5036,
     /* 1235284 */     GIR_EraseRootFromParent_Done,
     /* 1235285 */   // Label 17858: @1235285
     /* 1235285 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1235366), // Rule ID 5037 //
     /* 1235290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235343 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235365 */     // GIR_Coverage, 5037,
     /* 1235365 */     GIR_EraseRootFromParent_Done,
     /* 1235366 */   // Label 17859: @1235366
     /* 1235366 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1235447), // Rule ID 5038 //
     /* 1235371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235446 */     // GIR_Coverage, 5038,
     /* 1235446 */     GIR_EraseRootFromParent_Done,
     /* 1235447 */   // Label 17860: @1235447
     /* 1235447 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1235528), // Rule ID 5039 //
     /* 1235452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235505 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235527 */     // GIR_Coverage, 5039,
     /* 1235527 */     GIR_EraseRootFromParent_Done,
     /* 1235528 */   // Label 17861: @1235528
     /* 1235528 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1235609), // Rule ID 5040 //
     /* 1235533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235608 */     // GIR_Coverage, 5040,
     /* 1235608 */     GIR_EraseRootFromParent_Done,
     /* 1235609 */   // Label 17862: @1235609
     /* 1235609 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235690), // Rule ID 5041 //
     /* 1235614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1235625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1235628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235667 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235689 */     // GIR_Coverage, 5041,
     /* 1235689 */     GIR_EraseRootFromParent_Done,
     /* 1235690 */   // Label 17863: @1235690
     /* 1235690 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1235771), // Rule ID 5042 //
     /* 1235695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1235706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1235709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235748 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235770 */     // GIR_Coverage, 5042,
     /* 1235770 */     GIR_EraseRootFromParent_Done,
     /* 1235771 */   // Label 17864: @1235771
     /* 1235771 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1235852), // Rule ID 5043 //
     /* 1235776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1235787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1235790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1235793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235851 */     // GIR_Coverage, 5043,
     /* 1235851 */     GIR_EraseRootFromParent_Done,
     /* 1235852 */   // Label 17865: @1235852
     /* 1235852 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1235933), // Rule ID 5044 //
     /* 1235857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1235868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1235871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1235874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235910 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235932 */     // GIR_Coverage, 5044,
     /* 1235932 */     GIR_EraseRootFromParent_Done,
     /* 1235933 */   // Label 17866: @1235933
     /* 1235933 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1236014), // Rule ID 5045 //
     /* 1235938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1235949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1235952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235991 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236013 */     // GIR_Coverage, 5045,
     /* 1236013 */     GIR_EraseRootFromParent_Done,
     /* 1236014 */   // Label 17867: @1236014
     /* 1236014 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1236095), // Rule ID 5046 //
     /* 1236019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1236030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1236033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1236036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236094 */     // GIR_Coverage, 5046,
     /* 1236094 */     GIR_EraseRootFromParent_Done,
     /* 1236095 */   // Label 17868: @1236095
     /* 1236095 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1236176), // Rule ID 5047 //
     /* 1236100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236175 */     // GIR_Coverage, 5047,
     /* 1236175 */     GIR_EraseRootFromParent_Done,
     /* 1236176 */   // Label 17869: @1236176
     /* 1236176 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1236257), // Rule ID 5048 //
     /* 1236181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236256 */     // GIR_Coverage, 5048,
     /* 1236256 */     GIR_EraseRootFromParent_Done,
     /* 1236257 */   // Label 17870: @1236257
     /* 1236257 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1236338), // Rule ID 5049 //
     /* 1236262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236337 */     // GIR_Coverage, 5049,
     /* 1236337 */     GIR_EraseRootFromParent_Done,
     /* 1236338 */   // Label 17871: @1236338
     /* 1236338 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1236419), // Rule ID 5050 //
     /* 1236343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236418 */     // GIR_Coverage, 5050,
     /* 1236418 */     GIR_EraseRootFromParent_Done,
     /* 1236419 */   // Label 17872: @1236419
     /* 1236419 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1236500), // Rule ID 5051 //
     /* 1236424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236499 */     // GIR_Coverage, 5051,
     /* 1236499 */     GIR_EraseRootFromParent_Done,
     /* 1236500 */   // Label 17873: @1236500
     /* 1236500 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1236581), // Rule ID 5052 //
     /* 1236505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236580 */     // GIR_Coverage, 5052,
     /* 1236580 */     GIR_EraseRootFromParent_Done,
     /* 1236581 */   // Label 17874: @1236581
     /* 1236581 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1236662), // Rule ID 5053 //
     /* 1236586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1236603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236661 */     // GIR_Coverage, 5053,
     /* 1236661 */     GIR_EraseRootFromParent_Done,
     /* 1236662 */   // Label 17875: @1236662
     /* 1236662 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236743), // Rule ID 5054 //
     /* 1236667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1236670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1236684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236742 */     // GIR_Coverage, 5054,
     /* 1236742 */     GIR_EraseRootFromParent_Done,
     /* 1236743 */   // Label 17876: @1236743
     /* 1236743 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1236824), // Rule ID 5055 //
     /* 1236748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1236759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1236762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1236765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236801 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236823 */     // GIR_Coverage, 5055,
     /* 1236823 */     GIR_EraseRootFromParent_Done,
     /* 1236824 */   // Label 17877: @1236824
     /* 1236824 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1236905), // Rule ID 5056 //
     /* 1236829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1236840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1236843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1236846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236882 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236904 */     // GIR_Coverage, 5056,
     /* 1236904 */     GIR_EraseRootFromParent_Done,
     /* 1236905 */   // Label 17878: @1236905
     /* 1236905 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1236986), // Rule ID 5057 //
     /* 1236910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1236921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1236924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1236927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1236933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236963 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1236966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236985 */     // GIR_Coverage, 5057,
     /* 1236985 */     GIR_EraseRootFromParent_Done,
     /* 1236986 */   // Label 17879: @1236986
     /* 1236986 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1237067), // Rule ID 5058 //
     /* 1236991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1237002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1237005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1237008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237044 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237066 */     // GIR_Coverage, 5058,
     /* 1237066 */     GIR_EraseRootFromParent_Done,
     /* 1237067 */   // Label 17880: @1237067
     /* 1237067 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1237148), // Rule ID 5059 //
     /* 1237072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237125 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237147 */     // GIR_Coverage, 5059,
     /* 1237147 */     GIR_EraseRootFromParent_Done,
     /* 1237148 */   // Label 17881: @1237148
     /* 1237148 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1237229), // Rule ID 5060 //
     /* 1237153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237206 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237228 */     // GIR_Coverage, 5060,
     /* 1237228 */     GIR_EraseRootFromParent_Done,
     /* 1237229 */   // Label 17882: @1237229
     /* 1237229 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1237310), // Rule ID 5061 //
     /* 1237234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237309 */     // GIR_Coverage, 5061,
     /* 1237309 */     GIR_EraseRootFromParent_Done,
     /* 1237310 */   // Label 17883: @1237310
     /* 1237310 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1237391), // Rule ID 5062 //
     /* 1237315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237390 */     // GIR_Coverage, 5062,
     /* 1237390 */     GIR_EraseRootFromParent_Done,
     /* 1237391 */   // Label 17884: @1237391
     /* 1237391 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1237472), // Rule ID 5063 //
     /* 1237396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237471 */     // GIR_Coverage, 5063,
     /* 1237471 */     GIR_EraseRootFromParent_Done,
     /* 1237472 */   // Label 17885: @1237472
     /* 1237472 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1237553), // Rule ID 5064 //
     /* 1237477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237552 */     // GIR_Coverage, 5064,
     /* 1237552 */     GIR_EraseRootFromParent_Done,
     /* 1237553 */   // Label 17886: @1237553
     /* 1237553 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1237634), // Rule ID 5065 //
     /* 1237558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237611 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237633 */     // GIR_Coverage, 5065,
     /* 1237633 */     GIR_EraseRootFromParent_Done,
     /* 1237634 */   // Label 17887: @1237634
     /* 1237634 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237715), // Rule ID 5066 //
     /* 1237639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237692 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237714 */     // GIR_Coverage, 5066,
     /* 1237714 */     GIR_EraseRootFromParent_Done,
     /* 1237715 */   // Label 17888: @1237715
     /* 1237715 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1237796), // Rule ID 5067 //
     /* 1237720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1237731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1237734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1237737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237795 */     // GIR_Coverage, 5067,
     /* 1237795 */     GIR_EraseRootFromParent_Done,
     /* 1237796 */   // Label 17889: @1237796
     /* 1237796 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1237877), // Rule ID 5068 //
     /* 1237801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1237812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1237815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1237818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237876 */     // GIR_Coverage, 5068,
     /* 1237876 */     GIR_EraseRootFromParent_Done,
     /* 1237877 */   // Label 17890: @1237877
     /* 1237877 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1237958), // Rule ID 5069 //
     /* 1237882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1237893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1237896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1237899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237957 */     // GIR_Coverage, 5069,
     /* 1237957 */     GIR_EraseRootFromParent_Done,
     /* 1237958 */   // Label 17891: @1237958
     /* 1237958 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1238039), // Rule ID 5070 //
     /* 1237963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1237974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1237977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1237980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238038 */     // GIR_Coverage, 5070,
     /* 1238038 */     GIR_EraseRootFromParent_Done,
     /* 1238039 */   // Label 17892: @1238039
     /* 1238039 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1238120), // Rule ID 5071 //
     /* 1238044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238119 */     // GIR_Coverage, 5071,
     /* 1238119 */     GIR_EraseRootFromParent_Done,
     /* 1238120 */   // Label 17893: @1238120
     /* 1238120 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1238201), // Rule ID 5072 //
     /* 1238125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238200 */     // GIR_Coverage, 5072,
     /* 1238200 */     GIR_EraseRootFromParent_Done,
     /* 1238201 */   // Label 17894: @1238201
     /* 1238201 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1238282), // Rule ID 5073 //
     /* 1238206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238281 */     // GIR_Coverage, 5073,
     /* 1238281 */     GIR_EraseRootFromParent_Done,
     /* 1238282 */   // Label 17895: @1238282
     /* 1238282 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1238363), // Rule ID 5074 //
     /* 1238287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238362 */     // GIR_Coverage, 5074,
     /* 1238362 */     GIR_EraseRootFromParent_Done,
     /* 1238363 */   // Label 17896: @1238363
     /* 1238363 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1238444), // Rule ID 5075 //
     /* 1238368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238443 */     // GIR_Coverage, 5075,
     /* 1238443 */     GIR_EraseRootFromParent_Done,
     /* 1238444 */   // Label 17897: @1238444
     /* 1238444 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1238525), // Rule ID 5076 //
     /* 1238449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238524 */     // GIR_Coverage, 5076,
     /* 1238524 */     GIR_EraseRootFromParent_Done,
     /* 1238525 */   // Label 17898: @1238525
     /* 1238525 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1238606), // Rule ID 5077 //
     /* 1238530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1238541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1238544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1238547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238605 */     // GIR_Coverage, 5077,
     /* 1238605 */     GIR_EraseRootFromParent_Done,
     /* 1238606 */   // Label 17899: @1238606
     /* 1238606 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1238687), // Rule ID 5078 //
     /* 1238611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1238622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1238625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1238628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238664 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238686 */     // GIR_Coverage, 5078,
     /* 1238686 */     GIR_EraseRootFromParent_Done,
     /* 1238687 */   // Label 17900: @1238687
     /* 1238687 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1238768), // Rule ID 5383 //
     /* 1238692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238745 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1238748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238767 */     // GIR_Coverage, 5383,
     /* 1238767 */     GIR_EraseRootFromParent_Done,
     /* 1238768 */   // Label 17901: @1238768
     /* 1238768 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1238849), // Rule ID 5384 //
     /* 1238773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238826 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1238829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238848 */     // GIR_Coverage, 5384,
     /* 1238848 */     GIR_EraseRootFromParent_Done,
     /* 1238849 */   // Label 17902: @1238849
     /* 1238849 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1238930), // Rule ID 5385 //
     /* 1238854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238907 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1238910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238929 */     // GIR_Coverage, 5385,
     /* 1238929 */     GIR_EraseRootFromParent_Done,
     /* 1238930 */   // Label 17903: @1238930
     /* 1238930 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1239011), // Rule ID 5386 //
     /* 1238935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1238991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239010 */     // GIR_Coverage, 5386,
     /* 1239010 */     GIR_EraseRootFromParent_Done,
     /* 1239011 */   // Label 17904: @1239011
     /* 1239011 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1239092), // Rule ID 5387 //
     /* 1239016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239069 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239091 */     // GIR_Coverage, 5387,
     /* 1239091 */     GIR_EraseRootFromParent_Done,
     /* 1239092 */   // Label 17905: @1239092
     /* 1239092 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1239173), // Rule ID 5388 //
     /* 1239097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239172 */     // GIR_Coverage, 5388,
     /* 1239172 */     GIR_EraseRootFromParent_Done,
     /* 1239173 */   // Label 17906: @1239173
     /* 1239173 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1239254), // Rule ID 5389 //
     /* 1239178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239253 */     // GIR_Coverage, 5389,
     /* 1239253 */     GIR_EraseRootFromParent_Done,
     /* 1239254 */   // Label 17907: @1239254
     /* 1239254 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1239335), // Rule ID 5390 //
     /* 1239259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239334 */     // GIR_Coverage, 5390,
     /* 1239334 */     GIR_EraseRootFromParent_Done,
     /* 1239335 */   // Label 17908: @1239335
     /* 1239335 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1239416), // Rule ID 5391 //
     /* 1239340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239415 */     // GIR_Coverage, 5391,
     /* 1239415 */     GIR_EraseRootFromParent_Done,
     /* 1239416 */   // Label 17909: @1239416
     /* 1239416 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1239497), // Rule ID 5392 //
     /* 1239421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239496 */     // GIR_Coverage, 5392,
     /* 1239496 */     GIR_EraseRootFromParent_Done,
     /* 1239497 */   // Label 17910: @1239497
     /* 1239497 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1239578), // Rule ID 5393 //
     /* 1239502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239555 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239577 */     // GIR_Coverage, 5393,
     /* 1239577 */     GIR_EraseRootFromParent_Done,
     /* 1239578 */   // Label 17911: @1239578
     /* 1239578 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1239659), // Rule ID 5394 //
     /* 1239583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239658 */     // GIR_Coverage, 5394,
     /* 1239658 */     GIR_EraseRootFromParent_Done,
     /* 1239659 */   // Label 17912: @1239659
     /* 1239659 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239740), // Rule ID 5395 //
     /* 1239664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239739 */     // GIR_Coverage, 5395,
     /* 1239739 */     GIR_EraseRootFromParent_Done,
     /* 1239740 */   // Label 17913: @1239740
     /* 1239740 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1239821), // Rule ID 5396 //
     /* 1239745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239820 */     // GIR_Coverage, 5396,
     /* 1239820 */     GIR_EraseRootFromParent_Done,
     /* 1239821 */   // Label 17914: @1239821
     /* 1239821 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1239902), // Rule ID 5397 //
     /* 1239826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239901 */     // GIR_Coverage, 5397,
     /* 1239901 */     GIR_EraseRootFromParent_Done,
     /* 1239902 */   // Label 17915: @1239902
     /* 1239902 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1239983), // Rule ID 5398 //
     /* 1239907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239982 */     // GIR_Coverage, 5398,
     /* 1239982 */     GIR_EraseRootFromParent_Done,
     /* 1239983 */   // Label 17916: @1239983
     /* 1239983 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1240064), // Rule ID 5399 //
     /* 1239988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1239999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240063 */     // GIR_Coverage, 5399,
     /* 1240063 */     GIR_EraseRootFromParent_Done,
     /* 1240064 */   // Label 17917: @1240064
     /* 1240064 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1240145), // Rule ID 5400 //
     /* 1240069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240144 */     // GIR_Coverage, 5400,
     /* 1240144 */     GIR_EraseRootFromParent_Done,
     /* 1240145 */   // Label 17918: @1240145
     /* 1240145 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1240226), // Rule ID 5401 //
     /* 1240150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240225 */     // GIR_Coverage, 5401,
     /* 1240225 */     GIR_EraseRootFromParent_Done,
     /* 1240226 */   // Label 17919: @1240226
     /* 1240226 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1240307), // Rule ID 5402 //
     /* 1240231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240306 */     // GIR_Coverage, 5402,
     /* 1240306 */     GIR_EraseRootFromParent_Done,
     /* 1240307 */   // Label 17920: @1240307
     /* 1240307 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1240388), // Rule ID 5403 //
     /* 1240312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240365 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240387 */     // GIR_Coverage, 5403,
     /* 1240387 */     GIR_EraseRootFromParent_Done,
     /* 1240388 */   // Label 17921: @1240388
     /* 1240388 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1240469), // Rule ID 5404 //
     /* 1240393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240446 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240468 */     // GIR_Coverage, 5404,
     /* 1240468 */     GIR_EraseRootFromParent_Done,
     /* 1240469 */   // Label 17922: @1240469
     /* 1240469 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1240550), // Rule ID 5405 //
     /* 1240474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240527 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240549 */     // GIR_Coverage, 5405,
     /* 1240549 */     GIR_EraseRootFromParent_Done,
     /* 1240550 */   // Label 17923: @1240550
     /* 1240550 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1240631), // Rule ID 5406 //
     /* 1240555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240608 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240630 */     // GIR_Coverage, 5406,
     /* 1240630 */     GIR_EraseRootFromParent_Done,
     /* 1240631 */   // Label 17924: @1240631
     /* 1240631 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240712), // Rule ID 5407 //
     /* 1240636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240711 */     // GIR_Coverage, 5407,
     /* 1240711 */     GIR_EraseRootFromParent_Done,
     /* 1240712 */   // Label 17925: @1240712
     /* 1240712 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1240793), // Rule ID 5408 //
     /* 1240717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240770 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240792 */     // GIR_Coverage, 5408,
     /* 1240792 */     GIR_EraseRootFromParent_Done,
     /* 1240793 */   // Label 17926: @1240793
     /* 1240793 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1240874), // Rule ID 5409 //
     /* 1240798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240873 */     // GIR_Coverage, 5409,
     /* 1240873 */     GIR_EraseRootFromParent_Done,
     /* 1240874 */   // Label 17927: @1240874
     /* 1240874 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1240955), // Rule ID 5410 //
     /* 1240879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240932 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240954 */     // GIR_Coverage, 5410,
     /* 1240954 */     GIR_EraseRootFromParent_Done,
     /* 1240955 */   // Label 17928: @1240955
     /* 1240955 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1241036), // Rule ID 5411 //
     /* 1240960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1240971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1240974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1240977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1240980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241013 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241035 */     // GIR_Coverage, 5411,
     /* 1241035 */     GIR_EraseRootFromParent_Done,
     /* 1241036 */   // Label 17929: @1241036
     /* 1241036 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1241117), // Rule ID 5412 //
     /* 1241041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1241061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241094 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241116 */     // GIR_Coverage, 5412,
     /* 1241116 */     GIR_EraseRootFromParent_Done,
     /* 1241117 */   // Label 17930: @1241117
     /* 1241117 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1241198), // Rule ID 5413 //
     /* 1241122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241175 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241197 */     // GIR_Coverage, 5413,
     /* 1241197 */     GIR_EraseRootFromParent_Done,
     /* 1241198 */   // Label 17931: @1241198
     /* 1241198 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1241279), // Rule ID 5414 //
     /* 1241203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241256 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241278 */     // GIR_Coverage, 5414,
     /* 1241278 */     GIR_EraseRootFromParent_Done,
     /* 1241279 */   // Label 17932: @1241279
     /* 1241279 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1241360), // Rule ID 5415 //
     /* 1241284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241359 */     // GIR_Coverage, 5415,
     /* 1241359 */     GIR_EraseRootFromParent_Done,
     /* 1241360 */   // Label 17933: @1241360
     /* 1241360 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1241441), // Rule ID 5416 //
     /* 1241365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241440 */     // GIR_Coverage, 5416,
     /* 1241440 */     GIR_EraseRootFromParent_Done,
     /* 1241441 */   // Label 17934: @1241441
     /* 1241441 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1241522), // Rule ID 5417 //
     /* 1241446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241521 */     // GIR_Coverage, 5417,
     /* 1241521 */     GIR_EraseRootFromParent_Done,
     /* 1241522 */   // Label 17935: @1241522
     /* 1241522 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1241603), // Rule ID 5418 //
     /* 1241527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241602 */     // GIR_Coverage, 5418,
     /* 1241602 */     GIR_EraseRootFromParent_Done,
     /* 1241603 */   // Label 17936: @1241603
     /* 1241603 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1241684), // Rule ID 5419 //
     /* 1241608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241683 */     // GIR_Coverage, 5419,
     /* 1241683 */     GIR_EraseRootFromParent_Done,
     /* 1241684 */   // Label 17937: @1241684
     /* 1241684 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241765), // Rule ID 5420 //
     /* 1241689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241764 */     // GIR_Coverage, 5420,
     /* 1241764 */     GIR_EraseRootFromParent_Done,
     /* 1241765 */   // Label 17938: @1241765
     /* 1241765 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1241846), // Rule ID 5421 //
     /* 1241770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241823 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241845 */     // GIR_Coverage, 5421,
     /* 1241845 */     GIR_EraseRootFromParent_Done,
     /* 1241846 */   // Label 17939: @1241846
     /* 1241846 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1241927), // Rule ID 5422 //
     /* 1241851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241926 */     // GIR_Coverage, 5422,
     /* 1241926 */     GIR_EraseRootFromParent_Done,
     /* 1241927 */   // Label 17940: @1241927
     /* 1241927 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1242008), // Rule ID 5423 //
     /* 1241932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1241943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1241946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1241952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241985 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242007 */     // GIR_Coverage, 5423,
     /* 1242007 */     GIR_EraseRootFromParent_Done,
     /* 1242008 */   // Label 17941: @1242008
     /* 1242008 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1242089), // Rule ID 5424 //
     /* 1242013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1242024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1242027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1242030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1242033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1242069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242088 */     // GIR_Coverage, 5424,
     /* 1242088 */     GIR_EraseRootFromParent_Done,
     /* 1242089 */   // Label 17942: @1242089
     /* 1242089 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1242170), // Rule ID 5425 //
     /* 1242094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242169 */     // GIR_Coverage, 5425,
     /* 1242169 */     GIR_EraseRootFromParent_Done,
     /* 1242170 */   // Label 17943: @1242170
     /* 1242170 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1242251), // Rule ID 5426 //
     /* 1242175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242250 */     // GIR_Coverage, 5426,
     /* 1242250 */     GIR_EraseRootFromParent_Done,
     /* 1242251 */   // Label 17944: @1242251
     /* 1242251 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1242332), // Rule ID 5427 //
     /* 1242256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242331 */     // GIR_Coverage, 5427,
     /* 1242331 */     GIR_EraseRootFromParent_Done,
     /* 1242332 */   // Label 17945: @1242332
     /* 1242332 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1242413), // Rule ID 5428 //
     /* 1242337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242390 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242412 */     // GIR_Coverage, 5428,
     /* 1242412 */     GIR_EraseRootFromParent_Done,
     /* 1242413 */   // Label 17946: @1242413
     /* 1242413 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1242494), // Rule ID 5429 //
     /* 1242418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242471 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242493 */     // GIR_Coverage, 5429,
     /* 1242493 */     GIR_EraseRootFromParent_Done,
     /* 1242494 */   // Label 17947: @1242494
     /* 1242494 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1242575), // Rule ID 5430 //
     /* 1242499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242574 */     // GIR_Coverage, 5430,
     /* 1242574 */     GIR_EraseRootFromParent_Done,
     /* 1242575 */   // Label 17948: @1242575
     /* 1242575 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1242656), // Rule ID 5431 //
     /* 1242580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242633 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1242636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242655 */     // GIR_Coverage, 5431,
     /* 1242655 */     GIR_EraseRootFromParent_Done,
     /* 1242656 */   // Label 17949: @1242656
     /* 1242656 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242737), // Rule ID 5432 //
     /* 1242661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242714 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1242717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242736 */     // GIR_Coverage, 5432,
     /* 1242736 */     GIR_EraseRootFromParent_Done,
     /* 1242737 */   // Label 17950: @1242737
     /* 1242737 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1242818), // Rule ID 5433 //
     /* 1242742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242817 */     // GIR_Coverage, 5433,
     /* 1242817 */     GIR_EraseRootFromParent_Done,
     /* 1242818 */   // Label 17951: @1242818
     /* 1242818 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1242899), // Rule ID 5434 //
     /* 1242823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242898 */     // GIR_Coverage, 5434,
     /* 1242898 */     GIR_EraseRootFromParent_Done,
     /* 1242899 */   // Label 17952: @1242899
     /* 1242899 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1242980), // Rule ID 5435 //
     /* 1242904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1242918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242957 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1242960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242979 */     // GIR_Coverage, 5435,
     /* 1242979 */     GIR_EraseRootFromParent_Done,
     /* 1242980 */   // Label 17953: @1242980
     /* 1242980 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1243061), // Rule ID 5436 //
     /* 1242985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1242999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243060 */     // GIR_Coverage, 5436,
     /* 1243060 */     GIR_EraseRootFromParent_Done,
     /* 1243061 */   // Label 17954: @1243061
     /* 1243061 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1243142), // Rule ID 5437 //
     /* 1243066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243141 */     // GIR_Coverage, 5437,
     /* 1243141 */     GIR_EraseRootFromParent_Done,
     /* 1243142 */   // Label 17955: @1243142
     /* 1243142 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1243223), // Rule ID 5438 //
     /* 1243147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243222 */     // GIR_Coverage, 5438,
     /* 1243222 */     GIR_EraseRootFromParent_Done,
     /* 1243223 */   // Label 17956: @1243223
     /* 1243223 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1243304), // Rule ID 5439 //
     /* 1243228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243281 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243303 */     // GIR_Coverage, 5439,
     /* 1243303 */     GIR_EraseRootFromParent_Done,
     /* 1243304 */   // Label 17957: @1243304
     /* 1243304 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1243385), // Rule ID 5440 //
     /* 1243309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243362 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243384 */     // GIR_Coverage, 5440,
     /* 1243384 */     GIR_EraseRootFromParent_Done,
     /* 1243385 */   // Label 17958: @1243385
     /* 1243385 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1243466), // Rule ID 5441 //
     /* 1243390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243465 */     // GIR_Coverage, 5441,
     /* 1243465 */     GIR_EraseRootFromParent_Done,
     /* 1243466 */   // Label 17959: @1243466
     /* 1243466 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1243547), // Rule ID 5442 //
     /* 1243471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243546 */     // GIR_Coverage, 5442,
     /* 1243546 */     GIR_EraseRootFromParent_Done,
     /* 1243547 */   // Label 17960: @1243547
     /* 1243547 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1243628), // Rule ID 5443 //
     /* 1243552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243627 */     // GIR_Coverage, 5443,
     /* 1243627 */     GIR_EraseRootFromParent_Done,
     /* 1243628 */   // Label 17961: @1243628
     /* 1243628 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243709), // Rule ID 5444 //
     /* 1243633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243708 */     // GIR_Coverage, 5444,
     /* 1243708 */     GIR_EraseRootFromParent_Done,
     /* 1243709 */   // Label 17962: @1243709
     /* 1243709 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1243790), // Rule ID 5445 //
     /* 1243714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1243717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1243767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243789 */     // GIR_Coverage, 5445,
     /* 1243789 */     GIR_EraseRootFromParent_Done,
     /* 1243790 */   // Label 17963: @1243790
     /* 1243790 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1243871), // Rule ID 5446 //
     /* 1243795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1243798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1243848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243870 */     // GIR_Coverage, 5446,
     /* 1243870 */     GIR_EraseRootFromParent_Done,
     /* 1243871 */   // Label 17964: @1243871
     /* 1243871 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1243952), // Rule ID 5447 //
     /* 1243876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1243932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243951 */     // GIR_Coverage, 5447,
     /* 1243951 */     GIR_EraseRootFromParent_Done,
     /* 1243952 */   // Label 17965: @1243952
     /* 1243952 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1244033), // Rule ID 5448 //
     /* 1243957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244010 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244032 */     // GIR_Coverage, 5448,
     /* 1244032 */     GIR_EraseRootFromParent_Done,
     /* 1244033 */   // Label 17966: @1244033
     /* 1244033 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1244114), // Rule ID 5449 //
     /* 1244038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244091 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244113 */     // GIR_Coverage, 5449,
     /* 1244113 */     GIR_EraseRootFromParent_Done,
     /* 1244114 */   // Label 17967: @1244114
     /* 1244114 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1244195), // Rule ID 5450 //
     /* 1244119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244194 */     // GIR_Coverage, 5450,
     /* 1244194 */     GIR_EraseRootFromParent_Done,
     /* 1244195 */   // Label 17968: @1244195
     /* 1244195 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1244276), // Rule ID 5451 //
     /* 1244200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244253 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244275 */     // GIR_Coverage, 5451,
     /* 1244275 */     GIR_EraseRootFromParent_Done,
     /* 1244276 */   // Label 17969: @1244276
     /* 1244276 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1244357), // Rule ID 5452 //
     /* 1244281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244334 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244356 */     // GIR_Coverage, 5452,
     /* 1244356 */     GIR_EraseRootFromParent_Done,
     /* 1244357 */   // Label 17970: @1244357
     /* 1244357 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1244438), // Rule ID 5453 //
     /* 1244362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244437 */     // GIR_Coverage, 5453,
     /* 1244437 */     GIR_EraseRootFromParent_Done,
     /* 1244438 */   // Label 17971: @1244438
     /* 1244438 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1244519), // Rule ID 5454 //
     /* 1244443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244518 */     // GIR_Coverage, 5454,
     /* 1244518 */     GIR_EraseRootFromParent_Done,
     /* 1244519 */   // Label 17972: @1244519
     /* 1244519 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1244600), // Rule ID 5455 //
     /* 1244524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244599 */     // GIR_Coverage, 5455,
     /* 1244599 */     GIR_EraseRootFromParent_Done,
     /* 1244600 */   // Label 17973: @1244600
     /* 1244600 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1244681), // Rule ID 5456 //
     /* 1244605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244680 */     // GIR_Coverage, 5456,
     /* 1244680 */     GIR_EraseRootFromParent_Done,
     /* 1244681 */   // Label 17974: @1244681
     /* 1244681 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244762), // Rule ID 5457 //
     /* 1244686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244761 */     // GIR_Coverage, 5457,
     /* 1244761 */     GIR_EraseRootFromParent_Done,
     /* 1244762 */   // Label 17975: @1244762
     /* 1244762 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1244843), // Rule ID 5458 //
     /* 1244767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244842 */     // GIR_Coverage, 5458,
     /* 1244842 */     GIR_EraseRootFromParent_Done,
     /* 1244843 */   // Label 17976: @1244843
     /* 1244843 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1244924), // Rule ID 5459 //
     /* 1244848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244923 */     // GIR_Coverage, 5459,
     /* 1244923 */     GIR_EraseRootFromParent_Done,
     /* 1244924 */   // Label 17977: @1244924
     /* 1244924 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1245005), // Rule ID 5460 //
     /* 1244929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245004 */     // GIR_Coverage, 5460,
     /* 1245004 */     GIR_EraseRootFromParent_Done,
     /* 1245005 */   // Label 17978: @1245005
     /* 1245005 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1245086), // Rule ID 5461 //
     /* 1245010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245063 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245085 */     // GIR_Coverage, 5461,
     /* 1245085 */     GIR_EraseRootFromParent_Done,
     /* 1245086 */   // Label 17979: @1245086
     /* 1245086 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1245167), // Rule ID 5462 //
     /* 1245091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245166 */     // GIR_Coverage, 5462,
     /* 1245166 */     GIR_EraseRootFromParent_Done,
     /* 1245167 */   // Label 17980: @1245167
     /* 1245167 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1245248), // Rule ID 5463 //
     /* 1245172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245247 */     // GIR_Coverage, 5463,
     /* 1245247 */     GIR_EraseRootFromParent_Done,
     /* 1245248 */   // Label 17981: @1245248
     /* 1245248 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1245329), // Rule ID 5464 //
     /* 1245253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245328 */     // GIR_Coverage, 5464,
     /* 1245328 */     GIR_EraseRootFromParent_Done,
     /* 1245329 */   // Label 17982: @1245329
     /* 1245329 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1245410), // Rule ID 5465 //
     /* 1245334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245409 */     // GIR_Coverage, 5465,
     /* 1245409 */     GIR_EraseRootFromParent_Done,
     /* 1245410 */   // Label 17983: @1245410
     /* 1245410 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1245491), // Rule ID 5466 //
     /* 1245415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245490 */     // GIR_Coverage, 5466,
     /* 1245490 */     GIR_EraseRootFromParent_Done,
     /* 1245491 */   // Label 17984: @1245491
     /* 1245491 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1245572), // Rule ID 5467 //
     /* 1245496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245571 */     // GIR_Coverage, 5467,
     /* 1245571 */     GIR_EraseRootFromParent_Done,
     /* 1245572 */   // Label 17985: @1245572
     /* 1245572 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1245653), // Rule ID 5468 //
     /* 1245577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245630 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245652 */     // GIR_Coverage, 5468,
     /* 1245652 */     GIR_EraseRootFromParent_Done,
     /* 1245653 */   // Label 17986: @1245653
     /* 1245653 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245734), // Rule ID 5469 //
     /* 1245658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245733 */     // GIR_Coverage, 5469,
     /* 1245733 */     GIR_EraseRootFromParent_Done,
     /* 1245734 */   // Label 17987: @1245734
     /* 1245734 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1245815), // Rule ID 5470 //
     /* 1245739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245814 */     // GIR_Coverage, 5470,
     /* 1245814 */     GIR_EraseRootFromParent_Done,
     /* 1245815 */   // Label 17988: @1245815
     /* 1245815 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1245899), // Rule ID 7681 //
     /* 1245820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1245876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245898 */     // GIR_Coverage, 7681,
     /* 1245898 */     GIR_EraseRootFromParent_Done,
     /* 1245899 */   // Label 17989: @1245899
     /* 1245899 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1245983), // Rule ID 7682 //
     /* 1245904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1245960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245982 */     // GIR_Coverage, 7682,
     /* 1245982 */     GIR_EraseRootFromParent_Done,
     /* 1245983 */   // Label 17990: @1245983
     /* 1245983 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1246067), // Rule ID 7685 //
     /* 1245988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246066 */     // GIR_Coverage, 7685,
     /* 1246066 */     GIR_EraseRootFromParent_Done,
     /* 1246067 */   // Label 17991: @1246067
     /* 1246067 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1246151), // Rule ID 7686 //
     /* 1246072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246150 */     // GIR_Coverage, 7686,
     /* 1246150 */     GIR_EraseRootFromParent_Done,
     /* 1246151 */   // Label 17992: @1246151
     /* 1246151 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1246235), // Rule ID 7689 //
     /* 1246156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246234 */     // GIR_Coverage, 7689,
     /* 1246234 */     GIR_EraseRootFromParent_Done,
     /* 1246235 */   // Label 17993: @1246235
     /* 1246235 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1246319), // Rule ID 7690 //
     /* 1246240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246318 */     // GIR_Coverage, 7690,
     /* 1246318 */     GIR_EraseRootFromParent_Done,
     /* 1246319 */   // Label 17994: @1246319
     /* 1246319 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1246403), // Rule ID 7693 //
     /* 1246324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246377 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246402 */     // GIR_Coverage, 7693,
     /* 1246402 */     GIR_EraseRootFromParent_Done,
     /* 1246403 */   // Label 17995: @1246403
     /* 1246403 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1246487), // Rule ID 7694 //
     /* 1246408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246461 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246486 */     // GIR_Coverage, 7694,
     /* 1246486 */     GIR_EraseRootFromParent_Done,
     /* 1246487 */   // Label 17996: @1246487
     /* 1246487 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1246571), // Rule ID 7697 //
     /* 1246492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246545 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246570 */     // GIR_Coverage, 7697,
     /* 1246570 */     GIR_EraseRootFromParent_Done,
     /* 1246571 */   // Label 17997: @1246571
     /* 1246571 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1246655), // Rule ID 7698 //
     /* 1246576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246654 */     // GIR_Coverage, 7698,
     /* 1246654 */     GIR_EraseRootFromParent_Done,
     /* 1246655 */   // Label 17998: @1246655
     /* 1246655 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246739), // Rule ID 7701 //
     /* 1246660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246713 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246738 */     // GIR_Coverage, 7701,
     /* 1246738 */     GIR_EraseRootFromParent_Done,
     /* 1246739 */   // Label 17999: @1246739
     /* 1246739 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1246823), // Rule ID 7702 //
     /* 1246744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246822 */     // GIR_Coverage, 7702,
     /* 1246822 */     GIR_EraseRootFromParent_Done,
     /* 1246823 */   // Label 18000: @1246823
     /* 1246823 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1246907), // Rule ID 7705 //
     /* 1246828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246906 */     // GIR_Coverage, 7705,
     /* 1246906 */     GIR_EraseRootFromParent_Done,
     /* 1246907 */   // Label 18001: @1246907
     /* 1246907 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1246991), // Rule ID 7706 //
     /* 1246912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246965 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246990 */     // GIR_Coverage, 7706,
     /* 1246990 */     GIR_EraseRootFromParent_Done,
     /* 1246991 */   // Label 18002: @1246991
     /* 1246991 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1247075), // Rule ID 7709 //
     /* 1246996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247049 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247074 */     // GIR_Coverage, 7709,
     /* 1247074 */     GIR_EraseRootFromParent_Done,
     /* 1247075 */   // Label 18003: @1247075
     /* 1247075 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1247159), // Rule ID 7710 //
     /* 1247080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247158 */     // GIR_Coverage, 7710,
     /* 1247158 */     GIR_EraseRootFromParent_Done,
     /* 1247159 */   // Label 18004: @1247159
     /* 1247159 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1247243), // Rule ID 7713 //
     /* 1247164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247242 */     // GIR_Coverage, 7713,
     /* 1247242 */     GIR_EraseRootFromParent_Done,
     /* 1247243 */   // Label 18005: @1247243
     /* 1247243 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1247327), // Rule ID 7714 //
     /* 1247248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247301 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247326 */     // GIR_Coverage, 7714,
     /* 1247326 */     GIR_EraseRootFromParent_Done,
     /* 1247327 */   // Label 18006: @1247327
     /* 1247327 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1247411), // Rule ID 7717 //
     /* 1247332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247385 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247410 */     // GIR_Coverage, 7717,
     /* 1247410 */     GIR_EraseRootFromParent_Done,
     /* 1247411 */   // Label 18007: @1247411
     /* 1247411 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1247495), // Rule ID 7718 //
     /* 1247416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247469 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247494 */     // GIR_Coverage, 7718,
     /* 1247494 */     GIR_EraseRootFromParent_Done,
     /* 1247495 */   // Label 18008: @1247495
     /* 1247495 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1247579), // Rule ID 7721 //
     /* 1247500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247553 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247578 */     // GIR_Coverage, 7721,
     /* 1247578 */     GIR_EraseRootFromParent_Done,
     /* 1247579 */   // Label 18009: @1247579
     /* 1247579 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1247663), // Rule ID 7722 //
     /* 1247584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247637 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247662 */     // GIR_Coverage, 7722,
     /* 1247662 */     GIR_EraseRootFromParent_Done,
     /* 1247663 */   // Label 18010: @1247663
     /* 1247663 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1247747), // Rule ID 7725 //
     /* 1247668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1247679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1247682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247721 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247746 */     // GIR_Coverage, 7725,
     /* 1247746 */     GIR_EraseRootFromParent_Done,
     /* 1247747 */   // Label 18011: @1247747
     /* 1247747 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247831), // Rule ID 7726 //
     /* 1247752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1247763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1247766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247805 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247830 */     // GIR_Coverage, 7726,
     /* 1247830 */     GIR_EraseRootFromParent_Done,
     /* 1247831 */   // Label 18012: @1247831
     /* 1247831 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1247915), // Rule ID 7729 //
     /* 1247836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247914 */     // GIR_Coverage, 7729,
     /* 1247914 */     GIR_EraseRootFromParent_Done,
     /* 1247915 */   // Label 18013: @1247915
     /* 1247915 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1247999), // Rule ID 7730 //
     /* 1247920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247973 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247998 */     // GIR_Coverage, 7730,
     /* 1247998 */     GIR_EraseRootFromParent_Done,
     /* 1247999 */   // Label 18014: @1247999
     /* 1247999 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1248083), // Rule ID 7733 //
     /* 1248004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248057 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248082 */     // GIR_Coverage, 7733,
     /* 1248082 */     GIR_EraseRootFromParent_Done,
     /* 1248083 */   // Label 18015: @1248083
     /* 1248083 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1248167), // Rule ID 7734 //
     /* 1248088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248141 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248166 */     // GIR_Coverage, 7734,
     /* 1248166 */     GIR_EraseRootFromParent_Done,
     /* 1248167 */   // Label 18016: @1248167
     /* 1248167 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1248251), // Rule ID 7737 //
     /* 1248172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248225 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248250 */     // GIR_Coverage, 7737,
     /* 1248250 */     GIR_EraseRootFromParent_Done,
     /* 1248251 */   // Label 18017: @1248251
     /* 1248251 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1248335), // Rule ID 7738 //
     /* 1248256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248309 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248334 */     // GIR_Coverage, 7738,
     /* 1248334 */     GIR_EraseRootFromParent_Done,
     /* 1248335 */   // Label 18018: @1248335
     /* 1248335 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1248419), // Rule ID 7741 //
     /* 1248340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248418 */     // GIR_Coverage, 7741,
     /* 1248418 */     GIR_EraseRootFromParent_Done,
     /* 1248419 */   // Label 18019: @1248419
     /* 1248419 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1248503), // Rule ID 7742 //
     /* 1248424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248477 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248502 */     // GIR_Coverage, 7742,
     /* 1248502 */     GIR_EraseRootFromParent_Done,
     /* 1248503 */   // Label 18020: @1248503
     /* 1248503 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1248587), // Rule ID 7745 //
     /* 1248508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248561 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248586 */     // GIR_Coverage, 7745,
     /* 1248586 */     GIR_EraseRootFromParent_Done,
     /* 1248587 */   // Label 18021: @1248587
     /* 1248587 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1248671), // Rule ID 7746 //
     /* 1248592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248645 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248670 */     // GIR_Coverage, 7746,
     /* 1248670 */     GIR_EraseRootFromParent_Done,
     /* 1248671 */   // Label 18022: @1248671
     /* 1248671 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1248755), // Rule ID 7749 //
     /* 1248676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248729 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248754 */     // GIR_Coverage, 7749,
     /* 1248754 */     GIR_EraseRootFromParent_Done,
     /* 1248755 */   // Label 18023: @1248755
     /* 1248755 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248839), // Rule ID 7750 //
     /* 1248760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248838 */     // GIR_Coverage, 7750,
     /* 1248838 */     GIR_EraseRootFromParent_Done,
     /* 1248839 */   // Label 18024: @1248839
     /* 1248839 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1248923), // Rule ID 7753 //
     /* 1248844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248922 */     // GIR_Coverage, 7753,
     /* 1248922 */     GIR_EraseRootFromParent_Done,
     /* 1248923 */   // Label 18025: @1248923
     /* 1248923 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1249007), // Rule ID 7754 //
     /* 1248928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248981 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249006 */     // GIR_Coverage, 7754,
     /* 1249006 */     GIR_EraseRootFromParent_Done,
     /* 1249007 */   // Label 18026: @1249007
     /* 1249007 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1249091), // Rule ID 7757 //
     /* 1249012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249090 */     // GIR_Coverage, 7757,
     /* 1249090 */     GIR_EraseRootFromParent_Done,
     /* 1249091 */   // Label 18027: @1249091
     /* 1249091 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1249175), // Rule ID 7758 //
     /* 1249096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249174 */     // GIR_Coverage, 7758,
     /* 1249174 */     GIR_EraseRootFromParent_Done,
     /* 1249175 */   // Label 18028: @1249175
     /* 1249175 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1249259), // Rule ID 7761 //
     /* 1249180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249233 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249258 */     // GIR_Coverage, 7761,
     /* 1249258 */     GIR_EraseRootFromParent_Done,
     /* 1249259 */   // Label 18029: @1249259
     /* 1249259 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1249343), // Rule ID 7762 //
     /* 1249264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249342 */     // GIR_Coverage, 7762,
     /* 1249342 */     GIR_EraseRootFromParent_Done,
     /* 1249343 */   // Label 18030: @1249343
     /* 1249343 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1249427), // Rule ID 7765 //
     /* 1249348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249426 */     // GIR_Coverage, 7765,
     /* 1249426 */     GIR_EraseRootFromParent_Done,
     /* 1249427 */   // Label 18031: @1249427
     /* 1249427 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1249511), // Rule ID 7766 //
     /* 1249432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249485 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249510 */     // GIR_Coverage, 7766,
     /* 1249510 */     GIR_EraseRootFromParent_Done,
     /* 1249511 */   // Label 18032: @1249511
     /* 1249511 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1249595), // Rule ID 7769 //
     /* 1249516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249594 */     // GIR_Coverage, 7769,
     /* 1249594 */     GIR_EraseRootFromParent_Done,
     /* 1249595 */   // Label 18033: @1249595
     /* 1249595 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1249679), // Rule ID 7770 //
     /* 1249600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249653 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249678 */     // GIR_Coverage, 7770,
     /* 1249678 */     GIR_EraseRootFromParent_Done,
     /* 1249679 */   // Label 18034: @1249679
     /* 1249679 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1249763), // Rule ID 7773 //
     /* 1249684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1249740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249762 */     // GIR_Coverage, 7773,
     /* 1249762 */     GIR_EraseRootFromParent_Done,
     /* 1249763 */   // Label 18035: @1249763
     /* 1249763 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1249847), // Rule ID 7774 //
     /* 1249768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1249824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249846 */     // GIR_Coverage, 7774,
     /* 1249846 */     GIR_EraseRootFromParent_Done,
     /* 1249847 */   // Label 18036: @1249847
     /* 1249847 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1249931), // Rule ID 7777 //
     /* 1249852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249930 */     // GIR_Coverage, 7777,
     /* 1249930 */     GIR_EraseRootFromParent_Done,
     /* 1249931 */   // Label 18037: @1249931
     /* 1249931 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1250015), // Rule ID 7778 //
     /* 1249936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249989 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250014 */     // GIR_Coverage, 7778,
     /* 1250014 */     GIR_EraseRootFromParent_Done,
     /* 1250015 */   // Label 18038: @1250015
     /* 1250015 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1250099), // Rule ID 7781 //
     /* 1250020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250098 */     // GIR_Coverage, 7781,
     /* 1250098 */     GIR_EraseRootFromParent_Done,
     /* 1250099 */   // Label 18039: @1250099
     /* 1250099 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1250183), // Rule ID 7782 //
     /* 1250104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250157 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250182 */     // GIR_Coverage, 7782,
     /* 1250182 */     GIR_EraseRootFromParent_Done,
     /* 1250183 */   // Label 18040: @1250183
     /* 1250183 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1250267), // Rule ID 7785 //
     /* 1250188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250266 */     // GIR_Coverage, 7785,
     /* 1250266 */     GIR_EraseRootFromParent_Done,
     /* 1250267 */   // Label 18041: @1250267
     /* 1250267 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1250351), // Rule ID 7786 //
     /* 1250272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250325 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250350 */     // GIR_Coverage, 7786,
     /* 1250350 */     GIR_EraseRootFromParent_Done,
     /* 1250351 */   // Label 18042: @1250351
     /* 1250351 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1250435), // Rule ID 7789 //
     /* 1250356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250434 */     // GIR_Coverage, 7789,
     /* 1250434 */     GIR_EraseRootFromParent_Done,
     /* 1250435 */   // Label 18043: @1250435
     /* 1250435 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1250519), // Rule ID 7790 //
     /* 1250440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250518 */     // GIR_Coverage, 7790,
     /* 1250518 */     GIR_EraseRootFromParent_Done,
     /* 1250519 */   // Label 18044: @1250519
     /* 1250519 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1250603), // Rule ID 7793 //
     /* 1250524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250602 */     // GIR_Coverage, 7793,
     /* 1250602 */     GIR_EraseRootFromParent_Done,
     /* 1250603 */   // Label 18045: @1250603
     /* 1250603 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1250687), // Rule ID 7794 //
     /* 1250608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250661 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250686 */     // GIR_Coverage, 7794,
     /* 1250686 */     GIR_EraseRootFromParent_Done,
     /* 1250687 */   // Label 18046: @1250687
     /* 1250687 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1250771), // Rule ID 7797 //
     /* 1250692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250770 */     // GIR_Coverage, 7797,
     /* 1250770 */     GIR_EraseRootFromParent_Done,
     /* 1250771 */   // Label 18047: @1250771
     /* 1250771 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1250855), // Rule ID 7798 //
     /* 1250776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250854 */     // GIR_Coverage, 7798,
     /* 1250854 */     GIR_EraseRootFromParent_Done,
     /* 1250855 */   // Label 18048: @1250855
     /* 1250855 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1250939), // Rule ID 7801 //
     /* 1250860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250938 */     // GIR_Coverage, 7801,
     /* 1250938 */     GIR_EraseRootFromParent_Done,
     /* 1250939 */   // Label 18049: @1250939
     /* 1250939 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1251023), // Rule ID 7802 //
     /* 1250944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251022 */     // GIR_Coverage, 7802,
     /* 1251022 */     GIR_EraseRootFromParent_Done,
     /* 1251023 */   // Label 18050: @1251023
     /* 1251023 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1251107), // Rule ID 7805 //
     /* 1251028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251106 */     // GIR_Coverage, 7805,
     /* 1251106 */     GIR_EraseRootFromParent_Done,
     /* 1251107 */   // Label 18051: @1251107
     /* 1251107 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1251191), // Rule ID 7806 //
     /* 1251112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251165 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251190 */     // GIR_Coverage, 7806,
     /* 1251190 */     GIR_EraseRootFromParent_Done,
     /* 1251191 */   // Label 18052: @1251191
     /* 1251191 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1251275), // Rule ID 7809 //
     /* 1251196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251249 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251274 */     // GIR_Coverage, 7809,
     /* 1251274 */     GIR_EraseRootFromParent_Done,
     /* 1251275 */   // Label 18053: @1251275
     /* 1251275 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1251359), // Rule ID 7810 //
     /* 1251280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251333 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251358 */     // GIR_Coverage, 7810,
     /* 1251358 */     GIR_EraseRootFromParent_Done,
     /* 1251359 */   // Label 18054: @1251359
     /* 1251359 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1251443), // Rule ID 7813 //
     /* 1251364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251417 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251442 */     // GIR_Coverage, 7813,
     /* 1251442 */     GIR_EraseRootFromParent_Done,
     /* 1251443 */   // Label 18055: @1251443
     /* 1251443 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1251527), // Rule ID 7814 //
     /* 1251448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251501 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251526 */     // GIR_Coverage, 7814,
     /* 1251526 */     GIR_EraseRootFromParent_Done,
     /* 1251527 */   // Label 18056: @1251527
     /* 1251527 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1251611), // Rule ID 7817 //
     /* 1251532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251610 */     // GIR_Coverage, 7817,
     /* 1251610 */     GIR_EraseRootFromParent_Done,
     /* 1251611 */   // Label 18057: @1251611
     /* 1251611 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1251695), // Rule ID 7818 //
     /* 1251616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251694 */     // GIR_Coverage, 7818,
     /* 1251694 */     GIR_EraseRootFromParent_Done,
     /* 1251695 */   // Label 18058: @1251695
     /* 1251695 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1251779), // Rule ID 7821 //
     /* 1251700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251753 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251778 */     // GIR_Coverage, 7821,
     /* 1251778 */     GIR_EraseRootFromParent_Done,
     /* 1251779 */   // Label 18059: @1251779
     /* 1251779 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1251863), // Rule ID 7822 //
     /* 1251784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251837 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251862 */     // GIR_Coverage, 7822,
     /* 1251862 */     GIR_EraseRootFromParent_Done,
     /* 1251863 */   // Label 18060: @1251863
     /* 1251863 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1251947), // Rule ID 7825 //
     /* 1251868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251921 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251946 */     // GIR_Coverage, 7825,
     /* 1251946 */     GIR_EraseRootFromParent_Done,
     /* 1251947 */   // Label 18061: @1251947
     /* 1251947 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1252031), // Rule ID 7826 //
     /* 1251952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252005 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252030 */     // GIR_Coverage, 7826,
     /* 1252030 */     GIR_EraseRootFromParent_Done,
     /* 1252031 */   // Label 18062: @1252031
     /* 1252031 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1252115), // Rule ID 7829 //
     /* 1252036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252114 */     // GIR_Coverage, 7829,
     /* 1252114 */     GIR_EraseRootFromParent_Done,
     /* 1252115 */   // Label 18063: @1252115
     /* 1252115 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1252199), // Rule ID 7830 //
     /* 1252120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252198 */     // GIR_Coverage, 7830,
     /* 1252198 */     GIR_EraseRootFromParent_Done,
     /* 1252199 */   // Label 18064: @1252199
     /* 1252199 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1252283), // Rule ID 7833 //
     /* 1252204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252282 */     // GIR_Coverage, 7833,
     /* 1252282 */     GIR_EraseRootFromParent_Done,
     /* 1252283 */   // Label 18065: @1252283
     /* 1252283 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1252367), // Rule ID 7834 //
     /* 1252288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252341 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252366 */     // GIR_Coverage, 7834,
     /* 1252366 */     GIR_EraseRootFromParent_Done,
     /* 1252367 */   // Label 18066: @1252367
     /* 1252367 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1252451), // Rule ID 7837 //
     /* 1252372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252425 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252450 */     // GIR_Coverage, 7837,
     /* 1252450 */     GIR_EraseRootFromParent_Done,
     /* 1252451 */   // Label 18067: @1252451
     /* 1252451 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1252535), // Rule ID 7838 //
     /* 1252456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252509 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252534 */     // GIR_Coverage, 7838,
     /* 1252534 */     GIR_EraseRootFromParent_Done,
     /* 1252535 */   // Label 18068: @1252535
     /* 1252535 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1252619), // Rule ID 7841 //
     /* 1252540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252593 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252618 */     // GIR_Coverage, 7841,
     /* 1252618 */     GIR_EraseRootFromParent_Done,
     /* 1252619 */   // Label 18069: @1252619
     /* 1252619 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1252703), // Rule ID 7842 //
     /* 1252624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252702 */     // GIR_Coverage, 7842,
     /* 1252702 */     GIR_EraseRootFromParent_Done,
     /* 1252703 */   // Label 18070: @1252703
     /* 1252703 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1252787), // Rule ID 7845 //
     /* 1252708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252761 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252786 */     // GIR_Coverage, 7845,
     /* 1252786 */     GIR_EraseRootFromParent_Done,
     /* 1252787 */   // Label 18071: @1252787
     /* 1252787 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1252871), // Rule ID 7846 //
     /* 1252792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252845 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252870 */     // GIR_Coverage, 7846,
     /* 1252870 */     GIR_EraseRootFromParent_Done,
     /* 1252871 */   // Label 18072: @1252871
     /* 1252871 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1252955), // Rule ID 7849 //
     /* 1252876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252954 */     // GIR_Coverage, 7849,
     /* 1252954 */     GIR_EraseRootFromParent_Done,
     /* 1252955 */   // Label 18073: @1252955
     /* 1252955 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1253039), // Rule ID 7850 //
     /* 1252960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253013 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1253016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253038 */     // GIR_Coverage, 7850,
     /* 1253038 */     GIR_EraseRootFromParent_Done,
     /* 1253039 */   // Label 18074: @1253039
     /* 1253039 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1253123), // Rule ID 7941 //
     /* 1253044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253122 */     // GIR_Coverage, 7941,
     /* 1253122 */     GIR_EraseRootFromParent_Done,
     /* 1253123 */   // Label 18075: @1253123
     /* 1253123 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1253207), // Rule ID 7942 //
     /* 1253128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253206 */     // GIR_Coverage, 7942,
     /* 1253206 */     GIR_EraseRootFromParent_Done,
     /* 1253207 */   // Label 18076: @1253207
     /* 1253207 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1253291), // Rule ID 7945 //
     /* 1253212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253290 */     // GIR_Coverage, 7945,
     /* 1253290 */     GIR_EraseRootFromParent_Done,
     /* 1253291 */   // Label 18077: @1253291
     /* 1253291 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1253375), // Rule ID 7946 //
     /* 1253296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253374 */     // GIR_Coverage, 7946,
     /* 1253374 */     GIR_EraseRootFromParent_Done,
     /* 1253375 */   // Label 18078: @1253375
     /* 1253375 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1253459), // Rule ID 7949 //
     /* 1253380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253458 */     // GIR_Coverage, 7949,
     /* 1253458 */     GIR_EraseRootFromParent_Done,
     /* 1253459 */   // Label 18079: @1253459
     /* 1253459 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1253543), // Rule ID 7950 //
     /* 1253464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253517 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253542 */     // GIR_Coverage, 7950,
     /* 1253542 */     GIR_EraseRootFromParent_Done,
     /* 1253543 */   // Label 18080: @1253543
     /* 1253543 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1253627), // Rule ID 7953 //
     /* 1253548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253601 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253626 */     // GIR_Coverage, 7953,
     /* 1253626 */     GIR_EraseRootFromParent_Done,
     /* 1253627 */   // Label 18081: @1253627
     /* 1253627 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1253711), // Rule ID 7954 //
     /* 1253632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253685 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253710 */     // GIR_Coverage, 7954,
     /* 1253710 */     GIR_EraseRootFromParent_Done,
     /* 1253711 */   // Label 18082: @1253711
     /* 1253711 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1253795), // Rule ID 7957 //
     /* 1253716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253794 */     // GIR_Coverage, 7957,
     /* 1253794 */     GIR_EraseRootFromParent_Done,
     /* 1253795 */   // Label 18083: @1253795
     /* 1253795 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1253879), // Rule ID 7958 //
     /* 1253800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253878 */     // GIR_Coverage, 7958,
     /* 1253878 */     GIR_EraseRootFromParent_Done,
     /* 1253879 */   // Label 18084: @1253879
     /* 1253879 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1253963), // Rule ID 7961 //
     /* 1253884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253962 */     // GIR_Coverage, 7961,
     /* 1253962 */     GIR_EraseRootFromParent_Done,
     /* 1253963 */   // Label 18085: @1253963
     /* 1253963 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1254047), // Rule ID 7962 //
     /* 1253968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254046 */     // GIR_Coverage, 7962,
     /* 1254046 */     GIR_EraseRootFromParent_Done,
     /* 1254047 */   // Label 18086: @1254047
     /* 1254047 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1254131), // Rule ID 7965 //
     /* 1254052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254130 */     // GIR_Coverage, 7965,
     /* 1254130 */     GIR_EraseRootFromParent_Done,
     /* 1254131 */   // Label 18087: @1254131
     /* 1254131 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1254215), // Rule ID 7966 //
     /* 1254136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254189 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254214 */     // GIR_Coverage, 7966,
     /* 1254214 */     GIR_EraseRootFromParent_Done,
     /* 1254215 */   // Label 18088: @1254215
     /* 1254215 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1254299), // Rule ID 7969 //
     /* 1254220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254298 */     // GIR_Coverage, 7969,
     /* 1254298 */     GIR_EraseRootFromParent_Done,
     /* 1254299 */   // Label 18089: @1254299
     /* 1254299 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1254383), // Rule ID 7970 //
     /* 1254304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254382 */     // GIR_Coverage, 7970,
     /* 1254382 */     GIR_EraseRootFromParent_Done,
     /* 1254383 */   // Label 18090: @1254383
     /* 1254383 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1254467), // Rule ID 7973 //
     /* 1254388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254466 */     // GIR_Coverage, 7973,
     /* 1254466 */     GIR_EraseRootFromParent_Done,
     /* 1254467 */   // Label 18091: @1254467
     /* 1254467 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1254551), // Rule ID 7974 //
     /* 1254472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254525 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254550 */     // GIR_Coverage, 7974,
     /* 1254550 */     GIR_EraseRootFromParent_Done,
     /* 1254551 */   // Label 18092: @1254551
     /* 1254551 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1254635), // Rule ID 7977 //
     /* 1254556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254634 */     // GIR_Coverage, 7977,
     /* 1254634 */     GIR_EraseRootFromParent_Done,
     /* 1254635 */   // Label 18093: @1254635
     /* 1254635 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1254719), // Rule ID 7978 //
     /* 1254640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1254643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254718 */     // GIR_Coverage, 7978,
     /* 1254718 */     GIR_EraseRootFromParent_Done,
     /* 1254719 */   // Label 18094: @1254719
     /* 1254719 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1254803), // Rule ID 7981 //
     /* 1254724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254777 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254802 */     // GIR_Coverage, 7981,
     /* 1254802 */     GIR_EraseRootFromParent_Done,
     /* 1254803 */   // Label 18095: @1254803
     /* 1254803 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1254887), // Rule ID 7982 //
     /* 1254808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254861 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254886 */     // GIR_Coverage, 7982,
     /* 1254886 */     GIR_EraseRootFromParent_Done,
     /* 1254887 */   // Label 18096: @1254887
     /* 1254887 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1254971), // Rule ID 7985 //
     /* 1254892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254945 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1254948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254970 */     // GIR_Coverage, 7985,
     /* 1254970 */     GIR_EraseRootFromParent_Done,
     /* 1254971 */   // Label 18097: @1254971
     /* 1254971 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1255055), // Rule ID 7986 //
     /* 1254976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255029 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255054 */     // GIR_Coverage, 7986,
     /* 1255054 */     GIR_EraseRootFromParent_Done,
     /* 1255055 */   // Label 18098: @1255055
     /* 1255055 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1255139), // Rule ID 7989 //
     /* 1255060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255113 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255138 */     // GIR_Coverage, 7989,
     /* 1255138 */     GIR_EraseRootFromParent_Done,
     /* 1255139 */   // Label 18099: @1255139
     /* 1255139 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1255223), // Rule ID 7990 //
     /* 1255144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255197 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255222 */     // GIR_Coverage, 7990,
     /* 1255222 */     GIR_EraseRootFromParent_Done,
     /* 1255223 */   // Label 18100: @1255223
     /* 1255223 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1255307), // Rule ID 7993 //
     /* 1255228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255306 */     // GIR_Coverage, 7993,
     /* 1255306 */     GIR_EraseRootFromParent_Done,
     /* 1255307 */   // Label 18101: @1255307
     /* 1255307 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1255391), // Rule ID 7994 //
     /* 1255312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255365 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255390 */     // GIR_Coverage, 7994,
     /* 1255390 */     GIR_EraseRootFromParent_Done,
     /* 1255391 */   // Label 18102: @1255391
     /* 1255391 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1255475), // Rule ID 7997 //
     /* 1255396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255449 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255474 */     // GIR_Coverage, 7997,
     /* 1255474 */     GIR_EraseRootFromParent_Done,
     /* 1255475 */   // Label 18103: @1255475
     /* 1255475 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1255559), // Rule ID 7998 //
     /* 1255480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255533 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255558 */     // GIR_Coverage, 7998,
     /* 1255558 */     GIR_EraseRootFromParent_Done,
     /* 1255559 */   // Label 18104: @1255559
     /* 1255559 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1255643), // Rule ID 8001 //
     /* 1255564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255642 */     // GIR_Coverage, 8001,
     /* 1255642 */     GIR_EraseRootFromParent_Done,
     /* 1255643 */   // Label 18105: @1255643
     /* 1255643 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1255727), // Rule ID 8002 //
     /* 1255648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255701 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255726 */     // GIR_Coverage, 8002,
     /* 1255726 */     GIR_EraseRootFromParent_Done,
     /* 1255727 */   // Label 18106: @1255727
     /* 1255727 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1255811), // Rule ID 8005 //
     /* 1255732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255810 */     // GIR_Coverage, 8005,
     /* 1255810 */     GIR_EraseRootFromParent_Done,
     /* 1255811 */   // Label 18107: @1255811
     /* 1255811 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1255895), // Rule ID 8006 //
     /* 1255816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255894 */     // GIR_Coverage, 8006,
     /* 1255894 */     GIR_EraseRootFromParent_Done,
     /* 1255895 */   // Label 18108: @1255895
     /* 1255895 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1255979), // Rule ID 8009 //
     /* 1255900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1255920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255978 */     // GIR_Coverage, 8009,
     /* 1255978 */     GIR_EraseRootFromParent_Done,
     /* 1255979 */   // Label 18109: @1255979
     /* 1255979 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1256063), // Rule ID 8010 //
     /* 1255984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1256004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256062 */     // GIR_Coverage, 8010,
     /* 1256062 */     GIR_EraseRootFromParent_Done,
     /* 1256063 */   // Label 18110: @1256063
     /* 1256063 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1256147), // Rule ID 8013 //
     /* 1256068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256121 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256146 */     // GIR_Coverage, 8013,
     /* 1256146 */     GIR_EraseRootFromParent_Done,
     /* 1256147 */   // Label 18111: @1256147
     /* 1256147 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1256231), // Rule ID 8014 //
     /* 1256152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256230 */     // GIR_Coverage, 8014,
     /* 1256230 */     GIR_EraseRootFromParent_Done,
     /* 1256231 */   // Label 18112: @1256231
     /* 1256231 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1256315), // Rule ID 8017 //
     /* 1256236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256314 */     // GIR_Coverage, 8017,
     /* 1256314 */     GIR_EraseRootFromParent_Done,
     /* 1256315 */   // Label 18113: @1256315
     /* 1256315 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1256399), // Rule ID 8018 //
     /* 1256320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256398 */     // GIR_Coverage, 8018,
     /* 1256398 */     GIR_EraseRootFromParent_Done,
     /* 1256399 */   // Label 18114: @1256399
     /* 1256399 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1256483), // Rule ID 8021 //
     /* 1256404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256482 */     // GIR_Coverage, 8021,
     /* 1256482 */     GIR_EraseRootFromParent_Done,
     /* 1256483 */   // Label 18115: @1256483
     /* 1256483 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1256567), // Rule ID 8022 //
     /* 1256488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256541 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256566 */     // GIR_Coverage, 8022,
     /* 1256566 */     GIR_EraseRootFromParent_Done,
     /* 1256567 */   // Label 18116: @1256567
     /* 1256567 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1256651), // Rule ID 8025 //
     /* 1256572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256650 */     // GIR_Coverage, 8025,
     /* 1256650 */     GIR_EraseRootFromParent_Done,
     /* 1256651 */   // Label 18117: @1256651
     /* 1256651 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1256735), // Rule ID 8026 //
     /* 1256656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256734 */     // GIR_Coverage, 8026,
     /* 1256734 */     GIR_EraseRootFromParent_Done,
     /* 1256735 */   // Label 18118: @1256735
     /* 1256735 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1256819), // Rule ID 8029 //
     /* 1256740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1256796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256818 */     // GIR_Coverage, 8029,
     /* 1256818 */     GIR_EraseRootFromParent_Done,
     /* 1256819 */   // Label 18119: @1256819
     /* 1256819 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1256903), // Rule ID 8030 //
     /* 1256824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256877 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1256880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256902 */     // GIR_Coverage, 8030,
     /* 1256902 */     GIR_EraseRootFromParent_Done,
     /* 1256903 */   // Label 18120: @1256903
     /* 1256903 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1256987), // Rule ID 8033 //
     /* 1256908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256961 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1256964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256986 */     // GIR_Coverage, 8033,
     /* 1256986 */     GIR_EraseRootFromParent_Done,
     /* 1256987 */   // Label 18121: @1256987
     /* 1256987 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1257071), // Rule ID 8034 //
     /* 1256992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257045 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257070 */     // GIR_Coverage, 8034,
     /* 1257070 */     GIR_EraseRootFromParent_Done,
     /* 1257071 */   // Label 18122: @1257071
     /* 1257071 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1257155), // Rule ID 8037 //
     /* 1257076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257129 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257154 */     // GIR_Coverage, 8037,
     /* 1257154 */     GIR_EraseRootFromParent_Done,
     /* 1257155 */   // Label 18123: @1257155
     /* 1257155 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1257239), // Rule ID 8038 //
     /* 1257160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257238 */     // GIR_Coverage, 8038,
     /* 1257238 */     GIR_EraseRootFromParent_Done,
     /* 1257239 */   // Label 18124: @1257239
     /* 1257239 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1257323), // Rule ID 8041 //
     /* 1257244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257322 */     // GIR_Coverage, 8041,
     /* 1257322 */     GIR_EraseRootFromParent_Done,
     /* 1257323 */   // Label 18125: @1257323
     /* 1257323 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1257407), // Rule ID 8042 //
     /* 1257328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257381 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257406 */     // GIR_Coverage, 8042,
     /* 1257406 */     GIR_EraseRootFromParent_Done,
     /* 1257407 */   // Label 18126: @1257407
     /* 1257407 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1257491), // Rule ID 8045 //
     /* 1257412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257490 */     // GIR_Coverage, 8045,
     /* 1257490 */     GIR_EraseRootFromParent_Done,
     /* 1257491 */   // Label 18127: @1257491
     /* 1257491 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1257575), // Rule ID 8046 //
     /* 1257496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257574 */     // GIR_Coverage, 8046,
     /* 1257574 */     GIR_EraseRootFromParent_Done,
     /* 1257575 */   // Label 18128: @1257575
     /* 1257575 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1257659), // Rule ID 8049 //
     /* 1257580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257633 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257658 */     // GIR_Coverage, 8049,
     /* 1257658 */     GIR_EraseRootFromParent_Done,
     /* 1257659 */   // Label 18129: @1257659
     /* 1257659 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1257743), // Rule ID 8050 //
     /* 1257664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257742 */     // GIR_Coverage, 8050,
     /* 1257742 */     GIR_EraseRootFromParent_Done,
     /* 1257743 */   // Label 18130: @1257743
     /* 1257743 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1257827), // Rule ID 8053 //
     /* 1257748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257826 */     // GIR_Coverage, 8053,
     /* 1257826 */     GIR_EraseRootFromParent_Done,
     /* 1257827 */   // Label 18131: @1257827
     /* 1257827 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1257911), // Rule ID 8054 //
     /* 1257832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257910 */     // GIR_Coverage, 8054,
     /* 1257910 */     GIR_EraseRootFromParent_Done,
     /* 1257911 */   // Label 18132: @1257911
     /* 1257911 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1257995), // Rule ID 8057 //
     /* 1257916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257994 */     // GIR_Coverage, 8057,
     /* 1257994 */     GIR_EraseRootFromParent_Done,
     /* 1257995 */   // Label 18133: @1257995
     /* 1257995 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1258079), // Rule ID 8058 //
     /* 1258000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258078 */     // GIR_Coverage, 8058,
     /* 1258078 */     GIR_EraseRootFromParent_Done,
     /* 1258079 */   // Label 18134: @1258079
     /* 1258079 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1258163), // Rule ID 8061 //
     /* 1258084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258162 */     // GIR_Coverage, 8061,
     /* 1258162 */     GIR_EraseRootFromParent_Done,
     /* 1258163 */   // Label 18135: @1258163
     /* 1258163 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1258247), // Rule ID 8062 //
     /* 1258168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258221 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258246 */     // GIR_Coverage, 8062,
     /* 1258246 */     GIR_EraseRootFromParent_Done,
     /* 1258247 */   // Label 18136: @1258247
     /* 1258247 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1258331), // Rule ID 8065 //
     /* 1258252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258330 */     // GIR_Coverage, 8065,
     /* 1258330 */     GIR_EraseRootFromParent_Done,
     /* 1258331 */   // Label 18137: @1258331
     /* 1258331 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1258415), // Rule ID 8066 //
     /* 1258336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258414 */     // GIR_Coverage, 8066,
     /* 1258414 */     GIR_EraseRootFromParent_Done,
     /* 1258415 */   // Label 18138: @1258415
     /* 1258415 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1258499), // Rule ID 8069 //
     /* 1258420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258473 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258498 */     // GIR_Coverage, 8069,
     /* 1258498 */     GIR_EraseRootFromParent_Done,
     /* 1258499 */   // Label 18139: @1258499
     /* 1258499 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1258583), // Rule ID 8070 //
     /* 1258504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258557 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258582 */     // GIR_Coverage, 8070,
     /* 1258582 */     GIR_EraseRootFromParent_Done,
     /* 1258583 */   // Label 18140: @1258583
     /* 1258583 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1258667), // Rule ID 8073 //
     /* 1258588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258641 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258666 */     // GIR_Coverage, 8073,
     /* 1258666 */     GIR_EraseRootFromParent_Done,
     /* 1258667 */   // Label 18141: @1258667
     /* 1258667 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1258751), // Rule ID 8074 //
     /* 1258672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258725 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258750 */     // GIR_Coverage, 8074,
     /* 1258750 */     GIR_EraseRootFromParent_Done,
     /* 1258751 */   // Label 18142: @1258751
     /* 1258751 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1258835), // Rule ID 8077 //
     /* 1258756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258809 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258834 */     // GIR_Coverage, 8077,
     /* 1258834 */     GIR_EraseRootFromParent_Done,
     /* 1258835 */   // Label 18143: @1258835
     /* 1258835 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1258919), // Rule ID 8078 //
     /* 1258840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258893 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258918 */     // GIR_Coverage, 8078,
     /* 1258918 */     GIR_EraseRootFromParent_Done,
     /* 1258919 */   // Label 18144: @1258919
     /* 1258919 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1259003), // Rule ID 8081 //
     /* 1258924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259002 */     // GIR_Coverage, 8081,
     /* 1259002 */     GIR_EraseRootFromParent_Done,
     /* 1259003 */   // Label 18145: @1259003
     /* 1259003 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1259087), // Rule ID 8082 //
     /* 1259008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259061 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259086 */     // GIR_Coverage, 8082,
     /* 1259086 */     GIR_EraseRootFromParent_Done,
     /* 1259087 */   // Label 18146: @1259087
     /* 1259087 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1259171), // Rule ID 8085 //
     /* 1259092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259145 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259170 */     // GIR_Coverage, 8085,
     /* 1259170 */     GIR_EraseRootFromParent_Done,
     /* 1259171 */   // Label 18147: @1259171
     /* 1259171 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1259255), // Rule ID 8086 //
     /* 1259176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259229 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259254 */     // GIR_Coverage, 8086,
     /* 1259254 */     GIR_EraseRootFromParent_Done,
     /* 1259255 */   // Label 18148: @1259255
     /* 1259255 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1259339), // Rule ID 8089 //
     /* 1259260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259313 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259338 */     // GIR_Coverage, 8089,
     /* 1259338 */     GIR_EraseRootFromParent_Done,
     /* 1259339 */   // Label 18149: @1259339
     /* 1259339 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1259423), // Rule ID 8090 //
     /* 1259344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259397 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259422 */     // GIR_Coverage, 8090,
     /* 1259422 */     GIR_EraseRootFromParent_Done,
     /* 1259423 */   // Label 18150: @1259423
     /* 1259423 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1259507), // Rule ID 8093 //
     /* 1259428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259506 */     // GIR_Coverage, 8093,
     /* 1259506 */     GIR_EraseRootFromParent_Done,
     /* 1259507 */   // Label 18151: @1259507
     /* 1259507 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1259591), // Rule ID 8094 //
     /* 1259512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259565 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259590 */     // GIR_Coverage, 8094,
     /* 1259590 */     GIR_EraseRootFromParent_Done,
     /* 1259591 */   // Label 18152: @1259591
     /* 1259591 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1259675), // Rule ID 8097 //
     /* 1259596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259649 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259674 */     // GIR_Coverage, 8097,
     /* 1259674 */     GIR_EraseRootFromParent_Done,
     /* 1259675 */   // Label 18153: @1259675
     /* 1259675 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1259759), // Rule ID 8098 //
     /* 1259680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259733 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259758 */     // GIR_Coverage, 8098,
     /* 1259758 */     GIR_EraseRootFromParent_Done,
     /* 1259759 */   // Label 18154: @1259759
     /* 1259759 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1259843), // Rule ID 8101 //
     /* 1259764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259817 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259842 */     // GIR_Coverage, 8101,
     /* 1259842 */     GIR_EraseRootFromParent_Done,
     /* 1259843 */   // Label 18155: @1259843
     /* 1259843 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1259927), // Rule ID 8102 //
     /* 1259848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259926 */     // GIR_Coverage, 8102,
     /* 1259926 */     GIR_EraseRootFromParent_Done,
     /* 1259927 */   // Label 18156: @1259927
     /* 1259927 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1260011), // Rule ID 8105 //
     /* 1259932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260010 */     // GIR_Coverage, 8105,
     /* 1260010 */     GIR_EraseRootFromParent_Done,
     /* 1260011 */   // Label 18157: @1260011
     /* 1260011 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1260095), // Rule ID 8106 //
     /* 1260016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1260072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260094 */     // GIR_Coverage, 8106,
     /* 1260094 */     GIR_EraseRootFromParent_Done,
     /* 1260095 */   // Label 18158: @1260095
     /* 1260095 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1260179), // Rule ID 8109 //
     /* 1260100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260153 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260178 */     // GIR_Coverage, 8109,
     /* 1260178 */     GIR_EraseRootFromParent_Done,
     /* 1260179 */   // Label 18159: @1260179
     /* 1260179 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1260263), // Rule ID 8110 //
     /* 1260184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260237 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260262 */     // GIR_Coverage, 8110,
     /* 1260262 */     GIR_EraseRootFromParent_Done,
     /* 1260263 */   // Label 18160: @1260263
     /* 1260263 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1260347), // Rule ID 8113 //
     /* 1260268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260346 */     // GIR_Coverage, 8113,
     /* 1260346 */     GIR_EraseRootFromParent_Done,
     /* 1260347 */   // Label 18161: @1260347
     /* 1260347 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1260431), // Rule ID 8114 //
     /* 1260352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260405 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260430 */     // GIR_Coverage, 8114,
     /* 1260430 */     GIR_EraseRootFromParent_Done,
     /* 1260431 */   // Label 18162: @1260431
     /* 1260431 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1260515), // Rule ID 8205 //
     /* 1260436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260489 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260514 */     // GIR_Coverage, 8205,
     /* 1260514 */     GIR_EraseRootFromParent_Done,
     /* 1260515 */   // Label 18163: @1260515
     /* 1260515 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1260599), // Rule ID 8206 //
     /* 1260520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260573 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260598 */     // GIR_Coverage, 8206,
     /* 1260598 */     GIR_EraseRootFromParent_Done,
     /* 1260599 */   // Label 18164: @1260599
     /* 1260599 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1260683), // Rule ID 8209 //
     /* 1260604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1260624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1260660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260682 */     // GIR_Coverage, 8209,
     /* 1260682 */     GIR_EraseRootFromParent_Done,
     /* 1260683 */   // Label 18165: @1260683
     /* 1260683 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1260767), // Rule ID 8210 //
     /* 1260688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1260708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260741 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1260744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260766 */     // GIR_Coverage, 8210,
     /* 1260766 */     GIR_EraseRootFromParent_Done,
     /* 1260767 */   // Label 18166: @1260767
     /* 1260767 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1260851), // Rule ID 8213 //
     /* 1260772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1260828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260850 */     // GIR_Coverage, 8213,
     /* 1260850 */     GIR_EraseRootFromParent_Done,
     /* 1260851 */   // Label 18167: @1260851
     /* 1260851 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1260935), // Rule ID 8214 //
     /* 1260856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260909 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1260912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260934 */     // GIR_Coverage, 8214,
     /* 1260934 */     GIR_EraseRootFromParent_Done,
     /* 1260935 */   // Label 18168: @1260935
     /* 1260935 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1261019), // Rule ID 8217 //
     /* 1260940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1260960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260993 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1260996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261018 */     // GIR_Coverage, 8217,
     /* 1261018 */     GIR_EraseRootFromParent_Done,
     /* 1261019 */   // Label 18169: @1261019
     /* 1261019 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1261103), // Rule ID 8218 //
     /* 1261024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1261044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261102 */     // GIR_Coverage, 8218,
     /* 1261102 */     GIR_EraseRootFromParent_Done,
     /* 1261103 */   // Label 18170: @1261103
     /* 1261103 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1261187), // Rule ID 8221 //
     /* 1261108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261161 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261186 */     // GIR_Coverage, 8221,
     /* 1261186 */     GIR_EraseRootFromParent_Done,
     /* 1261187 */   // Label 18171: @1261187
     /* 1261187 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1261271), // Rule ID 8222 //
     /* 1261192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261270 */     // GIR_Coverage, 8222,
     /* 1261270 */     GIR_EraseRootFromParent_Done,
     /* 1261271 */   // Label 18172: @1261271
     /* 1261271 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1261355), // Rule ID 8225 //
     /* 1261276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261329 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261354 */     // GIR_Coverage, 8225,
     /* 1261354 */     GIR_EraseRootFromParent_Done,
     /* 1261355 */   // Label 18173: @1261355
     /* 1261355 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1261439), // Rule ID 8226 //
     /* 1261360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261413 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261438 */     // GIR_Coverage, 8226,
     /* 1261438 */     GIR_EraseRootFromParent_Done,
     /* 1261439 */   // Label 18174: @1261439
     /* 1261439 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1261523), // Rule ID 8229 //
     /* 1261444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261522 */     // GIR_Coverage, 8229,
     /* 1261522 */     GIR_EraseRootFromParent_Done,
     /* 1261523 */   // Label 18175: @1261523
     /* 1261523 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1261607), // Rule ID 8230 //
     /* 1261528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261581 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261606 */     // GIR_Coverage, 8230,
     /* 1261606 */     GIR_EraseRootFromParent_Done,
     /* 1261607 */   // Label 18176: @1261607
     /* 1261607 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1261691), // Rule ID 8233 //
     /* 1261612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261665 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261690 */     // GIR_Coverage, 8233,
     /* 1261690 */     GIR_EraseRootFromParent_Done,
     /* 1261691 */   // Label 18177: @1261691
     /* 1261691 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1261775), // Rule ID 8234 //
     /* 1261696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261774 */     // GIR_Coverage, 8234,
     /* 1261774 */     GIR_EraseRootFromParent_Done,
     /* 1261775 */   // Label 18178: @1261775
     /* 1261775 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1261859), // Rule ID 8237 //
     /* 1261780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261833 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261858 */     // GIR_Coverage, 8237,
     /* 1261858 */     GIR_EraseRootFromParent_Done,
     /* 1261859 */   // Label 18179: @1261859
     /* 1261859 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1261943), // Rule ID 8238 //
     /* 1261864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261942 */     // GIR_Coverage, 8238,
     /* 1261942 */     GIR_EraseRootFromParent_Done,
     /* 1261943 */   // Label 18180: @1261943
     /* 1261943 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1262027), // Rule ID 8241 //
     /* 1261948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262001 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262026 */     // GIR_Coverage, 8241,
     /* 1262026 */     GIR_EraseRootFromParent_Done,
     /* 1262027 */   // Label 18181: @1262027
     /* 1262027 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1262111), // Rule ID 8242 //
     /* 1262032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1262052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262085 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262110 */     // GIR_Coverage, 8242,
     /* 1262110 */     GIR_EraseRootFromParent_Done,
     /* 1262111 */   // Label 18182: @1262111
     /* 1262111 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1262195), // Rule ID 8245 //
     /* 1262116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262169 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262194 */     // GIR_Coverage, 8245,
     /* 1262194 */     GIR_EraseRootFromParent_Done,
     /* 1262195 */   // Label 18183: @1262195
     /* 1262195 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1262279), // Rule ID 8246 //
     /* 1262200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262253 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262278 */     // GIR_Coverage, 8246,
     /* 1262278 */     GIR_EraseRootFromParent_Done,
     /* 1262279 */   // Label 18184: @1262279
     /* 1262279 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1262363), // Rule ID 8249 //
     /* 1262284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262337 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262362 */     // GIR_Coverage, 8249,
     /* 1262362 */     GIR_EraseRootFromParent_Done,
     /* 1262363 */   // Label 18185: @1262363
     /* 1262363 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1262447), // Rule ID 8250 //
     /* 1262368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262421 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262446 */     // GIR_Coverage, 8250,
     /* 1262446 */     GIR_EraseRootFromParent_Done,
     /* 1262447 */   // Label 18186: @1262447
     /* 1262447 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1262531), // Rule ID 8253 //
     /* 1262452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262505 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262530 */     // GIR_Coverage, 8253,
     /* 1262530 */     GIR_EraseRootFromParent_Done,
     /* 1262531 */   // Label 18187: @1262531
     /* 1262531 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1262615), // Rule ID 8254 //
     /* 1262536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262589 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262614 */     // GIR_Coverage, 8254,
     /* 1262614 */     GIR_EraseRootFromParent_Done,
     /* 1262615 */   // Label 18188: @1262615
     /* 1262615 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1262699), // Rule ID 8257 //
     /* 1262620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1262640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262673 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262698 */     // GIR_Coverage, 8257,
     /* 1262698 */     GIR_EraseRootFromParent_Done,
     /* 1262699 */   // Label 18189: @1262699
     /* 1262699 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1262783), // Rule ID 8258 //
     /* 1262704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1262724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262782 */     // GIR_Coverage, 8258,
     /* 1262782 */     GIR_EraseRootFromParent_Done,
     /* 1262783 */   // Label 18190: @1262783
     /* 1262783 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1262867), // Rule ID 8261 //
     /* 1262788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262841 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262866 */     // GIR_Coverage, 8261,
     /* 1262866 */     GIR_EraseRootFromParent_Done,
     /* 1262867 */   // Label 18191: @1262867
     /* 1262867 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1262951), // Rule ID 8262 //
     /* 1262872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262925 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262950 */     // GIR_Coverage, 8262,
     /* 1262950 */     GIR_EraseRootFromParent_Done,
     /* 1262951 */   // Label 18192: @1262951
     /* 1262951 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1263035), // Rule ID 8265 //
     /* 1262956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1262976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263009 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263034 */     // GIR_Coverage, 8265,
     /* 1263034 */     GIR_EraseRootFromParent_Done,
     /* 1263035 */   // Label 18193: @1263035
     /* 1263035 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1263119), // Rule ID 8266 //
     /* 1263040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1263060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263093 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263118 */     // GIR_Coverage, 8266,
     /* 1263118 */     GIR_EraseRootFromParent_Done,
     /* 1263119 */   // Label 18194: @1263119
     /* 1263119 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1263203), // Rule ID 8269 //
     /* 1263124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263177 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263202 */     // GIR_Coverage, 8269,
     /* 1263202 */     GIR_EraseRootFromParent_Done,
     /* 1263203 */   // Label 18195: @1263203
     /* 1263203 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1263287), // Rule ID 8270 //
     /* 1263208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263261 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263286 */     // GIR_Coverage, 8270,
     /* 1263286 */     GIR_EraseRootFromParent_Done,
     /* 1263287 */   // Label 18196: @1263287
     /* 1263287 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1263371), // Rule ID 8273 //
     /* 1263292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263370 */     // GIR_Coverage, 8273,
     /* 1263370 */     GIR_EraseRootFromParent_Done,
     /* 1263371 */   // Label 18197: @1263371
     /* 1263371 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1263455), // Rule ID 8274 //
     /* 1263376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263429 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263454 */     // GIR_Coverage, 8274,
     /* 1263454 */     GIR_EraseRootFromParent_Done,
     /* 1263455 */   // Label 18198: @1263455
     /* 1263455 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1263539), // Rule ID 8277 //
     /* 1263460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263513 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263538 */     // GIR_Coverage, 8277,
     /* 1263538 */     GIR_EraseRootFromParent_Done,
     /* 1263539 */   // Label 18199: @1263539
     /* 1263539 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1263623), // Rule ID 8278 //
     /* 1263544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263597 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263622 */     // GIR_Coverage, 8278,
     /* 1263622 */     GIR_EraseRootFromParent_Done,
     /* 1263623 */   // Label 18200: @1263623
     /* 1263623 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1263707), // Rule ID 8281 //
     /* 1263628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1263648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263706 */     // GIR_Coverage, 8281,
     /* 1263706 */     GIR_EraseRootFromParent_Done,
     /* 1263707 */   // Label 18201: @1263707
     /* 1263707 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1263791), // Rule ID 8282 //
     /* 1263712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1263732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263765 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263790 */     // GIR_Coverage, 8282,
     /* 1263790 */     GIR_EraseRootFromParent_Done,
     /* 1263791 */   // Label 18202: @1263791
     /* 1263791 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1263875), // Rule ID 8285 //
     /* 1263796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263874 */     // GIR_Coverage, 8285,
     /* 1263874 */     GIR_EraseRootFromParent_Done,
     /* 1263875 */   // Label 18203: @1263875
     /* 1263875 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1263959), // Rule ID 8286 //
     /* 1263880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263958 */     // GIR_Coverage, 8286,
     /* 1263958 */     GIR_EraseRootFromParent_Done,
     /* 1263959 */   // Label 18204: @1263959
     /* 1263959 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1264043), // Rule ID 8289 //
     /* 1263964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1263984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1264020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264042 */     // GIR_Coverage, 8289,
     /* 1264042 */     GIR_EraseRootFromParent_Done,
     /* 1264043 */   // Label 18205: @1264043
     /* 1264043 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1264127), // Rule ID 8290 //
     /* 1264048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1264068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1264104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264126 */     // GIR_Coverage, 8290,
     /* 1264126 */     GIR_EraseRootFromParent_Done,
     /* 1264127 */   // Label 18206: @1264127
     /* 1264127 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1264211), // Rule ID 8293 //
     /* 1264132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264185 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264210 */     // GIR_Coverage, 8293,
     /* 1264210 */     GIR_EraseRootFromParent_Done,
     /* 1264211 */   // Label 18207: @1264211
     /* 1264211 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1264295), // Rule ID 8294 //
     /* 1264216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264269 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264294 */     // GIR_Coverage, 8294,
     /* 1264294 */     GIR_EraseRootFromParent_Done,
     /* 1264295 */   // Label 18208: @1264295
     /* 1264295 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1264379), // Rule ID 8297 //
     /* 1264300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264378 */     // GIR_Coverage, 8297,
     /* 1264378 */     GIR_EraseRootFromParent_Done,
     /* 1264379 */   // Label 18209: @1264379
     /* 1264379 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1264463), // Rule ID 8298 //
     /* 1264384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264437 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264462 */     // GIR_Coverage, 8298,
     /* 1264462 */     GIR_EraseRootFromParent_Done,
     /* 1264463 */   // Label 18210: @1264463
     /* 1264463 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1264547), // Rule ID 8301 //
     /* 1264468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264546 */     // GIR_Coverage, 8301,
     /* 1264546 */     GIR_EraseRootFromParent_Done,
     /* 1264547 */   // Label 18211: @1264547
     /* 1264547 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1264631), // Rule ID 8302 //
     /* 1264552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264630 */     // GIR_Coverage, 8302,
     /* 1264630 */     GIR_EraseRootFromParent_Done,
     /* 1264631 */   // Label 18212: @1264631
     /* 1264631 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1264715), // Rule ID 8305 //
     /* 1264636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264689 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264714 */     // GIR_Coverage, 8305,
     /* 1264714 */     GIR_EraseRootFromParent_Done,
     /* 1264715 */   // Label 18213: @1264715
     /* 1264715 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1264799), // Rule ID 8306 //
     /* 1264720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264798 */     // GIR_Coverage, 8306,
     /* 1264798 */     GIR_EraseRootFromParent_Done,
     /* 1264799 */   // Label 18214: @1264799
     /* 1264799 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1264883), // Rule ID 8309 //
     /* 1264804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264882 */     // GIR_Coverage, 8309,
     /* 1264882 */     GIR_EraseRootFromParent_Done,
     /* 1264883 */   // Label 18215: @1264883
     /* 1264883 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1264967), // Rule ID 8310 //
     /* 1264888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264941 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264966 */     // GIR_Coverage, 8310,
     /* 1264966 */     GIR_EraseRootFromParent_Done,
     /* 1264967 */   // Label 18216: @1264967
     /* 1264967 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1265051), // Rule ID 8313 //
     /* 1264972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265050 */     // GIR_Coverage, 8313,
     /* 1265050 */     GIR_EraseRootFromParent_Done,
     /* 1265051 */   // Label 18217: @1265051
     /* 1265051 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1265135), // Rule ID 8314 //
     /* 1265056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265109 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265134 */     // GIR_Coverage, 8314,
     /* 1265134 */     GIR_EraseRootFromParent_Done,
     /* 1265135 */   // Label 18218: @1265135
     /* 1265135 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1265219), // Rule ID 8317 //
     /* 1265140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265218 */     // GIR_Coverage, 8317,
     /* 1265218 */     GIR_EraseRootFromParent_Done,
     /* 1265219 */   // Label 18219: @1265219
     /* 1265219 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1265303), // Rule ID 8318 //
     /* 1265224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265302 */     // GIR_Coverage, 8318,
     /* 1265302 */     GIR_EraseRootFromParent_Done,
     /* 1265303 */   // Label 18220: @1265303
     /* 1265303 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1265387), // Rule ID 8321 //
     /* 1265308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265361 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265386 */     // GIR_Coverage, 8321,
     /* 1265386 */     GIR_EraseRootFromParent_Done,
     /* 1265387 */   // Label 18221: @1265387
     /* 1265387 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1265471), // Rule ID 8322 //
     /* 1265392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265445 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265470 */     // GIR_Coverage, 8322,
     /* 1265470 */     GIR_EraseRootFromParent_Done,
     /* 1265471 */   // Label 18222: @1265471
     /* 1265471 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1265555), // Rule ID 8325 //
     /* 1265476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265529 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265554 */     // GIR_Coverage, 8325,
     /* 1265554 */     GIR_EraseRootFromParent_Done,
     /* 1265555 */   // Label 18223: @1265555
     /* 1265555 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1265639), // Rule ID 8326 //
     /* 1265560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265613 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265638 */     // GIR_Coverage, 8326,
     /* 1265638 */     GIR_EraseRootFromParent_Done,
     /* 1265639 */   // Label 18224: @1265639
     /* 1265639 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1265723), // Rule ID 8329 //
     /* 1265644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265697 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265722 */     // GIR_Coverage, 8329,
     /* 1265722 */     GIR_EraseRootFromParent_Done,
     /* 1265723 */   // Label 18225: @1265723
     /* 1265723 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1265807), // Rule ID 8330 //
     /* 1265728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265781 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265806 */     // GIR_Coverage, 8330,
     /* 1265806 */     GIR_EraseRootFromParent_Done,
     /* 1265807 */   // Label 18226: @1265807
     /* 1265807 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1265891), // Rule ID 8333 //
     /* 1265812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265865 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265890 */     // GIR_Coverage, 8333,
     /* 1265890 */     GIR_EraseRootFromParent_Done,
     /* 1265891 */   // Label 18227: @1265891
     /* 1265891 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1265975), // Rule ID 8334 //
     /* 1265896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265949 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265974 */     // GIR_Coverage, 8334,
     /* 1265974 */     GIR_EraseRootFromParent_Done,
     /* 1265975 */   // Label 18228: @1265975
     /* 1265975 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1266059), // Rule ID 8337 //
     /* 1265980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266033 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266058 */     // GIR_Coverage, 8337,
     /* 1266058 */     GIR_EraseRootFromParent_Done,
     /* 1266059 */   // Label 18229: @1266059
     /* 1266059 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1266143), // Rule ID 8338 //
     /* 1266064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266117 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266142 */     // GIR_Coverage, 8338,
     /* 1266142 */     GIR_EraseRootFromParent_Done,
     /* 1266143 */   // Label 18230: @1266143
     /* 1266143 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1266227), // Rule ID 8341 //
     /* 1266148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266201 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266226 */     // GIR_Coverage, 8341,
     /* 1266226 */     GIR_EraseRootFromParent_Done,
     /* 1266227 */   // Label 18231: @1266227
     /* 1266227 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1266311), // Rule ID 8342 //
     /* 1266232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266285 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266310 */     // GIR_Coverage, 8342,
     /* 1266310 */     GIR_EraseRootFromParent_Done,
     /* 1266311 */   // Label 18232: @1266311
     /* 1266311 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1266395), // Rule ID 8345 //
     /* 1266316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266394 */     // GIR_Coverage, 8345,
     /* 1266394 */     GIR_EraseRootFromParent_Done,
     /* 1266395 */   // Label 18233: @1266395
     /* 1266395 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1266479), // Rule ID 8346 //
     /* 1266400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266453 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266478 */     // GIR_Coverage, 8346,
     /* 1266478 */     GIR_EraseRootFromParent_Done,
     /* 1266479 */   // Label 18234: @1266479
     /* 1266479 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1266563), // Rule ID 8349 //
     /* 1266484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266537 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266562 */     // GIR_Coverage, 8349,
     /* 1266562 */     GIR_EraseRootFromParent_Done,
     /* 1266563 */   // Label 18235: @1266563
     /* 1266563 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1266647), // Rule ID 8350 //
     /* 1266568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266621 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266646 */     // GIR_Coverage, 8350,
     /* 1266646 */     GIR_EraseRootFromParent_Done,
     /* 1266647 */   // Label 18236: @1266647
     /* 1266647 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1266731), // Rule ID 8353 //
     /* 1266652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266705 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266730 */     // GIR_Coverage, 8353,
     /* 1266730 */     GIR_EraseRootFromParent_Done,
     /* 1266731 */   // Label 18237: @1266731
     /* 1266731 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1266815), // Rule ID 8354 //
     /* 1266736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266789 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266814 */     // GIR_Coverage, 8354,
     /* 1266814 */     GIR_EraseRootFromParent_Done,
     /* 1266815 */   // Label 18238: @1266815
     /* 1266815 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1266899), // Rule ID 8357 //
     /* 1266820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266873 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266898 */     // GIR_Coverage, 8357,
     /* 1266898 */     GIR_EraseRootFromParent_Done,
     /* 1266899 */   // Label 18239: @1266899
     /* 1266899 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1266983), // Rule ID 8358 //
     /* 1266904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266957 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266982 */     // GIR_Coverage, 8358,
     /* 1266982 */     GIR_EraseRootFromParent_Done,
     /* 1266983 */   // Label 18240: @1266983
     /* 1266983 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1267067), // Rule ID 8361 //
     /* 1266988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267041 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267066 */     // GIR_Coverage, 8361,
     /* 1267066 */     GIR_EraseRootFromParent_Done,
     /* 1267067 */   // Label 18241: @1267067
     /* 1267067 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1267151), // Rule ID 8362 //
     /* 1267072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267125 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267150 */     // GIR_Coverage, 8362,
     /* 1267150 */     GIR_EraseRootFromParent_Done,
     /* 1267151 */   // Label 18242: @1267151
     /* 1267151 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1267235), // Rule ID 8365 //
     /* 1267156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267209 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267234 */     // GIR_Coverage, 8365,
     /* 1267234 */     GIR_EraseRootFromParent_Done,
     /* 1267235 */   // Label 18243: @1267235
     /* 1267235 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1267319), // Rule ID 8366 //
     /* 1267240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267318 */     // GIR_Coverage, 8366,
     /* 1267318 */     GIR_EraseRootFromParent_Done,
     /* 1267319 */   // Label 18244: @1267319
     /* 1267319 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1267403), // Rule ID 8369 //
     /* 1267324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267377 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267402 */     // GIR_Coverage, 8369,
     /* 1267402 */     GIR_EraseRootFromParent_Done,
     /* 1267403 */   // Label 18245: @1267403
     /* 1267403 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1267487), // Rule ID 8370 //
     /* 1267408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267461 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267486 */     // GIR_Coverage, 8370,
     /* 1267486 */     GIR_EraseRootFromParent_Done,
     /* 1267487 */   // Label 18246: @1267487
     /* 1267487 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1267571), // Rule ID 8373 //
     /* 1267492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267570 */     // GIR_Coverage, 8373,
     /* 1267570 */     GIR_EraseRootFromParent_Done,
     /* 1267571 */   // Label 18247: @1267571
     /* 1267571 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1267655), // Rule ID 8374 //
     /* 1267576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267629 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267654 */     // GIR_Coverage, 8374,
     /* 1267654 */     GIR_EraseRootFromParent_Done,
     /* 1267655 */   // Label 18248: @1267655
     /* 1267655 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1267739), // Rule ID 8377 //
     /* 1267660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267713 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267738 */     // GIR_Coverage, 8377,
     /* 1267738 */     GIR_EraseRootFromParent_Done,
     /* 1267739 */   // Label 18249: @1267739
     /* 1267739 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1267823), // Rule ID 8378 //
     /* 1267744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267822 */     // GIR_Coverage, 8378,
     /* 1267822 */     GIR_EraseRootFromParent_Done,
     /* 1267823 */   // Label 18250: @1267823
     /* 1267823 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1267907), // Rule ID 8381 //
     /* 1267828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267881 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1267884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267906 */     // GIR_Coverage, 8381,
     /* 1267906 */     GIR_EraseRootFromParent_Done,
     /* 1267907 */   // Label 18251: @1267907
     /* 1267907 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1267991), // Rule ID 8382 //
     /* 1267912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1267968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267990 */     // GIR_Coverage, 8382,
     /* 1267990 */     GIR_EraseRootFromParent_Done,
     /* 1267991 */   // Label 18252: @1267991
     /* 1267991 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1268075), // Rule ID 8385 //
     /* 1267996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1268016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268049 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268074 */     // GIR_Coverage, 8385,
     /* 1268074 */     GIR_EraseRootFromParent_Done,
     /* 1268075 */   // Label 18253: @1268075
     /* 1268075 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1268159), // Rule ID 8386 //
     /* 1268080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1268100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268158 */     // GIR_Coverage, 8386,
     /* 1268158 */     GIR_EraseRootFromParent_Done,
     /* 1268159 */   // Label 18254: @1268159
     /* 1268159 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1268243), // Rule ID 8389 //
     /* 1268164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268217 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268242 */     // GIR_Coverage, 8389,
     /* 1268242 */     GIR_EraseRootFromParent_Done,
     /* 1268243 */   // Label 18255: @1268243
     /* 1268243 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1268327), // Rule ID 8390 //
     /* 1268248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268326 */     // GIR_Coverage, 8390,
     /* 1268326 */     GIR_EraseRootFromParent_Done,
     /* 1268327 */   // Label 18256: @1268327
     /* 1268327 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1268411), // Rule ID 8393 //
     /* 1268332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268410 */     // GIR_Coverage, 8393,
     /* 1268410 */     GIR_EraseRootFromParent_Done,
     /* 1268411 */   // Label 18257: @1268411
     /* 1268411 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1268495), // Rule ID 8394 //
     /* 1268416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268469 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268494 */     // GIR_Coverage, 8394,
     /* 1268494 */     GIR_EraseRootFromParent_Done,
     /* 1268495 */   // Label 18258: @1268495
     /* 1268495 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1268579), // Rule ID 8397 //
     /* 1268500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268578 */     // GIR_Coverage, 8397,
     /* 1268578 */     GIR_EraseRootFromParent_Done,
     /* 1268579 */   // Label 18259: @1268579
     /* 1268579 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1268663), // Rule ID 8398 //
     /* 1268584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268662 */     // GIR_Coverage, 8398,
     /* 1268662 */     GIR_EraseRootFromParent_Done,
     /* 1268663 */   // Label 18260: @1268663
     /* 1268663 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1268747), // Rule ID 8401 //
     /* 1268668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1268688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268746 */     // GIR_Coverage, 8401,
     /* 1268746 */     GIR_EraseRootFromParent_Done,
     /* 1268747 */   // Label 18261: @1268747
     /* 1268747 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1268831), // Rule ID 8402 //
     /* 1268752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1268772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268805 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268830 */     // GIR_Coverage, 8402,
     /* 1268830 */     GIR_EraseRootFromParent_Done,
     /* 1268831 */   // Label 18262: @1268831
     /* 1268831 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1268915), // Rule ID 8405 //
     /* 1268836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1268892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268914 */     // GIR_Coverage, 8405,
     /* 1268914 */     GIR_EraseRootFromParent_Done,
     /* 1268915 */   // Label 18263: @1268915
     /* 1268915 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1268999), // Rule ID 8406 //
     /* 1268920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268973 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1268976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268998 */     // GIR_Coverage, 8406,
     /* 1268998 */     GIR_EraseRootFromParent_Done,
     /* 1268999 */   // Label 18264: @1268999
     /* 1268999 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1269083), // Rule ID 8409 //
     /* 1269004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269082 */     // GIR_Coverage, 8409,
     /* 1269082 */     GIR_EraseRootFromParent_Done,
     /* 1269083 */   // Label 18265: @1269083
     /* 1269083 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1269167), // Rule ID 8410 //
     /* 1269088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269141 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269166 */     // GIR_Coverage, 8410,
     /* 1269166 */     GIR_EraseRootFromParent_Done,
     /* 1269167 */   // Label 18266: @1269167
     /* 1269167 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1269251), // Rule ID 8413 //
     /* 1269172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269250 */     // GIR_Coverage, 8413,
     /* 1269250 */     GIR_EraseRootFromParent_Done,
     /* 1269251 */   // Label 18267: @1269251
     /* 1269251 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1269335), // Rule ID 8414 //
     /* 1269256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269309 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269334 */     // GIR_Coverage, 8414,
     /* 1269334 */     GIR_EraseRootFromParent_Done,
     /* 1269335 */   // Label 18268: @1269335
     /* 1269335 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1269419), // Rule ID 8417 //
     /* 1269340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269418 */     // GIR_Coverage, 8417,
     /* 1269418 */     GIR_EraseRootFromParent_Done,
     /* 1269419 */   // Label 18269: @1269419
     /* 1269419 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1269503), // Rule ID 8418 //
     /* 1269424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269502 */     // GIR_Coverage, 8418,
     /* 1269502 */     GIR_EraseRootFromParent_Done,
     /* 1269503 */   // Label 18270: @1269503
     /* 1269503 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1269587), // Rule ID 8421 //
     /* 1269508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269561 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269586 */     // GIR_Coverage, 8421,
     /* 1269586 */     GIR_EraseRootFromParent_Done,
     /* 1269587 */   // Label 18271: @1269587
     /* 1269587 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1269671), // Rule ID 8422 //
     /* 1269592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269670 */     // GIR_Coverage, 8422,
     /* 1269670 */     GIR_EraseRootFromParent_Done,
     /* 1269671 */   // Label 18272: @1269671
     /* 1269671 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1269755), // Rule ID 8425 //
     /* 1269676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1269696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269729 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1269732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269754 */     // GIR_Coverage, 8425,
     /* 1269754 */     GIR_EraseRootFromParent_Done,
     /* 1269755 */   // Label 18273: @1269755
     /* 1269755 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1269839), // Rule ID 8426 //
     /* 1269760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1269780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269813 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1269816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269838 */     // GIR_Coverage, 8426,
     /* 1269838 */     GIR_EraseRootFromParent_Done,
     /* 1269839 */   // Label 18274: @1269839
     /* 1269839 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1269923), // Rule ID 8429 //
     /* 1269844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269897 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269922 */     // GIR_Coverage, 8429,
     /* 1269922 */     GIR_EraseRootFromParent_Done,
     /* 1269923 */   // Label 18275: @1269923
     /* 1269923 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1270007), // Rule ID 8430 //
     /* 1269928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269981 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270006 */     // GIR_Coverage, 8430,
     /* 1270006 */     GIR_EraseRootFromParent_Done,
     /* 1270007 */   // Label 18276: @1270007
     /* 1270007 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1270091), // Rule ID 8433 //
     /* 1270012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1270032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270090 */     // GIR_Coverage, 8433,
     /* 1270090 */     GIR_EraseRootFromParent_Done,
     /* 1270091 */   // Label 18277: @1270091
     /* 1270091 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1270175), // Rule ID 8434 //
     /* 1270096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1270116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270174 */     // GIR_Coverage, 8434,
     /* 1270174 */     GIR_EraseRootFromParent_Done,
     /* 1270175 */   // Label 18278: @1270175
     /* 1270175 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1270259), // Rule ID 8437 //
     /* 1270180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270233 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270258 */     // GIR_Coverage, 8437,
     /* 1270258 */     GIR_EraseRootFromParent_Done,
     /* 1270259 */   // Label 18279: @1270259
     /* 1270259 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1270343), // Rule ID 8438 //
     /* 1270264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270342 */     // GIR_Coverage, 8438,
     /* 1270342 */     GIR_EraseRootFromParent_Done,
     /* 1270343 */   // Label 18280: @1270343
     /* 1270343 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1270427), // Rule ID 8441 //
     /* 1270348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270401 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270426 */     // GIR_Coverage, 8441,
     /* 1270426 */     GIR_EraseRootFromParent_Done,
     /* 1270427 */   // Label 18281: @1270427
     /* 1270427 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1270511), // Rule ID 8442 //
     /* 1270432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270485 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270510 */     // GIR_Coverage, 8442,
     /* 1270510 */     GIR_EraseRootFromParent_Done,
     /* 1270511 */   // Label 18282: @1270511
     /* 1270511 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1270595), // Rule ID 8445 //
     /* 1270516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270594 */     // GIR_Coverage, 8445,
     /* 1270594 */     GIR_EraseRootFromParent_Done,
     /* 1270595 */   // Label 18283: @1270595
     /* 1270595 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1270679), // Rule ID 8446 //
     /* 1270600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270678 */     // GIR_Coverage, 8446,
     /* 1270678 */     GIR_EraseRootFromParent_Done,
     /* 1270679 */   // Label 18284: @1270679
     /* 1270679 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1270763), // Rule ID 8449 //
     /* 1270684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1270704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270737 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270762 */     // GIR_Coverage, 8449,
     /* 1270762 */     GIR_EraseRootFromParent_Done,
     /* 1270763 */   // Label 18285: @1270763
     /* 1270763 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1270847), // Rule ID 8450 //
     /* 1270768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1270788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270821 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270846 */     // GIR_Coverage, 8450,
     /* 1270846 */     GIR_EraseRootFromParent_Done,
     /* 1270847 */   // Label 18286: @1270847
     /* 1270847 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1270931), // Rule ID 8453 //
     /* 1270852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270905 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270930 */     // GIR_Coverage, 8453,
     /* 1270930 */     GIR_EraseRootFromParent_Done,
     /* 1270931 */   // Label 18287: @1270931
     /* 1270931 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1271015), // Rule ID 8454 //
     /* 1270936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271014 */     // GIR_Coverage, 8454,
     /* 1271014 */     GIR_EraseRootFromParent_Done,
     /* 1271015 */   // Label 18288: @1271015
     /* 1271015 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1271099), // Rule ID 8457 //
     /* 1271020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1271040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271098 */     // GIR_Coverage, 8457,
     /* 1271098 */     GIR_EraseRootFromParent_Done,
     /* 1271099 */   // Label 18289: @1271099
     /* 1271099 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1271183), // Rule ID 8458 //
     /* 1271104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1271124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271157 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271182 */     // GIR_Coverage, 8458,
     /* 1271182 */     GIR_EraseRootFromParent_Done,
     /* 1271183 */   // Label 18290: @1271183
     /* 1271183 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1271267), // Rule ID 8461 //
     /* 1271188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271241 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271266 */     // GIR_Coverage, 8461,
     /* 1271266 */     GIR_EraseRootFromParent_Done,
     /* 1271267 */   // Label 18291: @1271267
     /* 1271267 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1271351), // Rule ID 8462 //
     /* 1271272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271350 */     // GIR_Coverage, 8462,
     /* 1271350 */     GIR_EraseRootFromParent_Done,
     /* 1271351 */   // Label 18292: @1271351
     /* 1271351 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1271435), // Rule ID 8465 //
     /* 1271356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271434 */     // GIR_Coverage, 8465,
     /* 1271434 */     GIR_EraseRootFromParent_Done,
     /* 1271435 */   // Label 18293: @1271435
     /* 1271435 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1271519), // Rule ID 8466 //
     /* 1271440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271518 */     // GIR_Coverage, 8466,
     /* 1271518 */     GIR_EraseRootFromParent_Done,
     /* 1271519 */   // Label 18294: @1271519
     /* 1271519 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1271603), // Rule ID 8469 //
     /* 1271524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1271580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271602 */     // GIR_Coverage, 8469,
     /* 1271602 */     GIR_EraseRootFromParent_Done,
     /* 1271603 */   // Label 18295: @1271603
     /* 1271603 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1271687), // Rule ID 8470 //
     /* 1271608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1271664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271686 */     // GIR_Coverage, 8470,
     /* 1271686 */     GIR_EraseRootFromParent_Done,
     /* 1271687 */   // Label 18296: @1271687
     /* 1271687 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1271771), // Rule ID 8473 //
     /* 1271692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1271748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271770 */     // GIR_Coverage, 8473,
     /* 1271770 */     GIR_EraseRootFromParent_Done,
     /* 1271771 */   // Label 18297: @1271771
     /* 1271771 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1271855), // Rule ID 8474 //
     /* 1271776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1271832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271854 */     // GIR_Coverage, 8474,
     /* 1271854 */     GIR_EraseRootFromParent_Done,
     /* 1271855 */   // Label 18298: @1271855
     /* 1271855 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1271939), // Rule ID 8477 //
     /* 1271860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1271916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271938 */     // GIR_Coverage, 8477,
     /* 1271938 */     GIR_EraseRootFromParent_Done,
     /* 1271939 */   // Label 18299: @1271939
     /* 1271939 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1272023), // Rule ID 8478 //
     /* 1271944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271997 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272022 */     // GIR_Coverage, 8478,
     /* 1272022 */     GIR_EraseRootFromParent_Done,
     /* 1272023 */   // Label 18300: @1272023
     /* 1272023 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1272107), // Rule ID 8481 //
     /* 1272028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272081 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272106 */     // GIR_Coverage, 8481,
     /* 1272106 */     GIR_EraseRootFromParent_Done,
     /* 1272107 */   // Label 18301: @1272107
     /* 1272107 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1272191), // Rule ID 8482 //
     /* 1272112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272190 */     // GIR_Coverage, 8482,
     /* 1272190 */     GIR_EraseRootFromParent_Done,
     /* 1272191 */   // Label 18302: @1272191
     /* 1272191 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1272275), // Rule ID 8485 //
     /* 1272196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272249 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272274 */     // GIR_Coverage, 8485,
     /* 1272274 */     GIR_EraseRootFromParent_Done,
     /* 1272275 */   // Label 18303: @1272275
     /* 1272275 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1272359), // Rule ID 8486 //
     /* 1272280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272358 */     // GIR_Coverage, 8486,
     /* 1272358 */     GIR_EraseRootFromParent_Done,
     /* 1272359 */   // Label 18304: @1272359
     /* 1272359 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1272443), // Rule ID 8489 //
     /* 1272364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272442 */     // GIR_Coverage, 8489,
     /* 1272442 */     GIR_EraseRootFromParent_Done,
     /* 1272443 */   // Label 18305: @1272443
     /* 1272443 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1272527), // Rule ID 8490 //
     /* 1272448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272526 */     // GIR_Coverage, 8490,
     /* 1272526 */     GIR_EraseRootFromParent_Done,
     /* 1272527 */   // Label 18306: @1272527
     /* 1272527 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1272611), // Rule ID 8493 //
     /* 1272532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272610 */     // GIR_Coverage, 8493,
     /* 1272610 */     GIR_EraseRootFromParent_Done,
     /* 1272611 */   // Label 18307: @1272611
     /* 1272611 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1272695), // Rule ID 8494 //
     /* 1272616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272694 */     // GIR_Coverage, 8494,
     /* 1272694 */     GIR_EraseRootFromParent_Done,
     /* 1272695 */   // Label 18308: @1272695
     /* 1272695 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1272779), // Rule ID 8497 //
     /* 1272700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272778 */     // GIR_Coverage, 8497,
     /* 1272778 */     GIR_EraseRootFromParent_Done,
     /* 1272779 */   // Label 18309: @1272779
     /* 1272779 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1272863), // Rule ID 8498 //
     /* 1272784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272837 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272862 */     // GIR_Coverage, 8498,
     /* 1272862 */     GIR_EraseRootFromParent_Done,
     /* 1272863 */   // Label 18310: @1272863
     /* 1272863 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1272947), // Rule ID 8501 //
     /* 1272868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272946 */     // GIR_Coverage, 8501,
     /* 1272946 */     GIR_EraseRootFromParent_Done,
     /* 1272947 */   // Label 18311: @1272947
     /* 1272947 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1273031), // Rule ID 8502 //
     /* 1272952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273030 */     // GIR_Coverage, 8502,
     /* 1273030 */     GIR_EraseRootFromParent_Done,
     /* 1273031 */   // Label 18312: @1273031
     /* 1273031 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1273115), // Rule ID 8505 //
     /* 1273036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273114 */     // GIR_Coverage, 8505,
     /* 1273114 */     GIR_EraseRootFromParent_Done,
     /* 1273115 */   // Label 18313: @1273115
     /* 1273115 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1273199), // Rule ID 8506 //
     /* 1273120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273198 */     // GIR_Coverage, 8506,
     /* 1273198 */     GIR_EraseRootFromParent_Done,
     /* 1273199 */   // Label 18314: @1273199
     /* 1273199 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1273283), // Rule ID 8509 //
     /* 1273204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273257 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273282 */     // GIR_Coverage, 8509,
     /* 1273282 */     GIR_EraseRootFromParent_Done,
     /* 1273283 */   // Label 18315: @1273283
     /* 1273283 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1273367), // Rule ID 8510 //
     /* 1273288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273366 */     // GIR_Coverage, 8510,
     /* 1273366 */     GIR_EraseRootFromParent_Done,
     /* 1273367 */   // Label 18316: @1273367
     /* 1273367 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1273451), // Rule ID 8513 //
     /* 1273372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273425 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273450 */     // GIR_Coverage, 8513,
     /* 1273450 */     GIR_EraseRootFromParent_Done,
     /* 1273451 */   // Label 18317: @1273451
     /* 1273451 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1273535), // Rule ID 8514 //
     /* 1273456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273509 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273534 */     // GIR_Coverage, 8514,
     /* 1273534 */     GIR_EraseRootFromParent_Done,
     /* 1273535 */   // Label 18318: @1273535
     /* 1273535 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1273619), // Rule ID 8517 //
     /* 1273540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273593 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273618 */     // GIR_Coverage, 8517,
     /* 1273618 */     GIR_EraseRootFromParent_Done,
     /* 1273619 */   // Label 18319: @1273619
     /* 1273619 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1273703), // Rule ID 8518 //
     /* 1273624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273677 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273702 */     // GIR_Coverage, 8518,
     /* 1273702 */     GIR_EraseRootFromParent_Done,
     /* 1273703 */   // Label 18320: @1273703
     /* 1273703 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1273787), // Rule ID 8521 //
     /* 1273708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273786 */     // GIR_Coverage, 8521,
     /* 1273786 */     GIR_EraseRootFromParent_Done,
     /* 1273787 */   // Label 18321: @1273787
     /* 1273787 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1273871), // Rule ID 8522 //
     /* 1273792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273870 */     // GIR_Coverage, 8522,
     /* 1273870 */     GIR_EraseRootFromParent_Done,
     /* 1273871 */   // Label 18322: @1273871
     /* 1273871 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1273955), // Rule ID 8525 //
     /* 1273876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273929 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273954 */     // GIR_Coverage, 8525,
     /* 1273954 */     GIR_EraseRootFromParent_Done,
     /* 1273955 */   // Label 18323: @1273955
     /* 1273955 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1274039), // Rule ID 8526 //
     /* 1273960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274013 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274038 */     // GIR_Coverage, 8526,
     /* 1274038 */     GIR_EraseRootFromParent_Done,
     /* 1274039 */   // Label 18324: @1274039
     /* 1274039 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1274123), // Rule ID 8529 //
     /* 1274044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274097 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274122 */     // GIR_Coverage, 8529,
     /* 1274122 */     GIR_EraseRootFromParent_Done,
     /* 1274123 */   // Label 18325: @1274123
     /* 1274123 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1274207), // Rule ID 8530 //
     /* 1274128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274181 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274206 */     // GIR_Coverage, 8530,
     /* 1274206 */     GIR_EraseRootFromParent_Done,
     /* 1274207 */   // Label 18326: @1274207
     /* 1274207 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1274291), // Rule ID 8533 //
     /* 1274212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274290 */     // GIR_Coverage, 8533,
     /* 1274290 */     GIR_EraseRootFromParent_Done,
     /* 1274291 */   // Label 18327: @1274291
     /* 1274291 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1274375), // Rule ID 8534 //
     /* 1274296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274374 */     // GIR_Coverage, 8534,
     /* 1274374 */     GIR_EraseRootFromParent_Done,
     /* 1274375 */   // Label 18328: @1274375
     /* 1274375 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1274459), // Rule ID 8537 //
     /* 1274380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274433 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274458 */     // GIR_Coverage, 8537,
     /* 1274458 */     GIR_EraseRootFromParent_Done,
     /* 1274459 */   // Label 18329: @1274459
     /* 1274459 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1274543), // Rule ID 8538 //
     /* 1274464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274542 */     // GIR_Coverage, 8538,
     /* 1274542 */     GIR_EraseRootFromParent_Done,
     /* 1274543 */   // Label 18330: @1274543
     /* 1274543 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1274627), // Rule ID 8541 //
     /* 1274548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274626 */     // GIR_Coverage, 8541,
     /* 1274626 */     GIR_EraseRootFromParent_Done,
     /* 1274627 */   // Label 18331: @1274627
     /* 1274627 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1274711), // Rule ID 8542 //
     /* 1274632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274685 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274710 */     // GIR_Coverage, 8542,
     /* 1274710 */     GIR_EraseRootFromParent_Done,
     /* 1274711 */   // Label 18332: @1274711
     /* 1274711 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1274795), // Rule ID 8545 //
     /* 1274716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274794 */     // GIR_Coverage, 8545,
     /* 1274794 */     GIR_EraseRootFromParent_Done,
     /* 1274795 */   // Label 18333: @1274795
     /* 1274795 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1274879), // Rule ID 8546 //
     /* 1274800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274878 */     // GIR_Coverage, 8546,
     /* 1274878 */     GIR_EraseRootFromParent_Done,
     /* 1274879 */   // Label 18334: @1274879
     /* 1274879 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1274963), // Rule ID 8549 //
     /* 1274884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274937 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274962 */     // GIR_Coverage, 8549,
     /* 1274962 */     GIR_EraseRootFromParent_Done,
     /* 1274963 */   // Label 18335: @1274963
     /* 1274963 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1275047), // Rule ID 8550 //
     /* 1274968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1275024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275046 */     // GIR_Coverage, 8550,
     /* 1275046 */     GIR_EraseRootFromParent_Done,
     /* 1275047 */   // Label 18336: @1275047
     /* 1275047 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1275131), // Rule ID 8553 //
     /* 1275052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275130 */     // GIR_Coverage, 8553,
     /* 1275130 */     GIR_EraseRootFromParent_Done,
     /* 1275131 */   // Label 18337: @1275131
     /* 1275131 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1275215), // Rule ID 8554 //
     /* 1275136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275189 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275214 */     // GIR_Coverage, 8554,
     /* 1275214 */     GIR_EraseRootFromParent_Done,
     /* 1275215 */   // Label 18338: @1275215
     /* 1275215 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1275299), // Rule ID 8557 //
     /* 1275220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275298 */     // GIR_Coverage, 8557,
     /* 1275298 */     GIR_EraseRootFromParent_Done,
     /* 1275299 */   // Label 18339: @1275299
     /* 1275299 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1275383), // Rule ID 8558 //
     /* 1275304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275357 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275382 */     // GIR_Coverage, 8558,
     /* 1275382 */     GIR_EraseRootFromParent_Done,
     /* 1275383 */   // Label 18340: @1275383
     /* 1275383 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1275467), // Rule ID 8561 //
     /* 1275388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275466 */     // GIR_Coverage, 8561,
     /* 1275466 */     GIR_EraseRootFromParent_Done,
     /* 1275467 */   // Label 18341: @1275467
     /* 1275467 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1275551), // Rule ID 8562 //
     /* 1275472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275525 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275550 */     // GIR_Coverage, 8562,
     /* 1275550 */     GIR_EraseRootFromParent_Done,
     /* 1275551 */   // Label 18342: @1275551
     /* 1275551 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1275635), // Rule ID 8565 //
     /* 1275556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275634 */     // GIR_Coverage, 8565,
     /* 1275634 */     GIR_EraseRootFromParent_Done,
     /* 1275635 */   // Label 18343: @1275635
     /* 1275635 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1275719), // Rule ID 8566 //
     /* 1275640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275718 */     // GIR_Coverage, 8566,
     /* 1275718 */     GIR_EraseRootFromParent_Done,
     /* 1275719 */   // Label 18344: @1275719
     /* 1275719 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1275803), // Rule ID 8569 //
     /* 1275724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275777 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275802 */     // GIR_Coverage, 8569,
     /* 1275802 */     GIR_EraseRootFromParent_Done,
     /* 1275803 */   // Label 18345: @1275803
     /* 1275803 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1275887), // Rule ID 8570 //
     /* 1275808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275861 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275886 */     // GIR_Coverage, 8570,
     /* 1275886 */     GIR_EraseRootFromParent_Done,
     /* 1275887 */   // Label 18346: @1275887
     /* 1275887 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1275971), // Rule ID 8573 //
     /* 1275892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275970 */     // GIR_Coverage, 8573,
     /* 1275970 */     GIR_EraseRootFromParent_Done,
     /* 1275971 */   // Label 18347: @1275971
     /* 1275971 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1276055), // Rule ID 8574 //
     /* 1275976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276054 */     // GIR_Coverage, 8574,
     /* 1276054 */     GIR_EraseRootFromParent_Done,
     /* 1276055 */   // Label 18348: @1276055
     /* 1276055 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1276139), // Rule ID 8577 //
     /* 1276060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276113 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276138 */     // GIR_Coverage, 8577,
     /* 1276138 */     GIR_EraseRootFromParent_Done,
     /* 1276139 */   // Label 18349: @1276139
     /* 1276139 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1276223), // Rule ID 8578 //
     /* 1276144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276197 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276222 */     // GIR_Coverage, 8578,
     /* 1276222 */     GIR_EraseRootFromParent_Done,
     /* 1276223 */   // Label 18350: @1276223
     /* 1276223 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1276307), // Rule ID 8581 //
     /* 1276228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276306 */     // GIR_Coverage, 8581,
     /* 1276306 */     GIR_EraseRootFromParent_Done,
     /* 1276307 */   // Label 18351: @1276307
     /* 1276307 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1276391), // Rule ID 8582 //
     /* 1276312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276365 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276390 */     // GIR_Coverage, 8582,
     /* 1276390 */     GIR_EraseRootFromParent_Done,
     /* 1276391 */   // Label 18352: @1276391
     /* 1276391 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1276475), // Rule ID 8585 //
     /* 1276396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276449 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276474 */     // GIR_Coverage, 8585,
     /* 1276474 */     GIR_EraseRootFromParent_Done,
     /* 1276475 */   // Label 18353: @1276475
     /* 1276475 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1276559), // Rule ID 8586 //
     /* 1276480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276558 */     // GIR_Coverage, 8586,
     /* 1276558 */     GIR_EraseRootFromParent_Done,
     /* 1276559 */   // Label 18354: @1276559
     /* 1276559 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1276643), // Rule ID 8589 //
     /* 1276564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276617 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276642 */     // GIR_Coverage, 8589,
     /* 1276642 */     GIR_EraseRootFromParent_Done,
     /* 1276643 */   // Label 18355: @1276643
     /* 1276643 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1276727), // Rule ID 8590 //
     /* 1276648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276701 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276726 */     // GIR_Coverage, 8590,
     /* 1276726 */     GIR_EraseRootFromParent_Done,
     /* 1276727 */   // Label 18356: @1276727
     /* 1276727 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1276811), // Rule ID 8593 //
     /* 1276732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276810 */     // GIR_Coverage, 8593,
     /* 1276810 */     GIR_EraseRootFromParent_Done,
     /* 1276811 */   // Label 18357: @1276811
     /* 1276811 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1276895), // Rule ID 8594 //
     /* 1276816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276869 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276894 */     // GIR_Coverage, 8594,
     /* 1276894 */     GIR_EraseRootFromParent_Done,
     /* 1276895 */   // Label 18358: @1276895
     /* 1276895 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1276979), // Rule ID 8597 //
     /* 1276900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1276920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1276956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276978 */     // GIR_Coverage, 8597,
     /* 1276978 */     GIR_EraseRootFromParent_Done,
     /* 1276979 */   // Label 18359: @1276979
     /* 1276979 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1277063), // Rule ID 8598 //
     /* 1276984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1277004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277062 */     // GIR_Coverage, 8598,
     /* 1277062 */     GIR_EraseRootFromParent_Done,
     /* 1277063 */   // Label 18360: @1277063
     /* 1277063 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1277147), // Rule ID 8601 //
     /* 1277068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277121 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277146 */     // GIR_Coverage, 8601,
     /* 1277146 */     GIR_EraseRootFromParent_Done,
     /* 1277147 */   // Label 18361: @1277147
     /* 1277147 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1277231), // Rule ID 8602 //
     /* 1277152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277205 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277230 */     // GIR_Coverage, 8602,
     /* 1277230 */     GIR_EraseRootFromParent_Done,
     /* 1277231 */   // Label 18362: @1277231
     /* 1277231 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1277315), // Rule ID 8605 //
     /* 1277236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277289 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277314 */     // GIR_Coverage, 8605,
     /* 1277314 */     GIR_EraseRootFromParent_Done,
     /* 1277315 */   // Label 18363: @1277315
     /* 1277315 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1277399), // Rule ID 8606 //
     /* 1277320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277373 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277398 */     // GIR_Coverage, 8606,
     /* 1277398 */     GIR_EraseRootFromParent_Done,
     /* 1277399 */   // Label 18364: @1277399
     /* 1277399 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1277483), // Rule ID 8609 //
     /* 1277404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277482 */     // GIR_Coverage, 8609,
     /* 1277482 */     GIR_EraseRootFromParent_Done,
     /* 1277483 */   // Label 18365: @1277483
     /* 1277483 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1277567), // Rule ID 8610 //
     /* 1277488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277566 */     // GIR_Coverage, 8610,
     /* 1277566 */     GIR_EraseRootFromParent_Done,
     /* 1277567 */   // Label 18366: @1277567
     /* 1277567 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1277651), // Rule ID 8613 //
     /* 1277572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277650 */     // GIR_Coverage, 8613,
     /* 1277650 */     GIR_EraseRootFromParent_Done,
     /* 1277651 */   // Label 18367: @1277651
     /* 1277651 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1277735), // Rule ID 8614 //
     /* 1277656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277709 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277734 */     // GIR_Coverage, 8614,
     /* 1277734 */     GIR_EraseRootFromParent_Done,
     /* 1277735 */   // Label 18368: @1277735
     /* 1277735 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1277819), // Rule ID 8617 //
     /* 1277740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277793 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277818 */     // GIR_Coverage, 8617,
     /* 1277818 */     GIR_EraseRootFromParent_Done,
     /* 1277819 */   // Label 18369: @1277819
     /* 1277819 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1277903), // Rule ID 8618 //
     /* 1277824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277877 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277902 */     // GIR_Coverage, 8618,
     /* 1277902 */     GIR_EraseRootFromParent_Done,
     /* 1277903 */   // Label 18370: @1277903
     /* 1277903 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1277987), // Rule ID 8621 //
     /* 1277908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1277928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277986 */     // GIR_Coverage, 8621,
     /* 1277986 */     GIR_EraseRootFromParent_Done,
     /* 1277987 */   // Label 18371: @1277987
     /* 1277987 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1278071), // Rule ID 8622 //
     /* 1277992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1278012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278070 */     // GIR_Coverage, 8622,
     /* 1278070 */     GIR_EraseRootFromParent_Done,
     /* 1278071 */   // Label 18372: @1278071
     /* 1278071 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1278155), // Rule ID 8625 //
     /* 1278076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278129 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278154 */     // GIR_Coverage, 8625,
     /* 1278154 */     GIR_EraseRootFromParent_Done,
     /* 1278155 */   // Label 18373: @1278155
     /* 1278155 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1278239), // Rule ID 8626 //
     /* 1278160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278213 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278238 */     // GIR_Coverage, 8626,
     /* 1278238 */     GIR_EraseRootFromParent_Done,
     /* 1278239 */   // Label 18374: @1278239
     /* 1278239 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1278323), // Rule ID 8629 //
     /* 1278244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278297 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278322 */     // GIR_Coverage, 8629,
     /* 1278322 */     GIR_EraseRootFromParent_Done,
     /* 1278323 */   // Label 18375: @1278323
     /* 1278323 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1278407), // Rule ID 8630 //
     /* 1278328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278381 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278406 */     // GIR_Coverage, 8630,
     /* 1278406 */     GIR_EraseRootFromParent_Done,
     /* 1278407 */   // Label 18376: @1278407
     /* 1278407 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1278491), // Rule ID 8633 //
     /* 1278412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278490 */     // GIR_Coverage, 8633,
     /* 1278490 */     GIR_EraseRootFromParent_Done,
     /* 1278491 */   // Label 18377: @1278491
     /* 1278491 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1278575), // Rule ID 8634 //
     /* 1278496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278574 */     // GIR_Coverage, 8634,
     /* 1278574 */     GIR_EraseRootFromParent_Done,
     /* 1278575 */   // Label 18378: @1278575
     /* 1278575 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1278659), // Rule ID 8637 //
     /* 1278580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278633 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278658 */     // GIR_Coverage, 8637,
     /* 1278658 */     GIR_EraseRootFromParent_Done,
     /* 1278659 */   // Label 18379: @1278659
     /* 1278659 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1278743), // Rule ID 8638 //
     /* 1278664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278717 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278742 */     // GIR_Coverage, 8638,
     /* 1278742 */     GIR_EraseRootFromParent_Done,
     /* 1278743 */   // Label 18380: @1278743
     /* 1278743 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1278827), // Rule ID 8641 //
     /* 1278748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278826 */     // GIR_Coverage, 8641,
     /* 1278826 */     GIR_EraseRootFromParent_Done,
     /* 1278827 */   // Label 18381: @1278827
     /* 1278827 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1278911), // Rule ID 8642 //
     /* 1278832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278910 */     // GIR_Coverage, 8642,
     /* 1278910 */     GIR_EraseRootFromParent_Done,
     /* 1278911 */   // Label 18382: @1278911
     /* 1278911 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1278995), // Rule ID 8645 //
     /* 1278916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278969 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1278972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278994 */     // GIR_Coverage, 8645,
     /* 1278994 */     GIR_EraseRootFromParent_Done,
     /* 1278995 */   // Label 18383: @1278995
     /* 1278995 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1279079), // Rule ID 8646 //
     /* 1279000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279053 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1279056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279078 */     // GIR_Coverage, 8646,
     /* 1279078 */     GIR_EraseRootFromParent_Done,
     /* 1279079 */   // Label 18384: @1279079
     /* 1279079 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1279163), // Rule ID 8649 //
     /* 1279084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279162 */     // GIR_Coverage, 8649,
     /* 1279162 */     GIR_EraseRootFromParent_Done,
     /* 1279163 */   // Label 18385: @1279163
     /* 1279163 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1279247), // Rule ID 8650 //
     /* 1279168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279221 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279246 */     // GIR_Coverage, 8650,
     /* 1279246 */     GIR_EraseRootFromParent_Done,
     /* 1279247 */   // Label 18386: @1279247
     /* 1279247 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1279331), // Rule ID 8653 //
     /* 1279252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279330 */     // GIR_Coverage, 8653,
     /* 1279330 */     GIR_EraseRootFromParent_Done,
     /* 1279331 */   // Label 18387: @1279331
     /* 1279331 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1279415), // Rule ID 8654 //
     /* 1279336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279414 */     // GIR_Coverage, 8654,
     /* 1279414 */     GIR_EraseRootFromParent_Done,
     /* 1279415 */   // Label 18388: @1279415
     /* 1279415 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1279499), // Rule ID 8657 //
     /* 1279420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279498 */     // GIR_Coverage, 8657,
     /* 1279498 */     GIR_EraseRootFromParent_Done,
     /* 1279499 */   // Label 18389: @1279499
     /* 1279499 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1279583), // Rule ID 8658 //
     /* 1279504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279557 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279582 */     // GIR_Coverage, 8658,
     /* 1279582 */     GIR_EraseRootFromParent_Done,
     /* 1279583 */   // Label 18390: @1279583
     /* 1279583 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1279667), // Rule ID 8661 //
     /* 1279588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279641 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279666 */     // GIR_Coverage, 8661,
     /* 1279666 */     GIR_EraseRootFromParent_Done,
     /* 1279667 */   // Label 18391: @1279667
     /* 1279667 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1279751), // Rule ID 8662 //
     /* 1279672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279725 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279750 */     // GIR_Coverage, 8662,
     /* 1279750 */     GIR_EraseRootFromParent_Done,
     /* 1279751 */   // Label 18392: @1279751
     /* 1279751 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1279835), // Rule ID 8665 //
     /* 1279756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279834 */     // GIR_Coverage, 8665,
     /* 1279834 */     GIR_EraseRootFromParent_Done,
     /* 1279835 */   // Label 18393: @1279835
     /* 1279835 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1279919), // Rule ID 8666 //
     /* 1279840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279918 */     // GIR_Coverage, 8666,
     /* 1279918 */     GIR_EraseRootFromParent_Done,
     /* 1279919 */   // Label 18394: @1279919
     /* 1279919 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1280003), // Rule ID 8669 //
     /* 1279924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1279980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280002 */     // GIR_Coverage, 8669,
     /* 1280002 */     GIR_EraseRootFromParent_Done,
     /* 1280003 */   // Label 18395: @1280003
     /* 1280003 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1280087), // Rule ID 8670 //
     /* 1280008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280061 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280086 */     // GIR_Coverage, 8670,
     /* 1280086 */     GIR_EraseRootFromParent_Done,
     /* 1280087 */   // Label 18396: @1280087
     /* 1280087 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1280171), // Rule ID 8673 //
     /* 1280092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280145 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280170 */     // GIR_Coverage, 8673,
     /* 1280170 */     GIR_EraseRootFromParent_Done,
     /* 1280171 */   // Label 18397: @1280171
     /* 1280171 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1280255), // Rule ID 8674 //
     /* 1280176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280229 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280254 */     // GIR_Coverage, 8674,
     /* 1280254 */     GIR_EraseRootFromParent_Done,
     /* 1280255 */   // Label 18398: @1280255
     /* 1280255 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1280339), // Rule ID 8677 //
     /* 1280260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280338 */     // GIR_Coverage, 8677,
     /* 1280338 */     GIR_EraseRootFromParent_Done,
     /* 1280339 */   // Label 18399: @1280339
     /* 1280339 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1280423), // Rule ID 8678 //
     /* 1280344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280397 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280422 */     // GIR_Coverage, 8678,
     /* 1280422 */     GIR_EraseRootFromParent_Done,
     /* 1280423 */   // Label 18400: @1280423
     /* 1280423 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1280507), // Rule ID 8681 //
     /* 1280428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280506 */     // GIR_Coverage, 8681,
     /* 1280506 */     GIR_EraseRootFromParent_Done,
     /* 1280507 */   // Label 18401: @1280507
     /* 1280507 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1280591), // Rule ID 8682 //
     /* 1280512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280590 */     // GIR_Coverage, 8682,
     /* 1280590 */     GIR_EraseRootFromParent_Done,
     /* 1280591 */   // Label 18402: @1280591
     /* 1280591 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1280675), // Rule ID 8685 //
     /* 1280596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280649 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1280652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280674 */     // GIR_Coverage, 8685,
     /* 1280674 */     GIR_EraseRootFromParent_Done,
     /* 1280675 */   // Label 18403: @1280675
     /* 1280675 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1280759), // Rule ID 8686 //
     /* 1280680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280733 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1280736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280758 */     // GIR_Coverage, 8686,
     /* 1280758 */     GIR_EraseRootFromParent_Done,
     /* 1280759 */   // Label 18404: @1280759
     /* 1280759 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1280843), // Rule ID 8689 //
     /* 1280764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280817 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280842 */     // GIR_Coverage, 8689,
     /* 1280842 */     GIR_EraseRootFromParent_Done,
     /* 1280843 */   // Label 18405: @1280843
     /* 1280843 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1280927), // Rule ID 8690 //
     /* 1280848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280901 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280926 */     // GIR_Coverage, 8690,
     /* 1280926 */     GIR_EraseRootFromParent_Done,
     /* 1280927 */   // Label 18406: @1280927
     /* 1280927 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1281011), // Rule ID 8693 //
     /* 1280932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1280943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1280946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280985 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1280988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281010 */     // GIR_Coverage, 8693,
     /* 1281010 */     GIR_EraseRootFromParent_Done,
     /* 1281011 */   // Label 18407: @1281011
     /* 1281011 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1281095), // Rule ID 8694 //
     /* 1281016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281069 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281094 */     // GIR_Coverage, 8694,
     /* 1281094 */     GIR_EraseRootFromParent_Done,
     /* 1281095 */   // Label 18408: @1281095
     /* 1281095 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1281179), // Rule ID 8697 //
     /* 1281100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281153 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281178 */     // GIR_Coverage, 8697,
     /* 1281178 */     GIR_EraseRootFromParent_Done,
     /* 1281179 */   // Label 18409: @1281179
     /* 1281179 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1281263), // Rule ID 8698 //
     /* 1281184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281262 */     // GIR_Coverage, 8698,
     /* 1281262 */     GIR_EraseRootFromParent_Done,
     /* 1281263 */   // Label 18410: @1281263
     /* 1281263 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1281347), // Rule ID 8701 //
     /* 1281268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281321 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281346 */     // GIR_Coverage, 8701,
     /* 1281346 */     GIR_EraseRootFromParent_Done,
     /* 1281347 */   // Label 18411: @1281347
     /* 1281347 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1281431), // Rule ID 8702 //
     /* 1281352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281405 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281430 */     // GIR_Coverage, 8702,
     /* 1281430 */     GIR_EraseRootFromParent_Done,
     /* 1281431 */   // Label 18412: @1281431
     /* 1281431 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1281515), // Rule ID 8705 //
     /* 1281436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281489 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281514 */     // GIR_Coverage, 8705,
     /* 1281514 */     GIR_EraseRootFromParent_Done,
     /* 1281515 */   // Label 18413: @1281515
     /* 1281515 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1281599), // Rule ID 8706 //
     /* 1281520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281598 */     // GIR_Coverage, 8706,
     /* 1281598 */     GIR_EraseRootFromParent_Done,
     /* 1281599 */   // Label 18414: @1281599
     /* 1281599 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1281683), // Rule ID 8709 //
     /* 1281604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281657 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281682 */     // GIR_Coverage, 8709,
     /* 1281682 */     GIR_EraseRootFromParent_Done,
     /* 1281683 */   // Label 18415: @1281683
     /* 1281683 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1281767), // Rule ID 8710 //
     /* 1281688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281741 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281766 */     // GIR_Coverage, 8710,
     /* 1281766 */     GIR_EraseRootFromParent_Done,
     /* 1281767 */   // Label 18416: @1281767
     /* 1281767 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1281851), // Rule ID 8713 //
     /* 1281772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281825 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281850 */     // GIR_Coverage, 8713,
     /* 1281850 */     GIR_EraseRootFromParent_Done,
     /* 1281851 */   // Label 18417: @1281851
     /* 1281851 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1281935), // Rule ID 8714 //
     /* 1281856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281909 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281934 */     // GIR_Coverage, 8714,
     /* 1281934 */     GIR_EraseRootFromParent_Done,
     /* 1281935 */   // Label 18418: @1281935
     /* 1281935 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1282019), // Rule ID 8717 //
     /* 1281940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282018 */     // GIR_Coverage, 8717,
     /* 1282018 */     GIR_EraseRootFromParent_Done,
     /* 1282019 */   // Label 18419: @1282019
     /* 1282019 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1282103), // Rule ID 8718 //
     /* 1282024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282077 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282102 */     // GIR_Coverage, 8718,
     /* 1282102 */     GIR_EraseRootFromParent_Done,
     /* 1282103 */   // Label 18420: @1282103
     /* 1282103 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1282187), // Rule ID 8721 //
     /* 1282108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282161 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282186 */     // GIR_Coverage, 8721,
     /* 1282186 */     GIR_EraseRootFromParent_Done,
     /* 1282187 */   // Label 18421: @1282187
     /* 1282187 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1282271), // Rule ID 8722 //
     /* 1282192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282270 */     // GIR_Coverage, 8722,
     /* 1282270 */     GIR_EraseRootFromParent_Done,
     /* 1282271 */   // Label 18422: @1282271
     /* 1282271 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1282355), // Rule ID 8725 //
     /* 1282276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282354 */     // GIR_Coverage, 8725,
     /* 1282354 */     GIR_EraseRootFromParent_Done,
     /* 1282355 */   // Label 18423: @1282355
     /* 1282355 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1282439), // Rule ID 8726 //
     /* 1282360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282413 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282438 */     // GIR_Coverage, 8726,
     /* 1282438 */     GIR_EraseRootFromParent_Done,
     /* 1282439 */   // Label 18424: @1282439
     /* 1282439 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1282523), // Rule ID 8729 //
     /* 1282444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282522 */     // GIR_Coverage, 8729,
     /* 1282522 */     GIR_EraseRootFromParent_Done,
     /* 1282523 */   // Label 18425: @1282523
     /* 1282523 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1282607), // Rule ID 8730 //
     /* 1282528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282581 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282606 */     // GIR_Coverage, 8730,
     /* 1282606 */     GIR_EraseRootFromParent_Done,
     /* 1282607 */   // Label 18426: @1282607
     /* 1282607 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1282691), // Rule ID 8821 //
     /* 1282612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1282632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1282668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282690 */     // GIR_Coverage, 8821,
     /* 1282690 */     GIR_EraseRootFromParent_Done,
     /* 1282691 */   // Label 18427: @1282691
     /* 1282691 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1282775), // Rule ID 8822 //
     /* 1282696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1282716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282749 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1282752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282774 */     // GIR_Coverage, 8822,
     /* 1282774 */     GIR_EraseRootFromParent_Done,
     /* 1282775 */   // Label 18428: @1282775
     /* 1282775 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1282859), // Rule ID 8825 //
     /* 1282780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282833 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1282836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282858 */     // GIR_Coverage, 8825,
     /* 1282858 */     GIR_EraseRootFromParent_Done,
     /* 1282859 */   // Label 18429: @1282859
     /* 1282859 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1282943), // Rule ID 8826 //
     /* 1282864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1282920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282942 */     // GIR_Coverage, 8826,
     /* 1282942 */     GIR_EraseRootFromParent_Done,
     /* 1282943 */   // Label 18430: @1282943
     /* 1282943 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1283027), // Rule ID 8829 //
     /* 1282948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1282968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283026 */     // GIR_Coverage, 8829,
     /* 1283026 */     GIR_EraseRootFromParent_Done,
     /* 1283027 */   // Label 18431: @1283027
     /* 1283027 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1283111), // Rule ID 8830 //
     /* 1283032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1283052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283085 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283110 */     // GIR_Coverage, 8830,
     /* 1283110 */     GIR_EraseRootFromParent_Done,
     /* 1283111 */   // Label 18432: @1283111
     /* 1283111 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1283195), // Rule ID 8833 //
     /* 1283116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283169 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283194 */     // GIR_Coverage, 8833,
     /* 1283194 */     GIR_EraseRootFromParent_Done,
     /* 1283195 */   // Label 18433: @1283195
     /* 1283195 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1283279), // Rule ID 8834 //
     /* 1283200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283278 */     // GIR_Coverage, 8834,
     /* 1283278 */     GIR_EraseRootFromParent_Done,
     /* 1283279 */   // Label 18434: @1283279
     /* 1283279 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1283363), // Rule ID 8837 //
     /* 1283284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283362 */     // GIR_Coverage, 8837,
     /* 1283362 */     GIR_EraseRootFromParent_Done,
     /* 1283363 */   // Label 18435: @1283363
     /* 1283363 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1283447), // Rule ID 8838 //
     /* 1283368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283421 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283446 */     // GIR_Coverage, 8838,
     /* 1283446 */     GIR_EraseRootFromParent_Done,
     /* 1283447 */   // Label 18436: @1283447
     /* 1283447 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1283531), // Rule ID 8841 //
     /* 1283452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283530 */     // GIR_Coverage, 8841,
     /* 1283530 */     GIR_EraseRootFromParent_Done,
     /* 1283531 */   // Label 18437: @1283531
     /* 1283531 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1283615), // Rule ID 8842 //
     /* 1283536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283589 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283614 */     // GIR_Coverage, 8842,
     /* 1283614 */     GIR_EraseRootFromParent_Done,
     /* 1283615 */   // Label 18438: @1283615
     /* 1283615 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1283699), // Rule ID 8845 //
     /* 1283620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283673 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283698 */     // GIR_Coverage, 8845,
     /* 1283698 */     GIR_EraseRootFromParent_Done,
     /* 1283699 */   // Label 18439: @1283699
     /* 1283699 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1283783), // Rule ID 8846 //
     /* 1283704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283782 */     // GIR_Coverage, 8846,
     /* 1283782 */     GIR_EraseRootFromParent_Done,
     /* 1283783 */   // Label 18440: @1283783
     /* 1283783 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1283867), // Rule ID 8849 //
     /* 1283788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283841 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283866 */     // GIR_Coverage, 8849,
     /* 1283866 */     GIR_EraseRootFromParent_Done,
     /* 1283867 */   // Label 18441: @1283867
     /* 1283867 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1283951), // Rule ID 8850 //
     /* 1283872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283925 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283950 */     // GIR_Coverage, 8850,
     /* 1283950 */     GIR_EraseRootFromParent_Done,
     /* 1283951 */   // Label 18442: @1283951
     /* 1283951 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1284035), // Rule ID 8853 //
     /* 1283956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284009 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284034 */     // GIR_Coverage, 8853,
     /* 1284034 */     GIR_EraseRootFromParent_Done,
     /* 1284035 */   // Label 18443: @1284035
     /* 1284035 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1284119), // Rule ID 8854 //
     /* 1284040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284118 */     // GIR_Coverage, 8854,
     /* 1284118 */     GIR_EraseRootFromParent_Done,
     /* 1284119 */   // Label 18444: @1284119
     /* 1284119 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1284203), // Rule ID 8857 //
     /* 1284124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284202 */     // GIR_Coverage, 8857,
     /* 1284202 */     GIR_EraseRootFromParent_Done,
     /* 1284203 */   // Label 18445: @1284203
     /* 1284203 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1284287), // Rule ID 8858 //
     /* 1284208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284261 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284286 */     // GIR_Coverage, 8858,
     /* 1284286 */     GIR_EraseRootFromParent_Done,
     /* 1284287 */   // Label 18446: @1284287
     /* 1284287 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1284371), // Rule ID 8861 //
     /* 1284292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284345 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284370 */     // GIR_Coverage, 8861,
     /* 1284370 */     GIR_EraseRootFromParent_Done,
     /* 1284371 */   // Label 18447: @1284371
     /* 1284371 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1284455), // Rule ID 8862 //
     /* 1284376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284429 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284454 */     // GIR_Coverage, 8862,
     /* 1284454 */     GIR_EraseRootFromParent_Done,
     /* 1284455 */   // Label 18448: @1284455
     /* 1284455 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1284539), // Rule ID 8865 //
     /* 1284460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284513 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284538 */     // GIR_Coverage, 8865,
     /* 1284538 */     GIR_EraseRootFromParent_Done,
     /* 1284539 */   // Label 18449: @1284539
     /* 1284539 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1284623), // Rule ID 8866 //
     /* 1284544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284597 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284622 */     // GIR_Coverage, 8866,
     /* 1284622 */     GIR_EraseRootFromParent_Done,
     /* 1284623 */   // Label 18450: @1284623
     /* 1284623 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1284707), // Rule ID 8869 //
     /* 1284628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1284648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284681 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284706 */     // GIR_Coverage, 8869,
     /* 1284706 */     GIR_EraseRootFromParent_Done,
     /* 1284707 */   // Label 18451: @1284707
     /* 1284707 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1284791), // Rule ID 8870 //
     /* 1284712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1284732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284765 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284790 */     // GIR_Coverage, 8870,
     /* 1284790 */     GIR_EraseRootFromParent_Done,
     /* 1284791 */   // Label 18452: @1284791
     /* 1284791 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1284875), // Rule ID 8873 //
     /* 1284796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284874 */     // GIR_Coverage, 8873,
     /* 1284874 */     GIR_EraseRootFromParent_Done,
     /* 1284875 */   // Label 18453: @1284875
     /* 1284875 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1284959), // Rule ID 8874 //
     /* 1284880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284958 */     // GIR_Coverage, 8874,
     /* 1284958 */     GIR_EraseRootFromParent_Done,
     /* 1284959 */   // Label 18454: @1284959
     /* 1284959 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1285043), // Rule ID 8877 //
     /* 1284964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1284984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285042 */     // GIR_Coverage, 8877,
     /* 1285042 */     GIR_EraseRootFromParent_Done,
     /* 1285043 */   // Label 18455: @1285043
     /* 1285043 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1285127), // Rule ID 8878 //
     /* 1285048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1285068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285101 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285126 */     // GIR_Coverage, 8878,
     /* 1285126 */     GIR_EraseRootFromParent_Done,
     /* 1285127 */   // Label 18456: @1285127
     /* 1285127 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1285211), // Rule ID 8881 //
     /* 1285132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285185 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285210 */     // GIR_Coverage, 8881,
     /* 1285210 */     GIR_EraseRootFromParent_Done,
     /* 1285211 */   // Label 18457: @1285211
     /* 1285211 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1285295), // Rule ID 8882 //
     /* 1285216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285269 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285294 */     // GIR_Coverage, 8882,
     /* 1285294 */     GIR_EraseRootFromParent_Done,
     /* 1285295 */   // Label 18458: @1285295
     /* 1285295 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1285379), // Rule ID 8885 //
     /* 1285300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285378 */     // GIR_Coverage, 8885,
     /* 1285378 */     GIR_EraseRootFromParent_Done,
     /* 1285379 */   // Label 18459: @1285379
     /* 1285379 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1285463), // Rule ID 8886 //
     /* 1285384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285437 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285462 */     // GIR_Coverage, 8886,
     /* 1285462 */     GIR_EraseRootFromParent_Done,
     /* 1285463 */   // Label 18460: @1285463
     /* 1285463 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1285547), // Rule ID 8889 //
     /* 1285468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285521 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285546 */     // GIR_Coverage, 8889,
     /* 1285546 */     GIR_EraseRootFromParent_Done,
     /* 1285547 */   // Label 18461: @1285547
     /* 1285547 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1285631), // Rule ID 8890 //
     /* 1285552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285630 */     // GIR_Coverage, 8890,
     /* 1285630 */     GIR_EraseRootFromParent_Done,
     /* 1285631 */   // Label 18462: @1285631
     /* 1285631 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1285715), // Rule ID 8893 //
     /* 1285636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1285656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285689 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285714 */     // GIR_Coverage, 8893,
     /* 1285714 */     GIR_EraseRootFromParent_Done,
     /* 1285715 */   // Label 18463: @1285715
     /* 1285715 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1285799), // Rule ID 8894 //
     /* 1285720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1285740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285773 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285798 */     // GIR_Coverage, 8894,
     /* 1285798 */     GIR_EraseRootFromParent_Done,
     /* 1285799 */   // Label 18464: @1285799
     /* 1285799 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1285883), // Rule ID 8897 //
     /* 1285804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285882 */     // GIR_Coverage, 8897,
     /* 1285882 */     GIR_EraseRootFromParent_Done,
     /* 1285883 */   // Label 18465: @1285883
     /* 1285883 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1285967), // Rule ID 8898 //
     /* 1285888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285941 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285966 */     // GIR_Coverage, 8898,
     /* 1285966 */     GIR_EraseRootFromParent_Done,
     /* 1285967 */   // Label 18466: @1285967
     /* 1285967 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1286051), // Rule ID 8901 //
     /* 1285972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1285992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1286028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286050 */     // GIR_Coverage, 8901,
     /* 1286050 */     GIR_EraseRootFromParent_Done,
     /* 1286051 */   // Label 18467: @1286051
     /* 1286051 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1286135), // Rule ID 8902 //
     /* 1286056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1286076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286109 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1286112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286134 */     // GIR_Coverage, 8902,
     /* 1286134 */     GIR_EraseRootFromParent_Done,
     /* 1286135 */   // Label 18468: @1286135
     /* 1286135 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1286219), // Rule ID 8905 //
     /* 1286140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286218 */     // GIR_Coverage, 8905,
     /* 1286218 */     GIR_EraseRootFromParent_Done,
     /* 1286219 */   // Label 18469: @1286219
     /* 1286219 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1286303), // Rule ID 8906 //
     /* 1286224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286302 */     // GIR_Coverage, 8906,
     /* 1286302 */     GIR_EraseRootFromParent_Done,
     /* 1286303 */   // Label 18470: @1286303
     /* 1286303 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1286387), // Rule ID 8909 //
     /* 1286308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286361 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286386 */     // GIR_Coverage, 8909,
     /* 1286386 */     GIR_EraseRootFromParent_Done,
     /* 1286387 */   // Label 18471: @1286387
     /* 1286387 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1286471), // Rule ID 8910 //
     /* 1286392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286445 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286470 */     // GIR_Coverage, 8910,
     /* 1286470 */     GIR_EraseRootFromParent_Done,
     /* 1286471 */   // Label 18472: @1286471
     /* 1286471 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1286555), // Rule ID 8913 //
     /* 1286476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286529 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286554 */     // GIR_Coverage, 8913,
     /* 1286554 */     GIR_EraseRootFromParent_Done,
     /* 1286555 */   // Label 18473: @1286555
     /* 1286555 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1286639), // Rule ID 8914 //
     /* 1286560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286613 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286638 */     // GIR_Coverage, 8914,
     /* 1286638 */     GIR_EraseRootFromParent_Done,
     /* 1286639 */   // Label 18474: @1286639
     /* 1286639 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1286723), // Rule ID 8917 //
     /* 1286644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1286700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286722 */     // GIR_Coverage, 8917,
     /* 1286722 */     GIR_EraseRootFromParent_Done,
     /* 1286723 */   // Label 18475: @1286723
     /* 1286723 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1286807), // Rule ID 8918 //
     /* 1286728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1286784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286806 */     // GIR_Coverage, 8918,
     /* 1286806 */     GIR_EraseRootFromParent_Done,
     /* 1286807 */   // Label 18476: @1286807
     /* 1286807 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1286891), // Rule ID 8921 //
     /* 1286812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286890 */     // GIR_Coverage, 8921,
     /* 1286890 */     GIR_EraseRootFromParent_Done,
     /* 1286891 */   // Label 18477: @1286891
     /* 1286891 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1286975), // Rule ID 8922 //
     /* 1286896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286974 */     // GIR_Coverage, 8922,
     /* 1286974 */     GIR_EraseRootFromParent_Done,
     /* 1286975 */   // Label 18478: @1286975
     /* 1286975 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1287059), // Rule ID 8925 //
     /* 1286980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287058 */     // GIR_Coverage, 8925,
     /* 1287058 */     GIR_EraseRootFromParent_Done,
     /* 1287059 */   // Label 18479: @1287059
     /* 1287059 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1287143), // Rule ID 8926 //
     /* 1287064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287117 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287142 */     // GIR_Coverage, 8926,
     /* 1287142 */     GIR_EraseRootFromParent_Done,
     /* 1287143 */   // Label 18480: @1287143
     /* 1287143 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1287227), // Rule ID 8929 //
     /* 1287148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287226 */     // GIR_Coverage, 8929,
     /* 1287226 */     GIR_EraseRootFromParent_Done,
     /* 1287227 */   // Label 18481: @1287227
     /* 1287227 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1287311), // Rule ID 8930 //
     /* 1287232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287285 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287310 */     // GIR_Coverage, 8930,
     /* 1287310 */     GIR_EraseRootFromParent_Done,
     /* 1287311 */   // Label 18482: @1287311
     /* 1287311 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1287395), // Rule ID 8933 //
     /* 1287316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287394 */     // GIR_Coverage, 8933,
     /* 1287394 */     GIR_EraseRootFromParent_Done,
     /* 1287395 */   // Label 18483: @1287395
     /* 1287395 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1287479), // Rule ID 8934 //
     /* 1287400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287453 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287478 */     // GIR_Coverage, 8934,
     /* 1287478 */     GIR_EraseRootFromParent_Done,
     /* 1287479 */   // Label 18484: @1287479
     /* 1287479 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1287563), // Rule ID 8937 //
     /* 1287484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287537 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287562 */     // GIR_Coverage, 8937,
     /* 1287562 */     GIR_EraseRootFromParent_Done,
     /* 1287563 */   // Label 18485: @1287563
     /* 1287563 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1287647), // Rule ID 8938 //
     /* 1287568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287621 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287646 */     // GIR_Coverage, 8938,
     /* 1287646 */     GIR_EraseRootFromParent_Done,
     /* 1287647 */   // Label 18486: @1287647
     /* 1287647 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1287731), // Rule ID 8941 //
     /* 1287652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287705 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287730 */     // GIR_Coverage, 8941,
     /* 1287730 */     GIR_EraseRootFromParent_Done,
     /* 1287731 */   // Label 18487: @1287731
     /* 1287731 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1287815), // Rule ID 8942 //
     /* 1287736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287814 */     // GIR_Coverage, 8942,
     /* 1287814 */     GIR_EraseRootFromParent_Done,
     /* 1287815 */   // Label 18488: @1287815
     /* 1287815 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1287899), // Rule ID 8945 //
     /* 1287820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1287823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287898 */     // GIR_Coverage, 8945,
     /* 1287898 */     GIR_EraseRootFromParent_Done,
     /* 1287899 */   // Label 18489: @1287899
     /* 1287899 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1287983), // Rule ID 8946 //
     /* 1287904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287982 */     // GIR_Coverage, 8946,
     /* 1287982 */     GIR_EraseRootFromParent_Done,
     /* 1287983 */   // Label 18490: @1287983
     /* 1287983 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1288067), // Rule ID 8949 //
     /* 1287988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288066 */     // GIR_Coverage, 8949,
     /* 1288066 */     GIR_EraseRootFromParent_Done,
     /* 1288067 */   // Label 18491: @1288067
     /* 1288067 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1288151), // Rule ID 8950 //
     /* 1288072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288125 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288150 */     // GIR_Coverage, 8950,
     /* 1288150 */     GIR_EraseRootFromParent_Done,
     /* 1288151 */   // Label 18492: @1288151
     /* 1288151 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1288235), // Rule ID 8953 //
     /* 1288156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288209 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288234 */     // GIR_Coverage, 8953,
     /* 1288234 */     GIR_EraseRootFromParent_Done,
     /* 1288235 */   // Label 18493: @1288235
     /* 1288235 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1288319), // Rule ID 8954 //
     /* 1288240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288293 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288318 */     // GIR_Coverage, 8954,
     /* 1288318 */     GIR_EraseRootFromParent_Done,
     /* 1288319 */   // Label 18494: @1288319
     /* 1288319 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1288403), // Rule ID 8957 //
     /* 1288324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288377 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288402 */     // GIR_Coverage, 8957,
     /* 1288402 */     GIR_EraseRootFromParent_Done,
     /* 1288403 */   // Label 18495: @1288403
     /* 1288403 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1288487), // Rule ID 8958 //
     /* 1288408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288461 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288486 */     // GIR_Coverage, 8958,
     /* 1288486 */     GIR_EraseRootFromParent_Done,
     /* 1288487 */   // Label 18496: @1288487
     /* 1288487 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1288571), // Rule ID 8961 //
     /* 1288492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288545 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288570 */     // GIR_Coverage, 8961,
     /* 1288570 */     GIR_EraseRootFromParent_Done,
     /* 1288571 */   // Label 18497: @1288571
     /* 1288571 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1288655), // Rule ID 8962 //
     /* 1288576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288654 */     // GIR_Coverage, 8962,
     /* 1288654 */     GIR_EraseRootFromParent_Done,
     /* 1288655 */   // Label 18498: @1288655
     /* 1288655 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1288739), // Rule ID 8965 //
     /* 1288660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288713 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288738 */     // GIR_Coverage, 8965,
     /* 1288738 */     GIR_EraseRootFromParent_Done,
     /* 1288739 */   // Label 18499: @1288739
     /* 1288739 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1288823), // Rule ID 8966 //
     /* 1288744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288797 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288822 */     // GIR_Coverage, 8966,
     /* 1288822 */     GIR_EraseRootFromParent_Done,
     /* 1288823 */   // Label 18500: @1288823
     /* 1288823 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1288907), // Rule ID 8969 //
     /* 1288828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288881 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288906 */     // GIR_Coverage, 8969,
     /* 1288906 */     GIR_EraseRootFromParent_Done,
     /* 1288907 */   // Label 18501: @1288907
     /* 1288907 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1288991), // Rule ID 8970 //
     /* 1288912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288965 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288990 */     // GIR_Coverage, 8970,
     /* 1288990 */     GIR_EraseRootFromParent_Done,
     /* 1288991 */   // Label 18502: @1288991
     /* 1288991 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1289075), // Rule ID 8973 //
     /* 1288996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289074 */     // GIR_Coverage, 8973,
     /* 1289074 */     GIR_EraseRootFromParent_Done,
     /* 1289075 */   // Label 18503: @1289075
     /* 1289075 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1289159), // Rule ID 8974 //
     /* 1289080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289133 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289158 */     // GIR_Coverage, 8974,
     /* 1289158 */     GIR_EraseRootFromParent_Done,
     /* 1289159 */   // Label 18504: @1289159
     /* 1289159 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1289243), // Rule ID 8977 //
     /* 1289164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289242 */     // GIR_Coverage, 8977,
     /* 1289242 */     GIR_EraseRootFromParent_Done,
     /* 1289243 */   // Label 18505: @1289243
     /* 1289243 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1289327), // Rule ID 8978 //
     /* 1289248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289301 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289326 */     // GIR_Coverage, 8978,
     /* 1289326 */     GIR_EraseRootFromParent_Done,
     /* 1289327 */   // Label 18506: @1289327
     /* 1289327 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1289411), // Rule ID 8981 //
     /* 1289332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289385 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289410 */     // GIR_Coverage, 8981,
     /* 1289410 */     GIR_EraseRootFromParent_Done,
     /* 1289411 */   // Label 18507: @1289411
     /* 1289411 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1289495), // Rule ID 8982 //
     /* 1289416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289469 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289494 */     // GIR_Coverage, 8982,
     /* 1289494 */     GIR_EraseRootFromParent_Done,
     /* 1289495 */   // Label 18508: @1289495
     /* 1289495 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1289579), // Rule ID 8985 //
     /* 1289500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289578 */     // GIR_Coverage, 8985,
     /* 1289578 */     GIR_EraseRootFromParent_Done,
     /* 1289579 */   // Label 18509: @1289579
     /* 1289579 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1289663), // Rule ID 8986 //
     /* 1289584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289662 */     // GIR_Coverage, 8986,
     /* 1289662 */     GIR_EraseRootFromParent_Done,
     /* 1289663 */   // Label 18510: @1289663
     /* 1289663 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1289747), // Rule ID 8989 //
     /* 1289668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289721 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289746 */     // GIR_Coverage, 8989,
     /* 1289746 */     GIR_EraseRootFromParent_Done,
     /* 1289747 */   // Label 18511: @1289747
     /* 1289747 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1289831), // Rule ID 8990 //
     /* 1289752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289805 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289830 */     // GIR_Coverage, 8990,
     /* 1289830 */     GIR_EraseRootFromParent_Done,
     /* 1289831 */   // Label 18512: @1289831
     /* 1289831 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1289915), // Rule ID 8993 //
     /* 1289836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289914 */     // GIR_Coverage, 8993,
     /* 1289914 */     GIR_EraseRootFromParent_Done,
     /* 1289915 */   // Label 18513: @1289915
     /* 1289915 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1289999), // Rule ID 8994 //
     /* 1289920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289973 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289998 */     // GIR_Coverage, 8994,
     /* 1289998 */     GIR_EraseRootFromParent_Done,
     /* 1289999 */   // Label 18514: @1289999
     /* 1289999 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1290083), // Rule ID 9085 //
     /* 1290004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290057 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290082 */     // GIR_Coverage, 9085,
     /* 1290082 */     GIR_EraseRootFromParent_Done,
     /* 1290083 */   // Label 18515: @1290083
     /* 1290083 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1290167), // Rule ID 9086 //
     /* 1290088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290166 */     // GIR_Coverage, 9086,
     /* 1290166 */     GIR_EraseRootFromParent_Done,
     /* 1290167 */   // Label 18516: @1290167
     /* 1290167 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1290251), // Rule ID 9089 //
     /* 1290172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290250 */     // GIR_Coverage, 9089,
     /* 1290250 */     GIR_EraseRootFromParent_Done,
     /* 1290251 */   // Label 18517: @1290251
     /* 1290251 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1290335), // Rule ID 9090 //
     /* 1290256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290309 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290334 */     // GIR_Coverage, 9090,
     /* 1290334 */     GIR_EraseRootFromParent_Done,
     /* 1290335 */   // Label 18518: @1290335
     /* 1290335 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1290419), // Rule ID 9093 //
     /* 1290340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290418 */     // GIR_Coverage, 9093,
     /* 1290418 */     GIR_EraseRootFromParent_Done,
     /* 1290419 */   // Label 18519: @1290419
     /* 1290419 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1290503), // Rule ID 9094 //
     /* 1290424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290477 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290502 */     // GIR_Coverage, 9094,
     /* 1290502 */     GIR_EraseRootFromParent_Done,
     /* 1290503 */   // Label 18520: @1290503
     /* 1290503 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1290587), // Rule ID 9097 //
     /* 1290508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290561 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290586 */     // GIR_Coverage, 9097,
     /* 1290586 */     GIR_EraseRootFromParent_Done,
     /* 1290587 */   // Label 18521: @1290587
     /* 1290587 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1290671), // Rule ID 9098 //
     /* 1290592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290670 */     // GIR_Coverage, 9098,
     /* 1290670 */     GIR_EraseRootFromParent_Done,
     /* 1290671 */   // Label 18522: @1290671
     /* 1290671 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1290755), // Rule ID 9101 //
     /* 1290676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290729 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290754 */     // GIR_Coverage, 9101,
     /* 1290754 */     GIR_EraseRootFromParent_Done,
     /* 1290755 */   // Label 18523: @1290755
     /* 1290755 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1290839), // Rule ID 9102 //
     /* 1290760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290838 */     // GIR_Coverage, 9102,
     /* 1290838 */     GIR_EraseRootFromParent_Done,
     /* 1290839 */   // Label 18524: @1290839
     /* 1290839 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1290923), // Rule ID 9105 //
     /* 1290844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290922 */     // GIR_Coverage, 9105,
     /* 1290922 */     GIR_EraseRootFromParent_Done,
     /* 1290923 */   // Label 18525: @1290923
     /* 1290923 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1291007), // Rule ID 9106 //
     /* 1290928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291006 */     // GIR_Coverage, 9106,
     /* 1291006 */     GIR_EraseRootFromParent_Done,
     /* 1291007 */   // Label 18526: @1291007
     /* 1291007 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1291091), // Rule ID 9109 //
     /* 1291012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291090 */     // GIR_Coverage, 9109,
     /* 1291090 */     GIR_EraseRootFromParent_Done,
     /* 1291091 */   // Label 18527: @1291091
     /* 1291091 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1291175), // Rule ID 9110 //
     /* 1291096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291174 */     // GIR_Coverage, 9110,
     /* 1291174 */     GIR_EraseRootFromParent_Done,
     /* 1291175 */   // Label 18528: @1291175
     /* 1291175 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1291259), // Rule ID 9113 //
     /* 1291180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291233 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291258 */     // GIR_Coverage, 9113,
     /* 1291258 */     GIR_EraseRootFromParent_Done,
     /* 1291259 */   // Label 18529: @1291259
     /* 1291259 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1291343), // Rule ID 9114 //
     /* 1291264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291317 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291342 */     // GIR_Coverage, 9114,
     /* 1291342 */     GIR_EraseRootFromParent_Done,
     /* 1291343 */   // Label 18530: @1291343
     /* 1291343 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1291427), // Rule ID 9117 //
     /* 1291348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291426 */     // GIR_Coverage, 9117,
     /* 1291426 */     GIR_EraseRootFromParent_Done,
     /* 1291427 */   // Label 18531: @1291427
     /* 1291427 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1291511), // Rule ID 9118 //
     /* 1291432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291485 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291510 */     // GIR_Coverage, 9118,
     /* 1291510 */     GIR_EraseRootFromParent_Done,
     /* 1291511 */   // Label 18532: @1291511
     /* 1291511 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1291595), // Rule ID 9121 //
     /* 1291516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291569 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291594 */     // GIR_Coverage, 9121,
     /* 1291594 */     GIR_EraseRootFromParent_Done,
     /* 1291595 */   // Label 18533: @1291595
     /* 1291595 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1291679), // Rule ID 9122 //
     /* 1291600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291678 */     // GIR_Coverage, 9122,
     /* 1291678 */     GIR_EraseRootFromParent_Done,
     /* 1291679 */   // Label 18534: @1291679
     /* 1291679 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1291763), // Rule ID 9125 //
     /* 1291684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291737 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291762 */     // GIR_Coverage, 9125,
     /* 1291762 */     GIR_EraseRootFromParent_Done,
     /* 1291763 */   // Label 18535: @1291763
     /* 1291763 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1291847), // Rule ID 9126 //
     /* 1291768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291821 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291846 */     // GIR_Coverage, 9126,
     /* 1291846 */     GIR_EraseRootFromParent_Done,
     /* 1291847 */   // Label 18536: @1291847
     /* 1291847 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1291931), // Rule ID 9129 //
     /* 1291852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291905 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291930 */     // GIR_Coverage, 9129,
     /* 1291930 */     GIR_EraseRootFromParent_Done,
     /* 1291931 */   // Label 18537: @1291931
     /* 1291931 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1292015), // Rule ID 9130 //
     /* 1291936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291989 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292014 */     // GIR_Coverage, 9130,
     /* 1292014 */     GIR_EraseRootFromParent_Done,
     /* 1292015 */   // Label 18538: @1292015
     /* 1292015 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1292099), // Rule ID 9133 //
     /* 1292020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292073 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292098 */     // GIR_Coverage, 9133,
     /* 1292098 */     GIR_EraseRootFromParent_Done,
     /* 1292099 */   // Label 18539: @1292099
     /* 1292099 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1292183), // Rule ID 9134 //
     /* 1292104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292157 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292182 */     // GIR_Coverage, 9134,
     /* 1292182 */     GIR_EraseRootFromParent_Done,
     /* 1292183 */   // Label 18540: @1292183
     /* 1292183 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1292267), // Rule ID 9137 //
     /* 1292188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292241 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292266 */     // GIR_Coverage, 9137,
     /* 1292266 */     GIR_EraseRootFromParent_Done,
     /* 1292267 */   // Label 18541: @1292267
     /* 1292267 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1292351), // Rule ID 9138 //
     /* 1292272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292350 */     // GIR_Coverage, 9138,
     /* 1292350 */     GIR_EraseRootFromParent_Done,
     /* 1292351 */   // Label 18542: @1292351
     /* 1292351 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1292435), // Rule ID 9141 //
     /* 1292356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292409 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292434 */     // GIR_Coverage, 9141,
     /* 1292434 */     GIR_EraseRootFromParent_Done,
     /* 1292435 */   // Label 18543: @1292435
     /* 1292435 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1292519), // Rule ID 9142 //
     /* 1292440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292518 */     // GIR_Coverage, 9142,
     /* 1292518 */     GIR_EraseRootFromParent_Done,
     /* 1292519 */   // Label 18544: @1292519
     /* 1292519 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1292603), // Rule ID 9145 //
     /* 1292524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292577 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292602 */     // GIR_Coverage, 9145,
     /* 1292602 */     GIR_EraseRootFromParent_Done,
     /* 1292603 */   // Label 18545: @1292603
     /* 1292603 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1292687), // Rule ID 9146 //
     /* 1292608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292661 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292686 */     // GIR_Coverage, 9146,
     /* 1292686 */     GIR_EraseRootFromParent_Done,
     /* 1292687 */   // Label 18546: @1292687
     /* 1292687 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1292771), // Rule ID 9149 //
     /* 1292692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292745 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292770 */     // GIR_Coverage, 9149,
     /* 1292770 */     GIR_EraseRootFromParent_Done,
     /* 1292771 */   // Label 18547: @1292771
     /* 1292771 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1292855), // Rule ID 9150 //
     /* 1292776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292829 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292854 */     // GIR_Coverage, 9150,
     /* 1292854 */     GIR_EraseRootFromParent_Done,
     /* 1292855 */   // Label 18548: @1292855
     /* 1292855 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1292939), // Rule ID 9153 //
     /* 1292860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292938 */     // GIR_Coverage, 9153,
     /* 1292938 */     GIR_EraseRootFromParent_Done,
     /* 1292939 */   // Label 18549: @1292939
     /* 1292939 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1293023), // Rule ID 9154 //
     /* 1292944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292997 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293022 */     // GIR_Coverage, 9154,
     /* 1293022 */     GIR_EraseRootFromParent_Done,
     /* 1293023 */   // Label 18550: @1293023
     /* 1293023 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1293107), // Rule ID 9157 //
     /* 1293028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293106 */     // GIR_Coverage, 9157,
     /* 1293106 */     GIR_EraseRootFromParent_Done,
     /* 1293107 */   // Label 18551: @1293107
     /* 1293107 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1293191), // Rule ID 9158 //
     /* 1293112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293165 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293190 */     // GIR_Coverage, 9158,
     /* 1293190 */     GIR_EraseRootFromParent_Done,
     /* 1293191 */   // Label 18552: @1293191
     /* 1293191 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1293275), // Rule ID 9161 //
     /* 1293196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293249 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293274 */     // GIR_Coverage, 9161,
     /* 1293274 */     GIR_EraseRootFromParent_Done,
     /* 1293275 */   // Label 18553: @1293275
     /* 1293275 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1293359), // Rule ID 9162 //
     /* 1293280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293358 */     // GIR_Coverage, 9162,
     /* 1293358 */     GIR_EraseRootFromParent_Done,
     /* 1293359 */   // Label 18554: @1293359
     /* 1293359 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1293443), // Rule ID 9165 //
     /* 1293364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293442 */     // GIR_Coverage, 9165,
     /* 1293442 */     GIR_EraseRootFromParent_Done,
     /* 1293443 */   // Label 18555: @1293443
     /* 1293443 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1293527), // Rule ID 9166 //
     /* 1293448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293501 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293526 */     // GIR_Coverage, 9166,
     /* 1293526 */     GIR_EraseRootFromParent_Done,
     /* 1293527 */   // Label 18556: @1293527
     /* 1293527 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1293611), // Rule ID 9169 //
     /* 1293532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293610 */     // GIR_Coverage, 9169,
     /* 1293610 */     GIR_EraseRootFromParent_Done,
     /* 1293611 */   // Label 18557: @1293611
     /* 1293611 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1293695), // Rule ID 9170 //
     /* 1293616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293694 */     // GIR_Coverage, 9170,
     /* 1293694 */     GIR_EraseRootFromParent_Done,
     /* 1293695 */   // Label 18558: @1293695
     /* 1293695 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1293779), // Rule ID 9261 //
     /* 1293700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1293756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293778 */     // GIR_Coverage, 9261,
     /* 1293778 */     GIR_EraseRootFromParent_Done,
     /* 1293779 */   // Label 18559: @1293779
     /* 1293779 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1293863), // Rule ID 9262 //
     /* 1293784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1293840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293862 */     // GIR_Coverage, 9262,
     /* 1293862 */     GIR_EraseRootFromParent_Done,
     /* 1293863 */   // Label 18560: @1293863
     /* 1293863 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1293947), // Rule ID 9265 //
     /* 1293868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1293924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293946 */     // GIR_Coverage, 9265,
     /* 1293946 */     GIR_EraseRootFromParent_Done,
     /* 1293947 */   // Label 18561: @1293947
     /* 1293947 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1294031), // Rule ID 9266 //
     /* 1293952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294030 */     // GIR_Coverage, 9266,
     /* 1294030 */     GIR_EraseRootFromParent_Done,
     /* 1294031 */   // Label 18562: @1294031
     /* 1294031 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1294115), // Rule ID 9269 //
     /* 1294036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294114 */     // GIR_Coverage, 9269,
     /* 1294114 */     GIR_EraseRootFromParent_Done,
     /* 1294115 */   // Label 18563: @1294115
     /* 1294115 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1294199), // Rule ID 9270 //
     /* 1294120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294198 */     // GIR_Coverage, 9270,
     /* 1294198 */     GIR_EraseRootFromParent_Done,
     /* 1294199 */   // Label 18564: @1294199
     /* 1294199 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1294283), // Rule ID 9273 //
     /* 1294204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294257 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294282 */     // GIR_Coverage, 9273,
     /* 1294282 */     GIR_EraseRootFromParent_Done,
     /* 1294283 */   // Label 18565: @1294283
     /* 1294283 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1294367), // Rule ID 9274 //
     /* 1294288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294341 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294366 */     // GIR_Coverage, 9274,
     /* 1294366 */     GIR_EraseRootFromParent_Done,
     /* 1294367 */   // Label 18566: @1294367
     /* 1294367 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1294451), // Rule ID 9277 //
     /* 1294372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294425 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294450 */     // GIR_Coverage, 9277,
     /* 1294450 */     GIR_EraseRootFromParent_Done,
     /* 1294451 */   // Label 18567: @1294451
     /* 1294451 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1294535), // Rule ID 9278 //
     /* 1294456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294534 */     // GIR_Coverage, 9278,
     /* 1294534 */     GIR_EraseRootFromParent_Done,
     /* 1294535 */   // Label 18568: @1294535
     /* 1294535 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1294619), // Rule ID 9281 //
     /* 1294540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294618 */     // GIR_Coverage, 9281,
     /* 1294618 */     GIR_EraseRootFromParent_Done,
     /* 1294619 */   // Label 18569: @1294619
     /* 1294619 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1294703), // Rule ID 9282 //
     /* 1294624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294702 */     // GIR_Coverage, 9282,
     /* 1294702 */     GIR_EraseRootFromParent_Done,
     /* 1294703 */   // Label 18570: @1294703
     /* 1294703 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1294787), // Rule ID 9285 //
     /* 1294708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294786 */     // GIR_Coverage, 9285,
     /* 1294786 */     GIR_EraseRootFromParent_Done,
     /* 1294787 */   // Label 18571: @1294787
     /* 1294787 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1294871), // Rule ID 9286 //
     /* 1294792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294870 */     // GIR_Coverage, 9286,
     /* 1294870 */     GIR_EraseRootFromParent_Done,
     /* 1294871 */   // Label 18572: @1294871
     /* 1294871 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1294955), // Rule ID 9289 //
     /* 1294876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294954 */     // GIR_Coverage, 9289,
     /* 1294954 */     GIR_EraseRootFromParent_Done,
     /* 1294955 */   // Label 18573: @1294955
     /* 1294955 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1295039), // Rule ID 9290 //
     /* 1294960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295038 */     // GIR_Coverage, 9290,
     /* 1295038 */     GIR_EraseRootFromParent_Done,
     /* 1295039 */   // Label 18574: @1295039
     /* 1295039 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1295123), // Rule ID 9293 //
     /* 1295044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295097 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295122 */     // GIR_Coverage, 9293,
     /* 1295122 */     GIR_EraseRootFromParent_Done,
     /* 1295123 */   // Label 18575: @1295123
     /* 1295123 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1295207), // Rule ID 9294 //
     /* 1295128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295181 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295206 */     // GIR_Coverage, 9294,
     /* 1295206 */     GIR_EraseRootFromParent_Done,
     /* 1295207 */   // Label 18576: @1295207
     /* 1295207 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1295291), // Rule ID 9297 //
     /* 1295212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295290 */     // GIR_Coverage, 9297,
     /* 1295290 */     GIR_EraseRootFromParent_Done,
     /* 1295291 */   // Label 18577: @1295291
     /* 1295291 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1295375), // Rule ID 9298 //
     /* 1295296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295374 */     // GIR_Coverage, 9298,
     /* 1295374 */     GIR_EraseRootFromParent_Done,
     /* 1295375 */   // Label 18578: @1295375
     /* 1295375 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1295459), // Rule ID 9301 //
     /* 1295380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295458 */     // GIR_Coverage, 9301,
     /* 1295458 */     GIR_EraseRootFromParent_Done,
     /* 1295459 */   // Label 18579: @1295459
     /* 1295459 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1295543), // Rule ID 9302 //
     /* 1295464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295517 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295542 */     // GIR_Coverage, 9302,
     /* 1295542 */     GIR_EraseRootFromParent_Done,
     /* 1295543 */   // Label 18580: @1295543
     /* 1295543 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1295627), // Rule ID 9305 //
     /* 1295548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295601 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295626 */     // GIR_Coverage, 9305,
     /* 1295626 */     GIR_EraseRootFromParent_Done,
     /* 1295627 */   // Label 18581: @1295627
     /* 1295627 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1295711), // Rule ID 9306 //
     /* 1295632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295685 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295710 */     // GIR_Coverage, 9306,
     /* 1295710 */     GIR_EraseRootFromParent_Done,
     /* 1295711 */   // Label 18582: @1295711
     /* 1295711 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1295795), // Rule ID 9309 //
     /* 1295716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295769 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295794 */     // GIR_Coverage, 9309,
     /* 1295794 */     GIR_EraseRootFromParent_Done,
     /* 1295795 */   // Label 18583: @1295795
     /* 1295795 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1295879), // Rule ID 9310 //
     /* 1295800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295853 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295878 */     // GIR_Coverage, 9310,
     /* 1295878 */     GIR_EraseRootFromParent_Done,
     /* 1295879 */   // Label 18584: @1295879
     /* 1295879 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1295963), // Rule ID 9313 //
     /* 1295884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295962 */     // GIR_Coverage, 9313,
     /* 1295962 */     GIR_EraseRootFromParent_Done,
     /* 1295963 */   // Label 18585: @1295963
     /* 1295963 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1296047), // Rule ID 9314 //
     /* 1295968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296021 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296046 */     // GIR_Coverage, 9314,
     /* 1296046 */     GIR_EraseRootFromParent_Done,
     /* 1296047 */   // Label 18586: @1296047
     /* 1296047 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1296131), // Rule ID 9317 //
     /* 1296052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296105 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296130 */     // GIR_Coverage, 9317,
     /* 1296130 */     GIR_EraseRootFromParent_Done,
     /* 1296131 */   // Label 18587: @1296131
     /* 1296131 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1296215), // Rule ID 9318 //
     /* 1296136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296189 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296214 */     // GIR_Coverage, 9318,
     /* 1296214 */     GIR_EraseRootFromParent_Done,
     /* 1296215 */   // Label 18588: @1296215
     /* 1296215 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1296299), // Rule ID 9321 //
     /* 1296220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296273 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296298 */     // GIR_Coverage, 9321,
     /* 1296298 */     GIR_EraseRootFromParent_Done,
     /* 1296299 */   // Label 18589: @1296299
     /* 1296299 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1296383), // Rule ID 9322 //
     /* 1296304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296357 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296382 */     // GIR_Coverage, 9322,
     /* 1296382 */     GIR_EraseRootFromParent_Done,
     /* 1296383 */   // Label 18590: @1296383
     /* 1296383 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1296467), // Rule ID 9325 //
     /* 1296388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296441 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296466 */     // GIR_Coverage, 9325,
     /* 1296466 */     GIR_EraseRootFromParent_Done,
     /* 1296467 */   // Label 18591: @1296467
     /* 1296467 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1296551), // Rule ID 9326 //
     /* 1296472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296550 */     // GIR_Coverage, 9326,
     /* 1296550 */     GIR_EraseRootFromParent_Done,
     /* 1296551 */   // Label 18592: @1296551
     /* 1296551 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1296635), // Rule ID 9329 //
     /* 1296556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296609 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296634 */     // GIR_Coverage, 9329,
     /* 1296634 */     GIR_EraseRootFromParent_Done,
     /* 1296635 */   // Label 18593: @1296635
     /* 1296635 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1296719), // Rule ID 9330 //
     /* 1296640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296693 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296718 */     // GIR_Coverage, 9330,
     /* 1296718 */     GIR_EraseRootFromParent_Done,
     /* 1296719 */   // Label 18594: @1296719
     /* 1296719 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1296803), // Rule ID 9333 //
     /* 1296724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296777 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296802 */     // GIR_Coverage, 9333,
     /* 1296802 */     GIR_EraseRootFromParent_Done,
     /* 1296803 */   // Label 18595: @1296803
     /* 1296803 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1296887), // Rule ID 9334 //
     /* 1296808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296861 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296886 */     // GIR_Coverage, 9334,
     /* 1296886 */     GIR_EraseRootFromParent_Done,
     /* 1296887 */   // Label 18596: @1296887
     /* 1296887 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1296971), // Rule ID 9337 //
     /* 1296892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296970 */     // GIR_Coverage, 9337,
     /* 1296970 */     GIR_EraseRootFromParent_Done,
     /* 1296971 */   // Label 18597: @1296971
     /* 1296971 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1297055), // Rule ID 9338 //
     /* 1296976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1297032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297054 */     // GIR_Coverage, 9338,
     /* 1297054 */     GIR_EraseRootFromParent_Done,
     /* 1297055 */   // Label 18598: @1297055
     /* 1297055 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1297139), // Rule ID 9341 //
     /* 1297060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297138 */     // GIR_Coverage, 9341,
     /* 1297138 */     GIR_EraseRootFromParent_Done,
     /* 1297139 */   // Label 18599: @1297139
     /* 1297139 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1297223), // Rule ID 9342 //
     /* 1297144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297197 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297222 */     // GIR_Coverage, 9342,
     /* 1297222 */     GIR_EraseRootFromParent_Done,
     /* 1297223 */   // Label 18600: @1297223
     /* 1297223 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1297307), // Rule ID 9345 //
     /* 1297228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297306 */     // GIR_Coverage, 9345,
     /* 1297306 */     GIR_EraseRootFromParent_Done,
     /* 1297307 */   // Label 18601: @1297307
     /* 1297307 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1297391), // Rule ID 9346 //
     /* 1297312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297365 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297390 */     // GIR_Coverage, 9346,
     /* 1297390 */     GIR_EraseRootFromParent_Done,
     /* 1297391 */   // Label 18602: @1297391
     /* 1297391 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1297475), // Rule ID 9437 //
     /* 1297396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297449 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297474 */     // GIR_Coverage, 9437,
     /* 1297474 */     GIR_EraseRootFromParent_Done,
     /* 1297475 */   // Label 18603: @1297475
     /* 1297475 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1297559), // Rule ID 9438 //
     /* 1297480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297533 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297558 */     // GIR_Coverage, 9438,
     /* 1297558 */     GIR_EraseRootFromParent_Done,
     /* 1297559 */   // Label 18604: @1297559
     /* 1297559 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1297643), // Rule ID 9441 //
     /* 1297564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1297584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297617 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297642 */     // GIR_Coverage, 9441,
     /* 1297642 */     GIR_EraseRootFromParent_Done,
     /* 1297643 */   // Label 18605: @1297643
     /* 1297643 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1297727), // Rule ID 9442 //
     /* 1297648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1297668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297726 */     // GIR_Coverage, 9442,
     /* 1297726 */     GIR_EraseRootFromParent_Done,
     /* 1297727 */   // Label 18606: @1297727
     /* 1297727 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1297811), // Rule ID 9445 //
     /* 1297732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1297752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297810 */     // GIR_Coverage, 9445,
     /* 1297810 */     GIR_EraseRootFromParent_Done,
     /* 1297811 */   // Label 18607: @1297811
     /* 1297811 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1297895), // Rule ID 9446 //
     /* 1297816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1297836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297869 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297894 */     // GIR_Coverage, 9446,
     /* 1297894 */     GIR_EraseRootFromParent_Done,
     /* 1297895 */   // Label 18608: @1297895
     /* 1297895 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1297979), // Rule ID 9449 //
     /* 1297900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1297920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297978 */     // GIR_Coverage, 9449,
     /* 1297978 */     GIR_EraseRootFromParent_Done,
     /* 1297979 */   // Label 18609: @1297979
     /* 1297979 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1298063), // Rule ID 9450 //
     /* 1297984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1298004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298062 */     // GIR_Coverage, 9450,
     /* 1298062 */     GIR_EraseRootFromParent_Done,
     /* 1298063 */   // Label 18610: @1298063
     /* 1298063 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1298147), // Rule ID 9453 //
     /* 1298068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298146 */     // GIR_Coverage, 9453,
     /* 1298146 */     GIR_EraseRootFromParent_Done,
     /* 1298147 */   // Label 18611: @1298147
     /* 1298147 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1298231), // Rule ID 9454 //
     /* 1298152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298205 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298230 */     // GIR_Coverage, 9454,
     /* 1298230 */     GIR_EraseRootFromParent_Done,
     /* 1298231 */   // Label 18612: @1298231
     /* 1298231 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1298315), // Rule ID 9457 //
     /* 1298236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298314 */     // GIR_Coverage, 9457,
     /* 1298314 */     GIR_EraseRootFromParent_Done,
     /* 1298315 */   // Label 18613: @1298315
     /* 1298315 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1298399), // Rule ID 9458 //
     /* 1298320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298373 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298398 */     // GIR_Coverage, 9458,
     /* 1298398 */     GIR_EraseRootFromParent_Done,
     /* 1298399 */   // Label 18614: @1298399
     /* 1298399 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1298483), // Rule ID 9461 //
     /* 1298404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298482 */     // GIR_Coverage, 9461,
     /* 1298482 */     GIR_EraseRootFromParent_Done,
     /* 1298483 */   // Label 18615: @1298483
     /* 1298483 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1298567), // Rule ID 9462 //
     /* 1298488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298541 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298566 */     // GIR_Coverage, 9462,
     /* 1298566 */     GIR_EraseRootFromParent_Done,
     /* 1298567 */   // Label 18616: @1298567
     /* 1298567 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1298651), // Rule ID 9465 //
     /* 1298572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1298592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298650 */     // GIR_Coverage, 9465,
     /* 1298650 */     GIR_EraseRootFromParent_Done,
     /* 1298651 */   // Label 18617: @1298651
     /* 1298651 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1298735), // Rule ID 9466 //
     /* 1298656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1298676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298709 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298734 */     // GIR_Coverage, 9466,
     /* 1298734 */     GIR_EraseRootFromParent_Done,
     /* 1298735 */   // Label 18618: @1298735
     /* 1298735 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1298819), // Rule ID 9469 //
     /* 1298740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1298760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298818 */     // GIR_Coverage, 9469,
     /* 1298818 */     GIR_EraseRootFromParent_Done,
     /* 1298819 */   // Label 18619: @1298819
     /* 1298819 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1298903), // Rule ID 9470 //
     /* 1298824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1298844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298877 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298902 */     // GIR_Coverage, 9470,
     /* 1298902 */     GIR_EraseRootFromParent_Done,
     /* 1298903 */   // Label 18620: @1298903
     /* 1298903 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1298987), // Rule ID 9473 //
     /* 1298908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1298928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298961 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1298964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298986 */     // GIR_Coverage, 9473,
     /* 1298986 */     GIR_EraseRootFromParent_Done,
     /* 1298987 */   // Label 18621: @1298987
     /* 1298987 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1299071), // Rule ID 9474 //
     /* 1298992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1299012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299045 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299070 */     // GIR_Coverage, 9474,
     /* 1299070 */     GIR_EraseRootFromParent_Done,
     /* 1299071 */   // Label 18622: @1299071
     /* 1299071 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1299155), // Rule ID 9477 //
     /* 1299076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299154 */     // GIR_Coverage, 9477,
     /* 1299154 */     GIR_EraseRootFromParent_Done,
     /* 1299155 */   // Label 18623: @1299155
     /* 1299155 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1299239), // Rule ID 9478 //
     /* 1299160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299213 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299238 */     // GIR_Coverage, 9478,
     /* 1299238 */     GIR_EraseRootFromParent_Done,
     /* 1299239 */   // Label 18624: @1299239
     /* 1299239 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1299323), // Rule ID 9481 //
     /* 1299244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299297 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299322 */     // GIR_Coverage, 9481,
     /* 1299322 */     GIR_EraseRootFromParent_Done,
     /* 1299323 */   // Label 18625: @1299323
     /* 1299323 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1299407), // Rule ID 9482 //
     /* 1299328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299381 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299406 */     // GIR_Coverage, 9482,
     /* 1299406 */     GIR_EraseRootFromParent_Done,
     /* 1299407 */   // Label 18626: @1299407
     /* 1299407 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1299491), // Rule ID 9485 //
     /* 1299412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299490 */     // GIR_Coverage, 9485,
     /* 1299490 */     GIR_EraseRootFromParent_Done,
     /* 1299491 */   // Label 18627: @1299491
     /* 1299491 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1299575), // Rule ID 9486 //
     /* 1299496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299549 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299574 */     // GIR_Coverage, 9486,
     /* 1299574 */     GIR_EraseRootFromParent_Done,
     /* 1299575 */   // Label 18628: @1299575
     /* 1299575 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1299659), // Rule ID 9489 //
     /* 1299580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1299600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299658 */     // GIR_Coverage, 9489,
     /* 1299658 */     GIR_EraseRootFromParent_Done,
     /* 1299659 */   // Label 18629: @1299659
     /* 1299659 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1299743), // Rule ID 9490 //
     /* 1299664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1299684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299717 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299742 */     // GIR_Coverage, 9490,
     /* 1299742 */     GIR_EraseRootFromParent_Done,
     /* 1299743 */   // Label 18630: @1299743
     /* 1299743 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1299827), // Rule ID 9493 //
     /* 1299748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1299768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299801 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299826 */     // GIR_Coverage, 9493,
     /* 1299826 */     GIR_EraseRootFromParent_Done,
     /* 1299827 */   // Label 18631: @1299827
     /* 1299827 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1299911), // Rule ID 9494 //
     /* 1299832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1299852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299885 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299910 */     // GIR_Coverage, 9494,
     /* 1299910 */     GIR_EraseRootFromParent_Done,
     /* 1299911 */   // Label 18632: @1299911
     /* 1299911 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1299995), // Rule ID 9497 //
     /* 1299916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1299936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299994 */     // GIR_Coverage, 9497,
     /* 1299994 */     GIR_EraseRootFromParent_Done,
     /* 1299995 */   // Label 18633: @1299995
     /* 1299995 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1300079), // Rule ID 9498 //
     /* 1300000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1300020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300078 */     // GIR_Coverage, 9498,
     /* 1300078 */     GIR_EraseRootFromParent_Done,
     /* 1300079 */   // Label 18634: @1300079
     /* 1300079 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1300163), // Rule ID 9501 //
     /* 1300084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300137 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300162 */     // GIR_Coverage, 9501,
     /* 1300162 */     GIR_EraseRootFromParent_Done,
     /* 1300163 */   // Label 18635: @1300163
     /* 1300163 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1300247), // Rule ID 9502 //
     /* 1300168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300246 */     // GIR_Coverage, 9502,
     /* 1300246 */     GIR_EraseRootFromParent_Done,
     /* 1300247 */   // Label 18636: @1300247
     /* 1300247 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1300331), // Rule ID 9505 //
     /* 1300252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300305 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300330 */     // GIR_Coverage, 9505,
     /* 1300330 */     GIR_EraseRootFromParent_Done,
     /* 1300331 */   // Label 18637: @1300331
     /* 1300331 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1300415), // Rule ID 9506 //
     /* 1300336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300414 */     // GIR_Coverage, 9506,
     /* 1300414 */     GIR_EraseRootFromParent_Done,
     /* 1300415 */   // Label 18638: @1300415
     /* 1300415 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1300499), // Rule ID 9509 //
     /* 1300420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300498 */     // GIR_Coverage, 9509,
     /* 1300498 */     GIR_EraseRootFromParent_Done,
     /* 1300499 */   // Label 18639: @1300499
     /* 1300499 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1300583), // Rule ID 9510 //
     /* 1300504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300582 */     // GIR_Coverage, 9510,
     /* 1300582 */     GIR_EraseRootFromParent_Done,
     /* 1300583 */   // Label 18640: @1300583
     /* 1300583 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1300667), // Rule ID 9513 //
     /* 1300588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1300608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300666 */     // GIR_Coverage, 9513,
     /* 1300666 */     GIR_EraseRootFromParent_Done,
     /* 1300667 */   // Label 18641: @1300667
     /* 1300667 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1300751), // Rule ID 9514 //
     /* 1300672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1300692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300750 */     // GIR_Coverage, 9514,
     /* 1300750 */     GIR_EraseRootFromParent_Done,
     /* 1300751 */   // Label 18642: @1300751
     /* 1300751 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1300835), // Rule ID 9517 //
     /* 1300756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1300776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300809 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300834 */     // GIR_Coverage, 9517,
     /* 1300834 */     GIR_EraseRootFromParent_Done,
     /* 1300835 */   // Label 18643: @1300835
     /* 1300835 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1300919), // Rule ID 9518 //
     /* 1300840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1300860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300893 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300918 */     // GIR_Coverage, 9518,
     /* 1300918 */     GIR_EraseRootFromParent_Done,
     /* 1300919 */   // Label 18644: @1300919
     /* 1300919 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1301003), // Rule ID 9521 //
     /* 1300924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1300941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1300944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300977 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1300980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301002 */     // GIR_Coverage, 9521,
     /* 1301002 */     GIR_EraseRootFromParent_Done,
     /* 1301003 */   // Label 18645: @1301003
     /* 1301003 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1301087), // Rule ID 9522 //
     /* 1301008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1301025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1301028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1301064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301086 */     // GIR_Coverage, 9522,
     /* 1301086 */     GIR_EraseRootFromParent_Done,
     /* 1301087 */   // Label 18646: @1301087
     /* 1301087 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1301171), // Rule ID 9525 //
     /* 1301092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301145 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301170 */     // GIR_Coverage, 9525,
     /* 1301170 */     GIR_EraseRootFromParent_Done,
     /* 1301171 */   // Label 18647: @1301171
     /* 1301171 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1301255), // Rule ID 9526 //
     /* 1301176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301229 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301254 */     // GIR_Coverage, 9526,
     /* 1301254 */     GIR_EraseRootFromParent_Done,
     /* 1301255 */   // Label 18648: @1301255
     /* 1301255 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1301339), // Rule ID 9529 //
     /* 1301260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301313 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301338 */     // GIR_Coverage, 9529,
     /* 1301338 */     GIR_EraseRootFromParent_Done,
     /* 1301339 */   // Label 18649: @1301339
     /* 1301339 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1301423), // Rule ID 9530 //
     /* 1301344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301397 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301422 */     // GIR_Coverage, 9530,
     /* 1301422 */     GIR_EraseRootFromParent_Done,
     /* 1301423 */   // Label 18650: @1301423
     /* 1301423 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1301507), // Rule ID 9533 //
     /* 1301428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301506 */     // GIR_Coverage, 9533,
     /* 1301506 */     GIR_EraseRootFromParent_Done,
     /* 1301507 */   // Label 18651: @1301507
     /* 1301507 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1301591), // Rule ID 9534 //
     /* 1301512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301590 */     // GIR_Coverage, 9534,
     /* 1301590 */     GIR_EraseRootFromParent_Done,
     /* 1301591 */   // Label 18652: @1301591
     /* 1301591 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1301675), // Rule ID 9537 //
     /* 1301596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1301616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301649 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301674 */     // GIR_Coverage, 9537,
     /* 1301674 */     GIR_EraseRootFromParent_Done,
     /* 1301675 */   // Label 18653: @1301675
     /* 1301675 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1301759), // Rule ID 9538 //
     /* 1301680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1301700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301758 */     // GIR_Coverage, 9538,
     /* 1301758 */     GIR_EraseRootFromParent_Done,
     /* 1301759 */   // Label 18654: @1301759
     /* 1301759 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1301843), // Rule ID 9541 //
     /* 1301764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1301784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301842 */     // GIR_Coverage, 9541,
     /* 1301842 */     GIR_EraseRootFromParent_Done,
     /* 1301843 */   // Label 18655: @1301843
     /* 1301843 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1301927), // Rule ID 9542 //
     /* 1301848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1301868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301901 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301926 */     // GIR_Coverage, 9542,
     /* 1301926 */     GIR_EraseRootFromParent_Done,
     /* 1301927 */   // Label 18656: @1301927
     /* 1301927 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1302011), // Rule ID 9545 //
     /* 1301932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1301949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1301952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301985 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1301988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302010 */     // GIR_Coverage, 9545,
     /* 1302010 */     GIR_EraseRootFromParent_Done,
     /* 1302011 */   // Label 18657: @1302011
     /* 1302011 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1302095), // Rule ID 9546 //
     /* 1302016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1302036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302069 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302094 */     // GIR_Coverage, 9546,
     /* 1302094 */     GIR_EraseRootFromParent_Done,
     /* 1302095 */   // Label 18658: @1302095
     /* 1302095 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1302179), // Rule ID 9549 //
     /* 1302100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302153 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302178 */     // GIR_Coverage, 9549,
     /* 1302178 */     GIR_EraseRootFromParent_Done,
     /* 1302179 */   // Label 18659: @1302179
     /* 1302179 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1302263), // Rule ID 9550 //
     /* 1302184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302237 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302262 */     // GIR_Coverage, 9550,
     /* 1302262 */     GIR_EraseRootFromParent_Done,
     /* 1302263 */   // Label 18660: @1302263
     /* 1302263 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1302347), // Rule ID 9553 //
     /* 1302268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302321 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302346 */     // GIR_Coverage, 9553,
     /* 1302346 */     GIR_EraseRootFromParent_Done,
     /* 1302347 */   // Label 18661: @1302347
     /* 1302347 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1302431), // Rule ID 9554 //
     /* 1302352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302405 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302430 */     // GIR_Coverage, 9554,
     /* 1302430 */     GIR_EraseRootFromParent_Done,
     /* 1302431 */   // Label 18662: @1302431
     /* 1302431 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1302515), // Rule ID 9557 //
     /* 1302436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302489 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302514 */     // GIR_Coverage, 9557,
     /* 1302514 */     GIR_EraseRootFromParent_Done,
     /* 1302515 */   // Label 18663: @1302515
     /* 1302515 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1302599), // Rule ID 9558 //
     /* 1302520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302573 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302598 */     // GIR_Coverage, 9558,
     /* 1302598 */     GIR_EraseRootFromParent_Done,
     /* 1302599 */   // Label 18664: @1302599
     /* 1302599 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1302683), // Rule ID 9561 //
     /* 1302604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1302624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302657 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302682 */     // GIR_Coverage, 9561,
     /* 1302682 */     GIR_EraseRootFromParent_Done,
     /* 1302683 */   // Label 18665: @1302683
     /* 1302683 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1302767), // Rule ID 9562 //
     /* 1302688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1302708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302741 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302766 */     // GIR_Coverage, 9562,
     /* 1302766 */     GIR_EraseRootFromParent_Done,
     /* 1302767 */   // Label 18666: @1302767
     /* 1302767 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1302851), // Rule ID 9565 //
     /* 1302772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1302792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302825 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302850 */     // GIR_Coverage, 9565,
     /* 1302850 */     GIR_EraseRootFromParent_Done,
     /* 1302851 */   // Label 18667: @1302851
     /* 1302851 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1302935), // Rule ID 9566 //
     /* 1302856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1302876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302909 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302934 */     // GIR_Coverage, 9566,
     /* 1302934 */     GIR_EraseRootFromParent_Done,
     /* 1302935 */   // Label 18668: @1302935
     /* 1302935 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1303019), // Rule ID 9569 //
     /* 1302940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1302951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1302954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1302957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1302960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1302963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302993 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1302996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303018 */     // GIR_Coverage, 9569,
     /* 1303018 */     GIR_EraseRootFromParent_Done,
     /* 1303019 */   // Label 18669: @1303019
     /* 1303019 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1303103), // Rule ID 9570 //
     /* 1303024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1303044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303077 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303102 */     // GIR_Coverage, 9570,
     /* 1303102 */     GIR_EraseRootFromParent_Done,
     /* 1303103 */   // Label 18670: @1303103
     /* 1303103 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1303187), // Rule ID 9573 //
     /* 1303108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303186 */     // GIR_Coverage, 9573,
     /* 1303186 */     GIR_EraseRootFromParent_Done,
     /* 1303187 */   // Label 18671: @1303187
     /* 1303187 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1303271), // Rule ID 9574 //
     /* 1303192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303245 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303270 */     // GIR_Coverage, 9574,
     /* 1303270 */     GIR_EraseRootFromParent_Done,
     /* 1303271 */   // Label 18672: @1303271
     /* 1303271 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1303355), // Rule ID 9577 //
     /* 1303276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303329 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303354 */     // GIR_Coverage, 9577,
     /* 1303354 */     GIR_EraseRootFromParent_Done,
     /* 1303355 */   // Label 18673: @1303355
     /* 1303355 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1303439), // Rule ID 9578 //
     /* 1303360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303413 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303438 */     // GIR_Coverage, 9578,
     /* 1303438 */     GIR_EraseRootFromParent_Done,
     /* 1303439 */   // Label 18674: @1303439
     /* 1303439 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1303523), // Rule ID 9581 //
     /* 1303444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303497 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303522 */     // GIR_Coverage, 9581,
     /* 1303522 */     GIR_EraseRootFromParent_Done,
     /* 1303523 */   // Label 18675: @1303523
     /* 1303523 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1303607), // Rule ID 9582 //
     /* 1303528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303581 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303606 */     // GIR_Coverage, 9582,
     /* 1303606 */     GIR_EraseRootFromParent_Done,
     /* 1303607 */   // Label 18676: @1303607
     /* 1303607 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1303691), // Rule ID 9585 //
     /* 1303612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1303632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303665 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303690 */     // GIR_Coverage, 9585,
     /* 1303690 */     GIR_EraseRootFromParent_Done,
     /* 1303691 */   // Label 18677: @1303691
     /* 1303691 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1303775), // Rule ID 9586 //
     /* 1303696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1303716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303774 */     // GIR_Coverage, 9586,
     /* 1303774 */     GIR_EraseRootFromParent_Done,
     /* 1303775 */   // Label 18678: @1303775
     /* 1303775 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1303859), // Rule ID 9589 //
     /* 1303780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1303800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303858 */     // GIR_Coverage, 9589,
     /* 1303858 */     GIR_EraseRootFromParent_Done,
     /* 1303859 */   // Label 18679: @1303859
     /* 1303859 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1303943), // Rule ID 9590 //
     /* 1303864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1303884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303917 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303942 */     // GIR_Coverage, 9590,
     /* 1303942 */     GIR_EraseRootFromParent_Done,
     /* 1303943 */   // Label 18680: @1303943
     /* 1303943 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1304027), // Rule ID 9593 //
     /* 1303948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1303965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1303968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304001 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304026 */     // GIR_Coverage, 9593,
     /* 1304026 */     GIR_EraseRootFromParent_Done,
     /* 1304027 */   // Label 18681: @1304027
     /* 1304027 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1304111), // Rule ID 9594 //
     /* 1304032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304085 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304110 */     // GIR_Coverage, 9594,
     /* 1304110 */     GIR_EraseRootFromParent_Done,
     /* 1304111 */   // Label 18682: @1304111
     /* 1304111 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1304195), // Rule ID 9597 //
     /* 1304116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304194 */     // GIR_Coverage, 9597,
     /* 1304194 */     GIR_EraseRootFromParent_Done,
     /* 1304195 */   // Label 18683: @1304195
     /* 1304195 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1304279), // Rule ID 9598 //
     /* 1304200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304253 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304278 */     // GIR_Coverage, 9598,
     /* 1304278 */     GIR_EraseRootFromParent_Done,
     /* 1304279 */   // Label 18684: @1304279
     /* 1304279 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1304363), // Rule ID 9601 //
     /* 1304284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304337 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304362 */     // GIR_Coverage, 9601,
     /* 1304362 */     GIR_EraseRootFromParent_Done,
     /* 1304363 */   // Label 18685: @1304363
     /* 1304363 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1304447), // Rule ID 9602 //
     /* 1304368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304421 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304446 */     // GIR_Coverage, 9602,
     /* 1304446 */     GIR_EraseRootFromParent_Done,
     /* 1304447 */   // Label 18686: @1304447
     /* 1304447 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1304531), // Rule ID 9605 //
     /* 1304452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304505 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304530 */     // GIR_Coverage, 9605,
     /* 1304530 */     GIR_EraseRootFromParent_Done,
     /* 1304531 */   // Label 18687: @1304531
     /* 1304531 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1304615), // Rule ID 9606 //
     /* 1304536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304614 */     // GIR_Coverage, 9606,
     /* 1304614 */     GIR_EraseRootFromParent_Done,
     /* 1304615 */   // Label 18688: @1304615
     /* 1304615 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1304699), // Rule ID 9609 //
     /* 1304620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1304637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1304640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304673 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1304676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304698 */     // GIR_Coverage, 9609,
     /* 1304698 */     GIR_EraseRootFromParent_Done,
     /* 1304699 */   // Label 18689: @1304699
     /* 1304699 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1304783), // Rule ID 9610 //
     /* 1304704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1304721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1304724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1304760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304782 */     // GIR_Coverage, 9610,
     /* 1304782 */     GIR_EraseRootFromParent_Done,
     /* 1304783 */   // Label 18690: @1304783
     /* 1304783 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1304867), // Rule ID 9613 //
     /* 1304788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304841 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1304844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304866 */     // GIR_Coverage, 9613,
     /* 1304866 */     GIR_EraseRootFromParent_Done,
     /* 1304867 */   // Label 18691: @1304867
     /* 1304867 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1304951), // Rule ID 9614 //
     /* 1304872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304925 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1304928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304950 */     // GIR_Coverage, 9614,
     /* 1304950 */     GIR_EraseRootFromParent_Done,
     /* 1304951 */   // Label 18692: @1304951
     /* 1304951 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1305035), // Rule ID 9617 //
     /* 1304956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1304973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1304976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305034 */     // GIR_Coverage, 9617,
     /* 1305034 */     GIR_EraseRootFromParent_Done,
     /* 1305035 */   // Label 18693: @1305035
     /* 1305035 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1305119), // Rule ID 9618 //
     /* 1305040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305118 */     // GIR_Coverage, 9618,
     /* 1305118 */     GIR_EraseRootFromParent_Done,
     /* 1305119 */   // Label 18694: @1305119
     /* 1305119 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1305203), // Rule ID 9621 //
     /* 1305124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305202 */     // GIR_Coverage, 9621,
     /* 1305202 */     GIR_EraseRootFromParent_Done,
     /* 1305203 */   // Label 18695: @1305203
     /* 1305203 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1305287), // Rule ID 9622 //
     /* 1305208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305261 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305286 */     // GIR_Coverage, 9622,
     /* 1305286 */     GIR_EraseRootFromParent_Done,
     /* 1305287 */   // Label 18696: @1305287
     /* 1305287 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1305371), // Rule ID 9625 //
     /* 1305292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305345 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305370 */     // GIR_Coverage, 9625,
     /* 1305370 */     GIR_EraseRootFromParent_Done,
     /* 1305371 */   // Label 18697: @1305371
     /* 1305371 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1305455), // Rule ID 9626 //
     /* 1305376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305429 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305454 */     // GIR_Coverage, 9626,
     /* 1305454 */     GIR_EraseRootFromParent_Done,
     /* 1305455 */   // Label 18698: @1305455
     /* 1305455 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1305539), // Rule ID 9629 //
     /* 1305460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305513 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305538 */     // GIR_Coverage, 9629,
     /* 1305538 */     GIR_EraseRootFromParent_Done,
     /* 1305539 */   // Label 18699: @1305539
     /* 1305539 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1305623), // Rule ID 9630 //
     /* 1305544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305622 */     // GIR_Coverage, 9630,
     /* 1305622 */     GIR_EraseRootFromParent_Done,
     /* 1305623 */   // Label 18700: @1305623
     /* 1305623 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1305707), // Rule ID 9633 //
     /* 1305628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1305645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1305648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305706 */     // GIR_Coverage, 9633,
     /* 1305706 */     GIR_EraseRootFromParent_Done,
     /* 1305707 */   // Label 18701: @1305707
     /* 1305707 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1305791), // Rule ID 9634 //
     /* 1305712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1305729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1305732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305765 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305790 */     // GIR_Coverage, 9634,
     /* 1305790 */     GIR_EraseRootFromParent_Done,
     /* 1305791 */   // Label 18702: @1305791
     /* 1305791 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1305875), // Rule ID 9637 //
     /* 1305796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305874 */     // GIR_Coverage, 9637,
     /* 1305874 */     GIR_EraseRootFromParent_Done,
     /* 1305875 */   // Label 18703: @1305875
     /* 1305875 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1305959), // Rule ID 9638 //
     /* 1305880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305958 */     // GIR_Coverage, 9638,
     /* 1305958 */     GIR_EraseRootFromParent_Done,
     /* 1305959 */   // Label 18704: @1305959
     /* 1305959 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1306043), // Rule ID 9641 //
     /* 1305964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1305981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1305984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306042 */     // GIR_Coverage, 9641,
     /* 1306042 */     GIR_EraseRootFromParent_Done,
     /* 1306043 */   // Label 18705: @1306043
     /* 1306043 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1306127), // Rule ID 9642 //
     /* 1306048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306101 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306126 */     // GIR_Coverage, 9642,
     /* 1306126 */     GIR_EraseRootFromParent_Done,
     /* 1306127 */   // Label 18706: @1306127
     /* 1306127 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1306211), // Rule ID 9645 //
     /* 1306132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306185 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306210 */     // GIR_Coverage, 9645,
     /* 1306210 */     GIR_EraseRootFromParent_Done,
     /* 1306211 */   // Label 18707: @1306211
     /* 1306211 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1306295), // Rule ID 9646 //
     /* 1306216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306269 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306294 */     // GIR_Coverage, 9646,
     /* 1306294 */     GIR_EraseRootFromParent_Done,
     /* 1306295 */   // Label 18708: @1306295
     /* 1306295 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1306379), // Rule ID 9649 //
     /* 1306300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306353 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306378 */     // GIR_Coverage, 9649,
     /* 1306378 */     GIR_EraseRootFromParent_Done,
     /* 1306379 */   // Label 18709: @1306379
     /* 1306379 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1306463), // Rule ID 9650 //
     /* 1306384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306437 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306462 */     // GIR_Coverage, 9650,
     /* 1306462 */     GIR_EraseRootFromParent_Done,
     /* 1306463 */   // Label 18710: @1306463
     /* 1306463 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1306547), // Rule ID 9653 //
     /* 1306468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306521 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306546 */     // GIR_Coverage, 9653,
     /* 1306546 */     GIR_EraseRootFromParent_Done,
     /* 1306547 */   // Label 18711: @1306547
     /* 1306547 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1306631), // Rule ID 9654 //
     /* 1306552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306605 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306630 */     // GIR_Coverage, 9654,
     /* 1306630 */     GIR_EraseRootFromParent_Done,
     /* 1306631 */   // Label 18712: @1306631
     /* 1306631 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1306715), // Rule ID 9657 //
     /* 1306636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1306647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1306650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1306653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1306656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1306659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306689 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306714 */     // GIR_Coverage, 9657,
     /* 1306714 */     GIR_EraseRootFromParent_Done,
     /* 1306715 */   // Label 18713: @1306715
     /* 1306715 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1306799), // Rule ID 9658 //
     /* 1306720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1306731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1306734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1306737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1306740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1306743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306773 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306798 */     // GIR_Coverage, 9658,
     /* 1306798 */     GIR_EraseRootFromParent_Done,
     /* 1306799 */   // Label 18714: @1306799
     /* 1306799 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1306883), // Rule ID 9661 //
     /* 1306804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306882 */     // GIR_Coverage, 9661,
     /* 1306882 */     GIR_EraseRootFromParent_Done,
     /* 1306883 */   // Label 18715: @1306883
     /* 1306883 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1306967), // Rule ID 9662 //
     /* 1306888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306941 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306966 */     // GIR_Coverage, 9662,
     /* 1306966 */     GIR_EraseRootFromParent_Done,
     /* 1306967 */   // Label 18716: @1306967
     /* 1306967 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1307051), // Rule ID 9665 //
     /* 1306972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1306992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307025 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307050 */     // GIR_Coverage, 9665,
     /* 1307050 */     GIR_EraseRootFromParent_Done,
     /* 1307051 */   // Label 18717: @1307051
     /* 1307051 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1307135), // Rule ID 9666 //
     /* 1307056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307109 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307134 */     // GIR_Coverage, 9666,
     /* 1307134 */     GIR_EraseRootFromParent_Done,
     /* 1307135 */   // Label 18718: @1307135
     /* 1307135 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1307219), // Rule ID 9669 //
     /* 1307140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307193 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307218 */     // GIR_Coverage, 9669,
     /* 1307218 */     GIR_EraseRootFromParent_Done,
     /* 1307219 */   // Label 18719: @1307219
     /* 1307219 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1307303), // Rule ID 9670 //
     /* 1307224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307277 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307302 */     // GIR_Coverage, 9670,
     /* 1307302 */     GIR_EraseRootFromParent_Done,
     /* 1307303 */   // Label 18720: @1307303
     /* 1307303 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1307387), // Rule ID 9673 //
     /* 1307308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307361 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307386 */     // GIR_Coverage, 9673,
     /* 1307386 */     GIR_EraseRootFromParent_Done,
     /* 1307387 */   // Label 18721: @1307387
     /* 1307387 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1307471), // Rule ID 9674 //
     /* 1307392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307445 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307470 */     // GIR_Coverage, 9674,
     /* 1307470 */     GIR_EraseRootFromParent_Done,
     /* 1307471 */   // Label 18722: @1307471
     /* 1307471 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1307555), // Rule ID 9677 //
     /* 1307476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307554 */     // GIR_Coverage, 9677,
     /* 1307554 */     GIR_EraseRootFromParent_Done,
     /* 1307555 */   // Label 18723: @1307555
     /* 1307555 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1307639), // Rule ID 9678 //
     /* 1307560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307613 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307638 */     // GIR_Coverage, 9678,
     /* 1307638 */     GIR_EraseRootFromParent_Done,
     /* 1307639 */   // Label 18724: @1307639
     /* 1307639 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1307723), // Rule ID 9681 //
     /* 1307644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307697 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307722 */     // GIR_Coverage, 9681,
     /* 1307722 */     GIR_EraseRootFromParent_Done,
     /* 1307723 */   // Label 18725: @1307723
     /* 1307723 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1307807), // Rule ID 9682 //
     /* 1307728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307781 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307806 */     // GIR_Coverage, 9682,
     /* 1307806 */     GIR_EraseRootFromParent_Done,
     /* 1307807 */   // Label 18726: @1307807
     /* 1307807 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1307891), // Rule ID 9685 //
     /* 1307812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307865 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307890 */     // GIR_Coverage, 9685,
     /* 1307890 */     GIR_EraseRootFromParent_Done,
     /* 1307891 */   // Label 18727: @1307891
     /* 1307891 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1307975), // Rule ID 9686 //
     /* 1307896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307949 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307974 */     // GIR_Coverage, 9686,
     /* 1307974 */     GIR_EraseRootFromParent_Done,
     /* 1307975 */   // Label 18728: @1307975
     /* 1307975 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1308059), // Rule ID 9689 //
     /* 1307980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308033 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308058 */     // GIR_Coverage, 9689,
     /* 1308058 */     GIR_EraseRootFromParent_Done,
     /* 1308059 */   // Label 18729: @1308059
     /* 1308059 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1308143), // Rule ID 9690 //
     /* 1308064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308117 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308142 */     // GIR_Coverage, 9690,
     /* 1308142 */     GIR_EraseRootFromParent_Done,
     /* 1308143 */   // Label 18730: @1308143
     /* 1308143 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1308227), // Rule ID 9693 //
     /* 1308148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308201 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308226 */     // GIR_Coverage, 9693,
     /* 1308226 */     GIR_EraseRootFromParent_Done,
     /* 1308227 */   // Label 18731: @1308227
     /* 1308227 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1308311), // Rule ID 9694 //
     /* 1308232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308285 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308310 */     // GIR_Coverage, 9694,
     /* 1308310 */     GIR_EraseRootFromParent_Done,
     /* 1308311 */   // Label 18732: @1308311
     /* 1308311 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1308395), // Rule ID 9697 //
     /* 1308316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308369 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308394 */     // GIR_Coverage, 9697,
     /* 1308394 */     GIR_EraseRootFromParent_Done,
     /* 1308395 */   // Label 18733: @1308395
     /* 1308395 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1308479), // Rule ID 9698 //
     /* 1308400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308453 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308478 */     // GIR_Coverage, 9698,
     /* 1308478 */     GIR_EraseRootFromParent_Done,
     /* 1308479 */   // Label 18734: @1308479
     /* 1308479 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1308563), // Rule ID 9701 //
     /* 1308484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308537 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308562 */     // GIR_Coverage, 9701,
     /* 1308562 */     GIR_EraseRootFromParent_Done,
     /* 1308563 */   // Label 18735: @1308563
     /* 1308563 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1308647), // Rule ID 9702 //
     /* 1308568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308646 */     // GIR_Coverage, 9702,
     /* 1308646 */     GIR_EraseRootFromParent_Done,
     /* 1308647 */   // Label 18736: @1308647
     /* 1308647 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1308731), // Rule ID 9705 //
     /* 1308652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1308708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308730 */     // GIR_Coverage, 9705,
     /* 1308730 */     GIR_EraseRootFromParent_Done,
     /* 1308731 */   // Label 18737: @1308731
     /* 1308731 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1308815), // Rule ID 9706 //
     /* 1308736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1308792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308814 */     // GIR_Coverage, 9706,
     /* 1308814 */     GIR_EraseRootFromParent_Done,
     /* 1308815 */   // Label 18738: @1308815
     /* 1308815 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1308899), // Rule ID 9709 //
     /* 1308820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308898 */     // GIR_Coverage, 9709,
     /* 1308898 */     GIR_EraseRootFromParent_Done,
     /* 1308899 */   // Label 18739: @1308899
     /* 1308899 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1308983), // Rule ID 9710 //
     /* 1308904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308982 */     // GIR_Coverage, 9710,
     /* 1308982 */     GIR_EraseRootFromParent_Done,
     /* 1308983 */   // Label 18740: @1308983
     /* 1308983 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1309067), // Rule ID 9713 //
     /* 1308988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309041 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309066 */     // GIR_Coverage, 9713,
     /* 1309066 */     GIR_EraseRootFromParent_Done,
     /* 1309067 */   // Label 18741: @1309067
     /* 1309067 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1309151), // Rule ID 9714 //
     /* 1309072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309125 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309150 */     // GIR_Coverage, 9714,
     /* 1309150 */     GIR_EraseRootFromParent_Done,
     /* 1309151 */   // Label 18742: @1309151
     /* 1309151 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1309235), // Rule ID 9717 //
     /* 1309156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309234 */     // GIR_Coverage, 9717,
     /* 1309234 */     GIR_EraseRootFromParent_Done,
     /* 1309235 */   // Label 18743: @1309235
     /* 1309235 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1309319), // Rule ID 9718 //
     /* 1309240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309318 */     // GIR_Coverage, 9718,
     /* 1309318 */     GIR_EraseRootFromParent_Done,
     /* 1309319 */   // Label 18744: @1309319
     /* 1309319 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1309403), // Rule ID 9721 //
     /* 1309324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309402 */     // GIR_Coverage, 9721,
     /* 1309402 */     GIR_EraseRootFromParent_Done,
     /* 1309403 */   // Label 18745: @1309403
     /* 1309403 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1309487), // Rule ID 9722 //
     /* 1309408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309461 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309486 */     // GIR_Coverage, 9722,
     /* 1309486 */     GIR_EraseRootFromParent_Done,
     /* 1309487 */   // Label 18746: @1309487
     /* 1309487 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1309571), // Rule ID 9725 //
     /* 1309492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309570 */     // GIR_Coverage, 9725,
     /* 1309570 */     GIR_EraseRootFromParent_Done,
     /* 1309571 */   // Label 18747: @1309571
     /* 1309571 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1309655), // Rule ID 9726 //
     /* 1309576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309629 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309654 */     // GIR_Coverage, 9726,
     /* 1309654 */     GIR_EraseRootFromParent_Done,
     /* 1309655 */   // Label 18748: @1309655
     /* 1309655 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1309739), // Rule ID 9729 //
     /* 1309660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309713 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309738 */     // GIR_Coverage, 9729,
     /* 1309738 */     GIR_EraseRootFromParent_Done,
     /* 1309739 */   // Label 18749: @1309739
     /* 1309739 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1309823), // Rule ID 9730 //
     /* 1309744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309822 */     // GIR_Coverage, 9730,
     /* 1309822 */     GIR_EraseRootFromParent_Done,
     /* 1309823 */   // Label 18750: @1309823
     /* 1309823 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1309907), // Rule ID 9733 //
     /* 1309828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1309831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309881 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309906 */     // GIR_Coverage, 9733,
     /* 1309906 */     GIR_EraseRootFromParent_Done,
     /* 1309907 */   // Label 18751: @1309907
     /* 1309907 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1309991), // Rule ID 9734 //
     /* 1309912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309990 */     // GIR_Coverage, 9734,
     /* 1309990 */     GIR_EraseRootFromParent_Done,
     /* 1309991 */   // Label 18752: @1309991
     /* 1309991 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1310075), // Rule ID 9737 //
     /* 1309996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310049 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310074 */     // GIR_Coverage, 9737,
     /* 1310074 */     GIR_EraseRootFromParent_Done,
     /* 1310075 */   // Label 18753: @1310075
     /* 1310075 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1310159), // Rule ID 9738 //
     /* 1310080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310158 */     // GIR_Coverage, 9738,
     /* 1310158 */     GIR_EraseRootFromParent_Done,
     /* 1310159 */   // Label 18754: @1310159
     /* 1310159 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1310243), // Rule ID 9741 //
     /* 1310164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310217 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310242 */     // GIR_Coverage, 9741,
     /* 1310242 */     GIR_EraseRootFromParent_Done,
     /* 1310243 */   // Label 18755: @1310243
     /* 1310243 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1310327), // Rule ID 9742 //
     /* 1310248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310301 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310326 */     // GIR_Coverage, 9742,
     /* 1310326 */     GIR_EraseRootFromParent_Done,
     /* 1310327 */   // Label 18756: @1310327
     /* 1310327 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1310411), // Rule ID 9745 //
     /* 1310332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310385 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310410 */     // GIR_Coverage, 9745,
     /* 1310410 */     GIR_EraseRootFromParent_Done,
     /* 1310411 */   // Label 18757: @1310411
     /* 1310411 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1310495), // Rule ID 9746 //
     /* 1310416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310469 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310494 */     // GIR_Coverage, 9746,
     /* 1310494 */     GIR_EraseRootFromParent_Done,
     /* 1310495 */   // Label 18758: @1310495
     /* 1310495 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1310579), // Rule ID 9749 //
     /* 1310500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310578 */     // GIR_Coverage, 9749,
     /* 1310578 */     GIR_EraseRootFromParent_Done,
     /* 1310579 */   // Label 18759: @1310579
     /* 1310579 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1310663), // Rule ID 9750 //
     /* 1310584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310662 */     // GIR_Coverage, 9750,
     /* 1310662 */     GIR_EraseRootFromParent_Done,
     /* 1310663 */   // Label 18760: @1310663
     /* 1310663 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1310747), // Rule ID 9753 //
     /* 1310668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310746 */     // GIR_Coverage, 9753,
     /* 1310746 */     GIR_EraseRootFromParent_Done,
     /* 1310747 */   // Label 18761: @1310747
     /* 1310747 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1310831), // Rule ID 9754 //
     /* 1310752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310830 */     // GIR_Coverage, 9754,
     /* 1310830 */     GIR_EraseRootFromParent_Done,
     /* 1310831 */   // Label 18762: @1310831
     /* 1310831 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1310915), // Rule ID 9757 //
     /* 1310836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310889 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310914 */     // GIR_Coverage, 9757,
     /* 1310914 */     GIR_EraseRootFromParent_Done,
     /* 1310915 */   // Label 18763: @1310915
     /* 1310915 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1310999), // Rule ID 9758 //
     /* 1310920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310973 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310998 */     // GIR_Coverage, 9758,
     /* 1310998 */     GIR_EraseRootFromParent_Done,
     /* 1310999 */   // Label 18764: @1310999
     /* 1310999 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1311083), // Rule ID 9761 //
     /* 1311004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311082 */     // GIR_Coverage, 9761,
     /* 1311082 */     GIR_EraseRootFromParent_Done,
     /* 1311083 */   // Label 18765: @1311083
     /* 1311083 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1311167), // Rule ID 9762 //
     /* 1311088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311141 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311166 */     // GIR_Coverage, 9762,
     /* 1311166 */     GIR_EraseRootFromParent_Done,
     /* 1311167 */   // Label 18766: @1311167
     /* 1311167 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1311251), // Rule ID 9765 //
     /* 1311172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311250 */     // GIR_Coverage, 9765,
     /* 1311250 */     GIR_EraseRootFromParent_Done,
     /* 1311251 */   // Label 18767: @1311251
     /* 1311251 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1311335), // Rule ID 9766 //
     /* 1311256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311334 */     // GIR_Coverage, 9766,
     /* 1311334 */     GIR_EraseRootFromParent_Done,
     /* 1311335 */   // Label 18768: @1311335
     /* 1311335 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1311419), // Rule ID 9769 //
     /* 1311340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311393 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311418 */     // GIR_Coverage, 9769,
     /* 1311418 */     GIR_EraseRootFromParent_Done,
     /* 1311419 */   // Label 18769: @1311419
     /* 1311419 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1311503), // Rule ID 9770 //
     /* 1311424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311477 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311502 */     // GIR_Coverage, 9770,
     /* 1311502 */     GIR_EraseRootFromParent_Done,
     /* 1311503 */   // Label 18770: @1311503
     /* 1311503 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1311587), // Rule ID 9773 //
     /* 1311508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311586 */     // GIR_Coverage, 9773,
     /* 1311586 */     GIR_EraseRootFromParent_Done,
     /* 1311587 */   // Label 18771: @1311587
     /* 1311587 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1311671), // Rule ID 9774 //
     /* 1311592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311645 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311670 */     // GIR_Coverage, 9774,
     /* 1311670 */     GIR_EraseRootFromParent_Done,
     /* 1311671 */   // Label 18772: @1311671
     /* 1311671 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1311755), // Rule ID 9777 //
     /* 1311676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311754 */     // GIR_Coverage, 9777,
     /* 1311754 */     GIR_EraseRootFromParent_Done,
     /* 1311755 */   // Label 18773: @1311755
     /* 1311755 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1311839), // Rule ID 9778 //
     /* 1311760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311813 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311838 */     // GIR_Coverage, 9778,
     /* 1311838 */     GIR_EraseRootFromParent_Done,
     /* 1311839 */   // Label 18774: @1311839
     /* 1311839 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1311923), // Rule ID 9781 //
     /* 1311844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311897 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311922 */     // GIR_Coverage, 9781,
     /* 1311922 */     GIR_EraseRootFromParent_Done,
     /* 1311923 */   // Label 18775: @1311923
     /* 1311923 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1312007), // Rule ID 9782 //
     /* 1311928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312006 */     // GIR_Coverage, 9782,
     /* 1312006 */     GIR_EraseRootFromParent_Done,
     /* 1312007 */   // Label 18776: @1312007
     /* 1312007 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1312088), // Rule ID 13723 //
     /* 1312012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1312023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1312026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312087 */     // GIR_Coverage, 13723,
     /* 1312087 */     GIR_EraseRootFromParent_Done,
     /* 1312088 */   // Label 18777: @1312088
     /* 1312088 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1312169), // Rule ID 13724 //
     /* 1312093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1312104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1312107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312146 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312168 */     // GIR_Coverage, 13724,
     /* 1312168 */     GIR_EraseRootFromParent_Done,
     /* 1312169 */   // Label 18778: @1312169
     /* 1312169 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1312250), // Rule ID 13725 //
     /* 1312174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312249 */     // GIR_Coverage, 13725,
     /* 1312249 */     GIR_EraseRootFromParent_Done,
     /* 1312250 */   // Label 18779: @1312250
     /* 1312250 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1312331), // Rule ID 13726 //
     /* 1312255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312330 */     // GIR_Coverage, 13726,
     /* 1312330 */     GIR_EraseRootFromParent_Done,
     /* 1312331 */   // Label 18780: @1312331
     /* 1312331 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1312412), // Rule ID 13727 //
     /* 1312336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312411 */     // GIR_Coverage, 13727,
     /* 1312411 */     GIR_EraseRootFromParent_Done,
     /* 1312412 */   // Label 18781: @1312412
     /* 1312412 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1312493), // Rule ID 13728 //
     /* 1312417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312492 */     // GIR_Coverage, 13728,
     /* 1312492 */     GIR_EraseRootFromParent_Done,
     /* 1312493 */   // Label 18782: @1312493
     /* 1312493 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1312574), // Rule ID 13729 //
     /* 1312498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312551 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312573 */     // GIR_Coverage, 13729,
     /* 1312573 */     GIR_EraseRootFromParent_Done,
     /* 1312574 */   // Label 18783: @1312574
     /* 1312574 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1312655), // Rule ID 13730 //
     /* 1312579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1312632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312654 */     // GIR_Coverage, 13730,
     /* 1312654 */     GIR_EraseRootFromParent_Done,
     /* 1312655 */   // Label 18784: @1312655
     /* 1312655 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1312736), // Rule ID 13731 //
     /* 1312660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1312671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1312674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312735 */     // GIR_Coverage, 13731,
     /* 1312735 */     GIR_EraseRootFromParent_Done,
     /* 1312736 */   // Label 18785: @1312736
     /* 1312736 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1312817), // Rule ID 13732 //
     /* 1312741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1312752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1312755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1312794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312816 */     // GIR_Coverage, 13732,
     /* 1312816 */     GIR_EraseRootFromParent_Done,
     /* 1312817 */   // Label 18786: @1312817
     /* 1312817 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1312898), // Rule ID 13733 //
     /* 1312822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1312833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1312836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1312875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312897 */     // GIR_Coverage, 13733,
     /* 1312897 */     GIR_EraseRootFromParent_Done,
     /* 1312898 */   // Label 18787: @1312898
     /* 1312898 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1312979), // Rule ID 13734 //
     /* 1312903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1312914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1312917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1312956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312978 */     // GIR_Coverage, 13734,
     /* 1312978 */     GIR_EraseRootFromParent_Done,
     /* 1312979 */   // Label 18788: @1312979
     /* 1312979 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1313060), // Rule ID 13735 //
     /* 1312984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1312995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1312998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313037 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313059 */     // GIR_Coverage, 13735,
     /* 1313059 */     GIR_EraseRootFromParent_Done,
     /* 1313060 */   // Label 18789: @1313060
     /* 1313060 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1313141), // Rule ID 13736 //
     /* 1313065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313140 */     // GIR_Coverage, 13736,
     /* 1313140 */     GIR_EraseRootFromParent_Done,
     /* 1313141 */   // Label 18790: @1313141
     /* 1313141 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1313222), // Rule ID 13737 //
     /* 1313146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313221 */     // GIR_Coverage, 13737,
     /* 1313221 */     GIR_EraseRootFromParent_Done,
     /* 1313222 */   // Label 18791: @1313222
     /* 1313222 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1313303), // Rule ID 13738 //
     /* 1313227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313302 */     // GIR_Coverage, 13738,
     /* 1313302 */     GIR_EraseRootFromParent_Done,
     /* 1313303 */   // Label 18792: @1313303
     /* 1313303 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1313384), // Rule ID 13739 //
     /* 1313308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313383 */     // GIR_Coverage, 13739,
     /* 1313383 */     GIR_EraseRootFromParent_Done,
     /* 1313384 */   // Label 18793: @1313384
     /* 1313384 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1313465), // Rule ID 13740 //
     /* 1313389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313464 */     // GIR_Coverage, 13740,
     /* 1313464 */     GIR_EraseRootFromParent_Done,
     /* 1313465 */   // Label 18794: @1313465
     /* 1313465 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1313546), // Rule ID 13741 //
     /* 1313470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1313523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313545 */     // GIR_Coverage, 13741,
     /* 1313545 */     GIR_EraseRootFromParent_Done,
     /* 1313546 */   // Label 18795: @1313546
     /* 1313546 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1313627), // Rule ID 13742 //
     /* 1313551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1313604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313626 */     // GIR_Coverage, 13742,
     /* 1313626 */     GIR_EraseRootFromParent_Done,
     /* 1313627 */   // Label 18796: @1313627
     /* 1313627 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1313708), // Rule ID 13743 //
     /* 1313632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1313643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1313646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313685 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313707 */     // GIR_Coverage, 13743,
     /* 1313707 */     GIR_EraseRootFromParent_Done,
     /* 1313708 */   // Label 18797: @1313708
     /* 1313708 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1313789), // Rule ID 13744 //
     /* 1313713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1313724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1313727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313788 */     // GIR_Coverage, 13744,
     /* 1313788 */     GIR_EraseRootFromParent_Done,
     /* 1313789 */   // Label 18798: @1313789
     /* 1313789 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1313870), // Rule ID 13745 //
     /* 1313794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1313805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1313808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313847 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313869 */     // GIR_Coverage, 13745,
     /* 1313869 */     GIR_EraseRootFromParent_Done,
     /* 1313870 */   // Label 18799: @1313870
     /* 1313870 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1313951), // Rule ID 13746 //
     /* 1313875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1313886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1313889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313928 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313950 */     // GIR_Coverage, 13746,
     /* 1313950 */     GIR_EraseRootFromParent_Done,
     /* 1313951 */   // Label 18800: @1313951
     /* 1313951 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1314032), // Rule ID 13747 //
     /* 1313956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1313967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1313970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1313973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1313976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1313979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314009 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314031 */     // GIR_Coverage, 13747,
     /* 1314031 */     GIR_EraseRootFromParent_Done,
     /* 1314032 */   // Label 18801: @1314032
     /* 1314032 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1314113), // Rule ID 13748 //
     /* 1314037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1314048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1314051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314090 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314112 */     // GIR_Coverage, 13748,
     /* 1314112 */     GIR_EraseRootFromParent_Done,
     /* 1314113 */   // Label 18802: @1314113
     /* 1314113 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1314194), // Rule ID 13749 //
     /* 1314118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314193 */     // GIR_Coverage, 13749,
     /* 1314193 */     GIR_EraseRootFromParent_Done,
     /* 1314194 */   // Label 18803: @1314194
     /* 1314194 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1314275), // Rule ID 13750 //
     /* 1314199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314274 */     // GIR_Coverage, 13750,
     /* 1314274 */     GIR_EraseRootFromParent_Done,
     /* 1314275 */   // Label 18804: @1314275
     /* 1314275 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1314356), // Rule ID 13751 //
     /* 1314280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314355 */     // GIR_Coverage, 13751,
     /* 1314355 */     GIR_EraseRootFromParent_Done,
     /* 1314356 */   // Label 18805: @1314356
     /* 1314356 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1314437), // Rule ID 13752 //
     /* 1314361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314436 */     // GIR_Coverage, 13752,
     /* 1314436 */     GIR_EraseRootFromParent_Done,
     /* 1314437 */   // Label 18806: @1314437
     /* 1314437 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1314518), // Rule ID 13753 //
     /* 1314442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314495 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314517 */     // GIR_Coverage, 13753,
     /* 1314517 */     GIR_EraseRootFromParent_Done,
     /* 1314518 */   // Label 18807: @1314518
     /* 1314518 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1314599), // Rule ID 13754 //
     /* 1314523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314598 */     // GIR_Coverage, 13754,
     /* 1314598 */     GIR_EraseRootFromParent_Done,
     /* 1314599 */   // Label 18808: @1314599
     /* 1314599 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1314680), // Rule ID 13755 //
     /* 1314604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1314615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1314618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1314657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314679 */     // GIR_Coverage, 13755,
     /* 1314679 */     GIR_EraseRootFromParent_Done,
     /* 1314680 */   // Label 18809: @1314680
     /* 1314680 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1314761), // Rule ID 13756 //
     /* 1314685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1314696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1314699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1314738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314760 */     // GIR_Coverage, 13756,
     /* 1314760 */     GIR_EraseRootFromParent_Done,
     /* 1314761 */   // Label 18810: @1314761
     /* 1314761 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1314842), // Rule ID 13757 //
     /* 1314766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1314777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1314780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1314819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314841 */     // GIR_Coverage, 13757,
     /* 1314841 */     GIR_EraseRootFromParent_Done,
     /* 1314842 */   // Label 18811: @1314842
     /* 1314842 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1314923), // Rule ID 13758 //
     /* 1314847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1314858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1314861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1314900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314922 */     // GIR_Coverage, 13758,
     /* 1314922 */     GIR_EraseRootFromParent_Done,
     /* 1314923 */   // Label 18812: @1314923
     /* 1314923 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1315004), // Rule ID 13759 //
     /* 1314928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1314939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1314942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1314945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1314948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314981 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1314981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315003 */     // GIR_Coverage, 13759,
     /* 1315003 */     GIR_EraseRootFromParent_Done,
     /* 1315004 */   // Label 18813: @1315004
     /* 1315004 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1315085), // Rule ID 13760 //
     /* 1315009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1315020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1315023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315084 */     // GIR_Coverage, 13760,
     /* 1315084 */     GIR_EraseRootFromParent_Done,
     /* 1315085 */   // Label 18814: @1315085
     /* 1315085 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1315166), // Rule ID 13761 //
     /* 1315090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315165 */     // GIR_Coverage, 13761,
     /* 1315165 */     GIR_EraseRootFromParent_Done,
     /* 1315166 */   // Label 18815: @1315166
     /* 1315166 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1315247), // Rule ID 13762 //
     /* 1315171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315246 */     // GIR_Coverage, 13762,
     /* 1315246 */     GIR_EraseRootFromParent_Done,
     /* 1315247 */   // Label 18816: @1315247
     /* 1315247 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1315328), // Rule ID 13763 //
     /* 1315252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315327 */     // GIR_Coverage, 13763,
     /* 1315327 */     GIR_EraseRootFromParent_Done,
     /* 1315328 */   // Label 18817: @1315328
     /* 1315328 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1315409), // Rule ID 13764 //
     /* 1315333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315408 */     // GIR_Coverage, 13764,
     /* 1315408 */     GIR_EraseRootFromParent_Done,
     /* 1315409 */   // Label 18818: @1315409
     /* 1315409 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1315490), // Rule ID 13765 //
     /* 1315414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315489 */     // GIR_Coverage, 13765,
     /* 1315489 */     GIR_EraseRootFromParent_Done,
     /* 1315490 */   // Label 18819: @1315490
     /* 1315490 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1315571), // Rule ID 13766 //
     /* 1315495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315570 */     // GIR_Coverage, 13766,
     /* 1315570 */     GIR_EraseRootFromParent_Done,
     /* 1315571 */   // Label 18820: @1315571
     /* 1315571 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1315652), // Rule ID 13767 //
     /* 1315576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1315587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1315590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315629 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1315629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1315632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315651 */     // GIR_Coverage, 13767,
     /* 1315651 */     GIR_EraseRootFromParent_Done,
     /* 1315652 */   // Label 18821: @1315652
     /* 1315652 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1315733), // Rule ID 13768 //
     /* 1315657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1315668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1315671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315710 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1315710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1315713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315732 */     // GIR_Coverage, 13768,
     /* 1315732 */     GIR_EraseRootFromParent_Done,
     /* 1315733 */   // Label 18822: @1315733
     /* 1315733 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1315814), // Rule ID 13769 //
     /* 1315738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1315749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1315752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1315791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1315794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315813 */     // GIR_Coverage, 13769,
     /* 1315813 */     GIR_EraseRootFromParent_Done,
     /* 1315814 */   // Label 18823: @1315814
     /* 1315814 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1315895), // Rule ID 13770 //
     /* 1315819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1315830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1315833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1315872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1315875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315894 */     // GIR_Coverage, 13770,
     /* 1315894 */     GIR_EraseRootFromParent_Done,
     /* 1315895 */   // Label 18824: @1315895
     /* 1315895 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1315976), // Rule ID 13771 //
     /* 1315900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1315911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1315914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315953 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1315953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1315956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315975 */     // GIR_Coverage, 13771,
     /* 1315975 */     GIR_EraseRootFromParent_Done,
     /* 1315976 */   // Label 18825: @1315976
     /* 1315976 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1316057), // Rule ID 13772 //
     /* 1315981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1315992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1315995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316056 */     // GIR_Coverage, 13772,
     /* 1316056 */     GIR_EraseRootFromParent_Done,
     /* 1316057 */   // Label 18826: @1316057
     /* 1316057 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1316138), // Rule ID 13773 //
     /* 1316062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316115 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316137 */     // GIR_Coverage, 13773,
     /* 1316137 */     GIR_EraseRootFromParent_Done,
     /* 1316138 */   // Label 18827: @1316138
     /* 1316138 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1316219), // Rule ID 13774 //
     /* 1316143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316218 */     // GIR_Coverage, 13774,
     /* 1316218 */     GIR_EraseRootFromParent_Done,
     /* 1316219 */   // Label 18828: @1316219
     /* 1316219 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1316300), // Rule ID 13775 //
     /* 1316224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316299 */     // GIR_Coverage, 13775,
     /* 1316299 */     GIR_EraseRootFromParent_Done,
     /* 1316300 */   // Label 18829: @1316300
     /* 1316300 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1316381), // Rule ID 13776 //
     /* 1316305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316358 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316380 */     // GIR_Coverage, 13776,
     /* 1316380 */     GIR_EraseRootFromParent_Done,
     /* 1316381 */   // Label 18830: @1316381
     /* 1316381 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1316462), // Rule ID 13777 //
     /* 1316386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316439 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1316439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316461 */     // GIR_Coverage, 13777,
     /* 1316461 */     GIR_EraseRootFromParent_Done,
     /* 1316462 */   // Label 18831: @1316462
     /* 1316462 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1316543), // Rule ID 13778 //
     /* 1316467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1316520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316542 */     // GIR_Coverage, 13778,
     /* 1316542 */     GIR_EraseRootFromParent_Done,
     /* 1316543 */   // Label 18832: @1316543
     /* 1316543 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1316624), // Rule ID 13779 //
     /* 1316548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1316559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1316562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316601 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316623 */     // GIR_Coverage, 13779,
     /* 1316623 */     GIR_EraseRootFromParent_Done,
     /* 1316624 */   // Label 18833: @1316624
     /* 1316624 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1316705), // Rule ID 13780 //
     /* 1316629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1316640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1316643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316682 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316704 */     // GIR_Coverage, 13780,
     /* 1316704 */     GIR_EraseRootFromParent_Done,
     /* 1316705 */   // Label 18834: @1316705
     /* 1316705 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1316786), // Rule ID 13781 //
     /* 1316710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1316721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1316724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316763 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316785 */     // GIR_Coverage, 13781,
     /* 1316785 */     GIR_EraseRootFromParent_Done,
     /* 1316786 */   // Label 18835: @1316786
     /* 1316786 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1316867), // Rule ID 13782 //
     /* 1316791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1316802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1316805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316866 */     // GIR_Coverage, 13782,
     /* 1316866 */     GIR_EraseRootFromParent_Done,
     /* 1316867 */   // Label 18836: @1316867
     /* 1316867 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1316948), // Rule ID 13783 //
     /* 1316872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1316925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316947 */     // GIR_Coverage, 13783,
     /* 1316947 */     GIR_EraseRootFromParent_Done,
     /* 1316948 */   // Label 18837: @1316948
     /* 1316948 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1317029), // Rule ID 13784 //
     /* 1316953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317028 */     // GIR_Coverage, 13784,
     /* 1317028 */     GIR_EraseRootFromParent_Done,
     /* 1317029 */   // Label 18838: @1317029
     /* 1317029 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1317110), // Rule ID 13785 //
     /* 1317034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1317087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317109 */     // GIR_Coverage, 13785,
     /* 1317109 */     GIR_EraseRootFromParent_Done,
     /* 1317110 */   // Label 18839: @1317110
     /* 1317110 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1317191), // Rule ID 13786 //
     /* 1317115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1317168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317190 */     // GIR_Coverage, 13786,
     /* 1317190 */     GIR_EraseRootFromParent_Done,
     /* 1317191 */   // Label 18840: @1317191
     /* 1317191 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1317272), // Rule ID 13787 //
     /* 1317196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317249 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317271 */     // GIR_Coverage, 13787,
     /* 1317271 */     GIR_EraseRootFromParent_Done,
     /* 1317272 */   // Label 18841: @1317272
     /* 1317272 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1317353), // Rule ID 13788 //
     /* 1317277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317352 */     // GIR_Coverage, 13788,
     /* 1317352 */     GIR_EraseRootFromParent_Done,
     /* 1317353 */   // Label 18842: @1317353
     /* 1317353 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1317434), // Rule ID 13789 //
     /* 1317358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317411 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317433 */     // GIR_Coverage, 13789,
     /* 1317433 */     GIR_EraseRootFromParent_Done,
     /* 1317434 */   // Label 18843: @1317434
     /* 1317434 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1317515), // Rule ID 13790 //
     /* 1317439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317514 */     // GIR_Coverage, 13790,
     /* 1317514 */     GIR_EraseRootFromParent_Done,
     /* 1317515 */   // Label 18844: @1317515
     /* 1317515 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1317596), // Rule ID 13791 //
     /* 1317520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317573 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317595 */     // GIR_Coverage, 13791,
     /* 1317595 */     GIR_EraseRootFromParent_Done,
     /* 1317596 */   // Label 18845: @1317596
     /* 1317596 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1317677), // Rule ID 13792 //
     /* 1317601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317676 */     // GIR_Coverage, 13792,
     /* 1317676 */     GIR_EraseRootFromParent_Done,
     /* 1317677 */   // Label 18846: @1317677
     /* 1317677 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1317758), // Rule ID 13793 //
     /* 1317682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1317693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1317696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317757 */     // GIR_Coverage, 13793,
     /* 1317757 */     GIR_EraseRootFromParent_Done,
     /* 1317758 */   // Label 18847: @1317758
     /* 1317758 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1317839), // Rule ID 13794 //
     /* 1317763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1317774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1317777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317838 */     // GIR_Coverage, 13794,
     /* 1317838 */     GIR_EraseRootFromParent_Done,
     /* 1317839 */   // Label 18848: @1317839
     /* 1317839 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1317920), // Rule ID 13795 //
     /* 1317844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1317855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1317858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317919 */     // GIR_Coverage, 13795,
     /* 1317919 */     GIR_EraseRootFromParent_Done,
     /* 1317920 */   // Label 18849: @1317920
     /* 1317920 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1318001), // Rule ID 13796 //
     /* 1317925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1317936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1317939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318000 */     // GIR_Coverage, 13796,
     /* 1318000 */     GIR_EraseRootFromParent_Done,
     /* 1318001 */   // Label 18850: @1318001
     /* 1318001 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1318082), // Rule ID 13797 //
     /* 1318006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318059 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318081 */     // GIR_Coverage, 13797,
     /* 1318081 */     GIR_EraseRootFromParent_Done,
     /* 1318082 */   // Label 18851: @1318082
     /* 1318082 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1318163), // Rule ID 13798 //
     /* 1318087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318140 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318162 */     // GIR_Coverage, 13798,
     /* 1318162 */     GIR_EraseRootFromParent_Done,
     /* 1318163 */   // Label 18852: @1318163
     /* 1318163 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1318244), // Rule ID 13799 //
     /* 1318168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318243 */     // GIR_Coverage, 13799,
     /* 1318243 */     GIR_EraseRootFromParent_Done,
     /* 1318244 */   // Label 18853: @1318244
     /* 1318244 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1318325), // Rule ID 13800 //
     /* 1318249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318324 */     // GIR_Coverage, 13800,
     /* 1318324 */     GIR_EraseRootFromParent_Done,
     /* 1318325 */   // Label 18854: @1318325
     /* 1318325 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1318406), // Rule ID 13801 //
     /* 1318330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318405 */     // GIR_Coverage, 13801,
     /* 1318405 */     GIR_EraseRootFromParent_Done,
     /* 1318406 */   // Label 18855: @1318406
     /* 1318406 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1318487), // Rule ID 13802 //
     /* 1318411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318464 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318486 */     // GIR_Coverage, 13802,
     /* 1318486 */     GIR_EraseRootFromParent_Done,
     /* 1318487 */   // Label 18856: @1318487
     /* 1318487 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1318568), // Rule ID 13803 //
     /* 1318492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318545 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318567 */     // GIR_Coverage, 13803,
     /* 1318567 */     GIR_EraseRootFromParent_Done,
     /* 1318568 */   // Label 18857: @1318568
     /* 1318568 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1318649), // Rule ID 13804 //
     /* 1318573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318648 */     // GIR_Coverage, 13804,
     /* 1318648 */     GIR_EraseRootFromParent_Done,
     /* 1318649 */   // Label 18858: @1318649
     /* 1318649 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1318730), // Rule ID 13805 //
     /* 1318654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1318665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1318668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1318707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318729 */     // GIR_Coverage, 13805,
     /* 1318729 */     GIR_EraseRootFromParent_Done,
     /* 1318730 */   // Label 18859: @1318730
     /* 1318730 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1318811), // Rule ID 13806 //
     /* 1318735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1318746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1318749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1318788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318810 */     // GIR_Coverage, 13806,
     /* 1318810 */     GIR_EraseRootFromParent_Done,
     /* 1318811 */   // Label 18860: @1318811
     /* 1318811 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1318892), // Rule ID 13807 //
     /* 1318816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1318827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1318830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1318869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318891 */     // GIR_Coverage, 13807,
     /* 1318891 */     GIR_EraseRootFromParent_Done,
     /* 1318892 */   // Label 18861: @1318892
     /* 1318892 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1318973), // Rule ID 13808 //
     /* 1318897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1318908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1318911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1318950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318972 */     // GIR_Coverage, 13808,
     /* 1318972 */     GIR_EraseRootFromParent_Done,
     /* 1318973 */   // Label 18862: @1318973
     /* 1318973 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1319054), // Rule ID 13809 //
     /* 1318978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1318989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1318992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319053 */     // GIR_Coverage, 13809,
     /* 1319053 */     GIR_EraseRootFromParent_Done,
     /* 1319054 */   // Label 18863: @1319054
     /* 1319054 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1319135), // Rule ID 13810 //
     /* 1319059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1319070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1319073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319134 */     // GIR_Coverage, 13810,
     /* 1319134 */     GIR_EraseRootFromParent_Done,
     /* 1319135 */   // Label 18864: @1319135
     /* 1319135 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1319219), // Rule ID 19649 //
     /* 1319140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319218 */     // GIR_Coverage, 19649,
     /* 1319218 */     GIR_EraseRootFromParent_Done,
     /* 1319219 */   // Label 18865: @1319219
     /* 1319219 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1319303), // Rule ID 19650 //
     /* 1319224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319302 */     // GIR_Coverage, 19650,
     /* 1319302 */     GIR_EraseRootFromParent_Done,
     /* 1319303 */   // Label 18866: @1319303
     /* 1319303 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1319387), // Rule ID 19653 //
     /* 1319308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319361 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319386 */     // GIR_Coverage, 19653,
     /* 1319386 */     GIR_EraseRootFromParent_Done,
     /* 1319387 */   // Label 18867: @1319387
     /* 1319387 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1319471), // Rule ID 19654 //
     /* 1319392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319445 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319470 */     // GIR_Coverage, 19654,
     /* 1319470 */     GIR_EraseRootFromParent_Done,
     /* 1319471 */   // Label 18868: @1319471
     /* 1319471 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1319555), // Rule ID 19657 //
     /* 1319476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319529 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319554 */     // GIR_Coverage, 19657,
     /* 1319554 */     GIR_EraseRootFromParent_Done,
     /* 1319555 */   // Label 18869: @1319555
     /* 1319555 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1319639), // Rule ID 19658 //
     /* 1319560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319613 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319638 */     // GIR_Coverage, 19658,
     /* 1319638 */     GIR_EraseRootFromParent_Done,
     /* 1319639 */   // Label 18870: @1319639
     /* 1319639 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1319723), // Rule ID 19661 //
     /* 1319644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1319661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1319664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319722 */     // GIR_Coverage, 19661,
     /* 1319722 */     GIR_EraseRootFromParent_Done,
     /* 1319723 */   // Label 18871: @1319723
     /* 1319723 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1319807), // Rule ID 19662 //
     /* 1319728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1319745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1319748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319806 */     // GIR_Coverage, 19662,
     /* 1319806 */     GIR_EraseRootFromParent_Done,
     /* 1319807 */   // Label 18872: @1319807
     /* 1319807 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1319891), // Rule ID 19665 //
     /* 1319812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319865 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319890 */     // GIR_Coverage, 19665,
     /* 1319890 */     GIR_EraseRootFromParent_Done,
     /* 1319891 */   // Label 18873: @1319891
     /* 1319891 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1319975), // Rule ID 19666 //
     /* 1319896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319949 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319974 */     // GIR_Coverage, 19666,
     /* 1319974 */     GIR_EraseRootFromParent_Done,
     /* 1319975 */   // Label 18874: @1319975
     /* 1319975 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1320059), // Rule ID 19669 //
     /* 1319980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1319983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1319997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320058 */     // GIR_Coverage, 19669,
     /* 1320058 */     GIR_EraseRootFromParent_Done,
     /* 1320059 */   // Label 18875: @1320059
     /* 1320059 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1320143), // Rule ID 19670 //
     /* 1320064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320142 */     // GIR_Coverage, 19670,
     /* 1320142 */     GIR_EraseRootFromParent_Done,
     /* 1320143 */   // Label 18876: @1320143
     /* 1320143 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1320227), // Rule ID 19673 //
     /* 1320148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320201 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320226 */     // GIR_Coverage, 19673,
     /* 1320226 */     GIR_EraseRootFromParent_Done,
     /* 1320227 */   // Label 18877: @1320227
     /* 1320227 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1320311), // Rule ID 19674 //
     /* 1320232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320285 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320310 */     // GIR_Coverage, 19674,
     /* 1320310 */     GIR_EraseRootFromParent_Done,
     /* 1320311 */   // Label 18878: @1320311
     /* 1320311 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1320395), // Rule ID 19677 //
     /* 1320316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320394 */     // GIR_Coverage, 19677,
     /* 1320394 */     GIR_EraseRootFromParent_Done,
     /* 1320395 */   // Label 18879: @1320395
     /* 1320395 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1320479), // Rule ID 19678 //
     /* 1320400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320453 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320478 */     // GIR_Coverage, 19678,
     /* 1320478 */     GIR_EraseRootFromParent_Done,
     /* 1320479 */   // Label 18880: @1320479
     /* 1320479 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1320563), // Rule ID 19681 //
     /* 1320484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320537 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320562 */     // GIR_Coverage, 19681,
     /* 1320562 */     GIR_EraseRootFromParent_Done,
     /* 1320563 */   // Label 18881: @1320563
     /* 1320563 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1320647), // Rule ID 19682 //
     /* 1320568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320621 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320646 */     // GIR_Coverage, 19682,
     /* 1320646 */     GIR_EraseRootFromParent_Done,
     /* 1320647 */   // Label 18882: @1320647
     /* 1320647 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1320731), // Rule ID 19685 //
     /* 1320652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1320669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1320672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320730 */     // GIR_Coverage, 19685,
     /* 1320730 */     GIR_EraseRootFromParent_Done,
     /* 1320731 */   // Label 18883: @1320731
     /* 1320731 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1320815), // Rule ID 19686 //
     /* 1320736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1320753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1320756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320814 */     // GIR_Coverage, 19686,
     /* 1320814 */     GIR_EraseRootFromParent_Done,
     /* 1320815 */   // Label 18884: @1320815
     /* 1320815 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1320899), // Rule ID 19689 //
     /* 1320820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1320837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1320840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320898 */     // GIR_Coverage, 19689,
     /* 1320898 */     GIR_EraseRootFromParent_Done,
     /* 1320899 */   // Label 18885: @1320899
     /* 1320899 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1320983), // Rule ID 19690 //
     /* 1320904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1320921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1320924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320957 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320982 */     // GIR_Coverage, 19690,
     /* 1320982 */     GIR_EraseRootFromParent_Done,
     /* 1320983 */   // Label 18886: @1320983
     /* 1320983 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1321067), // Rule ID 19693 //
     /* 1320988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321066 */     // GIR_Coverage, 19693,
     /* 1321066 */     GIR_EraseRootFromParent_Done,
     /* 1321067 */   // Label 18887: @1321067
     /* 1321067 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1321151), // Rule ID 19694 //
     /* 1321072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321125 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321150 */     // GIR_Coverage, 19694,
     /* 1321150 */     GIR_EraseRootFromParent_Done,
     /* 1321151 */   // Label 18888: @1321151
     /* 1321151 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1321235), // Rule ID 19697 //
     /* 1321156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321234 */     // GIR_Coverage, 19697,
     /* 1321234 */     GIR_EraseRootFromParent_Done,
     /* 1321235 */   // Label 18889: @1321235
     /* 1321235 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1321319), // Rule ID 19698 //
     /* 1321240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321318 */     // GIR_Coverage, 19698,
     /* 1321318 */     GIR_EraseRootFromParent_Done,
     /* 1321319 */   // Label 18890: @1321319
     /* 1321319 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1321403), // Rule ID 19701 //
     /* 1321324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321402 */     // GIR_Coverage, 19701,
     /* 1321402 */     GIR_EraseRootFromParent_Done,
     /* 1321403 */   // Label 18891: @1321403
     /* 1321403 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1321487), // Rule ID 19702 //
     /* 1321408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321486 */     // GIR_Coverage, 19702,
     /* 1321486 */     GIR_EraseRootFromParent_Done,
     /* 1321487 */   // Label 18892: @1321487
     /* 1321487 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1321571), // Rule ID 19705 //
     /* 1321492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321545 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321570 */     // GIR_Coverage, 19705,
     /* 1321570 */     GIR_EraseRootFromParent_Done,
     /* 1321571 */   // Label 18893: @1321571
     /* 1321571 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1321655), // Rule ID 19706 //
     /* 1321576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321654 */     // GIR_Coverage, 19706,
     /* 1321654 */     GIR_EraseRootFromParent_Done,
     /* 1321655 */   // Label 18894: @1321655
     /* 1321655 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1321739), // Rule ID 19709 //
     /* 1321660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1321677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321713 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1321716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321738 */     // GIR_Coverage, 19709,
     /* 1321738 */     GIR_EraseRootFromParent_Done,
     /* 1321739 */   // Label 18895: @1321739
     /* 1321739 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1321823), // Rule ID 19710 //
     /* 1321744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1321761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321797 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1321800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321822 */     // GIR_Coverage, 19710,
     /* 1321822 */     GIR_EraseRootFromParent_Done,
     /* 1321823 */   // Label 18896: @1321823
     /* 1321823 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1321907), // Rule ID 19713 //
     /* 1321828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1321845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321881 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1321884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321906 */     // GIR_Coverage, 19713,
     /* 1321906 */     GIR_EraseRootFromParent_Done,
     /* 1321907 */   // Label 18897: @1321907
     /* 1321907 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1321991), // Rule ID 19714 //
     /* 1321912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1321929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1321968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321990 */     // GIR_Coverage, 19714,
     /* 1321990 */     GIR_EraseRootFromParent_Done,
     /* 1321991 */   // Label 18898: @1321991
     /* 1321991 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1322075), // Rule ID 19717 //
     /* 1321996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322049 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322074 */     // GIR_Coverage, 19717,
     /* 1322074 */     GIR_EraseRootFromParent_Done,
     /* 1322075 */   // Label 18899: @1322075
     /* 1322075 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1322159), // Rule ID 19718 //
     /* 1322080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322133 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322158 */     // GIR_Coverage, 19718,
     /* 1322158 */     GIR_EraseRootFromParent_Done,
     /* 1322159 */   // Label 18900: @1322159
     /* 1322159 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1322243), // Rule ID 19721 //
     /* 1322164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322217 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322242 */     // GIR_Coverage, 19721,
     /* 1322242 */     GIR_EraseRootFromParent_Done,
     /* 1322243 */   // Label 18901: @1322243
     /* 1322243 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1322327), // Rule ID 19722 //
     /* 1322248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322326 */     // GIR_Coverage, 19722,
     /* 1322326 */     GIR_EraseRootFromParent_Done,
     /* 1322327 */   // Label 18902: @1322327
     /* 1322327 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1322411), // Rule ID 19725 //
     /* 1322332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322385 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322410 */     // GIR_Coverage, 19725,
     /* 1322410 */     GIR_EraseRootFromParent_Done,
     /* 1322411 */   // Label 18903: @1322411
     /* 1322411 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1322495), // Rule ID 19726 //
     /* 1322416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322469 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322494 */     // GIR_Coverage, 19726,
     /* 1322494 */     GIR_EraseRootFromParent_Done,
     /* 1322495 */   // Label 18904: @1322495
     /* 1322495 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1322579), // Rule ID 19729 //
     /* 1322500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322553 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1322556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322578 */     // GIR_Coverage, 19729,
     /* 1322578 */     GIR_EraseRootFromParent_Done,
     /* 1322579 */   // Label 18905: @1322579
     /* 1322579 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1322663), // Rule ID 19730 //
     /* 1322584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1322640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322662 */     // GIR_Coverage, 19730,
     /* 1322662 */     GIR_EraseRootFromParent_Done,
     /* 1322663 */   // Label 18906: @1322663
     /* 1322663 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1322747), // Rule ID 19733 //
     /* 1322668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1322685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322721 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1322724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322746 */     // GIR_Coverage, 19733,
     /* 1322746 */     GIR_EraseRootFromParent_Done,
     /* 1322747 */   // Label 18907: @1322747
     /* 1322747 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1322831), // Rule ID 19734 //
     /* 1322752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1322769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322805 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1322808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322830 */     // GIR_Coverage, 19734,
     /* 1322830 */     GIR_EraseRootFromParent_Done,
     /* 1322831 */   // Label 18908: @1322831
     /* 1322831 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1322915), // Rule ID 19737 //
     /* 1322836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322889 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1322892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322914 */     // GIR_Coverage, 19737,
     /* 1322914 */     GIR_EraseRootFromParent_Done,
     /* 1322915 */   // Label 18909: @1322915
     /* 1322915 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1322999), // Rule ID 19738 //
     /* 1322920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322973 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1322976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322998 */     // GIR_Coverage, 19738,
     /* 1322998 */     GIR_EraseRootFromParent_Done,
     /* 1322999 */   // Label 18910: @1322999
     /* 1322999 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1323083), // Rule ID 19741 //
     /* 1323004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1323015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1323018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1323021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1323027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323057 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323082 */     // GIR_Coverage, 19741,
     /* 1323082 */     GIR_EraseRootFromParent_Done,
     /* 1323083 */   // Label 18911: @1323083
     /* 1323083 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1323167), // Rule ID 19742 //
     /* 1323088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1323099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1323102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1323105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1323111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323141 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323166 */     // GIR_Coverage, 19742,
     /* 1323166 */     GIR_EraseRootFromParent_Done,
     /* 1323167 */   // Label 18912: @1323167
     /* 1323167 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1323251), // Rule ID 19745 //
     /* 1323172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323225 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323250 */     // GIR_Coverage, 19745,
     /* 1323250 */     GIR_EraseRootFromParent_Done,
     /* 1323251 */   // Label 18913: @1323251
     /* 1323251 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1323335), // Rule ID 19746 //
     /* 1323256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323309 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323334 */     // GIR_Coverage, 19746,
     /* 1323334 */     GIR_EraseRootFromParent_Done,
     /* 1323335 */   // Label 18914: @1323335
     /* 1323335 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1323419), // Rule ID 19749 //
     /* 1323340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323418 */     // GIR_Coverage, 19749,
     /* 1323418 */     GIR_EraseRootFromParent_Done,
     /* 1323419 */   // Label 18915: @1323419
     /* 1323419 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1323503), // Rule ID 19750 //
     /* 1323424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323502 */     // GIR_Coverage, 19750,
     /* 1323502 */     GIR_EraseRootFromParent_Done,
     /* 1323503 */   // Label 18916: @1323503
     /* 1323503 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1323587), // Rule ID 19753 //
     /* 1323508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323561 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1323564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323586 */     // GIR_Coverage, 19753,
     /* 1323586 */     GIR_EraseRootFromParent_Done,
     /* 1323587 */   // Label 18917: @1323587
     /* 1323587 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1323671), // Rule ID 19754 //
     /* 1323592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1323648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323670 */     // GIR_Coverage, 19754,
     /* 1323670 */     GIR_EraseRootFromParent_Done,
     /* 1323671 */   // Label 18918: @1323671
     /* 1323671 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1323755), // Rule ID 19757 //
     /* 1323676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1323679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1323693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323729 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1323732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323754 */     // GIR_Coverage, 19757,
     /* 1323754 */     GIR_EraseRootFromParent_Done,
     /* 1323755 */   // Label 18919: @1323755
     /* 1323755 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1323839), // Rule ID 19758 //
     /* 1323760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1323763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1323777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1323816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323838 */     // GIR_Coverage, 19758,
     /* 1323838 */     GIR_EraseRootFromParent_Done,
     /* 1323839 */   // Label 18920: @1323839
     /* 1323839 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1323923), // Rule ID 19761 //
     /* 1323844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1323847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323897 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1323900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323922 */     // GIR_Coverage, 19761,
     /* 1323922 */     GIR_EraseRootFromParent_Done,
     /* 1323923 */   // Label 18921: @1323923
     /* 1323923 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1324007), // Rule ID 19762 //
     /* 1323928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1323931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323981 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1323984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324006 */     // GIR_Coverage, 19762,
     /* 1324006 */     GIR_EraseRootFromParent_Done,
     /* 1324007 */   // Label 18922: @1324007
     /* 1324007 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1324091), // Rule ID 19765 //
     /* 1324012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1324029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324090 */     // GIR_Coverage, 19765,
     /* 1324090 */     GIR_EraseRootFromParent_Done,
     /* 1324091 */   // Label 18923: @1324091
     /* 1324091 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1324175), // Rule ID 19766 //
     /* 1324096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1324113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324174 */     // GIR_Coverage, 19766,
     /* 1324174 */     GIR_EraseRootFromParent_Done,
     /* 1324175 */   // Label 18924: @1324175
     /* 1324175 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1324259), // Rule ID 19769 //
     /* 1324180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324233 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324258 */     // GIR_Coverage, 19769,
     /* 1324258 */     GIR_EraseRootFromParent_Done,
     /* 1324259 */   // Label 18925: @1324259
     /* 1324259 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1324343), // Rule ID 19770 //
     /* 1324264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324342 */     // GIR_Coverage, 19770,
     /* 1324342 */     GIR_EraseRootFromParent_Done,
     /* 1324343 */   // Label 18926: @1324343
     /* 1324343 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1324427), // Rule ID 19773 //
     /* 1324348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324426 */     // GIR_Coverage, 19773,
     /* 1324426 */     GIR_EraseRootFromParent_Done,
     /* 1324427 */   // Label 18927: @1324427
     /* 1324427 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1324511), // Rule ID 19774 //
     /* 1324432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324485 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324510 */     // GIR_Coverage, 19774,
     /* 1324510 */     GIR_EraseRootFromParent_Done,
     /* 1324511 */   // Label 18928: @1324511
     /* 1324511 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1324595), // Rule ID 19777 //
     /* 1324516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324569 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324594 */     // GIR_Coverage, 19777,
     /* 1324594 */     GIR_EraseRootFromParent_Done,
     /* 1324595 */   // Label 18929: @1324595
     /* 1324595 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1324679), // Rule ID 19778 //
     /* 1324600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324678 */     // GIR_Coverage, 19778,
     /* 1324678 */     GIR_EraseRootFromParent_Done,
     /* 1324679 */   // Label 18930: @1324679
     /* 1324679 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1324763), // Rule ID 19781 //
     /* 1324684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324762 */     // GIR_Coverage, 19781,
     /* 1324762 */     GIR_EraseRootFromParent_Done,
     /* 1324763 */   // Label 18931: @1324763
     /* 1324763 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1324847), // Rule ID 19782 //
     /* 1324768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324846 */     // GIR_Coverage, 19782,
     /* 1324846 */     GIR_EraseRootFromParent_Done,
     /* 1324847 */   // Label 18932: @1324847
     /* 1324847 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1324931), // Rule ID 19785 //
     /* 1324852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324930 */     // GIR_Coverage, 19785,
     /* 1324930 */     GIR_EraseRootFromParent_Done,
     /* 1324931 */   // Label 18933: @1324931
     /* 1324931 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1325015), // Rule ID 19786 //
     /* 1324936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324989 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325014 */     // GIR_Coverage, 19786,
     /* 1325014 */     GIR_EraseRootFromParent_Done,
     /* 1325015 */   // Label 18934: @1325015
     /* 1325015 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1325099), // Rule ID 19789 //
     /* 1325020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1325037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325073 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325098 */     // GIR_Coverage, 19789,
     /* 1325098 */     GIR_EraseRootFromParent_Done,
     /* 1325099 */   // Label 18935: @1325099
     /* 1325099 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1325183), // Rule ID 19790 //
     /* 1325104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1325121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325182 */     // GIR_Coverage, 19790,
     /* 1325182 */     GIR_EraseRootFromParent_Done,
     /* 1325183 */   // Label 18936: @1325183
     /* 1325183 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1325267), // Rule ID 19793 //
     /* 1325188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325241 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325266 */     // GIR_Coverage, 19793,
     /* 1325266 */     GIR_EraseRootFromParent_Done,
     /* 1325267 */   // Label 18937: @1325267
     /* 1325267 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1325351), // Rule ID 19794 //
     /* 1325272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325350 */     // GIR_Coverage, 19794,
     /* 1325350 */     GIR_EraseRootFromParent_Done,
     /* 1325351 */   // Label 18938: @1325351
     /* 1325351 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1325435), // Rule ID 19797 //
     /* 1325356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325409 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325434 */     // GIR_Coverage, 19797,
     /* 1325434 */     GIR_EraseRootFromParent_Done,
     /* 1325435 */   // Label 18939: @1325435
     /* 1325435 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1325519), // Rule ID 19798 //
     /* 1325440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325518 */     // GIR_Coverage, 19798,
     /* 1325518 */     GIR_EraseRootFromParent_Done,
     /* 1325519 */   // Label 18940: @1325519
     /* 1325519 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1325603), // Rule ID 19801 //
     /* 1325524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325577 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325602 */     // GIR_Coverage, 19801,
     /* 1325602 */     GIR_EraseRootFromParent_Done,
     /* 1325603 */   // Label 18941: @1325603
     /* 1325603 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1325687), // Rule ID 19802 //
     /* 1325608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325661 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325686 */     // GIR_Coverage, 19802,
     /* 1325686 */     GIR_EraseRootFromParent_Done,
     /* 1325687 */   // Label 18942: @1325687
     /* 1325687 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1325771), // Rule ID 19805 //
     /* 1325692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1325712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325745 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325770 */     // GIR_Coverage, 19805,
     /* 1325770 */     GIR_EraseRootFromParent_Done,
     /* 1325771 */   // Label 18943: @1325771
     /* 1325771 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1325855), // Rule ID 19806 //
     /* 1325776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1325796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325829 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325854 */     // GIR_Coverage, 19806,
     /* 1325854 */     GIR_EraseRootFromParent_Done,
     /* 1325855 */   // Label 18944: @1325855
     /* 1325855 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1325939), // Rule ID 19809 //
     /* 1325860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1325880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325938 */     // GIR_Coverage, 19809,
     /* 1325938 */     GIR_EraseRootFromParent_Done,
     /* 1325939 */   // Label 18945: @1325939
     /* 1325939 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1326023), // Rule ID 19810 //
     /* 1325944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1325964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325997 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326022 */     // GIR_Coverage, 19810,
     /* 1326022 */     GIR_EraseRootFromParent_Done,
     /* 1326023 */   // Label 18946: @1326023
     /* 1326023 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1326107), // Rule ID 19813 //
     /* 1326028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326106 */     // GIR_Coverage, 19813,
     /* 1326106 */     GIR_EraseRootFromParent_Done,
     /* 1326107 */   // Label 18947: @1326107
     /* 1326107 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1326191), // Rule ID 19814 //
     /* 1326112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326165 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326190 */     // GIR_Coverage, 19814,
     /* 1326190 */     GIR_EraseRootFromParent_Done,
     /* 1326191 */   // Label 18948: @1326191
     /* 1326191 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1326275), // Rule ID 19817 //
     /* 1326196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326249 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326274 */     // GIR_Coverage, 19817,
     /* 1326274 */     GIR_EraseRootFromParent_Done,
     /* 1326275 */   // Label 18949: @1326275
     /* 1326275 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1326359), // Rule ID 19818 //
     /* 1326280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326358 */     // GIR_Coverage, 19818,
     /* 1326358 */     GIR_EraseRootFromParent_Done,
     /* 1326359 */   // Label 18950: @1326359
     /* 1326359 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1326443), // Rule ID 19821 //
     /* 1326364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326442 */     // GIR_Coverage, 19821,
     /* 1326442 */     GIR_EraseRootFromParent_Done,
     /* 1326443 */   // Label 18951: @1326443
     /* 1326443 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1326527), // Rule ID 19822 //
     /* 1326448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326501 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326526 */     // GIR_Coverage, 19822,
     /* 1326526 */     GIR_EraseRootFromParent_Done,
     /* 1326527 */   // Label 18952: @1326527
     /* 1326527 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1326611), // Rule ID 19825 //
     /* 1326532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326610 */     // GIR_Coverage, 19825,
     /* 1326610 */     GIR_EraseRootFromParent_Done,
     /* 1326611 */   // Label 18953: @1326611
     /* 1326611 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1326695), // Rule ID 19826 //
     /* 1326616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326694 */     // GIR_Coverage, 19826,
     /* 1326694 */     GIR_EraseRootFromParent_Done,
     /* 1326695 */   // Label 18954: @1326695
     /* 1326695 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1326779), // Rule ID 19829 //
     /* 1326700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1326756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326778 */     // GIR_Coverage, 19829,
     /* 1326778 */     GIR_EraseRootFromParent_Done,
     /* 1326779 */   // Label 18955: @1326779
     /* 1326779 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1326863), // Rule ID 19830 //
     /* 1326784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1326840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326862 */     // GIR_Coverage, 19830,
     /* 1326862 */     GIR_EraseRootFromParent_Done,
     /* 1326863 */   // Label 18956: @1326863
     /* 1326863 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1326947), // Rule ID 19833 //
     /* 1326868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1326924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326946 */     // GIR_Coverage, 19833,
     /* 1326946 */     GIR_EraseRootFromParent_Done,
     /* 1326947 */   // Label 18957: @1326947
     /* 1326947 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1327031), // Rule ID 19834 //
     /* 1326952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1327008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327030 */     // GIR_Coverage, 19834,
     /* 1327030 */     GIR_EraseRootFromParent_Done,
     /* 1327031 */   // Label 18958: @1327031
     /* 1327031 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1327115), // Rule ID 19837 //
     /* 1327036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327114 */     // GIR_Coverage, 19837,
     /* 1327114 */     GIR_EraseRootFromParent_Done,
     /* 1327115 */   // Label 18959: @1327115
     /* 1327115 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1327199), // Rule ID 19838 //
     /* 1327120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327198 */     // GIR_Coverage, 19838,
     /* 1327198 */     GIR_EraseRootFromParent_Done,
     /* 1327199 */   // Label 18960: @1327199
     /* 1327199 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1327283), // Rule ID 19841 //
     /* 1327204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327257 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327282 */     // GIR_Coverage, 19841,
     /* 1327282 */     GIR_EraseRootFromParent_Done,
     /* 1327283 */   // Label 18961: @1327283
     /* 1327283 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1327367), // Rule ID 19842 //
     /* 1327288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327366 */     // GIR_Coverage, 19842,
     /* 1327366 */     GIR_EraseRootFromParent_Done,
     /* 1327367 */   // Label 18962: @1327367
     /* 1327367 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1327451), // Rule ID 19845 //
     /* 1327372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327425 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327450 */     // GIR_Coverage, 19845,
     /* 1327450 */     GIR_EraseRootFromParent_Done,
     /* 1327451 */   // Label 18963: @1327451
     /* 1327451 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1327535), // Rule ID 19846 //
     /* 1327456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327534 */     // GIR_Coverage, 19846,
     /* 1327534 */     GIR_EraseRootFromParent_Done,
     /* 1327535 */   // Label 18964: @1327535
     /* 1327535 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1327619), // Rule ID 19849 //
     /* 1327540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1327596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327618 */     // GIR_Coverage, 19849,
     /* 1327618 */     GIR_EraseRootFromParent_Done,
     /* 1327619 */   // Label 18965: @1327619
     /* 1327619 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1327703), // Rule ID 19850 //
     /* 1327624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1327680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327702 */     // GIR_Coverage, 19850,
     /* 1327702 */     GIR_EraseRootFromParent_Done,
     /* 1327703 */   // Label 18966: @1327703
     /* 1327703 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1327787), // Rule ID 19853 //
     /* 1327708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1327764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327786 */     // GIR_Coverage, 19853,
     /* 1327786 */     GIR_EraseRootFromParent_Done,
     /* 1327787 */   // Label 18967: @1327787
     /* 1327787 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1327871), // Rule ID 19854 //
     /* 1327792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1327848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327870 */     // GIR_Coverage, 19854,
     /* 1327870 */     GIR_EraseRootFromParent_Done,
     /* 1327871 */   // Label 18968: @1327871
     /* 1327871 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1327955), // Rule ID 19857 //
     /* 1327876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327929 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1327932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327954 */     // GIR_Coverage, 19857,
     /* 1327954 */     GIR_EraseRootFromParent_Done,
     /* 1327955 */   // Label 18969: @1327955
     /* 1327955 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1328039), // Rule ID 19858 //
     /* 1327960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328013 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1328016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328038 */     // GIR_Coverage, 19858,
     /* 1328038 */     GIR_EraseRootFromParent_Done,
     /* 1328039 */   // Label 18970: @1328039
     /* 1328039 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1328123), // Rule ID 19861 //
     /* 1328044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328097 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328122 */     // GIR_Coverage, 19861,
     /* 1328122 */     GIR_EraseRootFromParent_Done,
     /* 1328123 */   // Label 18971: @1328123
     /* 1328123 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1328207), // Rule ID 19862 //
     /* 1328128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328181 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328206 */     // GIR_Coverage, 19862,
     /* 1328206 */     GIR_EraseRootFromParent_Done,
     /* 1328207 */   // Label 18972: @1328207
     /* 1328207 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1328291), // Rule ID 19865 //
     /* 1328212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328290 */     // GIR_Coverage, 19865,
     /* 1328290 */     GIR_EraseRootFromParent_Done,
     /* 1328291 */   // Label 18973: @1328291
     /* 1328291 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1328375), // Rule ID 19866 //
     /* 1328296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328374 */     // GIR_Coverage, 19866,
     /* 1328374 */     GIR_EraseRootFromParent_Done,
     /* 1328375 */   // Label 18974: @1328375
     /* 1328375 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1328459), // Rule ID 19869 //
     /* 1328380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328433 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328458 */     // GIR_Coverage, 19869,
     /* 1328458 */     GIR_EraseRootFromParent_Done,
     /* 1328459 */   // Label 18975: @1328459
     /* 1328459 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1328543), // Rule ID 19870 //
     /* 1328464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328542 */     // GIR_Coverage, 19870,
     /* 1328542 */     GIR_EraseRootFromParent_Done,
     /* 1328543 */   // Label 18976: @1328543
     /* 1328543 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1328627), // Rule ID 19873 //
     /* 1328548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1328604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328626 */     // GIR_Coverage, 19873,
     /* 1328626 */     GIR_EraseRootFromParent_Done,
     /* 1328627 */   // Label 18977: @1328627
     /* 1328627 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1328711), // Rule ID 19874 //
     /* 1328632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328685 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1328688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328710 */     // GIR_Coverage, 19874,
     /* 1328710 */     GIR_EraseRootFromParent_Done,
     /* 1328711 */   // Label 18978: @1328711
     /* 1328711 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1328795), // Rule ID 19877 //
     /* 1328716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1328772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328794 */     // GIR_Coverage, 19877,
     /* 1328794 */     GIR_EraseRootFromParent_Done,
     /* 1328795 */   // Label 18979: @1328795
     /* 1328795 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1328879), // Rule ID 19878 //
     /* 1328800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1328856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328878 */     // GIR_Coverage, 19878,
     /* 1328878 */     GIR_EraseRootFromParent_Done,
     /* 1328879 */   // Label 18980: @1328879
     /* 1328879 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1328963), // Rule ID 19881 //
     /* 1328884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328937 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1328940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328962 */     // GIR_Coverage, 19881,
     /* 1328962 */     GIR_EraseRootFromParent_Done,
     /* 1328963 */   // Label 18981: @1328963
     /* 1328963 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1329047), // Rule ID 19882 //
     /* 1328968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1329024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329046 */     // GIR_Coverage, 19882,
     /* 1329046 */     GIR_EraseRootFromParent_Done,
     /* 1329047 */   // Label 18982: @1329047
     /* 1329047 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1329131), // Rule ID 19885 //
     /* 1329052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329130 */     // GIR_Coverage, 19885,
     /* 1329130 */     GIR_EraseRootFromParent_Done,
     /* 1329131 */   // Label 18983: @1329131
     /* 1329131 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1329215), // Rule ID 19886 //
     /* 1329136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329189 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329214 */     // GIR_Coverage, 19886,
     /* 1329214 */     GIR_EraseRootFromParent_Done,
     /* 1329215 */   // Label 18984: @1329215
     /* 1329215 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1329299), // Rule ID 19889 //
     /* 1329220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329298 */     // GIR_Coverage, 19889,
     /* 1329298 */     GIR_EraseRootFromParent_Done,
     /* 1329299 */   // Label 18985: @1329299
     /* 1329299 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1329383), // Rule ID 19890 //
     /* 1329304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329357 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329382 */     // GIR_Coverage, 19890,
     /* 1329382 */     GIR_EraseRootFromParent_Done,
     /* 1329383 */   // Label 18986: @1329383
     /* 1329383 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1329467), // Rule ID 19893 //
     /* 1329388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329466 */     // GIR_Coverage, 19893,
     /* 1329466 */     GIR_EraseRootFromParent_Done,
     /* 1329467 */   // Label 18987: @1329467
     /* 1329467 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1329551), // Rule ID 19894 //
     /* 1329472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329525 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329550 */     // GIR_Coverage, 19894,
     /* 1329550 */     GIR_EraseRootFromParent_Done,
     /* 1329551 */   // Label 18988: @1329551
     /* 1329551 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1329635), // Rule ID 19897 //
     /* 1329556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329634 */     // GIR_Coverage, 19897,
     /* 1329634 */     GIR_EraseRootFromParent_Done,
     /* 1329635 */   // Label 18989: @1329635
     /* 1329635 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1329719), // Rule ID 19898 //
     /* 1329640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329718 */     // GIR_Coverage, 19898,
     /* 1329718 */     GIR_EraseRootFromParent_Done,
     /* 1329719 */   // Label 18990: @1329719
     /* 1329719 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1329803), // Rule ID 19901 //
     /* 1329724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329777 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1329780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329802 */     // GIR_Coverage, 19901,
     /* 1329802 */     GIR_EraseRootFromParent_Done,
     /* 1329803 */   // Label 18991: @1329803
     /* 1329803 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1329887), // Rule ID 19902 //
     /* 1329808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329861 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1329864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329886 */     // GIR_Coverage, 19902,
     /* 1329886 */     GIR_EraseRootFromParent_Done,
     /* 1329887 */   // Label 18992: @1329887
     /* 1329887 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1329971), // Rule ID 19905 //
     /* 1329892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1329948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329970 */     // GIR_Coverage, 19905,
     /* 1329970 */     GIR_EraseRootFromParent_Done,
     /* 1329971 */   // Label 18993: @1329971
     /* 1329971 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1330055), // Rule ID 19906 //
     /* 1329976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330054 */     // GIR_Coverage, 19906,
     /* 1330054 */     GIR_EraseRootFromParent_Done,
     /* 1330055 */   // Label 18994: @1330055
     /* 1330055 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1330139), // Rule ID 19909 //
     /* 1330060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330113 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330138 */     // GIR_Coverage, 19909,
     /* 1330138 */     GIR_EraseRootFromParent_Done,
     /* 1330139 */   // Label 18995: @1330139
     /* 1330139 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1330223), // Rule ID 19910 //
     /* 1330144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330197 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330222 */     // GIR_Coverage, 19910,
     /* 1330222 */     GIR_EraseRootFromParent_Done,
     /* 1330223 */   // Label 18996: @1330223
     /* 1330223 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1330307), // Rule ID 19913 //
     /* 1330228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330306 */     // GIR_Coverage, 19913,
     /* 1330306 */     GIR_EraseRootFromParent_Done,
     /* 1330307 */   // Label 18997: @1330307
     /* 1330307 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1330391), // Rule ID 19914 //
     /* 1330312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330365 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330390 */     // GIR_Coverage, 19914,
     /* 1330390 */     GIR_EraseRootFromParent_Done,
     /* 1330391 */   // Label 18998: @1330391
     /* 1330391 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1330475), // Rule ID 19917 //
     /* 1330396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330449 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330474 */     // GIR_Coverage, 19917,
     /* 1330474 */     GIR_EraseRootFromParent_Done,
     /* 1330475 */   // Label 18999: @1330475
     /* 1330475 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1330559), // Rule ID 19918 //
     /* 1330480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330533 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330558 */     // GIR_Coverage, 19918,
     /* 1330558 */     GIR_EraseRootFromParent_Done,
     /* 1330559 */   // Label 19000: @1330559
     /* 1330559 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1330643), // Rule ID 19921 //
     /* 1330564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1330620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330642 */     // GIR_Coverage, 19921,
     /* 1330642 */     GIR_EraseRootFromParent_Done,
     /* 1330643 */   // Label 19001: @1330643
     /* 1330643 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1330727), // Rule ID 19922 //
     /* 1330648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330701 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1330704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330726 */     // GIR_Coverage, 19922,
     /* 1330726 */     GIR_EraseRootFromParent_Done,
     /* 1330727 */   // Label 19002: @1330727
     /* 1330727 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1330811), // Rule ID 19925 //
     /* 1330732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1330752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330810 */     // GIR_Coverage, 19925,
     /* 1330810 */     GIR_EraseRootFromParent_Done,
     /* 1330811 */   // Label 19003: @1330811
     /* 1330811 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1330895), // Rule ID 19926 //
     /* 1330816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1330836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330894 */     // GIR_Coverage, 19926,
     /* 1330894 */     GIR_EraseRootFromParent_Done,
     /* 1330895 */   // Label 19004: @1330895
     /* 1330895 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1330979), // Rule ID 19929 //
     /* 1330900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1330920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330978 */     // GIR_Coverage, 19929,
     /* 1330978 */     GIR_EraseRootFromParent_Done,
     /* 1330979 */   // Label 19005: @1330979
     /* 1330979 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1331063), // Rule ID 19930 //
     /* 1330984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1331001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1331004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331062 */     // GIR_Coverage, 19930,
     /* 1331062 */     GIR_EraseRootFromParent_Done,
     /* 1331063 */   // Label 19006: @1331063
     /* 1331063 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1331147), // Rule ID 19933 //
     /* 1331068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331121 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331146 */     // GIR_Coverage, 19933,
     /* 1331146 */     GIR_EraseRootFromParent_Done,
     /* 1331147 */   // Label 19007: @1331147
     /* 1331147 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1331231), // Rule ID 19934 //
     /* 1331152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331230 */     // GIR_Coverage, 19934,
     /* 1331230 */     GIR_EraseRootFromParent_Done,
     /* 1331231 */   // Label 19008: @1331231
     /* 1331231 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1331315), // Rule ID 19937 //
     /* 1331236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331314 */     // GIR_Coverage, 19937,
     /* 1331314 */     GIR_EraseRootFromParent_Done,
     /* 1331315 */   // Label 19009: @1331315
     /* 1331315 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1331399), // Rule ID 19938 //
     /* 1331320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331398 */     // GIR_Coverage, 19938,
     /* 1331398 */     GIR_EraseRootFromParent_Done,
     /* 1331399 */   // Label 19010: @1331399
     /* 1331399 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1331483), // Rule ID 19941 //
     /* 1331404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331482 */     // GIR_Coverage, 19941,
     /* 1331482 */     GIR_EraseRootFromParent_Done,
     /* 1331483 */   // Label 19011: @1331483
     /* 1331483 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1331567), // Rule ID 19942 //
     /* 1331488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331541 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331566 */     // GIR_Coverage, 19942,
     /* 1331566 */     GIR_EraseRootFromParent_Done,
     /* 1331567 */   // Label 19012: @1331567
     /* 1331567 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1331651), // Rule ID 19945 //
     /* 1331572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331650 */     // GIR_Coverage, 19945,
     /* 1331650 */     GIR_EraseRootFromParent_Done,
     /* 1331651 */   // Label 19013: @1331651
     /* 1331651 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1331735), // Rule ID 19946 //
     /* 1331656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331734 */     // GIR_Coverage, 19946,
     /* 1331734 */     GIR_EraseRootFromParent_Done,
     /* 1331735 */   // Label 19014: @1331735
     /* 1331735 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1331819), // Rule ID 19949 //
     /* 1331740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1331796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331818 */     // GIR_Coverage, 19949,
     /* 1331818 */     GIR_EraseRootFromParent_Done,
     /* 1331819 */   // Label 19015: @1331819
     /* 1331819 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1331903), // Rule ID 19950 //
     /* 1331824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331877 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1331880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331902 */     // GIR_Coverage, 19950,
     /* 1331902 */     GIR_EraseRootFromParent_Done,
     /* 1331903 */   // Label 19016: @1331903
     /* 1331903 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1331987), // Rule ID 19953 //
     /* 1331908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331961 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1331964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331986 */     // GIR_Coverage, 19953,
     /* 1331986 */     GIR_EraseRootFromParent_Done,
     /* 1331987 */   // Label 19017: @1331987
     /* 1331987 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1332071), // Rule ID 19954 //
     /* 1331992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1332009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332045 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1332048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332070 */     // GIR_Coverage, 19954,
     /* 1332070 */     GIR_EraseRootFromParent_Done,
     /* 1332071 */   // Label 19018: @1332071
     /* 1332071 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1332155), // Rule ID 19957 //
     /* 1332076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332129 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332154 */     // GIR_Coverage, 19957,
     /* 1332154 */     GIR_EraseRootFromParent_Done,
     /* 1332155 */   // Label 19019: @1332155
     /* 1332155 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1332239), // Rule ID 19958 //
     /* 1332160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332238 */     // GIR_Coverage, 19958,
     /* 1332238 */     GIR_EraseRootFromParent_Done,
     /* 1332239 */   // Label 19020: @1332239
     /* 1332239 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1332323), // Rule ID 19961 //
     /* 1332244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332297 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332322 */     // GIR_Coverage, 19961,
     /* 1332322 */     GIR_EraseRootFromParent_Done,
     /* 1332323 */   // Label 19021: @1332323
     /* 1332323 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1332407), // Rule ID 19962 //
     /* 1332328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332406 */     // GIR_Coverage, 19962,
     /* 1332406 */     GIR_EraseRootFromParent_Done,
     /* 1332407 */   // Label 19022: @1332407
     /* 1332407 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1332491), // Rule ID 19965 //
     /* 1332412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332490 */     // GIR_Coverage, 19965,
     /* 1332490 */     GIR_EraseRootFromParent_Done,
     /* 1332491 */   // Label 19023: @1332491
     /* 1332491 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1332575), // Rule ID 19966 //
     /* 1332496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332574 */     // GIR_Coverage, 19966,
     /* 1332574 */     GIR_EraseRootFromParent_Done,
     /* 1332575 */   // Label 19024: @1332575
     /* 1332575 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1332659), // Rule ID 19969 //
     /* 1332580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332633 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1332636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332658 */     // GIR_Coverage, 19969,
     /* 1332658 */     GIR_EraseRootFromParent_Done,
     /* 1332659 */   // Label 19025: @1332659
     /* 1332659 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1332743), // Rule ID 19970 //
     /* 1332664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1332720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332742 */     // GIR_Coverage, 19970,
     /* 1332742 */     GIR_EraseRootFromParent_Done,
     /* 1332743 */   // Label 19026: @1332743
     /* 1332743 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1332827), // Rule ID 19973 //
     /* 1332748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1332804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332826 */     // GIR_Coverage, 19973,
     /* 1332826 */     GIR_EraseRootFromParent_Done,
     /* 1332827 */   // Label 19027: @1332827
     /* 1332827 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1332911), // Rule ID 19974 //
     /* 1332832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1332888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332910 */     // GIR_Coverage, 19974,
     /* 1332910 */     GIR_EraseRootFromParent_Done,
     /* 1332911 */   // Label 19028: @1332911
     /* 1332911 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1332995), // Rule ID 19977 //
     /* 1332916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332969 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1332972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332994 */     // GIR_Coverage, 19977,
     /* 1332994 */     GIR_EraseRootFromParent_Done,
     /* 1332995 */   // Label 19029: @1332995
     /* 1332995 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1333079), // Rule ID 19978 //
     /* 1333000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1333017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333053 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1333056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333078 */     // GIR_Coverage, 19978,
     /* 1333078 */     GIR_EraseRootFromParent_Done,
     /* 1333079 */   // Label 19030: @1333079
     /* 1333079 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1333163), // Rule ID 19981 //
     /* 1333084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333137 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333162 */     // GIR_Coverage, 19981,
     /* 1333162 */     GIR_EraseRootFromParent_Done,
     /* 1333163 */   // Label 19031: @1333163
     /* 1333163 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1333247), // Rule ID 19982 //
     /* 1333168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333221 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333246 */     // GIR_Coverage, 19982,
     /* 1333246 */     GIR_EraseRootFromParent_Done,
     /* 1333247 */   // Label 19032: @1333247
     /* 1333247 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1333331), // Rule ID 19985 //
     /* 1333252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333330 */     // GIR_Coverage, 19985,
     /* 1333330 */     GIR_EraseRootFromParent_Done,
     /* 1333331 */   // Label 19033: @1333331
     /* 1333331 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1333415), // Rule ID 19986 //
     /* 1333336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333414 */     // GIR_Coverage, 19986,
     /* 1333414 */     GIR_EraseRootFromParent_Done,
     /* 1333415 */   // Label 19034: @1333415
     /* 1333415 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1333499), // Rule ID 19989 //
     /* 1333420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333498 */     // GIR_Coverage, 19989,
     /* 1333498 */     GIR_EraseRootFromParent_Done,
     /* 1333499 */   // Label 19035: @1333499
     /* 1333499 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1333583), // Rule ID 19990 //
     /* 1333504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333557 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333582 */     // GIR_Coverage, 19990,
     /* 1333582 */     GIR_EraseRootFromParent_Done,
     /* 1333583 */   // Label 19036: @1333583
     /* 1333583 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1333667), // Rule ID 19993 //
     /* 1333588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333641 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1333644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333666 */     // GIR_Coverage, 19993,
     /* 1333666 */     GIR_EraseRootFromParent_Done,
     /* 1333667 */   // Label 19037: @1333667
     /* 1333667 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1333751), // Rule ID 19994 //
     /* 1333672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1333728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333750 */     // GIR_Coverage, 19994,
     /* 1333750 */     GIR_EraseRootFromParent_Done,
     /* 1333751 */   // Label 19038: @1333751
     /* 1333751 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1333835), // Rule ID 19997 //
     /* 1333756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1333812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333834 */     // GIR_Coverage, 19997,
     /* 1333834 */     GIR_EraseRootFromParent_Done,
     /* 1333835 */   // Label 19039: @1333835
     /* 1333835 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1333919), // Rule ID 19998 //
     /* 1333840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333893 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1333896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333918 */     // GIR_Coverage, 19998,
     /* 1333918 */     GIR_EraseRootFromParent_Done,
     /* 1333919 */   // Label 19040: @1333919
     /* 1333919 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1334003), // Rule ID 20001 //
     /* 1333924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333977 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1333980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334002 */     // GIR_Coverage, 20001,
     /* 1334002 */     GIR_EraseRootFromParent_Done,
     /* 1334003 */   // Label 19041: @1334003
     /* 1334003 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1334087), // Rule ID 20002 //
     /* 1334008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1334025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334061 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1334064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334086 */     // GIR_Coverage, 20002,
     /* 1334086 */     GIR_EraseRootFromParent_Done,
     /* 1334087 */   // Label 19042: @1334087
     /* 1334087 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1334171), // Rule ID 20005 //
     /* 1334092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334145 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334170 */     // GIR_Coverage, 20005,
     /* 1334170 */     GIR_EraseRootFromParent_Done,
     /* 1334171 */   // Label 19043: @1334171
     /* 1334171 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1334255), // Rule ID 20006 //
     /* 1334176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334254 */     // GIR_Coverage, 20006,
     /* 1334254 */     GIR_EraseRootFromParent_Done,
     /* 1334255 */   // Label 19044: @1334255
     /* 1334255 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1334339), // Rule ID 20009 //
     /* 1334260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334313 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334338 */     // GIR_Coverage, 20009,
     /* 1334338 */     GIR_EraseRootFromParent_Done,
     /* 1334339 */   // Label 19045: @1334339
     /* 1334339 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1334423), // Rule ID 20010 //
     /* 1334344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334397 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334422 */     // GIR_Coverage, 20010,
     /* 1334422 */     GIR_EraseRootFromParent_Done,
     /* 1334423 */   // Label 19046: @1334423
     /* 1334423 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1334507), // Rule ID 20013 //
     /* 1334428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334481 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334506 */     // GIR_Coverage, 20013,
     /* 1334506 */     GIR_EraseRootFromParent_Done,
     /* 1334507 */   // Label 19047: @1334507
     /* 1334507 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1334591), // Rule ID 20014 //
     /* 1334512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334565 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334590 */     // GIR_Coverage, 20014,
     /* 1334590 */     GIR_EraseRootFromParent_Done,
     /* 1334591 */   // Label 19048: @1334591
     /* 1334591 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1334675), // Rule ID 20017 //
     /* 1334596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1334616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334674 */     // GIR_Coverage, 20017,
     /* 1334674 */     GIR_EraseRootFromParent_Done,
     /* 1334675 */   // Label 19049: @1334675
     /* 1334675 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1334759), // Rule ID 20018 //
     /* 1334680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1334700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334758 */     // GIR_Coverage, 20018,
     /* 1334758 */     GIR_EraseRootFromParent_Done,
     /* 1334759 */   // Label 19050: @1334759
     /* 1334759 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1334843), // Rule ID 20021 //
     /* 1334764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1334784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334817 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1334820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334842 */     // GIR_Coverage, 20021,
     /* 1334842 */     GIR_EraseRootFromParent_Done,
     /* 1334843 */   // Label 19051: @1334843
     /* 1334843 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1334927), // Rule ID 20022 //
     /* 1334848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1334868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334901 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1334904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334926 */     // GIR_Coverage, 20022,
     /* 1334926 */     GIR_EraseRootFromParent_Done,
     /* 1334927 */   // Label 19052: @1334927
     /* 1334927 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1335011), // Rule ID 20025 //
     /* 1334932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1334988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335010 */     // GIR_Coverage, 20025,
     /* 1335010 */     GIR_EraseRootFromParent_Done,
     /* 1335011 */   // Label 19053: @1335011
     /* 1335011 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1335095), // Rule ID 20026 //
     /* 1335016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1335033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1335036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335094 */     // GIR_Coverage, 20026,
     /* 1335094 */     GIR_EraseRootFromParent_Done,
     /* 1335095 */   // Label 19054: @1335095
     /* 1335095 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1335179), // Rule ID 20029 //
     /* 1335100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335153 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335178 */     // GIR_Coverage, 20029,
     /* 1335178 */     GIR_EraseRootFromParent_Done,
     /* 1335179 */   // Label 19055: @1335179
     /* 1335179 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1335263), // Rule ID 20030 //
     /* 1335184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335262 */     // GIR_Coverage, 20030,
     /* 1335262 */     GIR_EraseRootFromParent_Done,
     /* 1335263 */   // Label 19056: @1335263
     /* 1335263 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1335347), // Rule ID 20033 //
     /* 1335268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335346 */     // GIR_Coverage, 20033,
     /* 1335346 */     GIR_EraseRootFromParent_Done,
     /* 1335347 */   // Label 19057: @1335347
     /* 1335347 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1335431), // Rule ID 20034 //
     /* 1335352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335405 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335430 */     // GIR_Coverage, 20034,
     /* 1335430 */     GIR_EraseRootFromParent_Done,
     /* 1335431 */   // Label 19058: @1335431
     /* 1335431 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1335515), // Rule ID 20037 //
     /* 1335436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335489 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335514 */     // GIR_Coverage, 20037,
     /* 1335514 */     GIR_EraseRootFromParent_Done,
     /* 1335515 */   // Label 19059: @1335515
     /* 1335515 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1335599), // Rule ID 20038 //
     /* 1335520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335598 */     // GIR_Coverage, 20038,
     /* 1335598 */     GIR_EraseRootFromParent_Done,
     /* 1335599 */   // Label 19060: @1335599
     /* 1335599 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1335683), // Rule ID 20041 //
     /* 1335604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1335624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335657 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1335660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335682 */     // GIR_Coverage, 20041,
     /* 1335682 */     GIR_EraseRootFromParent_Done,
     /* 1335683 */   // Label 19061: @1335683
     /* 1335683 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1335767), // Rule ID 20042 //
     /* 1335688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1335708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335741 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1335744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335766 */     // GIR_Coverage, 20042,
     /* 1335766 */     GIR_EraseRootFromParent_Done,
     /* 1335767 */   // Label 19062: @1335767
     /* 1335767 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1335851), // Rule ID 20045 //
     /* 1335772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1335792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335850 */     // GIR_Coverage, 20045,
     /* 1335850 */     GIR_EraseRootFromParent_Done,
     /* 1335851 */   // Label 19063: @1335851
     /* 1335851 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1335935), // Rule ID 20046 //
     /* 1335856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1335876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335909 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335934 */     // GIR_Coverage, 20046,
     /* 1335934 */     GIR_EraseRootFromParent_Done,
     /* 1335935 */   // Label 19064: @1335935
     /* 1335935 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1336019), // Rule ID 20049 //
     /* 1335940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1335960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336018 */     // GIR_Coverage, 20049,
     /* 1336018 */     GIR_EraseRootFromParent_Done,
     /* 1336019 */   // Label 19065: @1336019
     /* 1336019 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1336103), // Rule ID 20050 //
     /* 1336024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1336041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1336044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336102 */     // GIR_Coverage, 20050,
     /* 1336102 */     GIR_EraseRootFromParent_Done,
     /* 1336103 */   // Label 19066: @1336103
     /* 1336103 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1336187), // Rule ID 20053 //
     /* 1336108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336161 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336186 */     // GIR_Coverage, 20053,
     /* 1336186 */     GIR_EraseRootFromParent_Done,
     /* 1336187 */   // Label 19067: @1336187
     /* 1336187 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1336271), // Rule ID 20054 //
     /* 1336192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336245 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336270 */     // GIR_Coverage, 20054,
     /* 1336270 */     GIR_EraseRootFromParent_Done,
     /* 1336271 */   // Label 19068: @1336271
     /* 1336271 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1336355), // Rule ID 20057 //
     /* 1336276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336354 */     // GIR_Coverage, 20057,
     /* 1336354 */     GIR_EraseRootFromParent_Done,
     /* 1336355 */   // Label 19069: @1336355
     /* 1336355 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1336439), // Rule ID 20058 //
     /* 1336360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336438 */     // GIR_Coverage, 20058,
     /* 1336438 */     GIR_EraseRootFromParent_Done,
     /* 1336439 */   // Label 19070: @1336439
     /* 1336439 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1336523), // Rule ID 20061 //
     /* 1336444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336522 */     // GIR_Coverage, 20061,
     /* 1336522 */     GIR_EraseRootFromParent_Done,
     /* 1336523 */   // Label 19071: @1336523
     /* 1336523 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1336607), // Rule ID 20062 //
     /* 1336528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336581 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336606 */     // GIR_Coverage, 20062,
     /* 1336606 */     GIR_EraseRootFromParent_Done,
     /* 1336607 */   // Label 19072: @1336607
     /* 1336607 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1336691), // Rule ID 20065 //
     /* 1336612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1336632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336665 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336690 */     // GIR_Coverage, 20065,
     /* 1336690 */     GIR_EraseRootFromParent_Done,
     /* 1336691 */   // Label 19073: @1336691
     /* 1336691 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1336775), // Rule ID 20066 //
     /* 1336696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1336716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336749 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336774 */     // GIR_Coverage, 20066,
     /* 1336774 */     GIR_EraseRootFromParent_Done,
     /* 1336775 */   // Label 19074: @1336775
     /* 1336775 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1336859), // Rule ID 20069 //
     /* 1336780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336833 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1336836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336858 */     // GIR_Coverage, 20069,
     /* 1336858 */     GIR_EraseRootFromParent_Done,
     /* 1336859 */   // Label 19075: @1336859
     /* 1336859 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1336943), // Rule ID 20070 //
     /* 1336864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1336920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336942 */     // GIR_Coverage, 20070,
     /* 1336942 */     GIR_EraseRootFromParent_Done,
     /* 1336943 */   // Label 19076: @1336943
     /* 1336943 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1337027), // Rule ID 20073 //
     /* 1336948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1337004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337026 */     // GIR_Coverage, 20073,
     /* 1337026 */     GIR_EraseRootFromParent_Done,
     /* 1337027 */   // Label 19077: @1337027
     /* 1337027 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1337111), // Rule ID 20074 //
     /* 1337032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1337049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1337088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337110 */     // GIR_Coverage, 20074,
     /* 1337110 */     GIR_EraseRootFromParent_Done,
     /* 1337111 */   // Label 19078: @1337111
     /* 1337111 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1337195), // Rule ID 20077 //
     /* 1337116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337169 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337194 */     // GIR_Coverage, 20077,
     /* 1337194 */     GIR_EraseRootFromParent_Done,
     /* 1337195 */   // Label 19079: @1337195
     /* 1337195 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1337279), // Rule ID 20078 //
     /* 1337200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337278 */     // GIR_Coverage, 20078,
     /* 1337278 */     GIR_EraseRootFromParent_Done,
     /* 1337279 */   // Label 19080: @1337279
     /* 1337279 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1337363), // Rule ID 20081 //
     /* 1337284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337337 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337362 */     // GIR_Coverage, 20081,
     /* 1337362 */     GIR_EraseRootFromParent_Done,
     /* 1337363 */   // Label 19081: @1337363
     /* 1337363 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1337447), // Rule ID 20082 //
     /* 1337368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337421 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337446 */     // GIR_Coverage, 20082,
     /* 1337446 */     GIR_EraseRootFromParent_Done,
     /* 1337447 */   // Label 19082: @1337447
     /* 1337447 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1337531), // Rule ID 20085 //
     /* 1337452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337505 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337530 */     // GIR_Coverage, 20085,
     /* 1337530 */     GIR_EraseRootFromParent_Done,
     /* 1337531 */   // Label 19083: @1337531
     /* 1337531 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1337615), // Rule ID 20086 //
     /* 1337536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337589 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337614 */     // GIR_Coverage, 20086,
     /* 1337614 */     GIR_EraseRootFromParent_Done,
     /* 1337615 */   // Label 19084: @1337615
     /* 1337615 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1337699), // Rule ID 20089 //
     /* 1337620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337673 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1337676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337698 */     // GIR_Coverage, 20089,
     /* 1337698 */     GIR_EraseRootFromParent_Done,
     /* 1337699 */   // Label 19085: @1337699
     /* 1337699 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1337783), // Rule ID 20090 //
     /* 1337704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1337760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337782 */     // GIR_Coverage, 20090,
     /* 1337782 */     GIR_EraseRootFromParent_Done,
     /* 1337783 */   // Label 19086: @1337783
     /* 1337783 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1337867), // Rule ID 20093 //
     /* 1337788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337841 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1337844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337866 */     // GIR_Coverage, 20093,
     /* 1337866 */     GIR_EraseRootFromParent_Done,
     /* 1337867 */   // Label 19087: @1337867
     /* 1337867 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1337951), // Rule ID 20094 //
     /* 1337872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337925 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1337928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337950 */     // GIR_Coverage, 20094,
     /* 1337950 */     GIR_EraseRootFromParent_Done,
     /* 1337951 */   // Label 19088: @1337951
     /* 1337951 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1338035), // Rule ID 20097 //
     /* 1337956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338009 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1338012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338034 */     // GIR_Coverage, 20097,
     /* 1338034 */     GIR_EraseRootFromParent_Done,
     /* 1338035 */   // Label 19089: @1338035
     /* 1338035 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1338119), // Rule ID 20098 //
     /* 1338040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338093 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1338096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338118 */     // GIR_Coverage, 20098,
     /* 1338118 */     GIR_EraseRootFromParent_Done,
     /* 1338119 */   // Label 19090: @1338119
     /* 1338119 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1338203), // Rule ID 20101 //
     /* 1338124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338177 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338202 */     // GIR_Coverage, 20101,
     /* 1338202 */     GIR_EraseRootFromParent_Done,
     /* 1338203 */   // Label 19091: @1338203
     /* 1338203 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1338287), // Rule ID 20102 //
     /* 1338208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338261 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338286 */     // GIR_Coverage, 20102,
     /* 1338286 */     GIR_EraseRootFromParent_Done,
     /* 1338287 */   // Label 19092: @1338287
     /* 1338287 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1338371), // Rule ID 20105 //
     /* 1338292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338345 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338370 */     // GIR_Coverage, 20105,
     /* 1338370 */     GIR_EraseRootFromParent_Done,
     /* 1338371 */   // Label 19093: @1338371
     /* 1338371 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1338455), // Rule ID 20106 //
     /* 1338376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338454 */     // GIR_Coverage, 20106,
     /* 1338454 */     GIR_EraseRootFromParent_Done,
     /* 1338455 */   // Label 19094: @1338455
     /* 1338455 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1338539), // Rule ID 20109 //
     /* 1338460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338513 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338538 */     // GIR_Coverage, 20109,
     /* 1338538 */     GIR_EraseRootFromParent_Done,
     /* 1338539 */   // Label 19095: @1338539
     /* 1338539 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1338623), // Rule ID 20110 //
     /* 1338544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338597 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338622 */     // GIR_Coverage, 20110,
     /* 1338622 */     GIR_EraseRootFromParent_Done,
     /* 1338623 */   // Label 19096: @1338623
     /* 1338623 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1338707), // Rule ID 20113 //
     /* 1338628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338681 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1338684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338706 */     // GIR_Coverage, 20113,
     /* 1338706 */     GIR_EraseRootFromParent_Done,
     /* 1338707 */   // Label 19097: @1338707
     /* 1338707 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1338791), // Rule ID 20114 //
     /* 1338712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338765 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1338768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338790 */     // GIR_Coverage, 20114,
     /* 1338790 */     GIR_EraseRootFromParent_Done,
     /* 1338791 */   // Label 19098: @1338791
     /* 1338791 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1338875), // Rule ID 20117 //
     /* 1338796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1338852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338874 */     // GIR_Coverage, 20117,
     /* 1338874 */     GIR_EraseRootFromParent_Done,
     /* 1338875 */   // Label 19099: @1338875
     /* 1338875 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1338959), // Rule ID 20118 //
     /* 1338880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338933 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1338936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338958 */     // GIR_Coverage, 20118,
     /* 1338958 */     GIR_EraseRootFromParent_Done,
     /* 1338959 */   // Label 19100: @1338959
     /* 1338959 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1339043), // Rule ID 20121 //
     /* 1338964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339017 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1339020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339042 */     // GIR_Coverage, 20121,
     /* 1339042 */     GIR_EraseRootFromParent_Done,
     /* 1339043 */   // Label 19101: @1339043
     /* 1339043 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1339127), // Rule ID 20122 //
     /* 1339048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1339104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339126 */     // GIR_Coverage, 20122,
     /* 1339126 */     GIR_EraseRootFromParent_Done,
     /* 1339127 */   // Label 19102: @1339127
     /* 1339127 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1339211), // Rule ID 20125 //
     /* 1339132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339185 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339210 */     // GIR_Coverage, 20125,
     /* 1339210 */     GIR_EraseRootFromParent_Done,
     /* 1339211 */   // Label 19103: @1339211
     /* 1339211 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1339295), // Rule ID 20126 //
     /* 1339216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339294 */     // GIR_Coverage, 20126,
     /* 1339294 */     GIR_EraseRootFromParent_Done,
     /* 1339295 */   // Label 19104: @1339295
     /* 1339295 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1339379), // Rule ID 20129 //
     /* 1339300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339378 */     // GIR_Coverage, 20129,
     /* 1339378 */     GIR_EraseRootFromParent_Done,
     /* 1339379 */   // Label 19105: @1339379
     /* 1339379 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1339463), // Rule ID 20130 //
     /* 1339384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339462 */     // GIR_Coverage, 20130,
     /* 1339462 */     GIR_EraseRootFromParent_Done,
     /* 1339463 */   // Label 19106: @1339463
     /* 1339463 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1339547), // Rule ID 20133 //
     /* 1339468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339521 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339546 */     // GIR_Coverage, 20133,
     /* 1339546 */     GIR_EraseRootFromParent_Done,
     /* 1339547 */   // Label 19107: @1339547
     /* 1339547 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1339631), // Rule ID 20134 //
     /* 1339552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339630 */     // GIR_Coverage, 20134,
     /* 1339630 */     GIR_EraseRootFromParent_Done,
     /* 1339631 */   // Label 19108: @1339631
     /* 1339631 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1339715), // Rule ID 20137 //
     /* 1339636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339689 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1339692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339714 */     // GIR_Coverage, 20137,
     /* 1339714 */     GIR_EraseRootFromParent_Done,
     /* 1339715 */   // Label 19109: @1339715
     /* 1339715 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1339799), // Rule ID 20138 //
     /* 1339720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1339776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339798 */     // GIR_Coverage, 20138,
     /* 1339798 */     GIR_EraseRootFromParent_Done,
     /* 1339799 */   // Label 19110: @1339799
     /* 1339799 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1339883), // Rule ID 20141 //
     /* 1339804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339857 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1339860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339882 */     // GIR_Coverage, 20141,
     /* 1339882 */     GIR_EraseRootFromParent_Done,
     /* 1339883 */   // Label 19111: @1339883
     /* 1339883 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1339967), // Rule ID 20142 //
     /* 1339888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339941 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1339944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339966 */     // GIR_Coverage, 20142,
     /* 1339966 */     GIR_EraseRootFromParent_Done,
     /* 1339967 */   // Label 19112: @1339967
     /* 1339967 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1340051), // Rule ID 20145 //
     /* 1339972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340025 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1340028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340050 */     // GIR_Coverage, 20145,
     /* 1340050 */     GIR_EraseRootFromParent_Done,
     /* 1340051 */   // Label 19113: @1340051
     /* 1340051 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1340135), // Rule ID 20146 //
     /* 1340056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1340073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1340112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340134 */     // GIR_Coverage, 20146,
     /* 1340134 */     GIR_EraseRootFromParent_Done,
     /* 1340135 */   // Label 19114: @1340135
     /* 1340135 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1340219), // Rule ID 20149 //
     /* 1340140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340218 */     // GIR_Coverage, 20149,
     /* 1340218 */     GIR_EraseRootFromParent_Done,
     /* 1340219 */   // Label 19115: @1340219
     /* 1340219 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1340303), // Rule ID 20150 //
     /* 1340224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340302 */     // GIR_Coverage, 20150,
     /* 1340302 */     GIR_EraseRootFromParent_Done,
     /* 1340303 */   // Label 19116: @1340303
     /* 1340303 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1340387), // Rule ID 20153 //
     /* 1340308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340361 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340386 */     // GIR_Coverage, 20153,
     /* 1340386 */     GIR_EraseRootFromParent_Done,
     /* 1340387 */   // Label 19117: @1340387
     /* 1340387 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1340471), // Rule ID 20154 //
     /* 1340392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340445 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340470 */     // GIR_Coverage, 20154,
     /* 1340470 */     GIR_EraseRootFromParent_Done,
     /* 1340471 */   // Label 19118: @1340471
     /* 1340471 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1340555), // Rule ID 20157 //
     /* 1340476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340529 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1340532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340554 */     // GIR_Coverage, 20157,
     /* 1340554 */     GIR_EraseRootFromParent_Done,
     /* 1340555 */   // Label 19119: @1340555
     /* 1340555 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1340639), // Rule ID 20158 //
     /* 1340560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340613 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1340616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340638 */     // GIR_Coverage, 20158,
     /* 1340638 */     GIR_EraseRootFromParent_Done,
     /* 1340639 */   // Label 19120: @1340639
     /* 1340639 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1340723), // Rule ID 20161 //
     /* 1340644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340697 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1340700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340722 */     // GIR_Coverage, 20161,
     /* 1340722 */     GIR_EraseRootFromParent_Done,
     /* 1340723 */   // Label 19121: @1340723
     /* 1340723 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1340807), // Rule ID 20162 //
     /* 1340728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340781 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1340784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340806 */     // GIR_Coverage, 20162,
     /* 1340806 */     GIR_EraseRootFromParent_Done,
     /* 1340807 */   // Label 19122: @1340807
     /* 1340807 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1340891), // Rule ID 20165 //
     /* 1340812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340865 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1340868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340890 */     // GIR_Coverage, 20165,
     /* 1340890 */     GIR_EraseRootFromParent_Done,
     /* 1340891 */   // Label 19123: @1340891
     /* 1340891 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1340975), // Rule ID 20166 //
     /* 1340896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1340952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340974 */     // GIR_Coverage, 20166,
     /* 1340974 */     GIR_EraseRootFromParent_Done,
     /* 1340975 */   // Label 19124: @1340975
     /* 1340975 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1341059), // Rule ID 20169 //
     /* 1340980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341033 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1341036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341058 */     // GIR_Coverage, 20169,
     /* 1341058 */     GIR_EraseRootFromParent_Done,
     /* 1341059 */   // Label 19125: @1341059
     /* 1341059 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1341143), // Rule ID 20170 //
     /* 1341064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1341081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341117 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1341120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341142 */     // GIR_Coverage, 20170,
     /* 1341142 */     GIR_EraseRootFromParent_Done,
     /* 1341143 */   // Label 19126: @1341143
     /* 1341143 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1341227), // Rule ID 20173 //
     /* 1341148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341201 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341226 */     // GIR_Coverage, 20173,
     /* 1341226 */     GIR_EraseRootFromParent_Done,
     /* 1341227 */   // Label 19127: @1341227
     /* 1341227 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1341311), // Rule ID 20174 //
     /* 1341232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341285 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341310 */     // GIR_Coverage, 20174,
     /* 1341310 */     GIR_EraseRootFromParent_Done,
     /* 1341311 */   // Label 19128: @1341311
     /* 1341311 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1341395), // Rule ID 20177 //
     /* 1341316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341369 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341394 */     // GIR_Coverage, 20177,
     /* 1341394 */     GIR_EraseRootFromParent_Done,
     /* 1341395 */   // Label 19129: @1341395
     /* 1341395 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1341479), // Rule ID 20178 //
     /* 1341400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341478 */     // GIR_Coverage, 20178,
     /* 1341478 */     GIR_EraseRootFromParent_Done,
     /* 1341479 */   // Label 19130: @1341479
     /* 1341479 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1341563), // Rule ID 20181 //
     /* 1341484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341537 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1341540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341562 */     // GIR_Coverage, 20181,
     /* 1341562 */     GIR_EraseRootFromParent_Done,
     /* 1341563 */   // Label 19131: @1341563
     /* 1341563 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1341647), // Rule ID 20182 //
     /* 1341568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341621 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1341624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341646 */     // GIR_Coverage, 20182,
     /* 1341646 */     GIR_EraseRootFromParent_Done,
     /* 1341647 */   // Label 19132: @1341647
     /* 1341647 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1341731), // Rule ID 20185 //
     /* 1341652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1341708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341730 */     // GIR_Coverage, 20185,
     /* 1341730 */     GIR_EraseRootFromParent_Done,
     /* 1341731 */   // Label 19133: @1341731
     /* 1341731 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1341815), // Rule ID 20186 //
     /* 1341736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341789 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1341792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341814 */     // GIR_Coverage, 20186,
     /* 1341814 */     GIR_EraseRootFromParent_Done,
     /* 1341815 */   // Label 19134: @1341815
     /* 1341815 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1341899), // Rule ID 20189 //
     /* 1341820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1341876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341898 */     // GIR_Coverage, 20189,
     /* 1341898 */     GIR_EraseRootFromParent_Done,
     /* 1341899 */   // Label 19135: @1341899
     /* 1341899 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1341983), // Rule ID 20190 //
     /* 1341904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1341960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341982 */     // GIR_Coverage, 20190,
     /* 1341982 */     GIR_EraseRootFromParent_Done,
     /* 1341983 */   // Label 19136: @1341983
     /* 1341983 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1342067), // Rule ID 20193 //
     /* 1341988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1342005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342041 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1342044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342066 */     // GIR_Coverage, 20193,
     /* 1342066 */     GIR_EraseRootFromParent_Done,
     /* 1342067 */   // Label 19137: @1342067
     /* 1342067 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1342151), // Rule ID 20194 //
     /* 1342072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1342089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342125 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1342128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342150 */     // GIR_Coverage, 20194,
     /* 1342150 */     GIR_EraseRootFromParent_Done,
     /* 1342151 */   // Label 19138: @1342151
     /* 1342151 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1342235), // Rule ID 20197 //
     /* 1342156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342234 */     // GIR_Coverage, 20197,
     /* 1342234 */     GIR_EraseRootFromParent_Done,
     /* 1342235 */   // Label 19139: @1342235
     /* 1342235 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1342319), // Rule ID 20198 //
     /* 1342240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342318 */     // GIR_Coverage, 20198,
     /* 1342318 */     GIR_EraseRootFromParent_Done,
     /* 1342319 */   // Label 19140: @1342319
     /* 1342319 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1342403), // Rule ID 20201 //
     /* 1342324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342402 */     // GIR_Coverage, 20201,
     /* 1342402 */     GIR_EraseRootFromParent_Done,
     /* 1342403 */   // Label 19141: @1342403
     /* 1342403 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1342487), // Rule ID 20202 //
     /* 1342408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342486 */     // GIR_Coverage, 20202,
     /* 1342486 */     GIR_EraseRootFromParent_Done,
     /* 1342487 */   // Label 19142: @1342487
     /* 1342487 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1342571), // Rule ID 20205 //
     /* 1342492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342545 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1342548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342570 */     // GIR_Coverage, 20205,
     /* 1342570 */     GIR_EraseRootFromParent_Done,
     /* 1342571 */   // Label 19143: @1342571
     /* 1342571 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1342655), // Rule ID 20206 //
     /* 1342576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1342632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342654 */     // GIR_Coverage, 20206,
     /* 1342654 */     GIR_EraseRootFromParent_Done,
     /* 1342655 */   // Label 19144: @1342655
     /* 1342655 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1342739), // Rule ID 20209 //
     /* 1342660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342713 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1342716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342738 */     // GIR_Coverage, 20209,
     /* 1342738 */     GIR_EraseRootFromParent_Done,
     /* 1342739 */   // Label 19145: @1342739
     /* 1342739 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1342823), // Rule ID 20210 //
     /* 1342744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342797 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1342800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342822 */     // GIR_Coverage, 20210,
     /* 1342822 */     GIR_EraseRootFromParent_Done,
     /* 1342823 */   // Label 19146: @1342823
     /* 1342823 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1342907), // Rule ID 20213 //
     /* 1342828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1342884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342906 */     // GIR_Coverage, 20213,
     /* 1342906 */     GIR_EraseRootFromParent_Done,
     /* 1342907 */   // Label 19147: @1342907
     /* 1342907 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1342991), // Rule ID 20214 //
     /* 1342912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342965 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1342968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342990 */     // GIR_Coverage, 20214,
     /* 1342990 */     GIR_EraseRootFromParent_Done,
     /* 1342991 */   // Label 19148: @1342991
     /* 1342991 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1343075), // Rule ID 20217 //
     /* 1342996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343049 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343074 */     // GIR_Coverage, 20217,
     /* 1343074 */     GIR_EraseRootFromParent_Done,
     /* 1343075 */   // Label 19149: @1343075
     /* 1343075 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1343159), // Rule ID 20218 //
     /* 1343080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343158 */     // GIR_Coverage, 20218,
     /* 1343158 */     GIR_EraseRootFromParent_Done,
     /* 1343159 */   // Label 19150: @1343159
     /* 1343159 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1343243), // Rule ID 20221 //
     /* 1343164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343217 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343242 */     // GIR_Coverage, 20221,
     /* 1343242 */     GIR_EraseRootFromParent_Done,
     /* 1343243 */   // Label 19151: @1343243
     /* 1343243 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1343327), // Rule ID 20222 //
     /* 1343248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343301 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343326 */     // GIR_Coverage, 20222,
     /* 1343326 */     GIR_EraseRootFromParent_Done,
     /* 1343327 */   // Label 19152: @1343327
     /* 1343327 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1343411), // Rule ID 20225 //
     /* 1343332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343385 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343410 */     // GIR_Coverage, 20225,
     /* 1343410 */     GIR_EraseRootFromParent_Done,
     /* 1343411 */   // Label 19153: @1343411
     /* 1343411 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1343495), // Rule ID 20226 //
     /* 1343416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343494 */     // GIR_Coverage, 20226,
     /* 1343494 */     GIR_EraseRootFromParent_Done,
     /* 1343495 */   // Label 19154: @1343495
     /* 1343495 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1343579), // Rule ID 20229 //
     /* 1343500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1343556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343578 */     // GIR_Coverage, 20229,
     /* 1343578 */     GIR_EraseRootFromParent_Done,
     /* 1343579 */   // Label 19155: @1343579
     /* 1343579 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1343663), // Rule ID 20230 //
     /* 1343584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1343640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343662 */     // GIR_Coverage, 20230,
     /* 1343662 */     GIR_EraseRootFromParent_Done,
     /* 1343663 */   // Label 19156: @1343663
     /* 1343663 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1343747), // Rule ID 20233 //
     /* 1343668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1343724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343746 */     // GIR_Coverage, 20233,
     /* 1343746 */     GIR_EraseRootFromParent_Done,
     /* 1343747 */   // Label 19157: @1343747
     /* 1343747 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1343831), // Rule ID 20234 //
     /* 1343752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1343808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343830 */     // GIR_Coverage, 20234,
     /* 1343830 */     GIR_EraseRootFromParent_Done,
     /* 1343831 */   // Label 19158: @1343831
     /* 1343831 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1343915), // Rule ID 20237 //
     /* 1343836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1343892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343914 */     // GIR_Coverage, 20237,
     /* 1343914 */     GIR_EraseRootFromParent_Done,
     /* 1343915 */   // Label 19159: @1343915
     /* 1343915 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1343999), // Rule ID 20238 //
     /* 1343920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343973 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1343976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343998 */     // GIR_Coverage, 20238,
     /* 1343998 */     GIR_EraseRootFromParent_Done,
     /* 1343999 */   // Label 19160: @1343999
     /* 1343999 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1344083), // Rule ID 20241 //
     /* 1344004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344082 */     // GIR_Coverage, 20241,
     /* 1344082 */     GIR_EraseRootFromParent_Done,
     /* 1344083 */   // Label 19161: @1344083
     /* 1344083 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1344167), // Rule ID 20242 //
     /* 1344088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344141 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344166 */     // GIR_Coverage, 20242,
     /* 1344166 */     GIR_EraseRootFromParent_Done,
     /* 1344167 */   // Label 19162: @1344167
     /* 1344167 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1344251), // Rule ID 20245 //
     /* 1344172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344250 */     // GIR_Coverage, 20245,
     /* 1344250 */     GIR_EraseRootFromParent_Done,
     /* 1344251 */   // Label 19163: @1344251
     /* 1344251 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1344335), // Rule ID 20246 //
     /* 1344256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344334 */     // GIR_Coverage, 20246,
     /* 1344334 */     GIR_EraseRootFromParent_Done,
     /* 1344335 */   // Label 19164: @1344335
     /* 1344335 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1344419), // Rule ID 20249 //
     /* 1344340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344418 */     // GIR_Coverage, 20249,
     /* 1344418 */     GIR_EraseRootFromParent_Done,
     /* 1344419 */   // Label 19165: @1344419
     /* 1344419 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1344503), // Rule ID 20250 //
     /* 1344424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344502 */     // GIR_Coverage, 20250,
     /* 1344502 */     GIR_EraseRootFromParent_Done,
     /* 1344503 */   // Label 19166: @1344503
     /* 1344503 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1344587), // Rule ID 20253 //
     /* 1344508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344586 */     // GIR_Coverage, 20253,
     /* 1344586 */     GIR_EraseRootFromParent_Done,
     /* 1344587 */   // Label 19167: @1344587
     /* 1344587 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1344671), // Rule ID 20254 //
     /* 1344592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344645 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344670 */     // GIR_Coverage, 20254,
     /* 1344670 */     GIR_EraseRootFromParent_Done,
     /* 1344671 */   // Label 19168: @1344671
     /* 1344671 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1344755), // Rule ID 20257 //
     /* 1344676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1344696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344754 */     // GIR_Coverage, 20257,
     /* 1344754 */     GIR_EraseRootFromParent_Done,
     /* 1344755 */   // Label 19169: @1344755
     /* 1344755 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1344839), // Rule ID 20258 //
     /* 1344760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1344780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344838 */     // GIR_Coverage, 20258,
     /* 1344838 */     GIR_EraseRootFromParent_Done,
     /* 1344839 */   // Label 19170: @1344839
     /* 1344839 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1344923), // Rule ID 20261 //
     /* 1344844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344897 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1344900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344922 */     // GIR_Coverage, 20261,
     /* 1344922 */     GIR_EraseRootFromParent_Done,
     /* 1344923 */   // Label 19171: @1344923
     /* 1344923 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1345007), // Rule ID 20262 //
     /* 1344928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344981 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1344984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345006 */     // GIR_Coverage, 20262,
     /* 1345006 */     GIR_EraseRootFromParent_Done,
     /* 1345007 */   // Label 19172: @1345007
     /* 1345007 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1345091), // Rule ID 20265 //
     /* 1345012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345090 */     // GIR_Coverage, 20265,
     /* 1345090 */     GIR_EraseRootFromParent_Done,
     /* 1345091 */   // Label 19173: @1345091
     /* 1345091 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1345175), // Rule ID 20266 //
     /* 1345096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345149 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345174 */     // GIR_Coverage, 20266,
     /* 1345174 */     GIR_EraseRootFromParent_Done,
     /* 1345175 */   // Label 19174: @1345175
     /* 1345175 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1345259), // Rule ID 20269 //
     /* 1345180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345233 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345258 */     // GIR_Coverage, 20269,
     /* 1345258 */     GIR_EraseRootFromParent_Done,
     /* 1345259 */   // Label 19175: @1345259
     /* 1345259 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1345343), // Rule ID 20270 //
     /* 1345264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345342 */     // GIR_Coverage, 20270,
     /* 1345342 */     GIR_EraseRootFromParent_Done,
     /* 1345343 */   // Label 19176: @1345343
     /* 1345343 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1345427), // Rule ID 20273 //
     /* 1345348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345401 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345426 */     // GIR_Coverage, 20273,
     /* 1345426 */     GIR_EraseRootFromParent_Done,
     /* 1345427 */   // Label 19177: @1345427
     /* 1345427 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1345511), // Rule ID 20274 //
     /* 1345432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345510 */     // GIR_Coverage, 20274,
     /* 1345510 */     GIR_EraseRootFromParent_Done,
     /* 1345511 */   // Label 19178: @1345511
     /* 1345511 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1345595), // Rule ID 20277 //
     /* 1345516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345569 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345594 */     // GIR_Coverage, 20277,
     /* 1345594 */     GIR_EraseRootFromParent_Done,
     /* 1345595 */   // Label 19179: @1345595
     /* 1345595 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1345679), // Rule ID 20278 //
     /* 1345600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345653 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345678 */     // GIR_Coverage, 20278,
     /* 1345678 */     GIR_EraseRootFromParent_Done,
     /* 1345679 */   // Label 19180: @1345679
     /* 1345679 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1345763), // Rule ID 20281 //
     /* 1345684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1345704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345737 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345762 */     // GIR_Coverage, 20281,
     /* 1345762 */     GIR_EraseRootFromParent_Done,
     /* 1345763 */   // Label 19181: @1345763
     /* 1345763 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1345847), // Rule ID 20282 //
     /* 1345768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1345788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345821 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345846 */     // GIR_Coverage, 20282,
     /* 1345846 */     GIR_EraseRootFromParent_Done,
     /* 1345847 */   // Label 19182: @1345847
     /* 1345847 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1345931), // Rule ID 20285 //
     /* 1345852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1345872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345905 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345930 */     // GIR_Coverage, 20285,
     /* 1345930 */     GIR_EraseRootFromParent_Done,
     /* 1345931 */   // Label 19183: @1345931
     /* 1345931 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1346015), // Rule ID 20286 //
     /* 1345936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1345956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346014 */     // GIR_Coverage, 20286,
     /* 1346014 */     GIR_EraseRootFromParent_Done,
     /* 1346015 */   // Label 19184: @1346015
     /* 1346015 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1346099), // Rule ID 20289 //
     /* 1346020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346073 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346098 */     // GIR_Coverage, 20289,
     /* 1346098 */     GIR_EraseRootFromParent_Done,
     /* 1346099 */   // Label 19185: @1346099
     /* 1346099 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1346183), // Rule ID 20290 //
     /* 1346104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346182 */     // GIR_Coverage, 20290,
     /* 1346182 */     GIR_EraseRootFromParent_Done,
     /* 1346183 */   // Label 19186: @1346183
     /* 1346183 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1346267), // Rule ID 20293 //
     /* 1346188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346241 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346266 */     // GIR_Coverage, 20293,
     /* 1346266 */     GIR_EraseRootFromParent_Done,
     /* 1346267 */   // Label 19187: @1346267
     /* 1346267 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1346351), // Rule ID 20294 //
     /* 1346272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346325 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346350 */     // GIR_Coverage, 20294,
     /* 1346350 */     GIR_EraseRootFromParent_Done,
     /* 1346351 */   // Label 19188: @1346351
     /* 1346351 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1346435), // Rule ID 20297 //
     /* 1346356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346434 */     // GIR_Coverage, 20297,
     /* 1346434 */     GIR_EraseRootFromParent_Done,
     /* 1346435 */   // Label 19189: @1346435
     /* 1346435 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1346519), // Rule ID 20298 //
     /* 1346440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346493 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346518 */     // GIR_Coverage, 20298,
     /* 1346518 */     GIR_EraseRootFromParent_Done,
     /* 1346519 */   // Label 19190: @1346519
     /* 1346519 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1346603), // Rule ID 20301 //
     /* 1346524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1346544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346602 */     // GIR_Coverage, 20301,
     /* 1346602 */     GIR_EraseRootFromParent_Done,
     /* 1346603 */   // Label 19191: @1346603
     /* 1346603 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1346687), // Rule ID 20302 //
     /* 1346608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1346628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346661 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346686 */     // GIR_Coverage, 20302,
     /* 1346686 */     GIR_EraseRootFromParent_Done,
     /* 1346687 */   // Label 19192: @1346687
     /* 1346687 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1346771), // Rule ID 20305 //
     /* 1346692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1346712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346745 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346770 */     // GIR_Coverage, 20305,
     /* 1346770 */     GIR_EraseRootFromParent_Done,
     /* 1346771 */   // Label 19193: @1346771
     /* 1346771 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1346855), // Rule ID 20306 //
     /* 1346776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1346796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346829 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346854 */     // GIR_Coverage, 20306,
     /* 1346854 */     GIR_EraseRootFromParent_Done,
     /* 1346855 */   // Label 19194: @1346855
     /* 1346855 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1346939), // Rule ID 20309 //
     /* 1346860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1346880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1346916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346938 */     // GIR_Coverage, 20309,
     /* 1346938 */     GIR_EraseRootFromParent_Done,
     /* 1346939 */   // Label 19195: @1346939
     /* 1346939 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1347023), // Rule ID 20310 //
     /* 1346944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1346964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1347000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347022 */     // GIR_Coverage, 20310,
     /* 1347022 */     GIR_EraseRootFromParent_Done,
     /* 1347023 */   // Label 19196: @1347023
     /* 1347023 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1347107), // Rule ID 20313 //
     /* 1347028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1347045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1347048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347106 */     // GIR_Coverage, 20313,
     /* 1347106 */     GIR_EraseRootFromParent_Done,
     /* 1347107 */   // Label 19197: @1347107
     /* 1347107 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1347191), // Rule ID 20314 //
     /* 1347112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1347129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1347132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347165 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347190 */     // GIR_Coverage, 20314,
     /* 1347190 */     GIR_EraseRootFromParent_Done,
     /* 1347191 */   // Label 19198: @1347191
     /* 1347191 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1347275), // Rule ID 20317 //
     /* 1347196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347274 */     // GIR_Coverage, 20317,
     /* 1347274 */     GIR_EraseRootFromParent_Done,
     /* 1347275 */   // Label 19199: @1347275
     /* 1347275 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1347359), // Rule ID 20318 //
     /* 1347280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347333 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347358 */     // GIR_Coverage, 20318,
     /* 1347358 */     GIR_EraseRootFromParent_Done,
     /* 1347359 */   // Label 19200: @1347359
     /* 1347359 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1347443), // Rule ID 20321 //
     /* 1347364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347442 */     // GIR_Coverage, 20321,
     /* 1347442 */     GIR_EraseRootFromParent_Done,
     /* 1347443 */   // Label 19201: @1347443
     /* 1347443 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1347527), // Rule ID 20322 //
     /* 1347448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347501 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347526 */     // GIR_Coverage, 20322,
     /* 1347526 */     GIR_EraseRootFromParent_Done,
     /* 1347527 */   // Label 19202: @1347527
     /* 1347527 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1347611), // Rule ID 20325 //
     /* 1347532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347585 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347610 */     // GIR_Coverage, 20325,
     /* 1347610 */     GIR_EraseRootFromParent_Done,
     /* 1347611 */   // Label 19203: @1347611
     /* 1347611 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1347695), // Rule ID 20326 //
     /* 1347616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347669 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347694 */     // GIR_Coverage, 20326,
     /* 1347694 */     GIR_EraseRootFromParent_Done,
     /* 1347695 */   // Label 19204: @1347695
     /* 1347695 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1347779), // Rule ID 20329 //
     /* 1347700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347778 */     // GIR_Coverage, 20329,
     /* 1347778 */     GIR_EraseRootFromParent_Done,
     /* 1347779 */   // Label 19205: @1347779
     /* 1347779 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1347863), // Rule ID 20330 //
     /* 1347784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347862 */     // GIR_Coverage, 20330,
     /* 1347862 */     GIR_EraseRootFromParent_Done,
     /* 1347863 */   // Label 19206: @1347863
     /* 1347863 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1347947), // Rule ID 20333 //
     /* 1347868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1347888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1347924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347946 */     // GIR_Coverage, 20333,
     /* 1347946 */     GIR_EraseRootFromParent_Done,
     /* 1347947 */   // Label 19207: @1347947
     /* 1347947 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1348031), // Rule ID 20334 //
     /* 1347952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1347972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348005 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348030 */     // GIR_Coverage, 20334,
     /* 1348030 */     GIR_EraseRootFromParent_Done,
     /* 1348031 */   // Label 19208: @1348031
     /* 1348031 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1348115), // Rule ID 20337 //
     /* 1348036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348089 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348114 */     // GIR_Coverage, 20337,
     /* 1348114 */     GIR_EraseRootFromParent_Done,
     /* 1348115 */   // Label 19209: @1348115
     /* 1348115 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1348199), // Rule ID 20338 //
     /* 1348120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348173 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348198 */     // GIR_Coverage, 20338,
     /* 1348198 */     GIR_EraseRootFromParent_Done,
     /* 1348199 */   // Label 19210: @1348199
     /* 1348199 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1348283), // Rule ID 20341 //
     /* 1348204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348257 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348282 */     // GIR_Coverage, 20341,
     /* 1348282 */     GIR_EraseRootFromParent_Done,
     /* 1348283 */   // Label 19211: @1348283
     /* 1348283 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1348367), // Rule ID 20342 //
     /* 1348288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348341 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348366 */     // GIR_Coverage, 20342,
     /* 1348366 */     GIR_EraseRootFromParent_Done,
     /* 1348367 */   // Label 19212: @1348367
     /* 1348367 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1348451), // Rule ID 20345 //
     /* 1348372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348450 */     // GIR_Coverage, 20345,
     /* 1348450 */     GIR_EraseRootFromParent_Done,
     /* 1348451 */   // Label 19213: @1348451
     /* 1348451 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1348535), // Rule ID 20346 //
     /* 1348456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348534 */     // GIR_Coverage, 20346,
     /* 1348534 */     GIR_EraseRootFromParent_Done,
     /* 1348535 */   // Label 19214: @1348535
     /* 1348535 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1348619), // Rule ID 20349 //
     /* 1348540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1348560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348593 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348618 */     // GIR_Coverage, 20349,
     /* 1348618 */     GIR_EraseRootFromParent_Done,
     /* 1348619 */   // Label 19215: @1348619
     /* 1348619 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1348703), // Rule ID 20350 //
     /* 1348624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1348644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348677 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348702 */     // GIR_Coverage, 20350,
     /* 1348702 */     GIR_EraseRootFromParent_Done,
     /* 1348703 */   // Label 19216: @1348703
     /* 1348703 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1348787), // Rule ID 20353 //
     /* 1348708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1348728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348761 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348786 */     // GIR_Coverage, 20353,
     /* 1348786 */     GIR_EraseRootFromParent_Done,
     /* 1348787 */   // Label 19217: @1348787
     /* 1348787 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1348871), // Rule ID 20354 //
     /* 1348792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1348812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348845 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348870 */     // GIR_Coverage, 20354,
     /* 1348870 */     GIR_EraseRootFromParent_Done,
     /* 1348871 */   // Label 19218: @1348871
     /* 1348871 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1348955), // Rule ID 20357 //
     /* 1348876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1348896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348929 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348954 */     // GIR_Coverage, 20357,
     /* 1348954 */     GIR_EraseRootFromParent_Done,
     /* 1348955 */   // Label 19219: @1348955
     /* 1348955 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1349039), // Rule ID 20358 //
     /* 1348960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1348980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1349016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349038 */     // GIR_Coverage, 20358,
     /* 1349038 */     GIR_EraseRootFromParent_Done,
     /* 1349039 */   // Label 19220: @1349039
     /* 1349039 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1349123), // Rule ID 20361 //
     /* 1349044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349122 */     // GIR_Coverage, 20361,
     /* 1349122 */     GIR_EraseRootFromParent_Done,
     /* 1349123 */   // Label 19221: @1349123
     /* 1349123 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1349207), // Rule ID 20362 //
     /* 1349128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349181 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349206 */     // GIR_Coverage, 20362,
     /* 1349206 */     GIR_EraseRootFromParent_Done,
     /* 1349207 */   // Label 19222: @1349207
     /* 1349207 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1349291), // Rule ID 20365 //
     /* 1349212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349290 */     // GIR_Coverage, 20365,
     /* 1349290 */     GIR_EraseRootFromParent_Done,
     /* 1349291 */   // Label 19223: @1349291
     /* 1349291 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1349375), // Rule ID 20366 //
     /* 1349296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349349 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349374 */     // GIR_Coverage, 20366,
     /* 1349374 */     GIR_EraseRootFromParent_Done,
     /* 1349375 */   // Label 19224: @1349375
     /* 1349375 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1349456), // Rule ID 20423 //
     /* 1349380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1349383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349433 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349455 */     // GIR_Coverage, 20423,
     /* 1349455 */     GIR_EraseRootFromParent_Done,
     /* 1349456 */   // Label 19225: @1349456
     /* 1349456 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1349537), // Rule ID 20424 //
     /* 1349461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1349464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349514 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349536 */     // GIR_Coverage, 20424,
     /* 1349536 */     GIR_EraseRootFromParent_Done,
     /* 1349537 */   // Label 19226: @1349537
     /* 1349537 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1349618), // Rule ID 20425 //
     /* 1349542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349595 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1349598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349617 */     // GIR_Coverage, 20425,
     /* 1349617 */     GIR_EraseRootFromParent_Done,
     /* 1349618 */   // Label 19227: @1349618
     /* 1349618 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1349699), // Rule ID 20426 //
     /* 1349623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349676 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1349679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349698 */     // GIR_Coverage, 20426,
     /* 1349698 */     GIR_EraseRootFromParent_Done,
     /* 1349699 */   // Label 19228: @1349699
     /* 1349699 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1349780), // Rule ID 20427 //
     /* 1349704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1349707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1349724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349757 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1349760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349779 */     // GIR_Coverage, 20427,
     /* 1349779 */     GIR_EraseRootFromParent_Done,
     /* 1349780 */   // Label 19229: @1349780
     /* 1349780 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1349861), // Rule ID 20428 //
     /* 1349785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1349788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1349805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349838 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1349841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349860 */     // GIR_Coverage, 20428,
     /* 1349860 */     GIR_EraseRootFromParent_Done,
     /* 1349861 */   // Label 19230: @1349861
     /* 1349861 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1349942), // Rule ID 20429 //
     /* 1349866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349919 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1349922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349941 */     // GIR_Coverage, 20429,
     /* 1349941 */     GIR_EraseRootFromParent_Done,
     /* 1349942 */   // Label 19231: @1349942
     /* 1349942 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1350023), // Rule ID 20430 //
     /* 1349947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350000 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1350003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350022 */     // GIR_Coverage, 20430,
     /* 1350022 */     GIR_EraseRootFromParent_Done,
     /* 1350023 */   // Label 19232: @1350023
     /* 1350023 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1350104), // Rule ID 20431 //
     /* 1350028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1350048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350081 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350103 */     // GIR_Coverage, 20431,
     /* 1350103 */     GIR_EraseRootFromParent_Done,
     /* 1350104 */   // Label 19233: @1350104
     /* 1350104 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1350185), // Rule ID 20432 //
     /* 1350109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1350129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350162 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350184 */     // GIR_Coverage, 20432,
     /* 1350184 */     GIR_EraseRootFromParent_Done,
     /* 1350185 */   // Label 19234: @1350185
     /* 1350185 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1350266), // Rule ID 20433 //
     /* 1350190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350243 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350265 */     // GIR_Coverage, 20433,
     /* 1350265 */     GIR_EraseRootFromParent_Done,
     /* 1350266 */   // Label 19235: @1350266
     /* 1350266 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1350347), // Rule ID 20434 //
     /* 1350271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350324 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350346 */     // GIR_Coverage, 20434,
     /* 1350346 */     GIR_EraseRootFromParent_Done,
     /* 1350347 */   // Label 19236: @1350347
     /* 1350347 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1350428), // Rule ID 20435 //
     /* 1350352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350405 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350427 */     // GIR_Coverage, 20435,
     /* 1350427 */     GIR_EraseRootFromParent_Done,
     /* 1350428 */   // Label 19237: @1350428
     /* 1350428 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1350509), // Rule ID 20436 //
     /* 1350433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350486 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350508 */     // GIR_Coverage, 20436,
     /* 1350508 */     GIR_EraseRootFromParent_Done,
     /* 1350509 */   // Label 19238: @1350509
     /* 1350509 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1350590), // Rule ID 20437 //
     /* 1350514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350567 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1350570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350589 */     // GIR_Coverage, 20437,
     /* 1350589 */     GIR_EraseRootFromParent_Done,
     /* 1350590 */   // Label 19239: @1350590
     /* 1350590 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1350671), // Rule ID 20438 //
     /* 1350595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1350651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350670 */     // GIR_Coverage, 20438,
     /* 1350670 */     GIR_EraseRootFromParent_Done,
     /* 1350671 */   // Label 19240: @1350671
     /* 1350671 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1350752), // Rule ID 20439 //
     /* 1350676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350729 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350751 */     // GIR_Coverage, 20439,
     /* 1350751 */     GIR_EraseRootFromParent_Done,
     /* 1350752 */   // Label 19241: @1350752
     /* 1350752 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1350833), // Rule ID 20440 //
     /* 1350757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350810 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350832 */     // GIR_Coverage, 20440,
     /* 1350832 */     GIR_EraseRootFromParent_Done,
     /* 1350833 */   // Label 19242: @1350833
     /* 1350833 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1350914), // Rule ID 20441 //
     /* 1350838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350891 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1350894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350913 */     // GIR_Coverage, 20441,
     /* 1350913 */     GIR_EraseRootFromParent_Done,
     /* 1350914 */   // Label 19243: @1350914
     /* 1350914 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1350995), // Rule ID 20442 //
     /* 1350919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350972 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1350975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350994 */     // GIR_Coverage, 20442,
     /* 1350994 */     GIR_EraseRootFromParent_Done,
     /* 1350995 */   // Label 19244: @1350995
     /* 1350995 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1351076), // Rule ID 20443 //
     /* 1351000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351053 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351075 */     // GIR_Coverage, 20443,
     /* 1351075 */     GIR_EraseRootFromParent_Done,
     /* 1351076 */   // Label 19245: @1351076
     /* 1351076 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1351157), // Rule ID 20444 //
     /* 1351081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351134 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351156 */     // GIR_Coverage, 20444,
     /* 1351156 */     GIR_EraseRootFromParent_Done,
     /* 1351157 */   // Label 19246: @1351157
     /* 1351157 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1351238), // Rule ID 20445 //
     /* 1351162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351215 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351237 */     // GIR_Coverage, 20445,
     /* 1351237 */     GIR_EraseRootFromParent_Done,
     /* 1351238 */   // Label 19247: @1351238
     /* 1351238 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1351319), // Rule ID 20446 //
     /* 1351243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351318 */     // GIR_Coverage, 20446,
     /* 1351318 */     GIR_EraseRootFromParent_Done,
     /* 1351319 */   // Label 19248: @1351319
     /* 1351319 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1351400), // Rule ID 20447 //
     /* 1351324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351377 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351399 */     // GIR_Coverage, 20447,
     /* 1351399 */     GIR_EraseRootFromParent_Done,
     /* 1351400 */   // Label 19249: @1351400
     /* 1351400 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1351481), // Rule ID 20448 //
     /* 1351405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1351408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351458 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351480 */     // GIR_Coverage, 20448,
     /* 1351480 */     GIR_EraseRootFromParent_Done,
     /* 1351481 */   // Label 19250: @1351481
     /* 1351481 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1351562), // Rule ID 20449 //
     /* 1351486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351539 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1351542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351561 */     // GIR_Coverage, 20449,
     /* 1351561 */     GIR_EraseRootFromParent_Done,
     /* 1351562 */   // Label 19251: @1351562
     /* 1351562 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1351643), // Rule ID 20450 //
     /* 1351567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351620 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1351623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351642 */     // GIR_Coverage, 20450,
     /* 1351642 */     GIR_EraseRootFromParent_Done,
     /* 1351643 */   // Label 19252: @1351643
     /* 1351643 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1351724), // Rule ID 20451 //
     /* 1351648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1351668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351701 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1351704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351723 */     // GIR_Coverage, 20451,
     /* 1351723 */     GIR_EraseRootFromParent_Done,
     /* 1351724 */   // Label 19253: @1351724
     /* 1351724 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1351805), // Rule ID 20452 //
     /* 1351729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1351732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1351749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351782 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1351785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351804 */     // GIR_Coverage, 20452,
     /* 1351804 */     GIR_EraseRootFromParent_Done,
     /* 1351805 */   // Label 19254: @1351805
     /* 1351805 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1351886), // Rule ID 20453 //
     /* 1351810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351863 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1351866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351885 */     // GIR_Coverage, 20453,
     /* 1351885 */     GIR_EraseRootFromParent_Done,
     /* 1351886 */   // Label 19255: @1351886
     /* 1351886 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1351967), // Rule ID 20454 //
     /* 1351891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351944 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1351947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351966 */     // GIR_Coverage, 20454,
     /* 1351966 */     GIR_EraseRootFromParent_Done,
     /* 1351967 */   // Label 19256: @1351967
     /* 1351967 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1352048), // Rule ID 20455 //
     /* 1351972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1351983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1351986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1351989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1351992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1351995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352025 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352047 */     // GIR_Coverage, 20455,
     /* 1352047 */     GIR_EraseRootFromParent_Done,
     /* 1352048 */   // Label 19257: @1352048
     /* 1352048 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1352129), // Rule ID 20456 //
     /* 1352053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1352056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352106 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352128 */     // GIR_Coverage, 20456,
     /* 1352128 */     GIR_EraseRootFromParent_Done,
     /* 1352129 */   // Label 19258: @1352129
     /* 1352129 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1352210), // Rule ID 20457 //
     /* 1352134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352187 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352209 */     // GIR_Coverage, 20457,
     /* 1352209 */     GIR_EraseRootFromParent_Done,
     /* 1352210 */   // Label 19259: @1352210
     /* 1352210 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1352291), // Rule ID 20458 //
     /* 1352215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352268 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352290 */     // GIR_Coverage, 20458,
     /* 1352290 */     GIR_EraseRootFromParent_Done,
     /* 1352291 */   // Label 19260: @1352291
     /* 1352291 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1352372), // Rule ID 20459 //
     /* 1352296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352349 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352371 */     // GIR_Coverage, 20459,
     /* 1352371 */     GIR_EraseRootFromParent_Done,
     /* 1352372 */   // Label 19261: @1352372
     /* 1352372 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1352453), // Rule ID 20460 //
     /* 1352377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352430 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352452 */     // GIR_Coverage, 20460,
     /* 1352452 */     GIR_EraseRootFromParent_Done,
     /* 1352453 */   // Label 19262: @1352453
     /* 1352453 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1352534), // Rule ID 20461 //
     /* 1352458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352511 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352533 */     // GIR_Coverage, 20461,
     /* 1352533 */     GIR_EraseRootFromParent_Done,
     /* 1352534 */   // Label 19263: @1352534
     /* 1352534 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1352615), // Rule ID 20462 //
     /* 1352539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352592 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352614 */     // GIR_Coverage, 20462,
     /* 1352614 */     GIR_EraseRootFromParent_Done,
     /* 1352615 */   // Label 19264: @1352615
     /* 1352615 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1352696), // Rule ID 20463 //
     /* 1352620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1352640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352673 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352695 */     // GIR_Coverage, 20463,
     /* 1352695 */     GIR_EraseRootFromParent_Done,
     /* 1352696 */   // Label 19265: @1352696
     /* 1352696 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1352777), // Rule ID 20464 //
     /* 1352701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1352721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352754 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352776 */     // GIR_Coverage, 20464,
     /* 1352776 */     GIR_EraseRootFromParent_Done,
     /* 1352777 */   // Label 19266: @1352777
     /* 1352777 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1352858), // Rule ID 20465 //
     /* 1352782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352835 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1352838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352857 */     // GIR_Coverage, 20465,
     /* 1352857 */     GIR_EraseRootFromParent_Done,
     /* 1352858 */   // Label 19267: @1352858
     /* 1352858 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1352939), // Rule ID 20466 //
     /* 1352863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352916 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1352919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352938 */     // GIR_Coverage, 20466,
     /* 1352938 */     GIR_EraseRootFromParent_Done,
     /* 1352939 */   // Label 19268: @1352939
     /* 1352939 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1353020), // Rule ID 20467 //
     /* 1352944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1352955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1352958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1352964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352997 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353019 */     // GIR_Coverage, 20467,
     /* 1353019 */     GIR_EraseRootFromParent_Done,
     /* 1353020 */   // Label 19269: @1353020
     /* 1353020 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1353101), // Rule ID 20468 //
     /* 1353025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353100 */     // GIR_Coverage, 20468,
     /* 1353100 */     GIR_EraseRootFromParent_Done,
     /* 1353101 */   // Label 19270: @1353101
     /* 1353101 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1353182), // Rule ID 20469 //
     /* 1353106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353159 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353181 */     // GIR_Coverage, 20469,
     /* 1353181 */     GIR_EraseRootFromParent_Done,
     /* 1353182 */   // Label 19271: @1353182
     /* 1353182 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1353263), // Rule ID 20470 //
     /* 1353187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353240 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353262 */     // GIR_Coverage, 20470,
     /* 1353262 */     GIR_EraseRootFromParent_Done,
     /* 1353263 */   // Label 19272: @1353263
     /* 1353263 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1353344), // Rule ID 20471 //
     /* 1353268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353321 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353343 */     // GIR_Coverage, 20471,
     /* 1353343 */     GIR_EraseRootFromParent_Done,
     /* 1353344 */   // Label 19273: @1353344
     /* 1353344 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1353425), // Rule ID 20472 //
     /* 1353349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353402 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353424 */     // GIR_Coverage, 20472,
     /* 1353424 */     GIR_EraseRootFromParent_Done,
     /* 1353425 */   // Label 19274: @1353425
     /* 1353425 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1353506), // Rule ID 20473 //
     /* 1353430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353483 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353505 */     // GIR_Coverage, 20473,
     /* 1353505 */     GIR_EraseRootFromParent_Done,
     /* 1353506 */   // Label 19275: @1353506
     /* 1353506 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1353587), // Rule ID 20474 //
     /* 1353511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353564 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353586 */     // GIR_Coverage, 20474,
     /* 1353586 */     GIR_EraseRootFromParent_Done,
     /* 1353587 */   // Label 19276: @1353587
     /* 1353587 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1353668), // Rule ID 20475 //
     /* 1353592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353645 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353667 */     // GIR_Coverage, 20475,
     /* 1353667 */     GIR_EraseRootFromParent_Done,
     /* 1353668 */   // Label 19277: @1353668
     /* 1353668 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1353749), // Rule ID 20476 //
     /* 1353673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353726 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353748 */     // GIR_Coverage, 20476,
     /* 1353748 */     GIR_EraseRootFromParent_Done,
     /* 1353749 */   // Label 19278: @1353749
     /* 1353749 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1353830), // Rule ID 20477 //
     /* 1353754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353807 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1353810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353829 */     // GIR_Coverage, 20477,
     /* 1353829 */     GIR_EraseRootFromParent_Done,
     /* 1353830 */   // Label 19279: @1353830
     /* 1353830 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1353911), // Rule ID 20478 //
     /* 1353835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353888 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1353891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353910 */     // GIR_Coverage, 20478,
     /* 1353910 */     GIR_EraseRootFromParent_Done,
     /* 1353911 */   // Label 19280: @1353911
     /* 1353911 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1353992), // Rule ID 20479 //
     /* 1353916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1353927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1353930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353969 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353991 */     // GIR_Coverage, 20479,
     /* 1353991 */     GIR_EraseRootFromParent_Done,
     /* 1353992 */   // Label 19281: @1353992
     /* 1353992 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1354073), // Rule ID 20480 //
     /* 1353997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1354017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354050 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1354053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354072 */     // GIR_Coverage, 20480,
     /* 1354072 */     GIR_EraseRootFromParent_Done,
     /* 1354073 */   // Label 19282: @1354073
     /* 1354073 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1354154), // Rule ID 20481 //
     /* 1354078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354131 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354153 */     // GIR_Coverage, 20481,
     /* 1354153 */     GIR_EraseRootFromParent_Done,
     /* 1354154 */   // Label 19283: @1354154
     /* 1354154 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1354235), // Rule ID 20482 //
     /* 1354159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354212 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354234 */     // GIR_Coverage, 20482,
     /* 1354234 */     GIR_EraseRootFromParent_Done,
     /* 1354235 */   // Label 19284: @1354235
     /* 1354235 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1354319), // Rule ID 21863 //
     /* 1354240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354318 */     // GIR_Coverage, 21863,
     /* 1354318 */     GIR_EraseRootFromParent_Done,
     /* 1354319 */   // Label 19285: @1354319
     /* 1354319 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1354403), // Rule ID 21864 //
     /* 1354324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354402 */     // GIR_Coverage, 21864,
     /* 1354402 */     GIR_EraseRootFromParent_Done,
     /* 1354403 */   // Label 19286: @1354403
     /* 1354403 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1354487), // Rule ID 21867 //
     /* 1354408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354461 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354486 */     // GIR_Coverage, 21867,
     /* 1354486 */     GIR_EraseRootFromParent_Done,
     /* 1354487 */   // Label 19287: @1354487
     /* 1354487 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1354571), // Rule ID 21868 //
     /* 1354492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354545 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354570 */     // GIR_Coverage, 21868,
     /* 1354570 */     GIR_EraseRootFromParent_Done,
     /* 1354571 */   // Label 19288: @1354571
     /* 1354571 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1354655), // Rule ID 21871 //
     /* 1354576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354629 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1354632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354654 */     // GIR_Coverage, 21871,
     /* 1354654 */     GIR_EraseRootFromParent_Done,
     /* 1354655 */   // Label 19289: @1354655
     /* 1354655 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1354739), // Rule ID 21872 //
     /* 1354660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354713 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1354716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354738 */     // GIR_Coverage, 21872,
     /* 1354738 */     GIR_EraseRootFromParent_Done,
     /* 1354739 */   // Label 19290: @1354739
     /* 1354739 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1354823), // Rule ID 21875 //
     /* 1354744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1354800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354822 */     // GIR_Coverage, 21875,
     /* 1354822 */     GIR_EraseRootFromParent_Done,
     /* 1354823 */   // Label 19291: @1354823
     /* 1354823 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1354907), // Rule ID 21876 //
     /* 1354828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354881 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1354884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354906 */     // GIR_Coverage, 21876,
     /* 1354906 */     GIR_EraseRootFromParent_Done,
     /* 1354907 */   // Label 19292: @1354907
     /* 1354907 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1354991), // Rule ID 21879 //
     /* 1354912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1354968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354990 */     // GIR_Coverage, 21879,
     /* 1354990 */     GIR_EraseRootFromParent_Done,
     /* 1354991 */   // Label 19293: @1354991
     /* 1354991 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1355075), // Rule ID 21880 //
     /* 1354996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1355052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355074 */     // GIR_Coverage, 21880,
     /* 1355074 */     GIR_EraseRootFromParent_Done,
     /* 1355075 */   // Label 19294: @1355075
     /* 1355075 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1355159), // Rule ID 21883 //
     /* 1355080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355133 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355158 */     // GIR_Coverage, 21883,
     /* 1355158 */     GIR_EraseRootFromParent_Done,
     /* 1355159 */   // Label 19295: @1355159
     /* 1355159 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1355243), // Rule ID 21884 //
     /* 1355164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355242 */     // GIR_Coverage, 21884,
     /* 1355242 */     GIR_EraseRootFromParent_Done,
     /* 1355243 */   // Label 19296: @1355243
     /* 1355243 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1355327), // Rule ID 21887 //
     /* 1355248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355326 */     // GIR_Coverage, 21887,
     /* 1355326 */     GIR_EraseRootFromParent_Done,
     /* 1355327 */   // Label 19297: @1355327
     /* 1355327 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1355411), // Rule ID 21888 //
     /* 1355332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355385 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355410 */     // GIR_Coverage, 21888,
     /* 1355410 */     GIR_EraseRootFromParent_Done,
     /* 1355411 */   // Label 19298: @1355411
     /* 1355411 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1355495), // Rule ID 21891 //
     /* 1355416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355494 */     // GIR_Coverage, 21891,
     /* 1355494 */     GIR_EraseRootFromParent_Done,
     /* 1355495 */   // Label 19299: @1355495
     /* 1355495 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1355579), // Rule ID 21892 //
     /* 1355500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355578 */     // GIR_Coverage, 21892,
     /* 1355578 */     GIR_EraseRootFromParent_Done,
     /* 1355579 */   // Label 19300: @1355579
     /* 1355579 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1355663), // Rule ID 21895 //
     /* 1355584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1355587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355637 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1355640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355662 */     // GIR_Coverage, 21895,
     /* 1355662 */     GIR_EraseRootFromParent_Done,
     /* 1355663 */   // Label 19301: @1355663
     /* 1355663 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1355747), // Rule ID 21896 //
     /* 1355668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1355671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1355724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355746 */     // GIR_Coverage, 21896,
     /* 1355746 */     GIR_EraseRootFromParent_Done,
     /* 1355747 */   // Label 19302: @1355747
     /* 1355747 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1355831), // Rule ID 21899 //
     /* 1355752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1355769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355805 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1355808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355830 */     // GIR_Coverage, 21899,
     /* 1355830 */     GIR_EraseRootFromParent_Done,
     /* 1355831 */   // Label 19303: @1355831
     /* 1355831 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1355915), // Rule ID 21900 //
     /* 1355836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1355853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1355892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355914 */     // GIR_Coverage, 21900,
     /* 1355914 */     GIR_EraseRootFromParent_Done,
     /* 1355915 */   // Label 19304: @1355915
     /* 1355915 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1355999), // Rule ID 21903 //
     /* 1355920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1355937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1355943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1355976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355998 */     // GIR_Coverage, 21903,
     /* 1355998 */     GIR_EraseRootFromParent_Done,
     /* 1355999 */   // Label 19305: @1355999
     /* 1355999 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1356083), // Rule ID 21904 //
     /* 1356004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1356021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1356060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356082 */     // GIR_Coverage, 21904,
     /* 1356082 */     GIR_EraseRootFromParent_Done,
     /* 1356083 */   // Label 19306: @1356083
     /* 1356083 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1356167), // Rule ID 21907 //
     /* 1356088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356141 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356166 */     // GIR_Coverage, 21907,
     /* 1356166 */     GIR_EraseRootFromParent_Done,
     /* 1356167 */   // Label 19307: @1356167
     /* 1356167 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1356251), // Rule ID 21908 //
     /* 1356172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356250 */     // GIR_Coverage, 21908,
     /* 1356250 */     GIR_EraseRootFromParent_Done,
     /* 1356251 */   // Label 19308: @1356251
     /* 1356251 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1356335), // Rule ID 21911 //
     /* 1356256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356334 */     // GIR_Coverage, 21911,
     /* 1356334 */     GIR_EraseRootFromParent_Done,
     /* 1356335 */   // Label 19309: @1356335
     /* 1356335 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1356419), // Rule ID 21912 //
     /* 1356340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356393 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356418 */     // GIR_Coverage, 21912,
     /* 1356418 */     GIR_EraseRootFromParent_Done,
     /* 1356419 */   // Label 19310: @1356419
     /* 1356419 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1356503), // Rule ID 21915 //
     /* 1356424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356502 */     // GIR_Coverage, 21915,
     /* 1356502 */     GIR_EraseRootFromParent_Done,
     /* 1356503 */   // Label 19311: @1356503
     /* 1356503 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1356587), // Rule ID 21916 //
     /* 1356508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356586 */     // GIR_Coverage, 21916,
     /* 1356586 */     GIR_EraseRootFromParent_Done,
     /* 1356587 */   // Label 19312: @1356587
     /* 1356587 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1356671), // Rule ID 21919 //
     /* 1356592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356645 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1356648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356670 */     // GIR_Coverage, 21919,
     /* 1356670 */     GIR_EraseRootFromParent_Done,
     /* 1356671 */   // Label 19313: @1356671
     /* 1356671 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1356755), // Rule ID 21920 //
     /* 1356676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1356732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356754 */     // GIR_Coverage, 21920,
     /* 1356754 */     GIR_EraseRootFromParent_Done,
     /* 1356755 */   // Label 19314: @1356755
     /* 1356755 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1356839), // Rule ID 21923 //
     /* 1356760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1356816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356838 */     // GIR_Coverage, 21923,
     /* 1356838 */     GIR_EraseRootFromParent_Done,
     /* 1356839 */   // Label 19315: @1356839
     /* 1356839 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1356923), // Rule ID 21924 //
     /* 1356844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1356900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356922 */     // GIR_Coverage, 21924,
     /* 1356922 */     GIR_EraseRootFromParent_Done,
     /* 1356923 */   // Label 19316: @1356923
     /* 1356923 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1357007), // Rule ID 21927 //
     /* 1356928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1356945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356981 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1356984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357006 */     // GIR_Coverage, 21927,
     /* 1357006 */     GIR_EraseRootFromParent_Done,
     /* 1357007 */   // Label 19317: @1357007
     /* 1357007 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1357091), // Rule ID 21928 //
     /* 1357012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357065 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1357068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357090 */     // GIR_Coverage, 21928,
     /* 1357090 */     GIR_EraseRootFromParent_Done,
     /* 1357091 */   // Label 19318: @1357091
     /* 1357091 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1357175), // Rule ID 21931 //
     /* 1357096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357174 */     // GIR_Coverage, 21931,
     /* 1357174 */     GIR_EraseRootFromParent_Done,
     /* 1357175 */   // Label 19319: @1357175
     /* 1357175 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1357259), // Rule ID 21932 //
     /* 1357180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357258 */     // GIR_Coverage, 21932,
     /* 1357258 */     GIR_EraseRootFromParent_Done,
     /* 1357259 */   // Label 19320: @1357259
     /* 1357259 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1357343), // Rule ID 21935 //
     /* 1357264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357342 */     // GIR_Coverage, 21935,
     /* 1357342 */     GIR_EraseRootFromParent_Done,
     /* 1357343 */   // Label 19321: @1357343
     /* 1357343 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1357427), // Rule ID 21936 //
     /* 1357348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357401 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357426 */     // GIR_Coverage, 21936,
     /* 1357426 */     GIR_EraseRootFromParent_Done,
     /* 1357427 */   // Label 19322: @1357427
     /* 1357427 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1357511), // Rule ID 21939 //
     /* 1357432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357485 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357510 */     // GIR_Coverage, 21939,
     /* 1357510 */     GIR_EraseRootFromParent_Done,
     /* 1357511 */   // Label 19323: @1357511
     /* 1357511 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1357595), // Rule ID 21940 //
     /* 1357516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357594 */     // GIR_Coverage, 21940,
     /* 1357594 */     GIR_EraseRootFromParent_Done,
     /* 1357595 */   // Label 19324: @1357595
     /* 1357595 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1357679), // Rule ID 21943 //
     /* 1357600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1357617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1357656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357678 */     // GIR_Coverage, 21943,
     /* 1357678 */     GIR_EraseRootFromParent_Done,
     /* 1357679 */   // Label 19325: @1357679
     /* 1357679 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1357763), // Rule ID 21944 //
     /* 1357684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1357701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1357740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357762 */     // GIR_Coverage, 21944,
     /* 1357762 */     GIR_EraseRootFromParent_Done,
     /* 1357763 */   // Label 19326: @1357763
     /* 1357763 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1357847), // Rule ID 21947 //
     /* 1357768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1357785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357821 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1357824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357846 */     // GIR_Coverage, 21947,
     /* 1357846 */     GIR_EraseRootFromParent_Done,
     /* 1357847 */   // Label 19327: @1357847
     /* 1357847 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1357931), // Rule ID 21948 //
     /* 1357852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1357869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357905 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1357908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357930 */     // GIR_Coverage, 21948,
     /* 1357930 */     GIR_EraseRootFromParent_Done,
     /* 1357931 */   // Label 19328: @1357931
     /* 1357931 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1358015), // Rule ID 21951 //
     /* 1357936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1357953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1357992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358014 */     // GIR_Coverage, 21951,
     /* 1358014 */     GIR_EraseRootFromParent_Done,
     /* 1358015 */   // Label 19329: @1358015
     /* 1358015 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1358099), // Rule ID 21952 //
     /* 1358020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358073 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1358076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358098 */     // GIR_Coverage, 21952,
     /* 1358098 */     GIR_EraseRootFromParent_Done,
     /* 1358099 */   // Label 19330: @1358099
     /* 1358099 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1358183), // Rule ID 21955 //
     /* 1358104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358182 */     // GIR_Coverage, 21955,
     /* 1358182 */     GIR_EraseRootFromParent_Done,
     /* 1358183 */   // Label 19331: @1358183
     /* 1358183 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1358267), // Rule ID 21956 //
     /* 1358188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358241 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358266 */     // GIR_Coverage, 21956,
     /* 1358266 */     GIR_EraseRootFromParent_Done,
     /* 1358267 */   // Label 19332: @1358267
     /* 1358267 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1358351), // Rule ID 21959 //
     /* 1358272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358325 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358350 */     // GIR_Coverage, 21959,
     /* 1358350 */     GIR_EraseRootFromParent_Done,
     /* 1358351 */   // Label 19333: @1358351
     /* 1358351 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1358435), // Rule ID 21960 //
     /* 1358356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358434 */     // GIR_Coverage, 21960,
     /* 1358434 */     GIR_EraseRootFromParent_Done,
     /* 1358435 */   // Label 19334: @1358435
     /* 1358435 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1358519), // Rule ID 21963 //
     /* 1358440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358518 */     // GIR_Coverage, 21963,
     /* 1358518 */     GIR_EraseRootFromParent_Done,
     /* 1358519 */   // Label 19335: @1358519
     /* 1358519 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1358603), // Rule ID 21964 //
     /* 1358524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358602 */     // GIR_Coverage, 21964,
     /* 1358602 */     GIR_EraseRootFromParent_Done,
     /* 1358603 */   // Label 19336: @1358603
     /* 1358603 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1358687), // Rule ID 21967 //
     /* 1358608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1358664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358686 */     // GIR_Coverage, 21967,
     /* 1358686 */     GIR_EraseRootFromParent_Done,
     /* 1358687 */   // Label 19337: @1358687
     /* 1358687 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1358771), // Rule ID 21968 //
     /* 1358692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358745 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1358748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358770 */     // GIR_Coverage, 21968,
     /* 1358770 */     GIR_EraseRootFromParent_Done,
     /* 1358771 */   // Label 19338: @1358771
     /* 1358771 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1358855), // Rule ID 21971 //
     /* 1358776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1358793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358829 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1358832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358854 */     // GIR_Coverage, 21971,
     /* 1358854 */     GIR_EraseRootFromParent_Done,
     /* 1358855 */   // Label 19339: @1358855
     /* 1358855 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1358939), // Rule ID 21972 //
     /* 1358860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1358877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358913 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1358916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358938 */     // GIR_Coverage, 21972,
     /* 1358938 */     GIR_EraseRootFromParent_Done,
     /* 1358939 */   // Label 19340: @1358939
     /* 1358939 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1359023), // Rule ID 21975 //
     /* 1358944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1358961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1359000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359022 */     // GIR_Coverage, 21975,
     /* 1359022 */     GIR_EraseRootFromParent_Done,
     /* 1359023 */   // Label 19341: @1359023
     /* 1359023 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1359107), // Rule ID 21976 //
     /* 1359028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1359084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359106 */     // GIR_Coverage, 21976,
     /* 1359106 */     GIR_EraseRootFromParent_Done,
     /* 1359107 */   // Label 19342: @1359107
     /* 1359107 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1359191), // Rule ID 21979 //
     /* 1359112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359190 */     // GIR_Coverage, 21979,
     /* 1359190 */     GIR_EraseRootFromParent_Done,
     /* 1359191 */   // Label 19343: @1359191
     /* 1359191 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1359275), // Rule ID 21980 //
     /* 1359196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359274 */     // GIR_Coverage, 21980,
     /* 1359274 */     GIR_EraseRootFromParent_Done,
     /* 1359275 */   // Label 19344: @1359275
     /* 1359275 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1359359), // Rule ID 21983 //
     /* 1359280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359358 */     // GIR_Coverage, 21983,
     /* 1359358 */     GIR_EraseRootFromParent_Done,
     /* 1359359 */   // Label 19345: @1359359
     /* 1359359 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1359443), // Rule ID 21984 //
     /* 1359364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359442 */     // GIR_Coverage, 21984,
     /* 1359442 */     GIR_EraseRootFromParent_Done,
     /* 1359443 */   // Label 19346: @1359443
     /* 1359443 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1359527), // Rule ID 21987 //
     /* 1359448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359526 */     // GIR_Coverage, 21987,
     /* 1359526 */     GIR_EraseRootFromParent_Done,
     /* 1359527 */   // Label 19347: @1359527
     /* 1359527 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1359611), // Rule ID 21988 //
     /* 1359532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359585 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359610 */     // GIR_Coverage, 21988,
     /* 1359610 */     GIR_EraseRootFromParent_Done,
     /* 1359611 */   // Label 19348: @1359611
     /* 1359611 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1359695), // Rule ID 21991 //
     /* 1359616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1359633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359669 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1359672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359694 */     // GIR_Coverage, 21991,
     /* 1359694 */     GIR_EraseRootFromParent_Done,
     /* 1359695 */   // Label 19349: @1359695
     /* 1359695 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1359779), // Rule ID 21992 //
     /* 1359700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1359717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1359756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359778 */     // GIR_Coverage, 21992,
     /* 1359778 */     GIR_EraseRootFromParent_Done,
     /* 1359779 */   // Label 19350: @1359779
     /* 1359779 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1359863), // Rule ID 21995 //
     /* 1359784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1359801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1359807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1359840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359862 */     // GIR_Coverage, 21995,
     /* 1359862 */     GIR_EraseRootFromParent_Done,
     /* 1359863 */   // Label 19351: @1359863
     /* 1359863 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1359947), // Rule ID 21996 //
     /* 1359868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1359885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1359891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359921 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1359924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359946 */     // GIR_Coverage, 21996,
     /* 1359946 */     GIR_EraseRootFromParent_Done,
     /* 1359947 */   // Label 19352: @1359947
     /* 1359947 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1360031), // Rule ID 21999 //
     /* 1359952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1359969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1360008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360030 */     // GIR_Coverage, 21999,
     /* 1360030 */     GIR_EraseRootFromParent_Done,
     /* 1360031 */   // Label 19353: @1360031
     /* 1360031 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1360115), // Rule ID 22000 //
     /* 1360036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360089 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1360092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360114 */     // GIR_Coverage, 22000,
     /* 1360114 */     GIR_EraseRootFromParent_Done,
     /* 1360115 */   // Label 19354: @1360115
     /* 1360115 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1360199), // Rule ID 22003 //
     /* 1360120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360198 */     // GIR_Coverage, 22003,
     /* 1360198 */     GIR_EraseRootFromParent_Done,
     /* 1360199 */   // Label 19355: @1360199
     /* 1360199 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1360283), // Rule ID 22004 //
     /* 1360204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360282 */     // GIR_Coverage, 22004,
     /* 1360282 */     GIR_EraseRootFromParent_Done,
     /* 1360283 */   // Label 19356: @1360283
     /* 1360283 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1360367), // Rule ID 22007 //
     /* 1360288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360366 */     // GIR_Coverage, 22007,
     /* 1360366 */     GIR_EraseRootFromParent_Done,
     /* 1360367 */   // Label 19357: @1360367
     /* 1360367 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1360451), // Rule ID 22008 //
     /* 1360372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360450 */     // GIR_Coverage, 22008,
     /* 1360450 */     GIR_EraseRootFromParent_Done,
     /* 1360451 */   // Label 19358: @1360451
     /* 1360451 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1360535), // Rule ID 22011 //
     /* 1360456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360534 */     // GIR_Coverage, 22011,
     /* 1360534 */     GIR_EraseRootFromParent_Done,
     /* 1360535 */   // Label 19359: @1360535
     /* 1360535 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1360619), // Rule ID 22012 //
     /* 1360540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360618 */     // GIR_Coverage, 22012,
     /* 1360618 */     GIR_EraseRootFromParent_Done,
     /* 1360619 */   // Label 19360: @1360619
     /* 1360619 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1360703), // Rule ID 22015 //
     /* 1360624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1360641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1360680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360702 */     // GIR_Coverage, 22015,
     /* 1360702 */     GIR_EraseRootFromParent_Done,
     /* 1360703 */   // Label 19361: @1360703
     /* 1360703 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1360787), // Rule ID 22016 //
     /* 1360708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1360725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1360764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360786 */     // GIR_Coverage, 22016,
     /* 1360786 */     GIR_EraseRootFromParent_Done,
     /* 1360787 */   // Label 19362: @1360787
     /* 1360787 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1360871), // Rule ID 22019 //
     /* 1360792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1360848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360870 */     // GIR_Coverage, 22019,
     /* 1360870 */     GIR_EraseRootFromParent_Done,
     /* 1360871 */   // Label 19363: @1360871
     /* 1360871 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1360955), // Rule ID 22020 //
     /* 1360876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1360932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360954 */     // GIR_Coverage, 22020,
     /* 1360954 */     GIR_EraseRootFromParent_Done,
     /* 1360955 */   // Label 19364: @1360955
     /* 1360955 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1361039), // Rule ID 22023 //
     /* 1360960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1360963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1361016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361038 */     // GIR_Coverage, 22023,
     /* 1361038 */     GIR_EraseRootFromParent_Done,
     /* 1361039 */   // Label 19365: @1361039
     /* 1361039 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1361123), // Rule ID 22024 //
     /* 1361044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1361100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361122 */     // GIR_Coverage, 22024,
     /* 1361122 */     GIR_EraseRootFromParent_Done,
     /* 1361123 */   // Label 19366: @1361123
     /* 1361123 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1361207), // Rule ID 22027 //
     /* 1361128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361206 */     // GIR_Coverage, 22027,
     /* 1361206 */     GIR_EraseRootFromParent_Done,
     /* 1361207 */   // Label 19367: @1361207
     /* 1361207 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1361291), // Rule ID 22028 //
     /* 1361212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361290 */     // GIR_Coverage, 22028,
     /* 1361290 */     GIR_EraseRootFromParent_Done,
     /* 1361291 */   // Label 19368: @1361291
     /* 1361291 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1361375), // Rule ID 22031 //
     /* 1361296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361349 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361374 */     // GIR_Coverage, 22031,
     /* 1361374 */     GIR_EraseRootFromParent_Done,
     /* 1361375 */   // Label 19369: @1361375
     /* 1361375 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1361459), // Rule ID 22032 //
     /* 1361380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361458 */     // GIR_Coverage, 22032,
     /* 1361458 */     GIR_EraseRootFromParent_Done,
     /* 1361459 */   // Label 19370: @1361459
     /* 1361459 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1361543), // Rule ID 22035 //
     /* 1361464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361542 */     // GIR_Coverage, 22035,
     /* 1361542 */     GIR_EraseRootFromParent_Done,
     /* 1361543 */   // Label 19371: @1361543
     /* 1361543 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1361627), // Rule ID 22036 //
     /* 1361548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361601 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361626 */     // GIR_Coverage, 22036,
     /* 1361626 */     GIR_EraseRootFromParent_Done,
     /* 1361627 */   // Label 19372: @1361627
     /* 1361627 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1361711), // Rule ID 22039 //
     /* 1361632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1361649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361685 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1361688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361710 */     // GIR_Coverage, 22039,
     /* 1361710 */     GIR_EraseRootFromParent_Done,
     /* 1361711 */   // Label 19373: @1361711
     /* 1361711 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1361795), // Rule ID 22040 //
     /* 1361716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1361733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1361772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361794 */     // GIR_Coverage, 22040,
     /* 1361794 */     GIR_EraseRootFromParent_Done,
     /* 1361795 */   // Label 19374: @1361795
     /* 1361795 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1361879), // Rule ID 22043 //
     /* 1361800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1361856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361878 */     // GIR_Coverage, 22043,
     /* 1361878 */     GIR_EraseRootFromParent_Done,
     /* 1361879 */   // Label 19375: @1361879
     /* 1361879 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1361963), // Rule ID 22044 //
     /* 1361884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361937 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1361940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361962 */     // GIR_Coverage, 22044,
     /* 1361962 */     GIR_EraseRootFromParent_Done,
     /* 1361963 */   // Label 19376: @1361963
     /* 1361963 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1362047), // Rule ID 22047 //
     /* 1361968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1361985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1362024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362046 */     // GIR_Coverage, 22047,
     /* 1362046 */     GIR_EraseRootFromParent_Done,
     /* 1362047 */   // Label 19377: @1362047
     /* 1362047 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1362131), // Rule ID 22048 //
     /* 1362052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1362108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362130 */     // GIR_Coverage, 22048,
     /* 1362130 */     GIR_EraseRootFromParent_Done,
     /* 1362131 */   // Label 19378: @1362131
     /* 1362131 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1362215), // Rule ID 22051 //
     /* 1362136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362214 */     // GIR_Coverage, 22051,
     /* 1362214 */     GIR_EraseRootFromParent_Done,
     /* 1362215 */   // Label 19379: @1362215
     /* 1362215 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1362299), // Rule ID 22052 //
     /* 1362220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362298 */     // GIR_Coverage, 22052,
     /* 1362298 */     GIR_EraseRootFromParent_Done,
     /* 1362299 */   // Label 19380: @1362299
     /* 1362299 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1362383), // Rule ID 22055 //
     /* 1362304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362382 */     // GIR_Coverage, 22055,
     /* 1362382 */     GIR_EraseRootFromParent_Done,
     /* 1362383 */   // Label 19381: @1362383
     /* 1362383 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1362467), // Rule ID 22056 //
     /* 1362388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362466 */     // GIR_Coverage, 22056,
     /* 1362466 */     GIR_EraseRootFromParent_Done,
     /* 1362467 */   // Label 19382: @1362467
     /* 1362467 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1362551), // Rule ID 22059 //
     /* 1362472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362525 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362550 */     // GIR_Coverage, 22059,
     /* 1362550 */     GIR_EraseRootFromParent_Done,
     /* 1362551 */   // Label 19383: @1362551
     /* 1362551 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1362635), // Rule ID 22060 //
     /* 1362556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362634 */     // GIR_Coverage, 22060,
     /* 1362634 */     GIR_EraseRootFromParent_Done,
     /* 1362635 */   // Label 19384: @1362635
     /* 1362635 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1362719), // Rule ID 22063 //
     /* 1362640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1362657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1362696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362718 */     // GIR_Coverage, 22063,
     /* 1362718 */     GIR_EraseRootFromParent_Done,
     /* 1362719 */   // Label 19385: @1362719
     /* 1362719 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1362803), // Rule ID 22064 //
     /* 1362724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1362741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1362780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362802 */     // GIR_Coverage, 22064,
     /* 1362802 */     GIR_EraseRootFromParent_Done,
     /* 1362803 */   // Label 19386: @1362803
     /* 1362803 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1362887), // Rule ID 22067 //
     /* 1362808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362861 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1362864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362886 */     // GIR_Coverage, 22067,
     /* 1362886 */     GIR_EraseRootFromParent_Done,
     /* 1362887 */   // Label 19387: @1362887
     /* 1362887 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1362971), // Rule ID 22068 //
     /* 1362892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362945 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1362948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362970 */     // GIR_Coverage, 22068,
     /* 1362970 */     GIR_EraseRootFromParent_Done,
     /* 1362971 */   // Label 19388: @1362971
     /* 1362971 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1363055), // Rule ID 22071 //
     /* 1362976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363029 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1363032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363054 */     // GIR_Coverage, 22071,
     /* 1363054 */     GIR_EraseRootFromParent_Done,
     /* 1363055 */   // Label 19389: @1363055
     /* 1363055 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1363139), // Rule ID 22072 //
     /* 1363060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1363116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363138 */     // GIR_Coverage, 22072,
     /* 1363138 */     GIR_EraseRootFromParent_Done,
     /* 1363139 */   // Label 19390: @1363139
     /* 1363139 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1363223), // Rule ID 22075 //
     /* 1363144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363222 */     // GIR_Coverage, 22075,
     /* 1363222 */     GIR_EraseRootFromParent_Done,
     /* 1363223 */   // Label 19391: @1363223
     /* 1363223 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1363307), // Rule ID 22076 //
     /* 1363228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363281 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363306 */     // GIR_Coverage, 22076,
     /* 1363306 */     GIR_EraseRootFromParent_Done,
     /* 1363307 */   // Label 19392: @1363307
     /* 1363307 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1363391), // Rule ID 22079 //
     /* 1363312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363390 */     // GIR_Coverage, 22079,
     /* 1363390 */     GIR_EraseRootFromParent_Done,
     /* 1363391 */   // Label 19393: @1363391
     /* 1363391 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1363475), // Rule ID 22080 //
     /* 1363396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363474 */     // GIR_Coverage, 22080,
     /* 1363474 */     GIR_EraseRootFromParent_Done,
     /* 1363475 */   // Label 19394: @1363475
     /* 1363475 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1363559), // Rule ID 22083 //
     /* 1363480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1363536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363558 */     // GIR_Coverage, 22083,
     /* 1363558 */     GIR_EraseRootFromParent_Done,
     /* 1363559 */   // Label 19395: @1363559
     /* 1363559 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1363643), // Rule ID 22084 //
     /* 1363564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1363620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363642 */     // GIR_Coverage, 22084,
     /* 1363642 */     GIR_EraseRootFromParent_Done,
     /* 1363643 */   // Label 19396: @1363643
     /* 1363643 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1363727), // Rule ID 22087 //
     /* 1363648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1363704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363726 */     // GIR_Coverage, 22087,
     /* 1363726 */     GIR_EraseRootFromParent_Done,
     /* 1363727 */   // Label 19397: @1363727
     /* 1363727 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1363811), // Rule ID 22088 //
     /* 1363732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1363788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363810 */     // GIR_Coverage, 22088,
     /* 1363810 */     GIR_EraseRootFromParent_Done,
     /* 1363811 */   // Label 19398: @1363811
     /* 1363811 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1363895), // Rule ID 22091 //
     /* 1363816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1363872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363894 */     // GIR_Coverage, 22091,
     /* 1363894 */     GIR_EraseRootFromParent_Done,
     /* 1363895 */   // Label 19399: @1363895
     /* 1363895 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1363979), // Rule ID 22092 //
     /* 1363900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1363956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363978 */     // GIR_Coverage, 22092,
     /* 1363978 */     GIR_EraseRootFromParent_Done,
     /* 1363979 */   // Label 19400: @1363979
     /* 1363979 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1364063), // Rule ID 22095 //
     /* 1363984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364037 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1364040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364062 */     // GIR_Coverage, 22095,
     /* 1364062 */     GIR_EraseRootFromParent_Done,
     /* 1364063 */   // Label 19401: @1364063
     /* 1364063 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1364147), // Rule ID 22096 //
     /* 1364068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1364124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364146 */     // GIR_Coverage, 22096,
     /* 1364146 */     GIR_EraseRootFromParent_Done,
     /* 1364147 */   // Label 19402: @1364147
     /* 1364147 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1364231), // Rule ID 22099 //
     /* 1364152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364230 */     // GIR_Coverage, 22099,
     /* 1364230 */     GIR_EraseRootFromParent_Done,
     /* 1364231 */   // Label 19403: @1364231
     /* 1364231 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1364315), // Rule ID 22100 //
     /* 1364236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364314 */     // GIR_Coverage, 22100,
     /* 1364314 */     GIR_EraseRootFromParent_Done,
     /* 1364315 */   // Label 19404: @1364315
     /* 1364315 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1364399), // Rule ID 22103 //
     /* 1364320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364398 */     // GIR_Coverage, 22103,
     /* 1364398 */     GIR_EraseRootFromParent_Done,
     /* 1364399 */   // Label 19405: @1364399
     /* 1364399 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1364483), // Rule ID 22104 //
     /* 1364404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364482 */     // GIR_Coverage, 22104,
     /* 1364482 */     GIR_EraseRootFromParent_Done,
     /* 1364483 */   // Label 19406: @1364483
     /* 1364483 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1364567), // Rule ID 22107 //
     /* 1364488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364541 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1364544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364566 */     // GIR_Coverage, 22107,
     /* 1364566 */     GIR_EraseRootFromParent_Done,
     /* 1364567 */   // Label 19407: @1364567
     /* 1364567 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1364651), // Rule ID 22108 //
     /* 1364572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1364628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364650 */     // GIR_Coverage, 22108,
     /* 1364650 */     GIR_EraseRootFromParent_Done,
     /* 1364651 */   // Label 19408: @1364651
     /* 1364651 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1364735), // Rule ID 22111 //
     /* 1364656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1364712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364734 */     // GIR_Coverage, 22111,
     /* 1364734 */     GIR_EraseRootFromParent_Done,
     /* 1364735 */   // Label 19409: @1364735
     /* 1364735 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1364819), // Rule ID 22112 //
     /* 1364740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1364796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364818 */     // GIR_Coverage, 22112,
     /* 1364818 */     GIR_EraseRootFromParent_Done,
     /* 1364819 */   // Label 19410: @1364819
     /* 1364819 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1364903), // Rule ID 22115 //
     /* 1364824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1364880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364902 */     // GIR_Coverage, 22115,
     /* 1364902 */     GIR_EraseRootFromParent_Done,
     /* 1364903 */   // Label 19411: @1364903
     /* 1364903 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1364987), // Rule ID 22116 //
     /* 1364908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1364964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364986 */     // GIR_Coverage, 22116,
     /* 1364986 */     GIR_EraseRootFromParent_Done,
     /* 1364987 */   // Label 19412: @1364987
     /* 1364987 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1365071), // Rule ID 22119 //
     /* 1364992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1365048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365070 */     // GIR_Coverage, 22119,
     /* 1365070 */     GIR_EraseRootFromParent_Done,
     /* 1365071 */   // Label 19413: @1365071
     /* 1365071 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1365155), // Rule ID 22120 //
     /* 1365076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1365132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365154 */     // GIR_Coverage, 22120,
     /* 1365154 */     GIR_EraseRootFromParent_Done,
     /* 1365155 */   // Label 19414: @1365155
     /* 1365155 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1365239), // Rule ID 22123 //
     /* 1365160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365213 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365238 */     // GIR_Coverage, 22123,
     /* 1365238 */     GIR_EraseRootFromParent_Done,
     /* 1365239 */   // Label 19415: @1365239
     /* 1365239 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1365323), // Rule ID 22124 //
     /* 1365244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365297 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365322 */     // GIR_Coverage, 22124,
     /* 1365322 */     GIR_EraseRootFromParent_Done,
     /* 1365323 */   // Label 19416: @1365323
     /* 1365323 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1365407), // Rule ID 22127 //
     /* 1365328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365381 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365406 */     // GIR_Coverage, 22127,
     /* 1365406 */     GIR_EraseRootFromParent_Done,
     /* 1365407 */   // Label 19417: @1365407
     /* 1365407 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1365491), // Rule ID 22128 //
     /* 1365412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365490 */     // GIR_Coverage, 22128,
     /* 1365490 */     GIR_EraseRootFromParent_Done,
     /* 1365491 */   // Label 19418: @1365491
     /* 1365491 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1365575), // Rule ID 22131 //
     /* 1365496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1365552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365574 */     // GIR_Coverage, 22131,
     /* 1365574 */     GIR_EraseRootFromParent_Done,
     /* 1365575 */   // Label 19419: @1365575
     /* 1365575 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1365659), // Rule ID 22132 //
     /* 1365580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1365636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365658 */     // GIR_Coverage, 22132,
     /* 1365658 */     GIR_EraseRootFromParent_Done,
     /* 1365659 */   // Label 19420: @1365659
     /* 1365659 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1365743), // Rule ID 22135 //
     /* 1365664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1365720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365742 */     // GIR_Coverage, 22135,
     /* 1365742 */     GIR_EraseRootFromParent_Done,
     /* 1365743 */   // Label 19421: @1365743
     /* 1365743 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1365827), // Rule ID 22136 //
     /* 1365748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1365804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365826 */     // GIR_Coverage, 22136,
     /* 1365826 */     GIR_EraseRootFromParent_Done,
     /* 1365827 */   // Label 19422: @1365827
     /* 1365827 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1365911), // Rule ID 22139 //
     /* 1365832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1365888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365910 */     // GIR_Coverage, 22139,
     /* 1365910 */     GIR_EraseRootFromParent_Done,
     /* 1365911 */   // Label 19423: @1365911
     /* 1365911 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1365995), // Rule ID 22140 //
     /* 1365916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1365972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365994 */     // GIR_Coverage, 22140,
     /* 1365994 */     GIR_EraseRootFromParent_Done,
     /* 1365995 */   // Label 19424: @1365995
     /* 1365995 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1366079), // Rule ID 22143 //
     /* 1366000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366078 */     // GIR_Coverage, 22143,
     /* 1366078 */     GIR_EraseRootFromParent_Done,
     /* 1366079 */   // Label 19425: @1366079
     /* 1366079 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1366163), // Rule ID 22144 //
     /* 1366084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366162 */     // GIR_Coverage, 22144,
     /* 1366162 */     GIR_EraseRootFromParent_Done,
     /* 1366163 */   // Label 19426: @1366163
     /* 1366163 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1366247), // Rule ID 22147 //
     /* 1366168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366221 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366246 */     // GIR_Coverage, 22147,
     /* 1366246 */     GIR_EraseRootFromParent_Done,
     /* 1366247 */   // Label 19427: @1366247
     /* 1366247 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1366331), // Rule ID 22148 //
     /* 1366252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366330 */     // GIR_Coverage, 22148,
     /* 1366330 */     GIR_EraseRootFromParent_Done,
     /* 1366331 */   // Label 19428: @1366331
     /* 1366331 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1366415), // Rule ID 22151 //
     /* 1366336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366414 */     // GIR_Coverage, 22151,
     /* 1366414 */     GIR_EraseRootFromParent_Done,
     /* 1366415 */   // Label 19429: @1366415
     /* 1366415 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1366499), // Rule ID 22152 //
     /* 1366420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366498 */     // GIR_Coverage, 22152,
     /* 1366498 */     GIR_EraseRootFromParent_Done,
     /* 1366499 */   // Label 19430: @1366499
     /* 1366499 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1366583), // Rule ID 22155 //
     /* 1366504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1366560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366582 */     // GIR_Coverage, 22155,
     /* 1366582 */     GIR_EraseRootFromParent_Done,
     /* 1366583 */   // Label 19431: @1366583
     /* 1366583 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1366667), // Rule ID 22156 //
     /* 1366588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1366644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366666 */     // GIR_Coverage, 22156,
     /* 1366666 */     GIR_EraseRootFromParent_Done,
     /* 1366667 */   // Label 19432: @1366667
     /* 1366667 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1366751), // Rule ID 22159 //
     /* 1366672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1366675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1366728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366750 */     // GIR_Coverage, 22159,
     /* 1366750 */     GIR_EraseRootFromParent_Done,
     /* 1366751 */   // Label 19433: @1366751
     /* 1366751 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1366835), // Rule ID 22160 //
     /* 1366756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1366812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366834 */     // GIR_Coverage, 22160,
     /* 1366834 */     GIR_EraseRootFromParent_Done,
     /* 1366835 */   // Label 19434: @1366835
     /* 1366835 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1366919), // Rule ID 22163 //
     /* 1366840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366893 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1366896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366918 */     // GIR_Coverage, 22163,
     /* 1366918 */     GIR_EraseRootFromParent_Done,
     /* 1366919 */   // Label 19435: @1366919
     /* 1366919 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1367003), // Rule ID 22164 //
     /* 1366924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1366980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367002 */     // GIR_Coverage, 22164,
     /* 1367002 */     GIR_EraseRootFromParent_Done,
     /* 1367003 */   // Label 19436: @1367003
     /* 1367003 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1367087), // Rule ID 22167 //
     /* 1367008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367061 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367086 */     // GIR_Coverage, 22167,
     /* 1367086 */     GIR_EraseRootFromParent_Done,
     /* 1367087 */   // Label 19437: @1367087
     /* 1367087 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1367171), // Rule ID 22168 //
     /* 1367092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367145 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367170 */     // GIR_Coverage, 22168,
     /* 1367170 */     GIR_EraseRootFromParent_Done,
     /* 1367171 */   // Label 19438: @1367171
     /* 1367171 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1367255), // Rule ID 22171 //
     /* 1367176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367229 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367254 */     // GIR_Coverage, 22171,
     /* 1367254 */     GIR_EraseRootFromParent_Done,
     /* 1367255 */   // Label 19439: @1367255
     /* 1367255 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1367339), // Rule ID 22172 //
     /* 1367260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367313 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367338 */     // GIR_Coverage, 22172,
     /* 1367338 */     GIR_EraseRootFromParent_Done,
     /* 1367339 */   // Label 19440: @1367339
     /* 1367339 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1367423), // Rule ID 22175 //
     /* 1367344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367422 */     // GIR_Coverage, 22175,
     /* 1367422 */     GIR_EraseRootFromParent_Done,
     /* 1367423 */   // Label 19441: @1367423
     /* 1367423 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1367507), // Rule ID 22176 //
     /* 1367428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367481 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367506 */     // GIR_Coverage, 22176,
     /* 1367506 */     GIR_EraseRootFromParent_Done,
     /* 1367507 */   // Label 19442: @1367507
     /* 1367507 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1367591), // Rule ID 22179 //
     /* 1367512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1367568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367590 */     // GIR_Coverage, 22179,
     /* 1367590 */     GIR_EraseRootFromParent_Done,
     /* 1367591 */   // Label 19443: @1367591
     /* 1367591 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1367675), // Rule ID 22180 //
     /* 1367596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1367652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367674 */     // GIR_Coverage, 22180,
     /* 1367674 */     GIR_EraseRootFromParent_Done,
     /* 1367675 */   // Label 19444: @1367675
     /* 1367675 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1367759), // Rule ID 22183 //
     /* 1367680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1367736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367758 */     // GIR_Coverage, 22183,
     /* 1367758 */     GIR_EraseRootFromParent_Done,
     /* 1367759 */   // Label 19445: @1367759
     /* 1367759 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1367843), // Rule ID 22184 //
     /* 1367764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1367820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367842 */     // GIR_Coverage, 22184,
     /* 1367842 */     GIR_EraseRootFromParent_Done,
     /* 1367843 */   // Label 19446: @1367843
     /* 1367843 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1367927), // Rule ID 22187 //
     /* 1367848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367901 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1367904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367926 */     // GIR_Coverage, 22187,
     /* 1367926 */     GIR_EraseRootFromParent_Done,
     /* 1367927 */   // Label 19447: @1367927
     /* 1367927 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1368011), // Rule ID 22188 //
     /* 1367932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1367988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368010 */     // GIR_Coverage, 22188,
     /* 1368010 */     GIR_EraseRootFromParent_Done,
     /* 1368011 */   // Label 19448: @1368011
     /* 1368011 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1368095), // Rule ID 22191 //
     /* 1368016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368094 */     // GIR_Coverage, 22191,
     /* 1368094 */     GIR_EraseRootFromParent_Done,
     /* 1368095 */   // Label 19449: @1368095
     /* 1368095 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1368179), // Rule ID 22192 //
     /* 1368100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368178 */     // GIR_Coverage, 22192,
     /* 1368178 */     GIR_EraseRootFromParent_Done,
     /* 1368179 */   // Label 19450: @1368179
     /* 1368179 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1368263), // Rule ID 22195 //
     /* 1368184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368262 */     // GIR_Coverage, 22195,
     /* 1368262 */     GIR_EraseRootFromParent_Done,
     /* 1368263 */   // Label 19451: @1368263
     /* 1368263 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1368347), // Rule ID 22196 //
     /* 1368268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368346 */     // GIR_Coverage, 22196,
     /* 1368346 */     GIR_EraseRootFromParent_Done,
     /* 1368347 */   // Label 19452: @1368347
     /* 1368347 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1368431), // Rule ID 22199 //
     /* 1368352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368430 */     // GIR_Coverage, 22199,
     /* 1368430 */     GIR_EraseRootFromParent_Done,
     /* 1368431 */   // Label 19453: @1368431
     /* 1368431 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1368515), // Rule ID 22200 //
     /* 1368436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368489 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368514 */     // GIR_Coverage, 22200,
     /* 1368514 */     GIR_EraseRootFromParent_Done,
     /* 1368515 */   // Label 19454: @1368515
     /* 1368515 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1368599), // Rule ID 22203 //
     /* 1368520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1368576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368598 */     // GIR_Coverage, 22203,
     /* 1368598 */     GIR_EraseRootFromParent_Done,
     /* 1368599 */   // Label 19455: @1368599
     /* 1368599 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1368683), // Rule ID 22204 //
     /* 1368604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1368660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368682 */     // GIR_Coverage, 22204,
     /* 1368682 */     GIR_EraseRootFromParent_Done,
     /* 1368683 */   // Label 19456: @1368683
     /* 1368683 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1368767), // Rule ID 22207 //
     /* 1368688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368741 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1368744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368766 */     // GIR_Coverage, 22207,
     /* 1368766 */     GIR_EraseRootFromParent_Done,
     /* 1368767 */   // Label 19457: @1368767
     /* 1368767 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1368851), // Rule ID 22208 //
     /* 1368772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1368828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368850 */     // GIR_Coverage, 22208,
     /* 1368850 */     GIR_EraseRootFromParent_Done,
     /* 1368851 */   // Label 19458: @1368851
     /* 1368851 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1368935), // Rule ID 22211 //
     /* 1368856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1368912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368934 */     // GIR_Coverage, 22211,
     /* 1368934 */     GIR_EraseRootFromParent_Done,
     /* 1368935 */   // Label 19459: @1368935
     /* 1368935 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1369019), // Rule ID 22212 //
     /* 1368940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1368996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369018 */     // GIR_Coverage, 22212,
     /* 1369018 */     GIR_EraseRootFromParent_Done,
     /* 1369019 */   // Label 19460: @1369019
     /* 1369019 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1369103), // Rule ID 22215 //
     /* 1369024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369102 */     // GIR_Coverage, 22215,
     /* 1369102 */     GIR_EraseRootFromParent_Done,
     /* 1369103 */   // Label 19461: @1369103
     /* 1369103 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1369187), // Rule ID 22216 //
     /* 1369108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369186 */     // GIR_Coverage, 22216,
     /* 1369186 */     GIR_EraseRootFromParent_Done,
     /* 1369187 */   // Label 19462: @1369187
     /* 1369187 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1369271), // Rule ID 22219 //
     /* 1369192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369270 */     // GIR_Coverage, 22219,
     /* 1369270 */     GIR_EraseRootFromParent_Done,
     /* 1369271 */   // Label 19463: @1369271
     /* 1369271 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1369355), // Rule ID 22220 //
     /* 1369276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369329 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369354 */     // GIR_Coverage, 22220,
     /* 1369354 */     GIR_EraseRootFromParent_Done,
     /* 1369355 */   // Label 19464: @1369355
     /* 1369355 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1369439), // Rule ID 22223 //
     /* 1369360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369413 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369438 */     // GIR_Coverage, 22223,
     /* 1369438 */     GIR_EraseRootFromParent_Done,
     /* 1369439 */   // Label 19465: @1369439
     /* 1369439 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1369523), // Rule ID 22224 //
     /* 1369444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369522 */     // GIR_Coverage, 22224,
     /* 1369522 */     GIR_EraseRootFromParent_Done,
     /* 1369523 */   // Label 19466: @1369523
     /* 1369523 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1369607), // Rule ID 22227 //
     /* 1369528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369581 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1369584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369606 */     // GIR_Coverage, 22227,
     /* 1369606 */     GIR_EraseRootFromParent_Done,
     /* 1369607 */   // Label 19467: @1369607
     /* 1369607 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1369691), // Rule ID 22228 //
     /* 1369612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1369668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369690 */     // GIR_Coverage, 22228,
     /* 1369690 */     GIR_EraseRootFromParent_Done,
     /* 1369691 */   // Label 19468: @1369691
     /* 1369691 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1369775), // Rule ID 22231 //
     /* 1369696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1369752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369774 */     // GIR_Coverage, 22231,
     /* 1369774 */     GIR_EraseRootFromParent_Done,
     /* 1369775 */   // Label 19469: @1369775
     /* 1369775 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1369859), // Rule ID 22232 //
     /* 1369780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1369836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369858 */     // GIR_Coverage, 22232,
     /* 1369858 */     GIR_EraseRootFromParent_Done,
     /* 1369859 */   // Label 19470: @1369859
     /* 1369859 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1369943), // Rule ID 22235 //
     /* 1369864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1369920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369942 */     // GIR_Coverage, 22235,
     /* 1369942 */     GIR_EraseRootFromParent_Done,
     /* 1369943 */   // Label 19471: @1369943
     /* 1369943 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1370027), // Rule ID 22236 //
     /* 1369948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370001 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1370004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370026 */     // GIR_Coverage, 22236,
     /* 1370026 */     GIR_EraseRootFromParent_Done,
     /* 1370027 */   // Label 19472: @1370027
     /* 1370027 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1370111), // Rule ID 22239 //
     /* 1370032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370085 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370110 */     // GIR_Coverage, 22239,
     /* 1370110 */     GIR_EraseRootFromParent_Done,
     /* 1370111 */   // Label 19473: @1370111
     /* 1370111 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1370195), // Rule ID 22240 //
     /* 1370116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370169 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370194 */     // GIR_Coverage, 22240,
     /* 1370194 */     GIR_EraseRootFromParent_Done,
     /* 1370195 */   // Label 19474: @1370195
     /* 1370195 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1370279), // Rule ID 22243 //
     /* 1370200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370278 */     // GIR_Coverage, 22243,
     /* 1370278 */     GIR_EraseRootFromParent_Done,
     /* 1370279 */   // Label 19475: @1370279
     /* 1370279 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1370363), // Rule ID 22244 //
     /* 1370284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370362 */     // GIR_Coverage, 22244,
     /* 1370362 */     GIR_EraseRootFromParent_Done,
     /* 1370363 */   // Label 19476: @1370363
     /* 1370363 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1370447), // Rule ID 22247 //
     /* 1370368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370446 */     // GIR_Coverage, 22247,
     /* 1370446 */     GIR_EraseRootFromParent_Done,
     /* 1370447 */   // Label 19477: @1370447
     /* 1370447 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1370531), // Rule ID 22248 //
     /* 1370452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370530 */     // GIR_Coverage, 22248,
     /* 1370530 */     GIR_EraseRootFromParent_Done,
     /* 1370531 */   // Label 19478: @1370531
     /* 1370531 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1370615), // Rule ID 22251 //
     /* 1370536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1370592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370614 */     // GIR_Coverage, 22251,
     /* 1370614 */     GIR_EraseRootFromParent_Done,
     /* 1370615 */   // Label 19479: @1370615
     /* 1370615 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1370699), // Rule ID 22252 //
     /* 1370620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1370676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370698 */     // GIR_Coverage, 22252,
     /* 1370698 */     GIR_EraseRootFromParent_Done,
     /* 1370699 */   // Label 19480: @1370699
     /* 1370699 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1370783), // Rule ID 22255 //
     /* 1370704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370757 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1370760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370782 */     // GIR_Coverage, 22255,
     /* 1370782 */     GIR_EraseRootFromParent_Done,
     /* 1370783 */   // Label 19481: @1370783
     /* 1370783 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1370867), // Rule ID 22256 //
     /* 1370788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370841 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1370844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370866 */     // GIR_Coverage, 22256,
     /* 1370866 */     GIR_EraseRootFromParent_Done,
     /* 1370867 */   // Label 19482: @1370867
     /* 1370867 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1370951), // Rule ID 22259 //
     /* 1370872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370925 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1370928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370950 */     // GIR_Coverage, 22259,
     /* 1370950 */     GIR_EraseRootFromParent_Done,
     /* 1370951 */   // Label 19483: @1370951
     /* 1370951 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1371035), // Rule ID 22260 //
     /* 1370956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1371012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371034 */     // GIR_Coverage, 22260,
     /* 1371034 */     GIR_EraseRootFromParent_Done,
     /* 1371035 */   // Label 19484: @1371035
     /* 1371035 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1371119), // Rule ID 22263 //
     /* 1371040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371093 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371118 */     // GIR_Coverage, 22263,
     /* 1371118 */     GIR_EraseRootFromParent_Done,
     /* 1371119 */   // Label 19485: @1371119
     /* 1371119 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1371203), // Rule ID 22264 //
     /* 1371124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371202 */     // GIR_Coverage, 22264,
     /* 1371202 */     GIR_EraseRootFromParent_Done,
     /* 1371203 */   // Label 19486: @1371203
     /* 1371203 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1371287), // Rule ID 22267 //
     /* 1371208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371286 */     // GIR_Coverage, 22267,
     /* 1371286 */     GIR_EraseRootFromParent_Done,
     /* 1371287 */   // Label 19487: @1371287
     /* 1371287 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1371371), // Rule ID 22268 //
     /* 1371292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371370 */     // GIR_Coverage, 22268,
     /* 1371370 */     GIR_EraseRootFromParent_Done,
     /* 1371371 */   // Label 19488: @1371371
     /* 1371371 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1371455), // Rule ID 22271 //
     /* 1371376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371454 */     // GIR_Coverage, 22271,
     /* 1371454 */     GIR_EraseRootFromParent_Done,
     /* 1371455 */   // Label 19489: @1371455
     /* 1371455 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1371539), // Rule ID 22272 //
     /* 1371460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371538 */     // GIR_Coverage, 22272,
     /* 1371538 */     GIR_EraseRootFromParent_Done,
     /* 1371539 */   // Label 19490: @1371539
     /* 1371539 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1371623), // Rule ID 22275 //
     /* 1371544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1371600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371622 */     // GIR_Coverage, 22275,
     /* 1371622 */     GIR_EraseRootFromParent_Done,
     /* 1371623 */   // Label 19491: @1371623
     /* 1371623 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1371707), // Rule ID 22276 //
     /* 1371628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1371684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371706 */     // GIR_Coverage, 22276,
     /* 1371706 */     GIR_EraseRootFromParent_Done,
     /* 1371707 */   // Label 19492: @1371707
     /* 1371707 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1371791), // Rule ID 22279 //
     /* 1371712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1371768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371790 */     // GIR_Coverage, 22279,
     /* 1371790 */     GIR_EraseRootFromParent_Done,
     /* 1371791 */   // Label 19493: @1371791
     /* 1371791 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1371875), // Rule ID 22280 //
     /* 1371796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1371852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371874 */     // GIR_Coverage, 22280,
     /* 1371874 */     GIR_EraseRootFromParent_Done,
     /* 1371875 */   // Label 19494: @1371875
     /* 1371875 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1371959), // Rule ID 22283 //
     /* 1371880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1371936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371958 */     // GIR_Coverage, 22283,
     /* 1371958 */     GIR_EraseRootFromParent_Done,
     /* 1371959 */   // Label 19495: @1371959
     /* 1371959 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1372043), // Rule ID 22284 //
     /* 1371964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1372020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372042 */     // GIR_Coverage, 22284,
     /* 1372042 */     GIR_EraseRootFromParent_Done,
     /* 1372043 */   // Label 19496: @1372043
     /* 1372043 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1372127), // Rule ID 22287 //
     /* 1372048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372126 */     // GIR_Coverage, 22287,
     /* 1372126 */     GIR_EraseRootFromParent_Done,
     /* 1372127 */   // Label 19497: @1372127
     /* 1372127 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1372211), // Rule ID 22288 //
     /* 1372132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372185 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372210 */     // GIR_Coverage, 22288,
     /* 1372210 */     GIR_EraseRootFromParent_Done,
     /* 1372211 */   // Label 19498: @1372211
     /* 1372211 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1372295), // Rule ID 22291 //
     /* 1372216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372269 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372294 */     // GIR_Coverage, 22291,
     /* 1372294 */     GIR_EraseRootFromParent_Done,
     /* 1372295 */   // Label 19499: @1372295
     /* 1372295 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1372379), // Rule ID 22292 //
     /* 1372300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372378 */     // GIR_Coverage, 22292,
     /* 1372378 */     GIR_EraseRootFromParent_Done,
     /* 1372379 */   // Label 19500: @1372379
     /* 1372379 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1372463), // Rule ID 22295 //
     /* 1372384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372462 */     // GIR_Coverage, 22295,
     /* 1372462 */     GIR_EraseRootFromParent_Done,
     /* 1372463 */   // Label 19501: @1372463
     /* 1372463 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1372547), // Rule ID 22296 //
     /* 1372468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372546 */     // GIR_Coverage, 22296,
     /* 1372546 */     GIR_EraseRootFromParent_Done,
     /* 1372547 */   // Label 19502: @1372547
     /* 1372547 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1372631), // Rule ID 22299 //
     /* 1372552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1372608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372630 */     // GIR_Coverage, 22299,
     /* 1372630 */     GIR_EraseRootFromParent_Done,
     /* 1372631 */   // Label 19503: @1372631
     /* 1372631 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1372715), // Rule ID 22300 //
     /* 1372636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1372692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372714 */     // GIR_Coverage, 22300,
     /* 1372714 */     GIR_EraseRootFromParent_Done,
     /* 1372715 */   // Label 19504: @1372715
     /* 1372715 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1372799), // Rule ID 22303 //
     /* 1372720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1372776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372798 */     // GIR_Coverage, 22303,
     /* 1372798 */     GIR_EraseRootFromParent_Done,
     /* 1372799 */   // Label 19505: @1372799
     /* 1372799 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1372883), // Rule ID 22304 //
     /* 1372804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1372860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372882 */     // GIR_Coverage, 22304,
     /* 1372882 */     GIR_EraseRootFromParent_Done,
     /* 1372883 */   // Label 19506: @1372883
     /* 1372883 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1372967), // Rule ID 22307 //
     /* 1372888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372941 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1372944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372966 */     // GIR_Coverage, 22307,
     /* 1372966 */     GIR_EraseRootFromParent_Done,
     /* 1372967 */   // Label 19507: @1372967
     /* 1372967 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1373051), // Rule ID 22308 //
     /* 1372972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373025 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1373028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373050 */     // GIR_Coverage, 22308,
     /* 1373050 */     GIR_EraseRootFromParent_Done,
     /* 1373051 */   // Label 19508: @1373051
     /* 1373051 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1373135), // Rule ID 22311 //
     /* 1373056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373134 */     // GIR_Coverage, 22311,
     /* 1373134 */     GIR_EraseRootFromParent_Done,
     /* 1373135 */   // Label 19509: @1373135
     /* 1373135 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1373219), // Rule ID 22312 //
     /* 1373140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373218 */     // GIR_Coverage, 22312,
     /* 1373218 */     GIR_EraseRootFromParent_Done,
     /* 1373219 */   // Label 19510: @1373219
     /* 1373219 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1373303), // Rule ID 22315 //
     /* 1373224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373302 */     // GIR_Coverage, 22315,
     /* 1373302 */     GIR_EraseRootFromParent_Done,
     /* 1373303 */   // Label 19511: @1373303
     /* 1373303 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1373387), // Rule ID 22316 //
     /* 1373308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373386 */     // GIR_Coverage, 22316,
     /* 1373386 */     GIR_EraseRootFromParent_Done,
     /* 1373387 */   // Label 19512: @1373387
     /* 1373387 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1373471), // Rule ID 22319 //
     /* 1373392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373470 */     // GIR_Coverage, 22319,
     /* 1373470 */     GIR_EraseRootFromParent_Done,
     /* 1373471 */   // Label 19513: @1373471
     /* 1373471 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1373555), // Rule ID 22320 //
     /* 1373476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373529 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373554 */     // GIR_Coverage, 22320,
     /* 1373554 */     GIR_EraseRootFromParent_Done,
     /* 1373555 */   // Label 19514: @1373555
     /* 1373555 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1373639), // Rule ID 22323 //
     /* 1373560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1373616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373638 */     // GIR_Coverage, 22323,
     /* 1373638 */     GIR_EraseRootFromParent_Done,
     /* 1373639 */   // Label 19515: @1373639
     /* 1373639 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1373723), // Rule ID 22324 //
     /* 1373644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373697 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1373700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373722 */     // GIR_Coverage, 22324,
     /* 1373722 */     GIR_EraseRootFromParent_Done,
     /* 1373723 */   // Label 19516: @1373723
     /* 1373723 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1373807), // Rule ID 22327 //
     /* 1373728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1373784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373806 */     // GIR_Coverage, 22327,
     /* 1373806 */     GIR_EraseRootFromParent_Done,
     /* 1373807 */   // Label 19517: @1373807
     /* 1373807 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1373891), // Rule ID 22328 //
     /* 1373812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1373868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373890 */     // GIR_Coverage, 22328,
     /* 1373890 */     GIR_EraseRootFromParent_Done,
     /* 1373891 */   // Label 19518: @1373891
     /* 1373891 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1373975), // Rule ID 22331 //
     /* 1373896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1373952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373974 */     // GIR_Coverage, 22331,
     /* 1373974 */     GIR_EraseRootFromParent_Done,
     /* 1373975 */   // Label 19519: @1373975
     /* 1373975 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1374059), // Rule ID 22332 //
     /* 1373980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1374036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374058 */     // GIR_Coverage, 22332,
     /* 1374058 */     GIR_EraseRootFromParent_Done,
     /* 1374059 */   // Label 19520: @1374059
     /* 1374059 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1374143), // Rule ID 22335 //
     /* 1374064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374142 */     // GIR_Coverage, 22335,
     /* 1374142 */     GIR_EraseRootFromParent_Done,
     /* 1374143 */   // Label 19521: @1374143
     /* 1374143 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1374227), // Rule ID 22336 //
     /* 1374148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374226 */     // GIR_Coverage, 22336,
     /* 1374226 */     GIR_EraseRootFromParent_Done,
     /* 1374227 */   // Label 19522: @1374227
     /* 1374227 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1374311), // Rule ID 22339 //
     /* 1374232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374285 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374310 */     // GIR_Coverage, 22339,
     /* 1374310 */     GIR_EraseRootFromParent_Done,
     /* 1374311 */   // Label 19523: @1374311
     /* 1374311 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1374395), // Rule ID 22340 //
     /* 1374316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374369 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374394 */     // GIR_Coverage, 22340,
     /* 1374394 */     GIR_EraseRootFromParent_Done,
     /* 1374395 */   // Label 19524: @1374395
     /* 1374395 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1374479), // Rule ID 22343 //
     /* 1374400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374478 */     // GIR_Coverage, 22343,
     /* 1374478 */     GIR_EraseRootFromParent_Done,
     /* 1374479 */   // Label 19525: @1374479
     /* 1374479 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1374563), // Rule ID 22344 //
     /* 1374484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374562 */     // GIR_Coverage, 22344,
     /* 1374562 */     GIR_EraseRootFromParent_Done,
     /* 1374563 */   // Label 19526: @1374563
     /* 1374563 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1374647), // Rule ID 22347 //
     /* 1374568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1374624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374646 */     // GIR_Coverage, 22347,
     /* 1374646 */     GIR_EraseRootFromParent_Done,
     /* 1374647 */   // Label 19527: @1374647
     /* 1374647 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1374731), // Rule ID 22348 //
     /* 1374652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1374708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374730 */     // GIR_Coverage, 22348,
     /* 1374730 */     GIR_EraseRootFromParent_Done,
     /* 1374731 */   // Label 19528: @1374731
     /* 1374731 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1374815), // Rule ID 22351 //
     /* 1374736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1374792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374814 */     // GIR_Coverage, 22351,
     /* 1374814 */     GIR_EraseRootFromParent_Done,
     /* 1374815 */   // Label 19529: @1374815
     /* 1374815 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1374899), // Rule ID 22352 //
     /* 1374820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1374876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374898 */     // GIR_Coverage, 22352,
     /* 1374898 */     GIR_EraseRootFromParent_Done,
     /* 1374899 */   // Label 19530: @1374899
     /* 1374899 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1374983), // Rule ID 22355 //
     /* 1374904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1374960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374982 */     // GIR_Coverage, 22355,
     /* 1374982 */     GIR_EraseRootFromParent_Done,
     /* 1374983 */   // Label 19531: @1374983
     /* 1374983 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1375067), // Rule ID 22356 //
     /* 1374988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375041 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1375044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375066 */     // GIR_Coverage, 22356,
     /* 1375066 */     GIR_EraseRootFromParent_Done,
     /* 1375067 */   // Label 19532: @1375067
     /* 1375067 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1375151), // Rule ID 22359 //
     /* 1375072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375150 */     // GIR_Coverage, 22359,
     /* 1375150 */     GIR_EraseRootFromParent_Done,
     /* 1375151 */   // Label 19533: @1375151
     /* 1375151 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1375235), // Rule ID 22360 //
     /* 1375156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375234 */     // GIR_Coverage, 22360,
     /* 1375234 */     GIR_EraseRootFromParent_Done,
     /* 1375235 */   // Label 19534: @1375235
     /* 1375235 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1375319), // Rule ID 22363 //
     /* 1375240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375318 */     // GIR_Coverage, 22363,
     /* 1375318 */     GIR_EraseRootFromParent_Done,
     /* 1375319 */   // Label 19535: @1375319
     /* 1375319 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1375403), // Rule ID 22364 //
     /* 1375324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375402 */     // GIR_Coverage, 22364,
     /* 1375402 */     GIR_EraseRootFromParent_Done,
     /* 1375403 */   // Label 19536: @1375403
     /* 1375403 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1375487), // Rule ID 22367 //
     /* 1375408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375486 */     // GIR_Coverage, 22367,
     /* 1375486 */     GIR_EraseRootFromParent_Done,
     /* 1375487 */   // Label 19537: @1375487
     /* 1375487 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1375571), // Rule ID 22368 //
     /* 1375492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375545 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375570 */     // GIR_Coverage, 22368,
     /* 1375570 */     GIR_EraseRootFromParent_Done,
     /* 1375571 */   // Label 19538: @1375571
     /* 1375571 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1375655), // Rule ID 22371 //
     /* 1375576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375629 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1375632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375654 */     // GIR_Coverage, 22371,
     /* 1375654 */     GIR_EraseRootFromParent_Done,
     /* 1375655 */   // Label 19539: @1375655
     /* 1375655 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1375739), // Rule ID 22372 //
     /* 1375660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1375716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375738 */     // GIR_Coverage, 22372,
     /* 1375738 */     GIR_EraseRootFromParent_Done,
     /* 1375739 */   // Label 19540: @1375739
     /* 1375739 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1375823), // Rule ID 22375 //
     /* 1375744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1375800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375822 */     // GIR_Coverage, 22375,
     /* 1375822 */     GIR_EraseRootFromParent_Done,
     /* 1375823 */   // Label 19541: @1375823
     /* 1375823 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1375907), // Rule ID 22376 //
     /* 1375828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1375884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375906 */     // GIR_Coverage, 22376,
     /* 1375906 */     GIR_EraseRootFromParent_Done,
     /* 1375907 */   // Label 19542: @1375907
     /* 1375907 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1375991), // Rule ID 22379 //
     /* 1375912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1375968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375990 */     // GIR_Coverage, 22379,
     /* 1375990 */     GIR_EraseRootFromParent_Done,
     /* 1375991 */   // Label 19543: @1375991
     /* 1375991 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1376075), // Rule ID 22380 //
     /* 1375996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1376052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376074 */     // GIR_Coverage, 22380,
     /* 1376074 */     GIR_EraseRootFromParent_Done,
     /* 1376075 */   // Label 19544: @1376075
     /* 1376075 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1376159), // Rule ID 22383 //
     /* 1376080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376158 */     // GIR_Coverage, 22383,
     /* 1376158 */     GIR_EraseRootFromParent_Done,
     /* 1376159 */   // Label 19545: @1376159
     /* 1376159 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1376243), // Rule ID 22384 //
     /* 1376164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376242 */     // GIR_Coverage, 22384,
     /* 1376242 */     GIR_EraseRootFromParent_Done,
     /* 1376243 */   // Label 19546: @1376243
     /* 1376243 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1376327), // Rule ID 22387 //
     /* 1376248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376301 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376326 */     // GIR_Coverage, 22387,
     /* 1376326 */     GIR_EraseRootFromParent_Done,
     /* 1376327 */   // Label 19547: @1376327
     /* 1376327 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1376411), // Rule ID 22388 //
     /* 1376332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376385 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376410 */     // GIR_Coverage, 22388,
     /* 1376410 */     GIR_EraseRootFromParent_Done,
     /* 1376411 */   // Label 19548: @1376411
     /* 1376411 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1376495), // Rule ID 22391 //
     /* 1376416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376494 */     // GIR_Coverage, 22391,
     /* 1376494 */     GIR_EraseRootFromParent_Done,
     /* 1376495 */   // Label 19549: @1376495
     /* 1376495 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1376579), // Rule ID 22392 //
     /* 1376500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376578 */     // GIR_Coverage, 22392,
     /* 1376578 */     GIR_EraseRootFromParent_Done,
     /* 1376579 */   // Label 19550: @1376579
     /* 1376579 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1376663), // Rule ID 22395 //
     /* 1376584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376637 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1376640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376662 */     // GIR_Coverage, 22395,
     /* 1376662 */     GIR_EraseRootFromParent_Done,
     /* 1376663 */   // Label 19551: @1376663
     /* 1376663 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1376747), // Rule ID 22396 //
     /* 1376668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376721 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1376724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376746 */     // GIR_Coverage, 22396,
     /* 1376746 */     GIR_EraseRootFromParent_Done,
     /* 1376747 */   // Label 19552: @1376747
     /* 1376747 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1376831), // Rule ID 22399 //
     /* 1376752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1376808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376830 */     // GIR_Coverage, 22399,
     /* 1376830 */     GIR_EraseRootFromParent_Done,
     /* 1376831 */   // Label 19553: @1376831
     /* 1376831 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1376915), // Rule ID 22400 //
     /* 1376836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1376892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376914 */     // GIR_Coverage, 22400,
     /* 1376914 */     GIR_EraseRootFromParent_Done,
     /* 1376915 */   // Label 19554: @1376915
     /* 1376915 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1376999), // Rule ID 22403 //
     /* 1376920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1376976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376998 */     // GIR_Coverage, 22403,
     /* 1376998 */     GIR_EraseRootFromParent_Done,
     /* 1376999 */   // Label 19555: @1376999
     /* 1376999 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1377083), // Rule ID 22404 //
     /* 1377004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1377060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377082 */     // GIR_Coverage, 22404,
     /* 1377082 */     GIR_EraseRootFromParent_Done,
     /* 1377083 */   // Label 19556: @1377083
     /* 1377083 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1377167), // Rule ID 22407 //
     /* 1377088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377166 */     // GIR_Coverage, 22407,
     /* 1377166 */     GIR_EraseRootFromParent_Done,
     /* 1377167 */   // Label 19557: @1377167
     /* 1377167 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1377251), // Rule ID 22408 //
     /* 1377172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377250 */     // GIR_Coverage, 22408,
     /* 1377250 */     GIR_EraseRootFromParent_Done,
     /* 1377251 */   // Label 19558: @1377251
     /* 1377251 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1377335), // Rule ID 22411 //
     /* 1377256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377334 */     // GIR_Coverage, 22411,
     /* 1377334 */     GIR_EraseRootFromParent_Done,
     /* 1377335 */   // Label 19559: @1377335
     /* 1377335 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1377419), // Rule ID 22412 //
     /* 1377340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377418 */     // GIR_Coverage, 22412,
     /* 1377418 */     GIR_EraseRootFromParent_Done,
     /* 1377419 */   // Label 19560: @1377419
     /* 1377419 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1377503), // Rule ID 22415 //
     /* 1377424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377502 */     // GIR_Coverage, 22415,
     /* 1377502 */     GIR_EraseRootFromParent_Done,
     /* 1377503 */   // Label 19561: @1377503
     /* 1377503 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1377587), // Rule ID 22416 //
     /* 1377508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377586 */     // GIR_Coverage, 22416,
     /* 1377586 */     GIR_EraseRootFromParent_Done,
     /* 1377587 */   // Label 19562: @1377587
     /* 1377587 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1377671), // Rule ID 22419 //
     /* 1377592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1377648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377670 */     // GIR_Coverage, 22419,
     /* 1377670 */     GIR_EraseRootFromParent_Done,
     /* 1377671 */   // Label 19563: @1377671
     /* 1377671 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1377755), // Rule ID 22420 //
     /* 1377676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1377732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377754 */     // GIR_Coverage, 22420,
     /* 1377754 */     GIR_EraseRootFromParent_Done,
     /* 1377755 */   // Label 19564: @1377755
     /* 1377755 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1377839), // Rule ID 22423 //
     /* 1377760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377813 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1377816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377838 */     // GIR_Coverage, 22423,
     /* 1377838 */     GIR_EraseRootFromParent_Done,
     /* 1377839 */   // Label 19565: @1377839
     /* 1377839 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1377923), // Rule ID 22424 //
     /* 1377844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1377900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377922 */     // GIR_Coverage, 22424,
     /* 1377922 */     GIR_EraseRootFromParent_Done,
     /* 1377923 */   // Label 19566: @1377923
     /* 1377923 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1378007), // Rule ID 22427 //
     /* 1377928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1377945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377981 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1377984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378006 */     // GIR_Coverage, 22427,
     /* 1378006 */     GIR_EraseRootFromParent_Done,
     /* 1378007 */   // Label 19567: @1378007
     /* 1378007 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1378091), // Rule ID 22428 //
     /* 1378012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1378068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378090 */     // GIR_Coverage, 22428,
     /* 1378090 */     GIR_EraseRootFromParent_Done,
     /* 1378091 */   // Label 19568: @1378091
     /* 1378091 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1378175), // Rule ID 22431 //
     /* 1378096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378174 */     // GIR_Coverage, 22431,
     /* 1378174 */     GIR_EraseRootFromParent_Done,
     /* 1378175 */   // Label 19569: @1378175
     /* 1378175 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1378259), // Rule ID 22432 //
     /* 1378180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378258 */     // GIR_Coverage, 22432,
     /* 1378258 */     GIR_EraseRootFromParent_Done,
     /* 1378259 */   // Label 19570: @1378259
     /* 1378259 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1378343), // Rule ID 22435 //
     /* 1378264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378342 */     // GIR_Coverage, 22435,
     /* 1378342 */     GIR_EraseRootFromParent_Done,
     /* 1378343 */   // Label 19571: @1378343
     /* 1378343 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1378427), // Rule ID 22436 //
     /* 1378348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378401 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378426 */     // GIR_Coverage, 22436,
     /* 1378426 */     GIR_EraseRootFromParent_Done,
     /* 1378427 */   // Label 19572: @1378427
     /* 1378427 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1378511), // Rule ID 22439 //
     /* 1378432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378510 */     // GIR_Coverage, 22439,
     /* 1378510 */     GIR_EraseRootFromParent_Done,
     /* 1378511 */   // Label 19573: @1378511
     /* 1378511 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1378595), // Rule ID 22440 //
     /* 1378516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378594 */     // GIR_Coverage, 22440,
     /* 1378594 */     GIR_EraseRootFromParent_Done,
     /* 1378595 */   // Label 19574: @1378595
     /* 1378595 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1378679), // Rule ID 22443 //
     /* 1378600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1378656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378678 */     // GIR_Coverage, 22443,
     /* 1378678 */     GIR_EraseRootFromParent_Done,
     /* 1378679 */   // Label 19575: @1378679
     /* 1378679 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1378763), // Rule ID 22444 //
     /* 1378684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378737 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1378740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378762 */     // GIR_Coverage, 22444,
     /* 1378762 */     GIR_EraseRootFromParent_Done,
     /* 1378763 */   // Label 19576: @1378763
     /* 1378763 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1378847), // Rule ID 22447 //
     /* 1378768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1378824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378846 */     // GIR_Coverage, 22447,
     /* 1378846 */     GIR_EraseRootFromParent_Done,
     /* 1378847 */   // Label 19577: @1378847
     /* 1378847 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1378931), // Rule ID 22448 //
     /* 1378852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1378908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378930 */     // GIR_Coverage, 22448,
     /* 1378930 */     GIR_EraseRootFromParent_Done,
     /* 1378931 */   // Label 19578: @1378931
     /* 1378931 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1379015), // Rule ID 22451 //
     /* 1378936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1378992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379014 */     // GIR_Coverage, 22451,
     /* 1379014 */     GIR_EraseRootFromParent_Done,
     /* 1379015 */   // Label 19579: @1379015
     /* 1379015 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1379099), // Rule ID 22452 //
     /* 1379020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1379076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379098 */     // GIR_Coverage, 22452,
     /* 1379098 */     GIR_EraseRootFromParent_Done,
     /* 1379099 */   // Label 19580: @1379099
     /* 1379099 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1379183), // Rule ID 22455 //
     /* 1379104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379182 */     // GIR_Coverage, 22455,
     /* 1379182 */     GIR_EraseRootFromParent_Done,
     /* 1379183 */   // Label 19581: @1379183
     /* 1379183 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1379267), // Rule ID 22456 //
     /* 1379188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379266 */     // GIR_Coverage, 22456,
     /* 1379266 */     GIR_EraseRootFromParent_Done,
     /* 1379267 */   // Label 19582: @1379267
     /* 1379267 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1379351), // Rule ID 22459 //
     /* 1379272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379350 */     // GIR_Coverage, 22459,
     /* 1379350 */     GIR_EraseRootFromParent_Done,
     /* 1379351 */   // Label 19583: @1379351
     /* 1379351 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1379435), // Rule ID 22460 //
     /* 1379356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379434 */     // GIR_Coverage, 22460,
     /* 1379434 */     GIR_EraseRootFromParent_Done,
     /* 1379435 */   // Label 19584: @1379435
     /* 1379435 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1379519), // Rule ID 22463 //
     /* 1379440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379518 */     // GIR_Coverage, 22463,
     /* 1379518 */     GIR_EraseRootFromParent_Done,
     /* 1379519 */   // Label 19585: @1379519
     /* 1379519 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1379603), // Rule ID 22464 //
     /* 1379524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379602 */     // GIR_Coverage, 22464,
     /* 1379602 */     GIR_EraseRootFromParent_Done,
     /* 1379603 */   // Label 19586: @1379603
     /* 1379603 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1379687), // Rule ID 22467 //
     /* 1379608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1379664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379686 */     // GIR_Coverage, 22467,
     /* 1379686 */     GIR_EraseRootFromParent_Done,
     /* 1379687 */   // Label 19587: @1379687
     /* 1379687 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1379771), // Rule ID 22468 //
     /* 1379692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1379748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379770 */     // GIR_Coverage, 22468,
     /* 1379770 */     GIR_EraseRootFromParent_Done,
     /* 1379771 */   // Label 19588: @1379771
     /* 1379771 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1379855), // Rule ID 22471 //
     /* 1379776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1379832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379854 */     // GIR_Coverage, 22471,
     /* 1379854 */     GIR_EraseRootFromParent_Done,
     /* 1379855 */   // Label 19589: @1379855
     /* 1379855 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1379939), // Rule ID 22472 //
     /* 1379860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379913 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1379916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379938 */     // GIR_Coverage, 22472,
     /* 1379938 */     GIR_EraseRootFromParent_Done,
     /* 1379939 */   // Label 19590: @1379939
     /* 1379939 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1380023), // Rule ID 22475 //
     /* 1379944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1380000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380022 */     // GIR_Coverage, 22475,
     /* 1380022 */     GIR_EraseRootFromParent_Done,
     /* 1380023 */   // Label 19591: @1380023
     /* 1380023 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1380107), // Rule ID 22476 //
     /* 1380028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1380084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380106 */     // GIR_Coverage, 22476,
     /* 1380106 */     GIR_EraseRootFromParent_Done,
     /* 1380107 */   // Label 19592: @1380107
     /* 1380107 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1380191), // Rule ID 22479 //
     /* 1380112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380190 */     // GIR_Coverage, 22479,
     /* 1380190 */     GIR_EraseRootFromParent_Done,
     /* 1380191 */   // Label 19593: @1380191
     /* 1380191 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1380275), // Rule ID 22480 //
     /* 1380196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380274 */     // GIR_Coverage, 22480,
     /* 1380274 */     GIR_EraseRootFromParent_Done,
     /* 1380275 */   // Label 19594: @1380275
     /* 1380275 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1380359), // Rule ID 22483 //
     /* 1380280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380358 */     // GIR_Coverage, 22483,
     /* 1380358 */     GIR_EraseRootFromParent_Done,
     /* 1380359 */   // Label 19595: @1380359
     /* 1380359 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1380443), // Rule ID 22484 //
     /* 1380364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380417 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380442 */     // GIR_Coverage, 22484,
     /* 1380442 */     GIR_EraseRootFromParent_Done,
     /* 1380443 */   // Label 19596: @1380443
     /* 1380443 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1380527), // Rule ID 22487 //
     /* 1380448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380526 */     // GIR_Coverage, 22487,
     /* 1380526 */     GIR_EraseRootFromParent_Done,
     /* 1380527 */   // Label 19597: @1380527
     /* 1380527 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1380611), // Rule ID 22488 //
     /* 1380532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380585 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380610 */     // GIR_Coverage, 22488,
     /* 1380610 */     GIR_EraseRootFromParent_Done,
     /* 1380611 */   // Label 19598: @1380611
     /* 1380611 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1380695), // Rule ID 22491 //
     /* 1380616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380669 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1380672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380694 */     // GIR_Coverage, 22491,
     /* 1380694 */     GIR_EraseRootFromParent_Done,
     /* 1380695 */   // Label 19599: @1380695
     /* 1380695 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1380779), // Rule ID 22492 //
     /* 1380700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1380756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380778 */     // GIR_Coverage, 22492,
     /* 1380778 */     GIR_EraseRootFromParent_Done,
     /* 1380779 */   // Label 19600: @1380779
     /* 1380779 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1380863), // Rule ID 22495 //
     /* 1380784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1380840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380862 */     // GIR_Coverage, 22495,
     /* 1380862 */     GIR_EraseRootFromParent_Done,
     /* 1380863 */   // Label 19601: @1380863
     /* 1380863 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1380947), // Rule ID 22496 //
     /* 1380868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1380924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380946 */     // GIR_Coverage, 22496,
     /* 1380946 */     GIR_EraseRootFromParent_Done,
     /* 1380947 */   // Label 19602: @1380947
     /* 1380947 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1381031), // Rule ID 22499 //
     /* 1380952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1381008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381030 */     // GIR_Coverage, 22499,
     /* 1381030 */     GIR_EraseRootFromParent_Done,
     /* 1381031 */   // Label 19603: @1381031
     /* 1381031 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1381115), // Rule ID 22500 //
     /* 1381036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1381092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381114 */     // GIR_Coverage, 22500,
     /* 1381114 */     GIR_EraseRootFromParent_Done,
     /* 1381115 */   // Label 19604: @1381115
     /* 1381115 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1381199), // Rule ID 22503 //
     /* 1381120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381198 */     // GIR_Coverage, 22503,
     /* 1381198 */     GIR_EraseRootFromParent_Done,
     /* 1381199 */   // Label 19605: @1381199
     /* 1381199 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1381283), // Rule ID 22504 //
     /* 1381204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381282 */     // GIR_Coverage, 22504,
     /* 1381282 */     GIR_EraseRootFromParent_Done,
     /* 1381283 */   // Label 19606: @1381283
     /* 1381283 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1381367), // Rule ID 22507 //
     /* 1381288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381366 */     // GIR_Coverage, 22507,
     /* 1381366 */     GIR_EraseRootFromParent_Done,
     /* 1381367 */   // Label 19607: @1381367
     /* 1381367 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1381451), // Rule ID 22508 //
     /* 1381372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381425 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381450 */     // GIR_Coverage, 22508,
     /* 1381450 */     GIR_EraseRootFromParent_Done,
     /* 1381451 */   // Label 19608: @1381451
     /* 1381451 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1381535), // Rule ID 22511 //
     /* 1381456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381534 */     // GIR_Coverage, 22511,
     /* 1381534 */     GIR_EraseRootFromParent_Done,
     /* 1381535 */   // Label 19609: @1381535
     /* 1381535 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1381619), // Rule ID 22512 //
     /* 1381540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381618 */     // GIR_Coverage, 22512,
     /* 1381618 */     GIR_EraseRootFromParent_Done,
     /* 1381619 */   // Label 19610: @1381619
     /* 1381619 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1381703), // Rule ID 22515 //
     /* 1381624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1381680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381702 */     // GIR_Coverage, 22515,
     /* 1381702 */     GIR_EraseRootFromParent_Done,
     /* 1381703 */   // Label 19611: @1381703
     /* 1381703 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1381787), // Rule ID 22516 //
     /* 1381708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381761 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1381764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381786 */     // GIR_Coverage, 22516,
     /* 1381786 */     GIR_EraseRootFromParent_Done,
     /* 1381787 */   // Label 19612: @1381787
     /* 1381787 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1381871), // Rule ID 22519 //
     /* 1381792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381845 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1381848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381870 */     // GIR_Coverage, 22519,
     /* 1381870 */     GIR_EraseRootFromParent_Done,
     /* 1381871 */   // Label 19613: @1381871
     /* 1381871 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1381955), // Rule ID 22520 //
     /* 1381876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381929 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1381932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381954 */     // GIR_Coverage, 22520,
     /* 1381954 */     GIR_EraseRootFromParent_Done,
     /* 1381955 */   // Label 19614: @1381955
     /* 1381955 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1382039), // Rule ID 22523 //
     /* 1381960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382013 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1382016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382038 */     // GIR_Coverage, 22523,
     /* 1382038 */     GIR_EraseRootFromParent_Done,
     /* 1382039 */   // Label 19615: @1382039
     /* 1382039 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1382123), // Rule ID 22524 //
     /* 1382044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1382100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382122 */     // GIR_Coverage, 22524,
     /* 1382122 */     GIR_EraseRootFromParent_Done,
     /* 1382123 */   // Label 19616: @1382123
     /* 1382123 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1382207), // Rule ID 22527 //
     /* 1382128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382206 */     // GIR_Coverage, 22527,
     /* 1382206 */     GIR_EraseRootFromParent_Done,
     /* 1382207 */   // Label 19617: @1382207
     /* 1382207 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1382291), // Rule ID 22528 //
     /* 1382212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382265 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382290 */     // GIR_Coverage, 22528,
     /* 1382290 */     GIR_EraseRootFromParent_Done,
     /* 1382291 */   // Label 19618: @1382291
     /* 1382291 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1382375), // Rule ID 22531 //
     /* 1382296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382349 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382374 */     // GIR_Coverage, 22531,
     /* 1382374 */     GIR_EraseRootFromParent_Done,
     /* 1382375 */   // Label 19619: @1382375
     /* 1382375 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1382459), // Rule ID 22532 //
     /* 1382380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382458 */     // GIR_Coverage, 22532,
     /* 1382458 */     GIR_EraseRootFromParent_Done,
     /* 1382459 */   // Label 19620: @1382459
     /* 1382459 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1382543), // Rule ID 22535 //
     /* 1382464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382542 */     // GIR_Coverage, 22535,
     /* 1382542 */     GIR_EraseRootFromParent_Done,
     /* 1382543 */   // Label 19621: @1382543
     /* 1382543 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1382627), // Rule ID 22536 //
     /* 1382548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382626 */     // GIR_Coverage, 22536,
     /* 1382626 */     GIR_EraseRootFromParent_Done,
     /* 1382627 */   // Label 19622: @1382627
     /* 1382627 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1382711), // Rule ID 22539 //
     /* 1382632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1382688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382710 */     // GIR_Coverage, 22539,
     /* 1382710 */     GIR_EraseRootFromParent_Done,
     /* 1382711 */   // Label 19623: @1382711
     /* 1382711 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1382795), // Rule ID 22540 //
     /* 1382716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1382772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382794 */     // GIR_Coverage, 22540,
     /* 1382794 */     GIR_EraseRootFromParent_Done,
     /* 1382795 */   // Label 19624: @1382795
     /* 1382795 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1382879), // Rule ID 22543 //
     /* 1382800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1382856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382878 */     // GIR_Coverage, 22543,
     /* 1382878 */     GIR_EraseRootFromParent_Done,
     /* 1382879 */   // Label 19625: @1382879
     /* 1382879 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1382963), // Rule ID 22544 //
     /* 1382884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1382940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382962 */     // GIR_Coverage, 22544,
     /* 1382962 */     GIR_EraseRootFromParent_Done,
     /* 1382963 */   // Label 19626: @1382963
     /* 1382963 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1383047), // Rule ID 22547 //
     /* 1382968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1382985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1383024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383046 */     // GIR_Coverage, 22547,
     /* 1383046 */     GIR_EraseRootFromParent_Done,
     /* 1383047 */   // Label 19627: @1383047
     /* 1383047 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1383131), // Rule ID 22548 //
     /* 1383052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1383108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383130 */     // GIR_Coverage, 22548,
     /* 1383130 */     GIR_EraseRootFromParent_Done,
     /* 1383131 */   // Label 19628: @1383131
     /* 1383131 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1383215), // Rule ID 22551 //
     /* 1383136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383214 */     // GIR_Coverage, 22551,
     /* 1383214 */     GIR_EraseRootFromParent_Done,
     /* 1383215 */   // Label 19629: @1383215
     /* 1383215 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1383299), // Rule ID 22552 //
     /* 1383220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383298 */     // GIR_Coverage, 22552,
     /* 1383298 */     GIR_EraseRootFromParent_Done,
     /* 1383299 */   // Label 19630: @1383299
     /* 1383299 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1383383), // Rule ID 22555 //
     /* 1383304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383357 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383382 */     // GIR_Coverage, 22555,
     /* 1383382 */     GIR_EraseRootFromParent_Done,
     /* 1383383 */   // Label 19631: @1383383
     /* 1383383 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1383467), // Rule ID 22556 //
     /* 1383388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383466 */     // GIR_Coverage, 22556,
     /* 1383466 */     GIR_EraseRootFromParent_Done,
     /* 1383467 */   // Label 19632: @1383467
     /* 1383467 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1383551), // Rule ID 22559 //
     /* 1383472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383525 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383550 */     // GIR_Coverage, 22559,
     /* 1383550 */     GIR_EraseRootFromParent_Done,
     /* 1383551 */   // Label 19633: @1383551
     /* 1383551 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1383635), // Rule ID 22560 //
     /* 1383556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383634 */     // GIR_Coverage, 22560,
     /* 1383634 */     GIR_EraseRootFromParent_Done,
     /* 1383635 */   // Label 19634: @1383635
     /* 1383635 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1383719), // Rule ID 22563 //
     /* 1383640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1383696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383718 */     // GIR_Coverage, 22563,
     /* 1383718 */     GIR_EraseRootFromParent_Done,
     /* 1383719 */   // Label 19635: @1383719
     /* 1383719 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1383803), // Rule ID 22564 //
     /* 1383724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1383780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383802 */     // GIR_Coverage, 22564,
     /* 1383802 */     GIR_EraseRootFromParent_Done,
     /* 1383803 */   // Label 19636: @1383803
     /* 1383803 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1383887), // Rule ID 22567 //
     /* 1383808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1383864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383886 */     // GIR_Coverage, 22567,
     /* 1383886 */     GIR_EraseRootFromParent_Done,
     /* 1383887 */   // Label 19637: @1383887
     /* 1383887 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1383971), // Rule ID 22568 //
     /* 1383892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1383948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383970 */     // GIR_Coverage, 22568,
     /* 1383970 */     GIR_EraseRootFromParent_Done,
     /* 1383971 */   // Label 19638: @1383971
     /* 1383971 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1384055), // Rule ID 22571 //
     /* 1383976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1383993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384029 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1384032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384054 */     // GIR_Coverage, 22571,
     /* 1384054 */     GIR_EraseRootFromParent_Done,
     /* 1384055 */   // Label 19639: @1384055
     /* 1384055 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1384139), // Rule ID 22572 //
     /* 1384060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384113 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1384116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384138 */     // GIR_Coverage, 22572,
     /* 1384138 */     GIR_EraseRootFromParent_Done,
     /* 1384139 */   // Label 19640: @1384139
     /* 1384139 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1384223), // Rule ID 22575 //
     /* 1384144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384222 */     // GIR_Coverage, 22575,
     /* 1384222 */     GIR_EraseRootFromParent_Done,
     /* 1384223 */   // Label 19641: @1384223
     /* 1384223 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1384307), // Rule ID 22576 //
     /* 1384228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384281 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384306 */     // GIR_Coverage, 22576,
     /* 1384306 */     GIR_EraseRootFromParent_Done,
     /* 1384307 */   // Label 19642: @1384307
     /* 1384307 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1384391), // Rule ID 22579 //
     /* 1384312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384365 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384390 */     // GIR_Coverage, 22579,
     /* 1384390 */     GIR_EraseRootFromParent_Done,
     /* 1384391 */   // Label 19643: @1384391
     /* 1384391 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1384475), // Rule ID 22580 //
     /* 1384396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384474 */     // GIR_Coverage, 22580,
     /* 1384474 */     GIR_EraseRootFromParent_Done,
     /* 1384475 */   // Label 19644: @1384475
     /* 1384475 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1384559), // Rule ID 22583 //
     /* 1384480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1384536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384558 */     // GIR_Coverage, 22583,
     /* 1384558 */     GIR_EraseRootFromParent_Done,
     /* 1384559 */   // Label 19645: @1384559
     /* 1384559 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1384643), // Rule ID 22584 //
     /* 1384564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1384620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384642 */     // GIR_Coverage, 22584,
     /* 1384642 */     GIR_EraseRootFromParent_Done,
     /* 1384643 */   // Label 19646: @1384643
     /* 1384643 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1384727), // Rule ID 22587 //
     /* 1384648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1384704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384726 */     // GIR_Coverage, 22587,
     /* 1384726 */     GIR_EraseRootFromParent_Done,
     /* 1384727 */   // Label 19647: @1384727
     /* 1384727 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1384811), // Rule ID 22588 //
     /* 1384732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1384788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384810 */     // GIR_Coverage, 22588,
     /* 1384810 */     GIR_EraseRootFromParent_Done,
     /* 1384811 */   // Label 19648: @1384811
     /* 1384811 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1384895), // Rule ID 22591 //
     /* 1384816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1384872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384894 */     // GIR_Coverage, 22591,
     /* 1384894 */     GIR_EraseRootFromParent_Done,
     /* 1384895 */   // Label 19649: @1384895
     /* 1384895 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1384979), // Rule ID 22592 //
     /* 1384900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1384956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384978 */     // GIR_Coverage, 22592,
     /* 1384978 */     GIR_EraseRootFromParent_Done,
     /* 1384979 */   // Label 19650: @1384979
     /* 1384979 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1385063), // Rule ID 22595 //
     /* 1384984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1385040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385062 */     // GIR_Coverage, 22595,
     /* 1385062 */     GIR_EraseRootFromParent_Done,
     /* 1385063 */   // Label 19651: @1385063
     /* 1385063 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1385147), // Rule ID 22596 //
     /* 1385068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1385124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385146 */     // GIR_Coverage, 22596,
     /* 1385146 */     GIR_EraseRootFromParent_Done,
     /* 1385147 */   // Label 19652: @1385147
     /* 1385147 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1385231), // Rule ID 22599 //
     /* 1385152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385230 */     // GIR_Coverage, 22599,
     /* 1385230 */     GIR_EraseRootFromParent_Done,
     /* 1385231 */   // Label 19653: @1385231
     /* 1385231 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1385315), // Rule ID 22600 //
     /* 1385236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385314 */     // GIR_Coverage, 22600,
     /* 1385314 */     GIR_EraseRootFromParent_Done,
     /* 1385315 */   // Label 19654: @1385315
     /* 1385315 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1385399), // Rule ID 22603 //
     /* 1385320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385373 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385398 */     // GIR_Coverage, 22603,
     /* 1385398 */     GIR_EraseRootFromParent_Done,
     /* 1385399 */   // Label 19655: @1385399
     /* 1385399 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1385483), // Rule ID 22604 //
     /* 1385404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385482 */     // GIR_Coverage, 22604,
     /* 1385482 */     GIR_EraseRootFromParent_Done,
     /* 1385483 */   // Label 19656: @1385483
     /* 1385483 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1385567), // Rule ID 22607 //
     /* 1385488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1385544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385566 */     // GIR_Coverage, 22607,
     /* 1385566 */     GIR_EraseRootFromParent_Done,
     /* 1385567 */   // Label 19657: @1385567
     /* 1385567 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1385651), // Rule ID 22608 //
     /* 1385572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385625 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1385628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385650 */     // GIR_Coverage, 22608,
     /* 1385650 */     GIR_EraseRootFromParent_Done,
     /* 1385651 */   // Label 19658: @1385651
     /* 1385651 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1385735), // Rule ID 22611 //
     /* 1385656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1385712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385734 */     // GIR_Coverage, 22611,
     /* 1385734 */     GIR_EraseRootFromParent_Done,
     /* 1385735 */   // Label 19659: @1385735
     /* 1385735 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1385819), // Rule ID 22612 //
     /* 1385740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1385796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385818 */     // GIR_Coverage, 22612,
     /* 1385818 */     GIR_EraseRootFromParent_Done,
     /* 1385819 */   // Label 19660: @1385819
     /* 1385819 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1385903), // Rule ID 22615 //
     /* 1385824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1385880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385902 */     // GIR_Coverage, 22615,
     /* 1385902 */     GIR_EraseRootFromParent_Done,
     /* 1385903 */   // Label 19661: @1385903
     /* 1385903 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1385987), // Rule ID 22616 //
     /* 1385908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385961 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1385964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385986 */     // GIR_Coverage, 22616,
     /* 1385986 */     GIR_EraseRootFromParent_Done,
     /* 1385987 */   // Label 19662: @1385987
     /* 1385987 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1386071), // Rule ID 22619 //
     /* 1385992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1386048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386070 */     // GIR_Coverage, 22619,
     /* 1386070 */     GIR_EraseRootFromParent_Done,
     /* 1386071 */   // Label 19663: @1386071
     /* 1386071 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1386155), // Rule ID 22620 //
     /* 1386076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1386132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386154 */     // GIR_Coverage, 22620,
     /* 1386154 */     GIR_EraseRootFromParent_Done,
     /* 1386155 */   // Label 19664: @1386155
     /* 1386155 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1386239), // Rule ID 22623 //
     /* 1386160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386213 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386238 */     // GIR_Coverage, 22623,
     /* 1386238 */     GIR_EraseRootFromParent_Done,
     /* 1386239 */   // Label 19665: @1386239
     /* 1386239 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1386323), // Rule ID 22624 //
     /* 1386244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386322 */     // GIR_Coverage, 22624,
     /* 1386322 */     GIR_EraseRootFromParent_Done,
     /* 1386323 */   // Label 19666: @1386323
     /* 1386323 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1386407), // Rule ID 22627 //
     /* 1386328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386381 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386406 */     // GIR_Coverage, 22627,
     /* 1386406 */     GIR_EraseRootFromParent_Done,
     /* 1386407 */   // Label 19667: @1386407
     /* 1386407 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1386491), // Rule ID 22628 //
     /* 1386412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386465 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386490 */     // GIR_Coverage, 22628,
     /* 1386490 */     GIR_EraseRootFromParent_Done,
     /* 1386491 */   // Label 19668: @1386491
     /* 1386491 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1386575), // Rule ID 22631 //
     /* 1386496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1386552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386574 */     // GIR_Coverage, 22631,
     /* 1386574 */     GIR_EraseRootFromParent_Done,
     /* 1386575 */   // Label 19669: @1386575
     /* 1386575 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1386659), // Rule ID 22632 //
     /* 1386580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1386636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386658 */     // GIR_Coverage, 22632,
     /* 1386658 */     GIR_EraseRootFromParent_Done,
     /* 1386659 */   // Label 19670: @1386659
     /* 1386659 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1386743), // Rule ID 22635 //
     /* 1386664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1386681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1386720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386742 */     // GIR_Coverage, 22635,
     /* 1386742 */     GIR_EraseRootFromParent_Done,
     /* 1386743 */   // Label 19671: @1386743
     /* 1386743 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1386827), // Rule ID 22636 //
     /* 1386748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1386765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1386804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386826 */     // GIR_Coverage, 22636,
     /* 1386826 */     GIR_EraseRootFromParent_Done,
     /* 1386827 */   // Label 19672: @1386827
     /* 1386827 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1386911), // Rule ID 22639 //
     /* 1386832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1386849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1386888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386910 */     // GIR_Coverage, 22639,
     /* 1386910 */     GIR_EraseRootFromParent_Done,
     /* 1386911 */   // Label 19673: @1386911
     /* 1386911 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1386995), // Rule ID 22640 //
     /* 1386916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1386933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1386972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386994 */     // GIR_Coverage, 22640,
     /* 1386994 */     GIR_EraseRootFromParent_Done,
     /* 1386995 */   // Label 19674: @1386995
     /* 1386995 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1387079), // Rule ID 22643 //
     /* 1387000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387078 */     // GIR_Coverage, 22643,
     /* 1387078 */     GIR_EraseRootFromParent_Done,
     /* 1387079 */   // Label 19675: @1387079
     /* 1387079 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1387163), // Rule ID 22644 //
     /* 1387084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387162 */     // GIR_Coverage, 22644,
     /* 1387162 */     GIR_EraseRootFromParent_Done,
     /* 1387163 */   // Label 19676: @1387163
     /* 1387163 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1387247), // Rule ID 22647 //
     /* 1387168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387221 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387246 */     // GIR_Coverage, 22647,
     /* 1387246 */     GIR_EraseRootFromParent_Done,
     /* 1387247 */   // Label 19677: @1387247
     /* 1387247 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1387331), // Rule ID 22648 //
     /* 1387252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387330 */     // GIR_Coverage, 22648,
     /* 1387330 */     GIR_EraseRootFromParent_Done,
     /* 1387331 */   // Label 19678: @1387331
     /* 1387331 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1387415), // Rule ID 22651 //
     /* 1387336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387414 */     // GIR_Coverage, 22651,
     /* 1387414 */     GIR_EraseRootFromParent_Done,
     /* 1387415 */   // Label 19679: @1387415
     /* 1387415 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1387499), // Rule ID 22652 //
     /* 1387420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387498 */     // GIR_Coverage, 22652,
     /* 1387498 */     GIR_EraseRootFromParent_Done,
     /* 1387499 */   // Label 19680: @1387499
     /* 1387499 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1387583), // Rule ID 22655 //
     /* 1387504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1387560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387582 */     // GIR_Coverage, 22655,
     /* 1387582 */     GIR_EraseRootFromParent_Done,
     /* 1387583 */   // Label 19681: @1387583
     /* 1387583 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1387667), // Rule ID 22656 //
     /* 1387588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387641 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1387644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387666 */     // GIR_Coverage, 22656,
     /* 1387666 */     GIR_EraseRootFromParent_Done,
     /* 1387667 */   // Label 19682: @1387667
     /* 1387667 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1387751), // Rule ID 22659 //
     /* 1387672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1387689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1387728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387750 */     // GIR_Coverage, 22659,
     /* 1387750 */     GIR_EraseRootFromParent_Done,
     /* 1387751 */   // Label 19683: @1387751
     /* 1387751 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1387835), // Rule ID 22660 //
     /* 1387756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1387773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1387812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387834 */     // GIR_Coverage, 22660,
     /* 1387834 */     GIR_EraseRootFromParent_Done,
     /* 1387835 */   // Label 19684: @1387835
     /* 1387835 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1387919), // Rule ID 22663 //
     /* 1387840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1387857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1387896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387918 */     // GIR_Coverage, 22663,
     /* 1387918 */     GIR_EraseRootFromParent_Done,
     /* 1387919 */   // Label 19685: @1387919
     /* 1387919 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1388003), // Rule ID 22664 //
     /* 1387924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1387941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1387980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388002 */     // GIR_Coverage, 22664,
     /* 1388002 */     GIR_EraseRootFromParent_Done,
     /* 1388003 */   // Label 19686: @1388003
     /* 1388003 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1388087), // Rule ID 22667 //
     /* 1388008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388086 */     // GIR_Coverage, 22667,
     /* 1388086 */     GIR_EraseRootFromParent_Done,
     /* 1388087 */   // Label 19687: @1388087
     /* 1388087 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1388171), // Rule ID 22668 //
     /* 1388092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388145 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388170 */     // GIR_Coverage, 22668,
     /* 1388170 */     GIR_EraseRootFromParent_Done,
     /* 1388171 */   // Label 19688: @1388171
     /* 1388171 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1388255), // Rule ID 22671 //
     /* 1388176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388229 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388254 */     // GIR_Coverage, 22671,
     /* 1388254 */     GIR_EraseRootFromParent_Done,
     /* 1388255 */   // Label 19689: @1388255
     /* 1388255 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1388339), // Rule ID 22672 //
     /* 1388260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388313 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388338 */     // GIR_Coverage, 22672,
     /* 1388338 */     GIR_EraseRootFromParent_Done,
     /* 1388339 */   // Label 19690: @1388339
     /* 1388339 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1388423), // Rule ID 22675 //
     /* 1388344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388422 */     // GIR_Coverage, 22675,
     /* 1388422 */     GIR_EraseRootFromParent_Done,
     /* 1388423 */   // Label 19691: @1388423
     /* 1388423 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1388507), // Rule ID 22676 //
     /* 1388428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388481 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388506 */     // GIR_Coverage, 22676,
     /* 1388506 */     GIR_EraseRootFromParent_Done,
     /* 1388507 */   // Label 19692: @1388507
     /* 1388507 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1388591), // Rule ID 22679 //
     /* 1388512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1388568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388590 */     // GIR_Coverage, 22679,
     /* 1388590 */     GIR_EraseRootFromParent_Done,
     /* 1388591 */   // Label 19693: @1388591
     /* 1388591 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1388675), // Rule ID 22680 //
     /* 1388596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1388652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388674 */     // GIR_Coverage, 22680,
     /* 1388674 */     GIR_EraseRootFromParent_Done,
     /* 1388675 */   // Label 19694: @1388675
     /* 1388675 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1388759), // Rule ID 22683 //
     /* 1388680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1388736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388758 */     // GIR_Coverage, 22683,
     /* 1388758 */     GIR_EraseRootFromParent_Done,
     /* 1388759 */   // Label 19695: @1388759
     /* 1388759 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1388843), // Rule ID 22684 //
     /* 1388764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1388820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388842 */     // GIR_Coverage, 22684,
     /* 1388842 */     GIR_EraseRootFromParent_Done,
     /* 1388843 */   // Label 19696: @1388843
     /* 1388843 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1388927), // Rule ID 22687 //
     /* 1388848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1388865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388901 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1388904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388926 */     // GIR_Coverage, 22687,
     /* 1388926 */     GIR_EraseRootFromParent_Done,
     /* 1388927 */   // Label 19697: @1388927
     /* 1388927 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1389011), // Rule ID 22688 //
     /* 1388932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1388949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1388988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389010 */     // GIR_Coverage, 22688,
     /* 1389010 */     GIR_EraseRootFromParent_Done,
     /* 1389011 */   // Label 19698: @1389011
     /* 1389011 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1389095), // Rule ID 22691 //
     /* 1389016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389094 */     // GIR_Coverage, 22691,
     /* 1389094 */     GIR_EraseRootFromParent_Done,
     /* 1389095 */   // Label 19699: @1389095
     /* 1389095 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1389179), // Rule ID 22692 //
     /* 1389100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389178 */     // GIR_Coverage, 22692,
     /* 1389178 */     GIR_EraseRootFromParent_Done,
     /* 1389179 */   // Label 19700: @1389179
     /* 1389179 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1389263), // Rule ID 22695 //
     /* 1389184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389237 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389262 */     // GIR_Coverage, 22695,
     /* 1389262 */     GIR_EraseRootFromParent_Done,
     /* 1389263 */   // Label 19701: @1389263
     /* 1389263 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1389347), // Rule ID 22696 //
     /* 1389268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389346 */     // GIR_Coverage, 22696,
     /* 1389346 */     GIR_EraseRootFromParent_Done,
     /* 1389347 */   // Label 19702: @1389347
     /* 1389347 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1389431), // Rule ID 22699 //
     /* 1389352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389430 */     // GIR_Coverage, 22699,
     /* 1389430 */     GIR_EraseRootFromParent_Done,
     /* 1389431 */   // Label 19703: @1389431
     /* 1389431 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1389515), // Rule ID 22700 //
     /* 1389436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389489 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389514 */     // GIR_Coverage, 22700,
     /* 1389514 */     GIR_EraseRootFromParent_Done,
     /* 1389515 */   // Label 19704: @1389515
     /* 1389515 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1389599), // Rule ID 22703 //
     /* 1389520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1389576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389598 */     // GIR_Coverage, 22703,
     /* 1389598 */     GIR_EraseRootFromParent_Done,
     /* 1389599 */   // Label 19705: @1389599
     /* 1389599 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1389683), // Rule ID 22704 //
     /* 1389604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1389660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389682 */     // GIR_Coverage, 22704,
     /* 1389682 */     GIR_EraseRootFromParent_Done,
     /* 1389683 */   // Label 19706: @1389683
     /* 1389683 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1389767), // Rule ID 22823 //
     /* 1389688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1389691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389741 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1389744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389766 */     // GIR_Coverage, 22823,
     /* 1389766 */     GIR_EraseRootFromParent_Done,
     /* 1389767 */   // Label 19707: @1389767
     /* 1389767 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1389851), // Rule ID 22824 //
     /* 1389772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389825 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1389828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389850 */     // GIR_Coverage, 22824,
     /* 1389850 */     GIR_EraseRootFromParent_Done,
     /* 1389851 */   // Label 19708: @1389851
     /* 1389851 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1389935), // Rule ID 22827 //
     /* 1389856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1389859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1389873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389909 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1389912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389934 */     // GIR_Coverage, 22827,
     /* 1389934 */     GIR_EraseRootFromParent_Done,
     /* 1389935 */   // Label 19709: @1389935
     /* 1389935 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1390019), // Rule ID 22828 //
     /* 1389940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1389957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389993 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1389996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390018 */     // GIR_Coverage, 22828,
     /* 1390018 */     GIR_EraseRootFromParent_Done,
     /* 1390019 */   // Label 19710: @1390019
     /* 1390019 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1390103), // Rule ID 22831 //
     /* 1390024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390102 */     // GIR_Coverage, 22831,
     /* 1390102 */     GIR_EraseRootFromParent_Done,
     /* 1390103 */   // Label 19711: @1390103
     /* 1390103 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1390187), // Rule ID 22832 //
     /* 1390108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390161 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390186 */     // GIR_Coverage, 22832,
     /* 1390186 */     GIR_EraseRootFromParent_Done,
     /* 1390187 */   // Label 19712: @1390187
     /* 1390187 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1390271), // Rule ID 22835 //
     /* 1390192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390245 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390270 */     // GIR_Coverage, 22835,
     /* 1390270 */     GIR_EraseRootFromParent_Done,
     /* 1390271 */   // Label 19713: @1390271
     /* 1390271 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1390355), // Rule ID 22836 //
     /* 1390276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390329 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390354 */     // GIR_Coverage, 22836,
     /* 1390354 */     GIR_EraseRootFromParent_Done,
     /* 1390355 */   // Label 19714: @1390355
     /* 1390355 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1390439), // Rule ID 22839 //
     /* 1390360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390413 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390438 */     // GIR_Coverage, 22839,
     /* 1390438 */     GIR_EraseRootFromParent_Done,
     /* 1390439 */   // Label 19715: @1390439
     /* 1390439 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1390523), // Rule ID 22840 //
     /* 1390444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390522 */     // GIR_Coverage, 22840,
     /* 1390522 */     GIR_EraseRootFromParent_Done,
     /* 1390523 */   // Label 19716: @1390523
     /* 1390523 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1390607), // Rule ID 22843 //
     /* 1390528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1390531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1390584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390606 */     // GIR_Coverage, 22843,
     /* 1390606 */     GIR_EraseRootFromParent_Done,
     /* 1390607 */   // Label 19717: @1390607
     /* 1390607 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1390691), // Rule ID 22844 //
     /* 1390612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1390615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1390668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390690 */     // GIR_Coverage, 22844,
     /* 1390690 */     GIR_EraseRootFromParent_Done,
     /* 1390691 */   // Label 19718: @1390691
     /* 1390691 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1390775), // Rule ID 22847 //
     /* 1390696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1390713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390749 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1390752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390774 */     // GIR_Coverage, 22847,
     /* 1390774 */     GIR_EraseRootFromParent_Done,
     /* 1390775 */   // Label 19719: @1390775
     /* 1390775 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1390859), // Rule ID 22848 //
     /* 1390780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1390797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390833 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1390836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390858 */     // GIR_Coverage, 22848,
     /* 1390858 */     GIR_EraseRootFromParent_Done,
     /* 1390859 */   // Label 19720: @1390859
     /* 1390859 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1390943), // Rule ID 22851 //
     /* 1390864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1390881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390917 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1390920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390942 */     // GIR_Coverage, 22851,
     /* 1390942 */     GIR_EraseRootFromParent_Done,
     /* 1390943 */   // Label 19721: @1390943
     /* 1390943 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1391027), // Rule ID 22852 //
     /* 1390948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1390965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391001 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1391004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391026 */     // GIR_Coverage, 22852,
     /* 1391026 */     GIR_EraseRootFromParent_Done,
     /* 1391027 */   // Label 19722: @1391027
     /* 1391027 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1391111), // Rule ID 22855 //
     /* 1391032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391085 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391110 */     // GIR_Coverage, 22855,
     /* 1391110 */     GIR_EraseRootFromParent_Done,
     /* 1391111 */   // Label 19723: @1391111
     /* 1391111 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1391195), // Rule ID 22856 //
     /* 1391116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391169 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391194 */     // GIR_Coverage, 22856,
     /* 1391194 */     GIR_EraseRootFromParent_Done,
     /* 1391195 */   // Label 19724: @1391195
     /* 1391195 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1391279), // Rule ID 22859 //
     /* 1391200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391253 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391278 */     // GIR_Coverage, 22859,
     /* 1391278 */     GIR_EraseRootFromParent_Done,
     /* 1391279 */   // Label 19725: @1391279
     /* 1391279 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1391363), // Rule ID 22860 //
     /* 1391284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391337 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391362 */     // GIR_Coverage, 22860,
     /* 1391362 */     GIR_EraseRootFromParent_Done,
     /* 1391363 */   // Label 19726: @1391363
     /* 1391363 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1391447), // Rule ID 22863 //
     /* 1391368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391421 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391446 */     // GIR_Coverage, 22863,
     /* 1391446 */     GIR_EraseRootFromParent_Done,
     /* 1391447 */   // Label 19727: @1391447
     /* 1391447 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1391531), // Rule ID 22864 //
     /* 1391452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391530 */     // GIR_Coverage, 22864,
     /* 1391530 */     GIR_EraseRootFromParent_Done,
     /* 1391531 */   // Label 19728: @1391531
     /* 1391531 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1391615), // Rule ID 22867 //
     /* 1391536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1391592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391614 */     // GIR_Coverage, 22867,
     /* 1391614 */     GIR_EraseRootFromParent_Done,
     /* 1391615 */   // Label 19729: @1391615
     /* 1391615 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1391699), // Rule ID 22868 //
     /* 1391620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391673 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1391676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391698 */     // GIR_Coverage, 22868,
     /* 1391698 */     GIR_EraseRootFromParent_Done,
     /* 1391699 */   // Label 19730: @1391699
     /* 1391699 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1391783), // Rule ID 22871 //
     /* 1391704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1391707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1391721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391757 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1391760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391782 */     // GIR_Coverage, 22871,
     /* 1391782 */     GIR_EraseRootFromParent_Done,
     /* 1391783 */   // Label 19731: @1391783
     /* 1391783 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1391867), // Rule ID 22872 //
     /* 1391788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1391791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1391805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391841 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1391844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391866 */     // GIR_Coverage, 22872,
     /* 1391866 */     GIR_EraseRootFromParent_Done,
     /* 1391867 */   // Label 19732: @1391867
     /* 1391867 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1391951), // Rule ID 22875 //
     /* 1391872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1391875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1391889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391925 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1391928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391950 */     // GIR_Coverage, 22875,
     /* 1391950 */     GIR_EraseRootFromParent_Done,
     /* 1391951 */   // Label 19733: @1391951
     /* 1391951 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1392035), // Rule ID 22876 //
     /* 1391956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1391959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1391973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392009 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1392012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392034 */     // GIR_Coverage, 22876,
     /* 1392034 */     GIR_EraseRootFromParent_Done,
     /* 1392035 */   // Label 19734: @1392035
     /* 1392035 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1392119), // Rule ID 22879 //
     /* 1392040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392093 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392118 */     // GIR_Coverage, 22879,
     /* 1392118 */     GIR_EraseRootFromParent_Done,
     /* 1392119 */   // Label 19735: @1392119
     /* 1392119 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1392203), // Rule ID 22880 //
     /* 1392124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392202 */     // GIR_Coverage, 22880,
     /* 1392202 */     GIR_EraseRootFromParent_Done,
     /* 1392203 */   // Label 19736: @1392203
     /* 1392203 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1392287), // Rule ID 22883 //
     /* 1392208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392261 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392286 */     // GIR_Coverage, 22883,
     /* 1392286 */     GIR_EraseRootFromParent_Done,
     /* 1392287 */   // Label 19737: @1392287
     /* 1392287 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1392371), // Rule ID 22884 //
     /* 1392292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392345 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392370 */     // GIR_Coverage, 22884,
     /* 1392370 */     GIR_EraseRootFromParent_Done,
     /* 1392371 */   // Label 19738: @1392371
     /* 1392371 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1392455), // Rule ID 22887 //
     /* 1392376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392429 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392454 */     // GIR_Coverage, 22887,
     /* 1392454 */     GIR_EraseRootFromParent_Done,
     /* 1392455 */   // Label 19739: @1392455
     /* 1392455 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1392539), // Rule ID 22888 //
     /* 1392460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392513 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392538 */     // GIR_Coverage, 22888,
     /* 1392538 */     GIR_EraseRootFromParent_Done,
     /* 1392539 */   // Label 19740: @1392539
     /* 1392539 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1392623), // Rule ID 22891 //
     /* 1392544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392597 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1392600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392622 */     // GIR_Coverage, 22891,
     /* 1392622 */     GIR_EraseRootFromParent_Done,
     /* 1392623 */   // Label 19741: @1392623
     /* 1392623 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1392707), // Rule ID 22892 //
     /* 1392628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392681 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1392684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392706 */     // GIR_Coverage, 22892,
     /* 1392706 */     GIR_EraseRootFromParent_Done,
     /* 1392707 */   // Label 19742: @1392707
     /* 1392707 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1392791), // Rule ID 22895 //
     /* 1392712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392765 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1392768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392790 */     // GIR_Coverage, 22895,
     /* 1392790 */     GIR_EraseRootFromParent_Done,
     /* 1392791 */   // Label 19743: @1392791
     /* 1392791 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1392875), // Rule ID 22896 //
     /* 1392796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392849 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1392852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392874 */     // GIR_Coverage, 22896,
     /* 1392874 */     GIR_EraseRootFromParent_Done,
     /* 1392875 */   // Label 19744: @1392875
     /* 1392875 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1392959), // Rule ID 22899 //
     /* 1392880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392933 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1392936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392958 */     // GIR_Coverage, 22899,
     /* 1392958 */     GIR_EraseRootFromParent_Done,
     /* 1392959 */   // Label 19745: @1392959
     /* 1392959 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1393043), // Rule ID 22900 //
     /* 1392964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1393020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393042 */     // GIR_Coverage, 22900,
     /* 1393042 */     GIR_EraseRootFromParent_Done,
     /* 1393043 */   // Label 19746: @1393043
     /* 1393043 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1393127), // Rule ID 22903 //
     /* 1393048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1393051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393101 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393126 */     // GIR_Coverage, 22903,
     /* 1393126 */     GIR_EraseRootFromParent_Done,
     /* 1393127 */   // Label 19747: @1393127
     /* 1393127 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1393211), // Rule ID 22904 //
     /* 1393132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1393135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393185 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393210 */     // GIR_Coverage, 22904,
     /* 1393210 */     GIR_EraseRootFromParent_Done,
     /* 1393211 */   // Label 19748: @1393211
     /* 1393211 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1393295), // Rule ID 22907 //
     /* 1393216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393269 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393294 */     // GIR_Coverage, 22907,
     /* 1393294 */     GIR_EraseRootFromParent_Done,
     /* 1393295 */   // Label 19749: @1393295
     /* 1393295 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1393379), // Rule ID 22908 //
     /* 1393300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393353 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393378 */     // GIR_Coverage, 22908,
     /* 1393378 */     GIR_EraseRootFromParent_Done,
     /* 1393379 */   // Label 19750: @1393379
     /* 1393379 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1393463), // Rule ID 22911 //
     /* 1393384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393437 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393462 */     // GIR_Coverage, 22911,
     /* 1393462 */     GIR_EraseRootFromParent_Done,
     /* 1393463 */   // Label 19751: @1393463
     /* 1393463 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1393547), // Rule ID 22912 //
     /* 1393468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393521 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393546 */     // GIR_Coverage, 22912,
     /* 1393546 */     GIR_EraseRootFromParent_Done,
     /* 1393547 */   // Label 19752: @1393547
     /* 1393547 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1393631), // Rule ID 22915 //
     /* 1393552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1393608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393630 */     // GIR_Coverage, 22915,
     /* 1393630 */     GIR_EraseRootFromParent_Done,
     /* 1393631 */   // Label 19753: @1393631
     /* 1393631 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1393715), // Rule ID 22916 //
     /* 1393636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393689 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1393692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393714 */     // GIR_Coverage, 22916,
     /* 1393714 */     GIR_EraseRootFromParent_Done,
     /* 1393715 */   // Label 19754: @1393715
     /* 1393715 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1393799), // Rule ID 22919 //
     /* 1393720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1393723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393773 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1393776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393798 */     // GIR_Coverage, 22919,
     /* 1393798 */     GIR_EraseRootFromParent_Done,
     /* 1393799 */   // Label 19755: @1393799
     /* 1393799 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1393883), // Rule ID 22920 //
     /* 1393804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393857 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1393860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393882 */     // GIR_Coverage, 22920,
     /* 1393882 */     GIR_EraseRootFromParent_Done,
     /* 1393883 */   // Label 19756: @1393883
     /* 1393883 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1393967), // Rule ID 22923 //
     /* 1393888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1393891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393941 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1393944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393966 */     // GIR_Coverage, 22923,
     /* 1393966 */     GIR_EraseRootFromParent_Done,
     /* 1393967 */   // Label 19757: @1393967
     /* 1393967 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1394051), // Rule ID 22924 //
     /* 1393972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394025 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1394028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394050 */     // GIR_Coverage, 22924,
     /* 1394050 */     GIR_EraseRootFromParent_Done,
     /* 1394051 */   // Label 19758: @1394051
     /* 1394051 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1394135), // Rule ID 22927 //
     /* 1394056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394134 */     // GIR_Coverage, 22927,
     /* 1394134 */     GIR_EraseRootFromParent_Done,
     /* 1394135 */   // Label 19759: @1394135
     /* 1394135 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1394219), // Rule ID 22928 //
     /* 1394140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394193 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394218 */     // GIR_Coverage, 22928,
     /* 1394218 */     GIR_EraseRootFromParent_Done,
     /* 1394219 */   // Label 19760: @1394219
     /* 1394219 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1394303), // Rule ID 22931 //
     /* 1394224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394302 */     // GIR_Coverage, 22931,
     /* 1394302 */     GIR_EraseRootFromParent_Done,
     /* 1394303 */   // Label 19761: @1394303
     /* 1394303 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1394387), // Rule ID 22932 //
     /* 1394308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394361 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394386 */     // GIR_Coverage, 22932,
     /* 1394386 */     GIR_EraseRootFromParent_Done,
     /* 1394387 */   // Label 19762: @1394387
     /* 1394387 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1394471), // Rule ID 22935 //
     /* 1394392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394445 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394470 */     // GIR_Coverage, 22935,
     /* 1394470 */     GIR_EraseRootFromParent_Done,
     /* 1394471 */   // Label 19763: @1394471
     /* 1394471 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1394555), // Rule ID 22936 //
     /* 1394476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394554 */     // GIR_Coverage, 22936,
     /* 1394554 */     GIR_EraseRootFromParent_Done,
     /* 1394555 */   // Label 19764: @1394555
     /* 1394555 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1394639), // Rule ID 22939 //
     /* 1394560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394613 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1394616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394638 */     // GIR_Coverage, 22939,
     /* 1394638 */     GIR_EraseRootFromParent_Done,
     /* 1394639 */   // Label 19765: @1394639
     /* 1394639 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1394723), // Rule ID 22940 //
     /* 1394644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394697 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1394700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394722 */     // GIR_Coverage, 22940,
     /* 1394722 */     GIR_EraseRootFromParent_Done,
     /* 1394723 */   // Label 19766: @1394723
     /* 1394723 */   GIM_Reject,
     /* 1394724 */ // Label 13786: @1394724
     /* 1394724 */ GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(2003881),
     /* 1394729 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1394732 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1394818), // Rule ID 7233 //
     /* 1394737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1394748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1394751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1394754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394775 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394783 */     // MIs[0] policy
     /* 1394783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394793 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1394796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394817 */     // GIR_Coverage, 7233,
     /* 1394817 */     GIR_EraseRootFromParent_Done,
     /* 1394818 */   // Label 19768: @1394818
     /* 1394818 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1394904), // Rule ID 7234 //
     /* 1394823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1394834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1394837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1394840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394861 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394869 */     // MIs[0] policy
     /* 1394869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394879 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1394882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394903 */     // GIR_Coverage, 7234,
     /* 1394903 */     GIR_EraseRootFromParent_Done,
     /* 1394904 */   // Label 19769: @1394904
     /* 1394904 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1394990), // Rule ID 7237 //
     /* 1394909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1394920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1394923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1394926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394947 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394955 */     // MIs[0] policy
     /* 1394955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394965 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1394968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394989 */     // GIR_Coverage, 7237,
     /* 1394989 */     GIR_EraseRootFromParent_Done,
     /* 1394990 */   // Label 19770: @1394990
     /* 1394990 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1395076), // Rule ID 7238 //
     /* 1394995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1395006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1395009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1395012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395033 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395041 */     // MIs[0] policy
     /* 1395041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395051 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395075 */     // GIR_Coverage, 7238,
     /* 1395075 */     GIR_EraseRootFromParent_Done,
     /* 1395076 */   // Label 19771: @1395076
     /* 1395076 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1395162), // Rule ID 7241 //
     /* 1395081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395119 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395127 */     // MIs[0] policy
     /* 1395127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395137 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395161 */     // GIR_Coverage, 7241,
     /* 1395161 */     GIR_EraseRootFromParent_Done,
     /* 1395162 */   // Label 19772: @1395162
     /* 1395162 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1395248), // Rule ID 7242 //
     /* 1395167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395205 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395213 */     // MIs[0] policy
     /* 1395213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395223 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395247 */     // GIR_Coverage, 7242,
     /* 1395247 */     GIR_EraseRootFromParent_Done,
     /* 1395248 */   // Label 19773: @1395248
     /* 1395248 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1395334), // Rule ID 7245 //
     /* 1395253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395291 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395299 */     // MIs[0] policy
     /* 1395299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395333 */     // GIR_Coverage, 7245,
     /* 1395333 */     GIR_EraseRootFromParent_Done,
     /* 1395334 */   // Label 19774: @1395334
     /* 1395334 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1395420), // Rule ID 7246 //
     /* 1395339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395385 */     // MIs[0] policy
     /* 1395385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395395 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395419 */     // GIR_Coverage, 7246,
     /* 1395419 */     GIR_EraseRootFromParent_Done,
     /* 1395420 */   // Label 19775: @1395420
     /* 1395420 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1395506), // Rule ID 7249 //
     /* 1395425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395463 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395471 */     // MIs[0] policy
     /* 1395471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395505 */     // GIR_Coverage, 7249,
     /* 1395505 */     GIR_EraseRootFromParent_Done,
     /* 1395506 */   // Label 19776: @1395506
     /* 1395506 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1395592), // Rule ID 7250 //
     /* 1395511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395549 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395557 */     // MIs[0] policy
     /* 1395557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395591 */     // GIR_Coverage, 7250,
     /* 1395591 */     GIR_EraseRootFromParent_Done,
     /* 1395592 */   // Label 19777: @1395592
     /* 1395592 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1395678), // Rule ID 7253 //
     /* 1395597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395635 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395643 */     // MIs[0] policy
     /* 1395643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395677 */     // GIR_Coverage, 7253,
     /* 1395677 */     GIR_EraseRootFromParent_Done,
     /* 1395678 */   // Label 19778: @1395678
     /* 1395678 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1395764), // Rule ID 7254 //
     /* 1395683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395721 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395729 */     // MIs[0] policy
     /* 1395729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395763 */     // GIR_Coverage, 7254,
     /* 1395763 */     GIR_EraseRootFromParent_Done,
     /* 1395764 */   // Label 19779: @1395764
     /* 1395764 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1395850), // Rule ID 7257 //
     /* 1395769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1395780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1395783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1395786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395815 */     // MIs[0] policy
     /* 1395815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395849 */     // GIR_Coverage, 7257,
     /* 1395849 */     GIR_EraseRootFromParent_Done,
     /* 1395850 */   // Label 19780: @1395850
     /* 1395850 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1395936), // Rule ID 7258 //
     /* 1395855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1395866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1395869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1395872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395893 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395901 */     // MIs[0] policy
     /* 1395901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395935 */     // GIR_Coverage, 7258,
     /* 1395935 */     GIR_EraseRootFromParent_Done,
     /* 1395936 */   // Label 19781: @1395936
     /* 1395936 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1396022), // Rule ID 7261 //
     /* 1395941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395979 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395987 */     // MIs[0] policy
     /* 1395987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396021 */     // GIR_Coverage, 7261,
     /* 1396021 */     GIR_EraseRootFromParent_Done,
     /* 1396022 */   // Label 19782: @1396022
     /* 1396022 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1396108), // Rule ID 7262 //
     /* 1396027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396065 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396073 */     // MIs[0] policy
     /* 1396073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396107 */     // GIR_Coverage, 7262,
     /* 1396107 */     GIR_EraseRootFromParent_Done,
     /* 1396108 */   // Label 19783: @1396108
     /* 1396108 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1396194), // Rule ID 7265 //
     /* 1396113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396151 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396159 */     // MIs[0] policy
     /* 1396159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396169 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396193 */     // GIR_Coverage, 7265,
     /* 1396193 */     GIR_EraseRootFromParent_Done,
     /* 1396194 */   // Label 19784: @1396194
     /* 1396194 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1396280), // Rule ID 7266 //
     /* 1396199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396237 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396245 */     // MIs[0] policy
     /* 1396245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396279 */     // GIR_Coverage, 7266,
     /* 1396279 */     GIR_EraseRootFromParent_Done,
     /* 1396280 */   // Label 19785: @1396280
     /* 1396280 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1396366), // Rule ID 7269 //
     /* 1396285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1396288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396323 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396331 */     // MIs[0] policy
     /* 1396331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396341 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396365 */     // GIR_Coverage, 7269,
     /* 1396365 */     GIR_EraseRootFromParent_Done,
     /* 1396366 */   // Label 19786: @1396366
     /* 1396366 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1396452), // Rule ID 7270 //
     /* 1396371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1396374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396417 */     // MIs[0] policy
     /* 1396417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396451 */     // GIR_Coverage, 7270,
     /* 1396451 */     GIR_EraseRootFromParent_Done,
     /* 1396452 */   // Label 19787: @1396452
     /* 1396452 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1396538), // Rule ID 7273 //
     /* 1396457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396495 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396503 */     // MIs[0] policy
     /* 1396503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396513 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396537 */     // GIR_Coverage, 7273,
     /* 1396537 */     GIR_EraseRootFromParent_Done,
     /* 1396538 */   // Label 19788: @1396538
     /* 1396538 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1396624), // Rule ID 7274 //
     /* 1396543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396581 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396589 */     // MIs[0] policy
     /* 1396589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396623 */     // GIR_Coverage, 7274,
     /* 1396623 */     GIR_EraseRootFromParent_Done,
     /* 1396624 */   // Label 19789: @1396624
     /* 1396624 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1396710), // Rule ID 7277 //
     /* 1396629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1396640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1396643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396667 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396675 */     // MIs[0] policy
     /* 1396675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396685 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396709 */     // GIR_Coverage, 7277,
     /* 1396709 */     GIR_EraseRootFromParent_Done,
     /* 1396710 */   // Label 19790: @1396710
     /* 1396710 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1396796), // Rule ID 7278 //
     /* 1396715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1396726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1396729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396753 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396761 */     // MIs[0] policy
     /* 1396761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396795 */     // GIR_Coverage, 7278,
     /* 1396795 */     GIR_EraseRootFromParent_Done,
     /* 1396796 */   // Label 19791: @1396796
     /* 1396796 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1396882), // Rule ID 7281 //
     /* 1396801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1396812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1396815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1396818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1396824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396839 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396847 */     // MIs[0] policy
     /* 1396847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396857 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396881 */     // GIR_Coverage, 7281,
     /* 1396881 */     GIR_EraseRootFromParent_Done,
     /* 1396882 */   // Label 19792: @1396882
     /* 1396882 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1396968), // Rule ID 7282 //
     /* 1396887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1396898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1396901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1396904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1396910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396925 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396933 */     // MIs[0] policy
     /* 1396933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396943 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396967 */     // GIR_Coverage, 7282,
     /* 1396967 */     GIR_EraseRootFromParent_Done,
     /* 1396968 */   // Label 19793: @1396968
     /* 1396968 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1397054), // Rule ID 7285 //
     /* 1396973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1396984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1396987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1396990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397011 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397019 */     // MIs[0] policy
     /* 1397019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397053 */     // GIR_Coverage, 7285,
     /* 1397053 */     GIR_EraseRootFromParent_Done,
     /* 1397054 */   // Label 19794: @1397054
     /* 1397054 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1397140), // Rule ID 7286 //
     /* 1397059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397097 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397105 */     // MIs[0] policy
     /* 1397105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397139 */     // GIR_Coverage, 7286,
     /* 1397139 */     GIR_EraseRootFromParent_Done,
     /* 1397140 */   // Label 19795: @1397140
     /* 1397140 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1397226), // Rule ID 7289 //
     /* 1397145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397183 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397191 */     // MIs[0] policy
     /* 1397191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397201 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397225 */     // GIR_Coverage, 7289,
     /* 1397225 */     GIR_EraseRootFromParent_Done,
     /* 1397226 */   // Label 19796: @1397226
     /* 1397226 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1397312), // Rule ID 7290 //
     /* 1397231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397269 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397277 */     // MIs[0] policy
     /* 1397277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397287 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397311 */     // GIR_Coverage, 7290,
     /* 1397311 */     GIR_EraseRootFromParent_Done,
     /* 1397312 */   // Label 19797: @1397312
     /* 1397312 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1397398), // Rule ID 7293 //
     /* 1397317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397355 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397363 */     // MIs[0] policy
     /* 1397363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397373 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397397 */     // GIR_Coverage, 7293,
     /* 1397397 */     GIR_EraseRootFromParent_Done,
     /* 1397398 */   // Label 19798: @1397398
     /* 1397398 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1397484), // Rule ID 7294 //
     /* 1397403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397441 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397449 */     // MIs[0] policy
     /* 1397449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397483 */     // GIR_Coverage, 7294,
     /* 1397483 */     GIR_EraseRootFromParent_Done,
     /* 1397484 */   // Label 19799: @1397484
     /* 1397484 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1397570), // Rule ID 7297 //
     /* 1397489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397527 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397535 */     // MIs[0] policy
     /* 1397535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397569 */     // GIR_Coverage, 7297,
     /* 1397569 */     GIR_EraseRootFromParent_Done,
     /* 1397570 */   // Label 19800: @1397570
     /* 1397570 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1397656), // Rule ID 7298 //
     /* 1397575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397613 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397621 */     // MIs[0] policy
     /* 1397621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397655 */     // GIR_Coverage, 7298,
     /* 1397655 */     GIR_EraseRootFromParent_Done,
     /* 1397656 */   // Label 19801: @1397656
     /* 1397656 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1397742), // Rule ID 7301 //
     /* 1397661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1397672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1397675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1397678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397699 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397707 */     // MIs[0] policy
     /* 1397707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397741 */     // GIR_Coverage, 7301,
     /* 1397741 */     GIR_EraseRootFromParent_Done,
     /* 1397742 */   // Label 19802: @1397742
     /* 1397742 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1397828), // Rule ID 7302 //
     /* 1397747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1397758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1397761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1397764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397785 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397793 */     // MIs[0] policy
     /* 1397793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397827 */     // GIR_Coverage, 7302,
     /* 1397827 */     GIR_EraseRootFromParent_Done,
     /* 1397828 */   // Label 19803: @1397828
     /* 1397828 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1397914), // Rule ID 7305 //
     /* 1397833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1397844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1397847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397871 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397879 */     // MIs[0] policy
     /* 1397879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397913 */     // GIR_Coverage, 7305,
     /* 1397913 */     GIR_EraseRootFromParent_Done,
     /* 1397914 */   // Label 19804: @1397914
     /* 1397914 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1398000), // Rule ID 7306 //
     /* 1397919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1397930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1397933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397957 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397965 */     // MIs[0] policy
     /* 1397965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397999 */     // GIR_Coverage, 7306,
     /* 1397999 */     GIR_EraseRootFromParent_Done,
     /* 1398000 */   // Label 19805: @1398000
     /* 1398000 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1398086), // Rule ID 7309 //
     /* 1398005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398043 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398051 */     // MIs[0] policy
     /* 1398051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398085 */     // GIR_Coverage, 7309,
     /* 1398085 */     GIR_EraseRootFromParent_Done,
     /* 1398086 */   // Label 19806: @1398086
     /* 1398086 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1398172), // Rule ID 7310 //
     /* 1398091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398129 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398137 */     // MIs[0] policy
     /* 1398137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398171 */     // GIR_Coverage, 7310,
     /* 1398171 */     GIR_EraseRootFromParent_Done,
     /* 1398172 */   // Label 19807: @1398172
     /* 1398172 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1398258), // Rule ID 7313 //
     /* 1398177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398215 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398223 */     // MIs[0] policy
     /* 1398223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398257 */     // GIR_Coverage, 7313,
     /* 1398257 */     GIR_EraseRootFromParent_Done,
     /* 1398258 */   // Label 19808: @1398258
     /* 1398258 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1398344), // Rule ID 7314 //
     /* 1398263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398301 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398309 */     // MIs[0] policy
     /* 1398309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398319 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398343 */     // GIR_Coverage, 7314,
     /* 1398343 */     GIR_EraseRootFromParent_Done,
     /* 1398344 */   // Label 19809: @1398344
     /* 1398344 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1398430), // Rule ID 7317 //
     /* 1398349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398387 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398395 */     // MIs[0] policy
     /* 1398395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398405 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398429 */     // GIR_Coverage, 7317,
     /* 1398429 */     GIR_EraseRootFromParent_Done,
     /* 1398430 */   // Label 19810: @1398430
     /* 1398430 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1398516), // Rule ID 7318 //
     /* 1398435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398473 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398481 */     // MIs[0] policy
     /* 1398481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398491 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398515 */     // GIR_Coverage, 7318,
     /* 1398515 */     GIR_EraseRootFromParent_Done,
     /* 1398516 */   // Label 19811: @1398516
     /* 1398516 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1398604), // Rule ID 2631 //
     /* 1398521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1398532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1398535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398560 */     // MIs[0] Operand 5
     /* 1398560 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398571 */     // MIs[0] policy
     /* 1398571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398581 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1398584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398603 */     // GIR_Coverage, 2631,
     /* 1398603 */     GIR_EraseRootFromParent_Done,
     /* 1398604 */   // Label 19812: @1398604
     /* 1398604 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1398692), // Rule ID 2632 //
     /* 1398609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1398620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1398623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398648 */     // MIs[0] Operand 5
     /* 1398648 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398659 */     // MIs[0] policy
     /* 1398659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398669 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1398672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398691 */     // GIR_Coverage, 2632,
     /* 1398691 */     GIR_EraseRootFromParent_Done,
     /* 1398692 */   // Label 19813: @1398692
     /* 1398692 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1398780), // Rule ID 20515 //
     /* 1398697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1398708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1398711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398736 */     // MIs[0] Operand 5
     /* 1398736 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398747 */     // MIs[0] policy
     /* 1398747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1398760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398779 */     // GIR_Coverage, 20515,
     /* 1398779 */     GIR_EraseRootFromParent_Done,
     /* 1398780 */   // Label 19814: @1398780
     /* 1398780 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1398868), // Rule ID 20516 //
     /* 1398785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1398796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1398799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398824 */     // MIs[0] Operand 5
     /* 1398824 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398835 */     // MIs[0] policy
     /* 1398835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398845 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1398848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398867 */     // GIR_Coverage, 20516,
     /* 1398867 */     GIR_EraseRootFromParent_Done,
     /* 1398868 */   // Label 19815: @1398868
     /* 1398868 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1398956), // Rule ID 20519 //
     /* 1398873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1398876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1398884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1398887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398912 */     // MIs[0] Operand 5
     /* 1398912 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398923 */     // MIs[0] policy
     /* 1398923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1398936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398955 */     // GIR_Coverage, 20519,
     /* 1398955 */     GIR_EraseRootFromParent_Done,
     /* 1398956 */   // Label 19816: @1398956
     /* 1398956 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1399044), // Rule ID 20520 //
     /* 1398961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1398964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1398972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1398975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399000 */     // MIs[0] Operand 5
     /* 1399000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399011 */     // MIs[0] policy
     /* 1399011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399043 */     // GIR_Coverage, 20520,
     /* 1399043 */     GIR_EraseRootFromParent_Done,
     /* 1399044 */   // Label 19817: @1399044
     /* 1399044 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1399132), // Rule ID 20523 //
     /* 1399049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399088 */     // MIs[0] Operand 5
     /* 1399088 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399099 */     // MIs[0] policy
     /* 1399099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399131 */     // GIR_Coverage, 20523,
     /* 1399131 */     GIR_EraseRootFromParent_Done,
     /* 1399132 */   // Label 19818: @1399132
     /* 1399132 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1399220), // Rule ID 20524 //
     /* 1399137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399176 */     // MIs[0] Operand 5
     /* 1399176 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399187 */     // MIs[0] policy
     /* 1399187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399219 */     // GIR_Coverage, 20524,
     /* 1399219 */     GIR_EraseRootFromParent_Done,
     /* 1399220 */   // Label 19819: @1399220
     /* 1399220 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1399308), // Rule ID 20527 //
     /* 1399225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399264 */     // MIs[0] Operand 5
     /* 1399264 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399275 */     // MIs[0] policy
     /* 1399275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399307 */     // GIR_Coverage, 20527,
     /* 1399307 */     GIR_EraseRootFromParent_Done,
     /* 1399308 */   // Label 19820: @1399308
     /* 1399308 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1399396), // Rule ID 20528 //
     /* 1399313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399352 */     // MIs[0] Operand 5
     /* 1399352 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399363 */     // MIs[0] policy
     /* 1399363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399395 */     // GIR_Coverage, 20528,
     /* 1399395 */     GIR_EraseRootFromParent_Done,
     /* 1399396 */   // Label 19821: @1399396
     /* 1399396 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1399484), // Rule ID 20531 //
     /* 1399401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1399404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399440 */     // MIs[0] Operand 5
     /* 1399440 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399451 */     // MIs[0] policy
     /* 1399451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399483 */     // GIR_Coverage, 20531,
     /* 1399483 */     GIR_EraseRootFromParent_Done,
     /* 1399484 */   // Label 19822: @1399484
     /* 1399484 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1399572), // Rule ID 20532 //
     /* 1399489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1399492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399528 */     // MIs[0] Operand 5
     /* 1399528 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399539 */     // MIs[0] policy
     /* 1399539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399571 */     // GIR_Coverage, 20532,
     /* 1399571 */     GIR_EraseRootFromParent_Done,
     /* 1399572 */   // Label 19823: @1399572
     /* 1399572 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1399660), // Rule ID 20535 //
     /* 1399577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1399588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1399591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399616 */     // MIs[0] Operand 5
     /* 1399616 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399627 */     // MIs[0] policy
     /* 1399627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399637 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1399640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399659 */     // GIR_Coverage, 20535,
     /* 1399659 */     GIR_EraseRootFromParent_Done,
     /* 1399660 */   // Label 19824: @1399660
     /* 1399660 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1399748), // Rule ID 20536 //
     /* 1399665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1399676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1399679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399704 */     // MIs[0] Operand 5
     /* 1399704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399715 */     // MIs[0] policy
     /* 1399715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1399728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399747 */     // GIR_Coverage, 20536,
     /* 1399747 */     GIR_EraseRootFromParent_Done,
     /* 1399748 */   // Label 19825: @1399748
     /* 1399748 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1399836), // Rule ID 20539 //
     /* 1399753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1399764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1399767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1399770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1399773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399792 */     // MIs[0] Operand 5
     /* 1399792 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399803 */     // MIs[0] policy
     /* 1399803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399813 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399835 */     // GIR_Coverage, 20539,
     /* 1399835 */     GIR_EraseRootFromParent_Done,
     /* 1399836 */   // Label 19826: @1399836
     /* 1399836 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1399924), // Rule ID 20540 //
     /* 1399841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1399852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1399855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1399858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1399861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399880 */     // MIs[0] Operand 5
     /* 1399880 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399891 */     // MIs[0] policy
     /* 1399891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399901 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399923 */     // GIR_Coverage, 20540,
     /* 1399923 */     GIR_EraseRootFromParent_Done,
     /* 1399924 */   // Label 19827: @1399924
     /* 1399924 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1400012), // Rule ID 20543 //
     /* 1399929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1399940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1399943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1399946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1399949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399968 */     // MIs[0] Operand 5
     /* 1399968 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399979 */     // MIs[0] policy
     /* 1399979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1399992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400011 */     // GIR_Coverage, 20543,
     /* 1400011 */     GIR_EraseRootFromParent_Done,
     /* 1400012 */   // Label 19828: @1400012
     /* 1400012 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1400100), // Rule ID 20544 //
     /* 1400017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1400028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1400031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1400037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400056 */     // MIs[0] Operand 5
     /* 1400056 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400067 */     // MIs[0] policy
     /* 1400067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400099 */     // GIR_Coverage, 20544,
     /* 1400099 */     GIR_EraseRootFromParent_Done,
     /* 1400100 */   // Label 19829: @1400100
     /* 1400100 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1400188), // Rule ID 20547 //
     /* 1400105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400144 */     // MIs[0] Operand 5
     /* 1400144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400155 */     // MIs[0] policy
     /* 1400155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400187 */     // GIR_Coverage, 20547,
     /* 1400187 */     GIR_EraseRootFromParent_Done,
     /* 1400188 */   // Label 19830: @1400188
     /* 1400188 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1400276), // Rule ID 20548 //
     /* 1400193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400232 */     // MIs[0] Operand 5
     /* 1400232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400243 */     // MIs[0] policy
     /* 1400243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400253 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400275 */     // GIR_Coverage, 20548,
     /* 1400275 */     GIR_EraseRootFromParent_Done,
     /* 1400276 */   // Label 19831: @1400276
     /* 1400276 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1400364), // Rule ID 20551 //
     /* 1400281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400320 */     // MIs[0] Operand 5
     /* 1400320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400331 */     // MIs[0] policy
     /* 1400331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400363 */     // GIR_Coverage, 20551,
     /* 1400363 */     GIR_EraseRootFromParent_Done,
     /* 1400364 */   // Label 19832: @1400364
     /* 1400364 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1400452), // Rule ID 20552 //
     /* 1400369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400408 */     // MIs[0] Operand 5
     /* 1400408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400419 */     // MIs[0] policy
     /* 1400419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400429 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400451 */     // GIR_Coverage, 20552,
     /* 1400451 */     GIR_EraseRootFromParent_Done,
     /* 1400452 */   // Label 19833: @1400452
     /* 1400452 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1400540), // Rule ID 20555 //
     /* 1400457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400496 */     // MIs[0] Operand 5
     /* 1400496 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400507 */     // MIs[0] policy
     /* 1400507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400517 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400539 */     // GIR_Coverage, 20555,
     /* 1400539 */     GIR_EraseRootFromParent_Done,
     /* 1400540 */   // Label 19834: @1400540
     /* 1400540 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1400628), // Rule ID 20556 //
     /* 1400545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400584 */     // MIs[0] Operand 5
     /* 1400584 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400595 */     // MIs[0] policy
     /* 1400595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400605 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400627 */     // GIR_Coverage, 20556,
     /* 1400627 */     GIR_EraseRootFromParent_Done,
     /* 1400628 */   // Label 19835: @1400628
     /* 1400628 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1400716), // Rule ID 20559 //
     /* 1400633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1400636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1400644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1400647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1400650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400672 */     // MIs[0] Operand 5
     /* 1400672 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400683 */     // MIs[0] policy
     /* 1400683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400715 */     // GIR_Coverage, 20559,
     /* 1400715 */     GIR_EraseRootFromParent_Done,
     /* 1400716 */   // Label 19836: @1400716
     /* 1400716 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1400804), // Rule ID 20560 //
     /* 1400721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1400724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1400732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1400735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1400738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400760 */     // MIs[0] Operand 5
     /* 1400760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400771 */     // MIs[0] policy
     /* 1400771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400803 */     // GIR_Coverage, 20560,
     /* 1400803 */     GIR_EraseRootFromParent_Done,
     /* 1400804 */   // Label 19837: @1400804
     /* 1400804 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1400892), // Rule ID 20563 //
     /* 1400809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1400812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1400820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1400823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1400826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400848 */     // MIs[0] Operand 5
     /* 1400848 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400859 */     // MIs[0] policy
     /* 1400859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400891 */     // GIR_Coverage, 20563,
     /* 1400891 */     GIR_EraseRootFromParent_Done,
     /* 1400892 */   // Label 19838: @1400892
     /* 1400892 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1400980), // Rule ID 20564 //
     /* 1400897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1400900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1400908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1400911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1400914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400936 */     // MIs[0] Operand 5
     /* 1400936 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400947 */     // MIs[0] policy
     /* 1400947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400957 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400979 */     // GIR_Coverage, 20564,
     /* 1400979 */     GIR_EraseRootFromParent_Done,
     /* 1400980 */   // Label 19839: @1400980
     /* 1400980 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1401068), // Rule ID 20567 //
     /* 1400985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1400988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1400996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1400999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401024 */     // MIs[0] Operand 5
     /* 1401024 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401035 */     // MIs[0] policy
     /* 1401035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401045 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1401048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401067 */     // GIR_Coverage, 20567,
     /* 1401067 */     GIR_EraseRootFromParent_Done,
     /* 1401068 */   // Label 19840: @1401068
     /* 1401068 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1401156), // Rule ID 20568 //
     /* 1401073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401112 */     // MIs[0] Operand 5
     /* 1401112 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401123 */     // MIs[0] policy
     /* 1401123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1401136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401155 */     // GIR_Coverage, 20568,
     /* 1401155 */     GIR_EraseRootFromParent_Done,
     /* 1401156 */   // Label 19841: @1401156
     /* 1401156 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1401244), // Rule ID 20571 //
     /* 1401161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401200 */     // MIs[0] Operand 5
     /* 1401200 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401211 */     // MIs[0] policy
     /* 1401211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401243 */     // GIR_Coverage, 20571,
     /* 1401243 */     GIR_EraseRootFromParent_Done,
     /* 1401244 */   // Label 19842: @1401244
     /* 1401244 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1401332), // Rule ID 20572 //
     /* 1401249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401288 */     // MIs[0] Operand 5
     /* 1401288 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401299 */     // MIs[0] policy
     /* 1401299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401331 */     // GIR_Coverage, 20572,
     /* 1401331 */     GIR_EraseRootFromParent_Done,
     /* 1401332 */   // Label 19843: @1401332
     /* 1401332 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1401420), // Rule ID 20575 //
     /* 1401337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401376 */     // MIs[0] Operand 5
     /* 1401376 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401387 */     // MIs[0] policy
     /* 1401387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401419 */     // GIR_Coverage, 20575,
     /* 1401419 */     GIR_EraseRootFromParent_Done,
     /* 1401420 */   // Label 19844: @1401420
     /* 1401420 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1401508), // Rule ID 20576 //
     /* 1401425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401464 */     // MIs[0] Operand 5
     /* 1401464 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401475 */     // MIs[0] policy
     /* 1401475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401485 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401507 */     // GIR_Coverage, 20576,
     /* 1401507 */     GIR_EraseRootFromParent_Done,
     /* 1401508 */   // Label 19845: @1401508
     /* 1401508 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1401596), // Rule ID 20579 //
     /* 1401513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401552 */     // MIs[0] Operand 5
     /* 1401552 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401563 */     // MIs[0] policy
     /* 1401563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401595 */     // GIR_Coverage, 20579,
     /* 1401595 */     GIR_EraseRootFromParent_Done,
     /* 1401596 */   // Label 19846: @1401596
     /* 1401596 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1401684), // Rule ID 20580 //
     /* 1401601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401640 */     // MIs[0] Operand 5
     /* 1401640 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401651 */     // MIs[0] policy
     /* 1401651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401683 */     // GIR_Coverage, 20580,
     /* 1401683 */     GIR_EraseRootFromParent_Done,
     /* 1401684 */   // Label 19847: @1401684
     /* 1401684 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1401772), // Rule ID 20583 //
     /* 1401689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401728 */     // MIs[0] Operand 5
     /* 1401728 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401739 */     // MIs[0] policy
     /* 1401739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401749 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1401752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401771 */     // GIR_Coverage, 20583,
     /* 1401771 */     GIR_EraseRootFromParent_Done,
     /* 1401772 */   // Label 19848: @1401772
     /* 1401772 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1401860), // Rule ID 20584 //
     /* 1401777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401816 */     // MIs[0] Operand 5
     /* 1401816 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401827 */     // MIs[0] policy
     /* 1401827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1401840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401859 */     // GIR_Coverage, 20584,
     /* 1401859 */     GIR_EraseRootFromParent_Done,
     /* 1401860 */   // Label 19849: @1401860
     /* 1401860 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1401948), // Rule ID 20587 //
     /* 1401865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401904 */     // MIs[0] Operand 5
     /* 1401904 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401915 */     // MIs[0] policy
     /* 1401915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1401928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401947 */     // GIR_Coverage, 20587,
     /* 1401947 */     GIR_EraseRootFromParent_Done,
     /* 1401948 */   // Label 19850: @1401948
     /* 1401948 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1402036), // Rule ID 20588 //
     /* 1401953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401992 */     // MIs[0] Operand 5
     /* 1401992 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402003 */     // MIs[0] policy
     /* 1402003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402035 */     // GIR_Coverage, 20588,
     /* 1402035 */     GIR_EraseRootFromParent_Done,
     /* 1402036 */   // Label 19851: @1402036
     /* 1402036 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1402124), // Rule ID 20591 //
     /* 1402041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1402044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402080 */     // MIs[0] Operand 5
     /* 1402080 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402091 */     // MIs[0] policy
     /* 1402091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402123 */     // GIR_Coverage, 20591,
     /* 1402123 */     GIR_EraseRootFromParent_Done,
     /* 1402124 */   // Label 19852: @1402124
     /* 1402124 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1402212), // Rule ID 20592 //
     /* 1402129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1402132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402168 */     // MIs[0] Operand 5
     /* 1402168 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402179 */     // MIs[0] policy
     /* 1402179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402211 */     // GIR_Coverage, 20592,
     /* 1402211 */     GIR_EraseRootFromParent_Done,
     /* 1402212 */   // Label 19853: @1402212
     /* 1402212 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1402300), // Rule ID 20595 //
     /* 1402217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402256 */     // MIs[0] Operand 5
     /* 1402256 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402267 */     // MIs[0] policy
     /* 1402267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402299 */     // GIR_Coverage, 20595,
     /* 1402299 */     GIR_EraseRootFromParent_Done,
     /* 1402300 */   // Label 19854: @1402300
     /* 1402300 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1402388), // Rule ID 20596 //
     /* 1402305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402344 */     // MIs[0] Operand 5
     /* 1402344 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402355 */     // MIs[0] policy
     /* 1402355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402387 */     // GIR_Coverage, 20596,
     /* 1402387 */     GIR_EraseRootFromParent_Done,
     /* 1402388 */   // Label 19855: @1402388
     /* 1402388 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1402476), // Rule ID 20599 //
     /* 1402393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402432 */     // MIs[0] Operand 5
     /* 1402432 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402443 */     // MIs[0] policy
     /* 1402443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402453 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402475 */     // GIR_Coverage, 20599,
     /* 1402475 */     GIR_EraseRootFromParent_Done,
     /* 1402476 */   // Label 19856: @1402476
     /* 1402476 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1402564), // Rule ID 20600 //
     /* 1402481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402520 */     // MIs[0] Operand 5
     /* 1402520 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402531 */     // MIs[0] policy
     /* 1402531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402563 */     // GIR_Coverage, 20600,
     /* 1402563 */     GIR_EraseRootFromParent_Done,
     /* 1402564 */   // Label 19857: @1402564
     /* 1402564 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1402652), // Rule ID 20603 //
     /* 1402569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1402589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402608 */     // MIs[0] Operand 5
     /* 1402608 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402619 */     // MIs[0] policy
     /* 1402619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402629 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1402632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402651 */     // GIR_Coverage, 20603,
     /* 1402651 */     GIR_EraseRootFromParent_Done,
     /* 1402652 */   // Label 19858: @1402652
     /* 1402652 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1402740), // Rule ID 20604 //
     /* 1402657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1402677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402696 */     // MIs[0] Operand 5
     /* 1402696 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402707 */     // MIs[0] policy
     /* 1402707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1402720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402739 */     // GIR_Coverage, 20604,
     /* 1402739 */     GIR_EraseRootFromParent_Done,
     /* 1402740 */   // Label 19859: @1402740
     /* 1402740 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1402828), // Rule ID 20607 //
     /* 1402745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402784 */     // MIs[0] Operand 5
     /* 1402784 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402795 */     // MIs[0] policy
     /* 1402795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402827 */     // GIR_Coverage, 20607,
     /* 1402827 */     GIR_EraseRootFromParent_Done,
     /* 1402828 */   // Label 19860: @1402828
     /* 1402828 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1402916), // Rule ID 20608 //
     /* 1402833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402872 */     // MIs[0] Operand 5
     /* 1402872 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402883 */     // MIs[0] policy
     /* 1402883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402915 */     // GIR_Coverage, 20608,
     /* 1402915 */     GIR_EraseRootFromParent_Done,
     /* 1402916 */   // Label 19861: @1402916
     /* 1402916 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1403004), // Rule ID 20611 //
     /* 1402921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1402932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1402935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402960 */     // MIs[0] Operand 5
     /* 1402960 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402971 */     // MIs[0] policy
     /* 1402971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403003 */     // GIR_Coverage, 20611,
     /* 1403003 */     GIR_EraseRootFromParent_Done,
     /* 1403004 */   // Label 19862: @1403004
     /* 1403004 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1403092), // Rule ID 20612 //
     /* 1403009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403048 */     // MIs[0] Operand 5
     /* 1403048 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403059 */     // MIs[0] policy
     /* 1403059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403091 */     // GIR_Coverage, 20612,
     /* 1403091 */     GIR_EraseRootFromParent_Done,
     /* 1403092 */   // Label 19863: @1403092
     /* 1403092 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1403180), // Rule ID 20615 //
     /* 1403097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403136 */     // MIs[0] Operand 5
     /* 1403136 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403147 */     // MIs[0] policy
     /* 1403147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403157 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403179 */     // GIR_Coverage, 20615,
     /* 1403179 */     GIR_EraseRootFromParent_Done,
     /* 1403180 */   // Label 19864: @1403180
     /* 1403180 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1403268), // Rule ID 20616 //
     /* 1403185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403224 */     // MIs[0] Operand 5
     /* 1403224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403235 */     // MIs[0] policy
     /* 1403235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403245 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403267 */     // GIR_Coverage, 20616,
     /* 1403267 */     GIR_EraseRootFromParent_Done,
     /* 1403268 */   // Label 19865: @1403268
     /* 1403268 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1403356), // Rule ID 20619 //
     /* 1403273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403312 */     // MIs[0] Operand 5
     /* 1403312 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403323 */     // MIs[0] policy
     /* 1403323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403355 */     // GIR_Coverage, 20619,
     /* 1403355 */     GIR_EraseRootFromParent_Done,
     /* 1403356 */   // Label 19866: @1403356
     /* 1403356 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1403444), // Rule ID 20620 //
     /* 1403361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403400 */     // MIs[0] Operand 5
     /* 1403400 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403411 */     // MIs[0] policy
     /* 1403411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403443 */     // GIR_Coverage, 20620,
     /* 1403443 */     GIR_EraseRootFromParent_Done,
     /* 1403444 */   // Label 19867: @1403444
     /* 1403444 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1403532), // Rule ID 20623 //
     /* 1403449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403488 */     // MIs[0] Operand 5
     /* 1403488 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403499 */     // MIs[0] policy
     /* 1403499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403509 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403531 */     // GIR_Coverage, 20623,
     /* 1403531 */     GIR_EraseRootFromParent_Done,
     /* 1403532 */   // Label 19868: @1403532
     /* 1403532 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1403620), // Rule ID 20624 //
     /* 1403537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403576 */     // MIs[0] Operand 5
     /* 1403576 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403587 */     // MIs[0] policy
     /* 1403587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403619 */     // GIR_Coverage, 20624,
     /* 1403619 */     GIR_EraseRootFromParent_Done,
     /* 1403620 */   // Label 19869: @1403620
     /* 1403620 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1403708), // Rule ID 20627 //
     /* 1403625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1403636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1403639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403664 */     // MIs[0] Operand 5
     /* 1403664 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403675 */     // MIs[0] policy
     /* 1403675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403685 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403707 */     // GIR_Coverage, 20627,
     /* 1403707 */     GIR_EraseRootFromParent_Done,
     /* 1403708 */   // Label 19870: @1403708
     /* 1403708 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1403796), // Rule ID 20628 //
     /* 1403713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1403724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1403727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403752 */     // MIs[0] Operand 5
     /* 1403752 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403763 */     // MIs[0] policy
     /* 1403763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403773 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403795 */     // GIR_Coverage, 20628,
     /* 1403795 */     GIR_EraseRootFromParent_Done,
     /* 1403796 */   // Label 19871: @1403796
     /* 1403796 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1403884), // Rule ID 20987 //
     /* 1403801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1403812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1403815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403840 */     // MIs[0] Operand 5
     /* 1403840 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403851 */     // MIs[0] policy
     /* 1403851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1403864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403883 */     // GIR_Coverage, 20987,
     /* 1403883 */     GIR_EraseRootFromParent_Done,
     /* 1403884 */   // Label 19872: @1403884
     /* 1403884 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1403972), // Rule ID 20988 //
     /* 1403889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1403900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1403903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403928 */     // MIs[0] Operand 5
     /* 1403928 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403939 */     // MIs[0] policy
     /* 1403939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403949 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1403952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403971 */     // GIR_Coverage, 20988,
     /* 1403971 */     GIR_EraseRootFromParent_Done,
     /* 1403972 */   // Label 19873: @1403972
     /* 1403972 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1404060), // Rule ID 20991 //
     /* 1403977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404016 */     // MIs[0] Operand 5
     /* 1404016 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404027 */     // MIs[0] policy
     /* 1404027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404059 */     // GIR_Coverage, 20991,
     /* 1404059 */     GIR_EraseRootFromParent_Done,
     /* 1404060 */   // Label 19874: @1404060
     /* 1404060 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1404148), // Rule ID 20992 //
     /* 1404065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404104 */     // MIs[0] Operand 5
     /* 1404104 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404115 */     // MIs[0] policy
     /* 1404115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404147 */     // GIR_Coverage, 20992,
     /* 1404147 */     GIR_EraseRootFromParent_Done,
     /* 1404148 */   // Label 19875: @1404148
     /* 1404148 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1404236), // Rule ID 20995 //
     /* 1404153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404192 */     // MIs[0] Operand 5
     /* 1404192 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404203 */     // MIs[0] policy
     /* 1404203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404213 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404235 */     // GIR_Coverage, 20995,
     /* 1404235 */     GIR_EraseRootFromParent_Done,
     /* 1404236 */   // Label 19876: @1404236
     /* 1404236 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1404324), // Rule ID 20996 //
     /* 1404241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404280 */     // MIs[0] Operand 5
     /* 1404280 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404291 */     // MIs[0] policy
     /* 1404291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404301 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404323 */     // GIR_Coverage, 20996,
     /* 1404323 */     GIR_EraseRootFromParent_Done,
     /* 1404324 */   // Label 19877: @1404324
     /* 1404324 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1404412), // Rule ID 20999 //
     /* 1404329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404368 */     // MIs[0] Operand 5
     /* 1404368 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404379 */     // MIs[0] policy
     /* 1404379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404411 */     // GIR_Coverage, 20999,
     /* 1404411 */     GIR_EraseRootFromParent_Done,
     /* 1404412 */   // Label 19878: @1404412
     /* 1404412 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1404500), // Rule ID 21000 //
     /* 1404417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404456 */     // MIs[0] Operand 5
     /* 1404456 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404467 */     // MIs[0] policy
     /* 1404467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404499 */     // GIR_Coverage, 21000,
     /* 1404499 */     GIR_EraseRootFromParent_Done,
     /* 1404500 */   // Label 19879: @1404500
     /* 1404500 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1404588), // Rule ID 21003 //
     /* 1404505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404544 */     // MIs[0] Operand 5
     /* 1404544 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404555 */     // MIs[0] policy
     /* 1404555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404587 */     // GIR_Coverage, 21003,
     /* 1404587 */     GIR_EraseRootFromParent_Done,
     /* 1404588 */   // Label 19880: @1404588
     /* 1404588 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1404676), // Rule ID 21004 //
     /* 1404593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404632 */     // MIs[0] Operand 5
     /* 1404632 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404643 */     // MIs[0] policy
     /* 1404643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404653 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404675 */     // GIR_Coverage, 21004,
     /* 1404675 */     GIR_EraseRootFromParent_Done,
     /* 1404676 */   // Label 19881: @1404676
     /* 1404676 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1404764), // Rule ID 21007 //
     /* 1404681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1404684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1404698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404720 */     // MIs[0] Operand 5
     /* 1404720 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404731 */     // MIs[0] policy
     /* 1404731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404741 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404763 */     // GIR_Coverage, 21007,
     /* 1404763 */     GIR_EraseRootFromParent_Done,
     /* 1404764 */   // Label 19882: @1404764
     /* 1404764 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1404852), // Rule ID 21008 //
     /* 1404769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1404772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1404786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404808 */     // MIs[0] Operand 5
     /* 1404808 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404819 */     // MIs[0] policy
     /* 1404819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404851 */     // GIR_Coverage, 21008,
     /* 1404851 */     GIR_EraseRootFromParent_Done,
     /* 1404852 */   // Label 19883: @1404852
     /* 1404852 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1404940), // Rule ID 21011 //
     /* 1404857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1404860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1404868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1404871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404896 */     // MIs[0] Operand 5
     /* 1404896 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404907 */     // MIs[0] policy
     /* 1404907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404939 */     // GIR_Coverage, 21011,
     /* 1404939 */     GIR_EraseRootFromParent_Done,
     /* 1404940 */   // Label 19884: @1404940
     /* 1404940 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1405028), // Rule ID 21012 //
     /* 1404945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1404948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1404956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1404959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404984 */     // MIs[0] Operand 5
     /* 1404984 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404995 */     // MIs[0] policy
     /* 1404995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405005 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1405008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405027 */     // GIR_Coverage, 21012,
     /* 1405027 */     GIR_EraseRootFromParent_Done,
     /* 1405028 */   // Label 19885: @1405028
     /* 1405028 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1405116), // Rule ID 21015 //
     /* 1405033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405072 */     // MIs[0] Operand 5
     /* 1405072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405083 */     // MIs[0] policy
     /* 1405083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405093 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405115 */     // GIR_Coverage, 21015,
     /* 1405115 */     GIR_EraseRootFromParent_Done,
     /* 1405116 */   // Label 19886: @1405116
     /* 1405116 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1405204), // Rule ID 21016 //
     /* 1405121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405160 */     // MIs[0] Operand 5
     /* 1405160 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405171 */     // MIs[0] policy
     /* 1405171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405181 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405203 */     // GIR_Coverage, 21016,
     /* 1405203 */     GIR_EraseRootFromParent_Done,
     /* 1405204 */   // Label 19887: @1405204
     /* 1405204 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1405292), // Rule ID 21019 //
     /* 1405209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405248 */     // MIs[0] Operand 5
     /* 1405248 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405259 */     // MIs[0] policy
     /* 1405259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405269 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405291 */     // GIR_Coverage, 21019,
     /* 1405291 */     GIR_EraseRootFromParent_Done,
     /* 1405292 */   // Label 19888: @1405292
     /* 1405292 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1405380), // Rule ID 21020 //
     /* 1405297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405336 */     // MIs[0] Operand 5
     /* 1405336 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405347 */     // MIs[0] policy
     /* 1405347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405357 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405379 */     // GIR_Coverage, 21020,
     /* 1405379 */     GIR_EraseRootFromParent_Done,
     /* 1405380 */   // Label 19889: @1405380
     /* 1405380 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1405468), // Rule ID 21023 //
     /* 1405385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405424 */     // MIs[0] Operand 5
     /* 1405424 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405435 */     // MIs[0] policy
     /* 1405435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405467 */     // GIR_Coverage, 21023,
     /* 1405467 */     GIR_EraseRootFromParent_Done,
     /* 1405468 */   // Label 19890: @1405468
     /* 1405468 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1405556), // Rule ID 21024 //
     /* 1405473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405512 */     // MIs[0] Operand 5
     /* 1405512 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405523 */     // MIs[0] policy
     /* 1405523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405533 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405555 */     // GIR_Coverage, 21024,
     /* 1405555 */     GIR_EraseRootFromParent_Done,
     /* 1405556 */   // Label 19891: @1405556
     /* 1405556 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1405644), // Rule ID 21027 //
     /* 1405561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405600 */     // MIs[0] Operand 5
     /* 1405600 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405611 */     // MIs[0] policy
     /* 1405611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405643 */     // GIR_Coverage, 21027,
     /* 1405643 */     GIR_EraseRootFromParent_Done,
     /* 1405644 */   // Label 19892: @1405644
     /* 1405644 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1405732), // Rule ID 21028 //
     /* 1405649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405688 */     // MIs[0] Operand 5
     /* 1405688 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405699 */     // MIs[0] policy
     /* 1405699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405731 */     // GIR_Coverage, 21028,
     /* 1405731 */     GIR_EraseRootFromParent_Done,
     /* 1405732 */   // Label 19893: @1405732
     /* 1405732 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1405820), // Rule ID 21031 //
     /* 1405737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1405748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1405751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1405754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405776 */     // MIs[0] Operand 5
     /* 1405776 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405787 */     // MIs[0] policy
     /* 1405787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1405800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405819 */     // GIR_Coverage, 21031,
     /* 1405819 */     GIR_EraseRootFromParent_Done,
     /* 1405820 */   // Label 19894: @1405820
     /* 1405820 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1405908), // Rule ID 21032 //
     /* 1405825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1405836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1405839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1405842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405864 */     // MIs[0] Operand 5
     /* 1405864 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405875 */     // MIs[0] policy
     /* 1405875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405885 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1405888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405907 */     // GIR_Coverage, 21032,
     /* 1405907 */     GIR_EraseRootFromParent_Done,
     /* 1405908 */   // Label 19895: @1405908
     /* 1405908 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1405996), // Rule ID 21035 //
     /* 1405913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1405924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1405927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1405930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405952 */     // MIs[0] Operand 5
     /* 1405952 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405963 */     // MIs[0] policy
     /* 1405963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1405976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405995 */     // GIR_Coverage, 21035,
     /* 1405995 */     GIR_EraseRootFromParent_Done,
     /* 1405996 */   // Label 19896: @1405996
     /* 1405996 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1406084), // Rule ID 21036 //
     /* 1406001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406040 */     // MIs[0] Operand 5
     /* 1406040 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406051 */     // MIs[0] policy
     /* 1406051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406083 */     // GIR_Coverage, 21036,
     /* 1406083 */     GIR_EraseRootFromParent_Done,
     /* 1406084 */   // Label 19897: @1406084
     /* 1406084 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1406172), // Rule ID 21039 //
     /* 1406089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406128 */     // MIs[0] Operand 5
     /* 1406128 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406139 */     // MIs[0] policy
     /* 1406139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406171 */     // GIR_Coverage, 21039,
     /* 1406171 */     GIR_EraseRootFromParent_Done,
     /* 1406172 */   // Label 19898: @1406172
     /* 1406172 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1406260), // Rule ID 21040 //
     /* 1406177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406216 */     // MIs[0] Operand 5
     /* 1406216 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406227 */     // MIs[0] policy
     /* 1406227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406237 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406259 */     // GIR_Coverage, 21040,
     /* 1406259 */     GIR_EraseRootFromParent_Done,
     /* 1406260 */   // Label 19899: @1406260
     /* 1406260 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1406348), // Rule ID 21043 //
     /* 1406265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406304 */     // MIs[0] Operand 5
     /* 1406304 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406315 */     // MIs[0] policy
     /* 1406315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406347 */     // GIR_Coverage, 21043,
     /* 1406347 */     GIR_EraseRootFromParent_Done,
     /* 1406348 */   // Label 19900: @1406348
     /* 1406348 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1406436), // Rule ID 21044 //
     /* 1406353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406392 */     // MIs[0] Operand 5
     /* 1406392 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406403 */     // MIs[0] policy
     /* 1406403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406413 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406435 */     // GIR_Coverage, 21044,
     /* 1406435 */     GIR_EraseRootFromParent_Done,
     /* 1406436 */   // Label 19901: @1406436
     /* 1406436 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1406524), // Rule ID 21047 //
     /* 1406441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406480 */     // MIs[0] Operand 5
     /* 1406480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406491 */     // MIs[0] policy
     /* 1406491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406523 */     // GIR_Coverage, 21047,
     /* 1406523 */     GIR_EraseRootFromParent_Done,
     /* 1406524 */   // Label 19902: @1406524
     /* 1406524 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1406612), // Rule ID 21048 //
     /* 1406529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406568 */     // MIs[0] Operand 5
     /* 1406568 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406579 */     // MIs[0] policy
     /* 1406579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406611 */     // GIR_Coverage, 21048,
     /* 1406611 */     GIR_EraseRootFromParent_Done,
     /* 1406612 */   // Label 19903: @1406612
     /* 1406612 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1406700), // Rule ID 21051 //
     /* 1406617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1406628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1406631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1406634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406656 */     // MIs[0] Operand 5
     /* 1406656 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406667 */     // MIs[0] policy
     /* 1406667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406699 */     // GIR_Coverage, 21051,
     /* 1406699 */     GIR_EraseRootFromParent_Done,
     /* 1406700 */   // Label 19904: @1406700
     /* 1406700 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1406788), // Rule ID 21052 //
     /* 1406705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1406716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1406719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1406722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406744 */     // MIs[0] Operand 5
     /* 1406744 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406755 */     // MIs[0] policy
     /* 1406755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406787 */     // GIR_Coverage, 21052,
     /* 1406787 */     GIR_EraseRootFromParent_Done,
     /* 1406788 */   // Label 19905: @1406788
     /* 1406788 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1406876), // Rule ID 21055 //
     /* 1406793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1406804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1406807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1406810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406832 */     // MIs[0] Operand 5
     /* 1406832 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406843 */     // MIs[0] policy
     /* 1406843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406875 */     // GIR_Coverage, 21055,
     /* 1406875 */     GIR_EraseRootFromParent_Done,
     /* 1406876 */   // Label 19906: @1406876
     /* 1406876 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1406964), // Rule ID 21056 //
     /* 1406881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1406892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1406895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1406898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406920 */     // MIs[0] Operand 5
     /* 1406920 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406931 */     // MIs[0] policy
     /* 1406931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406941 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406963 */     // GIR_Coverage, 21056,
     /* 1406963 */     GIR_EraseRootFromParent_Done,
     /* 1406964 */   // Label 19907: @1406964
     /* 1406964 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1407052), // Rule ID 21359 //
     /* 1406969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1406980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1406983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1406986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407008 */     // MIs[0] Operand 5
     /* 1407008 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407019 */     // MIs[0] policy
     /* 1407019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407029 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1407032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407051 */     // GIR_Coverage, 21359,
     /* 1407051 */     GIR_EraseRootFromParent_Done,
     /* 1407052 */   // Label 19908: @1407052
     /* 1407052 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1407140), // Rule ID 21360 //
     /* 1407057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1407068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1407071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407096 */     // MIs[0] Operand 5
     /* 1407096 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407107 */     // MIs[0] policy
     /* 1407107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1407120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407126 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407139 */     // GIR_Coverage, 21360,
     /* 1407139 */     GIR_EraseRootFromParent_Done,
     /* 1407140 */   // Label 19909: @1407140
     /* 1407140 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1407228), // Rule ID 21363 //
     /* 1407145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407184 */     // MIs[0] Operand 5
     /* 1407184 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407195 */     // MIs[0] policy
     /* 1407195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407205 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407227 */     // GIR_Coverage, 21363,
     /* 1407227 */     GIR_EraseRootFromParent_Done,
     /* 1407228 */   // Label 19910: @1407228
     /* 1407228 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1407316), // Rule ID 21364 //
     /* 1407233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407272 */     // MIs[0] Operand 5
     /* 1407272 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407283 */     // MIs[0] policy
     /* 1407283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407293 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407315 */     // GIR_Coverage, 21364,
     /* 1407315 */     GIR_EraseRootFromParent_Done,
     /* 1407316 */   // Label 19911: @1407316
     /* 1407316 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1407404), // Rule ID 21367 //
     /* 1407321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407360 */     // MIs[0] Operand 5
     /* 1407360 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407371 */     // MIs[0] policy
     /* 1407371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407403 */     // GIR_Coverage, 21367,
     /* 1407403 */     GIR_EraseRootFromParent_Done,
     /* 1407404 */   // Label 19912: @1407404
     /* 1407404 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1407492), // Rule ID 21368 //
     /* 1407409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407448 */     // MIs[0] Operand 5
     /* 1407448 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407459 */     // MIs[0] policy
     /* 1407459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407469 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407491 */     // GIR_Coverage, 21368,
     /* 1407491 */     GIR_EraseRootFromParent_Done,
     /* 1407492 */   // Label 19913: @1407492
     /* 1407492 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1407580), // Rule ID 21371 //
     /* 1407497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407536 */     // MIs[0] Operand 5
     /* 1407536 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407547 */     // MIs[0] policy
     /* 1407547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407579 */     // GIR_Coverage, 21371,
     /* 1407579 */     GIR_EraseRootFromParent_Done,
     /* 1407580 */   // Label 19914: @1407580
     /* 1407580 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1407668), // Rule ID 21372 //
     /* 1407585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407624 */     // MIs[0] Operand 5
     /* 1407624 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407635 */     // MIs[0] policy
     /* 1407635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407645 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407667 */     // GIR_Coverage, 21372,
     /* 1407667 */     GIR_EraseRootFromParent_Done,
     /* 1407668 */   // Label 19915: @1407668
     /* 1407668 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1407756), // Rule ID 21375 //
     /* 1407673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1407684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1407687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407712 */     // MIs[0] Operand 5
     /* 1407712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407723 */     // MIs[0] policy
     /* 1407723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407733 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1407736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407755 */     // GIR_Coverage, 21375,
     /* 1407755 */     GIR_EraseRootFromParent_Done,
     /* 1407756 */   // Label 19916: @1407756
     /* 1407756 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1407844), // Rule ID 21376 //
     /* 1407761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1407772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1407775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407800 */     // MIs[0] Operand 5
     /* 1407800 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407811 */     // MIs[0] policy
     /* 1407811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1407824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407843 */     // GIR_Coverage, 21376,
     /* 1407843 */     GIR_EraseRootFromParent_Done,
     /* 1407844 */   // Label 19917: @1407844
     /* 1407844 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1407932), // Rule ID 21379 //
     /* 1407849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1407860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1407863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407888 */     // MIs[0] Operand 5
     /* 1407888 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407899 */     // MIs[0] policy
     /* 1407899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1407912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407931 */     // GIR_Coverage, 21379,
     /* 1407931 */     GIR_EraseRootFromParent_Done,
     /* 1407932 */   // Label 19918: @1407932
     /* 1407932 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1408020), // Rule ID 21380 //
     /* 1407937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1407948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1407951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407976 */     // MIs[0] Operand 5
     /* 1407976 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407987 */     // MIs[0] policy
     /* 1407987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408019 */     // GIR_Coverage, 21380,
     /* 1408019 */     GIR_EraseRootFromParent_Done,
     /* 1408020 */   // Label 19919: @1408020
     /* 1408020 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1408108), // Rule ID 21383 //
     /* 1408025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408064 */     // MIs[0] Operand 5
     /* 1408064 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408075 */     // MIs[0] policy
     /* 1408075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408085 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408107 */     // GIR_Coverage, 21383,
     /* 1408107 */     GIR_EraseRootFromParent_Done,
     /* 1408108 */   // Label 19920: @1408108
     /* 1408108 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1408196), // Rule ID 21384 //
     /* 1408113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408152 */     // MIs[0] Operand 5
     /* 1408152 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408163 */     // MIs[0] policy
     /* 1408163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408195 */     // GIR_Coverage, 21384,
     /* 1408195 */     GIR_EraseRootFromParent_Done,
     /* 1408196 */   // Label 19921: @1408196
     /* 1408196 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1408284), // Rule ID 21387 //
     /* 1408201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408240 */     // MIs[0] Operand 5
     /* 1408240 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408251 */     // MIs[0] policy
     /* 1408251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408261 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408283 */     // GIR_Coverage, 21387,
     /* 1408283 */     GIR_EraseRootFromParent_Done,
     /* 1408284 */   // Label 19922: @1408284
     /* 1408284 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1408372), // Rule ID 21388 //
     /* 1408289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408328 */     // MIs[0] Operand 5
     /* 1408328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408339 */     // MIs[0] policy
     /* 1408339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408371 */     // GIR_Coverage, 21388,
     /* 1408371 */     GIR_EraseRootFromParent_Done,
     /* 1408372 */   // Label 19923: @1408372
     /* 1408372 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1408460), // Rule ID 21391 //
     /* 1408377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408416 */     // MIs[0] Operand 5
     /* 1408416 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408427 */     // MIs[0] policy
     /* 1408427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408437 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408459 */     // GIR_Coverage, 21391,
     /* 1408459 */     GIR_EraseRootFromParent_Done,
     /* 1408460 */   // Label 19924: @1408460
     /* 1408460 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1408548), // Rule ID 21392 //
     /* 1408465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408504 */     // MIs[0] Operand 5
     /* 1408504 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408515 */     // MIs[0] policy
     /* 1408515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408547 */     // GIR_Coverage, 21392,
     /* 1408547 */     GIR_EraseRootFromParent_Done,
     /* 1408548 */   // Label 19925: @1408548
     /* 1408548 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1408636), // Rule ID 21395 //
     /* 1408553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408592 */     // MIs[0] Operand 5
     /* 1408592 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408603 */     // MIs[0] policy
     /* 1408603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408613 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408635 */     // GIR_Coverage, 21395,
     /* 1408635 */     GIR_EraseRootFromParent_Done,
     /* 1408636 */   // Label 19926: @1408636
     /* 1408636 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1408724), // Rule ID 21396 //
     /* 1408641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408680 */     // MIs[0] Operand 5
     /* 1408680 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408691 */     // MIs[0] policy
     /* 1408691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408723 */     // GIR_Coverage, 21396,
     /* 1408723 */     GIR_EraseRootFromParent_Done,
     /* 1408724 */   // Label 19927: @1408724
     /* 1408724 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1408812), // Rule ID 21399 //
     /* 1408729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1408740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1408743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408768 */     // MIs[0] Operand 5
     /* 1408768 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408779 */     // MIs[0] policy
     /* 1408779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408811 */     // GIR_Coverage, 21399,
     /* 1408811 */     GIR_EraseRootFromParent_Done,
     /* 1408812 */   // Label 19928: @1408812
     /* 1408812 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1408900), // Rule ID 21400 //
     /* 1408817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1408828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1408831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408856 */     // MIs[0] Operand 5
     /* 1408856 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408867 */     // MIs[0] policy
     /* 1408867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408899 */     // GIR_Coverage, 21400,
     /* 1408899 */     GIR_EraseRootFromParent_Done,
     /* 1408900 */   // Label 19929: @1408900
     /* 1408900 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1408988), // Rule ID 21403 //
     /* 1408905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1408908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1408922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408944 */     // MIs[0] Operand 5
     /* 1408944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408955 */     // MIs[0] policy
     /* 1408955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408965 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408987 */     // GIR_Coverage, 21403,
     /* 1408987 */     GIR_EraseRootFromParent_Done,
     /* 1408988 */   // Label 19930: @1408988
     /* 1408988 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1409076), // Rule ID 21404 //
     /* 1408993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1408996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1409010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409032 */     // MIs[0] Operand 5
     /* 1409032 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409043 */     // MIs[0] policy
     /* 1409043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1409056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409075 */     // GIR_Coverage, 21404,
     /* 1409075 */     GIR_EraseRootFromParent_Done,
     /* 1409076 */   // Label 19931: @1409076
     /* 1409076 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1409164), // Rule ID 21407 //
     /* 1409081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409120 */     // MIs[0] Operand 5
     /* 1409120 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409131 */     // MIs[0] policy
     /* 1409131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409163 */     // GIR_Coverage, 21407,
     /* 1409163 */     GIR_EraseRootFromParent_Done,
     /* 1409164 */   // Label 19932: @1409164
     /* 1409164 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1409252), // Rule ID 21408 //
     /* 1409169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409208 */     // MIs[0] Operand 5
     /* 1409208 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409219 */     // MIs[0] policy
     /* 1409219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409251 */     // GIR_Coverage, 21408,
     /* 1409251 */     GIR_EraseRootFromParent_Done,
     /* 1409252 */   // Label 19933: @1409252
     /* 1409252 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1409340), // Rule ID 21411 //
     /* 1409257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409296 */     // MIs[0] Operand 5
     /* 1409296 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409307 */     // MIs[0] policy
     /* 1409307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409339 */     // GIR_Coverage, 21411,
     /* 1409339 */     GIR_EraseRootFromParent_Done,
     /* 1409340 */   // Label 19934: @1409340
     /* 1409340 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1409428), // Rule ID 21412 //
     /* 1409345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409384 */     // MIs[0] Operand 5
     /* 1409384 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409395 */     // MIs[0] policy
     /* 1409395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409427 */     // GIR_Coverage, 21412,
     /* 1409427 */     GIR_EraseRootFromParent_Done,
     /* 1409428 */   // Label 19935: @1409428
     /* 1409428 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1409516), // Rule ID 21415 //
     /* 1409433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409472 */     // MIs[0] Operand 5
     /* 1409472 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409483 */     // MIs[0] policy
     /* 1409483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409493 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409515 */     // GIR_Coverage, 21415,
     /* 1409515 */     GIR_EraseRootFromParent_Done,
     /* 1409516 */   // Label 19936: @1409516
     /* 1409516 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1409604), // Rule ID 21416 //
     /* 1409521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409560 */     // MIs[0] Operand 5
     /* 1409560 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409571 */     // MIs[0] policy
     /* 1409571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409603 */     // GIR_Coverage, 21416,
     /* 1409603 */     GIR_EraseRootFromParent_Done,
     /* 1409604 */   // Label 19937: @1409604
     /* 1409604 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1409692), // Rule ID 21419 //
     /* 1409609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1409620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1409623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1409626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409648 */     // MIs[0] Operand 5
     /* 1409648 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409659 */     // MIs[0] policy
     /* 1409659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409669 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1409672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409691 */     // GIR_Coverage, 21419,
     /* 1409691 */     GIR_EraseRootFromParent_Done,
     /* 1409692 */   // Label 19938: @1409692
     /* 1409692 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1409780), // Rule ID 21420 //
     /* 1409697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1409708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1409711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1409714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409736 */     // MIs[0] Operand 5
     /* 1409736 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409747 */     // MIs[0] policy
     /* 1409747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409757 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1409760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409779 */     // GIR_Coverage, 21420,
     /* 1409779 */     GIR_EraseRootFromParent_Done,
     /* 1409780 */   // Label 19939: @1409780
     /* 1409780 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1409868), // Rule ID 21423 //
     /* 1409785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1409796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1409799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1409802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409824 */     // MIs[0] Operand 5
     /* 1409824 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409835 */     // MIs[0] policy
     /* 1409835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409845 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1409848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409867 */     // GIR_Coverage, 21423,
     /* 1409867 */     GIR_EraseRootFromParent_Done,
     /* 1409868 */   // Label 19940: @1409868
     /* 1409868 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1409956), // Rule ID 21424 //
     /* 1409873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1409884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1409887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1409890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409912 */     // MIs[0] Operand 5
     /* 1409912 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409923 */     // MIs[0] policy
     /* 1409923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1409936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409955 */     // GIR_Coverage, 21424,
     /* 1409955 */     GIR_EraseRootFromParent_Done,
     /* 1409956 */   // Label 19941: @1409956
     /* 1409956 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1410044), // Rule ID 21427 //
     /* 1409961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1409972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1409975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1409978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410000 */     // MIs[0] Operand 5
     /* 1410000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410011 */     // MIs[0] policy
     /* 1410011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410021 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410043 */     // GIR_Coverage, 21427,
     /* 1410043 */     GIR_EraseRootFromParent_Done,
     /* 1410044 */   // Label 19942: @1410044
     /* 1410044 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1410132), // Rule ID 21428 //
     /* 1410049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1410060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1410063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410088 */     // MIs[0] Operand 5
     /* 1410088 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410099 */     // MIs[0] policy
     /* 1410099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410109 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410131 */     // GIR_Coverage, 21428,
     /* 1410131 */     GIR_EraseRootFromParent_Done,
     /* 1410132 */   // Label 19943: @1410132
     /* 1410132 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1410220), // Rule ID 21431 //
     /* 1410137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410176 */     // MIs[0] Operand 5
     /* 1410176 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410187 */     // MIs[0] policy
     /* 1410187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410219 */     // GIR_Coverage, 21431,
     /* 1410219 */     GIR_EraseRootFromParent_Done,
     /* 1410220 */   // Label 19944: @1410220
     /* 1410220 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1410308), // Rule ID 21432 //
     /* 1410225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410264 */     // MIs[0] Operand 5
     /* 1410264 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410275 */     // MIs[0] policy
     /* 1410275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410285 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410307 */     // GIR_Coverage, 21432,
     /* 1410307 */     GIR_EraseRootFromParent_Done,
     /* 1410308 */   // Label 19945: @1410308
     /* 1410308 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1410396), // Rule ID 21435 //
     /* 1410313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410352 */     // MIs[0] Operand 5
     /* 1410352 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410363 */     // MIs[0] policy
     /* 1410363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410373 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410395 */     // GIR_Coverage, 21435,
     /* 1410395 */     GIR_EraseRootFromParent_Done,
     /* 1410396 */   // Label 19946: @1410396
     /* 1410396 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1410484), // Rule ID 21436 //
     /* 1410401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410440 */     // MIs[0] Operand 5
     /* 1410440 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410451 */     // MIs[0] policy
     /* 1410451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410483 */     // GIR_Coverage, 21436,
     /* 1410483 */     GIR_EraseRootFromParent_Done,
     /* 1410484 */   // Label 19947: @1410484
     /* 1410484 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1410572), // Rule ID 21439 //
     /* 1410489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410528 */     // MIs[0] Operand 5
     /* 1410528 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410539 */     // MIs[0] policy
     /* 1410539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410549 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410571 */     // GIR_Coverage, 21439,
     /* 1410571 */     GIR_EraseRootFromParent_Done,
     /* 1410572 */   // Label 19948: @1410572
     /* 1410572 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1410660), // Rule ID 21440 //
     /* 1410577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410616 */     // MIs[0] Operand 5
     /* 1410616 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410627 */     // MIs[0] policy
     /* 1410627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410659 */     // GIR_Coverage, 21440,
     /* 1410659 */     GIR_EraseRootFromParent_Done,
     /* 1410660 */   // Label 19949: @1410660
     /* 1410660 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1410748), // Rule ID 21443 //
     /* 1410665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1410676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1410679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410704 */     // MIs[0] Operand 5
     /* 1410704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410715 */     // MIs[0] policy
     /* 1410715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410747 */     // GIR_Coverage, 21443,
     /* 1410747 */     GIR_EraseRootFromParent_Done,
     /* 1410748 */   // Label 19950: @1410748
     /* 1410748 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1410836), // Rule ID 21444 //
     /* 1410753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1410764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1410767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410792 */     // MIs[0] Operand 5
     /* 1410792 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410803 */     // MIs[0] policy
     /* 1410803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410813 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410835 */     // GIR_Coverage, 21444,
     /* 1410835 */     GIR_EraseRootFromParent_Done,
     /* 1410836 */   // Label 19951: @1410836
     /* 1410836 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1410924), // Rule ID 21447 //
     /* 1410841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1410858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410880 */     // MIs[0] Operand 5
     /* 1410880 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410891 */     // MIs[0] policy
     /* 1410891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410923 */     // GIR_Coverage, 21447,
     /* 1410923 */     GIR_EraseRootFromParent_Done,
     /* 1410924 */   // Label 19952: @1410924
     /* 1410924 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1411012), // Rule ID 21448 //
     /* 1410929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1410946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410968 */     // MIs[0] Operand 5
     /* 1410968 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410979 */     // MIs[0] policy
     /* 1410979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410989 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411011 */     // GIR_Coverage, 21448,
     /* 1411011 */     GIR_EraseRootFromParent_Done,
     /* 1411012 */   // Label 19953: @1411012
     /* 1411012 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1411100), // Rule ID 21451 //
     /* 1411017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411056 */     // MIs[0] Operand 5
     /* 1411056 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411067 */     // MIs[0] policy
     /* 1411067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411099 */     // GIR_Coverage, 21451,
     /* 1411099 */     GIR_EraseRootFromParent_Done,
     /* 1411100 */   // Label 19954: @1411100
     /* 1411100 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1411188), // Rule ID 21452 //
     /* 1411105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411144 */     // MIs[0] Operand 5
     /* 1411144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411155 */     // MIs[0] policy
     /* 1411155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411187 */     // GIR_Coverage, 21452,
     /* 1411187 */     GIR_EraseRootFromParent_Done,
     /* 1411188 */   // Label 19955: @1411188
     /* 1411188 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1411276), // Rule ID 21455 //
     /* 1411193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411232 */     // MIs[0] Operand 5
     /* 1411232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411243 */     // MIs[0] policy
     /* 1411243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411275 */     // GIR_Coverage, 21455,
     /* 1411275 */     GIR_EraseRootFromParent_Done,
     /* 1411276 */   // Label 19956: @1411276
     /* 1411276 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1411364), // Rule ID 21456 //
     /* 1411281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411320 */     // MIs[0] Operand 5
     /* 1411320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411331 */     // MIs[0] policy
     /* 1411331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411341 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411363 */     // GIR_Coverage, 21456,
     /* 1411363 */     GIR_EraseRootFromParent_Done,
     /* 1411364 */   // Label 19957: @1411364
     /* 1411364 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1411452), // Rule ID 21459 //
     /* 1411369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411408 */     // MIs[0] Operand 5
     /* 1411408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411419 */     // MIs[0] policy
     /* 1411419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411451 */     // GIR_Coverage, 21459,
     /* 1411451 */     GIR_EraseRootFromParent_Done,
     /* 1411452 */   // Label 19958: @1411452
     /* 1411452 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1411540), // Rule ID 21460 //
     /* 1411457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411496 */     // MIs[0] Operand 5
     /* 1411496 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411507 */     // MIs[0] policy
     /* 1411507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411517 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411539 */     // GIR_Coverage, 21460,
     /* 1411539 */     GIR_EraseRootFromParent_Done,
     /* 1411540 */   // Label 19959: @1411540
     /* 1411540 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1411628), // Rule ID 21463 //
     /* 1411545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411584 */     // MIs[0] Operand 5
     /* 1411584 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411595 */     // MIs[0] policy
     /* 1411595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411627 */     // GIR_Coverage, 21463,
     /* 1411627 */     GIR_EraseRootFromParent_Done,
     /* 1411628 */   // Label 19960: @1411628
     /* 1411628 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1411716), // Rule ID 21464 //
     /* 1411633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1411636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411672 */     // MIs[0] Operand 5
     /* 1411672 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411683 */     // MIs[0] policy
     /* 1411683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411693 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411715 */     // GIR_Coverage, 21464,
     /* 1411715 */     GIR_EraseRootFromParent_Done,
     /* 1411716 */   // Label 19961: @1411716
     /* 1411716 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1411804), // Rule ID 21467 //
     /* 1411721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1411738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411760 */     // MIs[0] Operand 5
     /* 1411760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411771 */     // MIs[0] policy
     /* 1411771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411803 */     // GIR_Coverage, 21467,
     /* 1411803 */     GIR_EraseRootFromParent_Done,
     /* 1411804 */   // Label 19962: @1411804
     /* 1411804 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1411892), // Rule ID 21468 //
     /* 1411809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1411812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1411826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411848 */     // MIs[0] Operand 5
     /* 1411848 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411859 */     // MIs[0] policy
     /* 1411859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411891 */     // GIR_Coverage, 21468,
     /* 1411891 */     GIR_EraseRootFromParent_Done,
     /* 1411892 */   // Label 19963: @1411892
     /* 1411892 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1411980), // Rule ID 21471 //
     /* 1411897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1411914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411936 */     // MIs[0] Operand 5
     /* 1411936 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411947 */     // MIs[0] policy
     /* 1411947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411979 */     // GIR_Coverage, 21471,
     /* 1411979 */     GIR_EraseRootFromParent_Done,
     /* 1411980 */   // Label 19964: @1411980
     /* 1411980 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1412068), // Rule ID 21472 //
     /* 1411985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1411988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1412002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412024 */     // MIs[0] Operand 5
     /* 1412024 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412035 */     // MIs[0] policy
     /* 1412035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412045 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1412048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412067 */     // GIR_Coverage, 21472,
     /* 1412067 */     GIR_EraseRootFromParent_Done,
     /* 1412068 */   // Label 19965: @1412068
     /* 1412068 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1412156), // Rule ID 21475 //
     /* 1412073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412112 */     // MIs[0] Operand 5
     /* 1412112 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412123 */     // MIs[0] policy
     /* 1412123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412155 */     // GIR_Coverage, 21475,
     /* 1412155 */     GIR_EraseRootFromParent_Done,
     /* 1412156 */   // Label 19966: @1412156
     /* 1412156 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1412244), // Rule ID 21476 //
     /* 1412161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412200 */     // MIs[0] Operand 5
     /* 1412200 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412211 */     // MIs[0] policy
     /* 1412211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412243 */     // GIR_Coverage, 21476,
     /* 1412243 */     GIR_EraseRootFromParent_Done,
     /* 1412244 */   // Label 19967: @1412244
     /* 1412244 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1412343), // Rule ID 2681 //
     /* 1412249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412299 */     // MIs[1] Operand 1
     /* 1412299 */     // No operand predicates
     /* 1412299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412303 */     // MIs[0] policy
     /* 1412303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412315 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412324 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412342 */     // GIR_Coverage, 2681,
     /* 1412342 */     GIR_EraseRootFromParent_Done,
     /* 1412343 */   // Label 19968: @1412343
     /* 1412343 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1412442), // Rule ID 2682 //
     /* 1412348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412398 */     // MIs[1] Operand 1
     /* 1412398 */     // No operand predicates
     /* 1412398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412402 */     // MIs[0] policy
     /* 1412402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412414 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412423 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412441 */     // GIR_Coverage, 2682,
     /* 1412441 */     GIR_EraseRootFromParent_Done,
     /* 1412442 */   // Label 19969: @1412442
     /* 1412442 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1412541), // Rule ID 2689 //
     /* 1412447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412497 */     // MIs[1] Operand 1
     /* 1412497 */     // No operand predicates
     /* 1412497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412501 */     // MIs[0] policy
     /* 1412501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412513 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412522 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412540 */     // GIR_Coverage, 2689,
     /* 1412540 */     GIR_EraseRootFromParent_Done,
     /* 1412541 */   // Label 19970: @1412541
     /* 1412541 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1412640), // Rule ID 2690 //
     /* 1412546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412596 */     // MIs[1] Operand 1
     /* 1412596 */     // No operand predicates
     /* 1412596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412600 */     // MIs[0] policy
     /* 1412600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412612 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412621 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412639 */     // GIR_Coverage, 2690,
     /* 1412639 */     GIR_EraseRootFromParent_Done,
     /* 1412640 */   // Label 19971: @1412640
     /* 1412640 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1412739), // Rule ID 2697 //
     /* 1412645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1412656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1412659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1412662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412695 */     // MIs[1] Operand 1
     /* 1412695 */     // No operand predicates
     /* 1412695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412699 */     // MIs[0] policy
     /* 1412699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1412714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412720 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412738 */     // GIR_Coverage, 2697,
     /* 1412738 */     GIR_EraseRootFromParent_Done,
     /* 1412739 */   // Label 19972: @1412739
     /* 1412739 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1412838), // Rule ID 2698 //
     /* 1412744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1412755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1412758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1412761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412794 */     // MIs[1] Operand 1
     /* 1412794 */     // No operand predicates
     /* 1412794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412798 */     // MIs[0] policy
     /* 1412798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1412813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412819 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412837 */     // GIR_Coverage, 2698,
     /* 1412837 */     GIR_EraseRootFromParent_Done,
     /* 1412838 */   // Label 19973: @1412838
     /* 1412838 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1412937), // Rule ID 2705 //
     /* 1412843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412893 */     // MIs[1] Operand 1
     /* 1412893 */     // No operand predicates
     /* 1412893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412897 */     // MIs[0] policy
     /* 1412897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412918 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412936 */     // GIR_Coverage, 2705,
     /* 1412936 */     GIR_EraseRootFromParent_Done,
     /* 1412937 */   // Label 19974: @1412937
     /* 1412937 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1413036), // Rule ID 2706 //
     /* 1412942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412992 */     // MIs[1] Operand 1
     /* 1412992 */     // No operand predicates
     /* 1412992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412996 */     // MIs[0] policy
     /* 1412996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1413011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413017 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413035 */     // GIR_Coverage, 2706,
     /* 1413035 */     GIR_EraseRootFromParent_Done,
     /* 1413036 */   // Label 19975: @1413036
     /* 1413036 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1413135), // Rule ID 2713 //
     /* 1413041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413091 */     // MIs[1] Operand 1
     /* 1413091 */     // No operand predicates
     /* 1413091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413095 */     // MIs[0] policy
     /* 1413095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413116 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413134 */     // GIR_Coverage, 2713,
     /* 1413134 */     GIR_EraseRootFromParent_Done,
     /* 1413135 */   // Label 19976: @1413135
     /* 1413135 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1413234), // Rule ID 2714 //
     /* 1413140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413190 */     // MIs[1] Operand 1
     /* 1413190 */     // No operand predicates
     /* 1413190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413194 */     // MIs[0] policy
     /* 1413194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413215 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413233 */     // GIR_Coverage, 2714,
     /* 1413233 */     GIR_EraseRootFromParent_Done,
     /* 1413234 */   // Label 19977: @1413234
     /* 1413234 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1413333), // Rule ID 2721 //
     /* 1413239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413289 */     // MIs[1] Operand 1
     /* 1413289 */     // No operand predicates
     /* 1413289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413293 */     // MIs[0] policy
     /* 1413293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413305 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413314 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413332 */     // GIR_Coverage, 2721,
     /* 1413332 */     GIR_EraseRootFromParent_Done,
     /* 1413333 */   // Label 19978: @1413333
     /* 1413333 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1413432), // Rule ID 2722 //
     /* 1413338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413388 */     // MIs[1] Operand 1
     /* 1413388 */     // No operand predicates
     /* 1413388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413392 */     // MIs[0] policy
     /* 1413392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413413 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413431 */     // GIR_Coverage, 2722,
     /* 1413431 */     GIR_EraseRootFromParent_Done,
     /* 1413432 */   // Label 19979: @1413432
     /* 1413432 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1413531), // Rule ID 2729 //
     /* 1413437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413487 */     // MIs[1] Operand 1
     /* 1413487 */     // No operand predicates
     /* 1413487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413491 */     // MIs[0] policy
     /* 1413491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413512 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413530 */     // GIR_Coverage, 2729,
     /* 1413530 */     GIR_EraseRootFromParent_Done,
     /* 1413531 */   // Label 19980: @1413531
     /* 1413531 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1413630), // Rule ID 2730 //
     /* 1413536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413586 */     // MIs[1] Operand 1
     /* 1413586 */     // No operand predicates
     /* 1413586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413590 */     // MIs[0] policy
     /* 1413590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413611 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413629 */     // GIR_Coverage, 2730,
     /* 1413629 */     GIR_EraseRootFromParent_Done,
     /* 1413630 */   // Label 19981: @1413630
     /* 1413630 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1413729), // Rule ID 2737 //
     /* 1413635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1413646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1413649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1413652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413685 */     // MIs[1] Operand 1
     /* 1413685 */     // No operand predicates
     /* 1413685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413689 */     // MIs[0] policy
     /* 1413689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413710 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413728 */     // GIR_Coverage, 2737,
     /* 1413728 */     GIR_EraseRootFromParent_Done,
     /* 1413729 */   // Label 19982: @1413729
     /* 1413729 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1413828), // Rule ID 2738 //
     /* 1413734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1413745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1413748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1413751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413784 */     // MIs[1] Operand 1
     /* 1413784 */     // No operand predicates
     /* 1413784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413788 */     // MIs[0] policy
     /* 1413788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413809 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413827 */     // GIR_Coverage, 2738,
     /* 1413827 */     GIR_EraseRootFromParent_Done,
     /* 1413828 */   // Label 19983: @1413828
     /* 1413828 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1413927), // Rule ID 2745 //
     /* 1413833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413883 */     // MIs[1] Operand 1
     /* 1413883 */     // No operand predicates
     /* 1413883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413887 */     // MIs[0] policy
     /* 1413887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413908 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413926 */     // GIR_Coverage, 2745,
     /* 1413926 */     GIR_EraseRootFromParent_Done,
     /* 1413927 */   // Label 19984: @1413927
     /* 1413927 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1414026), // Rule ID 2746 //
     /* 1413932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413982 */     // MIs[1] Operand 1
     /* 1413982 */     // No operand predicates
     /* 1413982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413986 */     // MIs[0] policy
     /* 1413986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414007 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414025 */     // GIR_Coverage, 2746,
     /* 1414025 */     GIR_EraseRootFromParent_Done,
     /* 1414026 */   // Label 19985: @1414026
     /* 1414026 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1414125), // Rule ID 2753 //
     /* 1414031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1414048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414081 */     // MIs[1] Operand 1
     /* 1414081 */     // No operand predicates
     /* 1414081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414085 */     // MIs[0] policy
     /* 1414085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414106 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414124 */     // GIR_Coverage, 2753,
     /* 1414124 */     GIR_EraseRootFromParent_Done,
     /* 1414125 */   // Label 19986: @1414125
     /* 1414125 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1414224), // Rule ID 2754 //
     /* 1414130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1414147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414180 */     // MIs[1] Operand 1
     /* 1414180 */     // No operand predicates
     /* 1414180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414184 */     // MIs[0] policy
     /* 1414184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414205 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414223 */     // GIR_Coverage, 2754,
     /* 1414223 */     GIR_EraseRootFromParent_Done,
     /* 1414224 */   // Label 19987: @1414224
     /* 1414224 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1414323), // Rule ID 2761 //
     /* 1414229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414279 */     // MIs[1] Operand 1
     /* 1414279 */     // No operand predicates
     /* 1414279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414283 */     // MIs[0] policy
     /* 1414283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414295 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414304 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414322 */     // GIR_Coverage, 2761,
     /* 1414322 */     GIR_EraseRootFromParent_Done,
     /* 1414323 */   // Label 19988: @1414323
     /* 1414323 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1414422), // Rule ID 2762 //
     /* 1414328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414378 */     // MIs[1] Operand 1
     /* 1414378 */     // No operand predicates
     /* 1414378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414382 */     // MIs[0] policy
     /* 1414382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414403 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414421 */     // GIR_Coverage, 2762,
     /* 1414421 */     GIR_EraseRootFromParent_Done,
     /* 1414422 */   // Label 19989: @1414422
     /* 1414422 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1414521), // Rule ID 2769 //
     /* 1414427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414477 */     // MIs[1] Operand 1
     /* 1414477 */     // No operand predicates
     /* 1414477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414481 */     // MIs[0] policy
     /* 1414481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414493 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414502 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414520 */     // GIR_Coverage, 2769,
     /* 1414520 */     GIR_EraseRootFromParent_Done,
     /* 1414521 */   // Label 19990: @1414521
     /* 1414521 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1414620), // Rule ID 2770 //
     /* 1414526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414576 */     // MIs[1] Operand 1
     /* 1414576 */     // No operand predicates
     /* 1414576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414580 */     // MIs[0] policy
     /* 1414580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414601 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414619 */     // GIR_Coverage, 2770,
     /* 1414619 */     GIR_EraseRootFromParent_Done,
     /* 1414620 */   // Label 19991: @1414620
     /* 1414620 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1414719), // Rule ID 2777 //
     /* 1414625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1414636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1414639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1414642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1414648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414675 */     // MIs[1] Operand 1
     /* 1414675 */     // No operand predicates
     /* 1414675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414679 */     // MIs[0] policy
     /* 1414679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414691 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414700 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414718 */     // GIR_Coverage, 2777,
     /* 1414718 */     GIR_EraseRootFromParent_Done,
     /* 1414719 */   // Label 19992: @1414719
     /* 1414719 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1414818), // Rule ID 2778 //
     /* 1414724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1414735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1414738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1414741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1414747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414774 */     // MIs[1] Operand 1
     /* 1414774 */     // No operand predicates
     /* 1414774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414778 */     // MIs[0] policy
     /* 1414778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414799 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414817 */     // GIR_Coverage, 2778,
     /* 1414817 */     GIR_EraseRootFromParent_Done,
     /* 1414818 */   // Label 19993: @1414818
     /* 1414818 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1414917), // Rule ID 2785 //
     /* 1414823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1414834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1414837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414873 */     // MIs[1] Operand 1
     /* 1414873 */     // No operand predicates
     /* 1414873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414877 */     // MIs[0] policy
     /* 1414877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414889 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414898 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414916 */     // GIR_Coverage, 2785,
     /* 1414916 */     GIR_EraseRootFromParent_Done,
     /* 1414917 */   // Label 19994: @1414917
     /* 1414917 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1415016), // Rule ID 2786 //
     /* 1414922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1414933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1414936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414972 */     // MIs[1] Operand 1
     /* 1414972 */     // No operand predicates
     /* 1414972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414976 */     // MIs[0] policy
     /* 1414976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414988 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414997 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415015 */     // GIR_Coverage, 2786,
     /* 1415015 */     GIR_EraseRootFromParent_Done,
     /* 1415016 */   // Label 19995: @1415016
     /* 1415016 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1415115), // Rule ID 2793 //
     /* 1415021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415071 */     // MIs[1] Operand 1
     /* 1415071 */     // No operand predicates
     /* 1415071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415075 */     // MIs[0] policy
     /* 1415075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415096 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415114 */     // GIR_Coverage, 2793,
     /* 1415114 */     GIR_EraseRootFromParent_Done,
     /* 1415115 */   // Label 19996: @1415115
     /* 1415115 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1415214), // Rule ID 2794 //
     /* 1415120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415170 */     // MIs[1] Operand 1
     /* 1415170 */     // No operand predicates
     /* 1415170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415174 */     // MIs[0] policy
     /* 1415174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415195 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415213 */     // GIR_Coverage, 2794,
     /* 1415213 */     GIR_EraseRootFromParent_Done,
     /* 1415214 */   // Label 19997: @1415214
     /* 1415214 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1415313), // Rule ID 2801 //
     /* 1415219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415269 */     // MIs[1] Operand 1
     /* 1415269 */     // No operand predicates
     /* 1415269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415273 */     // MIs[0] policy
     /* 1415273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415285 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415294 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415312 */     // GIR_Coverage, 2801,
     /* 1415312 */     GIR_EraseRootFromParent_Done,
     /* 1415313 */   // Label 19998: @1415313
     /* 1415313 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1415412), // Rule ID 2802 //
     /* 1415318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415368 */     // MIs[1] Operand 1
     /* 1415368 */     // No operand predicates
     /* 1415368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415372 */     // MIs[0] policy
     /* 1415372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415393 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415411 */     // GIR_Coverage, 2802,
     /* 1415411 */     GIR_EraseRootFromParent_Done,
     /* 1415412 */   // Label 19999: @1415412
     /* 1415412 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1415511), // Rule ID 2809 //
     /* 1415417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415467 */     // MIs[1] Operand 1
     /* 1415467 */     // No operand predicates
     /* 1415467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415471 */     // MIs[0] policy
     /* 1415471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415492 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415510 */     // GIR_Coverage, 2809,
     /* 1415510 */     GIR_EraseRootFromParent_Done,
     /* 1415511 */   // Label 20000: @1415511
     /* 1415511 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1415610), // Rule ID 2810 //
     /* 1415516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415566 */     // MIs[1] Operand 1
     /* 1415566 */     // No operand predicates
     /* 1415566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415570 */     // MIs[0] policy
     /* 1415570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415591 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415609 */     // GIR_Coverage, 2810,
     /* 1415609 */     GIR_EraseRootFromParent_Done,
     /* 1415610 */   // Label 20001: @1415610
     /* 1415610 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1415709), // Rule ID 2817 //
     /* 1415615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415665 */     // MIs[1] Operand 1
     /* 1415665 */     // No operand predicates
     /* 1415665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415669 */     // MIs[0] policy
     /* 1415669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415690 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415708 */     // GIR_Coverage, 2817,
     /* 1415708 */     GIR_EraseRootFromParent_Done,
     /* 1415709 */   // Label 20002: @1415709
     /* 1415709 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1415808), // Rule ID 2818 //
     /* 1415714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415764 */     // MIs[1] Operand 1
     /* 1415764 */     // No operand predicates
     /* 1415764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415768 */     // MIs[0] policy
     /* 1415768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415789 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415807 */     // GIR_Coverage, 2818,
     /* 1415807 */     GIR_EraseRootFromParent_Done,
     /* 1415808 */   // Label 20003: @1415808
     /* 1415808 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1415907), // Rule ID 2825 //
     /* 1415813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415863 */     // MIs[1] Operand 1
     /* 1415863 */     // No operand predicates
     /* 1415863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415867 */     // MIs[0] policy
     /* 1415867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415888 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415906 */     // GIR_Coverage, 2825,
     /* 1415906 */     GIR_EraseRootFromParent_Done,
     /* 1415907 */   // Label 20004: @1415907
     /* 1415907 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1416006), // Rule ID 2826 //
     /* 1415912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415962 */     // MIs[1] Operand 1
     /* 1415962 */     // No operand predicates
     /* 1415962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415966 */     // MIs[0] policy
     /* 1415966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415987 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416005 */     // GIR_Coverage, 2826,
     /* 1416005 */     GIR_EraseRootFromParent_Done,
     /* 1416006 */   // Label 20005: @1416006
     /* 1416006 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1416105), // Rule ID 2833 //
     /* 1416011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416061 */     // MIs[1] Operand 1
     /* 1416061 */     // No operand predicates
     /* 1416061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416065 */     // MIs[0] policy
     /* 1416065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416077 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416086 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416104 */     // GIR_Coverage, 2833,
     /* 1416104 */     GIR_EraseRootFromParent_Done,
     /* 1416105 */   // Label 20006: @1416105
     /* 1416105 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1416204), // Rule ID 2834 //
     /* 1416110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416160 */     // MIs[1] Operand 1
     /* 1416160 */     // No operand predicates
     /* 1416160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416164 */     // MIs[0] policy
     /* 1416164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416185 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416203 */     // GIR_Coverage, 2834,
     /* 1416203 */     GIR_EraseRootFromParent_Done,
     /* 1416204 */   // Label 20007: @1416204
     /* 1416204 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1416303), // Rule ID 2841 //
     /* 1416209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416259 */     // MIs[1] Operand 1
     /* 1416259 */     // No operand predicates
     /* 1416259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416263 */     // MIs[0] policy
     /* 1416263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416284 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416302 */     // GIR_Coverage, 2841,
     /* 1416302 */     GIR_EraseRootFromParent_Done,
     /* 1416303 */   // Label 20008: @1416303
     /* 1416303 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1416402), // Rule ID 2842 //
     /* 1416308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416358 */     // MIs[1] Operand 1
     /* 1416358 */     // No operand predicates
     /* 1416358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416362 */     // MIs[0] policy
     /* 1416362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416383 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416401 */     // GIR_Coverage, 2842,
     /* 1416401 */     GIR_EraseRootFromParent_Done,
     /* 1416402 */   // Label 20009: @1416402
     /* 1416402 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1416501), // Rule ID 2849 //
     /* 1416407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416457 */     // MIs[1] Operand 1
     /* 1416457 */     // No operand predicates
     /* 1416457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416461 */     // MIs[0] policy
     /* 1416461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416482 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416500 */     // GIR_Coverage, 2849,
     /* 1416500 */     GIR_EraseRootFromParent_Done,
     /* 1416501 */   // Label 20010: @1416501
     /* 1416501 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1416600), // Rule ID 2850 //
     /* 1416506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416556 */     // MIs[1] Operand 1
     /* 1416556 */     // No operand predicates
     /* 1416556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416560 */     // MIs[0] policy
     /* 1416560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416581 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416599 */     // GIR_Coverage, 2850,
     /* 1416599 */     GIR_EraseRootFromParent_Done,
     /* 1416600 */   // Label 20011: @1416600
     /* 1416600 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1416697), // Rule ID 3025 //
     /* 1416605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1416622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416655 */     // MIs[1] Operand 1
     /* 1416655 */     // No operand predicates
     /* 1416655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416659 */     // MIs[0] policy
     /* 1416659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1416674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416696 */     // GIR_Coverage, 3025,
     /* 1416696 */     GIR_EraseRootFromParent_Done,
     /* 1416697 */   // Label 20012: @1416697
     /* 1416697 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1416794), // Rule ID 3026 //
     /* 1416702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1416719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416752 */     // MIs[1] Operand 1
     /* 1416752 */     // No operand predicates
     /* 1416752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416756 */     // MIs[0] policy
     /* 1416756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1416771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416793 */     // GIR_Coverage, 3026,
     /* 1416793 */     GIR_EraseRootFromParent_Done,
     /* 1416794 */   // Label 20013: @1416794
     /* 1416794 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1416891), // Rule ID 3029 //
     /* 1416799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1416810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1416813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1416816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416849 */     // MIs[1] Operand 1
     /* 1416849 */     // No operand predicates
     /* 1416849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416853 */     // MIs[0] policy
     /* 1416853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416865 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1416868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416890 */     // GIR_Coverage, 3029,
     /* 1416890 */     GIR_EraseRootFromParent_Done,
     /* 1416891 */   // Label 20014: @1416891
     /* 1416891 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1416988), // Rule ID 3030 //
     /* 1416896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1416907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1416910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1416913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416946 */     // MIs[1] Operand 1
     /* 1416946 */     // No operand predicates
     /* 1416946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416950 */     // MIs[0] policy
     /* 1416950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416962 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1416965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416987 */     // GIR_Coverage, 3030,
     /* 1416987 */     GIR_EraseRootFromParent_Done,
     /* 1416988 */   // Label 20015: @1416988
     /* 1416988 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1417085), // Rule ID 3033 //
     /* 1416993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417043 */     // MIs[1] Operand 1
     /* 1417043 */     // No operand predicates
     /* 1417043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417047 */     // MIs[0] policy
     /* 1417047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417084 */     // GIR_Coverage, 3033,
     /* 1417084 */     GIR_EraseRootFromParent_Done,
     /* 1417085 */   // Label 20016: @1417085
     /* 1417085 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1417182), // Rule ID 3034 //
     /* 1417090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417140 */     // MIs[1] Operand 1
     /* 1417140 */     // No operand predicates
     /* 1417140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417144 */     // MIs[0] policy
     /* 1417144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417181 */     // GIR_Coverage, 3034,
     /* 1417181 */     GIR_EraseRootFromParent_Done,
     /* 1417182 */   // Label 20017: @1417182
     /* 1417182 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1417279), // Rule ID 3037 //
     /* 1417187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417237 */     // MIs[1] Operand 1
     /* 1417237 */     // No operand predicates
     /* 1417237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417241 */     // MIs[0] policy
     /* 1417241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417253 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417278 */     // GIR_Coverage, 3037,
     /* 1417278 */     GIR_EraseRootFromParent_Done,
     /* 1417279 */   // Label 20018: @1417279
     /* 1417279 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1417376), // Rule ID 3038 //
     /* 1417284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417334 */     // MIs[1] Operand 1
     /* 1417334 */     // No operand predicates
     /* 1417334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417338 */     // MIs[0] policy
     /* 1417338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417375 */     // GIR_Coverage, 3038,
     /* 1417375 */     GIR_EraseRootFromParent_Done,
     /* 1417376 */   // Label 20019: @1417376
     /* 1417376 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1417473), // Rule ID 3041 //
     /* 1417381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417431 */     // MIs[1] Operand 1
     /* 1417431 */     // No operand predicates
     /* 1417431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417435 */     // MIs[0] policy
     /* 1417435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417472 */     // GIR_Coverage, 3041,
     /* 1417472 */     GIR_EraseRootFromParent_Done,
     /* 1417473 */   // Label 20020: @1417473
     /* 1417473 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1417570), // Rule ID 3042 //
     /* 1417478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417528 */     // MIs[1] Operand 1
     /* 1417528 */     // No operand predicates
     /* 1417528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417532 */     // MIs[0] policy
     /* 1417532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417569 */     // GIR_Coverage, 3042,
     /* 1417569 */     GIR_EraseRootFromParent_Done,
     /* 1417570 */   // Label 20021: @1417570
     /* 1417570 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1417667), // Rule ID 3045 //
     /* 1417575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417625 */     // MIs[1] Operand 1
     /* 1417625 */     // No operand predicates
     /* 1417625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417629 */     // MIs[0] policy
     /* 1417629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417666 */     // GIR_Coverage, 3045,
     /* 1417666 */     GIR_EraseRootFromParent_Done,
     /* 1417667 */   // Label 20022: @1417667
     /* 1417667 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1417764), // Rule ID 3046 //
     /* 1417672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417722 */     // MIs[1] Operand 1
     /* 1417722 */     // No operand predicates
     /* 1417722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417726 */     // MIs[0] policy
     /* 1417726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417763 */     // GIR_Coverage, 3046,
     /* 1417763 */     GIR_EraseRootFromParent_Done,
     /* 1417764 */   // Label 20023: @1417764
     /* 1417764 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1417861), // Rule ID 3049 //
     /* 1417769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1417780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1417783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1417786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417819 */     // MIs[1] Operand 1
     /* 1417819 */     // No operand predicates
     /* 1417819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417823 */     // MIs[0] policy
     /* 1417823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417860 */     // GIR_Coverage, 3049,
     /* 1417860 */     GIR_EraseRootFromParent_Done,
     /* 1417861 */   // Label 20024: @1417861
     /* 1417861 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1417958), // Rule ID 3050 //
     /* 1417866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1417877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1417880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1417883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417916 */     // MIs[1] Operand 1
     /* 1417916 */     // No operand predicates
     /* 1417916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417920 */     // MIs[0] policy
     /* 1417920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417957 */     // GIR_Coverage, 3050,
     /* 1417957 */     GIR_EraseRootFromParent_Done,
     /* 1417958 */   // Label 20025: @1417958
     /* 1417958 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1418055), // Rule ID 3053 //
     /* 1417963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1417974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1417977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1417980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418013 */     // MIs[1] Operand 1
     /* 1418013 */     // No operand predicates
     /* 1418013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418017 */     // MIs[0] policy
     /* 1418017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418029 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418054 */     // GIR_Coverage, 3053,
     /* 1418054 */     GIR_EraseRootFromParent_Done,
     /* 1418055 */   // Label 20026: @1418055
     /* 1418055 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1418152), // Rule ID 3054 //
     /* 1418060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418110 */     // MIs[1] Operand 1
     /* 1418110 */     // No operand predicates
     /* 1418110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418114 */     // MIs[0] policy
     /* 1418114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418151 */     // GIR_Coverage, 3054,
     /* 1418151 */     GIR_EraseRootFromParent_Done,
     /* 1418152 */   // Label 20027: @1418152
     /* 1418152 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1418249), // Rule ID 3057 //
     /* 1418157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418207 */     // MIs[1] Operand 1
     /* 1418207 */     // No operand predicates
     /* 1418207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418211 */     // MIs[0] policy
     /* 1418211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418248 */     // GIR_Coverage, 3057,
     /* 1418248 */     GIR_EraseRootFromParent_Done,
     /* 1418249 */   // Label 20028: @1418249
     /* 1418249 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1418346), // Rule ID 3058 //
     /* 1418254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418304 */     // MIs[1] Operand 1
     /* 1418304 */     // No operand predicates
     /* 1418304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418308 */     // MIs[0] policy
     /* 1418308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418345 */     // GIR_Coverage, 3058,
     /* 1418345 */     GIR_EraseRootFromParent_Done,
     /* 1418346 */   // Label 20029: @1418346
     /* 1418346 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1418443), // Rule ID 3061 //
     /* 1418351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418401 */     // MIs[1] Operand 1
     /* 1418401 */     // No operand predicates
     /* 1418401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418405 */     // MIs[0] policy
     /* 1418405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418442 */     // GIR_Coverage, 3061,
     /* 1418442 */     GIR_EraseRootFromParent_Done,
     /* 1418443 */   // Label 20030: @1418443
     /* 1418443 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1418540), // Rule ID 3062 //
     /* 1418448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418498 */     // MIs[1] Operand 1
     /* 1418498 */     // No operand predicates
     /* 1418498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418502 */     // MIs[0] policy
     /* 1418502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418539 */     // GIR_Coverage, 3062,
     /* 1418539 */     GIR_EraseRootFromParent_Done,
     /* 1418540 */   // Label 20031: @1418540
     /* 1418540 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1418637), // Rule ID 3065 //
     /* 1418545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418595 */     // MIs[1] Operand 1
     /* 1418595 */     // No operand predicates
     /* 1418595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418599 */     // MIs[0] policy
     /* 1418599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418636 */     // GIR_Coverage, 3065,
     /* 1418636 */     GIR_EraseRootFromParent_Done,
     /* 1418637 */   // Label 20032: @1418637
     /* 1418637 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1418734), // Rule ID 3066 //
     /* 1418642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418692 */     // MIs[1] Operand 1
     /* 1418692 */     // No operand predicates
     /* 1418692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418696 */     // MIs[0] policy
     /* 1418696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418733 */     // GIR_Coverage, 3066,
     /* 1418733 */     GIR_EraseRootFromParent_Done,
     /* 1418734 */   // Label 20033: @1418734
     /* 1418734 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1418831), // Rule ID 3069 //
     /* 1418739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1418750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1418753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1418756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418789 */     // MIs[1] Operand 1
     /* 1418789 */     // No operand predicates
     /* 1418789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418793 */     // MIs[0] policy
     /* 1418793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418805 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418830 */     // GIR_Coverage, 3069,
     /* 1418830 */     GIR_EraseRootFromParent_Done,
     /* 1418831 */   // Label 20034: @1418831
     /* 1418831 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1418928), // Rule ID 3070 //
     /* 1418836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1418847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1418850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1418853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418886 */     // MIs[1] Operand 1
     /* 1418886 */     // No operand predicates
     /* 1418886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418890 */     // MIs[0] policy
     /* 1418890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418902 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418927 */     // GIR_Coverage, 3070,
     /* 1418927 */     GIR_EraseRootFromParent_Done,
     /* 1418928 */   // Label 20035: @1418928
     /* 1418928 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1419025), // Rule ID 3073 //
     /* 1418933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1418944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1418947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1418950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1418956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418983 */     // MIs[1] Operand 1
     /* 1418983 */     // No operand predicates
     /* 1418983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418987 */     // MIs[0] policy
     /* 1418987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418999 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419024 */     // GIR_Coverage, 3073,
     /* 1419024 */     GIR_EraseRootFromParent_Done,
     /* 1419025 */   // Label 20036: @1419025
     /* 1419025 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1419122), // Rule ID 3074 //
     /* 1419030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1419041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1419044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1419047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419080 */     // MIs[1] Operand 1
     /* 1419080 */     // No operand predicates
     /* 1419080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419084 */     // MIs[0] policy
     /* 1419084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419121 */     // GIR_Coverage, 3074,
     /* 1419121 */     GIR_EraseRootFromParent_Done,
     /* 1419122 */   // Label 20037: @1419122
     /* 1419122 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1419219), // Rule ID 3077 //
     /* 1419127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419177 */     // MIs[1] Operand 1
     /* 1419177 */     // No operand predicates
     /* 1419177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419181 */     // MIs[0] policy
     /* 1419181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419218 */     // GIR_Coverage, 3077,
     /* 1419218 */     GIR_EraseRootFromParent_Done,
     /* 1419219 */   // Label 20038: @1419219
     /* 1419219 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1419316), // Rule ID 3078 //
     /* 1419224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419274 */     // MIs[1] Operand 1
     /* 1419274 */     // No operand predicates
     /* 1419274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419278 */     // MIs[0] policy
     /* 1419278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419290 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419315 */     // GIR_Coverage, 3078,
     /* 1419315 */     GIR_EraseRootFromParent_Done,
     /* 1419316 */   // Label 20039: @1419316
     /* 1419316 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1419413), // Rule ID 3081 //
     /* 1419321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419371 */     // MIs[1] Operand 1
     /* 1419371 */     // No operand predicates
     /* 1419371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419375 */     // MIs[0] policy
     /* 1419375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419412 */     // GIR_Coverage, 3081,
     /* 1419412 */     GIR_EraseRootFromParent_Done,
     /* 1419413 */   // Label 20040: @1419413
     /* 1419413 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1419510), // Rule ID 3082 //
     /* 1419418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419468 */     // MIs[1] Operand 1
     /* 1419468 */     // No operand predicates
     /* 1419468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419472 */     // MIs[0] policy
     /* 1419472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419484 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419509 */     // GIR_Coverage, 3082,
     /* 1419509 */     GIR_EraseRootFromParent_Done,
     /* 1419510 */   // Label 20041: @1419510
     /* 1419510 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1419607), // Rule ID 3085 //
     /* 1419515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419565 */     // MIs[1] Operand 1
     /* 1419565 */     // No operand predicates
     /* 1419565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419569 */     // MIs[0] policy
     /* 1419569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419581 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419606 */     // GIR_Coverage, 3085,
     /* 1419606 */     GIR_EraseRootFromParent_Done,
     /* 1419607 */   // Label 20042: @1419607
     /* 1419607 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1419704), // Rule ID 3086 //
     /* 1419612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419662 */     // MIs[1] Operand 1
     /* 1419662 */     // No operand predicates
     /* 1419662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419666 */     // MIs[0] policy
     /* 1419666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419703 */     // GIR_Coverage, 3086,
     /* 1419703 */     GIR_EraseRootFromParent_Done,
     /* 1419704 */   // Label 20043: @1419704
     /* 1419704 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1419801), // Rule ID 3089 //
     /* 1419709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1419720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1419723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1419726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419759 */     // MIs[1] Operand 1
     /* 1419759 */     // No operand predicates
     /* 1419759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419763 */     // MIs[0] policy
     /* 1419763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419775 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419800 */     // GIR_Coverage, 3089,
     /* 1419800 */     GIR_EraseRootFromParent_Done,
     /* 1419801 */   // Label 20044: @1419801
     /* 1419801 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1419898), // Rule ID 3090 //
     /* 1419806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1419817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1419820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1419823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419856 */     // MIs[1] Operand 1
     /* 1419856 */     // No operand predicates
     /* 1419856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419860 */     // MIs[0] policy
     /* 1419860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419897 */     // GIR_Coverage, 3090,
     /* 1419897 */     GIR_EraseRootFromParent_Done,
     /* 1419898 */   // Label 20045: @1419898
     /* 1419898 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1419995), // Rule ID 3093 //
     /* 1419903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1419914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1419917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1419920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419953 */     // MIs[1] Operand 1
     /* 1419953 */     // No operand predicates
     /* 1419953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419957 */     // MIs[0] policy
     /* 1419957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419994 */     // GIR_Coverage, 3093,
     /* 1419994 */     GIR_EraseRootFromParent_Done,
     /* 1419995 */   // Label 20046: @1419995
     /* 1419995 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1420092), // Rule ID 3094 //
     /* 1420000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1420017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420050 */     // MIs[1] Operand 1
     /* 1420050 */     // No operand predicates
     /* 1420050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420054 */     // MIs[0] policy
     /* 1420054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420091 */     // GIR_Coverage, 3094,
     /* 1420091 */     GIR_EraseRootFromParent_Done,
     /* 1420092 */   // Label 20047: @1420092
     /* 1420092 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1420189), // Rule ID 3097 //
     /* 1420097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420147 */     // MIs[1] Operand 1
     /* 1420147 */     // No operand predicates
     /* 1420147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420151 */     // MIs[0] policy
     /* 1420151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420188 */     // GIR_Coverage, 3097,
     /* 1420188 */     GIR_EraseRootFromParent_Done,
     /* 1420189 */   // Label 20048: @1420189
     /* 1420189 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1420286), // Rule ID 3098 //
     /* 1420194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420244 */     // MIs[1] Operand 1
     /* 1420244 */     // No operand predicates
     /* 1420244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420248 */     // MIs[0] policy
     /* 1420248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420285 */     // GIR_Coverage, 3098,
     /* 1420285 */     GIR_EraseRootFromParent_Done,
     /* 1420286 */   // Label 20049: @1420286
     /* 1420286 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1420383), // Rule ID 3101 //
     /* 1420291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420341 */     // MIs[1] Operand 1
     /* 1420341 */     // No operand predicates
     /* 1420341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420345 */     // MIs[0] policy
     /* 1420345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420382 */     // GIR_Coverage, 3101,
     /* 1420382 */     GIR_EraseRootFromParent_Done,
     /* 1420383 */   // Label 20050: @1420383
     /* 1420383 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1420480), // Rule ID 3102 //
     /* 1420388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420438 */     // MIs[1] Operand 1
     /* 1420438 */     // No operand predicates
     /* 1420438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420442 */     // MIs[0] policy
     /* 1420442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420479 */     // GIR_Coverage, 3102,
     /* 1420479 */     GIR_EraseRootFromParent_Done,
     /* 1420480 */   // Label 20051: @1420480
     /* 1420480 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1420577), // Rule ID 3105 //
     /* 1420485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420535 */     // MIs[1] Operand 1
     /* 1420535 */     // No operand predicates
     /* 1420535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420539 */     // MIs[0] policy
     /* 1420539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420576 */     // GIR_Coverage, 3105,
     /* 1420576 */     GIR_EraseRootFromParent_Done,
     /* 1420577 */   // Label 20052: @1420577
     /* 1420577 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1420674), // Rule ID 3106 //
     /* 1420582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420632 */     // MIs[1] Operand 1
     /* 1420632 */     // No operand predicates
     /* 1420632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420636 */     // MIs[0] policy
     /* 1420636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420673 */     // GIR_Coverage, 3106,
     /* 1420673 */     GIR_EraseRootFromParent_Done,
     /* 1420674 */   // Label 20053: @1420674
     /* 1420674 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1420771), // Rule ID 3109 //
     /* 1420679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1420690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1420693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1420696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420729 */     // MIs[1] Operand 1
     /* 1420729 */     // No operand predicates
     /* 1420729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420733 */     // MIs[0] policy
     /* 1420733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420745 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420770 */     // GIR_Coverage, 3109,
     /* 1420770 */     GIR_EraseRootFromParent_Done,
     /* 1420771 */   // Label 20054: @1420771
     /* 1420771 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1420868), // Rule ID 3110 //
     /* 1420776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1420787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1420790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1420793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420826 */     // MIs[1] Operand 1
     /* 1420826 */     // No operand predicates
     /* 1420826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420830 */     // MIs[0] policy
     /* 1420830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420867 */     // GIR_Coverage, 3110,
     /* 1420867 */     GIR_EraseRootFromParent_Done,
     /* 1420868 */   // Label 20055: @1420868
     /* 1420868 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1420965), // Rule ID 3377 //
     /* 1420873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1420884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1420887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1420890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420923 */     // MIs[1] Operand 1
     /* 1420923 */     // No operand predicates
     /* 1420923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420927 */     // MIs[0] policy
     /* 1420927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420939 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1420942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420964 */     // GIR_Coverage, 3377,
     /* 1420964 */     GIR_EraseRootFromParent_Done,
     /* 1420965 */   // Label 20056: @1420965
     /* 1420965 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1421062), // Rule ID 3378 //
     /* 1420970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1420981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1420984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1420987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421020 */     // MIs[1] Operand 1
     /* 1421020 */     // No operand predicates
     /* 1421020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421024 */     // MIs[0] policy
     /* 1421024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1421039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421061 */     // GIR_Coverage, 3378,
     /* 1421061 */     GIR_EraseRootFromParent_Done,
     /* 1421062 */   // Label 20057: @1421062
     /* 1421062 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1421159), // Rule ID 3381 //
     /* 1421067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421117 */     // MIs[1] Operand 1
     /* 1421117 */     // No operand predicates
     /* 1421117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421121 */     // MIs[0] policy
     /* 1421121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421158 */     // GIR_Coverage, 3381,
     /* 1421158 */     GIR_EraseRootFromParent_Done,
     /* 1421159 */   // Label 20058: @1421159
     /* 1421159 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1421256), // Rule ID 3382 //
     /* 1421164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421214 */     // MIs[1] Operand 1
     /* 1421214 */     // No operand predicates
     /* 1421214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421218 */     // MIs[0] policy
     /* 1421218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421255 */     // GIR_Coverage, 3382,
     /* 1421255 */     GIR_EraseRootFromParent_Done,
     /* 1421256 */   // Label 20059: @1421256
     /* 1421256 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1421353), // Rule ID 3385 //
     /* 1421261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421311 */     // MIs[1] Operand 1
     /* 1421311 */     // No operand predicates
     /* 1421311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421315 */     // MIs[0] policy
     /* 1421315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421327 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421352 */     // GIR_Coverage, 3385,
     /* 1421352 */     GIR_EraseRootFromParent_Done,
     /* 1421353 */   // Label 20060: @1421353
     /* 1421353 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1421450), // Rule ID 3386 //
     /* 1421358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421408 */     // MIs[1] Operand 1
     /* 1421408 */     // No operand predicates
     /* 1421408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421412 */     // MIs[0] policy
     /* 1421412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421449 */     // GIR_Coverage, 3386,
     /* 1421449 */     GIR_EraseRootFromParent_Done,
     /* 1421450 */   // Label 20061: @1421450
     /* 1421450 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1421547), // Rule ID 3389 //
     /* 1421455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421505 */     // MIs[1] Operand 1
     /* 1421505 */     // No operand predicates
     /* 1421505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421509 */     // MIs[0] policy
     /* 1421509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421546 */     // GIR_Coverage, 3389,
     /* 1421546 */     GIR_EraseRootFromParent_Done,
     /* 1421547 */   // Label 20062: @1421547
     /* 1421547 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1421644), // Rule ID 3390 //
     /* 1421552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421602 */     // MIs[1] Operand 1
     /* 1421602 */     // No operand predicates
     /* 1421602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421606 */     // MIs[0] policy
     /* 1421606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421643 */     // GIR_Coverage, 3390,
     /* 1421643 */     GIR_EraseRootFromParent_Done,
     /* 1421644 */   // Label 20063: @1421644
     /* 1421644 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1421741), // Rule ID 3393 //
     /* 1421649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1421660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1421663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421699 */     // MIs[1] Operand 1
     /* 1421699 */     // No operand predicates
     /* 1421699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421703 */     // MIs[0] policy
     /* 1421703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421715 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421740 */     // GIR_Coverage, 3393,
     /* 1421740 */     GIR_EraseRootFromParent_Done,
     /* 1421741 */   // Label 20064: @1421741
     /* 1421741 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1421838), // Rule ID 3394 //
     /* 1421746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1421757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1421760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421796 */     // MIs[1] Operand 1
     /* 1421796 */     // No operand predicates
     /* 1421796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421800 */     // MIs[0] policy
     /* 1421800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421837 */     // GIR_Coverage, 3394,
     /* 1421837 */     GIR_EraseRootFromParent_Done,
     /* 1421838 */   // Label 20065: @1421838
     /* 1421838 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1421935), // Rule ID 3397 //
     /* 1421843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1421854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1421857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1421860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421893 */     // MIs[1] Operand 1
     /* 1421893 */     // No operand predicates
     /* 1421893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421897 */     // MIs[0] policy
     /* 1421897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421934 */     // GIR_Coverage, 3397,
     /* 1421934 */     GIR_EraseRootFromParent_Done,
     /* 1421935 */   // Label 20066: @1421935
     /* 1421935 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1422032), // Rule ID 3398 //
     /* 1421940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1421951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1421954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1421957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421990 */     // MIs[1] Operand 1
     /* 1421990 */     // No operand predicates
     /* 1421990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421994 */     // MIs[0] policy
     /* 1421994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422031 */     // GIR_Coverage, 3398,
     /* 1422031 */     GIR_EraseRootFromParent_Done,
     /* 1422032 */   // Label 20067: @1422032
     /* 1422032 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1422129), // Rule ID 3401 //
     /* 1422037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422087 */     // MIs[1] Operand 1
     /* 1422087 */     // No operand predicates
     /* 1422087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422091 */     // MIs[0] policy
     /* 1422091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422128 */     // GIR_Coverage, 3401,
     /* 1422128 */     GIR_EraseRootFromParent_Done,
     /* 1422129 */   // Label 20068: @1422129
     /* 1422129 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1422226), // Rule ID 3402 //
     /* 1422134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422184 */     // MIs[1] Operand 1
     /* 1422184 */     // No operand predicates
     /* 1422184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422188 */     // MIs[0] policy
     /* 1422188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422225 */     // GIR_Coverage, 3402,
     /* 1422225 */     GIR_EraseRootFromParent_Done,
     /* 1422226 */   // Label 20069: @1422226
     /* 1422226 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1422323), // Rule ID 3405 //
     /* 1422231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422281 */     // MIs[1] Operand 1
     /* 1422281 */     // No operand predicates
     /* 1422281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422285 */     // MIs[0] policy
     /* 1422285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422322 */     // GIR_Coverage, 3405,
     /* 1422322 */     GIR_EraseRootFromParent_Done,
     /* 1422323 */   // Label 20070: @1422323
     /* 1422323 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1422420), // Rule ID 3406 //
     /* 1422328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422378 */     // MIs[1] Operand 1
     /* 1422378 */     // No operand predicates
     /* 1422378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422382 */     // MIs[0] policy
     /* 1422382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422419 */     // GIR_Coverage, 3406,
     /* 1422419 */     GIR_EraseRootFromParent_Done,
     /* 1422420 */   // Label 20071: @1422420
     /* 1422420 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1422517), // Rule ID 3409 //
     /* 1422425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422475 */     // MIs[1] Operand 1
     /* 1422475 */     // No operand predicates
     /* 1422475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422479 */     // MIs[0] policy
     /* 1422479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422516 */     // GIR_Coverage, 3409,
     /* 1422516 */     GIR_EraseRootFromParent_Done,
     /* 1422517 */   // Label 20072: @1422517
     /* 1422517 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1422614), // Rule ID 3410 //
     /* 1422522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422572 */     // MIs[1] Operand 1
     /* 1422572 */     // No operand predicates
     /* 1422572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422576 */     // MIs[0] policy
     /* 1422576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422613 */     // GIR_Coverage, 3410,
     /* 1422613 */     GIR_EraseRootFromParent_Done,
     /* 1422614 */   // Label 20073: @1422614
     /* 1422614 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1422711), // Rule ID 3413 //
     /* 1422619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1422622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1422630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1422633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422669 */     // MIs[1] Operand 1
     /* 1422669 */     // No operand predicates
     /* 1422669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422673 */     // MIs[0] policy
     /* 1422673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422685 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422710 */     // GIR_Coverage, 3413,
     /* 1422710 */     GIR_EraseRootFromParent_Done,
     /* 1422711 */   // Label 20074: @1422711
     /* 1422711 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1422808), // Rule ID 3414 //
     /* 1422716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1422719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1422727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1422730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422766 */     // MIs[1] Operand 1
     /* 1422766 */     // No operand predicates
     /* 1422766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422770 */     // MIs[0] policy
     /* 1422770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422807 */     // GIR_Coverage, 3414,
     /* 1422807 */     GIR_EraseRootFromParent_Done,
     /* 1422808 */   // Label 20075: @1422808
     /* 1422808 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1422905), // Rule ID 3417 //
     /* 1422813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1422824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1422827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1422830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422863 */     // MIs[1] Operand 1
     /* 1422863 */     // No operand predicates
     /* 1422863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422867 */     // MIs[0] policy
     /* 1422867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422879 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422904 */     // GIR_Coverage, 3417,
     /* 1422904 */     GIR_EraseRootFromParent_Done,
     /* 1422905 */   // Label 20076: @1422905
     /* 1422905 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1423002), // Rule ID 3418 //
     /* 1422910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1422921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1422924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1422927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422960 */     // MIs[1] Operand 1
     /* 1422960 */     // No operand predicates
     /* 1422960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422964 */     // MIs[0] policy
     /* 1422964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423001 */     // GIR_Coverage, 3418,
     /* 1423001 */     GIR_EraseRootFromParent_Done,
     /* 1423002 */   // Label 20077: @1423002
     /* 1423002 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1423099), // Rule ID 3421 //
     /* 1423007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423057 */     // MIs[1] Operand 1
     /* 1423057 */     // No operand predicates
     /* 1423057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423061 */     // MIs[0] policy
     /* 1423061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423073 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423098 */     // GIR_Coverage, 3421,
     /* 1423098 */     GIR_EraseRootFromParent_Done,
     /* 1423099 */   // Label 20078: @1423099
     /* 1423099 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1423196), // Rule ID 3422 //
     /* 1423104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423154 */     // MIs[1] Operand 1
     /* 1423154 */     // No operand predicates
     /* 1423154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423158 */     // MIs[0] policy
     /* 1423158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423195 */     // GIR_Coverage, 3422,
     /* 1423195 */     GIR_EraseRootFromParent_Done,
     /* 1423196 */   // Label 20079: @1423196
     /* 1423196 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1423293), // Rule ID 3425 //
     /* 1423201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423251 */     // MIs[1] Operand 1
     /* 1423251 */     // No operand predicates
     /* 1423251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423255 */     // MIs[0] policy
     /* 1423255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423292 */     // GIR_Coverage, 3425,
     /* 1423292 */     GIR_EraseRootFromParent_Done,
     /* 1423293 */   // Label 20080: @1423293
     /* 1423293 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1423390), // Rule ID 3426 //
     /* 1423298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423348 */     // MIs[1] Operand 1
     /* 1423348 */     // No operand predicates
     /* 1423348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423352 */     // MIs[0] policy
     /* 1423352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423389 */     // GIR_Coverage, 3426,
     /* 1423389 */     GIR_EraseRootFromParent_Done,
     /* 1423390 */   // Label 20081: @1423390
     /* 1423390 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1423487), // Rule ID 3429 //
     /* 1423395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423445 */     // MIs[1] Operand 1
     /* 1423445 */     // No operand predicates
     /* 1423445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423449 */     // MIs[0] policy
     /* 1423449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423486 */     // GIR_Coverage, 3429,
     /* 1423486 */     GIR_EraseRootFromParent_Done,
     /* 1423487 */   // Label 20082: @1423487
     /* 1423487 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1423584), // Rule ID 3430 //
     /* 1423492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423542 */     // MIs[1] Operand 1
     /* 1423542 */     // No operand predicates
     /* 1423542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423546 */     // MIs[0] policy
     /* 1423546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423583 */     // GIR_Coverage, 3430,
     /* 1423583 */     GIR_EraseRootFromParent_Done,
     /* 1423584 */   // Label 20083: @1423584
     /* 1423584 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1423681), // Rule ID 3433 //
     /* 1423589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423639 */     // MIs[1] Operand 1
     /* 1423639 */     // No operand predicates
     /* 1423639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423643 */     // MIs[0] policy
     /* 1423643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423655 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423680 */     // GIR_Coverage, 3433,
     /* 1423680 */     GIR_EraseRootFromParent_Done,
     /* 1423681 */   // Label 20084: @1423681
     /* 1423681 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1423778), // Rule ID 3434 //
     /* 1423686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423736 */     // MIs[1] Operand 1
     /* 1423736 */     // No operand predicates
     /* 1423736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423740 */     // MIs[0] policy
     /* 1423740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423777 */     // GIR_Coverage, 3434,
     /* 1423777 */     GIR_EraseRootFromParent_Done,
     /* 1423778 */   // Label 20085: @1423778
     /* 1423778 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1423875), // Rule ID 3437 //
     /* 1423783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1423794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1423797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1423800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423833 */     // MIs[1] Operand 1
     /* 1423833 */     // No operand predicates
     /* 1423833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423837 */     // MIs[0] policy
     /* 1423837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423849 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423874 */     // GIR_Coverage, 3437,
     /* 1423874 */     GIR_EraseRootFromParent_Done,
     /* 1423875 */   // Label 20086: @1423875
     /* 1423875 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1423972), // Rule ID 3438 //
     /* 1423880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1423891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1423894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1423897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423930 */     // MIs[1] Operand 1
     /* 1423930 */     // No operand predicates
     /* 1423930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423934 */     // MIs[0] policy
     /* 1423934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423971 */     // GIR_Coverage, 3438,
     /* 1423971 */     GIR_EraseRootFromParent_Done,
     /* 1423972 */   // Label 20087: @1423972
     /* 1423972 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1424069), // Rule ID 3441 //
     /* 1423977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1423988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1423991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1423994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424027 */     // MIs[1] Operand 1
     /* 1424027 */     // No operand predicates
     /* 1424027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424031 */     // MIs[0] policy
     /* 1424031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424068 */     // GIR_Coverage, 3441,
     /* 1424068 */     GIR_EraseRootFromParent_Done,
     /* 1424069 */   // Label 20088: @1424069
     /* 1424069 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1424166), // Rule ID 3442 //
     /* 1424074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424124 */     // MIs[1] Operand 1
     /* 1424124 */     // No operand predicates
     /* 1424124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424128 */     // MIs[0] policy
     /* 1424128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424140 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424165 */     // GIR_Coverage, 3442,
     /* 1424165 */     GIR_EraseRootFromParent_Done,
     /* 1424166 */   // Label 20089: @1424166
     /* 1424166 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1424263), // Rule ID 3445 //
     /* 1424171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424221 */     // MIs[1] Operand 1
     /* 1424221 */     // No operand predicates
     /* 1424221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424225 */     // MIs[0] policy
     /* 1424225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424262 */     // GIR_Coverage, 3445,
     /* 1424262 */     GIR_EraseRootFromParent_Done,
     /* 1424263 */   // Label 20090: @1424263
     /* 1424263 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1424360), // Rule ID 3446 //
     /* 1424268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424318 */     // MIs[1] Operand 1
     /* 1424318 */     // No operand predicates
     /* 1424318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424322 */     // MIs[0] policy
     /* 1424322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424359 */     // GIR_Coverage, 3446,
     /* 1424359 */     GIR_EraseRootFromParent_Done,
     /* 1424360 */   // Label 20091: @1424360
     /* 1424360 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1424457), // Rule ID 3449 //
     /* 1424365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424415 */     // MIs[1] Operand 1
     /* 1424415 */     // No operand predicates
     /* 1424415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424419 */     // MIs[0] policy
     /* 1424419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424431 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424456 */     // GIR_Coverage, 3449,
     /* 1424456 */     GIR_EraseRootFromParent_Done,
     /* 1424457 */   // Label 20092: @1424457
     /* 1424457 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1424554), // Rule ID 3450 //
     /* 1424462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424512 */     // MIs[1] Operand 1
     /* 1424512 */     // No operand predicates
     /* 1424512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424516 */     // MIs[0] policy
     /* 1424516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424553 */     // GIR_Coverage, 3450,
     /* 1424553 */     GIR_EraseRootFromParent_Done,
     /* 1424554 */   // Label 20093: @1424554
     /* 1424554 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1424651), // Rule ID 3453 //
     /* 1424559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424609 */     // MIs[1] Operand 1
     /* 1424609 */     // No operand predicates
     /* 1424609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424613 */     // MIs[0] policy
     /* 1424613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424650 */     // GIR_Coverage, 3453,
     /* 1424650 */     GIR_EraseRootFromParent_Done,
     /* 1424651 */   // Label 20094: @1424651
     /* 1424651 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1424748), // Rule ID 3454 //
     /* 1424656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424706 */     // MIs[1] Operand 1
     /* 1424706 */     // No operand predicates
     /* 1424706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424710 */     // MIs[0] policy
     /* 1424710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424747 */     // GIR_Coverage, 3454,
     /* 1424747 */     GIR_EraseRootFromParent_Done,
     /* 1424748 */   // Label 20095: @1424748
     /* 1424748 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1424845), // Rule ID 3457 //
     /* 1424753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1424764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1424767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1424770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424803 */     // MIs[1] Operand 1
     /* 1424803 */     // No operand predicates
     /* 1424803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424807 */     // MIs[0] policy
     /* 1424807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424844 */     // GIR_Coverage, 3457,
     /* 1424844 */     GIR_EraseRootFromParent_Done,
     /* 1424845 */   // Label 20096: @1424845
     /* 1424845 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1424942), // Rule ID 3458 //
     /* 1424850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1424861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1424864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1424867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424900 */     // MIs[1] Operand 1
     /* 1424900 */     // No operand predicates
     /* 1424900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424904 */     // MIs[0] policy
     /* 1424904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424941 */     // GIR_Coverage, 3458,
     /* 1424941 */     GIR_EraseRootFromParent_Done,
     /* 1424942 */   // Label 20097: @1424942
     /* 1424942 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1425039), // Rule ID 3461 //
     /* 1424947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1424958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1424961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1424964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424997 */     // MIs[1] Operand 1
     /* 1424997 */     // No operand predicates
     /* 1424997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425001 */     // MIs[0] policy
     /* 1425001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425013 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1425016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425038 */     // GIR_Coverage, 3461,
     /* 1425038 */     GIR_EraseRootFromParent_Done,
     /* 1425039 */   // Label 20098: @1425039
     /* 1425039 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1425136), // Rule ID 3462 //
     /* 1425044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425094 */     // MIs[1] Operand 1
     /* 1425094 */     // No operand predicates
     /* 1425094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425098 */     // MIs[0] policy
     /* 1425098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1425113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425135 */     // GIR_Coverage, 3462,
     /* 1425135 */     GIR_EraseRootFromParent_Done,
     /* 1425136 */   // Label 20099: @1425136
     /* 1425136 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1425233), // Rule ID 5825 //
     /* 1425141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425191 */     // MIs[1] Operand 1
     /* 1425191 */     // No operand predicates
     /* 1425191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425195 */     // MIs[0] policy
     /* 1425195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425207 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425232 */     // GIR_Coverage, 5825,
     /* 1425232 */     GIR_EraseRootFromParent_Done,
     /* 1425233 */   // Label 20100: @1425233
     /* 1425233 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1425330), // Rule ID 5826 //
     /* 1425238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425288 */     // MIs[1] Operand 1
     /* 1425288 */     // No operand predicates
     /* 1425288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425292 */     // MIs[0] policy
     /* 1425292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425304 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425329 */     // GIR_Coverage, 5826,
     /* 1425329 */     GIR_EraseRootFromParent_Done,
     /* 1425330 */   // Label 20101: @1425330
     /* 1425330 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1425427), // Rule ID 5829 //
     /* 1425335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425385 */     // MIs[1] Operand 1
     /* 1425385 */     // No operand predicates
     /* 1425385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425389 */     // MIs[0] policy
     /* 1425389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425426 */     // GIR_Coverage, 5829,
     /* 1425426 */     GIR_EraseRootFromParent_Done,
     /* 1425427 */   // Label 20102: @1425427
     /* 1425427 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1425524), // Rule ID 5830 //
     /* 1425432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425482 */     // MIs[1] Operand 1
     /* 1425482 */     // No operand predicates
     /* 1425482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425486 */     // MIs[0] policy
     /* 1425486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425498 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425523 */     // GIR_Coverage, 5830,
     /* 1425523 */     GIR_EraseRootFromParent_Done,
     /* 1425524 */   // Label 20103: @1425524
     /* 1425524 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1425621), // Rule ID 5833 //
     /* 1425529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425579 */     // MIs[1] Operand 1
     /* 1425579 */     // No operand predicates
     /* 1425579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425583 */     // MIs[0] policy
     /* 1425583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425595 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425620 */     // GIR_Coverage, 5833,
     /* 1425620 */     GIR_EraseRootFromParent_Done,
     /* 1425621 */   // Label 20104: @1425621
     /* 1425621 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1425718), // Rule ID 5834 //
     /* 1425626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425676 */     // MIs[1] Operand 1
     /* 1425676 */     // No operand predicates
     /* 1425676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425680 */     // MIs[0] policy
     /* 1425680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425717 */     // GIR_Coverage, 5834,
     /* 1425717 */     GIR_EraseRootFromParent_Done,
     /* 1425718 */   // Label 20105: @1425718
     /* 1425718 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1425815), // Rule ID 5837 //
     /* 1425723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1425734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1425737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1425740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425773 */     // MIs[1] Operand 1
     /* 1425773 */     // No operand predicates
     /* 1425773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425777 */     // MIs[0] policy
     /* 1425777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425814 */     // GIR_Coverage, 5837,
     /* 1425814 */     GIR_EraseRootFromParent_Done,
     /* 1425815 */   // Label 20106: @1425815
     /* 1425815 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1425912), // Rule ID 5838 //
     /* 1425820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1425831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1425834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1425837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425870 */     // MIs[1] Operand 1
     /* 1425870 */     // No operand predicates
     /* 1425870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425874 */     // MIs[0] policy
     /* 1425874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425911 */     // GIR_Coverage, 5838,
     /* 1425911 */     GIR_EraseRootFromParent_Done,
     /* 1425912 */   // Label 20107: @1425912
     /* 1425912 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1426009), // Rule ID 5841 //
     /* 1425917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1425928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1425931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1425934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425967 */     // MIs[1] Operand 1
     /* 1425967 */     // No operand predicates
     /* 1425967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425971 */     // MIs[0] policy
     /* 1425971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426008 */     // GIR_Coverage, 5841,
     /* 1426008 */     GIR_EraseRootFromParent_Done,
     /* 1426009 */   // Label 20108: @1426009
     /* 1426009 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1426106), // Rule ID 5842 //
     /* 1426014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426064 */     // MIs[1] Operand 1
     /* 1426064 */     // No operand predicates
     /* 1426064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426068 */     // MIs[0] policy
     /* 1426068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426080 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426105 */     // GIR_Coverage, 5842,
     /* 1426105 */     GIR_EraseRootFromParent_Done,
     /* 1426106 */   // Label 20109: @1426106
     /* 1426106 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1426203), // Rule ID 5845 //
     /* 1426111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426161 */     // MIs[1] Operand 1
     /* 1426161 */     // No operand predicates
     /* 1426161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426165 */     // MIs[0] policy
     /* 1426165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426202 */     // GIR_Coverage, 5845,
     /* 1426202 */     GIR_EraseRootFromParent_Done,
     /* 1426203 */   // Label 20110: @1426203
     /* 1426203 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1426300), // Rule ID 5846 //
     /* 1426208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426258 */     // MIs[1] Operand 1
     /* 1426258 */     // No operand predicates
     /* 1426258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426262 */     // MIs[0] policy
     /* 1426262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426299 */     // GIR_Coverage, 5846,
     /* 1426299 */     GIR_EraseRootFromParent_Done,
     /* 1426300 */   // Label 20111: @1426300
     /* 1426300 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1426397), // Rule ID 5849 //
     /* 1426305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426355 */     // MIs[1] Operand 1
     /* 1426355 */     // No operand predicates
     /* 1426355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426359 */     // MIs[0] policy
     /* 1426359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426396 */     // GIR_Coverage, 5849,
     /* 1426396 */     GIR_EraseRootFromParent_Done,
     /* 1426397 */   // Label 20112: @1426397
     /* 1426397 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1426494), // Rule ID 5850 //
     /* 1426402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426452 */     // MIs[1] Operand 1
     /* 1426452 */     // No operand predicates
     /* 1426452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426456 */     // MIs[0] policy
     /* 1426456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426493 */     // GIR_Coverage, 5850,
     /* 1426493 */     GIR_EraseRootFromParent_Done,
     /* 1426494 */   // Label 20113: @1426494
     /* 1426494 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1426591), // Rule ID 5853 //
     /* 1426499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426549 */     // MIs[1] Operand 1
     /* 1426549 */     // No operand predicates
     /* 1426549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426553 */     // MIs[0] policy
     /* 1426553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426590 */     // GIR_Coverage, 5853,
     /* 1426590 */     GIR_EraseRootFromParent_Done,
     /* 1426591 */   // Label 20114: @1426591
     /* 1426591 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1426688), // Rule ID 5854 //
     /* 1426596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426646 */     // MIs[1] Operand 1
     /* 1426646 */     // No operand predicates
     /* 1426646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426650 */     // MIs[0] policy
     /* 1426650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426687 */     // GIR_Coverage, 5854,
     /* 1426687 */     GIR_EraseRootFromParent_Done,
     /* 1426688 */   // Label 20115: @1426688
     /* 1426688 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1426785), // Rule ID 5857 //
     /* 1426693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1426704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1426707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426743 */     // MIs[1] Operand 1
     /* 1426743 */     // No operand predicates
     /* 1426743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426747 */     // MIs[0] policy
     /* 1426747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426784 */     // GIR_Coverage, 5857,
     /* 1426784 */     GIR_EraseRootFromParent_Done,
     /* 1426785 */   // Label 20116: @1426785
     /* 1426785 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1426882), // Rule ID 5858 //
     /* 1426790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1426801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1426804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426840 */     // MIs[1] Operand 1
     /* 1426840 */     // No operand predicates
     /* 1426840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426844 */     // MIs[0] policy
     /* 1426844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426881 */     // GIR_Coverage, 5858,
     /* 1426881 */     GIR_EraseRootFromParent_Done,
     /* 1426882 */   // Label 20117: @1426882
     /* 1426882 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1426979), // Rule ID 5861 //
     /* 1426887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1426890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1426898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1426901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1426904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426937 */     // MIs[1] Operand 1
     /* 1426937 */     // No operand predicates
     /* 1426937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426941 */     // MIs[0] policy
     /* 1426941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1426975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426978 */     // GIR_Coverage, 5861,
     /* 1426978 */     GIR_EraseRootFromParent_Done,
     /* 1426979 */   // Label 20118: @1426979
     /* 1426979 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1427076), // Rule ID 5862 //
     /* 1426984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1426987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1426995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1426998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427034 */     // MIs[1] Operand 1
     /* 1427034 */     // No operand predicates
     /* 1427034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427038 */     // MIs[0] policy
     /* 1427038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427075 */     // GIR_Coverage, 5862,
     /* 1427075 */     GIR_EraseRootFromParent_Done,
     /* 1427076 */   // Label 20119: @1427076
     /* 1427076 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1427173), // Rule ID 5865 //
     /* 1427081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427131 */     // MIs[1] Operand 1
     /* 1427131 */     // No operand predicates
     /* 1427131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427135 */     // MIs[0] policy
     /* 1427135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427172 */     // GIR_Coverage, 5865,
     /* 1427172 */     GIR_EraseRootFromParent_Done,
     /* 1427173 */   // Label 20120: @1427173
     /* 1427173 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1427270), // Rule ID 5866 //
     /* 1427178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427228 */     // MIs[1] Operand 1
     /* 1427228 */     // No operand predicates
     /* 1427228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427232 */     // MIs[0] policy
     /* 1427232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427269 */     // GIR_Coverage, 5866,
     /* 1427269 */     GIR_EraseRootFromParent_Done,
     /* 1427270 */   // Label 20121: @1427270
     /* 1427270 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1427367), // Rule ID 5869 //
     /* 1427275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427325 */     // MIs[1] Operand 1
     /* 1427325 */     // No operand predicates
     /* 1427325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427329 */     // MIs[0] policy
     /* 1427329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427341 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427366 */     // GIR_Coverage, 5869,
     /* 1427366 */     GIR_EraseRootFromParent_Done,
     /* 1427367 */   // Label 20122: @1427367
     /* 1427367 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1427464), // Rule ID 5870 //
     /* 1427372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427422 */     // MIs[1] Operand 1
     /* 1427422 */     // No operand predicates
     /* 1427422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427426 */     // MIs[0] policy
     /* 1427426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427463 */     // GIR_Coverage, 5870,
     /* 1427463 */     GIR_EraseRootFromParent_Done,
     /* 1427464 */   // Label 20123: @1427464
     /* 1427464 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1427561), // Rule ID 5873 //
     /* 1427469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427519 */     // MIs[1] Operand 1
     /* 1427519 */     // No operand predicates
     /* 1427519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427523 */     // MIs[0] policy
     /* 1427523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427535 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427560 */     // GIR_Coverage, 5873,
     /* 1427560 */     GIR_EraseRootFromParent_Done,
     /* 1427561 */   // Label 20124: @1427561
     /* 1427561 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1427658), // Rule ID 5874 //
     /* 1427566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427616 */     // MIs[1] Operand 1
     /* 1427616 */     // No operand predicates
     /* 1427616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427620 */     // MIs[0] policy
     /* 1427620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427632 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427657 */     // GIR_Coverage, 5874,
     /* 1427657 */     GIR_EraseRootFromParent_Done,
     /* 1427658 */   // Label 20125: @1427658
     /* 1427658 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1427755), // Rule ID 5877 //
     /* 1427663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1427674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1427677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1427680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427713 */     // MIs[1] Operand 1
     /* 1427713 */     // No operand predicates
     /* 1427713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427717 */     // MIs[0] policy
     /* 1427717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427754 */     // GIR_Coverage, 5877,
     /* 1427754 */     GIR_EraseRootFromParent_Done,
     /* 1427755 */   // Label 20126: @1427755
     /* 1427755 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1427852), // Rule ID 5878 //
     /* 1427760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1427771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1427774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1427777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427810 */     // MIs[1] Operand 1
     /* 1427810 */     // No operand predicates
     /* 1427810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427814 */     // MIs[0] policy
     /* 1427814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427851 */     // GIR_Coverage, 5878,
     /* 1427851 */     GIR_EraseRootFromParent_Done,
     /* 1427852 */   // Label 20127: @1427852
     /* 1427852 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1427949), // Rule ID 5881 //
     /* 1427857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1427868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1427871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1427874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427907 */     // MIs[1] Operand 1
     /* 1427907 */     // No operand predicates
     /* 1427907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427911 */     // MIs[0] policy
     /* 1427911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427948 */     // GIR_Coverage, 5881,
     /* 1427948 */     GIR_EraseRootFromParent_Done,
     /* 1427949 */   // Label 20128: @1427949
     /* 1427949 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1428046), // Rule ID 5882 //
     /* 1427954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1427965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1427968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1427971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428004 */     // MIs[1] Operand 1
     /* 1428004 */     // No operand predicates
     /* 1428004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428008 */     // MIs[0] policy
     /* 1428008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428045 */     // GIR_Coverage, 5882,
     /* 1428045 */     GIR_EraseRootFromParent_Done,
     /* 1428046 */   // Label 20129: @1428046
     /* 1428046 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1428143), // Rule ID 5885 //
     /* 1428051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428101 */     // MIs[1] Operand 1
     /* 1428101 */     // No operand predicates
     /* 1428101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428105 */     // MIs[0] policy
     /* 1428105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428117 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428142 */     // GIR_Coverage, 5885,
     /* 1428142 */     GIR_EraseRootFromParent_Done,
     /* 1428143 */   // Label 20130: @1428143
     /* 1428143 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1428240), // Rule ID 5886 //
     /* 1428148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428198 */     // MIs[1] Operand 1
     /* 1428198 */     // No operand predicates
     /* 1428198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428202 */     // MIs[0] policy
     /* 1428202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428239 */     // GIR_Coverage, 5886,
     /* 1428239 */     GIR_EraseRootFromParent_Done,
     /* 1428240 */   // Label 20131: @1428240
     /* 1428240 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1428337), // Rule ID 5889 //
     /* 1428245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428295 */     // MIs[1] Operand 1
     /* 1428295 */     // No operand predicates
     /* 1428295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428299 */     // MIs[0] policy
     /* 1428299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428336 */     // GIR_Coverage, 5889,
     /* 1428336 */     GIR_EraseRootFromParent_Done,
     /* 1428337 */   // Label 20132: @1428337
     /* 1428337 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1428434), // Rule ID 5890 //
     /* 1428342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428392 */     // MIs[1] Operand 1
     /* 1428392 */     // No operand predicates
     /* 1428392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428396 */     // MIs[0] policy
     /* 1428396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428433 */     // GIR_Coverage, 5890,
     /* 1428433 */     GIR_EraseRootFromParent_Done,
     /* 1428434 */   // Label 20133: @1428434
     /* 1428434 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1428531), // Rule ID 5893 //
     /* 1428439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428489 */     // MIs[1] Operand 1
     /* 1428489 */     // No operand predicates
     /* 1428489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428493 */     // MIs[0] policy
     /* 1428493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428530 */     // GIR_Coverage, 5893,
     /* 1428530 */     GIR_EraseRootFromParent_Done,
     /* 1428531 */   // Label 20134: @1428531
     /* 1428531 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1428628), // Rule ID 5894 //
     /* 1428536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428586 */     // MIs[1] Operand 1
     /* 1428586 */     // No operand predicates
     /* 1428586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428590 */     // MIs[0] policy
     /* 1428590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428627 */     // GIR_Coverage, 5894,
     /* 1428627 */     GIR_EraseRootFromParent_Done,
     /* 1428628 */   // Label 20135: @1428628
     /* 1428628 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1428725), // Rule ID 5897 //
     /* 1428633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1428644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1428647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1428650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428683 */     // MIs[1] Operand 1
     /* 1428683 */     // No operand predicates
     /* 1428683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428687 */     // MIs[0] policy
     /* 1428687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428724 */     // GIR_Coverage, 5897,
     /* 1428724 */     GIR_EraseRootFromParent_Done,
     /* 1428725 */   // Label 20136: @1428725
     /* 1428725 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1428822), // Rule ID 5898 //
     /* 1428730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1428741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1428744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1428747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428780 */     // MIs[1] Operand 1
     /* 1428780 */     // No operand predicates
     /* 1428780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428784 */     // MIs[0] policy
     /* 1428784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428821 */     // GIR_Coverage, 5898,
     /* 1428821 */     GIR_EraseRootFromParent_Done,
     /* 1428822 */   // Label 20137: @1428822
     /* 1428822 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1428919), // Rule ID 5901 //
     /* 1428827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1428830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1428838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1428841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1428844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428877 */     // MIs[1] Operand 1
     /* 1428877 */     // No operand predicates
     /* 1428877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428881 */     // MIs[0] policy
     /* 1428881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428918 */     // GIR_Coverage, 5901,
     /* 1428918 */     GIR_EraseRootFromParent_Done,
     /* 1428919 */   // Label 20138: @1428919
     /* 1428919 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1429016), // Rule ID 5902 //
     /* 1428924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1428927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1428935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1428938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1428941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428974 */     // MIs[1] Operand 1
     /* 1428974 */     // No operand predicates
     /* 1428974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428978 */     // MIs[0] policy
     /* 1428978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428990 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429015 */     // GIR_Coverage, 5902,
     /* 1429015 */     GIR_EraseRootFromParent_Done,
     /* 1429016 */   // Label 20139: @1429016
     /* 1429016 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1429113), // Rule ID 5905 //
     /* 1429021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429071 */     // MIs[1] Operand 1
     /* 1429071 */     // No operand predicates
     /* 1429071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429075 */     // MIs[0] policy
     /* 1429075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429087 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429112 */     // GIR_Coverage, 5905,
     /* 1429112 */     GIR_EraseRootFromParent_Done,
     /* 1429113 */   // Label 20140: @1429113
     /* 1429113 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1429210), // Rule ID 5906 //
     /* 1429118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429168 */     // MIs[1] Operand 1
     /* 1429168 */     // No operand predicates
     /* 1429168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429172 */     // MIs[0] policy
     /* 1429172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429209 */     // GIR_Coverage, 5906,
     /* 1429209 */     GIR_EraseRootFromParent_Done,
     /* 1429210 */   // Label 20141: @1429210
     /* 1429210 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1429307), // Rule ID 5909 //
     /* 1429215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429265 */     // MIs[1] Operand 1
     /* 1429265 */     // No operand predicates
     /* 1429265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429269 */     // MIs[0] policy
     /* 1429269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429281 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429306 */     // GIR_Coverage, 5909,
     /* 1429306 */     GIR_EraseRootFromParent_Done,
     /* 1429307 */   // Label 20142: @1429307
     /* 1429307 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1429404), // Rule ID 5910 //
     /* 1429312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429362 */     // MIs[1] Operand 1
     /* 1429362 */     // No operand predicates
     /* 1429362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429366 */     // MIs[0] policy
     /* 1429366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429403 */     // GIR_Coverage, 5910,
     /* 1429403 */     GIR_EraseRootFromParent_Done,
     /* 1429404 */   // Label 20143: @1429404
     /* 1429404 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1429501), // Rule ID 6089 //
     /* 1429409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429459 */     // MIs[1] Operand 1
     /* 1429459 */     // No operand predicates
     /* 1429459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429463 */     // MIs[0] policy
     /* 1429463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429475 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429500 */     // GIR_Coverage, 6089,
     /* 1429500 */     GIR_EraseRootFromParent_Done,
     /* 1429501 */   // Label 20144: @1429501
     /* 1429501 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1429598), // Rule ID 6090 //
     /* 1429506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429556 */     // MIs[1] Operand 1
     /* 1429556 */     // No operand predicates
     /* 1429556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429560 */     // MIs[0] policy
     /* 1429560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429597 */     // GIR_Coverage, 6090,
     /* 1429597 */     GIR_EraseRootFromParent_Done,
     /* 1429598 */   // Label 20145: @1429598
     /* 1429598 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1429695), // Rule ID 6093 //
     /* 1429603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1429614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1429617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1429620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429653 */     // MIs[1] Operand 1
     /* 1429653 */     // No operand predicates
     /* 1429653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429657 */     // MIs[0] policy
     /* 1429657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1429672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429694 */     // GIR_Coverage, 6093,
     /* 1429694 */     GIR_EraseRootFromParent_Done,
     /* 1429695 */   // Label 20146: @1429695
     /* 1429695 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1429792), // Rule ID 6094 //
     /* 1429700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1429711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1429714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1429717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429750 */     // MIs[1] Operand 1
     /* 1429750 */     // No operand predicates
     /* 1429750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429754 */     // MIs[0] policy
     /* 1429754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1429769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429791 */     // GIR_Coverage, 6094,
     /* 1429791 */     GIR_EraseRootFromParent_Done,
     /* 1429792 */   // Label 20147: @1429792
     /* 1429792 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1429889), // Rule ID 6097 //
     /* 1429797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1429808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1429811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1429814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429847 */     // MIs[1] Operand 1
     /* 1429847 */     // No operand predicates
     /* 1429847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429851 */     // MIs[0] policy
     /* 1429851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429888 */     // GIR_Coverage, 6097,
     /* 1429888 */     GIR_EraseRootFromParent_Done,
     /* 1429889 */   // Label 20148: @1429889
     /* 1429889 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1429986), // Rule ID 6098 //
     /* 1429894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1429905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1429908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1429911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429944 */     // MIs[1] Operand 1
     /* 1429944 */     // No operand predicates
     /* 1429944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429948 */     // MIs[0] policy
     /* 1429948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429960 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429985 */     // GIR_Coverage, 6098,
     /* 1429985 */     GIR_EraseRootFromParent_Done,
     /* 1429986 */   // Label 20149: @1429986
     /* 1429986 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1430083), // Rule ID 6101 //
     /* 1429991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430041 */     // MIs[1] Operand 1
     /* 1430041 */     // No operand predicates
     /* 1430041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430045 */     // MIs[0] policy
     /* 1430045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430057 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430082 */     // GIR_Coverage, 6101,
     /* 1430082 */     GIR_EraseRootFromParent_Done,
     /* 1430083 */   // Label 20150: @1430083
     /* 1430083 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1430180), // Rule ID 6102 //
     /* 1430088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430138 */     // MIs[1] Operand 1
     /* 1430138 */     // No operand predicates
     /* 1430138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430142 */     // MIs[0] policy
     /* 1430142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430154 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430179 */     // GIR_Coverage, 6102,
     /* 1430179 */     GIR_EraseRootFromParent_Done,
     /* 1430180 */   // Label 20151: @1430180
     /* 1430180 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1430277), // Rule ID 6105 //
     /* 1430185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430235 */     // MIs[1] Operand 1
     /* 1430235 */     // No operand predicates
     /* 1430235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430239 */     // MIs[0] policy
     /* 1430239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430276 */     // GIR_Coverage, 6105,
     /* 1430276 */     GIR_EraseRootFromParent_Done,
     /* 1430277 */   // Label 20152: @1430277
     /* 1430277 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1430374), // Rule ID 6106 //
     /* 1430282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430332 */     // MIs[1] Operand 1
     /* 1430332 */     // No operand predicates
     /* 1430332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430336 */     // MIs[0] policy
     /* 1430336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430373 */     // GIR_Coverage, 6106,
     /* 1430373 */     GIR_EraseRootFromParent_Done,
     /* 1430374 */   // Label 20153: @1430374
     /* 1430374 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1430471), // Rule ID 6109 //
     /* 1430379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430429 */     // MIs[1] Operand 1
     /* 1430429 */     // No operand predicates
     /* 1430429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430433 */     // MIs[0] policy
     /* 1430433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430470 */     // GIR_Coverage, 6109,
     /* 1430470 */     GIR_EraseRootFromParent_Done,
     /* 1430471 */   // Label 20154: @1430471
     /* 1430471 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1430568), // Rule ID 6110 //
     /* 1430476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430526 */     // MIs[1] Operand 1
     /* 1430526 */     // No operand predicates
     /* 1430526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430530 */     // MIs[0] policy
     /* 1430530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430567 */     // GIR_Coverage, 6110,
     /* 1430567 */     GIR_EraseRootFromParent_Done,
     /* 1430568 */   // Label 20155: @1430568
     /* 1430568 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1430665), // Rule ID 6113 //
     /* 1430573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430623 */     // MIs[1] Operand 1
     /* 1430623 */     // No operand predicates
     /* 1430623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430627 */     // MIs[0] policy
     /* 1430627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430639 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430664 */     // GIR_Coverage, 6113,
     /* 1430664 */     GIR_EraseRootFromParent_Done,
     /* 1430665 */   // Label 20156: @1430665
     /* 1430665 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1430762), // Rule ID 6114 //
     /* 1430670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430720 */     // MIs[1] Operand 1
     /* 1430720 */     // No operand predicates
     /* 1430720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430724 */     // MIs[0] policy
     /* 1430724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430761 */     // GIR_Coverage, 6114,
     /* 1430761 */     GIR_EraseRootFromParent_Done,
     /* 1430762 */   // Label 20157: @1430762
     /* 1430762 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1430859), // Rule ID 6117 //
     /* 1430767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1430778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1430781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1430784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430817 */     // MIs[1] Operand 1
     /* 1430817 */     // No operand predicates
     /* 1430817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430821 */     // MIs[0] policy
     /* 1430821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430858 */     // GIR_Coverage, 6117,
     /* 1430858 */     GIR_EraseRootFromParent_Done,
     /* 1430859 */   // Label 20158: @1430859
     /* 1430859 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1430956), // Rule ID 6118 //
     /* 1430864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1430875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1430878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1430881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430914 */     // MIs[1] Operand 1
     /* 1430914 */     // No operand predicates
     /* 1430914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430918 */     // MIs[0] policy
     /* 1430918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430955 */     // GIR_Coverage, 6118,
     /* 1430955 */     GIR_EraseRootFromParent_Done,
     /* 1430956 */   // Label 20159: @1430956
     /* 1430956 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1431053), // Rule ID 6121 //
     /* 1430961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1430972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1430975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1430978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431011 */     // MIs[1] Operand 1
     /* 1431011 */     // No operand predicates
     /* 1431011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431015 */     // MIs[0] policy
     /* 1431015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431052 */     // GIR_Coverage, 6121,
     /* 1431052 */     GIR_EraseRootFromParent_Done,
     /* 1431053 */   // Label 20160: @1431053
     /* 1431053 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1431150), // Rule ID 6122 //
     /* 1431058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431108 */     // MIs[1] Operand 1
     /* 1431108 */     // No operand predicates
     /* 1431108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431112 */     // MIs[0] policy
     /* 1431112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431149 */     // GIR_Coverage, 6122,
     /* 1431149 */     GIR_EraseRootFromParent_Done,
     /* 1431150 */   // Label 20161: @1431150
     /* 1431150 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1431247), // Rule ID 6125 //
     /* 1431155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431205 */     // MIs[1] Operand 1
     /* 1431205 */     // No operand predicates
     /* 1431205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431209 */     // MIs[0] policy
     /* 1431209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431246 */     // GIR_Coverage, 6125,
     /* 1431246 */     GIR_EraseRootFromParent_Done,
     /* 1431247 */   // Label 20162: @1431247
     /* 1431247 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1431344), // Rule ID 6126 //
     /* 1431252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431302 */     // MIs[1] Operand 1
     /* 1431302 */     // No operand predicates
     /* 1431302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431306 */     // MIs[0] policy
     /* 1431306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431343 */     // GIR_Coverage, 6126,
     /* 1431343 */     GIR_EraseRootFromParent_Done,
     /* 1431344 */   // Label 20163: @1431344
     /* 1431344 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1431441), // Rule ID 6129 //
     /* 1431349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431399 */     // MIs[1] Operand 1
     /* 1431399 */     // No operand predicates
     /* 1431399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431403 */     // MIs[0] policy
     /* 1431403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431415 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431440 */     // GIR_Coverage, 6129,
     /* 1431440 */     GIR_EraseRootFromParent_Done,
     /* 1431441 */   // Label 20164: @1431441
     /* 1431441 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1431538), // Rule ID 6130 //
     /* 1431446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431496 */     // MIs[1] Operand 1
     /* 1431496 */     // No operand predicates
     /* 1431496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431500 */     // MIs[0] policy
     /* 1431500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431512 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431537 */     // GIR_Coverage, 6130,
     /* 1431537 */     GIR_EraseRootFromParent_Done,
     /* 1431538 */   // Label 20165: @1431538
     /* 1431538 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1431635), // Rule ID 6133 //
     /* 1431543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431593 */     // MIs[1] Operand 1
     /* 1431593 */     // No operand predicates
     /* 1431593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431597 */     // MIs[0] policy
     /* 1431597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431609 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431634 */     // GIR_Coverage, 6133,
     /* 1431634 */     GIR_EraseRootFromParent_Done,
     /* 1431635 */   // Label 20166: @1431635
     /* 1431635 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1431732), // Rule ID 6134 //
     /* 1431640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431690 */     // MIs[1] Operand 1
     /* 1431690 */     // No operand predicates
     /* 1431690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431694 */     // MIs[0] policy
     /* 1431694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431706 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431731 */     // GIR_Coverage, 6134,
     /* 1431731 */     GIR_EraseRootFromParent_Done,
     /* 1431732 */   // Label 20167: @1431732
     /* 1431732 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1431829), // Rule ID 6137 //
     /* 1431737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1431748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1431751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1431754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1431760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431787 */     // MIs[1] Operand 1
     /* 1431787 */     // No operand predicates
     /* 1431787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431791 */     // MIs[0] policy
     /* 1431791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431803 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431828 */     // GIR_Coverage, 6137,
     /* 1431828 */     GIR_EraseRootFromParent_Done,
     /* 1431829 */   // Label 20168: @1431829
     /* 1431829 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1431926), // Rule ID 6138 //
     /* 1431834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1431845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1431848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1431851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1431857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431884 */     // MIs[1] Operand 1
     /* 1431884 */     // No operand predicates
     /* 1431884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431888 */     // MIs[0] policy
     /* 1431888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431900 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431925 */     // GIR_Coverage, 6138,
     /* 1431925 */     GIR_EraseRootFromParent_Done,
     /* 1431926 */   // Label 20169: @1431926
     /* 1431926 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1432023), // Rule ID 6141 //
     /* 1431931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1431942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1431945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1431948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431981 */     // MIs[1] Operand 1
     /* 1431981 */     // No operand predicates
     /* 1431981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431985 */     // MIs[0] policy
     /* 1431985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432022 */     // GIR_Coverage, 6141,
     /* 1432022 */     GIR_EraseRootFromParent_Done,
     /* 1432023 */   // Label 20170: @1432023
     /* 1432023 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1432120), // Rule ID 6142 //
     /* 1432028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432078 */     // MIs[1] Operand 1
     /* 1432078 */     // No operand predicates
     /* 1432078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432082 */     // MIs[0] policy
     /* 1432082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432119 */     // GIR_Coverage, 6142,
     /* 1432119 */     GIR_EraseRootFromParent_Done,
     /* 1432120 */   // Label 20171: @1432120
     /* 1432120 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1432217), // Rule ID 6145 //
     /* 1432125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432175 */     // MIs[1] Operand 1
     /* 1432175 */     // No operand predicates
     /* 1432175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432179 */     // MIs[0] policy
     /* 1432179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432191 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432216 */     // GIR_Coverage, 6145,
     /* 1432216 */     GIR_EraseRootFromParent_Done,
     /* 1432217 */   // Label 20172: @1432217
     /* 1432217 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1432314), // Rule ID 6146 //
     /* 1432222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432272 */     // MIs[1] Operand 1
     /* 1432272 */     // No operand predicates
     /* 1432272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432276 */     // MIs[0] policy
     /* 1432276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432313 */     // GIR_Coverage, 6146,
     /* 1432313 */     GIR_EraseRootFromParent_Done,
     /* 1432314 */   // Label 20173: @1432314
     /* 1432314 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1432411), // Rule ID 6149 //
     /* 1432319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432369 */     // MIs[1] Operand 1
     /* 1432369 */     // No operand predicates
     /* 1432369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432373 */     // MIs[0] policy
     /* 1432373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432385 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432410 */     // GIR_Coverage, 6149,
     /* 1432410 */     GIR_EraseRootFromParent_Done,
     /* 1432411 */   // Label 20174: @1432411
     /* 1432411 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1432508), // Rule ID 6150 //
     /* 1432416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432466 */     // MIs[1] Operand 1
     /* 1432466 */     // No operand predicates
     /* 1432466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432470 */     // MIs[0] policy
     /* 1432470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432507 */     // GIR_Coverage, 6150,
     /* 1432507 */     GIR_EraseRootFromParent_Done,
     /* 1432508 */   // Label 20175: @1432508
     /* 1432508 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1432605), // Rule ID 6153 //
     /* 1432513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432563 */     // MIs[1] Operand 1
     /* 1432563 */     // No operand predicates
     /* 1432563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432567 */     // MIs[0] policy
     /* 1432567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432604 */     // GIR_Coverage, 6153,
     /* 1432604 */     GIR_EraseRootFromParent_Done,
     /* 1432605 */   // Label 20176: @1432605
     /* 1432605 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1432702), // Rule ID 6154 //
     /* 1432610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432660 */     // MIs[1] Operand 1
     /* 1432660 */     // No operand predicates
     /* 1432660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432664 */     // MIs[0] policy
     /* 1432664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432701 */     // GIR_Coverage, 6154,
     /* 1432701 */     GIR_EraseRootFromParent_Done,
     /* 1432702 */   // Label 20177: @1432702
     /* 1432702 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1432799), // Rule ID 6157 //
     /* 1432707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1432718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1432721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1432724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432757 */     // MIs[1] Operand 1
     /* 1432757 */     // No operand predicates
     /* 1432757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432761 */     // MIs[0] policy
     /* 1432761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432798 */     // GIR_Coverage, 6157,
     /* 1432798 */     GIR_EraseRootFromParent_Done,
     /* 1432799 */   // Label 20178: @1432799
     /* 1432799 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1432896), // Rule ID 6158 //
     /* 1432804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1432815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1432818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1432821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432854 */     // MIs[1] Operand 1
     /* 1432854 */     // No operand predicates
     /* 1432854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432858 */     // MIs[0] policy
     /* 1432858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432895 */     // GIR_Coverage, 6158,
     /* 1432895 */     GIR_EraseRootFromParent_Done,
     /* 1432896 */   // Label 20179: @1432896
     /* 1432896 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1432993), // Rule ID 6161 //
     /* 1432901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1432912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1432915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1432918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432951 */     // MIs[1] Operand 1
     /* 1432951 */     // No operand predicates
     /* 1432951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432955 */     // MIs[0] policy
     /* 1432955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432992 */     // GIR_Coverage, 6161,
     /* 1432992 */     GIR_EraseRootFromParent_Done,
     /* 1432993 */   // Label 20180: @1432993
     /* 1432993 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1433090), // Rule ID 6162 //
     /* 1432998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433048 */     // MIs[1] Operand 1
     /* 1433048 */     // No operand predicates
     /* 1433048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433052 */     // MIs[0] policy
     /* 1433052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433089 */     // GIR_Coverage, 6162,
     /* 1433089 */     GIR_EraseRootFromParent_Done,
     /* 1433090 */   // Label 20181: @1433090
     /* 1433090 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1433187), // Rule ID 6165 //
     /* 1433095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433145 */     // MIs[1] Operand 1
     /* 1433145 */     // No operand predicates
     /* 1433145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433149 */     // MIs[0] policy
     /* 1433149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433186 */     // GIR_Coverage, 6165,
     /* 1433186 */     GIR_EraseRootFromParent_Done,
     /* 1433187 */   // Label 20182: @1433187
     /* 1433187 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1433284), // Rule ID 6166 //
     /* 1433192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433242 */     // MIs[1] Operand 1
     /* 1433242 */     // No operand predicates
     /* 1433242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433246 */     // MIs[0] policy
     /* 1433246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433283 */     // GIR_Coverage, 6166,
     /* 1433283 */     GIR_EraseRootFromParent_Done,
     /* 1433284 */   // Label 20183: @1433284
     /* 1433284 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1433381), // Rule ID 6169 //
     /* 1433289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433339 */     // MIs[1] Operand 1
     /* 1433339 */     // No operand predicates
     /* 1433339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433343 */     // MIs[0] policy
     /* 1433343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433355 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433380 */     // GIR_Coverage, 6169,
     /* 1433380 */     GIR_EraseRootFromParent_Done,
     /* 1433381 */   // Label 20184: @1433381
     /* 1433381 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1433478), // Rule ID 6170 //
     /* 1433386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433436 */     // MIs[1] Operand 1
     /* 1433436 */     // No operand predicates
     /* 1433436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433440 */     // MIs[0] policy
     /* 1433440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433477 */     // GIR_Coverage, 6170,
     /* 1433477 */     GIR_EraseRootFromParent_Done,
     /* 1433478 */   // Label 20185: @1433478
     /* 1433478 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1433575), // Rule ID 6173 //
     /* 1433483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433533 */     // MIs[1] Operand 1
     /* 1433533 */     // No operand predicates
     /* 1433533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433537 */     // MIs[0] policy
     /* 1433537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433574 */     // GIR_Coverage, 6173,
     /* 1433574 */     GIR_EraseRootFromParent_Done,
     /* 1433575 */   // Label 20186: @1433575
     /* 1433575 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1433672), // Rule ID 6174 //
     /* 1433580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433630 */     // MIs[1] Operand 1
     /* 1433630 */     // No operand predicates
     /* 1433630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433634 */     // MIs[0] policy
     /* 1433634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433671 */     // GIR_Coverage, 6174,
     /* 1433671 */     GIR_EraseRootFromParent_Done,
     /* 1433672 */   // Label 20187: @1433672
     /* 1433672 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1433769), // Rule ID 6353 //
     /* 1433677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1433688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1433691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1433694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433727 */     // MIs[1] Operand 1
     /* 1433727 */     // No operand predicates
     /* 1433727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433731 */     // MIs[0] policy
     /* 1433731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433743 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1433746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433768 */     // GIR_Coverage, 6353,
     /* 1433768 */     GIR_EraseRootFromParent_Done,
     /* 1433769 */   // Label 20188: @1433769
     /* 1433769 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1433866), // Rule ID 6354 //
     /* 1433774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1433785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1433788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1433791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433824 */     // MIs[1] Operand 1
     /* 1433824 */     // No operand predicates
     /* 1433824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433828 */     // MIs[0] policy
     /* 1433828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1433843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433865 */     // GIR_Coverage, 6354,
     /* 1433865 */     GIR_EraseRootFromParent_Done,
     /* 1433866 */   // Label 20189: @1433866
     /* 1433866 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1433963), // Rule ID 6357 //
     /* 1433871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1433882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1433885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1433888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433921 */     // MIs[1] Operand 1
     /* 1433921 */     // No operand predicates
     /* 1433921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433925 */     // MIs[0] policy
     /* 1433925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433937 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1433940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433962 */     // GIR_Coverage, 6357,
     /* 1433962 */     GIR_EraseRootFromParent_Done,
     /* 1433963 */   // Label 20190: @1433963
     /* 1433963 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1434060), // Rule ID 6358 //
     /* 1433968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1433979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1433982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1433985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434018 */     // MIs[1] Operand 1
     /* 1434018 */     // No operand predicates
     /* 1434018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434022 */     // MIs[0] policy
     /* 1434022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434034 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434059 */     // GIR_Coverage, 6358,
     /* 1434059 */     GIR_EraseRootFromParent_Done,
     /* 1434060 */   // Label 20191: @1434060
     /* 1434060 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1434157), // Rule ID 6361 //
     /* 1434065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434115 */     // MIs[1] Operand 1
     /* 1434115 */     // No operand predicates
     /* 1434115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434119 */     // MIs[0] policy
     /* 1434119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434131 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434156 */     // GIR_Coverage, 6361,
     /* 1434156 */     GIR_EraseRootFromParent_Done,
     /* 1434157 */   // Label 20192: @1434157
     /* 1434157 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1434254), // Rule ID 6362 //
     /* 1434162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434212 */     // MIs[1] Operand 1
     /* 1434212 */     // No operand predicates
     /* 1434212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434216 */     // MIs[0] policy
     /* 1434216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434253 */     // GIR_Coverage, 6362,
     /* 1434253 */     GIR_EraseRootFromParent_Done,
     /* 1434254 */   // Label 20193: @1434254
     /* 1434254 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1434351), // Rule ID 6365 //
     /* 1434259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434309 */     // MIs[1] Operand 1
     /* 1434309 */     // No operand predicates
     /* 1434309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434313 */     // MIs[0] policy
     /* 1434313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434350 */     // GIR_Coverage, 6365,
     /* 1434350 */     GIR_EraseRootFromParent_Done,
     /* 1434351 */   // Label 20194: @1434351
     /* 1434351 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1434448), // Rule ID 6366 //
     /* 1434356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434406 */     // MIs[1] Operand 1
     /* 1434406 */     // No operand predicates
     /* 1434406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434410 */     // MIs[0] policy
     /* 1434410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434447 */     // GIR_Coverage, 6366,
     /* 1434447 */     GIR_EraseRootFromParent_Done,
     /* 1434448 */   // Label 20195: @1434448
     /* 1434448 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1434545), // Rule ID 6369 //
     /* 1434453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434503 */     // MIs[1] Operand 1
     /* 1434503 */     // No operand predicates
     /* 1434503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434507 */     // MIs[0] policy
     /* 1434507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434519 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434544 */     // GIR_Coverage, 6369,
     /* 1434544 */     GIR_EraseRootFromParent_Done,
     /* 1434545 */   // Label 20196: @1434545
     /* 1434545 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1434642), // Rule ID 6370 //
     /* 1434550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434600 */     // MIs[1] Operand 1
     /* 1434600 */     // No operand predicates
     /* 1434600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434604 */     // MIs[0] policy
     /* 1434604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434641 */     // GIR_Coverage, 6370,
     /* 1434641 */     GIR_EraseRootFromParent_Done,
     /* 1434642 */   // Label 20197: @1434642
     /* 1434642 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1434739), // Rule ID 6373 //
     /* 1434647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1434658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1434661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1434664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434697 */     // MIs[1] Operand 1
     /* 1434697 */     // No operand predicates
     /* 1434697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434701 */     // MIs[0] policy
     /* 1434701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434738 */     // GIR_Coverage, 6373,
     /* 1434738 */     GIR_EraseRootFromParent_Done,
     /* 1434739 */   // Label 20198: @1434739
     /* 1434739 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1434836), // Rule ID 6374 //
     /* 1434744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1434755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1434758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1434761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434794 */     // MIs[1] Operand 1
     /* 1434794 */     // No operand predicates
     /* 1434794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434798 */     // MIs[0] policy
     /* 1434798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434835 */     // GIR_Coverage, 6374,
     /* 1434835 */     GIR_EraseRootFromParent_Done,
     /* 1434836 */   // Label 20199: @1434836
     /* 1434836 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1434933), // Rule ID 6377 //
     /* 1434841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1434852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1434855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1434858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434891 */     // MIs[1] Operand 1
     /* 1434891 */     // No operand predicates
     /* 1434891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434895 */     // MIs[0] policy
     /* 1434895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434907 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1434910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434932 */     // GIR_Coverage, 6377,
     /* 1434932 */     GIR_EraseRootFromParent_Done,
     /* 1434933 */   // Label 20200: @1434933
     /* 1434933 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1435030), // Rule ID 6378 //
     /* 1434938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1434949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1434952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1434955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434988 */     // MIs[1] Operand 1
     /* 1434988 */     // No operand predicates
     /* 1434988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434992 */     // MIs[0] policy
     /* 1434992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435029 */     // GIR_Coverage, 6378,
     /* 1435029 */     GIR_EraseRootFromParent_Done,
     /* 1435030 */   // Label 20201: @1435030
     /* 1435030 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1435127), // Rule ID 6381 //
     /* 1435035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435085 */     // MIs[1] Operand 1
     /* 1435085 */     // No operand predicates
     /* 1435085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435089 */     // MIs[0] policy
     /* 1435089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435126 */     // GIR_Coverage, 6381,
     /* 1435126 */     GIR_EraseRootFromParent_Done,
     /* 1435127 */   // Label 20202: @1435127
     /* 1435127 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1435224), // Rule ID 6382 //
     /* 1435132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435182 */     // MIs[1] Operand 1
     /* 1435182 */     // No operand predicates
     /* 1435182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435186 */     // MIs[0] policy
     /* 1435186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435223 */     // GIR_Coverage, 6382,
     /* 1435223 */     GIR_EraseRootFromParent_Done,
     /* 1435224 */   // Label 20203: @1435224
     /* 1435224 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1435321), // Rule ID 6385 //
     /* 1435229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435279 */     // MIs[1] Operand 1
     /* 1435279 */     // No operand predicates
     /* 1435279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435283 */     // MIs[0] policy
     /* 1435283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435320 */     // GIR_Coverage, 6385,
     /* 1435320 */     GIR_EraseRootFromParent_Done,
     /* 1435321 */   // Label 20204: @1435321
     /* 1435321 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1435418), // Rule ID 6386 //
     /* 1435326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435376 */     // MIs[1] Operand 1
     /* 1435376 */     // No operand predicates
     /* 1435376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435380 */     // MIs[0] policy
     /* 1435380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435417 */     // GIR_Coverage, 6386,
     /* 1435417 */     GIR_EraseRootFromParent_Done,
     /* 1435418 */   // Label 20205: @1435418
     /* 1435418 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1435515), // Rule ID 6389 //
     /* 1435423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435473 */     // MIs[1] Operand 1
     /* 1435473 */     // No operand predicates
     /* 1435473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435477 */     // MIs[0] policy
     /* 1435477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435489 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435514 */     // GIR_Coverage, 6389,
     /* 1435514 */     GIR_EraseRootFromParent_Done,
     /* 1435515 */   // Label 20206: @1435515
     /* 1435515 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1435612), // Rule ID 6390 //
     /* 1435520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435570 */     // MIs[1] Operand 1
     /* 1435570 */     // No operand predicates
     /* 1435570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435574 */     // MIs[0] policy
     /* 1435574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435611 */     // GIR_Coverage, 6390,
     /* 1435611 */     GIR_EraseRootFromParent_Done,
     /* 1435612 */   // Label 20207: @1435612
     /* 1435612 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1435709), // Rule ID 6393 //
     /* 1435617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1435628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1435631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1435634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435667 */     // MIs[1] Operand 1
     /* 1435667 */     // No operand predicates
     /* 1435667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435671 */     // MIs[0] policy
     /* 1435671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435708 */     // GIR_Coverage, 6393,
     /* 1435708 */     GIR_EraseRootFromParent_Done,
     /* 1435709 */   // Label 20208: @1435709
     /* 1435709 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1435806), // Rule ID 6394 //
     /* 1435714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1435725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1435728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1435731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435764 */     // MIs[1] Operand 1
     /* 1435764 */     // No operand predicates
     /* 1435764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435768 */     // MIs[0] policy
     /* 1435768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435805 */     // GIR_Coverage, 6394,
     /* 1435805 */     GIR_EraseRootFromParent_Done,
     /* 1435806 */   // Label 20209: @1435806
     /* 1435806 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1435903), // Rule ID 6397 //
     /* 1435811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1435822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1435825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1435828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435861 */     // MIs[1] Operand 1
     /* 1435861 */     // No operand predicates
     /* 1435861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435865 */     // MIs[0] policy
     /* 1435865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435902 */     // GIR_Coverage, 6397,
     /* 1435902 */     GIR_EraseRootFromParent_Done,
     /* 1435903 */   // Label 20210: @1435903
     /* 1435903 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1436000), // Rule ID 6398 //
     /* 1435908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1435919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1435922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1435925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435958 */     // MIs[1] Operand 1
     /* 1435958 */     // No operand predicates
     /* 1435958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435962 */     // MIs[0] policy
     /* 1435962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435999 */     // GIR_Coverage, 6398,
     /* 1435999 */     GIR_EraseRootFromParent_Done,
     /* 1436000 */   // Label 20211: @1436000
     /* 1436000 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1436097), // Rule ID 6401 //
     /* 1436005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436055 */     // MIs[1] Operand 1
     /* 1436055 */     // No operand predicates
     /* 1436055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436059 */     // MIs[0] policy
     /* 1436059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436096 */     // GIR_Coverage, 6401,
     /* 1436096 */     GIR_EraseRootFromParent_Done,
     /* 1436097 */   // Label 20212: @1436097
     /* 1436097 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1436194), // Rule ID 6402 //
     /* 1436102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436152 */     // MIs[1] Operand 1
     /* 1436152 */     // No operand predicates
     /* 1436152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436156 */     // MIs[0] policy
     /* 1436156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436168 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436193 */     // GIR_Coverage, 6402,
     /* 1436193 */     GIR_EraseRootFromParent_Done,
     /* 1436194 */   // Label 20213: @1436194
     /* 1436194 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1436291), // Rule ID 6405 //
     /* 1436199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436249 */     // MIs[1] Operand 1
     /* 1436249 */     // No operand predicates
     /* 1436249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436253 */     // MIs[0] policy
     /* 1436253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436290 */     // GIR_Coverage, 6405,
     /* 1436290 */     GIR_EraseRootFromParent_Done,
     /* 1436291 */   // Label 20214: @1436291
     /* 1436291 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1436388), // Rule ID 6406 //
     /* 1436296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436346 */     // MIs[1] Operand 1
     /* 1436346 */     // No operand predicates
     /* 1436346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436350 */     // MIs[0] policy
     /* 1436350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436387 */     // GIR_Coverage, 6406,
     /* 1436387 */     GIR_EraseRootFromParent_Done,
     /* 1436388 */   // Label 20215: @1436388
     /* 1436388 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1436485), // Rule ID 6409 //
     /* 1436393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436443 */     // MIs[1] Operand 1
     /* 1436443 */     // No operand predicates
     /* 1436443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436447 */     // MIs[0] policy
     /* 1436447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436484 */     // GIR_Coverage, 6409,
     /* 1436484 */     GIR_EraseRootFromParent_Done,
     /* 1436485 */   // Label 20216: @1436485
     /* 1436485 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1436582), // Rule ID 6410 //
     /* 1436490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436540 */     // MIs[1] Operand 1
     /* 1436540 */     // No operand predicates
     /* 1436540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436544 */     // MIs[0] policy
     /* 1436544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436581 */     // GIR_Coverage, 6410,
     /* 1436581 */     GIR_EraseRootFromParent_Done,
     /* 1436582 */   // Label 20217: @1436582
     /* 1436582 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1436679), // Rule ID 6413 //
     /* 1436587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436637 */     // MIs[1] Operand 1
     /* 1436637 */     // No operand predicates
     /* 1436637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436641 */     // MIs[0] policy
     /* 1436641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436653 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436678 */     // GIR_Coverage, 6413,
     /* 1436678 */     GIR_EraseRootFromParent_Done,
     /* 1436679 */   // Label 20218: @1436679
     /* 1436679 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1436776), // Rule ID 6414 //
     /* 1436684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436734 */     // MIs[1] Operand 1
     /* 1436734 */     // No operand predicates
     /* 1436734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436738 */     // MIs[0] policy
     /* 1436738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436775 */     // GIR_Coverage, 6414,
     /* 1436775 */     GIR_EraseRootFromParent_Done,
     /* 1436776 */   // Label 20219: @1436776
     /* 1436776 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1436873), // Rule ID 6417 //
     /* 1436781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1436792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1436795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1436798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436831 */     // MIs[1] Operand 1
     /* 1436831 */     // No operand predicates
     /* 1436831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436835 */     // MIs[0] policy
     /* 1436835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1436869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436872 */     // GIR_Coverage, 6417,
     /* 1436872 */     GIR_EraseRootFromParent_Done,
     /* 1436873 */   // Label 20220: @1436873
     /* 1436873 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1436970), // Rule ID 6418 //
     /* 1436878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1436889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1436892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1436895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436928 */     // MIs[1] Operand 1
     /* 1436928 */     // No operand predicates
     /* 1436928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436932 */     // MIs[0] policy
     /* 1436932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1436966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436969 */     // GIR_Coverage, 6418,
     /* 1436969 */     GIR_EraseRootFromParent_Done,
     /* 1436970 */   // Label 20221: @1436970
     /* 1436970 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1437067), // Rule ID 6421 //
     /* 1436975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1436986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1436989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1436992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437025 */     // MIs[1] Operand 1
     /* 1437025 */     // No operand predicates
     /* 1437025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437029 */     // MIs[0] policy
     /* 1437029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437066 */     // GIR_Coverage, 6421,
     /* 1437066 */     GIR_EraseRootFromParent_Done,
     /* 1437067 */   // Label 20222: @1437067
     /* 1437067 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1437164), // Rule ID 6422 //
     /* 1437072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437122 */     // MIs[1] Operand 1
     /* 1437122 */     // No operand predicates
     /* 1437122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437126 */     // MIs[0] policy
     /* 1437126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437163 */     // GIR_Coverage, 6422,
     /* 1437163 */     GIR_EraseRootFromParent_Done,
     /* 1437164 */   // Label 20223: @1437164
     /* 1437164 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1437261), // Rule ID 6425 //
     /* 1437169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437219 */     // MIs[1] Operand 1
     /* 1437219 */     // No operand predicates
     /* 1437219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437223 */     // MIs[0] policy
     /* 1437223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437260 */     // GIR_Coverage, 6425,
     /* 1437260 */     GIR_EraseRootFromParent_Done,
     /* 1437261 */   // Label 20224: @1437261
     /* 1437261 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1437358), // Rule ID 6426 //
     /* 1437266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437316 */     // MIs[1] Operand 1
     /* 1437316 */     // No operand predicates
     /* 1437316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437320 */     // MIs[0] policy
     /* 1437320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437357 */     // GIR_Coverage, 6426,
     /* 1437357 */     GIR_EraseRootFromParent_Done,
     /* 1437358 */   // Label 20225: @1437358
     /* 1437358 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1437455), // Rule ID 6429 //
     /* 1437363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437413 */     // MIs[1] Operand 1
     /* 1437413 */     // No operand predicates
     /* 1437413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437417 */     // MIs[0] policy
     /* 1437417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437454 */     // GIR_Coverage, 6429,
     /* 1437454 */     GIR_EraseRootFromParent_Done,
     /* 1437455 */   // Label 20226: @1437455
     /* 1437455 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1437552), // Rule ID 6430 //
     /* 1437460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437510 */     // MIs[1] Operand 1
     /* 1437510 */     // No operand predicates
     /* 1437510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437514 */     // MIs[0] policy
     /* 1437514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437551 */     // GIR_Coverage, 6430,
     /* 1437551 */     GIR_EraseRootFromParent_Done,
     /* 1437552 */   // Label 20227: @1437552
     /* 1437552 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1437649), // Rule ID 6433 //
     /* 1437557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437607 */     // MIs[1] Operand 1
     /* 1437607 */     // No operand predicates
     /* 1437607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437611 */     // MIs[0] policy
     /* 1437611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437623 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437648 */     // GIR_Coverage, 6433,
     /* 1437648 */     GIR_EraseRootFromParent_Done,
     /* 1437649 */   // Label 20228: @1437649
     /* 1437649 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1437746), // Rule ID 6434 //
     /* 1437654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437704 */     // MIs[1] Operand 1
     /* 1437704 */     // No operand predicates
     /* 1437704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437708 */     // MIs[0] policy
     /* 1437708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437745 */     // GIR_Coverage, 6434,
     /* 1437745 */     GIR_EraseRootFromParent_Done,
     /* 1437746 */   // Label 20229: @1437746
     /* 1437746 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1437843), // Rule ID 6437 //
     /* 1437751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1437762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1437765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1437768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437801 */     // MIs[1] Operand 1
     /* 1437801 */     // No operand predicates
     /* 1437801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437805 */     // MIs[0] policy
     /* 1437805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437842 */     // GIR_Coverage, 6437,
     /* 1437842 */     GIR_EraseRootFromParent_Done,
     /* 1437843 */   // Label 20230: @1437843
     /* 1437843 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1437940), // Rule ID 6438 //
     /* 1437848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1437859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1437862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1437865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437898 */     // MIs[1] Operand 1
     /* 1437898 */     // No operand predicates
     /* 1437898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437902 */     // MIs[0] policy
     /* 1437902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437939 */     // GIR_Coverage, 6438,
     /* 1437939 */     GIR_EraseRootFromParent_Done,
     /* 1437940 */   // Label 20231: @1437940
     /* 1437940 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1438037), // Rule ID 6617 //
     /* 1437945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1437956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1437959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1437962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437995 */     // MIs[1] Operand 1
     /* 1437995 */     // No operand predicates
     /* 1437995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437999 */     // MIs[0] policy
     /* 1437999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1438014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438036 */     // GIR_Coverage, 6617,
     /* 1438036 */     GIR_EraseRootFromParent_Done,
     /* 1438037 */   // Label 20232: @1438037
     /* 1438037 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1438134), // Rule ID 6618 //
     /* 1438042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438092 */     // MIs[1] Operand 1
     /* 1438092 */     // No operand predicates
     /* 1438092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438096 */     // MIs[0] policy
     /* 1438096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1438111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438133 */     // GIR_Coverage, 6618,
     /* 1438133 */     GIR_EraseRootFromParent_Done,
     /* 1438134 */   // Label 20233: @1438134
     /* 1438134 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1438231), // Rule ID 6621 //
     /* 1438139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438189 */     // MIs[1] Operand 1
     /* 1438189 */     // No operand predicates
     /* 1438189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438193 */     // MIs[0] policy
     /* 1438193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438205 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438230 */     // GIR_Coverage, 6621,
     /* 1438230 */     GIR_EraseRootFromParent_Done,
     /* 1438231 */   // Label 20234: @1438231
     /* 1438231 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1438328), // Rule ID 6622 //
     /* 1438236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438286 */     // MIs[1] Operand 1
     /* 1438286 */     // No operand predicates
     /* 1438286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438290 */     // MIs[0] policy
     /* 1438290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438327 */     // GIR_Coverage, 6622,
     /* 1438327 */     GIR_EraseRootFromParent_Done,
     /* 1438328 */   // Label 20235: @1438328
     /* 1438328 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1438425), // Rule ID 6625 //
     /* 1438333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438383 */     // MIs[1] Operand 1
     /* 1438383 */     // No operand predicates
     /* 1438383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438387 */     // MIs[0] policy
     /* 1438387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438399 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438424 */     // GIR_Coverage, 6625,
     /* 1438424 */     GIR_EraseRootFromParent_Done,
     /* 1438425 */   // Label 20236: @1438425
     /* 1438425 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1438522), // Rule ID 6626 //
     /* 1438430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438480 */     // MIs[1] Operand 1
     /* 1438480 */     // No operand predicates
     /* 1438480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438484 */     // MIs[0] policy
     /* 1438484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438521 */     // GIR_Coverage, 6626,
     /* 1438521 */     GIR_EraseRootFromParent_Done,
     /* 1438522 */   // Label 20237: @1438522
     /* 1438522 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1438619), // Rule ID 6629 //
     /* 1438527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438577 */     // MIs[1] Operand 1
     /* 1438577 */     // No operand predicates
     /* 1438577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438581 */     // MIs[0] policy
     /* 1438581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438618 */     // GIR_Coverage, 6629,
     /* 1438618 */     GIR_EraseRootFromParent_Done,
     /* 1438619 */   // Label 20238: @1438619
     /* 1438619 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1438716), // Rule ID 6630 //
     /* 1438624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438674 */     // MIs[1] Operand 1
     /* 1438674 */     // No operand predicates
     /* 1438674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438678 */     // MIs[0] policy
     /* 1438678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438715 */     // GIR_Coverage, 6630,
     /* 1438715 */     GIR_EraseRootFromParent_Done,
     /* 1438716 */   // Label 20239: @1438716
     /* 1438716 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1438813), // Rule ID 6633 //
     /* 1438721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1438732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1438735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1438738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438771 */     // MIs[1] Operand 1
     /* 1438771 */     // No operand predicates
     /* 1438771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438775 */     // MIs[0] policy
     /* 1438775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438787 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438812 */     // GIR_Coverage, 6633,
     /* 1438812 */     GIR_EraseRootFromParent_Done,
     /* 1438813 */   // Label 20240: @1438813
     /* 1438813 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1438910), // Rule ID 6634 //
     /* 1438818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1438829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1438832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1438835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438868 */     // MIs[1] Operand 1
     /* 1438868 */     // No operand predicates
     /* 1438868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438872 */     // MIs[0] policy
     /* 1438872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438909 */     // GIR_Coverage, 6634,
     /* 1438909 */     GIR_EraseRootFromParent_Done,
     /* 1438910 */   // Label 20241: @1438910
     /* 1438910 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1439007), // Rule ID 6637 //
     /* 1438915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1438926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1438929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1438932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438965 */     // MIs[1] Operand 1
     /* 1438965 */     // No operand predicates
     /* 1438965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438969 */     // MIs[0] policy
     /* 1438969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438981 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439006 */     // GIR_Coverage, 6637,
     /* 1439006 */     GIR_EraseRootFromParent_Done,
     /* 1439007 */   // Label 20242: @1439007
     /* 1439007 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1439104), // Rule ID 6638 //
     /* 1439012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439062 */     // MIs[1] Operand 1
     /* 1439062 */     // No operand predicates
     /* 1439062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439066 */     // MIs[0] policy
     /* 1439066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439103 */     // GIR_Coverage, 6638,
     /* 1439103 */     GIR_EraseRootFromParent_Done,
     /* 1439104 */   // Label 20243: @1439104
     /* 1439104 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1439201), // Rule ID 6641 //
     /* 1439109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439159 */     // MIs[1] Operand 1
     /* 1439159 */     // No operand predicates
     /* 1439159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439163 */     // MIs[0] policy
     /* 1439163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439175 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439200 */     // GIR_Coverage, 6641,
     /* 1439200 */     GIR_EraseRootFromParent_Done,
     /* 1439201 */   // Label 20244: @1439201
     /* 1439201 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1439298), // Rule ID 6642 //
     /* 1439206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439256 */     // MIs[1] Operand 1
     /* 1439256 */     // No operand predicates
     /* 1439256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439260 */     // MIs[0] policy
     /* 1439260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439297 */     // GIR_Coverage, 6642,
     /* 1439297 */     GIR_EraseRootFromParent_Done,
     /* 1439298 */   // Label 20245: @1439298
     /* 1439298 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1439395), // Rule ID 6645 //
     /* 1439303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439353 */     // MIs[1] Operand 1
     /* 1439353 */     // No operand predicates
     /* 1439353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439357 */     // MIs[0] policy
     /* 1439357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439394 */     // GIR_Coverage, 6645,
     /* 1439394 */     GIR_EraseRootFromParent_Done,
     /* 1439395 */   // Label 20246: @1439395
     /* 1439395 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1439492), // Rule ID 6646 //
     /* 1439400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439450 */     // MIs[1] Operand 1
     /* 1439450 */     // No operand predicates
     /* 1439450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439454 */     // MIs[0] policy
     /* 1439454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439491 */     // GIR_Coverage, 6646,
     /* 1439491 */     GIR_EraseRootFromParent_Done,
     /* 1439492 */   // Label 20247: @1439492
     /* 1439492 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1439589), // Rule ID 6649 //
     /* 1439497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439547 */     // MIs[1] Operand 1
     /* 1439547 */     // No operand predicates
     /* 1439547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439551 */     // MIs[0] policy
     /* 1439551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439588 */     // GIR_Coverage, 6649,
     /* 1439588 */     GIR_EraseRootFromParent_Done,
     /* 1439589 */   // Label 20248: @1439589
     /* 1439589 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1439686), // Rule ID 6650 //
     /* 1439594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439644 */     // MIs[1] Operand 1
     /* 1439644 */     // No operand predicates
     /* 1439644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439648 */     // MIs[0] policy
     /* 1439648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439685 */     // GIR_Coverage, 6650,
     /* 1439685 */     GIR_EraseRootFromParent_Done,
     /* 1439686 */   // Label 20249: @1439686
     /* 1439686 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1439783), // Rule ID 6653 //
     /* 1439691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1439694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1439702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1439705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1439708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439741 */     // MIs[1] Operand 1
     /* 1439741 */     // No operand predicates
     /* 1439741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439745 */     // MIs[0] policy
     /* 1439745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439757 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1439779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439782 */     // GIR_Coverage, 6653,
     /* 1439782 */     GIR_EraseRootFromParent_Done,
     /* 1439783 */   // Label 20250: @1439783
     /* 1439783 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1439880), // Rule ID 6654 //
     /* 1439788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1439791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1439799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1439802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1439805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439838 */     // MIs[1] Operand 1
     /* 1439838 */     // No operand predicates
     /* 1439838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439842 */     // MIs[0] policy
     /* 1439842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439854 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1439876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439879 */     // GIR_Coverage, 6654,
     /* 1439879 */     GIR_EraseRootFromParent_Done,
     /* 1439880 */   // Label 20251: @1439880
     /* 1439880 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1439977), // Rule ID 6657 //
     /* 1439885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1439896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1439899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1439902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439935 */     // MIs[1] Operand 1
     /* 1439935 */     // No operand predicates
     /* 1439935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439939 */     // MIs[0] policy
     /* 1439939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1439954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439976 */     // GIR_Coverage, 6657,
     /* 1439976 */     GIR_EraseRootFromParent_Done,
     /* 1439977 */   // Label 20252: @1439977
     /* 1439977 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1440074), // Rule ID 6658 //
     /* 1439982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1439993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1439996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1439999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440032 */     // MIs[1] Operand 1
     /* 1440032 */     // No operand predicates
     /* 1440032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440036 */     // MIs[0] policy
     /* 1440036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440073 */     // GIR_Coverage, 6658,
     /* 1440073 */     GIR_EraseRootFromParent_Done,
     /* 1440074 */   // Label 20253: @1440074
     /* 1440074 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1440171), // Rule ID 6661 //
     /* 1440079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440129 */     // MIs[1] Operand 1
     /* 1440129 */     // No operand predicates
     /* 1440129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440133 */     // MIs[0] policy
     /* 1440133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440145 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440170 */     // GIR_Coverage, 6661,
     /* 1440170 */     GIR_EraseRootFromParent_Done,
     /* 1440171 */   // Label 20254: @1440171
     /* 1440171 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1440268), // Rule ID 6662 //
     /* 1440176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440226 */     // MIs[1] Operand 1
     /* 1440226 */     // No operand predicates
     /* 1440226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440230 */     // MIs[0] policy
     /* 1440230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440267 */     // GIR_Coverage, 6662,
     /* 1440267 */     GIR_EraseRootFromParent_Done,
     /* 1440268 */   // Label 20255: @1440268
     /* 1440268 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1440365), // Rule ID 6665 //
     /* 1440273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440323 */     // MIs[1] Operand 1
     /* 1440323 */     // No operand predicates
     /* 1440323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440327 */     // MIs[0] policy
     /* 1440327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440339 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440364 */     // GIR_Coverage, 6665,
     /* 1440364 */     GIR_EraseRootFromParent_Done,
     /* 1440365 */   // Label 20256: @1440365
     /* 1440365 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1440462), // Rule ID 6666 //
     /* 1440370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440420 */     // MIs[1] Operand 1
     /* 1440420 */     // No operand predicates
     /* 1440420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440424 */     // MIs[0] policy
     /* 1440424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440461 */     // GIR_Coverage, 6666,
     /* 1440461 */     GIR_EraseRootFromParent_Done,
     /* 1440462 */   // Label 20257: @1440462
     /* 1440462 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1440559), // Rule ID 6669 //
     /* 1440467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440517 */     // MIs[1] Operand 1
     /* 1440517 */     // No operand predicates
     /* 1440517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440521 */     // MIs[0] policy
     /* 1440521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440558 */     // GIR_Coverage, 6669,
     /* 1440558 */     GIR_EraseRootFromParent_Done,
     /* 1440559 */   // Label 20258: @1440559
     /* 1440559 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1440656), // Rule ID 6670 //
     /* 1440564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440614 */     // MIs[1] Operand 1
     /* 1440614 */     // No operand predicates
     /* 1440614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440618 */     // MIs[0] policy
     /* 1440618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440630 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440655 */     // GIR_Coverage, 6670,
     /* 1440655 */     GIR_EraseRootFromParent_Done,
     /* 1440656 */   // Label 20259: @1440656
     /* 1440656 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1440753), // Rule ID 6673 //
     /* 1440661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1440672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1440675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1440678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440711 */     // MIs[1] Operand 1
     /* 1440711 */     // No operand predicates
     /* 1440711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440715 */     // MIs[0] policy
     /* 1440715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440752 */     // GIR_Coverage, 6673,
     /* 1440752 */     GIR_EraseRootFromParent_Done,
     /* 1440753 */   // Label 20260: @1440753
     /* 1440753 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1440850), // Rule ID 6674 //
     /* 1440758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1440769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1440772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1440775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440808 */     // MIs[1] Operand 1
     /* 1440808 */     // No operand predicates
     /* 1440808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440812 */     // MIs[0] policy
     /* 1440812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440849 */     // GIR_Coverage, 6674,
     /* 1440849 */     GIR_EraseRootFromParent_Done,
     /* 1440850 */   // Label 20261: @1440850
     /* 1440850 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1440947), // Rule ID 6677 //
     /* 1440855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1440866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1440869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1440872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440905 */     // MIs[1] Operand 1
     /* 1440905 */     // No operand predicates
     /* 1440905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440909 */     // MIs[0] policy
     /* 1440909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440946 */     // GIR_Coverage, 6677,
     /* 1440946 */     GIR_EraseRootFromParent_Done,
     /* 1440947 */   // Label 20262: @1440947
     /* 1440947 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1441044), // Rule ID 6678 //
     /* 1440952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1440963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1440966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1440969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441002 */     // MIs[1] Operand 1
     /* 1441002 */     // No operand predicates
     /* 1441002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441006 */     // MIs[0] policy
     /* 1441006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441043 */     // GIR_Coverage, 6678,
     /* 1441043 */     GIR_EraseRootFromParent_Done,
     /* 1441044 */   // Label 20263: @1441044
     /* 1441044 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1441141), // Rule ID 6681 //
     /* 1441049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441099 */     // MIs[1] Operand 1
     /* 1441099 */     // No operand predicates
     /* 1441099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441103 */     // MIs[0] policy
     /* 1441103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441140 */     // GIR_Coverage, 6681,
     /* 1441140 */     GIR_EraseRootFromParent_Done,
     /* 1441141 */   // Label 20264: @1441141
     /* 1441141 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1441238), // Rule ID 6682 //
     /* 1441146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441196 */     // MIs[1] Operand 1
     /* 1441196 */     // No operand predicates
     /* 1441196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441200 */     // MIs[0] policy
     /* 1441200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441237 */     // GIR_Coverage, 6682,
     /* 1441237 */     GIR_EraseRootFromParent_Done,
     /* 1441238 */   // Label 20265: @1441238
     /* 1441238 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1441335), // Rule ID 6685 //
     /* 1441243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441293 */     // MIs[1] Operand 1
     /* 1441293 */     // No operand predicates
     /* 1441293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441297 */     // MIs[0] policy
     /* 1441297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441334 */     // GIR_Coverage, 6685,
     /* 1441334 */     GIR_EraseRootFromParent_Done,
     /* 1441335 */   // Label 20266: @1441335
     /* 1441335 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1441432), // Rule ID 6686 //
     /* 1441340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441390 */     // MIs[1] Operand 1
     /* 1441390 */     // No operand predicates
     /* 1441390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441394 */     // MIs[0] policy
     /* 1441394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441431 */     // GIR_Coverage, 6686,
     /* 1441431 */     GIR_EraseRootFromParent_Done,
     /* 1441432 */   // Label 20267: @1441432
     /* 1441432 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1441529), // Rule ID 6689 //
     /* 1441437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441487 */     // MIs[1] Operand 1
     /* 1441487 */     // No operand predicates
     /* 1441487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441491 */     // MIs[0] policy
     /* 1441491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441528 */     // GIR_Coverage, 6689,
     /* 1441528 */     GIR_EraseRootFromParent_Done,
     /* 1441529 */   // Label 20268: @1441529
     /* 1441529 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1441626), // Rule ID 6690 //
     /* 1441534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441584 */     // MIs[1] Operand 1
     /* 1441584 */     // No operand predicates
     /* 1441584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441588 */     // MIs[0] policy
     /* 1441588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441625 */     // GIR_Coverage, 6690,
     /* 1441625 */     GIR_EraseRootFromParent_Done,
     /* 1441626 */   // Label 20269: @1441626
     /* 1441626 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1441723), // Rule ID 6693 //
     /* 1441631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1441648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441681 */     // MIs[1] Operand 1
     /* 1441681 */     // No operand predicates
     /* 1441681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441685 */     // MIs[0] policy
     /* 1441685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441722 */     // GIR_Coverage, 6693,
     /* 1441722 */     GIR_EraseRootFromParent_Done,
     /* 1441723 */   // Label 20270: @1441723
     /* 1441723 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1441820), // Rule ID 6694 //
     /* 1441728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1441731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1441745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441778 */     // MIs[1] Operand 1
     /* 1441778 */     // No operand predicates
     /* 1441778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441782 */     // MIs[0] policy
     /* 1441782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441819 */     // GIR_Coverage, 6694,
     /* 1441819 */     GIR_EraseRootFromParent_Done,
     /* 1441820 */   // Label 20271: @1441820
     /* 1441820 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1441917), // Rule ID 6697 //
     /* 1441825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1441842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441875 */     // MIs[1] Operand 1
     /* 1441875 */     // No operand predicates
     /* 1441875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441879 */     // MIs[0] policy
     /* 1441879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441916 */     // GIR_Coverage, 6697,
     /* 1441916 */     GIR_EraseRootFromParent_Done,
     /* 1441917 */   // Label 20272: @1441917
     /* 1441917 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1442014), // Rule ID 6698 //
     /* 1441922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1441925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1441939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441972 */     // MIs[1] Operand 1
     /* 1441972 */     // No operand predicates
     /* 1441972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441976 */     // MIs[0] policy
     /* 1441976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442013 */     // GIR_Coverage, 6698,
     /* 1442013 */     GIR_EraseRootFromParent_Done,
     /* 1442014 */   // Label 20273: @1442014
     /* 1442014 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1442111), // Rule ID 6701 //
     /* 1442019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442069 */     // MIs[1] Operand 1
     /* 1442069 */     // No operand predicates
     /* 1442069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442073 */     // MIs[0] policy
     /* 1442073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442110 */     // GIR_Coverage, 6701,
     /* 1442110 */     GIR_EraseRootFromParent_Done,
     /* 1442111 */   // Label 20274: @1442111
     /* 1442111 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1442208), // Rule ID 6702 //
     /* 1442116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442166 */     // MIs[1] Operand 1
     /* 1442166 */     // No operand predicates
     /* 1442166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442170 */     // MIs[0] policy
     /* 1442170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442207 */     // GIR_Coverage, 6702,
     /* 1442207 */     GIR_EraseRootFromParent_Done,
     /* 1442208 */   // Label 20275: @1442208
     /* 1442208 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1442305), // Rule ID 6881 //
     /* 1442213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442263 */     // MIs[1] Operand 1
     /* 1442263 */     // No operand predicates
     /* 1442263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442267 */     // MIs[0] policy
     /* 1442267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442279 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442304 */     // GIR_Coverage, 6881,
     /* 1442304 */     GIR_EraseRootFromParent_Done,
     /* 1442305 */   // Label 20276: @1442305
     /* 1442305 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1442402), // Rule ID 6882 //
     /* 1442310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442360 */     // MIs[1] Operand 1
     /* 1442360 */     // No operand predicates
     /* 1442360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442364 */     // MIs[0] policy
     /* 1442364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442401 */     // GIR_Coverage, 6882,
     /* 1442401 */     GIR_EraseRootFromParent_Done,
     /* 1442402 */   // Label 20277: @1442402
     /* 1442402 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1442499), // Rule ID 6885 //
     /* 1442407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442457 */     // MIs[1] Operand 1
     /* 1442457 */     // No operand predicates
     /* 1442457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442461 */     // MIs[0] policy
     /* 1442461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442473 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442498 */     // GIR_Coverage, 6885,
     /* 1442498 */     GIR_EraseRootFromParent_Done,
     /* 1442499 */   // Label 20278: @1442499
     /* 1442499 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1442596), // Rule ID 6886 //
     /* 1442504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442554 */     // MIs[1] Operand 1
     /* 1442554 */     // No operand predicates
     /* 1442554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442558 */     // MIs[0] policy
     /* 1442558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442570 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442595 */     // GIR_Coverage, 6886,
     /* 1442595 */     GIR_EraseRootFromParent_Done,
     /* 1442596 */   // Label 20279: @1442596
     /* 1442596 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1442693), // Rule ID 6889 //
     /* 1442601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442651 */     // MIs[1] Operand 1
     /* 1442651 */     // No operand predicates
     /* 1442651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442655 */     // MIs[0] policy
     /* 1442655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1442670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442692 */     // GIR_Coverage, 6889,
     /* 1442692 */     GIR_EraseRootFromParent_Done,
     /* 1442693 */   // Label 20280: @1442693
     /* 1442693 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1442790), // Rule ID 6890 //
     /* 1442698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442748 */     // MIs[1] Operand 1
     /* 1442748 */     // No operand predicates
     /* 1442748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442752 */     // MIs[0] policy
     /* 1442752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1442767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442789 */     // GIR_Coverage, 6890,
     /* 1442789 */     GIR_EraseRootFromParent_Done,
     /* 1442790 */   // Label 20281: @1442790
     /* 1442790 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1442887), // Rule ID 6893 //
     /* 1442795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1442806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1442809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1442812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442845 */     // MIs[1] Operand 1
     /* 1442845 */     // No operand predicates
     /* 1442845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442849 */     // MIs[0] policy
     /* 1442849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442886 */     // GIR_Coverage, 6893,
     /* 1442886 */     GIR_EraseRootFromParent_Done,
     /* 1442887 */   // Label 20282: @1442887
     /* 1442887 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1442984), // Rule ID 6894 //
     /* 1442892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1442903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1442906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1442909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442942 */     // MIs[1] Operand 1
     /* 1442942 */     // No operand predicates
     /* 1442942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442946 */     // MIs[0] policy
     /* 1442946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442983 */     // GIR_Coverage, 6894,
     /* 1442983 */     GIR_EraseRootFromParent_Done,
     /* 1442984 */   // Label 20283: @1442984
     /* 1442984 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1443081), // Rule ID 6897 //
     /* 1442989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443039 */     // MIs[1] Operand 1
     /* 1443039 */     // No operand predicates
     /* 1443039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443043 */     // MIs[0] policy
     /* 1443043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443080 */     // GIR_Coverage, 6897,
     /* 1443080 */     GIR_EraseRootFromParent_Done,
     /* 1443081 */   // Label 20284: @1443081
     /* 1443081 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1443178), // Rule ID 6898 //
     /* 1443086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443136 */     // MIs[1] Operand 1
     /* 1443136 */     // No operand predicates
     /* 1443136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443140 */     // MIs[0] policy
     /* 1443140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443177 */     // GIR_Coverage, 6898,
     /* 1443177 */     GIR_EraseRootFromParent_Done,
     /* 1443178 */   // Label 20285: @1443178
     /* 1443178 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1443275), // Rule ID 6901 //
     /* 1443183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443233 */     // MIs[1] Operand 1
     /* 1443233 */     // No operand predicates
     /* 1443233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443237 */     // MIs[0] policy
     /* 1443237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443249 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443274 */     // GIR_Coverage, 6901,
     /* 1443274 */     GIR_EraseRootFromParent_Done,
     /* 1443275 */   // Label 20286: @1443275
     /* 1443275 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1443372), // Rule ID 6902 //
     /* 1443280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443330 */     // MIs[1] Operand 1
     /* 1443330 */     // No operand predicates
     /* 1443330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443334 */     // MIs[0] policy
     /* 1443334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443371 */     // GIR_Coverage, 6902,
     /* 1443371 */     GIR_EraseRootFromParent_Done,
     /* 1443372 */   // Label 20287: @1443372
     /* 1443372 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1443469), // Rule ID 6905 //
     /* 1443377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443427 */     // MIs[1] Operand 1
     /* 1443427 */     // No operand predicates
     /* 1443427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443431 */     // MIs[0] policy
     /* 1443431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443443 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443468 */     // GIR_Coverage, 6905,
     /* 1443468 */     GIR_EraseRootFromParent_Done,
     /* 1443469 */   // Label 20288: @1443469
     /* 1443469 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1443566), // Rule ID 6906 //
     /* 1443474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443524 */     // MIs[1] Operand 1
     /* 1443524 */     // No operand predicates
     /* 1443524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443528 */     // MIs[0] policy
     /* 1443528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443565 */     // GIR_Coverage, 6906,
     /* 1443565 */     GIR_EraseRootFromParent_Done,
     /* 1443566 */   // Label 20289: @1443566
     /* 1443566 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1443663), // Rule ID 6909 //
     /* 1443571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443621 */     // MIs[1] Operand 1
     /* 1443621 */     // No operand predicates
     /* 1443621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443625 */     // MIs[0] policy
     /* 1443625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443637 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443662 */     // GIR_Coverage, 6909,
     /* 1443662 */     GIR_EraseRootFromParent_Done,
     /* 1443663 */   // Label 20290: @1443663
     /* 1443663 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1443760), // Rule ID 6910 //
     /* 1443668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443718 */     // MIs[1] Operand 1
     /* 1443718 */     // No operand predicates
     /* 1443718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443722 */     // MIs[0] policy
     /* 1443722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443759 */     // GIR_Coverage, 6910,
     /* 1443759 */     GIR_EraseRootFromParent_Done,
     /* 1443760 */   // Label 20291: @1443760
     /* 1443760 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1443857), // Rule ID 6913 //
     /* 1443765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1443782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443815 */     // MIs[1] Operand 1
     /* 1443815 */     // No operand predicates
     /* 1443815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443819 */     // MIs[0] policy
     /* 1443819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443856 */     // GIR_Coverage, 6913,
     /* 1443856 */     GIR_EraseRootFromParent_Done,
     /* 1443857 */   // Label 20292: @1443857
     /* 1443857 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1443954), // Rule ID 6914 //
     /* 1443862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1443879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443912 */     // MIs[1] Operand 1
     /* 1443912 */     // No operand predicates
     /* 1443912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443916 */     // MIs[0] policy
     /* 1443916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443953 */     // GIR_Coverage, 6914,
     /* 1443953 */     GIR_EraseRootFromParent_Done,
     /* 1443954 */   // Label 20293: @1443954
     /* 1443954 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1444051), // Rule ID 6917 //
     /* 1443959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1443962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1443970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1443973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1443976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444009 */     // MIs[1] Operand 1
     /* 1444009 */     // No operand predicates
     /* 1444009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444013 */     // MIs[0] policy
     /* 1444013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444025 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444050 */     // GIR_Coverage, 6917,
     /* 1444050 */     GIR_EraseRootFromParent_Done,
     /* 1444051 */   // Label 20294: @1444051
     /* 1444051 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1444148), // Rule ID 6918 //
     /* 1444056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444106 */     // MIs[1] Operand 1
     /* 1444106 */     // No operand predicates
     /* 1444106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444110 */     // MIs[0] policy
     /* 1444110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444147 */     // GIR_Coverage, 6918,
     /* 1444147 */     GIR_EraseRootFromParent_Done,
     /* 1444148 */   // Label 20295: @1444148
     /* 1444148 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1444245), // Rule ID 6921 //
     /* 1444153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444203 */     // MIs[1] Operand 1
     /* 1444203 */     // No operand predicates
     /* 1444203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444207 */     // MIs[0] policy
     /* 1444207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444219 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444244 */     // GIR_Coverage, 6921,
     /* 1444244 */     GIR_EraseRootFromParent_Done,
     /* 1444245 */   // Label 20296: @1444245
     /* 1444245 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1444342), // Rule ID 6922 //
     /* 1444250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444300 */     // MIs[1] Operand 1
     /* 1444300 */     // No operand predicates
     /* 1444300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444304 */     // MIs[0] policy
     /* 1444304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444316 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444341 */     // GIR_Coverage, 6922,
     /* 1444341 */     GIR_EraseRootFromParent_Done,
     /* 1444342 */   // Label 20297: @1444342
     /* 1444342 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1444439), // Rule ID 6925 //
     /* 1444347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444397 */     // MIs[1] Operand 1
     /* 1444397 */     // No operand predicates
     /* 1444397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444401 */     // MIs[0] policy
     /* 1444401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444413 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444438 */     // GIR_Coverage, 6925,
     /* 1444438 */     GIR_EraseRootFromParent_Done,
     /* 1444439 */   // Label 20298: @1444439
     /* 1444439 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1444536), // Rule ID 6926 //
     /* 1444444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444494 */     // MIs[1] Operand 1
     /* 1444494 */     // No operand predicates
     /* 1444494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444498 */     // MIs[0] policy
     /* 1444498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444535 */     // GIR_Coverage, 6926,
     /* 1444535 */     GIR_EraseRootFromParent_Done,
     /* 1444536 */   // Label 20299: @1444536
     /* 1444536 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1444633), // Rule ID 6929 //
     /* 1444541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444591 */     // MIs[1] Operand 1
     /* 1444591 */     // No operand predicates
     /* 1444591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444595 */     // MIs[0] policy
     /* 1444595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444607 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444632 */     // GIR_Coverage, 6929,
     /* 1444632 */     GIR_EraseRootFromParent_Done,
     /* 1444633 */   // Label 20300: @1444633
     /* 1444633 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1444730), // Rule ID 6930 //
     /* 1444638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444688 */     // MIs[1] Operand 1
     /* 1444688 */     // No operand predicates
     /* 1444688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444692 */     // MIs[0] policy
     /* 1444692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444729 */     // GIR_Coverage, 6930,
     /* 1444729 */     GIR_EraseRootFromParent_Done,
     /* 1444730 */   // Label 20301: @1444730
     /* 1444730 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1444827), // Rule ID 6933 //
     /* 1444735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1444746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1444749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1444752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444785 */     // MIs[1] Operand 1
     /* 1444785 */     // No operand predicates
     /* 1444785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444789 */     // MIs[0] policy
     /* 1444789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444826 */     // GIR_Coverage, 6933,
     /* 1444826 */     GIR_EraseRootFromParent_Done,
     /* 1444827 */   // Label 20302: @1444827
     /* 1444827 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1444924), // Rule ID 6934 //
     /* 1444832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1444843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1444846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1444849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444882 */     // MIs[1] Operand 1
     /* 1444882 */     // No operand predicates
     /* 1444882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444886 */     // MIs[0] policy
     /* 1444886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444923 */     // GIR_Coverage, 6934,
     /* 1444923 */     GIR_EraseRootFromParent_Done,
     /* 1444924 */   // Label 20303: @1444924
     /* 1444924 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1445021), // Rule ID 6937 //
     /* 1444929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1444940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1444943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1444946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444979 */     // MIs[1] Operand 1
     /* 1444979 */     // No operand predicates
     /* 1444979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444983 */     // MIs[0] policy
     /* 1444983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445020 */     // GIR_Coverage, 6937,
     /* 1445020 */     GIR_EraseRootFromParent_Done,
     /* 1445021 */   // Label 20304: @1445021
     /* 1445021 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1445118), // Rule ID 6938 //
     /* 1445026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445076 */     // MIs[1] Operand 1
     /* 1445076 */     // No operand predicates
     /* 1445076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445080 */     // MIs[0] policy
     /* 1445080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445117 */     // GIR_Coverage, 6938,
     /* 1445117 */     GIR_EraseRootFromParent_Done,
     /* 1445118 */   // Label 20305: @1445118
     /* 1445118 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1445215), // Rule ID 6941 //
     /* 1445123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445173 */     // MIs[1] Operand 1
     /* 1445173 */     // No operand predicates
     /* 1445173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445177 */     // MIs[0] policy
     /* 1445177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445189 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445214 */     // GIR_Coverage, 6941,
     /* 1445214 */     GIR_EraseRootFromParent_Done,
     /* 1445215 */   // Label 20306: @1445215
     /* 1445215 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1445312), // Rule ID 6942 //
     /* 1445220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445270 */     // MIs[1] Operand 1
     /* 1445270 */     // No operand predicates
     /* 1445270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445274 */     // MIs[0] policy
     /* 1445274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445311 */     // GIR_Coverage, 6942,
     /* 1445311 */     GIR_EraseRootFromParent_Done,
     /* 1445312 */   // Label 20307: @1445312
     /* 1445312 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1445409), // Rule ID 6945 //
     /* 1445317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445367 */     // MIs[1] Operand 1
     /* 1445367 */     // No operand predicates
     /* 1445367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445371 */     // MIs[0] policy
     /* 1445371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445408 */     // GIR_Coverage, 6945,
     /* 1445408 */     GIR_EraseRootFromParent_Done,
     /* 1445409 */   // Label 20308: @1445409
     /* 1445409 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1445506), // Rule ID 6946 //
     /* 1445414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445464 */     // MIs[1] Operand 1
     /* 1445464 */     // No operand predicates
     /* 1445464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445468 */     // MIs[0] policy
     /* 1445468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445505 */     // GIR_Coverage, 6946,
     /* 1445505 */     GIR_EraseRootFromParent_Done,
     /* 1445506 */   // Label 20309: @1445506
     /* 1445506 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1445603), // Rule ID 6949 //
     /* 1445511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445561 */     // MIs[1] Operand 1
     /* 1445561 */     // No operand predicates
     /* 1445561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445565 */     // MIs[0] policy
     /* 1445565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445577 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445602 */     // GIR_Coverage, 6949,
     /* 1445602 */     GIR_EraseRootFromParent_Done,
     /* 1445603 */   // Label 20310: @1445603
     /* 1445603 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1445700), // Rule ID 6950 //
     /* 1445608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445658 */     // MIs[1] Operand 1
     /* 1445658 */     // No operand predicates
     /* 1445658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445662 */     // MIs[0] policy
     /* 1445662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445699 */     // GIR_Coverage, 6950,
     /* 1445699 */     GIR_EraseRootFromParent_Done,
     /* 1445700 */   // Label 20311: @1445700
     /* 1445700 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1445797), // Rule ID 6953 //
     /* 1445705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1445722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445755 */     // MIs[1] Operand 1
     /* 1445755 */     // No operand predicates
     /* 1445755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445759 */     // MIs[0] policy
     /* 1445759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445796 */     // GIR_Coverage, 6953,
     /* 1445796 */     GIR_EraseRootFromParent_Done,
     /* 1445797 */   // Label 20312: @1445797
     /* 1445797 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1445894), // Rule ID 6954 //
     /* 1445802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1445819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445852 */     // MIs[1] Operand 1
     /* 1445852 */     // No operand predicates
     /* 1445852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445856 */     // MIs[0] policy
     /* 1445856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445893 */     // GIR_Coverage, 6954,
     /* 1445893 */     GIR_EraseRootFromParent_Done,
     /* 1445894 */   // Label 20313: @1445894
     /* 1445894 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1445991), // Rule ID 6957 //
     /* 1445899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1445902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1445910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1445913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1445916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445949 */     // MIs[1] Operand 1
     /* 1445949 */     // No operand predicates
     /* 1445949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445953 */     // MIs[0] policy
     /* 1445953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445965 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1445987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445990 */     // GIR_Coverage, 6957,
     /* 1445990 */     GIR_EraseRootFromParent_Done,
     /* 1445991 */   // Label 20314: @1445991
     /* 1445991 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1446088), // Rule ID 6958 //
     /* 1445996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1445999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446046 */     // MIs[1] Operand 1
     /* 1446046 */     // No operand predicates
     /* 1446046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446050 */     // MIs[0] policy
     /* 1446050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1446065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446087 */     // GIR_Coverage, 6958,
     /* 1446087 */     GIR_EraseRootFromParent_Done,
     /* 1446088 */   // Label 20315: @1446088
     /* 1446088 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1446185), // Rule ID 6961 //
     /* 1446093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446143 */     // MIs[1] Operand 1
     /* 1446143 */     // No operand predicates
     /* 1446143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446147 */     // MIs[0] policy
     /* 1446147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446184 */     // GIR_Coverage, 6961,
     /* 1446184 */     GIR_EraseRootFromParent_Done,
     /* 1446185 */   // Label 20316: @1446185
     /* 1446185 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1446282), // Rule ID 6962 //
     /* 1446190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446240 */     // MIs[1] Operand 1
     /* 1446240 */     // No operand predicates
     /* 1446240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446244 */     // MIs[0] policy
     /* 1446244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446281 */     // GIR_Coverage, 6962,
     /* 1446281 */     GIR_EraseRootFromParent_Done,
     /* 1446282 */   // Label 20317: @1446282
     /* 1446282 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1446379), // Rule ID 6965 //
     /* 1446287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446337 */     // MIs[1] Operand 1
     /* 1446337 */     // No operand predicates
     /* 1446337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446341 */     // MIs[0] policy
     /* 1446341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446378 */     // GIR_Coverage, 6965,
     /* 1446378 */     GIR_EraseRootFromParent_Done,
     /* 1446379 */   // Label 20318: @1446379
     /* 1446379 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1446476), // Rule ID 6966 //
     /* 1446384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446434 */     // MIs[1] Operand 1
     /* 1446434 */     // No operand predicates
     /* 1446434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446438 */     // MIs[0] policy
     /* 1446438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446450 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446475 */     // GIR_Coverage, 6966,
     /* 1446475 */     GIR_EraseRootFromParent_Done,
     /* 1446476 */   // Label 20319: @1446476
     /* 1446476 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1446573), // Rule ID 7145 //
     /* 1446481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446531 */     // MIs[1] Operand 1
     /* 1446531 */     // No operand predicates
     /* 1446531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446535 */     // MIs[0] policy
     /* 1446535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1446550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446572 */     // GIR_Coverage, 7145,
     /* 1446572 */     GIR_EraseRootFromParent_Done,
     /* 1446573 */   // Label 20320: @1446573
     /* 1446573 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1446670), // Rule ID 7146 //
     /* 1446578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446628 */     // MIs[1] Operand 1
     /* 1446628 */     // No operand predicates
     /* 1446628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446632 */     // MIs[0] policy
     /* 1446632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446644 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1446647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446669 */     // GIR_Coverage, 7146,
     /* 1446669 */     GIR_EraseRootFromParent_Done,
     /* 1446670 */   // Label 20321: @1446670
     /* 1446670 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1446767), // Rule ID 7149 //
     /* 1446675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1446686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1446689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1446692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446725 */     // MIs[1] Operand 1
     /* 1446725 */     // No operand predicates
     /* 1446725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446729 */     // MIs[0] policy
     /* 1446729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446741 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1446744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446766 */     // GIR_Coverage, 7149,
     /* 1446766 */     GIR_EraseRootFromParent_Done,
     /* 1446767 */   // Label 20322: @1446767
     /* 1446767 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1446864), // Rule ID 7150 //
     /* 1446772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1446783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1446786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1446789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446822 */     // MIs[1] Operand 1
     /* 1446822 */     // No operand predicates
     /* 1446822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446826 */     // MIs[0] policy
     /* 1446826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446838 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1446841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446863 */     // GIR_Coverage, 7150,
     /* 1446863 */     GIR_EraseRootFromParent_Done,
     /* 1446864 */   // Label 20323: @1446864
     /* 1446864 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1446961), // Rule ID 7153 //
     /* 1446869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1446880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1446883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1446886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446919 */     // MIs[1] Operand 1
     /* 1446919 */     // No operand predicates
     /* 1446919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446923 */     // MIs[0] policy
     /* 1446923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446935 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1446938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446960 */     // GIR_Coverage, 7153,
     /* 1446960 */     GIR_EraseRootFromParent_Done,
     /* 1446961 */   // Label 20324: @1446961
     /* 1446961 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1447058), // Rule ID 7154 //
     /* 1446966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1446977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1446980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1446983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447016 */     // MIs[1] Operand 1
     /* 1447016 */     // No operand predicates
     /* 1447016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447020 */     // MIs[0] policy
     /* 1447020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447057 */     // GIR_Coverage, 7154,
     /* 1447057 */     GIR_EraseRootFromParent_Done,
     /* 1447058 */   // Label 20325: @1447058
     /* 1447058 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1447155), // Rule ID 7157 //
     /* 1447063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447113 */     // MIs[1] Operand 1
     /* 1447113 */     // No operand predicates
     /* 1447113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447117 */     // MIs[0] policy
     /* 1447117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447129 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447154 */     // GIR_Coverage, 7157,
     /* 1447154 */     GIR_EraseRootFromParent_Done,
     /* 1447155 */   // Label 20326: @1447155
     /* 1447155 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1447252), // Rule ID 7158 //
     /* 1447160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447210 */     // MIs[1] Operand 1
     /* 1447210 */     // No operand predicates
     /* 1447210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447214 */     // MIs[0] policy
     /* 1447214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447251 */     // GIR_Coverage, 7158,
     /* 1447251 */     GIR_EraseRootFromParent_Done,
     /* 1447252 */   // Label 20327: @1447252
     /* 1447252 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1447349), // Rule ID 7161 //
     /* 1447257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447307 */     // MIs[1] Operand 1
     /* 1447307 */     // No operand predicates
     /* 1447307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447311 */     // MIs[0] policy
     /* 1447311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447348 */     // GIR_Coverage, 7161,
     /* 1447348 */     GIR_EraseRootFromParent_Done,
     /* 1447349 */   // Label 20328: @1447349
     /* 1447349 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1447446), // Rule ID 7162 //
     /* 1447354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447404 */     // MIs[1] Operand 1
     /* 1447404 */     // No operand predicates
     /* 1447404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447408 */     // MIs[0] policy
     /* 1447408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447420 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447445 */     // GIR_Coverage, 7162,
     /* 1447445 */     GIR_EraseRootFromParent_Done,
     /* 1447446 */   // Label 20329: @1447446
     /* 1447446 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1447543), // Rule ID 7165 //
     /* 1447451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447501 */     // MIs[1] Operand 1
     /* 1447501 */     // No operand predicates
     /* 1447501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447505 */     // MIs[0] policy
     /* 1447505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447542 */     // GIR_Coverage, 7165,
     /* 1447542 */     GIR_EraseRootFromParent_Done,
     /* 1447543 */   // Label 20330: @1447543
     /* 1447543 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1447640), // Rule ID 7166 //
     /* 1447548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447598 */     // MIs[1] Operand 1
     /* 1447598 */     // No operand predicates
     /* 1447598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447602 */     // MIs[0] policy
     /* 1447602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447614 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447639 */     // GIR_Coverage, 7166,
     /* 1447639 */     GIR_EraseRootFromParent_Done,
     /* 1447640 */   // Label 20331: @1447640
     /* 1447640 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1447737), // Rule ID 7169 //
     /* 1447645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1447656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1447659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1447662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447695 */     // MIs[1] Operand 1
     /* 1447695 */     // No operand predicates
     /* 1447695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447699 */     // MIs[0] policy
     /* 1447699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447736 */     // GIR_Coverage, 7169,
     /* 1447736 */     GIR_EraseRootFromParent_Done,
     /* 1447737 */   // Label 20332: @1447737
     /* 1447737 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1447834), // Rule ID 7170 //
     /* 1447742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1447753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1447756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1447759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447792 */     // MIs[1] Operand 1
     /* 1447792 */     // No operand predicates
     /* 1447792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447796 */     // MIs[0] policy
     /* 1447796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447833 */     // GIR_Coverage, 7170,
     /* 1447833 */     GIR_EraseRootFromParent_Done,
     /* 1447834 */   // Label 20333: @1447834
     /* 1447834 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1447931), // Rule ID 7173 //
     /* 1447839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1447850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1447853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1447856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447889 */     // MIs[1] Operand 1
     /* 1447889 */     // No operand predicates
     /* 1447889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447893 */     // MIs[0] policy
     /* 1447893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447930 */     // GIR_Coverage, 7173,
     /* 1447930 */     GIR_EraseRootFromParent_Done,
     /* 1447931 */   // Label 20334: @1447931
     /* 1447931 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1448028), // Rule ID 7174 //
     /* 1447936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1447947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1447950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1447953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447986 */     // MIs[1] Operand 1
     /* 1447986 */     // No operand predicates
     /* 1447986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447990 */     // MIs[0] policy
     /* 1447990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448027 */     // GIR_Coverage, 7174,
     /* 1448027 */     GIR_EraseRootFromParent_Done,
     /* 1448028 */   // Label 20335: @1448028
     /* 1448028 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1448125), // Rule ID 7177 //
     /* 1448033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448083 */     // MIs[1] Operand 1
     /* 1448083 */     // No operand predicates
     /* 1448083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448087 */     // MIs[0] policy
     /* 1448087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448124 */     // GIR_Coverage, 7177,
     /* 1448124 */     GIR_EraseRootFromParent_Done,
     /* 1448125 */   // Label 20336: @1448125
     /* 1448125 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1448222), // Rule ID 7178 //
     /* 1448130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448180 */     // MIs[1] Operand 1
     /* 1448180 */     // No operand predicates
     /* 1448180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448184 */     // MIs[0] policy
     /* 1448184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448221 */     // GIR_Coverage, 7178,
     /* 1448221 */     GIR_EraseRootFromParent_Done,
     /* 1448222 */   // Label 20337: @1448222
     /* 1448222 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1448319), // Rule ID 7181 //
     /* 1448227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448277 */     // MIs[1] Operand 1
     /* 1448277 */     // No operand predicates
     /* 1448277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448281 */     // MIs[0] policy
     /* 1448281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448318 */     // GIR_Coverage, 7181,
     /* 1448318 */     GIR_EraseRootFromParent_Done,
     /* 1448319 */   // Label 20338: @1448319
     /* 1448319 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1448416), // Rule ID 7182 //
     /* 1448324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448374 */     // MIs[1] Operand 1
     /* 1448374 */     // No operand predicates
     /* 1448374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448378 */     // MIs[0] policy
     /* 1448378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448415 */     // GIR_Coverage, 7182,
     /* 1448415 */     GIR_EraseRootFromParent_Done,
     /* 1448416 */   // Label 20339: @1448416
     /* 1448416 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1448513), // Rule ID 7185 //
     /* 1448421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448471 */     // MIs[1] Operand 1
     /* 1448471 */     // No operand predicates
     /* 1448471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448475 */     // MIs[0] policy
     /* 1448475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448487 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448512 */     // GIR_Coverage, 7185,
     /* 1448512 */     GIR_EraseRootFromParent_Done,
     /* 1448513 */   // Label 20340: @1448513
     /* 1448513 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1448610), // Rule ID 7186 //
     /* 1448518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448568 */     // MIs[1] Operand 1
     /* 1448568 */     // No operand predicates
     /* 1448568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448572 */     // MIs[0] policy
     /* 1448572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448609 */     // GIR_Coverage, 7186,
     /* 1448609 */     GIR_EraseRootFromParent_Done,
     /* 1448610 */   // Label 20341: @1448610
     /* 1448610 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1448707), // Rule ID 7189 //
     /* 1448615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1448629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1448632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448665 */     // MIs[1] Operand 1
     /* 1448665 */     // No operand predicates
     /* 1448665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448669 */     // MIs[0] policy
     /* 1448669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448681 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448706 */     // GIR_Coverage, 7189,
     /* 1448706 */     GIR_EraseRootFromParent_Done,
     /* 1448707 */   // Label 20342: @1448707
     /* 1448707 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1448804), // Rule ID 7190 //
     /* 1448712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1448726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1448729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448762 */     // MIs[1] Operand 1
     /* 1448762 */     // No operand predicates
     /* 1448762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448766 */     // MIs[0] policy
     /* 1448766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448803 */     // GIR_Coverage, 7190,
     /* 1448803 */     GIR_EraseRootFromParent_Done,
     /* 1448804 */   // Label 20343: @1448804
     /* 1448804 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1448901), // Rule ID 7193 //
     /* 1448809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1448820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1448823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1448826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1448832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448859 */     // MIs[1] Operand 1
     /* 1448859 */     // No operand predicates
     /* 1448859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448863 */     // MIs[0] policy
     /* 1448863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448875 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448900 */     // GIR_Coverage, 7193,
     /* 1448900 */     GIR_EraseRootFromParent_Done,
     /* 1448901 */   // Label 20344: @1448901
     /* 1448901 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1448998), // Rule ID 7194 //
     /* 1448906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1448917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1448920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1448923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1448929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448956 */     // MIs[1] Operand 1
     /* 1448956 */     // No operand predicates
     /* 1448956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448960 */     // MIs[0] policy
     /* 1448960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448997 */     // GIR_Coverage, 7194,
     /* 1448997 */     GIR_EraseRootFromParent_Done,
     /* 1448998 */   // Label 20345: @1448998
     /* 1448998 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1449095), // Rule ID 7197 //
     /* 1449003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449053 */     // MIs[1] Operand 1
     /* 1449053 */     // No operand predicates
     /* 1449053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449057 */     // MIs[0] policy
     /* 1449057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449069 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449094 */     // GIR_Coverage, 7197,
     /* 1449094 */     GIR_EraseRootFromParent_Done,
     /* 1449095 */   // Label 20346: @1449095
     /* 1449095 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1449192), // Rule ID 7198 //
     /* 1449100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449150 */     // MIs[1] Operand 1
     /* 1449150 */     // No operand predicates
     /* 1449150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449154 */     // MIs[0] policy
     /* 1449154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449191 */     // GIR_Coverage, 7198,
     /* 1449191 */     GIR_EraseRootFromParent_Done,
     /* 1449192 */   // Label 20347: @1449192
     /* 1449192 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1449289), // Rule ID 7201 //
     /* 1449197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449247 */     // MIs[1] Operand 1
     /* 1449247 */     // No operand predicates
     /* 1449247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449251 */     // MIs[0] policy
     /* 1449251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449263 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449288 */     // GIR_Coverage, 7201,
     /* 1449288 */     GIR_EraseRootFromParent_Done,
     /* 1449289 */   // Label 20348: @1449289
     /* 1449289 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1449386), // Rule ID 7202 //
     /* 1449294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449344 */     // MIs[1] Operand 1
     /* 1449344 */     // No operand predicates
     /* 1449344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449348 */     // MIs[0] policy
     /* 1449348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449385 */     // GIR_Coverage, 7202,
     /* 1449385 */     GIR_EraseRootFromParent_Done,
     /* 1449386 */   // Label 20349: @1449386
     /* 1449386 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1449483), // Rule ID 7205 //
     /* 1449391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449441 */     // MIs[1] Operand 1
     /* 1449441 */     // No operand predicates
     /* 1449441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449445 */     // MIs[0] policy
     /* 1449445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449457 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449482 */     // GIR_Coverage, 7205,
     /* 1449482 */     GIR_EraseRootFromParent_Done,
     /* 1449483 */   // Label 20350: @1449483
     /* 1449483 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1449580), // Rule ID 7206 //
     /* 1449488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449538 */     // MIs[1] Operand 1
     /* 1449538 */     // No operand predicates
     /* 1449538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449542 */     // MIs[0] policy
     /* 1449542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449579 */     // GIR_Coverage, 7206,
     /* 1449579 */     GIR_EraseRootFromParent_Done,
     /* 1449580 */   // Label 20351: @1449580
     /* 1449580 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1449677), // Rule ID 7209 //
     /* 1449585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449635 */     // MIs[1] Operand 1
     /* 1449635 */     // No operand predicates
     /* 1449635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449639 */     // MIs[0] policy
     /* 1449639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449676 */     // GIR_Coverage, 7209,
     /* 1449676 */     GIR_EraseRootFromParent_Done,
     /* 1449677 */   // Label 20352: @1449677
     /* 1449677 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1449774), // Rule ID 7210 //
     /* 1449682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449732 */     // MIs[1] Operand 1
     /* 1449732 */     // No operand predicates
     /* 1449732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449736 */     // MIs[0] policy
     /* 1449736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449773 */     // GIR_Coverage, 7210,
     /* 1449773 */     GIR_EraseRootFromParent_Done,
     /* 1449774 */   // Label 20353: @1449774
     /* 1449774 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1449871), // Rule ID 7213 //
     /* 1449779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1449790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1449793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449829 */     // MIs[1] Operand 1
     /* 1449829 */     // No operand predicates
     /* 1449829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449833 */     // MIs[0] policy
     /* 1449833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449870 */     // GIR_Coverage, 7213,
     /* 1449870 */     GIR_EraseRootFromParent_Done,
     /* 1449871 */   // Label 20354: @1449871
     /* 1449871 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1449968), // Rule ID 7214 //
     /* 1449876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1449887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1449890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449926 */     // MIs[1] Operand 1
     /* 1449926 */     // No operand predicates
     /* 1449926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449930 */     // MIs[0] policy
     /* 1449930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449967 */     // GIR_Coverage, 7214,
     /* 1449967 */     GIR_EraseRootFromParent_Done,
     /* 1449968 */   // Label 20355: @1449968
     /* 1449968 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1450065), // Rule ID 7217 //
     /* 1449973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1449984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1449987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1449990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450023 */     // MIs[1] Operand 1
     /* 1450023 */     // No operand predicates
     /* 1450023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450027 */     // MIs[0] policy
     /* 1450027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450039 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450064 */     // GIR_Coverage, 7217,
     /* 1450064 */     GIR_EraseRootFromParent_Done,
     /* 1450065 */   // Label 20356: @1450065
     /* 1450065 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1450162), // Rule ID 7218 //
     /* 1450070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450120 */     // MIs[1] Operand 1
     /* 1450120 */     // No operand predicates
     /* 1450120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450124 */     // MIs[0] policy
     /* 1450124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450161 */     // GIR_Coverage, 7218,
     /* 1450161 */     GIR_EraseRootFromParent_Done,
     /* 1450162 */   // Label 20357: @1450162
     /* 1450162 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1450259), // Rule ID 7221 //
     /* 1450167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450217 */     // MIs[1] Operand 1
     /* 1450217 */     // No operand predicates
     /* 1450217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450221 */     // MIs[0] policy
     /* 1450221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450258 */     // GIR_Coverage, 7221,
     /* 1450258 */     GIR_EraseRootFromParent_Done,
     /* 1450259 */   // Label 20358: @1450259
     /* 1450259 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1450356), // Rule ID 7222 //
     /* 1450264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450314 */     // MIs[1] Operand 1
     /* 1450314 */     // No operand predicates
     /* 1450314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450318 */     // MIs[0] policy
     /* 1450318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450355 */     // GIR_Coverage, 7222,
     /* 1450355 */     GIR_EraseRootFromParent_Done,
     /* 1450356 */   // Label 20359: @1450356
     /* 1450356 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1450453), // Rule ID 7225 //
     /* 1450361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450411 */     // MIs[1] Operand 1
     /* 1450411 */     // No operand predicates
     /* 1450411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450415 */     // MIs[0] policy
     /* 1450415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450427 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450452 */     // GIR_Coverage, 7225,
     /* 1450452 */     GIR_EraseRootFromParent_Done,
     /* 1450453 */   // Label 20360: @1450453
     /* 1450453 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1450550), // Rule ID 7226 //
     /* 1450458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450508 */     // MIs[1] Operand 1
     /* 1450508 */     // No operand predicates
     /* 1450508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450512 */     // MIs[0] policy
     /* 1450512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450549 */     // GIR_Coverage, 7226,
     /* 1450549 */     GIR_EraseRootFromParent_Done,
     /* 1450550 */   // Label 20361: @1450550
     /* 1450550 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1450647), // Rule ID 7229 //
     /* 1450555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450605 */     // MIs[1] Operand 1
     /* 1450605 */     // No operand predicates
     /* 1450605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450609 */     // MIs[0] policy
     /* 1450609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450646 */     // GIR_Coverage, 7229,
     /* 1450646 */     GIR_EraseRootFromParent_Done,
     /* 1450647 */   // Label 20362: @1450647
     /* 1450647 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1450744), // Rule ID 7230 //
     /* 1450652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450702 */     // MIs[1] Operand 1
     /* 1450702 */     // No operand predicates
     /* 1450702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450706 */     // MIs[0] policy
     /* 1450706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450743 */     // GIR_Coverage, 7230,
     /* 1450743 */     GIR_EraseRootFromParent_Done,
     /* 1450744 */   // Label 20363: @1450744
     /* 1450744 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1450841), // Rule ID 7441 //
     /* 1450749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1450760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1450763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1450766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450799 */     // MIs[1] Operand 1
     /* 1450799 */     // No operand predicates
     /* 1450799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450803 */     // MIs[0] policy
     /* 1450803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1450818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450840 */     // GIR_Coverage, 7441,
     /* 1450840 */     GIR_EraseRootFromParent_Done,
     /* 1450841 */   // Label 20364: @1450841
     /* 1450841 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1450938), // Rule ID 7442 //
     /* 1450846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1450857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1450860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1450863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450896 */     // MIs[1] Operand 1
     /* 1450896 */     // No operand predicates
     /* 1450896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450900 */     // MIs[0] policy
     /* 1450900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1450915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450937 */     // GIR_Coverage, 7442,
     /* 1450937 */     GIR_EraseRootFromParent_Done,
     /* 1450938 */   // Label 20365: @1450938
     /* 1450938 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1451035), // Rule ID 7445 //
     /* 1450943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1450954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1450957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450993 */     // MIs[1] Operand 1
     /* 1450993 */     // No operand predicates
     /* 1450993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450997 */     // MIs[0] policy
     /* 1450997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451009 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451034 */     // GIR_Coverage, 7445,
     /* 1451034 */     GIR_EraseRootFromParent_Done,
     /* 1451035 */   // Label 20366: @1451035
     /* 1451035 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1451132), // Rule ID 7446 //
     /* 1451040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1451051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451090 */     // MIs[1] Operand 1
     /* 1451090 */     // No operand predicates
     /* 1451090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451094 */     // MIs[0] policy
     /* 1451094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451106 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451131 */     // GIR_Coverage, 7446,
     /* 1451131 */     GIR_EraseRootFromParent_Done,
     /* 1451132 */   // Label 20367: @1451132
     /* 1451132 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1451229), // Rule ID 7449 //
     /* 1451137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451187 */     // MIs[1] Operand 1
     /* 1451187 */     // No operand predicates
     /* 1451187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451191 */     // MIs[0] policy
     /* 1451191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451228 */     // GIR_Coverage, 7449,
     /* 1451228 */     GIR_EraseRootFromParent_Done,
     /* 1451229 */   // Label 20368: @1451229
     /* 1451229 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1451326), // Rule ID 7450 //
     /* 1451234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451284 */     // MIs[1] Operand 1
     /* 1451284 */     // No operand predicates
     /* 1451284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451288 */     // MIs[0] policy
     /* 1451288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451325 */     // GIR_Coverage, 7450,
     /* 1451325 */     GIR_EraseRootFromParent_Done,
     /* 1451326 */   // Label 20369: @1451326
     /* 1451326 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1451423), // Rule ID 7453 //
     /* 1451331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451381 */     // MIs[1] Operand 1
     /* 1451381 */     // No operand predicates
     /* 1451381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451385 */     // MIs[0] policy
     /* 1451385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451422 */     // GIR_Coverage, 7453,
     /* 1451422 */     GIR_EraseRootFromParent_Done,
     /* 1451423 */   // Label 20370: @1451423
     /* 1451423 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1451520), // Rule ID 7454 //
     /* 1451428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451478 */     // MIs[1] Operand 1
     /* 1451478 */     // No operand predicates
     /* 1451478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451482 */     // MIs[0] policy
     /* 1451482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451494 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451519 */     // GIR_Coverage, 7454,
     /* 1451519 */     GIR_EraseRootFromParent_Done,
     /* 1451520 */   // Label 20371: @1451520
     /* 1451520 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1451617), // Rule ID 7457 //
     /* 1451525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451575 */     // MIs[1] Operand 1
     /* 1451575 */     // No operand predicates
     /* 1451575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451579 */     // MIs[0] policy
     /* 1451579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451591 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451616 */     // GIR_Coverage, 7457,
     /* 1451616 */     GIR_EraseRootFromParent_Done,
     /* 1451617 */   // Label 20372: @1451617
     /* 1451617 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1451714), // Rule ID 7458 //
     /* 1451622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451672 */     // MIs[1] Operand 1
     /* 1451672 */     // No operand predicates
     /* 1451672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451676 */     // MIs[0] policy
     /* 1451676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451688 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451713 */     // GIR_Coverage, 7458,
     /* 1451713 */     GIR_EraseRootFromParent_Done,
     /* 1451714 */   // Label 20373: @1451714
     /* 1451714 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1451811), // Rule ID 7461 //
     /* 1451719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451769 */     // MIs[1] Operand 1
     /* 1451769 */     // No operand predicates
     /* 1451769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451773 */     // MIs[0] policy
     /* 1451773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451785 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1451788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451810 */     // GIR_Coverage, 7461,
     /* 1451810 */     GIR_EraseRootFromParent_Done,
     /* 1451811 */   // Label 20374: @1451811
     /* 1451811 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1451908), // Rule ID 7462 //
     /* 1451816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451866 */     // MIs[1] Operand 1
     /* 1451866 */     // No operand predicates
     /* 1451866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451870 */     // MIs[0] policy
     /* 1451870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1451885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451907 */     // GIR_Coverage, 7462,
     /* 1451907 */     GIR_EraseRootFromParent_Done,
     /* 1451908 */   // Label 20375: @1451908
     /* 1451908 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1452005), // Rule ID 7465 //
     /* 1451913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1451930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451963 */     // MIs[1] Operand 1
     /* 1451963 */     // No operand predicates
     /* 1451963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451967 */     // MIs[0] policy
     /* 1451967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452004 */     // GIR_Coverage, 7465,
     /* 1452004 */     GIR_EraseRootFromParent_Done,
     /* 1452005 */   // Label 20376: @1452005
     /* 1452005 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1452102), // Rule ID 7466 //
     /* 1452010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1452021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1452024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452060 */     // MIs[1] Operand 1
     /* 1452060 */     // No operand predicates
     /* 1452060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452064 */     // MIs[0] policy
     /* 1452064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1452079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452101 */     // GIR_Coverage, 7466,
     /* 1452101 */     GIR_EraseRootFromParent_Done,
     /* 1452102 */   // Label 20377: @1452102
     /* 1452102 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1452199), // Rule ID 7469 //
     /* 1452107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452157 */     // MIs[1] Operand 1
     /* 1452157 */     // No operand predicates
     /* 1452157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452161 */     // MIs[0] policy
     /* 1452161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452198 */     // GIR_Coverage, 7469,
     /* 1452198 */     GIR_EraseRootFromParent_Done,
     /* 1452199 */   // Label 20378: @1452199
     /* 1452199 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1452296), // Rule ID 7470 //
     /* 1452204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452254 */     // MIs[1] Operand 1
     /* 1452254 */     // No operand predicates
     /* 1452254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452258 */     // MIs[0] policy
     /* 1452258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452295 */     // GIR_Coverage, 7470,
     /* 1452295 */     GIR_EraseRootFromParent_Done,
     /* 1452296 */   // Label 20379: @1452296
     /* 1452296 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1452393), // Rule ID 7473 //
     /* 1452301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452351 */     // MIs[1] Operand 1
     /* 1452351 */     // No operand predicates
     /* 1452351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452355 */     // MIs[0] policy
     /* 1452355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452392 */     // GIR_Coverage, 7473,
     /* 1452392 */     GIR_EraseRootFromParent_Done,
     /* 1452393 */   // Label 20380: @1452393
     /* 1452393 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1452490), // Rule ID 7474 //
     /* 1452398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452448 */     // MIs[1] Operand 1
     /* 1452448 */     // No operand predicates
     /* 1452448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452452 */     // MIs[0] policy
     /* 1452452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452489 */     // GIR_Coverage, 7474,
     /* 1452489 */     GIR_EraseRootFromParent_Done,
     /* 1452490 */   // Label 20381: @1452490
     /* 1452490 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1452587), // Rule ID 7477 //
     /* 1452495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452545 */     // MIs[1] Operand 1
     /* 1452545 */     // No operand predicates
     /* 1452545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452549 */     // MIs[0] policy
     /* 1452549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452586 */     // GIR_Coverage, 7477,
     /* 1452586 */     GIR_EraseRootFromParent_Done,
     /* 1452587 */   // Label 20382: @1452587
     /* 1452587 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1452684), // Rule ID 7478 //
     /* 1452592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452642 */     // MIs[1] Operand 1
     /* 1452642 */     // No operand predicates
     /* 1452642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452646 */     // MIs[0] policy
     /* 1452646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452683 */     // GIR_Coverage, 7478,
     /* 1452683 */     GIR_EraseRootFromParent_Done,
     /* 1452684 */   // Label 20383: @1452684
     /* 1452684 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1452781), // Rule ID 7481 //
     /* 1452689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1452700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1452703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452739 */     // MIs[1] Operand 1
     /* 1452739 */     // No operand predicates
     /* 1452739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452743 */     // MIs[0] policy
     /* 1452743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452780 */     // GIR_Coverage, 7481,
     /* 1452780 */     GIR_EraseRootFromParent_Done,
     /* 1452781 */   // Label 20384: @1452781
     /* 1452781 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1452878), // Rule ID 7482 //
     /* 1452786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1452797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1452800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452836 */     // MIs[1] Operand 1
     /* 1452836 */     // No operand predicates
     /* 1452836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452840 */     // MIs[0] policy
     /* 1452840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452877 */     // GIR_Coverage, 7482,
     /* 1452877 */     GIR_EraseRootFromParent_Done,
     /* 1452878 */   // Label 20385: @1452878
     /* 1452878 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1452975), // Rule ID 7485 //
     /* 1452883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1452886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452933 */     // MIs[1] Operand 1
     /* 1452933 */     // No operand predicates
     /* 1452933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452937 */     // MIs[0] policy
     /* 1452937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452949 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452974 */     // GIR_Coverage, 7485,
     /* 1452974 */     GIR_EraseRootFromParent_Done,
     /* 1452975 */   // Label 20386: @1452975
     /* 1452975 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1453072), // Rule ID 7486 //
     /* 1452980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1452983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453030 */     // MIs[1] Operand 1
     /* 1453030 */     // No operand predicates
     /* 1453030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453034 */     // MIs[0] policy
     /* 1453034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1453049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453071 */     // GIR_Coverage, 7486,
     /* 1453071 */     GIR_EraseRootFromParent_Done,
     /* 1453072 */   // Label 20387: @1453072
     /* 1453072 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1453169), // Rule ID 7489 //
     /* 1453077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453127 */     // MIs[1] Operand 1
     /* 1453127 */     // No operand predicates
     /* 1453127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453131 */     // MIs[0] policy
     /* 1453131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453168 */     // GIR_Coverage, 7489,
     /* 1453168 */     GIR_EraseRootFromParent_Done,
     /* 1453169 */   // Label 20388: @1453169
     /* 1453169 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1453266), // Rule ID 7490 //
     /* 1453174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453224 */     // MIs[1] Operand 1
     /* 1453224 */     // No operand predicates
     /* 1453224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453228 */     // MIs[0] policy
     /* 1453228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453265 */     // GIR_Coverage, 7490,
     /* 1453265 */     GIR_EraseRootFromParent_Done,
     /* 1453266 */   // Label 20389: @1453266
     /* 1453266 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1453363), // Rule ID 7493 //
     /* 1453271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453321 */     // MIs[1] Operand 1
     /* 1453321 */     // No operand predicates
     /* 1453321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453325 */     // MIs[0] policy
     /* 1453325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453362 */     // GIR_Coverage, 7493,
     /* 1453362 */     GIR_EraseRootFromParent_Done,
     /* 1453363 */   // Label 20390: @1453363
     /* 1453363 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1453460), // Rule ID 7494 //
     /* 1453368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453418 */     // MIs[1] Operand 1
     /* 1453418 */     // No operand predicates
     /* 1453418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453422 */     // MIs[0] policy
     /* 1453422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453459 */     // GIR_Coverage, 7494,
     /* 1453459 */     GIR_EraseRootFromParent_Done,
     /* 1453460 */   // Label 20391: @1453460
     /* 1453460 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1453557), // Rule ID 7497 //
     /* 1453465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453515 */     // MIs[1] Operand 1
     /* 1453515 */     // No operand predicates
     /* 1453515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453519 */     // MIs[0] policy
     /* 1453519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453556 */     // GIR_Coverage, 7497,
     /* 1453556 */     GIR_EraseRootFromParent_Done,
     /* 1453557 */   // Label 20392: @1453557
     /* 1453557 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1453654), // Rule ID 7498 //
     /* 1453562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453612 */     // MIs[1] Operand 1
     /* 1453612 */     // No operand predicates
     /* 1453612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453616 */     // MIs[0] policy
     /* 1453616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453653 */     // GIR_Coverage, 7498,
     /* 1453653 */     GIR_EraseRootFromParent_Done,
     /* 1453654 */   // Label 20393: @1453654
     /* 1453654 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1453751), // Rule ID 7621 //
     /* 1453659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1453676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453709 */     // MIs[1] Operand 1
     /* 1453709 */     // No operand predicates
     /* 1453709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453713 */     // MIs[0] policy
     /* 1453713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453725 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1453728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453750 */     // GIR_Coverage, 7621,
     /* 1453750 */     GIR_EraseRootFromParent_Done,
     /* 1453751 */   // Label 20394: @1453751
     /* 1453751 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1453848), // Rule ID 7622 //
     /* 1453756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1453773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453806 */     // MIs[1] Operand 1
     /* 1453806 */     // No operand predicates
     /* 1453806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453810 */     // MIs[0] policy
     /* 1453810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1453825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453847 */     // GIR_Coverage, 7622,
     /* 1453847 */     GIR_EraseRootFromParent_Done,
     /* 1453848 */   // Label 20395: @1453848
     /* 1453848 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1453945), // Rule ID 7625 //
     /* 1453853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1453870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453903 */     // MIs[1] Operand 1
     /* 1453903 */     // No operand predicates
     /* 1453903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453907 */     // MIs[0] policy
     /* 1453907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1453922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453944 */     // GIR_Coverage, 7625,
     /* 1453944 */     GIR_EraseRootFromParent_Done,
     /* 1453945 */   // Label 20396: @1453945
     /* 1453945 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1454042), // Rule ID 7626 //
     /* 1453950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1453967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454000 */     // MIs[1] Operand 1
     /* 1454000 */     // No operand predicates
     /* 1454000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454004 */     // MIs[0] policy
     /* 1454004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454041 */     // GIR_Coverage, 7626,
     /* 1454041 */     GIR_EraseRootFromParent_Done,
     /* 1454042 */   // Label 20397: @1454042
     /* 1454042 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1454139), // Rule ID 7629 //
     /* 1454047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454097 */     // MIs[1] Operand 1
     /* 1454097 */     // No operand predicates
     /* 1454097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454101 */     // MIs[0] policy
     /* 1454101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454138 */     // GIR_Coverage, 7629,
     /* 1454138 */     GIR_EraseRootFromParent_Done,
     /* 1454139 */   // Label 20398: @1454139
     /* 1454139 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1454236), // Rule ID 7630 //
     /* 1454144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454194 */     // MIs[1] Operand 1
     /* 1454194 */     // No operand predicates
     /* 1454194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454198 */     // MIs[0] policy
     /* 1454198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454235 */     // GIR_Coverage, 7630,
     /* 1454235 */     GIR_EraseRootFromParent_Done,
     /* 1454236 */   // Label 20399: @1454236
     /* 1454236 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1454333), // Rule ID 7633 //
     /* 1454241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454291 */     // MIs[1] Operand 1
     /* 1454291 */     // No operand predicates
     /* 1454291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454295 */     // MIs[0] policy
     /* 1454295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454332 */     // GIR_Coverage, 7633,
     /* 1454332 */     GIR_EraseRootFromParent_Done,
     /* 1454333 */   // Label 20400: @1454333
     /* 1454333 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1454430), // Rule ID 7634 //
     /* 1454338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454388 */     // MIs[1] Operand 1
     /* 1454388 */     // No operand predicates
     /* 1454388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454392 */     // MIs[0] policy
     /* 1454392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454429 */     // GIR_Coverage, 7634,
     /* 1454429 */     GIR_EraseRootFromParent_Done,
     /* 1454430 */   // Label 20401: @1454430
     /* 1454430 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1454527), // Rule ID 7637 //
     /* 1454435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454485 */     // MIs[1] Operand 1
     /* 1454485 */     // No operand predicates
     /* 1454485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454489 */     // MIs[0] policy
     /* 1454489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454501 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454526 */     // GIR_Coverage, 7637,
     /* 1454526 */     GIR_EraseRootFromParent_Done,
     /* 1454527 */   // Label 20402: @1454527
     /* 1454527 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1454624), // Rule ID 7638 //
     /* 1454532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454582 */     // MIs[1] Operand 1
     /* 1454582 */     // No operand predicates
     /* 1454582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454586 */     // MIs[0] policy
     /* 1454586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454623 */     // GIR_Coverage, 7638,
     /* 1454623 */     GIR_EraseRootFromParent_Done,
     /* 1454624 */   // Label 20403: @1454624
     /* 1454624 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1454721), // Rule ID 7641 //
     /* 1454629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1454640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1454643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1454646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1454652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454679 */     // MIs[1] Operand 1
     /* 1454679 */     // No operand predicates
     /* 1454679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454683 */     // MIs[0] policy
     /* 1454683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454695 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1454698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454720 */     // GIR_Coverage, 7641,
     /* 1454720 */     GIR_EraseRootFromParent_Done,
     /* 1454721 */   // Label 20404: @1454721
     /* 1454721 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1454818), // Rule ID 7642 //
     /* 1454726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1454737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1454740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1454743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1454749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454776 */     // MIs[1] Operand 1
     /* 1454776 */     // No operand predicates
     /* 1454776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454780 */     // MIs[0] policy
     /* 1454780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1454795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454817 */     // GIR_Coverage, 7642,
     /* 1454817 */     GIR_EraseRootFromParent_Done,
     /* 1454818 */   // Label 20405: @1454818
     /* 1454818 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1454915), // Rule ID 7645 //
     /* 1454823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454873 */     // MIs[1] Operand 1
     /* 1454873 */     // No operand predicates
     /* 1454873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454877 */     // MIs[0] policy
     /* 1454877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454914 */     // GIR_Coverage, 7645,
     /* 1454914 */     GIR_EraseRootFromParent_Done,
     /* 1454915 */   // Label 20406: @1454915
     /* 1454915 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1455012), // Rule ID 7646 //
     /* 1454920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454970 */     // MIs[1] Operand 1
     /* 1454970 */     // No operand predicates
     /* 1454970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454974 */     // MIs[0] policy
     /* 1454974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455011 */     // GIR_Coverage, 7646,
     /* 1455011 */     GIR_EraseRootFromParent_Done,
     /* 1455012 */   // Label 20407: @1455012
     /* 1455012 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1455109), // Rule ID 7649 //
     /* 1455017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455067 */     // MIs[1] Operand 1
     /* 1455067 */     // No operand predicates
     /* 1455067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455071 */     // MIs[0] policy
     /* 1455071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455108 */     // GIR_Coverage, 7649,
     /* 1455108 */     GIR_EraseRootFromParent_Done,
     /* 1455109 */   // Label 20408: @1455109
     /* 1455109 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1455206), // Rule ID 7650 //
     /* 1455114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455164 */     // MIs[1] Operand 1
     /* 1455164 */     // No operand predicates
     /* 1455164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455168 */     // MIs[0] policy
     /* 1455168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455205 */     // GIR_Coverage, 7650,
     /* 1455205 */     GIR_EraseRootFromParent_Done,
     /* 1455206 */   // Label 20409: @1455206
     /* 1455206 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1455303), // Rule ID 7653 //
     /* 1455211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455261 */     // MIs[1] Operand 1
     /* 1455261 */     // No operand predicates
     /* 1455261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455265 */     // MIs[0] policy
     /* 1455265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455302 */     // GIR_Coverage, 7653,
     /* 1455302 */     GIR_EraseRootFromParent_Done,
     /* 1455303 */   // Label 20410: @1455303
     /* 1455303 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1455400), // Rule ID 7654 //
     /* 1455308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455358 */     // MIs[1] Operand 1
     /* 1455358 */     // No operand predicates
     /* 1455358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455362 */     // MIs[0] policy
     /* 1455362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455399 */     // GIR_Coverage, 7654,
     /* 1455399 */     GIR_EraseRootFromParent_Done,
     /* 1455400 */   // Label 20411: @1455400
     /* 1455400 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1455497), // Rule ID 7657 //
     /* 1455405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455455 */     // MIs[1] Operand 1
     /* 1455455 */     // No operand predicates
     /* 1455455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455459 */     // MIs[0] policy
     /* 1455459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455496 */     // GIR_Coverage, 7657,
     /* 1455496 */     GIR_EraseRootFromParent_Done,
     /* 1455497 */   // Label 20412: @1455497
     /* 1455497 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1455594), // Rule ID 7658 //
     /* 1455502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455552 */     // MIs[1] Operand 1
     /* 1455552 */     // No operand predicates
     /* 1455552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455556 */     // MIs[0] policy
     /* 1455556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455593 */     // GIR_Coverage, 7658,
     /* 1455593 */     GIR_EraseRootFromParent_Done,
     /* 1455594 */   // Label 20413: @1455594
     /* 1455594 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1455691), // Rule ID 7661 //
     /* 1455599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1455613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1455616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455649 */     // MIs[1] Operand 1
     /* 1455649 */     // No operand predicates
     /* 1455649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455653 */     // MIs[0] policy
     /* 1455653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455665 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455690 */     // GIR_Coverage, 7661,
     /* 1455690 */     GIR_EraseRootFromParent_Done,
     /* 1455691 */   // Label 20414: @1455691
     /* 1455691 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1455788), // Rule ID 7662 //
     /* 1455696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1455710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1455713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455746 */     // MIs[1] Operand 1
     /* 1455746 */     // No operand predicates
     /* 1455746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455750 */     // MIs[0] policy
     /* 1455750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455762 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455787 */     // GIR_Coverage, 7662,
     /* 1455787 */     GIR_EraseRootFromParent_Done,
     /* 1455788 */   // Label 20415: @1455788
     /* 1455788 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1455885), // Rule ID 7665 //
     /* 1455793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1455796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455843 */     // MIs[1] Operand 1
     /* 1455843 */     // No operand predicates
     /* 1455843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455847 */     // MIs[0] policy
     /* 1455847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455884 */     // GIR_Coverage, 7665,
     /* 1455884 */     GIR_EraseRootFromParent_Done,
     /* 1455885 */   // Label 20416: @1455885
     /* 1455885 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1455982), // Rule ID 7666 //
     /* 1455890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1455893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455940 */     // MIs[1] Operand 1
     /* 1455940 */     // No operand predicates
     /* 1455940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455944 */     // MIs[0] policy
     /* 1455944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455981 */     // GIR_Coverage, 7666,
     /* 1455981 */     GIR_EraseRootFromParent_Done,
     /* 1455982 */   // Label 20417: @1455982
     /* 1455982 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1456079), // Rule ID 7669 //
     /* 1455987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1455990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456037 */     // MIs[1] Operand 1
     /* 1456037 */     // No operand predicates
     /* 1456037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456041 */     // MIs[0] policy
     /* 1456041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456078 */     // GIR_Coverage, 7669,
     /* 1456078 */     GIR_EraseRootFromParent_Done,
     /* 1456079 */   // Label 20418: @1456079
     /* 1456079 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1456176), // Rule ID 7670 //
     /* 1456084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456134 */     // MIs[1] Operand 1
     /* 1456134 */     // No operand predicates
     /* 1456134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456138 */     // MIs[0] policy
     /* 1456138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456175 */     // GIR_Coverage, 7670,
     /* 1456175 */     GIR_EraseRootFromParent_Done,
     /* 1456176 */   // Label 20419: @1456176
     /* 1456176 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1456273), // Rule ID 7673 //
     /* 1456181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456231 */     // MIs[1] Operand 1
     /* 1456231 */     // No operand predicates
     /* 1456231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456235 */     // MIs[0] policy
     /* 1456235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456272 */     // GIR_Coverage, 7673,
     /* 1456272 */     GIR_EraseRootFromParent_Done,
     /* 1456273 */   // Label 20420: @1456273
     /* 1456273 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1456370), // Rule ID 7674 //
     /* 1456278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456328 */     // MIs[1] Operand 1
     /* 1456328 */     // No operand predicates
     /* 1456328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456332 */     // MIs[0] policy
     /* 1456332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456369 */     // GIR_Coverage, 7674,
     /* 1456369 */     GIR_EraseRootFromParent_Done,
     /* 1456370 */   // Label 20421: @1456370
     /* 1456370 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1456467), // Rule ID 7677 //
     /* 1456375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456425 */     // MIs[1] Operand 1
     /* 1456425 */     // No operand predicates
     /* 1456425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456429 */     // MIs[0] policy
     /* 1456429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456441 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456466 */     // GIR_Coverage, 7677,
     /* 1456466 */     GIR_EraseRootFromParent_Done,
     /* 1456467 */   // Label 20422: @1456467
     /* 1456467 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1456564), // Rule ID 7678 //
     /* 1456472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456522 */     // MIs[1] Operand 1
     /* 1456522 */     // No operand predicates
     /* 1456522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456526 */     // MIs[0] policy
     /* 1456526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456563 */     // GIR_Coverage, 7678,
     /* 1456563 */     GIR_EraseRootFromParent_Done,
     /* 1456564 */   // Label 20423: @1456564
     /* 1456564 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1456664), // Rule ID 14107 //
     /* 1456569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1456580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1456583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1456586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456619 */     // MIs[1] Operand 1
     /* 1456619 */     // No operand predicates
     /* 1456619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456623 */     // MIs[0] policy
     /* 1456623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456635 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1456638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456663 */     // GIR_Coverage, 14107,
     /* 1456663 */     GIR_EraseRootFromParent_Done,
     /* 1456664 */   // Label 20424: @1456664
     /* 1456664 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1456764), // Rule ID 14108 //
     /* 1456669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1456680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1456683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1456686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456719 */     // MIs[1] Operand 1
     /* 1456719 */     // No operand predicates
     /* 1456719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456723 */     // MIs[0] policy
     /* 1456723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456735 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1456738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456763 */     // GIR_Coverage, 14108,
     /* 1456763 */     GIR_EraseRootFromParent_Done,
     /* 1456764 */   // Label 20425: @1456764
     /* 1456764 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1456864), // Rule ID 14111 //
     /* 1456769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1456780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1456783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1456786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456819 */     // MIs[1] Operand 1
     /* 1456819 */     // No operand predicates
     /* 1456819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456823 */     // MIs[0] policy
     /* 1456823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456835 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1456838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456863 */     // GIR_Coverage, 14111,
     /* 1456863 */     GIR_EraseRootFromParent_Done,
     /* 1456864 */   // Label 20426: @1456864
     /* 1456864 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1456964), // Rule ID 14112 //
     /* 1456869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1456880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1456883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1456886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456919 */     // MIs[1] Operand 1
     /* 1456919 */     // No operand predicates
     /* 1456919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456923 */     // MIs[0] policy
     /* 1456923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1456938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456963 */     // GIR_Coverage, 14112,
     /* 1456963 */     GIR_EraseRootFromParent_Done,
     /* 1456964 */   // Label 20427: @1456964
     /* 1456964 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1457064), // Rule ID 14115 //
     /* 1456969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1456980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1456983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1456986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457019 */     // MIs[1] Operand 1
     /* 1457019 */     // No operand predicates
     /* 1457019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457023 */     // MIs[0] policy
     /* 1457023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457035 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457063 */     // GIR_Coverage, 14115,
     /* 1457063 */     GIR_EraseRootFromParent_Done,
     /* 1457064 */   // Label 20428: @1457064
     /* 1457064 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1457164), // Rule ID 14116 //
     /* 1457069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1457086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457119 */     // MIs[1] Operand 1
     /* 1457119 */     // No operand predicates
     /* 1457119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457123 */     // MIs[0] policy
     /* 1457123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457135 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457163 */     // GIR_Coverage, 14116,
     /* 1457163 */     GIR_EraseRootFromParent_Done,
     /* 1457164 */   // Label 20429: @1457164
     /* 1457164 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1457264), // Rule ID 14119 //
     /* 1457169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457219 */     // MIs[1] Operand 1
     /* 1457219 */     // No operand predicates
     /* 1457219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457223 */     // MIs[0] policy
     /* 1457223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457263 */     // GIR_Coverage, 14119,
     /* 1457263 */     GIR_EraseRootFromParent_Done,
     /* 1457264 */   // Label 20430: @1457264
     /* 1457264 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1457364), // Rule ID 14120 //
     /* 1457269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457319 */     // MIs[1] Operand 1
     /* 1457319 */     // No operand predicates
     /* 1457319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457323 */     // MIs[0] policy
     /* 1457323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457335 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457363 */     // GIR_Coverage, 14120,
     /* 1457363 */     GIR_EraseRootFromParent_Done,
     /* 1457364 */   // Label 20431: @1457364
     /* 1457364 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1457464), // Rule ID 14123 //
     /* 1457369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457419 */     // MIs[1] Operand 1
     /* 1457419 */     // No operand predicates
     /* 1457419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457423 */     // MIs[0] policy
     /* 1457423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457435 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457463 */     // GIR_Coverage, 14123,
     /* 1457463 */     GIR_EraseRootFromParent_Done,
     /* 1457464 */   // Label 20432: @1457464
     /* 1457464 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1457564), // Rule ID 14124 //
     /* 1457469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457519 */     // MIs[1] Operand 1
     /* 1457519 */     // No operand predicates
     /* 1457519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457523 */     // MIs[0] policy
     /* 1457523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457535 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457563 */     // GIR_Coverage, 14124,
     /* 1457563 */     GIR_EraseRootFromParent_Done,
     /* 1457564 */   // Label 20433: @1457564
     /* 1457564 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1457664), // Rule ID 14127 //
     /* 1457569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457619 */     // MIs[1] Operand 1
     /* 1457619 */     // No operand predicates
     /* 1457619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457623 */     // MIs[0] policy
     /* 1457623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457635 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457663 */     // GIR_Coverage, 14127,
     /* 1457663 */     GIR_EraseRootFromParent_Done,
     /* 1457664 */   // Label 20434: @1457664
     /* 1457664 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1457764), // Rule ID 14128 //
     /* 1457669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457719 */     // MIs[1] Operand 1
     /* 1457719 */     // No operand predicates
     /* 1457719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457723 */     // MIs[0] policy
     /* 1457723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457735 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457763 */     // GIR_Coverage, 14128,
     /* 1457763 */     GIR_EraseRootFromParent_Done,
     /* 1457764 */   // Label 20435: @1457764
     /* 1457764 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1457864), // Rule ID 14131 //
     /* 1457769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1457780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1457783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1457786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457819 */     // MIs[1] Operand 1
     /* 1457819 */     // No operand predicates
     /* 1457819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457823 */     // MIs[0] policy
     /* 1457823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457863 */     // GIR_Coverage, 14131,
     /* 1457863 */     GIR_EraseRootFromParent_Done,
     /* 1457864 */   // Label 20436: @1457864
     /* 1457864 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1457964), // Rule ID 14132 //
     /* 1457869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1457880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1457883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1457886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457919 */     // MIs[1] Operand 1
     /* 1457919 */     // No operand predicates
     /* 1457919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457923 */     // MIs[0] policy
     /* 1457923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457935 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457963 */     // GIR_Coverage, 14132,
     /* 1457963 */     GIR_EraseRootFromParent_Done,
     /* 1457964 */   // Label 20437: @1457964
     /* 1457964 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1458064), // Rule ID 14135 //
     /* 1457969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1457980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1457983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1457986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458019 */     // MIs[1] Operand 1
     /* 1458019 */     // No operand predicates
     /* 1458019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458023 */     // MIs[0] policy
     /* 1458023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458035 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458063 */     // GIR_Coverage, 14135,
     /* 1458063 */     GIR_EraseRootFromParent_Done,
     /* 1458064 */   // Label 20438: @1458064
     /* 1458064 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1458164), // Rule ID 14136 //
     /* 1458069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1458080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1458083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458119 */     // MIs[1] Operand 1
     /* 1458119 */     // No operand predicates
     /* 1458119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458123 */     // MIs[0] policy
     /* 1458123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458135 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458163 */     // GIR_Coverage, 14136,
     /* 1458163 */     GIR_EraseRootFromParent_Done,
     /* 1458164 */   // Label 20439: @1458164
     /* 1458164 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1458264), // Rule ID 14139 //
     /* 1458169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458219 */     // MIs[1] Operand 1
     /* 1458219 */     // No operand predicates
     /* 1458219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458223 */     // MIs[0] policy
     /* 1458223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458235 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458263 */     // GIR_Coverage, 14139,
     /* 1458263 */     GIR_EraseRootFromParent_Done,
     /* 1458264 */   // Label 20440: @1458264
     /* 1458264 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1458364), // Rule ID 14140 //
     /* 1458269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458319 */     // MIs[1] Operand 1
     /* 1458319 */     // No operand predicates
     /* 1458319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458323 */     // MIs[0] policy
     /* 1458323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458363 */     // GIR_Coverage, 14140,
     /* 1458363 */     GIR_EraseRootFromParent_Done,
     /* 1458364 */   // Label 20441: @1458364
     /* 1458364 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1458464), // Rule ID 14143 //
     /* 1458369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1458372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458419 */     // MIs[1] Operand 1
     /* 1458419 */     // No operand predicates
     /* 1458419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458423 */     // MIs[0] policy
     /* 1458423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458435 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458463 */     // GIR_Coverage, 14143,
     /* 1458463 */     GIR_EraseRootFromParent_Done,
     /* 1458464 */   // Label 20442: @1458464
     /* 1458464 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1458564), // Rule ID 14144 //
     /* 1458469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1458472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458519 */     // MIs[1] Operand 1
     /* 1458519 */     // No operand predicates
     /* 1458519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458523 */     // MIs[0] policy
     /* 1458523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458563 */     // GIR_Coverage, 14144,
     /* 1458563 */     GIR_EraseRootFromParent_Done,
     /* 1458564 */   // Label 20443: @1458564
     /* 1458564 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1458664), // Rule ID 14147 //
     /* 1458569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1458586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458619 */     // MIs[1] Operand 1
     /* 1458619 */     // No operand predicates
     /* 1458619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458623 */     // MIs[0] policy
     /* 1458623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1458638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458663 */     // GIR_Coverage, 14147,
     /* 1458663 */     GIR_EraseRootFromParent_Done,
     /* 1458664 */   // Label 20444: @1458664
     /* 1458664 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1458764), // Rule ID 14148 //
     /* 1458669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1458686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458719 */     // MIs[1] Operand 1
     /* 1458719 */     // No operand predicates
     /* 1458719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458723 */     // MIs[0] policy
     /* 1458723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458735 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1458738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458763 */     // GIR_Coverage, 14148,
     /* 1458763 */     GIR_EraseRootFromParent_Done,
     /* 1458764 */   // Label 20445: @1458764
     /* 1458764 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1458864), // Rule ID 14151 //
     /* 1458769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1458786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458819 */     // MIs[1] Operand 1
     /* 1458819 */     // No operand predicates
     /* 1458819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458823 */     // MIs[0] policy
     /* 1458823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458835 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458863 */     // GIR_Coverage, 14151,
     /* 1458863 */     GIR_EraseRootFromParent_Done,
     /* 1458864 */   // Label 20446: @1458864
     /* 1458864 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1458964), // Rule ID 14152 //
     /* 1458869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1458886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458919 */     // MIs[1] Operand 1
     /* 1458919 */     // No operand predicates
     /* 1458919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458923 */     // MIs[0] policy
     /* 1458923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458935 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458963 */     // GIR_Coverage, 14152,
     /* 1458963 */     GIR_EraseRootFromParent_Done,
     /* 1458964 */   // Label 20447: @1458964
     /* 1458964 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1459064), // Rule ID 14155 //
     /* 1458969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1458980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1458983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1458986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1458992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459019 */     // MIs[1] Operand 1
     /* 1459019 */     // No operand predicates
     /* 1459019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459023 */     // MIs[0] policy
     /* 1459023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459063 */     // GIR_Coverage, 14155,
     /* 1459063 */     GIR_EraseRootFromParent_Done,
     /* 1459064 */   // Label 20448: @1459064
     /* 1459064 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1459164), // Rule ID 14156 //
     /* 1459069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1459080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1459083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1459086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1459092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459119 */     // MIs[1] Operand 1
     /* 1459119 */     // No operand predicates
     /* 1459119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459123 */     // MIs[0] policy
     /* 1459123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459135 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459163 */     // GIR_Coverage, 14156,
     /* 1459163 */     GIR_EraseRootFromParent_Done,
     /* 1459164 */   // Label 20449: @1459164
     /* 1459164 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1459264), // Rule ID 14159 //
     /* 1459169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459219 */     // MIs[1] Operand 1
     /* 1459219 */     // No operand predicates
     /* 1459219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459223 */     // MIs[0] policy
     /* 1459223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459263 */     // GIR_Coverage, 14159,
     /* 1459263 */     GIR_EraseRootFromParent_Done,
     /* 1459264 */   // Label 20450: @1459264
     /* 1459264 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1459364), // Rule ID 14160 //
     /* 1459269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459319 */     // MIs[1] Operand 1
     /* 1459319 */     // No operand predicates
     /* 1459319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459323 */     // MIs[0] policy
     /* 1459323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459363 */     // GIR_Coverage, 14160,
     /* 1459363 */     GIR_EraseRootFromParent_Done,
     /* 1459364 */   // Label 20451: @1459364
     /* 1459364 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1459464), // Rule ID 14163 //
     /* 1459369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459419 */     // MIs[1] Operand 1
     /* 1459419 */     // No operand predicates
     /* 1459419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459423 */     // MIs[0] policy
     /* 1459423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459463 */     // GIR_Coverage, 14163,
     /* 1459463 */     GIR_EraseRootFromParent_Done,
     /* 1459464 */   // Label 20452: @1459464
     /* 1459464 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1459564), // Rule ID 14164 //
     /* 1459469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459519 */     // MIs[1] Operand 1
     /* 1459519 */     // No operand predicates
     /* 1459519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459523 */     // MIs[0] policy
     /* 1459523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459535 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459563 */     // GIR_Coverage, 14164,
     /* 1459563 */     GIR_EraseRootFromParent_Done,
     /* 1459564 */   // Label 20453: @1459564
     /* 1459564 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1459664), // Rule ID 14167 //
     /* 1459569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1459580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1459583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459619 */     // MIs[1] Operand 1
     /* 1459619 */     // No operand predicates
     /* 1459619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459623 */     // MIs[0] policy
     /* 1459623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459663 */     // GIR_Coverage, 14167,
     /* 1459663 */     GIR_EraseRootFromParent_Done,
     /* 1459664 */   // Label 20454: @1459664
     /* 1459664 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1459764), // Rule ID 14168 //
     /* 1459669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1459680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1459683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459719 */     // MIs[1] Operand 1
     /* 1459719 */     // No operand predicates
     /* 1459719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459723 */     // MIs[0] policy
     /* 1459723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459735 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459763 */     // GIR_Coverage, 14168,
     /* 1459763 */     GIR_EraseRootFromParent_Done,
     /* 1459764 */   // Label 20455: @1459764
     /* 1459764 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1459864), // Rule ID 14171 //
     /* 1459769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1459780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1459783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459819 */     // MIs[1] Operand 1
     /* 1459819 */     // No operand predicates
     /* 1459819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459823 */     // MIs[0] policy
     /* 1459823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459863 */     // GIR_Coverage, 14171,
     /* 1459863 */     GIR_EraseRootFromParent_Done,
     /* 1459864 */   // Label 20456: @1459864
     /* 1459864 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1459964), // Rule ID 14172 //
     /* 1459869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1459880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1459883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459919 */     // MIs[1] Operand 1
     /* 1459919 */     // No operand predicates
     /* 1459919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459923 */     // MIs[0] policy
     /* 1459923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459963 */     // GIR_Coverage, 14172,
     /* 1459963 */     GIR_EraseRootFromParent_Done,
     /* 1459964 */   // Label 20457: @1459964
     /* 1459964 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1460064), // Rule ID 14175 //
     /* 1459969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1459980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1459983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460019 */     // MIs[1] Operand 1
     /* 1460019 */     // No operand predicates
     /* 1460019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460023 */     // MIs[0] policy
     /* 1460023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460063 */     // GIR_Coverage, 14175,
     /* 1460063 */     GIR_EraseRootFromParent_Done,
     /* 1460064 */   // Label 20458: @1460064
     /* 1460064 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1460164), // Rule ID 14176 //
     /* 1460069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1460086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460119 */     // MIs[1] Operand 1
     /* 1460119 */     // No operand predicates
     /* 1460119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460123 */     // MIs[0] policy
     /* 1460123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460163 */     // GIR_Coverage, 14176,
     /* 1460163 */     GIR_EraseRootFromParent_Done,
     /* 1460164 */   // Label 20459: @1460164
     /* 1460164 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1460264), // Rule ID 14179 //
     /* 1460169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460219 */     // MIs[1] Operand 1
     /* 1460219 */     // No operand predicates
     /* 1460219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460223 */     // MIs[0] policy
     /* 1460223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460263 */     // GIR_Coverage, 14179,
     /* 1460263 */     GIR_EraseRootFromParent_Done,
     /* 1460264 */   // Label 20460: @1460264
     /* 1460264 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1460364), // Rule ID 14180 //
     /* 1460269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460319 */     // MIs[1] Operand 1
     /* 1460319 */     // No operand predicates
     /* 1460319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460323 */     // MIs[0] policy
     /* 1460323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460335 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460363 */     // GIR_Coverage, 14180,
     /* 1460363 */     GIR_EraseRootFromParent_Done,
     /* 1460364 */   // Label 20461: @1460364
     /* 1460364 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1460464), // Rule ID 14183 //
     /* 1460369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460419 */     // MIs[1] Operand 1
     /* 1460419 */     // No operand predicates
     /* 1460419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460423 */     // MIs[0] policy
     /* 1460423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460463 */     // GIR_Coverage, 14183,
     /* 1460463 */     GIR_EraseRootFromParent_Done,
     /* 1460464 */   // Label 20462: @1460464
     /* 1460464 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1460564), // Rule ID 14184 //
     /* 1460469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460519 */     // MIs[1] Operand 1
     /* 1460519 */     // No operand predicates
     /* 1460519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460523 */     // MIs[0] policy
     /* 1460523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460535 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460563 */     // GIR_Coverage, 14184,
     /* 1460563 */     GIR_EraseRootFromParent_Done,
     /* 1460564 */   // Label 20463: @1460564
     /* 1460564 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1460664), // Rule ID 14187 //
     /* 1460569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1460580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1460583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460619 */     // MIs[1] Operand 1
     /* 1460619 */     // No operand predicates
     /* 1460619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460623 */     // MIs[0] policy
     /* 1460623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460663 */     // GIR_Coverage, 14187,
     /* 1460663 */     GIR_EraseRootFromParent_Done,
     /* 1460664 */   // Label 20464: @1460664
     /* 1460664 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1460764), // Rule ID 14188 //
     /* 1460669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1460680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1460683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460719 */     // MIs[1] Operand 1
     /* 1460719 */     // No operand predicates
     /* 1460719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460723 */     // MIs[0] policy
     /* 1460723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460735 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460763 */     // GIR_Coverage, 14188,
     /* 1460763 */     GIR_EraseRootFromParent_Done,
     /* 1460764 */   // Label 20465: @1460764
     /* 1460764 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1460864), // Rule ID 14191 //
     /* 1460769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1460780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1460783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460819 */     // MIs[1] Operand 1
     /* 1460819 */     // No operand predicates
     /* 1460819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460823 */     // MIs[0] policy
     /* 1460823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460835 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460863 */     // GIR_Coverage, 14191,
     /* 1460863 */     GIR_EraseRootFromParent_Done,
     /* 1460864 */   // Label 20466: @1460864
     /* 1460864 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1460964), // Rule ID 14192 //
     /* 1460869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1460880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1460883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460919 */     // MIs[1] Operand 1
     /* 1460919 */     // No operand predicates
     /* 1460919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460923 */     // MIs[0] policy
     /* 1460923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460963 */     // GIR_Coverage, 14192,
     /* 1460963 */     GIR_EraseRootFromParent_Done,
     /* 1460964 */   // Label 20467: @1460964
     /* 1460964 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1461064), // Rule ID 14371 //
     /* 1460969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1460980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1460983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1460986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461019 */     // MIs[1] Operand 1
     /* 1461019 */     // No operand predicates
     /* 1461019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461023 */     // MIs[0] policy
     /* 1461023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461035 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1461038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461063 */     // GIR_Coverage, 14371,
     /* 1461063 */     GIR_EraseRootFromParent_Done,
     /* 1461064 */   // Label 20468: @1461064
     /* 1461064 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1461164), // Rule ID 14372 //
     /* 1461069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461119 */     // MIs[1] Operand 1
     /* 1461119 */     // No operand predicates
     /* 1461119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461123 */     // MIs[0] policy
     /* 1461123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461135 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1461138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461163 */     // GIR_Coverage, 14372,
     /* 1461163 */     GIR_EraseRootFromParent_Done,
     /* 1461164 */   // Label 20469: @1461164
     /* 1461164 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1461264), // Rule ID 14375 //
     /* 1461169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461219 */     // MIs[1] Operand 1
     /* 1461219 */     // No operand predicates
     /* 1461219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461223 */     // MIs[0] policy
     /* 1461223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461235 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461263 */     // GIR_Coverage, 14375,
     /* 1461263 */     GIR_EraseRootFromParent_Done,
     /* 1461264 */   // Label 20470: @1461264
     /* 1461264 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1461364), // Rule ID 14376 //
     /* 1461269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461319 */     // MIs[1] Operand 1
     /* 1461319 */     // No operand predicates
     /* 1461319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461323 */     // MIs[0] policy
     /* 1461323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461335 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461363 */     // GIR_Coverage, 14376,
     /* 1461363 */     GIR_EraseRootFromParent_Done,
     /* 1461364 */   // Label 20471: @1461364
     /* 1461364 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1461464), // Rule ID 14379 //
     /* 1461369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461419 */     // MIs[1] Operand 1
     /* 1461419 */     // No operand predicates
     /* 1461419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461423 */     // MIs[0] policy
     /* 1461423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461435 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461463 */     // GIR_Coverage, 14379,
     /* 1461463 */     GIR_EraseRootFromParent_Done,
     /* 1461464 */   // Label 20472: @1461464
     /* 1461464 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1461564), // Rule ID 14380 //
     /* 1461469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461519 */     // MIs[1] Operand 1
     /* 1461519 */     // No operand predicates
     /* 1461519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461523 */     // MIs[0] policy
     /* 1461523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461535 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461563 */     // GIR_Coverage, 14380,
     /* 1461563 */     GIR_EraseRootFromParent_Done,
     /* 1461564 */   // Label 20473: @1461564
     /* 1461564 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1461664), // Rule ID 14383 //
     /* 1461569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461619 */     // MIs[1] Operand 1
     /* 1461619 */     // No operand predicates
     /* 1461619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461623 */     // MIs[0] policy
     /* 1461623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461635 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461663 */     // GIR_Coverage, 14383,
     /* 1461663 */     GIR_EraseRootFromParent_Done,
     /* 1461664 */   // Label 20474: @1461664
     /* 1461664 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1461764), // Rule ID 14384 //
     /* 1461669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461719 */     // MIs[1] Operand 1
     /* 1461719 */     // No operand predicates
     /* 1461719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461723 */     // MIs[0] policy
     /* 1461723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461735 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461763 */     // GIR_Coverage, 14384,
     /* 1461763 */     GIR_EraseRootFromParent_Done,
     /* 1461764 */   // Label 20475: @1461764
     /* 1461764 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1461864), // Rule ID 14387 //
     /* 1461769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1461780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1461783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1461786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461819 */     // MIs[1] Operand 1
     /* 1461819 */     // No operand predicates
     /* 1461819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461823 */     // MIs[0] policy
     /* 1461823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461835 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461863 */     // GIR_Coverage, 14387,
     /* 1461863 */     GIR_EraseRootFromParent_Done,
     /* 1461864 */   // Label 20476: @1461864
     /* 1461864 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1461964), // Rule ID 14388 //
     /* 1461869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1461880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1461883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1461886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461919 */     // MIs[1] Operand 1
     /* 1461919 */     // No operand predicates
     /* 1461919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461923 */     // MIs[0] policy
     /* 1461923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461963 */     // GIR_Coverage, 14388,
     /* 1461963 */     GIR_EraseRootFromParent_Done,
     /* 1461964 */   // Label 20477: @1461964
     /* 1461964 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1462064), // Rule ID 14391 //
     /* 1461969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1461980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1461983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1461986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462019 */     // MIs[1] Operand 1
     /* 1462019 */     // No operand predicates
     /* 1462019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462023 */     // MIs[0] policy
     /* 1462023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462063 */     // GIR_Coverage, 14391,
     /* 1462063 */     GIR_EraseRootFromParent_Done,
     /* 1462064 */   // Label 20478: @1462064
     /* 1462064 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1462164), // Rule ID 14392 //
     /* 1462069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462119 */     // MIs[1] Operand 1
     /* 1462119 */     // No operand predicates
     /* 1462119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462123 */     // MIs[0] policy
     /* 1462123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462135 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462163 */     // GIR_Coverage, 14392,
     /* 1462163 */     GIR_EraseRootFromParent_Done,
     /* 1462164 */   // Label 20479: @1462164
     /* 1462164 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1462264), // Rule ID 14395 //
     /* 1462169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462219 */     // MIs[1] Operand 1
     /* 1462219 */     // No operand predicates
     /* 1462219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462223 */     // MIs[0] policy
     /* 1462223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462235 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462263 */     // GIR_Coverage, 14395,
     /* 1462263 */     GIR_EraseRootFromParent_Done,
     /* 1462264 */   // Label 20480: @1462264
     /* 1462264 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1462364), // Rule ID 14396 //
     /* 1462269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462319 */     // MIs[1] Operand 1
     /* 1462319 */     // No operand predicates
     /* 1462319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462323 */     // MIs[0] policy
     /* 1462323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462335 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462363 */     // GIR_Coverage, 14396,
     /* 1462363 */     GIR_EraseRootFromParent_Done,
     /* 1462364 */   // Label 20481: @1462364
     /* 1462364 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1462464), // Rule ID 14399 //
     /* 1462369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462419 */     // MIs[1] Operand 1
     /* 1462419 */     // No operand predicates
     /* 1462419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462423 */     // MIs[0] policy
     /* 1462423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462463 */     // GIR_Coverage, 14399,
     /* 1462463 */     GIR_EraseRootFromParent_Done,
     /* 1462464 */   // Label 20482: @1462464
     /* 1462464 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1462564), // Rule ID 14400 //
     /* 1462469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462519 */     // MIs[1] Operand 1
     /* 1462519 */     // No operand predicates
     /* 1462519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462523 */     // MIs[0] policy
     /* 1462523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462535 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462563 */     // GIR_Coverage, 14400,
     /* 1462563 */     GIR_EraseRootFromParent_Done,
     /* 1462564 */   // Label 20483: @1462564
     /* 1462564 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1462664), // Rule ID 14403 //
     /* 1462569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462619 */     // MIs[1] Operand 1
     /* 1462619 */     // No operand predicates
     /* 1462619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462623 */     // MIs[0] policy
     /* 1462623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462663 */     // GIR_Coverage, 14403,
     /* 1462663 */     GIR_EraseRootFromParent_Done,
     /* 1462664 */   // Label 20484: @1462664
     /* 1462664 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1462764), // Rule ID 14404 //
     /* 1462669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462719 */     // MIs[1] Operand 1
     /* 1462719 */     // No operand predicates
     /* 1462719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462723 */     // MIs[0] policy
     /* 1462723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462735 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462763 */     // GIR_Coverage, 14404,
     /* 1462763 */     GIR_EraseRootFromParent_Done,
     /* 1462764 */   // Label 20485: @1462764
     /* 1462764 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1462864), // Rule ID 14407 //
     /* 1462769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1462772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1462780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1462783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462819 */     // MIs[1] Operand 1
     /* 1462819 */     // No operand predicates
     /* 1462819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462823 */     // MIs[0] policy
     /* 1462823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462863 */     // GIR_Coverage, 14407,
     /* 1462863 */     GIR_EraseRootFromParent_Done,
     /* 1462864 */   // Label 20486: @1462864
     /* 1462864 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1462964), // Rule ID 14408 //
     /* 1462869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1462872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1462880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1462883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462919 */     // MIs[1] Operand 1
     /* 1462919 */     // No operand predicates
     /* 1462919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462923 */     // MIs[0] policy
     /* 1462923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462935 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462963 */     // GIR_Coverage, 14408,
     /* 1462963 */     GIR_EraseRootFromParent_Done,
     /* 1462964 */   // Label 20487: @1462964
     /* 1462964 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1463064), // Rule ID 14411 //
     /* 1462969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1462980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1462983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1462986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463019 */     // MIs[1] Operand 1
     /* 1463019 */     // No operand predicates
     /* 1463019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463023 */     // MIs[0] policy
     /* 1463023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463063 */     // GIR_Coverage, 14411,
     /* 1463063 */     GIR_EraseRootFromParent_Done,
     /* 1463064 */   // Label 20488: @1463064
     /* 1463064 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1463164), // Rule ID 14412 //
     /* 1463069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463119 */     // MIs[1] Operand 1
     /* 1463119 */     // No operand predicates
     /* 1463119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463123 */     // MIs[0] policy
     /* 1463123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463135 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463163 */     // GIR_Coverage, 14412,
     /* 1463163 */     GIR_EraseRootFromParent_Done,
     /* 1463164 */   // Label 20489: @1463164
     /* 1463164 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1463264), // Rule ID 14415 //
     /* 1463169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463219 */     // MIs[1] Operand 1
     /* 1463219 */     // No operand predicates
     /* 1463219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463223 */     // MIs[0] policy
     /* 1463223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463235 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463263 */     // GIR_Coverage, 14415,
     /* 1463263 */     GIR_EraseRootFromParent_Done,
     /* 1463264 */   // Label 20490: @1463264
     /* 1463264 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1463364), // Rule ID 14416 //
     /* 1463269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463319 */     // MIs[1] Operand 1
     /* 1463319 */     // No operand predicates
     /* 1463319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463323 */     // MIs[0] policy
     /* 1463323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463335 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463363 */     // GIR_Coverage, 14416,
     /* 1463363 */     GIR_EraseRootFromParent_Done,
     /* 1463364 */   // Label 20491: @1463364
     /* 1463364 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1463464), // Rule ID 14419 //
     /* 1463369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463419 */     // MIs[1] Operand 1
     /* 1463419 */     // No operand predicates
     /* 1463419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463423 */     // MIs[0] policy
     /* 1463423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463435 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463463 */     // GIR_Coverage, 14419,
     /* 1463463 */     GIR_EraseRootFromParent_Done,
     /* 1463464 */   // Label 20492: @1463464
     /* 1463464 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1463564), // Rule ID 14420 //
     /* 1463469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463519 */     // MIs[1] Operand 1
     /* 1463519 */     // No operand predicates
     /* 1463519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463523 */     // MIs[0] policy
     /* 1463523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463535 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463563 */     // GIR_Coverage, 14420,
     /* 1463563 */     GIR_EraseRootFromParent_Done,
     /* 1463564 */   // Label 20493: @1463564
     /* 1463564 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1463664), // Rule ID 14423 //
     /* 1463569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463619 */     // MIs[1] Operand 1
     /* 1463619 */     // No operand predicates
     /* 1463619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463623 */     // MIs[0] policy
     /* 1463623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463663 */     // GIR_Coverage, 14423,
     /* 1463663 */     GIR_EraseRootFromParent_Done,
     /* 1463664 */   // Label 20494: @1463664
     /* 1463664 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1463764), // Rule ID 14424 //
     /* 1463669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463719 */     // MIs[1] Operand 1
     /* 1463719 */     // No operand predicates
     /* 1463719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463723 */     // MIs[0] policy
     /* 1463723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463763 */     // GIR_Coverage, 14424,
     /* 1463763 */     GIR_EraseRootFromParent_Done,
     /* 1463764 */   // Label 20495: @1463764
     /* 1463764 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1463864), // Rule ID 14427 //
     /* 1463769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1463780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1463783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1463786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463819 */     // MIs[1] Operand 1
     /* 1463819 */     // No operand predicates
     /* 1463819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463823 */     // MIs[0] policy
     /* 1463823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463835 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463863 */     // GIR_Coverage, 14427,
     /* 1463863 */     GIR_EraseRootFromParent_Done,
     /* 1463864 */   // Label 20496: @1463864
     /* 1463864 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1463964), // Rule ID 14428 //
     /* 1463869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1463880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1463883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1463886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463919 */     // MIs[1] Operand 1
     /* 1463919 */     // No operand predicates
     /* 1463919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463923 */     // MIs[0] policy
     /* 1463923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463935 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463963 */     // GIR_Coverage, 14428,
     /* 1463963 */     GIR_EraseRootFromParent_Done,
     /* 1463964 */   // Label 20497: @1463964
     /* 1463964 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1464064), // Rule ID 14431 //
     /* 1463969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1463980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1463983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1463986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464019 */     // MIs[1] Operand 1
     /* 1464019 */     // No operand predicates
     /* 1464019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464023 */     // MIs[0] policy
     /* 1464023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464035 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464063 */     // GIR_Coverage, 14431,
     /* 1464063 */     GIR_EraseRootFromParent_Done,
     /* 1464064 */   // Label 20498: @1464064
     /* 1464064 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1464164), // Rule ID 14432 //
     /* 1464069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464119 */     // MIs[1] Operand 1
     /* 1464119 */     // No operand predicates
     /* 1464119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464123 */     // MIs[0] policy
     /* 1464123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464135 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464163 */     // GIR_Coverage, 14432,
     /* 1464163 */     GIR_EraseRootFromParent_Done,
     /* 1464164 */   // Label 20499: @1464164
     /* 1464164 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1464264), // Rule ID 14435 //
     /* 1464169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464219 */     // MIs[1] Operand 1
     /* 1464219 */     // No operand predicates
     /* 1464219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464223 */     // MIs[0] policy
     /* 1464223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464235 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464263 */     // GIR_Coverage, 14435,
     /* 1464263 */     GIR_EraseRootFromParent_Done,
     /* 1464264 */   // Label 20500: @1464264
     /* 1464264 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1464364), // Rule ID 14436 //
     /* 1464269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464319 */     // MIs[1] Operand 1
     /* 1464319 */     // No operand predicates
     /* 1464319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464323 */     // MIs[0] policy
     /* 1464323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464363 */     // GIR_Coverage, 14436,
     /* 1464363 */     GIR_EraseRootFromParent_Done,
     /* 1464364 */   // Label 20501: @1464364
     /* 1464364 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1464464), // Rule ID 14439 //
     /* 1464369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464419 */     // MIs[1] Operand 1
     /* 1464419 */     // No operand predicates
     /* 1464419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464423 */     // MIs[0] policy
     /* 1464423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464435 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464463 */     // GIR_Coverage, 14439,
     /* 1464463 */     GIR_EraseRootFromParent_Done,
     /* 1464464 */   // Label 20502: @1464464
     /* 1464464 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1464564), // Rule ID 14440 //
     /* 1464469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464519 */     // MIs[1] Operand 1
     /* 1464519 */     // No operand predicates
     /* 1464519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464523 */     // MIs[0] policy
     /* 1464523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464563 */     // GIR_Coverage, 14440,
     /* 1464563 */     GIR_EraseRootFromParent_Done,
     /* 1464564 */   // Label 20503: @1464564
     /* 1464564 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1464664), // Rule ID 14443 //
     /* 1464569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464619 */     // MIs[1] Operand 1
     /* 1464619 */     // No operand predicates
     /* 1464619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464623 */     // MIs[0] policy
     /* 1464623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464663 */     // GIR_Coverage, 14443,
     /* 1464663 */     GIR_EraseRootFromParent_Done,
     /* 1464664 */   // Label 20504: @1464664
     /* 1464664 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1464764), // Rule ID 14444 //
     /* 1464669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464719 */     // MIs[1] Operand 1
     /* 1464719 */     // No operand predicates
     /* 1464719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464723 */     // MIs[0] policy
     /* 1464723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464763 */     // GIR_Coverage, 14444,
     /* 1464763 */     GIR_EraseRootFromParent_Done,
     /* 1464764 */   // Label 20505: @1464764
     /* 1464764 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1464864), // Rule ID 14447 //
     /* 1464769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1464772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1464780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1464783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1464786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464819 */     // MIs[1] Operand 1
     /* 1464819 */     // No operand predicates
     /* 1464819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464823 */     // MIs[0] policy
     /* 1464823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464835 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464863 */     // GIR_Coverage, 14447,
     /* 1464863 */     GIR_EraseRootFromParent_Done,
     /* 1464864 */   // Label 20506: @1464864
     /* 1464864 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1464964), // Rule ID 14448 //
     /* 1464869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1464872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1464880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1464883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1464886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464919 */     // MIs[1] Operand 1
     /* 1464919 */     // No operand predicates
     /* 1464919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464923 */     // MIs[0] policy
     /* 1464923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464935 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464963 */     // GIR_Coverage, 14448,
     /* 1464963 */     GIR_EraseRootFromParent_Done,
     /* 1464964 */   // Label 20507: @1464964
     /* 1464964 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1465064), // Rule ID 14451 //
     /* 1464969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1464972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1464980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1464983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1464986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465019 */     // MIs[1] Operand 1
     /* 1465019 */     // No operand predicates
     /* 1465019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465023 */     // MIs[0] policy
     /* 1465023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1465038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465063 */     // GIR_Coverage, 14451,
     /* 1465063 */     GIR_EraseRootFromParent_Done,
     /* 1465064 */   // Label 20508: @1465064
     /* 1465064 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1465164), // Rule ID 14452 //
     /* 1465069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465119 */     // MIs[1] Operand 1
     /* 1465119 */     // No operand predicates
     /* 1465119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465123 */     // MIs[0] policy
     /* 1465123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465135 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1465138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465163 */     // GIR_Coverage, 14452,
     /* 1465163 */     GIR_EraseRootFromParent_Done,
     /* 1465164 */   // Label 20509: @1465164
     /* 1465164 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1465264), // Rule ID 14455 //
     /* 1465169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465219 */     // MIs[1] Operand 1
     /* 1465219 */     // No operand predicates
     /* 1465219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465223 */     // MIs[0] policy
     /* 1465223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465263 */     // GIR_Coverage, 14455,
     /* 1465263 */     GIR_EraseRootFromParent_Done,
     /* 1465264 */   // Label 20510: @1465264
     /* 1465264 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1465364), // Rule ID 14456 //
     /* 1465269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465319 */     // MIs[1] Operand 1
     /* 1465319 */     // No operand predicates
     /* 1465319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465323 */     // MIs[0] policy
     /* 1465323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465335 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465363 */     // GIR_Coverage, 14456,
     /* 1465363 */     GIR_EraseRootFromParent_Done,
     /* 1465364 */   // Label 20511: @1465364
     /* 1465364 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1465461), // Rule ID 23575 //
     /* 1465369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465419 */     // MIs[1] Operand 1
     /* 1465419 */     // No operand predicates
     /* 1465419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465423 */     // MIs[0] policy
     /* 1465423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465460 */     // GIR_Coverage, 23575,
     /* 1465460 */     GIR_EraseRootFromParent_Done,
     /* 1465461 */   // Label 20512: @1465461
     /* 1465461 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1465558), // Rule ID 23576 //
     /* 1465466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465516 */     // MIs[1] Operand 1
     /* 1465516 */     // No operand predicates
     /* 1465516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465520 */     // MIs[0] policy
     /* 1465520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465557 */     // GIR_Coverage, 23576,
     /* 1465557 */     GIR_EraseRootFromParent_Done,
     /* 1465558 */   // Label 20513: @1465558
     /* 1465558 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1465655), // Rule ID 23579 //
     /* 1465563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465613 */     // MIs[1] Operand 1
     /* 1465613 */     // No operand predicates
     /* 1465613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465617 */     // MIs[0] policy
     /* 1465617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1465632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465654 */     // GIR_Coverage, 23579,
     /* 1465654 */     GIR_EraseRootFromParent_Done,
     /* 1465655 */   // Label 20514: @1465655
     /* 1465655 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1465752), // Rule ID 23580 //
     /* 1465660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465710 */     // MIs[1] Operand 1
     /* 1465710 */     // No operand predicates
     /* 1465710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465714 */     // MIs[0] policy
     /* 1465714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1465729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465751 */     // GIR_Coverage, 23580,
     /* 1465751 */     GIR_EraseRootFromParent_Done,
     /* 1465752 */   // Label 20515: @1465752
     /* 1465752 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1465849), // Rule ID 23583 //
     /* 1465757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1465774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465807 */     // MIs[1] Operand 1
     /* 1465807 */     // No operand predicates
     /* 1465807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465811 */     // MIs[0] policy
     /* 1465811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465823 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1465826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465848 */     // GIR_Coverage, 23583,
     /* 1465848 */     GIR_EraseRootFromParent_Done,
     /* 1465849 */   // Label 20516: @1465849
     /* 1465849 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1465946), // Rule ID 23584 //
     /* 1465854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1465871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465904 */     // MIs[1] Operand 1
     /* 1465904 */     // No operand predicates
     /* 1465904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465908 */     // MIs[0] policy
     /* 1465908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465920 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1465923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465945 */     // GIR_Coverage, 23584,
     /* 1465945 */     GIR_EraseRootFromParent_Done,
     /* 1465946 */   // Label 20517: @1465946
     /* 1465946 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1466043), // Rule ID 23587 //
     /* 1465951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1465962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1465965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1465968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466001 */     // MIs[1] Operand 1
     /* 1466001 */     // No operand predicates
     /* 1466001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466005 */     // MIs[0] policy
     /* 1466005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466042 */     // GIR_Coverage, 23587,
     /* 1466042 */     GIR_EraseRootFromParent_Done,
     /* 1466043 */   // Label 20518: @1466043
     /* 1466043 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1466140), // Rule ID 23588 //
     /* 1466048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466098 */     // MIs[1] Operand 1
     /* 1466098 */     // No operand predicates
     /* 1466098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466102 */     // MIs[0] policy
     /* 1466102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466139 */     // GIR_Coverage, 23588,
     /* 1466139 */     GIR_EraseRootFromParent_Done,
     /* 1466140 */   // Label 20519: @1466140
     /* 1466140 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1466237), // Rule ID 23591 //
     /* 1466145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466195 */     // MIs[1] Operand 1
     /* 1466195 */     // No operand predicates
     /* 1466195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466199 */     // MIs[0] policy
     /* 1466199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466236 */     // GIR_Coverage, 23591,
     /* 1466236 */     GIR_EraseRootFromParent_Done,
     /* 1466237 */   // Label 20520: @1466237
     /* 1466237 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1466334), // Rule ID 23592 //
     /* 1466242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466292 */     // MIs[1] Operand 1
     /* 1466292 */     // No operand predicates
     /* 1466292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466296 */     // MIs[0] policy
     /* 1466296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466333 */     // GIR_Coverage, 23592,
     /* 1466333 */     GIR_EraseRootFromParent_Done,
     /* 1466334 */   // Label 20521: @1466334
     /* 1466334 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1466431), // Rule ID 23595 //
     /* 1466339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466389 */     // MIs[1] Operand 1
     /* 1466389 */     // No operand predicates
     /* 1466389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466393 */     // MIs[0] policy
     /* 1466393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466430 */     // GIR_Coverage, 23595,
     /* 1466430 */     GIR_EraseRootFromParent_Done,
     /* 1466431 */   // Label 20522: @1466431
     /* 1466431 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1466528), // Rule ID 23596 //
     /* 1466436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466486 */     // MIs[1] Operand 1
     /* 1466486 */     // No operand predicates
     /* 1466486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466490 */     // MIs[0] policy
     /* 1466490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466502 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466527 */     // GIR_Coverage, 23596,
     /* 1466527 */     GIR_EraseRootFromParent_Done,
     /* 1466528 */   // Label 20523: @1466528
     /* 1466528 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1466625), // Rule ID 23599 //
     /* 1466533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466583 */     // MIs[1] Operand 1
     /* 1466583 */     // No operand predicates
     /* 1466583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466587 */     // MIs[0] policy
     /* 1466587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466624 */     // GIR_Coverage, 23599,
     /* 1466624 */     GIR_EraseRootFromParent_Done,
     /* 1466625 */   // Label 20524: @1466625
     /* 1466625 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1466722), // Rule ID 23600 //
     /* 1466630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466680 */     // MIs[1] Operand 1
     /* 1466680 */     // No operand predicates
     /* 1466680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466684 */     // MIs[0] policy
     /* 1466684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466721 */     // GIR_Coverage, 23600,
     /* 1466721 */     GIR_EraseRootFromParent_Done,
     /* 1466722 */   // Label 20525: @1466722
     /* 1466722 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1466819), // Rule ID 23603 //
     /* 1466727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1466744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466777 */     // MIs[1] Operand 1
     /* 1466777 */     // No operand predicates
     /* 1466777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466781 */     // MIs[0] policy
     /* 1466781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466818 */     // GIR_Coverage, 23603,
     /* 1466818 */     GIR_EraseRootFromParent_Done,
     /* 1466819 */   // Label 20526: @1466819
     /* 1466819 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1466916), // Rule ID 23604 //
     /* 1466824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1466841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466874 */     // MIs[1] Operand 1
     /* 1466874 */     // No operand predicates
     /* 1466874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466878 */     // MIs[0] policy
     /* 1466878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466915 */     // GIR_Coverage, 23604,
     /* 1466915 */     GIR_EraseRootFromParent_Done,
     /* 1466916 */   // Label 20527: @1466916
     /* 1466916 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1467013), // Rule ID 23607 //
     /* 1466921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1466932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1466935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1466938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466971 */     // MIs[1] Operand 1
     /* 1466971 */     // No operand predicates
     /* 1466971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466975 */     // MIs[0] policy
     /* 1466975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467012 */     // GIR_Coverage, 23607,
     /* 1467012 */     GIR_EraseRootFromParent_Done,
     /* 1467013 */   // Label 20528: @1467013
     /* 1467013 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1467110), // Rule ID 23608 //
     /* 1467018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1467035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467068 */     // MIs[1] Operand 1
     /* 1467068 */     // No operand predicates
     /* 1467068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467072 */     // MIs[0] policy
     /* 1467072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467109 */     // GIR_Coverage, 23608,
     /* 1467109 */     GIR_EraseRootFromParent_Done,
     /* 1467110 */   // Label 20529: @1467110
     /* 1467110 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1467207), // Rule ID 23611 //
     /* 1467115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467165 */     // MIs[1] Operand 1
     /* 1467165 */     // No operand predicates
     /* 1467165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467169 */     // MIs[0] policy
     /* 1467169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467206 */     // GIR_Coverage, 23611,
     /* 1467206 */     GIR_EraseRootFromParent_Done,
     /* 1467207 */   // Label 20530: @1467207
     /* 1467207 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1467304), // Rule ID 23612 //
     /* 1467212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467262 */     // MIs[1] Operand 1
     /* 1467262 */     // No operand predicates
     /* 1467262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467266 */     // MIs[0] policy
     /* 1467266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467303 */     // GIR_Coverage, 23612,
     /* 1467303 */     GIR_EraseRootFromParent_Done,
     /* 1467304 */   // Label 20531: @1467304
     /* 1467304 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1467401), // Rule ID 23615 //
     /* 1467309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467359 */     // MIs[1] Operand 1
     /* 1467359 */     // No operand predicates
     /* 1467359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467363 */     // MIs[0] policy
     /* 1467363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467375 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467400 */     // GIR_Coverage, 23615,
     /* 1467400 */     GIR_EraseRootFromParent_Done,
     /* 1467401 */   // Label 20532: @1467401
     /* 1467401 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1467498), // Rule ID 23616 //
     /* 1467406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467456 */     // MIs[1] Operand 1
     /* 1467456 */     // No operand predicates
     /* 1467456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467460 */     // MIs[0] policy
     /* 1467460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467497 */     // GIR_Coverage, 23616,
     /* 1467497 */     GIR_EraseRootFromParent_Done,
     /* 1467498 */   // Label 20533: @1467498
     /* 1467498 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1467595), // Rule ID 23619 //
     /* 1467503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467553 */     // MIs[1] Operand 1
     /* 1467553 */     // No operand predicates
     /* 1467553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467557 */     // MIs[0] policy
     /* 1467557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467569 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467594 */     // GIR_Coverage, 23619,
     /* 1467594 */     GIR_EraseRootFromParent_Done,
     /* 1467595 */   // Label 20534: @1467595
     /* 1467595 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1467692), // Rule ID 23620 //
     /* 1467600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467650 */     // MIs[1] Operand 1
     /* 1467650 */     // No operand predicates
     /* 1467650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467654 */     // MIs[0] policy
     /* 1467654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467691 */     // GIR_Coverage, 23620,
     /* 1467691 */     GIR_EraseRootFromParent_Done,
     /* 1467692 */   // Label 20535: @1467692
     /* 1467692 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1467789), // Rule ID 23623 //
     /* 1467697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1467708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1467711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1467714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1467720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467747 */     // MIs[1] Operand 1
     /* 1467747 */     // No operand predicates
     /* 1467747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467751 */     // MIs[0] policy
     /* 1467751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467788 */     // GIR_Coverage, 23623,
     /* 1467788 */     GIR_EraseRootFromParent_Done,
     /* 1467789 */   // Label 20536: @1467789
     /* 1467789 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1467886), // Rule ID 23624 //
     /* 1467794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1467805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1467808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1467811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1467817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467844 */     // MIs[1] Operand 1
     /* 1467844 */     // No operand predicates
     /* 1467844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467848 */     // MIs[0] policy
     /* 1467848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467860 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467885 */     // GIR_Coverage, 23624,
     /* 1467885 */     GIR_EraseRootFromParent_Done,
     /* 1467886 */   // Label 20537: @1467886
     /* 1467886 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1467983), // Rule ID 23627 //
     /* 1467891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1467902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1467905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1467908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467941 */     // MIs[1] Operand 1
     /* 1467941 */     // No operand predicates
     /* 1467941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467945 */     // MIs[0] policy
     /* 1467945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467982 */     // GIR_Coverage, 23627,
     /* 1467982 */     GIR_EraseRootFromParent_Done,
     /* 1467983 */   // Label 20538: @1467983
     /* 1467983 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1468080), // Rule ID 23628 //
     /* 1467988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1467999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468038 */     // MIs[1] Operand 1
     /* 1468038 */     // No operand predicates
     /* 1468038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468042 */     // MIs[0] policy
     /* 1468042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468054 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468079 */     // GIR_Coverage, 23628,
     /* 1468079 */     GIR_EraseRootFromParent_Done,
     /* 1468080 */   // Label 20539: @1468080
     /* 1468080 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1468177), // Rule ID 23631 //
     /* 1468085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468135 */     // MIs[1] Operand 1
     /* 1468135 */     // No operand predicates
     /* 1468135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468139 */     // MIs[0] policy
     /* 1468139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468176 */     // GIR_Coverage, 23631,
     /* 1468176 */     GIR_EraseRootFromParent_Done,
     /* 1468177 */   // Label 20540: @1468177
     /* 1468177 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1468274), // Rule ID 23632 //
     /* 1468182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468232 */     // MIs[1] Operand 1
     /* 1468232 */     // No operand predicates
     /* 1468232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468236 */     // MIs[0] policy
     /* 1468236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468273 */     // GIR_Coverage, 23632,
     /* 1468273 */     GIR_EraseRootFromParent_Done,
     /* 1468274 */   // Label 20541: @1468274
     /* 1468274 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1468371), // Rule ID 23635 //
     /* 1468279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468329 */     // MIs[1] Operand 1
     /* 1468329 */     // No operand predicates
     /* 1468329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468333 */     // MIs[0] policy
     /* 1468333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468370 */     // GIR_Coverage, 23635,
     /* 1468370 */     GIR_EraseRootFromParent_Done,
     /* 1468371 */   // Label 20542: @1468371
     /* 1468371 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1468468), // Rule ID 23636 //
     /* 1468376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468426 */     // MIs[1] Operand 1
     /* 1468426 */     // No operand predicates
     /* 1468426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468430 */     // MIs[0] policy
     /* 1468430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468467 */     // GIR_Coverage, 23636,
     /* 1468467 */     GIR_EraseRootFromParent_Done,
     /* 1468468 */   // Label 20543: @1468468
     /* 1468468 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1468565), // Rule ID 23639 //
     /* 1468473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468523 */     // MIs[1] Operand 1
     /* 1468523 */     // No operand predicates
     /* 1468523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468527 */     // MIs[0] policy
     /* 1468527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468564 */     // GIR_Coverage, 23639,
     /* 1468564 */     GIR_EraseRootFromParent_Done,
     /* 1468565 */   // Label 20544: @1468565
     /* 1468565 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1468662), // Rule ID 23640 //
     /* 1468570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468620 */     // MIs[1] Operand 1
     /* 1468620 */     // No operand predicates
     /* 1468620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468624 */     // MIs[0] policy
     /* 1468624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468661 */     // GIR_Coverage, 23640,
     /* 1468661 */     GIR_EraseRootFromParent_Done,
     /* 1468662 */   // Label 20545: @1468662
     /* 1468662 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1468759), // Rule ID 23643 //
     /* 1468667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1468678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1468681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1468684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468717 */     // MIs[1] Operand 1
     /* 1468717 */     // No operand predicates
     /* 1468717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468721 */     // MIs[0] policy
     /* 1468721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468758 */     // GIR_Coverage, 23643,
     /* 1468758 */     GIR_EraseRootFromParent_Done,
     /* 1468759 */   // Label 20546: @1468759
     /* 1468759 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1468856), // Rule ID 23644 //
     /* 1468764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1468775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1468778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1468781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468814 */     // MIs[1] Operand 1
     /* 1468814 */     // No operand predicates
     /* 1468814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468818 */     // MIs[0] policy
     /* 1468818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468855 */     // GIR_Coverage, 23644,
     /* 1468855 */     GIR_EraseRootFromParent_Done,
     /* 1468856 */   // Label 20547: @1468856
     /* 1468856 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1468953), // Rule ID 23647 //
     /* 1468861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1468872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1468875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1468878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468911 */     // MIs[1] Operand 1
     /* 1468911 */     // No operand predicates
     /* 1468911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468915 */     // MIs[0] policy
     /* 1468915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468952 */     // GIR_Coverage, 23647,
     /* 1468952 */     GIR_EraseRootFromParent_Done,
     /* 1468953 */   // Label 20548: @1468953
     /* 1468953 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1469050), // Rule ID 23648 //
     /* 1468958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1468969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1468972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1468975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469008 */     // MIs[1] Operand 1
     /* 1469008 */     // No operand predicates
     /* 1469008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469012 */     // MIs[0] policy
     /* 1469012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469049 */     // GIR_Coverage, 23648,
     /* 1469049 */     GIR_EraseRootFromParent_Done,
     /* 1469050 */   // Label 20549: @1469050
     /* 1469050 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1469147), // Rule ID 23651 //
     /* 1469055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469105 */     // MIs[1] Operand 1
     /* 1469105 */     // No operand predicates
     /* 1469105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469109 */     // MIs[0] policy
     /* 1469109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469146 */     // GIR_Coverage, 23651,
     /* 1469146 */     GIR_EraseRootFromParent_Done,
     /* 1469147 */   // Label 20550: @1469147
     /* 1469147 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1469244), // Rule ID 23652 //
     /* 1469152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469202 */     // MIs[1] Operand 1
     /* 1469202 */     // No operand predicates
     /* 1469202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469206 */     // MIs[0] policy
     /* 1469206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469243 */     // GIR_Coverage, 23652,
     /* 1469243 */     GIR_EraseRootFromParent_Done,
     /* 1469244 */   // Label 20551: @1469244
     /* 1469244 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1469341), // Rule ID 23655 //
     /* 1469249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469299 */     // MIs[1] Operand 1
     /* 1469299 */     // No operand predicates
     /* 1469299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469303 */     // MIs[0] policy
     /* 1469303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469340 */     // GIR_Coverage, 23655,
     /* 1469340 */     GIR_EraseRootFromParent_Done,
     /* 1469341 */   // Label 20552: @1469341
     /* 1469341 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1469438), // Rule ID 23656 //
     /* 1469346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469396 */     // MIs[1] Operand 1
     /* 1469396 */     // No operand predicates
     /* 1469396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469400 */     // MIs[0] policy
     /* 1469400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469437 */     // GIR_Coverage, 23656,
     /* 1469437 */     GIR_EraseRootFromParent_Done,
     /* 1469438 */   // Label 20553: @1469438
     /* 1469438 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1469535), // Rule ID 23659 //
     /* 1469443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469493 */     // MIs[1] Operand 1
     /* 1469493 */     // No operand predicates
     /* 1469493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469497 */     // MIs[0] policy
     /* 1469497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469534 */     // GIR_Coverage, 23659,
     /* 1469534 */     GIR_EraseRootFromParent_Done,
     /* 1469535 */   // Label 20554: @1469535
     /* 1469535 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1469632), // Rule ID 23660 //
     /* 1469540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469590 */     // MIs[1] Operand 1
     /* 1469590 */     // No operand predicates
     /* 1469590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469594 */     // MIs[0] policy
     /* 1469594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469631 */     // GIR_Coverage, 23660,
     /* 1469631 */     GIR_EraseRootFromParent_Done,
     /* 1469632 */   // Label 20555: @1469632
     /* 1469632 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1469729), // Rule ID 23751 //
     /* 1469637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1469648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1469651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1469654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469687 */     // MIs[1] Operand 1
     /* 1469687 */     // No operand predicates
     /* 1469687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469691 */     // MIs[0] policy
     /* 1469691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1469706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469728 */     // GIR_Coverage, 23751,
     /* 1469728 */     GIR_EraseRootFromParent_Done,
     /* 1469729 */   // Label 20556: @1469729
     /* 1469729 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1469826), // Rule ID 23752 //
     /* 1469734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1469745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1469748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1469751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469784 */     // MIs[1] Operand 1
     /* 1469784 */     // No operand predicates
     /* 1469784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469788 */     // MIs[0] policy
     /* 1469788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1469803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469825 */     // GIR_Coverage, 23752,
     /* 1469825 */     GIR_EraseRootFromParent_Done,
     /* 1469826 */   // Label 20557: @1469826
     /* 1469826 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1469923), // Rule ID 23755 //
     /* 1469831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1469842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1469845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1469848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469881 */     // MIs[1] Operand 1
     /* 1469881 */     // No operand predicates
     /* 1469881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469885 */     // MIs[0] policy
     /* 1469885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1469900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469922 */     // GIR_Coverage, 23755,
     /* 1469922 */     GIR_EraseRootFromParent_Done,
     /* 1469923 */   // Label 20558: @1469923
     /* 1469923 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1470020), // Rule ID 23756 //
     /* 1469928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1469939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1469942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1469945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469978 */     // MIs[1] Operand 1
     /* 1469978 */     // No operand predicates
     /* 1469978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469982 */     // MIs[0] policy
     /* 1469982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1469997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470019 */     // GIR_Coverage, 23756,
     /* 1470019 */     GIR_EraseRootFromParent_Done,
     /* 1470020 */   // Label 20559: @1470020
     /* 1470020 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1470117), // Rule ID 23759 //
     /* 1470025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470075 */     // MIs[1] Operand 1
     /* 1470075 */     // No operand predicates
     /* 1470075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470079 */     // MIs[0] policy
     /* 1470079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470116 */     // GIR_Coverage, 23759,
     /* 1470116 */     GIR_EraseRootFromParent_Done,
     /* 1470117 */   // Label 20560: @1470117
     /* 1470117 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1470214), // Rule ID 23760 //
     /* 1470122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470172 */     // MIs[1] Operand 1
     /* 1470172 */     // No operand predicates
     /* 1470172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470176 */     // MIs[0] policy
     /* 1470176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470213 */     // GIR_Coverage, 23760,
     /* 1470213 */     GIR_EraseRootFromParent_Done,
     /* 1470214 */   // Label 20561: @1470214
     /* 1470214 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1470311), // Rule ID 23763 //
     /* 1470219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470269 */     // MIs[1] Operand 1
     /* 1470269 */     // No operand predicates
     /* 1470269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470273 */     // MIs[0] policy
     /* 1470273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470285 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470310 */     // GIR_Coverage, 23763,
     /* 1470310 */     GIR_EraseRootFromParent_Done,
     /* 1470311 */   // Label 20562: @1470311
     /* 1470311 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1470408), // Rule ID 23764 //
     /* 1470316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470366 */     // MIs[1] Operand 1
     /* 1470366 */     // No operand predicates
     /* 1470366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470370 */     // MIs[0] policy
     /* 1470370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470407 */     // GIR_Coverage, 23764,
     /* 1470407 */     GIR_EraseRootFromParent_Done,
     /* 1470408 */   // Label 20563: @1470408
     /* 1470408 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1470505), // Rule ID 23767 //
     /* 1470413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470463 */     // MIs[1] Operand 1
     /* 1470463 */     // No operand predicates
     /* 1470463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470467 */     // MIs[0] policy
     /* 1470467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470479 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470504 */     // GIR_Coverage, 23767,
     /* 1470504 */     GIR_EraseRootFromParent_Done,
     /* 1470505 */   // Label 20564: @1470505
     /* 1470505 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1470602), // Rule ID 23768 //
     /* 1470510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470560 */     // MIs[1] Operand 1
     /* 1470560 */     // No operand predicates
     /* 1470560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470564 */     // MIs[0] policy
     /* 1470564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470601 */     // GIR_Coverage, 23768,
     /* 1470601 */     GIR_EraseRootFromParent_Done,
     /* 1470602 */   // Label 20565: @1470602
     /* 1470602 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1470699), // Rule ID 23771 //
     /* 1470607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1470621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470657 */     // MIs[1] Operand 1
     /* 1470657 */     // No operand predicates
     /* 1470657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470661 */     // MIs[0] policy
     /* 1470661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470698 */     // GIR_Coverage, 23771,
     /* 1470698 */     GIR_EraseRootFromParent_Done,
     /* 1470699 */   // Label 20566: @1470699
     /* 1470699 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1470796), // Rule ID 23772 //
     /* 1470704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1470718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470754 */     // MIs[1] Operand 1
     /* 1470754 */     // No operand predicates
     /* 1470754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470758 */     // MIs[0] policy
     /* 1470758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470795 */     // GIR_Coverage, 23772,
     /* 1470795 */     GIR_EraseRootFromParent_Done,
     /* 1470796 */   // Label 20567: @1470796
     /* 1470796 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1470893), // Rule ID 23775 //
     /* 1470801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1470812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1470815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1470818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470851 */     // MIs[1] Operand 1
     /* 1470851 */     // No operand predicates
     /* 1470851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470855 */     // MIs[0] policy
     /* 1470855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470892 */     // GIR_Coverage, 23775,
     /* 1470892 */     GIR_EraseRootFromParent_Done,
     /* 1470893 */   // Label 20568: @1470893
     /* 1470893 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1470990), // Rule ID 23776 //
     /* 1470898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1470909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1470912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1470915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470948 */     // MIs[1] Operand 1
     /* 1470948 */     // No operand predicates
     /* 1470948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470952 */     // MIs[0] policy
     /* 1470952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470989 */     // GIR_Coverage, 23776,
     /* 1470989 */     GIR_EraseRootFromParent_Done,
     /* 1470990 */   // Label 20569: @1470990
     /* 1470990 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1471087), // Rule ID 23779 //
     /* 1470995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471045 */     // MIs[1] Operand 1
     /* 1471045 */     // No operand predicates
     /* 1471045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471049 */     // MIs[0] policy
     /* 1471049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471086 */     // GIR_Coverage, 23779,
     /* 1471086 */     GIR_EraseRootFromParent_Done,
     /* 1471087 */   // Label 20570: @1471087
     /* 1471087 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1471184), // Rule ID 23780 //
     /* 1471092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471142 */     // MIs[1] Operand 1
     /* 1471142 */     // No operand predicates
     /* 1471142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471146 */     // MIs[0] policy
     /* 1471146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471183 */     // GIR_Coverage, 23780,
     /* 1471183 */     GIR_EraseRootFromParent_Done,
     /* 1471184 */   // Label 20571: @1471184
     /* 1471184 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1471281), // Rule ID 23783 //
     /* 1471189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471239 */     // MIs[1] Operand 1
     /* 1471239 */     // No operand predicates
     /* 1471239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471243 */     // MIs[0] policy
     /* 1471243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471280 */     // GIR_Coverage, 23783,
     /* 1471280 */     GIR_EraseRootFromParent_Done,
     /* 1471281 */   // Label 20572: @1471281
     /* 1471281 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1471378), // Rule ID 23784 //
     /* 1471286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471336 */     // MIs[1] Operand 1
     /* 1471336 */     // No operand predicates
     /* 1471336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471340 */     // MIs[0] policy
     /* 1471340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471377 */     // GIR_Coverage, 23784,
     /* 1471377 */     GIR_EraseRootFromParent_Done,
     /* 1471378 */   // Label 20573: @1471378
     /* 1471378 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1471475), // Rule ID 23787 //
     /* 1471383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471433 */     // MIs[1] Operand 1
     /* 1471433 */     // No operand predicates
     /* 1471433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471437 */     // MIs[0] policy
     /* 1471437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471474 */     // GIR_Coverage, 23787,
     /* 1471474 */     GIR_EraseRootFromParent_Done,
     /* 1471475 */   // Label 20574: @1471475
     /* 1471475 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1471572), // Rule ID 23788 //
     /* 1471480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471530 */     // MIs[1] Operand 1
     /* 1471530 */     // No operand predicates
     /* 1471530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471534 */     // MIs[0] policy
     /* 1471534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471571 */     // GIR_Coverage, 23788,
     /* 1471571 */     GIR_EraseRootFromParent_Done,
     /* 1471572 */   // Label 20575: @1471572
     /* 1471572 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1471669), // Rule ID 23791 //
     /* 1471577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471627 */     // MIs[1] Operand 1
     /* 1471627 */     // No operand predicates
     /* 1471627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471631 */     // MIs[0] policy
     /* 1471631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1471646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471668 */     // GIR_Coverage, 23791,
     /* 1471668 */     GIR_EraseRootFromParent_Done,
     /* 1471669 */   // Label 20576: @1471669
     /* 1471669 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1471766), // Rule ID 23792 //
     /* 1471674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471724 */     // MIs[1] Operand 1
     /* 1471724 */     // No operand predicates
     /* 1471724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471728 */     // MIs[0] policy
     /* 1471728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1471743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471765 */     // GIR_Coverage, 23792,
     /* 1471765 */     GIR_EraseRootFromParent_Done,
     /* 1471766 */   // Label 20577: @1471766
     /* 1471766 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1471863), // Rule ID 23795 //
     /* 1471771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1471782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1471785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1471788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471821 */     // MIs[1] Operand 1
     /* 1471821 */     // No operand predicates
     /* 1471821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471825 */     // MIs[0] policy
     /* 1471825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471837 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471862 */     // GIR_Coverage, 23795,
     /* 1471862 */     GIR_EraseRootFromParent_Done,
     /* 1471863 */   // Label 20578: @1471863
     /* 1471863 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1471960), // Rule ID 23796 //
     /* 1471868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1471879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1471882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1471885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471918 */     // MIs[1] Operand 1
     /* 1471918 */     // No operand predicates
     /* 1471918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471922 */     // MIs[0] policy
     /* 1471922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471934 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471959 */     // GIR_Coverage, 23796,
     /* 1471959 */     GIR_EraseRootFromParent_Done,
     /* 1471960 */   // Label 20579: @1471960
     /* 1471960 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1472057), // Rule ID 23799 //
     /* 1471965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1471976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1471979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1471982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1471988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472015 */     // MIs[1] Operand 1
     /* 1472015 */     // No operand predicates
     /* 1472015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472019 */     // MIs[0] policy
     /* 1472019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472031 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472056 */     // GIR_Coverage, 23799,
     /* 1472056 */     GIR_EraseRootFromParent_Done,
     /* 1472057 */   // Label 20580: @1472057
     /* 1472057 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1472154), // Rule ID 23800 //
     /* 1472062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472112 */     // MIs[1] Operand 1
     /* 1472112 */     // No operand predicates
     /* 1472112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472116 */     // MIs[0] policy
     /* 1472116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472128 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472153 */     // GIR_Coverage, 23800,
     /* 1472153 */     GIR_EraseRootFromParent_Done,
     /* 1472154 */   // Label 20581: @1472154
     /* 1472154 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1472251), // Rule ID 23803 //
     /* 1472159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472209 */     // MIs[1] Operand 1
     /* 1472209 */     // No operand predicates
     /* 1472209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472213 */     // MIs[0] policy
     /* 1472213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472250 */     // GIR_Coverage, 23803,
     /* 1472250 */     GIR_EraseRootFromParent_Done,
     /* 1472251 */   // Label 20582: @1472251
     /* 1472251 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1472348), // Rule ID 23804 //
     /* 1472256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472306 */     // MIs[1] Operand 1
     /* 1472306 */     // No operand predicates
     /* 1472306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472310 */     // MIs[0] policy
     /* 1472310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472347 */     // GIR_Coverage, 23804,
     /* 1472347 */     GIR_EraseRootFromParent_Done,
     /* 1472348 */   // Label 20583: @1472348
     /* 1472348 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1472445), // Rule ID 23807 //
     /* 1472353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472403 */     // MIs[1] Operand 1
     /* 1472403 */     // No operand predicates
     /* 1472403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472407 */     // MIs[0] policy
     /* 1472407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472444 */     // GIR_Coverage, 23807,
     /* 1472444 */     GIR_EraseRootFromParent_Done,
     /* 1472445 */   // Label 20584: @1472445
     /* 1472445 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1472542), // Rule ID 23808 //
     /* 1472450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472500 */     // MIs[1] Operand 1
     /* 1472500 */     // No operand predicates
     /* 1472500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472504 */     // MIs[0] policy
     /* 1472504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472541 */     // GIR_Coverage, 23808,
     /* 1472541 */     GIR_EraseRootFromParent_Done,
     /* 1472542 */   // Label 20585: @1472542
     /* 1472542 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1472639), // Rule ID 23811 //
     /* 1472547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472597 */     // MIs[1] Operand 1
     /* 1472597 */     // No operand predicates
     /* 1472597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472601 */     // MIs[0] policy
     /* 1472601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472638 */     // GIR_Coverage, 23811,
     /* 1472638 */     GIR_EraseRootFromParent_Done,
     /* 1472639 */   // Label 20586: @1472639
     /* 1472639 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1472736), // Rule ID 23812 //
     /* 1472644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472694 */     // MIs[1] Operand 1
     /* 1472694 */     // No operand predicates
     /* 1472694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472698 */     // MIs[0] policy
     /* 1472698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472710 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472735 */     // GIR_Coverage, 23812,
     /* 1472735 */     GIR_EraseRootFromParent_Done,
     /* 1472736 */   // Label 20587: @1472736
     /* 1472736 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1472833), // Rule ID 23815 //
     /* 1472741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1472758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472791 */     // MIs[1] Operand 1
     /* 1472791 */     // No operand predicates
     /* 1472791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472795 */     // MIs[0] policy
     /* 1472795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472832 */     // GIR_Coverage, 23815,
     /* 1472832 */     GIR_EraseRootFromParent_Done,
     /* 1472833 */   // Label 20588: @1472833
     /* 1472833 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1472930), // Rule ID 23816 //
     /* 1472838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1472855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472888 */     // MIs[1] Operand 1
     /* 1472888 */     // No operand predicates
     /* 1472888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472892 */     // MIs[0] policy
     /* 1472892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472929 */     // GIR_Coverage, 23816,
     /* 1472929 */     GIR_EraseRootFromParent_Done,
     /* 1472930 */   // Label 20589: @1472930
     /* 1472930 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1473027), // Rule ID 23819 //
     /* 1472935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1472946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1472949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1472952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472985 */     // MIs[1] Operand 1
     /* 1472985 */     // No operand predicates
     /* 1472985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472989 */     // MIs[0] policy
     /* 1472989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473026 */     // GIR_Coverage, 23819,
     /* 1473026 */     GIR_EraseRootFromParent_Done,
     /* 1473027 */   // Label 20590: @1473027
     /* 1473027 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1473124), // Rule ID 23820 //
     /* 1473032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1473049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473082 */     // MIs[1] Operand 1
     /* 1473082 */     // No operand predicates
     /* 1473082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473086 */     // MIs[0] policy
     /* 1473086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473123 */     // GIR_Coverage, 23820,
     /* 1473123 */     GIR_EraseRootFromParent_Done,
     /* 1473124 */   // Label 20591: @1473124
     /* 1473124 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1473221), // Rule ID 23823 //
     /* 1473129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473179 */     // MIs[1] Operand 1
     /* 1473179 */     // No operand predicates
     /* 1473179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473183 */     // MIs[0] policy
     /* 1473183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473220 */     // GIR_Coverage, 23823,
     /* 1473220 */     GIR_EraseRootFromParent_Done,
     /* 1473221 */   // Label 20592: @1473221
     /* 1473221 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1473318), // Rule ID 23824 //
     /* 1473226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473276 */     // MIs[1] Operand 1
     /* 1473276 */     // No operand predicates
     /* 1473276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473280 */     // MIs[0] policy
     /* 1473280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473317 */     // GIR_Coverage, 23824,
     /* 1473317 */     GIR_EraseRootFromParent_Done,
     /* 1473318 */   // Label 20593: @1473318
     /* 1473318 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1473415), // Rule ID 23827 //
     /* 1473323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473373 */     // MIs[1] Operand 1
     /* 1473373 */     // No operand predicates
     /* 1473373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473377 */     // MIs[0] policy
     /* 1473377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473414 */     // GIR_Coverage, 23827,
     /* 1473414 */     GIR_EraseRootFromParent_Done,
     /* 1473415 */   // Label 20594: @1473415
     /* 1473415 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1473512), // Rule ID 23828 //
     /* 1473420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473470 */     // MIs[1] Operand 1
     /* 1473470 */     // No operand predicates
     /* 1473470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473474 */     // MIs[0] policy
     /* 1473474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473511 */     // GIR_Coverage, 23828,
     /* 1473511 */     GIR_EraseRootFromParent_Done,
     /* 1473512 */   // Label 20595: @1473512
     /* 1473512 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1473609), // Rule ID 23831 //
     /* 1473517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473567 */     // MIs[1] Operand 1
     /* 1473567 */     // No operand predicates
     /* 1473567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473571 */     // MIs[0] policy
     /* 1473571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473608 */     // GIR_Coverage, 23831,
     /* 1473608 */     GIR_EraseRootFromParent_Done,
     /* 1473609 */   // Label 20596: @1473609
     /* 1473609 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1473706), // Rule ID 23832 //
     /* 1473614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473664 */     // MIs[1] Operand 1
     /* 1473664 */     // No operand predicates
     /* 1473664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473668 */     // MIs[0] policy
     /* 1473668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473705 */     // GIR_Coverage, 23832,
     /* 1473705 */     GIR_EraseRootFromParent_Done,
     /* 1473706 */   // Label 20597: @1473706
     /* 1473706 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1473803), // Rule ID 23835 //
     /* 1473711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1473722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1473725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473761 */     // MIs[1] Operand 1
     /* 1473761 */     // No operand predicates
     /* 1473761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473765 */     // MIs[0] policy
     /* 1473765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473777 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473802 */     // GIR_Coverage, 23835,
     /* 1473802 */     GIR_EraseRootFromParent_Done,
     /* 1473803 */   // Label 20598: @1473803
     /* 1473803 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1473900), // Rule ID 23836 //
     /* 1473808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1473819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1473822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473858 */     // MIs[1] Operand 1
     /* 1473858 */     // No operand predicates
     /* 1473858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473862 */     // MIs[0] policy
     /* 1473862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473899 */     // GIR_Coverage, 23836,
     /* 1473899 */     GIR_EraseRootFromParent_Done,
     /* 1473900 */   // Label 20599: @1473900
     /* 1473900 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1473997), // Rule ID 24075 //
     /* 1473905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1473908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1473916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1473919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1473922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473955 */     // MIs[1] Operand 1
     /* 1473955 */     // No operand predicates
     /* 1473955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473959 */     // MIs[0] policy
     /* 1473959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473971 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1473974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473996 */     // GIR_Coverage, 24075,
     /* 1473996 */     GIR_EraseRootFromParent_Done,
     /* 1473997 */   // Label 20600: @1473997
     /* 1473997 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1474094), // Rule ID 24076 //
     /* 1474002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474052 */     // MIs[1] Operand 1
     /* 1474052 */     // No operand predicates
     /* 1474052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474056 */     // MIs[0] policy
     /* 1474056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474068 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1474071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474093 */     // GIR_Coverage, 24076,
     /* 1474093 */     GIR_EraseRootFromParent_Done,
     /* 1474094 */   // Label 20601: @1474094
     /* 1474094 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1474191), // Rule ID 24079 //
     /* 1474099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474149 */     // MIs[1] Operand 1
     /* 1474149 */     // No operand predicates
     /* 1474149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474153 */     // MIs[0] policy
     /* 1474153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474165 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474190 */     // GIR_Coverage, 24079,
     /* 1474190 */     GIR_EraseRootFromParent_Done,
     /* 1474191 */   // Label 20602: @1474191
     /* 1474191 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1474288), // Rule ID 24080 //
     /* 1474196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474246 */     // MIs[1] Operand 1
     /* 1474246 */     // No operand predicates
     /* 1474246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474250 */     // MIs[0] policy
     /* 1474250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474262 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474287 */     // GIR_Coverage, 24080,
     /* 1474287 */     GIR_EraseRootFromParent_Done,
     /* 1474288 */   // Label 20603: @1474288
     /* 1474288 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1474385), // Rule ID 24083 //
     /* 1474293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474343 */     // MIs[1] Operand 1
     /* 1474343 */     // No operand predicates
     /* 1474343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474347 */     // MIs[0] policy
     /* 1474347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474359 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474384 */     // GIR_Coverage, 24083,
     /* 1474384 */     GIR_EraseRootFromParent_Done,
     /* 1474385 */   // Label 20604: @1474385
     /* 1474385 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1474482), // Rule ID 24084 //
     /* 1474390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474440 */     // MIs[1] Operand 1
     /* 1474440 */     // No operand predicates
     /* 1474440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474444 */     // MIs[0] policy
     /* 1474444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474481 */     // GIR_Coverage, 24084,
     /* 1474481 */     GIR_EraseRootFromParent_Done,
     /* 1474482 */   // Label 20605: @1474482
     /* 1474482 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1474579), // Rule ID 24087 //
     /* 1474487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474537 */     // MIs[1] Operand 1
     /* 1474537 */     // No operand predicates
     /* 1474537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474541 */     // MIs[0] policy
     /* 1474541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474578 */     // GIR_Coverage, 24087,
     /* 1474578 */     GIR_EraseRootFromParent_Done,
     /* 1474579 */   // Label 20606: @1474579
     /* 1474579 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1474676), // Rule ID 24088 //
     /* 1474584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474634 */     // MIs[1] Operand 1
     /* 1474634 */     // No operand predicates
     /* 1474634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474638 */     // MIs[0] policy
     /* 1474638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474650 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474675 */     // GIR_Coverage, 24088,
     /* 1474675 */     GIR_EraseRootFromParent_Done,
     /* 1474676 */   // Label 20607: @1474676
     /* 1474676 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1474773), // Rule ID 24091 //
     /* 1474681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1474692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1474695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1474698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474731 */     // MIs[1] Operand 1
     /* 1474731 */     // No operand predicates
     /* 1474731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474735 */     // MIs[0] policy
     /* 1474735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474772 */     // GIR_Coverage, 24091,
     /* 1474772 */     GIR_EraseRootFromParent_Done,
     /* 1474773 */   // Label 20608: @1474773
     /* 1474773 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1474870), // Rule ID 24092 //
     /* 1474778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1474789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1474792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1474795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474828 */     // MIs[1] Operand 1
     /* 1474828 */     // No operand predicates
     /* 1474828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474832 */     // MIs[0] policy
     /* 1474832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474869 */     // GIR_Coverage, 24092,
     /* 1474869 */     GIR_EraseRootFromParent_Done,
     /* 1474870 */   // Label 20609: @1474870
     /* 1474870 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1474967), // Rule ID 24095 //
     /* 1474875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1474878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474925 */     // MIs[1] Operand 1
     /* 1474925 */     // No operand predicates
     /* 1474925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474929 */     // MIs[0] policy
     /* 1474929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474941 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474966 */     // GIR_Coverage, 24095,
     /* 1474966 */     GIR_EraseRootFromParent_Done,
     /* 1474967 */   // Label 20610: @1474967
     /* 1474967 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1475064), // Rule ID 24096 //
     /* 1474972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1474975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475022 */     // MIs[1] Operand 1
     /* 1475022 */     // No operand predicates
     /* 1475022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475026 */     // MIs[0] policy
     /* 1475026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475038 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475063 */     // GIR_Coverage, 24096,
     /* 1475063 */     GIR_EraseRootFromParent_Done,
     /* 1475064 */   // Label 20611: @1475064
     /* 1475064 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1475161), // Rule ID 24099 //
     /* 1475069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475119 */     // MIs[1] Operand 1
     /* 1475119 */     // No operand predicates
     /* 1475119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475123 */     // MIs[0] policy
     /* 1475123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475135 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475160 */     // GIR_Coverage, 24099,
     /* 1475160 */     GIR_EraseRootFromParent_Done,
     /* 1475161 */   // Label 20612: @1475161
     /* 1475161 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1475258), // Rule ID 24100 //
     /* 1475166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475216 */     // MIs[1] Operand 1
     /* 1475216 */     // No operand predicates
     /* 1475216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475220 */     // MIs[0] policy
     /* 1475220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475232 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475257 */     // GIR_Coverage, 24100,
     /* 1475257 */     GIR_EraseRootFromParent_Done,
     /* 1475258 */   // Label 20613: @1475258
     /* 1475258 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1475355), // Rule ID 24103 //
     /* 1475263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475313 */     // MIs[1] Operand 1
     /* 1475313 */     // No operand predicates
     /* 1475313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475317 */     // MIs[0] policy
     /* 1475317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475329 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475354 */     // GIR_Coverage, 24103,
     /* 1475354 */     GIR_EraseRootFromParent_Done,
     /* 1475355 */   // Label 20614: @1475355
     /* 1475355 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1475452), // Rule ID 24104 //
     /* 1475360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475410 */     // MIs[1] Operand 1
     /* 1475410 */     // No operand predicates
     /* 1475410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475414 */     // MIs[0] policy
     /* 1475414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475426 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475451 */     // GIR_Coverage, 24104,
     /* 1475451 */     GIR_EraseRootFromParent_Done,
     /* 1475452 */   // Label 20615: @1475452
     /* 1475452 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1475549), // Rule ID 24107 //
     /* 1475457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475507 */     // MIs[1] Operand 1
     /* 1475507 */     // No operand predicates
     /* 1475507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475511 */     // MIs[0] policy
     /* 1475511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475523 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475548 */     // GIR_Coverage, 24107,
     /* 1475548 */     GIR_EraseRootFromParent_Done,
     /* 1475549 */   // Label 20616: @1475549
     /* 1475549 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1475646), // Rule ID 24108 //
     /* 1475554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475604 */     // MIs[1] Operand 1
     /* 1475604 */     // No operand predicates
     /* 1475604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475608 */     // MIs[0] policy
     /* 1475608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475620 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475645 */     // GIR_Coverage, 24108,
     /* 1475645 */     GIR_EraseRootFromParent_Done,
     /* 1475646 */   // Label 20617: @1475646
     /* 1475646 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1475743), // Rule ID 24111 //
     /* 1475651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475701 */     // MIs[1] Operand 1
     /* 1475701 */     // No operand predicates
     /* 1475701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475705 */     // MIs[0] policy
     /* 1475705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475742 */     // GIR_Coverage, 24111,
     /* 1475742 */     GIR_EraseRootFromParent_Done,
     /* 1475743 */   // Label 20618: @1475743
     /* 1475743 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1475840), // Rule ID 24112 //
     /* 1475748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1475751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475798 */     // MIs[1] Operand 1
     /* 1475798 */     // No operand predicates
     /* 1475798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475802 */     // MIs[0] policy
     /* 1475802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475814 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475839 */     // GIR_Coverage, 24112,
     /* 1475839 */     GIR_EraseRootFromParent_Done,
     /* 1475840 */   // Label 20619: @1475840
     /* 1475840 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1475937), // Rule ID 24115 //
     /* 1475845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475895 */     // MIs[1] Operand 1
     /* 1475895 */     // No operand predicates
     /* 1475895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475899 */     // MIs[0] policy
     /* 1475899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475911 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475936 */     // GIR_Coverage, 24115,
     /* 1475936 */     GIR_EraseRootFromParent_Done,
     /* 1475937 */   // Label 20620: @1475937
     /* 1475937 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1476034), // Rule ID 24116 //
     /* 1475942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1475945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475992 */     // MIs[1] Operand 1
     /* 1475992 */     // No operand predicates
     /* 1475992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475996 */     // MIs[0] policy
     /* 1475996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476008 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476033 */     // GIR_Coverage, 24116,
     /* 1476033 */     GIR_EraseRootFromParent_Done,
     /* 1476034 */   // Label 20621: @1476034
     /* 1476034 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1476131), // Rule ID 24119 //
     /* 1476039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476089 */     // MIs[1] Operand 1
     /* 1476089 */     // No operand predicates
     /* 1476089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476093 */     // MIs[0] policy
     /* 1476093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476105 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476130 */     // GIR_Coverage, 24119,
     /* 1476130 */     GIR_EraseRootFromParent_Done,
     /* 1476131 */   // Label 20622: @1476131
     /* 1476131 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1476228), // Rule ID 24120 //
     /* 1476136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476186 */     // MIs[1] Operand 1
     /* 1476186 */     // No operand predicates
     /* 1476186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476190 */     // MIs[0] policy
     /* 1476190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476202 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476227 */     // GIR_Coverage, 24120,
     /* 1476227 */     GIR_EraseRootFromParent_Done,
     /* 1476228 */   // Label 20623: @1476228
     /* 1476228 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1476325), // Rule ID 24123 //
     /* 1476233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476283 */     // MIs[1] Operand 1
     /* 1476283 */     // No operand predicates
     /* 1476283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476287 */     // MIs[0] policy
     /* 1476287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476299 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476324 */     // GIR_Coverage, 24123,
     /* 1476324 */     GIR_EraseRootFromParent_Done,
     /* 1476325 */   // Label 20624: @1476325
     /* 1476325 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1476422), // Rule ID 24124 //
     /* 1476330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476380 */     // MIs[1] Operand 1
     /* 1476380 */     // No operand predicates
     /* 1476380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476384 */     // MIs[0] policy
     /* 1476384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476396 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476421 */     // GIR_Coverage, 24124,
     /* 1476421 */     GIR_EraseRootFromParent_Done,
     /* 1476422 */   // Label 20625: @1476422
     /* 1476422 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1476519), // Rule ID 24127 //
     /* 1476427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476477 */     // MIs[1] Operand 1
     /* 1476477 */     // No operand predicates
     /* 1476477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476481 */     // MIs[0] policy
     /* 1476481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476493 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476518 */     // GIR_Coverage, 24127,
     /* 1476518 */     GIR_EraseRootFromParent_Done,
     /* 1476519 */   // Label 20626: @1476519
     /* 1476519 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1476616), // Rule ID 24128 //
     /* 1476524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476574 */     // MIs[1] Operand 1
     /* 1476574 */     // No operand predicates
     /* 1476574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476578 */     // MIs[0] policy
     /* 1476578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476590 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476615 */     // GIR_Coverage, 24128,
     /* 1476615 */     GIR_EraseRootFromParent_Done,
     /* 1476616 */   // Label 20627: @1476616
     /* 1476616 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1476713), // Rule ID 24131 //
     /* 1476621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476671 */     // MIs[1] Operand 1
     /* 1476671 */     // No operand predicates
     /* 1476671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476675 */     // MIs[0] policy
     /* 1476675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476687 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476712 */     // GIR_Coverage, 24131,
     /* 1476712 */     GIR_EraseRootFromParent_Done,
     /* 1476713 */   // Label 20628: @1476713
     /* 1476713 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1476810), // Rule ID 24132 //
     /* 1476718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476768 */     // MIs[1] Operand 1
     /* 1476768 */     // No operand predicates
     /* 1476768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476772 */     // MIs[0] policy
     /* 1476772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476784 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476809 */     // GIR_Coverage, 24132,
     /* 1476809 */     GIR_EraseRootFromParent_Done,
     /* 1476810 */   // Label 20629: @1476810
     /* 1476810 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1476907), // Rule ID 24195 //
     /* 1476815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476865 */     // MIs[1] Operand 1
     /* 1476865 */     // No operand predicates
     /* 1476865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476869 */     // MIs[0] policy
     /* 1476869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476881 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1476884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476906 */     // GIR_Coverage, 24195,
     /* 1476906 */     GIR_EraseRootFromParent_Done,
     /* 1476907 */   // Label 20630: @1476907
     /* 1476907 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1477004), // Rule ID 24196 //
     /* 1476912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1476915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476962 */     // MIs[1] Operand 1
     /* 1476962 */     // No operand predicates
     /* 1476962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476966 */     // MIs[0] policy
     /* 1476966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476978 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1476981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477003 */     // GIR_Coverage, 24196,
     /* 1477003 */     GIR_EraseRootFromParent_Done,
     /* 1477004 */   // Label 20631: @1477004
     /* 1477004 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1477101), // Rule ID 24199 //
     /* 1477009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477059 */     // MIs[1] Operand 1
     /* 1477059 */     // No operand predicates
     /* 1477059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477063 */     // MIs[0] policy
     /* 1477063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477075 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477100 */     // GIR_Coverage, 24199,
     /* 1477100 */     GIR_EraseRootFromParent_Done,
     /* 1477101 */   // Label 20632: @1477101
     /* 1477101 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1477198), // Rule ID 24200 //
     /* 1477106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477156 */     // MIs[1] Operand 1
     /* 1477156 */     // No operand predicates
     /* 1477156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477160 */     // MIs[0] policy
     /* 1477160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477172 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477197 */     // GIR_Coverage, 24200,
     /* 1477197 */     GIR_EraseRootFromParent_Done,
     /* 1477198 */   // Label 20633: @1477198
     /* 1477198 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1477295), // Rule ID 24203 //
     /* 1477203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477253 */     // MIs[1] Operand 1
     /* 1477253 */     // No operand predicates
     /* 1477253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477257 */     // MIs[0] policy
     /* 1477257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477269 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477294 */     // GIR_Coverage, 24203,
     /* 1477294 */     GIR_EraseRootFromParent_Done,
     /* 1477295 */   // Label 20634: @1477295
     /* 1477295 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1477392), // Rule ID 24204 //
     /* 1477300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477350 */     // MIs[1] Operand 1
     /* 1477350 */     // No operand predicates
     /* 1477350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477354 */     // MIs[0] policy
     /* 1477354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477366 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477391 */     // GIR_Coverage, 24204,
     /* 1477391 */     GIR_EraseRootFromParent_Done,
     /* 1477392 */   // Label 20635: @1477392
     /* 1477392 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1477489), // Rule ID 24207 //
     /* 1477397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477447 */     // MIs[1] Operand 1
     /* 1477447 */     // No operand predicates
     /* 1477447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477451 */     // MIs[0] policy
     /* 1477451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477463 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477488 */     // GIR_Coverage, 24207,
     /* 1477488 */     GIR_EraseRootFromParent_Done,
     /* 1477489 */   // Label 20636: @1477489
     /* 1477489 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1477586), // Rule ID 24208 //
     /* 1477494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477544 */     // MIs[1] Operand 1
     /* 1477544 */     // No operand predicates
     /* 1477544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477548 */     // MIs[0] policy
     /* 1477548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477560 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477585 */     // GIR_Coverage, 24208,
     /* 1477585 */     GIR_EraseRootFromParent_Done,
     /* 1477586 */   // Label 20637: @1477586
     /* 1477586 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1477683), // Rule ID 24211 //
     /* 1477591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477641 */     // MIs[1] Operand 1
     /* 1477641 */     // No operand predicates
     /* 1477641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477645 */     // MIs[0] policy
     /* 1477645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477682 */     // GIR_Coverage, 24211,
     /* 1477682 */     GIR_EraseRootFromParent_Done,
     /* 1477683 */   // Label 20638: @1477683
     /* 1477683 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1477780), // Rule ID 24212 //
     /* 1477688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477738 */     // MIs[1] Operand 1
     /* 1477738 */     // No operand predicates
     /* 1477738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477742 */     // MIs[0] policy
     /* 1477742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477754 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477779 */     // GIR_Coverage, 24212,
     /* 1477779 */     GIR_EraseRootFromParent_Done,
     /* 1477780 */   // Label 20639: @1477780
     /* 1477780 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1477877), // Rule ID 24215 //
     /* 1477785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1477788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1477796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1477799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1477802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477835 */     // MIs[1] Operand 1
     /* 1477835 */     // No operand predicates
     /* 1477835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477839 */     // MIs[0] policy
     /* 1477839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477851 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477876 */     // GIR_Coverage, 24215,
     /* 1477876 */     GIR_EraseRootFromParent_Done,
     /* 1477877 */   // Label 20640: @1477877
     /* 1477877 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1477974), // Rule ID 24216 //
     /* 1477882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1477885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1477893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1477896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1477899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477932 */     // MIs[1] Operand 1
     /* 1477932 */     // No operand predicates
     /* 1477932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477936 */     // MIs[0] policy
     /* 1477936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477973 */     // GIR_Coverage, 24216,
     /* 1477973 */     GIR_EraseRootFromParent_Done,
     /* 1477974 */   // Label 20641: @1477974
     /* 1477974 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1478071), // Rule ID 24219 //
     /* 1477979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1477990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1477993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1477996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478029 */     // MIs[1] Operand 1
     /* 1478029 */     // No operand predicates
     /* 1478029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478033 */     // MIs[0] policy
     /* 1478033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478045 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478070 */     // GIR_Coverage, 24219,
     /* 1478070 */     GIR_EraseRootFromParent_Done,
     /* 1478071 */   // Label 20642: @1478071
     /* 1478071 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1478168), // Rule ID 24220 //
     /* 1478076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478126 */     // MIs[1] Operand 1
     /* 1478126 */     // No operand predicates
     /* 1478126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478130 */     // MIs[0] policy
     /* 1478130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478142 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478167 */     // GIR_Coverage, 24220,
     /* 1478167 */     GIR_EraseRootFromParent_Done,
     /* 1478168 */   // Label 20643: @1478168
     /* 1478168 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1478265), // Rule ID 24223 //
     /* 1478173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478223 */     // MIs[1] Operand 1
     /* 1478223 */     // No operand predicates
     /* 1478223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478227 */     // MIs[0] policy
     /* 1478227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478239 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478264 */     // GIR_Coverage, 24223,
     /* 1478264 */     GIR_EraseRootFromParent_Done,
     /* 1478265 */   // Label 20644: @1478265
     /* 1478265 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1478362), // Rule ID 24224 //
     /* 1478270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478320 */     // MIs[1] Operand 1
     /* 1478320 */     // No operand predicates
     /* 1478320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478324 */     // MIs[0] policy
     /* 1478324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478336 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478361 */     // GIR_Coverage, 24224,
     /* 1478361 */     GIR_EraseRootFromParent_Done,
     /* 1478362 */   // Label 20645: @1478362
     /* 1478362 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1478459), // Rule ID 24227 //
     /* 1478367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478417 */     // MIs[1] Operand 1
     /* 1478417 */     // No operand predicates
     /* 1478417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478421 */     // MIs[0] policy
     /* 1478421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478433 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478458 */     // GIR_Coverage, 24227,
     /* 1478458 */     GIR_EraseRootFromParent_Done,
     /* 1478459 */   // Label 20646: @1478459
     /* 1478459 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1478556), // Rule ID 24228 //
     /* 1478464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478514 */     // MIs[1] Operand 1
     /* 1478514 */     // No operand predicates
     /* 1478514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478518 */     // MIs[0] policy
     /* 1478518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478530 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478555 */     // GIR_Coverage, 24228,
     /* 1478555 */     GIR_EraseRootFromParent_Done,
     /* 1478556 */   // Label 20647: @1478556
     /* 1478556 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1478653), // Rule ID 24231 //
     /* 1478561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478611 */     // MIs[1] Operand 1
     /* 1478611 */     // No operand predicates
     /* 1478611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478615 */     // MIs[0] policy
     /* 1478615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478652 */     // GIR_Coverage, 24231,
     /* 1478652 */     GIR_EraseRootFromParent_Done,
     /* 1478653 */   // Label 20648: @1478653
     /* 1478653 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1478750), // Rule ID 24232 //
     /* 1478658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478708 */     // MIs[1] Operand 1
     /* 1478708 */     // No operand predicates
     /* 1478708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478712 */     // MIs[0] policy
     /* 1478712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478724 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478749 */     // GIR_Coverage, 24232,
     /* 1478749 */     GIR_EraseRootFromParent_Done,
     /* 1478750 */   // Label 20649: @1478750
     /* 1478750 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1478847), // Rule ID 24235 //
     /* 1478755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1478772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478805 */     // MIs[1] Operand 1
     /* 1478805 */     // No operand predicates
     /* 1478805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478809 */     // MIs[0] policy
     /* 1478809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478821 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478846 */     // GIR_Coverage, 24235,
     /* 1478846 */     GIR_EraseRootFromParent_Done,
     /* 1478847 */   // Label 20650: @1478847
     /* 1478847 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1478944), // Rule ID 24236 //
     /* 1478852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1478869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478902 */     // MIs[1] Operand 1
     /* 1478902 */     // No operand predicates
     /* 1478902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478906 */     // MIs[0] policy
     /* 1478906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478918 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478943 */     // GIR_Coverage, 24236,
     /* 1478943 */     GIR_EraseRootFromParent_Done,
     /* 1478944 */   // Label 20651: @1478944
     /* 1478944 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1479041), // Rule ID 24239 //
     /* 1478949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1478960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1478963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1478966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478999 */     // MIs[1] Operand 1
     /* 1478999 */     // No operand predicates
     /* 1478999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479003 */     // MIs[0] policy
     /* 1479003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479015 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479040 */     // GIR_Coverage, 24239,
     /* 1479040 */     GIR_EraseRootFromParent_Done,
     /* 1479041 */   // Label 20652: @1479041
     /* 1479041 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1479138), // Rule ID 24240 //
     /* 1479046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479096 */     // MIs[1] Operand 1
     /* 1479096 */     // No operand predicates
     /* 1479096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479100 */     // MIs[0] policy
     /* 1479100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479112 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479137 */     // GIR_Coverage, 24240,
     /* 1479137 */     GIR_EraseRootFromParent_Done,
     /* 1479138 */   // Label 20653: @1479138
     /* 1479138 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1479235), // Rule ID 24243 //
     /* 1479143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479193 */     // MIs[1] Operand 1
     /* 1479193 */     // No operand predicates
     /* 1479193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479197 */     // MIs[0] policy
     /* 1479197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479209 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479234 */     // GIR_Coverage, 24243,
     /* 1479234 */     GIR_EraseRootFromParent_Done,
     /* 1479235 */   // Label 20654: @1479235
     /* 1479235 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1479332), // Rule ID 24244 //
     /* 1479240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479290 */     // MIs[1] Operand 1
     /* 1479290 */     // No operand predicates
     /* 1479290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479294 */     // MIs[0] policy
     /* 1479294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479306 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479331 */     // GIR_Coverage, 24244,
     /* 1479331 */     GIR_EraseRootFromParent_Done,
     /* 1479332 */   // Label 20655: @1479332
     /* 1479332 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1479429), // Rule ID 24247 //
     /* 1479337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479387 */     // MIs[1] Operand 1
     /* 1479387 */     // No operand predicates
     /* 1479387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479391 */     // MIs[0] policy
     /* 1479391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479428 */     // GIR_Coverage, 24247,
     /* 1479428 */     GIR_EraseRootFromParent_Done,
     /* 1479429 */   // Label 20656: @1479429
     /* 1479429 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1479526), // Rule ID 24248 //
     /* 1479434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479484 */     // MIs[1] Operand 1
     /* 1479484 */     // No operand predicates
     /* 1479484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479488 */     // MIs[0] policy
     /* 1479488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479500 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479525 */     // GIR_Coverage, 24248,
     /* 1479525 */     GIR_EraseRootFromParent_Done,
     /* 1479526 */   // Label 20657: @1479526
     /* 1479526 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1479623), // Rule ID 24251 //
     /* 1479531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479581 */     // MIs[1] Operand 1
     /* 1479581 */     // No operand predicates
     /* 1479581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479585 */     // MIs[0] policy
     /* 1479585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479597 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479622 */     // GIR_Coverage, 24251,
     /* 1479622 */     GIR_EraseRootFromParent_Done,
     /* 1479623 */   // Label 20658: @1479623
     /* 1479623 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1479720), // Rule ID 24252 //
     /* 1479628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479678 */     // MIs[1] Operand 1
     /* 1479678 */     // No operand predicates
     /* 1479678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479682 */     // MIs[0] policy
     /* 1479682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479694 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479719 */     // GIR_Coverage, 24252,
     /* 1479719 */     GIR_EraseRootFromParent_Done,
     /* 1479720 */   // Label 20659: @1479720
     /* 1479720 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1479817), // Rule ID 24551 //
     /* 1479725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1479736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1479739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1479742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479775 */     // MIs[1] Operand 1
     /* 1479775 */     // No operand predicates
     /* 1479775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479779 */     // MIs[0] policy
     /* 1479779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479791 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1479794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479816 */     // GIR_Coverage, 24551,
     /* 1479816 */     GIR_EraseRootFromParent_Done,
     /* 1479817 */   // Label 20660: @1479817
     /* 1479817 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1479914), // Rule ID 24552 //
     /* 1479822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1479833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1479836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1479839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479872 */     // MIs[1] Operand 1
     /* 1479872 */     // No operand predicates
     /* 1479872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479876 */     // MIs[0] policy
     /* 1479876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1479891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479913 */     // GIR_Coverage, 24552,
     /* 1479913 */     GIR_EraseRootFromParent_Done,
     /* 1479914 */   // Label 20661: @1479914
     /* 1479914 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1480011), // Rule ID 24555 //
     /* 1479919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1479930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1479933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1479936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479969 */     // MIs[1] Operand 1
     /* 1479969 */     // No operand predicates
     /* 1479969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479973 */     // MIs[0] policy
     /* 1479973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479985 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1479988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480010 */     // GIR_Coverage, 24555,
     /* 1480010 */     GIR_EraseRootFromParent_Done,
     /* 1480011 */   // Label 20662: @1480011
     /* 1480011 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1480108), // Rule ID 24556 //
     /* 1480016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1480027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1480030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1480033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480066 */     // MIs[1] Operand 1
     /* 1480066 */     // No operand predicates
     /* 1480066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480070 */     // MIs[0] policy
     /* 1480070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480082 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480107 */     // GIR_Coverage, 24556,
     /* 1480107 */     GIR_EraseRootFromParent_Done,
     /* 1480108 */   // Label 20663: @1480108
     /* 1480108 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1480205), // Rule ID 24559 //
     /* 1480113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480163 */     // MIs[1] Operand 1
     /* 1480163 */     // No operand predicates
     /* 1480163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480167 */     // MIs[0] policy
     /* 1480167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480179 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480204 */     // GIR_Coverage, 24559,
     /* 1480204 */     GIR_EraseRootFromParent_Done,
     /* 1480205 */   // Label 20664: @1480205
     /* 1480205 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1480302), // Rule ID 24560 //
     /* 1480210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480260 */     // MIs[1] Operand 1
     /* 1480260 */     // No operand predicates
     /* 1480260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480264 */     // MIs[0] policy
     /* 1480264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480276 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480301 */     // GIR_Coverage, 24560,
     /* 1480301 */     GIR_EraseRootFromParent_Done,
     /* 1480302 */   // Label 20665: @1480302
     /* 1480302 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1480399), // Rule ID 24563 //
     /* 1480307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480357 */     // MIs[1] Operand 1
     /* 1480357 */     // No operand predicates
     /* 1480357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480361 */     // MIs[0] policy
     /* 1480361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480373 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480398 */     // GIR_Coverage, 24563,
     /* 1480398 */     GIR_EraseRootFromParent_Done,
     /* 1480399 */   // Label 20666: @1480399
     /* 1480399 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1480496), // Rule ID 24564 //
     /* 1480404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480454 */     // MIs[1] Operand 1
     /* 1480454 */     // No operand predicates
     /* 1480454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480458 */     // MIs[0] policy
     /* 1480458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480495 */     // GIR_Coverage, 24564,
     /* 1480495 */     GIR_EraseRootFromParent_Done,
     /* 1480496 */   // Label 20667: @1480496
     /* 1480496 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1480593), // Rule ID 24567 //
     /* 1480501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480551 */     // MIs[1] Operand 1
     /* 1480551 */     // No operand predicates
     /* 1480551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480555 */     // MIs[0] policy
     /* 1480555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480592 */     // GIR_Coverage, 24567,
     /* 1480592 */     GIR_EraseRootFromParent_Done,
     /* 1480593 */   // Label 20668: @1480593
     /* 1480593 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1480690), // Rule ID 24568 //
     /* 1480598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480648 */     // MIs[1] Operand 1
     /* 1480648 */     // No operand predicates
     /* 1480648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480652 */     // MIs[0] policy
     /* 1480652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480689 */     // GIR_Coverage, 24568,
     /* 1480689 */     GIR_EraseRootFromParent_Done,
     /* 1480690 */   // Label 20669: @1480690
     /* 1480690 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1480787), // Rule ID 24571 //
     /* 1480695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1480706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1480709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1480712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480745 */     // MIs[1] Operand 1
     /* 1480745 */     // No operand predicates
     /* 1480745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480749 */     // MIs[0] policy
     /* 1480749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480786 */     // GIR_Coverage, 24571,
     /* 1480786 */     GIR_EraseRootFromParent_Done,
     /* 1480787 */   // Label 20670: @1480787
     /* 1480787 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1480884), // Rule ID 24572 //
     /* 1480792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1480803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1480806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1480809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480842 */     // MIs[1] Operand 1
     /* 1480842 */     // No operand predicates
     /* 1480842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480846 */     // MIs[0] policy
     /* 1480846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480883 */     // GIR_Coverage, 24572,
     /* 1480883 */     GIR_EraseRootFromParent_Done,
     /* 1480884 */   // Label 20671: @1480884
     /* 1480884 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1480981), // Rule ID 24575 //
     /* 1480889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1480900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1480903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1480906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480939 */     // MIs[1] Operand 1
     /* 1480939 */     // No operand predicates
     /* 1480939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480943 */     // MIs[0] policy
     /* 1480943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480955 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480980 */     // GIR_Coverage, 24575,
     /* 1480980 */     GIR_EraseRootFromParent_Done,
     /* 1480981 */   // Label 20672: @1480981
     /* 1480981 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1481078), // Rule ID 24576 //
     /* 1480986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1480997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1481000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1481003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481036 */     // MIs[1] Operand 1
     /* 1481036 */     // No operand predicates
     /* 1481036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481040 */     // MIs[0] policy
     /* 1481040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481077 */     // GIR_Coverage, 24576,
     /* 1481077 */     GIR_EraseRootFromParent_Done,
     /* 1481078 */   // Label 20673: @1481078
     /* 1481078 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1481175), // Rule ID 24579 //
     /* 1481083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481133 */     // MIs[1] Operand 1
     /* 1481133 */     // No operand predicates
     /* 1481133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481137 */     // MIs[0] policy
     /* 1481137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481174 */     // GIR_Coverage, 24579,
     /* 1481174 */     GIR_EraseRootFromParent_Done,
     /* 1481175 */   // Label 20674: @1481175
     /* 1481175 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1481272), // Rule ID 24580 //
     /* 1481180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481230 */     // MIs[1] Operand 1
     /* 1481230 */     // No operand predicates
     /* 1481230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481234 */     // MIs[0] policy
     /* 1481234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481271 */     // GIR_Coverage, 24580,
     /* 1481271 */     GIR_EraseRootFromParent_Done,
     /* 1481272 */   // Label 20675: @1481272
     /* 1481272 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1481369), // Rule ID 24583 //
     /* 1481277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481327 */     // MIs[1] Operand 1
     /* 1481327 */     // No operand predicates
     /* 1481327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481331 */     // MIs[0] policy
     /* 1481331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481368 */     // GIR_Coverage, 24583,
     /* 1481368 */     GIR_EraseRootFromParent_Done,
     /* 1481369 */   // Label 20676: @1481369
     /* 1481369 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1481466), // Rule ID 24584 //
     /* 1481374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481424 */     // MIs[1] Operand 1
     /* 1481424 */     // No operand predicates
     /* 1481424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481428 */     // MIs[0] policy
     /* 1481428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481465 */     // GIR_Coverage, 24584,
     /* 1481465 */     GIR_EraseRootFromParent_Done,
     /* 1481466 */   // Label 20677: @1481466
     /* 1481466 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1481563), // Rule ID 24587 //
     /* 1481471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1481474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481521 */     // MIs[1] Operand 1
     /* 1481521 */     // No operand predicates
     /* 1481521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481525 */     // MIs[0] policy
     /* 1481525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481562 */     // GIR_Coverage, 24587,
     /* 1481562 */     GIR_EraseRootFromParent_Done,
     /* 1481563 */   // Label 20678: @1481563
     /* 1481563 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1481660), // Rule ID 24588 //
     /* 1481568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1481571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481618 */     // MIs[1] Operand 1
     /* 1481618 */     // No operand predicates
     /* 1481618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481622 */     // MIs[0] policy
     /* 1481622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481659 */     // GIR_Coverage, 24588,
     /* 1481659 */     GIR_EraseRootFromParent_Done,
     /* 1481660 */   // Label 20679: @1481660
     /* 1481660 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1481757), // Rule ID 24591 //
     /* 1481665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1481676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1481679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1481682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481715 */     // MIs[1] Operand 1
     /* 1481715 */     // No operand predicates
     /* 1481715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481719 */     // MIs[0] policy
     /* 1481719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481731 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481756 */     // GIR_Coverage, 24591,
     /* 1481756 */     GIR_EraseRootFromParent_Done,
     /* 1481757 */   // Label 20680: @1481757
     /* 1481757 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1481854), // Rule ID 24592 //
     /* 1481762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1481773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1481776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1481779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481812 */     // MIs[1] Operand 1
     /* 1481812 */     // No operand predicates
     /* 1481812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481816 */     // MIs[0] policy
     /* 1481816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481853 */     // GIR_Coverage, 24592,
     /* 1481853 */     GIR_EraseRootFromParent_Done,
     /* 1481854 */   // Label 20681: @1481854
     /* 1481854 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1481951), // Rule ID 24595 //
     /* 1481859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1481870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1481873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1481876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1481882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481909 */     // MIs[1] Operand 1
     /* 1481909 */     // No operand predicates
     /* 1481909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481913 */     // MIs[0] policy
     /* 1481913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481925 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1481928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481950 */     // GIR_Coverage, 24595,
     /* 1481950 */     GIR_EraseRootFromParent_Done,
     /* 1481951 */   // Label 20682: @1481951
     /* 1481951 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1482048), // Rule ID 24596 //
     /* 1481956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1481967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1481970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1481973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1481979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482006 */     // MIs[1] Operand 1
     /* 1482006 */     // No operand predicates
     /* 1482006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482010 */     // MIs[0] policy
     /* 1482010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482047 */     // GIR_Coverage, 24596,
     /* 1482047 */     GIR_EraseRootFromParent_Done,
     /* 1482048 */   // Label 20683: @1482048
     /* 1482048 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1482145), // Rule ID 24599 //
     /* 1482053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482103 */     // MIs[1] Operand 1
     /* 1482103 */     // No operand predicates
     /* 1482103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482107 */     // MIs[0] policy
     /* 1482107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482119 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482144 */     // GIR_Coverage, 24599,
     /* 1482144 */     GIR_EraseRootFromParent_Done,
     /* 1482145 */   // Label 20684: @1482145
     /* 1482145 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1482242), // Rule ID 24600 //
     /* 1482150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482200 */     // MIs[1] Operand 1
     /* 1482200 */     // No operand predicates
     /* 1482200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482204 */     // MIs[0] policy
     /* 1482204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482216 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482241 */     // GIR_Coverage, 24600,
     /* 1482241 */     GIR_EraseRootFromParent_Done,
     /* 1482242 */   // Label 20685: @1482242
     /* 1482242 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1482339), // Rule ID 24603 //
     /* 1482247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482297 */     // MIs[1] Operand 1
     /* 1482297 */     // No operand predicates
     /* 1482297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482301 */     // MIs[0] policy
     /* 1482301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482313 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482338 */     // GIR_Coverage, 24603,
     /* 1482338 */     GIR_EraseRootFromParent_Done,
     /* 1482339 */   // Label 20686: @1482339
     /* 1482339 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1482436), // Rule ID 24604 //
     /* 1482344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482394 */     // MIs[1] Operand 1
     /* 1482394 */     // No operand predicates
     /* 1482394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482398 */     // MIs[0] policy
     /* 1482398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482435 */     // GIR_Coverage, 24604,
     /* 1482435 */     GIR_EraseRootFromParent_Done,
     /* 1482436 */   // Label 20687: @1482436
     /* 1482436 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1482533), // Rule ID 24607 //
     /* 1482441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482491 */     // MIs[1] Operand 1
     /* 1482491 */     // No operand predicates
     /* 1482491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482495 */     // MIs[0] policy
     /* 1482495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482507 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482532 */     // GIR_Coverage, 24607,
     /* 1482532 */     GIR_EraseRootFromParent_Done,
     /* 1482533 */   // Label 20688: @1482533
     /* 1482533 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1482630), // Rule ID 24608 //
     /* 1482538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482588 */     // MIs[1] Operand 1
     /* 1482588 */     // No operand predicates
     /* 1482588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482592 */     // MIs[0] policy
     /* 1482592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482629 */     // GIR_Coverage, 24608,
     /* 1482629 */     GIR_EraseRootFromParent_Done,
     /* 1482630 */   // Label 20689: @1482630
     /* 1482630 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1482727), // Rule ID 24611 //
     /* 1482635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482685 */     // MIs[1] Operand 1
     /* 1482685 */     // No operand predicates
     /* 1482685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482689 */     // MIs[0] policy
     /* 1482689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482726 */     // GIR_Coverage, 24611,
     /* 1482726 */     GIR_EraseRootFromParent_Done,
     /* 1482727 */   // Label 20690: @1482727
     /* 1482727 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1482824), // Rule ID 24612 //
     /* 1482732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482782 */     // MIs[1] Operand 1
     /* 1482782 */     // No operand predicates
     /* 1482782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482786 */     // MIs[0] policy
     /* 1482786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482823 */     // GIR_Coverage, 24612,
     /* 1482823 */     GIR_EraseRootFromParent_Done,
     /* 1482824 */   // Label 20691: @1482824
     /* 1482824 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1482921), // Rule ID 24615 //
     /* 1482829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482879 */     // MIs[1] Operand 1
     /* 1482879 */     // No operand predicates
     /* 1482879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482883 */     // MIs[0] policy
     /* 1482883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482920 */     // GIR_Coverage, 24615,
     /* 1482920 */     GIR_EraseRootFromParent_Done,
     /* 1482921 */   // Label 20692: @1482921
     /* 1482921 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1483018), // Rule ID 24616 //
     /* 1482926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482976 */     // MIs[1] Operand 1
     /* 1482976 */     // No operand predicates
     /* 1482976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482980 */     // MIs[0] policy
     /* 1482980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483017 */     // GIR_Coverage, 24616,
     /* 1483017 */     GIR_EraseRootFromParent_Done,
     /* 1483018 */   // Label 20693: @1483018
     /* 1483018 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1483115), // Rule ID 24619 //
     /* 1483023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483073 */     // MIs[1] Operand 1
     /* 1483073 */     // No operand predicates
     /* 1483073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483077 */     // MIs[0] policy
     /* 1483077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483114 */     // GIR_Coverage, 24619,
     /* 1483114 */     GIR_EraseRootFromParent_Done,
     /* 1483115 */   // Label 20694: @1483115
     /* 1483115 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1483212), // Rule ID 24620 //
     /* 1483120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483170 */     // MIs[1] Operand 1
     /* 1483170 */     // No operand predicates
     /* 1483170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483174 */     // MIs[0] policy
     /* 1483174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483211 */     // GIR_Coverage, 24620,
     /* 1483211 */     GIR_EraseRootFromParent_Done,
     /* 1483212 */   // Label 20695: @1483212
     /* 1483212 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1483309), // Rule ID 24623 //
     /* 1483217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483267 */     // MIs[1] Operand 1
     /* 1483267 */     // No operand predicates
     /* 1483267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483271 */     // MIs[0] policy
     /* 1483271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483308 */     // GIR_Coverage, 24623,
     /* 1483308 */     GIR_EraseRootFromParent_Done,
     /* 1483309 */   // Label 20696: @1483309
     /* 1483309 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1483406), // Rule ID 24624 //
     /* 1483314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483364 */     // MIs[1] Operand 1
     /* 1483364 */     // No operand predicates
     /* 1483364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483368 */     // MIs[0] policy
     /* 1483368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483405 */     // GIR_Coverage, 24624,
     /* 1483405 */     GIR_EraseRootFromParent_Done,
     /* 1483406 */   // Label 20697: @1483406
     /* 1483406 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1483503), // Rule ID 24627 //
     /* 1483411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483461 */     // MIs[1] Operand 1
     /* 1483461 */     // No operand predicates
     /* 1483461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483465 */     // MIs[0] policy
     /* 1483465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483502 */     // GIR_Coverage, 24627,
     /* 1483502 */     GIR_EraseRootFromParent_Done,
     /* 1483503 */   // Label 20698: @1483503
     /* 1483503 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1483600), // Rule ID 24628 //
     /* 1483508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483558 */     // MIs[1] Operand 1
     /* 1483558 */     // No operand predicates
     /* 1483558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483562 */     // MIs[0] policy
     /* 1483562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483599 */     // GIR_Coverage, 24628,
     /* 1483599 */     GIR_EraseRootFromParent_Done,
     /* 1483600 */   // Label 20699: @1483600
     /* 1483600 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1483697), // Rule ID 24631 //
     /* 1483605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483655 */     // MIs[1] Operand 1
     /* 1483655 */     // No operand predicates
     /* 1483655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483659 */     // MIs[0] policy
     /* 1483659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483696 */     // GIR_Coverage, 24631,
     /* 1483696 */     GIR_EraseRootFromParent_Done,
     /* 1483697 */   // Label 20700: @1483697
     /* 1483697 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1483794), // Rule ID 24632 //
     /* 1483702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483752 */     // MIs[1] Operand 1
     /* 1483752 */     // No operand predicates
     /* 1483752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483756 */     // MIs[0] policy
     /* 1483756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483793 */     // GIR_Coverage, 24632,
     /* 1483793 */     GIR_EraseRootFromParent_Done,
     /* 1483794 */   // Label 20701: @1483794
     /* 1483794 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1483891), // Rule ID 24635 //
     /* 1483799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483849 */     // MIs[1] Operand 1
     /* 1483849 */     // No operand predicates
     /* 1483849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483853 */     // MIs[0] policy
     /* 1483853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483865 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483890 */     // GIR_Coverage, 24635,
     /* 1483890 */     GIR_EraseRootFromParent_Done,
     /* 1483891 */   // Label 20702: @1483891
     /* 1483891 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1483988), // Rule ID 24636 //
     /* 1483896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483946 */     // MIs[1] Operand 1
     /* 1483946 */     // No operand predicates
     /* 1483946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483950 */     // MIs[0] policy
     /* 1483950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483987 */     // GIR_Coverage, 24636,
     /* 1483987 */     GIR_EraseRootFromParent_Done,
     /* 1483988 */   // Label 20703: @1483988
     /* 1483988 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1484085), // Rule ID 24795 //
     /* 1483993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484043 */     // MIs[1] Operand 1
     /* 1484043 */     // No operand predicates
     /* 1484043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484047 */     // MIs[0] policy
     /* 1484047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484059 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484084 */     // GIR_Coverage, 24795,
     /* 1484084 */     GIR_EraseRootFromParent_Done,
     /* 1484085 */   // Label 20704: @1484085
     /* 1484085 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1484182), // Rule ID 24796 //
     /* 1484090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484140 */     // MIs[1] Operand 1
     /* 1484140 */     // No operand predicates
     /* 1484140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484144 */     // MIs[0] policy
     /* 1484144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484181 */     // GIR_Coverage, 24796,
     /* 1484181 */     GIR_EraseRootFromParent_Done,
     /* 1484182 */   // Label 20705: @1484182
     /* 1484182 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1484279), // Rule ID 24799 //
     /* 1484187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484237 */     // MIs[1] Operand 1
     /* 1484237 */     // No operand predicates
     /* 1484237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484241 */     // MIs[0] policy
     /* 1484241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484253 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484278 */     // GIR_Coverage, 24799,
     /* 1484278 */     GIR_EraseRootFromParent_Done,
     /* 1484279 */   // Label 20706: @1484279
     /* 1484279 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1484376), // Rule ID 24800 //
     /* 1484284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484334 */     // MIs[1] Operand 1
     /* 1484334 */     // No operand predicates
     /* 1484334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484338 */     // MIs[0] policy
     /* 1484338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484350 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484375 */     // GIR_Coverage, 24800,
     /* 1484375 */     GIR_EraseRootFromParent_Done,
     /* 1484376 */   // Label 20707: @1484376
     /* 1484376 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1484473), // Rule ID 24803 //
     /* 1484381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484431 */     // MIs[1] Operand 1
     /* 1484431 */     // No operand predicates
     /* 1484431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484435 */     // MIs[0] policy
     /* 1484435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484447 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484472 */     // GIR_Coverage, 24803,
     /* 1484472 */     GIR_EraseRootFromParent_Done,
     /* 1484473 */   // Label 20708: @1484473
     /* 1484473 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1484570), // Rule ID 24804 //
     /* 1484478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484528 */     // MIs[1] Operand 1
     /* 1484528 */     // No operand predicates
     /* 1484528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484532 */     // MIs[0] policy
     /* 1484532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484544 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484569 */     // GIR_Coverage, 24804,
     /* 1484569 */     GIR_EraseRootFromParent_Done,
     /* 1484570 */   // Label 20709: @1484570
     /* 1484570 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1484667), // Rule ID 24807 //
     /* 1484575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484625 */     // MIs[1] Operand 1
     /* 1484625 */     // No operand predicates
     /* 1484625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484629 */     // MIs[0] policy
     /* 1484629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484641 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1484644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484666 */     // GIR_Coverage, 24807,
     /* 1484666 */     GIR_EraseRootFromParent_Done,
     /* 1484667 */   // Label 20710: @1484667
     /* 1484667 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1484764), // Rule ID 24808 //
     /* 1484672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484722 */     // MIs[1] Operand 1
     /* 1484722 */     // No operand predicates
     /* 1484722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484726 */     // MIs[0] policy
     /* 1484726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484738 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1484741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484763 */     // GIR_Coverage, 24808,
     /* 1484763 */     GIR_EraseRootFromParent_Done,
     /* 1484764 */   // Label 20711: @1484764
     /* 1484764 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1484861), // Rule ID 24811 //
     /* 1484769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1484780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1484783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1484786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484819 */     // MIs[1] Operand 1
     /* 1484819 */     // No operand predicates
     /* 1484819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484823 */     // MIs[0] policy
     /* 1484823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484835 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484860 */     // GIR_Coverage, 24811,
     /* 1484860 */     GIR_EraseRootFromParent_Done,
     /* 1484861 */   // Label 20712: @1484861
     /* 1484861 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1484958), // Rule ID 24812 //
     /* 1484866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1484877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1484880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1484883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484916 */     // MIs[1] Operand 1
     /* 1484916 */     // No operand predicates
     /* 1484916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484920 */     // MIs[0] policy
     /* 1484920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484957 */     // GIR_Coverage, 24812,
     /* 1484957 */     GIR_EraseRootFromParent_Done,
     /* 1484958 */   // Label 20713: @1484958
     /* 1484958 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1485055), // Rule ID 24815 //
     /* 1484963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1484974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1484977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1484980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1484986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485013 */     // MIs[1] Operand 1
     /* 1485013 */     // No operand predicates
     /* 1485013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485017 */     // MIs[0] policy
     /* 1485017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485029 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485054 */     // GIR_Coverage, 24815,
     /* 1485054 */     GIR_EraseRootFromParent_Done,
     /* 1485055 */   // Label 20714: @1485055
     /* 1485055 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1485152), // Rule ID 24816 //
     /* 1485060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485110 */     // MIs[1] Operand 1
     /* 1485110 */     // No operand predicates
     /* 1485110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485114 */     // MIs[0] policy
     /* 1485114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485126 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485151 */     // GIR_Coverage, 24816,
     /* 1485151 */     GIR_EraseRootFromParent_Done,
     /* 1485152 */   // Label 20715: @1485152
     /* 1485152 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1485249), // Rule ID 24819 //
     /* 1485157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485207 */     // MIs[1] Operand 1
     /* 1485207 */     // No operand predicates
     /* 1485207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485211 */     // MIs[0] policy
     /* 1485211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485223 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485248 */     // GIR_Coverage, 24819,
     /* 1485248 */     GIR_EraseRootFromParent_Done,
     /* 1485249 */   // Label 20716: @1485249
     /* 1485249 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1485346), // Rule ID 24820 //
     /* 1485254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485304 */     // MIs[1] Operand 1
     /* 1485304 */     // No operand predicates
     /* 1485304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485308 */     // MIs[0] policy
     /* 1485308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485320 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485345 */     // GIR_Coverage, 24820,
     /* 1485345 */     GIR_EraseRootFromParent_Done,
     /* 1485346 */   // Label 20717: @1485346
     /* 1485346 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1485443), // Rule ID 24823 //
     /* 1485351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485401 */     // MIs[1] Operand 1
     /* 1485401 */     // No operand predicates
     /* 1485401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485405 */     // MIs[0] policy
     /* 1485405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485417 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485442 */     // GIR_Coverage, 24823,
     /* 1485442 */     GIR_EraseRootFromParent_Done,
     /* 1485443 */   // Label 20718: @1485443
     /* 1485443 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1485540), // Rule ID 24824 //
     /* 1485448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485498 */     // MIs[1] Operand 1
     /* 1485498 */     // No operand predicates
     /* 1485498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485502 */     // MIs[0] policy
     /* 1485502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485514 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485539 */     // GIR_Coverage, 24824,
     /* 1485539 */     GIR_EraseRootFromParent_Done,
     /* 1485540 */   // Label 20719: @1485540
     /* 1485540 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1485637), // Rule ID 24827 //
     /* 1485545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485595 */     // MIs[1] Operand 1
     /* 1485595 */     // No operand predicates
     /* 1485595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485599 */     // MIs[0] policy
     /* 1485599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485611 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485636 */     // GIR_Coverage, 24827,
     /* 1485636 */     GIR_EraseRootFromParent_Done,
     /* 1485637 */   // Label 20720: @1485637
     /* 1485637 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1485734), // Rule ID 24828 //
     /* 1485642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485692 */     // MIs[1] Operand 1
     /* 1485692 */     // No operand predicates
     /* 1485692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485696 */     // MIs[0] policy
     /* 1485696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485708 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485733 */     // GIR_Coverage, 24828,
     /* 1485733 */     GIR_EraseRootFromParent_Done,
     /* 1485734 */   // Label 20721: @1485734
     /* 1485734 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1485831), // Rule ID 24879 //
     /* 1485739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485789 */     // MIs[1] Operand 1
     /* 1485789 */     // No operand predicates
     /* 1485789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485793 */     // MIs[0] policy
     /* 1485793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485805 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1485808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485830 */     // GIR_Coverage, 24879,
     /* 1485830 */     GIR_EraseRootFromParent_Done,
     /* 1485831 */   // Label 20722: @1485831
     /* 1485831 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1485928), // Rule ID 24880 //
     /* 1485836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485886 */     // MIs[1] Operand 1
     /* 1485886 */     // No operand predicates
     /* 1485886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485890 */     // MIs[0] policy
     /* 1485890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1485905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485927 */     // GIR_Coverage, 24880,
     /* 1485927 */     GIR_EraseRootFromParent_Done,
     /* 1485928 */   // Label 20723: @1485928
     /* 1485928 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1486025), // Rule ID 24883 //
     /* 1485933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485983 */     // MIs[1] Operand 1
     /* 1485983 */     // No operand predicates
     /* 1485983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485987 */     // MIs[0] policy
     /* 1485987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485999 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486024 */     // GIR_Coverage, 24883,
     /* 1486024 */     GIR_EraseRootFromParent_Done,
     /* 1486025 */   // Label 20724: @1486025
     /* 1486025 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1486122), // Rule ID 24884 //
     /* 1486030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1486041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1486044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1486047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486080 */     // MIs[1] Operand 1
     /* 1486080 */     // No operand predicates
     /* 1486080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486084 */     // MIs[0] policy
     /* 1486084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486096 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486121 */     // GIR_Coverage, 24884,
     /* 1486121 */     GIR_EraseRootFromParent_Done,
     /* 1486122 */   // Label 20725: @1486122
     /* 1486122 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1486219), // Rule ID 24887 //
     /* 1486127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486177 */     // MIs[1] Operand 1
     /* 1486177 */     // No operand predicates
     /* 1486177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486181 */     // MIs[0] policy
     /* 1486181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486193 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486218 */     // GIR_Coverage, 24887,
     /* 1486218 */     GIR_EraseRootFromParent_Done,
     /* 1486219 */   // Label 20726: @1486219
     /* 1486219 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1486316), // Rule ID 24888 //
     /* 1486224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486274 */     // MIs[1] Operand 1
     /* 1486274 */     // No operand predicates
     /* 1486274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486278 */     // MIs[0] policy
     /* 1486278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486290 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486315 */     // GIR_Coverage, 24888,
     /* 1486315 */     GIR_EraseRootFromParent_Done,
     /* 1486316 */   // Label 20727: @1486316
     /* 1486316 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1486413), // Rule ID 24891 //
     /* 1486321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486371 */     // MIs[1] Operand 1
     /* 1486371 */     // No operand predicates
     /* 1486371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486375 */     // MIs[0] policy
     /* 1486375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486412 */     // GIR_Coverage, 24891,
     /* 1486412 */     GIR_EraseRootFromParent_Done,
     /* 1486413 */   // Label 20728: @1486413
     /* 1486413 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1486510), // Rule ID 24892 //
     /* 1486418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486468 */     // MIs[1] Operand 1
     /* 1486468 */     // No operand predicates
     /* 1486468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486472 */     // MIs[0] policy
     /* 1486472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486484 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486509 */     // GIR_Coverage, 24892,
     /* 1486509 */     GIR_EraseRootFromParent_Done,
     /* 1486510 */   // Label 20729: @1486510
     /* 1486510 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1486607), // Rule ID 24895 //
     /* 1486515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486565 */     // MIs[1] Operand 1
     /* 1486565 */     // No operand predicates
     /* 1486565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486569 */     // MIs[0] policy
     /* 1486569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486581 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486606 */     // GIR_Coverage, 24895,
     /* 1486606 */     GIR_EraseRootFromParent_Done,
     /* 1486607 */   // Label 20730: @1486607
     /* 1486607 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1486704), // Rule ID 24896 //
     /* 1486612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486662 */     // MIs[1] Operand 1
     /* 1486662 */     // No operand predicates
     /* 1486662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486666 */     // MIs[0] policy
     /* 1486666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486703 */     // GIR_Coverage, 24896,
     /* 1486703 */     GIR_EraseRootFromParent_Done,
     /* 1486704 */   // Label 20731: @1486704
     /* 1486704 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1486801), // Rule ID 24899 //
     /* 1486709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486759 */     // MIs[1] Operand 1
     /* 1486759 */     // No operand predicates
     /* 1486759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486763 */     // MIs[0] policy
     /* 1486763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486775 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486800 */     // GIR_Coverage, 24899,
     /* 1486800 */     GIR_EraseRootFromParent_Done,
     /* 1486801 */   // Label 20732: @1486801
     /* 1486801 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1486898), // Rule ID 24900 //
     /* 1486806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486856 */     // MIs[1] Operand 1
     /* 1486856 */     // No operand predicates
     /* 1486856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486860 */     // MIs[0] policy
     /* 1486860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486872 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486897 */     // GIR_Coverage, 24900,
     /* 1486897 */     GIR_EraseRootFromParent_Done,
     /* 1486898 */   // Label 20733: @1486898
     /* 1486898 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1486995), // Rule ID 60903 //
     /* 1486903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1486906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1486920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486953 */     // MIs[1] Operand 1
     /* 1486953 */     // No operand predicates
     /* 1486953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486957 */     // MIs[0] policy
     /* 1486957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1486972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486994 */     // GIR_Coverage, 60903,
     /* 1486994 */     GIR_EraseRootFromParent_Done,
     /* 1486995 */   // Label 20734: @1486995
     /* 1486995 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1487092), // Rule ID 60904 //
     /* 1487000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1487017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487050 */     // MIs[1] Operand 1
     /* 1487050 */     // No operand predicates
     /* 1487050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487054 */     // MIs[0] policy
     /* 1487054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1487069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487091 */     // GIR_Coverage, 60904,
     /* 1487091 */     GIR_EraseRootFromParent_Done,
     /* 1487092 */   // Label 20735: @1487092
     /* 1487092 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1487189), // Rule ID 60911 //
     /* 1487097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487147 */     // MIs[1] Operand 1
     /* 1487147 */     // No operand predicates
     /* 1487147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487151 */     // MIs[0] policy
     /* 1487151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487188 */     // GIR_Coverage, 60911,
     /* 1487188 */     GIR_EraseRootFromParent_Done,
     /* 1487189 */   // Label 20736: @1487189
     /* 1487189 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1487286), // Rule ID 60912 //
     /* 1487194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487244 */     // MIs[1] Operand 1
     /* 1487244 */     // No operand predicates
     /* 1487244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487248 */     // MIs[0] policy
     /* 1487248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487285 */     // GIR_Coverage, 60912,
     /* 1487285 */     GIR_EraseRootFromParent_Done,
     /* 1487286 */   // Label 20737: @1487286
     /* 1487286 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1487383), // Rule ID 60919 //
     /* 1487291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487341 */     // MIs[1] Operand 1
     /* 1487341 */     // No operand predicates
     /* 1487341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487345 */     // MIs[0] policy
     /* 1487345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487382 */     // GIR_Coverage, 60919,
     /* 1487382 */     GIR_EraseRootFromParent_Done,
     /* 1487383 */   // Label 20738: @1487383
     /* 1487383 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1487480), // Rule ID 60920 //
     /* 1487388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487438 */     // MIs[1] Operand 1
     /* 1487438 */     // No operand predicates
     /* 1487438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487442 */     // MIs[0] policy
     /* 1487442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487479 */     // GIR_Coverage, 60920,
     /* 1487479 */     GIR_EraseRootFromParent_Done,
     /* 1487480 */   // Label 20739: @1487480
     /* 1487480 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1487577), // Rule ID 60927 //
     /* 1487485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487535 */     // MIs[1] Operand 1
     /* 1487535 */     // No operand predicates
     /* 1487535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487539 */     // MIs[0] policy
     /* 1487539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487551 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487576 */     // GIR_Coverage, 60927,
     /* 1487576 */     GIR_EraseRootFromParent_Done,
     /* 1487577 */   // Label 20740: @1487577
     /* 1487577 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1487674), // Rule ID 60928 //
     /* 1487582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487632 */     // MIs[1] Operand 1
     /* 1487632 */     // No operand predicates
     /* 1487632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487636 */     // MIs[0] policy
     /* 1487636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487673 */     // GIR_Coverage, 60928,
     /* 1487673 */     GIR_EraseRootFromParent_Done,
     /* 1487674 */   // Label 20741: @1487674
     /* 1487674 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1487771), // Rule ID 60935 //
     /* 1487679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1487696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487729 */     // MIs[1] Operand 1
     /* 1487729 */     // No operand predicates
     /* 1487729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487733 */     // MIs[0] policy
     /* 1487733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487745 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1487748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487770 */     // GIR_Coverage, 60935,
     /* 1487770 */     GIR_EraseRootFromParent_Done,
     /* 1487771 */   // Label 20742: @1487771
     /* 1487771 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1487868), // Rule ID 60936 //
     /* 1487776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1487793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487826 */     // MIs[1] Operand 1
     /* 1487826 */     // No operand predicates
     /* 1487826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487830 */     // MIs[0] policy
     /* 1487830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1487845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487867 */     // GIR_Coverage, 60936,
     /* 1487867 */     GIR_EraseRootFromParent_Done,
     /* 1487868 */   // Label 20743: @1487868
     /* 1487868 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1487965), // Rule ID 60943 //
     /* 1487873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1487890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487923 */     // MIs[1] Operand 1
     /* 1487923 */     // No operand predicates
     /* 1487923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487927 */     // MIs[0] policy
     /* 1487927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1487942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487964 */     // GIR_Coverage, 60943,
     /* 1487964 */     GIR_EraseRootFromParent_Done,
     /* 1487965 */   // Label 20744: @1487965
     /* 1487965 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1488062), // Rule ID 60944 //
     /* 1487970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1487987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488020 */     // MIs[1] Operand 1
     /* 1488020 */     // No operand predicates
     /* 1488020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488024 */     // MIs[0] policy
     /* 1488024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488061 */     // GIR_Coverage, 60944,
     /* 1488061 */     GIR_EraseRootFromParent_Done,
     /* 1488062 */   // Label 20745: @1488062
     /* 1488062 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1488159), // Rule ID 60951 //
     /* 1488067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488117 */     // MIs[1] Operand 1
     /* 1488117 */     // No operand predicates
     /* 1488117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488121 */     // MIs[0] policy
     /* 1488121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488158 */     // GIR_Coverage, 60951,
     /* 1488158 */     GIR_EraseRootFromParent_Done,
     /* 1488159 */   // Label 20746: @1488159
     /* 1488159 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1488256), // Rule ID 60952 //
     /* 1488164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488214 */     // MIs[1] Operand 1
     /* 1488214 */     // No operand predicates
     /* 1488214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488218 */     // MIs[0] policy
     /* 1488218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488255 */     // GIR_Coverage, 60952,
     /* 1488255 */     GIR_EraseRootFromParent_Done,
     /* 1488256 */   // Label 20747: @1488256
     /* 1488256 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1488353), // Rule ID 60959 //
     /* 1488261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488311 */     // MIs[1] Operand 1
     /* 1488311 */     // No operand predicates
     /* 1488311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488315 */     // MIs[0] policy
     /* 1488315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488352 */     // GIR_Coverage, 60959,
     /* 1488352 */     GIR_EraseRootFromParent_Done,
     /* 1488353 */   // Label 20748: @1488353
     /* 1488353 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1488450), // Rule ID 60960 //
     /* 1488358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488408 */     // MIs[1] Operand 1
     /* 1488408 */     // No operand predicates
     /* 1488408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488412 */     // MIs[0] policy
     /* 1488412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488449 */     // GIR_Coverage, 60960,
     /* 1488449 */     GIR_EraseRootFromParent_Done,
     /* 1488450 */   // Label 20749: @1488450
     /* 1488450 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1488547), // Rule ID 60967 //
     /* 1488455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488505 */     // MIs[1] Operand 1
     /* 1488505 */     // No operand predicates
     /* 1488505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488509 */     // MIs[0] policy
     /* 1488509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488546 */     // GIR_Coverage, 60967,
     /* 1488546 */     GIR_EraseRootFromParent_Done,
     /* 1488547 */   // Label 20750: @1488547
     /* 1488547 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1488644), // Rule ID 60968 //
     /* 1488552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488602 */     // MIs[1] Operand 1
     /* 1488602 */     // No operand predicates
     /* 1488602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488606 */     // MIs[0] policy
     /* 1488606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488643 */     // GIR_Coverage, 60968,
     /* 1488643 */     GIR_EraseRootFromParent_Done,
     /* 1488644 */   // Label 20751: @1488644
     /* 1488644 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1488741), // Rule ID 60975 //
     /* 1488649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1488660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1488663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1488666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488699 */     // MIs[1] Operand 1
     /* 1488699 */     // No operand predicates
     /* 1488699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488703 */     // MIs[0] policy
     /* 1488703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488740 */     // GIR_Coverage, 60975,
     /* 1488740 */     GIR_EraseRootFromParent_Done,
     /* 1488741 */   // Label 20752: @1488741
     /* 1488741 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1488838), // Rule ID 60976 //
     /* 1488746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1488757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1488760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1488763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488796 */     // MIs[1] Operand 1
     /* 1488796 */     // No operand predicates
     /* 1488796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488800 */     // MIs[0] policy
     /* 1488800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488837 */     // GIR_Coverage, 60976,
     /* 1488837 */     GIR_EraseRootFromParent_Done,
     /* 1488838 */   // Label 20753: @1488838
     /* 1488838 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1488935), // Rule ID 60983 //
     /* 1488843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1488854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1488857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1488860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488893 */     // MIs[1] Operand 1
     /* 1488893 */     // No operand predicates
     /* 1488893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488897 */     // MIs[0] policy
     /* 1488897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488909 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488934 */     // GIR_Coverage, 60983,
     /* 1488934 */     GIR_EraseRootFromParent_Done,
     /* 1488935 */   // Label 20754: @1488935
     /* 1488935 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1489032), // Rule ID 60984 //
     /* 1488940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1488951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1488954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1488957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488990 */     // MIs[1] Operand 1
     /* 1488990 */     // No operand predicates
     /* 1488990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488994 */     // MIs[0] policy
     /* 1488994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489031 */     // GIR_Coverage, 60984,
     /* 1489031 */     GIR_EraseRootFromParent_Done,
     /* 1489032 */   // Label 20755: @1489032
     /* 1489032 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1489129), // Rule ID 60991 //
     /* 1489037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489087 */     // MIs[1] Operand 1
     /* 1489087 */     // No operand predicates
     /* 1489087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489091 */     // MIs[0] policy
     /* 1489091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489103 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489128 */     // GIR_Coverage, 60991,
     /* 1489128 */     GIR_EraseRootFromParent_Done,
     /* 1489129 */   // Label 20756: @1489129
     /* 1489129 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1489226), // Rule ID 60992 //
     /* 1489134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489184 */     // MIs[1] Operand 1
     /* 1489184 */     // No operand predicates
     /* 1489184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489188 */     // MIs[0] policy
     /* 1489188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489225 */     // GIR_Coverage, 60992,
     /* 1489225 */     GIR_EraseRootFromParent_Done,
     /* 1489226 */   // Label 20757: @1489226
     /* 1489226 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1489323), // Rule ID 60999 //
     /* 1489231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489281 */     // MIs[1] Operand 1
     /* 1489281 */     // No operand predicates
     /* 1489281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489285 */     // MIs[0] policy
     /* 1489285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489322 */     // GIR_Coverage, 60999,
     /* 1489322 */     GIR_EraseRootFromParent_Done,
     /* 1489323 */   // Label 20758: @1489323
     /* 1489323 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1489420), // Rule ID 61000 //
     /* 1489328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489378 */     // MIs[1] Operand 1
     /* 1489378 */     // No operand predicates
     /* 1489378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489382 */     // MIs[0] policy
     /* 1489382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489419 */     // GIR_Coverage, 61000,
     /* 1489419 */     GIR_EraseRootFromParent_Done,
     /* 1489420 */   // Label 20759: @1489420
     /* 1489420 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1489517), // Rule ID 61007 //
     /* 1489425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489475 */     // MIs[1] Operand 1
     /* 1489475 */     // No operand predicates
     /* 1489475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489479 */     // MIs[0] policy
     /* 1489479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489491 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489516 */     // GIR_Coverage, 61007,
     /* 1489516 */     GIR_EraseRootFromParent_Done,
     /* 1489517 */   // Label 20760: @1489517
     /* 1489517 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1489614), // Rule ID 61008 //
     /* 1489522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489572 */     // MIs[1] Operand 1
     /* 1489572 */     // No operand predicates
     /* 1489572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489576 */     // MIs[0] policy
     /* 1489576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489613 */     // GIR_Coverage, 61008,
     /* 1489613 */     GIR_EraseRootFromParent_Done,
     /* 1489614 */   // Label 20761: @1489614
     /* 1489614 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1489711), // Rule ID 61015 //
     /* 1489619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1489630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1489633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489669 */     // MIs[1] Operand 1
     /* 1489669 */     // No operand predicates
     /* 1489669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489673 */     // MIs[0] policy
     /* 1489673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489685 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489710 */     // GIR_Coverage, 61015,
     /* 1489710 */     GIR_EraseRootFromParent_Done,
     /* 1489711 */   // Label 20762: @1489711
     /* 1489711 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1489808), // Rule ID 61016 //
     /* 1489716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1489727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1489730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489766 */     // MIs[1] Operand 1
     /* 1489766 */     // No operand predicates
     /* 1489766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489770 */     // MIs[0] policy
     /* 1489770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489807 */     // GIR_Coverage, 61016,
     /* 1489807 */     GIR_EraseRootFromParent_Done,
     /* 1489808 */   // Label 20763: @1489808
     /* 1489808 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1489905), // Rule ID 61871 //
     /* 1489813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1489824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1489827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1489830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489863 */     // MIs[1] Operand 1
     /* 1489863 */     // No operand predicates
     /* 1489863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489867 */     // MIs[0] policy
     /* 1489867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489879 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1489882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489904 */     // GIR_Coverage, 61871,
     /* 1489904 */     GIR_EraseRootFromParent_Done,
     /* 1489905 */   // Label 20764: @1489905
     /* 1489905 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1490002), // Rule ID 61872 //
     /* 1489910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1489913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1489921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1489924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1489927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489960 */     // MIs[1] Operand 1
     /* 1489960 */     // No operand predicates
     /* 1489960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489964 */     // MIs[0] policy
     /* 1489964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1489979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490001 */     // GIR_Coverage, 61872,
     /* 1490001 */     GIR_EraseRootFromParent_Done,
     /* 1490002 */   // Label 20765: @1490002
     /* 1490002 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1490099), // Rule ID 61875 //
     /* 1490007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1490018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1490021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1490024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490057 */     // MIs[1] Operand 1
     /* 1490057 */     // No operand predicates
     /* 1490057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490061 */     // MIs[0] policy
     /* 1490061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490098 */     // GIR_Coverage, 61875,
     /* 1490098 */     GIR_EraseRootFromParent_Done,
     /* 1490099 */   // Label 20766: @1490099
     /* 1490099 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1490196), // Rule ID 61876 //
     /* 1490104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1490115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1490118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1490121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490154 */     // MIs[1] Operand 1
     /* 1490154 */     // No operand predicates
     /* 1490154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490158 */     // MIs[0] policy
     /* 1490158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490170 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490195 */     // GIR_Coverage, 61876,
     /* 1490195 */     GIR_EraseRootFromParent_Done,
     /* 1490196 */   // Label 20767: @1490196
     /* 1490196 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1490293), // Rule ID 61879 //
     /* 1490201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490251 */     // MIs[1] Operand 1
     /* 1490251 */     // No operand predicates
     /* 1490251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490255 */     // MIs[0] policy
     /* 1490255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490292 */     // GIR_Coverage, 61879,
     /* 1490292 */     GIR_EraseRootFromParent_Done,
     /* 1490293 */   // Label 20768: @1490293
     /* 1490293 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1490390), // Rule ID 61880 //
     /* 1490298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490348 */     // MIs[1] Operand 1
     /* 1490348 */     // No operand predicates
     /* 1490348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490352 */     // MIs[0] policy
     /* 1490352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490389 */     // GIR_Coverage, 61880,
     /* 1490389 */     GIR_EraseRootFromParent_Done,
     /* 1490390 */   // Label 20769: @1490390
     /* 1490390 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1490487), // Rule ID 61883 //
     /* 1490395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490445 */     // MIs[1] Operand 1
     /* 1490445 */     // No operand predicates
     /* 1490445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490449 */     // MIs[0] policy
     /* 1490449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490486 */     // GIR_Coverage, 61883,
     /* 1490486 */     GIR_EraseRootFromParent_Done,
     /* 1490487 */   // Label 20770: @1490487
     /* 1490487 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1490584), // Rule ID 61884 //
     /* 1490492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490542 */     // MIs[1] Operand 1
     /* 1490542 */     // No operand predicates
     /* 1490542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490546 */     // MIs[0] policy
     /* 1490546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490583 */     // GIR_Coverage, 61884,
     /* 1490583 */     GIR_EraseRootFromParent_Done,
     /* 1490584 */   // Label 20771: @1490584
     /* 1490584 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1490681), // Rule ID 61887 //
     /* 1490589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490639 */     // MIs[1] Operand 1
     /* 1490639 */     // No operand predicates
     /* 1490639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490643 */     // MIs[0] policy
     /* 1490643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490655 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490680 */     // GIR_Coverage, 61887,
     /* 1490680 */     GIR_EraseRootFromParent_Done,
     /* 1490681 */   // Label 20772: @1490681
     /* 1490681 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1490778), // Rule ID 61888 //
     /* 1490686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490736 */     // MIs[1] Operand 1
     /* 1490736 */     // No operand predicates
     /* 1490736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490740 */     // MIs[0] policy
     /* 1490740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490777 */     // GIR_Coverage, 61888,
     /* 1490777 */     GIR_EraseRootFromParent_Done,
     /* 1490778 */   // Label 20773: @1490778
     /* 1490778 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1490875), // Rule ID 61891 //
     /* 1490783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1490794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1490797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1490800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490833 */     // MIs[1] Operand 1
     /* 1490833 */     // No operand predicates
     /* 1490833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490837 */     // MIs[0] policy
     /* 1490837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490849 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490874 */     // GIR_Coverage, 61891,
     /* 1490874 */     GIR_EraseRootFromParent_Done,
     /* 1490875 */   // Label 20774: @1490875
     /* 1490875 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1490972), // Rule ID 61892 //
     /* 1490880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1490891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1490894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1490897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490930 */     // MIs[1] Operand 1
     /* 1490930 */     // No operand predicates
     /* 1490930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490934 */     // MIs[0] policy
     /* 1490934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490971 */     // GIR_Coverage, 61892,
     /* 1490971 */     GIR_EraseRootFromParent_Done,
     /* 1490972 */   // Label 20775: @1490972
     /* 1490972 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1491069), // Rule ID 61895 //
     /* 1490977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1490988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1490991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1490994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491027 */     // MIs[1] Operand 1
     /* 1491027 */     // No operand predicates
     /* 1491027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491031 */     // MIs[0] policy
     /* 1491031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491043 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491068 */     // GIR_Coverage, 61895,
     /* 1491068 */     GIR_EraseRootFromParent_Done,
     /* 1491069 */   // Label 20776: @1491069
     /* 1491069 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1491166), // Rule ID 61896 //
     /* 1491074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1491085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1491088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1491091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491124 */     // MIs[1] Operand 1
     /* 1491124 */     // No operand predicates
     /* 1491124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491128 */     // MIs[0] policy
     /* 1491128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491165 */     // GIR_Coverage, 61896,
     /* 1491165 */     GIR_EraseRootFromParent_Done,
     /* 1491166 */   // Label 20777: @1491166
     /* 1491166 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1491263), // Rule ID 61899 //
     /* 1491171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491221 */     // MIs[1] Operand 1
     /* 1491221 */     // No operand predicates
     /* 1491221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491225 */     // MIs[0] policy
     /* 1491225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491237 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491262 */     // GIR_Coverage, 61899,
     /* 1491262 */     GIR_EraseRootFromParent_Done,
     /* 1491263 */   // Label 20778: @1491263
     /* 1491263 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1491360), // Rule ID 61900 //
     /* 1491268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491318 */     // MIs[1] Operand 1
     /* 1491318 */     // No operand predicates
     /* 1491318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491322 */     // MIs[0] policy
     /* 1491322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491359 */     // GIR_Coverage, 61900,
     /* 1491359 */     GIR_EraseRootFromParent_Done,
     /* 1491360 */   // Label 20779: @1491360
     /* 1491360 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1491457), // Rule ID 61903 //
     /* 1491365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491415 */     // MIs[1] Operand 1
     /* 1491415 */     // No operand predicates
     /* 1491415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491419 */     // MIs[0] policy
     /* 1491419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491456 */     // GIR_Coverage, 61903,
     /* 1491456 */     GIR_EraseRootFromParent_Done,
     /* 1491457 */   // Label 20780: @1491457
     /* 1491457 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1491554), // Rule ID 61904 //
     /* 1491462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491512 */     // MIs[1] Operand 1
     /* 1491512 */     // No operand predicates
     /* 1491512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491516 */     // MIs[0] policy
     /* 1491516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491553 */     // GIR_Coverage, 61904,
     /* 1491553 */     GIR_EraseRootFromParent_Done,
     /* 1491554 */   // Label 20781: @1491554
     /* 1491554 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1491651), // Rule ID 61907 //
     /* 1491559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491609 */     // MIs[1] Operand 1
     /* 1491609 */     // No operand predicates
     /* 1491609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491613 */     // MIs[0] policy
     /* 1491613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491650 */     // GIR_Coverage, 61907,
     /* 1491650 */     GIR_EraseRootFromParent_Done,
     /* 1491651 */   // Label 20782: @1491651
     /* 1491651 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1491748), // Rule ID 61908 //
     /* 1491656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491706 */     // MIs[1] Operand 1
     /* 1491706 */     // No operand predicates
     /* 1491706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491710 */     // MIs[0] policy
     /* 1491710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491747 */     // GIR_Coverage, 61908,
     /* 1491747 */     GIR_EraseRootFromParent_Done,
     /* 1491748 */   // Label 20783: @1491748
     /* 1491748 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1491845), // Rule ID 61911 //
     /* 1491753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1491764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1491767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1491770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491803 */     // MIs[1] Operand 1
     /* 1491803 */     // No operand predicates
     /* 1491803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491807 */     // MIs[0] policy
     /* 1491807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491844 */     // GIR_Coverage, 61911,
     /* 1491844 */     GIR_EraseRootFromParent_Done,
     /* 1491845 */   // Label 20784: @1491845
     /* 1491845 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1491942), // Rule ID 61912 //
     /* 1491850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1491861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1491864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1491867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491900 */     // MIs[1] Operand 1
     /* 1491900 */     // No operand predicates
     /* 1491900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491904 */     // MIs[0] policy
     /* 1491904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491941 */     // GIR_Coverage, 61912,
     /* 1491941 */     GIR_EraseRootFromParent_Done,
     /* 1491942 */   // Label 20785: @1491942
     /* 1491942 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1492039), // Rule ID 61915 //
     /* 1491947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1491958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1491961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1491964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491997 */     // MIs[1] Operand 1
     /* 1491997 */     // No operand predicates
     /* 1491997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492001 */     // MIs[0] policy
     /* 1492001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492013 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492038 */     // GIR_Coverage, 61915,
     /* 1492038 */     GIR_EraseRootFromParent_Done,
     /* 1492039 */   // Label 20786: @1492039
     /* 1492039 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1492136), // Rule ID 61916 //
     /* 1492044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1492055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1492058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492094 */     // MIs[1] Operand 1
     /* 1492094 */     // No operand predicates
     /* 1492094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492098 */     // MIs[0] policy
     /* 1492098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492110 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492135 */     // GIR_Coverage, 61916,
     /* 1492135 */     GIR_EraseRootFromParent_Done,
     /* 1492136 */   // Label 20787: @1492136
     /* 1492136 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1492233), // Rule ID 61919 //
     /* 1492141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492191 */     // MIs[1] Operand 1
     /* 1492191 */     // No operand predicates
     /* 1492191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492195 */     // MIs[0] policy
     /* 1492195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492207 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492232 */     // GIR_Coverage, 61919,
     /* 1492232 */     GIR_EraseRootFromParent_Done,
     /* 1492233 */   // Label 20788: @1492233
     /* 1492233 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1492330), // Rule ID 61920 //
     /* 1492238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492288 */     // MIs[1] Operand 1
     /* 1492288 */     // No operand predicates
     /* 1492288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492292 */     // MIs[0] policy
     /* 1492292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492329 */     // GIR_Coverage, 61920,
     /* 1492329 */     GIR_EraseRootFromParent_Done,
     /* 1492330 */   // Label 20789: @1492330
     /* 1492330 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1492427), // Rule ID 61923 //
     /* 1492335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492385 */     // MIs[1] Operand 1
     /* 1492385 */     // No operand predicates
     /* 1492385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492389 */     // MIs[0] policy
     /* 1492389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492426 */     // GIR_Coverage, 61923,
     /* 1492426 */     GIR_EraseRootFromParent_Done,
     /* 1492427 */   // Label 20790: @1492427
     /* 1492427 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1492524), // Rule ID 61924 //
     /* 1492432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492482 */     // MIs[1] Operand 1
     /* 1492482 */     // No operand predicates
     /* 1492482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492486 */     // MIs[0] policy
     /* 1492486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492523 */     // GIR_Coverage, 61924,
     /* 1492523 */     GIR_EraseRootFromParent_Done,
     /* 1492524 */   // Label 20791: @1492524
     /* 1492524 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1492621), // Rule ID 61927 //
     /* 1492529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492579 */     // MIs[1] Operand 1
     /* 1492579 */     // No operand predicates
     /* 1492579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492583 */     // MIs[0] policy
     /* 1492583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492595 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492620 */     // GIR_Coverage, 61927,
     /* 1492620 */     GIR_EraseRootFromParent_Done,
     /* 1492621 */   // Label 20792: @1492621
     /* 1492621 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1492718), // Rule ID 61928 //
     /* 1492626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492676 */     // MIs[1] Operand 1
     /* 1492676 */     // No operand predicates
     /* 1492676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492680 */     // MIs[0] policy
     /* 1492680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492717 */     // GIR_Coverage, 61928,
     /* 1492717 */     GIR_EraseRootFromParent_Done,
     /* 1492718 */   // Label 20793: @1492718
     /* 1492718 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1492815), // Rule ID 61931 //
     /* 1492723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492773 */     // MIs[1] Operand 1
     /* 1492773 */     // No operand predicates
     /* 1492773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492777 */     // MIs[0] policy
     /* 1492777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492789 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492814 */     // GIR_Coverage, 61931,
     /* 1492814 */     GIR_EraseRootFromParent_Done,
     /* 1492815 */   // Label 20794: @1492815
     /* 1492815 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1492912), // Rule ID 61932 //
     /* 1492820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492870 */     // MIs[1] Operand 1
     /* 1492870 */     // No operand predicates
     /* 1492870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492874 */     // MIs[0] policy
     /* 1492874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492911 */     // GIR_Coverage, 61932,
     /* 1492911 */     GIR_EraseRootFromParent_Done,
     /* 1492912 */   // Label 20795: @1492912
     /* 1492912 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1493009), // Rule ID 61935 //
     /* 1492917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1492934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492967 */     // MIs[1] Operand 1
     /* 1492967 */     // No operand predicates
     /* 1492967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492971 */     // MIs[0] policy
     /* 1492971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493008 */     // GIR_Coverage, 61935,
     /* 1493008 */     GIR_EraseRootFromParent_Done,
     /* 1493009 */   // Label 20796: @1493009
     /* 1493009 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1493106), // Rule ID 61936 //
     /* 1493014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1493025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1493028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1493031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493064 */     // MIs[1] Operand 1
     /* 1493064 */     // No operand predicates
     /* 1493064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493068 */     // MIs[0] policy
     /* 1493068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493105 */     // GIR_Coverage, 61936,
     /* 1493105 */     GIR_EraseRootFromParent_Done,
     /* 1493106 */   // Label 20797: @1493106
     /* 1493106 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1493203), // Rule ID 61939 //
     /* 1493111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493161 */     // MIs[1] Operand 1
     /* 1493161 */     // No operand predicates
     /* 1493161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493165 */     // MIs[0] policy
     /* 1493165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493177 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493202 */     // GIR_Coverage, 61939,
     /* 1493202 */     GIR_EraseRootFromParent_Done,
     /* 1493203 */   // Label 20798: @1493203
     /* 1493203 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1493300), // Rule ID 61940 //
     /* 1493208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493258 */     // MIs[1] Operand 1
     /* 1493258 */     // No operand predicates
     /* 1493258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493262 */     // MIs[0] policy
     /* 1493262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493299 */     // GIR_Coverage, 61940,
     /* 1493299 */     GIR_EraseRootFromParent_Done,
     /* 1493300 */   // Label 20799: @1493300
     /* 1493300 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1493397), // Rule ID 61943 //
     /* 1493305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493355 */     // MIs[1] Operand 1
     /* 1493355 */     // No operand predicates
     /* 1493355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493359 */     // MIs[0] policy
     /* 1493359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493396 */     // GIR_Coverage, 61943,
     /* 1493396 */     GIR_EraseRootFromParent_Done,
     /* 1493397 */   // Label 20800: @1493397
     /* 1493397 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1493494), // Rule ID 61944 //
     /* 1493402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493452 */     // MIs[1] Operand 1
     /* 1493452 */     // No operand predicates
     /* 1493452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493456 */     // MIs[0] policy
     /* 1493456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493493 */     // GIR_Coverage, 61944,
     /* 1493493 */     GIR_EraseRootFromParent_Done,
     /* 1493494 */   // Label 20801: @1493494
     /* 1493494 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1493591), // Rule ID 61947 //
     /* 1493499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493549 */     // MIs[1] Operand 1
     /* 1493549 */     // No operand predicates
     /* 1493549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493553 */     // MIs[0] policy
     /* 1493553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493565 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493590 */     // GIR_Coverage, 61947,
     /* 1493590 */     GIR_EraseRootFromParent_Done,
     /* 1493591 */   // Label 20802: @1493591
     /* 1493591 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1493688), // Rule ID 61948 //
     /* 1493596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493646 */     // MIs[1] Operand 1
     /* 1493646 */     // No operand predicates
     /* 1493646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493650 */     // MIs[0] policy
     /* 1493650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493687 */     // GIR_Coverage, 61948,
     /* 1493687 */     GIR_EraseRootFromParent_Done,
     /* 1493688 */   // Label 20803: @1493688
     /* 1493688 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1493785), // Rule ID 61951 //
     /* 1493693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493743 */     // MIs[1] Operand 1
     /* 1493743 */     // No operand predicates
     /* 1493743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493747 */     // MIs[0] policy
     /* 1493747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493784 */     // GIR_Coverage, 61951,
     /* 1493784 */     GIR_EraseRootFromParent_Done,
     /* 1493785 */   // Label 20804: @1493785
     /* 1493785 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1493882), // Rule ID 61952 //
     /* 1493790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493840 */     // MIs[1] Operand 1
     /* 1493840 */     // No operand predicates
     /* 1493840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493844 */     // MIs[0] policy
     /* 1493844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493881 */     // GIR_Coverage, 61952,
     /* 1493881 */     GIR_EraseRootFromParent_Done,
     /* 1493882 */   // Label 20805: @1493882
     /* 1493882 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1493979), // Rule ID 61955 //
     /* 1493887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1493904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493937 */     // MIs[1] Operand 1
     /* 1493937 */     // No operand predicates
     /* 1493937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493941 */     // MIs[0] policy
     /* 1493941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493978 */     // GIR_Coverage, 61955,
     /* 1493978 */     GIR_EraseRootFromParent_Done,
     /* 1493979 */   // Label 20806: @1493979
     /* 1493979 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1494076), // Rule ID 61956 //
     /* 1493984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1494001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494034 */     // MIs[1] Operand 1
     /* 1494034 */     // No operand predicates
     /* 1494034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494038 */     // MIs[0] policy
     /* 1494038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494050 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1494053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494075 */     // GIR_Coverage, 61956,
     /* 1494075 */     GIR_EraseRootFromParent_Done,
     /* 1494076 */   // Label 20807: @1494076
     /* 1494076 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1494158), // Rule ID 2591 //
     /* 1494081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494120 */     // MIs[0] round
     /* 1494120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494123 */     // MIs[0] policy
     /* 1494123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494133 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494157 */     // GIR_Coverage, 2591,
     /* 1494157 */     GIR_EraseRootFromParent_Done,
     /* 1494158 */   // Label 20808: @1494158
     /* 1494158 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1494240), // Rule ID 2592 //
     /* 1494163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494202 */     // MIs[0] round
     /* 1494202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494205 */     // MIs[0] policy
     /* 1494205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494215 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494239 */     // GIR_Coverage, 2592,
     /* 1494239 */     GIR_EraseRootFromParent_Done,
     /* 1494240 */   // Label 20809: @1494240
     /* 1494240 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1494322), // Rule ID 2627 //
     /* 1494245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1494248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494284 */     // MIs[0] round
     /* 1494284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494287 */     // MIs[0] policy
     /* 1494287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494321 */     // GIR_Coverage, 2627,
     /* 1494321 */     GIR_EraseRootFromParent_Done,
     /* 1494322 */   // Label 20810: @1494322
     /* 1494322 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1494404), // Rule ID 2628 //
     /* 1494327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1494330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494366 */     // MIs[0] round
     /* 1494366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494369 */     // MIs[0] policy
     /* 1494369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494379 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494403 */     // GIR_Coverage, 2628,
     /* 1494403 */     GIR_EraseRootFromParent_Done,
     /* 1494404 */   // Label 20811: @1494404
     /* 1494404 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1494486), // Rule ID 2659 //
     /* 1494409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494448 */     // MIs[0] round
     /* 1494448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494451 */     // MIs[0] policy
     /* 1494451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494461 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494485 */     // GIR_Coverage, 2659,
     /* 1494485 */     GIR_EraseRootFromParent_Done,
     /* 1494486 */   // Label 20812: @1494486
     /* 1494486 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1494568), // Rule ID 2660 //
     /* 1494491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494530 */     // MIs[0] round
     /* 1494530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494533 */     // MIs[0] policy
     /* 1494533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494543 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494567 */     // GIR_Coverage, 2660,
     /* 1494567 */     GIR_EraseRootFromParent_Done,
     /* 1494568 */   // Label 20813: @1494568
     /* 1494568 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1494650), // Rule ID 17631 //
     /* 1494573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1494590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1494593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494612 */     // MIs[0] round
     /* 1494612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494615 */     // MIs[0] policy
     /* 1494615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494625 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1494628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494649 */     // GIR_Coverage, 17631,
     /* 1494649 */     GIR_EraseRootFromParent_Done,
     /* 1494650 */   // Label 20814: @1494650
     /* 1494650 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1494732), // Rule ID 17632 //
     /* 1494655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1494672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1494675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494694 */     // MIs[0] round
     /* 1494694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494697 */     // MIs[0] policy
     /* 1494697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494707 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1494710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494731 */     // GIR_Coverage, 17632,
     /* 1494731 */     GIR_EraseRootFromParent_Done,
     /* 1494732 */   // Label 20815: @1494732
     /* 1494732 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1494814), // Rule ID 17635 //
     /* 1494737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1494748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1494751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1494754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1494757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494776 */     // MIs[0] round
     /* 1494776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494779 */     // MIs[0] policy
     /* 1494779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494789 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1494792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494813 */     // GIR_Coverage, 17635,
     /* 1494813 */     GIR_EraseRootFromParent_Done,
     /* 1494814 */   // Label 20816: @1494814
     /* 1494814 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1494896), // Rule ID 17636 //
     /* 1494819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1494822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1494830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1494833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1494836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1494839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494858 */     // MIs[0] round
     /* 1494858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494861 */     // MIs[0] policy
     /* 1494861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494871 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1494874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494895 */     // GIR_Coverage, 17636,
     /* 1494895 */     GIR_EraseRootFromParent_Done,
     /* 1494896 */   // Label 20817: @1494896
     /* 1494896 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1494978), // Rule ID 17639 //
     /* 1494901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1494918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1494921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494940 */     // MIs[0] round
     /* 1494940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494943 */     // MIs[0] policy
     /* 1494943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494953 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1494956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494977 */     // GIR_Coverage, 17639,
     /* 1494977 */     GIR_EraseRootFromParent_Done,
     /* 1494978 */   // Label 20818: @1494978
     /* 1494978 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1495060), // Rule ID 17640 //
     /* 1494983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1495003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495022 */     // MIs[0] round
     /* 1495022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495025 */     // MIs[0] policy
     /* 1495025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495035 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1495038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495059 */     // GIR_Coverage, 17640,
     /* 1495059 */     GIR_EraseRootFromParent_Done,
     /* 1495060 */   // Label 20819: @1495060
     /* 1495060 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1495142), // Rule ID 17643 //
     /* 1495065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495104 */     // MIs[0] round
     /* 1495104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495107 */     // MIs[0] policy
     /* 1495107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495117 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495141 */     // GIR_Coverage, 17643,
     /* 1495141 */     GIR_EraseRootFromParent_Done,
     /* 1495142 */   // Label 20820: @1495142
     /* 1495142 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1495224), // Rule ID 17644 //
     /* 1495147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495186 */     // MIs[0] round
     /* 1495186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495189 */     // MIs[0] policy
     /* 1495189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495199 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495223 */     // GIR_Coverage, 17644,
     /* 1495223 */     GIR_EraseRootFromParent_Done,
     /* 1495224 */   // Label 20821: @1495224
     /* 1495224 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1495306), // Rule ID 17647 //
     /* 1495229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495268 */     // MIs[0] round
     /* 1495268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495271 */     // MIs[0] policy
     /* 1495271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495281 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495305 */     // GIR_Coverage, 17647,
     /* 1495305 */     GIR_EraseRootFromParent_Done,
     /* 1495306 */   // Label 20822: @1495306
     /* 1495306 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1495388), // Rule ID 17648 //
     /* 1495311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495350 */     // MIs[0] round
     /* 1495350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495353 */     // MIs[0] policy
     /* 1495353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495363 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495387 */     // GIR_Coverage, 17648,
     /* 1495387 */     GIR_EraseRootFromParent_Done,
     /* 1495388 */   // Label 20823: @1495388
     /* 1495388 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1495470), // Rule ID 17651 //
     /* 1495393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495432 */     // MIs[0] round
     /* 1495432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495435 */     // MIs[0] policy
     /* 1495435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495445 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495469 */     // GIR_Coverage, 17651,
     /* 1495469 */     GIR_EraseRootFromParent_Done,
     /* 1495470 */   // Label 20824: @1495470
     /* 1495470 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1495552), // Rule ID 17652 //
     /* 1495475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495514 */     // MIs[0] round
     /* 1495514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495517 */     // MIs[0] policy
     /* 1495517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495527 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495551 */     // GIR_Coverage, 17652,
     /* 1495551 */     GIR_EraseRootFromParent_Done,
     /* 1495552 */   // Label 20825: @1495552
     /* 1495552 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1495634), // Rule ID 17655 //
     /* 1495557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1495568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1495571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1495577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495596 */     // MIs[0] round
     /* 1495596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495599 */     // MIs[0] policy
     /* 1495599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495609 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1495612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495633 */     // GIR_Coverage, 17655,
     /* 1495633 */     GIR_EraseRootFromParent_Done,
     /* 1495634 */   // Label 20826: @1495634
     /* 1495634 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1495716), // Rule ID 17656 //
     /* 1495639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1495650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1495653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1495659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495678 */     // MIs[0] round
     /* 1495678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495681 */     // MIs[0] policy
     /* 1495681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495691 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1495694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495715 */     // GIR_Coverage, 17656,
     /* 1495715 */     GIR_EraseRootFromParent_Done,
     /* 1495716 */   // Label 20827: @1495716
     /* 1495716 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1495798), // Rule ID 17659 //
     /* 1495721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1495732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1495735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1495738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1495741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495760 */     // MIs[0] round
     /* 1495760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495763 */     // MIs[0] policy
     /* 1495763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495773 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1495776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495797 */     // GIR_Coverage, 17659,
     /* 1495797 */     GIR_EraseRootFromParent_Done,
     /* 1495798 */   // Label 20828: @1495798
     /* 1495798 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1495880), // Rule ID 17660 //
     /* 1495803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1495814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1495817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1495820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1495823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495842 */     // MIs[0] round
     /* 1495842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495845 */     // MIs[0] policy
     /* 1495845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495855 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1495858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495879 */     // GIR_Coverage, 17660,
     /* 1495879 */     GIR_EraseRootFromParent_Done,
     /* 1495880 */   // Label 20829: @1495880
     /* 1495880 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1495962), // Rule ID 17663 //
     /* 1495885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1495902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1495905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495924 */     // MIs[0] round
     /* 1495924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495927 */     // MIs[0] policy
     /* 1495927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495937 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1495940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495961 */     // GIR_Coverage, 17663,
     /* 1495961 */     GIR_EraseRootFromParent_Done,
     /* 1495962 */   // Label 20830: @1495962
     /* 1495962 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1496044), // Rule ID 17664 //
     /* 1495967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1495984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1495987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496006 */     // MIs[0] round
     /* 1496006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496009 */     // MIs[0] policy
     /* 1496009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496019 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1496022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496043 */     // GIR_Coverage, 17664,
     /* 1496043 */     GIR_EraseRootFromParent_Done,
     /* 1496044 */   // Label 20831: @1496044
     /* 1496044 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1496126), // Rule ID 17667 //
     /* 1496049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496088 */     // MIs[0] round
     /* 1496088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496091 */     // MIs[0] policy
     /* 1496091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496101 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496125 */     // GIR_Coverage, 17667,
     /* 1496125 */     GIR_EraseRootFromParent_Done,
     /* 1496126 */   // Label 20832: @1496126
     /* 1496126 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1496208), // Rule ID 17668 //
     /* 1496131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496170 */     // MIs[0] round
     /* 1496170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496173 */     // MIs[0] policy
     /* 1496173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496183 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496207 */     // GIR_Coverage, 17668,
     /* 1496207 */     GIR_EraseRootFromParent_Done,
     /* 1496208 */   // Label 20833: @1496208
     /* 1496208 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1496290), // Rule ID 17671 //
     /* 1496213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496252 */     // MIs[0] round
     /* 1496252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496255 */     // MIs[0] policy
     /* 1496255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496265 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496289 */     // GIR_Coverage, 17671,
     /* 1496289 */     GIR_EraseRootFromParent_Done,
     /* 1496290 */   // Label 20834: @1496290
     /* 1496290 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1496372), // Rule ID 17672 //
     /* 1496295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496334 */     // MIs[0] round
     /* 1496334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496337 */     // MIs[0] policy
     /* 1496337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496347 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496371 */     // GIR_Coverage, 17672,
     /* 1496371 */     GIR_EraseRootFromParent_Done,
     /* 1496372 */   // Label 20835: @1496372
     /* 1496372 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1496454), // Rule ID 17675 //
     /* 1496377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496416 */     // MIs[0] round
     /* 1496416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496419 */     // MIs[0] policy
     /* 1496419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496429 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496453 */     // GIR_Coverage, 17675,
     /* 1496453 */     GIR_EraseRootFromParent_Done,
     /* 1496454 */   // Label 20836: @1496454
     /* 1496454 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1496536), // Rule ID 17676 //
     /* 1496459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496498 */     // MIs[0] round
     /* 1496498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496501 */     // MIs[0] policy
     /* 1496501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496511 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496535 */     // GIR_Coverage, 17676,
     /* 1496535 */     GIR_EraseRootFromParent_Done,
     /* 1496536 */   // Label 20837: @1496536
     /* 1496536 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1496618), // Rule ID 17679 //
     /* 1496541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1496558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1496561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496580 */     // MIs[0] round
     /* 1496580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496583 */     // MIs[0] policy
     /* 1496583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496593 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1496596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496617 */     // GIR_Coverage, 17679,
     /* 1496617 */     GIR_EraseRootFromParent_Done,
     /* 1496618 */   // Label 20838: @1496618
     /* 1496618 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1496700), // Rule ID 17680 //
     /* 1496623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1496640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1496643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496662 */     // MIs[0] round
     /* 1496662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496665 */     // MIs[0] policy
     /* 1496665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496675 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1496678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496699 */     // GIR_Coverage, 17680,
     /* 1496699 */     GIR_EraseRootFromParent_Done,
     /* 1496700 */   // Label 20839: @1496700
     /* 1496700 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1496782), // Rule ID 17683 //
     /* 1496705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1496722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1496725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496744 */     // MIs[0] round
     /* 1496744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496747 */     // MIs[0] policy
     /* 1496747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496757 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1496760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496781 */     // GIR_Coverage, 17683,
     /* 1496781 */     GIR_EraseRootFromParent_Done,
     /* 1496782 */   // Label 20840: @1496782
     /* 1496782 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1496864), // Rule ID 17684 //
     /* 1496787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1496804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1496807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496826 */     // MIs[0] round
     /* 1496826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496829 */     // MIs[0] policy
     /* 1496829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496839 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1496842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496863 */     // GIR_Coverage, 17684,
     /* 1496863 */     GIR_EraseRootFromParent_Done,
     /* 1496864 */   // Label 20841: @1496864
     /* 1496864 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1496946), // Rule ID 17687 //
     /* 1496869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1496880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1496883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1496889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496908 */     // MIs[0] round
     /* 1496908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496911 */     // MIs[0] policy
     /* 1496911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496921 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1496924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496945 */     // GIR_Coverage, 17687,
     /* 1496945 */     GIR_EraseRootFromParent_Done,
     /* 1496946 */   // Label 20842: @1496946
     /* 1496946 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1497028), // Rule ID 17688 //
     /* 1496951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1496962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1496965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1496971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496990 */     // MIs[0] round
     /* 1496990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496993 */     // MIs[0] policy
     /* 1496993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497003 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1497006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497027 */     // GIR_Coverage, 17688,
     /* 1497027 */     GIR_EraseRootFromParent_Done,
     /* 1497028 */   // Label 20843: @1497028
     /* 1497028 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1497110), // Rule ID 17691 //
     /* 1497033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497072 */     // MIs[0] round
     /* 1497072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497075 */     // MIs[0] policy
     /* 1497075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497085 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497109 */     // GIR_Coverage, 17691,
     /* 1497109 */     GIR_EraseRootFromParent_Done,
     /* 1497110 */   // Label 20844: @1497110
     /* 1497110 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1497192), // Rule ID 17692 //
     /* 1497115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497154 */     // MIs[0] round
     /* 1497154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497157 */     // MIs[0] policy
     /* 1497157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497167 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497191 */     // GIR_Coverage, 17692,
     /* 1497191 */     GIR_EraseRootFromParent_Done,
     /* 1497192 */   // Label 20845: @1497192
     /* 1497192 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1497274), // Rule ID 17695 //
     /* 1497197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497236 */     // MIs[0] round
     /* 1497236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497239 */     // MIs[0] policy
     /* 1497239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497249 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497273 */     // GIR_Coverage, 17695,
     /* 1497273 */     GIR_EraseRootFromParent_Done,
     /* 1497274 */   // Label 20846: @1497274
     /* 1497274 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1497356), // Rule ID 17696 //
     /* 1497279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497318 */     // MIs[0] round
     /* 1497318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497321 */     // MIs[0] policy
     /* 1497321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497331 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497355 */     // GIR_Coverage, 17696,
     /* 1497355 */     GIR_EraseRootFromParent_Done,
     /* 1497356 */   // Label 20847: @1497356
     /* 1497356 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1497438), // Rule ID 17699 //
     /* 1497361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497400 */     // MIs[0] round
     /* 1497400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497403 */     // MIs[0] policy
     /* 1497403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497413 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497437 */     // GIR_Coverage, 17699,
     /* 1497437 */     GIR_EraseRootFromParent_Done,
     /* 1497438 */   // Label 20848: @1497438
     /* 1497438 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1497520), // Rule ID 17700 //
     /* 1497443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497482 */     // MIs[0] round
     /* 1497482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497485 */     // MIs[0] policy
     /* 1497485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497495 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497519 */     // GIR_Coverage, 17700,
     /* 1497519 */     GIR_EraseRootFromParent_Done,
     /* 1497520 */   // Label 20849: @1497520
     /* 1497520 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1497602), // Rule ID 17703 //
     /* 1497525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497564 */     // MIs[0] round
     /* 1497564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497567 */     // MIs[0] policy
     /* 1497567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1497580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497601 */     // GIR_Coverage, 17703,
     /* 1497601 */     GIR_EraseRootFromParent_Done,
     /* 1497602 */   // Label 20850: @1497602
     /* 1497602 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1497684), // Rule ID 17704 //
     /* 1497607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497646 */     // MIs[0] round
     /* 1497646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497649 */     // MIs[0] policy
     /* 1497649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497659 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1497662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497683 */     // GIR_Coverage, 17704,
     /* 1497683 */     GIR_EraseRootFromParent_Done,
     /* 1497684 */   // Label 20851: @1497684
     /* 1497684 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1497766), // Rule ID 17707 //
     /* 1497689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1497700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1497703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1497709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497728 */     // MIs[0] round
     /* 1497728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497731 */     // MIs[0] policy
     /* 1497731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497741 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1497744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497765 */     // GIR_Coverage, 17707,
     /* 1497765 */     GIR_EraseRootFromParent_Done,
     /* 1497766 */   // Label 20852: @1497766
     /* 1497766 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1497848), // Rule ID 17708 //
     /* 1497771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1497782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1497785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1497791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497810 */     // MIs[0] round
     /* 1497810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497813 */     // MIs[0] policy
     /* 1497813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497823 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1497826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497847 */     // GIR_Coverage, 17708,
     /* 1497847 */     GIR_EraseRootFromParent_Done,
     /* 1497848 */   // Label 20853: @1497848
     /* 1497848 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1497930), // Rule ID 17711 //
     /* 1497853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1497864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1497867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1497873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497892 */     // MIs[0] round
     /* 1497892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497895 */     // MIs[0] policy
     /* 1497895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497905 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1497908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497929 */     // GIR_Coverage, 17711,
     /* 1497929 */     GIR_EraseRootFromParent_Done,
     /* 1497930 */   // Label 20854: @1497930
     /* 1497930 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1498012), // Rule ID 17712 //
     /* 1497935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1497946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1497949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1497955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497974 */     // MIs[0] round
     /* 1497974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497977 */     // MIs[0] policy
     /* 1497977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1497990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498011 */     // GIR_Coverage, 17712,
     /* 1498011 */     GIR_EraseRootFromParent_Done,
     /* 1498012 */   // Label 20855: @1498012
     /* 1498012 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1498094), // Rule ID 17715 //
     /* 1498017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498056 */     // MIs[0] round
     /* 1498056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498059 */     // MIs[0] policy
     /* 1498059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498069 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498093 */     // GIR_Coverage, 17715,
     /* 1498093 */     GIR_EraseRootFromParent_Done,
     /* 1498094 */   // Label 20856: @1498094
     /* 1498094 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1498176), // Rule ID 17716 //
     /* 1498099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498138 */     // MIs[0] round
     /* 1498138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498141 */     // MIs[0] policy
     /* 1498141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498151 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498175 */     // GIR_Coverage, 17716,
     /* 1498175 */     GIR_EraseRootFromParent_Done,
     /* 1498176 */   // Label 20857: @1498176
     /* 1498176 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1498258), // Rule ID 17719 //
     /* 1498181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498220 */     // MIs[0] round
     /* 1498220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498223 */     // MIs[0] policy
     /* 1498223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498233 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498257 */     // GIR_Coverage, 17719,
     /* 1498257 */     GIR_EraseRootFromParent_Done,
     /* 1498258 */   // Label 20858: @1498258
     /* 1498258 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1498340), // Rule ID 17720 //
     /* 1498263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498302 */     // MIs[0] round
     /* 1498302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498305 */     // MIs[0] policy
     /* 1498305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498315 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498339 */     // GIR_Coverage, 17720,
     /* 1498339 */     GIR_EraseRootFromParent_Done,
     /* 1498340 */   // Label 20859: @1498340
     /* 1498340 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1498422), // Rule ID 17723 //
     /* 1498345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498384 */     // MIs[0] round
     /* 1498384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498387 */     // MIs[0] policy
     /* 1498387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498397 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498421 */     // GIR_Coverage, 17723,
     /* 1498421 */     GIR_EraseRootFromParent_Done,
     /* 1498422 */   // Label 20860: @1498422
     /* 1498422 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1498504), // Rule ID 17724 //
     /* 1498427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498466 */     // MIs[0] round
     /* 1498466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498469 */     // MIs[0] policy
     /* 1498469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498479 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498503 */     // GIR_Coverage, 17724,
     /* 1498503 */     GIR_EraseRootFromParent_Done,
     /* 1498504 */   // Label 20861: @1498504
     /* 1498504 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1498586), // Rule ID 17727 //
     /* 1498509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498548 */     // MIs[0] round
     /* 1498548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498551 */     // MIs[0] policy
     /* 1498551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498561 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1498564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498585 */     // GIR_Coverage, 17727,
     /* 1498585 */     GIR_EraseRootFromParent_Done,
     /* 1498586 */   // Label 20862: @1498586
     /* 1498586 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1498668), // Rule ID 17728 //
     /* 1498591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498630 */     // MIs[0] round
     /* 1498630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498633 */     // MIs[0] policy
     /* 1498633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498643 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1498646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498667 */     // GIR_Coverage, 17728,
     /* 1498667 */     GIR_EraseRootFromParent_Done,
     /* 1498668 */   // Label 20863: @1498668
     /* 1498668 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1498750), // Rule ID 17731 //
     /* 1498673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1498684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1498687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1498693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498712 */     // MIs[0] round
     /* 1498712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498715 */     // MIs[0] policy
     /* 1498715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498725 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1498728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498749 */     // GIR_Coverage, 17731,
     /* 1498749 */     GIR_EraseRootFromParent_Done,
     /* 1498750 */   // Label 20864: @1498750
     /* 1498750 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1498832), // Rule ID 17732 //
     /* 1498755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1498766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1498769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1498775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498794 */     // MIs[0] round
     /* 1498794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498797 */     // MIs[0] policy
     /* 1498797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498807 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1498810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498831 */     // GIR_Coverage, 17732,
     /* 1498831 */     GIR_EraseRootFromParent_Done,
     /* 1498832 */   // Label 20865: @1498832
     /* 1498832 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1498914), // Rule ID 17735 //
     /* 1498837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1498848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1498851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1498857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498876 */     // MIs[0] round
     /* 1498876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498879 */     // MIs[0] policy
     /* 1498879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498889 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1498892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498913 */     // GIR_Coverage, 17735,
     /* 1498913 */     GIR_EraseRootFromParent_Done,
     /* 1498914 */   // Label 20866: @1498914
     /* 1498914 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1498996), // Rule ID 17736 //
     /* 1498919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1498930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1498933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1498939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498958 */     // MIs[0] round
     /* 1498958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498961 */     // MIs[0] policy
     /* 1498961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498971 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1498974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498995 */     // GIR_Coverage, 17736,
     /* 1498995 */     GIR_EraseRootFromParent_Done,
     /* 1498996 */   // Label 20867: @1498996
     /* 1498996 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1499078), // Rule ID 17739 //
     /* 1499001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499040 */     // MIs[0] round
     /* 1499040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499043 */     // MIs[0] policy
     /* 1499043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499053 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499077 */     // GIR_Coverage, 17739,
     /* 1499077 */     GIR_EraseRootFromParent_Done,
     /* 1499078 */   // Label 20868: @1499078
     /* 1499078 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1499160), // Rule ID 17740 //
     /* 1499083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499122 */     // MIs[0] round
     /* 1499122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499125 */     // MIs[0] policy
     /* 1499125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499135 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499159 */     // GIR_Coverage, 17740,
     /* 1499159 */     GIR_EraseRootFromParent_Done,
     /* 1499160 */   // Label 20869: @1499160
     /* 1499160 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1499242), // Rule ID 17743 //
     /* 1499165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499204 */     // MIs[0] round
     /* 1499204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499207 */     // MIs[0] policy
     /* 1499207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499241 */     // GIR_Coverage, 17743,
     /* 1499241 */     GIR_EraseRootFromParent_Done,
     /* 1499242 */   // Label 20870: @1499242
     /* 1499242 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1499324), // Rule ID 17744 //
     /* 1499247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499286 */     // MIs[0] round
     /* 1499286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499289 */     // MIs[0] policy
     /* 1499289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499299 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499323 */     // GIR_Coverage, 17744,
     /* 1499323 */     GIR_EraseRootFromParent_Done,
     /* 1499324 */   // Label 20871: @1499324
     /* 1499324 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1499406), // Rule ID 17747 //
     /* 1499329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499368 */     // MIs[0] round
     /* 1499368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499371 */     // MIs[0] policy
     /* 1499371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499381 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499405 */     // GIR_Coverage, 17747,
     /* 1499405 */     GIR_EraseRootFromParent_Done,
     /* 1499406 */   // Label 20872: @1499406
     /* 1499406 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1499488), // Rule ID 17748 //
     /* 1499411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499450 */     // MIs[0] round
     /* 1499450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499453 */     // MIs[0] policy
     /* 1499453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499463 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499487 */     // GIR_Coverage, 17748,
     /* 1499487 */     GIR_EraseRootFromParent_Done,
     /* 1499488 */   // Label 20873: @1499488
     /* 1499488 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1499570), // Rule ID 17751 //
     /* 1499493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499532 */     // MIs[0] round
     /* 1499532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499535 */     // MIs[0] policy
     /* 1499535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499545 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1499548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499569 */     // GIR_Coverage, 17751,
     /* 1499569 */     GIR_EraseRootFromParent_Done,
     /* 1499570 */   // Label 20874: @1499570
     /* 1499570 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1499652), // Rule ID 17752 //
     /* 1499575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499614 */     // MIs[0] round
     /* 1499614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499617 */     // MIs[0] policy
     /* 1499617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499627 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1499630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499651 */     // GIR_Coverage, 17752,
     /* 1499651 */     GIR_EraseRootFromParent_Done,
     /* 1499652 */   // Label 20875: @1499652
     /* 1499652 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1499734), // Rule ID 17755 //
     /* 1499657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1499674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1499677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499696 */     // MIs[0] round
     /* 1499696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499699 */     // MIs[0] policy
     /* 1499699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499709 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1499712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499733 */     // GIR_Coverage, 17755,
     /* 1499733 */     GIR_EraseRootFromParent_Done,
     /* 1499734 */   // Label 20876: @1499734
     /* 1499734 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1499816), // Rule ID 17756 //
     /* 1499739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1499756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1499759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499778 */     // MIs[0] round
     /* 1499778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499781 */     // MIs[0] policy
     /* 1499781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499791 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1499794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499815 */     // GIR_Coverage, 17756,
     /* 1499815 */     GIR_EraseRootFromParent_Done,
     /* 1499816 */   // Label 20877: @1499816
     /* 1499816 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1499898), // Rule ID 17759 //
     /* 1499821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1499832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1499835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1499841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499860 */     // MIs[0] round
     /* 1499860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499863 */     // MIs[0] policy
     /* 1499863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499873 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1499876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499897 */     // GIR_Coverage, 17759,
     /* 1499897 */     GIR_EraseRootFromParent_Done,
     /* 1499898 */   // Label 20878: @1499898
     /* 1499898 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1499980), // Rule ID 17760 //
     /* 1499903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1499914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1499917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1499923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499942 */     // MIs[0] round
     /* 1499942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499945 */     // MIs[0] policy
     /* 1499945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499955 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1499958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499979 */     // GIR_Coverage, 17760,
     /* 1499979 */     GIR_EraseRootFromParent_Done,
     /* 1499980 */   // Label 20879: @1499980
     /* 1499980 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1500062), // Rule ID 17763 //
     /* 1499985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1500005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500024 */     // MIs[0] round
     /* 1500024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500027 */     // MIs[0] policy
     /* 1500027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500037 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1500040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500061 */     // GIR_Coverage, 17763,
     /* 1500061 */     GIR_EraseRootFromParent_Done,
     /* 1500062 */   // Label 20880: @1500062
     /* 1500062 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1500144), // Rule ID 17764 //
     /* 1500067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1500078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1500081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1500087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500106 */     // MIs[0] round
     /* 1500106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500109 */     // MIs[0] policy
     /* 1500109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500119 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1500122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500143 */     // GIR_Coverage, 17764,
     /* 1500143 */     GIR_EraseRootFromParent_Done,
     /* 1500144 */   // Label 20881: @1500144
     /* 1500144 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1500226), // Rule ID 17767 //
     /* 1500149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500188 */     // MIs[0] round
     /* 1500188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500191 */     // MIs[0] policy
     /* 1500191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500201 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500225 */     // GIR_Coverage, 17767,
     /* 1500225 */     GIR_EraseRootFromParent_Done,
     /* 1500226 */   // Label 20882: @1500226
     /* 1500226 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1500308), // Rule ID 17768 //
     /* 1500231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500270 */     // MIs[0] round
     /* 1500270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500273 */     // MIs[0] policy
     /* 1500273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500307 */     // GIR_Coverage, 17768,
     /* 1500307 */     GIR_EraseRootFromParent_Done,
     /* 1500308 */   // Label 20883: @1500308
     /* 1500308 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1500390), // Rule ID 17771 //
     /* 1500313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500352 */     // MIs[0] round
     /* 1500352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500355 */     // MIs[0] policy
     /* 1500355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500365 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500389 */     // GIR_Coverage, 17771,
     /* 1500389 */     GIR_EraseRootFromParent_Done,
     /* 1500390 */   // Label 20884: @1500390
     /* 1500390 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1500472), // Rule ID 17772 //
     /* 1500395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500434 */     // MIs[0] round
     /* 1500434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500437 */     // MIs[0] policy
     /* 1500437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500447 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500471 */     // GIR_Coverage, 17772,
     /* 1500471 */     GIR_EraseRootFromParent_Done,
     /* 1500472 */   // Label 20885: @1500472
     /* 1500472 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1500554), // Rule ID 17775 //
     /* 1500477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500516 */     // MIs[0] round
     /* 1500516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500519 */     // MIs[0] policy
     /* 1500519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500529 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1500532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500553 */     // GIR_Coverage, 17775,
     /* 1500553 */     GIR_EraseRootFromParent_Done,
     /* 1500554 */   // Label 20886: @1500554
     /* 1500554 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1500636), // Rule ID 17776 //
     /* 1500559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500598 */     // MIs[0] round
     /* 1500598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500601 */     // MIs[0] policy
     /* 1500601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500611 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1500614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500635 */     // GIR_Coverage, 17776,
     /* 1500635 */     GIR_EraseRootFromParent_Done,
     /* 1500636 */   // Label 20887: @1500636
     /* 1500636 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1500718), // Rule ID 17779 //
     /* 1500641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1500652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1500655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1500658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1500661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500680 */     // MIs[0] round
     /* 1500680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500683 */     // MIs[0] policy
     /* 1500683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500693 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1500696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500717 */     // GIR_Coverage, 17779,
     /* 1500717 */     GIR_EraseRootFromParent_Done,
     /* 1500718 */   // Label 20888: @1500718
     /* 1500718 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1500800), // Rule ID 17780 //
     /* 1500723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1500734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1500737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1500740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1500743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500762 */     // MIs[0] round
     /* 1500762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500765 */     // MIs[0] policy
     /* 1500765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500775 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1500778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500799 */     // GIR_Coverage, 17780,
     /* 1500799 */     GIR_EraseRootFromParent_Done,
     /* 1500800 */   // Label 20889: @1500800
     /* 1500800 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1500882), // Rule ID 17783 //
     /* 1500805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1500825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500844 */     // MIs[0] round
     /* 1500844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500847 */     // MIs[0] policy
     /* 1500847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500857 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1500860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500881 */     // GIR_Coverage, 17783,
     /* 1500881 */     GIR_EraseRootFromParent_Done,
     /* 1500882 */   // Label 20890: @1500882
     /* 1500882 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1500964), // Rule ID 17784 //
     /* 1500887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1500907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500926 */     // MIs[0] round
     /* 1500926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500929 */     // MIs[0] policy
     /* 1500929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500939 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1500942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500963 */     // GIR_Coverage, 17784,
     /* 1500963 */     GIR_EraseRootFromParent_Done,
     /* 1500964 */   // Label 20891: @1500964
     /* 1500964 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1501046), // Rule ID 17787 //
     /* 1500969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1500989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501008 */     // MIs[0] round
     /* 1501008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501011 */     // MIs[0] policy
     /* 1501011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501021 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1501024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501045 */     // GIR_Coverage, 17787,
     /* 1501045 */     GIR_EraseRootFromParent_Done,
     /* 1501046 */   // Label 20892: @1501046
     /* 1501046 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1501128), // Rule ID 17788 //
     /* 1501051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1501062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1501065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1501068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1501071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501090 */     // MIs[0] round
     /* 1501090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501093 */     // MIs[0] policy
     /* 1501093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501103 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1501106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501127 */     // GIR_Coverage, 17788,
     /* 1501127 */     GIR_EraseRootFromParent_Done,
     /* 1501128 */   // Label 20893: @1501128
     /* 1501128 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1501210), // Rule ID 17791 //
     /* 1501133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501172 */     // MIs[0] round
     /* 1501172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501175 */     // MIs[0] policy
     /* 1501175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501185 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501209 */     // GIR_Coverage, 17791,
     /* 1501209 */     GIR_EraseRootFromParent_Done,
     /* 1501210 */   // Label 20894: @1501210
     /* 1501210 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1501292), // Rule ID 17792 //
     /* 1501215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501254 */     // MIs[0] round
     /* 1501254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501257 */     // MIs[0] policy
     /* 1501257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501291 */     // GIR_Coverage, 17792,
     /* 1501291 */     GIR_EraseRootFromParent_Done,
     /* 1501292 */   // Label 20895: @1501292
     /* 1501292 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1501374), // Rule ID 17795 //
     /* 1501297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501336 */     // MIs[0] round
     /* 1501336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501339 */     // MIs[0] policy
     /* 1501339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501349 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501373 */     // GIR_Coverage, 17795,
     /* 1501373 */     GIR_EraseRootFromParent_Done,
     /* 1501374 */   // Label 20896: @1501374
     /* 1501374 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1501456), // Rule ID 17796 //
     /* 1501379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501418 */     // MIs[0] round
     /* 1501418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501421 */     // MIs[0] policy
     /* 1501421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501431 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501455 */     // GIR_Coverage, 17796,
     /* 1501455 */     GIR_EraseRootFromParent_Done,
     /* 1501456 */   // Label 20897: @1501456
     /* 1501456 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1501538), // Rule ID 17799 //
     /* 1501461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501500 */     // MIs[0] round
     /* 1501500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501503 */     // MIs[0] policy
     /* 1501503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501513 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501537 */     // GIR_Coverage, 17799,
     /* 1501537 */     GIR_EraseRootFromParent_Done,
     /* 1501538 */   // Label 20898: @1501538
     /* 1501538 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1501620), // Rule ID 17800 //
     /* 1501543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501582 */     // MIs[0] round
     /* 1501582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501585 */     // MIs[0] policy
     /* 1501585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501595 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501619 */     // GIR_Coverage, 17800,
     /* 1501619 */     GIR_EraseRootFromParent_Done,
     /* 1501620 */   // Label 20899: @1501620
     /* 1501620 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1501702), // Rule ID 17803 //
     /* 1501625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1501645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501664 */     // MIs[0] round
     /* 1501664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501667 */     // MIs[0] policy
     /* 1501667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501677 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1501680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501701 */     // GIR_Coverage, 17803,
     /* 1501701 */     GIR_EraseRootFromParent_Done,
     /* 1501702 */   // Label 20900: @1501702
     /* 1501702 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1501784), // Rule ID 17804 //
     /* 1501707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1501727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501746 */     // MIs[0] round
     /* 1501746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501749 */     // MIs[0] policy
     /* 1501749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501759 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1501762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501783 */     // GIR_Coverage, 17804,
     /* 1501783 */     GIR_EraseRootFromParent_Done,
     /* 1501784 */   // Label 20901: @1501784
     /* 1501784 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1501866), // Rule ID 17807 //
     /* 1501789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501828 */     // MIs[0] round
     /* 1501828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501831 */     // MIs[0] policy
     /* 1501831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501841 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1501844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501852 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501865 */     // GIR_Coverage, 17807,
     /* 1501865 */     GIR_EraseRootFromParent_Done,
     /* 1501866 */   // Label 20902: @1501866
     /* 1501866 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1501948), // Rule ID 17808 //
     /* 1501871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501910 */     // MIs[0] round
     /* 1501910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501913 */     // MIs[0] policy
     /* 1501913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501923 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1501926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501947 */     // GIR_Coverage, 17808,
     /* 1501947 */     GIR_EraseRootFromParent_Done,
     /* 1501948 */   // Label 20903: @1501948
     /* 1501948 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1502030), // Rule ID 17811 //
     /* 1501953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501992 */     // MIs[0] round
     /* 1501992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501995 */     // MIs[0] policy
     /* 1501995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502005 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1502008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502029 */     // GIR_Coverage, 17811,
     /* 1502029 */     GIR_EraseRootFromParent_Done,
     /* 1502030 */   // Label 20904: @1502030
     /* 1502030 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1502112), // Rule ID 17812 //
     /* 1502035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1502046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1502049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1502055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502074 */     // MIs[0] round
     /* 1502074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502077 */     // MIs[0] policy
     /* 1502077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502087 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1502090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502111 */     // GIR_Coverage, 17812,
     /* 1502111 */     GIR_EraseRootFromParent_Done,
     /* 1502112 */   // Label 20905: @1502112
     /* 1502112 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1502194), // Rule ID 17815 //
     /* 1502117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502156 */     // MIs[0] round
     /* 1502156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502159 */     // MIs[0] policy
     /* 1502159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502169 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502193 */     // GIR_Coverage, 17815,
     /* 1502193 */     GIR_EraseRootFromParent_Done,
     /* 1502194 */   // Label 20906: @1502194
     /* 1502194 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1502276), // Rule ID 17816 //
     /* 1502199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502238 */     // MIs[0] round
     /* 1502238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502241 */     // MIs[0] policy
     /* 1502241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502251 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502275 */     // GIR_Coverage, 17816,
     /* 1502275 */     GIR_EraseRootFromParent_Done,
     /* 1502276 */   // Label 20907: @1502276
     /* 1502276 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1502358), // Rule ID 17819 //
     /* 1502281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502320 */     // MIs[0] round
     /* 1502320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502323 */     // MIs[0] policy
     /* 1502323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502357 */     // GIR_Coverage, 17819,
     /* 1502357 */     GIR_EraseRootFromParent_Done,
     /* 1502358 */   // Label 20908: @1502358
     /* 1502358 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1502440), // Rule ID 17820 //
     /* 1502363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502402 */     // MIs[0] round
     /* 1502402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502405 */     // MIs[0] policy
     /* 1502405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502415 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502439 */     // GIR_Coverage, 17820,
     /* 1502439 */     GIR_EraseRootFromParent_Done,
     /* 1502440 */   // Label 20909: @1502440
     /* 1502440 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1502522), // Rule ID 17823 //
     /* 1502445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502484 */     // MIs[0] round
     /* 1502484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502487 */     // MIs[0] policy
     /* 1502487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502521 */     // GIR_Coverage, 17823,
     /* 1502521 */     GIR_EraseRootFromParent_Done,
     /* 1502522 */   // Label 20910: @1502522
     /* 1502522 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1502604), // Rule ID 17824 //
     /* 1502527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502566 */     // MIs[0] round
     /* 1502566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502569 */     // MIs[0] policy
     /* 1502569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502579 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502603 */     // GIR_Coverage, 17824,
     /* 1502603 */     GIR_EraseRootFromParent_Done,
     /* 1502604 */   // Label 20911: @1502604
     /* 1502604 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1502686), // Rule ID 17827 //
     /* 1502609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502648 */     // MIs[0] round
     /* 1502648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502651 */     // MIs[0] policy
     /* 1502651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502661 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1502664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502685 */     // GIR_Coverage, 17827,
     /* 1502685 */     GIR_EraseRootFromParent_Done,
     /* 1502686 */   // Label 20912: @1502686
     /* 1502686 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1502768), // Rule ID 17828 //
     /* 1502691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502730 */     // MIs[0] round
     /* 1502730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502733 */     // MIs[0] policy
     /* 1502733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502743 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1502746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502767 */     // GIR_Coverage, 17828,
     /* 1502767 */     GIR_EraseRootFromParent_Done,
     /* 1502768 */   // Label 20913: @1502768
     /* 1502768 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1502850), // Rule ID 17831 //
     /* 1502773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502812 */     // MIs[0] round
     /* 1502812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502815 */     // MIs[0] policy
     /* 1502815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502825 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1502828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502849 */     // GIR_Coverage, 17831,
     /* 1502849 */     GIR_EraseRootFromParent_Done,
     /* 1502850 */   // Label 20914: @1502850
     /* 1502850 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1502932), // Rule ID 17832 //
     /* 1502855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502894 */     // MIs[0] round
     /* 1502894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502897 */     // MIs[0] policy
     /* 1502897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502907 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1502910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502931 */     // GIR_Coverage, 17832,
     /* 1502931 */     GIR_EraseRootFromParent_Done,
     /* 1502932 */   // Label 20915: @1502932
     /* 1502932 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1503014), // Rule ID 17835 //
     /* 1502937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502976 */     // MIs[0] round
     /* 1502976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502979 */     // MIs[0] policy
     /* 1502979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502989 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1502992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503013 */     // GIR_Coverage, 17835,
     /* 1503013 */     GIR_EraseRootFromParent_Done,
     /* 1503014 */   // Label 20916: @1503014
     /* 1503014 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1503096), // Rule ID 17836 //
     /* 1503019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1503030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1503033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1503039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503058 */     // MIs[0] round
     /* 1503058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503061 */     // MIs[0] policy
     /* 1503061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503071 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1503074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503095 */     // GIR_Coverage, 17836,
     /* 1503095 */     GIR_EraseRootFromParent_Done,
     /* 1503096 */   // Label 20917: @1503096
     /* 1503096 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1503178), // Rule ID 17839 //
     /* 1503101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503140 */     // MIs[0] round
     /* 1503140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503143 */     // MIs[0] policy
     /* 1503143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503153 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503177 */     // GIR_Coverage, 17839,
     /* 1503177 */     GIR_EraseRootFromParent_Done,
     /* 1503178 */   // Label 20918: @1503178
     /* 1503178 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1503260), // Rule ID 17840 //
     /* 1503183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503222 */     // MIs[0] round
     /* 1503222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503225 */     // MIs[0] policy
     /* 1503225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503235 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503259 */     // GIR_Coverage, 17840,
     /* 1503259 */     GIR_EraseRootFromParent_Done,
     /* 1503260 */   // Label 20919: @1503260
     /* 1503260 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1503342), // Rule ID 17843 //
     /* 1503265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503304 */     // MIs[0] round
     /* 1503304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503307 */     // MIs[0] policy
     /* 1503307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503317 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503341 */     // GIR_Coverage, 17843,
     /* 1503341 */     GIR_EraseRootFromParent_Done,
     /* 1503342 */   // Label 20920: @1503342
     /* 1503342 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1503424), // Rule ID 17844 //
     /* 1503347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503386 */     // MIs[0] round
     /* 1503386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503389 */     // MIs[0] policy
     /* 1503389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503399 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503423 */     // GIR_Coverage, 17844,
     /* 1503423 */     GIR_EraseRootFromParent_Done,
     /* 1503424 */   // Label 20921: @1503424
     /* 1503424 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1503506), // Rule ID 17847 //
     /* 1503429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503468 */     // MIs[0] round
     /* 1503468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503471 */     // MIs[0] policy
     /* 1503471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503481 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503505 */     // GIR_Coverage, 17847,
     /* 1503505 */     GIR_EraseRootFromParent_Done,
     /* 1503506 */   // Label 20922: @1503506
     /* 1503506 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1503588), // Rule ID 17848 //
     /* 1503511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503550 */     // MIs[0] round
     /* 1503550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503553 */     // MIs[0] policy
     /* 1503553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503563 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503587 */     // GIR_Coverage, 17848,
     /* 1503587 */     GIR_EraseRootFromParent_Done,
     /* 1503588 */   // Label 20923: @1503588
     /* 1503588 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1503670), // Rule ID 17851 //
     /* 1503593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503632 */     // MIs[0] round
     /* 1503632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503635 */     // MIs[0] policy
     /* 1503635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503645 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1503648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503669 */     // GIR_Coverage, 17851,
     /* 1503669 */     GIR_EraseRootFromParent_Done,
     /* 1503670 */   // Label 20924: @1503670
     /* 1503670 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1503752), // Rule ID 17852 //
     /* 1503675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503714 */     // MIs[0] round
     /* 1503714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503717 */     // MIs[0] policy
     /* 1503717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503727 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1503730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503751 */     // GIR_Coverage, 17852,
     /* 1503751 */     GIR_EraseRootFromParent_Done,
     /* 1503752 */   // Label 20925: @1503752
     /* 1503752 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1503834), // Rule ID 17855 //
     /* 1503757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503796 */     // MIs[0] round
     /* 1503796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503799 */     // MIs[0] policy
     /* 1503799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503809 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1503812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503833 */     // GIR_Coverage, 17855,
     /* 1503833 */     GIR_EraseRootFromParent_Done,
     /* 1503834 */   // Label 20926: @1503834
     /* 1503834 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1503916), // Rule ID 17856 //
     /* 1503839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503878 */     // MIs[0] round
     /* 1503878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503881 */     // MIs[0] policy
     /* 1503881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503891 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1503894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503915 */     // GIR_Coverage, 17856,
     /* 1503915 */     GIR_EraseRootFromParent_Done,
     /* 1503916 */   // Label 20927: @1503916
     /* 1503916 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1503998), // Rule ID 17859 //
     /* 1503921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503960 */     // MIs[0] round
     /* 1503960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503963 */     // MIs[0] policy
     /* 1503963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503973 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1503976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503997 */     // GIR_Coverage, 17859,
     /* 1503997 */     GIR_EraseRootFromParent_Done,
     /* 1503998 */   // Label 20928: @1503998
     /* 1503998 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1504080), // Rule ID 17860 //
     /* 1504003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1504014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1504017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1504023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504042 */     // MIs[0] round
     /* 1504042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504045 */     // MIs[0] policy
     /* 1504045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504055 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1504058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504079 */     // GIR_Coverage, 17860,
     /* 1504079 */     GIR_EraseRootFromParent_Done,
     /* 1504080 */   // Label 20929: @1504080
     /* 1504080 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1504162), // Rule ID 17863 //
     /* 1504085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504124 */     // MIs[0] round
     /* 1504124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504127 */     // MIs[0] policy
     /* 1504127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504137 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504161 */     // GIR_Coverage, 17863,
     /* 1504161 */     GIR_EraseRootFromParent_Done,
     /* 1504162 */   // Label 20930: @1504162
     /* 1504162 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1504244), // Rule ID 17864 //
     /* 1504167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504206 */     // MIs[0] round
     /* 1504206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504209 */     // MIs[0] policy
     /* 1504209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504219 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504243 */     // GIR_Coverage, 17864,
     /* 1504243 */     GIR_EraseRootFromParent_Done,
     /* 1504244 */   // Label 20931: @1504244
     /* 1504244 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1504326), // Rule ID 17867 //
     /* 1504249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504288 */     // MIs[0] round
     /* 1504288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504291 */     // MIs[0] policy
     /* 1504291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504301 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504325 */     // GIR_Coverage, 17867,
     /* 1504325 */     GIR_EraseRootFromParent_Done,
     /* 1504326 */   // Label 20932: @1504326
     /* 1504326 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1504408), // Rule ID 17868 //
     /* 1504331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504370 */     // MIs[0] round
     /* 1504370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504373 */     // MIs[0] policy
     /* 1504373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504383 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504407 */     // GIR_Coverage, 17868,
     /* 1504407 */     GIR_EraseRootFromParent_Done,
     /* 1504408 */   // Label 20933: @1504408
     /* 1504408 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1504490), // Rule ID 17871 //
     /* 1504413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504452 */     // MIs[0] round
     /* 1504452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504455 */     // MIs[0] policy
     /* 1504455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504465 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504489 */     // GIR_Coverage, 17871,
     /* 1504489 */     GIR_EraseRootFromParent_Done,
     /* 1504490 */   // Label 20934: @1504490
     /* 1504490 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1504572), // Rule ID 17872 //
     /* 1504495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504534 */     // MIs[0] round
     /* 1504534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504537 */     // MIs[0] policy
     /* 1504537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504547 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504571 */     // GIR_Coverage, 17872,
     /* 1504571 */     GIR_EraseRootFromParent_Done,
     /* 1504572 */   // Label 20935: @1504572
     /* 1504572 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1504654), // Rule ID 17875 //
     /* 1504577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504616 */     // MIs[0] round
     /* 1504616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504619 */     // MIs[0] policy
     /* 1504619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504629 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1504632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504653 */     // GIR_Coverage, 17875,
     /* 1504653 */     GIR_EraseRootFromParent_Done,
     /* 1504654 */   // Label 20936: @1504654
     /* 1504654 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1504736), // Rule ID 17876 //
     /* 1504659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504698 */     // MIs[0] round
     /* 1504698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504701 */     // MIs[0] policy
     /* 1504701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504711 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1504714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504735 */     // GIR_Coverage, 17876,
     /* 1504735 */     GIR_EraseRootFromParent_Done,
     /* 1504736 */   // Label 20937: @1504736
     /* 1504736 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1504818), // Rule ID 17879 //
     /* 1504741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504780 */     // MIs[0] round
     /* 1504780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504783 */     // MIs[0] policy
     /* 1504783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504793 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1504796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504817 */     // GIR_Coverage, 17879,
     /* 1504817 */     GIR_EraseRootFromParent_Done,
     /* 1504818 */   // Label 20938: @1504818
     /* 1504818 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1504900), // Rule ID 17880 //
     /* 1504823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504862 */     // MIs[0] round
     /* 1504862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504865 */     // MIs[0] policy
     /* 1504865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504875 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1504878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504899 */     // GIR_Coverage, 17880,
     /* 1504899 */     GIR_EraseRootFromParent_Done,
     /* 1504900 */   // Label 20939: @1504900
     /* 1504900 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1504982), // Rule ID 17883 //
     /* 1504905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1504922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504944 */     // MIs[0] round
     /* 1504944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504947 */     // MIs[0] policy
     /* 1504947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504957 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1504960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504981 */     // GIR_Coverage, 17883,
     /* 1504981 */     GIR_EraseRootFromParent_Done,
     /* 1504982 */   // Label 20940: @1504982
     /* 1504982 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1505064), // Rule ID 17884 //
     /* 1504987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1505001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1505004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1505007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505026 */     // MIs[0] round
     /* 1505026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505029 */     // MIs[0] policy
     /* 1505029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505039 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1505042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505063 */     // GIR_Coverage, 17884,
     /* 1505063 */     GIR_EraseRootFromParent_Done,
     /* 1505064 */   // Label 20941: @1505064
     /* 1505064 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1505146), // Rule ID 17887 //
     /* 1505069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505108 */     // MIs[0] round
     /* 1505108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505111 */     // MIs[0] policy
     /* 1505111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505121 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505145 */     // GIR_Coverage, 17887,
     /* 1505145 */     GIR_EraseRootFromParent_Done,
     /* 1505146 */   // Label 20942: @1505146
     /* 1505146 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1505228), // Rule ID 17888 //
     /* 1505151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505190 */     // MIs[0] round
     /* 1505190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505193 */     // MIs[0] policy
     /* 1505193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505227 */     // GIR_Coverage, 17888,
     /* 1505227 */     GIR_EraseRootFromParent_Done,
     /* 1505228 */   // Label 20943: @1505228
     /* 1505228 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1505310), // Rule ID 17891 //
     /* 1505233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505272 */     // MIs[0] round
     /* 1505272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505275 */     // MIs[0] policy
     /* 1505275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505285 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505309 */     // GIR_Coverage, 17891,
     /* 1505309 */     GIR_EraseRootFromParent_Done,
     /* 1505310 */   // Label 20944: @1505310
     /* 1505310 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1505392), // Rule ID 17892 //
     /* 1505315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505354 */     // MIs[0] round
     /* 1505354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505357 */     // MIs[0] policy
     /* 1505357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505367 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505391 */     // GIR_Coverage, 17892,
     /* 1505391 */     GIR_EraseRootFromParent_Done,
     /* 1505392 */   // Label 20945: @1505392
     /* 1505392 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1505474), // Rule ID 17895 //
     /* 1505397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505436 */     // MIs[0] round
     /* 1505436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505439 */     // MIs[0] policy
     /* 1505439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505449 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505473 */     // GIR_Coverage, 17895,
     /* 1505473 */     GIR_EraseRootFromParent_Done,
     /* 1505474 */   // Label 20946: @1505474
     /* 1505474 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1505556), // Rule ID 17896 //
     /* 1505479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505518 */     // MIs[0] round
     /* 1505518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505521 */     // MIs[0] policy
     /* 1505521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505531 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505555 */     // GIR_Coverage, 17896,
     /* 1505555 */     GIR_EraseRootFromParent_Done,
     /* 1505556 */   // Label 20947: @1505556
     /* 1505556 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1505638), // Rule ID 17899 //
     /* 1505561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505600 */     // MIs[0] round
     /* 1505600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505603 */     // MIs[0] policy
     /* 1505603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505613 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1505616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505637 */     // GIR_Coverage, 17899,
     /* 1505637 */     GIR_EraseRootFromParent_Done,
     /* 1505638 */   // Label 20948: @1505638
     /* 1505638 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1505720), // Rule ID 17900 //
     /* 1505643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505682 */     // MIs[0] round
     /* 1505682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505685 */     // MIs[0] policy
     /* 1505685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505695 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1505698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505719 */     // GIR_Coverage, 17900,
     /* 1505719 */     GIR_EraseRootFromParent_Done,
     /* 1505720 */   // Label 20949: @1505720
     /* 1505720 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1505802), // Rule ID 17903 //
     /* 1505725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1505742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505764 */     // MIs[0] round
     /* 1505764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505767 */     // MIs[0] policy
     /* 1505767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1505780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505801 */     // GIR_Coverage, 17903,
     /* 1505801 */     GIR_EraseRootFromParent_Done,
     /* 1505802 */   // Label 20950: @1505802
     /* 1505802 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1505884), // Rule ID 17904 //
     /* 1505807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1505824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505846 */     // MIs[0] round
     /* 1505846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505849 */     // MIs[0] policy
     /* 1505849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505859 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1505862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505883 */     // GIR_Coverage, 17904,
     /* 1505883 */     GIR_EraseRootFromParent_Done,
     /* 1505884 */   // Label 20951: @1505884
     /* 1505884 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1505966), // Rule ID 17907 //
     /* 1505889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1505906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505928 */     // MIs[0] round
     /* 1505928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505931 */     // MIs[0] policy
     /* 1505931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505941 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1505944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505965 */     // GIR_Coverage, 17907,
     /* 1505965 */     GIR_EraseRootFromParent_Done,
     /* 1505966 */   // Label 20952: @1505966
     /* 1505966 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1506048), // Rule ID 17908 //
     /* 1505971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1505988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506010 */     // MIs[0] round
     /* 1506010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506013 */     // MIs[0] policy
     /* 1506013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506023 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1506026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506047 */     // GIR_Coverage, 17908,
     /* 1506047 */     GIR_EraseRootFromParent_Done,
     /* 1506048 */   // Label 20953: @1506048
     /* 1506048 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1506130), // Rule ID 17911 //
     /* 1506053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506092 */     // MIs[0] round
     /* 1506092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506095 */     // MIs[0] policy
     /* 1506095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506105 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506129 */     // GIR_Coverage, 17911,
     /* 1506129 */     GIR_EraseRootFromParent_Done,
     /* 1506130 */   // Label 20954: @1506130
     /* 1506130 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1506212), // Rule ID 17912 //
     /* 1506135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506174 */     // MIs[0] round
     /* 1506174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506177 */     // MIs[0] policy
     /* 1506177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506187 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506211 */     // GIR_Coverage, 17912,
     /* 1506211 */     GIR_EraseRootFromParent_Done,
     /* 1506212 */   // Label 20955: @1506212
     /* 1506212 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1506294), // Rule ID 17915 //
     /* 1506217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506256 */     // MIs[0] round
     /* 1506256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506259 */     // MIs[0] policy
     /* 1506259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506269 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506293 */     // GIR_Coverage, 17915,
     /* 1506293 */     GIR_EraseRootFromParent_Done,
     /* 1506294 */   // Label 20956: @1506294
     /* 1506294 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1506376), // Rule ID 17916 //
     /* 1506299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506338 */     // MIs[0] round
     /* 1506338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506341 */     // MIs[0] policy
     /* 1506341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506351 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506375 */     // GIR_Coverage, 17916,
     /* 1506375 */     GIR_EraseRootFromParent_Done,
     /* 1506376 */   // Label 20957: @1506376
     /* 1506376 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1506458), // Rule ID 17919 //
     /* 1506381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506420 */     // MIs[0] round
     /* 1506420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506423 */     // MIs[0] policy
     /* 1506423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506433 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506457 */     // GIR_Coverage, 17919,
     /* 1506457 */     GIR_EraseRootFromParent_Done,
     /* 1506458 */   // Label 20958: @1506458
     /* 1506458 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1506540), // Rule ID 17920 //
     /* 1506463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506502 */     // MIs[0] round
     /* 1506502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506505 */     // MIs[0] policy
     /* 1506505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506515 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506539 */     // GIR_Coverage, 17920,
     /* 1506539 */     GIR_EraseRootFromParent_Done,
     /* 1506540 */   // Label 20959: @1506540
     /* 1506540 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1506622), // Rule ID 17923 //
     /* 1506545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506584 */     // MIs[0] round
     /* 1506584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506587 */     // MIs[0] policy
     /* 1506587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506597 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1506600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506621 */     // GIR_Coverage, 17923,
     /* 1506621 */     GIR_EraseRootFromParent_Done,
     /* 1506622 */   // Label 20960: @1506622
     /* 1506622 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1506704), // Rule ID 17924 //
     /* 1506627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506666 */     // MIs[0] round
     /* 1506666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506669 */     // MIs[0] policy
     /* 1506669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506679 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1506682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506690 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506703 */     // GIR_Coverage, 17924,
     /* 1506703 */     GIR_EraseRootFromParent_Done,
     /* 1506704 */   // Label 20961: @1506704
     /* 1506704 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1506786), // Rule ID 17927 //
     /* 1506709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506748 */     // MIs[0] round
     /* 1506748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506751 */     // MIs[0] policy
     /* 1506751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506761 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1506764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506785 */     // GIR_Coverage, 17927,
     /* 1506785 */     GIR_EraseRootFromParent_Done,
     /* 1506786 */   // Label 20962: @1506786
     /* 1506786 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1506868), // Rule ID 17928 //
     /* 1506791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506830 */     // MIs[0] round
     /* 1506830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506833 */     // MIs[0] policy
     /* 1506833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506843 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1506846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506867 */     // GIR_Coverage, 17928,
     /* 1506867 */     GIR_EraseRootFromParent_Done,
     /* 1506868 */   // Label 20963: @1506868
     /* 1506868 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1506950), // Rule ID 17931 //
     /* 1506873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506912 */     // MIs[0] round
     /* 1506912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506915 */     // MIs[0] policy
     /* 1506915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506925 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1506928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506949 */     // GIR_Coverage, 17931,
     /* 1506949 */     GIR_EraseRootFromParent_Done,
     /* 1506950 */   // Label 20964: @1506950
     /* 1506950 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1507032), // Rule ID 17932 //
     /* 1506955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506994 */     // MIs[0] round
     /* 1506994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506997 */     // MIs[0] policy
     /* 1506997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507007 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1507010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507031 */     // GIR_Coverage, 17932,
     /* 1507031 */     GIR_EraseRootFromParent_Done,
     /* 1507032 */   // Label 20965: @1507032
     /* 1507032 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1507114), // Rule ID 17935 //
     /* 1507037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1507048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1507051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507076 */     // MIs[0] round
     /* 1507076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507079 */     // MIs[0] policy
     /* 1507079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507089 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507113 */     // GIR_Coverage, 17935,
     /* 1507113 */     GIR_EraseRootFromParent_Done,
     /* 1507114 */   // Label 20966: @1507114
     /* 1507114 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1507196), // Rule ID 17936 //
     /* 1507119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1507130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1507133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507158 */     // MIs[0] round
     /* 1507158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507161 */     // MIs[0] policy
     /* 1507161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507171 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507195 */     // GIR_Coverage, 17936,
     /* 1507195 */     GIR_EraseRootFromParent_Done,
     /* 1507196 */   // Label 20967: @1507196
     /* 1507196 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1507278), // Rule ID 17939 //
     /* 1507201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507240 */     // MIs[0] round
     /* 1507240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507243 */     // MIs[0] policy
     /* 1507243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507277 */     // GIR_Coverage, 17939,
     /* 1507277 */     GIR_EraseRootFromParent_Done,
     /* 1507278 */   // Label 20968: @1507278
     /* 1507278 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1507360), // Rule ID 17940 //
     /* 1507283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507322 */     // MIs[0] round
     /* 1507322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507325 */     // MIs[0] policy
     /* 1507325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507335 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507359 */     // GIR_Coverage, 17940,
     /* 1507359 */     GIR_EraseRootFromParent_Done,
     /* 1507360 */   // Label 20969: @1507360
     /* 1507360 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1507442), // Rule ID 17943 //
     /* 1507365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507404 */     // MIs[0] round
     /* 1507404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507407 */     // MIs[0] policy
     /* 1507407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507417 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507441 */     // GIR_Coverage, 17943,
     /* 1507441 */     GIR_EraseRootFromParent_Done,
     /* 1507442 */   // Label 20970: @1507442
     /* 1507442 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1507524), // Rule ID 17944 //
     /* 1507447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507486 */     // MIs[0] round
     /* 1507486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507489 */     // MIs[0] policy
     /* 1507489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507499 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507523 */     // GIR_Coverage, 17944,
     /* 1507523 */     GIR_EraseRootFromParent_Done,
     /* 1507524 */   // Label 20971: @1507524
     /* 1507524 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1507606), // Rule ID 17947 //
     /* 1507529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507568 */     // MIs[0] round
     /* 1507568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507571 */     // MIs[0] policy
     /* 1507571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1507584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507605 */     // GIR_Coverage, 17947,
     /* 1507605 */     GIR_EraseRootFromParent_Done,
     /* 1507606 */   // Label 20972: @1507606
     /* 1507606 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1507688), // Rule ID 17948 //
     /* 1507611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507650 */     // MIs[0] round
     /* 1507650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507653 */     // MIs[0] policy
     /* 1507653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507663 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1507666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507687 */     // GIR_Coverage, 17948,
     /* 1507687 */     GIR_EraseRootFromParent_Done,
     /* 1507688 */   // Label 20973: @1507688
     /* 1507688 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1507770), // Rule ID 17951 //
     /* 1507693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507732 */     // MIs[0] round
     /* 1507732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507735 */     // MIs[0] policy
     /* 1507735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507745 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1507748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507769 */     // GIR_Coverage, 17951,
     /* 1507769 */     GIR_EraseRootFromParent_Done,
     /* 1507770 */   // Label 20974: @1507770
     /* 1507770 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1507852), // Rule ID 17952 //
     /* 1507775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507814 */     // MIs[0] round
     /* 1507814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507817 */     // MIs[0] policy
     /* 1507817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507827 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1507830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507851 */     // GIR_Coverage, 17952,
     /* 1507851 */     GIR_EraseRootFromParent_Done,
     /* 1507852 */   // Label 20975: @1507852
     /* 1507852 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1507934), // Rule ID 17955 //
     /* 1507857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507896 */     // MIs[0] round
     /* 1507896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507899 */     // MIs[0] policy
     /* 1507899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507909 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1507912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507933 */     // GIR_Coverage, 17955,
     /* 1507933 */     GIR_EraseRootFromParent_Done,
     /* 1507934 */   // Label 20976: @1507934
     /* 1507934 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1508016), // Rule ID 17956 //
     /* 1507939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507978 */     // MIs[0] round
     /* 1507978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507981 */     // MIs[0] policy
     /* 1507981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507991 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1507994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508015 */     // GIR_Coverage, 17956,
     /* 1508015 */     GIR_EraseRootFromParent_Done,
     /* 1508016 */   // Label 20977: @1508016
     /* 1508016 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1508098), // Rule ID 17959 //
     /* 1508021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1508041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508060 */     // MIs[0] round
     /* 1508060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508063 */     // MIs[0] policy
     /* 1508063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508073 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508097 */     // GIR_Coverage, 17959,
     /* 1508097 */     GIR_EraseRootFromParent_Done,
     /* 1508098 */   // Label 20978: @1508098
     /* 1508098 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1508180), // Rule ID 17960 //
     /* 1508103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1508123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508142 */     // MIs[0] round
     /* 1508142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508145 */     // MIs[0] policy
     /* 1508145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508155 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508179 */     // GIR_Coverage, 17960,
     /* 1508179 */     GIR_EraseRootFromParent_Done,
     /* 1508180 */   // Label 20979: @1508180
     /* 1508180 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1508262), // Rule ID 17963 //
     /* 1508185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508224 */     // MIs[0] round
     /* 1508224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508227 */     // MIs[0] policy
     /* 1508227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508237 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508261 */     // GIR_Coverage, 17963,
     /* 1508261 */     GIR_EraseRootFromParent_Done,
     /* 1508262 */   // Label 20980: @1508262
     /* 1508262 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1508344), // Rule ID 17964 //
     /* 1508267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508306 */     // MIs[0] round
     /* 1508306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508309 */     // MIs[0] policy
     /* 1508309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508319 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508343 */     // GIR_Coverage, 17964,
     /* 1508343 */     GIR_EraseRootFromParent_Done,
     /* 1508344 */   // Label 20981: @1508344
     /* 1508344 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1508426), // Rule ID 17967 //
     /* 1508349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508388 */     // MIs[0] round
     /* 1508388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508391 */     // MIs[0] policy
     /* 1508391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508401 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508425 */     // GIR_Coverage, 17967,
     /* 1508425 */     GIR_EraseRootFromParent_Done,
     /* 1508426 */   // Label 20982: @1508426
     /* 1508426 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1508508), // Rule ID 17968 //
     /* 1508431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508470 */     // MIs[0] round
     /* 1508470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508473 */     // MIs[0] policy
     /* 1508473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508483 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508507 */     // GIR_Coverage, 17968,
     /* 1508507 */     GIR_EraseRootFromParent_Done,
     /* 1508508 */   // Label 20983: @1508508
     /* 1508508 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1508590), // Rule ID 17971 //
     /* 1508513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508552 */     // MIs[0] round
     /* 1508552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508555 */     // MIs[0] policy
     /* 1508555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508565 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1508568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508589 */     // GIR_Coverage, 17971,
     /* 1508589 */     GIR_EraseRootFromParent_Done,
     /* 1508590 */   // Label 20984: @1508590
     /* 1508590 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1508672), // Rule ID 17972 //
     /* 1508595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508634 */     // MIs[0] round
     /* 1508634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508637 */     // MIs[0] policy
     /* 1508637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508647 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1508650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508671 */     // GIR_Coverage, 17972,
     /* 1508671 */     GIR_EraseRootFromParent_Done,
     /* 1508672 */   // Label 20985: @1508672
     /* 1508672 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1508754), // Rule ID 17975 //
     /* 1508677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508716 */     // MIs[0] round
     /* 1508716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508719 */     // MIs[0] policy
     /* 1508719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508729 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1508732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508753 */     // GIR_Coverage, 17975,
     /* 1508753 */     GIR_EraseRootFromParent_Done,
     /* 1508754 */   // Label 20986: @1508754
     /* 1508754 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1508836), // Rule ID 17976 //
     /* 1508759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508798 */     // MIs[0] round
     /* 1508798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508801 */     // MIs[0] policy
     /* 1508801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508811 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1508814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508835 */     // GIR_Coverage, 17976,
     /* 1508835 */     GIR_EraseRootFromParent_Done,
     /* 1508836 */   // Label 20987: @1508836
     /* 1508836 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1508918), // Rule ID 17979 //
     /* 1508841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508880 */     // MIs[0] round
     /* 1508880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508883 */     // MIs[0] policy
     /* 1508883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508893 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1508896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508917 */     // GIR_Coverage, 17979,
     /* 1508917 */     GIR_EraseRootFromParent_Done,
     /* 1508918 */   // Label 20988: @1508918
     /* 1508918 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1509000), // Rule ID 17980 //
     /* 1508923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508962 */     // MIs[0] round
     /* 1508962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508965 */     // MIs[0] policy
     /* 1508965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508975 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1508978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508999 */     // GIR_Coverage, 17980,
     /* 1508999 */     GIR_EraseRootFromParent_Done,
     /* 1509000 */   // Label 20989: @1509000
     /* 1509000 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1509082), // Rule ID 17983 //
     /* 1509005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1509025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509044 */     // MIs[0] round
     /* 1509044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509047 */     // MIs[0] policy
     /* 1509047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509081 */     // GIR_Coverage, 17983,
     /* 1509081 */     GIR_EraseRootFromParent_Done,
     /* 1509082 */   // Label 20990: @1509082
     /* 1509082 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1509164), // Rule ID 17984 //
     /* 1509087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1509107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509126 */     // MIs[0] round
     /* 1509126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509129 */     // MIs[0] policy
     /* 1509129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509139 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509163 */     // GIR_Coverage, 17984,
     /* 1509163 */     GIR_EraseRootFromParent_Done,
     /* 1509164 */   // Label 20991: @1509164
     /* 1509164 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1509246), // Rule ID 17987 //
     /* 1509169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509208 */     // MIs[0] round
     /* 1509208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509211 */     // MIs[0] policy
     /* 1509211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509221 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509245 */     // GIR_Coverage, 17987,
     /* 1509245 */     GIR_EraseRootFromParent_Done,
     /* 1509246 */   // Label 20992: @1509246
     /* 1509246 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1509328), // Rule ID 17988 //
     /* 1509251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509290 */     // MIs[0] round
     /* 1509290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509293 */     // MIs[0] policy
     /* 1509293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509303 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509327 */     // GIR_Coverage, 17988,
     /* 1509327 */     GIR_EraseRootFromParent_Done,
     /* 1509328 */   // Label 20993: @1509328
     /* 1509328 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1509410), // Rule ID 17991 //
     /* 1509333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509372 */     // MIs[0] round
     /* 1509372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509375 */     // MIs[0] policy
     /* 1509375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509385 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509409 */     // GIR_Coverage, 17991,
     /* 1509409 */     GIR_EraseRootFromParent_Done,
     /* 1509410 */   // Label 20994: @1509410
     /* 1509410 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1509492), // Rule ID 17992 //
     /* 1509415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509454 */     // MIs[0] round
     /* 1509454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509457 */     // MIs[0] policy
     /* 1509457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509467 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509491 */     // GIR_Coverage, 17992,
     /* 1509491 */     GIR_EraseRootFromParent_Done,
     /* 1509492 */   // Label 20995: @1509492
     /* 1509492 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1509574), // Rule ID 17995 //
     /* 1509497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509536 */     // MIs[0] round
     /* 1509536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509539 */     // MIs[0] policy
     /* 1509539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509549 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1509552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509573 */     // GIR_Coverage, 17995,
     /* 1509573 */     GIR_EraseRootFromParent_Done,
     /* 1509574 */   // Label 20996: @1509574
     /* 1509574 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1509656), // Rule ID 17996 //
     /* 1509579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509618 */     // MIs[0] round
     /* 1509618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509621 */     // MIs[0] policy
     /* 1509621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1509634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509655 */     // GIR_Coverage, 17996,
     /* 1509655 */     GIR_EraseRootFromParent_Done,
     /* 1509656 */   // Label 20997: @1509656
     /* 1509656 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1509738), // Rule ID 17999 //
     /* 1509661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1509678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509700 */     // MIs[0] round
     /* 1509700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509703 */     // MIs[0] policy
     /* 1509703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509713 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1509716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509737 */     // GIR_Coverage, 17999,
     /* 1509737 */     GIR_EraseRootFromParent_Done,
     /* 1509738 */   // Label 20998: @1509738
     /* 1509738 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1509820), // Rule ID 18000 //
     /* 1509743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1509760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509782 */     // MIs[0] round
     /* 1509782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509785 */     // MIs[0] policy
     /* 1509785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509795 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1509798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509819 */     // GIR_Coverage, 18000,
     /* 1509819 */     GIR_EraseRootFromParent_Done,
     /* 1509820 */   // Label 20999: @1509820
     /* 1509820 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509902), // Rule ID 18003 //
     /* 1509825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509864 */     // MIs[0] round
     /* 1509864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509867 */     // MIs[0] policy
     /* 1509867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1509880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509901 */     // GIR_Coverage, 18003,
     /* 1509901 */     GIR_EraseRootFromParent_Done,
     /* 1509902 */   // Label 21000: @1509902
     /* 1509902 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1509984), // Rule ID 18004 //
     /* 1509907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509946 */     // MIs[0] round
     /* 1509946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509949 */     // MIs[0] policy
     /* 1509949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509959 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1509962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509983 */     // GIR_Coverage, 18004,
     /* 1509983 */     GIR_EraseRootFromParent_Done,
     /* 1509984 */   // Label 21001: @1509984
     /* 1509984 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1510066), // Rule ID 18007 //
     /* 1509989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1510000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1510003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1510006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1510009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510028 */     // MIs[0] round
     /* 1510028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510031 */     // MIs[0] policy
     /* 1510031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510041 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1510044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510065 */     // GIR_Coverage, 18007,
     /* 1510065 */     GIR_EraseRootFromParent_Done,
     /* 1510066 */   // Label 21002: @1510066
     /* 1510066 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1510148), // Rule ID 18008 //
     /* 1510071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1510082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1510085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1510088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1510091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510110 */     // MIs[0] round
     /* 1510110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510113 */     // MIs[0] policy
     /* 1510113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510123 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1510126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510147 */     // GIR_Coverage, 18008,
     /* 1510147 */     GIR_EraseRootFromParent_Done,
     /* 1510148 */   // Label 21003: @1510148
     /* 1510148 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1510230), // Rule ID 18011 //
     /* 1510153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510192 */     // MIs[0] round
     /* 1510192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510195 */     // MIs[0] policy
     /* 1510195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510205 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510229 */     // GIR_Coverage, 18011,
     /* 1510229 */     GIR_EraseRootFromParent_Done,
     /* 1510230 */   // Label 21004: @1510230
     /* 1510230 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1510312), // Rule ID 18012 //
     /* 1510235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510274 */     // MIs[0] round
     /* 1510274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510277 */     // MIs[0] policy
     /* 1510277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510287 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510311 */     // GIR_Coverage, 18012,
     /* 1510311 */     GIR_EraseRootFromParent_Done,
     /* 1510312 */   // Label 21005: @1510312
     /* 1510312 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1510394), // Rule ID 18015 //
     /* 1510317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510356 */     // MIs[0] round
     /* 1510356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510359 */     // MIs[0] policy
     /* 1510359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510369 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510393 */     // GIR_Coverage, 18015,
     /* 1510393 */     GIR_EraseRootFromParent_Done,
     /* 1510394 */   // Label 21006: @1510394
     /* 1510394 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1510476), // Rule ID 18016 //
     /* 1510399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510438 */     // MIs[0] round
     /* 1510438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510441 */     // MIs[0] policy
     /* 1510441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510451 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510475 */     // GIR_Coverage, 18016,
     /* 1510475 */     GIR_EraseRootFromParent_Done,
     /* 1510476 */   // Label 21007: @1510476
     /* 1510476 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1510558), // Rule ID 18019 //
     /* 1510481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510520 */     // MIs[0] round
     /* 1510520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510523 */     // MIs[0] policy
     /* 1510523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510533 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1510536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510557 */     // GIR_Coverage, 18019,
     /* 1510557 */     GIR_EraseRootFromParent_Done,
     /* 1510558 */   // Label 21008: @1510558
     /* 1510558 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1510640), // Rule ID 18020 //
     /* 1510563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510602 */     // MIs[0] round
     /* 1510602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510605 */     // MIs[0] policy
     /* 1510605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1510618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510639 */     // GIR_Coverage, 18020,
     /* 1510639 */     GIR_EraseRootFromParent_Done,
     /* 1510640 */   // Label 21009: @1510640
     /* 1510640 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1510722), // Rule ID 18023 //
     /* 1510645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1510662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510684 */     // MIs[0] round
     /* 1510684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510687 */     // MIs[0] policy
     /* 1510687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510697 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1510700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510721 */     // GIR_Coverage, 18023,
     /* 1510721 */     GIR_EraseRootFromParent_Done,
     /* 1510722 */   // Label 21010: @1510722
     /* 1510722 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1510804), // Rule ID 18024 //
     /* 1510727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1510744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510766 */     // MIs[0] round
     /* 1510766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510769 */     // MIs[0] policy
     /* 1510769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510779 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1510782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510803 */     // GIR_Coverage, 18024,
     /* 1510803 */     GIR_EraseRootFromParent_Done,
     /* 1510804 */   // Label 21011: @1510804
     /* 1510804 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510886), // Rule ID 18027 //
     /* 1510809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1510826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510848 */     // MIs[0] round
     /* 1510848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510851 */     // MIs[0] policy
     /* 1510851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510861 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1510864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510885 */     // GIR_Coverage, 18027,
     /* 1510885 */     GIR_EraseRootFromParent_Done,
     /* 1510886 */   // Label 21012: @1510886
     /* 1510886 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1510968), // Rule ID 18028 //
     /* 1510891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1510908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510930 */     // MIs[0] round
     /* 1510930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510933 */     // MIs[0] policy
     /* 1510933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510943 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1510946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510967 */     // GIR_Coverage, 18028,
     /* 1510967 */     GIR_EraseRootFromParent_Done,
     /* 1510968 */   // Label 21013: @1510968
     /* 1510968 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1511050), // Rule ID 18031 //
     /* 1510973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1510990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511012 */     // MIs[0] round
     /* 1511012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511015 */     // MIs[0] policy
     /* 1511015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511025 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1511028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511049 */     // GIR_Coverage, 18031,
     /* 1511049 */     GIR_EraseRootFromParent_Done,
     /* 1511050 */   // Label 21014: @1511050
     /* 1511050 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1511132), // Rule ID 18032 //
     /* 1511055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1511072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1511075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511094 */     // MIs[0] round
     /* 1511094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511097 */     // MIs[0] policy
     /* 1511097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511107 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1511110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511131 */     // GIR_Coverage, 18032,
     /* 1511131 */     GIR_EraseRootFromParent_Done,
     /* 1511132 */   // Label 21015: @1511132
     /* 1511132 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1511214), // Rule ID 18035 //
     /* 1511137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511176 */     // MIs[0] round
     /* 1511176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511179 */     // MIs[0] policy
     /* 1511179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511189 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511213 */     // GIR_Coverage, 18035,
     /* 1511213 */     GIR_EraseRootFromParent_Done,
     /* 1511214 */   // Label 21016: @1511214
     /* 1511214 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1511296), // Rule ID 18036 //
     /* 1511219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511258 */     // MIs[0] round
     /* 1511258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511261 */     // MIs[0] policy
     /* 1511261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511271 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511295 */     // GIR_Coverage, 18036,
     /* 1511295 */     GIR_EraseRootFromParent_Done,
     /* 1511296 */   // Label 21017: @1511296
     /* 1511296 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1511378), // Rule ID 18039 //
     /* 1511301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511340 */     // MIs[0] round
     /* 1511340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511343 */     // MIs[0] policy
     /* 1511343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511353 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511377 */     // GIR_Coverage, 18039,
     /* 1511377 */     GIR_EraseRootFromParent_Done,
     /* 1511378 */   // Label 21018: @1511378
     /* 1511378 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1511460), // Rule ID 18040 //
     /* 1511383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511422 */     // MIs[0] round
     /* 1511422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511425 */     // MIs[0] policy
     /* 1511425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511435 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511459 */     // GIR_Coverage, 18040,
     /* 1511459 */     GIR_EraseRootFromParent_Done,
     /* 1511460 */   // Label 21019: @1511460
     /* 1511460 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1511542), // Rule ID 18043 //
     /* 1511465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511504 */     // MIs[0] round
     /* 1511504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511507 */     // MIs[0] policy
     /* 1511507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511517 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511541 */     // GIR_Coverage, 18043,
     /* 1511541 */     GIR_EraseRootFromParent_Done,
     /* 1511542 */   // Label 21020: @1511542
     /* 1511542 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1511624), // Rule ID 18044 //
     /* 1511547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511586 */     // MIs[0] round
     /* 1511586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511589 */     // MIs[0] policy
     /* 1511589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511599 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511623 */     // GIR_Coverage, 18044,
     /* 1511623 */     GIR_EraseRootFromParent_Done,
     /* 1511624 */   // Label 21021: @1511624
     /* 1511624 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1511706), // Rule ID 18047 //
     /* 1511629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511668 */     // MIs[0] round
     /* 1511668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511671 */     // MIs[0] policy
     /* 1511671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511681 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1511684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511705 */     // GIR_Coverage, 18047,
     /* 1511705 */     GIR_EraseRootFromParent_Done,
     /* 1511706 */   // Label 21022: @1511706
     /* 1511706 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1511788), // Rule ID 18048 //
     /* 1511711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511750 */     // MIs[0] round
     /* 1511750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511753 */     // MIs[0] policy
     /* 1511753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511763 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1511766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511787 */     // GIR_Coverage, 18048,
     /* 1511787 */     GIR_EraseRootFromParent_Done,
     /* 1511788 */   // Label 21023: @1511788
     /* 1511788 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511870), // Rule ID 18051 //
     /* 1511793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511832 */     // MIs[0] round
     /* 1511832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511835 */     // MIs[0] policy
     /* 1511835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511845 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1511848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511869 */     // GIR_Coverage, 18051,
     /* 1511869 */     GIR_EraseRootFromParent_Done,
     /* 1511870 */   // Label 21024: @1511870
     /* 1511870 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1511952), // Rule ID 18052 //
     /* 1511875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511914 */     // MIs[0] round
     /* 1511914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511917 */     // MIs[0] policy
     /* 1511917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511927 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1511930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511951 */     // GIR_Coverage, 18052,
     /* 1511951 */     GIR_EraseRootFromParent_Done,
     /* 1511952 */   // Label 21025: @1511952
     /* 1511952 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1512034), // Rule ID 18055 //
     /* 1511957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511996 */     // MIs[0] round
     /* 1511996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511999 */     // MIs[0] policy
     /* 1511999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512009 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1512012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512033 */     // GIR_Coverage, 18055,
     /* 1512033 */     GIR_EraseRootFromParent_Done,
     /* 1512034 */   // Label 21026: @1512034
     /* 1512034 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1512116), // Rule ID 18056 //
     /* 1512039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1512050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1512053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1512059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512078 */     // MIs[0] round
     /* 1512078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512081 */     // MIs[0] policy
     /* 1512081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512091 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1512094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512115 */     // GIR_Coverage, 18056,
     /* 1512115 */     GIR_EraseRootFromParent_Done,
     /* 1512116 */   // Label 21027: @1512116
     /* 1512116 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1512198), // Rule ID 18059 //
     /* 1512121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512160 */     // MIs[0] round
     /* 1512160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512163 */     // MIs[0] policy
     /* 1512163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512173 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512197 */     // GIR_Coverage, 18059,
     /* 1512197 */     GIR_EraseRootFromParent_Done,
     /* 1512198 */   // Label 21028: @1512198
     /* 1512198 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1512280), // Rule ID 18060 //
     /* 1512203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512242 */     // MIs[0] round
     /* 1512242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512245 */     // MIs[0] policy
     /* 1512245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512255 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512279 */     // GIR_Coverage, 18060,
     /* 1512279 */     GIR_EraseRootFromParent_Done,
     /* 1512280 */   // Label 21029: @1512280
     /* 1512280 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1512362), // Rule ID 18063 //
     /* 1512285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512324 */     // MIs[0] round
     /* 1512324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512327 */     // MIs[0] policy
     /* 1512327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512337 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512361 */     // GIR_Coverage, 18063,
     /* 1512361 */     GIR_EraseRootFromParent_Done,
     /* 1512362 */   // Label 21030: @1512362
     /* 1512362 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1512444), // Rule ID 18064 //
     /* 1512367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512406 */     // MIs[0] round
     /* 1512406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512409 */     // MIs[0] policy
     /* 1512409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512419 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512443 */     // GIR_Coverage, 18064,
     /* 1512443 */     GIR_EraseRootFromParent_Done,
     /* 1512444 */   // Label 21031: @1512444
     /* 1512444 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1512526), // Rule ID 18067 //
     /* 1512449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512488 */     // MIs[0] round
     /* 1512488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512491 */     // MIs[0] policy
     /* 1512491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512501 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512525 */     // GIR_Coverage, 18067,
     /* 1512525 */     GIR_EraseRootFromParent_Done,
     /* 1512526 */   // Label 21032: @1512526
     /* 1512526 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1512608), // Rule ID 18068 //
     /* 1512531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512570 */     // MIs[0] round
     /* 1512570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512573 */     // MIs[0] policy
     /* 1512573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512583 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512607 */     // GIR_Coverage, 18068,
     /* 1512607 */     GIR_EraseRootFromParent_Done,
     /* 1512608 */   // Label 21033: @1512608
     /* 1512608 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1512690), // Rule ID 18071 //
     /* 1512613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512652 */     // MIs[0] round
     /* 1512652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512655 */     // MIs[0] policy
     /* 1512655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512665 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1512668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512689 */     // GIR_Coverage, 18071,
     /* 1512689 */     GIR_EraseRootFromParent_Done,
     /* 1512690 */   // Label 21034: @1512690
     /* 1512690 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1512772), // Rule ID 18072 //
     /* 1512695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512734 */     // MIs[0] round
     /* 1512734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512737 */     // MIs[0] policy
     /* 1512737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512747 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1512750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512771 */     // GIR_Coverage, 18072,
     /* 1512771 */     GIR_EraseRootFromParent_Done,
     /* 1512772 */   // Label 21035: @1512772
     /* 1512772 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512854), // Rule ID 18075 //
     /* 1512777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512816 */     // MIs[0] round
     /* 1512816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512819 */     // MIs[0] policy
     /* 1512819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512829 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1512832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512853 */     // GIR_Coverage, 18075,
     /* 1512853 */     GIR_EraseRootFromParent_Done,
     /* 1512854 */   // Label 21036: @1512854
     /* 1512854 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512936), // Rule ID 18076 //
     /* 1512859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512898 */     // MIs[0] round
     /* 1512898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512901 */     // MIs[0] policy
     /* 1512901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512911 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1512914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512935 */     // GIR_Coverage, 18076,
     /* 1512935 */     GIR_EraseRootFromParent_Done,
     /* 1512936 */   // Label 21037: @1512936
     /* 1512936 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1513018), // Rule ID 18079 //
     /* 1512941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512980 */     // MIs[0] round
     /* 1512980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512983 */     // MIs[0] policy
     /* 1512983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512993 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1512996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513017 */     // GIR_Coverage, 18079,
     /* 1513017 */     GIR_EraseRootFromParent_Done,
     /* 1513018 */   // Label 21038: @1513018
     /* 1513018 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1513100), // Rule ID 18080 //
     /* 1513023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1513034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1513037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1513043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513062 */     // MIs[0] round
     /* 1513062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513065 */     // MIs[0] policy
     /* 1513065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513075 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1513078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513099 */     // GIR_Coverage, 18080,
     /* 1513099 */     GIR_EraseRootFromParent_Done,
     /* 1513100 */   // Label 21039: @1513100
     /* 1513100 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1513182), // Rule ID 18083 //
     /* 1513105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513144 */     // MIs[0] round
     /* 1513144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513147 */     // MIs[0] policy
     /* 1513147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513157 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513181 */     // GIR_Coverage, 18083,
     /* 1513181 */     GIR_EraseRootFromParent_Done,
     /* 1513182 */   // Label 21040: @1513182
     /* 1513182 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1513264), // Rule ID 18084 //
     /* 1513187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513226 */     // MIs[0] round
     /* 1513226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513229 */     // MIs[0] policy
     /* 1513229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513239 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513263 */     // GIR_Coverage, 18084,
     /* 1513263 */     GIR_EraseRootFromParent_Done,
     /* 1513264 */   // Label 21041: @1513264
     /* 1513264 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1513346), // Rule ID 18087 //
     /* 1513269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513308 */     // MIs[0] round
     /* 1513308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513311 */     // MIs[0] policy
     /* 1513311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513321 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513345 */     // GIR_Coverage, 18087,
     /* 1513345 */     GIR_EraseRootFromParent_Done,
     /* 1513346 */   // Label 21042: @1513346
     /* 1513346 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1513428), // Rule ID 18088 //
     /* 1513351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513390 */     // MIs[0] round
     /* 1513390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513393 */     // MIs[0] policy
     /* 1513393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513403 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513427 */     // GIR_Coverage, 18088,
     /* 1513427 */     GIR_EraseRootFromParent_Done,
     /* 1513428 */   // Label 21043: @1513428
     /* 1513428 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1513510), // Rule ID 18091 //
     /* 1513433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513472 */     // MIs[0] round
     /* 1513472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513475 */     // MIs[0] policy
     /* 1513475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513485 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513509 */     // GIR_Coverage, 18091,
     /* 1513509 */     GIR_EraseRootFromParent_Done,
     /* 1513510 */   // Label 21044: @1513510
     /* 1513510 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1513592), // Rule ID 18092 //
     /* 1513515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513554 */     // MIs[0] round
     /* 1513554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513557 */     // MIs[0] policy
     /* 1513557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513567 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513591 */     // GIR_Coverage, 18092,
     /* 1513591 */     GIR_EraseRootFromParent_Done,
     /* 1513592 */   // Label 21045: @1513592
     /* 1513592 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1513674), // Rule ID 18095 //
     /* 1513597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513636 */     // MIs[0] round
     /* 1513636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513639 */     // MIs[0] policy
     /* 1513639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513649 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1513652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513673 */     // GIR_Coverage, 18095,
     /* 1513673 */     GIR_EraseRootFromParent_Done,
     /* 1513674 */   // Label 21046: @1513674
     /* 1513674 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1513756), // Rule ID 18096 //
     /* 1513679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513718 */     // MIs[0] round
     /* 1513718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513721 */     // MIs[0] policy
     /* 1513721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513731 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1513734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513755 */     // GIR_Coverage, 18096,
     /* 1513755 */     GIR_EraseRootFromParent_Done,
     /* 1513756 */   // Label 21047: @1513756
     /* 1513756 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513838), // Rule ID 18099 //
     /* 1513761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513800 */     // MIs[0] round
     /* 1513800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513803 */     // MIs[0] policy
     /* 1513803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513813 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1513816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513837 */     // GIR_Coverage, 18099,
     /* 1513837 */     GIR_EraseRootFromParent_Done,
     /* 1513838 */   // Label 21048: @1513838
     /* 1513838 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513920), // Rule ID 18100 //
     /* 1513843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513882 */     // MIs[0] round
     /* 1513882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513885 */     // MIs[0] policy
     /* 1513885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513895 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1513898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513919 */     // GIR_Coverage, 18100,
     /* 1513919 */     GIR_EraseRootFromParent_Done,
     /* 1513920 */   // Label 21049: @1513920
     /* 1513920 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1514002), // Rule ID 18103 //
     /* 1513925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513964 */     // MIs[0] round
     /* 1513964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513967 */     // MIs[0] policy
     /* 1513967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1513980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514001 */     // GIR_Coverage, 18103,
     /* 1514001 */     GIR_EraseRootFromParent_Done,
     /* 1514002 */   // Label 21050: @1514002
     /* 1514002 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1514084), // Rule ID 18104 //
     /* 1514007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1514018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1514021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1514027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514046 */     // MIs[0] round
     /* 1514046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514049 */     // MIs[0] policy
     /* 1514049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514059 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1514062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514083 */     // GIR_Coverage, 18104,
     /* 1514083 */     GIR_EraseRootFromParent_Done,
     /* 1514084 */   // Label 21051: @1514084
     /* 1514084 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1514166), // Rule ID 18107 //
     /* 1514089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514128 */     // MIs[0] round
     /* 1514128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514131 */     // MIs[0] policy
     /* 1514131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514141 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514165 */     // GIR_Coverage, 18107,
     /* 1514165 */     GIR_EraseRootFromParent_Done,
     /* 1514166 */   // Label 21052: @1514166
     /* 1514166 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1514248), // Rule ID 18108 //
     /* 1514171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514210 */     // MIs[0] round
     /* 1514210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514213 */     // MIs[0] policy
     /* 1514213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514223 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514247 */     // GIR_Coverage, 18108,
     /* 1514247 */     GIR_EraseRootFromParent_Done,
     /* 1514248 */   // Label 21053: @1514248
     /* 1514248 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1514330), // Rule ID 18111 //
     /* 1514253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514292 */     // MIs[0] round
     /* 1514292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514295 */     // MIs[0] policy
     /* 1514295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514329 */     // GIR_Coverage, 18111,
     /* 1514329 */     GIR_EraseRootFromParent_Done,
     /* 1514330 */   // Label 21054: @1514330
     /* 1514330 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1514412), // Rule ID 18112 //
     /* 1514335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514374 */     // MIs[0] round
     /* 1514374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514377 */     // MIs[0] policy
     /* 1514377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514387 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514411 */     // GIR_Coverage, 18112,
     /* 1514411 */     GIR_EraseRootFromParent_Done,
     /* 1514412 */   // Label 21055: @1514412
     /* 1514412 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1514494), // Rule ID 18115 //
     /* 1514417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514456 */     // MIs[0] round
     /* 1514456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514459 */     // MIs[0] policy
     /* 1514459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514469 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514493 */     // GIR_Coverage, 18115,
     /* 1514493 */     GIR_EraseRootFromParent_Done,
     /* 1514494 */   // Label 21056: @1514494
     /* 1514494 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1514576), // Rule ID 18116 //
     /* 1514499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514538 */     // MIs[0] round
     /* 1514538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514541 */     // MIs[0] policy
     /* 1514541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514551 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514575 */     // GIR_Coverage, 18116,
     /* 1514575 */     GIR_EraseRootFromParent_Done,
     /* 1514576 */   // Label 21057: @1514576
     /* 1514576 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1514658), // Rule ID 18119 //
     /* 1514581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514620 */     // MIs[0] round
     /* 1514620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514623 */     // MIs[0] policy
     /* 1514623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514633 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1514636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514657 */     // GIR_Coverage, 18119,
     /* 1514657 */     GIR_EraseRootFromParent_Done,
     /* 1514658 */   // Label 21058: @1514658
     /* 1514658 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1514740), // Rule ID 18120 //
     /* 1514663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514702 */     // MIs[0] round
     /* 1514702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514705 */     // MIs[0] policy
     /* 1514705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514715 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1514718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514739 */     // GIR_Coverage, 18120,
     /* 1514739 */     GIR_EraseRootFromParent_Done,
     /* 1514740 */   // Label 21059: @1514740
     /* 1514740 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514822), // Rule ID 18123 //
     /* 1514745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514784 */     // MIs[0] round
     /* 1514784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514787 */     // MIs[0] policy
     /* 1514787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514797 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1514800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514821 */     // GIR_Coverage, 18123,
     /* 1514821 */     GIR_EraseRootFromParent_Done,
     /* 1514822 */   // Label 21060: @1514822
     /* 1514822 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514904), // Rule ID 18124 //
     /* 1514827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514866 */     // MIs[0] round
     /* 1514866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514869 */     // MIs[0] policy
     /* 1514869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514879 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1514882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514903 */     // GIR_Coverage, 18124,
     /* 1514903 */     GIR_EraseRootFromParent_Done,
     /* 1514904 */   // Label 21061: @1514904
     /* 1514904 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1514986), // Rule ID 18127 //
     /* 1514909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1514926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514948 */     // MIs[0] round
     /* 1514948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514951 */     // MIs[0] policy
     /* 1514951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514961 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1514964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514985 */     // GIR_Coverage, 18127,
     /* 1514985 */     GIR_EraseRootFromParent_Done,
     /* 1514986 */   // Label 21062: @1514986
     /* 1514986 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1515068), // Rule ID 18128 //
     /* 1514991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1515002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1515005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1515008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1515011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515030 */     // MIs[0] round
     /* 1515030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515033 */     // MIs[0] policy
     /* 1515033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515043 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1515046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515067 */     // GIR_Coverage, 18128,
     /* 1515067 */     GIR_EraseRootFromParent_Done,
     /* 1515068 */   // Label 21063: @1515068
     /* 1515068 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1515150), // Rule ID 18131 //
     /* 1515073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515112 */     // MIs[0] round
     /* 1515112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515115 */     // MIs[0] policy
     /* 1515115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515125 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515149 */     // GIR_Coverage, 18131,
     /* 1515149 */     GIR_EraseRootFromParent_Done,
     /* 1515150 */   // Label 21064: @1515150
     /* 1515150 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1515232), // Rule ID 18132 //
     /* 1515155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515194 */     // MIs[0] round
     /* 1515194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515197 */     // MIs[0] policy
     /* 1515197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515207 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515231 */     // GIR_Coverage, 18132,
     /* 1515231 */     GIR_EraseRootFromParent_Done,
     /* 1515232 */   // Label 21065: @1515232
     /* 1515232 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1515314), // Rule ID 18135 //
     /* 1515237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515276 */     // MIs[0] round
     /* 1515276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515279 */     // MIs[0] policy
     /* 1515279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515289 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515313 */     // GIR_Coverage, 18135,
     /* 1515313 */     GIR_EraseRootFromParent_Done,
     /* 1515314 */   // Label 21066: @1515314
     /* 1515314 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1515396), // Rule ID 18136 //
     /* 1515319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515358 */     // MIs[0] round
     /* 1515358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515361 */     // MIs[0] policy
     /* 1515361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515371 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515395 */     // GIR_Coverage, 18136,
     /* 1515395 */     GIR_EraseRootFromParent_Done,
     /* 1515396 */   // Label 21067: @1515396
     /* 1515396 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1515478), // Rule ID 18139 //
     /* 1515401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515440 */     // MIs[0] round
     /* 1515440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515443 */     // MIs[0] policy
     /* 1515443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515453 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515477 */     // GIR_Coverage, 18139,
     /* 1515477 */     GIR_EraseRootFromParent_Done,
     /* 1515478 */   // Label 21068: @1515478
     /* 1515478 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1515560), // Rule ID 18140 //
     /* 1515483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515522 */     // MIs[0] round
     /* 1515522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515525 */     // MIs[0] policy
     /* 1515525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515535 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515559 */     // GIR_Coverage, 18140,
     /* 1515559 */     GIR_EraseRootFromParent_Done,
     /* 1515560 */   // Label 21069: @1515560
     /* 1515560 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1515642), // Rule ID 18143 //
     /* 1515565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515604 */     // MIs[0] round
     /* 1515604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515607 */     // MIs[0] policy
     /* 1515607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515617 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1515620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515641 */     // GIR_Coverage, 18143,
     /* 1515641 */     GIR_EraseRootFromParent_Done,
     /* 1515642 */   // Label 21070: @1515642
     /* 1515642 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1515724), // Rule ID 18144 //
     /* 1515647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515686 */     // MIs[0] round
     /* 1515686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515689 */     // MIs[0] policy
     /* 1515689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515699 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1515702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515723 */     // GIR_Coverage, 18144,
     /* 1515723 */     GIR_EraseRootFromParent_Done,
     /* 1515724 */   // Label 21071: @1515724
     /* 1515724 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515806), // Rule ID 18147 //
     /* 1515729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515768 */     // MIs[0] round
     /* 1515768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515771 */     // MIs[0] policy
     /* 1515771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515781 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1515784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515805 */     // GIR_Coverage, 18147,
     /* 1515805 */     GIR_EraseRootFromParent_Done,
     /* 1515806 */   // Label 21072: @1515806
     /* 1515806 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515888), // Rule ID 18148 //
     /* 1515811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515850 */     // MIs[0] round
     /* 1515850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515853 */     // MIs[0] policy
     /* 1515853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515863 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1515866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515887 */     // GIR_Coverage, 18148,
     /* 1515887 */     GIR_EraseRootFromParent_Done,
     /* 1515888 */   // Label 21073: @1515888
     /* 1515888 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1515970), // Rule ID 18151 //
     /* 1515893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1515910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515932 */     // MIs[0] round
     /* 1515932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515935 */     // MIs[0] policy
     /* 1515935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515945 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1515948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515969 */     // GIR_Coverage, 18151,
     /* 1515969 */     GIR_EraseRootFromParent_Done,
     /* 1515970 */   // Label 21074: @1515970
     /* 1515970 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1516052), // Rule ID 18152 //
     /* 1515975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1515992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516014 */     // MIs[0] round
     /* 1516014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516017 */     // MIs[0] policy
     /* 1516017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516027 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1516030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516051 */     // GIR_Coverage, 18152,
     /* 1516051 */     GIR_EraseRootFromParent_Done,
     /* 1516052 */   // Label 21075: @1516052
     /* 1516052 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1516134), // Rule ID 18155 //
     /* 1516057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516096 */     // MIs[0] round
     /* 1516096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516099 */     // MIs[0] policy
     /* 1516099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516133 */     // GIR_Coverage, 18155,
     /* 1516133 */     GIR_EraseRootFromParent_Done,
     /* 1516134 */   // Label 21076: @1516134
     /* 1516134 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1516216), // Rule ID 18156 //
     /* 1516139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516178 */     // MIs[0] round
     /* 1516178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516181 */     // MIs[0] policy
     /* 1516181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516191 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516215 */     // GIR_Coverage, 18156,
     /* 1516215 */     GIR_EraseRootFromParent_Done,
     /* 1516216 */   // Label 21077: @1516216
     /* 1516216 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1516298), // Rule ID 18159 //
     /* 1516221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516260 */     // MIs[0] round
     /* 1516260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516263 */     // MIs[0] policy
     /* 1516263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516273 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516297 */     // GIR_Coverage, 18159,
     /* 1516297 */     GIR_EraseRootFromParent_Done,
     /* 1516298 */   // Label 21078: @1516298
     /* 1516298 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1516380), // Rule ID 18160 //
     /* 1516303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516342 */     // MIs[0] round
     /* 1516342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516345 */     // MIs[0] policy
     /* 1516345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516355 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516379 */     // GIR_Coverage, 18160,
     /* 1516379 */     GIR_EraseRootFromParent_Done,
     /* 1516380 */   // Label 21079: @1516380
     /* 1516380 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1516462), // Rule ID 18163 //
     /* 1516385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516424 */     // MIs[0] round
     /* 1516424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516427 */     // MIs[0] policy
     /* 1516427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516461 */     // GIR_Coverage, 18163,
     /* 1516461 */     GIR_EraseRootFromParent_Done,
     /* 1516462 */   // Label 21080: @1516462
     /* 1516462 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1516544), // Rule ID 18164 //
     /* 1516467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516506 */     // MIs[0] round
     /* 1516506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516509 */     // MIs[0] policy
     /* 1516509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516519 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516543 */     // GIR_Coverage, 18164,
     /* 1516543 */     GIR_EraseRootFromParent_Done,
     /* 1516544 */   // Label 21081: @1516544
     /* 1516544 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1516626), // Rule ID 18167 //
     /* 1516549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516588 */     // MIs[0] round
     /* 1516588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516591 */     // MIs[0] policy
     /* 1516591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516601 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1516604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516625 */     // GIR_Coverage, 18167,
     /* 1516625 */     GIR_EraseRootFromParent_Done,
     /* 1516626 */   // Label 21082: @1516626
     /* 1516626 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1516708), // Rule ID 18168 //
     /* 1516631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516670 */     // MIs[0] round
     /* 1516670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516673 */     // MIs[0] policy
     /* 1516673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516683 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1516686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516707 */     // GIR_Coverage, 18168,
     /* 1516707 */     GIR_EraseRootFromParent_Done,
     /* 1516708 */   // Label 21083: @1516708
     /* 1516708 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1516790), // Rule ID 18171 //
     /* 1516713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516752 */     // MIs[0] round
     /* 1516752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516755 */     // MIs[0] policy
     /* 1516755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516765 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1516768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516789 */     // GIR_Coverage, 18171,
     /* 1516789 */     GIR_EraseRootFromParent_Done,
     /* 1516790 */   // Label 21084: @1516790
     /* 1516790 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516872), // Rule ID 18172 //
     /* 1516795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516834 */     // MIs[0] round
     /* 1516834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516837 */     // MIs[0] policy
     /* 1516837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516847 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1516850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516871 */     // GIR_Coverage, 18172,
     /* 1516871 */     GIR_EraseRootFromParent_Done,
     /* 1516872 */   // Label 21085: @1516872
     /* 1516872 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1516954), // Rule ID 18175 //
     /* 1516877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516916 */     // MIs[0] round
     /* 1516916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516919 */     // MIs[0] policy
     /* 1516919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516929 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1516932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516953 */     // GIR_Coverage, 18175,
     /* 1516953 */     GIR_EraseRootFromParent_Done,
     /* 1516954 */   // Label 21086: @1516954
     /* 1516954 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1517036), // Rule ID 18176 //
     /* 1516959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516998 */     // MIs[0] round
     /* 1516998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517001 */     // MIs[0] policy
     /* 1517001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517011 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1517014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517035 */     // GIR_Coverage, 18176,
     /* 1517035 */     GIR_EraseRootFromParent_Done,
     /* 1517036 */   // Label 21087: @1517036
     /* 1517036 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1517118), // Rule ID 18179 //
     /* 1517041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517080 */     // MIs[0] round
     /* 1517080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517083 */     // MIs[0] policy
     /* 1517083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517093 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517117 */     // GIR_Coverage, 18179,
     /* 1517117 */     GIR_EraseRootFromParent_Done,
     /* 1517118 */   // Label 21088: @1517118
     /* 1517118 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1517200), // Rule ID 18180 //
     /* 1517123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517162 */     // MIs[0] round
     /* 1517162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517165 */     // MIs[0] policy
     /* 1517165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517175 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517199 */     // GIR_Coverage, 18180,
     /* 1517199 */     GIR_EraseRootFromParent_Done,
     /* 1517200 */   // Label 21089: @1517200
     /* 1517200 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1517282), // Rule ID 18183 //
     /* 1517205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517244 */     // MIs[0] round
     /* 1517244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517247 */     // MIs[0] policy
     /* 1517247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517281 */     // GIR_Coverage, 18183,
     /* 1517281 */     GIR_EraseRootFromParent_Done,
     /* 1517282 */   // Label 21090: @1517282
     /* 1517282 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1517364), // Rule ID 18184 //
     /* 1517287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517326 */     // MIs[0] round
     /* 1517326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517329 */     // MIs[0] policy
     /* 1517329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517363 */     // GIR_Coverage, 18184,
     /* 1517363 */     GIR_EraseRootFromParent_Done,
     /* 1517364 */   // Label 21091: @1517364
     /* 1517364 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1517446), // Rule ID 18187 //
     /* 1517369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517408 */     // MIs[0] round
     /* 1517408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517411 */     // MIs[0] policy
     /* 1517411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517421 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517445 */     // GIR_Coverage, 18187,
     /* 1517445 */     GIR_EraseRootFromParent_Done,
     /* 1517446 */   // Label 21092: @1517446
     /* 1517446 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1517528), // Rule ID 18188 //
     /* 1517451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517490 */     // MIs[0] round
     /* 1517490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517493 */     // MIs[0] policy
     /* 1517493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517503 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517527 */     // GIR_Coverage, 18188,
     /* 1517527 */     GIR_EraseRootFromParent_Done,
     /* 1517528 */   // Label 21093: @1517528
     /* 1517528 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1517610), // Rule ID 18191 //
     /* 1517533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517572 */     // MIs[0] round
     /* 1517572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517575 */     // MIs[0] policy
     /* 1517575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517585 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1517588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517609 */     // GIR_Coverage, 18191,
     /* 1517609 */     GIR_EraseRootFromParent_Done,
     /* 1517610 */   // Label 21094: @1517610
     /* 1517610 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1517692), // Rule ID 18192 //
     /* 1517615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517654 */     // MIs[0] round
     /* 1517654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517657 */     // MIs[0] policy
     /* 1517657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1517670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517691 */     // GIR_Coverage, 18192,
     /* 1517691 */     GIR_EraseRootFromParent_Done,
     /* 1517692 */   // Label 21095: @1517692
     /* 1517692 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1517774), // Rule ID 18195 //
     /* 1517697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517736 */     // MIs[0] round
     /* 1517736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517739 */     // MIs[0] policy
     /* 1517739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517749 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1517752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517773 */     // GIR_Coverage, 18195,
     /* 1517773 */     GIR_EraseRootFromParent_Done,
     /* 1517774 */   // Label 21096: @1517774
     /* 1517774 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517856), // Rule ID 18196 //
     /* 1517779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517818 */     // MIs[0] round
     /* 1517818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517821 */     // MIs[0] policy
     /* 1517821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517831 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1517834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517855 */     // GIR_Coverage, 18196,
     /* 1517855 */     GIR_EraseRootFromParent_Done,
     /* 1517856 */   // Label 21097: @1517856
     /* 1517856 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517938), // Rule ID 18199 //
     /* 1517861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517900 */     // MIs[0] round
     /* 1517900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517903 */     // MIs[0] policy
     /* 1517903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517913 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1517916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517937 */     // GIR_Coverage, 18199,
     /* 1517937 */     GIR_EraseRootFromParent_Done,
     /* 1517938 */   // Label 21098: @1517938
     /* 1517938 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1518020), // Rule ID 18200 //
     /* 1517943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517982 */     // MIs[0] round
     /* 1517982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517985 */     // MIs[0] policy
     /* 1517985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517995 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1517998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518019 */     // GIR_Coverage, 18200,
     /* 1518019 */     GIR_EraseRootFromParent_Done,
     /* 1518020 */   // Label 21099: @1518020
     /* 1518020 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1518102), // Rule ID 18203 //
     /* 1518025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518064 */     // MIs[0] round
     /* 1518064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518067 */     // MIs[0] policy
     /* 1518067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518101 */     // GIR_Coverage, 18203,
     /* 1518101 */     GIR_EraseRootFromParent_Done,
     /* 1518102 */   // Label 21100: @1518102
     /* 1518102 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1518184), // Rule ID 18204 //
     /* 1518107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518146 */     // MIs[0] round
     /* 1518146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518149 */     // MIs[0] policy
     /* 1518149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518159 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518183 */     // GIR_Coverage, 18204,
     /* 1518183 */     GIR_EraseRootFromParent_Done,
     /* 1518184 */   // Label 21101: @1518184
     /* 1518184 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1518266), // Rule ID 18207 //
     /* 1518189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518228 */     // MIs[0] round
     /* 1518228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518231 */     // MIs[0] policy
     /* 1518231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518241 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518265 */     // GIR_Coverage, 18207,
     /* 1518265 */     GIR_EraseRootFromParent_Done,
     /* 1518266 */   // Label 21102: @1518266
     /* 1518266 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1518348), // Rule ID 18208 //
     /* 1518271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518310 */     // MIs[0] round
     /* 1518310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518313 */     // MIs[0] policy
     /* 1518313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518323 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518347 */     // GIR_Coverage, 18208,
     /* 1518347 */     GIR_EraseRootFromParent_Done,
     /* 1518348 */   // Label 21103: @1518348
     /* 1518348 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1518430), // Rule ID 18211 //
     /* 1518353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518392 */     // MIs[0] round
     /* 1518392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518395 */     // MIs[0] policy
     /* 1518395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518405 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518429 */     // GIR_Coverage, 18211,
     /* 1518429 */     GIR_EraseRootFromParent_Done,
     /* 1518430 */   // Label 21104: @1518430
     /* 1518430 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1518512), // Rule ID 18212 //
     /* 1518435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518474 */     // MIs[0] round
     /* 1518474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518477 */     // MIs[0] policy
     /* 1518477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518487 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518511 */     // GIR_Coverage, 18212,
     /* 1518511 */     GIR_EraseRootFromParent_Done,
     /* 1518512 */   // Label 21105: @1518512
     /* 1518512 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1518594), // Rule ID 18215 //
     /* 1518517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518556 */     // MIs[0] round
     /* 1518556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518559 */     // MIs[0] policy
     /* 1518559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518569 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1518572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518593 */     // GIR_Coverage, 18215,
     /* 1518593 */     GIR_EraseRootFromParent_Done,
     /* 1518594 */   // Label 21106: @1518594
     /* 1518594 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1518676), // Rule ID 18216 //
     /* 1518599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518638 */     // MIs[0] round
     /* 1518638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518641 */     // MIs[0] policy
     /* 1518641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518651 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1518654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518675 */     // GIR_Coverage, 18216,
     /* 1518675 */     GIR_EraseRootFromParent_Done,
     /* 1518676 */   // Label 21107: @1518676
     /* 1518676 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1518758), // Rule ID 18219 //
     /* 1518681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518720 */     // MIs[0] round
     /* 1518720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518723 */     // MIs[0] policy
     /* 1518723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1518736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518757 */     // GIR_Coverage, 18219,
     /* 1518757 */     GIR_EraseRootFromParent_Done,
     /* 1518758 */   // Label 21108: @1518758
     /* 1518758 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518840), // Rule ID 18220 //
     /* 1518763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518802 */     // MIs[0] round
     /* 1518802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518805 */     // MIs[0] policy
     /* 1518805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518815 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1518818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518839 */     // GIR_Coverage, 18220,
     /* 1518839 */     GIR_EraseRootFromParent_Done,
     /* 1518840 */   // Label 21109: @1518840
     /* 1518840 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518922), // Rule ID 18223 //
     /* 1518845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518884 */     // MIs[0] round
     /* 1518884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518887 */     // MIs[0] policy
     /* 1518887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1518900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518921 */     // GIR_Coverage, 18223,
     /* 1518921 */     GIR_EraseRootFromParent_Done,
     /* 1518922 */   // Label 21110: @1518922
     /* 1518922 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1519004), // Rule ID 18224 //
     /* 1518927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518966 */     // MIs[0] round
     /* 1518966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518969 */     // MIs[0] policy
     /* 1518969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518979 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1518982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519003 */     // GIR_Coverage, 18224,
     /* 1519003 */     GIR_EraseRootFromParent_Done,
     /* 1519004 */   // Label 21111: @1519004
     /* 1519004 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1519086), // Rule ID 18227 //
     /* 1519009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1519020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1519023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1519026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1519029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519048 */     // MIs[0] round
     /* 1519048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519051 */     // MIs[0] policy
     /* 1519051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519061 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519085 */     // GIR_Coverage, 18227,
     /* 1519085 */     GIR_EraseRootFromParent_Done,
     /* 1519086 */   // Label 21112: @1519086
     /* 1519086 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1519168), // Rule ID 18228 //
     /* 1519091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1519102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1519105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1519108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1519111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519130 */     // MIs[0] round
     /* 1519130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519133 */     // MIs[0] policy
     /* 1519133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519143 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519167 */     // GIR_Coverage, 18228,
     /* 1519167 */     GIR_EraseRootFromParent_Done,
     /* 1519168 */   // Label 21113: @1519168
     /* 1519168 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1519250), // Rule ID 18231 //
     /* 1519173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519212 */     // MIs[0] round
     /* 1519212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519215 */     // MIs[0] policy
     /* 1519215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519225 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519249 */     // GIR_Coverage, 18231,
     /* 1519249 */     GIR_EraseRootFromParent_Done,
     /* 1519250 */   // Label 21114: @1519250
     /* 1519250 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1519332), // Rule ID 18232 //
     /* 1519255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519294 */     // MIs[0] round
     /* 1519294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519297 */     // MIs[0] policy
     /* 1519297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519307 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519331 */     // GIR_Coverage, 18232,
     /* 1519331 */     GIR_EraseRootFromParent_Done,
     /* 1519332 */   // Label 21115: @1519332
     /* 1519332 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1519414), // Rule ID 18235 //
     /* 1519337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519376 */     // MIs[0] round
     /* 1519376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519379 */     // MIs[0] policy
     /* 1519379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519389 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519413 */     // GIR_Coverage, 18235,
     /* 1519413 */     GIR_EraseRootFromParent_Done,
     /* 1519414 */   // Label 21116: @1519414
     /* 1519414 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1519496), // Rule ID 18236 //
     /* 1519419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519458 */     // MIs[0] round
     /* 1519458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519461 */     // MIs[0] policy
     /* 1519461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519471 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519495 */     // GIR_Coverage, 18236,
     /* 1519495 */     GIR_EraseRootFromParent_Done,
     /* 1519496 */   // Label 21117: @1519496
     /* 1519496 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1519578), // Rule ID 18239 //
     /* 1519501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519540 */     // MIs[0] round
     /* 1519540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519543 */     // MIs[0] policy
     /* 1519543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1519556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519577 */     // GIR_Coverage, 18239,
     /* 1519577 */     GIR_EraseRootFromParent_Done,
     /* 1519578 */   // Label 21118: @1519578
     /* 1519578 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1519660), // Rule ID 18240 //
     /* 1519583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519622 */     // MIs[0] round
     /* 1519622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519625 */     // MIs[0] policy
     /* 1519625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519635 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1519638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519659 */     // GIR_Coverage, 18240,
     /* 1519659 */     GIR_EraseRootFromParent_Done,
     /* 1519660 */   // Label 21119: @1519660
     /* 1519660 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1519742), // Rule ID 18243 //
     /* 1519665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519704 */     // MIs[0] round
     /* 1519704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519707 */     // MIs[0] policy
     /* 1519707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519717 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1519720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519741 */     // GIR_Coverage, 18243,
     /* 1519741 */     GIR_EraseRootFromParent_Done,
     /* 1519742 */   // Label 21120: @1519742
     /* 1519742 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519824), // Rule ID 18244 //
     /* 1519747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519786 */     // MIs[0] round
     /* 1519786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519789 */     // MIs[0] policy
     /* 1519789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519799 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1519802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519823 */     // GIR_Coverage, 18244,
     /* 1519823 */     GIR_EraseRootFromParent_Done,
     /* 1519824 */   // Label 21121: @1519824
     /* 1519824 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519906), // Rule ID 18247 //
     /* 1519829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1519846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519868 */     // MIs[0] round
     /* 1519868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519871 */     // MIs[0] policy
     /* 1519871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519881 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1519884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519905 */     // GIR_Coverage, 18247,
     /* 1519905 */     GIR_EraseRootFromParent_Done,
     /* 1519906 */   // Label 21122: @1519906
     /* 1519906 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1519988), // Rule ID 18248 //
     /* 1519911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1519928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519950 */     // MIs[0] round
     /* 1519950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519953 */     // MIs[0] policy
     /* 1519953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519963 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1519966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519987 */     // GIR_Coverage, 18248,
     /* 1519987 */     GIR_EraseRootFromParent_Done,
     /* 1519988 */   // Label 21123: @1519988
     /* 1519988 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1520070), // Rule ID 18251 //
     /* 1519993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1520010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520032 */     // MIs[0] round
     /* 1520032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520035 */     // MIs[0] policy
     /* 1520035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520045 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1520048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520069 */     // GIR_Coverage, 18251,
     /* 1520069 */     GIR_EraseRootFromParent_Done,
     /* 1520070 */   // Label 21124: @1520070
     /* 1520070 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1520152), // Rule ID 18252 //
     /* 1520075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1520092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520114 */     // MIs[0] round
     /* 1520114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520117 */     // MIs[0] policy
     /* 1520117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1520130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520151 */     // GIR_Coverage, 18252,
     /* 1520151 */     GIR_EraseRootFromParent_Done,
     /* 1520152 */   // Label 21125: @1520152
     /* 1520152 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1520234), // Rule ID 18255 //
     /* 1520157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520196 */     // MIs[0] round
     /* 1520196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520199 */     // MIs[0] policy
     /* 1520199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520209 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520233 */     // GIR_Coverage, 18255,
     /* 1520233 */     GIR_EraseRootFromParent_Done,
     /* 1520234 */   // Label 21126: @1520234
     /* 1520234 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1520316), // Rule ID 18256 //
     /* 1520239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520278 */     // MIs[0] round
     /* 1520278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520281 */     // MIs[0] policy
     /* 1520281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520291 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520315 */     // GIR_Coverage, 18256,
     /* 1520315 */     GIR_EraseRootFromParent_Done,
     /* 1520316 */   // Label 21127: @1520316
     /* 1520316 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1520398), // Rule ID 18259 //
     /* 1520321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520360 */     // MIs[0] round
     /* 1520360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520363 */     // MIs[0] policy
     /* 1520363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520373 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520397 */     // GIR_Coverage, 18259,
     /* 1520397 */     GIR_EraseRootFromParent_Done,
     /* 1520398 */   // Label 21128: @1520398
     /* 1520398 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1520480), // Rule ID 18260 //
     /* 1520403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520442 */     // MIs[0] round
     /* 1520442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520445 */     // MIs[0] policy
     /* 1520445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520455 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520479 */     // GIR_Coverage, 18260,
     /* 1520479 */     GIR_EraseRootFromParent_Done,
     /* 1520480 */   // Label 21129: @1520480
     /* 1520480 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1520562), // Rule ID 18263 //
     /* 1520485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520524 */     // MIs[0] round
     /* 1520524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520527 */     // MIs[0] policy
     /* 1520527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520537 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1520540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520561 */     // GIR_Coverage, 18263,
     /* 1520561 */     GIR_EraseRootFromParent_Done,
     /* 1520562 */   // Label 21130: @1520562
     /* 1520562 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1520644), // Rule ID 18264 //
     /* 1520567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520606 */     // MIs[0] round
     /* 1520606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520609 */     // MIs[0] policy
     /* 1520609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520619 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1520622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520643 */     // GIR_Coverage, 18264,
     /* 1520643 */     GIR_EraseRootFromParent_Done,
     /* 1520644 */   // Label 21131: @1520644
     /* 1520644 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1520726), // Rule ID 18267 //
     /* 1520649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520688 */     // MIs[0] round
     /* 1520688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520691 */     // MIs[0] policy
     /* 1520691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520701 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1520704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520725 */     // GIR_Coverage, 18267,
     /* 1520725 */     GIR_EraseRootFromParent_Done,
     /* 1520726 */   // Label 21132: @1520726
     /* 1520726 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520808), // Rule ID 18268 //
     /* 1520731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520770 */     // MIs[0] round
     /* 1520770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520773 */     // MIs[0] policy
     /* 1520773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1520786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520807 */     // GIR_Coverage, 18268,
     /* 1520807 */     GIR_EraseRootFromParent_Done,
     /* 1520808 */   // Label 21133: @1520808
     /* 1520808 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520890), // Rule ID 18271 //
     /* 1520813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1520830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520852 */     // MIs[0] round
     /* 1520852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520855 */     // MIs[0] policy
     /* 1520855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520865 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1520868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520889 */     // GIR_Coverage, 18271,
     /* 1520889 */     GIR_EraseRootFromParent_Done,
     /* 1520890 */   // Label 21134: @1520890
     /* 1520890 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1520972), // Rule ID 18272 //
     /* 1520895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1520912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520934 */     // MIs[0] round
     /* 1520934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520937 */     // MIs[0] policy
     /* 1520937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520947 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1520950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520971 */     // GIR_Coverage, 18272,
     /* 1520971 */     GIR_EraseRootFromParent_Done,
     /* 1520972 */   // Label 21135: @1520972
     /* 1520972 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1521054), // Rule ID 18275 //
     /* 1520977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1520994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521016 */     // MIs[0] round
     /* 1521016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521019 */     // MIs[0] policy
     /* 1521019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521029 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1521032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521053 */     // GIR_Coverage, 18275,
     /* 1521053 */     GIR_EraseRootFromParent_Done,
     /* 1521054 */   // Label 21136: @1521054
     /* 1521054 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1521136), // Rule ID 18276 //
     /* 1521059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1521076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1521079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521098 */     // MIs[0] round
     /* 1521098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521101 */     // MIs[0] policy
     /* 1521101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521111 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1521114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521135 */     // GIR_Coverage, 18276,
     /* 1521135 */     GIR_EraseRootFromParent_Done,
     /* 1521136 */   // Label 21137: @1521136
     /* 1521136 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1521218), // Rule ID 18279 //
     /* 1521141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521180 */     // MIs[0] round
     /* 1521180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521183 */     // MIs[0] policy
     /* 1521183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521193 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521217 */     // GIR_Coverage, 18279,
     /* 1521217 */     GIR_EraseRootFromParent_Done,
     /* 1521218 */   // Label 21138: @1521218
     /* 1521218 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1521300), // Rule ID 18280 //
     /* 1521223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521262 */     // MIs[0] round
     /* 1521262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521265 */     // MIs[0] policy
     /* 1521265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521275 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521299 */     // GIR_Coverage, 18280,
     /* 1521299 */     GIR_EraseRootFromParent_Done,
     /* 1521300 */   // Label 21139: @1521300
     /* 1521300 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1521382), // Rule ID 18283 //
     /* 1521305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521344 */     // MIs[0] round
     /* 1521344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521347 */     // MIs[0] policy
     /* 1521347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521357 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521381 */     // GIR_Coverage, 18283,
     /* 1521381 */     GIR_EraseRootFromParent_Done,
     /* 1521382 */   // Label 21140: @1521382
     /* 1521382 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1521464), // Rule ID 18284 //
     /* 1521387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521426 */     // MIs[0] round
     /* 1521426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521429 */     // MIs[0] policy
     /* 1521429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521439 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521463 */     // GIR_Coverage, 18284,
     /* 1521463 */     GIR_EraseRootFromParent_Done,
     /* 1521464 */   // Label 21141: @1521464
     /* 1521464 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1521546), // Rule ID 18287 //
     /* 1521469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521508 */     // MIs[0] round
     /* 1521508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521511 */     // MIs[0] policy
     /* 1521511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521521 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521545 */     // GIR_Coverage, 18287,
     /* 1521545 */     GIR_EraseRootFromParent_Done,
     /* 1521546 */   // Label 21142: @1521546
     /* 1521546 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1521628), // Rule ID 18288 //
     /* 1521551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521590 */     // MIs[0] round
     /* 1521590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521593 */     // MIs[0] policy
     /* 1521593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521603 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521627 */     // GIR_Coverage, 18288,
     /* 1521627 */     GIR_EraseRootFromParent_Done,
     /* 1521628 */   // Label 21143: @1521628
     /* 1521628 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1521710), // Rule ID 18291 //
     /* 1521633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521672 */     // MIs[0] round
     /* 1521672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521675 */     // MIs[0] policy
     /* 1521675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521685 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1521688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521709 */     // GIR_Coverage, 18291,
     /* 1521709 */     GIR_EraseRootFromParent_Done,
     /* 1521710 */   // Label 21144: @1521710
     /* 1521710 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1521792), // Rule ID 18292 //
     /* 1521715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521754 */     // MIs[0] round
     /* 1521754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521757 */     // MIs[0] policy
     /* 1521757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521767 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1521770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521791 */     // GIR_Coverage, 18292,
     /* 1521791 */     GIR_EraseRootFromParent_Done,
     /* 1521792 */   // Label 21145: @1521792
     /* 1521792 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521874), // Rule ID 18295 //
     /* 1521797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521836 */     // MIs[0] round
     /* 1521836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521839 */     // MIs[0] policy
     /* 1521839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521849 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1521852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521873 */     // GIR_Coverage, 18295,
     /* 1521873 */     GIR_EraseRootFromParent_Done,
     /* 1521874 */   // Label 21146: @1521874
     /* 1521874 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1521956), // Rule ID 18296 //
     /* 1521879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521918 */     // MIs[0] round
     /* 1521918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521921 */     // MIs[0] policy
     /* 1521921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521931 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1521934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521955 */     // GIR_Coverage, 18296,
     /* 1521955 */     GIR_EraseRootFromParent_Done,
     /* 1521956 */   // Label 21147: @1521956
     /* 1521956 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1522038), // Rule ID 18299 //
     /* 1521961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522000 */     // MIs[0] round
     /* 1522000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522003 */     // MIs[0] policy
     /* 1522003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522013 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1522016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522037 */     // GIR_Coverage, 18299,
     /* 1522037 */     GIR_EraseRootFromParent_Done,
     /* 1522038 */   // Label 21148: @1522038
     /* 1522038 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1522120), // Rule ID 18300 //
     /* 1522043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1522054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1522057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1522063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522082 */     // MIs[0] round
     /* 1522082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522085 */     // MIs[0] policy
     /* 1522085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522095 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1522098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522119 */     // GIR_Coverage, 18300,
     /* 1522119 */     GIR_EraseRootFromParent_Done,
     /* 1522120 */   // Label 21149: @1522120
     /* 1522120 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1522202), // Rule ID 18303 //
     /* 1522125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522164 */     // MIs[0] round
     /* 1522164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522167 */     // MIs[0] policy
     /* 1522167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522201 */     // GIR_Coverage, 18303,
     /* 1522201 */     GIR_EraseRootFromParent_Done,
     /* 1522202 */   // Label 21150: @1522202
     /* 1522202 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1522284), // Rule ID 18304 //
     /* 1522207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522246 */     // MIs[0] round
     /* 1522246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522249 */     // MIs[0] policy
     /* 1522249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522259 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522283 */     // GIR_Coverage, 18304,
     /* 1522283 */     GIR_EraseRootFromParent_Done,
     /* 1522284 */   // Label 21151: @1522284
     /* 1522284 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1522366), // Rule ID 18307 //
     /* 1522289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522328 */     // MIs[0] round
     /* 1522328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522331 */     // MIs[0] policy
     /* 1522331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522341 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522365 */     // GIR_Coverage, 18307,
     /* 1522365 */     GIR_EraseRootFromParent_Done,
     /* 1522366 */   // Label 21152: @1522366
     /* 1522366 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1522448), // Rule ID 18308 //
     /* 1522371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522410 */     // MIs[0] round
     /* 1522410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522413 */     // MIs[0] policy
     /* 1522413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522423 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522447 */     // GIR_Coverage, 18308,
     /* 1522447 */     GIR_EraseRootFromParent_Done,
     /* 1522448 */   // Label 21153: @1522448
     /* 1522448 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1522530), // Rule ID 18311 //
     /* 1522453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522492 */     // MIs[0] round
     /* 1522492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522495 */     // MIs[0] policy
     /* 1522495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522505 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522529 */     // GIR_Coverage, 18311,
     /* 1522529 */     GIR_EraseRootFromParent_Done,
     /* 1522530 */   // Label 21154: @1522530
     /* 1522530 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1522612), // Rule ID 18312 //
     /* 1522535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522574 */     // MIs[0] round
     /* 1522574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522577 */     // MIs[0] policy
     /* 1522577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522611 */     // GIR_Coverage, 18312,
     /* 1522611 */     GIR_EraseRootFromParent_Done,
     /* 1522612 */   // Label 21155: @1522612
     /* 1522612 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1522694), // Rule ID 18315 //
     /* 1522617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522656 */     // MIs[0] round
     /* 1522656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522659 */     // MIs[0] policy
     /* 1522659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522669 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1522672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522693 */     // GIR_Coverage, 18315,
     /* 1522693 */     GIR_EraseRootFromParent_Done,
     /* 1522694 */   // Label 21156: @1522694
     /* 1522694 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1522776), // Rule ID 18316 //
     /* 1522699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522738 */     // MIs[0] round
     /* 1522738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522741 */     // MIs[0] policy
     /* 1522741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522751 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1522754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522775 */     // GIR_Coverage, 18316,
     /* 1522775 */     GIR_EraseRootFromParent_Done,
     /* 1522776 */   // Label 21157: @1522776
     /* 1522776 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522858), // Rule ID 18319 //
     /* 1522781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522820 */     // MIs[0] round
     /* 1522820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522823 */     // MIs[0] policy
     /* 1522823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522833 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1522836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522857 */     // GIR_Coverage, 18319,
     /* 1522857 */     GIR_EraseRootFromParent_Done,
     /* 1522858 */   // Label 21158: @1522858
     /* 1522858 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522940), // Rule ID 18320 //
     /* 1522863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522902 */     // MIs[0] round
     /* 1522902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522905 */     // MIs[0] policy
     /* 1522905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522915 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1522918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522939 */     // GIR_Coverage, 18320,
     /* 1522939 */     GIR_EraseRootFromParent_Done,
     /* 1522940 */   // Label 21159: @1522940
     /* 1522940 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1523022), // Rule ID 18323 //
     /* 1522945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522984 */     // MIs[0] round
     /* 1522984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522987 */     // MIs[0] policy
     /* 1522987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522997 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1523000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523021 */     // GIR_Coverage, 18323,
     /* 1523021 */     GIR_EraseRootFromParent_Done,
     /* 1523022 */   // Label 21160: @1523022
     /* 1523022 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1523104), // Rule ID 18324 //
     /* 1523027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1523038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1523041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1523047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523066 */     // MIs[0] round
     /* 1523066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523069 */     // MIs[0] policy
     /* 1523069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523079 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1523082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523103 */     // GIR_Coverage, 18324,
     /* 1523103 */     GIR_EraseRootFromParent_Done,
     /* 1523104 */   // Label 21161: @1523104
     /* 1523104 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1523186), // Rule ID 18327 //
     /* 1523109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523148 */     // MIs[0] round
     /* 1523148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523151 */     // MIs[0] policy
     /* 1523151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523161 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523185 */     // GIR_Coverage, 18327,
     /* 1523185 */     GIR_EraseRootFromParent_Done,
     /* 1523186 */   // Label 21162: @1523186
     /* 1523186 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1523268), // Rule ID 18328 //
     /* 1523191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523230 */     // MIs[0] round
     /* 1523230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523233 */     // MIs[0] policy
     /* 1523233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523243 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523267 */     // GIR_Coverage, 18328,
     /* 1523267 */     GIR_EraseRootFromParent_Done,
     /* 1523268 */   // Label 21163: @1523268
     /* 1523268 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1523350), // Rule ID 18331 //
     /* 1523273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523312 */     // MIs[0] round
     /* 1523312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523315 */     // MIs[0] policy
     /* 1523315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523325 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523349 */     // GIR_Coverage, 18331,
     /* 1523349 */     GIR_EraseRootFromParent_Done,
     /* 1523350 */   // Label 21164: @1523350
     /* 1523350 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1523432), // Rule ID 18332 //
     /* 1523355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523394 */     // MIs[0] round
     /* 1523394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523397 */     // MIs[0] policy
     /* 1523397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523407 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523431 */     // GIR_Coverage, 18332,
     /* 1523431 */     GIR_EraseRootFromParent_Done,
     /* 1523432 */   // Label 21165: @1523432
     /* 1523432 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1523514), // Rule ID 18335 //
     /* 1523437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523476 */     // MIs[0] round
     /* 1523476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523479 */     // MIs[0] policy
     /* 1523479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523489 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523513 */     // GIR_Coverage, 18335,
     /* 1523513 */     GIR_EraseRootFromParent_Done,
     /* 1523514 */   // Label 21166: @1523514
     /* 1523514 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1523596), // Rule ID 18336 //
     /* 1523519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523558 */     // MIs[0] round
     /* 1523558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523561 */     // MIs[0] policy
     /* 1523561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523571 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523595 */     // GIR_Coverage, 18336,
     /* 1523595 */     GIR_EraseRootFromParent_Done,
     /* 1523596 */   // Label 21167: @1523596
     /* 1523596 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1523678), // Rule ID 18339 //
     /* 1523601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523640 */     // MIs[0] round
     /* 1523640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523643 */     // MIs[0] policy
     /* 1523643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1523656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523677 */     // GIR_Coverage, 18339,
     /* 1523677 */     GIR_EraseRootFromParent_Done,
     /* 1523678 */   // Label 21168: @1523678
     /* 1523678 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1523760), // Rule ID 18340 //
     /* 1523683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523722 */     // MIs[0] round
     /* 1523722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523725 */     // MIs[0] policy
     /* 1523725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523735 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1523738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523759 */     // GIR_Coverage, 18340,
     /* 1523759 */     GIR_EraseRootFromParent_Done,
     /* 1523760 */   // Label 21169: @1523760
     /* 1523760 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523842), // Rule ID 18343 //
     /* 1523765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523804 */     // MIs[0] round
     /* 1523804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523807 */     // MIs[0] policy
     /* 1523807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523817 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1523820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523841 */     // GIR_Coverage, 18343,
     /* 1523841 */     GIR_EraseRootFromParent_Done,
     /* 1523842 */   // Label 21170: @1523842
     /* 1523842 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523924), // Rule ID 18344 //
     /* 1523847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523886 */     // MIs[0] round
     /* 1523886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523889 */     // MIs[0] policy
     /* 1523889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523899 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1523902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523923 */     // GIR_Coverage, 18344,
     /* 1523923 */     GIR_EraseRootFromParent_Done,
     /* 1523924 */   // Label 21171: @1523924
     /* 1523924 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1524006), // Rule ID 18347 //
     /* 1523929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1523946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523968 */     // MIs[0] round
     /* 1523968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523971 */     // MIs[0] policy
     /* 1523971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523981 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1523984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524005 */     // GIR_Coverage, 18347,
     /* 1524005 */     GIR_EraseRootFromParent_Done,
     /* 1524006 */   // Label 21172: @1524006
     /* 1524006 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1524088), // Rule ID 18348 //
     /* 1524011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1524022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1524025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524050 */     // MIs[0] round
     /* 1524050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524053 */     // MIs[0] policy
     /* 1524053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524063 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1524066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524074 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524087 */     // GIR_Coverage, 18348,
     /* 1524087 */     GIR_EraseRootFromParent_Done,
     /* 1524088 */   // Label 21173: @1524088
     /* 1524088 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1524170), // Rule ID 18351 //
     /* 1524093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524132 */     // MIs[0] round
     /* 1524132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524135 */     // MIs[0] policy
     /* 1524135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524145 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524169 */     // GIR_Coverage, 18351,
     /* 1524169 */     GIR_EraseRootFromParent_Done,
     /* 1524170 */   // Label 21174: @1524170
     /* 1524170 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1524252), // Rule ID 18352 //
     /* 1524175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524214 */     // MIs[0] round
     /* 1524214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524217 */     // MIs[0] policy
     /* 1524217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524227 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524251 */     // GIR_Coverage, 18352,
     /* 1524251 */     GIR_EraseRootFromParent_Done,
     /* 1524252 */   // Label 21175: @1524252
     /* 1524252 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1524334), // Rule ID 18355 //
     /* 1524257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524296 */     // MIs[0] round
     /* 1524296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524299 */     // MIs[0] policy
     /* 1524299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524309 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524333 */     // GIR_Coverage, 18355,
     /* 1524333 */     GIR_EraseRootFromParent_Done,
     /* 1524334 */   // Label 21176: @1524334
     /* 1524334 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1524416), // Rule ID 18356 //
     /* 1524339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524378 */     // MIs[0] round
     /* 1524378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524381 */     // MIs[0] policy
     /* 1524381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524391 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524415 */     // GIR_Coverage, 18356,
     /* 1524415 */     GIR_EraseRootFromParent_Done,
     /* 1524416 */   // Label 21177: @1524416
     /* 1524416 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1524498), // Rule ID 18359 //
     /* 1524421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524460 */     // MIs[0] round
     /* 1524460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524463 */     // MIs[0] policy
     /* 1524463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524473 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524497 */     // GIR_Coverage, 18359,
     /* 1524497 */     GIR_EraseRootFromParent_Done,
     /* 1524498 */   // Label 21178: @1524498
     /* 1524498 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1524580), // Rule ID 18360 //
     /* 1524503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524542 */     // MIs[0] round
     /* 1524542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524545 */     // MIs[0] policy
     /* 1524545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524555 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524579 */     // GIR_Coverage, 18360,
     /* 1524579 */     GIR_EraseRootFromParent_Done,
     /* 1524580 */   // Label 21179: @1524580
     /* 1524580 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1524662), // Rule ID 18363 //
     /* 1524585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524624 */     // MIs[0] round
     /* 1524624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524627 */     // MIs[0] policy
     /* 1524627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524637 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1524640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524661 */     // GIR_Coverage, 18363,
     /* 1524661 */     GIR_EraseRootFromParent_Done,
     /* 1524662 */   // Label 21180: @1524662
     /* 1524662 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1524744), // Rule ID 18364 //
     /* 1524667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524706 */     // MIs[0] round
     /* 1524706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524709 */     // MIs[0] policy
     /* 1524709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524719 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1524722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524743 */     // GIR_Coverage, 18364,
     /* 1524743 */     GIR_EraseRootFromParent_Done,
     /* 1524744 */   // Label 21181: @1524744
     /* 1524744 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524826), // Rule ID 18367 //
     /* 1524749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1524766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524788 */     // MIs[0] round
     /* 1524788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524791 */     // MIs[0] policy
     /* 1524791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524801 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1524804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524825 */     // GIR_Coverage, 18367,
     /* 1524825 */     GIR_EraseRootFromParent_Done,
     /* 1524826 */   // Label 21182: @1524826
     /* 1524826 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524908), // Rule ID 18368 //
     /* 1524831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1524848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524870 */     // MIs[0] round
     /* 1524870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524873 */     // MIs[0] policy
     /* 1524873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524883 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1524886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524907 */     // GIR_Coverage, 18368,
     /* 1524907 */     GIR_EraseRootFromParent_Done,
     /* 1524908 */   // Label 21183: @1524908
     /* 1524908 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1524990), // Rule ID 18371 //
     /* 1524913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524952 */     // MIs[0] round
     /* 1524952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524955 */     // MIs[0] policy
     /* 1524955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524965 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1524968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524989 */     // GIR_Coverage, 18371,
     /* 1524989 */     GIR_EraseRootFromParent_Done,
     /* 1524990 */   // Label 21184: @1524990
     /* 1524990 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1525072), // Rule ID 18372 //
     /* 1524995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1525006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1525009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1525012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1525015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525034 */     // MIs[0] round
     /* 1525034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525037 */     // MIs[0] policy
     /* 1525037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525047 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1525050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525071 */     // GIR_Coverage, 18372,
     /* 1525071 */     GIR_EraseRootFromParent_Done,
     /* 1525072 */   // Label 21185: @1525072
     /* 1525072 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1525154), // Rule ID 18375 //
     /* 1525077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525116 */     // MIs[0] round
     /* 1525116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525119 */     // MIs[0] policy
     /* 1525119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525129 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525153 */     // GIR_Coverage, 18375,
     /* 1525153 */     GIR_EraseRootFromParent_Done,
     /* 1525154 */   // Label 21186: @1525154
     /* 1525154 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1525236), // Rule ID 18376 //
     /* 1525159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525198 */     // MIs[0] round
     /* 1525198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525201 */     // MIs[0] policy
     /* 1525201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525211 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525235 */     // GIR_Coverage, 18376,
     /* 1525235 */     GIR_EraseRootFromParent_Done,
     /* 1525236 */   // Label 21187: @1525236
     /* 1525236 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1525318), // Rule ID 18379 //
     /* 1525241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525280 */     // MIs[0] round
     /* 1525280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525283 */     // MIs[0] policy
     /* 1525283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525293 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525317 */     // GIR_Coverage, 18379,
     /* 1525317 */     GIR_EraseRootFromParent_Done,
     /* 1525318 */   // Label 21188: @1525318
     /* 1525318 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1525400), // Rule ID 18380 //
     /* 1525323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525362 */     // MIs[0] round
     /* 1525362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525365 */     // MIs[0] policy
     /* 1525365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525375 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525399 */     // GIR_Coverage, 18380,
     /* 1525399 */     GIR_EraseRootFromParent_Done,
     /* 1525400 */   // Label 21189: @1525400
     /* 1525400 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1525482), // Rule ID 18383 //
     /* 1525405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525444 */     // MIs[0] round
     /* 1525444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525447 */     // MIs[0] policy
     /* 1525447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525457 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525481 */     // GIR_Coverage, 18383,
     /* 1525481 */     GIR_EraseRootFromParent_Done,
     /* 1525482 */   // Label 21190: @1525482
     /* 1525482 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1525564), // Rule ID 18384 //
     /* 1525487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525526 */     // MIs[0] round
     /* 1525526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525529 */     // MIs[0] policy
     /* 1525529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525539 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525563 */     // GIR_Coverage, 18384,
     /* 1525563 */     GIR_EraseRootFromParent_Done,
     /* 1525564 */   // Label 21191: @1525564
     /* 1525564 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1525646), // Rule ID 18387 //
     /* 1525569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525608 */     // MIs[0] round
     /* 1525608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525611 */     // MIs[0] policy
     /* 1525611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525621 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1525624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525645 */     // GIR_Coverage, 18387,
     /* 1525645 */     GIR_EraseRootFromParent_Done,
     /* 1525646 */   // Label 21192: @1525646
     /* 1525646 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1525728), // Rule ID 18388 //
     /* 1525651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525690 */     // MIs[0] round
     /* 1525690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525693 */     // MIs[0] policy
     /* 1525693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525703 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1525706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525727 */     // GIR_Coverage, 18388,
     /* 1525727 */     GIR_EraseRootFromParent_Done,
     /* 1525728 */   // Label 21193: @1525728
     /* 1525728 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525810), // Rule ID 18391 //
     /* 1525733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1525750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525772 */     // MIs[0] round
     /* 1525772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525775 */     // MIs[0] policy
     /* 1525775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525785 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1525788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525809 */     // GIR_Coverage, 18391,
     /* 1525809 */     GIR_EraseRootFromParent_Done,
     /* 1525810 */   // Label 21194: @1525810
     /* 1525810 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525892), // Rule ID 18392 //
     /* 1525815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1525832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525854 */     // MIs[0] round
     /* 1525854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525857 */     // MIs[0] policy
     /* 1525857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525867 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1525870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525891 */     // GIR_Coverage, 18392,
     /* 1525891 */     GIR_EraseRootFromParent_Done,
     /* 1525892 */   // Label 21195: @1525892
     /* 1525892 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1525974), // Rule ID 18395 //
     /* 1525897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1525914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525936 */     // MIs[0] round
     /* 1525936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525939 */     // MIs[0] policy
     /* 1525939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525949 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1525952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525973 */     // GIR_Coverage, 18395,
     /* 1525973 */     GIR_EraseRootFromParent_Done,
     /* 1525974 */   // Label 21196: @1525974
     /* 1525974 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1526056), // Rule ID 18396 //
     /* 1525979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1525996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526018 */     // MIs[0] round
     /* 1526018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526021 */     // MIs[0] policy
     /* 1526021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526031 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1526034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526055 */     // GIR_Coverage, 18396,
     /* 1526055 */     GIR_EraseRootFromParent_Done,
     /* 1526056 */   // Label 21197: @1526056
     /* 1526056 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1526138), // Rule ID 18399 //
     /* 1526061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526100 */     // MIs[0] round
     /* 1526100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526103 */     // MIs[0] policy
     /* 1526103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526113 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526137 */     // GIR_Coverage, 18399,
     /* 1526137 */     GIR_EraseRootFromParent_Done,
     /* 1526138 */   // Label 21198: @1526138
     /* 1526138 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1526220), // Rule ID 18400 //
     /* 1526143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526182 */     // MIs[0] round
     /* 1526182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526185 */     // MIs[0] policy
     /* 1526185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526195 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526219 */     // GIR_Coverage, 18400,
     /* 1526219 */     GIR_EraseRootFromParent_Done,
     /* 1526220 */   // Label 21199: @1526220
     /* 1526220 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1526302), // Rule ID 18403 //
     /* 1526225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526264 */     // MIs[0] round
     /* 1526264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526267 */     // MIs[0] policy
     /* 1526267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526277 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526301 */     // GIR_Coverage, 18403,
     /* 1526301 */     GIR_EraseRootFromParent_Done,
     /* 1526302 */   // Label 21200: @1526302
     /* 1526302 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1526384), // Rule ID 18404 //
     /* 1526307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526346 */     // MIs[0] round
     /* 1526346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526349 */     // MIs[0] policy
     /* 1526349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526359 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526383 */     // GIR_Coverage, 18404,
     /* 1526383 */     GIR_EraseRootFromParent_Done,
     /* 1526384 */   // Label 21201: @1526384
     /* 1526384 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1526466), // Rule ID 18407 //
     /* 1526389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526428 */     // MIs[0] round
     /* 1526428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526431 */     // MIs[0] policy
     /* 1526431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526441 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526465 */     // GIR_Coverage, 18407,
     /* 1526465 */     GIR_EraseRootFromParent_Done,
     /* 1526466 */   // Label 21202: @1526466
     /* 1526466 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1526548), // Rule ID 18408 //
     /* 1526471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526510 */     // MIs[0] round
     /* 1526510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526513 */     // MIs[0] policy
     /* 1526513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526523 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526547 */     // GIR_Coverage, 18408,
     /* 1526547 */     GIR_EraseRootFromParent_Done,
     /* 1526548 */   // Label 21203: @1526548
     /* 1526548 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1526630), // Rule ID 18411 //
     /* 1526553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526592 */     // MIs[0] round
     /* 1526592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526595 */     // MIs[0] policy
     /* 1526595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526605 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1526608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526629 */     // GIR_Coverage, 18411,
     /* 1526629 */     GIR_EraseRootFromParent_Done,
     /* 1526630 */   // Label 21204: @1526630
     /* 1526630 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1526712), // Rule ID 18412 //
     /* 1526635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526674 */     // MIs[0] round
     /* 1526674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526677 */     // MIs[0] policy
     /* 1526677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526687 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1526690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526711 */     // GIR_Coverage, 18412,
     /* 1526711 */     GIR_EraseRootFromParent_Done,
     /* 1526712 */   // Label 21205: @1526712
     /* 1526712 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1526794), // Rule ID 18415 //
     /* 1526717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526756 */     // MIs[0] round
     /* 1526756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526759 */     // MIs[0] policy
     /* 1526759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526769 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1526772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526793 */     // GIR_Coverage, 18415,
     /* 1526793 */     GIR_EraseRootFromParent_Done,
     /* 1526794 */   // Label 21206: @1526794
     /* 1526794 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526876), // Rule ID 18416 //
     /* 1526799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526838 */     // MIs[0] round
     /* 1526838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526841 */     // MIs[0] policy
     /* 1526841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526851 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1526854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526875 */     // GIR_Coverage, 18416,
     /* 1526875 */     GIR_EraseRootFromParent_Done,
     /* 1526876 */   // Label 21207: @1526876
     /* 1526876 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1526958), // Rule ID 18419 //
     /* 1526881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526920 */     // MIs[0] round
     /* 1526920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526923 */     // MIs[0] policy
     /* 1526923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526933 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1526936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526957 */     // GIR_Coverage, 18419,
     /* 1526957 */     GIR_EraseRootFromParent_Done,
     /* 1526958 */   // Label 21208: @1526958
     /* 1526958 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1527040), // Rule ID 18420 //
     /* 1526963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527002 */     // MIs[0] round
     /* 1527002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527005 */     // MIs[0] policy
     /* 1527005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527015 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1527018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527039 */     // GIR_Coverage, 18420,
     /* 1527039 */     GIR_EraseRootFromParent_Done,
     /* 1527040 */   // Label 21209: @1527040
     /* 1527040 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1527122), // Rule ID 18423 //
     /* 1527045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527084 */     // MIs[0] round
     /* 1527084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527087 */     // MIs[0] policy
     /* 1527087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527097 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527121 */     // GIR_Coverage, 18423,
     /* 1527121 */     GIR_EraseRootFromParent_Done,
     /* 1527122 */   // Label 21210: @1527122
     /* 1527122 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1527204), // Rule ID 18424 //
     /* 1527127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527166 */     // MIs[0] round
     /* 1527166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527169 */     // MIs[0] policy
     /* 1527169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527179 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527203 */     // GIR_Coverage, 18424,
     /* 1527203 */     GIR_EraseRootFromParent_Done,
     /* 1527204 */   // Label 21211: @1527204
     /* 1527204 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1527286), // Rule ID 18427 //
     /* 1527209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527248 */     // MIs[0] round
     /* 1527248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527251 */     // MIs[0] policy
     /* 1527251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527261 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527285 */     // GIR_Coverage, 18427,
     /* 1527285 */     GIR_EraseRootFromParent_Done,
     /* 1527286 */   // Label 21212: @1527286
     /* 1527286 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1527368), // Rule ID 18428 //
     /* 1527291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527330 */     // MIs[0] round
     /* 1527330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527333 */     // MIs[0] policy
     /* 1527333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527343 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527367 */     // GIR_Coverage, 18428,
     /* 1527367 */     GIR_EraseRootFromParent_Done,
     /* 1527368 */   // Label 21213: @1527368
     /* 1527368 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1527450), // Rule ID 18431 //
     /* 1527373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527412 */     // MIs[0] round
     /* 1527412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527415 */     // MIs[0] policy
     /* 1527415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527425 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527449 */     // GIR_Coverage, 18431,
     /* 1527449 */     GIR_EraseRootFromParent_Done,
     /* 1527450 */   // Label 21214: @1527450
     /* 1527450 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1527532), // Rule ID 18432 //
     /* 1527455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527494 */     // MIs[0] round
     /* 1527494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527497 */     // MIs[0] policy
     /* 1527497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527507 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527531 */     // GIR_Coverage, 18432,
     /* 1527531 */     GIR_EraseRootFromParent_Done,
     /* 1527532 */   // Label 21215: @1527532
     /* 1527532 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1527614), // Rule ID 18435 //
     /* 1527537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527576 */     // MIs[0] round
     /* 1527576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527579 */     // MIs[0] policy
     /* 1527579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527589 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1527592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527613 */     // GIR_Coverage, 18435,
     /* 1527613 */     GIR_EraseRootFromParent_Done,
     /* 1527614 */   // Label 21216: @1527614
     /* 1527614 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1527696), // Rule ID 18436 //
     /* 1527619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527658 */     // MIs[0] round
     /* 1527658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527661 */     // MIs[0] policy
     /* 1527661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527671 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1527674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527695 */     // GIR_Coverage, 18436,
     /* 1527695 */     GIR_EraseRootFromParent_Done,
     /* 1527696 */   // Label 21217: @1527696
     /* 1527696 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1527778), // Rule ID 18439 //
     /* 1527701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527740 */     // MIs[0] round
     /* 1527740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527743 */     // MIs[0] policy
     /* 1527743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527753 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1527756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527777 */     // GIR_Coverage, 18439,
     /* 1527777 */     GIR_EraseRootFromParent_Done,
     /* 1527778 */   // Label 21218: @1527778
     /* 1527778 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527860), // Rule ID 18440 //
     /* 1527783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527822 */     // MIs[0] round
     /* 1527822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527825 */     // MIs[0] policy
     /* 1527825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527835 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1527838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527859 */     // GIR_Coverage, 18440,
     /* 1527859 */     GIR_EraseRootFromParent_Done,
     /* 1527860 */   // Label 21219: @1527860
     /* 1527860 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1527942), // Rule ID 18443 //
     /* 1527865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527904 */     // MIs[0] round
     /* 1527904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527907 */     // MIs[0] policy
     /* 1527907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527917 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1527920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527941 */     // GIR_Coverage, 18443,
     /* 1527941 */     GIR_EraseRootFromParent_Done,
     /* 1527942 */   // Label 21220: @1527942
     /* 1527942 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1528024), // Rule ID 18444 //
     /* 1527947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527986 */     // MIs[0] round
     /* 1527986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527989 */     // MIs[0] policy
     /* 1527989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527999 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1528002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528023 */     // GIR_Coverage, 18444,
     /* 1528023 */     GIR_EraseRootFromParent_Done,
     /* 1528024 */   // Label 21221: @1528024
     /* 1528024 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1528106), // Rule ID 18447 //
     /* 1528029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1528049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528068 */     // MIs[0] round
     /* 1528068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528071 */     // MIs[0] policy
     /* 1528071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528081 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528105 */     // GIR_Coverage, 18447,
     /* 1528105 */     GIR_EraseRootFromParent_Done,
     /* 1528106 */   // Label 21222: @1528106
     /* 1528106 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1528188), // Rule ID 18448 //
     /* 1528111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1528131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528150 */     // MIs[0] round
     /* 1528150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528153 */     // MIs[0] policy
     /* 1528153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528163 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528187 */     // GIR_Coverage, 18448,
     /* 1528187 */     GIR_EraseRootFromParent_Done,
     /* 1528188 */   // Label 21223: @1528188
     /* 1528188 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1528270), // Rule ID 18451 //
     /* 1528193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528232 */     // MIs[0] round
     /* 1528232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528235 */     // MIs[0] policy
     /* 1528235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528245 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528269 */     // GIR_Coverage, 18451,
     /* 1528269 */     GIR_EraseRootFromParent_Done,
     /* 1528270 */   // Label 21224: @1528270
     /* 1528270 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1528352), // Rule ID 18452 //
     /* 1528275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528314 */     // MIs[0] round
     /* 1528314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528317 */     // MIs[0] policy
     /* 1528317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528327 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528351 */     // GIR_Coverage, 18452,
     /* 1528351 */     GIR_EraseRootFromParent_Done,
     /* 1528352 */   // Label 21225: @1528352
     /* 1528352 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1528434), // Rule ID 18455 //
     /* 1528357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528396 */     // MIs[0] round
     /* 1528396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528399 */     // MIs[0] policy
     /* 1528399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528433 */     // GIR_Coverage, 18455,
     /* 1528433 */     GIR_EraseRootFromParent_Done,
     /* 1528434 */   // Label 21226: @1528434
     /* 1528434 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1528516), // Rule ID 18456 //
     /* 1528439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528478 */     // MIs[0] round
     /* 1528478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528481 */     // MIs[0] policy
     /* 1528481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528491 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528502 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528515 */     // GIR_Coverage, 18456,
     /* 1528515 */     GIR_EraseRootFromParent_Done,
     /* 1528516 */   // Label 21227: @1528516
     /* 1528516 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1528598), // Rule ID 18459 //
     /* 1528521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528560 */     // MIs[0] round
     /* 1528560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528563 */     // MIs[0] policy
     /* 1528563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528573 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1528576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528597 */     // GIR_Coverage, 18459,
     /* 1528597 */     GIR_EraseRootFromParent_Done,
     /* 1528598 */   // Label 21228: @1528598
     /* 1528598 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1528680), // Rule ID 18460 //
     /* 1528603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528642 */     // MIs[0] round
     /* 1528642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528645 */     // MIs[0] policy
     /* 1528645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528655 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1528658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528679 */     // GIR_Coverage, 18460,
     /* 1528679 */     GIR_EraseRootFromParent_Done,
     /* 1528680 */   // Label 21229: @1528680
     /* 1528680 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1528762), // Rule ID 18463 //
     /* 1528685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528724 */     // MIs[0] round
     /* 1528724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528727 */     // MIs[0] policy
     /* 1528727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528737 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1528740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528761 */     // GIR_Coverage, 18463,
     /* 1528761 */     GIR_EraseRootFromParent_Done,
     /* 1528762 */   // Label 21230: @1528762
     /* 1528762 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528844), // Rule ID 18464 //
     /* 1528767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528806 */     // MIs[0] round
     /* 1528806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528809 */     // MIs[0] policy
     /* 1528809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528819 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1528822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528843 */     // GIR_Coverage, 18464,
     /* 1528843 */     GIR_EraseRootFromParent_Done,
     /* 1528844 */   // Label 21231: @1528844
     /* 1528844 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528926), // Rule ID 18467 //
     /* 1528849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1528866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528888 */     // MIs[0] round
     /* 1528888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528891 */     // MIs[0] policy
     /* 1528891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528901 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1528904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528925 */     // GIR_Coverage, 18467,
     /* 1528925 */     GIR_EraseRootFromParent_Done,
     /* 1528926 */   // Label 21232: @1528926
     /* 1528926 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1529008), // Rule ID 18468 //
     /* 1528931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1528948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528970 */     // MIs[0] round
     /* 1528970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528973 */     // MIs[0] policy
     /* 1528973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528983 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1528986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529007 */     // GIR_Coverage, 18468,
     /* 1529007 */     GIR_EraseRootFromParent_Done,
     /* 1529008 */   // Label 21233: @1529008
     /* 1529008 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1529090), // Rule ID 18471 //
     /* 1529013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1529024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1529027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1529030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529052 */     // MIs[0] round
     /* 1529052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529055 */     // MIs[0] policy
     /* 1529055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529065 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529089 */     // GIR_Coverage, 18471,
     /* 1529089 */     GIR_EraseRootFromParent_Done,
     /* 1529090 */   // Label 21234: @1529090
     /* 1529090 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1529172), // Rule ID 18472 //
     /* 1529095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1529106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1529109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1529112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529134 */     // MIs[0] round
     /* 1529134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529137 */     // MIs[0] policy
     /* 1529137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529147 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529171 */     // GIR_Coverage, 18472,
     /* 1529171 */     GIR_EraseRootFromParent_Done,
     /* 1529172 */   // Label 21235: @1529172
     /* 1529172 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1529254), // Rule ID 18475 //
     /* 1529177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529216 */     // MIs[0] round
     /* 1529216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529219 */     // MIs[0] policy
     /* 1529219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529229 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529253 */     // GIR_Coverage, 18475,
     /* 1529253 */     GIR_EraseRootFromParent_Done,
     /* 1529254 */   // Label 21236: @1529254
     /* 1529254 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1529336), // Rule ID 18476 //
     /* 1529259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529298 */     // MIs[0] round
     /* 1529298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529301 */     // MIs[0] policy
     /* 1529301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529311 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529335 */     // GIR_Coverage, 18476,
     /* 1529335 */     GIR_EraseRootFromParent_Done,
     /* 1529336 */   // Label 21237: @1529336
     /* 1529336 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1529418), // Rule ID 18479 //
     /* 1529341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529380 */     // MIs[0] round
     /* 1529380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529383 */     // MIs[0] policy
     /* 1529383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529393 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529417 */     // GIR_Coverage, 18479,
     /* 1529417 */     GIR_EraseRootFromParent_Done,
     /* 1529418 */   // Label 21238: @1529418
     /* 1529418 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1529500), // Rule ID 18480 //
     /* 1529423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529462 */     // MIs[0] round
     /* 1529462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529465 */     // MIs[0] policy
     /* 1529465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529475 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529499 */     // GIR_Coverage, 18480,
     /* 1529499 */     GIR_EraseRootFromParent_Done,
     /* 1529500 */   // Label 21239: @1529500
     /* 1529500 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1529582), // Rule ID 18483 //
     /* 1529505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529544 */     // MIs[0] round
     /* 1529544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529547 */     // MIs[0] policy
     /* 1529547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529557 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1529560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529581 */     // GIR_Coverage, 18483,
     /* 1529581 */     GIR_EraseRootFromParent_Done,
     /* 1529582 */   // Label 21240: @1529582
     /* 1529582 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1529664), // Rule ID 18484 //
     /* 1529587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529626 */     // MIs[0] round
     /* 1529626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529629 */     // MIs[0] policy
     /* 1529629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529639 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1529642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529663 */     // GIR_Coverage, 18484,
     /* 1529663 */     GIR_EraseRootFromParent_Done,
     /* 1529664 */   // Label 21241: @1529664
     /* 1529664 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1529746), // Rule ID 18487 //
     /* 1529669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529708 */     // MIs[0] round
     /* 1529708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529711 */     // MIs[0] policy
     /* 1529711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529721 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1529724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529745 */     // GIR_Coverage, 18487,
     /* 1529745 */     GIR_EraseRootFromParent_Done,
     /* 1529746 */   // Label 21242: @1529746
     /* 1529746 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529828), // Rule ID 18488 //
     /* 1529751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529790 */     // MIs[0] round
     /* 1529790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529793 */     // MIs[0] policy
     /* 1529793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529803 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1529806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529827 */     // GIR_Coverage, 18488,
     /* 1529827 */     GIR_EraseRootFromParent_Done,
     /* 1529828 */   // Label 21243: @1529828
     /* 1529828 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529910), // Rule ID 18491 //
     /* 1529833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1529850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529872 */     // MIs[0] round
     /* 1529872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529875 */     // MIs[0] policy
     /* 1529875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529885 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1529888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529909 */     // GIR_Coverage, 18491,
     /* 1529909 */     GIR_EraseRootFromParent_Done,
     /* 1529910 */   // Label 21244: @1529910
     /* 1529910 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1529992), // Rule ID 18492 //
     /* 1529915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1529932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529954 */     // MIs[0] round
     /* 1529954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529957 */     // MIs[0] policy
     /* 1529957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529967 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1529970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529991 */     // GIR_Coverage, 18492,
     /* 1529991 */     GIR_EraseRootFromParent_Done,
     /* 1529992 */   // Label 21245: @1529992
     /* 1529992 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1530074), // Rule ID 18495 //
     /* 1529997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1530008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1530011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1530014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530036 */     // MIs[0] round
     /* 1530036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530039 */     // MIs[0] policy
     /* 1530039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530049 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530073 */     // GIR_Coverage, 18495,
     /* 1530073 */     GIR_EraseRootFromParent_Done,
     /* 1530074 */   // Label 21246: @1530074
     /* 1530074 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1530156), // Rule ID 18496 //
     /* 1530079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1530090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1530093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1530096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530118 */     // MIs[0] round
     /* 1530118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530121 */     // MIs[0] policy
     /* 1530121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530131 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530155 */     // GIR_Coverage, 18496,
     /* 1530155 */     GIR_EraseRootFromParent_Done,
     /* 1530156 */   // Label 21247: @1530156
     /* 1530156 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1530238), // Rule ID 18499 //
     /* 1530161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530200 */     // MIs[0] round
     /* 1530200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530203 */     // MIs[0] policy
     /* 1530203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530213 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530237 */     // GIR_Coverage, 18499,
     /* 1530237 */     GIR_EraseRootFromParent_Done,
     /* 1530238 */   // Label 21248: @1530238
     /* 1530238 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1530320), // Rule ID 18500 //
     /* 1530243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530282 */     // MIs[0] round
     /* 1530282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530285 */     // MIs[0] policy
     /* 1530285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530295 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530319 */     // GIR_Coverage, 18500,
     /* 1530319 */     GIR_EraseRootFromParent_Done,
     /* 1530320 */   // Label 21249: @1530320
     /* 1530320 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1530402), // Rule ID 18503 //
     /* 1530325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530364 */     // MIs[0] round
     /* 1530364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530367 */     // MIs[0] policy
     /* 1530367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530401 */     // GIR_Coverage, 18503,
     /* 1530401 */     GIR_EraseRootFromParent_Done,
     /* 1530402 */   // Label 21250: @1530402
     /* 1530402 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1530484), // Rule ID 18504 //
     /* 1530407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530446 */     // MIs[0] round
     /* 1530446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530449 */     // MIs[0] policy
     /* 1530449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530483 */     // GIR_Coverage, 18504,
     /* 1530483 */     GIR_EraseRootFromParent_Done,
     /* 1530484 */   // Label 21251: @1530484
     /* 1530484 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1530566), // Rule ID 18507 //
     /* 1530489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530528 */     // MIs[0] round
     /* 1530528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530531 */     // MIs[0] policy
     /* 1530531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530541 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1530544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530565 */     // GIR_Coverage, 18507,
     /* 1530565 */     GIR_EraseRootFromParent_Done,
     /* 1530566 */   // Label 21252: @1530566
     /* 1530566 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1530648), // Rule ID 18508 //
     /* 1530571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530610 */     // MIs[0] round
     /* 1530610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530613 */     // MIs[0] policy
     /* 1530613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530623 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1530626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530647 */     // GIR_Coverage, 18508,
     /* 1530647 */     GIR_EraseRootFromParent_Done,
     /* 1530648 */   // Label 21253: @1530648
     /* 1530648 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1530730), // Rule ID 18511 //
     /* 1530653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1530670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530692 */     // MIs[0] round
     /* 1530692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530695 */     // MIs[0] policy
     /* 1530695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530705 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1530708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530729 */     // GIR_Coverage, 18511,
     /* 1530729 */     GIR_EraseRootFromParent_Done,
     /* 1530730 */   // Label 21254: @1530730
     /* 1530730 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530812), // Rule ID 18512 //
     /* 1530735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1530752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530774 */     // MIs[0] round
     /* 1530774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530777 */     // MIs[0] policy
     /* 1530777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530787 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1530790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530811 */     // GIR_Coverage, 18512,
     /* 1530811 */     GIR_EraseRootFromParent_Done,
     /* 1530812 */   // Label 21255: @1530812
     /* 1530812 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1530894), // Rule ID 18515 //
     /* 1530817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530856 */     // MIs[0] round
     /* 1530856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530859 */     // MIs[0] policy
     /* 1530859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530869 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1530872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530893 */     // GIR_Coverage, 18515,
     /* 1530893 */     GIR_EraseRootFromParent_Done,
     /* 1530894 */   // Label 21256: @1530894
     /* 1530894 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1530976), // Rule ID 18516 //
     /* 1530899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530938 */     // MIs[0] round
     /* 1530938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530941 */     // MIs[0] policy
     /* 1530941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530951 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1530954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530975 */     // GIR_Coverage, 18516,
     /* 1530975 */     GIR_EraseRootFromParent_Done,
     /* 1530976 */   // Label 21257: @1530976
     /* 1530976 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1531058), // Rule ID 18519 //
     /* 1530981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1530998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1531001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531020 */     // MIs[0] round
     /* 1531020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531023 */     // MIs[0] policy
     /* 1531023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531033 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1531036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531057 */     // GIR_Coverage, 18519,
     /* 1531057 */     GIR_EraseRootFromParent_Done,
     /* 1531058 */   // Label 21258: @1531058
     /* 1531058 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1531140), // Rule ID 18520 //
     /* 1531063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1531074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1531077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1531080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1531083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531102 */     // MIs[0] round
     /* 1531102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531105 */     // MIs[0] policy
     /* 1531105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531115 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1531118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531126 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531139 */     // GIR_Coverage, 18520,
     /* 1531139 */     GIR_EraseRootFromParent_Done,
     /* 1531140 */   // Label 21259: @1531140
     /* 1531140 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1531222), // Rule ID 18523 //
     /* 1531145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531184 */     // MIs[0] round
     /* 1531184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531187 */     // MIs[0] policy
     /* 1531187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531197 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531221 */     // GIR_Coverage, 18523,
     /* 1531221 */     GIR_EraseRootFromParent_Done,
     /* 1531222 */   // Label 21260: @1531222
     /* 1531222 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1531304), // Rule ID 18524 //
     /* 1531227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531266 */     // MIs[0] round
     /* 1531266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531269 */     // MIs[0] policy
     /* 1531269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531279 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531303 */     // GIR_Coverage, 18524,
     /* 1531303 */     GIR_EraseRootFromParent_Done,
     /* 1531304 */   // Label 21261: @1531304
     /* 1531304 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1531386), // Rule ID 18527 //
     /* 1531309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531348 */     // MIs[0] round
     /* 1531348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531351 */     // MIs[0] policy
     /* 1531351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531361 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531385 */     // GIR_Coverage, 18527,
     /* 1531385 */     GIR_EraseRootFromParent_Done,
     /* 1531386 */   // Label 21262: @1531386
     /* 1531386 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1531468), // Rule ID 18528 //
     /* 1531391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531430 */     // MIs[0] round
     /* 1531430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531433 */     // MIs[0] policy
     /* 1531433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531443 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531467 */     // GIR_Coverage, 18528,
     /* 1531467 */     GIR_EraseRootFromParent_Done,
     /* 1531468 */   // Label 21263: @1531468
     /* 1531468 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1531550), // Rule ID 18531 //
     /* 1531473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531512 */     // MIs[0] round
     /* 1531512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531515 */     // MIs[0] policy
     /* 1531515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531525 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531549 */     // GIR_Coverage, 18531,
     /* 1531549 */     GIR_EraseRootFromParent_Done,
     /* 1531550 */   // Label 21264: @1531550
     /* 1531550 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1531632), // Rule ID 18532 //
     /* 1531555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531594 */     // MIs[0] round
     /* 1531594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531597 */     // MIs[0] policy
     /* 1531597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531607 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531631 */     // GIR_Coverage, 18532,
     /* 1531631 */     GIR_EraseRootFromParent_Done,
     /* 1531632 */   // Label 21265: @1531632
     /* 1531632 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1531714), // Rule ID 18535 //
     /* 1531637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531676 */     // MIs[0] round
     /* 1531676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531679 */     // MIs[0] policy
     /* 1531679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531689 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1531692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531713 */     // GIR_Coverage, 18535,
     /* 1531713 */     GIR_EraseRootFromParent_Done,
     /* 1531714 */   // Label 21266: @1531714
     /* 1531714 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531796), // Rule ID 18536 //
     /* 1531719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531758 */     // MIs[0] round
     /* 1531758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531761 */     // MIs[0] policy
     /* 1531761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531771 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1531774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531795 */     // GIR_Coverage, 18536,
     /* 1531795 */     GIR_EraseRootFromParent_Done,
     /* 1531796 */   // Label 21267: @1531796
     /* 1531796 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1531878), // Rule ID 18539 //
     /* 1531801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531840 */     // MIs[0] round
     /* 1531840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531843 */     // MIs[0] policy
     /* 1531843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531853 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1531856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531864 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531877 */     // GIR_Coverage, 18539,
     /* 1531877 */     GIR_EraseRootFromParent_Done,
     /* 1531878 */   // Label 21268: @1531878
     /* 1531878 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1531960), // Rule ID 18540 //
     /* 1531883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531922 */     // MIs[0] round
     /* 1531922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531925 */     // MIs[0] policy
     /* 1531925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531935 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1531938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531959 */     // GIR_Coverage, 18540,
     /* 1531959 */     GIR_EraseRootFromParent_Done,
     /* 1531960 */   // Label 21269: @1531960
     /* 1531960 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1532042), // Rule ID 18543 //
     /* 1531965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532004 */     // MIs[0] round
     /* 1532004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532007 */     // MIs[0] policy
     /* 1532007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1532020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532041 */     // GIR_Coverage, 18543,
     /* 1532041 */     GIR_EraseRootFromParent_Done,
     /* 1532042 */   // Label 21270: @1532042
     /* 1532042 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1532124), // Rule ID 18544 //
     /* 1532047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1532067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532086 */     // MIs[0] round
     /* 1532086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532089 */     // MIs[0] policy
     /* 1532089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532099 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1532102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532123 */     // GIR_Coverage, 18544,
     /* 1532123 */     GIR_EraseRootFromParent_Done,
     /* 1532124 */   // Label 21271: @1532124
     /* 1532124 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1532206), // Rule ID 18547 //
     /* 1532129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532168 */     // MIs[0] round
     /* 1532168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532171 */     // MIs[0] policy
     /* 1532171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532181 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532205 */     // GIR_Coverage, 18547,
     /* 1532205 */     GIR_EraseRootFromParent_Done,
     /* 1532206 */   // Label 21272: @1532206
     /* 1532206 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1532288), // Rule ID 18548 //
     /* 1532211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532250 */     // MIs[0] round
     /* 1532250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532253 */     // MIs[0] policy
     /* 1532253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532263 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532287 */     // GIR_Coverage, 18548,
     /* 1532287 */     GIR_EraseRootFromParent_Done,
     /* 1532288 */   // Label 21273: @1532288
     /* 1532288 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1532370), // Rule ID 18551 //
     /* 1532293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532332 */     // MIs[0] round
     /* 1532332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532335 */     // MIs[0] policy
     /* 1532335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532345 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532369 */     // GIR_Coverage, 18551,
     /* 1532369 */     GIR_EraseRootFromParent_Done,
     /* 1532370 */   // Label 21274: @1532370
     /* 1532370 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1532452), // Rule ID 18552 //
     /* 1532375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532414 */     // MIs[0] round
     /* 1532414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532417 */     // MIs[0] policy
     /* 1532417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532427 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532451 */     // GIR_Coverage, 18552,
     /* 1532451 */     GIR_EraseRootFromParent_Done,
     /* 1532452 */   // Label 21275: @1532452
     /* 1532452 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1532534), // Rule ID 18555 //
     /* 1532457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532496 */     // MIs[0] round
     /* 1532496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532499 */     // MIs[0] policy
     /* 1532499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532509 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532533 */     // GIR_Coverage, 18555,
     /* 1532533 */     GIR_EraseRootFromParent_Done,
     /* 1532534 */   // Label 21276: @1532534
     /* 1532534 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1532616), // Rule ID 18556 //
     /* 1532539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532578 */     // MIs[0] round
     /* 1532578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532581 */     // MIs[0] policy
     /* 1532581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532591 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532615 */     // GIR_Coverage, 18556,
     /* 1532615 */     GIR_EraseRootFromParent_Done,
     /* 1532616 */   // Label 21277: @1532616
     /* 1532616 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1532698), // Rule ID 18559 //
     /* 1532621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532660 */     // MIs[0] round
     /* 1532660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532663 */     // MIs[0] policy
     /* 1532663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532673 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1532676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532697 */     // GIR_Coverage, 18559,
     /* 1532697 */     GIR_EraseRootFromParent_Done,
     /* 1532698 */   // Label 21278: @1532698
     /* 1532698 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1532780), // Rule ID 18560 //
     /* 1532703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532742 */     // MIs[0] round
     /* 1532742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532745 */     // MIs[0] policy
     /* 1532745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532755 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1532758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532779 */     // GIR_Coverage, 18560,
     /* 1532779 */     GIR_EraseRootFromParent_Done,
     /* 1532780 */   // Label 21279: @1532780
     /* 1532780 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1532862), // Rule ID 18563 //
     /* 1532785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532824 */     // MIs[0] round
     /* 1532824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532827 */     // MIs[0] policy
     /* 1532827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532837 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1532840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532861 */     // GIR_Coverage, 18563,
     /* 1532861 */     GIR_EraseRootFromParent_Done,
     /* 1532862 */   // Label 21280: @1532862
     /* 1532862 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1532944), // Rule ID 18564 //
     /* 1532867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532906 */     // MIs[0] round
     /* 1532906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532909 */     // MIs[0] policy
     /* 1532909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532919 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1532922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532943 */     // GIR_Coverage, 18564,
     /* 1532943 */     GIR_EraseRootFromParent_Done,
     /* 1532944 */   // Label 21281: @1532944
     /* 1532944 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1533026), // Rule ID 18567 //
     /* 1532949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532988 */     // MIs[0] round
     /* 1532988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532991 */     // MIs[0] policy
     /* 1532991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533001 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1533004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533025 */     // GIR_Coverage, 18567,
     /* 1533025 */     GIR_EraseRootFromParent_Done,
     /* 1533026 */   // Label 21282: @1533026
     /* 1533026 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1533108), // Rule ID 18568 //
     /* 1533031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1533042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1533045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533070 */     // MIs[0] round
     /* 1533070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533073 */     // MIs[0] policy
     /* 1533073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533083 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1533086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533107 */     // GIR_Coverage, 18568,
     /* 1533107 */     GIR_EraseRootFromParent_Done,
     /* 1533108 */   // Label 21283: @1533108
     /* 1533108 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1533190), // Rule ID 18571 //
     /* 1533113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533152 */     // MIs[0] round
     /* 1533152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533155 */     // MIs[0] policy
     /* 1533155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533165 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533189 */     // GIR_Coverage, 18571,
     /* 1533189 */     GIR_EraseRootFromParent_Done,
     /* 1533190 */   // Label 21284: @1533190
     /* 1533190 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1533272), // Rule ID 18572 //
     /* 1533195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533234 */     // MIs[0] round
     /* 1533234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533237 */     // MIs[0] policy
     /* 1533237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533247 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533271 */     // GIR_Coverage, 18572,
     /* 1533271 */     GIR_EraseRootFromParent_Done,
     /* 1533272 */   // Label 21285: @1533272
     /* 1533272 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1533354), // Rule ID 18575 //
     /* 1533277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533316 */     // MIs[0] round
     /* 1533316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533319 */     // MIs[0] policy
     /* 1533319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533329 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533353 */     // GIR_Coverage, 18575,
     /* 1533353 */     GIR_EraseRootFromParent_Done,
     /* 1533354 */   // Label 21286: @1533354
     /* 1533354 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1533436), // Rule ID 18576 //
     /* 1533359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533398 */     // MIs[0] round
     /* 1533398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533401 */     // MIs[0] policy
     /* 1533401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533411 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533435 */     // GIR_Coverage, 18576,
     /* 1533435 */     GIR_EraseRootFromParent_Done,
     /* 1533436 */   // Label 21287: @1533436
     /* 1533436 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1533518), // Rule ID 18579 //
     /* 1533441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533480 */     // MIs[0] round
     /* 1533480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533483 */     // MIs[0] policy
     /* 1533483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533493 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533504 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533517 */     // GIR_Coverage, 18579,
     /* 1533517 */     GIR_EraseRootFromParent_Done,
     /* 1533518 */   // Label 21288: @1533518
     /* 1533518 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1533600), // Rule ID 18580 //
     /* 1533523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533562 */     // MIs[0] round
     /* 1533562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533565 */     // MIs[0] policy
     /* 1533565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533575 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533599 */     // GIR_Coverage, 18580,
     /* 1533599 */     GIR_EraseRootFromParent_Done,
     /* 1533600 */   // Label 21289: @1533600
     /* 1533600 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1533682), // Rule ID 18583 //
     /* 1533605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533644 */     // MIs[0] round
     /* 1533644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533647 */     // MIs[0] policy
     /* 1533647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533657 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1533660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533681 */     // GIR_Coverage, 18583,
     /* 1533681 */     GIR_EraseRootFromParent_Done,
     /* 1533682 */   // Label 21290: @1533682
     /* 1533682 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1533764), // Rule ID 18584 //
     /* 1533687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533726 */     // MIs[0] round
     /* 1533726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533729 */     // MIs[0] policy
     /* 1533729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533739 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1533742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533763 */     // GIR_Coverage, 18584,
     /* 1533763 */     GIR_EraseRootFromParent_Done,
     /* 1533764 */   // Label 21291: @1533764
     /* 1533764 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1533846), // Rule ID 18587 //
     /* 1533769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533808 */     // MIs[0] round
     /* 1533808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533811 */     // MIs[0] policy
     /* 1533811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533821 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1533824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533845 */     // GIR_Coverage, 18587,
     /* 1533845 */     GIR_EraseRootFromParent_Done,
     /* 1533846 */   // Label 21292: @1533846
     /* 1533846 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1533928), // Rule ID 18588 //
     /* 1533851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1533854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533890 */     // MIs[0] round
     /* 1533890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533893 */     // MIs[0] policy
     /* 1533893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533903 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1533906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533927 */     // GIR_Coverage, 18588,
     /* 1533927 */     GIR_EraseRootFromParent_Done,
     /* 1533928 */   // Label 21293: @1533928
     /* 1533928 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1534010), // Rule ID 18591 //
     /* 1533933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533972 */     // MIs[0] round
     /* 1533972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533975 */     // MIs[0] policy
     /* 1533975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533985 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1533988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534009 */     // GIR_Coverage, 18591,
     /* 1534009 */     GIR_EraseRootFromParent_Done,
     /* 1534010 */   // Label 21294: @1534010
     /* 1534010 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1534092), // Rule ID 18592 //
     /* 1534015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1534032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534054 */     // MIs[0] round
     /* 1534054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534057 */     // MIs[0] policy
     /* 1534057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1534070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534091 */     // GIR_Coverage, 18592,
     /* 1534091 */     GIR_EraseRootFromParent_Done,
     /* 1534092 */   // Label 21295: @1534092
     /* 1534092 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1534174), // Rule ID 18595 //
     /* 1534097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534136 */     // MIs[0] round
     /* 1534136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534139 */     // MIs[0] policy
     /* 1534139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534149 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534173 */     // GIR_Coverage, 18595,
     /* 1534173 */     GIR_EraseRootFromParent_Done,
     /* 1534174 */   // Label 21296: @1534174
     /* 1534174 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1534256), // Rule ID 18596 //
     /* 1534179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534218 */     // MIs[0] round
     /* 1534218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534221 */     // MIs[0] policy
     /* 1534221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534231 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534255 */     // GIR_Coverage, 18596,
     /* 1534255 */     GIR_EraseRootFromParent_Done,
     /* 1534256 */   // Label 21297: @1534256
     /* 1534256 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1534338), // Rule ID 18599 //
     /* 1534261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534300 */     // MIs[0] round
     /* 1534300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534303 */     // MIs[0] policy
     /* 1534303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534313 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534337 */     // GIR_Coverage, 18599,
     /* 1534337 */     GIR_EraseRootFromParent_Done,
     /* 1534338 */   // Label 21298: @1534338
     /* 1534338 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1534420), // Rule ID 18600 //
     /* 1534343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534382 */     // MIs[0] round
     /* 1534382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534385 */     // MIs[0] policy
     /* 1534385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534395 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534419 */     // GIR_Coverage, 18600,
     /* 1534419 */     GIR_EraseRootFromParent_Done,
     /* 1534420 */   // Label 21299: @1534420
     /* 1534420 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1534502), // Rule ID 18603 //
     /* 1534425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534464 */     // MIs[0] round
     /* 1534464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534467 */     // MIs[0] policy
     /* 1534467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534477 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534501 */     // GIR_Coverage, 18603,
     /* 1534501 */     GIR_EraseRootFromParent_Done,
     /* 1534502 */   // Label 21300: @1534502
     /* 1534502 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1534584), // Rule ID 18604 //
     /* 1534507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534546 */     // MIs[0] round
     /* 1534546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534549 */     // MIs[0] policy
     /* 1534549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534559 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534583 */     // GIR_Coverage, 18604,
     /* 1534583 */     GIR_EraseRootFromParent_Done,
     /* 1534584 */   // Label 21301: @1534584
     /* 1534584 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1534666), // Rule ID 18607 //
     /* 1534589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534628 */     // MIs[0] round
     /* 1534628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534631 */     // MIs[0] policy
     /* 1534631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534641 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1534644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534665 */     // GIR_Coverage, 18607,
     /* 1534665 */     GIR_EraseRootFromParent_Done,
     /* 1534666 */   // Label 21302: @1534666
     /* 1534666 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1534748), // Rule ID 18608 //
     /* 1534671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534710 */     // MIs[0] round
     /* 1534710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534713 */     // MIs[0] policy
     /* 1534713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534723 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1534726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534747 */     // GIR_Coverage, 18608,
     /* 1534747 */     GIR_EraseRootFromParent_Done,
     /* 1534748 */   // Label 21303: @1534748
     /* 1534748 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1534830), // Rule ID 18611 //
     /* 1534753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534792 */     // MIs[0] round
     /* 1534792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534795 */     // MIs[0] policy
     /* 1534795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534805 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1534808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534829 */     // GIR_Coverage, 18611,
     /* 1534829 */     GIR_EraseRootFromParent_Done,
     /* 1534830 */   // Label 21304: @1534830
     /* 1534830 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1534912), // Rule ID 18612 //
     /* 1534835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534874 */     // MIs[0] round
     /* 1534874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534877 */     // MIs[0] policy
     /* 1534877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534887 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1534890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534911 */     // GIR_Coverage, 18612,
     /* 1534911 */     GIR_EraseRootFromParent_Done,
     /* 1534912 */   // Label 21305: @1534912
     /* 1534912 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1534994), // Rule ID 18615 //
     /* 1534917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1534928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1534931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534956 */     // MIs[0] round
     /* 1534956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534959 */     // MIs[0] policy
     /* 1534959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534969 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1534972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534993 */     // GIR_Coverage, 18615,
     /* 1534993 */     GIR_EraseRootFromParent_Done,
     /* 1534994 */   // Label 21306: @1534994
     /* 1534994 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1535076), // Rule ID 18616 //
     /* 1534999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1535016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535038 */     // MIs[0] round
     /* 1535038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535041 */     // MIs[0] policy
     /* 1535041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535051 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1535054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535075 */     // GIR_Coverage, 18616,
     /* 1535075 */     GIR_EraseRootFromParent_Done,
     /* 1535076 */   // Label 21307: @1535076
     /* 1535076 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1535158), // Rule ID 18619 //
     /* 1535081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535120 */     // MIs[0] round
     /* 1535120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535123 */     // MIs[0] policy
     /* 1535123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535133 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535157 */     // GIR_Coverage, 18619,
     /* 1535157 */     GIR_EraseRootFromParent_Done,
     /* 1535158 */   // Label 21308: @1535158
     /* 1535158 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1535240), // Rule ID 18620 //
     /* 1535163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535202 */     // MIs[0] round
     /* 1535202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535205 */     // MIs[0] policy
     /* 1535205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535215 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535239 */     // GIR_Coverage, 18620,
     /* 1535239 */     GIR_EraseRootFromParent_Done,
     /* 1535240 */   // Label 21309: @1535240
     /* 1535240 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1535322), // Rule ID 18623 //
     /* 1535245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535284 */     // MIs[0] round
     /* 1535284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535287 */     // MIs[0] policy
     /* 1535287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535297 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535321 */     // GIR_Coverage, 18623,
     /* 1535321 */     GIR_EraseRootFromParent_Done,
     /* 1535322 */   // Label 21310: @1535322
     /* 1535322 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1535404), // Rule ID 18624 //
     /* 1535327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535366 */     // MIs[0] round
     /* 1535366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535369 */     // MIs[0] policy
     /* 1535369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535379 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535403 */     // GIR_Coverage, 18624,
     /* 1535403 */     GIR_EraseRootFromParent_Done,
     /* 1535404 */   // Label 21311: @1535404
     /* 1535404 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1535486), // Rule ID 18627 //
     /* 1535409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535448 */     // MIs[0] round
     /* 1535448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535451 */     // MIs[0] policy
     /* 1535451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535461 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535485 */     // GIR_Coverage, 18627,
     /* 1535485 */     GIR_EraseRootFromParent_Done,
     /* 1535486 */   // Label 21312: @1535486
     /* 1535486 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1535568), // Rule ID 18628 //
     /* 1535491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535530 */     // MIs[0] round
     /* 1535530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535533 */     // MIs[0] policy
     /* 1535533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535543 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535567 */     // GIR_Coverage, 18628,
     /* 1535567 */     GIR_EraseRootFromParent_Done,
     /* 1535568 */   // Label 21313: @1535568
     /* 1535568 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1535650), // Rule ID 18631 //
     /* 1535573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535612 */     // MIs[0] round
     /* 1535612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535615 */     // MIs[0] policy
     /* 1535615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535625 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1535628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535649 */     // GIR_Coverage, 18631,
     /* 1535649 */     GIR_EraseRootFromParent_Done,
     /* 1535650 */   // Label 21314: @1535650
     /* 1535650 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1535732), // Rule ID 18632 //
     /* 1535655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535694 */     // MIs[0] round
     /* 1535694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535697 */     // MIs[0] policy
     /* 1535697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535707 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1535710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535731 */     // GIR_Coverage, 18632,
     /* 1535731 */     GIR_EraseRootFromParent_Done,
     /* 1535732 */   // Label 21315: @1535732
     /* 1535732 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1535814), // Rule ID 18635 //
     /* 1535737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1535757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535776 */     // MIs[0] round
     /* 1535776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535779 */     // MIs[0] policy
     /* 1535779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1535792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535813 */     // GIR_Coverage, 18635,
     /* 1535813 */     GIR_EraseRootFromParent_Done,
     /* 1535814 */   // Label 21316: @1535814
     /* 1535814 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1535896), // Rule ID 18636 //
     /* 1535819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1535839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535858 */     // MIs[0] round
     /* 1535858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535861 */     // MIs[0] policy
     /* 1535861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535871 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1535874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535895 */     // GIR_Coverage, 18636,
     /* 1535895 */     GIR_EraseRootFromParent_Done,
     /* 1535896 */   // Label 21317: @1535896
     /* 1535896 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1535978), // Rule ID 18639 //
     /* 1535901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1535921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535940 */     // MIs[0] round
     /* 1535940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535943 */     // MIs[0] policy
     /* 1535943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535953 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1535956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535977 */     // GIR_Coverage, 18639,
     /* 1535977 */     GIR_EraseRootFromParent_Done,
     /* 1535978 */   // Label 21318: @1535978
     /* 1535978 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1536060), // Rule ID 18640 //
     /* 1535983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536022 */     // MIs[0] round
     /* 1536022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536025 */     // MIs[0] policy
     /* 1536025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536035 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1536038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536059 */     // GIR_Coverage, 18640,
     /* 1536059 */     GIR_EraseRootFromParent_Done,
     /* 1536060 */   // Label 21319: @1536060
     /* 1536060 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1536142), // Rule ID 18643 //
     /* 1536065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536104 */     // MIs[0] round
     /* 1536104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536107 */     // MIs[0] policy
     /* 1536107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536141 */     // GIR_Coverage, 18643,
     /* 1536141 */     GIR_EraseRootFromParent_Done,
     /* 1536142 */   // Label 21320: @1536142
     /* 1536142 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1536224), // Rule ID 18644 //
     /* 1536147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536186 */     // MIs[0] round
     /* 1536186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536189 */     // MIs[0] policy
     /* 1536189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536199 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536223 */     // GIR_Coverage, 18644,
     /* 1536223 */     GIR_EraseRootFromParent_Done,
     /* 1536224 */   // Label 21321: @1536224
     /* 1536224 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1536306), // Rule ID 18647 //
     /* 1536229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536268 */     // MIs[0] round
     /* 1536268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536271 */     // MIs[0] policy
     /* 1536271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536281 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536305 */     // GIR_Coverage, 18647,
     /* 1536305 */     GIR_EraseRootFromParent_Done,
     /* 1536306 */   // Label 21322: @1536306
     /* 1536306 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1536388), // Rule ID 18648 //
     /* 1536311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536350 */     // MIs[0] round
     /* 1536350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536353 */     // MIs[0] policy
     /* 1536353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536363 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536387 */     // GIR_Coverage, 18648,
     /* 1536387 */     GIR_EraseRootFromParent_Done,
     /* 1536388 */   // Label 21323: @1536388
     /* 1536388 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1536470), // Rule ID 18651 //
     /* 1536393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536432 */     // MIs[0] round
     /* 1536432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536435 */     // MIs[0] policy
     /* 1536435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536445 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536469 */     // GIR_Coverage, 18651,
     /* 1536469 */     GIR_EraseRootFromParent_Done,
     /* 1536470 */   // Label 21324: @1536470
     /* 1536470 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1536552), // Rule ID 18652 //
     /* 1536475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536514 */     // MIs[0] round
     /* 1536514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536517 */     // MIs[0] policy
     /* 1536517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536527 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536551 */     // GIR_Coverage, 18652,
     /* 1536551 */     GIR_EraseRootFromParent_Done,
     /* 1536552 */   // Label 21325: @1536552
     /* 1536552 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1536634), // Rule ID 18655 //
     /* 1536557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536596 */     // MIs[0] round
     /* 1536596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536599 */     // MIs[0] policy
     /* 1536599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536609 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1536612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536633 */     // GIR_Coverage, 18655,
     /* 1536633 */     GIR_EraseRootFromParent_Done,
     /* 1536634 */   // Label 21326: @1536634
     /* 1536634 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1536716), // Rule ID 18656 //
     /* 1536639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536678 */     // MIs[0] round
     /* 1536678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536681 */     // MIs[0] policy
     /* 1536681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536691 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1536694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536715 */     // GIR_Coverage, 18656,
     /* 1536715 */     GIR_EraseRootFromParent_Done,
     /* 1536716 */   // Label 21327: @1536716
     /* 1536716 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1536798), // Rule ID 18659 //
     /* 1536721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536760 */     // MIs[0] round
     /* 1536760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536763 */     // MIs[0] policy
     /* 1536763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536773 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1536776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536797 */     // GIR_Coverage, 18659,
     /* 1536797 */     GIR_EraseRootFromParent_Done,
     /* 1536798 */   // Label 21328: @1536798
     /* 1536798 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1536880), // Rule ID 18660 //
     /* 1536803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536842 */     // MIs[0] round
     /* 1536842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536845 */     // MIs[0] policy
     /* 1536845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536855 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1536858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536879 */     // GIR_Coverage, 18660,
     /* 1536879 */     GIR_EraseRootFromParent_Done,
     /* 1536880 */   // Label 21329: @1536880
     /* 1536880 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1536962), // Rule ID 18663 //
     /* 1536885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536924 */     // MIs[0] round
     /* 1536924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536927 */     // MIs[0] policy
     /* 1536927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1536940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536961 */     // GIR_Coverage, 18663,
     /* 1536961 */     GIR_EraseRootFromParent_Done,
     /* 1536962 */   // Label 21330: @1536962
     /* 1536962 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1537044), // Rule ID 18664 //
     /* 1536967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537006 */     // MIs[0] round
     /* 1537006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537009 */     // MIs[0] policy
     /* 1537009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537019 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1537022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537043 */     // GIR_Coverage, 18664,
     /* 1537043 */     GIR_EraseRootFromParent_Done,
     /* 1537044 */   // Label 21331: @1537044
     /* 1537044 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1537126), // Rule ID 18667 //
     /* 1537049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537088 */     // MIs[0] round
     /* 1537088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537091 */     // MIs[0] policy
     /* 1537091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537101 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537125 */     // GIR_Coverage, 18667,
     /* 1537125 */     GIR_EraseRootFromParent_Done,
     /* 1537126 */   // Label 21332: @1537126
     /* 1537126 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1537208), // Rule ID 18668 //
     /* 1537131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537170 */     // MIs[0] round
     /* 1537170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537173 */     // MIs[0] policy
     /* 1537173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537183 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537207 */     // GIR_Coverage, 18668,
     /* 1537207 */     GIR_EraseRootFromParent_Done,
     /* 1537208 */   // Label 21333: @1537208
     /* 1537208 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1537290), // Rule ID 18671 //
     /* 1537213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537252 */     // MIs[0] round
     /* 1537252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537255 */     // MIs[0] policy
     /* 1537255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537265 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537289 */     // GIR_Coverage, 18671,
     /* 1537289 */     GIR_EraseRootFromParent_Done,
     /* 1537290 */   // Label 21334: @1537290
     /* 1537290 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1537372), // Rule ID 18672 //
     /* 1537295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537334 */     // MIs[0] round
     /* 1537334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537337 */     // MIs[0] policy
     /* 1537337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537347 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537371 */     // GIR_Coverage, 18672,
     /* 1537371 */     GIR_EraseRootFromParent_Done,
     /* 1537372 */   // Label 21335: @1537372
     /* 1537372 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1537454), // Rule ID 18675 //
     /* 1537377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537416 */     // MIs[0] round
     /* 1537416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537419 */     // MIs[0] policy
     /* 1537419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537429 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537453 */     // GIR_Coverage, 18675,
     /* 1537453 */     GIR_EraseRootFromParent_Done,
     /* 1537454 */   // Label 21336: @1537454
     /* 1537454 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1537536), // Rule ID 18676 //
     /* 1537459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537498 */     // MIs[0] round
     /* 1537498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537501 */     // MIs[0] policy
     /* 1537501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537511 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537535 */     // GIR_Coverage, 18676,
     /* 1537535 */     GIR_EraseRootFromParent_Done,
     /* 1537536 */   // Label 21337: @1537536
     /* 1537536 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1537618), // Rule ID 18679 //
     /* 1537541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537580 */     // MIs[0] round
     /* 1537580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537583 */     // MIs[0] policy
     /* 1537583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537593 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1537596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537617 */     // GIR_Coverage, 18679,
     /* 1537617 */     GIR_EraseRootFromParent_Done,
     /* 1537618 */   // Label 21338: @1537618
     /* 1537618 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1537700), // Rule ID 18680 //
     /* 1537623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537662 */     // MIs[0] round
     /* 1537662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537665 */     // MIs[0] policy
     /* 1537665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1537678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537699 */     // GIR_Coverage, 18680,
     /* 1537699 */     GIR_EraseRootFromParent_Done,
     /* 1537700 */   // Label 21339: @1537700
     /* 1537700 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1537782), // Rule ID 18683 //
     /* 1537705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1537722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1537725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537744 */     // MIs[0] round
     /* 1537744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537747 */     // MIs[0] policy
     /* 1537747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1537760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537781 */     // GIR_Coverage, 18683,
     /* 1537781 */     GIR_EraseRootFromParent_Done,
     /* 1537782 */   // Label 21340: @1537782
     /* 1537782 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1537864), // Rule ID 18684 //
     /* 1537787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1537804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1537807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537826 */     // MIs[0] round
     /* 1537826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537829 */     // MIs[0] policy
     /* 1537829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537839 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1537842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537863 */     // GIR_Coverage, 18684,
     /* 1537863 */     GIR_EraseRootFromParent_Done,
     /* 1537864 */   // Label 21341: @1537864
     /* 1537864 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1537946), // Rule ID 18687 //
     /* 1537869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537908 */     // MIs[0] round
     /* 1537908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537911 */     // MIs[0] policy
     /* 1537911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537921 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1537924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537945 */     // GIR_Coverage, 18687,
     /* 1537945 */     GIR_EraseRootFromParent_Done,
     /* 1537946 */   // Label 21342: @1537946
     /* 1537946 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1538028), // Rule ID 18688 //
     /* 1537951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537990 */     // MIs[0] round
     /* 1537990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537993 */     // MIs[0] policy
     /* 1537993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538003 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1538006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538027 */     // GIR_Coverage, 18688,
     /* 1538027 */     GIR_EraseRootFromParent_Done,
     /* 1538028 */   // Label 21343: @1538028
     /* 1538028 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1538110), // Rule ID 18691 //
     /* 1538033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538072 */     // MIs[0] round
     /* 1538072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538075 */     // MIs[0] policy
     /* 1538075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538085 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538109 */     // GIR_Coverage, 18691,
     /* 1538109 */     GIR_EraseRootFromParent_Done,
     /* 1538110 */   // Label 21344: @1538110
     /* 1538110 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1538192), // Rule ID 18692 //
     /* 1538115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538154 */     // MIs[0] round
     /* 1538154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538157 */     // MIs[0] policy
     /* 1538157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538167 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538191 */     // GIR_Coverage, 18692,
     /* 1538191 */     GIR_EraseRootFromParent_Done,
     /* 1538192 */   // Label 21345: @1538192
     /* 1538192 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1538274), // Rule ID 18695 //
     /* 1538197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538236 */     // MIs[0] round
     /* 1538236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538239 */     // MIs[0] policy
     /* 1538239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538249 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538273 */     // GIR_Coverage, 18695,
     /* 1538273 */     GIR_EraseRootFromParent_Done,
     /* 1538274 */   // Label 21346: @1538274
     /* 1538274 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1538356), // Rule ID 18696 //
     /* 1538279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538318 */     // MIs[0] round
     /* 1538318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538321 */     // MIs[0] policy
     /* 1538321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538331 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538355 */     // GIR_Coverage, 18696,
     /* 1538355 */     GIR_EraseRootFromParent_Done,
     /* 1538356 */   // Label 21347: @1538356
     /* 1538356 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1538438), // Rule ID 18699 //
     /* 1538361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538400 */     // MIs[0] round
     /* 1538400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538403 */     // MIs[0] policy
     /* 1538403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538413 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538437 */     // GIR_Coverage, 18699,
     /* 1538437 */     GIR_EraseRootFromParent_Done,
     /* 1538438 */   // Label 21348: @1538438
     /* 1538438 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1538520), // Rule ID 18700 //
     /* 1538443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538482 */     // MIs[0] round
     /* 1538482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538485 */     // MIs[0] policy
     /* 1538485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538495 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538519 */     // GIR_Coverage, 18700,
     /* 1538519 */     GIR_EraseRootFromParent_Done,
     /* 1538520 */   // Label 21349: @1538520
     /* 1538520 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1538602), // Rule ID 18703 //
     /* 1538525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538564 */     // MIs[0] round
     /* 1538564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538567 */     // MIs[0] policy
     /* 1538567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538577 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1538580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538601 */     // GIR_Coverage, 18703,
     /* 1538601 */     GIR_EraseRootFromParent_Done,
     /* 1538602 */   // Label 21350: @1538602
     /* 1538602 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1538684), // Rule ID 18704 //
     /* 1538607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538646 */     // MIs[0] round
     /* 1538646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538649 */     // MIs[0] policy
     /* 1538649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538659 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1538662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538683 */     // GIR_Coverage, 18704,
     /* 1538683 */     GIR_EraseRootFromParent_Done,
     /* 1538684 */   // Label 21351: @1538684
     /* 1538684 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1538766), // Rule ID 18707 //
     /* 1538689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538728 */     // MIs[0] round
     /* 1538728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538731 */     // MIs[0] policy
     /* 1538731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538741 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1538744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538765 */     // GIR_Coverage, 18707,
     /* 1538765 */     GIR_EraseRootFromParent_Done,
     /* 1538766 */   // Label 21352: @1538766
     /* 1538766 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1538848), // Rule ID 18708 //
     /* 1538771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538810 */     // MIs[0] round
     /* 1538810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538813 */     // MIs[0] policy
     /* 1538813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538823 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1538826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538847 */     // GIR_Coverage, 18708,
     /* 1538847 */     GIR_EraseRootFromParent_Done,
     /* 1538848 */   // Label 21353: @1538848
     /* 1538848 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1538930), // Rule ID 18711 //
     /* 1538853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538892 */     // MIs[0] round
     /* 1538892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538895 */     // MIs[0] policy
     /* 1538895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538905 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1538908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538929 */     // GIR_Coverage, 18711,
     /* 1538929 */     GIR_EraseRootFromParent_Done,
     /* 1538930 */   // Label 21354: @1538930
     /* 1538930 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1539012), // Rule ID 18712 //
     /* 1538935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538974 */     // MIs[0] round
     /* 1538974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538977 */     // MIs[0] policy
     /* 1538977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538987 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1538990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539011 */     // GIR_Coverage, 18712,
     /* 1539011 */     GIR_EraseRootFromParent_Done,
     /* 1539012 */   // Label 21355: @1539012
     /* 1539012 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1539094), // Rule ID 18715 //
     /* 1539017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539056 */     // MIs[0] round
     /* 1539056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539059 */     // MIs[0] policy
     /* 1539059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539093 */     // GIR_Coverage, 18715,
     /* 1539093 */     GIR_EraseRootFromParent_Done,
     /* 1539094 */   // Label 21356: @1539094
     /* 1539094 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1539176), // Rule ID 18716 //
     /* 1539099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539138 */     // MIs[0] round
     /* 1539138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539141 */     // MIs[0] policy
     /* 1539141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539175 */     // GIR_Coverage, 18716,
     /* 1539175 */     GIR_EraseRootFromParent_Done,
     /* 1539176 */   // Label 21357: @1539176
     /* 1539176 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1539258), // Rule ID 18719 //
     /* 1539181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539220 */     // MIs[0] round
     /* 1539220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539223 */     // MIs[0] policy
     /* 1539223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539233 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539257 */     // GIR_Coverage, 18719,
     /* 1539257 */     GIR_EraseRootFromParent_Done,
     /* 1539258 */   // Label 21358: @1539258
     /* 1539258 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1539340), // Rule ID 18720 //
     /* 1539263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539302 */     // MIs[0] round
     /* 1539302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539305 */     // MIs[0] policy
     /* 1539305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539315 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539339 */     // GIR_Coverage, 18720,
     /* 1539339 */     GIR_EraseRootFromParent_Done,
     /* 1539340 */   // Label 21359: @1539340
     /* 1539340 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1539422), // Rule ID 18723 //
     /* 1539345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539384 */     // MIs[0] round
     /* 1539384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539387 */     // MIs[0] policy
     /* 1539387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539397 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539421 */     // GIR_Coverage, 18723,
     /* 1539421 */     GIR_EraseRootFromParent_Done,
     /* 1539422 */   // Label 21360: @1539422
     /* 1539422 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1539504), // Rule ID 18724 //
     /* 1539427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539466 */     // MIs[0] round
     /* 1539466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539469 */     // MIs[0] policy
     /* 1539469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539479 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539503 */     // GIR_Coverage, 18724,
     /* 1539503 */     GIR_EraseRootFromParent_Done,
     /* 1539504 */   // Label 21361: @1539504
     /* 1539504 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1539586), // Rule ID 18727 //
     /* 1539509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539548 */     // MIs[0] round
     /* 1539548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539551 */     // MIs[0] policy
     /* 1539551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539561 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1539564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539585 */     // GIR_Coverage, 18727,
     /* 1539585 */     GIR_EraseRootFromParent_Done,
     /* 1539586 */   // Label 21362: @1539586
     /* 1539586 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1539668), // Rule ID 18728 //
     /* 1539591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539630 */     // MIs[0] round
     /* 1539630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539633 */     // MIs[0] policy
     /* 1539633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539643 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1539646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539667 */     // GIR_Coverage, 18728,
     /* 1539667 */     GIR_EraseRootFromParent_Done,
     /* 1539668 */   // Label 21363: @1539668
     /* 1539668 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1539750), // Rule ID 18731 //
     /* 1539673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1539690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539712 */     // MIs[0] round
     /* 1539712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539715 */     // MIs[0] policy
     /* 1539715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539725 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1539728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539749 */     // GIR_Coverage, 18731,
     /* 1539749 */     GIR_EraseRootFromParent_Done,
     /* 1539750 */   // Label 21364: @1539750
     /* 1539750 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1539832), // Rule ID 18732 //
     /* 1539755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1539772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539794 */     // MIs[0] round
     /* 1539794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539797 */     // MIs[0] policy
     /* 1539797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539807 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1539810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539831 */     // GIR_Coverage, 18732,
     /* 1539831 */     GIR_EraseRootFromParent_Done,
     /* 1539832 */   // Label 21365: @1539832
     /* 1539832 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1539914), // Rule ID 18735 //
     /* 1539837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1539857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539876 */     // MIs[0] round
     /* 1539876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539879 */     // MIs[0] policy
     /* 1539879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539889 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1539892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539913 */     // GIR_Coverage, 18735,
     /* 1539913 */     GIR_EraseRootFromParent_Done,
     /* 1539914 */   // Label 21366: @1539914
     /* 1539914 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1539996), // Rule ID 18736 //
     /* 1539919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1539939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539958 */     // MIs[0] round
     /* 1539958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539961 */     // MIs[0] policy
     /* 1539961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539971 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1539974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539995 */     // GIR_Coverage, 18736,
     /* 1539995 */     GIR_EraseRootFromParent_Done,
     /* 1539996 */   // Label 21367: @1539996
     /* 1539996 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1540078), // Rule ID 18739 //
     /* 1540001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540040 */     // MIs[0] round
     /* 1540040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540043 */     // MIs[0] policy
     /* 1540043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540053 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540077 */     // GIR_Coverage, 18739,
     /* 1540077 */     GIR_EraseRootFromParent_Done,
     /* 1540078 */   // Label 21368: @1540078
     /* 1540078 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1540160), // Rule ID 18740 //
     /* 1540083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540122 */     // MIs[0] round
     /* 1540122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540125 */     // MIs[0] policy
     /* 1540125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540135 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540159 */     // GIR_Coverage, 18740,
     /* 1540159 */     GIR_EraseRootFromParent_Done,
     /* 1540160 */   // Label 21369: @1540160
     /* 1540160 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1540242), // Rule ID 18743 //
     /* 1540165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540204 */     // MIs[0] round
     /* 1540204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540207 */     // MIs[0] policy
     /* 1540207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540217 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540241 */     // GIR_Coverage, 18743,
     /* 1540241 */     GIR_EraseRootFromParent_Done,
     /* 1540242 */   // Label 21370: @1540242
     /* 1540242 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1540324), // Rule ID 18744 //
     /* 1540247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540286 */     // MIs[0] round
     /* 1540286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540289 */     // MIs[0] policy
     /* 1540289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540299 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540323 */     // GIR_Coverage, 18744,
     /* 1540323 */     GIR_EraseRootFromParent_Done,
     /* 1540324 */   // Label 21371: @1540324
     /* 1540324 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1540406), // Rule ID 18747 //
     /* 1540329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540368 */     // MIs[0] round
     /* 1540368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540371 */     // MIs[0] policy
     /* 1540371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540381 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540405 */     // GIR_Coverage, 18747,
     /* 1540405 */     GIR_EraseRootFromParent_Done,
     /* 1540406 */   // Label 21372: @1540406
     /* 1540406 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1540488), // Rule ID 18748 //
     /* 1540411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540450 */     // MIs[0] round
     /* 1540450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540453 */     // MIs[0] policy
     /* 1540453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540463 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540487 */     // GIR_Coverage, 18748,
     /* 1540487 */     GIR_EraseRootFromParent_Done,
     /* 1540488 */   // Label 21373: @1540488
     /* 1540488 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1540570), // Rule ID 18751 //
     /* 1540493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540532 */     // MIs[0] round
     /* 1540532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540535 */     // MIs[0] policy
     /* 1540535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540545 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1540548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540569 */     // GIR_Coverage, 18751,
     /* 1540569 */     GIR_EraseRootFromParent_Done,
     /* 1540570 */   // Label 21374: @1540570
     /* 1540570 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1540652), // Rule ID 18752 //
     /* 1540575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540614 */     // MIs[0] round
     /* 1540614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540617 */     // MIs[0] policy
     /* 1540617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1540630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540651 */     // GIR_Coverage, 18752,
     /* 1540651 */     GIR_EraseRootFromParent_Done,
     /* 1540652 */   // Label 21375: @1540652
     /* 1540652 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1540734), // Rule ID 18755 //
     /* 1540657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540696 */     // MIs[0] round
     /* 1540696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540699 */     // MIs[0] policy
     /* 1540699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540709 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1540712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540733 */     // GIR_Coverage, 18755,
     /* 1540733 */     GIR_EraseRootFromParent_Done,
     /* 1540734 */   // Label 21376: @1540734
     /* 1540734 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1540816), // Rule ID 18756 //
     /* 1540739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540778 */     // MIs[0] round
     /* 1540778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540781 */     // MIs[0] policy
     /* 1540781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540791 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1540794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540815 */     // GIR_Coverage, 18756,
     /* 1540815 */     GIR_EraseRootFromParent_Done,
     /* 1540816 */   // Label 21377: @1540816
     /* 1540816 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1540898), // Rule ID 18759 //
     /* 1540821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1540838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540860 */     // MIs[0] round
     /* 1540860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540863 */     // MIs[0] policy
     /* 1540863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540873 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1540876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540897 */     // GIR_Coverage, 18759,
     /* 1540897 */     GIR_EraseRootFromParent_Done,
     /* 1540898 */   // Label 21378: @1540898
     /* 1540898 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1540980), // Rule ID 18760 //
     /* 1540903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1540920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540942 */     // MIs[0] round
     /* 1540942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540945 */     // MIs[0] policy
     /* 1540945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540955 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1540958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540979 */     // GIR_Coverage, 18760,
     /* 1540979 */     GIR_EraseRootFromParent_Done,
     /* 1540980 */   // Label 21379: @1540980
     /* 1540980 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1541062), // Rule ID 18763 //
     /* 1540985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541024 */     // MIs[0] round
     /* 1541024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541027 */     // MIs[0] policy
     /* 1541027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541037 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1541040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541061 */     // GIR_Coverage, 18763,
     /* 1541061 */     GIR_EraseRootFromParent_Done,
     /* 1541062 */   // Label 21380: @1541062
     /* 1541062 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1541144), // Rule ID 18764 //
     /* 1541067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541106 */     // MIs[0] round
     /* 1541106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541109 */     // MIs[0] policy
     /* 1541109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541119 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1541122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541143 */     // GIR_Coverage, 18764,
     /* 1541143 */     GIR_EraseRootFromParent_Done,
     /* 1541144 */   // Label 21381: @1541144
     /* 1541144 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1541226), // Rule ID 18767 //
     /* 1541149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541188 */     // MIs[0] round
     /* 1541188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541191 */     // MIs[0] policy
     /* 1541191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541201 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541225 */     // GIR_Coverage, 18767,
     /* 1541225 */     GIR_EraseRootFromParent_Done,
     /* 1541226 */   // Label 21382: @1541226
     /* 1541226 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1541308), // Rule ID 18768 //
     /* 1541231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541270 */     // MIs[0] round
     /* 1541270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541273 */     // MIs[0] policy
     /* 1541273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541283 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541307 */     // GIR_Coverage, 18768,
     /* 1541307 */     GIR_EraseRootFromParent_Done,
     /* 1541308 */   // Label 21383: @1541308
     /* 1541308 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1541390), // Rule ID 18771 //
     /* 1541313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541352 */     // MIs[0] round
     /* 1541352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541355 */     // MIs[0] policy
     /* 1541355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541365 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541389 */     // GIR_Coverage, 18771,
     /* 1541389 */     GIR_EraseRootFromParent_Done,
     /* 1541390 */   // Label 21384: @1541390
     /* 1541390 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1541472), // Rule ID 18772 //
     /* 1541395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541434 */     // MIs[0] round
     /* 1541434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541437 */     // MIs[0] policy
     /* 1541437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541447 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541471 */     // GIR_Coverage, 18772,
     /* 1541471 */     GIR_EraseRootFromParent_Done,
     /* 1541472 */   // Label 21385: @1541472
     /* 1541472 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1541554), // Rule ID 18775 //
     /* 1541477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541516 */     // MIs[0] round
     /* 1541516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541519 */     // MIs[0] policy
     /* 1541519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541529 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1541532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541553 */     // GIR_Coverage, 18775,
     /* 1541553 */     GIR_EraseRootFromParent_Done,
     /* 1541554 */   // Label 21386: @1541554
     /* 1541554 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1541636), // Rule ID 18776 //
     /* 1541559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541598 */     // MIs[0] round
     /* 1541598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541601 */     // MIs[0] policy
     /* 1541601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1541614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541635 */     // GIR_Coverage, 18776,
     /* 1541635 */     GIR_EraseRootFromParent_Done,
     /* 1541636 */   // Label 21387: @1541636
     /* 1541636 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1541718), // Rule ID 18779 //
     /* 1541641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541680 */     // MIs[0] round
     /* 1541680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541683 */     // MIs[0] policy
     /* 1541683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541693 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1541696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541717 */     // GIR_Coverage, 18779,
     /* 1541717 */     GIR_EraseRootFromParent_Done,
     /* 1541718 */   // Label 21388: @1541718
     /* 1541718 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1541800), // Rule ID 18780 //
     /* 1541723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541762 */     // MIs[0] round
     /* 1541762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541765 */     // MIs[0] policy
     /* 1541765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541775 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1541778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541799 */     // GIR_Coverage, 18780,
     /* 1541799 */     GIR_EraseRootFromParent_Done,
     /* 1541800 */   // Label 21389: @1541800
     /* 1541800 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1541882), // Rule ID 18783 //
     /* 1541805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541844 */     // MIs[0] round
     /* 1541844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541847 */     // MIs[0] policy
     /* 1541847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541857 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1541860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541881 */     // GIR_Coverage, 18783,
     /* 1541881 */     GIR_EraseRootFromParent_Done,
     /* 1541882 */   // Label 21390: @1541882
     /* 1541882 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1541964), // Rule ID 18784 //
     /* 1541887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541926 */     // MIs[0] round
     /* 1541926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541929 */     // MIs[0] policy
     /* 1541929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541939 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1541942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541963 */     // GIR_Coverage, 18784,
     /* 1541963 */     GIR_EraseRootFromParent_Done,
     /* 1541964 */   // Label 21391: @1541964
     /* 1541964 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1542046), // Rule ID 18787 //
     /* 1541969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1541980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1541983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1541989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542008 */     // MIs[0] round
     /* 1542008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542011 */     // MIs[0] policy
     /* 1542011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542021 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1542024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542045 */     // GIR_Coverage, 18787,
     /* 1542045 */     GIR_EraseRootFromParent_Done,
     /* 1542046 */   // Label 21392: @1542046
     /* 1542046 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1542128), // Rule ID 18788 //
     /* 1542051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542090 */     // MIs[0] round
     /* 1542090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542093 */     // MIs[0] policy
     /* 1542093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1542106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542127 */     // GIR_Coverage, 18788,
     /* 1542127 */     GIR_EraseRootFromParent_Done,
     /* 1542128 */   // Label 21393: @1542128
     /* 1542128 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1542210), // Rule ID 18791 //
     /* 1542133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542172 */     // MIs[0] round
     /* 1542172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542175 */     // MIs[0] policy
     /* 1542175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542185 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542209 */     // GIR_Coverage, 18791,
     /* 1542209 */     GIR_EraseRootFromParent_Done,
     /* 1542210 */   // Label 21394: @1542210
     /* 1542210 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1542292), // Rule ID 18792 //
     /* 1542215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542254 */     // MIs[0] round
     /* 1542254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542257 */     // MIs[0] policy
     /* 1542257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542267 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542291 */     // GIR_Coverage, 18792,
     /* 1542291 */     GIR_EraseRootFromParent_Done,
     /* 1542292 */   // Label 21395: @1542292
     /* 1542292 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1542374), // Rule ID 18795 //
     /* 1542297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542336 */     // MIs[0] round
     /* 1542336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542339 */     // MIs[0] policy
     /* 1542339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542349 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542373 */     // GIR_Coverage, 18795,
     /* 1542373 */     GIR_EraseRootFromParent_Done,
     /* 1542374 */   // Label 21396: @1542374
     /* 1542374 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1542456), // Rule ID 18796 //
     /* 1542379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542418 */     // MIs[0] round
     /* 1542418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542421 */     // MIs[0] policy
     /* 1542421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542431 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542455 */     // GIR_Coverage, 18796,
     /* 1542455 */     GIR_EraseRootFromParent_Done,
     /* 1542456 */   // Label 21397: @1542456
     /* 1542456 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1542538), // Rule ID 18799 //
     /* 1542461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542500 */     // MIs[0] round
     /* 1542500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542503 */     // MIs[0] policy
     /* 1542503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542513 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542537 */     // GIR_Coverage, 18799,
     /* 1542537 */     GIR_EraseRootFromParent_Done,
     /* 1542538 */   // Label 21398: @1542538
     /* 1542538 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1542620), // Rule ID 18800 //
     /* 1542543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542582 */     // MIs[0] round
     /* 1542582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542585 */     // MIs[0] policy
     /* 1542585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542595 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542619 */     // GIR_Coverage, 18800,
     /* 1542619 */     GIR_EraseRootFromParent_Done,
     /* 1542620 */   // Label 21399: @1542620
     /* 1542620 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1542702), // Rule ID 18803 //
     /* 1542625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1542642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542664 */     // MIs[0] round
     /* 1542664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542667 */     // MIs[0] policy
     /* 1542667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542677 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1542680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542701 */     // GIR_Coverage, 18803,
     /* 1542701 */     GIR_EraseRootFromParent_Done,
     /* 1542702 */   // Label 21400: @1542702
     /* 1542702 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1542784), // Rule ID 18804 //
     /* 1542707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1542724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542746 */     // MIs[0] round
     /* 1542746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542749 */     // MIs[0] policy
     /* 1542749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542759 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1542762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542783 */     // GIR_Coverage, 18804,
     /* 1542783 */     GIR_EraseRootFromParent_Done,
     /* 1542784 */   // Label 21401: @1542784
     /* 1542784 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1542866), // Rule ID 18807 //
     /* 1542789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542828 */     // MIs[0] round
     /* 1542828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542831 */     // MIs[0] policy
     /* 1542831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542841 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1542844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542852 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542865 */     // GIR_Coverage, 18807,
     /* 1542865 */     GIR_EraseRootFromParent_Done,
     /* 1542866 */   // Label 21402: @1542866
     /* 1542866 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1542948), // Rule ID 18808 //
     /* 1542871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542910 */     // MIs[0] round
     /* 1542910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542913 */     // MIs[0] policy
     /* 1542913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542923 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1542926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542947 */     // GIR_Coverage, 18808,
     /* 1542947 */     GIR_EraseRootFromParent_Done,
     /* 1542948 */   // Label 21403: @1542948
     /* 1542948 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1543030), // Rule ID 18811 //
     /* 1542953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1542970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1542973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542992 */     // MIs[0] round
     /* 1542992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542995 */     // MIs[0] policy
     /* 1542995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543005 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1543008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543029 */     // GIR_Coverage, 18811,
     /* 1543029 */     GIR_EraseRootFromParent_Done,
     /* 1543030 */   // Label 21404: @1543030
     /* 1543030 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1543112), // Rule ID 18812 //
     /* 1543035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543074 */     // MIs[0] round
     /* 1543074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543077 */     // MIs[0] policy
     /* 1543077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1543090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543111 */     // GIR_Coverage, 18812,
     /* 1543111 */     GIR_EraseRootFromParent_Done,
     /* 1543112 */   // Label 21405: @1543112
     /* 1543112 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1543194), // Rule ID 18815 //
     /* 1543117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543156 */     // MIs[0] round
     /* 1543156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543159 */     // MIs[0] policy
     /* 1543159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543169 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543193 */     // GIR_Coverage, 18815,
     /* 1543193 */     GIR_EraseRootFromParent_Done,
     /* 1543194 */   // Label 21406: @1543194
     /* 1543194 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1543276), // Rule ID 18816 //
     /* 1543199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543238 */     // MIs[0] round
     /* 1543238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543241 */     // MIs[0] policy
     /* 1543241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543251 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543275 */     // GIR_Coverage, 18816,
     /* 1543275 */     GIR_EraseRootFromParent_Done,
     /* 1543276 */   // Label 21407: @1543276
     /* 1543276 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1543358), // Rule ID 18819 //
     /* 1543281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543320 */     // MIs[0] round
     /* 1543320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543323 */     // MIs[0] policy
     /* 1543323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543333 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543357 */     // GIR_Coverage, 18819,
     /* 1543357 */     GIR_EraseRootFromParent_Done,
     /* 1543358 */   // Label 21408: @1543358
     /* 1543358 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1543440), // Rule ID 18820 //
     /* 1543363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543402 */     // MIs[0] round
     /* 1543402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543405 */     // MIs[0] policy
     /* 1543405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543415 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543439 */     // GIR_Coverage, 18820,
     /* 1543439 */     GIR_EraseRootFromParent_Done,
     /* 1543440 */   // Label 21409: @1543440
     /* 1543440 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1543522), // Rule ID 18823 //
     /* 1543445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543484 */     // MIs[0] round
     /* 1543484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543487 */     // MIs[0] policy
     /* 1543487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543497 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543521 */     // GIR_Coverage, 18823,
     /* 1543521 */     GIR_EraseRootFromParent_Done,
     /* 1543522 */   // Label 21410: @1543522
     /* 1543522 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1543604), // Rule ID 18824 //
     /* 1543527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543566 */     // MIs[0] round
     /* 1543566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543569 */     // MIs[0] policy
     /* 1543569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543579 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543603 */     // GIR_Coverage, 18824,
     /* 1543603 */     GIR_EraseRootFromParent_Done,
     /* 1543604 */   // Label 21411: @1543604
     /* 1543604 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1543686), // Rule ID 18827 //
     /* 1543609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1543626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543648 */     // MIs[0] round
     /* 1543648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543651 */     // MIs[0] policy
     /* 1543651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543661 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1543664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543685 */     // GIR_Coverage, 18827,
     /* 1543685 */     GIR_EraseRootFromParent_Done,
     /* 1543686 */   // Label 21412: @1543686
     /* 1543686 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1543768), // Rule ID 18828 //
     /* 1543691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1543708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543730 */     // MIs[0] round
     /* 1543730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543733 */     // MIs[0] policy
     /* 1543733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543743 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1543746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543767 */     // GIR_Coverage, 18828,
     /* 1543767 */     GIR_EraseRootFromParent_Done,
     /* 1543768 */   // Label 21413: @1543768
     /* 1543768 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1543850), // Rule ID 18831 //
     /* 1543773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543812 */     // MIs[0] round
     /* 1543812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543815 */     // MIs[0] policy
     /* 1543815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543825 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1543828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543849 */     // GIR_Coverage, 18831,
     /* 1543849 */     GIR_EraseRootFromParent_Done,
     /* 1543850 */   // Label 21414: @1543850
     /* 1543850 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1543932), // Rule ID 18832 //
     /* 1543855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543894 */     // MIs[0] round
     /* 1543894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543897 */     // MIs[0] policy
     /* 1543897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1543910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543931 */     // GIR_Coverage, 18832,
     /* 1543931 */     GIR_EraseRootFromParent_Done,
     /* 1543932 */   // Label 21415: @1543932
     /* 1543932 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1544014), // Rule ID 18835 //
     /* 1543937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1543954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1543957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543976 */     // MIs[0] round
     /* 1543976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543979 */     // MIs[0] policy
     /* 1543979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543989 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1543992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544013 */     // GIR_Coverage, 18835,
     /* 1544013 */     GIR_EraseRootFromParent_Done,
     /* 1544014 */   // Label 21416: @1544014
     /* 1544014 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1544096), // Rule ID 18836 //
     /* 1544019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544058 */     // MIs[0] round
     /* 1544058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544061 */     // MIs[0] policy
     /* 1544061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544071 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1544074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544095 */     // GIR_Coverage, 18836,
     /* 1544095 */     GIR_EraseRootFromParent_Done,
     /* 1544096 */   // Label 21417: @1544096
     /* 1544096 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1544178), // Rule ID 18839 //
     /* 1544101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544140 */     // MIs[0] round
     /* 1544140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544143 */     // MIs[0] policy
     /* 1544143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544153 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544177 */     // GIR_Coverage, 18839,
     /* 1544177 */     GIR_EraseRootFromParent_Done,
     /* 1544178 */   // Label 21418: @1544178
     /* 1544178 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1544260), // Rule ID 18840 //
     /* 1544183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544222 */     // MIs[0] round
     /* 1544222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544225 */     // MIs[0] policy
     /* 1544225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544235 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544259 */     // GIR_Coverage, 18840,
     /* 1544259 */     GIR_EraseRootFromParent_Done,
     /* 1544260 */   // Label 21419: @1544260
     /* 1544260 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1544342), // Rule ID 18843 //
     /* 1544265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544304 */     // MIs[0] round
     /* 1544304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544307 */     // MIs[0] policy
     /* 1544307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544317 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544341 */     // GIR_Coverage, 18843,
     /* 1544341 */     GIR_EraseRootFromParent_Done,
     /* 1544342 */   // Label 21420: @1544342
     /* 1544342 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1544424), // Rule ID 18844 //
     /* 1544347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544386 */     // MIs[0] round
     /* 1544386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544389 */     // MIs[0] policy
     /* 1544389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544399 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544423 */     // GIR_Coverage, 18844,
     /* 1544423 */     GIR_EraseRootFromParent_Done,
     /* 1544424 */   // Label 21421: @1544424
     /* 1544424 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1544506), // Rule ID 18847 //
     /* 1544429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544468 */     // MIs[0] round
     /* 1544468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544471 */     // MIs[0] policy
     /* 1544471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544481 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544505 */     // GIR_Coverage, 18847,
     /* 1544505 */     GIR_EraseRootFromParent_Done,
     /* 1544506 */   // Label 21422: @1544506
     /* 1544506 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1544588), // Rule ID 18848 //
     /* 1544511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544550 */     // MIs[0] round
     /* 1544550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544553 */     // MIs[0] policy
     /* 1544553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544587 */     // GIR_Coverage, 18848,
     /* 1544587 */     GIR_EraseRootFromParent_Done,
     /* 1544588 */   // Label 21423: @1544588
     /* 1544588 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1544670), // Rule ID 18851 //
     /* 1544593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544632 */     // MIs[0] round
     /* 1544632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544635 */     // MIs[0] policy
     /* 1544635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544645 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1544648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544669 */     // GIR_Coverage, 18851,
     /* 1544669 */     GIR_EraseRootFromParent_Done,
     /* 1544670 */   // Label 21424: @1544670
     /* 1544670 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1544752), // Rule ID 18852 //
     /* 1544675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544714 */     // MIs[0] round
     /* 1544714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544717 */     // MIs[0] policy
     /* 1544717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544727 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1544730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544751 */     // GIR_Coverage, 18852,
     /* 1544751 */     GIR_EraseRootFromParent_Done,
     /* 1544752 */   // Label 21425: @1544752
     /* 1544752 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1544834), // Rule ID 18855 //
     /* 1544757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544796 */     // MIs[0] round
     /* 1544796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544799 */     // MIs[0] policy
     /* 1544799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544809 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1544812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544833 */     // GIR_Coverage, 18855,
     /* 1544833 */     GIR_EraseRootFromParent_Done,
     /* 1544834 */   // Label 21426: @1544834
     /* 1544834 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1544916), // Rule ID 18856 //
     /* 1544839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544878 */     // MIs[0] round
     /* 1544878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544881 */     // MIs[0] policy
     /* 1544881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544891 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1544894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544915 */     // GIR_Coverage, 18856,
     /* 1544915 */     GIR_EraseRootFromParent_Done,
     /* 1544916 */   // Label 21427: @1544916
     /* 1544916 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1544998), // Rule ID 18859 //
     /* 1544921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1544932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1544935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1544941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544960 */     // MIs[0] round
     /* 1544960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544963 */     // MIs[0] policy
     /* 1544963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544973 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1544976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544997 */     // GIR_Coverage, 18859,
     /* 1544997 */     GIR_EraseRootFromParent_Done,
     /* 1544998 */   // Label 21428: @1544998
     /* 1544998 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1545080), // Rule ID 18860 //
     /* 1545003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545042 */     // MIs[0] round
     /* 1545042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545045 */     // MIs[0] policy
     /* 1545045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545055 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1545058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545079 */     // GIR_Coverage, 18860,
     /* 1545079 */     GIR_EraseRootFromParent_Done,
     /* 1545080 */   // Label 21429: @1545080
     /* 1545080 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1545162), // Rule ID 18863 //
     /* 1545085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545124 */     // MIs[0] round
     /* 1545124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545127 */     // MIs[0] policy
     /* 1545127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545137 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545161 */     // GIR_Coverage, 18863,
     /* 1545161 */     GIR_EraseRootFromParent_Done,
     /* 1545162 */   // Label 21430: @1545162
     /* 1545162 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1545244), // Rule ID 18864 //
     /* 1545167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545206 */     // MIs[0] round
     /* 1545206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545209 */     // MIs[0] policy
     /* 1545209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545243 */     // GIR_Coverage, 18864,
     /* 1545243 */     GIR_EraseRootFromParent_Done,
     /* 1545244 */   // Label 21431: @1545244
     /* 1545244 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1545326), // Rule ID 18867 //
     /* 1545249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545288 */     // MIs[0] round
     /* 1545288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545291 */     // MIs[0] policy
     /* 1545291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545301 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545325 */     // GIR_Coverage, 18867,
     /* 1545325 */     GIR_EraseRootFromParent_Done,
     /* 1545326 */   // Label 21432: @1545326
     /* 1545326 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1545408), // Rule ID 18868 //
     /* 1545331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545370 */     // MIs[0] round
     /* 1545370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545373 */     // MIs[0] policy
     /* 1545373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545383 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545407 */     // GIR_Coverage, 18868,
     /* 1545407 */     GIR_EraseRootFromParent_Done,
     /* 1545408 */   // Label 21433: @1545408
     /* 1545408 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1545490), // Rule ID 18871 //
     /* 1545413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545452 */     // MIs[0] round
     /* 1545452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545455 */     // MIs[0] policy
     /* 1545455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545465 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545489 */     // GIR_Coverage, 18871,
     /* 1545489 */     GIR_EraseRootFromParent_Done,
     /* 1545490 */   // Label 21434: @1545490
     /* 1545490 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1545572), // Rule ID 18872 //
     /* 1545495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545534 */     // MIs[0] round
     /* 1545534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545537 */     // MIs[0] policy
     /* 1545537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545571 */     // GIR_Coverage, 18872,
     /* 1545571 */     GIR_EraseRootFromParent_Done,
     /* 1545572 */   // Label 21435: @1545572
     /* 1545572 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1545654), // Rule ID 18877 //
     /* 1545577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1545588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1545591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545616 */     // MIs[0] round
     /* 1545616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545619 */     // MIs[0] policy
     /* 1545619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545629 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1545632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545653 */     // GIR_Coverage, 18877,
     /* 1545653 */     GIR_EraseRootFromParent_Done,
     /* 1545654 */   // Label 21436: @1545654
     /* 1545654 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1545736), // Rule ID 18878 //
     /* 1545659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1545662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1545670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1545673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545698 */     // MIs[0] round
     /* 1545698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545701 */     // MIs[0] policy
     /* 1545701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545711 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1545714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545735 */     // GIR_Coverage, 18878,
     /* 1545735 */     GIR_EraseRootFromParent_Done,
     /* 1545736 */   // Label 21437: @1545736
     /* 1545736 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1545818), // Rule ID 18881 //
     /* 1545741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1545744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545780 */     // MIs[0] round
     /* 1545780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545783 */     // MIs[0] policy
     /* 1545783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545793 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1545796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545817 */     // GIR_Coverage, 18881,
     /* 1545817 */     GIR_EraseRootFromParent_Done,
     /* 1545818 */   // Label 21438: @1545818
     /* 1545818 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1545900), // Rule ID 18882 //
     /* 1545823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1545826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545862 */     // MIs[0] round
     /* 1545862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545865 */     // MIs[0] policy
     /* 1545865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545875 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1545878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545899 */     // GIR_Coverage, 18882,
     /* 1545899 */     GIR_EraseRootFromParent_Done,
     /* 1545900 */   // Label 21439: @1545900
     /* 1545900 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1545982), // Rule ID 18885 //
     /* 1545905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1545916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1545919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1545922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545944 */     // MIs[0] round
     /* 1545944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545947 */     // MIs[0] policy
     /* 1545947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545957 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1545960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545981 */     // GIR_Coverage, 18885,
     /* 1545981 */     GIR_EraseRootFromParent_Done,
     /* 1545982 */   // Label 21440: @1545982
     /* 1545982 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1546064), // Rule ID 18886 //
     /* 1545987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1545990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1545998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1546001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546026 */     // MIs[0] round
     /* 1546026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546029 */     // MIs[0] policy
     /* 1546029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546039 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1546042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546063 */     // GIR_Coverage, 18886,
     /* 1546063 */     GIR_EraseRootFromParent_Done,
     /* 1546064 */   // Label 21441: @1546064
     /* 1546064 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1546146), // Rule ID 18889 //
     /* 1546069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546108 */     // MIs[0] round
     /* 1546108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546111 */     // MIs[0] policy
     /* 1546111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546121 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546145 */     // GIR_Coverage, 18889,
     /* 1546145 */     GIR_EraseRootFromParent_Done,
     /* 1546146 */   // Label 21442: @1546146
     /* 1546146 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1546228), // Rule ID 18890 //
     /* 1546151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546190 */     // MIs[0] round
     /* 1546190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546193 */     // MIs[0] policy
     /* 1546193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546227 */     // GIR_Coverage, 18890,
     /* 1546227 */     GIR_EraseRootFromParent_Done,
     /* 1546228 */   // Label 21443: @1546228
     /* 1546228 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1546310), // Rule ID 18893 //
     /* 1546233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1546236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546272 */     // MIs[0] round
     /* 1546272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546275 */     // MIs[0] policy
     /* 1546275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546285 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546309 */     // GIR_Coverage, 18893,
     /* 1546309 */     GIR_EraseRootFromParent_Done,
     /* 1546310 */   // Label 21444: @1546310
     /* 1546310 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1546392), // Rule ID 18894 //
     /* 1546315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1546318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546354 */     // MIs[0] round
     /* 1546354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546357 */     // MIs[0] policy
     /* 1546357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546367 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546391 */     // GIR_Coverage, 18894,
     /* 1546391 */     GIR_EraseRootFromParent_Done,
     /* 1546392 */   // Label 21445: @1546392
     /* 1546392 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1546474), // Rule ID 18897 //
     /* 1546397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546436 */     // MIs[0] round
     /* 1546436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546439 */     // MIs[0] policy
     /* 1546439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546449 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546473 */     // GIR_Coverage, 18897,
     /* 1546473 */     GIR_EraseRootFromParent_Done,
     /* 1546474 */   // Label 21446: @1546474
     /* 1546474 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1546556), // Rule ID 18898 //
     /* 1546479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546518 */     // MIs[0] round
     /* 1546518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546521 */     // MIs[0] policy
     /* 1546521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546531 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546555 */     // GIR_Coverage, 18898,
     /* 1546555 */     GIR_EraseRootFromParent_Done,
     /* 1546556 */   // Label 21447: @1546556
     /* 1546556 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1546638), // Rule ID 18901 //
     /* 1546561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546600 */     // MIs[0] round
     /* 1546600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546603 */     // MIs[0] policy
     /* 1546603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546613 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1546616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546637 */     // GIR_Coverage, 18901,
     /* 1546637 */     GIR_EraseRootFromParent_Done,
     /* 1546638 */   // Label 21448: @1546638
     /* 1546638 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1546720), // Rule ID 18902 //
     /* 1546643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546682 */     // MIs[0] round
     /* 1546682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546685 */     // MIs[0] policy
     /* 1546685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546695 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1546698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546719 */     // GIR_Coverage, 18902,
     /* 1546719 */     GIR_EraseRootFromParent_Done,
     /* 1546720 */   // Label 21449: @1546720
     /* 1546720 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1546802), // Rule ID 18905 //
     /* 1546725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1546736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1546739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1546742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1546745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546764 */     // MIs[0] round
     /* 1546764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546767 */     // MIs[0] policy
     /* 1546767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546777 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1546780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546801 */     // GIR_Coverage, 18905,
     /* 1546801 */     GIR_EraseRootFromParent_Done,
     /* 1546802 */   // Label 21450: @1546802
     /* 1546802 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1546884), // Rule ID 18906 //
     /* 1546807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1546818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1546821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1546824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1546827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546846 */     // MIs[0] round
     /* 1546846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546849 */     // MIs[0] policy
     /* 1546849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546859 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1546862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546883 */     // GIR_Coverage, 18906,
     /* 1546883 */     GIR_EraseRootFromParent_Done,
     /* 1546884 */   // Label 21451: @1546884
     /* 1546884 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1546966), // Rule ID 18909 //
     /* 1546889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546928 */     // MIs[0] round
     /* 1546928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546931 */     // MIs[0] policy
     /* 1546931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546941 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1546944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546965 */     // GIR_Coverage, 18909,
     /* 1546965 */     GIR_EraseRootFromParent_Done,
     /* 1546966 */   // Label 21452: @1546966
     /* 1546966 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1547048), // Rule ID 18910 //
     /* 1546971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547010 */     // MIs[0] round
     /* 1547010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547013 */     // MIs[0] policy
     /* 1547013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547023 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1547026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547047 */     // GIR_Coverage, 18910,
     /* 1547047 */     GIR_EraseRootFromParent_Done,
     /* 1547048 */   // Label 21453: @1547048
     /* 1547048 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1547130), // Rule ID 18913 //
     /* 1547053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547092 */     // MIs[0] round
     /* 1547092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547095 */     // MIs[0] policy
     /* 1547095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547105 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547129 */     // GIR_Coverage, 18913,
     /* 1547129 */     GIR_EraseRootFromParent_Done,
     /* 1547130 */   // Label 21454: @1547130
     /* 1547130 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1547212), // Rule ID 18914 //
     /* 1547135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547174 */     // MIs[0] round
     /* 1547174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547177 */     // MIs[0] policy
     /* 1547177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547211 */     // GIR_Coverage, 18914,
     /* 1547211 */     GIR_EraseRootFromParent_Done,
     /* 1547212 */   // Label 21455: @1547212
     /* 1547212 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1547294), // Rule ID 18917 //
     /* 1547217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547256 */     // MIs[0] round
     /* 1547256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547259 */     // MIs[0] policy
     /* 1547259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547269 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547293 */     // GIR_Coverage, 18917,
     /* 1547293 */     GIR_EraseRootFromParent_Done,
     /* 1547294 */   // Label 21456: @1547294
     /* 1547294 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1547376), // Rule ID 18918 //
     /* 1547299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547338 */     // MIs[0] round
     /* 1547338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547341 */     // MIs[0] policy
     /* 1547341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547375 */     // GIR_Coverage, 18918,
     /* 1547375 */     GIR_EraseRootFromParent_Done,
     /* 1547376 */   // Label 21457: @1547376
     /* 1547376 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1547458), // Rule ID 18921 //
     /* 1547381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547420 */     // MIs[0] round
     /* 1547420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547423 */     // MIs[0] policy
     /* 1547423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547433 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547457 */     // GIR_Coverage, 18921,
     /* 1547457 */     GIR_EraseRootFromParent_Done,
     /* 1547458 */   // Label 21458: @1547458
     /* 1547458 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1547540), // Rule ID 18922 //
     /* 1547463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547502 */     // MIs[0] round
     /* 1547502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547505 */     // MIs[0] policy
     /* 1547505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547515 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547539 */     // GIR_Coverage, 18922,
     /* 1547539 */     GIR_EraseRootFromParent_Done,
     /* 1547540 */   // Label 21459: @1547540
     /* 1547540 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1547622), // Rule ID 18925 //
     /* 1547545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1547562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547584 */     // MIs[0] round
     /* 1547584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547587 */     // MIs[0] policy
     /* 1547587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547597 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1547600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547621 */     // GIR_Coverage, 18925,
     /* 1547621 */     GIR_EraseRootFromParent_Done,
     /* 1547622 */   // Label 21460: @1547622
     /* 1547622 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1547704), // Rule ID 18926 //
     /* 1547627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1547644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547666 */     // MIs[0] round
     /* 1547666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547669 */     // MIs[0] policy
     /* 1547669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547679 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1547682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547690 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547703 */     // GIR_Coverage, 18926,
     /* 1547703 */     GIR_EraseRootFromParent_Done,
     /* 1547704 */   // Label 21461: @1547704
     /* 1547704 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1547786), // Rule ID 18929 //
     /* 1547709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1547726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547748 */     // MIs[0] round
     /* 1547748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547751 */     // MIs[0] policy
     /* 1547751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547761 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1547764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547785 */     // GIR_Coverage, 18929,
     /* 1547785 */     GIR_EraseRootFromParent_Done,
     /* 1547786 */   // Label 21462: @1547786
     /* 1547786 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1547868), // Rule ID 18930 //
     /* 1547791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1547808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547830 */     // MIs[0] round
     /* 1547830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547833 */     // MIs[0] policy
     /* 1547833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547843 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1547846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547867 */     // GIR_Coverage, 18930,
     /* 1547867 */     GIR_EraseRootFromParent_Done,
     /* 1547868 */   // Label 21463: @1547868
     /* 1547868 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1547950), // Rule ID 18989 //
     /* 1547873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1547884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1547887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1547890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547912 */     // MIs[0] round
     /* 1547912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547915 */     // MIs[0] policy
     /* 1547915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547925 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1547928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547949 */     // GIR_Coverage, 18989,
     /* 1547949 */     GIR_EraseRootFromParent_Done,
     /* 1547950 */   // Label 21464: @1547950
     /* 1547950 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1548032), // Rule ID 18990 //
     /* 1547955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1547966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1547969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1547972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547994 */     // MIs[0] round
     /* 1547994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547997 */     // MIs[0] policy
     /* 1547997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548007 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1548010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548031 */     // GIR_Coverage, 18990,
     /* 1548031 */     GIR_EraseRootFromParent_Done,
     /* 1548032 */   // Label 21465: @1548032
     /* 1548032 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1548114), // Rule ID 18993 //
     /* 1548037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1548048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1548051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548076 */     // MIs[0] round
     /* 1548076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548079 */     // MIs[0] policy
     /* 1548079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548089 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548113 */     // GIR_Coverage, 18993,
     /* 1548113 */     GIR_EraseRootFromParent_Done,
     /* 1548114 */   // Label 21466: @1548114
     /* 1548114 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1548196), // Rule ID 18994 //
     /* 1548119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1548130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1548133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548158 */     // MIs[0] round
     /* 1548158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548161 */     // MIs[0] policy
     /* 1548161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548171 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548195 */     // GIR_Coverage, 18994,
     /* 1548195 */     GIR_EraseRootFromParent_Done,
     /* 1548196 */   // Label 21467: @1548196
     /* 1548196 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1548278), // Rule ID 18997 //
     /* 1548201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548240 */     // MIs[0] round
     /* 1548240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548243 */     // MIs[0] policy
     /* 1548243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548277 */     // GIR_Coverage, 18997,
     /* 1548277 */     GIR_EraseRootFromParent_Done,
     /* 1548278 */   // Label 21468: @1548278
     /* 1548278 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1548360), // Rule ID 18998 //
     /* 1548283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548322 */     // MIs[0] round
     /* 1548322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548325 */     // MIs[0] policy
     /* 1548325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548335 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548359 */     // GIR_Coverage, 18998,
     /* 1548359 */     GIR_EraseRootFromParent_Done,
     /* 1548360 */   // Label 21469: @1548360
     /* 1548360 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1548442), // Rule ID 19001 //
     /* 1548365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548404 */     // MIs[0] round
     /* 1548404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548407 */     // MIs[0] policy
     /* 1548407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548417 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548441 */     // GIR_Coverage, 19001,
     /* 1548441 */     GIR_EraseRootFromParent_Done,
     /* 1548442 */   // Label 21470: @1548442
     /* 1548442 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1548524), // Rule ID 19002 //
     /* 1548447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548486 */     // MIs[0] round
     /* 1548486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548489 */     // MIs[0] policy
     /* 1548489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548499 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548523 */     // GIR_Coverage, 19002,
     /* 1548523 */     GIR_EraseRootFromParent_Done,
     /* 1548524 */   // Label 21471: @1548524
     /* 1548524 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1548606), // Rule ID 19005 //
     /* 1548529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548568 */     // MIs[0] round
     /* 1548568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548571 */     // MIs[0] policy
     /* 1548571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548581 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1548584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548605 */     // GIR_Coverage, 19005,
     /* 1548605 */     GIR_EraseRootFromParent_Done,
     /* 1548606 */   // Label 21472: @1548606
     /* 1548606 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1548688), // Rule ID 19006 //
     /* 1548611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548650 */     // MIs[0] round
     /* 1548650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548653 */     // MIs[0] policy
     /* 1548653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548663 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1548666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548687 */     // GIR_Coverage, 19006,
     /* 1548687 */     GIR_EraseRootFromParent_Done,
     /* 1548688 */   // Label 21473: @1548688
     /* 1548688 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1548770), // Rule ID 19009 //
     /* 1548693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1548696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1548710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548732 */     // MIs[0] round
     /* 1548732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548735 */     // MIs[0] policy
     /* 1548735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548745 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1548748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548769 */     // GIR_Coverage, 19009,
     /* 1548769 */     GIR_EraseRootFromParent_Done,
     /* 1548770 */   // Label 21474: @1548770
     /* 1548770 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1548852), // Rule ID 19010 //
     /* 1548775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1548792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548814 */     // MIs[0] round
     /* 1548814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548817 */     // MIs[0] policy
     /* 1548817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548827 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1548830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548851 */     // GIR_Coverage, 19010,
     /* 1548851 */     GIR_EraseRootFromParent_Done,
     /* 1548852 */   // Label 21475: @1548852
     /* 1548852 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1548934), // Rule ID 19013 //
     /* 1548857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1548868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1548871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1548874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548896 */     // MIs[0] round
     /* 1548896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548899 */     // MIs[0] policy
     /* 1548899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548909 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1548912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548933 */     // GIR_Coverage, 19013,
     /* 1548933 */     GIR_EraseRootFromParent_Done,
     /* 1548934 */   // Label 21476: @1548934
     /* 1548934 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1549016), // Rule ID 19014 //
     /* 1548939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1548950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1548953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1548956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548978 */     // MIs[0] round
     /* 1548978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548981 */     // MIs[0] policy
     /* 1548981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548991 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1548994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549015 */     // GIR_Coverage, 19014,
     /* 1549015 */     GIR_EraseRootFromParent_Done,
     /* 1549016 */   // Label 21477: @1549016
     /* 1549016 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1549098), // Rule ID 19017 //
     /* 1549021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1549032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1549035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549060 */     // MIs[0] round
     /* 1549060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549063 */     // MIs[0] policy
     /* 1549063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549073 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549097 */     // GIR_Coverage, 19017,
     /* 1549097 */     GIR_EraseRootFromParent_Done,
     /* 1549098 */   // Label 21478: @1549098
     /* 1549098 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1549180), // Rule ID 19018 //
     /* 1549103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1549114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1549117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549142 */     // MIs[0] round
     /* 1549142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549145 */     // MIs[0] policy
     /* 1549145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549155 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549179 */     // GIR_Coverage, 19018,
     /* 1549179 */     GIR_EraseRootFromParent_Done,
     /* 1549180 */   // Label 21479: @1549180
     /* 1549180 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1549262), // Rule ID 19021 //
     /* 1549185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549224 */     // MIs[0] round
     /* 1549224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549227 */     // MIs[0] policy
     /* 1549227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549237 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549261 */     // GIR_Coverage, 19021,
     /* 1549261 */     GIR_EraseRootFromParent_Done,
     /* 1549262 */   // Label 21480: @1549262
     /* 1549262 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1549344), // Rule ID 19022 //
     /* 1549267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549306 */     // MIs[0] round
     /* 1549306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549309 */     // MIs[0] policy
     /* 1549309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549319 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549343 */     // GIR_Coverage, 19022,
     /* 1549343 */     GIR_EraseRootFromParent_Done,
     /* 1549344 */   // Label 21481: @1549344
     /* 1549344 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1549426), // Rule ID 19025 //
     /* 1549349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549388 */     // MIs[0] round
     /* 1549388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549391 */     // MIs[0] policy
     /* 1549391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549401 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549425 */     // GIR_Coverage, 19025,
     /* 1549425 */     GIR_EraseRootFromParent_Done,
     /* 1549426 */   // Label 21482: @1549426
     /* 1549426 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1549508), // Rule ID 19026 //
     /* 1549431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549470 */     // MIs[0] round
     /* 1549470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549473 */     // MIs[0] policy
     /* 1549473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549507 */     // GIR_Coverage, 19026,
     /* 1549507 */     GIR_EraseRootFromParent_Done,
     /* 1549508 */   // Label 21483: @1549508
     /* 1549508 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1549590), // Rule ID 19029 //
     /* 1549513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549552 */     // MIs[0] round
     /* 1549552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549555 */     // MIs[0] policy
     /* 1549555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549565 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1549568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549589 */     // GIR_Coverage, 19029,
     /* 1549589 */     GIR_EraseRootFromParent_Done,
     /* 1549590 */   // Label 21484: @1549590
     /* 1549590 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1549672), // Rule ID 19030 //
     /* 1549595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549634 */     // MIs[0] round
     /* 1549634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549637 */     // MIs[0] policy
     /* 1549637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549647 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1549650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549671 */     // GIR_Coverage, 19030,
     /* 1549671 */     GIR_EraseRootFromParent_Done,
     /* 1549672 */   // Label 21485: @1549672
     /* 1549672 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1549754), // Rule ID 19033 //
     /* 1549677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1549694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549716 */     // MIs[0] round
     /* 1549716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549719 */     // MIs[0] policy
     /* 1549719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549729 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1549732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549753 */     // GIR_Coverage, 19033,
     /* 1549753 */     GIR_EraseRootFromParent_Done,
     /* 1549754 */   // Label 21486: @1549754
     /* 1549754 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1549836), // Rule ID 19034 //
     /* 1549759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1549776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549798 */     // MIs[0] round
     /* 1549798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549801 */     // MIs[0] policy
     /* 1549801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549811 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1549814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549835 */     // GIR_Coverage, 19034,
     /* 1549835 */     GIR_EraseRootFromParent_Done,
     /* 1549836 */   // Label 21487: @1549836
     /* 1549836 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1549918), // Rule ID 19037 //
     /* 1549841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1549844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1549858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549880 */     // MIs[0] round
     /* 1549880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549883 */     // MIs[0] policy
     /* 1549883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549893 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1549896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549917 */     // GIR_Coverage, 19037,
     /* 1549917 */     GIR_EraseRootFromParent_Done,
     /* 1549918 */   // Label 21488: @1549918
     /* 1549918 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1550000), // Rule ID 19038 //
     /* 1549923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1549926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1549940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549962 */     // MIs[0] round
     /* 1549962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549965 */     // MIs[0] policy
     /* 1549965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549975 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1549978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549999 */     // GIR_Coverage, 19038,
     /* 1549999 */     GIR_EraseRootFromParent_Done,
     /* 1550000 */   // Label 21489: @1550000
     /* 1550000 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1550082), // Rule ID 19041 //
     /* 1550005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1550022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550044 */     // MIs[0] round
     /* 1550044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550047 */     // MIs[0] policy
     /* 1550047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550057 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550081 */     // GIR_Coverage, 19041,
     /* 1550081 */     GIR_EraseRootFromParent_Done,
     /* 1550082 */   // Label 21490: @1550082
     /* 1550082 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1550164), // Rule ID 19042 //
     /* 1550087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1550104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550126 */     // MIs[0] round
     /* 1550126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550129 */     // MIs[0] policy
     /* 1550129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550139 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550163 */     // GIR_Coverage, 19042,
     /* 1550163 */     GIR_EraseRootFromParent_Done,
     /* 1550164 */   // Label 21491: @1550164
     /* 1550164 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1550246), // Rule ID 19045 //
     /* 1550169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550208 */     // MIs[0] round
     /* 1550208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550211 */     // MIs[0] policy
     /* 1550211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550221 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550245 */     // GIR_Coverage, 19045,
     /* 1550245 */     GIR_EraseRootFromParent_Done,
     /* 1550246 */   // Label 21492: @1550246
     /* 1550246 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1550328), // Rule ID 19046 //
     /* 1550251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550290 */     // MIs[0] round
     /* 1550290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550293 */     // MIs[0] policy
     /* 1550293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550303 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550327 */     // GIR_Coverage, 19046,
     /* 1550327 */     GIR_EraseRootFromParent_Done,
     /* 1550328 */   // Label 21493: @1550328
     /* 1550328 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1550410), // Rule ID 20631 //
     /* 1550333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550372 */     // MIs[0] round
     /* 1550372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550375 */     // MIs[0] policy
     /* 1550375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550409 */     // GIR_Coverage, 20631,
     /* 1550409 */     GIR_EraseRootFromParent_Done,
     /* 1550410 */   // Label 21494: @1550410
     /* 1550410 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1550492), // Rule ID 20632 //
     /* 1550415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550454 */     // MIs[0] round
     /* 1550454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550457 */     // MIs[0] policy
     /* 1550457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550491 */     // GIR_Coverage, 20632,
     /* 1550491 */     GIR_EraseRootFromParent_Done,
     /* 1550492 */   // Label 21495: @1550492
     /* 1550492 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1550574), // Rule ID 20635 //
     /* 1550497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550536 */     // MIs[0] round
     /* 1550536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550539 */     // MIs[0] policy
     /* 1550539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550573 */     // GIR_Coverage, 20635,
     /* 1550573 */     GIR_EraseRootFromParent_Done,
     /* 1550574 */   // Label 21496: @1550574
     /* 1550574 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1550656), // Rule ID 20636 //
     /* 1550579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550618 */     // MIs[0] round
     /* 1550618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550621 */     // MIs[0] policy
     /* 1550621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550631 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550655 */     // GIR_Coverage, 20636,
     /* 1550655 */     GIR_EraseRootFromParent_Done,
     /* 1550656 */   // Label 21497: @1550656
     /* 1550656 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1550738), // Rule ID 20639 //
     /* 1550661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550700 */     // MIs[0] round
     /* 1550700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550703 */     // MIs[0] policy
     /* 1550703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550713 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550737 */     // GIR_Coverage, 20639,
     /* 1550737 */     GIR_EraseRootFromParent_Done,
     /* 1550738 */   // Label 21498: @1550738
     /* 1550738 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1550820), // Rule ID 20640 //
     /* 1550743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550782 */     // MIs[0] round
     /* 1550782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550785 */     // MIs[0] policy
     /* 1550785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550795 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550819 */     // GIR_Coverage, 20640,
     /* 1550819 */     GIR_EraseRootFromParent_Done,
     /* 1550820 */   // Label 21499: @1550820
     /* 1550820 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1550902), // Rule ID 20643 //
     /* 1550825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550864 */     // MIs[0] round
     /* 1550864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550867 */     // MIs[0] policy
     /* 1550867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550901 */     // GIR_Coverage, 20643,
     /* 1550901 */     GIR_EraseRootFromParent_Done,
     /* 1550902 */   // Label 21500: @1550902
     /* 1550902 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1550984), // Rule ID 20644 //
     /* 1550907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550946 */     // MIs[0] round
     /* 1550946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550949 */     // MIs[0] policy
     /* 1550949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550983 */     // GIR_Coverage, 20644,
     /* 1550983 */     GIR_EraseRootFromParent_Done,
     /* 1550984 */   // Label 21501: @1550984
     /* 1550984 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1551066), // Rule ID 20647 //
     /* 1550989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1550992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1551006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551028 */     // MIs[0] round
     /* 1551028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551031 */     // MIs[0] policy
     /* 1551031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551041 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551065 */     // GIR_Coverage, 20647,
     /* 1551065 */     GIR_EraseRootFromParent_Done,
     /* 1551066 */   // Label 21502: @1551066
     /* 1551066 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1551148), // Rule ID 20648 //
     /* 1551071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1551088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551110 */     // MIs[0] round
     /* 1551110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551113 */     // MIs[0] policy
     /* 1551113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551147 */     // GIR_Coverage, 20648,
     /* 1551147 */     GIR_EraseRootFromParent_Done,
     /* 1551148 */   // Label 21503: @1551148
     /* 1551148 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1551230), // Rule ID 20651 //
     /* 1551153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551192 */     // MIs[0] round
     /* 1551192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551195 */     // MIs[0] policy
     /* 1551195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551229 */     // GIR_Coverage, 20651,
     /* 1551229 */     GIR_EraseRootFromParent_Done,
     /* 1551230 */   // Label 21504: @1551230
     /* 1551230 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1551312), // Rule ID 20652 //
     /* 1551235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551274 */     // MIs[0] round
     /* 1551274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551277 */     // MIs[0] policy
     /* 1551277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551311 */     // GIR_Coverage, 20652,
     /* 1551311 */     GIR_EraseRootFromParent_Done,
     /* 1551312 */   // Label 21505: @1551312
     /* 1551312 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1551394), // Rule ID 20655 //
     /* 1551317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551356 */     // MIs[0] round
     /* 1551356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551359 */     // MIs[0] policy
     /* 1551359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551369 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551393 */     // GIR_Coverage, 20655,
     /* 1551393 */     GIR_EraseRootFromParent_Done,
     /* 1551394 */   // Label 21506: @1551394
     /* 1551394 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1551476), // Rule ID 20656 //
     /* 1551399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551438 */     // MIs[0] round
     /* 1551438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551441 */     // MIs[0] policy
     /* 1551441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551475 */     // GIR_Coverage, 20656,
     /* 1551475 */     GIR_EraseRootFromParent_Done,
     /* 1551476 */   // Label 21507: @1551476
     /* 1551476 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1551558), // Rule ID 20659 //
     /* 1551481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551520 */     // MIs[0] round
     /* 1551520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551523 */     // MIs[0] policy
     /* 1551523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551557 */     // GIR_Coverage, 20659,
     /* 1551557 */     GIR_EraseRootFromParent_Done,
     /* 1551558 */   // Label 21508: @1551558
     /* 1551558 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1551640), // Rule ID 20660 //
     /* 1551563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551602 */     // MIs[0] round
     /* 1551602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551605 */     // MIs[0] policy
     /* 1551605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551615 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551639 */     // GIR_Coverage, 20660,
     /* 1551639 */     GIR_EraseRootFromParent_Done,
     /* 1551640 */   // Label 21509: @1551640
     /* 1551640 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1551722), // Rule ID 20663 //
     /* 1551645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551684 */     // MIs[0] round
     /* 1551684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551687 */     // MIs[0] policy
     /* 1551687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551721 */     // GIR_Coverage, 20663,
     /* 1551721 */     GIR_EraseRootFromParent_Done,
     /* 1551722 */   // Label 21510: @1551722
     /* 1551722 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1551804), // Rule ID 20664 //
     /* 1551727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551766 */     // MIs[0] round
     /* 1551766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551769 */     // MIs[0] policy
     /* 1551769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551803 */     // GIR_Coverage, 20664,
     /* 1551803 */     GIR_EraseRootFromParent_Done,
     /* 1551804 */   // Label 21511: @1551804
     /* 1551804 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1551886), // Rule ID 20667 //
     /* 1551809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551848 */     // MIs[0] round
     /* 1551848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551851 */     // MIs[0] policy
     /* 1551851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551885 */     // GIR_Coverage, 20667,
     /* 1551885 */     GIR_EraseRootFromParent_Done,
     /* 1551886 */   // Label 21512: @1551886
     /* 1551886 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1551968), // Rule ID 20668 //
     /* 1551891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551930 */     // MIs[0] round
     /* 1551930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551933 */     // MIs[0] policy
     /* 1551933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551967 */     // GIR_Coverage, 20668,
     /* 1551967 */     GIR_EraseRootFromParent_Done,
     /* 1551968 */   // Label 21513: @1551968
     /* 1551968 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1552050), // Rule ID 20671 //
     /* 1551973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1551990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552012 */     // MIs[0] round
     /* 1552012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552015 */     // MIs[0] policy
     /* 1552015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552025 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552049 */     // GIR_Coverage, 20671,
     /* 1552049 */     GIR_EraseRootFromParent_Done,
     /* 1552050 */   // Label 21514: @1552050
     /* 1552050 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1552132), // Rule ID 20672 //
     /* 1552055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1552066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1552069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1552072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552094 */     // MIs[0] round
     /* 1552094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552097 */     // MIs[0] policy
     /* 1552097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552107 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552131 */     // GIR_Coverage, 20672,
     /* 1552131 */     GIR_EraseRootFromParent_Done,
     /* 1552132 */   // Label 21515: @1552132
     /* 1552132 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1552214), // Rule ID 20675 //
     /* 1552137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552176 */     // MIs[0] round
     /* 1552176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552179 */     // MIs[0] policy
     /* 1552179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552213 */     // GIR_Coverage, 20675,
     /* 1552213 */     GIR_EraseRootFromParent_Done,
     /* 1552214 */   // Label 21516: @1552214
     /* 1552214 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1552296), // Rule ID 20676 //
     /* 1552219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552258 */     // MIs[0] round
     /* 1552258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552261 */     // MIs[0] policy
     /* 1552261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552271 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552295 */     // GIR_Coverage, 20676,
     /* 1552295 */     GIR_EraseRootFromParent_Done,
     /* 1552296 */   // Label 21517: @1552296
     /* 1552296 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1552378), // Rule ID 20679 //
     /* 1552301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552340 */     // MIs[0] round
     /* 1552340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552343 */     // MIs[0] policy
     /* 1552343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552377 */     // GIR_Coverage, 20679,
     /* 1552377 */     GIR_EraseRootFromParent_Done,
     /* 1552378 */   // Label 21518: @1552378
     /* 1552378 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1552460), // Rule ID 20680 //
     /* 1552383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552422 */     // MIs[0] round
     /* 1552422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552425 */     // MIs[0] policy
     /* 1552425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552459 */     // GIR_Coverage, 20680,
     /* 1552459 */     GIR_EraseRootFromParent_Done,
     /* 1552460 */   // Label 21519: @1552460
     /* 1552460 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1552542), // Rule ID 20683 //
     /* 1552465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552504 */     // MIs[0] round
     /* 1552504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552507 */     // MIs[0] policy
     /* 1552507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552517 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552541 */     // GIR_Coverage, 20683,
     /* 1552541 */     GIR_EraseRootFromParent_Done,
     /* 1552542 */   // Label 21520: @1552542
     /* 1552542 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1552624), // Rule ID 20684 //
     /* 1552547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552586 */     // MIs[0] round
     /* 1552586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552589 */     // MIs[0] policy
     /* 1552589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552623 */     // GIR_Coverage, 20684,
     /* 1552623 */     GIR_EraseRootFromParent_Done,
     /* 1552624 */   // Label 21521: @1552624
     /* 1552624 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1552706), // Rule ID 20687 //
     /* 1552629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552668 */     // MIs[0] round
     /* 1552668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552671 */     // MIs[0] policy
     /* 1552671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552681 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1552684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552705 */     // GIR_Coverage, 20687,
     /* 1552705 */     GIR_EraseRootFromParent_Done,
     /* 1552706 */   // Label 21522: @1552706
     /* 1552706 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1552788), // Rule ID 20688 //
     /* 1552711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552750 */     // MIs[0] round
     /* 1552750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552753 */     // MIs[0] policy
     /* 1552753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552763 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1552766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552787 */     // GIR_Coverage, 20688,
     /* 1552787 */     GIR_EraseRootFromParent_Done,
     /* 1552788 */   // Label 21523: @1552788
     /* 1552788 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1552870), // Rule ID 20691 //
     /* 1552793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552832 */     // MIs[0] round
     /* 1552832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552835 */     // MIs[0] policy
     /* 1552835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552845 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1552848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552869 */     // GIR_Coverage, 20691,
     /* 1552869 */     GIR_EraseRootFromParent_Done,
     /* 1552870 */   // Label 21524: @1552870
     /* 1552870 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1552952), // Rule ID 20692 //
     /* 1552875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552914 */     // MIs[0] round
     /* 1552914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552917 */     // MIs[0] policy
     /* 1552917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552927 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1552930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552951 */     // GIR_Coverage, 20692,
     /* 1552951 */     GIR_EraseRootFromParent_Done,
     /* 1552952 */   // Label 21525: @1552952
     /* 1552952 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1553034), // Rule ID 20695 //
     /* 1552957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552996 */     // MIs[0] round
     /* 1552996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552999 */     // MIs[0] policy
     /* 1552999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553033 */     // GIR_Coverage, 20695,
     /* 1553033 */     GIR_EraseRootFromParent_Done,
     /* 1553034 */   // Label 21526: @1553034
     /* 1553034 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1553116), // Rule ID 20696 //
     /* 1553039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553078 */     // MIs[0] round
     /* 1553078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553081 */     // MIs[0] policy
     /* 1553081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553115 */     // GIR_Coverage, 20696,
     /* 1553115 */     GIR_EraseRootFromParent_Done,
     /* 1553116 */   // Label 21527: @1553116
     /* 1553116 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1553198), // Rule ID 20699 //
     /* 1553121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553160 */     // MIs[0] round
     /* 1553160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553163 */     // MIs[0] policy
     /* 1553163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553197 */     // GIR_Coverage, 20699,
     /* 1553197 */     GIR_EraseRootFromParent_Done,
     /* 1553198 */   // Label 21528: @1553198
     /* 1553198 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1553280), // Rule ID 20700 //
     /* 1553203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553242 */     // MIs[0] round
     /* 1553242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553245 */     // MIs[0] policy
     /* 1553245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553279 */     // GIR_Coverage, 20700,
     /* 1553279 */     GIR_EraseRootFromParent_Done,
     /* 1553280 */   // Label 21529: @1553280
     /* 1553280 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1553362), // Rule ID 20703 //
     /* 1553285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553324 */     // MIs[0] round
     /* 1553324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553327 */     // MIs[0] policy
     /* 1553327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553361 */     // GIR_Coverage, 20703,
     /* 1553361 */     GIR_EraseRootFromParent_Done,
     /* 1553362 */   // Label 21530: @1553362
     /* 1553362 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1553444), // Rule ID 20704 //
     /* 1553367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553406 */     // MIs[0] round
     /* 1553406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553409 */     // MIs[0] policy
     /* 1553409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553443 */     // GIR_Coverage, 20704,
     /* 1553443 */     GIR_EraseRootFromParent_Done,
     /* 1553444 */   // Label 21531: @1553444
     /* 1553444 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1553526), // Rule ID 20707 //
     /* 1553449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553488 */     // MIs[0] round
     /* 1553488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553491 */     // MIs[0] policy
     /* 1553491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553525 */     // GIR_Coverage, 20707,
     /* 1553525 */     GIR_EraseRootFromParent_Done,
     /* 1553526 */   // Label 21532: @1553526
     /* 1553526 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1553608), // Rule ID 20708 //
     /* 1553531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553570 */     // MIs[0] round
     /* 1553570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553573 */     // MIs[0] policy
     /* 1553573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553583 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553607 */     // GIR_Coverage, 20708,
     /* 1553607 */     GIR_EraseRootFromParent_Done,
     /* 1553608 */   // Label 21533: @1553608
     /* 1553608 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1553690), // Rule ID 20711 //
     /* 1553613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553652 */     // MIs[0] round
     /* 1553652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553655 */     // MIs[0] policy
     /* 1553655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553665 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1553668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553689 */     // GIR_Coverage, 20711,
     /* 1553689 */     GIR_EraseRootFromParent_Done,
     /* 1553690 */   // Label 21534: @1553690
     /* 1553690 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1553772), // Rule ID 20712 //
     /* 1553695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553734 */     // MIs[0] round
     /* 1553734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553737 */     // MIs[0] policy
     /* 1553737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1553750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553771 */     // GIR_Coverage, 20712,
     /* 1553771 */     GIR_EraseRootFromParent_Done,
     /* 1553772 */   // Label 21535: @1553772
     /* 1553772 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1553854), // Rule ID 20715 //
     /* 1553777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553816 */     // MIs[0] round
     /* 1553816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553819 */     // MIs[0] policy
     /* 1553819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553829 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553853 */     // GIR_Coverage, 20715,
     /* 1553853 */     GIR_EraseRootFromParent_Done,
     /* 1553854 */   // Label 21536: @1553854
     /* 1553854 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1553936), // Rule ID 20716 //
     /* 1553859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553898 */     // MIs[0] round
     /* 1553898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553901 */     // MIs[0] policy
     /* 1553901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553935 */     // GIR_Coverage, 20716,
     /* 1553935 */     GIR_EraseRootFromParent_Done,
     /* 1553936 */   // Label 21537: @1553936
     /* 1553936 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1554018), // Rule ID 20719 //
     /* 1553941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553980 */     // MIs[0] round
     /* 1553980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553983 */     // MIs[0] policy
     /* 1553983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1553996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554017 */     // GIR_Coverage, 20719,
     /* 1554017 */     GIR_EraseRootFromParent_Done,
     /* 1554018 */   // Label 21538: @1554018
     /* 1554018 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1554100), // Rule ID 20720 //
     /* 1554023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1554034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1554037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1554040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1554043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554062 */     // MIs[0] round
     /* 1554062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554065 */     // MIs[0] policy
     /* 1554065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554075 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554099 */     // GIR_Coverage, 20720,
     /* 1554099 */     GIR_EraseRootFromParent_Done,
     /* 1554100 */   // Label 21539: @1554100
     /* 1554100 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1554182), // Rule ID 20723 //
     /* 1554105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554144 */     // MIs[0] round
     /* 1554144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554147 */     // MIs[0] policy
     /* 1554147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554181 */     // GIR_Coverage, 20723,
     /* 1554181 */     GIR_EraseRootFromParent_Done,
     /* 1554182 */   // Label 21540: @1554182
     /* 1554182 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1554264), // Rule ID 20724 //
     /* 1554187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554226 */     // MIs[0] round
     /* 1554226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554229 */     // MIs[0] policy
     /* 1554229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554239 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554263 */     // GIR_Coverage, 20724,
     /* 1554263 */     GIR_EraseRootFromParent_Done,
     /* 1554264 */   // Label 21541: @1554264
     /* 1554264 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1554346), // Rule ID 20727 //
     /* 1554269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554308 */     // MIs[0] round
     /* 1554308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554311 */     // MIs[0] policy
     /* 1554311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554345 */     // GIR_Coverage, 20727,
     /* 1554345 */     GIR_EraseRootFromParent_Done,
     /* 1554346 */   // Label 21542: @1554346
     /* 1554346 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1554428), // Rule ID 20728 //
     /* 1554351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554390 */     // MIs[0] round
     /* 1554390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554393 */     // MIs[0] policy
     /* 1554393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554403 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554427 */     // GIR_Coverage, 20728,
     /* 1554427 */     GIR_EraseRootFromParent_Done,
     /* 1554428 */   // Label 21543: @1554428
     /* 1554428 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1554510), // Rule ID 20731 //
     /* 1554433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554472 */     // MIs[0] round
     /* 1554472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554475 */     // MIs[0] policy
     /* 1554475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554485 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554509 */     // GIR_Coverage, 20731,
     /* 1554509 */     GIR_EraseRootFromParent_Done,
     /* 1554510 */   // Label 21544: @1554510
     /* 1554510 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1554592), // Rule ID 20732 //
     /* 1554515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554554 */     // MIs[0] round
     /* 1554554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554557 */     // MIs[0] policy
     /* 1554557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554591 */     // GIR_Coverage, 20732,
     /* 1554591 */     GIR_EraseRootFromParent_Done,
     /* 1554592 */   // Label 21545: @1554592
     /* 1554592 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1554674), // Rule ID 20735 //
     /* 1554597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554636 */     // MIs[0] round
     /* 1554636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554639 */     // MIs[0] policy
     /* 1554639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554673 */     // GIR_Coverage, 20735,
     /* 1554673 */     GIR_EraseRootFromParent_Done,
     /* 1554674 */   // Label 21546: @1554674
     /* 1554674 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1554756), // Rule ID 20736 //
     /* 1554679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1554682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554718 */     // MIs[0] round
     /* 1554718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554721 */     // MIs[0] policy
     /* 1554721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554755 */     // GIR_Coverage, 20736,
     /* 1554755 */     GIR_EraseRootFromParent_Done,
     /* 1554756 */   // Label 21547: @1554756
     /* 1554756 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1554838), // Rule ID 20739 //
     /* 1554761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554800 */     // MIs[0] round
     /* 1554800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554803 */     // MIs[0] policy
     /* 1554803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554813 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554837 */     // GIR_Coverage, 20739,
     /* 1554837 */     GIR_EraseRootFromParent_Done,
     /* 1554838 */   // Label 21548: @1554838
     /* 1554838 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1554920), // Rule ID 20740 //
     /* 1554843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1554846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554882 */     // MIs[0] round
     /* 1554882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554885 */     // MIs[0] policy
     /* 1554885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554895 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554919 */     // GIR_Coverage, 20740,
     /* 1554919 */     GIR_EraseRootFromParent_Done,
     /* 1554920 */   // Label 21549: @1554920
     /* 1554920 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1555002), // Rule ID 20743 //
     /* 1554925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554964 */     // MIs[0] round
     /* 1554964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554967 */     // MIs[0] policy
     /* 1554967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555001 */     // GIR_Coverage, 20743,
     /* 1555001 */     GIR_EraseRootFromParent_Done,
     /* 1555002 */   // Label 21550: @1555002
     /* 1555002 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1555084), // Rule ID 20744 //
     /* 1555007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1555024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555046 */     // MIs[0] round
     /* 1555046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555049 */     // MIs[0] policy
     /* 1555049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555059 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1555062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555083 */     // GIR_Coverage, 20744,
     /* 1555083 */     GIR_EraseRootFromParent_Done,
     /* 1555084 */   // Label 21551: @1555084
     /* 1555084 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1555166), // Rule ID 20867 //
     /* 1555089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555128 */     // MIs[0] round
     /* 1555128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555131 */     // MIs[0] policy
     /* 1555131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555141 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555165 */     // GIR_Coverage, 20867,
     /* 1555165 */     GIR_EraseRootFromParent_Done,
     /* 1555166 */   // Label 21552: @1555166
     /* 1555166 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1555248), // Rule ID 20868 //
     /* 1555171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555210 */     // MIs[0] round
     /* 1555210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555213 */     // MIs[0] policy
     /* 1555213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555223 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555247 */     // GIR_Coverage, 20868,
     /* 1555247 */     GIR_EraseRootFromParent_Done,
     /* 1555248 */   // Label 21553: @1555248
     /* 1555248 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1555330), // Rule ID 20871 //
     /* 1555253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555292 */     // MIs[0] round
     /* 1555292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555295 */     // MIs[0] policy
     /* 1555295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555329 */     // GIR_Coverage, 20871,
     /* 1555329 */     GIR_EraseRootFromParent_Done,
     /* 1555330 */   // Label 21554: @1555330
     /* 1555330 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1555412), // Rule ID 20872 //
     /* 1555335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555374 */     // MIs[0] round
     /* 1555374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555377 */     // MIs[0] policy
     /* 1555377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555387 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555411 */     // GIR_Coverage, 20872,
     /* 1555411 */     GIR_EraseRootFromParent_Done,
     /* 1555412 */   // Label 21555: @1555412
     /* 1555412 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1555494), // Rule ID 20875 //
     /* 1555417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555456 */     // MIs[0] round
     /* 1555456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555459 */     // MIs[0] policy
     /* 1555459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555469 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555493 */     // GIR_Coverage, 20875,
     /* 1555493 */     GIR_EraseRootFromParent_Done,
     /* 1555494 */   // Label 21556: @1555494
     /* 1555494 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1555576), // Rule ID 20876 //
     /* 1555499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555538 */     // MIs[0] round
     /* 1555538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555541 */     // MIs[0] policy
     /* 1555541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555551 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555575 */     // GIR_Coverage, 20876,
     /* 1555575 */     GIR_EraseRootFromParent_Done,
     /* 1555576 */   // Label 21557: @1555576
     /* 1555576 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1555658), // Rule ID 20879 //
     /* 1555581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555620 */     // MIs[0] round
     /* 1555620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555623 */     // MIs[0] policy
     /* 1555623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555633 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1555636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555657 */     // GIR_Coverage, 20879,
     /* 1555657 */     GIR_EraseRootFromParent_Done,
     /* 1555658 */   // Label 21558: @1555658
     /* 1555658 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1555740), // Rule ID 20880 //
     /* 1555663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555702 */     // MIs[0] round
     /* 1555702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555705 */     // MIs[0] policy
     /* 1555705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555715 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1555718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555739 */     // GIR_Coverage, 20880,
     /* 1555739 */     GIR_EraseRootFromParent_Done,
     /* 1555740 */   // Label 21559: @1555740
     /* 1555740 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1555822), // Rule ID 20883 //
     /* 1555745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555784 */     // MIs[0] round
     /* 1555784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555787 */     // MIs[0] policy
     /* 1555787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555797 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1555800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555821 */     // GIR_Coverage, 20883,
     /* 1555821 */     GIR_EraseRootFromParent_Done,
     /* 1555822 */   // Label 21560: @1555822
     /* 1555822 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1555904), // Rule ID 20884 //
     /* 1555827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555866 */     // MIs[0] round
     /* 1555866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555869 */     // MIs[0] policy
     /* 1555869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555879 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1555882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555903 */     // GIR_Coverage, 20884,
     /* 1555903 */     GIR_EraseRootFromParent_Done,
     /* 1555904 */   // Label 21561: @1555904
     /* 1555904 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1555986), // Rule ID 20887 //
     /* 1555909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555948 */     // MIs[0] round
     /* 1555948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555951 */     // MIs[0] policy
     /* 1555951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555961 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1555964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555985 */     // GIR_Coverage, 20887,
     /* 1555985 */     GIR_EraseRootFromParent_Done,
     /* 1555986 */   // Label 21562: @1555986
     /* 1555986 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1556068), // Rule ID 20888 //
     /* 1555991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1556008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556030 */     // MIs[0] round
     /* 1556030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556033 */     // MIs[0] policy
     /* 1556033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556043 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1556046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556067 */     // GIR_Coverage, 20888,
     /* 1556067 */     GIR_EraseRootFromParent_Done,
     /* 1556068 */   // Label 21563: @1556068
     /* 1556068 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1556150), // Rule ID 20891 //
     /* 1556073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556112 */     // MIs[0] round
     /* 1556112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556115 */     // MIs[0] policy
     /* 1556115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556125 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556149 */     // GIR_Coverage, 20891,
     /* 1556149 */     GIR_EraseRootFromParent_Done,
     /* 1556150 */   // Label 21564: @1556150
     /* 1556150 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1556232), // Rule ID 20892 //
     /* 1556155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556194 */     // MIs[0] round
     /* 1556194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556197 */     // MIs[0] policy
     /* 1556197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556207 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556231 */     // GIR_Coverage, 20892,
     /* 1556231 */     GIR_EraseRootFromParent_Done,
     /* 1556232 */   // Label 21565: @1556232
     /* 1556232 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1556314), // Rule ID 20895 //
     /* 1556237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556276 */     // MIs[0] round
     /* 1556276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556279 */     // MIs[0] policy
     /* 1556279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556289 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556313 */     // GIR_Coverage, 20895,
     /* 1556313 */     GIR_EraseRootFromParent_Done,
     /* 1556314 */   // Label 21566: @1556314
     /* 1556314 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1556396), // Rule ID 20896 //
     /* 1556319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556358 */     // MIs[0] round
     /* 1556358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556361 */     // MIs[0] policy
     /* 1556361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556371 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556395 */     // GIR_Coverage, 20896,
     /* 1556395 */     GIR_EraseRootFromParent_Done,
     /* 1556396 */   // Label 21567: @1556396
     /* 1556396 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1556478), // Rule ID 20899 //
     /* 1556401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556440 */     // MIs[0] round
     /* 1556440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556443 */     // MIs[0] policy
     /* 1556443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556453 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556477 */     // GIR_Coverage, 20899,
     /* 1556477 */     GIR_EraseRootFromParent_Done,
     /* 1556478 */   // Label 21568: @1556478
     /* 1556478 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1556560), // Rule ID 20900 //
     /* 1556483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556522 */     // MIs[0] round
     /* 1556522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556525 */     // MIs[0] policy
     /* 1556525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556535 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556559 */     // GIR_Coverage, 20900,
     /* 1556559 */     GIR_EraseRootFromParent_Done,
     /* 1556560 */   // Label 21569: @1556560
     /* 1556560 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1556642), // Rule ID 20903 //
     /* 1556565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556604 */     // MIs[0] round
     /* 1556604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556607 */     // MIs[0] policy
     /* 1556607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556617 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1556620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556641 */     // GIR_Coverage, 20903,
     /* 1556641 */     GIR_EraseRootFromParent_Done,
     /* 1556642 */   // Label 21570: @1556642
     /* 1556642 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1556724), // Rule ID 20904 //
     /* 1556647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556686 */     // MIs[0] round
     /* 1556686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556689 */     // MIs[0] policy
     /* 1556689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556699 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1556702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556723 */     // GIR_Coverage, 20904,
     /* 1556723 */     GIR_EraseRootFromParent_Done,
     /* 1556724 */   // Label 21571: @1556724
     /* 1556724 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1556806), // Rule ID 20907 //
     /* 1556729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556768 */     // MIs[0] round
     /* 1556768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556771 */     // MIs[0] policy
     /* 1556771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556781 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1556784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556805 */     // GIR_Coverage, 20907,
     /* 1556805 */     GIR_EraseRootFromParent_Done,
     /* 1556806 */   // Label 21572: @1556806
     /* 1556806 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1556888), // Rule ID 20908 //
     /* 1556811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556850 */     // MIs[0] round
     /* 1556850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556853 */     // MIs[0] policy
     /* 1556853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556863 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1556866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556887 */     // GIR_Coverage, 20908,
     /* 1556887 */     GIR_EraseRootFromParent_Done,
     /* 1556888 */   // Label 21573: @1556888
     /* 1556888 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1556970), // Rule ID 20911 //
     /* 1556893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556932 */     // MIs[0] round
     /* 1556932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556935 */     // MIs[0] policy
     /* 1556935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556945 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1556948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556969 */     // GIR_Coverage, 20911,
     /* 1556969 */     GIR_EraseRootFromParent_Done,
     /* 1556970 */   // Label 21574: @1556970
     /* 1556970 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1557052), // Rule ID 20912 //
     /* 1556975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557014 */     // MIs[0] round
     /* 1557014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557017 */     // MIs[0] policy
     /* 1557017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557027 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1557030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557051 */     // GIR_Coverage, 20912,
     /* 1557051 */     GIR_EraseRootFromParent_Done,
     /* 1557052 */   // Label 21575: @1557052
     /* 1557052 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1557134), // Rule ID 20915 //
     /* 1557057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557096 */     // MIs[0] round
     /* 1557096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557099 */     // MIs[0] policy
     /* 1557099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557133 */     // GIR_Coverage, 20915,
     /* 1557133 */     GIR_EraseRootFromParent_Done,
     /* 1557134 */   // Label 21576: @1557134
     /* 1557134 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1557216), // Rule ID 20916 //
     /* 1557139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557178 */     // MIs[0] round
     /* 1557178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557181 */     // MIs[0] policy
     /* 1557181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557191 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557215 */     // GIR_Coverage, 20916,
     /* 1557215 */     GIR_EraseRootFromParent_Done,
     /* 1557216 */   // Label 21577: @1557216
     /* 1557216 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1557298), // Rule ID 20919 //
     /* 1557221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557260 */     // MIs[0] round
     /* 1557260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557263 */     // MIs[0] policy
     /* 1557263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557273 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557297 */     // GIR_Coverage, 20919,
     /* 1557297 */     GIR_EraseRootFromParent_Done,
     /* 1557298 */   // Label 21578: @1557298
     /* 1557298 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1557380), // Rule ID 20920 //
     /* 1557303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557342 */     // MIs[0] round
     /* 1557342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557345 */     // MIs[0] policy
     /* 1557345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557355 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557379 */     // GIR_Coverage, 20920,
     /* 1557379 */     GIR_EraseRootFromParent_Done,
     /* 1557380 */   // Label 21579: @1557380
     /* 1557380 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1557462), // Rule ID 20923 //
     /* 1557385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557424 */     // MIs[0] round
     /* 1557424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557427 */     // MIs[0] policy
     /* 1557427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557461 */     // GIR_Coverage, 20923,
     /* 1557461 */     GIR_EraseRootFromParent_Done,
     /* 1557462 */   // Label 21580: @1557462
     /* 1557462 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1557544), // Rule ID 20924 //
     /* 1557467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557506 */     // MIs[0] round
     /* 1557506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557509 */     // MIs[0] policy
     /* 1557509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557519 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557543 */     // GIR_Coverage, 20924,
     /* 1557543 */     GIR_EraseRootFromParent_Done,
     /* 1557544 */   // Label 21581: @1557544
     /* 1557544 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1557626), // Rule ID 20927 //
     /* 1557549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557588 */     // MIs[0] round
     /* 1557588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557591 */     // MIs[0] policy
     /* 1557591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557601 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1557604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557625 */     // GIR_Coverage, 20927,
     /* 1557625 */     GIR_EraseRootFromParent_Done,
     /* 1557626 */   // Label 21582: @1557626
     /* 1557626 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1557708), // Rule ID 20928 //
     /* 1557631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557670 */     // MIs[0] round
     /* 1557670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557673 */     // MIs[0] policy
     /* 1557673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557683 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1557686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557707 */     // GIR_Coverage, 20928,
     /* 1557707 */     GIR_EraseRootFromParent_Done,
     /* 1557708 */   // Label 21583: @1557708
     /* 1557708 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1557790), // Rule ID 20931 //
     /* 1557713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557752 */     // MIs[0] round
     /* 1557752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557755 */     // MIs[0] policy
     /* 1557755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557765 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1557768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557789 */     // GIR_Coverage, 20931,
     /* 1557789 */     GIR_EraseRootFromParent_Done,
     /* 1557790 */   // Label 21584: @1557790
     /* 1557790 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1557872), // Rule ID 20932 //
     /* 1557795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557834 */     // MIs[0] round
     /* 1557834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557837 */     // MIs[0] policy
     /* 1557837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557847 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1557850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557871 */     // GIR_Coverage, 20932,
     /* 1557871 */     GIR_EraseRootFromParent_Done,
     /* 1557872 */   // Label 21585: @1557872
     /* 1557872 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1557954), // Rule ID 20935 //
     /* 1557877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557916 */     // MIs[0] round
     /* 1557916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557919 */     // MIs[0] policy
     /* 1557919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557929 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1557932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557953 */     // GIR_Coverage, 20935,
     /* 1557953 */     GIR_EraseRootFromParent_Done,
     /* 1557954 */   // Label 21586: @1557954
     /* 1557954 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1558036), // Rule ID 20936 //
     /* 1557959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557998 */     // MIs[0] round
     /* 1557998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558001 */     // MIs[0] policy
     /* 1558001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558011 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1558014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558035 */     // GIR_Coverage, 20936,
     /* 1558035 */     GIR_EraseRootFromParent_Done,
     /* 1558036 */   // Label 21587: @1558036
     /* 1558036 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1558118), // Rule ID 20939 //
     /* 1558041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558080 */     // MIs[0] round
     /* 1558080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558083 */     // MIs[0] policy
     /* 1558083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558093 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558117 */     // GIR_Coverage, 20939,
     /* 1558117 */     GIR_EraseRootFromParent_Done,
     /* 1558118 */   // Label 21588: @1558118
     /* 1558118 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1558200), // Rule ID 20940 //
     /* 1558123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558162 */     // MIs[0] round
     /* 1558162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558165 */     // MIs[0] policy
     /* 1558165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558175 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558199 */     // GIR_Coverage, 20940,
     /* 1558199 */     GIR_EraseRootFromParent_Done,
     /* 1558200 */   // Label 21589: @1558200
     /* 1558200 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1558282), // Rule ID 20943 //
     /* 1558205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558244 */     // MIs[0] round
     /* 1558244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558247 */     // MIs[0] policy
     /* 1558247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558281 */     // GIR_Coverage, 20943,
     /* 1558281 */     GIR_EraseRootFromParent_Done,
     /* 1558282 */   // Label 21590: @1558282
     /* 1558282 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1558364), // Rule ID 20944 //
     /* 1558287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558326 */     // MIs[0] round
     /* 1558326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558329 */     // MIs[0] policy
     /* 1558329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558363 */     // GIR_Coverage, 20944,
     /* 1558363 */     GIR_EraseRootFromParent_Done,
     /* 1558364 */   // Label 21591: @1558364
     /* 1558364 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1558446), // Rule ID 20947 //
     /* 1558369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558408 */     // MIs[0] round
     /* 1558408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558411 */     // MIs[0] policy
     /* 1558411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558421 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558445 */     // GIR_Coverage, 20947,
     /* 1558445 */     GIR_EraseRootFromParent_Done,
     /* 1558446 */   // Label 21592: @1558446
     /* 1558446 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1558528), // Rule ID 20948 //
     /* 1558451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558490 */     // MIs[0] round
     /* 1558490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558493 */     // MIs[0] policy
     /* 1558493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558503 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558527 */     // GIR_Coverage, 20948,
     /* 1558527 */     GIR_EraseRootFromParent_Done,
     /* 1558528 */   // Label 21593: @1558528
     /* 1558528 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1558610), // Rule ID 20951 //
     /* 1558533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558572 */     // MIs[0] round
     /* 1558572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558575 */     // MIs[0] policy
     /* 1558575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558585 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1558588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558609 */     // GIR_Coverage, 20951,
     /* 1558609 */     GIR_EraseRootFromParent_Done,
     /* 1558610 */   // Label 21594: @1558610
     /* 1558610 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1558692), // Rule ID 20952 //
     /* 1558615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558654 */     // MIs[0] round
     /* 1558654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558657 */     // MIs[0] policy
     /* 1558657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1558670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558691 */     // GIR_Coverage, 20952,
     /* 1558691 */     GIR_EraseRootFromParent_Done,
     /* 1558692 */   // Label 21595: @1558692
     /* 1558692 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1558774), // Rule ID 20955 //
     /* 1558697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558736 */     // MIs[0] round
     /* 1558736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558739 */     // MIs[0] policy
     /* 1558739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558749 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1558752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558773 */     // GIR_Coverage, 20955,
     /* 1558773 */     GIR_EraseRootFromParent_Done,
     /* 1558774 */   // Label 21596: @1558774
     /* 1558774 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1558856), // Rule ID 20956 //
     /* 1558779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558818 */     // MIs[0] round
     /* 1558818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558821 */     // MIs[0] policy
     /* 1558821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558831 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1558834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558855 */     // GIR_Coverage, 20956,
     /* 1558855 */     GIR_EraseRootFromParent_Done,
     /* 1558856 */   // Label 21597: @1558856
     /* 1558856 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1558938), // Rule ID 20959 //
     /* 1558861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558900 */     // MIs[0] round
     /* 1558900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558903 */     // MIs[0] policy
     /* 1558903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558913 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1558916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558937 */     // GIR_Coverage, 20959,
     /* 1558937 */     GIR_EraseRootFromParent_Done,
     /* 1558938 */   // Label 21598: @1558938
     /* 1558938 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1559020), // Rule ID 20960 //
     /* 1558943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558982 */     // MIs[0] round
     /* 1558982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558985 */     // MIs[0] policy
     /* 1558985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558995 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1558998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559019 */     // GIR_Coverage, 20960,
     /* 1559019 */     GIR_EraseRootFromParent_Done,
     /* 1559020 */   // Label 21599: @1559020
     /* 1559020 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1559102), // Rule ID 20963 //
     /* 1559025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559064 */     // MIs[0] round
     /* 1559064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559067 */     // MIs[0] policy
     /* 1559067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559101 */     // GIR_Coverage, 20963,
     /* 1559101 */     GIR_EraseRootFromParent_Done,
     /* 1559102 */   // Label 21600: @1559102
     /* 1559102 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1559184), // Rule ID 20964 //
     /* 1559107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559146 */     // MIs[0] round
     /* 1559146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559149 */     // MIs[0] policy
     /* 1559149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559159 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559183 */     // GIR_Coverage, 20964,
     /* 1559183 */     GIR_EraseRootFromParent_Done,
     /* 1559184 */   // Label 21601: @1559184
     /* 1559184 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1559266), // Rule ID 20967 //
     /* 1559189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559228 */     // MIs[0] round
     /* 1559228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559231 */     // MIs[0] policy
     /* 1559231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559241 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559265 */     // GIR_Coverage, 20967,
     /* 1559265 */     GIR_EraseRootFromParent_Done,
     /* 1559266 */   // Label 21602: @1559266
     /* 1559266 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1559348), // Rule ID 20968 //
     /* 1559271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559310 */     // MIs[0] round
     /* 1559310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559313 */     // MIs[0] policy
     /* 1559313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559323 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559347 */     // GIR_Coverage, 20968,
     /* 1559347 */     GIR_EraseRootFromParent_Done,
     /* 1559348 */   // Label 21603: @1559348
     /* 1559348 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1559430), // Rule ID 20971 //
     /* 1559353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559392 */     // MIs[0] round
     /* 1559392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559395 */     // MIs[0] policy
     /* 1559395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559405 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559429 */     // GIR_Coverage, 20971,
     /* 1559429 */     GIR_EraseRootFromParent_Done,
     /* 1559430 */   // Label 21604: @1559430
     /* 1559430 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1559512), // Rule ID 20972 //
     /* 1559435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559474 */     // MIs[0] round
     /* 1559474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559477 */     // MIs[0] policy
     /* 1559477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559487 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559511 */     // GIR_Coverage, 20972,
     /* 1559511 */     GIR_EraseRootFromParent_Done,
     /* 1559512 */   // Label 21605: @1559512
     /* 1559512 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1559594), // Rule ID 20975 //
     /* 1559517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559556 */     // MIs[0] round
     /* 1559556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559559 */     // MIs[0] policy
     /* 1559559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559569 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1559572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559593 */     // GIR_Coverage, 20975,
     /* 1559593 */     GIR_EraseRootFromParent_Done,
     /* 1559594 */   // Label 21606: @1559594
     /* 1559594 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1559676), // Rule ID 20976 //
     /* 1559599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559638 */     // MIs[0] round
     /* 1559638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559641 */     // MIs[0] policy
     /* 1559641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559651 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1559654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559675 */     // GIR_Coverage, 20976,
     /* 1559675 */     GIR_EraseRootFromParent_Done,
     /* 1559676 */   // Label 21607: @1559676
     /* 1559676 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1559758), // Rule ID 20979 //
     /* 1559681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559720 */     // MIs[0] round
     /* 1559720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559723 */     // MIs[0] policy
     /* 1559723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1559736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559757 */     // GIR_Coverage, 20979,
     /* 1559757 */     GIR_EraseRootFromParent_Done,
     /* 1559758 */   // Label 21608: @1559758
     /* 1559758 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1559840), // Rule ID 20980 //
     /* 1559763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559802 */     // MIs[0] round
     /* 1559802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559805 */     // MIs[0] policy
     /* 1559805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559815 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1559818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559839 */     // GIR_Coverage, 20980,
     /* 1559839 */     GIR_EraseRootFromParent_Done,
     /* 1559840 */   // Label 21609: @1559840
     /* 1559840 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1559922), // Rule ID 20983 //
     /* 1559845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559884 */     // MIs[0] round
     /* 1559884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559887 */     // MIs[0] policy
     /* 1559887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1559900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559921 */     // GIR_Coverage, 20983,
     /* 1559921 */     GIR_EraseRootFromParent_Done,
     /* 1559922 */   // Label 21610: @1559922
     /* 1559922 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1560004), // Rule ID 20984 //
     /* 1559927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559966 */     // MIs[0] round
     /* 1559966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559969 */     // MIs[0] policy
     /* 1559969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559979 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1559982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560003 */     // GIR_Coverage, 20984,
     /* 1560003 */     GIR_EraseRootFromParent_Done,
     /* 1560004 */   // Label 21611: @1560004
     /* 1560004 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1560086), // Rule ID 21059 //
     /* 1560009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560048 */     // MIs[0] round
     /* 1560048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560051 */     // MIs[0] policy
     /* 1560051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560085 */     // GIR_Coverage, 21059,
     /* 1560085 */     GIR_EraseRootFromParent_Done,
     /* 1560086 */   // Label 21612: @1560086
     /* 1560086 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1560168), // Rule ID 21060 //
     /* 1560091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560130 */     // MIs[0] round
     /* 1560130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560133 */     // MIs[0] policy
     /* 1560133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560143 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560167 */     // GIR_Coverage, 21060,
     /* 1560167 */     GIR_EraseRootFromParent_Done,
     /* 1560168 */   // Label 21613: @1560168
     /* 1560168 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1560250), // Rule ID 21063 //
     /* 1560173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560212 */     // MIs[0] round
     /* 1560212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560215 */     // MIs[0] policy
     /* 1560215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560249 */     // GIR_Coverage, 21063,
     /* 1560249 */     GIR_EraseRootFromParent_Done,
     /* 1560250 */   // Label 21614: @1560250
     /* 1560250 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1560332), // Rule ID 21064 //
     /* 1560255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560294 */     // MIs[0] round
     /* 1560294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560297 */     // MIs[0] policy
     /* 1560297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560331 */     // GIR_Coverage, 21064,
     /* 1560331 */     GIR_EraseRootFromParent_Done,
     /* 1560332 */   // Label 21615: @1560332
     /* 1560332 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1560414), // Rule ID 21067 //
     /* 1560337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560376 */     // MIs[0] round
     /* 1560376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560379 */     // MIs[0] policy
     /* 1560379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560389 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560413 */     // GIR_Coverage, 21067,
     /* 1560413 */     GIR_EraseRootFromParent_Done,
     /* 1560414 */   // Label 21616: @1560414
     /* 1560414 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1560496), // Rule ID 21068 //
     /* 1560419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560458 */     // MIs[0] round
     /* 1560458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560461 */     // MIs[0] policy
     /* 1560461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560495 */     // GIR_Coverage, 21068,
     /* 1560495 */     GIR_EraseRootFromParent_Done,
     /* 1560496 */   // Label 21617: @1560496
     /* 1560496 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1560578), // Rule ID 21071 //
     /* 1560501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560540 */     // MIs[0] round
     /* 1560540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560543 */     // MIs[0] policy
     /* 1560543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1560556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560577 */     // GIR_Coverage, 21071,
     /* 1560577 */     GIR_EraseRootFromParent_Done,
     /* 1560578 */   // Label 21618: @1560578
     /* 1560578 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1560660), // Rule ID 21072 //
     /* 1560583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560622 */     // MIs[0] round
     /* 1560622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560625 */     // MIs[0] policy
     /* 1560625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1560638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560659 */     // GIR_Coverage, 21072,
     /* 1560659 */     GIR_EraseRootFromParent_Done,
     /* 1560660 */   // Label 21619: @1560660
     /* 1560660 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1560742), // Rule ID 21075 //
     /* 1560665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1560676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1560679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560704 */     // MIs[0] round
     /* 1560704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560707 */     // MIs[0] policy
     /* 1560707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1560720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560741 */     // GIR_Coverage, 21075,
     /* 1560741 */     GIR_EraseRootFromParent_Done,
     /* 1560742 */   // Label 21620: @1560742
     /* 1560742 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1560824), // Rule ID 21076 //
     /* 1560747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1560758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1560761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560786 */     // MIs[0] round
     /* 1560786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560789 */     // MIs[0] policy
     /* 1560789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1560802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560823 */     // GIR_Coverage, 21076,
     /* 1560823 */     GIR_EraseRootFromParent_Done,
     /* 1560824 */   // Label 21621: @1560824
     /* 1560824 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1560906), // Rule ID 21079 //
     /* 1560829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1560832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560868 */     // MIs[0] round
     /* 1560868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560871 */     // MIs[0] policy
     /* 1560871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560905 */     // GIR_Coverage, 21079,
     /* 1560905 */     GIR_EraseRootFromParent_Done,
     /* 1560906 */   // Label 21622: @1560906
     /* 1560906 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1560988), // Rule ID 21080 //
     /* 1560911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1560914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560950 */     // MIs[0] round
     /* 1560950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560953 */     // MIs[0] policy
     /* 1560953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560963 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560987 */     // GIR_Coverage, 21080,
     /* 1560987 */     GIR_EraseRootFromParent_Done,
     /* 1560988 */   // Label 21623: @1560988
     /* 1560988 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1561070), // Rule ID 21083 //
     /* 1560993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1560996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561032 */     // MIs[0] round
     /* 1561032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561035 */     // MIs[0] policy
     /* 1561035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561045 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1561048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561069 */     // GIR_Coverage, 21083,
     /* 1561069 */     GIR_EraseRootFromParent_Done,
     /* 1561070 */   // Label 21624: @1561070
     /* 1561070 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1561152), // Rule ID 21084 //
     /* 1561075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561114 */     // MIs[0] round
     /* 1561114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561117 */     // MIs[0] policy
     /* 1561117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1561130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561151 */     // GIR_Coverage, 21084,
     /* 1561151 */     GIR_EraseRootFromParent_Done,
     /* 1561152 */   // Label 21625: @1561152
     /* 1561152 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1561234), // Rule ID 21087 //
     /* 1561157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561196 */     // MIs[0] round
     /* 1561196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561199 */     // MIs[0] policy
     /* 1561199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561209 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561233 */     // GIR_Coverage, 21087,
     /* 1561233 */     GIR_EraseRootFromParent_Done,
     /* 1561234 */   // Label 21626: @1561234
     /* 1561234 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1561316), // Rule ID 21088 //
     /* 1561239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561278 */     // MIs[0] round
     /* 1561278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561281 */     // MIs[0] policy
     /* 1561281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561291 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561315 */     // GIR_Coverage, 21088,
     /* 1561315 */     GIR_EraseRootFromParent_Done,
     /* 1561316 */   // Label 21627: @1561316
     /* 1561316 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1561398), // Rule ID 21091 //
     /* 1561321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561360 */     // MIs[0] round
     /* 1561360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561363 */     // MIs[0] policy
     /* 1561363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561373 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561397 */     // GIR_Coverage, 21091,
     /* 1561397 */     GIR_EraseRootFromParent_Done,
     /* 1561398 */   // Label 21628: @1561398
     /* 1561398 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1561480), // Rule ID 21092 //
     /* 1561403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561442 */     // MIs[0] round
     /* 1561442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561445 */     // MIs[0] policy
     /* 1561445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561455 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561479 */     // GIR_Coverage, 21092,
     /* 1561479 */     GIR_EraseRootFromParent_Done,
     /* 1561480 */   // Label 21629: @1561480
     /* 1561480 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1561562), // Rule ID 21095 //
     /* 1561485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561524 */     // MIs[0] round
     /* 1561524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561527 */     // MIs[0] policy
     /* 1561527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561537 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1561540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561561 */     // GIR_Coverage, 21095,
     /* 1561561 */     GIR_EraseRootFromParent_Done,
     /* 1561562 */   // Label 21630: @1561562
     /* 1561562 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1561644), // Rule ID 21096 //
     /* 1561567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561606 */     // MIs[0] round
     /* 1561606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561609 */     // MIs[0] policy
     /* 1561609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1561622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561643 */     // GIR_Coverage, 21096,
     /* 1561643 */     GIR_EraseRootFromParent_Done,
     /* 1561644 */   // Label 21631: @1561644
     /* 1561644 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1561726), // Rule ID 21099 //
     /* 1561649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561688 */     // MIs[0] round
     /* 1561688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561691 */     // MIs[0] policy
     /* 1561691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561701 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1561704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561725 */     // GIR_Coverage, 21099,
     /* 1561725 */     GIR_EraseRootFromParent_Done,
     /* 1561726 */   // Label 21632: @1561726
     /* 1561726 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1561808), // Rule ID 21100 //
     /* 1561731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561770 */     // MIs[0] round
     /* 1561770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561773 */     // MIs[0] policy
     /* 1561773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1561786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561807 */     // GIR_Coverage, 21100,
     /* 1561807 */     GIR_EraseRootFromParent_Done,
     /* 1561808 */   // Label 21633: @1561808
     /* 1561808 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1561890), // Rule ID 21103 //
     /* 1561813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1561830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561852 */     // MIs[0] round
     /* 1561852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561855 */     // MIs[0] policy
     /* 1561855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561865 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1561868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561889 */     // GIR_Coverage, 21103,
     /* 1561889 */     GIR_EraseRootFromParent_Done,
     /* 1561890 */   // Label 21634: @1561890
     /* 1561890 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1561972), // Rule ID 21104 //
     /* 1561895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1561912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561934 */     // MIs[0] round
     /* 1561934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561937 */     // MIs[0] policy
     /* 1561937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1561950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561971 */     // GIR_Coverage, 21104,
     /* 1561971 */     GIR_EraseRootFromParent_Done,
     /* 1561972 */   // Label 21635: @1561972
     /* 1561972 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1562054), // Rule ID 21107 //
     /* 1561977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1561994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562016 */     // MIs[0] round
     /* 1562016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562019 */     // MIs[0] policy
     /* 1562019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562029 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562053 */     // GIR_Coverage, 21107,
     /* 1562053 */     GIR_EraseRootFromParent_Done,
     /* 1562054 */   // Label 21636: @1562054
     /* 1562054 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1562136), // Rule ID 21108 //
     /* 1562059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562098 */     // MIs[0] round
     /* 1562098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562101 */     // MIs[0] policy
     /* 1562101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562135 */     // GIR_Coverage, 21108,
     /* 1562135 */     GIR_EraseRootFromParent_Done,
     /* 1562136 */   // Label 21637: @1562136
     /* 1562136 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1562218), // Rule ID 21111 //
     /* 1562141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562180 */     // MIs[0] round
     /* 1562180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562183 */     // MIs[0] policy
     /* 1562183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562217 */     // GIR_Coverage, 21111,
     /* 1562217 */     GIR_EraseRootFromParent_Done,
     /* 1562218 */   // Label 21638: @1562218
     /* 1562218 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1562300), // Rule ID 21112 //
     /* 1562223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562262 */     // MIs[0] round
     /* 1562262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562265 */     // MIs[0] policy
     /* 1562265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562299 */     // GIR_Coverage, 21112,
     /* 1562299 */     GIR_EraseRootFromParent_Done,
     /* 1562300 */   // Label 21639: @1562300
     /* 1562300 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1562382), // Rule ID 21115 //
     /* 1562305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562344 */     // MIs[0] round
     /* 1562344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562347 */     // MIs[0] policy
     /* 1562347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562357 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562381 */     // GIR_Coverage, 21115,
     /* 1562381 */     GIR_EraseRootFromParent_Done,
     /* 1562382 */   // Label 21640: @1562382
     /* 1562382 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1562464), // Rule ID 21116 //
     /* 1562387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562426 */     // MIs[0] round
     /* 1562426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562429 */     // MIs[0] policy
     /* 1562429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562463 */     // GIR_Coverage, 21116,
     /* 1562463 */     GIR_EraseRootFromParent_Done,
     /* 1562464 */   // Label 21641: @1562464
     /* 1562464 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1562546), // Rule ID 21119 //
     /* 1562469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562508 */     // MIs[0] round
     /* 1562508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562511 */     // MIs[0] policy
     /* 1562511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562545 */     // GIR_Coverage, 21119,
     /* 1562545 */     GIR_EraseRootFromParent_Done,
     /* 1562546 */   // Label 21642: @1562546
     /* 1562546 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1562628), // Rule ID 21120 //
     /* 1562551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562590 */     // MIs[0] round
     /* 1562590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562593 */     // MIs[0] policy
     /* 1562593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562627 */     // GIR_Coverage, 21120,
     /* 1562627 */     GIR_EraseRootFromParent_Done,
     /* 1562628 */   // Label 21643: @1562628
     /* 1562628 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1562710), // Rule ID 21123 //
     /* 1562633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1562644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1562647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562672 */     // MIs[0] round
     /* 1562672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562675 */     // MIs[0] policy
     /* 1562675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562685 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562709 */     // GIR_Coverage, 21123,
     /* 1562709 */     GIR_EraseRootFromParent_Done,
     /* 1562710 */   // Label 21644: @1562710
     /* 1562710 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1562792), // Rule ID 21124 //
     /* 1562715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1562726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1562729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562754 */     // MIs[0] round
     /* 1562754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562757 */     // MIs[0] policy
     /* 1562757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562791 */     // GIR_Coverage, 21124,
     /* 1562791 */     GIR_EraseRootFromParent_Done,
     /* 1562792 */   // Label 21645: @1562792
     /* 1562792 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1562874), // Rule ID 21127 //
     /* 1562797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562836 */     // MIs[0] round
     /* 1562836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562839 */     // MIs[0] policy
     /* 1562839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562873 */     // GIR_Coverage, 21127,
     /* 1562873 */     GIR_EraseRootFromParent_Done,
     /* 1562874 */   // Label 21646: @1562874
     /* 1562874 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1562956), // Rule ID 21128 //
     /* 1562879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562918 */     // MIs[0] round
     /* 1562918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562921 */     // MIs[0] policy
     /* 1562921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562931 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562955 */     // GIR_Coverage, 21128,
     /* 1562955 */     GIR_EraseRootFromParent_Done,
     /* 1562956 */   // Label 21647: @1562956
     /* 1562956 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1563038), // Rule ID 21479 //
     /* 1562961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1562972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1562975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1562978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563000 */     // MIs[0] round
     /* 1563000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563003 */     // MIs[0] policy
     /* 1563003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1563016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563037 */     // GIR_Coverage, 21479,
     /* 1563037 */     GIR_EraseRootFromParent_Done,
     /* 1563038 */   // Label 21648: @1563038
     /* 1563038 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1563120), // Rule ID 21480 //
     /* 1563043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1563060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563082 */     // MIs[0] round
     /* 1563082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563085 */     // MIs[0] policy
     /* 1563085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563095 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1563098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563119 */     // GIR_Coverage, 21480,
     /* 1563119 */     GIR_EraseRootFromParent_Done,
     /* 1563120 */   // Label 21649: @1563120
     /* 1563120 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1563202), // Rule ID 21483 //
     /* 1563125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563164 */     // MIs[0] round
     /* 1563164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563167 */     // MIs[0] policy
     /* 1563167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563177 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563201 */     // GIR_Coverage, 21483,
     /* 1563201 */     GIR_EraseRootFromParent_Done,
     /* 1563202 */   // Label 21650: @1563202
     /* 1563202 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1563284), // Rule ID 21484 //
     /* 1563207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563246 */     // MIs[0] round
     /* 1563246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563249 */     // MIs[0] policy
     /* 1563249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563259 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563283 */     // GIR_Coverage, 21484,
     /* 1563283 */     GIR_EraseRootFromParent_Done,
     /* 1563284 */   // Label 21651: @1563284
     /* 1563284 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1563366), // Rule ID 21487 //
     /* 1563289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563328 */     // MIs[0] round
     /* 1563328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563331 */     // MIs[0] policy
     /* 1563331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563341 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563365 */     // GIR_Coverage, 21487,
     /* 1563365 */     GIR_EraseRootFromParent_Done,
     /* 1563366 */   // Label 21652: @1563366
     /* 1563366 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1563448), // Rule ID 21488 //
     /* 1563371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563410 */     // MIs[0] round
     /* 1563410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563413 */     // MIs[0] policy
     /* 1563413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563423 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563447 */     // GIR_Coverage, 21488,
     /* 1563447 */     GIR_EraseRootFromParent_Done,
     /* 1563448 */   // Label 21653: @1563448
     /* 1563448 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1563530), // Rule ID 21491 //
     /* 1563453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563492 */     // MIs[0] round
     /* 1563492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563495 */     // MIs[0] policy
     /* 1563495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563505 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563529 */     // GIR_Coverage, 21491,
     /* 1563529 */     GIR_EraseRootFromParent_Done,
     /* 1563530 */   // Label 21654: @1563530
     /* 1563530 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1563612), // Rule ID 21492 //
     /* 1563535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563574 */     // MIs[0] round
     /* 1563574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563577 */     // MIs[0] policy
     /* 1563577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563611 */     // GIR_Coverage, 21492,
     /* 1563611 */     GIR_EraseRootFromParent_Done,
     /* 1563612 */   // Label 21655: @1563612
     /* 1563612 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1563694), // Rule ID 21495 //
     /* 1563617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1563628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1563631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563656 */     // MIs[0] round
     /* 1563656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563659 */     // MIs[0] policy
     /* 1563659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563669 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563693 */     // GIR_Coverage, 21495,
     /* 1563693 */     GIR_EraseRootFromParent_Done,
     /* 1563694 */   // Label 21656: @1563694
     /* 1563694 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1563776), // Rule ID 21496 //
     /* 1563699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1563710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1563713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563738 */     // MIs[0] round
     /* 1563738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563741 */     // MIs[0] policy
     /* 1563741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563775 */     // GIR_Coverage, 21496,
     /* 1563775 */     GIR_EraseRootFromParent_Done,
     /* 1563776 */   // Label 21657: @1563776
     /* 1563776 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1563858), // Rule ID 21499 //
     /* 1563781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1563792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1563795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563820 */     // MIs[0] round
     /* 1563820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563823 */     // MIs[0] policy
     /* 1563823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1563836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563857 */     // GIR_Coverage, 21499,
     /* 1563857 */     GIR_EraseRootFromParent_Done,
     /* 1563858 */   // Label 21658: @1563858
     /* 1563858 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1563940), // Rule ID 21500 //
     /* 1563863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1563874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1563877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563902 */     // MIs[0] round
     /* 1563902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563905 */     // MIs[0] policy
     /* 1563905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563915 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1563918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563939 */     // GIR_Coverage, 21500,
     /* 1563939 */     GIR_EraseRootFromParent_Done,
     /* 1563940 */   // Label 21659: @1563940
     /* 1563940 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1564022), // Rule ID 21503 //
     /* 1563945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1563962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563984 */     // MIs[0] round
     /* 1563984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563987 */     // MIs[0] policy
     /* 1563987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1564000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564021 */     // GIR_Coverage, 21503,
     /* 1564021 */     GIR_EraseRootFromParent_Done,
     /* 1564022 */   // Label 21660: @1564022
     /* 1564022 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1564104), // Rule ID 21504 //
     /* 1564027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564066 */     // MIs[0] round
     /* 1564066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564069 */     // MIs[0] policy
     /* 1564069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1564082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564103 */     // GIR_Coverage, 21504,
     /* 1564103 */     GIR_EraseRootFromParent_Done,
     /* 1564104 */   // Label 21661: @1564104
     /* 1564104 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1564186), // Rule ID 21507 //
     /* 1564109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564148 */     // MIs[0] round
     /* 1564148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564151 */     // MIs[0] policy
     /* 1564151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564161 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564185 */     // GIR_Coverage, 21507,
     /* 1564185 */     GIR_EraseRootFromParent_Done,
     /* 1564186 */   // Label 21662: @1564186
     /* 1564186 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1564268), // Rule ID 21508 //
     /* 1564191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564230 */     // MIs[0] round
     /* 1564230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564233 */     // MIs[0] policy
     /* 1564233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564267 */     // GIR_Coverage, 21508,
     /* 1564267 */     GIR_EraseRootFromParent_Done,
     /* 1564268 */   // Label 21663: @1564268
     /* 1564268 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1564350), // Rule ID 21511 //
     /* 1564273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564312 */     // MIs[0] round
     /* 1564312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564315 */     // MIs[0] policy
     /* 1564315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564325 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564349 */     // GIR_Coverage, 21511,
     /* 1564349 */     GIR_EraseRootFromParent_Done,
     /* 1564350 */   // Label 21664: @1564350
     /* 1564350 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1564432), // Rule ID 21512 //
     /* 1564355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564394 */     // MIs[0] round
     /* 1564394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564397 */     // MIs[0] policy
     /* 1564397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564431 */     // GIR_Coverage, 21512,
     /* 1564431 */     GIR_EraseRootFromParent_Done,
     /* 1564432 */   // Label 21665: @1564432
     /* 1564432 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1564514), // Rule ID 21515 //
     /* 1564437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564476 */     // MIs[0] round
     /* 1564476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564479 */     // MIs[0] policy
     /* 1564479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564489 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564513 */     // GIR_Coverage, 21515,
     /* 1564513 */     GIR_EraseRootFromParent_Done,
     /* 1564514 */   // Label 21666: @1564514
     /* 1564514 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1564596), // Rule ID 21516 //
     /* 1564519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564558 */     // MIs[0] round
     /* 1564558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564561 */     // MIs[0] policy
     /* 1564561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564571 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564595 */     // GIR_Coverage, 21516,
     /* 1564595 */     GIR_EraseRootFromParent_Done,
     /* 1564596 */   // Label 21667: @1564596
     /* 1564596 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1564678), // Rule ID 21519 //
     /* 1564601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1564615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564640 */     // MIs[0] round
     /* 1564640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564643 */     // MIs[0] policy
     /* 1564643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564653 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564677 */     // GIR_Coverage, 21519,
     /* 1564677 */     GIR_EraseRootFromParent_Done,
     /* 1564678 */   // Label 21668: @1564678
     /* 1564678 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1564760), // Rule ID 21520 //
     /* 1564683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1564697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564722 */     // MIs[0] round
     /* 1564722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564725 */     // MIs[0] policy
     /* 1564725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564759 */     // GIR_Coverage, 21520,
     /* 1564759 */     GIR_EraseRootFromParent_Done,
     /* 1564760 */   // Label 21669: @1564760
     /* 1564760 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1564842), // Rule ID 21523 //
     /* 1564765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1564768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564804 */     // MIs[0] round
     /* 1564804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564807 */     // MIs[0] policy
     /* 1564807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564841 */     // GIR_Coverage, 21523,
     /* 1564841 */     GIR_EraseRootFromParent_Done,
     /* 1564842 */   // Label 21670: @1564842
     /* 1564842 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1564924), // Rule ID 21524 //
     /* 1564847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1564850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564886 */     // MIs[0] round
     /* 1564886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564889 */     // MIs[0] policy
     /* 1564889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564923 */     // GIR_Coverage, 21524,
     /* 1564923 */     GIR_EraseRootFromParent_Done,
     /* 1564924 */   // Label 21671: @1564924
     /* 1564924 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1565006), // Rule ID 21527 //
     /* 1564929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1564932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564968 */     // MIs[0] round
     /* 1564968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564971 */     // MIs[0] policy
     /* 1564971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564981 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565005 */     // GIR_Coverage, 21527,
     /* 1565005 */     GIR_EraseRootFromParent_Done,
     /* 1565006 */   // Label 21672: @1565006
     /* 1565006 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1565088), // Rule ID 21528 //
     /* 1565011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565050 */     // MIs[0] round
     /* 1565050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565053 */     // MIs[0] policy
     /* 1565053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1565066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565074 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565087 */     // GIR_Coverage, 21528,
     /* 1565087 */     GIR_EraseRootFromParent_Done,
     /* 1565088 */   // Label 21673: @1565088
     /* 1565088 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1565170), // Rule ID 21531 //
     /* 1565093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565132 */     // MIs[0] round
     /* 1565132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565135 */     // MIs[0] policy
     /* 1565135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565169 */     // GIR_Coverage, 21531,
     /* 1565169 */     GIR_EraseRootFromParent_Done,
     /* 1565170 */   // Label 21674: @1565170
     /* 1565170 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1565252), // Rule ID 21532 //
     /* 1565175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565214 */     // MIs[0] round
     /* 1565214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565217 */     // MIs[0] policy
     /* 1565217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565251 */     // GIR_Coverage, 21532,
     /* 1565251 */     GIR_EraseRootFromParent_Done,
     /* 1565252 */   // Label 21675: @1565252
     /* 1565252 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1565334), // Rule ID 21535 //
     /* 1565257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565296 */     // MIs[0] round
     /* 1565296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565299 */     // MIs[0] policy
     /* 1565299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565333 */     // GIR_Coverage, 21535,
     /* 1565333 */     GIR_EraseRootFromParent_Done,
     /* 1565334 */   // Label 21676: @1565334
     /* 1565334 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1565416), // Rule ID 21536 //
     /* 1565339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565378 */     // MIs[0] round
     /* 1565378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565381 */     // MIs[0] policy
     /* 1565381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565391 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565415 */     // GIR_Coverage, 21536,
     /* 1565415 */     GIR_EraseRootFromParent_Done,
     /* 1565416 */   // Label 21677: @1565416
     /* 1565416 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1565498), // Rule ID 21539 //
     /* 1565421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565460 */     // MIs[0] round
     /* 1565460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565463 */     // MIs[0] policy
     /* 1565463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565473 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565497 */     // GIR_Coverage, 21539,
     /* 1565497 */     GIR_EraseRootFromParent_Done,
     /* 1565498 */   // Label 21678: @1565498
     /* 1565498 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1565580), // Rule ID 21540 //
     /* 1565503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565542 */     // MIs[0] round
     /* 1565542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565545 */     // MIs[0] policy
     /* 1565545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565579 */     // GIR_Coverage, 21540,
     /* 1565579 */     GIR_EraseRootFromParent_Done,
     /* 1565580 */   // Label 21679: @1565580
     /* 1565580 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1565662), // Rule ID 21543 //
     /* 1565585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1565596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1565599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1565602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565624 */     // MIs[0] round
     /* 1565624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565627 */     // MIs[0] policy
     /* 1565627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565637 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1565640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565661 */     // GIR_Coverage, 21543,
     /* 1565661 */     GIR_EraseRootFromParent_Done,
     /* 1565662 */   // Label 21680: @1565662
     /* 1565662 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1565744), // Rule ID 21544 //
     /* 1565667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1565678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1565681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1565684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565706 */     // MIs[0] round
     /* 1565706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565709 */     // MIs[0] policy
     /* 1565709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565719 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1565722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565743 */     // GIR_Coverage, 21544,
     /* 1565743 */     GIR_EraseRootFromParent_Done,
     /* 1565744 */   // Label 21681: @1565744
     /* 1565744 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1565826), // Rule ID 21547 //
     /* 1565749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1565760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1565763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1565766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565788 */     // MIs[0] round
     /* 1565788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565791 */     // MIs[0] policy
     /* 1565791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565801 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1565804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565825 */     // GIR_Coverage, 21547,
     /* 1565825 */     GIR_EraseRootFromParent_Done,
     /* 1565826 */   // Label 21682: @1565826
     /* 1565826 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1565908), // Rule ID 21548 //
     /* 1565831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1565842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1565845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1565848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565870 */     // MIs[0] round
     /* 1565870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565873 */     // MIs[0] policy
     /* 1565873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1565886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565907 */     // GIR_Coverage, 21548,
     /* 1565907 */     GIR_EraseRootFromParent_Done,
     /* 1565908 */   // Label 21683: @1565908
     /* 1565908 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1565990), // Rule ID 21551 //
     /* 1565913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1565924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1565927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565952 */     // MIs[0] round
     /* 1565952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565955 */     // MIs[0] policy
     /* 1565955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1565968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565989 */     // GIR_Coverage, 21551,
     /* 1565989 */     GIR_EraseRootFromParent_Done,
     /* 1565990 */   // Label 21684: @1565990
     /* 1565990 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1566072), // Rule ID 21552 //
     /* 1565995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1566006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1566009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566034 */     // MIs[0] round
     /* 1566034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566037 */     // MIs[0] policy
     /* 1566037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566071 */     // GIR_Coverage, 21552,
     /* 1566071 */     GIR_EraseRootFromParent_Done,
     /* 1566072 */   // Label 21685: @1566072
     /* 1566072 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1566154), // Rule ID 21555 //
     /* 1566077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566116 */     // MIs[0] round
     /* 1566116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566119 */     // MIs[0] policy
     /* 1566119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566129 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566153 */     // GIR_Coverage, 21555,
     /* 1566153 */     GIR_EraseRootFromParent_Done,
     /* 1566154 */   // Label 21686: @1566154
     /* 1566154 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1566236), // Rule ID 21556 //
     /* 1566159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566198 */     // MIs[0] round
     /* 1566198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566201 */     // MIs[0] policy
     /* 1566201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566235 */     // GIR_Coverage, 21556,
     /* 1566235 */     GIR_EraseRootFromParent_Done,
     /* 1566236 */   // Label 21687: @1566236
     /* 1566236 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1566318), // Rule ID 21559 //
     /* 1566241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566280 */     // MIs[0] round
     /* 1566280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566283 */     // MIs[0] policy
     /* 1566283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566293 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566317 */     // GIR_Coverage, 21559,
     /* 1566317 */     GIR_EraseRootFromParent_Done,
     /* 1566318 */   // Label 21688: @1566318
     /* 1566318 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1566400), // Rule ID 21560 //
     /* 1566323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566362 */     // MIs[0] round
     /* 1566362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566365 */     // MIs[0] policy
     /* 1566365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566375 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566399 */     // GIR_Coverage, 21560,
     /* 1566399 */     GIR_EraseRootFromParent_Done,
     /* 1566400 */   // Label 21689: @1566400
     /* 1566400 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1566482), // Rule ID 21563 //
     /* 1566405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566444 */     // MIs[0] round
     /* 1566444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566447 */     // MIs[0] policy
     /* 1566447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566457 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566481 */     // GIR_Coverage, 21563,
     /* 1566481 */     GIR_EraseRootFromParent_Done,
     /* 1566482 */   // Label 21690: @1566482
     /* 1566482 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1566564), // Rule ID 21564 //
     /* 1566487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566526 */     // MIs[0] round
     /* 1566526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566529 */     // MIs[0] policy
     /* 1566529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566539 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566563 */     // GIR_Coverage, 21564,
     /* 1566563 */     GIR_EraseRootFromParent_Done,
     /* 1566564 */   // Label 21691: @1566564
     /* 1566564 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1566646), // Rule ID 21567 //
     /* 1566569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566608 */     // MIs[0] round
     /* 1566608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566611 */     // MIs[0] policy
     /* 1566611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566621 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566645 */     // GIR_Coverage, 21567,
     /* 1566645 */     GIR_EraseRootFromParent_Done,
     /* 1566646 */   // Label 21692: @1566646
     /* 1566646 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1566728), // Rule ID 21568 //
     /* 1566651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566690 */     // MIs[0] round
     /* 1566690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566693 */     // MIs[0] policy
     /* 1566693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566703 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566727 */     // GIR_Coverage, 21568,
     /* 1566727 */     GIR_EraseRootFromParent_Done,
     /* 1566728 */   // Label 21693: @1566728
     /* 1566728 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1566810), // Rule ID 21571 //
     /* 1566733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566772 */     // MIs[0] round
     /* 1566772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566775 */     // MIs[0] policy
     /* 1566775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566809 */     // GIR_Coverage, 21571,
     /* 1566809 */     GIR_EraseRootFromParent_Done,
     /* 1566810 */   // Label 21694: @1566810
     /* 1566810 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1566892), // Rule ID 21572 //
     /* 1566815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566854 */     // MIs[0] round
     /* 1566854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566857 */     // MIs[0] policy
     /* 1566857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566891 */     // GIR_Coverage, 21572,
     /* 1566891 */     GIR_EraseRootFromParent_Done,
     /* 1566892 */   // Label 21695: @1566892
     /* 1566892 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1566974), // Rule ID 21575 //
     /* 1566897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566936 */     // MIs[0] round
     /* 1566936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566939 */     // MIs[0] policy
     /* 1566939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566973 */     // GIR_Coverage, 21575,
     /* 1566973 */     GIR_EraseRootFromParent_Done,
     /* 1566974 */   // Label 21696: @1566974
     /* 1566974 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1567056), // Rule ID 21576 //
     /* 1566979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567018 */     // MIs[0] round
     /* 1567018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567021 */     // MIs[0] policy
     /* 1567021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567055 */     // GIR_Coverage, 21576,
     /* 1567055 */     GIR_EraseRootFromParent_Done,
     /* 1567056 */   // Label 21697: @1567056
     /* 1567056 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1567138), // Rule ID 21579 //
     /* 1567061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567100 */     // MIs[0] round
     /* 1567100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567103 */     // MIs[0] policy
     /* 1567103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567137 */     // GIR_Coverage, 21579,
     /* 1567137 */     GIR_EraseRootFromParent_Done,
     /* 1567138 */   // Label 21698: @1567138
     /* 1567138 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1567220), // Rule ID 21580 //
     /* 1567143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567182 */     // MIs[0] round
     /* 1567182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567185 */     // MIs[0] policy
     /* 1567185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567195 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567219 */     // GIR_Coverage, 21580,
     /* 1567219 */     GIR_EraseRootFromParent_Done,
     /* 1567220 */   // Label 21699: @1567220
     /* 1567220 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1567302), // Rule ID 21583 //
     /* 1567225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567264 */     // MIs[0] round
     /* 1567264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567267 */     // MIs[0] policy
     /* 1567267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567301 */     // GIR_Coverage, 21583,
     /* 1567301 */     GIR_EraseRootFromParent_Done,
     /* 1567302 */   // Label 21700: @1567302
     /* 1567302 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1567384), // Rule ID 21584 //
     /* 1567307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567346 */     // MIs[0] round
     /* 1567346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567349 */     // MIs[0] policy
     /* 1567349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567383 */     // GIR_Coverage, 21584,
     /* 1567383 */     GIR_EraseRootFromParent_Done,
     /* 1567384 */   // Label 21701: @1567384
     /* 1567384 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1567466), // Rule ID 21587 //
     /* 1567389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567428 */     // MIs[0] round
     /* 1567428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567431 */     // MIs[0] policy
     /* 1567431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567465 */     // GIR_Coverage, 21587,
     /* 1567465 */     GIR_EraseRootFromParent_Done,
     /* 1567466 */   // Label 21702: @1567466
     /* 1567466 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1567548), // Rule ID 21588 //
     /* 1567471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567510 */     // MIs[0] round
     /* 1567510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567513 */     // MIs[0] policy
     /* 1567513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567547 */     // GIR_Coverage, 21588,
     /* 1567547 */     GIR_EraseRootFromParent_Done,
     /* 1567548 */   // Label 21703: @1567548
     /* 1567548 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1567630), // Rule ID 21591 //
     /* 1567553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567592 */     // MIs[0] round
     /* 1567592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567595 */     // MIs[0] policy
     /* 1567595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567629 */     // GIR_Coverage, 21591,
     /* 1567629 */     GIR_EraseRootFromParent_Done,
     /* 1567630 */   // Label 21704: @1567630
     /* 1567630 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1567712), // Rule ID 21592 //
     /* 1567635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567674 */     // MIs[0] round
     /* 1567674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567677 */     // MIs[0] policy
     /* 1567677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567711 */     // GIR_Coverage, 21592,
     /* 1567711 */     GIR_EraseRootFromParent_Done,
     /* 1567712 */   // Label 21705: @1567712
     /* 1567712 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1567794), // Rule ID 21595 //
     /* 1567717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567756 */     // MIs[0] round
     /* 1567756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567759 */     // MIs[0] policy
     /* 1567759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567793 */     // GIR_Coverage, 21595,
     /* 1567793 */     GIR_EraseRootFromParent_Done,
     /* 1567794 */   // Label 21706: @1567794
     /* 1567794 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1567876), // Rule ID 21596 //
     /* 1567799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567838 */     // MIs[0] round
     /* 1567838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567841 */     // MIs[0] policy
     /* 1567841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567875 */     // GIR_Coverage, 21596,
     /* 1567875 */     GIR_EraseRootFromParent_Done,
     /* 1567876 */   // Label 21707: @1567876
     /* 1567876 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1567958), // Rule ID 21719 //
     /* 1567881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1567892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1567895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1567898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567920 */     // MIs[0] round
     /* 1567920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567923 */     // MIs[0] policy
     /* 1567923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567933 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1567936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567957 */     // GIR_Coverage, 21719,
     /* 1567957 */     GIR_EraseRootFromParent_Done,
     /* 1567958 */   // Label 21708: @1567958
     /* 1567958 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1568040), // Rule ID 21720 //
     /* 1567963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1567974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1567977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1567980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568002 */     // MIs[0] round
     /* 1568002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568005 */     // MIs[0] policy
     /* 1568005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568015 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1568018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568039 */     // GIR_Coverage, 21720,
     /* 1568039 */     GIR_EraseRootFromParent_Done,
     /* 1568040 */   // Label 21709: @1568040
     /* 1568040 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1568122), // Rule ID 21723 //
     /* 1568045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568084 */     // MIs[0] round
     /* 1568084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568087 */     // MIs[0] policy
     /* 1568087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568097 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568121 */     // GIR_Coverage, 21723,
     /* 1568121 */     GIR_EraseRootFromParent_Done,
     /* 1568122 */   // Label 21710: @1568122
     /* 1568122 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1568204), // Rule ID 21724 //
     /* 1568127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568166 */     // MIs[0] round
     /* 1568166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568169 */     // MIs[0] policy
     /* 1568169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568179 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568203 */     // GIR_Coverage, 21724,
     /* 1568203 */     GIR_EraseRootFromParent_Done,
     /* 1568204 */   // Label 21711: @1568204
     /* 1568204 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1568286), // Rule ID 21727 //
     /* 1568209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568248 */     // MIs[0] round
     /* 1568248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568251 */     // MIs[0] policy
     /* 1568251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568261 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568285 */     // GIR_Coverage, 21727,
     /* 1568285 */     GIR_EraseRootFromParent_Done,
     /* 1568286 */   // Label 21712: @1568286
     /* 1568286 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1568368), // Rule ID 21728 //
     /* 1568291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568330 */     // MIs[0] round
     /* 1568330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568333 */     // MIs[0] policy
     /* 1568333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568343 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568367 */     // GIR_Coverage, 21728,
     /* 1568367 */     GIR_EraseRootFromParent_Done,
     /* 1568368 */   // Label 21713: @1568368
     /* 1568368 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1568450), // Rule ID 21731 //
     /* 1568373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568412 */     // MIs[0] round
     /* 1568412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568415 */     // MIs[0] policy
     /* 1568415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568425 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568449 */     // GIR_Coverage, 21731,
     /* 1568449 */     GIR_EraseRootFromParent_Done,
     /* 1568450 */   // Label 21714: @1568450
     /* 1568450 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1568532), // Rule ID 21732 //
     /* 1568455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568494 */     // MIs[0] round
     /* 1568494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568497 */     // MIs[0] policy
     /* 1568497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568507 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568531 */     // GIR_Coverage, 21732,
     /* 1568531 */     GIR_EraseRootFromParent_Done,
     /* 1568532 */   // Label 21715: @1568532
     /* 1568532 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1568614), // Rule ID 21735 //
     /* 1568537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568576 */     // MIs[0] round
     /* 1568576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568579 */     // MIs[0] policy
     /* 1568579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568589 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1568592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568613 */     // GIR_Coverage, 21735,
     /* 1568613 */     GIR_EraseRootFromParent_Done,
     /* 1568614 */   // Label 21716: @1568614
     /* 1568614 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1568696), // Rule ID 21736 //
     /* 1568619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568658 */     // MIs[0] round
     /* 1568658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568661 */     // MIs[0] policy
     /* 1568661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568671 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1568674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568695 */     // GIR_Coverage, 21736,
     /* 1568695 */     GIR_EraseRootFromParent_Done,
     /* 1568696 */   // Label 21717: @1568696
     /* 1568696 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1568778), // Rule ID 21739 //
     /* 1568701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1568718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568740 */     // MIs[0] round
     /* 1568740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568743 */     // MIs[0] policy
     /* 1568743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568753 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1568756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568777 */     // GIR_Coverage, 21739,
     /* 1568777 */     GIR_EraseRootFromParent_Done,
     /* 1568778 */   // Label 21718: @1568778
     /* 1568778 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1568860), // Rule ID 21740 //
     /* 1568783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1568800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568822 */     // MIs[0] round
     /* 1568822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568825 */     // MIs[0] policy
     /* 1568825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568835 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1568838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568859 */     // GIR_Coverage, 21740,
     /* 1568859 */     GIR_EraseRootFromParent_Done,
     /* 1568860 */   // Label 21719: @1568860
     /* 1568860 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1568942), // Rule ID 21743 //
     /* 1568865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1568882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568904 */     // MIs[0] round
     /* 1568904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568907 */     // MIs[0] policy
     /* 1568907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568917 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1568920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568941 */     // GIR_Coverage, 21743,
     /* 1568941 */     GIR_EraseRootFromParent_Done,
     /* 1568942 */   // Label 21720: @1568942
     /* 1568942 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1569024), // Rule ID 21744 //
     /* 1568947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1568964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568986 */     // MIs[0] round
     /* 1568986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568989 */     // MIs[0] policy
     /* 1568989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568999 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1569002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569023 */     // GIR_Coverage, 21744,
     /* 1569023 */     GIR_EraseRootFromParent_Done,
     /* 1569024 */   // Label 21721: @1569024
     /* 1569024 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1569106), // Rule ID 21747 //
     /* 1569029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569068 */     // MIs[0] round
     /* 1569068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569071 */     // MIs[0] policy
     /* 1569071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569081 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569105 */     // GIR_Coverage, 21747,
     /* 1569105 */     GIR_EraseRootFromParent_Done,
     /* 1569106 */   // Label 21722: @1569106
     /* 1569106 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1569188), // Rule ID 21748 //
     /* 1569111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569150 */     // MIs[0] round
     /* 1569150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569153 */     // MIs[0] policy
     /* 1569153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569163 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569187 */     // GIR_Coverage, 21748,
     /* 1569187 */     GIR_EraseRootFromParent_Done,
     /* 1569188 */   // Label 21723: @1569188
     /* 1569188 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1569270), // Rule ID 21751 //
     /* 1569193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569232 */     // MIs[0] round
     /* 1569232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569235 */     // MIs[0] policy
     /* 1569235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569245 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569269 */     // GIR_Coverage, 21751,
     /* 1569269 */     GIR_EraseRootFromParent_Done,
     /* 1569270 */   // Label 21724: @1569270
     /* 1569270 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1569352), // Rule ID 21752 //
     /* 1569275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569314 */     // MIs[0] round
     /* 1569314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569317 */     // MIs[0] policy
     /* 1569317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569327 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569351 */     // GIR_Coverage, 21752,
     /* 1569351 */     GIR_EraseRootFromParent_Done,
     /* 1569352 */   // Label 21725: @1569352
     /* 1569352 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1569434), // Rule ID 21755 //
     /* 1569357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569396 */     // MIs[0] round
     /* 1569396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569399 */     // MIs[0] policy
     /* 1569399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569409 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569433 */     // GIR_Coverage, 21755,
     /* 1569433 */     GIR_EraseRootFromParent_Done,
     /* 1569434 */   // Label 21726: @1569434
     /* 1569434 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1569516), // Rule ID 21756 //
     /* 1569439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569478 */     // MIs[0] round
     /* 1569478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569481 */     // MIs[0] policy
     /* 1569481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569491 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569502 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569515 */     // GIR_Coverage, 21756,
     /* 1569515 */     GIR_EraseRootFromParent_Done,
     /* 1569516 */   // Label 21727: @1569516
     /* 1569516 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1569598), // Rule ID 21759 //
     /* 1569521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569560 */     // MIs[0] round
     /* 1569560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569563 */     // MIs[0] policy
     /* 1569563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569573 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1569576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569597 */     // GIR_Coverage, 21759,
     /* 1569597 */     GIR_EraseRootFromParent_Done,
     /* 1569598 */   // Label 21728: @1569598
     /* 1569598 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1569680), // Rule ID 21760 //
     /* 1569603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569642 */     // MIs[0] round
     /* 1569642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569645 */     // MIs[0] policy
     /* 1569645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569655 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1569658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569679 */     // GIR_Coverage, 21760,
     /* 1569679 */     GIR_EraseRootFromParent_Done,
     /* 1569680 */   // Label 21729: @1569680
     /* 1569680 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1569762), // Rule ID 21763 //
     /* 1569685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569724 */     // MIs[0] round
     /* 1569724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569727 */     // MIs[0] policy
     /* 1569727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1569740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569761 */     // GIR_Coverage, 21763,
     /* 1569761 */     GIR_EraseRootFromParent_Done,
     /* 1569762 */   // Label 21730: @1569762
     /* 1569762 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1569844), // Rule ID 21764 //
     /* 1569767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569806 */     // MIs[0] round
     /* 1569806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569809 */     // MIs[0] policy
     /* 1569809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569819 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1569822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569843 */     // GIR_Coverage, 21764,
     /* 1569843 */     GIR_EraseRootFromParent_Done,
     /* 1569844 */   // Label 21731: @1569844
     /* 1569844 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1569926), // Rule ID 21767 //
     /* 1569849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569888 */     // MIs[0] round
     /* 1569888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569891 */     // MIs[0] policy
     /* 1569891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569901 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1569904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569925 */     // GIR_Coverage, 21767,
     /* 1569925 */     GIR_EraseRootFromParent_Done,
     /* 1569926 */   // Label 21732: @1569926
     /* 1569926 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1570008), // Rule ID 21768 //
     /* 1569931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569970 */     // MIs[0] round
     /* 1569970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569973 */     // MIs[0] policy
     /* 1569973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569983 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1569986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570007 */     // GIR_Coverage, 21768,
     /* 1570007 */     GIR_EraseRootFromParent_Done,
     /* 1570008 */   // Label 21733: @1570008
     /* 1570008 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1570090), // Rule ID 21771 //
     /* 1570013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570052 */     // MIs[0] round
     /* 1570052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570055 */     // MIs[0] policy
     /* 1570055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570065 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570089 */     // GIR_Coverage, 21771,
     /* 1570089 */     GIR_EraseRootFromParent_Done,
     /* 1570090 */   // Label 21734: @1570090
     /* 1570090 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1570172), // Rule ID 21772 //
     /* 1570095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570134 */     // MIs[0] round
     /* 1570134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570137 */     // MIs[0] policy
     /* 1570137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570147 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570171 */     // GIR_Coverage, 21772,
     /* 1570171 */     GIR_EraseRootFromParent_Done,
     /* 1570172 */   // Label 21735: @1570172
     /* 1570172 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1570254), // Rule ID 21775 //
     /* 1570177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570216 */     // MIs[0] round
     /* 1570216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570219 */     // MIs[0] policy
     /* 1570219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570229 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570253 */     // GIR_Coverage, 21775,
     /* 1570253 */     GIR_EraseRootFromParent_Done,
     /* 1570254 */   // Label 21736: @1570254
     /* 1570254 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1570336), // Rule ID 21776 //
     /* 1570259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570298 */     // MIs[0] round
     /* 1570298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570301 */     // MIs[0] policy
     /* 1570301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570311 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570335 */     // GIR_Coverage, 21776,
     /* 1570335 */     GIR_EraseRootFromParent_Done,
     /* 1570336 */   // Label 21737: @1570336
     /* 1570336 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1570418), // Rule ID 21779 //
     /* 1570341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570380 */     // MIs[0] round
     /* 1570380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570383 */     // MIs[0] policy
     /* 1570383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570393 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570417 */     // GIR_Coverage, 21779,
     /* 1570417 */     GIR_EraseRootFromParent_Done,
     /* 1570418 */   // Label 21738: @1570418
     /* 1570418 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1570500), // Rule ID 21780 //
     /* 1570423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570462 */     // MIs[0] round
     /* 1570462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570465 */     // MIs[0] policy
     /* 1570465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570475 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570499 */     // GIR_Coverage, 21780,
     /* 1570499 */     GIR_EraseRootFromParent_Done,
     /* 1570500 */   // Label 21739: @1570500
     /* 1570500 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1570582), // Rule ID 21783 //
     /* 1570505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570544 */     // MIs[0] round
     /* 1570544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570547 */     // MIs[0] policy
     /* 1570547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570557 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1570560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570581 */     // GIR_Coverage, 21783,
     /* 1570581 */     GIR_EraseRootFromParent_Done,
     /* 1570582 */   // Label 21740: @1570582
     /* 1570582 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1570664), // Rule ID 21784 //
     /* 1570587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570626 */     // MIs[0] round
     /* 1570626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570629 */     // MIs[0] policy
     /* 1570629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570639 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1570642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570663 */     // GIR_Coverage, 21784,
     /* 1570663 */     GIR_EraseRootFromParent_Done,
     /* 1570664 */   // Label 21741: @1570664
     /* 1570664 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1570746), // Rule ID 21787 //
     /* 1570669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1570686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570708 */     // MIs[0] round
     /* 1570708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570711 */     // MIs[0] policy
     /* 1570711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570721 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1570724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570745 */     // GIR_Coverage, 21787,
     /* 1570745 */     GIR_EraseRootFromParent_Done,
     /* 1570746 */   // Label 21742: @1570746
     /* 1570746 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1570828), // Rule ID 21788 //
     /* 1570751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1570768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570790 */     // MIs[0] round
     /* 1570790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570793 */     // MIs[0] policy
     /* 1570793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570803 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1570806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570827 */     // GIR_Coverage, 21788,
     /* 1570827 */     GIR_EraseRootFromParent_Done,
     /* 1570828 */   // Label 21743: @1570828
     /* 1570828 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1570910), // Rule ID 21791 //
     /* 1570833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1570836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570872 */     // MIs[0] round
     /* 1570872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570875 */     // MIs[0] policy
     /* 1570875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570885 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1570888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570909 */     // GIR_Coverage, 21791,
     /* 1570909 */     GIR_EraseRootFromParent_Done,
     /* 1570910 */   // Label 21744: @1570910
     /* 1570910 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1570992), // Rule ID 21792 //
     /* 1570915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1570918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570954 */     // MIs[0] round
     /* 1570954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570957 */     // MIs[0] policy
     /* 1570957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570967 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1570970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570991 */     // GIR_Coverage, 21792,
     /* 1570991 */     GIR_EraseRootFromParent_Done,
     /* 1570992 */   // Label 21745: @1570992
     /* 1570992 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1571074), // Rule ID 21795 //
     /* 1570997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571036 */     // MIs[0] round
     /* 1571036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571039 */     // MIs[0] policy
     /* 1571039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571049 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571073 */     // GIR_Coverage, 21795,
     /* 1571073 */     GIR_EraseRootFromParent_Done,
     /* 1571074 */   // Label 21746: @1571074
     /* 1571074 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1571156), // Rule ID 21796 //
     /* 1571079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571118 */     // MIs[0] round
     /* 1571118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571121 */     // MIs[0] policy
     /* 1571121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571131 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571155 */     // GIR_Coverage, 21796,
     /* 1571155 */     GIR_EraseRootFromParent_Done,
     /* 1571156 */   // Label 21747: @1571156
     /* 1571156 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1571238), // Rule ID 21799 //
     /* 1571161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571200 */     // MIs[0] round
     /* 1571200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571203 */     // MIs[0] policy
     /* 1571203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571213 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571237 */     // GIR_Coverage, 21799,
     /* 1571237 */     GIR_EraseRootFromParent_Done,
     /* 1571238 */   // Label 21748: @1571238
     /* 1571238 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1571320), // Rule ID 21800 //
     /* 1571243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571282 */     // MIs[0] round
     /* 1571282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571285 */     // MIs[0] policy
     /* 1571285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571295 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571319 */     // GIR_Coverage, 21800,
     /* 1571319 */     GIR_EraseRootFromParent_Done,
     /* 1571320 */   // Label 21749: @1571320
     /* 1571320 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1571402), // Rule ID 21803 //
     /* 1571325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571364 */     // MIs[0] round
     /* 1571364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571367 */     // MIs[0] policy
     /* 1571367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571377 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571401 */     // GIR_Coverage, 21803,
     /* 1571401 */     GIR_EraseRootFromParent_Done,
     /* 1571402 */   // Label 21750: @1571402
     /* 1571402 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1571484), // Rule ID 21804 //
     /* 1571407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571446 */     // MIs[0] round
     /* 1571446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571449 */     // MIs[0] policy
     /* 1571449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571459 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571483 */     // GIR_Coverage, 21804,
     /* 1571483 */     GIR_EraseRootFromParent_Done,
     /* 1571484 */   // Label 21751: @1571484
     /* 1571484 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1571566), // Rule ID 21807 //
     /* 1571489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571528 */     // MIs[0] round
     /* 1571528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571531 */     // MIs[0] policy
     /* 1571531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571541 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1571544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571565 */     // GIR_Coverage, 21807,
     /* 1571565 */     GIR_EraseRootFromParent_Done,
     /* 1571566 */   // Label 21752: @1571566
     /* 1571566 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1571648), // Rule ID 21808 //
     /* 1571571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571610 */     // MIs[0] round
     /* 1571610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571613 */     // MIs[0] policy
     /* 1571613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571623 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1571626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571647 */     // GIR_Coverage, 21808,
     /* 1571647 */     GIR_EraseRootFromParent_Done,
     /* 1571648 */   // Label 21753: @1571648
     /* 1571648 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1571730), // Rule ID 21811 //
     /* 1571653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571692 */     // MIs[0] round
     /* 1571692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571695 */     // MIs[0] policy
     /* 1571695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571705 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1571708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571729 */     // GIR_Coverage, 21811,
     /* 1571729 */     GIR_EraseRootFromParent_Done,
     /* 1571730 */   // Label 21754: @1571730
     /* 1571730 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1571812), // Rule ID 21812 //
     /* 1571735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571774 */     // MIs[0] round
     /* 1571774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571777 */     // MIs[0] policy
     /* 1571777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571787 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1571790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571811 */     // GIR_Coverage, 21812,
     /* 1571811 */     GIR_EraseRootFromParent_Done,
     /* 1571812 */   // Label 21755: @1571812
     /* 1571812 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1571894), // Rule ID 21815 //
     /* 1571817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571856 */     // MIs[0] round
     /* 1571856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571859 */     // MIs[0] policy
     /* 1571859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571869 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1571872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571893 */     // GIR_Coverage, 21815,
     /* 1571893 */     GIR_EraseRootFromParent_Done,
     /* 1571894 */   // Label 21756: @1571894
     /* 1571894 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1571976), // Rule ID 21816 //
     /* 1571899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571938 */     // MIs[0] round
     /* 1571938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571941 */     // MIs[0] policy
     /* 1571941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571951 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1571954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571975 */     // GIR_Coverage, 21816,
     /* 1571975 */     GIR_EraseRootFromParent_Done,
     /* 1571976 */   // Label 21757: @1571976
     /* 1571976 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1572058), // Rule ID 21819 //
     /* 1571981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572020 */     // MIs[0] round
     /* 1572020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572023 */     // MIs[0] policy
     /* 1572023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572033 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1572036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572057 */     // GIR_Coverage, 21819,
     /* 1572057 */     GIR_EraseRootFromParent_Done,
     /* 1572058 */   // Label 21758: @1572058
     /* 1572058 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1572140), // Rule ID 21820 //
     /* 1572063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572102 */     // MIs[0] round
     /* 1572102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572105 */     // MIs[0] policy
     /* 1572105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572115 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1572118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572126 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572139 */     // GIR_Coverage, 21820,
     /* 1572139 */     GIR_EraseRootFromParent_Done,
     /* 1572140 */   // Label 21759: @1572140
     /* 1572140 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1572222), // Rule ID 21823 //
     /* 1572145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572184 */     // MIs[0] round
     /* 1572184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572187 */     // MIs[0] policy
     /* 1572187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572197 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572221 */     // GIR_Coverage, 21823,
     /* 1572221 */     GIR_EraseRootFromParent_Done,
     /* 1572222 */   // Label 21760: @1572222
     /* 1572222 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1572304), // Rule ID 21824 //
     /* 1572227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572266 */     // MIs[0] round
     /* 1572266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572269 */     // MIs[0] policy
     /* 1572269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572279 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572303 */     // GIR_Coverage, 21824,
     /* 1572303 */     GIR_EraseRootFromParent_Done,
     /* 1572304 */   // Label 21761: @1572304
     /* 1572304 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1572386), // Rule ID 2641 //
     /* 1572309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572340 */     // MIs[0] passthru
     /* 1572340 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572353 */     // MIs[0] policy
     /* 1572353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572363 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572385 */     // GIR_Coverage, 2641,
     /* 1572385 */     GIR_EraseRootFromParent_Done,
     /* 1572386 */   // Label 21762: @1572386
     /* 1572386 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1572468), // Rule ID 2642 //
     /* 1572391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572422 */     // MIs[0] passthru
     /* 1572422 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572435 */     // MIs[0] policy
     /* 1572435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572467 */     // GIR_Coverage, 2642,
     /* 1572467 */     GIR_EraseRootFromParent_Done,
     /* 1572468 */   // Label 21763: @1572468
     /* 1572468 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1572550), // Rule ID 3949 //
     /* 1572473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572504 */     // MIs[0] passthru
     /* 1572504 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572517 */     // MIs[0] policy
     /* 1572517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572527 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572549 */     // GIR_Coverage, 3949,
     /* 1572549 */     GIR_EraseRootFromParent_Done,
     /* 1572550 */   // Label 21764: @1572550
     /* 1572550 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1572632), // Rule ID 3950 //
     /* 1572555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572586 */     // MIs[0] passthru
     /* 1572586 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572599 */     // MIs[0] policy
     /* 1572599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572631 */     // GIR_Coverage, 3950,
     /* 1572631 */     GIR_EraseRootFromParent_Done,
     /* 1572632 */   // Label 21765: @1572632
     /* 1572632 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1572714), // Rule ID 3959 //
     /* 1572637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1572654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572668 */     // MIs[0] passthru
     /* 1572668 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572681 */     // MIs[0] policy
     /* 1572681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1572694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572713 */     // GIR_Coverage, 3959,
     /* 1572713 */     GIR_EraseRootFromParent_Done,
     /* 1572714 */   // Label 21766: @1572714
     /* 1572714 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1572796), // Rule ID 3960 //
     /* 1572719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1572736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572750 */     // MIs[0] passthru
     /* 1572750 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572763 */     // MIs[0] policy
     /* 1572763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1572776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572795 */     // GIR_Coverage, 3960,
     /* 1572795 */     GIR_EraseRootFromParent_Done,
     /* 1572796 */   // Label 21767: @1572796
     /* 1572796 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1572878), // Rule ID 3969 //
     /* 1572801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1572818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572832 */     // MIs[0] passthru
     /* 1572832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572845 */     // MIs[0] policy
     /* 1572845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1572858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572877 */     // GIR_Coverage, 3969,
     /* 1572877 */     GIR_EraseRootFromParent_Done,
     /* 1572878 */   // Label 21768: @1572878
     /* 1572878 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1572960), // Rule ID 3970 //
     /* 1572883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1572900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572914 */     // MIs[0] passthru
     /* 1572914 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572927 */     // MIs[0] policy
     /* 1572927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1572940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572959 */     // GIR_Coverage, 3970,
     /* 1572959 */     GIR_EraseRootFromParent_Done,
     /* 1572960 */   // Label 21769: @1572960
     /* 1572960 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1573042), // Rule ID 3979 //
     /* 1572965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1572982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1572985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572996 */     // MIs[0] passthru
     /* 1572996 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573009 */     // MIs[0] policy
     /* 1573009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573041 */     // GIR_Coverage, 3979,
     /* 1573041 */     GIR_EraseRootFromParent_Done,
     /* 1573042 */   // Label 21770: @1573042
     /* 1573042 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1573124), // Rule ID 3980 //
     /* 1573047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573078 */     // MIs[0] passthru
     /* 1573078 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573091 */     // MIs[0] policy
     /* 1573091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573123 */     // GIR_Coverage, 3980,
     /* 1573123 */     GIR_EraseRootFromParent_Done,
     /* 1573124 */   // Label 21771: @1573124
     /* 1573124 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1573206), // Rule ID 3989 //
     /* 1573129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573160 */     // MIs[0] passthru
     /* 1573160 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573173 */     // MIs[0] policy
     /* 1573173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573183 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573205 */     // GIR_Coverage, 3989,
     /* 1573205 */     GIR_EraseRootFromParent_Done,
     /* 1573206 */   // Label 21772: @1573206
     /* 1573206 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1573288), // Rule ID 3990 //
     /* 1573211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573242 */     // MIs[0] passthru
     /* 1573242 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573255 */     // MIs[0] policy
     /* 1573255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573265 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573287 */     // GIR_Coverage, 3990,
     /* 1573287 */     GIR_EraseRootFromParent_Done,
     /* 1573288 */   // Label 21773: @1573288
     /* 1573288 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1573370), // Rule ID 3999 //
     /* 1573293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573324 */     // MIs[0] passthru
     /* 1573324 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573337 */     // MIs[0] policy
     /* 1573337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573369 */     // GIR_Coverage, 3999,
     /* 1573369 */     GIR_EraseRootFromParent_Done,
     /* 1573370 */   // Label 21774: @1573370
     /* 1573370 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1573452), // Rule ID 4000 //
     /* 1573375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573406 */     // MIs[0] passthru
     /* 1573406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573419 */     // MIs[0] policy
     /* 1573419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573451 */     // GIR_Coverage, 4000,
     /* 1573451 */     GIR_EraseRootFromParent_Done,
     /* 1573452 */   // Label 21775: @1573452
     /* 1573452 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1573534), // Rule ID 4009 //
     /* 1573457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573488 */     // MIs[0] passthru
     /* 1573488 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573501 */     // MIs[0] policy
     /* 1573501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573533 */     // GIR_Coverage, 4009,
     /* 1573533 */     GIR_EraseRootFromParent_Done,
     /* 1573534 */   // Label 21776: @1573534
     /* 1573534 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1573616), // Rule ID 4010 //
     /* 1573539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573570 */     // MIs[0] passthru
     /* 1573570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573583 */     // MIs[0] policy
     /* 1573583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573615 */     // GIR_Coverage, 4010,
     /* 1573615 */     GIR_EraseRootFromParent_Done,
     /* 1573616 */   // Label 21777: @1573616
     /* 1573616 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1573698), // Rule ID 4019 //
     /* 1573621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1573638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573652 */     // MIs[0] passthru
     /* 1573652 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573665 */     // MIs[0] policy
     /* 1573665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573675 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573697 */     // GIR_Coverage, 4019,
     /* 1573697 */     GIR_EraseRootFromParent_Done,
     /* 1573698 */   // Label 21778: @1573698
     /* 1573698 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1573780), // Rule ID 4020 //
     /* 1573703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1573720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573734 */     // MIs[0] passthru
     /* 1573734 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573747 */     // MIs[0] policy
     /* 1573747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573757 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573779 */     // GIR_Coverage, 4020,
     /* 1573779 */     GIR_EraseRootFromParent_Done,
     /* 1573780 */   // Label 21779: @1573780
     /* 1573780 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1573862), // Rule ID 4029 //
     /* 1573785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1573802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573816 */     // MIs[0] passthru
     /* 1573816 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573829 */     // MIs[0] policy
     /* 1573829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573861 */     // GIR_Coverage, 4029,
     /* 1573861 */     GIR_EraseRootFromParent_Done,
     /* 1573862 */   // Label 21780: @1573862
     /* 1573862 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1573944), // Rule ID 4030 //
     /* 1573867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1573884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573898 */     // MIs[0] passthru
     /* 1573898 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573911 */     // MIs[0] policy
     /* 1573911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573943 */     // GIR_Coverage, 4030,
     /* 1573943 */     GIR_EraseRootFromParent_Done,
     /* 1573944 */   // Label 21781: @1573944
     /* 1573944 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1574026), // Rule ID 4039 //
     /* 1573949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1573960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1573963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1573966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573980 */     // MIs[0] passthru
     /* 1573980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573993 */     // MIs[0] policy
     /* 1573993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574025 */     // GIR_Coverage, 4039,
     /* 1574025 */     GIR_EraseRootFromParent_Done,
     /* 1574026 */   // Label 21782: @1574026
     /* 1574026 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1574108), // Rule ID 4040 //
     /* 1574031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1574042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1574045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1574048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574062 */     // MIs[0] passthru
     /* 1574062 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574075 */     // MIs[0] policy
     /* 1574075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574085 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574107 */     // GIR_Coverage, 4040,
     /* 1574107 */     GIR_EraseRootFromParent_Done,
     /* 1574108 */   // Label 21783: @1574108
     /* 1574108 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1574190), // Rule ID 4049 //
     /* 1574113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574144 */     // MIs[0] passthru
     /* 1574144 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574157 */     // MIs[0] policy
     /* 1574157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574189 */     // GIR_Coverage, 4049,
     /* 1574189 */     GIR_EraseRootFromParent_Done,
     /* 1574190 */   // Label 21784: @1574190
     /* 1574190 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1574272), // Rule ID 4050 //
     /* 1574195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574226 */     // MIs[0] passthru
     /* 1574226 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574239 */     // MIs[0] policy
     /* 1574239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574271 */     // GIR_Coverage, 4050,
     /* 1574271 */     GIR_EraseRootFromParent_Done,
     /* 1574272 */   // Label 21785: @1574272
     /* 1574272 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1574354), // Rule ID 4059 //
     /* 1574277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574308 */     // MIs[0] passthru
     /* 1574308 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574321 */     // MIs[0] policy
     /* 1574321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574353 */     // GIR_Coverage, 4059,
     /* 1574353 */     GIR_EraseRootFromParent_Done,
     /* 1574354 */   // Label 21786: @1574354
     /* 1574354 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1574436), // Rule ID 4060 //
     /* 1574359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574390 */     // MIs[0] passthru
     /* 1574390 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574403 */     // MIs[0] policy
     /* 1574403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574435 */     // GIR_Coverage, 4060,
     /* 1574435 */     GIR_EraseRootFromParent_Done,
     /* 1574436 */   // Label 21787: @1574436
     /* 1574436 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1574518), // Rule ID 4069 //
     /* 1574441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574472 */     // MIs[0] passthru
     /* 1574472 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574485 */     // MIs[0] policy
     /* 1574485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574517 */     // GIR_Coverage, 4069,
     /* 1574517 */     GIR_EraseRootFromParent_Done,
     /* 1574518 */   // Label 21788: @1574518
     /* 1574518 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1574600), // Rule ID 4070 //
     /* 1574523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574554 */     // MIs[0] passthru
     /* 1574554 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574567 */     // MIs[0] policy
     /* 1574567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574599 */     // GIR_Coverage, 4070,
     /* 1574599 */     GIR_EraseRootFromParent_Done,
     /* 1574600 */   // Label 21789: @1574600
     /* 1574600 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1574682), // Rule ID 4079 //
     /* 1574605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1574622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574636 */     // MIs[0] passthru
     /* 1574636 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574649 */     // MIs[0] policy
     /* 1574649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574681 */     // GIR_Coverage, 4079,
     /* 1574681 */     GIR_EraseRootFromParent_Done,
     /* 1574682 */   // Label 21790: @1574682
     /* 1574682 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1574764), // Rule ID 4080 //
     /* 1574687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1574704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574718 */     // MIs[0] passthru
     /* 1574718 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574731 */     // MIs[0] policy
     /* 1574731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574741 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574763 */     // GIR_Coverage, 4080,
     /* 1574763 */     GIR_EraseRootFromParent_Done,
     /* 1574764 */   // Label 21791: @1574764
     /* 1574764 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1574846), // Rule ID 4149 //
     /* 1574769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1574780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1574783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1574786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574800 */     // MIs[0] passthru
     /* 1574800 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574813 */     // MIs[0] policy
     /* 1574813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574823 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1574826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574845 */     // GIR_Coverage, 4149,
     /* 1574845 */     GIR_EraseRootFromParent_Done,
     /* 1574846 */   // Label 21792: @1574846
     /* 1574846 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1574928), // Rule ID 4150 //
     /* 1574851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1574862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1574865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1574868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574882 */     // MIs[0] passthru
     /* 1574882 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574895 */     // MIs[0] policy
     /* 1574895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574905 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1574908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574927 */     // GIR_Coverage, 4150,
     /* 1574927 */     GIR_EraseRootFromParent_Done,
     /* 1574928 */   // Label 21793: @1574928
     /* 1574928 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1575010), // Rule ID 4159 //
     /* 1574933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1574944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1574947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1574950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574964 */     // MIs[0] passthru
     /* 1574964 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574977 */     // MIs[0] policy
     /* 1574977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574987 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1574990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575009 */     // GIR_Coverage, 4159,
     /* 1575009 */     GIR_EraseRootFromParent_Done,
     /* 1575010 */   // Label 21794: @1575010
     /* 1575010 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1575092), // Rule ID 4160 //
     /* 1575015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1575032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575046 */     // MIs[0] passthru
     /* 1575046 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575059 */     // MIs[0] policy
     /* 1575059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575069 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575091 */     // GIR_Coverage, 4160,
     /* 1575091 */     GIR_EraseRootFromParent_Done,
     /* 1575092 */   // Label 21795: @1575092
     /* 1575092 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1575174), // Rule ID 4169 //
     /* 1575097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575128 */     // MIs[0] passthru
     /* 1575128 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575141 */     // MIs[0] policy
     /* 1575141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575173 */     // GIR_Coverage, 4169,
     /* 1575173 */     GIR_EraseRootFromParent_Done,
     /* 1575174 */   // Label 21796: @1575174
     /* 1575174 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1575256), // Rule ID 4170 //
     /* 1575179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575210 */     // MIs[0] passthru
     /* 1575210 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575223 */     // MIs[0] policy
     /* 1575223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575255 */     // GIR_Coverage, 4170,
     /* 1575255 */     GIR_EraseRootFromParent_Done,
     /* 1575256 */   // Label 21797: @1575256
     /* 1575256 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1575338), // Rule ID 4179 //
     /* 1575261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575292 */     // MIs[0] passthru
     /* 1575292 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575305 */     // MIs[0] policy
     /* 1575305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575337 */     // GIR_Coverage, 4179,
     /* 1575337 */     GIR_EraseRootFromParent_Done,
     /* 1575338 */   // Label 21798: @1575338
     /* 1575338 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1575420), // Rule ID 4180 //
     /* 1575343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575374 */     // MIs[0] passthru
     /* 1575374 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575387 */     // MIs[0] policy
     /* 1575387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575419 */     // GIR_Coverage, 4180,
     /* 1575419 */     GIR_EraseRootFromParent_Done,
     /* 1575420 */   // Label 21799: @1575420
     /* 1575420 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1575502), // Rule ID 4189 //
     /* 1575425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575456 */     // MIs[0] passthru
     /* 1575456 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575469 */     // MIs[0] policy
     /* 1575469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575479 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575501 */     // GIR_Coverage, 4189,
     /* 1575501 */     GIR_EraseRootFromParent_Done,
     /* 1575502 */   // Label 21800: @1575502
     /* 1575502 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1575584), // Rule ID 4190 //
     /* 1575507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575538 */     // MIs[0] passthru
     /* 1575538 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575551 */     // MIs[0] policy
     /* 1575551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575561 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575583 */     // GIR_Coverage, 4190,
     /* 1575583 */     GIR_EraseRootFromParent_Done,
     /* 1575584 */   // Label 21801: @1575584
     /* 1575584 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1575666), // Rule ID 4199 //
     /* 1575589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1575606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575620 */     // MIs[0] passthru
     /* 1575620 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575633 */     // MIs[0] policy
     /* 1575633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575665 */     // GIR_Coverage, 4199,
     /* 1575665 */     GIR_EraseRootFromParent_Done,
     /* 1575666 */   // Label 21802: @1575666
     /* 1575666 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1575748), // Rule ID 4200 //
     /* 1575671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1575688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575702 */     // MIs[0] passthru
     /* 1575702 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575715 */     // MIs[0] policy
     /* 1575715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575747 */     // GIR_Coverage, 4200,
     /* 1575747 */     GIR_EraseRootFromParent_Done,
     /* 1575748 */   // Label 21803: @1575748
     /* 1575748 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1575830), // Rule ID 4209 //
     /* 1575753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1575770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575784 */     // MIs[0] passthru
     /* 1575784 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575797 */     // MIs[0] policy
     /* 1575797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575829 */     // GIR_Coverage, 4209,
     /* 1575829 */     GIR_EraseRootFromParent_Done,
     /* 1575830 */   // Label 21804: @1575830
     /* 1575830 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1575912), // Rule ID 4210 //
     /* 1575835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1575852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575866 */     // MIs[0] passthru
     /* 1575866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575879 */     // MIs[0] policy
     /* 1575879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575911 */     // GIR_Coverage, 4210,
     /* 1575911 */     GIR_EraseRootFromParent_Done,
     /* 1575912 */   // Label 21805: @1575912
     /* 1575912 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1575994), // Rule ID 4219 //
     /* 1575917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1575928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1575931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1575934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575948 */     // MIs[0] passthru
     /* 1575948 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575961 */     // MIs[0] policy
     /* 1575961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575993 */     // GIR_Coverage, 4219,
     /* 1575993 */     GIR_EraseRootFromParent_Done,
     /* 1575994 */   // Label 21806: @1575994
     /* 1575994 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1576076), // Rule ID 4220 //
     /* 1575999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1576016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576030 */     // MIs[0] passthru
     /* 1576030 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576043 */     // MIs[0] policy
     /* 1576043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576075 */     // GIR_Coverage, 4220,
     /* 1576075 */     GIR_EraseRootFromParent_Done,
     /* 1576076 */   // Label 21807: @1576076
     /* 1576076 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1576158), // Rule ID 4229 //
     /* 1576081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576112 */     // MIs[0] passthru
     /* 1576112 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576125 */     // MIs[0] policy
     /* 1576125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576157 */     // GIR_Coverage, 4229,
     /* 1576157 */     GIR_EraseRootFromParent_Done,
     /* 1576158 */   // Label 21808: @1576158
     /* 1576158 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1576240), // Rule ID 4230 //
     /* 1576163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576194 */     // MIs[0] passthru
     /* 1576194 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576207 */     // MIs[0] policy
     /* 1576207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576239 */     // GIR_Coverage, 4230,
     /* 1576239 */     GIR_EraseRootFromParent_Done,
     /* 1576240 */   // Label 21809: @1576240
     /* 1576240 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1576322), // Rule ID 4239 //
     /* 1576245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576276 */     // MIs[0] passthru
     /* 1576276 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576289 */     // MIs[0] policy
     /* 1576289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576321 */     // GIR_Coverage, 4239,
     /* 1576321 */     GIR_EraseRootFromParent_Done,
     /* 1576322 */   // Label 21810: @1576322
     /* 1576322 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1576404), // Rule ID 4240 //
     /* 1576327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576358 */     // MIs[0] passthru
     /* 1576358 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576371 */     // MIs[0] policy
     /* 1576371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576403 */     // GIR_Coverage, 4240,
     /* 1576403 */     GIR_EraseRootFromParent_Done,
     /* 1576404 */   // Label 21811: @1576404
     /* 1576404 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1576486), // Rule ID 4249 //
     /* 1576409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576440 */     // MIs[0] passthru
     /* 1576440 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576453 */     // MIs[0] policy
     /* 1576453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576485 */     // GIR_Coverage, 4249,
     /* 1576485 */     GIR_EraseRootFromParent_Done,
     /* 1576486 */   // Label 21812: @1576486
     /* 1576486 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1576568), // Rule ID 4250 //
     /* 1576491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576522 */     // MIs[0] passthru
     /* 1576522 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576535 */     // MIs[0] policy
     /* 1576535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576545 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576567 */     // GIR_Coverage, 4250,
     /* 1576567 */     GIR_EraseRootFromParent_Done,
     /* 1576568 */   // Label 21813: @1576568
     /* 1576568 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1576650), // Rule ID 4259 //
     /* 1576573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1576590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576604 */     // MIs[0] passthru
     /* 1576604 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576617 */     // MIs[0] policy
     /* 1576617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576649 */     // GIR_Coverage, 4259,
     /* 1576649 */     GIR_EraseRootFromParent_Done,
     /* 1576650 */   // Label 21814: @1576650
     /* 1576650 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1576732), // Rule ID 4260 //
     /* 1576655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1576658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1576672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576686 */     // MIs[0] passthru
     /* 1576686 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576699 */     // MIs[0] policy
     /* 1576699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576731 */     // GIR_Coverage, 4260,
     /* 1576731 */     GIR_EraseRootFromParent_Done,
     /* 1576732 */   // Label 21815: @1576732
     /* 1576732 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1576814), // Rule ID 4269 //
     /* 1576737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1576748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1576751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1576754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576768 */     // MIs[0] passthru
     /* 1576768 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576781 */     // MIs[0] policy
     /* 1576781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576791 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576813 */     // GIR_Coverage, 4269,
     /* 1576813 */     GIR_EraseRootFromParent_Done,
     /* 1576814 */   // Label 21816: @1576814
     /* 1576814 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1576896), // Rule ID 4270 //
     /* 1576819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1576822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1576830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1576833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1576836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576850 */     // MIs[0] passthru
     /* 1576850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576863 */     // MIs[0] policy
     /* 1576863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576873 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576895 */     // GIR_Coverage, 4270,
     /* 1576895 */     GIR_EraseRootFromParent_Done,
     /* 1576896 */   // Label 21817: @1576896
     /* 1576896 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1576978), // Rule ID 4279 //
     /* 1576901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1576912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1576915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1576918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576932 */     // MIs[0] passthru
     /* 1576932 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576945 */     // MIs[0] policy
     /* 1576945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576977 */     // GIR_Coverage, 4279,
     /* 1576977 */     GIR_EraseRootFromParent_Done,
     /* 1576978 */   // Label 21818: @1576978
     /* 1576978 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1577060), // Rule ID 4280 //
     /* 1576983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1576986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1576994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1576997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1577000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577014 */     // MIs[0] passthru
     /* 1577014 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577027 */     // MIs[0] policy
     /* 1577027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577037 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1577040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577059 */     // GIR_Coverage, 4280,
     /* 1577059 */     GIR_EraseRootFromParent_Done,
     /* 1577060 */   // Label 21819: @1577060
     /* 1577060 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1577142), // Rule ID 4289 //
     /* 1577065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577096 */     // MIs[0] passthru
     /* 1577096 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577109 */     // MIs[0] policy
     /* 1577109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577119 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577141 */     // GIR_Coverage, 4289,
     /* 1577141 */     GIR_EraseRootFromParent_Done,
     /* 1577142 */   // Label 21820: @1577142
     /* 1577142 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1577224), // Rule ID 4290 //
     /* 1577147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577178 */     // MIs[0] passthru
     /* 1577178 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577191 */     // MIs[0] policy
     /* 1577191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577223 */     // GIR_Coverage, 4290,
     /* 1577223 */     GIR_EraseRootFromParent_Done,
     /* 1577224 */   // Label 21821: @1577224
     /* 1577224 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1577306), // Rule ID 4359 //
     /* 1577229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577260 */     // MIs[0] passthru
     /* 1577260 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577273 */     // MIs[0] policy
     /* 1577273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577305 */     // GIR_Coverage, 4359,
     /* 1577305 */     GIR_EraseRootFromParent_Done,
     /* 1577306 */   // Label 21822: @1577306
     /* 1577306 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1577388), // Rule ID 4360 //
     /* 1577311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577342 */     // MIs[0] passthru
     /* 1577342 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577355 */     // MIs[0] policy
     /* 1577355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577365 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577387 */     // GIR_Coverage, 4360,
     /* 1577387 */     GIR_EraseRootFromParent_Done,
     /* 1577388 */   // Label 21823: @1577388
     /* 1577388 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1577470), // Rule ID 4369 //
     /* 1577393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577424 */     // MIs[0] passthru
     /* 1577424 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577437 */     // MIs[0] policy
     /* 1577437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577469 */     // GIR_Coverage, 4369,
     /* 1577469 */     GIR_EraseRootFromParent_Done,
     /* 1577470 */   // Label 21824: @1577470
     /* 1577470 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1577552), // Rule ID 4370 //
     /* 1577475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577506 */     // MIs[0] passthru
     /* 1577506 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577519 */     // MIs[0] policy
     /* 1577519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577529 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577551 */     // GIR_Coverage, 4370,
     /* 1577551 */     GIR_EraseRootFromParent_Done,
     /* 1577552 */   // Label 21825: @1577552
     /* 1577552 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1577634), // Rule ID 4379 //
     /* 1577557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577588 */     // MIs[0] passthru
     /* 1577588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577601 */     // MIs[0] policy
     /* 1577601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577633 */     // GIR_Coverage, 4379,
     /* 1577633 */     GIR_EraseRootFromParent_Done,
     /* 1577634 */   // Label 21826: @1577634
     /* 1577634 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1577716), // Rule ID 4380 //
     /* 1577639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577670 */     // MIs[0] passthru
     /* 1577670 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577683 */     // MIs[0] policy
     /* 1577683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577715 */     // GIR_Coverage, 4380,
     /* 1577715 */     GIR_EraseRootFromParent_Done,
     /* 1577716 */   // Label 21827: @1577716
     /* 1577716 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1577798), // Rule ID 4389 //
     /* 1577721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577752 */     // MIs[0] passthru
     /* 1577752 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577765 */     // MIs[0] policy
     /* 1577765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1577778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577797 */     // GIR_Coverage, 4389,
     /* 1577797 */     GIR_EraseRootFromParent_Done,
     /* 1577798 */   // Label 21828: @1577798
     /* 1577798 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1577880), // Rule ID 4390 //
     /* 1577803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577834 */     // MIs[0] passthru
     /* 1577834 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577847 */     // MIs[0] policy
     /* 1577847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577857 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1577860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577879 */     // GIR_Coverage, 4390,
     /* 1577879 */     GIR_EraseRootFromParent_Done,
     /* 1577880 */   // Label 21829: @1577880
     /* 1577880 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1577962), // Rule ID 4399 //
     /* 1577885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1577902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577916 */     // MIs[0] passthru
     /* 1577916 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577929 */     // MIs[0] policy
     /* 1577929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577939 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1577942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577961 */     // GIR_Coverage, 4399,
     /* 1577961 */     GIR_EraseRootFromParent_Done,
     /* 1577962 */   // Label 21830: @1577962
     /* 1577962 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1578044), // Rule ID 4400 //
     /* 1577967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1577984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577998 */     // MIs[0] passthru
     /* 1577998 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578011 */     // MIs[0] policy
     /* 1578011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578021 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578043 */     // GIR_Coverage, 4400,
     /* 1578043 */     GIR_EraseRootFromParent_Done,
     /* 1578044 */   // Label 21831: @1578044
     /* 1578044 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1578126), // Rule ID 4409 //
     /* 1578049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578080 */     // MIs[0] passthru
     /* 1578080 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578093 */     // MIs[0] policy
     /* 1578093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578103 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578125 */     // GIR_Coverage, 4409,
     /* 1578125 */     GIR_EraseRootFromParent_Done,
     /* 1578126 */   // Label 21832: @1578126
     /* 1578126 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1578208), // Rule ID 4410 //
     /* 1578131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578162 */     // MIs[0] passthru
     /* 1578162 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578175 */     // MIs[0] policy
     /* 1578175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578185 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578207 */     // GIR_Coverage, 4410,
     /* 1578207 */     GIR_EraseRootFromParent_Done,
     /* 1578208 */   // Label 21833: @1578208
     /* 1578208 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1578290), // Rule ID 4419 //
     /* 1578213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578244 */     // MIs[0] passthru
     /* 1578244 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578257 */     // MIs[0] policy
     /* 1578257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578289 */     // GIR_Coverage, 4419,
     /* 1578289 */     GIR_EraseRootFromParent_Done,
     /* 1578290 */   // Label 21834: @1578290
     /* 1578290 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1578372), // Rule ID 4420 //
     /* 1578295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578326 */     // MIs[0] passthru
     /* 1578326 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578339 */     // MIs[0] policy
     /* 1578339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578349 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578371 */     // GIR_Coverage, 4420,
     /* 1578371 */     GIR_EraseRootFromParent_Done,
     /* 1578372 */   // Label 21835: @1578372
     /* 1578372 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1578454), // Rule ID 4429 //
     /* 1578377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578408 */     // MIs[0] passthru
     /* 1578408 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578421 */     // MIs[0] policy
     /* 1578421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578453 */     // GIR_Coverage, 4429,
     /* 1578453 */     GIR_EraseRootFromParent_Done,
     /* 1578454 */   // Label 21836: @1578454
     /* 1578454 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1578536), // Rule ID 4430 //
     /* 1578459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578490 */     // MIs[0] passthru
     /* 1578490 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578503 */     // MIs[0] policy
     /* 1578503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578535 */     // GIR_Coverage, 4430,
     /* 1578535 */     GIR_EraseRootFromParent_Done,
     /* 1578536 */   // Label 21837: @1578536
     /* 1578536 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1578618), // Rule ID 4439 //
     /* 1578541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578572 */     // MIs[0] passthru
     /* 1578572 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578585 */     // MIs[0] policy
     /* 1578585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578617 */     // GIR_Coverage, 4439,
     /* 1578617 */     GIR_EraseRootFromParent_Done,
     /* 1578618 */   // Label 21838: @1578618
     /* 1578618 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1578700), // Rule ID 4440 //
     /* 1578623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578654 */     // MIs[0] passthru
     /* 1578654 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578667 */     // MIs[0] policy
     /* 1578667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578699 */     // GIR_Coverage, 4440,
     /* 1578699 */     GIR_EraseRootFromParent_Done,
     /* 1578700 */   // Label 21839: @1578700
     /* 1578700 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1578782), // Rule ID 4449 //
     /* 1578705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1578722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578736 */     // MIs[0] passthru
     /* 1578736 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578749 */     // MIs[0] policy
     /* 1578749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578781 */     // GIR_Coverage, 4449,
     /* 1578781 */     GIR_EraseRootFromParent_Done,
     /* 1578782 */   // Label 21840: @1578782
     /* 1578782 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1578864), // Rule ID 4450 //
     /* 1578787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1578804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578818 */     // MIs[0] passthru
     /* 1578818 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578831 */     // MIs[0] policy
     /* 1578831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578841 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578863 */     // GIR_Coverage, 4450,
     /* 1578863 */     GIR_EraseRootFromParent_Done,
     /* 1578864 */   // Label 21841: @1578864
     /* 1578864 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1578946), // Rule ID 4459 //
     /* 1578869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1578886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578900 */     // MIs[0] passthru
     /* 1578900 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578913 */     // MIs[0] policy
     /* 1578913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578945 */     // GIR_Coverage, 4459,
     /* 1578945 */     GIR_EraseRootFromParent_Done,
     /* 1578946 */   // Label 21842: @1578946
     /* 1578946 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1579028), // Rule ID 4460 //
     /* 1578951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1578968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578982 */     // MIs[0] passthru
     /* 1578982 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578995 */     // MIs[0] policy
     /* 1578995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579027 */     // GIR_Coverage, 4460,
     /* 1579027 */     GIR_EraseRootFromParent_Done,
     /* 1579028 */   // Label 21843: @1579028
     /* 1579028 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1579110), // Rule ID 4469 //
     /* 1579033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579064 */     // MIs[0] passthru
     /* 1579064 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579077 */     // MIs[0] policy
     /* 1579077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579109 */     // GIR_Coverage, 4469,
     /* 1579109 */     GIR_EraseRootFromParent_Done,
     /* 1579110 */   // Label 21844: @1579110
     /* 1579110 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1579192), // Rule ID 4470 //
     /* 1579115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579146 */     // MIs[0] passthru
     /* 1579146 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579159 */     // MIs[0] policy
     /* 1579159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579191 */     // GIR_Coverage, 4470,
     /* 1579191 */     GIR_EraseRootFromParent_Done,
     /* 1579192 */   // Label 21845: @1579192
     /* 1579192 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1579274), // Rule ID 4479 //
     /* 1579197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579228 */     // MIs[0] passthru
     /* 1579228 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579241 */     // MIs[0] policy
     /* 1579241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579251 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579273 */     // GIR_Coverage, 4479,
     /* 1579273 */     GIR_EraseRootFromParent_Done,
     /* 1579274 */   // Label 21846: @1579274
     /* 1579274 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1579356), // Rule ID 4480 //
     /* 1579279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579310 */     // MIs[0] passthru
     /* 1579310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579323 */     // MIs[0] policy
     /* 1579323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579355 */     // GIR_Coverage, 4480,
     /* 1579355 */     GIR_EraseRootFromParent_Done,
     /* 1579356 */   // Label 21847: @1579356
     /* 1579356 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1579438), // Rule ID 4489 //
     /* 1579361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579392 */     // MIs[0] passthru
     /* 1579392 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579405 */     // MIs[0] policy
     /* 1579405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579415 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579437 */     // GIR_Coverage, 4489,
     /* 1579437 */     GIR_EraseRootFromParent_Done,
     /* 1579438 */   // Label 21848: @1579438
     /* 1579438 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1579520), // Rule ID 4490 //
     /* 1579443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579474 */     // MIs[0] passthru
     /* 1579474 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579487 */     // MIs[0] policy
     /* 1579487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579519 */     // GIR_Coverage, 4490,
     /* 1579519 */     GIR_EraseRootFromParent_Done,
     /* 1579520 */   // Label 21849: @1579520
     /* 1579520 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1579602), // Rule ID 4499 //
     /* 1579525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579556 */     // MIs[0] passthru
     /* 1579556 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579569 */     // MIs[0] policy
     /* 1579569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579579 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579601 */     // GIR_Coverage, 4499,
     /* 1579601 */     GIR_EraseRootFromParent_Done,
     /* 1579602 */   // Label 21850: @1579602
     /* 1579602 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1579684), // Rule ID 4500 //
     /* 1579607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579638 */     // MIs[0] passthru
     /* 1579638 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579651 */     // MIs[0] policy
     /* 1579651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579683 */     // GIR_Coverage, 4500,
     /* 1579683 */     GIR_EraseRootFromParent_Done,
     /* 1579684 */   // Label 21851: @1579684
     /* 1579684 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1579766), // Rule ID 4569 //
     /* 1579689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579720 */     // MIs[0] passthru
     /* 1579720 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579733 */     // MIs[0] policy
     /* 1579733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1579746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579765 */     // GIR_Coverage, 4569,
     /* 1579765 */     GIR_EraseRootFromParent_Done,
     /* 1579766 */   // Label 21852: @1579766
     /* 1579766 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1579848), // Rule ID 4570 //
     /* 1579771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579802 */     // MIs[0] passthru
     /* 1579802 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579815 */     // MIs[0] policy
     /* 1579815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579825 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1579828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579847 */     // GIR_Coverage, 4570,
     /* 1579847 */     GIR_EraseRootFromParent_Done,
     /* 1579848 */   // Label 21853: @1579848
     /* 1579848 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1579930), // Rule ID 4579 //
     /* 1579853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579884 */     // MIs[0] passthru
     /* 1579884 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579897 */     // MIs[0] policy
     /* 1579897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579907 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1579910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579929 */     // GIR_Coverage, 4579,
     /* 1579929 */     GIR_EraseRootFromParent_Done,
     /* 1579930 */   // Label 21854: @1579930
     /* 1579930 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1580012), // Rule ID 4580 //
     /* 1579935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579966 */     // MIs[0] passthru
     /* 1579966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579979 */     // MIs[0] policy
     /* 1579979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579989 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1579992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580011 */     // GIR_Coverage, 4580,
     /* 1580011 */     GIR_EraseRootFromParent_Done,
     /* 1580012 */   // Label 21855: @1580012
     /* 1580012 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1580094), // Rule ID 4589 //
     /* 1580017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580048 */     // MIs[0] passthru
     /* 1580048 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580061 */     // MIs[0] policy
     /* 1580061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580093 */     // GIR_Coverage, 4589,
     /* 1580093 */     GIR_EraseRootFromParent_Done,
     /* 1580094 */   // Label 21856: @1580094
     /* 1580094 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1580176), // Rule ID 4590 //
     /* 1580099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580130 */     // MIs[0] passthru
     /* 1580130 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580143 */     // MIs[0] policy
     /* 1580143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580175 */     // GIR_Coverage, 4590,
     /* 1580175 */     GIR_EraseRootFromParent_Done,
     /* 1580176 */   // Label 21857: @1580176
     /* 1580176 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1580258), // Rule ID 4599 //
     /* 1580181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580212 */     // MIs[0] passthru
     /* 1580212 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580225 */     // MIs[0] policy
     /* 1580225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580257 */     // GIR_Coverage, 4599,
     /* 1580257 */     GIR_EraseRootFromParent_Done,
     /* 1580258 */   // Label 21858: @1580258
     /* 1580258 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1580340), // Rule ID 4600 //
     /* 1580263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580294 */     // MIs[0] passthru
     /* 1580294 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580307 */     // MIs[0] policy
     /* 1580307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580339 */     // GIR_Coverage, 4600,
     /* 1580339 */     GIR_EraseRootFromParent_Done,
     /* 1580340 */   // Label 21859: @1580340
     /* 1580340 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1580422), // Rule ID 4609 //
     /* 1580345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580376 */     // MIs[0] passthru
     /* 1580376 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580389 */     // MIs[0] policy
     /* 1580389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580399 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580421 */     // GIR_Coverage, 4609,
     /* 1580421 */     GIR_EraseRootFromParent_Done,
     /* 1580422 */   // Label 21860: @1580422
     /* 1580422 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1580504), // Rule ID 4610 //
     /* 1580427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580458 */     // MIs[0] passthru
     /* 1580458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580471 */     // MIs[0] policy
     /* 1580471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580503 */     // GIR_Coverage, 4610,
     /* 1580503 */     GIR_EraseRootFromParent_Done,
     /* 1580504 */   // Label 21861: @1580504
     /* 1580504 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1580586), // Rule ID 4619 //
     /* 1580509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580540 */     // MIs[0] passthru
     /* 1580540 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580553 */     // MIs[0] policy
     /* 1580553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580585 */     // GIR_Coverage, 4619,
     /* 1580585 */     GIR_EraseRootFromParent_Done,
     /* 1580586 */   // Label 21862: @1580586
     /* 1580586 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1580668), // Rule ID 4620 //
     /* 1580591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580622 */     // MIs[0] passthru
     /* 1580622 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580635 */     // MIs[0] policy
     /* 1580635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580667 */     // GIR_Coverage, 4620,
     /* 1580667 */     GIR_EraseRootFromParent_Done,
     /* 1580668 */   // Label 21863: @1580668
     /* 1580668 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1580750), // Rule ID 4629 //
     /* 1580673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580704 */     // MIs[0] passthru
     /* 1580704 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580717 */     // MIs[0] policy
     /* 1580717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580749 */     // GIR_Coverage, 4629,
     /* 1580749 */     GIR_EraseRootFromParent_Done,
     /* 1580750 */   // Label 21864: @1580750
     /* 1580750 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1580832), // Rule ID 4630 //
     /* 1580755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580786 */     // MIs[0] passthru
     /* 1580786 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580799 */     // MIs[0] policy
     /* 1580799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580831 */     // GIR_Coverage, 4630,
     /* 1580831 */     GIR_EraseRootFromParent_Done,
     /* 1580832 */   // Label 21865: @1580832
     /* 1580832 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1580914), // Rule ID 4639 //
     /* 1580837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580868 */     // MIs[0] passthru
     /* 1580868 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580881 */     // MIs[0] policy
     /* 1580881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580891 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580913 */     // GIR_Coverage, 4639,
     /* 1580913 */     GIR_EraseRootFromParent_Done,
     /* 1580914 */   // Label 21866: @1580914
     /* 1580914 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1580996), // Rule ID 4640 //
     /* 1580919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580950 */     // MIs[0] passthru
     /* 1580950 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580963 */     // MIs[0] policy
     /* 1580963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580973 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580995 */     // GIR_Coverage, 4640,
     /* 1580995 */     GIR_EraseRootFromParent_Done,
     /* 1580996 */   // Label 21867: @1580996
     /* 1580996 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1581078), // Rule ID 4649 //
     /* 1581001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581032 */     // MIs[0] passthru
     /* 1581032 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581045 */     // MIs[0] policy
     /* 1581045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581077 */     // GIR_Coverage, 4649,
     /* 1581077 */     GIR_EraseRootFromParent_Done,
     /* 1581078 */   // Label 21868: @1581078
     /* 1581078 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1581160), // Rule ID 4650 //
     /* 1581083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581114 */     // MIs[0] passthru
     /* 1581114 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581127 */     // MIs[0] policy
     /* 1581127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581137 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581159 */     // GIR_Coverage, 4650,
     /* 1581159 */     GIR_EraseRootFromParent_Done,
     /* 1581160 */   // Label 21869: @1581160
     /* 1581160 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1581242), // Rule ID 4659 //
     /* 1581165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581196 */     // MIs[0] passthru
     /* 1581196 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581209 */     // MIs[0] policy
     /* 1581209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581219 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581241 */     // GIR_Coverage, 4659,
     /* 1581241 */     GIR_EraseRootFromParent_Done,
     /* 1581242 */   // Label 21870: @1581242
     /* 1581242 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1581324), // Rule ID 4660 //
     /* 1581247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581278 */     // MIs[0] passthru
     /* 1581278 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581291 */     // MIs[0] policy
     /* 1581291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581323 */     // GIR_Coverage, 4660,
     /* 1581323 */     GIR_EraseRootFromParent_Done,
     /* 1581324 */   // Label 21871: @1581324
     /* 1581324 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1581406), // Rule ID 4669 //
     /* 1581329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581360 */     // MIs[0] passthru
     /* 1581360 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581373 */     // MIs[0] policy
     /* 1581373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581405 */     // GIR_Coverage, 4669,
     /* 1581405 */     GIR_EraseRootFromParent_Done,
     /* 1581406 */   // Label 21872: @1581406
     /* 1581406 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1581488), // Rule ID 4670 //
     /* 1581411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581442 */     // MIs[0] passthru
     /* 1581442 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581455 */     // MIs[0] policy
     /* 1581455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581465 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581487 */     // GIR_Coverage, 4670,
     /* 1581487 */     GIR_EraseRootFromParent_Done,
     /* 1581488 */   // Label 21873: @1581488
     /* 1581488 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1581570), // Rule ID 4679 //
     /* 1581493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581524 */     // MIs[0] passthru
     /* 1581524 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581537 */     // MIs[0] policy
     /* 1581537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581569 */     // GIR_Coverage, 4679,
     /* 1581569 */     GIR_EraseRootFromParent_Done,
     /* 1581570 */   // Label 21874: @1581570
     /* 1581570 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1581652), // Rule ID 4680 //
     /* 1581575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581606 */     // MIs[0] passthru
     /* 1581606 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581619 */     // MIs[0] policy
     /* 1581619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581651 */     // GIR_Coverage, 4680,
     /* 1581651 */     GIR_EraseRootFromParent_Done,
     /* 1581652 */   // Label 21875: @1581652
     /* 1581652 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1581734), // Rule ID 4689 //
     /* 1581657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581688 */     // MIs[0] passthru
     /* 1581688 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581701 */     // MIs[0] policy
     /* 1581701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581711 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581733 */     // GIR_Coverage, 4689,
     /* 1581733 */     GIR_EraseRootFromParent_Done,
     /* 1581734 */   // Label 21876: @1581734
     /* 1581734 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1581816), // Rule ID 4690 //
     /* 1581739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581770 */     // MIs[0] passthru
     /* 1581770 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581783 */     // MIs[0] policy
     /* 1581783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581815 */     // GIR_Coverage, 4690,
     /* 1581815 */     GIR_EraseRootFromParent_Done,
     /* 1581816 */   // Label 21877: @1581816
     /* 1581816 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1581898), // Rule ID 4699 //
     /* 1581821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581852 */     // MIs[0] passthru
     /* 1581852 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581865 */     // MIs[0] policy
     /* 1581865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581897 */     // GIR_Coverage, 4699,
     /* 1581897 */     GIR_EraseRootFromParent_Done,
     /* 1581898 */   // Label 21878: @1581898
     /* 1581898 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1581980), // Rule ID 4700 //
     /* 1581903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581934 */     // MIs[0] passthru
     /* 1581934 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581947 */     // MIs[0] policy
     /* 1581947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581957 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581979 */     // GIR_Coverage, 4700,
     /* 1581979 */     GIR_EraseRootFromParent_Done,
     /* 1581980 */   // Label 21879: @1581980
     /* 1581980 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1582062), // Rule ID 4709 //
     /* 1581985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1582002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582016 */     // MIs[0] passthru
     /* 1582016 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582029 */     // MIs[0] policy
     /* 1582029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582039 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1582042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582061 */     // GIR_Coverage, 4709,
     /* 1582061 */     GIR_EraseRootFromParent_Done,
     /* 1582062 */   // Label 21880: @1582062
     /* 1582062 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1582144), // Rule ID 4710 //
     /* 1582067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1582084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582098 */     // MIs[0] passthru
     /* 1582098 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582111 */     // MIs[0] policy
     /* 1582111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1582124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582143 */     // GIR_Coverage, 4710,
     /* 1582143 */     GIR_EraseRootFromParent_Done,
     /* 1582144 */   // Label 21881: @1582144
     /* 1582144 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1582230), // Rule ID 2605 //
     /* 1582149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582195 */     // MIs[0] policy
     /* 1582195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582205 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582229 */     // GIR_Coverage, 2605,
     /* 1582229 */     GIR_EraseRootFromParent_Done,
     /* 1582230 */   // Label 21882: @1582230
     /* 1582230 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1582316), // Rule ID 2606 //
     /* 1582235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582281 */     // MIs[0] policy
     /* 1582281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582291 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582315 */     // GIR_Coverage, 2606,
     /* 1582315 */     GIR_EraseRootFromParent_Done,
     /* 1582316 */   // Label 21883: @1582316
     /* 1582316 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1582402), // Rule ID 2643 //
     /* 1582321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582367 */     // MIs[0] policy
     /* 1582367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582377 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582401 */     // GIR_Coverage, 2643,
     /* 1582401 */     GIR_EraseRootFromParent_Done,
     /* 1582402 */   // Label 21884: @1582402
     /* 1582402 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1582488), // Rule ID 2644 //
     /* 1582407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582453 */     // MIs[0] policy
     /* 1582453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582487 */     // GIR_Coverage, 2644,
     /* 1582487 */     GIR_EraseRootFromParent_Done,
     /* 1582488 */   // Label 21885: @1582488
     /* 1582488 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1582574), // Rule ID 2657 //
     /* 1582493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582539 */     // MIs[0] policy
     /* 1582539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1582552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1582556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582573 */     // GIR_Coverage, 2657,
     /* 1582573 */     GIR_EraseRootFromParent_Done,
     /* 1582574 */   // Label 21886: @1582574
     /* 1582574 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1582660), // Rule ID 2658 //
     /* 1582579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582625 */     // MIs[0] policy
     /* 1582625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582635 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1582638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1582642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582659 */     // GIR_Coverage, 2658,
     /* 1582659 */     GIR_EraseRootFromParent_Done,
     /* 1582660 */   // Label 21887: @1582660
     /* 1582660 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1582746), // Rule ID 2677 //
     /* 1582665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582711 */     // MIs[0] policy
     /* 1582711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582721 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1582724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582745 */     // GIR_Coverage, 2677,
     /* 1582745 */     GIR_EraseRootFromParent_Done,
     /* 1582746 */   // Label 21888: @1582746
     /* 1582746 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1582832), // Rule ID 2678 //
     /* 1582751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582797 */     // MIs[0] policy
     /* 1582797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582807 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1582810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582831 */     // GIR_Coverage, 2678,
     /* 1582831 */     GIR_EraseRootFromParent_Done,
     /* 1582832 */   // Label 21889: @1582832
     /* 1582832 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1582918), // Rule ID 2685 //
     /* 1582837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1582848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1582851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1582854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1582857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582883 */     // MIs[0] policy
     /* 1582883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582893 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1582896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582917 */     // GIR_Coverage, 2685,
     /* 1582917 */     GIR_EraseRootFromParent_Done,
     /* 1582918 */   // Label 21890: @1582918
     /* 1582918 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1583004), // Rule ID 2686 //
     /* 1582923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1582934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1582937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1582940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1582943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582969 */     // MIs[0] policy
     /* 1582969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582979 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1582982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583003 */     // GIR_Coverage, 2686,
     /* 1583003 */     GIR_EraseRootFromParent_Done,
     /* 1583004 */   // Label 21891: @1583004
     /* 1583004 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1583090), // Rule ID 2693 //
     /* 1583009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583055 */     // MIs[0] policy
     /* 1583055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583065 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583089 */     // GIR_Coverage, 2693,
     /* 1583089 */     GIR_EraseRootFromParent_Done,
     /* 1583090 */   // Label 21892: @1583090
     /* 1583090 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1583176), // Rule ID 2694 //
     /* 1583095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583141 */     // MIs[0] policy
     /* 1583141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583175 */     // GIR_Coverage, 2694,
     /* 1583175 */     GIR_EraseRootFromParent_Done,
     /* 1583176 */   // Label 21893: @1583176
     /* 1583176 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1583262), // Rule ID 2701 //
     /* 1583181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583227 */     // MIs[0] policy
     /* 1583227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583237 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583261 */     // GIR_Coverage, 2701,
     /* 1583261 */     GIR_EraseRootFromParent_Done,
     /* 1583262 */   // Label 21894: @1583262
     /* 1583262 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1583348), // Rule ID 2702 //
     /* 1583267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583313 */     // MIs[0] policy
     /* 1583313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583323 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583347 */     // GIR_Coverage, 2702,
     /* 1583347 */     GIR_EraseRootFromParent_Done,
     /* 1583348 */   // Label 21895: @1583348
     /* 1583348 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1583434), // Rule ID 2709 //
     /* 1583353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583399 */     // MIs[0] policy
     /* 1583399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583409 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583433 */     // GIR_Coverage, 2709,
     /* 1583433 */     GIR_EraseRootFromParent_Done,
     /* 1583434 */   // Label 21896: @1583434
     /* 1583434 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1583520), // Rule ID 2710 //
     /* 1583439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583485 */     // MIs[0] policy
     /* 1583485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583495 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583519 */     // GIR_Coverage, 2710,
     /* 1583519 */     GIR_EraseRootFromParent_Done,
     /* 1583520 */   // Label 21897: @1583520
     /* 1583520 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1583606), // Rule ID 2717 //
     /* 1583525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583571 */     // MIs[0] policy
     /* 1583571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583581 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583605 */     // GIR_Coverage, 2717,
     /* 1583605 */     GIR_EraseRootFromParent_Done,
     /* 1583606 */   // Label 21898: @1583606
     /* 1583606 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1583692), // Rule ID 2718 //
     /* 1583611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583657 */     // MIs[0] policy
     /* 1583657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583691 */     // GIR_Coverage, 2718,
     /* 1583691 */     GIR_EraseRootFromParent_Done,
     /* 1583692 */   // Label 21899: @1583692
     /* 1583692 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1583778), // Rule ID 2725 //
     /* 1583697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1583708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1583711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1583714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1583717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583743 */     // MIs[0] policy
     /* 1583743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583777 */     // GIR_Coverage, 2725,
     /* 1583777 */     GIR_EraseRootFromParent_Done,
     /* 1583778 */   // Label 21900: @1583778
     /* 1583778 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1583864), // Rule ID 2726 //
     /* 1583783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1583794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1583797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1583800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1583803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583829 */     // MIs[0] policy
     /* 1583829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583839 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583863 */     // GIR_Coverage, 2726,
     /* 1583863 */     GIR_EraseRootFromParent_Done,
     /* 1583864 */   // Label 21901: @1583864
     /* 1583864 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1583950), // Rule ID 2733 //
     /* 1583869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583915 */     // MIs[0] policy
     /* 1583915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583925 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583949 */     // GIR_Coverage, 2733,
     /* 1583949 */     GIR_EraseRootFromParent_Done,
     /* 1583950 */   // Label 21902: @1583950
     /* 1583950 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1584036), // Rule ID 2734 //
     /* 1583955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584001 */     // MIs[0] policy
     /* 1584001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584035 */     // GIR_Coverage, 2734,
     /* 1584035 */     GIR_EraseRootFromParent_Done,
     /* 1584036 */   // Label 21903: @1584036
     /* 1584036 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1584122), // Rule ID 2741 //
     /* 1584041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584087 */     // MIs[0] policy
     /* 1584087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584121 */     // GIR_Coverage, 2741,
     /* 1584121 */     GIR_EraseRootFromParent_Done,
     /* 1584122 */   // Label 21904: @1584122
     /* 1584122 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1584208), // Rule ID 2742 //
     /* 1584127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584173 */     // MIs[0] policy
     /* 1584173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584207 */     // GIR_Coverage, 2742,
     /* 1584207 */     GIR_EraseRootFromParent_Done,
     /* 1584208 */   // Label 21905: @1584208
     /* 1584208 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1584294), // Rule ID 2749 //
     /* 1584213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1584216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584259 */     // MIs[0] policy
     /* 1584259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584269 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584293 */     // GIR_Coverage, 2749,
     /* 1584293 */     GIR_EraseRootFromParent_Done,
     /* 1584294 */   // Label 21906: @1584294
     /* 1584294 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1584380), // Rule ID 2750 //
     /* 1584299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584345 */     // MIs[0] policy
     /* 1584345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584379 */     // GIR_Coverage, 2750,
     /* 1584379 */     GIR_EraseRootFromParent_Done,
     /* 1584380 */   // Label 21907: @1584380
     /* 1584380 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1584466), // Rule ID 2757 //
     /* 1584385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584431 */     // MIs[0] policy
     /* 1584431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584465 */     // GIR_Coverage, 2757,
     /* 1584465 */     GIR_EraseRootFromParent_Done,
     /* 1584466 */   // Label 21908: @1584466
     /* 1584466 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1584552), // Rule ID 2758 //
     /* 1584471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584517 */     // MIs[0] policy
     /* 1584517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584527 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584551 */     // GIR_Coverage, 2758,
     /* 1584551 */     GIR_EraseRootFromParent_Done,
     /* 1584552 */   // Label 21909: @1584552
     /* 1584552 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1584638), // Rule ID 2765 //
     /* 1584557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584603 */     // MIs[0] policy
     /* 1584603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584613 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584637 */     // GIR_Coverage, 2765,
     /* 1584637 */     GIR_EraseRootFromParent_Done,
     /* 1584638 */   // Label 21910: @1584638
     /* 1584638 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1584724), // Rule ID 2766 //
     /* 1584643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584689 */     // MIs[0] policy
     /* 1584689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584723 */     // GIR_Coverage, 2766,
     /* 1584723 */     GIR_EraseRootFromParent_Done,
     /* 1584724 */   // Label 21911: @1584724
     /* 1584724 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1584810), // Rule ID 2773 //
     /* 1584729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1584749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584775 */     // MIs[0] policy
     /* 1584775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584785 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584809 */     // GIR_Coverage, 2773,
     /* 1584809 */     GIR_EraseRootFromParent_Done,
     /* 1584810 */   // Label 21912: @1584810
     /* 1584810 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1584896), // Rule ID 2774 //
     /* 1584815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1584835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584861 */     // MIs[0] policy
     /* 1584861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584871 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584895 */     // GIR_Coverage, 2774,
     /* 1584895 */     GIR_EraseRootFromParent_Done,
     /* 1584896 */   // Label 21913: @1584896
     /* 1584896 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1584982), // Rule ID 2781 //
     /* 1584901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1584918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1584921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584947 */     // MIs[0] policy
     /* 1584947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584981 */     // GIR_Coverage, 2781,
     /* 1584981 */     GIR_EraseRootFromParent_Done,
     /* 1584982 */   // Label 21914: @1584982
     /* 1584982 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1585068), // Rule ID 2782 //
     /* 1584987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1585001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1585004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585033 */     // MIs[0] policy
     /* 1585033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585067 */     // GIR_Coverage, 2782,
     /* 1585067 */     GIR_EraseRootFromParent_Done,
     /* 1585068 */   // Label 21915: @1585068
     /* 1585068 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1585154), // Rule ID 2789 //
     /* 1585073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585119 */     // MIs[0] policy
     /* 1585119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585129 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585153 */     // GIR_Coverage, 2789,
     /* 1585153 */     GIR_EraseRootFromParent_Done,
     /* 1585154 */   // Label 21916: @1585154
     /* 1585154 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1585240), // Rule ID 2790 //
     /* 1585159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585205 */     // MIs[0] policy
     /* 1585205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585215 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585239 */     // GIR_Coverage, 2790,
     /* 1585239 */     GIR_EraseRootFromParent_Done,
     /* 1585240 */   // Label 21917: @1585240
     /* 1585240 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1585326), // Rule ID 2797 //
     /* 1585245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585291 */     // MIs[0] policy
     /* 1585291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585301 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585325 */     // GIR_Coverage, 2797,
     /* 1585325 */     GIR_EraseRootFromParent_Done,
     /* 1585326 */   // Label 21918: @1585326
     /* 1585326 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1585412), // Rule ID 2798 //
     /* 1585331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585377 */     // MIs[0] policy
     /* 1585377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585387 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585411 */     // GIR_Coverage, 2798,
     /* 1585411 */     GIR_EraseRootFromParent_Done,
     /* 1585412 */   // Label 21919: @1585412
     /* 1585412 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1585498), // Rule ID 2805 //
     /* 1585417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585463 */     // MIs[0] policy
     /* 1585463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585473 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585497 */     // GIR_Coverage, 2805,
     /* 1585497 */     GIR_EraseRootFromParent_Done,
     /* 1585498 */   // Label 21920: @1585498
     /* 1585498 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1585584), // Rule ID 2806 //
     /* 1585503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585549 */     // MIs[0] policy
     /* 1585549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585559 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585583 */     // GIR_Coverage, 2806,
     /* 1585583 */     GIR_EraseRootFromParent_Done,
     /* 1585584 */   // Label 21921: @1585584
     /* 1585584 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1585670), // Rule ID 2813 //
     /* 1585589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1585609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585635 */     // MIs[0] policy
     /* 1585635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585645 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585669 */     // GIR_Coverage, 2813,
     /* 1585669 */     GIR_EraseRootFromParent_Done,
     /* 1585670 */   // Label 21922: @1585670
     /* 1585670 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1585756), // Rule ID 2814 //
     /* 1585675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1585695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585721 */     // MIs[0] policy
     /* 1585721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585755 */     // GIR_Coverage, 2814,
     /* 1585755 */     GIR_EraseRootFromParent_Done,
     /* 1585756 */   // Label 21923: @1585756
     /* 1585756 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1585842), // Rule ID 2821 //
     /* 1585761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1585781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585807 */     // MIs[0] policy
     /* 1585807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585841 */     // GIR_Coverage, 2821,
     /* 1585841 */     GIR_EraseRootFromParent_Done,
     /* 1585842 */   // Label 21924: @1585842
     /* 1585842 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1585928), // Rule ID 2822 //
     /* 1585847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1585867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585893 */     // MIs[0] policy
     /* 1585893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585927 */     // GIR_Coverage, 2822,
     /* 1585927 */     GIR_EraseRootFromParent_Done,
     /* 1585928 */   // Label 21925: @1585928
     /* 1585928 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1586014), // Rule ID 2829 //
     /* 1585933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1585950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1585953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585979 */     // MIs[0] policy
     /* 1585979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585989 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586013 */     // GIR_Coverage, 2829,
     /* 1586013 */     GIR_EraseRootFromParent_Done,
     /* 1586014 */   // Label 21926: @1586014
     /* 1586014 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1586100), // Rule ID 2830 //
     /* 1586019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1586036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1586039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586065 */     // MIs[0] policy
     /* 1586065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586075 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1586078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586099 */     // GIR_Coverage, 2830,
     /* 1586099 */     GIR_EraseRootFromParent_Done,
     /* 1586100 */   // Label 21927: @1586100
     /* 1586100 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1586186), // Rule ID 2837 //
     /* 1586105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586151 */     // MIs[0] policy
     /* 1586151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586185 */     // GIR_Coverage, 2837,
     /* 1586185 */     GIR_EraseRootFromParent_Done,
     /* 1586186 */   // Label 21928: @1586186
     /* 1586186 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1586272), // Rule ID 2838 //
     /* 1586191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586237 */     // MIs[0] policy
     /* 1586237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586271 */     // GIR_Coverage, 2838,
     /* 1586271 */     GIR_EraseRootFromParent_Done,
     /* 1586272 */   // Label 21929: @1586272
     /* 1586272 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1586358), // Rule ID 2845 //
     /* 1586277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586323 */     // MIs[0] policy
     /* 1586323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586357 */     // GIR_Coverage, 2845,
     /* 1586357 */     GIR_EraseRootFromParent_Done,
     /* 1586358 */   // Label 21930: @1586358
     /* 1586358 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1586444), // Rule ID 2846 //
     /* 1586363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586409 */     // MIs[0] policy
     /* 1586409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586443 */     // GIR_Coverage, 2846,
     /* 1586443 */     GIR_EraseRootFromParent_Done,
     /* 1586444 */   // Label 21931: @1586444
     /* 1586444 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1586530), // Rule ID 2853 //
     /* 1586449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586495 */     // MIs[0] policy
     /* 1586495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586529 */     // GIR_Coverage, 2853,
     /* 1586529 */     GIR_EraseRootFromParent_Done,
     /* 1586530 */   // Label 21932: @1586530
     /* 1586530 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1586616), // Rule ID 2854 //
     /* 1586535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586581 */     // MIs[0] policy
     /* 1586581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586591 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586615 */     // GIR_Coverage, 2854,
     /* 1586615 */     GIR_EraseRootFromParent_Done,
     /* 1586616 */   // Label 21933: @1586616
     /* 1586616 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1586702), // Rule ID 2857 //
     /* 1586621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586667 */     // MIs[0] policy
     /* 1586667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1586680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586701 */     // GIR_Coverage, 2857,
     /* 1586701 */     GIR_EraseRootFromParent_Done,
     /* 1586702 */   // Label 21934: @1586702
     /* 1586702 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1586788), // Rule ID 2858 //
     /* 1586707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586753 */     // MIs[0] policy
     /* 1586753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586763 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1586766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586787 */     // GIR_Coverage, 2858,
     /* 1586787 */     GIR_EraseRootFromParent_Done,
     /* 1586788 */   // Label 21935: @1586788
     /* 1586788 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1586874), // Rule ID 2861 //
     /* 1586793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1586813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586839 */     // MIs[0] policy
     /* 1586839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586873 */     // GIR_Coverage, 2861,
     /* 1586873 */     GIR_EraseRootFromParent_Done,
     /* 1586874 */   // Label 21936: @1586874
     /* 1586874 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1586960), // Rule ID 2862 //
     /* 1586879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1586899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586925 */     // MIs[0] policy
     /* 1586925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586935 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586959 */     // GIR_Coverage, 2862,
     /* 1586959 */     GIR_EraseRootFromParent_Done,
     /* 1586960 */   // Label 21937: @1586960
     /* 1586960 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1587046), // Rule ID 2865 //
     /* 1586965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1586976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1586979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1586982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1586985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587011 */     // MIs[0] policy
     /* 1587011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587045 */     // GIR_Coverage, 2865,
     /* 1587045 */     GIR_EraseRootFromParent_Done,
     /* 1587046 */   // Label 21938: @1587046
     /* 1587046 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1587132), // Rule ID 2866 //
     /* 1587051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587097 */     // MIs[0] policy
     /* 1587097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587131 */     // GIR_Coverage, 2866,
     /* 1587131 */     GIR_EraseRootFromParent_Done,
     /* 1587132 */   // Label 21939: @1587132
     /* 1587132 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1587218), // Rule ID 2869 //
     /* 1587137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587183 */     // MIs[0] policy
     /* 1587183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587217 */     // GIR_Coverage, 2869,
     /* 1587217 */     GIR_EraseRootFromParent_Done,
     /* 1587218 */   // Label 21940: @1587218
     /* 1587218 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1587304), // Rule ID 2870 //
     /* 1587223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587269 */     // MIs[0] policy
     /* 1587269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587303 */     // GIR_Coverage, 2870,
     /* 1587303 */     GIR_EraseRootFromParent_Done,
     /* 1587304 */   // Label 21941: @1587304
     /* 1587304 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1587390), // Rule ID 2873 //
     /* 1587309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587355 */     // MIs[0] policy
     /* 1587355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587389 */     // GIR_Coverage, 2873,
     /* 1587389 */     GIR_EraseRootFromParent_Done,
     /* 1587390 */   // Label 21942: @1587390
     /* 1587390 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1587476), // Rule ID 2874 //
     /* 1587395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587441 */     // MIs[0] policy
     /* 1587441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587475 */     // GIR_Coverage, 2874,
     /* 1587475 */     GIR_EraseRootFromParent_Done,
     /* 1587476 */   // Label 21943: @1587476
     /* 1587476 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1587562), // Rule ID 2877 //
     /* 1587481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587527 */     // MIs[0] policy
     /* 1587527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587537 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587561 */     // GIR_Coverage, 2877,
     /* 1587561 */     GIR_EraseRootFromParent_Done,
     /* 1587562 */   // Label 21944: @1587562
     /* 1587562 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1587648), // Rule ID 2878 //
     /* 1587567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587613 */     // MIs[0] policy
     /* 1587613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587647 */     // GIR_Coverage, 2878,
     /* 1587647 */     GIR_EraseRootFromParent_Done,
     /* 1587648 */   // Label 21945: @1587648
     /* 1587648 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1587734), // Rule ID 2881 //
     /* 1587653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587699 */     // MIs[0] policy
     /* 1587699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587733 */     // GIR_Coverage, 2881,
     /* 1587733 */     GIR_EraseRootFromParent_Done,
     /* 1587734 */   // Label 21946: @1587734
     /* 1587734 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1587820), // Rule ID 2882 //
     /* 1587739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587785 */     // MIs[0] policy
     /* 1587785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587819 */     // GIR_Coverage, 2882,
     /* 1587819 */     GIR_EraseRootFromParent_Done,
     /* 1587820 */   // Label 21947: @1587820
     /* 1587820 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1587906), // Rule ID 2885 //
     /* 1587825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1587828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1587836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1587839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1587842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1587845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587871 */     // MIs[0] policy
     /* 1587871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587905 */     // GIR_Coverage, 2885,
     /* 1587905 */     GIR_EraseRootFromParent_Done,
     /* 1587906 */   // Label 21948: @1587906
     /* 1587906 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1587992), // Rule ID 2886 //
     /* 1587911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1587914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1587922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1587925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1587928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1587931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587957 */     // MIs[0] policy
     /* 1587957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587991 */     // GIR_Coverage, 2886,
     /* 1587991 */     GIR_EraseRootFromParent_Done,
     /* 1587992 */   // Label 21949: @1587992
     /* 1587992 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1588078), // Rule ID 2889 //
     /* 1587997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588043 */     // MIs[0] policy
     /* 1588043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588077 */     // GIR_Coverage, 2889,
     /* 1588077 */     GIR_EraseRootFromParent_Done,
     /* 1588078 */   // Label 21950: @1588078
     /* 1588078 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1588164), // Rule ID 2890 //
     /* 1588083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588129 */     // MIs[0] policy
     /* 1588129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588139 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588163 */     // GIR_Coverage, 2890,
     /* 1588163 */     GIR_EraseRootFromParent_Done,
     /* 1588164 */   // Label 21951: @1588164
     /* 1588164 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1588250), // Rule ID 2893 //
     /* 1588169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588215 */     // MIs[0] policy
     /* 1588215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588225 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588249 */     // GIR_Coverage, 2893,
     /* 1588249 */     GIR_EraseRootFromParent_Done,
     /* 1588250 */   // Label 21952: @1588250
     /* 1588250 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1588336), // Rule ID 2894 //
     /* 1588255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588301 */     // MIs[0] policy
     /* 1588301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588311 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588335 */     // GIR_Coverage, 2894,
     /* 1588335 */     GIR_EraseRootFromParent_Done,
     /* 1588336 */   // Label 21953: @1588336
     /* 1588336 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1588422), // Rule ID 2897 //
     /* 1588341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588387 */     // MIs[0] policy
     /* 1588387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588421 */     // GIR_Coverage, 2897,
     /* 1588421 */     GIR_EraseRootFromParent_Done,
     /* 1588422 */   // Label 21954: @1588422
     /* 1588422 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1588508), // Rule ID 2898 //
     /* 1588427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588473 */     // MIs[0] policy
     /* 1588473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588507 */     // GIR_Coverage, 2898,
     /* 1588507 */     GIR_EraseRootFromParent_Done,
     /* 1588508 */   // Label 21955: @1588508
     /* 1588508 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1588594), // Rule ID 2901 //
     /* 1588513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588559 */     // MIs[0] policy
     /* 1588559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588569 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588593 */     // GIR_Coverage, 2901,
     /* 1588593 */     GIR_EraseRootFromParent_Done,
     /* 1588594 */   // Label 21956: @1588594
     /* 1588594 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1588680), // Rule ID 2902 //
     /* 1588599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588645 */     // MIs[0] policy
     /* 1588645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588655 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588679 */     // GIR_Coverage, 2902,
     /* 1588679 */     GIR_EraseRootFromParent_Done,
     /* 1588680 */   // Label 21957: @1588680
     /* 1588680 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1588766), // Rule ID 2905 //
     /* 1588685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1588696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1588699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1588702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588731 */     // MIs[0] policy
     /* 1588731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588765 */     // GIR_Coverage, 2905,
     /* 1588765 */     GIR_EraseRootFromParent_Done,
     /* 1588766 */   // Label 21958: @1588766
     /* 1588766 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1588852), // Rule ID 2906 //
     /* 1588771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1588782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1588785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1588788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588817 */     // MIs[0] policy
     /* 1588817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588851 */     // GIR_Coverage, 2906,
     /* 1588851 */     GIR_EraseRootFromParent_Done,
     /* 1588852 */   // Label 21959: @1588852
     /* 1588852 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1588938), // Rule ID 2909 //
     /* 1588857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1588868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1588871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1588874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1588877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588903 */     // MIs[0] policy
     /* 1588903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588913 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588937 */     // GIR_Coverage, 2909,
     /* 1588937 */     GIR_EraseRootFromParent_Done,
     /* 1588938 */   // Label 21960: @1588938
     /* 1588938 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1589024), // Rule ID 2910 //
     /* 1588943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1588954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1588957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1588960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1588963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588989 */     // MIs[0] policy
     /* 1588989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589023 */     // GIR_Coverage, 2910,
     /* 1589023 */     GIR_EraseRootFromParent_Done,
     /* 1589024 */   // Label 21961: @1589024
     /* 1589024 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1589110), // Rule ID 2913 //
     /* 1589029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589075 */     // MIs[0] policy
     /* 1589075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589109 */     // GIR_Coverage, 2913,
     /* 1589109 */     GIR_EraseRootFromParent_Done,
     /* 1589110 */   // Label 21962: @1589110
     /* 1589110 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1589196), // Rule ID 2914 //
     /* 1589115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589161 */     // MIs[0] policy
     /* 1589161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589195 */     // GIR_Coverage, 2914,
     /* 1589195 */     GIR_EraseRootFromParent_Done,
     /* 1589196 */   // Label 21963: @1589196
     /* 1589196 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1589282), // Rule ID 2917 //
     /* 1589201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589247 */     // MIs[0] policy
     /* 1589247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589281 */     // GIR_Coverage, 2917,
     /* 1589281 */     GIR_EraseRootFromParent_Done,
     /* 1589282 */   // Label 21964: @1589282
     /* 1589282 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1589368), // Rule ID 2918 //
     /* 1589287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589333 */     // MIs[0] policy
     /* 1589333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589343 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589367 */     // GIR_Coverage, 2918,
     /* 1589367 */     GIR_EraseRootFromParent_Done,
     /* 1589368 */   // Label 21965: @1589368
     /* 1589368 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1589454), // Rule ID 2921 //
     /* 1589373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589419 */     // MIs[0] policy
     /* 1589419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589453 */     // GIR_Coverage, 2921,
     /* 1589453 */     GIR_EraseRootFromParent_Done,
     /* 1589454 */   // Label 21966: @1589454
     /* 1589454 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1589540), // Rule ID 2922 //
     /* 1589459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589505 */     // MIs[0] policy
     /* 1589505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589539 */     // GIR_Coverage, 2922,
     /* 1589539 */     GIR_EraseRootFromParent_Done,
     /* 1589540 */   // Label 21967: @1589540
     /* 1589540 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1589626), // Rule ID 2925 //
     /* 1589545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589591 */     // MIs[0] policy
     /* 1589591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589625 */     // GIR_Coverage, 2925,
     /* 1589625 */     GIR_EraseRootFromParent_Done,
     /* 1589626 */   // Label 21968: @1589626
     /* 1589626 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1589712), // Rule ID 2926 //
     /* 1589631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589677 */     // MIs[0] policy
     /* 1589677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589687 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589711 */     // GIR_Coverage, 2926,
     /* 1589711 */     GIR_EraseRootFromParent_Done,
     /* 1589712 */   // Label 21969: @1589712
     /* 1589712 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1589798), // Rule ID 2929 //
     /* 1589717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1589728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1589731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1589734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1589737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589763 */     // MIs[0] policy
     /* 1589763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589773 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589797 */     // GIR_Coverage, 2929,
     /* 1589797 */     GIR_EraseRootFromParent_Done,
     /* 1589798 */   // Label 21970: @1589798
     /* 1589798 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1589884), // Rule ID 2930 //
     /* 1589803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1589814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1589817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1589820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1589823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589849 */     // MIs[0] policy
     /* 1589849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589883 */     // GIR_Coverage, 2930,
     /* 1589883 */     GIR_EraseRootFromParent_Done,
     /* 1589884 */   // Label 21971: @1589884
     /* 1589884 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1589970), // Rule ID 2933 //
     /* 1589889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1589900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1589903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1589906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1589909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589935 */     // MIs[0] policy
     /* 1589935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589945 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589969 */     // GIR_Coverage, 2933,
     /* 1589969 */     GIR_EraseRootFromParent_Done,
     /* 1589970 */   // Label 21972: @1589970
     /* 1589970 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1590056), // Rule ID 2934 //
     /* 1589975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1589986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1589989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1589992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1589995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590021 */     // MIs[0] policy
     /* 1590021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1590034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590055 */     // GIR_Coverage, 2934,
     /* 1590055 */     GIR_EraseRootFromParent_Done,
     /* 1590056 */   // Label 21973: @1590056
     /* 1590056 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1590142), // Rule ID 2937 //
     /* 1590061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590107 */     // MIs[0] policy
     /* 1590107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590141 */     // GIR_Coverage, 2937,
     /* 1590141 */     GIR_EraseRootFromParent_Done,
     /* 1590142 */   // Label 21974: @1590142
     /* 1590142 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1590228), // Rule ID 2938 //
     /* 1590147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590193 */     // MIs[0] policy
     /* 1590193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590227 */     // GIR_Coverage, 2938,
     /* 1590227 */     GIR_EraseRootFromParent_Done,
     /* 1590228 */   // Label 21975: @1590228
     /* 1590228 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1590314), // Rule ID 2941 //
     /* 1590233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590279 */     // MIs[0] policy
     /* 1590279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590313 */     // GIR_Coverage, 2941,
     /* 1590313 */     GIR_EraseRootFromParent_Done,
     /* 1590314 */   // Label 21976: @1590314
     /* 1590314 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1590400), // Rule ID 2942 //
     /* 1590319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590365 */     // MIs[0] policy
     /* 1590365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590375 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590399 */     // GIR_Coverage, 2942,
     /* 1590399 */     GIR_EraseRootFromParent_Done,
     /* 1590400 */   // Label 21977: @1590400
     /* 1590400 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1590486), // Rule ID 2945 //
     /* 1590405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590451 */     // MIs[0] policy
     /* 1590451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590461 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590485 */     // GIR_Coverage, 2945,
     /* 1590485 */     GIR_EraseRootFromParent_Done,
     /* 1590486 */   // Label 21978: @1590486
     /* 1590486 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1590572), // Rule ID 2946 //
     /* 1590491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590537 */     // MIs[0] policy
     /* 1590537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590571 */     // GIR_Coverage, 2946,
     /* 1590571 */     GIR_EraseRootFromParent_Done,
     /* 1590572 */   // Label 21979: @1590572
     /* 1590572 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1590658), // Rule ID 2949 //
     /* 1590577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590623 */     // MIs[0] policy
     /* 1590623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590657 */     // GIR_Coverage, 2949,
     /* 1590657 */     GIR_EraseRootFromParent_Done,
     /* 1590658 */   // Label 21980: @1590658
     /* 1590658 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1590744), // Rule ID 2950 //
     /* 1590663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590709 */     // MIs[0] policy
     /* 1590709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590719 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590743 */     // GIR_Coverage, 2950,
     /* 1590743 */     GIR_EraseRootFromParent_Done,
     /* 1590744 */   // Label 21981: @1590744
     /* 1590744 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1590830), // Rule ID 2953 //
     /* 1590749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590795 */     // MIs[0] policy
     /* 1590795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590829 */     // GIR_Coverage, 2953,
     /* 1590829 */     GIR_EraseRootFromParent_Done,
     /* 1590830 */   // Label 21982: @1590830
     /* 1590830 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1590916), // Rule ID 2954 //
     /* 1590835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590881 */     // MIs[0] policy
     /* 1590881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590891 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590915 */     // GIR_Coverage, 2954,
     /* 1590915 */     GIR_EraseRootFromParent_Done,
     /* 1590916 */   // Label 21983: @1590916
     /* 1590916 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1591002), // Rule ID 2957 //
     /* 1590921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1590932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1590935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1590938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590967 */     // MIs[0] policy
     /* 1590967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590977 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591001 */     // GIR_Coverage, 2957,
     /* 1591001 */     GIR_EraseRootFromParent_Done,
     /* 1591002 */   // Label 21984: @1591002
     /* 1591002 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1591088), // Rule ID 2958 //
     /* 1591007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591053 */     // MIs[0] policy
     /* 1591053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591087 */     // GIR_Coverage, 2958,
     /* 1591087 */     GIR_EraseRootFromParent_Done,
     /* 1591088 */   // Label 21985: @1591088
     /* 1591088 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1591174), // Rule ID 2961 //
     /* 1591093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591139 */     // MIs[0] policy
     /* 1591139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591173 */     // GIR_Coverage, 2961,
     /* 1591173 */     GIR_EraseRootFromParent_Done,
     /* 1591174 */   // Label 21986: @1591174
     /* 1591174 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1591260), // Rule ID 2962 //
     /* 1591179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591225 */     // MIs[0] policy
     /* 1591225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591235 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591259 */     // GIR_Coverage, 2962,
     /* 1591259 */     GIR_EraseRootFromParent_Done,
     /* 1591260 */   // Label 21987: @1591260
     /* 1591260 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1591346), // Rule ID 2965 //
     /* 1591265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591311 */     // MIs[0] policy
     /* 1591311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591345 */     // GIR_Coverage, 2965,
     /* 1591345 */     GIR_EraseRootFromParent_Done,
     /* 1591346 */   // Label 21988: @1591346
     /* 1591346 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1591432), // Rule ID 2966 //
     /* 1591351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591397 */     // MIs[0] policy
     /* 1591397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591431 */     // GIR_Coverage, 2966,
     /* 1591431 */     GIR_EraseRootFromParent_Done,
     /* 1591432 */   // Label 21989: @1591432
     /* 1591432 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1591518), // Rule ID 2969 //
     /* 1591437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591483 */     // MIs[0] policy
     /* 1591483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591517 */     // GIR_Coverage, 2969,
     /* 1591517 */     GIR_EraseRootFromParent_Done,
     /* 1591518 */   // Label 21990: @1591518
     /* 1591518 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1591604), // Rule ID 2970 //
     /* 1591523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591569 */     // MIs[0] policy
     /* 1591569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591579 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591603 */     // GIR_Coverage, 2970,
     /* 1591603 */     GIR_EraseRootFromParent_Done,
     /* 1591604 */   // Label 21991: @1591604
     /* 1591604 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1591690), // Rule ID 2973 //
     /* 1591609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591655 */     // MIs[0] policy
     /* 1591655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591689 */     // GIR_Coverage, 2973,
     /* 1591689 */     GIR_EraseRootFromParent_Done,
     /* 1591690 */   // Label 21992: @1591690
     /* 1591690 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1591776), // Rule ID 2974 //
     /* 1591695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1591698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591741 */     // MIs[0] policy
     /* 1591741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591775 */     // GIR_Coverage, 2974,
     /* 1591775 */     GIR_EraseRootFromParent_Done,
     /* 1591776 */   // Label 21993: @1591776
     /* 1591776 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1591862), // Rule ID 2977 //
     /* 1591781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591827 */     // MIs[0] policy
     /* 1591827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591837 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591861 */     // GIR_Coverage, 2977,
     /* 1591861 */     GIR_EraseRootFromParent_Done,
     /* 1591862 */   // Label 21994: @1591862
     /* 1591862 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1591948), // Rule ID 2978 //
     /* 1591867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591913 */     // MIs[0] policy
     /* 1591913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591947 */     // GIR_Coverage, 2978,
     /* 1591947 */     GIR_EraseRootFromParent_Done,
     /* 1591948 */   // Label 21995: @1591948
     /* 1591948 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1592034), // Rule ID 2981 //
     /* 1591953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1591964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1591967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1591970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591999 */     // MIs[0] policy
     /* 1591999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592033 */     // GIR_Coverage, 2981,
     /* 1592033 */     GIR_EraseRootFromParent_Done,
     /* 1592034 */   // Label 21996: @1592034
     /* 1592034 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1592120), // Rule ID 2982 //
     /* 1592039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592085 */     // MIs[0] policy
     /* 1592085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592095 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592119 */     // GIR_Coverage, 2982,
     /* 1592119 */     GIR_EraseRootFromParent_Done,
     /* 1592120 */   // Label 21997: @1592120
     /* 1592120 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1592206), // Rule ID 2985 //
     /* 1592125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592171 */     // MIs[0] policy
     /* 1592171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592181 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592205 */     // GIR_Coverage, 2985,
     /* 1592205 */     GIR_EraseRootFromParent_Done,
     /* 1592206 */   // Label 21998: @1592206
     /* 1592206 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1592292), // Rule ID 2986 //
     /* 1592211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592257 */     // MIs[0] policy
     /* 1592257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592291 */     // GIR_Coverage, 2986,
     /* 1592291 */     GIR_EraseRootFromParent_Done,
     /* 1592292 */   // Label 21999: @1592292
     /* 1592292 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1592378), // Rule ID 2989 //
     /* 1592297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592343 */     // MIs[0] policy
     /* 1592343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592377 */     // GIR_Coverage, 2989,
     /* 1592377 */     GIR_EraseRootFromParent_Done,
     /* 1592378 */   // Label 22000: @1592378
     /* 1592378 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1592464), // Rule ID 2990 //
     /* 1592383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592429 */     // MIs[0] policy
     /* 1592429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592463 */     // GIR_Coverage, 2990,
     /* 1592463 */     GIR_EraseRootFromParent_Done,
     /* 1592464 */   // Label 22001: @1592464
     /* 1592464 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1592550), // Rule ID 2993 //
     /* 1592469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592515 */     // MIs[0] policy
     /* 1592515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592525 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592549 */     // GIR_Coverage, 2993,
     /* 1592549 */     GIR_EraseRootFromParent_Done,
     /* 1592550 */   // Label 22002: @1592550
     /* 1592550 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1592636), // Rule ID 2994 //
     /* 1592555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592601 */     // MIs[0] policy
     /* 1592601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592635 */     // GIR_Coverage, 2994,
     /* 1592635 */     GIR_EraseRootFromParent_Done,
     /* 1592636 */   // Label 22003: @1592636
     /* 1592636 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1592722), // Rule ID 2997 //
     /* 1592641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592687 */     // MIs[0] policy
     /* 1592687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592697 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592721 */     // GIR_Coverage, 2997,
     /* 1592721 */     GIR_EraseRootFromParent_Done,
     /* 1592722 */   // Label 22004: @1592722
     /* 1592722 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1592808), // Rule ID 2998 //
     /* 1592727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592773 */     // MIs[0] policy
     /* 1592773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592783 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592807 */     // GIR_Coverage, 2998,
     /* 1592807 */     GIR_EraseRootFromParent_Done,
     /* 1592808 */   // Label 22005: @1592808
     /* 1592808 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1592894), // Rule ID 3001 //
     /* 1592813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592859 */     // MIs[0] policy
     /* 1592859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592893 */     // GIR_Coverage, 3001,
     /* 1592893 */     GIR_EraseRootFromParent_Done,
     /* 1592894 */   // Label 22006: @1592894
     /* 1592894 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1592980), // Rule ID 3002 //
     /* 1592899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592945 */     // MIs[0] policy
     /* 1592945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592979 */     // GIR_Coverage, 3002,
     /* 1592979 */     GIR_EraseRootFromParent_Done,
     /* 1592980 */   // Label 22007: @1592980
     /* 1592980 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1593066), // Rule ID 3005 //
     /* 1592985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593031 */     // MIs[0] policy
     /* 1593031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593065 */     // GIR_Coverage, 3005,
     /* 1593065 */     GIR_EraseRootFromParent_Done,
     /* 1593066 */   // Label 22008: @1593066
     /* 1593066 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1593152), // Rule ID 3006 //
     /* 1593071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593117 */     // MIs[0] policy
     /* 1593117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593151 */     // GIR_Coverage, 3006,
     /* 1593151 */     GIR_EraseRootFromParent_Done,
     /* 1593152 */   // Label 22009: @1593152
     /* 1593152 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1593238), // Rule ID 3009 //
     /* 1593157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593203 */     // MIs[0] policy
     /* 1593203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593237 */     // GIR_Coverage, 3009,
     /* 1593237 */     GIR_EraseRootFromParent_Done,
     /* 1593238 */   // Label 22010: @1593238
     /* 1593238 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1593324), // Rule ID 3010 //
     /* 1593243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593289 */     // MIs[0] policy
     /* 1593289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593323 */     // GIR_Coverage, 3010,
     /* 1593323 */     GIR_EraseRootFromParent_Done,
     /* 1593324 */   // Label 22011: @1593324
     /* 1593324 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1593410), // Rule ID 3013 //
     /* 1593329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593375 */     // MIs[0] policy
     /* 1593375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593409 */     // GIR_Coverage, 3013,
     /* 1593409 */     GIR_EraseRootFromParent_Done,
     /* 1593410 */   // Label 22012: @1593410
     /* 1593410 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1593496), // Rule ID 3014 //
     /* 1593415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593461 */     // MIs[0] policy
     /* 1593461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593471 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593495 */     // GIR_Coverage, 3014,
     /* 1593495 */     GIR_EraseRootFromParent_Done,
     /* 1593496 */   // Label 22013: @1593496
     /* 1593496 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1593582), // Rule ID 3017 //
     /* 1593501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593547 */     // MIs[0] policy
     /* 1593547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593557 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593581 */     // GIR_Coverage, 3017,
     /* 1593581 */     GIR_EraseRootFromParent_Done,
     /* 1593582 */   // Label 22014: @1593582
     /* 1593582 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1593668), // Rule ID 3018 //
     /* 1593587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593633 */     // MIs[0] policy
     /* 1593633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593667 */     // GIR_Coverage, 3018,
     /* 1593667 */     GIR_EraseRootFromParent_Done,
     /* 1593668 */   // Label 22015: @1593668
     /* 1593668 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1593754), // Rule ID 3021 //
     /* 1593673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593719 */     // MIs[0] policy
     /* 1593719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593753 */     // GIR_Coverage, 3021,
     /* 1593753 */     GIR_EraseRootFromParent_Done,
     /* 1593754 */   // Label 22016: @1593754
     /* 1593754 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1593840), // Rule ID 3022 //
     /* 1593759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593805 */     // MIs[0] policy
     /* 1593805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593815 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593839 */     // GIR_Coverage, 3022,
     /* 1593839 */     GIR_EraseRootFromParent_Done,
     /* 1593840 */   // Label 22017: @1593840
     /* 1593840 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1593926), // Rule ID 3113 //
     /* 1593845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593891 */     // MIs[0] policy
     /* 1593891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593901 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1593904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593925 */     // GIR_Coverage, 3113,
     /* 1593925 */     GIR_EraseRootFromParent_Done,
     /* 1593926 */   // Label 22018: @1593926
     /* 1593926 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1594012), // Rule ID 3114 //
     /* 1593931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593977 */     // MIs[0] policy
     /* 1593977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593987 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1593990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594011 */     // GIR_Coverage, 3114,
     /* 1594011 */     GIR_EraseRootFromParent_Done,
     /* 1594012 */   // Label 22019: @1594012
     /* 1594012 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1594098), // Rule ID 3117 //
     /* 1594017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594063 */     // MIs[0] policy
     /* 1594063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594097 */     // GIR_Coverage, 3117,
     /* 1594097 */     GIR_EraseRootFromParent_Done,
     /* 1594098 */   // Label 22020: @1594098
     /* 1594098 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1594184), // Rule ID 3118 //
     /* 1594103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594149 */     // MIs[0] policy
     /* 1594149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594183 */     // GIR_Coverage, 3118,
     /* 1594183 */     GIR_EraseRootFromParent_Done,
     /* 1594184 */   // Label 22021: @1594184
     /* 1594184 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1594270), // Rule ID 3121 //
     /* 1594189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594235 */     // MIs[0] policy
     /* 1594235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594245 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594269 */     // GIR_Coverage, 3121,
     /* 1594269 */     GIR_EraseRootFromParent_Done,
     /* 1594270 */   // Label 22022: @1594270
     /* 1594270 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1594356), // Rule ID 3122 //
     /* 1594275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594321 */     // MIs[0] policy
     /* 1594321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594331 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594355 */     // GIR_Coverage, 3122,
     /* 1594355 */     GIR_EraseRootFromParent_Done,
     /* 1594356 */   // Label 22023: @1594356
     /* 1594356 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1594442), // Rule ID 3125 //
     /* 1594361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594407 */     // MIs[0] policy
     /* 1594407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594417 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594441 */     // GIR_Coverage, 3125,
     /* 1594441 */     GIR_EraseRootFromParent_Done,
     /* 1594442 */   // Label 22024: @1594442
     /* 1594442 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1594528), // Rule ID 3126 //
     /* 1594447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594493 */     // MIs[0] policy
     /* 1594493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594503 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594527 */     // GIR_Coverage, 3126,
     /* 1594527 */     GIR_EraseRootFromParent_Done,
     /* 1594528 */   // Label 22025: @1594528
     /* 1594528 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1594614), // Rule ID 3129 //
     /* 1594533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594579 */     // MIs[0] policy
     /* 1594579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594589 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594613 */     // GIR_Coverage, 3129,
     /* 1594613 */     GIR_EraseRootFromParent_Done,
     /* 1594614 */   // Label 22026: @1594614
     /* 1594614 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1594700), // Rule ID 3130 //
     /* 1594619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594665 */     // MIs[0] policy
     /* 1594665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594675 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594699 */     // GIR_Coverage, 3130,
     /* 1594699 */     GIR_EraseRootFromParent_Done,
     /* 1594700 */   // Label 22027: @1594700
     /* 1594700 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1594786), // Rule ID 3133 //
     /* 1594705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594751 */     // MIs[0] policy
     /* 1594751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594785 */     // GIR_Coverage, 3133,
     /* 1594785 */     GIR_EraseRootFromParent_Done,
     /* 1594786 */   // Label 22028: @1594786
     /* 1594786 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1594872), // Rule ID 3134 //
     /* 1594791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594837 */     // MIs[0] policy
     /* 1594837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594871 */     // GIR_Coverage, 3134,
     /* 1594871 */     GIR_EraseRootFromParent_Done,
     /* 1594872 */   // Label 22029: @1594872
     /* 1594872 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1594958), // Rule ID 3137 //
     /* 1594877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1594894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594923 */     // MIs[0] policy
     /* 1594923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594933 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1594936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594957 */     // GIR_Coverage, 3137,
     /* 1594957 */     GIR_EraseRootFromParent_Done,
     /* 1594958 */   // Label 22030: @1594958
     /* 1594958 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1595044), // Rule ID 3138 //
     /* 1594963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1594980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595009 */     // MIs[0] policy
     /* 1595009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595019 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595043 */     // GIR_Coverage, 3138,
     /* 1595043 */     GIR_EraseRootFromParent_Done,
     /* 1595044 */   // Label 22031: @1595044
     /* 1595044 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1595130), // Rule ID 3141 //
     /* 1595049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595095 */     // MIs[0] policy
     /* 1595095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595129 */     // GIR_Coverage, 3141,
     /* 1595129 */     GIR_EraseRootFromParent_Done,
     /* 1595130 */   // Label 22032: @1595130
     /* 1595130 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1595216), // Rule ID 3142 //
     /* 1595135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595181 */     // MIs[0] policy
     /* 1595181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595191 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595215 */     // GIR_Coverage, 3142,
     /* 1595215 */     GIR_EraseRootFromParent_Done,
     /* 1595216 */   // Label 22033: @1595216
     /* 1595216 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1595302), // Rule ID 3145 //
     /* 1595221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595267 */     // MIs[0] policy
     /* 1595267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595301 */     // GIR_Coverage, 3145,
     /* 1595301 */     GIR_EraseRootFromParent_Done,
     /* 1595302 */   // Label 22034: @1595302
     /* 1595302 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1595388), // Rule ID 3146 //
     /* 1595307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595353 */     // MIs[0] policy
     /* 1595353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595387 */     // GIR_Coverage, 3146,
     /* 1595387 */     GIR_EraseRootFromParent_Done,
     /* 1595388 */   // Label 22035: @1595388
     /* 1595388 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1595474), // Rule ID 3149 //
     /* 1595393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595439 */     // MIs[0] policy
     /* 1595439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595473 */     // GIR_Coverage, 3149,
     /* 1595473 */     GIR_EraseRootFromParent_Done,
     /* 1595474 */   // Label 22036: @1595474
     /* 1595474 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1595560), // Rule ID 3150 //
     /* 1595479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595525 */     // MIs[0] policy
     /* 1595525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595559 */     // GIR_Coverage, 3150,
     /* 1595559 */     GIR_EraseRootFromParent_Done,
     /* 1595560 */   // Label 22037: @1595560
     /* 1595560 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1595646), // Rule ID 3153 //
     /* 1595565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595611 */     // MIs[0] policy
     /* 1595611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595645 */     // GIR_Coverage, 3153,
     /* 1595645 */     GIR_EraseRootFromParent_Done,
     /* 1595646 */   // Label 22038: @1595646
     /* 1595646 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1595732), // Rule ID 3154 //
     /* 1595651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595697 */     // MIs[0] policy
     /* 1595697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595731 */     // GIR_Coverage, 3154,
     /* 1595731 */     GIR_EraseRootFromParent_Done,
     /* 1595732 */   // Label 22039: @1595732
     /* 1595732 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1595818), // Rule ID 3157 //
     /* 1595737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595783 */     // MIs[0] policy
     /* 1595783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595817 */     // GIR_Coverage, 3157,
     /* 1595817 */     GIR_EraseRootFromParent_Done,
     /* 1595818 */   // Label 22040: @1595818
     /* 1595818 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1595904), // Rule ID 3158 //
     /* 1595823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595869 */     // MIs[0] policy
     /* 1595869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595879 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595903 */     // GIR_Coverage, 3158,
     /* 1595903 */     GIR_EraseRootFromParent_Done,
     /* 1595904 */   // Label 22041: @1595904
     /* 1595904 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1595990), // Rule ID 3161 //
     /* 1595909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1595920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1595923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1595926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1595929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1595932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595955 */     // MIs[0] policy
     /* 1595955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595965 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1595968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595989 */     // GIR_Coverage, 3161,
     /* 1595989 */     GIR_EraseRootFromParent_Done,
     /* 1595990 */   // Label 22042: @1595990
     /* 1595990 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1596076), // Rule ID 3162 //
     /* 1595995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1596015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596041 */     // MIs[0] policy
     /* 1596041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596075 */     // GIR_Coverage, 3162,
     /* 1596075 */     GIR_EraseRootFromParent_Done,
     /* 1596076 */   // Label 22043: @1596076
     /* 1596076 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1596162), // Rule ID 3165 //
     /* 1596081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596127 */     // MIs[0] policy
     /* 1596127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596161 */     // GIR_Coverage, 3165,
     /* 1596161 */     GIR_EraseRootFromParent_Done,
     /* 1596162 */   // Label 22044: @1596162
     /* 1596162 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1596248), // Rule ID 3166 //
     /* 1596167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596213 */     // MIs[0] policy
     /* 1596213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596223 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596247 */     // GIR_Coverage, 3166,
     /* 1596247 */     GIR_EraseRootFromParent_Done,
     /* 1596248 */   // Label 22045: @1596248
     /* 1596248 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1596334), // Rule ID 3169 //
     /* 1596253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596299 */     // MIs[0] policy
     /* 1596299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596333 */     // GIR_Coverage, 3169,
     /* 1596333 */     GIR_EraseRootFromParent_Done,
     /* 1596334 */   // Label 22046: @1596334
     /* 1596334 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1596420), // Rule ID 3170 //
     /* 1596339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596385 */     // MIs[0] policy
     /* 1596385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596419 */     // GIR_Coverage, 3170,
     /* 1596419 */     GIR_EraseRootFromParent_Done,
     /* 1596420 */   // Label 22047: @1596420
     /* 1596420 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1596506), // Rule ID 3173 //
     /* 1596425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596471 */     // MIs[0] policy
     /* 1596471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596481 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596505 */     // GIR_Coverage, 3173,
     /* 1596505 */     GIR_EraseRootFromParent_Done,
     /* 1596506 */   // Label 22048: @1596506
     /* 1596506 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1596592), // Rule ID 3174 //
     /* 1596511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596557 */     // MIs[0] policy
     /* 1596557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596567 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596591 */     // GIR_Coverage, 3174,
     /* 1596591 */     GIR_EraseRootFromParent_Done,
     /* 1596592 */   // Label 22049: @1596592
     /* 1596592 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1596678), // Rule ID 3177 //
     /* 1596597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596643 */     // MIs[0] policy
     /* 1596643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596677 */     // GIR_Coverage, 3177,
     /* 1596677 */     GIR_EraseRootFromParent_Done,
     /* 1596678 */   // Label 22050: @1596678
     /* 1596678 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1596764), // Rule ID 3178 //
     /* 1596683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596729 */     // MIs[0] policy
     /* 1596729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596763 */     // GIR_Coverage, 3178,
     /* 1596763 */     GIR_EraseRootFromParent_Done,
     /* 1596764 */   // Label 22051: @1596764
     /* 1596764 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1596850), // Rule ID 3181 //
     /* 1596769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596815 */     // MIs[0] policy
     /* 1596815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596825 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596849 */     // GIR_Coverage, 3181,
     /* 1596849 */     GIR_EraseRootFromParent_Done,
     /* 1596850 */   // Label 22052: @1596850
     /* 1596850 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1596936), // Rule ID 3182 //
     /* 1596855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596901 */     // MIs[0] policy
     /* 1596901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596911 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596935 */     // GIR_Coverage, 3182,
     /* 1596935 */     GIR_EraseRootFromParent_Done,
     /* 1596936 */   // Label 22053: @1596936
     /* 1596936 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1597022), // Rule ID 3185 //
     /* 1596941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1596952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1596955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1596958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1596961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596987 */     // MIs[0] policy
     /* 1596987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597021 */     // GIR_Coverage, 3185,
     /* 1597021 */     GIR_EraseRootFromParent_Done,
     /* 1597022 */   // Label 22054: @1597022
     /* 1597022 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1597108), // Rule ID 3186 //
     /* 1597027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1597047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597073 */     // MIs[0] policy
     /* 1597073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597107 */     // GIR_Coverage, 3186,
     /* 1597107 */     GIR_EraseRootFromParent_Done,
     /* 1597108 */   // Label 22055: @1597108
     /* 1597108 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1597194), // Rule ID 3189 //
     /* 1597113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597159 */     // MIs[0] policy
     /* 1597159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597169 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597193 */     // GIR_Coverage, 3189,
     /* 1597193 */     GIR_EraseRootFromParent_Done,
     /* 1597194 */   // Label 22056: @1597194
     /* 1597194 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1597280), // Rule ID 3190 //
     /* 1597199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597245 */     // MIs[0] policy
     /* 1597245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597255 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597279 */     // GIR_Coverage, 3190,
     /* 1597279 */     GIR_EraseRootFromParent_Done,
     /* 1597280 */   // Label 22057: @1597280
     /* 1597280 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1597366), // Rule ID 3193 //
     /* 1597285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597331 */     // MIs[0] policy
     /* 1597331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597341 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597365 */     // GIR_Coverage, 3193,
     /* 1597365 */     GIR_EraseRootFromParent_Done,
     /* 1597366 */   // Label 22058: @1597366
     /* 1597366 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1597452), // Rule ID 3194 //
     /* 1597371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597417 */     // MIs[0] policy
     /* 1597417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597427 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597451 */     // GIR_Coverage, 3194,
     /* 1597451 */     GIR_EraseRootFromParent_Done,
     /* 1597452 */   // Label 22059: @1597452
     /* 1597452 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1597538), // Rule ID 3197 //
     /* 1597457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597503 */     // MIs[0] policy
     /* 1597503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597537 */     // GIR_Coverage, 3197,
     /* 1597537 */     GIR_EraseRootFromParent_Done,
     /* 1597538 */   // Label 22060: @1597538
     /* 1597538 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1597624), // Rule ID 3198 //
     /* 1597543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597589 */     // MIs[0] policy
     /* 1597589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597623 */     // GIR_Coverage, 3198,
     /* 1597623 */     GIR_EraseRootFromParent_Done,
     /* 1597624 */   // Label 22061: @1597624
     /* 1597624 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1597710), // Rule ID 3201 //
     /* 1597629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1597640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1597643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1597646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597675 */     // MIs[0] policy
     /* 1597675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597685 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1597688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597709 */     // GIR_Coverage, 3201,
     /* 1597709 */     GIR_EraseRootFromParent_Done,
     /* 1597710 */   // Label 22062: @1597710
     /* 1597710 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1597796), // Rule ID 3202 //
     /* 1597715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1597726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1597729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1597732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597761 */     // MIs[0] policy
     /* 1597761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1597774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597795 */     // GIR_Coverage, 3202,
     /* 1597795 */     GIR_EraseRootFromParent_Done,
     /* 1597796 */   // Label 22063: @1597796
     /* 1597796 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1597882), // Rule ID 3205 //
     /* 1597801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597847 */     // MIs[0] policy
     /* 1597847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597857 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1597860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597881 */     // GIR_Coverage, 3205,
     /* 1597881 */     GIR_EraseRootFromParent_Done,
     /* 1597882 */   // Label 22064: @1597882
     /* 1597882 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1597968), // Rule ID 3206 //
     /* 1597887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597933 */     // MIs[0] policy
     /* 1597933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597943 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1597946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597967 */     // GIR_Coverage, 3206,
     /* 1597967 */     GIR_EraseRootFromParent_Done,
     /* 1597968 */   // Label 22065: @1597968
     /* 1597968 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1598054), // Rule ID 3209 //
     /* 1597973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1597984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1597987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1597990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598019 */     // MIs[0] policy
     /* 1598019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598029 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598053 */     // GIR_Coverage, 3209,
     /* 1598053 */     GIR_EraseRootFromParent_Done,
     /* 1598054 */   // Label 22066: @1598054
     /* 1598054 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1598140), // Rule ID 3210 //
     /* 1598059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598105 */     // MIs[0] policy
     /* 1598105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598115 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598139 */     // GIR_Coverage, 3210,
     /* 1598139 */     GIR_EraseRootFromParent_Done,
     /* 1598140 */   // Label 22067: @1598140
     /* 1598140 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1598226), // Rule ID 3213 //
     /* 1598145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598191 */     // MIs[0] policy
     /* 1598191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598225 */     // GIR_Coverage, 3213,
     /* 1598225 */     GIR_EraseRootFromParent_Done,
     /* 1598226 */   // Label 22068: @1598226
     /* 1598226 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1598312), // Rule ID 3214 //
     /* 1598231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598277 */     // MIs[0] policy
     /* 1598277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598311 */     // GIR_Coverage, 3214,
     /* 1598311 */     GIR_EraseRootFromParent_Done,
     /* 1598312 */   // Label 22069: @1598312
     /* 1598312 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1598398), // Rule ID 3217 //
     /* 1598317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598363 */     // MIs[0] policy
     /* 1598363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598373 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598397 */     // GIR_Coverage, 3217,
     /* 1598397 */     GIR_EraseRootFromParent_Done,
     /* 1598398 */   // Label 22070: @1598398
     /* 1598398 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1598484), // Rule ID 3218 //
     /* 1598403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598449 */     // MIs[0] policy
     /* 1598449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598483 */     // GIR_Coverage, 3218,
     /* 1598483 */     GIR_EraseRootFromParent_Done,
     /* 1598484 */   // Label 22071: @1598484
     /* 1598484 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1598570), // Rule ID 3221 //
     /* 1598489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598535 */     // MIs[0] policy
     /* 1598535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598545 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598569 */     // GIR_Coverage, 3221,
     /* 1598569 */     GIR_EraseRootFromParent_Done,
     /* 1598570 */   // Label 22072: @1598570
     /* 1598570 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1598656), // Rule ID 3222 //
     /* 1598575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598621 */     // MIs[0] policy
     /* 1598621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598631 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598655 */     // GIR_Coverage, 3222,
     /* 1598655 */     GIR_EraseRootFromParent_Done,
     /* 1598656 */   // Label 22073: @1598656
     /* 1598656 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1598742), // Rule ID 3225 //
     /* 1598661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598707 */     // MIs[0] policy
     /* 1598707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598741 */     // GIR_Coverage, 3225,
     /* 1598741 */     GIR_EraseRootFromParent_Done,
     /* 1598742 */   // Label 22074: @1598742
     /* 1598742 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1598828), // Rule ID 3226 //
     /* 1598747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598793 */     // MIs[0] policy
     /* 1598793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598827 */     // GIR_Coverage, 3226,
     /* 1598827 */     GIR_EraseRootFromParent_Done,
     /* 1598828 */   // Label 22075: @1598828
     /* 1598828 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1598914), // Rule ID 3229 //
     /* 1598833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598879 */     // MIs[0] policy
     /* 1598879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598913 */     // GIR_Coverage, 3229,
     /* 1598913 */     GIR_EraseRootFromParent_Done,
     /* 1598914 */   // Label 22076: @1598914
     /* 1598914 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1599000), // Rule ID 3230 //
     /* 1598919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598965 */     // MIs[0] policy
     /* 1598965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598999 */     // GIR_Coverage, 3230,
     /* 1598999 */     GIR_EraseRootFromParent_Done,
     /* 1599000 */   // Label 22077: @1599000
     /* 1599000 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1599086), // Rule ID 3233 //
     /* 1599005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599051 */     // MIs[0] policy
     /* 1599051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599061 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599085 */     // GIR_Coverage, 3233,
     /* 1599085 */     GIR_EraseRootFromParent_Done,
     /* 1599086 */   // Label 22078: @1599086
     /* 1599086 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1599172), // Rule ID 3234 //
     /* 1599091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599137 */     // MIs[0] policy
     /* 1599137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599171 */     // GIR_Coverage, 3234,
     /* 1599171 */     GIR_EraseRootFromParent_Done,
     /* 1599172 */   // Label 22079: @1599172
     /* 1599172 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1599258), // Rule ID 3237 //
     /* 1599177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599223 */     // MIs[0] policy
     /* 1599223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599257 */     // GIR_Coverage, 3237,
     /* 1599257 */     GIR_EraseRootFromParent_Done,
     /* 1599258 */   // Label 22080: @1599258
     /* 1599258 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1599344), // Rule ID 3238 //
     /* 1599263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599309 */     // MIs[0] policy
     /* 1599309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599343 */     // GIR_Coverage, 3238,
     /* 1599343 */     GIR_EraseRootFromParent_Done,
     /* 1599344 */   // Label 22081: @1599344
     /* 1599344 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1599430), // Rule ID 3241 //
     /* 1599349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599395 */     // MIs[0] policy
     /* 1599395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599405 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599429 */     // GIR_Coverage, 3241,
     /* 1599429 */     GIR_EraseRootFromParent_Done,
     /* 1599430 */   // Label 22082: @1599430
     /* 1599430 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1599516), // Rule ID 3242 //
     /* 1599435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599481 */     // MIs[0] policy
     /* 1599481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599515 */     // GIR_Coverage, 3242,
     /* 1599515 */     GIR_EraseRootFromParent_Done,
     /* 1599516 */   // Label 22083: @1599516
     /* 1599516 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1599602), // Rule ID 3245 //
     /* 1599521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599567 */     // MIs[0] policy
     /* 1599567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599577 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599601 */     // GIR_Coverage, 3245,
     /* 1599601 */     GIR_EraseRootFromParent_Done,
     /* 1599602 */   // Label 22084: @1599602
     /* 1599602 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1599688), // Rule ID 3246 //
     /* 1599607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599653 */     // MIs[0] policy
     /* 1599653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599663 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599687 */     // GIR_Coverage, 3246,
     /* 1599687 */     GIR_EraseRootFromParent_Done,
     /* 1599688 */   // Label 22085: @1599688
     /* 1599688 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1599774), // Rule ID 3249 //
     /* 1599693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599739 */     // MIs[0] policy
     /* 1599739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599749 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599773 */     // GIR_Coverage, 3249,
     /* 1599773 */     GIR_EraseRootFromParent_Done,
     /* 1599774 */   // Label 22086: @1599774
     /* 1599774 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1599860), // Rule ID 3250 //
     /* 1599779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599825 */     // MIs[0] policy
     /* 1599825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599835 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599859 */     // GIR_Coverage, 3250,
     /* 1599859 */     GIR_EraseRootFromParent_Done,
     /* 1599860 */   // Label 22087: @1599860
     /* 1599860 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1599946), // Rule ID 3253 //
     /* 1599865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599911 */     // MIs[0] policy
     /* 1599911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599945 */     // GIR_Coverage, 3253,
     /* 1599945 */     GIR_EraseRootFromParent_Done,
     /* 1599946 */   // Label 22088: @1599946
     /* 1599946 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1600032), // Rule ID 3254 //
     /* 1599951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599997 */     // MIs[0] policy
     /* 1599997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600031 */     // GIR_Coverage, 3254,
     /* 1600031 */     GIR_EraseRootFromParent_Done,
     /* 1600032 */   // Label 22089: @1600032
     /* 1600032 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1600118), // Rule ID 3257 //
     /* 1600037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600083 */     // MIs[0] policy
     /* 1600083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600117 */     // GIR_Coverage, 3257,
     /* 1600117 */     GIR_EraseRootFromParent_Done,
     /* 1600118 */   // Label 22090: @1600118
     /* 1600118 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1600204), // Rule ID 3258 //
     /* 1600123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600169 */     // MIs[0] policy
     /* 1600169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600179 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600203 */     // GIR_Coverage, 3258,
     /* 1600203 */     GIR_EraseRootFromParent_Done,
     /* 1600204 */   // Label 22091: @1600204
     /* 1600204 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1600290), // Rule ID 3261 //
     /* 1600209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600255 */     // MIs[0] policy
     /* 1600255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600265 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600289 */     // GIR_Coverage, 3261,
     /* 1600289 */     GIR_EraseRootFromParent_Done,
     /* 1600290 */   // Label 22092: @1600290
     /* 1600290 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1600376), // Rule ID 3262 //
     /* 1600295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600341 */     // MIs[0] policy
     /* 1600341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600351 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600375 */     // GIR_Coverage, 3262,
     /* 1600375 */     GIR_EraseRootFromParent_Done,
     /* 1600376 */   // Label 22093: @1600376
     /* 1600376 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1600462), // Rule ID 3265 //
     /* 1600381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600427 */     // MIs[0] policy
     /* 1600427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600461 */     // GIR_Coverage, 3265,
     /* 1600461 */     GIR_EraseRootFromParent_Done,
     /* 1600462 */   // Label 22094: @1600462
     /* 1600462 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1600548), // Rule ID 3266 //
     /* 1600467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600513 */     // MIs[0] policy
     /* 1600513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600547 */     // GIR_Coverage, 3266,
     /* 1600547 */     GIR_EraseRootFromParent_Done,
     /* 1600548 */   // Label 22095: @1600548
     /* 1600548 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1600634), // Rule ID 3269 //
     /* 1600553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600599 */     // MIs[0] policy
     /* 1600599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600633 */     // GIR_Coverage, 3269,
     /* 1600633 */     GIR_EraseRootFromParent_Done,
     /* 1600634 */   // Label 22096: @1600634
     /* 1600634 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1600720), // Rule ID 3270 //
     /* 1600639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600685 */     // MIs[0] policy
     /* 1600685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600719 */     // GIR_Coverage, 3270,
     /* 1600719 */     GIR_EraseRootFromParent_Done,
     /* 1600720 */   // Label 22097: @1600720
     /* 1600720 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1600806), // Rule ID 3273 //
     /* 1600725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600771 */     // MIs[0] policy
     /* 1600771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600781 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600805 */     // GIR_Coverage, 3273,
     /* 1600805 */     GIR_EraseRootFromParent_Done,
     /* 1600806 */   // Label 22098: @1600806
     /* 1600806 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1600892), // Rule ID 3274 //
     /* 1600811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600857 */     // MIs[0] policy
     /* 1600857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600891 */     // GIR_Coverage, 3274,
     /* 1600891 */     GIR_EraseRootFromParent_Done,
     /* 1600892 */   // Label 22099: @1600892
     /* 1600892 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1600978), // Rule ID 3277 //
     /* 1600897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600943 */     // MIs[0] policy
     /* 1600943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600977 */     // GIR_Coverage, 3277,
     /* 1600977 */     GIR_EraseRootFromParent_Done,
     /* 1600978 */   // Label 22100: @1600978
     /* 1600978 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1601064), // Rule ID 3278 //
     /* 1600983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601029 */     // MIs[0] policy
     /* 1601029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601039 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1601042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601063 */     // GIR_Coverage, 3278,
     /* 1601063 */     GIR_EraseRootFromParent_Done,
     /* 1601064 */   // Label 22101: @1601064
     /* 1601064 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1601150), // Rule ID 3281 //
     /* 1601069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601115 */     // MIs[0] policy
     /* 1601115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601125 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601149 */     // GIR_Coverage, 3281,
     /* 1601149 */     GIR_EraseRootFromParent_Done,
     /* 1601150 */   // Label 22102: @1601150
     /* 1601150 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1601236), // Rule ID 3282 //
     /* 1601155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601201 */     // MIs[0] policy
     /* 1601201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601235 */     // GIR_Coverage, 3282,
     /* 1601235 */     GIR_EraseRootFromParent_Done,
     /* 1601236 */   // Label 22103: @1601236
     /* 1601236 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1601322), // Rule ID 3285 //
     /* 1601241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601287 */     // MIs[0] policy
     /* 1601287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601321 */     // GIR_Coverage, 3285,
     /* 1601321 */     GIR_EraseRootFromParent_Done,
     /* 1601322 */   // Label 22104: @1601322
     /* 1601322 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1601408), // Rule ID 3286 //
     /* 1601327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601373 */     // MIs[0] policy
     /* 1601373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601383 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601407 */     // GIR_Coverage, 3286,
     /* 1601407 */     GIR_EraseRootFromParent_Done,
     /* 1601408 */   // Label 22105: @1601408
     /* 1601408 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1601494), // Rule ID 3289 //
     /* 1601413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601459 */     // MIs[0] policy
     /* 1601459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601493 */     // GIR_Coverage, 3289,
     /* 1601493 */     GIR_EraseRootFromParent_Done,
     /* 1601494 */   // Label 22106: @1601494
     /* 1601494 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1601580), // Rule ID 3290 //
     /* 1601499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601545 */     // MIs[0] policy
     /* 1601545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601579 */     // GIR_Coverage, 3290,
     /* 1601579 */     GIR_EraseRootFromParent_Done,
     /* 1601580 */   // Label 22107: @1601580
     /* 1601580 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1601666), // Rule ID 3293 //
     /* 1601585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601631 */     // MIs[0] policy
     /* 1601631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601641 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1601644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601665 */     // GIR_Coverage, 3293,
     /* 1601665 */     GIR_EraseRootFromParent_Done,
     /* 1601666 */   // Label 22108: @1601666
     /* 1601666 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1601752), // Rule ID 3294 //
     /* 1601671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601717 */     // MIs[0] policy
     /* 1601717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1601730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601751 */     // GIR_Coverage, 3294,
     /* 1601751 */     GIR_EraseRootFromParent_Done,
     /* 1601752 */   // Label 22109: @1601752
     /* 1601752 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1601838), // Rule ID 3297 //
     /* 1601757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601803 */     // MIs[0] policy
     /* 1601803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601813 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1601816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601837 */     // GIR_Coverage, 3297,
     /* 1601837 */     GIR_EraseRootFromParent_Done,
     /* 1601838 */   // Label 22110: @1601838
     /* 1601838 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1601924), // Rule ID 3298 //
     /* 1601843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601889 */     // MIs[0] policy
     /* 1601889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601899 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1601902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601923 */     // GIR_Coverage, 3298,
     /* 1601923 */     GIR_EraseRootFromParent_Done,
     /* 1601924 */   // Label 22111: @1601924
     /* 1601924 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1602010), // Rule ID 3301 //
     /* 1601929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601975 */     // MIs[0] policy
     /* 1601975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1601988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602009 */     // GIR_Coverage, 3301,
     /* 1602009 */     GIR_EraseRootFromParent_Done,
     /* 1602010 */   // Label 22112: @1602010
     /* 1602010 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1602096), // Rule ID 3302 //
     /* 1602015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602061 */     // MIs[0] policy
     /* 1602061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602071 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602095 */     // GIR_Coverage, 3302,
     /* 1602095 */     GIR_EraseRootFromParent_Done,
     /* 1602096 */   // Label 22113: @1602096
     /* 1602096 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1602182), // Rule ID 3305 //
     /* 1602101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602147 */     // MIs[0] policy
     /* 1602147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602157 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602181 */     // GIR_Coverage, 3305,
     /* 1602181 */     GIR_EraseRootFromParent_Done,
     /* 1602182 */   // Label 22114: @1602182
     /* 1602182 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1602268), // Rule ID 3306 //
     /* 1602187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602233 */     // MIs[0] policy
     /* 1602233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602267 */     // GIR_Coverage, 3306,
     /* 1602267 */     GIR_EraseRootFromParent_Done,
     /* 1602268 */   // Label 22115: @1602268
     /* 1602268 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1602354), // Rule ID 3309 //
     /* 1602273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602319 */     // MIs[0] policy
     /* 1602319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602329 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602353 */     // GIR_Coverage, 3309,
     /* 1602353 */     GIR_EraseRootFromParent_Done,
     /* 1602354 */   // Label 22116: @1602354
     /* 1602354 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1602440), // Rule ID 3310 //
     /* 1602359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602405 */     // MIs[0] policy
     /* 1602405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602415 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602439 */     // GIR_Coverage, 3310,
     /* 1602439 */     GIR_EraseRootFromParent_Done,
     /* 1602440 */   // Label 22117: @1602440
     /* 1602440 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1602526), // Rule ID 3313 //
     /* 1602445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602491 */     // MIs[0] policy
     /* 1602491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602525 */     // GIR_Coverage, 3313,
     /* 1602525 */     GIR_EraseRootFromParent_Done,
     /* 1602526 */   // Label 22118: @1602526
     /* 1602526 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1602612), // Rule ID 3314 //
     /* 1602531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602577 */     // MIs[0] policy
     /* 1602577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602611 */     // GIR_Coverage, 3314,
     /* 1602611 */     GIR_EraseRootFromParent_Done,
     /* 1602612 */   // Label 22119: @1602612
     /* 1602612 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1602698), // Rule ID 3317 //
     /* 1602617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602663 */     // MIs[0] policy
     /* 1602663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602697 */     // GIR_Coverage, 3317,
     /* 1602697 */     GIR_EraseRootFromParent_Done,
     /* 1602698 */   // Label 22120: @1602698
     /* 1602698 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1602784), // Rule ID 3318 //
     /* 1602703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602749 */     // MIs[0] policy
     /* 1602749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602783 */     // GIR_Coverage, 3318,
     /* 1602783 */     GIR_EraseRootFromParent_Done,
     /* 1602784 */   // Label 22121: @1602784
     /* 1602784 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1602870), // Rule ID 3321 //
     /* 1602789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602835 */     // MIs[0] policy
     /* 1602835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602869 */     // GIR_Coverage, 3321,
     /* 1602869 */     GIR_EraseRootFromParent_Done,
     /* 1602870 */   // Label 22122: @1602870
     /* 1602870 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1602956), // Rule ID 3322 //
     /* 1602875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602921 */     // MIs[0] policy
     /* 1602921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602955 */     // GIR_Coverage, 3322,
     /* 1602955 */     GIR_EraseRootFromParent_Done,
     /* 1602956 */   // Label 22123: @1602956
     /* 1602956 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1603042), // Rule ID 3325 //
     /* 1602961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1602964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1602978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603007 */     // MIs[0] policy
     /* 1603007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603041 */     // GIR_Coverage, 3325,
     /* 1603041 */     GIR_EraseRootFromParent_Done,
     /* 1603042 */   // Label 22124: @1603042
     /* 1603042 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1603128), // Rule ID 3326 //
     /* 1603047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603093 */     // MIs[0] policy
     /* 1603093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603103 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603127 */     // GIR_Coverage, 3326,
     /* 1603127 */     GIR_EraseRootFromParent_Done,
     /* 1603128 */   // Label 22125: @1603128
     /* 1603128 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1603214), // Rule ID 3329 //
     /* 1603133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603179 */     // MIs[0] policy
     /* 1603179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603213 */     // GIR_Coverage, 3329,
     /* 1603213 */     GIR_EraseRootFromParent_Done,
     /* 1603214 */   // Label 22126: @1603214
     /* 1603214 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1603300), // Rule ID 3330 //
     /* 1603219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603265 */     // MIs[0] policy
     /* 1603265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603275 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603299 */     // GIR_Coverage, 3330,
     /* 1603299 */     GIR_EraseRootFromParent_Done,
     /* 1603300 */   // Label 22127: @1603300
     /* 1603300 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1603386), // Rule ID 3333 //
     /* 1603305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603351 */     // MIs[0] policy
     /* 1603351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603385 */     // GIR_Coverage, 3333,
     /* 1603385 */     GIR_EraseRootFromParent_Done,
     /* 1603386 */   // Label 22128: @1603386
     /* 1603386 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1603472), // Rule ID 3334 //
     /* 1603391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603437 */     // MIs[0] policy
     /* 1603437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603447 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603471 */     // GIR_Coverage, 3334,
     /* 1603471 */     GIR_EraseRootFromParent_Done,
     /* 1603472 */   // Label 22129: @1603472
     /* 1603472 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1603558), // Rule ID 3337 //
     /* 1603477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603523 */     // MIs[0] policy
     /* 1603523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603533 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603557 */     // GIR_Coverage, 3337,
     /* 1603557 */     GIR_EraseRootFromParent_Done,
     /* 1603558 */   // Label 22130: @1603558
     /* 1603558 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1603644), // Rule ID 3338 //
     /* 1603563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603609 */     // MIs[0] policy
     /* 1603609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603619 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603643 */     // GIR_Coverage, 3338,
     /* 1603643 */     GIR_EraseRootFromParent_Done,
     /* 1603644 */   // Label 22131: @1603644
     /* 1603644 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1603730), // Rule ID 3341 //
     /* 1603649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603695 */     // MIs[0] policy
     /* 1603695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603705 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603729 */     // GIR_Coverage, 3341,
     /* 1603729 */     GIR_EraseRootFromParent_Done,
     /* 1603730 */   // Label 22132: @1603730
     /* 1603730 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1603816), // Rule ID 3342 //
     /* 1603735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603781 */     // MIs[0] policy
     /* 1603781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603815 */     // GIR_Coverage, 3342,
     /* 1603815 */     GIR_EraseRootFromParent_Done,
     /* 1603816 */   // Label 22133: @1603816
     /* 1603816 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1603902), // Rule ID 3345 //
     /* 1603821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603867 */     // MIs[0] policy
     /* 1603867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603901 */     // GIR_Coverage, 3345,
     /* 1603901 */     GIR_EraseRootFromParent_Done,
     /* 1603902 */   // Label 22134: @1603902
     /* 1603902 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1603988), // Rule ID 3346 //
     /* 1603907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603953 */     // MIs[0] policy
     /* 1603953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603963 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603987 */     // GIR_Coverage, 3346,
     /* 1603987 */     GIR_EraseRootFromParent_Done,
     /* 1603988 */   // Label 22135: @1603988
     /* 1603988 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1604074), // Rule ID 3349 //
     /* 1603993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604039 */     // MIs[0] policy
     /* 1604039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604049 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604073 */     // GIR_Coverage, 3349,
     /* 1604073 */     GIR_EraseRootFromParent_Done,
     /* 1604074 */   // Label 22136: @1604074
     /* 1604074 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1604160), // Rule ID 3350 //
     /* 1604079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604125 */     // MIs[0] policy
     /* 1604125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604135 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604159 */     // GIR_Coverage, 3350,
     /* 1604159 */     GIR_EraseRootFromParent_Done,
     /* 1604160 */   // Label 22137: @1604160
     /* 1604160 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1604246), // Rule ID 3353 //
     /* 1604165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604211 */     // MIs[0] policy
     /* 1604211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604245 */     // GIR_Coverage, 3353,
     /* 1604245 */     GIR_EraseRootFromParent_Done,
     /* 1604246 */   // Label 22138: @1604246
     /* 1604246 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1604332), // Rule ID 3354 //
     /* 1604251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604297 */     // MIs[0] policy
     /* 1604297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604331 */     // GIR_Coverage, 3354,
     /* 1604331 */     GIR_EraseRootFromParent_Done,
     /* 1604332 */   // Label 22139: @1604332
     /* 1604332 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1604418), // Rule ID 3357 //
     /* 1604337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604383 */     // MIs[0] policy
     /* 1604383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604417 */     // GIR_Coverage, 3357,
     /* 1604417 */     GIR_EraseRootFromParent_Done,
     /* 1604418 */   // Label 22140: @1604418
     /* 1604418 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1604504), // Rule ID 3358 //
     /* 1604423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604469 */     // MIs[0] policy
     /* 1604469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604479 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604503 */     // GIR_Coverage, 3358,
     /* 1604503 */     GIR_EraseRootFromParent_Done,
     /* 1604504 */   // Label 22141: @1604504
     /* 1604504 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1604590), // Rule ID 3361 //
     /* 1604509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604555 */     // MIs[0] policy
     /* 1604555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604589 */     // GIR_Coverage, 3361,
     /* 1604589 */     GIR_EraseRootFromParent_Done,
     /* 1604590 */   // Label 22142: @1604590
     /* 1604590 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1604676), // Rule ID 3362 //
     /* 1604595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604641 */     // MIs[0] policy
     /* 1604641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604675 */     // GIR_Coverage, 3362,
     /* 1604675 */     GIR_EraseRootFromParent_Done,
     /* 1604676 */   // Label 22143: @1604676
     /* 1604676 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1604762), // Rule ID 3365 //
     /* 1604681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604727 */     // MIs[0] policy
     /* 1604727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604737 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604761 */     // GIR_Coverage, 3365,
     /* 1604761 */     GIR_EraseRootFromParent_Done,
     /* 1604762 */   // Label 22144: @1604762
     /* 1604762 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1604848), // Rule ID 3366 //
     /* 1604767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604813 */     // MIs[0] policy
     /* 1604813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604823 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604847 */     // GIR_Coverage, 3366,
     /* 1604847 */     GIR_EraseRootFromParent_Done,
     /* 1604848 */   // Label 22145: @1604848
     /* 1604848 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1604934), // Rule ID 3369 //
     /* 1604853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604899 */     // MIs[0] policy
     /* 1604899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604933 */     // GIR_Coverage, 3369,
     /* 1604933 */     GIR_EraseRootFromParent_Done,
     /* 1604934 */   // Label 22146: @1604934
     /* 1604934 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1605020), // Rule ID 3370 //
     /* 1604939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604985 */     // MIs[0] policy
     /* 1604985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604995 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605019 */     // GIR_Coverage, 3370,
     /* 1605019 */     GIR_EraseRootFromParent_Done,
     /* 1605020 */   // Label 22147: @1605020
     /* 1605020 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1605106), // Rule ID 3373 //
     /* 1605025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605071 */     // MIs[0] policy
     /* 1605071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605081 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605105 */     // GIR_Coverage, 3373,
     /* 1605105 */     GIR_EraseRootFromParent_Done,
     /* 1605106 */   // Label 22148: @1605106
     /* 1605106 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1605192), // Rule ID 3374 //
     /* 1605111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605157 */     // MIs[0] policy
     /* 1605157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605191 */     // GIR_Coverage, 3374,
     /* 1605191 */     GIR_EraseRootFromParent_Done,
     /* 1605192 */   // Label 22149: @1605192
     /* 1605192 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1605278), // Rule ID 3465 //
     /* 1605197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605243 */     // MIs[0] policy
     /* 1605243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605253 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605277 */     // GIR_Coverage, 3465,
     /* 1605277 */     GIR_EraseRootFromParent_Done,
     /* 1605278 */   // Label 22150: @1605278
     /* 1605278 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1605364), // Rule ID 3466 //
     /* 1605283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605329 */     // MIs[0] policy
     /* 1605329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605363 */     // GIR_Coverage, 3466,
     /* 1605363 */     GIR_EraseRootFromParent_Done,
     /* 1605364 */   // Label 22151: @1605364
     /* 1605364 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1605450), // Rule ID 3469 //
     /* 1605369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605415 */     // MIs[0] policy
     /* 1605415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605449 */     // GIR_Coverage, 3469,
     /* 1605449 */     GIR_EraseRootFromParent_Done,
     /* 1605450 */   // Label 22152: @1605450
     /* 1605450 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1605536), // Rule ID 3470 //
     /* 1605455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605501 */     // MIs[0] policy
     /* 1605501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605535 */     // GIR_Coverage, 3470,
     /* 1605535 */     GIR_EraseRootFromParent_Done,
     /* 1605536 */   // Label 22153: @1605536
     /* 1605536 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1605622), // Rule ID 3473 //
     /* 1605541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605587 */     // MIs[0] policy
     /* 1605587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605621 */     // GIR_Coverage, 3473,
     /* 1605621 */     GIR_EraseRootFromParent_Done,
     /* 1605622 */   // Label 22154: @1605622
     /* 1605622 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1605708), // Rule ID 3474 //
     /* 1605627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605673 */     // MIs[0] policy
     /* 1605673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605707 */     // GIR_Coverage, 3474,
     /* 1605707 */     GIR_EraseRootFromParent_Done,
     /* 1605708 */   // Label 22155: @1605708
     /* 1605708 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1605794), // Rule ID 3477 //
     /* 1605713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1605724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1605727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1605733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605759 */     // MIs[0] policy
     /* 1605759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1605772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605793 */     // GIR_Coverage, 3477,
     /* 1605793 */     GIR_EraseRootFromParent_Done,
     /* 1605794 */   // Label 22156: @1605794
     /* 1605794 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1605880), // Rule ID 3478 //
     /* 1605799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1605810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1605813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1605819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605845 */     // MIs[0] policy
     /* 1605845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1605858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605879 */     // GIR_Coverage, 3478,
     /* 1605879 */     GIR_EraseRootFromParent_Done,
     /* 1605880 */   // Label 22157: @1605880
     /* 1605880 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1605966), // Rule ID 3481 //
     /* 1605885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1605896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1605899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1605902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1605905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605931 */     // MIs[0] policy
     /* 1605931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605941 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1605944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605965 */     // GIR_Coverage, 3481,
     /* 1605965 */     GIR_EraseRootFromParent_Done,
     /* 1605966 */   // Label 22158: @1605966
     /* 1605966 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1606052), // Rule ID 3482 //
     /* 1605971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1605982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1605985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1605988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1605991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606017 */     // MIs[0] policy
     /* 1606017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606051 */     // GIR_Coverage, 3482,
     /* 1606051 */     GIR_EraseRootFromParent_Done,
     /* 1606052 */   // Label 22159: @1606052
     /* 1606052 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1606138), // Rule ID 3485 //
     /* 1606057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606103 */     // MIs[0] policy
     /* 1606103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606113 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606137 */     // GIR_Coverage, 3485,
     /* 1606137 */     GIR_EraseRootFromParent_Done,
     /* 1606138 */   // Label 22160: @1606138
     /* 1606138 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1606224), // Rule ID 3486 //
     /* 1606143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606189 */     // MIs[0] policy
     /* 1606189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606223 */     // GIR_Coverage, 3486,
     /* 1606223 */     GIR_EraseRootFromParent_Done,
     /* 1606224 */   // Label 22161: @1606224
     /* 1606224 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1606310), // Rule ID 3489 //
     /* 1606229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606275 */     // MIs[0] policy
     /* 1606275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606309 */     // GIR_Coverage, 3489,
     /* 1606309 */     GIR_EraseRootFromParent_Done,
     /* 1606310 */   // Label 22162: @1606310
     /* 1606310 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1606396), // Rule ID 3490 //
     /* 1606315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606361 */     // MIs[0] policy
     /* 1606361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606371 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606395 */     // GIR_Coverage, 3490,
     /* 1606395 */     GIR_EraseRootFromParent_Done,
     /* 1606396 */   // Label 22163: @1606396
     /* 1606396 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1606482), // Rule ID 3493 //
     /* 1606401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606447 */     // MIs[0] policy
     /* 1606447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606481 */     // GIR_Coverage, 3493,
     /* 1606481 */     GIR_EraseRootFromParent_Done,
     /* 1606482 */   // Label 22164: @1606482
     /* 1606482 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1606568), // Rule ID 3494 //
     /* 1606487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606533 */     // MIs[0] policy
     /* 1606533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606567 */     // GIR_Coverage, 3494,
     /* 1606567 */     GIR_EraseRootFromParent_Done,
     /* 1606568 */   // Label 22165: @1606568
     /* 1606568 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1606654), // Rule ID 3497 //
     /* 1606573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1606584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1606587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606619 */     // MIs[0] policy
     /* 1606619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606653 */     // GIR_Coverage, 3497,
     /* 1606653 */     GIR_EraseRootFromParent_Done,
     /* 1606654 */   // Label 22166: @1606654
     /* 1606654 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1606740), // Rule ID 3498 //
     /* 1606659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1606670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1606673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606705 */     // MIs[0] policy
     /* 1606705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606739 */     // GIR_Coverage, 3498,
     /* 1606739 */     GIR_EraseRootFromParent_Done,
     /* 1606740 */   // Label 22167: @1606740
     /* 1606740 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1606826), // Rule ID 3501 //
     /* 1606745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1606756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1606759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1606765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606791 */     // MIs[0] policy
     /* 1606791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606825 */     // GIR_Coverage, 3501,
     /* 1606825 */     GIR_EraseRootFromParent_Done,
     /* 1606826 */   // Label 22168: @1606826
     /* 1606826 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1606912), // Rule ID 3502 //
     /* 1606831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1606842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1606845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1606851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606877 */     // MIs[0] policy
     /* 1606877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606911 */     // GIR_Coverage, 3502,
     /* 1606911 */     GIR_EraseRootFromParent_Done,
     /* 1606912 */   // Label 22169: @1606912
     /* 1606912 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1606998), // Rule ID 3505 //
     /* 1606917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1606928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1606931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1606937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606963 */     // MIs[0] policy
     /* 1606963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606997 */     // GIR_Coverage, 3505,
     /* 1606997 */     GIR_EraseRootFromParent_Done,
     /* 1606998 */   // Label 22170: @1606998
     /* 1606998 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1607084), // Rule ID 3506 //
     /* 1607003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1607023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607049 */     // MIs[0] policy
     /* 1607049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607083 */     // GIR_Coverage, 3506,
     /* 1607083 */     GIR_EraseRootFromParent_Done,
     /* 1607084 */   // Label 22171: @1607084
     /* 1607084 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1607170), // Rule ID 3509 //
     /* 1607089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607135 */     // MIs[0] policy
     /* 1607135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607145 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607169 */     // GIR_Coverage, 3509,
     /* 1607169 */     GIR_EraseRootFromParent_Done,
     /* 1607170 */   // Label 22172: @1607170
     /* 1607170 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1607256), // Rule ID 3510 //
     /* 1607175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607221 */     // MIs[0] policy
     /* 1607221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607231 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607255 */     // GIR_Coverage, 3510,
     /* 1607255 */     GIR_EraseRootFromParent_Done,
     /* 1607256 */   // Label 22173: @1607256
     /* 1607256 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1607342), // Rule ID 3513 //
     /* 1607261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607307 */     // MIs[0] policy
     /* 1607307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607341 */     // GIR_Coverage, 3513,
     /* 1607341 */     GIR_EraseRootFromParent_Done,
     /* 1607342 */   // Label 22174: @1607342
     /* 1607342 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1607428), // Rule ID 3514 //
     /* 1607347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607393 */     // MIs[0] policy
     /* 1607393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607427 */     // GIR_Coverage, 3514,
     /* 1607427 */     GIR_EraseRootFromParent_Done,
     /* 1607428 */   // Label 22175: @1607428
     /* 1607428 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1607514), // Rule ID 3517 //
     /* 1607433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607479 */     // MIs[0] policy
     /* 1607479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607513 */     // GIR_Coverage, 3517,
     /* 1607513 */     GIR_EraseRootFromParent_Done,
     /* 1607514 */   // Label 22176: @1607514
     /* 1607514 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1607600), // Rule ID 3518 //
     /* 1607519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607565 */     // MIs[0] policy
     /* 1607565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607599 */     // GIR_Coverage, 3518,
     /* 1607599 */     GIR_EraseRootFromParent_Done,
     /* 1607600 */   // Label 22177: @1607600
     /* 1607600 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1607686), // Rule ID 3521 //
     /* 1607605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1607616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1607619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1607625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607651 */     // MIs[0] policy
     /* 1607651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607685 */     // GIR_Coverage, 3521,
     /* 1607685 */     GIR_EraseRootFromParent_Done,
     /* 1607686 */   // Label 22178: @1607686
     /* 1607686 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1607772), // Rule ID 3522 //
     /* 1607691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1607702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1607705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1607711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607737 */     // MIs[0] policy
     /* 1607737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607771 */     // GIR_Coverage, 3522,
     /* 1607771 */     GIR_EraseRootFromParent_Done,
     /* 1607772 */   // Label 22179: @1607772
     /* 1607772 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1607858), // Rule ID 3525 //
     /* 1607777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1607788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1607791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1607794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607823 */     // MIs[0] policy
     /* 1607823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1607836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607857 */     // GIR_Coverage, 3525,
     /* 1607857 */     GIR_EraseRootFromParent_Done,
     /* 1607858 */   // Label 22180: @1607858
     /* 1607858 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1607944), // Rule ID 3526 //
     /* 1607863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1607874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1607877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1607880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607909 */     // MIs[0] policy
     /* 1607909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1607922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607943 */     // GIR_Coverage, 3526,
     /* 1607943 */     GIR_EraseRootFromParent_Done,
     /* 1607944 */   // Label 22181: @1607944
     /* 1607944 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1608030), // Rule ID 3529 //
     /* 1607949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1607960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1607963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1607966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607995 */     // MIs[0] policy
     /* 1607995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608005 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608029 */     // GIR_Coverage, 3529,
     /* 1608029 */     GIR_EraseRootFromParent_Done,
     /* 1608030 */   // Label 22182: @1608030
     /* 1608030 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1608116), // Rule ID 3530 //
     /* 1608035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608081 */     // MIs[0] policy
     /* 1608081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608091 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608115 */     // GIR_Coverage, 3530,
     /* 1608115 */     GIR_EraseRootFromParent_Done,
     /* 1608116 */   // Label 22183: @1608116
     /* 1608116 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1608202), // Rule ID 3533 //
     /* 1608121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608167 */     // MIs[0] policy
     /* 1608167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608201 */     // GIR_Coverage, 3533,
     /* 1608201 */     GIR_EraseRootFromParent_Done,
     /* 1608202 */   // Label 22184: @1608202
     /* 1608202 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1608288), // Rule ID 3534 //
     /* 1608207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608253 */     // MIs[0] policy
     /* 1608253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608287 */     // GIR_Coverage, 3534,
     /* 1608287 */     GIR_EraseRootFromParent_Done,
     /* 1608288 */   // Label 22185: @1608288
     /* 1608288 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1608374), // Rule ID 3537 //
     /* 1608293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608339 */     // MIs[0] policy
     /* 1608339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608373 */     // GIR_Coverage, 3537,
     /* 1608373 */     GIR_EraseRootFromParent_Done,
     /* 1608374 */   // Label 22186: @1608374
     /* 1608374 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1608460), // Rule ID 3538 //
     /* 1608379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608425 */     // MIs[0] policy
     /* 1608425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608435 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608459 */     // GIR_Coverage, 3538,
     /* 1608459 */     GIR_EraseRootFromParent_Done,
     /* 1608460 */   // Label 22187: @1608460
     /* 1608460 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1608546), // Rule ID 3541 //
     /* 1608465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608511 */     // MIs[0] policy
     /* 1608511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608545 */     // GIR_Coverage, 3541,
     /* 1608545 */     GIR_EraseRootFromParent_Done,
     /* 1608546 */   // Label 22188: @1608546
     /* 1608546 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1608632), // Rule ID 3542 //
     /* 1608551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608597 */     // MIs[0] policy
     /* 1608597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608607 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608631 */     // GIR_Coverage, 3542,
     /* 1608631 */     GIR_EraseRootFromParent_Done,
     /* 1608632 */   // Label 22189: @1608632
     /* 1608632 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1608718), // Rule ID 3545 //
     /* 1608637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1608648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1608651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1608654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1608660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608683 */     // MIs[0] policy
     /* 1608683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1608696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608717 */     // GIR_Coverage, 3545,
     /* 1608717 */     GIR_EraseRootFromParent_Done,
     /* 1608718 */   // Label 22190: @1608718
     /* 1608718 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1608804), // Rule ID 3546 //
     /* 1608723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1608734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1608737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1608740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1608746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608769 */     // MIs[0] policy
     /* 1608769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1608782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608803 */     // GIR_Coverage, 3546,
     /* 1608803 */     GIR_EraseRootFromParent_Done,
     /* 1608804 */   // Label 22191: @1608804
     /* 1608804 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1608890), // Rule ID 3549 //
     /* 1608809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608855 */     // MIs[0] policy
     /* 1608855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608889 */     // GIR_Coverage, 3549,
     /* 1608889 */     GIR_EraseRootFromParent_Done,
     /* 1608890 */   // Label 22192: @1608890
     /* 1608890 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1608976), // Rule ID 3550 //
     /* 1608895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608941 */     // MIs[0] policy
     /* 1608941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608951 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608975 */     // GIR_Coverage, 3550,
     /* 1608975 */     GIR_EraseRootFromParent_Done,
     /* 1608976 */   // Label 22193: @1608976
     /* 1608976 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1609062), // Rule ID 3553 //
     /* 1608981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1608992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1608995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609027 */     // MIs[0] policy
     /* 1609027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609061 */     // GIR_Coverage, 3553,
     /* 1609061 */     GIR_EraseRootFromParent_Done,
     /* 1609062 */   // Label 22194: @1609062
     /* 1609062 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1609148), // Rule ID 3554 //
     /* 1609067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609113 */     // MIs[0] policy
     /* 1609113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609147 */     // GIR_Coverage, 3554,
     /* 1609147 */     GIR_EraseRootFromParent_Done,
     /* 1609148 */   // Label 22195: @1609148
     /* 1609148 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1609234), // Rule ID 3557 //
     /* 1609153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609199 */     // MIs[0] policy
     /* 1609199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609233 */     // GIR_Coverage, 3557,
     /* 1609233 */     GIR_EraseRootFromParent_Done,
     /* 1609234 */   // Label 22196: @1609234
     /* 1609234 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1609320), // Rule ID 3558 //
     /* 1609239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609285 */     // MIs[0] policy
     /* 1609285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609319 */     // GIR_Coverage, 3558,
     /* 1609319 */     GIR_EraseRootFromParent_Done,
     /* 1609320 */   // Label 22197: @1609320
     /* 1609320 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1609406), // Rule ID 3561 //
     /* 1609325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609371 */     // MIs[0] policy
     /* 1609371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609405 */     // GIR_Coverage, 3561,
     /* 1609405 */     GIR_EraseRootFromParent_Done,
     /* 1609406 */   // Label 22198: @1609406
     /* 1609406 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1609492), // Rule ID 3562 //
     /* 1609411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609457 */     // MIs[0] policy
     /* 1609457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609491 */     // GIR_Coverage, 3562,
     /* 1609491 */     GIR_EraseRootFromParent_Done,
     /* 1609492 */   // Label 22199: @1609492
     /* 1609492 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1609578), // Rule ID 3565 //
     /* 1609497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609543 */     // MIs[0] policy
     /* 1609543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609577 */     // GIR_Coverage, 3565,
     /* 1609577 */     GIR_EraseRootFromParent_Done,
     /* 1609578 */   // Label 22200: @1609578
     /* 1609578 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1609664), // Rule ID 3566 //
     /* 1609583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609629 */     // MIs[0] policy
     /* 1609629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609663 */     // GIR_Coverage, 3566,
     /* 1609663 */     GIR_EraseRootFromParent_Done,
     /* 1609664 */   // Label 22201: @1609664
     /* 1609664 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1609750), // Rule ID 3569 //
     /* 1609669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609715 */     // MIs[0] policy
     /* 1609715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609749 */     // GIR_Coverage, 3569,
     /* 1609749 */     GIR_EraseRootFromParent_Done,
     /* 1609750 */   // Label 22202: @1609750
     /* 1609750 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1609836), // Rule ID 3570 //
     /* 1609755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609801 */     // MIs[0] policy
     /* 1609801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609811 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609835 */     // GIR_Coverage, 3570,
     /* 1609835 */     GIR_EraseRootFromParent_Done,
     /* 1609836 */   // Label 22203: @1609836
     /* 1609836 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1609922), // Rule ID 3573 //
     /* 1609841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609887 */     // MIs[0] policy
     /* 1609887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609921 */     // GIR_Coverage, 3573,
     /* 1609921 */     GIR_EraseRootFromParent_Done,
     /* 1609922 */   // Label 22204: @1609922
     /* 1609922 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1610008), // Rule ID 3574 //
     /* 1609927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609973 */     // MIs[0] policy
     /* 1609973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610007 */     // GIR_Coverage, 3574,
     /* 1610007 */     GIR_EraseRootFromParent_Done,
     /* 1610008 */   // Label 22205: @1610008
     /* 1610008 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1610094), // Rule ID 3577 //
     /* 1610013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1610024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1610027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610059 */     // MIs[0] policy
     /* 1610059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610093 */     // GIR_Coverage, 3577,
     /* 1610093 */     GIR_EraseRootFromParent_Done,
     /* 1610094 */   // Label 22206: @1610094
     /* 1610094 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1610180), // Rule ID 3578 //
     /* 1610099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1610110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1610113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610145 */     // MIs[0] policy
     /* 1610145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610179 */     // GIR_Coverage, 3578,
     /* 1610179 */     GIR_EraseRootFromParent_Done,
     /* 1610180 */   // Label 22207: @1610180
     /* 1610180 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1610266), // Rule ID 3581 //
     /* 1610185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610231 */     // MIs[0] policy
     /* 1610231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610241 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610265 */     // GIR_Coverage, 3581,
     /* 1610265 */     GIR_EraseRootFromParent_Done,
     /* 1610266 */   // Label 22208: @1610266
     /* 1610266 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1610352), // Rule ID 3582 //
     /* 1610271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610317 */     // MIs[0] policy
     /* 1610317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610351 */     // GIR_Coverage, 3582,
     /* 1610351 */     GIR_EraseRootFromParent_Done,
     /* 1610352 */   // Label 22209: @1610352
     /* 1610352 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1610438), // Rule ID 3585 //
     /* 1610357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610403 */     // MIs[0] policy
     /* 1610403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610413 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610437 */     // GIR_Coverage, 3585,
     /* 1610437 */     GIR_EraseRootFromParent_Done,
     /* 1610438 */   // Label 22210: @1610438
     /* 1610438 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1610524), // Rule ID 3586 //
     /* 1610443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610489 */     // MIs[0] policy
     /* 1610489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610523 */     // GIR_Coverage, 3586,
     /* 1610523 */     GIR_EraseRootFromParent_Done,
     /* 1610524 */   // Label 22211: @1610524
     /* 1610524 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1610610), // Rule ID 3589 //
     /* 1610529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1610540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1610543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1610546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1610549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610575 */     // MIs[0] policy
     /* 1610575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610585 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610609 */     // GIR_Coverage, 3589,
     /* 1610609 */     GIR_EraseRootFromParent_Done,
     /* 1610610 */   // Label 22212: @1610610
     /* 1610610 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1610696), // Rule ID 3590 //
     /* 1610615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1610626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1610629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1610632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1610635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610661 */     // MIs[0] policy
     /* 1610661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610695 */     // GIR_Coverage, 3590,
     /* 1610695 */     GIR_EraseRootFromParent_Done,
     /* 1610696 */   // Label 22213: @1610696
     /* 1610696 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1610782), // Rule ID 3593 //
     /* 1610701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1610718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1610721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610747 */     // MIs[0] policy
     /* 1610747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1610760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610781 */     // GIR_Coverage, 3593,
     /* 1610781 */     GIR_EraseRootFromParent_Done,
     /* 1610782 */   // Label 22214: @1610782
     /* 1610782 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1610868), // Rule ID 3594 //
     /* 1610787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1610804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1610807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610833 */     // MIs[0] policy
     /* 1610833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1610846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610867 */     // GIR_Coverage, 3594,
     /* 1610867 */     GIR_EraseRootFromParent_Done,
     /* 1610868 */   // Label 22215: @1610868
     /* 1610868 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1610954), // Rule ID 3597 //
     /* 1610873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610919 */     // MIs[0] policy
     /* 1610919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610929 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1610932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610953 */     // GIR_Coverage, 3597,
     /* 1610953 */     GIR_EraseRootFromParent_Done,
     /* 1610954 */   // Label 22216: @1610954
     /* 1610954 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1611040), // Rule ID 3598 //
     /* 1610959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611005 */     // MIs[0] policy
     /* 1611005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611039 */     // GIR_Coverage, 3598,
     /* 1611039 */     GIR_EraseRootFromParent_Done,
     /* 1611040 */   // Label 22217: @1611040
     /* 1611040 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1611126), // Rule ID 3601 //
     /* 1611045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611091 */     // MIs[0] policy
     /* 1611091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611125 */     // GIR_Coverage, 3601,
     /* 1611125 */     GIR_EraseRootFromParent_Done,
     /* 1611126 */   // Label 22218: @1611126
     /* 1611126 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1611212), // Rule ID 3602 //
     /* 1611131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611177 */     // MIs[0] policy
     /* 1611177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611211 */     // GIR_Coverage, 3602,
     /* 1611211 */     GIR_EraseRootFromParent_Done,
     /* 1611212 */   // Label 22219: @1611212
     /* 1611212 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1611298), // Rule ID 3605 //
     /* 1611217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611263 */     // MIs[0] policy
     /* 1611263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611273 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611297 */     // GIR_Coverage, 3605,
     /* 1611297 */     GIR_EraseRootFromParent_Done,
     /* 1611298 */   // Label 22220: @1611298
     /* 1611298 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1611384), // Rule ID 3606 //
     /* 1611303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611349 */     // MIs[0] policy
     /* 1611349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611383 */     // GIR_Coverage, 3606,
     /* 1611383 */     GIR_EraseRootFromParent_Done,
     /* 1611384 */   // Label 22221: @1611384
     /* 1611384 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1611470), // Rule ID 3609 //
     /* 1611389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611435 */     // MIs[0] policy
     /* 1611435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611469 */     // GIR_Coverage, 3609,
     /* 1611469 */     GIR_EraseRootFromParent_Done,
     /* 1611470 */   // Label 22222: @1611470
     /* 1611470 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1611556), // Rule ID 3610 //
     /* 1611475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611521 */     // MIs[0] policy
     /* 1611521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611555 */     // GIR_Coverage, 3610,
     /* 1611555 */     GIR_EraseRootFromParent_Done,
     /* 1611556 */   // Label 22223: @1611556
     /* 1611556 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1611642), // Rule ID 3613 //
     /* 1611561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1611572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1611575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1611578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1611581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611607 */     // MIs[0] policy
     /* 1611607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611641 */     // GIR_Coverage, 3613,
     /* 1611641 */     GIR_EraseRootFromParent_Done,
     /* 1611642 */   // Label 22224: @1611642
     /* 1611642 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1611728), // Rule ID 3614 //
     /* 1611647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1611658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1611661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1611664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1611667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611693 */     // MIs[0] policy
     /* 1611693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611727 */     // GIR_Coverage, 3614,
     /* 1611727 */     GIR_EraseRootFromParent_Done,
     /* 1611728 */   // Label 22225: @1611728
     /* 1611728 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1611814), // Rule ID 3617 //
     /* 1611733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1611753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611779 */     // MIs[0] policy
     /* 1611779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611813 */     // GIR_Coverage, 3617,
     /* 1611813 */     GIR_EraseRootFromParent_Done,
     /* 1611814 */   // Label 22226: @1611814
     /* 1611814 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1611900), // Rule ID 3618 //
     /* 1611819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1611839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611865 */     // MIs[0] policy
     /* 1611865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611875 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611899 */     // GIR_Coverage, 3618,
     /* 1611899 */     GIR_EraseRootFromParent_Done,
     /* 1611900 */   // Label 22227: @1611900
     /* 1611900 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1611986), // Rule ID 3621 //
     /* 1611905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1611925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611951 */     // MIs[0] policy
     /* 1611951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611985 */     // GIR_Coverage, 3621,
     /* 1611985 */     GIR_EraseRootFromParent_Done,
     /* 1611986 */   // Label 22228: @1611986
     /* 1611986 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1612072), // Rule ID 3622 //
     /* 1611991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1612002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1612005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1612008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1612011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612037 */     // MIs[0] policy
     /* 1612037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612071 */     // GIR_Coverage, 3622,
     /* 1612071 */     GIR_EraseRootFromParent_Done,
     /* 1612072 */   // Label 22229: @1612072
     /* 1612072 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1612158), // Rule ID 3625 //
     /* 1612077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612123 */     // MIs[0] policy
     /* 1612123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612157 */     // GIR_Coverage, 3625,
     /* 1612157 */     GIR_EraseRootFromParent_Done,
     /* 1612158 */   // Label 22230: @1612158
     /* 1612158 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1612244), // Rule ID 3626 //
     /* 1612163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612209 */     // MIs[0] policy
     /* 1612209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612243 */     // GIR_Coverage, 3626,
     /* 1612243 */     GIR_EraseRootFromParent_Done,
     /* 1612244 */   // Label 22231: @1612244
     /* 1612244 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1612330), // Rule ID 3629 //
     /* 1612249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612295 */     // MIs[0] policy
     /* 1612295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612329 */     // GIR_Coverage, 3629,
     /* 1612329 */     GIR_EraseRootFromParent_Done,
     /* 1612330 */   // Label 22232: @1612330
     /* 1612330 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1612416), // Rule ID 3630 //
     /* 1612335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612381 */     // MIs[0] policy
     /* 1612381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612415 */     // GIR_Coverage, 3630,
     /* 1612415 */     GIR_EraseRootFromParent_Done,
     /* 1612416 */   // Label 22233: @1612416
     /* 1612416 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1612502), // Rule ID 3633 //
     /* 1612421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612467 */     // MIs[0] policy
     /* 1612467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612501 */     // GIR_Coverage, 3633,
     /* 1612501 */     GIR_EraseRootFromParent_Done,
     /* 1612502 */   // Label 22234: @1612502
     /* 1612502 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1612588), // Rule ID 3634 //
     /* 1612507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612553 */     // MIs[0] policy
     /* 1612553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612563 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612587 */     // GIR_Coverage, 3634,
     /* 1612587 */     GIR_EraseRootFromParent_Done,
     /* 1612588 */   // Label 22235: @1612588
     /* 1612588 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1612674), // Rule ID 3637 //
     /* 1612593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1612613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612639 */     // MIs[0] policy
     /* 1612639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612673 */     // GIR_Coverage, 3637,
     /* 1612673 */     GIR_EraseRootFromParent_Done,
     /* 1612674 */   // Label 22236: @1612674
     /* 1612674 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1612760), // Rule ID 3638 //
     /* 1612679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1612699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612725 */     // MIs[0] policy
     /* 1612725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612735 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612759 */     // GIR_Coverage, 3638,
     /* 1612759 */     GIR_EraseRootFromParent_Done,
     /* 1612760 */   // Label 22237: @1612760
     /* 1612760 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1612846), // Rule ID 3641 //
     /* 1612765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1612785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612811 */     // MIs[0] policy
     /* 1612811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612845 */     // GIR_Coverage, 3641,
     /* 1612845 */     GIR_EraseRootFromParent_Done,
     /* 1612846 */   // Label 22238: @1612846
     /* 1612846 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1612932), // Rule ID 3642 //
     /* 1612851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1612871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612897 */     // MIs[0] policy
     /* 1612897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612931 */     // GIR_Coverage, 3642,
     /* 1612931 */     GIR_EraseRootFromParent_Done,
     /* 1612932 */   // Label 22239: @1612932
     /* 1612932 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1613018), // Rule ID 3645 //
     /* 1612937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612983 */     // MIs[0] policy
     /* 1612983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1612996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613017 */     // GIR_Coverage, 3645,
     /* 1613017 */     GIR_EraseRootFromParent_Done,
     /* 1613018 */   // Label 22240: @1613018
     /* 1613018 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1613104), // Rule ID 3646 //
     /* 1613023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1613034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1613037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1613040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613069 */     // MIs[0] policy
     /* 1613069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1613082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613103 */     // GIR_Coverage, 3646,
     /* 1613103 */     GIR_EraseRootFromParent_Done,
     /* 1613104 */   // Label 22241: @1613104
     /* 1613104 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1613190), // Rule ID 3649 //
     /* 1613109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613155 */     // MIs[0] policy
     /* 1613155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613165 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613189 */     // GIR_Coverage, 3649,
     /* 1613189 */     GIR_EraseRootFromParent_Done,
     /* 1613190 */   // Label 22242: @1613190
     /* 1613190 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1613276), // Rule ID 3650 //
     /* 1613195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613241 */     // MIs[0] policy
     /* 1613241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613275 */     // GIR_Coverage, 3650,
     /* 1613275 */     GIR_EraseRootFromParent_Done,
     /* 1613276 */   // Label 22243: @1613276
     /* 1613276 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1613362), // Rule ID 3653 //
     /* 1613281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613327 */     // MIs[0] policy
     /* 1613327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613361 */     // GIR_Coverage, 3653,
     /* 1613361 */     GIR_EraseRootFromParent_Done,
     /* 1613362 */   // Label 22244: @1613362
     /* 1613362 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1613448), // Rule ID 3654 //
     /* 1613367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613413 */     // MIs[0] policy
     /* 1613413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613447 */     // GIR_Coverage, 3654,
     /* 1613447 */     GIR_EraseRootFromParent_Done,
     /* 1613448 */   // Label 22245: @1613448
     /* 1613448 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1613534), // Rule ID 3657 //
     /* 1613453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613499 */     // MIs[0] policy
     /* 1613499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613533 */     // GIR_Coverage, 3657,
     /* 1613533 */     GIR_EraseRootFromParent_Done,
     /* 1613534 */   // Label 22246: @1613534
     /* 1613534 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1613620), // Rule ID 3658 //
     /* 1613539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613585 */     // MIs[0] policy
     /* 1613585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613595 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613619 */     // GIR_Coverage, 3658,
     /* 1613619 */     GIR_EraseRootFromParent_Done,
     /* 1613620 */   // Label 22247: @1613620
     /* 1613620 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1613706), // Rule ID 3661 //
     /* 1613625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613671 */     // MIs[0] policy
     /* 1613671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613681 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1613684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613705 */     // GIR_Coverage, 3661,
     /* 1613705 */     GIR_EraseRootFromParent_Done,
     /* 1613706 */   // Label 22248: @1613706
     /* 1613706 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1613792), // Rule ID 3662 //
     /* 1613711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613757 */     // MIs[0] policy
     /* 1613757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1613770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613791 */     // GIR_Coverage, 3662,
     /* 1613791 */     GIR_EraseRootFromParent_Done,
     /* 1613792 */   // Label 22249: @1613792
     /* 1613792 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1613878), // Rule ID 3665 //
     /* 1613797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613843 */     // MIs[0] policy
     /* 1613843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1613856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613877 */     // GIR_Coverage, 3665,
     /* 1613877 */     GIR_EraseRootFromParent_Done,
     /* 1613878 */   // Label 22250: @1613878
     /* 1613878 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1613964), // Rule ID 3666 //
     /* 1613883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613929 */     // MIs[0] policy
     /* 1613929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1613942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613963 */     // GIR_Coverage, 3666,
     /* 1613963 */     GIR_EraseRootFromParent_Done,
     /* 1613964 */   // Label 22251: @1613964
     /* 1613964 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1614050), // Rule ID 3669 //
     /* 1613969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614015 */     // MIs[0] policy
     /* 1614015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614025 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1614028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614049 */     // GIR_Coverage, 3669,
     /* 1614049 */     GIR_EraseRootFromParent_Done,
     /* 1614050 */   // Label 22252: @1614050
     /* 1614050 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1614136), // Rule ID 3670 //
     /* 1614055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1614066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1614069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1614072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614101 */     // MIs[0] policy
     /* 1614101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1614114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614135 */     // GIR_Coverage, 3670,
     /* 1614135 */     GIR_EraseRootFromParent_Done,
     /* 1614136 */   // Label 22253: @1614136
     /* 1614136 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1614222), // Rule ID 3673 //
     /* 1614141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614187 */     // MIs[0] policy
     /* 1614187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614221 */     // GIR_Coverage, 3673,
     /* 1614221 */     GIR_EraseRootFromParent_Done,
     /* 1614222 */   // Label 22254: @1614222
     /* 1614222 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1614308), // Rule ID 3674 //
     /* 1614227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614273 */     // MIs[0] policy
     /* 1614273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614307 */     // GIR_Coverage, 3674,
     /* 1614307 */     GIR_EraseRootFromParent_Done,
     /* 1614308 */   // Label 22255: @1614308
     /* 1614308 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1614394), // Rule ID 3677 //
     /* 1614313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614359 */     // MIs[0] policy
     /* 1614359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614393 */     // GIR_Coverage, 3677,
     /* 1614393 */     GIR_EraseRootFromParent_Done,
     /* 1614394 */   // Label 22256: @1614394
     /* 1614394 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1614480), // Rule ID 3678 //
     /* 1614399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614445 */     // MIs[0] policy
     /* 1614445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614455 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614479 */     // GIR_Coverage, 3678,
     /* 1614479 */     GIR_EraseRootFromParent_Done,
     /* 1614480 */   // Label 22257: @1614480
     /* 1614480 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1614566), // Rule ID 3681 //
     /* 1614485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614531 */     // MIs[0] policy
     /* 1614531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614565 */     // GIR_Coverage, 3681,
     /* 1614565 */     GIR_EraseRootFromParent_Done,
     /* 1614566 */   // Label 22258: @1614566
     /* 1614566 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1614652), // Rule ID 3682 //
     /* 1614571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614617 */     // MIs[0] policy
     /* 1614617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614651 */     // GIR_Coverage, 3682,
     /* 1614651 */     GIR_EraseRootFromParent_Done,
     /* 1614652 */   // Label 22259: @1614652
     /* 1614652 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1614738), // Rule ID 3685 //
     /* 1614657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614703 */     // MIs[0] policy
     /* 1614703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614737 */     // GIR_Coverage, 3685,
     /* 1614737 */     GIR_EraseRootFromParent_Done,
     /* 1614738 */   // Label 22260: @1614738
     /* 1614738 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1614824), // Rule ID 3686 //
     /* 1614743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614789 */     // MIs[0] policy
     /* 1614789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614823 */     // GIR_Coverage, 3686,
     /* 1614823 */     GIR_EraseRootFromParent_Done,
     /* 1614824 */   // Label 22261: @1614824
     /* 1614824 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1614910), // Rule ID 3689 //
     /* 1614829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614875 */     // MIs[0] policy
     /* 1614875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614885 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614909 */     // GIR_Coverage, 3689,
     /* 1614909 */     GIR_EraseRootFromParent_Done,
     /* 1614910 */   // Label 22262: @1614910
     /* 1614910 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1614996), // Rule ID 3690 //
     /* 1614915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614961 */     // MIs[0] policy
     /* 1614961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614995 */     // GIR_Coverage, 3690,
     /* 1614995 */     GIR_EraseRootFromParent_Done,
     /* 1614996 */   // Label 22263: @1614996
     /* 1614996 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1615082), // Rule ID 3693 //
     /* 1615001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615047 */     // MIs[0] policy
     /* 1615047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615081 */     // GIR_Coverage, 3693,
     /* 1615081 */     GIR_EraseRootFromParent_Done,
     /* 1615082 */   // Label 22264: @1615082
     /* 1615082 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1615168), // Rule ID 3694 //
     /* 1615087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615133 */     // MIs[0] policy
     /* 1615133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615167 */     // GIR_Coverage, 3694,
     /* 1615167 */     GIR_EraseRootFromParent_Done,
     /* 1615168 */   // Label 22265: @1615168
     /* 1615168 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1615254), // Rule ID 3697 //
     /* 1615173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615219 */     // MIs[0] policy
     /* 1615219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615229 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615253 */     // GIR_Coverage, 3697,
     /* 1615253 */     GIR_EraseRootFromParent_Done,
     /* 1615254 */   // Label 22266: @1615254
     /* 1615254 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1615340), // Rule ID 3698 //
     /* 1615259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615305 */     // MIs[0] policy
     /* 1615305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615339 */     // GIR_Coverage, 3698,
     /* 1615339 */     GIR_EraseRootFromParent_Done,
     /* 1615340 */   // Label 22267: @1615340
     /* 1615340 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1615426), // Rule ID 3701 //
     /* 1615345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615391 */     // MIs[0] policy
     /* 1615391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615425 */     // GIR_Coverage, 3701,
     /* 1615425 */     GIR_EraseRootFromParent_Done,
     /* 1615426 */   // Label 22268: @1615426
     /* 1615426 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1615512), // Rule ID 3702 //
     /* 1615431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615477 */     // MIs[0] policy
     /* 1615477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615487 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615511 */     // GIR_Coverage, 3702,
     /* 1615511 */     GIR_EraseRootFromParent_Done,
     /* 1615512 */   // Label 22269: @1615512
     /* 1615512 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1615598), // Rule ID 3705 //
     /* 1615517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1615537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615563 */     // MIs[0] policy
     /* 1615563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1615576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615597 */     // GIR_Coverage, 3705,
     /* 1615597 */     GIR_EraseRootFromParent_Done,
     /* 1615598 */   // Label 22270: @1615598
     /* 1615598 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1615684), // Rule ID 3706 //
     /* 1615603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1615623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615649 */     // MIs[0] policy
     /* 1615649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1615662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615683 */     // GIR_Coverage, 3706,
     /* 1615683 */     GIR_EraseRootFromParent_Done,
     /* 1615684 */   // Label 22271: @1615684
     /* 1615684 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1615770), // Rule ID 3709 //
     /* 1615689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1615709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615735 */     // MIs[0] policy
     /* 1615735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615745 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1615748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615769 */     // GIR_Coverage, 3709,
     /* 1615769 */     GIR_EraseRootFromParent_Done,
     /* 1615770 */   // Label 22272: @1615770
     /* 1615770 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1615856), // Rule ID 3710 //
     /* 1615775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1615795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615821 */     // MIs[0] policy
     /* 1615821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1615834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615855 */     // GIR_Coverage, 3710,
     /* 1615855 */     GIR_EraseRootFromParent_Done,
     /* 1615856 */   // Label 22273: @1615856
     /* 1615856 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1615942), // Rule ID 3713 //
     /* 1615861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615907 */     // MIs[0] policy
     /* 1615907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1615920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615941 */     // GIR_Coverage, 3713,
     /* 1615941 */     GIR_EraseRootFromParent_Done,
     /* 1615942 */   // Label 22274: @1615942
     /* 1615942 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1616028), // Rule ID 3714 //
     /* 1615947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615993 */     // MIs[0] policy
     /* 1615993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616027 */     // GIR_Coverage, 3714,
     /* 1616027 */     GIR_EraseRootFromParent_Done,
     /* 1616028 */   // Label 22275: @1616028
     /* 1616028 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1616114), // Rule ID 3717 //
     /* 1616033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616079 */     // MIs[0] policy
     /* 1616079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616113 */     // GIR_Coverage, 3717,
     /* 1616113 */     GIR_EraseRootFromParent_Done,
     /* 1616114 */   // Label 22276: @1616114
     /* 1616114 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1616200), // Rule ID 3718 //
     /* 1616119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616165 */     // MIs[0] policy
     /* 1616165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616175 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616199 */     // GIR_Coverage, 3718,
     /* 1616199 */     GIR_EraseRootFromParent_Done,
     /* 1616200 */   // Label 22277: @1616200
     /* 1616200 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1616286), // Rule ID 3721 //
     /* 1616205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616251 */     // MIs[0] policy
     /* 1616251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616285 */     // GIR_Coverage, 3721,
     /* 1616285 */     GIR_EraseRootFromParent_Done,
     /* 1616286 */   // Label 22278: @1616286
     /* 1616286 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1616372), // Rule ID 3722 //
     /* 1616291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616337 */     // MIs[0] policy
     /* 1616337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616371 */     // GIR_Coverage, 3722,
     /* 1616371 */     GIR_EraseRootFromParent_Done,
     /* 1616372 */   // Label 22279: @1616372
     /* 1616372 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1616458), // Rule ID 3725 //
     /* 1616377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616423 */     // MIs[0] policy
     /* 1616423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616457 */     // GIR_Coverage, 3725,
     /* 1616457 */     GIR_EraseRootFromParent_Done,
     /* 1616458 */   // Label 22280: @1616458
     /* 1616458 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1616544), // Rule ID 3726 //
     /* 1616463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616509 */     // MIs[0] policy
     /* 1616509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616519 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616543 */     // GIR_Coverage, 3726,
     /* 1616543 */     GIR_EraseRootFromParent_Done,
     /* 1616544 */   // Label 22281: @1616544
     /* 1616544 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1616630), // Rule ID 3729 //
     /* 1616549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1616569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616595 */     // MIs[0] policy
     /* 1616595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616629 */     // GIR_Coverage, 3729,
     /* 1616629 */     GIR_EraseRootFromParent_Done,
     /* 1616630 */   // Label 22282: @1616630
     /* 1616630 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1616716), // Rule ID 3730 //
     /* 1616635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1616655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616681 */     // MIs[0] policy
     /* 1616681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616715 */     // GIR_Coverage, 3730,
     /* 1616715 */     GIR_EraseRootFromParent_Done,
     /* 1616716 */   // Label 22283: @1616716
     /* 1616716 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1616802), // Rule ID 3733 //
     /* 1616721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1616741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616767 */     // MIs[0] policy
     /* 1616767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616801 */     // GIR_Coverage, 3733,
     /* 1616801 */     GIR_EraseRootFromParent_Done,
     /* 1616802 */   // Label 22284: @1616802
     /* 1616802 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1616888), // Rule ID 3734 //
     /* 1616807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1616827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616853 */     // MIs[0] policy
     /* 1616853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616863 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616887 */     // GIR_Coverage, 3734,
     /* 1616887 */     GIR_EraseRootFromParent_Done,
     /* 1616888 */   // Label 22285: @1616888
     /* 1616888 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1616974), // Rule ID 3737 //
     /* 1616893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616939 */     // MIs[0] policy
     /* 1616939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616973 */     // GIR_Coverage, 3737,
     /* 1616973 */     GIR_EraseRootFromParent_Done,
     /* 1616974 */   // Label 22286: @1616974
     /* 1616974 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1617060), // Rule ID 3738 //
     /* 1616979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617025 */     // MIs[0] policy
     /* 1617025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617059 */     // GIR_Coverage, 3738,
     /* 1617059 */     GIR_EraseRootFromParent_Done,
     /* 1617060 */   // Label 22287: @1617060
     /* 1617060 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1617146), // Rule ID 3741 //
     /* 1617065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617111 */     // MIs[0] policy
     /* 1617111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617145 */     // GIR_Coverage, 3741,
     /* 1617145 */     GIR_EraseRootFromParent_Done,
     /* 1617146 */   // Label 22288: @1617146
     /* 1617146 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1617232), // Rule ID 3742 //
     /* 1617151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617197 */     // MIs[0] policy
     /* 1617197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617207 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617231 */     // GIR_Coverage, 3742,
     /* 1617231 */     GIR_EraseRootFromParent_Done,
     /* 1617232 */   // Label 22289: @1617232
     /* 1617232 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1617318), // Rule ID 3745 //
     /* 1617237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617283 */     // MIs[0] policy
     /* 1617283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617317 */     // GIR_Coverage, 3745,
     /* 1617317 */     GIR_EraseRootFromParent_Done,
     /* 1617318 */   // Label 22290: @1617318
     /* 1617318 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1617404), // Rule ID 3746 //
     /* 1617323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617369 */     // MIs[0] policy
     /* 1617369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617403 */     // GIR_Coverage, 3746,
     /* 1617403 */     GIR_EraseRootFromParent_Done,
     /* 1617404 */   // Label 22291: @1617404
     /* 1617404 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1617490), // Rule ID 3749 //
     /* 1617409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617455 */     // MIs[0] policy
     /* 1617455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617465 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617489 */     // GIR_Coverage, 3749,
     /* 1617489 */     GIR_EraseRootFromParent_Done,
     /* 1617490 */   // Label 22292: @1617490
     /* 1617490 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1617576), // Rule ID 3750 //
     /* 1617495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617541 */     // MIs[0] policy
     /* 1617541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617551 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617575 */     // GIR_Coverage, 3750,
     /* 1617575 */     GIR_EraseRootFromParent_Done,
     /* 1617576 */   // Label 22293: @1617576
     /* 1617576 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1617662), // Rule ID 3753 //
     /* 1617581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1617601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617627 */     // MIs[0] policy
     /* 1617627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617661 */     // GIR_Coverage, 3753,
     /* 1617661 */     GIR_EraseRootFromParent_Done,
     /* 1617662 */   // Label 22294: @1617662
     /* 1617662 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1617748), // Rule ID 3754 //
     /* 1617667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1617687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617713 */     // MIs[0] policy
     /* 1617713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617723 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617747 */     // GIR_Coverage, 3754,
     /* 1617747 */     GIR_EraseRootFromParent_Done,
     /* 1617748 */   // Label 22295: @1617748
     /* 1617748 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1617834), // Rule ID 3757 //
     /* 1617753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1617773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617799 */     // MIs[0] policy
     /* 1617799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617833 */     // GIR_Coverage, 3757,
     /* 1617833 */     GIR_EraseRootFromParent_Done,
     /* 1617834 */   // Label 22296: @1617834
     /* 1617834 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1617920), // Rule ID 3758 //
     /* 1617839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1617859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617885 */     // MIs[0] policy
     /* 1617885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617895 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617919 */     // GIR_Coverage, 3758,
     /* 1617919 */     GIR_EraseRootFromParent_Done,
     /* 1617920 */   // Label 22297: @1617920
     /* 1617920 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1618006), // Rule ID 3761 //
     /* 1617925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1617945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617971 */     // MIs[0] policy
     /* 1617971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617981 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618005 */     // GIR_Coverage, 3761,
     /* 1618005 */     GIR_EraseRootFromParent_Done,
     /* 1618006 */   // Label 22298: @1618006
     /* 1618006 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1618092), // Rule ID 3762 //
     /* 1618011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1618031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618057 */     // MIs[0] policy
     /* 1618057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618067 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1618070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618091 */     // GIR_Coverage, 3762,
     /* 1618091 */     GIR_EraseRootFromParent_Done,
     /* 1618092 */   // Label 22299: @1618092
     /* 1618092 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1618178), // Rule ID 3765 //
     /* 1618097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618143 */     // MIs[0] policy
     /* 1618143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618177 */     // GIR_Coverage, 3765,
     /* 1618177 */     GIR_EraseRootFromParent_Done,
     /* 1618178 */   // Label 22300: @1618178
     /* 1618178 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1618264), // Rule ID 3766 //
     /* 1618183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618229 */     // MIs[0] policy
     /* 1618229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618263 */     // GIR_Coverage, 3766,
     /* 1618263 */     GIR_EraseRootFromParent_Done,
     /* 1618264 */   // Label 22301: @1618264
     /* 1618264 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1618350), // Rule ID 3769 //
     /* 1618269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618315 */     // MIs[0] policy
     /* 1618315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618325 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618349 */     // GIR_Coverage, 3769,
     /* 1618349 */     GIR_EraseRootFromParent_Done,
     /* 1618350 */   // Label 22302: @1618350
     /* 1618350 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1618436), // Rule ID 3770 //
     /* 1618355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618401 */     // MIs[0] policy
     /* 1618401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618435 */     // GIR_Coverage, 3770,
     /* 1618435 */     GIR_EraseRootFromParent_Done,
     /* 1618436 */   // Label 22303: @1618436
     /* 1618436 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1618522), // Rule ID 3773 //
     /* 1618441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618487 */     // MIs[0] policy
     /* 1618487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618521 */     // GIR_Coverage, 3773,
     /* 1618521 */     GIR_EraseRootFromParent_Done,
     /* 1618522 */   // Label 22304: @1618522
     /* 1618522 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1618608), // Rule ID 3774 //
     /* 1618527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618573 */     // MIs[0] policy
     /* 1618573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618607 */     // GIR_Coverage, 3774,
     /* 1618607 */     GIR_EraseRootFromParent_Done,
     /* 1618608 */   // Label 22305: @1618608
     /* 1618608 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1618694), // Rule ID 3777 //
     /* 1618613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618659 */     // MIs[0] policy
     /* 1618659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618693 */     // GIR_Coverage, 3777,
     /* 1618693 */     GIR_EraseRootFromParent_Done,
     /* 1618694 */   // Label 22306: @1618694
     /* 1618694 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1618780), // Rule ID 3778 //
     /* 1618699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618745 */     // MIs[0] policy
     /* 1618745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618779 */     // GIR_Coverage, 3778,
     /* 1618779 */     GIR_EraseRootFromParent_Done,
     /* 1618780 */   // Label 22307: @1618780
     /* 1618780 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1618866), // Rule ID 3781 //
     /* 1618785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618831 */     // MIs[0] policy
     /* 1618831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618841 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618865 */     // GIR_Coverage, 3781,
     /* 1618865 */     GIR_EraseRootFromParent_Done,
     /* 1618866 */   // Label 22308: @1618866
     /* 1618866 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1618952), // Rule ID 3782 //
     /* 1618871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618917 */     // MIs[0] policy
     /* 1618917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618951 */     // GIR_Coverage, 3782,
     /* 1618951 */     GIR_EraseRootFromParent_Done,
     /* 1618952 */   // Label 22309: @1618952
     /* 1618952 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1619038), // Rule ID 3785 //
     /* 1618957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619003 */     // MIs[0] policy
     /* 1619003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619013 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619037 */     // GIR_Coverage, 3785,
     /* 1619037 */     GIR_EraseRootFromParent_Done,
     /* 1619038 */   // Label 22310: @1619038
     /* 1619038 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1619124), // Rule ID 3786 //
     /* 1619043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619089 */     // MIs[0] policy
     /* 1619089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619123 */     // GIR_Coverage, 3786,
     /* 1619123 */     GIR_EraseRootFromParent_Done,
     /* 1619124 */   // Label 22311: @1619124
     /* 1619124 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1619210), // Rule ID 3789 //
     /* 1619129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619175 */     // MIs[0] policy
     /* 1619175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619185 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619209 */     // GIR_Coverage, 3789,
     /* 1619209 */     GIR_EraseRootFromParent_Done,
     /* 1619210 */   // Label 22312: @1619210
     /* 1619210 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1619296), // Rule ID 3790 //
     /* 1619215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619261 */     // MIs[0] policy
     /* 1619261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619271 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619295 */     // GIR_Coverage, 3790,
     /* 1619295 */     GIR_EraseRootFromParent_Done,
     /* 1619296 */   // Label 22313: @1619296
     /* 1619296 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1619382), // Rule ID 3793 //
     /* 1619301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619347 */     // MIs[0] policy
     /* 1619347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619381 */     // GIR_Coverage, 3793,
     /* 1619381 */     GIR_EraseRootFromParent_Done,
     /* 1619382 */   // Label 22314: @1619382
     /* 1619382 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1619468), // Rule ID 3794 //
     /* 1619387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619433 */     // MIs[0] policy
     /* 1619433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619467 */     // GIR_Coverage, 3794,
     /* 1619467 */     GIR_EraseRootFromParent_Done,
     /* 1619468 */   // Label 22315: @1619468
     /* 1619468 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1619554), // Rule ID 3797 //
     /* 1619473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619519 */     // MIs[0] policy
     /* 1619519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619553 */     // GIR_Coverage, 3797,
     /* 1619553 */     GIR_EraseRootFromParent_Done,
     /* 1619554 */   // Label 22316: @1619554
     /* 1619554 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1619640), // Rule ID 3798 //
     /* 1619559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619605 */     // MIs[0] policy
     /* 1619605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619615 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619639 */     // GIR_Coverage, 3798,
     /* 1619639 */     GIR_EraseRootFromParent_Done,
     /* 1619640 */   // Label 22317: @1619640
     /* 1619640 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1619726), // Rule ID 3801 //
     /* 1619645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619691 */     // MIs[0] policy
     /* 1619691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619725 */     // GIR_Coverage, 3801,
     /* 1619725 */     GIR_EraseRootFromParent_Done,
     /* 1619726 */   // Label 22318: @1619726
     /* 1619726 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1619812), // Rule ID 3802 //
     /* 1619731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619777 */     // MIs[0] policy
     /* 1619777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619811 */     // GIR_Coverage, 3802,
     /* 1619811 */     GIR_EraseRootFromParent_Done,
     /* 1619812 */   // Label 22319: @1619812
     /* 1619812 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1619898), // Rule ID 3805 //
     /* 1619817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619863 */     // MIs[0] policy
     /* 1619863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619873 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619897 */     // GIR_Coverage, 3805,
     /* 1619897 */     GIR_EraseRootFromParent_Done,
     /* 1619898 */   // Label 22320: @1619898
     /* 1619898 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1619984), // Rule ID 3806 //
     /* 1619903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619949 */     // MIs[0] policy
     /* 1619949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619983 */     // GIR_Coverage, 3806,
     /* 1619983 */     GIR_EraseRootFromParent_Done,
     /* 1619984 */   // Label 22321: @1619984
     /* 1619984 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1620070), // Rule ID 3809 //
     /* 1619989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620035 */     // MIs[0] policy
     /* 1620035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1620048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620069 */     // GIR_Coverage, 3809,
     /* 1620069 */     GIR_EraseRootFromParent_Done,
     /* 1620070 */   // Label 22322: @1620070
     /* 1620070 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1620156), // Rule ID 3810 //
     /* 1620075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620121 */     // MIs[0] policy
     /* 1620121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620131 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1620134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620155 */     // GIR_Coverage, 3810,
     /* 1620155 */     GIR_EraseRootFromParent_Done,
     /* 1620156 */   // Label 22323: @1620156
     /* 1620156 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1620242), // Rule ID 3813 //
     /* 1620161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620207 */     // MIs[0] policy
     /* 1620207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620241 */     // GIR_Coverage, 3813,
     /* 1620241 */     GIR_EraseRootFromParent_Done,
     /* 1620242 */   // Label 22324: @1620242
     /* 1620242 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1620328), // Rule ID 3814 //
     /* 1620247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620293 */     // MIs[0] policy
     /* 1620293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620327 */     // GIR_Coverage, 3814,
     /* 1620327 */     GIR_EraseRootFromParent_Done,
     /* 1620328 */   // Label 22325: @1620328
     /* 1620328 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1620414), // Rule ID 3817 //
     /* 1620333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620379 */     // MIs[0] policy
     /* 1620379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620413 */     // GIR_Coverage, 3817,
     /* 1620413 */     GIR_EraseRootFromParent_Done,
     /* 1620414 */   // Label 22326: @1620414
     /* 1620414 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1620500), // Rule ID 3818 //
     /* 1620419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620465 */     // MIs[0] policy
     /* 1620465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620475 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620499 */     // GIR_Coverage, 3818,
     /* 1620499 */     GIR_EraseRootFromParent_Done,
     /* 1620500 */   // Label 22327: @1620500
     /* 1620500 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1620586), // Rule ID 3821 //
     /* 1620505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620551 */     // MIs[0] policy
     /* 1620551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620585 */     // GIR_Coverage, 3821,
     /* 1620585 */     GIR_EraseRootFromParent_Done,
     /* 1620586 */   // Label 22328: @1620586
     /* 1620586 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1620672), // Rule ID 3822 //
     /* 1620591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620637 */     // MIs[0] policy
     /* 1620637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620671 */     // GIR_Coverage, 3822,
     /* 1620671 */     GIR_EraseRootFromParent_Done,
     /* 1620672 */   // Label 22329: @1620672
     /* 1620672 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1620758), // Rule ID 3825 //
     /* 1620677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1620697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620723 */     // MIs[0] policy
     /* 1620723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1620736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620757 */     // GIR_Coverage, 3825,
     /* 1620757 */     GIR_EraseRootFromParent_Done,
     /* 1620758 */   // Label 22330: @1620758
     /* 1620758 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1620844), // Rule ID 3826 //
     /* 1620763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1620783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620809 */     // MIs[0] policy
     /* 1620809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1620822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620843 */     // GIR_Coverage, 3826,
     /* 1620843 */     GIR_EraseRootFromParent_Done,
     /* 1620844 */   // Label 22331: @1620844
     /* 1620844 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1620930), // Rule ID 3829 //
     /* 1620849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1620869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620895 */     // MIs[0] policy
     /* 1620895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1620908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620929 */     // GIR_Coverage, 3829,
     /* 1620929 */     GIR_EraseRootFromParent_Done,
     /* 1620930 */   // Label 22332: @1620930
     /* 1620930 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1621016), // Rule ID 3830 //
     /* 1620935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1620955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620981 */     // MIs[0] policy
     /* 1620981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620991 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1620994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621015 */     // GIR_Coverage, 3830,
     /* 1621015 */     GIR_EraseRootFromParent_Done,
     /* 1621016 */   // Label 22333: @1621016
     /* 1621016 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1621102), // Rule ID 3833 //
     /* 1621021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1621032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1621035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1621038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1621041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621067 */     // MIs[0] policy
     /* 1621067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621101 */     // GIR_Coverage, 3833,
     /* 1621101 */     GIR_EraseRootFromParent_Done,
     /* 1621102 */   // Label 22334: @1621102
     /* 1621102 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1621188), // Rule ID 3834 //
     /* 1621107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1621118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1621121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1621124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1621127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621153 */     // MIs[0] policy
     /* 1621153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621163 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621187 */     // GIR_Coverage, 3834,
     /* 1621187 */     GIR_EraseRootFromParent_Done,
     /* 1621188 */   // Label 22335: @1621188
     /* 1621188 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1621274), // Rule ID 3837 //
     /* 1621193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621239 */     // MIs[0] policy
     /* 1621239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621273 */     // GIR_Coverage, 3837,
     /* 1621273 */     GIR_EraseRootFromParent_Done,
     /* 1621274 */   // Label 22336: @1621274
     /* 1621274 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1621360), // Rule ID 3838 //
     /* 1621279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621325 */     // MIs[0] policy
     /* 1621325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621359 */     // GIR_Coverage, 3838,
     /* 1621359 */     GIR_EraseRootFromParent_Done,
     /* 1621360 */   // Label 22337: @1621360
     /* 1621360 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1621446), // Rule ID 3841 //
     /* 1621365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621411 */     // MIs[0] policy
     /* 1621411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621421 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621445 */     // GIR_Coverage, 3841,
     /* 1621445 */     GIR_EraseRootFromParent_Done,
     /* 1621446 */   // Label 22338: @1621446
     /* 1621446 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1621532), // Rule ID 3842 //
     /* 1621451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621497 */     // MIs[0] policy
     /* 1621497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621507 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621531 */     // GIR_Coverage, 3842,
     /* 1621531 */     GIR_EraseRootFromParent_Done,
     /* 1621532 */   // Label 22339: @1621532
     /* 1621532 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1621618), // Rule ID 3845 //
     /* 1621537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621583 */     // MIs[0] policy
     /* 1621583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621617 */     // GIR_Coverage, 3845,
     /* 1621617 */     GIR_EraseRootFromParent_Done,
     /* 1621618 */   // Label 22340: @1621618
     /* 1621618 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1621704), // Rule ID 3846 //
     /* 1621623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621669 */     // MIs[0] policy
     /* 1621669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621679 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621703 */     // GIR_Coverage, 3846,
     /* 1621703 */     GIR_EraseRootFromParent_Done,
     /* 1621704 */   // Label 22341: @1621704
     /* 1621704 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1621790), // Rule ID 3849 //
     /* 1621709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1621729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621755 */     // MIs[0] policy
     /* 1621755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621789 */     // GIR_Coverage, 3849,
     /* 1621789 */     GIR_EraseRootFromParent_Done,
     /* 1621790 */   // Label 22342: @1621790
     /* 1621790 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1621876), // Rule ID 3850 //
     /* 1621795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1621815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621841 */     // MIs[0] policy
     /* 1621841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621875 */     // GIR_Coverage, 3850,
     /* 1621875 */     GIR_EraseRootFromParent_Done,
     /* 1621876 */   // Label 22343: @1621876
     /* 1621876 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1621962), // Rule ID 3853 //
     /* 1621881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1621901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621927 */     // MIs[0] policy
     /* 1621927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621961 */     // GIR_Coverage, 3853,
     /* 1621961 */     GIR_EraseRootFromParent_Done,
     /* 1621962 */   // Label 22344: @1621962
     /* 1621962 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1622048), // Rule ID 3854 //
     /* 1621967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1621987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622013 */     // MIs[0] policy
     /* 1622013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622047 */     // GIR_Coverage, 3854,
     /* 1622047 */     GIR_EraseRootFromParent_Done,
     /* 1622048 */   // Label 22345: @1622048
     /* 1622048 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1622134), // Rule ID 3857 //
     /* 1622053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622099 */     // MIs[0] policy
     /* 1622099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622133 */     // GIR_Coverage, 3857,
     /* 1622133 */     GIR_EraseRootFromParent_Done,
     /* 1622134 */   // Label 22346: @1622134
     /* 1622134 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1622220), // Rule ID 3858 //
     /* 1622139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622185 */     // MIs[0] policy
     /* 1622185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622219 */     // GIR_Coverage, 3858,
     /* 1622219 */     GIR_EraseRootFromParent_Done,
     /* 1622220 */   // Label 22347: @1622220
     /* 1622220 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1622306), // Rule ID 3861 //
     /* 1622225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622271 */     // MIs[0] policy
     /* 1622271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622305 */     // GIR_Coverage, 3861,
     /* 1622305 */     GIR_EraseRootFromParent_Done,
     /* 1622306 */   // Label 22348: @1622306
     /* 1622306 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1622392), // Rule ID 3862 //
     /* 1622311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622357 */     // MIs[0] policy
     /* 1622357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622367 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622391 */     // GIR_Coverage, 3862,
     /* 1622391 */     GIR_EraseRootFromParent_Done,
     /* 1622392 */   // Label 22349: @1622392
     /* 1622392 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1622478), // Rule ID 3865 //
     /* 1622397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622443 */     // MIs[0] policy
     /* 1622443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622453 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622477 */     // GIR_Coverage, 3865,
     /* 1622477 */     GIR_EraseRootFromParent_Done,
     /* 1622478 */   // Label 22350: @1622478
     /* 1622478 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1622564), // Rule ID 3866 //
     /* 1622483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622529 */     // MIs[0] policy
     /* 1622529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622539 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622563 */     // GIR_Coverage, 3866,
     /* 1622563 */     GIR_EraseRootFromParent_Done,
     /* 1622564 */   // Label 22351: @1622564
     /* 1622564 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1622650), // Rule ID 3869 //
     /* 1622569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1622589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622615 */     // MIs[0] policy
     /* 1622615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622649 */     // GIR_Coverage, 3869,
     /* 1622649 */     GIR_EraseRootFromParent_Done,
     /* 1622650 */   // Label 22352: @1622650
     /* 1622650 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1622736), // Rule ID 3870 //
     /* 1622655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1622675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622701 */     // MIs[0] policy
     /* 1622701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622735 */     // GIR_Coverage, 3870,
     /* 1622735 */     GIR_EraseRootFromParent_Done,
     /* 1622736 */   // Label 22353: @1622736
     /* 1622736 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1622822), // Rule ID 3873 //
     /* 1622741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1622761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622787 */     // MIs[0] policy
     /* 1622787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622821 */     // GIR_Coverage, 3873,
     /* 1622821 */     GIR_EraseRootFromParent_Done,
     /* 1622822 */   // Label 22354: @1622822
     /* 1622822 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1622908), // Rule ID 3874 //
     /* 1622827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1622847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622873 */     // MIs[0] policy
     /* 1622873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622907 */     // GIR_Coverage, 3874,
     /* 1622907 */     GIR_EraseRootFromParent_Done,
     /* 1622908 */   // Label 22355: @1622908
     /* 1622908 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1622994), // Rule ID 3877 //
     /* 1622913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622959 */     // MIs[0] policy
     /* 1622959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622969 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622993 */     // GIR_Coverage, 3877,
     /* 1622993 */     GIR_EraseRootFromParent_Done,
     /* 1622994 */   // Label 22356: @1622994
     /* 1622994 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1623080), // Rule ID 3878 //
     /* 1622999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1623010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1623013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1623019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623045 */     // MIs[0] policy
     /* 1623045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623055 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1623058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623079 */     // GIR_Coverage, 3878,
     /* 1623079 */     GIR_EraseRootFromParent_Done,
     /* 1623080 */   // Label 22357: @1623080
     /* 1623080 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1623166), // Rule ID 3881 //
     /* 1623085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623131 */     // MIs[0] policy
     /* 1623131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623141 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623165 */     // GIR_Coverage, 3881,
     /* 1623165 */     GIR_EraseRootFromParent_Done,
     /* 1623166 */   // Label 22358: @1623166
     /* 1623166 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1623252), // Rule ID 3882 //
     /* 1623171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623217 */     // MIs[0] policy
     /* 1623217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623251 */     // GIR_Coverage, 3882,
     /* 1623251 */     GIR_EraseRootFromParent_Done,
     /* 1623252 */   // Label 22359: @1623252
     /* 1623252 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1623338), // Rule ID 3885 //
     /* 1623257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623303 */     // MIs[0] policy
     /* 1623303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623337 */     // GIR_Coverage, 3885,
     /* 1623337 */     GIR_EraseRootFromParent_Done,
     /* 1623338 */   // Label 22360: @1623338
     /* 1623338 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1623424), // Rule ID 3886 //
     /* 1623343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623389 */     // MIs[0] policy
     /* 1623389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623423 */     // GIR_Coverage, 3886,
     /* 1623423 */     GIR_EraseRootFromParent_Done,
     /* 1623424 */   // Label 22361: @1623424
     /* 1623424 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1623510), // Rule ID 3889 //
     /* 1623429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623475 */     // MIs[0] policy
     /* 1623475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623485 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623509 */     // GIR_Coverage, 3889,
     /* 1623509 */     GIR_EraseRootFromParent_Done,
     /* 1623510 */   // Label 22362: @1623510
     /* 1623510 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1623596), // Rule ID 3890 //
     /* 1623515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623561 */     // MIs[0] policy
     /* 1623561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623595 */     // GIR_Coverage, 3890,
     /* 1623595 */     GIR_EraseRootFromParent_Done,
     /* 1623596 */   // Label 22363: @1623596
     /* 1623596 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1623682), // Rule ID 3893 //
     /* 1623601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623647 */     // MIs[0] policy
     /* 1623647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623681 */     // GIR_Coverage, 3893,
     /* 1623681 */     GIR_EraseRootFromParent_Done,
     /* 1623682 */   // Label 22364: @1623682
     /* 1623682 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1623768), // Rule ID 3894 //
     /* 1623687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623733 */     // MIs[0] policy
     /* 1623733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623767 */     // GIR_Coverage, 3894,
     /* 1623767 */     GIR_EraseRootFromParent_Done,
     /* 1623768 */   // Label 22365: @1623768
     /* 1623768 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1623854), // Rule ID 3897 //
     /* 1623773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623819 */     // MIs[0] policy
     /* 1623819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623853 */     // GIR_Coverage, 3897,
     /* 1623853 */     GIR_EraseRootFromParent_Done,
     /* 1623854 */   // Label 22366: @1623854
     /* 1623854 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1623940), // Rule ID 3898 //
     /* 1623859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623905 */     // MIs[0] policy
     /* 1623905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623939 */     // GIR_Coverage, 3898,
     /* 1623939 */     GIR_EraseRootFromParent_Done,
     /* 1623940 */   // Label 22367: @1623940
     /* 1623940 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1624026), // Rule ID 3901 //
     /* 1623945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1623962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623991 */     // MIs[0] policy
     /* 1623991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624025 */     // GIR_Coverage, 3901,
     /* 1624025 */     GIR_EraseRootFromParent_Done,
     /* 1624026 */   // Label 22368: @1624026
     /* 1624026 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1624112), // Rule ID 3902 //
     /* 1624031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1624042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1624045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1624048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624077 */     // MIs[0] policy
     /* 1624077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624111 */     // GIR_Coverage, 3902,
     /* 1624111 */     GIR_EraseRootFromParent_Done,
     /* 1624112 */   // Label 22369: @1624112
     /* 1624112 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1624198), // Rule ID 3905 //
     /* 1624117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624163 */     // MIs[0] policy
     /* 1624163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624173 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624197 */     // GIR_Coverage, 3905,
     /* 1624197 */     GIR_EraseRootFromParent_Done,
     /* 1624198 */   // Label 22370: @1624198
     /* 1624198 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1624284), // Rule ID 3906 //
     /* 1624203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624249 */     // MIs[0] policy
     /* 1624249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624283 */     // GIR_Coverage, 3906,
     /* 1624283 */     GIR_EraseRootFromParent_Done,
     /* 1624284 */   // Label 22371: @1624284
     /* 1624284 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1624370), // Rule ID 3909 //
     /* 1624289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624335 */     // MIs[0] policy
     /* 1624335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624345 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624369 */     // GIR_Coverage, 3909,
     /* 1624369 */     GIR_EraseRootFromParent_Done,
     /* 1624370 */   // Label 22372: @1624370
     /* 1624370 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1624456), // Rule ID 3910 //
     /* 1624375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624421 */     // MIs[0] policy
     /* 1624421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624455 */     // GIR_Coverage, 3910,
     /* 1624455 */     GIR_EraseRootFromParent_Done,
     /* 1624456 */   // Label 22373: @1624456
     /* 1624456 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1624542), // Rule ID 3913 //
     /* 1624461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624507 */     // MIs[0] policy
     /* 1624507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624541 */     // GIR_Coverage, 3913,
     /* 1624541 */     GIR_EraseRootFromParent_Done,
     /* 1624542 */   // Label 22374: @1624542
     /* 1624542 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1624628), // Rule ID 3914 //
     /* 1624547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624593 */     // MIs[0] policy
     /* 1624593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624627 */     // GIR_Coverage, 3914,
     /* 1624627 */     GIR_EraseRootFromParent_Done,
     /* 1624628 */   // Label 22375: @1624628
     /* 1624628 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1624714), // Rule ID 3917 //
     /* 1624633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624679 */     // MIs[0] policy
     /* 1624679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624713 */     // GIR_Coverage, 3917,
     /* 1624713 */     GIR_EraseRootFromParent_Done,
     /* 1624714 */   // Label 22376: @1624714
     /* 1624714 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1624800), // Rule ID 3918 //
     /* 1624719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624765 */     // MIs[0] policy
     /* 1624765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624775 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624799 */     // GIR_Coverage, 3918,
     /* 1624799 */     GIR_EraseRootFromParent_Done,
     /* 1624800 */   // Label 22377: @1624800
     /* 1624800 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1624886), // Rule ID 3921 //
     /* 1624805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624851 */     // MIs[0] policy
     /* 1624851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624885 */     // GIR_Coverage, 3921,
     /* 1624885 */     GIR_EraseRootFromParent_Done,
     /* 1624886 */   // Label 22378: @1624886
     /* 1624886 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1624972), // Rule ID 3922 //
     /* 1624891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624937 */     // MIs[0] policy
     /* 1624937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624971 */     // GIR_Coverage, 3922,
     /* 1624971 */     GIR_EraseRootFromParent_Done,
     /* 1624972 */   // Label 22379: @1624972
     /* 1624972 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1625058), // Rule ID 3925 //
     /* 1624977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1624994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625023 */     // MIs[0] policy
     /* 1625023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625057 */     // GIR_Coverage, 3925,
     /* 1625057 */     GIR_EraseRootFromParent_Done,
     /* 1625058 */   // Label 22380: @1625058
     /* 1625058 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1625144), // Rule ID 3926 //
     /* 1625063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1625074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1625077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625109 */     // MIs[0] policy
     /* 1625109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625143 */     // GIR_Coverage, 3926,
     /* 1625143 */     GIR_EraseRootFromParent_Done,
     /* 1625144 */   // Label 22381: @1625144
     /* 1625144 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1625230), // Rule ID 3929 //
     /* 1625149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625195 */     // MIs[0] policy
     /* 1625195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625229 */     // GIR_Coverage, 3929,
     /* 1625229 */     GIR_EraseRootFromParent_Done,
     /* 1625230 */   // Label 22382: @1625230
     /* 1625230 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1625316), // Rule ID 3930 //
     /* 1625235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625281 */     // MIs[0] policy
     /* 1625281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625315 */     // GIR_Coverage, 3930,
     /* 1625315 */     GIR_EraseRootFromParent_Done,
     /* 1625316 */   // Label 22383: @1625316
     /* 1625316 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1625402), // Rule ID 3933 //
     /* 1625321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625367 */     // MIs[0] policy
     /* 1625367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625401 */     // GIR_Coverage, 3933,
     /* 1625401 */     GIR_EraseRootFromParent_Done,
     /* 1625402 */   // Label 22384: @1625402
     /* 1625402 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1625488), // Rule ID 3934 //
     /* 1625407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625453 */     // MIs[0] policy
     /* 1625453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625463 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625487 */     // GIR_Coverage, 3934,
     /* 1625487 */     GIR_EraseRootFromParent_Done,
     /* 1625488 */   // Label 22385: @1625488
     /* 1625488 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1625574), // Rule ID 3937 //
     /* 1625493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625539 */     // MIs[0] policy
     /* 1625539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625573 */     // GIR_Coverage, 3937,
     /* 1625573 */     GIR_EraseRootFromParent_Done,
     /* 1625574 */   // Label 22386: @1625574
     /* 1625574 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1625660), // Rule ID 3938 //
     /* 1625579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625625 */     // MIs[0] policy
     /* 1625625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625659 */     // GIR_Coverage, 3938,
     /* 1625659 */     GIR_EraseRootFromParent_Done,
     /* 1625660 */   // Label 22387: @1625660
     /* 1625660 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1625746), // Rule ID 3941 //
     /* 1625665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625711 */     // MIs[0] policy
     /* 1625711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625745 */     // GIR_Coverage, 3941,
     /* 1625745 */     GIR_EraseRootFromParent_Done,
     /* 1625746 */   // Label 22388: @1625746
     /* 1625746 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1625832), // Rule ID 3942 //
     /* 1625751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625797 */     // MIs[0] policy
     /* 1625797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625831 */     // GIR_Coverage, 3942,
     /* 1625831 */     GIR_EraseRootFromParent_Done,
     /* 1625832 */   // Label 22389: @1625832
     /* 1625832 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1625918), // Rule ID 3951 //
     /* 1625837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625883 */     // MIs[0] policy
     /* 1625883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625917 */     // GIR_Coverage, 3951,
     /* 1625917 */     GIR_EraseRootFromParent_Done,
     /* 1625918 */   // Label 22390: @1625918
     /* 1625918 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1626004), // Rule ID 3952 //
     /* 1625923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625969 */     // MIs[0] policy
     /* 1625969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625979 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626003 */     // GIR_Coverage, 3952,
     /* 1626003 */     GIR_EraseRootFromParent_Done,
     /* 1626004 */   // Label 22391: @1626004
     /* 1626004 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1626090), // Rule ID 3961 //
     /* 1626009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1626020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1626023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1626029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626055 */     // MIs[0] policy
     /* 1626055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626065 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626089 */     // GIR_Coverage, 3961,
     /* 1626089 */     GIR_EraseRootFromParent_Done,
     /* 1626090 */   // Label 22392: @1626090
     /* 1626090 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1626176), // Rule ID 3962 //
     /* 1626095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1626106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1626109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1626115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626141 */     // MIs[0] policy
     /* 1626141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626175 */     // GIR_Coverage, 3962,
     /* 1626175 */     GIR_EraseRootFromParent_Done,
     /* 1626176 */   // Label 22393: @1626176
     /* 1626176 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1626262), // Rule ID 3971 //
     /* 1626181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626227 */     // MIs[0] policy
     /* 1626227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626237 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626261 */     // GIR_Coverage, 3971,
     /* 1626261 */     GIR_EraseRootFromParent_Done,
     /* 1626262 */   // Label 22394: @1626262
     /* 1626262 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1626348), // Rule ID 3972 //
     /* 1626267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626313 */     // MIs[0] policy
     /* 1626313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626323 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626347 */     // GIR_Coverage, 3972,
     /* 1626347 */     GIR_EraseRootFromParent_Done,
     /* 1626348 */   // Label 22395: @1626348
     /* 1626348 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1626434), // Rule ID 3981 //
     /* 1626353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626399 */     // MIs[0] policy
     /* 1626399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626433 */     // GIR_Coverage, 3981,
     /* 1626433 */     GIR_EraseRootFromParent_Done,
     /* 1626434 */   // Label 22396: @1626434
     /* 1626434 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1626520), // Rule ID 3982 //
     /* 1626439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626485 */     // MIs[0] policy
     /* 1626485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626495 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626519 */     // GIR_Coverage, 3982,
     /* 1626519 */     GIR_EraseRootFromParent_Done,
     /* 1626520 */   // Label 22397: @1626520
     /* 1626520 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1626606), // Rule ID 3991 //
     /* 1626525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1626542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626571 */     // MIs[0] policy
     /* 1626571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626581 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626605 */     // GIR_Coverage, 3991,
     /* 1626605 */     GIR_EraseRootFromParent_Done,
     /* 1626606 */   // Label 22398: @1626606
     /* 1626606 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1626692), // Rule ID 3992 //
     /* 1626611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1626628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626657 */     // MIs[0] policy
     /* 1626657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626667 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626691 */     // GIR_Coverage, 3992,
     /* 1626691 */     GIR_EraseRootFromParent_Done,
     /* 1626692 */   // Label 22399: @1626692
     /* 1626692 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1626778), // Rule ID 4001 //
     /* 1626697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626743 */     // MIs[0] policy
     /* 1626743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626777 */     // GIR_Coverage, 4001,
     /* 1626777 */     GIR_EraseRootFromParent_Done,
     /* 1626778 */   // Label 22400: @1626778
     /* 1626778 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1626864), // Rule ID 4002 //
     /* 1626783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626829 */     // MIs[0] policy
     /* 1626829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626839 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626863 */     // GIR_Coverage, 4002,
     /* 1626863 */     GIR_EraseRootFromParent_Done,
     /* 1626864 */   // Label 22401: @1626864
     /* 1626864 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1626950), // Rule ID 4011 //
     /* 1626869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626915 */     // MIs[0] policy
     /* 1626915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626949 */     // GIR_Coverage, 4011,
     /* 1626949 */     GIR_EraseRootFromParent_Done,
     /* 1626950 */   // Label 22402: @1626950
     /* 1626950 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1627036), // Rule ID 4012 //
     /* 1626955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627001 */     // MIs[0] policy
     /* 1627001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627035 */     // GIR_Coverage, 4012,
     /* 1627035 */     GIR_EraseRootFromParent_Done,
     /* 1627036 */   // Label 22403: @1627036
     /* 1627036 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1627122), // Rule ID 4021 //
     /* 1627041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627087 */     // MIs[0] policy
     /* 1627087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627121 */     // GIR_Coverage, 4021,
     /* 1627121 */     GIR_EraseRootFromParent_Done,
     /* 1627122 */   // Label 22404: @1627122
     /* 1627122 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1627208), // Rule ID 4022 //
     /* 1627127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627173 */     // MIs[0] policy
     /* 1627173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627207 */     // GIR_Coverage, 4022,
     /* 1627207 */     GIR_EraseRootFromParent_Done,
     /* 1627208 */   // Label 22405: @1627208
     /* 1627208 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1627294), // Rule ID 4031 //
     /* 1627213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627259 */     // MIs[0] policy
     /* 1627259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627293 */     // GIR_Coverage, 4031,
     /* 1627293 */     GIR_EraseRootFromParent_Done,
     /* 1627294 */   // Label 22406: @1627294
     /* 1627294 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1627380), // Rule ID 4032 //
     /* 1627299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627345 */     // MIs[0] policy
     /* 1627345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627379 */     // GIR_Coverage, 4032,
     /* 1627379 */     GIR_EraseRootFromParent_Done,
     /* 1627380 */   // Label 22407: @1627380
     /* 1627380 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1627466), // Rule ID 4041 //
     /* 1627385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627431 */     // MIs[0] policy
     /* 1627431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627441 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627465 */     // GIR_Coverage, 4041,
     /* 1627465 */     GIR_EraseRootFromParent_Done,
     /* 1627466 */   // Label 22408: @1627466
     /* 1627466 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1627552), // Rule ID 4042 //
     /* 1627471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627517 */     // MIs[0] policy
     /* 1627517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627527 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627551 */     // GIR_Coverage, 4042,
     /* 1627551 */     GIR_EraseRootFromParent_Done,
     /* 1627552 */   // Label 22409: @1627552
     /* 1627552 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1627638), // Rule ID 4051 //
     /* 1627557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1627574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627603 */     // MIs[0] policy
     /* 1627603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627613 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627637 */     // GIR_Coverage, 4051,
     /* 1627637 */     GIR_EraseRootFromParent_Done,
     /* 1627638 */   // Label 22410: @1627638
     /* 1627638 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1627724), // Rule ID 4052 //
     /* 1627643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1627660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627689 */     // MIs[0] policy
     /* 1627689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627723 */     // GIR_Coverage, 4052,
     /* 1627723 */     GIR_EraseRootFromParent_Done,
     /* 1627724 */   // Label 22411: @1627724
     /* 1627724 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1627810), // Rule ID 4061 //
     /* 1627729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1627746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627775 */     // MIs[0] policy
     /* 1627775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627785 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627809 */     // GIR_Coverage, 4061,
     /* 1627809 */     GIR_EraseRootFromParent_Done,
     /* 1627810 */   // Label 22412: @1627810
     /* 1627810 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1627896), // Rule ID 4062 //
     /* 1627815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1627832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627861 */     // MIs[0] policy
     /* 1627861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627895 */     // GIR_Coverage, 4062,
     /* 1627895 */     GIR_EraseRootFromParent_Done,
     /* 1627896 */   // Label 22413: @1627896
     /* 1627896 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1627982), // Rule ID 4071 //
     /* 1627901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1627918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627947 */     // MIs[0] policy
     /* 1627947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627957 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627981 */     // GIR_Coverage, 4071,
     /* 1627981 */     GIR_EraseRootFromParent_Done,
     /* 1627982 */   // Label 22414: @1627982
     /* 1627982 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1628068), // Rule ID 4072 //
     /* 1627987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1628001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1628004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1628007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628033 */     // MIs[0] policy
     /* 1628033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628043 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1628046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628067 */     // GIR_Coverage, 4072,
     /* 1628067 */     GIR_EraseRootFromParent_Done,
     /* 1628068 */   // Label 22415: @1628068
     /* 1628068 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1628154), // Rule ID 4081 //
     /* 1628073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628119 */     // MIs[0] policy
     /* 1628119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628129 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628153 */     // GIR_Coverage, 4081,
     /* 1628153 */     GIR_EraseRootFromParent_Done,
     /* 1628154 */   // Label 22416: @1628154
     /* 1628154 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1628240), // Rule ID 4082 //
     /* 1628159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628205 */     // MIs[0] policy
     /* 1628205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628215 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628239 */     // GIR_Coverage, 4082,
     /* 1628239 */     GIR_EraseRootFromParent_Done,
     /* 1628240 */   // Label 22417: @1628240
     /* 1628240 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1628326), // Rule ID 4085 //
     /* 1628245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628291 */     // MIs[0] policy
     /* 1628291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628325 */     // GIR_Coverage, 4085,
     /* 1628325 */     GIR_EraseRootFromParent_Done,
     /* 1628326 */   // Label 22418: @1628326
     /* 1628326 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1628412), // Rule ID 4086 //
     /* 1628331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628377 */     // MIs[0] policy
     /* 1628377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628387 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628411 */     // GIR_Coverage, 4086,
     /* 1628411 */     GIR_EraseRootFromParent_Done,
     /* 1628412 */   // Label 22419: @1628412
     /* 1628412 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1628498), // Rule ID 4089 //
     /* 1628417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628463 */     // MIs[0] policy
     /* 1628463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628497 */     // GIR_Coverage, 4089,
     /* 1628497 */     GIR_EraseRootFromParent_Done,
     /* 1628498 */   // Label 22420: @1628498
     /* 1628498 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1628584), // Rule ID 4090 //
     /* 1628503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628549 */     // MIs[0] policy
     /* 1628549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628583 */     // GIR_Coverage, 4090,
     /* 1628583 */     GIR_EraseRootFromParent_Done,
     /* 1628584 */   // Label 22421: @1628584
     /* 1628584 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1628670), // Rule ID 4093 //
     /* 1628589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628635 */     // MIs[0] policy
     /* 1628635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628645 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628669 */     // GIR_Coverage, 4093,
     /* 1628669 */     GIR_EraseRootFromParent_Done,
     /* 1628670 */   // Label 22422: @1628670
     /* 1628670 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1628756), // Rule ID 4094 //
     /* 1628675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628721 */     // MIs[0] policy
     /* 1628721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628731 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628755 */     // GIR_Coverage, 4094,
     /* 1628755 */     GIR_EraseRootFromParent_Done,
     /* 1628756 */   // Label 22423: @1628756
     /* 1628756 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1628842), // Rule ID 4097 //
     /* 1628761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628807 */     // MIs[0] policy
     /* 1628807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628817 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628841 */     // GIR_Coverage, 4097,
     /* 1628841 */     GIR_EraseRootFromParent_Done,
     /* 1628842 */   // Label 22424: @1628842
     /* 1628842 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1628928), // Rule ID 4098 //
     /* 1628847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628893 */     // MIs[0] policy
     /* 1628893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628927 */     // GIR_Coverage, 4098,
     /* 1628927 */     GIR_EraseRootFromParent_Done,
     /* 1628928 */   // Label 22425: @1628928
     /* 1628928 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1629014), // Rule ID 4101 //
     /* 1628933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628979 */     // MIs[0] policy
     /* 1628979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1628992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629013 */     // GIR_Coverage, 4101,
     /* 1629013 */     GIR_EraseRootFromParent_Done,
     /* 1629014 */   // Label 22426: @1629014
     /* 1629014 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1629100), // Rule ID 4102 //
     /* 1629019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1629030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1629033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629065 */     // MIs[0] policy
     /* 1629065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629099 */     // GIR_Coverage, 4102,
     /* 1629099 */     GIR_EraseRootFromParent_Done,
     /* 1629100 */   // Label 22427: @1629100
     /* 1629100 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1629186), // Rule ID 4105 //
     /* 1629105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629151 */     // MIs[0] policy
     /* 1629151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629185 */     // GIR_Coverage, 4105,
     /* 1629185 */     GIR_EraseRootFromParent_Done,
     /* 1629186 */   // Label 22428: @1629186
     /* 1629186 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1629272), // Rule ID 4106 //
     /* 1629191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629237 */     // MIs[0] policy
     /* 1629237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629271 */     // GIR_Coverage, 4106,
     /* 1629271 */     GIR_EraseRootFromParent_Done,
     /* 1629272 */   // Label 22429: @1629272
     /* 1629272 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1629358), // Rule ID 4109 //
     /* 1629277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629323 */     // MIs[0] policy
     /* 1629323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629357 */     // GIR_Coverage, 4109,
     /* 1629357 */     GIR_EraseRootFromParent_Done,
     /* 1629358 */   // Label 22430: @1629358
     /* 1629358 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1629444), // Rule ID 4110 //
     /* 1629363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629409 */     // MIs[0] policy
     /* 1629409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629419 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629443 */     // GIR_Coverage, 4110,
     /* 1629443 */     GIR_EraseRootFromParent_Done,
     /* 1629444 */   // Label 22431: @1629444
     /* 1629444 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1629530), // Rule ID 4113 //
     /* 1629449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629495 */     // MIs[0] policy
     /* 1629495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629529 */     // GIR_Coverage, 4113,
     /* 1629529 */     GIR_EraseRootFromParent_Done,
     /* 1629530 */   // Label 22432: @1629530
     /* 1629530 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1629616), // Rule ID 4114 //
     /* 1629535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629581 */     // MIs[0] policy
     /* 1629581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629615 */     // GIR_Coverage, 4114,
     /* 1629615 */     GIR_EraseRootFromParent_Done,
     /* 1629616 */   // Label 22433: @1629616
     /* 1629616 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1629702), // Rule ID 4117 //
     /* 1629621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629667 */     // MIs[0] policy
     /* 1629667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629701 */     // GIR_Coverage, 4117,
     /* 1629701 */     GIR_EraseRootFromParent_Done,
     /* 1629702 */   // Label 22434: @1629702
     /* 1629702 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1629788), // Rule ID 4118 //
     /* 1629707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629753 */     // MIs[0] policy
     /* 1629753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629787 */     // GIR_Coverage, 4118,
     /* 1629787 */     GIR_EraseRootFromParent_Done,
     /* 1629788 */   // Label 22435: @1629788
     /* 1629788 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1629874), // Rule ID 4121 //
     /* 1629793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629839 */     // MIs[0] policy
     /* 1629839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629873 */     // GIR_Coverage, 4121,
     /* 1629873 */     GIR_EraseRootFromParent_Done,
     /* 1629874 */   // Label 22436: @1629874
     /* 1629874 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1629960), // Rule ID 4122 //
     /* 1629879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629925 */     // MIs[0] policy
     /* 1629925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629959 */     // GIR_Coverage, 4122,
     /* 1629959 */     GIR_EraseRootFromParent_Done,
     /* 1629960 */   // Label 22437: @1629960
     /* 1629960 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1630046), // Rule ID 4125 //
     /* 1629965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1629982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630011 */     // MIs[0] policy
     /* 1630011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630045 */     // GIR_Coverage, 4125,
     /* 1630045 */     GIR_EraseRootFromParent_Done,
     /* 1630046 */   // Label 22438: @1630046
     /* 1630046 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1630132), // Rule ID 4126 //
     /* 1630051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630097 */     // MIs[0] policy
     /* 1630097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630107 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630131 */     // GIR_Coverage, 4126,
     /* 1630131 */     GIR_EraseRootFromParent_Done,
     /* 1630132 */   // Label 22439: @1630132
     /* 1630132 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1630218), // Rule ID 4129 //
     /* 1630137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630183 */     // MIs[0] policy
     /* 1630183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630193 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630217 */     // GIR_Coverage, 4129,
     /* 1630217 */     GIR_EraseRootFromParent_Done,
     /* 1630218 */   // Label 22440: @1630218
     /* 1630218 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1630304), // Rule ID 4130 //
     /* 1630223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630269 */     // MIs[0] policy
     /* 1630269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630279 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630303 */     // GIR_Coverage, 4130,
     /* 1630303 */     GIR_EraseRootFromParent_Done,
     /* 1630304 */   // Label 22441: @1630304
     /* 1630304 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1630390), // Rule ID 4133 //
     /* 1630309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630355 */     // MIs[0] policy
     /* 1630355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630389 */     // GIR_Coverage, 4133,
     /* 1630389 */     GIR_EraseRootFromParent_Done,
     /* 1630390 */   // Label 22442: @1630390
     /* 1630390 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1630476), // Rule ID 4134 //
     /* 1630395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630441 */     // MIs[0] policy
     /* 1630441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630475 */     // GIR_Coverage, 4134,
     /* 1630475 */     GIR_EraseRootFromParent_Done,
     /* 1630476 */   // Label 22443: @1630476
     /* 1630476 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1630562), // Rule ID 4137 //
     /* 1630481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630527 */     // MIs[0] policy
     /* 1630527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630561 */     // GIR_Coverage, 4137,
     /* 1630561 */     GIR_EraseRootFromParent_Done,
     /* 1630562 */   // Label 22444: @1630562
     /* 1630562 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1630648), // Rule ID 4138 //
     /* 1630567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630613 */     // MIs[0] policy
     /* 1630613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630623 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630647 */     // GIR_Coverage, 4138,
     /* 1630647 */     GIR_EraseRootFromParent_Done,
     /* 1630648 */   // Label 22445: @1630648
     /* 1630648 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1630734), // Rule ID 4141 //
     /* 1630653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630699 */     // MIs[0] policy
     /* 1630699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630733 */     // GIR_Coverage, 4141,
     /* 1630733 */     GIR_EraseRootFromParent_Done,
     /* 1630734 */   // Label 22446: @1630734
     /* 1630734 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1630820), // Rule ID 4142 //
     /* 1630739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630785 */     // MIs[0] policy
     /* 1630785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630795 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630819 */     // GIR_Coverage, 4142,
     /* 1630819 */     GIR_EraseRootFromParent_Done,
     /* 1630820 */   // Label 22447: @1630820
     /* 1630820 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1630906), // Rule ID 4151 //
     /* 1630825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1630845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630871 */     // MIs[0] policy
     /* 1630871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630881 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1630884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630905 */     // GIR_Coverage, 4151,
     /* 1630905 */     GIR_EraseRootFromParent_Done,
     /* 1630906 */   // Label 22448: @1630906
     /* 1630906 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1630992), // Rule ID 4152 //
     /* 1630911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1630931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630957 */     // MIs[0] policy
     /* 1630957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1630970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630991 */     // GIR_Coverage, 4152,
     /* 1630991 */     GIR_EraseRootFromParent_Done,
     /* 1630992 */   // Label 22449: @1630992
     /* 1630992 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1631078), // Rule ID 4161 //
     /* 1630997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631043 */     // MIs[0] policy
     /* 1631043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631053 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631077 */     // GIR_Coverage, 4161,
     /* 1631077 */     GIR_EraseRootFromParent_Done,
     /* 1631078 */   // Label 22450: @1631078
     /* 1631078 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1631164), // Rule ID 4162 //
     /* 1631083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631129 */     // MIs[0] policy
     /* 1631129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631163 */     // GIR_Coverage, 4162,
     /* 1631163 */     GIR_EraseRootFromParent_Done,
     /* 1631164 */   // Label 22451: @1631164
     /* 1631164 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1631250), // Rule ID 4171 //
     /* 1631169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631215 */     // MIs[0] policy
     /* 1631215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631225 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631249 */     // GIR_Coverage, 4171,
     /* 1631249 */     GIR_EraseRootFromParent_Done,
     /* 1631250 */   // Label 22452: @1631250
     /* 1631250 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1631336), // Rule ID 4172 //
     /* 1631255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631301 */     // MIs[0] policy
     /* 1631301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631311 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631335 */     // GIR_Coverage, 4172,
     /* 1631335 */     GIR_EraseRootFromParent_Done,
     /* 1631336 */   // Label 22453: @1631336
     /* 1631336 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1631422), // Rule ID 4181 //
     /* 1631341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631387 */     // MIs[0] policy
     /* 1631387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631421 */     // GIR_Coverage, 4181,
     /* 1631421 */     GIR_EraseRootFromParent_Done,
     /* 1631422 */   // Label 22454: @1631422
     /* 1631422 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1631508), // Rule ID 4182 //
     /* 1631427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631473 */     // MIs[0] policy
     /* 1631473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631507 */     // GIR_Coverage, 4182,
     /* 1631507 */     GIR_EraseRootFromParent_Done,
     /* 1631508 */   // Label 22455: @1631508
     /* 1631508 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1631594), // Rule ID 4191 //
     /* 1631513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631559 */     // MIs[0] policy
     /* 1631559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631593 */     // GIR_Coverage, 4191,
     /* 1631593 */     GIR_EraseRootFromParent_Done,
     /* 1631594 */   // Label 22456: @1631594
     /* 1631594 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1631680), // Rule ID 4192 //
     /* 1631599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631645 */     // MIs[0] policy
     /* 1631645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631655 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631679 */     // GIR_Coverage, 4192,
     /* 1631679 */     GIR_EraseRootFromParent_Done,
     /* 1631680 */   // Label 22457: @1631680
     /* 1631680 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1631766), // Rule ID 4201 //
     /* 1631685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1631702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1631705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631731 */     // MIs[0] policy
     /* 1631731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631741 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1631744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631765 */     // GIR_Coverage, 4201,
     /* 1631765 */     GIR_EraseRootFromParent_Done,
     /* 1631766 */   // Label 22458: @1631766
     /* 1631766 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1631852), // Rule ID 4202 //
     /* 1631771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1631788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1631791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631817 */     // MIs[0] policy
     /* 1631817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1631830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631851 */     // GIR_Coverage, 4202,
     /* 1631851 */     GIR_EraseRootFromParent_Done,
     /* 1631852 */   // Label 22459: @1631852
     /* 1631852 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1631938), // Rule ID 4211 //
     /* 1631857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631903 */     // MIs[0] policy
     /* 1631903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631913 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631937 */     // GIR_Coverage, 4211,
     /* 1631937 */     GIR_EraseRootFromParent_Done,
     /* 1631938 */   // Label 22460: @1631938
     /* 1631938 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1632024), // Rule ID 4212 //
     /* 1631943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631989 */     // MIs[0] policy
     /* 1631989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1632002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632023 */     // GIR_Coverage, 4212,
     /* 1632023 */     GIR_EraseRootFromParent_Done,
     /* 1632024 */   // Label 22461: @1632024
     /* 1632024 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1632110), // Rule ID 4221 //
     /* 1632029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632075 */     // MIs[0] policy
     /* 1632075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632109 */     // GIR_Coverage, 4221,
     /* 1632109 */     GIR_EraseRootFromParent_Done,
     /* 1632110 */   // Label 22462: @1632110
     /* 1632110 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1632196), // Rule ID 4222 //
     /* 1632115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632161 */     // MIs[0] policy
     /* 1632161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632195 */     // GIR_Coverage, 4222,
     /* 1632195 */     GIR_EraseRootFromParent_Done,
     /* 1632196 */   // Label 22463: @1632196
     /* 1632196 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1632282), // Rule ID 4231 //
     /* 1632201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632247 */     // MIs[0] policy
     /* 1632247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632281 */     // GIR_Coverage, 4231,
     /* 1632281 */     GIR_EraseRootFromParent_Done,
     /* 1632282 */   // Label 22464: @1632282
     /* 1632282 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1632368), // Rule ID 4232 //
     /* 1632287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632333 */     // MIs[0] policy
     /* 1632333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632367 */     // GIR_Coverage, 4232,
     /* 1632367 */     GIR_EraseRootFromParent_Done,
     /* 1632368 */   // Label 22465: @1632368
     /* 1632368 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1632454), // Rule ID 4241 //
     /* 1632373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632419 */     // MIs[0] policy
     /* 1632419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632429 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632453 */     // GIR_Coverage, 4241,
     /* 1632453 */     GIR_EraseRootFromParent_Done,
     /* 1632454 */   // Label 22466: @1632454
     /* 1632454 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1632540), // Rule ID 4242 //
     /* 1632459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632505 */     // MIs[0] policy
     /* 1632505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632539 */     // GIR_Coverage, 4242,
     /* 1632539 */     GIR_EraseRootFromParent_Done,
     /* 1632540 */   // Label 22467: @1632540
     /* 1632540 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1632626), // Rule ID 4251 //
     /* 1632545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632591 */     // MIs[0] policy
     /* 1632591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632601 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632625 */     // GIR_Coverage, 4251,
     /* 1632625 */     GIR_EraseRootFromParent_Done,
     /* 1632626 */   // Label 22468: @1632626
     /* 1632626 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1632712), // Rule ID 4252 //
     /* 1632631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632677 */     // MIs[0] policy
     /* 1632677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632687 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632711 */     // GIR_Coverage, 4252,
     /* 1632711 */     GIR_EraseRootFromParent_Done,
     /* 1632712 */   // Label 22469: @1632712
     /* 1632712 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1632798), // Rule ID 4261 //
     /* 1632717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1632737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632763 */     // MIs[0] policy
     /* 1632763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632773 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632797 */     // GIR_Coverage, 4261,
     /* 1632797 */     GIR_EraseRootFromParent_Done,
     /* 1632798 */   // Label 22470: @1632798
     /* 1632798 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1632884), // Rule ID 4262 //
     /* 1632803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1632823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632849 */     // MIs[0] policy
     /* 1632849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632883 */     // GIR_Coverage, 4262,
     /* 1632883 */     GIR_EraseRootFromParent_Done,
     /* 1632884 */   // Label 22471: @1632884
     /* 1632884 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1632970), // Rule ID 4271 //
     /* 1632889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632935 */     // MIs[0] policy
     /* 1632935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632969 */     // GIR_Coverage, 4271,
     /* 1632969 */     GIR_EraseRootFromParent_Done,
     /* 1632970 */   // Label 22472: @1632970
     /* 1632970 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1633056), // Rule ID 4272 //
     /* 1632975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633021 */     // MIs[0] policy
     /* 1633021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1633034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633055 */     // GIR_Coverage, 4272,
     /* 1633055 */     GIR_EraseRootFromParent_Done,
     /* 1633056 */   // Label 22473: @1633056
     /* 1633056 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1633142), // Rule ID 4281 //
     /* 1633061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633107 */     // MIs[0] policy
     /* 1633107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633117 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633141 */     // GIR_Coverage, 4281,
     /* 1633141 */     GIR_EraseRootFromParent_Done,
     /* 1633142 */   // Label 22474: @1633142
     /* 1633142 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1633228), // Rule ID 4282 //
     /* 1633147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633193 */     // MIs[0] policy
     /* 1633193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633227 */     // GIR_Coverage, 4282,
     /* 1633227 */     GIR_EraseRootFromParent_Done,
     /* 1633228 */   // Label 22475: @1633228
     /* 1633228 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1633314), // Rule ID 4291 //
     /* 1633233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633279 */     // MIs[0] policy
     /* 1633279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633313 */     // GIR_Coverage, 4291,
     /* 1633313 */     GIR_EraseRootFromParent_Done,
     /* 1633314 */   // Label 22476: @1633314
     /* 1633314 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1633400), // Rule ID 4292 //
     /* 1633319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633365 */     // MIs[0] policy
     /* 1633365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633375 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633399 */     // GIR_Coverage, 4292,
     /* 1633399 */     GIR_EraseRootFromParent_Done,
     /* 1633400 */   // Label 22477: @1633400
     /* 1633400 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1633486), // Rule ID 4295 //
     /* 1633405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633451 */     // MIs[0] policy
     /* 1633451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633485 */     // GIR_Coverage, 4295,
     /* 1633485 */     GIR_EraseRootFromParent_Done,
     /* 1633486 */   // Label 22478: @1633486
     /* 1633486 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1633572), // Rule ID 4296 //
     /* 1633491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633537 */     // MIs[0] policy
     /* 1633537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633571 */     // GIR_Coverage, 4296,
     /* 1633571 */     GIR_EraseRootFromParent_Done,
     /* 1633572 */   // Label 22479: @1633572
     /* 1633572 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1633658), // Rule ID 4299 //
     /* 1633577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633623 */     // MIs[0] policy
     /* 1633623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633633 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1633636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633657 */     // GIR_Coverage, 4299,
     /* 1633657 */     GIR_EraseRootFromParent_Done,
     /* 1633658 */   // Label 22480: @1633658
     /* 1633658 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1633744), // Rule ID 4300 //
     /* 1633663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633709 */     // MIs[0] policy
     /* 1633709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1633722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633743 */     // GIR_Coverage, 4300,
     /* 1633743 */     GIR_EraseRootFromParent_Done,
     /* 1633744 */   // Label 22481: @1633744
     /* 1633744 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1633830), // Rule ID 4303 //
     /* 1633749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633795 */     // MIs[0] policy
     /* 1633795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1633808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633829 */     // GIR_Coverage, 4303,
     /* 1633829 */     GIR_EraseRootFromParent_Done,
     /* 1633830 */   // Label 22482: @1633830
     /* 1633830 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1633916), // Rule ID 4304 //
     /* 1633835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633881 */     // MIs[0] policy
     /* 1633881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1633894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633915 */     // GIR_Coverage, 4304,
     /* 1633915 */     GIR_EraseRootFromParent_Done,
     /* 1633916 */   // Label 22483: @1633916
     /* 1633916 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1634002), // Rule ID 4307 //
     /* 1633921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633967 */     // MIs[0] policy
     /* 1633967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633977 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1633980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634001 */     // GIR_Coverage, 4307,
     /* 1634001 */     GIR_EraseRootFromParent_Done,
     /* 1634002 */   // Label 22484: @1634002
     /* 1634002 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1634088), // Rule ID 4308 //
     /* 1634007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1634018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1634021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1634024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634053 */     // MIs[0] policy
     /* 1634053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634063 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634087 */     // GIR_Coverage, 4308,
     /* 1634087 */     GIR_EraseRootFromParent_Done,
     /* 1634088 */   // Label 22485: @1634088
     /* 1634088 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1634174), // Rule ID 4311 //
     /* 1634093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634139 */     // MIs[0] policy
     /* 1634139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634173 */     // GIR_Coverage, 4311,
     /* 1634173 */     GIR_EraseRootFromParent_Done,
     /* 1634174 */   // Label 22486: @1634174
     /* 1634174 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1634260), // Rule ID 4312 //
     /* 1634179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634225 */     // MIs[0] policy
     /* 1634225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634259 */     // GIR_Coverage, 4312,
     /* 1634259 */     GIR_EraseRootFromParent_Done,
     /* 1634260 */   // Label 22487: @1634260
     /* 1634260 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1634346), // Rule ID 4315 //
     /* 1634265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634311 */     // MIs[0] policy
     /* 1634311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634345 */     // GIR_Coverage, 4315,
     /* 1634345 */     GIR_EraseRootFromParent_Done,
     /* 1634346 */   // Label 22488: @1634346
     /* 1634346 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1634432), // Rule ID 4316 //
     /* 1634351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634397 */     // MIs[0] policy
     /* 1634397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634407 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634431 */     // GIR_Coverage, 4316,
     /* 1634431 */     GIR_EraseRootFromParent_Done,
     /* 1634432 */   // Label 22489: @1634432
     /* 1634432 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1634518), // Rule ID 4319 //
     /* 1634437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634483 */     // MIs[0] policy
     /* 1634483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634517 */     // GIR_Coverage, 4319,
     /* 1634517 */     GIR_EraseRootFromParent_Done,
     /* 1634518 */   // Label 22490: @1634518
     /* 1634518 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1634604), // Rule ID 4320 //
     /* 1634523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634569 */     // MIs[0] policy
     /* 1634569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634603 */     // GIR_Coverage, 4320,
     /* 1634603 */     GIR_EraseRootFromParent_Done,
     /* 1634604 */   // Label 22491: @1634604
     /* 1634604 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1634690), // Rule ID 4323 //
     /* 1634609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634655 */     // MIs[0] policy
     /* 1634655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634689 */     // GIR_Coverage, 4323,
     /* 1634689 */     GIR_EraseRootFromParent_Done,
     /* 1634690 */   // Label 22492: @1634690
     /* 1634690 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1634776), // Rule ID 4324 //
     /* 1634695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634741 */     // MIs[0] policy
     /* 1634741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634775 */     // GIR_Coverage, 4324,
     /* 1634775 */     GIR_EraseRootFromParent_Done,
     /* 1634776 */   // Label 22493: @1634776
     /* 1634776 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1634862), // Rule ID 4327 //
     /* 1634781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634827 */     // MIs[0] policy
     /* 1634827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634837 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634861 */     // GIR_Coverage, 4327,
     /* 1634861 */     GIR_EraseRootFromParent_Done,
     /* 1634862 */   // Label 22494: @1634862
     /* 1634862 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1634948), // Rule ID 4328 //
     /* 1634867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634913 */     // MIs[0] policy
     /* 1634913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634947 */     // GIR_Coverage, 4328,
     /* 1634947 */     GIR_EraseRootFromParent_Done,
     /* 1634948 */   // Label 22495: @1634948
     /* 1634948 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1635034), // Rule ID 4331 //
     /* 1634953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634999 */     // MIs[0] policy
     /* 1634999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635009 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635033 */     // GIR_Coverage, 4331,
     /* 1635033 */     GIR_EraseRootFromParent_Done,
     /* 1635034 */   // Label 22496: @1635034
     /* 1635034 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1635120), // Rule ID 4332 //
     /* 1635039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1635050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1635053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1635056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635085 */     // MIs[0] policy
     /* 1635085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635095 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635119 */     // GIR_Coverage, 4332,
     /* 1635119 */     GIR_EraseRootFromParent_Done,
     /* 1635120 */   // Label 22497: @1635120
     /* 1635120 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1635206), // Rule ID 4335 //
     /* 1635125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635171 */     // MIs[0] policy
     /* 1635171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635181 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635205 */     // GIR_Coverage, 4335,
     /* 1635205 */     GIR_EraseRootFromParent_Done,
     /* 1635206 */   // Label 22498: @1635206
     /* 1635206 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1635292), // Rule ID 4336 //
     /* 1635211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635257 */     // MIs[0] policy
     /* 1635257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635291 */     // GIR_Coverage, 4336,
     /* 1635291 */     GIR_EraseRootFromParent_Done,
     /* 1635292 */   // Label 22499: @1635292
     /* 1635292 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1635378), // Rule ID 4339 //
     /* 1635297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635343 */     // MIs[0] policy
     /* 1635343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635377 */     // GIR_Coverage, 4339,
     /* 1635377 */     GIR_EraseRootFromParent_Done,
     /* 1635378 */   // Label 22500: @1635378
     /* 1635378 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1635464), // Rule ID 4340 //
     /* 1635383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635429 */     // MIs[0] policy
     /* 1635429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635463 */     // GIR_Coverage, 4340,
     /* 1635463 */     GIR_EraseRootFromParent_Done,
     /* 1635464 */   // Label 22501: @1635464
     /* 1635464 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1635550), // Rule ID 4343 //
     /* 1635469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635515 */     // MIs[0] policy
     /* 1635515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635549 */     // GIR_Coverage, 4343,
     /* 1635549 */     GIR_EraseRootFromParent_Done,
     /* 1635550 */   // Label 22502: @1635550
     /* 1635550 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1635636), // Rule ID 4344 //
     /* 1635555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635601 */     // MIs[0] policy
     /* 1635601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635635 */     // GIR_Coverage, 4344,
     /* 1635635 */     GIR_EraseRootFromParent_Done,
     /* 1635636 */   // Label 22503: @1635636
     /* 1635636 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1635722), // Rule ID 4347 //
     /* 1635641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635687 */     // MIs[0] policy
     /* 1635687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635721 */     // GIR_Coverage, 4347,
     /* 1635721 */     GIR_EraseRootFromParent_Done,
     /* 1635722 */   // Label 22504: @1635722
     /* 1635722 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1635808), // Rule ID 4348 //
     /* 1635727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635773 */     // MIs[0] policy
     /* 1635773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635807 */     // GIR_Coverage, 4348,
     /* 1635807 */     GIR_EraseRootFromParent_Done,
     /* 1635808 */   // Label 22505: @1635808
     /* 1635808 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1635894), // Rule ID 4351 //
     /* 1635813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635859 */     // MIs[0] policy
     /* 1635859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635869 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635893 */     // GIR_Coverage, 4351,
     /* 1635893 */     GIR_EraseRootFromParent_Done,
     /* 1635894 */   // Label 22506: @1635894
     /* 1635894 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1635980), // Rule ID 4352 //
     /* 1635899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635945 */     // MIs[0] policy
     /* 1635945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635979 */     // GIR_Coverage, 4352,
     /* 1635979 */     GIR_EraseRootFromParent_Done,
     /* 1635980 */   // Label 22507: @1635980
     /* 1635980 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1636066), // Rule ID 4361 //
     /* 1635985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1636002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1636005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636031 */     // MIs[0] policy
     /* 1636031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636041 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1636044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636065 */     // GIR_Coverage, 4361,
     /* 1636065 */     GIR_EraseRootFromParent_Done,
     /* 1636066 */   // Label 22508: @1636066
     /* 1636066 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1636152), // Rule ID 4362 //
     /* 1636071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1636082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1636085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1636088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1636091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636117 */     // MIs[0] policy
     /* 1636117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1636130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636151 */     // GIR_Coverage, 4362,
     /* 1636151 */     GIR_EraseRootFromParent_Done,
     /* 1636152 */   // Label 22509: @1636152
     /* 1636152 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1636238), // Rule ID 4371 //
     /* 1636157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636203 */     // MIs[0] policy
     /* 1636203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636213 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636237 */     // GIR_Coverage, 4371,
     /* 1636237 */     GIR_EraseRootFromParent_Done,
     /* 1636238 */   // Label 22510: @1636238
     /* 1636238 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1636324), // Rule ID 4372 //
     /* 1636243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636289 */     // MIs[0] policy
     /* 1636289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636323 */     // GIR_Coverage, 4372,
     /* 1636323 */     GIR_EraseRootFromParent_Done,
     /* 1636324 */   // Label 22511: @1636324
     /* 1636324 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1636410), // Rule ID 4381 //
     /* 1636329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636375 */     // MIs[0] policy
     /* 1636375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636385 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636409 */     // GIR_Coverage, 4381,
     /* 1636409 */     GIR_EraseRootFromParent_Done,
     /* 1636410 */   // Label 22512: @1636410
     /* 1636410 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1636496), // Rule ID 4382 //
     /* 1636415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636461 */     // MIs[0] policy
     /* 1636461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636495 */     // GIR_Coverage, 4382,
     /* 1636495 */     GIR_EraseRootFromParent_Done,
     /* 1636496 */   // Label 22513: @1636496
     /* 1636496 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1636582), // Rule ID 4391 //
     /* 1636501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636547 */     // MIs[0] policy
     /* 1636547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636581 */     // GIR_Coverage, 4391,
     /* 1636581 */     GIR_EraseRootFromParent_Done,
     /* 1636582 */   // Label 22514: @1636582
     /* 1636582 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1636668), // Rule ID 4392 //
     /* 1636587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636633 */     // MIs[0] policy
     /* 1636633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636667 */     // GIR_Coverage, 4392,
     /* 1636667 */     GIR_EraseRootFromParent_Done,
     /* 1636668 */   // Label 22515: @1636668
     /* 1636668 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1636754), // Rule ID 4401 //
     /* 1636673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636719 */     // MIs[0] policy
     /* 1636719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636729 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1636732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636753 */     // GIR_Coverage, 4401,
     /* 1636753 */     GIR_EraseRootFromParent_Done,
     /* 1636754 */   // Label 22516: @1636754
     /* 1636754 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1636840), // Rule ID 4402 //
     /* 1636759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636805 */     // MIs[0] policy
     /* 1636805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636815 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1636818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636839 */     // GIR_Coverage, 4402,
     /* 1636839 */     GIR_EraseRootFromParent_Done,
     /* 1636840 */   // Label 22517: @1636840
     /* 1636840 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1636926), // Rule ID 4411 //
     /* 1636845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636891 */     // MIs[0] policy
     /* 1636891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636901 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1636904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636925 */     // GIR_Coverage, 4411,
     /* 1636925 */     GIR_EraseRootFromParent_Done,
     /* 1636926 */   // Label 22518: @1636926
     /* 1636926 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1637012), // Rule ID 4412 //
     /* 1636931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636977 */     // MIs[0] policy
     /* 1636977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636987 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1636990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637011 */     // GIR_Coverage, 4412,
     /* 1637011 */     GIR_EraseRootFromParent_Done,
     /* 1637012 */   // Label 22519: @1637012
     /* 1637012 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1637098), // Rule ID 4421 //
     /* 1637017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1637028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1637031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1637034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1637037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637063 */     // MIs[0] policy
     /* 1637063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637073 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637097 */     // GIR_Coverage, 4421,
     /* 1637097 */     GIR_EraseRootFromParent_Done,
     /* 1637098 */   // Label 22520: @1637098
     /* 1637098 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1637184), // Rule ID 4422 //
     /* 1637103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1637114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1637117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1637120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1637123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637149 */     // MIs[0] policy
     /* 1637149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637159 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637183 */     // GIR_Coverage, 4422,
     /* 1637183 */     GIR_EraseRootFromParent_Done,
     /* 1637184 */   // Label 22521: @1637184
     /* 1637184 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1637270), // Rule ID 4431 //
     /* 1637189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637235 */     // MIs[0] policy
     /* 1637235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637269 */     // GIR_Coverage, 4431,
     /* 1637269 */     GIR_EraseRootFromParent_Done,
     /* 1637270 */   // Label 22522: @1637270
     /* 1637270 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1637356), // Rule ID 4432 //
     /* 1637275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637321 */     // MIs[0] policy
     /* 1637321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637355 */     // GIR_Coverage, 4432,
     /* 1637355 */     GIR_EraseRootFromParent_Done,
     /* 1637356 */   // Label 22523: @1637356
     /* 1637356 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1637442), // Rule ID 4441 //
     /* 1637361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637407 */     // MIs[0] policy
     /* 1637407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637441 */     // GIR_Coverage, 4441,
     /* 1637441 */     GIR_EraseRootFromParent_Done,
     /* 1637442 */   // Label 22524: @1637442
     /* 1637442 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1637528), // Rule ID 4442 //
     /* 1637447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637493 */     // MIs[0] policy
     /* 1637493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637527 */     // GIR_Coverage, 4442,
     /* 1637527 */     GIR_EraseRootFromParent_Done,
     /* 1637528 */   // Label 22525: @1637528
     /* 1637528 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1637614), // Rule ID 4451 //
     /* 1637533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1637553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637579 */     // MIs[0] policy
     /* 1637579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637613 */     // GIR_Coverage, 4451,
     /* 1637613 */     GIR_EraseRootFromParent_Done,
     /* 1637614 */   // Label 22526: @1637614
     /* 1637614 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1637700), // Rule ID 4452 //
     /* 1637619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1637639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637665 */     // MIs[0] policy
     /* 1637665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637675 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637699 */     // GIR_Coverage, 4452,
     /* 1637699 */     GIR_EraseRootFromParent_Done,
     /* 1637700 */   // Label 22527: @1637700
     /* 1637700 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1637786), // Rule ID 4461 //
     /* 1637705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637751 */     // MIs[0] policy
     /* 1637751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637761 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637785 */     // GIR_Coverage, 4461,
     /* 1637785 */     GIR_EraseRootFromParent_Done,
     /* 1637786 */   // Label 22528: @1637786
     /* 1637786 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1637872), // Rule ID 4462 //
     /* 1637791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637837 */     // MIs[0] policy
     /* 1637837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637871 */     // GIR_Coverage, 4462,
     /* 1637871 */     GIR_EraseRootFromParent_Done,
     /* 1637872 */   // Label 22529: @1637872
     /* 1637872 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1637958), // Rule ID 4471 //
     /* 1637877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637923 */     // MIs[0] policy
     /* 1637923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637957 */     // GIR_Coverage, 4471,
     /* 1637957 */     GIR_EraseRootFromParent_Done,
     /* 1637958 */   // Label 22530: @1637958
     /* 1637958 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1638044), // Rule ID 4472 //
     /* 1637963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638009 */     // MIs[0] policy
     /* 1638009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638019 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1638022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638043 */     // GIR_Coverage, 4472,
     /* 1638043 */     GIR_EraseRootFromParent_Done,
     /* 1638044 */   // Label 22531: @1638044
     /* 1638044 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1638130), // Rule ID 4481 //
     /* 1638049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638095 */     // MIs[0] policy
     /* 1638095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638105 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638129 */     // GIR_Coverage, 4481,
     /* 1638129 */     GIR_EraseRootFromParent_Done,
     /* 1638130 */   // Label 22532: @1638130
     /* 1638130 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1638216), // Rule ID 4482 //
     /* 1638135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638181 */     // MIs[0] policy
     /* 1638181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638215 */     // GIR_Coverage, 4482,
     /* 1638215 */     GIR_EraseRootFromParent_Done,
     /* 1638216 */   // Label 22533: @1638216
     /* 1638216 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1638302), // Rule ID 4491 //
     /* 1638221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638267 */     // MIs[0] policy
     /* 1638267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638301 */     // GIR_Coverage, 4491,
     /* 1638301 */     GIR_EraseRootFromParent_Done,
     /* 1638302 */   // Label 22534: @1638302
     /* 1638302 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1638388), // Rule ID 4492 //
     /* 1638307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638353 */     // MIs[0] policy
     /* 1638353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638363 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638387 */     // GIR_Coverage, 4492,
     /* 1638387 */     GIR_EraseRootFromParent_Done,
     /* 1638388 */   // Label 22535: @1638388
     /* 1638388 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1638474), // Rule ID 4501 //
     /* 1638393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638439 */     // MIs[0] policy
     /* 1638439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638449 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638473 */     // GIR_Coverage, 4501,
     /* 1638473 */     GIR_EraseRootFromParent_Done,
     /* 1638474 */   // Label 22536: @1638474
     /* 1638474 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1638560), // Rule ID 4502 //
     /* 1638479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638525 */     // MIs[0] policy
     /* 1638525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638535 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638559 */     // GIR_Coverage, 4502,
     /* 1638559 */     GIR_EraseRootFromParent_Done,
     /* 1638560 */   // Label 22537: @1638560
     /* 1638560 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1638646), // Rule ID 4505 //
     /* 1638565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638611 */     // MIs[0] policy
     /* 1638611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1638624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638645 */     // GIR_Coverage, 4505,
     /* 1638645 */     GIR_EraseRootFromParent_Done,
     /* 1638646 */   // Label 22538: @1638646
     /* 1638646 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1638732), // Rule ID 4506 //
     /* 1638651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638697 */     // MIs[0] policy
     /* 1638697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1638710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638731 */     // GIR_Coverage, 4506,
     /* 1638731 */     GIR_EraseRootFromParent_Done,
     /* 1638732 */   // Label 22539: @1638732
     /* 1638732 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1638818), // Rule ID 4509 //
     /* 1638737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638783 */     // MIs[0] policy
     /* 1638783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1638796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638817 */     // GIR_Coverage, 4509,
     /* 1638817 */     GIR_EraseRootFromParent_Done,
     /* 1638818 */   // Label 22540: @1638818
     /* 1638818 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1638904), // Rule ID 4510 //
     /* 1638823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638869 */     // MIs[0] policy
     /* 1638869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638879 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1638882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638903 */     // GIR_Coverage, 4510,
     /* 1638903 */     GIR_EraseRootFromParent_Done,
     /* 1638904 */   // Label 22541: @1638904
     /* 1638904 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1638990), // Rule ID 4513 //
     /* 1638909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638955 */     // MIs[0] policy
     /* 1638955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1638968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638989 */     // GIR_Coverage, 4513,
     /* 1638989 */     GIR_EraseRootFromParent_Done,
     /* 1638990 */   // Label 22542: @1638990
     /* 1638990 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1639076), // Rule ID 4514 //
     /* 1638995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639041 */     // MIs[0] policy
     /* 1639041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639075 */     // GIR_Coverage, 4514,
     /* 1639075 */     GIR_EraseRootFromParent_Done,
     /* 1639076 */   // Label 22543: @1639076
     /* 1639076 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1639162), // Rule ID 4517 //
     /* 1639081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639127 */     // MIs[0] policy
     /* 1639127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639161 */     // GIR_Coverage, 4517,
     /* 1639161 */     GIR_EraseRootFromParent_Done,
     /* 1639162 */   // Label 22544: @1639162
     /* 1639162 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1639248), // Rule ID 4518 //
     /* 1639167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639213 */     // MIs[0] policy
     /* 1639213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639223 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639247 */     // GIR_Coverage, 4518,
     /* 1639247 */     GIR_EraseRootFromParent_Done,
     /* 1639248 */   // Label 22545: @1639248
     /* 1639248 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1639334), // Rule ID 4521 //
     /* 1639253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639299 */     // MIs[0] policy
     /* 1639299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639333 */     // GIR_Coverage, 4521,
     /* 1639333 */     GIR_EraseRootFromParent_Done,
     /* 1639334 */   // Label 22546: @1639334
     /* 1639334 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1639420), // Rule ID 4522 //
     /* 1639339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639385 */     // MIs[0] policy
     /* 1639385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639419 */     // GIR_Coverage, 4522,
     /* 1639419 */     GIR_EraseRootFromParent_Done,
     /* 1639420 */   // Label 22547: @1639420
     /* 1639420 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1639506), // Rule ID 4525 //
     /* 1639425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639471 */     // MIs[0] policy
     /* 1639471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639481 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639505 */     // GIR_Coverage, 4525,
     /* 1639505 */     GIR_EraseRootFromParent_Done,
     /* 1639506 */   // Label 22548: @1639506
     /* 1639506 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1639592), // Rule ID 4526 //
     /* 1639511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639557 */     // MIs[0] policy
     /* 1639557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639567 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639591 */     // GIR_Coverage, 4526,
     /* 1639591 */     GIR_EraseRootFromParent_Done,
     /* 1639592 */   // Label 22549: @1639592
     /* 1639592 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1639678), // Rule ID 4529 //
     /* 1639597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639643 */     // MIs[0] policy
     /* 1639643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639677 */     // GIR_Coverage, 4529,
     /* 1639677 */     GIR_EraseRootFromParent_Done,
     /* 1639678 */   // Label 22550: @1639678
     /* 1639678 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1639764), // Rule ID 4530 //
     /* 1639683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639729 */     // MIs[0] policy
     /* 1639729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639763 */     // GIR_Coverage, 4530,
     /* 1639763 */     GIR_EraseRootFromParent_Done,
     /* 1639764 */   // Label 22551: @1639764
     /* 1639764 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1639850), // Rule ID 4533 //
     /* 1639769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639815 */     // MIs[0] policy
     /* 1639815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639849 */     // GIR_Coverage, 4533,
     /* 1639849 */     GIR_EraseRootFromParent_Done,
     /* 1639850 */   // Label 22552: @1639850
     /* 1639850 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1639936), // Rule ID 4534 //
     /* 1639855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639901 */     // MIs[0] policy
     /* 1639901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639935 */     // GIR_Coverage, 4534,
     /* 1639935 */     GIR_EraseRootFromParent_Done,
     /* 1639936 */   // Label 22553: @1639936
     /* 1639936 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1640022), // Rule ID 4537 //
     /* 1639941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639987 */     // MIs[0] policy
     /* 1639987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640021 */     // GIR_Coverage, 4537,
     /* 1640021 */     GIR_EraseRootFromParent_Done,
     /* 1640022 */   // Label 22554: @1640022
     /* 1640022 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1640108), // Rule ID 4538 //
     /* 1640027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1640038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1640041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1640044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640073 */     // MIs[0] policy
     /* 1640073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640107 */     // GIR_Coverage, 4538,
     /* 1640107 */     GIR_EraseRootFromParent_Done,
     /* 1640108 */   // Label 22555: @1640108
     /* 1640108 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1640194), // Rule ID 4541 //
     /* 1640113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640159 */     // MIs[0] policy
     /* 1640159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640193 */     // GIR_Coverage, 4541,
     /* 1640193 */     GIR_EraseRootFromParent_Done,
     /* 1640194 */   // Label 22556: @1640194
     /* 1640194 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1640280), // Rule ID 4542 //
     /* 1640199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640245 */     // MIs[0] policy
     /* 1640245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640255 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640279 */     // GIR_Coverage, 4542,
     /* 1640279 */     GIR_EraseRootFromParent_Done,
     /* 1640280 */   // Label 22557: @1640280
     /* 1640280 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1640366), // Rule ID 4545 //
     /* 1640285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640331 */     // MIs[0] policy
     /* 1640331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640341 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640365 */     // GIR_Coverage, 4545,
     /* 1640365 */     GIR_EraseRootFromParent_Done,
     /* 1640366 */   // Label 22558: @1640366
     /* 1640366 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1640452), // Rule ID 4546 //
     /* 1640371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640417 */     // MIs[0] policy
     /* 1640417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640427 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640451 */     // GIR_Coverage, 4546,
     /* 1640451 */     GIR_EraseRootFromParent_Done,
     /* 1640452 */   // Label 22559: @1640452
     /* 1640452 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1640538), // Rule ID 4549 //
     /* 1640457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640503 */     // MIs[0] policy
     /* 1640503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640513 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640537 */     // GIR_Coverage, 4549,
     /* 1640537 */     GIR_EraseRootFromParent_Done,
     /* 1640538 */   // Label 22560: @1640538
     /* 1640538 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1640624), // Rule ID 4550 //
     /* 1640543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640589 */     // MIs[0] policy
     /* 1640589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640623 */     // GIR_Coverage, 4550,
     /* 1640623 */     GIR_EraseRootFromParent_Done,
     /* 1640624 */   // Label 22561: @1640624
     /* 1640624 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1640710), // Rule ID 4553 //
     /* 1640629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640675 */     // MIs[0] policy
     /* 1640675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640709 */     // GIR_Coverage, 4553,
     /* 1640709 */     GIR_EraseRootFromParent_Done,
     /* 1640710 */   // Label 22562: @1640710
     /* 1640710 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1640796), // Rule ID 4554 //
     /* 1640715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640761 */     // MIs[0] policy
     /* 1640761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640795 */     // GIR_Coverage, 4554,
     /* 1640795 */     GIR_EraseRootFromParent_Done,
     /* 1640796 */   // Label 22563: @1640796
     /* 1640796 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1640882), // Rule ID 4557 //
     /* 1640801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640847 */     // MIs[0] policy
     /* 1640847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640881 */     // GIR_Coverage, 4557,
     /* 1640881 */     GIR_EraseRootFromParent_Done,
     /* 1640882 */   // Label 22564: @1640882
     /* 1640882 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1640968), // Rule ID 4558 //
     /* 1640887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640933 */     // MIs[0] policy
     /* 1640933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640967 */     // GIR_Coverage, 4558,
     /* 1640967 */     GIR_EraseRootFromParent_Done,
     /* 1640968 */   // Label 22565: @1640968
     /* 1640968 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1641054), // Rule ID 4561 //
     /* 1640973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641019 */     // MIs[0] policy
     /* 1641019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641053 */     // GIR_Coverage, 4561,
     /* 1641053 */     GIR_EraseRootFromParent_Done,
     /* 1641054 */   // Label 22566: @1641054
     /* 1641054 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1641140), // Rule ID 4562 //
     /* 1641059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641105 */     // MIs[0] policy
     /* 1641105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641139 */     // GIR_Coverage, 4562,
     /* 1641139 */     GIR_EraseRootFromParent_Done,
     /* 1641140 */   // Label 22567: @1641140
     /* 1641140 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1641226), // Rule ID 4571 //
     /* 1641145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641191 */     // MIs[0] policy
     /* 1641191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641225 */     // GIR_Coverage, 4571,
     /* 1641225 */     GIR_EraseRootFromParent_Done,
     /* 1641226 */   // Label 22568: @1641226
     /* 1641226 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1641312), // Rule ID 4572 //
     /* 1641231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641277 */     // MIs[0] policy
     /* 1641277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641311 */     // GIR_Coverage, 4572,
     /* 1641311 */     GIR_EraseRootFromParent_Done,
     /* 1641312 */   // Label 22569: @1641312
     /* 1641312 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1641398), // Rule ID 4581 //
     /* 1641317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641363 */     // MIs[0] policy
     /* 1641363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641373 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641397 */     // GIR_Coverage, 4581,
     /* 1641397 */     GIR_EraseRootFromParent_Done,
     /* 1641398 */   // Label 22570: @1641398
     /* 1641398 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1641484), // Rule ID 4582 //
     /* 1641403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641449 */     // MIs[0] policy
     /* 1641449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641483 */     // GIR_Coverage, 4582,
     /* 1641483 */     GIR_EraseRootFromParent_Done,
     /* 1641484 */   // Label 22571: @1641484
     /* 1641484 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1641570), // Rule ID 4591 //
     /* 1641489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641535 */     // MIs[0] policy
     /* 1641535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641569 */     // GIR_Coverage, 4591,
     /* 1641569 */     GIR_EraseRootFromParent_Done,
     /* 1641570 */   // Label 22572: @1641570
     /* 1641570 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1641656), // Rule ID 4592 //
     /* 1641575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641621 */     // MIs[0] policy
     /* 1641621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641631 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641655 */     // GIR_Coverage, 4592,
     /* 1641655 */     GIR_EraseRootFromParent_Done,
     /* 1641656 */   // Label 22573: @1641656
     /* 1641656 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1641742), // Rule ID 4601 //
     /* 1641661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641707 */     // MIs[0] policy
     /* 1641707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1641720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641741 */     // GIR_Coverage, 4601,
     /* 1641741 */     GIR_EraseRootFromParent_Done,
     /* 1641742 */   // Label 22574: @1641742
     /* 1641742 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1641828), // Rule ID 4602 //
     /* 1641747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641793 */     // MIs[0] policy
     /* 1641793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1641806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641827 */     // GIR_Coverage, 4602,
     /* 1641827 */     GIR_EraseRootFromParent_Done,
     /* 1641828 */   // Label 22575: @1641828
     /* 1641828 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1641914), // Rule ID 4611 //
     /* 1641833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1641853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641879 */     // MIs[0] policy
     /* 1641879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1641892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641913 */     // GIR_Coverage, 4611,
     /* 1641913 */     GIR_EraseRootFromParent_Done,
     /* 1641914 */   // Label 22576: @1641914
     /* 1641914 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1642000), // Rule ID 4612 //
     /* 1641919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1641939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641965 */     // MIs[0] policy
     /* 1641965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641975 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1641978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641999 */     // GIR_Coverage, 4612,
     /* 1641999 */     GIR_EraseRootFromParent_Done,
     /* 1642000 */   // Label 22577: @1642000
     /* 1642000 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1642086), // Rule ID 4621 //
     /* 1642005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642051 */     // MIs[0] policy
     /* 1642051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642085 */     // GIR_Coverage, 4621,
     /* 1642085 */     GIR_EraseRootFromParent_Done,
     /* 1642086 */   // Label 22578: @1642086
     /* 1642086 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1642172), // Rule ID 4622 //
     /* 1642091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642137 */     // MIs[0] policy
     /* 1642137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642171 */     // GIR_Coverage, 4622,
     /* 1642171 */     GIR_EraseRootFromParent_Done,
     /* 1642172 */   // Label 22579: @1642172
     /* 1642172 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1642258), // Rule ID 4631 //
     /* 1642177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642223 */     // MIs[0] policy
     /* 1642223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642257 */     // GIR_Coverage, 4631,
     /* 1642257 */     GIR_EraseRootFromParent_Done,
     /* 1642258 */   // Label 22580: @1642258
     /* 1642258 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1642344), // Rule ID 4632 //
     /* 1642263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642309 */     // MIs[0] policy
     /* 1642309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642343 */     // GIR_Coverage, 4632,
     /* 1642343 */     GIR_EraseRootFromParent_Done,
     /* 1642344 */   // Label 22581: @1642344
     /* 1642344 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1642430), // Rule ID 4641 //
     /* 1642349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642395 */     // MIs[0] policy
     /* 1642395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642429 */     // GIR_Coverage, 4641,
     /* 1642429 */     GIR_EraseRootFromParent_Done,
     /* 1642430 */   // Label 22582: @1642430
     /* 1642430 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1642516), // Rule ID 4642 //
     /* 1642435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642481 */     // MIs[0] policy
     /* 1642481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642515 */     // GIR_Coverage, 4642,
     /* 1642515 */     GIR_EraseRootFromParent_Done,
     /* 1642516 */   // Label 22583: @1642516
     /* 1642516 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1642602), // Rule ID 4651 //
     /* 1642521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1642541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642567 */     // MIs[0] policy
     /* 1642567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642601 */     // GIR_Coverage, 4651,
     /* 1642601 */     GIR_EraseRootFromParent_Done,
     /* 1642602 */   // Label 22584: @1642602
     /* 1642602 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1642688), // Rule ID 4652 //
     /* 1642607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1642627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642653 */     // MIs[0] policy
     /* 1642653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642687 */     // GIR_Coverage, 4652,
     /* 1642687 */     GIR_EraseRootFromParent_Done,
     /* 1642688 */   // Label 22585: @1642688
     /* 1642688 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1642774), // Rule ID 4661 //
     /* 1642693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642739 */     // MIs[0] policy
     /* 1642739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642773 */     // GIR_Coverage, 4661,
     /* 1642773 */     GIR_EraseRootFromParent_Done,
     /* 1642774 */   // Label 22586: @1642774
     /* 1642774 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1642860), // Rule ID 4662 //
     /* 1642779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642825 */     // MIs[0] policy
     /* 1642825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642859 */     // GIR_Coverage, 4662,
     /* 1642859 */     GIR_EraseRootFromParent_Done,
     /* 1642860 */   // Label 22587: @1642860
     /* 1642860 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1642946), // Rule ID 4671 //
     /* 1642865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642911 */     // MIs[0] policy
     /* 1642911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642921 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642945 */     // GIR_Coverage, 4671,
     /* 1642945 */     GIR_EraseRootFromParent_Done,
     /* 1642946 */   // Label 22588: @1642946
     /* 1642946 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1643032), // Rule ID 4672 //
     /* 1642951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642997 */     // MIs[0] policy
     /* 1642997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643007 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643031 */     // GIR_Coverage, 4672,
     /* 1643031 */     GIR_EraseRootFromParent_Done,
     /* 1643032 */   // Label 22589: @1643032
     /* 1643032 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1643118), // Rule ID 4681 //
     /* 1643037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1643048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1643051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643083 */     // MIs[0] policy
     /* 1643083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643117 */     // GIR_Coverage, 4681,
     /* 1643117 */     GIR_EraseRootFromParent_Done,
     /* 1643118 */   // Label 22590: @1643118
     /* 1643118 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1643204), // Rule ID 4682 //
     /* 1643123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1643134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1643137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643169 */     // MIs[0] policy
     /* 1643169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643179 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643203 */     // GIR_Coverage, 4682,
     /* 1643203 */     GIR_EraseRootFromParent_Done,
     /* 1643204 */   // Label 22591: @1643204
     /* 1643204 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1643290), // Rule ID 4691 //
     /* 1643209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643255 */     // MIs[0] policy
     /* 1643255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643289 */     // GIR_Coverage, 4691,
     /* 1643289 */     GIR_EraseRootFromParent_Done,
     /* 1643290 */   // Label 22592: @1643290
     /* 1643290 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1643376), // Rule ID 4692 //
     /* 1643295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643341 */     // MIs[0] policy
     /* 1643341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643351 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643375 */     // GIR_Coverage, 4692,
     /* 1643375 */     GIR_EraseRootFromParent_Done,
     /* 1643376 */   // Label 22593: @1643376
     /* 1643376 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1643462), // Rule ID 4701 //
     /* 1643381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643427 */     // MIs[0] policy
     /* 1643427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643461 */     // GIR_Coverage, 4701,
     /* 1643461 */     GIR_EraseRootFromParent_Done,
     /* 1643462 */   // Label 22594: @1643462
     /* 1643462 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1643548), // Rule ID 4702 //
     /* 1643467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643513 */     // MIs[0] policy
     /* 1643513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643547 */     // GIR_Coverage, 4702,
     /* 1643547 */     GIR_EraseRootFromParent_Done,
     /* 1643548 */   // Label 22595: @1643548
     /* 1643548 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1643634), // Rule ID 4711 //
     /* 1643553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643599 */     // MIs[0] policy
     /* 1643599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643633 */     // GIR_Coverage, 4711,
     /* 1643633 */     GIR_EraseRootFromParent_Done,
     /* 1643634 */   // Label 22596: @1643634
     /* 1643634 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1643720), // Rule ID 4712 //
     /* 1643639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643685 */     // MIs[0] policy
     /* 1643685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643695 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643719 */     // GIR_Coverage, 4712,
     /* 1643719 */     GIR_EraseRootFromParent_Done,
     /* 1643720 */   // Label 22597: @1643720
     /* 1643720 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1643806), // Rule ID 4715 //
     /* 1643725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643771 */     // MIs[0] policy
     /* 1643771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1643784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643805 */     // GIR_Coverage, 4715,
     /* 1643805 */     GIR_EraseRootFromParent_Done,
     /* 1643806 */   // Label 22598: @1643806
     /* 1643806 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1643892), // Rule ID 4716 //
     /* 1643811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643857 */     // MIs[0] policy
     /* 1643857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643867 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1643870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643891 */     // GIR_Coverage, 4716,
     /* 1643891 */     GIR_EraseRootFromParent_Done,
     /* 1643892 */   // Label 22599: @1643892
     /* 1643892 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1643978), // Rule ID 4719 //
     /* 1643897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643943 */     // MIs[0] policy
     /* 1643943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643953 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1643956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643977 */     // GIR_Coverage, 4719,
     /* 1643977 */     GIR_EraseRootFromParent_Done,
     /* 1643978 */   // Label 22600: @1643978
     /* 1643978 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1644064), // Rule ID 4720 //
     /* 1643983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644029 */     // MIs[0] policy
     /* 1644029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644039 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644063 */     // GIR_Coverage, 4720,
     /* 1644063 */     GIR_EraseRootFromParent_Done,
     /* 1644064 */   // Label 22601: @1644064
     /* 1644064 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1644150), // Rule ID 4723 //
     /* 1644069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644115 */     // MIs[0] policy
     /* 1644115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644149 */     // GIR_Coverage, 4723,
     /* 1644149 */     GIR_EraseRootFromParent_Done,
     /* 1644150 */   // Label 22602: @1644150
     /* 1644150 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1644236), // Rule ID 4724 //
     /* 1644155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644201 */     // MIs[0] policy
     /* 1644201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644235 */     // GIR_Coverage, 4724,
     /* 1644235 */     GIR_EraseRootFromParent_Done,
     /* 1644236 */   // Label 22603: @1644236
     /* 1644236 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1644322), // Rule ID 4727 //
     /* 1644241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644287 */     // MIs[0] policy
     /* 1644287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644321 */     // GIR_Coverage, 4727,
     /* 1644321 */     GIR_EraseRootFromParent_Done,
     /* 1644322 */   // Label 22604: @1644322
     /* 1644322 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1644408), // Rule ID 4728 //
     /* 1644327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644373 */     // MIs[0] policy
     /* 1644373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644407 */     // GIR_Coverage, 4728,
     /* 1644407 */     GIR_EraseRootFromParent_Done,
     /* 1644408 */   // Label 22605: @1644408
     /* 1644408 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1644494), // Rule ID 4731 //
     /* 1644413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644459 */     // MIs[0] policy
     /* 1644459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644469 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644493 */     // GIR_Coverage, 4731,
     /* 1644493 */     GIR_EraseRootFromParent_Done,
     /* 1644494 */   // Label 22606: @1644494
     /* 1644494 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1644580), // Rule ID 4732 //
     /* 1644499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644545 */     // MIs[0] policy
     /* 1644545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644579 */     // GIR_Coverage, 4732,
     /* 1644579 */     GIR_EraseRootFromParent_Done,
     /* 1644580 */   // Label 22607: @1644580
     /* 1644580 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1644666), // Rule ID 4735 //
     /* 1644585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644631 */     // MIs[0] policy
     /* 1644631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644641 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1644644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644665 */     // GIR_Coverage, 4735,
     /* 1644665 */     GIR_EraseRootFromParent_Done,
     /* 1644666 */   // Label 22608: @1644666
     /* 1644666 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1644752), // Rule ID 4736 //
     /* 1644671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644717 */     // MIs[0] policy
     /* 1644717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1644730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644751 */     // GIR_Coverage, 4736,
     /* 1644751 */     GIR_EraseRootFromParent_Done,
     /* 1644752 */   // Label 22609: @1644752
     /* 1644752 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1644838), // Rule ID 4739 //
     /* 1644757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644803 */     // MIs[0] policy
     /* 1644803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644837 */     // GIR_Coverage, 4739,
     /* 1644837 */     GIR_EraseRootFromParent_Done,
     /* 1644838 */   // Label 22610: @1644838
     /* 1644838 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1644924), // Rule ID 4740 //
     /* 1644843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644889 */     // MIs[0] policy
     /* 1644889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644923 */     // GIR_Coverage, 4740,
     /* 1644923 */     GIR_EraseRootFromParent_Done,
     /* 1644924 */   // Label 22611: @1644924
     /* 1644924 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1645010), // Rule ID 4743 //
     /* 1644929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644975 */     // MIs[0] policy
     /* 1644975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645009 */     // GIR_Coverage, 4743,
     /* 1645009 */     GIR_EraseRootFromParent_Done,
     /* 1645010 */   // Label 22612: @1645010
     /* 1645010 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1645096), // Rule ID 4744 //
     /* 1645015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645061 */     // MIs[0] policy
     /* 1645061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645095 */     // GIR_Coverage, 4744,
     /* 1645095 */     GIR_EraseRootFromParent_Done,
     /* 1645096 */   // Label 22613: @1645096
     /* 1645096 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1645182), // Rule ID 4747 //
     /* 1645101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645147 */     // MIs[0] policy
     /* 1645147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645181 */     // GIR_Coverage, 4747,
     /* 1645181 */     GIR_EraseRootFromParent_Done,
     /* 1645182 */   // Label 22614: @1645182
     /* 1645182 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1645268), // Rule ID 4748 //
     /* 1645187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645233 */     // MIs[0] policy
     /* 1645233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645267 */     // GIR_Coverage, 4748,
     /* 1645267 */     GIR_EraseRootFromParent_Done,
     /* 1645268 */   // Label 22615: @1645268
     /* 1645268 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1645354), // Rule ID 4751 //
     /* 1645273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645319 */     // MIs[0] policy
     /* 1645319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645329 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645353 */     // GIR_Coverage, 4751,
     /* 1645353 */     GIR_EraseRootFromParent_Done,
     /* 1645354 */   // Label 22616: @1645354
     /* 1645354 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1645440), // Rule ID 4752 //
     /* 1645359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645405 */     // MIs[0] policy
     /* 1645405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645415 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645439 */     // GIR_Coverage, 4752,
     /* 1645439 */     GIR_EraseRootFromParent_Done,
     /* 1645440 */   // Label 22617: @1645440
     /* 1645440 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1645526), // Rule ID 4755 //
     /* 1645445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645491 */     // MIs[0] policy
     /* 1645491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645525 */     // GIR_Coverage, 4755,
     /* 1645525 */     GIR_EraseRootFromParent_Done,
     /* 1645526 */   // Label 22618: @1645526
     /* 1645526 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1645612), // Rule ID 4756 //
     /* 1645531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645577 */     // MIs[0] policy
     /* 1645577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645611 */     // GIR_Coverage, 4756,
     /* 1645611 */     GIR_EraseRootFromParent_Done,
     /* 1645612 */   // Label 22619: @1645612
     /* 1645612 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1645698), // Rule ID 4759 //
     /* 1645617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645663 */     // MIs[0] policy
     /* 1645663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645697 */     // GIR_Coverage, 4759,
     /* 1645697 */     GIR_EraseRootFromParent_Done,
     /* 1645698 */   // Label 22620: @1645698
     /* 1645698 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1645784), // Rule ID 4760 //
     /* 1645703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645749 */     // MIs[0] policy
     /* 1645749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645759 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645783 */     // GIR_Coverage, 4760,
     /* 1645783 */     GIR_EraseRootFromParent_Done,
     /* 1645784 */   // Label 22621: @1645784
     /* 1645784 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1645870), // Rule ID 4763 //
     /* 1645789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645835 */     // MIs[0] policy
     /* 1645835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645869 */     // GIR_Coverage, 4763,
     /* 1645869 */     GIR_EraseRootFromParent_Done,
     /* 1645870 */   // Label 22622: @1645870
     /* 1645870 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1645956), // Rule ID 4764 //
     /* 1645875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645921 */     // MIs[0] policy
     /* 1645921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645955 */     // GIR_Coverage, 4764,
     /* 1645955 */     GIR_EraseRootFromParent_Done,
     /* 1645956 */   // Label 22623: @1645956
     /* 1645956 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1646042), // Rule ID 4767 //
     /* 1645961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1645972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1645975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1645978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646007 */     // MIs[0] policy
     /* 1646007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1646020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646041 */     // GIR_Coverage, 4767,
     /* 1646041 */     GIR_EraseRootFromParent_Done,
     /* 1646042 */   // Label 22624: @1646042
     /* 1646042 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1646128), // Rule ID 4768 //
     /* 1646047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646093 */     // MIs[0] policy
     /* 1646093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1646106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646127 */     // GIR_Coverage, 4768,
     /* 1646127 */     GIR_EraseRootFromParent_Done,
     /* 1646128 */   // Label 22625: @1646128
     /* 1646128 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1646214), // Rule ID 4771 //
     /* 1646133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646179 */     // MIs[0] policy
     /* 1646179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646189 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646213 */     // GIR_Coverage, 4771,
     /* 1646213 */     GIR_EraseRootFromParent_Done,
     /* 1646214 */   // Label 22626: @1646214
     /* 1646214 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1646300), // Rule ID 4772 //
     /* 1646219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646265 */     // MIs[0] policy
     /* 1646265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646299 */     // GIR_Coverage, 4772,
     /* 1646299 */     GIR_EraseRootFromParent_Done,
     /* 1646300 */   // Label 22627: @1646300
     /* 1646300 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1646386), // Rule ID 5649 //
     /* 1646305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646351 */     // MIs[0] policy
     /* 1646351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646361 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646385 */     // GIR_Coverage, 5649,
     /* 1646385 */     GIR_EraseRootFromParent_Done,
     /* 1646386 */   // Label 22628: @1646386
     /* 1646386 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1646472), // Rule ID 5650 //
     /* 1646391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646437 */     // MIs[0] policy
     /* 1646437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646471 */     // GIR_Coverage, 5650,
     /* 1646471 */     GIR_EraseRootFromParent_Done,
     /* 1646472 */   // Label 22629: @1646472
     /* 1646472 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1646558), // Rule ID 5653 //
     /* 1646477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646523 */     // MIs[0] policy
     /* 1646523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646557 */     // GIR_Coverage, 5653,
     /* 1646557 */     GIR_EraseRootFromParent_Done,
     /* 1646558 */   // Label 22630: @1646558
     /* 1646558 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1646644), // Rule ID 5654 //
     /* 1646563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646609 */     // MIs[0] policy
     /* 1646609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646619 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646643 */     // GIR_Coverage, 5654,
     /* 1646643 */     GIR_EraseRootFromParent_Done,
     /* 1646644 */   // Label 22631: @1646644
     /* 1646644 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1646730), // Rule ID 5657 //
     /* 1646649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1646660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1646663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1646666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1646669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646695 */     // MIs[0] policy
     /* 1646695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646705 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1646708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646729 */     // GIR_Coverage, 5657,
     /* 1646729 */     GIR_EraseRootFromParent_Done,
     /* 1646730 */   // Label 22632: @1646730
     /* 1646730 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1646816), // Rule ID 5658 //
     /* 1646735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1646746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1646749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1646752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1646755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646781 */     // MIs[0] policy
     /* 1646781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646791 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1646794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646815 */     // GIR_Coverage, 5658,
     /* 1646815 */     GIR_EraseRootFromParent_Done,
     /* 1646816 */   // Label 22633: @1646816
     /* 1646816 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1646902), // Rule ID 5661 //
     /* 1646821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1646832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1646835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1646838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1646841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646867 */     // MIs[0] policy
     /* 1646867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646877 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646901 */     // GIR_Coverage, 5661,
     /* 1646901 */     GIR_EraseRootFromParent_Done,
     /* 1646902 */   // Label 22634: @1646902
     /* 1646902 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1646988), // Rule ID 5662 //
     /* 1646907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1646918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1646921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1646924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1646927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646953 */     // MIs[0] policy
     /* 1646953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646987 */     // GIR_Coverage, 5662,
     /* 1646987 */     GIR_EraseRootFromParent_Done,
     /* 1646988 */   // Label 22635: @1646988
     /* 1646988 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1647074), // Rule ID 5665 //
     /* 1646993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1647013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647039 */     // MIs[0] policy
     /* 1647039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647073 */     // GIR_Coverage, 5665,
     /* 1647073 */     GIR_EraseRootFromParent_Done,
     /* 1647074 */   // Label 22636: @1647074
     /* 1647074 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1647160), // Rule ID 5666 //
     /* 1647079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1647099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647125 */     // MIs[0] policy
     /* 1647125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647135 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647159 */     // GIR_Coverage, 5666,
     /* 1647159 */     GIR_EraseRootFromParent_Done,
     /* 1647160 */   // Label 22637: @1647160
     /* 1647160 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1647246), // Rule ID 5669 //
     /* 1647165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647211 */     // MIs[0] policy
     /* 1647211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647245 */     // GIR_Coverage, 5669,
     /* 1647245 */     GIR_EraseRootFromParent_Done,
     /* 1647246 */   // Label 22638: @1647246
     /* 1647246 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1647332), // Rule ID 5670 //
     /* 1647251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647297 */     // MIs[0] policy
     /* 1647297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647331 */     // GIR_Coverage, 5670,
     /* 1647331 */     GIR_EraseRootFromParent_Done,
     /* 1647332 */   // Label 22639: @1647332
     /* 1647332 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1647418), // Rule ID 5673 //
     /* 1647337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647383 */     // MIs[0] policy
     /* 1647383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647417 */     // GIR_Coverage, 5673,
     /* 1647417 */     GIR_EraseRootFromParent_Done,
     /* 1647418 */   // Label 22640: @1647418
     /* 1647418 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1647504), // Rule ID 5674 //
     /* 1647423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647469 */     // MIs[0] policy
     /* 1647469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647503 */     // GIR_Coverage, 5674,
     /* 1647503 */     GIR_EraseRootFromParent_Done,
     /* 1647504 */   // Label 22641: @1647504
     /* 1647504 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1647590), // Rule ID 5677 //
     /* 1647509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647555 */     // MIs[0] policy
     /* 1647555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647589 */     // GIR_Coverage, 5677,
     /* 1647589 */     GIR_EraseRootFromParent_Done,
     /* 1647590 */   // Label 22642: @1647590
     /* 1647590 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1647676), // Rule ID 5678 //
     /* 1647595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647641 */     // MIs[0] policy
     /* 1647641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647675 */     // GIR_Coverage, 5678,
     /* 1647675 */     GIR_EraseRootFromParent_Done,
     /* 1647676 */   // Label 22643: @1647676
     /* 1647676 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1647762), // Rule ID 5681 //
     /* 1647681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1647692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1647695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1647698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1647701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647727 */     // MIs[0] policy
     /* 1647727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647761 */     // GIR_Coverage, 5681,
     /* 1647761 */     GIR_EraseRootFromParent_Done,
     /* 1647762 */   // Label 22644: @1647762
     /* 1647762 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1647848), // Rule ID 5682 //
     /* 1647767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1647778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1647781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1647784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1647787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647813 */     // MIs[0] policy
     /* 1647813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647847 */     // GIR_Coverage, 5682,
     /* 1647847 */     GIR_EraseRootFromParent_Done,
     /* 1647848 */   // Label 22645: @1647848
     /* 1647848 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1647934), // Rule ID 5685 //
     /* 1647853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1647856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1647873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647899 */     // MIs[0] policy
     /* 1647899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647933 */     // GIR_Coverage, 5685,
     /* 1647933 */     GIR_EraseRootFromParent_Done,
     /* 1647934 */   // Label 22646: @1647934
     /* 1647934 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1648020), // Rule ID 5686 //
     /* 1647939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1647942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1647959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647985 */     // MIs[0] policy
     /* 1647985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647995 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648019 */     // GIR_Coverage, 5686,
     /* 1648019 */     GIR_EraseRootFromParent_Done,
     /* 1648020 */   // Label 22647: @1648020
     /* 1648020 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1648106), // Rule ID 5689 //
     /* 1648025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1648036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1648039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1648042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648071 */     // MIs[0] policy
     /* 1648071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648081 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648105 */     // GIR_Coverage, 5689,
     /* 1648105 */     GIR_EraseRootFromParent_Done,
     /* 1648106 */   // Label 22648: @1648106
     /* 1648106 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1648192), // Rule ID 5690 //
     /* 1648111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1648122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1648125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1648128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648157 */     // MIs[0] policy
     /* 1648157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648191 */     // GIR_Coverage, 5690,
     /* 1648191 */     GIR_EraseRootFromParent_Done,
     /* 1648192 */   // Label 22649: @1648192
     /* 1648192 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1648278), // Rule ID 5693 //
     /* 1648197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648243 */     // MIs[0] policy
     /* 1648243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648277 */     // GIR_Coverage, 5693,
     /* 1648277 */     GIR_EraseRootFromParent_Done,
     /* 1648278 */   // Label 22650: @1648278
     /* 1648278 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1648364), // Rule ID 5694 //
     /* 1648283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648329 */     // MIs[0] policy
     /* 1648329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648363 */     // GIR_Coverage, 5694,
     /* 1648363 */     GIR_EraseRootFromParent_Done,
     /* 1648364 */   // Label 22651: @1648364
     /* 1648364 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1648450), // Rule ID 5697 //
     /* 1648369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648415 */     // MIs[0] policy
     /* 1648415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648425 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648449 */     // GIR_Coverage, 5697,
     /* 1648449 */     GIR_EraseRootFromParent_Done,
     /* 1648450 */   // Label 22652: @1648450
     /* 1648450 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1648536), // Rule ID 5698 //
     /* 1648455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648501 */     // MIs[0] policy
     /* 1648501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648511 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648535 */     // GIR_Coverage, 5698,
     /* 1648535 */     GIR_EraseRootFromParent_Done,
     /* 1648536 */   // Label 22653: @1648536
     /* 1648536 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1648622), // Rule ID 5701 //
     /* 1648541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648587 */     // MIs[0] policy
     /* 1648587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648621 */     // GIR_Coverage, 5701,
     /* 1648621 */     GIR_EraseRootFromParent_Done,
     /* 1648622 */   // Label 22654: @1648622
     /* 1648622 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1648708), // Rule ID 5702 //
     /* 1648627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648673 */     // MIs[0] policy
     /* 1648673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648707 */     // GIR_Coverage, 5702,
     /* 1648707 */     GIR_EraseRootFromParent_Done,
     /* 1648708 */   // Label 22655: @1648708
     /* 1648708 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1648794), // Rule ID 5705 //
     /* 1648713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1648733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648759 */     // MIs[0] policy
     /* 1648759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648793 */     // GIR_Coverage, 5705,
     /* 1648793 */     GIR_EraseRootFromParent_Done,
     /* 1648794 */   // Label 22656: @1648794
     /* 1648794 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1648880), // Rule ID 5706 //
     /* 1648799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1648819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648845 */     // MIs[0] policy
     /* 1648845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648855 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648879 */     // GIR_Coverage, 5706,
     /* 1648879 */     GIR_EraseRootFromParent_Done,
     /* 1648880 */   // Label 22657: @1648880
     /* 1648880 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1648966), // Rule ID 5709 //
     /* 1648885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1648905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648931 */     // MIs[0] policy
     /* 1648931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648965 */     // GIR_Coverage, 5709,
     /* 1648965 */     GIR_EraseRootFromParent_Done,
     /* 1648966 */   // Label 22658: @1648966
     /* 1648966 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1649052), // Rule ID 5710 //
     /* 1648971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1648991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649017 */     // MIs[0] policy
     /* 1649017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649051 */     // GIR_Coverage, 5710,
     /* 1649051 */     GIR_EraseRootFromParent_Done,
     /* 1649052 */   // Label 22659: @1649052
     /* 1649052 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1649138), // Rule ID 5713 //
     /* 1649057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649103 */     // MIs[0] policy
     /* 1649103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649137 */     // GIR_Coverage, 5713,
     /* 1649137 */     GIR_EraseRootFromParent_Done,
     /* 1649138 */   // Label 22660: @1649138
     /* 1649138 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1649224), // Rule ID 5714 //
     /* 1649143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649189 */     // MIs[0] policy
     /* 1649189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649223 */     // GIR_Coverage, 5714,
     /* 1649223 */     GIR_EraseRootFromParent_Done,
     /* 1649224 */   // Label 22661: @1649224
     /* 1649224 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1649310), // Rule ID 5717 //
     /* 1649229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649275 */     // MIs[0] policy
     /* 1649275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649309 */     // GIR_Coverage, 5717,
     /* 1649309 */     GIR_EraseRootFromParent_Done,
     /* 1649310 */   // Label 22662: @1649310
     /* 1649310 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1649396), // Rule ID 5718 //
     /* 1649315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649361 */     // MIs[0] policy
     /* 1649361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649395 */     // GIR_Coverage, 5718,
     /* 1649395 */     GIR_EraseRootFromParent_Done,
     /* 1649396 */   // Label 22663: @1649396
     /* 1649396 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1649482), // Rule ID 5721 //
     /* 1649401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649447 */     // MIs[0] policy
     /* 1649447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649457 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649481 */     // GIR_Coverage, 5721,
     /* 1649481 */     GIR_EraseRootFromParent_Done,
     /* 1649482 */   // Label 22664: @1649482
     /* 1649482 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1649568), // Rule ID 5722 //
     /* 1649487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649533 */     // MIs[0] policy
     /* 1649533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649543 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649567 */     // GIR_Coverage, 5722,
     /* 1649567 */     GIR_EraseRootFromParent_Done,
     /* 1649568 */   // Label 22665: @1649568
     /* 1649568 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1649654), // Rule ID 5725 //
     /* 1649573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1649593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649619 */     // MIs[0] policy
     /* 1649619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649653 */     // GIR_Coverage, 5725,
     /* 1649653 */     GIR_EraseRootFromParent_Done,
     /* 1649654 */   // Label 22666: @1649654
     /* 1649654 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1649740), // Rule ID 5726 //
     /* 1649659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1649662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1649679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649705 */     // MIs[0] policy
     /* 1649705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649715 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649739 */     // GIR_Coverage, 5726,
     /* 1649739 */     GIR_EraseRootFromParent_Done,
     /* 1649740 */   // Label 22667: @1649740
     /* 1649740 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1649826), // Rule ID 5729 //
     /* 1649745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1649765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649791 */     // MIs[0] policy
     /* 1649791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649801 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649825 */     // GIR_Coverage, 5729,
     /* 1649825 */     GIR_EraseRootFromParent_Done,
     /* 1649826 */   // Label 22668: @1649826
     /* 1649826 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1649912), // Rule ID 5730 //
     /* 1649831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1649834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1649851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649877 */     // MIs[0] policy
     /* 1649877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649887 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649911 */     // GIR_Coverage, 5730,
     /* 1649911 */     GIR_EraseRootFromParent_Done,
     /* 1649912 */   // Label 22669: @1649912
     /* 1649912 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1649998), // Rule ID 5733 //
     /* 1649917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1649928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1649931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1649934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1649937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649963 */     // MIs[0] policy
     /* 1649963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649973 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649997 */     // GIR_Coverage, 5733,
     /* 1649997 */     GIR_EraseRootFromParent_Done,
     /* 1649998 */   // Label 22670: @1649998
     /* 1649998 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1650084), // Rule ID 5734 //
     /* 1650003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1650023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650049 */     // MIs[0] policy
     /* 1650049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650059 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1650062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650083 */     // GIR_Coverage, 5734,
     /* 1650083 */     GIR_EraseRootFromParent_Done,
     /* 1650084 */   // Label 22671: @1650084
     /* 1650084 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1650170), // Rule ID 5737 //
     /* 1650089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650135 */     // MIs[0] policy
     /* 1650135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650145 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650169 */     // GIR_Coverage, 5737,
     /* 1650169 */     GIR_EraseRootFromParent_Done,
     /* 1650170 */   // Label 22672: @1650170
     /* 1650170 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1650256), // Rule ID 5738 //
     /* 1650175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650221 */     // MIs[0] policy
     /* 1650221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650231 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650255 */     // GIR_Coverage, 5738,
     /* 1650255 */     GIR_EraseRootFromParent_Done,
     /* 1650256 */   // Label 22673: @1650256
     /* 1650256 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1650342), // Rule ID 5741 //
     /* 1650261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650307 */     // MIs[0] policy
     /* 1650307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650341 */     // GIR_Coverage, 5741,
     /* 1650341 */     GIR_EraseRootFromParent_Done,
     /* 1650342 */   // Label 22674: @1650342
     /* 1650342 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1650428), // Rule ID 5742 //
     /* 1650347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650393 */     // MIs[0] policy
     /* 1650393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650403 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650427 */     // GIR_Coverage, 5742,
     /* 1650427 */     GIR_EraseRootFromParent_Done,
     /* 1650428 */   // Label 22675: @1650428
     /* 1650428 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1650514), // Rule ID 5745 //
     /* 1650433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650479 */     // MIs[0] policy
     /* 1650479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650489 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650513 */     // GIR_Coverage, 5745,
     /* 1650513 */     GIR_EraseRootFromParent_Done,
     /* 1650514 */   // Label 22676: @1650514
     /* 1650514 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1650600), // Rule ID 5746 //
     /* 1650519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650565 */     // MIs[0] policy
     /* 1650565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650599 */     // GIR_Coverage, 5746,
     /* 1650599 */     GIR_EraseRootFromParent_Done,
     /* 1650600 */   // Label 22677: @1650600
     /* 1650600 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1650686), // Rule ID 5749 //
     /* 1650605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650651 */     // MIs[0] policy
     /* 1650651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650685 */     // GIR_Coverage, 5749,
     /* 1650685 */     GIR_EraseRootFromParent_Done,
     /* 1650686 */   // Label 22678: @1650686
     /* 1650686 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1650772), // Rule ID 5750 //
     /* 1650691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650737 */     // MIs[0] policy
     /* 1650737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650771 */     // GIR_Coverage, 5750,
     /* 1650771 */     GIR_EraseRootFromParent_Done,
     /* 1650772 */   // Label 22679: @1650772
     /* 1650772 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1650858), // Rule ID 5753 //
     /* 1650777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650823 */     // MIs[0] policy
     /* 1650823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650857 */     // GIR_Coverage, 5753,
     /* 1650857 */     GIR_EraseRootFromParent_Done,
     /* 1650858 */   // Label 22680: @1650858
     /* 1650858 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1650944), // Rule ID 5754 //
     /* 1650863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650909 */     // MIs[0] policy
     /* 1650909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650919 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650943 */     // GIR_Coverage, 5754,
     /* 1650943 */     GIR_EraseRootFromParent_Done,
     /* 1650944 */   // Label 22681: @1650944
     /* 1650944 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1651030), // Rule ID 5757 //
     /* 1650949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1650960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1650963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1650966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650995 */     // MIs[0] policy
     /* 1650995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651005 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651029 */     // GIR_Coverage, 5757,
     /* 1651029 */     GIR_EraseRootFromParent_Done,
     /* 1651030 */   // Label 22682: @1651030
     /* 1651030 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1651116), // Rule ID 5758 //
     /* 1651035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651081 */     // MIs[0] policy
     /* 1651081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651115 */     // GIR_Coverage, 5758,
     /* 1651115 */     GIR_EraseRootFromParent_Done,
     /* 1651116 */   // Label 22683: @1651116
     /* 1651116 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1651202), // Rule ID 5761 //
     /* 1651121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651167 */     // MIs[0] policy
     /* 1651167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651201 */     // GIR_Coverage, 5761,
     /* 1651201 */     GIR_EraseRootFromParent_Done,
     /* 1651202 */   // Label 22684: @1651202
     /* 1651202 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1651288), // Rule ID 5762 //
     /* 1651207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651253 */     // MIs[0] policy
     /* 1651253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651263 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651287 */     // GIR_Coverage, 5762,
     /* 1651287 */     GIR_EraseRootFromParent_Done,
     /* 1651288 */   // Label 22685: @1651288
     /* 1651288 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1651374), // Rule ID 5765 //
     /* 1651293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651339 */     // MIs[0] policy
     /* 1651339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651349 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651373 */     // GIR_Coverage, 5765,
     /* 1651373 */     GIR_EraseRootFromParent_Done,
     /* 1651374 */   // Label 22686: @1651374
     /* 1651374 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1651460), // Rule ID 5766 //
     /* 1651379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651425 */     // MIs[0] policy
     /* 1651425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651459 */     // GIR_Coverage, 5766,
     /* 1651459 */     GIR_EraseRootFromParent_Done,
     /* 1651460 */   // Label 22687: @1651460
     /* 1651460 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1651546), // Rule ID 5769 //
     /* 1651465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651511 */     // MIs[0] policy
     /* 1651511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651521 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651545 */     // GIR_Coverage, 5769,
     /* 1651545 */     GIR_EraseRootFromParent_Done,
     /* 1651546 */   // Label 22688: @1651546
     /* 1651546 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1651632), // Rule ID 5770 //
     /* 1651551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651597 */     // MIs[0] policy
     /* 1651597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651631 */     // GIR_Coverage, 5770,
     /* 1651631 */     GIR_EraseRootFromParent_Done,
     /* 1651632 */   // Label 22689: @1651632
     /* 1651632 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1651718), // Rule ID 5773 //
     /* 1651637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1651640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651683 */     // MIs[0] policy
     /* 1651683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651693 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651717 */     // GIR_Coverage, 5773,
     /* 1651717 */     GIR_EraseRootFromParent_Done,
     /* 1651718 */   // Label 22690: @1651718
     /* 1651718 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1651804), // Rule ID 5774 //
     /* 1651723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1651726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651769 */     // MIs[0] policy
     /* 1651769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651803 */     // GIR_Coverage, 5774,
     /* 1651803 */     GIR_EraseRootFromParent_Done,
     /* 1651804 */   // Label 22691: @1651804
     /* 1651804 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1651890), // Rule ID 5777 //
     /* 1651809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1651820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1651823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1651826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651855 */     // MIs[0] policy
     /* 1651855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651865 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651889 */     // GIR_Coverage, 5777,
     /* 1651889 */     GIR_EraseRootFromParent_Done,
     /* 1651890 */   // Label 22692: @1651890
     /* 1651890 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1651976), // Rule ID 5778 //
     /* 1651895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1651906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1651909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1651912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651941 */     // MIs[0] policy
     /* 1651941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651975 */     // GIR_Coverage, 5778,
     /* 1651975 */     GIR_EraseRootFromParent_Done,
     /* 1651976 */   // Label 22693: @1651976
     /* 1651976 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1652062), // Rule ID 5781 //
     /* 1651981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1651992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1651995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1651998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652027 */     // MIs[0] policy
     /* 1652027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652037 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652061 */     // GIR_Coverage, 5781,
     /* 1652061 */     GIR_EraseRootFromParent_Done,
     /* 1652062 */   // Label 22694: @1652062
     /* 1652062 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1652148), // Rule ID 5782 //
     /* 1652067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652113 */     // MIs[0] policy
     /* 1652113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652123 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652147 */     // GIR_Coverage, 5782,
     /* 1652147 */     GIR_EraseRootFromParent_Done,
     /* 1652148 */   // Label 22695: @1652148
     /* 1652148 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1652234), // Rule ID 5785 //
     /* 1652153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652199 */     // MIs[0] policy
     /* 1652199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652209 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652233 */     // GIR_Coverage, 5785,
     /* 1652233 */     GIR_EraseRootFromParent_Done,
     /* 1652234 */   // Label 22696: @1652234
     /* 1652234 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1652320), // Rule ID 5786 //
     /* 1652239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652285 */     // MIs[0] policy
     /* 1652285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652295 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652319 */     // GIR_Coverage, 5786,
     /* 1652319 */     GIR_EraseRootFromParent_Done,
     /* 1652320 */   // Label 22697: @1652320
     /* 1652320 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1652406), // Rule ID 5789 //
     /* 1652325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652371 */     // MIs[0] policy
     /* 1652371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652381 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652405 */     // GIR_Coverage, 5789,
     /* 1652405 */     GIR_EraseRootFromParent_Done,
     /* 1652406 */   // Label 22698: @1652406
     /* 1652406 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1652492), // Rule ID 5790 //
     /* 1652411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652457 */     // MIs[0] policy
     /* 1652457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652491 */     // GIR_Coverage, 5790,
     /* 1652491 */     GIR_EraseRootFromParent_Done,
     /* 1652492 */   // Label 22699: @1652492
     /* 1652492 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1652578), // Rule ID 5793 //
     /* 1652497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652543 */     // MIs[0] policy
     /* 1652543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652553 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652577 */     // GIR_Coverage, 5793,
     /* 1652577 */     GIR_EraseRootFromParent_Done,
     /* 1652578 */   // Label 22700: @1652578
     /* 1652578 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1652664), // Rule ID 5794 //
     /* 1652583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652629 */     // MIs[0] policy
     /* 1652629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652639 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652663 */     // GIR_Coverage, 5794,
     /* 1652663 */     GIR_EraseRootFromParent_Done,
     /* 1652664 */   // Label 22701: @1652664
     /* 1652664 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1652750), // Rule ID 5797 //
     /* 1652669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1652680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1652683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1652686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652715 */     // MIs[0] policy
     /* 1652715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652749 */     // GIR_Coverage, 5797,
     /* 1652749 */     GIR_EraseRootFromParent_Done,
     /* 1652750 */   // Label 22702: @1652750
     /* 1652750 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1652836), // Rule ID 5798 //
     /* 1652755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1652766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1652769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1652772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652801 */     // MIs[0] policy
     /* 1652801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652835 */     // GIR_Coverage, 5798,
     /* 1652835 */     GIR_EraseRootFromParent_Done,
     /* 1652836 */   // Label 22703: @1652836
     /* 1652836 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1652922), // Rule ID 5801 //
     /* 1652841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1652852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1652855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1652858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652887 */     // MIs[0] policy
     /* 1652887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652921 */     // GIR_Coverage, 5801,
     /* 1652921 */     GIR_EraseRootFromParent_Done,
     /* 1652922 */   // Label 22704: @1652922
     /* 1652922 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1653008), // Rule ID 5802 //
     /* 1652927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1652938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1652941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1652944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652973 */     // MIs[0] policy
     /* 1652973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653007 */     // GIR_Coverage, 5802,
     /* 1653007 */     GIR_EraseRootFromParent_Done,
     /* 1653008 */   // Label 22705: @1653008
     /* 1653008 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1653094), // Rule ID 5805 //
     /* 1653013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653059 */     // MIs[0] policy
     /* 1653059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653093 */     // GIR_Coverage, 5805,
     /* 1653093 */     GIR_EraseRootFromParent_Done,
     /* 1653094 */   // Label 22706: @1653094
     /* 1653094 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1653180), // Rule ID 5806 //
     /* 1653099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653145 */     // MIs[0] policy
     /* 1653145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653155 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653179 */     // GIR_Coverage, 5806,
     /* 1653179 */     GIR_EraseRootFromParent_Done,
     /* 1653180 */   // Label 22707: @1653180
     /* 1653180 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1653266), // Rule ID 5809 //
     /* 1653185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653231 */     // MIs[0] policy
     /* 1653231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653265 */     // GIR_Coverage, 5809,
     /* 1653265 */     GIR_EraseRootFromParent_Done,
     /* 1653266 */   // Label 22708: @1653266
     /* 1653266 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1653352), // Rule ID 5810 //
     /* 1653271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653317 */     // MIs[0] policy
     /* 1653317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653351 */     // GIR_Coverage, 5810,
     /* 1653351 */     GIR_EraseRootFromParent_Done,
     /* 1653352 */   // Label 22709: @1653352
     /* 1653352 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1653438), // Rule ID 5813 //
     /* 1653357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653403 */     // MIs[0] policy
     /* 1653403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653437 */     // GIR_Coverage, 5813,
     /* 1653437 */     GIR_EraseRootFromParent_Done,
     /* 1653438 */   // Label 22710: @1653438
     /* 1653438 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1653524), // Rule ID 5814 //
     /* 1653443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653489 */     // MIs[0] policy
     /* 1653489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653523 */     // GIR_Coverage, 5814,
     /* 1653523 */     GIR_EraseRootFromParent_Done,
     /* 1653524 */   // Label 22711: @1653524
     /* 1653524 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1653610), // Rule ID 5817 //
     /* 1653529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653575 */     // MIs[0] policy
     /* 1653575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653585 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653609 */     // GIR_Coverage, 5817,
     /* 1653609 */     GIR_EraseRootFromParent_Done,
     /* 1653610 */   // Label 22712: @1653610
     /* 1653610 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1653696), // Rule ID 5818 //
     /* 1653615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653661 */     // MIs[0] policy
     /* 1653661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653695 */     // GIR_Coverage, 5818,
     /* 1653695 */     GIR_EraseRootFromParent_Done,
     /* 1653696 */   // Label 22713: @1653696
     /* 1653696 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1653782), // Rule ID 5821 //
     /* 1653701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1653712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1653715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1653718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653747 */     // MIs[0] policy
     /* 1653747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653781 */     // GIR_Coverage, 5821,
     /* 1653781 */     GIR_EraseRootFromParent_Done,
     /* 1653782 */   // Label 22714: @1653782
     /* 1653782 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1653868), // Rule ID 5822 //
     /* 1653787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1653798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1653801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1653804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653833 */     // MIs[0] policy
     /* 1653833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653867 */     // GIR_Coverage, 5822,
     /* 1653867 */     GIR_EraseRootFromParent_Done,
     /* 1653868 */   // Label 22715: @1653868
     /* 1653868 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1653954), // Rule ID 5913 //
     /* 1653873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1653884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1653887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1653890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1653893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653919 */     // MIs[0] policy
     /* 1653919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653929 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1653932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653953 */     // GIR_Coverage, 5913,
     /* 1653953 */     GIR_EraseRootFromParent_Done,
     /* 1653954 */   // Label 22716: @1653954
     /* 1653954 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1654040), // Rule ID 5914 //
     /* 1653959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1653970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1653973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1653976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1653979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654005 */     // MIs[0] policy
     /* 1654005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654015 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1654018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654039 */     // GIR_Coverage, 5914,
     /* 1654039 */     GIR_EraseRootFromParent_Done,
     /* 1654040 */   // Label 22717: @1654040
     /* 1654040 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1654126), // Rule ID 5917 //
     /* 1654045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654091 */     // MIs[0] policy
     /* 1654091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654125 */     // GIR_Coverage, 5917,
     /* 1654125 */     GIR_EraseRootFromParent_Done,
     /* 1654126 */   // Label 22718: @1654126
     /* 1654126 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1654212), // Rule ID 5918 //
     /* 1654131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654177 */     // MIs[0] policy
     /* 1654177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654211 */     // GIR_Coverage, 5918,
     /* 1654211 */     GIR_EraseRootFromParent_Done,
     /* 1654212 */   // Label 22719: @1654212
     /* 1654212 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1654298), // Rule ID 5921 //
     /* 1654217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654263 */     // MIs[0] policy
     /* 1654263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654273 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654297 */     // GIR_Coverage, 5921,
     /* 1654297 */     GIR_EraseRootFromParent_Done,
     /* 1654298 */   // Label 22720: @1654298
     /* 1654298 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1654384), // Rule ID 5922 //
     /* 1654303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654349 */     // MIs[0] policy
     /* 1654349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654383 */     // GIR_Coverage, 5922,
     /* 1654383 */     GIR_EraseRootFromParent_Done,
     /* 1654384 */   // Label 22721: @1654384
     /* 1654384 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1654470), // Rule ID 5925 //
     /* 1654389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654435 */     // MIs[0] policy
     /* 1654435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654469 */     // GIR_Coverage, 5925,
     /* 1654469 */     GIR_EraseRootFromParent_Done,
     /* 1654470 */   // Label 22722: @1654470
     /* 1654470 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1654556), // Rule ID 5926 //
     /* 1654475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654521 */     // MIs[0] policy
     /* 1654521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654555 */     // GIR_Coverage, 5926,
     /* 1654555 */     GIR_EraseRootFromParent_Done,
     /* 1654556 */   // Label 22723: @1654556
     /* 1654556 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1654642), // Rule ID 5929 //
     /* 1654561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654607 */     // MIs[0] policy
     /* 1654607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654617 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654641 */     // GIR_Coverage, 5929,
     /* 1654641 */     GIR_EraseRootFromParent_Done,
     /* 1654642 */   // Label 22724: @1654642
     /* 1654642 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1654728), // Rule ID 5930 //
     /* 1654647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654693 */     // MIs[0] policy
     /* 1654693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654703 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654727 */     // GIR_Coverage, 5930,
     /* 1654727 */     GIR_EraseRootFromParent_Done,
     /* 1654728 */   // Label 22725: @1654728
     /* 1654728 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1654814), // Rule ID 5933 //
     /* 1654733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1654744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1654747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1654750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654779 */     // MIs[0] policy
     /* 1654779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654813 */     // GIR_Coverage, 5933,
     /* 1654813 */     GIR_EraseRootFromParent_Done,
     /* 1654814 */   // Label 22726: @1654814
     /* 1654814 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1654900), // Rule ID 5934 //
     /* 1654819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1654830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1654833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1654836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654865 */     // MIs[0] policy
     /* 1654865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654899 */     // GIR_Coverage, 5934,
     /* 1654899 */     GIR_EraseRootFromParent_Done,
     /* 1654900 */   // Label 22727: @1654900
     /* 1654900 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1654986), // Rule ID 5937 //
     /* 1654905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1654916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1654919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1654922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1654925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654951 */     // MIs[0] policy
     /* 1654951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654961 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1654964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654985 */     // GIR_Coverage, 5937,
     /* 1654985 */     GIR_EraseRootFromParent_Done,
     /* 1654986 */   // Label 22728: @1654986
     /* 1654986 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1655072), // Rule ID 5938 //
     /* 1654991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1655011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655037 */     // MIs[0] policy
     /* 1655037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655071 */     // GIR_Coverage, 5938,
     /* 1655071 */     GIR_EraseRootFromParent_Done,
     /* 1655072 */   // Label 22729: @1655072
     /* 1655072 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1655158), // Rule ID 5941 //
     /* 1655077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655123 */     // MIs[0] policy
     /* 1655123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655157 */     // GIR_Coverage, 5941,
     /* 1655157 */     GIR_EraseRootFromParent_Done,
     /* 1655158 */   // Label 22730: @1655158
     /* 1655158 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1655244), // Rule ID 5942 //
     /* 1655163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655209 */     // MIs[0] policy
     /* 1655209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655243 */     // GIR_Coverage, 5942,
     /* 1655243 */     GIR_EraseRootFromParent_Done,
     /* 1655244 */   // Label 22731: @1655244
     /* 1655244 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1655330), // Rule ID 5945 //
     /* 1655249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655295 */     // MIs[0] policy
     /* 1655295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655329 */     // GIR_Coverage, 5945,
     /* 1655329 */     GIR_EraseRootFromParent_Done,
     /* 1655330 */   // Label 22732: @1655330
     /* 1655330 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1655416), // Rule ID 5946 //
     /* 1655335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655381 */     // MIs[0] policy
     /* 1655381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655391 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655415 */     // GIR_Coverage, 5946,
     /* 1655415 */     GIR_EraseRootFromParent_Done,
     /* 1655416 */   // Label 22733: @1655416
     /* 1655416 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1655502), // Rule ID 5949 //
     /* 1655421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1655424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655467 */     // MIs[0] policy
     /* 1655467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655477 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655501 */     // GIR_Coverage, 5949,
     /* 1655501 */     GIR_EraseRootFromParent_Done,
     /* 1655502 */   // Label 22734: @1655502
     /* 1655502 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1655588), // Rule ID 5950 //
     /* 1655507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655553 */     // MIs[0] policy
     /* 1655553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655563 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655587 */     // GIR_Coverage, 5950,
     /* 1655587 */     GIR_EraseRootFromParent_Done,
     /* 1655588 */   // Label 22735: @1655588
     /* 1655588 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1655674), // Rule ID 5953 //
     /* 1655593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1655613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655639 */     // MIs[0] policy
     /* 1655639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655649 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655673 */     // GIR_Coverage, 5953,
     /* 1655673 */     GIR_EraseRootFromParent_Done,
     /* 1655674 */   // Label 22736: @1655674
     /* 1655674 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1655760), // Rule ID 5954 //
     /* 1655679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1655699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655725 */     // MIs[0] policy
     /* 1655725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655735 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655759 */     // GIR_Coverage, 5954,
     /* 1655759 */     GIR_EraseRootFromParent_Done,
     /* 1655760 */   // Label 22737: @1655760
     /* 1655760 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1655846), // Rule ID 5957 //
     /* 1655765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1655776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1655779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1655782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1655785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655811 */     // MIs[0] policy
     /* 1655811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655845 */     // GIR_Coverage, 5957,
     /* 1655845 */     GIR_EraseRootFromParent_Done,
     /* 1655846 */   // Label 22738: @1655846
     /* 1655846 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1655932), // Rule ID 5958 //
     /* 1655851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1655862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1655865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1655868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1655871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655897 */     // MIs[0] policy
     /* 1655897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655907 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655931 */     // GIR_Coverage, 5958,
     /* 1655931 */     GIR_EraseRootFromParent_Done,
     /* 1655932 */   // Label 22739: @1655932
     /* 1655932 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1656018), // Rule ID 5961 //
     /* 1655937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1655948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1655951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1655954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1655957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1655960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655983 */     // MIs[0] policy
     /* 1655983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655993 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1655996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656017 */     // GIR_Coverage, 5961,
     /* 1656017 */     GIR_EraseRootFromParent_Done,
     /* 1656018 */   // Label 22740: @1656018
     /* 1656018 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1656104), // Rule ID 5962 //
     /* 1656023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1656043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656069 */     // MIs[0] policy
     /* 1656069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656079 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656103 */     // GIR_Coverage, 5962,
     /* 1656103 */     GIR_EraseRootFromParent_Done,
     /* 1656104 */   // Label 22741: @1656104
     /* 1656104 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1656190), // Rule ID 5965 //
     /* 1656109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656155 */     // MIs[0] policy
     /* 1656155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656189 */     // GIR_Coverage, 5965,
     /* 1656189 */     GIR_EraseRootFromParent_Done,
     /* 1656190 */   // Label 22742: @1656190
     /* 1656190 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1656276), // Rule ID 5966 //
     /* 1656195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656241 */     // MIs[0] policy
     /* 1656241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656251 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656275 */     // GIR_Coverage, 5966,
     /* 1656275 */     GIR_EraseRootFromParent_Done,
     /* 1656276 */   // Label 22743: @1656276
     /* 1656276 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1656362), // Rule ID 5969 //
     /* 1656281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656327 */     // MIs[0] policy
     /* 1656327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656361 */     // GIR_Coverage, 5969,
     /* 1656361 */     GIR_EraseRootFromParent_Done,
     /* 1656362 */   // Label 22744: @1656362
     /* 1656362 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1656448), // Rule ID 5970 //
     /* 1656367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656413 */     // MIs[0] policy
     /* 1656413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656423 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656447 */     // GIR_Coverage, 5970,
     /* 1656447 */     GIR_EraseRootFromParent_Done,
     /* 1656448 */   // Label 22745: @1656448
     /* 1656448 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1656534), // Rule ID 5973 //
     /* 1656453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656499 */     // MIs[0] policy
     /* 1656499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656509 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656533 */     // GIR_Coverage, 5973,
     /* 1656533 */     GIR_EraseRootFromParent_Done,
     /* 1656534 */   // Label 22746: @1656534
     /* 1656534 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1656620), // Rule ID 5974 //
     /* 1656539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656585 */     // MIs[0] policy
     /* 1656585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656619 */     // GIR_Coverage, 5974,
     /* 1656619 */     GIR_EraseRootFromParent_Done,
     /* 1656620 */   // Label 22747: @1656620
     /* 1656620 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1656706), // Rule ID 5977 //
     /* 1656625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1656645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656671 */     // MIs[0] policy
     /* 1656671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656681 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656705 */     // GIR_Coverage, 5977,
     /* 1656705 */     GIR_EraseRootFromParent_Done,
     /* 1656706 */   // Label 22748: @1656706
     /* 1656706 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1656792), // Rule ID 5978 //
     /* 1656711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1656731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656757 */     // MIs[0] policy
     /* 1656757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656791 */     // GIR_Coverage, 5978,
     /* 1656791 */     GIR_EraseRootFromParent_Done,
     /* 1656792 */   // Label 22749: @1656792
     /* 1656792 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1656878), // Rule ID 5981 //
     /* 1656797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1656817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656843 */     // MIs[0] policy
     /* 1656843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656853 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656877 */     // GIR_Coverage, 5981,
     /* 1656877 */     GIR_EraseRootFromParent_Done,
     /* 1656878 */   // Label 22750: @1656878
     /* 1656878 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1656964), // Rule ID 5982 //
     /* 1656883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1656903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656929 */     // MIs[0] policy
     /* 1656929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656963 */     // GIR_Coverage, 5982,
     /* 1656963 */     GIR_EraseRootFromParent_Done,
     /* 1656964 */   // Label 22751: @1656964
     /* 1656964 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1657050), // Rule ID 5985 //
     /* 1656969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1656989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657015 */     // MIs[0] policy
     /* 1657015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657025 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657049 */     // GIR_Coverage, 5985,
     /* 1657049 */     GIR_EraseRootFromParent_Done,
     /* 1657050 */   // Label 22752: @1657050
     /* 1657050 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1657136), // Rule ID 5986 //
     /* 1657055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657101 */     // MIs[0] policy
     /* 1657101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657135 */     // GIR_Coverage, 5986,
     /* 1657135 */     GIR_EraseRootFromParent_Done,
     /* 1657136 */   // Label 22753: @1657136
     /* 1657136 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1657222), // Rule ID 5989 //
     /* 1657141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657187 */     // MIs[0] policy
     /* 1657187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657221 */     // GIR_Coverage, 5989,
     /* 1657221 */     GIR_EraseRootFromParent_Done,
     /* 1657222 */   // Label 22754: @1657222
     /* 1657222 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1657308), // Rule ID 5990 //
     /* 1657227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657273 */     // MIs[0] policy
     /* 1657273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657307 */     // GIR_Coverage, 5990,
     /* 1657307 */     GIR_EraseRootFromParent_Done,
     /* 1657308 */   // Label 22755: @1657308
     /* 1657308 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1657394), // Rule ID 5993 //
     /* 1657313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657359 */     // MIs[0] policy
     /* 1657359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657369 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657393 */     // GIR_Coverage, 5993,
     /* 1657393 */     GIR_EraseRootFromParent_Done,
     /* 1657394 */   // Label 22756: @1657394
     /* 1657394 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1657480), // Rule ID 5994 //
     /* 1657399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657445 */     // MIs[0] policy
     /* 1657445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657455 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657479 */     // GIR_Coverage, 5994,
     /* 1657479 */     GIR_EraseRootFromParent_Done,
     /* 1657480 */   // Label 22757: @1657480
     /* 1657480 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1657566), // Rule ID 5997 //
     /* 1657485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657531 */     // MIs[0] policy
     /* 1657531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657565 */     // GIR_Coverage, 5997,
     /* 1657565 */     GIR_EraseRootFromParent_Done,
     /* 1657566 */   // Label 22758: @1657566
     /* 1657566 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1657652), // Rule ID 5998 //
     /* 1657571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657617 */     // MIs[0] policy
     /* 1657617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657651 */     // GIR_Coverage, 5998,
     /* 1657651 */     GIR_EraseRootFromParent_Done,
     /* 1657652 */   // Label 22759: @1657652
     /* 1657652 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1657738), // Rule ID 6001 //
     /* 1657657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657703 */     // MIs[0] policy
     /* 1657703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657713 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1657716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657737 */     // GIR_Coverage, 6001,
     /* 1657737 */     GIR_EraseRootFromParent_Done,
     /* 1657738 */   // Label 22760: @1657738
     /* 1657738 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1657824), // Rule ID 6002 //
     /* 1657743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657789 */     // MIs[0] policy
     /* 1657789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657799 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1657802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657823 */     // GIR_Coverage, 6002,
     /* 1657823 */     GIR_EraseRootFromParent_Done,
     /* 1657824 */   // Label 22761: @1657824
     /* 1657824 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1657910), // Rule ID 6005 //
     /* 1657829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657875 */     // MIs[0] policy
     /* 1657875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657885 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1657888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657909 */     // GIR_Coverage, 6005,
     /* 1657909 */     GIR_EraseRootFromParent_Done,
     /* 1657910 */   // Label 22762: @1657910
     /* 1657910 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1657996), // Rule ID 6006 //
     /* 1657915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657961 */     // MIs[0] policy
     /* 1657961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657971 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1657974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657995 */     // GIR_Coverage, 6006,
     /* 1657995 */     GIR_EraseRootFromParent_Done,
     /* 1657996 */   // Label 22763: @1657996
     /* 1657996 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1658082), // Rule ID 6009 //
     /* 1658001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658047 */     // MIs[0] policy
     /* 1658047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658057 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658081 */     // GIR_Coverage, 6009,
     /* 1658081 */     GIR_EraseRootFromParent_Done,
     /* 1658082 */   // Label 22764: @1658082
     /* 1658082 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1658168), // Rule ID 6010 //
     /* 1658087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658133 */     // MIs[0] policy
     /* 1658133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658143 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658167 */     // GIR_Coverage, 6010,
     /* 1658167 */     GIR_EraseRootFromParent_Done,
     /* 1658168 */   // Label 22765: @1658168
     /* 1658168 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1658254), // Rule ID 6013 //
     /* 1658173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658219 */     // MIs[0] policy
     /* 1658219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658253 */     // GIR_Coverage, 6013,
     /* 1658253 */     GIR_EraseRootFromParent_Done,
     /* 1658254 */   // Label 22766: @1658254
     /* 1658254 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1658340), // Rule ID 6014 //
     /* 1658259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658305 */     // MIs[0] policy
     /* 1658305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658339 */     // GIR_Coverage, 6014,
     /* 1658339 */     GIR_EraseRootFromParent_Done,
     /* 1658340 */   // Label 22767: @1658340
     /* 1658340 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1658426), // Rule ID 6017 //
     /* 1658345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658391 */     // MIs[0] policy
     /* 1658391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658401 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658425 */     // GIR_Coverage, 6017,
     /* 1658425 */     GIR_EraseRootFromParent_Done,
     /* 1658426 */   // Label 22768: @1658426
     /* 1658426 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1658512), // Rule ID 6018 //
     /* 1658431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658477 */     // MIs[0] policy
     /* 1658477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658487 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658511 */     // GIR_Coverage, 6018,
     /* 1658511 */     GIR_EraseRootFromParent_Done,
     /* 1658512 */   // Label 22769: @1658512
     /* 1658512 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1658598), // Rule ID 6021 //
     /* 1658517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658563 */     // MIs[0] policy
     /* 1658563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658597 */     // GIR_Coverage, 6021,
     /* 1658597 */     GIR_EraseRootFromParent_Done,
     /* 1658598 */   // Label 22770: @1658598
     /* 1658598 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1658684), // Rule ID 6022 //
     /* 1658603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658649 */     // MIs[0] policy
     /* 1658649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658683 */     // GIR_Coverage, 6022,
     /* 1658683 */     GIR_EraseRootFromParent_Done,
     /* 1658684 */   // Label 22771: @1658684
     /* 1658684 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1658770), // Rule ID 6025 //
     /* 1658689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658735 */     // MIs[0] policy
     /* 1658735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658745 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658769 */     // GIR_Coverage, 6025,
     /* 1658769 */     GIR_EraseRootFromParent_Done,
     /* 1658770 */   // Label 22772: @1658770
     /* 1658770 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1658856), // Rule ID 6026 //
     /* 1658775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658821 */     // MIs[0] policy
     /* 1658821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658831 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658855 */     // GIR_Coverage, 6026,
     /* 1658855 */     GIR_EraseRootFromParent_Done,
     /* 1658856 */   // Label 22773: @1658856
     /* 1658856 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1658942), // Rule ID 6029 //
     /* 1658861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658907 */     // MIs[0] policy
     /* 1658907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658941 */     // GIR_Coverage, 6029,
     /* 1658941 */     GIR_EraseRootFromParent_Done,
     /* 1658942 */   // Label 22774: @1658942
     /* 1658942 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1659028), // Rule ID 6030 //
     /* 1658947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658993 */     // MIs[0] policy
     /* 1658993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659027 */     // GIR_Coverage, 6030,
     /* 1659027 */     GIR_EraseRootFromParent_Done,
     /* 1659028 */   // Label 22775: @1659028
     /* 1659028 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1659114), // Rule ID 6033 //
     /* 1659033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659079 */     // MIs[0] policy
     /* 1659079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659113 */     // GIR_Coverage, 6033,
     /* 1659113 */     GIR_EraseRootFromParent_Done,
     /* 1659114 */   // Label 22776: @1659114
     /* 1659114 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1659200), // Rule ID 6034 //
     /* 1659119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659165 */     // MIs[0] policy
     /* 1659165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659175 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659199 */     // GIR_Coverage, 6034,
     /* 1659199 */     GIR_EraseRootFromParent_Done,
     /* 1659200 */   // Label 22777: @1659200
     /* 1659200 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1659286), // Rule ID 6037 //
     /* 1659205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659251 */     // MIs[0] policy
     /* 1659251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659285 */     // GIR_Coverage, 6037,
     /* 1659285 */     GIR_EraseRootFromParent_Done,
     /* 1659286 */   // Label 22778: @1659286
     /* 1659286 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1659372), // Rule ID 6038 //
     /* 1659291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659337 */     // MIs[0] policy
     /* 1659337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659371 */     // GIR_Coverage, 6038,
     /* 1659371 */     GIR_EraseRootFromParent_Done,
     /* 1659372 */   // Label 22779: @1659372
     /* 1659372 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1659458), // Rule ID 6041 //
     /* 1659377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659423 */     // MIs[0] policy
     /* 1659423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659457 */     // GIR_Coverage, 6041,
     /* 1659457 */     GIR_EraseRootFromParent_Done,
     /* 1659458 */   // Label 22780: @1659458
     /* 1659458 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1659544), // Rule ID 6042 //
     /* 1659463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659509 */     // MIs[0] policy
     /* 1659509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659543 */     // GIR_Coverage, 6042,
     /* 1659543 */     GIR_EraseRootFromParent_Done,
     /* 1659544 */   // Label 22781: @1659544
     /* 1659544 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1659630), // Rule ID 6045 //
     /* 1659549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659595 */     // MIs[0] policy
     /* 1659595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659629 */     // GIR_Coverage, 6045,
     /* 1659629 */     GIR_EraseRootFromParent_Done,
     /* 1659630 */   // Label 22782: @1659630
     /* 1659630 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1659716), // Rule ID 6046 //
     /* 1659635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659681 */     // MIs[0] policy
     /* 1659681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659691 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659715 */     // GIR_Coverage, 6046,
     /* 1659715 */     GIR_EraseRootFromParent_Done,
     /* 1659716 */   // Label 22783: @1659716
     /* 1659716 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1659802), // Rule ID 6049 //
     /* 1659721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659767 */     // MIs[0] policy
     /* 1659767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659777 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659801 */     // GIR_Coverage, 6049,
     /* 1659801 */     GIR_EraseRootFromParent_Done,
     /* 1659802 */   // Label 22784: @1659802
     /* 1659802 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1659888), // Rule ID 6050 //
     /* 1659807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659853 */     // MIs[0] policy
     /* 1659853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659863 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659887 */     // GIR_Coverage, 6050,
     /* 1659887 */     GIR_EraseRootFromParent_Done,
     /* 1659888 */   // Label 22785: @1659888
     /* 1659888 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1659974), // Rule ID 6053 //
     /* 1659893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659939 */     // MIs[0] policy
     /* 1659939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659973 */     // GIR_Coverage, 6053,
     /* 1659973 */     GIR_EraseRootFromParent_Done,
     /* 1659974 */   // Label 22786: @1659974
     /* 1659974 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1660060), // Rule ID 6054 //
     /* 1659979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660025 */     // MIs[0] policy
     /* 1660025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660059 */     // GIR_Coverage, 6054,
     /* 1660059 */     GIR_EraseRootFromParent_Done,
     /* 1660060 */   // Label 22787: @1660060
     /* 1660060 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1660146), // Rule ID 6057 //
     /* 1660065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660111 */     // MIs[0] policy
     /* 1660111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660145 */     // GIR_Coverage, 6057,
     /* 1660145 */     GIR_EraseRootFromParent_Done,
     /* 1660146 */   // Label 22788: @1660146
     /* 1660146 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1660232), // Rule ID 6058 //
     /* 1660151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660197 */     // MIs[0] policy
     /* 1660197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660207 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660231 */     // GIR_Coverage, 6058,
     /* 1660231 */     GIR_EraseRootFromParent_Done,
     /* 1660232 */   // Label 22789: @1660232
     /* 1660232 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1660318), // Rule ID 6061 //
     /* 1660237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660283 */     // MIs[0] policy
     /* 1660283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660317 */     // GIR_Coverage, 6061,
     /* 1660317 */     GIR_EraseRootFromParent_Done,
     /* 1660318 */   // Label 22790: @1660318
     /* 1660318 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1660404), // Rule ID 6062 //
     /* 1660323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660369 */     // MIs[0] policy
     /* 1660369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660379 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660403 */     // GIR_Coverage, 6062,
     /* 1660403 */     GIR_EraseRootFromParent_Done,
     /* 1660404 */   // Label 22791: @1660404
     /* 1660404 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1660490), // Rule ID 6065 //
     /* 1660409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660455 */     // MIs[0] policy
     /* 1660455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660465 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660489 */     // GIR_Coverage, 6065,
     /* 1660489 */     GIR_EraseRootFromParent_Done,
     /* 1660490 */   // Label 22792: @1660490
     /* 1660490 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1660576), // Rule ID 6066 //
     /* 1660495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660541 */     // MIs[0] policy
     /* 1660541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660575 */     // GIR_Coverage, 6066,
     /* 1660575 */     GIR_EraseRootFromParent_Done,
     /* 1660576 */   // Label 22793: @1660576
     /* 1660576 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1660662), // Rule ID 6069 //
     /* 1660581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660627 */     // MIs[0] policy
     /* 1660627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660637 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660661 */     // GIR_Coverage, 6069,
     /* 1660661 */     GIR_EraseRootFromParent_Done,
     /* 1660662 */   // Label 22794: @1660662
     /* 1660662 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1660748), // Rule ID 6070 //
     /* 1660667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660713 */     // MIs[0] policy
     /* 1660713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660723 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660747 */     // GIR_Coverage, 6070,
     /* 1660747 */     GIR_EraseRootFromParent_Done,
     /* 1660748 */   // Label 22795: @1660748
     /* 1660748 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1660834), // Rule ID 6073 //
     /* 1660753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660799 */     // MIs[0] policy
     /* 1660799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660833 */     // GIR_Coverage, 6073,
     /* 1660833 */     GIR_EraseRootFromParent_Done,
     /* 1660834 */   // Label 22796: @1660834
     /* 1660834 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1660920), // Rule ID 6074 //
     /* 1660839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660885 */     // MIs[0] policy
     /* 1660885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660895 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660919 */     // GIR_Coverage, 6074,
     /* 1660919 */     GIR_EraseRootFromParent_Done,
     /* 1660920 */   // Label 22797: @1660920
     /* 1660920 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1661006), // Rule ID 6077 //
     /* 1660925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660971 */     // MIs[0] policy
     /* 1660971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660981 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661005 */     // GIR_Coverage, 6077,
     /* 1661005 */     GIR_EraseRootFromParent_Done,
     /* 1661006 */   // Label 22798: @1661006
     /* 1661006 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1661092), // Rule ID 6078 //
     /* 1661011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661057 */     // MIs[0] policy
     /* 1661057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1661070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661091 */     // GIR_Coverage, 6078,
     /* 1661091 */     GIR_EraseRootFromParent_Done,
     /* 1661092 */   // Label 22799: @1661092
     /* 1661092 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1661178), // Rule ID 6081 //
     /* 1661097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661143 */     // MIs[0] policy
     /* 1661143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661153 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661177 */     // GIR_Coverage, 6081,
     /* 1661177 */     GIR_EraseRootFromParent_Done,
     /* 1661178 */   // Label 22800: @1661178
     /* 1661178 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1661264), // Rule ID 6082 //
     /* 1661183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661229 */     // MIs[0] policy
     /* 1661229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661263 */     // GIR_Coverage, 6082,
     /* 1661263 */     GIR_EraseRootFromParent_Done,
     /* 1661264 */   // Label 22801: @1661264
     /* 1661264 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1661350), // Rule ID 6085 //
     /* 1661269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661315 */     // MIs[0] policy
     /* 1661315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661325 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661349 */     // GIR_Coverage, 6085,
     /* 1661349 */     GIR_EraseRootFromParent_Done,
     /* 1661350 */   // Label 22802: @1661350
     /* 1661350 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1661436), // Rule ID 6086 //
     /* 1661355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661401 */     // MIs[0] policy
     /* 1661401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661435 */     // GIR_Coverage, 6086,
     /* 1661435 */     GIR_EraseRootFromParent_Done,
     /* 1661436 */   // Label 22803: @1661436
     /* 1661436 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1661522), // Rule ID 6177 //
     /* 1661441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661487 */     // MIs[0] policy
     /* 1661487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661521 */     // GIR_Coverage, 6177,
     /* 1661521 */     GIR_EraseRootFromParent_Done,
     /* 1661522 */   // Label 22804: @1661522
     /* 1661522 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1661608), // Rule ID 6178 //
     /* 1661527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661573 */     // MIs[0] policy
     /* 1661573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661607 */     // GIR_Coverage, 6178,
     /* 1661607 */     GIR_EraseRootFromParent_Done,
     /* 1661608 */   // Label 22805: @1661608
     /* 1661608 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1661694), // Rule ID 6181 //
     /* 1661613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1661633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661659 */     // MIs[0] policy
     /* 1661659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1661672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661693 */     // GIR_Coverage, 6181,
     /* 1661693 */     GIR_EraseRootFromParent_Done,
     /* 1661694 */   // Label 22806: @1661694
     /* 1661694 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1661780), // Rule ID 6182 //
     /* 1661699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1661719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661745 */     // MIs[0] policy
     /* 1661745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661755 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1661758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661779 */     // GIR_Coverage, 6182,
     /* 1661779 */     GIR_EraseRootFromParent_Done,
     /* 1661780 */   // Label 22807: @1661780
     /* 1661780 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1661866), // Rule ID 6185 //
     /* 1661785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1661805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661831 */     // MIs[0] policy
     /* 1661831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661841 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1661844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661865 */     // GIR_Coverage, 6185,
     /* 1661865 */     GIR_EraseRootFromParent_Done,
     /* 1661866 */   // Label 22808: @1661866
     /* 1661866 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1661952), // Rule ID 6186 //
     /* 1661871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1661891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661917 */     // MIs[0] policy
     /* 1661917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661927 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1661930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661951 */     // GIR_Coverage, 6186,
     /* 1661951 */     GIR_EraseRootFromParent_Done,
     /* 1661952 */   // Label 22809: @1661952
     /* 1661952 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1662038), // Rule ID 6189 //
     /* 1661957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1661968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1661971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1661974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1661977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662003 */     // MIs[0] policy
     /* 1662003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662013 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662037 */     // GIR_Coverage, 6189,
     /* 1662037 */     GIR_EraseRootFromParent_Done,
     /* 1662038 */   // Label 22810: @1662038
     /* 1662038 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1662124), // Rule ID 6190 //
     /* 1662043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1662063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662089 */     // MIs[0] policy
     /* 1662089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662123 */     // GIR_Coverage, 6190,
     /* 1662123 */     GIR_EraseRootFromParent_Done,
     /* 1662124 */   // Label 22811: @1662124
     /* 1662124 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1662210), // Rule ID 6193 //
     /* 1662129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662175 */     // MIs[0] policy
     /* 1662175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662185 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662209 */     // GIR_Coverage, 6193,
     /* 1662209 */     GIR_EraseRootFromParent_Done,
     /* 1662210 */   // Label 22812: @1662210
     /* 1662210 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1662296), // Rule ID 6194 //
     /* 1662215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662261 */     // MIs[0] policy
     /* 1662261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662295 */     // GIR_Coverage, 6194,
     /* 1662295 */     GIR_EraseRootFromParent_Done,
     /* 1662296 */   // Label 22813: @1662296
     /* 1662296 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1662382), // Rule ID 6197 //
     /* 1662301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662347 */     // MIs[0] policy
     /* 1662347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662357 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662381 */     // GIR_Coverage, 6197,
     /* 1662381 */     GIR_EraseRootFromParent_Done,
     /* 1662382 */   // Label 22814: @1662382
     /* 1662382 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1662468), // Rule ID 6198 //
     /* 1662387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662433 */     // MIs[0] policy
     /* 1662433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662467 */     // GIR_Coverage, 6198,
     /* 1662467 */     GIR_EraseRootFromParent_Done,
     /* 1662468 */   // Label 22815: @1662468
     /* 1662468 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1662554), // Rule ID 6201 //
     /* 1662473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662519 */     // MIs[0] policy
     /* 1662519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662529 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662553 */     // GIR_Coverage, 6201,
     /* 1662553 */     GIR_EraseRootFromParent_Done,
     /* 1662554 */   // Label 22816: @1662554
     /* 1662554 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1662640), // Rule ID 6202 //
     /* 1662559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662605 */     // MIs[0] policy
     /* 1662605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662615 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662639 */     // GIR_Coverage, 6202,
     /* 1662639 */     GIR_EraseRootFromParent_Done,
     /* 1662640 */   // Label 22817: @1662640
     /* 1662640 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1662726), // Rule ID 6205 //
     /* 1662645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1662665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662691 */     // MIs[0] policy
     /* 1662691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662725 */     // GIR_Coverage, 6205,
     /* 1662725 */     GIR_EraseRootFromParent_Done,
     /* 1662726 */   // Label 22818: @1662726
     /* 1662726 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1662812), // Rule ID 6206 //
     /* 1662731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1662751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662777 */     // MIs[0] policy
     /* 1662777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662787 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662811 */     // GIR_Coverage, 6206,
     /* 1662811 */     GIR_EraseRootFromParent_Done,
     /* 1662812 */   // Label 22819: @1662812
     /* 1662812 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1662898), // Rule ID 6209 //
     /* 1662817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1662837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662863 */     // MIs[0] policy
     /* 1662863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662897 */     // GIR_Coverage, 6209,
     /* 1662897 */     GIR_EraseRootFromParent_Done,
     /* 1662898 */   // Label 22820: @1662898
     /* 1662898 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1662984), // Rule ID 6210 //
     /* 1662903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1662923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662949 */     // MIs[0] policy
     /* 1662949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662983 */     // GIR_Coverage, 6210,
     /* 1662983 */     GIR_EraseRootFromParent_Done,
     /* 1662984 */   // Label 22821: @1662984
     /* 1662984 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1663070), // Rule ID 6213 //
     /* 1662989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663035 */     // MIs[0] policy
     /* 1663035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663069 */     // GIR_Coverage, 6213,
     /* 1663069 */     GIR_EraseRootFromParent_Done,
     /* 1663070 */   // Label 22822: @1663070
     /* 1663070 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1663156), // Rule ID 6214 //
     /* 1663075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663121 */     // MIs[0] policy
     /* 1663121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663131 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663155 */     // GIR_Coverage, 6214,
     /* 1663155 */     GIR_EraseRootFromParent_Done,
     /* 1663156 */   // Label 22823: @1663156
     /* 1663156 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1663242), // Rule ID 6217 //
     /* 1663161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663207 */     // MIs[0] policy
     /* 1663207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663241 */     // GIR_Coverage, 6217,
     /* 1663241 */     GIR_EraseRootFromParent_Done,
     /* 1663242 */   // Label 22824: @1663242
     /* 1663242 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1663328), // Rule ID 6218 //
     /* 1663247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663293 */     // MIs[0] policy
     /* 1663293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663327 */     // GIR_Coverage, 6218,
     /* 1663327 */     GIR_EraseRootFromParent_Done,
     /* 1663328 */   // Label 22825: @1663328
     /* 1663328 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1663414), // Rule ID 6221 //
     /* 1663333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663379 */     // MIs[0] policy
     /* 1663379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663389 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663413 */     // GIR_Coverage, 6221,
     /* 1663413 */     GIR_EraseRootFromParent_Done,
     /* 1663414 */   // Label 22826: @1663414
     /* 1663414 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1663500), // Rule ID 6222 //
     /* 1663419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663465 */     // MIs[0] policy
     /* 1663465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663475 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663499 */     // GIR_Coverage, 6222,
     /* 1663499 */     GIR_EraseRootFromParent_Done,
     /* 1663500 */   // Label 22827: @1663500
     /* 1663500 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1663586), // Rule ID 6225 //
     /* 1663505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663551 */     // MIs[0] policy
     /* 1663551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663561 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663585 */     // GIR_Coverage, 6225,
     /* 1663585 */     GIR_EraseRootFromParent_Done,
     /* 1663586 */   // Label 22828: @1663586
     /* 1663586 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1663672), // Rule ID 6226 //
     /* 1663591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663637 */     // MIs[0] policy
     /* 1663637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663647 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663671 */     // GIR_Coverage, 6226,
     /* 1663671 */     GIR_EraseRootFromParent_Done,
     /* 1663672 */   // Label 22829: @1663672
     /* 1663672 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1663758), // Rule ID 6229 //
     /* 1663677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1663697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663723 */     // MIs[0] policy
     /* 1663723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663757 */     // GIR_Coverage, 6229,
     /* 1663757 */     GIR_EraseRootFromParent_Done,
     /* 1663758 */   // Label 22830: @1663758
     /* 1663758 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1663844), // Rule ID 6230 //
     /* 1663763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1663783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663809 */     // MIs[0] policy
     /* 1663809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663843 */     // GIR_Coverage, 6230,
     /* 1663843 */     GIR_EraseRootFromParent_Done,
     /* 1663844 */   // Label 22831: @1663844
     /* 1663844 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1663930), // Rule ID 6233 //
     /* 1663849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1663869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663895 */     // MIs[0] policy
     /* 1663895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663905 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663929 */     // GIR_Coverage, 6233,
     /* 1663929 */     GIR_EraseRootFromParent_Done,
     /* 1663930 */   // Label 22832: @1663930
     /* 1663930 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1664016), // Rule ID 6234 //
     /* 1663935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1663955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663981 */     // MIs[0] policy
     /* 1663981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663991 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664015 */     // GIR_Coverage, 6234,
     /* 1664015 */     GIR_EraseRootFromParent_Done,
     /* 1664016 */   // Label 22833: @1664016
     /* 1664016 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1664102), // Rule ID 6237 //
     /* 1664021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1664041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664067 */     // MIs[0] policy
     /* 1664067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664101 */     // GIR_Coverage, 6237,
     /* 1664101 */     GIR_EraseRootFromParent_Done,
     /* 1664102 */   // Label 22834: @1664102
     /* 1664102 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1664188), // Rule ID 6238 //
     /* 1664107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1664127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664153 */     // MIs[0] policy
     /* 1664153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664163 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664187 */     // GIR_Coverage, 6238,
     /* 1664187 */     GIR_EraseRootFromParent_Done,
     /* 1664188 */   // Label 22835: @1664188
     /* 1664188 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1664274), // Rule ID 6241 //
     /* 1664193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664239 */     // MIs[0] policy
     /* 1664239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664273 */     // GIR_Coverage, 6241,
     /* 1664273 */     GIR_EraseRootFromParent_Done,
     /* 1664274 */   // Label 22836: @1664274
     /* 1664274 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1664360), // Rule ID 6242 //
     /* 1664279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664325 */     // MIs[0] policy
     /* 1664325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664359 */     // GIR_Coverage, 6242,
     /* 1664359 */     GIR_EraseRootFromParent_Done,
     /* 1664360 */   // Label 22837: @1664360
     /* 1664360 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1664446), // Rule ID 6245 //
     /* 1664365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664411 */     // MIs[0] policy
     /* 1664411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664445 */     // GIR_Coverage, 6245,
     /* 1664445 */     GIR_EraseRootFromParent_Done,
     /* 1664446 */   // Label 22838: @1664446
     /* 1664446 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1664532), // Rule ID 6246 //
     /* 1664451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664497 */     // MIs[0] policy
     /* 1664497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664507 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664531 */     // GIR_Coverage, 6246,
     /* 1664531 */     GIR_EraseRootFromParent_Done,
     /* 1664532 */   // Label 22839: @1664532
     /* 1664532 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1664618), // Rule ID 6249 //
     /* 1664537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664583 */     // MIs[0] policy
     /* 1664583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664617 */     // GIR_Coverage, 6249,
     /* 1664617 */     GIR_EraseRootFromParent_Done,
     /* 1664618 */   // Label 22840: @1664618
     /* 1664618 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1664704), // Rule ID 6250 //
     /* 1664623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664669 */     // MIs[0] policy
     /* 1664669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664679 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664703 */     // GIR_Coverage, 6250,
     /* 1664703 */     GIR_EraseRootFromParent_Done,
     /* 1664704 */   // Label 22841: @1664704
     /* 1664704 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1664790), // Rule ID 6253 //
     /* 1664709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1664729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664755 */     // MIs[0] policy
     /* 1664755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664765 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664789 */     // GIR_Coverage, 6253,
     /* 1664789 */     GIR_EraseRootFromParent_Done,
     /* 1664790 */   // Label 22842: @1664790
     /* 1664790 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1664876), // Rule ID 6254 //
     /* 1664795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1664815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664841 */     // MIs[0] policy
     /* 1664841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664875 */     // GIR_Coverage, 6254,
     /* 1664875 */     GIR_EraseRootFromParent_Done,
     /* 1664876 */   // Label 22843: @1664876
     /* 1664876 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1664962), // Rule ID 6257 //
     /* 1664881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664927 */     // MIs[0] policy
     /* 1664927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664937 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664961 */     // GIR_Coverage, 6257,
     /* 1664961 */     GIR_EraseRootFromParent_Done,
     /* 1664962 */   // Label 22844: @1664962
     /* 1664962 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1665048), // Rule ID 6258 //
     /* 1664967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665013 */     // MIs[0] policy
     /* 1665013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665023 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1665026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665047 */     // GIR_Coverage, 6258,
     /* 1665047 */     GIR_EraseRootFromParent_Done,
     /* 1665048 */   // Label 22845: @1665048
     /* 1665048 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1665134), // Rule ID 6261 //
     /* 1665053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665099 */     // MIs[0] policy
     /* 1665099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665109 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665133 */     // GIR_Coverage, 6261,
     /* 1665133 */     GIR_EraseRootFromParent_Done,
     /* 1665134 */   // Label 22846: @1665134
     /* 1665134 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1665220), // Rule ID 6262 //
     /* 1665139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665185 */     // MIs[0] policy
     /* 1665185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665195 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665219 */     // GIR_Coverage, 6262,
     /* 1665219 */     GIR_EraseRootFromParent_Done,
     /* 1665220 */   // Label 22847: @1665220
     /* 1665220 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1665306), // Rule ID 6265 //
     /* 1665225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665271 */     // MIs[0] policy
     /* 1665271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665281 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665305 */     // GIR_Coverage, 6265,
     /* 1665305 */     GIR_EraseRootFromParent_Done,
     /* 1665306 */   // Label 22848: @1665306
     /* 1665306 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1665392), // Rule ID 6266 //
     /* 1665311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665357 */     // MIs[0] policy
     /* 1665357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665391 */     // GIR_Coverage, 6266,
     /* 1665391 */     GIR_EraseRootFromParent_Done,
     /* 1665392 */   // Label 22849: @1665392
     /* 1665392 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1665478), // Rule ID 6269 //
     /* 1665397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665443 */     // MIs[0] policy
     /* 1665443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665477 */     // GIR_Coverage, 6269,
     /* 1665477 */     GIR_EraseRootFromParent_Done,
     /* 1665478 */   // Label 22850: @1665478
     /* 1665478 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1665564), // Rule ID 6270 //
     /* 1665483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665529 */     // MIs[0] policy
     /* 1665529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665563 */     // GIR_Coverage, 6270,
     /* 1665563 */     GIR_EraseRootFromParent_Done,
     /* 1665564 */   // Label 22851: @1665564
     /* 1665564 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1665650), // Rule ID 6273 //
     /* 1665569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665615 */     // MIs[0] policy
     /* 1665615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665625 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1665628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665649 */     // GIR_Coverage, 6273,
     /* 1665649 */     GIR_EraseRootFromParent_Done,
     /* 1665650 */   // Label 22852: @1665650
     /* 1665650 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1665736), // Rule ID 6274 //
     /* 1665655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665701 */     // MIs[0] policy
     /* 1665701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1665714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665735 */     // GIR_Coverage, 6274,
     /* 1665735 */     GIR_EraseRootFromParent_Done,
     /* 1665736 */   // Label 22853: @1665736
     /* 1665736 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1665822), // Rule ID 6277 //
     /* 1665741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665787 */     // MIs[0] policy
     /* 1665787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665821 */     // GIR_Coverage, 6277,
     /* 1665821 */     GIR_EraseRootFromParent_Done,
     /* 1665822 */   // Label 22854: @1665822
     /* 1665822 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1665908), // Rule ID 6278 //
     /* 1665827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665873 */     // MIs[0] policy
     /* 1665873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665883 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665907 */     // GIR_Coverage, 6278,
     /* 1665907 */     GIR_EraseRootFromParent_Done,
     /* 1665908 */   // Label 22855: @1665908
     /* 1665908 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1665994), // Rule ID 6281 //
     /* 1665913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665959 */     // MIs[0] policy
     /* 1665959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1665972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665993 */     // GIR_Coverage, 6281,
     /* 1665993 */     GIR_EraseRootFromParent_Done,
     /* 1665994 */   // Label 22856: @1665994
     /* 1665994 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1666080), // Rule ID 6282 //
     /* 1665999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1666010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1666013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1666016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666045 */     // MIs[0] policy
     /* 1666045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666079 */     // GIR_Coverage, 6282,
     /* 1666079 */     GIR_EraseRootFromParent_Done,
     /* 1666080 */   // Label 22857: @1666080
     /* 1666080 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1666166), // Rule ID 6285 //
     /* 1666085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666131 */     // MIs[0] policy
     /* 1666131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666141 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666165 */     // GIR_Coverage, 6285,
     /* 1666165 */     GIR_EraseRootFromParent_Done,
     /* 1666166 */   // Label 22858: @1666166
     /* 1666166 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1666252), // Rule ID 6286 //
     /* 1666171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666217 */     // MIs[0] policy
     /* 1666217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666251 */     // GIR_Coverage, 6286,
     /* 1666251 */     GIR_EraseRootFromParent_Done,
     /* 1666252 */   // Label 22859: @1666252
     /* 1666252 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1666338), // Rule ID 6289 //
     /* 1666257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666303 */     // MIs[0] policy
     /* 1666303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666313 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666337 */     // GIR_Coverage, 6289,
     /* 1666337 */     GIR_EraseRootFromParent_Done,
     /* 1666338 */   // Label 22860: @1666338
     /* 1666338 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1666424), // Rule ID 6290 //
     /* 1666343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666389 */     // MIs[0] policy
     /* 1666389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666399 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11593:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666423 */     // GIR_Coverage, 6290,
     /* 1666423 */     GIR_EraseRootFromParent_Done,
     /* 1666424 */   // Label 22861: @1666424
     /* 1666424 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1666510), // Rule ID 6293 //
     /* 1666429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666475 */     // MIs[0] policy
     /* 1666475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666509 */     // GIR_Coverage, 6293,
     /* 1666509 */     GIR_EraseRootFromParent_Done,
     /* 1666510 */   // Label 22862: @1666510
     /* 1666510 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1666596), // Rule ID 6294 //
     /* 1666515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666561 */     // MIs[0] policy
     /* 1666561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666595 */     // GIR_Coverage, 6294,
     /* 1666595 */     GIR_EraseRootFromParent_Done,
     /* 1666596 */   // Label 22863: @1666596
     /* 1666596 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1666682), // Rule ID 6297 //
     /* 1666601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666647 */     // MIs[0] policy
     /* 1666647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666681 */     // GIR_Coverage, 6297,
     /* 1666681 */     GIR_EraseRootFromParent_Done,
     /* 1666682 */   // Label 22864: @1666682
     /* 1666682 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1666768), // Rule ID 6298 //
     /* 1666687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666733 */     // MIs[0] policy
     /* 1666733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666767 */     // GIR_Coverage, 6298,
     /* 1666767 */     GIR_EraseRootFromParent_Done,
     /* 1666768 */   // Label 22865: @1666768
     /* 1666768 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1666854), // Rule ID 6301 //
     /* 1666773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666819 */     // MIs[0] policy
     /* 1666819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666853 */     // GIR_Coverage, 6301,
     /* 1666853 */     GIR_EraseRootFromParent_Done,
     /* 1666854 */   // Label 22866: @1666854
     /* 1666854 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1666940), // Rule ID 6302 //
     /* 1666859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666905 */     // MIs[0] policy
     /* 1666905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666939 */     // GIR_Coverage, 6302,
     /* 1666939 */     GIR_EraseRootFromParent_Done,
     /* 1666940 */   // Label 22867: @1666940
     /* 1666940 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1667026), // Rule ID 6305 //
     /* 1666945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666991 */     // MIs[0] policy
     /* 1666991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667025 */     // GIR_Coverage, 6305,
     /* 1667025 */     GIR_EraseRootFromParent_Done,
     /* 1667026 */   // Label 22868: @1667026
     /* 1667026 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1667112), // Rule ID 6306 //
     /* 1667031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1667042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1667045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1667048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667077 */     // MIs[0] policy
     /* 1667077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667111 */     // GIR_Coverage, 6306,
     /* 1667111 */     GIR_EraseRootFromParent_Done,
     /* 1667112 */   // Label 22869: @1667112
     /* 1667112 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1667198), // Rule ID 6309 //
     /* 1667117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667163 */     // MIs[0] policy
     /* 1667163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667173 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667197 */     // GIR_Coverage, 6309,
     /* 1667197 */     GIR_EraseRootFromParent_Done,
     /* 1667198 */   // Label 22870: @1667198
     /* 1667198 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1667284), // Rule ID 6310 //
     /* 1667203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667249 */     // MIs[0] policy
     /* 1667249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667283 */     // GIR_Coverage, 6310,
     /* 1667283 */     GIR_EraseRootFromParent_Done,
     /* 1667284 */   // Label 22871: @1667284
     /* 1667284 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1667370), // Rule ID 6313 //
     /* 1667289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667335 */     // MIs[0] policy
     /* 1667335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667345 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667369 */     // GIR_Coverage, 6313,
     /* 1667369 */     GIR_EraseRootFromParent_Done,
     /* 1667370 */   // Label 22872: @1667370
     /* 1667370 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1667456), // Rule ID 6314 //
     /* 1667375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667421 */     // MIs[0] policy
     /* 1667421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667431 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667455 */     // GIR_Coverage, 6314,
     /* 1667455 */     GIR_EraseRootFromParent_Done,
     /* 1667456 */   // Label 22873: @1667456
     /* 1667456 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1667542), // Rule ID 6317 //
     /* 1667461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667507 */     // MIs[0] policy
     /* 1667507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667541 */     // GIR_Coverage, 6317,
     /* 1667541 */     GIR_EraseRootFromParent_Done,
     /* 1667542 */   // Label 22874: @1667542
     /* 1667542 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1667628), // Rule ID 6318 //
     /* 1667547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667593 */     // MIs[0] policy
     /* 1667593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667627 */     // GIR_Coverage, 6318,
     /* 1667627 */     GIR_EraseRootFromParent_Done,
     /* 1667628 */   // Label 22875: @1667628
     /* 1667628 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1667714), // Rule ID 6321 //
     /* 1667633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667679 */     // MIs[0] policy
     /* 1667679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667689 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667713 */     // GIR_Coverage, 6321,
     /* 1667713 */     GIR_EraseRootFromParent_Done,
     /* 1667714 */   // Label 22876: @1667714
     /* 1667714 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1667800), // Rule ID 6322 //
     /* 1667719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667765 */     // MIs[0] policy
     /* 1667765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667775 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667799 */     // GIR_Coverage, 6322,
     /* 1667799 */     GIR_EraseRootFromParent_Done,
     /* 1667800 */   // Label 22877: @1667800
     /* 1667800 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1667886), // Rule ID 6325 //
     /* 1667805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667851 */     // MIs[0] policy
     /* 1667851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667885 */     // GIR_Coverage, 6325,
     /* 1667885 */     GIR_EraseRootFromParent_Done,
     /* 1667886 */   // Label 22878: @1667886
     /* 1667886 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1667972), // Rule ID 6326 //
     /* 1667891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667937 */     // MIs[0] policy
     /* 1667937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667971 */     // GIR_Coverage, 6326,
     /* 1667971 */     GIR_EraseRootFromParent_Done,
     /* 1667972 */   // Label 22879: @1667972
     /* 1667972 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1668058), // Rule ID 6329 //
     /* 1667977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668023 */     // MIs[0] policy
     /* 1668023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668057 */     // GIR_Coverage, 6329,
     /* 1668057 */     GIR_EraseRootFromParent_Done,
     /* 1668058 */   // Label 22880: @1668058
     /* 1668058 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1668144), // Rule ID 6330 //
     /* 1668063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668109 */     // MIs[0] policy
     /* 1668109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668119 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668143 */     // GIR_Coverage, 6330,
     /* 1668143 */     GIR_EraseRootFromParent_Done,
     /* 1668144 */   // Label 22881: @1668144
     /* 1668144 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1668230), // Rule ID 6333 //
     /* 1668149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668195 */     // MIs[0] policy
     /* 1668195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668229 */     // GIR_Coverage, 6333,
     /* 1668229 */     GIR_EraseRootFromParent_Done,
     /* 1668230 */   // Label 22882: @1668230
     /* 1668230 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1668316), // Rule ID 6334 //
     /* 1668235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668281 */     // MIs[0] policy
     /* 1668281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668315 */     // GIR_Coverage, 6334,
     /* 1668315 */     GIR_EraseRootFromParent_Done,
     /* 1668316 */   // Label 22883: @1668316
     /* 1668316 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1668402), // Rule ID 6337 //
     /* 1668321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668367 */     // MIs[0] policy
     /* 1668367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668401 */     // GIR_Coverage, 6337,
     /* 1668401 */     GIR_EraseRootFromParent_Done,
     /* 1668402 */   // Label 22884: @1668402
     /* 1668402 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1668488), // Rule ID 6338 //
     /* 1668407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668453 */     // MIs[0] policy
     /* 1668453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668487 */     // GIR_Coverage, 6338,
     /* 1668487 */     GIR_EraseRootFromParent_Done,
     /* 1668488 */   // Label 22885: @1668488
     /* 1668488 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1668574), // Rule ID 6341 //
     /* 1668493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668539 */     // MIs[0] policy
     /* 1668539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668573 */     // GIR_Coverage, 6341,
     /* 1668573 */     GIR_EraseRootFromParent_Done,
     /* 1668574 */   // Label 22886: @1668574
     /* 1668574 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1668660), // Rule ID 6342 //
     /* 1668579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668625 */     // MIs[0] policy
     /* 1668625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668659 */     // GIR_Coverage, 6342,
     /* 1668659 */     GIR_EraseRootFromParent_Done,
     /* 1668660 */   // Label 22887: @1668660
     /* 1668660 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1668746), // Rule ID 6345 //
     /* 1668665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668711 */     // MIs[0] policy
     /* 1668711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668745 */     // GIR_Coverage, 6345,
     /* 1668745 */     GIR_EraseRootFromParent_Done,
     /* 1668746 */   // Label 22888: @1668746
     /* 1668746 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1668832), // Rule ID 6346 //
     /* 1668751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668797 */     // MIs[0] policy
     /* 1668797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668831 */     // GIR_Coverage, 6346,
     /* 1668831 */     GIR_EraseRootFromParent_Done,
     /* 1668832 */   // Label 22889: @1668832
     /* 1668832 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1668918), // Rule ID 6349 //
     /* 1668837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668883 */     // MIs[0] policy
     /* 1668883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668893 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668917 */     // GIR_Coverage, 6349,
     /* 1668917 */     GIR_EraseRootFromParent_Done,
     /* 1668918 */   // Label 22890: @1668918
     /* 1668918 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1669004), // Rule ID 6350 //
     /* 1668923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668969 */     // MIs[0] policy
     /* 1668969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669003 */     // GIR_Coverage, 6350,
     /* 1669003 */     GIR_EraseRootFromParent_Done,
     /* 1669004 */   // Label 22891: @1669004
     /* 1669004 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1669090), // Rule ID 6441 //
     /* 1669009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1669029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669055 */     // MIs[0] policy
     /* 1669055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669089 */     // GIR_Coverage, 6441,
     /* 1669089 */     GIR_EraseRootFromParent_Done,
     /* 1669090 */   // Label 22892: @1669090
     /* 1669090 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1669176), // Rule ID 6442 //
     /* 1669095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1669115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669141 */     // MIs[0] policy
     /* 1669141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669175 */     // GIR_Coverage, 6442,
     /* 1669175 */     GIR_EraseRootFromParent_Done,
     /* 1669176 */   // Label 22893: @1669176
     /* 1669176 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1669262), // Rule ID 6445 //
     /* 1669181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669227 */     // MIs[0] policy
     /* 1669227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669237 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669261 */     // GIR_Coverage, 6445,
     /* 1669261 */     GIR_EraseRootFromParent_Done,
     /* 1669262 */   // Label 22894: @1669262
     /* 1669262 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1669348), // Rule ID 6446 //
     /* 1669267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669313 */     // MIs[0] policy
     /* 1669313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669323 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669347 */     // GIR_Coverage, 6446,
     /* 1669347 */     GIR_EraseRootFromParent_Done,
     /* 1669348 */   // Label 22895: @1669348
     /* 1669348 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1669434), // Rule ID 6449 //
     /* 1669353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669399 */     // MIs[0] policy
     /* 1669399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669433 */     // GIR_Coverage, 6449,
     /* 1669433 */     GIR_EraseRootFromParent_Done,
     /* 1669434 */   // Label 22896: @1669434
     /* 1669434 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1669520), // Rule ID 6450 //
     /* 1669439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669485 */     // MIs[0] policy
     /* 1669485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669495 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669519 */     // GIR_Coverage, 6450,
     /* 1669519 */     GIR_EraseRootFromParent_Done,
     /* 1669520 */   // Label 22897: @1669520
     /* 1669520 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1669606), // Rule ID 6453 //
     /* 1669525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669571 */     // MIs[0] policy
     /* 1669571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669581 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669605 */     // GIR_Coverage, 6453,
     /* 1669605 */     GIR_EraseRootFromParent_Done,
     /* 1669606 */   // Label 22898: @1669606
     /* 1669606 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1669692), // Rule ID 6454 //
     /* 1669611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669657 */     // MIs[0] policy
     /* 1669657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669667 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669691 */     // GIR_Coverage, 6454,
     /* 1669691 */     GIR_EraseRootFromParent_Done,
     /* 1669692 */   // Label 22899: @1669692
     /* 1669692 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1669778), // Rule ID 6457 //
     /* 1669697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1669717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669743 */     // MIs[0] policy
     /* 1669743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669777 */     // GIR_Coverage, 6457,
     /* 1669777 */     GIR_EraseRootFromParent_Done,
     /* 1669778 */   // Label 22900: @1669778
     /* 1669778 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1669864), // Rule ID 6458 //
     /* 1669783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1669803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669829 */     // MIs[0] policy
     /* 1669829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669839 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669863 */     // GIR_Coverage, 6458,
     /* 1669863 */     GIR_EraseRootFromParent_Done,
     /* 1669864 */   // Label 22901: @1669864
     /* 1669864 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1669950), // Rule ID 6461 //
     /* 1669869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669915 */     // MIs[0] policy
     /* 1669915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669925 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669949 */     // GIR_Coverage, 6461,
     /* 1669949 */     GIR_EraseRootFromParent_Done,
     /* 1669950 */   // Label 22902: @1669950
     /* 1669950 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1670036), // Rule ID 6462 //
     /* 1669955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670001 */     // MIs[0] policy
     /* 1670001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670011 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670035 */     // GIR_Coverage, 6462,
     /* 1670035 */     GIR_EraseRootFromParent_Done,
     /* 1670036 */   // Label 22903: @1670036
     /* 1670036 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1670122), // Rule ID 6465 //
     /* 1670041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670087 */     // MIs[0] policy
     /* 1670087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670121 */     // GIR_Coverage, 6465,
     /* 1670121 */     GIR_EraseRootFromParent_Done,
     /* 1670122 */   // Label 22904: @1670122
     /* 1670122 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1670208), // Rule ID 6466 //
     /* 1670127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670173 */     // MIs[0] policy
     /* 1670173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670207 */     // GIR_Coverage, 6466,
     /* 1670207 */     GIR_EraseRootFromParent_Done,
     /* 1670208 */   // Label 22905: @1670208
     /* 1670208 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1670294), // Rule ID 6469 //
     /* 1670213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670259 */     // MIs[0] policy
     /* 1670259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670293 */     // GIR_Coverage, 6469,
     /* 1670293 */     GIR_EraseRootFromParent_Done,
     /* 1670294 */   // Label 22906: @1670294
     /* 1670294 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1670380), // Rule ID 6470 //
     /* 1670299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670345 */     // MIs[0] policy
     /* 1670345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670379 */     // GIR_Coverage, 6470,
     /* 1670379 */     GIR_EraseRootFromParent_Done,
     /* 1670380 */   // Label 22907: @1670380
     /* 1670380 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1670466), // Rule ID 6473 //
     /* 1670385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670431 */     // MIs[0] policy
     /* 1670431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670465 */     // GIR_Coverage, 6473,
     /* 1670465 */     GIR_EraseRootFromParent_Done,
     /* 1670466 */   // Label 22908: @1670466
     /* 1670466 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1670552), // Rule ID 6474 //
     /* 1670471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670517 */     // MIs[0] policy
     /* 1670517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670551 */     // GIR_Coverage, 6474,
     /* 1670551 */     GIR_EraseRootFromParent_Done,
     /* 1670552 */   // Label 22909: @1670552
     /* 1670552 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1670638), // Rule ID 6477 //
     /* 1670557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670603 */     // MIs[0] policy
     /* 1670603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670613 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670637 */     // GIR_Coverage, 6477,
     /* 1670637 */     GIR_EraseRootFromParent_Done,
     /* 1670638 */   // Label 22910: @1670638
     /* 1670638 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1670724), // Rule ID 6478 //
     /* 1670643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670689 */     // MIs[0] policy
     /* 1670689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670723 */     // GIR_Coverage, 6478,
     /* 1670723 */     GIR_EraseRootFromParent_Done,
     /* 1670724 */   // Label 22911: @1670724
     /* 1670724 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1670810), // Rule ID 6481 //
     /* 1670729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670775 */     // MIs[0] policy
     /* 1670775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670785 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670809 */     // GIR_Coverage, 6481,
     /* 1670809 */     GIR_EraseRootFromParent_Done,
     /* 1670810 */   // Label 22912: @1670810
     /* 1670810 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1670896), // Rule ID 6482 //
     /* 1670815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670861 */     // MIs[0] policy
     /* 1670861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670895 */     // GIR_Coverage, 6482,
     /* 1670895 */     GIR_EraseRootFromParent_Done,
     /* 1670896 */   // Label 22913: @1670896
     /* 1670896 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1670982), // Rule ID 6485 //
     /* 1670901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670947 */     // MIs[0] policy
     /* 1670947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670957 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1670960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670981 */     // GIR_Coverage, 6485,
     /* 1670981 */     GIR_EraseRootFromParent_Done,
     /* 1670982 */   // Label 22914: @1670982
     /* 1670982 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1671068), // Rule ID 6486 //
     /* 1670987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1671001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1671004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1671007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671033 */     // MIs[0] policy
     /* 1671033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671043 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671067 */     // GIR_Coverage, 6486,
     /* 1671067 */     GIR_EraseRootFromParent_Done,
     /* 1671068 */   // Label 22915: @1671068
     /* 1671068 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1671154), // Rule ID 6489 //
     /* 1671073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671119 */     // MIs[0] policy
     /* 1671119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671129 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671153 */     // GIR_Coverage, 6489,
     /* 1671153 */     GIR_EraseRootFromParent_Done,
     /* 1671154 */   // Label 22916: @1671154
     /* 1671154 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1671240), // Rule ID 6490 //
     /* 1671159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671205 */     // MIs[0] policy
     /* 1671205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671215 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671239 */     // GIR_Coverage, 6490,
     /* 1671239 */     GIR_EraseRootFromParent_Done,
     /* 1671240 */   // Label 22917: @1671240
     /* 1671240 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1671326), // Rule ID 6493 //
     /* 1671245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671291 */     // MIs[0] policy
     /* 1671291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671325 */     // GIR_Coverage, 6493,
     /* 1671325 */     GIR_EraseRootFromParent_Done,
     /* 1671326 */   // Label 22918: @1671326
     /* 1671326 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1671412), // Rule ID 6494 //
     /* 1671331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671377 */     // MIs[0] policy
     /* 1671377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671411 */     // GIR_Coverage, 6494,
     /* 1671411 */     GIR_EraseRootFromParent_Done,
     /* 1671412 */   // Label 22919: @1671412
     /* 1671412 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1671498), // Rule ID 6497 //
     /* 1671417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671463 */     // MIs[0] policy
     /* 1671463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671473 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671497 */     // GIR_Coverage, 6497,
     /* 1671497 */     GIR_EraseRootFromParent_Done,
     /* 1671498 */   // Label 22920: @1671498
     /* 1671498 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1671584), // Rule ID 6498 //
     /* 1671503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671549 */     // MIs[0] policy
     /* 1671549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671559 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671583 */     // GIR_Coverage, 6498,
     /* 1671583 */     GIR_EraseRootFromParent_Done,
     /* 1671584 */   // Label 22921: @1671584
     /* 1671584 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1671670), // Rule ID 6501 //
     /* 1671589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671635 */     // MIs[0] policy
     /* 1671635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671669 */     // GIR_Coverage, 6501,
     /* 1671669 */     GIR_EraseRootFromParent_Done,
     /* 1671670 */   // Label 22922: @1671670
     /* 1671670 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1671756), // Rule ID 6502 //
     /* 1671675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671721 */     // MIs[0] policy
     /* 1671721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671755 */     // GIR_Coverage, 6502,
     /* 1671755 */     GIR_EraseRootFromParent_Done,
     /* 1671756 */   // Label 22923: @1671756
     /* 1671756 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1671842), // Rule ID 6505 //
     /* 1671761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671807 */     // MIs[0] policy
     /* 1671807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671841 */     // GIR_Coverage, 6505,
     /* 1671841 */     GIR_EraseRootFromParent_Done,
     /* 1671842 */   // Label 22924: @1671842
     /* 1671842 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1671928), // Rule ID 6506 //
     /* 1671847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671893 */     // MIs[0] policy
     /* 1671893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671927 */     // GIR_Coverage, 6506,
     /* 1671927 */     GIR_EraseRootFromParent_Done,
     /* 1671928 */   // Label 22925: @1671928
     /* 1671928 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1672014), // Rule ID 6509 //
     /* 1671933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671979 */     // MIs[0] policy
     /* 1671979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672013 */     // GIR_Coverage, 6509,
     /* 1672013 */     GIR_EraseRootFromParent_Done,
     /* 1672014 */   // Label 22926: @1672014
     /* 1672014 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1672100), // Rule ID 6510 //
     /* 1672019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1672030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1672033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1672036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1672039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672065 */     // MIs[0] policy
     /* 1672065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672099 */     // GIR_Coverage, 6510,
     /* 1672099 */     GIR_EraseRootFromParent_Done,
     /* 1672100 */   // Label 22927: @1672100
     /* 1672100 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1672186), // Rule ID 6513 //
     /* 1672105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672151 */     // MIs[0] policy
     /* 1672151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672185 */     // GIR_Coverage, 6513,
     /* 1672185 */     GIR_EraseRootFromParent_Done,
     /* 1672186 */   // Label 22928: @1672186
     /* 1672186 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1672272), // Rule ID 6514 //
     /* 1672191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672237 */     // MIs[0] policy
     /* 1672237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672271 */     // GIR_Coverage, 6514,
     /* 1672271 */     GIR_EraseRootFromParent_Done,
     /* 1672272 */   // Label 22929: @1672272
     /* 1672272 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1672358), // Rule ID 6517 //
     /* 1672277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672323 */     // MIs[0] policy
     /* 1672323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672357 */     // GIR_Coverage, 6517,
     /* 1672357 */     GIR_EraseRootFromParent_Done,
     /* 1672358 */   // Label 22930: @1672358
     /* 1672358 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1672444), // Rule ID 6518 //
     /* 1672363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672409 */     // MIs[0] policy
     /* 1672409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672419 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672443 */     // GIR_Coverage, 6518,
     /* 1672443 */     GIR_EraseRootFromParent_Done,
     /* 1672444 */   // Label 22931: @1672444
     /* 1672444 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1672530), // Rule ID 6521 //
     /* 1672449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672495 */     // MIs[0] policy
     /* 1672495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672505 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672529 */     // GIR_Coverage, 6521,
     /* 1672529 */     GIR_EraseRootFromParent_Done,
     /* 1672530 */   // Label 22932: @1672530
     /* 1672530 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1672616), // Rule ID 6522 //
     /* 1672535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672581 */     // MIs[0] policy
     /* 1672581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672591 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672615 */     // GIR_Coverage, 6522,
     /* 1672615 */     GIR_EraseRootFromParent_Done,
     /* 1672616 */   // Label 22933: @1672616
     /* 1672616 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1672702), // Rule ID 6525 //
     /* 1672621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672667 */     // MIs[0] policy
     /* 1672667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672677 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672701 */     // GIR_Coverage, 6525,
     /* 1672701 */     GIR_EraseRootFromParent_Done,
     /* 1672702 */   // Label 22934: @1672702
     /* 1672702 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1672788), // Rule ID 6526 //
     /* 1672707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672753 */     // MIs[0] policy
     /* 1672753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672763 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672787 */     // GIR_Coverage, 6526,
     /* 1672787 */     GIR_EraseRootFromParent_Done,
     /* 1672788 */   // Label 22935: @1672788
     /* 1672788 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1672874), // Rule ID 6529 //
     /* 1672793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672839 */     // MIs[0] policy
     /* 1672839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1672852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672873 */     // GIR_Coverage, 6529,
     /* 1672873 */     GIR_EraseRootFromParent_Done,
     /* 1672874 */   // Label 22936: @1672874
     /* 1672874 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1672960), // Rule ID 6530 //
     /* 1672879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672925 */     // MIs[0] policy
     /* 1672925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672935 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1672938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672959 */     // GIR_Coverage, 6530,
     /* 1672959 */     GIR_EraseRootFromParent_Done,
     /* 1672960 */   // Label 22937: @1672960
     /* 1672960 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1673046), // Rule ID 6533 //
     /* 1672965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673011 */     // MIs[0] policy
     /* 1673011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673045 */     // GIR_Coverage, 6533,
     /* 1673045 */     GIR_EraseRootFromParent_Done,
     /* 1673046 */   // Label 22938: @1673046
     /* 1673046 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1673132), // Rule ID 6534 //
     /* 1673051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673097 */     // MIs[0] policy
     /* 1673097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673131 */     // GIR_Coverage, 6534,
     /* 1673131 */     GIR_EraseRootFromParent_Done,
     /* 1673132 */   // Label 22939: @1673132
     /* 1673132 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1673218), // Rule ID 6537 //
     /* 1673137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673183 */     // MIs[0] policy
     /* 1673183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673193 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673217 */     // GIR_Coverage, 6537,
     /* 1673217 */     GIR_EraseRootFromParent_Done,
     /* 1673218 */   // Label 22940: @1673218
     /* 1673218 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1673304), // Rule ID 6538 //
     /* 1673223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673269 */     // MIs[0] policy
     /* 1673269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673279 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673303 */     // GIR_Coverage, 6538,
     /* 1673303 */     GIR_EraseRootFromParent_Done,
     /* 1673304 */   // Label 22941: @1673304
     /* 1673304 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1673390), // Rule ID 6541 //
     /* 1673309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673355 */     // MIs[0] policy
     /* 1673355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673365 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673389 */     // GIR_Coverage, 6541,
     /* 1673389 */     GIR_EraseRootFromParent_Done,
     /* 1673390 */   // Label 22942: @1673390
     /* 1673390 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1673476), // Rule ID 6542 //
     /* 1673395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673441 */     // MIs[0] policy
     /* 1673441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673475 */     // GIR_Coverage, 6542,
     /* 1673475 */     GIR_EraseRootFromParent_Done,
     /* 1673476 */   // Label 22943: @1673476
     /* 1673476 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1673562), // Rule ID 6545 //
     /* 1673481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673527 */     // MIs[0] policy
     /* 1673527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673537 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673561 */     // GIR_Coverage, 6545,
     /* 1673561 */     GIR_EraseRootFromParent_Done,
     /* 1673562 */   // Label 22944: @1673562
     /* 1673562 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1673648), // Rule ID 6546 //
     /* 1673567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673613 */     // MIs[0] policy
     /* 1673613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673647 */     // GIR_Coverage, 6546,
     /* 1673647 */     GIR_EraseRootFromParent_Done,
     /* 1673648 */   // Label 22945: @1673648
     /* 1673648 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1673734), // Rule ID 6549 //
     /* 1673653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673699 */     // MIs[0] policy
     /* 1673699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673733 */     // GIR_Coverage, 6549,
     /* 1673733 */     GIR_EraseRootFromParent_Done,
     /* 1673734 */   // Label 22946: @1673734
     /* 1673734 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1673820), // Rule ID 6550 //
     /* 1673739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673785 */     // MIs[0] policy
     /* 1673785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673819 */     // GIR_Coverage, 6550,
     /* 1673819 */     GIR_EraseRootFromParent_Done,
     /* 1673820 */   // Label 22947: @1673820
     /* 1673820 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1673906), // Rule ID 6553 //
     /* 1673825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673871 */     // MIs[0] policy
     /* 1673871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673881 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1673884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673905 */     // GIR_Coverage, 6553,
     /* 1673905 */     GIR_EraseRootFromParent_Done,
     /* 1673906 */   // Label 22948: @1673906
     /* 1673906 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1673992), // Rule ID 6554 //
     /* 1673911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673957 */     // MIs[0] policy
     /* 1673957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1673970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673991 */     // GIR_Coverage, 6554,
     /* 1673991 */     GIR_EraseRootFromParent_Done,
     /* 1673992 */   // Label 22949: @1673992
     /* 1673992 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1674078), // Rule ID 6557 //
     /* 1673997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674043 */     // MIs[0] policy
     /* 1674043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674077 */     // GIR_Coverage, 6557,
     /* 1674077 */     GIR_EraseRootFromParent_Done,
     /* 1674078 */   // Label 22950: @1674078
     /* 1674078 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1674164), // Rule ID 6558 //
     /* 1674083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674129 */     // MIs[0] policy
     /* 1674129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674163 */     // GIR_Coverage, 6558,
     /* 1674163 */     GIR_EraseRootFromParent_Done,
     /* 1674164 */   // Label 22951: @1674164
     /* 1674164 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1674250), // Rule ID 6561 //
     /* 1674169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674215 */     // MIs[0] policy
     /* 1674215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674249 */     // GIR_Coverage, 6561,
     /* 1674249 */     GIR_EraseRootFromParent_Done,
     /* 1674250 */   // Label 22952: @1674250
     /* 1674250 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1674336), // Rule ID 6562 //
     /* 1674255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674301 */     // MIs[0] policy
     /* 1674301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674335 */     // GIR_Coverage, 6562,
     /* 1674335 */     GIR_EraseRootFromParent_Done,
     /* 1674336 */   // Label 22953: @1674336
     /* 1674336 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1674422), // Rule ID 6565 //
     /* 1674341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674387 */     // MIs[0] policy
     /* 1674387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674421 */     // GIR_Coverage, 6565,
     /* 1674421 */     GIR_EraseRootFromParent_Done,
     /* 1674422 */   // Label 22954: @1674422
     /* 1674422 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1674508), // Rule ID 6566 //
     /* 1674427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674473 */     // MIs[0] policy
     /* 1674473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674507 */     // GIR_Coverage, 6566,
     /* 1674507 */     GIR_EraseRootFromParent_Done,
     /* 1674508 */   // Label 22955: @1674508
     /* 1674508 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1674594), // Rule ID 6569 //
     /* 1674513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674559 */     // MIs[0] policy
     /* 1674559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674569 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674593 */     // GIR_Coverage, 6569,
     /* 1674593 */     GIR_EraseRootFromParent_Done,
     /* 1674594 */   // Label 22956: @1674594
     /* 1674594 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1674680), // Rule ID 6570 //
     /* 1674599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674645 */     // MIs[0] policy
     /* 1674645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674655 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674679 */     // GIR_Coverage, 6570,
     /* 1674679 */     GIR_EraseRootFromParent_Done,
     /* 1674680 */   // Label 22957: @1674680
     /* 1674680 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1674766), // Rule ID 6573 //
     /* 1674685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674731 */     // MIs[0] policy
     /* 1674731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674741 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674765 */     // GIR_Coverage, 6573,
     /* 1674765 */     GIR_EraseRootFromParent_Done,
     /* 1674766 */   // Label 22958: @1674766
     /* 1674766 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1674852), // Rule ID 6574 //
     /* 1674771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674817 */     // MIs[0] policy
     /* 1674817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674851 */     // GIR_Coverage, 6574,
     /* 1674851 */     GIR_EraseRootFromParent_Done,
     /* 1674852 */   // Label 22959: @1674852
     /* 1674852 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1674938), // Rule ID 6577 //
     /* 1674857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674903 */     // MIs[0] policy
     /* 1674903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674913 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1674916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674937 */     // GIR_Coverage, 6577,
     /* 1674937 */     GIR_EraseRootFromParent_Done,
     /* 1674938 */   // Label 22960: @1674938
     /* 1674938 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1675024), // Rule ID 6578 //
     /* 1674943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674989 */     // MIs[0] policy
     /* 1674989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674999 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675023 */     // GIR_Coverage, 6578,
     /* 1675023 */     GIR_EraseRootFromParent_Done,
     /* 1675024 */   // Label 22961: @1675024
     /* 1675024 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1675110), // Rule ID 6581 //
     /* 1675029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675075 */     // MIs[0] policy
     /* 1675075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675109 */     // GIR_Coverage, 6581,
     /* 1675109 */     GIR_EraseRootFromParent_Done,
     /* 1675110 */   // Label 22962: @1675110
     /* 1675110 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1675196), // Rule ID 6582 //
     /* 1675115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675161 */     // MIs[0] policy
     /* 1675161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675195 */     // GIR_Coverage, 6582,
     /* 1675195 */     GIR_EraseRootFromParent_Done,
     /* 1675196 */   // Label 22963: @1675196
     /* 1675196 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1675282), // Rule ID 6585 //
     /* 1675201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675247 */     // MIs[0] policy
     /* 1675247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675257 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675281 */     // GIR_Coverage, 6585,
     /* 1675281 */     GIR_EraseRootFromParent_Done,
     /* 1675282 */   // Label 22964: @1675282
     /* 1675282 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1675368), // Rule ID 6586 //
     /* 1675287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675333 */     // MIs[0] policy
     /* 1675333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675367 */     // GIR_Coverage, 6586,
     /* 1675367 */     GIR_EraseRootFromParent_Done,
     /* 1675368 */   // Label 22965: @1675368
     /* 1675368 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1675454), // Rule ID 6589 //
     /* 1675373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675419 */     // MIs[0] policy
     /* 1675419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675453 */     // GIR_Coverage, 6589,
     /* 1675453 */     GIR_EraseRootFromParent_Done,
     /* 1675454 */   // Label 22966: @1675454
     /* 1675454 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1675540), // Rule ID 6590 //
     /* 1675459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675505 */     // MIs[0] policy
     /* 1675505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675539 */     // GIR_Coverage, 6590,
     /* 1675539 */     GIR_EraseRootFromParent_Done,
     /* 1675540 */   // Label 22967: @1675540
     /* 1675540 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1675626), // Rule ID 6593 //
     /* 1675545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675591 */     // MIs[0] policy
     /* 1675591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675625 */     // GIR_Coverage, 6593,
     /* 1675625 */     GIR_EraseRootFromParent_Done,
     /* 1675626 */   // Label 22968: @1675626
     /* 1675626 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1675712), // Rule ID 6594 //
     /* 1675631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675677 */     // MIs[0] policy
     /* 1675677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675711 */     // GIR_Coverage, 6594,
     /* 1675711 */     GIR_EraseRootFromParent_Done,
     /* 1675712 */   // Label 22969: @1675712
     /* 1675712 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1675798), // Rule ID 6597 //
     /* 1675717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675763 */     // MIs[0] policy
     /* 1675763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675797 */     // GIR_Coverage, 6597,
     /* 1675797 */     GIR_EraseRootFromParent_Done,
     /* 1675798 */   // Label 22970: @1675798
     /* 1675798 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1675884), // Rule ID 6598 //
     /* 1675803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675849 */     // MIs[0] policy
     /* 1675849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675883 */     // GIR_Coverage, 6598,
     /* 1675883 */     GIR_EraseRootFromParent_Done,
     /* 1675884 */   // Label 22971: @1675884
     /* 1675884 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1675970), // Rule ID 6601 //
     /* 1675889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675935 */     // MIs[0] policy
     /* 1675935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675945 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675969 */     // GIR_Coverage, 6601,
     /* 1675969 */     GIR_EraseRootFromParent_Done,
     /* 1675970 */   // Label 22972: @1675970
     /* 1675970 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1676056), // Rule ID 6602 //
     /* 1675975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676021 */     // MIs[0] policy
     /* 1676021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676055 */     // GIR_Coverage, 6602,
     /* 1676055 */     GIR_EraseRootFromParent_Done,
     /* 1676056 */   // Label 22973: @1676056
     /* 1676056 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1676142), // Rule ID 6605 //
     /* 1676061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676107 */     // MIs[0] policy
     /* 1676107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676141 */     // GIR_Coverage, 6605,
     /* 1676141 */     GIR_EraseRootFromParent_Done,
     /* 1676142 */   // Label 22974: @1676142
     /* 1676142 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1676228), // Rule ID 6606 //
     /* 1676147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676193 */     // MIs[0] policy
     /* 1676193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676227 */     // GIR_Coverage, 6606,
     /* 1676227 */     GIR_EraseRootFromParent_Done,
     /* 1676228 */   // Label 22975: @1676228
     /* 1676228 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1676314), // Rule ID 6609 //
     /* 1676233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676279 */     // MIs[0] policy
     /* 1676279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676289 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676313 */     // GIR_Coverage, 6609,
     /* 1676313 */     GIR_EraseRootFromParent_Done,
     /* 1676314 */   // Label 22976: @1676314
     /* 1676314 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1676400), // Rule ID 6610 //
     /* 1676319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676365 */     // MIs[0] policy
     /* 1676365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676399 */     // GIR_Coverage, 6610,
     /* 1676399 */     GIR_EraseRootFromParent_Done,
     /* 1676400 */   // Label 22977: @1676400
     /* 1676400 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1676486), // Rule ID 6613 //
     /* 1676405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676451 */     // MIs[0] policy
     /* 1676451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676485 */     // GIR_Coverage, 6613,
     /* 1676485 */     GIR_EraseRootFromParent_Done,
     /* 1676486 */   // Label 22978: @1676486
     /* 1676486 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1676572), // Rule ID 6614 //
     /* 1676491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676537 */     // MIs[0] policy
     /* 1676537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676571 */     // GIR_Coverage, 6614,
     /* 1676571 */     GIR_EraseRootFromParent_Done,
     /* 1676572 */   // Label 22979: @1676572
     /* 1676572 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1676658), // Rule ID 6705 //
     /* 1676577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676623 */     // MIs[0] policy
     /* 1676623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1676636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676657 */     // GIR_Coverage, 6705,
     /* 1676657 */     GIR_EraseRootFromParent_Done,
     /* 1676658 */   // Label 22980: @1676658
     /* 1676658 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1676744), // Rule ID 6706 //
     /* 1676663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676709 */     // MIs[0] policy
     /* 1676709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676719 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1676722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676743 */     // GIR_Coverage, 6706,
     /* 1676743 */     GIR_EraseRootFromParent_Done,
     /* 1676744 */   // Label 22981: @1676744
     /* 1676744 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1676830), // Rule ID 6709 //
     /* 1676749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1676769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676795 */     // MIs[0] policy
     /* 1676795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1676808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676829 */     // GIR_Coverage, 6709,
     /* 1676829 */     GIR_EraseRootFromParent_Done,
     /* 1676830 */   // Label 22982: @1676830
     /* 1676830 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1676916), // Rule ID 6710 //
     /* 1676835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1676855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676881 */     // MIs[0] policy
     /* 1676881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676891 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1676894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676915 */     // GIR_Coverage, 6710,
     /* 1676915 */     GIR_EraseRootFromParent_Done,
     /* 1676916 */   // Label 22983: @1676916
     /* 1676916 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1677002), // Rule ID 6713 //
     /* 1676921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1676941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676967 */     // MIs[0] policy
     /* 1676967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1676980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677001 */     // GIR_Coverage, 6713,
     /* 1677001 */     GIR_EraseRootFromParent_Done,
     /* 1677002 */   // Label 22984: @1677002
     /* 1677002 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1677088), // Rule ID 6714 //
     /* 1677007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1677027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677053 */     // MIs[0] policy
     /* 1677053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677063 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677087 */     // GIR_Coverage, 6714,
     /* 1677087 */     GIR_EraseRootFromParent_Done,
     /* 1677088 */   // Label 22985: @1677088
     /* 1677088 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1677174), // Rule ID 6717 //
     /* 1677093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677139 */     // MIs[0] policy
     /* 1677139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677173 */     // GIR_Coverage, 6717,
     /* 1677173 */     GIR_EraseRootFromParent_Done,
     /* 1677174 */   // Label 22986: @1677174
     /* 1677174 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1677260), // Rule ID 6718 //
     /* 1677179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677225 */     // MIs[0] policy
     /* 1677225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677259 */     // GIR_Coverage, 6718,
     /* 1677259 */     GIR_EraseRootFromParent_Done,
     /* 1677260 */   // Label 22987: @1677260
     /* 1677260 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1677346), // Rule ID 6721 //
     /* 1677265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677311 */     // MIs[0] policy
     /* 1677311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677345 */     // GIR_Coverage, 6721,
     /* 1677345 */     GIR_EraseRootFromParent_Done,
     /* 1677346 */   // Label 22988: @1677346
     /* 1677346 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1677432), // Rule ID 6722 //
     /* 1677351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677397 */     // MIs[0] policy
     /* 1677397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677431 */     // GIR_Coverage, 6722,
     /* 1677431 */     GIR_EraseRootFromParent_Done,
     /* 1677432 */   // Label 22989: @1677432
     /* 1677432 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1677518), // Rule ID 6725 //
     /* 1677437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677483 */     // MIs[0] policy
     /* 1677483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677517 */     // GIR_Coverage, 6725,
     /* 1677517 */     GIR_EraseRootFromParent_Done,
     /* 1677518 */   // Label 22990: @1677518
     /* 1677518 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1677604), // Rule ID 6726 //
     /* 1677523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677569 */     // MIs[0] policy
     /* 1677569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677603 */     // GIR_Coverage, 6726,
     /* 1677603 */     GIR_EraseRootFromParent_Done,
     /* 1677604 */   // Label 22991: @1677604
     /* 1677604 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1677690), // Rule ID 6729 //
     /* 1677609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1677629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677655 */     // MIs[0] policy
     /* 1677655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677689 */     // GIR_Coverage, 6729,
     /* 1677689 */     GIR_EraseRootFromParent_Done,
     /* 1677690 */   // Label 22992: @1677690
     /* 1677690 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1677776), // Rule ID 6730 //
     /* 1677695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1677715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677741 */     // MIs[0] policy
     /* 1677741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677775 */     // GIR_Coverage, 6730,
     /* 1677775 */     GIR_EraseRootFromParent_Done,
     /* 1677776 */   // Label 22993: @1677776
     /* 1677776 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1677862), // Rule ID 6733 //
     /* 1677781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1677801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677827 */     // MIs[0] policy
     /* 1677827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677861 */     // GIR_Coverage, 6733,
     /* 1677861 */     GIR_EraseRootFromParent_Done,
     /* 1677862 */   // Label 22994: @1677862
     /* 1677862 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1677948), // Rule ID 6734 //
     /* 1677867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1677887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677913 */     // MIs[0] policy
     /* 1677913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677947 */     // GIR_Coverage, 6734,
     /* 1677947 */     GIR_EraseRootFromParent_Done,
     /* 1677948 */   // Label 22995: @1677948
     /* 1677948 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1678034), // Rule ID 6737 //
     /* 1677953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1677973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677999 */     // MIs[0] policy
     /* 1677999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678033 */     // GIR_Coverage, 6737,
     /* 1678033 */     GIR_EraseRootFromParent_Done,
     /* 1678034 */   // Label 22996: @1678034
     /* 1678034 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1678120), // Rule ID 6738 //
     /* 1678039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678085 */     // MIs[0] policy
     /* 1678085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678119 */     // GIR_Coverage, 6738,
     /* 1678119 */     GIR_EraseRootFromParent_Done,
     /* 1678120 */   // Label 22997: @1678120
     /* 1678120 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1678206), // Rule ID 6741 //
     /* 1678125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678171 */     // MIs[0] policy
     /* 1678171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678205 */     // GIR_Coverage, 6741,
     /* 1678205 */     GIR_EraseRootFromParent_Done,
     /* 1678206 */   // Label 22998: @1678206
     /* 1678206 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1678292), // Rule ID 6742 //
     /* 1678211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678257 */     // MIs[0] policy
     /* 1678257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678291 */     // GIR_Coverage, 6742,
     /* 1678291 */     GIR_EraseRootFromParent_Done,
     /* 1678292 */   // Label 22999: @1678292
     /* 1678292 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1678378), // Rule ID 6745 //
     /* 1678297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678343 */     // MIs[0] policy
     /* 1678343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678377 */     // GIR_Coverage, 6745,
     /* 1678377 */     GIR_EraseRootFromParent_Done,
     /* 1678378 */   // Label 23000: @1678378
     /* 1678378 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1678464), // Rule ID 6746 //
     /* 1678383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678429 */     // MIs[0] policy
     /* 1678429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678439 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678463 */     // GIR_Coverage, 6746,
     /* 1678463 */     GIR_EraseRootFromParent_Done,
     /* 1678464 */   // Label 23001: @1678464
     /* 1678464 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1678550), // Rule ID 6749 //
     /* 1678469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678515 */     // MIs[0] policy
     /* 1678515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678525 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678549 */     // GIR_Coverage, 6749,
     /* 1678549 */     GIR_EraseRootFromParent_Done,
     /* 1678550 */   // Label 23002: @1678550
     /* 1678550 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1678636), // Rule ID 6750 //
     /* 1678555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678601 */     // MIs[0] policy
     /* 1678601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678611 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678635 */     // GIR_Coverage, 6750,
     /* 1678635 */     GIR_EraseRootFromParent_Done,
     /* 1678636 */   // Label 23003: @1678636
     /* 1678636 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1678722), // Rule ID 6753 //
     /* 1678641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1678661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678687 */     // MIs[0] policy
     /* 1678687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1678700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678721 */     // GIR_Coverage, 6753,
     /* 1678721 */     GIR_EraseRootFromParent_Done,
     /* 1678722 */   // Label 23004: @1678722
     /* 1678722 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1678808), // Rule ID 6754 //
     /* 1678727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1678747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678773 */     // MIs[0] policy
     /* 1678773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1678786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678807 */     // GIR_Coverage, 6754,
     /* 1678807 */     GIR_EraseRootFromParent_Done,
     /* 1678808 */   // Label 23005: @1678808
     /* 1678808 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1678894), // Rule ID 6757 //
     /* 1678813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1678833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678859 */     // MIs[0] policy
     /* 1678859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678893 */     // GIR_Coverage, 6757,
     /* 1678893 */     GIR_EraseRootFromParent_Done,
     /* 1678894 */   // Label 23006: @1678894
     /* 1678894 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1678980), // Rule ID 6758 //
     /* 1678899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1678919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678945 */     // MIs[0] policy
     /* 1678945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678979 */     // GIR_Coverage, 6758,
     /* 1678979 */     GIR_EraseRootFromParent_Done,
     /* 1678980 */   // Label 23007: @1678980
     /* 1678980 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1679066), // Rule ID 6761 //
     /* 1678985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1679005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679031 */     // MIs[0] policy
     /* 1679031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679065 */     // GIR_Coverage, 6761,
     /* 1679065 */     GIR_EraseRootFromParent_Done,
     /* 1679066 */   // Label 23008: @1679066
     /* 1679066 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1679152), // Rule ID 6762 //
     /* 1679071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1679091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679117 */     // MIs[0] policy
     /* 1679117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679151 */     // GIR_Coverage, 6762,
     /* 1679151 */     GIR_EraseRootFromParent_Done,
     /* 1679152 */   // Label 23009: @1679152
     /* 1679152 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1679238), // Rule ID 6765 //
     /* 1679157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679203 */     // MIs[0] policy
     /* 1679203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679213 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679237 */     // GIR_Coverage, 6765,
     /* 1679237 */     GIR_EraseRootFromParent_Done,
     /* 1679238 */   // Label 23010: @1679238
     /* 1679238 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1679324), // Rule ID 6766 //
     /* 1679243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679289 */     // MIs[0] policy
     /* 1679289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679323 */     // GIR_Coverage, 6766,
     /* 1679323 */     GIR_EraseRootFromParent_Done,
     /* 1679324 */   // Label 23011: @1679324
     /* 1679324 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1679410), // Rule ID 6769 //
     /* 1679329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679375 */     // MIs[0] policy
     /* 1679375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679409 */     // GIR_Coverage, 6769,
     /* 1679409 */     GIR_EraseRootFromParent_Done,
     /* 1679410 */   // Label 23012: @1679410
     /* 1679410 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1679496), // Rule ID 6770 //
     /* 1679415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679461 */     // MIs[0] policy
     /* 1679461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679495 */     // GIR_Coverage, 6770,
     /* 1679495 */     GIR_EraseRootFromParent_Done,
     /* 1679496 */   // Label 23013: @1679496
     /* 1679496 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1679582), // Rule ID 6773 //
     /* 1679501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679547 */     // MIs[0] policy
     /* 1679547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679557 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679581 */     // GIR_Coverage, 6773,
     /* 1679581 */     GIR_EraseRootFromParent_Done,
     /* 1679582 */   // Label 23014: @1679582
     /* 1679582 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1679668), // Rule ID 6774 //
     /* 1679587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679633 */     // MIs[0] policy
     /* 1679633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679667 */     // GIR_Coverage, 6774,
     /* 1679667 */     GIR_EraseRootFromParent_Done,
     /* 1679668 */   // Label 23015: @1679668
     /* 1679668 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1679754), // Rule ID 6777 //
     /* 1679673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1679693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679719 */     // MIs[0] policy
     /* 1679719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679753 */     // GIR_Coverage, 6777,
     /* 1679753 */     GIR_EraseRootFromParent_Done,
     /* 1679754 */   // Label 23016: @1679754
     /* 1679754 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1679840), // Rule ID 6778 //
     /* 1679759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1679779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679805 */     // MIs[0] policy
     /* 1679805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679839 */     // GIR_Coverage, 6778,
     /* 1679839 */     GIR_EraseRootFromParent_Done,
     /* 1679840 */   // Label 23017: @1679840
     /* 1679840 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1679926), // Rule ID 6781 //
     /* 1679845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1679865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679891 */     // MIs[0] policy
     /* 1679891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679925 */     // GIR_Coverage, 6781,
     /* 1679925 */     GIR_EraseRootFromParent_Done,
     /* 1679926 */   // Label 23018: @1679926
     /* 1679926 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1680012), // Rule ID 6782 //
     /* 1679931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1679951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679977 */     // MIs[0] policy
     /* 1679977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680011 */     // GIR_Coverage, 6782,
     /* 1680011 */     GIR_EraseRootFromParent_Done,
     /* 1680012 */   // Label 23019: @1680012
     /* 1680012 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1680098), // Rule ID 6785 //
     /* 1680017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1680037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680063 */     // MIs[0] policy
     /* 1680063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680097 */     // GIR_Coverage, 6785,
     /* 1680097 */     GIR_EraseRootFromParent_Done,
     /* 1680098 */   // Label 23020: @1680098
     /* 1680098 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1680184), // Rule ID 6786 //
     /* 1680103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1680123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680149 */     // MIs[0] policy
     /* 1680149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680183 */     // GIR_Coverage, 6786,
     /* 1680183 */     GIR_EraseRootFromParent_Done,
     /* 1680184 */   // Label 23021: @1680184
     /* 1680184 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1680270), // Rule ID 6789 //
     /* 1680189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680235 */     // MIs[0] policy
     /* 1680235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680245 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680269 */     // GIR_Coverage, 6789,
     /* 1680269 */     GIR_EraseRootFromParent_Done,
     /* 1680270 */   // Label 23022: @1680270
     /* 1680270 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1680356), // Rule ID 6790 //
     /* 1680275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680321 */     // MIs[0] policy
     /* 1680321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680355 */     // GIR_Coverage, 6790,
     /* 1680355 */     GIR_EraseRootFromParent_Done,
     /* 1680356 */   // Label 23023: @1680356
     /* 1680356 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1680442), // Rule ID 6793 //
     /* 1680361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680407 */     // MIs[0] policy
     /* 1680407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680417 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680441 */     // GIR_Coverage, 6793,
     /* 1680441 */     GIR_EraseRootFromParent_Done,
     /* 1680442 */   // Label 23024: @1680442
     /* 1680442 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1680528), // Rule ID 6794 //
     /* 1680447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680493 */     // MIs[0] policy
     /* 1680493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680527 */     // GIR_Coverage, 6794,
     /* 1680527 */     GIR_EraseRootFromParent_Done,
     /* 1680528 */   // Label 23025: @1680528
     /* 1680528 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1680614), // Rule ID 6797 //
     /* 1680533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680579 */     // MIs[0] policy
     /* 1680579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680589 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680613 */     // GIR_Coverage, 6797,
     /* 1680613 */     GIR_EraseRootFromParent_Done,
     /* 1680614 */   // Label 23026: @1680614
     /* 1680614 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1680700), // Rule ID 6798 //
     /* 1680619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680665 */     // MIs[0] policy
     /* 1680665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680675 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680699 */     // GIR_Coverage, 6798,
     /* 1680699 */     GIR_EraseRootFromParent_Done,
     /* 1680700 */   // Label 23027: @1680700
     /* 1680700 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1680786), // Rule ID 6801 //
     /* 1680705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680751 */     // MIs[0] policy
     /* 1680751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680761 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1680764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680785 */     // GIR_Coverage, 6801,
     /* 1680785 */     GIR_EraseRootFromParent_Done,
     /* 1680786 */   // Label 23028: @1680786
     /* 1680786 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1680872), // Rule ID 6802 //
     /* 1680791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680837 */     // MIs[0] policy
     /* 1680837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1680850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680871 */     // GIR_Coverage, 6802,
     /* 1680871 */     GIR_EraseRootFromParent_Done,
     /* 1680872 */   // Label 23029: @1680872
     /* 1680872 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1680958), // Rule ID 6805 //
     /* 1680877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680923 */     // MIs[0] policy
     /* 1680923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680957 */     // GIR_Coverage, 6805,
     /* 1680957 */     GIR_EraseRootFromParent_Done,
     /* 1680958 */   // Label 23030: @1680958
     /* 1680958 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1681044), // Rule ID 6806 //
     /* 1680963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681009 */     // MIs[0] policy
     /* 1681009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1681022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681043 */     // GIR_Coverage, 6806,
     /* 1681043 */     GIR_EraseRootFromParent_Done,
     /* 1681044 */   // Label 23031: @1681044
     /* 1681044 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1681130), // Rule ID 6809 //
     /* 1681049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681095 */     // MIs[0] policy
     /* 1681095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681129 */     // GIR_Coverage, 6809,
     /* 1681129 */     GIR_EraseRootFromParent_Done,
     /* 1681130 */   // Label 23032: @1681130
     /* 1681130 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1681216), // Rule ID 6810 //
     /* 1681135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681181 */     // MIs[0] policy
     /* 1681181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681215 */     // GIR_Coverage, 6810,
     /* 1681215 */     GIR_EraseRootFromParent_Done,
     /* 1681216 */   // Label 23033: @1681216
     /* 1681216 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1681302), // Rule ID 6813 //
     /* 1681221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681267 */     // MIs[0] policy
     /* 1681267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681301 */     // GIR_Coverage, 6813,
     /* 1681301 */     GIR_EraseRootFromParent_Done,
     /* 1681302 */   // Label 23034: @1681302
     /* 1681302 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1681388), // Rule ID 6814 //
     /* 1681307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681353 */     // MIs[0] policy
     /* 1681353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681363 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681387 */     // GIR_Coverage, 6814,
     /* 1681387 */     GIR_EraseRootFromParent_Done,
     /* 1681388 */   // Label 23035: @1681388
     /* 1681388 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1681474), // Rule ID 6817 //
     /* 1681393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681439 */     // MIs[0] policy
     /* 1681439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681473 */     // GIR_Coverage, 6817,
     /* 1681473 */     GIR_EraseRootFromParent_Done,
     /* 1681474 */   // Label 23036: @1681474
     /* 1681474 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1681560), // Rule ID 6818 //
     /* 1681479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681525 */     // MIs[0] policy
     /* 1681525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681559 */     // GIR_Coverage, 6818,
     /* 1681559 */     GIR_EraseRootFromParent_Done,
     /* 1681560 */   // Label 23037: @1681560
     /* 1681560 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1681646), // Rule ID 6821 //
     /* 1681565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681611 */     // MIs[0] policy
     /* 1681611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681645 */     // GIR_Coverage, 6821,
     /* 1681645 */     GIR_EraseRootFromParent_Done,
     /* 1681646 */   // Label 23038: @1681646
     /* 1681646 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1681732), // Rule ID 6822 //
     /* 1681651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681697 */     // MIs[0] policy
     /* 1681697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681731 */     // GIR_Coverage, 6822,
     /* 1681731 */     GIR_EraseRootFromParent_Done,
     /* 1681732 */   // Label 23039: @1681732
     /* 1681732 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1681818), // Rule ID 6825 //
     /* 1681737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681783 */     // MIs[0] policy
     /* 1681783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681817 */     // GIR_Coverage, 6825,
     /* 1681817 */     GIR_EraseRootFromParent_Done,
     /* 1681818 */   // Label 23040: @1681818
     /* 1681818 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1681904), // Rule ID 6826 //
     /* 1681823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681869 */     // MIs[0] policy
     /* 1681869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681903 */     // GIR_Coverage, 6826,
     /* 1681903 */     GIR_EraseRootFromParent_Done,
     /* 1681904 */   // Label 23041: @1681904
     /* 1681904 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1681990), // Rule ID 6829 //
     /* 1681909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681955 */     // MIs[0] policy
     /* 1681955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681989 */     // GIR_Coverage, 6829,
     /* 1681989 */     GIR_EraseRootFromParent_Done,
     /* 1681990 */   // Label 23042: @1681990
     /* 1681990 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1682076), // Rule ID 6830 //
     /* 1681995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1682006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1682009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1682012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682041 */     // MIs[0] policy
     /* 1682041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682075 */     // GIR_Coverage, 6830,
     /* 1682075 */     GIR_EraseRootFromParent_Done,
     /* 1682076 */   // Label 23043: @1682076
     /* 1682076 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1682162), // Rule ID 6833 //
     /* 1682081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682127 */     // MIs[0] policy
     /* 1682127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682137 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682161 */     // GIR_Coverage, 6833,
     /* 1682161 */     GIR_EraseRootFromParent_Done,
     /* 1682162 */   // Label 23044: @1682162
     /* 1682162 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1682248), // Rule ID 6834 //
     /* 1682167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682213 */     // MIs[0] policy
     /* 1682213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682223 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682247 */     // GIR_Coverage, 6834,
     /* 1682247 */     GIR_EraseRootFromParent_Done,
     /* 1682248 */   // Label 23045: @1682248
     /* 1682248 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1682334), // Rule ID 6837 //
     /* 1682253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682299 */     // MIs[0] policy
     /* 1682299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682333 */     // GIR_Coverage, 6837,
     /* 1682333 */     GIR_EraseRootFromParent_Done,
     /* 1682334 */   // Label 23046: @1682334
     /* 1682334 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1682420), // Rule ID 6838 //
     /* 1682339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682385 */     // MIs[0] policy
     /* 1682385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682395 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682419 */     // GIR_Coverage, 6838,
     /* 1682419 */     GIR_EraseRootFromParent_Done,
     /* 1682420 */   // Label 23047: @1682420
     /* 1682420 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1682506), // Rule ID 6841 //
     /* 1682425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682471 */     // MIs[0] policy
     /* 1682471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682505 */     // GIR_Coverage, 6841,
     /* 1682505 */     GIR_EraseRootFromParent_Done,
     /* 1682506 */   // Label 23048: @1682506
     /* 1682506 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1682592), // Rule ID 6842 //
     /* 1682511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682557 */     // MIs[0] policy
     /* 1682557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682591 */     // GIR_Coverage, 6842,
     /* 1682591 */     GIR_EraseRootFromParent_Done,
     /* 1682592 */   // Label 23049: @1682592
     /* 1682592 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1682678), // Rule ID 6845 //
     /* 1682597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682643 */     // MIs[0] policy
     /* 1682643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682677 */     // GIR_Coverage, 6845,
     /* 1682677 */     GIR_EraseRootFromParent_Done,
     /* 1682678 */   // Label 23050: @1682678
     /* 1682678 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1682764), // Rule ID 6846 //
     /* 1682683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682729 */     // MIs[0] policy
     /* 1682729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682763 */     // GIR_Coverage, 6846,
     /* 1682763 */     GIR_EraseRootFromParent_Done,
     /* 1682764 */   // Label 23051: @1682764
     /* 1682764 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1682850), // Rule ID 6849 //
     /* 1682769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682815 */     // MIs[0] policy
     /* 1682815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682849 */     // GIR_Coverage, 6849,
     /* 1682849 */     GIR_EraseRootFromParent_Done,
     /* 1682850 */   // Label 23052: @1682850
     /* 1682850 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1682936), // Rule ID 6850 //
     /* 1682855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682901 */     // MIs[0] policy
     /* 1682901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682935 */     // GIR_Coverage, 6850,
     /* 1682935 */     GIR_EraseRootFromParent_Done,
     /* 1682936 */   // Label 23053: @1682936
     /* 1682936 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1683022), // Rule ID 6853 //
     /* 1682941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682987 */     // MIs[0] policy
     /* 1682987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683021 */     // GIR_Coverage, 6853,
     /* 1683021 */     GIR_EraseRootFromParent_Done,
     /* 1683022 */   // Label 23054: @1683022
     /* 1683022 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1683108), // Rule ID 6854 //
     /* 1683027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1683038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1683041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1683044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683073 */     // MIs[0] policy
     /* 1683073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683107 */     // GIR_Coverage, 6854,
     /* 1683107 */     GIR_EraseRootFromParent_Done,
     /* 1683108 */   // Label 23055: @1683108
     /* 1683108 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1683194), // Rule ID 6857 //
     /* 1683113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683159 */     // MIs[0] policy
     /* 1683159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683193 */     // GIR_Coverage, 6857,
     /* 1683193 */     GIR_EraseRootFromParent_Done,
     /* 1683194 */   // Label 23056: @1683194
     /* 1683194 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1683280), // Rule ID 6858 //
     /* 1683199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683245 */     // MIs[0] policy
     /* 1683245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683279 */     // GIR_Coverage, 6858,
     /* 1683279 */     GIR_EraseRootFromParent_Done,
     /* 1683280 */   // Label 23057: @1683280
     /* 1683280 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1683366), // Rule ID 6861 //
     /* 1683285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683331 */     // MIs[0] policy
     /* 1683331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683365 */     // GIR_Coverage, 6861,
     /* 1683365 */     GIR_EraseRootFromParent_Done,
     /* 1683366 */   // Label 23058: @1683366
     /* 1683366 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1683452), // Rule ID 6862 //
     /* 1683371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683417 */     // MIs[0] policy
     /* 1683417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683451 */     // GIR_Coverage, 6862,
     /* 1683451 */     GIR_EraseRootFromParent_Done,
     /* 1683452 */   // Label 23059: @1683452
     /* 1683452 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1683538), // Rule ID 6865 //
     /* 1683457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683503 */     // MIs[0] policy
     /* 1683503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683537 */     // GIR_Coverage, 6865,
     /* 1683537 */     GIR_EraseRootFromParent_Done,
     /* 1683538 */   // Label 23060: @1683538
     /* 1683538 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1683624), // Rule ID 6866 //
     /* 1683543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683589 */     // MIs[0] policy
     /* 1683589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683623 */     // GIR_Coverage, 6866,
     /* 1683623 */     GIR_EraseRootFromParent_Done,
     /* 1683624 */   // Label 23061: @1683624
     /* 1683624 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1683710), // Rule ID 6869 //
     /* 1683629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683675 */     // MIs[0] policy
     /* 1683675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683709 */     // GIR_Coverage, 6869,
     /* 1683709 */     GIR_EraseRootFromParent_Done,
     /* 1683710 */   // Label 23062: @1683710
     /* 1683710 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1683796), // Rule ID 6870 //
     /* 1683715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683761 */     // MIs[0] policy
     /* 1683761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683795 */     // GIR_Coverage, 6870,
     /* 1683795 */     GIR_EraseRootFromParent_Done,
     /* 1683796 */   // Label 23063: @1683796
     /* 1683796 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1683882), // Rule ID 6873 //
     /* 1683801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683847 */     // MIs[0] policy
     /* 1683847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683881 */     // GIR_Coverage, 6873,
     /* 1683881 */     GIR_EraseRootFromParent_Done,
     /* 1683882 */   // Label 23064: @1683882
     /* 1683882 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1683968), // Rule ID 6874 //
     /* 1683887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683933 */     // MIs[0] policy
     /* 1683933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683967 */     // GIR_Coverage, 6874,
     /* 1683967 */     GIR_EraseRootFromParent_Done,
     /* 1683968 */   // Label 23065: @1683968
     /* 1683968 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1684054), // Rule ID 6877 //
     /* 1683973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684019 */     // MIs[0] policy
     /* 1684019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1684032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684053 */     // GIR_Coverage, 6877,
     /* 1684053 */     GIR_EraseRootFromParent_Done,
     /* 1684054 */   // Label 23066: @1684054
     /* 1684054 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1684140), // Rule ID 6878 //
     /* 1684059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684105 */     // MIs[0] policy
     /* 1684105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1684118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684139 */     // GIR_Coverage, 6878,
     /* 1684139 */     GIR_EraseRootFromParent_Done,
     /* 1684140 */   // Label 23067: @1684140
     /* 1684140 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1684226), // Rule ID 6969 //
     /* 1684145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684191 */     // MIs[0] policy
     /* 1684191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684201 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684225 */     // GIR_Coverage, 6969,
     /* 1684225 */     GIR_EraseRootFromParent_Done,
     /* 1684226 */   // Label 23068: @1684226
     /* 1684226 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1684312), // Rule ID 6970 //
     /* 1684231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684277 */     // MIs[0] policy
     /* 1684277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684287 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684311 */     // GIR_Coverage, 6970,
     /* 1684311 */     GIR_EraseRootFromParent_Done,
     /* 1684312 */   // Label 23069: @1684312
     /* 1684312 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1684398), // Rule ID 6973 //
     /* 1684317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684363 */     // MIs[0] policy
     /* 1684363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684373 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684397 */     // GIR_Coverage, 6973,
     /* 1684397 */     GIR_EraseRootFromParent_Done,
     /* 1684398 */   // Label 23070: @1684398
     /* 1684398 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1684484), // Rule ID 6974 //
     /* 1684403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684449 */     // MIs[0] policy
     /* 1684449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684483 */     // GIR_Coverage, 6974,
     /* 1684483 */     GIR_EraseRootFromParent_Done,
     /* 1684484 */   // Label 23071: @1684484
     /* 1684484 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1684570), // Rule ID 6977 //
     /* 1684489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684535 */     // MIs[0] policy
     /* 1684535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684545 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684569 */     // GIR_Coverage, 6977,
     /* 1684569 */     GIR_EraseRootFromParent_Done,
     /* 1684570 */   // Label 23072: @1684570
     /* 1684570 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1684656), // Rule ID 6978 //
     /* 1684575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684621 */     // MIs[0] policy
     /* 1684621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684631 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684655 */     // GIR_Coverage, 6978,
     /* 1684655 */     GIR_EraseRootFromParent_Done,
     /* 1684656 */   // Label 23073: @1684656
     /* 1684656 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1684742), // Rule ID 6981 //
     /* 1684661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1684681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684707 */     // MIs[0] policy
     /* 1684707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684741 */     // GIR_Coverage, 6981,
     /* 1684741 */     GIR_EraseRootFromParent_Done,
     /* 1684742 */   // Label 23074: @1684742
     /* 1684742 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1684828), // Rule ID 6982 //
     /* 1684747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1684767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684793 */     // MIs[0] policy
     /* 1684793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684827 */     // GIR_Coverage, 6982,
     /* 1684827 */     GIR_EraseRootFromParent_Done,
     /* 1684828 */   // Label 23075: @1684828
     /* 1684828 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1684914), // Rule ID 6985 //
     /* 1684833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1684853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684879 */     // MIs[0] policy
     /* 1684879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684913 */     // GIR_Coverage, 6985,
     /* 1684913 */     GIR_EraseRootFromParent_Done,
     /* 1684914 */   // Label 23076: @1684914
     /* 1684914 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1685000), // Rule ID 6986 //
     /* 1684919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1684939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684965 */     // MIs[0] policy
     /* 1684965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684999 */     // GIR_Coverage, 6986,
     /* 1684999 */     GIR_EraseRootFromParent_Done,
     /* 1685000 */   // Label 23077: @1685000
     /* 1685000 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1685086), // Rule ID 6989 //
     /* 1685005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1685025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685051 */     // MIs[0] policy
     /* 1685051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685085 */     // GIR_Coverage, 6989,
     /* 1685085 */     GIR_EraseRootFromParent_Done,
     /* 1685086 */   // Label 23078: @1685086
     /* 1685086 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1685172), // Rule ID 6990 //
     /* 1685091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1685111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685137 */     // MIs[0] policy
     /* 1685137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685171 */     // GIR_Coverage, 6990,
     /* 1685171 */     GIR_EraseRootFromParent_Done,
     /* 1685172 */   // Label 23079: @1685172
     /* 1685172 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1685258), // Rule ID 6993 //
     /* 1685177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685223 */     // MIs[0] policy
     /* 1685223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685257 */     // GIR_Coverage, 6993,
     /* 1685257 */     GIR_EraseRootFromParent_Done,
     /* 1685258 */   // Label 23080: @1685258
     /* 1685258 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1685344), // Rule ID 6994 //
     /* 1685263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685309 */     // MIs[0] policy
     /* 1685309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685343 */     // GIR_Coverage, 6994,
     /* 1685343 */     GIR_EraseRootFromParent_Done,
     /* 1685344 */   // Label 23081: @1685344
     /* 1685344 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1685430), // Rule ID 6997 //
     /* 1685349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685395 */     // MIs[0] policy
     /* 1685395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685429 */     // GIR_Coverage, 6997,
     /* 1685429 */     GIR_EraseRootFromParent_Done,
     /* 1685430 */   // Label 23082: @1685430
     /* 1685430 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1685516), // Rule ID 6998 //
     /* 1685435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685481 */     // MIs[0] policy
     /* 1685481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685515 */     // GIR_Coverage, 6998,
     /* 1685515 */     GIR_EraseRootFromParent_Done,
     /* 1685516 */   // Label 23083: @1685516
     /* 1685516 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1685602), // Rule ID 7001 //
     /* 1685521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685567 */     // MIs[0] policy
     /* 1685567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685601 */     // GIR_Coverage, 7001,
     /* 1685601 */     GIR_EraseRootFromParent_Done,
     /* 1685602 */   // Label 23084: @1685602
     /* 1685602 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1685688), // Rule ID 7002 //
     /* 1685607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685653 */     // MIs[0] policy
     /* 1685653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685687 */     // GIR_Coverage, 7002,
     /* 1685687 */     GIR_EraseRootFromParent_Done,
     /* 1685688 */   // Label 23085: @1685688
     /* 1685688 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1685774), // Rule ID 7005 //
     /* 1685693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1685713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685739 */     // MIs[0] policy
     /* 1685739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685749 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685773 */     // GIR_Coverage, 7005,
     /* 1685773 */     GIR_EraseRootFromParent_Done,
     /* 1685774 */   // Label 23086: @1685774
     /* 1685774 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1685860), // Rule ID 7006 //
     /* 1685779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1685799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685825 */     // MIs[0] policy
     /* 1685825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685859 */     // GIR_Coverage, 7006,
     /* 1685859 */     GIR_EraseRootFromParent_Done,
     /* 1685860 */   // Label 23087: @1685860
     /* 1685860 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1685946), // Rule ID 7009 //
     /* 1685865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1685885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685911 */     // MIs[0] policy
     /* 1685911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1685924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685945 */     // GIR_Coverage, 7009,
     /* 1685945 */     GIR_EraseRootFromParent_Done,
     /* 1685946 */   // Label 23088: @1685946
     /* 1685946 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1686032), // Rule ID 7010 //
     /* 1685951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1685971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685997 */     // MIs[0] policy
     /* 1685997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686007 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686031 */     // GIR_Coverage, 7010,
     /* 1686031 */     GIR_EraseRootFromParent_Done,
     /* 1686032 */   // Label 23089: @1686032
     /* 1686032 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1686118), // Rule ID 7013 //
     /* 1686037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686083 */     // MIs[0] policy
     /* 1686083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686117 */     // GIR_Coverage, 7013,
     /* 1686117 */     GIR_EraseRootFromParent_Done,
     /* 1686118 */   // Label 23090: @1686118
     /* 1686118 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1686204), // Rule ID 7014 //
     /* 1686123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686169 */     // MIs[0] policy
     /* 1686169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686179 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686203 */     // GIR_Coverage, 7014,
     /* 1686203 */     GIR_EraseRootFromParent_Done,
     /* 1686204 */   // Label 23091: @1686204
     /* 1686204 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1686290), // Rule ID 7017 //
     /* 1686209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686255 */     // MIs[0] policy
     /* 1686255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686265 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686289 */     // GIR_Coverage, 7017,
     /* 1686289 */     GIR_EraseRootFromParent_Done,
     /* 1686290 */   // Label 23092: @1686290
     /* 1686290 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1686376), // Rule ID 7018 //
     /* 1686295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686341 */     // MIs[0] policy
     /* 1686341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686375 */     // GIR_Coverage, 7018,
     /* 1686375 */     GIR_EraseRootFromParent_Done,
     /* 1686376 */   // Label 23093: @1686376
     /* 1686376 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1686462), // Rule ID 7021 //
     /* 1686381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686427 */     // MIs[0] policy
     /* 1686427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686461 */     // GIR_Coverage, 7021,
     /* 1686461 */     GIR_EraseRootFromParent_Done,
     /* 1686462 */   // Label 23094: @1686462
     /* 1686462 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1686548), // Rule ID 7022 //
     /* 1686467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686513 */     // MIs[0] policy
     /* 1686513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686547 */     // GIR_Coverage, 7022,
     /* 1686547 */     GIR_EraseRootFromParent_Done,
     /* 1686548 */   // Label 23095: @1686548
     /* 1686548 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1686634), // Rule ID 7025 //
     /* 1686553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686599 */     // MIs[0] policy
     /* 1686599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686609 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686633 */     // GIR_Coverage, 7025,
     /* 1686633 */     GIR_EraseRootFromParent_Done,
     /* 1686634 */   // Label 23096: @1686634
     /* 1686634 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1686720), // Rule ID 7026 //
     /* 1686639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686685 */     // MIs[0] policy
     /* 1686685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686695 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686719 */     // GIR_Coverage, 7026,
     /* 1686719 */     GIR_EraseRootFromParent_Done,
     /* 1686720 */   // Label 23097: @1686720
     /* 1686720 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1686806), // Rule ID 7029 //
     /* 1686725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1686745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686771 */     // MIs[0] policy
     /* 1686771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686781 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686805 */     // GIR_Coverage, 7029,
     /* 1686805 */     GIR_EraseRootFromParent_Done,
     /* 1686806 */   // Label 23098: @1686806
     /* 1686806 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1686892), // Rule ID 7030 //
     /* 1686811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1686831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686857 */     // MIs[0] policy
     /* 1686857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686891 */     // GIR_Coverage, 7030,
     /* 1686891 */     GIR_EraseRootFromParent_Done,
     /* 1686892 */   // Label 23099: @1686892
     /* 1686892 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1686978), // Rule ID 7033 //
     /* 1686897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1686917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686943 */     // MIs[0] policy
     /* 1686943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686977 */     // GIR_Coverage, 7033,
     /* 1686977 */     GIR_EraseRootFromParent_Done,
     /* 1686978 */   // Label 23100: @1686978
     /* 1686978 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1687064), // Rule ID 7034 //
     /* 1686983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1687003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687029 */     // MIs[0] policy
     /* 1687029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687063 */     // GIR_Coverage, 7034,
     /* 1687063 */     GIR_EraseRootFromParent_Done,
     /* 1687064 */   // Label 23101: @1687064
     /* 1687064 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1687150), // Rule ID 7037 //
     /* 1687069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687115 */     // MIs[0] policy
     /* 1687115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687149 */     // GIR_Coverage, 7037,
     /* 1687149 */     GIR_EraseRootFromParent_Done,
     /* 1687150 */   // Label 23102: @1687150
     /* 1687150 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1687236), // Rule ID 7038 //
     /* 1687155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687201 */     // MIs[0] policy
     /* 1687201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687235 */     // GIR_Coverage, 7038,
     /* 1687235 */     GIR_EraseRootFromParent_Done,
     /* 1687236 */   // Label 23103: @1687236
     /* 1687236 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1687322), // Rule ID 7041 //
     /* 1687241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687287 */     // MIs[0] policy
     /* 1687287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687321 */     // GIR_Coverage, 7041,
     /* 1687321 */     GIR_EraseRootFromParent_Done,
     /* 1687322 */   // Label 23104: @1687322
     /* 1687322 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1687408), // Rule ID 7042 //
     /* 1687327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687373 */     // MIs[0] policy
     /* 1687373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687407 */     // GIR_Coverage, 7042,
     /* 1687407 */     GIR_EraseRootFromParent_Done,
     /* 1687408 */   // Label 23105: @1687408
     /* 1687408 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1687494), // Rule ID 7045 //
     /* 1687413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687459 */     // MIs[0] policy
     /* 1687459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687493 */     // GIR_Coverage, 7045,
     /* 1687493 */     GIR_EraseRootFromParent_Done,
     /* 1687494 */   // Label 23106: @1687494
     /* 1687494 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1687580), // Rule ID 7046 //
     /* 1687499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687545 */     // MIs[0] policy
     /* 1687545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687579 */     // GIR_Coverage, 7046,
     /* 1687579 */     GIR_EraseRootFromParent_Done,
     /* 1687580 */   // Label 23107: @1687580
     /* 1687580 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1687666), // Rule ID 7049 //
     /* 1687585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687631 */     // MIs[0] policy
     /* 1687631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687641 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687665 */     // GIR_Coverage, 7049,
     /* 1687665 */     GIR_EraseRootFromParent_Done,
     /* 1687666 */   // Label 23108: @1687666
     /* 1687666 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1687752), // Rule ID 7050 //
     /* 1687671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687717 */     // MIs[0] policy
     /* 1687717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687751 */     // GIR_Coverage, 7050,
     /* 1687751 */     GIR_EraseRootFromParent_Done,
     /* 1687752 */   // Label 23109: @1687752
     /* 1687752 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1687838), // Rule ID 7053 //
     /* 1687757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1687777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687803 */     // MIs[0] policy
     /* 1687803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687813 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687837 */     // GIR_Coverage, 7053,
     /* 1687837 */     GIR_EraseRootFromParent_Done,
     /* 1687838 */   // Label 23110: @1687838
     /* 1687838 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1687924), // Rule ID 7054 //
     /* 1687843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1687863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687889 */     // MIs[0] policy
     /* 1687889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687899 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687923 */     // GIR_Coverage, 7054,
     /* 1687923 */     GIR_EraseRootFromParent_Done,
     /* 1687924 */   // Label 23111: @1687924
     /* 1687924 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1688010), // Rule ID 7057 //
     /* 1687929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687975 */     // MIs[0] policy
     /* 1687975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687985 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1687988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688009 */     // GIR_Coverage, 7057,
     /* 1688009 */     GIR_EraseRootFromParent_Done,
     /* 1688010 */   // Label 23112: @1688010
     /* 1688010 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1688096), // Rule ID 7058 //
     /* 1688015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1688032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688061 */     // MIs[0] policy
     /* 1688061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1688074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688095 */     // GIR_Coverage, 7058,
     /* 1688095 */     GIR_EraseRootFromParent_Done,
     /* 1688096 */   // Label 23113: @1688096
     /* 1688096 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1688182), // Rule ID 7061 //
     /* 1688101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688147 */     // MIs[0] policy
     /* 1688147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688157 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688181 */     // GIR_Coverage, 7061,
     /* 1688181 */     GIR_EraseRootFromParent_Done,
     /* 1688182 */   // Label 23114: @1688182
     /* 1688182 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1688268), // Rule ID 7062 //
     /* 1688187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688233 */     // MIs[0] policy
     /* 1688233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688243 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688267 */     // GIR_Coverage, 7062,
     /* 1688267 */     GIR_EraseRootFromParent_Done,
     /* 1688268 */   // Label 23115: @1688268
     /* 1688268 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1688354), // Rule ID 7065 //
     /* 1688273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688319 */     // MIs[0] policy
     /* 1688319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688329 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688353 */     // GIR_Coverage, 7065,
     /* 1688353 */     GIR_EraseRootFromParent_Done,
     /* 1688354 */   // Label 23116: @1688354
     /* 1688354 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1688440), // Rule ID 7066 //
     /* 1688359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688405 */     // MIs[0] policy
     /* 1688405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688415 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688439 */     // GIR_Coverage, 7066,
     /* 1688439 */     GIR_EraseRootFromParent_Done,
     /* 1688440 */   // Label 23117: @1688440
     /* 1688440 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1688526), // Rule ID 7069 //
     /* 1688445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688491 */     // MIs[0] policy
     /* 1688491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688525 */     // GIR_Coverage, 7069,
     /* 1688525 */     GIR_EraseRootFromParent_Done,
     /* 1688526 */   // Label 23118: @1688526
     /* 1688526 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1688612), // Rule ID 7070 //
     /* 1688531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688577 */     // MIs[0] policy
     /* 1688577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688611 */     // GIR_Coverage, 7070,
     /* 1688611 */     GIR_EraseRootFromParent_Done,
     /* 1688612 */   // Label 23119: @1688612
     /* 1688612 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1688698), // Rule ID 7073 //
     /* 1688617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688663 */     // MIs[0] policy
     /* 1688663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688673 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688697 */     // GIR_Coverage, 7073,
     /* 1688697 */     GIR_EraseRootFromParent_Done,
     /* 1688698 */   // Label 23120: @1688698
     /* 1688698 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1688784), // Rule ID 7074 //
     /* 1688703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688749 */     // MIs[0] policy
     /* 1688749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688759 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688783 */     // GIR_Coverage, 7074,
     /* 1688783 */     GIR_EraseRootFromParent_Done,
     /* 1688784 */   // Label 23121: @1688784
     /* 1688784 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1688870), // Rule ID 7077 //
     /* 1688789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688835 */     // MIs[0] policy
     /* 1688835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688845 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688869 */     // GIR_Coverage, 7077,
     /* 1688869 */     GIR_EraseRootFromParent_Done,
     /* 1688870 */   // Label 23122: @1688870
     /* 1688870 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1688956), // Rule ID 7078 //
     /* 1688875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688921 */     // MIs[0] policy
     /* 1688921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688955 */     // GIR_Coverage, 7078,
     /* 1688955 */     GIR_EraseRootFromParent_Done,
     /* 1688956 */   // Label 23123: @1688956
     /* 1688956 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1689042), // Rule ID 7081 //
     /* 1688961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689007 */     // MIs[0] policy
     /* 1689007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689041 */     // GIR_Coverage, 7081,
     /* 1689041 */     GIR_EraseRootFromParent_Done,
     /* 1689042 */   // Label 23124: @1689042
     /* 1689042 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1689128), // Rule ID 7082 //
     /* 1689047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689093 */     // MIs[0] policy
     /* 1689093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689127 */     // GIR_Coverage, 7082,
     /* 1689127 */     GIR_EraseRootFromParent_Done,
     /* 1689128 */   // Label 23125: @1689128
     /* 1689128 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1689214), // Rule ID 7085 //
     /* 1689133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689179 */     // MIs[0] policy
     /* 1689179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689213 */     // GIR_Coverage, 7085,
     /* 1689213 */     GIR_EraseRootFromParent_Done,
     /* 1689214 */   // Label 23126: @1689214
     /* 1689214 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1689300), // Rule ID 7086 //
     /* 1689219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689265 */     // MIs[0] policy
     /* 1689265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689299 */     // GIR_Coverage, 7086,
     /* 1689299 */     GIR_EraseRootFromParent_Done,
     /* 1689300 */   // Label 23127: @1689300
     /* 1689300 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1689386), // Rule ID 7089 //
     /* 1689305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689351 */     // MIs[0] policy
     /* 1689351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689385 */     // GIR_Coverage, 7089,
     /* 1689385 */     GIR_EraseRootFromParent_Done,
     /* 1689386 */   // Label 23128: @1689386
     /* 1689386 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1689472), // Rule ID 7090 //
     /* 1689391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689437 */     // MIs[0] policy
     /* 1689437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689471 */     // GIR_Coverage, 7090,
     /* 1689471 */     GIR_EraseRootFromParent_Done,
     /* 1689472 */   // Label 23129: @1689472
     /* 1689472 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1689558), // Rule ID 7093 //
     /* 1689477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689523 */     // MIs[0] policy
     /* 1689523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689557 */     // GIR_Coverage, 7093,
     /* 1689557 */     GIR_EraseRootFromParent_Done,
     /* 1689558 */   // Label 23130: @1689558
     /* 1689558 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1689644), // Rule ID 7094 //
     /* 1689563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1689566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689609 */     // MIs[0] policy
     /* 1689609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689643 */     // GIR_Coverage, 7094,
     /* 1689643 */     GIR_EraseRootFromParent_Done,
     /* 1689644 */   // Label 23131: @1689644
     /* 1689644 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1689730), // Rule ID 7097 //
     /* 1689649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689695 */     // MIs[0] policy
     /* 1689695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689705 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1689708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689729 */     // GIR_Coverage, 7097,
     /* 1689729 */     GIR_EraseRootFromParent_Done,
     /* 1689730 */   // Label 23132: @1689730
     /* 1689730 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1689816), // Rule ID 7098 //
     /* 1689735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689781 */     // MIs[0] policy
     /* 1689781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689791 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1689794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689815 */     // GIR_Coverage, 7098,
     /* 1689815 */     GIR_EraseRootFromParent_Done,
     /* 1689816 */   // Label 23133: @1689816
     /* 1689816 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1689902), // Rule ID 7101 //
     /* 1689821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689867 */     // MIs[0] policy
     /* 1689867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689901 */     // GIR_Coverage, 7101,
     /* 1689901 */     GIR_EraseRootFromParent_Done,
     /* 1689902 */   // Label 23134: @1689902
     /* 1689902 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1689988), // Rule ID 7102 //
     /* 1689907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689953 */     // MIs[0] policy
     /* 1689953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689963 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689987 */     // GIR_Coverage, 7102,
     /* 1689987 */     GIR_EraseRootFromParent_Done,
     /* 1689988 */   // Label 23135: @1689988
     /* 1689988 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1690074), // Rule ID 7105 //
     /* 1689993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690039 */     // MIs[0] policy
     /* 1690039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690049 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690073 */     // GIR_Coverage, 7105,
     /* 1690073 */     GIR_EraseRootFromParent_Done,
     /* 1690074 */   // Label 23136: @1690074
     /* 1690074 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1690160), // Rule ID 7106 //
     /* 1690079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690125 */     // MIs[0] policy
     /* 1690125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690135 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690159 */     // GIR_Coverage, 7106,
     /* 1690159 */     GIR_EraseRootFromParent_Done,
     /* 1690160 */   // Label 23137: @1690160
     /* 1690160 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1690246), // Rule ID 7109 //
     /* 1690165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690211 */     // MIs[0] policy
     /* 1690211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690245 */     // GIR_Coverage, 7109,
     /* 1690245 */     GIR_EraseRootFromParent_Done,
     /* 1690246 */   // Label 23138: @1690246
     /* 1690246 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1690332), // Rule ID 7110 //
     /* 1690251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690297 */     // MIs[0] policy
     /* 1690297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690307 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690331 */     // GIR_Coverage, 7110,
     /* 1690331 */     GIR_EraseRootFromParent_Done,
     /* 1690332 */   // Label 23139: @1690332
     /* 1690332 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1690418), // Rule ID 7113 //
     /* 1690337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690383 */     // MIs[0] policy
     /* 1690383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690417 */     // GIR_Coverage, 7113,
     /* 1690417 */     GIR_EraseRootFromParent_Done,
     /* 1690418 */   // Label 23140: @1690418
     /* 1690418 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1690504), // Rule ID 7114 //
     /* 1690423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690469 */     // MIs[0] policy
     /* 1690469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690479 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690503 */     // GIR_Coverage, 7114,
     /* 1690503 */     GIR_EraseRootFromParent_Done,
     /* 1690504 */   // Label 23141: @1690504
     /* 1690504 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1690590), // Rule ID 7117 //
     /* 1690509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690555 */     // MIs[0] policy
     /* 1690555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690565 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690589 */     // GIR_Coverage, 7117,
     /* 1690589 */     GIR_EraseRootFromParent_Done,
     /* 1690590 */   // Label 23142: @1690590
     /* 1690590 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1690676), // Rule ID 7118 //
     /* 1690595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690641 */     // MIs[0] policy
     /* 1690641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690675 */     // GIR_Coverage, 7118,
     /* 1690675 */     GIR_EraseRootFromParent_Done,
     /* 1690676 */   // Label 23143: @1690676
     /* 1690676 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1690762), // Rule ID 7121 //
     /* 1690681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690727 */     // MIs[0] policy
     /* 1690727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690761 */     // GIR_Coverage, 7121,
     /* 1690761 */     GIR_EraseRootFromParent_Done,
     /* 1690762 */   // Label 23144: @1690762
     /* 1690762 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1690848), // Rule ID 7122 //
     /* 1690767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690813 */     // MIs[0] policy
     /* 1690813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690847 */     // GIR_Coverage, 7122,
     /* 1690847 */     GIR_EraseRootFromParent_Done,
     /* 1690848 */   // Label 23145: @1690848
     /* 1690848 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1690934), // Rule ID 7125 //
     /* 1690853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690899 */     // MIs[0] policy
     /* 1690899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690933 */     // GIR_Coverage, 7125,
     /* 1690933 */     GIR_EraseRootFromParent_Done,
     /* 1690934 */   // Label 23146: @1690934
     /* 1690934 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1691020), // Rule ID 7126 //
     /* 1690939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690985 */     // MIs[0] policy
     /* 1690985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691019 */     // GIR_Coverage, 7126,
     /* 1691019 */     GIR_EraseRootFromParent_Done,
     /* 1691020 */   // Label 23147: @1691020
     /* 1691020 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1691106), // Rule ID 7129 //
     /* 1691025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691071 */     // MIs[0] policy
     /* 1691071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691081 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691105 */     // GIR_Coverage, 7129,
     /* 1691105 */     GIR_EraseRootFromParent_Done,
     /* 1691106 */   // Label 23148: @1691106
     /* 1691106 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1691192), // Rule ID 7130 //
     /* 1691111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691157 */     // MIs[0] policy
     /* 1691157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691191 */     // GIR_Coverage, 7130,
     /* 1691191 */     GIR_EraseRootFromParent_Done,
     /* 1691192 */   // Label 23149: @1691192
     /* 1691192 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1691278), // Rule ID 7133 //
     /* 1691197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691243 */     // MIs[0] policy
     /* 1691243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691253 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691277 */     // GIR_Coverage, 7133,
     /* 1691277 */     GIR_EraseRootFromParent_Done,
     /* 1691278 */   // Label 23150: @1691278
     /* 1691278 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1691364), // Rule ID 7134 //
     /* 1691283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691329 */     // MIs[0] policy
     /* 1691329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691363 */     // GIR_Coverage, 7134,
     /* 1691363 */     GIR_EraseRootFromParent_Done,
     /* 1691364 */   // Label 23151: @1691364
     /* 1691364 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1691450), // Rule ID 7137 //
     /* 1691369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691415 */     // MIs[0] policy
     /* 1691415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691449 */     // GIR_Coverage, 7137,
     /* 1691449 */     GIR_EraseRootFromParent_Done,
     /* 1691450 */   // Label 23152: @1691450
     /* 1691450 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1691536), // Rule ID 7138 //
     /* 1691455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691501 */     // MIs[0] policy
     /* 1691501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691535 */     // GIR_Coverage, 7138,
     /* 1691535 */     GIR_EraseRootFromParent_Done,
     /* 1691536 */   // Label 23153: @1691536
     /* 1691536 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1691622), // Rule ID 7141 //
     /* 1691541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691587 */     // MIs[0] policy
     /* 1691587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691621 */     // GIR_Coverage, 7141,
     /* 1691621 */     GIR_EraseRootFromParent_Done,
     /* 1691622 */   // Label 23154: @1691622
     /* 1691622 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1691708), // Rule ID 7142 //
     /* 1691627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691673 */     // MIs[0] policy
     /* 1691673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691707 */     // GIR_Coverage, 7142,
     /* 1691707 */     GIR_EraseRootFromParent_Done,
     /* 1691708 */   // Label 23155: @1691708
     /* 1691708 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1691794), // Rule ID 7321 //
     /* 1691713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1691733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691759 */     // MIs[0] policy
     /* 1691759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1691772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691793 */     // GIR_Coverage, 7321,
     /* 1691793 */     GIR_EraseRootFromParent_Done,
     /* 1691794 */   // Label 23156: @1691794
     /* 1691794 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1691880), // Rule ID 7322 //
     /* 1691799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1691819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691845 */     // MIs[0] policy
     /* 1691845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691855 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1691858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691879 */     // GIR_Coverage, 7322,
     /* 1691879 */     GIR_EraseRootFromParent_Done,
     /* 1691880 */   // Label 23157: @1691880
     /* 1691880 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1691966), // Rule ID 7325 //
     /* 1691885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691931 */     // MIs[0] policy
     /* 1691931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691941 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1691944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691965 */     // GIR_Coverage, 7325,
     /* 1691965 */     GIR_EraseRootFromParent_Done,
     /* 1691966 */   // Label 23158: @1691966
     /* 1691966 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1692052), // Rule ID 7326 //
     /* 1691971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692017 */     // MIs[0] policy
     /* 1692017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692051 */     // GIR_Coverage, 7326,
     /* 1692051 */     GIR_EraseRootFromParent_Done,
     /* 1692052 */   // Label 23159: @1692052
     /* 1692052 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1692138), // Rule ID 7329 //
     /* 1692057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692103 */     // MIs[0] policy
     /* 1692103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692137 */     // GIR_Coverage, 7329,
     /* 1692137 */     GIR_EraseRootFromParent_Done,
     /* 1692138 */   // Label 23160: @1692138
     /* 1692138 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1692224), // Rule ID 7330 //
     /* 1692143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692189 */     // MIs[0] policy
     /* 1692189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692199 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692223 */     // GIR_Coverage, 7330,
     /* 1692223 */     GIR_EraseRootFromParent_Done,
     /* 1692224 */   // Label 23161: @1692224
     /* 1692224 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1692310), // Rule ID 7333 //
     /* 1692229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692275 */     // MIs[0] policy
     /* 1692275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692285 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692309 */     // GIR_Coverage, 7333,
     /* 1692309 */     GIR_EraseRootFromParent_Done,
     /* 1692310 */   // Label 23162: @1692310
     /* 1692310 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1692396), // Rule ID 7334 //
     /* 1692315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692361 */     // MIs[0] policy
     /* 1692361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692395 */     // GIR_Coverage, 7334,
     /* 1692395 */     GIR_EraseRootFromParent_Done,
     /* 1692396 */   // Label 23163: @1692396
     /* 1692396 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1692482), // Rule ID 7337 //
     /* 1692401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692447 */     // MIs[0] policy
     /* 1692447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692457 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692481 */     // GIR_Coverage, 7337,
     /* 1692481 */     GIR_EraseRootFromParent_Done,
     /* 1692482 */   // Label 23164: @1692482
     /* 1692482 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1692568), // Rule ID 7338 //
     /* 1692487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692533 */     // MIs[0] policy
     /* 1692533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692543 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692567 */     // GIR_Coverage, 7338,
     /* 1692567 */     GIR_EraseRootFromParent_Done,
     /* 1692568 */   // Label 23165: @1692568
     /* 1692568 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1692654), // Rule ID 7341 //
     /* 1692573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1692590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692619 */     // MIs[0] policy
     /* 1692619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692629 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1692632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692653 */     // GIR_Coverage, 7341,
     /* 1692653 */     GIR_EraseRootFromParent_Done,
     /* 1692654 */   // Label 23166: @1692654
     /* 1692654 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1692740), // Rule ID 7342 //
     /* 1692659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1692676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692705 */     // MIs[0] policy
     /* 1692705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692715 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1692718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692739 */     // GIR_Coverage, 7342,
     /* 1692739 */     GIR_EraseRootFromParent_Done,
     /* 1692740 */   // Label 23167: @1692740
     /* 1692740 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1692826), // Rule ID 7345 //
     /* 1692745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1692759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1692765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692791 */     // MIs[0] policy
     /* 1692791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692825 */     // GIR_Coverage, 7345,
     /* 1692825 */     GIR_EraseRootFromParent_Done,
     /* 1692826 */   // Label 23168: @1692826
     /* 1692826 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1692912), // Rule ID 7346 //
     /* 1692831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1692845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1692851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692877 */     // MIs[0] policy
     /* 1692877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692887 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692911 */     // GIR_Coverage, 7346,
     /* 1692911 */     GIR_EraseRootFromParent_Done,
     /* 1692912 */   // Label 23169: @1692912
     /* 1692912 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1692998), // Rule ID 7349 //
     /* 1692917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1692937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692963 */     // MIs[0] policy
     /* 1692963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692973 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692997 */     // GIR_Coverage, 7349,
     /* 1692997 */     GIR_EraseRootFromParent_Done,
     /* 1692998 */   // Label 23170: @1692998
     /* 1692998 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1693084), // Rule ID 7350 //
     /* 1693003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1693014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1693017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1693023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693049 */     // MIs[0] policy
     /* 1693049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693083 */     // GIR_Coverage, 7350,
     /* 1693083 */     GIR_EraseRootFromParent_Done,
     /* 1693084 */   // Label 23171: @1693084
     /* 1693084 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1693170), // Rule ID 7353 //
     /* 1693089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693135 */     // MIs[0] policy
     /* 1693135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693169 */     // GIR_Coverage, 7353,
     /* 1693169 */     GIR_EraseRootFromParent_Done,
     /* 1693170 */   // Label 23172: @1693170
     /* 1693170 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1693256), // Rule ID 7354 //
     /* 1693175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693221 */     // MIs[0] policy
     /* 1693221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693255 */     // GIR_Coverage, 7354,
     /* 1693255 */     GIR_EraseRootFromParent_Done,
     /* 1693256 */   // Label 23173: @1693256
     /* 1693256 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1693342), // Rule ID 7357 //
     /* 1693261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693307 */     // MIs[0] policy
     /* 1693307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693341 */     // GIR_Coverage, 7357,
     /* 1693341 */     GIR_EraseRootFromParent_Done,
     /* 1693342 */   // Label 23174: @1693342
     /* 1693342 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1693428), // Rule ID 7358 //
     /* 1693347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693393 */     // MIs[0] policy
     /* 1693393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693427 */     // GIR_Coverage, 7358,
     /* 1693427 */     GIR_EraseRootFromParent_Done,
     /* 1693428 */   // Label 23175: @1693428
     /* 1693428 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1693514), // Rule ID 7361 //
     /* 1693433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693479 */     // MIs[0] policy
     /* 1693479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693513 */     // GIR_Coverage, 7361,
     /* 1693513 */     GIR_EraseRootFromParent_Done,
     /* 1693514 */   // Label 23176: @1693514
     /* 1693514 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1693600), // Rule ID 7362 //
     /* 1693519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693565 */     // MIs[0] policy
     /* 1693565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693575 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693599 */     // GIR_Coverage, 7362,
     /* 1693599 */     GIR_EraseRootFromParent_Done,
     /* 1693600 */   // Label 23177: @1693600
     /* 1693600 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1693686), // Rule ID 7365 //
     /* 1693605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1693616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1693619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1693622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1693625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693651 */     // MIs[0] policy
     /* 1693651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693685 */     // GIR_Coverage, 7365,
     /* 1693685 */     GIR_EraseRootFromParent_Done,
     /* 1693686 */   // Label 23178: @1693686
     /* 1693686 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1693772), // Rule ID 7366 //
     /* 1693691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1693702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1693705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1693708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1693711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693737 */     // MIs[0] policy
     /* 1693737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693771 */     // GIR_Coverage, 7366,
     /* 1693771 */     GIR_EraseRootFromParent_Done,
     /* 1693772 */   // Label 23179: @1693772
     /* 1693772 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1693858), // Rule ID 7369 //
     /* 1693777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1693794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1693797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693823 */     // MIs[0] policy
     /* 1693823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693857 */     // GIR_Coverage, 7369,
     /* 1693857 */     GIR_EraseRootFromParent_Done,
     /* 1693858 */   // Label 23180: @1693858
     /* 1693858 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1693944), // Rule ID 7370 //
     /* 1693863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1693880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1693883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693909 */     // MIs[0] policy
     /* 1693909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693943 */     // GIR_Coverage, 7370,
     /* 1693943 */     GIR_EraseRootFromParent_Done,
     /* 1693944 */   // Label 23181: @1693944
     /* 1693944 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1694030), // Rule ID 7373 //
     /* 1693949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1693960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1693963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1693966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1693969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693995 */     // MIs[0] policy
     /* 1693995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1694008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694029 */     // GIR_Coverage, 7373,
     /* 1694029 */     GIR_EraseRootFromParent_Done,
     /* 1694030 */   // Label 23182: @1694030
     /* 1694030 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1694116), // Rule ID 7374 //
     /* 1694035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694081 */     // MIs[0] policy
     /* 1694081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1694094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694115 */     // GIR_Coverage, 7374,
     /* 1694115 */     GIR_EraseRootFromParent_Done,
     /* 1694116 */   // Label 23183: @1694116
     /* 1694116 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1694202), // Rule ID 7377 //
     /* 1694121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694167 */     // MIs[0] policy
     /* 1694167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694177 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694201 */     // GIR_Coverage, 7377,
     /* 1694201 */     GIR_EraseRootFromParent_Done,
     /* 1694202 */   // Label 23184: @1694202
     /* 1694202 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1694288), // Rule ID 7378 //
     /* 1694207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694253 */     // MIs[0] policy
     /* 1694253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694263 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694287 */     // GIR_Coverage, 7378,
     /* 1694287 */     GIR_EraseRootFromParent_Done,
     /* 1694288 */   // Label 23185: @1694288
     /* 1694288 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1694374), // Rule ID 7381 //
     /* 1694293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694339 */     // MIs[0] policy
     /* 1694339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694349 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694373 */     // GIR_Coverage, 7381,
     /* 1694373 */     GIR_EraseRootFromParent_Done,
     /* 1694374 */   // Label 23186: @1694374
     /* 1694374 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1694460), // Rule ID 7382 //
     /* 1694379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694425 */     // MIs[0] policy
     /* 1694425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694459 */     // GIR_Coverage, 7382,
     /* 1694459 */     GIR_EraseRootFromParent_Done,
     /* 1694460 */   // Label 23187: @1694460
     /* 1694460 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1694546), // Rule ID 7385 //
     /* 1694465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694511 */     // MIs[0] policy
     /* 1694511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694545 */     // GIR_Coverage, 7385,
     /* 1694545 */     GIR_EraseRootFromParent_Done,
     /* 1694546 */   // Label 23188: @1694546
     /* 1694546 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1694632), // Rule ID 7386 //
     /* 1694551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694597 */     // MIs[0] policy
     /* 1694597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694631 */     // GIR_Coverage, 7386,
     /* 1694631 */     GIR_EraseRootFromParent_Done,
     /* 1694632 */   // Label 23189: @1694632
     /* 1694632 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1694718), // Rule ID 7389 //
     /* 1694637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1694648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1694651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1694654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694683 */     // MIs[0] policy
     /* 1694683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694693 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1694696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694717 */     // GIR_Coverage, 7389,
     /* 1694717 */     GIR_EraseRootFromParent_Done,
     /* 1694718 */   // Label 23190: @1694718
     /* 1694718 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1694804), // Rule ID 7390 //
     /* 1694723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1694734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1694737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1694740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694769 */     // MIs[0] policy
     /* 1694769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694779 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1694782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694803 */     // GIR_Coverage, 7390,
     /* 1694803 */     GIR_EraseRootFromParent_Done,
     /* 1694804 */   // Label 23191: @1694804
     /* 1694804 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1694890), // Rule ID 7393 //
     /* 1694809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1694820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1694823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694855 */     // MIs[0] policy
     /* 1694855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1694868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694889 */     // GIR_Coverage, 7393,
     /* 1694889 */     GIR_EraseRootFromParent_Done,
     /* 1694890 */   // Label 23192: @1694890
     /* 1694890 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1694976), // Rule ID 7394 //
     /* 1694895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1694906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1694909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694941 */     // MIs[0] policy
     /* 1694941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1694954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694975 */     // GIR_Coverage, 7394,
     /* 1694975 */     GIR_EraseRootFromParent_Done,
     /* 1694976 */   // Label 23193: @1694976
     /* 1694976 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1695062), // Rule ID 7397 //
     /* 1694981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1694992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1694995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695027 */     // MIs[0] policy
     /* 1695027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695037 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695061 */     // GIR_Coverage, 7397,
     /* 1695061 */     GIR_EraseRootFromParent_Done,
     /* 1695062 */   // Label 23194: @1695062
     /* 1695062 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1695148), // Rule ID 7398 //
     /* 1695067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1695078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1695081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1695084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695113 */     // MIs[0] policy
     /* 1695113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695123 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695147 */     // GIR_Coverage, 7398,
     /* 1695147 */     GIR_EraseRootFromParent_Done,
     /* 1695148 */   // Label 23195: @1695148
     /* 1695148 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1695234), // Rule ID 7401 //
     /* 1695153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695199 */     // MIs[0] policy
     /* 1695199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695233 */     // GIR_Coverage, 7401,
     /* 1695233 */     GIR_EraseRootFromParent_Done,
     /* 1695234 */   // Label 23196: @1695234
     /* 1695234 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1695320), // Rule ID 7402 //
     /* 1695239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695285 */     // MIs[0] policy
     /* 1695285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695295 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695319 */     // GIR_Coverage, 7402,
     /* 1695319 */     GIR_EraseRootFromParent_Done,
     /* 1695320 */   // Label 23197: @1695320
     /* 1695320 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1695406), // Rule ID 7405 //
     /* 1695325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695371 */     // MIs[0] policy
     /* 1695371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695381 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695405 */     // GIR_Coverage, 7405,
     /* 1695405 */     GIR_EraseRootFromParent_Done,
     /* 1695406 */   // Label 23198: @1695406
     /* 1695406 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1695492), // Rule ID 7406 //
     /* 1695411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695457 */     // MIs[0] policy
     /* 1695457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695491 */     // GIR_Coverage, 7406,
     /* 1695491 */     GIR_EraseRootFromParent_Done,
     /* 1695492 */   // Label 23199: @1695492
     /* 1695492 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1695578), // Rule ID 7409 //
     /* 1695497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695543 */     // MIs[0] policy
     /* 1695543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695577 */     // GIR_Coverage, 7409,
     /* 1695577 */     GIR_EraseRootFromParent_Done,
     /* 1695578 */   // Label 23200: @1695578
     /* 1695578 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1695664), // Rule ID 7410 //
     /* 1695583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695629 */     // MIs[0] policy
     /* 1695629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695639 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695663 */     // GIR_Coverage, 7410,
     /* 1695663 */     GIR_EraseRootFromParent_Done,
     /* 1695664 */   // Label 23201: @1695664
     /* 1695664 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1695750), // Rule ID 7413 //
     /* 1695669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1695686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695715 */     // MIs[0] policy
     /* 1695715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695749 */     // GIR_Coverage, 7413,
     /* 1695749 */     GIR_EraseRootFromParent_Done,
     /* 1695750 */   // Label 23202: @1695750
     /* 1695750 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1695836), // Rule ID 7414 //
     /* 1695755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1695772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695801 */     // MIs[0] policy
     /* 1695801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695811 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695835 */     // GIR_Coverage, 7414,
     /* 1695835 */     GIR_EraseRootFromParent_Done,
     /* 1695836 */   // Label 23203: @1695836
     /* 1695836 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1695922), // Rule ID 7417 //
     /* 1695841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695887 */     // MIs[0] policy
     /* 1695887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695921 */     // GIR_Coverage, 7417,
     /* 1695921 */     GIR_EraseRootFromParent_Done,
     /* 1695922 */   // Label 23204: @1695922
     /* 1695922 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1696008), // Rule ID 7418 //
     /* 1695927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695973 */     // MIs[0] policy
     /* 1695973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695983 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696007 */     // GIR_Coverage, 7418,
     /* 1696007 */     GIR_EraseRootFromParent_Done,
     /* 1696008 */   // Label 23205: @1696008
     /* 1696008 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1696094), // Rule ID 7421 //
     /* 1696013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1696024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1696027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1696030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696059 */     // MIs[0] policy
     /* 1696059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696069 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696093 */     // GIR_Coverage, 7421,
     /* 1696093 */     GIR_EraseRootFromParent_Done,
     /* 1696094 */   // Label 23206: @1696094
     /* 1696094 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1696180), // Rule ID 7422 //
     /* 1696099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1696110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1696113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1696116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696145 */     // MIs[0] policy
     /* 1696145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696155 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696179 */     // GIR_Coverage, 7422,
     /* 1696179 */     GIR_EraseRootFromParent_Done,
     /* 1696180 */   // Label 23207: @1696180
     /* 1696180 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1696266), // Rule ID 7425 //
     /* 1696185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696231 */     // MIs[0] policy
     /* 1696231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696241 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696265 */     // GIR_Coverage, 7425,
     /* 1696265 */     GIR_EraseRootFromParent_Done,
     /* 1696266 */   // Label 23208: @1696266
     /* 1696266 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1696352), // Rule ID 7426 //
     /* 1696271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696317 */     // MIs[0] policy
     /* 1696317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696351 */     // GIR_Coverage, 7426,
     /* 1696351 */     GIR_EraseRootFromParent_Done,
     /* 1696352 */   // Label 23209: @1696352
     /* 1696352 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1696438), // Rule ID 7429 //
     /* 1696357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696403 */     // MIs[0] policy
     /* 1696403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696413 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696437 */     // GIR_Coverage, 7429,
     /* 1696437 */     GIR_EraseRootFromParent_Done,
     /* 1696438 */   // Label 23210: @1696438
     /* 1696438 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1696524), // Rule ID 7430 //
     /* 1696443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696489 */     // MIs[0] policy
     /* 1696489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696523 */     // GIR_Coverage, 7430,
     /* 1696523 */     GIR_EraseRootFromParent_Done,
     /* 1696524 */   // Label 23211: @1696524
     /* 1696524 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1696610), // Rule ID 7433 //
     /* 1696529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1696546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696575 */     // MIs[0] policy
     /* 1696575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696585 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696609 */     // GIR_Coverage, 7433,
     /* 1696609 */     GIR_EraseRootFromParent_Done,
     /* 1696610 */   // Label 23212: @1696610
     /* 1696610 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1696696), // Rule ID 7434 //
     /* 1696615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1696632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696661 */     // MIs[0] policy
     /* 1696661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696695 */     // GIR_Coverage, 7434,
     /* 1696695 */     GIR_EraseRootFromParent_Done,
     /* 1696696 */   // Label 23213: @1696696
     /* 1696696 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1696782), // Rule ID 7437 //
     /* 1696701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1696712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1696715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1696718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696747 */     // MIs[0] policy
     /* 1696747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696757 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696781 */     // GIR_Coverage, 7437,
     /* 1696781 */     GIR_EraseRootFromParent_Done,
     /* 1696782 */   // Label 23214: @1696782
     /* 1696782 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1696868), // Rule ID 7438 //
     /* 1696787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1696798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1696801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1696804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696833 */     // MIs[0] policy
     /* 1696833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696867 */     // GIR_Coverage, 7438,
     /* 1696867 */     GIR_EraseRootFromParent_Done,
     /* 1696868 */   // Label 23215: @1696868
     /* 1696868 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1696954), // Rule ID 7501 //
     /* 1696873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696919 */     // MIs[0] policy
     /* 1696919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696929 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1696932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696953 */     // GIR_Coverage, 7501,
     /* 1696953 */     GIR_EraseRootFromParent_Done,
     /* 1696954 */   // Label 23216: @1696954
     /* 1696954 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1697040), // Rule ID 7502 //
     /* 1696959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697005 */     // MIs[0] policy
     /* 1697005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697015 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1697018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697039 */     // GIR_Coverage, 7502,
     /* 1697039 */     GIR_EraseRootFromParent_Done,
     /* 1697040 */   // Label 23217: @1697040
     /* 1697040 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1697126), // Rule ID 7505 //
     /* 1697045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697091 */     // MIs[0] policy
     /* 1697091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697125 */     // GIR_Coverage, 7505,
     /* 1697125 */     GIR_EraseRootFromParent_Done,
     /* 1697126 */   // Label 23218: @1697126
     /* 1697126 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1697212), // Rule ID 7506 //
     /* 1697131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697177 */     // MIs[0] policy
     /* 1697177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697211 */     // GIR_Coverage, 7506,
     /* 1697211 */     GIR_EraseRootFromParent_Done,
     /* 1697212 */   // Label 23219: @1697212
     /* 1697212 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1697298), // Rule ID 7509 //
     /* 1697217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697263 */     // MIs[0] policy
     /* 1697263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697273 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697297 */     // GIR_Coverage, 7509,
     /* 1697297 */     GIR_EraseRootFromParent_Done,
     /* 1697298 */   // Label 23220: @1697298
     /* 1697298 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1697384), // Rule ID 7510 //
     /* 1697303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697349 */     // MIs[0] policy
     /* 1697349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697383 */     // GIR_Coverage, 7510,
     /* 1697383 */     GIR_EraseRootFromParent_Done,
     /* 1697384 */   // Label 23221: @1697384
     /* 1697384 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1697470), // Rule ID 7513 //
     /* 1697389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697435 */     // MIs[0] policy
     /* 1697435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697445 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697469 */     // GIR_Coverage, 7513,
     /* 1697469 */     GIR_EraseRootFromParent_Done,
     /* 1697470 */   // Label 23222: @1697470
     /* 1697470 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1697556), // Rule ID 7514 //
     /* 1697475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697521 */     // MIs[0] policy
     /* 1697521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697555 */     // GIR_Coverage, 7514,
     /* 1697555 */     GIR_EraseRootFromParent_Done,
     /* 1697556 */   // Label 23223: @1697556
     /* 1697556 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1697642), // Rule ID 7517 //
     /* 1697561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697607 */     // MIs[0] policy
     /* 1697607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697641 */     // GIR_Coverage, 7517,
     /* 1697641 */     GIR_EraseRootFromParent_Done,
     /* 1697642 */   // Label 23224: @1697642
     /* 1697642 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1697728), // Rule ID 7518 //
     /* 1697647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697693 */     // MIs[0] policy
     /* 1697693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697727 */     // GIR_Coverage, 7518,
     /* 1697727 */     GIR_EraseRootFromParent_Done,
     /* 1697728 */   // Label 23225: @1697728
     /* 1697728 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1697814), // Rule ID 7521 //
     /* 1697733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697779 */     // MIs[0] policy
     /* 1697779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697789 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1697792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697813 */     // GIR_Coverage, 7521,
     /* 1697813 */     GIR_EraseRootFromParent_Done,
     /* 1697814 */   // Label 23226: @1697814
     /* 1697814 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1697900), // Rule ID 7522 //
     /* 1697819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697865 */     // MIs[0] policy
     /* 1697865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697875 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1697878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697899 */     // GIR_Coverage, 7522,
     /* 1697899 */     GIR_EraseRootFromParent_Done,
     /* 1697900 */   // Label 23227: @1697900
     /* 1697900 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1697986), // Rule ID 7525 //
     /* 1697905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1697916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1697919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1697925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697951 */     // MIs[0] policy
     /* 1697951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697985 */     // GIR_Coverage, 7525,
     /* 1697985 */     GIR_EraseRootFromParent_Done,
     /* 1697986 */   // Label 23228: @1697986
     /* 1697986 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1698072), // Rule ID 7526 //
     /* 1697991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1698002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1698005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1698008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1698011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698037 */     // MIs[0] policy
     /* 1698037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1698050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698071 */     // GIR_Coverage, 7526,
     /* 1698071 */     GIR_EraseRootFromParent_Done,
     /* 1698072 */   // Label 23229: @1698072
     /* 1698072 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1698158), // Rule ID 7529 //
     /* 1698077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698123 */     // MIs[0] policy
     /* 1698123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698157 */     // GIR_Coverage, 7529,
     /* 1698157 */     GIR_EraseRootFromParent_Done,
     /* 1698158 */   // Label 23230: @1698158
     /* 1698158 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1698244), // Rule ID 7530 //
     /* 1698163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698209 */     // MIs[0] policy
     /* 1698209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698243 */     // GIR_Coverage, 7530,
     /* 1698243 */     GIR_EraseRootFromParent_Done,
     /* 1698244 */   // Label 23231: @1698244
     /* 1698244 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1698330), // Rule ID 7533 //
     /* 1698249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698295 */     // MIs[0] policy
     /* 1698295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698329 */     // GIR_Coverage, 7533,
     /* 1698329 */     GIR_EraseRootFromParent_Done,
     /* 1698330 */   // Label 23232: @1698330
     /* 1698330 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1698416), // Rule ID 7534 //
     /* 1698335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698381 */     // MIs[0] policy
     /* 1698381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698391 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698415 */     // GIR_Coverage, 7534,
     /* 1698415 */     GIR_EraseRootFromParent_Done,
     /* 1698416 */   // Label 23233: @1698416
     /* 1698416 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1698502), // Rule ID 7537 //
     /* 1698421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698467 */     // MIs[0] policy
     /* 1698467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698501 */     // GIR_Coverage, 7537,
     /* 1698501 */     GIR_EraseRootFromParent_Done,
     /* 1698502 */   // Label 23234: @1698502
     /* 1698502 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1698588), // Rule ID 7538 //
     /* 1698507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698553 */     // MIs[0] policy
     /* 1698553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698587 */     // GIR_Coverage, 7538,
     /* 1698587 */     GIR_EraseRootFromParent_Done,
     /* 1698588 */   // Label 23235: @1698588
     /* 1698588 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1698674), // Rule ID 7541 //
     /* 1698593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698639 */     // MIs[0] policy
     /* 1698639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698673 */     // GIR_Coverage, 7541,
     /* 1698673 */     GIR_EraseRootFromParent_Done,
     /* 1698674 */   // Label 23236: @1698674
     /* 1698674 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1698760), // Rule ID 7542 //
     /* 1698679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698725 */     // MIs[0] policy
     /* 1698725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698759 */     // GIR_Coverage, 7542,
     /* 1698759 */     GIR_EraseRootFromParent_Done,
     /* 1698760 */   // Label 23237: @1698760
     /* 1698760 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1698846), // Rule ID 7545 //
     /* 1698765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1698782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1698785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698811 */     // MIs[0] policy
     /* 1698811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698845 */     // GIR_Coverage, 7545,
     /* 1698845 */     GIR_EraseRootFromParent_Done,
     /* 1698846 */   // Label 23238: @1698846
     /* 1698846 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1698932), // Rule ID 7546 //
     /* 1698851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1698868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1698871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698897 */     // MIs[0] policy
     /* 1698897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698931 */     // GIR_Coverage, 7546,
     /* 1698931 */     GIR_EraseRootFromParent_Done,
     /* 1698932 */   // Label 23239: @1698932
     /* 1698932 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1699018), // Rule ID 7549 //
     /* 1698937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1698948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1698951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1698957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698983 */     // MIs[0] policy
     /* 1698983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698993 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699017 */     // GIR_Coverage, 7549,
     /* 1699017 */     GIR_EraseRootFromParent_Done,
     /* 1699018 */   // Label 23240: @1699018
     /* 1699018 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1699104), // Rule ID 7550 //
     /* 1699023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1699034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1699037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1699043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699069 */     // MIs[0] policy
     /* 1699069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699079 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1699082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699103 */     // GIR_Coverage, 7550,
     /* 1699103 */     GIR_EraseRootFromParent_Done,
     /* 1699104 */   // Label 23241: @1699104
     /* 1699104 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1699190), // Rule ID 7553 //
     /* 1699109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699155 */     // MIs[0] policy
     /* 1699155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699189 */     // GIR_Coverage, 7553,
     /* 1699189 */     GIR_EraseRootFromParent_Done,
     /* 1699190 */   // Label 23242: @1699190
     /* 1699190 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1699276), // Rule ID 7554 //
     /* 1699195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699241 */     // MIs[0] policy
     /* 1699241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699275 */     // GIR_Coverage, 7554,
     /* 1699275 */     GIR_EraseRootFromParent_Done,
     /* 1699276 */   // Label 23243: @1699276
     /* 1699276 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1699362), // Rule ID 7557 //
     /* 1699281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699327 */     // MIs[0] policy
     /* 1699327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699361 */     // GIR_Coverage, 7557,
     /* 1699361 */     GIR_EraseRootFromParent_Done,
     /* 1699362 */   // Label 23244: @1699362
     /* 1699362 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1699448), // Rule ID 7558 //
     /* 1699367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699413 */     // MIs[0] policy
     /* 1699413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699423 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699447 */     // GIR_Coverage, 7558,
     /* 1699447 */     GIR_EraseRootFromParent_Done,
     /* 1699448 */   // Label 23245: @1699448
     /* 1699448 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1699534), // Rule ID 7561 //
     /* 1699453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699499 */     // MIs[0] policy
     /* 1699499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699509 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699533 */     // GIR_Coverage, 7561,
     /* 1699533 */     GIR_EraseRootFromParent_Done,
     /* 1699534 */   // Label 23246: @1699534
     /* 1699534 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1699620), // Rule ID 7562 //
     /* 1699539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699585 */     // MIs[0] policy
     /* 1699585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699595 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699619 */     // GIR_Coverage, 7562,
     /* 1699619 */     GIR_EraseRootFromParent_Done,
     /* 1699620 */   // Label 23247: @1699620
     /* 1699620 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1699706), // Rule ID 7565 //
     /* 1699625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699671 */     // MIs[0] policy
     /* 1699671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699681 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1699684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699705 */     // GIR_Coverage, 7565,
     /* 1699705 */     GIR_EraseRootFromParent_Done,
     /* 1699706 */   // Label 23248: @1699706
     /* 1699706 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1699792), // Rule ID 7566 //
     /* 1699711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699757 */     // MIs[0] policy
     /* 1699757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699767 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1699770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699791 */     // GIR_Coverage, 7566,
     /* 1699791 */     GIR_EraseRootFromParent_Done,
     /* 1699792 */   // Label 23249: @1699792
     /* 1699792 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1699878), // Rule ID 7569 //
     /* 1699797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699843 */     // MIs[0] policy
     /* 1699843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699853 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1699856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699877 */     // GIR_Coverage, 7569,
     /* 1699877 */     GIR_EraseRootFromParent_Done,
     /* 1699878 */   // Label 23250: @1699878
     /* 1699878 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1699964), // Rule ID 7570 //
     /* 1699883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699929 */     // MIs[0] policy
     /* 1699929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1699942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699963 */     // GIR_Coverage, 7570,
     /* 1699963 */     GIR_EraseRootFromParent_Done,
     /* 1699964 */   // Label 23251: @1699964
     /* 1699964 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1700050), // Rule ID 7573 //
     /* 1699969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1699980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1699983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700015 */     // MIs[0] policy
     /* 1700015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700025 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700049 */     // GIR_Coverage, 7573,
     /* 1700049 */     GIR_EraseRootFromParent_Done,
     /* 1700050 */   // Label 23252: @1700050
     /* 1700050 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1700136), // Rule ID 7574 //
     /* 1700055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1700072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700101 */     // MIs[0] policy
     /* 1700101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700135 */     // GIR_Coverage, 7574,
     /* 1700135 */     GIR_EraseRootFromParent_Done,
     /* 1700136 */   // Label 23253: @1700136
     /* 1700136 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1700222), // Rule ID 7577 //
     /* 1700141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700187 */     // MIs[0] policy
     /* 1700187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700221 */     // GIR_Coverage, 7577,
     /* 1700221 */     GIR_EraseRootFromParent_Done,
     /* 1700222 */   // Label 23254: @1700222
     /* 1700222 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1700308), // Rule ID 7578 //
     /* 1700227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700273 */     // MIs[0] policy
     /* 1700273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700307 */     // GIR_Coverage, 7578,
     /* 1700307 */     GIR_EraseRootFromParent_Done,
     /* 1700308 */   // Label 23255: @1700308
     /* 1700308 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1700394), // Rule ID 7581 //
     /* 1700313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700359 */     // MIs[0] policy
     /* 1700359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700369 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700393 */     // GIR_Coverage, 7581,
     /* 1700393 */     GIR_EraseRootFromParent_Done,
     /* 1700394 */   // Label 23256: @1700394
     /* 1700394 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1700480), // Rule ID 7582 //
     /* 1700399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700445 */     // MIs[0] policy
     /* 1700445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700455 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700479 */     // GIR_Coverage, 7582,
     /* 1700479 */     GIR_EraseRootFromParent_Done,
     /* 1700480 */   // Label 23257: @1700480
     /* 1700480 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1700566), // Rule ID 7585 //
     /* 1700485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700531 */     // MIs[0] policy
     /* 1700531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700565 */     // GIR_Coverage, 7585,
     /* 1700565 */     GIR_EraseRootFromParent_Done,
     /* 1700566 */   // Label 23258: @1700566
     /* 1700566 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1700652), // Rule ID 7586 //
     /* 1700571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700617 */     // MIs[0] policy
     /* 1700617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700651 */     // GIR_Coverage, 7586,
     /* 1700651 */     GIR_EraseRootFromParent_Done,
     /* 1700652 */   // Label 23259: @1700652
     /* 1700652 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1700738), // Rule ID 7589 //
     /* 1700657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700703 */     // MIs[0] policy
     /* 1700703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700737 */     // GIR_Coverage, 7589,
     /* 1700737 */     GIR_EraseRootFromParent_Done,
     /* 1700738 */   // Label 23260: @1700738
     /* 1700738 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1700824), // Rule ID 7590 //
     /* 1700743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700789 */     // MIs[0] policy
     /* 1700789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700823 */     // GIR_Coverage, 7590,
     /* 1700823 */     GIR_EraseRootFromParent_Done,
     /* 1700824 */   // Label 23261: @1700824
     /* 1700824 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1700910), // Rule ID 7593 //
     /* 1700829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700875 */     // MIs[0] policy
     /* 1700875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700909 */     // GIR_Coverage, 7593,
     /* 1700909 */     GIR_EraseRootFromParent_Done,
     /* 1700910 */   // Label 23262: @1700910
     /* 1700910 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1700996), // Rule ID 7594 //
     /* 1700915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700961 */     // MIs[0] policy
     /* 1700961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700971 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700995 */     // GIR_Coverage, 7594,
     /* 1700995 */     GIR_EraseRootFromParent_Done,
     /* 1700996 */   // Label 23263: @1700996
     /* 1700996 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1701082), // Rule ID 7597 //
     /* 1701001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1701018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701047 */     // MIs[0] policy
     /* 1701047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701057 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701081 */     // GIR_Coverage, 7597,
     /* 1701081 */     GIR_EraseRootFromParent_Done,
     /* 1701082 */   // Label 23264: @1701082
     /* 1701082 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1701168), // Rule ID 7598 //
     /* 1701087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1701104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701133 */     // MIs[0] policy
     /* 1701133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701167 */     // GIR_Coverage, 7598,
     /* 1701167 */     GIR_EraseRootFromParent_Done,
     /* 1701168 */   // Label 23265: @1701168
     /* 1701168 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1701254), // Rule ID 7601 //
     /* 1701173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701219 */     // MIs[0] policy
     /* 1701219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701229 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701253 */     // GIR_Coverage, 7601,
     /* 1701253 */     GIR_EraseRootFromParent_Done,
     /* 1701254 */   // Label 23266: @1701254
     /* 1701254 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1701340), // Rule ID 7602 //
     /* 1701259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701305 */     // MIs[0] policy
     /* 1701305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701315 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701339 */     // GIR_Coverage, 7602,
     /* 1701339 */     GIR_EraseRootFromParent_Done,
     /* 1701340 */   // Label 23267: @1701340
     /* 1701340 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1701426), // Rule ID 7605 //
     /* 1701345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701391 */     // MIs[0] policy
     /* 1701391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701425 */     // GIR_Coverage, 7605,
     /* 1701425 */     GIR_EraseRootFromParent_Done,
     /* 1701426 */   // Label 23268: @1701426
     /* 1701426 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1701512), // Rule ID 7606 //
     /* 1701431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701477 */     // MIs[0] policy
     /* 1701477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701487 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701511 */     // GIR_Coverage, 7606,
     /* 1701511 */     GIR_EraseRootFromParent_Done,
     /* 1701512 */   // Label 23269: @1701512
     /* 1701512 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1701598), // Rule ID 7609 //
     /* 1701517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701563 */     // MIs[0] policy
     /* 1701563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701597 */     // GIR_Coverage, 7609,
     /* 1701597 */     GIR_EraseRootFromParent_Done,
     /* 1701598 */   // Label 23270: @1701598
     /* 1701598 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1701684), // Rule ID 7610 //
     /* 1701603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701649 */     // MIs[0] policy
     /* 1701649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701683 */     // GIR_Coverage, 7610,
     /* 1701683 */     GIR_EraseRootFromParent_Done,
     /* 1701684 */   // Label 23271: @1701684
     /* 1701684 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1701770), // Rule ID 7613 //
     /* 1701689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701735 */     // MIs[0] policy
     /* 1701735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701769 */     // GIR_Coverage, 7613,
     /* 1701769 */     GIR_EraseRootFromParent_Done,
     /* 1701770 */   // Label 23272: @1701770
     /* 1701770 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1701856), // Rule ID 7614 //
     /* 1701775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701821 */     // MIs[0] policy
     /* 1701821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701855 */     // GIR_Coverage, 7614,
     /* 1701855 */     GIR_EraseRootFromParent_Done,
     /* 1701856 */   // Label 23273: @1701856
     /* 1701856 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1701942), // Rule ID 7617 //
     /* 1701861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701907 */     // MIs[0] policy
     /* 1701907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701941 */     // GIR_Coverage, 7617,
     /* 1701941 */     GIR_EraseRootFromParent_Done,
     /* 1701942 */   // Label 23274: @1701942
     /* 1701942 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1702028), // Rule ID 7618 //
     /* 1701947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701993 */     // MIs[0] policy
     /* 1701993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1702006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702027 */     // GIR_Coverage, 7618,
     /* 1702027 */     GIR_EraseRootFromParent_Done,
     /* 1702028 */   // Label 23275: @1702028
     /* 1702028 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1702114), // Rule ID 10133 //
     /* 1702033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1702044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1702047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702079 */     // MIs[0] policy
     /* 1702079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702089 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702113 */     // GIR_Coverage, 10133,
     /* 1702113 */     GIR_EraseRootFromParent_Done,
     /* 1702114 */   // Label 23276: @1702114
     /* 1702114 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1702200), // Rule ID 10134 //
     /* 1702119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1702130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1702133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702165 */     // MIs[0] policy
     /* 1702165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702175 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702199 */     // GIR_Coverage, 10134,
     /* 1702199 */     GIR_EraseRootFromParent_Done,
     /* 1702200 */   // Label 23277: @1702200
     /* 1702200 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1702286), // Rule ID 10137 //
     /* 1702205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702251 */     // MIs[0] policy
     /* 1702251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702285 */     // GIR_Coverage, 10137,
     /* 1702285 */     GIR_EraseRootFromParent_Done,
     /* 1702286 */   // Label 23278: @1702286
     /* 1702286 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1702372), // Rule ID 10138 //
     /* 1702291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702337 */     // MIs[0] policy
     /* 1702337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702347 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702371 */     // GIR_Coverage, 10138,
     /* 1702371 */     GIR_EraseRootFromParent_Done,
     /* 1702372 */   // Label 23279: @1702372
     /* 1702372 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1702458), // Rule ID 10141 //
     /* 1702377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702423 */     // MIs[0] policy
     /* 1702423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702433 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702457 */     // GIR_Coverage, 10141,
     /* 1702457 */     GIR_EraseRootFromParent_Done,
     /* 1702458 */   // Label 23280: @1702458
     /* 1702458 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1702544), // Rule ID 10142 //
     /* 1702463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702509 */     // MIs[0] policy
     /* 1702509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702519 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702543 */     // GIR_Coverage, 10142,
     /* 1702543 */     GIR_EraseRootFromParent_Done,
     /* 1702544 */   // Label 23281: @1702544
     /* 1702544 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1702630), // Rule ID 10145 //
     /* 1702549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1702566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702595 */     // MIs[0] policy
     /* 1702595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702605 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702629 */     // GIR_Coverage, 10145,
     /* 1702629 */     GIR_EraseRootFromParent_Done,
     /* 1702630 */   // Label 23282: @1702630
     /* 1702630 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1702716), // Rule ID 10146 //
     /* 1702635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1702652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702681 */     // MIs[0] policy
     /* 1702681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702715 */     // GIR_Coverage, 10146,
     /* 1702715 */     GIR_EraseRootFromParent_Done,
     /* 1702716 */   // Label 23283: @1702716
     /* 1702716 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1702802), // Rule ID 10149 //
     /* 1702721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1702738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1702741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702767 */     // MIs[0] policy
     /* 1702767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702801 */     // GIR_Coverage, 10149,
     /* 1702801 */     GIR_EraseRootFromParent_Done,
     /* 1702802 */   // Label 23284: @1702802
     /* 1702802 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1702888), // Rule ID 10150 //
     /* 1702807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1702824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1702827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702853 */     // MIs[0] policy
     /* 1702853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702863 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702887 */     // GIR_Coverage, 10150,
     /* 1702887 */     GIR_EraseRootFromParent_Done,
     /* 1702888 */   // Label 23285: @1702888
     /* 1702888 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1702974), // Rule ID 10153 //
     /* 1702893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1702904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1702907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1702913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702939 */     // MIs[0] policy
     /* 1702939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702949 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702973 */     // GIR_Coverage, 10153,
     /* 1702973 */     GIR_EraseRootFromParent_Done,
     /* 1702974 */   // Label 23286: @1702974
     /* 1702974 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1703060), // Rule ID 10154 //
     /* 1702979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1702990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1702993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1702999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703025 */     // MIs[0] policy
     /* 1703025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703059 */     // GIR_Coverage, 10154,
     /* 1703059 */     GIR_EraseRootFromParent_Done,
     /* 1703060 */   // Label 23287: @1703060
     /* 1703060 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1703146), // Rule ID 10157 //
     /* 1703065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703111 */     // MIs[0] policy
     /* 1703111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703121 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703145 */     // GIR_Coverage, 10157,
     /* 1703145 */     GIR_EraseRootFromParent_Done,
     /* 1703146 */   // Label 23288: @1703146
     /* 1703146 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1703232), // Rule ID 10158 //
     /* 1703151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703197 */     // MIs[0] policy
     /* 1703197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703207 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703231 */     // GIR_Coverage, 10158,
     /* 1703231 */     GIR_EraseRootFromParent_Done,
     /* 1703232 */   // Label 23289: @1703232
     /* 1703232 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1703318), // Rule ID 10161 //
     /* 1703237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703283 */     // MIs[0] policy
     /* 1703283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703317 */     // GIR_Coverage, 10161,
     /* 1703317 */     GIR_EraseRootFromParent_Done,
     /* 1703318 */   // Label 23290: @1703318
     /* 1703318 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1703404), // Rule ID 10162 //
     /* 1703323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703369 */     // MIs[0] policy
     /* 1703369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703379 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703403 */     // GIR_Coverage, 10162,
     /* 1703403 */     GIR_EraseRootFromParent_Done,
     /* 1703404 */   // Label 23291: @1703404
     /* 1703404 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1703490), // Rule ID 10165 //
     /* 1703409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703455 */     // MIs[0] policy
     /* 1703455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703489 */     // GIR_Coverage, 10165,
     /* 1703489 */     GIR_EraseRootFromParent_Done,
     /* 1703490 */   // Label 23292: @1703490
     /* 1703490 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1703576), // Rule ID 10166 //
     /* 1703495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703541 */     // MIs[0] policy
     /* 1703541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703575 */     // GIR_Coverage, 10166,
     /* 1703575 */     GIR_EraseRootFromParent_Done,
     /* 1703576 */   // Label 23293: @1703576
     /* 1703576 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1703662), // Rule ID 10169 //
     /* 1703581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1703592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1703595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1703601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703627 */     // MIs[0] policy
     /* 1703627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703637 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703661 */     // GIR_Coverage, 10169,
     /* 1703661 */     GIR_EraseRootFromParent_Done,
     /* 1703662 */   // Label 23294: @1703662
     /* 1703662 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1703748), // Rule ID 10170 //
     /* 1703667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1703670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1703678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1703681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1703687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703713 */     // MIs[0] policy
     /* 1703713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703747 */     // GIR_Coverage, 10170,
     /* 1703747 */     GIR_EraseRootFromParent_Done,
     /* 1703748 */   // Label 23295: @1703748
     /* 1703748 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1703834), // Rule ID 10173 //
     /* 1703753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1703764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1703767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1703770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1703773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703799 */     // MIs[0] policy
     /* 1703799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703833 */     // GIR_Coverage, 10173,
     /* 1703833 */     GIR_EraseRootFromParent_Done,
     /* 1703834 */   // Label 23296: @1703834
     /* 1703834 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1703920), // Rule ID 10174 //
     /* 1703839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1703850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1703853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1703856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1703859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703885 */     // MIs[0] policy
     /* 1703885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703895 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703919 */     // GIR_Coverage, 10174,
     /* 1703919 */     GIR_EraseRootFromParent_Done,
     /* 1703920 */   // Label 23297: @1703920
     /* 1703920 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1704006), // Rule ID 10177 //
     /* 1703925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1703936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1703939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1703942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1703945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703971 */     // MIs[0] policy
     /* 1703971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703981 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1703984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704005 */     // GIR_Coverage, 10177,
     /* 1704005 */     GIR_EraseRootFromParent_Done,
     /* 1704006 */   // Label 23298: @1704006
     /* 1704006 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1704092), // Rule ID 10178 //
     /* 1704011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1704028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704057 */     // MIs[0] policy
     /* 1704057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704091 */     // GIR_Coverage, 10178,
     /* 1704091 */     GIR_EraseRootFromParent_Done,
     /* 1704092 */   // Label 23299: @1704092
     /* 1704092 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1704178), // Rule ID 10181 //
     /* 1704097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704143 */     // MIs[0] policy
     /* 1704143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704153 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704177 */     // GIR_Coverage, 10181,
     /* 1704177 */     GIR_EraseRootFromParent_Done,
     /* 1704178 */   // Label 23300: @1704178
     /* 1704178 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1704264), // Rule ID 10182 //
     /* 1704183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704229 */     // MIs[0] policy
     /* 1704229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704239 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704263 */     // GIR_Coverage, 10182,
     /* 1704263 */     GIR_EraseRootFromParent_Done,
     /* 1704264 */   // Label 23301: @1704264
     /* 1704264 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1704350), // Rule ID 10185 //
     /* 1704269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704315 */     // MIs[0] policy
     /* 1704315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704349 */     // GIR_Coverage, 10185,
     /* 1704349 */     GIR_EraseRootFromParent_Done,
     /* 1704350 */   // Label 23302: @1704350
     /* 1704350 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1704436), // Rule ID 10186 //
     /* 1704355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704401 */     // MIs[0] policy
     /* 1704401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704435 */     // GIR_Coverage, 10186,
     /* 1704435 */     GIR_EraseRootFromParent_Done,
     /* 1704436 */   // Label 23303: @1704436
     /* 1704436 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1704522), // Rule ID 10189 //
     /* 1704441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704487 */     // MIs[0] policy
     /* 1704487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704521 */     // GIR_Coverage, 10189,
     /* 1704521 */     GIR_EraseRootFromParent_Done,
     /* 1704522 */   // Label 23304: @1704522
     /* 1704522 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1704608), // Rule ID 10190 //
     /* 1704527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704573 */     // MIs[0] policy
     /* 1704573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704607 */     // GIR_Coverage, 10190,
     /* 1704607 */     GIR_EraseRootFromParent_Done,
     /* 1704608 */   // Label 23305: @1704608
     /* 1704608 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1704694), // Rule ID 10193 //
     /* 1704613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1704624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1704627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1704633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704659 */     // MIs[0] policy
     /* 1704659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704693 */     // GIR_Coverage, 10193,
     /* 1704693 */     GIR_EraseRootFromParent_Done,
     /* 1704694 */   // Label 23306: @1704694
     /* 1704694 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1704780), // Rule ID 10194 //
     /* 1704699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1704710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1704713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1704719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704745 */     // MIs[0] policy
     /* 1704745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704755 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704779 */     // GIR_Coverage, 10194,
     /* 1704779 */     GIR_EraseRootFromParent_Done,
     /* 1704780 */   // Label 23307: @1704780
     /* 1704780 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1704866), // Rule ID 10197 //
     /* 1704785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1704796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1704799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1704802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1704805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704831 */     // MIs[0] policy
     /* 1704831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704841 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704865 */     // GIR_Coverage, 10197,
     /* 1704865 */     GIR_EraseRootFromParent_Done,
     /* 1704866 */   // Label 23308: @1704866
     /* 1704866 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1704952), // Rule ID 10198 //
     /* 1704871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1704882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1704885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1704888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1704891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704917 */     // MIs[0] policy
     /* 1704917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704951 */     // GIR_Coverage, 10198,
     /* 1704951 */     GIR_EraseRootFromParent_Done,
     /* 1704952 */   // Label 23309: @1704952
     /* 1704952 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1705038), // Rule ID 10201 //
     /* 1704957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1704968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1704971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1704974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1704977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705003 */     // MIs[0] policy
     /* 1705003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705013 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705037 */     // GIR_Coverage, 10201,
     /* 1705037 */     GIR_EraseRootFromParent_Done,
     /* 1705038 */   // Label 23310: @1705038
     /* 1705038 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1705124), // Rule ID 10202 //
     /* 1705043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705089 */     // MIs[0] policy
     /* 1705089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705123 */     // GIR_Coverage, 10202,
     /* 1705123 */     GIR_EraseRootFromParent_Done,
     /* 1705124 */   // Label 23311: @1705124
     /* 1705124 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1705210), // Rule ID 10205 //
     /* 1705129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705175 */     // MIs[0] policy
     /* 1705175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705209 */     // GIR_Coverage, 10205,
     /* 1705209 */     GIR_EraseRootFromParent_Done,
     /* 1705210 */   // Label 23312: @1705210
     /* 1705210 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1705296), // Rule ID 10206 //
     /* 1705215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705261 */     // MIs[0] policy
     /* 1705261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705295 */     // GIR_Coverage, 10206,
     /* 1705295 */     GIR_EraseRootFromParent_Done,
     /* 1705296 */   // Label 23313: @1705296
     /* 1705296 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1705382), // Rule ID 10209 //
     /* 1705301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705347 */     // MIs[0] policy
     /* 1705347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705381 */     // GIR_Coverage, 10209,
     /* 1705381 */     GIR_EraseRootFromParent_Done,
     /* 1705382 */   // Label 23314: @1705382
     /* 1705382 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1705468), // Rule ID 10210 //
     /* 1705387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705433 */     // MIs[0] policy
     /* 1705433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705467 */     // GIR_Coverage, 10210,
     /* 1705467 */     GIR_EraseRootFromParent_Done,
     /* 1705468 */   // Label 23315: @1705468
     /* 1705468 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1705554), // Rule ID 10213 //
     /* 1705473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705519 */     // MIs[0] policy
     /* 1705519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705529 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705553 */     // GIR_Coverage, 10213,
     /* 1705553 */     GIR_EraseRootFromParent_Done,
     /* 1705554 */   // Label 23316: @1705554
     /* 1705554 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1705640), // Rule ID 10214 //
     /* 1705559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705605 */     // MIs[0] policy
     /* 1705605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705615 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705639 */     // GIR_Coverage, 10214,
     /* 1705639 */     GIR_EraseRootFromParent_Done,
     /* 1705640 */   // Label 23317: @1705640
     /* 1705640 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1705726), // Rule ID 10217 //
     /* 1705645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1705656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1705659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1705662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1705665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705691 */     // MIs[0] policy
     /* 1705691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705725 */     // GIR_Coverage, 10217,
     /* 1705725 */     GIR_EraseRootFromParent_Done,
     /* 1705726 */   // Label 23318: @1705726
     /* 1705726 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1705812), // Rule ID 10218 //
     /* 1705731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1705742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1705745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1705748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1705751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705777 */     // MIs[0] policy
     /* 1705777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705811 */     // GIR_Coverage, 10218,
     /* 1705811 */     GIR_EraseRootFromParent_Done,
     /* 1705812 */   // Label 23319: @1705812
     /* 1705812 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1705898), // Rule ID 10221 //
     /* 1705817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1705828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1705831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1705834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705863 */     // MIs[0] policy
     /* 1705863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705873 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1705876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705897 */     // GIR_Coverage, 10221,
     /* 1705897 */     GIR_EraseRootFromParent_Done,
     /* 1705898 */   // Label 23320: @1705898
     /* 1705898 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1705984), // Rule ID 10222 //
     /* 1705903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1705914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1705917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1705920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705949 */     // MIs[0] policy
     /* 1705949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1705962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705983 */     // GIR_Coverage, 10222,
     /* 1705983 */     GIR_EraseRootFromParent_Done,
     /* 1705984 */   // Label 23321: @1705984
     /* 1705984 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1706070), // Rule ID 10225 //
     /* 1705989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706035 */     // MIs[0] policy
     /* 1706035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706045 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706069 */     // GIR_Coverage, 10225,
     /* 1706069 */     GIR_EraseRootFromParent_Done,
     /* 1706070 */   // Label 23322: @1706070
     /* 1706070 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1706156), // Rule ID 10226 //
     /* 1706075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706121 */     // MIs[0] policy
     /* 1706121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706131 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706155 */     // GIR_Coverage, 10226,
     /* 1706155 */     GIR_EraseRootFromParent_Done,
     /* 1706156 */   // Label 23323: @1706156
     /* 1706156 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1706242), // Rule ID 10229 //
     /* 1706161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706207 */     // MIs[0] policy
     /* 1706207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706217 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706241 */     // GIR_Coverage, 10229,
     /* 1706241 */     GIR_EraseRootFromParent_Done,
     /* 1706242 */   // Label 23324: @1706242
     /* 1706242 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1706328), // Rule ID 10230 //
     /* 1706247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706293 */     // MIs[0] policy
     /* 1706293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706327 */     // GIR_Coverage, 10230,
     /* 1706327 */     GIR_EraseRootFromParent_Done,
     /* 1706328 */   // Label 23325: @1706328
     /* 1706328 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1706414), // Rule ID 10233 //
     /* 1706333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706379 */     // MIs[0] policy
     /* 1706379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706389 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706413 */     // GIR_Coverage, 10233,
     /* 1706413 */     GIR_EraseRootFromParent_Done,
     /* 1706414 */   // Label 23326: @1706414
     /* 1706414 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1706500), // Rule ID 10234 //
     /* 1706419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706465 */     // MIs[0] policy
     /* 1706465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706499 */     // GIR_Coverage, 10234,
     /* 1706499 */     GIR_EraseRootFromParent_Done,
     /* 1706500 */   // Label 23327: @1706500
     /* 1706500 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1706586), // Rule ID 10237 //
     /* 1706505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706551 */     // MIs[0] policy
     /* 1706551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706585 */     // GIR_Coverage, 10237,
     /* 1706585 */     GIR_EraseRootFromParent_Done,
     /* 1706586 */   // Label 23328: @1706586
     /* 1706586 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1706672), // Rule ID 10238 //
     /* 1706591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706637 */     // MIs[0] policy
     /* 1706637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706671 */     // GIR_Coverage, 10238,
     /* 1706671 */     GIR_EraseRootFromParent_Done,
     /* 1706672 */   // Label 23329: @1706672
     /* 1706672 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1706758), // Rule ID 10241 //
     /* 1706677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1706694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706723 */     // MIs[0] policy
     /* 1706723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706757 */     // GIR_Coverage, 10241,
     /* 1706757 */     GIR_EraseRootFromParent_Done,
     /* 1706758 */   // Label 23330: @1706758
     /* 1706758 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1706844), // Rule ID 10242 //
     /* 1706763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1706780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706809 */     // MIs[0] policy
     /* 1706809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706843 */     // GIR_Coverage, 10242,
     /* 1706843 */     GIR_EraseRootFromParent_Done,
     /* 1706844 */   // Label 23331: @1706844
     /* 1706844 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1706930), // Rule ID 10245 //
     /* 1706849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1706866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706895 */     // MIs[0] policy
     /* 1706895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706905 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706929 */     // GIR_Coverage, 10245,
     /* 1706929 */     GIR_EraseRootFromParent_Done,
     /* 1706930 */   // Label 23332: @1706930
     /* 1706930 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1707016), // Rule ID 10246 //
     /* 1706935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1706952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706981 */     // MIs[0] policy
     /* 1706981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706991 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707015 */     // GIR_Coverage, 10246,
     /* 1707015 */     GIR_EraseRootFromParent_Done,
     /* 1707016 */   // Label 23333: @1707016
     /* 1707016 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1707102), // Rule ID 10249 //
     /* 1707021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707067 */     // MIs[0] policy
     /* 1707067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707101 */     // GIR_Coverage, 10249,
     /* 1707101 */     GIR_EraseRootFromParent_Done,
     /* 1707102 */   // Label 23334: @1707102
     /* 1707102 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1707188), // Rule ID 10250 //
     /* 1707107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707153 */     // MIs[0] policy
     /* 1707153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707163 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707187 */     // GIR_Coverage, 10250,
     /* 1707187 */     GIR_EraseRootFromParent_Done,
     /* 1707188 */   // Label 23335: @1707188
     /* 1707188 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1707274), // Rule ID 10253 //
     /* 1707193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707239 */     // MIs[0] policy
     /* 1707239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707273 */     // GIR_Coverage, 10253,
     /* 1707273 */     GIR_EraseRootFromParent_Done,
     /* 1707274 */   // Label 23336: @1707274
     /* 1707274 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1707360), // Rule ID 10254 //
     /* 1707279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707325 */     // MIs[0] policy
     /* 1707325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707359 */     // GIR_Coverage, 10254,
     /* 1707359 */     GIR_EraseRootFromParent_Done,
     /* 1707360 */   // Label 23337: @1707360
     /* 1707360 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1707446), // Rule ID 10257 //
     /* 1707365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1707368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707411 */     // MIs[0] policy
     /* 1707411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707445 */     // GIR_Coverage, 10257,
     /* 1707445 */     GIR_EraseRootFromParent_Done,
     /* 1707446 */   // Label 23338: @1707446
     /* 1707446 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1707532), // Rule ID 10258 //
     /* 1707451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707497 */     // MIs[0] policy
     /* 1707497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707507 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707531 */     // GIR_Coverage, 10258,
     /* 1707531 */     GIR_EraseRootFromParent_Done,
     /* 1707532 */   // Label 23339: @1707532
     /* 1707532 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1707618), // Rule ID 10261 //
     /* 1707537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1707554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707583 */     // MIs[0] policy
     /* 1707583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707593 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707617 */     // GIR_Coverage, 10261,
     /* 1707617 */     GIR_EraseRootFromParent_Done,
     /* 1707618 */   // Label 23340: @1707618
     /* 1707618 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1707704), // Rule ID 10262 //
     /* 1707623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1707640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707669 */     // MIs[0] policy
     /* 1707669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707703 */     // GIR_Coverage, 10262,
     /* 1707703 */     GIR_EraseRootFromParent_Done,
     /* 1707704 */   // Label 23341: @1707704
     /* 1707704 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1707790), // Rule ID 10265 //
     /* 1707709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1707720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1707723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1707726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707755 */     // MIs[0] policy
     /* 1707755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707765 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707789 */     // GIR_Coverage, 10265,
     /* 1707789 */     GIR_EraseRootFromParent_Done,
     /* 1707790 */   // Label 23342: @1707790
     /* 1707790 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1707876), // Rule ID 10266 //
     /* 1707795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1707806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1707809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1707812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707841 */     // MIs[0] policy
     /* 1707841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707875 */     // GIR_Coverage, 10266,
     /* 1707875 */     GIR_EraseRootFromParent_Done,
     /* 1707876 */   // Label 23343: @1707876
     /* 1707876 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1707962), // Rule ID 10269 //
     /* 1707881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1707892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1707895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1707898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1707904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707927 */     // MIs[0] policy
     /* 1707927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707937 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1707940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707961 */     // GIR_Coverage, 10269,
     /* 1707961 */     GIR_EraseRootFromParent_Done,
     /* 1707962 */   // Label 23344: @1707962
     /* 1707962 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1708048), // Rule ID 10270 //
     /* 1707967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1707978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1707981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1707984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1707990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708013 */     // MIs[0] policy
     /* 1708013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708023 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708047 */     // GIR_Coverage, 10270,
     /* 1708047 */     GIR_EraseRootFromParent_Done,
     /* 1708048 */   // Label 23345: @1708048
     /* 1708048 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1708134), // Rule ID 10273 //
     /* 1708053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708099 */     // MIs[0] policy
     /* 1708099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708133 */     // GIR_Coverage, 10273,
     /* 1708133 */     GIR_EraseRootFromParent_Done,
     /* 1708134 */   // Label 23346: @1708134
     /* 1708134 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1708220), // Rule ID 10274 //
     /* 1708139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708185 */     // MIs[0] policy
     /* 1708185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708195 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708219 */     // GIR_Coverage, 10274,
     /* 1708219 */     GIR_EraseRootFromParent_Done,
     /* 1708220 */   // Label 23347: @1708220
     /* 1708220 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1708306), // Rule ID 10277 //
     /* 1708225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708271 */     // MIs[0] policy
     /* 1708271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708305 */     // GIR_Coverage, 10277,
     /* 1708305 */     GIR_EraseRootFromParent_Done,
     /* 1708306 */   // Label 23348: @1708306
     /* 1708306 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1708392), // Rule ID 10278 //
     /* 1708311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708357 */     // MIs[0] policy
     /* 1708357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708391 */     // GIR_Coverage, 10278,
     /* 1708391 */     GIR_EraseRootFromParent_Done,
     /* 1708392 */   // Label 23349: @1708392
     /* 1708392 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1708478), // Rule ID 10281 //
     /* 1708397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708443 */     // MIs[0] policy
     /* 1708443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708453 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708477 */     // GIR_Coverage, 10281,
     /* 1708477 */     GIR_EraseRootFromParent_Done,
     /* 1708478 */   // Label 23350: @1708478
     /* 1708478 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1708564), // Rule ID 10282 //
     /* 1708483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708529 */     // MIs[0] policy
     /* 1708529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708563 */     // GIR_Coverage, 10282,
     /* 1708563 */     GIR_EraseRootFromParent_Done,
     /* 1708564 */   // Label 23351: @1708564
     /* 1708564 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1708650), // Rule ID 10285 //
     /* 1708569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1708586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708615 */     // MIs[0] policy
     /* 1708615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708625 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708649 */     // GIR_Coverage, 10285,
     /* 1708649 */     GIR_EraseRootFromParent_Done,
     /* 1708650 */   // Label 23352: @1708650
     /* 1708650 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1708736), // Rule ID 10286 //
     /* 1708655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1708672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708701 */     // MIs[0] policy
     /* 1708701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708735 */     // GIR_Coverage, 10286,
     /* 1708735 */     GIR_EraseRootFromParent_Done,
     /* 1708736 */   // Label 23353: @1708736
     /* 1708736 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1708822), // Rule ID 10289 //
     /* 1708741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1708758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708787 */     // MIs[0] policy
     /* 1708787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708821 */     // GIR_Coverage, 10289,
     /* 1708821 */     GIR_EraseRootFromParent_Done,
     /* 1708822 */   // Label 23354: @1708822
     /* 1708822 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1708908), // Rule ID 10290 //
     /* 1708827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1708844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708873 */     // MIs[0] policy
     /* 1708873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708907 */     // GIR_Coverage, 10290,
     /* 1708907 */     GIR_EraseRootFromParent_Done,
     /* 1708908 */   // Label 23355: @1708908
     /* 1708908 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1708994), // Rule ID 10293 //
     /* 1708913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1708924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1708927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1708930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708959 */     // MIs[0] policy
     /* 1708959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708969 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708993 */     // GIR_Coverage, 10293,
     /* 1708993 */     GIR_EraseRootFromParent_Done,
     /* 1708994 */   // Label 23356: @1708994
     /* 1708994 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1709080), // Rule ID 10294 //
     /* 1708999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709045 */     // MIs[0] policy
     /* 1709045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709055 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709079 */     // GIR_Coverage, 10294,
     /* 1709079 */     GIR_EraseRootFromParent_Done,
     /* 1709080 */   // Label 23357: @1709080
     /* 1709080 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1709166), // Rule ID 10297 //
     /* 1709085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709131 */     // MIs[0] policy
     /* 1709131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709165 */     // GIR_Coverage, 10297,
     /* 1709165 */     GIR_EraseRootFromParent_Done,
     /* 1709166 */   // Label 23358: @1709166
     /* 1709166 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1709252), // Rule ID 10298 //
     /* 1709171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709217 */     // MIs[0] policy
     /* 1709217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709251 */     // GIR_Coverage, 10298,
     /* 1709251 */     GIR_EraseRootFromParent_Done,
     /* 1709252 */   // Label 23359: @1709252
     /* 1709252 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1709338), // Rule ID 10301 //
     /* 1709257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709303 */     // MIs[0] policy
     /* 1709303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709337 */     // GIR_Coverage, 10301,
     /* 1709337 */     GIR_EraseRootFromParent_Done,
     /* 1709338 */   // Label 23360: @1709338
     /* 1709338 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1709424), // Rule ID 10302 //
     /* 1709343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709389 */     // MIs[0] policy
     /* 1709389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709423 */     // GIR_Coverage, 10302,
     /* 1709423 */     GIR_EraseRootFromParent_Done,
     /* 1709424 */   // Label 23361: @1709424
     /* 1709424 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1709510), // Rule ID 10305 //
     /* 1709429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709475 */     // MIs[0] policy
     /* 1709475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709485 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709509 */     // GIR_Coverage, 10305,
     /* 1709509 */     GIR_EraseRootFromParent_Done,
     /* 1709510 */   // Label 23362: @1709510
     /* 1709510 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1709596), // Rule ID 10306 //
     /* 1709515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709561 */     // MIs[0] policy
     /* 1709561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709571 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709595 */     // GIR_Coverage, 10306,
     /* 1709595 */     GIR_EraseRootFromParent_Done,
     /* 1709596 */   // Label 23363: @1709596
     /* 1709596 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1709682), // Rule ID 10309 //
     /* 1709601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1709615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1709618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1709621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709647 */     // MIs[0] policy
     /* 1709647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709657 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1709660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709681 */     // GIR_Coverage, 10309,
     /* 1709681 */     GIR_EraseRootFromParent_Done,
     /* 1709682 */   // Label 23364: @1709682
     /* 1709682 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1709768), // Rule ID 10310 //
     /* 1709687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1709701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1709704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1709707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709733 */     // MIs[0] policy
     /* 1709733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709743 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1709746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709767 */     // GIR_Coverage, 10310,
     /* 1709767 */     GIR_EraseRootFromParent_Done,
     /* 1709768 */   // Label 23365: @1709768
     /* 1709768 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1709854), // Rule ID 10313 //
     /* 1709773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1709784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1709787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1709790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1709793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709819 */     // MIs[0] policy
     /* 1709819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709829 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1709832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709853 */     // GIR_Coverage, 10313,
     /* 1709853 */     GIR_EraseRootFromParent_Done,
     /* 1709854 */   // Label 23366: @1709854
     /* 1709854 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1709940), // Rule ID 10314 //
     /* 1709859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1709870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1709873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1709876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1709879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709905 */     // MIs[0] policy
     /* 1709905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1709918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709939 */     // GIR_Coverage, 10314,
     /* 1709939 */     GIR_EraseRootFromParent_Done,
     /* 1709940 */   // Label 23367: @1709940
     /* 1709940 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1710026), // Rule ID 10317 //
     /* 1709945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1709956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1709959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1709962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1709965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709991 */     // MIs[0] policy
     /* 1709991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710001 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710025 */     // GIR_Coverage, 10317,
     /* 1710025 */     GIR_EraseRootFromParent_Done,
     /* 1710026 */   // Label 23368: @1710026
     /* 1710026 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1710112), // Rule ID 10318 //
     /* 1710031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1710051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710077 */     // MIs[0] policy
     /* 1710077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710087 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710111 */     // GIR_Coverage, 10318,
     /* 1710111 */     GIR_EraseRootFromParent_Done,
     /* 1710112 */   // Label 23369: @1710112
     /* 1710112 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1710198), // Rule ID 10321 //
     /* 1710117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710163 */     // MIs[0] policy
     /* 1710163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710197 */     // GIR_Coverage, 10321,
     /* 1710197 */     GIR_EraseRootFromParent_Done,
     /* 1710198 */   // Label 23370: @1710198
     /* 1710198 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1710284), // Rule ID 10322 //
     /* 1710203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710249 */     // MIs[0] policy
     /* 1710249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710283 */     // GIR_Coverage, 10322,
     /* 1710283 */     GIR_EraseRootFromParent_Done,
     /* 1710284 */   // Label 23371: @1710284
     /* 1710284 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1710370), // Rule ID 10325 //
     /* 1710289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710335 */     // MIs[0] policy
     /* 1710335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710369 */     // GIR_Coverage, 10325,
     /* 1710369 */     GIR_EraseRootFromParent_Done,
     /* 1710370 */   // Label 23372: @1710370
     /* 1710370 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1710456), // Rule ID 10326 //
     /* 1710375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710421 */     // MIs[0] policy
     /* 1710421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710431 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710455 */     // GIR_Coverage, 10326,
     /* 1710455 */     GIR_EraseRootFromParent_Done,
     /* 1710456 */   // Label 23373: @1710456
     /* 1710456 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1710542), // Rule ID 10329 //
     /* 1710461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710507 */     // MIs[0] policy
     /* 1710507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710541 */     // GIR_Coverage, 10329,
     /* 1710541 */     GIR_EraseRootFromParent_Done,
     /* 1710542 */   // Label 23374: @1710542
     /* 1710542 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1710628), // Rule ID 10330 //
     /* 1710547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710593 */     // MIs[0] policy
     /* 1710593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710627 */     // GIR_Coverage, 10330,
     /* 1710627 */     GIR_EraseRootFromParent_Done,
     /* 1710628 */   // Label 23375: @1710628
     /* 1710628 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1710714), // Rule ID 10333 //
     /* 1710633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1710644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1710647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1710650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1710653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710679 */     // MIs[0] policy
     /* 1710679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710713 */     // GIR_Coverage, 10333,
     /* 1710713 */     GIR_EraseRootFromParent_Done,
     /* 1710714 */   // Label 23376: @1710714
     /* 1710714 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1710800), // Rule ID 10334 //
     /* 1710719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1710730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1710733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1710736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1710739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710765 */     // MIs[0] policy
     /* 1710765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710775 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710799 */     // GIR_Coverage, 10334,
     /* 1710799 */     GIR_EraseRootFromParent_Done,
     /* 1710800 */   // Label 23377: @1710800
     /* 1710800 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1710886), // Rule ID 10337 //
     /* 1710805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1710816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1710819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1710822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1710825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710851 */     // MIs[0] policy
     /* 1710851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710885 */     // GIR_Coverage, 10337,
     /* 1710885 */     GIR_EraseRootFromParent_Done,
     /* 1710886 */   // Label 23378: @1710886
     /* 1710886 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1710972), // Rule ID 10338 //
     /* 1710891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1710902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1710905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1710908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1710911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710937 */     // MIs[0] policy
     /* 1710937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710971 */     // GIR_Coverage, 10338,
     /* 1710971 */     GIR_EraseRootFromParent_Done,
     /* 1710972 */   // Label 23379: @1710972
     /* 1710972 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1711058), // Rule ID 10341 //
     /* 1710977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711023 */     // MIs[0] policy
     /* 1711023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711057 */     // GIR_Coverage, 10341,
     /* 1711057 */     GIR_EraseRootFromParent_Done,
     /* 1711058 */   // Label 23380: @1711058
     /* 1711058 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1711144), // Rule ID 10342 //
     /* 1711063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711109 */     // MIs[0] policy
     /* 1711109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711143 */     // GIR_Coverage, 10342,
     /* 1711143 */     GIR_EraseRootFromParent_Done,
     /* 1711144 */   // Label 23381: @1711144
     /* 1711144 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1711230), // Rule ID 10345 //
     /* 1711149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711195 */     // MIs[0] policy
     /* 1711195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711229 */     // GIR_Coverage, 10345,
     /* 1711229 */     GIR_EraseRootFromParent_Done,
     /* 1711230 */   // Label 23382: @1711230
     /* 1711230 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1711316), // Rule ID 10346 //
     /* 1711235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711281 */     // MIs[0] policy
     /* 1711281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711315 */     // GIR_Coverage, 10346,
     /* 1711315 */     GIR_EraseRootFromParent_Done,
     /* 1711316 */   // Label 23383: @1711316
     /* 1711316 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1711402), // Rule ID 10349 //
     /* 1711321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711367 */     // MIs[0] policy
     /* 1711367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711401 */     // GIR_Coverage, 10349,
     /* 1711401 */     GIR_EraseRootFromParent_Done,
     /* 1711402 */   // Label 23384: @1711402
     /* 1711402 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1711488), // Rule ID 10350 //
     /* 1711407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711453 */     // MIs[0] policy
     /* 1711453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711463 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711487 */     // GIR_Coverage, 10350,
     /* 1711487 */     GIR_EraseRootFromParent_Done,
     /* 1711488 */   // Label 23385: @1711488
     /* 1711488 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1711574), // Rule ID 10353 //
     /* 1711493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711539 */     // MIs[0] policy
     /* 1711539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711549 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711573 */     // GIR_Coverage, 10353,
     /* 1711573 */     GIR_EraseRootFromParent_Done,
     /* 1711574 */   // Label 23386: @1711574
     /* 1711574 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1711660), // Rule ID 10354 //
     /* 1711579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711625 */     // MIs[0] policy
     /* 1711625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711635 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711659 */     // GIR_Coverage, 10354,
     /* 1711659 */     GIR_EraseRootFromParent_Done,
     /* 1711660 */   // Label 23387: @1711660
     /* 1711660 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1711746), // Rule ID 10357 //
     /* 1711665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1711676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1711679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1711682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1711685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1711688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711711 */     // MIs[0] policy
     /* 1711711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711721 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1711724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711745 */     // GIR_Coverage, 10357,
     /* 1711745 */     GIR_EraseRootFromParent_Done,
     /* 1711746 */   // Label 23388: @1711746
     /* 1711746 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1711832), // Rule ID 10358 //
     /* 1711751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1711762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1711765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1711768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1711771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1711774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711797 */     // MIs[0] policy
     /* 1711797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711807 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1711810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711831 */     // GIR_Coverage, 10358,
     /* 1711831 */     GIR_EraseRootFromParent_Done,
     /* 1711832 */   // Label 23389: @1711832
     /* 1711832 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1711918), // Rule ID 10361 //
     /* 1711837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1711848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1711851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1711857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711883 */     // MIs[0] policy
     /* 1711883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711917 */     // GIR_Coverage, 10361,
     /* 1711917 */     GIR_EraseRootFromParent_Done,
     /* 1711918 */   // Label 23390: @1711918
     /* 1711918 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1712004), // Rule ID 10362 //
     /* 1711923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1711934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1711937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1711943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711969 */     // MIs[0] policy
     /* 1711969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712003 */     // GIR_Coverage, 10362,
     /* 1712003 */     GIR_EraseRootFromParent_Done,
     /* 1712004 */   // Label 23391: @1712004
     /* 1712004 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1712090), // Rule ID 10365 //
     /* 1712009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712055 */     // MIs[0] policy
     /* 1712055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712065 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712089 */     // GIR_Coverage, 10365,
     /* 1712089 */     GIR_EraseRootFromParent_Done,
     /* 1712090 */   // Label 23392: @1712090
     /* 1712090 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1712176), // Rule ID 10366 //
     /* 1712095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712141 */     // MIs[0] policy
     /* 1712141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712175 */     // GIR_Coverage, 10366,
     /* 1712175 */     GIR_EraseRootFromParent_Done,
     /* 1712176 */   // Label 23393: @1712176
     /* 1712176 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1712262), // Rule ID 10369 //
     /* 1712181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712227 */     // MIs[0] policy
     /* 1712227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712237 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712261 */     // GIR_Coverage, 10369,
     /* 1712261 */     GIR_EraseRootFromParent_Done,
     /* 1712262 */   // Label 23394: @1712262
     /* 1712262 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1712348), // Rule ID 10370 //
     /* 1712267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712313 */     // MIs[0] policy
     /* 1712313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712347 */     // GIR_Coverage, 10370,
     /* 1712347 */     GIR_EraseRootFromParent_Done,
     /* 1712348 */   // Label 23395: @1712348
     /* 1712348 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1712434), // Rule ID 10373 //
     /* 1712353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712399 */     // MIs[0] policy
     /* 1712399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712433 */     // GIR_Coverage, 10373,
     /* 1712433 */     GIR_EraseRootFromParent_Done,
     /* 1712434 */   // Label 23396: @1712434
     /* 1712434 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1712520), // Rule ID 10374 //
     /* 1712439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712485 */     // MIs[0] policy
     /* 1712485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712495 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712519 */     // GIR_Coverage, 10374,
     /* 1712519 */     GIR_EraseRootFromParent_Done,
     /* 1712520 */   // Label 23397: @1712520
     /* 1712520 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1712606), // Rule ID 10377 //
     /* 1712525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712571 */     // MIs[0] policy
     /* 1712571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712605 */     // GIR_Coverage, 10377,
     /* 1712605 */     GIR_EraseRootFromParent_Done,
     /* 1712606 */   // Label 23398: @1712606
     /* 1712606 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1712692), // Rule ID 10378 //
     /* 1712611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712657 */     // MIs[0] policy
     /* 1712657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712691 */     // GIR_Coverage, 10378,
     /* 1712691 */     GIR_EraseRootFromParent_Done,
     /* 1712692 */   // Label 23399: @1712692
     /* 1712692 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1712778), // Rule ID 10381 //
     /* 1712697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1712708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1712711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1712717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712743 */     // MIs[0] policy
     /* 1712743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712753 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712777 */     // GIR_Coverage, 10381,
     /* 1712777 */     GIR_EraseRootFromParent_Done,
     /* 1712778 */   // Label 23400: @1712778
     /* 1712778 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1712864), // Rule ID 10382 //
     /* 1712783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1712794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1712797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1712803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712829 */     // MIs[0] policy
     /* 1712829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712839 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712863 */     // GIR_Coverage, 10382,
     /* 1712863 */     GIR_EraseRootFromParent_Done,
     /* 1712864 */   // Label 23401: @1712864
     /* 1712864 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1712950), // Rule ID 10385 //
     /* 1712869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1712880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1712883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1712889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712915 */     // MIs[0] policy
     /* 1712915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712925 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712949 */     // GIR_Coverage, 10385,
     /* 1712949 */     GIR_EraseRootFromParent_Done,
     /* 1712950 */   // Label 23402: @1712950
     /* 1712950 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1713036), // Rule ID 10386 //
     /* 1712955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1712966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1712969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1712975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713001 */     // MIs[0] policy
     /* 1713001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713011 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1713014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713035 */     // GIR_Coverage, 10386,
     /* 1713035 */     GIR_EraseRootFromParent_Done,
     /* 1713036 */   // Label 23403: @1713036
     /* 1713036 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1713122), // Rule ID 10389 //
     /* 1713041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713087 */     // MIs[0] policy
     /* 1713087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713121 */     // GIR_Coverage, 10389,
     /* 1713121 */     GIR_EraseRootFromParent_Done,
     /* 1713122 */   // Label 23404: @1713122
     /* 1713122 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1713208), // Rule ID 10390 //
     /* 1713127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713173 */     // MIs[0] policy
     /* 1713173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713207 */     // GIR_Coverage, 10390,
     /* 1713207 */     GIR_EraseRootFromParent_Done,
     /* 1713208 */   // Label 23405: @1713208
     /* 1713208 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1713294), // Rule ID 10393 //
     /* 1713213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713259 */     // MIs[0] policy
     /* 1713259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713269 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713293 */     // GIR_Coverage, 10393,
     /* 1713293 */     GIR_EraseRootFromParent_Done,
     /* 1713294 */   // Label 23406: @1713294
     /* 1713294 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1713380), // Rule ID 10394 //
     /* 1713299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713345 */     // MIs[0] policy
     /* 1713345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713355 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713379 */     // GIR_Coverage, 10394,
     /* 1713379 */     GIR_EraseRootFromParent_Done,
     /* 1713380 */   // Label 23407: @1713380
     /* 1713380 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1713466), // Rule ID 10397 //
     /* 1713385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713431 */     // MIs[0] policy
     /* 1713431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713441 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713465 */     // GIR_Coverage, 10397,
     /* 1713465 */     GIR_EraseRootFromParent_Done,
     /* 1713466 */   // Label 23408: @1713466
     /* 1713466 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1713552), // Rule ID 10398 //
     /* 1713471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713517 */     // MIs[0] policy
     /* 1713517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713527 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713551 */     // GIR_Coverage, 10398,
     /* 1713551 */     GIR_EraseRootFromParent_Done,
     /* 1713552 */   // Label 23409: @1713552
     /* 1713552 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1713638), // Rule ID 10401 //
     /* 1713557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713603 */     // MIs[0] policy
     /* 1713603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713613 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713637 */     // GIR_Coverage, 10401,
     /* 1713637 */     GIR_EraseRootFromParent_Done,
     /* 1713638 */   // Label 23410: @1713638
     /* 1713638 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1713724), // Rule ID 10402 //
     /* 1713643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713689 */     // MIs[0] policy
     /* 1713689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713723 */     // GIR_Coverage, 10402,
     /* 1713723 */     GIR_EraseRootFromParent_Done,
     /* 1713724 */   // Label 23411: @1713724
     /* 1713724 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1713810), // Rule ID 10405 //
     /* 1713729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713775 */     // MIs[0] policy
     /* 1713775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713785 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1713788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713809 */     // GIR_Coverage, 10405,
     /* 1713809 */     GIR_EraseRootFromParent_Done,
     /* 1713810 */   // Label 23412: @1713810
     /* 1713810 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1713896), // Rule ID 10406 //
     /* 1713815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713861 */     // MIs[0] policy
     /* 1713861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1713874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713895 */     // GIR_Coverage, 10406,
     /* 1713895 */     GIR_EraseRootFromParent_Done,
     /* 1713896 */   // Label 23413: @1713896
     /* 1713896 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1713982), // Rule ID 10409 //
     /* 1713901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713947 */     // MIs[0] policy
     /* 1713947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713957 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713981 */     // GIR_Coverage, 10409,
     /* 1713981 */     GIR_EraseRootFromParent_Done,
     /* 1713982 */   // Label 23414: @1713982
     /* 1713982 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1714068), // Rule ID 10410 //
     /* 1713987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714033 */     // MIs[0] policy
     /* 1714033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714067 */     // GIR_Coverage, 10410,
     /* 1714067 */     GIR_EraseRootFromParent_Done,
     /* 1714068 */   // Label 23415: @1714068
     /* 1714068 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1714154), // Rule ID 10413 //
     /* 1714073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714119 */     // MIs[0] policy
     /* 1714119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714129 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714153 */     // GIR_Coverage, 10413,
     /* 1714153 */     GIR_EraseRootFromParent_Done,
     /* 1714154 */   // Label 23416: @1714154
     /* 1714154 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1714240), // Rule ID 10414 //
     /* 1714159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714205 */     // MIs[0] policy
     /* 1714205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714215 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714239 */     // GIR_Coverage, 10414,
     /* 1714239 */     GIR_EraseRootFromParent_Done,
     /* 1714240 */   // Label 23417: @1714240
     /* 1714240 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1714326), // Rule ID 10417 //
     /* 1714245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714291 */     // MIs[0] policy
     /* 1714291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714325 */     // GIR_Coverage, 10417,
     /* 1714325 */     GIR_EraseRootFromParent_Done,
     /* 1714326 */   // Label 23418: @1714326
     /* 1714326 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1714412), // Rule ID 10418 //
     /* 1714331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714377 */     // MIs[0] policy
     /* 1714377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714411 */     // GIR_Coverage, 10418,
     /* 1714411 */     GIR_EraseRootFromParent_Done,
     /* 1714412 */   // Label 23419: @1714412
     /* 1714412 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1714498), // Rule ID 10421 //
     /* 1714417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714463 */     // MIs[0] policy
     /* 1714463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714473 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714497 */     // GIR_Coverage, 10421,
     /* 1714497 */     GIR_EraseRootFromParent_Done,
     /* 1714498 */   // Label 23420: @1714498
     /* 1714498 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1714584), // Rule ID 10422 //
     /* 1714503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714549 */     // MIs[0] policy
     /* 1714549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714583 */     // GIR_Coverage, 10422,
     /* 1714583 */     GIR_EraseRootFromParent_Done,
     /* 1714584 */   // Label 23421: @1714584
     /* 1714584 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1714670), // Rule ID 10425 //
     /* 1714589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714635 */     // MIs[0] policy
     /* 1714635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714645 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714669 */     // GIR_Coverage, 10425,
     /* 1714669 */     GIR_EraseRootFromParent_Done,
     /* 1714670 */   // Label 23422: @1714670
     /* 1714670 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1714756), // Rule ID 10426 //
     /* 1714675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714721 */     // MIs[0] policy
     /* 1714721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714731 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714755 */     // GIR_Coverage, 10426,
     /* 1714755 */     GIR_EraseRootFromParent_Done,
     /* 1714756 */   // Label 23423: @1714756
     /* 1714756 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1714842), // Rule ID 10429 //
     /* 1714761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714807 */     // MIs[0] policy
     /* 1714807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714841 */     // GIR_Coverage, 10429,
     /* 1714841 */     GIR_EraseRootFromParent_Done,
     /* 1714842 */   // Label 23424: @1714842
     /* 1714842 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1714928), // Rule ID 10430 //
     /* 1714847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714893 */     // MIs[0] policy
     /* 1714893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714927 */     // GIR_Coverage, 10430,
     /* 1714927 */     GIR_EraseRootFromParent_Done,
     /* 1714928 */   // Label 23425: @1714928
     /* 1714928 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1715014), // Rule ID 10433 //
     /* 1714933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714979 */     // MIs[0] policy
     /* 1714979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714989 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715013 */     // GIR_Coverage, 10433,
     /* 1715013 */     GIR_EraseRootFromParent_Done,
     /* 1715014 */   // Label 23426: @1715014
     /* 1715014 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1715100), // Rule ID 10434 //
     /* 1715019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1715036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715065 */     // MIs[0] policy
     /* 1715065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715099 */     // GIR_Coverage, 10434,
     /* 1715099 */     GIR_EraseRootFromParent_Done,
     /* 1715100 */   // Label 23427: @1715100
     /* 1715100 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1715186), // Rule ID 10437 //
     /* 1715105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715151 */     // MIs[0] policy
     /* 1715151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715161 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715185 */     // GIR_Coverage, 10437,
     /* 1715185 */     GIR_EraseRootFromParent_Done,
     /* 1715186 */   // Label 23428: @1715186
     /* 1715186 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1715272), // Rule ID 10438 //
     /* 1715191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715237 */     // MIs[0] policy
     /* 1715237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715271 */     // GIR_Coverage, 10438,
     /* 1715271 */     GIR_EraseRootFromParent_Done,
     /* 1715272 */   // Label 23429: @1715272
     /* 1715272 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1715358), // Rule ID 10441 //
     /* 1715277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715323 */     // MIs[0] policy
     /* 1715323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715333 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715357 */     // GIR_Coverage, 10441,
     /* 1715357 */     GIR_EraseRootFromParent_Done,
     /* 1715358 */   // Label 23430: @1715358
     /* 1715358 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1715444), // Rule ID 10442 //
     /* 1715363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715409 */     // MIs[0] policy
     /* 1715409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715419 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715443 */     // GIR_Coverage, 10442,
     /* 1715443 */     GIR_EraseRootFromParent_Done,
     /* 1715444 */   // Label 23431: @1715444
     /* 1715444 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1715530), // Rule ID 10445 //
     /* 1715449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715495 */     // MIs[0] policy
     /* 1715495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715505 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715529 */     // GIR_Coverage, 10445,
     /* 1715529 */     GIR_EraseRootFromParent_Done,
     /* 1715530 */   // Label 23432: @1715530
     /* 1715530 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1715616), // Rule ID 10446 //
     /* 1715535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715581 */     // MIs[0] policy
     /* 1715581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715591 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715615 */     // GIR_Coverage, 10446,
     /* 1715615 */     GIR_EraseRootFromParent_Done,
     /* 1715616 */   // Label 23433: @1715616
     /* 1715616 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1715702), // Rule ID 10449 //
     /* 1715621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715667 */     // MIs[0] policy
     /* 1715667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715677 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715701 */     // GIR_Coverage, 10449,
     /* 1715701 */     GIR_EraseRootFromParent_Done,
     /* 1715702 */   // Label 23434: @1715702
     /* 1715702 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1715788), // Rule ID 10450 //
     /* 1715707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715753 */     // MIs[0] policy
     /* 1715753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715763 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715787 */     // GIR_Coverage, 10450,
     /* 1715787 */     GIR_EraseRootFromParent_Done,
     /* 1715788 */   // Label 23435: @1715788
     /* 1715788 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1715874), // Rule ID 10453 //
     /* 1715793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715839 */     // MIs[0] policy
     /* 1715839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715873 */     // GIR_Coverage, 10453,
     /* 1715873 */     GIR_EraseRootFromParent_Done,
     /* 1715874 */   // Label 23436: @1715874
     /* 1715874 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1715960), // Rule ID 10454 //
     /* 1715879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715925 */     // MIs[0] policy
     /* 1715925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715935 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715959 */     // GIR_Coverage, 10454,
     /* 1715959 */     GIR_EraseRootFromParent_Done,
     /* 1715960 */   // Label 23437: @1715960
     /* 1715960 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1716046), // Rule ID 10457 //
     /* 1715965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1715976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1715979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716011 */     // MIs[0] policy
     /* 1716011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716045 */     // GIR_Coverage, 10457,
     /* 1716045 */     GIR_EraseRootFromParent_Done,
     /* 1716046 */   // Label 23438: @1716046
     /* 1716046 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1716132), // Rule ID 10458 //
     /* 1716051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716097 */     // MIs[0] policy
     /* 1716097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716107 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716131 */     // GIR_Coverage, 10458,
     /* 1716131 */     GIR_EraseRootFromParent_Done,
     /* 1716132 */   // Label 23439: @1716132
     /* 1716132 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1716218), // Rule ID 10461 //
     /* 1716137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716183 */     // MIs[0] policy
     /* 1716183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716217 */     // GIR_Coverage, 10461,
     /* 1716217 */     GIR_EraseRootFromParent_Done,
     /* 1716218 */   // Label 23440: @1716218
     /* 1716218 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1716304), // Rule ID 10462 //
     /* 1716223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716269 */     // MIs[0] policy
     /* 1716269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716303 */     // GIR_Coverage, 10462,
     /* 1716303 */     GIR_EraseRootFromParent_Done,
     /* 1716304 */   // Label 23441: @1716304
     /* 1716304 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1716390), // Rule ID 10465 //
     /* 1716309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716355 */     // MIs[0] policy
     /* 1716355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716365 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716389 */     // GIR_Coverage, 10465,
     /* 1716389 */     GIR_EraseRootFromParent_Done,
     /* 1716390 */   // Label 23442: @1716390
     /* 1716390 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1716476), // Rule ID 10466 //
     /* 1716395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716441 */     // MIs[0] policy
     /* 1716441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716451 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716475 */     // GIR_Coverage, 10466,
     /* 1716475 */     GIR_EraseRootFromParent_Done,
     /* 1716476 */   // Label 23443: @1716476
     /* 1716476 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1716562), // Rule ID 10469 //
     /* 1716481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716527 */     // MIs[0] policy
     /* 1716527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716561 */     // GIR_Coverage, 10469,
     /* 1716561 */     GIR_EraseRootFromParent_Done,
     /* 1716562 */   // Label 23444: @1716562
     /* 1716562 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1716648), // Rule ID 10470 //
     /* 1716567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716613 */     // MIs[0] policy
     /* 1716613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716623 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716647 */     // GIR_Coverage, 10470,
     /* 1716647 */     GIR_EraseRootFromParent_Done,
     /* 1716648 */   // Label 23445: @1716648
     /* 1716648 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1716734), // Rule ID 10473 //
     /* 1716653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716699 */     // MIs[0] policy
     /* 1716699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716733 */     // GIR_Coverage, 10473,
     /* 1716733 */     GIR_EraseRootFromParent_Done,
     /* 1716734 */   // Label 23446: @1716734
     /* 1716734 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1716820), // Rule ID 10474 //
     /* 1716739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716785 */     // MIs[0] policy
     /* 1716785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716795 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716819 */     // GIR_Coverage, 10474,
     /* 1716819 */     GIR_EraseRootFromParent_Done,
     /* 1716820 */   // Label 23447: @1716820
     /* 1716820 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1716906), // Rule ID 10477 //
     /* 1716825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716871 */     // MIs[0] policy
     /* 1716871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716881 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716905 */     // GIR_Coverage, 10477,
     /* 1716905 */     GIR_EraseRootFromParent_Done,
     /* 1716906 */   // Label 23448: @1716906
     /* 1716906 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1716992), // Rule ID 10478 //
     /* 1716911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716957 */     // MIs[0] policy
     /* 1716957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716991 */     // GIR_Coverage, 10478,
     /* 1716991 */     GIR_EraseRootFromParent_Done,
     /* 1716992 */   // Label 23449: @1716992
     /* 1716992 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1717078), // Rule ID 10481 //
     /* 1716997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717043 */     // MIs[0] policy
     /* 1717043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717077 */     // GIR_Coverage, 10481,
     /* 1717077 */     GIR_EraseRootFromParent_Done,
     /* 1717078 */   // Label 23450: @1717078
     /* 1717078 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1717164), // Rule ID 10482 //
     /* 1717083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717129 */     // MIs[0] policy
     /* 1717129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717139 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717163 */     // GIR_Coverage, 10482,
     /* 1717163 */     GIR_EraseRootFromParent_Done,
     /* 1717164 */   // Label 23451: @1717164
     /* 1717164 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1717250), // Rule ID 10485 //
     /* 1717169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717215 */     // MIs[0] policy
     /* 1717215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717225 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717249 */     // GIR_Coverage, 10485,
     /* 1717249 */     GIR_EraseRootFromParent_Done,
     /* 1717250 */   // Label 23452: @1717250
     /* 1717250 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1717336), // Rule ID 10486 //
     /* 1717255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717301 */     // MIs[0] policy
     /* 1717301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717335 */     // GIR_Coverage, 10486,
     /* 1717335 */     GIR_EraseRootFromParent_Done,
     /* 1717336 */   // Label 23453: @1717336
     /* 1717336 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1717422), // Rule ID 10489 //
     /* 1717341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717387 */     // MIs[0] policy
     /* 1717387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717421 */     // GIR_Coverage, 10489,
     /* 1717421 */     GIR_EraseRootFromParent_Done,
     /* 1717422 */   // Label 23454: @1717422
     /* 1717422 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1717508), // Rule ID 10490 //
     /* 1717427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717473 */     // MIs[0] policy
     /* 1717473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717483 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717507 */     // GIR_Coverage, 10490,
     /* 1717507 */     GIR_EraseRootFromParent_Done,
     /* 1717508 */   // Label 23455: @1717508
     /* 1717508 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1717594), // Rule ID 10493 //
     /* 1717513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717559 */     // MIs[0] policy
     /* 1717559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717569 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717593 */     // GIR_Coverage, 10493,
     /* 1717593 */     GIR_EraseRootFromParent_Done,
     /* 1717594 */   // Label 23456: @1717594
     /* 1717594 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1717680), // Rule ID 10494 //
     /* 1717599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717645 */     // MIs[0] policy
     /* 1717645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717655 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717679 */     // GIR_Coverage, 10494,
     /* 1717679 */     GIR_EraseRootFromParent_Done,
     /* 1717680 */   // Label 23457: @1717680
     /* 1717680 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1717766), // Rule ID 10497 //
     /* 1717685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717731 */     // MIs[0] policy
     /* 1717731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717741 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717765 */     // GIR_Coverage, 10497,
     /* 1717765 */     GIR_EraseRootFromParent_Done,
     /* 1717766 */   // Label 23458: @1717766
     /* 1717766 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1717852), // Rule ID 10498 //
     /* 1717771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717817 */     // MIs[0] policy
     /* 1717817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717851 */     // GIR_Coverage, 10498,
     /* 1717851 */     GIR_EraseRootFromParent_Done,
     /* 1717852 */   // Label 23459: @1717852
     /* 1717852 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1717938), // Rule ID 10501 //
     /* 1717857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717903 */     // MIs[0] policy
     /* 1717903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717913 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717937 */     // GIR_Coverage, 10501,
     /* 1717937 */     GIR_EraseRootFromParent_Done,
     /* 1717938 */   // Label 23460: @1717938
     /* 1717938 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1718024), // Rule ID 10502 //
     /* 1717943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717989 */     // MIs[0] policy
     /* 1717989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717999 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718023 */     // GIR_Coverage, 10502,
     /* 1718023 */     GIR_EraseRootFromParent_Done,
     /* 1718024 */   // Label 23461: @1718024
     /* 1718024 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1718110), // Rule ID 10505 //
     /* 1718029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718075 */     // MIs[0] policy
     /* 1718075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718109 */     // GIR_Coverage, 10505,
     /* 1718109 */     GIR_EraseRootFromParent_Done,
     /* 1718110 */   // Label 23462: @1718110
     /* 1718110 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1718196), // Rule ID 10506 //
     /* 1718115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718161 */     // MIs[0] policy
     /* 1718161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718195 */     // GIR_Coverage, 10506,
     /* 1718195 */     GIR_EraseRootFromParent_Done,
     /* 1718196 */   // Label 23463: @1718196
     /* 1718196 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1718282), // Rule ID 10509 //
     /* 1718201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718247 */     // MIs[0] policy
     /* 1718247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718257 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718281 */     // GIR_Coverage, 10509,
     /* 1718281 */     GIR_EraseRootFromParent_Done,
     /* 1718282 */   // Label 23464: @1718282
     /* 1718282 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1718368), // Rule ID 10510 //
     /* 1718287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718333 */     // MIs[0] policy
     /* 1718333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718343 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718367 */     // GIR_Coverage, 10510,
     /* 1718367 */     GIR_EraseRootFromParent_Done,
     /* 1718368 */   // Label 23465: @1718368
     /* 1718368 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1718454), // Rule ID 10513 //
     /* 1718373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718419 */     // MIs[0] policy
     /* 1718419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718453 */     // GIR_Coverage, 10513,
     /* 1718453 */     GIR_EraseRootFromParent_Done,
     /* 1718454 */   // Label 23466: @1718454
     /* 1718454 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1718540), // Rule ID 10514 //
     /* 1718459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718505 */     // MIs[0] policy
     /* 1718505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718539 */     // GIR_Coverage, 10514,
     /* 1718539 */     GIR_EraseRootFromParent_Done,
     /* 1718540 */   // Label 23467: @1718540
     /* 1718540 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1718626), // Rule ID 10517 //
     /* 1718545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718591 */     // MIs[0] policy
     /* 1718591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718625 */     // GIR_Coverage, 10517,
     /* 1718625 */     GIR_EraseRootFromParent_Done,
     /* 1718626 */   // Label 23468: @1718626
     /* 1718626 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1718712), // Rule ID 10518 //
     /* 1718631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718677 */     // MIs[0] policy
     /* 1718677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718711 */     // GIR_Coverage, 10518,
     /* 1718711 */     GIR_EraseRootFromParent_Done,
     /* 1718712 */   // Label 23469: @1718712
     /* 1718712 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1718798), // Rule ID 10521 //
     /* 1718717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1718737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718763 */     // MIs[0] policy
     /* 1718763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718773 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718797 */     // GIR_Coverage, 10521,
     /* 1718797 */     GIR_EraseRootFromParent_Done,
     /* 1718798 */   // Label 23470: @1718798
     /* 1718798 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1718884), // Rule ID 10522 //
     /* 1718803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1718823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718849 */     // MIs[0] policy
     /* 1718849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718883 */     // GIR_Coverage, 10522,
     /* 1718883 */     GIR_EraseRootFromParent_Done,
     /* 1718884 */   // Label 23471: @1718884
     /* 1718884 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1718970), // Rule ID 10525 //
     /* 1718889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718935 */     // MIs[0] policy
     /* 1718935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718945 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1718948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718969 */     // GIR_Coverage, 10525,
     /* 1718969 */     GIR_EraseRootFromParent_Done,
     /* 1718970 */   // Label 23472: @1718970
     /* 1718970 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1719056), // Rule ID 10526 //
     /* 1718975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719021 */     // MIs[0] policy
     /* 1719021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719031 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719055 */     // GIR_Coverage, 10526,
     /* 1719055 */     GIR_EraseRootFromParent_Done,
     /* 1719056 */   // Label 23473: @1719056
     /* 1719056 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1719142), // Rule ID 10529 //
     /* 1719061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719107 */     // MIs[0] policy
     /* 1719107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719117 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719141 */     // GIR_Coverage, 10529,
     /* 1719141 */     GIR_EraseRootFromParent_Done,
     /* 1719142 */   // Label 23474: @1719142
     /* 1719142 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1719228), // Rule ID 10530 //
     /* 1719147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719193 */     // MIs[0] policy
     /* 1719193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719227 */     // GIR_Coverage, 10530,
     /* 1719227 */     GIR_EraseRootFromParent_Done,
     /* 1719228 */   // Label 23475: @1719228
     /* 1719228 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1719314), // Rule ID 10533 //
     /* 1719233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719279 */     // MIs[0] policy
     /* 1719279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719289 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719313 */     // GIR_Coverage, 10533,
     /* 1719313 */     GIR_EraseRootFromParent_Done,
     /* 1719314 */   // Label 23476: @1719314
     /* 1719314 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1719400), // Rule ID 10534 //
     /* 1719319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719365 */     // MIs[0] policy
     /* 1719365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719375 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719399 */     // GIR_Coverage, 10534,
     /* 1719399 */     GIR_EraseRootFromParent_Done,
     /* 1719400 */   // Label 23477: @1719400
     /* 1719400 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1719486), // Rule ID 10537 //
     /* 1719405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719451 */     // MIs[0] policy
     /* 1719451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719485 */     // GIR_Coverage, 10537,
     /* 1719485 */     GIR_EraseRootFromParent_Done,
     /* 1719486 */   // Label 23478: @1719486
     /* 1719486 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1719572), // Rule ID 10538 //
     /* 1719491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719537 */     // MIs[0] policy
     /* 1719537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719571 */     // GIR_Coverage, 10538,
     /* 1719571 */     GIR_EraseRootFromParent_Done,
     /* 1719572 */   // Label 23479: @1719572
     /* 1719572 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1719658), // Rule ID 10541 //
     /* 1719577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719623 */     // MIs[0] policy
     /* 1719623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719657 */     // GIR_Coverage, 10541,
     /* 1719657 */     GIR_EraseRootFromParent_Done,
     /* 1719658 */   // Label 23480: @1719658
     /* 1719658 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1719744), // Rule ID 10542 //
     /* 1719663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719709 */     // MIs[0] policy
     /* 1719709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719719 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719743 */     // GIR_Coverage, 10542,
     /* 1719743 */     GIR_EraseRootFromParent_Done,
     /* 1719744 */   // Label 23481: @1719744
     /* 1719744 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1719830), // Rule ID 10545 //
     /* 1719749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1719769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719795 */     // MIs[0] policy
     /* 1719795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719805 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719829 */     // GIR_Coverage, 10545,
     /* 1719829 */     GIR_EraseRootFromParent_Done,
     /* 1719830 */   // Label 23482: @1719830
     /* 1719830 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1719916), // Rule ID 10546 //
     /* 1719835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1719855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719881 */     // MIs[0] policy
     /* 1719881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719891 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719915 */     // GIR_Coverage, 10546,
     /* 1719915 */     GIR_EraseRootFromParent_Done,
     /* 1719916 */   // Label 23483: @1719916
     /* 1719916 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1720002), // Rule ID 10549 //
     /* 1719921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1719941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719967 */     // MIs[0] policy
     /* 1719967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720001 */     // GIR_Coverage, 10549,
     /* 1720001 */     GIR_EraseRootFromParent_Done,
     /* 1720002 */   // Label 23484: @1720002
     /* 1720002 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1720088), // Rule ID 10550 //
     /* 1720007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720053 */     // MIs[0] policy
     /* 1720053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720087 */     // GIR_Coverage, 10550,
     /* 1720087 */     GIR_EraseRootFromParent_Done,
     /* 1720088 */   // Label 23485: @1720088
     /* 1720088 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1720174), // Rule ID 10553 //
     /* 1720093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720139 */     // MIs[0] policy
     /* 1720139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720149 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720173 */     // GIR_Coverage, 10553,
     /* 1720173 */     GIR_EraseRootFromParent_Done,
     /* 1720174 */   // Label 23486: @1720174
     /* 1720174 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1720260), // Rule ID 10554 //
     /* 1720179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720225 */     // MIs[0] policy
     /* 1720225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720235 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720259 */     // GIR_Coverage, 10554,
     /* 1720259 */     GIR_EraseRootFromParent_Done,
     /* 1720260 */   // Label 23487: @1720260
     /* 1720260 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1720346), // Rule ID 10557 //
     /* 1720265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720311 */     // MIs[0] policy
     /* 1720311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720321 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720345 */     // GIR_Coverage, 10557,
     /* 1720345 */     GIR_EraseRootFromParent_Done,
     /* 1720346 */   // Label 23488: @1720346
     /* 1720346 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1720432), // Rule ID 10558 //
     /* 1720351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720397 */     // MIs[0] policy
     /* 1720397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720407 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720431 */     // GIR_Coverage, 10558,
     /* 1720431 */     GIR_EraseRootFromParent_Done,
     /* 1720432 */   // Label 23489: @1720432
     /* 1720432 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1720518), // Rule ID 10561 //
     /* 1720437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720483 */     // MIs[0] policy
     /* 1720483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720517 */     // GIR_Coverage, 10561,
     /* 1720517 */     GIR_EraseRootFromParent_Done,
     /* 1720518 */   // Label 23490: @1720518
     /* 1720518 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1720604), // Rule ID 10562 //
     /* 1720523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720569 */     // MIs[0] policy
     /* 1720569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720603 */     // GIR_Coverage, 10562,
     /* 1720603 */     GIR_EraseRootFromParent_Done,
     /* 1720604 */   // Label 23491: @1720604
     /* 1720604 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1720690), // Rule ID 10565 //
     /* 1720609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1720629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720655 */     // MIs[0] policy
     /* 1720655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720665 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720689 */     // GIR_Coverage, 10565,
     /* 1720689 */     GIR_EraseRootFromParent_Done,
     /* 1720690 */   // Label 23492: @1720690
     /* 1720690 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1720776), // Rule ID 10566 //
     /* 1720695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1720715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720741 */     // MIs[0] policy
     /* 1720741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720775 */     // GIR_Coverage, 10566,
     /* 1720775 */     GIR_EraseRootFromParent_Done,
     /* 1720776 */   // Label 23493: @1720776
     /* 1720776 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1720862), // Rule ID 10569 //
     /* 1720781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1720801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720827 */     // MIs[0] policy
     /* 1720827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720837 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720861 */     // GIR_Coverage, 10569,
     /* 1720861 */     GIR_EraseRootFromParent_Done,
     /* 1720862 */   // Label 23494: @1720862
     /* 1720862 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1720948), // Rule ID 10570 //
     /* 1720867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1720887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720913 */     // MIs[0] policy
     /* 1720913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720947 */     // GIR_Coverage, 10570,
     /* 1720947 */     GIR_EraseRootFromParent_Done,
     /* 1720948 */   // Label 23495: @1720948
     /* 1720948 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1721034), // Rule ID 10573 //
     /* 1720953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1720967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1720970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720999 */     // MIs[0] policy
     /* 1720999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721009 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1721012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721033 */     // GIR_Coverage, 10573,
     /* 1721033 */     GIR_EraseRootFromParent_Done,
     /* 1721034 */   // Label 23496: @1721034
     /* 1721034 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1721120), // Rule ID 10574 //
     /* 1721039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721085 */     // MIs[0] policy
     /* 1721085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721095 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1721098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721119 */     // GIR_Coverage, 10574,
     /* 1721119 */     GIR_EraseRootFromParent_Done,
     /* 1721120 */   // Label 23497: @1721120
     /* 1721120 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1721206), // Rule ID 10577 //
     /* 1721125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721171 */     // MIs[0] policy
     /* 1721171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721181 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721205 */     // GIR_Coverage, 10577,
     /* 1721205 */     GIR_EraseRootFromParent_Done,
     /* 1721206 */   // Label 23498: @1721206
     /* 1721206 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1721292), // Rule ID 10578 //
     /* 1721211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721257 */     // MIs[0] policy
     /* 1721257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721291 */     // GIR_Coverage, 10578,
     /* 1721291 */     GIR_EraseRootFromParent_Done,
     /* 1721292 */   // Label 23499: @1721292
     /* 1721292 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1721378), // Rule ID 10581 //
     /* 1721297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721343 */     // MIs[0] policy
     /* 1721343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721353 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721377 */     // GIR_Coverage, 10581,
     /* 1721377 */     GIR_EraseRootFromParent_Done,
     /* 1721378 */   // Label 23500: @1721378
     /* 1721378 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1721464), // Rule ID 10582 //
     /* 1721383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721429 */     // MIs[0] policy
     /* 1721429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721439 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721463 */     // GIR_Coverage, 10582,
     /* 1721463 */     GIR_EraseRootFromParent_Done,
     /* 1721464 */   // Label 23501: @1721464
     /* 1721464 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1721550), // Rule ID 10585 //
     /* 1721469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721515 */     // MIs[0] policy
     /* 1721515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721525 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721549 */     // GIR_Coverage, 10585,
     /* 1721549 */     GIR_EraseRootFromParent_Done,
     /* 1721550 */   // Label 23502: @1721550
     /* 1721550 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1721636), // Rule ID 10586 //
     /* 1721555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721601 */     // MIs[0] policy
     /* 1721601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721635 */     // GIR_Coverage, 10586,
     /* 1721635 */     GIR_EraseRootFromParent_Done,
     /* 1721636 */   // Label 23503: @1721636
     /* 1721636 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1721722), // Rule ID 10589 //
     /* 1721641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721687 */     // MIs[0] policy
     /* 1721687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721721 */     // GIR_Coverage, 10589,
     /* 1721721 */     GIR_EraseRootFromParent_Done,
     /* 1721722 */   // Label 23504: @1721722
     /* 1721722 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1721808), // Rule ID 10590 //
     /* 1721727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721773 */     // MIs[0] policy
     /* 1721773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721783 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721807 */     // GIR_Coverage, 10590,
     /* 1721807 */     GIR_EraseRootFromParent_Done,
     /* 1721808 */   // Label 23505: @1721808
     /* 1721808 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1721894), // Rule ID 10593 //
     /* 1721813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721859 */     // MIs[0] policy
     /* 1721859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721893 */     // GIR_Coverage, 10593,
     /* 1721893 */     GIR_EraseRootFromParent_Done,
     /* 1721894 */   // Label 23506: @1721894
     /* 1721894 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1721980), // Rule ID 10594 //
     /* 1721899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721945 */     // MIs[0] policy
     /* 1721945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721979 */     // GIR_Coverage, 10594,
     /* 1721979 */     GIR_EraseRootFromParent_Done,
     /* 1721980 */   // Label 23507: @1721980
     /* 1721980 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1722066), // Rule ID 10597 //
     /* 1721985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1721996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1721999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722031 */     // MIs[0] policy
     /* 1722031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722065 */     // GIR_Coverage, 10597,
     /* 1722065 */     GIR_EraseRootFromParent_Done,
     /* 1722066 */   // Label 23508: @1722066
     /* 1722066 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1722152), // Rule ID 10598 //
     /* 1722071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722117 */     // MIs[0] policy
     /* 1722117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722127 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722151 */     // GIR_Coverage, 10598,
     /* 1722151 */     GIR_EraseRootFromParent_Done,
     /* 1722152 */   // Label 23509: @1722152
     /* 1722152 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1722238), // Rule ID 10601 //
     /* 1722157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722203 */     // MIs[0] policy
     /* 1722203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722237 */     // GIR_Coverage, 10601,
     /* 1722237 */     GIR_EraseRootFromParent_Done,
     /* 1722238 */   // Label 23510: @1722238
     /* 1722238 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1722324), // Rule ID 10602 //
     /* 1722243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722289 */     // MIs[0] policy
     /* 1722289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722323 */     // GIR_Coverage, 10602,
     /* 1722323 */     GIR_EraseRootFromParent_Done,
     /* 1722324 */   // Label 23511: @1722324
     /* 1722324 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1722410), // Rule ID 10605 //
     /* 1722329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722375 */     // MIs[0] policy
     /* 1722375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722385 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722409 */     // GIR_Coverage, 10605,
     /* 1722409 */     GIR_EraseRootFromParent_Done,
     /* 1722410 */   // Label 23512: @1722410
     /* 1722410 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1722496), // Rule ID 10606 //
     /* 1722415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722461 */     // MIs[0] policy
     /* 1722461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722495 */     // GIR_Coverage, 10606,
     /* 1722495 */     GIR_EraseRootFromParent_Done,
     /* 1722496 */   // Label 23513: @1722496
     /* 1722496 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1722582), // Rule ID 10609 //
     /* 1722501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722547 */     // MIs[0] policy
     /* 1722547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722581 */     // GIR_Coverage, 10609,
     /* 1722581 */     GIR_EraseRootFromParent_Done,
     /* 1722582 */   // Label 23514: @1722582
     /* 1722582 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1722668), // Rule ID 10610 //
     /* 1722587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722633 */     // MIs[0] policy
     /* 1722633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722667 */     // GIR_Coverage, 10610,
     /* 1722667 */     GIR_EraseRootFromParent_Done,
     /* 1722668 */   // Label 23515: @1722668
     /* 1722668 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1722754), // Rule ID 10613 //
     /* 1722673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722719 */     // MIs[0] policy
     /* 1722719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722729 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722753 */     // GIR_Coverage, 10613,
     /* 1722753 */     GIR_EraseRootFromParent_Done,
     /* 1722754 */   // Label 23516: @1722754
     /* 1722754 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1722840), // Rule ID 10614 //
     /* 1722759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722805 */     // MIs[0] policy
     /* 1722805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722815 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722839 */     // GIR_Coverage, 10614,
     /* 1722839 */     GIR_EraseRootFromParent_Done,
     /* 1722840 */   // Label 23517: @1722840
     /* 1722840 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1722926), // Rule ID 10617 //
     /* 1722845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722891 */     // MIs[0] policy
     /* 1722891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722901 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722925 */     // GIR_Coverage, 10617,
     /* 1722925 */     GIR_EraseRootFromParent_Done,
     /* 1722926 */   // Label 23518: @1722926
     /* 1722926 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1723012), // Rule ID 10618 //
     /* 1722931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722977 */     // MIs[0] policy
     /* 1722977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723011 */     // GIR_Coverage, 10618,
     /* 1723011 */     GIR_EraseRootFromParent_Done,
     /* 1723012 */   // Label 23519: @1723012
     /* 1723012 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1723098), // Rule ID 10621 //
     /* 1723017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723063 */     // MIs[0] policy
     /* 1723063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723073 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723097 */     // GIR_Coverage, 10621,
     /* 1723097 */     GIR_EraseRootFromParent_Done,
     /* 1723098 */   // Label 23520: @1723098
     /* 1723098 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1723184), // Rule ID 10622 //
     /* 1723103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723149 */     // MIs[0] policy
     /* 1723149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723159 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723183 */     // GIR_Coverage, 10622,
     /* 1723183 */     GIR_EraseRootFromParent_Done,
     /* 1723184 */   // Label 23521: @1723184
     /* 1723184 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1723270), // Rule ID 10625 //
     /* 1723189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723235 */     // MIs[0] policy
     /* 1723235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723269 */     // GIR_Coverage, 10625,
     /* 1723269 */     GIR_EraseRootFromParent_Done,
     /* 1723270 */   // Label 23522: @1723270
     /* 1723270 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1723356), // Rule ID 10626 //
     /* 1723275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723321 */     // MIs[0] policy
     /* 1723321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723355 */     // GIR_Coverage, 10626,
     /* 1723355 */     GIR_EraseRootFromParent_Done,
     /* 1723356 */   // Label 23523: @1723356
     /* 1723356 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1723442), // Rule ID 10629 //
     /* 1723361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723407 */     // MIs[0] policy
     /* 1723407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723441 */     // GIR_Coverage, 10629,
     /* 1723441 */     GIR_EraseRootFromParent_Done,
     /* 1723442 */   // Label 23524: @1723442
     /* 1723442 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1723528), // Rule ID 10630 //
     /* 1723447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723493 */     // MIs[0] policy
     /* 1723493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723503 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723527 */     // GIR_Coverage, 10630,
     /* 1723527 */     GIR_EraseRootFromParent_Done,
     /* 1723528 */   // Label 23525: @1723528
     /* 1723528 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1723614), // Rule ID 10633 //
     /* 1723533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723579 */     // MIs[0] policy
     /* 1723579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723589 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723613 */     // GIR_Coverage, 10633,
     /* 1723613 */     GIR_EraseRootFromParent_Done,
     /* 1723614 */   // Label 23526: @1723614
     /* 1723614 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1723700), // Rule ID 10634 //
     /* 1723619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723665 */     // MIs[0] policy
     /* 1723665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723675 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723699 */     // GIR_Coverage, 10634,
     /* 1723699 */     GIR_EraseRootFromParent_Done,
     /* 1723700 */   // Label 23527: @1723700
     /* 1723700 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1723786), // Rule ID 10637 //
     /* 1723705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723751 */     // MIs[0] policy
     /* 1723751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723761 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723785 */     // GIR_Coverage, 10637,
     /* 1723785 */     GIR_EraseRootFromParent_Done,
     /* 1723786 */   // Label 23528: @1723786
     /* 1723786 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1723872), // Rule ID 10638 //
     /* 1723791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723837 */     // MIs[0] policy
     /* 1723837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723871 */     // GIR_Coverage, 10638,
     /* 1723871 */     GIR_EraseRootFromParent_Done,
     /* 1723872 */   // Label 23529: @1723872
     /* 1723872 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1723958), // Rule ID 10641 //
     /* 1723877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723923 */     // MIs[0] policy
     /* 1723923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723957 */     // GIR_Coverage, 10641,
     /* 1723957 */     GIR_EraseRootFromParent_Done,
     /* 1723958 */   // Label 23530: @1723958
     /* 1723958 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1724044), // Rule ID 10642 //
     /* 1723963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724009 */     // MIs[0] policy
     /* 1724009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724043 */     // GIR_Coverage, 10642,
     /* 1724043 */     GIR_EraseRootFromParent_Done,
     /* 1724044 */   // Label 23531: @1724044
     /* 1724044 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1724130), // Rule ID 10645 //
     /* 1724049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724095 */     // MIs[0] policy
     /* 1724095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724129 */     // GIR_Coverage, 10645,
     /* 1724129 */     GIR_EraseRootFromParent_Done,
     /* 1724130 */   // Label 23532: @1724130
     /* 1724130 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1724216), // Rule ID 10646 //
     /* 1724135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724181 */     // MIs[0] policy
     /* 1724181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724215 */     // GIR_Coverage, 10646,
     /* 1724215 */     GIR_EraseRootFromParent_Done,
     /* 1724216 */   // Label 23533: @1724216
     /* 1724216 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1724302), // Rule ID 10649 //
     /* 1724221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724267 */     // MIs[0] policy
     /* 1724267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724277 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724301 */     // GIR_Coverage, 10649,
     /* 1724301 */     GIR_EraseRootFromParent_Done,
     /* 1724302 */   // Label 23534: @1724302
     /* 1724302 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1724388), // Rule ID 10650 //
     /* 1724307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724353 */     // MIs[0] policy
     /* 1724353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724363 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724387 */     // GIR_Coverage, 10650,
     /* 1724387 */     GIR_EraseRootFromParent_Done,
     /* 1724388 */   // Label 23535: @1724388
     /* 1724388 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1724474), // Rule ID 10653 //
     /* 1724393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724439 */     // MIs[0] policy
     /* 1724439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724473 */     // GIR_Coverage, 10653,
     /* 1724473 */     GIR_EraseRootFromParent_Done,
     /* 1724474 */   // Label 23536: @1724474
     /* 1724474 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1724560), // Rule ID 10654 //
     /* 1724479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724525 */     // MIs[0] policy
     /* 1724525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724535 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724559 */     // GIR_Coverage, 10654,
     /* 1724559 */     GIR_EraseRootFromParent_Done,
     /* 1724560 */   // Label 23537: @1724560
     /* 1724560 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1724646), // Rule ID 10657 //
     /* 1724565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724611 */     // MIs[0] policy
     /* 1724611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724645 */     // GIR_Coverage, 10657,
     /* 1724645 */     GIR_EraseRootFromParent_Done,
     /* 1724646 */   // Label 23538: @1724646
     /* 1724646 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1724732), // Rule ID 10658 //
     /* 1724651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724697 */     // MIs[0] policy
     /* 1724697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724707 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724731 */     // GIR_Coverage, 10658,
     /* 1724731 */     GIR_EraseRootFromParent_Done,
     /* 1724732 */   // Label 23539: @1724732
     /* 1724732 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1724818), // Rule ID 10661 //
     /* 1724737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1724757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724783 */     // MIs[0] policy
     /* 1724783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724793 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1724796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724817 */     // GIR_Coverage, 10661,
     /* 1724817 */     GIR_EraseRootFromParent_Done,
     /* 1724818 */   // Label 23540: @1724818
     /* 1724818 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1724904), // Rule ID 10662 //
     /* 1724823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1724843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724869 */     // MIs[0] policy
     /* 1724869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724879 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1724882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724903 */     // GIR_Coverage, 10662,
     /* 1724903 */     GIR_EraseRootFromParent_Done,
     /* 1724904 */   // Label 23541: @1724904
     /* 1724904 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1724990), // Rule ID 10665 //
     /* 1724909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1724929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724955 */     // MIs[0] policy
     /* 1724955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724965 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1724968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724989 */     // GIR_Coverage, 10665,
     /* 1724989 */     GIR_EraseRootFromParent_Done,
     /* 1724990 */   // Label 23542: @1724990
     /* 1724990 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1725076), // Rule ID 10666 //
     /* 1724995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1725015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725041 */     // MIs[0] policy
     /* 1725041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725051 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725075 */     // GIR_Coverage, 10666,
     /* 1725075 */     GIR_EraseRootFromParent_Done,
     /* 1725076 */   // Label 23543: @1725076
     /* 1725076 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1725162), // Rule ID 10669 //
     /* 1725081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725127 */     // MIs[0] policy
     /* 1725127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725137 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725161 */     // GIR_Coverage, 10669,
     /* 1725161 */     GIR_EraseRootFromParent_Done,
     /* 1725162 */   // Label 23544: @1725162
     /* 1725162 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1725248), // Rule ID 10670 //
     /* 1725167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725213 */     // MIs[0] policy
     /* 1725213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725223 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725247 */     // GIR_Coverage, 10670,
     /* 1725247 */     GIR_EraseRootFromParent_Done,
     /* 1725248 */   // Label 23545: @1725248
     /* 1725248 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1725334), // Rule ID 10673 //
     /* 1725253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725299 */     // MIs[0] policy
     /* 1725299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725333 */     // GIR_Coverage, 10673,
     /* 1725333 */     GIR_EraseRootFromParent_Done,
     /* 1725334 */   // Label 23546: @1725334
     /* 1725334 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1725420), // Rule ID 10674 //
     /* 1725339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725385 */     // MIs[0] policy
     /* 1725385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725395 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725419 */     // GIR_Coverage, 10674,
     /* 1725419 */     GIR_EraseRootFromParent_Done,
     /* 1725420 */   // Label 23547: @1725420
     /* 1725420 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1725506), // Rule ID 10677 //
     /* 1725425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725471 */     // MIs[0] policy
     /* 1725471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725505 */     // GIR_Coverage, 10677,
     /* 1725505 */     GIR_EraseRootFromParent_Done,
     /* 1725506 */   // Label 23548: @1725506
     /* 1725506 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1725592), // Rule ID 10678 //
     /* 1725511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725557 */     // MIs[0] policy
     /* 1725557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725591 */     // GIR_Coverage, 10678,
     /* 1725591 */     GIR_EraseRootFromParent_Done,
     /* 1725592 */   // Label 23549: @1725592
     /* 1725592 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1725678), // Rule ID 10681 //
     /* 1725597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1725617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725643 */     // MIs[0] policy
     /* 1725643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725677 */     // GIR_Coverage, 10681,
     /* 1725677 */     GIR_EraseRootFromParent_Done,
     /* 1725678 */   // Label 23550: @1725678
     /* 1725678 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1725764), // Rule ID 10682 //
     /* 1725683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1725703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725729 */     // MIs[0] policy
     /* 1725729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725763 */     // GIR_Coverage, 10682,
     /* 1725763 */     GIR_EraseRootFromParent_Done,
     /* 1725764 */   // Label 23551: @1725764
     /* 1725764 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1725850), // Rule ID 10685 //
     /* 1725769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1725789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725815 */     // MIs[0] policy
     /* 1725815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725849 */     // GIR_Coverage, 10685,
     /* 1725849 */     GIR_EraseRootFromParent_Done,
     /* 1725850 */   // Label 23552: @1725850
     /* 1725850 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1725936), // Rule ID 10686 //
     /* 1725855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1725875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725901 */     // MIs[0] policy
     /* 1725901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725935 */     // GIR_Coverage, 10686,
     /* 1725935 */     GIR_EraseRootFromParent_Done,
     /* 1725936 */   // Label 23553: @1725936
     /* 1725936 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1726022), // Rule ID 10689 //
     /* 1725941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1725961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725987 */     // MIs[0] policy
     /* 1725987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726021 */     // GIR_Coverage, 10689,
     /* 1726021 */     GIR_EraseRootFromParent_Done,
     /* 1726022 */   // Label 23554: @1726022
     /* 1726022 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1726108), // Rule ID 10690 //
     /* 1726027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1726047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726073 */     // MIs[0] policy
     /* 1726073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726107 */     // GIR_Coverage, 10690,
     /* 1726107 */     GIR_EraseRootFromParent_Done,
     /* 1726108 */   // Label 23555: @1726108
     /* 1726108 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1726194), // Rule ID 10693 //
     /* 1726113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726159 */     // MIs[0] policy
     /* 1726159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726169 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726193 */     // GIR_Coverage, 10693,
     /* 1726193 */     GIR_EraseRootFromParent_Done,
     /* 1726194 */   // Label 23556: @1726194
     /* 1726194 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1726280), // Rule ID 10694 //
     /* 1726199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726245 */     // MIs[0] policy
     /* 1726245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726279 */     // GIR_Coverage, 10694,
     /* 1726279 */     GIR_EraseRootFromParent_Done,
     /* 1726280 */   // Label 23557: @1726280
     /* 1726280 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1726366), // Rule ID 10697 //
     /* 1726285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726331 */     // MIs[0] policy
     /* 1726331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726341 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726365 */     // GIR_Coverage, 10697,
     /* 1726365 */     GIR_EraseRootFromParent_Done,
     /* 1726366 */   // Label 23558: @1726366
     /* 1726366 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1726452), // Rule ID 10698 //
     /* 1726371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726417 */     // MIs[0] policy
     /* 1726417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726451 */     // GIR_Coverage, 10698,
     /* 1726451 */     GIR_EraseRootFromParent_Done,
     /* 1726452 */   // Label 23559: @1726452
     /* 1726452 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1726538), // Rule ID 10701 //
     /* 1726457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726503 */     // MIs[0] policy
     /* 1726503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726513 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726537 */     // GIR_Coverage, 10701,
     /* 1726537 */     GIR_EraseRootFromParent_Done,
     /* 1726538 */   // Label 23560: @1726538
     /* 1726538 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1726624), // Rule ID 10702 //
     /* 1726543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726589 */     // MIs[0] policy
     /* 1726589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726623 */     // GIR_Coverage, 10702,
     /* 1726623 */     GIR_EraseRootFromParent_Done,
     /* 1726624 */   // Label 23561: @1726624
     /* 1726624 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1726710), // Rule ID 10705 //
     /* 1726629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1726649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726675 */     // MIs[0] policy
     /* 1726675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726685 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726709 */     // GIR_Coverage, 10705,
     /* 1726709 */     GIR_EraseRootFromParent_Done,
     /* 1726710 */   // Label 23562: @1726710
     /* 1726710 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1726796), // Rule ID 10706 //
     /* 1726715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1726735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726761 */     // MIs[0] policy
     /* 1726761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726795 */     // GIR_Coverage, 10706,
     /* 1726795 */     GIR_EraseRootFromParent_Done,
     /* 1726796 */   // Label 23563: @1726796
     /* 1726796 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1726882), // Rule ID 10709 //
     /* 1726801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1726821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726847 */     // MIs[0] policy
     /* 1726847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726857 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726881 */     // GIR_Coverage, 10709,
     /* 1726881 */     GIR_EraseRootFromParent_Done,
     /* 1726882 */   // Label 23564: @1726882
     /* 1726882 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1726968), // Rule ID 10710 //
     /* 1726887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1726907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726933 */     // MIs[0] policy
     /* 1726933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726943 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726967 */     // GIR_Coverage, 10710,
     /* 1726967 */     GIR_EraseRootFromParent_Done,
     /* 1726968 */   // Label 23565: @1726968
     /* 1726968 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1727054), // Rule ID 10713 //
     /* 1726973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1726984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1726987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1726990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1726993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727019 */     // MIs[0] policy
     /* 1727019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727053 */     // GIR_Coverage, 10713,
     /* 1727053 */     GIR_EraseRootFromParent_Done,
     /* 1727054 */   // Label 23566: @1727054
     /* 1727054 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1727140), // Rule ID 10714 //
     /* 1727059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727105 */     // MIs[0] policy
     /* 1727105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727139 */     // GIR_Coverage, 10714,
     /* 1727139 */     GIR_EraseRootFromParent_Done,
     /* 1727140 */   // Label 23567: @1727140
     /* 1727140 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1727226), // Rule ID 10717 //
     /* 1727145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727191 */     // MIs[0] policy
     /* 1727191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727201 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727225 */     // GIR_Coverage, 10717,
     /* 1727225 */     GIR_EraseRootFromParent_Done,
     /* 1727226 */   // Label 23568: @1727226
     /* 1727226 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1727312), // Rule ID 10718 //
     /* 1727231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727277 */     // MIs[0] policy
     /* 1727277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727287 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727311 */     // GIR_Coverage, 10718,
     /* 1727311 */     GIR_EraseRootFromParent_Done,
     /* 1727312 */   // Label 23569: @1727312
     /* 1727312 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1727398), // Rule ID 10721 //
     /* 1727317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727363 */     // MIs[0] policy
     /* 1727363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727373 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727397 */     // GIR_Coverage, 10721,
     /* 1727397 */     GIR_EraseRootFromParent_Done,
     /* 1727398 */   // Label 23570: @1727398
     /* 1727398 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1727484), // Rule ID 10722 //
     /* 1727403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727449 */     // MIs[0] policy
     /* 1727449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727483 */     // GIR_Coverage, 10722,
     /* 1727483 */     GIR_EraseRootFromParent_Done,
     /* 1727484 */   // Label 23571: @1727484
     /* 1727484 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1727570), // Rule ID 10725 //
     /* 1727489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727535 */     // MIs[0] policy
     /* 1727535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727569 */     // GIR_Coverage, 10725,
     /* 1727569 */     GIR_EraseRootFromParent_Done,
     /* 1727570 */   // Label 23572: @1727570
     /* 1727570 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1727656), // Rule ID 10726 //
     /* 1727575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727621 */     // MIs[0] policy
     /* 1727621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727655 */     // GIR_Coverage, 10726,
     /* 1727655 */     GIR_EraseRootFromParent_Done,
     /* 1727656 */   // Label 23573: @1727656
     /* 1727656 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1727742), // Rule ID 10729 //
     /* 1727661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1727681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727707 */     // MIs[0] policy
     /* 1727707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727741 */     // GIR_Coverage, 10729,
     /* 1727741 */     GIR_EraseRootFromParent_Done,
     /* 1727742 */   // Label 23574: @1727742
     /* 1727742 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1727828), // Rule ID 10730 //
     /* 1727747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1727767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727793 */     // MIs[0] policy
     /* 1727793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727827 */     // GIR_Coverage, 10730,
     /* 1727827 */     GIR_EraseRootFromParent_Done,
     /* 1727828 */   // Label 23575: @1727828
     /* 1727828 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1727914), // Rule ID 10733 //
     /* 1727833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1727853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727879 */     // MIs[0] policy
     /* 1727879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727913 */     // GIR_Coverage, 10733,
     /* 1727913 */     GIR_EraseRootFromParent_Done,
     /* 1727914 */   // Label 23576: @1727914
     /* 1727914 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1728000), // Rule ID 10734 //
     /* 1727919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1727939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727965 */     // MIs[0] policy
     /* 1727965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727999 */     // GIR_Coverage, 10734,
     /* 1727999 */     GIR_EraseRootFromParent_Done,
     /* 1728000 */   // Label 23577: @1728000
     /* 1728000 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1728086), // Rule ID 10737 //
     /* 1728005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728051 */     // MIs[0] policy
     /* 1728051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728085 */     // GIR_Coverage, 10737,
     /* 1728085 */     GIR_EraseRootFromParent_Done,
     /* 1728086 */   // Label 23578: @1728086
     /* 1728086 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1728172), // Rule ID 10738 //
     /* 1728091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728137 */     // MIs[0] policy
     /* 1728137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728171 */     // GIR_Coverage, 10738,
     /* 1728171 */     GIR_EraseRootFromParent_Done,
     /* 1728172 */   // Label 23579: @1728172
     /* 1728172 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1728258), // Rule ID 10741 //
     /* 1728177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728223 */     // MIs[0] policy
     /* 1728223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728257 */     // GIR_Coverage, 10741,
     /* 1728257 */     GIR_EraseRootFromParent_Done,
     /* 1728258 */   // Label 23580: @1728258
     /* 1728258 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1728344), // Rule ID 10742 //
     /* 1728263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728309 */     // MIs[0] policy
     /* 1728309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728319 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728343 */     // GIR_Coverage, 10742,
     /* 1728343 */     GIR_EraseRootFromParent_Done,
     /* 1728344 */   // Label 23581: @1728344
     /* 1728344 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1728430), // Rule ID 10745 //
     /* 1728349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728395 */     // MIs[0] policy
     /* 1728395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728405 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728429 */     // GIR_Coverage, 10745,
     /* 1728429 */     GIR_EraseRootFromParent_Done,
     /* 1728430 */   // Label 23582: @1728430
     /* 1728430 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1728516), // Rule ID 10746 //
     /* 1728435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728481 */     // MIs[0] policy
     /* 1728481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728491 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728515 */     // GIR_Coverage, 10746,
     /* 1728515 */     GIR_EraseRootFromParent_Done,
     /* 1728516 */   // Label 23583: @1728516
     /* 1728516 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1728602), // Rule ID 10749 //
     /* 1728521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728567 */     // MIs[0] policy
     /* 1728567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1728580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728601 */     // GIR_Coverage, 10749,
     /* 1728601 */     GIR_EraseRootFromParent_Done,
     /* 1728602 */   // Label 23584: @1728602
     /* 1728602 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1728688), // Rule ID 10750 //
     /* 1728607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728653 */     // MIs[0] policy
     /* 1728653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728663 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1728666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728687 */     // GIR_Coverage, 10750,
     /* 1728687 */     GIR_EraseRootFromParent_Done,
     /* 1728688 */   // Label 23585: @1728688
     /* 1728688 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1728774), // Rule ID 10753 //
     /* 1728693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728739 */     // MIs[0] policy
     /* 1728739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1728752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728773 */     // GIR_Coverage, 10753,
     /* 1728773 */     GIR_EraseRootFromParent_Done,
     /* 1728774 */   // Label 23586: @1728774
     /* 1728774 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1728860), // Rule ID 10754 //
     /* 1728779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728825 */     // MIs[0] policy
     /* 1728825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728835 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1728838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728859 */     // GIR_Coverage, 10754,
     /* 1728859 */     GIR_EraseRootFromParent_Done,
     /* 1728860 */   // Label 23587: @1728860
     /* 1728860 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1728946), // Rule ID 10757 //
     /* 1728865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728911 */     // MIs[0] policy
     /* 1728911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728921 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1728924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728945 */     // GIR_Coverage, 10757,
     /* 1728945 */     GIR_EraseRootFromParent_Done,
     /* 1728946 */   // Label 23588: @1728946
     /* 1728946 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1729032), // Rule ID 10758 //
     /* 1728951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728997 */     // MIs[0] policy
     /* 1728997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729007 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729031 */     // GIR_Coverage, 10758,
     /* 1729031 */     GIR_EraseRootFromParent_Done,
     /* 1729032 */   // Label 23589: @1729032
     /* 1729032 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1729118), // Rule ID 10761 //
     /* 1729037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729083 */     // MIs[0] policy
     /* 1729083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729117 */     // GIR_Coverage, 10761,
     /* 1729117 */     GIR_EraseRootFromParent_Done,
     /* 1729118 */   // Label 23590: @1729118
     /* 1729118 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1729204), // Rule ID 10762 //
     /* 1729123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729169 */     // MIs[0] policy
     /* 1729169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729203 */     // GIR_Coverage, 10762,
     /* 1729203 */     GIR_EraseRootFromParent_Done,
     /* 1729204 */   // Label 23591: @1729204
     /* 1729204 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1729290), // Rule ID 10765 //
     /* 1729209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729255 */     // MIs[0] policy
     /* 1729255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729265 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729289 */     // GIR_Coverage, 10765,
     /* 1729289 */     GIR_EraseRootFromParent_Done,
     /* 1729290 */   // Label 23592: @1729290
     /* 1729290 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1729376), // Rule ID 10766 //
     /* 1729295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729341 */     // MIs[0] policy
     /* 1729341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729375 */     // GIR_Coverage, 10766,
     /* 1729375 */     GIR_EraseRootFromParent_Done,
     /* 1729376 */   // Label 23593: @1729376
     /* 1729376 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1729462), // Rule ID 10769 //
     /* 1729381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729427 */     // MIs[0] policy
     /* 1729427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729461 */     // GIR_Coverage, 10769,
     /* 1729461 */     GIR_EraseRootFromParent_Done,
     /* 1729462 */   // Label 23594: @1729462
     /* 1729462 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1729548), // Rule ID 10770 //
     /* 1729467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729513 */     // MIs[0] policy
     /* 1729513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729523 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729547 */     // GIR_Coverage, 10770,
     /* 1729547 */     GIR_EraseRootFromParent_Done,
     /* 1729548 */   // Label 23595: @1729548
     /* 1729548 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1729634), // Rule ID 10773 //
     /* 1729553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729599 */     // MIs[0] policy
     /* 1729599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729633 */     // GIR_Coverage, 10773,
     /* 1729633 */     GIR_EraseRootFromParent_Done,
     /* 1729634 */   // Label 23596: @1729634
     /* 1729634 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1729720), // Rule ID 10774 //
     /* 1729639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729685 */     // MIs[0] policy
     /* 1729685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729695 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729719 */     // GIR_Coverage, 10774,
     /* 1729719 */     GIR_EraseRootFromParent_Done,
     /* 1729720 */   // Label 23597: @1729720
     /* 1729720 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1729806), // Rule ID 10777 //
     /* 1729725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729771 */     // MIs[0] policy
     /* 1729771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729805 */     // GIR_Coverage, 10777,
     /* 1729805 */     GIR_EraseRootFromParent_Done,
     /* 1729806 */   // Label 23598: @1729806
     /* 1729806 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1729892), // Rule ID 10778 //
     /* 1729811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729857 */     // MIs[0] policy
     /* 1729857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729891 */     // GIR_Coverage, 10778,
     /* 1729891 */     GIR_EraseRootFromParent_Done,
     /* 1729892 */   // Label 23599: @1729892
     /* 1729892 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1729978), // Rule ID 10781 //
     /* 1729897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729943 */     // MIs[0] policy
     /* 1729943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729977 */     // GIR_Coverage, 10781,
     /* 1729977 */     GIR_EraseRootFromParent_Done,
     /* 1729978 */   // Label 23600: @1729978
     /* 1729978 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1730064), // Rule ID 10782 //
     /* 1729983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1730000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730029 */     // MIs[0] policy
     /* 1730029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730063 */     // GIR_Coverage, 10782,
     /* 1730063 */     GIR_EraseRootFromParent_Done,
     /* 1730064 */   // Label 23601: @1730064
     /* 1730064 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1730150), // Rule ID 10785 //
     /* 1730069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730115 */     // MIs[0] policy
     /* 1730115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730149 */     // GIR_Coverage, 10785,
     /* 1730149 */     GIR_EraseRootFromParent_Done,
     /* 1730150 */   // Label 23602: @1730150
     /* 1730150 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1730236), // Rule ID 10786 //
     /* 1730155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730201 */     // MIs[0] policy
     /* 1730201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730211 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730235 */     // GIR_Coverage, 10786,
     /* 1730235 */     GIR_EraseRootFromParent_Done,
     /* 1730236 */   // Label 23603: @1730236
     /* 1730236 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1730322), // Rule ID 10789 //
     /* 1730241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730287 */     // MIs[0] policy
     /* 1730287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730321 */     // GIR_Coverage, 10789,
     /* 1730321 */     GIR_EraseRootFromParent_Done,
     /* 1730322 */   // Label 23604: @1730322
     /* 1730322 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1730408), // Rule ID 10790 //
     /* 1730327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730373 */     // MIs[0] policy
     /* 1730373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730407 */     // GIR_Coverage, 10790,
     /* 1730407 */     GIR_EraseRootFromParent_Done,
     /* 1730408 */   // Label 23605: @1730408
     /* 1730408 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1730494), // Rule ID 10793 //
     /* 1730413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730459 */     // MIs[0] policy
     /* 1730459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730469 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730493 */     // GIR_Coverage, 10793,
     /* 1730493 */     GIR_EraseRootFromParent_Done,
     /* 1730494 */   // Label 23606: @1730494
     /* 1730494 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1730580), // Rule ID 10794 //
     /* 1730499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730545 */     // MIs[0] policy
     /* 1730545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730555 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730579 */     // GIR_Coverage, 10794,
     /* 1730579 */     GIR_EraseRootFromParent_Done,
     /* 1730580 */   // Label 23607: @1730580
     /* 1730580 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1730666), // Rule ID 10797 //
     /* 1730585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730631 */     // MIs[0] policy
     /* 1730631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730641 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730665 */     // GIR_Coverage, 10797,
     /* 1730665 */     GIR_EraseRootFromParent_Done,
     /* 1730666 */   // Label 23608: @1730666
     /* 1730666 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1730752), // Rule ID 10798 //
     /* 1730671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730717 */     // MIs[0] policy
     /* 1730717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730727 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730751 */     // GIR_Coverage, 10798,
     /* 1730751 */     GIR_EraseRootFromParent_Done,
     /* 1730752 */   // Label 23609: @1730752
     /* 1730752 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1730838), // Rule ID 10801 //
     /* 1730757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730803 */     // MIs[0] policy
     /* 1730803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730813 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730837 */     // GIR_Coverage, 10801,
     /* 1730837 */     GIR_EraseRootFromParent_Done,
     /* 1730838 */   // Label 23610: @1730838
     /* 1730838 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1730924), // Rule ID 10802 //
     /* 1730843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730889 */     // MIs[0] policy
     /* 1730889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730899 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730923 */     // GIR_Coverage, 10802,
     /* 1730923 */     GIR_EraseRootFromParent_Done,
     /* 1730924 */   // Label 23611: @1730924
     /* 1730924 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1731010), // Rule ID 10805 //
     /* 1730929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730975 */     // MIs[0] policy
     /* 1730975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730985 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731009 */     // GIR_Coverage, 10805,
     /* 1731009 */     GIR_EraseRootFromParent_Done,
     /* 1731010 */   // Label 23612: @1731010
     /* 1731010 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1731096), // Rule ID 10806 //
     /* 1731015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1731032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731061 */     // MIs[0] policy
     /* 1731061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731095 */     // GIR_Coverage, 10806,
     /* 1731095 */     GIR_EraseRootFromParent_Done,
     /* 1731096 */   // Label 23613: @1731096
     /* 1731096 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1731182), // Rule ID 10809 //
     /* 1731101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731147 */     // MIs[0] policy
     /* 1731147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731157 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731181 */     // GIR_Coverage, 10809,
     /* 1731181 */     GIR_EraseRootFromParent_Done,
     /* 1731182 */   // Label 23614: @1731182
     /* 1731182 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1731268), // Rule ID 10810 //
     /* 1731187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731233 */     // MIs[0] policy
     /* 1731233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731267 */     // GIR_Coverage, 10810,
     /* 1731267 */     GIR_EraseRootFromParent_Done,
     /* 1731268 */   // Label 23615: @1731268
     /* 1731268 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1731354), // Rule ID 10813 //
     /* 1731273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731319 */     // MIs[0] policy
     /* 1731319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731329 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731353 */     // GIR_Coverage, 10813,
     /* 1731353 */     GIR_EraseRootFromParent_Done,
     /* 1731354 */   // Label 23616: @1731354
     /* 1731354 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1731440), // Rule ID 10814 //
     /* 1731359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731405 */     // MIs[0] policy
     /* 1731405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731439 */     // GIR_Coverage, 10814,
     /* 1731439 */     GIR_EraseRootFromParent_Done,
     /* 1731440 */   // Label 23617: @1731440
     /* 1731440 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1731526), // Rule ID 10817 //
     /* 1731445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731491 */     // MIs[0] policy
     /* 1731491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731525 */     // GIR_Coverage, 10817,
     /* 1731525 */     GIR_EraseRootFromParent_Done,
     /* 1731526 */   // Label 23618: @1731526
     /* 1731526 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1731612), // Rule ID 10818 //
     /* 1731531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731577 */     // MIs[0] policy
     /* 1731577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731611 */     // GIR_Coverage, 10818,
     /* 1731611 */     GIR_EraseRootFromParent_Done,
     /* 1731612 */   // Label 23619: @1731612
     /* 1731612 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1731698), // Rule ID 10821 //
     /* 1731617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731663 */     // MIs[0] policy
     /* 1731663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731673 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731697 */     // GIR_Coverage, 10821,
     /* 1731697 */     GIR_EraseRootFromParent_Done,
     /* 1731698 */   // Label 23620: @1731698
     /* 1731698 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1731784), // Rule ID 10822 //
     /* 1731703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731749 */     // MIs[0] policy
     /* 1731749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731783 */     // GIR_Coverage, 10822,
     /* 1731783 */     GIR_EraseRootFromParent_Done,
     /* 1731784 */   // Label 23621: @1731784
     /* 1731784 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1731870), // Rule ID 10825 //
     /* 1731789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731835 */     // MIs[0] policy
     /* 1731835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731869 */     // GIR_Coverage, 10825,
     /* 1731869 */     GIR_EraseRootFromParent_Done,
     /* 1731870 */   // Label 23622: @1731870
     /* 1731870 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1731956), // Rule ID 10826 //
     /* 1731875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731921 */     // MIs[0] policy
     /* 1731921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731955 */     // GIR_Coverage, 10826,
     /* 1731955 */     GIR_EraseRootFromParent_Done,
     /* 1731956 */   // Label 23623: @1731956
     /* 1731956 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1732042), // Rule ID 10829 //
     /* 1731961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1731972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1731975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1731978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732007 */     // MIs[0] policy
     /* 1732007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1732020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732041 */     // GIR_Coverage, 10829,
     /* 1732041 */     GIR_EraseRootFromParent_Done,
     /* 1732042 */   // Label 23624: @1732042
     /* 1732042 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1732128), // Rule ID 10830 //
     /* 1732047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732093 */     // MIs[0] policy
     /* 1732093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1732106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732127 */     // GIR_Coverage, 10830,
     /* 1732127 */     GIR_EraseRootFromParent_Done,
     /* 1732128 */   // Label 23625: @1732128
     /* 1732128 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1732214), // Rule ID 10833 //
     /* 1732133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732179 */     // MIs[0] policy
     /* 1732179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732189 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732213 */     // GIR_Coverage, 10833,
     /* 1732213 */     GIR_EraseRootFromParent_Done,
     /* 1732214 */   // Label 23626: @1732214
     /* 1732214 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1732300), // Rule ID 10834 //
     /* 1732219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732265 */     // MIs[0] policy
     /* 1732265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732299 */     // GIR_Coverage, 10834,
     /* 1732299 */     GIR_EraseRootFromParent_Done,
     /* 1732300 */   // Label 23627: @1732300
     /* 1732300 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1732386), // Rule ID 10837 //
     /* 1732305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732351 */     // MIs[0] policy
     /* 1732351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732361 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732385 */     // GIR_Coverage, 10837,
     /* 1732385 */     GIR_EraseRootFromParent_Done,
     /* 1732386 */   // Label 23628: @1732386
     /* 1732386 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1732472), // Rule ID 10838 //
     /* 1732391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732437 */     // MIs[0] policy
     /* 1732437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732471 */     // GIR_Coverage, 10838,
     /* 1732471 */     GIR_EraseRootFromParent_Done,
     /* 1732472 */   // Label 23629: @1732472
     /* 1732472 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1732558), // Rule ID 10841 //
     /* 1732477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732523 */     // MIs[0] policy
     /* 1732523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732557 */     // GIR_Coverage, 10841,
     /* 1732557 */     GIR_EraseRootFromParent_Done,
     /* 1732558 */   // Label 23630: @1732558
     /* 1732558 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1732644), // Rule ID 10842 //
     /* 1732563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732609 */     // MIs[0] policy
     /* 1732609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732619 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732643 */     // GIR_Coverage, 10842,
     /* 1732643 */     GIR_EraseRootFromParent_Done,
     /* 1732644 */   // Label 23631: @1732644
     /* 1732644 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1732730), // Rule ID 10845 //
     /* 1732649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1732669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732695 */     // MIs[0] policy
     /* 1732695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732705 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1732708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732729 */     // GIR_Coverage, 10845,
     /* 1732729 */     GIR_EraseRootFromParent_Done,
     /* 1732730 */   // Label 23632: @1732730
     /* 1732730 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1732816), // Rule ID 10846 //
     /* 1732735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1732755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732781 */     // MIs[0] policy
     /* 1732781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732791 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1732794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732815 */     // GIR_Coverage, 10846,
     /* 1732815 */     GIR_EraseRootFromParent_Done,
     /* 1732816 */   // Label 23633: @1732816
     /* 1732816 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1732902), // Rule ID 10849 //
     /* 1732821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1732841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732867 */     // MIs[0] policy
     /* 1732867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732877 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732901 */     // GIR_Coverage, 10849,
     /* 1732901 */     GIR_EraseRootFromParent_Done,
     /* 1732902 */   // Label 23634: @1732902
     /* 1732902 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1732988), // Rule ID 10850 //
     /* 1732907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1732927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732953 */     // MIs[0] policy
     /* 1732953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732987 */     // GIR_Coverage, 10850,
     /* 1732987 */     GIR_EraseRootFromParent_Done,
     /* 1732988 */   // Label 23635: @1732988
     /* 1732988 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1733074), // Rule ID 10853 //
     /* 1732993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733039 */     // MIs[0] policy
     /* 1733039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733073 */     // GIR_Coverage, 10853,
     /* 1733073 */     GIR_EraseRootFromParent_Done,
     /* 1733074 */   // Label 23636: @1733074
     /* 1733074 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1733160), // Rule ID 10854 //
     /* 1733079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733125 */     // MIs[0] policy
     /* 1733125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733135 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733159 */     // GIR_Coverage, 10854,
     /* 1733159 */     GIR_EraseRootFromParent_Done,
     /* 1733160 */   // Label 23637: @1733160
     /* 1733160 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1733246), // Rule ID 10857 //
     /* 1733165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733211 */     // MIs[0] policy
     /* 1733211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733245 */     // GIR_Coverage, 10857,
     /* 1733245 */     GIR_EraseRootFromParent_Done,
     /* 1733246 */   // Label 23638: @1733246
     /* 1733246 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1733332), // Rule ID 10858 //
     /* 1733251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733297 */     // MIs[0] policy
     /* 1733297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733331 */     // GIR_Coverage, 10858,
     /* 1733331 */     GIR_EraseRootFromParent_Done,
     /* 1733332 */   // Label 23639: @1733332
     /* 1733332 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1733418), // Rule ID 10861 //
     /* 1733337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733383 */     // MIs[0] policy
     /* 1733383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733417 */     // GIR_Coverage, 10861,
     /* 1733417 */     GIR_EraseRootFromParent_Done,
     /* 1733418 */   // Label 23640: @1733418
     /* 1733418 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1733504), // Rule ID 10862 //
     /* 1733423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733469 */     // MIs[0] policy
     /* 1733469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733503 */     // GIR_Coverage, 10862,
     /* 1733503 */     GIR_EraseRootFromParent_Done,
     /* 1733504 */   // Label 23641: @1733504
     /* 1733504 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1733590), // Rule ID 10865 //
     /* 1733509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733555 */     // MIs[0] policy
     /* 1733555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733589 */     // GIR_Coverage, 10865,
     /* 1733589 */     GIR_EraseRootFromParent_Done,
     /* 1733590 */   // Label 23642: @1733590
     /* 1733590 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1733676), // Rule ID 10866 //
     /* 1733595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733641 */     // MIs[0] policy
     /* 1733641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733675 */     // GIR_Coverage, 10866,
     /* 1733675 */     GIR_EraseRootFromParent_Done,
     /* 1733676 */   // Label 23643: @1733676
     /* 1733676 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1733762), // Rule ID 10869 //
     /* 1733681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1733701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733727 */     // MIs[0] policy
     /* 1733727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733761 */     // GIR_Coverage, 10869,
     /* 1733761 */     GIR_EraseRootFromParent_Done,
     /* 1733762 */   // Label 23644: @1733762
     /* 1733762 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1733848), // Rule ID 10870 //
     /* 1733767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1733787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733813 */     // MIs[0] policy
     /* 1733813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733847 */     // GIR_Coverage, 10870,
     /* 1733847 */     GIR_EraseRootFromParent_Done,
     /* 1733848 */   // Label 23645: @1733848
     /* 1733848 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1733934), // Rule ID 10873 //
     /* 1733853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1733856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1733873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733899 */     // MIs[0] policy
     /* 1733899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733933 */     // GIR_Coverage, 10873,
     /* 1733933 */     GIR_EraseRootFromParent_Done,
     /* 1733934 */   // Label 23646: @1733934
     /* 1733934 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1734020), // Rule ID 10874 //
     /* 1733939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1733959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733985 */     // MIs[0] policy
     /* 1733985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733995 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734019 */     // GIR_Coverage, 10874,
     /* 1734019 */     GIR_EraseRootFromParent_Done,
     /* 1734020 */   // Label 23647: @1734020
     /* 1734020 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1734106), // Rule ID 10877 //
     /* 1734025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734071 */     // MIs[0] policy
     /* 1734071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734081 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734105 */     // GIR_Coverage, 10877,
     /* 1734105 */     GIR_EraseRootFromParent_Done,
     /* 1734106 */   // Label 23648: @1734106
     /* 1734106 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1734192), // Rule ID 10878 //
     /* 1734111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734157 */     // MIs[0] policy
     /* 1734157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734191 */     // GIR_Coverage, 10878,
     /* 1734191 */     GIR_EraseRootFromParent_Done,
     /* 1734192 */   // Label 23649: @1734192
     /* 1734192 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1734278), // Rule ID 10881 //
     /* 1734197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734243 */     // MIs[0] policy
     /* 1734243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734277 */     // GIR_Coverage, 10881,
     /* 1734277 */     GIR_EraseRootFromParent_Done,
     /* 1734278 */   // Label 23650: @1734278
     /* 1734278 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1734364), // Rule ID 10882 //
     /* 1734283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734329 */     // MIs[0] policy
     /* 1734329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734363 */     // GIR_Coverage, 10882,
     /* 1734363 */     GIR_EraseRootFromParent_Done,
     /* 1734364 */   // Label 23651: @1734364
     /* 1734364 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1734450), // Rule ID 10885 //
     /* 1734369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734415 */     // MIs[0] policy
     /* 1734415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734425 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734449 */     // GIR_Coverage, 10885,
     /* 1734449 */     GIR_EraseRootFromParent_Done,
     /* 1734450 */   // Label 23652: @1734450
     /* 1734450 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1734536), // Rule ID 10886 //
     /* 1734455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734501 */     // MIs[0] policy
     /* 1734501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734511 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734535 */     // GIR_Coverage, 10886,
     /* 1734535 */     GIR_EraseRootFromParent_Done,
     /* 1734536 */   // Label 23653: @1734536
     /* 1734536 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1734622), // Rule ID 10889 //
     /* 1734541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734587 */     // MIs[0] policy
     /* 1734587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734621 */     // GIR_Coverage, 10889,
     /* 1734621 */     GIR_EraseRootFromParent_Done,
     /* 1734622 */   // Label 23654: @1734622
     /* 1734622 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1734708), // Rule ID 10890 //
     /* 1734627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734673 */     // MIs[0] policy
     /* 1734673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734707 */     // GIR_Coverage, 10890,
     /* 1734707 */     GIR_EraseRootFromParent_Done,
     /* 1734708 */   // Label 23655: @1734708
     /* 1734708 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1734794), // Rule ID 10893 //
     /* 1734713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1734733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734759 */     // MIs[0] policy
     /* 1734759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734793 */     // GIR_Coverage, 10893,
     /* 1734793 */     GIR_EraseRootFromParent_Done,
     /* 1734794 */   // Label 23656: @1734794
     /* 1734794 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1734880), // Rule ID 10894 //
     /* 1734799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1734819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734845 */     // MIs[0] policy
     /* 1734845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734855 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734879 */     // GIR_Coverage, 10894,
     /* 1734879 */     GIR_EraseRootFromParent_Done,
     /* 1734880 */   // Label 23657: @1734880
     /* 1734880 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1734966), // Rule ID 10897 //
     /* 1734885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734931 */     // MIs[0] policy
     /* 1734931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734965 */     // GIR_Coverage, 10897,
     /* 1734965 */     GIR_EraseRootFromParent_Done,
     /* 1734966 */   // Label 23658: @1734966
     /* 1734966 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1735052), // Rule ID 10898 //
     /* 1734971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735017 */     // MIs[0] policy
     /* 1735017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735051 */     // GIR_Coverage, 10898,
     /* 1735051 */     GIR_EraseRootFromParent_Done,
     /* 1735052 */   // Label 23659: @1735052
     /* 1735052 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1735138), // Rule ID 10901 //
     /* 1735057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735103 */     // MIs[0] policy
     /* 1735103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735137 */     // GIR_Coverage, 10901,
     /* 1735137 */     GIR_EraseRootFromParent_Done,
     /* 1735138 */   // Label 23660: @1735138
     /* 1735138 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1735224), // Rule ID 10902 //
     /* 1735143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735189 */     // MIs[0] policy
     /* 1735189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735223 */     // GIR_Coverage, 10902,
     /* 1735223 */     GIR_EraseRootFromParent_Done,
     /* 1735224 */   // Label 23661: @1735224
     /* 1735224 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1735310), // Rule ID 10905 //
     /* 1735229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735275 */     // MIs[0] policy
     /* 1735275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735309 */     // GIR_Coverage, 10905,
     /* 1735309 */     GIR_EraseRootFromParent_Done,
     /* 1735310 */   // Label 23662: @1735310
     /* 1735310 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1735396), // Rule ID 10906 //
     /* 1735315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735361 */     // MIs[0] policy
     /* 1735361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735395 */     // GIR_Coverage, 10906,
     /* 1735395 */     GIR_EraseRootFromParent_Done,
     /* 1735396 */   // Label 23663: @1735396
     /* 1735396 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1735482), // Rule ID 10909 //
     /* 1735401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735447 */     // MIs[0] policy
     /* 1735447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735457 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735481 */     // GIR_Coverage, 10909,
     /* 1735481 */     GIR_EraseRootFromParent_Done,
     /* 1735482 */   // Label 23664: @1735482
     /* 1735482 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1735568), // Rule ID 10910 //
     /* 1735487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735533 */     // MIs[0] policy
     /* 1735533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735543 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735567 */     // GIR_Coverage, 10910,
     /* 1735567 */     GIR_EraseRootFromParent_Done,
     /* 1735568 */   // Label 23665: @1735568
     /* 1735568 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1735654), // Rule ID 10913 //
     /* 1735573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735619 */     // MIs[0] policy
     /* 1735619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735653 */     // GIR_Coverage, 10913,
     /* 1735653 */     GIR_EraseRootFromParent_Done,
     /* 1735654 */   // Label 23666: @1735654
     /* 1735654 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1735740), // Rule ID 10914 //
     /* 1735659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735705 */     // MIs[0] policy
     /* 1735705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735715 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735739 */     // GIR_Coverage, 10914,
     /* 1735739 */     GIR_EraseRootFromParent_Done,
     /* 1735740 */   // Label 23667: @1735740
     /* 1735740 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1735826), // Rule ID 10917 //
     /* 1735745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1735765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735791 */     // MIs[0] policy
     /* 1735791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735801 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735825 */     // GIR_Coverage, 10917,
     /* 1735825 */     GIR_EraseRootFromParent_Done,
     /* 1735826 */   // Label 23668: @1735826
     /* 1735826 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1735912), // Rule ID 10918 //
     /* 1735831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1735851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735877 */     // MIs[0] policy
     /* 1735877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735887 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735911 */     // GIR_Coverage, 10918,
     /* 1735911 */     GIR_EraseRootFromParent_Done,
     /* 1735912 */   // Label 23669: @1735912
     /* 1735912 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1735998), // Rule ID 10921 //
     /* 1735917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1735937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735963 */     // MIs[0] policy
     /* 1735963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735973 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735997 */     // GIR_Coverage, 10921,
     /* 1735997 */     GIR_EraseRootFromParent_Done,
     /* 1735998 */   // Label 23670: @1735998
     /* 1735998 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1736084), // Rule ID 10922 //
     /* 1736003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1736023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736049 */     // MIs[0] policy
     /* 1736049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736059 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1736062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736083 */     // GIR_Coverage, 10922,
     /* 1736083 */     GIR_EraseRootFromParent_Done,
     /* 1736084 */   // Label 23671: @1736084
     /* 1736084 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1736170), // Rule ID 10925 //
     /* 1736089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736135 */     // MIs[0] policy
     /* 1736135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736145 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736169 */     // GIR_Coverage, 10925,
     /* 1736169 */     GIR_EraseRootFromParent_Done,
     /* 1736170 */   // Label 23672: @1736170
     /* 1736170 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1736256), // Rule ID 10926 //
     /* 1736175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736221 */     // MIs[0] policy
     /* 1736221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736231 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736255 */     // GIR_Coverage, 10926,
     /* 1736255 */     GIR_EraseRootFromParent_Done,
     /* 1736256 */   // Label 23673: @1736256
     /* 1736256 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1736342), // Rule ID 10929 //
     /* 1736261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736307 */     // MIs[0] policy
     /* 1736307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736341 */     // GIR_Coverage, 10929,
     /* 1736341 */     GIR_EraseRootFromParent_Done,
     /* 1736342 */   // Label 23674: @1736342
     /* 1736342 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1736428), // Rule ID 10930 //
     /* 1736347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736393 */     // MIs[0] policy
     /* 1736393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736403 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736427 */     // GIR_Coverage, 10930,
     /* 1736427 */     GIR_EraseRootFromParent_Done,
     /* 1736428 */   // Label 23675: @1736428
     /* 1736428 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1736514), // Rule ID 10933 //
     /* 1736433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736479 */     // MIs[0] policy
     /* 1736479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736489 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736513 */     // GIR_Coverage, 10933,
     /* 1736513 */     GIR_EraseRootFromParent_Done,
     /* 1736514 */   // Label 23676: @1736514
     /* 1736514 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1736600), // Rule ID 10934 //
     /* 1736519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736565 */     // MIs[0] policy
     /* 1736565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736599 */     // GIR_Coverage, 10934,
     /* 1736599 */     GIR_EraseRootFromParent_Done,
     /* 1736600 */   // Label 23677: @1736600
     /* 1736600 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1736686), // Rule ID 10937 //
     /* 1736605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736651 */     // MIs[0] policy
     /* 1736651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736685 */     // GIR_Coverage, 10937,
     /* 1736685 */     GIR_EraseRootFromParent_Done,
     /* 1736686 */   // Label 23678: @1736686
     /* 1736686 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1736772), // Rule ID 10938 //
     /* 1736691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736737 */     // MIs[0] policy
     /* 1736737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736771 */     // GIR_Coverage, 10938,
     /* 1736771 */     GIR_EraseRootFromParent_Done,
     /* 1736772 */   // Label 23679: @1736772
     /* 1736772 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1736858), // Rule ID 10941 //
     /* 1736777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736823 */     // MIs[0] policy
     /* 1736823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736857 */     // GIR_Coverage, 10941,
     /* 1736857 */     GIR_EraseRootFromParent_Done,
     /* 1736858 */   // Label 23680: @1736858
     /* 1736858 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1736944), // Rule ID 10942 //
     /* 1736863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736909 */     // MIs[0] policy
     /* 1736909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736919 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736943 */     // GIR_Coverage, 10942,
     /* 1736943 */     GIR_EraseRootFromParent_Done,
     /* 1736944 */   // Label 23681: @1736944
     /* 1736944 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1737030), // Rule ID 10945 //
     /* 1736949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736995 */     // MIs[0] policy
     /* 1736995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737005 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737029 */     // GIR_Coverage, 10945,
     /* 1737029 */     GIR_EraseRootFromParent_Done,
     /* 1737030 */   // Label 23682: @1737030
     /* 1737030 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1737116), // Rule ID 10946 //
     /* 1737035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737081 */     // MIs[0] policy
     /* 1737081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737115 */     // GIR_Coverage, 10946,
     /* 1737115 */     GIR_EraseRootFromParent_Done,
     /* 1737116 */   // Label 23683: @1737116
     /* 1737116 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1737202), // Rule ID 10949 //
     /* 1737121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737167 */     // MIs[0] policy
     /* 1737167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737201 */     // GIR_Coverage, 10949,
     /* 1737201 */     GIR_EraseRootFromParent_Done,
     /* 1737202 */   // Label 23684: @1737202
     /* 1737202 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1737288), // Rule ID 10950 //
     /* 1737207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737253 */     // MIs[0] policy
     /* 1737253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737263 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737287 */     // GIR_Coverage, 10950,
     /* 1737287 */     GIR_EraseRootFromParent_Done,
     /* 1737288 */   // Label 23685: @1737288
     /* 1737288 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1737374), // Rule ID 10953 //
     /* 1737293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737339 */     // MIs[0] policy
     /* 1737339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737349 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737373 */     // GIR_Coverage, 10953,
     /* 1737373 */     GIR_EraseRootFromParent_Done,
     /* 1737374 */   // Label 23686: @1737374
     /* 1737374 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1737460), // Rule ID 10954 //
     /* 1737379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737425 */     // MIs[0] policy
     /* 1737425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737459 */     // GIR_Coverage, 10954,
     /* 1737459 */     GIR_EraseRootFromParent_Done,
     /* 1737460 */   // Label 23687: @1737460
     /* 1737460 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1737546), // Rule ID 10957 //
     /* 1737465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737511 */     // MIs[0] policy
     /* 1737511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737521 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737545 */     // GIR_Coverage, 10957,
     /* 1737545 */     GIR_EraseRootFromParent_Done,
     /* 1737546 */   // Label 23688: @1737546
     /* 1737546 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1737632), // Rule ID 10958 //
     /* 1737551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737597 */     // MIs[0] policy
     /* 1737597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737631 */     // GIR_Coverage, 10958,
     /* 1737631 */     GIR_EraseRootFromParent_Done,
     /* 1737632 */   // Label 23689: @1737632
     /* 1737632 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1737718), // Rule ID 10961 //
     /* 1737637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1737640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737683 */     // MIs[0] policy
     /* 1737683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737693 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737717 */     // GIR_Coverage, 10961,
     /* 1737717 */     GIR_EraseRootFromParent_Done,
     /* 1737718 */   // Label 23690: @1737718
     /* 1737718 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1737804), // Rule ID 10962 //
     /* 1737723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1737726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737769 */     // MIs[0] policy
     /* 1737769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737803 */     // GIR_Coverage, 10962,
     /* 1737803 */     GIR_EraseRootFromParent_Done,
     /* 1737804 */   // Label 23691: @1737804
     /* 1737804 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1737890), // Rule ID 10965 //
     /* 1737809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737855 */     // MIs[0] policy
     /* 1737855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737865 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737889 */     // GIR_Coverage, 10965,
     /* 1737889 */     GIR_EraseRootFromParent_Done,
     /* 1737890 */   // Label 23692: @1737890
     /* 1737890 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1737976), // Rule ID 10966 //
     /* 1737895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737941 */     // MIs[0] policy
     /* 1737941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737975 */     // GIR_Coverage, 10966,
     /* 1737975 */     GIR_EraseRootFromParent_Done,
     /* 1737976 */   // Label 23693: @1737976
     /* 1737976 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1738062), // Rule ID 10969 //
     /* 1737981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738027 */     // MIs[0] policy
     /* 1738027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738037 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738061 */     // GIR_Coverage, 10969,
     /* 1738061 */     GIR_EraseRootFromParent_Done,
     /* 1738062 */   // Label 23694: @1738062
     /* 1738062 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1738148), // Rule ID 10970 //
     /* 1738067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738113 */     // MIs[0] policy
     /* 1738113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738123 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738147 */     // GIR_Coverage, 10970,
     /* 1738147 */     GIR_EraseRootFromParent_Done,
     /* 1738148 */   // Label 23695: @1738148
     /* 1738148 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1738234), // Rule ID 10973 //
     /* 1738153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738199 */     // MIs[0] policy
     /* 1738199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738209 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738233 */     // GIR_Coverage, 10973,
     /* 1738233 */     GIR_EraseRootFromParent_Done,
     /* 1738234 */   // Label 23696: @1738234
     /* 1738234 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1738320), // Rule ID 10974 //
     /* 1738239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738285 */     // MIs[0] policy
     /* 1738285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738295 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738319 */     // GIR_Coverage, 10974,
     /* 1738319 */     GIR_EraseRootFromParent_Done,
     /* 1738320 */   // Label 23697: @1738320
     /* 1738320 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1738406), // Rule ID 10977 //
     /* 1738325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738371 */     // MIs[0] policy
     /* 1738371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738381 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738405 */     // GIR_Coverage, 10977,
     /* 1738405 */     GIR_EraseRootFromParent_Done,
     /* 1738406 */   // Label 23698: @1738406
     /* 1738406 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1738492), // Rule ID 10978 //
     /* 1738411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738457 */     // MIs[0] policy
     /* 1738457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738491 */     // GIR_Coverage, 10978,
     /* 1738491 */     GIR_EraseRootFromParent_Done,
     /* 1738492 */   // Label 23699: @1738492
     /* 1738492 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1738578), // Rule ID 10981 //
     /* 1738497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738543 */     // MIs[0] policy
     /* 1738543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738553 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738577 */     // GIR_Coverage, 10981,
     /* 1738577 */     GIR_EraseRootFromParent_Done,
     /* 1738578 */   // Label 23700: @1738578
     /* 1738578 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1738664), // Rule ID 10982 //
     /* 1738583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738629 */     // MIs[0] policy
     /* 1738629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738639 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738663 */     // GIR_Coverage, 10982,
     /* 1738663 */     GIR_EraseRootFromParent_Done,
     /* 1738664 */   // Label 23701: @1738664
     /* 1738664 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1738750), // Rule ID 10985 //
     /* 1738669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738715 */     // MIs[0] policy
     /* 1738715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738749 */     // GIR_Coverage, 10985,
     /* 1738749 */     GIR_EraseRootFromParent_Done,
     /* 1738750 */   // Label 23702: @1738750
     /* 1738750 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1738836), // Rule ID 10986 //
     /* 1738755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738801 */     // MIs[0] policy
     /* 1738801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738835 */     // GIR_Coverage, 10986,
     /* 1738835 */     GIR_EraseRootFromParent_Done,
     /* 1738836 */   // Label 23703: @1738836
     /* 1738836 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1738922), // Rule ID 10989 //
     /* 1738841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738887 */     // MIs[0] policy
     /* 1738887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738921 */     // GIR_Coverage, 10989,
     /* 1738921 */     GIR_EraseRootFromParent_Done,
     /* 1738922 */   // Label 23704: @1738922
     /* 1738922 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1739008), // Rule ID 10990 //
     /* 1738927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738973 */     // MIs[0] policy
     /* 1738973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739007 */     // GIR_Coverage, 10990,
     /* 1739007 */     GIR_EraseRootFromParent_Done,
     /* 1739008 */   // Label 23705: @1739008
     /* 1739008 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1739094), // Rule ID 10993 //
     /* 1739013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739059 */     // MIs[0] policy
     /* 1739059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739093 */     // GIR_Coverage, 10993,
     /* 1739093 */     GIR_EraseRootFromParent_Done,
     /* 1739094 */   // Label 23706: @1739094
     /* 1739094 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1739180), // Rule ID 10994 //
     /* 1739099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739145 */     // MIs[0] policy
     /* 1739145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739155 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739179 */     // GIR_Coverage, 10994,
     /* 1739179 */     GIR_EraseRootFromParent_Done,
     /* 1739180 */   // Label 23707: @1739180
     /* 1739180 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1739266), // Rule ID 10997 //
     /* 1739185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739231 */     // MIs[0] policy
     /* 1739231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739265 */     // GIR_Coverage, 10997,
     /* 1739265 */     GIR_EraseRootFromParent_Done,
     /* 1739266 */   // Label 23708: @1739266
     /* 1739266 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1739352), // Rule ID 10998 //
     /* 1739271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739317 */     // MIs[0] policy
     /* 1739317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739351 */     // GIR_Coverage, 10998,
     /* 1739351 */     GIR_EraseRootFromParent_Done,
     /* 1739352 */   // Label 23709: @1739352
     /* 1739352 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1739438), // Rule ID 11001 //
     /* 1739357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739403 */     // MIs[0] policy
     /* 1739403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739437 */     // GIR_Coverage, 11001,
     /* 1739437 */     GIR_EraseRootFromParent_Done,
     /* 1739438 */   // Label 23710: @1739438
     /* 1739438 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1739524), // Rule ID 11002 //
     /* 1739443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739489 */     // MIs[0] policy
     /* 1739489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739523 */     // GIR_Coverage, 11002,
     /* 1739523 */     GIR_EraseRootFromParent_Done,
     /* 1739524 */   // Label 23711: @1739524
     /* 1739524 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1739610), // Rule ID 11005 //
     /* 1739529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739575 */     // MIs[0] policy
     /* 1739575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739585 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739609 */     // GIR_Coverage, 11005,
     /* 1739609 */     GIR_EraseRootFromParent_Done,
     /* 1739610 */   // Label 23712: @1739610
     /* 1739610 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1739696), // Rule ID 11006 //
     /* 1739615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739661 */     // MIs[0] policy
     /* 1739661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739695 */     // GIR_Coverage, 11006,
     /* 1739695 */     GIR_EraseRootFromParent_Done,
     /* 1739696 */   // Label 23713: @1739696
     /* 1739696 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1739782), // Rule ID 11009 //
     /* 1739701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739747 */     // MIs[0] policy
     /* 1739747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739781 */     // GIR_Coverage, 11009,
     /* 1739781 */     GIR_EraseRootFromParent_Done,
     /* 1739782 */   // Label 23714: @1739782
     /* 1739782 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1739868), // Rule ID 11010 //
     /* 1739787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739833 */     // MIs[0] policy
     /* 1739833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739867 */     // GIR_Coverage, 11010,
     /* 1739867 */     GIR_EraseRootFromParent_Done,
     /* 1739868 */   // Label 23715: @1739868
     /* 1739868 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1739954), // Rule ID 11013 //
     /* 1739873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1739893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739919 */     // MIs[0] policy
     /* 1739919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739929 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1739932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739953 */     // GIR_Coverage, 11013,
     /* 1739953 */     GIR_EraseRootFromParent_Done,
     /* 1739954 */   // Label 23716: @1739954
     /* 1739954 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1740040), // Rule ID 11014 //
     /* 1739959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1739979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740005 */     // MIs[0] policy
     /* 1740005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740015 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1740018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740039 */     // GIR_Coverage, 11014,
     /* 1740039 */     GIR_EraseRootFromParent_Done,
     /* 1740040 */   // Label 23717: @1740040
     /* 1740040 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1740126), // Rule ID 11017 //
     /* 1740045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740091 */     // MIs[0] policy
     /* 1740091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740125 */     // GIR_Coverage, 11017,
     /* 1740125 */     GIR_EraseRootFromParent_Done,
     /* 1740126 */   // Label 23718: @1740126
     /* 1740126 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1740212), // Rule ID 11018 //
     /* 1740131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740177 */     // MIs[0] policy
     /* 1740177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740211 */     // GIR_Coverage, 11018,
     /* 1740211 */     GIR_EraseRootFromParent_Done,
     /* 1740212 */   // Label 23719: @1740212
     /* 1740212 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1740298), // Rule ID 11021 //
     /* 1740217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740263 */     // MIs[0] policy
     /* 1740263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740273 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740297 */     // GIR_Coverage, 11021,
     /* 1740297 */     GIR_EraseRootFromParent_Done,
     /* 1740298 */   // Label 23720: @1740298
     /* 1740298 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1740384), // Rule ID 11022 //
     /* 1740303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740349 */     // MIs[0] policy
     /* 1740349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740383 */     // GIR_Coverage, 11022,
     /* 1740383 */     GIR_EraseRootFromParent_Done,
     /* 1740384 */   // Label 23721: @1740384
     /* 1740384 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1740470), // Rule ID 11025 //
     /* 1740389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740435 */     // MIs[0] policy
     /* 1740435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740469 */     // GIR_Coverage, 11025,
     /* 1740469 */     GIR_EraseRootFromParent_Done,
     /* 1740470 */   // Label 23722: @1740470
     /* 1740470 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1740556), // Rule ID 11026 //
     /* 1740475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740521 */     // MIs[0] policy
     /* 1740521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740555 */     // GIR_Coverage, 11026,
     /* 1740555 */     GIR_EraseRootFromParent_Done,
     /* 1740556 */   // Label 23723: @1740556
     /* 1740556 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1740642), // Rule ID 11029 //
     /* 1740561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740607 */     // MIs[0] policy
     /* 1740607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740617 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740641 */     // GIR_Coverage, 11029,
     /* 1740641 */     GIR_EraseRootFromParent_Done,
     /* 1740642 */   // Label 23724: @1740642
     /* 1740642 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1740728), // Rule ID 11030 //
     /* 1740647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740693 */     // MIs[0] policy
     /* 1740693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740703 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740727 */     // GIR_Coverage, 11030,
     /* 1740727 */     GIR_EraseRootFromParent_Done,
     /* 1740728 */   // Label 23725: @1740728
     /* 1740728 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1740814), // Rule ID 11033 //
     /* 1740733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1740753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740779 */     // MIs[0] policy
     /* 1740779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740813 */     // GIR_Coverage, 11033,
     /* 1740813 */     GIR_EraseRootFromParent_Done,
     /* 1740814 */   // Label 23726: @1740814
     /* 1740814 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1740900), // Rule ID 11034 //
     /* 1740819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1740839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740865 */     // MIs[0] policy
     /* 1740865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740899 */     // GIR_Coverage, 11034,
     /* 1740899 */     GIR_EraseRootFromParent_Done,
     /* 1740900 */   // Label 23727: @1740900
     /* 1740900 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1740986), // Rule ID 11037 //
     /* 1740905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1740925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740951 */     // MIs[0] policy
     /* 1740951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740961 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1740964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740985 */     // GIR_Coverage, 11037,
     /* 1740985 */     GIR_EraseRootFromParent_Done,
     /* 1740986 */   // Label 23728: @1740986
     /* 1740986 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1741072), // Rule ID 11038 //
     /* 1740991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741037 */     // MIs[0] policy
     /* 1741037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741071 */     // GIR_Coverage, 11038,
     /* 1741071 */     GIR_EraseRootFromParent_Done,
     /* 1741072 */   // Label 23729: @1741072
     /* 1741072 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1741158), // Rule ID 11041 //
     /* 1741077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741123 */     // MIs[0] policy
     /* 1741123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741157 */     // GIR_Coverage, 11041,
     /* 1741157 */     GIR_EraseRootFromParent_Done,
     /* 1741158 */   // Label 23730: @1741158
     /* 1741158 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1741244), // Rule ID 11042 //
     /* 1741163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741209 */     // MIs[0] policy
     /* 1741209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741243 */     // GIR_Coverage, 11042,
     /* 1741243 */     GIR_EraseRootFromParent_Done,
     /* 1741244 */   // Label 23731: @1741244
     /* 1741244 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1741330), // Rule ID 11045 //
     /* 1741249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741295 */     // MIs[0] policy
     /* 1741295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741329 */     // GIR_Coverage, 11045,
     /* 1741329 */     GIR_EraseRootFromParent_Done,
     /* 1741330 */   // Label 23732: @1741330
     /* 1741330 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1741416), // Rule ID 11046 //
     /* 1741335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741381 */     // MIs[0] policy
     /* 1741381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741391 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741415 */     // GIR_Coverage, 11046,
     /* 1741415 */     GIR_EraseRootFromParent_Done,
     /* 1741416 */   // Label 23733: @1741416
     /* 1741416 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1741502), // Rule ID 11049 //
     /* 1741421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741467 */     // MIs[0] policy
     /* 1741467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741501 */     // GIR_Coverage, 11049,
     /* 1741501 */     GIR_EraseRootFromParent_Done,
     /* 1741502 */   // Label 23734: @1741502
     /* 1741502 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1741588), // Rule ID 11050 //
     /* 1741507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741553 */     // MIs[0] policy
     /* 1741553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741563 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741587 */     // GIR_Coverage, 11050,
     /* 1741587 */     GIR_EraseRootFromParent_Done,
     /* 1741588 */   // Label 23735: @1741588
     /* 1741588 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1741674), // Rule ID 11053 //
     /* 1741593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741639 */     // MIs[0] policy
     /* 1741639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741649 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1741652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741673 */     // GIR_Coverage, 11053,
     /* 1741673 */     GIR_EraseRootFromParent_Done,
     /* 1741674 */   // Label 23736: @1741674
     /* 1741674 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1741760), // Rule ID 11054 //
     /* 1741679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741725 */     // MIs[0] policy
     /* 1741725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741735 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1741738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741759 */     // GIR_Coverage, 11054,
     /* 1741759 */     GIR_EraseRootFromParent_Done,
     /* 1741760 */   // Label 23737: @1741760
     /* 1741760 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1741846), // Rule ID 11057 //
     /* 1741765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741811 */     // MIs[0] policy
     /* 1741811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741821 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741845 */     // GIR_Coverage, 11057,
     /* 1741845 */     GIR_EraseRootFromParent_Done,
     /* 1741846 */   // Label 23738: @1741846
     /* 1741846 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1741932), // Rule ID 11058 //
     /* 1741851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741897 */     // MIs[0] policy
     /* 1741897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741907 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741931 */     // GIR_Coverage, 11058,
     /* 1741931 */     GIR_EraseRootFromParent_Done,
     /* 1741932 */   // Label 23739: @1741932
     /* 1741932 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1742018), // Rule ID 11061 //
     /* 1741937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1741954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1741957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741983 */     // MIs[0] policy
     /* 1741983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741993 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742017 */     // GIR_Coverage, 11061,
     /* 1742017 */     GIR_EraseRootFromParent_Done,
     /* 1742018 */   // Label 23740: @1742018
     /* 1742018 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1742104), // Rule ID 11062 //
     /* 1742023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742069 */     // MIs[0] policy
     /* 1742069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742079 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742103 */     // GIR_Coverage, 11062,
     /* 1742103 */     GIR_EraseRootFromParent_Done,
     /* 1742104 */   // Label 23741: @1742104
     /* 1742104 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1742190), // Rule ID 11065 //
     /* 1742109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742155 */     // MIs[0] policy
     /* 1742155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742189 */     // GIR_Coverage, 11065,
     /* 1742189 */     GIR_EraseRootFromParent_Done,
     /* 1742190 */   // Label 23742: @1742190
     /* 1742190 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1742276), // Rule ID 11066 //
     /* 1742195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742241 */     // MIs[0] policy
     /* 1742241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742275 */     // GIR_Coverage, 11066,
     /* 1742275 */     GIR_EraseRootFromParent_Done,
     /* 1742276 */   // Label 23743: @1742276
     /* 1742276 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1742362), // Rule ID 11069 //
     /* 1742281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742327 */     // MIs[0] policy
     /* 1742327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742337 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742361 */     // GIR_Coverage, 11069,
     /* 1742361 */     GIR_EraseRootFromParent_Done,
     /* 1742362 */   // Label 23744: @1742362
     /* 1742362 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1742448), // Rule ID 11070 //
     /* 1742367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742413 */     // MIs[0] policy
     /* 1742413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742423 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742447 */     // GIR_Coverage, 11070,
     /* 1742447 */     GIR_EraseRootFromParent_Done,
     /* 1742448 */   // Label 23745: @1742448
     /* 1742448 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1742534), // Rule ID 11073 //
     /* 1742453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742499 */     // MIs[0] policy
     /* 1742499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742533 */     // GIR_Coverage, 11073,
     /* 1742533 */     GIR_EraseRootFromParent_Done,
     /* 1742534 */   // Label 23746: @1742534
     /* 1742534 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1742620), // Rule ID 11074 //
     /* 1742539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742585 */     // MIs[0] policy
     /* 1742585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742619 */     // GIR_Coverage, 11074,
     /* 1742619 */     GIR_EraseRootFromParent_Done,
     /* 1742620 */   // Label 23747: @1742620
     /* 1742620 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1742706), // Rule ID 11077 //
     /* 1742625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742671 */     // MIs[0] policy
     /* 1742671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742705 */     // GIR_Coverage, 11077,
     /* 1742705 */     GIR_EraseRootFromParent_Done,
     /* 1742706 */   // Label 23748: @1742706
     /* 1742706 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1742792), // Rule ID 11078 //
     /* 1742711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742757 */     // MIs[0] policy
     /* 1742757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742791 */     // GIR_Coverage, 11078,
     /* 1742791 */     GIR_EraseRootFromParent_Done,
     /* 1742792 */   // Label 23749: @1742792
     /* 1742792 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1742878), // Rule ID 11081 //
     /* 1742797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742843 */     // MIs[0] policy
     /* 1742843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742877 */     // GIR_Coverage, 11081,
     /* 1742877 */     GIR_EraseRootFromParent_Done,
     /* 1742878 */   // Label 23750: @1742878
     /* 1742878 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1742964), // Rule ID 11082 //
     /* 1742883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742929 */     // MIs[0] policy
     /* 1742929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742939 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742963 */     // GIR_Coverage, 11082,
     /* 1742963 */     GIR_EraseRootFromParent_Done,
     /* 1742964 */   // Label 23751: @1742964
     /* 1742964 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1743050), // Rule ID 11085 //
     /* 1742969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1742980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1742983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1742986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743015 */     // MIs[0] policy
     /* 1743015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743025 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1743028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743049 */     // GIR_Coverage, 11085,
     /* 1743049 */     GIR_EraseRootFromParent_Done,
     /* 1743050 */   // Label 23752: @1743050
     /* 1743050 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1743136), // Rule ID 11086 //
     /* 1743055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743101 */     // MIs[0] policy
     /* 1743101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1743114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743135 */     // GIR_Coverage, 11086,
     /* 1743135 */     GIR_EraseRootFromParent_Done,
     /* 1743136 */   // Label 23753: @1743136
     /* 1743136 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1743222), // Rule ID 11089 //
     /* 1743141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743187 */     // MIs[0] policy
     /* 1743187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743221 */     // GIR_Coverage, 11089,
     /* 1743221 */     GIR_EraseRootFromParent_Done,
     /* 1743222 */   // Label 23754: @1743222
     /* 1743222 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1743308), // Rule ID 11090 //
     /* 1743227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743273 */     // MIs[0] policy
     /* 1743273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743283 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743307 */     // GIR_Coverage, 11090,
     /* 1743307 */     GIR_EraseRootFromParent_Done,
     /* 1743308 */   // Label 23755: @1743308
     /* 1743308 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1743394), // Rule ID 11093 //
     /* 1743313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743359 */     // MIs[0] policy
     /* 1743359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743369 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743393 */     // GIR_Coverage, 11093,
     /* 1743393 */     GIR_EraseRootFromParent_Done,
     /* 1743394 */   // Label 23756: @1743394
     /* 1743394 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1743480), // Rule ID 11094 //
     /* 1743399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743445 */     // MIs[0] policy
     /* 1743445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743455 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743479 */     // GIR_Coverage, 11094,
     /* 1743479 */     GIR_EraseRootFromParent_Done,
     /* 1743480 */   // Label 23757: @1743480
     /* 1743480 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1743566), // Rule ID 11097 //
     /* 1743485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743531 */     // MIs[0] policy
     /* 1743531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743565 */     // GIR_Coverage, 11097,
     /* 1743565 */     GIR_EraseRootFromParent_Done,
     /* 1743566 */   // Label 23758: @1743566
     /* 1743566 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1743652), // Rule ID 11098 //
     /* 1743571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743617 */     // MIs[0] policy
     /* 1743617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743651 */     // GIR_Coverage, 11098,
     /* 1743651 */     GIR_EraseRootFromParent_Done,
     /* 1743652 */   // Label 23759: @1743652
     /* 1743652 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1743738), // Rule ID 11101 //
     /* 1743657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743703 */     // MIs[0] policy
     /* 1743703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743737 */     // GIR_Coverage, 11101,
     /* 1743737 */     GIR_EraseRootFromParent_Done,
     /* 1743738 */   // Label 23760: @1743738
     /* 1743738 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1743824), // Rule ID 11102 //
     /* 1743743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743789 */     // MIs[0] policy
     /* 1743789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743823 */     // GIR_Coverage, 11102,
     /* 1743823 */     GIR_EraseRootFromParent_Done,
     /* 1743824 */   // Label 23761: @1743824
     /* 1743824 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1743910), // Rule ID 11105 //
     /* 1743829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1743840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1743843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1743846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743875 */     // MIs[0] policy
     /* 1743875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743909 */     // GIR_Coverage, 11105,
     /* 1743909 */     GIR_EraseRootFromParent_Done,
     /* 1743910 */   // Label 23762: @1743910
     /* 1743910 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1743996), // Rule ID 11106 //
     /* 1743915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1743926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1743929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1743932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743961 */     // MIs[0] policy
     /* 1743961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743995 */     // GIR_Coverage, 11106,
     /* 1743995 */     GIR_EraseRootFromParent_Done,
     /* 1743996 */   // Label 23763: @1743996
     /* 1743996 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1744082), // Rule ID 11109 //
     /* 1744001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744047 */     // MIs[0] policy
     /* 1744047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744081 */     // GIR_Coverage, 11109,
     /* 1744081 */     GIR_EraseRootFromParent_Done,
     /* 1744082 */   // Label 23764: @1744082
     /* 1744082 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1744168), // Rule ID 11110 //
     /* 1744087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744133 */     // MIs[0] policy
     /* 1744133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744167 */     // GIR_Coverage, 11110,
     /* 1744167 */     GIR_EraseRootFromParent_Done,
     /* 1744168 */   // Label 23765: @1744168
     /* 1744168 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1744254), // Rule ID 11113 //
     /* 1744173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744219 */     // MIs[0] policy
     /* 1744219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744229 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744253 */     // GIR_Coverage, 11113,
     /* 1744253 */     GIR_EraseRootFromParent_Done,
     /* 1744254 */   // Label 23766: @1744254
     /* 1744254 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1744340), // Rule ID 11114 //
     /* 1744259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744305 */     // MIs[0] policy
     /* 1744305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744339 */     // GIR_Coverage, 11114,
     /* 1744339 */     GIR_EraseRootFromParent_Done,
     /* 1744340 */   // Label 23767: @1744340
     /* 1744340 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1744426), // Rule ID 11117 //
     /* 1744345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744391 */     // MIs[0] policy
     /* 1744391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744401 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744425 */     // GIR_Coverage, 11117,
     /* 1744425 */     GIR_EraseRootFromParent_Done,
     /* 1744426 */   // Label 23768: @1744426
     /* 1744426 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1744512), // Rule ID 11118 //
     /* 1744431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744477 */     // MIs[0] policy
     /* 1744477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744511 */     // GIR_Coverage, 11118,
     /* 1744511 */     GIR_EraseRootFromParent_Done,
     /* 1744512 */   // Label 23769: @1744512
     /* 1744512 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1744598), // Rule ID 11121 //
     /* 1744517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744563 */     // MIs[0] policy
     /* 1744563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744573 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744597 */     // GIR_Coverage, 11121,
     /* 1744597 */     GIR_EraseRootFromParent_Done,
     /* 1744598 */   // Label 23770: @1744598
     /* 1744598 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1744684), // Rule ID 11122 //
     /* 1744603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744649 */     // MIs[0] policy
     /* 1744649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744683 */     // GIR_Coverage, 11122,
     /* 1744683 */     GIR_EraseRootFromParent_Done,
     /* 1744684 */   // Label 23771: @1744684
     /* 1744684 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1744770), // Rule ID 11125 //
     /* 1744689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1744700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1744703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1744706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744735 */     // MIs[0] policy
     /* 1744735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744745 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744769 */     // GIR_Coverage, 11125,
     /* 1744769 */     GIR_EraseRootFromParent_Done,
     /* 1744770 */   // Label 23772: @1744770
     /* 1744770 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1744856), // Rule ID 11126 //
     /* 1744775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1744786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1744789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1744792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744821 */     // MIs[0] policy
     /* 1744821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744831 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744855 */     // GIR_Coverage, 11126,
     /* 1744855 */     GIR_EraseRootFromParent_Done,
     /* 1744856 */   // Label 23773: @1744856
     /* 1744856 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1744942), // Rule ID 11129 //
     /* 1744861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1744872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1744875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1744878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1744884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744907 */     // MIs[0] policy
     /* 1744907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744917 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1744920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744941 */     // GIR_Coverage, 11129,
     /* 1744941 */     GIR_EraseRootFromParent_Done,
     /* 1744942 */   // Label 23774: @1744942
     /* 1744942 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1745028), // Rule ID 11130 //
     /* 1744947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1744958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1744961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1744964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1744970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744993 */     // MIs[0] policy
     /* 1744993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745003 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745027 */     // GIR_Coverage, 11130,
     /* 1745027 */     GIR_EraseRootFromParent_Done,
     /* 1745028 */   // Label 23775: @1745028
     /* 1745028 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1745114), // Rule ID 11133 //
     /* 1745033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745079 */     // MIs[0] policy
     /* 1745079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745113 */     // GIR_Coverage, 11133,
     /* 1745113 */     GIR_EraseRootFromParent_Done,
     /* 1745114 */   // Label 23776: @1745114
     /* 1745114 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1745200), // Rule ID 11134 //
     /* 1745119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745165 */     // MIs[0] policy
     /* 1745165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745175 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745199 */     // GIR_Coverage, 11134,
     /* 1745199 */     GIR_EraseRootFromParent_Done,
     /* 1745200 */   // Label 23777: @1745200
     /* 1745200 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1745286), // Rule ID 11137 //
     /* 1745205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745251 */     // MIs[0] policy
     /* 1745251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745285 */     // GIR_Coverage, 11137,
     /* 1745285 */     GIR_EraseRootFromParent_Done,
     /* 1745286 */   // Label 23778: @1745286
     /* 1745286 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1745372), // Rule ID 11138 //
     /* 1745291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745337 */     // MIs[0] policy
     /* 1745337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745371 */     // GIR_Coverage, 11138,
     /* 1745371 */     GIR_EraseRootFromParent_Done,
     /* 1745372 */   // Label 23779: @1745372
     /* 1745372 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1745458), // Rule ID 11141 //
     /* 1745377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745423 */     // MIs[0] policy
     /* 1745423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745457 */     // GIR_Coverage, 11141,
     /* 1745457 */     GIR_EraseRootFromParent_Done,
     /* 1745458 */   // Label 23780: @1745458
     /* 1745458 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1745544), // Rule ID 11142 //
     /* 1745463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745509 */     // MIs[0] policy
     /* 1745509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745519 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745543 */     // GIR_Coverage, 11142,
     /* 1745543 */     GIR_EraseRootFromParent_Done,
     /* 1745544 */   // Label 23781: @1745544
     /* 1745544 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1745630), // Rule ID 11145 //
     /* 1745549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745595 */     // MIs[0] policy
     /* 1745595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745629 */     // GIR_Coverage, 11145,
     /* 1745629 */     GIR_EraseRootFromParent_Done,
     /* 1745630 */   // Label 23782: @1745630
     /* 1745630 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1745716), // Rule ID 11146 //
     /* 1745635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745681 */     // MIs[0] policy
     /* 1745681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745715 */     // GIR_Coverage, 11146,
     /* 1745715 */     GIR_EraseRootFromParent_Done,
     /* 1745716 */   // Label 23783: @1745716
     /* 1745716 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1745802), // Rule ID 11149 //
     /* 1745721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1745732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1745735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1745738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745767 */     // MIs[0] policy
     /* 1745767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745801 */     // GIR_Coverage, 11149,
     /* 1745801 */     GIR_EraseRootFromParent_Done,
     /* 1745802 */   // Label 23784: @1745802
     /* 1745802 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1745888), // Rule ID 11150 //
     /* 1745807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1745818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1745821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1745824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745853 */     // MIs[0] policy
     /* 1745853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745887 */     // GIR_Coverage, 11150,
     /* 1745887 */     GIR_EraseRootFromParent_Done,
     /* 1745888 */   // Label 23785: @1745888
     /* 1745888 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1745974), // Rule ID 11153 //
     /* 1745893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1745910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745939 */     // MIs[0] policy
     /* 1745939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745973 */     // GIR_Coverage, 11153,
     /* 1745973 */     GIR_EraseRootFromParent_Done,
     /* 1745974 */   // Label 23786: @1745974
     /* 1745974 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1746060), // Rule ID 11154 //
     /* 1745979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1745996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746025 */     // MIs[0] policy
     /* 1746025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1746038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746059 */     // GIR_Coverage, 11154,
     /* 1746059 */     GIR_EraseRootFromParent_Done,
     /* 1746060 */   // Label 23787: @1746060
     /* 1746060 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1746146), // Rule ID 11157 //
     /* 1746065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746111 */     // MIs[0] policy
     /* 1746111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746121 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746145 */     // GIR_Coverage, 11157,
     /* 1746145 */     GIR_EraseRootFromParent_Done,
     /* 1746146 */   // Label 23788: @1746146
     /* 1746146 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1746232), // Rule ID 11158 //
     /* 1746151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746197 */     // MIs[0] policy
     /* 1746197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746207 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746231 */     // GIR_Coverage, 11158,
     /* 1746231 */     GIR_EraseRootFromParent_Done,
     /* 1746232 */   // Label 23789: @1746232
     /* 1746232 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1746318), // Rule ID 11161 //
     /* 1746237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746283 */     // MIs[0] policy
     /* 1746283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746293 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746317 */     // GIR_Coverage, 11161,
     /* 1746317 */     GIR_EraseRootFromParent_Done,
     /* 1746318 */   // Label 23790: @1746318
     /* 1746318 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1746404), // Rule ID 11162 //
     /* 1746323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746369 */     // MIs[0] policy
     /* 1746369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746379 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746403 */     // GIR_Coverage, 11162,
     /* 1746403 */     GIR_EraseRootFromParent_Done,
     /* 1746404 */   // Label 23791: @1746404
     /* 1746404 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1746490), // Rule ID 11165 //
     /* 1746409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746455 */     // MIs[0] policy
     /* 1746455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746489 */     // GIR_Coverage, 11165,
     /* 1746489 */     GIR_EraseRootFromParent_Done,
     /* 1746490 */   // Label 23792: @1746490
     /* 1746490 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1746576), // Rule ID 11166 //
     /* 1746495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746541 */     // MIs[0] policy
     /* 1746541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746575 */     // GIR_Coverage, 11166,
     /* 1746575 */     GIR_EraseRootFromParent_Done,
     /* 1746576 */   // Label 23793: @1746576
     /* 1746576 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1746662), // Rule ID 11169 //
     /* 1746581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746627 */     // MIs[0] policy
     /* 1746627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746637 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746661 */     // GIR_Coverage, 11169,
     /* 1746661 */     GIR_EraseRootFromParent_Done,
     /* 1746662 */   // Label 23794: @1746662
     /* 1746662 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1746748), // Rule ID 11170 //
     /* 1746667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746713 */     // MIs[0] policy
     /* 1746713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746747 */     // GIR_Coverage, 11170,
     /* 1746747 */     GIR_EraseRootFromParent_Done,
     /* 1746748 */   // Label 23795: @1746748
     /* 1746748 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1746834), // Rule ID 11173 //
     /* 1746753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1746764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1746767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1746770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1746773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746799 */     // MIs[0] policy
     /* 1746799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746809 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746833 */     // GIR_Coverage, 11173,
     /* 1746833 */     GIR_EraseRootFromParent_Done,
     /* 1746834 */   // Label 23796: @1746834
     /* 1746834 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1746920), // Rule ID 11174 //
     /* 1746839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1746850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1746853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1746856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1746859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746885 */     // MIs[0] policy
     /* 1746885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746919 */     // GIR_Coverage, 11174,
     /* 1746919 */     GIR_EraseRootFromParent_Done,
     /* 1746920 */   // Label 23797: @1746920
     /* 1746920 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1747006), // Rule ID 11177 //
     /* 1746925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1746936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1746939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1746942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1746945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746971 */     // MIs[0] policy
     /* 1746971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746981 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747005 */     // GIR_Coverage, 11177,
     /* 1747005 */     GIR_EraseRootFromParent_Done,
     /* 1747006 */   // Label 23798: @1747006
     /* 1747006 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1747092), // Rule ID 11178 //
     /* 1747011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747057 */     // MIs[0] policy
     /* 1747057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747091 */     // GIR_Coverage, 11178,
     /* 1747091 */     GIR_EraseRootFromParent_Done,
     /* 1747092 */   // Label 23799: @1747092
     /* 1747092 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1747178), // Rule ID 11181 //
     /* 1747097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747143 */     // MIs[0] policy
     /* 1747143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747177 */     // GIR_Coverage, 11181,
     /* 1747177 */     GIR_EraseRootFromParent_Done,
     /* 1747178 */   // Label 23800: @1747178
     /* 1747178 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1747264), // Rule ID 11182 //
     /* 1747183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747229 */     // MIs[0] policy
     /* 1747229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747239 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747263 */     // GIR_Coverage, 11182,
     /* 1747263 */     GIR_EraseRootFromParent_Done,
     /* 1747264 */   // Label 23801: @1747264
     /* 1747264 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1747350), // Rule ID 11185 //
     /* 1747269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747315 */     // MIs[0] policy
     /* 1747315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747325 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747349 */     // GIR_Coverage, 11185,
     /* 1747349 */     GIR_EraseRootFromParent_Done,
     /* 1747350 */   // Label 23802: @1747350
     /* 1747350 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1747436), // Rule ID 11186 //
     /* 1747355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747401 */     // MIs[0] policy
     /* 1747401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747435 */     // GIR_Coverage, 11186,
     /* 1747435 */     GIR_EraseRootFromParent_Done,
     /* 1747436 */   // Label 23803: @1747436
     /* 1747436 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1747522), // Rule ID 11189 //
     /* 1747441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747487 */     // MIs[0] policy
     /* 1747487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747521 */     // GIR_Coverage, 11189,
     /* 1747521 */     GIR_EraseRootFromParent_Done,
     /* 1747522 */   // Label 23804: @1747522
     /* 1747522 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1747608), // Rule ID 11190 //
     /* 1747527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747573 */     // MIs[0] policy
     /* 1747573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747607 */     // GIR_Coverage, 11190,
     /* 1747607 */     GIR_EraseRootFromParent_Done,
     /* 1747608 */   // Label 23805: @1747608
     /* 1747608 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1747694), // Rule ID 11193 //
     /* 1747613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1747624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1747627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1747630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1747633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747659 */     // MIs[0] policy
     /* 1747659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747669 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1747672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747693 */     // GIR_Coverage, 11193,
     /* 1747693 */     GIR_EraseRootFromParent_Done,
     /* 1747694 */   // Label 23806: @1747694
     /* 1747694 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1747780), // Rule ID 11194 //
     /* 1747699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1747710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1747713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1747716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1747719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747745 */     // MIs[0] policy
     /* 1747745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1747758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747779 */     // GIR_Coverage, 11194,
     /* 1747779 */     GIR_EraseRootFromParent_Done,
     /* 1747780 */   // Label 23807: @1747780
     /* 1747780 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1747866), // Rule ID 11197 //
     /* 1747785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1747796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1747799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1747802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1747805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747831 */     // MIs[0] policy
     /* 1747831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747841 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747865 */     // GIR_Coverage, 11197,
     /* 1747865 */     GIR_EraseRootFromParent_Done,
     /* 1747866 */   // Label 23808: @1747866
     /* 1747866 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1747952), // Rule ID 11198 //
     /* 1747871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1747882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1747885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1747888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1747891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747917 */     // MIs[0] policy
     /* 1747917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747951 */     // GIR_Coverage, 11198,
     /* 1747951 */     GIR_EraseRootFromParent_Done,
     /* 1747952 */   // Label 23809: @1747952
     /* 1747952 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1748038), // Rule ID 11201 //
     /* 1747957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1747968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1747971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1747974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1747977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1747980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748003 */     // MIs[0] policy
     /* 1748003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748013 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748037 */     // GIR_Coverage, 11201,
     /* 1748037 */     GIR_EraseRootFromParent_Done,
     /* 1748038 */   // Label 23810: @1748038
     /* 1748038 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1748124), // Rule ID 11202 //
     /* 1748043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748089 */     // MIs[0] policy
     /* 1748089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748099 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748123 */     // GIR_Coverage, 11202,
     /* 1748123 */     GIR_EraseRootFromParent_Done,
     /* 1748124 */   // Label 23811: @1748124
     /* 1748124 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1748210), // Rule ID 11205 //
     /* 1748129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748175 */     // MIs[0] policy
     /* 1748175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748185 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748209 */     // GIR_Coverage, 11205,
     /* 1748209 */     GIR_EraseRootFromParent_Done,
     /* 1748210 */   // Label 23812: @1748210
     /* 1748210 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1748296), // Rule ID 11206 //
     /* 1748215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748261 */     // MIs[0] policy
     /* 1748261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748271 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748295 */     // GIR_Coverage, 11206,
     /* 1748295 */     GIR_EraseRootFromParent_Done,
     /* 1748296 */   // Label 23813: @1748296
     /* 1748296 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1748382), // Rule ID 11209 //
     /* 1748301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748347 */     // MIs[0] policy
     /* 1748347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748357 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748381 */     // GIR_Coverage, 11209,
     /* 1748381 */     GIR_EraseRootFromParent_Done,
     /* 1748382 */   // Label 23814: @1748382
     /* 1748382 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1748468), // Rule ID 11210 //
     /* 1748387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748433 */     // MIs[0] policy
     /* 1748433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748443 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748467 */     // GIR_Coverage, 11210,
     /* 1748467 */     GIR_EraseRootFromParent_Done,
     /* 1748468 */   // Label 23815: @1748468
     /* 1748468 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1748554), // Rule ID 11213 //
     /* 1748473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748519 */     // MIs[0] policy
     /* 1748519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748529 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748553 */     // GIR_Coverage, 11213,
     /* 1748553 */     GIR_EraseRootFromParent_Done,
     /* 1748554 */   // Label 23816: @1748554
     /* 1748554 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1748640), // Rule ID 11214 //
     /* 1748559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748605 */     // MIs[0] policy
     /* 1748605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748615 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748639 */     // GIR_Coverage, 11214,
     /* 1748639 */     GIR_EraseRootFromParent_Done,
     /* 1748640 */   // Label 23817: @1748640
     /* 1748640 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1748726), // Rule ID 11217 //
     /* 1748645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1748656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1748659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748691 */     // MIs[0] policy
     /* 1748691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748725 */     // GIR_Coverage, 11217,
     /* 1748725 */     GIR_EraseRootFromParent_Done,
     /* 1748726 */   // Label 23818: @1748726
     /* 1748726 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1748812), // Rule ID 11218 //
     /* 1748731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1748742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1748745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748777 */     // MIs[0] policy
     /* 1748777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748787 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748811 */     // GIR_Coverage, 11218,
     /* 1748811 */     GIR_EraseRootFromParent_Done,
     /* 1748812 */   // Label 23819: @1748812
     /* 1748812 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1748898), // Rule ID 11221 //
     /* 1748817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1748828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1748831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748863 */     // MIs[0] policy
     /* 1748863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748897 */     // GIR_Coverage, 11221,
     /* 1748897 */     GIR_EraseRootFromParent_Done,
     /* 1748898 */   // Label 23820: @1748898
     /* 1748898 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1748984), // Rule ID 11222 //
     /* 1748903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1748914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1748917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748949 */     // MIs[0] policy
     /* 1748949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748983 */     // GIR_Coverage, 11222,
     /* 1748983 */     GIR_EraseRootFromParent_Done,
     /* 1748984 */   // Label 23821: @1748984
     /* 1748984 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1749070), // Rule ID 11225 //
     /* 1748989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749035 */     // MIs[0] policy
     /* 1749035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749069 */     // GIR_Coverage, 11225,
     /* 1749069 */     GIR_EraseRootFromParent_Done,
     /* 1749070 */   // Label 23822: @1749070
     /* 1749070 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1749156), // Rule ID 11226 //
     /* 1749075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749121 */     // MIs[0] policy
     /* 1749121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749155 */     // GIR_Coverage, 11226,
     /* 1749155 */     GIR_EraseRootFromParent_Done,
     /* 1749156 */   // Label 23823: @1749156
     /* 1749156 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1749242), // Rule ID 11229 //
     /* 1749161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749207 */     // MIs[0] policy
     /* 1749207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749217 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749241 */     // GIR_Coverage, 11229,
     /* 1749241 */     GIR_EraseRootFromParent_Done,
     /* 1749242 */   // Label 23824: @1749242
     /* 1749242 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1749328), // Rule ID 11230 //
     /* 1749247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749293 */     // MIs[0] policy
     /* 1749293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749327 */     // GIR_Coverage, 11230,
     /* 1749327 */     GIR_EraseRootFromParent_Done,
     /* 1749328 */   // Label 23825: @1749328
     /* 1749328 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1749414), // Rule ID 11233 //
     /* 1749333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749379 */     // MIs[0] policy
     /* 1749379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749389 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749413 */     // GIR_Coverage, 11233,
     /* 1749413 */     GIR_EraseRootFromParent_Done,
     /* 1749414 */   // Label 23826: @1749414
     /* 1749414 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1749500), // Rule ID 11234 //
     /* 1749419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749465 */     // MIs[0] policy
     /* 1749465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749475 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749499 */     // GIR_Coverage, 11234,
     /* 1749499 */     GIR_EraseRootFromParent_Done,
     /* 1749500 */   // Label 23827: @1749500
     /* 1749500 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1749586), // Rule ID 11237 //
     /* 1749505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749551 */     // MIs[0] policy
     /* 1749551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749561 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749585 */     // GIR_Coverage, 11237,
     /* 1749585 */     GIR_EraseRootFromParent_Done,
     /* 1749586 */   // Label 23828: @1749586
     /* 1749586 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1749672), // Rule ID 11238 //
     /* 1749591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749637 */     // MIs[0] policy
     /* 1749637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749647 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749671 */     // GIR_Coverage, 11238,
     /* 1749671 */     GIR_EraseRootFromParent_Done,
     /* 1749672 */   // Label 23829: @1749672
     /* 1749672 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1749758), // Rule ID 11241 //
     /* 1749677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1749688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1749691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1749694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749723 */     // MIs[0] policy
     /* 1749723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749757 */     // GIR_Coverage, 11241,
     /* 1749757 */     GIR_EraseRootFromParent_Done,
     /* 1749758 */   // Label 23830: @1749758
     /* 1749758 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1749844), // Rule ID 11242 //
     /* 1749763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1749774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1749777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1749780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749809 */     // MIs[0] policy
     /* 1749809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749843 */     // GIR_Coverage, 11242,
     /* 1749843 */     GIR_EraseRootFromParent_Done,
     /* 1749844 */   // Label 23831: @1749844
     /* 1749844 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1749930), // Rule ID 11245 //
     /* 1749849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1749860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1749863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1749866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749895 */     // MIs[0] policy
     /* 1749895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749929 */     // GIR_Coverage, 11245,
     /* 1749929 */     GIR_EraseRootFromParent_Done,
     /* 1749930 */   // Label 23832: @1749930
     /* 1749930 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1750016), // Rule ID 11246 //
     /* 1749935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1749946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1749949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1749952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749981 */     // MIs[0] policy
     /* 1749981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749991 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750015 */     // GIR_Coverage, 11246,
     /* 1750015 */     GIR_EraseRootFromParent_Done,
     /* 1750016 */   // Label 23833: @1750016
     /* 1750016 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1750102), // Rule ID 11249 //
     /* 1750021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750067 */     // MIs[0] policy
     /* 1750067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750101 */     // GIR_Coverage, 11249,
     /* 1750101 */     GIR_EraseRootFromParent_Done,
     /* 1750102 */   // Label 23834: @1750102
     /* 1750102 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1750188), // Rule ID 11250 //
     /* 1750107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750153 */     // MIs[0] policy
     /* 1750153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750187 */     // GIR_Coverage, 11250,
     /* 1750187 */     GIR_EraseRootFromParent_Done,
     /* 1750188 */   // Label 23835: @1750188
     /* 1750188 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1750274), // Rule ID 11253 //
     /* 1750193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750239 */     // MIs[0] policy
     /* 1750239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750273 */     // GIR_Coverage, 11253,
     /* 1750273 */     GIR_EraseRootFromParent_Done,
     /* 1750274 */   // Label 23836: @1750274
     /* 1750274 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1750360), // Rule ID 11254 //
     /* 1750279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750325 */     // MIs[0] policy
     /* 1750325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750335 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750359 */     // GIR_Coverage, 11254,
     /* 1750359 */     GIR_EraseRootFromParent_Done,
     /* 1750360 */   // Label 23837: @1750360
     /* 1750360 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1750446), // Rule ID 11257 //
     /* 1750365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750411 */     // MIs[0] policy
     /* 1750411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750445 */     // GIR_Coverage, 11257,
     /* 1750445 */     GIR_EraseRootFromParent_Done,
     /* 1750446 */   // Label 23838: @1750446
     /* 1750446 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1750532), // Rule ID 11258 //
     /* 1750451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750497 */     // MIs[0] policy
     /* 1750497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750531 */     // GIR_Coverage, 11258,
     /* 1750531 */     GIR_EraseRootFromParent_Done,
     /* 1750532 */   // Label 23839: @1750532
     /* 1750532 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1750618), // Rule ID 11261 //
     /* 1750537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750583 */     // MIs[0] policy
     /* 1750583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750617 */     // GIR_Coverage, 11261,
     /* 1750617 */     GIR_EraseRootFromParent_Done,
     /* 1750618 */   // Label 23840: @1750618
     /* 1750618 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1750704), // Rule ID 11262 //
     /* 1750623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750669 */     // MIs[0] policy
     /* 1750669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750679 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750703 */     // GIR_Coverage, 11262,
     /* 1750703 */     GIR_EraseRootFromParent_Done,
     /* 1750704 */   // Label 23841: @1750704
     /* 1750704 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1750790), // Rule ID 11265 //
     /* 1750709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1750720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1750723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1750726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750755 */     // MIs[0] policy
     /* 1750755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750789 */     // GIR_Coverage, 11265,
     /* 1750789 */     GIR_EraseRootFromParent_Done,
     /* 1750790 */   // Label 23842: @1750790
     /* 1750790 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1750876), // Rule ID 11266 //
     /* 1750795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1750806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1750809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1750812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750841 */     // MIs[0] policy
     /* 1750841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750875 */     // GIR_Coverage, 11266,
     /* 1750875 */     GIR_EraseRootFromParent_Done,
     /* 1750876 */   // Label 23843: @1750876
     /* 1750876 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1750962), // Rule ID 11269 //
     /* 1750881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1750892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1750895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1750898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750927 */     // MIs[0] policy
     /* 1750927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750937 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1750940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750961 */     // GIR_Coverage, 11269,
     /* 1750961 */     GIR_EraseRootFromParent_Done,
     /* 1750962 */   // Label 23844: @1750962
     /* 1750962 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1751048), // Rule ID 11270 //
     /* 1750967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1750978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1750981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1750984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751013 */     // MIs[0] policy
     /* 1751013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751023 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751047 */     // GIR_Coverage, 11270,
     /* 1751047 */     GIR_EraseRootFromParent_Done,
     /* 1751048 */   // Label 23845: @1751048
     /* 1751048 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1751134), // Rule ID 11273 //
     /* 1751053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751099 */     // MIs[0] policy
     /* 1751099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751109 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751133 */     // GIR_Coverage, 11273,
     /* 1751133 */     GIR_EraseRootFromParent_Done,
     /* 1751134 */   // Label 23846: @1751134
     /* 1751134 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1751220), // Rule ID 11274 //
     /* 1751139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751185 */     // MIs[0] policy
     /* 1751185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751195 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751219 */     // GIR_Coverage, 11274,
     /* 1751219 */     GIR_EraseRootFromParent_Done,
     /* 1751220 */   // Label 23847: @1751220
     /* 1751220 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1751306), // Rule ID 11277 //
     /* 1751225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751271 */     // MIs[0] policy
     /* 1751271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751305 */     // GIR_Coverage, 11277,
     /* 1751305 */     GIR_EraseRootFromParent_Done,
     /* 1751306 */   // Label 23848: @1751306
     /* 1751306 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1751392), // Rule ID 11278 //
     /* 1751311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751357 */     // MIs[0] policy
     /* 1751357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751391 */     // GIR_Coverage, 11278,
     /* 1751391 */     GIR_EraseRootFromParent_Done,
     /* 1751392 */   // Label 23849: @1751392
     /* 1751392 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1751478), // Rule ID 11281 //
     /* 1751397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751443 */     // MIs[0] policy
     /* 1751443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751453 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751477 */     // GIR_Coverage, 11281,
     /* 1751477 */     GIR_EraseRootFromParent_Done,
     /* 1751478 */   // Label 23850: @1751478
     /* 1751478 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1751564), // Rule ID 11282 //
     /* 1751483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751529 */     // MIs[0] policy
     /* 1751529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751563 */     // GIR_Coverage, 11282,
     /* 1751563 */     GIR_EraseRootFromParent_Done,
     /* 1751564 */   // Label 23851: @1751564
     /* 1751564 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1751650), // Rule ID 11285 //
     /* 1751569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751615 */     // MIs[0] policy
     /* 1751615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751625 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751649 */     // GIR_Coverage, 11285,
     /* 1751649 */     GIR_EraseRootFromParent_Done,
     /* 1751650 */   // Label 23852: @1751650
     /* 1751650 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1751736), // Rule ID 11286 //
     /* 1751655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751701 */     // MIs[0] policy
     /* 1751701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751735 */     // GIR_Coverage, 11286,
     /* 1751735 */     GIR_EraseRootFromParent_Done,
     /* 1751736 */   // Label 23853: @1751736
     /* 1751736 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1751822), // Rule ID 11289 //
     /* 1751741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1751752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1751755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1751758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751787 */     // MIs[0] policy
     /* 1751787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751821 */     // GIR_Coverage, 11289,
     /* 1751821 */     GIR_EraseRootFromParent_Done,
     /* 1751822 */   // Label 23854: @1751822
     /* 1751822 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1751908), // Rule ID 11290 //
     /* 1751827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1751838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1751841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1751844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751873 */     // MIs[0] policy
     /* 1751873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751907 */     // GIR_Coverage, 11290,
     /* 1751907 */     GIR_EraseRootFromParent_Done,
     /* 1751908 */   // Label 23855: @1751908
     /* 1751908 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1751994), // Rule ID 11293 //
     /* 1751913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1751924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1751927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1751930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751959 */     // MIs[0] policy
     /* 1751959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751993 */     // GIR_Coverage, 11293,
     /* 1751993 */     GIR_EraseRootFromParent_Done,
     /* 1751994 */   // Label 23856: @1751994
     /* 1751994 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1752080), // Rule ID 11294 //
     /* 1751999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752045 */     // MIs[0] policy
     /* 1752045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1752058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752079 */     // GIR_Coverage, 11294,
     /* 1752079 */     GIR_EraseRootFromParent_Done,
     /* 1752080 */   // Label 23857: @1752080
     /* 1752080 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1752166), // Rule ID 11297 //
     /* 1752085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752131 */     // MIs[0] policy
     /* 1752131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752165 */     // GIR_Coverage, 11297,
     /* 1752165 */     GIR_EraseRootFromParent_Done,
     /* 1752166 */   // Label 23858: @1752166
     /* 1752166 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1752252), // Rule ID 11298 //
     /* 1752171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752217 */     // MIs[0] policy
     /* 1752217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752251 */     // GIR_Coverage, 11298,
     /* 1752251 */     GIR_EraseRootFromParent_Done,
     /* 1752252 */   // Label 23859: @1752252
     /* 1752252 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1752338), // Rule ID 11301 //
     /* 1752257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752303 */     // MIs[0] policy
     /* 1752303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752313 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752337 */     // GIR_Coverage, 11301,
     /* 1752337 */     GIR_EraseRootFromParent_Done,
     /* 1752338 */   // Label 23860: @1752338
     /* 1752338 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1752424), // Rule ID 11302 //
     /* 1752343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752389 */     // MIs[0] policy
     /* 1752389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752399 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752423 */     // GIR_Coverage, 11302,
     /* 1752423 */     GIR_EraseRootFromParent_Done,
     /* 1752424 */   // Label 23861: @1752424
     /* 1752424 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1752510), // Rule ID 11305 //
     /* 1752429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752475 */     // MIs[0] policy
     /* 1752475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752509 */     // GIR_Coverage, 11305,
     /* 1752509 */     GIR_EraseRootFromParent_Done,
     /* 1752510 */   // Label 23862: @1752510
     /* 1752510 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1752596), // Rule ID 11306 //
     /* 1752515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752561 */     // MIs[0] policy
     /* 1752561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752571 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752595 */     // GIR_Coverage, 11306,
     /* 1752595 */     GIR_EraseRootFromParent_Done,
     /* 1752596 */   // Label 23863: @1752596
     /* 1752596 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1752682), // Rule ID 11309 //
     /* 1752601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1752612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1752615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1752618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1752621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752647 */     // MIs[0] policy
     /* 1752647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752657 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1752660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752681 */     // GIR_Coverage, 11309,
     /* 1752681 */     GIR_EraseRootFromParent_Done,
     /* 1752682 */   // Label 23864: @1752682
     /* 1752682 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1752768), // Rule ID 11310 //
     /* 1752687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1752698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1752701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1752704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1752707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752733 */     // MIs[0] policy
     /* 1752733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752743 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1752746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752767 */     // GIR_Coverage, 11310,
     /* 1752767 */     GIR_EraseRootFromParent_Done,
     /* 1752768 */   // Label 23865: @1752768
     /* 1752768 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1752854), // Rule ID 11313 //
     /* 1752773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1752784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1752787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1752790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1752793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752819 */     // MIs[0] policy
     /* 1752819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752829 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752853 */     // GIR_Coverage, 11313,
     /* 1752853 */     GIR_EraseRootFromParent_Done,
     /* 1752854 */   // Label 23866: @1752854
     /* 1752854 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1752940), // Rule ID 11314 //
     /* 1752859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1752870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1752873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1752876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1752879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752905 */     // MIs[0] policy
     /* 1752905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752915 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752939 */     // GIR_Coverage, 11314,
     /* 1752939 */     GIR_EraseRootFromParent_Done,
     /* 1752940 */   // Label 23867: @1752940
     /* 1752940 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1753026), // Rule ID 11317 //
     /* 1752945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1752956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1752959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1752962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1752965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752991 */     // MIs[0] policy
     /* 1752991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753001 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753025 */     // GIR_Coverage, 11317,
     /* 1753025 */     GIR_EraseRootFromParent_Done,
     /* 1753026 */   // Label 23868: @1753026
     /* 1753026 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1753112), // Rule ID 11318 //
     /* 1753031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753077 */     // MIs[0] policy
     /* 1753077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753111 */     // GIR_Coverage, 11318,
     /* 1753111 */     GIR_EraseRootFromParent_Done,
     /* 1753112 */   // Label 23869: @1753112
     /* 1753112 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1753198), // Rule ID 11321 //
     /* 1753117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753163 */     // MIs[0] policy
     /* 1753163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753173 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753197 */     // GIR_Coverage, 11321,
     /* 1753197 */     GIR_EraseRootFromParent_Done,
     /* 1753198 */   // Label 23870: @1753198
     /* 1753198 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1753284), // Rule ID 11322 //
     /* 1753203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753249 */     // MIs[0] policy
     /* 1753249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753283 */     // GIR_Coverage, 11322,
     /* 1753283 */     GIR_EraseRootFromParent_Done,
     /* 1753284 */   // Label 23871: @1753284
     /* 1753284 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1753370), // Rule ID 11325 //
     /* 1753289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753335 */     // MIs[0] policy
     /* 1753335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753345 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753369 */     // GIR_Coverage, 11325,
     /* 1753369 */     GIR_EraseRootFromParent_Done,
     /* 1753370 */   // Label 23872: @1753370
     /* 1753370 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1753456), // Rule ID 11326 //
     /* 1753375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753421 */     // MIs[0] policy
     /* 1753421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753431 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753455 */     // GIR_Coverage, 11326,
     /* 1753455 */     GIR_EraseRootFromParent_Done,
     /* 1753456 */   // Label 23873: @1753456
     /* 1753456 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1753542), // Rule ID 11329 //
     /* 1753461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753507 */     // MIs[0] policy
     /* 1753507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753541 */     // GIR_Coverage, 11329,
     /* 1753541 */     GIR_EraseRootFromParent_Done,
     /* 1753542 */   // Label 23874: @1753542
     /* 1753542 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1753628), // Rule ID 11330 //
     /* 1753547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753593 */     // MIs[0] policy
     /* 1753593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753627 */     // GIR_Coverage, 11330,
     /* 1753627 */     GIR_EraseRootFromParent_Done,
     /* 1753628 */   // Label 23875: @1753628
     /* 1753628 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1753714), // Rule ID 11333 //
     /* 1753633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1753644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1753647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1753650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1753653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753679 */     // MIs[0] policy
     /* 1753679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753713 */     // GIR_Coverage, 11333,
     /* 1753713 */     GIR_EraseRootFromParent_Done,
     /* 1753714 */   // Label 23876: @1753714
     /* 1753714 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1753800), // Rule ID 11334 //
     /* 1753719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1753730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1753733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1753736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1753739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753765 */     // MIs[0] policy
     /* 1753765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753799 */     // GIR_Coverage, 11334,
     /* 1753799 */     GIR_EraseRootFromParent_Done,
     /* 1753800 */   // Label 23877: @1753800
     /* 1753800 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1753886), // Rule ID 11337 //
     /* 1753805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1753816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1753819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1753822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1753825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753851 */     // MIs[0] policy
     /* 1753851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753885 */     // GIR_Coverage, 11337,
     /* 1753885 */     GIR_EraseRootFromParent_Done,
     /* 1753886 */   // Label 23878: @1753886
     /* 1753886 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1753972), // Rule ID 11338 //
     /* 1753891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1753902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1753905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1753908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1753911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753937 */     // MIs[0] policy
     /* 1753937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753971 */     // GIR_Coverage, 11338,
     /* 1753971 */     GIR_EraseRootFromParent_Done,
     /* 1753972 */   // Label 23879: @1753972
     /* 1753972 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1754058), // Rule ID 11341 //
     /* 1753977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1753988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1753991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1753994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1753997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754023 */     // MIs[0] policy
     /* 1754023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754057 */     // GIR_Coverage, 11341,
     /* 1754057 */     GIR_EraseRootFromParent_Done,
     /* 1754058 */   // Label 23880: @1754058
     /* 1754058 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1754144), // Rule ID 11342 //
     /* 1754063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754109 */     // MIs[0] policy
     /* 1754109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754119 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754143 */     // GIR_Coverage, 11342,
     /* 1754143 */     GIR_EraseRootFromParent_Done,
     /* 1754144 */   // Label 23881: @1754144
     /* 1754144 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1754230), // Rule ID 11345 //
     /* 1754149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754195 */     // MIs[0] policy
     /* 1754195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754229 */     // GIR_Coverage, 11345,
     /* 1754229 */     GIR_EraseRootFromParent_Done,
     /* 1754230 */   // Label 23882: @1754230
     /* 1754230 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1754316), // Rule ID 11346 //
     /* 1754235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754281 */     // MIs[0] policy
     /* 1754281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754291 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754315 */     // GIR_Coverage, 11346,
     /* 1754315 */     GIR_EraseRootFromParent_Done,
     /* 1754316 */   // Label 23883: @1754316
     /* 1754316 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1754402), // Rule ID 11349 //
     /* 1754321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754367 */     // MIs[0] policy
     /* 1754367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754401 */     // GIR_Coverage, 11349,
     /* 1754401 */     GIR_EraseRootFromParent_Done,
     /* 1754402 */   // Label 23884: @1754402
     /* 1754402 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1754488), // Rule ID 11350 //
     /* 1754407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754453 */     // MIs[0] policy
     /* 1754453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754463 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754487 */     // GIR_Coverage, 11350,
     /* 1754487 */     GIR_EraseRootFromParent_Done,
     /* 1754488 */   // Label 23885: @1754488
     /* 1754488 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1754574), // Rule ID 11353 //
     /* 1754493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754539 */     // MIs[0] policy
     /* 1754539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754573 */     // GIR_Coverage, 11353,
     /* 1754573 */     GIR_EraseRootFromParent_Done,
     /* 1754574 */   // Label 23886: @1754574
     /* 1754574 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1754660), // Rule ID 11354 //
     /* 1754579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754625 */     // MIs[0] policy
     /* 1754625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754659 */     // GIR_Coverage, 11354,
     /* 1754659 */     GIR_EraseRootFromParent_Done,
     /* 1754660 */   // Label 23887: @1754660
     /* 1754660 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1754746), // Rule ID 11357 //
     /* 1754665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1754676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1754679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1754682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1754685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754711 */     // MIs[0] policy
     /* 1754711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754745 */     // GIR_Coverage, 11357,
     /* 1754745 */     GIR_EraseRootFromParent_Done,
     /* 1754746 */   // Label 23888: @1754746
     /* 1754746 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1754832), // Rule ID 11358 //
     /* 1754751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1754762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1754765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1754768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1754771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754797 */     // MIs[0] policy
     /* 1754797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754807 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754831 */     // GIR_Coverage, 11358,
     /* 1754831 */     GIR_EraseRootFromParent_Done,
     /* 1754832 */   // Label 23889: @1754832
     /* 1754832 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1754918), // Rule ID 11361 //
     /* 1754837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1754848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1754851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1754854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1754857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754883 */     // MIs[0] policy
     /* 1754883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754917 */     // GIR_Coverage, 11361,
     /* 1754917 */     GIR_EraseRootFromParent_Done,
     /* 1754918 */   // Label 23890: @1754918
     /* 1754918 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1755004), // Rule ID 11362 //
     /* 1754923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1754934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1754937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1754940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1754943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754969 */     // MIs[0] policy
     /* 1754969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755003 */     // GIR_Coverage, 11362,
     /* 1755003 */     GIR_EraseRootFromParent_Done,
     /* 1755004 */   // Label 23891: @1755004
     /* 1755004 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1755090), // Rule ID 11365 //
     /* 1755009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755055 */     // MIs[0] policy
     /* 1755055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755065 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755089 */     // GIR_Coverage, 11365,
     /* 1755089 */     GIR_EraseRootFromParent_Done,
     /* 1755090 */   // Label 23892: @1755090
     /* 1755090 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1755176), // Rule ID 11366 //
     /* 1755095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755141 */     // MIs[0] policy
     /* 1755141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755151 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755175 */     // GIR_Coverage, 11366,
     /* 1755175 */     GIR_EraseRootFromParent_Done,
     /* 1755176 */   // Label 23893: @1755176
     /* 1755176 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1755262), // Rule ID 11369 //
     /* 1755181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755227 */     // MIs[0] policy
     /* 1755227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755237 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755261 */     // GIR_Coverage, 11369,
     /* 1755261 */     GIR_EraseRootFromParent_Done,
     /* 1755262 */   // Label 23894: @1755262
     /* 1755262 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1755348), // Rule ID 11370 //
     /* 1755267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755313 */     // MIs[0] policy
     /* 1755313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755323 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755347 */     // GIR_Coverage, 11370,
     /* 1755347 */     GIR_EraseRootFromParent_Done,
     /* 1755348 */   // Label 23895: @1755348
     /* 1755348 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1755434), // Rule ID 11373 //
     /* 1755353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755399 */     // MIs[0] policy
     /* 1755399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755433 */     // GIR_Coverage, 11373,
     /* 1755433 */     GIR_EraseRootFromParent_Done,
     /* 1755434 */   // Label 23896: @1755434
     /* 1755434 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1755520), // Rule ID 11374 //
     /* 1755439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755485 */     // MIs[0] policy
     /* 1755485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755519 */     // GIR_Coverage, 11374,
     /* 1755519 */     GIR_EraseRootFromParent_Done,
     /* 1755520 */   // Label 23897: @1755520
     /* 1755520 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1755606), // Rule ID 11377 //
     /* 1755525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1755536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1755539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1755542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755571 */     // MIs[0] policy
     /* 1755571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755581 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755605 */     // GIR_Coverage, 11377,
     /* 1755605 */     GIR_EraseRootFromParent_Done,
     /* 1755606 */   // Label 23898: @1755606
     /* 1755606 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1755692), // Rule ID 11378 //
     /* 1755611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1755622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1755625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1755628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755657 */     // MIs[0] policy
     /* 1755657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755667 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755691 */     // GIR_Coverage, 11378,
     /* 1755691 */     GIR_EraseRootFromParent_Done,
     /* 1755692 */   // Label 23899: @1755692
     /* 1755692 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1755778), // Rule ID 11381 //
     /* 1755697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1755708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1755711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1755714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755743 */     // MIs[0] policy
     /* 1755743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755753 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1755756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755777 */     // GIR_Coverage, 11381,
     /* 1755777 */     GIR_EraseRootFromParent_Done,
     /* 1755778 */   // Label 23900: @1755778
     /* 1755778 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1755864), // Rule ID 11382 //
     /* 1755783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1755794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1755797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1755800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755829 */     // MIs[0] policy
     /* 1755829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755839 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1755842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755863 */     // GIR_Coverage, 11382,
     /* 1755863 */     GIR_EraseRootFromParent_Done,
     /* 1755864 */   // Label 23901: @1755864
     /* 1755864 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1755950), // Rule ID 11385 //
     /* 1755869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1755880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1755883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1755886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755915 */     // MIs[0] policy
     /* 1755915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755925 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755949 */     // GIR_Coverage, 11385,
     /* 1755949 */     GIR_EraseRootFromParent_Done,
     /* 1755950 */   // Label 23902: @1755950
     /* 1755950 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1756036), // Rule ID 11386 //
     /* 1755955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1755966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1755969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1755972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756001 */     // MIs[0] policy
     /* 1756001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1756014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756035 */     // GIR_Coverage, 11386,
     /* 1756035 */     GIR_EraseRootFromParent_Done,
     /* 1756036 */   // Label 23903: @1756036
     /* 1756036 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1756122), // Rule ID 11389 //
     /* 1756041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756087 */     // MIs[0] policy
     /* 1756087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756121 */     // GIR_Coverage, 11389,
     /* 1756121 */     GIR_EraseRootFromParent_Done,
     /* 1756122 */   // Label 23904: @1756122
     /* 1756122 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1756208), // Rule ID 11390 //
     /* 1756127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756173 */     // MIs[0] policy
     /* 1756173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756207 */     // GIR_Coverage, 11390,
     /* 1756207 */     GIR_EraseRootFromParent_Done,
     /* 1756208 */   // Label 23905: @1756208
     /* 1756208 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1756294), // Rule ID 11393 //
     /* 1756213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756259 */     // MIs[0] policy
     /* 1756259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756293 */     // GIR_Coverage, 11393,
     /* 1756293 */     GIR_EraseRootFromParent_Done,
     /* 1756294 */   // Label 23906: @1756294
     /* 1756294 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1756380), // Rule ID 11394 //
     /* 1756299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756345 */     // MIs[0] policy
     /* 1756345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756379 */     // GIR_Coverage, 11394,
     /* 1756379 */     GIR_EraseRootFromParent_Done,
     /* 1756380 */   // Label 23907: @1756380
     /* 1756380 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1756466), // Rule ID 11397 //
     /* 1756385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756431 */     // MIs[0] policy
     /* 1756431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756465 */     // GIR_Coverage, 11397,
     /* 1756465 */     GIR_EraseRootFromParent_Done,
     /* 1756466 */   // Label 23908: @1756466
     /* 1756466 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1756552), // Rule ID 11398 //
     /* 1756471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756517 */     // MIs[0] policy
     /* 1756517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756551 */     // GIR_Coverage, 11398,
     /* 1756551 */     GIR_EraseRootFromParent_Done,
     /* 1756552 */   // Label 23909: @1756552
     /* 1756552 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1756638), // Rule ID 11401 //
     /* 1756557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1756574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756603 */     // MIs[0] policy
     /* 1756603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756613 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756637 */     // GIR_Coverage, 11401,
     /* 1756637 */     GIR_EraseRootFromParent_Done,
     /* 1756638 */   // Label 23910: @1756638
     /* 1756638 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1756724), // Rule ID 11402 //
     /* 1756643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1756660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756689 */     // MIs[0] policy
     /* 1756689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756723 */     // GIR_Coverage, 11402,
     /* 1756723 */     GIR_EraseRootFromParent_Done,
     /* 1756724 */   // Label 23911: @1756724
     /* 1756724 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1756810), // Rule ID 11405 //
     /* 1756729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1756740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1756743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1756746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756775 */     // MIs[0] policy
     /* 1756775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756809 */     // GIR_Coverage, 11405,
     /* 1756809 */     GIR_EraseRootFromParent_Done,
     /* 1756810 */   // Label 23912: @1756810
     /* 1756810 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1756896), // Rule ID 11406 //
     /* 1756815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1756826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1756829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1756832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756861 */     // MIs[0] policy
     /* 1756861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756895 */     // GIR_Coverage, 11406,
     /* 1756895 */     GIR_EraseRootFromParent_Done,
     /* 1756896 */   // Label 23913: @1756896
     /* 1756896 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1756982), // Rule ID 11409 //
     /* 1756901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1756912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1756915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1756918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756947 */     // MIs[0] policy
     /* 1756947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756981 */     // GIR_Coverage, 11409,
     /* 1756981 */     GIR_EraseRootFromParent_Done,
     /* 1756982 */   // Label 23914: @1756982
     /* 1756982 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1757068), // Rule ID 11410 //
     /* 1756987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1756998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757033 */     // MIs[0] policy
     /* 1757033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757067 */     // GIR_Coverage, 11410,
     /* 1757067 */     GIR_EraseRootFromParent_Done,
     /* 1757068 */   // Label 23915: @1757068
     /* 1757068 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1757154), // Rule ID 11413 //
     /* 1757073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757119 */     // MIs[0] policy
     /* 1757119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757129 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757153 */     // GIR_Coverage, 11413,
     /* 1757153 */     GIR_EraseRootFromParent_Done,
     /* 1757154 */   // Label 23916: @1757154
     /* 1757154 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1757240), // Rule ID 11414 //
     /* 1757159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757205 */     // MIs[0] policy
     /* 1757205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757215 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757239 */     // GIR_Coverage, 11414,
     /* 1757239 */     GIR_EraseRootFromParent_Done,
     /* 1757240 */   // Label 23917: @1757240
     /* 1757240 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1757326), // Rule ID 11417 //
     /* 1757245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757291 */     // MIs[0] policy
     /* 1757291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757301 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757325 */     // GIR_Coverage, 11417,
     /* 1757325 */     GIR_EraseRootFromParent_Done,
     /* 1757326 */   // Label 23918: @1757326
     /* 1757326 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1757412), // Rule ID 11418 //
     /* 1757331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757377 */     // MIs[0] policy
     /* 1757377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757387 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757411 */     // GIR_Coverage, 11418,
     /* 1757411 */     GIR_EraseRootFromParent_Done,
     /* 1757412 */   // Label 23919: @1757412
     /* 1757412 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1757498), // Rule ID 11421 //
     /* 1757417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757463 */     // MIs[0] policy
     /* 1757463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757473 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757497 */     // GIR_Coverage, 11421,
     /* 1757497 */     GIR_EraseRootFromParent_Done,
     /* 1757498 */   // Label 23920: @1757498
     /* 1757498 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1757584), // Rule ID 11422 //
     /* 1757503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757549 */     // MIs[0] policy
     /* 1757549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757583 */     // GIR_Coverage, 11422,
     /* 1757583 */     GIR_EraseRootFromParent_Done,
     /* 1757584 */   // Label 23921: @1757584
     /* 1757584 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1757670), // Rule ID 11425 //
     /* 1757589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1757600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1757603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1757606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757635 */     // MIs[0] policy
     /* 1757635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757645 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757669 */     // GIR_Coverage, 11425,
     /* 1757669 */     GIR_EraseRootFromParent_Done,
     /* 1757670 */   // Label 23922: @1757670
     /* 1757670 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1757756), // Rule ID 11426 //
     /* 1757675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1757686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1757689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1757692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757721 */     // MIs[0] policy
     /* 1757721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757755 */     // GIR_Coverage, 11426,
     /* 1757755 */     GIR_EraseRootFromParent_Done,
     /* 1757756 */   // Label 23923: @1757756
     /* 1757756 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1757842), // Rule ID 11429 //
     /* 1757761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1757772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1757775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1757778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757807 */     // MIs[0] policy
     /* 1757807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757817 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757841 */     // GIR_Coverage, 11429,
     /* 1757841 */     GIR_EraseRootFromParent_Done,
     /* 1757842 */   // Label 23924: @1757842
     /* 1757842 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1757928), // Rule ID 11430 //
     /* 1757847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1757858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1757861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1757864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757893 */     // MIs[0] policy
     /* 1757893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757903 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757927 */     // GIR_Coverage, 11430,
     /* 1757927 */     GIR_EraseRootFromParent_Done,
     /* 1757928 */   // Label 23925: @1757928
     /* 1757928 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1758014), // Rule ID 11433 //
     /* 1757933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1757944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1757947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1757950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757979 */     // MIs[0] policy
     /* 1757979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758013 */     // GIR_Coverage, 11433,
     /* 1758013 */     GIR_EraseRootFromParent_Done,
     /* 1758014 */   // Label 23926: @1758014
     /* 1758014 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1758100), // Rule ID 11434 //
     /* 1758019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758065 */     // MIs[0] policy
     /* 1758065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1758078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758099 */     // GIR_Coverage, 11434,
     /* 1758099 */     GIR_EraseRootFromParent_Done,
     /* 1758100 */   // Label 23927: @1758100
     /* 1758100 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1758186), // Rule ID 11437 //
     /* 1758105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758151 */     // MIs[0] policy
     /* 1758151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758185 */     // GIR_Coverage, 11437,
     /* 1758185 */     GIR_EraseRootFromParent_Done,
     /* 1758186 */   // Label 23928: @1758186
     /* 1758186 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1758272), // Rule ID 11438 //
     /* 1758191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758237 */     // MIs[0] policy
     /* 1758237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758271 */     // GIR_Coverage, 11438,
     /* 1758271 */     GIR_EraseRootFromParent_Done,
     /* 1758272 */   // Label 23929: @1758272
     /* 1758272 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1758358), // Rule ID 11441 //
     /* 1758277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758323 */     // MIs[0] policy
     /* 1758323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758333 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758357 */     // GIR_Coverage, 11441,
     /* 1758357 */     GIR_EraseRootFromParent_Done,
     /* 1758358 */   // Label 23930: @1758358
     /* 1758358 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1758444), // Rule ID 11442 //
     /* 1758363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758409 */     // MIs[0] policy
     /* 1758409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758443 */     // GIR_Coverage, 11442,
     /* 1758443 */     GIR_EraseRootFromParent_Done,
     /* 1758444 */   // Label 23931: @1758444
     /* 1758444 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1758530), // Rule ID 11445 //
     /* 1758449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758495 */     // MIs[0] policy
     /* 1758495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758529 */     // GIR_Coverage, 11445,
     /* 1758529 */     GIR_EraseRootFromParent_Done,
     /* 1758530 */   // Label 23932: @1758530
     /* 1758530 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1758616), // Rule ID 11446 //
     /* 1758535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758581 */     // MIs[0] policy
     /* 1758581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758615 */     // GIR_Coverage, 11446,
     /* 1758615 */     GIR_EraseRootFromParent_Done,
     /* 1758616 */   // Label 23933: @1758616
     /* 1758616 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1758702), // Rule ID 11449 //
     /* 1758621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1758641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758667 */     // MIs[0] policy
     /* 1758667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758677 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1758680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758701 */     // GIR_Coverage, 11449,
     /* 1758701 */     GIR_EraseRootFromParent_Done,
     /* 1758702 */   // Label 23934: @1758702
     /* 1758702 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1758788), // Rule ID 11450 //
     /* 1758707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1758727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758753 */     // MIs[0] policy
     /* 1758753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1758766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758787 */     // GIR_Coverage, 11450,
     /* 1758787 */     GIR_EraseRootFromParent_Done,
     /* 1758788 */   // Label 23935: @1758788
     /* 1758788 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1758874), // Rule ID 11453 //
     /* 1758793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1758810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1758813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758839 */     // MIs[0] policy
     /* 1758839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1758852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758873 */     // GIR_Coverage, 11453,
     /* 1758873 */     GIR_EraseRootFromParent_Done,
     /* 1758874 */   // Label 23936: @1758874
     /* 1758874 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1758960), // Rule ID 11454 //
     /* 1758879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1758896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1758899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758925 */     // MIs[0] policy
     /* 1758925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758935 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1758938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758959 */     // GIR_Coverage, 11454,
     /* 1758959 */     GIR_EraseRootFromParent_Done,
     /* 1758960 */   // Label 23937: @1758960
     /* 1758960 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1759046), // Rule ID 11457 //
     /* 1758965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1758976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1758982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1758985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759011 */     // MIs[0] policy
     /* 1759011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1759024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759045 */     // GIR_Coverage, 11457,
     /* 1759045 */     GIR_EraseRootFromParent_Done,
     /* 1759046 */   // Label 23938: @1759046
     /* 1759046 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1759132), // Rule ID 11458 //
     /* 1759051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759097 */     // MIs[0] policy
     /* 1759097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759107 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1759110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759131 */     // GIR_Coverage, 11458,
     /* 1759131 */     GIR_EraseRootFromParent_Done,
     /* 1759132 */   // Label 23939: @1759132
     /* 1759132 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1759218), // Rule ID 11461 //
     /* 1759137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759183 */     // MIs[0] policy
     /* 1759183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759193 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759217 */     // GIR_Coverage, 11461,
     /* 1759217 */     GIR_EraseRootFromParent_Done,
     /* 1759218 */   // Label 23940: @1759218
     /* 1759218 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1759304), // Rule ID 11462 //
     /* 1759223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759269 */     // MIs[0] policy
     /* 1759269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759279 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759303 */     // GIR_Coverage, 11462,
     /* 1759303 */     GIR_EraseRootFromParent_Done,
     /* 1759304 */   // Label 23941: @1759304
     /* 1759304 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1759390), // Rule ID 11465 //
     /* 1759309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759355 */     // MIs[0] policy
     /* 1759355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759389 */     // GIR_Coverage, 11465,
     /* 1759389 */     GIR_EraseRootFromParent_Done,
     /* 1759390 */   // Label 23942: @1759390
     /* 1759390 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1759476), // Rule ID 11466 //
     /* 1759395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759441 */     // MIs[0] policy
     /* 1759441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759475 */     // GIR_Coverage, 11466,
     /* 1759475 */     GIR_EraseRootFromParent_Done,
     /* 1759476 */   // Label 23943: @1759476
     /* 1759476 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1759562), // Rule ID 11469 //
     /* 1759481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759527 */     // MIs[0] policy
     /* 1759527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1759540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759561 */     // GIR_Coverage, 11469,
     /* 1759561 */     GIR_EraseRootFromParent_Done,
     /* 1759562 */   // Label 23944: @1759562
     /* 1759562 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1759648), // Rule ID 11470 //
     /* 1759567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759613 */     // MIs[0] policy
     /* 1759613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759623 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1759626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759647 */     // GIR_Coverage, 11470,
     /* 1759647 */     GIR_EraseRootFromParent_Done,
     /* 1759648 */   // Label 23945: @1759648
     /* 1759648 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1759734), // Rule ID 11473 //
     /* 1759653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759699 */     // MIs[0] policy
     /* 1759699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1759712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759733 */     // GIR_Coverage, 11473,
     /* 1759733 */     GIR_EraseRootFromParent_Done,
     /* 1759734 */   // Label 23946: @1759734
     /* 1759734 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1759820), // Rule ID 11474 //
     /* 1759739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759785 */     // MIs[0] policy
     /* 1759785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759795 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1759798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759819 */     // GIR_Coverage, 11474,
     /* 1759819 */     GIR_EraseRootFromParent_Done,
     /* 1759820 */   // Label 23947: @1759820
     /* 1759820 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1759906), // Rule ID 11477 //
     /* 1759825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1759845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759871 */     // MIs[0] policy
     /* 1759871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1759884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759905 */     // GIR_Coverage, 11477,
     /* 1759905 */     GIR_EraseRootFromParent_Done,
     /* 1759906 */   // Label 23948: @1759906
     /* 1759906 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1759992), // Rule ID 11478 //
     /* 1759911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1759931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759957 */     // MIs[0] policy
     /* 1759957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1759970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759991 */     // GIR_Coverage, 11478,
     /* 1759991 */     GIR_EraseRootFromParent_Done,
     /* 1759992 */   // Label 23949: @1759992
     /* 1759992 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1760078), // Rule ID 11481 //
     /* 1759997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760043 */     // MIs[0] policy
     /* 1760043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760077 */     // GIR_Coverage, 11481,
     /* 1760077 */     GIR_EraseRootFromParent_Done,
     /* 1760078 */   // Label 23950: @1760078
     /* 1760078 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1760164), // Rule ID 11482 //
     /* 1760083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760129 */     // MIs[0] policy
     /* 1760129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760163 */     // GIR_Coverage, 11482,
     /* 1760163 */     GIR_EraseRootFromParent_Done,
     /* 1760164 */   // Label 23951: @1760164
     /* 1760164 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1760250), // Rule ID 11485 //
     /* 1760169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760215 */     // MIs[0] policy
     /* 1760215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760225 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760249 */     // GIR_Coverage, 11485,
     /* 1760249 */     GIR_EraseRootFromParent_Done,
     /* 1760250 */   // Label 23952: @1760250
     /* 1760250 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1760336), // Rule ID 11486 //
     /* 1760255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760301 */     // MIs[0] policy
     /* 1760301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760335 */     // GIR_Coverage, 11486,
     /* 1760335 */     GIR_EraseRootFromParent_Done,
     /* 1760336 */   // Label 23953: @1760336
     /* 1760336 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1760422), // Rule ID 11489 //
     /* 1760341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760387 */     // MIs[0] policy
     /* 1760387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760421 */     // GIR_Coverage, 11489,
     /* 1760421 */     GIR_EraseRootFromParent_Done,
     /* 1760422 */   // Label 23954: @1760422
     /* 1760422 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1760508), // Rule ID 11490 //
     /* 1760427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760473 */     // MIs[0] policy
     /* 1760473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760483 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760507 */     // GIR_Coverage, 11490,
     /* 1760507 */     GIR_EraseRootFromParent_Done,
     /* 1760508 */   // Label 23955: @1760508
     /* 1760508 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1760594), // Rule ID 11493 //
     /* 1760513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760559 */     // MIs[0] policy
     /* 1760559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1760572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760593 */     // GIR_Coverage, 11493,
     /* 1760593 */     GIR_EraseRootFromParent_Done,
     /* 1760594 */   // Label 23956: @1760594
     /* 1760594 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1760680), // Rule ID 11494 //
     /* 1760599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760645 */     // MIs[0] policy
     /* 1760645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760655 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1760658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760679 */     // GIR_Coverage, 11494,
     /* 1760679 */     GIR_EraseRootFromParent_Done,
     /* 1760680 */   // Label 23957: @1760680
     /* 1760680 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1760766), // Rule ID 11497 //
     /* 1760685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760731 */     // MIs[0] policy
     /* 1760731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760741 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1760744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760765 */     // GIR_Coverage, 11497,
     /* 1760765 */     GIR_EraseRootFromParent_Done,
     /* 1760766 */   // Label 23958: @1760766
     /* 1760766 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1760852), // Rule ID 11498 //
     /* 1760771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760817 */     // MIs[0] policy
     /* 1760817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1760830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760851 */     // GIR_Coverage, 11498,
     /* 1760851 */     GIR_EraseRootFromParent_Done,
     /* 1760852 */   // Label 23959: @1760852
     /* 1760852 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1760938), // Rule ID 11501 //
     /* 1760857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760903 */     // MIs[0] policy
     /* 1760903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760913 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1760916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760937 */     // GIR_Coverage, 11501,
     /* 1760937 */     GIR_EraseRootFromParent_Done,
     /* 1760938 */   // Label 23960: @1760938
     /* 1760938 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1761024), // Rule ID 11502 //
     /* 1760943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760989 */     // MIs[0] policy
     /* 1760989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1761002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761023 */     // GIR_Coverage, 11502,
     /* 1761023 */     GIR_EraseRootFromParent_Done,
     /* 1761024 */   // Label 23961: @1761024
     /* 1761024 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1761110), // Rule ID 11505 //
     /* 1761029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761075 */     // MIs[0] policy
     /* 1761075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761109 */     // GIR_Coverage, 11505,
     /* 1761109 */     GIR_EraseRootFromParent_Done,
     /* 1761110 */   // Label 23962: @1761110
     /* 1761110 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1761196), // Rule ID 11506 //
     /* 1761115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761161 */     // MIs[0] policy
     /* 1761161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761195 */     // GIR_Coverage, 11506,
     /* 1761195 */     GIR_EraseRootFromParent_Done,
     /* 1761196 */   // Label 23963: @1761196
     /* 1761196 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1761282), // Rule ID 11509 //
     /* 1761201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761247 */     // MIs[0] policy
     /* 1761247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761281 */     // GIR_Coverage, 11509,
     /* 1761281 */     GIR_EraseRootFromParent_Done,
     /* 1761282 */   // Label 23964: @1761282
     /* 1761282 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1761368), // Rule ID 11510 //
     /* 1761287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761333 */     // MIs[0] policy
     /* 1761333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761343 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761367 */     // GIR_Coverage, 11510,
     /* 1761367 */     GIR_EraseRootFromParent_Done,
     /* 1761368 */   // Label 23965: @1761368
     /* 1761368 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1761454), // Rule ID 11513 //
     /* 1761373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761419 */     // MIs[0] policy
     /* 1761419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761453 */     // GIR_Coverage, 11513,
     /* 1761453 */     GIR_EraseRootFromParent_Done,
     /* 1761454 */   // Label 23966: @1761454
     /* 1761454 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1761540), // Rule ID 11514 //
     /* 1761459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761505 */     // MIs[0] policy
     /* 1761505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761539 */     // GIR_Coverage, 11514,
     /* 1761539 */     GIR_EraseRootFromParent_Done,
     /* 1761540 */   // Label 23967: @1761540
     /* 1761540 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1761626), // Rule ID 11517 //
     /* 1761545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1761565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761591 */     // MIs[0] policy
     /* 1761591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761601 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761625 */     // GIR_Coverage, 11517,
     /* 1761625 */     GIR_EraseRootFromParent_Done,
     /* 1761626 */   // Label 23968: @1761626
     /* 1761626 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1761712), // Rule ID 11518 //
     /* 1761631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1761651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761677 */     // MIs[0] policy
     /* 1761677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761711 */     // GIR_Coverage, 11518,
     /* 1761711 */     GIR_EraseRootFromParent_Done,
     /* 1761712 */   // Label 23969: @1761712
     /* 1761712 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1761798), // Rule ID 11521 //
     /* 1761717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1761737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761763 */     // MIs[0] policy
     /* 1761763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761773 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761797 */     // GIR_Coverage, 11521,
     /* 1761797 */     GIR_EraseRootFromParent_Done,
     /* 1761798 */   // Label 23970: @1761798
     /* 1761798 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1761884), // Rule ID 11522 //
     /* 1761803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1761823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761849 */     // MIs[0] policy
     /* 1761849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761883 */     // GIR_Coverage, 11522,
     /* 1761883 */     GIR_EraseRootFromParent_Done,
     /* 1761884 */   // Label 23971: @1761884
     /* 1761884 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1761970), // Rule ID 11525 //
     /* 1761889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761935 */     // MIs[0] policy
     /* 1761935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761945 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761969 */     // GIR_Coverage, 11525,
     /* 1761969 */     GIR_EraseRootFromParent_Done,
     /* 1761970 */   // Label 23972: @1761970
     /* 1761970 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1762056), // Rule ID 11526 //
     /* 1761975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762021 */     // MIs[0] policy
     /* 1762021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1762034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762055 */     // GIR_Coverage, 11526,
     /* 1762055 */     GIR_EraseRootFromParent_Done,
     /* 1762056 */   // Label 23973: @1762056
     /* 1762056 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1762142), // Rule ID 11529 //
     /* 1762061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762107 */     // MIs[0] policy
     /* 1762107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762141 */     // GIR_Coverage, 11529,
     /* 1762141 */     GIR_EraseRootFromParent_Done,
     /* 1762142 */   // Label 23974: @1762142
     /* 1762142 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1762228), // Rule ID 11530 //
     /* 1762147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762193 */     // MIs[0] policy
     /* 1762193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762227 */     // GIR_Coverage, 11530,
     /* 1762227 */     GIR_EraseRootFromParent_Done,
     /* 1762228 */   // Label 23975: @1762228
     /* 1762228 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1762314), // Rule ID 11533 //
     /* 1762233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762279 */     // MIs[0] policy
     /* 1762279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762289 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762313 */     // GIR_Coverage, 11533,
     /* 1762313 */     GIR_EraseRootFromParent_Done,
     /* 1762314 */   // Label 23976: @1762314
     /* 1762314 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1762400), // Rule ID 11534 //
     /* 1762319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762365 */     // MIs[0] policy
     /* 1762365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762399 */     // GIR_Coverage, 11534,
     /* 1762399 */     GIR_EraseRootFromParent_Done,
     /* 1762400 */   // Label 23977: @1762400
     /* 1762400 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1762486), // Rule ID 11537 //
     /* 1762405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762451 */     // MIs[0] policy
     /* 1762451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762485 */     // GIR_Coverage, 11537,
     /* 1762485 */     GIR_EraseRootFromParent_Done,
     /* 1762486 */   // Label 23978: @1762486
     /* 1762486 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1762572), // Rule ID 11538 //
     /* 1762491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762537 */     // MIs[0] policy
     /* 1762537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762571 */     // GIR_Coverage, 11538,
     /* 1762571 */     GIR_EraseRootFromParent_Done,
     /* 1762572 */   // Label 23979: @1762572
     /* 1762572 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1762658), // Rule ID 11541 //
     /* 1762577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762623 */     // MIs[0] policy
     /* 1762623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1762636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762657 */     // GIR_Coverage, 11541,
     /* 1762657 */     GIR_EraseRootFromParent_Done,
     /* 1762658 */   // Label 23980: @1762658
     /* 1762658 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1762744), // Rule ID 11542 //
     /* 1762663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762709 */     // MIs[0] policy
     /* 1762709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762719 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1762722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762743 */     // GIR_Coverage, 11542,
     /* 1762743 */     GIR_EraseRootFromParent_Done,
     /* 1762744 */   // Label 23981: @1762744
     /* 1762744 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1762830), // Rule ID 11545 //
     /* 1762749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1762769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762795 */     // MIs[0] policy
     /* 1762795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1762808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762829 */     // GIR_Coverage, 11545,
     /* 1762829 */     GIR_EraseRootFromParent_Done,
     /* 1762830 */   // Label 23982: @1762830
     /* 1762830 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1762916), // Rule ID 11546 //
     /* 1762835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1762855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762881 */     // MIs[0] policy
     /* 1762881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762891 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1762894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762915 */     // GIR_Coverage, 11546,
     /* 1762915 */     GIR_EraseRootFromParent_Done,
     /* 1762916 */   // Label 23983: @1762916
     /* 1762916 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1763002), // Rule ID 11549 //
     /* 1762921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1762932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1762935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1762938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1762941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762967 */     // MIs[0] policy
     /* 1762967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1762980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763001 */     // GIR_Coverage, 11549,
     /* 1763001 */     GIR_EraseRootFromParent_Done,
     /* 1763002 */   // Label 23984: @1763002
     /* 1763002 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1763088), // Rule ID 11550 //
     /* 1763007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763053 */     // MIs[0] policy
     /* 1763053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763063 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1763066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763087 */     // GIR_Coverage, 11550,
     /* 1763087 */     GIR_EraseRootFromParent_Done,
     /* 1763088 */   // Label 23985: @1763088
     /* 1763088 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1763174), // Rule ID 11553 //
     /* 1763093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763139 */     // MIs[0] policy
     /* 1763139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763173 */     // GIR_Coverage, 11553,
     /* 1763173 */     GIR_EraseRootFromParent_Done,
     /* 1763174 */   // Label 23986: @1763174
     /* 1763174 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1763260), // Rule ID 11554 //
     /* 1763179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763225 */     // MIs[0] policy
     /* 1763225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763259 */     // GIR_Coverage, 11554,
     /* 1763259 */     GIR_EraseRootFromParent_Done,
     /* 1763260 */   // Label 23987: @1763260
     /* 1763260 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1763346), // Rule ID 11557 //
     /* 1763265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763311 */     // MIs[0] policy
     /* 1763311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763345 */     // GIR_Coverage, 11557,
     /* 1763345 */     GIR_EraseRootFromParent_Done,
     /* 1763346 */   // Label 23988: @1763346
     /* 1763346 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1763432), // Rule ID 11558 //
     /* 1763351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763397 */     // MIs[0] policy
     /* 1763397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763431 */     // GIR_Coverage, 11558,
     /* 1763431 */     GIR_EraseRootFromParent_Done,
     /* 1763432 */   // Label 23989: @1763432
     /* 1763432 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1763518), // Rule ID 11561 //
     /* 1763437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763483 */     // MIs[0] policy
     /* 1763483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763517 */     // GIR_Coverage, 11561,
     /* 1763517 */     GIR_EraseRootFromParent_Done,
     /* 1763518 */   // Label 23990: @1763518
     /* 1763518 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1763604), // Rule ID 11562 //
     /* 1763523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763569 */     // MIs[0] policy
     /* 1763569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763603 */     // GIR_Coverage, 11562,
     /* 1763603 */     GIR_EraseRootFromParent_Done,
     /* 1763604 */   // Label 23991: @1763604
     /* 1763604 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1763690), // Rule ID 11565 //
     /* 1763609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1763629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763655 */     // MIs[0] policy
     /* 1763655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1763668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763689 */     // GIR_Coverage, 11565,
     /* 1763689 */     GIR_EraseRootFromParent_Done,
     /* 1763690 */   // Label 23992: @1763690
     /* 1763690 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1763776), // Rule ID 11566 //
     /* 1763695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1763715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763741 */     // MIs[0] policy
     /* 1763741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1763754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763775 */     // GIR_Coverage, 11566,
     /* 1763775 */     GIR_EraseRootFromParent_Done,
     /* 1763776 */   // Label 23993: @1763776
     /* 1763776 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1763862), // Rule ID 11569 //
     /* 1763781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1763801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763827 */     // MIs[0] policy
     /* 1763827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1763840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763861 */     // GIR_Coverage, 11569,
     /* 1763861 */     GIR_EraseRootFromParent_Done,
     /* 1763862 */   // Label 23994: @1763862
     /* 1763862 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1763948), // Rule ID 11570 //
     /* 1763867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1763887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763913 */     // MIs[0] policy
     /* 1763913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1763926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763947 */     // GIR_Coverage, 11570,
     /* 1763947 */     GIR_EraseRootFromParent_Done,
     /* 1763948 */   // Label 23995: @1763948
     /* 1763948 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1764034), // Rule ID 11573 //
     /* 1763953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1763964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1763967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1763970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1763973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763999 */     // MIs[0] policy
     /* 1763999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1764012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764033 */     // GIR_Coverage, 11573,
     /* 1764033 */     GIR_EraseRootFromParent_Done,
     /* 1764034 */   // Label 23996: @1764034
     /* 1764034 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1764120), // Rule ID 11574 //
     /* 1764039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764085 */     // MIs[0] policy
     /* 1764085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1764098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764119 */     // GIR_Coverage, 11574,
     /* 1764119 */     GIR_EraseRootFromParent_Done,
     /* 1764120 */   // Label 23997: @1764120
     /* 1764120 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1764206), // Rule ID 11577 //
     /* 1764125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764171 */     // MIs[0] policy
     /* 1764171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764205 */     // GIR_Coverage, 11577,
     /* 1764205 */     GIR_EraseRootFromParent_Done,
     /* 1764206 */   // Label 23998: @1764206
     /* 1764206 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1764292), // Rule ID 11578 //
     /* 1764211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764257 */     // MIs[0] policy
     /* 1764257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764291 */     // GIR_Coverage, 11578,
     /* 1764291 */     GIR_EraseRootFromParent_Done,
     /* 1764292 */   // Label 23999: @1764292
     /* 1764292 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1764378), // Rule ID 11581 //
     /* 1764297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764343 */     // MIs[0] policy
     /* 1764343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764377 */     // GIR_Coverage, 11581,
     /* 1764377 */     GIR_EraseRootFromParent_Done,
     /* 1764378 */   // Label 24000: @1764378
     /* 1764378 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1764464), // Rule ID 11582 //
     /* 1764383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764429 */     // MIs[0] policy
     /* 1764429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764439 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764463 */     // GIR_Coverage, 11582,
     /* 1764463 */     GIR_EraseRootFromParent_Done,
     /* 1764464 */   // Label 24001: @1764464
     /* 1764464 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1764550), // Rule ID 11585 //
     /* 1764469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764515 */     // MIs[0] policy
     /* 1764515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764525 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1764528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764549 */     // GIR_Coverage, 11585,
     /* 1764549 */     GIR_EraseRootFromParent_Done,
     /* 1764550 */   // Label 24002: @1764550
     /* 1764550 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1764636), // Rule ID 11586 //
     /* 1764555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764601 */     // MIs[0] policy
     /* 1764601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764611 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1764614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764635 */     // GIR_Coverage, 11586,
     /* 1764635 */     GIR_EraseRootFromParent_Done,
     /* 1764636 */   // Label 24003: @1764636
     /* 1764636 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1764722), // Rule ID 11589 //
     /* 1764641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1764661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764687 */     // MIs[0] policy
     /* 1764687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1764700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764721 */     // GIR_Coverage, 11589,
     /* 1764721 */     GIR_EraseRootFromParent_Done,
     /* 1764722 */   // Label 24004: @1764722
     /* 1764722 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1764808), // Rule ID 11590 //
     /* 1764727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1764747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764773 */     // MIs[0] policy
     /* 1764773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1764786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764807 */     // GIR_Coverage, 11590,
     /* 1764807 */     GIR_EraseRootFromParent_Done,
     /* 1764808 */   // Label 24005: @1764808
     /* 1764808 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1764894), // Rule ID 11593 //
     /* 1764813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1764833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764859 */     // MIs[0] policy
     /* 1764859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1764872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764893 */     // GIR_Coverage, 11593,
     /* 1764893 */     GIR_EraseRootFromParent_Done,
     /* 1764894 */   // Label 24006: @1764894
     /* 1764894 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1764980), // Rule ID 11594 //
     /* 1764899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1764919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764945 */     // MIs[0] policy
     /* 1764945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1764958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764979 */     // GIR_Coverage, 11594,
     /* 1764979 */     GIR_EraseRootFromParent_Done,
     /* 1764980 */   // Label 24007: @1764980
     /* 1764980 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1765066), // Rule ID 11597 //
     /* 1764985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1764996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1764999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765031 */     // MIs[0] policy
     /* 1765031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1765044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765065 */     // GIR_Coverage, 11597,
     /* 1765065 */     GIR_EraseRootFromParent_Done,
     /* 1765066 */   // Label 24008: @1765066
     /* 1765066 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1765152), // Rule ID 11598 //
     /* 1765071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765117 */     // MIs[0] policy
     /* 1765117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1765130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765151 */     // GIR_Coverage, 11598,
     /* 1765151 */     GIR_EraseRootFromParent_Done,
     /* 1765152 */   // Label 24009: @1765152
     /* 1765152 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1765238), // Rule ID 11601 //
     /* 1765157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765203 */     // MIs[0] policy
     /* 1765203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765213 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765237 */     // GIR_Coverage, 11601,
     /* 1765237 */     GIR_EraseRootFromParent_Done,
     /* 1765238 */   // Label 24010: @1765238
     /* 1765238 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1765324), // Rule ID 11602 //
     /* 1765243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765289 */     // MIs[0] policy
     /* 1765289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765323 */     // GIR_Coverage, 11602,
     /* 1765323 */     GIR_EraseRootFromParent_Done,
     /* 1765324 */   // Label 24011: @1765324
     /* 1765324 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1765410), // Rule ID 11605 //
     /* 1765329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765375 */     // MIs[0] policy
     /* 1765375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765409 */     // GIR_Coverage, 11605,
     /* 1765409 */     GIR_EraseRootFromParent_Done,
     /* 1765410 */   // Label 24012: @1765410
     /* 1765410 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1765496), // Rule ID 11606 //
     /* 1765415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765461 */     // MIs[0] policy
     /* 1765461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765495 */     // GIR_Coverage, 11606,
     /* 1765495 */     GIR_EraseRootFromParent_Done,
     /* 1765496 */   // Label 24013: @1765496
     /* 1765496 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1765582), // Rule ID 11609 //
     /* 1765501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765547 */     // MIs[0] policy
     /* 1765547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765557 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1765560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765581 */     // GIR_Coverage, 11609,
     /* 1765581 */     GIR_EraseRootFromParent_Done,
     /* 1765582 */   // Label 24014: @1765582
     /* 1765582 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1765668), // Rule ID 11610 //
     /* 1765587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765633 */     // MIs[0] policy
     /* 1765633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1765646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765667 */     // GIR_Coverage, 11610,
     /* 1765667 */     GIR_EraseRootFromParent_Done,
     /* 1765668 */   // Label 24015: @1765668
     /* 1765668 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1765754), // Rule ID 11613 //
     /* 1765673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1765693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765719 */     // MIs[0] policy
     /* 1765719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1765732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765753 */     // GIR_Coverage, 11613,
     /* 1765753 */     GIR_EraseRootFromParent_Done,
     /* 1765754 */   // Label 24016: @1765754
     /* 1765754 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1765840), // Rule ID 11614 //
     /* 1765759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1765779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765805 */     // MIs[0] policy
     /* 1765805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1765818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765839 */     // GIR_Coverage, 11614,
     /* 1765839 */     GIR_EraseRootFromParent_Done,
     /* 1765840 */   // Label 24017: @1765840
     /* 1765840 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1765926), // Rule ID 11617 //
     /* 1765845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1765848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765891 */     // MIs[0] policy
     /* 1765891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1765904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765925 */     // GIR_Coverage, 11617,
     /* 1765925 */     GIR_EraseRootFromParent_Done,
     /* 1765926 */   // Label 24018: @1765926
     /* 1765926 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1766012), // Rule ID 11618 //
     /* 1765931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1765934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765977 */     // MIs[0] policy
     /* 1765977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1765990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766011 */     // GIR_Coverage, 11618,
     /* 1766011 */     GIR_EraseRootFromParent_Done,
     /* 1766012 */   // Label 24019: @1766012
     /* 1766012 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1766098), // Rule ID 11621 //
     /* 1766017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766063 */     // MIs[0] policy
     /* 1766063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766097 */     // GIR_Coverage, 11621,
     /* 1766097 */     GIR_EraseRootFromParent_Done,
     /* 1766098 */   // Label 24020: @1766098
     /* 1766098 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1766184), // Rule ID 11622 //
     /* 1766103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766149 */     // MIs[0] policy
     /* 1766149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766183 */     // GIR_Coverage, 11622,
     /* 1766183 */     GIR_EraseRootFromParent_Done,
     /* 1766184 */   // Label 24021: @1766184
     /* 1766184 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1766270), // Rule ID 11625 //
     /* 1766189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766235 */     // MIs[0] policy
     /* 1766235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766245 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766269 */     // GIR_Coverage, 11625,
     /* 1766269 */     GIR_EraseRootFromParent_Done,
     /* 1766270 */   // Label 24022: @1766270
     /* 1766270 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1766356), // Rule ID 11626 //
     /* 1766275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766321 */     // MIs[0] policy
     /* 1766321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766355 */     // GIR_Coverage, 11626,
     /* 1766355 */     GIR_EraseRootFromParent_Done,
     /* 1766356 */   // Label 24023: @1766356
     /* 1766356 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1766442), // Rule ID 11629 //
     /* 1766361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766407 */     // MIs[0] policy
     /* 1766407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766417 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766441 */     // GIR_Coverage, 11629,
     /* 1766441 */     GIR_EraseRootFromParent_Done,
     /* 1766442 */   // Label 24024: @1766442
     /* 1766442 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1766528), // Rule ID 11630 //
     /* 1766447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766493 */     // MIs[0] policy
     /* 1766493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766527 */     // GIR_Coverage, 11630,
     /* 1766527 */     GIR_EraseRootFromParent_Done,
     /* 1766528 */   // Label 24025: @1766528
     /* 1766528 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1766614), // Rule ID 11633 //
     /* 1766533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766579 */     // MIs[0] policy
     /* 1766579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766589 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1766592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766613 */     // GIR_Coverage, 11633,
     /* 1766613 */     GIR_EraseRootFromParent_Done,
     /* 1766614 */   // Label 24026: @1766614
     /* 1766614 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1766700), // Rule ID 11634 //
     /* 1766619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766665 */     // MIs[0] policy
     /* 1766665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766675 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1766678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766699 */     // GIR_Coverage, 11634,
     /* 1766699 */     GIR_EraseRootFromParent_Done,
     /* 1766700 */   // Label 24027: @1766700
     /* 1766700 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1766786), // Rule ID 11637 //
     /* 1766705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1766716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1766719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1766722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766751 */     // MIs[0] policy
     /* 1766751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766761 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1766764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766785 */     // GIR_Coverage, 11637,
     /* 1766785 */     GIR_EraseRootFromParent_Done,
     /* 1766786 */   // Label 24028: @1766786
     /* 1766786 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1766872), // Rule ID 11638 //
     /* 1766791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1766802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1766805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1766808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766837 */     // MIs[0] policy
     /* 1766837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1766850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766871 */     // GIR_Coverage, 11638,
     /* 1766871 */     GIR_EraseRootFromParent_Done,
     /* 1766872 */   // Label 24029: @1766872
     /* 1766872 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1766958), // Rule ID 11641 //
     /* 1766877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1766888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1766891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1766894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766923 */     // MIs[0] policy
     /* 1766923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1766936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766957 */     // GIR_Coverage, 11641,
     /* 1766957 */     GIR_EraseRootFromParent_Done,
     /* 1766958 */   // Label 24030: @1766958
     /* 1766958 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1767044), // Rule ID 11642 //
     /* 1766963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1766974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1766977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1766980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767009 */     // MIs[0] policy
     /* 1767009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1767022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767043 */     // GIR_Coverage, 11642,
     /* 1767043 */     GIR_EraseRootFromParent_Done,
     /* 1767044 */   // Label 24031: @1767044
     /* 1767044 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1767130), // Rule ID 11645 //
     /* 1767049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767095 */     // MIs[0] policy
     /* 1767095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767129 */     // GIR_Coverage, 11645,
     /* 1767129 */     GIR_EraseRootFromParent_Done,
     /* 1767130 */   // Label 24032: @1767130
     /* 1767130 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1767216), // Rule ID 11646 //
     /* 1767135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767181 */     // MIs[0] policy
     /* 1767181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767215 */     // GIR_Coverage, 11646,
     /* 1767215 */     GIR_EraseRootFromParent_Done,
     /* 1767216 */   // Label 24033: @1767216
     /* 1767216 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1767302), // Rule ID 11649 //
     /* 1767221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767267 */     // MIs[0] policy
     /* 1767267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767301 */     // GIR_Coverage, 11649,
     /* 1767301 */     GIR_EraseRootFromParent_Done,
     /* 1767302 */   // Label 24034: @1767302
     /* 1767302 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1767388), // Rule ID 11650 //
     /* 1767307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767353 */     // MIs[0] policy
     /* 1767353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767363 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767387 */     // GIR_Coverage, 11650,
     /* 1767387 */     GIR_EraseRootFromParent_Done,
     /* 1767388 */   // Label 24035: @1767388
     /* 1767388 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1767474), // Rule ID 11653 //
     /* 1767393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767439 */     // MIs[0] policy
     /* 1767439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767473 */     // GIR_Coverage, 11653,
     /* 1767473 */     GIR_EraseRootFromParent_Done,
     /* 1767474 */   // Label 24036: @1767474
     /* 1767474 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1767560), // Rule ID 11654 //
     /* 1767479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767525 */     // MIs[0] policy
     /* 1767525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767559 */     // GIR_Coverage, 11654,
     /* 1767559 */     GIR_EraseRootFromParent_Done,
     /* 1767560 */   // Label 24037: @1767560
     /* 1767560 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1767646), // Rule ID 11657 //
     /* 1767565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767611 */     // MIs[0] policy
     /* 1767611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1767624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767645 */     // GIR_Coverage, 11657,
     /* 1767645 */     GIR_EraseRootFromParent_Done,
     /* 1767646 */   // Label 24038: @1767646
     /* 1767646 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1767732), // Rule ID 11658 //
     /* 1767651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767697 */     // MIs[0] policy
     /* 1767697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1767710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767731 */     // GIR_Coverage, 11658,
     /* 1767731 */     GIR_EraseRootFromParent_Done,
     /* 1767732 */   // Label 24039: @1767732
     /* 1767732 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1767818), // Rule ID 11661 //
     /* 1767737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1767748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1767751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1767754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767783 */     // MIs[0] policy
     /* 1767783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1767796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767817 */     // GIR_Coverage, 11661,
     /* 1767817 */     GIR_EraseRootFromParent_Done,
     /* 1767818 */   // Label 24040: @1767818
     /* 1767818 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1767904), // Rule ID 11662 //
     /* 1767823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1767834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1767837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1767840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767869 */     // MIs[0] policy
     /* 1767869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1767882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767903 */     // GIR_Coverage, 11662,
     /* 1767903 */     GIR_EraseRootFromParent_Done,
     /* 1767904 */   // Label 24041: @1767904
     /* 1767904 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1767990), // Rule ID 11665 //
     /* 1767909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1767912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767955 */     // MIs[0] policy
     /* 1767955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1767968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767989 */     // GIR_Coverage, 11665,
     /* 1767989 */     GIR_EraseRootFromParent_Done,
     /* 1767990 */   // Label 24042: @1767990
     /* 1767990 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1768076), // Rule ID 11666 //
     /* 1767995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1767998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768041 */     // MIs[0] policy
     /* 1768041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1768054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768075 */     // GIR_Coverage, 11666,
     /* 1768075 */     GIR_EraseRootFromParent_Done,
     /* 1768076 */   // Label 24043: @1768076
     /* 1768076 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1768162), // Rule ID 11669 //
     /* 1768081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768127 */     // MIs[0] policy
     /* 1768127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768137 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768161 */     // GIR_Coverage, 11669,
     /* 1768161 */     GIR_EraseRootFromParent_Done,
     /* 1768162 */   // Label 24044: @1768162
     /* 1768162 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1768248), // Rule ID 11670 //
     /* 1768167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768213 */     // MIs[0] policy
     /* 1768213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768223 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768247 */     // GIR_Coverage, 11670,
     /* 1768247 */     GIR_EraseRootFromParent_Done,
     /* 1768248 */   // Label 24045: @1768248
     /* 1768248 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1768334), // Rule ID 11673 //
     /* 1768253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768299 */     // MIs[0] policy
     /* 1768299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768333 */     // GIR_Coverage, 11673,
     /* 1768333 */     GIR_EraseRootFromParent_Done,
     /* 1768334 */   // Label 24046: @1768334
     /* 1768334 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1768420), // Rule ID 11674 //
     /* 1768339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768385 */     // MIs[0] policy
     /* 1768385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768395 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768419 */     // GIR_Coverage, 11674,
     /* 1768419 */     GIR_EraseRootFromParent_Done,
     /* 1768420 */   // Label 24047: @1768420
     /* 1768420 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1768506), // Rule ID 11677 //
     /* 1768425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768471 */     // MIs[0] policy
     /* 1768471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768505 */     // GIR_Coverage, 11677,
     /* 1768505 */     GIR_EraseRootFromParent_Done,
     /* 1768506 */   // Label 24048: @1768506
     /* 1768506 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1768592), // Rule ID 11678 //
     /* 1768511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768557 */     // MIs[0] policy
     /* 1768557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768591 */     // GIR_Coverage, 11678,
     /* 1768591 */     GIR_EraseRootFromParent_Done,
     /* 1768592 */   // Label 24049: @1768592
     /* 1768592 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1768678), // Rule ID 11681 //
     /* 1768597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768643 */     // MIs[0] policy
     /* 1768643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1768656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768677 */     // GIR_Coverage, 11681,
     /* 1768677 */     GIR_EraseRootFromParent_Done,
     /* 1768678 */   // Label 24050: @1768678
     /* 1768678 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1768764), // Rule ID 11682 //
     /* 1768683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768729 */     // MIs[0] policy
     /* 1768729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1768742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768763 */     // GIR_Coverage, 11682,
     /* 1768763 */     GIR_EraseRootFromParent_Done,
     /* 1768764 */   // Label 24051: @1768764
     /* 1768764 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1768850), // Rule ID 11685 //
     /* 1768769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1768780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1768783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1768786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768815 */     // MIs[0] policy
     /* 1768815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1768828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768849 */     // GIR_Coverage, 11685,
     /* 1768849 */     GIR_EraseRootFromParent_Done,
     /* 1768850 */   // Label 24052: @1768850
     /* 1768850 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1768936), // Rule ID 11686 //
     /* 1768855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1768866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1768869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1768872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768901 */     // MIs[0] policy
     /* 1768901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1768914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768935 */     // GIR_Coverage, 11686,
     /* 1768935 */     GIR_EraseRootFromParent_Done,
     /* 1768936 */   // Label 24053: @1768936
     /* 1768936 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1769022), // Rule ID 11689 //
     /* 1768941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1768952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1768955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1768958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768987 */     // MIs[0] policy
     /* 1768987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1769000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769021 */     // GIR_Coverage, 11689,
     /* 1769021 */     GIR_EraseRootFromParent_Done,
     /* 1769022 */   // Label 24054: @1769022
     /* 1769022 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1769108), // Rule ID 11690 //
     /* 1769027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769073 */     // MIs[0] policy
     /* 1769073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1769086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769107 */     // GIR_Coverage, 11690,
     /* 1769107 */     GIR_EraseRootFromParent_Done,
     /* 1769108 */   // Label 24055: @1769108
     /* 1769108 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1769194), // Rule ID 11693 //
     /* 1769113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769159 */     // MIs[0] policy
     /* 1769159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769193 */     // GIR_Coverage, 11693,
     /* 1769193 */     GIR_EraseRootFromParent_Done,
     /* 1769194 */   // Label 24056: @1769194
     /* 1769194 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1769280), // Rule ID 11694 //
     /* 1769199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769245 */     // MIs[0] policy
     /* 1769245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769279 */     // GIR_Coverage, 11694,
     /* 1769279 */     GIR_EraseRootFromParent_Done,
     /* 1769280 */   // Label 24057: @1769280
     /* 1769280 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1769366), // Rule ID 11697 //
     /* 1769285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769331 */     // MIs[0] policy
     /* 1769331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769365 */     // GIR_Coverage, 11697,
     /* 1769365 */     GIR_EraseRootFromParent_Done,
     /* 1769366 */   // Label 24058: @1769366
     /* 1769366 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1769452), // Rule ID 11698 //
     /* 1769371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769417 */     // MIs[0] policy
     /* 1769417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769451 */     // GIR_Coverage, 11698,
     /* 1769451 */     GIR_EraseRootFromParent_Done,
     /* 1769452 */   // Label 24059: @1769452
     /* 1769452 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1769538), // Rule ID 11701 //
     /* 1769457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769503 */     // MIs[0] policy
     /* 1769503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769537 */     // GIR_Coverage, 11701,
     /* 1769537 */     GIR_EraseRootFromParent_Done,
     /* 1769538 */   // Label 24060: @1769538
     /* 1769538 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1769624), // Rule ID 11702 //
     /* 1769543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769589 */     // MIs[0] policy
     /* 1769589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769623 */     // GIR_Coverage, 11702,
     /* 1769623 */     GIR_EraseRootFromParent_Done,
     /* 1769624 */   // Label 24061: @1769624
     /* 1769624 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1769710), // Rule ID 11705 //
     /* 1769629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769675 */     // MIs[0] policy
     /* 1769675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1769688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769709 */     // GIR_Coverage, 11705,
     /* 1769709 */     GIR_EraseRootFromParent_Done,
     /* 1769710 */   // Label 24062: @1769710
     /* 1769710 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1769796), // Rule ID 11706 //
     /* 1769715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1769718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769761 */     // MIs[0] policy
     /* 1769761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1769774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769795 */     // GIR_Coverage, 11706,
     /* 1769795 */     GIR_EraseRootFromParent_Done,
     /* 1769796 */   // Label 24063: @1769796
     /* 1769796 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1769882), // Rule ID 11709 //
     /* 1769801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1769812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1769815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1769818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769847 */     // MIs[0] policy
     /* 1769847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1769860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769881 */     // GIR_Coverage, 11709,
     /* 1769881 */     GIR_EraseRootFromParent_Done,
     /* 1769882 */   // Label 24064: @1769882
     /* 1769882 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1769968), // Rule ID 11710 //
     /* 1769887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1769890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1769898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1769901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1769904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769933 */     // MIs[0] policy
     /* 1769933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1769946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769967 */     // GIR_Coverage, 11710,
     /* 1769967 */     GIR_EraseRootFromParent_Done,
     /* 1769968 */   // Label 24065: @1769968
     /* 1769968 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1770054), // Rule ID 11713 //
     /* 1769973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1769984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1769987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1769990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770019 */     // MIs[0] policy
     /* 1770019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1770032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770053 */     // GIR_Coverage, 11713,
     /* 1770053 */     GIR_EraseRootFromParent_Done,
     /* 1770054 */   // Label 24066: @1770054
     /* 1770054 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1770140), // Rule ID 11714 //
     /* 1770059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770105 */     // MIs[0] policy
     /* 1770105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1770118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770139 */     // GIR_Coverage, 11714,
     /* 1770139 */     GIR_EraseRootFromParent_Done,
     /* 1770140 */   // Label 24067: @1770140
     /* 1770140 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1770226), // Rule ID 11717 //
     /* 1770145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770191 */     // MIs[0] policy
     /* 1770191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770201 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770225 */     // GIR_Coverage, 11717,
     /* 1770225 */     GIR_EraseRootFromParent_Done,
     /* 1770226 */   // Label 24068: @1770226
     /* 1770226 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1770312), // Rule ID 11718 //
     /* 1770231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770277 */     // MIs[0] policy
     /* 1770277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770287 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770311 */     // GIR_Coverage, 11718,
     /* 1770311 */     GIR_EraseRootFromParent_Done,
     /* 1770312 */   // Label 24069: @1770312
     /* 1770312 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1770398), // Rule ID 11721 //
     /* 1770317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770363 */     // MIs[0] policy
     /* 1770363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770373 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770397 */     // GIR_Coverage, 11721,
     /* 1770397 */     GIR_EraseRootFromParent_Done,
     /* 1770398 */   // Label 24070: @1770398
     /* 1770398 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1770484), // Rule ID 11722 //
     /* 1770403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770449 */     // MIs[0] policy
     /* 1770449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770483 */     // GIR_Coverage, 11722,
     /* 1770483 */     GIR_EraseRootFromParent_Done,
     /* 1770484 */   // Label 24071: @1770484
     /* 1770484 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1770570), // Rule ID 11725 //
     /* 1770489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770535 */     // MIs[0] policy
     /* 1770535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770545 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1770548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770569 */     // GIR_Coverage, 11725,
     /* 1770569 */     GIR_EraseRootFromParent_Done,
     /* 1770570 */   // Label 24072: @1770570
     /* 1770570 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1770656), // Rule ID 11726 //
     /* 1770575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770621 */     // MIs[0] policy
     /* 1770621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770631 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1770634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770655 */     // GIR_Coverage, 11726,
     /* 1770655 */     GIR_EraseRootFromParent_Done,
     /* 1770656 */   // Label 24073: @1770656
     /* 1770656 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1770742), // Rule ID 11729 //
     /* 1770661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1770675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1770678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1770681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770707 */     // MIs[0] policy
     /* 1770707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1770720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770741 */     // GIR_Coverage, 11729,
     /* 1770741 */     GIR_EraseRootFromParent_Done,
     /* 1770742 */   // Label 24074: @1770742
     /* 1770742 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1770828), // Rule ID 11730 //
     /* 1770747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1770761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1770764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1770767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770793 */     // MIs[0] policy
     /* 1770793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1770806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770827 */     // GIR_Coverage, 11730,
     /* 1770827 */     GIR_EraseRootFromParent_Done,
     /* 1770828 */   // Label 24075: @1770828
     /* 1770828 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1770914), // Rule ID 11733 //
     /* 1770833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1770844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1770847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1770850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1770853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770879 */     // MIs[0] policy
     /* 1770879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1770892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770913 */     // GIR_Coverage, 11733,
     /* 1770913 */     GIR_EraseRootFromParent_Done,
     /* 1770914 */   // Label 24076: @1770914
     /* 1770914 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1771000), // Rule ID 11734 //
     /* 1770919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1770930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1770933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1770936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1770939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770965 */     // MIs[0] policy
     /* 1770965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1770978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770999 */     // GIR_Coverage, 11734,
     /* 1770999 */     GIR_EraseRootFromParent_Done,
     /* 1771000 */   // Label 24077: @1771000
     /* 1771000 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1771086), // Rule ID 11737 //
     /* 1771005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771051 */     // MIs[0] policy
     /* 1771051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771085 */     // GIR_Coverage, 11737,
     /* 1771085 */     GIR_EraseRootFromParent_Done,
     /* 1771086 */   // Label 24078: @1771086
     /* 1771086 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1771172), // Rule ID 11738 //
     /* 1771091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771137 */     // MIs[0] policy
     /* 1771137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771171 */     // GIR_Coverage, 11738,
     /* 1771171 */     GIR_EraseRootFromParent_Done,
     /* 1771172 */   // Label 24079: @1771172
     /* 1771172 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1771258), // Rule ID 11741 //
     /* 1771177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771223 */     // MIs[0] policy
     /* 1771223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771257 */     // GIR_Coverage, 11741,
     /* 1771257 */     GIR_EraseRootFromParent_Done,
     /* 1771258 */   // Label 24080: @1771258
     /* 1771258 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1771344), // Rule ID 11742 //
     /* 1771263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771309 */     // MIs[0] policy
     /* 1771309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771343 */     // GIR_Coverage, 11742,
     /* 1771343 */     GIR_EraseRootFromParent_Done,
     /* 1771344 */   // Label 24081: @1771344
     /* 1771344 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1771430), // Rule ID 11745 //
     /* 1771349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771395 */     // MIs[0] policy
     /* 1771395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771429 */     // GIR_Coverage, 11745,
     /* 1771429 */     GIR_EraseRootFromParent_Done,
     /* 1771430 */   // Label 24082: @1771430
     /* 1771430 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1771516), // Rule ID 11746 //
     /* 1771435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771481 */     // MIs[0] policy
     /* 1771481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771515 */     // GIR_Coverage, 11746,
     /* 1771515 */     GIR_EraseRootFromParent_Done,
     /* 1771516 */   // Label 24083: @1771516
     /* 1771516 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1771602), // Rule ID 11749 //
     /* 1771521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771567 */     // MIs[0] policy
     /* 1771567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1771580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771601 */     // GIR_Coverage, 11749,
     /* 1771601 */     GIR_EraseRootFromParent_Done,
     /* 1771602 */   // Label 24084: @1771602
     /* 1771602 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1771688), // Rule ID 11750 //
     /* 1771607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771653 */     // MIs[0] policy
     /* 1771653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1771666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771687 */     // GIR_Coverage, 11750,
     /* 1771687 */     GIR_EraseRootFromParent_Done,
     /* 1771688 */   // Label 24085: @1771688
     /* 1771688 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1771774), // Rule ID 11753 //
     /* 1771693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1771696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771739 */     // MIs[0] policy
     /* 1771739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771749 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1771752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771773 */     // GIR_Coverage, 11753,
     /* 1771773 */     GIR_EraseRootFromParent_Done,
     /* 1771774 */   // Label 24086: @1771774
     /* 1771774 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1771860), // Rule ID 11754 //
     /* 1771779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1771782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771825 */     // MIs[0] policy
     /* 1771825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1771838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771859 */     // GIR_Coverage, 11754,
     /* 1771859 */     GIR_EraseRootFromParent_Done,
     /* 1771860 */   // Label 24087: @1771860
     /* 1771860 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1771946), // Rule ID 11757 //
     /* 1771865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1771876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1771879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1771882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1771885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771911 */     // MIs[0] policy
     /* 1771911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1771924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771945 */     // GIR_Coverage, 11757,
     /* 1771945 */     GIR_EraseRootFromParent_Done,
     /* 1771946 */   // Label 24088: @1771946
     /* 1771946 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1772032), // Rule ID 11758 //
     /* 1771951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1771962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1771965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1771968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1771971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771997 */     // MIs[0] policy
     /* 1771997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772007 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1772010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772031 */     // GIR_Coverage, 11758,
     /* 1772031 */     GIR_EraseRootFromParent_Done,
     /* 1772032 */   // Label 24089: @1772032
     /* 1772032 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1772118), // Rule ID 11761 //
     /* 1772037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772083 */     // MIs[0] policy
     /* 1772083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772117 */     // GIR_Coverage, 11761,
     /* 1772117 */     GIR_EraseRootFromParent_Done,
     /* 1772118 */   // Label 24090: @1772118
     /* 1772118 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1772204), // Rule ID 11762 //
     /* 1772123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772169 */     // MIs[0] policy
     /* 1772169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772179 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772203 */     // GIR_Coverage, 11762,
     /* 1772203 */     GIR_EraseRootFromParent_Done,
     /* 1772204 */   // Label 24091: @1772204
     /* 1772204 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1772290), // Rule ID 11765 //
     /* 1772209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772255 */     // MIs[0] policy
     /* 1772255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772265 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772289 */     // GIR_Coverage, 11765,
     /* 1772289 */     GIR_EraseRootFromParent_Done,
     /* 1772290 */   // Label 24092: @1772290
     /* 1772290 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1772376), // Rule ID 11766 //
     /* 1772295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772341 */     // MIs[0] policy
     /* 1772341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772375 */     // GIR_Coverage, 11766,
     /* 1772375 */     GIR_EraseRootFromParent_Done,
     /* 1772376 */   // Label 24093: @1772376
     /* 1772376 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1772462), // Rule ID 11769 //
     /* 1772381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772427 */     // MIs[0] policy
     /* 1772427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772461 */     // GIR_Coverage, 11769,
     /* 1772461 */     GIR_EraseRootFromParent_Done,
     /* 1772462 */   // Label 24094: @1772462
     /* 1772462 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1772548), // Rule ID 11770 //
     /* 1772467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772513 */     // MIs[0] policy
     /* 1772513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772547 */     // GIR_Coverage, 11770,
     /* 1772547 */     GIR_EraseRootFromParent_Done,
     /* 1772548 */   // Label 24095: @1772548
     /* 1772548 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1772634), // Rule ID 11773 //
     /* 1772553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772599 */     // MIs[0] policy
     /* 1772599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772609 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1772612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772633 */     // GIR_Coverage, 11773,
     /* 1772633 */     GIR_EraseRootFromParent_Done,
     /* 1772634 */   // Label 24096: @1772634
     /* 1772634 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1772720), // Rule ID 11774 //
     /* 1772639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772685 */     // MIs[0] policy
     /* 1772685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772695 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1772698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772719 */     // GIR_Coverage, 11774,
     /* 1772719 */     GIR_EraseRootFromParent_Done,
     /* 1772720 */   // Label 24097: @1772720
     /* 1772720 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1772806), // Rule ID 11777 //
     /* 1772725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1772736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1772739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1772742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1772745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772771 */     // MIs[0] policy
     /* 1772771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772781 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1772784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772805 */     // GIR_Coverage, 11777,
     /* 1772805 */     GIR_EraseRootFromParent_Done,
     /* 1772806 */   // Label 24098: @1772806
     /* 1772806 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1772892), // Rule ID 11778 //
     /* 1772811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1772822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1772825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1772828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1772831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772857 */     // MIs[0] policy
     /* 1772857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1772870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772891 */     // GIR_Coverage, 11778,
     /* 1772891 */     GIR_EraseRootFromParent_Done,
     /* 1772892 */   // Label 24099: @1772892
     /* 1772892 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1772978), // Rule ID 11781 //
     /* 1772897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1772914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1772917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772943 */     // MIs[0] policy
     /* 1772943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1772956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772977 */     // GIR_Coverage, 11781,
     /* 1772977 */     GIR_EraseRootFromParent_Done,
     /* 1772978 */   // Label 24100: @1772978
     /* 1772978 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1773064), // Rule ID 11782 //
     /* 1772983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1773003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773029 */     // MIs[0] policy
     /* 1773029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1773042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773063 */     // GIR_Coverage, 11782,
     /* 1773063 */     GIR_EraseRootFromParent_Done,
     /* 1773064 */   // Label 24101: @1773064
     /* 1773064 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1773150), // Rule ID 11785 //
     /* 1773069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773115 */     // MIs[0] policy
     /* 1773115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773149 */     // GIR_Coverage, 11785,
     /* 1773149 */     GIR_EraseRootFromParent_Done,
     /* 1773150 */   // Label 24102: @1773150
     /* 1773150 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1773236), // Rule ID 11786 //
     /* 1773155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773201 */     // MIs[0] policy
     /* 1773201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773235 */     // GIR_Coverage, 11786,
     /* 1773235 */     GIR_EraseRootFromParent_Done,
     /* 1773236 */   // Label 24103: @1773236
     /* 1773236 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1773322), // Rule ID 11789 //
     /* 1773241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773287 */     // MIs[0] policy
     /* 1773287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773321 */     // GIR_Coverage, 11789,
     /* 1773321 */     GIR_EraseRootFromParent_Done,
     /* 1773322 */   // Label 24104: @1773322
     /* 1773322 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1773408), // Rule ID 11790 //
     /* 1773327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773373 */     // MIs[0] policy
     /* 1773373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773407 */     // GIR_Coverage, 11790,
     /* 1773407 */     GIR_EraseRootFromParent_Done,
     /* 1773408 */   // Label 24105: @1773408
     /* 1773408 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1773494), // Rule ID 11793 //
     /* 1773413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773459 */     // MIs[0] policy
     /* 1773459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773493 */     // GIR_Coverage, 11793,
     /* 1773493 */     GIR_EraseRootFromParent_Done,
     /* 1773494 */   // Label 24106: @1773494
     /* 1773494 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1773580), // Rule ID 11794 //
     /* 1773499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773545 */     // MIs[0] policy
     /* 1773545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773579 */     // GIR_Coverage, 11794,
     /* 1773579 */     GIR_EraseRootFromParent_Done,
     /* 1773580 */   // Label 24107: @1773580
     /* 1773580 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1773666), // Rule ID 11797 //
     /* 1773585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773631 */     // MIs[0] policy
     /* 1773631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773641 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1773644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773665 */     // GIR_Coverage, 11797,
     /* 1773665 */     GIR_EraseRootFromParent_Done,
     /* 1773666 */   // Label 24108: @1773666
     /* 1773666 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1773752), // Rule ID 11798 //
     /* 1773671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773717 */     // MIs[0] policy
     /* 1773717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1773730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773751 */     // GIR_Coverage, 11798,
     /* 1773751 */     GIR_EraseRootFromParent_Done,
     /* 1773752 */   // Label 24109: @1773752
     /* 1773752 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1773838), // Rule ID 11801 //
     /* 1773757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773803 */     // MIs[0] policy
     /* 1773803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773813 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1773816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773837 */     // GIR_Coverage, 11801,
     /* 1773837 */     GIR_EraseRootFromParent_Done,
     /* 1773838 */   // Label 24110: @1773838
     /* 1773838 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1773924), // Rule ID 11802 //
     /* 1773843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773889 */     // MIs[0] policy
     /* 1773889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773899 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1773902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773923 */     // GIR_Coverage, 11802,
     /* 1773923 */     GIR_EraseRootFromParent_Done,
     /* 1773924 */   // Label 24111: @1773924
     /* 1773924 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1774010), // Rule ID 11805 //
     /* 1773929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773975 */     // MIs[0] policy
     /* 1773975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773985 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1773988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774009 */     // GIR_Coverage, 11805,
     /* 1774009 */     GIR_EraseRootFromParent_Done,
     /* 1774010 */   // Label 24112: @1774010
     /* 1774010 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1774096), // Rule ID 11806 //
     /* 1774015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774061 */     // MIs[0] policy
     /* 1774061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1774074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774095 */     // GIR_Coverage, 11806,
     /* 1774095 */     GIR_EraseRootFromParent_Done,
     /* 1774096 */   // Label 24113: @1774096
     /* 1774096 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1774182), // Rule ID 11809 //
     /* 1774101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774147 */     // MIs[0] policy
     /* 1774147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774157 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774181 */     // GIR_Coverage, 11809,
     /* 1774181 */     GIR_EraseRootFromParent_Done,
     /* 1774182 */   // Label 24114: @1774182
     /* 1774182 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1774268), // Rule ID 11810 //
     /* 1774187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774233 */     // MIs[0] policy
     /* 1774233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774243 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774267 */     // GIR_Coverage, 11810,
     /* 1774267 */     GIR_EraseRootFromParent_Done,
     /* 1774268 */   // Label 24115: @1774268
     /* 1774268 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1774354), // Rule ID 11813 //
     /* 1774273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774319 */     // MIs[0] policy
     /* 1774319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774329 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774353 */     // GIR_Coverage, 11813,
     /* 1774353 */     GIR_EraseRootFromParent_Done,
     /* 1774354 */   // Label 24116: @1774354
     /* 1774354 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1774440), // Rule ID 11814 //
     /* 1774359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774405 */     // MIs[0] policy
     /* 1774405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774415 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774439 */     // GIR_Coverage, 11814,
     /* 1774439 */     GIR_EraseRootFromParent_Done,
     /* 1774440 */   // Label 24117: @1774440
     /* 1774440 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1774526), // Rule ID 11817 //
     /* 1774445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774491 */     // MIs[0] policy
     /* 1774491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774525 */     // GIR_Coverage, 11817,
     /* 1774525 */     GIR_EraseRootFromParent_Done,
     /* 1774526 */   // Label 24118: @1774526
     /* 1774526 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1774612), // Rule ID 11818 //
     /* 1774531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774577 */     // MIs[0] policy
     /* 1774577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774611 */     // GIR_Coverage, 11818,
     /* 1774611 */     GIR_EraseRootFromParent_Done,
     /* 1774612 */   // Label 24119: @1774612
     /* 1774612 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1774698), // Rule ID 11821 //
     /* 1774617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774663 */     // MIs[0] policy
     /* 1774663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774673 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1774676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774697 */     // GIR_Coverage, 11821,
     /* 1774697 */     GIR_EraseRootFromParent_Done,
     /* 1774698 */   // Label 24120: @1774698
     /* 1774698 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1774784), // Rule ID 11822 //
     /* 1774703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774749 */     // MIs[0] policy
     /* 1774749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774759 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1774762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774783 */     // GIR_Coverage, 11822,
     /* 1774783 */     GIR_EraseRootFromParent_Done,
     /* 1774784 */   // Label 24121: @1774784
     /* 1774784 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1774870), // Rule ID 11825 //
     /* 1774789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774835 */     // MIs[0] policy
     /* 1774835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774845 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1774848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774869 */     // GIR_Coverage, 11825,
     /* 1774869 */     GIR_EraseRootFromParent_Done,
     /* 1774870 */   // Label 24122: @1774870
     /* 1774870 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1774956), // Rule ID 11826 //
     /* 1774875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774921 */     // MIs[0] policy
     /* 1774921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1774934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774955 */     // GIR_Coverage, 11826,
     /* 1774955 */     GIR_EraseRootFromParent_Done,
     /* 1774956 */   // Label 24123: @1774956
     /* 1774956 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1775042), // Rule ID 11829 //
     /* 1774961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1774972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1774975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1774978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775007 */     // MIs[0] policy
     /* 1775007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1775020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775041 */     // GIR_Coverage, 11829,
     /* 1775041 */     GIR_EraseRootFromParent_Done,
     /* 1775042 */   // Label 24124: @1775042
     /* 1775042 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1775128), // Rule ID 11830 //
     /* 1775047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775093 */     // MIs[0] policy
     /* 1775093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1775106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775127 */     // GIR_Coverage, 11830,
     /* 1775127 */     GIR_EraseRootFromParent_Done,
     /* 1775128 */   // Label 24125: @1775128
     /* 1775128 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1775214), // Rule ID 11833 //
     /* 1775133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775179 */     // MIs[0] policy
     /* 1775179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775213 */     // GIR_Coverage, 11833,
     /* 1775213 */     GIR_EraseRootFromParent_Done,
     /* 1775214 */   // Label 24126: @1775214
     /* 1775214 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1775300), // Rule ID 11834 //
     /* 1775219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775265 */     // MIs[0] policy
     /* 1775265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775299 */     // GIR_Coverage, 11834,
     /* 1775299 */     GIR_EraseRootFromParent_Done,
     /* 1775300 */   // Label 24127: @1775300
     /* 1775300 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1775386), // Rule ID 11837 //
     /* 1775305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775351 */     // MIs[0] policy
     /* 1775351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775385 */     // GIR_Coverage, 11837,
     /* 1775385 */     GIR_EraseRootFromParent_Done,
     /* 1775386 */   // Label 24128: @1775386
     /* 1775386 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1775472), // Rule ID 11838 //
     /* 1775391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775437 */     // MIs[0] policy
     /* 1775437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775471 */     // GIR_Coverage, 11838,
     /* 1775471 */     GIR_EraseRootFromParent_Done,
     /* 1775472 */   // Label 24129: @1775472
     /* 1775472 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1775558), // Rule ID 11841 //
     /* 1775477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775523 */     // MIs[0] policy
     /* 1775523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1775536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775557 */     // GIR_Coverage, 11841,
     /* 1775557 */     GIR_EraseRootFromParent_Done,
     /* 1775558 */   // Label 24130: @1775558
     /* 1775558 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1775644), // Rule ID 11842 //
     /* 1775563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775609 */     // MIs[0] policy
     /* 1775609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1775622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775643 */     // GIR_Coverage, 11842,
     /* 1775643 */     GIR_EraseRootFromParent_Done,
     /* 1775644 */   // Label 24131: @1775644
     /* 1775644 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1775730), // Rule ID 11845 //
     /* 1775649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775695 */     // MIs[0] policy
     /* 1775695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775705 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1775708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775729 */     // GIR_Coverage, 11845,
     /* 1775729 */     GIR_EraseRootFromParent_Done,
     /* 1775730 */   // Label 24132: @1775730
     /* 1775730 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1775816), // Rule ID 11846 //
     /* 1775735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775781 */     // MIs[0] policy
     /* 1775781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775791 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1775794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775815 */     // GIR_Coverage, 11846,
     /* 1775815 */     GIR_EraseRootFromParent_Done,
     /* 1775816 */   // Label 24133: @1775816
     /* 1775816 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1775902), // Rule ID 11849 //
     /* 1775821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775867 */     // MIs[0] policy
     /* 1775867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1775880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775901 */     // GIR_Coverage, 11849,
     /* 1775901 */     GIR_EraseRootFromParent_Done,
     /* 1775902 */   // Label 24134: @1775902
     /* 1775902 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1775988), // Rule ID 11850 //
     /* 1775907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775953 */     // MIs[0] policy
     /* 1775953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775963 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1775966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775987 */     // GIR_Coverage, 11850,
     /* 1775987 */     GIR_EraseRootFromParent_Done,
     /* 1775988 */   // Label 24135: @1775988
     /* 1775988 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1776074), // Rule ID 11853 //
     /* 1775993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776039 */     // MIs[0] policy
     /* 1776039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776049 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776073 */     // GIR_Coverage, 11853,
     /* 1776073 */     GIR_EraseRootFromParent_Done,
     /* 1776074 */   // Label 24136: @1776074
     /* 1776074 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1776160), // Rule ID 11854 //
     /* 1776079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776125 */     // MIs[0] policy
     /* 1776125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776135 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776159 */     // GIR_Coverage, 11854,
     /* 1776159 */     GIR_EraseRootFromParent_Done,
     /* 1776160 */   // Label 24137: @1776160
     /* 1776160 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1776246), // Rule ID 11857 //
     /* 1776165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776211 */     // MIs[0] policy
     /* 1776211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776245 */     // GIR_Coverage, 11857,
     /* 1776245 */     GIR_EraseRootFromParent_Done,
     /* 1776246 */   // Label 24138: @1776246
     /* 1776246 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1776332), // Rule ID 11858 //
     /* 1776251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776297 */     // MIs[0] policy
     /* 1776297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776307 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776331 */     // GIR_Coverage, 11858,
     /* 1776331 */     GIR_EraseRootFromParent_Done,
     /* 1776332 */   // Label 24139: @1776332
     /* 1776332 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1776418), // Rule ID 11861 //
     /* 1776337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776383 */     // MIs[0] policy
     /* 1776383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776417 */     // GIR_Coverage, 11861,
     /* 1776417 */     GIR_EraseRootFromParent_Done,
     /* 1776418 */   // Label 24140: @1776418
     /* 1776418 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1776504), // Rule ID 11862 //
     /* 1776423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776469 */     // MIs[0] policy
     /* 1776469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776479 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776503 */     // GIR_Coverage, 11862,
     /* 1776503 */     GIR_EraseRootFromParent_Done,
     /* 1776504 */   // Label 24141: @1776504
     /* 1776504 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1776590), // Rule ID 11865 //
     /* 1776509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776555 */     // MIs[0] policy
     /* 1776555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776565 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1776568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776589 */     // GIR_Coverage, 11865,
     /* 1776589 */     GIR_EraseRootFromParent_Done,
     /* 1776590 */   // Label 24142: @1776590
     /* 1776590 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1776676), // Rule ID 11866 //
     /* 1776595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776641 */     // MIs[0] policy
     /* 1776641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1776654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776675 */     // GIR_Coverage, 11866,
     /* 1776675 */     GIR_EraseRootFromParent_Done,
     /* 1776676 */   // Label 24143: @1776676
     /* 1776676 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1776762), // Rule ID 11869 //
     /* 1776681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776727 */     // MIs[0] policy
     /* 1776727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1776740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776761 */     // GIR_Coverage, 11869,
     /* 1776761 */     GIR_EraseRootFromParent_Done,
     /* 1776762 */   // Label 24144: @1776762
     /* 1776762 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1776848), // Rule ID 11870 //
     /* 1776767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776813 */     // MIs[0] policy
     /* 1776813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1776826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776847 */     // GIR_Coverage, 11870,
     /* 1776847 */     GIR_EraseRootFromParent_Done,
     /* 1776848 */   // Label 24145: @1776848
     /* 1776848 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1776934), // Rule ID 11873 //
     /* 1776853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776899 */     // MIs[0] policy
     /* 1776899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1776912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776933 */     // GIR_Coverage, 11873,
     /* 1776933 */     GIR_EraseRootFromParent_Done,
     /* 1776934 */   // Label 24146: @1776934
     /* 1776934 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1777020), // Rule ID 11874 //
     /* 1776939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776985 */     // MIs[0] policy
     /* 1776985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1776998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777019 */     // GIR_Coverage, 11874,
     /* 1777019 */     GIR_EraseRootFromParent_Done,
     /* 1777020 */   // Label 24147: @1777020
     /* 1777020 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1777106), // Rule ID 11877 //
     /* 1777025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777071 */     // MIs[0] policy
     /* 1777071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777081 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777105 */     // GIR_Coverage, 11877,
     /* 1777105 */     GIR_EraseRootFromParent_Done,
     /* 1777106 */   // Label 24148: @1777106
     /* 1777106 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1777192), // Rule ID 11878 //
     /* 1777111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777157 */     // MIs[0] policy
     /* 1777157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777191 */     // GIR_Coverage, 11878,
     /* 1777191 */     GIR_EraseRootFromParent_Done,
     /* 1777192 */   // Label 24149: @1777192
     /* 1777192 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1777278), // Rule ID 11881 //
     /* 1777197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777243 */     // MIs[0] policy
     /* 1777243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777253 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777277 */     // GIR_Coverage, 11881,
     /* 1777277 */     GIR_EraseRootFromParent_Done,
     /* 1777278 */   // Label 24150: @1777278
     /* 1777278 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1777364), // Rule ID 11882 //
     /* 1777283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777329 */     // MIs[0] policy
     /* 1777329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777363 */     // GIR_Coverage, 11882,
     /* 1777363 */     GIR_EraseRootFromParent_Done,
     /* 1777364 */   // Label 24151: @1777364
     /* 1777364 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1777450), // Rule ID 11885 //
     /* 1777369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777415 */     // MIs[0] policy
     /* 1777415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777449 */     // GIR_Coverage, 11885,
     /* 1777449 */     GIR_EraseRootFromParent_Done,
     /* 1777450 */   // Label 24152: @1777450
     /* 1777450 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1777536), // Rule ID 11886 //
     /* 1777455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777501 */     // MIs[0] policy
     /* 1777501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777535 */     // GIR_Coverage, 11886,
     /* 1777535 */     GIR_EraseRootFromParent_Done,
     /* 1777536 */   // Label 24153: @1777536
     /* 1777536 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1777622), // Rule ID 11889 //
     /* 1777541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777587 */     // MIs[0] policy
     /* 1777587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1777600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777621 */     // GIR_Coverage, 11889,
     /* 1777621 */     GIR_EraseRootFromParent_Done,
     /* 1777622 */   // Label 24154: @1777622
     /* 1777622 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1777708), // Rule ID 11890 //
     /* 1777627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777673 */     // MIs[0] policy
     /* 1777673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1777686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777707 */     // GIR_Coverage, 11890,
     /* 1777707 */     GIR_EraseRootFromParent_Done,
     /* 1777708 */   // Label 24155: @1777708
     /* 1777708 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1777794), // Rule ID 11893 //
     /* 1777713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777759 */     // MIs[0] policy
     /* 1777759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1777772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777793 */     // GIR_Coverage, 11893,
     /* 1777793 */     GIR_EraseRootFromParent_Done,
     /* 1777794 */   // Label 24156: @1777794
     /* 1777794 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1777880), // Rule ID 11894 //
     /* 1777799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777845 */     // MIs[0] policy
     /* 1777845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777855 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1777858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777879 */     // GIR_Coverage, 11894,
     /* 1777879 */     GIR_EraseRootFromParent_Done,
     /* 1777880 */   // Label 24157: @1777880
     /* 1777880 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1777966), // Rule ID 11897 //
     /* 1777885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777931 */     // MIs[0] policy
     /* 1777931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777941 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1777944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777965 */     // GIR_Coverage, 11897,
     /* 1777965 */     GIR_EraseRootFromParent_Done,
     /* 1777966 */   // Label 24158: @1777966
     /* 1777966 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1778052), // Rule ID 11898 //
     /* 1777971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778017 */     // MIs[0] policy
     /* 1778017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1778030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778051 */     // GIR_Coverage, 11898,
     /* 1778051 */     GIR_EraseRootFromParent_Done,
     /* 1778052 */   // Label 24159: @1778052
     /* 1778052 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1778138), // Rule ID 11901 //
     /* 1778057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778103 */     // MIs[0] policy
     /* 1778103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778137 */     // GIR_Coverage, 11901,
     /* 1778137 */     GIR_EraseRootFromParent_Done,
     /* 1778138 */   // Label 24160: @1778138
     /* 1778138 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1778224), // Rule ID 11902 //
     /* 1778143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778189 */     // MIs[0] policy
     /* 1778189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778199 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778223 */     // GIR_Coverage, 11902,
     /* 1778223 */     GIR_EraseRootFromParent_Done,
     /* 1778224 */   // Label 24161: @1778224
     /* 1778224 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1778310), // Rule ID 11905 //
     /* 1778229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778275 */     // MIs[0] policy
     /* 1778275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778285 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778309 */     // GIR_Coverage, 11905,
     /* 1778309 */     GIR_EraseRootFromParent_Done,
     /* 1778310 */   // Label 24162: @1778310
     /* 1778310 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1778396), // Rule ID 11906 //
     /* 1778315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778361 */     // MIs[0] policy
     /* 1778361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778371 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778395 */     // GIR_Coverage, 11906,
     /* 1778395 */     GIR_EraseRootFromParent_Done,
     /* 1778396 */   // Label 24163: @1778396
     /* 1778396 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1778482), // Rule ID 11909 //
     /* 1778401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778447 */     // MIs[0] policy
     /* 1778447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778457 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778481 */     // GIR_Coverage, 11909,
     /* 1778481 */     GIR_EraseRootFromParent_Done,
     /* 1778482 */   // Label 24164: @1778482
     /* 1778482 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1778568), // Rule ID 11910 //
     /* 1778487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778533 */     // MIs[0] policy
     /* 1778533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778543 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778567 */     // GIR_Coverage, 11910,
     /* 1778567 */     GIR_EraseRootFromParent_Done,
     /* 1778568 */   // Label 24165: @1778568
     /* 1778568 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1778654), // Rule ID 11913 //
     /* 1778573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778619 */     // MIs[0] policy
     /* 1778619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778629 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1778632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778653 */     // GIR_Coverage, 11913,
     /* 1778653 */     GIR_EraseRootFromParent_Done,
     /* 1778654 */   // Label 24166: @1778654
     /* 1778654 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1778740), // Rule ID 11914 //
     /* 1778659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778705 */     // MIs[0] policy
     /* 1778705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1778718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778739 */     // GIR_Coverage, 11914,
     /* 1778739 */     GIR_EraseRootFromParent_Done,
     /* 1778740 */   // Label 24167: @1778740
     /* 1778740 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1778826), // Rule ID 11917 //
     /* 1778745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1778765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778791 */     // MIs[0] policy
     /* 1778791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778801 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1778804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778825 */     // GIR_Coverage, 11917,
     /* 1778825 */     GIR_EraseRootFromParent_Done,
     /* 1778826 */   // Label 24168: @1778826
     /* 1778826 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1778912), // Rule ID 11918 //
     /* 1778831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1778851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778877 */     // MIs[0] policy
     /* 1778877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778887 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1778890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778911 */     // GIR_Coverage, 11918,
     /* 1778911 */     GIR_EraseRootFromParent_Done,
     /* 1778912 */   // Label 24169: @1778912
     /* 1778912 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1778998), // Rule ID 11921 //
     /* 1778917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1778937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778963 */     // MIs[0] policy
     /* 1778963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1778976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778997 */     // GIR_Coverage, 11921,
     /* 1778997 */     GIR_EraseRootFromParent_Done,
     /* 1778998 */   // Label 24170: @1778998
     /* 1778998 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1779084), // Rule ID 11922 //
     /* 1779003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1779023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779049 */     // MIs[0] policy
     /* 1779049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1779062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779083 */     // GIR_Coverage, 11922,
     /* 1779083 */     GIR_EraseRootFromParent_Done,
     /* 1779084 */   // Label 24171: @1779084
     /* 1779084 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1779170), // Rule ID 11925 //
     /* 1779089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779135 */     // MIs[0] policy
     /* 1779135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779145 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779169 */     // GIR_Coverage, 11925,
     /* 1779169 */     GIR_EraseRootFromParent_Done,
     /* 1779170 */   // Label 24172: @1779170
     /* 1779170 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1779256), // Rule ID 11926 //
     /* 1779175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779221 */     // MIs[0] policy
     /* 1779221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779255 */     // GIR_Coverage, 11926,
     /* 1779255 */     GIR_EraseRootFromParent_Done,
     /* 1779256 */   // Label 24173: @1779256
     /* 1779256 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1779342), // Rule ID 11929 //
     /* 1779261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779307 */     // MIs[0] policy
     /* 1779307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779341 */     // GIR_Coverage, 11929,
     /* 1779341 */     GIR_EraseRootFromParent_Done,
     /* 1779342 */   // Label 24174: @1779342
     /* 1779342 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1779428), // Rule ID 11930 //
     /* 1779347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779393 */     // MIs[0] policy
     /* 1779393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779427 */     // GIR_Coverage, 11930,
     /* 1779427 */     GIR_EraseRootFromParent_Done,
     /* 1779428 */   // Label 24175: @1779428
     /* 1779428 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1779514), // Rule ID 11933 //
     /* 1779433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779479 */     // MIs[0] policy
     /* 1779479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779489 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779513 */     // GIR_Coverage, 11933,
     /* 1779513 */     GIR_EraseRootFromParent_Done,
     /* 1779514 */   // Label 24176: @1779514
     /* 1779514 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1779600), // Rule ID 11934 //
     /* 1779519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779565 */     // MIs[0] policy
     /* 1779565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779575 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779599 */     // GIR_Coverage, 11934,
     /* 1779599 */     GIR_EraseRootFromParent_Done,
     /* 1779600 */   // Label 24177: @1779600
     /* 1779600 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1779686), // Rule ID 11937 //
     /* 1779605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779651 */     // MIs[0] policy
     /* 1779651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779661 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1779664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779685 */     // GIR_Coverage, 11937,
     /* 1779685 */     GIR_EraseRootFromParent_Done,
     /* 1779686 */   // Label 24178: @1779686
     /* 1779686 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1779772), // Rule ID 11938 //
     /* 1779691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779737 */     // MIs[0] policy
     /* 1779737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1779750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779771 */     // GIR_Coverage, 11938,
     /* 1779771 */     GIR_EraseRootFromParent_Done,
     /* 1779772 */   // Label 24179: @1779772
     /* 1779772 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1779858), // Rule ID 11941 //
     /* 1779777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1779797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779823 */     // MIs[0] policy
     /* 1779823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779833 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1779836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779857 */     // GIR_Coverage, 11941,
     /* 1779857 */     GIR_EraseRootFromParent_Done,
     /* 1779858 */   // Label 24180: @1779858
     /* 1779858 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1779944), // Rule ID 11942 //
     /* 1779863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1779883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779909 */     // MIs[0] policy
     /* 1779909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779919 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1779922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779943 */     // GIR_Coverage, 11942,
     /* 1779943 */     GIR_EraseRootFromParent_Done,
     /* 1779944 */   // Label 24181: @1779944
     /* 1779944 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1780030), // Rule ID 11945 //
     /* 1779949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1779966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1779969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779995 */     // MIs[0] policy
     /* 1779995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780005 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1780008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780029 */     // GIR_Coverage, 11945,
     /* 1780029 */     GIR_EraseRootFromParent_Done,
     /* 1780030 */   // Label 24182: @1780030
     /* 1780030 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1780116), // Rule ID 11946 //
     /* 1780035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780081 */     // MIs[0] policy
     /* 1780081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1780094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780115 */     // GIR_Coverage, 11946,
     /* 1780115 */     GIR_EraseRootFromParent_Done,
     /* 1780116 */   // Label 24183: @1780116
     /* 1780116 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1780202), // Rule ID 11949 //
     /* 1780121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780167 */     // MIs[0] policy
     /* 1780167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780201 */     // GIR_Coverage, 11949,
     /* 1780201 */     GIR_EraseRootFromParent_Done,
     /* 1780202 */   // Label 24184: @1780202
     /* 1780202 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1780288), // Rule ID 11950 //
     /* 1780207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780253 */     // MIs[0] policy
     /* 1780253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780263 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780287 */     // GIR_Coverage, 11950,
     /* 1780287 */     GIR_EraseRootFromParent_Done,
     /* 1780288 */   // Label 24185: @1780288
     /* 1780288 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1780374), // Rule ID 11953 //
     /* 1780293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780339 */     // MIs[0] policy
     /* 1780339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780349 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780373 */     // GIR_Coverage, 11953,
     /* 1780373 */     GIR_EraseRootFromParent_Done,
     /* 1780374 */   // Label 24186: @1780374
     /* 1780374 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1780460), // Rule ID 11954 //
     /* 1780379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780425 */     // MIs[0] policy
     /* 1780425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780459 */     // GIR_Coverage, 11954,
     /* 1780459 */     GIR_EraseRootFromParent_Done,
     /* 1780460 */   // Label 24187: @1780460
     /* 1780460 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1780546), // Rule ID 11957 //
     /* 1780465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780511 */     // MIs[0] policy
     /* 1780511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780545 */     // GIR_Coverage, 11957,
     /* 1780545 */     GIR_EraseRootFromParent_Done,
     /* 1780546 */   // Label 24188: @1780546
     /* 1780546 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1780632), // Rule ID 11958 //
     /* 1780551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780597 */     // MIs[0] policy
     /* 1780597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780607 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780631 */     // GIR_Coverage, 11958,
     /* 1780631 */     GIR_EraseRootFromParent_Done,
     /* 1780632 */   // Label 24189: @1780632
     /* 1780632 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1780718), // Rule ID 11961 //
     /* 1780637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1780657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780683 */     // MIs[0] policy
     /* 1780683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1780696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780717 */     // GIR_Coverage, 11961,
     /* 1780717 */     GIR_EraseRootFromParent_Done,
     /* 1780718 */   // Label 24190: @1780718
     /* 1780718 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1780804), // Rule ID 11962 //
     /* 1780723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1780743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780769 */     // MIs[0] policy
     /* 1780769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780779 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1780782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780803 */     // GIR_Coverage, 11962,
     /* 1780803 */     GIR_EraseRootFromParent_Done,
     /* 1780804 */   // Label 24191: @1780804
     /* 1780804 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1780890), // Rule ID 11965 //
     /* 1780809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1780829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780855 */     // MIs[0] policy
     /* 1780855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780865 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1780868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780889 */     // GIR_Coverage, 11965,
     /* 1780889 */     GIR_EraseRootFromParent_Done,
     /* 1780890 */   // Label 24192: @1780890
     /* 1780890 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1780976), // Rule ID 11966 //
     /* 1780895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1780915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780941 */     // MIs[0] policy
     /* 1780941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1780954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780975 */     // GIR_Coverage, 11966,
     /* 1780975 */     GIR_EraseRootFromParent_Done,
     /* 1780976 */   // Label 24193: @1780976
     /* 1780976 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1781062), // Rule ID 11969 //
     /* 1780981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1780992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1780995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1780998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1781001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781027 */     // MIs[0] policy
     /* 1781027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1781040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781061 */     // GIR_Coverage, 11969,
     /* 1781061 */     GIR_EraseRootFromParent_Done,
     /* 1781062 */   // Label 24194: @1781062
     /* 1781062 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1781148), // Rule ID 11970 //
     /* 1781067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1781087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781113 */     // MIs[0] policy
     /* 1781113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781123 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1781126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781147 */     // GIR_Coverage, 11970,
     /* 1781147 */     GIR_EraseRootFromParent_Done,
     /* 1781148 */   // Label 24195: @1781148
     /* 1781148 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1781234), // Rule ID 11973 //
     /* 1781153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781199 */     // MIs[0] policy
     /* 1781199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781209 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781233 */     // GIR_Coverage, 11973,
     /* 1781233 */     GIR_EraseRootFromParent_Done,
     /* 1781234 */   // Label 24196: @1781234
     /* 1781234 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1781320), // Rule ID 11974 //
     /* 1781239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781285 */     // MIs[0] policy
     /* 1781285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781295 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781319 */     // GIR_Coverage, 11974,
     /* 1781319 */     GIR_EraseRootFromParent_Done,
     /* 1781320 */   // Label 24197: @1781320
     /* 1781320 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1781406), // Rule ID 11977 //
     /* 1781325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781371 */     // MIs[0] policy
     /* 1781371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781381 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781405 */     // GIR_Coverage, 11977,
     /* 1781405 */     GIR_EraseRootFromParent_Done,
     /* 1781406 */   // Label 24198: @1781406
     /* 1781406 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1781492), // Rule ID 11978 //
     /* 1781411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781457 */     // MIs[0] policy
     /* 1781457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781491 */     // GIR_Coverage, 11978,
     /* 1781491 */     GIR_EraseRootFromParent_Done,
     /* 1781492 */   // Label 24199: @1781492
     /* 1781492 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1781578), // Rule ID 11981 //
     /* 1781497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781543 */     // MIs[0] policy
     /* 1781543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781553 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1781556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781577 */     // GIR_Coverage, 11981,
     /* 1781577 */     GIR_EraseRootFromParent_Done,
     /* 1781578 */   // Label 24200: @1781578
     /* 1781578 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1781664), // Rule ID 11982 //
     /* 1781583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781629 */     // MIs[0] policy
     /* 1781629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781639 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1781642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781663 */     // GIR_Coverage, 11982,
     /* 1781663 */     GIR_EraseRootFromParent_Done,
     /* 1781664 */   // Label 24201: @1781664
     /* 1781664 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1781750), // Rule ID 11985 //
     /* 1781669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781715 */     // MIs[0] policy
     /* 1781715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781725 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1781728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781749 */     // GIR_Coverage, 11985,
     /* 1781749 */     GIR_EraseRootFromParent_Done,
     /* 1781750 */   // Label 24202: @1781750
     /* 1781750 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1781836), // Rule ID 11986 //
     /* 1781755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781801 */     // MIs[0] policy
     /* 1781801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781811 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1781814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781835 */     // GIR_Coverage, 11986,
     /* 1781835 */     GIR_EraseRootFromParent_Done,
     /* 1781836 */   // Label 24203: @1781836
     /* 1781836 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1781922), // Rule ID 11989 //
     /* 1781841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781887 */     // MIs[0] policy
     /* 1781887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781897 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1781900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781921 */     // GIR_Coverage, 11989,
     /* 1781921 */     GIR_EraseRootFromParent_Done,
     /* 1781922 */   // Label 24204: @1781922
     /* 1781922 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1782008), // Rule ID 11990 //
     /* 1781927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781973 */     // MIs[0] policy
     /* 1781973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1781986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782007 */     // GIR_Coverage, 11990,
     /* 1782007 */     GIR_EraseRootFromParent_Done,
     /* 1782008 */   // Label 24205: @1782008
     /* 1782008 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1782094), // Rule ID 11993 //
     /* 1782013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782059 */     // MIs[0] policy
     /* 1782059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782093 */     // GIR_Coverage, 11993,
     /* 1782093 */     GIR_EraseRootFromParent_Done,
     /* 1782094 */   // Label 24206: @1782094
     /* 1782094 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1782180), // Rule ID 11994 //
     /* 1782099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782145 */     // MIs[0] policy
     /* 1782145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782155 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782179 */     // GIR_Coverage, 11994,
     /* 1782179 */     GIR_EraseRootFromParent_Done,
     /* 1782180 */   // Label 24207: @1782180
     /* 1782180 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1782266), // Rule ID 11997 //
     /* 1782185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782231 */     // MIs[0] policy
     /* 1782231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782241 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782265 */     // GIR_Coverage, 11997,
     /* 1782265 */     GIR_EraseRootFromParent_Done,
     /* 1782266 */   // Label 24208: @1782266
     /* 1782266 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1782352), // Rule ID 11998 //
     /* 1782271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782317 */     // MIs[0] policy
     /* 1782317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782327 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782351 */     // GIR_Coverage, 11998,
     /* 1782351 */     GIR_EraseRootFromParent_Done,
     /* 1782352 */   // Label 24209: @1782352
     /* 1782352 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1782438), // Rule ID 12001 //
     /* 1782357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782403 */     // MIs[0] policy
     /* 1782403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782413 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782437 */     // GIR_Coverage, 12001,
     /* 1782437 */     GIR_EraseRootFromParent_Done,
     /* 1782438 */   // Label 24210: @1782438
     /* 1782438 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1782524), // Rule ID 12002 //
     /* 1782443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782489 */     // MIs[0] policy
     /* 1782489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782523 */     // GIR_Coverage, 12002,
     /* 1782523 */     GIR_EraseRootFromParent_Done,
     /* 1782524 */   // Label 24211: @1782524
     /* 1782524 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1782610), // Rule ID 12005 //
     /* 1782529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782575 */     // MIs[0] policy
     /* 1782575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782585 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1782588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782609 */     // GIR_Coverage, 12005,
     /* 1782609 */     GIR_EraseRootFromParent_Done,
     /* 1782610 */   // Label 24212: @1782610
     /* 1782610 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1782696), // Rule ID 12006 //
     /* 1782615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782661 */     // MIs[0] policy
     /* 1782661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1782674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782695 */     // GIR_Coverage, 12006,
     /* 1782695 */     GIR_EraseRootFromParent_Done,
     /* 1782696 */   // Label 24213: @1782696
     /* 1782696 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1782782), // Rule ID 12009 //
     /* 1782701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782747 */     // MIs[0] policy
     /* 1782747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1782760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782781 */     // GIR_Coverage, 12009,
     /* 1782781 */     GIR_EraseRootFromParent_Done,
     /* 1782782 */   // Label 24214: @1782782
     /* 1782782 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1782868), // Rule ID 12010 //
     /* 1782787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782833 */     // MIs[0] policy
     /* 1782833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1782846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782867 */     // GIR_Coverage, 12010,
     /* 1782867 */     GIR_EraseRootFromParent_Done,
     /* 1782868 */   // Label 24215: @1782868
     /* 1782868 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1782954), // Rule ID 12013 //
     /* 1782873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782919 */     // MIs[0] policy
     /* 1782919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1782932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782953 */     // GIR_Coverage, 12013,
     /* 1782953 */     GIR_EraseRootFromParent_Done,
     /* 1782954 */   // Label 24216: @1782954
     /* 1782954 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1783040), // Rule ID 12014 //
     /* 1782959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783005 */     // MIs[0] policy
     /* 1783005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783015 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1783018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783039 */     // GIR_Coverage, 12014,
     /* 1783039 */     GIR_EraseRootFromParent_Done,
     /* 1783040 */   // Label 24217: @1783040
     /* 1783040 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1783126), // Rule ID 12017 //
     /* 1783045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783091 */     // MIs[0] policy
     /* 1783091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783125 */     // GIR_Coverage, 12017,
     /* 1783125 */     GIR_EraseRootFromParent_Done,
     /* 1783126 */   // Label 24218: @1783126
     /* 1783126 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1783212), // Rule ID 12018 //
     /* 1783131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783177 */     // MIs[0] policy
     /* 1783177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783187 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783211 */     // GIR_Coverage, 12018,
     /* 1783211 */     GIR_EraseRootFromParent_Done,
     /* 1783212 */   // Label 24219: @1783212
     /* 1783212 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1783298), // Rule ID 12021 //
     /* 1783217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783263 */     // MIs[0] policy
     /* 1783263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783297 */     // GIR_Coverage, 12021,
     /* 1783297 */     GIR_EraseRootFromParent_Done,
     /* 1783298 */   // Label 24220: @1783298
     /* 1783298 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1783384), // Rule ID 12022 //
     /* 1783303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783349 */     // MIs[0] policy
     /* 1783349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783383 */     // GIR_Coverage, 12022,
     /* 1783383 */     GIR_EraseRootFromParent_Done,
     /* 1783384 */   // Label 24221: @1783384
     /* 1783384 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1783470), // Rule ID 12025 //
     /* 1783389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783435 */     // MIs[0] policy
     /* 1783435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783445 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783469 */     // GIR_Coverage, 12025,
     /* 1783469 */     GIR_EraseRootFromParent_Done,
     /* 1783470 */   // Label 24222: @1783470
     /* 1783470 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1783556), // Rule ID 12026 //
     /* 1783475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783521 */     // MIs[0] policy
     /* 1783521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783531 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783555 */     // GIR_Coverage, 12026,
     /* 1783555 */     GIR_EraseRootFromParent_Done,
     /* 1783556 */   // Label 24223: @1783556
     /* 1783556 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1783642), // Rule ID 12029 //
     /* 1783561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783607 */     // MIs[0] policy
     /* 1783607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783617 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1783620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783641 */     // GIR_Coverage, 12029,
     /* 1783641 */     GIR_EraseRootFromParent_Done,
     /* 1783642 */   // Label 24224: @1783642
     /* 1783642 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1783728), // Rule ID 12030 //
     /* 1783647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783693 */     // MIs[0] policy
     /* 1783693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1783706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783727 */     // GIR_Coverage, 12030,
     /* 1783727 */     GIR_EraseRootFromParent_Done,
     /* 1783728 */   // Label 24225: @1783728
     /* 1783728 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1783814), // Rule ID 12033 //
     /* 1783733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783779 */     // MIs[0] policy
     /* 1783779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1783792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783813 */     // GIR_Coverage, 12033,
     /* 1783813 */     GIR_EraseRootFromParent_Done,
     /* 1783814 */   // Label 24226: @1783814
     /* 1783814 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1783900), // Rule ID 12034 //
     /* 1783819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783865 */     // MIs[0] policy
     /* 1783865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1783878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783899 */     // GIR_Coverage, 12034,
     /* 1783899 */     GIR_EraseRootFromParent_Done,
     /* 1783900 */   // Label 24227: @1783900
     /* 1783900 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1783986), // Rule ID 12037 //
     /* 1783905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783951 */     // MIs[0] policy
     /* 1783951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783961 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1783964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783985 */     // GIR_Coverage, 12037,
     /* 1783985 */     GIR_EraseRootFromParent_Done,
     /* 1783986 */   // Label 24228: @1783986
     /* 1783986 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1784072), // Rule ID 12038 //
     /* 1783991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784037 */     // MIs[0] policy
     /* 1784037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1784050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784071 */     // GIR_Coverage, 12038,
     /* 1784071 */     GIR_EraseRootFromParent_Done,
     /* 1784072 */   // Label 24229: @1784072
     /* 1784072 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1784158), // Rule ID 12041 //
     /* 1784077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784123 */     // MIs[0] policy
     /* 1784123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784133 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784157 */     // GIR_Coverage, 12041,
     /* 1784157 */     GIR_EraseRootFromParent_Done,
     /* 1784158 */   // Label 24230: @1784158
     /* 1784158 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1784244), // Rule ID 12042 //
     /* 1784163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784209 */     // MIs[0] policy
     /* 1784209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784243 */     // GIR_Coverage, 12042,
     /* 1784243 */     GIR_EraseRootFromParent_Done,
     /* 1784244 */   // Label 24231: @1784244
     /* 1784244 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1784330), // Rule ID 12045 //
     /* 1784249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784295 */     // MIs[0] policy
     /* 1784295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784329 */     // GIR_Coverage, 12045,
     /* 1784329 */     GIR_EraseRootFromParent_Done,
     /* 1784330 */   // Label 24232: @1784330
     /* 1784330 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1784416), // Rule ID 12046 //
     /* 1784335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784381 */     // MIs[0] policy
     /* 1784381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784415 */     // GIR_Coverage, 12046,
     /* 1784415 */     GIR_EraseRootFromParent_Done,
     /* 1784416 */   // Label 24233: @1784416
     /* 1784416 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1784502), // Rule ID 12049 //
     /* 1784421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784467 */     // MIs[0] policy
     /* 1784467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784501 */     // GIR_Coverage, 12049,
     /* 1784501 */     GIR_EraseRootFromParent_Done,
     /* 1784502 */   // Label 24234: @1784502
     /* 1784502 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1784588), // Rule ID 12050 //
     /* 1784507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784553 */     // MIs[0] policy
     /* 1784553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784587 */     // GIR_Coverage, 12050,
     /* 1784587 */     GIR_EraseRootFromParent_Done,
     /* 1784588 */   // Label 24235: @1784588
     /* 1784588 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1784674), // Rule ID 12053 //
     /* 1784593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784639 */     // MIs[0] policy
     /* 1784639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784649 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1784652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784673 */     // GIR_Coverage, 12053,
     /* 1784673 */     GIR_EraseRootFromParent_Done,
     /* 1784674 */   // Label 24236: @1784674
     /* 1784674 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1784760), // Rule ID 12054 //
     /* 1784679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784725 */     // MIs[0] policy
     /* 1784725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1784738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784759 */     // GIR_Coverage, 12054,
     /* 1784759 */     GIR_EraseRootFromParent_Done,
     /* 1784760 */   // Label 24237: @1784760
     /* 1784760 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1784846), // Rule ID 12057 //
     /* 1784765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784811 */     // MIs[0] policy
     /* 1784811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1784824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784845 */     // GIR_Coverage, 12057,
     /* 1784845 */     GIR_EraseRootFromParent_Done,
     /* 1784846 */   // Label 24238: @1784846
     /* 1784846 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1784932), // Rule ID 12058 //
     /* 1784851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784897 */     // MIs[0] policy
     /* 1784897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784907 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1784910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784931 */     // GIR_Coverage, 12058,
     /* 1784931 */     GIR_EraseRootFromParent_Done,
     /* 1784932 */   // Label 24239: @1784932
     /* 1784932 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1785018), // Rule ID 12061 //
     /* 1784937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784983 */     // MIs[0] policy
     /* 1784983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784993 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1784996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785017 */     // GIR_Coverage, 12061,
     /* 1785017 */     GIR_EraseRootFromParent_Done,
     /* 1785018 */   // Label 24240: @1785018
     /* 1785018 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1785104), // Rule ID 12062 //
     /* 1785023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785069 */     // MIs[0] policy
     /* 1785069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785079 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1785082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785103 */     // GIR_Coverage, 12062,
     /* 1785103 */     GIR_EraseRootFromParent_Done,
     /* 1785104 */   // Label 24241: @1785104
     /* 1785104 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1785190), // Rule ID 12065 //
     /* 1785109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785155 */     // MIs[0] policy
     /* 1785155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785165 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785189 */     // GIR_Coverage, 12065,
     /* 1785189 */     GIR_EraseRootFromParent_Done,
     /* 1785190 */   // Label 24242: @1785190
     /* 1785190 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1785276), // Rule ID 12066 //
     /* 1785195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785241 */     // MIs[0] policy
     /* 1785241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785251 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785275 */     // GIR_Coverage, 12066,
     /* 1785275 */     GIR_EraseRootFromParent_Done,
     /* 1785276 */   // Label 24243: @1785276
     /* 1785276 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1785362), // Rule ID 12069 //
     /* 1785281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785327 */     // MIs[0] policy
     /* 1785327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785337 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785361 */     // GIR_Coverage, 12069,
     /* 1785361 */     GIR_EraseRootFromParent_Done,
     /* 1785362 */   // Label 24244: @1785362
     /* 1785362 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1785448), // Rule ID 12070 //
     /* 1785367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785413 */     // MIs[0] policy
     /* 1785413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785447 */     // GIR_Coverage, 12070,
     /* 1785447 */     GIR_EraseRootFromParent_Done,
     /* 1785448 */   // Label 24245: @1785448
     /* 1785448 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1785534), // Rule ID 12073 //
     /* 1785453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785499 */     // MIs[0] policy
     /* 1785499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785533 */     // GIR_Coverage, 12073,
     /* 1785533 */     GIR_EraseRootFromParent_Done,
     /* 1785534 */   // Label 24246: @1785534
     /* 1785534 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1785620), // Rule ID 12074 //
     /* 1785539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785585 */     // MIs[0] policy
     /* 1785585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785619 */     // GIR_Coverage, 12074,
     /* 1785619 */     GIR_EraseRootFromParent_Done,
     /* 1785620 */   // Label 24247: @1785620
     /* 1785620 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1785706), // Rule ID 12077 //
     /* 1785625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1785645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785671 */     // MIs[0] policy
     /* 1785671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785681 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1785684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785705 */     // GIR_Coverage, 12077,
     /* 1785705 */     GIR_EraseRootFromParent_Done,
     /* 1785706 */   // Label 24248: @1785706
     /* 1785706 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1785792), // Rule ID 12078 //
     /* 1785711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1785731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785757 */     // MIs[0] policy
     /* 1785757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1785770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785791 */     // GIR_Coverage, 12078,
     /* 1785791 */     GIR_EraseRootFromParent_Done,
     /* 1785792 */   // Label 24249: @1785792
     /* 1785792 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1785878), // Rule ID 12081 //
     /* 1785797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1785817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785843 */     // MIs[0] policy
     /* 1785843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1785856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785877 */     // GIR_Coverage, 12081,
     /* 1785877 */     GIR_EraseRootFromParent_Done,
     /* 1785878 */   // Label 24250: @1785878
     /* 1785878 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1785964), // Rule ID 12082 //
     /* 1785883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1785903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785929 */     // MIs[0] policy
     /* 1785929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1785942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785963 */     // GIR_Coverage, 12082,
     /* 1785963 */     GIR_EraseRootFromParent_Done,
     /* 1785964 */   // Label 24251: @1785964
     /* 1785964 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1786050), // Rule ID 12085 //
     /* 1785969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1785980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1785983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1785986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1785989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786015 */     // MIs[0] policy
     /* 1786015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786025 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1786028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786049 */     // GIR_Coverage, 12085,
     /* 1786049 */     GIR_EraseRootFromParent_Done,
     /* 1786050 */   // Label 24252: @1786050
     /* 1786050 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1786136), // Rule ID 12086 //
     /* 1786055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1786075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786101 */     // MIs[0] policy
     /* 1786101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1786114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786135 */     // GIR_Coverage, 12086,
     /* 1786135 */     GIR_EraseRootFromParent_Done,
     /* 1786136 */   // Label 24253: @1786136
     /* 1786136 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1786222), // Rule ID 12089 //
     /* 1786141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786187 */     // MIs[0] policy
     /* 1786187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786221 */     // GIR_Coverage, 12089,
     /* 1786221 */     GIR_EraseRootFromParent_Done,
     /* 1786222 */   // Label 24254: @1786222
     /* 1786222 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1786308), // Rule ID 12090 //
     /* 1786227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786273 */     // MIs[0] policy
     /* 1786273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786307 */     // GIR_Coverage, 12090,
     /* 1786307 */     GIR_EraseRootFromParent_Done,
     /* 1786308 */   // Label 24255: @1786308
     /* 1786308 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1786394), // Rule ID 12093 //
     /* 1786313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786359 */     // MIs[0] policy
     /* 1786359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786369 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786393 */     // GIR_Coverage, 12093,
     /* 1786393 */     GIR_EraseRootFromParent_Done,
     /* 1786394 */   // Label 24256: @1786394
     /* 1786394 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1786480), // Rule ID 12094 //
     /* 1786399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786445 */     // MIs[0] policy
     /* 1786445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786479 */     // GIR_Coverage, 12094,
     /* 1786479 */     GIR_EraseRootFromParent_Done,
     /* 1786480 */   // Label 24257: @1786480
     /* 1786480 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1786566), // Rule ID 12097 //
     /* 1786485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786531 */     // MIs[0] policy
     /* 1786531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1786544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786565 */     // GIR_Coverage, 12097,
     /* 1786565 */     GIR_EraseRootFromParent_Done,
     /* 1786566 */   // Label 24258: @1786566
     /* 1786566 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1786652), // Rule ID 12098 //
     /* 1786571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786617 */     // MIs[0] policy
     /* 1786617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1786630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786651 */     // GIR_Coverage, 12098,
     /* 1786651 */     GIR_EraseRootFromParent_Done,
     /* 1786652 */   // Label 24259: @1786652
     /* 1786652 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1786738), // Rule ID 12101 //
     /* 1786657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1786677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786703 */     // MIs[0] policy
     /* 1786703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1786716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786737 */     // GIR_Coverage, 12101,
     /* 1786737 */     GIR_EraseRootFromParent_Done,
     /* 1786738 */   // Label 24260: @1786738
     /* 1786738 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1786824), // Rule ID 12102 //
     /* 1786743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1786763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786789 */     // MIs[0] policy
     /* 1786789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1786802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786823 */     // GIR_Coverage, 12102,
     /* 1786823 */     GIR_EraseRootFromParent_Done,
     /* 1786824 */   // Label 24261: @1786824
     /* 1786824 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1786910), // Rule ID 12105 //
     /* 1786829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1786832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786875 */     // MIs[0] policy
     /* 1786875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786885 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1786888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786909 */     // GIR_Coverage, 12105,
     /* 1786909 */     GIR_EraseRootFromParent_Done,
     /* 1786910 */   // Label 24262: @1786910
     /* 1786910 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1786996), // Rule ID 12106 //
     /* 1786915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786961 */     // MIs[0] policy
     /* 1786961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1786974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786995 */     // GIR_Coverage, 12106,
     /* 1786995 */     GIR_EraseRootFromParent_Done,
     /* 1786996 */   // Label 24263: @1786996
     /* 1786996 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1787082), // Rule ID 12109 //
     /* 1787001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787047 */     // MIs[0] policy
     /* 1787047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787057 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787081 */     // GIR_Coverage, 12109,
     /* 1787081 */     GIR_EraseRootFromParent_Done,
     /* 1787082 */   // Label 24264: @1787082
     /* 1787082 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1787168), // Rule ID 12110 //
     /* 1787087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787133 */     // MIs[0] policy
     /* 1787133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787143 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787167 */     // GIR_Coverage, 12110,
     /* 1787167 */     GIR_EraseRootFromParent_Done,
     /* 1787168 */   // Label 24265: @1787168
     /* 1787168 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1787254), // Rule ID 12113 //
     /* 1787173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787219 */     // MIs[0] policy
     /* 1787219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787229 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787253 */     // GIR_Coverage, 12113,
     /* 1787253 */     GIR_EraseRootFromParent_Done,
     /* 1787254 */   // Label 24266: @1787254
     /* 1787254 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1787340), // Rule ID 12114 //
     /* 1787259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787305 */     // MIs[0] policy
     /* 1787305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787315 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787339 */     // GIR_Coverage, 12114,
     /* 1787339 */     GIR_EraseRootFromParent_Done,
     /* 1787340 */   // Label 24267: @1787340
     /* 1787340 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1787426), // Rule ID 12117 //
     /* 1787345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787391 */     // MIs[0] policy
     /* 1787391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787401 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787425 */     // GIR_Coverage, 12117,
     /* 1787425 */     GIR_EraseRootFromParent_Done,
     /* 1787426 */   // Label 24268: @1787426
     /* 1787426 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1787512), // Rule ID 12118 //
     /* 1787431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787477 */     // MIs[0] policy
     /* 1787477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787487 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787511 */     // GIR_Coverage, 12118,
     /* 1787511 */     GIR_EraseRootFromParent_Done,
     /* 1787512 */   // Label 24269: @1787512
     /* 1787512 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1787598), // Rule ID 12121 //
     /* 1787517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787563 */     // MIs[0] policy
     /* 1787563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787573 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1787576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787597 */     // GIR_Coverage, 12121,
     /* 1787597 */     GIR_EraseRootFromParent_Done,
     /* 1787598 */   // Label 24270: @1787598
     /* 1787598 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1787684), // Rule ID 12122 //
     /* 1787603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787649 */     // MIs[0] policy
     /* 1787649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1787662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787683 */     // GIR_Coverage, 12122,
     /* 1787683 */     GIR_EraseRootFromParent_Done,
     /* 1787684 */   // Label 24271: @1787684
     /* 1787684 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1787770), // Rule ID 12125 //
     /* 1787689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1787709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787735 */     // MIs[0] policy
     /* 1787735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787745 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1787748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787769 */     // GIR_Coverage, 12125,
     /* 1787769 */     GIR_EraseRootFromParent_Done,
     /* 1787770 */   // Label 24272: @1787770
     /* 1787770 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1787856), // Rule ID 12126 //
     /* 1787775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1787795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787821 */     // MIs[0] policy
     /* 1787821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787831 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1787834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787855 */     // GIR_Coverage, 12126,
     /* 1787855 */     GIR_EraseRootFromParent_Done,
     /* 1787856 */   // Label 24273: @1787856
     /* 1787856 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1787942), // Rule ID 12129 //
     /* 1787861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1787881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787907 */     // MIs[0] policy
     /* 1787907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787917 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1787920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787941 */     // GIR_Coverage, 12129,
     /* 1787941 */     GIR_EraseRootFromParent_Done,
     /* 1787942 */   // Label 24274: @1787942
     /* 1787942 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1788028), // Rule ID 12130 //
     /* 1787947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1787967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787993 */     // MIs[0] policy
     /* 1787993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788003 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1788006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788027 */     // GIR_Coverage, 12130,
     /* 1788027 */     GIR_EraseRootFromParent_Done,
     /* 1788028 */   // Label 24275: @1788028
     /* 1788028 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1788114), // Rule ID 12133 //
     /* 1788033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788079 */     // MIs[0] policy
     /* 1788079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788113 */     // GIR_Coverage, 12133,
     /* 1788113 */     GIR_EraseRootFromParent_Done,
     /* 1788114 */   // Label 24276: @1788114
     /* 1788114 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1788200), // Rule ID 12134 //
     /* 1788119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788165 */     // MIs[0] policy
     /* 1788165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788175 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788199 */     // GIR_Coverage, 12134,
     /* 1788199 */     GIR_EraseRootFromParent_Done,
     /* 1788200 */   // Label 24277: @1788200
     /* 1788200 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1788286), // Rule ID 12137 //
     /* 1788205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788251 */     // MIs[0] policy
     /* 1788251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788285 */     // GIR_Coverage, 12137,
     /* 1788285 */     GIR_EraseRootFromParent_Done,
     /* 1788286 */   // Label 24278: @1788286
     /* 1788286 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1788372), // Rule ID 12138 //
     /* 1788291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788337 */     // MIs[0] policy
     /* 1788337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788371 */     // GIR_Coverage, 12138,
     /* 1788371 */     GIR_EraseRootFromParent_Done,
     /* 1788372 */   // Label 24279: @1788372
     /* 1788372 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1788458), // Rule ID 12141 //
     /* 1788377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788423 */     // MIs[0] policy
     /* 1788423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788457 */     // GIR_Coverage, 12141,
     /* 1788457 */     GIR_EraseRootFromParent_Done,
     /* 1788458 */   // Label 24280: @1788458
     /* 1788458 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1788544), // Rule ID 12142 //
     /* 1788463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788509 */     // MIs[0] policy
     /* 1788509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788543 */     // GIR_Coverage, 12142,
     /* 1788543 */     GIR_EraseRootFromParent_Done,
     /* 1788544 */   // Label 24281: @1788544
     /* 1788544 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1788630), // Rule ID 12145 //
     /* 1788549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788595 */     // MIs[0] policy
     /* 1788595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788605 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1788608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788629 */     // GIR_Coverage, 12145,
     /* 1788629 */     GIR_EraseRootFromParent_Done,
     /* 1788630 */   // Label 24282: @1788630
     /* 1788630 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1788716), // Rule ID 12146 //
     /* 1788635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788681 */     // MIs[0] policy
     /* 1788681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1788694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788715 */     // GIR_Coverage, 12146,
     /* 1788715 */     GIR_EraseRootFromParent_Done,
     /* 1788716 */   // Label 24283: @1788716
     /* 1788716 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1788802), // Rule ID 12149 //
     /* 1788721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1788741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788767 */     // MIs[0] policy
     /* 1788767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1788780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788801 */     // GIR_Coverage, 12149,
     /* 1788801 */     GIR_EraseRootFromParent_Done,
     /* 1788802 */   // Label 24284: @1788802
     /* 1788802 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1788888), // Rule ID 12150 //
     /* 1788807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1788827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788853 */     // MIs[0] policy
     /* 1788853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788863 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1788866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788887 */     // GIR_Coverage, 12150,
     /* 1788887 */     GIR_EraseRootFromParent_Done,
     /* 1788888 */   // Label 24285: @1788888
     /* 1788888 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1788974), // Rule ID 12153 //
     /* 1788893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788939 */     // MIs[0] policy
     /* 1788939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788949 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1788952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788973 */     // GIR_Coverage, 12153,
     /* 1788973 */     GIR_EraseRootFromParent_Done,
     /* 1788974 */   // Label 24286: @1788974
     /* 1788974 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1789060), // Rule ID 12154 //
     /* 1788979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789025 */     // MIs[0] policy
     /* 1789025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789035 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1789038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789059 */     // GIR_Coverage, 12154,
     /* 1789059 */     GIR_EraseRootFromParent_Done,
     /* 1789060 */   // Label 24287: @1789060
     /* 1789060 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1789146), // Rule ID 12157 //
     /* 1789065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789111 */     // MIs[0] policy
     /* 1789111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789121 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789145 */     // GIR_Coverage, 12157,
     /* 1789145 */     GIR_EraseRootFromParent_Done,
     /* 1789146 */   // Label 24288: @1789146
     /* 1789146 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1789232), // Rule ID 12158 //
     /* 1789151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789197 */     // MIs[0] policy
     /* 1789197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789207 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789231 */     // GIR_Coverage, 12158,
     /* 1789231 */     GIR_EraseRootFromParent_Done,
     /* 1789232 */   // Label 24289: @1789232
     /* 1789232 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1789318), // Rule ID 12161 //
     /* 1789237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789283 */     // MIs[0] policy
     /* 1789283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789293 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789317 */     // GIR_Coverage, 12161,
     /* 1789317 */     GIR_EraseRootFromParent_Done,
     /* 1789318 */   // Label 24290: @1789318
     /* 1789318 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1789404), // Rule ID 12162 //
     /* 1789323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789369 */     // MIs[0] policy
     /* 1789369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789379 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789403 */     // GIR_Coverage, 12162,
     /* 1789403 */     GIR_EraseRootFromParent_Done,
     /* 1789404 */   // Label 24291: @1789404
     /* 1789404 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1789490), // Rule ID 12165 //
     /* 1789409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789455 */     // MIs[0] policy
     /* 1789455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789489 */     // GIR_Coverage, 12165,
     /* 1789489 */     GIR_EraseRootFromParent_Done,
     /* 1789490 */   // Label 24292: @1789490
     /* 1789490 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1789576), // Rule ID 12166 //
     /* 1789495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789541 */     // MIs[0] policy
     /* 1789541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789575 */     // GIR_Coverage, 12166,
     /* 1789575 */     GIR_EraseRootFromParent_Done,
     /* 1789576 */   // Label 24293: @1789576
     /* 1789576 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1789662), // Rule ID 12169 //
     /* 1789581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789627 */     // MIs[0] policy
     /* 1789627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789637 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1789640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789661 */     // GIR_Coverage, 12169,
     /* 1789661 */     GIR_EraseRootFromParent_Done,
     /* 1789662 */   // Label 24294: @1789662
     /* 1789662 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1789748), // Rule ID 12170 //
     /* 1789667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789713 */     // MIs[0] policy
     /* 1789713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1789726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789747 */     // GIR_Coverage, 12170,
     /* 1789747 */     GIR_EraseRootFromParent_Done,
     /* 1789748 */   // Label 24295: @1789748
     /* 1789748 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1789834), // Rule ID 12173 //
     /* 1789753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789799 */     // MIs[0] policy
     /* 1789799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789809 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1789812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789833 */     // GIR_Coverage, 12173,
     /* 1789833 */     GIR_EraseRootFromParent_Done,
     /* 1789834 */   // Label 24296: @1789834
     /* 1789834 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1789920), // Rule ID 12174 //
     /* 1789839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789885 */     // MIs[0] policy
     /* 1789885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1789898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789919 */     // GIR_Coverage, 12174,
     /* 1789919 */     GIR_EraseRootFromParent_Done,
     /* 1789920 */   // Label 24297: @1789920
     /* 1789920 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1790006), // Rule ID 12177 //
     /* 1789925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789971 */     // MIs[0] policy
     /* 1789971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789981 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1789984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790005 */     // GIR_Coverage, 12177,
     /* 1790005 */     GIR_EraseRootFromParent_Done,
     /* 1790006 */   // Label 24298: @1790006
     /* 1790006 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1790092), // Rule ID 12178 //
     /* 1790011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790057 */     // MIs[0] policy
     /* 1790057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1790070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790091 */     // GIR_Coverage, 12178,
     /* 1790091 */     GIR_EraseRootFromParent_Done,
     /* 1790092 */   // Label 24299: @1790092
     /* 1790092 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1790178), // Rule ID 12181 //
     /* 1790097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790143 */     // MIs[0] policy
     /* 1790143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790177 */     // GIR_Coverage, 12181,
     /* 1790177 */     GIR_EraseRootFromParent_Done,
     /* 1790178 */   // Label 24300: @1790178
     /* 1790178 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1790264), // Rule ID 12182 //
     /* 1790183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790229 */     // MIs[0] policy
     /* 1790229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790239 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790263 */     // GIR_Coverage, 12182,
     /* 1790263 */     GIR_EraseRootFromParent_Done,
     /* 1790264 */   // Label 24301: @1790264
     /* 1790264 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1790350), // Rule ID 12185 //
     /* 1790269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790315 */     // MIs[0] policy
     /* 1790315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790325 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790349 */     // GIR_Coverage, 12185,
     /* 1790349 */     GIR_EraseRootFromParent_Done,
     /* 1790350 */   // Label 24302: @1790350
     /* 1790350 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1790436), // Rule ID 12186 //
     /* 1790355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790401 */     // MIs[0] policy
     /* 1790401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790435 */     // GIR_Coverage, 12186,
     /* 1790435 */     GIR_EraseRootFromParent_Done,
     /* 1790436 */   // Label 24303: @1790436
     /* 1790436 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1790522), // Rule ID 12189 //
     /* 1790441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790487 */     // MIs[0] policy
     /* 1790487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790521 */     // GIR_Coverage, 12189,
     /* 1790521 */     GIR_EraseRootFromParent_Done,
     /* 1790522 */   // Label 24304: @1790522
     /* 1790522 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1790608), // Rule ID 12190 //
     /* 1790527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790573 */     // MIs[0] policy
     /* 1790573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790607 */     // GIR_Coverage, 12190,
     /* 1790607 */     GIR_EraseRootFromParent_Done,
     /* 1790608 */   // Label 24305: @1790608
     /* 1790608 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1790694), // Rule ID 12193 //
     /* 1790613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1790616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790659 */     // MIs[0] policy
     /* 1790659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790669 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1790672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790693 */     // GIR_Coverage, 12193,
     /* 1790693 */     GIR_EraseRootFromParent_Done,
     /* 1790694 */   // Label 24306: @1790694
     /* 1790694 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1790780), // Rule ID 12194 //
     /* 1790699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1790702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790745 */     // MIs[0] policy
     /* 1790745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1790758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790779 */     // GIR_Coverage, 12194,
     /* 1790779 */     GIR_EraseRootFromParent_Done,
     /* 1790780 */   // Label 24307: @1790780
     /* 1790780 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1790866), // Rule ID 12197 //
     /* 1790785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790831 */     // MIs[0] policy
     /* 1790831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790841 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1790844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790865 */     // GIR_Coverage, 12197,
     /* 1790865 */     GIR_EraseRootFromParent_Done,
     /* 1790866 */   // Label 24308: @1790866
     /* 1790866 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1790952), // Rule ID 12198 //
     /* 1790871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790917 */     // MIs[0] policy
     /* 1790917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790927 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1790930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790951 */     // GIR_Coverage, 12198,
     /* 1790951 */     GIR_EraseRootFromParent_Done,
     /* 1790952 */   // Label 24309: @1790952
     /* 1790952 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1791038), // Rule ID 12201 //
     /* 1790957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1790968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1790971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791003 */     // MIs[0] policy
     /* 1791003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791013 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1791016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791037 */     // GIR_Coverage, 12201,
     /* 1791037 */     GIR_EraseRootFromParent_Done,
     /* 1791038 */   // Label 24310: @1791038
     /* 1791038 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1791124), // Rule ID 12202 //
     /* 1791043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791089 */     // MIs[0] policy
     /* 1791089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1791102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791123 */     // GIR_Coverage, 12202,
     /* 1791123 */     GIR_EraseRootFromParent_Done,
     /* 1791124 */   // Label 24311: @1791124
     /* 1791124 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1791210), // Rule ID 12205 //
     /* 1791129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791175 */     // MIs[0] policy
     /* 1791175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791185 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791209 */     // GIR_Coverage, 12205,
     /* 1791209 */     GIR_EraseRootFromParent_Done,
     /* 1791210 */   // Label 24312: @1791210
     /* 1791210 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1791296), // Rule ID 12206 //
     /* 1791215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791261 */     // MIs[0] policy
     /* 1791261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791295 */     // GIR_Coverage, 12206,
     /* 1791295 */     GIR_EraseRootFromParent_Done,
     /* 1791296 */   // Label 24313: @1791296
     /* 1791296 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1791382), // Rule ID 12209 //
     /* 1791301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791347 */     // MIs[0] policy
     /* 1791347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791357 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791381 */     // GIR_Coverage, 12209,
     /* 1791381 */     GIR_EraseRootFromParent_Done,
     /* 1791382 */   // Label 24314: @1791382
     /* 1791382 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1791468), // Rule ID 12210 //
     /* 1791387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791433 */     // MIs[0] policy
     /* 1791433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791467 */     // GIR_Coverage, 12210,
     /* 1791467 */     GIR_EraseRootFromParent_Done,
     /* 1791468 */   // Label 24315: @1791468
     /* 1791468 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1791554), // Rule ID 12213 //
     /* 1791473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791519 */     // MIs[0] policy
     /* 1791519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791529 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1791532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791553 */     // GIR_Coverage, 12213,
     /* 1791553 */     GIR_EraseRootFromParent_Done,
     /* 1791554 */   // Label 24316: @1791554
     /* 1791554 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1791640), // Rule ID 12214 //
     /* 1791559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791605 */     // MIs[0] policy
     /* 1791605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791615 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1791618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791639 */     // GIR_Coverage, 12214,
     /* 1791639 */     GIR_EraseRootFromParent_Done,
     /* 1791640 */   // Label 24317: @1791640
     /* 1791640 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1791726), // Rule ID 12217 //
     /* 1791645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791691 */     // MIs[0] policy
     /* 1791691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1791704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791725 */     // GIR_Coverage, 12217,
     /* 1791725 */     GIR_EraseRootFromParent_Done,
     /* 1791726 */   // Label 24318: @1791726
     /* 1791726 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1791812), // Rule ID 12218 //
     /* 1791731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791777 */     // MIs[0] policy
     /* 1791777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791787 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1791790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791811 */     // GIR_Coverage, 12218,
     /* 1791811 */     GIR_EraseRootFromParent_Done,
     /* 1791812 */   // Label 24319: @1791812
     /* 1791812 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1791898), // Rule ID 12221 //
     /* 1791817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791863 */     // MIs[0] policy
     /* 1791863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1791876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791897 */     // GIR_Coverage, 12221,
     /* 1791897 */     GIR_EraseRootFromParent_Done,
     /* 1791898 */   // Label 24320: @1791898
     /* 1791898 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1791984), // Rule ID 12222 //
     /* 1791903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791949 */     // MIs[0] policy
     /* 1791949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1791962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791983 */     // GIR_Coverage, 12222,
     /* 1791983 */     GIR_EraseRootFromParent_Done,
     /* 1791984 */   // Label 24321: @1791984
     /* 1791984 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1792070), // Rule ID 12225 //
     /* 1791989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792035 */     // MIs[0] policy
     /* 1792035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1792048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792069 */     // GIR_Coverage, 12225,
     /* 1792069 */     GIR_EraseRootFromParent_Done,
     /* 1792070 */   // Label 24322: @1792070
     /* 1792070 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1792156), // Rule ID 12226 //
     /* 1792075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792121 */     // MIs[0] policy
     /* 1792121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1792134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792155 */     // GIR_Coverage, 12226,
     /* 1792155 */     GIR_EraseRootFromParent_Done,
     /* 1792156 */   // Label 24323: @1792156
     /* 1792156 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1792242), // Rule ID 12229 //
     /* 1792161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792207 */     // MIs[0] policy
     /* 1792207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792217 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792241 */     // GIR_Coverage, 12229,
     /* 1792241 */     GIR_EraseRootFromParent_Done,
     /* 1792242 */   // Label 24324: @1792242
     /* 1792242 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1792328), // Rule ID 12230 //
     /* 1792247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792293 */     // MIs[0] policy
     /* 1792293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792327 */     // GIR_Coverage, 12230,
     /* 1792327 */     GIR_EraseRootFromParent_Done,
     /* 1792328 */   // Label 24325: @1792328
     /* 1792328 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1792414), // Rule ID 12233 //
     /* 1792333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792379 */     // MIs[0] policy
     /* 1792379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792413 */     // GIR_Coverage, 12233,
     /* 1792413 */     GIR_EraseRootFromParent_Done,
     /* 1792414 */   // Label 24326: @1792414
     /* 1792414 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1792500), // Rule ID 12234 //
     /* 1792419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792465 */     // MIs[0] policy
     /* 1792465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792499 */     // GIR_Coverage, 12234,
     /* 1792499 */     GIR_EraseRootFromParent_Done,
     /* 1792500 */   // Label 24327: @1792500
     /* 1792500 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1792586), // Rule ID 12237 //
     /* 1792505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792551 */     // MIs[0] policy
     /* 1792551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792561 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1792564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792585 */     // GIR_Coverage, 12237,
     /* 1792585 */     GIR_EraseRootFromParent_Done,
     /* 1792586 */   // Label 24328: @1792586
     /* 1792586 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1792672), // Rule ID 12238 //
     /* 1792591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792637 */     // MIs[0] policy
     /* 1792637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1792650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792671 */     // GIR_Coverage, 12238,
     /* 1792671 */     GIR_EraseRootFromParent_Done,
     /* 1792672 */   // Label 24329: @1792672
     /* 1792672 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1792758), // Rule ID 12241 //
     /* 1792677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792723 */     // MIs[0] policy
     /* 1792723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1792736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792757 */     // GIR_Coverage, 12241,
     /* 1792757 */     GIR_EraseRootFromParent_Done,
     /* 1792758 */   // Label 24330: @1792758
     /* 1792758 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1792844), // Rule ID 12242 //
     /* 1792763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792809 */     // MIs[0] policy
     /* 1792809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792819 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1792822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792843 */     // GIR_Coverage, 12242,
     /* 1792843 */     GIR_EraseRootFromParent_Done,
     /* 1792844 */   // Label 24331: @1792844
     /* 1792844 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1792930), // Rule ID 12245 //
     /* 1792849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792895 */     // MIs[0] policy
     /* 1792895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792905 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1792908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792929 */     // GIR_Coverage, 12245,
     /* 1792929 */     GIR_EraseRootFromParent_Done,
     /* 1792930 */   // Label 24332: @1792930
     /* 1792930 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1793016), // Rule ID 12246 //
     /* 1792935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792981 */     // MIs[0] policy
     /* 1792981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792991 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1792994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793015 */     // GIR_Coverage, 12246,
     /* 1793015 */     GIR_EraseRootFromParent_Done,
     /* 1793016 */   // Label 24333: @1793016
     /* 1793016 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1793102), // Rule ID 12249 //
     /* 1793021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1793041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793067 */     // MIs[0] policy
     /* 1793067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793101 */     // GIR_Coverage, 12249,
     /* 1793101 */     GIR_EraseRootFromParent_Done,
     /* 1793102 */   // Label 24334: @1793102
     /* 1793102 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1793188), // Rule ID 12250 //
     /* 1793107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1793127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793153 */     // MIs[0] policy
     /* 1793153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793187 */     // GIR_Coverage, 12250,
     /* 1793187 */     GIR_EraseRootFromParent_Done,
     /* 1793188 */   // Label 24335: @1793188
     /* 1793188 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1793274), // Rule ID 12253 //
     /* 1793193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793239 */     // MIs[0] policy
     /* 1793239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793273 */     // GIR_Coverage, 12253,
     /* 1793273 */     GIR_EraseRootFromParent_Done,
     /* 1793274 */   // Label 24336: @1793274
     /* 1793274 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1793360), // Rule ID 12254 //
     /* 1793279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793325 */     // MIs[0] policy
     /* 1793325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793335 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793359 */     // GIR_Coverage, 12254,
     /* 1793359 */     GIR_EraseRootFromParent_Done,
     /* 1793360 */   // Label 24337: @1793360
     /* 1793360 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1793446), // Rule ID 12257 //
     /* 1793365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793411 */     // MIs[0] policy
     /* 1793411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793445 */     // GIR_Coverage, 12257,
     /* 1793445 */     GIR_EraseRootFromParent_Done,
     /* 1793446 */   // Label 24338: @1793446
     /* 1793446 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1793532), // Rule ID 12258 //
     /* 1793451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793497 */     // MIs[0] policy
     /* 1793497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793531 */     // GIR_Coverage, 12258,
     /* 1793531 */     GIR_EraseRootFromParent_Done,
     /* 1793532 */   // Label 24339: @1793532
     /* 1793532 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1793618), // Rule ID 12261 //
     /* 1793537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793583 */     // MIs[0] policy
     /* 1793583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793617 */     // GIR_Coverage, 12261,
     /* 1793617 */     GIR_EraseRootFromParent_Done,
     /* 1793618 */   // Label 24340: @1793618
     /* 1793618 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1793704), // Rule ID 12262 //
     /* 1793623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793669 */     // MIs[0] policy
     /* 1793669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793703 */     // GIR_Coverage, 12262,
     /* 1793703 */     GIR_EraseRootFromParent_Done,
     /* 1793704 */   // Label 24341: @1793704
     /* 1793704 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1793790), // Rule ID 12265 //
     /* 1793709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1793720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1793723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1793726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1793729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793755 */     // MIs[0] policy
     /* 1793755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793765 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1793768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793789 */     // GIR_Coverage, 12265,
     /* 1793789 */     GIR_EraseRootFromParent_Done,
     /* 1793790 */   // Label 24342: @1793790
     /* 1793790 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1793876), // Rule ID 12266 //
     /* 1793795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1793806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1793809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1793812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1793815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793841 */     // MIs[0] policy
     /* 1793841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793851 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1793854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793875 */     // GIR_Coverage, 12266,
     /* 1793875 */     GIR_EraseRootFromParent_Done,
     /* 1793876 */   // Label 24343: @1793876
     /* 1793876 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1793962), // Rule ID 12269 //
     /* 1793881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1793901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793927 */     // MIs[0] policy
     /* 1793927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793961 */     // GIR_Coverage, 12269,
     /* 1793961 */     GIR_EraseRootFromParent_Done,
     /* 1793962 */   // Label 24344: @1793962
     /* 1793962 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1794048), // Rule ID 12270 //
     /* 1793967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1793987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794013 */     // MIs[0] policy
     /* 1794013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1794026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794047 */     // GIR_Coverage, 12270,
     /* 1794047 */     GIR_EraseRootFromParent_Done,
     /* 1794048 */   // Label 24345: @1794048
     /* 1794048 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1794134), // Rule ID 12273 //
     /* 1794053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794099 */     // MIs[0] policy
     /* 1794099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794133 */     // GIR_Coverage, 12273,
     /* 1794133 */     GIR_EraseRootFromParent_Done,
     /* 1794134 */   // Label 24346: @1794134
     /* 1794134 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1794220), // Rule ID 12274 //
     /* 1794139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794185 */     // MIs[0] policy
     /* 1794185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794195 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794219 */     // GIR_Coverage, 12274,
     /* 1794219 */     GIR_EraseRootFromParent_Done,
     /* 1794220 */   // Label 24347: @1794220
     /* 1794220 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1794306), // Rule ID 12277 //
     /* 1794225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794271 */     // MIs[0] policy
     /* 1794271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794305 */     // GIR_Coverage, 12277,
     /* 1794305 */     GIR_EraseRootFromParent_Done,
     /* 1794306 */   // Label 24348: @1794306
     /* 1794306 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1794392), // Rule ID 12278 //
     /* 1794311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794357 */     // MIs[0] policy
     /* 1794357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794391 */     // GIR_Coverage, 12278,
     /* 1794391 */     GIR_EraseRootFromParent_Done,
     /* 1794392 */   // Label 24349: @1794392
     /* 1794392 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1794478), // Rule ID 12281 //
     /* 1794397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794443 */     // MIs[0] policy
     /* 1794443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794477 */     // GIR_Coverage, 12281,
     /* 1794477 */     GIR_EraseRootFromParent_Done,
     /* 1794478 */   // Label 24350: @1794478
     /* 1794478 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1794564), // Rule ID 12282 //
     /* 1794483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794529 */     // MIs[0] policy
     /* 1794529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794563 */     // GIR_Coverage, 12282,
     /* 1794563 */     GIR_EraseRootFromParent_Done,
     /* 1794564 */   // Label 24351: @1794564
     /* 1794564 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1794650), // Rule ID 12285 //
     /* 1794569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794615 */     // MIs[0] policy
     /* 1794615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794625 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794649 */     // GIR_Coverage, 12285,
     /* 1794649 */     GIR_EraseRootFromParent_Done,
     /* 1794650 */   // Label 24352: @1794650
     /* 1794650 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1794736), // Rule ID 12286 //
     /* 1794655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794701 */     // MIs[0] policy
     /* 1794701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794735 */     // GIR_Coverage, 12286,
     /* 1794735 */     GIR_EraseRootFromParent_Done,
     /* 1794736 */   // Label 24353: @1794736
     /* 1794736 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1794822), // Rule ID 12289 //
     /* 1794741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1794758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1794761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794787 */     // MIs[0] policy
     /* 1794787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794821 */     // GIR_Coverage, 12289,
     /* 1794821 */     GIR_EraseRootFromParent_Done,
     /* 1794822 */   // Label 24354: @1794822
     /* 1794822 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1794908), // Rule ID 12290 //
     /* 1794827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1794844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1794847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794873 */     // MIs[0] policy
     /* 1794873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794907 */     // GIR_Coverage, 12290,
     /* 1794907 */     GIR_EraseRootFromParent_Done,
     /* 1794908 */   // Label 24355: @1794908
     /* 1794908 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1794994), // Rule ID 12293 //
     /* 1794913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1794930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1794933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794959 */     // MIs[0] policy
     /* 1794959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794993 */     // GIR_Coverage, 12293,
     /* 1794993 */     GIR_EraseRootFromParent_Done,
     /* 1794994 */   // Label 24356: @1794994
     /* 1794994 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1795080), // Rule ID 12294 //
     /* 1794999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1795019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795045 */     // MIs[0] policy
     /* 1795045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1795058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795079 */     // GIR_Coverage, 12294,
     /* 1795079 */     GIR_EraseRootFromParent_Done,
     /* 1795080 */   // Label 24357: @1795080
     /* 1795080 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1795166), // Rule ID 12297 //
     /* 1795085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795131 */     // MIs[0] policy
     /* 1795131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795141 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795165 */     // GIR_Coverage, 12297,
     /* 1795165 */     GIR_EraseRootFromParent_Done,
     /* 1795166 */   // Label 24358: @1795166
     /* 1795166 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1795252), // Rule ID 12298 //
     /* 1795171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795217 */     // MIs[0] policy
     /* 1795217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795227 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795251 */     // GIR_Coverage, 12298,
     /* 1795251 */     GIR_EraseRootFromParent_Done,
     /* 1795252 */   // Label 24359: @1795252
     /* 1795252 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1795338), // Rule ID 12301 //
     /* 1795257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795303 */     // MIs[0] policy
     /* 1795303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795337 */     // GIR_Coverage, 12301,
     /* 1795337 */     GIR_EraseRootFromParent_Done,
     /* 1795338 */   // Label 24360: @1795338
     /* 1795338 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1795424), // Rule ID 12302 //
     /* 1795343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795389 */     // MIs[0] policy
     /* 1795389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795423 */     // GIR_Coverage, 12302,
     /* 1795423 */     GIR_EraseRootFromParent_Done,
     /* 1795424 */   // Label 24361: @1795424
     /* 1795424 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1795510), // Rule ID 12305 //
     /* 1795429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795475 */     // MIs[0] policy
     /* 1795475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795485 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795509 */     // GIR_Coverage, 12305,
     /* 1795509 */     GIR_EraseRootFromParent_Done,
     /* 1795510 */   // Label 24362: @1795510
     /* 1795510 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1795596), // Rule ID 12306 //
     /* 1795515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795561 */     // MIs[0] policy
     /* 1795561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795595 */     // GIR_Coverage, 12306,
     /* 1795595 */     GIR_EraseRootFromParent_Done,
     /* 1795596 */   // Label 24363: @1795596
     /* 1795596 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1795682), // Rule ID 12309 //
     /* 1795601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795647 */     // MIs[0] policy
     /* 1795647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795657 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1795660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795681 */     // GIR_Coverage, 12309,
     /* 1795681 */     GIR_EraseRootFromParent_Done,
     /* 1795682 */   // Label 24364: @1795682
     /* 1795682 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1795768), // Rule ID 12310 //
     /* 1795687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795733 */     // MIs[0] policy
     /* 1795733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1795746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795767 */     // GIR_Coverage, 12310,
     /* 1795767 */     GIR_EraseRootFromParent_Done,
     /* 1795768 */   // Label 24365: @1795768
     /* 1795768 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1795854), // Rule ID 12313 //
     /* 1795773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1795784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1795787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1795790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795819 */     // MIs[0] policy
     /* 1795819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1795832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795853 */     // GIR_Coverage, 12313,
     /* 1795853 */     GIR_EraseRootFromParent_Done,
     /* 1795854 */   // Label 24366: @1795854
     /* 1795854 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1795940), // Rule ID 12314 //
     /* 1795859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1795870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1795873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1795876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795905 */     // MIs[0] policy
     /* 1795905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1795918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795939 */     // GIR_Coverage, 12314,
     /* 1795939 */     GIR_EraseRootFromParent_Done,
     /* 1795940 */   // Label 24367: @1795940
     /* 1795940 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1796026), // Rule ID 12317 //
     /* 1795945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1795962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795991 */     // MIs[0] policy
     /* 1795991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796025 */     // GIR_Coverage, 12317,
     /* 1796025 */     GIR_EraseRootFromParent_Done,
     /* 1796026 */   // Label 24368: @1796026
     /* 1796026 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1796112), // Rule ID 12318 //
     /* 1796031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1796042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1796045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796077 */     // MIs[0] policy
     /* 1796077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796087 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796111 */     // GIR_Coverage, 12318,
     /* 1796111 */     GIR_EraseRootFromParent_Done,
     /* 1796112 */   // Label 24369: @1796112
     /* 1796112 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1796198), // Rule ID 12321 //
     /* 1796117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796163 */     // MIs[0] policy
     /* 1796163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796197 */     // GIR_Coverage, 12321,
     /* 1796197 */     GIR_EraseRootFromParent_Done,
     /* 1796198 */   // Label 24370: @1796198
     /* 1796198 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1796284), // Rule ID 12322 //
     /* 1796203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796249 */     // MIs[0] policy
     /* 1796249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796283 */     // GIR_Coverage, 12322,
     /* 1796283 */     GIR_EraseRootFromParent_Done,
     /* 1796284 */   // Label 24371: @1796284
     /* 1796284 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1796370), // Rule ID 12325 //
     /* 1796289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796335 */     // MIs[0] policy
     /* 1796335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796369 */     // GIR_Coverage, 12325,
     /* 1796369 */     GIR_EraseRootFromParent_Done,
     /* 1796370 */   // Label 24372: @1796370
     /* 1796370 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1796456), // Rule ID 12326 //
     /* 1796375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796421 */     // MIs[0] policy
     /* 1796421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796455 */     // GIR_Coverage, 12326,
     /* 1796455 */     GIR_EraseRootFromParent_Done,
     /* 1796456 */   // Label 24373: @1796456
     /* 1796456 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1796542), // Rule ID 12329 //
     /* 1796461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796507 */     // MIs[0] policy
     /* 1796507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796541 */     // GIR_Coverage, 12329,
     /* 1796541 */     GIR_EraseRootFromParent_Done,
     /* 1796542 */   // Label 24374: @1796542
     /* 1796542 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1796628), // Rule ID 12330 //
     /* 1796547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796593 */     // MIs[0] policy
     /* 1796593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796627 */     // GIR_Coverage, 12330,
     /* 1796627 */     GIR_EraseRootFromParent_Done,
     /* 1796628 */   // Label 24375: @1796628
     /* 1796628 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1796714), // Rule ID 12333 //
     /* 1796633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1796644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1796647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796679 */     // MIs[0] policy
     /* 1796679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796713 */     // GIR_Coverage, 12333,
     /* 1796713 */     GIR_EraseRootFromParent_Done,
     /* 1796714 */   // Label 24376: @1796714
     /* 1796714 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1796800), // Rule ID 12334 //
     /* 1796719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1796730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1796733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796765 */     // MIs[0] policy
     /* 1796765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796799 */     // GIR_Coverage, 12334,
     /* 1796799 */     GIR_EraseRootFromParent_Done,
     /* 1796800 */   // Label 24377: @1796800
     /* 1796800 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1796886), // Rule ID 12337 //
     /* 1796805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796851 */     // MIs[0] policy
     /* 1796851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796885 */     // GIR_Coverage, 12337,
     /* 1796885 */     GIR_EraseRootFromParent_Done,
     /* 1796886 */   // Label 24378: @1796886
     /* 1796886 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1796972), // Rule ID 12338 //
     /* 1796891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796937 */     // MIs[0] policy
     /* 1796937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796971 */     // GIR_Coverage, 12338,
     /* 1796971 */     GIR_EraseRootFromParent_Done,
     /* 1796972 */   // Label 24379: @1796972
     /* 1796972 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1797058), // Rule ID 12341 //
     /* 1796977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1796988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1796991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1796994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797023 */     // MIs[0] policy
     /* 1797023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797057 */     // GIR_Coverage, 12341,
     /* 1797057 */     GIR_EraseRootFromParent_Done,
     /* 1797058 */   // Label 24380: @1797058
     /* 1797058 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1797144), // Rule ID 12342 //
     /* 1797063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1797074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1797077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797109 */     // MIs[0] policy
     /* 1797109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797143 */     // GIR_Coverage, 12342,
     /* 1797143 */     GIR_EraseRootFromParent_Done,
     /* 1797144 */   // Label 24381: @1797144
     /* 1797144 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1797230), // Rule ID 12345 //
     /* 1797149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797195 */     // MIs[0] policy
     /* 1797195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797229 */     // GIR_Coverage, 12345,
     /* 1797229 */     GIR_EraseRootFromParent_Done,
     /* 1797230 */   // Label 24382: @1797230
     /* 1797230 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1797316), // Rule ID 12346 //
     /* 1797235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797281 */     // MIs[0] policy
     /* 1797281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797315 */     // GIR_Coverage, 12346,
     /* 1797315 */     GIR_EraseRootFromParent_Done,
     /* 1797316 */   // Label 24383: @1797316
     /* 1797316 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1797402), // Rule ID 12349 //
     /* 1797321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797367 */     // MIs[0] policy
     /* 1797367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797401 */     // GIR_Coverage, 12349,
     /* 1797401 */     GIR_EraseRootFromParent_Done,
     /* 1797402 */   // Label 24384: @1797402
     /* 1797402 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1797488), // Rule ID 12350 //
     /* 1797407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797453 */     // MIs[0] policy
     /* 1797453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797463 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797487 */     // GIR_Coverage, 12350,
     /* 1797487 */     GIR_EraseRootFromParent_Done,
     /* 1797488 */   // Label 24385: @1797488
     /* 1797488 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1797574), // Rule ID 12353 //
     /* 1797493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797539 */     // MIs[0] policy
     /* 1797539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797573 */     // GIR_Coverage, 12353,
     /* 1797573 */     GIR_EraseRootFromParent_Done,
     /* 1797574 */   // Label 24386: @1797574
     /* 1797574 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1797660), // Rule ID 12354 //
     /* 1797579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797625 */     // MIs[0] policy
     /* 1797625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797659 */     // GIR_Coverage, 12354,
     /* 1797659 */     GIR_EraseRootFromParent_Done,
     /* 1797660 */   // Label 24387: @1797660
     /* 1797660 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1797746), // Rule ID 12357 //
     /* 1797665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1797682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797711 */     // MIs[0] policy
     /* 1797711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797745 */     // GIR_Coverage, 12357,
     /* 1797745 */     GIR_EraseRootFromParent_Done,
     /* 1797746 */   // Label 24388: @1797746
     /* 1797746 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1797832), // Rule ID 12358 //
     /* 1797751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1797768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797797 */     // MIs[0] policy
     /* 1797797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797831 */     // GIR_Coverage, 12358,
     /* 1797831 */     GIR_EraseRootFromParent_Done,
     /* 1797832 */   // Label 24389: @1797832
     /* 1797832 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1797918), // Rule ID 12361 //
     /* 1797837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1797854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797883 */     // MIs[0] policy
     /* 1797883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797893 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797917 */     // GIR_Coverage, 12361,
     /* 1797917 */     GIR_EraseRootFromParent_Done,
     /* 1797918 */   // Label 24390: @1797918
     /* 1797918 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1798004), // Rule ID 12362 //
     /* 1797923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1797940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797969 */     // MIs[0] policy
     /* 1797969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798003 */     // GIR_Coverage, 12362,
     /* 1798003 */     GIR_EraseRootFromParent_Done,
     /* 1798004 */   // Label 24391: @1798004
     /* 1798004 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1798090), // Rule ID 12365 //
     /* 1798009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1798020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1798023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1798026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1798029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798055 */     // MIs[0] policy
     /* 1798055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798065 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798089 */     // GIR_Coverage, 12365,
     /* 1798089 */     GIR_EraseRootFromParent_Done,
     /* 1798090 */   // Label 24392: @1798090
     /* 1798090 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1798176), // Rule ID 12366 //
     /* 1798095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1798106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1798109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1798112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1798115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798141 */     // MIs[0] policy
     /* 1798141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798175 */     // GIR_Coverage, 12366,
     /* 1798175 */     GIR_EraseRootFromParent_Done,
     /* 1798176 */   // Label 24393: @1798176
     /* 1798176 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1798262), // Rule ID 12369 //
     /* 1798181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798227 */     // MIs[0] policy
     /* 1798227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798261 */     // GIR_Coverage, 12369,
     /* 1798261 */     GIR_EraseRootFromParent_Done,
     /* 1798262 */   // Label 24394: @1798262
     /* 1798262 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1798348), // Rule ID 12370 //
     /* 1798267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798313 */     // MIs[0] policy
     /* 1798313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798347 */     // GIR_Coverage, 12370,
     /* 1798347 */     GIR_EraseRootFromParent_Done,
     /* 1798348 */   // Label 24395: @1798348
     /* 1798348 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1798434), // Rule ID 12373 //
     /* 1798353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798399 */     // MIs[0] policy
     /* 1798399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798433 */     // GIR_Coverage, 12373,
     /* 1798433 */     GIR_EraseRootFromParent_Done,
     /* 1798434 */   // Label 24396: @1798434
     /* 1798434 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1798520), // Rule ID 12374 //
     /* 1798439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798485 */     // MIs[0] policy
     /* 1798485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798495 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798519 */     // GIR_Coverage, 12374,
     /* 1798519 */     GIR_EraseRootFromParent_Done,
     /* 1798520 */   // Label 24397: @1798520
     /* 1798520 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1798606), // Rule ID 12377 //
     /* 1798525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1798542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1798545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798571 */     // MIs[0] policy
     /* 1798571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798605 */     // GIR_Coverage, 12377,
     /* 1798605 */     GIR_EraseRootFromParent_Done,
     /* 1798606 */   // Label 24398: @1798606
     /* 1798606 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1798692), // Rule ID 12378 //
     /* 1798611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1798628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1798631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798657 */     // MIs[0] policy
     /* 1798657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798691 */     // GIR_Coverage, 12378,
     /* 1798691 */     GIR_EraseRootFromParent_Done,
     /* 1798692 */   // Label 24399: @1798692
     /* 1798692 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1798778), // Rule ID 12381 //
     /* 1798697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798743 */     // MIs[0] policy
     /* 1798743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1798756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798777 */     // GIR_Coverage, 12381,
     /* 1798777 */     GIR_EraseRootFromParent_Done,
     /* 1798778 */   // Label 24400: @1798778
     /* 1798778 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1798864), // Rule ID 12382 //
     /* 1798783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798829 */     // MIs[0] policy
     /* 1798829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1798842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798863 */     // GIR_Coverage, 12382,
     /* 1798863 */     GIR_EraseRootFromParent_Done,
     /* 1798864 */   // Label 24401: @1798864
     /* 1798864 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1798950), // Rule ID 12385 //
     /* 1798869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798915 */     // MIs[0] policy
     /* 1798915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798925 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1798928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798949 */     // GIR_Coverage, 12385,
     /* 1798949 */     GIR_EraseRootFromParent_Done,
     /* 1798950 */   // Label 24402: @1798950
     /* 1798950 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1799036), // Rule ID 12386 //
     /* 1798955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799001 */     // MIs[0] policy
     /* 1799001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799011 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799035 */     // GIR_Coverage, 12386,
     /* 1799035 */     GIR_EraseRootFromParent_Done,
     /* 1799036 */   // Label 24403: @1799036
     /* 1799036 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1799122), // Rule ID 12389 //
     /* 1799041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799087 */     // MIs[0] policy
     /* 1799087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799121 */     // GIR_Coverage, 12389,
     /* 1799121 */     GIR_EraseRootFromParent_Done,
     /* 1799122 */   // Label 24404: @1799122
     /* 1799122 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1799208), // Rule ID 12390 //
     /* 1799127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799173 */     // MIs[0] policy
     /* 1799173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799207 */     // GIR_Coverage, 12390,
     /* 1799207 */     GIR_EraseRootFromParent_Done,
     /* 1799208 */   // Label 24405: @1799208
     /* 1799208 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1799294), // Rule ID 12393 //
     /* 1799213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799259 */     // MIs[0] policy
     /* 1799259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799293 */     // GIR_Coverage, 12393,
     /* 1799293 */     GIR_EraseRootFromParent_Done,
     /* 1799294 */   // Label 24406: @1799294
     /* 1799294 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1799380), // Rule ID 12394 //
     /* 1799299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799345 */     // MIs[0] policy
     /* 1799345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799379 */     // GIR_Coverage, 12394,
     /* 1799379 */     GIR_EraseRootFromParent_Done,
     /* 1799380 */   // Label 24407: @1799380
     /* 1799380 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1799466), // Rule ID 12397 //
     /* 1799385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799431 */     // MIs[0] policy
     /* 1799431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799465 */     // GIR_Coverage, 12397,
     /* 1799465 */     GIR_EraseRootFromParent_Done,
     /* 1799466 */   // Label 24408: @1799466
     /* 1799466 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1799552), // Rule ID 12398 //
     /* 1799471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799517 */     // MIs[0] policy
     /* 1799517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799551 */     // GIR_Coverage, 12398,
     /* 1799551 */     GIR_EraseRootFromParent_Done,
     /* 1799552 */   // Label 24409: @1799552
     /* 1799552 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1799638), // Rule ID 12401 //
     /* 1799557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1799574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1799577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799603 */     // MIs[0] policy
     /* 1799603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799637 */     // GIR_Coverage, 12401,
     /* 1799637 */     GIR_EraseRootFromParent_Done,
     /* 1799638 */   // Label 24410: @1799638
     /* 1799638 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1799724), // Rule ID 12402 //
     /* 1799643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1799660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1799663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799689 */     // MIs[0] policy
     /* 1799689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799723 */     // GIR_Coverage, 12402,
     /* 1799723 */     GIR_EraseRootFromParent_Done,
     /* 1799724 */   // Label 24411: @1799724
     /* 1799724 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1799810), // Rule ID 12405 //
     /* 1799729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799775 */     // MIs[0] policy
     /* 1799775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799785 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799809 */     // GIR_Coverage, 12405,
     /* 1799809 */     GIR_EraseRootFromParent_Done,
     /* 1799810 */   // Label 24412: @1799810
     /* 1799810 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1799896), // Rule ID 12406 //
     /* 1799815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799861 */     // MIs[0] policy
     /* 1799861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799895 */     // GIR_Coverage, 12406,
     /* 1799895 */     GIR_EraseRootFromParent_Done,
     /* 1799896 */   // Label 24413: @1799896
     /* 1799896 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1799982), // Rule ID 12409 //
     /* 1799901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1799915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1799918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1799921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799947 */     // MIs[0] policy
     /* 1799947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799981 */     // GIR_Coverage, 12409,
     /* 1799981 */     GIR_EraseRootFromParent_Done,
     /* 1799982 */   // Label 24414: @1799982
     /* 1799982 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1800068), // Rule ID 12410 //
     /* 1799987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1800001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800033 */     // MIs[0] policy
     /* 1800033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1800046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800067 */     // GIR_Coverage, 12410,
     /* 1800067 */     GIR_EraseRootFromParent_Done,
     /* 1800068 */   // Label 24415: @1800068
     /* 1800068 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1800154), // Rule ID 12413 //
     /* 1800073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800119 */     // MIs[0] policy
     /* 1800119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800129 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800153 */     // GIR_Coverage, 12413,
     /* 1800153 */     GIR_EraseRootFromParent_Done,
     /* 1800154 */   // Label 24416: @1800154
     /* 1800154 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1800240), // Rule ID 12414 //
     /* 1800159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800205 */     // MIs[0] policy
     /* 1800205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800239 */     // GIR_Coverage, 12414,
     /* 1800239 */     GIR_EraseRootFromParent_Done,
     /* 1800240 */   // Label 24417: @1800240
     /* 1800240 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1800326), // Rule ID 12417 //
     /* 1800245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800291 */     // MIs[0] policy
     /* 1800291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800301 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800325 */     // GIR_Coverage, 12417,
     /* 1800325 */     GIR_EraseRootFromParent_Done,
     /* 1800326 */   // Label 24418: @1800326
     /* 1800326 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1800412), // Rule ID 12418 //
     /* 1800331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800377 */     // MIs[0] policy
     /* 1800377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800411 */     // GIR_Coverage, 12418,
     /* 1800411 */     GIR_EraseRootFromParent_Done,
     /* 1800412 */   // Label 24419: @1800412
     /* 1800412 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1800498), // Rule ID 12421 //
     /* 1800417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800463 */     // MIs[0] policy
     /* 1800463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800497 */     // GIR_Coverage, 12421,
     /* 1800497 */     GIR_EraseRootFromParent_Done,
     /* 1800498 */   // Label 24420: @1800498
     /* 1800498 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1800584), // Rule ID 12422 //
     /* 1800503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800549 */     // MIs[0] policy
     /* 1800549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800583 */     // GIR_Coverage, 12422,
     /* 1800583 */     GIR_EraseRootFromParent_Done,
     /* 1800584 */   // Label 24421: @1800584
     /* 1800584 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1800670), // Rule ID 12425 //
     /* 1800589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800635 */     // MIs[0] policy
     /* 1800635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1800648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800669 */     // GIR_Coverage, 12425,
     /* 1800669 */     GIR_EraseRootFromParent_Done,
     /* 1800670 */   // Label 24422: @1800670
     /* 1800670 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1800756), // Rule ID 12426 //
     /* 1800675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800721 */     // MIs[0] policy
     /* 1800721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800731 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1800734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800755 */     // GIR_Coverage, 12426,
     /* 1800755 */     GIR_EraseRootFromParent_Done,
     /* 1800756 */   // Label 24423: @1800756
     /* 1800756 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1800842), // Rule ID 12429 //
     /* 1800761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800807 */     // MIs[0] policy
     /* 1800807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1800820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800841 */     // GIR_Coverage, 12429,
     /* 1800841 */     GIR_EraseRootFromParent_Done,
     /* 1800842 */   // Label 24424: @1800842
     /* 1800842 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1800928), // Rule ID 12430 //
     /* 1800847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800893 */     // MIs[0] policy
     /* 1800893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1800906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800927 */     // GIR_Coverage, 12430,
     /* 1800927 */     GIR_EraseRootFromParent_Done,
     /* 1800928 */   // Label 24425: @1800928
     /* 1800928 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1801014), // Rule ID 12433 //
     /* 1800933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800979 */     // MIs[0] policy
     /* 1800979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1800992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801013 */     // GIR_Coverage, 12433,
     /* 1801013 */     GIR_EraseRootFromParent_Done,
     /* 1801014 */   // Label 24426: @1801014
     /* 1801014 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1801100), // Rule ID 12434 //
     /* 1801019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1801036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801065 */     // MIs[0] policy
     /* 1801065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801099 */     // GIR_Coverage, 12434,
     /* 1801099 */     GIR_EraseRootFromParent_Done,
     /* 1801100 */   // Label 24427: @1801100
     /* 1801100 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1801186), // Rule ID 12437 //
     /* 1801105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801151 */     // MIs[0] policy
     /* 1801151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801185 */     // GIR_Coverage, 12437,
     /* 1801185 */     GIR_EraseRootFromParent_Done,
     /* 1801186 */   // Label 24428: @1801186
     /* 1801186 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1801272), // Rule ID 12438 //
     /* 1801191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801237 */     // MIs[0] policy
     /* 1801237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801271 */     // GIR_Coverage, 12438,
     /* 1801271 */     GIR_EraseRootFromParent_Done,
     /* 1801272 */   // Label 24429: @1801272
     /* 1801272 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1801358), // Rule ID 12441 //
     /* 1801277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801323 */     // MIs[0] policy
     /* 1801323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801357 */     // GIR_Coverage, 12441,
     /* 1801357 */     GIR_EraseRootFromParent_Done,
     /* 1801358 */   // Label 24430: @1801358
     /* 1801358 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1801444), // Rule ID 12442 //
     /* 1801363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801409 */     // MIs[0] policy
     /* 1801409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801443 */     // GIR_Coverage, 12442,
     /* 1801443 */     GIR_EraseRootFromParent_Done,
     /* 1801444 */   // Label 24431: @1801444
     /* 1801444 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1801530), // Rule ID 12445 //
     /* 1801449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801495 */     // MIs[0] policy
     /* 1801495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801505 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801529 */     // GIR_Coverage, 12445,
     /* 1801529 */     GIR_EraseRootFromParent_Done,
     /* 1801530 */   // Label 24432: @1801530
     /* 1801530 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1801616), // Rule ID 12446 //
     /* 1801535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801581 */     // MIs[0] policy
     /* 1801581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801591 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801615 */     // GIR_Coverage, 12446,
     /* 1801615 */     GIR_EraseRootFromParent_Done,
     /* 1801616 */   // Label 24433: @1801616
     /* 1801616 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1801702), // Rule ID 12449 //
     /* 1801621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801667 */     // MIs[0] policy
     /* 1801667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801677 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801701 */     // GIR_Coverage, 12449,
     /* 1801701 */     GIR_EraseRootFromParent_Done,
     /* 1801702 */   // Label 24434: @1801702
     /* 1801702 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1801788), // Rule ID 12450 //
     /* 1801707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801753 */     // MIs[0] policy
     /* 1801753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801787 */     // GIR_Coverage, 12450,
     /* 1801787 */     GIR_EraseRootFromParent_Done,
     /* 1801788 */   // Label 24435: @1801788
     /* 1801788 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1801874), // Rule ID 12453 //
     /* 1801793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801839 */     // MIs[0] policy
     /* 1801839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801873 */     // GIR_Coverage, 12453,
     /* 1801873 */     GIR_EraseRootFromParent_Done,
     /* 1801874 */   // Label 24436: @1801874
     /* 1801874 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1801960), // Rule ID 12454 //
     /* 1801879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801925 */     // MIs[0] policy
     /* 1801925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801959 */     // GIR_Coverage, 12454,
     /* 1801959 */     GIR_EraseRootFromParent_Done,
     /* 1801960 */   // Label 24437: @1801960
     /* 1801960 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1802046), // Rule ID 12457 //
     /* 1801965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802011 */     // MIs[0] policy
     /* 1802011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802045 */     // GIR_Coverage, 12457,
     /* 1802045 */     GIR_EraseRootFromParent_Done,
     /* 1802046 */   // Label 24438: @1802046
     /* 1802046 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1802132), // Rule ID 12458 //
     /* 1802051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1802068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802097 */     // MIs[0] policy
     /* 1802097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802131 */     // GIR_Coverage, 12458,
     /* 1802131 */     GIR_EraseRootFromParent_Done,
     /* 1802132 */   // Label 24439: @1802132
     /* 1802132 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1802218), // Rule ID 12461 //
     /* 1802137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802183 */     // MIs[0] policy
     /* 1802183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802217 */     // GIR_Coverage, 12461,
     /* 1802217 */     GIR_EraseRootFromParent_Done,
     /* 1802218 */   // Label 24440: @1802218
     /* 1802218 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1802304), // Rule ID 12462 //
     /* 1802223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802269 */     // MIs[0] policy
     /* 1802269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802279 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802303 */     // GIR_Coverage, 12462,
     /* 1802303 */     GIR_EraseRootFromParent_Done,
     /* 1802304 */   // Label 24441: @1802304
     /* 1802304 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1802390), // Rule ID 12465 //
     /* 1802309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802355 */     // MIs[0] policy
     /* 1802355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802389 */     // GIR_Coverage, 12465,
     /* 1802389 */     GIR_EraseRootFromParent_Done,
     /* 1802390 */   // Label 24442: @1802390
     /* 1802390 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1802476), // Rule ID 12466 //
     /* 1802395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802441 */     // MIs[0] policy
     /* 1802441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802475 */     // GIR_Coverage, 12466,
     /* 1802475 */     GIR_EraseRootFromParent_Done,
     /* 1802476 */   // Label 24443: @1802476
     /* 1802476 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1802562), // Rule ID 12469 //
     /* 1802481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802527 */     // MIs[0] policy
     /* 1802527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802561 */     // GIR_Coverage, 12469,
     /* 1802561 */     GIR_EraseRootFromParent_Done,
     /* 1802562 */   // Label 24444: @1802562
     /* 1802562 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1802648), // Rule ID 12470 //
     /* 1802567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802613 */     // MIs[0] policy
     /* 1802613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802647 */     // GIR_Coverage, 12470,
     /* 1802647 */     GIR_EraseRootFromParent_Done,
     /* 1802648 */   // Label 24445: @1802648
     /* 1802648 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1802734), // Rule ID 12473 //
     /* 1802653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802699 */     // MIs[0] policy
     /* 1802699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802733 */     // GIR_Coverage, 12473,
     /* 1802733 */     GIR_EraseRootFromParent_Done,
     /* 1802734 */   // Label 24446: @1802734
     /* 1802734 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1802820), // Rule ID 12474 //
     /* 1802739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802785 */     // MIs[0] policy
     /* 1802785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802795 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802819 */     // GIR_Coverage, 12474,
     /* 1802819 */     GIR_EraseRootFromParent_Done,
     /* 1802820 */   // Label 24447: @1802820
     /* 1802820 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1802906), // Rule ID 12477 //
     /* 1802825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802871 */     // MIs[0] policy
     /* 1802871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802881 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802905 */     // GIR_Coverage, 12477,
     /* 1802905 */     GIR_EraseRootFromParent_Done,
     /* 1802906 */   // Label 24448: @1802906
     /* 1802906 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1802992), // Rule ID 12478 //
     /* 1802911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802957 */     // MIs[0] policy
     /* 1802957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802991 */     // GIR_Coverage, 12478,
     /* 1802991 */     GIR_EraseRootFromParent_Done,
     /* 1802992 */   // Label 24449: @1802992
     /* 1802992 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1803078), // Rule ID 12481 //
     /* 1802997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803043 */     // MIs[0] policy
     /* 1803043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803077 */     // GIR_Coverage, 12481,
     /* 1803077 */     GIR_EraseRootFromParent_Done,
     /* 1803078 */   // Label 24450: @1803078
     /* 1803078 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1803164), // Rule ID 12482 //
     /* 1803083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803129 */     // MIs[0] policy
     /* 1803129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803139 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803163 */     // GIR_Coverage, 12482,
     /* 1803163 */     GIR_EraseRootFromParent_Done,
     /* 1803164 */   // Label 24451: @1803164
     /* 1803164 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1803250), // Rule ID 12485 //
     /* 1803169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803215 */     // MIs[0] policy
     /* 1803215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803249 */     // GIR_Coverage, 12485,
     /* 1803249 */     GIR_EraseRootFromParent_Done,
     /* 1803250 */   // Label 24452: @1803250
     /* 1803250 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1803336), // Rule ID 12486 //
     /* 1803255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803301 */     // MIs[0] policy
     /* 1803301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803335 */     // GIR_Coverage, 12486,
     /* 1803335 */     GIR_EraseRootFromParent_Done,
     /* 1803336 */   // Label 24453: @1803336
     /* 1803336 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1803422), // Rule ID 12489 //
     /* 1803341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803387 */     // MIs[0] policy
     /* 1803387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803421 */     // GIR_Coverage, 12489,
     /* 1803421 */     GIR_EraseRootFromParent_Done,
     /* 1803422 */   // Label 24454: @1803422
     /* 1803422 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1803508), // Rule ID 12490 //
     /* 1803427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803473 */     // MIs[0] policy
     /* 1803473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803507 */     // GIR_Coverage, 12490,
     /* 1803507 */     GIR_EraseRootFromParent_Done,
     /* 1803508 */   // Label 24455: @1803508
     /* 1803508 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1803594), // Rule ID 12493 //
     /* 1803513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803559 */     // MIs[0] policy
     /* 1803559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803593 */     // GIR_Coverage, 12493,
     /* 1803593 */     GIR_EraseRootFromParent_Done,
     /* 1803594 */   // Label 24456: @1803594
     /* 1803594 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1803680), // Rule ID 12494 //
     /* 1803599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803645 */     // MIs[0] policy
     /* 1803645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803679 */     // GIR_Coverage, 12494,
     /* 1803679 */     GIR_EraseRootFromParent_Done,
     /* 1803680 */   // Label 24457: @1803680
     /* 1803680 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1803766), // Rule ID 12497 //
     /* 1803685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803731 */     // MIs[0] policy
     /* 1803731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1803744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803765 */     // GIR_Coverage, 12497,
     /* 1803765 */     GIR_EraseRootFromParent_Done,
     /* 1803766 */   // Label 24458: @1803766
     /* 1803766 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1803852), // Rule ID 12498 //
     /* 1803771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803817 */     // MIs[0] policy
     /* 1803817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1803830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803851 */     // GIR_Coverage, 12498,
     /* 1803851 */     GIR_EraseRootFromParent_Done,
     /* 1803852 */   // Label 24459: @1803852
     /* 1803852 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1803938), // Rule ID 12501 //
     /* 1803857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1803877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803903 */     // MIs[0] policy
     /* 1803903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803913 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1803916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803937 */     // GIR_Coverage, 12501,
     /* 1803937 */     GIR_EraseRootFromParent_Done,
     /* 1803938 */   // Label 24460: @1803938
     /* 1803938 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1804024), // Rule ID 12502 //
     /* 1803943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1803963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803989 */     // MIs[0] policy
     /* 1803989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804023 */     // GIR_Coverage, 12502,
     /* 1804023 */     GIR_EraseRootFromParent_Done,
     /* 1804024 */   // Label 24461: @1804024
     /* 1804024 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1804110), // Rule ID 12505 //
     /* 1804029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804075 */     // MIs[0] policy
     /* 1804075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804109 */     // GIR_Coverage, 12505,
     /* 1804109 */     GIR_EraseRootFromParent_Done,
     /* 1804110 */   // Label 24462: @1804110
     /* 1804110 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1804196), // Rule ID 12506 //
     /* 1804115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804161 */     // MIs[0] policy
     /* 1804161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804195 */     // GIR_Coverage, 12506,
     /* 1804195 */     GIR_EraseRootFromParent_Done,
     /* 1804196 */   // Label 24463: @1804196
     /* 1804196 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1804282), // Rule ID 12509 //
     /* 1804201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804247 */     // MIs[0] policy
     /* 1804247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804281 */     // GIR_Coverage, 12509,
     /* 1804281 */     GIR_EraseRootFromParent_Done,
     /* 1804282 */   // Label 24464: @1804282
     /* 1804282 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1804368), // Rule ID 12510 //
     /* 1804287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804333 */     // MIs[0] policy
     /* 1804333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804367 */     // GIR_Coverage, 12510,
     /* 1804367 */     GIR_EraseRootFromParent_Done,
     /* 1804368 */   // Label 24465: @1804368
     /* 1804368 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1804454), // Rule ID 12513 //
     /* 1804373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804419 */     // MIs[0] policy
     /* 1804419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804429 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804453 */     // GIR_Coverage, 12513,
     /* 1804453 */     GIR_EraseRootFromParent_Done,
     /* 1804454 */   // Label 24466: @1804454
     /* 1804454 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1804540), // Rule ID 12514 //
     /* 1804459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804505 */     // MIs[0] policy
     /* 1804505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804539 */     // GIR_Coverage, 12514,
     /* 1804539 */     GIR_EraseRootFromParent_Done,
     /* 1804540 */   // Label 24467: @1804540
     /* 1804540 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1804626), // Rule ID 12517 //
     /* 1804545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1804565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804591 */     // MIs[0] policy
     /* 1804591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804625 */     // GIR_Coverage, 12517,
     /* 1804625 */     GIR_EraseRootFromParent_Done,
     /* 1804626 */   // Label 24468: @1804626
     /* 1804626 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1804712), // Rule ID 12518 //
     /* 1804631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1804651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804677 */     // MIs[0] policy
     /* 1804677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804711 */     // GIR_Coverage, 12518,
     /* 1804711 */     GIR_EraseRootFromParent_Done,
     /* 1804712 */   // Label 24469: @1804712
     /* 1804712 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1804798), // Rule ID 12521 //
     /* 1804717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804763 */     // MIs[0] policy
     /* 1804763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804797 */     // GIR_Coverage, 12521,
     /* 1804797 */     GIR_EraseRootFromParent_Done,
     /* 1804798 */   // Label 24470: @1804798
     /* 1804798 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1804884), // Rule ID 12522 //
     /* 1804803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804849 */     // MIs[0] policy
     /* 1804849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804883 */     // GIR_Coverage, 12522,
     /* 1804883 */     GIR_EraseRootFromParent_Done,
     /* 1804884 */   // Label 24471: @1804884
     /* 1804884 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1804970), // Rule ID 12525 //
     /* 1804889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804935 */     // MIs[0] policy
     /* 1804935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804945 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804969 */     // GIR_Coverage, 12525,
     /* 1804969 */     GIR_EraseRootFromParent_Done,
     /* 1804970 */   // Label 24472: @1804970
     /* 1804970 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1805056), // Rule ID 12526 //
     /* 1804975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805021 */     // MIs[0] policy
     /* 1805021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805055 */     // GIR_Coverage, 12526,
     /* 1805055 */     GIR_EraseRootFromParent_Done,
     /* 1805056 */   // Label 24473: @1805056
     /* 1805056 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1805142), // Rule ID 12529 //
     /* 1805061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805107 */     // MIs[0] policy
     /* 1805107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805141 */     // GIR_Coverage, 12529,
     /* 1805141 */     GIR_EraseRootFromParent_Done,
     /* 1805142 */   // Label 24474: @1805142
     /* 1805142 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1805228), // Rule ID 12530 //
     /* 1805147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805193 */     // MIs[0] policy
     /* 1805193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805227 */     // GIR_Coverage, 12530,
     /* 1805227 */     GIR_EraseRootFromParent_Done,
     /* 1805228 */   // Label 24475: @1805228
     /* 1805228 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1805314), // Rule ID 12533 //
     /* 1805233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805279 */     // MIs[0] policy
     /* 1805279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805313 */     // GIR_Coverage, 12533,
     /* 1805313 */     GIR_EraseRootFromParent_Done,
     /* 1805314 */   // Label 24476: @1805314
     /* 1805314 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1805400), // Rule ID 12534 //
     /* 1805319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805365 */     // MIs[0] policy
     /* 1805365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805399 */     // GIR_Coverage, 12534,
     /* 1805399 */     GIR_EraseRootFromParent_Done,
     /* 1805400 */   // Label 24477: @1805400
     /* 1805400 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1805486), // Rule ID 12537 //
     /* 1805405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805451 */     // MIs[0] policy
     /* 1805451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805485 */     // GIR_Coverage, 12537,
     /* 1805485 */     GIR_EraseRootFromParent_Done,
     /* 1805486 */   // Label 24478: @1805486
     /* 1805486 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1805572), // Rule ID 12538 //
     /* 1805491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805537 */     // MIs[0] policy
     /* 1805537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805571 */     // GIR_Coverage, 12538,
     /* 1805571 */     GIR_EraseRootFromParent_Done,
     /* 1805572 */   // Label 24479: @1805572
     /* 1805572 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1805658), // Rule ID 12541 //
     /* 1805577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805623 */     // MIs[0] policy
     /* 1805623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805657 */     // GIR_Coverage, 12541,
     /* 1805657 */     GIR_EraseRootFromParent_Done,
     /* 1805658 */   // Label 24480: @1805658
     /* 1805658 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1805744), // Rule ID 12542 //
     /* 1805663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805709 */     // MIs[0] policy
     /* 1805709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805719 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805743 */     // GIR_Coverage, 12542,
     /* 1805743 */     GIR_EraseRootFromParent_Done,
     /* 1805744 */   // Label 24481: @1805744
     /* 1805744 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1805830), // Rule ID 12545 //
     /* 1805749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805795 */     // MIs[0] policy
     /* 1805795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805805 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1805808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805829 */     // GIR_Coverage, 12545,
     /* 1805829 */     GIR_EraseRootFromParent_Done,
     /* 1805830 */   // Label 24482: @1805830
     /* 1805830 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1805916), // Rule ID 12546 //
     /* 1805835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805881 */     // MIs[0] policy
     /* 1805881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1805894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805915 */     // GIR_Coverage, 12546,
     /* 1805915 */     GIR_EraseRootFromParent_Done,
     /* 1805916 */   // Label 24483: @1805916
     /* 1805916 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1806002), // Rule ID 12549 //
     /* 1805921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1805938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805967 */     // MIs[0] policy
     /* 1805967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1805980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806001 */     // GIR_Coverage, 12549,
     /* 1806001 */     GIR_EraseRootFromParent_Done,
     /* 1806002 */   // Label 24484: @1806002
     /* 1806002 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1806088), // Rule ID 12550 //
     /* 1806007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1806024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806053 */     // MIs[0] policy
     /* 1806053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806063 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806087 */     // GIR_Coverage, 12550,
     /* 1806087 */     GIR_EraseRootFromParent_Done,
     /* 1806088 */   // Label 24485: @1806088
     /* 1806088 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1806174), // Rule ID 12553 //
     /* 1806093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806139 */     // MIs[0] policy
     /* 1806139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806173 */     // GIR_Coverage, 12553,
     /* 1806173 */     GIR_EraseRootFromParent_Done,
     /* 1806174 */   // Label 24486: @1806174
     /* 1806174 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1806260), // Rule ID 12554 //
     /* 1806179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806225 */     // MIs[0] policy
     /* 1806225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806259 */     // GIR_Coverage, 12554,
     /* 1806259 */     GIR_EraseRootFromParent_Done,
     /* 1806260 */   // Label 24487: @1806260
     /* 1806260 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1806346), // Rule ID 12557 //
     /* 1806265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806311 */     // MIs[0] policy
     /* 1806311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806345 */     // GIR_Coverage, 12557,
     /* 1806345 */     GIR_EraseRootFromParent_Done,
     /* 1806346 */   // Label 24488: @1806346
     /* 1806346 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1806432), // Rule ID 12558 //
     /* 1806351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806397 */     // MIs[0] policy
     /* 1806397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806431 */     // GIR_Coverage, 12558,
     /* 1806431 */     GIR_EraseRootFromParent_Done,
     /* 1806432 */   // Label 24489: @1806432
     /* 1806432 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1806518), // Rule ID 12561 //
     /* 1806437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806483 */     // MIs[0] policy
     /* 1806483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806517 */     // GIR_Coverage, 12561,
     /* 1806517 */     GIR_EraseRootFromParent_Done,
     /* 1806518 */   // Label 24490: @1806518
     /* 1806518 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1806604), // Rule ID 12562 //
     /* 1806523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806569 */     // MIs[0] policy
     /* 1806569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806579 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806603 */     // GIR_Coverage, 12562,
     /* 1806603 */     GIR_EraseRootFromParent_Done,
     /* 1806604 */   // Label 24491: @1806604
     /* 1806604 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1806690), // Rule ID 12565 //
     /* 1806609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806655 */     // MIs[0] policy
     /* 1806655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806665 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1806668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806689 */     // GIR_Coverage, 12565,
     /* 1806689 */     GIR_EraseRootFromParent_Done,
     /* 1806690 */   // Label 24492: @1806690
     /* 1806690 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1806776), // Rule ID 12566 //
     /* 1806695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806741 */     // MIs[0] policy
     /* 1806741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1806754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806775 */     // GIR_Coverage, 12566,
     /* 1806775 */     GIR_EraseRootFromParent_Done,
     /* 1806776 */   // Label 24493: @1806776
     /* 1806776 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1806862), // Rule ID 12569 //
     /* 1806781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806827 */     // MIs[0] policy
     /* 1806827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806861 */     // GIR_Coverage, 12569,
     /* 1806861 */     GIR_EraseRootFromParent_Done,
     /* 1806862 */   // Label 24494: @1806862
     /* 1806862 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1806948), // Rule ID 12570 //
     /* 1806867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806913 */     // MIs[0] policy
     /* 1806913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806947 */     // GIR_Coverage, 12570,
     /* 1806947 */     GIR_EraseRootFromParent_Done,
     /* 1806948 */   // Label 24495: @1806948
     /* 1806948 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1807034), // Rule ID 12573 //
     /* 1806953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1806970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806999 */     // MIs[0] policy
     /* 1806999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807033 */     // GIR_Coverage, 12573,
     /* 1807033 */     GIR_EraseRootFromParent_Done,
     /* 1807034 */   // Label 24496: @1807034
     /* 1807034 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1807120), // Rule ID 12574 //
     /* 1807039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807085 */     // MIs[0] policy
     /* 1807085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807119 */     // GIR_Coverage, 12574,
     /* 1807119 */     GIR_EraseRootFromParent_Done,
     /* 1807120 */   // Label 24497: @1807120
     /* 1807120 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1807206), // Rule ID 12577 //
     /* 1807125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807171 */     // MIs[0] policy
     /* 1807171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807181 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807205 */     // GIR_Coverage, 12577,
     /* 1807205 */     GIR_EraseRootFromParent_Done,
     /* 1807206 */   // Label 24498: @1807206
     /* 1807206 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1807292), // Rule ID 12578 //
     /* 1807211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807257 */     // MIs[0] policy
     /* 1807257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807291 */     // GIR_Coverage, 12578,
     /* 1807291 */     GIR_EraseRootFromParent_Done,
     /* 1807292 */   // Label 24499: @1807292
     /* 1807292 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1807378), // Rule ID 12581 //
     /* 1807297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807343 */     // MIs[0] policy
     /* 1807343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807377 */     // GIR_Coverage, 12581,
     /* 1807377 */     GIR_EraseRootFromParent_Done,
     /* 1807378 */   // Label 24500: @1807378
     /* 1807378 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1807464), // Rule ID 12582 //
     /* 1807383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807429 */     // MIs[0] policy
     /* 1807429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807463 */     // GIR_Coverage, 12582,
     /* 1807463 */     GIR_EraseRootFromParent_Done,
     /* 1807464 */   // Label 24501: @1807464
     /* 1807464 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1807550), // Rule ID 12585 //
     /* 1807469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807515 */     // MIs[0] policy
     /* 1807515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807525 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807549 */     // GIR_Coverage, 12585,
     /* 1807549 */     GIR_EraseRootFromParent_Done,
     /* 1807550 */   // Label 24502: @1807550
     /* 1807550 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1807636), // Rule ID 12586 //
     /* 1807555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807601 */     // MIs[0] policy
     /* 1807601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807635 */     // GIR_Coverage, 12586,
     /* 1807635 */     GIR_EraseRootFromParent_Done,
     /* 1807636 */   // Label 24503: @1807636
     /* 1807636 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1807722), // Rule ID 12589 //
     /* 1807641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807687 */     // MIs[0] policy
     /* 1807687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807721 */     // GIR_Coverage, 12589,
     /* 1807721 */     GIR_EraseRootFromParent_Done,
     /* 1807722 */   // Label 24504: @1807722
     /* 1807722 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1807808), // Rule ID 12590 //
     /* 1807727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807773 */     // MIs[0] policy
     /* 1807773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807807 */     // GIR_Coverage, 12590,
     /* 1807807 */     GIR_EraseRootFromParent_Done,
     /* 1807808 */   // Label 24505: @1807808
     /* 1807808 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1807894), // Rule ID 12593 //
     /* 1807813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807859 */     // MIs[0] policy
     /* 1807859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807893 */     // GIR_Coverage, 12593,
     /* 1807893 */     GIR_EraseRootFromParent_Done,
     /* 1807894 */   // Label 24506: @1807894
     /* 1807894 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1807980), // Rule ID 12594 //
     /* 1807899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807945 */     // MIs[0] policy
     /* 1807945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807979 */     // GIR_Coverage, 12594,
     /* 1807979 */     GIR_EraseRootFromParent_Done,
     /* 1807980 */   // Label 24507: @1807980
     /* 1807980 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1808066), // Rule ID 12597 //
     /* 1807985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808031 */     // MIs[0] policy
     /* 1808031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1808044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808065 */     // GIR_Coverage, 12597,
     /* 1808065 */     GIR_EraseRootFromParent_Done,
     /* 1808066 */   // Label 24508: @1808066
     /* 1808066 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1808152), // Rule ID 12598 //
     /* 1808071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808117 */     // MIs[0] policy
     /* 1808117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1808130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808151 */     // GIR_Coverage, 12598,
     /* 1808151 */     GIR_EraseRootFromParent_Done,
     /* 1808152 */   // Label 24509: @1808152
     /* 1808152 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1808238), // Rule ID 12601 //
     /* 1808157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808203 */     // MIs[0] policy
     /* 1808203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808237 */     // GIR_Coverage, 12601,
     /* 1808237 */     GIR_EraseRootFromParent_Done,
     /* 1808238 */   // Label 24510: @1808238
     /* 1808238 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1808324), // Rule ID 12602 //
     /* 1808243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808289 */     // MIs[0] policy
     /* 1808289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808323 */     // GIR_Coverage, 12602,
     /* 1808323 */     GIR_EraseRootFromParent_Done,
     /* 1808324 */   // Label 24511: @1808324
     /* 1808324 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1808410), // Rule ID 12605 //
     /* 1808329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808375 */     // MIs[0] policy
     /* 1808375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808385 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808409 */     // GIR_Coverage, 12605,
     /* 1808409 */     GIR_EraseRootFromParent_Done,
     /* 1808410 */   // Label 24512: @1808410
     /* 1808410 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1808496), // Rule ID 12606 //
     /* 1808415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808461 */     // MIs[0] policy
     /* 1808461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808471 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808495 */     // GIR_Coverage, 12606,
     /* 1808495 */     GIR_EraseRootFromParent_Done,
     /* 1808496 */   // Label 24513: @1808496
     /* 1808496 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1808582), // Rule ID 12609 //
     /* 1808501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808547 */     // MIs[0] policy
     /* 1808547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808557 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808581 */     // GIR_Coverage, 12609,
     /* 1808581 */     GIR_EraseRootFromParent_Done,
     /* 1808582 */   // Label 24514: @1808582
     /* 1808582 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1808668), // Rule ID 12610 //
     /* 1808587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808633 */     // MIs[0] policy
     /* 1808633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808643 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808667 */     // GIR_Coverage, 12610,
     /* 1808667 */     GIR_EraseRootFromParent_Done,
     /* 1808668 */   // Label 24515: @1808668
     /* 1808668 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1808754), // Rule ID 12613 //
     /* 1808673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1808684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1808687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1808693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808719 */     // MIs[0] policy
     /* 1808719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808729 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808753 */     // GIR_Coverage, 12613,
     /* 1808753 */     GIR_EraseRootFromParent_Done,
     /* 1808754 */   // Label 24516: @1808754
     /* 1808754 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1808840), // Rule ID 12614 //
     /* 1808759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1808770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1808773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1808779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808805 */     // MIs[0] policy
     /* 1808805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808815 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808839 */     // GIR_Coverage, 12614,
     /* 1808839 */     GIR_EraseRootFromParent_Done,
     /* 1808840 */   // Label 24517: @1808840
     /* 1808840 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1808926), // Rule ID 12617 //
     /* 1808845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1808856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1808859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1808865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808891 */     // MIs[0] policy
     /* 1808891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808925 */     // GIR_Coverage, 12617,
     /* 1808925 */     GIR_EraseRootFromParent_Done,
     /* 1808926 */   // Label 24518: @1808926
     /* 1808926 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1809012), // Rule ID 12618 //
     /* 1808931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1808942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1808945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1808951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808977 */     // MIs[0] policy
     /* 1808977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808987 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809011 */     // GIR_Coverage, 12618,
     /* 1809011 */     GIR_EraseRootFromParent_Done,
     /* 1809012 */   // Label 24519: @1809012
     /* 1809012 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1809098), // Rule ID 12621 //
     /* 1809017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809063 */     // MIs[0] policy
     /* 1809063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809073 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809097 */     // GIR_Coverage, 12621,
     /* 1809097 */     GIR_EraseRootFromParent_Done,
     /* 1809098 */   // Label 24520: @1809098
     /* 1809098 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1809184), // Rule ID 12622 //
     /* 1809103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809149 */     // MIs[0] policy
     /* 1809149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809159 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809183 */     // GIR_Coverage, 12622,
     /* 1809183 */     GIR_EraseRootFromParent_Done,
     /* 1809184 */   // Label 24521: @1809184
     /* 1809184 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1809270), // Rule ID 12625 //
     /* 1809189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809235 */     // MIs[0] policy
     /* 1809235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809269 */     // GIR_Coverage, 12625,
     /* 1809269 */     GIR_EraseRootFromParent_Done,
     /* 1809270 */   // Label 24522: @1809270
     /* 1809270 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1809356), // Rule ID 12626 //
     /* 1809275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809321 */     // MIs[0] policy
     /* 1809321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809355 */     // GIR_Coverage, 12626,
     /* 1809355 */     GIR_EraseRootFromParent_Done,
     /* 1809356 */   // Label 24523: @1809356
     /* 1809356 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1809442), // Rule ID 12629 //
     /* 1809361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809407 */     // MIs[0] policy
     /* 1809407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809441 */     // GIR_Coverage, 12629,
     /* 1809441 */     GIR_EraseRootFromParent_Done,
     /* 1809442 */   // Label 24524: @1809442
     /* 1809442 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1809528), // Rule ID 12630 //
     /* 1809447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809493 */     // MIs[0] policy
     /* 1809493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809527 */     // GIR_Coverage, 12630,
     /* 1809527 */     GIR_EraseRootFromParent_Done,
     /* 1809528 */   // Label 24525: @1809528
     /* 1809528 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1809614), // Rule ID 12633 //
     /* 1809533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809579 */     // MIs[0] policy
     /* 1809579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809613 */     // GIR_Coverage, 12633,
     /* 1809613 */     GIR_EraseRootFromParent_Done,
     /* 1809614 */   // Label 24526: @1809614
     /* 1809614 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1809700), // Rule ID 12634 //
     /* 1809619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809665 */     // MIs[0] policy
     /* 1809665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809699 */     // GIR_Coverage, 12634,
     /* 1809699 */     GIR_EraseRootFromParent_Done,
     /* 1809700 */   // Label 24527: @1809700
     /* 1809700 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1809786), // Rule ID 12637 //
     /* 1809705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1809708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1809722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1809725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809751 */     // MIs[0] policy
     /* 1809751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809785 */     // GIR_Coverage, 12637,
     /* 1809785 */     GIR_EraseRootFromParent_Done,
     /* 1809786 */   // Label 24528: @1809786
     /* 1809786 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1809872), // Rule ID 12638 //
     /* 1809791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1809794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1809808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1809811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809837 */     // MIs[0] policy
     /* 1809837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809871 */     // GIR_Coverage, 12638,
     /* 1809871 */     GIR_EraseRootFromParent_Done,
     /* 1809872 */   // Label 24529: @1809872
     /* 1809872 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1809958), // Rule ID 12641 //
     /* 1809877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1809888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1809891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1809894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1809897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809923 */     // MIs[0] policy
     /* 1809923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1809936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809957 */     // GIR_Coverage, 12641,
     /* 1809957 */     GIR_EraseRootFromParent_Done,
     /* 1809958 */   // Label 24530: @1809958
     /* 1809958 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1810044), // Rule ID 12642 //
     /* 1809963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1809974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1809977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1809980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1809983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810009 */     // MIs[0] policy
     /* 1810009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810019 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810043 */     // GIR_Coverage, 12642,
     /* 1810043 */     GIR_EraseRootFromParent_Done,
     /* 1810044 */   // Label 24531: @1810044
     /* 1810044 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1810130), // Rule ID 12645 //
     /* 1810049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810095 */     // MIs[0] policy
     /* 1810095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810105 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810129 */     // GIR_Coverage, 12645,
     /* 1810129 */     GIR_EraseRootFromParent_Done,
     /* 1810130 */   // Label 24532: @1810130
     /* 1810130 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1810216), // Rule ID 12646 //
     /* 1810135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810181 */     // MIs[0] policy
     /* 1810181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810215 */     // GIR_Coverage, 12646,
     /* 1810215 */     GIR_EraseRootFromParent_Done,
     /* 1810216 */   // Label 24533: @1810216
     /* 1810216 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1810302), // Rule ID 12649 //
     /* 1810221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810267 */     // MIs[0] policy
     /* 1810267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810301 */     // GIR_Coverage, 12649,
     /* 1810301 */     GIR_EraseRootFromParent_Done,
     /* 1810302 */   // Label 24534: @1810302
     /* 1810302 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1810388), // Rule ID 12650 //
     /* 1810307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810353 */     // MIs[0] policy
     /* 1810353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810363 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810387 */     // GIR_Coverage, 12650,
     /* 1810387 */     GIR_EraseRootFromParent_Done,
     /* 1810388 */   // Label 24535: @1810388
     /* 1810388 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1810474), // Rule ID 12653 //
     /* 1810393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810439 */     // MIs[0] policy
     /* 1810439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810473 */     // GIR_Coverage, 12653,
     /* 1810473 */     GIR_EraseRootFromParent_Done,
     /* 1810474 */   // Label 24536: @1810474
     /* 1810474 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1810560), // Rule ID 12654 //
     /* 1810479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810525 */     // MIs[0] policy
     /* 1810525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810535 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810559 */     // GIR_Coverage, 12654,
     /* 1810559 */     GIR_EraseRootFromParent_Done,
     /* 1810560 */   // Label 24537: @1810560
     /* 1810560 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1810646), // Rule ID 12657 //
     /* 1810565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1810582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1810585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810611 */     // MIs[0] policy
     /* 1810611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810645 */     // GIR_Coverage, 12657,
     /* 1810645 */     GIR_EraseRootFromParent_Done,
     /* 1810646 */   // Label 24538: @1810646
     /* 1810646 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1810732), // Rule ID 12658 //
     /* 1810651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1810668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1810671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810697 */     // MIs[0] policy
     /* 1810697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810707 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810731 */     // GIR_Coverage, 12658,
     /* 1810731 */     GIR_EraseRootFromParent_Done,
     /* 1810732 */   // Label 24539: @1810732
     /* 1810732 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1810818), // Rule ID 12661 //
     /* 1810737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1810754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1810757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810783 */     // MIs[0] policy
     /* 1810783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810793 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810817 */     // GIR_Coverage, 12661,
     /* 1810817 */     GIR_EraseRootFromParent_Done,
     /* 1810818 */   // Label 24540: @1810818
     /* 1810818 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1810904), // Rule ID 12662 //
     /* 1810823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1810840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1810843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810869 */     // MIs[0] policy
     /* 1810869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810879 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810903 */     // GIR_Coverage, 12662,
     /* 1810903 */     GIR_EraseRootFromParent_Done,
     /* 1810904 */   // Label 24541: @1810904
     /* 1810904 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1810990), // Rule ID 12665 //
     /* 1810909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1810920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1810923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1810926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1810929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810955 */     // MIs[0] policy
     /* 1810955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810965 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810989 */     // GIR_Coverage, 12665,
     /* 1810989 */     GIR_EraseRootFromParent_Done,
     /* 1810990 */   // Label 24542: @1810990
     /* 1810990 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1811076), // Rule ID 12666 //
     /* 1810995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811041 */     // MIs[0] policy
     /* 1811041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811075 */     // GIR_Coverage, 12666,
     /* 1811075 */     GIR_EraseRootFromParent_Done,
     /* 1811076 */   // Label 24543: @1811076
     /* 1811076 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1811162), // Rule ID 12669 //
     /* 1811081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811127 */     // MIs[0] policy
     /* 1811127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811137 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811161 */     // GIR_Coverage, 12669,
     /* 1811161 */     GIR_EraseRootFromParent_Done,
     /* 1811162 */   // Label 24544: @1811162
     /* 1811162 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1811248), // Rule ID 12670 //
     /* 1811167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811213 */     // MIs[0] policy
     /* 1811213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811223 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811247 */     // GIR_Coverage, 12670,
     /* 1811247 */     GIR_EraseRootFromParent_Done,
     /* 1811248 */   // Label 24545: @1811248
     /* 1811248 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1811334), // Rule ID 12673 //
     /* 1811253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811299 */     // MIs[0] policy
     /* 1811299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811309 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811333 */     // GIR_Coverage, 12673,
     /* 1811333 */     GIR_EraseRootFromParent_Done,
     /* 1811334 */   // Label 24546: @1811334
     /* 1811334 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1811420), // Rule ID 12674 //
     /* 1811339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811385 */     // MIs[0] policy
     /* 1811385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811419 */     // GIR_Coverage, 12674,
     /* 1811419 */     GIR_EraseRootFromParent_Done,
     /* 1811420 */   // Label 24547: @1811420
     /* 1811420 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1811506), // Rule ID 12677 //
     /* 1811425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811471 */     // MIs[0] policy
     /* 1811471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811481 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811505 */     // GIR_Coverage, 12677,
     /* 1811505 */     GIR_EraseRootFromParent_Done,
     /* 1811506 */   // Label 24548: @1811506
     /* 1811506 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1811592), // Rule ID 12678 //
     /* 1811511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811557 */     // MIs[0] policy
     /* 1811557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811567 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811591 */     // GIR_Coverage, 12678,
     /* 1811591 */     GIR_EraseRootFromParent_Done,
     /* 1811592 */   // Label 24549: @1811592
     /* 1811592 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1811678), // Rule ID 12681 //
     /* 1811597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1811614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1811617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811643 */     // MIs[0] policy
     /* 1811643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811677 */     // GIR_Coverage, 12681,
     /* 1811677 */     GIR_EraseRootFromParent_Done,
     /* 1811678 */   // Label 24550: @1811678
     /* 1811678 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1811764), // Rule ID 12682 //
     /* 1811683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1811700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1811703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811729 */     // MIs[0] policy
     /* 1811729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811739 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811763 */     // GIR_Coverage, 12682,
     /* 1811763 */     GIR_EraseRootFromParent_Done,
     /* 1811764 */   // Label 24551: @1811764
     /* 1811764 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1811850), // Rule ID 12685 //
     /* 1811769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1811780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1811783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1811786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1811789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811815 */     // MIs[0] policy
     /* 1811815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811825 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811849 */     // GIR_Coverage, 12685,
     /* 1811849 */     GIR_EraseRootFromParent_Done,
     /* 1811850 */   // Label 24552: @1811850
     /* 1811850 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1811936), // Rule ID 12686 //
     /* 1811855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1811866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1811869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1811872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1811875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811901 */     // MIs[0] policy
     /* 1811901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811911 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811935 */     // GIR_Coverage, 12686,
     /* 1811935 */     GIR_EraseRootFromParent_Done,
     /* 1811936 */   // Label 24553: @1811936
     /* 1811936 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1812022), // Rule ID 12689 //
     /* 1811941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1811952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1811955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1811961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811987 */     // MIs[0] policy
     /* 1811987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811997 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1812000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812021 */     // GIR_Coverage, 12689,
     /* 1812021 */     GIR_EraseRootFromParent_Done,
     /* 1812022 */   // Label 24554: @1812022
     /* 1812022 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1812108), // Rule ID 12690 //
     /* 1812027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1812038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1812041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1812047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812073 */     // MIs[0] policy
     /* 1812073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1812086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812107 */     // GIR_Coverage, 12690,
     /* 1812107 */     GIR_EraseRootFromParent_Done,
     /* 1812108 */   // Label 24555: @1812108
     /* 1812108 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1812194), // Rule ID 12693 //
     /* 1812113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812159 */     // MIs[0] policy
     /* 1812159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812169 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812193 */     // GIR_Coverage, 12693,
     /* 1812193 */     GIR_EraseRootFromParent_Done,
     /* 1812194 */   // Label 24556: @1812194
     /* 1812194 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1812280), // Rule ID 12694 //
     /* 1812199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812245 */     // MIs[0] policy
     /* 1812245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812255 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812279 */     // GIR_Coverage, 12694,
     /* 1812279 */     GIR_EraseRootFromParent_Done,
     /* 1812280 */   // Label 24557: @1812280
     /* 1812280 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1812366), // Rule ID 12697 //
     /* 1812285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812331 */     // MIs[0] policy
     /* 1812331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812341 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812365 */     // GIR_Coverage, 12697,
     /* 1812365 */     GIR_EraseRootFromParent_Done,
     /* 1812366 */   // Label 24558: @1812366
     /* 1812366 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1812452), // Rule ID 12698 //
     /* 1812371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812417 */     // MIs[0] policy
     /* 1812417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812427 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812451 */     // GIR_Coverage, 12698,
     /* 1812451 */     GIR_EraseRootFromParent_Done,
     /* 1812452 */   // Label 24559: @1812452
     /* 1812452 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1812538), // Rule ID 12701 //
     /* 1812457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812503 */     // MIs[0] policy
     /* 1812503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812513 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812537 */     // GIR_Coverage, 12701,
     /* 1812537 */     GIR_EraseRootFromParent_Done,
     /* 1812538 */   // Label 24560: @1812538
     /* 1812538 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1812624), // Rule ID 12702 //
     /* 1812543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812589 */     // MIs[0] policy
     /* 1812589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812599 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812623 */     // GIR_Coverage, 12702,
     /* 1812623 */     GIR_EraseRootFromParent_Done,
     /* 1812624 */   // Label 24561: @1812624
     /* 1812624 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1812710), // Rule ID 12705 //
     /* 1812629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1812649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812675 */     // MIs[0] policy
     /* 1812675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812685 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812709 */     // GIR_Coverage, 12705,
     /* 1812709 */     GIR_EraseRootFromParent_Done,
     /* 1812710 */   // Label 24562: @1812710
     /* 1812710 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1812796), // Rule ID 12706 //
     /* 1812715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1812735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812761 */     // MIs[0] policy
     /* 1812761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812795 */     // GIR_Coverage, 12706,
     /* 1812795 */     GIR_EraseRootFromParent_Done,
     /* 1812796 */   // Label 24563: @1812796
     /* 1812796 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1812882), // Rule ID 12709 //
     /* 1812801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1812812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1812815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1812821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812847 */     // MIs[0] policy
     /* 1812847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812857 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812881 */     // GIR_Coverage, 12709,
     /* 1812881 */     GIR_EraseRootFromParent_Done,
     /* 1812882 */   // Label 24564: @1812882
     /* 1812882 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1812968), // Rule ID 12710 //
     /* 1812887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1812898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1812901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1812907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812933 */     // MIs[0] policy
     /* 1812933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812943 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812967 */     // GIR_Coverage, 12710,
     /* 1812967 */     GIR_EraseRootFromParent_Done,
     /* 1812968 */   // Label 24565: @1812968
     /* 1812968 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1813054), // Rule ID 12713 //
     /* 1812973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1812984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1812987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1812993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813019 */     // MIs[0] policy
     /* 1813019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813029 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813053 */     // GIR_Coverage, 12713,
     /* 1813053 */     GIR_EraseRootFromParent_Done,
     /* 1813054 */   // Label 24566: @1813054
     /* 1813054 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1813140), // Rule ID 12714 //
     /* 1813059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813105 */     // MIs[0] policy
     /* 1813105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813115 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813139 */     // GIR_Coverage, 12714,
     /* 1813139 */     GIR_EraseRootFromParent_Done,
     /* 1813140 */   // Label 24567: @1813140
     /* 1813140 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1813226), // Rule ID 12717 //
     /* 1813145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813191 */     // MIs[0] policy
     /* 1813191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813201 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813225 */     // GIR_Coverage, 12717,
     /* 1813225 */     GIR_EraseRootFromParent_Done,
     /* 1813226 */   // Label 24568: @1813226
     /* 1813226 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1813312), // Rule ID 12718 //
     /* 1813231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813277 */     // MIs[0] policy
     /* 1813277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813311 */     // GIR_Coverage, 12718,
     /* 1813311 */     GIR_EraseRootFromParent_Done,
     /* 1813312 */   // Label 24569: @1813312
     /* 1813312 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1813398), // Rule ID 12721 //
     /* 1813317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813363 */     // MIs[0] policy
     /* 1813363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813397 */     // GIR_Coverage, 12721,
     /* 1813397 */     GIR_EraseRootFromParent_Done,
     /* 1813398 */   // Label 24570: @1813398
     /* 1813398 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1813484), // Rule ID 12722 //
     /* 1813403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813449 */     // MIs[0] policy
     /* 1813449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813483 */     // GIR_Coverage, 12722,
     /* 1813483 */     GIR_EraseRootFromParent_Done,
     /* 1813484 */   // Label 24571: @1813484
     /* 1813484 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1813570), // Rule ID 12725 //
     /* 1813489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813535 */     // MIs[0] policy
     /* 1813535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813545 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813569 */     // GIR_Coverage, 12725,
     /* 1813569 */     GIR_EraseRootFromParent_Done,
     /* 1813570 */   // Label 24572: @1813570
     /* 1813570 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1813656), // Rule ID 12726 //
     /* 1813575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813621 */     // MIs[0] policy
     /* 1813621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813631 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813655 */     // GIR_Coverage, 12726,
     /* 1813655 */     GIR_EraseRootFromParent_Done,
     /* 1813656 */   // Label 24573: @1813656
     /* 1813656 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1813742), // Rule ID 12729 //
     /* 1813661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1813672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1813675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1813681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813707 */     // MIs[0] policy
     /* 1813707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1813720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813741 */     // GIR_Coverage, 12729,
     /* 1813741 */     GIR_EraseRootFromParent_Done,
     /* 1813742 */   // Label 24574: @1813742
     /* 1813742 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1813828), // Rule ID 12730 //
     /* 1813747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1813758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1813761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1813767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813793 */     // MIs[0] policy
     /* 1813793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1813806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813827 */     // GIR_Coverage, 12730,
     /* 1813827 */     GIR_EraseRootFromParent_Done,
     /* 1813828 */   // Label 24575: @1813828
     /* 1813828 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1813914), // Rule ID 12733 //
     /* 1813833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1813844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1813847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1813853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813879 */     // MIs[0] policy
     /* 1813879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813889 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813913 */     // GIR_Coverage, 12733,
     /* 1813913 */     GIR_EraseRootFromParent_Done,
     /* 1813914 */   // Label 24576: @1813914
     /* 1813914 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1814000), // Rule ID 12734 //
     /* 1813919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1813930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1813933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1813939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813965 */     // MIs[0] policy
     /* 1813965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813975 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813999 */     // GIR_Coverage, 12734,
     /* 1813999 */     GIR_EraseRootFromParent_Done,
     /* 1814000 */   // Label 24577: @1814000
     /* 1814000 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1814086), // Rule ID 12737 //
     /* 1814005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814051 */     // MIs[0] policy
     /* 1814051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814061 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814085 */     // GIR_Coverage, 12737,
     /* 1814085 */     GIR_EraseRootFromParent_Done,
     /* 1814086 */   // Label 24578: @1814086
     /* 1814086 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1814172), // Rule ID 12738 //
     /* 1814091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814137 */     // MIs[0] policy
     /* 1814137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814171 */     // GIR_Coverage, 12738,
     /* 1814171 */     GIR_EraseRootFromParent_Done,
     /* 1814172 */   // Label 24579: @1814172
     /* 1814172 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1814258), // Rule ID 12741 //
     /* 1814177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814223 */     // MIs[0] policy
     /* 1814223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814257 */     // GIR_Coverage, 12741,
     /* 1814257 */     GIR_EraseRootFromParent_Done,
     /* 1814258 */   // Label 24580: @1814258
     /* 1814258 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1814344), // Rule ID 12742 //
     /* 1814263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814309 */     // MIs[0] policy
     /* 1814309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814319 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814343 */     // GIR_Coverage, 12742,
     /* 1814343 */     GIR_EraseRootFromParent_Done,
     /* 1814344 */   // Label 24581: @1814344
     /* 1814344 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1814430), // Rule ID 12745 //
     /* 1814349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814395 */     // MIs[0] policy
     /* 1814395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814405 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814429 */     // GIR_Coverage, 12745,
     /* 1814429 */     GIR_EraseRootFromParent_Done,
     /* 1814430 */   // Label 24582: @1814430
     /* 1814430 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1814516), // Rule ID 12746 //
     /* 1814435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814481 */     // MIs[0] policy
     /* 1814481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814515 */     // GIR_Coverage, 12746,
     /* 1814515 */     GIR_EraseRootFromParent_Done,
     /* 1814516 */   // Label 24583: @1814516
     /* 1814516 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1814602), // Rule ID 12749 //
     /* 1814521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1814541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814567 */     // MIs[0] policy
     /* 1814567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814577 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814601 */     // GIR_Coverage, 12749,
     /* 1814601 */     GIR_EraseRootFromParent_Done,
     /* 1814602 */   // Label 24584: @1814602
     /* 1814602 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1814688), // Rule ID 12750 //
     /* 1814607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1814627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814653 */     // MIs[0] policy
     /* 1814653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814663 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814687 */     // GIR_Coverage, 12750,
     /* 1814687 */     GIR_EraseRootFromParent_Done,
     /* 1814688 */   // Label 24585: @1814688
     /* 1814688 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1814774), // Rule ID 12753 //
     /* 1814693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1814713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814739 */     // MIs[0] policy
     /* 1814739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814773 */     // GIR_Coverage, 12753,
     /* 1814773 */     GIR_EraseRootFromParent_Done,
     /* 1814774 */   // Label 24586: @1814774
     /* 1814774 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1814860), // Rule ID 12754 //
     /* 1814779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1814799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814825 */     // MIs[0] policy
     /* 1814825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814859 */     // GIR_Coverage, 12754,
     /* 1814859 */     GIR_EraseRootFromParent_Done,
     /* 1814860 */   // Label 24587: @1814860
     /* 1814860 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1814946), // Rule ID 12757 //
     /* 1814865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1814876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1814879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1814885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814911 */     // MIs[0] policy
     /* 1814911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814945 */     // GIR_Coverage, 12757,
     /* 1814945 */     GIR_EraseRootFromParent_Done,
     /* 1814946 */   // Label 24588: @1814946
     /* 1814946 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1815032), // Rule ID 12758 //
     /* 1814951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1814962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1814965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1814971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814997 */     // MIs[0] policy
     /* 1814997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815007 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815031 */     // GIR_Coverage, 12758,
     /* 1815031 */     GIR_EraseRootFromParent_Done,
     /* 1815032 */   // Label 24589: @1815032
     /* 1815032 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1815118), // Rule ID 12761 //
     /* 1815037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815083 */     // MIs[0] policy
     /* 1815083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815117 */     // GIR_Coverage, 12761,
     /* 1815117 */     GIR_EraseRootFromParent_Done,
     /* 1815118 */   // Label 24590: @1815118
     /* 1815118 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1815204), // Rule ID 12762 //
     /* 1815123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815169 */     // MIs[0] policy
     /* 1815169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815203 */     // GIR_Coverage, 12762,
     /* 1815203 */     GIR_EraseRootFromParent_Done,
     /* 1815204 */   // Label 24591: @1815204
     /* 1815204 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1815290), // Rule ID 12765 //
     /* 1815209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815255 */     // MIs[0] policy
     /* 1815255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815289 */     // GIR_Coverage, 12765,
     /* 1815289 */     GIR_EraseRootFromParent_Done,
     /* 1815290 */   // Label 24592: @1815290
     /* 1815290 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1815376), // Rule ID 12766 //
     /* 1815295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815341 */     // MIs[0] policy
     /* 1815341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815351 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815375 */     // GIR_Coverage, 12766,
     /* 1815375 */     GIR_EraseRootFromParent_Done,
     /* 1815376 */   // Label 24593: @1815376
     /* 1815376 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1815462), // Rule ID 12769 //
     /* 1815381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815427 */     // MIs[0] policy
     /* 1815427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815461 */     // GIR_Coverage, 12769,
     /* 1815461 */     GIR_EraseRootFromParent_Done,
     /* 1815462 */   // Label 24594: @1815462
     /* 1815462 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1815548), // Rule ID 12770 //
     /* 1815467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815513 */     // MIs[0] policy
     /* 1815513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815547 */     // GIR_Coverage, 12770,
     /* 1815547 */     GIR_EraseRootFromParent_Done,
     /* 1815548 */   // Label 24595: @1815548
     /* 1815548 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1815634), // Rule ID 12773 //
     /* 1815553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1815573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815599 */     // MIs[0] policy
     /* 1815599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815633 */     // GIR_Coverage, 12773,
     /* 1815633 */     GIR_EraseRootFromParent_Done,
     /* 1815634 */   // Label 24596: @1815634
     /* 1815634 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1815720), // Rule ID 12774 //
     /* 1815639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1815659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815685 */     // MIs[0] policy
     /* 1815685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815695 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815719 */     // GIR_Coverage, 12774,
     /* 1815719 */     GIR_EraseRootFromParent_Done,
     /* 1815720 */   // Label 24597: @1815720
     /* 1815720 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1815806), // Rule ID 12777 //
     /* 1815725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1815736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1815739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1815742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1815745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815771 */     // MIs[0] policy
     /* 1815771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815781 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1815784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815805 */     // GIR_Coverage, 12777,
     /* 1815805 */     GIR_EraseRootFromParent_Done,
     /* 1815806 */   // Label 24598: @1815806
     /* 1815806 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1815892), // Rule ID 12778 //
     /* 1815811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1815822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1815825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1815828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1815831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815857 */     // MIs[0] policy
     /* 1815857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1815870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815891 */     // GIR_Coverage, 12778,
     /* 1815891 */     GIR_EraseRootFromParent_Done,
     /* 1815892 */   // Label 24599: @1815892
     /* 1815892 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1815978), // Rule ID 12781 //
     /* 1815897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1815914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1815917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815943 */     // MIs[0] policy
     /* 1815943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815953 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1815956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815977 */     // GIR_Coverage, 12781,
     /* 1815977 */     GIR_EraseRootFromParent_Done,
     /* 1815978 */   // Label 24600: @1815978
     /* 1815978 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1816064), // Rule ID 12782 //
     /* 1815983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1816000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1816003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816029 */     // MIs[0] policy
     /* 1816029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816039 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816063 */     // GIR_Coverage, 12782,
     /* 1816063 */     GIR_EraseRootFromParent_Done,
     /* 1816064 */   // Label 24601: @1816064
     /* 1816064 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1816150), // Rule ID 12785 //
     /* 1816069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816115 */     // MIs[0] policy
     /* 1816115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816125 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816149 */     // GIR_Coverage, 12785,
     /* 1816149 */     GIR_EraseRootFromParent_Done,
     /* 1816150 */   // Label 24602: @1816150
     /* 1816150 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1816236), // Rule ID 12786 //
     /* 1816155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816201 */     // MIs[0] policy
     /* 1816201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816235 */     // GIR_Coverage, 12786,
     /* 1816235 */     GIR_EraseRootFromParent_Done,
     /* 1816236 */   // Label 24603: @1816236
     /* 1816236 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1816322), // Rule ID 12789 //
     /* 1816241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816287 */     // MIs[0] policy
     /* 1816287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816321 */     // GIR_Coverage, 12789,
     /* 1816321 */     GIR_EraseRootFromParent_Done,
     /* 1816322 */   // Label 24604: @1816322
     /* 1816322 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1816408), // Rule ID 12790 //
     /* 1816327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816373 */     // MIs[0] policy
     /* 1816373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816383 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816407 */     // GIR_Coverage, 12790,
     /* 1816407 */     GIR_EraseRootFromParent_Done,
     /* 1816408 */   // Label 24605: @1816408
     /* 1816408 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1816494), // Rule ID 12793 //
     /* 1816413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816459 */     // MIs[0] policy
     /* 1816459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816493 */     // GIR_Coverage, 12793,
     /* 1816493 */     GIR_EraseRootFromParent_Done,
     /* 1816494 */   // Label 24606: @1816494
     /* 1816494 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1816580), // Rule ID 12794 //
     /* 1816499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816545 */     // MIs[0] policy
     /* 1816545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816555 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816579 */     // GIR_Coverage, 12794,
     /* 1816579 */     GIR_EraseRootFromParent_Done,
     /* 1816580 */   // Label 24607: @1816580
     /* 1816580 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1816666), // Rule ID 12797 //
     /* 1816585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816631 */     // MIs[0] policy
     /* 1816631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816665 */     // GIR_Coverage, 12797,
     /* 1816665 */     GIR_EraseRootFromParent_Done,
     /* 1816666 */   // Label 24608: @1816666
     /* 1816666 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1816752), // Rule ID 12798 //
     /* 1816671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816717 */     // MIs[0] policy
     /* 1816717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816751 */     // GIR_Coverage, 12798,
     /* 1816751 */     GIR_EraseRootFromParent_Done,
     /* 1816752 */   // Label 24609: @1816752
     /* 1816752 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1816838), // Rule ID 12801 //
     /* 1816757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1816768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1816771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1816774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1816777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816803 */     // MIs[0] policy
     /* 1816803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816813 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816837 */     // GIR_Coverage, 12801,
     /* 1816837 */     GIR_EraseRootFromParent_Done,
     /* 1816838 */   // Label 24610: @1816838
     /* 1816838 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1816924), // Rule ID 12802 //
     /* 1816843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1816854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1816857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1816860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1816863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816889 */     // MIs[0] policy
     /* 1816889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816923 */     // GIR_Coverage, 12802,
     /* 1816923 */     GIR_EraseRootFromParent_Done,
     /* 1816924 */   // Label 24611: @1816924
     /* 1816924 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1817010), // Rule ID 12805 //
     /* 1816929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1816940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1816943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1816946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1816949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816975 */     // MIs[0] policy
     /* 1816975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816985 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817009 */     // GIR_Coverage, 12805,
     /* 1817009 */     GIR_EraseRootFromParent_Done,
     /* 1817010 */   // Label 24612: @1817010
     /* 1817010 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1817096), // Rule ID 12806 //
     /* 1817015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1817032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1817035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817061 */     // MIs[0] policy
     /* 1817061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817095 */     // GIR_Coverage, 12806,
     /* 1817095 */     GIR_EraseRootFromParent_Done,
     /* 1817096 */   // Label 24613: @1817096
     /* 1817096 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1817182), // Rule ID 12809 //
     /* 1817101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817147 */     // MIs[0] policy
     /* 1817147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817181 */     // GIR_Coverage, 12809,
     /* 1817181 */     GIR_EraseRootFromParent_Done,
     /* 1817182 */   // Label 24614: @1817182
     /* 1817182 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1817268), // Rule ID 12810 //
     /* 1817187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817233 */     // MIs[0] policy
     /* 1817233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817267 */     // GIR_Coverage, 12810,
     /* 1817267 */     GIR_EraseRootFromParent_Done,
     /* 1817268 */   // Label 24615: @1817268
     /* 1817268 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1817354), // Rule ID 12813 //
     /* 1817273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817319 */     // MIs[0] policy
     /* 1817319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817353 */     // GIR_Coverage, 12813,
     /* 1817353 */     GIR_EraseRootFromParent_Done,
     /* 1817354 */   // Label 24616: @1817354
     /* 1817354 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1817440), // Rule ID 12814 //
     /* 1817359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817405 */     // MIs[0] policy
     /* 1817405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817439 */     // GIR_Coverage, 12814,
     /* 1817439 */     GIR_EraseRootFromParent_Done,
     /* 1817440 */   // Label 24617: @1817440
     /* 1817440 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1817526), // Rule ID 12817 //
     /* 1817445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817491 */     // MIs[0] policy
     /* 1817491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817501 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817525 */     // GIR_Coverage, 12817,
     /* 1817525 */     GIR_EraseRootFromParent_Done,
     /* 1817526 */   // Label 24618: @1817526
     /* 1817526 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1817612), // Rule ID 12818 //
     /* 1817531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817577 */     // MIs[0] policy
     /* 1817577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817611 */     // GIR_Coverage, 12818,
     /* 1817611 */     GIR_EraseRootFromParent_Done,
     /* 1817612 */   // Label 24619: @1817612
     /* 1817612 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1817698), // Rule ID 12821 //
     /* 1817617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1817637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817663 */     // MIs[0] policy
     /* 1817663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817673 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817697 */     // GIR_Coverage, 12821,
     /* 1817697 */     GIR_EraseRootFromParent_Done,
     /* 1817698 */   // Label 24620: @1817698
     /* 1817698 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1817784), // Rule ID 12822 //
     /* 1817703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1817723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817749 */     // MIs[0] policy
     /* 1817749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817759 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817783 */     // GIR_Coverage, 12822,
     /* 1817783 */     GIR_EraseRootFromParent_Done,
     /* 1817784 */   // Label 24621: @1817784
     /* 1817784 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1817870), // Rule ID 12825 //
     /* 1817789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1817800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1817803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1817806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1817809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1817812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817835 */     // MIs[0] policy
     /* 1817835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817845 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817869 */     // GIR_Coverage, 12825,
     /* 1817869 */     GIR_EraseRootFromParent_Done,
     /* 1817870 */   // Label 24622: @1817870
     /* 1817870 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1817956), // Rule ID 12826 //
     /* 1817875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1817886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1817889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1817892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1817895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1817898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817921 */     // MIs[0] policy
     /* 1817921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817931 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817955 */     // GIR_Coverage, 12826,
     /* 1817955 */     GIR_EraseRootFromParent_Done,
     /* 1817956 */   // Label 24623: @1817956
     /* 1817956 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1818042), // Rule ID 12829 //
     /* 1817961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1817978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1817981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818007 */     // MIs[0] policy
     /* 1818007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818041 */     // GIR_Coverage, 12829,
     /* 1818041 */     GIR_EraseRootFromParent_Done,
     /* 1818042 */   // Label 24624: @1818042
     /* 1818042 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1818128), // Rule ID 12830 //
     /* 1818047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818093 */     // MIs[0] policy
     /* 1818093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818127 */     // GIR_Coverage, 12830,
     /* 1818127 */     GIR_EraseRootFromParent_Done,
     /* 1818128 */   // Label 24625: @1818128
     /* 1818128 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1818214), // Rule ID 12833 //
     /* 1818133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818179 */     // MIs[0] policy
     /* 1818179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818189 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818213 */     // GIR_Coverage, 12833,
     /* 1818213 */     GIR_EraseRootFromParent_Done,
     /* 1818214 */   // Label 24626: @1818214
     /* 1818214 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1818300), // Rule ID 12834 //
     /* 1818219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818265 */     // MIs[0] policy
     /* 1818265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818275 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818299 */     // GIR_Coverage, 12834,
     /* 1818299 */     GIR_EraseRootFromParent_Done,
     /* 1818300 */   // Label 24627: @1818300
     /* 1818300 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1818386), // Rule ID 12837 //
     /* 1818305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818351 */     // MIs[0] policy
     /* 1818351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818385 */     // GIR_Coverage, 12837,
     /* 1818385 */     GIR_EraseRootFromParent_Done,
     /* 1818386 */   // Label 24628: @1818386
     /* 1818386 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1818472), // Rule ID 12838 //
     /* 1818391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818437 */     // MIs[0] policy
     /* 1818437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818447 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818471 */     // GIR_Coverage, 12838,
     /* 1818471 */     GIR_EraseRootFromParent_Done,
     /* 1818472 */   // Label 24629: @1818472
     /* 1818472 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1818558), // Rule ID 12841 //
     /* 1818477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818523 */     // MIs[0] policy
     /* 1818523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818557 */     // GIR_Coverage, 12841,
     /* 1818557 */     GIR_EraseRootFromParent_Done,
     /* 1818558 */   // Label 24630: @1818558
     /* 1818558 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1818644), // Rule ID 12842 //
     /* 1818563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818609 */     // MIs[0] policy
     /* 1818609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818643 */     // GIR_Coverage, 12842,
     /* 1818643 */     GIR_EraseRootFromParent_Done,
     /* 1818644 */   // Label 24631: @1818644
     /* 1818644 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1818730), // Rule ID 12845 //
     /* 1818649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1818669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818695 */     // MIs[0] policy
     /* 1818695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818729 */     // GIR_Coverage, 12845,
     /* 1818729 */     GIR_EraseRootFromParent_Done,
     /* 1818730 */   // Label 24632: @1818730
     /* 1818730 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1818816), // Rule ID 12846 //
     /* 1818735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1818755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818781 */     // MIs[0] policy
     /* 1818781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818815 */     // GIR_Coverage, 12846,
     /* 1818815 */     GIR_EraseRootFromParent_Done,
     /* 1818816 */   // Label 24633: @1818816
     /* 1818816 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1818902), // Rule ID 12849 //
     /* 1818821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1818841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818867 */     // MIs[0] policy
     /* 1818867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818901 */     // GIR_Coverage, 12849,
     /* 1818901 */     GIR_EraseRootFromParent_Done,
     /* 1818902 */   // Label 24634: @1818902
     /* 1818902 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1818988), // Rule ID 12850 //
     /* 1818907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1818927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818953 */     // MIs[0] policy
     /* 1818953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818963 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818987 */     // GIR_Coverage, 12850,
     /* 1818987 */     GIR_EraseRootFromParent_Done,
     /* 1818988 */   // Label 24635: @1818988
     /* 1818988 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1819074), // Rule ID 12853 //
     /* 1818993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819039 */     // MIs[0] policy
     /* 1819039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819073 */     // GIR_Coverage, 12853,
     /* 1819073 */     GIR_EraseRootFromParent_Done,
     /* 1819074 */   // Label 24636: @1819074
     /* 1819074 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1819160), // Rule ID 12854 //
     /* 1819079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819125 */     // MIs[0] policy
     /* 1819125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819135 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819159 */     // GIR_Coverage, 12854,
     /* 1819159 */     GIR_EraseRootFromParent_Done,
     /* 1819160 */   // Label 24637: @1819160
     /* 1819160 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1819246), // Rule ID 12857 //
     /* 1819165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819211 */     // MIs[0] policy
     /* 1819211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819221 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819245 */     // GIR_Coverage, 12857,
     /* 1819245 */     GIR_EraseRootFromParent_Done,
     /* 1819246 */   // Label 24638: @1819246
     /* 1819246 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1819332), // Rule ID 12858 //
     /* 1819251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819297 */     // MIs[0] policy
     /* 1819297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819307 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819331 */     // GIR_Coverage, 12858,
     /* 1819331 */     GIR_EraseRootFromParent_Done,
     /* 1819332 */   // Label 24639: @1819332
     /* 1819332 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1819418), // Rule ID 12861 //
     /* 1819337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819383 */     // MIs[0] policy
     /* 1819383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819393 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819417 */     // GIR_Coverage, 12861,
     /* 1819417 */     GIR_EraseRootFromParent_Done,
     /* 1819418 */   // Label 24640: @1819418
     /* 1819418 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1819504), // Rule ID 12862 //
     /* 1819423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819469 */     // MIs[0] policy
     /* 1819469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819479 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819503 */     // GIR_Coverage, 12862,
     /* 1819503 */     GIR_EraseRootFromParent_Done,
     /* 1819504 */   // Label 24641: @1819504
     /* 1819504 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1819590), // Rule ID 12865 //
     /* 1819509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819555 */     // MIs[0] policy
     /* 1819555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819565 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1819568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819589 */     // GIR_Coverage, 12865,
     /* 1819589 */     GIR_EraseRootFromParent_Done,
     /* 1819590 */   // Label 24642: @1819590
     /* 1819590 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1819676), // Rule ID 12866 //
     /* 1819595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819641 */     // MIs[0] policy
     /* 1819641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1819654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819675 */     // GIR_Coverage, 12866,
     /* 1819675 */     GIR_EraseRootFromParent_Done,
     /* 1819676 */   // Label 24643: @1819676
     /* 1819676 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1819762), // Rule ID 12869 //
     /* 1819681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819727 */     // MIs[0] policy
     /* 1819727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819737 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1819740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819761 */     // GIR_Coverage, 12869,
     /* 1819761 */     GIR_EraseRootFromParent_Done,
     /* 1819762 */   // Label 24644: @1819762
     /* 1819762 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1819848), // Rule ID 12870 //
     /* 1819767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819813 */     // MIs[0] policy
     /* 1819813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819823 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1819826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819847 */     // GIR_Coverage, 12870,
     /* 1819847 */     GIR_EraseRootFromParent_Done,
     /* 1819848 */   // Label 24645: @1819848
     /* 1819848 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1819934), // Rule ID 12873 //
     /* 1819853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819899 */     // MIs[0] policy
     /* 1819899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819909 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819933 */     // GIR_Coverage, 12873,
     /* 1819933 */     GIR_EraseRootFromParent_Done,
     /* 1819934 */   // Label 24646: @1819934
     /* 1819934 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1820020), // Rule ID 12874 //
     /* 1819939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819985 */     // MIs[0] policy
     /* 1819985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819995 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820019 */     // GIR_Coverage, 12874,
     /* 1820019 */     GIR_EraseRootFromParent_Done,
     /* 1820020 */   // Label 24647: @1820020
     /* 1820020 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1820106), // Rule ID 12877 //
     /* 1820025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820071 */     // MIs[0] policy
     /* 1820071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820105 */     // GIR_Coverage, 12877,
     /* 1820105 */     GIR_EraseRootFromParent_Done,
     /* 1820106 */   // Label 24648: @1820106
     /* 1820106 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1820192), // Rule ID 12878 //
     /* 1820111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820157 */     // MIs[0] policy
     /* 1820157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820167 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820191 */     // GIR_Coverage, 12878,
     /* 1820191 */     GIR_EraseRootFromParent_Done,
     /* 1820192 */   // Label 24649: @1820192
     /* 1820192 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1820278), // Rule ID 12881 //
     /* 1820197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820243 */     // MIs[0] policy
     /* 1820243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820277 */     // GIR_Coverage, 12881,
     /* 1820277 */     GIR_EraseRootFromParent_Done,
     /* 1820278 */   // Label 24650: @1820278
     /* 1820278 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1820364), // Rule ID 12882 //
     /* 1820283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820329 */     // MIs[0] policy
     /* 1820329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820363 */     // GIR_Coverage, 12882,
     /* 1820363 */     GIR_EraseRootFromParent_Done,
     /* 1820364 */   // Label 24651: @1820364
     /* 1820364 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1820450), // Rule ID 12885 //
     /* 1820369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820415 */     // MIs[0] policy
     /* 1820415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820449 */     // GIR_Coverage, 12885,
     /* 1820449 */     GIR_EraseRootFromParent_Done,
     /* 1820450 */   // Label 24652: @1820450
     /* 1820450 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1820536), // Rule ID 12886 //
     /* 1820455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820501 */     // MIs[0] policy
     /* 1820501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820535 */     // GIR_Coverage, 12886,
     /* 1820535 */     GIR_EraseRootFromParent_Done,
     /* 1820536 */   // Label 24653: @1820536
     /* 1820536 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1820622), // Rule ID 12889 //
     /* 1820541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820587 */     // MIs[0] policy
     /* 1820587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820621 */     // GIR_Coverage, 12889,
     /* 1820621 */     GIR_EraseRootFromParent_Done,
     /* 1820622 */   // Label 24654: @1820622
     /* 1820622 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1820708), // Rule ID 12890 //
     /* 1820627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820673 */     // MIs[0] policy
     /* 1820673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820707 */     // GIR_Coverage, 12890,
     /* 1820707 */     GIR_EraseRootFromParent_Done,
     /* 1820708 */   // Label 24655: @1820708
     /* 1820708 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1820794), // Rule ID 12893 //
     /* 1820713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820759 */     // MIs[0] policy
     /* 1820759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820793 */     // GIR_Coverage, 12893,
     /* 1820793 */     GIR_EraseRootFromParent_Done,
     /* 1820794 */   // Label 24656: @1820794
     /* 1820794 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1820880), // Rule ID 12894 //
     /* 1820799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820845 */     // MIs[0] policy
     /* 1820845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820855 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820879 */     // GIR_Coverage, 12894,
     /* 1820879 */     GIR_EraseRootFromParent_Done,
     /* 1820880 */   // Label 24657: @1820880
     /* 1820880 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1820966), // Rule ID 12897 //
     /* 1820885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820931 */     // MIs[0] policy
     /* 1820931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820941 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820965 */     // GIR_Coverage, 12897,
     /* 1820965 */     GIR_EraseRootFromParent_Done,
     /* 1820966 */   // Label 24658: @1820966
     /* 1820966 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1821052), // Rule ID 12898 //
     /* 1820971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821017 */     // MIs[0] policy
     /* 1821017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821051 */     // GIR_Coverage, 12898,
     /* 1821051 */     GIR_EraseRootFromParent_Done,
     /* 1821052 */   // Label 24659: @1821052
     /* 1821052 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1821138), // Rule ID 12901 //
     /* 1821057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821103 */     // MIs[0] policy
     /* 1821103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821137 */     // GIR_Coverage, 12901,
     /* 1821137 */     GIR_EraseRootFromParent_Done,
     /* 1821138 */   // Label 24660: @1821138
     /* 1821138 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1821224), // Rule ID 12902 //
     /* 1821143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821189 */     // MIs[0] policy
     /* 1821189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821223 */     // GIR_Coverage, 12902,
     /* 1821223 */     GIR_EraseRootFromParent_Done,
     /* 1821224 */   // Label 24661: @1821224
     /* 1821224 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1821310), // Rule ID 12905 //
     /* 1821229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821275 */     // MIs[0] policy
     /* 1821275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821285 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821309 */     // GIR_Coverage, 12905,
     /* 1821309 */     GIR_EraseRootFromParent_Done,
     /* 1821310 */   // Label 24662: @1821310
     /* 1821310 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1821396), // Rule ID 12906 //
     /* 1821315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821361 */     // MIs[0] policy
     /* 1821361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821395 */     // GIR_Coverage, 12906,
     /* 1821395 */     GIR_EraseRootFromParent_Done,
     /* 1821396 */   // Label 24663: @1821396
     /* 1821396 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1821482), // Rule ID 12909 //
     /* 1821401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821447 */     // MIs[0] policy
     /* 1821447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821457 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821481 */     // GIR_Coverage, 12909,
     /* 1821481 */     GIR_EraseRootFromParent_Done,
     /* 1821482 */   // Label 24664: @1821482
     /* 1821482 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1821568), // Rule ID 12910 //
     /* 1821487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821533 */     // MIs[0] policy
     /* 1821533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821543 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821567 */     // GIR_Coverage, 12910,
     /* 1821567 */     GIR_EraseRootFromParent_Done,
     /* 1821568 */   // Label 24665: @1821568
     /* 1821568 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1821654), // Rule ID 12913 //
     /* 1821573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821619 */     // MIs[0] policy
     /* 1821619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821629 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1821632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821653 */     // GIR_Coverage, 12913,
     /* 1821653 */     GIR_EraseRootFromParent_Done,
     /* 1821654 */   // Label 24666: @1821654
     /* 1821654 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1821740), // Rule ID 12914 //
     /* 1821659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821705 */     // MIs[0] policy
     /* 1821705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821715 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1821718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821739 */     // GIR_Coverage, 12914,
     /* 1821739 */     GIR_EraseRootFromParent_Done,
     /* 1821740 */   // Label 24667: @1821740
     /* 1821740 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1821826), // Rule ID 12917 //
     /* 1821745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821791 */     // MIs[0] policy
     /* 1821791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821825 */     // GIR_Coverage, 12917,
     /* 1821825 */     GIR_EraseRootFromParent_Done,
     /* 1821826 */   // Label 24668: @1821826
     /* 1821826 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1821912), // Rule ID 12918 //
     /* 1821831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821877 */     // MIs[0] policy
     /* 1821877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821887 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821911 */     // GIR_Coverage, 12918,
     /* 1821911 */     GIR_EraseRootFromParent_Done,
     /* 1821912 */   // Label 24669: @1821912
     /* 1821912 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1821998), // Rule ID 12921 //
     /* 1821917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821963 */     // MIs[0] policy
     /* 1821963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821973 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821997 */     // GIR_Coverage, 12921,
     /* 1821997 */     GIR_EraseRootFromParent_Done,
     /* 1821998 */   // Label 24670: @1821998
     /* 1821998 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1822084), // Rule ID 12922 //
     /* 1822003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1822023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822049 */     // MIs[0] policy
     /* 1822049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822083 */     // GIR_Coverage, 12922,
     /* 1822083 */     GIR_EraseRootFromParent_Done,
     /* 1822084 */   // Label 24671: @1822084
     /* 1822084 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1822170), // Rule ID 12925 //
     /* 1822089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822135 */     // MIs[0] policy
     /* 1822135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822145 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822169 */     // GIR_Coverage, 12925,
     /* 1822169 */     GIR_EraseRootFromParent_Done,
     /* 1822170 */   // Label 24672: @1822170
     /* 1822170 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1822256), // Rule ID 12926 //
     /* 1822175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822221 */     // MIs[0] policy
     /* 1822221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822231 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822255 */     // GIR_Coverage, 12926,
     /* 1822255 */     GIR_EraseRootFromParent_Done,
     /* 1822256 */   // Label 24673: @1822256
     /* 1822256 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1822342), // Rule ID 12929 //
     /* 1822261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822307 */     // MIs[0] policy
     /* 1822307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822341 */     // GIR_Coverage, 12929,
     /* 1822341 */     GIR_EraseRootFromParent_Done,
     /* 1822342 */   // Label 24674: @1822342
     /* 1822342 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1822428), // Rule ID 12930 //
     /* 1822347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822393 */     // MIs[0] policy
     /* 1822393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822427 */     // GIR_Coverage, 12930,
     /* 1822427 */     GIR_EraseRootFromParent_Done,
     /* 1822428 */   // Label 24675: @1822428
     /* 1822428 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1822514), // Rule ID 12933 //
     /* 1822433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822479 */     // MIs[0] policy
     /* 1822479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822513 */     // GIR_Coverage, 12933,
     /* 1822513 */     GIR_EraseRootFromParent_Done,
     /* 1822514 */   // Label 24676: @1822514
     /* 1822514 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1822600), // Rule ID 12934 //
     /* 1822519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822565 */     // MIs[0] policy
     /* 1822565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822599 */     // GIR_Coverage, 12934,
     /* 1822599 */     GIR_EraseRootFromParent_Done,
     /* 1822600 */   // Label 24677: @1822600
     /* 1822600 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1822686), // Rule ID 12937 //
     /* 1822605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822651 */     // MIs[0] policy
     /* 1822651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822685 */     // GIR_Coverage, 12937,
     /* 1822685 */     GIR_EraseRootFromParent_Done,
     /* 1822686 */   // Label 24678: @1822686
     /* 1822686 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1822772), // Rule ID 12938 //
     /* 1822691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822737 */     // MIs[0] policy
     /* 1822737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822771 */     // GIR_Coverage, 12938,
     /* 1822771 */     GIR_EraseRootFromParent_Done,
     /* 1822772 */   // Label 24679: @1822772
     /* 1822772 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1822858), // Rule ID 12941 //
     /* 1822777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822823 */     // MIs[0] policy
     /* 1822823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822857 */     // GIR_Coverage, 12941,
     /* 1822857 */     GIR_EraseRootFromParent_Done,
     /* 1822858 */   // Label 24680: @1822858
     /* 1822858 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1822944), // Rule ID 12942 //
     /* 1822863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822909 */     // MIs[0] policy
     /* 1822909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822919 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822943 */     // GIR_Coverage, 12942,
     /* 1822943 */     GIR_EraseRootFromParent_Done,
     /* 1822944 */   // Label 24681: @1822944
     /* 1822944 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1823030), // Rule ID 12945 //
     /* 1822949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1822969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822995 */     // MIs[0] policy
     /* 1822995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823005 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1823008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823029 */     // GIR_Coverage, 12945,
     /* 1823029 */     GIR_EraseRootFromParent_Done,
     /* 1823030 */   // Label 24682: @1823030
     /* 1823030 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1823116), // Rule ID 12946 //
     /* 1823035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823081 */     // MIs[0] policy
     /* 1823081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1823094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823115 */     // GIR_Coverage, 12946,
     /* 1823115 */     GIR_EraseRootFromParent_Done,
     /* 1823116 */   // Label 24683: @1823116
     /* 1823116 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1823202), // Rule ID 12949 //
     /* 1823121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823167 */     // MIs[0] policy
     /* 1823167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823201 */     // GIR_Coverage, 12949,
     /* 1823201 */     GIR_EraseRootFromParent_Done,
     /* 1823202 */   // Label 24684: @1823202
     /* 1823202 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1823288), // Rule ID 12950 //
     /* 1823207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823253 */     // MIs[0] policy
     /* 1823253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823263 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823287 */     // GIR_Coverage, 12950,
     /* 1823287 */     GIR_EraseRootFromParent_Done,
     /* 1823288 */   // Label 24685: @1823288
     /* 1823288 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1823374), // Rule ID 12953 //
     /* 1823293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823339 */     // MIs[0] policy
     /* 1823339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823349 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823373 */     // GIR_Coverage, 12953,
     /* 1823373 */     GIR_EraseRootFromParent_Done,
     /* 1823374 */   // Label 24686: @1823374
     /* 1823374 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1823460), // Rule ID 12954 //
     /* 1823379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823425 */     // MIs[0] policy
     /* 1823425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823459 */     // GIR_Coverage, 12954,
     /* 1823459 */     GIR_EraseRootFromParent_Done,
     /* 1823460 */   // Label 24687: @1823460
     /* 1823460 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1823546), // Rule ID 12957 //
     /* 1823465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823511 */     // MIs[0] policy
     /* 1823511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823545 */     // GIR_Coverage, 12957,
     /* 1823545 */     GIR_EraseRootFromParent_Done,
     /* 1823546 */   // Label 24688: @1823546
     /* 1823546 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1823632), // Rule ID 12958 //
     /* 1823551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823597 */     // MIs[0] policy
     /* 1823597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823631 */     // GIR_Coverage, 12958,
     /* 1823631 */     GIR_EraseRootFromParent_Done,
     /* 1823632 */   // Label 24689: @1823632
     /* 1823632 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1823718), // Rule ID 12961 //
     /* 1823637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823683 */     // MIs[0] policy
     /* 1823683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823693 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1823696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823717 */     // GIR_Coverage, 12961,
     /* 1823717 */     GIR_EraseRootFromParent_Done,
     /* 1823718 */   // Label 24690: @1823718
     /* 1823718 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1823804), // Rule ID 12962 //
     /* 1823723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823769 */     // MIs[0] policy
     /* 1823769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823779 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1823782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823803 */     // GIR_Coverage, 12962,
     /* 1823803 */     GIR_EraseRootFromParent_Done,
     /* 1823804 */   // Label 24691: @1823804
     /* 1823804 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1823890), // Rule ID 12965 //
     /* 1823809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823855 */     // MIs[0] policy
     /* 1823855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823865 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823889 */     // GIR_Coverage, 12965,
     /* 1823889 */     GIR_EraseRootFromParent_Done,
     /* 1823890 */   // Label 24692: @1823890
     /* 1823890 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1823976), // Rule ID 12966 //
     /* 1823895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823941 */     // MIs[0] policy
     /* 1823941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823951 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823975 */     // GIR_Coverage, 12966,
     /* 1823975 */     GIR_EraseRootFromParent_Done,
     /* 1823976 */   // Label 24693: @1823976
     /* 1823976 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1824062), // Rule ID 12969 //
     /* 1823981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824027 */     // MIs[0] policy
     /* 1824027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824037 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824061 */     // GIR_Coverage, 12969,
     /* 1824061 */     GIR_EraseRootFromParent_Done,
     /* 1824062 */   // Label 24694: @1824062
     /* 1824062 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1824148), // Rule ID 12970 //
     /* 1824067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824113 */     // MIs[0] policy
     /* 1824113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824147 */     // GIR_Coverage, 12970,
     /* 1824147 */     GIR_EraseRootFromParent_Done,
     /* 1824148 */   // Label 24695: @1824148
     /* 1824148 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1824234), // Rule ID 12973 //
     /* 1824153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824199 */     // MIs[0] policy
     /* 1824199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824233 */     // GIR_Coverage, 12973,
     /* 1824233 */     GIR_EraseRootFromParent_Done,
     /* 1824234 */   // Label 24696: @1824234
     /* 1824234 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1824320), // Rule ID 12974 //
     /* 1824239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824285 */     // MIs[0] policy
     /* 1824285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824295 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824319 */     // GIR_Coverage, 12974,
     /* 1824319 */     GIR_EraseRootFromParent_Done,
     /* 1824320 */   // Label 24697: @1824320
     /* 1824320 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1824406), // Rule ID 12977 //
     /* 1824325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824371 */     // MIs[0] policy
     /* 1824371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824381 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824405 */     // GIR_Coverage, 12977,
     /* 1824405 */     GIR_EraseRootFromParent_Done,
     /* 1824406 */   // Label 24698: @1824406
     /* 1824406 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1824492), // Rule ID 12978 //
     /* 1824411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824457 */     // MIs[0] policy
     /* 1824457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824491 */     // GIR_Coverage, 12978,
     /* 1824491 */     GIR_EraseRootFromParent_Done,
     /* 1824492 */   // Label 24699: @1824492
     /* 1824492 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1824578), // Rule ID 12981 //
     /* 1824497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824543 */     // MIs[0] policy
     /* 1824543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824577 */     // GIR_Coverage, 12981,
     /* 1824577 */     GIR_EraseRootFromParent_Done,
     /* 1824578 */   // Label 24700: @1824578
     /* 1824578 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1824664), // Rule ID 12982 //
     /* 1824583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824629 */     // MIs[0] policy
     /* 1824629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824663 */     // GIR_Coverage, 12982,
     /* 1824663 */     GIR_EraseRootFromParent_Done,
     /* 1824664 */   // Label 24701: @1824664
     /* 1824664 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1824750), // Rule ID 12985 //
     /* 1824669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824715 */     // MIs[0] policy
     /* 1824715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824725 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824749 */     // GIR_Coverage, 12985,
     /* 1824749 */     GIR_EraseRootFromParent_Done,
     /* 1824750 */   // Label 24702: @1824750
     /* 1824750 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1824836), // Rule ID 12986 //
     /* 1824755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824801 */     // MIs[0] policy
     /* 1824801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824835 */     // GIR_Coverage, 12986,
     /* 1824835 */     GIR_EraseRootFromParent_Done,
     /* 1824836 */   // Label 24703: @1824836
     /* 1824836 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1824922), // Rule ID 12989 //
     /* 1824841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824887 */     // MIs[0] policy
     /* 1824887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824921 */     // GIR_Coverage, 12989,
     /* 1824921 */     GIR_EraseRootFromParent_Done,
     /* 1824922 */   // Label 24704: @1824922
     /* 1824922 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1825008), // Rule ID 12990 //
     /* 1824927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824973 */     // MIs[0] policy
     /* 1824973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825007 */     // GIR_Coverage, 12990,
     /* 1825007 */     GIR_EraseRootFromParent_Done,
     /* 1825008 */   // Label 24705: @1825008
     /* 1825008 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1825094), // Rule ID 12993 //
     /* 1825013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825059 */     // MIs[0] policy
     /* 1825059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825069 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825093 */     // GIR_Coverage, 12993,
     /* 1825093 */     GIR_EraseRootFromParent_Done,
     /* 1825094 */   // Label 24706: @1825094
     /* 1825094 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1825180), // Rule ID 12994 //
     /* 1825099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825145 */     // MIs[0] policy
     /* 1825145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825179 */     // GIR_Coverage, 12994,
     /* 1825179 */     GIR_EraseRootFromParent_Done,
     /* 1825180 */   // Label 24707: @1825180
     /* 1825180 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1825266), // Rule ID 12997 //
     /* 1825185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825231 */     // MIs[0] policy
     /* 1825231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825241 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825265 */     // GIR_Coverage, 12997,
     /* 1825265 */     GIR_EraseRootFromParent_Done,
     /* 1825266 */   // Label 24708: @1825266
     /* 1825266 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1825352), // Rule ID 12998 //
     /* 1825271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825317 */     // MIs[0] policy
     /* 1825317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825351 */     // GIR_Coverage, 12998,
     /* 1825351 */     GIR_EraseRootFromParent_Done,
     /* 1825352 */   // Label 24709: @1825352
     /* 1825352 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1825438), // Rule ID 13001 //
     /* 1825357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825403 */     // MIs[0] policy
     /* 1825403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825413 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825437 */     // GIR_Coverage, 13001,
     /* 1825437 */     GIR_EraseRootFromParent_Done,
     /* 1825438 */   // Label 24710: @1825438
     /* 1825438 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1825524), // Rule ID 13002 //
     /* 1825443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825489 */     // MIs[0] policy
     /* 1825489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825499 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825523 */     // GIR_Coverage, 13002,
     /* 1825523 */     GIR_EraseRootFromParent_Done,
     /* 1825524 */   // Label 24711: @1825524
     /* 1825524 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1825610), // Rule ID 13005 //
     /* 1825529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825575 */     // MIs[0] policy
     /* 1825575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825609 */     // GIR_Coverage, 13005,
     /* 1825609 */     GIR_EraseRootFromParent_Done,
     /* 1825610 */   // Label 24712: @1825610
     /* 1825610 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1825696), // Rule ID 13006 //
     /* 1825615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825661 */     // MIs[0] policy
     /* 1825661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825695 */     // GIR_Coverage, 13006,
     /* 1825695 */     GIR_EraseRootFromParent_Done,
     /* 1825696 */   // Label 24713: @1825696
     /* 1825696 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1825782), // Rule ID 13009 //
     /* 1825701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825747 */     // MIs[0] policy
     /* 1825747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825757 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825781 */     // GIR_Coverage, 13009,
     /* 1825781 */     GIR_EraseRootFromParent_Done,
     /* 1825782 */   // Label 24714: @1825782
     /* 1825782 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1825868), // Rule ID 13010 //
     /* 1825787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825833 */     // MIs[0] policy
     /* 1825833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825867 */     // GIR_Coverage, 13010,
     /* 1825867 */     GIR_EraseRootFromParent_Done,
     /* 1825868 */   // Label 24715: @1825868
     /* 1825868 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1825954), // Rule ID 13013 //
     /* 1825873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825919 */     // MIs[0] policy
     /* 1825919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825953 */     // GIR_Coverage, 13013,
     /* 1825953 */     GIR_EraseRootFromParent_Done,
     /* 1825954 */   // Label 24716: @1825954
     /* 1825954 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1826040), // Rule ID 13014 //
     /* 1825959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826005 */     // MIs[0] policy
     /* 1826005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826015 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826039 */     // GIR_Coverage, 13014,
     /* 1826039 */     GIR_EraseRootFromParent_Done,
     /* 1826040 */   // Label 24717: @1826040
     /* 1826040 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1826126), // Rule ID 13017 //
     /* 1826045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826091 */     // MIs[0] policy
     /* 1826091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826101 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826125 */     // GIR_Coverage, 13017,
     /* 1826125 */     GIR_EraseRootFromParent_Done,
     /* 1826126 */   // Label 24718: @1826126
     /* 1826126 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1826212), // Rule ID 13018 //
     /* 1826131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826177 */     // MIs[0] policy
     /* 1826177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826211 */     // GIR_Coverage, 13018,
     /* 1826211 */     GIR_EraseRootFromParent_Done,
     /* 1826212 */   // Label 24719: @1826212
     /* 1826212 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1826298), // Rule ID 13021 //
     /* 1826217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826263 */     // MIs[0] policy
     /* 1826263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826297 */     // GIR_Coverage, 13021,
     /* 1826297 */     GIR_EraseRootFromParent_Done,
     /* 1826298 */   // Label 24720: @1826298
     /* 1826298 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1826384), // Rule ID 13022 //
     /* 1826303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826349 */     // MIs[0] policy
     /* 1826349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826359 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826383 */     // GIR_Coverage, 13022,
     /* 1826383 */     GIR_EraseRootFromParent_Done,
     /* 1826384 */   // Label 24721: @1826384
     /* 1826384 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1826470), // Rule ID 13025 //
     /* 1826389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826435 */     // MIs[0] policy
     /* 1826435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826445 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826469 */     // GIR_Coverage, 13025,
     /* 1826469 */     GIR_EraseRootFromParent_Done,
     /* 1826470 */   // Label 24722: @1826470
     /* 1826470 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1826556), // Rule ID 13026 //
     /* 1826475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826521 */     // MIs[0] policy
     /* 1826521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826531 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826555 */     // GIR_Coverage, 13026,
     /* 1826555 */     GIR_EraseRootFromParent_Done,
     /* 1826556 */   // Label 24723: @1826556
     /* 1826556 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1826642), // Rule ID 13029 //
     /* 1826561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826607 */     // MIs[0] policy
     /* 1826607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826641 */     // GIR_Coverage, 13029,
     /* 1826641 */     GIR_EraseRootFromParent_Done,
     /* 1826642 */   // Label 24724: @1826642
     /* 1826642 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1826728), // Rule ID 13030 //
     /* 1826647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826693 */     // MIs[0] policy
     /* 1826693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826703 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826727 */     // GIR_Coverage, 13030,
     /* 1826727 */     GIR_EraseRootFromParent_Done,
     /* 1826728 */   // Label 24725: @1826728
     /* 1826728 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1826814), // Rule ID 13033 //
     /* 1826733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826779 */     // MIs[0] policy
     /* 1826779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826813 */     // GIR_Coverage, 13033,
     /* 1826813 */     GIR_EraseRootFromParent_Done,
     /* 1826814 */   // Label 24726: @1826814
     /* 1826814 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1826900), // Rule ID 13034 //
     /* 1826819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826865 */     // MIs[0] policy
     /* 1826865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826899 */     // GIR_Coverage, 13034,
     /* 1826899 */     GIR_EraseRootFromParent_Done,
     /* 1826900 */   // Label 24727: @1826900
     /* 1826900 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1826986), // Rule ID 13037 //
     /* 1826905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826951 */     // MIs[0] policy
     /* 1826951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826985 */     // GIR_Coverage, 13037,
     /* 1826985 */     GIR_EraseRootFromParent_Done,
     /* 1826986 */   // Label 24728: @1826986
     /* 1826986 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1827072), // Rule ID 13038 //
     /* 1826991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1827008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1827011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827037 */     // MIs[0] policy
     /* 1827037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827047 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1827050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827071 */     // GIR_Coverage, 13038,
     /* 1827071 */     GIR_EraseRootFromParent_Done,
     /* 1827072 */   // Label 24729: @1827072
     /* 1827072 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1827158), // Rule ID 13041 //
     /* 1827077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827123 */     // MIs[0] policy
     /* 1827123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827133 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827157 */     // GIR_Coverage, 13041,
     /* 1827157 */     GIR_EraseRootFromParent_Done,
     /* 1827158 */   // Label 24730: @1827158
     /* 1827158 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1827244), // Rule ID 13042 //
     /* 1827163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827209 */     // MIs[0] policy
     /* 1827209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827219 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827243 */     // GIR_Coverage, 13042,
     /* 1827243 */     GIR_EraseRootFromParent_Done,
     /* 1827244 */   // Label 24731: @1827244
     /* 1827244 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1827330), // Rule ID 13045 //
     /* 1827249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827295 */     // MIs[0] policy
     /* 1827295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827305 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827329 */     // GIR_Coverage, 13045,
     /* 1827329 */     GIR_EraseRootFromParent_Done,
     /* 1827330 */   // Label 24732: @1827330
     /* 1827330 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1827416), // Rule ID 13046 //
     /* 1827335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827381 */     // MIs[0] policy
     /* 1827381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827391 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827415 */     // GIR_Coverage, 13046,
     /* 1827415 */     GIR_EraseRootFromParent_Done,
     /* 1827416 */   // Label 24733: @1827416
     /* 1827416 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1827502), // Rule ID 13049 //
     /* 1827421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827467 */     // MIs[0] policy
     /* 1827467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827501 */     // GIR_Coverage, 13049,
     /* 1827501 */     GIR_EraseRootFromParent_Done,
     /* 1827502 */   // Label 24734: @1827502
     /* 1827502 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1827588), // Rule ID 13050 //
     /* 1827507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827553 */     // MIs[0] policy
     /* 1827553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827563 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827587 */     // GIR_Coverage, 13050,
     /* 1827587 */     GIR_EraseRootFromParent_Done,
     /* 1827588 */   // Label 24735: @1827588
     /* 1827588 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1827674), // Rule ID 13053 //
     /* 1827593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827639 */     // MIs[0] policy
     /* 1827639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827649 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827673 */     // GIR_Coverage, 13053,
     /* 1827673 */     GIR_EraseRootFromParent_Done,
     /* 1827674 */   // Label 24736: @1827674
     /* 1827674 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1827760), // Rule ID 13054 //
     /* 1827679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827725 */     // MIs[0] policy
     /* 1827725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827735 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827759 */     // GIR_Coverage, 13054,
     /* 1827759 */     GIR_EraseRootFromParent_Done,
     /* 1827760 */   // Label 24737: @1827760
     /* 1827760 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1827846), // Rule ID 13057 //
     /* 1827765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827811 */     // MIs[0] policy
     /* 1827811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827821 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827845 */     // GIR_Coverage, 13057,
     /* 1827845 */     GIR_EraseRootFromParent_Done,
     /* 1827846 */   // Label 24738: @1827846
     /* 1827846 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1827932), // Rule ID 13058 //
     /* 1827851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827897 */     // MIs[0] policy
     /* 1827897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827907 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827931 */     // GIR_Coverage, 13058,
     /* 1827931 */     GIR_EraseRootFromParent_Done,
     /* 1827932 */   // Label 24739: @1827932
     /* 1827932 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1828018), // Rule ID 13061 //
     /* 1827937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827983 */     // MIs[0] policy
     /* 1827983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828017 */     // GIR_Coverage, 13061,
     /* 1828017 */     GIR_EraseRootFromParent_Done,
     /* 1828018 */   // Label 24740: @1828018
     /* 1828018 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1828104), // Rule ID 13062 //
     /* 1828023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1828043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828069 */     // MIs[0] policy
     /* 1828069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828079 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828103 */     // GIR_Coverage, 13062,
     /* 1828103 */     GIR_EraseRootFromParent_Done,
     /* 1828104 */   // Label 24741: @1828104
     /* 1828104 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1828190), // Rule ID 13065 //
     /* 1828109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828155 */     // MIs[0] policy
     /* 1828155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828189 */     // GIR_Coverage, 13065,
     /* 1828189 */     GIR_EraseRootFromParent_Done,
     /* 1828190 */   // Label 24742: @1828190
     /* 1828190 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1828276), // Rule ID 13066 //
     /* 1828195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828241 */     // MIs[0] policy
     /* 1828241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828275 */     // GIR_Coverage, 13066,
     /* 1828275 */     GIR_EraseRootFromParent_Done,
     /* 1828276 */   // Label 24743: @1828276
     /* 1828276 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1828362), // Rule ID 13069 //
     /* 1828281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828327 */     // MIs[0] policy
     /* 1828327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828361 */     // GIR_Coverage, 13069,
     /* 1828361 */     GIR_EraseRootFromParent_Done,
     /* 1828362 */   // Label 24744: @1828362
     /* 1828362 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1828448), // Rule ID 13070 //
     /* 1828367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828413 */     // MIs[0] policy
     /* 1828413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828447 */     // GIR_Coverage, 13070,
     /* 1828447 */     GIR_EraseRootFromParent_Done,
     /* 1828448 */   // Label 24745: @1828448
     /* 1828448 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1828534), // Rule ID 13073 //
     /* 1828453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828499 */     // MIs[0] policy
     /* 1828499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828533 */     // GIR_Coverage, 13073,
     /* 1828533 */     GIR_EraseRootFromParent_Done,
     /* 1828534 */   // Label 24746: @1828534
     /* 1828534 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1828620), // Rule ID 13074 //
     /* 1828539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828585 */     // MIs[0] policy
     /* 1828585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828619 */     // GIR_Coverage, 13074,
     /* 1828619 */     GIR_EraseRootFromParent_Done,
     /* 1828620 */   // Label 24747: @1828620
     /* 1828620 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1828706), // Rule ID 13077 //
     /* 1828625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828671 */     // MIs[0] policy
     /* 1828671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828681 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828705 */     // GIR_Coverage, 13077,
     /* 1828705 */     GIR_EraseRootFromParent_Done,
     /* 1828706 */   // Label 24748: @1828706
     /* 1828706 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1828792), // Rule ID 13078 //
     /* 1828711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828757 */     // MIs[0] policy
     /* 1828757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828791 */     // GIR_Coverage, 13078,
     /* 1828791 */     GIR_EraseRootFromParent_Done,
     /* 1828792 */   // Label 24749: @1828792
     /* 1828792 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1828878), // Rule ID 13081 //
     /* 1828797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828843 */     // MIs[0] policy
     /* 1828843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828853 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828877 */     // GIR_Coverage, 13081,
     /* 1828877 */     GIR_EraseRootFromParent_Done,
     /* 1828878 */   // Label 24750: @1828878
     /* 1828878 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1828964), // Rule ID 13082 //
     /* 1828883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828929 */     // MIs[0] policy
     /* 1828929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828939 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828963 */     // GIR_Coverage, 13082,
     /* 1828963 */     GIR_EraseRootFromParent_Done,
     /* 1828964 */   // Label 24751: @1828964
     /* 1828964 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1829050), // Rule ID 13085 //
     /* 1828969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1828980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1828983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1828989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829015 */     // MIs[0] policy
     /* 1829015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829025 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829049 */     // GIR_Coverage, 13085,
     /* 1829049 */     GIR_EraseRootFromParent_Done,
     /* 1829050 */   // Label 24752: @1829050
     /* 1829050 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1829136), // Rule ID 13086 //
     /* 1829055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829101 */     // MIs[0] policy
     /* 1829101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829111 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829135 */     // GIR_Coverage, 13086,
     /* 1829135 */     GIR_EraseRootFromParent_Done,
     /* 1829136 */   // Label 24753: @1829136
     /* 1829136 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1829222), // Rule ID 13089 //
     /* 1829141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829187 */     // MIs[0] policy
     /* 1829187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829221 */     // GIR_Coverage, 13089,
     /* 1829221 */     GIR_EraseRootFromParent_Done,
     /* 1829222 */   // Label 24754: @1829222
     /* 1829222 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1829308), // Rule ID 13090 //
     /* 1829227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829273 */     // MIs[0] policy
     /* 1829273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829283 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829307 */     // GIR_Coverage, 13090,
     /* 1829307 */     GIR_EraseRootFromParent_Done,
     /* 1829308 */   // Label 24755: @1829308
     /* 1829308 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1829394), // Rule ID 13093 //
     /* 1829313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829359 */     // MIs[0] policy
     /* 1829359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829393 */     // GIR_Coverage, 13093,
     /* 1829393 */     GIR_EraseRootFromParent_Done,
     /* 1829394 */   // Label 24756: @1829394
     /* 1829394 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1829480), // Rule ID 13094 //
     /* 1829399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829445 */     // MIs[0] policy
     /* 1829445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829479 */     // GIR_Coverage, 13094,
     /* 1829479 */     GIR_EraseRootFromParent_Done,
     /* 1829480 */   // Label 24757: @1829480
     /* 1829480 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1829566), // Rule ID 13097 //
     /* 1829485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829531 */     // MIs[0] policy
     /* 1829531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829565 */     // GIR_Coverage, 13097,
     /* 1829565 */     GIR_EraseRootFromParent_Done,
     /* 1829566 */   // Label 24758: @1829566
     /* 1829566 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1829652), // Rule ID 13098 //
     /* 1829571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829617 */     // MIs[0] policy
     /* 1829617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829651 */     // GIR_Coverage, 13098,
     /* 1829651 */     GIR_EraseRootFromParent_Done,
     /* 1829652 */   // Label 24759: @1829652
     /* 1829652 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1829738), // Rule ID 13101 //
     /* 1829657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829703 */     // MIs[0] policy
     /* 1829703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829713 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829737 */     // GIR_Coverage, 13101,
     /* 1829737 */     GIR_EraseRootFromParent_Done,
     /* 1829738 */   // Label 24760: @1829738
     /* 1829738 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1829824), // Rule ID 13102 //
     /* 1829743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829789 */     // MIs[0] policy
     /* 1829789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829823 */     // GIR_Coverage, 13102,
     /* 1829823 */     GIR_EraseRootFromParent_Done,
     /* 1829824 */   // Label 24761: @1829824
     /* 1829824 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1829910), // Rule ID 13105 //
     /* 1829829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829875 */     // MIs[0] policy
     /* 1829875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829885 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829909 */     // GIR_Coverage, 13105,
     /* 1829909 */     GIR_EraseRootFromParent_Done,
     /* 1829910 */   // Label 24762: @1829910
     /* 1829910 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1829996), // Rule ID 13106 //
     /* 1829915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829961 */     // MIs[0] policy
     /* 1829961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829995 */     // GIR_Coverage, 13106,
     /* 1829995 */     GIR_EraseRootFromParent_Done,
     /* 1829996 */   // Label 24763: @1829996
     /* 1829996 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1830082), // Rule ID 13109 //
     /* 1830001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830047 */     // MIs[0] policy
     /* 1830047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830057 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830081 */     // GIR_Coverage, 13109,
     /* 1830081 */     GIR_EraseRootFromParent_Done,
     /* 1830082 */   // Label 24764: @1830082
     /* 1830082 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1830168), // Rule ID 13110 //
     /* 1830087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830133 */     // MIs[0] policy
     /* 1830133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830143 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830167 */     // GIR_Coverage, 13110,
     /* 1830167 */     GIR_EraseRootFromParent_Done,
     /* 1830168 */   // Label 24765: @1830168
     /* 1830168 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1830254), // Rule ID 13113 //
     /* 1830173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830219 */     // MIs[0] policy
     /* 1830219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830229 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830253 */     // GIR_Coverage, 13113,
     /* 1830253 */     GIR_EraseRootFromParent_Done,
     /* 1830254 */   // Label 24766: @1830254
     /* 1830254 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1830340), // Rule ID 13114 //
     /* 1830259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830305 */     // MIs[0] policy
     /* 1830305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830339 */     // GIR_Coverage, 13114,
     /* 1830339 */     GIR_EraseRootFromParent_Done,
     /* 1830340 */   // Label 24767: @1830340
     /* 1830340 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1830426), // Rule ID 13117 //
     /* 1830345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830391 */     // MIs[0] policy
     /* 1830391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830425 */     // GIR_Coverage, 13117,
     /* 1830425 */     GIR_EraseRootFromParent_Done,
     /* 1830426 */   // Label 24768: @1830426
     /* 1830426 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1830512), // Rule ID 13118 //
     /* 1830431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830477 */     // MIs[0] policy
     /* 1830477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830511 */     // GIR_Coverage, 13118,
     /* 1830511 */     GIR_EraseRootFromParent_Done,
     /* 1830512 */   // Label 24769: @1830512
     /* 1830512 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1830598), // Rule ID 13121 //
     /* 1830517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830563 */     // MIs[0] policy
     /* 1830563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830573 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830597 */     // GIR_Coverage, 13121,
     /* 1830597 */     GIR_EraseRootFromParent_Done,
     /* 1830598 */   // Label 24770: @1830598
     /* 1830598 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1830684), // Rule ID 13122 //
     /* 1830603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830649 */     // MIs[0] policy
     /* 1830649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830683 */     // GIR_Coverage, 13122,
     /* 1830683 */     GIR_EraseRootFromParent_Done,
     /* 1830684 */   // Label 24771: @1830684
     /* 1830684 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1830770), // Rule ID 13125 //
     /* 1830689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830735 */     // MIs[0] policy
     /* 1830735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830745 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830769 */     // GIR_Coverage, 13125,
     /* 1830769 */     GIR_EraseRootFromParent_Done,
     /* 1830770 */   // Label 24772: @1830770
     /* 1830770 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1830856), // Rule ID 13126 //
     /* 1830775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830821 */     // MIs[0] policy
     /* 1830821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830831 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830855 */     // GIR_Coverage, 13126,
     /* 1830855 */     GIR_EraseRootFromParent_Done,
     /* 1830856 */   // Label 24773: @1830856
     /* 1830856 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1830942), // Rule ID 13129 //
     /* 1830861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830907 */     // MIs[0] policy
     /* 1830907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830917 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1830920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830941 */     // GIR_Coverage, 13129,
     /* 1830941 */     GIR_EraseRootFromParent_Done,
     /* 1830942 */   // Label 24774: @1830942
     /* 1830942 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1831028), // Rule ID 13130 //
     /* 1830947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830993 */     // MIs[0] policy
     /* 1830993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1831006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831027 */     // GIR_Coverage, 13130,
     /* 1831027 */     GIR_EraseRootFromParent_Done,
     /* 1831028 */   // Label 24775: @1831028
     /* 1831028 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1831114), // Rule ID 13133 //
     /* 1831033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1831050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831079 */     // MIs[0] policy
     /* 1831079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831089 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831113 */     // GIR_Coverage, 13133,
     /* 1831113 */     GIR_EraseRootFromParent_Done,
     /* 1831114 */   // Label 24776: @1831114
     /* 1831114 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1831200), // Rule ID 13134 //
     /* 1831119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1831136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831165 */     // MIs[0] policy
     /* 1831165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831175 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831199 */     // GIR_Coverage, 13134,
     /* 1831199 */     GIR_EraseRootFromParent_Done,
     /* 1831200 */   // Label 24777: @1831200
     /* 1831200 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1831286), // Rule ID 13137 //
     /* 1831205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831251 */     // MIs[0] policy
     /* 1831251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831261 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831285 */     // GIR_Coverage, 13137,
     /* 1831285 */     GIR_EraseRootFromParent_Done,
     /* 1831286 */   // Label 24778: @1831286
     /* 1831286 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1831372), // Rule ID 13138 //
     /* 1831291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831337 */     // MIs[0] policy
     /* 1831337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831371 */     // GIR_Coverage, 13138,
     /* 1831371 */     GIR_EraseRootFromParent_Done,
     /* 1831372 */   // Label 24779: @1831372
     /* 1831372 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1831458), // Rule ID 13141 //
     /* 1831377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831423 */     // MIs[0] policy
     /* 1831423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831457 */     // GIR_Coverage, 13141,
     /* 1831457 */     GIR_EraseRootFromParent_Done,
     /* 1831458 */   // Label 24780: @1831458
     /* 1831458 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1831544), // Rule ID 13142 //
     /* 1831463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831509 */     // MIs[0] policy
     /* 1831509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831543 */     // GIR_Coverage, 13142,
     /* 1831543 */     GIR_EraseRootFromParent_Done,
     /* 1831544 */   // Label 24781: @1831544
     /* 1831544 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1831630), // Rule ID 13145 //
     /* 1831549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831595 */     // MIs[0] policy
     /* 1831595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831629 */     // GIR_Coverage, 13145,
     /* 1831629 */     GIR_EraseRootFromParent_Done,
     /* 1831630 */   // Label 24782: @1831630
     /* 1831630 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1831716), // Rule ID 13146 //
     /* 1831635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831681 */     // MIs[0] policy
     /* 1831681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831715 */     // GIR_Coverage, 13146,
     /* 1831715 */     GIR_EraseRootFromParent_Done,
     /* 1831716 */   // Label 24783: @1831716
     /* 1831716 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1831802), // Rule ID 13149 //
     /* 1831721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831767 */     // MIs[0] policy
     /* 1831767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831777 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831801 */     // GIR_Coverage, 13149,
     /* 1831801 */     GIR_EraseRootFromParent_Done,
     /* 1831802 */   // Label 24784: @1831802
     /* 1831802 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1831888), // Rule ID 13150 //
     /* 1831807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831853 */     // MIs[0] policy
     /* 1831853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831863 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831887 */     // GIR_Coverage, 13150,
     /* 1831887 */     GIR_EraseRootFromParent_Done,
     /* 1831888 */   // Label 24785: @1831888
     /* 1831888 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1831974), // Rule ID 13153 //
     /* 1831893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831939 */     // MIs[0] policy
     /* 1831939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1831952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831973 */     // GIR_Coverage, 13153,
     /* 1831973 */     GIR_EraseRootFromParent_Done,
     /* 1831974 */   // Label 24786: @1831974
     /* 1831974 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1832060), // Rule ID 13154 //
     /* 1831979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832025 */     // MIs[0] policy
     /* 1832025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832035 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832059 */     // GIR_Coverage, 13154,
     /* 1832059 */     GIR_EraseRootFromParent_Done,
     /* 1832060 */   // Label 24787: @1832060
     /* 1832060 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1832146), // Rule ID 13157 //
     /* 1832065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832111 */     // MIs[0] policy
     /* 1832111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832145 */     // GIR_Coverage, 13157,
     /* 1832145 */     GIR_EraseRootFromParent_Done,
     /* 1832146 */   // Label 24788: @1832146
     /* 1832146 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1832232), // Rule ID 13158 //
     /* 1832151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832197 */     // MIs[0] policy
     /* 1832197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832231 */     // GIR_Coverage, 13158,
     /* 1832231 */     GIR_EraseRootFromParent_Done,
     /* 1832232 */   // Label 24789: @1832232
     /* 1832232 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1832318), // Rule ID 13161 //
     /* 1832237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832283 */     // MIs[0] policy
     /* 1832283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832317 */     // GIR_Coverage, 13161,
     /* 1832317 */     GIR_EraseRootFromParent_Done,
     /* 1832318 */   // Label 24790: @1832318
     /* 1832318 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1832404), // Rule ID 13162 //
     /* 1832323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832369 */     // MIs[0] policy
     /* 1832369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832403 */     // GIR_Coverage, 13162,
     /* 1832403 */     GIR_EraseRootFromParent_Done,
     /* 1832404 */   // Label 24791: @1832404
     /* 1832404 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1832490), // Rule ID 13165 //
     /* 1832409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832455 */     // MIs[0] policy
     /* 1832455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832465 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832489 */     // GIR_Coverage, 13165,
     /* 1832489 */     GIR_EraseRootFromParent_Done,
     /* 1832490 */   // Label 24792: @1832490
     /* 1832490 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1832576), // Rule ID 13166 //
     /* 1832495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832541 */     // MIs[0] policy
     /* 1832541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832551 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832575 */     // GIR_Coverage, 13166,
     /* 1832575 */     GIR_EraseRootFromParent_Done,
     /* 1832576 */   // Label 24793: @1832576
     /* 1832576 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1832662), // Rule ID 13169 //
     /* 1832581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832627 */     // MIs[0] policy
     /* 1832627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832637 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832661 */     // GIR_Coverage, 13169,
     /* 1832661 */     GIR_EraseRootFromParent_Done,
     /* 1832662 */   // Label 24794: @1832662
     /* 1832662 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1832748), // Rule ID 13170 //
     /* 1832667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832713 */     // MIs[0] policy
     /* 1832713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832747 */     // GIR_Coverage, 13170,
     /* 1832747 */     GIR_EraseRootFromParent_Done,
     /* 1832748 */   // Label 24795: @1832748
     /* 1832748 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1832834), // Rule ID 13173 //
     /* 1832753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1832770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832799 */     // MIs[0] policy
     /* 1832799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832809 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832833 */     // GIR_Coverage, 13173,
     /* 1832833 */     GIR_EraseRootFromParent_Done,
     /* 1832834 */   // Label 24796: @1832834
     /* 1832834 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1832920), // Rule ID 13174 //
     /* 1832839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1832856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832885 */     // MIs[0] policy
     /* 1832885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832895 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832919 */     // GIR_Coverage, 13174,
     /* 1832919 */     GIR_EraseRootFromParent_Done,
     /* 1832920 */   // Label 24797: @1832920
     /* 1832920 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1833006), // Rule ID 13177 //
     /* 1832925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1832942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832971 */     // MIs[0] policy
     /* 1832971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832981 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1832984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833005 */     // GIR_Coverage, 13177,
     /* 1833005 */     GIR_EraseRootFromParent_Done,
     /* 1833006 */   // Label 24798: @1833006
     /* 1833006 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1833092), // Rule ID 13178 //
     /* 1833011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1833022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1833025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1833028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1833031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1833034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833057 */     // MIs[0] policy
     /* 1833057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833067 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833091 */     // GIR_Coverage, 13178,
     /* 1833091 */     GIR_EraseRootFromParent_Done,
     /* 1833092 */   // Label 24799: @1833092
     /* 1833092 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1833178), // Rule ID 13181 //
     /* 1833097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833143 */     // MIs[0] policy
     /* 1833143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833177 */     // GIR_Coverage, 13181,
     /* 1833177 */     GIR_EraseRootFromParent_Done,
     /* 1833178 */   // Label 24800: @1833178
     /* 1833178 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1833264), // Rule ID 13182 //
     /* 1833183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833229 */     // MIs[0] policy
     /* 1833229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833263 */     // GIR_Coverage, 13182,
     /* 1833263 */     GIR_EraseRootFromParent_Done,
     /* 1833264 */   // Label 24801: @1833264
     /* 1833264 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1833350), // Rule ID 13185 //
     /* 1833269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833315 */     // MIs[0] policy
     /* 1833315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833349 */     // GIR_Coverage, 13185,
     /* 1833349 */     GIR_EraseRootFromParent_Done,
     /* 1833350 */   // Label 24802: @1833350
     /* 1833350 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1833436), // Rule ID 13186 //
     /* 1833355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833401 */     // MIs[0] policy
     /* 1833401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833435 */     // GIR_Coverage, 13186,
     /* 1833435 */     GIR_EraseRootFromParent_Done,
     /* 1833436 */   // Label 24803: @1833436
     /* 1833436 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1833522), // Rule ID 13189 //
     /* 1833441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833487 */     // MIs[0] policy
     /* 1833487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833497 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833521 */     // GIR_Coverage, 13189,
     /* 1833521 */     GIR_EraseRootFromParent_Done,
     /* 1833522 */   // Label 24804: @1833522
     /* 1833522 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1833608), // Rule ID 13190 //
     /* 1833527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833573 */     // MIs[0] policy
     /* 1833573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833607 */     // GIR_Coverage, 13190,
     /* 1833607 */     GIR_EraseRootFromParent_Done,
     /* 1833608 */   // Label 24805: @1833608
     /* 1833608 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1833694), // Rule ID 13193 //
     /* 1833613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1833630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833659 */     // MIs[0] policy
     /* 1833659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833693 */     // GIR_Coverage, 13193,
     /* 1833693 */     GIR_EraseRootFromParent_Done,
     /* 1833694 */   // Label 24806: @1833694
     /* 1833694 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1833780), // Rule ID 13194 //
     /* 1833699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1833716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833745 */     // MIs[0] policy
     /* 1833745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833779 */     // GIR_Coverage, 13194,
     /* 1833779 */     GIR_EraseRootFromParent_Done,
     /* 1833780 */   // Label 24807: @1833780
     /* 1833780 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1833866), // Rule ID 13197 //
     /* 1833785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1833802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833831 */     // MIs[0] policy
     /* 1833831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833841 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833865 */     // GIR_Coverage, 13197,
     /* 1833865 */     GIR_EraseRootFromParent_Done,
     /* 1833866 */   // Label 24808: @1833866
     /* 1833866 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1833952), // Rule ID 13198 //
     /* 1833871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1833888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833917 */     // MIs[0] policy
     /* 1833917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833951 */     // GIR_Coverage, 13198,
     /* 1833951 */     GIR_EraseRootFromParent_Done,
     /* 1833952 */   // Label 24809: @1833952
     /* 1833952 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1834038), // Rule ID 13201 //
     /* 1833957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1833974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1833977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834003 */     // MIs[0] policy
     /* 1834003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834013 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834037 */     // GIR_Coverage, 13201,
     /* 1834037 */     GIR_EraseRootFromParent_Done,
     /* 1834038 */   // Label 24810: @1834038
     /* 1834038 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1834124), // Rule ID 13202 //
     /* 1834043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1834060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834089 */     // MIs[0] policy
     /* 1834089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834123 */     // GIR_Coverage, 13202,
     /* 1834123 */     GIR_EraseRootFromParent_Done,
     /* 1834124 */   // Label 24811: @1834124
     /* 1834124 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1834210), // Rule ID 13205 //
     /* 1834129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834175 */     // MIs[0] policy
     /* 1834175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834185 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834209 */     // GIR_Coverage, 13205,
     /* 1834209 */     GIR_EraseRootFromParent_Done,
     /* 1834210 */   // Label 24812: @1834210
     /* 1834210 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1834296), // Rule ID 13206 //
     /* 1834215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834261 */     // MIs[0] policy
     /* 1834261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834271 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834295 */     // GIR_Coverage, 13206,
     /* 1834295 */     GIR_EraseRootFromParent_Done,
     /* 1834296 */   // Label 24813: @1834296
     /* 1834296 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1834382), // Rule ID 13209 //
     /* 1834301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834347 */     // MIs[0] policy
     /* 1834347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834357 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834381 */     // GIR_Coverage, 13209,
     /* 1834381 */     GIR_EraseRootFromParent_Done,
     /* 1834382 */   // Label 24814: @1834382
     /* 1834382 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1834468), // Rule ID 13210 //
     /* 1834387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834433 */     // MIs[0] policy
     /* 1834433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834467 */     // GIR_Coverage, 13210,
     /* 1834467 */     GIR_EraseRootFromParent_Done,
     /* 1834468 */   // Label 24815: @1834468
     /* 1834468 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1834554), // Rule ID 13213 //
     /* 1834473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834519 */     // MIs[0] policy
     /* 1834519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834529 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834553 */     // GIR_Coverage, 13213,
     /* 1834553 */     GIR_EraseRootFromParent_Done,
     /* 1834554 */   // Label 24816: @1834554
     /* 1834554 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1834640), // Rule ID 13214 //
     /* 1834559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834605 */     // MIs[0] policy
     /* 1834605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834639 */     // GIR_Coverage, 13214,
     /* 1834639 */     GIR_EraseRootFromParent_Done,
     /* 1834640 */   // Label 24817: @1834640
     /* 1834640 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1834726), // Rule ID 13217 //
     /* 1834645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834691 */     // MIs[0] policy
     /* 1834691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834701 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1834704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834725 */     // GIR_Coverage, 13217,
     /* 1834725 */     GIR_EraseRootFromParent_Done,
     /* 1834726 */   // Label 24818: @1834726
     /* 1834726 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1834812), // Rule ID 13218 //
     /* 1834731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834777 */     // MIs[0] policy
     /* 1834777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834787 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1834790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834811 */     // GIR_Coverage, 13218,
     /* 1834811 */     GIR_EraseRootFromParent_Done,
     /* 1834812 */   // Label 24819: @1834812
     /* 1834812 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1834898), // Rule ID 13221 //
     /* 1834817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834863 */     // MIs[0] policy
     /* 1834863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834873 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1834876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834897 */     // GIR_Coverage, 13221,
     /* 1834897 */     GIR_EraseRootFromParent_Done,
     /* 1834898 */   // Label 24820: @1834898
     /* 1834898 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1834984), // Rule ID 13222 //
     /* 1834903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834949 */     // MIs[0] policy
     /* 1834949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834959 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1834962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834983 */     // GIR_Coverage, 13222,
     /* 1834983 */     GIR_EraseRootFromParent_Done,
     /* 1834984 */   // Label 24821: @1834984
     /* 1834984 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1835070), // Rule ID 13225 //
     /* 1834989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835035 */     // MIs[0] policy
     /* 1835035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835045 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835069 */     // GIR_Coverage, 13225,
     /* 1835069 */     GIR_EraseRootFromParent_Done,
     /* 1835070 */   // Label 24822: @1835070
     /* 1835070 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1835156), // Rule ID 13226 //
     /* 1835075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835121 */     // MIs[0] policy
     /* 1835121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835131 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835155 */     // GIR_Coverage, 13226,
     /* 1835155 */     GIR_EraseRootFromParent_Done,
     /* 1835156 */   // Label 24823: @1835156
     /* 1835156 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1835242), // Rule ID 13229 //
     /* 1835161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835207 */     // MIs[0] policy
     /* 1835207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835241 */     // GIR_Coverage, 13229,
     /* 1835241 */     GIR_EraseRootFromParent_Done,
     /* 1835242 */   // Label 24824: @1835242
     /* 1835242 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1835328), // Rule ID 13230 //
     /* 1835247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835293 */     // MIs[0] policy
     /* 1835293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835303 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835327 */     // GIR_Coverage, 13230,
     /* 1835327 */     GIR_EraseRootFromParent_Done,
     /* 1835328 */   // Label 24825: @1835328
     /* 1835328 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1835414), // Rule ID 13233 //
     /* 1835333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835379 */     // MIs[0] policy
     /* 1835379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835413 */     // GIR_Coverage, 13233,
     /* 1835413 */     GIR_EraseRootFromParent_Done,
     /* 1835414 */   // Label 24826: @1835414
     /* 1835414 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1835500), // Rule ID 13234 //
     /* 1835419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835465 */     // MIs[0] policy
     /* 1835465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835475 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835499 */     // GIR_Coverage, 13234,
     /* 1835499 */     GIR_EraseRootFromParent_Done,
     /* 1835500 */   // Label 24827: @1835500
     /* 1835500 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1835586), // Rule ID 13237 //
     /* 1835505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835551 */     // MIs[0] policy
     /* 1835551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835585 */     // GIR_Coverage, 13237,
     /* 1835585 */     GIR_EraseRootFromParent_Done,
     /* 1835586 */   // Label 24828: @1835586
     /* 1835586 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1835672), // Rule ID 13238 //
     /* 1835591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835637 */     // MIs[0] policy
     /* 1835637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835671 */     // GIR_Coverage, 13238,
     /* 1835671 */     GIR_EraseRootFromParent_Done,
     /* 1835672 */   // Label 24829: @1835672
     /* 1835672 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1835758), // Rule ID 13241 //
     /* 1835677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835723 */     // MIs[0] policy
     /* 1835723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835733 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835757 */     // GIR_Coverage, 13241,
     /* 1835757 */     GIR_EraseRootFromParent_Done,
     /* 1835758 */   // Label 24830: @1835758
     /* 1835758 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1835844), // Rule ID 13242 //
     /* 1835763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835809 */     // MIs[0] policy
     /* 1835809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835819 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835843 */     // GIR_Coverage, 13242,
     /* 1835843 */     GIR_EraseRootFromParent_Done,
     /* 1835844 */   // Label 24831: @1835844
     /* 1835844 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1835930), // Rule ID 13245 //
     /* 1835849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835895 */     // MIs[0] policy
     /* 1835895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835929 */     // GIR_Coverage, 13245,
     /* 1835929 */     GIR_EraseRootFromParent_Done,
     /* 1835930 */   // Label 24832: @1835930
     /* 1835930 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1836016), // Rule ID 13246 //
     /* 1835935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835981 */     // MIs[0] policy
     /* 1835981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836015 */     // GIR_Coverage, 13246,
     /* 1836015 */     GIR_EraseRootFromParent_Done,
     /* 1836016 */   // Label 24833: @1836016
     /* 1836016 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1836102), // Rule ID 13249 //
     /* 1836021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836067 */     // MIs[0] policy
     /* 1836067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836101 */     // GIR_Coverage, 13249,
     /* 1836101 */     GIR_EraseRootFromParent_Done,
     /* 1836102 */   // Label 24834: @1836102
     /* 1836102 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1836188), // Rule ID 13250 //
     /* 1836107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836153 */     // MIs[0] policy
     /* 1836153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836187 */     // GIR_Coverage, 13250,
     /* 1836187 */     GIR_EraseRootFromParent_Done,
     /* 1836188 */   // Label 24835: @1836188
     /* 1836188 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1836274), // Rule ID 13253 //
     /* 1836193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836239 */     // MIs[0] policy
     /* 1836239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836273 */     // GIR_Coverage, 13253,
     /* 1836273 */     GIR_EraseRootFromParent_Done,
     /* 1836274 */   // Label 24836: @1836274
     /* 1836274 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1836360), // Rule ID 13254 //
     /* 1836279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1836282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836325 */     // MIs[0] policy
     /* 1836325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836335 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836359 */     // GIR_Coverage, 13254,
     /* 1836359 */     GIR_EraseRootFromParent_Done,
     /* 1836360 */   // Label 24837: @1836360
     /* 1836360 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1836446), // Rule ID 13257 //
     /* 1836365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836411 */     // MIs[0] policy
     /* 1836411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836421 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836445 */     // GIR_Coverage, 13257,
     /* 1836445 */     GIR_EraseRootFromParent_Done,
     /* 1836446 */   // Label 24838: @1836446
     /* 1836446 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1836532), // Rule ID 13258 //
     /* 1836451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836497 */     // MIs[0] policy
     /* 1836497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836507 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836531 */     // GIR_Coverage, 13258,
     /* 1836531 */     GIR_EraseRootFromParent_Done,
     /* 1836532 */   // Label 24839: @1836532
     /* 1836532 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1836618), // Rule ID 13261 //
     /* 1836537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836583 */     // MIs[0] policy
     /* 1836583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836593 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836617 */     // GIR_Coverage, 13261,
     /* 1836617 */     GIR_EraseRootFromParent_Done,
     /* 1836618 */   // Label 24840: @1836618
     /* 1836618 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1836704), // Rule ID 13262 //
     /* 1836623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836669 */     // MIs[0] policy
     /* 1836669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836679 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836703 */     // GIR_Coverage, 13262,
     /* 1836703 */     GIR_EraseRootFromParent_Done,
     /* 1836704 */   // Label 24841: @1836704
     /* 1836704 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1836790), // Rule ID 13265 //
     /* 1836709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836755 */     // MIs[0] policy
     /* 1836755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836765 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836789 */     // GIR_Coverage, 13265,
     /* 1836789 */     GIR_EraseRootFromParent_Done,
     /* 1836790 */   // Label 24842: @1836790
     /* 1836790 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1836876), // Rule ID 13266 //
     /* 1836795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836841 */     // MIs[0] policy
     /* 1836841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836875 */     // GIR_Coverage, 13266,
     /* 1836875 */     GIR_EraseRootFromParent_Done,
     /* 1836876 */   // Label 24843: @1836876
     /* 1836876 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1836962), // Rule ID 13269 //
     /* 1836881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836927 */     // MIs[0] policy
     /* 1836927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836961 */     // GIR_Coverage, 13269,
     /* 1836961 */     GIR_EraseRootFromParent_Done,
     /* 1836962 */   // Label 24844: @1836962
     /* 1836962 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1837048), // Rule ID 13270 //
     /* 1836967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837013 */     // MIs[0] policy
     /* 1837013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837047 */     // GIR_Coverage, 13270,
     /* 1837047 */     GIR_EraseRootFromParent_Done,
     /* 1837048 */   // Label 24845: @1837048
     /* 1837048 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1837134), // Rule ID 13273 //
     /* 1837053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837099 */     // MIs[0] policy
     /* 1837099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837133 */     // GIR_Coverage, 13273,
     /* 1837133 */     GIR_EraseRootFromParent_Done,
     /* 1837134 */   // Label 24846: @1837134
     /* 1837134 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1837220), // Rule ID 13274 //
     /* 1837139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837185 */     // MIs[0] policy
     /* 1837185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837195 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837219 */     // GIR_Coverage, 13274,
     /* 1837219 */     GIR_EraseRootFromParent_Done,
     /* 1837220 */   // Label 24847: @1837220
     /* 1837220 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1837306), // Rule ID 13277 //
     /* 1837225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837271 */     // MIs[0] policy
     /* 1837271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837281 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837305 */     // GIR_Coverage, 13277,
     /* 1837305 */     GIR_EraseRootFromParent_Done,
     /* 1837306 */   // Label 24848: @1837306
     /* 1837306 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1837392), // Rule ID 13278 //
     /* 1837311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837357 */     // MIs[0] policy
     /* 1837357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837391 */     // GIR_Coverage, 13278,
     /* 1837391 */     GIR_EraseRootFromParent_Done,
     /* 1837392 */   // Label 24849: @1837392
     /* 1837392 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1837478), // Rule ID 13281 //
     /* 1837397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837443 */     // MIs[0] policy
     /* 1837443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837453 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837477 */     // GIR_Coverage, 13281,
     /* 1837477 */     GIR_EraseRootFromParent_Done,
     /* 1837478 */   // Label 24850: @1837478
     /* 1837478 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1837564), // Rule ID 13282 //
     /* 1837483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837529 */     // MIs[0] policy
     /* 1837529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837563 */     // GIR_Coverage, 13282,
     /* 1837563 */     GIR_EraseRootFromParent_Done,
     /* 1837564 */   // Label 24851: @1837564
     /* 1837564 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1837650), // Rule ID 13285 //
     /* 1837569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837615 */     // MIs[0] policy
     /* 1837615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837649 */     // GIR_Coverage, 13285,
     /* 1837649 */     GIR_EraseRootFromParent_Done,
     /* 1837650 */   // Label 24852: @1837650
     /* 1837650 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1837736), // Rule ID 13286 //
     /* 1837655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837701 */     // MIs[0] policy
     /* 1837701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837711 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837735 */     // GIR_Coverage, 13286,
     /* 1837735 */     GIR_EraseRootFromParent_Done,
     /* 1837736 */   // Label 24853: @1837736
     /* 1837736 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1837822), // Rule ID 13289 //
     /* 1837741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837787 */     // MIs[0] policy
     /* 1837787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837821 */     // GIR_Coverage, 13289,
     /* 1837821 */     GIR_EraseRootFromParent_Done,
     /* 1837822 */   // Label 24854: @1837822
     /* 1837822 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1837908), // Rule ID 13290 //
     /* 1837827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837873 */     // MIs[0] policy
     /* 1837873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837907 */     // GIR_Coverage, 13290,
     /* 1837907 */     GIR_EraseRootFromParent_Done,
     /* 1837908 */   // Label 24855: @1837908
     /* 1837908 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1837994), // Rule ID 13293 //
     /* 1837913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837959 */     // MIs[0] policy
     /* 1837959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837993 */     // GIR_Coverage, 13293,
     /* 1837993 */     GIR_EraseRootFromParent_Done,
     /* 1837994 */   // Label 24856: @1837994
     /* 1837994 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1838080), // Rule ID 13294 //
     /* 1837999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1838019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838045 */     // MIs[0] policy
     /* 1838045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1838058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838079 */     // GIR_Coverage, 13294,
     /* 1838079 */     GIR_EraseRootFromParent_Done,
     /* 1838080 */   // Label 24857: @1838080
     /* 1838080 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1838166), // Rule ID 13297 //
     /* 1838085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838131 */     // MIs[0] policy
     /* 1838131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838141 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838165 */     // GIR_Coverage, 13297,
     /* 1838165 */     GIR_EraseRootFromParent_Done,
     /* 1838166 */   // Label 24858: @1838166
     /* 1838166 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1838252), // Rule ID 13298 //
     /* 1838171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838217 */     // MIs[0] policy
     /* 1838217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838227 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838251 */     // GIR_Coverage, 13298,
     /* 1838251 */     GIR_EraseRootFromParent_Done,
     /* 1838252 */   // Label 24859: @1838252
     /* 1838252 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1838338), // Rule ID 13301 //
     /* 1838257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838303 */     // MIs[0] policy
     /* 1838303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838337 */     // GIR_Coverage, 13301,
     /* 1838337 */     GIR_EraseRootFromParent_Done,
     /* 1838338 */   // Label 24860: @1838338
     /* 1838338 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1838424), // Rule ID 13302 //
     /* 1838343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838389 */     // MIs[0] policy
     /* 1838389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838423 */     // GIR_Coverage, 13302,
     /* 1838423 */     GIR_EraseRootFromParent_Done,
     /* 1838424 */   // Label 24861: @1838424
     /* 1838424 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1838510), // Rule ID 13305 //
     /* 1838429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838475 */     // MIs[0] policy
     /* 1838475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838485 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838509 */     // GIR_Coverage, 13305,
     /* 1838509 */     GIR_EraseRootFromParent_Done,
     /* 1838510 */   // Label 24862: @1838510
     /* 1838510 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1838596), // Rule ID 13306 //
     /* 1838515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838561 */     // MIs[0] policy
     /* 1838561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838595 */     // GIR_Coverage, 13306,
     /* 1838595 */     GIR_EraseRootFromParent_Done,
     /* 1838596 */   // Label 24863: @1838596
     /* 1838596 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1838682), // Rule ID 13309 //
     /* 1838601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1838618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838647 */     // MIs[0] policy
     /* 1838647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838657 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1838660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838681 */     // GIR_Coverage, 13309,
     /* 1838681 */     GIR_EraseRootFromParent_Done,
     /* 1838682 */   // Label 24864: @1838682
     /* 1838682 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1838768), // Rule ID 13310 //
     /* 1838687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1838704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838733 */     // MIs[0] policy
     /* 1838733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1838746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838767 */     // GIR_Coverage, 13310,
     /* 1838767 */     GIR_EraseRootFromParent_Done,
     /* 1838768 */   // Label 24865: @1838768
     /* 1838768 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1838854), // Rule ID 13313 //
     /* 1838773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1838784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1838787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1838790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838819 */     // MIs[0] policy
     /* 1838819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1838832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838853 */     // GIR_Coverage, 13313,
     /* 1838853 */     GIR_EraseRootFromParent_Done,
     /* 1838854 */   // Label 24866: @1838854
     /* 1838854 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1838940), // Rule ID 13314 //
     /* 1838859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1838870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1838873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1838876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838905 */     // MIs[0] policy
     /* 1838905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1838918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838939 */     // GIR_Coverage, 13314,
     /* 1838939 */     GIR_EraseRootFromParent_Done,
     /* 1838940 */   // Label 24867: @1838940
     /* 1838940 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1839026), // Rule ID 13317 //
     /* 1838945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1838956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1838959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1838962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1838965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838991 */     // MIs[0] policy
     /* 1838991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839025 */     // GIR_Coverage, 13317,
     /* 1839025 */     GIR_EraseRootFromParent_Done,
     /* 1839026 */   // Label 24868: @1839026
     /* 1839026 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1839112), // Rule ID 13318 //
     /* 1839031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839077 */     // MIs[0] policy
     /* 1839077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839087 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839111 */     // GIR_Coverage, 13318,
     /* 1839111 */     GIR_EraseRootFromParent_Done,
     /* 1839112 */   // Label 24869: @1839112
     /* 1839112 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1839198), // Rule ID 13321 //
     /* 1839117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839163 */     // MIs[0] policy
     /* 1839163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839197 */     // GIR_Coverage, 13321,
     /* 1839197 */     GIR_EraseRootFromParent_Done,
     /* 1839198 */   // Label 24870: @1839198
     /* 1839198 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1839284), // Rule ID 13322 //
     /* 1839203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839249 */     // MIs[0] policy
     /* 1839249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839283 */     // GIR_Coverage, 13322,
     /* 1839283 */     GIR_EraseRootFromParent_Done,
     /* 1839284 */   // Label 24871: @1839284
     /* 1839284 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1839370), // Rule ID 13325 //
     /* 1839289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839335 */     // MIs[0] policy
     /* 1839335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839369 */     // GIR_Coverage, 13325,
     /* 1839369 */     GIR_EraseRootFromParent_Done,
     /* 1839370 */   // Label 24872: @1839370
     /* 1839370 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1839456), // Rule ID 13326 //
     /* 1839375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839421 */     // MIs[0] policy
     /* 1839421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839455 */     // GIR_Coverage, 13326,
     /* 1839455 */     GIR_EraseRootFromParent_Done,
     /* 1839456 */   // Label 24873: @1839456
     /* 1839456 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1839542), // Rule ID 13329 //
     /* 1839461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839507 */     // MIs[0] policy
     /* 1839507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839541 */     // GIR_Coverage, 13329,
     /* 1839541 */     GIR_EraseRootFromParent_Done,
     /* 1839542 */   // Label 24874: @1839542
     /* 1839542 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1839628), // Rule ID 13330 //
     /* 1839547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839593 */     // MIs[0] policy
     /* 1839593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839627 */     // GIR_Coverage, 13330,
     /* 1839627 */     GIR_EraseRootFromParent_Done,
     /* 1839628 */   // Label 24875: @1839628
     /* 1839628 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1839714), // Rule ID 13333 //
     /* 1839633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1839650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839679 */     // MIs[0] policy
     /* 1839679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839713 */     // GIR_Coverage, 13333,
     /* 1839713 */     GIR_EraseRootFromParent_Done,
     /* 1839714 */   // Label 24876: @1839714
     /* 1839714 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1839800), // Rule ID 13334 //
     /* 1839719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1839736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839765 */     // MIs[0] policy
     /* 1839765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839799 */     // GIR_Coverage, 13334,
     /* 1839799 */     GIR_EraseRootFromParent_Done,
     /* 1839800 */   // Label 24877: @1839800
     /* 1839800 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1839886), // Rule ID 13337 //
     /* 1839805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1839816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1839819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839851 */     // MIs[0] policy
     /* 1839851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839885 */     // GIR_Coverage, 13337,
     /* 1839885 */     GIR_EraseRootFromParent_Done,
     /* 1839886 */   // Label 24878: @1839886
     /* 1839886 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1839972), // Rule ID 13338 //
     /* 1839891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1839902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1839905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839937 */     // MIs[0] policy
     /* 1839937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839971 */     // GIR_Coverage, 13338,
     /* 1839971 */     GIR_EraseRootFromParent_Done,
     /* 1839972 */   // Label 24879: @1839972
     /* 1839972 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1840058), // Rule ID 13341 //
     /* 1839977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1839988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1839991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1839997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840023 */     // MIs[0] policy
     /* 1840023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840057 */     // GIR_Coverage, 13341,
     /* 1840057 */     GIR_EraseRootFromParent_Done,
     /* 1840058 */   // Label 24880: @1840058
     /* 1840058 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1840144), // Rule ID 13342 //
     /* 1840063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840109 */     // MIs[0] policy
     /* 1840109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840143 */     // GIR_Coverage, 13342,
     /* 1840143 */     GIR_EraseRootFromParent_Done,
     /* 1840144 */   // Label 24881: @1840144
     /* 1840144 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1840230), // Rule ID 13345 //
     /* 1840149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840195 */     // MIs[0] policy
     /* 1840195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840229 */     // GIR_Coverage, 13345,
     /* 1840229 */     GIR_EraseRootFromParent_Done,
     /* 1840230 */   // Label 24882: @1840230
     /* 1840230 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1840316), // Rule ID 13346 //
     /* 1840235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840281 */     // MIs[0] policy
     /* 1840281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840315 */     // GIR_Coverage, 13346,
     /* 1840315 */     GIR_EraseRootFromParent_Done,
     /* 1840316 */   // Label 24883: @1840316
     /* 1840316 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1840402), // Rule ID 13349 //
     /* 1840321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840367 */     // MIs[0] policy
     /* 1840367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840401 */     // GIR_Coverage, 13349,
     /* 1840401 */     GIR_EraseRootFromParent_Done,
     /* 1840402 */   // Label 24884: @1840402
     /* 1840402 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1840488), // Rule ID 13350 //
     /* 1840407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840453 */     // MIs[0] policy
     /* 1840453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840463 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840487 */     // GIR_Coverage, 13350,
     /* 1840487 */     GIR_EraseRootFromParent_Done,
     /* 1840488 */   // Label 24885: @1840488
     /* 1840488 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1840574), // Rule ID 13353 //
     /* 1840493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840539 */     // MIs[0] policy
     /* 1840539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840573 */     // GIR_Coverage, 13353,
     /* 1840573 */     GIR_EraseRootFromParent_Done,
     /* 1840574 */   // Label 24886: @1840574
     /* 1840574 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1840660), // Rule ID 13354 //
     /* 1840579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840625 */     // MIs[0] policy
     /* 1840625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840659 */     // GIR_Coverage, 13354,
     /* 1840659 */     GIR_EraseRootFromParent_Done,
     /* 1840660 */   // Label 24887: @1840660
     /* 1840660 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1840746), // Rule ID 13357 //
     /* 1840665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1840676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1840679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840711 */     // MIs[0] policy
     /* 1840711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840745 */     // GIR_Coverage, 13357,
     /* 1840745 */     GIR_EraseRootFromParent_Done,
     /* 1840746 */   // Label 24888: @1840746
     /* 1840746 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1840832), // Rule ID 13358 //
     /* 1840751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1840762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1840765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840797 */     // MIs[0] policy
     /* 1840797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840831 */     // GIR_Coverage, 13358,
     /* 1840831 */     GIR_EraseRootFromParent_Done,
     /* 1840832 */   // Label 24889: @1840832
     /* 1840832 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1840918), // Rule ID 13361 //
     /* 1840837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1840848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1840851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840883 */     // MIs[0] policy
     /* 1840883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840893 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840917 */     // GIR_Coverage, 13361,
     /* 1840917 */     GIR_EraseRootFromParent_Done,
     /* 1840918 */   // Label 24890: @1840918
     /* 1840918 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1841004), // Rule ID 13362 //
     /* 1840923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1840934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1840937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840969 */     // MIs[0] policy
     /* 1840969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841003 */     // GIR_Coverage, 13362,
     /* 1841003 */     GIR_EraseRootFromParent_Done,
     /* 1841004 */   // Label 24891: @1841004
     /* 1841004 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1841090), // Rule ID 13365 //
     /* 1841009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841055 */     // MIs[0] policy
     /* 1841055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841065 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841089 */     // GIR_Coverage, 13365,
     /* 1841089 */     GIR_EraseRootFromParent_Done,
     /* 1841090 */   // Label 24892: @1841090
     /* 1841090 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1841176), // Rule ID 13366 //
     /* 1841095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841141 */     // MIs[0] policy
     /* 1841141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841175 */     // GIR_Coverage, 13366,
     /* 1841175 */     GIR_EraseRootFromParent_Done,
     /* 1841176 */   // Label 24893: @1841176
     /* 1841176 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1841262), // Rule ID 13369 //
     /* 1841181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841227 */     // MIs[0] policy
     /* 1841227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841261 */     // GIR_Coverage, 13369,
     /* 1841261 */     GIR_EraseRootFromParent_Done,
     /* 1841262 */   // Label 24894: @1841262
     /* 1841262 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1841348), // Rule ID 13370 //
     /* 1841267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841313 */     // MIs[0] policy
     /* 1841313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841347 */     // GIR_Coverage, 13370,
     /* 1841347 */     GIR_EraseRootFromParent_Done,
     /* 1841348 */   // Label 24895: @1841348
     /* 1841348 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1841434), // Rule ID 13373 //
     /* 1841353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841399 */     // MIs[0] policy
     /* 1841399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841433 */     // GIR_Coverage, 13373,
     /* 1841433 */     GIR_EraseRootFromParent_Done,
     /* 1841434 */   // Label 24896: @1841434
     /* 1841434 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1841520), // Rule ID 13374 //
     /* 1841439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841485 */     // MIs[0] policy
     /* 1841485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841495 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841519 */     // GIR_Coverage, 13374,
     /* 1841519 */     GIR_EraseRootFromParent_Done,
     /* 1841520 */   // Label 24897: @1841520
     /* 1841520 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1841606), // Rule ID 13377 //
     /* 1841525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1841545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841571 */     // MIs[0] policy
     /* 1841571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841605 */     // GIR_Coverage, 13377,
     /* 1841605 */     GIR_EraseRootFromParent_Done,
     /* 1841606 */   // Label 24898: @1841606
     /* 1841606 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1841692), // Rule ID 13378 //
     /* 1841611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1841631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841657 */     // MIs[0] policy
     /* 1841657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841691 */     // GIR_Coverage, 13378,
     /* 1841691 */     GIR_EraseRootFromParent_Done,
     /* 1841692 */   // Label 24899: @1841692
     /* 1841692 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1841778), // Rule ID 13381 //
     /* 1841697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1841708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1841711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1841717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841743 */     // MIs[0] policy
     /* 1841743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1841756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841777 */     // GIR_Coverage, 13381,
     /* 1841777 */     GIR_EraseRootFromParent_Done,
     /* 1841778 */   // Label 24900: @1841778
     /* 1841778 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1841864), // Rule ID 13382 //
     /* 1841783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1841794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1841797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1841803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841829 */     // MIs[0] policy
     /* 1841829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1841842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841863 */     // GIR_Coverage, 13382,
     /* 1841863 */     GIR_EraseRootFromParent_Done,
     /* 1841864 */   // Label 24901: @1841864
     /* 1841864 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1841950), // Rule ID 13385 //
     /* 1841869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841915 */     // MIs[0] policy
     /* 1841915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841925 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1841928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841949 */     // GIR_Coverage, 13385,
     /* 1841949 */     GIR_EraseRootFromParent_Done,
     /* 1841950 */   // Label 24902: @1841950
     /* 1841950 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1842036), // Rule ID 13386 //
     /* 1841955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842001 */     // MIs[0] policy
     /* 1842001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842011 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842035 */     // GIR_Coverage, 13386,
     /* 1842035 */     GIR_EraseRootFromParent_Done,
     /* 1842036 */   // Label 24903: @1842036
     /* 1842036 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1842122), // Rule ID 13389 //
     /* 1842041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842087 */     // MIs[0] policy
     /* 1842087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842121 */     // GIR_Coverage, 13389,
     /* 1842121 */     GIR_EraseRootFromParent_Done,
     /* 1842122 */   // Label 24904: @1842122
     /* 1842122 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1842208), // Rule ID 13390 //
     /* 1842127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842173 */     // MIs[0] policy
     /* 1842173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842207 */     // GIR_Coverage, 13390,
     /* 1842207 */     GIR_EraseRootFromParent_Done,
     /* 1842208 */   // Label 24905: @1842208
     /* 1842208 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1842294), // Rule ID 13393 //
     /* 1842213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842259 */     // MIs[0] policy
     /* 1842259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842293 */     // GIR_Coverage, 13393,
     /* 1842293 */     GIR_EraseRootFromParent_Done,
     /* 1842294 */   // Label 24906: @1842294
     /* 1842294 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1842380), // Rule ID 13394 //
     /* 1842299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842345 */     // MIs[0] policy
     /* 1842345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842379 */     // GIR_Coverage, 13394,
     /* 1842379 */     GIR_EraseRootFromParent_Done,
     /* 1842380 */   // Label 24907: @1842380
     /* 1842380 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1842466), // Rule ID 13397 //
     /* 1842385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842431 */     // MIs[0] policy
     /* 1842431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842465 */     // GIR_Coverage, 13397,
     /* 1842465 */     GIR_EraseRootFromParent_Done,
     /* 1842466 */   // Label 24908: @1842466
     /* 1842466 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1842552), // Rule ID 13398 //
     /* 1842471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842517 */     // MIs[0] policy
     /* 1842517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842551 */     // GIR_Coverage, 13398,
     /* 1842551 */     GIR_EraseRootFromParent_Done,
     /* 1842552 */   // Label 24909: @1842552
     /* 1842552 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1842638), // Rule ID 13401 //
     /* 1842557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1842577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842603 */     // MIs[0] policy
     /* 1842603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842637 */     // GIR_Coverage, 13401,
     /* 1842637 */     GIR_EraseRootFromParent_Done,
     /* 1842638 */   // Label 24910: @1842638
     /* 1842638 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1842724), // Rule ID 13402 //
     /* 1842643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1842663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842689 */     // MIs[0] policy
     /* 1842689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842723 */     // GIR_Coverage, 13402,
     /* 1842723 */     GIR_EraseRootFromParent_Done,
     /* 1842724 */   // Label 24911: @1842724
     /* 1842724 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1842810), // Rule ID 13405 //
     /* 1842729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1842740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1842743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1842749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842775 */     // MIs[0] policy
     /* 1842775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842785 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842809 */     // GIR_Coverage, 13405,
     /* 1842809 */     GIR_EraseRootFromParent_Done,
     /* 1842810 */   // Label 24912: @1842810
     /* 1842810 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1842896), // Rule ID 13406 //
     /* 1842815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1842826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1842829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1842835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842861 */     // MIs[0] policy
     /* 1842861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842895 */     // GIR_Coverage, 13406,
     /* 1842895 */     GIR_EraseRootFromParent_Done,
     /* 1842896 */   // Label 24913: @1842896
     /* 1842896 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1842982), // Rule ID 13409 //
     /* 1842901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842947 */     // MIs[0] policy
     /* 1842947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842981 */     // GIR_Coverage, 13409,
     /* 1842981 */     GIR_EraseRootFromParent_Done,
     /* 1842982 */   // Label 24914: @1842982
     /* 1842982 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1843068), // Rule ID 13410 //
     /* 1842987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1843007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843033 */     // MIs[0] policy
     /* 1843033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1843046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843067 */     // GIR_Coverage, 13410,
     /* 1843067 */     GIR_EraseRootFromParent_Done,
     /* 1843068 */   // Label 24915: @1843068
     /* 1843068 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1843154), // Rule ID 13413 //
     /* 1843073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843119 */     // MIs[0] policy
     /* 1843119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843129 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843153 */     // GIR_Coverage, 13413,
     /* 1843153 */     GIR_EraseRootFromParent_Done,
     /* 1843154 */   // Label 24916: @1843154
     /* 1843154 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1843240), // Rule ID 13414 //
     /* 1843159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843205 */     // MIs[0] policy
     /* 1843205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843239 */     // GIR_Coverage, 13414,
     /* 1843239 */     GIR_EraseRootFromParent_Done,
     /* 1843240 */   // Label 24917: @1843240
     /* 1843240 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1843326), // Rule ID 13417 //
     /* 1843245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843291 */     // MIs[0] policy
     /* 1843291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843301 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843325 */     // GIR_Coverage, 13417,
     /* 1843325 */     GIR_EraseRootFromParent_Done,
     /* 1843326 */   // Label 24918: @1843326
     /* 1843326 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1843412), // Rule ID 13418 //
     /* 1843331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843377 */     // MIs[0] policy
     /* 1843377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843411 */     // GIR_Coverage, 13418,
     /* 1843411 */     GIR_EraseRootFromParent_Done,
     /* 1843412 */   // Label 24919: @1843412
     /* 1843412 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1843498), // Rule ID 13421 //
     /* 1843417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843463 */     // MIs[0] policy
     /* 1843463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843497 */     // GIR_Coverage, 13421,
     /* 1843497 */     GIR_EraseRootFromParent_Done,
     /* 1843498 */   // Label 24920: @1843498
     /* 1843498 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1843584), // Rule ID 13422 //
     /* 1843503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843549 */     // MIs[0] policy
     /* 1843549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843583 */     // GIR_Coverage, 13422,
     /* 1843583 */     GIR_EraseRootFromParent_Done,
     /* 1843584 */   // Label 24921: @1843584
     /* 1843584 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1843670), // Rule ID 13425 //
     /* 1843589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1843600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1843603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1843606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1843609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843635 */     // MIs[0] policy
     /* 1843635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1843648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843669 */     // GIR_Coverage, 13425,
     /* 1843669 */     GIR_EraseRootFromParent_Done,
     /* 1843670 */   // Label 24922: @1843670
     /* 1843670 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1843756), // Rule ID 13426 //
     /* 1843675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1843686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1843689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1843692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1843695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843721 */     // MIs[0] policy
     /* 1843721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843731 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1843734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843755 */     // GIR_Coverage, 13426,
     /* 1843755 */     GIR_EraseRootFromParent_Done,
     /* 1843756 */   // Label 24923: @1843756
     /* 1843756 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1843842), // Rule ID 13429 //
     /* 1843761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1843772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1843775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1843778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1843781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843807 */     // MIs[0] policy
     /* 1843807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1843820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843841 */     // GIR_Coverage, 13429,
     /* 1843841 */     GIR_EraseRootFromParent_Done,
     /* 1843842 */   // Label 24924: @1843842
     /* 1843842 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1843928), // Rule ID 13430 //
     /* 1843847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1843858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1843861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1843864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1843867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843893 */     // MIs[0] policy
     /* 1843893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1843906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843927 */     // GIR_Coverage, 13430,
     /* 1843927 */     GIR_EraseRootFromParent_Done,
     /* 1843928 */   // Label 24925: @1843928
     /* 1843928 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1844014), // Rule ID 13433 //
     /* 1843933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1843950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1843953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843979 */     // MIs[0] policy
     /* 1843979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1843992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844013 */     // GIR_Coverage, 13433,
     /* 1844013 */     GIR_EraseRootFromParent_Done,
     /* 1844014 */   // Label 24926: @1844014
     /* 1844014 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1844100), // Rule ID 13434 //
     /* 1844019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1844030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1844033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1844036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1844039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844065 */     // MIs[0] policy
     /* 1844065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844099 */     // GIR_Coverage, 13434,
     /* 1844099 */     GIR_EraseRootFromParent_Done,
     /* 1844100 */   // Label 24927: @1844100
     /* 1844100 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1844186), // Rule ID 13437 //
     /* 1844105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844151 */     // MIs[0] policy
     /* 1844151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844185 */     // GIR_Coverage, 13437,
     /* 1844185 */     GIR_EraseRootFromParent_Done,
     /* 1844186 */   // Label 24928: @1844186
     /* 1844186 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1844272), // Rule ID 13438 //
     /* 1844191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844237 */     // MIs[0] policy
     /* 1844237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844271 */     // GIR_Coverage, 13438,
     /* 1844271 */     GIR_EraseRootFromParent_Done,
     /* 1844272 */   // Label 24929: @1844272
     /* 1844272 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1844358), // Rule ID 13441 //
     /* 1844277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844323 */     // MIs[0] policy
     /* 1844323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844357 */     // GIR_Coverage, 13441,
     /* 1844357 */     GIR_EraseRootFromParent_Done,
     /* 1844358 */   // Label 24930: @1844358
     /* 1844358 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1844444), // Rule ID 13442 //
     /* 1844363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844409 */     // MIs[0] policy
     /* 1844409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844443 */     // GIR_Coverage, 13442,
     /* 1844443 */     GIR_EraseRootFromParent_Done,
     /* 1844444 */   // Label 24931: @1844444
     /* 1844444 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1844530), // Rule ID 13445 //
     /* 1844449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844495 */     // MIs[0] policy
     /* 1844495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844505 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844529 */     // GIR_Coverage, 13445,
     /* 1844529 */     GIR_EraseRootFromParent_Done,
     /* 1844530 */   // Label 24932: @1844530
     /* 1844530 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1844616), // Rule ID 13446 //
     /* 1844535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844581 */     // MIs[0] policy
     /* 1844581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844591 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844615 */     // GIR_Coverage, 13446,
     /* 1844615 */     GIR_EraseRootFromParent_Done,
     /* 1844616 */   // Label 24933: @1844616
     /* 1844616 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1844702), // Rule ID 13449 //
     /* 1844621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1844632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1844635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1844638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1844641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844667 */     // MIs[0] policy
     /* 1844667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844677 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844701 */     // GIR_Coverage, 13449,
     /* 1844701 */     GIR_EraseRootFromParent_Done,
     /* 1844702 */   // Label 24934: @1844702
     /* 1844702 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1844788), // Rule ID 13450 //
     /* 1844707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1844718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1844721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1844724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1844727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844753 */     // MIs[0] policy
     /* 1844753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844787 */     // GIR_Coverage, 13450,
     /* 1844787 */     GIR_EraseRootFromParent_Done,
     /* 1844788 */   // Label 24935: @1844788
     /* 1844788 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1844874), // Rule ID 13453 //
     /* 1844793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844839 */     // MIs[0] policy
     /* 1844839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844873 */     // GIR_Coverage, 13453,
     /* 1844873 */     GIR_EraseRootFromParent_Done,
     /* 1844874 */   // Label 24936: @1844874
     /* 1844874 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1844960), // Rule ID 13454 //
     /* 1844879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844925 */     // MIs[0] policy
     /* 1844925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844959 */     // GIR_Coverage, 13454,
     /* 1844959 */     GIR_EraseRootFromParent_Done,
     /* 1844960 */   // Label 24937: @1844960
     /* 1844960 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1845046), // Rule ID 13457 //
     /* 1844965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1844985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845011 */     // MIs[0] policy
     /* 1845011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845045 */     // GIR_Coverage, 13457,
     /* 1845045 */     GIR_EraseRootFromParent_Done,
     /* 1845046 */   // Label 24938: @1845046
     /* 1845046 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1845132), // Rule ID 13458 //
     /* 1845051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1845062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1845065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1845068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1845071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845097 */     // MIs[0] policy
     /* 1845097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845131 */     // GIR_Coverage, 13458,
     /* 1845131 */     GIR_EraseRootFromParent_Done,
     /* 1845132 */   // Label 24939: @1845132
     /* 1845132 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1845218), // Rule ID 13461 //
     /* 1845137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845183 */     // MIs[0] policy
     /* 1845183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845217 */     // GIR_Coverage, 13461,
     /* 1845217 */     GIR_EraseRootFromParent_Done,
     /* 1845218 */   // Label 24940: @1845218
     /* 1845218 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1845304), // Rule ID 13462 //
     /* 1845223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845269 */     // MIs[0] policy
     /* 1845269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845279 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845303 */     // GIR_Coverage, 13462,
     /* 1845303 */     GIR_EraseRootFromParent_Done,
     /* 1845304 */   // Label 24941: @1845304
     /* 1845304 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1845390), // Rule ID 13465 //
     /* 1845309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845355 */     // MIs[0] policy
     /* 1845355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845389 */     // GIR_Coverage, 13465,
     /* 1845389 */     GIR_EraseRootFromParent_Done,
     /* 1845390 */   // Label 24942: @1845390
     /* 1845390 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1845476), // Rule ID 13466 //
     /* 1845395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845441 */     // MIs[0] policy
     /* 1845441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845475 */     // GIR_Coverage, 13466,
     /* 1845475 */     GIR_EraseRootFromParent_Done,
     /* 1845476 */   // Label 24943: @1845476
     /* 1845476 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1845562), // Rule ID 13469 //
     /* 1845481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845527 */     // MIs[0] policy
     /* 1845527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845561 */     // GIR_Coverage, 13469,
     /* 1845561 */     GIR_EraseRootFromParent_Done,
     /* 1845562 */   // Label 24944: @1845562
     /* 1845562 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1845648), // Rule ID 13470 //
     /* 1845567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845613 */     // MIs[0] policy
     /* 1845613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845647 */     // GIR_Coverage, 13470,
     /* 1845647 */     GIR_EraseRootFromParent_Done,
     /* 1845648 */   // Label 24945: @1845648
     /* 1845648 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1845734), // Rule ID 13473 //
     /* 1845653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1845670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1845673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845699 */     // MIs[0] policy
     /* 1845699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845733 */     // GIR_Coverage, 13473,
     /* 1845733 */     GIR_EraseRootFromParent_Done,
     /* 1845734 */   // Label 24946: @1845734
     /* 1845734 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1845820), // Rule ID 13474 //
     /* 1845739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1845756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1845759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845785 */     // MIs[0] policy
     /* 1845785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845795 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845819 */     // GIR_Coverage, 13474,
     /* 1845819 */     GIR_EraseRootFromParent_Done,
     /* 1845820 */   // Label 24947: @1845820
     /* 1845820 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1845906), // Rule ID 13477 //
     /* 1845825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845871 */     // MIs[0] policy
     /* 1845871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845881 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845905 */     // GIR_Coverage, 13477,
     /* 1845905 */     GIR_EraseRootFromParent_Done,
     /* 1845906 */   // Label 24948: @1845906
     /* 1845906 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1845992), // Rule ID 13478 //
     /* 1845911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845957 */     // MIs[0] policy
     /* 1845957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845991 */     // GIR_Coverage, 13478,
     /* 1845991 */     GIR_EraseRootFromParent_Done,
     /* 1845992 */   // Label 24949: @1845992
     /* 1845992 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1846078), // Rule ID 13481 //
     /* 1845997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1846008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1846011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1846014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1846017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846043 */     // MIs[0] policy
     /* 1846043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846077 */     // GIR_Coverage, 13481,
     /* 1846077 */     GIR_EraseRootFromParent_Done,
     /* 1846078 */   // Label 24950: @1846078
     /* 1846078 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1846164), // Rule ID 13482 //
     /* 1846083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1846094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1846097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1846100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1846103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846129 */     // MIs[0] policy
     /* 1846129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846139 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846163 */     // GIR_Coverage, 13482,
     /* 1846163 */     GIR_EraseRootFromParent_Done,
     /* 1846164 */   // Label 24951: @1846164
     /* 1846164 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1846250), // Rule ID 13485 //
     /* 1846169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846215 */     // MIs[0] policy
     /* 1846215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846249 */     // GIR_Coverage, 13485,
     /* 1846249 */     GIR_EraseRootFromParent_Done,
     /* 1846250 */   // Label 24952: @1846250
     /* 1846250 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1846336), // Rule ID 13486 //
     /* 1846255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846301 */     // MIs[0] policy
     /* 1846301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846335 */     // GIR_Coverage, 13486,
     /* 1846335 */     GIR_EraseRootFromParent_Done,
     /* 1846336 */   // Label 24953: @1846336
     /* 1846336 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1846422), // Rule ID 13489 //
     /* 1846341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846387 */     // MIs[0] policy
     /* 1846387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846421 */     // GIR_Coverage, 13489,
     /* 1846421 */     GIR_EraseRootFromParent_Done,
     /* 1846422 */   // Label 24954: @1846422
     /* 1846422 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1846508), // Rule ID 13490 //
     /* 1846427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846473 */     // MIs[0] policy
     /* 1846473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846507 */     // GIR_Coverage, 13490,
     /* 1846507 */     GIR_EraseRootFromParent_Done,
     /* 1846508 */   // Label 24955: @1846508
     /* 1846508 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1846594), // Rule ID 13493 //
     /* 1846513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846559 */     // MIs[0] policy
     /* 1846559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846593 */     // GIR_Coverage, 13493,
     /* 1846593 */     GIR_EraseRootFromParent_Done,
     /* 1846594 */   // Label 24956: @1846594
     /* 1846594 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1846680), // Rule ID 13494 //
     /* 1846599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846645 */     // MIs[0] policy
     /* 1846645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846679 */     // GIR_Coverage, 13494,
     /* 1846679 */     GIR_EraseRootFromParent_Done,
     /* 1846680 */   // Label 24957: @1846680
     /* 1846680 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1846766), // Rule ID 13497 //
     /* 1846685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846731 */     // MIs[0] policy
     /* 1846731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1846744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846765 */     // GIR_Coverage, 13497,
     /* 1846765 */     GIR_EraseRootFromParent_Done,
     /* 1846766 */   // Label 24958: @1846766
     /* 1846766 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1846852), // Rule ID 13498 //
     /* 1846771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846817 */     // MIs[0] policy
     /* 1846817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1846830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846851 */     // GIR_Coverage, 13498,
     /* 1846851 */     GIR_EraseRootFromParent_Done,
     /* 1846852 */   // Label 24959: @1846852
     /* 1846852 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1846938), // Rule ID 13501 //
     /* 1846857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846903 */     // MIs[0] policy
     /* 1846903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846913 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1846916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846937 */     // GIR_Coverage, 13501,
     /* 1846937 */     GIR_EraseRootFromParent_Done,
     /* 1846938 */   // Label 24960: @1846938
     /* 1846938 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1847024), // Rule ID 13502 //
     /* 1846943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846989 */     // MIs[0] policy
     /* 1846989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847023 */     // GIR_Coverage, 13502,
     /* 1847023 */     GIR_EraseRootFromParent_Done,
     /* 1847024 */   // Label 24961: @1847024
     /* 1847024 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1847110), // Rule ID 13505 //
     /* 1847029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847075 */     // MIs[0] policy
     /* 1847075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847109 */     // GIR_Coverage, 13505,
     /* 1847109 */     GIR_EraseRootFromParent_Done,
     /* 1847110 */   // Label 24962: @1847110
     /* 1847110 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1847196), // Rule ID 13506 //
     /* 1847115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847161 */     // MIs[0] policy
     /* 1847161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847195 */     // GIR_Coverage, 13506,
     /* 1847195 */     GIR_EraseRootFromParent_Done,
     /* 1847196 */   // Label 24963: @1847196
     /* 1847196 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1847282), // Rule ID 13509 //
     /* 1847201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847247 */     // MIs[0] policy
     /* 1847247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847281 */     // GIR_Coverage, 13509,
     /* 1847281 */     GIR_EraseRootFromParent_Done,
     /* 1847282 */   // Label 24964: @1847282
     /* 1847282 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1847368), // Rule ID 13510 //
     /* 1847287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847333 */     // MIs[0] policy
     /* 1847333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847367 */     // GIR_Coverage, 13510,
     /* 1847367 */     GIR_EraseRootFromParent_Done,
     /* 1847368 */   // Label 24965: @1847368
     /* 1847368 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1847454), // Rule ID 13513 //
     /* 1847373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847419 */     // MIs[0] policy
     /* 1847419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847429 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847453 */     // GIR_Coverage, 13513,
     /* 1847453 */     GIR_EraseRootFromParent_Done,
     /* 1847454 */   // Label 24966: @1847454
     /* 1847454 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1847540), // Rule ID 13514 //
     /* 1847459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847505 */     // MIs[0] policy
     /* 1847505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847539 */     // GIR_Coverage, 13514,
     /* 1847539 */     GIR_EraseRootFromParent_Done,
     /* 1847540 */   // Label 24967: @1847540
     /* 1847540 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1847626), // Rule ID 13517 //
     /* 1847545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847591 */     // MIs[0] policy
     /* 1847591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847625 */     // GIR_Coverage, 13517,
     /* 1847625 */     GIR_EraseRootFromParent_Done,
     /* 1847626 */   // Label 24968: @1847626
     /* 1847626 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1847712), // Rule ID 13518 //
     /* 1847631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847677 */     // MIs[0] policy
     /* 1847677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847711 */     // GIR_Coverage, 13518,
     /* 1847711 */     GIR_EraseRootFromParent_Done,
     /* 1847712 */   // Label 24969: @1847712
     /* 1847712 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1847798), // Rule ID 13521 //
     /* 1847717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847763 */     // MIs[0] policy
     /* 1847763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847797 */     // GIR_Coverage, 13521,
     /* 1847797 */     GIR_EraseRootFromParent_Done,
     /* 1847798 */   // Label 24970: @1847798
     /* 1847798 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1847884), // Rule ID 13522 //
     /* 1847803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847849 */     // MIs[0] policy
     /* 1847849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847883 */     // GIR_Coverage, 13522,
     /* 1847883 */     GIR_EraseRootFromParent_Done,
     /* 1847884 */   // Label 24971: @1847884
     /* 1847884 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1847970), // Rule ID 13525 //
     /* 1847889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847935 */     // MIs[0] policy
     /* 1847935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847945 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847969 */     // GIR_Coverage, 13525,
     /* 1847969 */     GIR_EraseRootFromParent_Done,
     /* 1847970 */   // Label 24972: @1847970
     /* 1847970 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1848056), // Rule ID 13526 //
     /* 1847975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848021 */     // MIs[0] policy
     /* 1848021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848055 */     // GIR_Coverage, 13526,
     /* 1848055 */     GIR_EraseRootFromParent_Done,
     /* 1848056 */   // Label 24973: @1848056
     /* 1848056 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1848142), // Rule ID 13529 //
     /* 1848061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848107 */     // MIs[0] policy
     /* 1848107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848141 */     // GIR_Coverage, 13529,
     /* 1848141 */     GIR_EraseRootFromParent_Done,
     /* 1848142 */   // Label 24974: @1848142
     /* 1848142 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1848228), // Rule ID 13530 //
     /* 1848147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848193 */     // MIs[0] policy
     /* 1848193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848227 */     // GIR_Coverage, 13530,
     /* 1848227 */     GIR_EraseRootFromParent_Done,
     /* 1848228 */   // Label 24975: @1848228
     /* 1848228 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1848314), // Rule ID 13533 //
     /* 1848233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848279 */     // MIs[0] policy
     /* 1848279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848313 */     // GIR_Coverage, 13533,
     /* 1848313 */     GIR_EraseRootFromParent_Done,
     /* 1848314 */   // Label 24976: @1848314
     /* 1848314 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1848400), // Rule ID 13534 //
     /* 1848319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848365 */     // MIs[0] policy
     /* 1848365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848399 */     // GIR_Coverage, 13534,
     /* 1848399 */     GIR_EraseRootFromParent_Done,
     /* 1848400 */   // Label 24977: @1848400
     /* 1848400 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1848486), // Rule ID 13537 //
     /* 1848405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848451 */     // MIs[0] policy
     /* 1848451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848485 */     // GIR_Coverage, 13537,
     /* 1848485 */     GIR_EraseRootFromParent_Done,
     /* 1848486 */   // Label 24978: @1848486
     /* 1848486 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1848572), // Rule ID 13538 //
     /* 1848491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848537 */     // MIs[0] policy
     /* 1848537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848571 */     // GIR_Coverage, 13538,
     /* 1848571 */     GIR_EraseRootFromParent_Done,
     /* 1848572 */   // Label 24979: @1848572
     /* 1848572 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1848658), // Rule ID 13541 //
     /* 1848577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848623 */     // MIs[0] policy
     /* 1848623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848657 */     // GIR_Coverage, 13541,
     /* 1848657 */     GIR_EraseRootFromParent_Done,
     /* 1848658 */   // Label 24980: @1848658
     /* 1848658 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1848744), // Rule ID 13542 //
     /* 1848663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848709 */     // MIs[0] policy
     /* 1848709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848719 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848743 */     // GIR_Coverage, 13542,
     /* 1848743 */     GIR_EraseRootFromParent_Done,
     /* 1848744 */   // Label 24981: @1848744
     /* 1848744 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1848830), // Rule ID 13545 //
     /* 1848749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1848766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848795 */     // MIs[0] policy
     /* 1848795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848805 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1848808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848829 */     // GIR_Coverage, 13545,
     /* 1848829 */     GIR_EraseRootFromParent_Done,
     /* 1848830 */   // Label 24982: @1848830
     /* 1848830 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1848916), // Rule ID 13546 //
     /* 1848835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1848852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848881 */     // MIs[0] policy
     /* 1848881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1848894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848915 */     // GIR_Coverage, 13546,
     /* 1848915 */     GIR_EraseRootFromParent_Done,
     /* 1848916 */   // Label 24983: @1848916
     /* 1848916 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1849002), // Rule ID 13549 //
     /* 1848921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1848938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848967 */     // MIs[0] policy
     /* 1848967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1848980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849001 */     // GIR_Coverage, 13549,
     /* 1849001 */     GIR_EraseRootFromParent_Done,
     /* 1849002 */   // Label 24984: @1849002
     /* 1849002 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1849088), // Rule ID 13550 //
     /* 1849007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1849027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849053 */     // MIs[0] policy
     /* 1849053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849063 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849087 */     // GIR_Coverage, 13550,
     /* 1849087 */     GIR_EraseRootFromParent_Done,
     /* 1849088 */   // Label 24985: @1849088
     /* 1849088 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1849174), // Rule ID 13553 //
     /* 1849093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849139 */     // MIs[0] policy
     /* 1849139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849173 */     // GIR_Coverage, 13553,
     /* 1849173 */     GIR_EraseRootFromParent_Done,
     /* 1849174 */   // Label 24986: @1849174
     /* 1849174 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1849260), // Rule ID 13554 //
     /* 1849179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849225 */     // MIs[0] policy
     /* 1849225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849259 */     // GIR_Coverage, 13554,
     /* 1849259 */     GIR_EraseRootFromParent_Done,
     /* 1849260 */   // Label 24987: @1849260
     /* 1849260 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1849346), // Rule ID 13557 //
     /* 1849265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849311 */     // MIs[0] policy
     /* 1849311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849345 */     // GIR_Coverage, 13557,
     /* 1849345 */     GIR_EraseRootFromParent_Done,
     /* 1849346 */   // Label 24988: @1849346
     /* 1849346 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1849432), // Rule ID 13558 //
     /* 1849351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849397 */     // MIs[0] policy
     /* 1849397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849431 */     // GIR_Coverage, 13558,
     /* 1849431 */     GIR_EraseRootFromParent_Done,
     /* 1849432 */   // Label 24989: @1849432
     /* 1849432 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1849518), // Rule ID 13561 //
     /* 1849437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849483 */     // MIs[0] policy
     /* 1849483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849517 */     // GIR_Coverage, 13561,
     /* 1849517 */     GIR_EraseRootFromParent_Done,
     /* 1849518 */   // Label 24990: @1849518
     /* 1849518 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1849604), // Rule ID 13562 //
     /* 1849523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849569 */     // MIs[0] policy
     /* 1849569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849579 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849603 */     // GIR_Coverage, 13562,
     /* 1849603 */     GIR_EraseRootFromParent_Done,
     /* 1849604 */   // Label 24991: @1849604
     /* 1849604 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1849690), // Rule ID 13565 //
     /* 1849609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1849626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849655 */     // MIs[0] policy
     /* 1849655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849665 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1849668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849689 */     // GIR_Coverage, 13565,
     /* 1849689 */     GIR_EraseRootFromParent_Done,
     /* 1849690 */   // Label 24992: @1849690
     /* 1849690 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1849776), // Rule ID 13566 //
     /* 1849695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1849712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849741 */     // MIs[0] policy
     /* 1849741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1849754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849775 */     // GIR_Coverage, 13566,
     /* 1849775 */     GIR_EraseRootFromParent_Done,
     /* 1849776 */   // Label 24993: @1849776
     /* 1849776 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1849862), // Rule ID 13569 //
     /* 1849781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849827 */     // MIs[0] policy
     /* 1849827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849861 */     // GIR_Coverage, 13569,
     /* 1849861 */     GIR_EraseRootFromParent_Done,
     /* 1849862 */   // Label 24994: @1849862
     /* 1849862 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1849948), // Rule ID 13570 //
     /* 1849867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849913 */     // MIs[0] policy
     /* 1849913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849947 */     // GIR_Coverage, 13570,
     /* 1849947 */     GIR_EraseRootFromParent_Done,
     /* 1849948 */   // Label 24995: @1849948
     /* 1849948 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1850034), // Rule ID 13573 //
     /* 1849953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1849970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849999 */     // MIs[0] policy
     /* 1849999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850033 */     // GIR_Coverage, 13573,
     /* 1850033 */     GIR_EraseRootFromParent_Done,
     /* 1850034 */   // Label 24996: @1850034
     /* 1850034 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1850120), // Rule ID 13574 //
     /* 1850039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1850056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850085 */     // MIs[0] policy
     /* 1850085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850119 */     // GIR_Coverage, 13574,
     /* 1850119 */     GIR_EraseRootFromParent_Done,
     /* 1850120 */   // Label 24997: @1850120
     /* 1850120 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1850206), // Rule ID 13577 //
     /* 1850125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850171 */     // MIs[0] policy
     /* 1850171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850181 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850205 */     // GIR_Coverage, 13577,
     /* 1850205 */     GIR_EraseRootFromParent_Done,
     /* 1850206 */   // Label 24998: @1850206
     /* 1850206 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1850292), // Rule ID 13578 //
     /* 1850211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850257 */     // MIs[0] policy
     /* 1850257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850291 */     // GIR_Coverage, 13578,
     /* 1850291 */     GIR_EraseRootFromParent_Done,
     /* 1850292 */   // Label 24999: @1850292
     /* 1850292 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1850378), // Rule ID 13581 //
     /* 1850297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850343 */     // MIs[0] policy
     /* 1850343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850377 */     // GIR_Coverage, 13581,
     /* 1850377 */     GIR_EraseRootFromParent_Done,
     /* 1850378 */   // Label 25000: @1850378
     /* 1850378 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1850464), // Rule ID 13582 //
     /* 1850383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850429 */     // MIs[0] policy
     /* 1850429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850463 */     // GIR_Coverage, 13582,
     /* 1850463 */     GIR_EraseRootFromParent_Done,
     /* 1850464 */   // Label 25001: @1850464
     /* 1850464 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1850550), // Rule ID 13585 //
     /* 1850469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850515 */     // MIs[0] policy
     /* 1850515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850525 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850549 */     // GIR_Coverage, 13585,
     /* 1850549 */     GIR_EraseRootFromParent_Done,
     /* 1850550 */   // Label 25002: @1850550
     /* 1850550 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1850636), // Rule ID 13586 //
     /* 1850555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850601 */     // MIs[0] policy
     /* 1850601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850635 */     // GIR_Coverage, 13586,
     /* 1850635 */     GIR_EraseRootFromParent_Done,
     /* 1850636 */   // Label 25003: @1850636
     /* 1850636 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1850722), // Rule ID 13589 //
     /* 1850641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1850658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850687 */     // MIs[0] policy
     /* 1850687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850721 */     // GIR_Coverage, 13589,
     /* 1850721 */     GIR_EraseRootFromParent_Done,
     /* 1850722 */   // Label 25004: @1850722
     /* 1850722 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1850808), // Rule ID 13590 //
     /* 1850727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1850744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850773 */     // MIs[0] policy
     /* 1850773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850807 */     // GIR_Coverage, 13590,
     /* 1850807 */     GIR_EraseRootFromParent_Done,
     /* 1850808 */   // Label 25005: @1850808
     /* 1850808 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1850894), // Rule ID 13593 //
     /* 1850813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850859 */     // MIs[0] policy
     /* 1850859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850893 */     // GIR_Coverage, 13593,
     /* 1850893 */     GIR_EraseRootFromParent_Done,
     /* 1850894 */   // Label 25006: @1850894
     /* 1850894 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1850980), // Rule ID 13594 //
     /* 1850899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850945 */     // MIs[0] policy
     /* 1850945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850979 */     // GIR_Coverage, 13594,
     /* 1850979 */     GIR_EraseRootFromParent_Done,
     /* 1850980 */   // Label 25007: @1850980
     /* 1850980 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1851066), // Rule ID 13597 //
     /* 1850985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851031 */     // MIs[0] policy
     /* 1851031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1851044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851065 */     // GIR_Coverage, 13597,
     /* 1851065 */     GIR_EraseRootFromParent_Done,
     /* 1851066 */   // Label 25008: @1851066
     /* 1851066 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1851152), // Rule ID 13598 //
     /* 1851071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1851082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1851085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851117 */     // MIs[0] policy
     /* 1851117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1851130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851151 */     // GIR_Coverage, 13598,
     /* 1851151 */     GIR_EraseRootFromParent_Done,
     /* 1851152 */   // Label 25009: @1851152
     /* 1851152 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1851238), // Rule ID 13601 //
     /* 1851157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851203 */     // MIs[0] policy
     /* 1851203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851237 */     // GIR_Coverage, 13601,
     /* 1851237 */     GIR_EraseRootFromParent_Done,
     /* 1851238 */   // Label 25010: @1851238
     /* 1851238 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1851324), // Rule ID 13602 //
     /* 1851243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851289 */     // MIs[0] policy
     /* 1851289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851323 */     // GIR_Coverage, 13602,
     /* 1851323 */     GIR_EraseRootFromParent_Done,
     /* 1851324 */   // Label 25011: @1851324
     /* 1851324 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1851410), // Rule ID 13605 //
     /* 1851329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851375 */     // MIs[0] policy
     /* 1851375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851385 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851409 */     // GIR_Coverage, 13605,
     /* 1851409 */     GIR_EraseRootFromParent_Done,
     /* 1851410 */   // Label 25012: @1851410
     /* 1851410 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1851496), // Rule ID 13606 //
     /* 1851415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851461 */     // MIs[0] policy
     /* 1851461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851471 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851495 */     // GIR_Coverage, 13606,
     /* 1851495 */     GIR_EraseRootFromParent_Done,
     /* 1851496 */   // Label 25013: @1851496
     /* 1851496 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1851582), // Rule ID 13609 //
     /* 1851501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851547 */     // MIs[0] policy
     /* 1851547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851557 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851581 */     // GIR_Coverage, 13609,
     /* 1851581 */     GIR_EraseRootFromParent_Done,
     /* 1851582 */   // Label 25014: @1851582
     /* 1851582 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1851668), // Rule ID 13610 //
     /* 1851587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851633 */     // MIs[0] policy
     /* 1851633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851667 */     // GIR_Coverage, 13610,
     /* 1851667 */     GIR_EraseRootFromParent_Done,
     /* 1851668 */   // Label 25015: @1851668
     /* 1851668 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1851754), // Rule ID 13613 //
     /* 1851673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851719 */     // MIs[0] policy
     /* 1851719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1851732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851753 */     // GIR_Coverage, 13613,
     /* 1851753 */     GIR_EraseRootFromParent_Done,
     /* 1851754 */   // Label 25016: @1851754
     /* 1851754 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1851840), // Rule ID 13614 //
     /* 1851759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851805 */     // MIs[0] policy
     /* 1851805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1851818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851839 */     // GIR_Coverage, 13614,
     /* 1851839 */     GIR_EraseRootFromParent_Done,
     /* 1851840 */   // Label 25017: @1851840
     /* 1851840 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1851926), // Rule ID 13617 //
     /* 1851845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851891 */     // MIs[0] policy
     /* 1851891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1851904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851925 */     // GIR_Coverage, 13617,
     /* 1851925 */     GIR_EraseRootFromParent_Done,
     /* 1851926 */   // Label 25018: @1851926
     /* 1851926 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1852012), // Rule ID 13618 //
     /* 1851931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851977 */     // MIs[0] policy
     /* 1851977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1851990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852011 */     // GIR_Coverage, 13618,
     /* 1852011 */     GIR_EraseRootFromParent_Done,
     /* 1852012 */   // Label 25019: @1852012
     /* 1852012 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1852098), // Rule ID 13621 //
     /* 1852017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852063 */     // MIs[0] policy
     /* 1852063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852073 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852097 */     // GIR_Coverage, 13621,
     /* 1852097 */     GIR_EraseRootFromParent_Done,
     /* 1852098 */   // Label 25020: @1852098
     /* 1852098 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1852184), // Rule ID 13622 //
     /* 1852103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852149 */     // MIs[0] policy
     /* 1852149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852159 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852183 */     // GIR_Coverage, 13622,
     /* 1852183 */     GIR_EraseRootFromParent_Done,
     /* 1852184 */   // Label 25021: @1852184
     /* 1852184 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1852270), // Rule ID 13625 //
     /* 1852189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852235 */     // MIs[0] policy
     /* 1852235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852245 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852269 */     // GIR_Coverage, 13625,
     /* 1852269 */     GIR_EraseRootFromParent_Done,
     /* 1852270 */   // Label 25022: @1852270
     /* 1852270 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1852356), // Rule ID 13626 //
     /* 1852275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852321 */     // MIs[0] policy
     /* 1852321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852355 */     // GIR_Coverage, 13626,
     /* 1852355 */     GIR_EraseRootFromParent_Done,
     /* 1852356 */   // Label 25023: @1852356
     /* 1852356 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1852442), // Rule ID 13629 //
     /* 1852361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852407 */     // MIs[0] policy
     /* 1852407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852441 */     // GIR_Coverage, 13629,
     /* 1852441 */     GIR_EraseRootFromParent_Done,
     /* 1852442 */   // Label 25024: @1852442
     /* 1852442 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1852528), // Rule ID 13630 //
     /* 1852447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852493 */     // MIs[0] policy
     /* 1852493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852527 */     // GIR_Coverage, 13630,
     /* 1852527 */     GIR_EraseRootFromParent_Done,
     /* 1852528 */   // Label 25025: @1852528
     /* 1852528 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1852614), // Rule ID 13633 //
     /* 1852533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852579 */     // MIs[0] policy
     /* 1852579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852613 */     // GIR_Coverage, 13633,
     /* 1852613 */     GIR_EraseRootFromParent_Done,
     /* 1852614 */   // Label 25026: @1852614
     /* 1852614 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1852700), // Rule ID 13634 //
     /* 1852619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852665 */     // MIs[0] policy
     /* 1852665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852699 */     // GIR_Coverage, 13634,
     /* 1852699 */     GIR_EraseRootFromParent_Done,
     /* 1852700 */   // Label 25027: @1852700
     /* 1852700 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1852786), // Rule ID 13637 //
     /* 1852705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852751 */     // MIs[0] policy
     /* 1852751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852761 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852785 */     // GIR_Coverage, 13637,
     /* 1852785 */     GIR_EraseRootFromParent_Done,
     /* 1852786 */   // Label 25028: @1852786
     /* 1852786 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1852872), // Rule ID 13638 //
     /* 1852791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852837 */     // MIs[0] policy
     /* 1852837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852871 */     // GIR_Coverage, 13638,
     /* 1852871 */     GIR_EraseRootFromParent_Done,
     /* 1852872 */   // Label 25029: @1852872
     /* 1852872 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1852958), // Rule ID 13641 //
     /* 1852877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852923 */     // MIs[0] policy
     /* 1852923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852957 */     // GIR_Coverage, 13641,
     /* 1852957 */     GIR_EraseRootFromParent_Done,
     /* 1852958 */   // Label 25030: @1852958
     /* 1852958 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1853044), // Rule ID 13642 //
     /* 1852963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853009 */     // MIs[0] policy
     /* 1853009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853043 */     // GIR_Coverage, 13642,
     /* 1853043 */     GIR_EraseRootFromParent_Done,
     /* 1853044 */   // Label 25031: @1853044
     /* 1853044 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1853130), // Rule ID 13645 //
     /* 1853049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853095 */     // MIs[0] policy
     /* 1853095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853129 */     // GIR_Coverage, 13645,
     /* 1853129 */     GIR_EraseRootFromParent_Done,
     /* 1853130 */   // Label 25032: @1853130
     /* 1853130 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1853216), // Rule ID 13646 //
     /* 1853135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853181 */     // MIs[0] policy
     /* 1853181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853215 */     // GIR_Coverage, 13646,
     /* 1853215 */     GIR_EraseRootFromParent_Done,
     /* 1853216 */   // Label 25033: @1853216
     /* 1853216 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1853302), // Rule ID 13649 //
     /* 1853221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853267 */     // MIs[0] policy
     /* 1853267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853301 */     // GIR_Coverage, 13649,
     /* 1853301 */     GIR_EraseRootFromParent_Done,
     /* 1853302 */   // Label 25034: @1853302
     /* 1853302 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1853388), // Rule ID 13650 //
     /* 1853307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853353 */     // MIs[0] policy
     /* 1853353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853387 */     // GIR_Coverage, 13650,
     /* 1853387 */     GIR_EraseRootFromParent_Done,
     /* 1853388 */   // Label 25035: @1853388
     /* 1853388 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1853474), // Rule ID 13653 //
     /* 1853393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853439 */     // MIs[0] policy
     /* 1853439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853473 */     // GIR_Coverage, 13653,
     /* 1853473 */     GIR_EraseRootFromParent_Done,
     /* 1853474 */   // Label 25036: @1853474
     /* 1853474 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1853560), // Rule ID 13654 //
     /* 1853479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853525 */     // MIs[0] policy
     /* 1853525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853535 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853559 */     // GIR_Coverage, 13654,
     /* 1853559 */     GIR_EraseRootFromParent_Done,
     /* 1853560 */   // Label 25037: @1853560
     /* 1853560 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1853646), // Rule ID 13657 //
     /* 1853565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853611 */     // MIs[0] policy
     /* 1853611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853621 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853645 */     // GIR_Coverage, 13657,
     /* 1853645 */     GIR_EraseRootFromParent_Done,
     /* 1853646 */   // Label 25038: @1853646
     /* 1853646 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1853732), // Rule ID 13658 //
     /* 1853651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853697 */     // MIs[0] policy
     /* 1853697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853731 */     // GIR_Coverage, 13658,
     /* 1853731 */     GIR_EraseRootFromParent_Done,
     /* 1853732 */   // Label 25039: @1853732
     /* 1853732 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1853818), // Rule ID 13661 //
     /* 1853737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853783 */     // MIs[0] policy
     /* 1853783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853793 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853817 */     // GIR_Coverage, 13661,
     /* 1853817 */     GIR_EraseRootFromParent_Done,
     /* 1853818 */   // Label 25040: @1853818
     /* 1853818 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1853904), // Rule ID 13662 //
     /* 1853823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853869 */     // MIs[0] policy
     /* 1853869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853879 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853903 */     // GIR_Coverage, 13662,
     /* 1853903 */     GIR_EraseRootFromParent_Done,
     /* 1853904 */   // Label 25041: @1853904
     /* 1853904 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1853990), // Rule ID 13665 //
     /* 1853909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1853920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1853923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1853929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853955 */     // MIs[0] policy
     /* 1853955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1853968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853989 */     // GIR_Coverage, 13665,
     /* 1853989 */     GIR_EraseRootFromParent_Done,
     /* 1853990 */   // Label 25042: @1853990
     /* 1853990 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1854076), // Rule ID 13666 //
     /* 1853995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1854009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854041 */     // MIs[0] policy
     /* 1854041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854051 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1854054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854075 */     // GIR_Coverage, 13666,
     /* 1854075 */     GIR_EraseRootFromParent_Done,
     /* 1854076 */   // Label 25043: @1854076
     /* 1854076 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1854162), // Rule ID 13669 //
     /* 1854081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854127 */     // MIs[0] policy
     /* 1854127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854137 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854161 */     // GIR_Coverage, 13669,
     /* 1854161 */     GIR_EraseRootFromParent_Done,
     /* 1854162 */   // Label 25044: @1854162
     /* 1854162 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1854248), // Rule ID 13670 //
     /* 1854167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854213 */     // MIs[0] policy
     /* 1854213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854223 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854247 */     // GIR_Coverage, 13670,
     /* 1854247 */     GIR_EraseRootFromParent_Done,
     /* 1854248 */   // Label 25045: @1854248
     /* 1854248 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1854334), // Rule ID 13673 //
     /* 1854253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854299 */     // MIs[0] policy
     /* 1854299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854333 */     // GIR_Coverage, 13673,
     /* 1854333 */     GIR_EraseRootFromParent_Done,
     /* 1854334 */   // Label 25046: @1854334
     /* 1854334 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1854420), // Rule ID 13674 //
     /* 1854339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854385 */     // MIs[0] policy
     /* 1854385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854395 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854419 */     // GIR_Coverage, 13674,
     /* 1854419 */     GIR_EraseRootFromParent_Done,
     /* 1854420 */   // Label 25047: @1854420
     /* 1854420 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1854506), // Rule ID 13677 //
     /* 1854425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854471 */     // MIs[0] policy
     /* 1854471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854505 */     // GIR_Coverage, 13677,
     /* 1854505 */     GIR_EraseRootFromParent_Done,
     /* 1854506 */   // Label 25048: @1854506
     /* 1854506 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1854592), // Rule ID 13678 //
     /* 1854511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854557 */     // MIs[0] policy
     /* 1854557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854591 */     // GIR_Coverage, 13678,
     /* 1854591 */     GIR_EraseRootFromParent_Done,
     /* 1854592 */   // Label 25049: @1854592
     /* 1854592 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1854678), // Rule ID 13681 //
     /* 1854597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854643 */     // MIs[0] policy
     /* 1854643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854653 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1854656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854677 */     // GIR_Coverage, 13681,
     /* 1854677 */     GIR_EraseRootFromParent_Done,
     /* 1854678 */   // Label 25050: @1854678
     /* 1854678 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1854764), // Rule ID 13682 //
     /* 1854683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854729 */     // MIs[0] policy
     /* 1854729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1854742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854763 */     // GIR_Coverage, 13682,
     /* 1854763 */     GIR_EraseRootFromParent_Done,
     /* 1854764 */   // Label 25051: @1854764
     /* 1854764 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1854850), // Rule ID 13685 //
     /* 1854769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854815 */     // MIs[0] policy
     /* 1854815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854825 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1854828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854849 */     // GIR_Coverage, 13685,
     /* 1854849 */     GIR_EraseRootFromParent_Done,
     /* 1854850 */   // Label 25052: @1854850
     /* 1854850 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1854936), // Rule ID 13686 //
     /* 1854855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854901 */     // MIs[0] policy
     /* 1854901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854911 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1854914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854935 */     // GIR_Coverage, 13686,
     /* 1854935 */     GIR_EraseRootFromParent_Done,
     /* 1854936 */   // Label 25053: @1854936
     /* 1854936 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1855022), // Rule ID 13689 //
     /* 1854941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1854961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854987 */     // MIs[0] policy
     /* 1854987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1855000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855021 */     // GIR_Coverage, 13689,
     /* 1855021 */     GIR_EraseRootFromParent_Done,
     /* 1855022 */   // Label 25054: @1855022
     /* 1855022 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1855108), // Rule ID 13690 //
     /* 1855027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855073 */     // MIs[0] policy
     /* 1855073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1855086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855107 */     // GIR_Coverage, 13690,
     /* 1855107 */     GIR_EraseRootFromParent_Done,
     /* 1855108 */   // Label 25055: @1855108
     /* 1855108 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1855194), // Rule ID 13693 //
     /* 1855113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855159 */     // MIs[0] policy
     /* 1855159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855169 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855193 */     // GIR_Coverage, 13693,
     /* 1855193 */     GIR_EraseRootFromParent_Done,
     /* 1855194 */   // Label 25056: @1855194
     /* 1855194 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1855280), // Rule ID 13694 //
     /* 1855199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855245 */     // MIs[0] policy
     /* 1855245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855279 */     // GIR_Coverage, 13694,
     /* 1855279 */     GIR_EraseRootFromParent_Done,
     /* 1855280 */   // Label 25057: @1855280
     /* 1855280 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1855366), // Rule ID 13697 //
     /* 1855285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855331 */     // MIs[0] policy
     /* 1855331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855365 */     // GIR_Coverage, 13697,
     /* 1855365 */     GIR_EraseRootFromParent_Done,
     /* 1855366 */   // Label 25058: @1855366
     /* 1855366 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1855452), // Rule ID 13698 //
     /* 1855371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855417 */     // MIs[0] policy
     /* 1855417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855451 */     // GIR_Coverage, 13698,
     /* 1855451 */     GIR_EraseRootFromParent_Done,
     /* 1855452 */   // Label 25059: @1855452
     /* 1855452 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1855538), // Rule ID 13701 //
     /* 1855457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855503 */     // MIs[0] policy
     /* 1855503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855537 */     // GIR_Coverage, 13701,
     /* 1855537 */     GIR_EraseRootFromParent_Done,
     /* 1855538 */   // Label 25060: @1855538
     /* 1855538 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1855624), // Rule ID 13702 //
     /* 1855543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855589 */     // MIs[0] policy
     /* 1855589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855623 */     // GIR_Coverage, 13702,
     /* 1855623 */     GIR_EraseRootFromParent_Done,
     /* 1855624 */   // Label 25061: @1855624
     /* 1855624 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1855710), // Rule ID 13705 //
     /* 1855629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855675 */     // MIs[0] policy
     /* 1855675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855709 */     // GIR_Coverage, 13705,
     /* 1855709 */     GIR_EraseRootFromParent_Done,
     /* 1855710 */   // Label 25062: @1855710
     /* 1855710 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1855796), // Rule ID 13706 //
     /* 1855715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855761 */     // MIs[0] policy
     /* 1855761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855795 */     // GIR_Coverage, 13706,
     /* 1855795 */     GIR_EraseRootFromParent_Done,
     /* 1855796 */   // Label 25063: @1855796
     /* 1855796 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1855882), // Rule ID 13709 //
     /* 1855801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855847 */     // MIs[0] policy
     /* 1855847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855881 */     // GIR_Coverage, 13709,
     /* 1855881 */     GIR_EraseRootFromParent_Done,
     /* 1855882 */   // Label 25064: @1855882
     /* 1855882 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1855968), // Rule ID 13710 //
     /* 1855887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855933 */     // MIs[0] policy
     /* 1855933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855967 */     // GIR_Coverage, 13710,
     /* 1855967 */     GIR_EraseRootFromParent_Done,
     /* 1855968 */   // Label 25065: @1855968
     /* 1855968 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1856054), // Rule ID 13713 //
     /* 1855973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1855993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856019 */     // MIs[0] policy
     /* 1856019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1856032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856053 */     // GIR_Coverage, 13713,
     /* 1856053 */     GIR_EraseRootFromParent_Done,
     /* 1856054 */   // Label 25066: @1856054
     /* 1856054 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1856140), // Rule ID 13714 //
     /* 1856059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1856070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1856073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856105 */     // MIs[0] policy
     /* 1856105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856115 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1856118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856139 */     // GIR_Coverage, 13714,
     /* 1856139 */     GIR_EraseRootFromParent_Done,
     /* 1856140 */   // Label 25067: @1856140
     /* 1856140 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1856226), // Rule ID 13717 //
     /* 1856145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856191 */     // MIs[0] policy
     /* 1856191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856201 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856225 */     // GIR_Coverage, 13717,
     /* 1856225 */     GIR_EraseRootFromParent_Done,
     /* 1856226 */   // Label 25068: @1856226
     /* 1856226 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1856312), // Rule ID 13718 //
     /* 1856231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856277 */     // MIs[0] policy
     /* 1856277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856287 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856311 */     // GIR_Coverage, 13718,
     /* 1856311 */     GIR_EraseRootFromParent_Done,
     /* 1856312 */   // Label 25069: @1856312
     /* 1856312 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1856398), // Rule ID 13721 //
     /* 1856317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856363 */     // MIs[0] policy
     /* 1856363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856373 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856397 */     // GIR_Coverage, 13721,
     /* 1856397 */     GIR_EraseRootFromParent_Done,
     /* 1856398 */   // Label 25070: @1856398
     /* 1856398 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1856484), // Rule ID 13722 //
     /* 1856403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856449 */     // MIs[0] policy
     /* 1856449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856459 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856483 */     // GIR_Coverage, 13722,
     /* 1856483 */     GIR_EraseRootFromParent_Done,
     /* 1856484 */   // Label 25071: @1856484
     /* 1856484 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1856573), // Rule ID 13931 //
     /* 1856489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856535 */     // MIs[0] policy
     /* 1856535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856545 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1856548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856572 */     // GIR_Coverage, 13931,
     /* 1856572 */     GIR_EraseRootFromParent_Done,
     /* 1856573 */   // Label 25072: @1856573
     /* 1856573 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1856662), // Rule ID 13932 //
     /* 1856578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856624 */     // MIs[0] policy
     /* 1856624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1856637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856661 */     // GIR_Coverage, 13932,
     /* 1856661 */     GIR_EraseRootFromParent_Done,
     /* 1856662 */   // Label 25073: @1856662
     /* 1856662 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1856751), // Rule ID 13935 //
     /* 1856667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1856678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1856681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1856684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856713 */     // MIs[0] policy
     /* 1856713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856723 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1856726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856750 */     // GIR_Coverage, 13935,
     /* 1856750 */     GIR_EraseRootFromParent_Done,
     /* 1856751 */   // Label 25074: @1856751
     /* 1856751 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1856840), // Rule ID 13936 //
     /* 1856756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1856767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1856770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1856773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856802 */     // MIs[0] policy
     /* 1856802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1856815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856839 */     // GIR_Coverage, 13936,
     /* 1856839 */     GIR_EraseRootFromParent_Done,
     /* 1856840 */   // Label 25075: @1856840
     /* 1856840 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1856929), // Rule ID 13939 //
     /* 1856845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1856856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1856859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1856862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856891 */     // MIs[0] policy
     /* 1856891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856901 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856928 */     // GIR_Coverage, 13939,
     /* 1856928 */     GIR_EraseRootFromParent_Done,
     /* 1856929 */   // Label 25076: @1856929
     /* 1856929 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1857018), // Rule ID 13940 //
     /* 1856934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1856945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1856948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1856951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856980 */     // MIs[0] policy
     /* 1856980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856990 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857017 */     // GIR_Coverage, 13940,
     /* 1857017 */     GIR_EraseRootFromParent_Done,
     /* 1857018 */   // Label 25077: @1857018
     /* 1857018 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1857107), // Rule ID 13943 //
     /* 1857023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857069 */     // MIs[0] policy
     /* 1857069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857106 */     // GIR_Coverage, 13943,
     /* 1857106 */     GIR_EraseRootFromParent_Done,
     /* 1857107 */   // Label 25078: @1857107
     /* 1857107 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1857196), // Rule ID 13944 //
     /* 1857112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857158 */     // MIs[0] policy
     /* 1857158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857195 */     // GIR_Coverage, 13944,
     /* 1857195 */     GIR_EraseRootFromParent_Done,
     /* 1857196 */   // Label 25079: @1857196
     /* 1857196 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1857285), // Rule ID 13947 //
     /* 1857201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857247 */     // MIs[0] policy
     /* 1857247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857257 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857284 */     // GIR_Coverage, 13947,
     /* 1857284 */     GIR_EraseRootFromParent_Done,
     /* 1857285 */   // Label 25080: @1857285
     /* 1857285 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1857374), // Rule ID 13948 //
     /* 1857290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857336 */     // MIs[0] policy
     /* 1857336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857373 */     // GIR_Coverage, 13948,
     /* 1857373 */     GIR_EraseRootFromParent_Done,
     /* 1857374 */   // Label 25081: @1857374
     /* 1857374 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1857463), // Rule ID 13951 //
     /* 1857379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857425 */     // MIs[0] policy
     /* 1857425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857462 */     // GIR_Coverage, 13951,
     /* 1857462 */     GIR_EraseRootFromParent_Done,
     /* 1857463 */   // Label 25082: @1857463
     /* 1857463 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1857552), // Rule ID 13952 //
     /* 1857468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857514 */     // MIs[0] policy
     /* 1857514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857551 */     // GIR_Coverage, 13952,
     /* 1857551 */     GIR_EraseRootFromParent_Done,
     /* 1857552 */   // Label 25083: @1857552
     /* 1857552 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1857641), // Rule ID 13955 //
     /* 1857557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1857568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1857571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1857574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1857577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857603 */     // MIs[0] policy
     /* 1857603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857640 */     // GIR_Coverage, 13955,
     /* 1857640 */     GIR_EraseRootFromParent_Done,
     /* 1857641 */   // Label 25084: @1857641
     /* 1857641 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1857730), // Rule ID 13956 //
     /* 1857646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1857657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1857660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1857663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1857666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857692 */     // MIs[0] policy
     /* 1857692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857729 */     // GIR_Coverage, 13956,
     /* 1857729 */     GIR_EraseRootFromParent_Done,
     /* 1857730 */   // Label 25085: @1857730
     /* 1857730 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1857819), // Rule ID 13959 //
     /* 1857735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1857746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857781 */     // MIs[0] policy
     /* 1857781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857791 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857818 */     // GIR_Coverage, 13959,
     /* 1857818 */     GIR_EraseRootFromParent_Done,
     /* 1857819 */   // Label 25086: @1857819
     /* 1857819 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1857908), // Rule ID 13960 //
     /* 1857824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1857835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857870 */     // MIs[0] policy
     /* 1857870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857907 */     // GIR_Coverage, 13960,
     /* 1857907 */     GIR_EraseRootFromParent_Done,
     /* 1857908 */   // Label 25087: @1857908
     /* 1857908 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1857997), // Rule ID 13963 //
     /* 1857913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1857924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1857927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1857930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857959 */     // MIs[0] policy
     /* 1857959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857996 */     // GIR_Coverage, 13963,
     /* 1857996 */     GIR_EraseRootFromParent_Done,
     /* 1857997 */   // Label 25088: @1857997
     /* 1857997 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1858086), // Rule ID 13964 //
     /* 1858002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1858022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858048 */     // MIs[0] policy
     /* 1858048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858085 */     // GIR_Coverage, 13964,
     /* 1858085 */     GIR_EraseRootFromParent_Done,
     /* 1858086 */   // Label 25089: @1858086
     /* 1858086 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1858175), // Rule ID 13967 //
     /* 1858091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858137 */     // MIs[0] policy
     /* 1858137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858174 */     // GIR_Coverage, 13967,
     /* 1858174 */     GIR_EraseRootFromParent_Done,
     /* 1858175 */   // Label 25090: @1858175
     /* 1858175 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1858264), // Rule ID 13968 //
     /* 1858180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858226 */     // MIs[0] policy
     /* 1858226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858263 */     // GIR_Coverage, 13968,
     /* 1858263 */     GIR_EraseRootFromParent_Done,
     /* 1858264 */   // Label 25091: @1858264
     /* 1858264 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1858353), // Rule ID 13971 //
     /* 1858269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858315 */     // MIs[0] policy
     /* 1858315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858352 */     // GIR_Coverage, 13971,
     /* 1858352 */     GIR_EraseRootFromParent_Done,
     /* 1858353 */   // Label 25092: @1858353
     /* 1858353 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1858442), // Rule ID 13972 //
     /* 1858358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858404 */     // MIs[0] policy
     /* 1858404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858414 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858441 */     // GIR_Coverage, 13972,
     /* 1858441 */     GIR_EraseRootFromParent_Done,
     /* 1858442 */   // Label 25093: @1858442
     /* 1858442 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1858531), // Rule ID 13975 //
     /* 1858447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858493 */     // MIs[0] policy
     /* 1858493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858503 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858530 */     // GIR_Coverage, 13975,
     /* 1858530 */     GIR_EraseRootFromParent_Done,
     /* 1858531 */   // Label 25094: @1858531
     /* 1858531 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1858620), // Rule ID 13976 //
     /* 1858536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858582 */     // MIs[0] policy
     /* 1858582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858619 */     // GIR_Coverage, 13976,
     /* 1858619 */     GIR_EraseRootFromParent_Done,
     /* 1858620 */   // Label 25095: @1858620
     /* 1858620 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1858709), // Rule ID 13979 //
     /* 1858625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1858636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1858639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1858642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1858645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1858648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858671 */     // MIs[0] policy
     /* 1858671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858681 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1858684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858708 */     // GIR_Coverage, 13979,
     /* 1858708 */     GIR_EraseRootFromParent_Done,
     /* 1858709 */   // Label 25096: @1858709
     /* 1858709 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1858798), // Rule ID 13980 //
     /* 1858714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1858725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1858728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1858731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1858734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1858737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858760 */     // MIs[0] policy
     /* 1858760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858770 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1858773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858797 */     // GIR_Coverage, 13980,
     /* 1858797 */     GIR_EraseRootFromParent_Done,
     /* 1858798 */   // Label 25097: @1858798
     /* 1858798 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1858887), // Rule ID 13983 //
     /* 1858803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1858820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1858823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858849 */     // MIs[0] policy
     /* 1858849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858886 */     // GIR_Coverage, 13983,
     /* 1858886 */     GIR_EraseRootFromParent_Done,
     /* 1858887 */   // Label 25098: @1858887
     /* 1858887 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1858976), // Rule ID 13984 //
     /* 1858892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1858909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1858912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858938 */     // MIs[0] policy
     /* 1858938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858975 */     // GIR_Coverage, 13984,
     /* 1858975 */     GIR_EraseRootFromParent_Done,
     /* 1858976 */   // Label 25099: @1858976
     /* 1858976 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1859065), // Rule ID 13987 //
     /* 1858981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1858998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859027 */     // MIs[0] policy
     /* 1859027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859064 */     // GIR_Coverage, 13987,
     /* 1859064 */     GIR_EraseRootFromParent_Done,
     /* 1859065 */   // Label 25100: @1859065
     /* 1859065 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1859154), // Rule ID 13988 //
     /* 1859070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1859087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859116 */     // MIs[0] policy
     /* 1859116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859153 */     // GIR_Coverage, 13988,
     /* 1859153 */     GIR_EraseRootFromParent_Done,
     /* 1859154 */   // Label 25101: @1859154
     /* 1859154 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1859243), // Rule ID 13991 //
     /* 1859159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859205 */     // MIs[0] policy
     /* 1859205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859215 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859242 */     // GIR_Coverage, 13991,
     /* 1859242 */     GIR_EraseRootFromParent_Done,
     /* 1859243 */   // Label 25102: @1859243
     /* 1859243 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1859332), // Rule ID 13992 //
     /* 1859248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859294 */     // MIs[0] policy
     /* 1859294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859331 */     // GIR_Coverage, 13992,
     /* 1859331 */     GIR_EraseRootFromParent_Done,
     /* 1859332 */   // Label 25103: @1859332
     /* 1859332 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1859421), // Rule ID 13995 //
     /* 1859337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859383 */     // MIs[0] policy
     /* 1859383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859420 */     // GIR_Coverage, 13995,
     /* 1859420 */     GIR_EraseRootFromParent_Done,
     /* 1859421 */   // Label 25104: @1859421
     /* 1859421 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1859510), // Rule ID 13996 //
     /* 1859426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859472 */     // MIs[0] policy
     /* 1859472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859509 */     // GIR_Coverage, 13996,
     /* 1859509 */     GIR_EraseRootFromParent_Done,
     /* 1859510 */   // Label 25105: @1859510
     /* 1859510 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1859599), // Rule ID 13999 //
     /* 1859515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859561 */     // MIs[0] policy
     /* 1859561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859598 */     // GIR_Coverage, 13999,
     /* 1859598 */     GIR_EraseRootFromParent_Done,
     /* 1859599 */   // Label 25106: @1859599
     /* 1859599 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1859688), // Rule ID 14000 //
     /* 1859604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859650 */     // MIs[0] policy
     /* 1859650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859687 */     // GIR_Coverage, 14000,
     /* 1859687 */     GIR_EraseRootFromParent_Done,
     /* 1859688 */   // Label 25107: @1859688
     /* 1859688 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1859777), // Rule ID 14003 //
     /* 1859693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1859710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1859713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859739 */     // MIs[0] policy
     /* 1859739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859776 */     // GIR_Coverage, 14003,
     /* 1859776 */     GIR_EraseRootFromParent_Done,
     /* 1859777 */   // Label 25108: @1859777
     /* 1859777 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1859866), // Rule ID 14004 //
     /* 1859782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1859799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1859802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859828 */     // MIs[0] policy
     /* 1859828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859865 */     // GIR_Coverage, 14004,
     /* 1859865 */     GIR_EraseRootFromParent_Done,
     /* 1859866 */   // Label 25109: @1859866
     /* 1859866 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1859955), // Rule ID 14007 //
     /* 1859871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1859874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1859888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1859891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859917 */     // MIs[0] policy
     /* 1859917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859954 */     // GIR_Coverage, 14007,
     /* 1859954 */     GIR_EraseRootFromParent_Done,
     /* 1859955 */   // Label 25110: @1859955
     /* 1859955 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1860044), // Rule ID 14008 //
     /* 1859960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1859963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1859977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1859980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860006 */     // MIs[0] policy
     /* 1860006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1860019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860043 */     // GIR_Coverage, 14008,
     /* 1860043 */     GIR_EraseRootFromParent_Done,
     /* 1860044 */   // Label 25111: @1860044
     /* 1860044 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1860133), // Rule ID 14011 //
     /* 1860049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860095 */     // MIs[0] policy
     /* 1860095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860105 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860132 */     // GIR_Coverage, 14011,
     /* 1860132 */     GIR_EraseRootFromParent_Done,
     /* 1860133 */   // Label 25112: @1860133
     /* 1860133 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1860222), // Rule ID 14012 //
     /* 1860138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860184 */     // MIs[0] policy
     /* 1860184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860221 */     // GIR_Coverage, 14012,
     /* 1860221 */     GIR_EraseRootFromParent_Done,
     /* 1860222 */   // Label 25113: @1860222
     /* 1860222 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1860311), // Rule ID 14015 //
     /* 1860227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860273 */     // MIs[0] policy
     /* 1860273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860310 */     // GIR_Coverage, 14015,
     /* 1860310 */     GIR_EraseRootFromParent_Done,
     /* 1860311 */   // Label 25114: @1860311
     /* 1860311 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1860400), // Rule ID 14016 //
     /* 1860316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860362 */     // MIs[0] policy
     /* 1860362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860372 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860399 */     // GIR_Coverage, 14016,
     /* 1860399 */     GIR_EraseRootFromParent_Done,
     /* 1860400 */   // Label 25115: @1860400
     /* 1860400 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1860489), // Rule ID 14019 //
     /* 1860405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860451 */     // MIs[0] policy
     /* 1860451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860488 */     // GIR_Coverage, 14019,
     /* 1860488 */     GIR_EraseRootFromParent_Done,
     /* 1860489 */   // Label 25116: @1860489
     /* 1860489 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1860578), // Rule ID 14020 //
     /* 1860494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860540 */     // MIs[0] policy
     /* 1860540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860577 */     // GIR_Coverage, 14020,
     /* 1860577 */     GIR_EraseRootFromParent_Done,
     /* 1860578 */   // Label 25117: @1860578
     /* 1860578 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1860667), // Rule ID 14023 //
     /* 1860583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1860594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1860597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860629 */     // MIs[0] policy
     /* 1860629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860639 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1860642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860666 */     // GIR_Coverage, 14023,
     /* 1860666 */     GIR_EraseRootFromParent_Done,
     /* 1860667 */   // Label 25118: @1860667
     /* 1860667 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1860756), // Rule ID 14024 //
     /* 1860672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1860683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1860686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860718 */     // MIs[0] policy
     /* 1860718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1860731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860755 */     // GIR_Coverage, 14024,
     /* 1860755 */     GIR_EraseRootFromParent_Done,
     /* 1860756 */   // Label 25119: @1860756
     /* 1860756 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1860845), // Rule ID 14027 //
     /* 1860761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1860772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1860775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860807 */     // MIs[0] policy
     /* 1860807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860817 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1860820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860844 */     // GIR_Coverage, 14027,
     /* 1860844 */     GIR_EraseRootFromParent_Done,
     /* 1860845 */   // Label 25120: @1860845
     /* 1860845 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1860934), // Rule ID 14028 //
     /* 1860850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1860861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1860864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860896 */     // MIs[0] policy
     /* 1860896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1860909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860933 */     // GIR_Coverage, 14028,
     /* 1860933 */     GIR_EraseRootFromParent_Done,
     /* 1860934 */   // Label 25121: @1860934
     /* 1860934 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1861023), // Rule ID 14031 //
     /* 1860939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1860956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860985 */     // MIs[0] policy
     /* 1860985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1860998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861022 */     // GIR_Coverage, 14031,
     /* 1861022 */     GIR_EraseRootFromParent_Done,
     /* 1861023 */   // Label 25122: @1861023
     /* 1861023 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1861112), // Rule ID 14032 //
     /* 1861028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861074 */     // MIs[0] policy
     /* 1861074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861111 */     // GIR_Coverage, 14032,
     /* 1861111 */     GIR_EraseRootFromParent_Done,
     /* 1861112 */   // Label 25123: @1861112
     /* 1861112 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1861201), // Rule ID 14035 //
     /* 1861117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861163 */     // MIs[0] policy
     /* 1861163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861200 */     // GIR_Coverage, 14035,
     /* 1861200 */     GIR_EraseRootFromParent_Done,
     /* 1861201 */   // Label 25124: @1861201
     /* 1861201 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1861290), // Rule ID 14036 //
     /* 1861206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861252 */     // MIs[0] policy
     /* 1861252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861262 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861289 */     // GIR_Coverage, 14036,
     /* 1861289 */     GIR_EraseRootFromParent_Done,
     /* 1861290 */   // Label 25125: @1861290
     /* 1861290 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1861379), // Rule ID 14039 //
     /* 1861295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861341 */     // MIs[0] policy
     /* 1861341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861351 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861378 */     // GIR_Coverage, 14039,
     /* 1861378 */     GIR_EraseRootFromParent_Done,
     /* 1861379 */   // Label 25126: @1861379
     /* 1861379 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1861468), // Rule ID 14040 //
     /* 1861384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861430 */     // MIs[0] policy
     /* 1861430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861467 */     // GIR_Coverage, 14040,
     /* 1861467 */     GIR_EraseRootFromParent_Done,
     /* 1861468 */   // Label 25127: @1861468
     /* 1861468 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1861557), // Rule ID 14043 //
     /* 1861473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861519 */     // MIs[0] policy
     /* 1861519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861529 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861556 */     // GIR_Coverage, 14043,
     /* 1861556 */     GIR_EraseRootFromParent_Done,
     /* 1861557 */   // Label 25128: @1861557
     /* 1861557 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1861646), // Rule ID 14044 //
     /* 1861562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861608 */     // MIs[0] policy
     /* 1861608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861645 */     // GIR_Coverage, 14044,
     /* 1861645 */     GIR_EraseRootFromParent_Done,
     /* 1861646 */   // Label 25129: @1861646
     /* 1861646 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1861735), // Rule ID 14047 //
     /* 1861651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1861662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1861665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861697 */     // MIs[0] policy
     /* 1861697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861734 */     // GIR_Coverage, 14047,
     /* 1861734 */     GIR_EraseRootFromParent_Done,
     /* 1861735 */   // Label 25130: @1861735
     /* 1861735 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1861824), // Rule ID 14048 //
     /* 1861740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1861751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1861754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861786 */     // MIs[0] policy
     /* 1861786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861823 */     // GIR_Coverage, 14048,
     /* 1861823 */     GIR_EraseRootFromParent_Done,
     /* 1861824 */   // Label 25131: @1861824
     /* 1861824 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1861913), // Rule ID 14051 //
     /* 1861829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1861846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861875 */     // MIs[0] policy
     /* 1861875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861885 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861912 */     // GIR_Coverage, 14051,
     /* 1861912 */     GIR_EraseRootFromParent_Done,
     /* 1861913 */   // Label 25132: @1861913
     /* 1861913 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1862002), // Rule ID 14052 //
     /* 1861918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1861935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861964 */     // MIs[0] policy
     /* 1861964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862001 */     // GIR_Coverage, 14052,
     /* 1862001 */     GIR_EraseRootFromParent_Done,
     /* 1862002 */   // Label 25133: @1862002
     /* 1862002 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1862091), // Rule ID 14055 //
     /* 1862007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862053 */     // MIs[0] policy
     /* 1862053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862063 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862090 */     // GIR_Coverage, 14055,
     /* 1862090 */     GIR_EraseRootFromParent_Done,
     /* 1862091 */   // Label 25134: @1862091
     /* 1862091 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1862180), // Rule ID 14056 //
     /* 1862096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862142 */     // MIs[0] policy
     /* 1862142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862179 */     // GIR_Coverage, 14056,
     /* 1862179 */     GIR_EraseRootFromParent_Done,
     /* 1862180 */   // Label 25135: @1862180
     /* 1862180 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1862269), // Rule ID 14059 //
     /* 1862185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862231 */     // MIs[0] policy
     /* 1862231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862241 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862268 */     // GIR_Coverage, 14059,
     /* 1862268 */     GIR_EraseRootFromParent_Done,
     /* 1862269 */   // Label 25136: @1862269
     /* 1862269 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1862358), // Rule ID 14060 //
     /* 1862274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862320 */     // MIs[0] policy
     /* 1862320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862357 */     // GIR_Coverage, 14060,
     /* 1862357 */     GIR_EraseRootFromParent_Done,
     /* 1862358 */   // Label 25137: @1862358
     /* 1862358 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1862447), // Rule ID 14063 //
     /* 1862363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862409 */     // MIs[0] policy
     /* 1862409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862419 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862446 */     // GIR_Coverage, 14063,
     /* 1862446 */     GIR_EraseRootFromParent_Done,
     /* 1862447 */   // Label 25138: @1862447
     /* 1862447 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1862536), // Rule ID 14064 //
     /* 1862452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862498 */     // MIs[0] policy
     /* 1862498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862535 */     // GIR_Coverage, 14064,
     /* 1862535 */     GIR_EraseRootFromParent_Done,
     /* 1862536 */   // Label 25139: @1862536
     /* 1862536 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1862625), // Rule ID 14067 //
     /* 1862541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1862552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1862555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1862558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1862564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862587 */     // MIs[0] policy
     /* 1862587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862597 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862624 */     // GIR_Coverage, 14067,
     /* 1862624 */     GIR_EraseRootFromParent_Done,
     /* 1862625 */   // Label 25140: @1862625
     /* 1862625 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1862714), // Rule ID 14068 //
     /* 1862630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1862641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1862644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1862647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1862653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862676 */     // MIs[0] policy
     /* 1862676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862686 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862713 */     // GIR_Coverage, 14068,
     /* 1862713 */     GIR_EraseRootFromParent_Done,
     /* 1862714 */   // Label 25141: @1862714
     /* 1862714 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1862803), // Rule ID 14071 //
     /* 1862719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1862730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1862733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1862736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862765 */     // MIs[0] policy
     /* 1862765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862802 */     // GIR_Coverage, 14071,
     /* 1862802 */     GIR_EraseRootFromParent_Done,
     /* 1862803 */   // Label 25142: @1862803
     /* 1862803 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1862892), // Rule ID 14072 //
     /* 1862808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1862819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1862822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1862825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862854 */     // MIs[0] policy
     /* 1862854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862891 */     // GIR_Coverage, 14072,
     /* 1862891 */     GIR_EraseRootFromParent_Done,
     /* 1862892 */   // Label 25143: @1862892
     /* 1862892 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1862981), // Rule ID 14075 //
     /* 1862897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1862908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1862911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1862914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862943 */     // MIs[0] policy
     /* 1862943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862980 */     // GIR_Coverage, 14075,
     /* 1862980 */     GIR_EraseRootFromParent_Done,
     /* 1862981 */   // Label 25144: @1862981
     /* 1862981 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1863070), // Rule ID 14076 //
     /* 1862986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1862997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1863003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863032 */     // MIs[0] policy
     /* 1863032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863069 */     // GIR_Coverage, 14076,
     /* 1863069 */     GIR_EraseRootFromParent_Done,
     /* 1863070 */   // Label 25145: @1863070
     /* 1863070 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1863159), // Rule ID 14079 //
     /* 1863075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863121 */     // MIs[0] policy
     /* 1863121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863131 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863158 */     // GIR_Coverage, 14079,
     /* 1863158 */     GIR_EraseRootFromParent_Done,
     /* 1863159 */   // Label 25146: @1863159
     /* 1863159 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1863248), // Rule ID 14080 //
     /* 1863164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863210 */     // MIs[0] policy
     /* 1863210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863247 */     // GIR_Coverage, 14080,
     /* 1863247 */     GIR_EraseRootFromParent_Done,
     /* 1863248 */   // Label 25147: @1863248
     /* 1863248 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1863337), // Rule ID 14083 //
     /* 1863253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863299 */     // MIs[0] policy
     /* 1863299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863336 */     // GIR_Coverage, 14083,
     /* 1863336 */     GIR_EraseRootFromParent_Done,
     /* 1863337 */   // Label 25148: @1863337
     /* 1863337 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1863426), // Rule ID 14084 //
     /* 1863342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863388 */     // MIs[0] policy
     /* 1863388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863425 */     // GIR_Coverage, 14084,
     /* 1863425 */     GIR_EraseRootFromParent_Done,
     /* 1863426 */   // Label 25149: @1863426
     /* 1863426 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1863515), // Rule ID 14087 //
     /* 1863431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863477 */     // MIs[0] policy
     /* 1863477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863514 */     // GIR_Coverage, 14087,
     /* 1863514 */     GIR_EraseRootFromParent_Done,
     /* 1863515 */   // Label 25150: @1863515
     /* 1863515 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1863604), // Rule ID 14088 //
     /* 1863520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863566 */     // MIs[0] policy
     /* 1863566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863603 */     // GIR_Coverage, 14088,
     /* 1863603 */     GIR_EraseRootFromParent_Done,
     /* 1863604 */   // Label 25151: @1863604
     /* 1863604 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1863693), // Rule ID 14091 //
     /* 1863609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1863620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1863623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1863626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863655 */     // MIs[0] policy
     /* 1863655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863665 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863692 */     // GIR_Coverage, 14091,
     /* 1863692 */     GIR_EraseRootFromParent_Done,
     /* 1863693 */   // Label 25152: @1863693
     /* 1863693 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1863782), // Rule ID 14092 //
     /* 1863698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1863709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1863712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1863715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863744 */     // MIs[0] policy
     /* 1863744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863781 */     // GIR_Coverage, 14092,
     /* 1863781 */     GIR_EraseRootFromParent_Done,
     /* 1863782 */   // Label 25153: @1863782
     /* 1863782 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1863871), // Rule ID 14095 //
     /* 1863787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1863804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863833 */     // MIs[0] policy
     /* 1863833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863870 */     // GIR_Coverage, 14095,
     /* 1863870 */     GIR_EraseRootFromParent_Done,
     /* 1863871 */   // Label 25154: @1863871
     /* 1863871 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1863960), // Rule ID 14096 //
     /* 1863876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1863879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1863893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863922 */     // MIs[0] policy
     /* 1863922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863959 */     // GIR_Coverage, 14096,
     /* 1863959 */     GIR_EraseRootFromParent_Done,
     /* 1863960 */   // Label 25155: @1863960
     /* 1863960 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1864049), // Rule ID 14099 //
     /* 1863965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1863976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1863979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1863982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864011 */     // MIs[0] policy
     /* 1864011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1864024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864048 */     // GIR_Coverage, 14099,
     /* 1864048 */     GIR_EraseRootFromParent_Done,
     /* 1864049 */   // Label 25156: @1864049
     /* 1864049 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1864138), // Rule ID 14100 //
     /* 1864054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864100 */     // MIs[0] policy
     /* 1864100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864110 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1864113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864137 */     // GIR_Coverage, 14100,
     /* 1864137 */     GIR_EraseRootFromParent_Done,
     /* 1864138 */   // Label 25157: @1864138
     /* 1864138 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1864227), // Rule ID 14103 //
     /* 1864143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864189 */     // MIs[0] policy
     /* 1864189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864226 */     // GIR_Coverage, 14103,
     /* 1864226 */     GIR_EraseRootFromParent_Done,
     /* 1864227 */   // Label 25158: @1864227
     /* 1864227 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1864316), // Rule ID 14104 //
     /* 1864232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864278 */     // MIs[0] policy
     /* 1864278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864315 */     // GIR_Coverage, 14104,
     /* 1864315 */     GIR_EraseRootFromParent_Done,
     /* 1864316 */   // Label 25159: @1864316
     /* 1864316 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1864405), // Rule ID 14195 //
     /* 1864321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864367 */     // MIs[0] policy
     /* 1864367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864404 */     // GIR_Coverage, 14195,
     /* 1864404 */     GIR_EraseRootFromParent_Done,
     /* 1864405 */   // Label 25160: @1864405
     /* 1864405 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1864494), // Rule ID 14196 //
     /* 1864410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864456 */     // MIs[0] policy
     /* 1864456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864466 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864493 */     // GIR_Coverage, 14196,
     /* 1864493 */     GIR_EraseRootFromParent_Done,
     /* 1864494 */   // Label 25161: @1864494
     /* 1864494 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1864583), // Rule ID 14199 //
     /* 1864499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864545 */     // MIs[0] policy
     /* 1864545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864582 */     // GIR_Coverage, 14199,
     /* 1864582 */     GIR_EraseRootFromParent_Done,
     /* 1864583 */   // Label 25162: @1864583
     /* 1864583 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1864672), // Rule ID 14200 //
     /* 1864588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864634 */     // MIs[0] policy
     /* 1864634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864671 */     // GIR_Coverage, 14200,
     /* 1864671 */     GIR_EraseRootFromParent_Done,
     /* 1864672 */   // Label 25163: @1864672
     /* 1864672 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1864761), // Rule ID 14203 //
     /* 1864677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1864688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1864691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1864694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1864697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864723 */     // MIs[0] policy
     /* 1864723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864733 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1864736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864760 */     // GIR_Coverage, 14203,
     /* 1864760 */     GIR_EraseRootFromParent_Done,
     /* 1864761 */   // Label 25164: @1864761
     /* 1864761 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1864850), // Rule ID 14204 //
     /* 1864766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1864777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1864780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1864783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1864786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864812 */     // MIs[0] policy
     /* 1864812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1864825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864849 */     // GIR_Coverage, 14204,
     /* 1864849 */     GIR_EraseRootFromParent_Done,
     /* 1864850 */   // Label 25165: @1864850
     /* 1864850 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1864939), // Rule ID 14207 //
     /* 1864855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864901 */     // MIs[0] policy
     /* 1864901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864938 */     // GIR_Coverage, 14207,
     /* 1864938 */     GIR_EraseRootFromParent_Done,
     /* 1864939 */   // Label 25166: @1864939
     /* 1864939 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1865028), // Rule ID 14208 //
     /* 1864944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864990 */     // MIs[0] policy
     /* 1864990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1865003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865027 */     // GIR_Coverage, 14208,
     /* 1865027 */     GIR_EraseRootFromParent_Done,
     /* 1865028 */   // Label 25167: @1865028
     /* 1865028 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1865117), // Rule ID 14211 //
     /* 1865033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865079 */     // MIs[0] policy
     /* 1865079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865089 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865116 */     // GIR_Coverage, 14211,
     /* 1865116 */     GIR_EraseRootFromParent_Done,
     /* 1865117 */   // Label 25168: @1865117
     /* 1865117 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1865206), // Rule ID 14212 //
     /* 1865122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865168 */     // MIs[0] policy
     /* 1865168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865205 */     // GIR_Coverage, 14212,
     /* 1865205 */     GIR_EraseRootFromParent_Done,
     /* 1865206 */   // Label 25169: @1865206
     /* 1865206 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1865295), // Rule ID 14215 //
     /* 1865211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865257 */     // MIs[0] policy
     /* 1865257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865294 */     // GIR_Coverage, 14215,
     /* 1865294 */     GIR_EraseRootFromParent_Done,
     /* 1865295 */   // Label 25170: @1865295
     /* 1865295 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1865384), // Rule ID 14216 //
     /* 1865300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865346 */     // MIs[0] policy
     /* 1865346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865383 */     // GIR_Coverage, 14216,
     /* 1865383 */     GIR_EraseRootFromParent_Done,
     /* 1865384 */   // Label 25171: @1865384
     /* 1865384 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1865473), // Rule ID 14219 //
     /* 1865389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865435 */     // MIs[0] policy
     /* 1865435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865445 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865472 */     // GIR_Coverage, 14219,
     /* 1865472 */     GIR_EraseRootFromParent_Done,
     /* 1865473 */   // Label 25172: @1865473
     /* 1865473 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1865562), // Rule ID 14220 //
     /* 1865478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865524 */     // MIs[0] policy
     /* 1865524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865561 */     // GIR_Coverage, 14220,
     /* 1865561 */     GIR_EraseRootFromParent_Done,
     /* 1865562 */   // Label 25173: @1865562
     /* 1865562 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1865651), // Rule ID 14223 //
     /* 1865567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865613 */     // MIs[0] policy
     /* 1865613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865650 */     // GIR_Coverage, 14223,
     /* 1865650 */     GIR_EraseRootFromParent_Done,
     /* 1865651 */   // Label 25174: @1865651
     /* 1865651 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1865740), // Rule ID 14224 //
     /* 1865656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865702 */     // MIs[0] policy
     /* 1865702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865739 */     // GIR_Coverage, 14224,
     /* 1865739 */     GIR_EraseRootFromParent_Done,
     /* 1865740 */   // Label 25175: @1865740
     /* 1865740 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1865829), // Rule ID 14227 //
     /* 1865745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865791 */     // MIs[0] policy
     /* 1865791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865801 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865828 */     // GIR_Coverage, 14227,
     /* 1865828 */     GIR_EraseRootFromParent_Done,
     /* 1865829 */   // Label 25176: @1865829
     /* 1865829 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1865918), // Rule ID 14228 //
     /* 1865834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865880 */     // MIs[0] policy
     /* 1865880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865917 */     // GIR_Coverage, 14228,
     /* 1865917 */     GIR_EraseRootFromParent_Done,
     /* 1865918 */   // Label 25177: @1865918
     /* 1865918 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1866007), // Rule ID 14231 //
     /* 1865923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1865926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865969 */     // MIs[0] policy
     /* 1865969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865979 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866006 */     // GIR_Coverage, 14231,
     /* 1866006 */     GIR_EraseRootFromParent_Done,
     /* 1866007 */   // Label 25178: @1866007
     /* 1866007 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1866096), // Rule ID 14232 //
     /* 1866012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1866032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866058 */     // MIs[0] policy
     /* 1866058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866095 */     // GIR_Coverage, 14232,
     /* 1866095 */     GIR_EraseRootFromParent_Done,
     /* 1866096 */   // Label 25179: @1866096
     /* 1866096 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1866185), // Rule ID 14235 //
     /* 1866101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866147 */     // MIs[0] policy
     /* 1866147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866157 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866184 */     // GIR_Coverage, 14235,
     /* 1866184 */     GIR_EraseRootFromParent_Done,
     /* 1866185 */   // Label 25180: @1866185
     /* 1866185 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1866274), // Rule ID 14236 //
     /* 1866190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866236 */     // MIs[0] policy
     /* 1866236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866246 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866273 */     // GIR_Coverage, 14236,
     /* 1866273 */     GIR_EraseRootFromParent_Done,
     /* 1866274 */   // Label 25181: @1866274
     /* 1866274 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1866363), // Rule ID 14239 //
     /* 1866279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866325 */     // MIs[0] policy
     /* 1866325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866335 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866362 */     // GIR_Coverage, 14239,
     /* 1866362 */     GIR_EraseRootFromParent_Done,
     /* 1866363 */   // Label 25182: @1866363
     /* 1866363 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1866452), // Rule ID 14240 //
     /* 1866368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866414 */     // MIs[0] policy
     /* 1866414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866451 */     // GIR_Coverage, 14240,
     /* 1866451 */     GIR_EraseRootFromParent_Done,
     /* 1866452 */   // Label 25183: @1866452
     /* 1866452 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1866541), // Rule ID 14243 //
     /* 1866457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866503 */     // MIs[0] policy
     /* 1866503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866513 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866540 */     // GIR_Coverage, 14243,
     /* 1866540 */     GIR_EraseRootFromParent_Done,
     /* 1866541 */   // Label 25184: @1866541
     /* 1866541 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1866630), // Rule ID 14244 //
     /* 1866546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866592 */     // MIs[0] policy
     /* 1866592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866602 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866629 */     // GIR_Coverage, 14244,
     /* 1866629 */     GIR_EraseRootFromParent_Done,
     /* 1866630 */   // Label 25185: @1866630
     /* 1866630 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1866719), // Rule ID 14247 //
     /* 1866635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1866646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1866649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1866652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866681 */     // MIs[0] policy
     /* 1866681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866691 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866718 */     // GIR_Coverage, 14247,
     /* 1866718 */     GIR_EraseRootFromParent_Done,
     /* 1866719 */   // Label 25186: @1866719
     /* 1866719 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1866808), // Rule ID 14248 //
     /* 1866724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1866735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1866738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1866741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866770 */     // MIs[0] policy
     /* 1866770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866780 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866807 */     // GIR_Coverage, 14248,
     /* 1866807 */     GIR_EraseRootFromParent_Done,
     /* 1866808 */   // Label 25187: @1866808
     /* 1866808 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1866897), // Rule ID 14251 //
     /* 1866813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866859 */     // MIs[0] policy
     /* 1866859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866869 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866896 */     // GIR_Coverage, 14251,
     /* 1866896 */     GIR_EraseRootFromParent_Done,
     /* 1866897 */   // Label 25188: @1866897
     /* 1866897 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1866986), // Rule ID 14252 //
     /* 1866902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866948 */     // MIs[0] policy
     /* 1866948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866985 */     // GIR_Coverage, 14252,
     /* 1866985 */     GIR_EraseRootFromParent_Done,
     /* 1866986 */   // Label 25189: @1866986
     /* 1866986 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1867075), // Rule ID 14255 //
     /* 1866991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1867011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867037 */     // MIs[0] policy
     /* 1867037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867047 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867074 */     // GIR_Coverage, 14255,
     /* 1867074 */     GIR_EraseRootFromParent_Done,
     /* 1867075 */   // Label 25190: @1867075
     /* 1867075 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1867164), // Rule ID 14256 //
     /* 1867080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1867100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867126 */     // MIs[0] policy
     /* 1867126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867136 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867163 */     // GIR_Coverage, 14256,
     /* 1867163 */     GIR_EraseRootFromParent_Done,
     /* 1867164 */   // Label 25191: @1867164
     /* 1867164 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1867253), // Rule ID 14259 //
     /* 1867169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867215 */     // MIs[0] policy
     /* 1867215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867225 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867252 */     // GIR_Coverage, 14259,
     /* 1867252 */     GIR_EraseRootFromParent_Done,
     /* 1867253 */   // Label 25192: @1867253
     /* 1867253 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1867342), // Rule ID 14260 //
     /* 1867258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867304 */     // MIs[0] policy
     /* 1867304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867341 */     // GIR_Coverage, 14260,
     /* 1867341 */     GIR_EraseRootFromParent_Done,
     /* 1867342 */   // Label 25193: @1867342
     /* 1867342 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1867431), // Rule ID 14263 //
     /* 1867347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867393 */     // MIs[0] policy
     /* 1867393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867403 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867430 */     // GIR_Coverage, 14263,
     /* 1867430 */     GIR_EraseRootFromParent_Done,
     /* 1867431 */   // Label 25194: @1867431
     /* 1867431 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1867520), // Rule ID 14264 //
     /* 1867436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867482 */     // MIs[0] policy
     /* 1867482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867519 */     // GIR_Coverage, 14264,
     /* 1867519 */     GIR_EraseRootFromParent_Done,
     /* 1867520 */   // Label 25195: @1867520
     /* 1867520 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1867609), // Rule ID 14267 //
     /* 1867525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867571 */     // MIs[0] policy
     /* 1867571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867581 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867608 */     // GIR_Coverage, 14267,
     /* 1867608 */     GIR_EraseRootFromParent_Done,
     /* 1867609 */   // Label 25196: @1867609
     /* 1867609 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1867698), // Rule ID 14268 //
     /* 1867614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867660 */     // MIs[0] policy
     /* 1867660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867697 */     // GIR_Coverage, 14268,
     /* 1867697 */     GIR_EraseRootFromParent_Done,
     /* 1867698 */   // Label 25197: @1867698
     /* 1867698 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1867787), // Rule ID 14271 //
     /* 1867703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867749 */     // MIs[0] policy
     /* 1867749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867759 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867786 */     // GIR_Coverage, 14271,
     /* 1867786 */     GIR_EraseRootFromParent_Done,
     /* 1867787 */   // Label 25198: @1867787
     /* 1867787 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1867876), // Rule ID 14272 //
     /* 1867792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867838 */     // MIs[0] policy
     /* 1867838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867875 */     // GIR_Coverage, 14272,
     /* 1867875 */     GIR_EraseRootFromParent_Done,
     /* 1867876 */   // Label 25199: @1867876
     /* 1867876 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1867965), // Rule ID 14275 //
     /* 1867881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867927 */     // MIs[0] policy
     /* 1867927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867937 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867964 */     // GIR_Coverage, 14275,
     /* 1867964 */     GIR_EraseRootFromParent_Done,
     /* 1867965 */   // Label 25200: @1867965
     /* 1867965 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1868054), // Rule ID 14276 //
     /* 1867970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868016 */     // MIs[0] policy
     /* 1868016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1868029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868053 */     // GIR_Coverage, 14276,
     /* 1868053 */     GIR_EraseRootFromParent_Done,
     /* 1868054 */   // Label 25201: @1868054
     /* 1868054 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1868143), // Rule ID 14279 //
     /* 1868059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868105 */     // MIs[0] policy
     /* 1868105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868142 */     // GIR_Coverage, 14279,
     /* 1868142 */     GIR_EraseRootFromParent_Done,
     /* 1868143 */   // Label 25202: @1868143
     /* 1868143 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1868232), // Rule ID 14280 //
     /* 1868148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868194 */     // MIs[0] policy
     /* 1868194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868231 */     // GIR_Coverage, 14280,
     /* 1868231 */     GIR_EraseRootFromParent_Done,
     /* 1868232 */   // Label 25203: @1868232
     /* 1868232 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1868321), // Rule ID 14283 //
     /* 1868237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868283 */     // MIs[0] policy
     /* 1868283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868293 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868320 */     // GIR_Coverage, 14283,
     /* 1868320 */     GIR_EraseRootFromParent_Done,
     /* 1868321 */   // Label 25204: @1868321
     /* 1868321 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1868410), // Rule ID 14284 //
     /* 1868326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868372 */     // MIs[0] policy
     /* 1868372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868382 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868409 */     // GIR_Coverage, 14284,
     /* 1868409 */     GIR_EraseRootFromParent_Done,
     /* 1868410 */   // Label 25205: @1868410
     /* 1868410 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1868499), // Rule ID 14287 //
     /* 1868415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868461 */     // MIs[0] policy
     /* 1868461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868471 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868498 */     // GIR_Coverage, 14287,
     /* 1868498 */     GIR_EraseRootFromParent_Done,
     /* 1868499 */   // Label 25206: @1868499
     /* 1868499 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1868588), // Rule ID 14288 //
     /* 1868504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868550 */     // MIs[0] policy
     /* 1868550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868560 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868587 */     // GIR_Coverage, 14288,
     /* 1868587 */     GIR_EraseRootFromParent_Done,
     /* 1868588 */   // Label 25207: @1868588
     /* 1868588 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1868677), // Rule ID 14291 //
     /* 1868593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868639 */     // MIs[0] policy
     /* 1868639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1868652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868676 */     // GIR_Coverage, 14291,
     /* 1868676 */     GIR_EraseRootFromParent_Done,
     /* 1868677 */   // Label 25208: @1868677
     /* 1868677 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1868766), // Rule ID 14292 //
     /* 1868682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868728 */     // MIs[0] policy
     /* 1868728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868738 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1868741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868765 */     // GIR_Coverage, 14292,
     /* 1868765 */     GIR_EraseRootFromParent_Done,
     /* 1868766 */   // Label 25209: @1868766
     /* 1868766 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1868855), // Rule ID 14295 //
     /* 1868771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868817 */     // MIs[0] policy
     /* 1868817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868854 */     // GIR_Coverage, 14295,
     /* 1868854 */     GIR_EraseRootFromParent_Done,
     /* 1868855 */   // Label 25210: @1868855
     /* 1868855 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1868944), // Rule ID 14296 //
     /* 1868860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868906 */     // MIs[0] policy
     /* 1868906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868916 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868943 */     // GIR_Coverage, 14296,
     /* 1868943 */     GIR_EraseRootFromParent_Done,
     /* 1868944 */   // Label 25211: @1868944
     /* 1868944 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1869033), // Rule ID 14299 //
     /* 1868949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868995 */     // MIs[0] policy
     /* 1868995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869005 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869032 */     // GIR_Coverage, 14299,
     /* 1869032 */     GIR_EraseRootFromParent_Done,
     /* 1869033 */   // Label 25212: @1869033
     /* 1869033 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1869122), // Rule ID 14300 //
     /* 1869038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869084 */     // MIs[0] policy
     /* 1869084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869094 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869121 */     // GIR_Coverage, 14300,
     /* 1869121 */     GIR_EraseRootFromParent_Done,
     /* 1869122 */   // Label 25213: @1869122
     /* 1869122 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1869211), // Rule ID 14303 //
     /* 1869127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869173 */     // MIs[0] policy
     /* 1869173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869210 */     // GIR_Coverage, 14303,
     /* 1869210 */     GIR_EraseRootFromParent_Done,
     /* 1869211 */   // Label 25214: @1869211
     /* 1869211 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1869300), // Rule ID 14304 //
     /* 1869216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869262 */     // MIs[0] policy
     /* 1869262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869299 */     // GIR_Coverage, 14304,
     /* 1869299 */     GIR_EraseRootFromParent_Done,
     /* 1869300 */   // Label 25215: @1869300
     /* 1869300 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1869389), // Rule ID 14307 //
     /* 1869305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869351 */     // MIs[0] policy
     /* 1869351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869361 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869388 */     // GIR_Coverage, 14307,
     /* 1869388 */     GIR_EraseRootFromParent_Done,
     /* 1869389 */   // Label 25216: @1869389
     /* 1869389 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1869478), // Rule ID 14308 //
     /* 1869394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869440 */     // MIs[0] policy
     /* 1869440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869477 */     // GIR_Coverage, 14308,
     /* 1869477 */     GIR_EraseRootFromParent_Done,
     /* 1869478 */   // Label 25217: @1869478
     /* 1869478 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1869567), // Rule ID 14311 //
     /* 1869483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869529 */     // MIs[0] policy
     /* 1869529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869566 */     // GIR_Coverage, 14311,
     /* 1869566 */     GIR_EraseRootFromParent_Done,
     /* 1869567 */   // Label 25218: @1869567
     /* 1869567 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1869656), // Rule ID 14312 //
     /* 1869572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869618 */     // MIs[0] policy
     /* 1869618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869655 */     // GIR_Coverage, 14312,
     /* 1869655 */     GIR_EraseRootFromParent_Done,
     /* 1869656 */   // Label 25219: @1869656
     /* 1869656 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1869745), // Rule ID 14315 //
     /* 1869661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869707 */     // MIs[0] policy
     /* 1869707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869744 */     // GIR_Coverage, 14315,
     /* 1869744 */     GIR_EraseRootFromParent_Done,
     /* 1869745 */   // Label 25220: @1869745
     /* 1869745 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1869834), // Rule ID 14316 //
     /* 1869750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869796 */     // MIs[0] policy
     /* 1869796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869833 */     // GIR_Coverage, 14316,
     /* 1869833 */     GIR_EraseRootFromParent_Done,
     /* 1869834 */   // Label 25221: @1869834
     /* 1869834 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1869923), // Rule ID 14319 //
     /* 1869839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1869842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869885 */     // MIs[0] policy
     /* 1869885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869922 */     // GIR_Coverage, 14319,
     /* 1869922 */     GIR_EraseRootFromParent_Done,
     /* 1869923 */   // Label 25222: @1869923
     /* 1869923 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1870012), // Rule ID 14320 //
     /* 1869928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1869931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869974 */     // MIs[0] policy
     /* 1869974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870011 */     // GIR_Coverage, 14320,
     /* 1870011 */     GIR_EraseRootFromParent_Done,
     /* 1870012 */   // Label 25223: @1870012
     /* 1870012 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1870101), // Rule ID 14323 //
     /* 1870017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870063 */     // MIs[0] policy
     /* 1870063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870073 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870100 */     // GIR_Coverage, 14323,
     /* 1870100 */     GIR_EraseRootFromParent_Done,
     /* 1870101 */   // Label 25224: @1870101
     /* 1870101 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1870190), // Rule ID 14324 //
     /* 1870106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870152 */     // MIs[0] policy
     /* 1870152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870162 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870189 */     // GIR_Coverage, 14324,
     /* 1870189 */     GIR_EraseRootFromParent_Done,
     /* 1870190 */   // Label 25225: @1870190
     /* 1870190 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1870279), // Rule ID 14327 //
     /* 1870195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870241 */     // MIs[0] policy
     /* 1870241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870278 */     // GIR_Coverage, 14327,
     /* 1870278 */     GIR_EraseRootFromParent_Done,
     /* 1870279 */   // Label 25226: @1870279
     /* 1870279 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1870368), // Rule ID 14328 //
     /* 1870284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870330 */     // MIs[0] policy
     /* 1870330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870340 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870367 */     // GIR_Coverage, 14328,
     /* 1870367 */     GIR_EraseRootFromParent_Done,
     /* 1870368 */   // Label 25227: @1870368
     /* 1870368 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1870457), // Rule ID 14331 //
     /* 1870373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870419 */     // MIs[0] policy
     /* 1870419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870429 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870456 */     // GIR_Coverage, 14331,
     /* 1870456 */     GIR_EraseRootFromParent_Done,
     /* 1870457 */   // Label 25228: @1870457
     /* 1870457 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1870546), // Rule ID 14332 //
     /* 1870462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870508 */     // MIs[0] policy
     /* 1870508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870518 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870545 */     // GIR_Coverage, 14332,
     /* 1870545 */     GIR_EraseRootFromParent_Done,
     /* 1870546 */   // Label 25229: @1870546
     /* 1870546 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1870635), // Rule ID 14335 //
     /* 1870551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870597 */     // MIs[0] policy
     /* 1870597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870607 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870634 */     // GIR_Coverage, 14335,
     /* 1870634 */     GIR_EraseRootFromParent_Done,
     /* 1870635 */   // Label 25230: @1870635
     /* 1870635 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1870724), // Rule ID 14336 //
     /* 1870640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870686 */     // MIs[0] policy
     /* 1870686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870723 */     // GIR_Coverage, 14336,
     /* 1870723 */     GIR_EraseRootFromParent_Done,
     /* 1870724 */   // Label 25231: @1870724
     /* 1870724 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1870813), // Rule ID 14339 //
     /* 1870729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870775 */     // MIs[0] policy
     /* 1870775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870785 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870812 */     // GIR_Coverage, 14339,
     /* 1870812 */     GIR_EraseRootFromParent_Done,
     /* 1870813 */   // Label 25232: @1870813
     /* 1870813 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1870902), // Rule ID 14340 //
     /* 1870818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870864 */     // MIs[0] policy
     /* 1870864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870901 */     // GIR_Coverage, 14340,
     /* 1870901 */     GIR_EraseRootFromParent_Done,
     /* 1870902 */   // Label 25233: @1870902
     /* 1870902 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1870991), // Rule ID 14343 //
     /* 1870907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870953 */     // MIs[0] policy
     /* 1870953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870963 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870990 */     // GIR_Coverage, 14343,
     /* 1870990 */     GIR_EraseRootFromParent_Done,
     /* 1870991 */   // Label 25234: @1870991
     /* 1870991 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1871080), // Rule ID 14344 //
     /* 1870996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1871013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871042 */     // MIs[0] policy
     /* 1871042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871079 */     // GIR_Coverage, 14344,
     /* 1871079 */     GIR_EraseRootFromParent_Done,
     /* 1871080 */   // Label 25235: @1871080
     /* 1871080 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1871169), // Rule ID 14347 //
     /* 1871085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871131 */     // MIs[0] policy
     /* 1871131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871168 */     // GIR_Coverage, 14347,
     /* 1871168 */     GIR_EraseRootFromParent_Done,
     /* 1871169 */   // Label 25236: @1871169
     /* 1871169 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1871258), // Rule ID 14348 //
     /* 1871174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871220 */     // MIs[0] policy
     /* 1871220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871257 */     // GIR_Coverage, 14348,
     /* 1871257 */     GIR_EraseRootFromParent_Done,
     /* 1871258 */   // Label 25237: @1871258
     /* 1871258 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1871347), // Rule ID 14351 //
     /* 1871263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871309 */     // MIs[0] policy
     /* 1871309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871346 */     // GIR_Coverage, 14351,
     /* 1871346 */     GIR_EraseRootFromParent_Done,
     /* 1871347 */   // Label 25238: @1871347
     /* 1871347 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1871436), // Rule ID 14352 //
     /* 1871352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871398 */     // MIs[0] policy
     /* 1871398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871435 */     // GIR_Coverage, 14352,
     /* 1871435 */     GIR_EraseRootFromParent_Done,
     /* 1871436 */   // Label 25239: @1871436
     /* 1871436 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1871525), // Rule ID 14355 //
     /* 1871441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871487 */     // MIs[0] policy
     /* 1871487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871524 */     // GIR_Coverage, 14355,
     /* 1871524 */     GIR_EraseRootFromParent_Done,
     /* 1871525 */   // Label 25240: @1871525
     /* 1871525 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1871614), // Rule ID 14356 //
     /* 1871530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871576 */     // MIs[0] policy
     /* 1871576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871613 */     // GIR_Coverage, 14356,
     /* 1871613 */     GIR_EraseRootFromParent_Done,
     /* 1871614 */   // Label 25241: @1871614
     /* 1871614 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1871703), // Rule ID 14359 //
     /* 1871619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871665 */     // MIs[0] policy
     /* 1871665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871702 */     // GIR_Coverage, 14359,
     /* 1871702 */     GIR_EraseRootFromParent_Done,
     /* 1871703 */   // Label 25242: @1871703
     /* 1871703 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1871792), // Rule ID 14360 //
     /* 1871708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871754 */     // MIs[0] policy
     /* 1871754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871791 */     // GIR_Coverage, 14360,
     /* 1871791 */     GIR_EraseRootFromParent_Done,
     /* 1871792 */   // Label 25243: @1871792
     /* 1871792 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1871881), // Rule ID 14363 //
     /* 1871797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871843 */     // MIs[0] policy
     /* 1871843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871853 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871880 */     // GIR_Coverage, 14363,
     /* 1871880 */     GIR_EraseRootFromParent_Done,
     /* 1871881 */   // Label 25244: @1871881
     /* 1871881 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1871970), // Rule ID 14364 //
     /* 1871886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871932 */     // MIs[0] policy
     /* 1871932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871969 */     // GIR_Coverage, 14364,
     /* 1871969 */     GIR_EraseRootFromParent_Done,
     /* 1871970 */   // Label 25245: @1871970
     /* 1871970 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1872059), // Rule ID 14367 //
     /* 1871975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872021 */     // MIs[0] policy
     /* 1872021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1872034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872058 */     // GIR_Coverage, 14367,
     /* 1872058 */     GIR_EraseRootFromParent_Done,
     /* 1872059 */   // Label 25246: @1872059
     /* 1872059 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1872148), // Rule ID 14368 //
     /* 1872064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872110 */     // MIs[0] policy
     /* 1872110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872120 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1872123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872147 */     // GIR_Coverage, 14368,
     /* 1872147 */     GIR_EraseRootFromParent_Done,
     /* 1872148 */   // Label 25247: @1872148
     /* 1872148 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1872237), // Rule ID 14459 //
     /* 1872153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872199 */     // MIs[0] policy
     /* 1872199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872209 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872236 */     // GIR_Coverage, 14459,
     /* 1872236 */     GIR_EraseRootFromParent_Done,
     /* 1872237 */   // Label 25248: @1872237
     /* 1872237 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1872326), // Rule ID 14460 //
     /* 1872242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872288 */     // MIs[0] policy
     /* 1872288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872298 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872325 */     // GIR_Coverage, 14460,
     /* 1872325 */     GIR_EraseRootFromParent_Done,
     /* 1872326 */   // Label 25249: @1872326
     /* 1872326 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1872415), // Rule ID 14463 //
     /* 1872331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872377 */     // MIs[0] policy
     /* 1872377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872387 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872414 */     // GIR_Coverage, 14463,
     /* 1872414 */     GIR_EraseRootFromParent_Done,
     /* 1872415 */   // Label 25250: @1872415
     /* 1872415 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1872504), // Rule ID 14464 //
     /* 1872420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872466 */     // MIs[0] policy
     /* 1872466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872503 */     // GIR_Coverage, 14464,
     /* 1872503 */     GIR_EraseRootFromParent_Done,
     /* 1872504 */   // Label 25251: @1872504
     /* 1872504 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1872593), // Rule ID 14467 //
     /* 1872509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1872529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872555 */     // MIs[0] policy
     /* 1872555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872592 */     // GIR_Coverage, 14467,
     /* 1872592 */     GIR_EraseRootFromParent_Done,
     /* 1872593 */   // Label 25252: @1872593
     /* 1872593 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1872682), // Rule ID 14468 //
     /* 1872598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1872618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872644 */     // MIs[0] policy
     /* 1872644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872654 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872681 */     // GIR_Coverage, 14468,
     /* 1872681 */     GIR_EraseRootFromParent_Done,
     /* 1872682 */   // Label 25253: @1872682
     /* 1872682 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1872771), // Rule ID 14471 //
     /* 1872687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1872707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872733 */     // MIs[0] policy
     /* 1872733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872770 */     // GIR_Coverage, 14471,
     /* 1872770 */     GIR_EraseRootFromParent_Done,
     /* 1872771 */   // Label 25254: @1872771
     /* 1872771 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1872860), // Rule ID 14472 //
     /* 1872776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1872796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872822 */     // MIs[0] policy
     /* 1872822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872859 */     // GIR_Coverage, 14472,
     /* 1872859 */     GIR_EraseRootFromParent_Done,
     /* 1872860 */   // Label 25255: @1872860
     /* 1872860 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1872949), // Rule ID 14475 //
     /* 1872865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1872885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872911 */     // MIs[0] policy
     /* 1872911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872948 */     // GIR_Coverage, 14475,
     /* 1872948 */     GIR_EraseRootFromParent_Done,
     /* 1872949 */   // Label 25256: @1872949
     /* 1872949 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1873038), // Rule ID 14476 //
     /* 1872954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1872974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873000 */     // MIs[0] policy
     /* 1873000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873037 */     // GIR_Coverage, 14476,
     /* 1873037 */     GIR_EraseRootFromParent_Done,
     /* 1873038 */   // Label 25257: @1873038
     /* 1873038 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1873127), // Rule ID 14479 //
     /* 1873043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873089 */     // MIs[0] policy
     /* 1873089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873126 */     // GIR_Coverage, 14479,
     /* 1873126 */     GIR_EraseRootFromParent_Done,
     /* 1873127 */   // Label 25258: @1873127
     /* 1873127 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1873216), // Rule ID 14480 //
     /* 1873132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873178 */     // MIs[0] policy
     /* 1873178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873215 */     // GIR_Coverage, 14480,
     /* 1873215 */     GIR_EraseRootFromParent_Done,
     /* 1873216 */   // Label 25259: @1873216
     /* 1873216 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1873305), // Rule ID 14483 //
     /* 1873221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873267 */     // MIs[0] policy
     /* 1873267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873304 */     // GIR_Coverage, 14483,
     /* 1873304 */     GIR_EraseRootFromParent_Done,
     /* 1873305 */   // Label 25260: @1873305
     /* 1873305 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1873394), // Rule ID 14484 //
     /* 1873310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873356 */     // MIs[0] policy
     /* 1873356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873393 */     // GIR_Coverage, 14484,
     /* 1873393 */     GIR_EraseRootFromParent_Done,
     /* 1873394 */   // Label 25261: @1873394
     /* 1873394 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1873483), // Rule ID 14487 //
     /* 1873399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873445 */     // MIs[0] policy
     /* 1873445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873482 */     // GIR_Coverage, 14487,
     /* 1873482 */     GIR_EraseRootFromParent_Done,
     /* 1873483 */   // Label 25262: @1873483
     /* 1873483 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1873572), // Rule ID 14488 //
     /* 1873488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873534 */     // MIs[0] policy
     /* 1873534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873571 */     // GIR_Coverage, 14488,
     /* 1873571 */     GIR_EraseRootFromParent_Done,
     /* 1873572 */   // Label 25263: @1873572
     /* 1873572 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1873661), // Rule ID 14491 //
     /* 1873577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1873597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873623 */     // MIs[0] policy
     /* 1873623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873660 */     // GIR_Coverage, 14491,
     /* 1873660 */     GIR_EraseRootFromParent_Done,
     /* 1873661 */   // Label 25264: @1873661
     /* 1873661 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1873750), // Rule ID 14492 //
     /* 1873666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1873686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873712 */     // MIs[0] policy
     /* 1873712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873749 */     // GIR_Coverage, 14492,
     /* 1873749 */     GIR_EraseRootFromParent_Done,
     /* 1873750 */   // Label 25265: @1873750
     /* 1873750 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1873839), // Rule ID 14495 //
     /* 1873755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1873758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1873775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873801 */     // MIs[0] policy
     /* 1873801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873811 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873838 */     // GIR_Coverage, 14495,
     /* 1873838 */     GIR_EraseRootFromParent_Done,
     /* 1873839 */   // Label 25266: @1873839
     /* 1873839 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1873928), // Rule ID 14496 //
     /* 1873844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1873847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1873864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873890 */     // MIs[0] policy
     /* 1873890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873927 */     // GIR_Coverage, 14496,
     /* 1873927 */     GIR_EraseRootFromParent_Done,
     /* 1873928 */   // Label 25267: @1873928
     /* 1873928 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1874017), // Rule ID 14499 //
     /* 1873933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1873953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873979 */     // MIs[0] policy
     /* 1873979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873989 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1873992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874016 */     // GIR_Coverage, 14499,
     /* 1874016 */     GIR_EraseRootFromParent_Done,
     /* 1874017 */   // Label 25268: @1874017
     /* 1874017 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1874106), // Rule ID 14500 //
     /* 1874022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1874042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874068 */     // MIs[0] policy
     /* 1874068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874078 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874105 */     // GIR_Coverage, 14500,
     /* 1874105 */     GIR_EraseRootFromParent_Done,
     /* 1874106 */   // Label 25269: @1874106
     /* 1874106 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1874195), // Rule ID 14503 //
     /* 1874111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874157 */     // MIs[0] policy
     /* 1874157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874167 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874194 */     // GIR_Coverage, 14503,
     /* 1874194 */     GIR_EraseRootFromParent_Done,
     /* 1874195 */   // Label 25270: @1874195
     /* 1874195 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1874284), // Rule ID 14504 //
     /* 1874200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874246 */     // MIs[0] policy
     /* 1874246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874283 */     // GIR_Coverage, 14504,
     /* 1874283 */     GIR_EraseRootFromParent_Done,
     /* 1874284 */   // Label 25271: @1874284
     /* 1874284 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1874373), // Rule ID 14507 //
     /* 1874289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874335 */     // MIs[0] policy
     /* 1874335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874345 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874372 */     // GIR_Coverage, 14507,
     /* 1874372 */     GIR_EraseRootFromParent_Done,
     /* 1874373 */   // Label 25272: @1874373
     /* 1874373 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1874462), // Rule ID 14508 //
     /* 1874378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874424 */     // MIs[0] policy
     /* 1874424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874434 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874461 */     // GIR_Coverage, 14508,
     /* 1874461 */     GIR_EraseRootFromParent_Done,
     /* 1874462 */   // Label 25273: @1874462
     /* 1874462 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1874551), // Rule ID 14511 //
     /* 1874467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874513 */     // MIs[0] policy
     /* 1874513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874550 */     // GIR_Coverage, 14511,
     /* 1874550 */     GIR_EraseRootFromParent_Done,
     /* 1874551 */   // Label 25274: @1874551
     /* 1874551 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1874640), // Rule ID 14512 //
     /* 1874556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874602 */     // MIs[0] policy
     /* 1874602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874639 */     // GIR_Coverage, 14512,
     /* 1874639 */     GIR_EraseRootFromParent_Done,
     /* 1874640 */   // Label 25275: @1874640
     /* 1874640 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1874729), // Rule ID 14515 //
     /* 1874645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1874665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874691 */     // MIs[0] policy
     /* 1874691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874701 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874728 */     // GIR_Coverage, 14515,
     /* 1874728 */     GIR_EraseRootFromParent_Done,
     /* 1874729 */   // Label 25276: @1874729
     /* 1874729 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1874818), // Rule ID 14516 //
     /* 1874734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1874754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874780 */     // MIs[0] policy
     /* 1874780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874817 */     // GIR_Coverage, 14516,
     /* 1874817 */     GIR_EraseRootFromParent_Done,
     /* 1874818 */   // Label 25277: @1874818
     /* 1874818 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1874907), // Rule ID 14519 //
     /* 1874823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1874843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874869 */     // MIs[0] policy
     /* 1874869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874879 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874906 */     // GIR_Coverage, 14519,
     /* 1874906 */     GIR_EraseRootFromParent_Done,
     /* 1874907 */   // Label 25278: @1874907
     /* 1874907 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1874996), // Rule ID 14520 //
     /* 1874912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1874932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874958 */     // MIs[0] policy
     /* 1874958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874995 */     // GIR_Coverage, 14520,
     /* 1874995 */     GIR_EraseRootFromParent_Done,
     /* 1874996 */   // Label 25279: @1874996
     /* 1874996 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1875085), // Rule ID 14523 //
     /* 1875001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1875021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875047 */     // MIs[0] policy
     /* 1875047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875057 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875084 */     // GIR_Coverage, 14523,
     /* 1875084 */     GIR_EraseRootFromParent_Done,
     /* 1875085 */   // Label 25280: @1875085
     /* 1875085 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1875174), // Rule ID 14524 //
     /* 1875090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1875110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875136 */     // MIs[0] policy
     /* 1875136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875173 */     // GIR_Coverage, 14524,
     /* 1875173 */     GIR_EraseRootFromParent_Done,
     /* 1875174 */   // Label 25281: @1875174
     /* 1875174 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1875263), // Rule ID 14527 //
     /* 1875179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875225 */     // MIs[0] policy
     /* 1875225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875235 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875262 */     // GIR_Coverage, 14527,
     /* 1875262 */     GIR_EraseRootFromParent_Done,
     /* 1875263 */   // Label 25282: @1875263
     /* 1875263 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1875352), // Rule ID 14528 //
     /* 1875268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875314 */     // MIs[0] policy
     /* 1875314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875351 */     // GIR_Coverage, 14528,
     /* 1875351 */     GIR_EraseRootFromParent_Done,
     /* 1875352 */   // Label 25283: @1875352
     /* 1875352 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1875441), // Rule ID 14531 //
     /* 1875357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875403 */     // MIs[0] policy
     /* 1875403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875413 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875440 */     // GIR_Coverage, 14531,
     /* 1875440 */     GIR_EraseRootFromParent_Done,
     /* 1875441 */   // Label 25284: @1875441
     /* 1875441 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1875530), // Rule ID 14532 //
     /* 1875446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875492 */     // MIs[0] policy
     /* 1875492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875529 */     // GIR_Coverage, 14532,
     /* 1875529 */     GIR_EraseRootFromParent_Done,
     /* 1875530 */   // Label 25285: @1875530
     /* 1875530 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1875619), // Rule ID 14535 //
     /* 1875535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1875555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875581 */     // MIs[0] policy
     /* 1875581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875591 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875618 */     // GIR_Coverage, 14535,
     /* 1875618 */     GIR_EraseRootFromParent_Done,
     /* 1875619 */   // Label 25286: @1875619
     /* 1875619 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1875708), // Rule ID 14536 //
     /* 1875624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1875644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875670 */     // MIs[0] policy
     /* 1875670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875707 */     // GIR_Coverage, 14536,
     /* 1875707 */     GIR_EraseRootFromParent_Done,
     /* 1875708 */   // Label 25287: @1875708
     /* 1875708 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1875797), // Rule ID 14539 //
     /* 1875713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1875733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875759 */     // MIs[0] policy
     /* 1875759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875796 */     // GIR_Coverage, 14539,
     /* 1875796 */     GIR_EraseRootFromParent_Done,
     /* 1875797 */   // Label 25288: @1875797
     /* 1875797 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1875886), // Rule ID 14540 //
     /* 1875802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1875822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875848 */     // MIs[0] policy
     /* 1875848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875885 */     // GIR_Coverage, 14540,
     /* 1875885 */     GIR_EraseRootFromParent_Done,
     /* 1875886 */   // Label 25289: @1875886
     /* 1875886 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1875975), // Rule ID 14543 //
     /* 1875891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1875911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875937 */     // MIs[0] policy
     /* 1875937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875974 */     // GIR_Coverage, 14543,
     /* 1875974 */     GIR_EraseRootFromParent_Done,
     /* 1875975 */   // Label 25290: @1875975
     /* 1875975 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1876064), // Rule ID 14544 //
     /* 1875980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1876000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876026 */     // MIs[0] policy
     /* 1876026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1876039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876063 */     // GIR_Coverage, 14544,
     /* 1876063 */     GIR_EraseRootFromParent_Done,
     /* 1876064 */   // Label 25291: @1876064
     /* 1876064 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1876153), // Rule ID 14547 //
     /* 1876069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876115 */     // MIs[0] policy
     /* 1876115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876125 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876152 */     // GIR_Coverage, 14547,
     /* 1876152 */     GIR_EraseRootFromParent_Done,
     /* 1876153 */   // Label 25292: @1876153
     /* 1876153 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1876242), // Rule ID 14548 //
     /* 1876158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876204 */     // MIs[0] policy
     /* 1876204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876214 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876241 */     // GIR_Coverage, 14548,
     /* 1876241 */     GIR_EraseRootFromParent_Done,
     /* 1876242 */   // Label 25293: @1876242
     /* 1876242 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1876331), // Rule ID 14551 //
     /* 1876247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876293 */     // MIs[0] policy
     /* 1876293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876303 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876330 */     // GIR_Coverage, 14551,
     /* 1876330 */     GIR_EraseRootFromParent_Done,
     /* 1876331 */   // Label 25294: @1876331
     /* 1876331 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1876420), // Rule ID 14552 //
     /* 1876336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876382 */     // MIs[0] policy
     /* 1876382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876419 */     // GIR_Coverage, 14552,
     /* 1876419 */     GIR_EraseRootFromParent_Done,
     /* 1876420 */   // Label 25295: @1876420
     /* 1876420 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1876509), // Rule ID 14555 //
     /* 1876425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876471 */     // MIs[0] policy
     /* 1876471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876481 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876508 */     // GIR_Coverage, 14555,
     /* 1876508 */     GIR_EraseRootFromParent_Done,
     /* 1876509 */   // Label 25296: @1876509
     /* 1876509 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1876598), // Rule ID 14556 //
     /* 1876514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876560 */     // MIs[0] policy
     /* 1876560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876570 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876597 */     // GIR_Coverage, 14556,
     /* 1876597 */     GIR_EraseRootFromParent_Done,
     /* 1876598 */   // Label 25297: @1876598
     /* 1876598 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1876687), // Rule ID 14559 //
     /* 1876603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876649 */     // MIs[0] policy
     /* 1876649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876686 */     // GIR_Coverage, 14559,
     /* 1876686 */     GIR_EraseRootFromParent_Done,
     /* 1876687 */   // Label 25298: @1876687
     /* 1876687 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1876776), // Rule ID 14560 //
     /* 1876692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876738 */     // MIs[0] policy
     /* 1876738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876748 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876775 */     // GIR_Coverage, 14560,
     /* 1876775 */     GIR_EraseRootFromParent_Done,
     /* 1876776 */   // Label 25299: @1876776
     /* 1876776 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1876865), // Rule ID 14563 //
     /* 1876781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876827 */     // MIs[0] policy
     /* 1876827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876837 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876864 */     // GIR_Coverage, 14563,
     /* 1876864 */     GIR_EraseRootFromParent_Done,
     /* 1876865 */   // Label 25300: @1876865
     /* 1876865 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1876954), // Rule ID 14564 //
     /* 1876870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876916 */     // MIs[0] policy
     /* 1876916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876953 */     // GIR_Coverage, 14564,
     /* 1876953 */     GIR_EraseRootFromParent_Done,
     /* 1876954 */   // Label 25301: @1876954
     /* 1876954 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1877043), // Rule ID 14567 //
     /* 1876959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877005 */     // MIs[0] policy
     /* 1877005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877042 */     // GIR_Coverage, 14567,
     /* 1877042 */     GIR_EraseRootFromParent_Done,
     /* 1877043 */   // Label 25302: @1877043
     /* 1877043 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1877132), // Rule ID 14568 //
     /* 1877048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877094 */     // MIs[0] policy
     /* 1877094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877104 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877131 */     // GIR_Coverage, 14568,
     /* 1877131 */     GIR_EraseRootFromParent_Done,
     /* 1877132 */   // Label 25303: @1877132
     /* 1877132 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1877221), // Rule ID 14571 //
     /* 1877137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877183 */     // MIs[0] policy
     /* 1877183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877193 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877220 */     // GIR_Coverage, 14571,
     /* 1877220 */     GIR_EraseRootFromParent_Done,
     /* 1877221 */   // Label 25304: @1877221
     /* 1877221 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1877310), // Rule ID 14572 //
     /* 1877226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877272 */     // MIs[0] policy
     /* 1877272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877309 */     // GIR_Coverage, 14572,
     /* 1877309 */     GIR_EraseRootFromParent_Done,
     /* 1877310 */   // Label 25305: @1877310
     /* 1877310 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1877399), // Rule ID 14575 //
     /* 1877315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877361 */     // MIs[0] policy
     /* 1877361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877398 */     // GIR_Coverage, 14575,
     /* 1877398 */     GIR_EraseRootFromParent_Done,
     /* 1877399 */   // Label 25306: @1877399
     /* 1877399 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1877488), // Rule ID 14576 //
     /* 1877404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877450 */     // MIs[0] policy
     /* 1877450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877487 */     // GIR_Coverage, 14576,
     /* 1877487 */     GIR_EraseRootFromParent_Done,
     /* 1877488 */   // Label 25307: @1877488
     /* 1877488 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1877577), // Rule ID 14579 //
     /* 1877493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877539 */     // MIs[0] policy
     /* 1877539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877576 */     // GIR_Coverage, 14579,
     /* 1877576 */     GIR_EraseRootFromParent_Done,
     /* 1877577 */   // Label 25308: @1877577
     /* 1877577 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1877666), // Rule ID 14580 //
     /* 1877582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877628 */     // MIs[0] policy
     /* 1877628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877665 */     // GIR_Coverage, 14580,
     /* 1877665 */     GIR_EraseRootFromParent_Done,
     /* 1877666 */   // Label 25309: @1877666
     /* 1877666 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1877755), // Rule ID 14583 //
     /* 1877671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1877674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877717 */     // MIs[0] policy
     /* 1877717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877754 */     // GIR_Coverage, 14583,
     /* 1877754 */     GIR_EraseRootFromParent_Done,
     /* 1877755 */   // Label 25310: @1877755
     /* 1877755 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1877844), // Rule ID 14584 //
     /* 1877760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877806 */     // MIs[0] policy
     /* 1877806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877843 */     // GIR_Coverage, 14584,
     /* 1877843 */     GIR_EraseRootFromParent_Done,
     /* 1877844 */   // Label 25311: @1877844
     /* 1877844 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1877933), // Rule ID 14587 //
     /* 1877849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877895 */     // MIs[0] policy
     /* 1877895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877905 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877932 */     // GIR_Coverage, 14587,
     /* 1877932 */     GIR_EraseRootFromParent_Done,
     /* 1877933 */   // Label 25312: @1877933
     /* 1877933 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1878022), // Rule ID 14588 //
     /* 1877938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877984 */     // MIs[0] policy
     /* 1877984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877994 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878021 */     // GIR_Coverage, 14588,
     /* 1878021 */     GIR_EraseRootFromParent_Done,
     /* 1878022 */   // Label 25313: @1878022
     /* 1878022 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1878111), // Rule ID 14591 //
     /* 1878027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878073 */     // MIs[0] policy
     /* 1878073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878083 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878110 */     // GIR_Coverage, 14591,
     /* 1878110 */     GIR_EraseRootFromParent_Done,
     /* 1878111 */   // Label 25314: @1878111
     /* 1878111 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1878200), // Rule ID 14592 //
     /* 1878116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878162 */     // MIs[0] policy
     /* 1878162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878199 */     // GIR_Coverage, 14592,
     /* 1878199 */     GIR_EraseRootFromParent_Done,
     /* 1878200 */   // Label 25315: @1878200
     /* 1878200 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1878289), // Rule ID 14595 //
     /* 1878205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878251 */     // MIs[0] policy
     /* 1878251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878288 */     // GIR_Coverage, 14595,
     /* 1878288 */     GIR_EraseRootFromParent_Done,
     /* 1878289 */   // Label 25316: @1878289
     /* 1878289 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1878378), // Rule ID 14596 //
     /* 1878294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878340 */     // MIs[0] policy
     /* 1878340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878377 */     // GIR_Coverage, 14596,
     /* 1878377 */     GIR_EraseRootFromParent_Done,
     /* 1878378 */   // Label 25317: @1878378
     /* 1878378 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1878467), // Rule ID 14599 //
     /* 1878383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878429 */     // MIs[0] policy
     /* 1878429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878466 */     // GIR_Coverage, 14599,
     /* 1878466 */     GIR_EraseRootFromParent_Done,
     /* 1878467 */   // Label 25318: @1878467
     /* 1878467 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1878556), // Rule ID 14600 //
     /* 1878472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878518 */     // MIs[0] policy
     /* 1878518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878555 */     // GIR_Coverage, 14600,
     /* 1878555 */     GIR_EraseRootFromParent_Done,
     /* 1878556 */   // Label 25319: @1878556
     /* 1878556 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1878645), // Rule ID 14603 //
     /* 1878561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878607 */     // MIs[0] policy
     /* 1878607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878644 */     // GIR_Coverage, 14603,
     /* 1878644 */     GIR_EraseRootFromParent_Done,
     /* 1878645 */   // Label 25320: @1878645
     /* 1878645 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1878734), // Rule ID 14604 //
     /* 1878650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878696 */     // MIs[0] policy
     /* 1878696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878733 */     // GIR_Coverage, 14604,
     /* 1878733 */     GIR_EraseRootFromParent_Done,
     /* 1878734 */   // Label 25321: @1878734
     /* 1878734 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1878823), // Rule ID 14607 //
     /* 1878739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878785 */     // MIs[0] policy
     /* 1878785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878822 */     // GIR_Coverage, 14607,
     /* 1878822 */     GIR_EraseRootFromParent_Done,
     /* 1878823 */   // Label 25322: @1878823
     /* 1878823 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1878912), // Rule ID 14608 //
     /* 1878828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878874 */     // MIs[0] policy
     /* 1878874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878911 */     // GIR_Coverage, 14608,
     /* 1878911 */     GIR_EraseRootFromParent_Done,
     /* 1878912 */   // Label 25323: @1878912
     /* 1878912 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1879001), // Rule ID 14611 //
     /* 1878917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878963 */     // MIs[0] policy
     /* 1878963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878973 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879000 */     // GIR_Coverage, 14611,
     /* 1879000 */     GIR_EraseRootFromParent_Done,
     /* 1879001 */   // Label 25324: @1879001
     /* 1879001 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1879090), // Rule ID 14612 //
     /* 1879006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1879017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1879020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1879023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879052 */     // MIs[0] policy
     /* 1879052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879089 */     // GIR_Coverage, 14612,
     /* 1879089 */     GIR_EraseRootFromParent_Done,
     /* 1879090 */   // Label 25325: @1879090
     /* 1879090 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1879179), // Rule ID 14615 //
     /* 1879095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879141 */     // MIs[0] policy
     /* 1879141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879151 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879178 */     // GIR_Coverage, 14615,
     /* 1879178 */     GIR_EraseRootFromParent_Done,
     /* 1879179 */   // Label 25326: @1879179
     /* 1879179 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1879268), // Rule ID 14616 //
     /* 1879184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879230 */     // MIs[0] policy
     /* 1879230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879267 */     // GIR_Coverage, 14616,
     /* 1879267 */     GIR_EraseRootFromParent_Done,
     /* 1879268 */   // Label 25327: @1879268
     /* 1879268 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1879357), // Rule ID 14619 //
     /* 1879273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879319 */     // MIs[0] policy
     /* 1879319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879356 */     // GIR_Coverage, 14619,
     /* 1879356 */     GIR_EraseRootFromParent_Done,
     /* 1879357 */   // Label 25328: @1879357
     /* 1879357 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1879446), // Rule ID 14620 //
     /* 1879362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879408 */     // MIs[0] policy
     /* 1879408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879445 */     // GIR_Coverage, 14620,
     /* 1879445 */     GIR_EraseRootFromParent_Done,
     /* 1879446 */   // Label 25329: @1879446
     /* 1879446 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1879535), // Rule ID 14623 //
     /* 1879451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879497 */     // MIs[0] policy
     /* 1879497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879534 */     // GIR_Coverage, 14623,
     /* 1879534 */     GIR_EraseRootFromParent_Done,
     /* 1879535 */   // Label 25330: @1879535
     /* 1879535 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1879624), // Rule ID 14624 //
     /* 1879540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879586 */     // MIs[0] policy
     /* 1879586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879623 */     // GIR_Coverage, 14624,
     /* 1879623 */     GIR_EraseRootFromParent_Done,
     /* 1879624 */   // Label 25331: @1879624
     /* 1879624 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1879713), // Rule ID 14627 //
     /* 1879629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879675 */     // MIs[0] policy
     /* 1879675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879685 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879712 */     // GIR_Coverage, 14627,
     /* 1879712 */     GIR_EraseRootFromParent_Done,
     /* 1879713 */   // Label 25332: @1879713
     /* 1879713 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1879802), // Rule ID 14628 //
     /* 1879718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879764 */     // MIs[0] policy
     /* 1879764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879801 */     // GIR_Coverage, 14628,
     /* 1879801 */     GIR_EraseRootFromParent_Done,
     /* 1879802 */   // Label 25333: @1879802
     /* 1879802 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1879891), // Rule ID 14631 //
     /* 1879807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879853 */     // MIs[0] policy
     /* 1879853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879863 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879890 */     // GIR_Coverage, 14631,
     /* 1879890 */     GIR_EraseRootFromParent_Done,
     /* 1879891 */   // Label 25334: @1879891
     /* 1879891 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1879980), // Rule ID 14632 //
     /* 1879896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879942 */     // MIs[0] policy
     /* 1879942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879979 */     // GIR_Coverage, 14632,
     /* 1879979 */     GIR_EraseRootFromParent_Done,
     /* 1879980 */   // Label 25335: @1879980
     /* 1879980 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1880069), // Rule ID 14635 //
     /* 1879985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1880005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880031 */     // MIs[0] policy
     /* 1880031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880041 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1880044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880068 */     // GIR_Coverage, 14635,
     /* 1880068 */     GIR_EraseRootFromParent_Done,
     /* 1880069 */   // Label 25336: @1880069
     /* 1880069 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1880158), // Rule ID 14636 //
     /* 1880074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1880094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880120 */     // MIs[0] policy
     /* 1880120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880130 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1880133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880157 */     // GIR_Coverage, 14636,
     /* 1880157 */     GIR_EraseRootFromParent_Done,
     /* 1880158 */   // Label 25337: @1880158
     /* 1880158 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1880247), // Rule ID 14639 //
     /* 1880163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880209 */     // MIs[0] policy
     /* 1880209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880246 */     // GIR_Coverage, 14639,
     /* 1880246 */     GIR_EraseRootFromParent_Done,
     /* 1880247 */   // Label 25338: @1880247
     /* 1880247 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1880336), // Rule ID 14640 //
     /* 1880252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880298 */     // MIs[0] policy
     /* 1880298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880335 */     // GIR_Coverage, 14640,
     /* 1880335 */     GIR_EraseRootFromParent_Done,
     /* 1880336 */   // Label 25339: @1880336
     /* 1880336 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1880425), // Rule ID 14643 //
     /* 1880341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880387 */     // MIs[0] policy
     /* 1880387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880424 */     // GIR_Coverage, 14643,
     /* 1880424 */     GIR_EraseRootFromParent_Done,
     /* 1880425 */   // Label 25340: @1880425
     /* 1880425 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1880514), // Rule ID 14644 //
     /* 1880430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880476 */     // MIs[0] policy
     /* 1880476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880486 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880513 */     // GIR_Coverage, 14644,
     /* 1880513 */     GIR_EraseRootFromParent_Done,
     /* 1880514 */   // Label 25341: @1880514
     /* 1880514 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1880603), // Rule ID 14647 //
     /* 1880519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1880539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880565 */     // MIs[0] policy
     /* 1880565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880602 */     // GIR_Coverage, 14647,
     /* 1880602 */     GIR_EraseRootFromParent_Done,
     /* 1880603 */   // Label 25342: @1880603
     /* 1880603 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1880692), // Rule ID 14648 //
     /* 1880608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1880628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880654 */     // MIs[0] policy
     /* 1880654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880691 */     // GIR_Coverage, 14648,
     /* 1880691 */     GIR_EraseRootFromParent_Done,
     /* 1880692 */   // Label 25343: @1880692
     /* 1880692 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1880781), // Rule ID 14651 //
     /* 1880697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1880717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880743 */     // MIs[0] policy
     /* 1880743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880780 */     // GIR_Coverage, 14651,
     /* 1880780 */     GIR_EraseRootFromParent_Done,
     /* 1880781 */   // Label 25344: @1880781
     /* 1880781 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1880870), // Rule ID 14652 //
     /* 1880786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1880806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880832 */     // MIs[0] policy
     /* 1880832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880842 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880869 */     // GIR_Coverage, 14652,
     /* 1880869 */     GIR_EraseRootFromParent_Done,
     /* 1880870 */   // Label 25345: @1880870
     /* 1880870 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1880959), // Rule ID 14655 //
     /* 1880875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1880895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880921 */     // MIs[0] policy
     /* 1880921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880958 */     // GIR_Coverage, 14655,
     /* 1880958 */     GIR_EraseRootFromParent_Done,
     /* 1880959 */   // Label 25346: @1880959
     /* 1880959 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1881048), // Rule ID 14656 //
     /* 1880964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1880984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881010 */     // MIs[0] policy
     /* 1881010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881047 */     // GIR_Coverage, 14656,
     /* 1881047 */     GIR_EraseRootFromParent_Done,
     /* 1881048 */   // Label 25347: @1881048
     /* 1881048 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1881137), // Rule ID 14659 //
     /* 1881053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881099 */     // MIs[0] policy
     /* 1881099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881136 */     // GIR_Coverage, 14659,
     /* 1881136 */     GIR_EraseRootFromParent_Done,
     /* 1881137 */   // Label 25348: @1881137
     /* 1881137 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1881226), // Rule ID 14660 //
     /* 1881142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881188 */     // MIs[0] policy
     /* 1881188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881225 */     // GIR_Coverage, 14660,
     /* 1881225 */     GIR_EraseRootFromParent_Done,
     /* 1881226 */   // Label 25349: @1881226
     /* 1881226 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1881315), // Rule ID 14663 //
     /* 1881231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881277 */     // MIs[0] policy
     /* 1881277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881314 */     // GIR_Coverage, 14663,
     /* 1881314 */     GIR_EraseRootFromParent_Done,
     /* 1881315 */   // Label 25350: @1881315
     /* 1881315 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1881404), // Rule ID 14664 //
     /* 1881320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881366 */     // MIs[0] policy
     /* 1881366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881403 */     // GIR_Coverage, 14664,
     /* 1881403 */     GIR_EraseRootFromParent_Done,
     /* 1881404 */   // Label 25351: @1881404
     /* 1881404 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1881493), // Rule ID 14667 //
     /* 1881409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881455 */     // MIs[0] policy
     /* 1881455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881492 */     // GIR_Coverage, 14667,
     /* 1881492 */     GIR_EraseRootFromParent_Done,
     /* 1881493 */   // Label 25352: @1881493
     /* 1881493 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1881582), // Rule ID 14668 //
     /* 1881498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881544 */     // MIs[0] policy
     /* 1881544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881581 */     // GIR_Coverage, 14668,
     /* 1881581 */     GIR_EraseRootFromParent_Done,
     /* 1881582 */   // Label 25353: @1881582
     /* 1881582 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1881671), // Rule ID 14671 //
     /* 1881587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1881607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881633 */     // MIs[0] policy
     /* 1881633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881670 */     // GIR_Coverage, 14671,
     /* 1881670 */     GIR_EraseRootFromParent_Done,
     /* 1881671 */   // Label 25354: @1881671
     /* 1881671 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1881760), // Rule ID 14672 //
     /* 1881676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1881696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881722 */     // MIs[0] policy
     /* 1881722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881759 */     // GIR_Coverage, 14672,
     /* 1881759 */     GIR_EraseRootFromParent_Done,
     /* 1881760 */   // Label 25355: @1881760
     /* 1881760 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1881849), // Rule ID 14675 //
     /* 1881765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1881785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881811 */     // MIs[0] policy
     /* 1881811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881848 */     // GIR_Coverage, 14675,
     /* 1881848 */     GIR_EraseRootFromParent_Done,
     /* 1881849 */   // Label 25356: @1881849
     /* 1881849 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1881938), // Rule ID 14676 //
     /* 1881854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1881874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881900 */     // MIs[0] policy
     /* 1881900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881910 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881937 */     // GIR_Coverage, 14676,
     /* 1881937 */     GIR_EraseRootFromParent_Done,
     /* 1881938 */   // Label 25357: @1881938
     /* 1881938 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1882027), // Rule ID 14679 //
     /* 1881943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1881963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881989 */     // MIs[0] policy
     /* 1881989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882026 */     // GIR_Coverage, 14679,
     /* 1882026 */     GIR_EraseRootFromParent_Done,
     /* 1882027 */   // Label 25358: @1882027
     /* 1882027 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1882116), // Rule ID 14680 //
     /* 1882032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1882043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1882046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1882049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1882052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882078 */     // MIs[0] policy
     /* 1882078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882088 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882115 */     // GIR_Coverage, 14680,
     /* 1882115 */     GIR_EraseRootFromParent_Done,
     /* 1882116 */   // Label 25359: @1882116
     /* 1882116 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1882205), // Rule ID 14683 //
     /* 1882121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882167 */     // MIs[0] policy
     /* 1882167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882177 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882204 */     // GIR_Coverage, 14683,
     /* 1882204 */     GIR_EraseRootFromParent_Done,
     /* 1882205 */   // Label 25360: @1882205
     /* 1882205 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1882294), // Rule ID 14684 //
     /* 1882210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882256 */     // MIs[0] policy
     /* 1882256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882293 */     // GIR_Coverage, 14684,
     /* 1882293 */     GIR_EraseRootFromParent_Done,
     /* 1882294 */   // Label 25361: @1882294
     /* 1882294 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1882383), // Rule ID 14687 //
     /* 1882299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882345 */     // MIs[0] policy
     /* 1882345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882382 */     // GIR_Coverage, 14687,
     /* 1882382 */     GIR_EraseRootFromParent_Done,
     /* 1882383 */   // Label 25362: @1882383
     /* 1882383 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1882472), // Rule ID 14688 //
     /* 1882388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882434 */     // MIs[0] policy
     /* 1882434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882471 */     // GIR_Coverage, 14688,
     /* 1882471 */     GIR_EraseRootFromParent_Done,
     /* 1882472 */   // Label 25363: @1882472
     /* 1882472 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1882561), // Rule ID 14691 //
     /* 1882477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882523 */     // MIs[0] policy
     /* 1882523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882560 */     // GIR_Coverage, 14691,
     /* 1882560 */     GIR_EraseRootFromParent_Done,
     /* 1882561 */   // Label 25364: @1882561
     /* 1882561 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1882650), // Rule ID 14692 //
     /* 1882566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882612 */     // MIs[0] policy
     /* 1882612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882649 */     // GIR_Coverage, 14692,
     /* 1882649 */     GIR_EraseRootFromParent_Done,
     /* 1882650 */   // Label 25365: @1882650
     /* 1882650 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1882739), // Rule ID 14695 //
     /* 1882655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1882675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882701 */     // MIs[0] policy
     /* 1882701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882738 */     // GIR_Coverage, 14695,
     /* 1882738 */     GIR_EraseRootFromParent_Done,
     /* 1882739 */   // Label 25366: @1882739
     /* 1882739 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1882828), // Rule ID 14696 //
     /* 1882744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1882764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882790 */     // MIs[0] policy
     /* 1882790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882827 */     // GIR_Coverage, 14696,
     /* 1882827 */     GIR_EraseRootFromParent_Done,
     /* 1882828 */   // Label 25367: @1882828
     /* 1882828 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1882917), // Rule ID 14699 //
     /* 1882833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1882853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882879 */     // MIs[0] policy
     /* 1882879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882916 */     // GIR_Coverage, 14699,
     /* 1882916 */     GIR_EraseRootFromParent_Done,
     /* 1882917 */   // Label 25368: @1882917
     /* 1882917 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1883006), // Rule ID 14700 //
     /* 1882922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1882942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882968 */     // MIs[0] policy
     /* 1882968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883005 */     // GIR_Coverage, 14700,
     /* 1883005 */     GIR_EraseRootFromParent_Done,
     /* 1883006 */   // Label 25369: @1883006
     /* 1883006 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1883095), // Rule ID 14703 //
     /* 1883011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883057 */     // MIs[0] policy
     /* 1883057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883094 */     // GIR_Coverage, 14703,
     /* 1883094 */     GIR_EraseRootFromParent_Done,
     /* 1883095 */   // Label 25370: @1883095
     /* 1883095 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1883184), // Rule ID 14704 //
     /* 1883100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883146 */     // MIs[0] policy
     /* 1883146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883183 */     // GIR_Coverage, 14704,
     /* 1883183 */     GIR_EraseRootFromParent_Done,
     /* 1883184 */   // Label 25371: @1883184
     /* 1883184 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1883273), // Rule ID 14707 //
     /* 1883189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883235 */     // MIs[0] policy
     /* 1883235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883245 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883272 */     // GIR_Coverage, 14707,
     /* 1883272 */     GIR_EraseRootFromParent_Done,
     /* 1883273 */   // Label 25372: @1883273
     /* 1883273 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1883362), // Rule ID 14708 //
     /* 1883278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883324 */     // MIs[0] policy
     /* 1883324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883361 */     // GIR_Coverage, 14708,
     /* 1883361 */     GIR_EraseRootFromParent_Done,
     /* 1883362 */   // Label 25373: @1883362
     /* 1883362 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1883451), // Rule ID 14711 //
     /* 1883367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883413 */     // MIs[0] policy
     /* 1883413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883423 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883450 */     // GIR_Coverage, 14711,
     /* 1883450 */     GIR_EraseRootFromParent_Done,
     /* 1883451 */   // Label 25374: @1883451
     /* 1883451 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1883540), // Rule ID 14712 //
     /* 1883456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883502 */     // MIs[0] policy
     /* 1883502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883539 */     // GIR_Coverage, 14712,
     /* 1883539 */     GIR_EraseRootFromParent_Done,
     /* 1883540 */   // Label 25375: @1883540
     /* 1883540 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1883629), // Rule ID 14715 //
     /* 1883545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1883565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883591 */     // MIs[0] policy
     /* 1883591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883601 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883628 */     // GIR_Coverage, 14715,
     /* 1883628 */     GIR_EraseRootFromParent_Done,
     /* 1883629 */   // Label 25376: @1883629
     /* 1883629 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1883718), // Rule ID 14716 //
     /* 1883634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1883654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883680 */     // MIs[0] policy
     /* 1883680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883717 */     // GIR_Coverage, 14716,
     /* 1883717 */     GIR_EraseRootFromParent_Done,
     /* 1883718 */   // Label 25377: @1883718
     /* 1883718 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1883807), // Rule ID 14719 //
     /* 1883723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1883743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883769 */     // MIs[0] policy
     /* 1883769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883779 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883806 */     // GIR_Coverage, 14719,
     /* 1883806 */     GIR_EraseRootFromParent_Done,
     /* 1883807 */   // Label 25378: @1883807
     /* 1883807 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1883896), // Rule ID 14720 //
     /* 1883812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1883832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883858 */     // MIs[0] policy
     /* 1883858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883895 */     // GIR_Coverage, 14720,
     /* 1883895 */     GIR_EraseRootFromParent_Done,
     /* 1883896 */   // Label 25379: @1883896
     /* 1883896 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1883985), // Rule ID 14723 //
     /* 1883901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883947 */     // MIs[0] policy
     /* 1883947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883957 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1883960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883984 */     // GIR_Coverage, 14723,
     /* 1883984 */     GIR_EraseRootFromParent_Done,
     /* 1883985 */   // Label 25380: @1883985
     /* 1883985 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1884074), // Rule ID 14724 //
     /* 1883990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1884001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1884004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1884007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884036 */     // MIs[0] policy
     /* 1884036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1884049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884073 */     // GIR_Coverage, 14724,
     /* 1884073 */     GIR_EraseRootFromParent_Done,
     /* 1884074 */   // Label 25381: @1884074
     /* 1884074 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1884163), // Rule ID 14727 //
     /* 1884079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884125 */     // MIs[0] policy
     /* 1884125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884162 */     // GIR_Coverage, 14727,
     /* 1884162 */     GIR_EraseRootFromParent_Done,
     /* 1884163 */   // Label 25382: @1884163
     /* 1884163 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1884252), // Rule ID 14728 //
     /* 1884168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884214 */     // MIs[0] policy
     /* 1884214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884251 */     // GIR_Coverage, 14728,
     /* 1884251 */     GIR_EraseRootFromParent_Done,
     /* 1884252 */   // Label 25383: @1884252
     /* 1884252 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1884341), // Rule ID 14731 //
     /* 1884257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884303 */     // MIs[0] policy
     /* 1884303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884313 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884340 */     // GIR_Coverage, 14731,
     /* 1884340 */     GIR_EraseRootFromParent_Done,
     /* 1884341 */   // Label 25384: @1884341
     /* 1884341 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1884430), // Rule ID 14732 //
     /* 1884346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884392 */     // MIs[0] policy
     /* 1884392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884429 */     // GIR_Coverage, 14732,
     /* 1884429 */     GIR_EraseRootFromParent_Done,
     /* 1884430 */   // Label 25385: @1884430
     /* 1884430 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1884519), // Rule ID 14735 //
     /* 1884435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884481 */     // MIs[0] policy
     /* 1884481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884518 */     // GIR_Coverage, 14735,
     /* 1884518 */     GIR_EraseRootFromParent_Done,
     /* 1884519 */   // Label 25386: @1884519
     /* 1884519 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1884608), // Rule ID 14736 //
     /* 1884524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884570 */     // MIs[0] policy
     /* 1884570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884580 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884607 */     // GIR_Coverage, 14736,
     /* 1884607 */     GIR_EraseRootFromParent_Done,
     /* 1884608 */   // Label 25387: @1884608
     /* 1884608 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1884697), // Rule ID 14739 //
     /* 1884613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884659 */     // MIs[0] policy
     /* 1884659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884669 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884696 */     // GIR_Coverage, 14739,
     /* 1884696 */     GIR_EraseRootFromParent_Done,
     /* 1884697 */   // Label 25388: @1884697
     /* 1884697 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1884786), // Rule ID 14740 //
     /* 1884702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884748 */     // MIs[0] policy
     /* 1884748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884758 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884785 */     // GIR_Coverage, 14740,
     /* 1884785 */     GIR_EraseRootFromParent_Done,
     /* 1884786 */   // Label 25389: @1884786
     /* 1884786 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1884875), // Rule ID 14743 //
     /* 1884791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884837 */     // MIs[0] policy
     /* 1884837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884874 */     // GIR_Coverage, 14743,
     /* 1884874 */     GIR_EraseRootFromParent_Done,
     /* 1884875 */   // Label 25390: @1884875
     /* 1884875 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1884964), // Rule ID 14744 //
     /* 1884880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884926 */     // MIs[0] policy
     /* 1884926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884963 */     // GIR_Coverage, 14744,
     /* 1884963 */     GIR_EraseRootFromParent_Done,
     /* 1884964 */   // Label 25391: @1884964
     /* 1884964 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1885053), // Rule ID 14747 //
     /* 1884969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885015 */     // MIs[0] policy
     /* 1885015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885025 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885052 */     // GIR_Coverage, 14747,
     /* 1885052 */     GIR_EraseRootFromParent_Done,
     /* 1885053 */   // Label 25392: @1885053
     /* 1885053 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1885142), // Rule ID 14748 //
     /* 1885058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885104 */     // MIs[0] policy
     /* 1885104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885141 */     // GIR_Coverage, 14748,
     /* 1885141 */     GIR_EraseRootFromParent_Done,
     /* 1885142 */   // Label 25393: @1885142
     /* 1885142 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1885231), // Rule ID 14751 //
     /* 1885147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885193 */     // MIs[0] policy
     /* 1885193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885230 */     // GIR_Coverage, 14751,
     /* 1885230 */     GIR_EraseRootFromParent_Done,
     /* 1885231 */   // Label 25394: @1885231
     /* 1885231 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1885320), // Rule ID 14752 //
     /* 1885236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885282 */     // MIs[0] policy
     /* 1885282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885319 */     // GIR_Coverage, 14752,
     /* 1885319 */     GIR_EraseRootFromParent_Done,
     /* 1885320 */   // Label 25395: @1885320
     /* 1885320 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1885409), // Rule ID 14755 //
     /* 1885325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885371 */     // MIs[0] policy
     /* 1885371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885381 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885408 */     // GIR_Coverage, 14755,
     /* 1885408 */     GIR_EraseRootFromParent_Done,
     /* 1885409 */   // Label 25396: @1885409
     /* 1885409 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1885498), // Rule ID 14756 //
     /* 1885414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885460 */     // MIs[0] policy
     /* 1885460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885497 */     // GIR_Coverage, 14756,
     /* 1885497 */     GIR_EraseRootFromParent_Done,
     /* 1885498 */   // Label 25397: @1885498
     /* 1885498 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1885587), // Rule ID 14759 //
     /* 1885503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1885506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885549 */     // MIs[0] policy
     /* 1885549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885586 */     // GIR_Coverage, 14759,
     /* 1885586 */     GIR_EraseRootFromParent_Done,
     /* 1885587 */   // Label 25398: @1885587
     /* 1885587 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1885676), // Rule ID 14760 //
     /* 1885592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1885595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885638 */     // MIs[0] policy
     /* 1885638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885675 */     // GIR_Coverage, 14760,
     /* 1885675 */     GIR_EraseRootFromParent_Done,
     /* 1885676 */   // Label 25399: @1885676
     /* 1885676 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1885765), // Rule ID 14763 //
     /* 1885681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885727 */     // MIs[0] policy
     /* 1885727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885737 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885764 */     // GIR_Coverage, 14763,
     /* 1885764 */     GIR_EraseRootFromParent_Done,
     /* 1885765 */   // Label 25400: @1885765
     /* 1885765 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1885854), // Rule ID 14764 //
     /* 1885770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885816 */     // MIs[0] policy
     /* 1885816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885853 */     // GIR_Coverage, 14764,
     /* 1885853 */     GIR_EraseRootFromParent_Done,
     /* 1885854 */   // Label 25401: @1885854
     /* 1885854 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1885943), // Rule ID 14767 //
     /* 1885859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885905 */     // MIs[0] policy
     /* 1885905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885915 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1885918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885942 */     // GIR_Coverage, 14767,
     /* 1885942 */     GIR_EraseRootFromParent_Done,
     /* 1885943 */   // Label 25402: @1885943
     /* 1885943 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1886032), // Rule ID 14768 //
     /* 1885948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885994 */     // MIs[0] policy
     /* 1885994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886004 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886031 */     // GIR_Coverage, 14768,
     /* 1886031 */     GIR_EraseRootFromParent_Done,
     /* 1886032 */   // Label 25403: @1886032
     /* 1886032 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1886121), // Rule ID 14771 //
     /* 1886037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886083 */     // MIs[0] policy
     /* 1886083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886120 */     // GIR_Coverage, 14771,
     /* 1886120 */     GIR_EraseRootFromParent_Done,
     /* 1886121 */   // Label 25404: @1886121
     /* 1886121 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1886210), // Rule ID 14772 //
     /* 1886126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886172 */     // MIs[0] policy
     /* 1886172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886182 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886209 */     // GIR_Coverage, 14772,
     /* 1886209 */     GIR_EraseRootFromParent_Done,
     /* 1886210 */   // Label 25405: @1886210
     /* 1886210 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1886299), // Rule ID 14775 //
     /* 1886215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886261 */     // MIs[0] policy
     /* 1886261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886271 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886298 */     // GIR_Coverage, 14775,
     /* 1886298 */     GIR_EraseRootFromParent_Done,
     /* 1886299 */   // Label 25406: @1886299
     /* 1886299 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1886388), // Rule ID 14776 //
     /* 1886304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886350 */     // MIs[0] policy
     /* 1886350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886387 */     // GIR_Coverage, 14776,
     /* 1886387 */     GIR_EraseRootFromParent_Done,
     /* 1886388 */   // Label 25407: @1886388
     /* 1886388 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1886477), // Rule ID 14779 //
     /* 1886393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886439 */     // MIs[0] policy
     /* 1886439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886476 */     // GIR_Coverage, 14779,
     /* 1886476 */     GIR_EraseRootFromParent_Done,
     /* 1886477 */   // Label 25408: @1886477
     /* 1886477 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1886566), // Rule ID 14780 //
     /* 1886482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886528 */     // MIs[0] policy
     /* 1886528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886565 */     // GIR_Coverage, 14780,
     /* 1886565 */     GIR_EraseRootFromParent_Done,
     /* 1886566 */   // Label 25409: @1886566
     /* 1886566 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1886655), // Rule ID 14783 //
     /* 1886571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886617 */     // MIs[0] policy
     /* 1886617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886654 */     // GIR_Coverage, 14783,
     /* 1886654 */     GIR_EraseRootFromParent_Done,
     /* 1886655 */   // Label 25410: @1886655
     /* 1886655 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1886744), // Rule ID 14784 //
     /* 1886660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886706 */     // MIs[0] policy
     /* 1886706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886743 */     // GIR_Coverage, 14784,
     /* 1886743 */     GIR_EraseRootFromParent_Done,
     /* 1886744 */   // Label 25411: @1886744
     /* 1886744 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1886833), // Rule ID 14787 //
     /* 1886749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886795 */     // MIs[0] policy
     /* 1886795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886832 */     // GIR_Coverage, 14787,
     /* 1886832 */     GIR_EraseRootFromParent_Done,
     /* 1886833 */   // Label 25412: @1886833
     /* 1886833 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1886922), // Rule ID 14788 //
     /* 1886838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886884 */     // MIs[0] policy
     /* 1886884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886921 */     // GIR_Coverage, 14788,
     /* 1886921 */     GIR_EraseRootFromParent_Done,
     /* 1886922 */   // Label 25413: @1886922
     /* 1886922 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1887011), // Rule ID 14791 //
     /* 1886927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886973 */     // MIs[0] policy
     /* 1886973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886983 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887010 */     // GIR_Coverage, 14791,
     /* 1887010 */     GIR_EraseRootFromParent_Done,
     /* 1887011 */   // Label 25414: @1887011
     /* 1887011 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1887100), // Rule ID 14792 //
     /* 1887016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1887033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887062 */     // MIs[0] policy
     /* 1887062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887099 */     // GIR_Coverage, 14792,
     /* 1887099 */     GIR_EraseRootFromParent_Done,
     /* 1887100 */   // Label 25415: @1887100
     /* 1887100 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1887189), // Rule ID 14795 //
     /* 1887105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887151 */     // MIs[0] policy
     /* 1887151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887188 */     // GIR_Coverage, 14795,
     /* 1887188 */     GIR_EraseRootFromParent_Done,
     /* 1887189 */   // Label 25416: @1887189
     /* 1887189 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1887278), // Rule ID 14796 //
     /* 1887194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887240 */     // MIs[0] policy
     /* 1887240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887277 */     // GIR_Coverage, 14796,
     /* 1887277 */     GIR_EraseRootFromParent_Done,
     /* 1887278 */   // Label 25417: @1887278
     /* 1887278 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1887367), // Rule ID 14799 //
     /* 1887283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887329 */     // MIs[0] policy
     /* 1887329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887366 */     // GIR_Coverage, 14799,
     /* 1887366 */     GIR_EraseRootFromParent_Done,
     /* 1887367 */   // Label 25418: @1887367
     /* 1887367 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1887456), // Rule ID 14800 //
     /* 1887372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887418 */     // MIs[0] policy
     /* 1887418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887455 */     // GIR_Coverage, 14800,
     /* 1887455 */     GIR_EraseRootFromParent_Done,
     /* 1887456 */   // Label 25419: @1887456
     /* 1887456 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1887545), // Rule ID 14803 //
     /* 1887461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887507 */     // MIs[0] policy
     /* 1887507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887544 */     // GIR_Coverage, 14803,
     /* 1887544 */     GIR_EraseRootFromParent_Done,
     /* 1887545 */   // Label 25420: @1887545
     /* 1887545 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1887634), // Rule ID 14804 //
     /* 1887550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887596 */     // MIs[0] policy
     /* 1887596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887606 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887633 */     // GIR_Coverage, 14804,
     /* 1887633 */     GIR_EraseRootFromParent_Done,
     /* 1887634 */   // Label 25421: @1887634
     /* 1887634 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1887723), // Rule ID 14807 //
     /* 1887639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887685 */     // MIs[0] policy
     /* 1887685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887695 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887722 */     // GIR_Coverage, 14807,
     /* 1887722 */     GIR_EraseRootFromParent_Done,
     /* 1887723 */   // Label 25422: @1887723
     /* 1887723 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1887812), // Rule ID 14808 //
     /* 1887728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887774 */     // MIs[0] policy
     /* 1887774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887811 */     // GIR_Coverage, 14808,
     /* 1887811 */     GIR_EraseRootFromParent_Done,
     /* 1887812 */   // Label 25423: @1887812
     /* 1887812 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1887898), // Rule ID 19049 //
     /* 1887817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887863 */     // MIs[0] policy
     /* 1887863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887873 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1887876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887897 */     // GIR_Coverage, 19049,
     /* 1887897 */     GIR_EraseRootFromParent_Done,
     /* 1887898 */   // Label 25424: @1887898
     /* 1887898 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1887984), // Rule ID 19050 //
     /* 1887903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887949 */     // MIs[0] policy
     /* 1887949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887959 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1887962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887983 */     // GIR_Coverage, 19050,
     /* 1887983 */     GIR_EraseRootFromParent_Done,
     /* 1887984 */   // Label 25425: @1887984
     /* 1887984 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1888070), // Rule ID 19053 //
     /* 1887989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1888009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888035 */     // MIs[0] policy
     /* 1888035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888045 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1888048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888069 */     // GIR_Coverage, 19053,
     /* 1888069 */     GIR_EraseRootFromParent_Done,
     /* 1888070 */   // Label 25426: @1888070
     /* 1888070 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1888156), // Rule ID 19054 //
     /* 1888075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1888095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888121 */     // MIs[0] policy
     /* 1888121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888131 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1888134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888155 */     // GIR_Coverage, 19054,
     /* 1888155 */     GIR_EraseRootFromParent_Done,
     /* 1888156 */   // Label 25427: @1888156
     /* 1888156 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1888242), // Rule ID 19057 //
     /* 1888161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888207 */     // MIs[0] policy
     /* 1888207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888217 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888241 */     // GIR_Coverage, 19057,
     /* 1888241 */     GIR_EraseRootFromParent_Done,
     /* 1888242 */   // Label 25428: @1888242
     /* 1888242 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1888328), // Rule ID 19058 //
     /* 1888247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888293 */     // MIs[0] policy
     /* 1888293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888303 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888327 */     // GIR_Coverage, 19058,
     /* 1888327 */     GIR_EraseRootFromParent_Done,
     /* 1888328 */   // Label 25429: @1888328
     /* 1888328 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1888414), // Rule ID 19061 //
     /* 1888333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888379 */     // MIs[0] policy
     /* 1888379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888389 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888413 */     // GIR_Coverage, 19061,
     /* 1888413 */     GIR_EraseRootFromParent_Done,
     /* 1888414 */   // Label 25430: @1888414
     /* 1888414 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1888500), // Rule ID 19062 //
     /* 1888419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888465 */     // MIs[0] policy
     /* 1888465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888475 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888499 */     // GIR_Coverage, 19062,
     /* 1888499 */     GIR_EraseRootFromParent_Done,
     /* 1888500 */   // Label 25431: @1888500
     /* 1888500 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1888586), // Rule ID 19065 //
     /* 1888505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888551 */     // MIs[0] policy
     /* 1888551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888561 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1888564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888585 */     // GIR_Coverage, 19065,
     /* 1888585 */     GIR_EraseRootFromParent_Done,
     /* 1888586 */   // Label 25432: @1888586
     /* 1888586 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1888672), // Rule ID 19066 //
     /* 1888591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888637 */     // MIs[0] policy
     /* 1888637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888647 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1888650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888671 */     // GIR_Coverage, 19066,
     /* 1888671 */     GIR_EraseRootFromParent_Done,
     /* 1888672 */   // Label 25433: @1888672
     /* 1888672 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1888758), // Rule ID 19069 //
     /* 1888677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1888680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888723 */     // MIs[0] policy
     /* 1888723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888733 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1888736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888757 */     // GIR_Coverage, 19069,
     /* 1888757 */     GIR_EraseRootFromParent_Done,
     /* 1888758 */   // Label 25434: @1888758
     /* 1888758 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1888844), // Rule ID 19070 //
     /* 1888763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1888766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888809 */     // MIs[0] policy
     /* 1888809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888819 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1888822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888843 */     // GIR_Coverage, 19070,
     /* 1888843 */     GIR_EraseRootFromParent_Done,
     /* 1888844 */   // Label 25435: @1888844
     /* 1888844 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1888930), // Rule ID 19073 //
     /* 1888849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1888866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1888869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888895 */     // MIs[0] policy
     /* 1888895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888905 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1888908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888929 */     // GIR_Coverage, 19073,
     /* 1888929 */     GIR_EraseRootFromParent_Done,
     /* 1888930 */   // Label 25436: @1888930
     /* 1888930 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1889016), // Rule ID 19074 //
     /* 1888935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1888952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1888955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888981 */     // MIs[0] policy
     /* 1888981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888991 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1888994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889015 */     // GIR_Coverage, 19074,
     /* 1889015 */     GIR_EraseRootFromParent_Done,
     /* 1889016 */   // Label 25437: @1889016
     /* 1889016 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1889102), // Rule ID 19077 //
     /* 1889021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889067 */     // MIs[0] policy
     /* 1889067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889101 */     // GIR_Coverage, 19077,
     /* 1889101 */     GIR_EraseRootFromParent_Done,
     /* 1889102 */   // Label 25438: @1889102
     /* 1889102 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1889188), // Rule ID 19078 //
     /* 1889107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889153 */     // MIs[0] policy
     /* 1889153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889187 */     // GIR_Coverage, 19078,
     /* 1889187 */     GIR_EraseRootFromParent_Done,
     /* 1889188 */   // Label 25439: @1889188
     /* 1889188 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1889274), // Rule ID 19081 //
     /* 1889193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889239 */     // MIs[0] policy
     /* 1889239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889249 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889273 */     // GIR_Coverage, 19081,
     /* 1889273 */     GIR_EraseRootFromParent_Done,
     /* 1889274 */   // Label 25440: @1889274
     /* 1889274 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1889360), // Rule ID 19082 //
     /* 1889279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889325 */     // MIs[0] policy
     /* 1889325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889335 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889359 */     // GIR_Coverage, 19082,
     /* 1889359 */     GIR_EraseRootFromParent_Done,
     /* 1889360 */   // Label 25441: @1889360
     /* 1889360 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1889446), // Rule ID 19085 //
     /* 1889365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889411 */     // MIs[0] policy
     /* 1889411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889421 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889445 */     // GIR_Coverage, 19085,
     /* 1889445 */     GIR_EraseRootFromParent_Done,
     /* 1889446 */   // Label 25442: @1889446
     /* 1889446 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1889532), // Rule ID 19086 //
     /* 1889451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889497 */     // MIs[0] policy
     /* 1889497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889507 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889531 */     // GIR_Coverage, 19086,
     /* 1889531 */     GIR_EraseRootFromParent_Done,
     /* 1889532 */   // Label 25443: @1889532
     /* 1889532 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1889618), // Rule ID 19089 //
     /* 1889537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889583 */     // MIs[0] policy
     /* 1889583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889593 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1889596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889617 */     // GIR_Coverage, 19089,
     /* 1889617 */     GIR_EraseRootFromParent_Done,
     /* 1889618 */   // Label 25444: @1889618
     /* 1889618 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1889704), // Rule ID 19090 //
     /* 1889623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889669 */     // MIs[0] policy
     /* 1889669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889679 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1889682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889703 */     // GIR_Coverage, 19090,
     /* 1889703 */     GIR_EraseRootFromParent_Done,
     /* 1889704 */   // Label 25445: @1889704
     /* 1889704 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1889790), // Rule ID 19093 //
     /* 1889709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1889720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1889723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1889726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1889729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889755 */     // MIs[0] policy
     /* 1889755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889765 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1889768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889789 */     // GIR_Coverage, 19093,
     /* 1889789 */     GIR_EraseRootFromParent_Done,
     /* 1889790 */   // Label 25446: @1889790
     /* 1889790 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1889876), // Rule ID 19094 //
     /* 1889795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1889806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1889809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1889812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1889815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889841 */     // MIs[0] policy
     /* 1889841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889851 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1889854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889875 */     // GIR_Coverage, 19094,
     /* 1889875 */     GIR_EraseRootFromParent_Done,
     /* 1889876 */   // Label 25447: @1889876
     /* 1889876 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1889962), // Rule ID 19097 //
     /* 1889881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1889884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1889892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1889895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1889898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1889901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889927 */     // MIs[0] policy
     /* 1889927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889937 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1889940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889961 */     // GIR_Coverage, 19097,
     /* 1889961 */     GIR_EraseRootFromParent_Done,
     /* 1889962 */   // Label 25448: @1889962
     /* 1889962 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1890048), // Rule ID 19098 //
     /* 1889967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1889978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1889981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1889984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1889987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890013 */     // MIs[0] policy
     /* 1890013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890023 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1890026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890047 */     // GIR_Coverage, 19098,
     /* 1890047 */     GIR_EraseRootFromParent_Done,
     /* 1890048 */   // Label 25449: @1890048
     /* 1890048 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1890134), // Rule ID 19101 //
     /* 1890053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890099 */     // MIs[0] policy
     /* 1890099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890109 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890133 */     // GIR_Coverage, 19101,
     /* 1890133 */     GIR_EraseRootFromParent_Done,
     /* 1890134 */   // Label 25450: @1890134
     /* 1890134 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1890220), // Rule ID 19102 //
     /* 1890139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890185 */     // MIs[0] policy
     /* 1890185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890195 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890219 */     // GIR_Coverage, 19102,
     /* 1890219 */     GIR_EraseRootFromParent_Done,
     /* 1890220 */   // Label 25451: @1890220
     /* 1890220 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1890306), // Rule ID 19105 //
     /* 1890225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890271 */     // MIs[0] policy
     /* 1890271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890281 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890305 */     // GIR_Coverage, 19105,
     /* 1890305 */     GIR_EraseRootFromParent_Done,
     /* 1890306 */   // Label 25452: @1890306
     /* 1890306 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1890392), // Rule ID 19106 //
     /* 1890311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890357 */     // MIs[0] policy
     /* 1890357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890367 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890391 */     // GIR_Coverage, 19106,
     /* 1890391 */     GIR_EraseRootFromParent_Done,
     /* 1890392 */   // Label 25453: @1890392
     /* 1890392 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1890478), // Rule ID 19109 //
     /* 1890397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890443 */     // MIs[0] policy
     /* 1890443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890453 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890477 */     // GIR_Coverage, 19109,
     /* 1890477 */     GIR_EraseRootFromParent_Done,
     /* 1890478 */   // Label 25454: @1890478
     /* 1890478 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1890564), // Rule ID 19110 //
     /* 1890483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890529 */     // MIs[0] policy
     /* 1890529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890539 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890563 */     // GIR_Coverage, 19110,
     /* 1890563 */     GIR_EraseRootFromParent_Done,
     /* 1890564 */   // Label 25455: @1890564
     /* 1890564 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1890650), // Rule ID 19113 //
     /* 1890569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1890580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1890583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1890586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890615 */     // MIs[0] policy
     /* 1890615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890625 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1890628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890649 */     // GIR_Coverage, 19113,
     /* 1890649 */     GIR_EraseRootFromParent_Done,
     /* 1890650 */   // Label 25456: @1890650
     /* 1890650 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1890736), // Rule ID 19114 //
     /* 1890655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1890666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1890669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1890672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890701 */     // MIs[0] policy
     /* 1890701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890711 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1890714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890735 */     // GIR_Coverage, 19114,
     /* 1890735 */     GIR_EraseRootFromParent_Done,
     /* 1890736 */   // Label 25457: @1890736
     /* 1890736 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1890822), // Rule ID 19117 //
     /* 1890741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1890744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1890752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1890755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1890758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890787 */     // MIs[0] policy
     /* 1890787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890797 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1890800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890821 */     // GIR_Coverage, 19117,
     /* 1890821 */     GIR_EraseRootFromParent_Done,
     /* 1890822 */   // Label 25458: @1890822
     /* 1890822 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1890908), // Rule ID 19118 //
     /* 1890827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1890838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1890841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1890844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890873 */     // MIs[0] policy
     /* 1890873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890883 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1890886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890907 */     // GIR_Coverage, 19118,
     /* 1890907 */     GIR_EraseRootFromParent_Done,
     /* 1890908 */   // Label 25459: @1890908
     /* 1890908 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1890994), // Rule ID 19121 //
     /* 1890913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1890924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1890927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1890930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890959 */     // MIs[0] policy
     /* 1890959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890969 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1890972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890993 */     // GIR_Coverage, 19121,
     /* 1890993 */     GIR_EraseRootFromParent_Done,
     /* 1890994 */   // Label 25460: @1890994
     /* 1890994 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1891080), // Rule ID 19122 //
     /* 1890999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1891016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891045 */     // MIs[0] policy
     /* 1891045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1891058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891079 */     // GIR_Coverage, 19122,
     /* 1891079 */     GIR_EraseRootFromParent_Done,
     /* 1891080 */   // Label 25461: @1891080
     /* 1891080 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1891166), // Rule ID 19125 //
     /* 1891085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891131 */     // MIs[0] policy
     /* 1891131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891141 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891165 */     // GIR_Coverage, 19125,
     /* 1891165 */     GIR_EraseRootFromParent_Done,
     /* 1891166 */   // Label 25462: @1891166
     /* 1891166 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1891252), // Rule ID 19126 //
     /* 1891171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891217 */     // MIs[0] policy
     /* 1891217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891227 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891251 */     // GIR_Coverage, 19126,
     /* 1891251 */     GIR_EraseRootFromParent_Done,
     /* 1891252 */   // Label 25463: @1891252
     /* 1891252 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1891338), // Rule ID 19129 //
     /* 1891257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891303 */     // MIs[0] policy
     /* 1891303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891313 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891337 */     // GIR_Coverage, 19129,
     /* 1891337 */     GIR_EraseRootFromParent_Done,
     /* 1891338 */   // Label 25464: @1891338
     /* 1891338 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1891424), // Rule ID 19130 //
     /* 1891343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891389 */     // MIs[0] policy
     /* 1891389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891399 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891423 */     // GIR_Coverage, 19130,
     /* 1891423 */     GIR_EraseRootFromParent_Done,
     /* 1891424 */   // Label 25465: @1891424
     /* 1891424 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1891510), // Rule ID 19133 //
     /* 1891429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891475 */     // MIs[0] policy
     /* 1891475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891485 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891509 */     // GIR_Coverage, 19133,
     /* 1891509 */     GIR_EraseRootFromParent_Done,
     /* 1891510 */   // Label 25466: @1891510
     /* 1891510 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1891596), // Rule ID 19134 //
     /* 1891515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891561 */     // MIs[0] policy
     /* 1891561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891571 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891595 */     // GIR_Coverage, 19134,
     /* 1891595 */     GIR_EraseRootFromParent_Done,
     /* 1891596 */   // Label 25467: @1891596
     /* 1891596 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1891682), // Rule ID 19137 //
     /* 1891601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1891612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1891615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1891618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891647 */     // MIs[0] policy
     /* 1891647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891657 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1891660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891681 */     // GIR_Coverage, 19137,
     /* 1891681 */     GIR_EraseRootFromParent_Done,
     /* 1891682 */   // Label 25468: @1891682
     /* 1891682 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1891768), // Rule ID 19138 //
     /* 1891687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1891698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1891701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1891704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891733 */     // MIs[0] policy
     /* 1891733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891743 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1891746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891767 */     // GIR_Coverage, 19138,
     /* 1891767 */     GIR_EraseRootFromParent_Done,
     /* 1891768 */   // Label 25469: @1891768
     /* 1891768 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1891854), // Rule ID 19141 //
     /* 1891773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1891784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1891787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1891790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891819 */     // MIs[0] policy
     /* 1891819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891829 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1891832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891853 */     // GIR_Coverage, 19141,
     /* 1891853 */     GIR_EraseRootFromParent_Done,
     /* 1891854 */   // Label 25470: @1891854
     /* 1891854 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1891940), // Rule ID 19142 //
     /* 1891859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1891870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1891873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1891876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891905 */     // MIs[0] policy
     /* 1891905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891915 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1891918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891939 */     // GIR_Coverage, 19142,
     /* 1891939 */     GIR_EraseRootFromParent_Done,
     /* 1891940 */   // Label 25471: @1891940
     /* 1891940 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1892026), // Rule ID 19145 //
     /* 1891945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891991 */     // MIs[0] policy
     /* 1891991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892001 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1892004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892025 */     // GIR_Coverage, 19145,
     /* 1892025 */     GIR_EraseRootFromParent_Done,
     /* 1892026 */   // Label 25472: @1892026
     /* 1892026 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1892112), // Rule ID 19146 //
     /* 1892031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1892048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892077 */     // MIs[0] policy
     /* 1892077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1892090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892111 */     // GIR_Coverage, 19146,
     /* 1892111 */     GIR_EraseRootFromParent_Done,
     /* 1892112 */   // Label 25473: @1892112
     /* 1892112 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1892198), // Rule ID 19149 //
     /* 1892117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892163 */     // MIs[0] policy
     /* 1892163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892173 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892197 */     // GIR_Coverage, 19149,
     /* 1892197 */     GIR_EraseRootFromParent_Done,
     /* 1892198 */   // Label 25474: @1892198
     /* 1892198 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1892284), // Rule ID 19150 //
     /* 1892203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892249 */     // MIs[0] policy
     /* 1892249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892259 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892283 */     // GIR_Coverage, 19150,
     /* 1892283 */     GIR_EraseRootFromParent_Done,
     /* 1892284 */   // Label 25475: @1892284
     /* 1892284 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1892370), // Rule ID 19153 //
     /* 1892289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892335 */     // MIs[0] policy
     /* 1892335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892345 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892369 */     // GIR_Coverage, 19153,
     /* 1892369 */     GIR_EraseRootFromParent_Done,
     /* 1892370 */   // Label 25476: @1892370
     /* 1892370 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1892456), // Rule ID 19154 //
     /* 1892375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892421 */     // MIs[0] policy
     /* 1892421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892455 */     // GIR_Coverage, 19154,
     /* 1892455 */     GIR_EraseRootFromParent_Done,
     /* 1892456 */   // Label 25477: @1892456
     /* 1892456 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1892542), // Rule ID 19157 //
     /* 1892461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892507 */     // MIs[0] policy
     /* 1892507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892517 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892541 */     // GIR_Coverage, 19157,
     /* 1892541 */     GIR_EraseRootFromParent_Done,
     /* 1892542 */   // Label 25478: @1892542
     /* 1892542 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1892628), // Rule ID 19158 //
     /* 1892547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892593 */     // MIs[0] policy
     /* 1892593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892627 */     // GIR_Coverage, 19158,
     /* 1892627 */     GIR_EraseRootFromParent_Done,
     /* 1892628 */   // Label 25479: @1892628
     /* 1892628 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1892714), // Rule ID 19161 //
     /* 1892633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1892644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1892647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1892650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892679 */     // MIs[0] policy
     /* 1892679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892689 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1892692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892713 */     // GIR_Coverage, 19161,
     /* 1892713 */     GIR_EraseRootFromParent_Done,
     /* 1892714 */   // Label 25480: @1892714
     /* 1892714 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1892800), // Rule ID 19162 //
     /* 1892719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1892730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1892733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1892736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892765 */     // MIs[0] policy
     /* 1892765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892775 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1892778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892799 */     // GIR_Coverage, 19162,
     /* 1892799 */     GIR_EraseRootFromParent_Done,
     /* 1892800 */   // Label 25481: @1892800
     /* 1892800 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1892886), // Rule ID 19165 //
     /* 1892805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892851 */     // MIs[0] policy
     /* 1892851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892861 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1892864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892885 */     // GIR_Coverage, 19165,
     /* 1892885 */     GIR_EraseRootFromParent_Done,
     /* 1892886 */   // Label 25482: @1892886
     /* 1892886 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1892972), // Rule ID 19166 //
     /* 1892891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892937 */     // MIs[0] policy
     /* 1892937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892947 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1892950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892971 */     // GIR_Coverage, 19166,
     /* 1892971 */     GIR_EraseRootFromParent_Done,
     /* 1892972 */   // Label 25483: @1892972
     /* 1892972 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1893058), // Rule ID 19169 //
     /* 1892977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1892988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1892991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1892994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893023 */     // MIs[0] policy
     /* 1893023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893033 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1893036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893057 */     // GIR_Coverage, 19169,
     /* 1893057 */     GIR_EraseRootFromParent_Done,
     /* 1893058 */   // Label 25484: @1893058
     /* 1893058 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1893144), // Rule ID 19170 //
     /* 1893063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1893074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1893077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1893080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1893083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893109 */     // MIs[0] policy
     /* 1893109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893119 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1893122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893143 */     // GIR_Coverage, 19170,
     /* 1893143 */     GIR_EraseRootFromParent_Done,
     /* 1893144 */   // Label 25485: @1893144
     /* 1893144 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1893230), // Rule ID 19173 //
     /* 1893149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893195 */     // MIs[0] policy
     /* 1893195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893205 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893229 */     // GIR_Coverage, 19173,
     /* 1893229 */     GIR_EraseRootFromParent_Done,
     /* 1893230 */   // Label 25486: @1893230
     /* 1893230 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1893316), // Rule ID 19174 //
     /* 1893235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893281 */     // MIs[0] policy
     /* 1893281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893291 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893315 */     // GIR_Coverage, 19174,
     /* 1893315 */     GIR_EraseRootFromParent_Done,
     /* 1893316 */   // Label 25487: @1893316
     /* 1893316 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1893402), // Rule ID 19177 //
     /* 1893321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893367 */     // MIs[0] policy
     /* 1893367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893377 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893401 */     // GIR_Coverage, 19177,
     /* 1893401 */     GIR_EraseRootFromParent_Done,
     /* 1893402 */   // Label 25488: @1893402
     /* 1893402 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1893488), // Rule ID 19178 //
     /* 1893407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893453 */     // MIs[0] policy
     /* 1893453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893463 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893487 */     // GIR_Coverage, 19178,
     /* 1893487 */     GIR_EraseRootFromParent_Done,
     /* 1893488 */   // Label 25489: @1893488
     /* 1893488 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1893574), // Rule ID 19181 //
     /* 1893493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893539 */     // MIs[0] policy
     /* 1893539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1893552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893573 */     // GIR_Coverage, 19181,
     /* 1893573 */     GIR_EraseRootFromParent_Done,
     /* 1893574 */   // Label 25490: @1893574
     /* 1893574 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1893660), // Rule ID 19182 //
     /* 1893579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893625 */     // MIs[0] policy
     /* 1893625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893635 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1893638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893659 */     // GIR_Coverage, 19182,
     /* 1893659 */     GIR_EraseRootFromParent_Done,
     /* 1893660 */   // Label 25491: @1893660
     /* 1893660 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1893746), // Rule ID 19185 //
     /* 1893665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1893682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893711 */     // MIs[0] policy
     /* 1893711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893721 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1893724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893745 */     // GIR_Coverage, 19185,
     /* 1893745 */     GIR_EraseRootFromParent_Done,
     /* 1893746 */   // Label 25492: @1893746
     /* 1893746 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1893832), // Rule ID 19186 //
     /* 1893751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1893768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893797 */     // MIs[0] policy
     /* 1893797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1893810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893831 */     // GIR_Coverage, 19186,
     /* 1893831 */     GIR_EraseRootFromParent_Done,
     /* 1893832 */   // Label 25493: @1893832
     /* 1893832 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1893918), // Rule ID 19189 //
     /* 1893837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893883 */     // MIs[0] policy
     /* 1893883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893893 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1893896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893917 */     // GIR_Coverage, 19189,
     /* 1893917 */     GIR_EraseRootFromParent_Done,
     /* 1893918 */   // Label 25494: @1893918
     /* 1893918 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1894004), // Rule ID 19190 //
     /* 1893923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893969 */     // MIs[0] policy
     /* 1893969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893979 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1893982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894003 */     // GIR_Coverage, 19190,
     /* 1894003 */     GIR_EraseRootFromParent_Done,
     /* 1894004 */   // Label 25495: @1894004
     /* 1894004 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1894090), // Rule ID 19193 //
     /* 1894009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1894020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1894023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1894026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1894029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894055 */     // MIs[0] policy
     /* 1894055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894065 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894089 */     // GIR_Coverage, 19193,
     /* 1894089 */     GIR_EraseRootFromParent_Done,
     /* 1894090 */   // Label 25496: @1894090
     /* 1894090 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1894176), // Rule ID 19194 //
     /* 1894095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1894106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1894109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1894112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1894115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894141 */     // MIs[0] policy
     /* 1894141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894151 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894175 */     // GIR_Coverage, 19194,
     /* 1894175 */     GIR_EraseRootFromParent_Done,
     /* 1894176 */   // Label 25497: @1894176
     /* 1894176 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1894262), // Rule ID 19197 //
     /* 1894181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894227 */     // MIs[0] policy
     /* 1894227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894237 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894261 */     // GIR_Coverage, 19197,
     /* 1894261 */     GIR_EraseRootFromParent_Done,
     /* 1894262 */   // Label 25498: @1894262
     /* 1894262 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1894348), // Rule ID 19198 //
     /* 1894267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894313 */     // MIs[0] policy
     /* 1894313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894347 */     // GIR_Coverage, 19198,
     /* 1894347 */     GIR_EraseRootFromParent_Done,
     /* 1894348 */   // Label 25499: @1894348
     /* 1894348 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1894434), // Rule ID 19201 //
     /* 1894353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894399 */     // MIs[0] policy
     /* 1894399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894409 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894433 */     // GIR_Coverage, 19201,
     /* 1894433 */     GIR_EraseRootFromParent_Done,
     /* 1894434 */   // Label 25500: @1894434
     /* 1894434 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1894520), // Rule ID 19202 //
     /* 1894439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894485 */     // MIs[0] policy
     /* 1894485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894495 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894519 */     // GIR_Coverage, 19202,
     /* 1894519 */     GIR_EraseRootFromParent_Done,
     /* 1894520 */   // Label 25501: @1894520
     /* 1894520 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1894606), // Rule ID 19205 //
     /* 1894525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894571 */     // MIs[0] policy
     /* 1894571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894581 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1894584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894605 */     // GIR_Coverage, 19205,
     /* 1894605 */     GIR_EraseRootFromParent_Done,
     /* 1894606 */   // Label 25502: @1894606
     /* 1894606 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1894692), // Rule ID 19206 //
     /* 1894611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894657 */     // MIs[0] policy
     /* 1894657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894667 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1894670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894691 */     // GIR_Coverage, 19206,
     /* 1894691 */     GIR_EraseRootFromParent_Done,
     /* 1894692 */   // Label 25503: @1894692
     /* 1894692 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1894778), // Rule ID 19209 //
     /* 1894697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894743 */     // MIs[0] policy
     /* 1894743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894753 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1894756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894777 */     // GIR_Coverage, 19209,
     /* 1894777 */     GIR_EraseRootFromParent_Done,
     /* 1894778 */   // Label 25504: @1894778
     /* 1894778 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1894864), // Rule ID 19210 //
     /* 1894783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894829 */     // MIs[0] policy
     /* 1894829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894839 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1894842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894863 */     // GIR_Coverage, 19210,
     /* 1894863 */     GIR_EraseRootFromParent_Done,
     /* 1894864 */   // Label 25505: @1894864
     /* 1894864 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1894950), // Rule ID 19213 //
     /* 1894869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894915 */     // MIs[0] policy
     /* 1894915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894925 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1894928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894949 */     // GIR_Coverage, 19213,
     /* 1894949 */     GIR_EraseRootFromParent_Done,
     /* 1894950 */   // Label 25506: @1894950
     /* 1894950 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1895036), // Rule ID 19214 //
     /* 1894955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895001 */     // MIs[0] policy
     /* 1895001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895011 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1895014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895035 */     // GIR_Coverage, 19214,
     /* 1895035 */     GIR_EraseRootFromParent_Done,
     /* 1895036 */   // Label 25507: @1895036
     /* 1895036 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1895122), // Rule ID 19217 //
     /* 1895041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895087 */     // MIs[0] policy
     /* 1895087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895097 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895121 */     // GIR_Coverage, 19217,
     /* 1895121 */     GIR_EraseRootFromParent_Done,
     /* 1895122 */   // Label 25508: @1895122
     /* 1895122 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1895208), // Rule ID 19218 //
     /* 1895127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895173 */     // MIs[0] policy
     /* 1895173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895183 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895207 */     // GIR_Coverage, 19218,
     /* 1895207 */     GIR_EraseRootFromParent_Done,
     /* 1895208 */   // Label 25509: @1895208
     /* 1895208 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1895294), // Rule ID 19221 //
     /* 1895213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895259 */     // MIs[0] policy
     /* 1895259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895269 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895293 */     // GIR_Coverage, 19221,
     /* 1895293 */     GIR_EraseRootFromParent_Done,
     /* 1895294 */   // Label 25510: @1895294
     /* 1895294 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1895380), // Rule ID 19222 //
     /* 1895299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895345 */     // MIs[0] policy
     /* 1895345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895355 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895379 */     // GIR_Coverage, 19222,
     /* 1895379 */     GIR_EraseRootFromParent_Done,
     /* 1895380 */   // Label 25511: @1895380
     /* 1895380 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1895466), // Rule ID 19225 //
     /* 1895385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895431 */     // MIs[0] policy
     /* 1895431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895441 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895465 */     // GIR_Coverage, 19225,
     /* 1895465 */     GIR_EraseRootFromParent_Done,
     /* 1895466 */   // Label 25512: @1895466
     /* 1895466 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1895552), // Rule ID 19226 //
     /* 1895471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895517 */     // MIs[0] policy
     /* 1895517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895527 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895551 */     // GIR_Coverage, 19226,
     /* 1895551 */     GIR_EraseRootFromParent_Done,
     /* 1895552 */   // Label 25513: @1895552
     /* 1895552 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1895638), // Rule ID 19229 //
     /* 1895557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895603 */     // MIs[0] policy
     /* 1895603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895613 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1895616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895637 */     // GIR_Coverage, 19229,
     /* 1895637 */     GIR_EraseRootFromParent_Done,
     /* 1895638 */   // Label 25514: @1895638
     /* 1895638 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1895724), // Rule ID 19230 //
     /* 1895643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895689 */     // MIs[0] policy
     /* 1895689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895699 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1895702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895723 */     // GIR_Coverage, 19230,
     /* 1895723 */     GIR_EraseRootFromParent_Done,
     /* 1895724 */   // Label 25515: @1895724
     /* 1895724 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1895810), // Rule ID 19233 //
     /* 1895729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895775 */     // MIs[0] policy
     /* 1895775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895785 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1895788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895809 */     // GIR_Coverage, 19233,
     /* 1895809 */     GIR_EraseRootFromParent_Done,
     /* 1895810 */   // Label 25516: @1895810
     /* 1895810 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1895896), // Rule ID 19234 //
     /* 1895815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895861 */     // MIs[0] policy
     /* 1895861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895871 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1895874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895895 */     // GIR_Coverage, 19234,
     /* 1895895 */     GIR_EraseRootFromParent_Done,
     /* 1895896 */   // Label 25517: @1895896
     /* 1895896 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1895982), // Rule ID 19237 //
     /* 1895901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895947 */     // MIs[0] policy
     /* 1895947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895957 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1895960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895981 */     // GIR_Coverage, 19237,
     /* 1895981 */     GIR_EraseRootFromParent_Done,
     /* 1895982 */   // Label 25518: @1895982
     /* 1895982 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1896068), // Rule ID 19238 //
     /* 1895987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896033 */     // MIs[0] policy
     /* 1896033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896043 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1896046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896067 */     // GIR_Coverage, 19238,
     /* 1896067 */     GIR_EraseRootFromParent_Done,
     /* 1896068 */   // Label 25519: @1896068
     /* 1896068 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1896154), // Rule ID 19241 //
     /* 1896073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896119 */     // MIs[0] policy
     /* 1896119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896129 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896153 */     // GIR_Coverage, 19241,
     /* 1896153 */     GIR_EraseRootFromParent_Done,
     /* 1896154 */   // Label 25520: @1896154
     /* 1896154 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1896240), // Rule ID 19242 //
     /* 1896159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896205 */     // MIs[0] policy
     /* 1896205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896215 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896239 */     // GIR_Coverage, 19242,
     /* 1896239 */     GIR_EraseRootFromParent_Done,
     /* 1896240 */   // Label 25521: @1896240
     /* 1896240 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1896326), // Rule ID 19245 //
     /* 1896245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896291 */     // MIs[0] policy
     /* 1896291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896301 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896325 */     // GIR_Coverage, 19245,
     /* 1896325 */     GIR_EraseRootFromParent_Done,
     /* 1896326 */   // Label 25522: @1896326
     /* 1896326 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1896412), // Rule ID 19246 //
     /* 1896331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896377 */     // MIs[0] policy
     /* 1896377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896387 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896411 */     // GIR_Coverage, 19246,
     /* 1896411 */     GIR_EraseRootFromParent_Done,
     /* 1896412 */   // Label 25523: @1896412
     /* 1896412 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1896498), // Rule ID 19249 //
     /* 1896417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896463 */     // MIs[0] policy
     /* 1896463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896473 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896497 */     // GIR_Coverage, 19249,
     /* 1896497 */     GIR_EraseRootFromParent_Done,
     /* 1896498 */   // Label 25524: @1896498
     /* 1896498 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1896584), // Rule ID 19250 //
     /* 1896503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896549 */     // MIs[0] policy
     /* 1896549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896559 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896583 */     // GIR_Coverage, 19250,
     /* 1896583 */     GIR_EraseRootFromParent_Done,
     /* 1896584 */   // Label 25525: @1896584
     /* 1896584 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1896670), // Rule ID 19253 //
     /* 1896589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896635 */     // MIs[0] policy
     /* 1896635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896645 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1896648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896669 */     // GIR_Coverage, 19253,
     /* 1896669 */     GIR_EraseRootFromParent_Done,
     /* 1896670 */   // Label 25526: @1896670
     /* 1896670 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1896756), // Rule ID 19254 //
     /* 1896675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896721 */     // MIs[0] policy
     /* 1896721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896731 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1896734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896755 */     // GIR_Coverage, 19254,
     /* 1896755 */     GIR_EraseRootFromParent_Done,
     /* 1896756 */   // Label 25527: @1896756
     /* 1896756 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1896842), // Rule ID 19257 //
     /* 1896761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896807 */     // MIs[0] policy
     /* 1896807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896817 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1896820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896841 */     // GIR_Coverage, 19257,
     /* 1896841 */     GIR_EraseRootFromParent_Done,
     /* 1896842 */   // Label 25528: @1896842
     /* 1896842 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1896928), // Rule ID 19258 //
     /* 1896847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896893 */     // MIs[0] policy
     /* 1896893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896903 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1896906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896927 */     // GIR_Coverage, 19258,
     /* 1896927 */     GIR_EraseRootFromParent_Done,
     /* 1896928 */   // Label 25529: @1896928
     /* 1896928 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1897014), // Rule ID 19261 //
     /* 1896933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896979 */     // MIs[0] policy
     /* 1896979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896989 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1896992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897013 */     // GIR_Coverage, 19261,
     /* 1897013 */     GIR_EraseRootFromParent_Done,
     /* 1897014 */   // Label 25530: @1897014
     /* 1897014 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1897100), // Rule ID 19262 //
     /* 1897019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1897030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1897033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1897036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897065 */     // MIs[0] policy
     /* 1897065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897075 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1897078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897099 */     // GIR_Coverage, 19262,
     /* 1897099 */     GIR_EraseRootFromParent_Done,
     /* 1897100 */   // Label 25531: @1897100
     /* 1897100 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1897186), // Rule ID 19265 //
     /* 1897105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897151 */     // MIs[0] policy
     /* 1897151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897161 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897185 */     // GIR_Coverage, 19265,
     /* 1897185 */     GIR_EraseRootFromParent_Done,
     /* 1897186 */   // Label 25532: @1897186
     /* 1897186 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1897272), // Rule ID 19266 //
     /* 1897191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897237 */     // MIs[0] policy
     /* 1897237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897247 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897271 */     // GIR_Coverage, 19266,
     /* 1897271 */     GIR_EraseRootFromParent_Done,
     /* 1897272 */   // Label 25533: @1897272
     /* 1897272 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1897358), // Rule ID 19269 //
     /* 1897277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897323 */     // MIs[0] policy
     /* 1897323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897333 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897357 */     // GIR_Coverage, 19269,
     /* 1897357 */     GIR_EraseRootFromParent_Done,
     /* 1897358 */   // Label 25534: @1897358
     /* 1897358 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1897444), // Rule ID 19270 //
     /* 1897363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897409 */     // MIs[0] policy
     /* 1897409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897419 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897443 */     // GIR_Coverage, 19270,
     /* 1897443 */     GIR_EraseRootFromParent_Done,
     /* 1897444 */   // Label 25535: @1897444
     /* 1897444 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1897530), // Rule ID 19273 //
     /* 1897449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897495 */     // MIs[0] policy
     /* 1897495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897505 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897529 */     // GIR_Coverage, 19273,
     /* 1897529 */     GIR_EraseRootFromParent_Done,
     /* 1897530 */   // Label 25536: @1897530
     /* 1897530 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1897616), // Rule ID 19274 //
     /* 1897535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897581 */     // MIs[0] policy
     /* 1897581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897591 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897615 */     // GIR_Coverage, 19274,
     /* 1897615 */     GIR_EraseRootFromParent_Done,
     /* 1897616 */   // Label 25537: @1897616
     /* 1897616 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1897702), // Rule ID 19277 //
     /* 1897621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897667 */     // MIs[0] policy
     /* 1897667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897677 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1897680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897701 */     // GIR_Coverage, 19277,
     /* 1897701 */     GIR_EraseRootFromParent_Done,
     /* 1897702 */   // Label 25538: @1897702
     /* 1897702 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1897788), // Rule ID 19278 //
     /* 1897707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897753 */     // MIs[0] policy
     /* 1897753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897763 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1897766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897787 */     // GIR_Coverage, 19278,
     /* 1897787 */     GIR_EraseRootFromParent_Done,
     /* 1897788 */   // Label 25539: @1897788
     /* 1897788 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1897874), // Rule ID 19281 //
     /* 1897793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897839 */     // MIs[0] policy
     /* 1897839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897849 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1897852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897873 */     // GIR_Coverage, 19281,
     /* 1897873 */     GIR_EraseRootFromParent_Done,
     /* 1897874 */   // Label 25540: @1897874
     /* 1897874 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1897960), // Rule ID 19282 //
     /* 1897879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897925 */     // MIs[0] policy
     /* 1897925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897935 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1897938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897959 */     // GIR_Coverage, 19282,
     /* 1897959 */     GIR_EraseRootFromParent_Done,
     /* 1897960 */   // Label 25541: @1897960
     /* 1897960 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1898046), // Rule ID 19285 //
     /* 1897965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898011 */     // MIs[0] policy
     /* 1898011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898021 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1898024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898045 */     // GIR_Coverage, 19285,
     /* 1898045 */     GIR_EraseRootFromParent_Done,
     /* 1898046 */   // Label 25542: @1898046
     /* 1898046 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1898132), // Rule ID 19286 //
     /* 1898051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1898062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1898065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1898068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898097 */     // MIs[0] policy
     /* 1898097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898107 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1898110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898131 */     // GIR_Coverage, 19286,
     /* 1898131 */     GIR_EraseRootFromParent_Done,
     /* 1898132 */   // Label 25543: @1898132
     /* 1898132 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1898218), // Rule ID 19289 //
     /* 1898137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898183 */     // MIs[0] policy
     /* 1898183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898193 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898217 */     // GIR_Coverage, 19289,
     /* 1898217 */     GIR_EraseRootFromParent_Done,
     /* 1898218 */   // Label 25544: @1898218
     /* 1898218 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1898304), // Rule ID 19290 //
     /* 1898223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898269 */     // MIs[0] policy
     /* 1898269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898279 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898303 */     // GIR_Coverage, 19290,
     /* 1898303 */     GIR_EraseRootFromParent_Done,
     /* 1898304 */   // Label 25545: @1898304
     /* 1898304 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1898390), // Rule ID 19293 //
     /* 1898309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898355 */     // MIs[0] policy
     /* 1898355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898365 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898389 */     // GIR_Coverage, 19293,
     /* 1898389 */     GIR_EraseRootFromParent_Done,
     /* 1898390 */   // Label 25546: @1898390
     /* 1898390 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1898476), // Rule ID 19294 //
     /* 1898395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898441 */     // MIs[0] policy
     /* 1898441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898451 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898475 */     // GIR_Coverage, 19294,
     /* 1898475 */     GIR_EraseRootFromParent_Done,
     /* 1898476 */   // Label 25547: @1898476
     /* 1898476 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1898562), // Rule ID 19297 //
     /* 1898481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898527 */     // MIs[0] policy
     /* 1898527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898537 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1898540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898561 */     // GIR_Coverage, 19297,
     /* 1898561 */     GIR_EraseRootFromParent_Done,
     /* 1898562 */   // Label 25548: @1898562
     /* 1898562 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1898648), // Rule ID 19298 //
     /* 1898567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898613 */     // MIs[0] policy
     /* 1898613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898623 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1898626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898647 */     // GIR_Coverage, 19298,
     /* 1898647 */     GIR_EraseRootFromParent_Done,
     /* 1898648 */   // Label 25549: @1898648
     /* 1898648 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1898734), // Rule ID 19301 //
     /* 1898653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898699 */     // MIs[0] policy
     /* 1898699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898709 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1898712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898733 */     // GIR_Coverage, 19301,
     /* 1898733 */     GIR_EraseRootFromParent_Done,
     /* 1898734 */   // Label 25550: @1898734
     /* 1898734 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1898820), // Rule ID 19302 //
     /* 1898739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898785 */     // MIs[0] policy
     /* 1898785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898795 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1898798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898819 */     // GIR_Coverage, 19302,
     /* 1898819 */     GIR_EraseRootFromParent_Done,
     /* 1898820 */   // Label 25551: @1898820
     /* 1898820 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1898906), // Rule ID 19305 //
     /* 1898825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898871 */     // MIs[0] policy
     /* 1898871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898881 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1898884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898905 */     // GIR_Coverage, 19305,
     /* 1898905 */     GIR_EraseRootFromParent_Done,
     /* 1898906 */   // Label 25552: @1898906
     /* 1898906 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1898992), // Rule ID 19306 //
     /* 1898911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898957 */     // MIs[0] policy
     /* 1898957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1898970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898991 */     // GIR_Coverage, 19306,
     /* 1898991 */     GIR_EraseRootFromParent_Done,
     /* 1898992 */   // Label 25553: @1898992
     /* 1898992 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1899078), // Rule ID 19309 //
     /* 1898997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899043 */     // MIs[0] policy
     /* 1899043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899053 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899077 */     // GIR_Coverage, 19309,
     /* 1899077 */     GIR_EraseRootFromParent_Done,
     /* 1899078 */   // Label 25554: @1899078
     /* 1899078 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1899164), // Rule ID 19310 //
     /* 1899083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899129 */     // MIs[0] policy
     /* 1899129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899139 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899163 */     // GIR_Coverage, 19310,
     /* 1899163 */     GIR_EraseRootFromParent_Done,
     /* 1899164 */   // Label 25555: @1899164
     /* 1899164 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1899250), // Rule ID 19313 //
     /* 1899169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899215 */     // MIs[0] policy
     /* 1899215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899225 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899249 */     // GIR_Coverage, 19313,
     /* 1899249 */     GIR_EraseRootFromParent_Done,
     /* 1899250 */   // Label 25556: @1899250
     /* 1899250 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1899336), // Rule ID 19314 //
     /* 1899255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899301 */     // MIs[0] policy
     /* 1899301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899311 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899335 */     // GIR_Coverage, 19314,
     /* 1899335 */     GIR_EraseRootFromParent_Done,
     /* 1899336 */   // Label 25557: @1899336
     /* 1899336 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1899422), // Rule ID 19317 //
     /* 1899341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899387 */     // MIs[0] policy
     /* 1899387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899397 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899421 */     // GIR_Coverage, 19317,
     /* 1899421 */     GIR_EraseRootFromParent_Done,
     /* 1899422 */   // Label 25558: @1899422
     /* 1899422 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1899508), // Rule ID 19318 //
     /* 1899427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899473 */     // MIs[0] policy
     /* 1899473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899483 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899507 */     // GIR_Coverage, 19318,
     /* 1899507 */     GIR_EraseRootFromParent_Done,
     /* 1899508 */   // Label 25559: @1899508
     /* 1899508 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1899594), // Rule ID 19321 //
     /* 1899513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899559 */     // MIs[0] policy
     /* 1899559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899569 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1899572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899593 */     // GIR_Coverage, 19321,
     /* 1899593 */     GIR_EraseRootFromParent_Done,
     /* 1899594 */   // Label 25560: @1899594
     /* 1899594 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1899680), // Rule ID 19322 //
     /* 1899599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899645 */     // MIs[0] policy
     /* 1899645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899655 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1899658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899679 */     // GIR_Coverage, 19322,
     /* 1899679 */     GIR_EraseRootFromParent_Done,
     /* 1899680 */   // Label 25561: @1899680
     /* 1899680 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1899766), // Rule ID 19325 //
     /* 1899685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1899705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899731 */     // MIs[0] policy
     /* 1899731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899741 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1899744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899765 */     // GIR_Coverage, 19325,
     /* 1899765 */     GIR_EraseRootFromParent_Done,
     /* 1899766 */   // Label 25562: @1899766
     /* 1899766 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1899852), // Rule ID 19326 //
     /* 1899771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1899791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899817 */     // MIs[0] policy
     /* 1899817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1899830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899851 */     // GIR_Coverage, 19326,
     /* 1899851 */     GIR_EraseRootFromParent_Done,
     /* 1899852 */   // Label 25563: @1899852
     /* 1899852 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1899938), // Rule ID 19329 //
     /* 1899857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899903 */     // MIs[0] policy
     /* 1899903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899913 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1899916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899937 */     // GIR_Coverage, 19329,
     /* 1899937 */     GIR_EraseRootFromParent_Done,
     /* 1899938 */   // Label 25564: @1899938
     /* 1899938 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1900024), // Rule ID 19330 //
     /* 1899943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899989 */     // MIs[0] policy
     /* 1899989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899999 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1900002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900023 */     // GIR_Coverage, 19330,
     /* 1900023 */     GIR_EraseRootFromParent_Done,
     /* 1900024 */   // Label 25565: @1900024
     /* 1900024 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1900110), // Rule ID 19333 //
     /* 1900029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1900040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1900043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1900046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1900049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900075 */     // MIs[0] policy
     /* 1900075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900085 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900109 */     // GIR_Coverage, 19333,
     /* 1900109 */     GIR_EraseRootFromParent_Done,
     /* 1900110 */   // Label 25566: @1900110
     /* 1900110 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1900196), // Rule ID 19334 //
     /* 1900115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1900126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1900129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1900132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1900135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900161 */     // MIs[0] policy
     /* 1900161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900171 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900195 */     // GIR_Coverage, 19334,
     /* 1900195 */     GIR_EraseRootFromParent_Done,
     /* 1900196 */   // Label 25567: @1900196
     /* 1900196 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1900282), // Rule ID 19337 //
     /* 1900201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900247 */     // MIs[0] policy
     /* 1900247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900257 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900281 */     // GIR_Coverage, 19337,
     /* 1900281 */     GIR_EraseRootFromParent_Done,
     /* 1900282 */   // Label 25568: @1900282
     /* 1900282 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1900368), // Rule ID 19338 //
     /* 1900287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900333 */     // MIs[0] policy
     /* 1900333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900343 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900367 */     // GIR_Coverage, 19338,
     /* 1900367 */     GIR_EraseRootFromParent_Done,
     /* 1900368 */   // Label 25569: @1900368
     /* 1900368 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1900454), // Rule ID 19341 //
     /* 1900373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900419 */     // MIs[0] policy
     /* 1900419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900429 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900453 */     // GIR_Coverage, 19341,
     /* 1900453 */     GIR_EraseRootFromParent_Done,
     /* 1900454 */   // Label 25570: @1900454
     /* 1900454 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1900540), // Rule ID 19342 //
     /* 1900459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900505 */     // MIs[0] policy
     /* 1900505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900515 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900539 */     // GIR_Coverage, 19342,
     /* 1900539 */     GIR_EraseRootFromParent_Done,
     /* 1900540 */   // Label 25571: @1900540
     /* 1900540 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1900626), // Rule ID 19345 //
     /* 1900545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1900565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900591 */     // MIs[0] policy
     /* 1900591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900601 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1900604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900625 */     // GIR_Coverage, 19345,
     /* 1900625 */     GIR_EraseRootFromParent_Done,
     /* 1900626 */   // Label 25572: @1900626
     /* 1900626 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1900712), // Rule ID 19346 //
     /* 1900631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1900651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900677 */     // MIs[0] policy
     /* 1900677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900687 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1900690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900711 */     // GIR_Coverage, 19346,
     /* 1900711 */     GIR_EraseRootFromParent_Done,
     /* 1900712 */   // Label 25573: @1900712
     /* 1900712 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1900798), // Rule ID 19349 //
     /* 1900717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900763 */     // MIs[0] policy
     /* 1900763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900773 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1900776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900797 */     // GIR_Coverage, 19349,
     /* 1900797 */     GIR_EraseRootFromParent_Done,
     /* 1900798 */   // Label 25574: @1900798
     /* 1900798 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1900884), // Rule ID 19350 //
     /* 1900803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900849 */     // MIs[0] policy
     /* 1900849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900859 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1900862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900883 */     // GIR_Coverage, 19350,
     /* 1900883 */     GIR_EraseRootFromParent_Done,
     /* 1900884 */   // Label 25575: @1900884
     /* 1900884 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1900970), // Rule ID 19353 //
     /* 1900889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900935 */     // MIs[0] policy
     /* 1900935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900945 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1900948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900969 */     // GIR_Coverage, 19353,
     /* 1900969 */     GIR_EraseRootFromParent_Done,
     /* 1900970 */   // Label 25576: @1900970
     /* 1900970 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1901056), // Rule ID 19354 //
     /* 1900975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901021 */     // MIs[0] policy
     /* 1901021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901031 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1901034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901055 */     // GIR_Coverage, 19354,
     /* 1901055 */     GIR_EraseRootFromParent_Done,
     /* 1901056 */   // Label 25577: @1901056
     /* 1901056 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1901142), // Rule ID 19357 //
     /* 1901061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901107 */     // MIs[0] policy
     /* 1901107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901117 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901141 */     // GIR_Coverage, 19357,
     /* 1901141 */     GIR_EraseRootFromParent_Done,
     /* 1901142 */   // Label 25578: @1901142
     /* 1901142 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1901228), // Rule ID 19358 //
     /* 1901147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901193 */     // MIs[0] policy
     /* 1901193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901203 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901227 */     // GIR_Coverage, 19358,
     /* 1901227 */     GIR_EraseRootFromParent_Done,
     /* 1901228 */   // Label 25579: @1901228
     /* 1901228 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1901314), // Rule ID 19361 //
     /* 1901233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901279 */     // MIs[0] policy
     /* 1901279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901289 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901313 */     // GIR_Coverage, 19361,
     /* 1901313 */     GIR_EraseRootFromParent_Done,
     /* 1901314 */   // Label 25580: @1901314
     /* 1901314 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1901400), // Rule ID 19362 //
     /* 1901319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901365 */     // MIs[0] policy
     /* 1901365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901375 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901399 */     // GIR_Coverage, 19362,
     /* 1901399 */     GIR_EraseRootFromParent_Done,
     /* 1901400 */   // Label 25581: @1901400
     /* 1901400 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1901486), // Rule ID 19365 //
     /* 1901405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901451 */     // MIs[0] policy
     /* 1901451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901461 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901485 */     // GIR_Coverage, 19365,
     /* 1901485 */     GIR_EraseRootFromParent_Done,
     /* 1901486 */   // Label 25582: @1901486
     /* 1901486 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1901572), // Rule ID 19366 //
     /* 1901491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901537 */     // MIs[0] policy
     /* 1901537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901547 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901571 */     // GIR_Coverage, 19366,
     /* 1901571 */     GIR_EraseRootFromParent_Done,
     /* 1901572 */   // Label 25583: @1901572
     /* 1901572 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1901658), // Rule ID 19369 //
     /* 1901577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901623 */     // MIs[0] policy
     /* 1901623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901633 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1901636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901657 */     // GIR_Coverage, 19369,
     /* 1901657 */     GIR_EraseRootFromParent_Done,
     /* 1901658 */   // Label 25584: @1901658
     /* 1901658 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1901744), // Rule ID 19370 //
     /* 1901663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901709 */     // MIs[0] policy
     /* 1901709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901719 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1901722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901743 */     // GIR_Coverage, 19370,
     /* 1901743 */     GIR_EraseRootFromParent_Done,
     /* 1901744 */   // Label 25585: @1901744
     /* 1901744 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1901830), // Rule ID 19373 //
     /* 1901749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901795 */     // MIs[0] policy
     /* 1901795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901805 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1901808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901829 */     // GIR_Coverage, 19373,
     /* 1901829 */     GIR_EraseRootFromParent_Done,
     /* 1901830 */   // Label 25586: @1901830
     /* 1901830 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1901916), // Rule ID 19374 //
     /* 1901835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901881 */     // MIs[0] policy
     /* 1901881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901891 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1901894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901915 */     // GIR_Coverage, 19374,
     /* 1901915 */     GIR_EraseRootFromParent_Done,
     /* 1901916 */   // Label 25587: @1901916
     /* 1901916 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1902002), // Rule ID 19377 //
     /* 1901921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901967 */     // MIs[0] policy
     /* 1901967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901977 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1901980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902001 */     // GIR_Coverage, 19377,
     /* 1902001 */     GIR_EraseRootFromParent_Done,
     /* 1902002 */   // Label 25588: @1902002
     /* 1902002 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1902088), // Rule ID 19378 //
     /* 1902007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1902018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1902021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1902024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902053 */     // MIs[0] policy
     /* 1902053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902063 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1902066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902087 */     // GIR_Coverage, 19378,
     /* 1902087 */     GIR_EraseRootFromParent_Done,
     /* 1902088 */   // Label 25589: @1902088
     /* 1902088 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1902174), // Rule ID 19381 //
     /* 1902093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902139 */     // MIs[0] policy
     /* 1902139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902149 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902173 */     // GIR_Coverage, 19381,
     /* 1902173 */     GIR_EraseRootFromParent_Done,
     /* 1902174 */   // Label 25590: @1902174
     /* 1902174 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1902260), // Rule ID 19382 //
     /* 1902179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902225 */     // MIs[0] policy
     /* 1902225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902235 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902259 */     // GIR_Coverage, 19382,
     /* 1902259 */     GIR_EraseRootFromParent_Done,
     /* 1902260 */   // Label 25591: @1902260
     /* 1902260 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1902346), // Rule ID 19385 //
     /* 1902265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902311 */     // MIs[0] policy
     /* 1902311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902321 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902345 */     // GIR_Coverage, 19385,
     /* 1902345 */     GIR_EraseRootFromParent_Done,
     /* 1902346 */   // Label 25592: @1902346
     /* 1902346 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1902432), // Rule ID 19386 //
     /* 1902351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902397 */     // MIs[0] policy
     /* 1902397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902407 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902431 */     // GIR_Coverage, 19386,
     /* 1902431 */     GIR_EraseRootFromParent_Done,
     /* 1902432 */   // Label 25593: @1902432
     /* 1902432 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1902518), // Rule ID 19389 //
     /* 1902437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902483 */     // MIs[0] policy
     /* 1902483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902493 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902517 */     // GIR_Coverage, 19389,
     /* 1902517 */     GIR_EraseRootFromParent_Done,
     /* 1902518 */   // Label 25594: @1902518
     /* 1902518 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1902604), // Rule ID 19390 //
     /* 1902523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902569 */     // MIs[0] policy
     /* 1902569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902579 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902603 */     // GIR_Coverage, 19390,
     /* 1902603 */     GIR_EraseRootFromParent_Done,
     /* 1902604 */   // Label 25595: @1902604
     /* 1902604 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1902690), // Rule ID 19393 //
     /* 1902609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902655 */     // MIs[0] policy
     /* 1902655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902665 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1902668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902689 */     // GIR_Coverage, 19393,
     /* 1902689 */     GIR_EraseRootFromParent_Done,
     /* 1902690 */   // Label 25596: @1902690
     /* 1902690 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1902776), // Rule ID 19394 //
     /* 1902695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902741 */     // MIs[0] policy
     /* 1902741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902751 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1902754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902775 */     // GIR_Coverage, 19394,
     /* 1902775 */     GIR_EraseRootFromParent_Done,
     /* 1902776 */   // Label 25597: @1902776
     /* 1902776 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1902862), // Rule ID 19397 //
     /* 1902781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902827 */     // MIs[0] policy
     /* 1902827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902837 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1902840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902861 */     // GIR_Coverage, 19397,
     /* 1902861 */     GIR_EraseRootFromParent_Done,
     /* 1902862 */   // Label 25598: @1902862
     /* 1902862 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1902948), // Rule ID 19398 //
     /* 1902867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902913 */     // MIs[0] policy
     /* 1902913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902923 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1902926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902947 */     // GIR_Coverage, 19398,
     /* 1902947 */     GIR_EraseRootFromParent_Done,
     /* 1902948 */   // Label 25599: @1902948
     /* 1902948 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1903034), // Rule ID 19401 //
     /* 1902953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902999 */     // MIs[0] policy
     /* 1902999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903009 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1903012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903033 */     // GIR_Coverage, 19401,
     /* 1903033 */     GIR_EraseRootFromParent_Done,
     /* 1903034 */   // Label 25600: @1903034
     /* 1903034 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1903120), // Rule ID 19402 //
     /* 1903039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1903056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903085 */     // MIs[0] policy
     /* 1903085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903095 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1903098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903119 */     // GIR_Coverage, 19402,
     /* 1903119 */     GIR_EraseRootFromParent_Done,
     /* 1903120 */   // Label 25601: @1903120
     /* 1903120 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1903206), // Rule ID 19405 //
     /* 1903125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903171 */     // MIs[0] policy
     /* 1903171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903181 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903205 */     // GIR_Coverage, 19405,
     /* 1903205 */     GIR_EraseRootFromParent_Done,
     /* 1903206 */   // Label 25602: @1903206
     /* 1903206 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1903292), // Rule ID 19406 //
     /* 1903211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903257 */     // MIs[0] policy
     /* 1903257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903267 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903291 */     // GIR_Coverage, 19406,
     /* 1903291 */     GIR_EraseRootFromParent_Done,
     /* 1903292 */   // Label 25603: @1903292
     /* 1903292 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1903378), // Rule ID 19409 //
     /* 1903297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903343 */     // MIs[0] policy
     /* 1903343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903353 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903377 */     // GIR_Coverage, 19409,
     /* 1903377 */     GIR_EraseRootFromParent_Done,
     /* 1903378 */   // Label 25604: @1903378
     /* 1903378 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1903464), // Rule ID 19410 //
     /* 1903383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903429 */     // MIs[0] policy
     /* 1903429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903439 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903463 */     // GIR_Coverage, 19410,
     /* 1903463 */     GIR_EraseRootFromParent_Done,
     /* 1903464 */   // Label 25605: @1903464
     /* 1903464 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1903550), // Rule ID 19413 //
     /* 1903469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903515 */     // MIs[0] policy
     /* 1903515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903525 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1903528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903549 */     // GIR_Coverage, 19413,
     /* 1903549 */     GIR_EraseRootFromParent_Done,
     /* 1903550 */   // Label 25606: @1903550
     /* 1903550 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1903636), // Rule ID 19414 //
     /* 1903555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903601 */     // MIs[0] policy
     /* 1903601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903611 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1903614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903635 */     // GIR_Coverage, 19414,
     /* 1903635 */     GIR_EraseRootFromParent_Done,
     /* 1903636 */   // Label 25607: @1903636
     /* 1903636 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1903722), // Rule ID 19417 //
     /* 1903641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1903661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903687 */     // MIs[0] policy
     /* 1903687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903697 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1903700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903721 */     // GIR_Coverage, 19417,
     /* 1903721 */     GIR_EraseRootFromParent_Done,
     /* 1903722 */   // Label 25608: @1903722
     /* 1903722 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1903808), // Rule ID 19418 //
     /* 1903727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1903747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903773 */     // MIs[0] policy
     /* 1903773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903783 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1903786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903807 */     // GIR_Coverage, 19418,
     /* 1903807 */     GIR_EraseRootFromParent_Done,
     /* 1903808 */   // Label 25609: @1903808
     /* 1903808 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1903894), // Rule ID 19421 //
     /* 1903813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903859 */     // MIs[0] policy
     /* 1903859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903869 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1903872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903893 */     // GIR_Coverage, 19421,
     /* 1903893 */     GIR_EraseRootFromParent_Done,
     /* 1903894 */   // Label 25610: @1903894
     /* 1903894 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1903980), // Rule ID 19422 //
     /* 1903899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903945 */     // MIs[0] policy
     /* 1903945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903955 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1903958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903979 */     // GIR_Coverage, 19422,
     /* 1903979 */     GIR_EraseRootFromParent_Done,
     /* 1903980 */   // Label 25611: @1903980
     /* 1903980 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1904066), // Rule ID 19425 //
     /* 1903985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904031 */     // MIs[0] policy
     /* 1904031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904041 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1904044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904065 */     // GIR_Coverage, 19425,
     /* 1904065 */     GIR_EraseRootFromParent_Done,
     /* 1904066 */   // Label 25612: @1904066
     /* 1904066 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1904152), // Rule ID 19426 //
     /* 1904071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904117 */     // MIs[0] policy
     /* 1904117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904127 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1904130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904151 */     // GIR_Coverage, 19426,
     /* 1904151 */     GIR_EraseRootFromParent_Done,
     /* 1904152 */   // Label 25613: @1904152
     /* 1904152 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1904238), // Rule ID 19429 //
     /* 1904157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904203 */     // MIs[0] policy
     /* 1904203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904213 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904237 */     // GIR_Coverage, 19429,
     /* 1904237 */     GIR_EraseRootFromParent_Done,
     /* 1904238 */   // Label 25614: @1904238
     /* 1904238 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1904324), // Rule ID 19430 //
     /* 1904243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904289 */     // MIs[0] policy
     /* 1904289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904299 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904323 */     // GIR_Coverage, 19430,
     /* 1904323 */     GIR_EraseRootFromParent_Done,
     /* 1904324 */   // Label 25615: @1904324
     /* 1904324 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1904410), // Rule ID 19433 //
     /* 1904329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904375 */     // MIs[0] policy
     /* 1904375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904385 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904409 */     // GIR_Coverage, 19433,
     /* 1904409 */     GIR_EraseRootFromParent_Done,
     /* 1904410 */   // Label 25616: @1904410
     /* 1904410 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1904496), // Rule ID 19434 //
     /* 1904415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904461 */     // MIs[0] policy
     /* 1904461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904471 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904495 */     // GIR_Coverage, 19434,
     /* 1904495 */     GIR_EraseRootFromParent_Done,
     /* 1904496 */   // Label 25617: @1904496
     /* 1904496 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1904582), // Rule ID 19437 //
     /* 1904501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904547 */     // MIs[0] policy
     /* 1904547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904557 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1904560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904581 */     // GIR_Coverage, 19437,
     /* 1904581 */     GIR_EraseRootFromParent_Done,
     /* 1904582 */   // Label 25618: @1904582
     /* 1904582 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1904668), // Rule ID 19438 //
     /* 1904587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904633 */     // MIs[0] policy
     /* 1904633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904643 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1904646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904667 */     // GIR_Coverage, 19438,
     /* 1904667 */     GIR_EraseRootFromParent_Done,
     /* 1904668 */   // Label 25619: @1904668
     /* 1904668 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1904754), // Rule ID 19441 //
     /* 1904673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1904693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904719 */     // MIs[0] policy
     /* 1904719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904729 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1904732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904753 */     // GIR_Coverage, 19441,
     /* 1904753 */     GIR_EraseRootFromParent_Done,
     /* 1904754 */   // Label 25620: @1904754
     /* 1904754 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1904840), // Rule ID 19442 //
     /* 1904759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1904779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904805 */     // MIs[0] policy
     /* 1904805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904815 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1904818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904839 */     // GIR_Coverage, 19442,
     /* 1904839 */     GIR_EraseRootFromParent_Done,
     /* 1904840 */   // Label 25621: @1904840
     /* 1904840 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1904926), // Rule ID 19445 //
     /* 1904845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904891 */     // MIs[0] policy
     /* 1904891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904901 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1904904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904925 */     // GIR_Coverage, 19445,
     /* 1904925 */     GIR_EraseRootFromParent_Done,
     /* 1904926 */   // Label 25622: @1904926
     /* 1904926 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1905012), // Rule ID 19446 //
     /* 1904931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904977 */     // MIs[0] policy
     /* 1904977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1904990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905011 */     // GIR_Coverage, 19446,
     /* 1905011 */     GIR_EraseRootFromParent_Done,
     /* 1905012 */   // Label 25623: @1905012
     /* 1905012 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1905098), // Rule ID 19449 //
     /* 1905017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1905028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1905031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1905037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905063 */     // MIs[0] policy
     /* 1905063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905073 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905097 */     // GIR_Coverage, 19449,
     /* 1905097 */     GIR_EraseRootFromParent_Done,
     /* 1905098 */   // Label 25624: @1905098
     /* 1905098 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1905184), // Rule ID 19450 //
     /* 1905103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1905114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1905117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1905123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905149 */     // MIs[0] policy
     /* 1905149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905159 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905183 */     // GIR_Coverage, 19450,
     /* 1905183 */     GIR_EraseRootFromParent_Done,
     /* 1905184 */   // Label 25625: @1905184
     /* 1905184 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1905270), // Rule ID 19453 //
     /* 1905189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905235 */     // MIs[0] policy
     /* 1905235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905245 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905269 */     // GIR_Coverage, 19453,
     /* 1905269 */     GIR_EraseRootFromParent_Done,
     /* 1905270 */   // Label 25626: @1905270
     /* 1905270 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1905356), // Rule ID 19454 //
     /* 1905275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905321 */     // MIs[0] policy
     /* 1905321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905331 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905355 */     // GIR_Coverage, 19454,
     /* 1905355 */     GIR_EraseRootFromParent_Done,
     /* 1905356 */   // Label 25627: @1905356
     /* 1905356 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1905442), // Rule ID 19457 //
     /* 1905361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905407 */     // MIs[0] policy
     /* 1905407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905441 */     // GIR_Coverage, 19457,
     /* 1905441 */     GIR_EraseRootFromParent_Done,
     /* 1905442 */   // Label 25628: @1905442
     /* 1905442 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1905528), // Rule ID 19458 //
     /* 1905447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905493 */     // MIs[0] policy
     /* 1905493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905527 */     // GIR_Coverage, 19458,
     /* 1905527 */     GIR_EraseRootFromParent_Done,
     /* 1905528 */   // Label 25629: @1905528
     /* 1905528 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1905614), // Rule ID 19461 //
     /* 1905533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1905553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905579 */     // MIs[0] policy
     /* 1905579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905589 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1905592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905613 */     // GIR_Coverage, 19461,
     /* 1905613 */     GIR_EraseRootFromParent_Done,
     /* 1905614 */   // Label 25630: @1905614
     /* 1905614 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1905700), // Rule ID 19462 //
     /* 1905619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1905639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905665 */     // MIs[0] policy
     /* 1905665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905675 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1905678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905699 */     // GIR_Coverage, 19462,
     /* 1905699 */     GIR_EraseRootFromParent_Done,
     /* 1905700 */   // Label 25631: @1905700
     /* 1905700 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1905786), // Rule ID 19465 //
     /* 1905705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1905725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905751 */     // MIs[0] policy
     /* 1905751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905761 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1905764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905785 */     // GIR_Coverage, 19465,
     /* 1905785 */     GIR_EraseRootFromParent_Done,
     /* 1905786 */   // Label 25632: @1905786
     /* 1905786 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1905872), // Rule ID 19466 //
     /* 1905791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1905811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905837 */     // MIs[0] policy
     /* 1905837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905847 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1905850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905871 */     // GIR_Coverage, 19466,
     /* 1905871 */     GIR_EraseRootFromParent_Done,
     /* 1905872 */   // Label 25633: @1905872
     /* 1905872 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1905958), // Rule ID 19469 //
     /* 1905877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905923 */     // MIs[0] policy
     /* 1905923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905933 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1905936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905957 */     // GIR_Coverage, 19469,
     /* 1905957 */     GIR_EraseRootFromParent_Done,
     /* 1905958 */   // Label 25634: @1905958
     /* 1905958 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1906044), // Rule ID 19470 //
     /* 1905963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906009 */     // MIs[0] policy
     /* 1906009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906019 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1906022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906043 */     // GIR_Coverage, 19470,
     /* 1906043 */     GIR_EraseRootFromParent_Done,
     /* 1906044 */   // Label 25635: @1906044
     /* 1906044 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1906130), // Rule ID 19473 //
     /* 1906049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906095 */     // MIs[0] policy
     /* 1906095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906105 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906129 */     // GIR_Coverage, 19473,
     /* 1906129 */     GIR_EraseRootFromParent_Done,
     /* 1906130 */   // Label 25636: @1906130
     /* 1906130 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1906216), // Rule ID 19474 //
     /* 1906135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906181 */     // MIs[0] policy
     /* 1906181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906191 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906215 */     // GIR_Coverage, 19474,
     /* 1906215 */     GIR_EraseRootFromParent_Done,
     /* 1906216 */   // Label 25637: @1906216
     /* 1906216 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1906302), // Rule ID 19477 //
     /* 1906221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906267 */     // MIs[0] policy
     /* 1906267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906277 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906301 */     // GIR_Coverage, 19477,
     /* 1906301 */     GIR_EraseRootFromParent_Done,
     /* 1906302 */   // Label 25638: @1906302
     /* 1906302 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1906388), // Rule ID 19478 //
     /* 1906307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906353 */     // MIs[0] policy
     /* 1906353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906363 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906387 */     // GIR_Coverage, 19478,
     /* 1906387 */     GIR_EraseRootFromParent_Done,
     /* 1906388 */   // Label 25639: @1906388
     /* 1906388 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1906474), // Rule ID 19481 //
     /* 1906393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906439 */     // MIs[0] policy
     /* 1906439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906449 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906473 */     // GIR_Coverage, 19481,
     /* 1906473 */     GIR_EraseRootFromParent_Done,
     /* 1906474 */   // Label 25640: @1906474
     /* 1906474 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1906560), // Rule ID 19482 //
     /* 1906479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906525 */     // MIs[0] policy
     /* 1906525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906535 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906559 */     // GIR_Coverage, 19482,
     /* 1906559 */     GIR_EraseRootFromParent_Done,
     /* 1906560 */   // Label 25641: @1906560
     /* 1906560 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1906646), // Rule ID 19485 //
     /* 1906565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906611 */     // MIs[0] policy
     /* 1906611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906621 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1906624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906645 */     // GIR_Coverage, 19485,
     /* 1906645 */     GIR_EraseRootFromParent_Done,
     /* 1906646 */   // Label 25642: @1906646
     /* 1906646 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1906732), // Rule ID 19486 //
     /* 1906651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906697 */     // MIs[0] policy
     /* 1906697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1906710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906731 */     // GIR_Coverage, 19486,
     /* 1906731 */     GIR_EraseRootFromParent_Done,
     /* 1906732 */   // Label 25643: @1906732
     /* 1906732 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1906818), // Rule ID 19489 //
     /* 1906737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906783 */     // MIs[0] policy
     /* 1906783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906793 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1906796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906817 */     // GIR_Coverage, 19489,
     /* 1906817 */     GIR_EraseRootFromParent_Done,
     /* 1906818 */   // Label 25644: @1906818
     /* 1906818 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1906904), // Rule ID 19490 //
     /* 1906823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906869 */     // MIs[0] policy
     /* 1906869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906879 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1906882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906903 */     // GIR_Coverage, 19490,
     /* 1906903 */     GIR_EraseRootFromParent_Done,
     /* 1906904 */   // Label 25645: @1906904
     /* 1906904 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1906990), // Rule ID 19493 //
     /* 1906909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906955 */     // MIs[0] policy
     /* 1906955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906965 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1906968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906989 */     // GIR_Coverage, 19493,
     /* 1906989 */     GIR_EraseRootFromParent_Done,
     /* 1906990 */   // Label 25646: @1906990
     /* 1906990 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1907076), // Rule ID 19494 //
     /* 1906995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1907006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1907009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1907012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907041 */     // MIs[0] policy
     /* 1907041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907051 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1907054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907075 */     // GIR_Coverage, 19494,
     /* 1907075 */     GIR_EraseRootFromParent_Done,
     /* 1907076 */   // Label 25647: @1907076
     /* 1907076 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1907162), // Rule ID 19497 //
     /* 1907081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907127 */     // MIs[0] policy
     /* 1907127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907137 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907161 */     // GIR_Coverage, 19497,
     /* 1907161 */     GIR_EraseRootFromParent_Done,
     /* 1907162 */   // Label 25648: @1907162
     /* 1907162 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1907248), // Rule ID 19498 //
     /* 1907167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907213 */     // MIs[0] policy
     /* 1907213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907223 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907247 */     // GIR_Coverage, 19498,
     /* 1907247 */     GIR_EraseRootFromParent_Done,
     /* 1907248 */   // Label 25649: @1907248
     /* 1907248 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1907334), // Rule ID 19501 //
     /* 1907253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907299 */     // MIs[0] policy
     /* 1907299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907309 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907333 */     // GIR_Coverage, 19501,
     /* 1907333 */     GIR_EraseRootFromParent_Done,
     /* 1907334 */   // Label 25650: @1907334
     /* 1907334 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1907420), // Rule ID 19502 //
     /* 1907339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907385 */     // MIs[0] policy
     /* 1907385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907395 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907419 */     // GIR_Coverage, 19502,
     /* 1907419 */     GIR_EraseRootFromParent_Done,
     /* 1907420 */   // Label 25651: @1907420
     /* 1907420 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1907506), // Rule ID 19505 //
     /* 1907425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907471 */     // MIs[0] policy
     /* 1907471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907481 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907505 */     // GIR_Coverage, 19505,
     /* 1907505 */     GIR_EraseRootFromParent_Done,
     /* 1907506 */   // Label 25652: @1907506
     /* 1907506 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1907592), // Rule ID 19506 //
     /* 1907511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907557 */     // MIs[0] policy
     /* 1907557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907567 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907591 */     // GIR_Coverage, 19506,
     /* 1907591 */     GIR_EraseRootFromParent_Done,
     /* 1907592 */   // Label 25653: @1907592
     /* 1907592 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1907678), // Rule ID 19509 //
     /* 1907597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907643 */     // MIs[0] policy
     /* 1907643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907653 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1907656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907677 */     // GIR_Coverage, 19509,
     /* 1907677 */     GIR_EraseRootFromParent_Done,
     /* 1907678 */   // Label 25654: @1907678
     /* 1907678 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1907764), // Rule ID 19510 //
     /* 1907683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907729 */     // MIs[0] policy
     /* 1907729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907739 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1907742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907763 */     // GIR_Coverage, 19510,
     /* 1907763 */     GIR_EraseRootFromParent_Done,
     /* 1907764 */   // Label 25655: @1907764
     /* 1907764 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1907850), // Rule ID 19513 //
     /* 1907769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907815 */     // MIs[0] policy
     /* 1907815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907825 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1907828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907849 */     // GIR_Coverage, 19513,
     /* 1907849 */     GIR_EraseRootFromParent_Done,
     /* 1907850 */   // Label 25656: @1907850
     /* 1907850 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1907936), // Rule ID 19514 //
     /* 1907855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907901 */     // MIs[0] policy
     /* 1907901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907911 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1907914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907935 */     // GIR_Coverage, 19514,
     /* 1907935 */     GIR_EraseRootFromParent_Done,
     /* 1907936 */   // Label 25657: @1907936
     /* 1907936 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1908022), // Rule ID 19517 //
     /* 1907941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907987 */     // MIs[0] policy
     /* 1907987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907997 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1908000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908021 */     // GIR_Coverage, 19517,
     /* 1908021 */     GIR_EraseRootFromParent_Done,
     /* 1908022 */   // Label 25658: @1908022
     /* 1908022 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1908108), // Rule ID 19518 //
     /* 1908027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1908038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1908041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1908044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908073 */     // MIs[0] policy
     /* 1908073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908083 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1908086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908107 */     // GIR_Coverage, 19518,
     /* 1908107 */     GIR_EraseRootFromParent_Done,
     /* 1908108 */   // Label 25659: @1908108
     /* 1908108 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1908194), // Rule ID 19521 //
     /* 1908113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908159 */     // MIs[0] policy
     /* 1908159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908169 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908193 */     // GIR_Coverage, 19521,
     /* 1908193 */     GIR_EraseRootFromParent_Done,
     /* 1908194 */   // Label 25660: @1908194
     /* 1908194 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1908280), // Rule ID 19522 //
     /* 1908199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908245 */     // MIs[0] policy
     /* 1908245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908255 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908279 */     // GIR_Coverage, 19522,
     /* 1908279 */     GIR_EraseRootFromParent_Done,
     /* 1908280 */   // Label 25661: @1908280
     /* 1908280 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1908366), // Rule ID 19525 //
     /* 1908285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908331 */     // MIs[0] policy
     /* 1908331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908341 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908365 */     // GIR_Coverage, 19525,
     /* 1908365 */     GIR_EraseRootFromParent_Done,
     /* 1908366 */   // Label 25662: @1908366
     /* 1908366 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1908452), // Rule ID 19526 //
     /* 1908371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908417 */     // MIs[0] policy
     /* 1908417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908451 */     // GIR_Coverage, 19526,
     /* 1908451 */     GIR_EraseRootFromParent_Done,
     /* 1908452 */   // Label 25663: @1908452
     /* 1908452 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1908538), // Rule ID 19529 //
     /* 1908457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908503 */     // MIs[0] policy
     /* 1908503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908513 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908537 */     // GIR_Coverage, 19529,
     /* 1908537 */     GIR_EraseRootFromParent_Done,
     /* 1908538 */   // Label 25664: @1908538
     /* 1908538 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1908624), // Rule ID 19530 //
     /* 1908543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908589 */     // MIs[0] policy
     /* 1908589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908599 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908623 */     // GIR_Coverage, 19530,
     /* 1908623 */     GIR_EraseRootFromParent_Done,
     /* 1908624 */   // Label 25665: @1908624
     /* 1908624 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1908710), // Rule ID 19533 //
     /* 1908629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1908649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908675 */     // MIs[0] policy
     /* 1908675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908685 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1908688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908709 */     // GIR_Coverage, 19533,
     /* 1908709 */     GIR_EraseRootFromParent_Done,
     /* 1908710 */   // Label 25666: @1908710
     /* 1908710 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1908796), // Rule ID 19534 //
     /* 1908715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1908735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908761 */     // MIs[0] policy
     /* 1908761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908771 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1908774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908795 */     // GIR_Coverage, 19534,
     /* 1908795 */     GIR_EraseRootFromParent_Done,
     /* 1908796 */   // Label 25667: @1908796
     /* 1908796 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1908882), // Rule ID 19537 //
     /* 1908801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1908821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908847 */     // MIs[0] policy
     /* 1908847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908857 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1908860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908881 */     // GIR_Coverage, 19537,
     /* 1908881 */     GIR_EraseRootFromParent_Done,
     /* 1908882 */   // Label 25668: @1908882
     /* 1908882 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1908968), // Rule ID 19538 //
     /* 1908887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1908907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908933 */     // MIs[0] policy
     /* 1908933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908943 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1908946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908967 */     // GIR_Coverage, 19538,
     /* 1908967 */     GIR_EraseRootFromParent_Done,
     /* 1908968 */   // Label 25669: @1908968
     /* 1908968 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1909054), // Rule ID 19541 //
     /* 1908973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1908993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909019 */     // MIs[0] policy
     /* 1909019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909029 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1909032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909053 */     // GIR_Coverage, 19541,
     /* 1909053 */     GIR_EraseRootFromParent_Done,
     /* 1909054 */   // Label 25670: @1909054
     /* 1909054 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1909140), // Rule ID 19542 //
     /* 1909059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1909070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1909073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1909076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1909079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909105 */     // MIs[0] policy
     /* 1909105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909115 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1909118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909139 */     // GIR_Coverage, 19542,
     /* 1909139 */     GIR_EraseRootFromParent_Done,
     /* 1909140 */   // Label 25671: @1909140
     /* 1909140 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1909226), // Rule ID 19545 //
     /* 1909145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909191 */     // MIs[0] policy
     /* 1909191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909201 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909225 */     // GIR_Coverage, 19545,
     /* 1909225 */     GIR_EraseRootFromParent_Done,
     /* 1909226 */   // Label 25672: @1909226
     /* 1909226 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1909312), // Rule ID 19546 //
     /* 1909231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909277 */     // MIs[0] policy
     /* 1909277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909287 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909311 */     // GIR_Coverage, 19546,
     /* 1909311 */     GIR_EraseRootFromParent_Done,
     /* 1909312 */   // Label 25673: @1909312
     /* 1909312 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1909398), // Rule ID 19549 //
     /* 1909317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909363 */     // MIs[0] policy
     /* 1909363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909373 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909397 */     // GIR_Coverage, 19549,
     /* 1909397 */     GIR_EraseRootFromParent_Done,
     /* 1909398 */   // Label 25674: @1909398
     /* 1909398 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1909484), // Rule ID 19550 //
     /* 1909403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909449 */     // MIs[0] policy
     /* 1909449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909459 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909483 */     // GIR_Coverage, 19550,
     /* 1909483 */     GIR_EraseRootFromParent_Done,
     /* 1909484 */   // Label 25675: @1909484
     /* 1909484 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1909570), // Rule ID 19553 //
     /* 1909489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909535 */     // MIs[0] policy
     /* 1909535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909545 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1909548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909569 */     // GIR_Coverage, 19553,
     /* 1909569 */     GIR_EraseRootFromParent_Done,
     /* 1909570 */   // Label 25676: @1909570
     /* 1909570 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1909656), // Rule ID 19554 //
     /* 1909575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909621 */     // MIs[0] policy
     /* 1909621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909631 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1909634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909655 */     // GIR_Coverage, 19554,
     /* 1909655 */     GIR_EraseRootFromParent_Done,
     /* 1909656 */   // Label 25677: @1909656
     /* 1909656 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1909742), // Rule ID 19557 //
     /* 1909661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1909681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909707 */     // MIs[0] policy
     /* 1909707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909717 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1909720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909741 */     // GIR_Coverage, 19557,
     /* 1909741 */     GIR_EraseRootFromParent_Done,
     /* 1909742 */   // Label 25678: @1909742
     /* 1909742 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1909828), // Rule ID 19558 //
     /* 1909747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1909767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909793 */     // MIs[0] policy
     /* 1909793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909803 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1909806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909827 */     // GIR_Coverage, 19558,
     /* 1909827 */     GIR_EraseRootFromParent_Done,
     /* 1909828 */   // Label 25679: @1909828
     /* 1909828 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1909914), // Rule ID 19561 //
     /* 1909833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1909853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909879 */     // MIs[0] policy
     /* 1909879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909889 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1909892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909913 */     // GIR_Coverage, 19561,
     /* 1909913 */     GIR_EraseRootFromParent_Done,
     /* 1909914 */   // Label 25680: @1909914
     /* 1909914 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1910000), // Rule ID 19562 //
     /* 1909919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1909939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909965 */     // MIs[0] policy
     /* 1909965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909975 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1909978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909999 */     // GIR_Coverage, 19562,
     /* 1909999 */     GIR_EraseRootFromParent_Done,
     /* 1910000 */   // Label 25681: @1910000
     /* 1910000 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1910086), // Rule ID 19565 //
     /* 1910005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1910025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910051 */     // MIs[0] policy
     /* 1910051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910061 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910085 */     // GIR_Coverage, 19565,
     /* 1910085 */     GIR_EraseRootFromParent_Done,
     /* 1910086 */   // Label 25682: @1910086
     /* 1910086 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1910172), // Rule ID 19566 //
     /* 1910091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1910111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910137 */     // MIs[0] policy
     /* 1910137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910171 */     // GIR_Coverage, 19566,
     /* 1910171 */     GIR_EraseRootFromParent_Done,
     /* 1910172 */   // Label 25683: @1910172
     /* 1910172 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1910258), // Rule ID 19569 //
     /* 1910177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910223 */     // MIs[0] policy
     /* 1910223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910233 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910257 */     // GIR_Coverage, 19569,
     /* 1910257 */     GIR_EraseRootFromParent_Done,
     /* 1910258 */   // Label 25684: @1910258
     /* 1910258 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1910344), // Rule ID 19570 //
     /* 1910263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910309 */     // MIs[0] policy
     /* 1910309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910319 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910343 */     // GIR_Coverage, 19570,
     /* 1910343 */     GIR_EraseRootFromParent_Done,
     /* 1910344 */   // Label 25685: @1910344
     /* 1910344 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1910430), // Rule ID 19573 //
     /* 1910349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910395 */     // MIs[0] policy
     /* 1910395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910405 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910429 */     // GIR_Coverage, 19573,
     /* 1910429 */     GIR_EraseRootFromParent_Done,
     /* 1910430 */   // Label 25686: @1910430
     /* 1910430 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1910516), // Rule ID 19574 //
     /* 1910435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910481 */     // MIs[0] policy
     /* 1910481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910491 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910515 */     // GIR_Coverage, 19574,
     /* 1910515 */     GIR_EraseRootFromParent_Done,
     /* 1910516 */   // Label 25687: @1910516
     /* 1910516 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1910602), // Rule ID 19577 //
     /* 1910521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1910541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910567 */     // MIs[0] policy
     /* 1910567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1910580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910601 */     // GIR_Coverage, 19577,
     /* 1910601 */     GIR_EraseRootFromParent_Done,
     /* 1910602 */   // Label 25688: @1910602
     /* 1910602 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1910688), // Rule ID 19578 //
     /* 1910607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1910627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910653 */     // MIs[0] policy
     /* 1910653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910663 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1910666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910687 */     // GIR_Coverage, 19578,
     /* 1910687 */     GIR_EraseRootFromParent_Done,
     /* 1910688 */   // Label 25689: @1910688
     /* 1910688 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1910774), // Rule ID 19581 //
     /* 1910693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1910713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910739 */     // MIs[0] policy
     /* 1910739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910749 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1910752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910773 */     // GIR_Coverage, 19581,
     /* 1910773 */     GIR_EraseRootFromParent_Done,
     /* 1910774 */   // Label 25690: @1910774
     /* 1910774 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1910860), // Rule ID 19582 //
     /* 1910779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1910799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910825 */     // MIs[0] policy
     /* 1910825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910835 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1910838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910859 */     // GIR_Coverage, 19582,
     /* 1910859 */     GIR_EraseRootFromParent_Done,
     /* 1910860 */   // Label 25691: @1910860
     /* 1910860 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1910946), // Rule ID 19585 //
     /* 1910865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1910885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910911 */     // MIs[0] policy
     /* 1910911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910921 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1910924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910945 */     // GIR_Coverage, 19585,
     /* 1910945 */     GIR_EraseRootFromParent_Done,
     /* 1910946 */   // Label 25692: @1910946
     /* 1910946 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1911032), // Rule ID 19586 //
     /* 1910951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1910971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910997 */     // MIs[0] policy
     /* 1910997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911007 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1911010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911031 */     // GIR_Coverage, 19586,
     /* 1911031 */     GIR_EraseRootFromParent_Done,
     /* 1911032 */   // Label 25693: @1911032
     /* 1911032 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1911118), // Rule ID 19589 //
     /* 1911037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911083 */     // MIs[0] policy
     /* 1911083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911093 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911117 */     // GIR_Coverage, 19589,
     /* 1911117 */     GIR_EraseRootFromParent_Done,
     /* 1911118 */   // Label 25694: @1911118
     /* 1911118 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1911204), // Rule ID 19590 //
     /* 1911123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911169 */     // MIs[0] policy
     /* 1911169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911179 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911203 */     // GIR_Coverage, 19590,
     /* 1911203 */     GIR_EraseRootFromParent_Done,
     /* 1911204 */   // Label 25695: @1911204
     /* 1911204 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1911290), // Rule ID 19593 //
     /* 1911209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911255 */     // MIs[0] policy
     /* 1911255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911265 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911289 */     // GIR_Coverage, 19593,
     /* 1911289 */     GIR_EraseRootFromParent_Done,
     /* 1911290 */   // Label 25696: @1911290
     /* 1911290 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1911376), // Rule ID 19594 //
     /* 1911295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911341 */     // MIs[0] policy
     /* 1911341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911351 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911375 */     // GIR_Coverage, 19594,
     /* 1911375 */     GIR_EraseRootFromParent_Done,
     /* 1911376 */   // Label 25697: @1911376
     /* 1911376 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1911462), // Rule ID 19597 //
     /* 1911381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911427 */     // MIs[0] policy
     /* 1911427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911437 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911461 */     // GIR_Coverage, 19597,
     /* 1911461 */     GIR_EraseRootFromParent_Done,
     /* 1911462 */   // Label 25698: @1911462
     /* 1911462 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1911548), // Rule ID 19598 //
     /* 1911467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911513 */     // MIs[0] policy
     /* 1911513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911547 */     // GIR_Coverage, 19598,
     /* 1911547 */     GIR_EraseRootFromParent_Done,
     /* 1911548 */   // Label 25699: @1911548
     /* 1911548 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1911634), // Rule ID 19601 //
     /* 1911553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911599 */     // MIs[0] policy
     /* 1911599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911609 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1911612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911633 */     // GIR_Coverage, 19601,
     /* 1911633 */     GIR_EraseRootFromParent_Done,
     /* 1911634 */   // Label 25700: @1911634
     /* 1911634 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1911720), // Rule ID 19602 //
     /* 1911639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911685 */     // MIs[0] policy
     /* 1911685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911695 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1911698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911719 */     // GIR_Coverage, 19602,
     /* 1911719 */     GIR_EraseRootFromParent_Done,
     /* 1911720 */   // Label 25701: @1911720
     /* 1911720 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1911806), // Rule ID 19605 //
     /* 1911725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911771 */     // MIs[0] policy
     /* 1911771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911781 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1911784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911805 */     // GIR_Coverage, 19605,
     /* 1911805 */     GIR_EraseRootFromParent_Done,
     /* 1911806 */   // Label 25702: @1911806
     /* 1911806 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1911892), // Rule ID 19606 //
     /* 1911811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911857 */     // MIs[0] policy
     /* 1911857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1911870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911891 */     // GIR_Coverage, 19606,
     /* 1911891 */     GIR_EraseRootFromParent_Done,
     /* 1911892 */   // Label 25703: @1911892
     /* 1911892 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1911978), // Rule ID 19609 //
     /* 1911897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1911914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1911939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911943 */     // MIs[0] policy
     /* 1911943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911953 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1911956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911977 */     // GIR_Coverage, 19609,
     /* 1911977 */     GIR_EraseRootFromParent_Done,
     /* 1911978 */   // Label 25704: @1911978
     /* 1911978 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1912064), // Rule ID 19610 //
     /* 1911983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912029 */     // MIs[0] policy
     /* 1912029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912039 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1912042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912063 */     // GIR_Coverage, 19610,
     /* 1912063 */     GIR_EraseRootFromParent_Done,
     /* 1912064 */   // Label 25705: @1912064
     /* 1912064 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1912150), // Rule ID 19613 //
     /* 1912069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912115 */     // MIs[0] policy
     /* 1912115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912125 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912149 */     // GIR_Coverage, 19613,
     /* 1912149 */     GIR_EraseRootFromParent_Done,
     /* 1912150 */   // Label 25706: @1912150
     /* 1912150 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1912236), // Rule ID 19614 //
     /* 1912155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912201 */     // MIs[0] policy
     /* 1912201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912211 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912235 */     // GIR_Coverage, 19614,
     /* 1912235 */     GIR_EraseRootFromParent_Done,
     /* 1912236 */   // Label 25707: @1912236
     /* 1912236 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1912322), // Rule ID 19617 //
     /* 1912241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912287 */     // MIs[0] policy
     /* 1912287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912297 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912321 */     // GIR_Coverage, 19617,
     /* 1912321 */     GIR_EraseRootFromParent_Done,
     /* 1912322 */   // Label 25708: @1912322
     /* 1912322 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1912408), // Rule ID 19618 //
     /* 1912327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912373 */     // MIs[0] policy
     /* 1912373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912383 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912407 */     // GIR_Coverage, 19618,
     /* 1912407 */     GIR_EraseRootFromParent_Done,
     /* 1912408 */   // Label 25709: @1912408
     /* 1912408 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1912494), // Rule ID 19621 //
     /* 1912413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912459 */     // MIs[0] policy
     /* 1912459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912469 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912493 */     // GIR_Coverage, 19621,
     /* 1912493 */     GIR_EraseRootFromParent_Done,
     /* 1912494 */   // Label 25710: @1912494
     /* 1912494 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1912580), // Rule ID 19622 //
     /* 1912499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912545 */     // MIs[0] policy
     /* 1912545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912555 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912579 */     // GIR_Coverage, 19622,
     /* 1912579 */     GIR_EraseRootFromParent_Done,
     /* 1912580 */   // Label 25711: @1912580
     /* 1912580 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1912666), // Rule ID 19625 //
     /* 1912585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912631 */     // MIs[0] policy
     /* 1912631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912641 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1912644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912665 */     // GIR_Coverage, 19625,
     /* 1912665 */     GIR_EraseRootFromParent_Done,
     /* 1912666 */   // Label 25712: @1912666
     /* 1912666 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1912752), // Rule ID 19626 //
     /* 1912671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912717 */     // MIs[0] policy
     /* 1912717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912727 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1912730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912751 */     // GIR_Coverage, 19626,
     /* 1912751 */     GIR_EraseRootFromParent_Done,
     /* 1912752 */   // Label 25713: @1912752
     /* 1912752 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1912838), // Rule ID 19629 //
     /* 1912757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912803 */     // MIs[0] policy
     /* 1912803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912813 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1912816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912837 */     // GIR_Coverage, 19629,
     /* 1912837 */     GIR_EraseRootFromParent_Done,
     /* 1912838 */   // Label 25714: @1912838
     /* 1912838 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1912924), // Rule ID 19630 //
     /* 1912843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912889 */     // MIs[0] policy
     /* 1912889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912899 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1912902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912923 */     // GIR_Coverage, 19630,
     /* 1912923 */     GIR_EraseRootFromParent_Done,
     /* 1912924 */   // Label 25715: @1912924
     /* 1912924 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1913010), // Rule ID 19633 //
     /* 1912929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912975 */     // MIs[0] policy
     /* 1912975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912985 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1912988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913009 */     // GIR_Coverage, 19633,
     /* 1913009 */     GIR_EraseRootFromParent_Done,
     /* 1913010 */   // Label 25716: @1913010
     /* 1913010 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1913096), // Rule ID 19634 //
     /* 1913015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1913026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1913029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1913032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913061 */     // MIs[0] policy
     /* 1913061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913071 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1913074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913095 */     // GIR_Coverage, 19634,
     /* 1913095 */     GIR_EraseRootFromParent_Done,
     /* 1913096 */   // Label 25717: @1913096
     /* 1913096 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1913182), // Rule ID 19637 //
     /* 1913101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913147 */     // MIs[0] policy
     /* 1913147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913157 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913181 */     // GIR_Coverage, 19637,
     /* 1913181 */     GIR_EraseRootFromParent_Done,
     /* 1913182 */   // Label 25718: @1913182
     /* 1913182 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1913268), // Rule ID 19638 //
     /* 1913187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913233 */     // MIs[0] policy
     /* 1913233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913243 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913267 */     // GIR_Coverage, 19638,
     /* 1913267 */     GIR_EraseRootFromParent_Done,
     /* 1913268 */   // Label 25719: @1913268
     /* 1913268 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1913354), // Rule ID 19641 //
     /* 1913273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913319 */     // MIs[0] policy
     /* 1913319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913329 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913353 */     // GIR_Coverage, 19641,
     /* 1913353 */     GIR_EraseRootFromParent_Done,
     /* 1913354 */   // Label 25720: @1913354
     /* 1913354 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1913440), // Rule ID 19642 //
     /* 1913359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913405 */     // MIs[0] policy
     /* 1913405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913415 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913439 */     // GIR_Coverage, 19642,
     /* 1913439 */     GIR_EraseRootFromParent_Done,
     /* 1913440 */   // Label 25721: @1913440
     /* 1913440 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1913526), // Rule ID 19645 //
     /* 1913445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913491 */     // MIs[0] policy
     /* 1913491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913501 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913525 */     // GIR_Coverage, 19645,
     /* 1913525 */     GIR_EraseRootFromParent_Done,
     /* 1913526 */   // Label 25722: @1913526
     /* 1913526 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1913612), // Rule ID 19646 //
     /* 1913531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913577 */     // MIs[0] policy
     /* 1913577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913587 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913611 */     // GIR_Coverage, 19646,
     /* 1913611 */     GIR_EraseRootFromParent_Done,
     /* 1913612 */   // Label 25723: @1913612
     /* 1913612 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1913698), // Rule ID 23487 //
     /* 1913617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1913628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1913631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1913634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913663 */     // MIs[0] policy
     /* 1913663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1913676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913697 */     // GIR_Coverage, 23487,
     /* 1913697 */     GIR_EraseRootFromParent_Done,
     /* 1913698 */   // Label 25724: @1913698
     /* 1913698 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1913784), // Rule ID 23488 //
     /* 1913703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1913714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1913717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1913720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913749 */     // MIs[0] policy
     /* 1913749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913759 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1913762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913783 */     // GIR_Coverage, 23488,
     /* 1913783 */     GIR_EraseRootFromParent_Done,
     /* 1913784 */   // Label 25725: @1913784
     /* 1913784 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1913870), // Rule ID 23491 //
     /* 1913789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1913800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1913803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1913806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913835 */     // MIs[0] policy
     /* 1913835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913845 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1913848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913869 */     // GIR_Coverage, 23491,
     /* 1913869 */     GIR_EraseRootFromParent_Done,
     /* 1913870 */   // Label 25726: @1913870
     /* 1913870 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1913956), // Rule ID 23492 //
     /* 1913875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1913886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1913889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1913892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913921 */     // MIs[0] policy
     /* 1913921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1913934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913955 */     // GIR_Coverage, 23492,
     /* 1913955 */     GIR_EraseRootFromParent_Done,
     /* 1913956 */   // Label 25727: @1913956
     /* 1913956 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1914042), // Rule ID 23495 //
     /* 1913961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1913972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1913975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1913978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914007 */     // MIs[0] policy
     /* 1914007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914017 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914041 */     // GIR_Coverage, 23495,
     /* 1914041 */     GIR_EraseRootFromParent_Done,
     /* 1914042 */   // Label 25728: @1914042
     /* 1914042 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1914128), // Rule ID 23496 //
     /* 1914047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1914058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1914061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1914064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914093 */     // MIs[0] policy
     /* 1914093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914127 */     // GIR_Coverage, 23496,
     /* 1914127 */     GIR_EraseRootFromParent_Done,
     /* 1914128 */   // Label 25729: @1914128
     /* 1914128 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1914214), // Rule ID 23499 //
     /* 1914133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914179 */     // MIs[0] policy
     /* 1914179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914213 */     // GIR_Coverage, 23499,
     /* 1914213 */     GIR_EraseRootFromParent_Done,
     /* 1914214 */   // Label 25730: @1914214
     /* 1914214 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1914300), // Rule ID 23500 //
     /* 1914219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914265 */     // MIs[0] policy
     /* 1914265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914299 */     // GIR_Coverage, 23500,
     /* 1914299 */     GIR_EraseRootFromParent_Done,
     /* 1914300 */   // Label 25731: @1914300
     /* 1914300 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1914386), // Rule ID 23503 //
     /* 1914305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914351 */     // MIs[0] policy
     /* 1914351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914361 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914385 */     // GIR_Coverage, 23503,
     /* 1914385 */     GIR_EraseRootFromParent_Done,
     /* 1914386 */   // Label 25732: @1914386
     /* 1914386 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1914472), // Rule ID 23504 //
     /* 1914391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914437 */     // MIs[0] policy
     /* 1914437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914471 */     // GIR_Coverage, 23504,
     /* 1914471 */     GIR_EraseRootFromParent_Done,
     /* 1914472 */   // Label 25733: @1914472
     /* 1914472 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1914558), // Rule ID 23507 //
     /* 1914477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914523 */     // MIs[0] policy
     /* 1914523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914533 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914557 */     // GIR_Coverage, 23507,
     /* 1914557 */     GIR_EraseRootFromParent_Done,
     /* 1914558 */   // Label 25734: @1914558
     /* 1914558 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1914644), // Rule ID 23508 //
     /* 1914563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914609 */     // MIs[0] policy
     /* 1914609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914643 */     // GIR_Coverage, 23508,
     /* 1914643 */     GIR_EraseRootFromParent_Done,
     /* 1914644 */   // Label 25735: @1914644
     /* 1914644 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1914730), // Rule ID 23511 //
     /* 1914649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1914660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1914663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1914666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914695 */     // MIs[0] policy
     /* 1914695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914729 */     // GIR_Coverage, 23511,
     /* 1914729 */     GIR_EraseRootFromParent_Done,
     /* 1914730 */   // Label 25736: @1914730
     /* 1914730 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1914816), // Rule ID 23512 //
     /* 1914735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1914746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1914749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1914752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914781 */     // MIs[0] policy
     /* 1914781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914791 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914815 */     // GIR_Coverage, 23512,
     /* 1914815 */     GIR_EraseRootFromParent_Done,
     /* 1914816 */   // Label 25737: @1914816
     /* 1914816 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1914902), // Rule ID 23515 //
     /* 1914821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1914832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1914835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1914838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914867 */     // MIs[0] policy
     /* 1914867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914901 */     // GIR_Coverage, 23515,
     /* 1914901 */     GIR_EraseRootFromParent_Done,
     /* 1914902 */   // Label 25738: @1914902
     /* 1914902 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1914988), // Rule ID 23516 //
     /* 1914907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1914918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1914921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1914924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914953 */     // MIs[0] policy
     /* 1914953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914987 */     // GIR_Coverage, 23516,
     /* 1914987 */     GIR_EraseRootFromParent_Done,
     /* 1914988 */   // Label 25739: @1914988
     /* 1914988 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1915074), // Rule ID 23519 //
     /* 1914993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915039 */     // MIs[0] policy
     /* 1915039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915073 */     // GIR_Coverage, 23519,
     /* 1915073 */     GIR_EraseRootFromParent_Done,
     /* 1915074 */   // Label 25740: @1915074
     /* 1915074 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1915160), // Rule ID 23520 //
     /* 1915079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915125 */     // MIs[0] policy
     /* 1915125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915135 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915159 */     // GIR_Coverage, 23520,
     /* 1915159 */     GIR_EraseRootFromParent_Done,
     /* 1915160 */   // Label 25741: @1915160
     /* 1915160 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1915246), // Rule ID 23523 //
     /* 1915165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915211 */     // MIs[0] policy
     /* 1915211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915245 */     // GIR_Coverage, 23523,
     /* 1915245 */     GIR_EraseRootFromParent_Done,
     /* 1915246 */   // Label 25742: @1915246
     /* 1915246 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1915332), // Rule ID 23524 //
     /* 1915251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915297 */     // MIs[0] policy
     /* 1915297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915331 */     // GIR_Coverage, 23524,
     /* 1915331 */     GIR_EraseRootFromParent_Done,
     /* 1915332 */   // Label 25743: @1915332
     /* 1915332 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1915418), // Rule ID 23527 //
     /* 1915337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915383 */     // MIs[0] policy
     /* 1915383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915393 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915417 */     // GIR_Coverage, 23527,
     /* 1915417 */     GIR_EraseRootFromParent_Done,
     /* 1915418 */   // Label 25744: @1915418
     /* 1915418 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1915504), // Rule ID 23528 //
     /* 1915423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915469 */     // MIs[0] policy
     /* 1915469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915479 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915503 */     // GIR_Coverage, 23528,
     /* 1915503 */     GIR_EraseRootFromParent_Done,
     /* 1915504 */   // Label 25745: @1915504
     /* 1915504 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1915590), // Rule ID 23531 //
     /* 1915509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915555 */     // MIs[0] policy
     /* 1915555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915565 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915589 */     // GIR_Coverage, 23531,
     /* 1915589 */     GIR_EraseRootFromParent_Done,
     /* 1915590 */   // Label 25746: @1915590
     /* 1915590 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1915676), // Rule ID 23532 //
     /* 1915595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915641 */     // MIs[0] policy
     /* 1915641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915651 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915675 */     // GIR_Coverage, 23532,
     /* 1915675 */     GIR_EraseRootFromParent_Done,
     /* 1915676 */   // Label 25747: @1915676
     /* 1915676 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1915762), // Rule ID 23535 //
     /* 1915681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1915692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1915695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1915698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1915704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915727 */     // MIs[0] policy
     /* 1915727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915737 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915761 */     // GIR_Coverage, 23535,
     /* 1915761 */     GIR_EraseRootFromParent_Done,
     /* 1915762 */   // Label 25748: @1915762
     /* 1915762 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1915848), // Rule ID 23536 //
     /* 1915767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1915778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1915781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1915784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1915790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915813 */     // MIs[0] policy
     /* 1915813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915823 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915847 */     // GIR_Coverage, 23536,
     /* 1915847 */     GIR_EraseRootFromParent_Done,
     /* 1915848 */   // Label 25749: @1915848
     /* 1915848 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1915934), // Rule ID 23539 //
     /* 1915853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1915864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1915867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915899 */     // MIs[0] policy
     /* 1915899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915933 */     // GIR_Coverage, 23539,
     /* 1915933 */     GIR_EraseRootFromParent_Done,
     /* 1915934 */   // Label 25750: @1915934
     /* 1915934 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1916020), // Rule ID 23540 //
     /* 1915939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1915950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1915953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915985 */     // MIs[0] policy
     /* 1915985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916019 */     // GIR_Coverage, 23540,
     /* 1916019 */     GIR_EraseRootFromParent_Done,
     /* 1916020 */   // Label 25751: @1916020
     /* 1916020 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1916106), // Rule ID 23543 //
     /* 1916025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916071 */     // MIs[0] policy
     /* 1916071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916105 */     // GIR_Coverage, 23543,
     /* 1916105 */     GIR_EraseRootFromParent_Done,
     /* 1916106 */   // Label 25752: @1916106
     /* 1916106 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1916192), // Rule ID 23544 //
     /* 1916111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916157 */     // MIs[0] policy
     /* 1916157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916191 */     // GIR_Coverage, 23544,
     /* 1916191 */     GIR_EraseRootFromParent_Done,
     /* 1916192 */   // Label 25753: @1916192
     /* 1916192 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1916278), // Rule ID 23547 //
     /* 1916197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916243 */     // MIs[0] policy
     /* 1916243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916277 */     // GIR_Coverage, 23547,
     /* 1916277 */     GIR_EraseRootFromParent_Done,
     /* 1916278 */   // Label 25754: @1916278
     /* 1916278 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1916364), // Rule ID 23548 //
     /* 1916283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916329 */     // MIs[0] policy
     /* 1916329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916363 */     // GIR_Coverage, 23548,
     /* 1916363 */     GIR_EraseRootFromParent_Done,
     /* 1916364 */   // Label 25755: @1916364
     /* 1916364 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1916450), // Rule ID 23551 //
     /* 1916369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916415 */     // MIs[0] policy
     /* 1916415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916449 */     // GIR_Coverage, 23551,
     /* 1916449 */     GIR_EraseRootFromParent_Done,
     /* 1916450 */   // Label 25756: @1916450
     /* 1916450 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1916536), // Rule ID 23552 //
     /* 1916455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916501 */     // MIs[0] policy
     /* 1916501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916535 */     // GIR_Coverage, 23552,
     /* 1916535 */     GIR_EraseRootFromParent_Done,
     /* 1916536 */   // Label 25757: @1916536
     /* 1916536 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1916622), // Rule ID 23555 //
     /* 1916541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916587 */     // MIs[0] policy
     /* 1916587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916621 */     // GIR_Coverage, 23555,
     /* 1916621 */     GIR_EraseRootFromParent_Done,
     /* 1916622 */   // Label 25758: @1916622
     /* 1916622 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1916708), // Rule ID 23556 //
     /* 1916627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916673 */     // MIs[0] policy
     /* 1916673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916707 */     // GIR_Coverage, 23556,
     /* 1916707 */     GIR_EraseRootFromParent_Done,
     /* 1916708 */   // Label 25759: @1916708
     /* 1916708 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1916794), // Rule ID 23559 //
     /* 1916713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1916724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1916727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1916730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916759 */     // MIs[0] policy
     /* 1916759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916769 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916793 */     // GIR_Coverage, 23559,
     /* 1916793 */     GIR_EraseRootFromParent_Done,
     /* 1916794 */   // Label 25760: @1916794
     /* 1916794 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1916880), // Rule ID 23560 //
     /* 1916799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1916810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1916813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1916816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916845 */     // MIs[0] policy
     /* 1916845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916879 */     // GIR_Coverage, 23560,
     /* 1916879 */     GIR_EraseRootFromParent_Done,
     /* 1916880 */   // Label 25761: @1916880
     /* 1916880 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1916966), // Rule ID 23563 //
     /* 1916885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1916888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1916896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1916899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1916902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916931 */     // MIs[0] policy
     /* 1916931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916941 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916965 */     // GIR_Coverage, 23563,
     /* 1916965 */     GIR_EraseRootFromParent_Done,
     /* 1916966 */   // Label 25762: @1916966
     /* 1916966 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1917052), // Rule ID 23564 //
     /* 1916971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1916974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1916982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1916985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1916988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917017 */     // MIs[0] policy
     /* 1917017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1917030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917051 */     // GIR_Coverage, 23564,
     /* 1917051 */     GIR_EraseRootFromParent_Done,
     /* 1917052 */   // Label 25763: @1917052
     /* 1917052 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1917138), // Rule ID 23567 //
     /* 1917057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917103 */     // MIs[0] policy
     /* 1917103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917113 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917137 */     // GIR_Coverage, 23567,
     /* 1917137 */     GIR_EraseRootFromParent_Done,
     /* 1917138 */   // Label 25764: @1917138
     /* 1917138 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1917224), // Rule ID 23568 //
     /* 1917143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917189 */     // MIs[0] policy
     /* 1917189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917223 */     // GIR_Coverage, 23568,
     /* 1917223 */     GIR_EraseRootFromParent_Done,
     /* 1917224 */   // Label 25765: @1917224
     /* 1917224 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1917310), // Rule ID 23571 //
     /* 1917229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917275 */     // MIs[0] policy
     /* 1917275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917285 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917309 */     // GIR_Coverage, 23571,
     /* 1917309 */     GIR_EraseRootFromParent_Done,
     /* 1917310 */   // Label 25766: @1917310
     /* 1917310 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1917396), // Rule ID 23572 //
     /* 1917315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917361 */     // MIs[0] policy
     /* 1917361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917371 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917395 */     // GIR_Coverage, 23572,
     /* 1917395 */     GIR_EraseRootFromParent_Done,
     /* 1917396 */   // Label 25767: @1917396
     /* 1917396 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1917482), // Rule ID 23663 //
     /* 1917401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917447 */     // MIs[0] policy
     /* 1917447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917457 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917481 */     // GIR_Coverage, 23663,
     /* 1917481 */     GIR_EraseRootFromParent_Done,
     /* 1917482 */   // Label 25768: @1917482
     /* 1917482 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1917568), // Rule ID 23664 //
     /* 1917487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917533 */     // MIs[0] policy
     /* 1917533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917543 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917567 */     // GIR_Coverage, 23664,
     /* 1917567 */     GIR_EraseRootFromParent_Done,
     /* 1917568 */   // Label 25769: @1917568
     /* 1917568 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1917654), // Rule ID 23667 //
     /* 1917573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1917584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1917587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1917590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917619 */     // MIs[0] policy
     /* 1917619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1917632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917653 */     // GIR_Coverage, 23667,
     /* 1917653 */     GIR_EraseRootFromParent_Done,
     /* 1917654 */   // Label 25770: @1917654
     /* 1917654 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1917740), // Rule ID 23668 //
     /* 1917659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1917670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1917673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1917676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917705 */     // MIs[0] policy
     /* 1917705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917715 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1917718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917739 */     // GIR_Coverage, 23668,
     /* 1917739 */     GIR_EraseRootFromParent_Done,
     /* 1917740 */   // Label 25771: @1917740
     /* 1917740 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1917826), // Rule ID 23671 //
     /* 1917745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1917756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1917759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1917762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917791 */     // MIs[0] policy
     /* 1917791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917801 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1917804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917825 */     // GIR_Coverage, 23671,
     /* 1917825 */     GIR_EraseRootFromParent_Done,
     /* 1917826 */   // Label 25772: @1917826
     /* 1917826 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1917912), // Rule ID 23672 //
     /* 1917831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1917842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1917845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1917848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917877 */     // MIs[0] policy
     /* 1917877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1917890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917911 */     // GIR_Coverage, 23672,
     /* 1917911 */     GIR_EraseRootFromParent_Done,
     /* 1917912 */   // Label 25773: @1917912
     /* 1917912 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1917998), // Rule ID 23675 //
     /* 1917917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1917928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1917931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1917934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917963 */     // MIs[0] policy
     /* 1917963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917973 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1917976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917997 */     // GIR_Coverage, 23675,
     /* 1917997 */     GIR_EraseRootFromParent_Done,
     /* 1917998 */   // Label 25774: @1917998
     /* 1917998 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1918084), // Rule ID 23676 //
     /* 1918003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918049 */     // MIs[0] policy
     /* 1918049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918083 */     // GIR_Coverage, 23676,
     /* 1918083 */     GIR_EraseRootFromParent_Done,
     /* 1918084 */   // Label 25775: @1918084
     /* 1918084 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1918170), // Rule ID 23679 //
     /* 1918089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918135 */     // MIs[0] policy
     /* 1918135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918145 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918169 */     // GIR_Coverage, 23679,
     /* 1918169 */     GIR_EraseRootFromParent_Done,
     /* 1918170 */   // Label 25776: @1918170
     /* 1918170 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1918256), // Rule ID 23680 //
     /* 1918175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918221 */     // MIs[0] policy
     /* 1918221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918231 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918255 */     // GIR_Coverage, 23680,
     /* 1918255 */     GIR_EraseRootFromParent_Done,
     /* 1918256 */   // Label 25777: @1918256
     /* 1918256 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1918342), // Rule ID 23683 //
     /* 1918261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918307 */     // MIs[0] policy
     /* 1918307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918317 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918341 */     // GIR_Coverage, 23683,
     /* 1918341 */     GIR_EraseRootFromParent_Done,
     /* 1918342 */   // Label 25778: @1918342
     /* 1918342 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1918428), // Rule ID 23684 //
     /* 1918347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918393 */     // MIs[0] policy
     /* 1918393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918427 */     // GIR_Coverage, 23684,
     /* 1918427 */     GIR_EraseRootFromParent_Done,
     /* 1918428 */   // Label 25779: @1918428
     /* 1918428 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1918514), // Rule ID 23687 //
     /* 1918433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918479 */     // MIs[0] policy
     /* 1918479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918513 */     // GIR_Coverage, 23687,
     /* 1918513 */     GIR_EraseRootFromParent_Done,
     /* 1918514 */   // Label 25780: @1918514
     /* 1918514 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1918600), // Rule ID 23688 //
     /* 1918519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918565 */     // MIs[0] policy
     /* 1918565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918575 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918599 */     // GIR_Coverage, 23688,
     /* 1918599 */     GIR_EraseRootFromParent_Done,
     /* 1918600 */   // Label 25781: @1918600
     /* 1918600 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1918686), // Rule ID 23691 //
     /* 1918605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918651 */     // MIs[0] policy
     /* 1918651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918685 */     // GIR_Coverage, 23691,
     /* 1918685 */     GIR_EraseRootFromParent_Done,
     /* 1918686 */   // Label 25782: @1918686
     /* 1918686 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1918772), // Rule ID 23692 //
     /* 1918691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918737 */     // MIs[0] policy
     /* 1918737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918771 */     // GIR_Coverage, 23692,
     /* 1918771 */     GIR_EraseRootFromParent_Done,
     /* 1918772 */   // Label 25783: @1918772
     /* 1918772 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1918858), // Rule ID 23695 //
     /* 1918777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918823 */     // MIs[0] policy
     /* 1918823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918857 */     // GIR_Coverage, 23695,
     /* 1918857 */     GIR_EraseRootFromParent_Done,
     /* 1918858 */   // Label 25784: @1918858
     /* 1918858 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1918944), // Rule ID 23696 //
     /* 1918863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918909 */     // MIs[0] policy
     /* 1918909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918943 */     // GIR_Coverage, 23696,
     /* 1918943 */     GIR_EraseRootFromParent_Done,
     /* 1918944 */   // Label 25785: @1918944
     /* 1918944 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1919030), // Rule ID 23699 //
     /* 1918949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1918952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1918960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1918963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1918966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918995 */     // MIs[0] policy
     /* 1918995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919029 */     // GIR_Coverage, 23699,
     /* 1919029 */     GIR_EraseRootFromParent_Done,
     /* 1919030 */   // Label 25786: @1919030
     /* 1919030 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1919116), // Rule ID 23700 //
     /* 1919035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919081 */     // MIs[0] policy
     /* 1919081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919115 */     // GIR_Coverage, 23700,
     /* 1919115 */     GIR_EraseRootFromParent_Done,
     /* 1919116 */   // Label 25787: @1919116
     /* 1919116 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1919202), // Rule ID 23703 //
     /* 1919121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919167 */     // MIs[0] policy
     /* 1919167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919201 */     // GIR_Coverage, 23703,
     /* 1919201 */     GIR_EraseRootFromParent_Done,
     /* 1919202 */   // Label 25788: @1919202
     /* 1919202 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1919288), // Rule ID 23704 //
     /* 1919207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919253 */     // MIs[0] policy
     /* 1919253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919287 */     // GIR_Coverage, 23704,
     /* 1919287 */     GIR_EraseRootFromParent_Done,
     /* 1919288 */   // Label 25789: @1919288
     /* 1919288 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1919374), // Rule ID 23707 //
     /* 1919293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919339 */     // MIs[0] policy
     /* 1919339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919349 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919373 */     // GIR_Coverage, 23707,
     /* 1919373 */     GIR_EraseRootFromParent_Done,
     /* 1919374 */   // Label 25790: @1919374
     /* 1919374 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1919460), // Rule ID 23708 //
     /* 1919379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919425 */     // MIs[0] policy
     /* 1919425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919435 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919459 */     // GIR_Coverage, 23708,
     /* 1919459 */     GIR_EraseRootFromParent_Done,
     /* 1919460 */   // Label 25791: @1919460
     /* 1919460 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1919546), // Rule ID 23711 //
     /* 1919465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919511 */     // MIs[0] policy
     /* 1919511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919521 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919545 */     // GIR_Coverage, 23711,
     /* 1919545 */     GIR_EraseRootFromParent_Done,
     /* 1919546 */   // Label 25792: @1919546
     /* 1919546 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1919632), // Rule ID 23712 //
     /* 1919551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919597 */     // MIs[0] policy
     /* 1919597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919607 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919631 */     // GIR_Coverage, 23712,
     /* 1919631 */     GIR_EraseRootFromParent_Done,
     /* 1919632 */   // Label 25793: @1919632
     /* 1919632 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1919718), // Rule ID 23715 //
     /* 1919637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1919648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1919651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1919654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919683 */     // MIs[0] policy
     /* 1919683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919717 */     // GIR_Coverage, 23715,
     /* 1919717 */     GIR_EraseRootFromParent_Done,
     /* 1919718 */   // Label 25794: @1919718
     /* 1919718 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1919804), // Rule ID 23716 //
     /* 1919723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1919734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1919737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1919740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919769 */     // MIs[0] policy
     /* 1919769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919803 */     // GIR_Coverage, 23716,
     /* 1919803 */     GIR_EraseRootFromParent_Done,
     /* 1919804 */   // Label 25795: @1919804
     /* 1919804 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1919890), // Rule ID 23719 //
     /* 1919809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1919820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1919823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919855 */     // MIs[0] policy
     /* 1919855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919865 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919889 */     // GIR_Coverage, 23719,
     /* 1919889 */     GIR_EraseRootFromParent_Done,
     /* 1919890 */   // Label 25796: @1919890
     /* 1919890 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1919976), // Rule ID 23720 //
     /* 1919895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1919906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1919909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919941 */     // MIs[0] policy
     /* 1919941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919975 */     // GIR_Coverage, 23720,
     /* 1919975 */     GIR_EraseRootFromParent_Done,
     /* 1919976 */   // Label 25797: @1919976
     /* 1919976 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1920062), // Rule ID 23723 //
     /* 1919981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1919992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1919995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920027 */     // MIs[0] policy
     /* 1920027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920037 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920061 */     // GIR_Coverage, 23723,
     /* 1920061 */     GIR_EraseRootFromParent_Done,
     /* 1920062 */   // Label 25798: @1920062
     /* 1920062 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1920148), // Rule ID 23724 //
     /* 1920067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920113 */     // MIs[0] policy
     /* 1920113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920123 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920147 */     // GIR_Coverage, 23724,
     /* 1920147 */     GIR_EraseRootFromParent_Done,
     /* 1920148 */   // Label 25799: @1920148
     /* 1920148 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1920234), // Rule ID 23727 //
     /* 1920153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920199 */     // MIs[0] policy
     /* 1920199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920233 */     // GIR_Coverage, 23727,
     /* 1920233 */     GIR_EraseRootFromParent_Done,
     /* 1920234 */   // Label 25800: @1920234
     /* 1920234 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1920320), // Rule ID 23728 //
     /* 1920239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920285 */     // MIs[0] policy
     /* 1920285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920319 */     // GIR_Coverage, 23728,
     /* 1920319 */     GIR_EraseRootFromParent_Done,
     /* 1920320 */   // Label 25801: @1920320
     /* 1920320 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1920406), // Rule ID 23731 //
     /* 1920325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920371 */     // MIs[0] policy
     /* 1920371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920405 */     // GIR_Coverage, 23731,
     /* 1920405 */     GIR_EraseRootFromParent_Done,
     /* 1920406 */   // Label 25802: @1920406
     /* 1920406 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1920492), // Rule ID 23732 //
     /* 1920411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920457 */     // MIs[0] policy
     /* 1920457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920491 */     // GIR_Coverage, 23732,
     /* 1920491 */     GIR_EraseRootFromParent_Done,
     /* 1920492 */   // Label 25803: @1920492
     /* 1920492 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1920578), // Rule ID 23735 //
     /* 1920497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920543 */     // MIs[0] policy
     /* 1920543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920577 */     // GIR_Coverage, 23735,
     /* 1920577 */     GIR_EraseRootFromParent_Done,
     /* 1920578 */   // Label 25804: @1920578
     /* 1920578 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1920664), // Rule ID 23736 //
     /* 1920583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920629 */     // MIs[0] policy
     /* 1920629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920663 */     // GIR_Coverage, 23736,
     /* 1920663 */     GIR_EraseRootFromParent_Done,
     /* 1920664 */   // Label 25805: @1920664
     /* 1920664 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1920750), // Rule ID 23739 //
     /* 1920669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1920672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1920680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1920683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920715 */     // MIs[0] policy
     /* 1920715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920725 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920749 */     // GIR_Coverage, 23739,
     /* 1920749 */     GIR_EraseRootFromParent_Done,
     /* 1920750 */   // Label 25806: @1920750
     /* 1920750 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1920836), // Rule ID 23740 //
     /* 1920755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1920758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1920766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1920769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920801 */     // MIs[0] policy
     /* 1920801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920835 */     // GIR_Coverage, 23740,
     /* 1920835 */     GIR_EraseRootFromParent_Done,
     /* 1920836 */   // Label 25807: @1920836
     /* 1920836 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1920922), // Rule ID 23743 //
     /* 1920841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1920844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1920852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1920855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1920858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920887 */     // MIs[0] policy
     /* 1920887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920897 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920921 */     // GIR_Coverage, 23743,
     /* 1920921 */     GIR_EraseRootFromParent_Done,
     /* 1920922 */   // Label 25808: @1920922
     /* 1920922 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1921008), // Rule ID 23744 //
     /* 1920927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1920930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1920938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1920941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1920944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920973 */     // MIs[0] policy
     /* 1920973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921007 */     // GIR_Coverage, 23744,
     /* 1921007 */     GIR_EraseRootFromParent_Done,
     /* 1921008 */   // Label 25809: @1921008
     /* 1921008 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1921094), // Rule ID 23747 //
     /* 1921013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921059 */     // MIs[0] policy
     /* 1921059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921093 */     // GIR_Coverage, 23747,
     /* 1921093 */     GIR_EraseRootFromParent_Done,
     /* 1921094 */   // Label 25810: @1921094
     /* 1921094 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1921180), // Rule ID 23748 //
     /* 1921099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921145 */     // MIs[0] policy
     /* 1921145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921155 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921179 */     // GIR_Coverage, 23748,
     /* 1921179 */     GIR_EraseRootFromParent_Done,
     /* 1921180 */   // Label 25811: @1921180
     /* 1921180 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1921266), // Rule ID 23839 //
     /* 1921185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921231 */     // MIs[0] policy
     /* 1921231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921241 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921265 */     // GIR_Coverage, 23839,
     /* 1921265 */     GIR_EraseRootFromParent_Done,
     /* 1921266 */   // Label 25812: @1921266
     /* 1921266 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1921352), // Rule ID 23840 //
     /* 1921271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921317 */     // MIs[0] policy
     /* 1921317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921327 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921351 */     // GIR_Coverage, 23840,
     /* 1921351 */     GIR_EraseRootFromParent_Done,
     /* 1921352 */   // Label 25813: @1921352
     /* 1921352 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1921438), // Rule ID 23843 //
     /* 1921357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921403 */     // MIs[0] policy
     /* 1921403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921413 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921437 */     // GIR_Coverage, 23843,
     /* 1921437 */     GIR_EraseRootFromParent_Done,
     /* 1921438 */   // Label 25814: @1921438
     /* 1921438 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1921524), // Rule ID 23844 //
     /* 1921443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921489 */     // MIs[0] policy
     /* 1921489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921499 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921523 */     // GIR_Coverage, 23844,
     /* 1921523 */     GIR_EraseRootFromParent_Done,
     /* 1921524 */   // Label 25815: @1921524
     /* 1921524 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1921610), // Rule ID 23847 //
     /* 1921529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921575 */     // MIs[0] policy
     /* 1921575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921585 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921609 */     // GIR_Coverage, 23847,
     /* 1921609 */     GIR_EraseRootFromParent_Done,
     /* 1921610 */   // Label 25816: @1921610
     /* 1921610 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1921696), // Rule ID 23848 //
     /* 1921615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921661 */     // MIs[0] policy
     /* 1921661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921695 */     // GIR_Coverage, 23848,
     /* 1921695 */     GIR_EraseRootFromParent_Done,
     /* 1921696 */   // Label 25817: @1921696
     /* 1921696 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1921782), // Rule ID 23851 //
     /* 1921701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1921712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1921715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1921718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921747 */     // MIs[0] policy
     /* 1921747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921757 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921781 */     // GIR_Coverage, 23851,
     /* 1921781 */     GIR_EraseRootFromParent_Done,
     /* 1921782 */   // Label 25818: @1921782
     /* 1921782 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1921868), // Rule ID 23852 //
     /* 1921787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1921798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1921801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1921804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921833 */     // MIs[0] policy
     /* 1921833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921867 */     // GIR_Coverage, 23852,
     /* 1921867 */     GIR_EraseRootFromParent_Done,
     /* 1921868 */   // Label 25819: @1921868
     /* 1921868 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1921954), // Rule ID 23855 //
     /* 1921873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1921884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1921887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1921890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921919 */     // MIs[0] policy
     /* 1921919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921929 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921953 */     // GIR_Coverage, 23855,
     /* 1921953 */     GIR_EraseRootFromParent_Done,
     /* 1921954 */   // Label 25820: @1921954
     /* 1921954 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1922040), // Rule ID 23856 //
     /* 1921959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1921970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1921973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1921976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922005 */     // MIs[0] policy
     /* 1922005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922039 */     // GIR_Coverage, 23856,
     /* 1922039 */     GIR_EraseRootFromParent_Done,
     /* 1922040 */   // Label 25821: @1922040
     /* 1922040 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1922126), // Rule ID 23859 //
     /* 1922045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922091 */     // MIs[0] policy
     /* 1922091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922125 */     // GIR_Coverage, 23859,
     /* 1922125 */     GIR_EraseRootFromParent_Done,
     /* 1922126 */   // Label 25822: @1922126
     /* 1922126 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1922212), // Rule ID 23860 //
     /* 1922131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922177 */     // MIs[0] policy
     /* 1922177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922187 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922211 */     // GIR_Coverage, 23860,
     /* 1922211 */     GIR_EraseRootFromParent_Done,
     /* 1922212 */   // Label 25823: @1922212
     /* 1922212 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1922298), // Rule ID 23863 //
     /* 1922217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922263 */     // MIs[0] policy
     /* 1922263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922297 */     // GIR_Coverage, 23863,
     /* 1922297 */     GIR_EraseRootFromParent_Done,
     /* 1922298 */   // Label 25824: @1922298
     /* 1922298 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1922384), // Rule ID 23864 //
     /* 1922303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922349 */     // MIs[0] policy
     /* 1922349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922383 */     // GIR_Coverage, 23864,
     /* 1922383 */     GIR_EraseRootFromParent_Done,
     /* 1922384 */   // Label 25825: @1922384
     /* 1922384 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1922470), // Rule ID 23867 //
     /* 1922389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922435 */     // MIs[0] policy
     /* 1922435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922469 */     // GIR_Coverage, 23867,
     /* 1922469 */     GIR_EraseRootFromParent_Done,
     /* 1922470 */   // Label 25826: @1922470
     /* 1922470 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1922556), // Rule ID 23868 //
     /* 1922475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922521 */     // MIs[0] policy
     /* 1922521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922555 */     // GIR_Coverage, 23868,
     /* 1922555 */     GIR_EraseRootFromParent_Done,
     /* 1922556 */   // Label 25827: @1922556
     /* 1922556 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1922642), // Rule ID 23871 //
     /* 1922561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922607 */     // MIs[0] policy
     /* 1922607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922641 */     // GIR_Coverage, 23871,
     /* 1922641 */     GIR_EraseRootFromParent_Done,
     /* 1922642 */   // Label 25828: @1922642
     /* 1922642 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1922728), // Rule ID 23872 //
     /* 1922647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922693 */     // MIs[0] policy
     /* 1922693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922727 */     // GIR_Coverage, 23872,
     /* 1922727 */     GIR_EraseRootFromParent_Done,
     /* 1922728 */   // Label 25829: @1922728
     /* 1922728 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1922814), // Rule ID 23875 //
     /* 1922733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1922750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922779 */     // MIs[0] policy
     /* 1922779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922789 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922813 */     // GIR_Coverage, 23875,
     /* 1922813 */     GIR_EraseRootFromParent_Done,
     /* 1922814 */   // Label 25830: @1922814
     /* 1922814 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1922900), // Rule ID 23876 //
     /* 1922819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1922836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922865 */     // MIs[0] policy
     /* 1922865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922899 */     // GIR_Coverage, 23876,
     /* 1922899 */     GIR_EraseRootFromParent_Done,
     /* 1922900 */   // Label 25831: @1922900
     /* 1922900 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1922986), // Rule ID 23879 //
     /* 1922905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1922916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1922919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1922922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922951 */     // MIs[0] policy
     /* 1922951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922961 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1922964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922985 */     // GIR_Coverage, 23879,
     /* 1922985 */     GIR_EraseRootFromParent_Done,
     /* 1922986 */   // Label 25832: @1922986
     /* 1922986 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1923072), // Rule ID 23880 //
     /* 1922991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1923002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1923005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1923008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923037 */     // MIs[0] policy
     /* 1923037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923071 */     // GIR_Coverage, 23880,
     /* 1923071 */     GIR_EraseRootFromParent_Done,
     /* 1923072 */   // Label 25833: @1923072
     /* 1923072 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1923158), // Rule ID 23883 //
     /* 1923077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923123 */     // MIs[0] policy
     /* 1923123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923133 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923157 */     // GIR_Coverage, 23883,
     /* 1923157 */     GIR_EraseRootFromParent_Done,
     /* 1923158 */   // Label 25834: @1923158
     /* 1923158 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1923244), // Rule ID 23884 //
     /* 1923163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923209 */     // MIs[0] policy
     /* 1923209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923243 */     // GIR_Coverage, 23884,
     /* 1923243 */     GIR_EraseRootFromParent_Done,
     /* 1923244 */   // Label 25835: @1923244
     /* 1923244 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1923330), // Rule ID 23887 //
     /* 1923249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923295 */     // MIs[0] policy
     /* 1923295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923305 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923329 */     // GIR_Coverage, 23887,
     /* 1923329 */     GIR_EraseRootFromParent_Done,
     /* 1923330 */   // Label 25836: @1923330
     /* 1923330 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1923416), // Rule ID 23888 //
     /* 1923335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923381 */     // MIs[0] policy
     /* 1923381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923415 */     // GIR_Coverage, 23888,
     /* 1923415 */     GIR_EraseRootFromParent_Done,
     /* 1923416 */   // Label 25837: @1923416
     /* 1923416 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1923502), // Rule ID 23891 //
     /* 1923421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923467 */     // MIs[0] policy
     /* 1923467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923501 */     // GIR_Coverage, 23891,
     /* 1923501 */     GIR_EraseRootFromParent_Done,
     /* 1923502 */   // Label 25838: @1923502
     /* 1923502 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1923588), // Rule ID 23892 //
     /* 1923507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923553 */     // MIs[0] policy
     /* 1923553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923587 */     // GIR_Coverage, 23892,
     /* 1923587 */     GIR_EraseRootFromParent_Done,
     /* 1923588 */   // Label 25839: @1923588
     /* 1923588 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1923674), // Rule ID 23895 //
     /* 1923593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923639 */     // MIs[0] policy
     /* 1923639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923673 */     // GIR_Coverage, 23895,
     /* 1923673 */     GIR_EraseRootFromParent_Done,
     /* 1923674 */   // Label 25840: @1923674
     /* 1923674 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1923760), // Rule ID 23896 //
     /* 1923679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923725 */     // MIs[0] policy
     /* 1923725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923759 */     // GIR_Coverage, 23896,
     /* 1923759 */     GIR_EraseRootFromParent_Done,
     /* 1923760 */   // Label 25841: @1923760
     /* 1923760 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1923846), // Rule ID 23899 //
     /* 1923765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923811 */     // MIs[0] policy
     /* 1923811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923845 */     // GIR_Coverage, 23899,
     /* 1923845 */     GIR_EraseRootFromParent_Done,
     /* 1923846 */   // Label 25842: @1923846
     /* 1923846 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1923932), // Rule ID 23900 //
     /* 1923851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923897 */     // MIs[0] policy
     /* 1923897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923907 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923931 */     // GIR_Coverage, 23900,
     /* 1923931 */     GIR_EraseRootFromParent_Done,
     /* 1923932 */   // Label 25843: @1923932
     /* 1923932 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1924018), // Rule ID 23903 //
     /* 1923937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923983 */     // MIs[0] policy
     /* 1923983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923993 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924017 */     // GIR_Coverage, 23903,
     /* 1924017 */     GIR_EraseRootFromParent_Done,
     /* 1924018 */   // Label 25844: @1924018
     /* 1924018 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1924104), // Rule ID 23904 //
     /* 1924023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924069 */     // MIs[0] policy
     /* 1924069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924103 */     // GIR_Coverage, 23904,
     /* 1924103 */     GIR_EraseRootFromParent_Done,
     /* 1924104 */   // Label 25845: @1924104
     /* 1924104 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1924190), // Rule ID 23907 //
     /* 1924109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924155 */     // MIs[0] policy
     /* 1924155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924165 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924189 */     // GIR_Coverage, 23907,
     /* 1924189 */     GIR_EraseRootFromParent_Done,
     /* 1924190 */   // Label 25846: @1924190
     /* 1924190 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1924276), // Rule ID 23908 //
     /* 1924195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924241 */     // MIs[0] policy
     /* 1924241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924275 */     // GIR_Coverage, 23908,
     /* 1924275 */     GIR_EraseRootFromParent_Done,
     /* 1924276 */   // Label 25847: @1924276
     /* 1924276 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1924362), // Rule ID 23911 //
     /* 1924281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924327 */     // MIs[0] policy
     /* 1924327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924337 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924361 */     // GIR_Coverage, 23911,
     /* 1924361 */     GIR_EraseRootFromParent_Done,
     /* 1924362 */   // Label 25848: @1924362
     /* 1924362 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1924448), // Rule ID 23912 //
     /* 1924367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924413 */     // MIs[0] policy
     /* 1924413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924447 */     // GIR_Coverage, 23912,
     /* 1924447 */     GIR_EraseRootFromParent_Done,
     /* 1924448 */   // Label 25849: @1924448
     /* 1924448 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1924534), // Rule ID 23915 //
     /* 1924453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924499 */     // MIs[0] policy
     /* 1924499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924533 */     // GIR_Coverage, 23915,
     /* 1924533 */     GIR_EraseRootFromParent_Done,
     /* 1924534 */   // Label 25850: @1924534
     /* 1924534 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1924620), // Rule ID 23916 //
     /* 1924539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924585 */     // MIs[0] policy
     /* 1924585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924619 */     // GIR_Coverage, 23916,
     /* 1924619 */     GIR_EraseRootFromParent_Done,
     /* 1924620 */   // Label 25851: @1924620
     /* 1924620 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1924706), // Rule ID 23919 //
     /* 1924625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924671 */     // MIs[0] policy
     /* 1924671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924681 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924705 */     // GIR_Coverage, 23919,
     /* 1924705 */     GIR_EraseRootFromParent_Done,
     /* 1924706 */   // Label 25852: @1924706
     /* 1924706 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1924792), // Rule ID 23920 //
     /* 1924711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924757 */     // MIs[0] policy
     /* 1924757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924791 */     // GIR_Coverage, 23920,
     /* 1924791 */     GIR_EraseRootFromParent_Done,
     /* 1924792 */   // Label 25853: @1924792
     /* 1924792 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1924878), // Rule ID 23923 //
     /* 1924797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924843 */     // MIs[0] policy
     /* 1924843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924877 */     // GIR_Coverage, 23923,
     /* 1924877 */     GIR_EraseRootFromParent_Done,
     /* 1924878 */   // Label 25854: @1924878
     /* 1924878 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1924964), // Rule ID 23924 //
     /* 1924883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924929 */     // MIs[0] policy
     /* 1924929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924939 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924963 */     // GIR_Coverage, 23924,
     /* 1924963 */     GIR_EraseRootFromParent_Done,
     /* 1924964 */   // Label 25855: @1924964
     /* 1924964 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1925050), // Rule ID 23927 //
     /* 1924969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925015 */     // MIs[0] policy
     /* 1925015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925025 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1925028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925049 */     // GIR_Coverage, 23927,
     /* 1925049 */     GIR_EraseRootFromParent_Done,
     /* 1925050 */   // Label 25856: @1925050
     /* 1925050 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1925136), // Rule ID 23928 //
     /* 1925055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925101 */     // MIs[0] policy
     /* 1925101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1925114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925135 */     // GIR_Coverage, 23928,
     /* 1925135 */     GIR_EraseRootFromParent_Done,
     /* 1925136 */   // Label 25857: @1925136
     /* 1925136 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1925222), // Rule ID 23931 //
     /* 1925141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925187 */     // MIs[0] policy
     /* 1925187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925221 */     // GIR_Coverage, 23931,
     /* 1925221 */     GIR_EraseRootFromParent_Done,
     /* 1925222 */   // Label 25858: @1925222
     /* 1925222 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1925308), // Rule ID 23932 //
     /* 1925227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925273 */     // MIs[0] policy
     /* 1925273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925283 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925307 */     // GIR_Coverage, 23932,
     /* 1925307 */     GIR_EraseRootFromParent_Done,
     /* 1925308 */   // Label 25859: @1925308
     /* 1925308 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1925394), // Rule ID 23935 //
     /* 1925313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925359 */     // MIs[0] policy
     /* 1925359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925369 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925393 */     // GIR_Coverage, 23935,
     /* 1925393 */     GIR_EraseRootFromParent_Done,
     /* 1925394 */   // Label 25860: @1925394
     /* 1925394 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1925480), // Rule ID 23936 //
     /* 1925399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925445 */     // MIs[0] policy
     /* 1925445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925455 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925479 */     // GIR_Coverage, 23936,
     /* 1925479 */     GIR_EraseRootFromParent_Done,
     /* 1925480 */   // Label 25861: @1925480
     /* 1925480 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1925566), // Rule ID 23939 //
     /* 1925485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925531 */     // MIs[0] policy
     /* 1925531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925565 */     // GIR_Coverage, 23939,
     /* 1925565 */     GIR_EraseRootFromParent_Done,
     /* 1925566 */   // Label 25862: @1925566
     /* 1925566 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1925652), // Rule ID 23940 //
     /* 1925571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925617 */     // MIs[0] policy
     /* 1925617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925651 */     // GIR_Coverage, 23940,
     /* 1925651 */     GIR_EraseRootFromParent_Done,
     /* 1925652 */   // Label 25863: @1925652
     /* 1925652 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1925738), // Rule ID 23943 //
     /* 1925657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925703 */     // MIs[0] policy
     /* 1925703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925737 */     // GIR_Coverage, 23943,
     /* 1925737 */     GIR_EraseRootFromParent_Done,
     /* 1925738 */   // Label 25864: @1925738
     /* 1925738 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1925824), // Rule ID 23944 //
     /* 1925743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925789 */     // MIs[0] policy
     /* 1925789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925823 */     // GIR_Coverage, 23944,
     /* 1925823 */     GIR_EraseRootFromParent_Done,
     /* 1925824 */   // Label 25865: @1925824
     /* 1925824 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1925910), // Rule ID 23947 //
     /* 1925829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925875 */     // MIs[0] policy
     /* 1925875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925909 */     // GIR_Coverage, 23947,
     /* 1925909 */     GIR_EraseRootFromParent_Done,
     /* 1925910 */   // Label 25866: @1925910
     /* 1925910 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1925996), // Rule ID 23948 //
     /* 1925915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925961 */     // MIs[0] policy
     /* 1925961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925995 */     // GIR_Coverage, 23948,
     /* 1925995 */     GIR_EraseRootFromParent_Done,
     /* 1925996 */   // Label 25867: @1925996
     /* 1925996 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1926082), // Rule ID 23951 //
     /* 1926001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926047 */     // MIs[0] policy
     /* 1926047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926081 */     // GIR_Coverage, 23951,
     /* 1926081 */     GIR_EraseRootFromParent_Done,
     /* 1926082 */   // Label 25868: @1926082
     /* 1926082 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1926168), // Rule ID 23952 //
     /* 1926087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926133 */     // MIs[0] policy
     /* 1926133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926167 */     // GIR_Coverage, 23952,
     /* 1926167 */     GIR_EraseRootFromParent_Done,
     /* 1926168 */   // Label 25869: @1926168
     /* 1926168 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1926254), // Rule ID 23955 //
     /* 1926173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926219 */     // MIs[0] policy
     /* 1926219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926229 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926253 */     // GIR_Coverage, 23955,
     /* 1926253 */     GIR_EraseRootFromParent_Done,
     /* 1926254 */   // Label 25870: @1926254
     /* 1926254 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1926340), // Rule ID 23956 //
     /* 1926259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926305 */     // MIs[0] policy
     /* 1926305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926339 */     // GIR_Coverage, 23956,
     /* 1926339 */     GIR_EraseRootFromParent_Done,
     /* 1926340 */   // Label 25871: @1926340
     /* 1926340 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1926426), // Rule ID 23959 //
     /* 1926345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926391 */     // MIs[0] policy
     /* 1926391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926401 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926425 */     // GIR_Coverage, 23959,
     /* 1926425 */     GIR_EraseRootFromParent_Done,
     /* 1926426 */   // Label 25872: @1926426
     /* 1926426 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1926512), // Rule ID 23960 //
     /* 1926431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926477 */     // MIs[0] policy
     /* 1926477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926511 */     // GIR_Coverage, 23960,
     /* 1926511 */     GIR_EraseRootFromParent_Done,
     /* 1926512 */   // Label 25873: @1926512
     /* 1926512 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1926598), // Rule ID 23963 //
     /* 1926517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926563 */     // MIs[0] policy
     /* 1926563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926597 */     // GIR_Coverage, 23963,
     /* 1926597 */     GIR_EraseRootFromParent_Done,
     /* 1926598 */   // Label 25874: @1926598
     /* 1926598 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1926684), // Rule ID 23964 //
     /* 1926603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926649 */     // MIs[0] policy
     /* 1926649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926683 */     // GIR_Coverage, 23964,
     /* 1926683 */     GIR_EraseRootFromParent_Done,
     /* 1926684 */   // Label 25875: @1926684
     /* 1926684 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1926770), // Rule ID 23967 //
     /* 1926689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926735 */     // MIs[0] policy
     /* 1926735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926769 */     // GIR_Coverage, 23967,
     /* 1926769 */     GIR_EraseRootFromParent_Done,
     /* 1926770 */   // Label 25876: @1926770
     /* 1926770 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1926856), // Rule ID 23968 //
     /* 1926775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926821 */     // MIs[0] policy
     /* 1926821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926831 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926855 */     // GIR_Coverage, 23968,
     /* 1926855 */     GIR_EraseRootFromParent_Done,
     /* 1926856 */   // Label 25877: @1926856
     /* 1926856 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1926942), // Rule ID 23971 //
     /* 1926861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926907 */     // MIs[0] policy
     /* 1926907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926917 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1926920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926941 */     // GIR_Coverage, 23971,
     /* 1926941 */     GIR_EraseRootFromParent_Done,
     /* 1926942 */   // Label 25878: @1926942
     /* 1926942 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1927028), // Rule ID 23972 //
     /* 1926947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926993 */     // MIs[0] policy
     /* 1926993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927003 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927027 */     // GIR_Coverage, 23972,
     /* 1927027 */     GIR_EraseRootFromParent_Done,
     /* 1927028 */   // Label 25879: @1927028
     /* 1927028 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1927114), // Rule ID 23975 //
     /* 1927033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927079 */     // MIs[0] policy
     /* 1927079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927089 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927113 */     // GIR_Coverage, 23975,
     /* 1927113 */     GIR_EraseRootFromParent_Done,
     /* 1927114 */   // Label 25880: @1927114
     /* 1927114 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1927200), // Rule ID 23976 //
     /* 1927119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927165 */     // MIs[0] policy
     /* 1927165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927175 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927199 */     // GIR_Coverage, 23976,
     /* 1927199 */     GIR_EraseRootFromParent_Done,
     /* 1927200 */   // Label 25881: @1927200
     /* 1927200 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1927286), // Rule ID 23979 //
     /* 1927205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927251 */     // MIs[0] policy
     /* 1927251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927285 */     // GIR_Coverage, 23979,
     /* 1927285 */     GIR_EraseRootFromParent_Done,
     /* 1927286 */   // Label 25882: @1927286
     /* 1927286 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1927372), // Rule ID 23980 //
     /* 1927291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927337 */     // MIs[0] policy
     /* 1927337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927371 */     // GIR_Coverage, 23980,
     /* 1927371 */     GIR_EraseRootFromParent_Done,
     /* 1927372 */   // Label 25883: @1927372
     /* 1927372 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1927458), // Rule ID 23983 //
     /* 1927377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927423 */     // MIs[0] policy
     /* 1927423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927433 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927457 */     // GIR_Coverage, 23983,
     /* 1927457 */     GIR_EraseRootFromParent_Done,
     /* 1927458 */   // Label 25884: @1927458
     /* 1927458 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1927544), // Rule ID 23984 //
     /* 1927463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927509 */     // MIs[0] policy
     /* 1927509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927543 */     // GIR_Coverage, 23984,
     /* 1927543 */     GIR_EraseRootFromParent_Done,
     /* 1927544 */   // Label 25885: @1927544
     /* 1927544 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1927630), // Rule ID 23987 //
     /* 1927549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927595 */     // MIs[0] policy
     /* 1927595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927629 */     // GIR_Coverage, 23987,
     /* 1927629 */     GIR_EraseRootFromParent_Done,
     /* 1927630 */   // Label 25886: @1927630
     /* 1927630 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1927716), // Rule ID 23988 //
     /* 1927635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927681 */     // MIs[0] policy
     /* 1927681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927691 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927715 */     // GIR_Coverage, 23988,
     /* 1927715 */     GIR_EraseRootFromParent_Done,
     /* 1927716 */   // Label 25887: @1927716
     /* 1927716 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1927802), // Rule ID 23991 //
     /* 1927721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927767 */     // MIs[0] policy
     /* 1927767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927801 */     // GIR_Coverage, 23991,
     /* 1927801 */     GIR_EraseRootFromParent_Done,
     /* 1927802 */   // Label 25888: @1927802
     /* 1927802 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1927888), // Rule ID 23992 //
     /* 1927807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927853 */     // MIs[0] policy
     /* 1927853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927887 */     // GIR_Coverage, 23992,
     /* 1927887 */     GIR_EraseRootFromParent_Done,
     /* 1927888 */   // Label 25889: @1927888
     /* 1927888 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1927974), // Rule ID 23995 //
     /* 1927893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927939 */     // MIs[0] policy
     /* 1927939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927973 */     // GIR_Coverage, 23995,
     /* 1927973 */     GIR_EraseRootFromParent_Done,
     /* 1927974 */   // Label 25890: @1927974
     /* 1927974 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1928060), // Rule ID 23996 //
     /* 1927979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928025 */     // MIs[0] policy
     /* 1928025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928059 */     // GIR_Coverage, 23996,
     /* 1928059 */     GIR_EraseRootFromParent_Done,
     /* 1928060 */   // Label 25891: @1928060
     /* 1928060 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1928146), // Rule ID 23999 //
     /* 1928065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928111 */     // MIs[0] policy
     /* 1928111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928145 */     // GIR_Coverage, 23999,
     /* 1928145 */     GIR_EraseRootFromParent_Done,
     /* 1928146 */   // Label 25892: @1928146
     /* 1928146 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1928232), // Rule ID 24000 //
     /* 1928151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928197 */     // MIs[0] policy
     /* 1928197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928231 */     // GIR_Coverage, 24000,
     /* 1928231 */     GIR_EraseRootFromParent_Done,
     /* 1928232 */   // Label 25893: @1928232
     /* 1928232 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1928318), // Rule ID 24003 //
     /* 1928237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928283 */     // MIs[0] policy
     /* 1928283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928317 */     // GIR_Coverage, 24003,
     /* 1928317 */     GIR_EraseRootFromParent_Done,
     /* 1928318 */   // Label 25894: @1928318
     /* 1928318 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1928404), // Rule ID 24004 //
     /* 1928323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928369 */     // MIs[0] policy
     /* 1928369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928379 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928403 */     // GIR_Coverage, 24004,
     /* 1928403 */     GIR_EraseRootFromParent_Done,
     /* 1928404 */   // Label 25895: @1928404
     /* 1928404 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1928490), // Rule ID 24007 //
     /* 1928409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928455 */     // MIs[0] policy
     /* 1928455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928465 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928489 */     // GIR_Coverage, 24007,
     /* 1928489 */     GIR_EraseRootFromParent_Done,
     /* 1928490 */   // Label 25896: @1928490
     /* 1928490 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1928576), // Rule ID 24008 //
     /* 1928495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928541 */     // MIs[0] policy
     /* 1928541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928575 */     // GIR_Coverage, 24008,
     /* 1928575 */     GIR_EraseRootFromParent_Done,
     /* 1928576 */   // Label 25897: @1928576
     /* 1928576 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1928662), // Rule ID 24011 //
     /* 1928581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928627 */     // MIs[0] policy
     /* 1928627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928637 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928661 */     // GIR_Coverage, 24011,
     /* 1928661 */     GIR_EraseRootFromParent_Done,
     /* 1928662 */   // Label 25898: @1928662
     /* 1928662 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1928748), // Rule ID 24012 //
     /* 1928667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928713 */     // MIs[0] policy
     /* 1928713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928747 */     // GIR_Coverage, 24012,
     /* 1928747 */     GIR_EraseRootFromParent_Done,
     /* 1928748 */   // Label 25899: @1928748
     /* 1928748 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1928834), // Rule ID 24015 //
     /* 1928753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928799 */     // MIs[0] policy
     /* 1928799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928809 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1928812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928833 */     // GIR_Coverage, 24015,
     /* 1928833 */     GIR_EraseRootFromParent_Done,
     /* 1928834 */   // Label 25900: @1928834
     /* 1928834 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1928920), // Rule ID 24016 //
     /* 1928839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928885 */     // MIs[0] policy
     /* 1928885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928895 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1928898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928919 */     // GIR_Coverage, 24016,
     /* 1928919 */     GIR_EraseRootFromParent_Done,
     /* 1928920 */   // Label 25901: @1928920
     /* 1928920 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1929006), // Rule ID 24019 //
     /* 1928925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928971 */     // MIs[0] policy
     /* 1928971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928981 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1928984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929005 */     // GIR_Coverage, 24019,
     /* 1929005 */     GIR_EraseRootFromParent_Done,
     /* 1929006 */   // Label 25902: @1929006
     /* 1929006 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1929092), // Rule ID 24020 //
     /* 1929011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929057 */     // MIs[0] policy
     /* 1929057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929067 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929091 */     // GIR_Coverage, 24020,
     /* 1929091 */     GIR_EraseRootFromParent_Done,
     /* 1929092 */   // Label 25903: @1929092
     /* 1929092 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1929178), // Rule ID 24023 //
     /* 1929097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929143 */     // MIs[0] policy
     /* 1929143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929153 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929177 */     // GIR_Coverage, 24023,
     /* 1929177 */     GIR_EraseRootFromParent_Done,
     /* 1929178 */   // Label 25904: @1929178
     /* 1929178 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1929264), // Rule ID 24024 //
     /* 1929183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929229 */     // MIs[0] policy
     /* 1929229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929239 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929263 */     // GIR_Coverage, 24024,
     /* 1929263 */     GIR_EraseRootFromParent_Done,
     /* 1929264 */   // Label 25905: @1929264
     /* 1929264 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1929350), // Rule ID 24027 //
     /* 1929269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929315 */     // MIs[0] policy
     /* 1929315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929325 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929349 */     // GIR_Coverage, 24027,
     /* 1929349 */     GIR_EraseRootFromParent_Done,
     /* 1929350 */   // Label 25906: @1929350
     /* 1929350 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1929436), // Rule ID 24028 //
     /* 1929355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929401 */     // MIs[0] policy
     /* 1929401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929411 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929435 */     // GIR_Coverage, 24028,
     /* 1929435 */     GIR_EraseRootFromParent_Done,
     /* 1929436 */   // Label 25907: @1929436
     /* 1929436 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1929522), // Rule ID 24031 //
     /* 1929441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929487 */     // MIs[0] policy
     /* 1929487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929521 */     // GIR_Coverage, 24031,
     /* 1929521 */     GIR_EraseRootFromParent_Done,
     /* 1929522 */   // Label 25908: @1929522
     /* 1929522 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1929608), // Rule ID 24032 //
     /* 1929527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929573 */     // MIs[0] policy
     /* 1929573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929583 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929607 */     // GIR_Coverage, 24032,
     /* 1929607 */     GIR_EraseRootFromParent_Done,
     /* 1929608 */   // Label 25909: @1929608
     /* 1929608 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1929694), // Rule ID 24035 //
     /* 1929613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1929616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929659 */     // MIs[0] policy
     /* 1929659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929693 */     // GIR_Coverage, 24035,
     /* 1929693 */     GIR_EraseRootFromParent_Done,
     /* 1929694 */   // Label 25910: @1929694
     /* 1929694 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1929780), // Rule ID 24036 //
     /* 1929699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1929702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929745 */     // MIs[0] policy
     /* 1929745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929755 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929779 */     // GIR_Coverage, 24036,
     /* 1929779 */     GIR_EraseRootFromParent_Done,
     /* 1929780 */   // Label 25911: @1929780
     /* 1929780 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1929866), // Rule ID 24039 //
     /* 1929785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1929796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1929799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1929802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929831 */     // MIs[0] policy
     /* 1929831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929841 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929865 */     // GIR_Coverage, 24039,
     /* 1929865 */     GIR_EraseRootFromParent_Done,
     /* 1929866 */   // Label 25912: @1929866
     /* 1929866 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1929952), // Rule ID 24040 //
     /* 1929871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1929882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1929885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1929888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929917 */     // MIs[0] policy
     /* 1929917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929951 */     // GIR_Coverage, 24040,
     /* 1929951 */     GIR_EraseRootFromParent_Done,
     /* 1929952 */   // Label 25913: @1929952
     /* 1929952 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1930038), // Rule ID 24043 //
     /* 1929957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1929968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1929971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1929974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930003 */     // MIs[0] policy
     /* 1930003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930013 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930037 */     // GIR_Coverage, 24043,
     /* 1930037 */     GIR_EraseRootFromParent_Done,
     /* 1930038 */   // Label 25914: @1930038
     /* 1930038 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1930124), // Rule ID 24044 //
     /* 1930043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930089 */     // MIs[0] policy
     /* 1930089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930099 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930123 */     // GIR_Coverage, 24044,
     /* 1930123 */     GIR_EraseRootFromParent_Done,
     /* 1930124 */   // Label 25915: @1930124
     /* 1930124 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1930210), // Rule ID 24047 //
     /* 1930129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930175 */     // MIs[0] policy
     /* 1930175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930185 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930209 */     // GIR_Coverage, 24047,
     /* 1930209 */     GIR_EraseRootFromParent_Done,
     /* 1930210 */   // Label 25916: @1930210
     /* 1930210 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1930296), // Rule ID 24048 //
     /* 1930215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930261 */     // MIs[0] policy
     /* 1930261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930271 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930295 */     // GIR_Coverage, 24048,
     /* 1930295 */     GIR_EraseRootFromParent_Done,
     /* 1930296 */   // Label 25917: @1930296
     /* 1930296 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1930382), // Rule ID 24051 //
     /* 1930301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930347 */     // MIs[0] policy
     /* 1930347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930357 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930381 */     // GIR_Coverage, 24051,
     /* 1930381 */     GIR_EraseRootFromParent_Done,
     /* 1930382 */   // Label 25918: @1930382
     /* 1930382 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1930468), // Rule ID 24052 //
     /* 1930387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930433 */     // MIs[0] policy
     /* 1930433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930443 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930467 */     // GIR_Coverage, 24052,
     /* 1930467 */     GIR_EraseRootFromParent_Done,
     /* 1930468 */   // Label 25919: @1930468
     /* 1930468 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1930554), // Rule ID 24055 //
     /* 1930473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930519 */     // MIs[0] policy
     /* 1930519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930529 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930553 */     // GIR_Coverage, 24055,
     /* 1930553 */     GIR_EraseRootFromParent_Done,
     /* 1930554 */   // Label 25920: @1930554
     /* 1930554 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1930640), // Rule ID 24056 //
     /* 1930559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930605 */     // MIs[0] policy
     /* 1930605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930615 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930639 */     // GIR_Coverage, 24056,
     /* 1930639 */     GIR_EraseRootFromParent_Done,
     /* 1930640 */   // Label 25921: @1930640
     /* 1930640 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1930726), // Rule ID 24059 //
     /* 1930645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1930656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1930659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1930662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930691 */     // MIs[0] policy
     /* 1930691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930701 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930725 */     // GIR_Coverage, 24059,
     /* 1930725 */     GIR_EraseRootFromParent_Done,
     /* 1930726 */   // Label 25922: @1930726
     /* 1930726 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1930812), // Rule ID 24060 //
     /* 1930731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1930742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1930745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1930748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930777 */     // MIs[0] policy
     /* 1930777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930787 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930811 */     // GIR_Coverage, 24060,
     /* 1930811 */     GIR_EraseRootFromParent_Done,
     /* 1930812 */   // Label 25923: @1930812
     /* 1930812 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1930898), // Rule ID 24063 //
     /* 1930817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1930828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1930831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1930834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930863 */     // MIs[0] policy
     /* 1930863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930873 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930897 */     // GIR_Coverage, 24063,
     /* 1930897 */     GIR_EraseRootFromParent_Done,
     /* 1930898 */   // Label 25924: @1930898
     /* 1930898 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1930984), // Rule ID 24064 //
     /* 1930903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1930914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1930917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1930920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930949 */     // MIs[0] policy
     /* 1930949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930959 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930983 */     // GIR_Coverage, 24064,
     /* 1930983 */     GIR_EraseRootFromParent_Done,
     /* 1930984 */   // Label 25925: @1930984
     /* 1930984 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1931070), // Rule ID 24067 //
     /* 1930989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931035 */     // MIs[0] policy
     /* 1931035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931045 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931069 */     // GIR_Coverage, 24067,
     /* 1931069 */     GIR_EraseRootFromParent_Done,
     /* 1931070 */   // Label 25926: @1931070
     /* 1931070 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1931156), // Rule ID 24068 //
     /* 1931075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931121 */     // MIs[0] policy
     /* 1931121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931131 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931155 */     // GIR_Coverage, 24068,
     /* 1931155 */     GIR_EraseRootFromParent_Done,
     /* 1931156 */   // Label 25927: @1931156
     /* 1931156 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1931242), // Rule ID 24071 //
     /* 1931161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931207 */     // MIs[0] policy
     /* 1931207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931241 */     // GIR_Coverage, 24071,
     /* 1931241 */     GIR_EraseRootFromParent_Done,
     /* 1931242 */   // Label 25928: @1931242
     /* 1931242 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1931328), // Rule ID 24072 //
     /* 1931247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931293 */     // MIs[0] policy
     /* 1931293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931303 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931327 */     // GIR_Coverage, 24072,
     /* 1931327 */     GIR_EraseRootFromParent_Done,
     /* 1931328 */   // Label 25929: @1931328
     /* 1931328 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1931414), // Rule ID 24135 //
     /* 1931333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931379 */     // MIs[0] policy
     /* 1931379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931389 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931413 */     // GIR_Coverage, 24135,
     /* 1931413 */     GIR_EraseRootFromParent_Done,
     /* 1931414 */   // Label 25930: @1931414
     /* 1931414 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1931500), // Rule ID 24136 //
     /* 1931419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931465 */     // MIs[0] policy
     /* 1931465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931475 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931499 */     // GIR_Coverage, 24136,
     /* 1931499 */     GIR_EraseRootFromParent_Done,
     /* 1931500 */   // Label 25931: @1931500
     /* 1931500 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1931586), // Rule ID 24139 //
     /* 1931505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931551 */     // MIs[0] policy
     /* 1931551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931561 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931585 */     // GIR_Coverage, 24139,
     /* 1931585 */     GIR_EraseRootFromParent_Done,
     /* 1931586 */   // Label 25932: @1931586
     /* 1931586 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1931672), // Rule ID 24140 //
     /* 1931591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931637 */     // MIs[0] policy
     /* 1931637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931647 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931671 */     // GIR_Coverage, 24140,
     /* 1931671 */     GIR_EraseRootFromParent_Done,
     /* 1931672 */   // Label 25933: @1931672
     /* 1931672 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1931758), // Rule ID 24143 //
     /* 1931677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1931688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1931691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1931694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931723 */     // MIs[0] policy
     /* 1931723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931733 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931757 */     // GIR_Coverage, 24143,
     /* 1931757 */     GIR_EraseRootFromParent_Done,
     /* 1931758 */   // Label 25934: @1931758
     /* 1931758 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1931844), // Rule ID 24144 //
     /* 1931763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1931766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1931774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1931777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1931780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931809 */     // MIs[0] policy
     /* 1931809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931819 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931843 */     // GIR_Coverage, 24144,
     /* 1931843 */     GIR_EraseRootFromParent_Done,
     /* 1931844 */   // Label 25935: @1931844
     /* 1931844 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1931930), // Rule ID 24147 //
     /* 1931849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1931860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1931863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1931866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931895 */     // MIs[0] policy
     /* 1931895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931905 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1931908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931929 */     // GIR_Coverage, 24147,
     /* 1931929 */     GIR_EraseRootFromParent_Done,
     /* 1931930 */   // Label 25936: @1931930
     /* 1931930 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1932016), // Rule ID 24148 //
     /* 1931935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1931946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1931949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1931952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931981 */     // MIs[0] policy
     /* 1931981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931991 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1931994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932015 */     // GIR_Coverage, 24148,
     /* 1932015 */     GIR_EraseRootFromParent_Done,
     /* 1932016 */   // Label 25937: @1932016
     /* 1932016 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1932102), // Rule ID 24151 //
     /* 1932021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1932032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1932035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1932038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932067 */     // MIs[0] policy
     /* 1932067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932101 */     // GIR_Coverage, 24151,
     /* 1932101 */     GIR_EraseRootFromParent_Done,
     /* 1932102 */   // Label 25938: @1932102
     /* 1932102 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1932188), // Rule ID 24152 //
     /* 1932107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1932118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1932121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1932124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932153 */     // MIs[0] policy
     /* 1932153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932163 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932187 */     // GIR_Coverage, 24152,
     /* 1932187 */     GIR_EraseRootFromParent_Done,
     /* 1932188 */   // Label 25939: @1932188
     /* 1932188 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1932274), // Rule ID 24155 //
     /* 1932193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932239 */     // MIs[0] policy
     /* 1932239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932249 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932273 */     // GIR_Coverage, 24155,
     /* 1932273 */     GIR_EraseRootFromParent_Done,
     /* 1932274 */   // Label 25940: @1932274
     /* 1932274 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1932360), // Rule ID 24156 //
     /* 1932279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932325 */     // MIs[0] policy
     /* 1932325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932335 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932359 */     // GIR_Coverage, 24156,
     /* 1932359 */     GIR_EraseRootFromParent_Done,
     /* 1932360 */   // Label 25941: @1932360
     /* 1932360 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1932446), // Rule ID 24159 //
     /* 1932365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932411 */     // MIs[0] policy
     /* 1932411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932421 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932445 */     // GIR_Coverage, 24159,
     /* 1932445 */     GIR_EraseRootFromParent_Done,
     /* 1932446 */   // Label 25942: @1932446
     /* 1932446 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1932532), // Rule ID 24160 //
     /* 1932451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932497 */     // MIs[0] policy
     /* 1932497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932507 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932531 */     // GIR_Coverage, 24160,
     /* 1932531 */     GIR_EraseRootFromParent_Done,
     /* 1932532 */   // Label 25943: @1932532
     /* 1932532 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1932618), // Rule ID 24163 //
     /* 1932537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1932548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1932551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1932554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932583 */     // MIs[0] policy
     /* 1932583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932593 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932617 */     // GIR_Coverage, 24163,
     /* 1932617 */     GIR_EraseRootFromParent_Done,
     /* 1932618 */   // Label 25944: @1932618
     /* 1932618 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1932704), // Rule ID 24164 //
     /* 1932623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1932634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1932637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1932640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932669 */     // MIs[0] policy
     /* 1932669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932679 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932703 */     // GIR_Coverage, 24164,
     /* 1932703 */     GIR_EraseRootFromParent_Done,
     /* 1932704 */   // Label 25945: @1932704
     /* 1932704 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1932790), // Rule ID 24167 //
     /* 1932709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1932720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1932723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1932726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1932732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932755 */     // MIs[0] policy
     /* 1932755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932765 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932789 */     // GIR_Coverage, 24167,
     /* 1932789 */     GIR_EraseRootFromParent_Done,
     /* 1932790 */   // Label 25946: @1932790
     /* 1932790 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1932876), // Rule ID 24168 //
     /* 1932795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1932806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1932809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1932812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1932818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932841 */     // MIs[0] policy
     /* 1932841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932851 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932875 */     // GIR_Coverage, 24168,
     /* 1932875 */     GIR_EraseRootFromParent_Done,
     /* 1932876 */   // Label 25947: @1932876
     /* 1932876 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1932962), // Rule ID 24171 //
     /* 1932881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932927 */     // MIs[0] policy
     /* 1932927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932937 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932961 */     // GIR_Coverage, 24171,
     /* 1932961 */     GIR_EraseRootFromParent_Done,
     /* 1932962 */   // Label 25948: @1932962
     /* 1932962 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1933048), // Rule ID 24172 //
     /* 1932967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933013 */     // MIs[0] policy
     /* 1933013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933023 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933047 */     // GIR_Coverage, 24172,
     /* 1933047 */     GIR_EraseRootFromParent_Done,
     /* 1933048 */   // Label 25949: @1933048
     /* 1933048 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1933134), // Rule ID 24175 //
     /* 1933053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933099 */     // MIs[0] policy
     /* 1933099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933133 */     // GIR_Coverage, 24175,
     /* 1933133 */     GIR_EraseRootFromParent_Done,
     /* 1933134 */   // Label 25950: @1933134
     /* 1933134 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1933220), // Rule ID 24176 //
     /* 1933139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933185 */     // MIs[0] policy
     /* 1933185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933195 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933219 */     // GIR_Coverage, 24176,
     /* 1933219 */     GIR_EraseRootFromParent_Done,
     /* 1933220 */   // Label 25951: @1933220
     /* 1933220 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1933306), // Rule ID 24179 //
     /* 1933225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933271 */     // MIs[0] policy
     /* 1933271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933281 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933305 */     // GIR_Coverage, 24179,
     /* 1933305 */     GIR_EraseRootFromParent_Done,
     /* 1933306 */   // Label 25952: @1933306
     /* 1933306 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1933392), // Rule ID 24180 //
     /* 1933311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933357 */     // MIs[0] policy
     /* 1933357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933367 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933391 */     // GIR_Coverage, 24180,
     /* 1933391 */     GIR_EraseRootFromParent_Done,
     /* 1933392 */   // Label 25953: @1933392
     /* 1933392 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1933478), // Rule ID 24183 //
     /* 1933397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933443 */     // MIs[0] policy
     /* 1933443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933477 */     // GIR_Coverage, 24183,
     /* 1933477 */     GIR_EraseRootFromParent_Done,
     /* 1933478 */   // Label 25954: @1933478
     /* 1933478 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1933564), // Rule ID 24184 //
     /* 1933483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933529 */     // MIs[0] policy
     /* 1933529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933563 */     // GIR_Coverage, 24184,
     /* 1933563 */     GIR_EraseRootFromParent_Done,
     /* 1933564 */   // Label 25955: @1933564
     /* 1933564 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1933650), // Rule ID 24187 //
     /* 1933569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1933580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1933583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1933586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933615 */     // MIs[0] policy
     /* 1933615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933625 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933649 */     // GIR_Coverage, 24187,
     /* 1933649 */     GIR_EraseRootFromParent_Done,
     /* 1933650 */   // Label 25956: @1933650
     /* 1933650 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1933736), // Rule ID 24188 //
     /* 1933655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1933666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1933669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1933672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933701 */     // MIs[0] policy
     /* 1933701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933711 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933735 */     // GIR_Coverage, 24188,
     /* 1933735 */     GIR_EraseRootFromParent_Done,
     /* 1933736 */   // Label 25957: @1933736
     /* 1933736 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1933822), // Rule ID 24191 //
     /* 1933741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1933752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1933755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1933758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933787 */     // MIs[0] policy
     /* 1933787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933797 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933821 */     // GIR_Coverage, 24191,
     /* 1933821 */     GIR_EraseRootFromParent_Done,
     /* 1933822 */   // Label 25958: @1933822
     /* 1933822 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1933908), // Rule ID 24192 //
     /* 1933827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1933838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1933841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1933844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933873 */     // MIs[0] policy
     /* 1933873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933883 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933907 */     // GIR_Coverage, 24192,
     /* 1933907 */     GIR_EraseRootFromParent_Done,
     /* 1933908 */   // Label 25959: @1933908
     /* 1933908 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1933994), // Rule ID 24255 //
     /* 1933913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933959 */     // MIs[0] policy
     /* 1933959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933969 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1933972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933993 */     // GIR_Coverage, 24255,
     /* 1933993 */     GIR_EraseRootFromParent_Done,
     /* 1933994 */   // Label 25960: @1933994
     /* 1933994 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1934080), // Rule ID 24256 //
     /* 1933999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1934010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1934013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1934016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934045 */     // MIs[0] policy
     /* 1934045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934055 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1934058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934079 */     // GIR_Coverage, 24256,
     /* 1934079 */     GIR_EraseRootFromParent_Done,
     /* 1934080 */   // Label 25961: @1934080
     /* 1934080 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1934166), // Rule ID 24259 //
     /* 1934085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934131 */     // MIs[0] policy
     /* 1934131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934141 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934165 */     // GIR_Coverage, 24259,
     /* 1934165 */     GIR_EraseRootFromParent_Done,
     /* 1934166 */   // Label 25962: @1934166
     /* 1934166 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1934252), // Rule ID 24260 //
     /* 1934171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934217 */     // MIs[0] policy
     /* 1934217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934227 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934251 */     // GIR_Coverage, 24260,
     /* 1934251 */     GIR_EraseRootFromParent_Done,
     /* 1934252 */   // Label 25963: @1934252
     /* 1934252 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1934338), // Rule ID 24263 //
     /* 1934257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934303 */     // MIs[0] policy
     /* 1934303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934313 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934337 */     // GIR_Coverage, 24263,
     /* 1934337 */     GIR_EraseRootFromParent_Done,
     /* 1934338 */   // Label 25964: @1934338
     /* 1934338 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1934424), // Rule ID 24264 //
     /* 1934343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934389 */     // MIs[0] policy
     /* 1934389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934399 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934423 */     // GIR_Coverage, 24264,
     /* 1934423 */     GIR_EraseRootFromParent_Done,
     /* 1934424 */   // Label 25965: @1934424
     /* 1934424 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1934510), // Rule ID 24267 //
     /* 1934429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934475 */     // MIs[0] policy
     /* 1934475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934485 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934509 */     // GIR_Coverage, 24267,
     /* 1934509 */     GIR_EraseRootFromParent_Done,
     /* 1934510 */   // Label 25966: @1934510
     /* 1934510 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1934596), // Rule ID 24268 //
     /* 1934515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934561 */     // MIs[0] policy
     /* 1934561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934571 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934595 */     // GIR_Coverage, 24268,
     /* 1934595 */     GIR_EraseRootFromParent_Done,
     /* 1934596 */   // Label 25967: @1934596
     /* 1934596 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1934682), // Rule ID 24271 //
     /* 1934601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934647 */     // MIs[0] policy
     /* 1934647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1934660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934681 */     // GIR_Coverage, 24271,
     /* 1934681 */     GIR_EraseRootFromParent_Done,
     /* 1934682 */   // Label 25968: @1934682
     /* 1934682 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1934768), // Rule ID 24272 //
     /* 1934687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934733 */     // MIs[0] policy
     /* 1934733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934743 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1934746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934767 */     // GIR_Coverage, 24272,
     /* 1934767 */     GIR_EraseRootFromParent_Done,
     /* 1934768 */   // Label 25969: @1934768
     /* 1934768 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1934854), // Rule ID 24275 //
     /* 1934773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1934776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1934815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934819 */     // MIs[0] policy
     /* 1934819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934829 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1934832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934853 */     // GIR_Coverage, 24275,
     /* 1934853 */     GIR_EraseRootFromParent_Done,
     /* 1934854 */   // Label 25970: @1934854
     /* 1934854 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1934940), // Rule ID 24276 //
     /* 1934859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1934901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934905 */     // MIs[0] policy
     /* 1934905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934915 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1934918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934939 */     // GIR_Coverage, 24276,
     /* 1934939 */     GIR_EraseRootFromParent_Done,
     /* 1934940 */   // Label 25971: @1934940
     /* 1934940 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1935026), // Rule ID 24279 //
     /* 1934945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934991 */     // MIs[0] policy
     /* 1934991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935001 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1935004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935025 */     // GIR_Coverage, 24279,
     /* 1935025 */     GIR_EraseRootFromParent_Done,
     /* 1935026 */   // Label 25972: @1935026
     /* 1935026 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1935112), // Rule ID 24280 //
     /* 1935031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935077 */     // MIs[0] policy
     /* 1935077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935087 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1935090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935111 */     // GIR_Coverage, 24280,
     /* 1935111 */     GIR_EraseRootFromParent_Done,
     /* 1935112 */   // Label 25973: @1935112
     /* 1935112 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1935198), // Rule ID 24283 //
     /* 1935117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935163 */     // MIs[0] policy
     /* 1935163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935173 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935197 */     // GIR_Coverage, 24283,
     /* 1935197 */     GIR_EraseRootFromParent_Done,
     /* 1935198 */   // Label 25974: @1935198
     /* 1935198 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1935284), // Rule ID 24284 //
     /* 1935203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935249 */     // MIs[0] policy
     /* 1935249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935259 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935283 */     // GIR_Coverage, 24284,
     /* 1935283 */     GIR_EraseRootFromParent_Done,
     /* 1935284 */   // Label 25975: @1935284
     /* 1935284 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1935370), // Rule ID 24287 //
     /* 1935289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935335 */     // MIs[0] policy
     /* 1935335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935345 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935369 */     // GIR_Coverage, 24287,
     /* 1935369 */     GIR_EraseRootFromParent_Done,
     /* 1935370 */   // Label 25976: @1935370
     /* 1935370 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1935456), // Rule ID 24288 //
     /* 1935375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935421 */     // MIs[0] policy
     /* 1935421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935431 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935455 */     // GIR_Coverage, 24288,
     /* 1935455 */     GIR_EraseRootFromParent_Done,
     /* 1935456 */   // Label 25977: @1935456
     /* 1935456 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1935542), // Rule ID 24291 //
     /* 1935461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935507 */     // MIs[0] policy
     /* 1935507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935517 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935541 */     // GIR_Coverage, 24291,
     /* 1935541 */     GIR_EraseRootFromParent_Done,
     /* 1935542 */   // Label 25978: @1935542
     /* 1935542 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1935628), // Rule ID 24292 //
     /* 1935547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935593 */     // MIs[0] policy
     /* 1935593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935603 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935627 */     // GIR_Coverage, 24292,
     /* 1935627 */     GIR_EraseRootFromParent_Done,
     /* 1935628 */   // Label 25979: @1935628
     /* 1935628 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1935714), // Rule ID 24295 //
     /* 1935633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935679 */     // MIs[0] policy
     /* 1935679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935689 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1935692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935713 */     // GIR_Coverage, 24295,
     /* 1935713 */     GIR_EraseRootFromParent_Done,
     /* 1935714 */   // Label 25980: @1935714
     /* 1935714 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1935800), // Rule ID 24296 //
     /* 1935719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935765 */     // MIs[0] policy
     /* 1935765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935775 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1935778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935799 */     // GIR_Coverage, 24296,
     /* 1935799 */     GIR_EraseRootFromParent_Done,
     /* 1935800 */   // Label 25981: @1935800
     /* 1935800 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1935886), // Rule ID 24299 //
     /* 1935805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935851 */     // MIs[0] policy
     /* 1935851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935861 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1935864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935885 */     // GIR_Coverage, 24299,
     /* 1935885 */     GIR_EraseRootFromParent_Done,
     /* 1935886 */   // Label 25982: @1935886
     /* 1935886 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1935972), // Rule ID 24300 //
     /* 1935891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935937 */     // MIs[0] policy
     /* 1935937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935947 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1935950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935971 */     // GIR_Coverage, 24300,
     /* 1935971 */     GIR_EraseRootFromParent_Done,
     /* 1935972 */   // Label 25983: @1935972
     /* 1935972 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1936058), // Rule ID 24303 //
     /* 1935977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936023 */     // MIs[0] policy
     /* 1936023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936033 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1936036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936057 */     // GIR_Coverage, 24303,
     /* 1936057 */     GIR_EraseRootFromParent_Done,
     /* 1936058 */   // Label 25984: @1936058
     /* 1936058 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1936144), // Rule ID 24304 //
     /* 1936063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936109 */     // MIs[0] policy
     /* 1936109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936119 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1936122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936143 */     // GIR_Coverage, 24304,
     /* 1936143 */     GIR_EraseRootFromParent_Done,
     /* 1936144 */   // Label 25985: @1936144
     /* 1936144 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1936230), // Rule ID 24307 //
     /* 1936149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936195 */     // MIs[0] policy
     /* 1936195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936205 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936229 */     // GIR_Coverage, 24307,
     /* 1936229 */     GIR_EraseRootFromParent_Done,
     /* 1936230 */   // Label 25986: @1936230
     /* 1936230 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1936316), // Rule ID 24308 //
     /* 1936235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936281 */     // MIs[0] policy
     /* 1936281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936291 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936315 */     // GIR_Coverage, 24308,
     /* 1936315 */     GIR_EraseRootFromParent_Done,
     /* 1936316 */   // Label 25987: @1936316
     /* 1936316 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1936402), // Rule ID 24311 //
     /* 1936321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936367 */     // MIs[0] policy
     /* 1936367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936401 */     // GIR_Coverage, 24311,
     /* 1936401 */     GIR_EraseRootFromParent_Done,
     /* 1936402 */   // Label 25988: @1936402
     /* 1936402 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1936488), // Rule ID 24312 //
     /* 1936407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936453 */     // MIs[0] policy
     /* 1936453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936463 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936487 */     // GIR_Coverage, 24312,
     /* 1936487 */     GIR_EraseRootFromParent_Done,
     /* 1936488 */   // Label 25989: @1936488
     /* 1936488 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1936574), // Rule ID 24315 //
     /* 1936493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936539 */     // MIs[0] policy
     /* 1936539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936549 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1936552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936573 */     // GIR_Coverage, 24315,
     /* 1936573 */     GIR_EraseRootFromParent_Done,
     /* 1936574 */   // Label 25990: @1936574
     /* 1936574 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1936660), // Rule ID 24316 //
     /* 1936579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936625 */     // MIs[0] policy
     /* 1936625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936635 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1936638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936659 */     // GIR_Coverage, 24316,
     /* 1936659 */     GIR_EraseRootFromParent_Done,
     /* 1936660 */   // Label 25991: @1936660
     /* 1936660 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1936746), // Rule ID 24319 //
     /* 1936665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936711 */     // MIs[0] policy
     /* 1936711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936721 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1936724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936745 */     // GIR_Coverage, 24319,
     /* 1936745 */     GIR_EraseRootFromParent_Done,
     /* 1936746 */   // Label 25992: @1936746
     /* 1936746 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1936832), // Rule ID 24320 //
     /* 1936751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936797 */     // MIs[0] policy
     /* 1936797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936807 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1936810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936831 */     // GIR_Coverage, 24320,
     /* 1936831 */     GIR_EraseRootFromParent_Done,
     /* 1936832 */   // Label 25993: @1936832
     /* 1936832 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1936918), // Rule ID 24323 //
     /* 1936837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936883 */     // MIs[0] policy
     /* 1936883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936893 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1936896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936917 */     // GIR_Coverage, 24323,
     /* 1936917 */     GIR_EraseRootFromParent_Done,
     /* 1936918 */   // Label 25994: @1936918
     /* 1936918 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1937004), // Rule ID 24324 //
     /* 1936923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936969 */     // MIs[0] policy
     /* 1936969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936979 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1936982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937003 */     // GIR_Coverage, 24324,
     /* 1937003 */     GIR_EraseRootFromParent_Done,
     /* 1937004 */   // Label 25995: @1937004
     /* 1937004 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1937090), // Rule ID 24327 //
     /* 1937009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937055 */     // MIs[0] policy
     /* 1937055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937065 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937089 */     // GIR_Coverage, 24327,
     /* 1937089 */     GIR_EraseRootFromParent_Done,
     /* 1937090 */   // Label 25996: @1937090
     /* 1937090 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1937176), // Rule ID 24328 //
     /* 1937095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937141 */     // MIs[0] policy
     /* 1937141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937151 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937175 */     // GIR_Coverage, 24328,
     /* 1937175 */     GIR_EraseRootFromParent_Done,
     /* 1937176 */   // Label 25997: @1937176
     /* 1937176 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1937262), // Rule ID 24331 //
     /* 1937181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937227 */     // MIs[0] policy
     /* 1937227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937261 */     // GIR_Coverage, 24331,
     /* 1937261 */     GIR_EraseRootFromParent_Done,
     /* 1937262 */   // Label 25998: @1937262
     /* 1937262 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1937348), // Rule ID 24332 //
     /* 1937267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937313 */     // MIs[0] policy
     /* 1937313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937323 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937347 */     // GIR_Coverage, 24332,
     /* 1937347 */     GIR_EraseRootFromParent_Done,
     /* 1937348 */   // Label 25999: @1937348
     /* 1937348 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1937434), // Rule ID 24335 //
     /* 1937353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937399 */     // MIs[0] policy
     /* 1937399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937409 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937433 */     // GIR_Coverage, 24335,
     /* 1937433 */     GIR_EraseRootFromParent_Done,
     /* 1937434 */   // Label 26000: @1937434
     /* 1937434 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1937520), // Rule ID 24336 //
     /* 1937439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937485 */     // MIs[0] policy
     /* 1937485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937495 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937519 */     // GIR_Coverage, 24336,
     /* 1937519 */     GIR_EraseRootFromParent_Done,
     /* 1937520 */   // Label 26001: @1937520
     /* 1937520 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1937606), // Rule ID 24339 //
     /* 1937525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937571 */     // MIs[0] policy
     /* 1937571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937581 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1937584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937605 */     // GIR_Coverage, 24339,
     /* 1937605 */     GIR_EraseRootFromParent_Done,
     /* 1937606 */   // Label 26002: @1937606
     /* 1937606 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1937692), // Rule ID 24340 //
     /* 1937611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937657 */     // MIs[0] policy
     /* 1937657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1937670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937691 */     // GIR_Coverage, 24340,
     /* 1937691 */     GIR_EraseRootFromParent_Done,
     /* 1937692 */   // Label 26003: @1937692
     /* 1937692 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1937778), // Rule ID 24343 //
     /* 1937697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937743 */     // MIs[0] policy
     /* 1937743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937753 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1937756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937777 */     // GIR_Coverage, 24343,
     /* 1937777 */     GIR_EraseRootFromParent_Done,
     /* 1937778 */   // Label 26004: @1937778
     /* 1937778 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1937864), // Rule ID 24344 //
     /* 1937783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937829 */     // MIs[0] policy
     /* 1937829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937839 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1937842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937863 */     // GIR_Coverage, 24344,
     /* 1937863 */     GIR_EraseRootFromParent_Done,
     /* 1937864 */   // Label 26005: @1937864
     /* 1937864 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1937950), // Rule ID 24347 //
     /* 1937869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937915 */     // MIs[0] policy
     /* 1937915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937925 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1937928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937949 */     // GIR_Coverage, 24347,
     /* 1937949 */     GIR_EraseRootFromParent_Done,
     /* 1937950 */   // Label 26006: @1937950
     /* 1937950 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1938036), // Rule ID 24348 //
     /* 1937955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938001 */     // MIs[0] policy
     /* 1938001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938011 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1938014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938035 */     // GIR_Coverage, 24348,
     /* 1938035 */     GIR_EraseRootFromParent_Done,
     /* 1938036 */   // Label 26007: @1938036
     /* 1938036 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1938122), // Rule ID 24351 //
     /* 1938041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938087 */     // MIs[0] policy
     /* 1938087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938097 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938121 */     // GIR_Coverage, 24351,
     /* 1938121 */     GIR_EraseRootFromParent_Done,
     /* 1938122 */   // Label 26008: @1938122
     /* 1938122 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1938208), // Rule ID 24352 //
     /* 1938127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938173 */     // MIs[0] policy
     /* 1938173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938183 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938207 */     // GIR_Coverage, 24352,
     /* 1938207 */     GIR_EraseRootFromParent_Done,
     /* 1938208 */   // Label 26009: @1938208
     /* 1938208 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1938294), // Rule ID 24355 //
     /* 1938213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938259 */     // MIs[0] policy
     /* 1938259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938269 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938293 */     // GIR_Coverage, 24355,
     /* 1938293 */     GIR_EraseRootFromParent_Done,
     /* 1938294 */   // Label 26010: @1938294
     /* 1938294 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1938380), // Rule ID 24356 //
     /* 1938299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938345 */     // MIs[0] policy
     /* 1938345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938355 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938379 */     // GIR_Coverage, 24356,
     /* 1938379 */     GIR_EraseRootFromParent_Done,
     /* 1938380 */   // Label 26011: @1938380
     /* 1938380 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1938466), // Rule ID 24359 //
     /* 1938385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938431 */     // MIs[0] policy
     /* 1938431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938441 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938465 */     // GIR_Coverage, 24359,
     /* 1938465 */     GIR_EraseRootFromParent_Done,
     /* 1938466 */   // Label 26012: @1938466
     /* 1938466 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1938552), // Rule ID 24360 //
     /* 1938471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938517 */     // MIs[0] policy
     /* 1938517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938527 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938551 */     // GIR_Coverage, 24360,
     /* 1938551 */     GIR_EraseRootFromParent_Done,
     /* 1938552 */   // Label 26013: @1938552
     /* 1938552 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1938638), // Rule ID 24363 //
     /* 1938557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938603 */     // MIs[0] policy
     /* 1938603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938613 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1938616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938637 */     // GIR_Coverage, 24363,
     /* 1938637 */     GIR_EraseRootFromParent_Done,
     /* 1938638 */   // Label 26014: @1938638
     /* 1938638 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1938724), // Rule ID 24364 //
     /* 1938643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938689 */     // MIs[0] policy
     /* 1938689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938699 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1938702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938723 */     // GIR_Coverage, 24364,
     /* 1938723 */     GIR_EraseRootFromParent_Done,
     /* 1938724 */   // Label 26015: @1938724
     /* 1938724 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1938810), // Rule ID 24367 //
     /* 1938729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938775 */     // MIs[0] policy
     /* 1938775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938785 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1938788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938809 */     // GIR_Coverage, 24367,
     /* 1938809 */     GIR_EraseRootFromParent_Done,
     /* 1938810 */   // Label 26016: @1938810
     /* 1938810 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1938896), // Rule ID 24368 //
     /* 1938815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938861 */     // MIs[0] policy
     /* 1938861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938871 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1938874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938895 */     // GIR_Coverage, 24368,
     /* 1938895 */     GIR_EraseRootFromParent_Done,
     /* 1938896 */   // Label 26017: @1938896
     /* 1938896 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1938982), // Rule ID 24371 //
     /* 1938901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1938915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1938918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938947 */     // MIs[0] policy
     /* 1938947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938957 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1938960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938981 */     // GIR_Coverage, 24371,
     /* 1938981 */     GIR_EraseRootFromParent_Done,
     /* 1938982 */   // Label 26018: @1938982
     /* 1938982 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1939068), // Rule ID 24372 //
     /* 1938987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1939001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1939004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939033 */     // MIs[0] policy
     /* 1939033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939043 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1939046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939067 */     // GIR_Coverage, 24372,
     /* 1939067 */     GIR_EraseRootFromParent_Done,
     /* 1939068 */   // Label 26019: @1939068
     /* 1939068 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1939154), // Rule ID 24375 //
     /* 1939073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939119 */     // MIs[0] policy
     /* 1939119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939129 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939153 */     // GIR_Coverage, 24375,
     /* 1939153 */     GIR_EraseRootFromParent_Done,
     /* 1939154 */   // Label 26020: @1939154
     /* 1939154 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1939240), // Rule ID 24376 //
     /* 1939159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939205 */     // MIs[0] policy
     /* 1939205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939215 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939239 */     // GIR_Coverage, 24376,
     /* 1939239 */     GIR_EraseRootFromParent_Done,
     /* 1939240 */   // Label 26021: @1939240
     /* 1939240 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1939326), // Rule ID 24379 //
     /* 1939245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939291 */     // MIs[0] policy
     /* 1939291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939325 */     // GIR_Coverage, 24379,
     /* 1939325 */     GIR_EraseRootFromParent_Done,
     /* 1939326 */   // Label 26022: @1939326
     /* 1939326 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1939412), // Rule ID 24380 //
     /* 1939331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939377 */     // MIs[0] policy
     /* 1939377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939387 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939411 */     // GIR_Coverage, 24380,
     /* 1939411 */     GIR_EraseRootFromParent_Done,
     /* 1939412 */   // Label 26023: @1939412
     /* 1939412 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1939498), // Rule ID 24383 //
     /* 1939417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939463 */     // MIs[0] policy
     /* 1939463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939497 */     // GIR_Coverage, 24383,
     /* 1939497 */     GIR_EraseRootFromParent_Done,
     /* 1939498 */   // Label 26024: @1939498
     /* 1939498 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1939584), // Rule ID 24384 //
     /* 1939503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939549 */     // MIs[0] policy
     /* 1939549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939583 */     // GIR_Coverage, 24384,
     /* 1939583 */     GIR_EraseRootFromParent_Done,
     /* 1939584 */   // Label 26025: @1939584
     /* 1939584 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1939670), // Rule ID 24387 //
     /* 1939589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1939600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1939603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1939606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1939609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939635 */     // MIs[0] policy
     /* 1939635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1939648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939669 */     // GIR_Coverage, 24387,
     /* 1939669 */     GIR_EraseRootFromParent_Done,
     /* 1939670 */   // Label 26026: @1939670
     /* 1939670 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1939756), // Rule ID 24388 //
     /* 1939675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1939686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1939689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1939692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1939695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939721 */     // MIs[0] policy
     /* 1939721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939731 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1939734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939755 */     // GIR_Coverage, 24388,
     /* 1939755 */     GIR_EraseRootFromParent_Done,
     /* 1939756 */   // Label 26027: @1939756
     /* 1939756 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1939842), // Rule ID 24391 //
     /* 1939761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1939772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1939775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1939778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1939781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939807 */     // MIs[0] policy
     /* 1939807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1939820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939841 */     // GIR_Coverage, 24391,
     /* 1939841 */     GIR_EraseRootFromParent_Done,
     /* 1939842 */   // Label 26028: @1939842
     /* 1939842 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1939928), // Rule ID 24392 //
     /* 1939847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1939858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1939861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1939864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1939867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939893 */     // MIs[0] policy
     /* 1939893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1939906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939927 */     // GIR_Coverage, 24392,
     /* 1939927 */     GIR_EraseRootFromParent_Done,
     /* 1939928 */   // Label 26029: @1939928
     /* 1939928 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1940014), // Rule ID 24395 //
     /* 1939933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1939944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1939947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1939950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1939953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939979 */     // MIs[0] policy
     /* 1939979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1939992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940013 */     // GIR_Coverage, 24395,
     /* 1940013 */     GIR_EraseRootFromParent_Done,
     /* 1940014 */   // Label 26030: @1940014
     /* 1940014 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1940100), // Rule ID 24396 //
     /* 1940019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1940039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940065 */     // MIs[0] policy
     /* 1940065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940075 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1940078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940099 */     // GIR_Coverage, 24396,
     /* 1940099 */     GIR_EraseRootFromParent_Done,
     /* 1940100 */   // Label 26031: @1940100
     /* 1940100 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1940186), // Rule ID 24399 //
     /* 1940105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940151 */     // MIs[0] policy
     /* 1940151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940185 */     // GIR_Coverage, 24399,
     /* 1940185 */     GIR_EraseRootFromParent_Done,
     /* 1940186 */   // Label 26032: @1940186
     /* 1940186 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1940272), // Rule ID 24400 //
     /* 1940191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940237 */     // MIs[0] policy
     /* 1940237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940247 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940271 */     // GIR_Coverage, 24400,
     /* 1940271 */     GIR_EraseRootFromParent_Done,
     /* 1940272 */   // Label 26033: @1940272
     /* 1940272 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1940358), // Rule ID 24403 //
     /* 1940277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940323 */     // MIs[0] policy
     /* 1940323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940357 */     // GIR_Coverage, 24403,
     /* 1940357 */     GIR_EraseRootFromParent_Done,
     /* 1940358 */   // Label 26034: @1940358
     /* 1940358 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1940444), // Rule ID 24404 //
     /* 1940363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940409 */     // MIs[0] policy
     /* 1940409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940443 */     // GIR_Coverage, 24404,
     /* 1940443 */     GIR_EraseRootFromParent_Done,
     /* 1940444 */   // Label 26035: @1940444
     /* 1940444 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1940530), // Rule ID 24407 //
     /* 1940449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940495 */     // MIs[0] policy
     /* 1940495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940529 */     // GIR_Coverage, 24407,
     /* 1940529 */     GIR_EraseRootFromParent_Done,
     /* 1940530 */   // Label 26036: @1940530
     /* 1940530 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1940616), // Rule ID 24408 //
     /* 1940535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940581 */     // MIs[0] policy
     /* 1940581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940615 */     // GIR_Coverage, 24408,
     /* 1940615 */     GIR_EraseRootFromParent_Done,
     /* 1940616 */   // Label 26037: @1940616
     /* 1940616 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1940702), // Rule ID 24411 //
     /* 1940621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1940632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1940635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1940638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1940641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940667 */     // MIs[0] policy
     /* 1940667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1940680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940701 */     // GIR_Coverage, 24411,
     /* 1940701 */     GIR_EraseRootFromParent_Done,
     /* 1940702 */   // Label 26038: @1940702
     /* 1940702 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1940788), // Rule ID 24412 //
     /* 1940707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1940718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1940721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1940724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1940727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940753 */     // MIs[0] policy
     /* 1940753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1940766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940787 */     // GIR_Coverage, 24412,
     /* 1940787 */     GIR_EraseRootFromParent_Done,
     /* 1940788 */   // Label 26039: @1940788
     /* 1940788 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1940874), // Rule ID 24415 //
     /* 1940793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1940804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1940807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1940810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1940813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940839 */     // MIs[0] policy
     /* 1940839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1940852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940873 */     // GIR_Coverage, 24415,
     /* 1940873 */     GIR_EraseRootFromParent_Done,
     /* 1940874 */   // Label 26040: @1940874
     /* 1940874 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1940960), // Rule ID 24416 //
     /* 1940879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1940890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1940893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1940896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1940899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940925 */     // MIs[0] policy
     /* 1940925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940935 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1940938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940959 */     // GIR_Coverage, 24416,
     /* 1940959 */     GIR_EraseRootFromParent_Done,
     /* 1940960 */   // Label 26041: @1940960
     /* 1940960 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1941046), // Rule ID 24419 //
     /* 1940965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1940976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1940979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1940982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1940985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1940988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941011 */     // MIs[0] policy
     /* 1941011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1941024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941045 */     // GIR_Coverage, 24419,
     /* 1941045 */     GIR_EraseRootFromParent_Done,
     /* 1941046 */   // Label 26042: @1941046
     /* 1941046 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1941132), // Rule ID 24420 //
     /* 1941051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1941062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1941065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1941068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1941071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941097 */     // MIs[0] policy
     /* 1941097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1941110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941131 */     // GIR_Coverage, 24420,
     /* 1941131 */     GIR_EraseRootFromParent_Done,
     /* 1941132 */   // Label 26043: @1941132
     /* 1941132 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1941218), // Rule ID 24423 //
     /* 1941137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941183 */     // MIs[0] policy
     /* 1941183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941193 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941217 */     // GIR_Coverage, 24423,
     /* 1941217 */     GIR_EraseRootFromParent_Done,
     /* 1941218 */   // Label 26044: @1941218
     /* 1941218 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1941304), // Rule ID 24424 //
     /* 1941223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941269 */     // MIs[0] policy
     /* 1941269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941279 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941303 */     // GIR_Coverage, 24424,
     /* 1941303 */     GIR_EraseRootFromParent_Done,
     /* 1941304 */   // Label 26045: @1941304
     /* 1941304 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1941390), // Rule ID 24427 //
     /* 1941309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941355 */     // MIs[0] policy
     /* 1941355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941389 */     // GIR_Coverage, 24427,
     /* 1941389 */     GIR_EraseRootFromParent_Done,
     /* 1941390 */   // Label 26046: @1941390
     /* 1941390 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1941476), // Rule ID 24428 //
     /* 1941395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941441 */     // MIs[0] policy
     /* 1941441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941475 */     // GIR_Coverage, 24428,
     /* 1941475 */     GIR_EraseRootFromParent_Done,
     /* 1941476 */   // Label 26047: @1941476
     /* 1941476 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1941562), // Rule ID 24431 //
     /* 1941481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941527 */     // MIs[0] policy
     /* 1941527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1941540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941561 */     // GIR_Coverage, 24431,
     /* 1941561 */     GIR_EraseRootFromParent_Done,
     /* 1941562 */   // Label 26048: @1941562
     /* 1941562 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1941648), // Rule ID 24432 //
     /* 1941567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941613 */     // MIs[0] policy
     /* 1941613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941623 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1941626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941647 */     // GIR_Coverage, 24432,
     /* 1941647 */     GIR_EraseRootFromParent_Done,
     /* 1941648 */   // Label 26049: @1941648
     /* 1941648 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1941734), // Rule ID 24435 //
     /* 1941653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1941664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1941667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1941670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1941673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941699 */     // MIs[0] policy
     /* 1941699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1941712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941733 */     // GIR_Coverage, 24435,
     /* 1941733 */     GIR_EraseRootFromParent_Done,
     /* 1941734 */   // Label 26050: @1941734
     /* 1941734 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1941820), // Rule ID 24436 //
     /* 1941739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1941750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1941753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1941756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1941759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941785 */     // MIs[0] policy
     /* 1941785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1941798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941819 */     // GIR_Coverage, 24436,
     /* 1941819 */     GIR_EraseRootFromParent_Done,
     /* 1941820 */   // Label 26051: @1941820
     /* 1941820 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1941906), // Rule ID 24439 //
     /* 1941825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1941836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1941839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1941842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1941845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941871 */     // MIs[0] policy
     /* 1941871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1941884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941905 */     // GIR_Coverage, 24439,
     /* 1941905 */     GIR_EraseRootFromParent_Done,
     /* 1941906 */   // Label 26052: @1941906
     /* 1941906 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1941992), // Rule ID 24440 //
     /* 1941911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1941922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1941925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1941928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1941931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941957 */     // MIs[0] policy
     /* 1941957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1941970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941991 */     // GIR_Coverage, 24440,
     /* 1941991 */     GIR_EraseRootFromParent_Done,
     /* 1941992 */   // Label 26053: @1941992
     /* 1941992 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1942078), // Rule ID 24443 //
     /* 1941997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1942017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942043 */     // MIs[0] policy
     /* 1942043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942077 */     // GIR_Coverage, 24443,
     /* 1942077 */     GIR_EraseRootFromParent_Done,
     /* 1942078 */   // Label 26054: @1942078
     /* 1942078 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1942164), // Rule ID 24444 //
     /* 1942083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1942103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942129 */     // MIs[0] policy
     /* 1942129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942163 */     // GIR_Coverage, 24444,
     /* 1942163 */     GIR_EraseRootFromParent_Done,
     /* 1942164 */   // Label 26055: @1942164
     /* 1942164 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1942250), // Rule ID 24447 //
     /* 1942169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942215 */     // MIs[0] policy
     /* 1942215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942249 */     // GIR_Coverage, 24447,
     /* 1942249 */     GIR_EraseRootFromParent_Done,
     /* 1942250 */   // Label 26056: @1942250
     /* 1942250 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1942336), // Rule ID 24448 //
     /* 1942255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942301 */     // MIs[0] policy
     /* 1942301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942335 */     // GIR_Coverage, 24448,
     /* 1942335 */     GIR_EraseRootFromParent_Done,
     /* 1942336 */   // Label 26057: @1942336
     /* 1942336 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1942422), // Rule ID 24451 //
     /* 1942341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942387 */     // MIs[0] policy
     /* 1942387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942421 */     // GIR_Coverage, 24451,
     /* 1942421 */     GIR_EraseRootFromParent_Done,
     /* 1942422 */   // Label 26058: @1942422
     /* 1942422 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1942508), // Rule ID 24452 //
     /* 1942427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942473 */     // MIs[0] policy
     /* 1942473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942507 */     // GIR_Coverage, 24452,
     /* 1942507 */     GIR_EraseRootFromParent_Done,
     /* 1942508 */   // Label 26059: @1942508
     /* 1942508 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1942594), // Rule ID 24455 //
     /* 1942513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1942533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942559 */     // MIs[0] policy
     /* 1942559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1942572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942593 */     // GIR_Coverage, 24455,
     /* 1942593 */     GIR_EraseRootFromParent_Done,
     /* 1942594 */   // Label 26060: @1942594
     /* 1942594 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1942680), // Rule ID 24456 //
     /* 1942599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1942619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942645 */     // MIs[0] policy
     /* 1942645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1942658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942679 */     // GIR_Coverage, 24456,
     /* 1942679 */     GIR_EraseRootFromParent_Done,
     /* 1942680 */   // Label 26061: @1942680
     /* 1942680 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1942766), // Rule ID 24459 //
     /* 1942685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1942696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1942699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1942702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1942705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942731 */     // MIs[0] policy
     /* 1942731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942741 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1942744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942765 */     // GIR_Coverage, 24459,
     /* 1942765 */     GIR_EraseRootFromParent_Done,
     /* 1942766 */   // Label 26062: @1942766
     /* 1942766 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1942852), // Rule ID 24460 //
     /* 1942771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1942782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1942785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1942788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1942791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942817 */     // MIs[0] policy
     /* 1942817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1942830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942851 */     // GIR_Coverage, 24460,
     /* 1942851 */     GIR_EraseRootFromParent_Done,
     /* 1942852 */   // Label 26063: @1942852
     /* 1942852 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1942938), // Rule ID 24463 //
     /* 1942857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1942868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1942871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1942874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942903 */     // MIs[0] policy
     /* 1942903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942913 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1942916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942937 */     // GIR_Coverage, 24463,
     /* 1942937 */     GIR_EraseRootFromParent_Done,
     /* 1942938 */   // Label 26064: @1942938
     /* 1942938 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1943024), // Rule ID 24464 //
     /* 1942943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1942954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1942957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1942960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942989 */     // MIs[0] policy
     /* 1942989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942999 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1943002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943023 */     // GIR_Coverage, 24464,
     /* 1943023 */     GIR_EraseRootFromParent_Done,
     /* 1943024 */   // Label 26065: @1943024
     /* 1943024 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1943110), // Rule ID 24467 //
     /* 1943029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943075 */     // MIs[0] policy
     /* 1943075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943085 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943109 */     // GIR_Coverage, 24467,
     /* 1943109 */     GIR_EraseRootFromParent_Done,
     /* 1943110 */   // Label 26066: @1943110
     /* 1943110 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1943196), // Rule ID 24468 //
     /* 1943115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943161 */     // MIs[0] policy
     /* 1943161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943171 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943195 */     // GIR_Coverage, 24468,
     /* 1943195 */     GIR_EraseRootFromParent_Done,
     /* 1943196 */   // Label 26067: @1943196
     /* 1943196 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1943282), // Rule ID 24471 //
     /* 1943201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943247 */     // MIs[0] policy
     /* 1943247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943257 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943281 */     // GIR_Coverage, 24471,
     /* 1943281 */     GIR_EraseRootFromParent_Done,
     /* 1943282 */   // Label 26068: @1943282
     /* 1943282 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1943368), // Rule ID 24472 //
     /* 1943287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943333 */     // MIs[0] policy
     /* 1943333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943343 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943367 */     // GIR_Coverage, 24472,
     /* 1943367 */     GIR_EraseRootFromParent_Done,
     /* 1943368 */   // Label 26069: @1943368
     /* 1943368 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1943454), // Rule ID 24475 //
     /* 1943373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943419 */     // MIs[0] policy
     /* 1943419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943453 */     // GIR_Coverage, 24475,
     /* 1943453 */     GIR_EraseRootFromParent_Done,
     /* 1943454 */   // Label 26070: @1943454
     /* 1943454 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1943540), // Rule ID 24476 //
     /* 1943459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943505 */     // MIs[0] policy
     /* 1943505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943515 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943539 */     // GIR_Coverage, 24476,
     /* 1943539 */     GIR_EraseRootFromParent_Done,
     /* 1943540 */   // Label 26071: @1943540
     /* 1943540 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1943626), // Rule ID 24479 //
     /* 1943545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943591 */     // MIs[0] policy
     /* 1943591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943601 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943625 */     // GIR_Coverage, 24479,
     /* 1943625 */     GIR_EraseRootFromParent_Done,
     /* 1943626 */   // Label 26072: @1943626
     /* 1943626 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1943712), // Rule ID 24480 //
     /* 1943631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943677 */     // MIs[0] policy
     /* 1943677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943687 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943711 */     // GIR_Coverage, 24480,
     /* 1943711 */     GIR_EraseRootFromParent_Done,
     /* 1943712 */   // Label 26073: @1943712
     /* 1943712 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1943798), // Rule ID 24483 //
     /* 1943717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943763 */     // MIs[0] policy
     /* 1943763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943773 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943797 */     // GIR_Coverage, 24483,
     /* 1943797 */     GIR_EraseRootFromParent_Done,
     /* 1943798 */   // Label 26074: @1943798
     /* 1943798 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1943884), // Rule ID 24484 //
     /* 1943803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943849 */     // MIs[0] policy
     /* 1943849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943883 */     // GIR_Coverage, 24484,
     /* 1943883 */     GIR_EraseRootFromParent_Done,
     /* 1943884 */   // Label 26075: @1943884
     /* 1943884 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1943970), // Rule ID 24487 //
     /* 1943889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1943900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1943903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1943906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943935 */     // MIs[0] policy
     /* 1943935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943945 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1943948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943969 */     // GIR_Coverage, 24487,
     /* 1943969 */     GIR_EraseRootFromParent_Done,
     /* 1943970 */   // Label 26076: @1943970
     /* 1943970 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1944056), // Rule ID 24488 //
     /* 1943975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1943986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1943989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1943992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944021 */     // MIs[0] policy
     /* 1944021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944031 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944055 */     // GIR_Coverage, 24488,
     /* 1944055 */     GIR_EraseRootFromParent_Done,
     /* 1944056 */   // Label 26077: @1944056
     /* 1944056 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1944142), // Rule ID 24491 //
     /* 1944061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944107 */     // MIs[0] policy
     /* 1944107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944141 */     // GIR_Coverage, 24491,
     /* 1944141 */     GIR_EraseRootFromParent_Done,
     /* 1944142 */   // Label 26078: @1944142
     /* 1944142 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1944228), // Rule ID 24492 //
     /* 1944147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944193 */     // MIs[0] policy
     /* 1944193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944227 */     // GIR_Coverage, 24492,
     /* 1944227 */     GIR_EraseRootFromParent_Done,
     /* 1944228 */   // Label 26079: @1944228
     /* 1944228 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1944314), // Rule ID 24495 //
     /* 1944233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944279 */     // MIs[0] policy
     /* 1944279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944313 */     // GIR_Coverage, 24495,
     /* 1944313 */     GIR_EraseRootFromParent_Done,
     /* 1944314 */   // Label 26080: @1944314
     /* 1944314 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1944400), // Rule ID 24496 //
     /* 1944319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944365 */     // MIs[0] policy
     /* 1944365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944375 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944399 */     // GIR_Coverage, 24496,
     /* 1944399 */     GIR_EraseRootFromParent_Done,
     /* 1944400 */   // Label 26081: @1944400
     /* 1944400 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1944486), // Rule ID 24499 //
     /* 1944405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944451 */     // MIs[0] policy
     /* 1944451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944485 */     // GIR_Coverage, 24499,
     /* 1944485 */     GIR_EraseRootFromParent_Done,
     /* 1944486 */   // Label 26082: @1944486
     /* 1944486 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1944572), // Rule ID 24500 //
     /* 1944491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944537 */     // MIs[0] policy
     /* 1944537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944571 */     // GIR_Coverage, 24500,
     /* 1944571 */     GIR_EraseRootFromParent_Done,
     /* 1944572 */   // Label 26083: @1944572
     /* 1944572 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1944658), // Rule ID 24503 //
     /* 1944577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1944588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1944591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1944594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944623 */     // MIs[0] policy
     /* 1944623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1944636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944657 */     // GIR_Coverage, 24503,
     /* 1944657 */     GIR_EraseRootFromParent_Done,
     /* 1944658 */   // Label 26084: @1944658
     /* 1944658 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1944744), // Rule ID 24504 //
     /* 1944663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1944674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1944677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1944680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944709 */     // MIs[0] policy
     /* 1944709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944719 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1944722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944743 */     // GIR_Coverage, 24504,
     /* 1944743 */     GIR_EraseRootFromParent_Done,
     /* 1944744 */   // Label 26085: @1944744
     /* 1944744 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1944830), // Rule ID 24507 //
     /* 1944749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1944760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1944763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1944766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944795 */     // MIs[0] policy
     /* 1944795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944805 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944829 */     // GIR_Coverage, 24507,
     /* 1944829 */     GIR_EraseRootFromParent_Done,
     /* 1944830 */   // Label 26086: @1944830
     /* 1944830 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1944916), // Rule ID 24508 //
     /* 1944835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1944846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1944849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1944852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944881 */     // MIs[0] policy
     /* 1944881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944891 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944915 */     // GIR_Coverage, 24508,
     /* 1944915 */     GIR_EraseRootFromParent_Done,
     /* 1944916 */   // Label 26087: @1944916
     /* 1944916 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1945002), // Rule ID 24511 //
     /* 1944921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1944932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1944935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1944938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1944944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944967 */     // MIs[0] policy
     /* 1944967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1944980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945001 */     // GIR_Coverage, 24511,
     /* 1945001 */     GIR_EraseRootFromParent_Done,
     /* 1945002 */   // Label 26088: @1945002
     /* 1945002 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1945088), // Rule ID 24512 //
     /* 1945007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1945018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1945021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1945024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1945030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945053 */     // MIs[0] policy
     /* 1945053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945063 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945087 */     // GIR_Coverage, 24512,
     /* 1945087 */     GIR_EraseRootFromParent_Done,
     /* 1945088 */   // Label 26089: @1945088
     /* 1945088 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1945174), // Rule ID 24515 //
     /* 1945093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945139 */     // MIs[0] policy
     /* 1945139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945173 */     // GIR_Coverage, 24515,
     /* 1945173 */     GIR_EraseRootFromParent_Done,
     /* 1945174 */   // Label 26090: @1945174
     /* 1945174 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1945260), // Rule ID 24516 //
     /* 1945179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945225 */     // MIs[0] policy
     /* 1945225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945259 */     // GIR_Coverage, 24516,
     /* 1945259 */     GIR_EraseRootFromParent_Done,
     /* 1945260 */   // Label 26091: @1945260
     /* 1945260 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1945346), // Rule ID 24519 //
     /* 1945265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945311 */     // MIs[0] policy
     /* 1945311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945345 */     // GIR_Coverage, 24519,
     /* 1945345 */     GIR_EraseRootFromParent_Done,
     /* 1945346 */   // Label 26092: @1945346
     /* 1945346 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1945432), // Rule ID 24520 //
     /* 1945351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945397 */     // MIs[0] policy
     /* 1945397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945407 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945431 */     // GIR_Coverage, 24520,
     /* 1945431 */     GIR_EraseRootFromParent_Done,
     /* 1945432 */   // Label 26093: @1945432
     /* 1945432 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1945518), // Rule ID 24523 //
     /* 1945437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945483 */     // MIs[0] policy
     /* 1945483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945517 */     // GIR_Coverage, 24523,
     /* 1945517 */     GIR_EraseRootFromParent_Done,
     /* 1945518 */   // Label 26094: @1945518
     /* 1945518 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1945604), // Rule ID 24524 //
     /* 1945523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945569 */     // MIs[0] policy
     /* 1945569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945579 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945603 */     // GIR_Coverage, 24524,
     /* 1945603 */     GIR_EraseRootFromParent_Done,
     /* 1945604 */   // Label 26095: @1945604
     /* 1945604 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1945690), // Rule ID 24527 //
     /* 1945609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1945620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1945623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1945626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945655 */     // MIs[0] policy
     /* 1945655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945689 */     // GIR_Coverage, 24527,
     /* 1945689 */     GIR_EraseRootFromParent_Done,
     /* 1945690 */   // Label 26096: @1945690
     /* 1945690 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1945776), // Rule ID 24528 //
     /* 1945695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1945706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1945709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1945712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945741 */     // MIs[0] policy
     /* 1945741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945775 */     // GIR_Coverage, 24528,
     /* 1945775 */     GIR_EraseRootFromParent_Done,
     /* 1945776 */   // Label 26097: @1945776
     /* 1945776 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1945862), // Rule ID 24531 //
     /* 1945781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1945792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945827 */     // MIs[0] policy
     /* 1945827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945861 */     // GIR_Coverage, 24531,
     /* 1945861 */     GIR_EraseRootFromParent_Done,
     /* 1945862 */   // Label 26098: @1945862
     /* 1945862 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1945948), // Rule ID 24532 //
     /* 1945867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1945878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945913 */     // MIs[0] policy
     /* 1945913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945947 */     // GIR_Coverage, 24532,
     /* 1945947 */     GIR_EraseRootFromParent_Done,
     /* 1945948 */   // Label 26099: @1945948
     /* 1945948 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1946034), // Rule ID 24535 //
     /* 1945953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945999 */     // MIs[0] policy
     /* 1945999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946033 */     // GIR_Coverage, 24535,
     /* 1946033 */     GIR_EraseRootFromParent_Done,
     /* 1946034 */   // Label 26100: @1946034
     /* 1946034 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1946120), // Rule ID 24536 //
     /* 1946039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946085 */     // MIs[0] policy
     /* 1946085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946095 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946119 */     // GIR_Coverage, 24536,
     /* 1946119 */     GIR_EraseRootFromParent_Done,
     /* 1946120 */   // Label 26101: @1946120
     /* 1946120 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1946206), // Rule ID 24539 //
     /* 1946125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946171 */     // MIs[0] policy
     /* 1946171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946205 */     // GIR_Coverage, 24539,
     /* 1946205 */     GIR_EraseRootFromParent_Done,
     /* 1946206 */   // Label 26102: @1946206
     /* 1946206 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1946292), // Rule ID 24540 //
     /* 1946211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946257 */     // MIs[0] policy
     /* 1946257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946291 */     // GIR_Coverage, 24540,
     /* 1946291 */     GIR_EraseRootFromParent_Done,
     /* 1946292 */   // Label 26103: @1946292
     /* 1946292 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1946378), // Rule ID 24543 //
     /* 1946297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946343 */     // MIs[0] policy
     /* 1946343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946377 */     // GIR_Coverage, 24543,
     /* 1946377 */     GIR_EraseRootFromParent_Done,
     /* 1946378 */   // Label 26104: @1946378
     /* 1946378 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1946464), // Rule ID 24544 //
     /* 1946383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946429 */     // MIs[0] policy
     /* 1946429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946463 */     // GIR_Coverage, 24544,
     /* 1946463 */     GIR_EraseRootFromParent_Done,
     /* 1946464 */   // Label 26105: @1946464
     /* 1946464 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1946550), // Rule ID 24547 //
     /* 1946469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946515 */     // MIs[0] policy
     /* 1946515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946525 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946549 */     // GIR_Coverage, 24547,
     /* 1946549 */     GIR_EraseRootFromParent_Done,
     /* 1946550 */   // Label 26106: @1946550
     /* 1946550 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1946636), // Rule ID 24548 //
     /* 1946555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946601 */     // MIs[0] policy
     /* 1946601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946611 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946635 */     // GIR_Coverage, 24548,
     /* 1946635 */     GIR_EraseRootFromParent_Done,
     /* 1946636 */   // Label 26107: @1946636
     /* 1946636 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1946722), // Rule ID 24639 //
     /* 1946641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1946652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1946655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1946658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946687 */     // MIs[0] policy
     /* 1946687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1946700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946721 */     // GIR_Coverage, 24639,
     /* 1946721 */     GIR_EraseRootFromParent_Done,
     /* 1946722 */   // Label 26108: @1946722
     /* 1946722 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1946808), // Rule ID 24640 //
     /* 1946727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1946738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1946741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1946744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946773 */     // MIs[0] policy
     /* 1946773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946783 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1946786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946807 */     // GIR_Coverage, 24640,
     /* 1946807 */     GIR_EraseRootFromParent_Done,
     /* 1946808 */   // Label 26109: @1946808
     /* 1946808 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1946894), // Rule ID 24643 //
     /* 1946813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1946824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1946827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1946830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946859 */     // MIs[0] policy
     /* 1946859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946869 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1946872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946893 */     // GIR_Coverage, 24643,
     /* 1946893 */     GIR_EraseRootFromParent_Done,
     /* 1946894 */   // Label 26110: @1946894
     /* 1946894 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1946980), // Rule ID 24644 //
     /* 1946899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1946910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1946913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1946916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946945 */     // MIs[0] policy
     /* 1946945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946955 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1946958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946979 */     // GIR_Coverage, 24644,
     /* 1946979 */     GIR_EraseRootFromParent_Done,
     /* 1946980 */   // Label 26111: @1946980
     /* 1946980 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1947066), // Rule ID 24647 //
     /* 1946985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1946996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1946999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947031 */     // MIs[0] policy
     /* 1947031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947041 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1947044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947065 */     // GIR_Coverage, 24647,
     /* 1947065 */     GIR_EraseRootFromParent_Done,
     /* 1947066 */   // Label 26112: @1947066
     /* 1947066 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1947152), // Rule ID 24648 //
     /* 1947071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947117 */     // MIs[0] policy
     /* 1947117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947127 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1947130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947151 */     // GIR_Coverage, 24648,
     /* 1947151 */     GIR_EraseRootFromParent_Done,
     /* 1947152 */   // Label 26113: @1947152
     /* 1947152 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1947238), // Rule ID 24651 //
     /* 1947157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947203 */     // MIs[0] policy
     /* 1947203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947213 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947237 */     // GIR_Coverage, 24651,
     /* 1947237 */     GIR_EraseRootFromParent_Done,
     /* 1947238 */   // Label 26114: @1947238
     /* 1947238 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1947324), // Rule ID 24652 //
     /* 1947243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947289 */     // MIs[0] policy
     /* 1947289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947323 */     // GIR_Coverage, 24652,
     /* 1947323 */     GIR_EraseRootFromParent_Done,
     /* 1947324 */   // Label 26115: @1947324
     /* 1947324 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1947410), // Rule ID 24655 //
     /* 1947329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947375 */     // MIs[0] policy
     /* 1947375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947409 */     // GIR_Coverage, 24655,
     /* 1947409 */     GIR_EraseRootFromParent_Done,
     /* 1947410 */   // Label 26116: @1947410
     /* 1947410 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1947496), // Rule ID 24656 //
     /* 1947415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947461 */     // MIs[0] policy
     /* 1947461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947495 */     // GIR_Coverage, 24656,
     /* 1947495 */     GIR_EraseRootFromParent_Done,
     /* 1947496 */   // Label 26117: @1947496
     /* 1947496 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1947582), // Rule ID 24659 //
     /* 1947501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947547 */     // MIs[0] policy
     /* 1947547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947557 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1947560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947581 */     // GIR_Coverage, 24659,
     /* 1947581 */     GIR_EraseRootFromParent_Done,
     /* 1947582 */   // Label 26118: @1947582
     /* 1947582 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1947668), // Rule ID 24660 //
     /* 1947587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947633 */     // MIs[0] policy
     /* 1947633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1947646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947667 */     // GIR_Coverage, 24660,
     /* 1947667 */     GIR_EraseRootFromParent_Done,
     /* 1947668 */   // Label 26119: @1947668
     /* 1947668 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1947754), // Rule ID 24663 //
     /* 1947673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1947684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1947687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1947690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947719 */     // MIs[0] policy
     /* 1947719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947729 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1947732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947753 */     // GIR_Coverage, 24663,
     /* 1947753 */     GIR_EraseRootFromParent_Done,
     /* 1947754 */   // Label 26120: @1947754
     /* 1947754 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1947840), // Rule ID 24664 //
     /* 1947759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1947770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1947773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1947776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947805 */     // MIs[0] policy
     /* 1947805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1947818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947839 */     // GIR_Coverage, 24664,
     /* 1947839 */     GIR_EraseRootFromParent_Done,
     /* 1947840 */   // Label 26121: @1947840
     /* 1947840 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1947926), // Rule ID 24667 //
     /* 1947845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947891 */     // MIs[0] policy
     /* 1947891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1947904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947925 */     // GIR_Coverage, 24667,
     /* 1947925 */     GIR_EraseRootFromParent_Done,
     /* 1947926 */   // Label 26122: @1947926
     /* 1947926 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1948012), // Rule ID 24668 //
     /* 1947931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947977 */     // MIs[0] policy
     /* 1947977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947987 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1947990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948011 */     // GIR_Coverage, 24668,
     /* 1948011 */     GIR_EraseRootFromParent_Done,
     /* 1948012 */   // Label 26123: @1948012
     /* 1948012 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1948098), // Rule ID 24671 //
     /* 1948017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948063 */     // MIs[0] policy
     /* 1948063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948097 */     // GIR_Coverage, 24671,
     /* 1948097 */     GIR_EraseRootFromParent_Done,
     /* 1948098 */   // Label 26124: @1948098
     /* 1948098 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1948184), // Rule ID 24672 //
     /* 1948103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948149 */     // MIs[0] policy
     /* 1948149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948183 */     // GIR_Coverage, 24672,
     /* 1948183 */     GIR_EraseRootFromParent_Done,
     /* 1948184 */   // Label 26125: @1948184
     /* 1948184 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1948270), // Rule ID 24675 //
     /* 1948189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1948192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948235 */     // MIs[0] policy
     /* 1948235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948245 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948269 */     // GIR_Coverage, 24675,
     /* 1948269 */     GIR_EraseRootFromParent_Done,
     /* 1948270 */   // Label 26126: @1948270
     /* 1948270 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1948356), // Rule ID 24676 //
     /* 1948275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1948278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948321 */     // MIs[0] policy
     /* 1948321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948355 */     // GIR_Coverage, 24676,
     /* 1948355 */     GIR_EraseRootFromParent_Done,
     /* 1948356 */   // Label 26127: @1948356
     /* 1948356 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1948442), // Rule ID 24679 //
     /* 1948361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948407 */     // MIs[0] policy
     /* 1948407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948417 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948441 */     // GIR_Coverage, 24679,
     /* 1948441 */     GIR_EraseRootFromParent_Done,
     /* 1948442 */   // Label 26128: @1948442
     /* 1948442 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1948528), // Rule ID 24680 //
     /* 1948447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948493 */     // MIs[0] policy
     /* 1948493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948503 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948527 */     // GIR_Coverage, 24680,
     /* 1948527 */     GIR_EraseRootFromParent_Done,
     /* 1948528 */   // Label 26129: @1948528
     /* 1948528 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1948614), // Rule ID 24683 //
     /* 1948533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948579 */     // MIs[0] policy
     /* 1948579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948589 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1948592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948613 */     // GIR_Coverage, 24683,
     /* 1948613 */     GIR_EraseRootFromParent_Done,
     /* 1948614 */   // Label 26130: @1948614
     /* 1948614 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1948700), // Rule ID 24684 //
     /* 1948619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948665 */     // MIs[0] policy
     /* 1948665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1948678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948699 */     // GIR_Coverage, 24684,
     /* 1948699 */     GIR_EraseRootFromParent_Done,
     /* 1948700 */   // Label 26131: @1948700
     /* 1948700 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1948786), // Rule ID 24687 //
     /* 1948705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948751 */     // MIs[0] policy
     /* 1948751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1948764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948785 */     // GIR_Coverage, 24687,
     /* 1948785 */     GIR_EraseRootFromParent_Done,
     /* 1948786 */   // Label 26132: @1948786
     /* 1948786 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1948872), // Rule ID 24688 //
     /* 1948791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948837 */     // MIs[0] policy
     /* 1948837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1948850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948871 */     // GIR_Coverage, 24688,
     /* 1948871 */     GIR_EraseRootFromParent_Done,
     /* 1948872 */   // Label 26133: @1948872
     /* 1948872 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1948958), // Rule ID 24691 //
     /* 1948877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948923 */     // MIs[0] policy
     /* 1948923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948933 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1948936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948957 */     // GIR_Coverage, 24691,
     /* 1948957 */     GIR_EraseRootFromParent_Done,
     /* 1948958 */   // Label 26134: @1948958
     /* 1948958 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1949044), // Rule ID 24692 //
     /* 1948963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949009 */     // MIs[0] policy
     /* 1949009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1949022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949043 */     // GIR_Coverage, 24692,
     /* 1949043 */     GIR_EraseRootFromParent_Done,
     /* 1949044 */   // Label 26135: @1949044
     /* 1949044 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1949130), // Rule ID 24695 //
     /* 1949049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949095 */     // MIs[0] policy
     /* 1949095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949129 */     // GIR_Coverage, 24695,
     /* 1949129 */     GIR_EraseRootFromParent_Done,
     /* 1949130 */   // Label 26136: @1949130
     /* 1949130 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1949216), // Rule ID 24696 //
     /* 1949135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949181 */     // MIs[0] policy
     /* 1949181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949215 */     // GIR_Coverage, 24696,
     /* 1949215 */     GIR_EraseRootFromParent_Done,
     /* 1949216 */   // Label 26137: @1949216
     /* 1949216 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1949302), // Rule ID 24699 //
     /* 1949221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949267 */     // MIs[0] policy
     /* 1949267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949301 */     // GIR_Coverage, 24699,
     /* 1949301 */     GIR_EraseRootFromParent_Done,
     /* 1949302 */   // Label 26138: @1949302
     /* 1949302 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1949388), // Rule ID 24700 //
     /* 1949307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949353 */     // MIs[0] policy
     /* 1949353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949387 */     // GIR_Coverage, 24700,
     /* 1949387 */     GIR_EraseRootFromParent_Done,
     /* 1949388 */   // Label 26139: @1949388
     /* 1949388 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1949474), // Rule ID 24703 //
     /* 1949393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949439 */     // MIs[0] policy
     /* 1949439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949473 */     // GIR_Coverage, 24703,
     /* 1949473 */     GIR_EraseRootFromParent_Done,
     /* 1949474 */   // Label 26140: @1949474
     /* 1949474 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1949560), // Rule ID 24704 //
     /* 1949479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949525 */     // MIs[0] policy
     /* 1949525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949559 */     // GIR_Coverage, 24704,
     /* 1949559 */     GIR_EraseRootFromParent_Done,
     /* 1949560 */   // Label 26141: @1949560
     /* 1949560 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1949646), // Rule ID 24707 //
     /* 1949565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949611 */     // MIs[0] policy
     /* 1949611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1949624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949645 */     // GIR_Coverage, 24707,
     /* 1949645 */     GIR_EraseRootFromParent_Done,
     /* 1949646 */   // Label 26142: @1949646
     /* 1949646 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1949732), // Rule ID 24708 //
     /* 1949651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949697 */     // MIs[0] policy
     /* 1949697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1949710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949731 */     // GIR_Coverage, 24708,
     /* 1949731 */     GIR_EraseRootFromParent_Done,
     /* 1949732 */   // Label 26143: @1949732
     /* 1949732 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1949818), // Rule ID 24711 //
     /* 1949737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1949740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949783 */     // MIs[0] policy
     /* 1949783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1949796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949817 */     // GIR_Coverage, 24711,
     /* 1949817 */     GIR_EraseRootFromParent_Done,
     /* 1949818 */   // Label 26144: @1949818
     /* 1949818 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1949904), // Rule ID 24712 //
     /* 1949823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1949826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949869 */     // MIs[0] policy
     /* 1949869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1949882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949903 */     // GIR_Coverage, 24712,
     /* 1949903 */     GIR_EraseRootFromParent_Done,
     /* 1949904 */   // Label 26145: @1949904
     /* 1949904 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1949990), // Rule ID 24715 //
     /* 1949909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1949912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1949920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1949923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1949926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949955 */     // MIs[0] policy
     /* 1949955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949965 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1949968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949989 */     // GIR_Coverage, 24715,
     /* 1949989 */     GIR_EraseRootFromParent_Done,
     /* 1949990 */   // Label 26146: @1949990
     /* 1949990 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1950076), // Rule ID 24716 //
     /* 1949995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1949998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950041 */     // MIs[0] policy
     /* 1950041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1950054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950075 */     // GIR_Coverage, 24716,
     /* 1950075 */     GIR_EraseRootFromParent_Done,
     /* 1950076 */   // Label 26147: @1950076
     /* 1950076 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1950162), // Rule ID 24719 //
     /* 1950081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950127 */     // MIs[0] policy
     /* 1950127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950161 */     // GIR_Coverage, 24719,
     /* 1950161 */     GIR_EraseRootFromParent_Done,
     /* 1950162 */   // Label 26148: @1950162
     /* 1950162 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1950248), // Rule ID 24720 //
     /* 1950167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950213 */     // MIs[0] policy
     /* 1950213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950223 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950247 */     // GIR_Coverage, 24720,
     /* 1950247 */     GIR_EraseRootFromParent_Done,
     /* 1950248 */   // Label 26149: @1950248
     /* 1950248 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1950334), // Rule ID 24723 //
     /* 1950253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950299 */     // MIs[0] policy
     /* 1950299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950309 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950333 */     // GIR_Coverage, 24723,
     /* 1950333 */     GIR_EraseRootFromParent_Done,
     /* 1950334 */   // Label 26150: @1950334
     /* 1950334 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1950420), // Rule ID 24724 //
     /* 1950339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950385 */     // MIs[0] policy
     /* 1950385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950395 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950419 */     // GIR_Coverage, 24724,
     /* 1950419 */     GIR_EraseRootFromParent_Done,
     /* 1950420 */   // Label 26151: @1950420
     /* 1950420 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1950506), // Rule ID 24727 //
     /* 1950425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950471 */     // MIs[0] policy
     /* 1950471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950481 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950505 */     // GIR_Coverage, 24727,
     /* 1950505 */     GIR_EraseRootFromParent_Done,
     /* 1950506 */   // Label 26152: @1950506
     /* 1950506 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1950592), // Rule ID 24728 //
     /* 1950511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950557 */     // MIs[0] policy
     /* 1950557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950567 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950591 */     // GIR_Coverage, 24728,
     /* 1950591 */     GIR_EraseRootFromParent_Done,
     /* 1950592 */   // Label 26153: @1950592
     /* 1950592 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1950678), // Rule ID 24731 //
     /* 1950597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1950617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950643 */     // MIs[0] policy
     /* 1950643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950653 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1950656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950677 */     // GIR_Coverage, 24731,
     /* 1950677 */     GIR_EraseRootFromParent_Done,
     /* 1950678 */   // Label 26154: @1950678
     /* 1950678 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1950764), // Rule ID 24732 //
     /* 1950683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1950703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950729 */     // MIs[0] policy
     /* 1950729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950739 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1950742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950763 */     // GIR_Coverage, 24732,
     /* 1950763 */     GIR_EraseRootFromParent_Done,
     /* 1950764 */   // Label 26155: @1950764
     /* 1950764 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1950850), // Rule ID 24735 //
     /* 1950769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1950780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1950783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1950786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1950789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950815 */     // MIs[0] policy
     /* 1950815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950825 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1950828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950849 */     // GIR_Coverage, 24735,
     /* 1950849 */     GIR_EraseRootFromParent_Done,
     /* 1950850 */   // Label 26156: @1950850
     /* 1950850 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1950936), // Rule ID 24736 //
     /* 1950855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1950866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1950869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1950872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1950875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950901 */     // MIs[0] policy
     /* 1950901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950911 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1950914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950935 */     // GIR_Coverage, 24736,
     /* 1950935 */     GIR_EraseRootFromParent_Done,
     /* 1950936 */   // Label 26157: @1950936
     /* 1950936 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1951022), // Rule ID 24739 //
     /* 1950941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1950952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1950955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1950958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1950961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950987 */     // MIs[0] policy
     /* 1950987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950997 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1951000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951021 */     // GIR_Coverage, 24739,
     /* 1951021 */     GIR_EraseRootFromParent_Done,
     /* 1951022 */   // Label 26158: @1951022
     /* 1951022 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1951108), // Rule ID 24740 //
     /* 1951027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1951047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951073 */     // MIs[0] policy
     /* 1951073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951083 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1951086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951107 */     // GIR_Coverage, 24740,
     /* 1951107 */     GIR_EraseRootFromParent_Done,
     /* 1951108 */   // Label 26159: @1951108
     /* 1951108 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1951194), // Rule ID 24743 //
     /* 1951113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951159 */     // MIs[0] policy
     /* 1951159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951169 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951193 */     // GIR_Coverage, 24743,
     /* 1951193 */     GIR_EraseRootFromParent_Done,
     /* 1951194 */   // Label 26160: @1951194
     /* 1951194 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1951280), // Rule ID 24744 //
     /* 1951199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951245 */     // MIs[0] policy
     /* 1951245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951255 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951279 */     // GIR_Coverage, 24744,
     /* 1951279 */     GIR_EraseRootFromParent_Done,
     /* 1951280 */   // Label 26161: @1951280
     /* 1951280 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1951366), // Rule ID 24747 //
     /* 1951285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951331 */     // MIs[0] policy
     /* 1951331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951341 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951365 */     // GIR_Coverage, 24747,
     /* 1951365 */     GIR_EraseRootFromParent_Done,
     /* 1951366 */   // Label 26162: @1951366
     /* 1951366 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1951452), // Rule ID 24748 //
     /* 1951371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951417 */     // MIs[0] policy
     /* 1951417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951427 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951451 */     // GIR_Coverage, 24748,
     /* 1951451 */     GIR_EraseRootFromParent_Done,
     /* 1951452 */   // Label 26163: @1951452
     /* 1951452 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1951538), // Rule ID 24751 //
     /* 1951457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951503 */     // MIs[0] policy
     /* 1951503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951513 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951537 */     // GIR_Coverage, 24751,
     /* 1951537 */     GIR_EraseRootFromParent_Done,
     /* 1951538 */   // Label 26164: @1951538
     /* 1951538 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1951624), // Rule ID 24752 //
     /* 1951543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951589 */     // MIs[0] policy
     /* 1951589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951599 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951623 */     // GIR_Coverage, 24752,
     /* 1951623 */     GIR_EraseRootFromParent_Done,
     /* 1951624 */   // Label 26165: @1951624
     /* 1951624 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1951710), // Rule ID 24755 //
     /* 1951629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1951649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951675 */     // MIs[0] policy
     /* 1951675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951685 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1951688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951709 */     // GIR_Coverage, 24755,
     /* 1951709 */     GIR_EraseRootFromParent_Done,
     /* 1951710 */   // Label 26166: @1951710
     /* 1951710 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1951796), // Rule ID 24756 //
     /* 1951715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1951735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951761 */     // MIs[0] policy
     /* 1951761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951771 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1951774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951795 */     // GIR_Coverage, 24756,
     /* 1951795 */     GIR_EraseRootFromParent_Done,
     /* 1951796 */   // Label 26167: @1951796
     /* 1951796 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1951882), // Rule ID 24759 //
     /* 1951801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951847 */     // MIs[0] policy
     /* 1951847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951857 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1951860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951881 */     // GIR_Coverage, 24759,
     /* 1951881 */     GIR_EraseRootFromParent_Done,
     /* 1951882 */   // Label 26168: @1951882
     /* 1951882 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1951968), // Rule ID 24760 //
     /* 1951887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951933 */     // MIs[0] policy
     /* 1951933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951943 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1951946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951967 */     // GIR_Coverage, 24760,
     /* 1951967 */     GIR_EraseRootFromParent_Done,
     /* 1951968 */   // Label 26169: @1951968
     /* 1951968 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1952054), // Rule ID 24763 //
     /* 1951973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952019 */     // MIs[0] policy
     /* 1952019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952029 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952053 */     // GIR_Coverage, 24763,
     /* 1952053 */     GIR_EraseRootFromParent_Done,
     /* 1952054 */   // Label 26170: @1952054
     /* 1952054 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1952140), // Rule ID 24764 //
     /* 1952059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952105 */     // MIs[0] policy
     /* 1952105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952115 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952139 */     // GIR_Coverage, 24764,
     /* 1952139 */     GIR_EraseRootFromParent_Done,
     /* 1952140 */   // Label 26171: @1952140
     /* 1952140 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1952226), // Rule ID 24767 //
     /* 1952145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952191 */     // MIs[0] policy
     /* 1952191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952201 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952225 */     // GIR_Coverage, 24767,
     /* 1952225 */     GIR_EraseRootFromParent_Done,
     /* 1952226 */   // Label 26172: @1952226
     /* 1952226 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1952312), // Rule ID 24768 //
     /* 1952231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952277 */     // MIs[0] policy
     /* 1952277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952287 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952311 */     // GIR_Coverage, 24768,
     /* 1952311 */     GIR_EraseRootFromParent_Done,
     /* 1952312 */   // Label 26173: @1952312
     /* 1952312 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1952398), // Rule ID 24771 //
     /* 1952317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952363 */     // MIs[0] policy
     /* 1952363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952373 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952397 */     // GIR_Coverage, 24771,
     /* 1952397 */     GIR_EraseRootFromParent_Done,
     /* 1952398 */   // Label 26174: @1952398
     /* 1952398 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1952484), // Rule ID 24772 //
     /* 1952403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952449 */     // MIs[0] policy
     /* 1952449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952483 */     // GIR_Coverage, 24772,
     /* 1952483 */     GIR_EraseRootFromParent_Done,
     /* 1952484 */   // Label 26175: @1952484
     /* 1952484 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1952570), // Rule ID 24775 //
     /* 1952489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952535 */     // MIs[0] policy
     /* 1952535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952545 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952569 */     // GIR_Coverage, 24775,
     /* 1952569 */     GIR_EraseRootFromParent_Done,
     /* 1952570 */   // Label 26176: @1952570
     /* 1952570 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1952656), // Rule ID 24776 //
     /* 1952575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952621 */     // MIs[0] policy
     /* 1952621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952631 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952655 */     // GIR_Coverage, 24776,
     /* 1952655 */     GIR_EraseRootFromParent_Done,
     /* 1952656 */   // Label 26177: @1952656
     /* 1952656 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1952742), // Rule ID 24779 //
     /* 1952661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952707 */     // MIs[0] policy
     /* 1952707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952717 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952741 */     // GIR_Coverage, 24779,
     /* 1952741 */     GIR_EraseRootFromParent_Done,
     /* 1952742 */   // Label 26178: @1952742
     /* 1952742 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1952828), // Rule ID 24780 //
     /* 1952747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952793 */     // MIs[0] policy
     /* 1952793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952803 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952827 */     // GIR_Coverage, 24780,
     /* 1952827 */     GIR_EraseRootFromParent_Done,
     /* 1952828 */   // Label 26179: @1952828
     /* 1952828 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1952914), // Rule ID 24783 //
     /* 1952833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952879 */     // MIs[0] policy
     /* 1952879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952889 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952913 */     // GIR_Coverage, 24783,
     /* 1952913 */     GIR_EraseRootFromParent_Done,
     /* 1952914 */   // Label 26180: @1952914
     /* 1952914 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1953000), // Rule ID 24784 //
     /* 1952919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952965 */     // MIs[0] policy
     /* 1952965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952975 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952999 */     // GIR_Coverage, 24784,
     /* 1952999 */     GIR_EraseRootFromParent_Done,
     /* 1953000 */   // Label 26181: @1953000
     /* 1953000 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1953086), // Rule ID 24787 //
     /* 1953005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953051 */     // MIs[0] policy
     /* 1953051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953061 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953085 */     // GIR_Coverage, 24787,
     /* 1953085 */     GIR_EraseRootFromParent_Done,
     /* 1953086 */   // Label 26182: @1953086
     /* 1953086 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1953172), // Rule ID 24788 //
     /* 1953091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953137 */     // MIs[0] policy
     /* 1953137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953147 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953171 */     // GIR_Coverage, 24788,
     /* 1953171 */     GIR_EraseRootFromParent_Done,
     /* 1953172 */   // Label 26183: @1953172
     /* 1953172 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1953258), // Rule ID 24791 //
     /* 1953177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953223 */     // MIs[0] policy
     /* 1953223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953233 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953257 */     // GIR_Coverage, 24791,
     /* 1953257 */     GIR_EraseRootFromParent_Done,
     /* 1953258 */   // Label 26184: @1953258
     /* 1953258 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1953344), // Rule ID 24792 //
     /* 1953263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953309 */     // MIs[0] policy
     /* 1953309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953319 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953343 */     // GIR_Coverage, 24792,
     /* 1953343 */     GIR_EraseRootFromParent_Done,
     /* 1953344 */   // Label 26185: @1953344
     /* 1953344 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1953430), // Rule ID 24831 //
     /* 1953349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953395 */     // MIs[0] policy
     /* 1953395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953405 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953429 */     // GIR_Coverage, 24831,
     /* 1953429 */     GIR_EraseRootFromParent_Done,
     /* 1953430 */   // Label 26186: @1953430
     /* 1953430 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1953516), // Rule ID 24832 //
     /* 1953435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953481 */     // MIs[0] policy
     /* 1953481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953491 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953515 */     // GIR_Coverage, 24832,
     /* 1953515 */     GIR_EraseRootFromParent_Done,
     /* 1953516 */   // Label 26187: @1953516
     /* 1953516 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1953602), // Rule ID 24835 //
     /* 1953521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953567 */     // MIs[0] policy
     /* 1953567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953577 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1953580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953601 */     // GIR_Coverage, 24835,
     /* 1953601 */     GIR_EraseRootFromParent_Done,
     /* 1953602 */   // Label 26188: @1953602
     /* 1953602 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1953688), // Rule ID 24836 //
     /* 1953607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953653 */     // MIs[0] policy
     /* 1953653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953663 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1953666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953687 */     // GIR_Coverage, 24836,
     /* 1953687 */     GIR_EraseRootFromParent_Done,
     /* 1953688 */   // Label 26189: @1953688
     /* 1953688 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1953774), // Rule ID 24839 //
     /* 1953693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1953704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1953707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953739 */     // MIs[0] policy
     /* 1953739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953749 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1953752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953773 */     // GIR_Coverage, 24839,
     /* 1953773 */     GIR_EraseRootFromParent_Done,
     /* 1953774 */   // Label 26190: @1953774
     /* 1953774 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1953860), // Rule ID 24840 //
     /* 1953779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1953790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1953793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953825 */     // MIs[0] policy
     /* 1953825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953835 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1953838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953859 */     // GIR_Coverage, 24840,
     /* 1953859 */     GIR_EraseRootFromParent_Done,
     /* 1953860 */   // Label 26191: @1953860
     /* 1953860 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1953946), // Rule ID 24843 //
     /* 1953865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953911 */     // MIs[0] policy
     /* 1953911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953921 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1953924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953945 */     // GIR_Coverage, 24843,
     /* 1953945 */     GIR_EraseRootFromParent_Done,
     /* 1953946 */   // Label 26192: @1953946
     /* 1953946 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1954032), // Rule ID 24844 //
     /* 1953951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953997 */     // MIs[0] policy
     /* 1953997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954007 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1954010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954031 */     // GIR_Coverage, 24844,
     /* 1954031 */     GIR_EraseRootFromParent_Done,
     /* 1954032 */   // Label 26193: @1954032
     /* 1954032 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1954118), // Rule ID 24847 //
     /* 1954037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1954048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1954051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954083 */     // MIs[0] policy
     /* 1954083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954093 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954117 */     // GIR_Coverage, 24847,
     /* 1954117 */     GIR_EraseRootFromParent_Done,
     /* 1954118 */   // Label 26194: @1954118
     /* 1954118 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1954204), // Rule ID 24848 //
     /* 1954123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1954134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1954137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954169 */     // MIs[0] policy
     /* 1954169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954179 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954203 */     // GIR_Coverage, 24848,
     /* 1954203 */     GIR_EraseRootFromParent_Done,
     /* 1954204 */   // Label 26195: @1954204
     /* 1954204 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1954290), // Rule ID 24851 //
     /* 1954209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954255 */     // MIs[0] policy
     /* 1954255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954265 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954289 */     // GIR_Coverage, 24851,
     /* 1954289 */     GIR_EraseRootFromParent_Done,
     /* 1954290 */   // Label 26196: @1954290
     /* 1954290 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1954376), // Rule ID 24852 //
     /* 1954295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954341 */     // MIs[0] policy
     /* 1954341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954351 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954375 */     // GIR_Coverage, 24852,
     /* 1954375 */     GIR_EraseRootFromParent_Done,
     /* 1954376 */   // Label 26197: @1954376
     /* 1954376 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1954462), // Rule ID 24855 //
     /* 1954381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954427 */     // MIs[0] policy
     /* 1954427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954437 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954461 */     // GIR_Coverage, 24855,
     /* 1954461 */     GIR_EraseRootFromParent_Done,
     /* 1954462 */   // Label 26198: @1954462
     /* 1954462 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1954548), // Rule ID 24856 //
     /* 1954467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954513 */     // MIs[0] policy
     /* 1954513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954523 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954547 */     // GIR_Coverage, 24856,
     /* 1954547 */     GIR_EraseRootFromParent_Done,
     /* 1954548 */   // Label 26199: @1954548
     /* 1954548 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1954634), // Rule ID 24859 //
     /* 1954553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954599 */     // MIs[0] policy
     /* 1954599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954609 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954633 */     // GIR_Coverage, 24859,
     /* 1954633 */     GIR_EraseRootFromParent_Done,
     /* 1954634 */   // Label 26200: @1954634
     /* 1954634 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1954720), // Rule ID 24860 //
     /* 1954639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954685 */     // MIs[0] policy
     /* 1954685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954695 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954719 */     // GIR_Coverage, 24860,
     /* 1954719 */     GIR_EraseRootFromParent_Done,
     /* 1954720 */   // Label 26201: @1954720
     /* 1954720 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1954806), // Rule ID 24863 //
     /* 1954725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954771 */     // MIs[0] policy
     /* 1954771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954781 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1954784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954805 */     // GIR_Coverage, 24863,
     /* 1954805 */     GIR_EraseRootFromParent_Done,
     /* 1954806 */   // Label 26202: @1954806
     /* 1954806 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1954892), // Rule ID 24864 //
     /* 1954811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954857 */     // MIs[0] policy
     /* 1954857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954867 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1954870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954891 */     // GIR_Coverage, 24864,
     /* 1954891 */     GIR_EraseRootFromParent_Done,
     /* 1954892 */   // Label 26203: @1954892
     /* 1954892 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1954978), // Rule ID 24867 //
     /* 1954897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1954914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954943 */     // MIs[0] policy
     /* 1954943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954953 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1954956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954977 */     // GIR_Coverage, 24867,
     /* 1954977 */     GIR_EraseRootFromParent_Done,
     /* 1954978 */   // Label 26204: @1954978
     /* 1954978 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1955064), // Rule ID 24868 //
     /* 1954983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955029 */     // MIs[0] policy
     /* 1955029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955039 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1955042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955063 */     // GIR_Coverage, 24868,
     /* 1955063 */     GIR_EraseRootFromParent_Done,
     /* 1955064 */   // Label 26205: @1955064
     /* 1955064 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1955150), // Rule ID 24871 //
     /* 1955069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955115 */     // MIs[0] policy
     /* 1955115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955125 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955149 */     // GIR_Coverage, 24871,
     /* 1955149 */     GIR_EraseRootFromParent_Done,
     /* 1955150 */   // Label 26206: @1955150
     /* 1955150 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1955236), // Rule ID 24872 //
     /* 1955155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955201 */     // MIs[0] policy
     /* 1955201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955211 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955235 */     // GIR_Coverage, 24872,
     /* 1955235 */     GIR_EraseRootFromParent_Done,
     /* 1955236 */   // Label 26207: @1955236
     /* 1955236 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1955322), // Rule ID 24875 //
     /* 1955241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955287 */     // MIs[0] policy
     /* 1955287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955297 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955321 */     // GIR_Coverage, 24875,
     /* 1955321 */     GIR_EraseRootFromParent_Done,
     /* 1955322 */   // Label 26208: @1955322
     /* 1955322 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1955408), // Rule ID 24876 //
     /* 1955327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955373 */     // MIs[0] policy
     /* 1955373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955383 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955407 */     // GIR_Coverage, 24876,
     /* 1955407 */     GIR_EraseRootFromParent_Done,
     /* 1955408 */   // Label 26209: @1955408
     /* 1955408 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1955494), // Rule ID 24903 //
     /* 1955413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955459 */     // MIs[0] policy
     /* 1955459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955469 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955493 */     // GIR_Coverage, 24903,
     /* 1955493 */     GIR_EraseRootFromParent_Done,
     /* 1955494 */   // Label 26210: @1955494
     /* 1955494 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1955580), // Rule ID 24904 //
     /* 1955499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955545 */     // MIs[0] policy
     /* 1955545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955555 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955579 */     // GIR_Coverage, 24904,
     /* 1955579 */     GIR_EraseRootFromParent_Done,
     /* 1955580 */   // Label 26211: @1955580
     /* 1955580 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1955666), // Rule ID 24907 //
     /* 1955585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955631 */     // MIs[0] policy
     /* 1955631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955641 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1955644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955665 */     // GIR_Coverage, 24907,
     /* 1955665 */     GIR_EraseRootFromParent_Done,
     /* 1955666 */   // Label 26212: @1955666
     /* 1955666 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1955752), // Rule ID 24908 //
     /* 1955671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955717 */     // MIs[0] policy
     /* 1955717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955727 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1955730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955751 */     // GIR_Coverage, 24908,
     /* 1955751 */     GIR_EraseRootFromParent_Done,
     /* 1955752 */   // Label 26213: @1955752
     /* 1955752 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1955838), // Rule ID 24911 //
     /* 1955757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1955760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1955774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955803 */     // MIs[0] policy
     /* 1955803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955813 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1955816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955837 */     // GIR_Coverage, 24911,
     /* 1955837 */     GIR_EraseRootFromParent_Done,
     /* 1955838 */   // Label 26214: @1955838
     /* 1955838 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1955924), // Rule ID 24912 //
     /* 1955843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1955846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1955860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955889 */     // MIs[0] policy
     /* 1955889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955899 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1955902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955923 */     // GIR_Coverage, 24912,
     /* 1955923 */     GIR_EraseRootFromParent_Done,
     /* 1955924 */   // Label 26215: @1955924
     /* 1955924 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1956010), // Rule ID 24915 //
     /* 1955929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955975 */     // MIs[0] policy
     /* 1955975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955985 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1955988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956009 */     // GIR_Coverage, 24915,
     /* 1956009 */     GIR_EraseRootFromParent_Done,
     /* 1956010 */   // Label 26216: @1956010
     /* 1956010 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1956096), // Rule ID 24916 //
     /* 1956015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1956026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1956029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1956032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956061 */     // MIs[0] policy
     /* 1956061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956071 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1956074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956095 */     // GIR_Coverage, 24916,
     /* 1956095 */     GIR_EraseRootFromParent_Done,
     /* 1956096 */   // Label 26217: @1956096
     /* 1956096 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1956182), // Rule ID 24919 //
     /* 1956101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956147 */     // MIs[0] policy
     /* 1956147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956157 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956181 */     // GIR_Coverage, 24919,
     /* 1956181 */     GIR_EraseRootFromParent_Done,
     /* 1956182 */   // Label 26218: @1956182
     /* 1956182 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1956268), // Rule ID 24920 //
     /* 1956187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956233 */     // MIs[0] policy
     /* 1956233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956243 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956267 */     // GIR_Coverage, 24920,
     /* 1956267 */     GIR_EraseRootFromParent_Done,
     /* 1956268 */   // Label 26219: @1956268
     /* 1956268 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1956354), // Rule ID 24923 //
     /* 1956273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1956276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956319 */     // MIs[0] policy
     /* 1956319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956329 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956353 */     // GIR_Coverage, 24923,
     /* 1956353 */     GIR_EraseRootFromParent_Done,
     /* 1956354 */   // Label 26220: @1956354
     /* 1956354 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1956440), // Rule ID 24924 //
     /* 1956359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1956362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956405 */     // MIs[0] policy
     /* 1956405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956439 */     // GIR_Coverage, 24924,
     /* 1956439 */     GIR_EraseRootFromParent_Done,
     /* 1956440 */   // Label 26221: @1956440
     /* 1956440 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1956526), // Rule ID 24927 //
     /* 1956445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956491 */     // MIs[0] policy
     /* 1956491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956501 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956525 */     // GIR_Coverage, 24927,
     /* 1956525 */     GIR_EraseRootFromParent_Done,
     /* 1956526 */   // Label 26222: @1956526
     /* 1956526 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1956612), // Rule ID 24928 //
     /* 1956531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956577 */     // MIs[0] policy
     /* 1956577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956611 */     // GIR_Coverage, 24928,
     /* 1956611 */     GIR_EraseRootFromParent_Done,
     /* 1956612 */   // Label 26223: @1956612
     /* 1956612 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1956698), // Rule ID 24931 //
     /* 1956617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956663 */     // MIs[0] policy
     /* 1956663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956673 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1956676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956697 */     // GIR_Coverage, 24931,
     /* 1956697 */     GIR_EraseRootFromParent_Done,
     /* 1956698 */   // Label 26224: @1956698
     /* 1956698 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1956784), // Rule ID 24932 //
     /* 1956703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956749 */     // MIs[0] policy
     /* 1956749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956759 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1956762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956783 */     // GIR_Coverage, 24932,
     /* 1956783 */     GIR_EraseRootFromParent_Done,
     /* 1956784 */   // Label 26225: @1956784
     /* 1956784 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1956870), // Rule ID 24935 //
     /* 1956789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1956809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956835 */     // MIs[0] policy
     /* 1956835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956845 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1956848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956869 */     // GIR_Coverage, 24935,
     /* 1956869 */     GIR_EraseRootFromParent_Done,
     /* 1956870 */   // Label 26226: @1956870
     /* 1956870 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1956956), // Rule ID 24936 //
     /* 1956875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1956895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956921 */     // MIs[0] policy
     /* 1956921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956931 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1956934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956955 */     // GIR_Coverage, 24936,
     /* 1956955 */     GIR_EraseRootFromParent_Done,
     /* 1956956 */   // Label 26227: @1956956
     /* 1956956 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1957042), // Rule ID 24939 //
     /* 1956961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957007 */     // MIs[0] policy
     /* 1957007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957017 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1957020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957041 */     // GIR_Coverage, 24939,
     /* 1957041 */     GIR_EraseRootFromParent_Done,
     /* 1957042 */   // Label 26228: @1957042
     /* 1957042 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1957128), // Rule ID 24940 //
     /* 1957047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957093 */     // MIs[0] policy
     /* 1957093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957103 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1957106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957127 */     // GIR_Coverage, 24940,
     /* 1957127 */     GIR_EraseRootFromParent_Done,
     /* 1957128 */   // Label 26229: @1957128
     /* 1957128 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1957214), // Rule ID 24943 //
     /* 1957133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957179 */     // MIs[0] policy
     /* 1957179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957189 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957213 */     // GIR_Coverage, 24943,
     /* 1957213 */     GIR_EraseRootFromParent_Done,
     /* 1957214 */   // Label 26230: @1957214
     /* 1957214 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1957300), // Rule ID 24944 //
     /* 1957219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957265 */     // MIs[0] policy
     /* 1957265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957275 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957299 */     // GIR_Coverage, 24944,
     /* 1957299 */     GIR_EraseRootFromParent_Done,
     /* 1957300 */   // Label 26231: @1957300
     /* 1957300 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1957386), // Rule ID 24947 //
     /* 1957305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957351 */     // MIs[0] policy
     /* 1957351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957361 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957385 */     // GIR_Coverage, 24947,
     /* 1957385 */     GIR_EraseRootFromParent_Done,
     /* 1957386 */   // Label 26232: @1957386
     /* 1957386 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1957472), // Rule ID 24948 //
     /* 1957391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957437 */     // MIs[0] policy
     /* 1957437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957447 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957471 */     // GIR_Coverage, 24948,
     /* 1957471 */     GIR_EraseRootFromParent_Done,
     /* 1957472 */   // Label 26233: @1957472
     /* 1957472 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1957558), // Rule ID 24951 //
     /* 1957477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957523 */     // MIs[0] policy
     /* 1957523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1957536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957557 */     // GIR_Coverage, 24951,
     /* 1957557 */     GIR_EraseRootFromParent_Done,
     /* 1957558 */   // Label 26234: @1957558
     /* 1957558 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1957644), // Rule ID 24952 //
     /* 1957563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957609 */     // MIs[0] policy
     /* 1957609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957619 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1957622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957643 */     // GIR_Coverage, 24952,
     /* 1957643 */     GIR_EraseRootFromParent_Done,
     /* 1957644 */   // Label 26235: @1957644
     /* 1957644 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1957730), // Rule ID 24955 //
     /* 1957649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957695 */     // MIs[0] policy
     /* 1957695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957705 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1957708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957729 */     // GIR_Coverage, 24955,
     /* 1957729 */     GIR_EraseRootFromParent_Done,
     /* 1957730 */   // Label 26236: @1957730
     /* 1957730 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1957816), // Rule ID 24956 //
     /* 1957735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957781 */     // MIs[0] policy
     /* 1957781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957791 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1957794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957815 */     // GIR_Coverage, 24956,
     /* 1957815 */     GIR_EraseRootFromParent_Done,
     /* 1957816 */   // Label 26237: @1957816
     /* 1957816 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1957902), // Rule ID 24959 //
     /* 1957821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957867 */     // MIs[0] policy
     /* 1957867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957877 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1957880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957901 */     // GIR_Coverage, 24959,
     /* 1957901 */     GIR_EraseRootFromParent_Done,
     /* 1957902 */   // Label 26238: @1957902
     /* 1957902 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1957988), // Rule ID 24960 //
     /* 1957907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957953 */     // MIs[0] policy
     /* 1957953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957963 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1957966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957987 */     // GIR_Coverage, 24960,
     /* 1957987 */     GIR_EraseRootFromParent_Done,
     /* 1957988 */   // Label 26239: @1957988
     /* 1957988 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1958074), // Rule ID 60839 //
     /* 1957993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1958013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958039 */     // MIs[0] policy
     /* 1958039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958073 */     // GIR_Coverage, 60839,
     /* 1958073 */     GIR_EraseRootFromParent_Done,
     /* 1958074 */   // Label 26240: @1958074
     /* 1958074 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1958160), // Rule ID 60840 //
     /* 1958079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1958099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958125 */     // MIs[0] policy
     /* 1958125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958159 */     // GIR_Coverage, 60840,
     /* 1958159 */     GIR_EraseRootFromParent_Done,
     /* 1958160 */   // Label 26241: @1958160
     /* 1958160 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1958246), // Rule ID 60843 //
     /* 1958165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958211 */     // MIs[0] policy
     /* 1958211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958221 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958245 */     // GIR_Coverage, 60843,
     /* 1958245 */     GIR_EraseRootFromParent_Done,
     /* 1958246 */   // Label 26242: @1958246
     /* 1958246 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1958332), // Rule ID 60844 //
     /* 1958251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958297 */     // MIs[0] policy
     /* 1958297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958331 */     // GIR_Coverage, 60844,
     /* 1958331 */     GIR_EraseRootFromParent_Done,
     /* 1958332 */   // Label 26243: @1958332
     /* 1958332 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1958418), // Rule ID 60847 //
     /* 1958337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958383 */     // MIs[0] policy
     /* 1958383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958393 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958417 */     // GIR_Coverage, 60847,
     /* 1958417 */     GIR_EraseRootFromParent_Done,
     /* 1958418 */   // Label 26244: @1958418
     /* 1958418 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1958504), // Rule ID 60848 //
     /* 1958423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958469 */     // MIs[0] policy
     /* 1958469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958479 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958503 */     // GIR_Coverage, 60848,
     /* 1958503 */     GIR_EraseRootFromParent_Done,
     /* 1958504 */   // Label 26245: @1958504
     /* 1958504 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1958590), // Rule ID 60851 //
     /* 1958509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958555 */     // MIs[0] policy
     /* 1958555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958565 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958589 */     // GIR_Coverage, 60851,
     /* 1958589 */     GIR_EraseRootFromParent_Done,
     /* 1958590 */   // Label 26246: @1958590
     /* 1958590 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1958676), // Rule ID 60852 //
     /* 1958595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958641 */     // MIs[0] policy
     /* 1958641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958675 */     // GIR_Coverage, 60852,
     /* 1958675 */     GIR_EraseRootFromParent_Done,
     /* 1958676 */   // Label 26247: @1958676
     /* 1958676 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1958762), // Rule ID 60855 //
     /* 1958681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1958698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1958701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958727 */     // MIs[0] policy
     /* 1958727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958737 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1958740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958761 */     // GIR_Coverage, 60855,
     /* 1958761 */     GIR_EraseRootFromParent_Done,
     /* 1958762 */   // Label 26248: @1958762
     /* 1958762 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1958848), // Rule ID 60856 //
     /* 1958767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1958784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1958787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958813 */     // MIs[0] policy
     /* 1958813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958823 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1958826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958847 */     // GIR_Coverage, 60856,
     /* 1958847 */     GIR_EraseRootFromParent_Done,
     /* 1958848 */   // Label 26249: @1958848
     /* 1958848 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1958934), // Rule ID 60859 //
     /* 1958853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1958870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1958873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958899 */     // MIs[0] policy
     /* 1958899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1958912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958933 */     // GIR_Coverage, 60859,
     /* 1958933 */     GIR_EraseRootFromParent_Done,
     /* 1958934 */   // Label 26250: @1958934
     /* 1958934 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1959020), // Rule ID 60860 //
     /* 1958939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1958956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1958959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958985 */     // MIs[0] policy
     /* 1958985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958995 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1958998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959019 */     // GIR_Coverage, 60860,
     /* 1959019 */     GIR_EraseRootFromParent_Done,
     /* 1959020 */   // Label 26251: @1959020
     /* 1959020 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1959106), // Rule ID 60863 //
     /* 1959025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1959036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1959039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959071 */     // MIs[0] policy
     /* 1959071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959105 */     // GIR_Coverage, 60863,
     /* 1959105 */     GIR_EraseRootFromParent_Done,
     /* 1959106 */   // Label 26252: @1959106
     /* 1959106 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1959192), // Rule ID 60864 //
     /* 1959111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1959122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1959125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959157 */     // MIs[0] policy
     /* 1959157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959191 */     // GIR_Coverage, 60864,
     /* 1959191 */     GIR_EraseRootFromParent_Done,
     /* 1959192 */   // Label 26253: @1959192
     /* 1959192 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1959278), // Rule ID 60867 //
     /* 1959197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959243 */     // MIs[0] policy
     /* 1959243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959277 */     // GIR_Coverage, 60867,
     /* 1959277 */     GIR_EraseRootFromParent_Done,
     /* 1959278 */   // Label 26254: @1959278
     /* 1959278 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1959364), // Rule ID 60868 //
     /* 1959283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959329 */     // MIs[0] policy
     /* 1959329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959363 */     // GIR_Coverage, 60868,
     /* 1959363 */     GIR_EraseRootFromParent_Done,
     /* 1959364 */   // Label 26255: @1959364
     /* 1959364 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1959450), // Rule ID 60871 //
     /* 1959369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959415 */     // MIs[0] policy
     /* 1959415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959449 */     // GIR_Coverage, 60871,
     /* 1959449 */     GIR_EraseRootFromParent_Done,
     /* 1959450 */   // Label 26256: @1959450
     /* 1959450 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1959536), // Rule ID 60872 //
     /* 1959455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959501 */     // MIs[0] policy
     /* 1959501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959535 */     // GIR_Coverage, 60872,
     /* 1959535 */     GIR_EraseRootFromParent_Done,
     /* 1959536 */   // Label 26257: @1959536
     /* 1959536 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1959622), // Rule ID 60875 //
     /* 1959541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959587 */     // MIs[0] policy
     /* 1959587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959621 */     // GIR_Coverage, 60875,
     /* 1959621 */     GIR_EraseRootFromParent_Done,
     /* 1959622 */   // Label 26258: @1959622
     /* 1959622 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1959708), // Rule ID 60876 //
     /* 1959627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959673 */     // MIs[0] policy
     /* 1959673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959707 */     // GIR_Coverage, 60876,
     /* 1959707 */     GIR_EraseRootFromParent_Done,
     /* 1959708 */   // Label 26259: @1959708
     /* 1959708 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1959794), // Rule ID 60879 //
     /* 1959713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959759 */     // MIs[0] policy
     /* 1959759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959769 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959793 */     // GIR_Coverage, 60879,
     /* 1959793 */     GIR_EraseRootFromParent_Done,
     /* 1959794 */   // Label 26260: @1959794
     /* 1959794 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1959880), // Rule ID 60880 //
     /* 1959799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959845 */     // MIs[0] policy
     /* 1959845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959879 */     // GIR_Coverage, 60880,
     /* 1959879 */     GIR_EraseRootFromParent_Done,
     /* 1959880 */   // Label 26261: @1959880
     /* 1959880 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1959966), // Rule ID 60883 //
     /* 1959885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1959902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1959905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959931 */     // MIs[0] policy
     /* 1959931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959965 */     // GIR_Coverage, 60883,
     /* 1959965 */     GIR_EraseRootFromParent_Done,
     /* 1959966 */   // Label 26262: @1959966
     /* 1959966 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1960052), // Rule ID 60884 //
     /* 1959971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1959988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1959991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960017 */     // MIs[0] policy
     /* 1960017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1960030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960051 */     // GIR_Coverage, 60884,
     /* 1960051 */     GIR_EraseRootFromParent_Done,
     /* 1960052 */   // Label 26263: @1960052
     /* 1960052 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1960138), // Rule ID 60887 //
     /* 1960057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960103 */     // MIs[0] policy
     /* 1960103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960113 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960137 */     // GIR_Coverage, 60887,
     /* 1960137 */     GIR_EraseRootFromParent_Done,
     /* 1960138 */   // Label 26264: @1960138
     /* 1960138 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1960224), // Rule ID 60888 //
     /* 1960143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960189 */     // MIs[0] policy
     /* 1960189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960223 */     // GIR_Coverage, 60888,
     /* 1960223 */     GIR_EraseRootFromParent_Done,
     /* 1960224 */   // Label 26265: @1960224
     /* 1960224 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1960310), // Rule ID 60891 //
     /* 1960229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960275 */     // MIs[0] policy
     /* 1960275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960285 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960309 */     // GIR_Coverage, 60891,
     /* 1960309 */     GIR_EraseRootFromParent_Done,
     /* 1960310 */   // Label 26266: @1960310
     /* 1960310 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1960396), // Rule ID 60892 //
     /* 1960315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960361 */     // MIs[0] policy
     /* 1960361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960395 */     // GIR_Coverage, 60892,
     /* 1960395 */     GIR_EraseRootFromParent_Done,
     /* 1960396 */   // Label 26267: @1960396
     /* 1960396 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1960482), // Rule ID 60895 //
     /* 1960401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960447 */     // MIs[0] policy
     /* 1960447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960457 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960481 */     // GIR_Coverage, 60895,
     /* 1960481 */     GIR_EraseRootFromParent_Done,
     /* 1960482 */   // Label 26268: @1960482
     /* 1960482 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1960568), // Rule ID 60896 //
     /* 1960487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960533 */     // MIs[0] policy
     /* 1960533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960543 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960567 */     // GIR_Coverage, 60896,
     /* 1960567 */     GIR_EraseRootFromParent_Done,
     /* 1960568 */   // Label 26269: @1960568
     /* 1960568 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1960654), // Rule ID 60899 //
     /* 1960573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960619 */     // MIs[0] policy
     /* 1960619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960629 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1960632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960653 */     // GIR_Coverage, 60899,
     /* 1960653 */     GIR_EraseRootFromParent_Done,
     /* 1960654 */   // Label 26270: @1960654
     /* 1960654 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1960740), // Rule ID 60900 //
     /* 1960659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960705 */     // MIs[0] policy
     /* 1960705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960715 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1960718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960739 */     // GIR_Coverage, 60900,
     /* 1960739 */     GIR_EraseRootFromParent_Done,
     /* 1960740 */   // Label 26271: @1960740
     /* 1960740 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1960826), // Rule ID 60907 //
     /* 1960745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960791 */     // MIs[0] policy
     /* 1960791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1960804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960825 */     // GIR_Coverage, 60907,
     /* 1960825 */     GIR_EraseRootFromParent_Done,
     /* 1960826 */   // Label 26272: @1960826
     /* 1960826 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1960912), // Rule ID 60908 //
     /* 1960831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960877 */     // MIs[0] policy
     /* 1960877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960887 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1960890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960911 */     // GIR_Coverage, 60908,
     /* 1960911 */     GIR_EraseRootFromParent_Done,
     /* 1960912 */   // Label 26273: @1960912
     /* 1960912 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1960998), // Rule ID 60915 //
     /* 1960917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1960934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960963 */     // MIs[0] policy
     /* 1960963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1960976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960997 */     // GIR_Coverage, 60915,
     /* 1960997 */     GIR_EraseRootFromParent_Done,
     /* 1960998 */   // Label 26274: @1960998
     /* 1960998 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1961084), // Rule ID 60916 //
     /* 1961003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1961020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961049 */     // MIs[0] policy
     /* 1961049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961083 */     // GIR_Coverage, 60916,
     /* 1961083 */     GIR_EraseRootFromParent_Done,
     /* 1961084 */   // Label 26275: @1961084
     /* 1961084 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1961170), // Rule ID 60923 //
     /* 1961089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961135 */     // MIs[0] policy
     /* 1961135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961145 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961169 */     // GIR_Coverage, 60923,
     /* 1961169 */     GIR_EraseRootFromParent_Done,
     /* 1961170 */   // Label 26276: @1961170
     /* 1961170 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1961256), // Rule ID 60924 //
     /* 1961175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961221 */     // MIs[0] policy
     /* 1961221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961255 */     // GIR_Coverage, 60924,
     /* 1961255 */     GIR_EraseRootFromParent_Done,
     /* 1961256 */   // Label 26277: @1961256
     /* 1961256 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1961342), // Rule ID 60931 //
     /* 1961261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961307 */     // MIs[0] policy
     /* 1961307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961317 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961341 */     // GIR_Coverage, 60931,
     /* 1961341 */     GIR_EraseRootFromParent_Done,
     /* 1961342 */   // Label 26278: @1961342
     /* 1961342 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1961428), // Rule ID 60932 //
     /* 1961347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961393 */     // MIs[0] policy
     /* 1961393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961427 */     // GIR_Coverage, 60932,
     /* 1961427 */     GIR_EraseRootFromParent_Done,
     /* 1961428 */   // Label 26279: @1961428
     /* 1961428 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1961514), // Rule ID 60939 //
     /* 1961433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961479 */     // MIs[0] policy
     /* 1961479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961489 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961513 */     // GIR_Coverage, 60939,
     /* 1961513 */     GIR_EraseRootFromParent_Done,
     /* 1961514 */   // Label 26280: @1961514
     /* 1961514 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1961600), // Rule ID 60940 //
     /* 1961519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961565 */     // MIs[0] policy
     /* 1961565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961599 */     // GIR_Coverage, 60940,
     /* 1961599 */     GIR_EraseRootFromParent_Done,
     /* 1961600 */   // Label 26281: @1961600
     /* 1961600 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1961686), // Rule ID 60947 //
     /* 1961605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961651 */     // MIs[0] policy
     /* 1961651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961685 */     // GIR_Coverage, 60947,
     /* 1961685 */     GIR_EraseRootFromParent_Done,
     /* 1961686 */   // Label 26282: @1961686
     /* 1961686 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1961772), // Rule ID 60948 //
     /* 1961691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961737 */     // MIs[0] policy
     /* 1961737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961771 */     // GIR_Coverage, 60948,
     /* 1961771 */     GIR_EraseRootFromParent_Done,
     /* 1961772 */   // Label 26283: @1961772
     /* 1961772 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1961858), // Rule ID 60955 //
     /* 1961777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961823 */     // MIs[0] policy
     /* 1961823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961857 */     // GIR_Coverage, 60955,
     /* 1961857 */     GIR_EraseRootFromParent_Done,
     /* 1961858 */   // Label 26284: @1961858
     /* 1961858 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1961944), // Rule ID 60956 //
     /* 1961863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961909 */     // MIs[0] policy
     /* 1961909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961943 */     // GIR_Coverage, 60956,
     /* 1961943 */     GIR_EraseRootFromParent_Done,
     /* 1961944 */   // Label 26285: @1961944
     /* 1961944 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1962030), // Rule ID 60963 //
     /* 1961949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1961960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1961963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961995 */     // MIs[0] policy
     /* 1961995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962029 */     // GIR_Coverage, 60963,
     /* 1962029 */     GIR_EraseRootFromParent_Done,
     /* 1962030 */   // Label 26286: @1962030
     /* 1962030 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1962116), // Rule ID 60964 //
     /* 1962035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962081 */     // MIs[0] policy
     /* 1962081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962115 */     // GIR_Coverage, 60964,
     /* 1962115 */     GIR_EraseRootFromParent_Done,
     /* 1962116 */   // Label 26287: @1962116
     /* 1962116 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1962202), // Rule ID 60971 //
     /* 1962121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962167 */     // MIs[0] policy
     /* 1962167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962177 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962201 */     // GIR_Coverage, 60971,
     /* 1962201 */     GIR_EraseRootFromParent_Done,
     /* 1962202 */   // Label 26288: @1962202
     /* 1962202 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1962288), // Rule ID 60972 //
     /* 1962207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962253 */     // MIs[0] policy
     /* 1962253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962263 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962287 */     // GIR_Coverage, 60972,
     /* 1962287 */     GIR_EraseRootFromParent_Done,
     /* 1962288 */   // Label 26289: @1962288
     /* 1962288 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1962374), // Rule ID 60979 //
     /* 1962293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962339 */     // MIs[0] policy
     /* 1962339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962373 */     // GIR_Coverage, 60979,
     /* 1962373 */     GIR_EraseRootFromParent_Done,
     /* 1962374 */   // Label 26290: @1962374
     /* 1962374 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1962460), // Rule ID 60980 //
     /* 1962379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962425 */     // MIs[0] policy
     /* 1962425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962459 */     // GIR_Coverage, 60980,
     /* 1962459 */     GIR_EraseRootFromParent_Done,
     /* 1962460 */   // Label 26291: @1962460
     /* 1962460 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1962546), // Rule ID 60987 //
     /* 1962465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962511 */     // MIs[0] policy
     /* 1962511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962545 */     // GIR_Coverage, 60987,
     /* 1962545 */     GIR_EraseRootFromParent_Done,
     /* 1962546 */   // Label 26292: @1962546
     /* 1962546 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1962632), // Rule ID 60988 //
     /* 1962551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962597 */     // MIs[0] policy
     /* 1962597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962631 */     // GIR_Coverage, 60988,
     /* 1962631 */     GIR_EraseRootFromParent_Done,
     /* 1962632 */   // Label 26293: @1962632
     /* 1962632 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1962718), // Rule ID 60995 //
     /* 1962637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962683 */     // MIs[0] policy
     /* 1962683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962717 */     // GIR_Coverage, 60995,
     /* 1962717 */     GIR_EraseRootFromParent_Done,
     /* 1962718 */   // Label 26294: @1962718
     /* 1962718 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1962804), // Rule ID 60996 //
     /* 1962723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962769 */     // MIs[0] policy
     /* 1962769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962803 */     // GIR_Coverage, 60996,
     /* 1962803 */     GIR_EraseRootFromParent_Done,
     /* 1962804 */   // Label 26295: @1962804
     /* 1962804 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1962890), // Rule ID 61003 //
     /* 1962809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962855 */     // MIs[0] policy
     /* 1962855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962865 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962889 */     // GIR_Coverage, 61003,
     /* 1962889 */     GIR_EraseRootFromParent_Done,
     /* 1962890 */   // Label 26296: @1962890
     /* 1962890 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1962976), // Rule ID 61004 //
     /* 1962895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962941 */     // MIs[0] policy
     /* 1962941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962975 */     // GIR_Coverage, 61004,
     /* 1962975 */     GIR_EraseRootFromParent_Done,
     /* 1962976 */   // Label 26297: @1962976
     /* 1962976 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1963062), // Rule ID 61011 //
     /* 1962981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1962998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963027 */     // MIs[0] policy
     /* 1963027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1963040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963061 */     // GIR_Coverage, 61011,
     /* 1963061 */     GIR_EraseRootFromParent_Done,
     /* 1963062 */   // Label 26298: @1963062
     /* 1963062 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1963148), // Rule ID 61012 //
     /* 1963067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963113 */     // MIs[0] policy
     /* 1963113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963123 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1963126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963147 */     // GIR_Coverage, 61012,
     /* 1963147 */     GIR_EraseRootFromParent_Done,
     /* 1963148 */   // Label 26299: @1963148
     /* 1963148 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1963234), // Rule ID 61019 //
     /* 1963153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963199 */     // MIs[0] policy
     /* 1963199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963233 */     // GIR_Coverage, 61019,
     /* 1963233 */     GIR_EraseRootFromParent_Done,
     /* 1963234 */   // Label 26300: @1963234
     /* 1963234 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1963320), // Rule ID 61020 //
     /* 1963239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963285 */     // MIs[0] policy
     /* 1963285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963295 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963319 */     // GIR_Coverage, 61020,
     /* 1963319 */     GIR_EraseRootFromParent_Done,
     /* 1963320 */   // Label 26301: @1963320
     /* 1963320 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1963406), // Rule ID 61023 //
     /* 1963325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963371 */     // MIs[0] policy
     /* 1963371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963381 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963405 */     // GIR_Coverage, 61023,
     /* 1963405 */     GIR_EraseRootFromParent_Done,
     /* 1963406 */   // Label 26302: @1963406
     /* 1963406 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1963492), // Rule ID 61024 //
     /* 1963411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963457 */     // MIs[0] policy
     /* 1963457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963467 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963491 */     // GIR_Coverage, 61024,
     /* 1963491 */     GIR_EraseRootFromParent_Done,
     /* 1963492 */   // Label 26303: @1963492
     /* 1963492 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1963578), // Rule ID 61027 //
     /* 1963497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963543 */     // MIs[0] policy
     /* 1963543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963553 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1963556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963577 */     // GIR_Coverage, 61027,
     /* 1963577 */     GIR_EraseRootFromParent_Done,
     /* 1963578 */   // Label 26304: @1963578
     /* 1963578 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1963664), // Rule ID 61028 //
     /* 1963583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963629 */     // MIs[0] policy
     /* 1963629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963639 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1963642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963663 */     // GIR_Coverage, 61028,
     /* 1963663 */     GIR_EraseRootFromParent_Done,
     /* 1963664 */   // Label 26305: @1963664
     /* 1963664 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1963750), // Rule ID 61031 //
     /* 1963669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963715 */     // MIs[0] policy
     /* 1963715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1963728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963749 */     // GIR_Coverage, 61031,
     /* 1963749 */     GIR_EraseRootFromParent_Done,
     /* 1963750 */   // Label 26306: @1963750
     /* 1963750 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1963836), // Rule ID 61032 //
     /* 1963755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963801 */     // MIs[0] policy
     /* 1963801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1963814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963835 */     // GIR_Coverage, 61032,
     /* 1963835 */     GIR_EraseRootFromParent_Done,
     /* 1963836 */   // Label 26307: @1963836
     /* 1963836 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1963922), // Rule ID 61035 //
     /* 1963841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963887 */     // MIs[0] policy
     /* 1963887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1963900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963921 */     // GIR_Coverage, 61035,
     /* 1963921 */     GIR_EraseRootFromParent_Done,
     /* 1963922 */   // Label 26308: @1963922
     /* 1963922 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1964008), // Rule ID 61036 //
     /* 1963927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963973 */     // MIs[0] policy
     /* 1963973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1963986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964007 */     // GIR_Coverage, 61036,
     /* 1964007 */     GIR_EraseRootFromParent_Done,
     /* 1964008 */   // Label 26309: @1964008
     /* 1964008 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1964094), // Rule ID 61039 //
     /* 1964013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964059 */     // MIs[0] policy
     /* 1964059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964069 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964093 */     // GIR_Coverage, 61039,
     /* 1964093 */     GIR_EraseRootFromParent_Done,
     /* 1964094 */   // Label 26310: @1964094
     /* 1964094 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1964180), // Rule ID 61040 //
     /* 1964099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964145 */     // MIs[0] policy
     /* 1964145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964179 */     // GIR_Coverage, 61040,
     /* 1964179 */     GIR_EraseRootFromParent_Done,
     /* 1964180 */   // Label 26311: @1964180
     /* 1964180 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1964266), // Rule ID 61043 //
     /* 1964185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964231 */     // MIs[0] policy
     /* 1964231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964241 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964265 */     // GIR_Coverage, 61043,
     /* 1964265 */     GIR_EraseRootFromParent_Done,
     /* 1964266 */   // Label 26312: @1964266
     /* 1964266 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1964352), // Rule ID 61044 //
     /* 1964271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964317 */     // MIs[0] policy
     /* 1964317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964327 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964351 */     // GIR_Coverage, 61044,
     /* 1964351 */     GIR_EraseRootFromParent_Done,
     /* 1964352 */   // Label 26313: @1964352
     /* 1964352 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1964438), // Rule ID 61047 //
     /* 1964357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964403 */     // MIs[0] policy
     /* 1964403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964413 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964437 */     // GIR_Coverage, 61047,
     /* 1964437 */     GIR_EraseRootFromParent_Done,
     /* 1964438 */   // Label 26314: @1964438
     /* 1964438 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1964524), // Rule ID 61048 //
     /* 1964443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964489 */     // MIs[0] policy
     /* 1964489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964523 */     // GIR_Coverage, 61048,
     /* 1964523 */     GIR_EraseRootFromParent_Done,
     /* 1964524 */   // Label 26315: @1964524
     /* 1964524 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1964610), // Rule ID 61051 //
     /* 1964529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1964549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964575 */     // MIs[0] policy
     /* 1964575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964585 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1964588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964609 */     // GIR_Coverage, 61051,
     /* 1964609 */     GIR_EraseRootFromParent_Done,
     /* 1964610 */   // Label 26316: @1964610
     /* 1964610 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1964696), // Rule ID 61052 //
     /* 1964615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1964635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964661 */     // MIs[0] policy
     /* 1964661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1964674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964695 */     // GIR_Coverage, 61052,
     /* 1964695 */     GIR_EraseRootFromParent_Done,
     /* 1964696 */   // Label 26317: @1964696
     /* 1964696 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1964782), // Rule ID 61055 //
     /* 1964701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1964721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964747 */     // MIs[0] policy
     /* 1964747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964757 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1964760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964781 */     // GIR_Coverage, 61055,
     /* 1964781 */     GIR_EraseRootFromParent_Done,
     /* 1964782 */   // Label 26318: @1964782
     /* 1964782 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1964868), // Rule ID 61056 //
     /* 1964787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1964807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964833 */     // MIs[0] policy
     /* 1964833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1964846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964867 */     // GIR_Coverage, 61056,
     /* 1964867 */     GIR_EraseRootFromParent_Done,
     /* 1964868 */   // Label 26319: @1964868
     /* 1964868 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1964954), // Rule ID 61059 //
     /* 1964873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1964893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964919 */     // MIs[0] policy
     /* 1964919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1964932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964953 */     // GIR_Coverage, 61059,
     /* 1964953 */     GIR_EraseRootFromParent_Done,
     /* 1964954 */   // Label 26320: @1964954
     /* 1964954 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1965040), // Rule ID 61060 //
     /* 1964959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1964979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965005 */     // MIs[0] policy
     /* 1965005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1965018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965039 */     // GIR_Coverage, 61060,
     /* 1965039 */     GIR_EraseRootFromParent_Done,
     /* 1965040 */   // Label 26321: @1965040
     /* 1965040 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1965126), // Rule ID 61063 //
     /* 1965045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965091 */     // MIs[0] policy
     /* 1965091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965125 */     // GIR_Coverage, 61063,
     /* 1965125 */     GIR_EraseRootFromParent_Done,
     /* 1965126 */   // Label 26322: @1965126
     /* 1965126 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1965212), // Rule ID 61064 //
     /* 1965131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965177 */     // MIs[0] policy
     /* 1965177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965211 */     // GIR_Coverage, 61064,
     /* 1965211 */     GIR_EraseRootFromParent_Done,
     /* 1965212 */   // Label 26323: @1965212
     /* 1965212 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1965298), // Rule ID 61067 //
     /* 1965217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965263 */     // MIs[0] policy
     /* 1965263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965297 */     // GIR_Coverage, 61067,
     /* 1965297 */     GIR_EraseRootFromParent_Done,
     /* 1965298 */   // Label 26324: @1965298
     /* 1965298 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1965384), // Rule ID 61068 //
     /* 1965303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965349 */     // MIs[0] policy
     /* 1965349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965383 */     // GIR_Coverage, 61068,
     /* 1965383 */     GIR_EraseRootFromParent_Done,
     /* 1965384 */   // Label 26325: @1965384
     /* 1965384 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1965470), // Rule ID 61071 //
     /* 1965389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965435 */     // MIs[0] policy
     /* 1965435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965445 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965469 */     // GIR_Coverage, 61071,
     /* 1965469 */     GIR_EraseRootFromParent_Done,
     /* 1965470 */   // Label 26326: @1965470
     /* 1965470 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1965556), // Rule ID 61072 //
     /* 1965475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965521 */     // MIs[0] policy
     /* 1965521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965555 */     // GIR_Coverage, 61072,
     /* 1965555 */     GIR_EraseRootFromParent_Done,
     /* 1965556 */   // Label 26327: @1965556
     /* 1965556 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1965642), // Rule ID 61075 //
     /* 1965561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965607 */     // MIs[0] policy
     /* 1965607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965617 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1965620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965641 */     // GIR_Coverage, 61075,
     /* 1965641 */     GIR_EraseRootFromParent_Done,
     /* 1965642 */   // Label 26328: @1965642
     /* 1965642 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1965728), // Rule ID 61076 //
     /* 1965647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965693 */     // MIs[0] policy
     /* 1965693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965703 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1965706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965727 */     // GIR_Coverage, 61076,
     /* 1965727 */     GIR_EraseRootFromParent_Done,
     /* 1965728 */   // Label 26329: @1965728
     /* 1965728 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1965814), // Rule ID 61079 //
     /* 1965733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965779 */     // MIs[0] policy
     /* 1965779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965789 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1965792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965813 */     // GIR_Coverage, 61079,
     /* 1965813 */     GIR_EraseRootFromParent_Done,
     /* 1965814 */   // Label 26330: @1965814
     /* 1965814 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1965900), // Rule ID 61080 //
     /* 1965819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965865 */     // MIs[0] policy
     /* 1965865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965875 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1965878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965899 */     // GIR_Coverage, 61080,
     /* 1965899 */     GIR_EraseRootFromParent_Done,
     /* 1965900 */   // Label 26331: @1965900
     /* 1965900 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1965986), // Rule ID 61083 //
     /* 1965905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1965916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1965919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1965925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965951 */     // MIs[0] policy
     /* 1965951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965961 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1965964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965985 */     // GIR_Coverage, 61083,
     /* 1965985 */     GIR_EraseRootFromParent_Done,
     /* 1965986 */   // Label 26332: @1965986
     /* 1965986 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1966072), // Rule ID 61084 //
     /* 1965991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1966002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1966005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1966008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1966011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966037 */     // MIs[0] policy
     /* 1966037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1966050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966071 */     // GIR_Coverage, 61084,
     /* 1966071 */     GIR_EraseRootFromParent_Done,
     /* 1966072 */   // Label 26333: @1966072
     /* 1966072 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1966158), // Rule ID 61087 //
     /* 1966077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966123 */     // MIs[0] policy
     /* 1966123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966157 */     // GIR_Coverage, 61087,
     /* 1966157 */     GIR_EraseRootFromParent_Done,
     /* 1966158 */   // Label 26334: @1966158
     /* 1966158 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1966244), // Rule ID 61088 //
     /* 1966163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966209 */     // MIs[0] policy
     /* 1966209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966243 */     // GIR_Coverage, 61088,
     /* 1966243 */     GIR_EraseRootFromParent_Done,
     /* 1966244 */   // Label 26335: @1966244
     /* 1966244 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1966330), // Rule ID 61091 //
     /* 1966249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966295 */     // MIs[0] policy
     /* 1966295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966305 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966329 */     // GIR_Coverage, 61091,
     /* 1966329 */     GIR_EraseRootFromParent_Done,
     /* 1966330 */   // Label 26336: @1966330
     /* 1966330 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1966416), // Rule ID 61092 //
     /* 1966335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966381 */     // MIs[0] policy
     /* 1966381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966391 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966415 */     // GIR_Coverage, 61092,
     /* 1966415 */     GIR_EraseRootFromParent_Done,
     /* 1966416 */   // Label 26337: @1966416
     /* 1966416 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1966502), // Rule ID 61095 //
     /* 1966421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966467 */     // MIs[0] policy
     /* 1966467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966477 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966501 */     // GIR_Coverage, 61095,
     /* 1966501 */     GIR_EraseRootFromParent_Done,
     /* 1966502 */   // Label 26338: @1966502
     /* 1966502 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1966588), // Rule ID 61096 //
     /* 1966507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966553 */     // MIs[0] policy
     /* 1966553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966587 */     // GIR_Coverage, 61096,
     /* 1966587 */     GIR_EraseRootFromParent_Done,
     /* 1966588 */   // Label 26339: @1966588
     /* 1966588 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1966674), // Rule ID 61099 //
     /* 1966593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966639 */     // MIs[0] policy
     /* 1966639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966673 */     // GIR_Coverage, 61099,
     /* 1966673 */     GIR_EraseRootFromParent_Done,
     /* 1966674 */   // Label 26340: @1966674
     /* 1966674 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1966760), // Rule ID 61100 //
     /* 1966679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966725 */     // MIs[0] policy
     /* 1966725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966759 */     // GIR_Coverage, 61100,
     /* 1966759 */     GIR_EraseRootFromParent_Done,
     /* 1966760 */   // Label 26341: @1966760
     /* 1966760 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1966846), // Rule ID 61103 //
     /* 1966765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966811 */     // MIs[0] policy
     /* 1966811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966845 */     // GIR_Coverage, 61103,
     /* 1966845 */     GIR_EraseRootFromParent_Done,
     /* 1966846 */   // Label 26342: @1966846
     /* 1966846 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1966932), // Rule ID 61104 //
     /* 1966851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966897 */     // MIs[0] policy
     /* 1966897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966931 */     // GIR_Coverage, 61104,
     /* 1966931 */     GIR_EraseRootFromParent_Done,
     /* 1966932 */   // Label 26343: @1966932
     /* 1966932 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1967018), // Rule ID 61107 //
     /* 1966937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1966948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1966951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1966954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1966957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966983 */     // MIs[0] policy
     /* 1966983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1966996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967017 */     // GIR_Coverage, 61107,
     /* 1967017 */     GIR_EraseRootFromParent_Done,
     /* 1967018 */   // Label 26344: @1967018
     /* 1967018 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1967104), // Rule ID 61108 //
     /* 1967023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1967034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1967037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1967040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1967043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967069 */     // MIs[0] policy
     /* 1967069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967079 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967103 */     // GIR_Coverage, 61108,
     /* 1967103 */     GIR_EraseRootFromParent_Done,
     /* 1967104 */   // Label 26345: @1967104
     /* 1967104 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1967190), // Rule ID 61111 //
     /* 1967109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967155 */     // MIs[0] policy
     /* 1967155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967189 */     // GIR_Coverage, 61111,
     /* 1967189 */     GIR_EraseRootFromParent_Done,
     /* 1967190 */   // Label 26346: @1967190
     /* 1967190 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1967276), // Rule ID 61112 //
     /* 1967195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967241 */     // MIs[0] policy
     /* 1967241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967275 */     // GIR_Coverage, 61112,
     /* 1967275 */     GIR_EraseRootFromParent_Done,
     /* 1967276 */   // Label 26347: @1967276
     /* 1967276 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1967362), // Rule ID 61115 //
     /* 1967281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967327 */     // MIs[0] policy
     /* 1967327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967361 */     // GIR_Coverage, 61115,
     /* 1967361 */     GIR_EraseRootFromParent_Done,
     /* 1967362 */   // Label 26348: @1967362
     /* 1967362 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1967448), // Rule ID 61116 //
     /* 1967367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967413 */     // MIs[0] policy
     /* 1967413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967447 */     // GIR_Coverage, 61116,
     /* 1967447 */     GIR_EraseRootFromParent_Done,
     /* 1967448 */   // Label 26349: @1967448
     /* 1967448 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1967534), // Rule ID 61119 //
     /* 1967453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967499 */     // MIs[0] policy
     /* 1967499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967533 */     // GIR_Coverage, 61119,
     /* 1967533 */     GIR_EraseRootFromParent_Done,
     /* 1967534 */   // Label 26350: @1967534
     /* 1967534 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1967620), // Rule ID 61120 //
     /* 1967539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967585 */     // MIs[0] policy
     /* 1967585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967595 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967619 */     // GIR_Coverage, 61120,
     /* 1967619 */     GIR_EraseRootFromParent_Done,
     /* 1967620 */   // Label 26351: @1967620
     /* 1967620 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1967706), // Rule ID 61123 //
     /* 1967625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1967636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1967639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1967642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1967645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967671 */     // MIs[0] policy
     /* 1967671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967681 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967705 */     // GIR_Coverage, 61123,
     /* 1967705 */     GIR_EraseRootFromParent_Done,
     /* 1967706 */   // Label 26352: @1967706
     /* 1967706 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1967792), // Rule ID 61124 //
     /* 1967711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1967722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1967725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1967728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1967731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967757 */     // MIs[0] policy
     /* 1967757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967767 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967791 */     // GIR_Coverage, 61124,
     /* 1967791 */     GIR_EraseRootFromParent_Done,
     /* 1967792 */   // Label 26353: @1967792
     /* 1967792 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1967878), // Rule ID 61127 //
     /* 1967797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1967808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1967811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1967814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1967817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967843 */     // MIs[0] policy
     /* 1967843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967853 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967877 */     // GIR_Coverage, 61127,
     /* 1967877 */     GIR_EraseRootFromParent_Done,
     /* 1967878 */   // Label 26354: @1967878
     /* 1967878 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1967964), // Rule ID 61128 //
     /* 1967883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1967894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1967897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1967900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1967903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967929 */     // MIs[0] policy
     /* 1967929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967963 */     // GIR_Coverage, 61128,
     /* 1967963 */     GIR_EraseRootFromParent_Done,
     /* 1967964 */   // Label 26355: @1967964
     /* 1967964 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1968050), // Rule ID 61131 //
     /* 1967969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1967980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1967983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1967986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1967989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1967992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968015 */     // MIs[0] policy
     /* 1968015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968025 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968049 */     // GIR_Coverage, 61131,
     /* 1968049 */     GIR_EraseRootFromParent_Done,
     /* 1968050 */   // Label 26356: @1968050
     /* 1968050 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1968136), // Rule ID 61132 //
     /* 1968055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1968066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1968069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1968072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1968075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1968078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968101 */     // MIs[0] policy
     /* 1968101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968111 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968135 */     // GIR_Coverage, 61132,
     /* 1968135 */     GIR_EraseRootFromParent_Done,
     /* 1968136 */   // Label 26357: @1968136
     /* 1968136 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1968222), // Rule ID 61135 //
     /* 1968141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968187 */     // MIs[0] policy
     /* 1968187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968221 */     // GIR_Coverage, 61135,
     /* 1968221 */     GIR_EraseRootFromParent_Done,
     /* 1968222 */   // Label 26358: @1968222
     /* 1968222 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1968308), // Rule ID 61136 //
     /* 1968227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968273 */     // MIs[0] policy
     /* 1968273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968307 */     // GIR_Coverage, 61136,
     /* 1968307 */     GIR_EraseRootFromParent_Done,
     /* 1968308 */   // Label 26359: @1968308
     /* 1968308 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1968394), // Rule ID 61139 //
     /* 1968313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968359 */     // MIs[0] policy
     /* 1968359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968369 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968393 */     // GIR_Coverage, 61139,
     /* 1968393 */     GIR_EraseRootFromParent_Done,
     /* 1968394 */   // Label 26360: @1968394
     /* 1968394 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1968480), // Rule ID 61140 //
     /* 1968399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968445 */     // MIs[0] policy
     /* 1968445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968479 */     // GIR_Coverage, 61140,
     /* 1968479 */     GIR_EraseRootFromParent_Done,
     /* 1968480 */   // Label 26361: @1968480
     /* 1968480 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1968566), // Rule ID 61143 //
     /* 1968485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968531 */     // MIs[0] policy
     /* 1968531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968541 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968565 */     // GIR_Coverage, 61143,
     /* 1968565 */     GIR_EraseRootFromParent_Done,
     /* 1968566 */   // Label 26362: @1968566
     /* 1968566 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1968652), // Rule ID 61144 //
     /* 1968571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968617 */     // MIs[0] policy
     /* 1968617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968651 */     // GIR_Coverage, 61144,
     /* 1968651 */     GIR_EraseRootFromParent_Done,
     /* 1968652 */   // Label 26363: @1968652
     /* 1968652 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1968738), // Rule ID 61147 //
     /* 1968657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968703 */     // MIs[0] policy
     /* 1968703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968713 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968737 */     // GIR_Coverage, 61147,
     /* 1968737 */     GIR_EraseRootFromParent_Done,
     /* 1968738 */   // Label 26364: @1968738
     /* 1968738 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1968824), // Rule ID 61148 //
     /* 1968743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968789 */     // MIs[0] policy
     /* 1968789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968823 */     // GIR_Coverage, 61148,
     /* 1968823 */     GIR_EraseRootFromParent_Done,
     /* 1968824 */   // Label 26365: @1968824
     /* 1968824 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1968910), // Rule ID 61151 //
     /* 1968829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968875 */     // MIs[0] policy
     /* 1968875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968909 */     // GIR_Coverage, 61151,
     /* 1968909 */     GIR_EraseRootFromParent_Done,
     /* 1968910 */   // Label 26366: @1968910
     /* 1968910 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1968996), // Rule ID 61152 //
     /* 1968915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968961 */     // MIs[0] policy
     /* 1968961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968995 */     // GIR_Coverage, 61152,
     /* 1968995 */     GIR_EraseRootFromParent_Done,
     /* 1968996 */   // Label 26367: @1968996
     /* 1968996 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1969082), // Rule ID 61155 //
     /* 1969001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1969018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1969021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969047 */     // MIs[0] policy
     /* 1969047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969081 */     // GIR_Coverage, 61155,
     /* 1969081 */     GIR_EraseRootFromParent_Done,
     /* 1969082 */   // Label 26368: @1969082
     /* 1969082 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1969168), // Rule ID 61156 //
     /* 1969087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1969104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1969107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969133 */     // MIs[0] policy
     /* 1969133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969167 */     // GIR_Coverage, 61156,
     /* 1969167 */     GIR_EraseRootFromParent_Done,
     /* 1969168 */   // Label 26369: @1969168
     /* 1969168 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1969254), // Rule ID 61159 //
     /* 1969173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969219 */     // MIs[0] policy
     /* 1969219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969229 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969253 */     // GIR_Coverage, 61159,
     /* 1969253 */     GIR_EraseRootFromParent_Done,
     /* 1969254 */   // Label 26370: @1969254
     /* 1969254 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1969340), // Rule ID 61160 //
     /* 1969259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969305 */     // MIs[0] policy
     /* 1969305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969339 */     // GIR_Coverage, 61160,
     /* 1969339 */     GIR_EraseRootFromParent_Done,
     /* 1969340 */   // Label 26371: @1969340
     /* 1969340 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1969426), // Rule ID 61163 //
     /* 1969345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969391 */     // MIs[0] policy
     /* 1969391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969401 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969425 */     // GIR_Coverage, 61163,
     /* 1969425 */     GIR_EraseRootFromParent_Done,
     /* 1969426 */   // Label 26372: @1969426
     /* 1969426 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1969512), // Rule ID 61164 //
     /* 1969431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969477 */     // MIs[0] policy
     /* 1969477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969487 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969511 */     // GIR_Coverage, 61164,
     /* 1969511 */     GIR_EraseRootFromParent_Done,
     /* 1969512 */   // Label 26373: @1969512
     /* 1969512 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1969598), // Rule ID 61167 //
     /* 1969517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969563 */     // MIs[0] policy
     /* 1969563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969573 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969597 */     // GIR_Coverage, 61167,
     /* 1969597 */     GIR_EraseRootFromParent_Done,
     /* 1969598 */   // Label 26374: @1969598
     /* 1969598 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1969684), // Rule ID 61168 //
     /* 1969603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969649 */     // MIs[0] policy
     /* 1969649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969683 */     // GIR_Coverage, 61168,
     /* 1969683 */     GIR_EraseRootFromParent_Done,
     /* 1969684 */   // Label 26375: @1969684
     /* 1969684 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1969770), // Rule ID 61171 //
     /* 1969689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1969700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1969703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969735 */     // MIs[0] policy
     /* 1969735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969745 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1969748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969769 */     // GIR_Coverage, 61171,
     /* 1969769 */     GIR_EraseRootFromParent_Done,
     /* 1969770 */   // Label 26376: @1969770
     /* 1969770 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1969856), // Rule ID 61172 //
     /* 1969775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1969786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1969789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969821 */     // MIs[0] policy
     /* 1969821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969831 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1969834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969855 */     // GIR_Coverage, 61172,
     /* 1969855 */     GIR_EraseRootFromParent_Done,
     /* 1969856 */   // Label 26377: @1969856
     /* 1969856 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1969942), // Rule ID 61175 //
     /* 1969861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1969872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1969875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969907 */     // MIs[0] policy
     /* 1969907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1969920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969941 */     // GIR_Coverage, 61175,
     /* 1969941 */     GIR_EraseRootFromParent_Done,
     /* 1969942 */   // Label 26378: @1969942
     /* 1969942 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1970028), // Rule ID 61176 //
     /* 1969947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1969958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1969961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969993 */     // MIs[0] policy
     /* 1969993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970027 */     // GIR_Coverage, 61176,
     /* 1970027 */     GIR_EraseRootFromParent_Done,
     /* 1970028 */   // Label 26379: @1970028
     /* 1970028 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1970114), // Rule ID 61179 //
     /* 1970033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970079 */     // MIs[0] policy
     /* 1970079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970089 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970113 */     // GIR_Coverage, 61179,
     /* 1970113 */     GIR_EraseRootFromParent_Done,
     /* 1970114 */   // Label 26380: @1970114
     /* 1970114 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1970200), // Rule ID 61180 //
     /* 1970119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970165 */     // MIs[0] policy
     /* 1970165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970175 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970199 */     // GIR_Coverage, 61180,
     /* 1970199 */     GIR_EraseRootFromParent_Done,
     /* 1970200 */   // Label 26381: @1970200
     /* 1970200 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1970286), // Rule ID 61183 //
     /* 1970205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970251 */     // MIs[0] policy
     /* 1970251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970285 */     // GIR_Coverage, 61183,
     /* 1970285 */     GIR_EraseRootFromParent_Done,
     /* 1970286 */   // Label 26382: @1970286
     /* 1970286 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1970372), // Rule ID 61184 //
     /* 1970291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970337 */     // MIs[0] policy
     /* 1970337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970347 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970371 */     // GIR_Coverage, 61184,
     /* 1970371 */     GIR_EraseRootFromParent_Done,
     /* 1970372 */   // Label 26383: @1970372
     /* 1970372 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1970458), // Rule ID 61187 //
     /* 1970377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970423 */     // MIs[0] policy
     /* 1970423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970433 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970457 */     // GIR_Coverage, 61187,
     /* 1970457 */     GIR_EraseRootFromParent_Done,
     /* 1970458 */   // Label 26384: @1970458
     /* 1970458 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1970544), // Rule ID 61188 //
     /* 1970463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970509 */     // MIs[0] policy
     /* 1970509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970519 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970543 */     // GIR_Coverage, 61188,
     /* 1970543 */     GIR_EraseRootFromParent_Done,
     /* 1970544 */   // Label 26385: @1970544
     /* 1970544 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1970630), // Rule ID 61191 //
     /* 1970549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970595 */     // MIs[0] policy
     /* 1970595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970629 */     // GIR_Coverage, 61191,
     /* 1970629 */     GIR_EraseRootFromParent_Done,
     /* 1970630 */   // Label 26386: @1970630
     /* 1970630 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1970716), // Rule ID 61192 //
     /* 1970635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970681 */     // MIs[0] policy
     /* 1970681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970715 */     // GIR_Coverage, 61192,
     /* 1970715 */     GIR_EraseRootFromParent_Done,
     /* 1970716 */   // Label 26387: @1970716
     /* 1970716 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1970802), // Rule ID 61195 //
     /* 1970721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1970732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1970735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1970738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970767 */     // MIs[0] policy
     /* 1970767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970801 */     // GIR_Coverage, 61195,
     /* 1970801 */     GIR_EraseRootFromParent_Done,
     /* 1970802 */   // Label 26388: @1970802
     /* 1970802 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1970888), // Rule ID 61196 //
     /* 1970807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1970818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1970821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1970824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970853 */     // MIs[0] policy
     /* 1970853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970863 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970887 */     // GIR_Coverage, 61196,
     /* 1970887 */     GIR_EraseRootFromParent_Done,
     /* 1970888 */   // Label 26389: @1970888
     /* 1970888 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1970974), // Rule ID 61199 //
     /* 1970893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970939 */     // MIs[0] policy
     /* 1970939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970949 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970973 */     // GIR_Coverage, 61199,
     /* 1970973 */     GIR_EraseRootFromParent_Done,
     /* 1970974 */   // Label 26390: @1970974
     /* 1970974 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1971060), // Rule ID 61200 //
     /* 1970979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971025 */     // MIs[0] policy
     /* 1971025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971035 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971059 */     // GIR_Coverage, 61200,
     /* 1971059 */     GIR_EraseRootFromParent_Done,
     /* 1971060 */   // Label 26391: @1971060
     /* 1971060 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1971146), // Rule ID 61203 //
     /* 1971065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971111 */     // MIs[0] policy
     /* 1971111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971145 */     // GIR_Coverage, 61203,
     /* 1971145 */     GIR_EraseRootFromParent_Done,
     /* 1971146 */   // Label 26392: @1971146
     /* 1971146 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1971232), // Rule ID 61204 //
     /* 1971151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971197 */     // MIs[0] policy
     /* 1971197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971231 */     // GIR_Coverage, 61204,
     /* 1971231 */     GIR_EraseRootFromParent_Done,
     /* 1971232 */   // Label 26393: @1971232
     /* 1971232 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1971318), // Rule ID 61207 //
     /* 1971237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971283 */     // MIs[0] policy
     /* 1971283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971317 */     // GIR_Coverage, 61207,
     /* 1971317 */     GIR_EraseRootFromParent_Done,
     /* 1971318 */   // Label 26394: @1971318
     /* 1971318 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1971404), // Rule ID 61208 //
     /* 1971323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971369 */     // MIs[0] policy
     /* 1971369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971403 */     // GIR_Coverage, 61208,
     /* 1971403 */     GIR_EraseRootFromParent_Done,
     /* 1971404 */   // Label 26395: @1971404
     /* 1971404 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1971490), // Rule ID 61211 //
     /* 1971409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971455 */     // MIs[0] policy
     /* 1971455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971465 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971489 */     // GIR_Coverage, 61211,
     /* 1971489 */     GIR_EraseRootFromParent_Done,
     /* 1971490 */   // Label 26396: @1971490
     /* 1971490 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1971576), // Rule ID 61212 //
     /* 1971495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971541 */     // MIs[0] policy
     /* 1971541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971551 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971575 */     // GIR_Coverage, 61212,
     /* 1971575 */     GIR_EraseRootFromParent_Done,
     /* 1971576 */   // Label 26397: @1971576
     /* 1971576 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1971662), // Rule ID 61215 //
     /* 1971581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971627 */     // MIs[0] policy
     /* 1971627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971661 */     // GIR_Coverage, 61215,
     /* 1971661 */     GIR_EraseRootFromParent_Done,
     /* 1971662 */   // Label 26398: @1971662
     /* 1971662 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1971748), // Rule ID 61216 //
     /* 1971667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971713 */     // MIs[0] policy
     /* 1971713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971747 */     // GIR_Coverage, 61216,
     /* 1971747 */     GIR_EraseRootFromParent_Done,
     /* 1971748 */   // Label 26399: @1971748
     /* 1971748 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1971834), // Rule ID 61219 //
     /* 1971753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1971764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1971767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1971770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1971776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971799 */     // MIs[0] policy
     /* 1971799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971809 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971833 */     // GIR_Coverage, 61219,
     /* 1971833 */     GIR_EraseRootFromParent_Done,
     /* 1971834 */   // Label 26400: @1971834
     /* 1971834 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1971920), // Rule ID 61220 //
     /* 1971839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1971850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1971853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1971856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1971862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971885 */     // MIs[0] policy
     /* 1971885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971895 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971919 */     // GIR_Coverage, 61220,
     /* 1971919 */     GIR_EraseRootFromParent_Done,
     /* 1971920 */   // Label 26401: @1971920
     /* 1971920 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1972006), // Rule ID 61223 //
     /* 1971925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1971936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1971939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1971942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971971 */     // MIs[0] policy
     /* 1971971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972005 */     // GIR_Coverage, 61223,
     /* 1972005 */     GIR_EraseRootFromParent_Done,
     /* 1972006 */   // Label 26402: @1972006
     /* 1972006 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1972092), // Rule ID 61224 //
     /* 1972011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1972028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972057 */     // MIs[0] policy
     /* 1972057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972091 */     // GIR_Coverage, 61224,
     /* 1972091 */     GIR_EraseRootFromParent_Done,
     /* 1972092 */   // Label 26403: @1972092
     /* 1972092 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1972178), // Rule ID 61227 //
     /* 1972097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972143 */     // MIs[0] policy
     /* 1972143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972177 */     // GIR_Coverage, 61227,
     /* 1972177 */     GIR_EraseRootFromParent_Done,
     /* 1972178 */   // Label 26404: @1972178
     /* 1972178 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1972264), // Rule ID 61228 //
     /* 1972183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972229 */     // MIs[0] policy
     /* 1972229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972263 */     // GIR_Coverage, 61228,
     /* 1972263 */     GIR_EraseRootFromParent_Done,
     /* 1972264 */   // Label 26405: @1972264
     /* 1972264 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1972350), // Rule ID 61231 //
     /* 1972269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972315 */     // MIs[0] policy
     /* 1972315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972349 */     // GIR_Coverage, 61231,
     /* 1972349 */     GIR_EraseRootFromParent_Done,
     /* 1972350 */   // Label 26406: @1972350
     /* 1972350 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1972436), // Rule ID 61232 //
     /* 1972355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972401 */     // MIs[0] policy
     /* 1972401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972435 */     // GIR_Coverage, 61232,
     /* 1972435 */     GIR_EraseRootFromParent_Done,
     /* 1972436 */   // Label 26407: @1972436
     /* 1972436 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1972522), // Rule ID 61235 //
     /* 1972441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972487 */     // MIs[0] policy
     /* 1972487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972521 */     // GIR_Coverage, 61235,
     /* 1972521 */     GIR_EraseRootFromParent_Done,
     /* 1972522 */   // Label 26408: @1972522
     /* 1972522 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1972608), // Rule ID 61236 //
     /* 1972527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972573 */     // MIs[0] policy
     /* 1972573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972607 */     // GIR_Coverage, 61236,
     /* 1972607 */     GIR_EraseRootFromParent_Done,
     /* 1972608 */   // Label 26409: @1972608
     /* 1972608 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1972694), // Rule ID 61239 //
     /* 1972613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1972624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1972627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1972630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972659 */     // MIs[0] policy
     /* 1972659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972693 */     // GIR_Coverage, 61239,
     /* 1972693 */     GIR_EraseRootFromParent_Done,
     /* 1972694 */   // Label 26410: @1972694
     /* 1972694 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1972780), // Rule ID 61240 //
     /* 1972699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1972710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1972713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1972716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972745 */     // MIs[0] policy
     /* 1972745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972755 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972779 */     // GIR_Coverage, 61240,
     /* 1972779 */     GIR_EraseRootFromParent_Done,
     /* 1972780 */   // Label 26411: @1972780
     /* 1972780 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1972866), // Rule ID 61243 //
     /* 1972785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1972796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1972799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1972802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972831 */     // MIs[0] policy
     /* 1972831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972865 */     // GIR_Coverage, 61243,
     /* 1972865 */     GIR_EraseRootFromParent_Done,
     /* 1972866 */   // Label 26412: @1972866
     /* 1972866 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1972952), // Rule ID 61244 //
     /* 1972871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1972882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1972885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1972888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972917 */     // MIs[0] policy
     /* 1972917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972951 */     // GIR_Coverage, 61244,
     /* 1972951 */     GIR_EraseRootFromParent_Done,
     /* 1972952 */   // Label 26413: @1972952
     /* 1972952 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1973038), // Rule ID 61247 //
     /* 1972957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973003 */     // MIs[0] policy
     /* 1973003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973013 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1973016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973037 */     // GIR_Coverage, 61247,
     /* 1973037 */     GIR_EraseRootFromParent_Done,
     /* 1973038 */   // Label 26414: @1973038
     /* 1973038 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1973124), // Rule ID 61248 //
     /* 1973043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973089 */     // MIs[0] policy
     /* 1973089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1973102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973123 */     // GIR_Coverage, 61248,
     /* 1973123 */     GIR_EraseRootFromParent_Done,
     /* 1973124 */   // Label 26415: @1973124
     /* 1973124 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1973210), // Rule ID 61251 //
     /* 1973129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973175 */     // MIs[0] policy
     /* 1973175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973185 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973209 */     // GIR_Coverage, 61251,
     /* 1973209 */     GIR_EraseRootFromParent_Done,
     /* 1973210 */   // Label 26416: @1973210
     /* 1973210 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1973296), // Rule ID 61252 //
     /* 1973215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973261 */     // MIs[0] policy
     /* 1973261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973295 */     // GIR_Coverage, 61252,
     /* 1973295 */     GIR_EraseRootFromParent_Done,
     /* 1973296 */   // Label 26417: @1973296
     /* 1973296 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1973382), // Rule ID 61255 //
     /* 1973301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973347 */     // MIs[0] policy
     /* 1973347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973357 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973381 */     // GIR_Coverage, 61255,
     /* 1973381 */     GIR_EraseRootFromParent_Done,
     /* 1973382 */   // Label 26418: @1973382
     /* 1973382 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1973468), // Rule ID 61256 //
     /* 1973387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973433 */     // MIs[0] policy
     /* 1973433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973467 */     // GIR_Coverage, 61256,
     /* 1973467 */     GIR_EraseRootFromParent_Done,
     /* 1973468 */   // Label 26419: @1973468
     /* 1973468 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1973554), // Rule ID 61435 //
     /* 1973473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973519 */     // MIs[0] policy
     /* 1973519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973529 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1973532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973553 */     // GIR_Coverage, 61435,
     /* 1973553 */     GIR_EraseRootFromParent_Done,
     /* 1973554 */   // Label 26420: @1973554
     /* 1973554 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1973640), // Rule ID 61436 //
     /* 1973559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973605 */     // MIs[0] policy
     /* 1973605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973615 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1973618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973639 */     // GIR_Coverage, 61436,
     /* 1973639 */     GIR_EraseRootFromParent_Done,
     /* 1973640 */   // Label 26421: @1973640
     /* 1973640 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1973726), // Rule ID 61439 //
     /* 1973645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973691 */     // MIs[0] policy
     /* 1973691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1973704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973725 */     // GIR_Coverage, 61439,
     /* 1973725 */     GIR_EraseRootFromParent_Done,
     /* 1973726 */   // Label 26422: @1973726
     /* 1973726 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1973812), // Rule ID 61440 //
     /* 1973731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973777 */     // MIs[0] policy
     /* 1973777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973787 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1973790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973811 */     // GIR_Coverage, 61440,
     /* 1973811 */     GIR_EraseRootFromParent_Done,
     /* 1973812 */   // Label 26423: @1973812
     /* 1973812 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1973898), // Rule ID 61443 //
     /* 1973817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973863 */     // MIs[0] policy
     /* 1973863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1973876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973897 */     // GIR_Coverage, 61443,
     /* 1973897 */     GIR_EraseRootFromParent_Done,
     /* 1973898 */   // Label 26424: @1973898
     /* 1973898 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1973984), // Rule ID 61444 //
     /* 1973903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973949 */     // MIs[0] policy
     /* 1973949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1973962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973983 */     // GIR_Coverage, 61444,
     /* 1973983 */     GIR_EraseRootFromParent_Done,
     /* 1973984 */   // Label 26425: @1973984
     /* 1973984 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1974070), // Rule ID 61447 //
     /* 1973989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1974009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974035 */     // MIs[0] policy
     /* 1974035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974045 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974069 */     // GIR_Coverage, 61447,
     /* 1974069 */     GIR_EraseRootFromParent_Done,
     /* 1974070 */   // Label 26426: @1974070
     /* 1974070 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1974156), // Rule ID 61448 //
     /* 1974075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1974095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974121 */     // MIs[0] policy
     /* 1974121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974155 */     // GIR_Coverage, 61448,
     /* 1974155 */     GIR_EraseRootFromParent_Done,
     /* 1974156 */   // Label 26427: @1974156
     /* 1974156 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1974242), // Rule ID 61451 //
     /* 1974161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974207 */     // MIs[0] policy
     /* 1974207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974217 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974241 */     // GIR_Coverage, 61451,
     /* 1974241 */     GIR_EraseRootFromParent_Done,
     /* 1974242 */   // Label 26428: @1974242
     /* 1974242 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1974328), // Rule ID 61452 //
     /* 1974247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974293 */     // MIs[0] policy
     /* 1974293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974327 */     // GIR_Coverage, 61452,
     /* 1974327 */     GIR_EraseRootFromParent_Done,
     /* 1974328 */   // Label 26429: @1974328
     /* 1974328 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1974414), // Rule ID 61455 //
     /* 1974333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974379 */     // MIs[0] policy
     /* 1974379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974413 */     // GIR_Coverage, 61455,
     /* 1974413 */     GIR_EraseRootFromParent_Done,
     /* 1974414 */   // Label 26430: @1974414
     /* 1974414 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1974500), // Rule ID 61456 //
     /* 1974419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974465 */     // MIs[0] policy
     /* 1974465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974499 */     // GIR_Coverage, 61456,
     /* 1974499 */     GIR_EraseRootFromParent_Done,
     /* 1974500 */   // Label 26431: @1974500
     /* 1974500 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1974586), // Rule ID 61459 //
     /* 1974505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974551 */     // MIs[0] policy
     /* 1974551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974561 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974585 */     // GIR_Coverage, 61459,
     /* 1974585 */     GIR_EraseRootFromParent_Done,
     /* 1974586 */   // Label 26432: @1974586
     /* 1974586 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1974672), // Rule ID 61460 //
     /* 1974591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974637 */     // MIs[0] policy
     /* 1974637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974671 */     // GIR_Coverage, 61460,
     /* 1974671 */     GIR_EraseRootFromParent_Done,
     /* 1974672 */   // Label 26433: @1974672
     /* 1974672 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1974758), // Rule ID 61463 //
     /* 1974677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974723 */     // MIs[0] policy
     /* 1974723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974757 */     // GIR_Coverage, 61463,
     /* 1974757 */     GIR_EraseRootFromParent_Done,
     /* 1974758 */   // Label 26434: @1974758
     /* 1974758 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1974844), // Rule ID 61464 //
     /* 1974763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974809 */     // MIs[0] policy
     /* 1974809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974843 */     // GIR_Coverage, 61464,
     /* 1974843 */     GIR_EraseRootFromParent_Done,
     /* 1974844 */   // Label 26435: @1974844
     /* 1974844 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1974930), // Rule ID 61467 //
     /* 1974849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974895 */     // MIs[0] policy
     /* 1974895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974929 */     // GIR_Coverage, 61467,
     /* 1974929 */     GIR_EraseRootFromParent_Done,
     /* 1974930 */   // Label 26436: @1974930
     /* 1974930 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1975016), // Rule ID 61468 //
     /* 1974935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974981 */     // MIs[0] policy
     /* 1974981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975015 */     // GIR_Coverage, 61468,
     /* 1975015 */     GIR_EraseRootFromParent_Done,
     /* 1975016 */   // Label 26437: @1975016
     /* 1975016 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1975102), // Rule ID 61471 //
     /* 1975021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975067 */     // MIs[0] policy
     /* 1975067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975101 */     // GIR_Coverage, 61471,
     /* 1975101 */     GIR_EraseRootFromParent_Done,
     /* 1975102 */   // Label 26438: @1975102
     /* 1975102 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1975188), // Rule ID 61472 //
     /* 1975107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975153 */     // MIs[0] policy
     /* 1975153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975163 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975187 */     // GIR_Coverage, 61472,
     /* 1975187 */     GIR_EraseRootFromParent_Done,
     /* 1975188 */   // Label 26439: @1975188
     /* 1975188 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1975274), // Rule ID 61475 //
     /* 1975193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975239 */     // MIs[0] policy
     /* 1975239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975249 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975273 */     // GIR_Coverage, 61475,
     /* 1975273 */     GIR_EraseRootFromParent_Done,
     /* 1975274 */   // Label 26440: @1975274
     /* 1975274 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1975360), // Rule ID 61476 //
     /* 1975279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975325 */     // MIs[0] policy
     /* 1975325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975335 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975359 */     // GIR_Coverage, 61476,
     /* 1975359 */     GIR_EraseRootFromParent_Done,
     /* 1975360 */   // Label 26441: @1975360
     /* 1975360 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1975446), // Rule ID 61479 //
     /* 1975365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975411 */     // MIs[0] policy
     /* 1975411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975445 */     // GIR_Coverage, 61479,
     /* 1975445 */     GIR_EraseRootFromParent_Done,
     /* 1975446 */   // Label 26442: @1975446
     /* 1975446 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1975532), // Rule ID 61480 //
     /* 1975451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975497 */     // MIs[0] policy
     /* 1975497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975507 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975531 */     // GIR_Coverage, 61480,
     /* 1975531 */     GIR_EraseRootFromParent_Done,
     /* 1975532 */   // Label 26443: @1975532
     /* 1975532 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1975618), // Rule ID 61483 //
     /* 1975537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975583 */     // MIs[0] policy
     /* 1975583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975593 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975617 */     // GIR_Coverage, 61483,
     /* 1975617 */     GIR_EraseRootFromParent_Done,
     /* 1975618 */   // Label 26444: @1975618
     /* 1975618 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1975704), // Rule ID 61484 //
     /* 1975623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975669 */     // MIs[0] policy
     /* 1975669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975679 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975703 */     // GIR_Coverage, 61484,
     /* 1975703 */     GIR_EraseRootFromParent_Done,
     /* 1975704 */   // Label 26445: @1975704
     /* 1975704 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1975790), // Rule ID 61487 //
     /* 1975709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975755 */     // MIs[0] policy
     /* 1975755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975765 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975789 */     // GIR_Coverage, 61487,
     /* 1975789 */     GIR_EraseRootFromParent_Done,
     /* 1975790 */   // Label 26446: @1975790
     /* 1975790 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1975876), // Rule ID 61488 //
     /* 1975795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975841 */     // MIs[0] policy
     /* 1975841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975875 */     // GIR_Coverage, 61488,
     /* 1975875 */     GIR_EraseRootFromParent_Done,
     /* 1975876 */   // Label 26447: @1975876
     /* 1975876 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1975962), // Rule ID 61491 //
     /* 1975881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975927 */     // MIs[0] policy
     /* 1975927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975937 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975961 */     // GIR_Coverage, 61491,
     /* 1975961 */     GIR_EraseRootFromParent_Done,
     /* 1975962 */   // Label 26448: @1975962
     /* 1975962 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1976048), // Rule ID 61492 //
     /* 1975967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976013 */     // MIs[0] policy
     /* 1976013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976023 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976047 */     // GIR_Coverage, 61492,
     /* 1976047 */     GIR_EraseRootFromParent_Done,
     /* 1976048 */   // Label 26449: @1976048
     /* 1976048 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1976134), // Rule ID 61495 //
     /* 1976053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976099 */     // MIs[0] policy
     /* 1976099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976133 */     // GIR_Coverage, 61495,
     /* 1976133 */     GIR_EraseRootFromParent_Done,
     /* 1976134 */   // Label 26450: @1976134
     /* 1976134 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1976220), // Rule ID 61496 //
     /* 1976139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976185 */     // MIs[0] policy
     /* 1976185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976195 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976219 */     // GIR_Coverage, 61496,
     /* 1976219 */     GIR_EraseRootFromParent_Done,
     /* 1976220 */   // Label 26451: @1976220
     /* 1976220 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1976306), // Rule ID 61499 //
     /* 1976225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976271 */     // MIs[0] policy
     /* 1976271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976305 */     // GIR_Coverage, 61499,
     /* 1976305 */     GIR_EraseRootFromParent_Done,
     /* 1976306 */   // Label 26452: @1976306
     /* 1976306 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1976392), // Rule ID 61500 //
     /* 1976311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976357 */     // MIs[0] policy
     /* 1976357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976391 */     // GIR_Coverage, 61500,
     /* 1976391 */     GIR_EraseRootFromParent_Done,
     /* 1976392 */   // Label 26453: @1976392
     /* 1976392 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1976478), // Rule ID 61503 //
     /* 1976397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976443 */     // MIs[0] policy
     /* 1976443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976477 */     // GIR_Coverage, 61503,
     /* 1976477 */     GIR_EraseRootFromParent_Done,
     /* 1976478 */   // Label 26454: @1976478
     /* 1976478 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1976564), // Rule ID 61504 //
     /* 1976483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976529 */     // MIs[0] policy
     /* 1976529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976563 */     // GIR_Coverage, 61504,
     /* 1976563 */     GIR_EraseRootFromParent_Done,
     /* 1976564 */   // Label 26455: @1976564
     /* 1976564 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1976650), // Rule ID 61507 //
     /* 1976569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976615 */     // MIs[0] policy
     /* 1976615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976625 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976649 */     // GIR_Coverage, 61507,
     /* 1976649 */     GIR_EraseRootFromParent_Done,
     /* 1976650 */   // Label 26456: @1976650
     /* 1976650 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1976736), // Rule ID 61508 //
     /* 1976655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976701 */     // MIs[0] policy
     /* 1976701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976735 */     // GIR_Coverage, 61508,
     /* 1976735 */     GIR_EraseRootFromParent_Done,
     /* 1976736 */   // Label 26457: @1976736
     /* 1976736 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1976822), // Rule ID 61511 //
     /* 1976741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976787 */     // MIs[0] policy
     /* 1976787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976821 */     // GIR_Coverage, 61511,
     /* 1976821 */     GIR_EraseRootFromParent_Done,
     /* 1976822 */   // Label 26458: @1976822
     /* 1976822 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1976908), // Rule ID 61512 //
     /* 1976827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976873 */     // MIs[0] policy
     /* 1976873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976907 */     // GIR_Coverage, 61512,
     /* 1976907 */     GIR_EraseRootFromParent_Done,
     /* 1976908 */   // Label 26459: @1976908
     /* 1976908 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1976994), // Rule ID 61515 //
     /* 1976913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976959 */     // MIs[0] policy
     /* 1976959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976969 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976993 */     // GIR_Coverage, 61515,
     /* 1976993 */     GIR_EraseRootFromParent_Done,
     /* 1976994 */   // Label 26460: @1976994
     /* 1976994 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1977080), // Rule ID 61516 //
     /* 1976999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1977010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1977013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1977016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1977019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977045 */     // MIs[0] policy
     /* 1977045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977055 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1977058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977079 */     // GIR_Coverage, 61516,
     /* 1977079 */     GIR_EraseRootFromParent_Done,
     /* 1977080 */   // Label 26461: @1977080
     /* 1977080 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1977166), // Rule ID 61519 //
     /* 1977085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977131 */     // MIs[0] policy
     /* 1977131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977141 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977165 */     // GIR_Coverage, 61519,
     /* 1977165 */     GIR_EraseRootFromParent_Done,
     /* 1977166 */   // Label 26462: @1977166
     /* 1977166 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1977252), // Rule ID 61520 //
     /* 1977171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977217 */     // MIs[0] policy
     /* 1977217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977251 */     // GIR_Coverage, 61520,
     /* 1977251 */     GIR_EraseRootFromParent_Done,
     /* 1977252 */   // Label 26463: @1977252
     /* 1977252 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1977338), // Rule ID 61523 //
     /* 1977257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977303 */     // MIs[0] policy
     /* 1977303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977313 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977337 */     // GIR_Coverage, 61523,
     /* 1977337 */     GIR_EraseRootFromParent_Done,
     /* 1977338 */   // Label 26464: @1977338
     /* 1977338 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1977424), // Rule ID 61524 //
     /* 1977343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977389 */     // MIs[0] policy
     /* 1977389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977399 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977423 */     // GIR_Coverage, 61524,
     /* 1977423 */     GIR_EraseRootFromParent_Done,
     /* 1977424 */   // Label 26465: @1977424
     /* 1977424 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1977510), // Rule ID 61527 //
     /* 1977429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977475 */     // MIs[0] policy
     /* 1977475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977509 */     // GIR_Coverage, 61527,
     /* 1977509 */     GIR_EraseRootFromParent_Done,
     /* 1977510 */   // Label 26466: @1977510
     /* 1977510 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1977596), // Rule ID 61528 //
     /* 1977515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977561 */     // MIs[0] policy
     /* 1977561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977571 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977595 */     // GIR_Coverage, 61528,
     /* 1977595 */     GIR_EraseRootFromParent_Done,
     /* 1977596 */   // Label 26467: @1977596
     /* 1977596 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1977682), // Rule ID 61531 //
     /* 1977601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977647 */     // MIs[0] policy
     /* 1977647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977657 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1977660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977681 */     // GIR_Coverage, 61531,
     /* 1977681 */     GIR_EraseRootFromParent_Done,
     /* 1977682 */   // Label 26468: @1977682
     /* 1977682 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1977768), // Rule ID 61532 //
     /* 1977687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977733 */     // MIs[0] policy
     /* 1977733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977743 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1977746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977767 */     // GIR_Coverage, 61532,
     /* 1977767 */     GIR_EraseRootFromParent_Done,
     /* 1977768 */   // Label 26469: @1977768
     /* 1977768 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1977854), // Rule ID 61535 //
     /* 1977773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977819 */     // MIs[0] policy
     /* 1977819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977829 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977853 */     // GIR_Coverage, 61535,
     /* 1977853 */     GIR_EraseRootFromParent_Done,
     /* 1977854 */   // Label 26470: @1977854
     /* 1977854 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1977940), // Rule ID 61536 //
     /* 1977859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977905 */     // MIs[0] policy
     /* 1977905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977915 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977939 */     // GIR_Coverage, 61536,
     /* 1977939 */     GIR_EraseRootFromParent_Done,
     /* 1977940 */   // Label 26471: @1977940
     /* 1977940 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1978026), // Rule ID 61539 //
     /* 1977945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977991 */     // MIs[0] policy
     /* 1977991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978001 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978025 */     // GIR_Coverage, 61539,
     /* 1978025 */     GIR_EraseRootFromParent_Done,
     /* 1978026 */   // Label 26472: @1978026
     /* 1978026 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1978112), // Rule ID 61540 //
     /* 1978031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978077 */     // MIs[0] policy
     /* 1978077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978111 */     // GIR_Coverage, 61540,
     /* 1978111 */     GIR_EraseRootFromParent_Done,
     /* 1978112 */   // Label 26473: @1978112
     /* 1978112 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1978198), // Rule ID 61543 //
     /* 1978117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978163 */     // MIs[0] policy
     /* 1978163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978173 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978197 */     // GIR_Coverage, 61543,
     /* 1978197 */     GIR_EraseRootFromParent_Done,
     /* 1978198 */   // Label 26474: @1978198
     /* 1978198 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1978284), // Rule ID 61544 //
     /* 1978203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978249 */     // MIs[0] policy
     /* 1978249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978283 */     // GIR_Coverage, 61544,
     /* 1978283 */     GIR_EraseRootFromParent_Done,
     /* 1978284 */   // Label 26475: @1978284
     /* 1978284 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1978370), // Rule ID 61547 //
     /* 1978289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978335 */     // MIs[0] policy
     /* 1978335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978345 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978369 */     // GIR_Coverage, 61547,
     /* 1978369 */     GIR_EraseRootFromParent_Done,
     /* 1978370 */   // Label 26476: @1978370
     /* 1978370 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1978456), // Rule ID 61548 //
     /* 1978375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978421 */     // MIs[0] policy
     /* 1978421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978431 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978455 */     // GIR_Coverage, 61548,
     /* 1978455 */     GIR_EraseRootFromParent_Done,
     /* 1978456 */   // Label 26477: @1978456
     /* 1978456 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1978542), // Rule ID 61551 //
     /* 1978461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978507 */     // MIs[0] policy
     /* 1978507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978541 */     // GIR_Coverage, 61551,
     /* 1978541 */     GIR_EraseRootFromParent_Done,
     /* 1978542 */   // Label 26478: @1978542
     /* 1978542 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1978628), // Rule ID 61552 //
     /* 1978547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978593 */     // MIs[0] policy
     /* 1978593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978627 */     // GIR_Coverage, 61552,
     /* 1978627 */     GIR_EraseRootFromParent_Done,
     /* 1978628 */   // Label 26479: @1978628
     /* 1978628 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1978714), // Rule ID 61555 //
     /* 1978633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978679 */     // MIs[0] policy
     /* 1978679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978713 */     // GIR_Coverage, 61555,
     /* 1978713 */     GIR_EraseRootFromParent_Done,
     /* 1978714 */   // Label 26480: @1978714
     /* 1978714 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1978800), // Rule ID 61556 //
     /* 1978719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978765 */     // MIs[0] policy
     /* 1978765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978799 */     // GIR_Coverage, 61556,
     /* 1978799 */     GIR_EraseRootFromParent_Done,
     /* 1978800 */   // Label 26481: @1978800
     /* 1978800 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1978886), // Rule ID 61559 //
     /* 1978805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978851 */     // MIs[0] policy
     /* 1978851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978885 */     // GIR_Coverage, 61559,
     /* 1978885 */     GIR_EraseRootFromParent_Done,
     /* 1978886 */   // Label 26482: @1978886
     /* 1978886 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1978972), // Rule ID 61560 //
     /* 1978891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978937 */     // MIs[0] policy
     /* 1978937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978971 */     // GIR_Coverage, 61560,
     /* 1978971 */     GIR_EraseRootFromParent_Done,
     /* 1978972 */   // Label 26483: @1978972
     /* 1978972 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1979058), // Rule ID 61563 //
     /* 1978977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1978988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1978991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1978994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979023 */     // MIs[0] policy
     /* 1979023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979033 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979057 */     // GIR_Coverage, 61563,
     /* 1979057 */     GIR_EraseRootFromParent_Done,
     /* 1979058 */   // Label 26484: @1979058
     /* 1979058 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1979144), // Rule ID 61564 //
     /* 1979063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979109 */     // MIs[0] policy
     /* 1979109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979119 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979143 */     // GIR_Coverage, 61564,
     /* 1979143 */     GIR_EraseRootFromParent_Done,
     /* 1979144 */   // Label 26485: @1979144
     /* 1979144 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1979230), // Rule ID 61567 //
     /* 1979149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979195 */     // MIs[0] policy
     /* 1979195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979205 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979229 */     // GIR_Coverage, 61567,
     /* 1979229 */     GIR_EraseRootFromParent_Done,
     /* 1979230 */   // Label 26486: @1979230
     /* 1979230 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1979316), // Rule ID 61568 //
     /* 1979235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979281 */     // MIs[0] policy
     /* 1979281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979291 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979315 */     // GIR_Coverage, 61568,
     /* 1979315 */     GIR_EraseRootFromParent_Done,
     /* 1979316 */   // Label 26487: @1979316
     /* 1979316 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1979402), // Rule ID 61571 //
     /* 1979321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979367 */     // MIs[0] policy
     /* 1979367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979401 */     // GIR_Coverage, 61571,
     /* 1979401 */     GIR_EraseRootFromParent_Done,
     /* 1979402 */   // Label 26488: @1979402
     /* 1979402 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1979488), // Rule ID 61572 //
     /* 1979407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979453 */     // MIs[0] policy
     /* 1979453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979463 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979487 */     // GIR_Coverage, 61572,
     /* 1979487 */     GIR_EraseRootFromParent_Done,
     /* 1979488 */   // Label 26489: @1979488
     /* 1979488 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1979574), // Rule ID 61575 //
     /* 1979493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979539 */     // MIs[0] policy
     /* 1979539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979573 */     // GIR_Coverage, 61575,
     /* 1979573 */     GIR_EraseRootFromParent_Done,
     /* 1979574 */   // Label 26490: @1979574
     /* 1979574 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1979660), // Rule ID 61576 //
     /* 1979579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979625 */     // MIs[0] policy
     /* 1979625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979659 */     // GIR_Coverage, 61576,
     /* 1979659 */     GIR_EraseRootFromParent_Done,
     /* 1979660 */   // Label 26491: @1979660
     /* 1979660 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1979746), // Rule ID 61579 //
     /* 1979665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979711 */     // MIs[0] policy
     /* 1979711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979721 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979745 */     // GIR_Coverage, 61579,
     /* 1979745 */     GIR_EraseRootFromParent_Done,
     /* 1979746 */   // Label 26492: @1979746
     /* 1979746 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1979832), // Rule ID 61580 //
     /* 1979751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979797 */     // MIs[0] policy
     /* 1979797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979807 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979831 */     // GIR_Coverage, 61580,
     /* 1979831 */     GIR_EraseRootFromParent_Done,
     /* 1979832 */   // Label 26493: @1979832
     /* 1979832 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1979918), // Rule ID 61583 //
     /* 1979837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979883 */     // MIs[0] policy
     /* 1979883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979893 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979917 */     // GIR_Coverage, 61583,
     /* 1979917 */     GIR_EraseRootFromParent_Done,
     /* 1979918 */   // Label 26494: @1979918
     /* 1979918 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1980004), // Rule ID 61584 //
     /* 1979923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979969 */     // MIs[0] policy
     /* 1979969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980003 */     // GIR_Coverage, 61584,
     /* 1980003 */     GIR_EraseRootFromParent_Done,
     /* 1980004 */   // Label 26495: @1980004
     /* 1980004 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1980090), // Rule ID 61587 //
     /* 1980009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980055 */     // MIs[0] policy
     /* 1980055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980089 */     // GIR_Coverage, 61587,
     /* 1980089 */     GIR_EraseRootFromParent_Done,
     /* 1980090 */   // Label 26496: @1980090
     /* 1980090 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1980176), // Rule ID 61588 //
     /* 1980095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980141 */     // MIs[0] policy
     /* 1980141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980175 */     // GIR_Coverage, 61588,
     /* 1980175 */     GIR_EraseRootFromParent_Done,
     /* 1980176 */   // Label 26497: @1980176
     /* 1980176 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1980262), // Rule ID 61591 //
     /* 1980181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980227 */     // MIs[0] policy
     /* 1980227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980261 */     // GIR_Coverage, 61591,
     /* 1980261 */     GIR_EraseRootFromParent_Done,
     /* 1980262 */   // Label 26498: @1980262
     /* 1980262 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1980348), // Rule ID 61592 //
     /* 1980267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980313 */     // MIs[0] policy
     /* 1980313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980323 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980347 */     // GIR_Coverage, 61592,
     /* 1980347 */     GIR_EraseRootFromParent_Done,
     /* 1980348 */   // Label 26499: @1980348
     /* 1980348 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1980434), // Rule ID 61595 //
     /* 1980353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980399 */     // MIs[0] policy
     /* 1980399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980409 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980433 */     // GIR_Coverage, 61595,
     /* 1980433 */     GIR_EraseRootFromParent_Done,
     /* 1980434 */   // Label 26500: @1980434
     /* 1980434 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1980520), // Rule ID 61596 //
     /* 1980439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980485 */     // MIs[0] policy
     /* 1980485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980519 */     // GIR_Coverage, 61596,
     /* 1980519 */     GIR_EraseRootFromParent_Done,
     /* 1980520 */   // Label 26501: @1980520
     /* 1980520 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1980606), // Rule ID 61599 //
     /* 1980525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980571 */     // MIs[0] policy
     /* 1980571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980581 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980605 */     // GIR_Coverage, 61599,
     /* 1980605 */     GIR_EraseRootFromParent_Done,
     /* 1980606 */   // Label 26502: @1980606
     /* 1980606 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1980692), // Rule ID 61600 //
     /* 1980611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980657 */     // MIs[0] policy
     /* 1980657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980691 */     // GIR_Coverage, 61600,
     /* 1980691 */     GIR_EraseRootFromParent_Done,
     /* 1980692 */   // Label 26503: @1980692
     /* 1980692 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1980778), // Rule ID 61603 //
     /* 1980697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980743 */     // MIs[0] policy
     /* 1980743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980753 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980777 */     // GIR_Coverage, 61603,
     /* 1980777 */     GIR_EraseRootFromParent_Done,
     /* 1980778 */   // Label 26504: @1980778
     /* 1980778 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1980864), // Rule ID 61604 //
     /* 1980783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980829 */     // MIs[0] policy
     /* 1980829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980863 */     // GIR_Coverage, 61604,
     /* 1980863 */     GIR_EraseRootFromParent_Done,
     /* 1980864 */   // Label 26505: @1980864
     /* 1980864 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1980950), // Rule ID 61607 //
     /* 1980869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980915 */     // MIs[0] policy
     /* 1980915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980925 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980949 */     // GIR_Coverage, 61607,
     /* 1980949 */     GIR_EraseRootFromParent_Done,
     /* 1980950 */   // Label 26506: @1980950
     /* 1980950 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1981036), // Rule ID 61608 //
     /* 1980955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981001 */     // MIs[0] policy
     /* 1981001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981011 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1981014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981035 */     // GIR_Coverage, 61608,
     /* 1981035 */     GIR_EraseRootFromParent_Done,
     /* 1981036 */   // Label 26507: @1981036
     /* 1981036 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1981122), // Rule ID 61695 //
     /* 1981041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981087 */     // MIs[0] policy
     /* 1981087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981121 */     // GIR_Coverage, 61695,
     /* 1981121 */     GIR_EraseRootFromParent_Done,
     /* 1981122 */   // Label 26508: @1981122
     /* 1981122 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1981208), // Rule ID 61696 //
     /* 1981127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981173 */     // MIs[0] policy
     /* 1981173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981207 */     // GIR_Coverage, 61696,
     /* 1981207 */     GIR_EraseRootFromParent_Done,
     /* 1981208 */   // Label 26509: @1981208
     /* 1981208 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1981294), // Rule ID 61699 //
     /* 1981213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981259 */     // MIs[0] policy
     /* 1981259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981269 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981293 */     // GIR_Coverage, 61699,
     /* 1981293 */     GIR_EraseRootFromParent_Done,
     /* 1981294 */   // Label 26510: @1981294
     /* 1981294 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1981380), // Rule ID 61700 //
     /* 1981299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981345 */     // MIs[0] policy
     /* 1981345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981355 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981379 */     // GIR_Coverage, 61700,
     /* 1981379 */     GIR_EraseRootFromParent_Done,
     /* 1981380 */   // Label 26511: @1981380
     /* 1981380 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1981466), // Rule ID 61703 //
     /* 1981385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981431 */     // MIs[0] policy
     /* 1981431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981441 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981465 */     // GIR_Coverage, 61703,
     /* 1981465 */     GIR_EraseRootFromParent_Done,
     /* 1981466 */   // Label 26512: @1981466
     /* 1981466 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1981552), // Rule ID 61704 //
     /* 1981471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981517 */     // MIs[0] policy
     /* 1981517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981527 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981551 */     // GIR_Coverage, 61704,
     /* 1981551 */     GIR_EraseRootFromParent_Done,
     /* 1981552 */   // Label 26513: @1981552
     /* 1981552 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1981638), // Rule ID 61707 //
     /* 1981557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981603 */     // MIs[0] policy
     /* 1981603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981613 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981637 */     // GIR_Coverage, 61707,
     /* 1981637 */     GIR_EraseRootFromParent_Done,
     /* 1981638 */   // Label 26514: @1981638
     /* 1981638 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1981724), // Rule ID 61708 //
     /* 1981643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981689 */     // MIs[0] policy
     /* 1981689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981723 */     // GIR_Coverage, 61708,
     /* 1981723 */     GIR_EraseRootFromParent_Done,
     /* 1981724 */   // Label 26515: @1981724
     /* 1981724 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1981810), // Rule ID 61711 //
     /* 1981729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1981749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981775 */     // MIs[0] policy
     /* 1981775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981785 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981809 */     // GIR_Coverage, 61711,
     /* 1981809 */     GIR_EraseRootFromParent_Done,
     /* 1981810 */   // Label 26516: @1981810
     /* 1981810 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1981896), // Rule ID 61712 //
     /* 1981815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1981835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981861 */     // MIs[0] policy
     /* 1981861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981895 */     // GIR_Coverage, 61712,
     /* 1981895 */     GIR_EraseRootFromParent_Done,
     /* 1981896 */   // Label 26517: @1981896
     /* 1981896 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1981982), // Rule ID 61715 //
     /* 1981901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1981921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981947 */     // MIs[0] policy
     /* 1981947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981957 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981981 */     // GIR_Coverage, 61715,
     /* 1981981 */     GIR_EraseRootFromParent_Done,
     /* 1981982 */   // Label 26518: @1981982
     /* 1981982 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1982068), // Rule ID 61716 //
     /* 1981987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1982007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982033 */     // MIs[0] policy
     /* 1982033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982067 */     // GIR_Coverage, 61716,
     /* 1982067 */     GIR_EraseRootFromParent_Done,
     /* 1982068 */   // Label 26519: @1982068
     /* 1982068 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1982154), // Rule ID 61719 //
     /* 1982073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982119 */     // MIs[0] policy
     /* 1982119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982129 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982153 */     // GIR_Coverage, 61719,
     /* 1982153 */     GIR_EraseRootFromParent_Done,
     /* 1982154 */   // Label 26520: @1982154
     /* 1982154 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1982240), // Rule ID 61720 //
     /* 1982159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982205 */     // MIs[0] policy
     /* 1982205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982215 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982239 */     // GIR_Coverage, 61720,
     /* 1982239 */     GIR_EraseRootFromParent_Done,
     /* 1982240 */   // Label 26521: @1982240
     /* 1982240 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1982326), // Rule ID 61723 //
     /* 1982245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982291 */     // MIs[0] policy
     /* 1982291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982325 */     // GIR_Coverage, 61723,
     /* 1982325 */     GIR_EraseRootFromParent_Done,
     /* 1982326 */   // Label 26522: @1982326
     /* 1982326 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1982412), // Rule ID 61724 //
     /* 1982331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982377 */     // MIs[0] policy
     /* 1982377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982411 */     // GIR_Coverage, 61724,
     /* 1982411 */     GIR_EraseRootFromParent_Done,
     /* 1982412 */   // Label 26523: @1982412
     /* 1982412 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1982498), // Rule ID 61727 //
     /* 1982417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982463 */     // MIs[0] policy
     /* 1982463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982497 */     // GIR_Coverage, 61727,
     /* 1982497 */     GIR_EraseRootFromParent_Done,
     /* 1982498 */   // Label 26524: @1982498
     /* 1982498 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1982584), // Rule ID 61728 //
     /* 1982503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982549 */     // MIs[0] policy
     /* 1982549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982583 */     // GIR_Coverage, 61728,
     /* 1982583 */     GIR_EraseRootFromParent_Done,
     /* 1982584 */   // Label 26525: @1982584
     /* 1982584 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1982670), // Rule ID 61731 //
     /* 1982589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982635 */     // MIs[0] policy
     /* 1982635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982669 */     // GIR_Coverage, 61731,
     /* 1982669 */     GIR_EraseRootFromParent_Done,
     /* 1982670 */   // Label 26526: @1982670
     /* 1982670 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1982756), // Rule ID 61732 //
     /* 1982675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982721 */     // MIs[0] policy
     /* 1982721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982755 */     // GIR_Coverage, 61732,
     /* 1982755 */     GIR_EraseRootFromParent_Done,
     /* 1982756 */   // Label 26527: @1982756
     /* 1982756 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1982842), // Rule ID 61735 //
     /* 1982761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982807 */     // MIs[0] policy
     /* 1982807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982817 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982841 */     // GIR_Coverage, 61735,
     /* 1982841 */     GIR_EraseRootFromParent_Done,
     /* 1982842 */   // Label 26528: @1982842
     /* 1982842 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1982928), // Rule ID 61736 //
     /* 1982847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982893 */     // MIs[0] policy
     /* 1982893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982903 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982927 */     // GIR_Coverage, 61736,
     /* 1982927 */     GIR_EraseRootFromParent_Done,
     /* 1982928 */   // Label 26529: @1982928
     /* 1982928 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1983014), // Rule ID 61739 //
     /* 1982933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982979 */     // MIs[0] policy
     /* 1982979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982989 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1982992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983013 */     // GIR_Coverage, 61739,
     /* 1983013 */     GIR_EraseRootFromParent_Done,
     /* 1983014 */   // Label 26530: @1983014
     /* 1983014 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1983100), // Rule ID 61740 //
     /* 1983019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1983030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1983033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1983039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983065 */     // MIs[0] policy
     /* 1983065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983075 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983099 */     // GIR_Coverage, 61740,
     /* 1983099 */     GIR_EraseRootFromParent_Done,
     /* 1983100 */   // Label 26531: @1983100
     /* 1983100 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1983186), // Rule ID 61743 //
     /* 1983105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983151 */     // MIs[0] policy
     /* 1983151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983161 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983185 */     // GIR_Coverage, 61743,
     /* 1983185 */     GIR_EraseRootFromParent_Done,
     /* 1983186 */   // Label 26532: @1983186
     /* 1983186 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1983272), // Rule ID 61744 //
     /* 1983191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983237 */     // MIs[0] policy
     /* 1983237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983271 */     // GIR_Coverage, 61744,
     /* 1983271 */     GIR_EraseRootFromParent_Done,
     /* 1983272 */   // Label 26533: @1983272
     /* 1983272 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1983358), // Rule ID 61747 //
     /* 1983277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983323 */     // MIs[0] policy
     /* 1983323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983357 */     // GIR_Coverage, 61747,
     /* 1983357 */     GIR_EraseRootFromParent_Done,
     /* 1983358 */   // Label 26534: @1983358
     /* 1983358 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1983444), // Rule ID 61748 //
     /* 1983363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983409 */     // MIs[0] policy
     /* 1983409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983443 */     // GIR_Coverage, 61748,
     /* 1983443 */     GIR_EraseRootFromParent_Done,
     /* 1983444 */   // Label 26535: @1983444
     /* 1983444 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1983530), // Rule ID 61751 //
     /* 1983449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983495 */     // MIs[0] policy
     /* 1983495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983505 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983529 */     // GIR_Coverage, 61751,
     /* 1983529 */     GIR_EraseRootFromParent_Done,
     /* 1983530 */   // Label 26536: @1983530
     /* 1983530 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1983616), // Rule ID 61752 //
     /* 1983535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983581 */     // MIs[0] policy
     /* 1983581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983591 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983615 */     // GIR_Coverage, 61752,
     /* 1983615 */     GIR_EraseRootFromParent_Done,
     /* 1983616 */   // Label 26537: @1983616
     /* 1983616 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1983702), // Rule ID 61755 //
     /* 1983621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1983641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983667 */     // MIs[0] policy
     /* 1983667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983677 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983701 */     // GIR_Coverage, 61755,
     /* 1983701 */     GIR_EraseRootFromParent_Done,
     /* 1983702 */   // Label 26538: @1983702
     /* 1983702 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1983788), // Rule ID 61756 //
     /* 1983707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1983727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983753 */     // MIs[0] policy
     /* 1983753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983787 */     // GIR_Coverage, 61756,
     /* 1983787 */     GIR_EraseRootFromParent_Done,
     /* 1983788 */   // Label 26539: @1983788
     /* 1983788 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1983874), // Rule ID 61759 //
     /* 1983793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983839 */     // MIs[0] policy
     /* 1983839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983873 */     // GIR_Coverage, 61759,
     /* 1983873 */     GIR_EraseRootFromParent_Done,
     /* 1983874 */   // Label 26540: @1983874
     /* 1983874 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1983960), // Rule ID 61760 //
     /* 1983879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983925 */     // MIs[0] policy
     /* 1983925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983959 */     // GIR_Coverage, 61760,
     /* 1983959 */     GIR_EraseRootFromParent_Done,
     /* 1983960 */   // Label 26541: @1983960
     /* 1983960 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1984046), // Rule ID 61763 //
     /* 1983965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984011 */     // MIs[0] policy
     /* 1984011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984045 */     // GIR_Coverage, 61763,
     /* 1984045 */     GIR_EraseRootFromParent_Done,
     /* 1984046 */   // Label 26542: @1984046
     /* 1984046 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1984132), // Rule ID 61764 //
     /* 1984051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1984071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984097 */     // MIs[0] policy
     /* 1984097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984131 */     // GIR_Coverage, 61764,
     /* 1984131 */     GIR_EraseRootFromParent_Done,
     /* 1984132 */   // Label 26543: @1984132
     /* 1984132 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1984218), // Rule ID 61767 //
     /* 1984137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984183 */     // MIs[0] policy
     /* 1984183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984217 */     // GIR_Coverage, 61767,
     /* 1984217 */     GIR_EraseRootFromParent_Done,
     /* 1984218 */   // Label 26544: @1984218
     /* 1984218 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1984304), // Rule ID 61768 //
     /* 1984223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984269 */     // MIs[0] policy
     /* 1984269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984279 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984303 */     // GIR_Coverage, 61768,
     /* 1984303 */     GIR_EraseRootFromParent_Done,
     /* 1984304 */   // Label 26545: @1984304
     /* 1984304 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1984390), // Rule ID 61771 //
     /* 1984309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984355 */     // MIs[0] policy
     /* 1984355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984389 */     // GIR_Coverage, 61771,
     /* 1984389 */     GIR_EraseRootFromParent_Done,
     /* 1984390 */   // Label 26546: @1984390
     /* 1984390 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1984476), // Rule ID 61772 //
     /* 1984395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984441 */     // MIs[0] policy
     /* 1984441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984475 */     // GIR_Coverage, 61772,
     /* 1984475 */     GIR_EraseRootFromParent_Done,
     /* 1984476 */   // Label 26547: @1984476
     /* 1984476 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1984562), // Rule ID 61775 //
     /* 1984481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984527 */     // MIs[0] policy
     /* 1984527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984561 */     // GIR_Coverage, 61775,
     /* 1984561 */     GIR_EraseRootFromParent_Done,
     /* 1984562 */   // Label 26548: @1984562
     /* 1984562 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1984648), // Rule ID 61776 //
     /* 1984567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984613 */     // MIs[0] policy
     /* 1984613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984623 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984647 */     // GIR_Coverage, 61776,
     /* 1984647 */     GIR_EraseRootFromParent_Done,
     /* 1984648 */   // Label 26549: @1984648
     /* 1984648 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1984734), // Rule ID 61779 //
     /* 1984653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1984673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984699 */     // MIs[0] policy
     /* 1984699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984733 */     // GIR_Coverage, 61779,
     /* 1984733 */     GIR_EraseRootFromParent_Done,
     /* 1984734 */   // Label 26550: @1984734
     /* 1984734 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1984820), // Rule ID 61780 //
     /* 1984739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1984759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984785 */     // MIs[0] policy
     /* 1984785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984795 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984819 */     // GIR_Coverage, 61780,
     /* 1984819 */     GIR_EraseRootFromParent_Done,
     /* 1984820 */   // Label 26551: @1984820
     /* 1984820 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1984906), // Rule ID 61783 //
     /* 1984825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984871 */     // MIs[0] policy
     /* 1984871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984881 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1984884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984905 */     // GIR_Coverage, 61783,
     /* 1984905 */     GIR_EraseRootFromParent_Done,
     /* 1984906 */   // Label 26552: @1984906
     /* 1984906 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1984992), // Rule ID 61784 //
     /* 1984911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984957 */     // MIs[0] policy
     /* 1984957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984967 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1984970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984991 */     // GIR_Coverage, 61784,
     /* 1984991 */     GIR_EraseRootFromParent_Done,
     /* 1984992 */   // Label 26553: @1984992
     /* 1984992 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1985078), // Rule ID 61787 //
     /* 1984997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985043 */     // MIs[0] policy
     /* 1985043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985077 */     // GIR_Coverage, 61787,
     /* 1985077 */     GIR_EraseRootFromParent_Done,
     /* 1985078 */   // Label 26554: @1985078
     /* 1985078 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1985164), // Rule ID 61788 //
     /* 1985083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985129 */     // MIs[0] policy
     /* 1985129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985163 */     // GIR_Coverage, 61788,
     /* 1985163 */     GIR_EraseRootFromParent_Done,
     /* 1985164 */   // Label 26555: @1985164
     /* 1985164 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1985250), // Rule ID 61791 //
     /* 1985169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985215 */     // MIs[0] policy
     /* 1985215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985225 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985249 */     // GIR_Coverage, 61791,
     /* 1985249 */     GIR_EraseRootFromParent_Done,
     /* 1985250 */   // Label 26556: @1985250
     /* 1985250 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1985336), // Rule ID 61792 //
     /* 1985255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985301 */     // MIs[0] policy
     /* 1985301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985311 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985335 */     // GIR_Coverage, 61792,
     /* 1985335 */     GIR_EraseRootFromParent_Done,
     /* 1985336 */   // Label 26557: @1985336
     /* 1985336 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1985422), // Rule ID 61795 //
     /* 1985341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985387 */     // MIs[0] policy
     /* 1985387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985421 */     // GIR_Coverage, 61795,
     /* 1985421 */     GIR_EraseRootFromParent_Done,
     /* 1985422 */   // Label 26558: @1985422
     /* 1985422 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1985508), // Rule ID 61796 //
     /* 1985427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985473 */     // MIs[0] policy
     /* 1985473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985507 */     // GIR_Coverage, 61796,
     /* 1985507 */     GIR_EraseRootFromParent_Done,
     /* 1985508 */   // Label 26559: @1985508
     /* 1985508 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1985594), // Rule ID 61799 //
     /* 1985513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985559 */     // MIs[0] policy
     /* 1985559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985593 */     // GIR_Coverage, 61799,
     /* 1985593 */     GIR_EraseRootFromParent_Done,
     /* 1985594 */   // Label 26560: @1985594
     /* 1985594 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1985680), // Rule ID 61800 //
     /* 1985599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985645 */     // MIs[0] policy
     /* 1985645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985655 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985679 */     // GIR_Coverage, 61800,
     /* 1985679 */     GIR_EraseRootFromParent_Done,
     /* 1985680 */   // Label 26561: @1985680
     /* 1985680 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1985766), // Rule ID 61803 //
     /* 1985685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985731 */     // MIs[0] policy
     /* 1985731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985765 */     // GIR_Coverage, 61803,
     /* 1985765 */     GIR_EraseRootFromParent_Done,
     /* 1985766 */   // Label 26562: @1985766
     /* 1985766 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1985852), // Rule ID 61804 //
     /* 1985771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985817 */     // MIs[0] policy
     /* 1985817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985851 */     // GIR_Coverage, 61804,
     /* 1985851 */     GIR_EraseRootFromParent_Done,
     /* 1985852 */   // Label 26563: @1985852
     /* 1985852 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1985938), // Rule ID 61807 //
     /* 1985857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985903 */     // MIs[0] policy
     /* 1985903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985913 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1985916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985937 */     // GIR_Coverage, 61807,
     /* 1985937 */     GIR_EraseRootFromParent_Done,
     /* 1985938 */   // Label 26564: @1985938
     /* 1985938 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1986024), // Rule ID 61808 //
     /* 1985943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985989 */     // MIs[0] policy
     /* 1985989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985999 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986023 */     // GIR_Coverage, 61808,
     /* 1986023 */     GIR_EraseRootFromParent_Done,
     /* 1986024 */   // Label 26565: @1986024
     /* 1986024 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1986110), // Rule ID 61811 //
     /* 1986029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986075 */     // MIs[0] policy
     /* 1986075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986085 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986109 */     // GIR_Coverage, 61811,
     /* 1986109 */     GIR_EraseRootFromParent_Done,
     /* 1986110 */   // Label 26566: @1986110
     /* 1986110 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1986196), // Rule ID 61812 //
     /* 1986115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986161 */     // MIs[0] policy
     /* 1986161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986195 */     // GIR_Coverage, 61812,
     /* 1986195 */     GIR_EraseRootFromParent_Done,
     /* 1986196 */   // Label 26567: @1986196
     /* 1986196 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1986282), // Rule ID 61815 //
     /* 1986201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986247 */     // MIs[0] policy
     /* 1986247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986281 */     // GIR_Coverage, 61815,
     /* 1986281 */     GIR_EraseRootFromParent_Done,
     /* 1986282 */   // Label 26568: @1986282
     /* 1986282 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1986368), // Rule ID 61816 //
     /* 1986287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986333 */     // MIs[0] policy
     /* 1986333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986367 */     // GIR_Coverage, 61816,
     /* 1986367 */     GIR_EraseRootFromParent_Done,
     /* 1986368 */   // Label 26569: @1986368
     /* 1986368 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1986454), // Rule ID 61819 //
     /* 1986373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986419 */     // MIs[0] policy
     /* 1986419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986453 */     // GIR_Coverage, 61819,
     /* 1986453 */     GIR_EraseRootFromParent_Done,
     /* 1986454 */   // Label 26570: @1986454
     /* 1986454 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1986540), // Rule ID 61820 //
     /* 1986459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986505 */     // MIs[0] policy
     /* 1986505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986539 */     // GIR_Coverage, 61820,
     /* 1986539 */     GIR_EraseRootFromParent_Done,
     /* 1986540 */   // Label 26571: @1986540
     /* 1986540 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1986626), // Rule ID 61823 //
     /* 1986545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986591 */     // MIs[0] policy
     /* 1986591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986601 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986625 */     // GIR_Coverage, 61823,
     /* 1986625 */     GIR_EraseRootFromParent_Done,
     /* 1986626 */   // Label 26572: @1986626
     /* 1986626 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1986712), // Rule ID 61824 //
     /* 1986631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986677 */     // MIs[0] policy
     /* 1986677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986687 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986711 */     // GIR_Coverage, 61824,
     /* 1986711 */     GIR_EraseRootFromParent_Done,
     /* 1986712 */   // Label 26573: @1986712
     /* 1986712 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1986798), // Rule ID 61827 //
     /* 1986717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986763 */     // MIs[0] policy
     /* 1986763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986773 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986797 */     // GIR_Coverage, 61827,
     /* 1986797 */     GIR_EraseRootFromParent_Done,
     /* 1986798 */   // Label 26574: @1986798
     /* 1986798 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1986884), // Rule ID 61828 //
     /* 1986803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986849 */     // MIs[0] policy
     /* 1986849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986859 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986883 */     // GIR_Coverage, 61828,
     /* 1986883 */     GIR_EraseRootFromParent_Done,
     /* 1986884 */   // Label 26575: @1986884
     /* 1986884 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1986970), // Rule ID 61831 //
     /* 1986889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986935 */     // MIs[0] policy
     /* 1986935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986945 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1986948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986969 */     // GIR_Coverage, 61831,
     /* 1986969 */     GIR_EraseRootFromParent_Done,
     /* 1986970 */   // Label 26576: @1986970
     /* 1986970 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1987056), // Rule ID 61832 //
     /* 1986975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987021 */     // MIs[0] policy
     /* 1987021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987031 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987055 */     // GIR_Coverage, 61832,
     /* 1987055 */     GIR_EraseRootFromParent_Done,
     /* 1987056 */   // Label 26577: @1987056
     /* 1987056 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1987142), // Rule ID 61835 //
     /* 1987061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987107 */     // MIs[0] policy
     /* 1987107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987141 */     // GIR_Coverage, 61835,
     /* 1987141 */     GIR_EraseRootFromParent_Done,
     /* 1987142 */   // Label 26578: @1987142
     /* 1987142 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1987228), // Rule ID 61836 //
     /* 1987147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987193 */     // MIs[0] policy
     /* 1987193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987203 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987227 */     // GIR_Coverage, 61836,
     /* 1987227 */     GIR_EraseRootFromParent_Done,
     /* 1987228 */   // Label 26579: @1987228
     /* 1987228 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1987314), // Rule ID 61839 //
     /* 1987233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987279 */     // MIs[0] policy
     /* 1987279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987313 */     // GIR_Coverage, 61839,
     /* 1987313 */     GIR_EraseRootFromParent_Done,
     /* 1987314 */   // Label 26580: @1987314
     /* 1987314 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1987400), // Rule ID 61840 //
     /* 1987319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987365 */     // MIs[0] policy
     /* 1987365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987375 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987399 */     // GIR_Coverage, 61840,
     /* 1987399 */     GIR_EraseRootFromParent_Done,
     /* 1987400 */   // Label 26581: @1987400
     /* 1987400 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1987486), // Rule ID 61843 //
     /* 1987405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987451 */     // MIs[0] policy
     /* 1987451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987485 */     // GIR_Coverage, 61843,
     /* 1987485 */     GIR_EraseRootFromParent_Done,
     /* 1987486 */   // Label 26582: @1987486
     /* 1987486 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1987572), // Rule ID 61844 //
     /* 1987491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987537 */     // MIs[0] policy
     /* 1987537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987571 */     // GIR_Coverage, 61844,
     /* 1987571 */     GIR_EraseRootFromParent_Done,
     /* 1987572 */   // Label 26583: @1987572
     /* 1987572 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1987658), // Rule ID 61847 //
     /* 1987577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987623 */     // MIs[0] policy
     /* 1987623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987657 */     // GIR_Coverage, 61847,
     /* 1987657 */     GIR_EraseRootFromParent_Done,
     /* 1987658 */   // Label 26584: @1987658
     /* 1987658 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1987744), // Rule ID 61848 //
     /* 1987663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987709 */     // MIs[0] policy
     /* 1987709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987743 */     // GIR_Coverage, 61848,
     /* 1987743 */     GIR_EraseRootFromParent_Done,
     /* 1987744 */   // Label 26585: @1987744
     /* 1987744 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1987830), // Rule ID 61851 //
     /* 1987749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987795 */     // MIs[0] policy
     /* 1987795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987805 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987829 */     // GIR_Coverage, 61851,
     /* 1987829 */     GIR_EraseRootFromParent_Done,
     /* 1987830 */   // Label 26586: @1987830
     /* 1987830 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1987916), // Rule ID 61852 //
     /* 1987835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987881 */     // MIs[0] policy
     /* 1987881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987915 */     // GIR_Coverage, 61852,
     /* 1987915 */     GIR_EraseRootFromParent_Done,
     /* 1987916 */   // Label 26587: @1987916
     /* 1987916 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1988002), // Rule ID 61855 //
     /* 1987921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987967 */     // MIs[0] policy
     /* 1987967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987977 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988001 */     // GIR_Coverage, 61855,
     /* 1988001 */     GIR_EraseRootFromParent_Done,
     /* 1988002 */   // Label 26588: @1988002
     /* 1988002 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1988088), // Rule ID 61856 //
     /* 1988007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988053 */     // MIs[0] policy
     /* 1988053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988063 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988087 */     // GIR_Coverage, 61856,
     /* 1988087 */     GIR_EraseRootFromParent_Done,
     /* 1988088 */   // Label 26589: @1988088
     /* 1988088 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1988174), // Rule ID 61859 //
     /* 1988093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988139 */     // MIs[0] policy
     /* 1988139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988149 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988173 */     // GIR_Coverage, 61859,
     /* 1988173 */     GIR_EraseRootFromParent_Done,
     /* 1988174 */   // Label 26590: @1988174
     /* 1988174 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1988260), // Rule ID 61860 //
     /* 1988179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988225 */     // MIs[0] policy
     /* 1988225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988259 */     // GIR_Coverage, 61860,
     /* 1988259 */     GIR_EraseRootFromParent_Done,
     /* 1988260 */   // Label 26591: @1988260
     /* 1988260 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1988346), // Rule ID 61863 //
     /* 1988265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988311 */     // MIs[0] policy
     /* 1988311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988321 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988345 */     // GIR_Coverage, 61863,
     /* 1988345 */     GIR_EraseRootFromParent_Done,
     /* 1988346 */   // Label 26592: @1988346
     /* 1988346 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1988432), // Rule ID 61864 //
     /* 1988351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988397 */     // MIs[0] policy
     /* 1988397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988407 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988431 */     // GIR_Coverage, 61864,
     /* 1988431 */     GIR_EraseRootFromParent_Done,
     /* 1988432 */   // Label 26593: @1988432
     /* 1988432 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1988518), // Rule ID 61867 //
     /* 1988437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988483 */     // MIs[0] policy
     /* 1988483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988493 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988517 */     // GIR_Coverage, 61867,
     /* 1988517 */     GIR_EraseRootFromParent_Done,
     /* 1988518 */   // Label 26594: @1988518
     /* 1988518 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1988604), // Rule ID 61868 //
     /* 1988523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988569 */     // MIs[0] policy
     /* 1988569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988579 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988603 */     // GIR_Coverage, 61868,
     /* 1988603 */     GIR_EraseRootFromParent_Done,
     /* 1988604 */   // Label 26595: @1988604
     /* 1988604 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1988690), // Rule ID 62512 //
     /* 1988609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988655 */     // MIs[0] policy
     /* 1988655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1988668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988689 */     // GIR_Coverage, 62512,
     /* 1988689 */     GIR_EraseRootFromParent_Done,
     /* 1988690 */   // Label 26596: @1988690
     /* 1988690 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1988776), // Rule ID 62513 //
     /* 1988695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988741 */     // MIs[0] policy
     /* 1988741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988751 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1988754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988775 */     // GIR_Coverage, 62513,
     /* 1988775 */     GIR_EraseRootFromParent_Done,
     /* 1988776 */   // Label 26597: @1988776
     /* 1988776 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1988862), // Rule ID 62516 //
     /* 1988781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1988798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988827 */     // MIs[0] policy
     /* 1988827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1988840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988861 */     // GIR_Coverage, 62516,
     /* 1988861 */     GIR_EraseRootFromParent_Done,
     /* 1988862 */   // Label 26598: @1988862
     /* 1988862 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1988948), // Rule ID 62517 //
     /* 1988867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1988884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988913 */     // MIs[0] policy
     /* 1988913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1988926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988947 */     // GIR_Coverage, 62517,
     /* 1988947 */     GIR_EraseRootFromParent_Done,
     /* 1988948 */   // Label 26599: @1988948
     /* 1988948 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1989034), // Rule ID 62520 //
     /* 1988953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1988970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1988973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988999 */     // MIs[0] policy
     /* 1988999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989009 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1989012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989033 */     // GIR_Coverage, 62520,
     /* 1989033 */     GIR_EraseRootFromParent_Done,
     /* 1989034 */   // Label 26600: @1989034
     /* 1989034 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1989120), // Rule ID 62521 //
     /* 1989039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989085 */     // MIs[0] policy
     /* 1989085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989095 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1989098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989119 */     // GIR_Coverage, 62521,
     /* 1989119 */     GIR_EraseRootFromParent_Done,
     /* 1989120 */   // Label 26601: @1989120
     /* 1989120 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1989206), // Rule ID 62524 //
     /* 1989125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989171 */     // MIs[0] policy
     /* 1989171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989205 */     // GIR_Coverage, 62524,
     /* 1989205 */     GIR_EraseRootFromParent_Done,
     /* 1989206 */   // Label 26602: @1989206
     /* 1989206 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1989292), // Rule ID 62525 //
     /* 1989211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989257 */     // MIs[0] policy
     /* 1989257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989291 */     // GIR_Coverage, 62525,
     /* 1989291 */     GIR_EraseRootFromParent_Done,
     /* 1989292 */   // Label 26603: @1989292
     /* 1989292 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1989378), // Rule ID 62528 //
     /* 1989297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989343 */     // MIs[0] policy
     /* 1989343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989353 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989377 */     // GIR_Coverage, 62528,
     /* 1989377 */     GIR_EraseRootFromParent_Done,
     /* 1989378 */   // Label 26604: @1989378
     /* 1989378 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1989464), // Rule ID 62529 //
     /* 1989383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989429 */     // MIs[0] policy
     /* 1989429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989463 */     // GIR_Coverage, 62529,
     /* 1989463 */     GIR_EraseRootFromParent_Done,
     /* 1989464 */   // Label 26605: @1989464
     /* 1989464 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1989550), // Rule ID 62532 //
     /* 1989469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989515 */     // MIs[0] policy
     /* 1989515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1989528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989549 */     // GIR_Coverage, 62532,
     /* 1989549 */     GIR_EraseRootFromParent_Done,
     /* 1989550 */   // Label 26606: @1989550
     /* 1989550 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1989636), // Rule ID 62533 //
     /* 1989555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989601 */     // MIs[0] policy
     /* 1989601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1989614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989635 */     // GIR_Coverage, 62533,
     /* 1989635 */     GIR_EraseRootFromParent_Done,
     /* 1989636 */   // Label 26607: @1989636
     /* 1989636 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1989722), // Rule ID 62536 //
     /* 1989641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989687 */     // MIs[0] policy
     /* 1989687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1989700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989721 */     // GIR_Coverage, 62536,
     /* 1989721 */     GIR_EraseRootFromParent_Done,
     /* 1989722 */   // Label 26608: @1989722
     /* 1989722 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1989808), // Rule ID 62537 //
     /* 1989727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989773 */     // MIs[0] policy
     /* 1989773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1989786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989807 */     // GIR_Coverage, 62537,
     /* 1989807 */     GIR_EraseRootFromParent_Done,
     /* 1989808 */   // Label 26609: @1989808
     /* 1989808 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1989894), // Rule ID 62540 //
     /* 1989813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989859 */     // MIs[0] policy
     /* 1989859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1989872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989893 */     // GIR_Coverage, 62540,
     /* 1989893 */     GIR_EraseRootFromParent_Done,
     /* 1989894 */   // Label 26610: @1989894
     /* 1989894 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1989980), // Rule ID 62541 //
     /* 1989899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989945 */     // MIs[0] policy
     /* 1989945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1989958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989979 */     // GIR_Coverage, 62541,
     /* 1989979 */     GIR_EraseRootFromParent_Done,
     /* 1989980 */   // Label 26611: @1989980
     /* 1989980 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1990066), // Rule ID 62544 //
     /* 1989985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990031 */     // MIs[0] policy
     /* 1990031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1990044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990065 */     // GIR_Coverage, 62544,
     /* 1990065 */     GIR_EraseRootFromParent_Done,
     /* 1990066 */   // Label 26612: @1990066
     /* 1990066 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1990152), // Rule ID 62545 //
     /* 1990071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990117 */     // MIs[0] policy
     /* 1990117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1990130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990151 */     // GIR_Coverage, 62545,
     /* 1990151 */     GIR_EraseRootFromParent_Done,
     /* 1990152 */   // Label 26613: @1990152
     /* 1990152 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1990238), // Rule ID 62548 //
     /* 1990157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990203 */     // MIs[0] policy
     /* 1990203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990237 */     // GIR_Coverage, 62548,
     /* 1990237 */     GIR_EraseRootFromParent_Done,
     /* 1990238 */   // Label 26614: @1990238
     /* 1990238 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1990324), // Rule ID 62549 //
     /* 1990243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990289 */     // MIs[0] policy
     /* 1990289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990323 */     // GIR_Coverage, 62549,
     /* 1990323 */     GIR_EraseRootFromParent_Done,
     /* 1990324 */   // Label 26615: @1990324
     /* 1990324 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1990410), // Rule ID 62552 //
     /* 1990329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990375 */     // MIs[0] policy
     /* 1990375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990385 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990409 */     // GIR_Coverage, 62552,
     /* 1990409 */     GIR_EraseRootFromParent_Done,
     /* 1990410 */   // Label 26616: @1990410
     /* 1990410 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1990496), // Rule ID 62553 //
     /* 1990415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990461 */     // MIs[0] policy
     /* 1990461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990471 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990495 */     // GIR_Coverage, 62553,
     /* 1990495 */     GIR_EraseRootFromParent_Done,
     /* 1990496 */   // Label 26617: @1990496
     /* 1990496 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1990582), // Rule ID 62556 //
     /* 1990501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990547 */     // MIs[0] policy
     /* 1990547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1990560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990581 */     // GIR_Coverage, 62556,
     /* 1990581 */     GIR_EraseRootFromParent_Done,
     /* 1990582 */   // Label 26618: @1990582
     /* 1990582 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1990668), // Rule ID 62557 //
     /* 1990587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990633 */     // MIs[0] policy
     /* 1990633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1990646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990667 */     // GIR_Coverage, 62557,
     /* 1990667 */     GIR_EraseRootFromParent_Done,
     /* 1990668 */   // Label 26619: @1990668
     /* 1990668 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1990754), // Rule ID 62560 //
     /* 1990673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1990690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990719 */     // MIs[0] policy
     /* 1990719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990729 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1990732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990753 */     // GIR_Coverage, 62560,
     /* 1990753 */     GIR_EraseRootFromParent_Done,
     /* 1990754 */   // Label 26620: @1990754
     /* 1990754 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1990840), // Rule ID 62561 //
     /* 1990759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1990776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990805 */     // MIs[0] policy
     /* 1990805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1990818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990839 */     // GIR_Coverage, 62561,
     /* 1990839 */     GIR_EraseRootFromParent_Done,
     /* 1990840 */   // Label 26621: @1990840
     /* 1990840 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1990926), // Rule ID 62564 //
     /* 1990845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990891 */     // MIs[0] policy
     /* 1990891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1990904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990925 */     // GIR_Coverage, 62564,
     /* 1990925 */     GIR_EraseRootFromParent_Done,
     /* 1990926 */   // Label 26622: @1990926
     /* 1990926 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1991012), // Rule ID 62565 //
     /* 1990931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990977 */     // MIs[0] policy
     /* 1990977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990987 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1990990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991011 */     // GIR_Coverage, 62565,
     /* 1991011 */     GIR_EraseRootFromParent_Done,
     /* 1991012 */   // Label 26623: @1991012
     /* 1991012 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1991098), // Rule ID 62568 //
     /* 1991017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991063 */     // MIs[0] policy
     /* 1991063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991097 */     // GIR_Coverage, 62568,
     /* 1991097 */     GIR_EraseRootFromParent_Done,
     /* 1991098 */   // Label 26624: @1991098
     /* 1991098 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1991184), // Rule ID 62569 //
     /* 1991103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991149 */     // MIs[0] policy
     /* 1991149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991183 */     // GIR_Coverage, 62569,
     /* 1991183 */     GIR_EraseRootFromParent_Done,
     /* 1991184 */   // Label 26625: @1991184
     /* 1991184 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1991270), // Rule ID 62572 //
     /* 1991189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991235 */     // MIs[0] policy
     /* 1991235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991245 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991269 */     // GIR_Coverage, 62572,
     /* 1991269 */     GIR_EraseRootFromParent_Done,
     /* 1991270 */   // Label 26626: @1991270
     /* 1991270 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1991356), // Rule ID 62573 //
     /* 1991275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991321 */     // MIs[0] policy
     /* 1991321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991331 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991355 */     // GIR_Coverage, 62573,
     /* 1991355 */     GIR_EraseRootFromParent_Done,
     /* 1991356 */   // Label 26627: @1991356
     /* 1991356 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1991442), // Rule ID 62576 //
     /* 1991361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991407 */     // MIs[0] policy
     /* 1991407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991441 */     // GIR_Coverage, 62576,
     /* 1991441 */     GIR_EraseRootFromParent_Done,
     /* 1991442 */   // Label 26628: @1991442
     /* 1991442 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1991528), // Rule ID 62577 //
     /* 1991447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991493 */     // MIs[0] policy
     /* 1991493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991527 */     // GIR_Coverage, 62577,
     /* 1991527 */     GIR_EraseRootFromParent_Done,
     /* 1991528 */   // Label 26629: @1991528
     /* 1991528 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1991614), // Rule ID 62580 //
     /* 1991533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991579 */     // MIs[0] policy
     /* 1991579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1991592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991613 */     // GIR_Coverage, 62580,
     /* 1991613 */     GIR_EraseRootFromParent_Done,
     /* 1991614 */   // Label 26630: @1991614
     /* 1991614 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1991700), // Rule ID 62581 //
     /* 1991619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991665 */     // MIs[0] policy
     /* 1991665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991675 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1991678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991699 */     // GIR_Coverage, 62581,
     /* 1991699 */     GIR_EraseRootFromParent_Done,
     /* 1991700 */   // Label 26631: @1991700
     /* 1991700 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1991786), // Rule ID 62584 //
     /* 1991705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991751 */     // MIs[0] policy
     /* 1991751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1991764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991785 */     // GIR_Coverage, 62584,
     /* 1991785 */     GIR_EraseRootFromParent_Done,
     /* 1991786 */   // Label 26632: @1991786
     /* 1991786 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1991872), // Rule ID 62585 //
     /* 1991791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991837 */     // MIs[0] policy
     /* 1991837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1991850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991871 */     // GIR_Coverage, 62585,
     /* 1991871 */     GIR_EraseRootFromParent_Done,
     /* 1991872 */   // Label 26633: @1991872
     /* 1991872 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1991958), // Rule ID 62588 //
     /* 1991877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991923 */     // MIs[0] policy
     /* 1991923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991933 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1991936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991957 */     // GIR_Coverage, 62588,
     /* 1991957 */     GIR_EraseRootFromParent_Done,
     /* 1991958 */   // Label 26634: @1991958
     /* 1991958 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1992044), // Rule ID 62589 //
     /* 1991963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992009 */     // MIs[0] policy
     /* 1992009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1992022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992043 */     // GIR_Coverage, 62589,
     /* 1992043 */     GIR_EraseRootFromParent_Done,
     /* 1992044 */   // Label 26635: @1992044
     /* 1992044 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1992130), // Rule ID 62592 //
     /* 1992049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992095 */     // MIs[0] policy
     /* 1992095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992129 */     // GIR_Coverage, 62592,
     /* 1992129 */     GIR_EraseRootFromParent_Done,
     /* 1992130 */   // Label 26636: @1992130
     /* 1992130 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1992216), // Rule ID 62593 //
     /* 1992135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992181 */     // MIs[0] policy
     /* 1992181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992215 */     // GIR_Coverage, 62593,
     /* 1992215 */     GIR_EraseRootFromParent_Done,
     /* 1992216 */   // Label 26637: @1992216
     /* 1992216 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1992302), // Rule ID 62596 //
     /* 1992221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992267 */     // MIs[0] policy
     /* 1992267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992301 */     // GIR_Coverage, 62596,
     /* 1992301 */     GIR_EraseRootFromParent_Done,
     /* 1992302 */   // Label 26638: @1992302
     /* 1992302 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1992388), // Rule ID 62597 //
     /* 1992307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992353 */     // MIs[0] policy
     /* 1992353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992387 */     // GIR_Coverage, 62597,
     /* 1992387 */     GIR_EraseRootFromParent_Done,
     /* 1992388 */   // Label 26639: @1992388
     /* 1992388 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1992474), // Rule ID 62600 //
     /* 1992393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992439 */     // MIs[0] policy
     /* 1992439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992473 */     // GIR_Coverage, 62600,
     /* 1992473 */     GIR_EraseRootFromParent_Done,
     /* 1992474 */   // Label 26640: @1992474
     /* 1992474 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1992560), // Rule ID 62601 //
     /* 1992479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992525 */     // MIs[0] policy
     /* 1992525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992535 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992559 */     // GIR_Coverage, 62601,
     /* 1992559 */     GIR_EraseRootFromParent_Done,
     /* 1992560 */   // Label 26641: @1992560
     /* 1992560 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1992646), // Rule ID 62604 //
     /* 1992565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1992582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992611 */     // MIs[0] policy
     /* 1992611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1992624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992645 */     // GIR_Coverage, 62604,
     /* 1992645 */     GIR_EraseRootFromParent_Done,
     /* 1992646 */   // Label 26642: @1992646
     /* 1992646 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1992732), // Rule ID 62605 //
     /* 1992651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1992668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992697 */     // MIs[0] policy
     /* 1992697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1992710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992731 */     // GIR_Coverage, 62605,
     /* 1992731 */     GIR_EraseRootFromParent_Done,
     /* 1992732 */   // Label 26643: @1992732
     /* 1992732 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1992818), // Rule ID 62608 //
     /* 1992737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1992754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992783 */     // MIs[0] policy
     /* 1992783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1992796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992817 */     // GIR_Coverage, 62608,
     /* 1992817 */     GIR_EraseRootFromParent_Done,
     /* 1992818 */   // Label 26644: @1992818
     /* 1992818 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1992904), // Rule ID 62609 //
     /* 1992823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1992840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992869 */     // MIs[0] policy
     /* 1992869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1992882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992903 */     // GIR_Coverage, 62609,
     /* 1992903 */     GIR_EraseRootFromParent_Done,
     /* 1992904 */   // Label 26645: @1992904
     /* 1992904 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1992990), // Rule ID 62612 //
     /* 1992909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992955 */     // MIs[0] policy
     /* 1992955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992965 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1992968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992989 */     // GIR_Coverage, 62612,
     /* 1992989 */     GIR_EraseRootFromParent_Done,
     /* 1992990 */   // Label 26646: @1992990
     /* 1992990 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1993076), // Rule ID 62613 //
     /* 1992995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993041 */     // MIs[0] policy
     /* 1993041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1993054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993075 */     // GIR_Coverage, 62613,
     /* 1993075 */     GIR_EraseRootFromParent_Done,
     /* 1993076 */   // Label 26647: @1993076
     /* 1993076 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1993162), // Rule ID 62616 //
     /* 1993081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993127 */     // MIs[0] policy
     /* 1993127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993161 */     // GIR_Coverage, 62616,
     /* 1993161 */     GIR_EraseRootFromParent_Done,
     /* 1993162 */   // Label 26648: @1993162
     /* 1993162 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1993248), // Rule ID 62617 //
     /* 1993167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993213 */     // MIs[0] policy
     /* 1993213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993247 */     // GIR_Coverage, 62617,
     /* 1993247 */     GIR_EraseRootFromParent_Done,
     /* 1993248 */   // Label 26649: @1993248
     /* 1993248 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1993334), // Rule ID 62620 //
     /* 1993253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993299 */     // MIs[0] policy
     /* 1993299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993333 */     // GIR_Coverage, 62620,
     /* 1993333 */     GIR_EraseRootFromParent_Done,
     /* 1993334 */   // Label 26650: @1993334
     /* 1993334 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1993420), // Rule ID 62621 //
     /* 1993339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993385 */     // MIs[0] policy
     /* 1993385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993419 */     // GIR_Coverage, 62621,
     /* 1993419 */     GIR_EraseRootFromParent_Done,
     /* 1993420 */   // Label 26651: @1993420
     /* 1993420 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1993506), // Rule ID 62624 //
     /* 1993425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993471 */     // MIs[0] policy
     /* 1993471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993505 */     // GIR_Coverage, 62624,
     /* 1993505 */     GIR_EraseRootFromParent_Done,
     /* 1993506 */   // Label 26652: @1993506
     /* 1993506 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1993592), // Rule ID 62625 //
     /* 1993511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993557 */     // MIs[0] policy
     /* 1993557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993591 */     // GIR_Coverage, 62625,
     /* 1993591 */     GIR_EraseRootFromParent_Done,
     /* 1993592 */   // Label 26653: @1993592
     /* 1993592 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1993678), // Rule ID 62628 //
     /* 1993597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993643 */     // MIs[0] policy
     /* 1993643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993653 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1993656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993677 */     // GIR_Coverage, 62628,
     /* 1993677 */     GIR_EraseRootFromParent_Done,
     /* 1993678 */   // Label 26654: @1993678
     /* 1993678 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1993764), // Rule ID 62629 //
     /* 1993683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993729 */     // MIs[0] policy
     /* 1993729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993739 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1993742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993763 */     // GIR_Coverage, 62629,
     /* 1993763 */     GIR_EraseRootFromParent_Done,
     /* 1993764 */   // Label 26655: @1993764
     /* 1993764 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1993850), // Rule ID 62632 //
     /* 1993769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993815 */     // MIs[0] policy
     /* 1993815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993825 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1993828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993849 */     // GIR_Coverage, 62632,
     /* 1993849 */     GIR_EraseRootFromParent_Done,
     /* 1993850 */   // Label 26656: @1993850
     /* 1993850 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1993936), // Rule ID 62633 //
     /* 1993855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993901 */     // MIs[0] policy
     /* 1993901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1993914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993935 */     // GIR_Coverage, 62633,
     /* 1993935 */     GIR_EraseRootFromParent_Done,
     /* 1993936 */   // Label 26657: @1993936
     /* 1993936 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1994022), // Rule ID 62636 //
     /* 1993941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993987 */     // MIs[0] policy
     /* 1993987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1994000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994021 */     // GIR_Coverage, 62636,
     /* 1994021 */     GIR_EraseRootFromParent_Done,
     /* 1994022 */   // Label 26658: @1994022
     /* 1994022 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1994108), // Rule ID 62637 //
     /* 1994027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1994047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994073 */     // MIs[0] policy
     /* 1994073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1994086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994107 */     // GIR_Coverage, 62637,
     /* 1994107 */     GIR_EraseRootFromParent_Done,
     /* 1994108 */   // Label 26659: @1994108
     /* 1994108 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1994194), // Rule ID 62640 //
     /* 1994113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994159 */     // MIs[0] policy
     /* 1994159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994193 */     // GIR_Coverage, 62640,
     /* 1994193 */     GIR_EraseRootFromParent_Done,
     /* 1994194 */   // Label 26660: @1994194
     /* 1994194 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1994280), // Rule ID 62641 //
     /* 1994199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994245 */     // MIs[0] policy
     /* 1994245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994279 */     // GIR_Coverage, 62641,
     /* 1994279 */     GIR_EraseRootFromParent_Done,
     /* 1994280 */   // Label 26661: @1994280
     /* 1994280 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1994366), // Rule ID 62644 //
     /* 1994285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994331 */     // MIs[0] policy
     /* 1994331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994365 */     // GIR_Coverage, 62644,
     /* 1994365 */     GIR_EraseRootFromParent_Done,
     /* 1994366 */   // Label 26662: @1994366
     /* 1994366 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1994452), // Rule ID 62645 //
     /* 1994371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994417 */     // MIs[0] policy
     /* 1994417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994451 */     // GIR_Coverage, 62645,
     /* 1994451 */     GIR_EraseRootFromParent_Done,
     /* 1994452 */   // Label 26663: @1994452
     /* 1994452 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1994538), // Rule ID 62648 //
     /* 1994457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994503 */     // MIs[0] policy
     /* 1994503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994537 */     // GIR_Coverage, 62648,
     /* 1994537 */     GIR_EraseRootFromParent_Done,
     /* 1994538 */   // Label 26664: @1994538
     /* 1994538 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1994624), // Rule ID 62649 //
     /* 1994543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994589 */     // MIs[0] policy
     /* 1994589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994623 */     // GIR_Coverage, 62649,
     /* 1994623 */     GIR_EraseRootFromParent_Done,
     /* 1994624 */   // Label 26665: @1994624
     /* 1994624 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1994713), // Rule ID 2669 //
     /* 1994629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994675 */     // MIs[0] round
     /* 1994675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994685 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1994688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994712 */     // GIR_Coverage, 2669,
     /* 1994712 */     GIR_EraseRootFromParent_Done,
     /* 1994713 */   // Label 26666: @1994713
     /* 1994713 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1994802), // Rule ID 2670 //
     /* 1994718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994764 */     // MIs[0] round
     /* 1994764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994774 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1994777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994801 */     // GIR_Coverage, 2670,
     /* 1994801 */     GIR_EraseRootFromParent_Done,
     /* 1994802 */   // Label 26667: @1994802
     /* 1994802 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1994891), // Rule ID 22707 //
     /* 1994807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994853 */     // MIs[0] round
     /* 1994853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994863 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1994866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994890 */     // GIR_Coverage, 22707,
     /* 1994890 */     GIR_EraseRootFromParent_Done,
     /* 1994891 */   // Label 26668: @1994891
     /* 1994891 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1994980), // Rule ID 22708 //
     /* 1994896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994942 */     // MIs[0] round
     /* 1994942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1994955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994979 */     // GIR_Coverage, 22708,
     /* 1994979 */     GIR_EraseRootFromParent_Done,
     /* 1994980 */   // Label 26669: @1994980
     /* 1994980 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1995069), // Rule ID 22711 //
     /* 1994985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995031 */     // MIs[0] round
     /* 1995031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995041 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1995044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995068 */     // GIR_Coverage, 22711,
     /* 1995068 */     GIR_EraseRootFromParent_Done,
     /* 1995069 */   // Label 26670: @1995069
     /* 1995069 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1995158), // Rule ID 22712 //
     /* 1995074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995120 */     // MIs[0] round
     /* 1995120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1995133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995157 */     // GIR_Coverage, 22712,
     /* 1995157 */     GIR_EraseRootFromParent_Done,
     /* 1995158 */   // Label 26671: @1995158
     /* 1995158 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1995247), // Rule ID 22715 //
     /* 1995163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995209 */     // MIs[0] round
     /* 1995209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995219 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995246 */     // GIR_Coverage, 22715,
     /* 1995246 */     GIR_EraseRootFromParent_Done,
     /* 1995247 */   // Label 26672: @1995247
     /* 1995247 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1995336), // Rule ID 22716 //
     /* 1995252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995298 */     // MIs[0] round
     /* 1995298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995335 */     // GIR_Coverage, 22716,
     /* 1995335 */     GIR_EraseRootFromParent_Done,
     /* 1995336 */   // Label 26673: @1995336
     /* 1995336 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1995425), // Rule ID 22719 //
     /* 1995341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995387 */     // MIs[0] round
     /* 1995387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995397 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995424 */     // GIR_Coverage, 22719,
     /* 1995424 */     GIR_EraseRootFromParent_Done,
     /* 1995425 */   // Label 26674: @1995425
     /* 1995425 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1995514), // Rule ID 22720 //
     /* 1995430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995476 */     // MIs[0] round
     /* 1995476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995486 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995513 */     // GIR_Coverage, 22720,
     /* 1995513 */     GIR_EraseRootFromParent_Done,
     /* 1995514 */   // Label 26675: @1995514
     /* 1995514 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1995603), // Rule ID 22723 //
     /* 1995519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995565 */     // MIs[0] round
     /* 1995565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995575 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1995578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995602 */     // GIR_Coverage, 22723,
     /* 1995602 */     GIR_EraseRootFromParent_Done,
     /* 1995603 */   // Label 26676: @1995603
     /* 1995603 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1995692), // Rule ID 22724 //
     /* 1995608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995654 */     // MIs[0] round
     /* 1995654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1995667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995691 */     // GIR_Coverage, 22724,
     /* 1995691 */     GIR_EraseRootFromParent_Done,
     /* 1995692 */   // Label 26677: @1995692
     /* 1995692 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1995781), // Rule ID 22727 //
     /* 1995697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1995714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995743 */     // MIs[0] round
     /* 1995743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995753 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1995756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995780 */     // GIR_Coverage, 22727,
     /* 1995780 */     GIR_EraseRootFromParent_Done,
     /* 1995781 */   // Label 26678: @1995781
     /* 1995781 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1995870), // Rule ID 22728 //
     /* 1995786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1995803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995832 */     // MIs[0] round
     /* 1995832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995842 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1995845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995869 */     // GIR_Coverage, 22728,
     /* 1995869 */     GIR_EraseRootFromParent_Done,
     /* 1995870 */   // Label 26679: @1995870
     /* 1995870 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1995959), // Rule ID 22731 //
     /* 1995875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995921 */     // MIs[0] round
     /* 1995921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995931 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1995934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995958 */     // GIR_Coverage, 22731,
     /* 1995958 */     GIR_EraseRootFromParent_Done,
     /* 1995959 */   // Label 26680: @1995959
     /* 1995959 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1996048), // Rule ID 22732 //
     /* 1995964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996010 */     // MIs[0] round
     /* 1996010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1996023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996047 */     // GIR_Coverage, 22732,
     /* 1996047 */     GIR_EraseRootFromParent_Done,
     /* 1996048 */   // Label 26681: @1996048
     /* 1996048 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1996137), // Rule ID 22735 //
     /* 1996053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996099 */     // MIs[0] round
     /* 1996099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996109 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996136 */     // GIR_Coverage, 22735,
     /* 1996136 */     GIR_EraseRootFromParent_Done,
     /* 1996137 */   // Label 26682: @1996137
     /* 1996137 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1996226), // Rule ID 22736 //
     /* 1996142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996188 */     // MIs[0] round
     /* 1996188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996198 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996225 */     // GIR_Coverage, 22736,
     /* 1996225 */     GIR_EraseRootFromParent_Done,
     /* 1996226 */   // Label 26683: @1996226
     /* 1996226 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1996315), // Rule ID 22739 //
     /* 1996231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996277 */     // MIs[0] round
     /* 1996277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996287 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996314 */     // GIR_Coverage, 22739,
     /* 1996314 */     GIR_EraseRootFromParent_Done,
     /* 1996315 */   // Label 26684: @1996315
     /* 1996315 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1996404), // Rule ID 22740 //
     /* 1996320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996366 */     // MIs[0] round
     /* 1996366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996403 */     // GIR_Coverage, 22740,
     /* 1996403 */     GIR_EraseRootFromParent_Done,
     /* 1996404 */   // Label 26685: @1996404
     /* 1996404 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1996493), // Rule ID 22743 //
     /* 1996409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996455 */     // MIs[0] round
     /* 1996455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996465 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996492 */     // GIR_Coverage, 22743,
     /* 1996492 */     GIR_EraseRootFromParent_Done,
     /* 1996493 */   // Label 26686: @1996493
     /* 1996493 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1996582), // Rule ID 22744 //
     /* 1996498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996544 */     // MIs[0] round
     /* 1996544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996554 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996581 */     // GIR_Coverage, 22744,
     /* 1996581 */     GIR_EraseRootFromParent_Done,
     /* 1996582 */   // Label 26687: @1996582
     /* 1996582 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1996671), // Rule ID 22747 //
     /* 1996587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996633 */     // MIs[0] round
     /* 1996633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996643 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1996646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996670 */     // GIR_Coverage, 22747,
     /* 1996670 */     GIR_EraseRootFromParent_Done,
     /* 1996671 */   // Label 26688: @1996671
     /* 1996671 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1996760), // Rule ID 22748 //
     /* 1996676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996722 */     // MIs[0] round
     /* 1996722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1996735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996759 */     // GIR_Coverage, 22748,
     /* 1996759 */     GIR_EraseRootFromParent_Done,
     /* 1996760 */   // Label 26689: @1996760
     /* 1996760 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1996849), // Rule ID 22751 //
     /* 1996765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1996782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996811 */     // MIs[0] round
     /* 1996811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996821 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1996824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996848 */     // GIR_Coverage, 22751,
     /* 1996848 */     GIR_EraseRootFromParent_Done,
     /* 1996849 */   // Label 26690: @1996849
     /* 1996849 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1996938), // Rule ID 22752 //
     /* 1996854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1996857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1996871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996900 */     // MIs[0] round
     /* 1996900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996910 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1996913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996937 */     // GIR_Coverage, 22752,
     /* 1996937 */     GIR_EraseRootFromParent_Done,
     /* 1996938 */   // Label 26691: @1996938
     /* 1996938 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1997027), // Rule ID 22755 //
     /* 1996943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1996960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996989 */     // MIs[0] round
     /* 1996989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996999 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1997002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997026 */     // GIR_Coverage, 22755,
     /* 1997026 */     GIR_EraseRootFromParent_Done,
     /* 1997027 */   // Label 26692: @1997027
     /* 1997027 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1997116), // Rule ID 22756 //
     /* 1997032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1997049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997078 */     // MIs[0] round
     /* 1997078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1997091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997115 */     // GIR_Coverage, 22756,
     /* 1997115 */     GIR_EraseRootFromParent_Done,
     /* 1997116 */   // Label 26693: @1997116
     /* 1997116 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1997205), // Rule ID 22759 //
     /* 1997121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997167 */     // MIs[0] round
     /* 1997167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997204 */     // GIR_Coverage, 22759,
     /* 1997204 */     GIR_EraseRootFromParent_Done,
     /* 1997205 */   // Label 26694: @1997205
     /* 1997205 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1997294), // Rule ID 22760 //
     /* 1997210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997256 */     // MIs[0] round
     /* 1997256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997266 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997293 */     // GIR_Coverage, 22760,
     /* 1997293 */     GIR_EraseRootFromParent_Done,
     /* 1997294 */   // Label 26695: @1997294
     /* 1997294 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1997383), // Rule ID 22763 //
     /* 1997299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997345 */     // MIs[0] round
     /* 1997345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997382 */     // GIR_Coverage, 22763,
     /* 1997382 */     GIR_EraseRootFromParent_Done,
     /* 1997383 */   // Label 26696: @1997383
     /* 1997383 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1997472), // Rule ID 22764 //
     /* 1997388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997434 */     // MIs[0] round
     /* 1997434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997444 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997471 */     // GIR_Coverage, 22764,
     /* 1997471 */     GIR_EraseRootFromParent_Done,
     /* 1997472 */   // Label 26697: @1997472
     /* 1997472 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1997561), // Rule ID 22767 //
     /* 1997477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997523 */     // MIs[0] round
     /* 1997523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997533 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1997536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997560 */     // GIR_Coverage, 22767,
     /* 1997560 */     GIR_EraseRootFromParent_Done,
     /* 1997561 */   // Label 26698: @1997561
     /* 1997561 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1997650), // Rule ID 22768 //
     /* 1997566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997612 */     // MIs[0] round
     /* 1997612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1997625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997649 */     // GIR_Coverage, 22768,
     /* 1997649 */     GIR_EraseRootFromParent_Done,
     /* 1997650 */   // Label 26699: @1997650
     /* 1997650 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1997739), // Rule ID 22771 //
     /* 1997655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997701 */     // MIs[0] round
     /* 1997701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997711 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1997714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997738 */     // GIR_Coverage, 22771,
     /* 1997738 */     GIR_EraseRootFromParent_Done,
     /* 1997739 */   // Label 26700: @1997739
     /* 1997739 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1997828), // Rule ID 22772 //
     /* 1997744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997790 */     // MIs[0] round
     /* 1997790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1997803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997827 */     // GIR_Coverage, 22772,
     /* 1997827 */     GIR_EraseRootFromParent_Done,
     /* 1997828 */   // Label 26701: @1997828
     /* 1997828 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1997917), // Rule ID 22775 //
     /* 1997833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997879 */     // MIs[0] round
     /* 1997879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997889 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1997892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997916 */     // GIR_Coverage, 22775,
     /* 1997916 */     GIR_EraseRootFromParent_Done,
     /* 1997917 */   // Label 26702: @1997917
     /* 1997917 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1998006), // Rule ID 22776 //
     /* 1997922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997968 */     // MIs[0] round
     /* 1997968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997978 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1997981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998005 */     // GIR_Coverage, 22776,
     /* 1998005 */     GIR_EraseRootFromParent_Done,
     /* 1998006 */   // Label 26703: @1998006
     /* 1998006 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1998095), // Rule ID 22779 //
     /* 1998011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998057 */     // MIs[0] round
     /* 1998057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998094 */     // GIR_Coverage, 22779,
     /* 1998094 */     GIR_EraseRootFromParent_Done,
     /* 1998095 */   // Label 26704: @1998095
     /* 1998095 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1998184), // Rule ID 22780 //
     /* 1998100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998146 */     // MIs[0] round
     /* 1998146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998183 */     // GIR_Coverage, 22780,
     /* 1998183 */     GIR_EraseRootFromParent_Done,
     /* 1998184 */   // Label 26705: @1998184
     /* 1998184 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1998273), // Rule ID 22783 //
     /* 1998189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998235 */     // MIs[0] round
     /* 1998235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998245 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998272 */     // GIR_Coverage, 22783,
     /* 1998272 */     GIR_EraseRootFromParent_Done,
     /* 1998273 */   // Label 26706: @1998273
     /* 1998273 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1998362), // Rule ID 22784 //
     /* 1998278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998324 */     // MIs[0] round
     /* 1998324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998334 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998361 */     // GIR_Coverage, 22784,
     /* 1998361 */     GIR_EraseRootFromParent_Done,
     /* 1998362 */   // Label 26707: @1998362
     /* 1998362 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1998451), // Rule ID 22787 //
     /* 1998367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998413 */     // MIs[0] round
     /* 1998413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998423 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998450 */     // GIR_Coverage, 22787,
     /* 1998450 */     GIR_EraseRootFromParent_Done,
     /* 1998451 */   // Label 26708: @1998451
     /* 1998451 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1998540), // Rule ID 22788 //
     /* 1998456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998502 */     // MIs[0] round
     /* 1998502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998512 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998539 */     // GIR_Coverage, 22788,
     /* 1998539 */     GIR_EraseRootFromParent_Done,
     /* 1998540 */   // Label 26709: @1998540
     /* 1998540 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1998629), // Rule ID 22791 //
     /* 1998545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998591 */     // MIs[0] round
     /* 1998591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998601 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1998604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998628 */     // GIR_Coverage, 22791,
     /* 1998628 */     GIR_EraseRootFromParent_Done,
     /* 1998629 */   // Label 26710: @1998629
     /* 1998629 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1998718), // Rule ID 22792 //
     /* 1998634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998680 */     // MIs[0] round
     /* 1998680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998690 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1998693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998717 */     // GIR_Coverage, 22792,
     /* 1998717 */     GIR_EraseRootFromParent_Done,
     /* 1998718 */   // Label 26711: @1998718
     /* 1998718 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1998807), // Rule ID 22795 //
     /* 1998723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998769 */     // MIs[0] round
     /* 1998769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998779 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1998782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998806 */     // GIR_Coverage, 22795,
     /* 1998806 */     GIR_EraseRootFromParent_Done,
     /* 1998807 */   // Label 26712: @1998807
     /* 1998807 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1998896), // Rule ID 22796 //
     /* 1998812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998858 */     // MIs[0] round
     /* 1998858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998868 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1998871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998895 */     // GIR_Coverage, 22796,
     /* 1998895 */     GIR_EraseRootFromParent_Done,
     /* 1998896 */   // Label 26713: @1998896
     /* 1998896 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1998985), // Rule ID 22799 //
     /* 1998901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1998918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998947 */     // MIs[0] round
     /* 1998947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998957 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1998960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998984 */     // GIR_Coverage, 22799,
     /* 1998984 */     GIR_EraseRootFromParent_Done,
     /* 1998985 */   // Label 26714: @1998985
     /* 1998985 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1999074), // Rule ID 22800 //
     /* 1998990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999036 */     // MIs[0] round
     /* 1999036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1999049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999073 */     // GIR_Coverage, 22800,
     /* 1999073 */     GIR_EraseRootFromParent_Done,
     /* 1999074 */   // Label 26715: @1999074
     /* 1999074 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1999163), // Rule ID 22803 //
     /* 1999079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999125 */     // MIs[0] round
     /* 1999125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999162 */     // GIR_Coverage, 22803,
     /* 1999162 */     GIR_EraseRootFromParent_Done,
     /* 1999163 */   // Label 26716: @1999163
     /* 1999163 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1999252), // Rule ID 22804 //
     /* 1999168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999214 */     // MIs[0] round
     /* 1999214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999251 */     // GIR_Coverage, 22804,
     /* 1999251 */     GIR_EraseRootFromParent_Done,
     /* 1999252 */   // Label 26717: @1999252
     /* 1999252 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1999341), // Rule ID 22807 //
     /* 1999257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999303 */     // MIs[0] round
     /* 1999303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999313 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999340 */     // GIR_Coverage, 22807,
     /* 1999340 */     GIR_EraseRootFromParent_Done,
     /* 1999341 */   // Label 26718: @1999341
     /* 1999341 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1999430), // Rule ID 22808 //
     /* 1999346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999392 */     // MIs[0] round
     /* 1999392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999429 */     // GIR_Coverage, 22808,
     /* 1999429 */     GIR_EraseRootFromParent_Done,
     /* 1999430 */   // Label 26719: @1999430
     /* 1999430 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1999519), // Rule ID 22811 //
     /* 1999435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999481 */     // MIs[0] round
     /* 1999481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999491 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999518 */     // GIR_Coverage, 22811,
     /* 1999518 */     GIR_EraseRootFromParent_Done,
     /* 1999519 */   // Label 26720: @1999519
     /* 1999519 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1999608), // Rule ID 22812 //
     /* 1999524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999570 */     // MIs[0] round
     /* 1999570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999607 */     // GIR_Coverage, 22812,
     /* 1999607 */     GIR_EraseRootFromParent_Done,
     /* 1999608 */   // Label 26721: @1999608
     /* 1999608 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1999697), // Rule ID 22815 //
     /* 1999613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1999630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999659 */     // MIs[0] round
     /* 1999659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1999672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999696 */     // GIR_Coverage, 22815,
     /* 1999696 */     GIR_EraseRootFromParent_Done,
     /* 1999697 */   // Label 26722: @1999697
     /* 1999697 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1999786), // Rule ID 22816 //
     /* 1999702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1999719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999748 */     // MIs[0] round
     /* 1999748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999758 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1999761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999785 */     // GIR_Coverage, 22816,
     /* 1999785 */     GIR_EraseRootFromParent_Done,
     /* 1999786 */   // Label 26723: @1999786
     /* 1999786 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1999875), // Rule ID 22819 //
     /* 1999791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1999808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999837 */     // MIs[0] round
     /* 1999837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999847 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1999850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999874 */     // GIR_Coverage, 22819,
     /* 1999874 */     GIR_EraseRootFromParent_Done,
     /* 1999875 */   // Label 26724: @1999875
     /* 1999875 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1999964), // Rule ID 22820 //
     /* 1999880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1999897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999926 */     // MIs[0] round
     /* 1999926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1999939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999963 */     // GIR_Coverage, 22820,
     /* 1999963 */     GIR_EraseRootFromParent_Done,
     /* 1999964 */   // Label 26725: @1999964
     /* 1999964 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2000053), // Rule ID 22943 //
     /* 1999969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1999986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000015 */     // MIs[0] round
     /* 2000015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000025 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2000028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000052 */     // GIR_Coverage, 22943,
     /* 2000052 */     GIR_EraseRootFromParent_Done,
     /* 2000053 */   // Label 26726: @2000053
     /* 2000053 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2000142), // Rule ID 22944 //
     /* 2000058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000104 */     // MIs[0] round
     /* 2000104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2000117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000141 */     // GIR_Coverage, 22944,
     /* 2000141 */     GIR_EraseRootFromParent_Done,
     /* 2000142 */   // Label 26727: @2000142
     /* 2000142 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2000231), // Rule ID 22947 //
     /* 2000147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000193 */     // MIs[0] round
     /* 2000193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000230 */     // GIR_Coverage, 22947,
     /* 2000230 */     GIR_EraseRootFromParent_Done,
     /* 2000231 */   // Label 26728: @2000231
     /* 2000231 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2000320), // Rule ID 22948 //
     /* 2000236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000282 */     // MIs[0] round
     /* 2000282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000319 */     // GIR_Coverage, 22948,
     /* 2000319 */     GIR_EraseRootFromParent_Done,
     /* 2000320 */   // Label 26729: @2000320
     /* 2000320 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2000409), // Rule ID 22951 //
     /* 2000325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000371 */     // MIs[0] round
     /* 2000371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000381 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000408 */     // GIR_Coverage, 22951,
     /* 2000408 */     GIR_EraseRootFromParent_Done,
     /* 2000409 */   // Label 26730: @2000409
     /* 2000409 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2000498), // Rule ID 22952 //
     /* 2000414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000460 */     // MIs[0] round
     /* 2000460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000470 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000497 */     // GIR_Coverage, 22952,
     /* 2000497 */     GIR_EraseRootFromParent_Done,
     /* 2000498 */   // Label 26731: @2000498
     /* 2000498 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2000587), // Rule ID 22955 //
     /* 2000503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000549 */     // MIs[0] round
     /* 2000549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000559 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2000562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000586 */     // GIR_Coverage, 22955,
     /* 2000586 */     GIR_EraseRootFromParent_Done,
     /* 2000587 */   // Label 26732: @2000587
     /* 2000587 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2000676), // Rule ID 22956 //
     /* 2000592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000638 */     // MIs[0] round
     /* 2000638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000648 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2000651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000675 */     // GIR_Coverage, 22956,
     /* 2000675 */     GIR_EraseRootFromParent_Done,
     /* 2000676 */   // Label 26733: @2000676
     /* 2000676 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2000765), // Rule ID 22959 //
     /* 2000681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2000698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000727 */     // MIs[0] round
     /* 2000727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000737 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2000740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000764 */     // GIR_Coverage, 22959,
     /* 2000764 */     GIR_EraseRootFromParent_Done,
     /* 2000765 */   // Label 26734: @2000765
     /* 2000765 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2000854), // Rule ID 22960 //
     /* 2000770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2000787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000816 */     // MIs[0] round
     /* 2000816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000826 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2000829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000853 */     // GIR_Coverage, 22960,
     /* 2000853 */     GIR_EraseRootFromParent_Done,
     /* 2000854 */   // Label 26735: @2000854
     /* 2000854 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2000943), // Rule ID 22963 //
     /* 2000859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000905 */     // MIs[0] round
     /* 2000905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000915 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2000918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000942 */     // GIR_Coverage, 22963,
     /* 2000942 */     GIR_EraseRootFromParent_Done,
     /* 2000943 */   // Label 26736: @2000943
     /* 2000943 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2001032), // Rule ID 22964 //
     /* 2000948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000994 */     // MIs[0] round
     /* 2000994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2001007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001031 */     // GIR_Coverage, 22964,
     /* 2001031 */     GIR_EraseRootFromParent_Done,
     /* 2001032 */   // Label 26737: @2001032
     /* 2001032 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2001121), // Rule ID 22967 //
     /* 2001037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001083 */     // MIs[0] round
     /* 2001083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001093 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001120 */     // GIR_Coverage, 22967,
     /* 2001120 */     GIR_EraseRootFromParent_Done,
     /* 2001121 */   // Label 26738: @2001121
     /* 2001121 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2001210), // Rule ID 22968 //
     /* 2001126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001172 */     // MIs[0] round
     /* 2001172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001182 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001209 */     // GIR_Coverage, 22968,
     /* 2001209 */     GIR_EraseRootFromParent_Done,
     /* 2001210 */   // Label 26739: @2001210
     /* 2001210 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2001299), // Rule ID 22971 //
     /* 2001215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001261 */     // MIs[0] round
     /* 2001261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001298 */     // GIR_Coverage, 22971,
     /* 2001298 */     GIR_EraseRootFromParent_Done,
     /* 2001299 */   // Label 26740: @2001299
     /* 2001299 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2001388), // Rule ID 22972 //
     /* 2001304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001350 */     // MIs[0] round
     /* 2001350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001387 */     // GIR_Coverage, 22972,
     /* 2001387 */     GIR_EraseRootFromParent_Done,
     /* 2001388 */   // Label 26741: @2001388
     /* 2001388 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2001477), // Rule ID 22975 //
     /* 2001393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001439 */     // MIs[0] round
     /* 2001439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001449 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001476 */     // GIR_Coverage, 22975,
     /* 2001476 */     GIR_EraseRootFromParent_Done,
     /* 2001477 */   // Label 26742: @2001477
     /* 2001477 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2001566), // Rule ID 22976 //
     /* 2001482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001528 */     // MIs[0] round
     /* 2001528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001538 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001565 */     // GIR_Coverage, 22976,
     /* 2001565 */     GIR_EraseRootFromParent_Done,
     /* 2001566 */   // Label 26743: @2001566
     /* 2001566 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2001655), // Rule ID 22979 //
     /* 2001571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001617 */     // MIs[0] round
     /* 2001617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2001630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001654 */     // GIR_Coverage, 22979,
     /* 2001654 */     GIR_EraseRootFromParent_Done,
     /* 2001655 */   // Label 26744: @2001655
     /* 2001655 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2001744), // Rule ID 22980 //
     /* 2001660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001706 */     // MIs[0] round
     /* 2001706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2001719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001743 */     // GIR_Coverage, 22980,
     /* 2001743 */     GIR_EraseRootFromParent_Done,
     /* 2001744 */   // Label 26745: @2001744
     /* 2001744 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2001833), // Rule ID 22983 //
     /* 2001749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001795 */     // MIs[0] round
     /* 2001795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001805 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2001808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001832 */     // GIR_Coverage, 22983,
     /* 2001832 */     GIR_EraseRootFromParent_Done,
     /* 2001833 */   // Label 26746: @2001833
     /* 2001833 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2001922), // Rule ID 22984 //
     /* 2001838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001884 */     // MIs[0] round
     /* 2001884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001894 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2001897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001921 */     // GIR_Coverage, 22984,
     /* 2001921 */     GIR_EraseRootFromParent_Done,
     /* 2001922 */   // Label 26747: @2001922
     /* 2001922 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2002011), // Rule ID 22987 //
     /* 2001927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2001944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001973 */     // MIs[0] round
     /* 2001973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001983 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2001986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002010 */     // GIR_Coverage, 22987,
     /* 2002010 */     GIR_EraseRootFromParent_Done,
     /* 2002011 */   // Label 26748: @2002011
     /* 2002011 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2002100), // Rule ID 22988 //
     /* 2002016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2002033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002062 */     // MIs[0] round
     /* 2002062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002072 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2002075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002099 */     // GIR_Coverage, 22988,
     /* 2002099 */     GIR_EraseRootFromParent_Done,
     /* 2002100 */   // Label 26749: @2002100
     /* 2002100 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2002189), // Rule ID 22991 //
     /* 2002105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002151 */     // MIs[0] round
     /* 2002151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002161 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002188 */     // GIR_Coverage, 22991,
     /* 2002188 */     GIR_EraseRootFromParent_Done,
     /* 2002189 */   // Label 26750: @2002189
     /* 2002189 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2002278), // Rule ID 22992 //
     /* 2002194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002240 */     // MIs[0] round
     /* 2002240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002277 */     // GIR_Coverage, 22992,
     /* 2002277 */     GIR_EraseRootFromParent_Done,
     /* 2002278 */   // Label 26751: @2002278
     /* 2002278 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2002367), // Rule ID 22995 //
     /* 2002283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002329 */     // MIs[0] round
     /* 2002329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002366 */     // GIR_Coverage, 22995,
     /* 2002366 */     GIR_EraseRootFromParent_Done,
     /* 2002367 */   // Label 26752: @2002367
     /* 2002367 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2002456), // Rule ID 22996 //
     /* 2002372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002418 */     // MIs[0] round
     /* 2002418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002455 */     // GIR_Coverage, 22996,
     /* 2002455 */     GIR_EraseRootFromParent_Done,
     /* 2002456 */   // Label 26753: @2002456
     /* 2002456 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2002545), // Rule ID 22999 //
     /* 2002461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002507 */     // MIs[0] round
     /* 2002507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002517 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002544 */     // GIR_Coverage, 22999,
     /* 2002544 */     GIR_EraseRootFromParent_Done,
     /* 2002545 */   // Label 26754: @2002545
     /* 2002545 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2002634), // Rule ID 23000 //
     /* 2002550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002596 */     // MIs[0] round
     /* 2002596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002606 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002633 */     // GIR_Coverage, 23000,
     /* 2002633 */     GIR_EraseRootFromParent_Done,
     /* 2002634 */   // Label 26755: @2002634
     /* 2002634 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2002723), // Rule ID 23003 //
     /* 2002639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002685 */     // MIs[0] round
     /* 2002685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002695 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2002698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002722 */     // GIR_Coverage, 23003,
     /* 2002722 */     GIR_EraseRootFromParent_Done,
     /* 2002723 */   // Label 26756: @2002723
     /* 2002723 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2002812), // Rule ID 23004 //
     /* 2002728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002774 */     // MIs[0] round
     /* 2002774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002784 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2002787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002811 */     // GIR_Coverage, 23004,
     /* 2002811 */     GIR_EraseRootFromParent_Done,
     /* 2002812 */   // Label 26757: @2002812
     /* 2002812 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2002901), // Rule ID 23007 //
     /* 2002817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002863 */     // MIs[0] round
     /* 2002863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002873 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2002876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002900 */     // GIR_Coverage, 23007,
     /* 2002900 */     GIR_EraseRootFromParent_Done,
     /* 2002901 */   // Label 26758: @2002901
     /* 2002901 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2002990), // Rule ID 23008 //
     /* 2002906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002952 */     // MIs[0] round
     /* 2002952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002962 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2002965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002989 */     // GIR_Coverage, 23008,
     /* 2002989 */     GIR_EraseRootFromParent_Done,
     /* 2002990 */   // Label 26759: @2002990
     /* 2002990 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2003079), // Rule ID 23011 //
     /* 2002995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003041 */     // MIs[0] round
     /* 2003041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003051 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003078 */     // GIR_Coverage, 23011,
     /* 2003078 */     GIR_EraseRootFromParent_Done,
     /* 2003079 */   // Label 26760: @2003079
     /* 2003079 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2003168), // Rule ID 23012 //
     /* 2003084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003130 */     // MIs[0] round
     /* 2003130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003140 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003167 */     // GIR_Coverage, 23012,
     /* 2003167 */     GIR_EraseRootFromParent_Done,
     /* 2003168 */   // Label 26761: @2003168
     /* 2003168 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2003257), // Rule ID 23015 //
     /* 2003173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003219 */     // MIs[0] round
     /* 2003219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003256 */     // GIR_Coverage, 23015,
     /* 2003256 */     GIR_EraseRootFromParent_Done,
     /* 2003257 */   // Label 26762: @2003257
     /* 2003257 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2003346), // Rule ID 23016 //
     /* 2003262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003308 */     // MIs[0] round
     /* 2003308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003345 */     // GIR_Coverage, 23016,
     /* 2003345 */     GIR_EraseRootFromParent_Done,
     /* 2003346 */   // Label 26763: @2003346
     /* 2003346 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2003435), // Rule ID 23019 //
     /* 2003351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003397 */     // MIs[0] round
     /* 2003397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003407 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003434 */     // GIR_Coverage, 23019,
     /* 2003434 */     GIR_EraseRootFromParent_Done,
     /* 2003435 */   // Label 26764: @2003435
     /* 2003435 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2003524), // Rule ID 23020 //
     /* 2003440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003486 */     // MIs[0] round
     /* 2003486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003523 */     // GIR_Coverage, 23020,
     /* 2003523 */     GIR_EraseRootFromParent_Done,
     /* 2003524 */   // Label 26765: @2003524
     /* 2003524 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2003613), // Rule ID 23023 //
     /* 2003529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003575 */     // MIs[0] round
     /* 2003575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003585 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2003588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003612 */     // GIR_Coverage, 23023,
     /* 2003612 */     GIR_EraseRootFromParent_Done,
     /* 2003613 */   // Label 26766: @2003613
     /* 2003613 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2003702), // Rule ID 23024 //
     /* 2003618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003664 */     // MIs[0] round
     /* 2003664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003674 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2003677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003701 */     // GIR_Coverage, 23024,
     /* 2003701 */     GIR_EraseRootFromParent_Done,
     /* 2003702 */   // Label 26767: @2003702
     /* 2003702 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2003791), // Rule ID 23027 //
     /* 2003707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003753 */     // MIs[0] round
     /* 2003753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003763 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2003766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003790 */     // GIR_Coverage, 23027,
     /* 2003790 */     GIR_EraseRootFromParent_Done,
     /* 2003791 */   // Label 26768: @2003791
     /* 2003791 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2003880), // Rule ID 23028 //
     /* 2003796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003842 */     // MIs[0] round
     /* 2003842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2003855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003879 */     // GIR_Coverage, 23028,
     /* 2003879 */     GIR_EraseRootFromParent_Done,
     /* 2003880 */   // Label 26769: @2003880
     /* 2003880 */   GIM_Reject,
     /* 2003881 */ // Label 19767: @2003881
     /* 2003881 */ GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2192182),
     /* 2003886 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2003889 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2003991), // Rule ID 15863 //
     /* 2003894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2003905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2003908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2003911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003944 */     // MIs[1] Operand 1
     /* 2003944 */     // No operand predicates
     /* 2003944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003948 */     // MIs[0] round
     /* 2003948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003951 */     // MIs[0] policy
     /* 2003951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2003966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003990 */     // GIR_Coverage, 15863,
     /* 2003990 */     GIR_EraseRootFromParent_Done,
     /* 2003991 */   // Label 26771: @2003991
     /* 2003991 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2004093), // Rule ID 15864 //
     /* 2003996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2004007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2004010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2004013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004046 */     // MIs[1] Operand 1
     /* 2004046 */     // No operand predicates
     /* 2004046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004050 */     // MIs[0] round
     /* 2004050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004053 */     // MIs[0] policy
     /* 2004053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2004068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004092 */     // GIR_Coverage, 15864,
     /* 2004092 */     GIR_EraseRootFromParent_Done,
     /* 2004093 */   // Label 26772: @2004093
     /* 2004093 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2004195), // Rule ID 15867 //
     /* 2004098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004148 */     // MIs[1] Operand 1
     /* 2004148 */     // No operand predicates
     /* 2004148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004152 */     // MIs[0] round
     /* 2004152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004155 */     // MIs[0] policy
     /* 2004155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004194 */     // GIR_Coverage, 15867,
     /* 2004194 */     GIR_EraseRootFromParent_Done,
     /* 2004195 */   // Label 26773: @2004195
     /* 2004195 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2004297), // Rule ID 15868 //
     /* 2004200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004250 */     // MIs[1] Operand 1
     /* 2004250 */     // No operand predicates
     /* 2004250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004254 */     // MIs[0] round
     /* 2004254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004257 */     // MIs[0] policy
     /* 2004257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004269 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004296 */     // GIR_Coverage, 15868,
     /* 2004296 */     GIR_EraseRootFromParent_Done,
     /* 2004297 */   // Label 26774: @2004297
     /* 2004297 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2004399), // Rule ID 15871 //
     /* 2004302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004352 */     // MIs[1] Operand 1
     /* 2004352 */     // No operand predicates
     /* 2004352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004356 */     // MIs[0] round
     /* 2004356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004359 */     // MIs[0] policy
     /* 2004359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004398 */     // GIR_Coverage, 15871,
     /* 2004398 */     GIR_EraseRootFromParent_Done,
     /* 2004399 */   // Label 26775: @2004399
     /* 2004399 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2004501), // Rule ID 15872 //
     /* 2004404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004454 */     // MIs[1] Operand 1
     /* 2004454 */     // No operand predicates
     /* 2004454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004458 */     // MIs[0] round
     /* 2004458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004461 */     // MIs[0] policy
     /* 2004461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004500 */     // GIR_Coverage, 15872,
     /* 2004500 */     GIR_EraseRootFromParent_Done,
     /* 2004501 */   // Label 26776: @2004501
     /* 2004501 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2004603), // Rule ID 15875 //
     /* 2004506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004556 */     // MIs[1] Operand 1
     /* 2004556 */     // No operand predicates
     /* 2004556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004560 */     // MIs[0] round
     /* 2004560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004563 */     // MIs[0] policy
     /* 2004563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004602 */     // GIR_Coverage, 15875,
     /* 2004602 */     GIR_EraseRootFromParent_Done,
     /* 2004603 */   // Label 26777: @2004603
     /* 2004603 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2004705), // Rule ID 15876 //
     /* 2004608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004658 */     // MIs[1] Operand 1
     /* 2004658 */     // No operand predicates
     /* 2004658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004662 */     // MIs[0] round
     /* 2004662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004665 */     // MIs[0] policy
     /* 2004665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004677 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004704 */     // GIR_Coverage, 15876,
     /* 2004704 */     GIR_EraseRootFromParent_Done,
     /* 2004705 */   // Label 26778: @2004705
     /* 2004705 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2004807), // Rule ID 15879 //
     /* 2004710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2004721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2004724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004760 */     // MIs[1] Operand 1
     /* 2004760 */     // No operand predicates
     /* 2004760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004764 */     // MIs[0] round
     /* 2004764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004767 */     // MIs[0] policy
     /* 2004767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004779 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004806 */     // GIR_Coverage, 15879,
     /* 2004806 */     GIR_EraseRootFromParent_Done,
     /* 2004807 */   // Label 26779: @2004807
     /* 2004807 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2004909), // Rule ID 15880 //
     /* 2004812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2004823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2004826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004862 */     // MIs[1] Operand 1
     /* 2004862 */     // No operand predicates
     /* 2004862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004866 */     // MIs[0] round
     /* 2004866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004869 */     // MIs[0] policy
     /* 2004869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004881 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004908 */     // GIR_Coverage, 15880,
     /* 2004908 */     GIR_EraseRootFromParent_Done,
     /* 2004909 */   // Label 26780: @2004909
     /* 2004909 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2005011), // Rule ID 15883 //
     /* 2004914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004964 */     // MIs[1] Operand 1
     /* 2004964 */     // No operand predicates
     /* 2004964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004968 */     // MIs[0] round
     /* 2004968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004971 */     // MIs[0] policy
     /* 2004971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005010 */     // GIR_Coverage, 15883,
     /* 2005010 */     GIR_EraseRootFromParent_Done,
     /* 2005011 */   // Label 26781: @2005011
     /* 2005011 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2005113), // Rule ID 15884 //
     /* 2005016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2005033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005066 */     // MIs[1] Operand 1
     /* 2005066 */     // No operand predicates
     /* 2005066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005070 */     // MIs[0] round
     /* 2005070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005073 */     // MIs[0] policy
     /* 2005073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005112 */     // GIR_Coverage, 15884,
     /* 2005112 */     GIR_EraseRootFromParent_Done,
     /* 2005113 */   // Label 26782: @2005113
     /* 2005113 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2005215), // Rule ID 15887 //
     /* 2005118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005168 */     // MIs[1] Operand 1
     /* 2005168 */     // No operand predicates
     /* 2005168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005172 */     // MIs[0] round
     /* 2005172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005175 */     // MIs[0] policy
     /* 2005175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005214 */     // GIR_Coverage, 15887,
     /* 2005214 */     GIR_EraseRootFromParent_Done,
     /* 2005215 */   // Label 26783: @2005215
     /* 2005215 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2005317), // Rule ID 15888 //
     /* 2005220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005270 */     // MIs[1] Operand 1
     /* 2005270 */     // No operand predicates
     /* 2005270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005274 */     // MIs[0] round
     /* 2005274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005277 */     // MIs[0] policy
     /* 2005277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005316 */     // GIR_Coverage, 15888,
     /* 2005316 */     GIR_EraseRootFromParent_Done,
     /* 2005317 */   // Label 26784: @2005317
     /* 2005317 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2005419), // Rule ID 15891 //
     /* 2005322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005372 */     // MIs[1] Operand 1
     /* 2005372 */     // No operand predicates
     /* 2005372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005376 */     // MIs[0] round
     /* 2005376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005379 */     // MIs[0] policy
     /* 2005379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005391 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005418 */     // GIR_Coverage, 15891,
     /* 2005418 */     GIR_EraseRootFromParent_Done,
     /* 2005419 */   // Label 26785: @2005419
     /* 2005419 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2005521), // Rule ID 15892 //
     /* 2005424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005474 */     // MIs[1] Operand 1
     /* 2005474 */     // No operand predicates
     /* 2005474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005478 */     // MIs[0] round
     /* 2005478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005481 */     // MIs[0] policy
     /* 2005481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005520 */     // GIR_Coverage, 15892,
     /* 2005520 */     GIR_EraseRootFromParent_Done,
     /* 2005521 */   // Label 26786: @2005521
     /* 2005521 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2005623), // Rule ID 15895 //
     /* 2005526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005576 */     // MIs[1] Operand 1
     /* 2005576 */     // No operand predicates
     /* 2005576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005580 */     // MIs[0] round
     /* 2005580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005583 */     // MIs[0] policy
     /* 2005583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005622 */     // GIR_Coverage, 15895,
     /* 2005622 */     GIR_EraseRootFromParent_Done,
     /* 2005623 */   // Label 26787: @2005623
     /* 2005623 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2005725), // Rule ID 15896 //
     /* 2005628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005678 */     // MIs[1] Operand 1
     /* 2005678 */     // No operand predicates
     /* 2005678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005682 */     // MIs[0] round
     /* 2005682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005685 */     // MIs[0] policy
     /* 2005685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005724 */     // GIR_Coverage, 15896,
     /* 2005724 */     GIR_EraseRootFromParent_Done,
     /* 2005725 */   // Label 26788: @2005725
     /* 2005725 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2005827), // Rule ID 15899 //
     /* 2005730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2005733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2005747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005780 */     // MIs[1] Operand 1
     /* 2005780 */     // No operand predicates
     /* 2005780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005784 */     // MIs[0] round
     /* 2005784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005787 */     // MIs[0] policy
     /* 2005787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005826 */     // GIR_Coverage, 15899,
     /* 2005826 */     GIR_EraseRootFromParent_Done,
     /* 2005827 */   // Label 26789: @2005827
     /* 2005827 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2005929), // Rule ID 15900 //
     /* 2005832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2005835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2005849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005882 */     // MIs[1] Operand 1
     /* 2005882 */     // No operand predicates
     /* 2005882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005886 */     // MIs[0] round
     /* 2005886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005889 */     // MIs[0] policy
     /* 2005889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005928 */     // GIR_Coverage, 15900,
     /* 2005928 */     GIR_EraseRootFromParent_Done,
     /* 2005929 */   // Label 26790: @2005929
     /* 2005929 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2006031), // Rule ID 15903 //
     /* 2005934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2005945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2005948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2005951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005984 */     // MIs[1] Operand 1
     /* 2005984 */     // No operand predicates
     /* 2005984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005988 */     // MIs[0] round
     /* 2005988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005991 */     // MIs[0] policy
     /* 2005991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006030 */     // GIR_Coverage, 15903,
     /* 2006030 */     GIR_EraseRootFromParent_Done,
     /* 2006031 */   // Label 26791: @2006031
     /* 2006031 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2006133), // Rule ID 15904 //
     /* 2006036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2006047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2006050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006086 */     // MIs[1] Operand 1
     /* 2006086 */     // No operand predicates
     /* 2006086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006090 */     // MIs[0] round
     /* 2006090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006093 */     // MIs[0] policy
     /* 2006093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006105 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006132 */     // GIR_Coverage, 15904,
     /* 2006132 */     GIR_EraseRootFromParent_Done,
     /* 2006133 */   // Label 26792: @2006133
     /* 2006133 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2006235), // Rule ID 15907 //
     /* 2006138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006188 */     // MIs[1] Operand 1
     /* 2006188 */     // No operand predicates
     /* 2006188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006192 */     // MIs[0] round
     /* 2006192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006195 */     // MIs[0] policy
     /* 2006195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006207 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006234 */     // GIR_Coverage, 15907,
     /* 2006234 */     GIR_EraseRootFromParent_Done,
     /* 2006235 */   // Label 26793: @2006235
     /* 2006235 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2006337), // Rule ID 15908 //
     /* 2006240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006290 */     // MIs[1] Operand 1
     /* 2006290 */     // No operand predicates
     /* 2006290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006294 */     // MIs[0] round
     /* 2006294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006297 */     // MIs[0] policy
     /* 2006297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006336 */     // GIR_Coverage, 15908,
     /* 2006336 */     GIR_EraseRootFromParent_Done,
     /* 2006337 */   // Label 26794: @2006337
     /* 2006337 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2006439), // Rule ID 15911 //
     /* 2006342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006392 */     // MIs[1] Operand 1
     /* 2006392 */     // No operand predicates
     /* 2006392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006396 */     // MIs[0] round
     /* 2006396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006399 */     // MIs[0] policy
     /* 2006399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006438 */     // GIR_Coverage, 15911,
     /* 2006438 */     GIR_EraseRootFromParent_Done,
     /* 2006439 */   // Label 26795: @2006439
     /* 2006439 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2006541), // Rule ID 15912 //
     /* 2006444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006494 */     // MIs[1] Operand 1
     /* 2006494 */     // No operand predicates
     /* 2006494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006498 */     // MIs[0] round
     /* 2006498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006501 */     // MIs[0] policy
     /* 2006501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006513 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006540 */     // GIR_Coverage, 15912,
     /* 2006540 */     GIR_EraseRootFromParent_Done,
     /* 2006541 */   // Label 26796: @2006541
     /* 2006541 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2006643), // Rule ID 15915 //
     /* 2006546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006596 */     // MIs[1] Operand 1
     /* 2006596 */     // No operand predicates
     /* 2006596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006600 */     // MIs[0] round
     /* 2006600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006603 */     // MIs[0] policy
     /* 2006603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006642 */     // GIR_Coverage, 15915,
     /* 2006642 */     GIR_EraseRootFromParent_Done,
     /* 2006643 */   // Label 26797: @2006643
     /* 2006643 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2006745), // Rule ID 15916 //
     /* 2006648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006698 */     // MIs[1] Operand 1
     /* 2006698 */     // No operand predicates
     /* 2006698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006702 */     // MIs[0] round
     /* 2006702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006705 */     // MIs[0] policy
     /* 2006705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006744 */     // GIR_Coverage, 15916,
     /* 2006744 */     GIR_EraseRootFromParent_Done,
     /* 2006745 */   // Label 26798: @2006745
     /* 2006745 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2006847), // Rule ID 15919 //
     /* 2006750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2006761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2006764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006800 */     // MIs[1] Operand 1
     /* 2006800 */     // No operand predicates
     /* 2006800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006804 */     // MIs[0] round
     /* 2006804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006807 */     // MIs[0] policy
     /* 2006807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006846 */     // GIR_Coverage, 15919,
     /* 2006846 */     GIR_EraseRootFromParent_Done,
     /* 2006847 */   // Label 26799: @2006847
     /* 2006847 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2006949), // Rule ID 15920 //
     /* 2006852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2006863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2006866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006902 */     // MIs[1] Operand 1
     /* 2006902 */     // No operand predicates
     /* 2006902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006906 */     // MIs[0] round
     /* 2006906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006909 */     // MIs[0] policy
     /* 2006909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006948 */     // GIR_Coverage, 15920,
     /* 2006948 */     GIR_EraseRootFromParent_Done,
     /* 2006949 */   // Label 26800: @2006949
     /* 2006949 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2007051), // Rule ID 15923 //
     /* 2006954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2006965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2006968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2006971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007004 */     // MIs[1] Operand 1
     /* 2007004 */     // No operand predicates
     /* 2007004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007008 */     // MIs[0] round
     /* 2007008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007011 */     // MIs[0] policy
     /* 2007011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007023 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007050 */     // GIR_Coverage, 15923,
     /* 2007050 */     GIR_EraseRootFromParent_Done,
     /* 2007051 */   // Label 26801: @2007051
     /* 2007051 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2007153), // Rule ID 15924 //
     /* 2007056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2007067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2007070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007106 */     // MIs[1] Operand 1
     /* 2007106 */     // No operand predicates
     /* 2007106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007110 */     // MIs[0] round
     /* 2007110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007113 */     // MIs[0] policy
     /* 2007113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007125 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007152 */     // GIR_Coverage, 15924,
     /* 2007152 */     GIR_EraseRootFromParent_Done,
     /* 2007153 */   // Label 26802: @2007153
     /* 2007153 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2007255), // Rule ID 15927 //
     /* 2007158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007208 */     // MIs[1] Operand 1
     /* 2007208 */     // No operand predicates
     /* 2007208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007212 */     // MIs[0] round
     /* 2007212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007215 */     // MIs[0] policy
     /* 2007215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007254 */     // GIR_Coverage, 15927,
     /* 2007254 */     GIR_EraseRootFromParent_Done,
     /* 2007255 */   // Label 26803: @2007255
     /* 2007255 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2007357), // Rule ID 15928 //
     /* 2007260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007310 */     // MIs[1] Operand 1
     /* 2007310 */     // No operand predicates
     /* 2007310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007314 */     // MIs[0] round
     /* 2007314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007317 */     // MIs[0] policy
     /* 2007317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007329 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007356 */     // GIR_Coverage, 15928,
     /* 2007356 */     GIR_EraseRootFromParent_Done,
     /* 2007357 */   // Label 26804: @2007357
     /* 2007357 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2007459), // Rule ID 15931 //
     /* 2007362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007412 */     // MIs[1] Operand 1
     /* 2007412 */     // No operand predicates
     /* 2007412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007416 */     // MIs[0] round
     /* 2007416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007419 */     // MIs[0] policy
     /* 2007419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007431 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007458 */     // GIR_Coverage, 15931,
     /* 2007458 */     GIR_EraseRootFromParent_Done,
     /* 2007459 */   // Label 26805: @2007459
     /* 2007459 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2007561), // Rule ID 15932 //
     /* 2007464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007514 */     // MIs[1] Operand 1
     /* 2007514 */     // No operand predicates
     /* 2007514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007518 */     // MIs[0] round
     /* 2007518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007521 */     // MIs[0] policy
     /* 2007521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007560 */     // GIR_Coverage, 15932,
     /* 2007560 */     GIR_EraseRootFromParent_Done,
     /* 2007561 */   // Label 26806: @2007561
     /* 2007561 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2007663), // Rule ID 15935 //
     /* 2007566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007616 */     // MIs[1] Operand 1
     /* 2007616 */     // No operand predicates
     /* 2007616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007620 */     // MIs[0] round
     /* 2007620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007623 */     // MIs[0] policy
     /* 2007623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007662 */     // GIR_Coverage, 15935,
     /* 2007662 */     GIR_EraseRootFromParent_Done,
     /* 2007663 */   // Label 26807: @2007663
     /* 2007663 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2007765), // Rule ID 15936 //
     /* 2007668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007718 */     // MIs[1] Operand 1
     /* 2007718 */     // No operand predicates
     /* 2007718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007722 */     // MIs[0] round
     /* 2007722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007725 */     // MIs[0] policy
     /* 2007725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007737 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007764 */     // GIR_Coverage, 15936,
     /* 2007764 */     GIR_EraseRootFromParent_Done,
     /* 2007765 */   // Label 26808: @2007765
     /* 2007765 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2007867), // Rule ID 15939 //
     /* 2007770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2007787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007820 */     // MIs[1] Operand 1
     /* 2007820 */     // No operand predicates
     /* 2007820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007824 */     // MIs[0] round
     /* 2007824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007827 */     // MIs[0] policy
     /* 2007827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007866 */     // GIR_Coverage, 15939,
     /* 2007866 */     GIR_EraseRootFromParent_Done,
     /* 2007867 */   // Label 26809: @2007867
     /* 2007867 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2007969), // Rule ID 15940 //
     /* 2007872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2007889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007922 */     // MIs[1] Operand 1
     /* 2007922 */     // No operand predicates
     /* 2007922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007926 */     // MIs[0] round
     /* 2007926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007929 */     // MIs[0] policy
     /* 2007929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007941 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007968 */     // GIR_Coverage, 15940,
     /* 2007968 */     GIR_EraseRootFromParent_Done,
     /* 2007969 */   // Label 26810: @2007969
     /* 2007969 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2008071), // Rule ID 15943 //
     /* 2007974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2007991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008024 */     // MIs[1] Operand 1
     /* 2008024 */     // No operand predicates
     /* 2008024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008028 */     // MIs[0] round
     /* 2008028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008031 */     // MIs[0] policy
     /* 2008031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008043 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2008046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008070 */     // GIR_Coverage, 15943,
     /* 2008070 */     GIR_EraseRootFromParent_Done,
     /* 2008071 */   // Label 26811: @2008071
     /* 2008071 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2008173), // Rule ID 15944 //
     /* 2008076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008126 */     // MIs[1] Operand 1
     /* 2008126 */     // No operand predicates
     /* 2008126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008130 */     // MIs[0] round
     /* 2008130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008133 */     // MIs[0] policy
     /* 2008133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008145 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2008148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008172 */     // GIR_Coverage, 15944,
     /* 2008172 */     GIR_EraseRootFromParent_Done,
     /* 2008173 */   // Label 26812: @2008173
     /* 2008173 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2008275), // Rule ID 15947 //
     /* 2008178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008228 */     // MIs[1] Operand 1
     /* 2008228 */     // No operand predicates
     /* 2008228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008232 */     // MIs[0] round
     /* 2008232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008235 */     // MIs[0] policy
     /* 2008235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008274 */     // GIR_Coverage, 15947,
     /* 2008274 */     GIR_EraseRootFromParent_Done,
     /* 2008275 */   // Label 26813: @2008275
     /* 2008275 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2008377), // Rule ID 15948 //
     /* 2008280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008330 */     // MIs[1] Operand 1
     /* 2008330 */     // No operand predicates
     /* 2008330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008334 */     // MIs[0] round
     /* 2008334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008337 */     // MIs[0] policy
     /* 2008337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008376 */     // GIR_Coverage, 15948,
     /* 2008376 */     GIR_EraseRootFromParent_Done,
     /* 2008377 */   // Label 26814: @2008377
     /* 2008377 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2008479), // Rule ID 16127 //
     /* 2008382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008432 */     // MIs[1] Operand 1
     /* 2008432 */     // No operand predicates
     /* 2008432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008436 */     // MIs[0] round
     /* 2008436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008439 */     // MIs[0] policy
     /* 2008439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008478 */     // GIR_Coverage, 16127,
     /* 2008478 */     GIR_EraseRootFromParent_Done,
     /* 2008479 */   // Label 26815: @2008479
     /* 2008479 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2008581), // Rule ID 16128 //
     /* 2008484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008534 */     // MIs[1] Operand 1
     /* 2008534 */     // No operand predicates
     /* 2008534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008538 */     // MIs[0] round
     /* 2008538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008541 */     // MIs[0] policy
     /* 2008541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008553 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008580 */     // GIR_Coverage, 16128,
     /* 2008580 */     GIR_EraseRootFromParent_Done,
     /* 2008581 */   // Label 26816: @2008581
     /* 2008581 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2008683), // Rule ID 16131 //
     /* 2008586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008636 */     // MIs[1] Operand 1
     /* 2008636 */     // No operand predicates
     /* 2008636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008640 */     // MIs[0] round
     /* 2008640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008643 */     // MIs[0] policy
     /* 2008643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008655 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2008658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008682 */     // GIR_Coverage, 16131,
     /* 2008682 */     GIR_EraseRootFromParent_Done,
     /* 2008683 */   // Label 26817: @2008683
     /* 2008683 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2008785), // Rule ID 16132 //
     /* 2008688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008738 */     // MIs[1] Operand 1
     /* 2008738 */     // No operand predicates
     /* 2008738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008742 */     // MIs[0] round
     /* 2008742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008745 */     // MIs[0] policy
     /* 2008745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008757 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2008760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008784 */     // GIR_Coverage, 16132,
     /* 2008784 */     GIR_EraseRootFromParent_Done,
     /* 2008785 */   // Label 26818: @2008785
     /* 2008785 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2008887), // Rule ID 16135 //
     /* 2008790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008840 */     // MIs[1] Operand 1
     /* 2008840 */     // No operand predicates
     /* 2008840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008844 */     // MIs[0] round
     /* 2008844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008847 */     // MIs[0] policy
     /* 2008847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008886 */     // GIR_Coverage, 16135,
     /* 2008886 */     GIR_EraseRootFromParent_Done,
     /* 2008887 */   // Label 26819: @2008887
     /* 2008887 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2008989), // Rule ID 16136 //
     /* 2008892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008942 */     // MIs[1] Operand 1
     /* 2008942 */     // No operand predicates
     /* 2008942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008946 */     // MIs[0] round
     /* 2008946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008949 */     // MIs[0] policy
     /* 2008949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008961 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008988 */     // GIR_Coverage, 16136,
     /* 2008988 */     GIR_EraseRootFromParent_Done,
     /* 2008989 */   // Label 26820: @2008989
     /* 2008989 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2009091), // Rule ID 16139 //
     /* 2008994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009044 */     // MIs[1] Operand 1
     /* 2009044 */     // No operand predicates
     /* 2009044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009048 */     // MIs[0] round
     /* 2009048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009051 */     // MIs[0] policy
     /* 2009051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009063 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009090 */     // GIR_Coverage, 16139,
     /* 2009090 */     GIR_EraseRootFromParent_Done,
     /* 2009091 */   // Label 26821: @2009091
     /* 2009091 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2009193), // Rule ID 16140 //
     /* 2009096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009146 */     // MIs[1] Operand 1
     /* 2009146 */     // No operand predicates
     /* 2009146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009150 */     // MIs[0] round
     /* 2009150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009153 */     // MIs[0] policy
     /* 2009153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009165 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009192 */     // GIR_Coverage, 16140,
     /* 2009192 */     GIR_EraseRootFromParent_Done,
     /* 2009193 */   // Label 26822: @2009193
     /* 2009193 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2009295), // Rule ID 16143 //
     /* 2009198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009248 */     // MIs[1] Operand 1
     /* 2009248 */     // No operand predicates
     /* 2009248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009252 */     // MIs[0] round
     /* 2009252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009255 */     // MIs[0] policy
     /* 2009255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009294 */     // GIR_Coverage, 16143,
     /* 2009294 */     GIR_EraseRootFromParent_Done,
     /* 2009295 */   // Label 26823: @2009295
     /* 2009295 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2009397), // Rule ID 16144 //
     /* 2009300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009350 */     // MIs[1] Operand 1
     /* 2009350 */     // No operand predicates
     /* 2009350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009354 */     // MIs[0] round
     /* 2009354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009357 */     // MIs[0] policy
     /* 2009357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009369 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009396 */     // GIR_Coverage, 16144,
     /* 2009396 */     GIR_EraseRootFromParent_Done,
     /* 2009397 */   // Label 26824: @2009397
     /* 2009397 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2009499), // Rule ID 16147 //
     /* 2009402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009452 */     // MIs[1] Operand 1
     /* 2009452 */     // No operand predicates
     /* 2009452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009456 */     // MIs[0] round
     /* 2009456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009459 */     // MIs[0] policy
     /* 2009459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009471 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009498 */     // GIR_Coverage, 16147,
     /* 2009498 */     GIR_EraseRootFromParent_Done,
     /* 2009499 */   // Label 26825: @2009499
     /* 2009499 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2009601), // Rule ID 16148 //
     /* 2009504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009554 */     // MIs[1] Operand 1
     /* 2009554 */     // No operand predicates
     /* 2009554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009558 */     // MIs[0] round
     /* 2009558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009561 */     // MIs[0] policy
     /* 2009561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009600 */     // GIR_Coverage, 16148,
     /* 2009600 */     GIR_EraseRootFromParent_Done,
     /* 2009601 */   // Label 26826: @2009601
     /* 2009601 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2009703), // Rule ID 16151 //
     /* 2009606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009656 */     // MIs[1] Operand 1
     /* 2009656 */     // No operand predicates
     /* 2009656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009660 */     // MIs[0] round
     /* 2009660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009663 */     // MIs[0] policy
     /* 2009663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009675 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009702 */     // GIR_Coverage, 16151,
     /* 2009702 */     GIR_EraseRootFromParent_Done,
     /* 2009703 */   // Label 26827: @2009703
     /* 2009703 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2009805), // Rule ID 16152 //
     /* 2009708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009758 */     // MIs[1] Operand 1
     /* 2009758 */     // No operand predicates
     /* 2009758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009762 */     // MIs[0] round
     /* 2009762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009765 */     // MIs[0] policy
     /* 2009765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009804 */     // GIR_Coverage, 16152,
     /* 2009804 */     GIR_EraseRootFromParent_Done,
     /* 2009805 */   // Label 26828: @2009805
     /* 2009805 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2009907), // Rule ID 16155 //
     /* 2009810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009860 */     // MIs[1] Operand 1
     /* 2009860 */     // No operand predicates
     /* 2009860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009864 */     // MIs[0] round
     /* 2009864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009867 */     // MIs[0] policy
     /* 2009867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009906 */     // GIR_Coverage, 16155,
     /* 2009906 */     GIR_EraseRootFromParent_Done,
     /* 2009907 */   // Label 26829: @2009907
     /* 2009907 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2010009), // Rule ID 16156 //
     /* 2009912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009962 */     // MIs[1] Operand 1
     /* 2009962 */     // No operand predicates
     /* 2009962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009966 */     // MIs[0] round
     /* 2009966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009969 */     // MIs[0] policy
     /* 2009969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009981 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010008 */     // GIR_Coverage, 16156,
     /* 2010008 */     GIR_EraseRootFromParent_Done,
     /* 2010009 */   // Label 26830: @2010009
     /* 2010009 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2010111), // Rule ID 16159 //
     /* 2010014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010064 */     // MIs[1] Operand 1
     /* 2010064 */     // No operand predicates
     /* 2010064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010068 */     // MIs[0] round
     /* 2010068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010071 */     // MIs[0] policy
     /* 2010071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010110 */     // GIR_Coverage, 16159,
     /* 2010110 */     GIR_EraseRootFromParent_Done,
     /* 2010111 */   // Label 26831: @2010111
     /* 2010111 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2010213), // Rule ID 16160 //
     /* 2010116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010166 */     // MIs[1] Operand 1
     /* 2010166 */     // No operand predicates
     /* 2010166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010170 */     // MIs[0] round
     /* 2010170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010173 */     // MIs[0] policy
     /* 2010173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010212 */     // GIR_Coverage, 16160,
     /* 2010212 */     GIR_EraseRootFromParent_Done,
     /* 2010213 */   // Label 26832: @2010213
     /* 2010213 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2010315), // Rule ID 16163 //
     /* 2010218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010268 */     // MIs[1] Operand 1
     /* 2010268 */     // No operand predicates
     /* 2010268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010272 */     // MIs[0] round
     /* 2010272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010275 */     // MIs[0] policy
     /* 2010275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010314 */     // GIR_Coverage, 16163,
     /* 2010314 */     GIR_EraseRootFromParent_Done,
     /* 2010315 */   // Label 26833: @2010315
     /* 2010315 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2010417), // Rule ID 16164 //
     /* 2010320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010370 */     // MIs[1] Operand 1
     /* 2010370 */     // No operand predicates
     /* 2010370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010374 */     // MIs[0] round
     /* 2010374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010377 */     // MIs[0] policy
     /* 2010377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010416 */     // GIR_Coverage, 16164,
     /* 2010416 */     GIR_EraseRootFromParent_Done,
     /* 2010417 */   // Label 26834: @2010417
     /* 2010417 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2010519), // Rule ID 16167 //
     /* 2010422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010472 */     // MIs[1] Operand 1
     /* 2010472 */     // No operand predicates
     /* 2010472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010476 */     // MIs[0] round
     /* 2010476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010479 */     // MIs[0] policy
     /* 2010479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010518 */     // GIR_Coverage, 16167,
     /* 2010518 */     GIR_EraseRootFromParent_Done,
     /* 2010519 */   // Label 26835: @2010519
     /* 2010519 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2010621), // Rule ID 16168 //
     /* 2010524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010574 */     // MIs[1] Operand 1
     /* 2010574 */     // No operand predicates
     /* 2010574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010578 */     // MIs[0] round
     /* 2010578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010581 */     // MIs[0] policy
     /* 2010581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010593 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010620 */     // GIR_Coverage, 16168,
     /* 2010620 */     GIR_EraseRootFromParent_Done,
     /* 2010621 */   // Label 26836: @2010621
     /* 2010621 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2010723), // Rule ID 16171 //
     /* 2010626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010676 */     // MIs[1] Operand 1
     /* 2010676 */     // No operand predicates
     /* 2010676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010680 */     // MIs[0] round
     /* 2010680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010683 */     // MIs[0] policy
     /* 2010683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010695 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010722 */     // GIR_Coverage, 16171,
     /* 2010722 */     GIR_EraseRootFromParent_Done,
     /* 2010723 */   // Label 26837: @2010723
     /* 2010723 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2010825), // Rule ID 16172 //
     /* 2010728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010778 */     // MIs[1] Operand 1
     /* 2010778 */     // No operand predicates
     /* 2010778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010782 */     // MIs[0] round
     /* 2010782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010785 */     // MIs[0] policy
     /* 2010785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010824 */     // GIR_Coverage, 16172,
     /* 2010824 */     GIR_EraseRootFromParent_Done,
     /* 2010825 */   // Label 26838: @2010825
     /* 2010825 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2010927), // Rule ID 16175 //
     /* 2010830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2010844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2010847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2010853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010880 */     // MIs[1] Operand 1
     /* 2010880 */     // No operand predicates
     /* 2010880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010884 */     // MIs[0] round
     /* 2010884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010887 */     // MIs[0] policy
     /* 2010887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2010902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010926 */     // GIR_Coverage, 16175,
     /* 2010926 */     GIR_EraseRootFromParent_Done,
     /* 2010927 */   // Label 26839: @2010927
     /* 2010927 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2011029), // Rule ID 16176 //
     /* 2010932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2010946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2010949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2010955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010982 */     // MIs[1] Operand 1
     /* 2010982 */     // No operand predicates
     /* 2010982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010986 */     // MIs[0] round
     /* 2010986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010989 */     // MIs[0] policy
     /* 2010989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011001 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011028 */     // GIR_Coverage, 16176,
     /* 2011028 */     GIR_EraseRootFromParent_Done,
     /* 2011029 */   // Label 26840: @2011029
     /* 2011029 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2011131), // Rule ID 16179 //
     /* 2011034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011084 */     // MIs[1] Operand 1
     /* 2011084 */     // No operand predicates
     /* 2011084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011088 */     // MIs[0] round
     /* 2011088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011091 */     // MIs[0] policy
     /* 2011091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011130 */     // GIR_Coverage, 16179,
     /* 2011130 */     GIR_EraseRootFromParent_Done,
     /* 2011131 */   // Label 26841: @2011131
     /* 2011131 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2011233), // Rule ID 16180 //
     /* 2011136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011186 */     // MIs[1] Operand 1
     /* 2011186 */     // No operand predicates
     /* 2011186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011190 */     // MIs[0] round
     /* 2011190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011193 */     // MIs[0] policy
     /* 2011193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011232 */     // GIR_Coverage, 16180,
     /* 2011232 */     GIR_EraseRootFromParent_Done,
     /* 2011233 */   // Label 26842: @2011233
     /* 2011233 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2011335), // Rule ID 16183 //
     /* 2011238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011288 */     // MIs[1] Operand 1
     /* 2011288 */     // No operand predicates
     /* 2011288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011292 */     // MIs[0] round
     /* 2011292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011295 */     // MIs[0] policy
     /* 2011295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011334 */     // GIR_Coverage, 16183,
     /* 2011334 */     GIR_EraseRootFromParent_Done,
     /* 2011335 */   // Label 26843: @2011335
     /* 2011335 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2011437), // Rule ID 16184 //
     /* 2011340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011390 */     // MIs[1] Operand 1
     /* 2011390 */     // No operand predicates
     /* 2011390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011394 */     // MIs[0] round
     /* 2011394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011397 */     // MIs[0] policy
     /* 2011397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011436 */     // GIR_Coverage, 16184,
     /* 2011436 */     GIR_EraseRootFromParent_Done,
     /* 2011437 */   // Label 26844: @2011437
     /* 2011437 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2011539), // Rule ID 16187 //
     /* 2011442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011492 */     // MIs[1] Operand 1
     /* 2011492 */     // No operand predicates
     /* 2011492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011496 */     // MIs[0] round
     /* 2011496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011499 */     // MIs[0] policy
     /* 2011499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011511 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011538 */     // GIR_Coverage, 16187,
     /* 2011538 */     GIR_EraseRootFromParent_Done,
     /* 2011539 */   // Label 26845: @2011539
     /* 2011539 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2011641), // Rule ID 16188 //
     /* 2011544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011594 */     // MIs[1] Operand 1
     /* 2011594 */     // No operand predicates
     /* 2011594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011598 */     // MIs[0] round
     /* 2011598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011601 */     // MIs[0] policy
     /* 2011601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011640 */     // GIR_Coverage, 16188,
     /* 2011640 */     GIR_EraseRootFromParent_Done,
     /* 2011641 */   // Label 26846: @2011641
     /* 2011641 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2011743), // Rule ID 16191 //
     /* 2011646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011696 */     // MIs[1] Operand 1
     /* 2011696 */     // No operand predicates
     /* 2011696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011700 */     // MIs[0] round
     /* 2011700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011703 */     // MIs[0] policy
     /* 2011703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011742 */     // GIR_Coverage, 16191,
     /* 2011742 */     GIR_EraseRootFromParent_Done,
     /* 2011743 */   // Label 26847: @2011743
     /* 2011743 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2011845), // Rule ID 16192 //
     /* 2011748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011798 */     // MIs[1] Operand 1
     /* 2011798 */     // No operand predicates
     /* 2011798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011802 */     // MIs[0] round
     /* 2011802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011805 */     // MIs[0] policy
     /* 2011805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011844 */     // GIR_Coverage, 16192,
     /* 2011844 */     GIR_EraseRootFromParent_Done,
     /* 2011845 */   // Label 26848: @2011845
     /* 2011845 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2011947), // Rule ID 16195 //
     /* 2011850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011900 */     // MIs[1] Operand 1
     /* 2011900 */     // No operand predicates
     /* 2011900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011904 */     // MIs[0] round
     /* 2011904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011907 */     // MIs[0] policy
     /* 2011907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011946 */     // GIR_Coverage, 16195,
     /* 2011946 */     GIR_EraseRootFromParent_Done,
     /* 2011947 */   // Label 26849: @2011947
     /* 2011947 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2012049), // Rule ID 16196 //
     /* 2011952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012002 */     // MIs[1] Operand 1
     /* 2012002 */     // No operand predicates
     /* 2012002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012006 */     // MIs[0] round
     /* 2012006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012009 */     // MIs[0] policy
     /* 2012009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012048 */     // GIR_Coverage, 16196,
     /* 2012048 */     GIR_EraseRootFromParent_Done,
     /* 2012049 */   // Label 26850: @2012049
     /* 2012049 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2012151), // Rule ID 16199 //
     /* 2012054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012104 */     // MIs[1] Operand 1
     /* 2012104 */     // No operand predicates
     /* 2012104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012108 */     // MIs[0] round
     /* 2012108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012111 */     // MIs[0] policy
     /* 2012111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012123 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012150 */     // GIR_Coverage, 16199,
     /* 2012150 */     GIR_EraseRootFromParent_Done,
     /* 2012151 */   // Label 26851: @2012151
     /* 2012151 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2012253), // Rule ID 16200 //
     /* 2012156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012206 */     // MIs[1] Operand 1
     /* 2012206 */     // No operand predicates
     /* 2012206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012210 */     // MIs[0] round
     /* 2012210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012213 */     // MIs[0] policy
     /* 2012213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012252 */     // GIR_Coverage, 16200,
     /* 2012252 */     GIR_EraseRootFromParent_Done,
     /* 2012253 */   // Label 26852: @2012253
     /* 2012253 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2012355), // Rule ID 16203 //
     /* 2012258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012308 */     // MIs[1] Operand 1
     /* 2012308 */     // No operand predicates
     /* 2012308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012312 */     // MIs[0] round
     /* 2012312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012315 */     // MIs[0] policy
     /* 2012315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012354 */     // GIR_Coverage, 16203,
     /* 2012354 */     GIR_EraseRootFromParent_Done,
     /* 2012355 */   // Label 26853: @2012355
     /* 2012355 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2012457), // Rule ID 16204 //
     /* 2012360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012410 */     // MIs[1] Operand 1
     /* 2012410 */     // No operand predicates
     /* 2012410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012414 */     // MIs[0] round
     /* 2012414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012417 */     // MIs[0] policy
     /* 2012417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012456 */     // GIR_Coverage, 16204,
     /* 2012456 */     GIR_EraseRootFromParent_Done,
     /* 2012457 */   // Label 26854: @2012457
     /* 2012457 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2012559), // Rule ID 16207 //
     /* 2012462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012512 */     // MIs[1] Operand 1
     /* 2012512 */     // No operand predicates
     /* 2012512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012516 */     // MIs[0] round
     /* 2012516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012519 */     // MIs[0] policy
     /* 2012519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012558 */     // GIR_Coverage, 16207,
     /* 2012558 */     GIR_EraseRootFromParent_Done,
     /* 2012559 */   // Label 26855: @2012559
     /* 2012559 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2012661), // Rule ID 16208 //
     /* 2012564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012614 */     // MIs[1] Operand 1
     /* 2012614 */     // No operand predicates
     /* 2012614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012618 */     // MIs[0] round
     /* 2012618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012621 */     // MIs[0] policy
     /* 2012621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012660 */     // GIR_Coverage, 16208,
     /* 2012660 */     GIR_EraseRootFromParent_Done,
     /* 2012661 */   // Label 26856: @2012661
     /* 2012661 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2012763), // Rule ID 16211 //
     /* 2012666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012716 */     // MIs[1] Operand 1
     /* 2012716 */     // No operand predicates
     /* 2012716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012720 */     // MIs[0] round
     /* 2012720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012723 */     // MIs[0] policy
     /* 2012723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012735 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012762 */     // GIR_Coverage, 16211,
     /* 2012762 */     GIR_EraseRootFromParent_Done,
     /* 2012763 */   // Label 26857: @2012763
     /* 2012763 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2012865), // Rule ID 16212 //
     /* 2012768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012818 */     // MIs[1] Operand 1
     /* 2012818 */     // No operand predicates
     /* 2012818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012822 */     // MIs[0] round
     /* 2012822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012825 */     // MIs[0] policy
     /* 2012825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012837 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012864 */     // GIR_Coverage, 16212,
     /* 2012864 */     GIR_EraseRootFromParent_Done,
     /* 2012865 */   // Label 26858: @2012865
     /* 2012865 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2012970), // Rule ID 16335 //
     /* 2012870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2012881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2012884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2012887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012920 */     // MIs[1] Operand 1
     /* 2012920 */     // No operand predicates
     /* 2012920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012924 */     // MIs[0] round
     /* 2012924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012927 */     // MIs[0] policy
     /* 2012927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012939 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2012942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012969 */     // GIR_Coverage, 16335,
     /* 2012969 */     GIR_EraseRootFromParent_Done,
     /* 2012970 */   // Label 26859: @2012970
     /* 2012970 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2013075), // Rule ID 16336 //
     /* 2012975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2012986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2012989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2012992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013025 */     // MIs[1] Operand 1
     /* 2013025 */     // No operand predicates
     /* 2013025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013029 */     // MIs[0] round
     /* 2013029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013032 */     // MIs[0] policy
     /* 2013032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2013047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013074 */     // GIR_Coverage, 16336,
     /* 2013074 */     GIR_EraseRootFromParent_Done,
     /* 2013075 */   // Label 26860: @2013075
     /* 2013075 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2013180), // Rule ID 16339 //
     /* 2013080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013130 */     // MIs[1] Operand 1
     /* 2013130 */     // No operand predicates
     /* 2013130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013134 */     // MIs[0] round
     /* 2013134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013137 */     // MIs[0] policy
     /* 2013137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013149 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013179 */     // GIR_Coverage, 16339,
     /* 2013179 */     GIR_EraseRootFromParent_Done,
     /* 2013180 */   // Label 26861: @2013180
     /* 2013180 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2013285), // Rule ID 16340 //
     /* 2013185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013235 */     // MIs[1] Operand 1
     /* 2013235 */     // No operand predicates
     /* 2013235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013239 */     // MIs[0] round
     /* 2013239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013242 */     // MIs[0] policy
     /* 2013242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013284 */     // GIR_Coverage, 16340,
     /* 2013284 */     GIR_EraseRootFromParent_Done,
     /* 2013285 */   // Label 26862: @2013285
     /* 2013285 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2013390), // Rule ID 16343 //
     /* 2013290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013340 */     // MIs[1] Operand 1
     /* 2013340 */     // No operand predicates
     /* 2013340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013344 */     // MIs[0] round
     /* 2013344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013347 */     // MIs[0] policy
     /* 2013347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013389 */     // GIR_Coverage, 16343,
     /* 2013389 */     GIR_EraseRootFromParent_Done,
     /* 2013390 */   // Label 26863: @2013390
     /* 2013390 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2013495), // Rule ID 16344 //
     /* 2013395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013445 */     // MIs[1] Operand 1
     /* 2013445 */     // No operand predicates
     /* 2013445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013449 */     // MIs[0] round
     /* 2013449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013452 */     // MIs[0] policy
     /* 2013452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013494 */     // GIR_Coverage, 16344,
     /* 2013494 */     GIR_EraseRootFromParent_Done,
     /* 2013495 */   // Label 26864: @2013495
     /* 2013495 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2013600), // Rule ID 16347 //
     /* 2013500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013550 */     // MIs[1] Operand 1
     /* 2013550 */     // No operand predicates
     /* 2013550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013554 */     // MIs[0] round
     /* 2013554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013557 */     // MIs[0] policy
     /* 2013557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013569 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013599 */     // GIR_Coverage, 16347,
     /* 2013599 */     GIR_EraseRootFromParent_Done,
     /* 2013600 */   // Label 26865: @2013600
     /* 2013600 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2013705), // Rule ID 16348 //
     /* 2013605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013655 */     // MIs[1] Operand 1
     /* 2013655 */     // No operand predicates
     /* 2013655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013659 */     // MIs[0] round
     /* 2013659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013662 */     // MIs[0] policy
     /* 2013662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013674 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013704 */     // GIR_Coverage, 16348,
     /* 2013704 */     GIR_EraseRootFromParent_Done,
     /* 2013705 */   // Label 26866: @2013705
     /* 2013705 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2013810), // Rule ID 16351 //
     /* 2013710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2013721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2013724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2013727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013760 */     // MIs[1] Operand 1
     /* 2013760 */     // No operand predicates
     /* 2013760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013764 */     // MIs[0] round
     /* 2013764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013767 */     // MIs[0] policy
     /* 2013767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013779 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2013782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013809 */     // GIR_Coverage, 16351,
     /* 2013809 */     GIR_EraseRootFromParent_Done,
     /* 2013810 */   // Label 26867: @2013810
     /* 2013810 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2013915), // Rule ID 16352 //
     /* 2013815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2013826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2013829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2013832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013865 */     // MIs[1] Operand 1
     /* 2013865 */     // No operand predicates
     /* 2013865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013869 */     // MIs[0] round
     /* 2013869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013872 */     // MIs[0] policy
     /* 2013872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013884 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2013887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013914 */     // GIR_Coverage, 16352,
     /* 2013914 */     GIR_EraseRootFromParent_Done,
     /* 2013915 */   // Label 26868: @2013915
     /* 2013915 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2014020), // Rule ID 16355 //
     /* 2013920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2013931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2013934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2013937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2013943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013970 */     // MIs[1] Operand 1
     /* 2013970 */     // No operand predicates
     /* 2013970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013974 */     // MIs[0] round
     /* 2013974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013977 */     // MIs[0] policy
     /* 2013977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013989 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2013992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014019 */     // GIR_Coverage, 16355,
     /* 2014019 */     GIR_EraseRootFromParent_Done,
     /* 2014020 */   // Label 26869: @2014020
     /* 2014020 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2014125), // Rule ID 16356 //
     /* 2014025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2014036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2014039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014075 */     // MIs[1] Operand 1
     /* 2014075 */     // No operand predicates
     /* 2014075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014079 */     // MIs[0] round
     /* 2014079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014082 */     // MIs[0] policy
     /* 2014082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014124 */     // GIR_Coverage, 16356,
     /* 2014124 */     GIR_EraseRootFromParent_Done,
     /* 2014125 */   // Label 26870: @2014125
     /* 2014125 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2014230), // Rule ID 16359 //
     /* 2014130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014180 */     // MIs[1] Operand 1
     /* 2014180 */     // No operand predicates
     /* 2014180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014184 */     // MIs[0] round
     /* 2014184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014187 */     // MIs[0] policy
     /* 2014187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014229 */     // GIR_Coverage, 16359,
     /* 2014229 */     GIR_EraseRootFromParent_Done,
     /* 2014230 */   // Label 26871: @2014230
     /* 2014230 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2014335), // Rule ID 16360 //
     /* 2014235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014285 */     // MIs[1] Operand 1
     /* 2014285 */     // No operand predicates
     /* 2014285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014289 */     // MIs[0] round
     /* 2014289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014292 */     // MIs[0] policy
     /* 2014292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014334 */     // GIR_Coverage, 16360,
     /* 2014334 */     GIR_EraseRootFromParent_Done,
     /* 2014335 */   // Label 26872: @2014335
     /* 2014335 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2014440), // Rule ID 16363 //
     /* 2014340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014390 */     // MIs[1] Operand 1
     /* 2014390 */     // No operand predicates
     /* 2014390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014394 */     // MIs[0] round
     /* 2014394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014397 */     // MIs[0] policy
     /* 2014397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014409 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014439 */     // GIR_Coverage, 16363,
     /* 2014439 */     GIR_EraseRootFromParent_Done,
     /* 2014440 */   // Label 26873: @2014440
     /* 2014440 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2014545), // Rule ID 16364 //
     /* 2014445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014495 */     // MIs[1] Operand 1
     /* 2014495 */     // No operand predicates
     /* 2014495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014499 */     // MIs[0] round
     /* 2014499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014502 */     // MIs[0] policy
     /* 2014502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014544 */     // GIR_Coverage, 16364,
     /* 2014544 */     GIR_EraseRootFromParent_Done,
     /* 2014545 */   // Label 26874: @2014545
     /* 2014545 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2014650), // Rule ID 16367 //
     /* 2014550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014600 */     // MIs[1] Operand 1
     /* 2014600 */     // No operand predicates
     /* 2014600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014604 */     // MIs[0] round
     /* 2014604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014607 */     // MIs[0] policy
     /* 2014607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014649 */     // GIR_Coverage, 16367,
     /* 2014649 */     GIR_EraseRootFromParent_Done,
     /* 2014650 */   // Label 26875: @2014650
     /* 2014650 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2014755), // Rule ID 16368 //
     /* 2014655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014705 */     // MIs[1] Operand 1
     /* 2014705 */     // No operand predicates
     /* 2014705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014709 */     // MIs[0] round
     /* 2014709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014712 */     // MIs[0] policy
     /* 2014712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014754 */     // GIR_Coverage, 16368,
     /* 2014754 */     GIR_EraseRootFromParent_Done,
     /* 2014755 */   // Label 26876: @2014755
     /* 2014755 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2014860), // Rule ID 16371 //
     /* 2014760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2014771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2014774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014810 */     // MIs[1] Operand 1
     /* 2014810 */     // No operand predicates
     /* 2014810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014814 */     // MIs[0] round
     /* 2014814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014817 */     // MIs[0] policy
     /* 2014817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014859 */     // GIR_Coverage, 16371,
     /* 2014859 */     GIR_EraseRootFromParent_Done,
     /* 2014860 */   // Label 26877: @2014860
     /* 2014860 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2014965), // Rule ID 16372 //
     /* 2014865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2014876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2014879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014915 */     // MIs[1] Operand 1
     /* 2014915 */     // No operand predicates
     /* 2014915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014919 */     // MIs[0] round
     /* 2014919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014922 */     // MIs[0] policy
     /* 2014922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014964 */     // GIR_Coverage, 16372,
     /* 2014964 */     GIR_EraseRootFromParent_Done,
     /* 2014965 */   // Label 26878: @2014965
     /* 2014965 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2015070), // Rule ID 16375 //
     /* 2014970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2014981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2014984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2014987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015020 */     // MIs[1] Operand 1
     /* 2015020 */     // No operand predicates
     /* 2015020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015024 */     // MIs[0] round
     /* 2015024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015027 */     // MIs[0] policy
     /* 2015027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015039 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015069 */     // GIR_Coverage, 16375,
     /* 2015069 */     GIR_EraseRootFromParent_Done,
     /* 2015070 */   // Label 26879: @2015070
     /* 2015070 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2015175), // Rule ID 16376 //
     /* 2015075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015125 */     // MIs[1] Operand 1
     /* 2015125 */     // No operand predicates
     /* 2015125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015129 */     // MIs[0] round
     /* 2015129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015132 */     // MIs[0] policy
     /* 2015132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015174 */     // GIR_Coverage, 16376,
     /* 2015174 */     GIR_EraseRootFromParent_Done,
     /* 2015175 */   // Label 26880: @2015175
     /* 2015175 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2015280), // Rule ID 16379 //
     /* 2015180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015230 */     // MIs[1] Operand 1
     /* 2015230 */     // No operand predicates
     /* 2015230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015234 */     // MIs[0] round
     /* 2015234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015237 */     // MIs[0] policy
     /* 2015237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015249 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015279 */     // GIR_Coverage, 16379,
     /* 2015279 */     GIR_EraseRootFromParent_Done,
     /* 2015280 */   // Label 26881: @2015280
     /* 2015280 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2015385), // Rule ID 16380 //
     /* 2015285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015335 */     // MIs[1] Operand 1
     /* 2015335 */     // No operand predicates
     /* 2015335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015339 */     // MIs[0] round
     /* 2015339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015342 */     // MIs[0] policy
     /* 2015342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015384 */     // GIR_Coverage, 16380,
     /* 2015384 */     GIR_EraseRootFromParent_Done,
     /* 2015385 */   // Label 26882: @2015385
     /* 2015385 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2015490), // Rule ID 16383 //
     /* 2015390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015440 */     // MIs[1] Operand 1
     /* 2015440 */     // No operand predicates
     /* 2015440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015444 */     // MIs[0] round
     /* 2015444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015447 */     // MIs[0] policy
     /* 2015447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015489 */     // GIR_Coverage, 16383,
     /* 2015489 */     GIR_EraseRootFromParent_Done,
     /* 2015490 */   // Label 26883: @2015490
     /* 2015490 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2015595), // Rule ID 16384 //
     /* 2015495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015545 */     // MIs[1] Operand 1
     /* 2015545 */     // No operand predicates
     /* 2015545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015549 */     // MIs[0] round
     /* 2015549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015552 */     // MIs[0] policy
     /* 2015552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015594 */     // GIR_Coverage, 16384,
     /* 2015594 */     GIR_EraseRootFromParent_Done,
     /* 2015595 */   // Label 26884: @2015595
     /* 2015595 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2015700), // Rule ID 16387 //
     /* 2015600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015650 */     // MIs[1] Operand 1
     /* 2015650 */     // No operand predicates
     /* 2015650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015654 */     // MIs[0] round
     /* 2015654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015657 */     // MIs[0] policy
     /* 2015657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015699 */     // GIR_Coverage, 16387,
     /* 2015699 */     GIR_EraseRootFromParent_Done,
     /* 2015700 */   // Label 26885: @2015700
     /* 2015700 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2015805), // Rule ID 16388 //
     /* 2015705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015755 */     // MIs[1] Operand 1
     /* 2015755 */     // No operand predicates
     /* 2015755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015759 */     // MIs[0] round
     /* 2015759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015762 */     // MIs[0] policy
     /* 2015762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015804 */     // GIR_Coverage, 16388,
     /* 2015804 */     GIR_EraseRootFromParent_Done,
     /* 2015805 */   // Label 26886: @2015805
     /* 2015805 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2015910), // Rule ID 16391 //
     /* 2015810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2015821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2015824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015860 */     // MIs[1] Operand 1
     /* 2015860 */     // No operand predicates
     /* 2015860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015864 */     // MIs[0] round
     /* 2015864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015867 */     // MIs[0] policy
     /* 2015867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015879 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015909 */     // GIR_Coverage, 16391,
     /* 2015909 */     GIR_EraseRootFromParent_Done,
     /* 2015910 */   // Label 26887: @2015910
     /* 2015910 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2016015), // Rule ID 16392 //
     /* 2015915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2015926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2015929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015965 */     // MIs[1] Operand 1
     /* 2015965 */     // No operand predicates
     /* 2015965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015969 */     // MIs[0] round
     /* 2015969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015972 */     // MIs[0] policy
     /* 2015972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016014 */     // GIR_Coverage, 16392,
     /* 2016014 */     GIR_EraseRootFromParent_Done,
     /* 2016015 */   // Label 26888: @2016015
     /* 2016015 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2016120), // Rule ID 16515 //
     /* 2016020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016070 */     // MIs[1] Operand 1
     /* 2016070 */     // No operand predicates
     /* 2016070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016074 */     // MIs[0] round
     /* 2016074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016077 */     // MIs[0] policy
     /* 2016077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016089 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016119 */     // GIR_Coverage, 16515,
     /* 2016119 */     GIR_EraseRootFromParent_Done,
     /* 2016120 */   // Label 26889: @2016120
     /* 2016120 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2016225), // Rule ID 16516 //
     /* 2016125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016175 */     // MIs[1] Operand 1
     /* 2016175 */     // No operand predicates
     /* 2016175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016179 */     // MIs[0] round
     /* 2016179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016182 */     // MIs[0] policy
     /* 2016182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016224 */     // GIR_Coverage, 16516,
     /* 2016224 */     GIR_EraseRootFromParent_Done,
     /* 2016225 */   // Label 26890: @2016225
     /* 2016225 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2016330), // Rule ID 16519 //
     /* 2016230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016280 */     // MIs[1] Operand 1
     /* 2016280 */     // No operand predicates
     /* 2016280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016284 */     // MIs[0] round
     /* 2016284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016287 */     // MIs[0] policy
     /* 2016287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016299 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016329 */     // GIR_Coverage, 16519,
     /* 2016329 */     GIR_EraseRootFromParent_Done,
     /* 2016330 */   // Label 26891: @2016330
     /* 2016330 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2016435), // Rule ID 16520 //
     /* 2016335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016385 */     // MIs[1] Operand 1
     /* 2016385 */     // No operand predicates
     /* 2016385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016389 */     // MIs[0] round
     /* 2016389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016392 */     // MIs[0] policy
     /* 2016392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016404 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016434 */     // GIR_Coverage, 16520,
     /* 2016434 */     GIR_EraseRootFromParent_Done,
     /* 2016435 */   // Label 26892: @2016435
     /* 2016435 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2016540), // Rule ID 16523 //
     /* 2016440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016490 */     // MIs[1] Operand 1
     /* 2016490 */     // No operand predicates
     /* 2016490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016494 */     // MIs[0] round
     /* 2016494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016497 */     // MIs[0] policy
     /* 2016497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016509 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016539 */     // GIR_Coverage, 16523,
     /* 2016539 */     GIR_EraseRootFromParent_Done,
     /* 2016540 */   // Label 26893: @2016540
     /* 2016540 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2016645), // Rule ID 16524 //
     /* 2016545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016595 */     // MIs[1] Operand 1
     /* 2016595 */     // No operand predicates
     /* 2016595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016599 */     // MIs[0] round
     /* 2016599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016602 */     // MIs[0] policy
     /* 2016602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016614 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016644 */     // GIR_Coverage, 16524,
     /* 2016644 */     GIR_EraseRootFromParent_Done,
     /* 2016645 */   // Label 26894: @2016645
     /* 2016645 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2016750), // Rule ID 16527 //
     /* 2016650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2016661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2016664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2016667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016700 */     // MIs[1] Operand 1
     /* 2016700 */     // No operand predicates
     /* 2016700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016704 */     // MIs[0] round
     /* 2016704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016707 */     // MIs[0] policy
     /* 2016707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016719 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2016722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016749 */     // GIR_Coverage, 16527,
     /* 2016749 */     GIR_EraseRootFromParent_Done,
     /* 2016750 */   // Label 26895: @2016750
     /* 2016750 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2016855), // Rule ID 16528 //
     /* 2016755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2016766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2016769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2016772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016805 */     // MIs[1] Operand 1
     /* 2016805 */     // No operand predicates
     /* 2016805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016809 */     // MIs[0] round
     /* 2016809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016812 */     // MIs[0] policy
     /* 2016812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2016827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016854 */     // GIR_Coverage, 16528,
     /* 2016854 */     GIR_EraseRootFromParent_Done,
     /* 2016855 */   // Label 26896: @2016855
     /* 2016855 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2016960), // Rule ID 16531 //
     /* 2016860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2016871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2016874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2016877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016910 */     // MIs[1] Operand 1
     /* 2016910 */     // No operand predicates
     /* 2016910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016914 */     // MIs[0] round
     /* 2016914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016917 */     // MIs[0] policy
     /* 2016917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2016932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016959 */     // GIR_Coverage, 16531,
     /* 2016959 */     GIR_EraseRootFromParent_Done,
     /* 2016960 */   // Label 26897: @2016960
     /* 2016960 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2017065), // Rule ID 16532 //
     /* 2016965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2016976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2016979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2016982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017015 */     // MIs[1] Operand 1
     /* 2017015 */     // No operand predicates
     /* 2017015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017019 */     // MIs[0] round
     /* 2017019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017022 */     // MIs[0] policy
     /* 2017022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017064 */     // GIR_Coverage, 16532,
     /* 2017064 */     GIR_EraseRootFromParent_Done,
     /* 2017065 */   // Label 26898: @2017065
     /* 2017065 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2017170), // Rule ID 16535 //
     /* 2017070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017120 */     // MIs[1] Operand 1
     /* 2017120 */     // No operand predicates
     /* 2017120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017124 */     // MIs[0] round
     /* 2017124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017127 */     // MIs[0] policy
     /* 2017127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017169 */     // GIR_Coverage, 16535,
     /* 2017169 */     GIR_EraseRootFromParent_Done,
     /* 2017170 */   // Label 26899: @2017170
     /* 2017170 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2017275), // Rule ID 16536 //
     /* 2017175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017225 */     // MIs[1] Operand 1
     /* 2017225 */     // No operand predicates
     /* 2017225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017229 */     // MIs[0] round
     /* 2017229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017232 */     // MIs[0] policy
     /* 2017232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017244 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017274 */     // GIR_Coverage, 16536,
     /* 2017274 */     GIR_EraseRootFromParent_Done,
     /* 2017275 */   // Label 26900: @2017275
     /* 2017275 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2017380), // Rule ID 16539 //
     /* 2017280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017330 */     // MIs[1] Operand 1
     /* 2017330 */     // No operand predicates
     /* 2017330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017334 */     // MIs[0] round
     /* 2017334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017337 */     // MIs[0] policy
     /* 2017337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017379 */     // GIR_Coverage, 16539,
     /* 2017379 */     GIR_EraseRootFromParent_Done,
     /* 2017380 */   // Label 26901: @2017380
     /* 2017380 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2017485), // Rule ID 16540 //
     /* 2017385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017435 */     // MIs[1] Operand 1
     /* 2017435 */     // No operand predicates
     /* 2017435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017439 */     // MIs[0] round
     /* 2017439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017442 */     // MIs[0] policy
     /* 2017442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017484 */     // GIR_Coverage, 16540,
     /* 2017484 */     GIR_EraseRootFromParent_Done,
     /* 2017485 */   // Label 26902: @2017485
     /* 2017485 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2017590), // Rule ID 16543 //
     /* 2017490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017540 */     // MIs[1] Operand 1
     /* 2017540 */     // No operand predicates
     /* 2017540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017544 */     // MIs[0] round
     /* 2017544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017547 */     // MIs[0] policy
     /* 2017547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017589 */     // GIR_Coverage, 16543,
     /* 2017589 */     GIR_EraseRootFromParent_Done,
     /* 2017590 */   // Label 26903: @2017590
     /* 2017590 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2017695), // Rule ID 16544 //
     /* 2017595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017645 */     // MIs[1] Operand 1
     /* 2017645 */     // No operand predicates
     /* 2017645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017649 */     // MIs[0] round
     /* 2017649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017652 */     // MIs[0] policy
     /* 2017652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017694 */     // GIR_Coverage, 16544,
     /* 2017694 */     GIR_EraseRootFromParent_Done,
     /* 2017695 */   // Label 26904: @2017695
     /* 2017695 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2017800), // Rule ID 16547 //
     /* 2017700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2017711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2017714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017750 */     // MIs[1] Operand 1
     /* 2017750 */     // No operand predicates
     /* 2017750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017754 */     // MIs[0] round
     /* 2017754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017757 */     // MIs[0] policy
     /* 2017757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017799 */     // GIR_Coverage, 16547,
     /* 2017799 */     GIR_EraseRootFromParent_Done,
     /* 2017800 */   // Label 26905: @2017800
     /* 2017800 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2017905), // Rule ID 16548 //
     /* 2017805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2017816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2017819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017855 */     // MIs[1] Operand 1
     /* 2017855 */     // No operand predicates
     /* 2017855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017859 */     // MIs[0] round
     /* 2017859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017862 */     // MIs[0] policy
     /* 2017862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017904 */     // GIR_Coverage, 16548,
     /* 2017904 */     GIR_EraseRootFromParent_Done,
     /* 2017905 */   // Label 26906: @2017905
     /* 2017905 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2018010), // Rule ID 16551 //
     /* 2017910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2017921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2017924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2017927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017960 */     // MIs[1] Operand 1
     /* 2017960 */     // No operand predicates
     /* 2017960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017964 */     // MIs[0] round
     /* 2017964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017967 */     // MIs[0] policy
     /* 2017967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018009 */     // GIR_Coverage, 16551,
     /* 2018009 */     GIR_EraseRootFromParent_Done,
     /* 2018010 */   // Label 26907: @2018010
     /* 2018010 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2018115), // Rule ID 16552 //
     /* 2018015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2018026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2018029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018065 */     // MIs[1] Operand 1
     /* 2018065 */     // No operand predicates
     /* 2018065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018069 */     // MIs[0] round
     /* 2018069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018072 */     // MIs[0] policy
     /* 2018072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018114 */     // GIR_Coverage, 16552,
     /* 2018114 */     GIR_EraseRootFromParent_Done,
     /* 2018115 */   // Label 26908: @2018115
     /* 2018115 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2018220), // Rule ID 16555 //
     /* 2018120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018170 */     // MIs[1] Operand 1
     /* 2018170 */     // No operand predicates
     /* 2018170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018174 */     // MIs[0] round
     /* 2018174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018177 */     // MIs[0] policy
     /* 2018177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018189 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018219 */     // GIR_Coverage, 16555,
     /* 2018219 */     GIR_EraseRootFromParent_Done,
     /* 2018220 */   // Label 26909: @2018220
     /* 2018220 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2018325), // Rule ID 16556 //
     /* 2018225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018275 */     // MIs[1] Operand 1
     /* 2018275 */     // No operand predicates
     /* 2018275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018279 */     // MIs[0] round
     /* 2018279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018282 */     // MIs[0] policy
     /* 2018282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018294 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018324 */     // GIR_Coverage, 16556,
     /* 2018324 */     GIR_EraseRootFromParent_Done,
     /* 2018325 */   // Label 26910: @2018325
     /* 2018325 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2018430), // Rule ID 16559 //
     /* 2018330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018380 */     // MIs[1] Operand 1
     /* 2018380 */     // No operand predicates
     /* 2018380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018384 */     // MIs[0] round
     /* 2018384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018387 */     // MIs[0] policy
     /* 2018387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018429 */     // GIR_Coverage, 16559,
     /* 2018429 */     GIR_EraseRootFromParent_Done,
     /* 2018430 */   // Label 26911: @2018430
     /* 2018430 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2018535), // Rule ID 16560 //
     /* 2018435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018485 */     // MIs[1] Operand 1
     /* 2018485 */     // No operand predicates
     /* 2018485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018489 */     // MIs[0] round
     /* 2018489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018492 */     // MIs[0] policy
     /* 2018492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018504 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018534 */     // GIR_Coverage, 16560,
     /* 2018534 */     GIR_EraseRootFromParent_Done,
     /* 2018535 */   // Label 26912: @2018535
     /* 2018535 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2018640), // Rule ID 16563 //
     /* 2018540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018590 */     // MIs[1] Operand 1
     /* 2018590 */     // No operand predicates
     /* 2018590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018594 */     // MIs[0] round
     /* 2018594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018597 */     // MIs[0] policy
     /* 2018597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018639 */     // GIR_Coverage, 16563,
     /* 2018639 */     GIR_EraseRootFromParent_Done,
     /* 2018640 */   // Label 26913: @2018640
     /* 2018640 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2018745), // Rule ID 16564 //
     /* 2018645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018695 */     // MIs[1] Operand 1
     /* 2018695 */     // No operand predicates
     /* 2018695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018699 */     // MIs[0] round
     /* 2018699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018702 */     // MIs[0] policy
     /* 2018702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018744 */     // GIR_Coverage, 16564,
     /* 2018744 */     GIR_EraseRootFromParent_Done,
     /* 2018745 */   // Label 26914: @2018745
     /* 2018745 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2018850), // Rule ID 16567 //
     /* 2018750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018800 */     // MIs[1] Operand 1
     /* 2018800 */     // No operand predicates
     /* 2018800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018804 */     // MIs[0] round
     /* 2018804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018807 */     // MIs[0] policy
     /* 2018807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018849 */     // GIR_Coverage, 16567,
     /* 2018849 */     GIR_EraseRootFromParent_Done,
     /* 2018850 */   // Label 26915: @2018850
     /* 2018850 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2018955), // Rule ID 16568 //
     /* 2018855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018905 */     // MIs[1] Operand 1
     /* 2018905 */     // No operand predicates
     /* 2018905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018909 */     // MIs[0] round
     /* 2018909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018912 */     // MIs[0] policy
     /* 2018912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018954 */     // GIR_Coverage, 16568,
     /* 2018954 */     GIR_EraseRootFromParent_Done,
     /* 2018955 */   // Label 26916: @2018955
     /* 2018955 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2019060), // Rule ID 16571 //
     /* 2018960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2018977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019010 */     // MIs[1] Operand 1
     /* 2019010 */     // No operand predicates
     /* 2019010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019014 */     // MIs[0] round
     /* 2019014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019017 */     // MIs[0] policy
     /* 2019017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019029 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2019032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019059 */     // GIR_Coverage, 16571,
     /* 2019059 */     GIR_EraseRootFromParent_Done,
     /* 2019060 */   // Label 26917: @2019060
     /* 2019060 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2019165), // Rule ID 16572 //
     /* 2019065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019115 */     // MIs[1] Operand 1
     /* 2019115 */     // No operand predicates
     /* 2019115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019119 */     // MIs[0] round
     /* 2019119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019122 */     // MIs[0] policy
     /* 2019122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2019137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019164 */     // GIR_Coverage, 16572,
     /* 2019164 */     GIR_EraseRootFromParent_Done,
     /* 2019165 */   // Label 26918: @2019165
     /* 2019165 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2019252), // Rule ID 2651 //
     /* 2019170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019201 */     // MIs[0] passthru
     /* 2019201 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019214 */     // MIs[0] round
     /* 2019214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019217 */     // MIs[0] policy
     /* 2019217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019227 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019251 */     // GIR_Coverage, 2651,
     /* 2019251 */     GIR_EraseRootFromParent_Done,
     /* 2019252 */   // Label 26919: @2019252
     /* 2019252 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2019339), // Rule ID 2652 //
     /* 2019257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019288 */     // MIs[0] passthru
     /* 2019288 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019301 */     // MIs[0] round
     /* 2019301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019304 */     // MIs[0] policy
     /* 2019304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019314 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019338 */     // GIR_Coverage, 2652,
     /* 2019338 */     GIR_EraseRootFromParent_Done,
     /* 2019339 */   // Label 26920: @2019339
     /* 2019339 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2019426), // Rule ID 17023 //
     /* 2019344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019375 */     // MIs[0] passthru
     /* 2019375 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019388 */     // MIs[0] round
     /* 2019388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019391 */     // MIs[0] policy
     /* 2019391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019401 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019425 */     // GIR_Coverage, 17023,
     /* 2019425 */     GIR_EraseRootFromParent_Done,
     /* 2019426 */   // Label 26921: @2019426
     /* 2019426 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2019513), // Rule ID 17024 //
     /* 2019431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019462 */     // MIs[0] passthru
     /* 2019462 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019475 */     // MIs[0] round
     /* 2019475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019478 */     // MIs[0] policy
     /* 2019478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019512 */     // GIR_Coverage, 17024,
     /* 2019512 */     GIR_EraseRootFromParent_Done,
     /* 2019513 */   // Label 26922: @2019513
     /* 2019513 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2019600), // Rule ID 17033 //
     /* 2019518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019549 */     // MIs[0] passthru
     /* 2019549 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019562 */     // MIs[0] round
     /* 2019562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019565 */     // MIs[0] policy
     /* 2019565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019575 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2019578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019599 */     // GIR_Coverage, 17033,
     /* 2019599 */     GIR_EraseRootFromParent_Done,
     /* 2019600 */   // Label 26923: @2019600
     /* 2019600 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2019687), // Rule ID 17034 //
     /* 2019605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019636 */     // MIs[0] passthru
     /* 2019636 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019649 */     // MIs[0] round
     /* 2019649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019652 */     // MIs[0] policy
     /* 2019652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019662 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2019665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019686 */     // GIR_Coverage, 17034,
     /* 2019686 */     GIR_EraseRootFromParent_Done,
     /* 2019687 */   // Label 26924: @2019687
     /* 2019687 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2019774), // Rule ID 17043 //
     /* 2019692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2019709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019723 */     // MIs[0] passthru
     /* 2019723 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019736 */     // MIs[0] round
     /* 2019736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019739 */     // MIs[0] policy
     /* 2019739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019749 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2019752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019773 */     // GIR_Coverage, 17043,
     /* 2019773 */     GIR_EraseRootFromParent_Done,
     /* 2019774 */   // Label 26925: @2019774
     /* 2019774 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2019861), // Rule ID 17044 //
     /* 2019779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2019796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019810 */     // MIs[0] passthru
     /* 2019810 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019823 */     // MIs[0] round
     /* 2019823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019826 */     // MIs[0] policy
     /* 2019826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019836 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2019839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019860 */     // GIR_Coverage, 17044,
     /* 2019860 */     GIR_EraseRootFromParent_Done,
     /* 2019861 */   // Label 26926: @2019861
     /* 2019861 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2019948), // Rule ID 17053 //
     /* 2019866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2019883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019897 */     // MIs[0] passthru
     /* 2019897 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019910 */     // MIs[0] round
     /* 2019910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019913 */     // MIs[0] policy
     /* 2019913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019923 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2019926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019947 */     // GIR_Coverage, 17053,
     /* 2019947 */     GIR_EraseRootFromParent_Done,
     /* 2019948 */   // Label 26927: @2019948
     /* 2019948 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2020035), // Rule ID 17054 //
     /* 2019953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2019970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019984 */     // MIs[0] passthru
     /* 2019984 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019997 */     // MIs[0] round
     /* 2019997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020000 */     // MIs[0] policy
     /* 2020000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020010 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2020013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020034 */     // GIR_Coverage, 17054,
     /* 2020034 */     GIR_EraseRootFromParent_Done,
     /* 2020035 */   // Label 26928: @2020035
     /* 2020035 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2020122), // Rule ID 17063 //
     /* 2020040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020071 */     // MIs[0] passthru
     /* 2020071 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020084 */     // MIs[0] round
     /* 2020084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020087 */     // MIs[0] policy
     /* 2020087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020097 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020121 */     // GIR_Coverage, 17063,
     /* 2020121 */     GIR_EraseRootFromParent_Done,
     /* 2020122 */   // Label 26929: @2020122
     /* 2020122 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2020209), // Rule ID 17064 //
     /* 2020127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020158 */     // MIs[0] passthru
     /* 2020158 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020171 */     // MIs[0] round
     /* 2020171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020174 */     // MIs[0] policy
     /* 2020174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020208 */     // GIR_Coverage, 17064,
     /* 2020208 */     GIR_EraseRootFromParent_Done,
     /* 2020209 */   // Label 26930: @2020209
     /* 2020209 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2020296), // Rule ID 17073 //
     /* 2020214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020245 */     // MIs[0] passthru
     /* 2020245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020258 */     // MIs[0] round
     /* 2020258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020261 */     // MIs[0] policy
     /* 2020261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020271 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020295 */     // GIR_Coverage, 17073,
     /* 2020295 */     GIR_EraseRootFromParent_Done,
     /* 2020296 */   // Label 26931: @2020296
     /* 2020296 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2020383), // Rule ID 17074 //
     /* 2020301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020332 */     // MIs[0] passthru
     /* 2020332 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020345 */     // MIs[0] round
     /* 2020345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020348 */     // MIs[0] policy
     /* 2020348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020358 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020382 */     // GIR_Coverage, 17074,
     /* 2020382 */     GIR_EraseRootFromParent_Done,
     /* 2020383 */   // Label 26932: @2020383
     /* 2020383 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2020470), // Rule ID 17083 //
     /* 2020388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020419 */     // MIs[0] passthru
     /* 2020419 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020432 */     // MIs[0] round
     /* 2020432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020435 */     // MIs[0] policy
     /* 2020435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020445 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020469 */     // GIR_Coverage, 17083,
     /* 2020469 */     GIR_EraseRootFromParent_Done,
     /* 2020470 */   // Label 26933: @2020470
     /* 2020470 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2020557), // Rule ID 17084 //
     /* 2020475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020506 */     // MIs[0] passthru
     /* 2020506 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020519 */     // MIs[0] round
     /* 2020519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020522 */     // MIs[0] policy
     /* 2020522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020532 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020556 */     // GIR_Coverage, 17084,
     /* 2020556 */     GIR_EraseRootFromParent_Done,
     /* 2020557 */   // Label 26934: @2020557
     /* 2020557 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2020644), // Rule ID 17093 //
     /* 2020562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020593 */     // MIs[0] passthru
     /* 2020593 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020606 */     // MIs[0] round
     /* 2020606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020609 */     // MIs[0] policy
     /* 2020609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020619 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2020622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020643 */     // GIR_Coverage, 17093,
     /* 2020643 */     GIR_EraseRootFromParent_Done,
     /* 2020644 */   // Label 26935: @2020644
     /* 2020644 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2020731), // Rule ID 17094 //
     /* 2020649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020680 */     // MIs[0] passthru
     /* 2020680 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020693 */     // MIs[0] round
     /* 2020693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020696 */     // MIs[0] policy
     /* 2020696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020706 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2020709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020730 */     // GIR_Coverage, 17094,
     /* 2020730 */     GIR_EraseRootFromParent_Done,
     /* 2020731 */   // Label 26936: @2020731
     /* 2020731 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2020818), // Rule ID 17139 //
     /* 2020736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2020747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2020750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2020753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020767 */     // MIs[0] passthru
     /* 2020767 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020780 */     // MIs[0] round
     /* 2020780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020783 */     // MIs[0] policy
     /* 2020783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020793 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2020796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020817 */     // GIR_Coverage, 17139,
     /* 2020817 */     GIR_EraseRootFromParent_Done,
     /* 2020818 */   // Label 26937: @2020818
     /* 2020818 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2020905), // Rule ID 17140 //
     /* 2020823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2020834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2020837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2020840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020854 */     // MIs[0] passthru
     /* 2020854 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020867 */     // MIs[0] round
     /* 2020867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020870 */     // MIs[0] policy
     /* 2020870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020880 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2020883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020904 */     // GIR_Coverage, 17140,
     /* 2020904 */     GIR_EraseRootFromParent_Done,
     /* 2020905 */   // Label 26938: @2020905
     /* 2020905 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2020992), // Rule ID 17149 //
     /* 2020910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2020921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2020924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2020927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020941 */     // MIs[0] passthru
     /* 2020941 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020954 */     // MIs[0] round
     /* 2020954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020957 */     // MIs[0] policy
     /* 2020957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2020970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020991 */     // GIR_Coverage, 17149,
     /* 2020991 */     GIR_EraseRootFromParent_Done,
     /* 2020992 */   // Label 26939: @2020992
     /* 2020992 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2021079), // Rule ID 17150 //
     /* 2020997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2021014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021028 */     // MIs[0] passthru
     /* 2021028 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021041 */     // MIs[0] round
     /* 2021041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021044 */     // MIs[0] policy
     /* 2021044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021054 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2021057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021078 */     // GIR_Coverage, 17150,
     /* 2021078 */     GIR_EraseRootFromParent_Done,
     /* 2021079 */   // Label 26940: @2021079
     /* 2021079 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2021166), // Rule ID 17159 //
     /* 2021084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021115 */     // MIs[0] passthru
     /* 2021115 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021128 */     // MIs[0] round
     /* 2021128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021131 */     // MIs[0] policy
     /* 2021131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021141 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021165 */     // GIR_Coverage, 17159,
     /* 2021165 */     GIR_EraseRootFromParent_Done,
     /* 2021166 */   // Label 26941: @2021166
     /* 2021166 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2021253), // Rule ID 17160 //
     /* 2021171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021202 */     // MIs[0] passthru
     /* 2021202 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021215 */     // MIs[0] round
     /* 2021215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021218 */     // MIs[0] policy
     /* 2021218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021252 */     // GIR_Coverage, 17160,
     /* 2021252 */     GIR_EraseRootFromParent_Done,
     /* 2021253 */   // Label 26942: @2021253
     /* 2021253 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2021340), // Rule ID 17169 //
     /* 2021258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021289 */     // MIs[0] passthru
     /* 2021289 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021302 */     // MIs[0] round
     /* 2021302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021305 */     // MIs[0] policy
     /* 2021305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021315 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021339 */     // GIR_Coverage, 17169,
     /* 2021339 */     GIR_EraseRootFromParent_Done,
     /* 2021340 */   // Label 26943: @2021340
     /* 2021340 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2021427), // Rule ID 17170 //
     /* 2021345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021376 */     // MIs[0] passthru
     /* 2021376 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021389 */     // MIs[0] round
     /* 2021389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021392 */     // MIs[0] policy
     /* 2021392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021426 */     // GIR_Coverage, 17170,
     /* 2021426 */     GIR_EraseRootFromParent_Done,
     /* 2021427 */   // Label 26944: @2021427
     /* 2021427 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2021514), // Rule ID 17179 //
     /* 2021432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021463 */     // MIs[0] passthru
     /* 2021463 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021476 */     // MIs[0] round
     /* 2021476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021479 */     // MIs[0] policy
     /* 2021479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021489 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021513 */     // GIR_Coverage, 17179,
     /* 2021513 */     GIR_EraseRootFromParent_Done,
     /* 2021514 */   // Label 26945: @2021514
     /* 2021514 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2021601), // Rule ID 17180 //
     /* 2021519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021550 */     // MIs[0] passthru
     /* 2021550 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021563 */     // MIs[0] round
     /* 2021563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021566 */     // MIs[0] policy
     /* 2021566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021576 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021600 */     // GIR_Coverage, 17180,
     /* 2021600 */     GIR_EraseRootFromParent_Done,
     /* 2021601 */   // Label 26946: @2021601
     /* 2021601 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2021688), // Rule ID 17189 //
     /* 2021606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2021617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2021620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2021623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021637 */     // MIs[0] passthru
     /* 2021637 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021650 */     // MIs[0] round
     /* 2021650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021653 */     // MIs[0] policy
     /* 2021653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021663 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2021666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021687 */     // GIR_Coverage, 17189,
     /* 2021687 */     GIR_EraseRootFromParent_Done,
     /* 2021688 */   // Label 26947: @2021688
     /* 2021688 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2021775), // Rule ID 17190 //
     /* 2021693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2021696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2021704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2021707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2021710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021724 */     // MIs[0] passthru
     /* 2021724 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021737 */     // MIs[0] round
     /* 2021737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021740 */     // MIs[0] policy
     /* 2021740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021750 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2021753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021774 */     // GIR_Coverage, 17190,
     /* 2021774 */     GIR_EraseRootFromParent_Done,
     /* 2021775 */   // Label 26948: @2021775
     /* 2021775 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2021862), // Rule ID 17199 //
     /* 2021780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2021791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2021794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2021797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021811 */     // MIs[0] passthru
     /* 2021811 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021824 */     // MIs[0] round
     /* 2021824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021827 */     // MIs[0] policy
     /* 2021827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021837 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2021840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021861 */     // GIR_Coverage, 17199,
     /* 2021861 */     GIR_EraseRootFromParent_Done,
     /* 2021862 */   // Label 26949: @2021862
     /* 2021862 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2021949), // Rule ID 17200 //
     /* 2021867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2021870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2021878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2021881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2021884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021898 */     // MIs[0] passthru
     /* 2021898 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021911 */     // MIs[0] round
     /* 2021911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021914 */     // MIs[0] policy
     /* 2021914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021924 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2021927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021948 */     // GIR_Coverage, 17200,
     /* 2021948 */     GIR_EraseRootFromParent_Done,
     /* 2021949 */   // Label 26950: @2021949
     /* 2021949 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2022036), // Rule ID 17209 //
     /* 2021954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2021965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2021968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2021971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021985 */     // MIs[0] passthru
     /* 2021985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021998 */     // MIs[0] round
     /* 2021998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022001 */     // MIs[0] policy
     /* 2022001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022011 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2022014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022035 */     // GIR_Coverage, 17209,
     /* 2022035 */     GIR_EraseRootFromParent_Done,
     /* 2022036 */   // Label 26951: @2022036
     /* 2022036 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2022123), // Rule ID 17210 //
     /* 2022041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2022052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2022055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2022058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022072 */     // MIs[0] passthru
     /* 2022072 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022085 */     // MIs[0] round
     /* 2022085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022088 */     // MIs[0] policy
     /* 2022088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022098 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2022101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022122 */     // GIR_Coverage, 17210,
     /* 2022122 */     GIR_EraseRootFromParent_Done,
     /* 2022123 */   // Label 26952: @2022123
     /* 2022123 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2022210), // Rule ID 17219 //
     /* 2022128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022159 */     // MIs[0] passthru
     /* 2022159 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022172 */     // MIs[0] round
     /* 2022172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022175 */     // MIs[0] policy
     /* 2022175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022185 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022209 */     // GIR_Coverage, 17219,
     /* 2022209 */     GIR_EraseRootFromParent_Done,
     /* 2022210 */   // Label 26953: @2022210
     /* 2022210 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2022297), // Rule ID 17220 //
     /* 2022215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022246 */     // MIs[0] passthru
     /* 2022246 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022259 */     // MIs[0] round
     /* 2022259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022262 */     // MIs[0] policy
     /* 2022262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022272 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022296 */     // GIR_Coverage, 17220,
     /* 2022296 */     GIR_EraseRootFromParent_Done,
     /* 2022297 */   // Label 26954: @2022297
     /* 2022297 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2022388), // Rule ID 2609 //
     /* 2022302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022348 */     // MIs[0] round
     /* 2022348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022351 */     // MIs[0] policy
     /* 2022351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022361 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022387 */     // GIR_Coverage, 2609,
     /* 2022387 */     GIR_EraseRootFromParent_Done,
     /* 2022388 */   // Label 26955: @2022388
     /* 2022388 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2022479), // Rule ID 2610 //
     /* 2022393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022439 */     // MIs[0] round
     /* 2022439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022442 */     // MIs[0] policy
     /* 2022442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022452 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022478 */     // GIR_Coverage, 2610,
     /* 2022478 */     GIR_EraseRootFromParent_Done,
     /* 2022479 */   // Label 26956: @2022479
     /* 2022479 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2022570), // Rule ID 2653 //
     /* 2022484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2022487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022530 */     // MIs[0] round
     /* 2022530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022533 */     // MIs[0] policy
     /* 2022533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022543 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2022546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022569 */     // GIR_Coverage, 2653,
     /* 2022569 */     GIR_EraseRootFromParent_Done,
     /* 2022570 */   // Label 26957: @2022570
     /* 2022570 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2022661), // Rule ID 2654 //
     /* 2022575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2022578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022621 */     // MIs[0] round
     /* 2022621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022624 */     // MIs[0] policy
     /* 2022624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022634 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2022637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022660 */     // GIR_Coverage, 2654,
     /* 2022660 */     GIR_EraseRootFromParent_Done,
     /* 2022661 */   // Label 26958: @2022661
     /* 2022661 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2022752), // Rule ID 2661 //
     /* 2022666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2022669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2022674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2022677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2022680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022712 */     // MIs[0] round
     /* 2022712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022715 */     // MIs[0] policy
     /* 2022715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022725 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2022728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2022732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022751 */     // GIR_Coverage, 2661,
     /* 2022751 */     GIR_EraseRootFromParent_Done,
     /* 2022752 */   // Label 26959: @2022752
     /* 2022752 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2022843), // Rule ID 2662 //
     /* 2022757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2022760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2022765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2022768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2022771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022803 */     // MIs[0] round
     /* 2022803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022806 */     // MIs[0] policy
     /* 2022806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022816 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2022819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2022823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022842 */     // GIR_Coverage, 2662,
     /* 2022842 */     GIR_EraseRootFromParent_Done,
     /* 2022843 */   // Label 26960: @2022843
     /* 2022843 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2022934), // Rule ID 14811 //
     /* 2022848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2022859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2022862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2022865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2022868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022894 */     // MIs[0] round
     /* 2022894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022897 */     // MIs[0] policy
     /* 2022897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022907 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2022910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022933 */     // GIR_Coverage, 14811,
     /* 2022933 */     GIR_EraseRootFromParent_Done,
     /* 2022934 */   // Label 26961: @2022934
     /* 2022934 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2023025), // Rule ID 14812 //
     /* 2022939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2022950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2022953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2022956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2022959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022985 */     // MIs[0] round
     /* 2022985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022988 */     // MIs[0] policy
     /* 2022988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022998 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023024 */     // GIR_Coverage, 14812,
     /* 2023024 */     GIR_EraseRootFromParent_Done,
     /* 2023025 */   // Label 26962: @2023025
     /* 2023025 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2023116), // Rule ID 14815 //
     /* 2023030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2023047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2023050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023076 */     // MIs[0] round
     /* 2023076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023079 */     // MIs[0] policy
     /* 2023079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023089 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023115 */     // GIR_Coverage, 14815,
     /* 2023115 */     GIR_EraseRootFromParent_Done,
     /* 2023116 */   // Label 26963: @2023116
     /* 2023116 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2023207), // Rule ID 14816 //
     /* 2023121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2023138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2023141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023167 */     // MIs[0] round
     /* 2023167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023170 */     // MIs[0] policy
     /* 2023170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023206 */     // GIR_Coverage, 14816,
     /* 2023206 */     GIR_EraseRootFromParent_Done,
     /* 2023207 */   // Label 26964: @2023207
     /* 2023207 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2023298), // Rule ID 14819 //
     /* 2023212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023258 */     // MIs[0] round
     /* 2023258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023261 */     // MIs[0] policy
     /* 2023261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023297 */     // GIR_Coverage, 14819,
     /* 2023297 */     GIR_EraseRootFromParent_Done,
     /* 2023298 */   // Label 26965: @2023298
     /* 2023298 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2023389), // Rule ID 14820 //
     /* 2023303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023349 */     // MIs[0] round
     /* 2023349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023352 */     // MIs[0] policy
     /* 2023352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023388 */     // GIR_Coverage, 14820,
     /* 2023388 */     GIR_EraseRootFromParent_Done,
     /* 2023389 */   // Label 26966: @2023389
     /* 2023389 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2023480), // Rule ID 14823 //
     /* 2023394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023440 */     // MIs[0] round
     /* 2023440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023443 */     // MIs[0] policy
     /* 2023443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023479 */     // GIR_Coverage, 14823,
     /* 2023479 */     GIR_EraseRootFromParent_Done,
     /* 2023480 */   // Label 26967: @2023480
     /* 2023480 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2023571), // Rule ID 14824 //
     /* 2023485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023531 */     // MIs[0] round
     /* 2023531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023534 */     // MIs[0] policy
     /* 2023534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023570 */     // GIR_Coverage, 14824,
     /* 2023570 */     GIR_EraseRootFromParent_Done,
     /* 2023571 */   // Label 26968: @2023571
     /* 2023571 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2023662), // Rule ID 14827 //
     /* 2023576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2023596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023622 */     // MIs[0] round
     /* 2023622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023625 */     // MIs[0] policy
     /* 2023625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023635 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023661 */     // GIR_Coverage, 14827,
     /* 2023661 */     GIR_EraseRootFromParent_Done,
     /* 2023662 */   // Label 26969: @2023662
     /* 2023662 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2023753), // Rule ID 14828 //
     /* 2023667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2023687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023713 */     // MIs[0] round
     /* 2023713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023716 */     // MIs[0] policy
     /* 2023716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023752 */     // GIR_Coverage, 14828,
     /* 2023752 */     GIR_EraseRootFromParent_Done,
     /* 2023753 */   // Label 26970: @2023753
     /* 2023753 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2023844), // Rule ID 14831 //
     /* 2023758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2023769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2023772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2023775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2023778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023804 */     // MIs[0] round
     /* 2023804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023807 */     // MIs[0] policy
     /* 2023807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023843 */     // GIR_Coverage, 14831,
     /* 2023843 */     GIR_EraseRootFromParent_Done,
     /* 2023844 */   // Label 26971: @2023844
     /* 2023844 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2023935), // Rule ID 14832 //
     /* 2023849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2023860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2023863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2023866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2023869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023895 */     // MIs[0] round
     /* 2023895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023898 */     // MIs[0] policy
     /* 2023898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023934 */     // GIR_Coverage, 14832,
     /* 2023934 */     GIR_EraseRootFromParent_Done,
     /* 2023935 */   // Label 26972: @2023935
     /* 2023935 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2024026), // Rule ID 14835 //
     /* 2023940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2023951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2023954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2023957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2023960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023986 */     // MIs[0] round
     /* 2023986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023989 */     // MIs[0] policy
     /* 2023989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024025 */     // GIR_Coverage, 14835,
     /* 2024025 */     GIR_EraseRootFromParent_Done,
     /* 2024026 */   // Label 26973: @2024026
     /* 2024026 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2024117), // Rule ID 14836 //
     /* 2024031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2024042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2024045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2024048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2024051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024077 */     // MIs[0] round
     /* 2024077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024080 */     // MIs[0] policy
     /* 2024080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024116 */     // GIR_Coverage, 14836,
     /* 2024116 */     GIR_EraseRootFromParent_Done,
     /* 2024117 */   // Label 26974: @2024117
     /* 2024117 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2024208), // Rule ID 14839 //
     /* 2024122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024168 */     // MIs[0] round
     /* 2024168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024171 */     // MIs[0] policy
     /* 2024171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024207 */     // GIR_Coverage, 14839,
     /* 2024207 */     GIR_EraseRootFromParent_Done,
     /* 2024208 */   // Label 26975: @2024208
     /* 2024208 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2024299), // Rule ID 14840 //
     /* 2024213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024259 */     // MIs[0] round
     /* 2024259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024262 */     // MIs[0] policy
     /* 2024262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024298 */     // GIR_Coverage, 14840,
     /* 2024298 */     GIR_EraseRootFromParent_Done,
     /* 2024299 */   // Label 26976: @2024299
     /* 2024299 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2024390), // Rule ID 14843 //
     /* 2024304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024350 */     // MIs[0] round
     /* 2024350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024353 */     // MIs[0] policy
     /* 2024353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024389 */     // GIR_Coverage, 14843,
     /* 2024389 */     GIR_EraseRootFromParent_Done,
     /* 2024390 */   // Label 26977: @2024390
     /* 2024390 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2024481), // Rule ID 14844 //
     /* 2024395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024441 */     // MIs[0] round
     /* 2024441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024444 */     // MIs[0] policy
     /* 2024444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024454 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024480 */     // GIR_Coverage, 14844,
     /* 2024480 */     GIR_EraseRootFromParent_Done,
     /* 2024481 */   // Label 26978: @2024481
     /* 2024481 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2024572), // Rule ID 14847 //
     /* 2024486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024532 */     // MIs[0] round
     /* 2024532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024535 */     // MIs[0] policy
     /* 2024535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024571 */     // GIR_Coverage, 14847,
     /* 2024571 */     GIR_EraseRootFromParent_Done,
     /* 2024572 */   // Label 26979: @2024572
     /* 2024572 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2024663), // Rule ID 14848 //
     /* 2024577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024623 */     // MIs[0] round
     /* 2024623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024626 */     // MIs[0] policy
     /* 2024626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024662 */     // GIR_Coverage, 14848,
     /* 2024662 */     GIR_EraseRootFromParent_Done,
     /* 2024663 */   // Label 26980: @2024663
     /* 2024663 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2024754), // Rule ID 14851 //
     /* 2024668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2024679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2024682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2024685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2024688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024714 */     // MIs[0] round
     /* 2024714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024717 */     // MIs[0] policy
     /* 2024717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024753 */     // GIR_Coverage, 14851,
     /* 2024753 */     GIR_EraseRootFromParent_Done,
     /* 2024754 */   // Label 26981: @2024754
     /* 2024754 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2024845), // Rule ID 14852 //
     /* 2024759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2024770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2024773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2024776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2024779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024805 */     // MIs[0] round
     /* 2024805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024808 */     // MIs[0] policy
     /* 2024808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024844 */     // GIR_Coverage, 14852,
     /* 2024844 */     GIR_EraseRootFromParent_Done,
     /* 2024845 */   // Label 26982: @2024845
     /* 2024845 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2024936), // Rule ID 14855 //
     /* 2024850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2024861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2024864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2024867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2024870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2024873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024896 */     // MIs[0] round
     /* 2024896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024899 */     // MIs[0] policy
     /* 2024899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024909 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2024912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024935 */     // GIR_Coverage, 14855,
     /* 2024935 */     GIR_EraseRootFromParent_Done,
     /* 2024936 */   // Label 26983: @2024936
     /* 2024936 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2025027), // Rule ID 14856 //
     /* 2024941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2024952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2024955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2024958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2024961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2024964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024987 */     // MIs[0] round
     /* 2024987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024990 */     // MIs[0] policy
     /* 2024990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025000 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025026 */     // GIR_Coverage, 14856,
     /* 2025026 */     GIR_EraseRootFromParent_Done,
     /* 2025027 */   // Label 26984: @2025027
     /* 2025027 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2025118), // Rule ID 14859 //
     /* 2025032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025078 */     // MIs[0] round
     /* 2025078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025081 */     // MIs[0] policy
     /* 2025081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025117 */     // GIR_Coverage, 14859,
     /* 2025117 */     GIR_EraseRootFromParent_Done,
     /* 2025118 */   // Label 26985: @2025118
     /* 2025118 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2025209), // Rule ID 14860 //
     /* 2025123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025169 */     // MIs[0] round
     /* 2025169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025172 */     // MIs[0] policy
     /* 2025172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025208 */     // GIR_Coverage, 14860,
     /* 2025208 */     GIR_EraseRootFromParent_Done,
     /* 2025209 */   // Label 26986: @2025209
     /* 2025209 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2025300), // Rule ID 14863 //
     /* 2025214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025260 */     // MIs[0] round
     /* 2025260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025263 */     // MIs[0] policy
     /* 2025263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025273 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025299 */     // GIR_Coverage, 14863,
     /* 2025299 */     GIR_EraseRootFromParent_Done,
     /* 2025300 */   // Label 26987: @2025300
     /* 2025300 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2025391), // Rule ID 14864 //
     /* 2025305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025351 */     // MIs[0] round
     /* 2025351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025354 */     // MIs[0] policy
     /* 2025354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025364 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025390 */     // GIR_Coverage, 14864,
     /* 2025390 */     GIR_EraseRootFromParent_Done,
     /* 2025391 */   // Label 26988: @2025391
     /* 2025391 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2025482), // Rule ID 14867 //
     /* 2025396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025442 */     // MIs[0] round
     /* 2025442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025445 */     // MIs[0] policy
     /* 2025445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025455 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025481 */     // GIR_Coverage, 14867,
     /* 2025481 */     GIR_EraseRootFromParent_Done,
     /* 2025482 */   // Label 26989: @2025482
     /* 2025482 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2025573), // Rule ID 14868 //
     /* 2025487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025533 */     // MIs[0] round
     /* 2025533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025536 */     // MIs[0] policy
     /* 2025536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025572 */     // GIR_Coverage, 14868,
     /* 2025572 */     GIR_EraseRootFromParent_Done,
     /* 2025573 */   // Label 26990: @2025573
     /* 2025573 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2025664), // Rule ID 14871 //
     /* 2025578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2025598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025624 */     // MIs[0] round
     /* 2025624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025627 */     // MIs[0] policy
     /* 2025627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025663 */     // GIR_Coverage, 14871,
     /* 2025663 */     GIR_EraseRootFromParent_Done,
     /* 2025664 */   // Label 26991: @2025664
     /* 2025664 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2025755), // Rule ID 14872 //
     /* 2025669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2025689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025715 */     // MIs[0] round
     /* 2025715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025718 */     // MIs[0] policy
     /* 2025718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025754 */     // GIR_Coverage, 14872,
     /* 2025754 */     GIR_EraseRootFromParent_Done,
     /* 2025755 */   // Label 26992: @2025755
     /* 2025755 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2025846), // Rule ID 14875 //
     /* 2025760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2025777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2025780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025806 */     // MIs[0] round
     /* 2025806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025809 */     // MIs[0] policy
     /* 2025809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025845 */     // GIR_Coverage, 14875,
     /* 2025845 */     GIR_EraseRootFromParent_Done,
     /* 2025846 */   // Label 26993: @2025846
     /* 2025846 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2025937), // Rule ID 14876 //
     /* 2025851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2025868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2025871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025897 */     // MIs[0] round
     /* 2025897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025900 */     // MIs[0] policy
     /* 2025900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025936 */     // GIR_Coverage, 14876,
     /* 2025936 */     GIR_EraseRootFromParent_Done,
     /* 2025937 */   // Label 26994: @2025937
     /* 2025937 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2026028), // Rule ID 14879 //
     /* 2025942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2025953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2025956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2025959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2025962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025988 */     // MIs[0] round
     /* 2025988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025991 */     // MIs[0] policy
     /* 2025991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026027 */     // GIR_Coverage, 14879,
     /* 2026027 */     GIR_EraseRootFromParent_Done,
     /* 2026028 */   // Label 26995: @2026028
     /* 2026028 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2026119), // Rule ID 14880 //
     /* 2026033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026079 */     // MIs[0] round
     /* 2026079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026082 */     // MIs[0] policy
     /* 2026082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026118 */     // GIR_Coverage, 14880,
     /* 2026118 */     GIR_EraseRootFromParent_Done,
     /* 2026119 */   // Label 26996: @2026119
     /* 2026119 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2026210), // Rule ID 14883 //
     /* 2026124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026170 */     // MIs[0] round
     /* 2026170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026173 */     // MIs[0] policy
     /* 2026173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026209 */     // GIR_Coverage, 14883,
     /* 2026209 */     GIR_EraseRootFromParent_Done,
     /* 2026210 */   // Label 26997: @2026210
     /* 2026210 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2026301), // Rule ID 14884 //
     /* 2026215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026261 */     // MIs[0] round
     /* 2026261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026264 */     // MIs[0] policy
     /* 2026264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026300 */     // GIR_Coverage, 14884,
     /* 2026300 */     GIR_EraseRootFromParent_Done,
     /* 2026301 */   // Label 26998: @2026301
     /* 2026301 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2026392), // Rule ID 14887 //
     /* 2026306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026352 */     // MIs[0] round
     /* 2026352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026355 */     // MIs[0] policy
     /* 2026355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026391 */     // GIR_Coverage, 14887,
     /* 2026391 */     GIR_EraseRootFromParent_Done,
     /* 2026392 */   // Label 26999: @2026392
     /* 2026392 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2026483), // Rule ID 14888 //
     /* 2026397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026443 */     // MIs[0] round
     /* 2026443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026446 */     // MIs[0] policy
     /* 2026446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026482 */     // GIR_Coverage, 14888,
     /* 2026482 */     GIR_EraseRootFromParent_Done,
     /* 2026483 */   // Label 27000: @2026483
     /* 2026483 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2026574), // Rule ID 14891 //
     /* 2026488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026534 */     // MIs[0] round
     /* 2026534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026537 */     // MIs[0] policy
     /* 2026537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026573 */     // GIR_Coverage, 14891,
     /* 2026573 */     GIR_EraseRootFromParent_Done,
     /* 2026574 */   // Label 27001: @2026574
     /* 2026574 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2026665), // Rule ID 14892 //
     /* 2026579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026625 */     // MIs[0] round
     /* 2026625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026628 */     // MIs[0] policy
     /* 2026628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026638 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026664 */     // GIR_Coverage, 14892,
     /* 2026664 */     GIR_EraseRootFromParent_Done,
     /* 2026665 */   // Label 27002: @2026665
     /* 2026665 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2026756), // Rule ID 14895 //
     /* 2026670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2026681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2026684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026716 */     // MIs[0] round
     /* 2026716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026719 */     // MIs[0] policy
     /* 2026719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026729 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2026732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026755 */     // GIR_Coverage, 14895,
     /* 2026755 */     GIR_EraseRootFromParent_Done,
     /* 2026756 */   // Label 27003: @2026756
     /* 2026756 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2026847), // Rule ID 14896 //
     /* 2026761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2026772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2026775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026807 */     // MIs[0] round
     /* 2026807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026810 */     // MIs[0] policy
     /* 2026810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026820 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2026823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026846 */     // GIR_Coverage, 14896,
     /* 2026846 */     GIR_EraseRootFromParent_Done,
     /* 2026847 */   // Label 27004: @2026847
     /* 2026847 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2026938), // Rule ID 14899 //
     /* 2026852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2026863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2026866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2026869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026898 */     // MIs[0] round
     /* 2026898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026901 */     // MIs[0] policy
     /* 2026901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026911 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2026914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026937 */     // GIR_Coverage, 14899,
     /* 2026937 */     GIR_EraseRootFromParent_Done,
     /* 2026938 */   // Label 27005: @2026938
     /* 2026938 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2027029), // Rule ID 14900 //
     /* 2026943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2026954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2026957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2026960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026989 */     // MIs[0] round
     /* 2026989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026992 */     // MIs[0] policy
     /* 2026992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027028 */     // GIR_Coverage, 14900,
     /* 2027028 */     GIR_EraseRootFromParent_Done,
     /* 2027029 */   // Label 27006: @2027029
     /* 2027029 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2027120), // Rule ID 14903 //
     /* 2027034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027080 */     // MIs[0] round
     /* 2027080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027083 */     // MIs[0] policy
     /* 2027083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027093 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027119 */     // GIR_Coverage, 14903,
     /* 2027119 */     GIR_EraseRootFromParent_Done,
     /* 2027120 */   // Label 27007: @2027120
     /* 2027120 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2027211), // Rule ID 14904 //
     /* 2027125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027171 */     // MIs[0] round
     /* 2027171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027174 */     // MIs[0] policy
     /* 2027174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027210 */     // GIR_Coverage, 14904,
     /* 2027210 */     GIR_EraseRootFromParent_Done,
     /* 2027211 */   // Label 27008: @2027211
     /* 2027211 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2027302), // Rule ID 14907 //
     /* 2027216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027262 */     // MIs[0] round
     /* 2027262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027265 */     // MIs[0] policy
     /* 2027265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027301 */     // GIR_Coverage, 14907,
     /* 2027301 */     GIR_EraseRootFromParent_Done,
     /* 2027302 */   // Label 27009: @2027302
     /* 2027302 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2027393), // Rule ID 14908 //
     /* 2027307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027353 */     // MIs[0] round
     /* 2027353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027356 */     // MIs[0] policy
     /* 2027356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027392 */     // GIR_Coverage, 14908,
     /* 2027392 */     GIR_EraseRootFromParent_Done,
     /* 2027393 */   // Label 27010: @2027393
     /* 2027393 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2027484), // Rule ID 14911 //
     /* 2027398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027444 */     // MIs[0] round
     /* 2027444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027447 */     // MIs[0] policy
     /* 2027447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027457 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027483 */     // GIR_Coverage, 14911,
     /* 2027483 */     GIR_EraseRootFromParent_Done,
     /* 2027484 */   // Label 27011: @2027484
     /* 2027484 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2027575), // Rule ID 14912 //
     /* 2027489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027535 */     // MIs[0] round
     /* 2027535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027538 */     // MIs[0] policy
     /* 2027538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027574 */     // GIR_Coverage, 14912,
     /* 2027574 */     GIR_EraseRootFromParent_Done,
     /* 2027575 */   // Label 27012: @2027575
     /* 2027575 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2027666), // Rule ID 14915 //
     /* 2027580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027626 */     // MIs[0] round
     /* 2027626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027629 */     // MIs[0] policy
     /* 2027629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027665 */     // GIR_Coverage, 14915,
     /* 2027665 */     GIR_EraseRootFromParent_Done,
     /* 2027666 */   // Label 27013: @2027666
     /* 2027666 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2027757), // Rule ID 14916 //
     /* 2027671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027717 */     // MIs[0] round
     /* 2027717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027720 */     // MIs[0] policy
     /* 2027720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027756 */     // GIR_Coverage, 14916,
     /* 2027756 */     GIR_EraseRootFromParent_Done,
     /* 2027757 */   // Label 27014: @2027757
     /* 2027757 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2027848), // Rule ID 14919 //
     /* 2027762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2027773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2027776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2027779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027808 */     // MIs[0] round
     /* 2027808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027811 */     // MIs[0] policy
     /* 2027811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027821 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027847 */     // GIR_Coverage, 14919,
     /* 2027847 */     GIR_EraseRootFromParent_Done,
     /* 2027848 */   // Label 27015: @2027848
     /* 2027848 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2027939), // Rule ID 14920 //
     /* 2027853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2027864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2027867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2027870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027899 */     // MIs[0] round
     /* 2027899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027902 */     // MIs[0] policy
     /* 2027902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027938 */     // GIR_Coverage, 14920,
     /* 2027938 */     GIR_EraseRootFromParent_Done,
     /* 2027939 */   // Label 27016: @2027939
     /* 2027939 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2028030), // Rule ID 14923 //
     /* 2027944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2027955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2027958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2027961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027990 */     // MIs[0] round
     /* 2027990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027993 */     // MIs[0] policy
     /* 2027993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028029 */     // GIR_Coverage, 14923,
     /* 2028029 */     GIR_EraseRootFromParent_Done,
     /* 2028030 */   // Label 27017: @2028030
     /* 2028030 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2028121), // Rule ID 14924 //
     /* 2028035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2028046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2028049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028081 */     // MIs[0] round
     /* 2028081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028084 */     // MIs[0] policy
     /* 2028084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028120 */     // GIR_Coverage, 14924,
     /* 2028120 */     GIR_EraseRootFromParent_Done,
     /* 2028121 */   // Label 27018: @2028121
     /* 2028121 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2028212), // Rule ID 14927 //
     /* 2028126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028172 */     // MIs[0] round
     /* 2028172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028175 */     // MIs[0] policy
     /* 2028175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028211 */     // GIR_Coverage, 14927,
     /* 2028211 */     GIR_EraseRootFromParent_Done,
     /* 2028212 */   // Label 27019: @2028212
     /* 2028212 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2028303), // Rule ID 14928 //
     /* 2028217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028263 */     // MIs[0] round
     /* 2028263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028266 */     // MIs[0] policy
     /* 2028266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028302 */     // GIR_Coverage, 14928,
     /* 2028302 */     GIR_EraseRootFromParent_Done,
     /* 2028303 */   // Label 27020: @2028303
     /* 2028303 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2028394), // Rule ID 14931 //
     /* 2028308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028354 */     // MIs[0] round
     /* 2028354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028357 */     // MIs[0] policy
     /* 2028357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028393 */     // GIR_Coverage, 14931,
     /* 2028393 */     GIR_EraseRootFromParent_Done,
     /* 2028394 */   // Label 27021: @2028394
     /* 2028394 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2028485), // Rule ID 14932 //
     /* 2028399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028445 */     // MIs[0] round
     /* 2028445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028448 */     // MIs[0] policy
     /* 2028448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028484 */     // GIR_Coverage, 14932,
     /* 2028484 */     GIR_EraseRootFromParent_Done,
     /* 2028485 */   // Label 27022: @2028485
     /* 2028485 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2028576), // Rule ID 14935 //
     /* 2028490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028536 */     // MIs[0] round
     /* 2028536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028539 */     // MIs[0] policy
     /* 2028539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028575 */     // GIR_Coverage, 14935,
     /* 2028575 */     GIR_EraseRootFromParent_Done,
     /* 2028576 */   // Label 27023: @2028576
     /* 2028576 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2028667), // Rule ID 14936 //
     /* 2028581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028627 */     // MIs[0] round
     /* 2028627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028630 */     // MIs[0] policy
     /* 2028630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028666 */     // GIR_Coverage, 14936,
     /* 2028666 */     GIR_EraseRootFromParent_Done,
     /* 2028667 */   // Label 27024: @2028667
     /* 2028667 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2028758), // Rule ID 14939 //
     /* 2028672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2028683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2028686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2028689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028718 */     // MIs[0] round
     /* 2028718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028721 */     // MIs[0] policy
     /* 2028721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028757 */     // GIR_Coverage, 14939,
     /* 2028757 */     GIR_EraseRootFromParent_Done,
     /* 2028758 */   // Label 27025: @2028758
     /* 2028758 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2028849), // Rule ID 14940 //
     /* 2028763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2028774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2028777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2028780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028809 */     // MIs[0] round
     /* 2028809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028812 */     // MIs[0] policy
     /* 2028812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028848 */     // GIR_Coverage, 14940,
     /* 2028848 */     GIR_EraseRootFromParent_Done,
     /* 2028849 */   // Label 27026: @2028849
     /* 2028849 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2028940), // Rule ID 14943 //
     /* 2028854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2028865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2028868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2028871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2028877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028900 */     // MIs[0] round
     /* 2028900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028903 */     // MIs[0] policy
     /* 2028903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028913 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2028916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028939 */     // GIR_Coverage, 14943,
     /* 2028939 */     GIR_EraseRootFromParent_Done,
     /* 2028940 */   // Label 27027: @2028940
     /* 2028940 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2029031), // Rule ID 14944 //
     /* 2028945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2028956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2028959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2028962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2028968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028991 */     // MIs[0] round
     /* 2028991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028994 */     // MIs[0] policy
     /* 2028994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029030 */     // GIR_Coverage, 14944,
     /* 2029030 */     GIR_EraseRootFromParent_Done,
     /* 2029031 */   // Label 27028: @2029031
     /* 2029031 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2029122), // Rule ID 14947 //
     /* 2029036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029082 */     // MIs[0] round
     /* 2029082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029085 */     // MIs[0] policy
     /* 2029085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029095 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029121 */     // GIR_Coverage, 14947,
     /* 2029121 */     GIR_EraseRootFromParent_Done,
     /* 2029122 */   // Label 27029: @2029122
     /* 2029122 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2029213), // Rule ID 14948 //
     /* 2029127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029173 */     // MIs[0] round
     /* 2029173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029176 */     // MIs[0] policy
     /* 2029176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029212 */     // GIR_Coverage, 14948,
     /* 2029212 */     GIR_EraseRootFromParent_Done,
     /* 2029213 */   // Label 27030: @2029213
     /* 2029213 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2029304), // Rule ID 14951 //
     /* 2029218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029264 */     // MIs[0] round
     /* 2029264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029267 */     // MIs[0] policy
     /* 2029267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029277 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029303 */     // GIR_Coverage, 14951,
     /* 2029303 */     GIR_EraseRootFromParent_Done,
     /* 2029304 */   // Label 27031: @2029304
     /* 2029304 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2029395), // Rule ID 14952 //
     /* 2029309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029355 */     // MIs[0] round
     /* 2029355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029358 */     // MIs[0] policy
     /* 2029358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029394 */     // GIR_Coverage, 14952,
     /* 2029394 */     GIR_EraseRootFromParent_Done,
     /* 2029395 */   // Label 27032: @2029395
     /* 2029395 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2029486), // Rule ID 14955 //
     /* 2029400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029446 */     // MIs[0] round
     /* 2029446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029449 */     // MIs[0] policy
     /* 2029449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029485 */     // GIR_Coverage, 14955,
     /* 2029485 */     GIR_EraseRootFromParent_Done,
     /* 2029486 */   // Label 27033: @2029486
     /* 2029486 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2029577), // Rule ID 14956 //
     /* 2029491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029537 */     // MIs[0] round
     /* 2029537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029540 */     // MIs[0] policy
     /* 2029540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029550 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029576 */     // GIR_Coverage, 14956,
     /* 2029576 */     GIR_EraseRootFromParent_Done,
     /* 2029577 */   // Label 27034: @2029577
     /* 2029577 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2029668), // Rule ID 14959 //
     /* 2029582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2029593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2029596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029628 */     // MIs[0] round
     /* 2029628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029631 */     // MIs[0] policy
     /* 2029631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029641 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029667 */     // GIR_Coverage, 14959,
     /* 2029667 */     GIR_EraseRootFromParent_Done,
     /* 2029668 */   // Label 27035: @2029668
     /* 2029668 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2029759), // Rule ID 14960 //
     /* 2029673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2029684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2029687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029719 */     // MIs[0] round
     /* 2029719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029722 */     // MIs[0] policy
     /* 2029722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029758 */     // GIR_Coverage, 14960,
     /* 2029758 */     GIR_EraseRootFromParent_Done,
     /* 2029759 */   // Label 27036: @2029759
     /* 2029759 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2029850), // Rule ID 14963 //
     /* 2029764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2029775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2029778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029810 */     // MIs[0] round
     /* 2029810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029813 */     // MIs[0] policy
     /* 2029813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029823 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029849 */     // GIR_Coverage, 14963,
     /* 2029849 */     GIR_EraseRootFromParent_Done,
     /* 2029850 */   // Label 27037: @2029850
     /* 2029850 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2029941), // Rule ID 14964 //
     /* 2029855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2029866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2029869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029901 */     // MIs[0] round
     /* 2029901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029904 */     // MIs[0] policy
     /* 2029904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029940 */     // GIR_Coverage, 14964,
     /* 2029940 */     GIR_EraseRootFromParent_Done,
     /* 2029941 */   // Label 27038: @2029941
     /* 2029941 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2030032), // Rule ID 14967 //
     /* 2029946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2029957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2029960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2029963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029992 */     // MIs[0] round
     /* 2029992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029995 */     // MIs[0] policy
     /* 2029995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030031 */     // GIR_Coverage, 14967,
     /* 2030031 */     GIR_EraseRootFromParent_Done,
     /* 2030032 */   // Label 27039: @2030032
     /* 2030032 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2030123), // Rule ID 14968 //
     /* 2030037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2030048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2030051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030083 */     // MIs[0] round
     /* 2030083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030086 */     // MIs[0] policy
     /* 2030086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030122 */     // GIR_Coverage, 14968,
     /* 2030122 */     GIR_EraseRootFromParent_Done,
     /* 2030123 */   // Label 27040: @2030123
     /* 2030123 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2030214), // Rule ID 14971 //
     /* 2030128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030174 */     // MIs[0] round
     /* 2030174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030177 */     // MIs[0] policy
     /* 2030177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030213 */     // GIR_Coverage, 14971,
     /* 2030213 */     GIR_EraseRootFromParent_Done,
     /* 2030214 */   // Label 27041: @2030214
     /* 2030214 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2030305), // Rule ID 14972 //
     /* 2030219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030265 */     // MIs[0] round
     /* 2030265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030268 */     // MIs[0] policy
     /* 2030268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030304 */     // GIR_Coverage, 14972,
     /* 2030304 */     GIR_EraseRootFromParent_Done,
     /* 2030305 */   // Label 27042: @2030305
     /* 2030305 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2030396), // Rule ID 14975 //
     /* 2030310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030356 */     // MIs[0] round
     /* 2030356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030359 */     // MIs[0] policy
     /* 2030359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030369 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030395 */     // GIR_Coverage, 14975,
     /* 2030395 */     GIR_EraseRootFromParent_Done,
     /* 2030396 */   // Label 27043: @2030396
     /* 2030396 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2030487), // Rule ID 14976 //
     /* 2030401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030447 */     // MIs[0] round
     /* 2030447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030450 */     // MIs[0] policy
     /* 2030450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030486 */     // GIR_Coverage, 14976,
     /* 2030486 */     GIR_EraseRootFromParent_Done,
     /* 2030487 */   // Label 27044: @2030487
     /* 2030487 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2030578), // Rule ID 14979 //
     /* 2030492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030538 */     // MIs[0] round
     /* 2030538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030541 */     // MIs[0] policy
     /* 2030541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030551 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030577 */     // GIR_Coverage, 14979,
     /* 2030577 */     GIR_EraseRootFromParent_Done,
     /* 2030578 */   // Label 27045: @2030578
     /* 2030578 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2030669), // Rule ID 14980 //
     /* 2030583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030629 */     // MIs[0] round
     /* 2030629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030632 */     // MIs[0] policy
     /* 2030632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030668 */     // GIR_Coverage, 14980,
     /* 2030668 */     GIR_EraseRootFromParent_Done,
     /* 2030669 */   // Label 27046: @2030669
     /* 2030669 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2030760), // Rule ID 14983 //
     /* 2030674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2030685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2030688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2030691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2030694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030720 */     // MIs[0] round
     /* 2030720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030723 */     // MIs[0] policy
     /* 2030723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030733 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2030736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030759 */     // GIR_Coverage, 14983,
     /* 2030759 */     GIR_EraseRootFromParent_Done,
     /* 2030760 */   // Label 27047: @2030760
     /* 2030760 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2030851), // Rule ID 14984 //
     /* 2030765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2030776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2030779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2030782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2030785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030811 */     // MIs[0] round
     /* 2030811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030814 */     // MIs[0] policy
     /* 2030814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2030827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030850 */     // GIR_Coverage, 14984,
     /* 2030850 */     GIR_EraseRootFromParent_Done,
     /* 2030851 */   // Label 27048: @2030851
     /* 2030851 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2030942), // Rule ID 14987 //
     /* 2030856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2030867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2030870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2030873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2030876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030902 */     // MIs[0] round
     /* 2030902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030905 */     // MIs[0] policy
     /* 2030905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2030918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030941 */     // GIR_Coverage, 14987,
     /* 2030941 */     GIR_EraseRootFromParent_Done,
     /* 2030942 */   // Label 27049: @2030942
     /* 2030942 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2031033), // Rule ID 14988 //
     /* 2030947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2030958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2030961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2030964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2030967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030993 */     // MIs[0] round
     /* 2030993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030996 */     // MIs[0] policy
     /* 2030996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031006 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031032 */     // GIR_Coverage, 14988,
     /* 2031032 */     GIR_EraseRootFromParent_Done,
     /* 2031033 */   // Label 27050: @2031033
     /* 2031033 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2031124), // Rule ID 14991 //
     /* 2031038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031084 */     // MIs[0] round
     /* 2031084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031087 */     // MIs[0] policy
     /* 2031087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031123 */     // GIR_Coverage, 14991,
     /* 2031123 */     GIR_EraseRootFromParent_Done,
     /* 2031124 */   // Label 27051: @2031124
     /* 2031124 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2031215), // Rule ID 14992 //
     /* 2031129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031175 */     // MIs[0] round
     /* 2031175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031178 */     // MIs[0] policy
     /* 2031178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031214 */     // GIR_Coverage, 14992,
     /* 2031214 */     GIR_EraseRootFromParent_Done,
     /* 2031215 */   // Label 27052: @2031215
     /* 2031215 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2031306), // Rule ID 14995 //
     /* 2031220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031266 */     // MIs[0] round
     /* 2031266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031269 */     // MIs[0] policy
     /* 2031269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031305 */     // GIR_Coverage, 14995,
     /* 2031305 */     GIR_EraseRootFromParent_Done,
     /* 2031306 */   // Label 27053: @2031306
     /* 2031306 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2031397), // Rule ID 14996 //
     /* 2031311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031357 */     // MIs[0] round
     /* 2031357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031360 */     // MIs[0] policy
     /* 2031360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031396 */     // GIR_Coverage, 14996,
     /* 2031396 */     GIR_EraseRootFromParent_Done,
     /* 2031397 */   // Label 27054: @2031397
     /* 2031397 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2031488), // Rule ID 14999 //
     /* 2031402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031448 */     // MIs[0] round
     /* 2031448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031451 */     // MIs[0] policy
     /* 2031451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031461 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031487 */     // GIR_Coverage, 14999,
     /* 2031487 */     GIR_EraseRootFromParent_Done,
     /* 2031488 */   // Label 27055: @2031488
     /* 2031488 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2031579), // Rule ID 15000 //
     /* 2031493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031539 */     // MIs[0] round
     /* 2031539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031542 */     // MIs[0] policy
     /* 2031542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031578 */     // GIR_Coverage, 15000,
     /* 2031578 */     GIR_EraseRootFromParent_Done,
     /* 2031579 */   // Label 27056: @2031579
     /* 2031579 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2031670), // Rule ID 15003 //
     /* 2031584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031630 */     // MIs[0] round
     /* 2031630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031633 */     // MIs[0] policy
     /* 2031633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031669 */     // GIR_Coverage, 15003,
     /* 2031669 */     GIR_EraseRootFromParent_Done,
     /* 2031670 */   // Label 27057: @2031670
     /* 2031670 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2031761), // Rule ID 15004 //
     /* 2031675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031721 */     // MIs[0] round
     /* 2031721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031724 */     // MIs[0] policy
     /* 2031724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031760 */     // GIR_Coverage, 15004,
     /* 2031760 */     GIR_EraseRootFromParent_Done,
     /* 2031761 */   // Label 27058: @2031761
     /* 2031761 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2031852), // Rule ID 15007 //
     /* 2031766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2031777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2031780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2031783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2031786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031812 */     // MIs[0] round
     /* 2031812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031815 */     // MIs[0] policy
     /* 2031815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031851 */     // GIR_Coverage, 15007,
     /* 2031851 */     GIR_EraseRootFromParent_Done,
     /* 2031852 */   // Label 27059: @2031852
     /* 2031852 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2031943), // Rule ID 15008 //
     /* 2031857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2031868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2031871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2031874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2031877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031903 */     // MIs[0] round
     /* 2031903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031906 */     // MIs[0] policy
     /* 2031906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031942 */     // GIR_Coverage, 15008,
     /* 2031942 */     GIR_EraseRootFromParent_Done,
     /* 2031943 */   // Label 27060: @2031943
     /* 2031943 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2032034), // Rule ID 15011 //
     /* 2031948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2031959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2031962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2031965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2031968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031994 */     // MIs[0] round
     /* 2031994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031997 */     // MIs[0] policy
     /* 2031997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032033 */     // GIR_Coverage, 15011,
     /* 2032033 */     GIR_EraseRootFromParent_Done,
     /* 2032034 */   // Label 27061: @2032034
     /* 2032034 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2032125), // Rule ID 15012 //
     /* 2032039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2032050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032085 */     // MIs[0] round
     /* 2032085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032088 */     // MIs[0] policy
     /* 2032088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032124 */     // GIR_Coverage, 15012,
     /* 2032124 */     GIR_EraseRootFromParent_Done,
     /* 2032125 */   // Label 27062: @2032125
     /* 2032125 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2032216), // Rule ID 15015 //
     /* 2032130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032176 */     // MIs[0] round
     /* 2032176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032179 */     // MIs[0] policy
     /* 2032179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032215 */     // GIR_Coverage, 15015,
     /* 2032215 */     GIR_EraseRootFromParent_Done,
     /* 2032216 */   // Label 27063: @2032216
     /* 2032216 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2032307), // Rule ID 15016 //
     /* 2032221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032267 */     // MIs[0] round
     /* 2032267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032270 */     // MIs[0] policy
     /* 2032270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032306 */     // GIR_Coverage, 15016,
     /* 2032306 */     GIR_EraseRootFromParent_Done,
     /* 2032307 */   // Label 27064: @2032307
     /* 2032307 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2032398), // Rule ID 15019 //
     /* 2032312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032358 */     // MIs[0] round
     /* 2032358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032361 */     // MIs[0] policy
     /* 2032361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032397 */     // GIR_Coverage, 15019,
     /* 2032397 */     GIR_EraseRootFromParent_Done,
     /* 2032398 */   // Label 27065: @2032398
     /* 2032398 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2032489), // Rule ID 15020 //
     /* 2032403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032449 */     // MIs[0] round
     /* 2032449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032452 */     // MIs[0] policy
     /* 2032452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032488 */     // GIR_Coverage, 15020,
     /* 2032488 */     GIR_EraseRootFromParent_Done,
     /* 2032489 */   // Label 27066: @2032489
     /* 2032489 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2032580), // Rule ID 15023 //
     /* 2032494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032540 */     // MIs[0] round
     /* 2032540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032543 */     // MIs[0] policy
     /* 2032543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032579 */     // GIR_Coverage, 15023,
     /* 2032579 */     GIR_EraseRootFromParent_Done,
     /* 2032580 */   // Label 27067: @2032580
     /* 2032580 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2032671), // Rule ID 15024 //
     /* 2032585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032631 */     // MIs[0] round
     /* 2032631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032634 */     // MIs[0] policy
     /* 2032634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032644 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032670 */     // GIR_Coverage, 15024,
     /* 2032670 */     GIR_EraseRootFromParent_Done,
     /* 2032671 */   // Label 27068: @2032671
     /* 2032671 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2032762), // Rule ID 15027 //
     /* 2032676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2032687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2032690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2032693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2032696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032722 */     // MIs[0] round
     /* 2032722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032725 */     // MIs[0] policy
     /* 2032725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032735 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032761 */     // GIR_Coverage, 15027,
     /* 2032761 */     GIR_EraseRootFromParent_Done,
     /* 2032762 */   // Label 27069: @2032762
     /* 2032762 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2032853), // Rule ID 15028 //
     /* 2032767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2032778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2032781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2032784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2032787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032813 */     // MIs[0] round
     /* 2032813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032816 */     // MIs[0] policy
     /* 2032816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032852 */     // GIR_Coverage, 15028,
     /* 2032852 */     GIR_EraseRootFromParent_Done,
     /* 2032853 */   // Label 27070: @2032853
     /* 2032853 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2032944), // Rule ID 15031 //
     /* 2032858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2032869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2032872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2032875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2032878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2032881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032904 */     // MIs[0] round
     /* 2032904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032907 */     // MIs[0] policy
     /* 2032907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032917 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2032920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032943 */     // GIR_Coverage, 15031,
     /* 2032943 */     GIR_EraseRootFromParent_Done,
     /* 2032944 */   // Label 27071: @2032944
     /* 2032944 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2033035), // Rule ID 15032 //
     /* 2032949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2032960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2032963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2032966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2032969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2032972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032995 */     // MIs[0] round
     /* 2032995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032998 */     // MIs[0] policy
     /* 2032998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033034 */     // GIR_Coverage, 15032,
     /* 2033034 */     GIR_EraseRootFromParent_Done,
     /* 2033035 */   // Label 27072: @2033035
     /* 2033035 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2033126), // Rule ID 15035 //
     /* 2033040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033086 */     // MIs[0] round
     /* 2033086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033089 */     // MIs[0] policy
     /* 2033089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033125 */     // GIR_Coverage, 15035,
     /* 2033125 */     GIR_EraseRootFromParent_Done,
     /* 2033126 */   // Label 27073: @2033126
     /* 2033126 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2033217), // Rule ID 15036 //
     /* 2033131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033177 */     // MIs[0] round
     /* 2033177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033180 */     // MIs[0] policy
     /* 2033180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033216 */     // GIR_Coverage, 15036,
     /* 2033216 */     GIR_EraseRootFromParent_Done,
     /* 2033217 */   // Label 27074: @2033217
     /* 2033217 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2033308), // Rule ID 15039 //
     /* 2033222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033268 */     // MIs[0] round
     /* 2033268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033271 */     // MIs[0] policy
     /* 2033271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033307 */     // GIR_Coverage, 15039,
     /* 2033307 */     GIR_EraseRootFromParent_Done,
     /* 2033308 */   // Label 27075: @2033308
     /* 2033308 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2033399), // Rule ID 15040 //
     /* 2033313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033359 */     // MIs[0] round
     /* 2033359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033362 */     // MIs[0] policy
     /* 2033362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033398 */     // GIR_Coverage, 15040,
     /* 2033398 */     GIR_EraseRootFromParent_Done,
     /* 2033399 */   // Label 27076: @2033399
     /* 2033399 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2033490), // Rule ID 15043 //
     /* 2033404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033450 */     // MIs[0] round
     /* 2033450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033453 */     // MIs[0] policy
     /* 2033453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033463 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033489 */     // GIR_Coverage, 15043,
     /* 2033489 */     GIR_EraseRootFromParent_Done,
     /* 2033490 */   // Label 27077: @2033490
     /* 2033490 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2033581), // Rule ID 15044 //
     /* 2033495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033541 */     // MIs[0] round
     /* 2033541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033544 */     // MIs[0] policy
     /* 2033544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033580 */     // GIR_Coverage, 15044,
     /* 2033580 */     GIR_EraseRootFromParent_Done,
     /* 2033581 */   // Label 27078: @2033581
     /* 2033581 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2033672), // Rule ID 15047 //
     /* 2033586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033632 */     // MIs[0] round
     /* 2033632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033635 */     // MIs[0] policy
     /* 2033635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033671 */     // GIR_Coverage, 15047,
     /* 2033671 */     GIR_EraseRootFromParent_Done,
     /* 2033672 */   // Label 27079: @2033672
     /* 2033672 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2033763), // Rule ID 15048 //
     /* 2033677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033723 */     // MIs[0] round
     /* 2033723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033726 */     // MIs[0] policy
     /* 2033726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033762 */     // GIR_Coverage, 15048,
     /* 2033762 */     GIR_EraseRootFromParent_Done,
     /* 2033763 */   // Label 27080: @2033763
     /* 2033763 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2033854), // Rule ID 15051 //
     /* 2033768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2033785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2033788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033814 */     // MIs[0] round
     /* 2033814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033817 */     // MIs[0] policy
     /* 2033817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033853 */     // GIR_Coverage, 15051,
     /* 2033853 */     GIR_EraseRootFromParent_Done,
     /* 2033854 */   // Label 27081: @2033854
     /* 2033854 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2033945), // Rule ID 15052 //
     /* 2033859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2033876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2033879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033905 */     // MIs[0] round
     /* 2033905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033908 */     // MIs[0] policy
     /* 2033908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033944 */     // GIR_Coverage, 15052,
     /* 2033944 */     GIR_EraseRootFromParent_Done,
     /* 2033945 */   // Label 27082: @2033945
     /* 2033945 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2034036), // Rule ID 15055 //
     /* 2033950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2033961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2033964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2033967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2033970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033996 */     // MIs[0] round
     /* 2033996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033999 */     // MIs[0] policy
     /* 2033999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034035 */     // GIR_Coverage, 15055,
     /* 2034035 */     GIR_EraseRootFromParent_Done,
     /* 2034036 */   // Label 27083: @2034036
     /* 2034036 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2034127), // Rule ID 15056 //
     /* 2034041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2034061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034087 */     // MIs[0] round
     /* 2034087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034090 */     // MIs[0] policy
     /* 2034090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034126 */     // GIR_Coverage, 15056,
     /* 2034126 */     GIR_EraseRootFromParent_Done,
     /* 2034127 */   // Label 27084: @2034127
     /* 2034127 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2034218), // Rule ID 15059 //
     /* 2034132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034178 */     // MIs[0] round
     /* 2034178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034181 */     // MIs[0] policy
     /* 2034181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034217 */     // GIR_Coverage, 15059,
     /* 2034217 */     GIR_EraseRootFromParent_Done,
     /* 2034218 */   // Label 27085: @2034218
     /* 2034218 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2034309), // Rule ID 15060 //
     /* 2034223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034269 */     // MIs[0] round
     /* 2034269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034272 */     // MIs[0] policy
     /* 2034272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034282 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034308 */     // GIR_Coverage, 15060,
     /* 2034308 */     GIR_EraseRootFromParent_Done,
     /* 2034309 */   // Label 27086: @2034309
     /* 2034309 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2034400), // Rule ID 15063 //
     /* 2034314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034360 */     // MIs[0] round
     /* 2034360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034363 */     // MIs[0] policy
     /* 2034363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034373 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034399 */     // GIR_Coverage, 15063,
     /* 2034399 */     GIR_EraseRootFromParent_Done,
     /* 2034400 */   // Label 27087: @2034400
     /* 2034400 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2034491), // Rule ID 15064 //
     /* 2034405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034451 */     // MIs[0] round
     /* 2034451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034454 */     // MIs[0] policy
     /* 2034454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034464 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034490 */     // GIR_Coverage, 15064,
     /* 2034490 */     GIR_EraseRootFromParent_Done,
     /* 2034491 */   // Label 27088: @2034491
     /* 2034491 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2034582), // Rule ID 15067 //
     /* 2034496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034542 */     // MIs[0] round
     /* 2034542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034545 */     // MIs[0] policy
     /* 2034545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034555 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034581 */     // GIR_Coverage, 15067,
     /* 2034581 */     GIR_EraseRootFromParent_Done,
     /* 2034582 */   // Label 27089: @2034582
     /* 2034582 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2034673), // Rule ID 15068 //
     /* 2034587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034633 */     // MIs[0] round
     /* 2034633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034636 */     // MIs[0] policy
     /* 2034636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034672 */     // GIR_Coverage, 15068,
     /* 2034672 */     GIR_EraseRootFromParent_Done,
     /* 2034673 */   // Label 27090: @2034673
     /* 2034673 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2034764), // Rule ID 15071 //
     /* 2034678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2034689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2034692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2034695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034724 */     // MIs[0] round
     /* 2034724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034727 */     // MIs[0] policy
     /* 2034727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034737 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2034740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034763 */     // GIR_Coverage, 15071,
     /* 2034763 */     GIR_EraseRootFromParent_Done,
     /* 2034764 */   // Label 27091: @2034764
     /* 2034764 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2034855), // Rule ID 15072 //
     /* 2034769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2034780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2034783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2034786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034815 */     // MIs[0] round
     /* 2034815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034818 */     // MIs[0] policy
     /* 2034818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2034831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034854 */     // GIR_Coverage, 15072,
     /* 2034854 */     GIR_EraseRootFromParent_Done,
     /* 2034855 */   // Label 27092: @2034855
     /* 2034855 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2034946), // Rule ID 15075 //
     /* 2034860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2034871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2034874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2034877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034906 */     // MIs[0] round
     /* 2034906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034909 */     // MIs[0] policy
     /* 2034909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2034922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034945 */     // GIR_Coverage, 15075,
     /* 2034945 */     GIR_EraseRootFromParent_Done,
     /* 2034946 */   // Label 27093: @2034946
     /* 2034946 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2035037), // Rule ID 15076 //
     /* 2034951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2034962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2034965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2034968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034997 */     // MIs[0] round
     /* 2034997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035000 */     // MIs[0] policy
     /* 2035000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035010 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035036 */     // GIR_Coverage, 15076,
     /* 2035036 */     GIR_EraseRootFromParent_Done,
     /* 2035037 */   // Label 27094: @2035037
     /* 2035037 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2035128), // Rule ID 15079 //
     /* 2035042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035088 */     // MIs[0] round
     /* 2035088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035091 */     // MIs[0] policy
     /* 2035091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035101 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035127 */     // GIR_Coverage, 15079,
     /* 2035127 */     GIR_EraseRootFromParent_Done,
     /* 2035128 */   // Label 27095: @2035128
     /* 2035128 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2035219), // Rule ID 15080 //
     /* 2035133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035179 */     // MIs[0] round
     /* 2035179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035182 */     // MIs[0] policy
     /* 2035182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035218 */     // GIR_Coverage, 15080,
     /* 2035218 */     GIR_EraseRootFromParent_Done,
     /* 2035219 */   // Label 27096: @2035219
     /* 2035219 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2035310), // Rule ID 15083 //
     /* 2035224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035270 */     // MIs[0] round
     /* 2035270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035273 */     // MIs[0] policy
     /* 2035273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035309 */     // GIR_Coverage, 15083,
     /* 2035309 */     GIR_EraseRootFromParent_Done,
     /* 2035310 */   // Label 27097: @2035310
     /* 2035310 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2035401), // Rule ID 15084 //
     /* 2035315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035361 */     // MIs[0] round
     /* 2035361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035364 */     // MIs[0] policy
     /* 2035364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035400 */     // GIR_Coverage, 15084,
     /* 2035400 */     GIR_EraseRootFromParent_Done,
     /* 2035401 */   // Label 27098: @2035401
     /* 2035401 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2035492), // Rule ID 15087 //
     /* 2035406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035452 */     // MIs[0] round
     /* 2035452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035455 */     // MIs[0] policy
     /* 2035455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035465 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035491 */     // GIR_Coverage, 15087,
     /* 2035491 */     GIR_EraseRootFromParent_Done,
     /* 2035492 */   // Label 27099: @2035492
     /* 2035492 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2035583), // Rule ID 15088 //
     /* 2035497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035543 */     // MIs[0] round
     /* 2035543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035546 */     // MIs[0] policy
     /* 2035546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035556 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035582 */     // GIR_Coverage, 15088,
     /* 2035582 */     GIR_EraseRootFromParent_Done,
     /* 2035583 */   // Label 27100: @2035583
     /* 2035583 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2035674), // Rule ID 15091 //
     /* 2035588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035634 */     // MIs[0] round
     /* 2035634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035637 */     // MIs[0] policy
     /* 2035637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035673 */     // GIR_Coverage, 15091,
     /* 2035673 */     GIR_EraseRootFromParent_Done,
     /* 2035674 */   // Label 27101: @2035674
     /* 2035674 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2035765), // Rule ID 15092 //
     /* 2035679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035725 */     // MIs[0] round
     /* 2035725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035728 */     // MIs[0] policy
     /* 2035728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035764 */     // GIR_Coverage, 15092,
     /* 2035764 */     GIR_EraseRootFromParent_Done,
     /* 2035765 */   // Label 27102: @2035765
     /* 2035765 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2035856), // Rule ID 15095 //
     /* 2035770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2035781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2035784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2035787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035816 */     // MIs[0] round
     /* 2035816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035819 */     // MIs[0] policy
     /* 2035819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035829 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035855 */     // GIR_Coverage, 15095,
     /* 2035855 */     GIR_EraseRootFromParent_Done,
     /* 2035856 */   // Label 27103: @2035856
     /* 2035856 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2035947), // Rule ID 15096 //
     /* 2035861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2035872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2035875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2035878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035907 */     // MIs[0] round
     /* 2035907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035910 */     // MIs[0] policy
     /* 2035910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035946 */     // GIR_Coverage, 15096,
     /* 2035946 */     GIR_EraseRootFromParent_Done,
     /* 2035947 */   // Label 27104: @2035947
     /* 2035947 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2036038), // Rule ID 15099 //
     /* 2035952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2035963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2035966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2035969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035998 */     // MIs[0] round
     /* 2035998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036001 */     // MIs[0] policy
     /* 2036001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036037 */     // GIR_Coverage, 15099,
     /* 2036037 */     GIR_EraseRootFromParent_Done,
     /* 2036038 */   // Label 27105: @2036038
     /* 2036038 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2036129), // Rule ID 15100 //
     /* 2036043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036089 */     // MIs[0] round
     /* 2036089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036092 */     // MIs[0] policy
     /* 2036092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036128 */     // GIR_Coverage, 15100,
     /* 2036128 */     GIR_EraseRootFromParent_Done,
     /* 2036129 */   // Label 27106: @2036129
     /* 2036129 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2036220), // Rule ID 15103 //
     /* 2036134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036180 */     // MIs[0] round
     /* 2036180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036183 */     // MIs[0] policy
     /* 2036183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036219 */     // GIR_Coverage, 15103,
     /* 2036219 */     GIR_EraseRootFromParent_Done,
     /* 2036220 */   // Label 27107: @2036220
     /* 2036220 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2036311), // Rule ID 15104 //
     /* 2036225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036271 */     // MIs[0] round
     /* 2036271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036274 */     // MIs[0] policy
     /* 2036274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036310 */     // GIR_Coverage, 15104,
     /* 2036310 */     GIR_EraseRootFromParent_Done,
     /* 2036311 */   // Label 27108: @2036311
     /* 2036311 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2036402), // Rule ID 15107 //
     /* 2036316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036362 */     // MIs[0] round
     /* 2036362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036365 */     // MIs[0] policy
     /* 2036365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036401 */     // GIR_Coverage, 15107,
     /* 2036401 */     GIR_EraseRootFromParent_Done,
     /* 2036402 */   // Label 27109: @2036402
     /* 2036402 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2036493), // Rule ID 15108 //
     /* 2036407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036453 */     // MIs[0] round
     /* 2036453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036456 */     // MIs[0] policy
     /* 2036456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036492 */     // GIR_Coverage, 15108,
     /* 2036492 */     GIR_EraseRootFromParent_Done,
     /* 2036493 */   // Label 27110: @2036493
     /* 2036493 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2036584), // Rule ID 15111 //
     /* 2036498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036544 */     // MIs[0] round
     /* 2036544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036547 */     // MIs[0] policy
     /* 2036547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036557 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036583 */     // GIR_Coverage, 15111,
     /* 2036583 */     GIR_EraseRootFromParent_Done,
     /* 2036584 */   // Label 27111: @2036584
     /* 2036584 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2036675), // Rule ID 15112 //
     /* 2036589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036635 */     // MIs[0] round
     /* 2036635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036638 */     // MIs[0] policy
     /* 2036638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036648 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036674 */     // GIR_Coverage, 15112,
     /* 2036674 */     GIR_EraseRootFromParent_Done,
     /* 2036675 */   // Label 27112: @2036675
     /* 2036675 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2036766), // Rule ID 15115 //
     /* 2036680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2036691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2036694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2036697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036726 */     // MIs[0] round
     /* 2036726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036729 */     // MIs[0] policy
     /* 2036729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036765 */     // GIR_Coverage, 15115,
     /* 2036765 */     GIR_EraseRootFromParent_Done,
     /* 2036766 */   // Label 27113: @2036766
     /* 2036766 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2036857), // Rule ID 15116 //
     /* 2036771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2036782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2036785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2036788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036817 */     // MIs[0] round
     /* 2036817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036820 */     // MIs[0] policy
     /* 2036820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036830 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036856 */     // GIR_Coverage, 15116,
     /* 2036856 */     GIR_EraseRootFromParent_Done,
     /* 2036857 */   // Label 27114: @2036857
     /* 2036857 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2036948), // Rule ID 15119 //
     /* 2036862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2036873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2036876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2036879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2036885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036908 */     // MIs[0] round
     /* 2036908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036911 */     // MIs[0] policy
     /* 2036911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2036924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036947 */     // GIR_Coverage, 15119,
     /* 2036947 */     GIR_EraseRootFromParent_Done,
     /* 2036948 */   // Label 27115: @2036948
     /* 2036948 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2037039), // Rule ID 15120 //
     /* 2036953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2036964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2036967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2036970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2036976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036999 */     // MIs[0] round
     /* 2036999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037002 */     // MIs[0] policy
     /* 2037002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037012 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037038 */     // GIR_Coverage, 15120,
     /* 2037038 */     GIR_EraseRootFromParent_Done,
     /* 2037039 */   // Label 27116: @2037039
     /* 2037039 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2037130), // Rule ID 15123 //
     /* 2037044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037090 */     // MIs[0] round
     /* 2037090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037093 */     // MIs[0] policy
     /* 2037093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037129 */     // GIR_Coverage, 15123,
     /* 2037129 */     GIR_EraseRootFromParent_Done,
     /* 2037130 */   // Label 27117: @2037130
     /* 2037130 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2037221), // Rule ID 15124 //
     /* 2037135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037181 */     // MIs[0] round
     /* 2037181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037184 */     // MIs[0] policy
     /* 2037184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037220 */     // GIR_Coverage, 15124,
     /* 2037220 */     GIR_EraseRootFromParent_Done,
     /* 2037221 */   // Label 27118: @2037221
     /* 2037221 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2037312), // Rule ID 15127 //
     /* 2037226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037272 */     // MIs[0] round
     /* 2037272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037275 */     // MIs[0] policy
     /* 2037275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037285 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037311 */     // GIR_Coverage, 15127,
     /* 2037311 */     GIR_EraseRootFromParent_Done,
     /* 2037312 */   // Label 27119: @2037312
     /* 2037312 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2037403), // Rule ID 15128 //
     /* 2037317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037363 */     // MIs[0] round
     /* 2037363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037366 */     // MIs[0] policy
     /* 2037366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037402 */     // GIR_Coverage, 15128,
     /* 2037402 */     GIR_EraseRootFromParent_Done,
     /* 2037403 */   // Label 27120: @2037403
     /* 2037403 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2037494), // Rule ID 15131 //
     /* 2037408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037454 */     // MIs[0] round
     /* 2037454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037457 */     // MIs[0] policy
     /* 2037457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037467 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037493 */     // GIR_Coverage, 15131,
     /* 2037493 */     GIR_EraseRootFromParent_Done,
     /* 2037494 */   // Label 27121: @2037494
     /* 2037494 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2037585), // Rule ID 15132 //
     /* 2037499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037545 */     // MIs[0] round
     /* 2037545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037548 */     // MIs[0] policy
     /* 2037548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037584 */     // GIR_Coverage, 15132,
     /* 2037584 */     GIR_EraseRootFromParent_Done,
     /* 2037585 */   // Label 27122: @2037585
     /* 2037585 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2037676), // Rule ID 15135 //
     /* 2037590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037636 */     // MIs[0] round
     /* 2037636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037639 */     // MIs[0] policy
     /* 2037639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037675 */     // GIR_Coverage, 15135,
     /* 2037675 */     GIR_EraseRootFromParent_Done,
     /* 2037676 */   // Label 27123: @2037676
     /* 2037676 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2037767), // Rule ID 15136 //
     /* 2037681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037727 */     // MIs[0] round
     /* 2037727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037730 */     // MIs[0] policy
     /* 2037730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037740 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037766 */     // GIR_Coverage, 15136,
     /* 2037766 */     GIR_EraseRootFromParent_Done,
     /* 2037767 */   // Label 27124: @2037767
     /* 2037767 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2037858), // Rule ID 15139 //
     /* 2037772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037818 */     // MIs[0] round
     /* 2037818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037821 */     // MIs[0] policy
     /* 2037821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037831 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037857 */     // GIR_Coverage, 15139,
     /* 2037857 */     GIR_EraseRootFromParent_Done,
     /* 2037858 */   // Label 27125: @2037858
     /* 2037858 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2037949), // Rule ID 15140 //
     /* 2037863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037909 */     // MIs[0] round
     /* 2037909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037912 */     // MIs[0] policy
     /* 2037912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037948 */     // GIR_Coverage, 15140,
     /* 2037948 */     GIR_EraseRootFromParent_Done,
     /* 2037949 */   // Label 27126: @2037949
     /* 2037949 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2038040), // Rule ID 15143 //
     /* 2037954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2037971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038000 */     // MIs[0] round
     /* 2038000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038003 */     // MIs[0] policy
     /* 2038003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038013 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038039 */     // GIR_Coverage, 15143,
     /* 2038039 */     GIR_EraseRootFromParent_Done,
     /* 2038040 */   // Label 27127: @2038040
     /* 2038040 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2038131), // Rule ID 15144 //
     /* 2038045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038091 */     // MIs[0] round
     /* 2038091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038094 */     // MIs[0] policy
     /* 2038094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038130 */     // GIR_Coverage, 15144,
     /* 2038130 */     GIR_EraseRootFromParent_Done,
     /* 2038131 */   // Label 27128: @2038131
     /* 2038131 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2038222), // Rule ID 15147 //
     /* 2038136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038182 */     // MIs[0] round
     /* 2038182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038185 */     // MIs[0] policy
     /* 2038185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038195 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038221 */     // GIR_Coverage, 15147,
     /* 2038221 */     GIR_EraseRootFromParent_Done,
     /* 2038222 */   // Label 27129: @2038222
     /* 2038222 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2038313), // Rule ID 15148 //
     /* 2038227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038273 */     // MIs[0] round
     /* 2038273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038276 */     // MIs[0] policy
     /* 2038276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038312 */     // GIR_Coverage, 15148,
     /* 2038312 */     GIR_EraseRootFromParent_Done,
     /* 2038313 */   // Label 27130: @2038313
     /* 2038313 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2038404), // Rule ID 15151 //
     /* 2038318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038364 */     // MIs[0] round
     /* 2038364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038367 */     // MIs[0] policy
     /* 2038367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038403 */     // GIR_Coverage, 15151,
     /* 2038403 */     GIR_EraseRootFromParent_Done,
     /* 2038404 */   // Label 27131: @2038404
     /* 2038404 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2038495), // Rule ID 15152 //
     /* 2038409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038455 */     // MIs[0] round
     /* 2038455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038458 */     // MIs[0] policy
     /* 2038458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038494 */     // GIR_Coverage, 15152,
     /* 2038494 */     GIR_EraseRootFromParent_Done,
     /* 2038495 */   // Label 27132: @2038495
     /* 2038495 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2038586), // Rule ID 15155 //
     /* 2038500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038546 */     // MIs[0] round
     /* 2038546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038549 */     // MIs[0] policy
     /* 2038549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038585 */     // GIR_Coverage, 15155,
     /* 2038585 */     GIR_EraseRootFromParent_Done,
     /* 2038586 */   // Label 27133: @2038586
     /* 2038586 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2038677), // Rule ID 15156 //
     /* 2038591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038637 */     // MIs[0] round
     /* 2038637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038640 */     // MIs[0] policy
     /* 2038640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038676 */     // GIR_Coverage, 15156,
     /* 2038676 */     GIR_EraseRootFromParent_Done,
     /* 2038677 */   // Label 27134: @2038677
     /* 2038677 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2038768), // Rule ID 15159 //
     /* 2038682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2038702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038728 */     // MIs[0] round
     /* 2038728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038731 */     // MIs[0] policy
     /* 2038731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038741 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2038744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038767 */     // GIR_Coverage, 15159,
     /* 2038767 */     GIR_EraseRootFromParent_Done,
     /* 2038768 */   // Label 27135: @2038768
     /* 2038768 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2038859), // Rule ID 15160 //
     /* 2038773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2038793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038819 */     // MIs[0] round
     /* 2038819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038822 */     // MIs[0] policy
     /* 2038822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038832 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2038835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038858 */     // GIR_Coverage, 15160,
     /* 2038858 */     GIR_EraseRootFromParent_Done,
     /* 2038859 */   // Label 27136: @2038859
     /* 2038859 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2038950), // Rule ID 15163 //
     /* 2038864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2038884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038910 */     // MIs[0] round
     /* 2038910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038913 */     // MIs[0] policy
     /* 2038913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038923 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2038926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038949 */     // GIR_Coverage, 15163,
     /* 2038949 */     GIR_EraseRootFromParent_Done,
     /* 2038950 */   // Label 27137: @2038950
     /* 2038950 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2039041), // Rule ID 15164 //
     /* 2038955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2038975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039001 */     // MIs[0] round
     /* 2039001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039004 */     // MIs[0] policy
     /* 2039004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039040 */     // GIR_Coverage, 15164,
     /* 2039040 */     GIR_EraseRootFromParent_Done,
     /* 2039041 */   // Label 27138: @2039041
     /* 2039041 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2039132), // Rule ID 15167 //
     /* 2039046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039092 */     // MIs[0] round
     /* 2039092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039095 */     // MIs[0] policy
     /* 2039095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039105 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039131 */     // GIR_Coverage, 15167,
     /* 2039131 */     GIR_EraseRootFromParent_Done,
     /* 2039132 */   // Label 27139: @2039132
     /* 2039132 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2039223), // Rule ID 15168 //
     /* 2039137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039183 */     // MIs[0] round
     /* 2039183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039186 */     // MIs[0] policy
     /* 2039186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039222 */     // GIR_Coverage, 15168,
     /* 2039222 */     GIR_EraseRootFromParent_Done,
     /* 2039223 */   // Label 27140: @2039223
     /* 2039223 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2039314), // Rule ID 15171 //
     /* 2039228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039274 */     // MIs[0] round
     /* 2039274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039277 */     // MIs[0] policy
     /* 2039277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039313 */     // GIR_Coverage, 15171,
     /* 2039313 */     GIR_EraseRootFromParent_Done,
     /* 2039314 */   // Label 27141: @2039314
     /* 2039314 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2039405), // Rule ID 15172 //
     /* 2039319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039365 */     // MIs[0] round
     /* 2039365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039368 */     // MIs[0] policy
     /* 2039368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039404 */     // GIR_Coverage, 15172,
     /* 2039404 */     GIR_EraseRootFromParent_Done,
     /* 2039405 */   // Label 27142: @2039405
     /* 2039405 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2039496), // Rule ID 15175 //
     /* 2039410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039456 */     // MIs[0] round
     /* 2039456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039459 */     // MIs[0] policy
     /* 2039459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039495 */     // GIR_Coverage, 15175,
     /* 2039495 */     GIR_EraseRootFromParent_Done,
     /* 2039496 */   // Label 27143: @2039496
     /* 2039496 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2039587), // Rule ID 15176 //
     /* 2039501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039547 */     // MIs[0] round
     /* 2039547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039550 */     // MIs[0] policy
     /* 2039550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039586 */     // GIR_Coverage, 15176,
     /* 2039586 */     GIR_EraseRootFromParent_Done,
     /* 2039587 */   // Label 27144: @2039587
     /* 2039587 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2039678), // Rule ID 15179 //
     /* 2039592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039638 */     // MIs[0] round
     /* 2039638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039641 */     // MIs[0] policy
     /* 2039641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039677 */     // GIR_Coverage, 15179,
     /* 2039677 */     GIR_EraseRootFromParent_Done,
     /* 2039678 */   // Label 27145: @2039678
     /* 2039678 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2039769), // Rule ID 15180 //
     /* 2039683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039729 */     // MIs[0] round
     /* 2039729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039732 */     // MIs[0] policy
     /* 2039732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039768 */     // GIR_Coverage, 15180,
     /* 2039768 */     GIR_EraseRootFromParent_Done,
     /* 2039769 */   // Label 27146: @2039769
     /* 2039769 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2039860), // Rule ID 15183 //
     /* 2039774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2039794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039820 */     // MIs[0] round
     /* 2039820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039823 */     // MIs[0] policy
     /* 2039823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039833 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039859 */     // GIR_Coverage, 15183,
     /* 2039859 */     GIR_EraseRootFromParent_Done,
     /* 2039860 */   // Label 27147: @2039860
     /* 2039860 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2039951), // Rule ID 15184 //
     /* 2039865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2039885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039911 */     // MIs[0] round
     /* 2039911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039914 */     // MIs[0] policy
     /* 2039914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039950 */     // GIR_Coverage, 15184,
     /* 2039950 */     GIR_EraseRootFromParent_Done,
     /* 2039951 */   // Label 27148: @2039951
     /* 2039951 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2040042), // Rule ID 15187 //
     /* 2039956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2039973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2039976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040002 */     // MIs[0] round
     /* 2040002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040005 */     // MIs[0] policy
     /* 2040005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040041 */     // GIR_Coverage, 15187,
     /* 2040041 */     GIR_EraseRootFromParent_Done,
     /* 2040042 */   // Label 27149: @2040042
     /* 2040042 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2040133), // Rule ID 15188 //
     /* 2040047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2040067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040093 */     // MIs[0] round
     /* 2040093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040096 */     // MIs[0] policy
     /* 2040096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040132 */     // GIR_Coverage, 15188,
     /* 2040132 */     GIR_EraseRootFromParent_Done,
     /* 2040133 */   // Label 27150: @2040133
     /* 2040133 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2040224), // Rule ID 15191 //
     /* 2040138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040184 */     // MIs[0] round
     /* 2040184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040187 */     // MIs[0] policy
     /* 2040187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040223 */     // GIR_Coverage, 15191,
     /* 2040223 */     GIR_EraseRootFromParent_Done,
     /* 2040224 */   // Label 27151: @2040224
     /* 2040224 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2040315), // Rule ID 15192 //
     /* 2040229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040275 */     // MIs[0] round
     /* 2040275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040278 */     // MIs[0] policy
     /* 2040278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040314 */     // GIR_Coverage, 15192,
     /* 2040314 */     GIR_EraseRootFromParent_Done,
     /* 2040315 */   // Label 27152: @2040315
     /* 2040315 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2040406), // Rule ID 15195 //
     /* 2040320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040366 */     // MIs[0] round
     /* 2040366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040369 */     // MIs[0] policy
     /* 2040369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040405 */     // GIR_Coverage, 15195,
     /* 2040405 */     GIR_EraseRootFromParent_Done,
     /* 2040406 */   // Label 27153: @2040406
     /* 2040406 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2040497), // Rule ID 15196 //
     /* 2040411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040457 */     // MIs[0] round
     /* 2040457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040460 */     // MIs[0] policy
     /* 2040460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040470 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040496 */     // GIR_Coverage, 15196,
     /* 2040496 */     GIR_EraseRootFromParent_Done,
     /* 2040497 */   // Label 27154: @2040497
     /* 2040497 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2040588), // Rule ID 15199 //
     /* 2040502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040548 */     // MIs[0] round
     /* 2040548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040551 */     // MIs[0] policy
     /* 2040551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040561 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040587 */     // GIR_Coverage, 15199,
     /* 2040587 */     GIR_EraseRootFromParent_Done,
     /* 2040588 */   // Label 27155: @2040588
     /* 2040588 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2040679), // Rule ID 15200 //
     /* 2040593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040639 */     // MIs[0] round
     /* 2040639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040642 */     // MIs[0] policy
     /* 2040642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040652 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040678 */     // GIR_Coverage, 15200,
     /* 2040678 */     GIR_EraseRootFromParent_Done,
     /* 2040679 */   // Label 27156: @2040679
     /* 2040679 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2040770), // Rule ID 15203 //
     /* 2040684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2040704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040730 */     // MIs[0] round
     /* 2040730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040733 */     // MIs[0] policy
     /* 2040733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040743 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040769 */     // GIR_Coverage, 15203,
     /* 2040769 */     GIR_EraseRootFromParent_Done,
     /* 2040770 */   // Label 27157: @2040770
     /* 2040770 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2040861), // Rule ID 15204 //
     /* 2040775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2040795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040821 */     // MIs[0] round
     /* 2040821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040824 */     // MIs[0] policy
     /* 2040824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040860 */     // GIR_Coverage, 15204,
     /* 2040860 */     GIR_EraseRootFromParent_Done,
     /* 2040861 */   // Label 27158: @2040861
     /* 2040861 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2040952), // Rule ID 15207 //
     /* 2040866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2040886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040912 */     // MIs[0] round
     /* 2040912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040915 */     // MIs[0] policy
     /* 2040915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040925 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2040928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040951 */     // GIR_Coverage, 15207,
     /* 2040951 */     GIR_EraseRootFromParent_Done,
     /* 2040952 */   // Label 27159: @2040952
     /* 2040952 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2041043), // Rule ID 15208 //
     /* 2040957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2040977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041003 */     // MIs[0] round
     /* 2041003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041006 */     // MIs[0] policy
     /* 2041006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041042 */     // GIR_Coverage, 15208,
     /* 2041042 */     GIR_EraseRootFromParent_Done,
     /* 2041043 */   // Label 27160: @2041043
     /* 2041043 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2041134), // Rule ID 15211 //
     /* 2041048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041094 */     // MIs[0] round
     /* 2041094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041097 */     // MIs[0] policy
     /* 2041097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041133 */     // GIR_Coverage, 15211,
     /* 2041133 */     GIR_EraseRootFromParent_Done,
     /* 2041134 */   // Label 27161: @2041134
     /* 2041134 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2041225), // Rule ID 15212 //
     /* 2041139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041185 */     // MIs[0] round
     /* 2041185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041188 */     // MIs[0] policy
     /* 2041188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041224 */     // GIR_Coverage, 15212,
     /* 2041224 */     GIR_EraseRootFromParent_Done,
     /* 2041225 */   // Label 27162: @2041225
     /* 2041225 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2041316), // Rule ID 15215 //
     /* 2041230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041276 */     // MIs[0] round
     /* 2041276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041279 */     // MIs[0] policy
     /* 2041279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041315 */     // GIR_Coverage, 15215,
     /* 2041315 */     GIR_EraseRootFromParent_Done,
     /* 2041316 */   // Label 27163: @2041316
     /* 2041316 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2041407), // Rule ID 15216 //
     /* 2041321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041367 */     // MIs[0] round
     /* 2041367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041370 */     // MIs[0] policy
     /* 2041370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041406 */     // GIR_Coverage, 15216,
     /* 2041406 */     GIR_EraseRootFromParent_Done,
     /* 2041407 */   // Label 27164: @2041407
     /* 2041407 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2041498), // Rule ID 15219 //
     /* 2041412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041458 */     // MIs[0] round
     /* 2041458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041461 */     // MIs[0] policy
     /* 2041461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041471 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041497 */     // GIR_Coverage, 15219,
     /* 2041497 */     GIR_EraseRootFromParent_Done,
     /* 2041498 */   // Label 27165: @2041498
     /* 2041498 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2041589), // Rule ID 15220 //
     /* 2041503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041549 */     // MIs[0] round
     /* 2041549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041552 */     // MIs[0] policy
     /* 2041552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041588 */     // GIR_Coverage, 15220,
     /* 2041588 */     GIR_EraseRootFromParent_Done,
     /* 2041589 */   // Label 27166: @2041589
     /* 2041589 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2041680), // Rule ID 15223 //
     /* 2041594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2041614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041640 */     // MIs[0] round
     /* 2041640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041643 */     // MIs[0] policy
     /* 2041643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041679 */     // GIR_Coverage, 15223,
     /* 2041679 */     GIR_EraseRootFromParent_Done,
     /* 2041680 */   // Label 27167: @2041680
     /* 2041680 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2041771), // Rule ID 15224 //
     /* 2041685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2041705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041731 */     // MIs[0] round
     /* 2041731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041734 */     // MIs[0] policy
     /* 2041734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041770 */     // GIR_Coverage, 15224,
     /* 2041770 */     GIR_EraseRootFromParent_Done,
     /* 2041771 */   // Label 27168: @2041771
     /* 2041771 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2041862), // Rule ID 15227 //
     /* 2041776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2041796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041822 */     // MIs[0] round
     /* 2041822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041825 */     // MIs[0] policy
     /* 2041825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041861 */     // GIR_Coverage, 15227,
     /* 2041861 */     GIR_EraseRootFromParent_Done,
     /* 2041862 */   // Label 27169: @2041862
     /* 2041862 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2041953), // Rule ID 15228 //
     /* 2041867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2041887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041913 */     // MIs[0] round
     /* 2041913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041916 */     // MIs[0] policy
     /* 2041916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041952 */     // GIR_Coverage, 15228,
     /* 2041952 */     GIR_EraseRootFromParent_Done,
     /* 2041953 */   // Label 27170: @2041953
     /* 2041953 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2042044), // Rule ID 15231 //
     /* 2041958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2041969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2041972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2041975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2041978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042004 */     // MIs[0] round
     /* 2042004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042007 */     // MIs[0] policy
     /* 2042007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042043 */     // GIR_Coverage, 15231,
     /* 2042043 */     GIR_EraseRootFromParent_Done,
     /* 2042044 */   // Label 27171: @2042044
     /* 2042044 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2042135), // Rule ID 15232 //
     /* 2042049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2042069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042095 */     // MIs[0] round
     /* 2042095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042098 */     // MIs[0] policy
     /* 2042098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042134 */     // GIR_Coverage, 15232,
     /* 2042134 */     GIR_EraseRootFromParent_Done,
     /* 2042135 */   // Label 27172: @2042135
     /* 2042135 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2042226), // Rule ID 15235 //
     /* 2042140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042186 */     // MIs[0] round
     /* 2042186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042189 */     // MIs[0] policy
     /* 2042189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042225 */     // GIR_Coverage, 15235,
     /* 2042225 */     GIR_EraseRootFromParent_Done,
     /* 2042226 */   // Label 27173: @2042226
     /* 2042226 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2042317), // Rule ID 15236 //
     /* 2042231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042277 */     // MIs[0] round
     /* 2042277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042280 */     // MIs[0] policy
     /* 2042280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042316 */     // GIR_Coverage, 15236,
     /* 2042316 */     GIR_EraseRootFromParent_Done,
     /* 2042317 */   // Label 27174: @2042317
     /* 2042317 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2042408), // Rule ID 15239 //
     /* 2042322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042368 */     // MIs[0] round
     /* 2042368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042371 */     // MIs[0] policy
     /* 2042371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042381 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042407 */     // GIR_Coverage, 15239,
     /* 2042407 */     GIR_EraseRootFromParent_Done,
     /* 2042408 */   // Label 27175: @2042408
     /* 2042408 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2042499), // Rule ID 15240 //
     /* 2042413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042459 */     // MIs[0] round
     /* 2042459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042462 */     // MIs[0] policy
     /* 2042462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042498 */     // GIR_Coverage, 15240,
     /* 2042498 */     GIR_EraseRootFromParent_Done,
     /* 2042499 */   // Label 27176: @2042499
     /* 2042499 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2042590), // Rule ID 15243 //
     /* 2042504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042550 */     // MIs[0] round
     /* 2042550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042553 */     // MIs[0] policy
     /* 2042553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042563 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042589 */     // GIR_Coverage, 15243,
     /* 2042589 */     GIR_EraseRootFromParent_Done,
     /* 2042590 */   // Label 27177: @2042590
     /* 2042590 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2042681), // Rule ID 15244 //
     /* 2042595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042641 */     // MIs[0] round
     /* 2042641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042644 */     // MIs[0] policy
     /* 2042644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042680 */     // GIR_Coverage, 15244,
     /* 2042680 */     GIR_EraseRootFromParent_Done,
     /* 2042681 */   // Label 27178: @2042681
     /* 2042681 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2042772), // Rule ID 15247 //
     /* 2042686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042732 */     // MIs[0] round
     /* 2042732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042735 */     // MIs[0] policy
     /* 2042735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042745 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2042748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042771 */     // GIR_Coverage, 15247,
     /* 2042771 */     GIR_EraseRootFromParent_Done,
     /* 2042772 */   // Label 27179: @2042772
     /* 2042772 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2042863), // Rule ID 15248 //
     /* 2042777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042823 */     // MIs[0] round
     /* 2042823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042826 */     // MIs[0] policy
     /* 2042826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2042839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042862 */     // GIR_Coverage, 15248,
     /* 2042862 */     GIR_EraseRootFromParent_Done,
     /* 2042863 */   // Label 27180: @2042863
     /* 2042863 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2042954), // Rule ID 15251 //
     /* 2042868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042914 */     // MIs[0] round
     /* 2042914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042917 */     // MIs[0] policy
     /* 2042917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2042930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042953 */     // GIR_Coverage, 15251,
     /* 2042953 */     GIR_EraseRootFromParent_Done,
     /* 2042954 */   // Label 27181: @2042954
     /* 2042954 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2043045), // Rule ID 15252 //
     /* 2042959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043005 */     // MIs[0] round
     /* 2043005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043008 */     // MIs[0] policy
     /* 2043008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043018 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043044 */     // GIR_Coverage, 15252,
     /* 2043044 */     GIR_EraseRootFromParent_Done,
     /* 2043045 */   // Label 27182: @2043045
     /* 2043045 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2043136), // Rule ID 15255 //
     /* 2043050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043096 */     // MIs[0] round
     /* 2043096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043099 */     // MIs[0] policy
     /* 2043099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043109 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043135 */     // GIR_Coverage, 15255,
     /* 2043135 */     GIR_EraseRootFromParent_Done,
     /* 2043136 */   // Label 27183: @2043136
     /* 2043136 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2043227), // Rule ID 15256 //
     /* 2043141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043187 */     // MIs[0] round
     /* 2043187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043190 */     // MIs[0] policy
     /* 2043190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043226 */     // GIR_Coverage, 15256,
     /* 2043226 */     GIR_EraseRootFromParent_Done,
     /* 2043227 */   // Label 27184: @2043227
     /* 2043227 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2043318), // Rule ID 15259 //
     /* 2043232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043278 */     // MIs[0] round
     /* 2043278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043281 */     // MIs[0] policy
     /* 2043281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043317 */     // GIR_Coverage, 15259,
     /* 2043317 */     GIR_EraseRootFromParent_Done,
     /* 2043318 */   // Label 27185: @2043318
     /* 2043318 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2043409), // Rule ID 15260 //
     /* 2043323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043369 */     // MIs[0] round
     /* 2043369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043372 */     // MIs[0] policy
     /* 2043372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043408 */     // GIR_Coverage, 15260,
     /* 2043408 */     GIR_EraseRootFromParent_Done,
     /* 2043409 */   // Label 27186: @2043409
     /* 2043409 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2043500), // Rule ID 15263 //
     /* 2043414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043460 */     // MIs[0] round
     /* 2043460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043463 */     // MIs[0] policy
     /* 2043463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043499 */     // GIR_Coverage, 15263,
     /* 2043499 */     GIR_EraseRootFromParent_Done,
     /* 2043500 */   // Label 27187: @2043500
     /* 2043500 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2043591), // Rule ID 15264 //
     /* 2043505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043551 */     // MIs[0] round
     /* 2043551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043554 */     // MIs[0] policy
     /* 2043554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043590 */     // GIR_Coverage, 15264,
     /* 2043590 */     GIR_EraseRootFromParent_Done,
     /* 2043591 */   // Label 27188: @2043591
     /* 2043591 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2043682), // Rule ID 15267 //
     /* 2043596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043642 */     // MIs[0] round
     /* 2043642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043645 */     // MIs[0] policy
     /* 2043645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043655 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043681 */     // GIR_Coverage, 15267,
     /* 2043681 */     GIR_EraseRootFromParent_Done,
     /* 2043682 */   // Label 27189: @2043682
     /* 2043682 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2043773), // Rule ID 15268 //
     /* 2043687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043733 */     // MIs[0] round
     /* 2043733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043736 */     // MIs[0] policy
     /* 2043736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043772 */     // GIR_Coverage, 15268,
     /* 2043772 */     GIR_EraseRootFromParent_Done,
     /* 2043773 */   // Label 27190: @2043773
     /* 2043773 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2043864), // Rule ID 15271 //
     /* 2043778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043824 */     // MIs[0] round
     /* 2043824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043827 */     // MIs[0] policy
     /* 2043827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043863 */     // GIR_Coverage, 15271,
     /* 2043863 */     GIR_EraseRootFromParent_Done,
     /* 2043864 */   // Label 27191: @2043864
     /* 2043864 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2043955), // Rule ID 15272 //
     /* 2043869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043915 */     // MIs[0] round
     /* 2043915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043918 */     // MIs[0] policy
     /* 2043918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043954 */     // GIR_Coverage, 15272,
     /* 2043954 */     GIR_EraseRootFromParent_Done,
     /* 2043955 */   // Label 27192: @2043955
     /* 2043955 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2044046), // Rule ID 15275 //
     /* 2043960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2043971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2043974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2043977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044006 */     // MIs[0] round
     /* 2044006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044009 */     // MIs[0] policy
     /* 2044009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044045 */     // GIR_Coverage, 15275,
     /* 2044045 */     GIR_EraseRootFromParent_Done,
     /* 2044046 */   // Label 27193: @2044046
     /* 2044046 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2044137), // Rule ID 15276 //
     /* 2044051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044097 */     // MIs[0] round
     /* 2044097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044100 */     // MIs[0] policy
     /* 2044100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044110 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044136 */     // GIR_Coverage, 15276,
     /* 2044136 */     GIR_EraseRootFromParent_Done,
     /* 2044137 */   // Label 27194: @2044137
     /* 2044137 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2044228), // Rule ID 15279 //
     /* 2044142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044188 */     // MIs[0] round
     /* 2044188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044191 */     // MIs[0] policy
     /* 2044191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044201 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044227 */     // GIR_Coverage, 15279,
     /* 2044227 */     GIR_EraseRootFromParent_Done,
     /* 2044228 */   // Label 27195: @2044228
     /* 2044228 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2044319), // Rule ID 15280 //
     /* 2044233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044279 */     // MIs[0] round
     /* 2044279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044282 */     // MIs[0] policy
     /* 2044282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044318 */     // GIR_Coverage, 15280,
     /* 2044318 */     GIR_EraseRootFromParent_Done,
     /* 2044319 */   // Label 27196: @2044319
     /* 2044319 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2044410), // Rule ID 15283 //
     /* 2044324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044370 */     // MIs[0] round
     /* 2044370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044373 */     // MIs[0] policy
     /* 2044373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044409 */     // GIR_Coverage, 15283,
     /* 2044409 */     GIR_EraseRootFromParent_Done,
     /* 2044410 */   // Label 27197: @2044410
     /* 2044410 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2044501), // Rule ID 15284 //
     /* 2044415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044461 */     // MIs[0] round
     /* 2044461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044464 */     // MIs[0] policy
     /* 2044464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044500 */     // GIR_Coverage, 15284,
     /* 2044500 */     GIR_EraseRootFromParent_Done,
     /* 2044501 */   // Label 27198: @2044501
     /* 2044501 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2044592), // Rule ID 15287 //
     /* 2044506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044552 */     // MIs[0] round
     /* 2044552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044555 */     // MIs[0] policy
     /* 2044555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044565 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044591 */     // GIR_Coverage, 15287,
     /* 2044591 */     GIR_EraseRootFromParent_Done,
     /* 2044592 */   // Label 27199: @2044592
     /* 2044592 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2044683), // Rule ID 15288 //
     /* 2044597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044643 */     // MIs[0] round
     /* 2044643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044646 */     // MIs[0] policy
     /* 2044646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044682 */     // GIR_Coverage, 15288,
     /* 2044682 */     GIR_EraseRootFromParent_Done,
     /* 2044683 */   // Label 27200: @2044683
     /* 2044683 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2044774), // Rule ID 15291 //
     /* 2044688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044734 */     // MIs[0] round
     /* 2044734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044737 */     // MIs[0] policy
     /* 2044737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044773 */     // GIR_Coverage, 15291,
     /* 2044773 */     GIR_EraseRootFromParent_Done,
     /* 2044774 */   // Label 27201: @2044774
     /* 2044774 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2044865), // Rule ID 15292 //
     /* 2044779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044825 */     // MIs[0] round
     /* 2044825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044828 */     // MIs[0] policy
     /* 2044828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044838 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044864 */     // GIR_Coverage, 15292,
     /* 2044864 */     GIR_EraseRootFromParent_Done,
     /* 2044865 */   // Label 27202: @2044865
     /* 2044865 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2044956), // Rule ID 15295 //
     /* 2044870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044916 */     // MIs[0] round
     /* 2044916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044919 */     // MIs[0] policy
     /* 2044919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044929 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2044932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044955 */     // GIR_Coverage, 15295,
     /* 2044955 */     GIR_EraseRootFromParent_Done,
     /* 2044956 */   // Label 27203: @2044956
     /* 2044956 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2045047), // Rule ID 15296 //
     /* 2044961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045007 */     // MIs[0] round
     /* 2045007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045010 */     // MIs[0] policy
     /* 2045010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045020 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045046 */     // GIR_Coverage, 15296,
     /* 2045046 */     GIR_EraseRootFromParent_Done,
     /* 2045047 */   // Label 27204: @2045047
     /* 2045047 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2045138), // Rule ID 15299 //
     /* 2045052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045098 */     // MIs[0] round
     /* 2045098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045101 */     // MIs[0] policy
     /* 2045101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045137 */     // GIR_Coverage, 15299,
     /* 2045137 */     GIR_EraseRootFromParent_Done,
     /* 2045138 */   // Label 27205: @2045138
     /* 2045138 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2045229), // Rule ID 15300 //
     /* 2045143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045189 */     // MIs[0] round
     /* 2045189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045192 */     // MIs[0] policy
     /* 2045192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045228 */     // GIR_Coverage, 15300,
     /* 2045228 */     GIR_EraseRootFromParent_Done,
     /* 2045229 */   // Label 27206: @2045229
     /* 2045229 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2045320), // Rule ID 15303 //
     /* 2045234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045280 */     // MIs[0] round
     /* 2045280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045283 */     // MIs[0] policy
     /* 2045283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045293 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045319 */     // GIR_Coverage, 15303,
     /* 2045319 */     GIR_EraseRootFromParent_Done,
     /* 2045320 */   // Label 27207: @2045320
     /* 2045320 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2045411), // Rule ID 15304 //
     /* 2045325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045371 */     // MIs[0] round
     /* 2045371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045374 */     // MIs[0] policy
     /* 2045374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045410 */     // GIR_Coverage, 15304,
     /* 2045410 */     GIR_EraseRootFromParent_Done,
     /* 2045411 */   // Label 27208: @2045411
     /* 2045411 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2045502), // Rule ID 15307 //
     /* 2045416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045462 */     // MIs[0] round
     /* 2045462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045465 */     // MIs[0] policy
     /* 2045465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045501 */     // GIR_Coverage, 15307,
     /* 2045501 */     GIR_EraseRootFromParent_Done,
     /* 2045502 */   // Label 27209: @2045502
     /* 2045502 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2045593), // Rule ID 15308 //
     /* 2045507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045553 */     // MIs[0] round
     /* 2045553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045556 */     // MIs[0] policy
     /* 2045556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045592 */     // GIR_Coverage, 15308,
     /* 2045592 */     GIR_EraseRootFromParent_Done,
     /* 2045593 */   // Label 27210: @2045593
     /* 2045593 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2045684), // Rule ID 15311 //
     /* 2045598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045644 */     // MIs[0] round
     /* 2045644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045647 */     // MIs[0] policy
     /* 2045647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045683 */     // GIR_Coverage, 15311,
     /* 2045683 */     GIR_EraseRootFromParent_Done,
     /* 2045684 */   // Label 27211: @2045684
     /* 2045684 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2045775), // Rule ID 15312 //
     /* 2045689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045735 */     // MIs[0] round
     /* 2045735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045738 */     // MIs[0] policy
     /* 2045738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045774 */     // GIR_Coverage, 15312,
     /* 2045774 */     GIR_EraseRootFromParent_Done,
     /* 2045775 */   // Label 27212: @2045775
     /* 2045775 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2045866), // Rule ID 15315 //
     /* 2045780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045826 */     // MIs[0] round
     /* 2045826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045829 */     // MIs[0] policy
     /* 2045829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045865 */     // GIR_Coverage, 15315,
     /* 2045865 */     GIR_EraseRootFromParent_Done,
     /* 2045866 */   // Label 27213: @2045866
     /* 2045866 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2045957), // Rule ID 15316 //
     /* 2045871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045917 */     // MIs[0] round
     /* 2045917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045920 */     // MIs[0] policy
     /* 2045920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045956 */     // GIR_Coverage, 15316,
     /* 2045956 */     GIR_EraseRootFromParent_Done,
     /* 2045957 */   // Label 27214: @2045957
     /* 2045957 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2046048), // Rule ID 15319 //
     /* 2045962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2045973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2045976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2045979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046008 */     // MIs[0] round
     /* 2046008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046011 */     // MIs[0] policy
     /* 2046011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046047 */     // GIR_Coverage, 15319,
     /* 2046047 */     GIR_EraseRootFromParent_Done,
     /* 2046048 */   // Label 27215: @2046048
     /* 2046048 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2046139), // Rule ID 15320 //
     /* 2046053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046099 */     // MIs[0] round
     /* 2046099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046102 */     // MIs[0] policy
     /* 2046102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046138 */     // GIR_Coverage, 15320,
     /* 2046138 */     GIR_EraseRootFromParent_Done,
     /* 2046139 */   // Label 27216: @2046139
     /* 2046139 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2046230), // Rule ID 15323 //
     /* 2046144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046190 */     // MIs[0] round
     /* 2046190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046193 */     // MIs[0] policy
     /* 2046193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046229 */     // GIR_Coverage, 15323,
     /* 2046229 */     GIR_EraseRootFromParent_Done,
     /* 2046230 */   // Label 27217: @2046230
     /* 2046230 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2046321), // Rule ID 15324 //
     /* 2046235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046281 */     // MIs[0] round
     /* 2046281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046284 */     // MIs[0] policy
     /* 2046284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046320 */     // GIR_Coverage, 15324,
     /* 2046320 */     GIR_EraseRootFromParent_Done,
     /* 2046321 */   // Label 27218: @2046321
     /* 2046321 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2046412), // Rule ID 15327 //
     /* 2046326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046372 */     // MIs[0] round
     /* 2046372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046375 */     // MIs[0] policy
     /* 2046375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046385 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046411 */     // GIR_Coverage, 15327,
     /* 2046411 */     GIR_EraseRootFromParent_Done,
     /* 2046412 */   // Label 27219: @2046412
     /* 2046412 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2046503), // Rule ID 15328 //
     /* 2046417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046463 */     // MIs[0] round
     /* 2046463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046466 */     // MIs[0] policy
     /* 2046466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046502 */     // GIR_Coverage, 15328,
     /* 2046502 */     GIR_EraseRootFromParent_Done,
     /* 2046503 */   // Label 27220: @2046503
     /* 2046503 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2046594), // Rule ID 15331 //
     /* 2046508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046554 */     // MIs[0] round
     /* 2046554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046557 */     // MIs[0] policy
     /* 2046557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046567 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046593 */     // GIR_Coverage, 15331,
     /* 2046593 */     GIR_EraseRootFromParent_Done,
     /* 2046594 */   // Label 27221: @2046594
     /* 2046594 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2046685), // Rule ID 15332 //
     /* 2046599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046645 */     // MIs[0] round
     /* 2046645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046648 */     // MIs[0] policy
     /* 2046648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046684 */     // GIR_Coverage, 15332,
     /* 2046684 */     GIR_EraseRootFromParent_Done,
     /* 2046685 */   // Label 27222: @2046685
     /* 2046685 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2046776), // Rule ID 15335 //
     /* 2046690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2046710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046736 */     // MIs[0] round
     /* 2046736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046739 */     // MIs[0] policy
     /* 2046739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046749 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2046752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046775 */     // GIR_Coverage, 15335,
     /* 2046775 */     GIR_EraseRootFromParent_Done,
     /* 2046776 */   // Label 27223: @2046776
     /* 2046776 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2046867), // Rule ID 15336 //
     /* 2046781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2046801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046827 */     // MIs[0] round
     /* 2046827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046830 */     // MIs[0] policy
     /* 2046830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2046843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046866 */     // GIR_Coverage, 15336,
     /* 2046866 */     GIR_EraseRootFromParent_Done,
     /* 2046867 */   // Label 27224: @2046867
     /* 2046867 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2046958), // Rule ID 15339 //
     /* 2046872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2046892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046918 */     // MIs[0] round
     /* 2046918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046921 */     // MIs[0] policy
     /* 2046921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2046934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046957 */     // GIR_Coverage, 15339,
     /* 2046957 */     GIR_EraseRootFromParent_Done,
     /* 2046958 */   // Label 27225: @2046958
     /* 2046958 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2047049), // Rule ID 15340 //
     /* 2046963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2046983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047009 */     // MIs[0] round
     /* 2047009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047012 */     // MIs[0] policy
     /* 2047012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047048 */     // GIR_Coverage, 15340,
     /* 2047048 */     GIR_EraseRootFromParent_Done,
     /* 2047049 */   // Label 27226: @2047049
     /* 2047049 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2047140), // Rule ID 15343 //
     /* 2047054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047100 */     // MIs[0] round
     /* 2047100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047103 */     // MIs[0] policy
     /* 2047103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047139 */     // GIR_Coverage, 15343,
     /* 2047139 */     GIR_EraseRootFromParent_Done,
     /* 2047140 */   // Label 27227: @2047140
     /* 2047140 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2047231), // Rule ID 15344 //
     /* 2047145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047191 */     // MIs[0] round
     /* 2047191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047194 */     // MIs[0] policy
     /* 2047194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047204 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047230 */     // GIR_Coverage, 15344,
     /* 2047230 */     GIR_EraseRootFromParent_Done,
     /* 2047231 */   // Label 27228: @2047231
     /* 2047231 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2047322), // Rule ID 15347 //
     /* 2047236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047282 */     // MIs[0] round
     /* 2047282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047285 */     // MIs[0] policy
     /* 2047285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047295 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047321 */     // GIR_Coverage, 15347,
     /* 2047321 */     GIR_EraseRootFromParent_Done,
     /* 2047322 */   // Label 27229: @2047322
     /* 2047322 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2047413), // Rule ID 15348 //
     /* 2047327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047373 */     // MIs[0] round
     /* 2047373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047376 */     // MIs[0] policy
     /* 2047376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047412 */     // GIR_Coverage, 15348,
     /* 2047412 */     GIR_EraseRootFromParent_Done,
     /* 2047413 */   // Label 27230: @2047413
     /* 2047413 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2047504), // Rule ID 15351 //
     /* 2047418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047464 */     // MIs[0] round
     /* 2047464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047467 */     // MIs[0] policy
     /* 2047467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047503 */     // GIR_Coverage, 15351,
     /* 2047503 */     GIR_EraseRootFromParent_Done,
     /* 2047504 */   // Label 27231: @2047504
     /* 2047504 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2047595), // Rule ID 15352 //
     /* 2047509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047555 */     // MIs[0] round
     /* 2047555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047558 */     // MIs[0] policy
     /* 2047558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047594 */     // GIR_Coverage, 15352,
     /* 2047594 */     GIR_EraseRootFromParent_Done,
     /* 2047595 */   // Label 27232: @2047595
     /* 2047595 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2047686), // Rule ID 15355 //
     /* 2047600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047646 */     // MIs[0] round
     /* 2047646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047649 */     // MIs[0] policy
     /* 2047649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047685 */     // GIR_Coverage, 15355,
     /* 2047685 */     GIR_EraseRootFromParent_Done,
     /* 2047686 */   // Label 27233: @2047686
     /* 2047686 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2047777), // Rule ID 15356 //
     /* 2047691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047737 */     // MIs[0] round
     /* 2047737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047740 */     // MIs[0] policy
     /* 2047740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047776 */     // GIR_Coverage, 15356,
     /* 2047776 */     GIR_EraseRootFromParent_Done,
     /* 2047777 */   // Label 27234: @2047777
     /* 2047777 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2047868), // Rule ID 15359 //
     /* 2047782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2047802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047828 */     // MIs[0] round
     /* 2047828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047831 */     // MIs[0] policy
     /* 2047831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047841 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047867 */     // GIR_Coverage, 15359,
     /* 2047867 */     GIR_EraseRootFromParent_Done,
     /* 2047868 */   // Label 27235: @2047868
     /* 2047868 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2047959), // Rule ID 15360 //
     /* 2047873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2047893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047919 */     // MIs[0] round
     /* 2047919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047922 */     // MIs[0] policy
     /* 2047922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047958 */     // GIR_Coverage, 15360,
     /* 2047958 */     GIR_EraseRootFromParent_Done,
     /* 2047959 */   // Label 27236: @2047959
     /* 2047959 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2048050), // Rule ID 15363 //
     /* 2047964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2047981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2047984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048010 */     // MIs[0] round
     /* 2048010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048013 */     // MIs[0] policy
     /* 2048013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048049 */     // GIR_Coverage, 15363,
     /* 2048049 */     GIR_EraseRootFromParent_Done,
     /* 2048050 */   // Label 27237: @2048050
     /* 2048050 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2048141), // Rule ID 15364 //
     /* 2048055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2048075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048101 */     // MIs[0] round
     /* 2048101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048104 */     // MIs[0] policy
     /* 2048104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048140 */     // GIR_Coverage, 15364,
     /* 2048140 */     GIR_EraseRootFromParent_Done,
     /* 2048141 */   // Label 27238: @2048141
     /* 2048141 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2048232), // Rule ID 15367 //
     /* 2048146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048192 */     // MIs[0] round
     /* 2048192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048195 */     // MIs[0] policy
     /* 2048195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048231 */     // GIR_Coverage, 15367,
     /* 2048231 */     GIR_EraseRootFromParent_Done,
     /* 2048232 */   // Label 27239: @2048232
     /* 2048232 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2048323), // Rule ID 15368 //
     /* 2048237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048283 */     // MIs[0] round
     /* 2048283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048286 */     // MIs[0] policy
     /* 2048286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048322 */     // GIR_Coverage, 15368,
     /* 2048322 */     GIR_EraseRootFromParent_Done,
     /* 2048323 */   // Label 27240: @2048323
     /* 2048323 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2048414), // Rule ID 15371 //
     /* 2048328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048374 */     // MIs[0] round
     /* 2048374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048377 */     // MIs[0] policy
     /* 2048377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048413 */     // GIR_Coverage, 15371,
     /* 2048413 */     GIR_EraseRootFromParent_Done,
     /* 2048414 */   // Label 27241: @2048414
     /* 2048414 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2048505), // Rule ID 15372 //
     /* 2048419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048465 */     // MIs[0] round
     /* 2048465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048468 */     // MIs[0] policy
     /* 2048468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048504 */     // GIR_Coverage, 15372,
     /* 2048504 */     GIR_EraseRootFromParent_Done,
     /* 2048505 */   // Label 27242: @2048505
     /* 2048505 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2048596), // Rule ID 15375 //
     /* 2048510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048556 */     // MIs[0] round
     /* 2048556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048559 */     // MIs[0] policy
     /* 2048559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048569 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048595 */     // GIR_Coverage, 15375,
     /* 2048595 */     GIR_EraseRootFromParent_Done,
     /* 2048596 */   // Label 27243: @2048596
     /* 2048596 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2048687), // Rule ID 15376 //
     /* 2048601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048647 */     // MIs[0] round
     /* 2048647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048650 */     // MIs[0] policy
     /* 2048650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048660 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048686 */     // GIR_Coverage, 15376,
     /* 2048686 */     GIR_EraseRootFromParent_Done,
     /* 2048687 */   // Label 27244: @2048687
     /* 2048687 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2048778), // Rule ID 15379 //
     /* 2048692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2048712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048738 */     // MIs[0] round
     /* 2048738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048741 */     // MIs[0] policy
     /* 2048741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048751 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048777 */     // GIR_Coverage, 15379,
     /* 2048777 */     GIR_EraseRootFromParent_Done,
     /* 2048778 */   // Label 27245: @2048778
     /* 2048778 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2048869), // Rule ID 15380 //
     /* 2048783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2048803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048829 */     // MIs[0] round
     /* 2048829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048832 */     // MIs[0] policy
     /* 2048832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048868 */     // GIR_Coverage, 15380,
     /* 2048868 */     GIR_EraseRootFromParent_Done,
     /* 2048869 */   // Label 27246: @2048869
     /* 2048869 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2048960), // Rule ID 15383 //
     /* 2048874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2048894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048920 */     // MIs[0] round
     /* 2048920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048923 */     // MIs[0] policy
     /* 2048923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048933 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2048936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048959 */     // GIR_Coverage, 15383,
     /* 2048959 */     GIR_EraseRootFromParent_Done,
     /* 2048960 */   // Label 27247: @2048960
     /* 2048960 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2049051), // Rule ID 15384 //
     /* 2048965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2048985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049011 */     // MIs[0] round
     /* 2049011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049014 */     // MIs[0] policy
     /* 2049014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049050 */     // GIR_Coverage, 15384,
     /* 2049050 */     GIR_EraseRootFromParent_Done,
     /* 2049051 */   // Label 27248: @2049051
     /* 2049051 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2049142), // Rule ID 15387 //
     /* 2049056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049102 */     // MIs[0] round
     /* 2049102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049105 */     // MIs[0] policy
     /* 2049105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049141 */     // GIR_Coverage, 15387,
     /* 2049141 */     GIR_EraseRootFromParent_Done,
     /* 2049142 */   // Label 27249: @2049142
     /* 2049142 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2049233), // Rule ID 15388 //
     /* 2049147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049193 */     // MIs[0] round
     /* 2049193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049196 */     // MIs[0] policy
     /* 2049196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049206 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049232 */     // GIR_Coverage, 15388,
     /* 2049232 */     GIR_EraseRootFromParent_Done,
     /* 2049233 */   // Label 27250: @2049233
     /* 2049233 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2049324), // Rule ID 15391 //
     /* 2049238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049284 */     // MIs[0] round
     /* 2049284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049287 */     // MIs[0] policy
     /* 2049287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049297 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049323 */     // GIR_Coverage, 15391,
     /* 2049323 */     GIR_EraseRootFromParent_Done,
     /* 2049324 */   // Label 27251: @2049324
     /* 2049324 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2049415), // Rule ID 15392 //
     /* 2049329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049375 */     // MIs[0] round
     /* 2049375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049378 */     // MIs[0] policy
     /* 2049378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049414 */     // GIR_Coverage, 15392,
     /* 2049414 */     GIR_EraseRootFromParent_Done,
     /* 2049415 */   // Label 27252: @2049415
     /* 2049415 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2049506), // Rule ID 15395 //
     /* 2049420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049466 */     // MIs[0] round
     /* 2049466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049469 */     // MIs[0] policy
     /* 2049469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049479 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049505 */     // GIR_Coverage, 15395,
     /* 2049505 */     GIR_EraseRootFromParent_Done,
     /* 2049506 */   // Label 27253: @2049506
     /* 2049506 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2049597), // Rule ID 15396 //
     /* 2049511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049557 */     // MIs[0] round
     /* 2049557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049560 */     // MIs[0] policy
     /* 2049560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049596 */     // GIR_Coverage, 15396,
     /* 2049596 */     GIR_EraseRootFromParent_Done,
     /* 2049597 */   // Label 27254: @2049597
     /* 2049597 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2049688), // Rule ID 15399 //
     /* 2049602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2049622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049648 */     // MIs[0] round
     /* 2049648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049651 */     // MIs[0] policy
     /* 2049651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049661 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049687 */     // GIR_Coverage, 15399,
     /* 2049687 */     GIR_EraseRootFromParent_Done,
     /* 2049688 */   // Label 27255: @2049688
     /* 2049688 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2049779), // Rule ID 15400 //
     /* 2049693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2049713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049739 */     // MIs[0] round
     /* 2049739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049742 */     // MIs[0] policy
     /* 2049742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049778 */     // GIR_Coverage, 15400,
     /* 2049778 */     GIR_EraseRootFromParent_Done,
     /* 2049779 */   // Label 27256: @2049779
     /* 2049779 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2049870), // Rule ID 15403 //
     /* 2049784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2049804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049830 */     // MIs[0] round
     /* 2049830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049833 */     // MIs[0] policy
     /* 2049833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049869 */     // GIR_Coverage, 15403,
     /* 2049869 */     GIR_EraseRootFromParent_Done,
     /* 2049870 */   // Label 27257: @2049870
     /* 2049870 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2049961), // Rule ID 15404 //
     /* 2049875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2049895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049921 */     // MIs[0] round
     /* 2049921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049924 */     // MIs[0] policy
     /* 2049924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049960 */     // GIR_Coverage, 15404,
     /* 2049960 */     GIR_EraseRootFromParent_Done,
     /* 2049961 */   // Label 27258: @2049961
     /* 2049961 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2050052), // Rule ID 15407 //
     /* 2049966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2049977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2049980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2049983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2049986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050012 */     // MIs[0] round
     /* 2050012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050015 */     // MIs[0] policy
     /* 2050015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050025 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050051 */     // GIR_Coverage, 15407,
     /* 2050051 */     GIR_EraseRootFromParent_Done,
     /* 2050052 */   // Label 27259: @2050052
     /* 2050052 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2050143), // Rule ID 15408 //
     /* 2050057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2050077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050103 */     // MIs[0] round
     /* 2050103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050106 */     // MIs[0] policy
     /* 2050106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050142 */     // GIR_Coverage, 15408,
     /* 2050142 */     GIR_EraseRootFromParent_Done,
     /* 2050143 */   // Label 27260: @2050143
     /* 2050143 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2050234), // Rule ID 15411 //
     /* 2050148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050194 */     // MIs[0] round
     /* 2050194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050197 */     // MIs[0] policy
     /* 2050197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050207 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050233 */     // GIR_Coverage, 15411,
     /* 2050233 */     GIR_EraseRootFromParent_Done,
     /* 2050234 */   // Label 27261: @2050234
     /* 2050234 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2050325), // Rule ID 15412 //
     /* 2050239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050285 */     // MIs[0] round
     /* 2050285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050288 */     // MIs[0] policy
     /* 2050288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050324 */     // GIR_Coverage, 15412,
     /* 2050324 */     GIR_EraseRootFromParent_Done,
     /* 2050325 */   // Label 27262: @2050325
     /* 2050325 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2050416), // Rule ID 15415 //
     /* 2050330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050376 */     // MIs[0] round
     /* 2050376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050379 */     // MIs[0] policy
     /* 2050379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050415 */     // GIR_Coverage, 15415,
     /* 2050415 */     GIR_EraseRootFromParent_Done,
     /* 2050416 */   // Label 27263: @2050416
     /* 2050416 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2050507), // Rule ID 15416 //
     /* 2050421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050467 */     // MIs[0] round
     /* 2050467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050470 */     // MIs[0] policy
     /* 2050470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050506 */     // GIR_Coverage, 15416,
     /* 2050506 */     GIR_EraseRootFromParent_Done,
     /* 2050507 */   // Label 27264: @2050507
     /* 2050507 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2050598), // Rule ID 15419 //
     /* 2050512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050558 */     // MIs[0] round
     /* 2050558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050561 */     // MIs[0] policy
     /* 2050561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050571 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050597 */     // GIR_Coverage, 15419,
     /* 2050597 */     GIR_EraseRootFromParent_Done,
     /* 2050598 */   // Label 27265: @2050598
     /* 2050598 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2050689), // Rule ID 15420 //
     /* 2050603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050649 */     // MIs[0] round
     /* 2050649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050652 */     // MIs[0] policy
     /* 2050652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050688 */     // GIR_Coverage, 15420,
     /* 2050688 */     GIR_EraseRootFromParent_Done,
     /* 2050689 */   // Label 27266: @2050689
     /* 2050689 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2050780), // Rule ID 15423 //
     /* 2050694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050740 */     // MIs[0] round
     /* 2050740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050743 */     // MIs[0] policy
     /* 2050743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050753 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2050756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050779 */     // GIR_Coverage, 15423,
     /* 2050779 */     GIR_EraseRootFromParent_Done,
     /* 2050780 */   // Label 27267: @2050780
     /* 2050780 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2050871), // Rule ID 15424 //
     /* 2050785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050831 */     // MIs[0] round
     /* 2050831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050834 */     // MIs[0] policy
     /* 2050834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050844 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2050847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050870 */     // GIR_Coverage, 15424,
     /* 2050870 */     GIR_EraseRootFromParent_Done,
     /* 2050871 */   // Label 27268: @2050871
     /* 2050871 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2050962), // Rule ID 15427 //
     /* 2050876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050922 */     // MIs[0] round
     /* 2050922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050925 */     // MIs[0] policy
     /* 2050925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2050938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050961 */     // GIR_Coverage, 15427,
     /* 2050961 */     GIR_EraseRootFromParent_Done,
     /* 2050962 */   // Label 27269: @2050962
     /* 2050962 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2051053), // Rule ID 15428 //
     /* 2050967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051013 */     // MIs[0] round
     /* 2051013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051016 */     // MIs[0] policy
     /* 2051016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051052 */     // GIR_Coverage, 15428,
     /* 2051052 */     GIR_EraseRootFromParent_Done,
     /* 2051053 */   // Label 27270: @2051053
     /* 2051053 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2051144), // Rule ID 15431 //
     /* 2051058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051104 */     // MIs[0] round
     /* 2051104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051107 */     // MIs[0] policy
     /* 2051107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051117 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051143 */     // GIR_Coverage, 15431,
     /* 2051143 */     GIR_EraseRootFromParent_Done,
     /* 2051144 */   // Label 27271: @2051144
     /* 2051144 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2051235), // Rule ID 15432 //
     /* 2051149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051195 */     // MIs[0] round
     /* 2051195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051198 */     // MIs[0] policy
     /* 2051198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051234 */     // GIR_Coverage, 15432,
     /* 2051234 */     GIR_EraseRootFromParent_Done,
     /* 2051235 */   // Label 27272: @2051235
     /* 2051235 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2051326), // Rule ID 15435 //
     /* 2051240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051286 */     // MIs[0] round
     /* 2051286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051289 */     // MIs[0] policy
     /* 2051289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051325 */     // GIR_Coverage, 15435,
     /* 2051325 */     GIR_EraseRootFromParent_Done,
     /* 2051326 */   // Label 27273: @2051326
     /* 2051326 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2051417), // Rule ID 15436 //
     /* 2051331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051377 */     // MIs[0] round
     /* 2051377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051380 */     // MIs[0] policy
     /* 2051380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051416 */     // GIR_Coverage, 15436,
     /* 2051416 */     GIR_EraseRootFromParent_Done,
     /* 2051417 */   // Label 27274: @2051417
     /* 2051417 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2051508), // Rule ID 15439 //
     /* 2051422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051468 */     // MIs[0] round
     /* 2051468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051471 */     // MIs[0] policy
     /* 2051471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051507 */     // GIR_Coverage, 15439,
     /* 2051507 */     GIR_EraseRootFromParent_Done,
     /* 2051508 */   // Label 27275: @2051508
     /* 2051508 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2051599), // Rule ID 15440 //
     /* 2051513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051559 */     // MIs[0] round
     /* 2051559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051562 */     // MIs[0] policy
     /* 2051562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051598 */     // GIR_Coverage, 15440,
     /* 2051598 */     GIR_EraseRootFromParent_Done,
     /* 2051599 */   // Label 27276: @2051599
     /* 2051599 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2051690), // Rule ID 15443 //
     /* 2051604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051650 */     // MIs[0] round
     /* 2051650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051653 */     // MIs[0] policy
     /* 2051653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051663 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051689 */     // GIR_Coverage, 15443,
     /* 2051689 */     GIR_EraseRootFromParent_Done,
     /* 2051690 */   // Label 27277: @2051690
     /* 2051690 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2051781), // Rule ID 15444 //
     /* 2051695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051741 */     // MIs[0] round
     /* 2051741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051744 */     // MIs[0] policy
     /* 2051744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051754 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051780 */     // GIR_Coverage, 15444,
     /* 2051780 */     GIR_EraseRootFromParent_Done,
     /* 2051781 */   // Label 27278: @2051781
     /* 2051781 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2051872), // Rule ID 15447 //
     /* 2051786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051832 */     // MIs[0] round
     /* 2051832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051835 */     // MIs[0] policy
     /* 2051835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051845 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051871 */     // GIR_Coverage, 15447,
     /* 2051871 */     GIR_EraseRootFromParent_Done,
     /* 2051872 */   // Label 27279: @2051872
     /* 2051872 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2051963), // Rule ID 15448 //
     /* 2051877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051923 */     // MIs[0] round
     /* 2051923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051926 */     // MIs[0] policy
     /* 2051926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051962 */     // GIR_Coverage, 15448,
     /* 2051962 */     GIR_EraseRootFromParent_Done,
     /* 2051963 */   // Label 27280: @2051963
     /* 2051963 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2052054), // Rule ID 15451 //
     /* 2051968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2051982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2051985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052014 */     // MIs[0] round
     /* 2052014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052017 */     // MIs[0] policy
     /* 2052017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052053 */     // GIR_Coverage, 15451,
     /* 2052053 */     GIR_EraseRootFromParent_Done,
     /* 2052054 */   // Label 27281: @2052054
     /* 2052054 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2052145), // Rule ID 15452 //
     /* 2052059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052105 */     // MIs[0] round
     /* 2052105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052108 */     // MIs[0] policy
     /* 2052108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052144 */     // GIR_Coverage, 15452,
     /* 2052144 */     GIR_EraseRootFromParent_Done,
     /* 2052145 */   // Label 27282: @2052145
     /* 2052145 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2052236), // Rule ID 15455 //
     /* 2052150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052196 */     // MIs[0] round
     /* 2052196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052199 */     // MIs[0] policy
     /* 2052199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052235 */     // GIR_Coverage, 15455,
     /* 2052235 */     GIR_EraseRootFromParent_Done,
     /* 2052236 */   // Label 27283: @2052236
     /* 2052236 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2052327), // Rule ID 15456 //
     /* 2052241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052287 */     // MIs[0] round
     /* 2052287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052290 */     // MIs[0] policy
     /* 2052290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052326 */     // GIR_Coverage, 15456,
     /* 2052326 */     GIR_EraseRootFromParent_Done,
     /* 2052327 */   // Label 27284: @2052327
     /* 2052327 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2052418), // Rule ID 15459 //
     /* 2052332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052378 */     // MIs[0] round
     /* 2052378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052381 */     // MIs[0] policy
     /* 2052381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052417 */     // GIR_Coverage, 15459,
     /* 2052417 */     GIR_EraseRootFromParent_Done,
     /* 2052418 */   // Label 27285: @2052418
     /* 2052418 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2052509), // Rule ID 15460 //
     /* 2052423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052469 */     // MIs[0] round
     /* 2052469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052472 */     // MIs[0] policy
     /* 2052472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052508 */     // GIR_Coverage, 15460,
     /* 2052508 */     GIR_EraseRootFromParent_Done,
     /* 2052509 */   // Label 27286: @2052509
     /* 2052509 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2052600), // Rule ID 15463 //
     /* 2052514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052560 */     // MIs[0] round
     /* 2052560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052563 */     // MIs[0] policy
     /* 2052563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052573 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052599 */     // GIR_Coverage, 15463,
     /* 2052599 */     GIR_EraseRootFromParent_Done,
     /* 2052600 */   // Label 27287: @2052600
     /* 2052600 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2052691), // Rule ID 15464 //
     /* 2052605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052651 */     // MIs[0] round
     /* 2052651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052654 */     // MIs[0] policy
     /* 2052654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052690 */     // GIR_Coverage, 15464,
     /* 2052690 */     GIR_EraseRootFromParent_Done,
     /* 2052691 */   // Label 27288: @2052691
     /* 2052691 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2052782), // Rule ID 15467 //
     /* 2052696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052742 */     // MIs[0] round
     /* 2052742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052745 */     // MIs[0] policy
     /* 2052745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052755 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052781 */     // GIR_Coverage, 15467,
     /* 2052781 */     GIR_EraseRootFromParent_Done,
     /* 2052782 */   // Label 27289: @2052782
     /* 2052782 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2052873), // Rule ID 15468 //
     /* 2052787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052833 */     // MIs[0] round
     /* 2052833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052836 */     // MIs[0] policy
     /* 2052836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052872 */     // GIR_Coverage, 15468,
     /* 2052872 */     GIR_EraseRootFromParent_Done,
     /* 2052873 */   // Label 27290: @2052873
     /* 2052873 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2052964), // Rule ID 15471 //
     /* 2052878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052924 */     // MIs[0] round
     /* 2052924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052927 */     // MIs[0] policy
     /* 2052927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052937 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2052940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052963 */     // GIR_Coverage, 15471,
     /* 2052963 */     GIR_EraseRootFromParent_Done,
     /* 2052964 */   // Label 27291: @2052964
     /* 2052964 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2053055), // Rule ID 15472 //
     /* 2052969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053015 */     // MIs[0] round
     /* 2053015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053018 */     // MIs[0] policy
     /* 2053018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053028 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053054 */     // GIR_Coverage, 15472,
     /* 2053054 */     GIR_EraseRootFromParent_Done,
     /* 2053055 */   // Label 27292: @2053055
     /* 2053055 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2053146), // Rule ID 15475 //
     /* 2053060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053106 */     // MIs[0] round
     /* 2053106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053109 */     // MIs[0] policy
     /* 2053109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053145 */     // GIR_Coverage, 15475,
     /* 2053145 */     GIR_EraseRootFromParent_Done,
     /* 2053146 */   // Label 27293: @2053146
     /* 2053146 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2053237), // Rule ID 15476 //
     /* 2053151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053197 */     // MIs[0] round
     /* 2053197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053200 */     // MIs[0] policy
     /* 2053200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053236 */     // GIR_Coverage, 15476,
     /* 2053236 */     GIR_EraseRootFromParent_Done,
     /* 2053237 */   // Label 27294: @2053237
     /* 2053237 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2053328), // Rule ID 15479 //
     /* 2053242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053288 */     // MIs[0] round
     /* 2053288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053291 */     // MIs[0] policy
     /* 2053291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053301 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053327 */     // GIR_Coverage, 15479,
     /* 2053327 */     GIR_EraseRootFromParent_Done,
     /* 2053328 */   // Label 27295: @2053328
     /* 2053328 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2053419), // Rule ID 15480 //
     /* 2053333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053379 */     // MIs[0] round
     /* 2053379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053382 */     // MIs[0] policy
     /* 2053382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053418 */     // GIR_Coverage, 15480,
     /* 2053418 */     GIR_EraseRootFromParent_Done,
     /* 2053419 */   // Label 27296: @2053419
     /* 2053419 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2053510), // Rule ID 15483 //
     /* 2053424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053470 */     // MIs[0] round
     /* 2053470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053473 */     // MIs[0] policy
     /* 2053473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053509 */     // GIR_Coverage, 15483,
     /* 2053509 */     GIR_EraseRootFromParent_Done,
     /* 2053510 */   // Label 27297: @2053510
     /* 2053510 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2053601), // Rule ID 15484 //
     /* 2053515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053561 */     // MIs[0] round
     /* 2053561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053564 */     // MIs[0] policy
     /* 2053564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053600 */     // GIR_Coverage, 15484,
     /* 2053600 */     GIR_EraseRootFromParent_Done,
     /* 2053601 */   // Label 27298: @2053601
     /* 2053601 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2053692), // Rule ID 15487 //
     /* 2053606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053652 */     // MIs[0] round
     /* 2053652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053655 */     // MIs[0] policy
     /* 2053655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053691 */     // GIR_Coverage, 15487,
     /* 2053691 */     GIR_EraseRootFromParent_Done,
     /* 2053692 */   // Label 27299: @2053692
     /* 2053692 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2053783), // Rule ID 15488 //
     /* 2053697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053743 */     // MIs[0] round
     /* 2053743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053746 */     // MIs[0] policy
     /* 2053746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053782 */     // GIR_Coverage, 15488,
     /* 2053782 */     GIR_EraseRootFromParent_Done,
     /* 2053783 */   // Label 27300: @2053783
     /* 2053783 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2053874), // Rule ID 15491 //
     /* 2053788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053834 */     // MIs[0] round
     /* 2053834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053837 */     // MIs[0] policy
     /* 2053837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053873 */     // GIR_Coverage, 15491,
     /* 2053873 */     GIR_EraseRootFromParent_Done,
     /* 2053874 */   // Label 27301: @2053874
     /* 2053874 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2053965), // Rule ID 15492 //
     /* 2053879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053925 */     // MIs[0] round
     /* 2053925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053928 */     // MIs[0] policy
     /* 2053928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053964 */     // GIR_Coverage, 15492,
     /* 2053964 */     GIR_EraseRootFromParent_Done,
     /* 2053965 */   // Label 27302: @2053965
     /* 2053965 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2054056), // Rule ID 15495 //
     /* 2053970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2053981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2053984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2053987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054016 */     // MIs[0] round
     /* 2054016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054019 */     // MIs[0] policy
     /* 2054019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054029 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054055 */     // GIR_Coverage, 15495,
     /* 2054055 */     GIR_EraseRootFromParent_Done,
     /* 2054056 */   // Label 27303: @2054056
     /* 2054056 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2054147), // Rule ID 15496 //
     /* 2054061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054107 */     // MIs[0] round
     /* 2054107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054110 */     // MIs[0] policy
     /* 2054110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054120 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054146 */     // GIR_Coverage, 15496,
     /* 2054146 */     GIR_EraseRootFromParent_Done,
     /* 2054147 */   // Label 27304: @2054147
     /* 2054147 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2054238), // Rule ID 15499 //
     /* 2054152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054198 */     // MIs[0] round
     /* 2054198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054201 */     // MIs[0] policy
     /* 2054201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054211 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054237 */     // GIR_Coverage, 15499,
     /* 2054237 */     GIR_EraseRootFromParent_Done,
     /* 2054238 */   // Label 27305: @2054238
     /* 2054238 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2054329), // Rule ID 15500 //
     /* 2054243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054289 */     // MIs[0] round
     /* 2054289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054292 */     // MIs[0] policy
     /* 2054292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054328 */     // GIR_Coverage, 15500,
     /* 2054328 */     GIR_EraseRootFromParent_Done,
     /* 2054329 */   // Label 27306: @2054329
     /* 2054329 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2054420), // Rule ID 15503 //
     /* 2054334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054380 */     // MIs[0] round
     /* 2054380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054383 */     // MIs[0] policy
     /* 2054383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054393 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054419 */     // GIR_Coverage, 15503,
     /* 2054419 */     GIR_EraseRootFromParent_Done,
     /* 2054420 */   // Label 27307: @2054420
     /* 2054420 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2054511), // Rule ID 15504 //
     /* 2054425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054471 */     // MIs[0] round
     /* 2054471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054474 */     // MIs[0] policy
     /* 2054474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054510 */     // GIR_Coverage, 15504,
     /* 2054510 */     GIR_EraseRootFromParent_Done,
     /* 2054511 */   // Label 27308: @2054511
     /* 2054511 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2054602), // Rule ID 15507 //
     /* 2054516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054562 */     // MIs[0] round
     /* 2054562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054565 */     // MIs[0] policy
     /* 2054565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054601 */     // GIR_Coverage, 15507,
     /* 2054601 */     GIR_EraseRootFromParent_Done,
     /* 2054602 */   // Label 27309: @2054602
     /* 2054602 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2054693), // Rule ID 15508 //
     /* 2054607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054653 */     // MIs[0] round
     /* 2054653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054656 */     // MIs[0] policy
     /* 2054656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054692 */     // GIR_Coverage, 15508,
     /* 2054692 */     GIR_EraseRootFromParent_Done,
     /* 2054693 */   // Label 27310: @2054693
     /* 2054693 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2054787), // Rule ID 15511 //
     /* 2054698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054744 */     // MIs[0] round
     /* 2054744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054747 */     // MIs[0] policy
     /* 2054747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054757 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2054760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054786 */     // GIR_Coverage, 15511,
     /* 2054786 */     GIR_EraseRootFromParent_Done,
     /* 2054787 */   // Label 27311: @2054787
     /* 2054787 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2054881), // Rule ID 15512 //
     /* 2054792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054838 */     // MIs[0] round
     /* 2054838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054841 */     // MIs[0] policy
     /* 2054841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2054854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054880 */     // GIR_Coverage, 15512,
     /* 2054880 */     GIR_EraseRootFromParent_Done,
     /* 2054881 */   // Label 27312: @2054881
     /* 2054881 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2054975), // Rule ID 15515 //
     /* 2054886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2054906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054932 */     // MIs[0] round
     /* 2054932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054935 */     // MIs[0] policy
     /* 2054935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054945 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2054948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054974 */     // GIR_Coverage, 15515,
     /* 2054974 */     GIR_EraseRootFromParent_Done,
     /* 2054975 */   // Label 27313: @2054975
     /* 2054975 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2055069), // Rule ID 15516 //
     /* 2054980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2055000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055026 */     // MIs[0] round
     /* 2055026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055029 */     // MIs[0] policy
     /* 2055029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055039 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055068 */     // GIR_Coverage, 15516,
     /* 2055068 */     GIR_EraseRootFromParent_Done,
     /* 2055069 */   // Label 27314: @2055069
     /* 2055069 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2055163), // Rule ID 15519 //
     /* 2055074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055120 */     // MIs[0] round
     /* 2055120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055123 */     // MIs[0] policy
     /* 2055123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055133 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055162 */     // GIR_Coverage, 15519,
     /* 2055162 */     GIR_EraseRootFromParent_Done,
     /* 2055163 */   // Label 27315: @2055163
     /* 2055163 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2055257), // Rule ID 15520 //
     /* 2055168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055214 */     // MIs[0] round
     /* 2055214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055217 */     // MIs[0] policy
     /* 2055217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055256 */     // GIR_Coverage, 15520,
     /* 2055256 */     GIR_EraseRootFromParent_Done,
     /* 2055257 */   // Label 27316: @2055257
     /* 2055257 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2055351), // Rule ID 15523 //
     /* 2055262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055308 */     // MIs[0] round
     /* 2055308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055311 */     // MIs[0] policy
     /* 2055311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055350 */     // GIR_Coverage, 15523,
     /* 2055350 */     GIR_EraseRootFromParent_Done,
     /* 2055351 */   // Label 27317: @2055351
     /* 2055351 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2055445), // Rule ID 15524 //
     /* 2055356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055402 */     // MIs[0] round
     /* 2055402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055405 */     // MIs[0] policy
     /* 2055405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055444 */     // GIR_Coverage, 15524,
     /* 2055444 */     GIR_EraseRootFromParent_Done,
     /* 2055445 */   // Label 27318: @2055445
     /* 2055445 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2055539), // Rule ID 15527 //
     /* 2055450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055496 */     // MIs[0] round
     /* 2055496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055499 */     // MIs[0] policy
     /* 2055499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055509 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055538 */     // GIR_Coverage, 15527,
     /* 2055538 */     GIR_EraseRootFromParent_Done,
     /* 2055539 */   // Label 27319: @2055539
     /* 2055539 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2055633), // Rule ID 15528 //
     /* 2055544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055590 */     // MIs[0] round
     /* 2055590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055593 */     // MIs[0] policy
     /* 2055593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055632 */     // GIR_Coverage, 15528,
     /* 2055632 */     GIR_EraseRootFromParent_Done,
     /* 2055633 */   // Label 27320: @2055633
     /* 2055633 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2055727), // Rule ID 15531 //
     /* 2055638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055684 */     // MIs[0] round
     /* 2055684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055687 */     // MIs[0] policy
     /* 2055687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055726 */     // GIR_Coverage, 15531,
     /* 2055726 */     GIR_EraseRootFromParent_Done,
     /* 2055727 */   // Label 27321: @2055727
     /* 2055727 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2055821), // Rule ID 15532 //
     /* 2055732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055778 */     // MIs[0] round
     /* 2055778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055781 */     // MIs[0] policy
     /* 2055781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055820 */     // GIR_Coverage, 15532,
     /* 2055820 */     GIR_EraseRootFromParent_Done,
     /* 2055821 */   // Label 27322: @2055821
     /* 2055821 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2055915), // Rule ID 15535 //
     /* 2055826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055872 */     // MIs[0] round
     /* 2055872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055875 */     // MIs[0] policy
     /* 2055875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055885 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055914 */     // GIR_Coverage, 15535,
     /* 2055914 */     GIR_EraseRootFromParent_Done,
     /* 2055915 */   // Label 27323: @2055915
     /* 2055915 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2056009), // Rule ID 15536 //
     /* 2055920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055966 */     // MIs[0] round
     /* 2055966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055969 */     // MIs[0] policy
     /* 2055969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056008 */     // GIR_Coverage, 15536,
     /* 2056008 */     GIR_EraseRootFromParent_Done,
     /* 2056009 */   // Label 27324: @2056009
     /* 2056009 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2056103), // Rule ID 15539 //
     /* 2056014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056060 */     // MIs[0] round
     /* 2056060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056063 */     // MIs[0] policy
     /* 2056063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056102 */     // GIR_Coverage, 15539,
     /* 2056102 */     GIR_EraseRootFromParent_Done,
     /* 2056103 */   // Label 27325: @2056103
     /* 2056103 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2056197), // Rule ID 15540 //
     /* 2056108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056154 */     // MIs[0] round
     /* 2056154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056157 */     // MIs[0] policy
     /* 2056157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056196 */     // GIR_Coverage, 15540,
     /* 2056196 */     GIR_EraseRootFromParent_Done,
     /* 2056197 */   // Label 27326: @2056197
     /* 2056197 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2056291), // Rule ID 15543 //
     /* 2056202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056248 */     // MIs[0] round
     /* 2056248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056251 */     // MIs[0] policy
     /* 2056251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056261 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056290 */     // GIR_Coverage, 15543,
     /* 2056290 */     GIR_EraseRootFromParent_Done,
     /* 2056291 */   // Label 27327: @2056291
     /* 2056291 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2056385), // Rule ID 15544 //
     /* 2056296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056342 */     // MIs[0] round
     /* 2056342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056345 */     // MIs[0] policy
     /* 2056345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056384 */     // GIR_Coverage, 15544,
     /* 2056384 */     GIR_EraseRootFromParent_Done,
     /* 2056385 */   // Label 27328: @2056385
     /* 2056385 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2056479), // Rule ID 15547 //
     /* 2056390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056436 */     // MIs[0] round
     /* 2056436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056439 */     // MIs[0] policy
     /* 2056439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056478 */     // GIR_Coverage, 15547,
     /* 2056478 */     GIR_EraseRootFromParent_Done,
     /* 2056479 */   // Label 27329: @2056479
     /* 2056479 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2056573), // Rule ID 15548 //
     /* 2056484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056530 */     // MIs[0] round
     /* 2056530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056533 */     // MIs[0] policy
     /* 2056533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056543 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056572 */     // GIR_Coverage, 15548,
     /* 2056572 */     GIR_EraseRootFromParent_Done,
     /* 2056573 */   // Label 27330: @2056573
     /* 2056573 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2056667), // Rule ID 15551 //
     /* 2056578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056624 */     // MIs[0] round
     /* 2056624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056627 */     // MIs[0] policy
     /* 2056627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056666 */     // GIR_Coverage, 15551,
     /* 2056666 */     GIR_EraseRootFromParent_Done,
     /* 2056667 */   // Label 27331: @2056667
     /* 2056667 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2056761), // Rule ID 15552 //
     /* 2056672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056718 */     // MIs[0] round
     /* 2056718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056721 */     // MIs[0] policy
     /* 2056721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056760 */     // GIR_Coverage, 15552,
     /* 2056760 */     GIR_EraseRootFromParent_Done,
     /* 2056761 */   // Label 27332: @2056761
     /* 2056761 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2056855), // Rule ID 15555 //
     /* 2056766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056812 */     // MIs[0] round
     /* 2056812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056815 */     // MIs[0] policy
     /* 2056815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056825 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056854 */     // GIR_Coverage, 15555,
     /* 2056854 */     GIR_EraseRootFromParent_Done,
     /* 2056855 */   // Label 27333: @2056855
     /* 2056855 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2056949), // Rule ID 15556 //
     /* 2056860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056906 */     // MIs[0] round
     /* 2056906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056909 */     // MIs[0] policy
     /* 2056909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056919 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056948 */     // GIR_Coverage, 15556,
     /* 2056948 */     GIR_EraseRootFromParent_Done,
     /* 2056949 */   // Label 27334: @2056949
     /* 2056949 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2057043), // Rule ID 15559 //
     /* 2056954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2056965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2056968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2056971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2056974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057000 */     // MIs[0] round
     /* 2057000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057003 */     // MIs[0] policy
     /* 2057003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057013 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057042 */     // GIR_Coverage, 15559,
     /* 2057042 */     GIR_EraseRootFromParent_Done,
     /* 2057043 */   // Label 27335: @2057043
     /* 2057043 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2057137), // Rule ID 15560 //
     /* 2057048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057094 */     // MIs[0] round
     /* 2057094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057097 */     // MIs[0] policy
     /* 2057097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057136 */     // GIR_Coverage, 15560,
     /* 2057136 */     GIR_EraseRootFromParent_Done,
     /* 2057137 */   // Label 27336: @2057137
     /* 2057137 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2057231), // Rule ID 15563 //
     /* 2057142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057188 */     // MIs[0] round
     /* 2057188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057191 */     // MIs[0] policy
     /* 2057191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057201 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057230 */     // GIR_Coverage, 15563,
     /* 2057230 */     GIR_EraseRootFromParent_Done,
     /* 2057231 */   // Label 27337: @2057231
     /* 2057231 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2057325), // Rule ID 15564 //
     /* 2057236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057282 */     // MIs[0] round
     /* 2057282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057285 */     // MIs[0] policy
     /* 2057285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057295 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057324 */     // GIR_Coverage, 15564,
     /* 2057324 */     GIR_EraseRootFromParent_Done,
     /* 2057325 */   // Label 27338: @2057325
     /* 2057325 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2057419), // Rule ID 15567 //
     /* 2057330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057376 */     // MIs[0] round
     /* 2057376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057379 */     // MIs[0] policy
     /* 2057379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057389 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057418 */     // GIR_Coverage, 15567,
     /* 2057418 */     GIR_EraseRootFromParent_Done,
     /* 2057419 */   // Label 27339: @2057419
     /* 2057419 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2057513), // Rule ID 15568 //
     /* 2057424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057470 */     // MIs[0] round
     /* 2057470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057473 */     // MIs[0] policy
     /* 2057473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057512 */     // GIR_Coverage, 15568,
     /* 2057512 */     GIR_EraseRootFromParent_Done,
     /* 2057513 */   // Label 27340: @2057513
     /* 2057513 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2057607), // Rule ID 15571 //
     /* 2057518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057564 */     // MIs[0] round
     /* 2057564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057567 */     // MIs[0] policy
     /* 2057567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057606 */     // GIR_Coverage, 15571,
     /* 2057606 */     GIR_EraseRootFromParent_Done,
     /* 2057607 */   // Label 27341: @2057607
     /* 2057607 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2057701), // Rule ID 15572 //
     /* 2057612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057658 */     // MIs[0] round
     /* 2057658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057661 */     // MIs[0] policy
     /* 2057661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057700 */     // GIR_Coverage, 15572,
     /* 2057700 */     GIR_EraseRootFromParent_Done,
     /* 2057701 */   // Label 27342: @2057701
     /* 2057701 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2057795), // Rule ID 15575 //
     /* 2057706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057752 */     // MIs[0] round
     /* 2057752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057755 */     // MIs[0] policy
     /* 2057755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057765 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057794 */     // GIR_Coverage, 15575,
     /* 2057794 */     GIR_EraseRootFromParent_Done,
     /* 2057795 */   // Label 27343: @2057795
     /* 2057795 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2057889), // Rule ID 15576 //
     /* 2057800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057846 */     // MIs[0] round
     /* 2057846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057849 */     // MIs[0] policy
     /* 2057849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057888 */     // GIR_Coverage, 15576,
     /* 2057888 */     GIR_EraseRootFromParent_Done,
     /* 2057889 */   // Label 27344: @2057889
     /* 2057889 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2057983), // Rule ID 15579 //
     /* 2057894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2057911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2057914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057940 */     // MIs[0] round
     /* 2057940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057943 */     // MIs[0] policy
     /* 2057943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057982 */     // GIR_Coverage, 15579,
     /* 2057982 */     GIR_EraseRootFromParent_Done,
     /* 2057983 */   // Label 27345: @2057983
     /* 2057983 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2058077), // Rule ID 15580 //
     /* 2057988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2058008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058034 */     // MIs[0] round
     /* 2058034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058037 */     // MIs[0] policy
     /* 2058037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2058050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058076 */     // GIR_Coverage, 15580,
     /* 2058076 */     GIR_EraseRootFromParent_Done,
     /* 2058077 */   // Label 27346: @2058077
     /* 2058077 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2058171), // Rule ID 15583 //
     /* 2058082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058128 */     // MIs[0] round
     /* 2058128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058131 */     // MIs[0] policy
     /* 2058131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058170 */     // GIR_Coverage, 15583,
     /* 2058170 */     GIR_EraseRootFromParent_Done,
     /* 2058171 */   // Label 27347: @2058171
     /* 2058171 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2058265), // Rule ID 15584 //
     /* 2058176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058222 */     // MIs[0] round
     /* 2058222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058225 */     // MIs[0] policy
     /* 2058225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058264 */     // GIR_Coverage, 15584,
     /* 2058264 */     GIR_EraseRootFromParent_Done,
     /* 2058265 */   // Label 27348: @2058265
     /* 2058265 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2058359), // Rule ID 15587 //
     /* 2058270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058316 */     // MIs[0] round
     /* 2058316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058319 */     // MIs[0] policy
     /* 2058319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058358 */     // GIR_Coverage, 15587,
     /* 2058358 */     GIR_EraseRootFromParent_Done,
     /* 2058359 */   // Label 27349: @2058359
     /* 2058359 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2058453), // Rule ID 15588 //
     /* 2058364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058410 */     // MIs[0] round
     /* 2058410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058413 */     // MIs[0] policy
     /* 2058413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058423 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058452 */     // GIR_Coverage, 15588,
     /* 2058452 */     GIR_EraseRootFromParent_Done,
     /* 2058453 */   // Label 27350: @2058453
     /* 2058453 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2058547), // Rule ID 15591 //
     /* 2058458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058504 */     // MIs[0] round
     /* 2058504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058507 */     // MIs[0] policy
     /* 2058507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058517 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058546 */     // GIR_Coverage, 15591,
     /* 2058546 */     GIR_EraseRootFromParent_Done,
     /* 2058547 */   // Label 27351: @2058547
     /* 2058547 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2058641), // Rule ID 15592 //
     /* 2058552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058598 */     // MIs[0] round
     /* 2058598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058601 */     // MIs[0] policy
     /* 2058601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058640 */     // GIR_Coverage, 15592,
     /* 2058640 */     GIR_EraseRootFromParent_Done,
     /* 2058641 */   // Label 27352: @2058641
     /* 2058641 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2058735), // Rule ID 15595 //
     /* 2058646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2058657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2058660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2058663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058692 */     // MIs[0] round
     /* 2058692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058695 */     // MIs[0] policy
     /* 2058695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058705 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058734 */     // GIR_Coverage, 15595,
     /* 2058734 */     GIR_EraseRootFromParent_Done,
     /* 2058735 */   // Label 27353: @2058735
     /* 2058735 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2058829), // Rule ID 15596 //
     /* 2058740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2058751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2058754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2058757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058786 */     // MIs[0] round
     /* 2058786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058789 */     // MIs[0] policy
     /* 2058789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058799 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058828 */     // GIR_Coverage, 15596,
     /* 2058828 */     GIR_EraseRootFromParent_Done,
     /* 2058829 */   // Label 27354: @2058829
     /* 2058829 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2058923), // Rule ID 15599 //
     /* 2058834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2058845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2058848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2058851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058880 */     // MIs[0] round
     /* 2058880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058883 */     // MIs[0] policy
     /* 2058883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058922 */     // GIR_Coverage, 15599,
     /* 2058922 */     GIR_EraseRootFromParent_Done,
     /* 2058923 */   // Label 27355: @2058923
     /* 2058923 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2059017), // Rule ID 15600 //
     /* 2058928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2058939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2058942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2058945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058974 */     // MIs[0] round
     /* 2058974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058977 */     // MIs[0] policy
     /* 2058977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058987 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059016 */     // GIR_Coverage, 15600,
     /* 2059016 */     GIR_EraseRootFromParent_Done,
     /* 2059017 */   // Label 27356: @2059017
     /* 2059017 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2059111), // Rule ID 15603 //
     /* 2059022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059068 */     // MIs[0] round
     /* 2059068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059071 */     // MIs[0] policy
     /* 2059071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059110 */     // GIR_Coverage, 15603,
     /* 2059110 */     GIR_EraseRootFromParent_Done,
     /* 2059111 */   // Label 27357: @2059111
     /* 2059111 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2059205), // Rule ID 15604 //
     /* 2059116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059162 */     // MIs[0] round
     /* 2059162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059165 */     // MIs[0] policy
     /* 2059165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059175 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059204 */     // GIR_Coverage, 15604,
     /* 2059204 */     GIR_EraseRootFromParent_Done,
     /* 2059205 */   // Label 27358: @2059205
     /* 2059205 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2059299), // Rule ID 15607 //
     /* 2059210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059256 */     // MIs[0] round
     /* 2059256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059259 */     // MIs[0] policy
     /* 2059259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059269 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059298 */     // GIR_Coverage, 15607,
     /* 2059298 */     GIR_EraseRootFromParent_Done,
     /* 2059299 */   // Label 27359: @2059299
     /* 2059299 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2059393), // Rule ID 15608 //
     /* 2059304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059350 */     // MIs[0] round
     /* 2059350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059353 */     // MIs[0] policy
     /* 2059353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059392 */     // GIR_Coverage, 15608,
     /* 2059392 */     GIR_EraseRootFromParent_Done,
     /* 2059393 */   // Label 27360: @2059393
     /* 2059393 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2059487), // Rule ID 15611 //
     /* 2059398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059444 */     // MIs[0] round
     /* 2059444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059447 */     // MIs[0] policy
     /* 2059447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059486 */     // GIR_Coverage, 15611,
     /* 2059486 */     GIR_EraseRootFromParent_Done,
     /* 2059487 */   // Label 27361: @2059487
     /* 2059487 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2059581), // Rule ID 15612 //
     /* 2059492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059538 */     // MIs[0] round
     /* 2059538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059541 */     // MIs[0] policy
     /* 2059541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059580 */     // GIR_Coverage, 15612,
     /* 2059580 */     GIR_EraseRootFromParent_Done,
     /* 2059581 */   // Label 27362: @2059581
     /* 2059581 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2059675), // Rule ID 15615 //
     /* 2059586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2059597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2059600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2059603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059632 */     // MIs[0] round
     /* 2059632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059635 */     // MIs[0] policy
     /* 2059635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059674 */     // GIR_Coverage, 15615,
     /* 2059674 */     GIR_EraseRootFromParent_Done,
     /* 2059675 */   // Label 27363: @2059675
     /* 2059675 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2059769), // Rule ID 15616 //
     /* 2059680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2059691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2059694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2059697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059726 */     // MIs[0] round
     /* 2059726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059729 */     // MIs[0] policy
     /* 2059729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059739 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059768 */     // GIR_Coverage, 15616,
     /* 2059768 */     GIR_EraseRootFromParent_Done,
     /* 2059769 */   // Label 27364: @2059769
     /* 2059769 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2059863), // Rule ID 15619 //
     /* 2059774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2059785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2059788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2059791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059820 */     // MIs[0] round
     /* 2059820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059823 */     // MIs[0] policy
     /* 2059823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059833 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059862 */     // GIR_Coverage, 15619,
     /* 2059862 */     GIR_EraseRootFromParent_Done,
     /* 2059863 */   // Label 27365: @2059863
     /* 2059863 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2059957), // Rule ID 15620 //
     /* 2059868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2059879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2059882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2059885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059914 */     // MIs[0] round
     /* 2059914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059917 */     // MIs[0] policy
     /* 2059917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059927 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059956 */     // GIR_Coverage, 15620,
     /* 2059956 */     GIR_EraseRootFromParent_Done,
     /* 2059957 */   // Label 27366: @2059957
     /* 2059957 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2060051), // Rule ID 15623 //
     /* 2059962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2059973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2059976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2059979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060008 */     // MIs[0] round
     /* 2060008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060011 */     // MIs[0] policy
     /* 2060011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060050 */     // GIR_Coverage, 15623,
     /* 2060050 */     GIR_EraseRootFromParent_Done,
     /* 2060051 */   // Label 27367: @2060051
     /* 2060051 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2060145), // Rule ID 15624 //
     /* 2060056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060102 */     // MIs[0] round
     /* 2060102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060105 */     // MIs[0] policy
     /* 2060105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060115 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060144 */     // GIR_Coverage, 15624,
     /* 2060144 */     GIR_EraseRootFromParent_Done,
     /* 2060145 */   // Label 27368: @2060145
     /* 2060145 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2060239), // Rule ID 15627 //
     /* 2060150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060196 */     // MIs[0] round
     /* 2060196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060199 */     // MIs[0] policy
     /* 2060199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060209 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060238 */     // GIR_Coverage, 15627,
     /* 2060238 */     GIR_EraseRootFromParent_Done,
     /* 2060239 */   // Label 27369: @2060239
     /* 2060239 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2060333), // Rule ID 15628 //
     /* 2060244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060290 */     // MIs[0] round
     /* 2060290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060293 */     // MIs[0] policy
     /* 2060293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060303 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060332 */     // GIR_Coverage, 15628,
     /* 2060332 */     GIR_EraseRootFromParent_Done,
     /* 2060333 */   // Label 27370: @2060333
     /* 2060333 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2060427), // Rule ID 15631 //
     /* 2060338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060384 */     // MIs[0] round
     /* 2060384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060387 */     // MIs[0] policy
     /* 2060387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060426 */     // GIR_Coverage, 15631,
     /* 2060426 */     GIR_EraseRootFromParent_Done,
     /* 2060427 */   // Label 27371: @2060427
     /* 2060427 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2060521), // Rule ID 15632 //
     /* 2060432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060478 */     // MIs[0] round
     /* 2060478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060481 */     // MIs[0] policy
     /* 2060481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060520 */     // GIR_Coverage, 15632,
     /* 2060520 */     GIR_EraseRootFromParent_Done,
     /* 2060521 */   // Label 27372: @2060521
     /* 2060521 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2060615), // Rule ID 15635 //
     /* 2060526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2060537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2060540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2060543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060572 */     // MIs[0] round
     /* 2060572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060575 */     // MIs[0] policy
     /* 2060575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060585 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060614 */     // GIR_Coverage, 15635,
     /* 2060614 */     GIR_EraseRootFromParent_Done,
     /* 2060615 */   // Label 27373: @2060615
     /* 2060615 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2060709), // Rule ID 15636 //
     /* 2060620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2060631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2060634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2060637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060666 */     // MIs[0] round
     /* 2060666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060669 */     // MIs[0] policy
     /* 2060669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060708 */     // GIR_Coverage, 15636,
     /* 2060708 */     GIR_EraseRootFromParent_Done,
     /* 2060709 */   // Label 27374: @2060709
     /* 2060709 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2060803), // Rule ID 15639 //
     /* 2060714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2060725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2060728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2060731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060760 */     // MIs[0] round
     /* 2060760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060763 */     // MIs[0] policy
     /* 2060763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060773 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060802 */     // GIR_Coverage, 15639,
     /* 2060802 */     GIR_EraseRootFromParent_Done,
     /* 2060803 */   // Label 27375: @2060803
     /* 2060803 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2060897), // Rule ID 15640 //
     /* 2060808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2060819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2060822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2060825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060854 */     // MIs[0] round
     /* 2060854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060857 */     // MIs[0] policy
     /* 2060857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060896 */     // GIR_Coverage, 15640,
     /* 2060896 */     GIR_EraseRootFromParent_Done,
     /* 2060897 */   // Label 27376: @2060897
     /* 2060897 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2060991), // Rule ID 15643 //
     /* 2060902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2060913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2060916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2060919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060948 */     // MIs[0] round
     /* 2060948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060951 */     // MIs[0] policy
     /* 2060951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060990 */     // GIR_Coverage, 15643,
     /* 2060990 */     GIR_EraseRootFromParent_Done,
     /* 2060991 */   // Label 27377: @2060991
     /* 2060991 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2061085), // Rule ID 15644 //
     /* 2060996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061042 */     // MIs[0] round
     /* 2061042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061045 */     // MIs[0] policy
     /* 2061045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061084 */     // GIR_Coverage, 15644,
     /* 2061084 */     GIR_EraseRootFromParent_Done,
     /* 2061085 */   // Label 27378: @2061085
     /* 2061085 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2061179), // Rule ID 15647 //
     /* 2061090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061136 */     // MIs[0] round
     /* 2061136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061139 */     // MIs[0] policy
     /* 2061139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061149 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061178 */     // GIR_Coverage, 15647,
     /* 2061178 */     GIR_EraseRootFromParent_Done,
     /* 2061179 */   // Label 27379: @2061179
     /* 2061179 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2061273), // Rule ID 15648 //
     /* 2061184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061230 */     // MIs[0] round
     /* 2061230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061233 */     // MIs[0] policy
     /* 2061233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061272 */     // GIR_Coverage, 15648,
     /* 2061272 */     GIR_EraseRootFromParent_Done,
     /* 2061273 */   // Label 27380: @2061273
     /* 2061273 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2061367), // Rule ID 15651 //
     /* 2061278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061324 */     // MIs[0] round
     /* 2061324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061327 */     // MIs[0] policy
     /* 2061327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061337 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061366 */     // GIR_Coverage, 15651,
     /* 2061366 */     GIR_EraseRootFromParent_Done,
     /* 2061367 */   // Label 27381: @2061367
     /* 2061367 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2061461), // Rule ID 15652 //
     /* 2061372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061418 */     // MIs[0] round
     /* 2061418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061421 */     // MIs[0] policy
     /* 2061421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061431 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061460 */     // GIR_Coverage, 15652,
     /* 2061460 */     GIR_EraseRootFromParent_Done,
     /* 2061461 */   // Label 27382: @2061461
     /* 2061461 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2061555), // Rule ID 15655 //
     /* 2061466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061512 */     // MIs[0] round
     /* 2061512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061515 */     // MIs[0] policy
     /* 2061515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061525 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2061528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061554 */     // GIR_Coverage, 15655,
     /* 2061554 */     GIR_EraseRootFromParent_Done,
     /* 2061555 */   // Label 27383: @2061555
     /* 2061555 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2061649), // Rule ID 15656 //
     /* 2061560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061606 */     // MIs[0] round
     /* 2061606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061609 */     // MIs[0] policy
     /* 2061609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2061622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061648 */     // GIR_Coverage, 15656,
     /* 2061648 */     GIR_EraseRootFromParent_Done,
     /* 2061649 */   // Label 27384: @2061649
     /* 2061649 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2061743), // Rule ID 15659 //
     /* 2061654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2061665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2061668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2061671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2061674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061700 */     // MIs[0] round
     /* 2061700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061703 */     // MIs[0] policy
     /* 2061703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2061716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061742 */     // GIR_Coverage, 15659,
     /* 2061742 */     GIR_EraseRootFromParent_Done,
     /* 2061743 */   // Label 27385: @2061743
     /* 2061743 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2061837), // Rule ID 15660 //
     /* 2061748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2061759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2061762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2061765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2061768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061794 */     // MIs[0] round
     /* 2061794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061797 */     // MIs[0] policy
     /* 2061797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061807 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2061810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061836 */     // GIR_Coverage, 15660,
     /* 2061836 */     GIR_EraseRootFromParent_Done,
     /* 2061837 */   // Label 27386: @2061837
     /* 2061837 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2061931), // Rule ID 15663 //
     /* 2061842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2061862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061888 */     // MIs[0] round
     /* 2061888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061891 */     // MIs[0] policy
     /* 2061891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061901 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061930 */     // GIR_Coverage, 15663,
     /* 2061930 */     GIR_EraseRootFromParent_Done,
     /* 2061931 */   // Label 27387: @2061931
     /* 2061931 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2062025), // Rule ID 15664 //
     /* 2061936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2061956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061982 */     // MIs[0] round
     /* 2061982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061985 */     // MIs[0] policy
     /* 2061985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061995 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062024 */     // GIR_Coverage, 15664,
     /* 2062024 */     GIR_EraseRootFromParent_Done,
     /* 2062025 */   // Label 27388: @2062025
     /* 2062025 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2062119), // Rule ID 15667 //
     /* 2062030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062076 */     // MIs[0] round
     /* 2062076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062079 */     // MIs[0] policy
     /* 2062079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062118 */     // GIR_Coverage, 15667,
     /* 2062118 */     GIR_EraseRootFromParent_Done,
     /* 2062119 */   // Label 27389: @2062119
     /* 2062119 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2062213), // Rule ID 15668 //
     /* 2062124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062170 */     // MIs[0] round
     /* 2062170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062173 */     // MIs[0] policy
     /* 2062173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062183 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062212 */     // GIR_Coverage, 15668,
     /* 2062212 */     GIR_EraseRootFromParent_Done,
     /* 2062213 */   // Label 27390: @2062213
     /* 2062213 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2062307), // Rule ID 15671 //
     /* 2062218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062264 */     // MIs[0] round
     /* 2062264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062267 */     // MIs[0] policy
     /* 2062267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062306 */     // GIR_Coverage, 15671,
     /* 2062306 */     GIR_EraseRootFromParent_Done,
     /* 2062307 */   // Label 27391: @2062307
     /* 2062307 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2062401), // Rule ID 15672 //
     /* 2062312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062358 */     // MIs[0] round
     /* 2062358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062361 */     // MIs[0] policy
     /* 2062361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062400 */     // GIR_Coverage, 15672,
     /* 2062400 */     GIR_EraseRootFromParent_Done,
     /* 2062401 */   // Label 27392: @2062401
     /* 2062401 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2062495), // Rule ID 15675 //
     /* 2062406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062452 */     // MIs[0] round
     /* 2062452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062455 */     // MIs[0] policy
     /* 2062455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062465 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062494 */     // GIR_Coverage, 15675,
     /* 2062494 */     GIR_EraseRootFromParent_Done,
     /* 2062495 */   // Label 27393: @2062495
     /* 2062495 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2062589), // Rule ID 15676 //
     /* 2062500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062546 */     // MIs[0] round
     /* 2062546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062549 */     // MIs[0] policy
     /* 2062549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062588 */     // GIR_Coverage, 15676,
     /* 2062588 */     GIR_EraseRootFromParent_Done,
     /* 2062589 */   // Label 27394: @2062589
     /* 2062589 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2062683), // Rule ID 15679 //
     /* 2062594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062640 */     // MIs[0] round
     /* 2062640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062643 */     // MIs[0] policy
     /* 2062643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2062656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062682 */     // GIR_Coverage, 15679,
     /* 2062682 */     GIR_EraseRootFromParent_Done,
     /* 2062683 */   // Label 27395: @2062683
     /* 2062683 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2062777), // Rule ID 15680 //
     /* 2062688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062734 */     // MIs[0] round
     /* 2062734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062737 */     // MIs[0] policy
     /* 2062737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2062750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062776 */     // GIR_Coverage, 15680,
     /* 2062776 */     GIR_EraseRootFromParent_Done,
     /* 2062777 */   // Label 27396: @2062777
     /* 2062777 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2062871), // Rule ID 15683 //
     /* 2062782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062828 */     // MIs[0] round
     /* 2062828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062831 */     // MIs[0] policy
     /* 2062831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062841 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2062844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062870 */     // GIR_Coverage, 15683,
     /* 2062870 */     GIR_EraseRootFromParent_Done,
     /* 2062871 */   // Label 27397: @2062871
     /* 2062871 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2062965), // Rule ID 15684 //
     /* 2062876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062922 */     // MIs[0] round
     /* 2062922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062925 */     // MIs[0] policy
     /* 2062925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2062938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062964 */     // GIR_Coverage, 15684,
     /* 2062964 */     GIR_EraseRootFromParent_Done,
     /* 2062965 */   // Label 27398: @2062965
     /* 2062965 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2063056), // Rule ID 15687 //
     /* 2062970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2062990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063016 */     // MIs[0] round
     /* 2063016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063019 */     // MIs[0] policy
     /* 2063019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063029 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2063032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063055 */     // GIR_Coverage, 15687,
     /* 2063055 */     GIR_EraseRootFromParent_Done,
     /* 2063056 */   // Label 27399: @2063056
     /* 2063056 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2063147), // Rule ID 15688 //
     /* 2063061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2063072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2063075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2063078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2063081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063107 */     // MIs[0] round
     /* 2063107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063110 */     // MIs[0] policy
     /* 2063110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2063123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063146 */     // GIR_Coverage, 15688,
     /* 2063146 */     GIR_EraseRootFromParent_Done,
     /* 2063147 */   // Label 27400: @2063147
     /* 2063147 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2063238), // Rule ID 15691 //
     /* 2063152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063198 */     // MIs[0] round
     /* 2063198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063201 */     // MIs[0] policy
     /* 2063201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063211 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063237 */     // GIR_Coverage, 15691,
     /* 2063237 */     GIR_EraseRootFromParent_Done,
     /* 2063238 */   // Label 27401: @2063238
     /* 2063238 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2063329), // Rule ID 15692 //
     /* 2063243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063289 */     // MIs[0] round
     /* 2063289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063292 */     // MIs[0] policy
     /* 2063292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063328 */     // GIR_Coverage, 15692,
     /* 2063328 */     GIR_EraseRootFromParent_Done,
     /* 2063329 */   // Label 27402: @2063329
     /* 2063329 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2063420), // Rule ID 15695 //
     /* 2063334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063380 */     // MIs[0] round
     /* 2063380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063383 */     // MIs[0] policy
     /* 2063383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063393 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063419 */     // GIR_Coverage, 15695,
     /* 2063419 */     GIR_EraseRootFromParent_Done,
     /* 2063420 */   // Label 27403: @2063420
     /* 2063420 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2063511), // Rule ID 15696 //
     /* 2063425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063471 */     // MIs[0] round
     /* 2063471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063474 */     // MIs[0] policy
     /* 2063474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063510 */     // GIR_Coverage, 15696,
     /* 2063510 */     GIR_EraseRootFromParent_Done,
     /* 2063511 */   // Label 27404: @2063511
     /* 2063511 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2063602), // Rule ID 15699 //
     /* 2063516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063562 */     // MIs[0] round
     /* 2063562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063565 */     // MIs[0] policy
     /* 2063565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063601 */     // GIR_Coverage, 15699,
     /* 2063601 */     GIR_EraseRootFromParent_Done,
     /* 2063602 */   // Label 27405: @2063602
     /* 2063602 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2063693), // Rule ID 15700 //
     /* 2063607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063653 */     // MIs[0] round
     /* 2063653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063656 */     // MIs[0] policy
     /* 2063656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063692 */     // GIR_Coverage, 15700,
     /* 2063692 */     GIR_EraseRootFromParent_Done,
     /* 2063693 */   // Label 27406: @2063693
     /* 2063693 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2063784), // Rule ID 15703 //
     /* 2063698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063744 */     // MIs[0] round
     /* 2063744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063747 */     // MIs[0] policy
     /* 2063747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063783 */     // GIR_Coverage, 15703,
     /* 2063783 */     GIR_EraseRootFromParent_Done,
     /* 2063784 */   // Label 27407: @2063784
     /* 2063784 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2063875), // Rule ID 15704 //
     /* 2063789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063835 */     // MIs[0] round
     /* 2063835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063838 */     // MIs[0] policy
     /* 2063838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063874 */     // GIR_Coverage, 15704,
     /* 2063874 */     GIR_EraseRootFromParent_Done,
     /* 2063875 */   // Label 27408: @2063875
     /* 2063875 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2063966), // Rule ID 15707 //
     /* 2063880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063926 */     // MIs[0] round
     /* 2063926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063929 */     // MIs[0] policy
     /* 2063929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063965 */     // GIR_Coverage, 15707,
     /* 2063965 */     GIR_EraseRootFromParent_Done,
     /* 2063966 */   // Label 27409: @2063966
     /* 2063966 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2064057), // Rule ID 15708 //
     /* 2063971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064017 */     // MIs[0] round
     /* 2064017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064020 */     // MIs[0] policy
     /* 2064020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064056 */     // GIR_Coverage, 15708,
     /* 2064056 */     GIR_EraseRootFromParent_Done,
     /* 2064057 */   // Label 27410: @2064057
     /* 2064057 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2064148), // Rule ID 15711 //
     /* 2064062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064108 */     // MIs[0] round
     /* 2064108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064111 */     // MIs[0] policy
     /* 2064111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064121 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064147 */     // GIR_Coverage, 15711,
     /* 2064147 */     GIR_EraseRootFromParent_Done,
     /* 2064148 */   // Label 27411: @2064148
     /* 2064148 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2064239), // Rule ID 15712 //
     /* 2064153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064199 */     // MIs[0] round
     /* 2064199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064202 */     // MIs[0] policy
     /* 2064202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064238 */     // GIR_Coverage, 15712,
     /* 2064238 */     GIR_EraseRootFromParent_Done,
     /* 2064239 */   // Label 27412: @2064239
     /* 2064239 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2064330), // Rule ID 15715 //
     /* 2064244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064290 */     // MIs[0] round
     /* 2064290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064293 */     // MIs[0] policy
     /* 2064293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064329 */     // GIR_Coverage, 15715,
     /* 2064329 */     GIR_EraseRootFromParent_Done,
     /* 2064330 */   // Label 27413: @2064330
     /* 2064330 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2064421), // Rule ID 15716 //
     /* 2064335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064381 */     // MIs[0] round
     /* 2064381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064384 */     // MIs[0] policy
     /* 2064384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064420 */     // GIR_Coverage, 15716,
     /* 2064420 */     GIR_EraseRootFromParent_Done,
     /* 2064421 */   // Label 27414: @2064421
     /* 2064421 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2064512), // Rule ID 15719 //
     /* 2064426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064472 */     // MIs[0] round
     /* 2064472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064475 */     // MIs[0] policy
     /* 2064475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064511 */     // GIR_Coverage, 15719,
     /* 2064511 */     GIR_EraseRootFromParent_Done,
     /* 2064512 */   // Label 27415: @2064512
     /* 2064512 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2064603), // Rule ID 15720 //
     /* 2064517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064563 */     // MIs[0] round
     /* 2064563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064566 */     // MIs[0] policy
     /* 2064566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064602 */     // GIR_Coverage, 15720,
     /* 2064602 */     GIR_EraseRootFromParent_Done,
     /* 2064603 */   // Label 27416: @2064603
     /* 2064603 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2064694), // Rule ID 15723 //
     /* 2064608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064654 */     // MIs[0] round
     /* 2064654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064657 */     // MIs[0] policy
     /* 2064657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064693 */     // GIR_Coverage, 15723,
     /* 2064693 */     GIR_EraseRootFromParent_Done,
     /* 2064694 */   // Label 27417: @2064694
     /* 2064694 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2064785), // Rule ID 15724 //
     /* 2064699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2064702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064745 */     // MIs[0] round
     /* 2064745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064748 */     // MIs[0] policy
     /* 2064748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064784 */     // GIR_Coverage, 15724,
     /* 2064784 */     GIR_EraseRootFromParent_Done,
     /* 2064785 */   // Label 27418: @2064785
     /* 2064785 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2064876), // Rule ID 15727 //
     /* 2064790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064836 */     // MIs[0] round
     /* 2064836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064839 */     // MIs[0] policy
     /* 2064839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064875 */     // GIR_Coverage, 15727,
     /* 2064875 */     GIR_EraseRootFromParent_Done,
     /* 2064876 */   // Label 27419: @2064876
     /* 2064876 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2064967), // Rule ID 15728 //
     /* 2064881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064927 */     // MIs[0] round
     /* 2064927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064930 */     // MIs[0] policy
     /* 2064930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064966 */     // GIR_Coverage, 15728,
     /* 2064966 */     GIR_EraseRootFromParent_Done,
     /* 2064967 */   // Label 27420: @2064967
     /* 2064967 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2065058), // Rule ID 15731 //
     /* 2064972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2064992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065018 */     // MIs[0] round
     /* 2065018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065021 */     // MIs[0] policy
     /* 2065021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065031 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065057 */     // GIR_Coverage, 15731,
     /* 2065057 */     GIR_EraseRootFromParent_Done,
     /* 2065058 */   // Label 27421: @2065058
     /* 2065058 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2065149), // Rule ID 15732 //
     /* 2065063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2065074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2065077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2065080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065109 */     // MIs[0] round
     /* 2065109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065112 */     // MIs[0] policy
     /* 2065112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065148 */     // GIR_Coverage, 15732,
     /* 2065148 */     GIR_EraseRootFromParent_Done,
     /* 2065149 */   // Label 27422: @2065149
     /* 2065149 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2065240), // Rule ID 15735 //
     /* 2065154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065200 */     // MIs[0] round
     /* 2065200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065203 */     // MIs[0] policy
     /* 2065203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065213 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065239 */     // GIR_Coverage, 15735,
     /* 2065239 */     GIR_EraseRootFromParent_Done,
     /* 2065240 */   // Label 27423: @2065240
     /* 2065240 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2065331), // Rule ID 15736 //
     /* 2065245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065291 */     // MIs[0] round
     /* 2065291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065294 */     // MIs[0] policy
     /* 2065294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065330 */     // GIR_Coverage, 15736,
     /* 2065330 */     GIR_EraseRootFromParent_Done,
     /* 2065331 */   // Label 27424: @2065331
     /* 2065331 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2065422), // Rule ID 15739 //
     /* 2065336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065382 */     // MIs[0] round
     /* 2065382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065385 */     // MIs[0] policy
     /* 2065385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065395 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065421 */     // GIR_Coverage, 15739,
     /* 2065421 */     GIR_EraseRootFromParent_Done,
     /* 2065422 */   // Label 27425: @2065422
     /* 2065422 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2065513), // Rule ID 15740 //
     /* 2065427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065473 */     // MIs[0] round
     /* 2065473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065476 */     // MIs[0] policy
     /* 2065476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065512 */     // GIR_Coverage, 15740,
     /* 2065512 */     GIR_EraseRootFromParent_Done,
     /* 2065513 */   // Label 27426: @2065513
     /* 2065513 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2065604), // Rule ID 15743 //
     /* 2065518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065564 */     // MIs[0] round
     /* 2065564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065567 */     // MIs[0] policy
     /* 2065567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065603 */     // GIR_Coverage, 15743,
     /* 2065603 */     GIR_EraseRootFromParent_Done,
     /* 2065604 */   // Label 27427: @2065604
     /* 2065604 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2065695), // Rule ID 15744 //
     /* 2065609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065655 */     // MIs[0] round
     /* 2065655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065658 */     // MIs[0] policy
     /* 2065658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065694 */     // GIR_Coverage, 15744,
     /* 2065694 */     GIR_EraseRootFromParent_Done,
     /* 2065695 */   // Label 27428: @2065695
     /* 2065695 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2065786), // Rule ID 15747 //
     /* 2065700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2065720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065746 */     // MIs[0] round
     /* 2065746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065749 */     // MIs[0] policy
     /* 2065749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065759 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065785 */     // GIR_Coverage, 15747,
     /* 2065785 */     GIR_EraseRootFromParent_Done,
     /* 2065786 */   // Label 27429: @2065786
     /* 2065786 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2065877), // Rule ID 15748 //
     /* 2065791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2065811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065837 */     // MIs[0] round
     /* 2065837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065840 */     // MIs[0] policy
     /* 2065840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065876 */     // GIR_Coverage, 15748,
     /* 2065876 */     GIR_EraseRootFromParent_Done,
     /* 2065877 */   // Label 27430: @2065877
     /* 2065877 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2065968), // Rule ID 15751 //
     /* 2065882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2065902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065928 */     // MIs[0] round
     /* 2065928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065931 */     // MIs[0] policy
     /* 2065931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065967 */     // GIR_Coverage, 15751,
     /* 2065967 */     GIR_EraseRootFromParent_Done,
     /* 2065968 */   // Label 27431: @2065968
     /* 2065968 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2066059), // Rule ID 15752 //
     /* 2065973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2065993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066019 */     // MIs[0] round
     /* 2066019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066022 */     // MIs[0] policy
     /* 2066022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066058 */     // GIR_Coverage, 15752,
     /* 2066058 */     GIR_EraseRootFromParent_Done,
     /* 2066059 */   // Label 27432: @2066059
     /* 2066059 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2066150), // Rule ID 15755 //
     /* 2066064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066110 */     // MIs[0] round
     /* 2066110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066113 */     // MIs[0] policy
     /* 2066113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066149 */     // GIR_Coverage, 15755,
     /* 2066149 */     GIR_EraseRootFromParent_Done,
     /* 2066150 */   // Label 27433: @2066150
     /* 2066150 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2066241), // Rule ID 15756 //
     /* 2066155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066201 */     // MIs[0] round
     /* 2066201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066204 */     // MIs[0] policy
     /* 2066204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066240 */     // GIR_Coverage, 15756,
     /* 2066240 */     GIR_EraseRootFromParent_Done,
     /* 2066241 */   // Label 27434: @2066241
     /* 2066241 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2066332), // Rule ID 15759 //
     /* 2066246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066292 */     // MIs[0] round
     /* 2066292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066295 */     // MIs[0] policy
     /* 2066295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066305 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066331 */     // GIR_Coverage, 15759,
     /* 2066331 */     GIR_EraseRootFromParent_Done,
     /* 2066332 */   // Label 27435: @2066332
     /* 2066332 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2066423), // Rule ID 15760 //
     /* 2066337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066383 */     // MIs[0] round
     /* 2066383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066386 */     // MIs[0] policy
     /* 2066386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066422 */     // GIR_Coverage, 15760,
     /* 2066422 */     GIR_EraseRootFromParent_Done,
     /* 2066423 */   // Label 27436: @2066423
     /* 2066423 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2066514), // Rule ID 15763 //
     /* 2066428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066474 */     // MIs[0] round
     /* 2066474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066477 */     // MIs[0] policy
     /* 2066477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066513 */     // GIR_Coverage, 15763,
     /* 2066513 */     GIR_EraseRootFromParent_Done,
     /* 2066514 */   // Label 27437: @2066514
     /* 2066514 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2066605), // Rule ID 15764 //
     /* 2066519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066565 */     // MIs[0] round
     /* 2066565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066568 */     // MIs[0] policy
     /* 2066568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066604 */     // GIR_Coverage, 15764,
     /* 2066604 */     GIR_EraseRootFromParent_Done,
     /* 2066605 */   // Label 27438: @2066605
     /* 2066605 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2066696), // Rule ID 15767 //
     /* 2066610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066656 */     // MIs[0] round
     /* 2066656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066659 */     // MIs[0] policy
     /* 2066659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066695 */     // GIR_Coverage, 15767,
     /* 2066695 */     GIR_EraseRootFromParent_Done,
     /* 2066696 */   // Label 27439: @2066696
     /* 2066696 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2066787), // Rule ID 15768 //
     /* 2066701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066747 */     // MIs[0] round
     /* 2066747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066750 */     // MIs[0] policy
     /* 2066750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066760 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066786 */     // GIR_Coverage, 15768,
     /* 2066786 */     GIR_EraseRootFromParent_Done,
     /* 2066787 */   // Label 27440: @2066787
     /* 2066787 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2066878), // Rule ID 15771 //
     /* 2066792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066838 */     // MIs[0] round
     /* 2066838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066841 */     // MIs[0] policy
     /* 2066841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066877 */     // GIR_Coverage, 15771,
     /* 2066877 */     GIR_EraseRootFromParent_Done,
     /* 2066878 */   // Label 27441: @2066878
     /* 2066878 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2066969), // Rule ID 15772 //
     /* 2066883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066929 */     // MIs[0] round
     /* 2066929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066932 */     // MIs[0] policy
     /* 2066932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066968 */     // GIR_Coverage, 15772,
     /* 2066968 */     GIR_EraseRootFromParent_Done,
     /* 2066969 */   // Label 27442: @2066969
     /* 2066969 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2067060), // Rule ID 15775 //
     /* 2066974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2066985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2066988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2066991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067020 */     // MIs[0] round
     /* 2067020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067023 */     // MIs[0] policy
     /* 2067023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067033 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2067036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067059 */     // GIR_Coverage, 15775,
     /* 2067059 */     GIR_EraseRootFromParent_Done,
     /* 2067060 */   // Label 27443: @2067060
     /* 2067060 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2067151), // Rule ID 15776 //
     /* 2067065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067111 */     // MIs[0] round
     /* 2067111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067114 */     // MIs[0] policy
     /* 2067114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2067127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067150 */     // GIR_Coverage, 15776,
     /* 2067150 */     GIR_EraseRootFromParent_Done,
     /* 2067151 */   // Label 27444: @2067151
     /* 2067151 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2067242), // Rule ID 15779 //
     /* 2067156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067202 */     // MIs[0] round
     /* 2067202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067205 */     // MIs[0] policy
     /* 2067205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067215 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067241 */     // GIR_Coverage, 15779,
     /* 2067241 */     GIR_EraseRootFromParent_Done,
     /* 2067242 */   // Label 27445: @2067242
     /* 2067242 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2067333), // Rule ID 15780 //
     /* 2067247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067293 */     // MIs[0] round
     /* 2067293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067296 */     // MIs[0] policy
     /* 2067296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067332 */     // GIR_Coverage, 15780,
     /* 2067332 */     GIR_EraseRootFromParent_Done,
     /* 2067333 */   // Label 27446: @2067333
     /* 2067333 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2067424), // Rule ID 15783 //
     /* 2067338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067384 */     // MIs[0] round
     /* 2067384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067387 */     // MIs[0] policy
     /* 2067387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067423 */     // GIR_Coverage, 15783,
     /* 2067423 */     GIR_EraseRootFromParent_Done,
     /* 2067424 */   // Label 27447: @2067424
     /* 2067424 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2067515), // Rule ID 15784 //
     /* 2067429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067475 */     // MIs[0] round
     /* 2067475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067478 */     // MIs[0] policy
     /* 2067478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067488 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067514 */     // GIR_Coverage, 15784,
     /* 2067514 */     GIR_EraseRootFromParent_Done,
     /* 2067515 */   // Label 27448: @2067515
     /* 2067515 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2067606), // Rule ID 15787 //
     /* 2067520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067566 */     // MIs[0] round
     /* 2067566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067569 */     // MIs[0] policy
     /* 2067569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067579 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067605 */     // GIR_Coverage, 15787,
     /* 2067605 */     GIR_EraseRootFromParent_Done,
     /* 2067606 */   // Label 27449: @2067606
     /* 2067606 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2067697), // Rule ID 15788 //
     /* 2067611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067657 */     // MIs[0] round
     /* 2067657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067660 */     // MIs[0] policy
     /* 2067660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067696 */     // GIR_Coverage, 15788,
     /* 2067696 */     GIR_EraseRootFromParent_Done,
     /* 2067697 */   // Label 27450: @2067697
     /* 2067697 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2067788), // Rule ID 15791 //
     /* 2067702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067748 */     // MIs[0] round
     /* 2067748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067751 */     // MIs[0] policy
     /* 2067751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067761 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067787 */     // GIR_Coverage, 15791,
     /* 2067787 */     GIR_EraseRootFromParent_Done,
     /* 2067788 */   // Label 27451: @2067788
     /* 2067788 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2067879), // Rule ID 15792 //
     /* 2067793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067839 */     // MIs[0] round
     /* 2067839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067842 */     // MIs[0] policy
     /* 2067842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067878 */     // GIR_Coverage, 15792,
     /* 2067878 */     GIR_EraseRootFromParent_Done,
     /* 2067879 */   // Label 27452: @2067879
     /* 2067879 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2067970), // Rule ID 15795 //
     /* 2067884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067930 */     // MIs[0] round
     /* 2067930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067933 */     // MIs[0] policy
     /* 2067933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067943 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067969 */     // GIR_Coverage, 15795,
     /* 2067969 */     GIR_EraseRootFromParent_Done,
     /* 2067970 */   // Label 27453: @2067970
     /* 2067970 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2068061), // Rule ID 15796 //
     /* 2067975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068021 */     // MIs[0] round
     /* 2068021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068024 */     // MIs[0] policy
     /* 2068024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068060 */     // GIR_Coverage, 15796,
     /* 2068060 */     GIR_EraseRootFromParent_Done,
     /* 2068061 */   // Label 27454: @2068061
     /* 2068061 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2068152), // Rule ID 15799 //
     /* 2068066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068112 */     // MIs[0] round
     /* 2068112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068115 */     // MIs[0] policy
     /* 2068115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068125 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068151 */     // GIR_Coverage, 15799,
     /* 2068151 */     GIR_EraseRootFromParent_Done,
     /* 2068152 */   // Label 27455: @2068152
     /* 2068152 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2068243), // Rule ID 15800 //
     /* 2068157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068203 */     // MIs[0] round
     /* 2068203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068206 */     // MIs[0] policy
     /* 2068206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068242 */     // GIR_Coverage, 15800,
     /* 2068242 */     GIR_EraseRootFromParent_Done,
     /* 2068243 */   // Label 27456: @2068243
     /* 2068243 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2068334), // Rule ID 15803 //
     /* 2068248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068294 */     // MIs[0] round
     /* 2068294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068297 */     // MIs[0] policy
     /* 2068297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068333 */     // GIR_Coverage, 15803,
     /* 2068333 */     GIR_EraseRootFromParent_Done,
     /* 2068334 */   // Label 27457: @2068334
     /* 2068334 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2068425), // Rule ID 15804 //
     /* 2068339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068385 */     // MIs[0] round
     /* 2068385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068388 */     // MIs[0] policy
     /* 2068388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068424 */     // GIR_Coverage, 15804,
     /* 2068424 */     GIR_EraseRootFromParent_Done,
     /* 2068425 */   // Label 27458: @2068425
     /* 2068425 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2068516), // Rule ID 15807 //
     /* 2068430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068476 */     // MIs[0] round
     /* 2068476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068479 */     // MIs[0] policy
     /* 2068479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068515 */     // GIR_Coverage, 15807,
     /* 2068515 */     GIR_EraseRootFromParent_Done,
     /* 2068516 */   // Label 27459: @2068516
     /* 2068516 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2068607), // Rule ID 15808 //
     /* 2068521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068567 */     // MIs[0] round
     /* 2068567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068570 */     // MIs[0] policy
     /* 2068570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068606 */     // GIR_Coverage, 15808,
     /* 2068606 */     GIR_EraseRootFromParent_Done,
     /* 2068607 */   // Label 27460: @2068607
     /* 2068607 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2068698), // Rule ID 15811 //
     /* 2068612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2068615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068658 */     // MIs[0] round
     /* 2068658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068661 */     // MIs[0] policy
     /* 2068661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068697 */     // GIR_Coverage, 15811,
     /* 2068697 */     GIR_EraseRootFromParent_Done,
     /* 2068698 */   // Label 27461: @2068698
     /* 2068698 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2068789), // Rule ID 15812 //
     /* 2068703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2068706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068749 */     // MIs[0] round
     /* 2068749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068752 */     // MIs[0] policy
     /* 2068752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068788 */     // GIR_Coverage, 15812,
     /* 2068788 */     GIR_EraseRootFromParent_Done,
     /* 2068789 */   // Label 27462: @2068789
     /* 2068789 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2068880), // Rule ID 15815 //
     /* 2068794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068840 */     // MIs[0] round
     /* 2068840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068843 */     // MIs[0] policy
     /* 2068843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068853 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068879 */     // GIR_Coverage, 15815,
     /* 2068879 */     GIR_EraseRootFromParent_Done,
     /* 2068880 */   // Label 27463: @2068880
     /* 2068880 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2068971), // Rule ID 15816 //
     /* 2068885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068931 */     // MIs[0] round
     /* 2068931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068934 */     // MIs[0] policy
     /* 2068934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068944 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068970 */     // GIR_Coverage, 15816,
     /* 2068970 */     GIR_EraseRootFromParent_Done,
     /* 2068971 */   // Label 27464: @2068971
     /* 2068971 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2069062), // Rule ID 15819 //
     /* 2068976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2068987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2068990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069022 */     // MIs[0] round
     /* 2069022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069025 */     // MIs[0] policy
     /* 2069025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069061 */     // GIR_Coverage, 15819,
     /* 2069061 */     GIR_EraseRootFromParent_Done,
     /* 2069062 */   // Label 27465: @2069062
     /* 2069062 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2069153), // Rule ID 15820 //
     /* 2069067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069113 */     // MIs[0] round
     /* 2069113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069116 */     // MIs[0] policy
     /* 2069116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069126 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069152 */     // GIR_Coverage, 15820,
     /* 2069152 */     GIR_EraseRootFromParent_Done,
     /* 2069153 */   // Label 27466: @2069153
     /* 2069153 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2069244), // Rule ID 15823 //
     /* 2069158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069204 */     // MIs[0] round
     /* 2069204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069207 */     // MIs[0] policy
     /* 2069207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069217 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069243 */     // GIR_Coverage, 15823,
     /* 2069243 */     GIR_EraseRootFromParent_Done,
     /* 2069244 */   // Label 27467: @2069244
     /* 2069244 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2069335), // Rule ID 15824 //
     /* 2069249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069295 */     // MIs[0] round
     /* 2069295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069298 */     // MIs[0] policy
     /* 2069298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069334 */     // GIR_Coverage, 15824,
     /* 2069334 */     GIR_EraseRootFromParent_Done,
     /* 2069335 */   // Label 27468: @2069335
     /* 2069335 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2069426), // Rule ID 15827 //
     /* 2069340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069386 */     // MIs[0] round
     /* 2069386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069389 */     // MIs[0] policy
     /* 2069389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069425 */     // GIR_Coverage, 15827,
     /* 2069425 */     GIR_EraseRootFromParent_Done,
     /* 2069426 */   // Label 27469: @2069426
     /* 2069426 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2069517), // Rule ID 15828 //
     /* 2069431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069477 */     // MIs[0] round
     /* 2069477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069480 */     // MIs[0] policy
     /* 2069480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069516 */     // GIR_Coverage, 15828,
     /* 2069516 */     GIR_EraseRootFromParent_Done,
     /* 2069517 */   // Label 27470: @2069517
     /* 2069517 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2069608), // Rule ID 15831 //
     /* 2069522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069568 */     // MIs[0] round
     /* 2069568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069571 */     // MIs[0] policy
     /* 2069571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069581 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069607 */     // GIR_Coverage, 15831,
     /* 2069607 */     GIR_EraseRootFromParent_Done,
     /* 2069608 */   // Label 27471: @2069608
     /* 2069608 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2069699), // Rule ID 15832 //
     /* 2069613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069659 */     // MIs[0] round
     /* 2069659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069662 */     // MIs[0] policy
     /* 2069662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069698 */     // GIR_Coverage, 15832,
     /* 2069698 */     GIR_EraseRootFromParent_Done,
     /* 2069699 */   // Label 27472: @2069699
     /* 2069699 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2069790), // Rule ID 15835 //
     /* 2069704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069750 */     // MIs[0] round
     /* 2069750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069753 */     // MIs[0] policy
     /* 2069753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069789 */     // GIR_Coverage, 15835,
     /* 2069789 */     GIR_EraseRootFromParent_Done,
     /* 2069790 */   // Label 27473: @2069790
     /* 2069790 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2069881), // Rule ID 15836 //
     /* 2069795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069841 */     // MIs[0] round
     /* 2069841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069844 */     // MIs[0] policy
     /* 2069844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069880 */     // GIR_Coverage, 15836,
     /* 2069880 */     GIR_EraseRootFromParent_Done,
     /* 2069881 */   // Label 27474: @2069881
     /* 2069881 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2069972), // Rule ID 15839 //
     /* 2069886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069932 */     // MIs[0] round
     /* 2069932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069935 */     // MIs[0] policy
     /* 2069935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069945 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069971 */     // GIR_Coverage, 15839,
     /* 2069971 */     GIR_EraseRootFromParent_Done,
     /* 2069972 */   // Label 27475: @2069972
     /* 2069972 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2070063), // Rule ID 15840 //
     /* 2069977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070023 */     // MIs[0] round
     /* 2070023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070026 */     // MIs[0] policy
     /* 2070026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070062 */     // GIR_Coverage, 15840,
     /* 2070062 */     GIR_EraseRootFromParent_Done,
     /* 2070063 */   // Label 27476: @2070063
     /* 2070063 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2070154), // Rule ID 15843 //
     /* 2070068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070114 */     // MIs[0] round
     /* 2070114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070117 */     // MIs[0] policy
     /* 2070117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070153 */     // GIR_Coverage, 15843,
     /* 2070153 */     GIR_EraseRootFromParent_Done,
     /* 2070154 */   // Label 27477: @2070154
     /* 2070154 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2070245), // Rule ID 15844 //
     /* 2070159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070205 */     // MIs[0] round
     /* 2070205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070208 */     // MIs[0] policy
     /* 2070208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070244 */     // GIR_Coverage, 15844,
     /* 2070244 */     GIR_EraseRootFromParent_Done,
     /* 2070245 */   // Label 27478: @2070245
     /* 2070245 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2070336), // Rule ID 15847 //
     /* 2070250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070296 */     // MIs[0] round
     /* 2070296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070299 */     // MIs[0] policy
     /* 2070299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070309 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070335 */     // GIR_Coverage, 15847,
     /* 2070335 */     GIR_EraseRootFromParent_Done,
     /* 2070336 */   // Label 27479: @2070336
     /* 2070336 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2070427), // Rule ID 15848 //
     /* 2070341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070387 */     // MIs[0] round
     /* 2070387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070390 */     // MIs[0] policy
     /* 2070390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070426 */     // GIR_Coverage, 15848,
     /* 2070426 */     GIR_EraseRootFromParent_Done,
     /* 2070427 */   // Label 27480: @2070427
     /* 2070427 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2070518), // Rule ID 15851 //
     /* 2070432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070478 */     // MIs[0] round
     /* 2070478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070481 */     // MIs[0] policy
     /* 2070481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070517 */     // GIR_Coverage, 15851,
     /* 2070517 */     GIR_EraseRootFromParent_Done,
     /* 2070518 */   // Label 27481: @2070518
     /* 2070518 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2070609), // Rule ID 15852 //
     /* 2070523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070569 */     // MIs[0] round
     /* 2070569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070572 */     // MIs[0] policy
     /* 2070572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070608 */     // GIR_Coverage, 15852,
     /* 2070608 */     GIR_EraseRootFromParent_Done,
     /* 2070609 */   // Label 27482: @2070609
     /* 2070609 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2070700), // Rule ID 15855 //
     /* 2070614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2070625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2070628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2070631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070660 */     // MIs[0] round
     /* 2070660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070663 */     // MIs[0] policy
     /* 2070663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070673 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070699 */     // GIR_Coverage, 15855,
     /* 2070699 */     GIR_EraseRootFromParent_Done,
     /* 2070700 */   // Label 27483: @2070700
     /* 2070700 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2070791), // Rule ID 15856 //
     /* 2070705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2070716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2070719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2070722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070751 */     // MIs[0] round
     /* 2070751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070754 */     // MIs[0] policy
     /* 2070754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070790 */     // GIR_Coverage, 15856,
     /* 2070790 */     GIR_EraseRootFromParent_Done,
     /* 2070791 */   // Label 27484: @2070791
     /* 2070791 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2070882), // Rule ID 15859 //
     /* 2070796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2070807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2070810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2070813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070842 */     // MIs[0] round
     /* 2070842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070845 */     // MIs[0] policy
     /* 2070845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070855 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070881 */     // GIR_Coverage, 15859,
     /* 2070881 */     GIR_EraseRootFromParent_Done,
     /* 2070882 */   // Label 27485: @2070882
     /* 2070882 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2070973), // Rule ID 15860 //
     /* 2070887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2070898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2070901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2070904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070933 */     // MIs[0] round
     /* 2070933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070936 */     // MIs[0] policy
     /* 2070936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070972 */     // GIR_Coverage, 15860,
     /* 2070972 */     GIR_EraseRootFromParent_Done,
     /* 2070973 */   // Label 27486: @2070973
     /* 2070973 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2071064), // Rule ID 15951 //
     /* 2070978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2070989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2070992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2070995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2070998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071024 */     // MIs[0] round
     /* 2071024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071027 */     // MIs[0] policy
     /* 2071027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071037 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2071040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071063 */     // GIR_Coverage, 15951,
     /* 2071063 */     GIR_EraseRootFromParent_Done,
     /* 2071064 */   // Label 27487: @2071064
     /* 2071064 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2071155), // Rule ID 15952 //
     /* 2071069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2071089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071115 */     // MIs[0] round
     /* 2071115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071118 */     // MIs[0] policy
     /* 2071118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2071131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071154 */     // GIR_Coverage, 15952,
     /* 2071154 */     GIR_EraseRootFromParent_Done,
     /* 2071155 */   // Label 27488: @2071155
     /* 2071155 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2071246), // Rule ID 15955 //
     /* 2071160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071206 */     // MIs[0] round
     /* 2071206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071209 */     // MIs[0] policy
     /* 2071209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071245 */     // GIR_Coverage, 15955,
     /* 2071245 */     GIR_EraseRootFromParent_Done,
     /* 2071246 */   // Label 27489: @2071246
     /* 2071246 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2071337), // Rule ID 15956 //
     /* 2071251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071297 */     // MIs[0] round
     /* 2071297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071300 */     // MIs[0] policy
     /* 2071300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071336 */     // GIR_Coverage, 15956,
     /* 2071336 */     GIR_EraseRootFromParent_Done,
     /* 2071337 */   // Label 27490: @2071337
     /* 2071337 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2071428), // Rule ID 15959 //
     /* 2071342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071388 */     // MIs[0] round
     /* 2071388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071391 */     // MIs[0] policy
     /* 2071391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071401 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071427 */     // GIR_Coverage, 15959,
     /* 2071427 */     GIR_EraseRootFromParent_Done,
     /* 2071428 */   // Label 27491: @2071428
     /* 2071428 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2071519), // Rule ID 15960 //
     /* 2071433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071479 */     // MIs[0] round
     /* 2071479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071482 */     // MIs[0] policy
     /* 2071482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071518 */     // GIR_Coverage, 15960,
     /* 2071518 */     GIR_EraseRootFromParent_Done,
     /* 2071519 */   // Label 27492: @2071519
     /* 2071519 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2071610), // Rule ID 15963 //
     /* 2071524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071570 */     // MIs[0] round
     /* 2071570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071573 */     // MIs[0] policy
     /* 2071573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071609 */     // GIR_Coverage, 15963,
     /* 2071609 */     GIR_EraseRootFromParent_Done,
     /* 2071610 */   // Label 27493: @2071610
     /* 2071610 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2071701), // Rule ID 15964 //
     /* 2071615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071661 */     // MIs[0] round
     /* 2071661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071664 */     // MIs[0] policy
     /* 2071664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071700 */     // GIR_Coverage, 15964,
     /* 2071700 */     GIR_EraseRootFromParent_Done,
     /* 2071701 */   // Label 27494: @2071701
     /* 2071701 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2071792), // Rule ID 15967 //
     /* 2071706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2071723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071752 */     // MIs[0] round
     /* 2071752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071755 */     // MIs[0] policy
     /* 2071755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071791 */     // GIR_Coverage, 15967,
     /* 2071791 */     GIR_EraseRootFromParent_Done,
     /* 2071792 */   // Label 27495: @2071792
     /* 2071792 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2071883), // Rule ID 15968 //
     /* 2071797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2071814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071843 */     // MIs[0] round
     /* 2071843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071846 */     // MIs[0] policy
     /* 2071846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071882 */     // GIR_Coverage, 15968,
     /* 2071882 */     GIR_EraseRootFromParent_Done,
     /* 2071883 */   // Label 27496: @2071883
     /* 2071883 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2071974), // Rule ID 15971 //
     /* 2071888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071934 */     // MIs[0] round
     /* 2071934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071937 */     // MIs[0] policy
     /* 2071937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071973 */     // GIR_Coverage, 15971,
     /* 2071973 */     GIR_EraseRootFromParent_Done,
     /* 2071974 */   // Label 27497: @2071974
     /* 2071974 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2072065), // Rule ID 15972 //
     /* 2071979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072025 */     // MIs[0] round
     /* 2072025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072028 */     // MIs[0] policy
     /* 2072028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072064 */     // GIR_Coverage, 15972,
     /* 2072064 */     GIR_EraseRootFromParent_Done,
     /* 2072065 */   // Label 27498: @2072065
     /* 2072065 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2072156), // Rule ID 15975 //
     /* 2072070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072116 */     // MIs[0] round
     /* 2072116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072119 */     // MIs[0] policy
     /* 2072119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072129 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072155 */     // GIR_Coverage, 15975,
     /* 2072155 */     GIR_EraseRootFromParent_Done,
     /* 2072156 */   // Label 27499: @2072156
     /* 2072156 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2072247), // Rule ID 15976 //
     /* 2072161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072207 */     // MIs[0] round
     /* 2072207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072210 */     // MIs[0] policy
     /* 2072210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072246 */     // GIR_Coverage, 15976,
     /* 2072246 */     GIR_EraseRootFromParent_Done,
     /* 2072247 */   // Label 27500: @2072247
     /* 2072247 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2072338), // Rule ID 15979 //
     /* 2072252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072298 */     // MIs[0] round
     /* 2072298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072301 */     // MIs[0] policy
     /* 2072301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072311 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072337 */     // GIR_Coverage, 15979,
     /* 2072337 */     GIR_EraseRootFromParent_Done,
     /* 2072338 */   // Label 27501: @2072338
     /* 2072338 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2072429), // Rule ID 15980 //
     /* 2072343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072389 */     // MIs[0] round
     /* 2072389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072392 */     // MIs[0] policy
     /* 2072392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072428 */     // GIR_Coverage, 15980,
     /* 2072428 */     GIR_EraseRootFromParent_Done,
     /* 2072429 */   // Label 27502: @2072429
     /* 2072429 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2072520), // Rule ID 15983 //
     /* 2072434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072480 */     // MIs[0] round
     /* 2072480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072483 */     // MIs[0] policy
     /* 2072483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072519 */     // GIR_Coverage, 15983,
     /* 2072519 */     GIR_EraseRootFromParent_Done,
     /* 2072520 */   // Label 27503: @2072520
     /* 2072520 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2072611), // Rule ID 15984 //
     /* 2072525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072571 */     // MIs[0] round
     /* 2072571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072574 */     // MIs[0] policy
     /* 2072574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072610 */     // GIR_Coverage, 15984,
     /* 2072610 */     GIR_EraseRootFromParent_Done,
     /* 2072611 */   // Label 27504: @2072611
     /* 2072611 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2072702), // Rule ID 15987 //
     /* 2072616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2072619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2072627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2072630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2072633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2072636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072662 */     // MIs[0] round
     /* 2072662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072665 */     // MIs[0] policy
     /* 2072665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072675 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072701 */     // GIR_Coverage, 15987,
     /* 2072701 */     GIR_EraseRootFromParent_Done,
     /* 2072702 */   // Label 27505: @2072702
     /* 2072702 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2072793), // Rule ID 15988 //
     /* 2072707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2072710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2072718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2072721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2072724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2072727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072753 */     // MIs[0] round
     /* 2072753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072756 */     // MIs[0] policy
     /* 2072756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072792 */     // GIR_Coverage, 15988,
     /* 2072792 */     GIR_EraseRootFromParent_Done,
     /* 2072793 */   // Label 27506: @2072793
     /* 2072793 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2072884), // Rule ID 15991 //
     /* 2072798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2072809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2072812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2072815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2072818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072844 */     // MIs[0] round
     /* 2072844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072847 */     // MIs[0] policy
     /* 2072847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072857 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072883 */     // GIR_Coverage, 15991,
     /* 2072883 */     GIR_EraseRootFromParent_Done,
     /* 2072884 */   // Label 27507: @2072884
     /* 2072884 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2072975), // Rule ID 15992 //
     /* 2072889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2072900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2072903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2072906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2072909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072935 */     // MIs[0] round
     /* 2072935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072938 */     // MIs[0] policy
     /* 2072938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072974 */     // GIR_Coverage, 15992,
     /* 2072974 */     GIR_EraseRootFromParent_Done,
     /* 2072975 */   // Label 27508: @2072975
     /* 2072975 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2073066), // Rule ID 15995 //
     /* 2072980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2072991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2072994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2072997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073026 */     // MIs[0] round
     /* 2073026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073029 */     // MIs[0] policy
     /* 2073029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073039 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073065 */     // GIR_Coverage, 15995,
     /* 2073065 */     GIR_EraseRootFromParent_Done,
     /* 2073066 */   // Label 27509: @2073066
     /* 2073066 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2073157), // Rule ID 15996 //
     /* 2073071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073117 */     // MIs[0] round
     /* 2073117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073120 */     // MIs[0] policy
     /* 2073120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073130 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073156 */     // GIR_Coverage, 15996,
     /* 2073156 */     GIR_EraseRootFromParent_Done,
     /* 2073157 */   // Label 27510: @2073157
     /* 2073157 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2073248), // Rule ID 15999 //
     /* 2073162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073208 */     // MIs[0] round
     /* 2073208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073211 */     // MIs[0] policy
     /* 2073211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073221 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073247 */     // GIR_Coverage, 15999,
     /* 2073247 */     GIR_EraseRootFromParent_Done,
     /* 2073248 */   // Label 27511: @2073248
     /* 2073248 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2073339), // Rule ID 16000 //
     /* 2073253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073299 */     // MIs[0] round
     /* 2073299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073302 */     // MIs[0] policy
     /* 2073302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073338 */     // GIR_Coverage, 16000,
     /* 2073338 */     GIR_EraseRootFromParent_Done,
     /* 2073339 */   // Label 27512: @2073339
     /* 2073339 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2073430), // Rule ID 16003 //
     /* 2073344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073390 */     // MIs[0] round
     /* 2073390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073393 */     // MIs[0] policy
     /* 2073393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073429 */     // GIR_Coverage, 16003,
     /* 2073429 */     GIR_EraseRootFromParent_Done,
     /* 2073430 */   // Label 27513: @2073430
     /* 2073430 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2073521), // Rule ID 16004 //
     /* 2073435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073481 */     // MIs[0] round
     /* 2073481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073484 */     // MIs[0] policy
     /* 2073484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073520 */     // GIR_Coverage, 16004,
     /* 2073520 */     GIR_EraseRootFromParent_Done,
     /* 2073521 */   // Label 27514: @2073521
     /* 2073521 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2073612), // Rule ID 16007 //
     /* 2073526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073572 */     // MIs[0] round
     /* 2073572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073575 */     // MIs[0] policy
     /* 2073575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073585 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073611 */     // GIR_Coverage, 16007,
     /* 2073611 */     GIR_EraseRootFromParent_Done,
     /* 2073612 */   // Label 27515: @2073612
     /* 2073612 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2073703), // Rule ID 16008 //
     /* 2073617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073663 */     // MIs[0] round
     /* 2073663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073666 */     // MIs[0] policy
     /* 2073666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073702 */     // GIR_Coverage, 16008,
     /* 2073702 */     GIR_EraseRootFromParent_Done,
     /* 2073703 */   // Label 27516: @2073703
     /* 2073703 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2073794), // Rule ID 16011 //
     /* 2073708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2073719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2073722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2073725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2073728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073754 */     // MIs[0] round
     /* 2073754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073757 */     // MIs[0] policy
     /* 2073757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073793 */     // GIR_Coverage, 16011,
     /* 2073793 */     GIR_EraseRootFromParent_Done,
     /* 2073794 */   // Label 27517: @2073794
     /* 2073794 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2073885), // Rule ID 16012 //
     /* 2073799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2073810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2073813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2073816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2073819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073845 */     // MIs[0] round
     /* 2073845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073848 */     // MIs[0] policy
     /* 2073848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073884 */     // GIR_Coverage, 16012,
     /* 2073884 */     GIR_EraseRootFromParent_Done,
     /* 2073885 */   // Label 27518: @2073885
     /* 2073885 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2073976), // Rule ID 16015 //
     /* 2073890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2073901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2073904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2073907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2073910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073936 */     // MIs[0] round
     /* 2073936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073939 */     // MIs[0] policy
     /* 2073939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073975 */     // GIR_Coverage, 16015,
     /* 2073975 */     GIR_EraseRootFromParent_Done,
     /* 2073976 */   // Label 27519: @2073976
     /* 2073976 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2074067), // Rule ID 16016 //
     /* 2073981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2073992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2073995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2073998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2074001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074027 */     // MIs[0] round
     /* 2074027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074030 */     // MIs[0] policy
     /* 2074030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074066 */     // GIR_Coverage, 16016,
     /* 2074066 */     GIR_EraseRootFromParent_Done,
     /* 2074067 */   // Label 27520: @2074067
     /* 2074067 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2074158), // Rule ID 16019 //
     /* 2074072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074118 */     // MIs[0] round
     /* 2074118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074121 */     // MIs[0] policy
     /* 2074121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074157 */     // GIR_Coverage, 16019,
     /* 2074157 */     GIR_EraseRootFromParent_Done,
     /* 2074158 */   // Label 27521: @2074158
     /* 2074158 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2074249), // Rule ID 16020 //
     /* 2074163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074209 */     // MIs[0] round
     /* 2074209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074212 */     // MIs[0] policy
     /* 2074212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074248 */     // GIR_Coverage, 16020,
     /* 2074248 */     GIR_EraseRootFromParent_Done,
     /* 2074249 */   // Label 27522: @2074249
     /* 2074249 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2074340), // Rule ID 16023 //
     /* 2074254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074300 */     // MIs[0] round
     /* 2074300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074303 */     // MIs[0] policy
     /* 2074303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074313 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074339 */     // GIR_Coverage, 16023,
     /* 2074339 */     GIR_EraseRootFromParent_Done,
     /* 2074340 */   // Label 27523: @2074340
     /* 2074340 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2074431), // Rule ID 16024 //
     /* 2074345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074391 */     // MIs[0] round
     /* 2074391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074394 */     // MIs[0] policy
     /* 2074394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074430 */     // GIR_Coverage, 16024,
     /* 2074430 */     GIR_EraseRootFromParent_Done,
     /* 2074431 */   // Label 27524: @2074431
     /* 2074431 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2074522), // Rule ID 16027 //
     /* 2074436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074482 */     // MIs[0] round
     /* 2074482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074485 */     // MIs[0] policy
     /* 2074485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074495 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074521 */     // GIR_Coverage, 16027,
     /* 2074521 */     GIR_EraseRootFromParent_Done,
     /* 2074522 */   // Label 27525: @2074522
     /* 2074522 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2074613), // Rule ID 16028 //
     /* 2074527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074573 */     // MIs[0] round
     /* 2074573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074576 */     // MIs[0] policy
     /* 2074576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074612 */     // GIR_Coverage, 16028,
     /* 2074612 */     GIR_EraseRootFromParent_Done,
     /* 2074613 */   // Label 27526: @2074613
     /* 2074613 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2074704), // Rule ID 16031 //
     /* 2074618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2074629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2074632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2074635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2074638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074664 */     // MIs[0] round
     /* 2074664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074667 */     // MIs[0] policy
     /* 2074667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074703 */     // GIR_Coverage, 16031,
     /* 2074703 */     GIR_EraseRootFromParent_Done,
     /* 2074704 */   // Label 27527: @2074704
     /* 2074704 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2074795), // Rule ID 16032 //
     /* 2074709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2074720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2074723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2074726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2074729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074755 */     // MIs[0] round
     /* 2074755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074758 */     // MIs[0] policy
     /* 2074758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074794 */     // GIR_Coverage, 16032,
     /* 2074794 */     GIR_EraseRootFromParent_Done,
     /* 2074795 */   // Label 27528: @2074795
     /* 2074795 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2074886), // Rule ID 16035 //
     /* 2074800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2074811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2074814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2074817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2074820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074846 */     // MIs[0] round
     /* 2074846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074849 */     // MIs[0] policy
     /* 2074849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074885 */     // GIR_Coverage, 16035,
     /* 2074885 */     GIR_EraseRootFromParent_Done,
     /* 2074886 */   // Label 27529: @2074886
     /* 2074886 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2074977), // Rule ID 16036 //
     /* 2074891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2074902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2074905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2074908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2074911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074937 */     // MIs[0] round
     /* 2074937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074940 */     // MIs[0] policy
     /* 2074940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074976 */     // GIR_Coverage, 16036,
     /* 2074976 */     GIR_EraseRootFromParent_Done,
     /* 2074977 */   // Label 27530: @2074977
     /* 2074977 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2075068), // Rule ID 16039 //
     /* 2074982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2074993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2074996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2074999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075028 */     // MIs[0] round
     /* 2075028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075031 */     // MIs[0] policy
     /* 2075031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075041 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2075044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075067 */     // GIR_Coverage, 16039,
     /* 2075067 */     GIR_EraseRootFromParent_Done,
     /* 2075068 */   // Label 27531: @2075068
     /* 2075068 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2075159), // Rule ID 16040 //
     /* 2075073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075119 */     // MIs[0] round
     /* 2075119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075122 */     // MIs[0] policy
     /* 2075122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2075135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075158 */     // GIR_Coverage, 16040,
     /* 2075158 */     GIR_EraseRootFromParent_Done,
     /* 2075159 */   // Label 27532: @2075159
     /* 2075159 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2075250), // Rule ID 16043 //
     /* 2075164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075210 */     // MIs[0] round
     /* 2075210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075213 */     // MIs[0] policy
     /* 2075213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075223 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075249 */     // GIR_Coverage, 16043,
     /* 2075249 */     GIR_EraseRootFromParent_Done,
     /* 2075250 */   // Label 27533: @2075250
     /* 2075250 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2075341), // Rule ID 16044 //
     /* 2075255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075301 */     // MIs[0] round
     /* 2075301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075304 */     // MIs[0] policy
     /* 2075304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075340 */     // GIR_Coverage, 16044,
     /* 2075340 */     GIR_EraseRootFromParent_Done,
     /* 2075341 */   // Label 27534: @2075341
     /* 2075341 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2075432), // Rule ID 16047 //
     /* 2075346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075392 */     // MIs[0] round
     /* 2075392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075395 */     // MIs[0] policy
     /* 2075395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075405 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075431 */     // GIR_Coverage, 16047,
     /* 2075431 */     GIR_EraseRootFromParent_Done,
     /* 2075432 */   // Label 27535: @2075432
     /* 2075432 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2075523), // Rule ID 16048 //
     /* 2075437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075483 */     // MIs[0] round
     /* 2075483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075486 */     // MIs[0] policy
     /* 2075486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075522 */     // GIR_Coverage, 16048,
     /* 2075522 */     GIR_EraseRootFromParent_Done,
     /* 2075523 */   // Label 27536: @2075523
     /* 2075523 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2075614), // Rule ID 16051 //
     /* 2075528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075574 */     // MIs[0] round
     /* 2075574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075577 */     // MIs[0] policy
     /* 2075577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075613 */     // GIR_Coverage, 16051,
     /* 2075613 */     GIR_EraseRootFromParent_Done,
     /* 2075614 */   // Label 27537: @2075614
     /* 2075614 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2075705), // Rule ID 16052 //
     /* 2075619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075665 */     // MIs[0] round
     /* 2075665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075668 */     // MIs[0] policy
     /* 2075668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075704 */     // GIR_Coverage, 16052,
     /* 2075704 */     GIR_EraseRootFromParent_Done,
     /* 2075705 */   // Label 27538: @2075705
     /* 2075705 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2075796), // Rule ID 16055 //
     /* 2075710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2075721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2075724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2075727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075756 */     // MIs[0] round
     /* 2075756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075759 */     // MIs[0] policy
     /* 2075759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075769 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075795 */     // GIR_Coverage, 16055,
     /* 2075795 */     GIR_EraseRootFromParent_Done,
     /* 2075796 */   // Label 27539: @2075796
     /* 2075796 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2075887), // Rule ID 16056 //
     /* 2075801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2075812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2075815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2075818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075847 */     // MIs[0] round
     /* 2075847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075850 */     // MIs[0] policy
     /* 2075850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075886 */     // GIR_Coverage, 16056,
     /* 2075886 */     GIR_EraseRootFromParent_Done,
     /* 2075887 */   // Label 27540: @2075887
     /* 2075887 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2075978), // Rule ID 16059 //
     /* 2075892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2075909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075938 */     // MIs[0] round
     /* 2075938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075941 */     // MIs[0] policy
     /* 2075941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075951 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075977 */     // GIR_Coverage, 16059,
     /* 2075977 */     GIR_EraseRootFromParent_Done,
     /* 2075978 */   // Label 27541: @2075978
     /* 2075978 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2076069), // Rule ID 16060 //
     /* 2075983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076029 */     // MIs[0] round
     /* 2076029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076032 */     // MIs[0] policy
     /* 2076032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076068 */     // GIR_Coverage, 16060,
     /* 2076068 */     GIR_EraseRootFromParent_Done,
     /* 2076069 */   // Label 27542: @2076069
     /* 2076069 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2076160), // Rule ID 16063 //
     /* 2076074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076120 */     // MIs[0] round
     /* 2076120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076123 */     // MIs[0] policy
     /* 2076123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076133 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076159 */     // GIR_Coverage, 16063,
     /* 2076159 */     GIR_EraseRootFromParent_Done,
     /* 2076160 */   // Label 27543: @2076160
     /* 2076160 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2076251), // Rule ID 16064 //
     /* 2076165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076211 */     // MIs[0] round
     /* 2076211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076214 */     // MIs[0] policy
     /* 2076214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076250 */     // GIR_Coverage, 16064,
     /* 2076250 */     GIR_EraseRootFromParent_Done,
     /* 2076251 */   // Label 27544: @2076251
     /* 2076251 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2076342), // Rule ID 16067 //
     /* 2076256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076302 */     // MIs[0] round
     /* 2076302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076305 */     // MIs[0] policy
     /* 2076305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076341 */     // GIR_Coverage, 16067,
     /* 2076341 */     GIR_EraseRootFromParent_Done,
     /* 2076342 */   // Label 27545: @2076342
     /* 2076342 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2076433), // Rule ID 16068 //
     /* 2076347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076393 */     // MIs[0] round
     /* 2076393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076396 */     // MIs[0] policy
     /* 2076396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076432 */     // GIR_Coverage, 16068,
     /* 2076432 */     GIR_EraseRootFromParent_Done,
     /* 2076433 */   // Label 27546: @2076433
     /* 2076433 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2076524), // Rule ID 16071 //
     /* 2076438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076484 */     // MIs[0] round
     /* 2076484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076487 */     // MIs[0] policy
     /* 2076487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076523 */     // GIR_Coverage, 16071,
     /* 2076523 */     GIR_EraseRootFromParent_Done,
     /* 2076524 */   // Label 27547: @2076524
     /* 2076524 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2076615), // Rule ID 16072 //
     /* 2076529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076575 */     // MIs[0] round
     /* 2076575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076578 */     // MIs[0] policy
     /* 2076578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076614 */     // GIR_Coverage, 16072,
     /* 2076614 */     GIR_EraseRootFromParent_Done,
     /* 2076615 */   // Label 27548: @2076615
     /* 2076615 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2076706), // Rule ID 16075 //
     /* 2076620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2076623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2076637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076666 */     // MIs[0] round
     /* 2076666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076669 */     // MIs[0] policy
     /* 2076669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076705 */     // GIR_Coverage, 16075,
     /* 2076705 */     GIR_EraseRootFromParent_Done,
     /* 2076706 */   // Label 27549: @2076706
     /* 2076706 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2076797), // Rule ID 16076 //
     /* 2076711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2076714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2076728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076757 */     // MIs[0] round
     /* 2076757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076760 */     // MIs[0] policy
     /* 2076760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076796 */     // GIR_Coverage, 16076,
     /* 2076796 */     GIR_EraseRootFromParent_Done,
     /* 2076797 */   // Label 27550: @2076797
     /* 2076797 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2076888), // Rule ID 16079 //
     /* 2076802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2076819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076848 */     // MIs[0] round
     /* 2076848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076851 */     // MIs[0] policy
     /* 2076851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076887 */     // GIR_Coverage, 16079,
     /* 2076887 */     GIR_EraseRootFromParent_Done,
     /* 2076888 */   // Label 27551: @2076888
     /* 2076888 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2076979), // Rule ID 16080 //
     /* 2076893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2076910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076939 */     // MIs[0] round
     /* 2076939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076942 */     // MIs[0] policy
     /* 2076942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076978 */     // GIR_Coverage, 16080,
     /* 2076978 */     GIR_EraseRootFromParent_Done,
     /* 2076979 */   // Label 27552: @2076979
     /* 2076979 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2077070), // Rule ID 16083 //
     /* 2076984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2076995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2076998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077030 */     // MIs[0] round
     /* 2077030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077033 */     // MIs[0] policy
     /* 2077033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077043 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077069 */     // GIR_Coverage, 16083,
     /* 2077069 */     GIR_EraseRootFromParent_Done,
     /* 2077070 */   // Label 27553: @2077070
     /* 2077070 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2077161), // Rule ID 16084 //
     /* 2077075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077121 */     // MIs[0] round
     /* 2077121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077124 */     // MIs[0] policy
     /* 2077124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077160 */     // GIR_Coverage, 16084,
     /* 2077160 */     GIR_EraseRootFromParent_Done,
     /* 2077161 */   // Label 27554: @2077161
     /* 2077161 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2077252), // Rule ID 16087 //
     /* 2077166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077212 */     // MIs[0] round
     /* 2077212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077215 */     // MIs[0] policy
     /* 2077215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077225 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077251 */     // GIR_Coverage, 16087,
     /* 2077251 */     GIR_EraseRootFromParent_Done,
     /* 2077252 */   // Label 27555: @2077252
     /* 2077252 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2077343), // Rule ID 16088 //
     /* 2077257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077303 */     // MIs[0] round
     /* 2077303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077306 */     // MIs[0] policy
     /* 2077306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077342 */     // GIR_Coverage, 16088,
     /* 2077342 */     GIR_EraseRootFromParent_Done,
     /* 2077343 */   // Label 27556: @2077343
     /* 2077343 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2077434), // Rule ID 16091 //
     /* 2077348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077394 */     // MIs[0] round
     /* 2077394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077397 */     // MIs[0] policy
     /* 2077397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077433 */     // GIR_Coverage, 16091,
     /* 2077433 */     GIR_EraseRootFromParent_Done,
     /* 2077434 */   // Label 27557: @2077434
     /* 2077434 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2077525), // Rule ID 16092 //
     /* 2077439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077485 */     // MIs[0] round
     /* 2077485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077488 */     // MIs[0] policy
     /* 2077488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077524 */     // GIR_Coverage, 16092,
     /* 2077524 */     GIR_EraseRootFromParent_Done,
     /* 2077525 */   // Label 27558: @2077525
     /* 2077525 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2077616), // Rule ID 16095 //
     /* 2077530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077576 */     // MIs[0] round
     /* 2077576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077579 */     // MIs[0] policy
     /* 2077579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077615 */     // GIR_Coverage, 16095,
     /* 2077615 */     GIR_EraseRootFromParent_Done,
     /* 2077616 */   // Label 27559: @2077616
     /* 2077616 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2077707), // Rule ID 16096 //
     /* 2077621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077667 */     // MIs[0] round
     /* 2077667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077670 */     // MIs[0] policy
     /* 2077670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077706 */     // GIR_Coverage, 16096,
     /* 2077706 */     GIR_EraseRootFromParent_Done,
     /* 2077707 */   // Label 27560: @2077707
     /* 2077707 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2077798), // Rule ID 16099 //
     /* 2077712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2077723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2077726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2077729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077758 */     // MIs[0] round
     /* 2077758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077761 */     // MIs[0] policy
     /* 2077761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077797 */     // GIR_Coverage, 16099,
     /* 2077797 */     GIR_EraseRootFromParent_Done,
     /* 2077798 */   // Label 27561: @2077798
     /* 2077798 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2077889), // Rule ID 16100 //
     /* 2077803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2077814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2077817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2077820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077849 */     // MIs[0] round
     /* 2077849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077852 */     // MIs[0] policy
     /* 2077852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077888 */     // GIR_Coverage, 16100,
     /* 2077888 */     GIR_EraseRootFromParent_Done,
     /* 2077889 */   // Label 27562: @2077889
     /* 2077889 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2077980), // Rule ID 16103 //
     /* 2077894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2077905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2077908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2077911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077940 */     // MIs[0] round
     /* 2077940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077943 */     // MIs[0] policy
     /* 2077943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077979 */     // GIR_Coverage, 16103,
     /* 2077979 */     GIR_EraseRootFromParent_Done,
     /* 2077980 */   // Label 27563: @2077980
     /* 2077980 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2078071), // Rule ID 16104 //
     /* 2077985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2077996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2077999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078031 */     // MIs[0] round
     /* 2078031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078034 */     // MIs[0] policy
     /* 2078034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078070 */     // GIR_Coverage, 16104,
     /* 2078070 */     GIR_EraseRootFromParent_Done,
     /* 2078071 */   // Label 27564: @2078071
     /* 2078071 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2078162), // Rule ID 16107 //
     /* 2078076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078122 */     // MIs[0] round
     /* 2078122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078125 */     // MIs[0] policy
     /* 2078125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078161 */     // GIR_Coverage, 16107,
     /* 2078161 */     GIR_EraseRootFromParent_Done,
     /* 2078162 */   // Label 27565: @2078162
     /* 2078162 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2078253), // Rule ID 16108 //
     /* 2078167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078213 */     // MIs[0] round
     /* 2078213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078216 */     // MIs[0] policy
     /* 2078216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078252 */     // GIR_Coverage, 16108,
     /* 2078252 */     GIR_EraseRootFromParent_Done,
     /* 2078253 */   // Label 27566: @2078253
     /* 2078253 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2078344), // Rule ID 16111 //
     /* 2078258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078304 */     // MIs[0] round
     /* 2078304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078307 */     // MIs[0] policy
     /* 2078307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078317 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078343 */     // GIR_Coverage, 16111,
     /* 2078343 */     GIR_EraseRootFromParent_Done,
     /* 2078344 */   // Label 27567: @2078344
     /* 2078344 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2078435), // Rule ID 16112 //
     /* 2078349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078395 */     // MIs[0] round
     /* 2078395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078398 */     // MIs[0] policy
     /* 2078398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078434 */     // GIR_Coverage, 16112,
     /* 2078434 */     GIR_EraseRootFromParent_Done,
     /* 2078435 */   // Label 27568: @2078435
     /* 2078435 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2078526), // Rule ID 16115 //
     /* 2078440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078486 */     // MIs[0] round
     /* 2078486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078489 */     // MIs[0] policy
     /* 2078489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078525 */     // GIR_Coverage, 16115,
     /* 2078525 */     GIR_EraseRootFromParent_Done,
     /* 2078526 */   // Label 27569: @2078526
     /* 2078526 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2078617), // Rule ID 16116 //
     /* 2078531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078577 */     // MIs[0] round
     /* 2078577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078580 */     // MIs[0] policy
     /* 2078580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078616 */     // GIR_Coverage, 16116,
     /* 2078616 */     GIR_EraseRootFromParent_Done,
     /* 2078617 */   // Label 27570: @2078617
     /* 2078617 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2078708), // Rule ID 16119 //
     /* 2078622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078668 */     // MIs[0] round
     /* 2078668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078671 */     // MIs[0] policy
     /* 2078671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078681 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078707 */     // GIR_Coverage, 16119,
     /* 2078707 */     GIR_EraseRootFromParent_Done,
     /* 2078708 */   // Label 27571: @2078708
     /* 2078708 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2078799), // Rule ID 16120 //
     /* 2078713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078759 */     // MIs[0] round
     /* 2078759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078762 */     // MIs[0] policy
     /* 2078762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078798 */     // GIR_Coverage, 16120,
     /* 2078798 */     GIR_EraseRootFromParent_Done,
     /* 2078799 */   // Label 27572: @2078799
     /* 2078799 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2078890), // Rule ID 16123 //
     /* 2078804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078850 */     // MIs[0] round
     /* 2078850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078853 */     // MIs[0] policy
     /* 2078853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078863 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078889 */     // GIR_Coverage, 16123,
     /* 2078889 */     GIR_EraseRootFromParent_Done,
     /* 2078890 */   // Label 27573: @2078890
     /* 2078890 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2078981), // Rule ID 16124 //
     /* 2078895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078941 */     // MIs[0] round
     /* 2078941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078944 */     // MIs[0] policy
     /* 2078944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078980 */     // GIR_Coverage, 16124,
     /* 2078980 */     GIR_EraseRootFromParent_Done,
     /* 2078981 */   // Label 27574: @2078981
     /* 2078981 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2079075), // Rule ID 16215 //
     /* 2078986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2078997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079032 */     // MIs[0] round
     /* 2079032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079035 */     // MIs[0] policy
     /* 2079035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079045 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2079048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079074 */     // GIR_Coverage, 16215,
     /* 2079074 */     GIR_EraseRootFromParent_Done,
     /* 2079075 */   // Label 27575: @2079075
     /* 2079075 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2079169), // Rule ID 16216 //
     /* 2079080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079126 */     // MIs[0] round
     /* 2079126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079129 */     // MIs[0] policy
     /* 2079129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079139 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2079142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079168 */     // GIR_Coverage, 16216,
     /* 2079168 */     GIR_EraseRootFromParent_Done,
     /* 2079169 */   // Label 27576: @2079169
     /* 2079169 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2079263), // Rule ID 16219 //
     /* 2079174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079220 */     // MIs[0] round
     /* 2079220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079223 */     // MIs[0] policy
     /* 2079223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079262 */     // GIR_Coverage, 16219,
     /* 2079262 */     GIR_EraseRootFromParent_Done,
     /* 2079263 */   // Label 27577: @2079263
     /* 2079263 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2079357), // Rule ID 16220 //
     /* 2079268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079314 */     // MIs[0] round
     /* 2079314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079317 */     // MIs[0] policy
     /* 2079317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079356 */     // GIR_Coverage, 16220,
     /* 2079356 */     GIR_EraseRootFromParent_Done,
     /* 2079357 */   // Label 27578: @2079357
     /* 2079357 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2079451), // Rule ID 16223 //
     /* 2079362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079408 */     // MIs[0] round
     /* 2079408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079411 */     // MIs[0] policy
     /* 2079411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079450 */     // GIR_Coverage, 16223,
     /* 2079450 */     GIR_EraseRootFromParent_Done,
     /* 2079451 */   // Label 27579: @2079451
     /* 2079451 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2079545), // Rule ID 16224 //
     /* 2079456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079502 */     // MIs[0] round
     /* 2079502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079505 */     // MIs[0] policy
     /* 2079505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079515 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079544 */     // GIR_Coverage, 16224,
     /* 2079544 */     GIR_EraseRootFromParent_Done,
     /* 2079545 */   // Label 27580: @2079545
     /* 2079545 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2079639), // Rule ID 16227 //
     /* 2079550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079596 */     // MIs[0] round
     /* 2079596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079599 */     // MIs[0] policy
     /* 2079599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079638 */     // GIR_Coverage, 16227,
     /* 2079638 */     GIR_EraseRootFromParent_Done,
     /* 2079639 */   // Label 27581: @2079639
     /* 2079639 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2079733), // Rule ID 16228 //
     /* 2079644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079690 */     // MIs[0] round
     /* 2079690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079693 */     // MIs[0] policy
     /* 2079693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079732 */     // GIR_Coverage, 16228,
     /* 2079732 */     GIR_EraseRootFromParent_Done,
     /* 2079733 */   // Label 27582: @2079733
     /* 2079733 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2079827), // Rule ID 16231 //
     /* 2079738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2079755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079784 */     // MIs[0] round
     /* 2079784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079787 */     // MIs[0] policy
     /* 2079787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2079800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079826 */     // GIR_Coverage, 16231,
     /* 2079826 */     GIR_EraseRootFromParent_Done,
     /* 2079827 */   // Label 27583: @2079827
     /* 2079827 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2079921), // Rule ID 16232 //
     /* 2079832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2079849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079878 */     // MIs[0] round
     /* 2079878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079881 */     // MIs[0] policy
     /* 2079881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079891 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2079894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079920 */     // GIR_Coverage, 16232,
     /* 2079920 */     GIR_EraseRootFromParent_Done,
     /* 2079921 */   // Label 27584: @2079921
     /* 2079921 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2080015), // Rule ID 16235 //
     /* 2079926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2079937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2079940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2079943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2079946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2079949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079972 */     // MIs[0] round
     /* 2079972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079975 */     // MIs[0] policy
     /* 2079975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079985 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2079988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080014 */     // GIR_Coverage, 16235,
     /* 2080014 */     GIR_EraseRootFromParent_Done,
     /* 2080015 */   // Label 27585: @2080015
     /* 2080015 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2080109), // Rule ID 16236 //
     /* 2080020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2080040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080066 */     // MIs[0] round
     /* 2080066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080069 */     // MIs[0] policy
     /* 2080069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080079 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080108 */     // GIR_Coverage, 16236,
     /* 2080108 */     GIR_EraseRootFromParent_Done,
     /* 2080109 */   // Label 27586: @2080109
     /* 2080109 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2080203), // Rule ID 16239 //
     /* 2080114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080160 */     // MIs[0] round
     /* 2080160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080163 */     // MIs[0] policy
     /* 2080163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080202 */     // GIR_Coverage, 16239,
     /* 2080202 */     GIR_EraseRootFromParent_Done,
     /* 2080203 */   // Label 27587: @2080203
     /* 2080203 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2080297), // Rule ID 16240 //
     /* 2080208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080254 */     // MIs[0] round
     /* 2080254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080257 */     // MIs[0] policy
     /* 2080257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080267 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080296 */     // GIR_Coverage, 16240,
     /* 2080296 */     GIR_EraseRootFromParent_Done,
     /* 2080297 */   // Label 27588: @2080297
     /* 2080297 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2080391), // Rule ID 16243 //
     /* 2080302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080348 */     // MIs[0] round
     /* 2080348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080351 */     // MIs[0] policy
     /* 2080351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080361 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080390 */     // GIR_Coverage, 16243,
     /* 2080390 */     GIR_EraseRootFromParent_Done,
     /* 2080391 */   // Label 27589: @2080391
     /* 2080391 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2080485), // Rule ID 16244 //
     /* 2080396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080442 */     // MIs[0] round
     /* 2080442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080445 */     // MIs[0] policy
     /* 2080445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080455 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080484 */     // GIR_Coverage, 16244,
     /* 2080484 */     GIR_EraseRootFromParent_Done,
     /* 2080485 */   // Label 27590: @2080485
     /* 2080485 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2080579), // Rule ID 16247 //
     /* 2080490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080536 */     // MIs[0] round
     /* 2080536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080539 */     // MIs[0] policy
     /* 2080539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080578 */     // GIR_Coverage, 16247,
     /* 2080578 */     GIR_EraseRootFromParent_Done,
     /* 2080579 */   // Label 27591: @2080579
     /* 2080579 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2080673), // Rule ID 16248 //
     /* 2080584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080630 */     // MIs[0] round
     /* 2080630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080633 */     // MIs[0] policy
     /* 2080633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080672 */     // GIR_Coverage, 16248,
     /* 2080672 */     GIR_EraseRootFromParent_Done,
     /* 2080673 */   // Label 27592: @2080673
     /* 2080673 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2080767), // Rule ID 16251 //
     /* 2080678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080724 */     // MIs[0] round
     /* 2080724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080727 */     // MIs[0] policy
     /* 2080727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080766 */     // GIR_Coverage, 16251,
     /* 2080766 */     GIR_EraseRootFromParent_Done,
     /* 2080767 */   // Label 27593: @2080767
     /* 2080767 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2080861), // Rule ID 16252 //
     /* 2080772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080818 */     // MIs[0] round
     /* 2080818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080821 */     // MIs[0] policy
     /* 2080821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080860 */     // GIR_Coverage, 16252,
     /* 2080860 */     GIR_EraseRootFromParent_Done,
     /* 2080861 */   // Label 27594: @2080861
     /* 2080861 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2080955), // Rule ID 16255 //
     /* 2080866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2080883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080912 */     // MIs[0] round
     /* 2080912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080915 */     // MIs[0] policy
     /* 2080915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080954 */     // GIR_Coverage, 16255,
     /* 2080954 */     GIR_EraseRootFromParent_Done,
     /* 2080955 */   // Label 27595: @2080955
     /* 2080955 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2081049), // Rule ID 16256 //
     /* 2080960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2080977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081006 */     // MIs[0] round
     /* 2081006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081009 */     // MIs[0] policy
     /* 2081009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081048 */     // GIR_Coverage, 16256,
     /* 2081048 */     GIR_EraseRootFromParent_Done,
     /* 2081049 */   // Label 27596: @2081049
     /* 2081049 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2081143), // Rule ID 16259 //
     /* 2081054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081100 */     // MIs[0] round
     /* 2081100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081103 */     // MIs[0] policy
     /* 2081103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081113 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081142 */     // GIR_Coverage, 16259,
     /* 2081142 */     GIR_EraseRootFromParent_Done,
     /* 2081143 */   // Label 27597: @2081143
     /* 2081143 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2081237), // Rule ID 16260 //
     /* 2081148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081194 */     // MIs[0] round
     /* 2081194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081197 */     // MIs[0] policy
     /* 2081197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081236 */     // GIR_Coverage, 16260,
     /* 2081236 */     GIR_EraseRootFromParent_Done,
     /* 2081237 */   // Label 27598: @2081237
     /* 2081237 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2081331), // Rule ID 16263 //
     /* 2081242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081288 */     // MIs[0] round
     /* 2081288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081291 */     // MIs[0] policy
     /* 2081291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081330 */     // GIR_Coverage, 16263,
     /* 2081330 */     GIR_EraseRootFromParent_Done,
     /* 2081331 */   // Label 27599: @2081331
     /* 2081331 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2081425), // Rule ID 16264 //
     /* 2081336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081382 */     // MIs[0] round
     /* 2081382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081385 */     // MIs[0] policy
     /* 2081385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081424 */     // GIR_Coverage, 16264,
     /* 2081424 */     GIR_EraseRootFromParent_Done,
     /* 2081425 */   // Label 27600: @2081425
     /* 2081425 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2081519), // Rule ID 16267 //
     /* 2081430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081476 */     // MIs[0] round
     /* 2081476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081479 */     // MIs[0] policy
     /* 2081479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081489 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081518 */     // GIR_Coverage, 16267,
     /* 2081518 */     GIR_EraseRootFromParent_Done,
     /* 2081519 */   // Label 27601: @2081519
     /* 2081519 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2081613), // Rule ID 16268 //
     /* 2081524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081570 */     // MIs[0] round
     /* 2081570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081573 */     // MIs[0] policy
     /* 2081573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081612 */     // GIR_Coverage, 16268,
     /* 2081612 */     GIR_EraseRootFromParent_Done,
     /* 2081613 */   // Label 27602: @2081613
     /* 2081613 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2081707), // Rule ID 16271 //
     /* 2081618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081664 */     // MIs[0] round
     /* 2081664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081667 */     // MIs[0] policy
     /* 2081667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081706 */     // GIR_Coverage, 16271,
     /* 2081706 */     GIR_EraseRootFromParent_Done,
     /* 2081707 */   // Label 27603: @2081707
     /* 2081707 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2081801), // Rule ID 16272 //
     /* 2081712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081758 */     // MIs[0] round
     /* 2081758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081761 */     // MIs[0] policy
     /* 2081761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081800 */     // GIR_Coverage, 16272,
     /* 2081800 */     GIR_EraseRootFromParent_Done,
     /* 2081801 */   // Label 27604: @2081801
     /* 2081801 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2081895), // Rule ID 16275 //
     /* 2081806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2081823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081852 */     // MIs[0] round
     /* 2081852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081855 */     // MIs[0] policy
     /* 2081855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081865 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2081868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081894 */     // GIR_Coverage, 16275,
     /* 2081894 */     GIR_EraseRootFromParent_Done,
     /* 2081895 */   // Label 27605: @2081895
     /* 2081895 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2081989), // Rule ID 16276 //
     /* 2081900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2081917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081946 */     // MIs[0] round
     /* 2081946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081949 */     // MIs[0] policy
     /* 2081949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2081962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081988 */     // GIR_Coverage, 16276,
     /* 2081988 */     GIR_EraseRootFromParent_Done,
     /* 2081989 */   // Label 27606: @2081989
     /* 2081989 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2082083), // Rule ID 16279 //
     /* 2081994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082040 */     // MIs[0] round
     /* 2082040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082043 */     // MIs[0] policy
     /* 2082043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082082 */     // GIR_Coverage, 16279,
     /* 2082082 */     GIR_EraseRootFromParent_Done,
     /* 2082083 */   // Label 27607: @2082083
     /* 2082083 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2082177), // Rule ID 16280 //
     /* 2082088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082134 */     // MIs[0] round
     /* 2082134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082137 */     // MIs[0] policy
     /* 2082137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082147 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082176 */     // GIR_Coverage, 16280,
     /* 2082176 */     GIR_EraseRootFromParent_Done,
     /* 2082177 */   // Label 27608: @2082177
     /* 2082177 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2082271), // Rule ID 16283 //
     /* 2082182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082228 */     // MIs[0] round
     /* 2082228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082231 */     // MIs[0] policy
     /* 2082231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082241 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082270 */     // GIR_Coverage, 16283,
     /* 2082270 */     GIR_EraseRootFromParent_Done,
     /* 2082271 */   // Label 27609: @2082271
     /* 2082271 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2082365), // Rule ID 16284 //
     /* 2082276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082322 */     // MIs[0] round
     /* 2082322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082325 */     // MIs[0] policy
     /* 2082325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082335 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082364 */     // GIR_Coverage, 16284,
     /* 2082364 */     GIR_EraseRootFromParent_Done,
     /* 2082365 */   // Label 27610: @2082365
     /* 2082365 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2082459), // Rule ID 16287 //
     /* 2082370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082416 */     // MIs[0] round
     /* 2082416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082419 */     // MIs[0] policy
     /* 2082419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082429 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082458 */     // GIR_Coverage, 16287,
     /* 2082458 */     GIR_EraseRootFromParent_Done,
     /* 2082459 */   // Label 27611: @2082459
     /* 2082459 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2082553), // Rule ID 16288 //
     /* 2082464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082510 */     // MIs[0] round
     /* 2082510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082513 */     // MIs[0] policy
     /* 2082513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082523 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082552 */     // GIR_Coverage, 16288,
     /* 2082552 */     GIR_EraseRootFromParent_Done,
     /* 2082553 */   // Label 27612: @2082553
     /* 2082553 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2082647), // Rule ID 16291 //
     /* 2082558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082604 */     // MIs[0] round
     /* 2082604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082607 */     // MIs[0] policy
     /* 2082607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2082620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082646 */     // GIR_Coverage, 16291,
     /* 2082646 */     GIR_EraseRootFromParent_Done,
     /* 2082647 */   // Label 27613: @2082647
     /* 2082647 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2082741), // Rule ID 16292 //
     /* 2082652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082698 */     // MIs[0] round
     /* 2082698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082701 */     // MIs[0] policy
     /* 2082701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2082714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082740 */     // GIR_Coverage, 16292,
     /* 2082740 */     GIR_EraseRootFromParent_Done,
     /* 2082741 */   // Label 27614: @2082741
     /* 2082741 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2082835), // Rule ID 16295 //
     /* 2082746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2082757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2082760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082792 */     // MIs[0] round
     /* 2082792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082795 */     // MIs[0] policy
     /* 2082795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082805 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2082808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082834 */     // GIR_Coverage, 16295,
     /* 2082834 */     GIR_EraseRootFromParent_Done,
     /* 2082835 */   // Label 27615: @2082835
     /* 2082835 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2082929), // Rule ID 16296 //
     /* 2082840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2082851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2082854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082886 */     // MIs[0] round
     /* 2082886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082889 */     // MIs[0] policy
     /* 2082889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2082902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082928 */     // GIR_Coverage, 16296,
     /* 2082928 */     GIR_EraseRootFromParent_Done,
     /* 2082929 */   // Label 27616: @2082929
     /* 2082929 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2083023), // Rule ID 16299 //
     /* 2082934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082980 */     // MIs[0] round
     /* 2082980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082983 */     // MIs[0] policy
     /* 2082983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083022 */     // GIR_Coverage, 16299,
     /* 2083022 */     GIR_EraseRootFromParent_Done,
     /* 2083023 */   // Label 27617: @2083023
     /* 2083023 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2083117), // Rule ID 16300 //
     /* 2083028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083074 */     // MIs[0] round
     /* 2083074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083077 */     // MIs[0] policy
     /* 2083077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2083090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083116 */     // GIR_Coverage, 16300,
     /* 2083116 */     GIR_EraseRootFromParent_Done,
     /* 2083117 */   // Label 27618: @2083117
     /* 2083117 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2083211), // Rule ID 16303 //
     /* 2083122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083168 */     // MIs[0] round
     /* 2083168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083171 */     // MIs[0] policy
     /* 2083171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083210 */     // GIR_Coverage, 16303,
     /* 2083210 */     GIR_EraseRootFromParent_Done,
     /* 2083211 */   // Label 27619: @2083211
     /* 2083211 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2083305), // Rule ID 16304 //
     /* 2083216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083262 */     // MIs[0] round
     /* 2083262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083265 */     // MIs[0] policy
     /* 2083265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083304 */     // GIR_Coverage, 16304,
     /* 2083304 */     GIR_EraseRootFromParent_Done,
     /* 2083305 */   // Label 27620: @2083305
     /* 2083305 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2083399), // Rule ID 16307 //
     /* 2083310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083356 */     // MIs[0] round
     /* 2083356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083359 */     // MIs[0] policy
     /* 2083359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083398 */     // GIR_Coverage, 16307,
     /* 2083398 */     GIR_EraseRootFromParent_Done,
     /* 2083399 */   // Label 27621: @2083399
     /* 2083399 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2083493), // Rule ID 16308 //
     /* 2083404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083450 */     // MIs[0] round
     /* 2083450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083453 */     // MIs[0] policy
     /* 2083453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083463 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083492 */     // GIR_Coverage, 16308,
     /* 2083492 */     GIR_EraseRootFromParent_Done,
     /* 2083493 */   // Label 27622: @2083493
     /* 2083493 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2083587), // Rule ID 16311 //
     /* 2083498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083544 */     // MIs[0] round
     /* 2083544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083547 */     // MIs[0] policy
     /* 2083547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083586 */     // GIR_Coverage, 16311,
     /* 2083586 */     GIR_EraseRootFromParent_Done,
     /* 2083587 */   // Label 27623: @2083587
     /* 2083587 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2083681), // Rule ID 16312 //
     /* 2083592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083638 */     // MIs[0] round
     /* 2083638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083641 */     // MIs[0] policy
     /* 2083641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083680 */     // GIR_Coverage, 16312,
     /* 2083680 */     GIR_EraseRootFromParent_Done,
     /* 2083681 */   // Label 27624: @2083681
     /* 2083681 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2083775), // Rule ID 16315 //
     /* 2083686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2083697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2083700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2083703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083732 */     // MIs[0] round
     /* 2083732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083735 */     // MIs[0] policy
     /* 2083735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083745 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083774 */     // GIR_Coverage, 16315,
     /* 2083774 */     GIR_EraseRootFromParent_Done,
     /* 2083775 */   // Label 27625: @2083775
     /* 2083775 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2083869), // Rule ID 16316 //
     /* 2083780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2083791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2083794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2083797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083826 */     // MIs[0] round
     /* 2083826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083829 */     // MIs[0] policy
     /* 2083829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083868 */     // GIR_Coverage, 16316,
     /* 2083868 */     GIR_EraseRootFromParent_Done,
     /* 2083869 */   // Label 27626: @2083869
     /* 2083869 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2083963), // Rule ID 16319 //
     /* 2083874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2083877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083920 */     // MIs[0] round
     /* 2083920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083923 */     // MIs[0] policy
     /* 2083923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083962 */     // GIR_Coverage, 16319,
     /* 2083962 */     GIR_EraseRootFromParent_Done,
     /* 2083963 */   // Label 27627: @2083963
     /* 2083963 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2084057), // Rule ID 16320 //
     /* 2083968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2083971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084014 */     // MIs[0] round
     /* 2084014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084017 */     // MIs[0] policy
     /* 2084017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2084030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084056 */     // GIR_Coverage, 16320,
     /* 2084056 */     GIR_EraseRootFromParent_Done,
     /* 2084057 */   // Label 27628: @2084057
     /* 2084057 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2084151), // Rule ID 16323 //
     /* 2084062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084108 */     // MIs[0] round
     /* 2084108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084111 */     // MIs[0] policy
     /* 2084111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084150 */     // GIR_Coverage, 16323,
     /* 2084150 */     GIR_EraseRootFromParent_Done,
     /* 2084151 */   // Label 27629: @2084151
     /* 2084151 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2084245), // Rule ID 16324 //
     /* 2084156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084202 */     // MIs[0] round
     /* 2084202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084205 */     // MIs[0] policy
     /* 2084205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084244 */     // GIR_Coverage, 16324,
     /* 2084244 */     GIR_EraseRootFromParent_Done,
     /* 2084245 */   // Label 27630: @2084245
     /* 2084245 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2084339), // Rule ID 16327 //
     /* 2084250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084296 */     // MIs[0] round
     /* 2084296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084299 */     // MIs[0] policy
     /* 2084299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084338 */     // GIR_Coverage, 16327,
     /* 2084338 */     GIR_EraseRootFromParent_Done,
     /* 2084339 */   // Label 27631: @2084339
     /* 2084339 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2084433), // Rule ID 16328 //
     /* 2084344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084390 */     // MIs[0] round
     /* 2084390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084393 */     // MIs[0] policy
     /* 2084393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084432 */     // GIR_Coverage, 16328,
     /* 2084432 */     GIR_EraseRootFromParent_Done,
     /* 2084433 */   // Label 27632: @2084433
     /* 2084433 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2084527), // Rule ID 16331 //
     /* 2084438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084484 */     // MIs[0] round
     /* 2084484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084487 */     // MIs[0] policy
     /* 2084487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084526 */     // GIR_Coverage, 16331,
     /* 2084526 */     GIR_EraseRootFromParent_Done,
     /* 2084527 */   // Label 27633: @2084527
     /* 2084527 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2084621), // Rule ID 16332 //
     /* 2084532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084578 */     // MIs[0] round
     /* 2084578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084581 */     // MIs[0] policy
     /* 2084581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084591 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084620 */     // GIR_Coverage, 16332,
     /* 2084620 */     GIR_EraseRootFromParent_Done,
     /* 2084621 */   // Label 27634: @2084621
     /* 2084621 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2084715), // Rule ID 16395 //
     /* 2084626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2084637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2084640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2084643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2084646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084672 */     // MIs[0] round
     /* 2084672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084675 */     // MIs[0] policy
     /* 2084675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084685 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2084688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084714 */     // GIR_Coverage, 16395,
     /* 2084714 */     GIR_EraseRootFromParent_Done,
     /* 2084715 */   // Label 27635: @2084715
     /* 2084715 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2084809), // Rule ID 16396 //
     /* 2084720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2084731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2084734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2084737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2084740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084766 */     // MIs[0] round
     /* 2084766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084769 */     // MIs[0] policy
     /* 2084769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084779 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2084782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084808 */     // GIR_Coverage, 16396,
     /* 2084808 */     GIR_EraseRootFromParent_Done,
     /* 2084809 */   // Label 27636: @2084809
     /* 2084809 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2084903), // Rule ID 16399 //
     /* 2084814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2084825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2084828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2084831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2084834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084860 */     // MIs[0] round
     /* 2084860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084863 */     // MIs[0] policy
     /* 2084863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084873 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2084876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084902 */     // GIR_Coverage, 16399,
     /* 2084902 */     GIR_EraseRootFromParent_Done,
     /* 2084903 */   // Label 27637: @2084903
     /* 2084903 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2084997), // Rule ID 16400 //
     /* 2084908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2084919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2084922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2084925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2084928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084954 */     // MIs[0] round
     /* 2084954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084957 */     // MIs[0] policy
     /* 2084957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2084970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084996 */     // GIR_Coverage, 16400,
     /* 2084996 */     GIR_EraseRootFromParent_Done,
     /* 2084997 */   // Label 27638: @2084997
     /* 2084997 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2085091), // Rule ID 16403 //
     /* 2085002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2085013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2085016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2085019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2085022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085048 */     // MIs[0] round
     /* 2085048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085051 */     // MIs[0] policy
     /* 2085051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085061 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085090 */     // GIR_Coverage, 16403,
     /* 2085090 */     GIR_EraseRootFromParent_Done,
     /* 2085091 */   // Label 27639: @2085091
     /* 2085091 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2085185), // Rule ID 16404 //
     /* 2085096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2085107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2085110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2085113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2085116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085142 */     // MIs[0] round
     /* 2085142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085145 */     // MIs[0] policy
     /* 2085145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085155 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085184 */     // GIR_Coverage, 16404,
     /* 2085184 */     GIR_EraseRootFromParent_Done,
     /* 2085185 */   // Label 27640: @2085185
     /* 2085185 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2085279), // Rule ID 16407 //
     /* 2085190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085236 */     // MIs[0] round
     /* 2085236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085239 */     // MIs[0] policy
     /* 2085239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085278 */     // GIR_Coverage, 16407,
     /* 2085278 */     GIR_EraseRootFromParent_Done,
     /* 2085279 */   // Label 27641: @2085279
     /* 2085279 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2085373), // Rule ID 16408 //
     /* 2085284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085330 */     // MIs[0] round
     /* 2085330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085333 */     // MIs[0] policy
     /* 2085333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085343 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085372 */     // GIR_Coverage, 16408,
     /* 2085372 */     GIR_EraseRootFromParent_Done,
     /* 2085373 */   // Label 27642: @2085373
     /* 2085373 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2085467), // Rule ID 16411 //
     /* 2085378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085424 */     // MIs[0] round
     /* 2085424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085427 */     // MIs[0] policy
     /* 2085427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085437 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085466 */     // GIR_Coverage, 16411,
     /* 2085466 */     GIR_EraseRootFromParent_Done,
     /* 2085467 */   // Label 27643: @2085467
     /* 2085467 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2085561), // Rule ID 16412 //
     /* 2085472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085518 */     // MIs[0] round
     /* 2085518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085521 */     // MIs[0] policy
     /* 2085521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085531 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085560 */     // GIR_Coverage, 16412,
     /* 2085560 */     GIR_EraseRootFromParent_Done,
     /* 2085561 */   // Label 27644: @2085561
     /* 2085561 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2085655), // Rule ID 16415 //
     /* 2085566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2085577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2085580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2085586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085612 */     // MIs[0] round
     /* 2085612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085615 */     // MIs[0] policy
     /* 2085615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085625 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2085628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085654 */     // GIR_Coverage, 16415,
     /* 2085654 */     GIR_EraseRootFromParent_Done,
     /* 2085655 */   // Label 27645: @2085655
     /* 2085655 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2085749), // Rule ID 16416 //
     /* 2085660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2085671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2085674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2085680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085706 */     // MIs[0] round
     /* 2085706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085709 */     // MIs[0] policy
     /* 2085709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2085722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085748 */     // GIR_Coverage, 16416,
     /* 2085748 */     GIR_EraseRootFromParent_Done,
     /* 2085749 */   // Label 27646: @2085749
     /* 2085749 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2085843), // Rule ID 16419 //
     /* 2085754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2085765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2085768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2085771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2085774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085800 */     // MIs[0] round
     /* 2085800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085803 */     // MIs[0] policy
     /* 2085803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085813 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085842 */     // GIR_Coverage, 16419,
     /* 2085842 */     GIR_EraseRootFromParent_Done,
     /* 2085843 */   // Label 27647: @2085843
     /* 2085843 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2085937), // Rule ID 16420 //
     /* 2085848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2085859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2085862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2085865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2085868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085894 */     // MIs[0] round
     /* 2085894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085897 */     // MIs[0] policy
     /* 2085897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085936 */     // GIR_Coverage, 16420,
     /* 2085936 */     GIR_EraseRootFromParent_Done,
     /* 2085937 */   // Label 27648: @2085937
     /* 2085937 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2086031), // Rule ID 16423 //
     /* 2085942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2085953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2085956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2085959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2085962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085988 */     // MIs[0] round
     /* 2085988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085991 */     // MIs[0] policy
     /* 2085991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086001 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086030 */     // GIR_Coverage, 16423,
     /* 2086030 */     GIR_EraseRootFromParent_Done,
     /* 2086031 */   // Label 27649: @2086031
     /* 2086031 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2086125), // Rule ID 16424 //
     /* 2086036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2086047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2086050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2086053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086082 */     // MIs[0] round
     /* 2086082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086085 */     // MIs[0] policy
     /* 2086085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086095 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086124 */     // GIR_Coverage, 16424,
     /* 2086124 */     GIR_EraseRootFromParent_Done,
     /* 2086125 */   // Label 27650: @2086125
     /* 2086125 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2086219), // Rule ID 16427 //
     /* 2086130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086176 */     // MIs[0] round
     /* 2086176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086179 */     // MIs[0] policy
     /* 2086179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086218 */     // GIR_Coverage, 16427,
     /* 2086218 */     GIR_EraseRootFromParent_Done,
     /* 2086219 */   // Label 27651: @2086219
     /* 2086219 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2086313), // Rule ID 16428 //
     /* 2086224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086270 */     // MIs[0] round
     /* 2086270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086273 */     // MIs[0] policy
     /* 2086273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086312 */     // GIR_Coverage, 16428,
     /* 2086312 */     GIR_EraseRootFromParent_Done,
     /* 2086313 */   // Label 27652: @2086313
     /* 2086313 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2086407), // Rule ID 16431 //
     /* 2086318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086364 */     // MIs[0] round
     /* 2086364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086367 */     // MIs[0] policy
     /* 2086367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086406 */     // GIR_Coverage, 16431,
     /* 2086406 */     GIR_EraseRootFromParent_Done,
     /* 2086407 */   // Label 27653: @2086407
     /* 2086407 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2086501), // Rule ID 16432 //
     /* 2086412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086458 */     // MIs[0] round
     /* 2086458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086461 */     // MIs[0] policy
     /* 2086461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086500 */     // GIR_Coverage, 16432,
     /* 2086500 */     GIR_EraseRootFromParent_Done,
     /* 2086501 */   // Label 27654: @2086501
     /* 2086501 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2086595), // Rule ID 16435 //
     /* 2086506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2086520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086552 */     // MIs[0] round
     /* 2086552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086555 */     // MIs[0] policy
     /* 2086555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086594 */     // GIR_Coverage, 16435,
     /* 2086594 */     GIR_EraseRootFromParent_Done,
     /* 2086595 */   // Label 27655: @2086595
     /* 2086595 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2086689), // Rule ID 16436 //
     /* 2086600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2086614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086646 */     // MIs[0] round
     /* 2086646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086649 */     // MIs[0] policy
     /* 2086649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086688 */     // GIR_Coverage, 16436,
     /* 2086688 */     GIR_EraseRootFromParent_Done,
     /* 2086689 */   // Label 27656: @2086689
     /* 2086689 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2086783), // Rule ID 16439 //
     /* 2086694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2086697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2086705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2086708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2086711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2086714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086740 */     // MIs[0] round
     /* 2086740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086743 */     // MIs[0] policy
     /* 2086743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086782 */     // GIR_Coverage, 16439,
     /* 2086782 */     GIR_EraseRootFromParent_Done,
     /* 2086783 */   // Label 27657: @2086783
     /* 2086783 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2086877), // Rule ID 16440 //
     /* 2086788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2086791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2086799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2086802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2086805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2086808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086834 */     // MIs[0] round
     /* 2086834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086837 */     // MIs[0] policy
     /* 2086837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086876 */     // GIR_Coverage, 16440,
     /* 2086876 */     GIR_EraseRootFromParent_Done,
     /* 2086877 */   // Label 27658: @2086877
     /* 2086877 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2086971), // Rule ID 16443 //
     /* 2086882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2086885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2086893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2086896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2086902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086928 */     // MIs[0] round
     /* 2086928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086931 */     // MIs[0] policy
     /* 2086931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086941 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086970 */     // GIR_Coverage, 16443,
     /* 2086970 */     GIR_EraseRootFromParent_Done,
     /* 2086971 */   // Label 27659: @2086971
     /* 2086971 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2087065), // Rule ID 16444 //
     /* 2086976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2086979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2086987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2086990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2086996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087022 */     // MIs[0] round
     /* 2087022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087025 */     // MIs[0] policy
     /* 2087025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2087038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087064 */     // GIR_Coverage, 16444,
     /* 2087064 */     GIR_EraseRootFromParent_Done,
     /* 2087065 */   // Label 27660: @2087065
     /* 2087065 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2087159), // Rule ID 16447 //
     /* 2087070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087116 */     // MIs[0] round
     /* 2087116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087119 */     // MIs[0] policy
     /* 2087119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087129 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087158 */     // GIR_Coverage, 16447,
     /* 2087158 */     GIR_EraseRootFromParent_Done,
     /* 2087159 */   // Label 27661: @2087159
     /* 2087159 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2087253), // Rule ID 16448 //
     /* 2087164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087210 */     // MIs[0] round
     /* 2087210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087213 */     // MIs[0] policy
     /* 2087213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087252 */     // GIR_Coverage, 16448,
     /* 2087252 */     GIR_EraseRootFromParent_Done,
     /* 2087253 */   // Label 27662: @2087253
     /* 2087253 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2087347), // Rule ID 16451 //
     /* 2087258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087304 */     // MIs[0] round
     /* 2087304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087307 */     // MIs[0] policy
     /* 2087307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087346 */     // GIR_Coverage, 16451,
     /* 2087346 */     GIR_EraseRootFromParent_Done,
     /* 2087347 */   // Label 27663: @2087347
     /* 2087347 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2087441), // Rule ID 16452 //
     /* 2087352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087398 */     // MIs[0] round
     /* 2087398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087401 */     // MIs[0] policy
     /* 2087401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087440 */     // GIR_Coverage, 16452,
     /* 2087440 */     GIR_EraseRootFromParent_Done,
     /* 2087441 */   // Label 27664: @2087441
     /* 2087441 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2087535), // Rule ID 16455 //
     /* 2087446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087492 */     // MIs[0] round
     /* 2087492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087495 */     // MIs[0] policy
     /* 2087495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087505 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087534 */     // GIR_Coverage, 16455,
     /* 2087534 */     GIR_EraseRootFromParent_Done,
     /* 2087535 */   // Label 27665: @2087535
     /* 2087535 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2087629), // Rule ID 16456 //
     /* 2087540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087586 */     // MIs[0] round
     /* 2087586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087589 */     // MIs[0] policy
     /* 2087589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087628 */     // GIR_Coverage, 16456,
     /* 2087628 */     GIR_EraseRootFromParent_Done,
     /* 2087629 */   // Label 27666: @2087629
     /* 2087629 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2087723), // Rule ID 16459 //
     /* 2087634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087680 */     // MIs[0] round
     /* 2087680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087683 */     // MIs[0] policy
     /* 2087683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087693 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2087696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087722 */     // GIR_Coverage, 16459,
     /* 2087722 */     GIR_EraseRootFromParent_Done,
     /* 2087723 */   // Label 27667: @2087723
     /* 2087723 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2087817), // Rule ID 16460 //
     /* 2087728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087774 */     // MIs[0] round
     /* 2087774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087777 */     // MIs[0] policy
     /* 2087777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087787 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2087790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087816 */     // GIR_Coverage, 16460,
     /* 2087816 */     GIR_EraseRootFromParent_Done,
     /* 2087817 */   // Label 27668: @2087817
     /* 2087817 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2087911), // Rule ID 16463 //
     /* 2087822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2087839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087868 */     // MIs[0] round
     /* 2087868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087871 */     // MIs[0] policy
     /* 2087871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087881 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2087884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087910 */     // GIR_Coverage, 16463,
     /* 2087910 */     GIR_EraseRootFromParent_Done,
     /* 2087911 */   // Label 27669: @2087911
     /* 2087911 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2088005), // Rule ID 16464 //
     /* 2087916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2087933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087962 */     // MIs[0] round
     /* 2087962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087965 */     // MIs[0] policy
     /* 2087965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087975 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2087978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088004 */     // GIR_Coverage, 16464,
     /* 2088004 */     GIR_EraseRootFromParent_Done,
     /* 2088005 */   // Label 27670: @2088005
     /* 2088005 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2088099), // Rule ID 16467 //
     /* 2088010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088056 */     // MIs[0] round
     /* 2088056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088059 */     // MIs[0] policy
     /* 2088059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088098 */     // GIR_Coverage, 16467,
     /* 2088098 */     GIR_EraseRootFromParent_Done,
     /* 2088099 */   // Label 27671: @2088099
     /* 2088099 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2088193), // Rule ID 16468 //
     /* 2088104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088150 */     // MIs[0] round
     /* 2088150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088153 */     // MIs[0] policy
     /* 2088153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088163 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088192 */     // GIR_Coverage, 16468,
     /* 2088192 */     GIR_EraseRootFromParent_Done,
     /* 2088193 */   // Label 27672: @2088193
     /* 2088193 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2088287), // Rule ID 16471 //
     /* 2088198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088244 */     // MIs[0] round
     /* 2088244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088247 */     // MIs[0] policy
     /* 2088247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088257 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088286 */     // GIR_Coverage, 16471,
     /* 2088286 */     GIR_EraseRootFromParent_Done,
     /* 2088287 */   // Label 27673: @2088287
     /* 2088287 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2088381), // Rule ID 16472 //
     /* 2088292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088338 */     // MIs[0] round
     /* 2088338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088341 */     // MIs[0] policy
     /* 2088341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088380 */     // GIR_Coverage, 16472,
     /* 2088380 */     GIR_EraseRootFromParent_Done,
     /* 2088381 */   // Label 27674: @2088381
     /* 2088381 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2088475), // Rule ID 16475 //
     /* 2088386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088432 */     // MIs[0] round
     /* 2088432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088435 */     // MIs[0] policy
     /* 2088435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088445 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088474 */     // GIR_Coverage, 16475,
     /* 2088474 */     GIR_EraseRootFromParent_Done,
     /* 2088475 */   // Label 27675: @2088475
     /* 2088475 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2088569), // Rule ID 16476 //
     /* 2088480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088526 */     // MIs[0] round
     /* 2088526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088529 */     // MIs[0] policy
     /* 2088529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088568 */     // GIR_Coverage, 16476,
     /* 2088568 */     GIR_EraseRootFromParent_Done,
     /* 2088569 */   // Label 27676: @2088569
     /* 2088569 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2088663), // Rule ID 16479 //
     /* 2088574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2088585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2088588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088620 */     // MIs[0] round
     /* 2088620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088623 */     // MIs[0] policy
     /* 2088623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088662 */     // GIR_Coverage, 16479,
     /* 2088662 */     GIR_EraseRootFromParent_Done,
     /* 2088663 */   // Label 27677: @2088663
     /* 2088663 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2088757), // Rule ID 16480 //
     /* 2088668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2088679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2088682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088714 */     // MIs[0] round
     /* 2088714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088717 */     // MIs[0] policy
     /* 2088717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088756 */     // GIR_Coverage, 16480,
     /* 2088756 */     GIR_EraseRootFromParent_Done,
     /* 2088757 */   // Label 27678: @2088757
     /* 2088757 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2088851), // Rule ID 16483 //
     /* 2088762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2088773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2088776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088808 */     // MIs[0] round
     /* 2088808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088811 */     // MIs[0] policy
     /* 2088811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088821 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088850 */     // GIR_Coverage, 16483,
     /* 2088850 */     GIR_EraseRootFromParent_Done,
     /* 2088851 */   // Label 27679: @2088851
     /* 2088851 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2088945), // Rule ID 16484 //
     /* 2088856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2088867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2088870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088902 */     // MIs[0] round
     /* 2088902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088905 */     // MIs[0] policy
     /* 2088905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088915 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088944 */     // GIR_Coverage, 16484,
     /* 2088944 */     GIR_EraseRootFromParent_Done,
     /* 2088945 */   // Label 27680: @2088945
     /* 2088945 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2089039), // Rule ID 16487 //
     /* 2088950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2088967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088996 */     // MIs[0] round
     /* 2088996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088999 */     // MIs[0] policy
     /* 2088999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089038 */     // GIR_Coverage, 16487,
     /* 2089038 */     GIR_EraseRootFromParent_Done,
     /* 2089039 */   // Label 27681: @2089039
     /* 2089039 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2089133), // Rule ID 16488 //
     /* 2089044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089090 */     // MIs[0] round
     /* 2089090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089093 */     // MIs[0] policy
     /* 2089093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089132 */     // GIR_Coverage, 16488,
     /* 2089132 */     GIR_EraseRootFromParent_Done,
     /* 2089133 */   // Label 27682: @2089133
     /* 2089133 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2089227), // Rule ID 16491 //
     /* 2089138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089184 */     // MIs[0] round
     /* 2089184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089187 */     // MIs[0] policy
     /* 2089187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089226 */     // GIR_Coverage, 16491,
     /* 2089226 */     GIR_EraseRootFromParent_Done,
     /* 2089227 */   // Label 27683: @2089227
     /* 2089227 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2089321), // Rule ID 16492 //
     /* 2089232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089278 */     // MIs[0] round
     /* 2089278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089281 */     // MIs[0] policy
     /* 2089281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089320 */     // GIR_Coverage, 16492,
     /* 2089320 */     GIR_EraseRootFromParent_Done,
     /* 2089321 */   // Label 27684: @2089321
     /* 2089321 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2089415), // Rule ID 16495 //
     /* 2089326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089372 */     // MIs[0] round
     /* 2089372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089375 */     // MIs[0] policy
     /* 2089375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089385 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089414 */     // GIR_Coverage, 16495,
     /* 2089414 */     GIR_EraseRootFromParent_Done,
     /* 2089415 */   // Label 27685: @2089415
     /* 2089415 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2089509), // Rule ID 16496 //
     /* 2089420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089466 */     // MIs[0] round
     /* 2089466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089469 */     // MIs[0] policy
     /* 2089469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089479 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089508 */     // GIR_Coverage, 16496,
     /* 2089508 */     GIR_EraseRootFromParent_Done,
     /* 2089509 */   // Label 27686: @2089509
     /* 2089509 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2089603), // Rule ID 16499 //
     /* 2089514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089560 */     // MIs[0] round
     /* 2089560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089563 */     // MIs[0] policy
     /* 2089563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089602 */     // GIR_Coverage, 16499,
     /* 2089602 */     GIR_EraseRootFromParent_Done,
     /* 2089603 */   // Label 27687: @2089603
     /* 2089603 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2089697), // Rule ID 16500 //
     /* 2089608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089654 */     // MIs[0] round
     /* 2089654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089657 */     // MIs[0] policy
     /* 2089657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089696 */     // GIR_Coverage, 16500,
     /* 2089696 */     GIR_EraseRootFromParent_Done,
     /* 2089697 */   // Label 27688: @2089697
     /* 2089697 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2089791), // Rule ID 16503 //
     /* 2089702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2089719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089748 */     // MIs[0] round
     /* 2089748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089751 */     // MIs[0] policy
     /* 2089751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089790 */     // GIR_Coverage, 16503,
     /* 2089790 */     GIR_EraseRootFromParent_Done,
     /* 2089791 */   // Label 27689: @2089791
     /* 2089791 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2089885), // Rule ID 16504 //
     /* 2089796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2089813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089842 */     // MIs[0] round
     /* 2089842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089845 */     // MIs[0] policy
     /* 2089845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089884 */     // GIR_Coverage, 16504,
     /* 2089884 */     GIR_EraseRootFromParent_Done,
     /* 2089885 */   // Label 27690: @2089885
     /* 2089885 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2089979), // Rule ID 16507 //
     /* 2089890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2089907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089936 */     // MIs[0] round
     /* 2089936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089939 */     // MIs[0] policy
     /* 2089939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089978 */     // GIR_Coverage, 16507,
     /* 2089978 */     GIR_EraseRootFromParent_Done,
     /* 2089979 */   // Label 27691: @2089979
     /* 2089979 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2090073), // Rule ID 16508 //
     /* 2089984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090030 */     // MIs[0] round
     /* 2090030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090033 */     // MIs[0] policy
     /* 2090033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2090046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090072 */     // GIR_Coverage, 16508,
     /* 2090072 */     GIR_EraseRootFromParent_Done,
     /* 2090073 */   // Label 27692: @2090073
     /* 2090073 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2090167), // Rule ID 16511 //
     /* 2090078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090124 */     // MIs[0] round
     /* 2090124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090127 */     // MIs[0] policy
     /* 2090127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090137 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090166 */     // GIR_Coverage, 16511,
     /* 2090166 */     GIR_EraseRootFromParent_Done,
     /* 2090167 */   // Label 27693: @2090167
     /* 2090167 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2090261), // Rule ID 16512 //
     /* 2090172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090218 */     // MIs[0] round
     /* 2090218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090221 */     // MIs[0] policy
     /* 2090221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090260 */     // GIR_Coverage, 16512,
     /* 2090260 */     GIR_EraseRootFromParent_Done,
     /* 2090261 */   // Label 27694: @2090261
     /* 2090261 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2090352), // Rule ID 16575 //
     /* 2090266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090312 */     // MIs[0] round
     /* 2090312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090315 */     // MIs[0] policy
     /* 2090315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090325 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090351 */     // GIR_Coverage, 16575,
     /* 2090351 */     GIR_EraseRootFromParent_Done,
     /* 2090352 */   // Label 27695: @2090352
     /* 2090352 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2090443), // Rule ID 16576 //
     /* 2090357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090403 */     // MIs[0] round
     /* 2090403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090406 */     // MIs[0] policy
     /* 2090406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090416 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090442 */     // GIR_Coverage, 16576,
     /* 2090442 */     GIR_EraseRootFromParent_Done,
     /* 2090443 */   // Label 27696: @2090443
     /* 2090443 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2090534), // Rule ID 16579 //
     /* 2090448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090494 */     // MIs[0] round
     /* 2090494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090497 */     // MIs[0] policy
     /* 2090497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090507 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090533 */     // GIR_Coverage, 16579,
     /* 2090533 */     GIR_EraseRootFromParent_Done,
     /* 2090534 */   // Label 27697: @2090534
     /* 2090534 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2090625), // Rule ID 16580 //
     /* 2090539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090585 */     // MIs[0] round
     /* 2090585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090588 */     // MIs[0] policy
     /* 2090588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090624 */     // GIR_Coverage, 16580,
     /* 2090624 */     GIR_EraseRootFromParent_Done,
     /* 2090625 */   // Label 27698: @2090625
     /* 2090625 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2090716), // Rule ID 16583 //
     /* 2090630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090676 */     // MIs[0] round
     /* 2090676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090679 */     // MIs[0] policy
     /* 2090679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090689 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2090692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090715 */     // GIR_Coverage, 16583,
     /* 2090715 */     GIR_EraseRootFromParent_Done,
     /* 2090716 */   // Label 27699: @2090716
     /* 2090716 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2090807), // Rule ID 16584 //
     /* 2090721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2090724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090767 */     // MIs[0] round
     /* 2090767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090770 */     // MIs[0] policy
     /* 2090770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2090783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090806 */     // GIR_Coverage, 16584,
     /* 2090806 */     GIR_EraseRootFromParent_Done,
     /* 2090807 */   // Label 27700: @2090807
     /* 2090807 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2090898), // Rule ID 16587 //
     /* 2090812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2090829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090858 */     // MIs[0] round
     /* 2090858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090861 */     // MIs[0] policy
     /* 2090861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090871 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2090874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090897 */     // GIR_Coverage, 16587,
     /* 2090897 */     GIR_EraseRootFromParent_Done,
     /* 2090898 */   // Label 27701: @2090898
     /* 2090898 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2090989), // Rule ID 16588 //
     /* 2090903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2090920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090949 */     // MIs[0] round
     /* 2090949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090952 */     // MIs[0] policy
     /* 2090952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090962 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2090965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090988 */     // GIR_Coverage, 16588,
     /* 2090988 */     GIR_EraseRootFromParent_Done,
     /* 2090989 */   // Label 27702: @2090989
     /* 2090989 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2091080), // Rule ID 16591 //
     /* 2090994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2091011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091040 */     // MIs[0] round
     /* 2091040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091043 */     // MIs[0] policy
     /* 2091043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091053 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091079 */     // GIR_Coverage, 16591,
     /* 2091079 */     GIR_EraseRootFromParent_Done,
     /* 2091080 */   // Label 27703: @2091080
     /* 2091080 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2091171), // Rule ID 16592 //
     /* 2091085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2091102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091131 */     // MIs[0] round
     /* 2091131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091134 */     // MIs[0] policy
     /* 2091134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091144 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091170 */     // GIR_Coverage, 16592,
     /* 2091170 */     GIR_EraseRootFromParent_Done,
     /* 2091171 */   // Label 27704: @2091171
     /* 2091171 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2091262), // Rule ID 16595 //
     /* 2091176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091222 */     // MIs[0] round
     /* 2091222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091225 */     // MIs[0] policy
     /* 2091225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091235 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091261 */     // GIR_Coverage, 16595,
     /* 2091261 */     GIR_EraseRootFromParent_Done,
     /* 2091262 */   // Label 27705: @2091262
     /* 2091262 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2091353), // Rule ID 16596 //
     /* 2091267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2091270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091313 */     // MIs[0] round
     /* 2091313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091316 */     // MIs[0] policy
     /* 2091316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091326 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091352 */     // GIR_Coverage, 16596,
     /* 2091352 */     GIR_EraseRootFromParent_Done,
     /* 2091353 */   // Label 27706: @2091353
     /* 2091353 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2091444), // Rule ID 16599 //
     /* 2091358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091404 */     // MIs[0] round
     /* 2091404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091407 */     // MIs[0] policy
     /* 2091407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091417 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091443 */     // GIR_Coverage, 16599,
     /* 2091443 */     GIR_EraseRootFromParent_Done,
     /* 2091444 */   // Label 27707: @2091444
     /* 2091444 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2091535), // Rule ID 16600 //
     /* 2091449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091495 */     // MIs[0] round
     /* 2091495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091498 */     // MIs[0] policy
     /* 2091498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091534 */     // GIR_Coverage, 16600,
     /* 2091534 */     GIR_EraseRootFromParent_Done,
     /* 2091535 */   // Label 27708: @2091535
     /* 2091535 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2091626), // Rule ID 16603 //
     /* 2091540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091586 */     // MIs[0] round
     /* 2091586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091589 */     // MIs[0] policy
     /* 2091589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091599 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2091602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091625 */     // GIR_Coverage, 16603,
     /* 2091625 */     GIR_EraseRootFromParent_Done,
     /* 2091626 */   // Label 27709: @2091626
     /* 2091626 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2091717), // Rule ID 16604 //
     /* 2091631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091677 */     // MIs[0] round
     /* 2091677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091680 */     // MIs[0] policy
     /* 2091680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091690 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2091693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091716 */     // GIR_Coverage, 16604,
     /* 2091716 */     GIR_EraseRootFromParent_Done,
     /* 2091717 */   // Label 27710: @2091717
     /* 2091717 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2091808), // Rule ID 16607 //
     /* 2091722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2091733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2091736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2091742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091768 */     // MIs[0] round
     /* 2091768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091771 */     // MIs[0] policy
     /* 2091771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091781 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2091784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091807 */     // GIR_Coverage, 16607,
     /* 2091807 */     GIR_EraseRootFromParent_Done,
     /* 2091808 */   // Label 27711: @2091808
     /* 2091808 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2091899), // Rule ID 16608 //
     /* 2091813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2091824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2091827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2091833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091859 */     // MIs[0] round
     /* 2091859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091862 */     // MIs[0] policy
     /* 2091862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091872 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2091875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091898 */     // GIR_Coverage, 16608,
     /* 2091898 */     GIR_EraseRootFromParent_Done,
     /* 2091899 */   // Label 27712: @2091899
     /* 2091899 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2091990), // Rule ID 16611 //
     /* 2091904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2091921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2091924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091950 */     // MIs[0] round
     /* 2091950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091953 */     // MIs[0] policy
     /* 2091953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091963 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2091966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091989 */     // GIR_Coverage, 16611,
     /* 2091989 */     GIR_EraseRootFromParent_Done,
     /* 2091990 */   // Label 27713: @2091990
     /* 2091990 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2092081), // Rule ID 16612 //
     /* 2091995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2092006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2092009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2092015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092041 */     // MIs[0] round
     /* 2092041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092044 */     // MIs[0] policy
     /* 2092044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092054 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2092057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092080 */     // GIR_Coverage, 16612,
     /* 2092080 */     GIR_EraseRootFromParent_Done,
     /* 2092081 */   // Label 27714: @2092081
     /* 2092081 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2092172), // Rule ID 16615 //
     /* 2092086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092132 */     // MIs[0] round
     /* 2092132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092135 */     // MIs[0] policy
     /* 2092135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092145 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092171 */     // GIR_Coverage, 16615,
     /* 2092171 */     GIR_EraseRootFromParent_Done,
     /* 2092172 */   // Label 27715: @2092172
     /* 2092172 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2092263), // Rule ID 16616 //
     /* 2092177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092223 */     // MIs[0] round
     /* 2092223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092226 */     // MIs[0] policy
     /* 2092226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092262 */     // GIR_Coverage, 16616,
     /* 2092262 */     GIR_EraseRootFromParent_Done,
     /* 2092263 */   // Label 27716: @2092263
     /* 2092263 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2092354), // Rule ID 16619 //
     /* 2092268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092314 */     // MIs[0] round
     /* 2092314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092317 */     // MIs[0] policy
     /* 2092317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092327 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092353 */     // GIR_Coverage, 16619,
     /* 2092353 */     GIR_EraseRootFromParent_Done,
     /* 2092354 */   // Label 27717: @2092354
     /* 2092354 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2092445), // Rule ID 16620 //
     /* 2092359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092405 */     // MIs[0] round
     /* 2092405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092408 */     // MIs[0] policy
     /* 2092408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092418 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092444 */     // GIR_Coverage, 16620,
     /* 2092444 */     GIR_EraseRootFromParent_Done,
     /* 2092445 */   // Label 27718: @2092445
     /* 2092445 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2092536), // Rule ID 16623 //
     /* 2092450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092496 */     // MIs[0] round
     /* 2092496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092499 */     // MIs[0] policy
     /* 2092499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092509 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092535 */     // GIR_Coverage, 16623,
     /* 2092535 */     GIR_EraseRootFromParent_Done,
     /* 2092536 */   // Label 27719: @2092536
     /* 2092536 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2092627), // Rule ID 16624 //
     /* 2092541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092587 */     // MIs[0] round
     /* 2092587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092590 */     // MIs[0] policy
     /* 2092590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092600 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092626 */     // GIR_Coverage, 16624,
     /* 2092626 */     GIR_EraseRootFromParent_Done,
     /* 2092627 */   // Label 27720: @2092627
     /* 2092627 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2092718), // Rule ID 16627 //
     /* 2092632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2092649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2092652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092678 */     // MIs[0] round
     /* 2092678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092681 */     // MIs[0] policy
     /* 2092681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092691 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2092694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092717 */     // GIR_Coverage, 16627,
     /* 2092717 */     GIR_EraseRootFromParent_Done,
     /* 2092718 */   // Label 27721: @2092718
     /* 2092718 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2092809), // Rule ID 16628 //
     /* 2092723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2092740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2092743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092769 */     // MIs[0] round
     /* 2092769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092772 */     // MIs[0] policy
     /* 2092772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092782 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2092785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092808 */     // GIR_Coverage, 16628,
     /* 2092808 */     GIR_EraseRootFromParent_Done,
     /* 2092809 */   // Label 27722: @2092809
     /* 2092809 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2092900), // Rule ID 16631 //
     /* 2092814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2092834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092860 */     // MIs[0] round
     /* 2092860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092863 */     // MIs[0] policy
     /* 2092863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092873 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2092876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092899 */     // GIR_Coverage, 16631,
     /* 2092899 */     GIR_EraseRootFromParent_Done,
     /* 2092900 */   // Label 27723: @2092900
     /* 2092900 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2092991), // Rule ID 16632 //
     /* 2092905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2092925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092951 */     // MIs[0] round
     /* 2092951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092954 */     // MIs[0] policy
     /* 2092954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092964 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2092967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092990 */     // GIR_Coverage, 16632,
     /* 2092990 */     GIR_EraseRootFromParent_Done,
     /* 2092991 */   // Label 27724: @2092991
     /* 2092991 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2093082), // Rule ID 16635 //
     /* 2092996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093042 */     // MIs[0] round
     /* 2093042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093045 */     // MIs[0] policy
     /* 2093045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093055 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093081 */     // GIR_Coverage, 16635,
     /* 2093081 */     GIR_EraseRootFromParent_Done,
     /* 2093082 */   // Label 27725: @2093082
     /* 2093082 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2093173), // Rule ID 16636 //
     /* 2093087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093133 */     // MIs[0] round
     /* 2093133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093136 */     // MIs[0] policy
     /* 2093136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093146 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093172 */     // GIR_Coverage, 16636,
     /* 2093172 */     GIR_EraseRootFromParent_Done,
     /* 2093173 */   // Label 27726: @2093173
     /* 2093173 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2093264), // Rule ID 16639 //
     /* 2093178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093224 */     // MIs[0] round
     /* 2093224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093227 */     // MIs[0] policy
     /* 2093227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093237 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093263 */     // GIR_Coverage, 16639,
     /* 2093263 */     GIR_EraseRootFromParent_Done,
     /* 2093264 */   // Label 27727: @2093264
     /* 2093264 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2093355), // Rule ID 16640 //
     /* 2093269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093315 */     // MIs[0] round
     /* 2093315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093318 */     // MIs[0] policy
     /* 2093318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093354 */     // GIR_Coverage, 16640,
     /* 2093354 */     GIR_EraseRootFromParent_Done,
     /* 2093355 */   // Label 27728: @2093355
     /* 2093355 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2093446), // Rule ID 16643 //
     /* 2093360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093406 */     // MIs[0] round
     /* 2093406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093409 */     // MIs[0] policy
     /* 2093409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093419 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093445 */     // GIR_Coverage, 16643,
     /* 2093445 */     GIR_EraseRootFromParent_Done,
     /* 2093446 */   // Label 27729: @2093446
     /* 2093446 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2093537), // Rule ID 16644 //
     /* 2093451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093497 */     // MIs[0] round
     /* 2093497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093500 */     // MIs[0] policy
     /* 2093500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093510 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093536 */     // GIR_Coverage, 16644,
     /* 2093536 */     GIR_EraseRootFromParent_Done,
     /* 2093537 */   // Label 27730: @2093537
     /* 2093537 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2093628), // Rule ID 16647 //
     /* 2093542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093588 */     // MIs[0] round
     /* 2093588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093591 */     // MIs[0] policy
     /* 2093591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093601 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2093604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093627 */     // GIR_Coverage, 16647,
     /* 2093627 */     GIR_EraseRootFromParent_Done,
     /* 2093628 */   // Label 27731: @2093628
     /* 2093628 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2093719), // Rule ID 16648 //
     /* 2093633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093679 */     // MIs[0] round
     /* 2093679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093682 */     // MIs[0] policy
     /* 2093682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2093695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093718 */     // GIR_Coverage, 16648,
     /* 2093718 */     GIR_EraseRootFromParent_Done,
     /* 2093719 */   // Label 27732: @2093719
     /* 2093719 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2093810), // Rule ID 16651 //
     /* 2093724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093770 */     // MIs[0] round
     /* 2093770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093773 */     // MIs[0] policy
     /* 2093773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093783 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2093786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093809 */     // GIR_Coverage, 16651,
     /* 2093809 */     GIR_EraseRootFromParent_Done,
     /* 2093810 */   // Label 27733: @2093810
     /* 2093810 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2093901), // Rule ID 16652 //
     /* 2093815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093861 */     // MIs[0] round
     /* 2093861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093864 */     // MIs[0] policy
     /* 2093864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093874 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2093877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093900 */     // GIR_Coverage, 16652,
     /* 2093900 */     GIR_EraseRootFromParent_Done,
     /* 2093901 */   // Label 27734: @2093901
     /* 2093901 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2093992), // Rule ID 16655 //
     /* 2093906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2093917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2093920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2093923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2093948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093952 */     // MIs[0] round
     /* 2093952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093955 */     // MIs[0] policy
     /* 2093955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093965 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2093968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093991 */     // GIR_Coverage, 16655,
     /* 2093991 */     GIR_EraseRootFromParent_Done,
     /* 2093992 */   // Label 27735: @2093992
     /* 2093992 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2094083), // Rule ID 16656 //
     /* 2093997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2094008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2094011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2094014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094043 */     // MIs[0] round
     /* 2094043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094046 */     // MIs[0] policy
     /* 2094046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2094059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094082 */     // GIR_Coverage, 16656,
     /* 2094082 */     GIR_EraseRootFromParent_Done,
     /* 2094083 */   // Label 27736: @2094083
     /* 2094083 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2094174), // Rule ID 16659 //
     /* 2094088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094134 */     // MIs[0] round
     /* 2094134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094137 */     // MIs[0] policy
     /* 2094137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094147 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094173 */     // GIR_Coverage, 16659,
     /* 2094173 */     GIR_EraseRootFromParent_Done,
     /* 2094174 */   // Label 27737: @2094174
     /* 2094174 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2094265), // Rule ID 16660 //
     /* 2094179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094225 */     // MIs[0] round
     /* 2094225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094228 */     // MIs[0] policy
     /* 2094228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094238 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094264 */     // GIR_Coverage, 16660,
     /* 2094264 */     GIR_EraseRootFromParent_Done,
     /* 2094265 */   // Label 27738: @2094265
     /* 2094265 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2094356), // Rule ID 16663 //
     /* 2094270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094316 */     // MIs[0] round
     /* 2094316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094319 */     // MIs[0] policy
     /* 2094319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094329 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094355 */     // GIR_Coverage, 16663,
     /* 2094355 */     GIR_EraseRootFromParent_Done,
     /* 2094356 */   // Label 27739: @2094356
     /* 2094356 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2094447), // Rule ID 16664 //
     /* 2094361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094407 */     // MIs[0] round
     /* 2094407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094410 */     // MIs[0] policy
     /* 2094410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094420 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094446 */     // GIR_Coverage, 16664,
     /* 2094446 */     GIR_EraseRootFromParent_Done,
     /* 2094447 */   // Label 27740: @2094447
     /* 2094447 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2094538), // Rule ID 16667 //
     /* 2094452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094498 */     // MIs[0] round
     /* 2094498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094501 */     // MIs[0] policy
     /* 2094501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094511 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094537 */     // GIR_Coverage, 16667,
     /* 2094537 */     GIR_EraseRootFromParent_Done,
     /* 2094538 */   // Label 27741: @2094538
     /* 2094538 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2094629), // Rule ID 16668 //
     /* 2094543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094589 */     // MIs[0] round
     /* 2094589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094592 */     // MIs[0] policy
     /* 2094592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094602 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094628 */     // GIR_Coverage, 16668,
     /* 2094628 */     GIR_EraseRootFromParent_Done,
     /* 2094629 */   // Label 27742: @2094629
     /* 2094629 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2094720), // Rule ID 16671 //
     /* 2094634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094680 */     // MIs[0] round
     /* 2094680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094683 */     // MIs[0] policy
     /* 2094683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094693 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2094696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094719 */     // GIR_Coverage, 16671,
     /* 2094719 */     GIR_EraseRootFromParent_Done,
     /* 2094720 */   // Label 27743: @2094720
     /* 2094720 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2094811), // Rule ID 16672 //
     /* 2094725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094771 */     // MIs[0] round
     /* 2094771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094774 */     // MIs[0] policy
     /* 2094774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094784 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2094787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094810 */     // GIR_Coverage, 16672,
     /* 2094810 */     GIR_EraseRootFromParent_Done,
     /* 2094811 */   // Label 27744: @2094811
     /* 2094811 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2094902), // Rule ID 16675 //
     /* 2094816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094862 */     // MIs[0] round
     /* 2094862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094865 */     // MIs[0] policy
     /* 2094865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094875 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2094878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094901 */     // GIR_Coverage, 16675,
     /* 2094901 */     GIR_EraseRootFromParent_Done,
     /* 2094902 */   // Label 27745: @2094902
     /* 2094902 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2094993), // Rule ID 16676 //
     /* 2094907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094953 */     // MIs[0] round
     /* 2094953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094956 */     // MIs[0] policy
     /* 2094956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094966 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2094969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094992 */     // GIR_Coverage, 16676,
     /* 2094992 */     GIR_EraseRootFromParent_Done,
     /* 2094993 */   // Label 27746: @2094993
     /* 2094993 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2095084), // Rule ID 16679 //
     /* 2094998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2095009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2095012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095044 */     // MIs[0] round
     /* 2095044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095047 */     // MIs[0] policy
     /* 2095047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095057 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095083 */     // GIR_Coverage, 16679,
     /* 2095083 */     GIR_EraseRootFromParent_Done,
     /* 2095084 */   // Label 27747: @2095084
     /* 2095084 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2095175), // Rule ID 16680 //
     /* 2095089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2095100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2095103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095135 */     // MIs[0] round
     /* 2095135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095138 */     // MIs[0] policy
     /* 2095138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095148 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095174 */     // GIR_Coverage, 16680,
     /* 2095174 */     GIR_EraseRootFromParent_Done,
     /* 2095175 */   // Label 27748: @2095175
     /* 2095175 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2095266), // Rule ID 16683 //
     /* 2095180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095226 */     // MIs[0] round
     /* 2095226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095229 */     // MIs[0] policy
     /* 2095229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095239 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095265 */     // GIR_Coverage, 16683,
     /* 2095265 */     GIR_EraseRootFromParent_Done,
     /* 2095266 */   // Label 27749: @2095266
     /* 2095266 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2095357), // Rule ID 16684 //
     /* 2095271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095317 */     // MIs[0] round
     /* 2095317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095320 */     // MIs[0] policy
     /* 2095320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095356 */     // GIR_Coverage, 16684,
     /* 2095356 */     GIR_EraseRootFromParent_Done,
     /* 2095357 */   // Label 27750: @2095357
     /* 2095357 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2095448), // Rule ID 16687 //
     /* 2095362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095408 */     // MIs[0] round
     /* 2095408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095411 */     // MIs[0] policy
     /* 2095411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095421 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095447 */     // GIR_Coverage, 16687,
     /* 2095447 */     GIR_EraseRootFromParent_Done,
     /* 2095448 */   // Label 27751: @2095448
     /* 2095448 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2095539), // Rule ID 16688 //
     /* 2095453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095499 */     // MIs[0] round
     /* 2095499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095502 */     // MIs[0] policy
     /* 2095502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095512 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095538 */     // GIR_Coverage, 16688,
     /* 2095538 */     GIR_EraseRootFromParent_Done,
     /* 2095539 */   // Label 27752: @2095539
     /* 2095539 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2095630), // Rule ID 16691 //
     /* 2095544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095590 */     // MIs[0] round
     /* 2095590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095593 */     // MIs[0] policy
     /* 2095593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095603 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2095606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095629 */     // GIR_Coverage, 16691,
     /* 2095629 */     GIR_EraseRootFromParent_Done,
     /* 2095630 */   // Label 27753: @2095630
     /* 2095630 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2095721), // Rule ID 16692 //
     /* 2095635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095681 */     // MIs[0] round
     /* 2095681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095684 */     // MIs[0] policy
     /* 2095684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095694 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2095697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095720 */     // GIR_Coverage, 16692,
     /* 2095720 */     GIR_EraseRootFromParent_Done,
     /* 2095721 */   // Label 27754: @2095721
     /* 2095721 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2095812), // Rule ID 16695 //
     /* 2095726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2095743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2095746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095772 */     // MIs[0] round
     /* 2095772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095775 */     // MIs[0] policy
     /* 2095775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095785 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2095788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095811 */     // GIR_Coverage, 16695,
     /* 2095811 */     GIR_EraseRootFromParent_Done,
     /* 2095812 */   // Label 27755: @2095812
     /* 2095812 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2095903), // Rule ID 16696 //
     /* 2095817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2095834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2095837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095863 */     // MIs[0] round
     /* 2095863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095866 */     // MIs[0] policy
     /* 2095866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095876 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2095879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095902 */     // GIR_Coverage, 16696,
     /* 2095902 */     GIR_EraseRootFromParent_Done,
     /* 2095903 */   // Label 27756: @2095903
     /* 2095903 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2095994), // Rule ID 16699 //
     /* 2095908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2095928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095954 */     // MIs[0] round
     /* 2095954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095957 */     // MIs[0] policy
     /* 2095957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095967 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2095970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095993 */     // GIR_Coverage, 16699,
     /* 2095993 */     GIR_EraseRootFromParent_Done,
     /* 2095994 */   // Label 27757: @2095994
     /* 2095994 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2096085), // Rule ID 16700 //
     /* 2095999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2096010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2096013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2096019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096045 */     // MIs[0] round
     /* 2096045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096048 */     // MIs[0] policy
     /* 2096048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096058 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2096061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096084 */     // GIR_Coverage, 16700,
     /* 2096084 */     GIR_EraseRootFromParent_Done,
     /* 2096085 */   // Label 27758: @2096085
     /* 2096085 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2096176), // Rule ID 16703 //
     /* 2096090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096136 */     // MIs[0] round
     /* 2096136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096139 */     // MIs[0] policy
     /* 2096139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096149 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096175 */     // GIR_Coverage, 16703,
     /* 2096175 */     GIR_EraseRootFromParent_Done,
     /* 2096176 */   // Label 27759: @2096176
     /* 2096176 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2096267), // Rule ID 16704 //
     /* 2096181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096227 */     // MIs[0] round
     /* 2096227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096230 */     // MIs[0] policy
     /* 2096230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096240 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096266 */     // GIR_Coverage, 16704,
     /* 2096266 */     GIR_EraseRootFromParent_Done,
     /* 2096267 */   // Label 27760: @2096267
     /* 2096267 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2096358), // Rule ID 16707 //
     /* 2096272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096318 */     // MIs[0] round
     /* 2096318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096321 */     // MIs[0] policy
     /* 2096321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096331 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096357 */     // GIR_Coverage, 16707,
     /* 2096357 */     GIR_EraseRootFromParent_Done,
     /* 2096358 */   // Label 27761: @2096358
     /* 2096358 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2096449), // Rule ID 16708 //
     /* 2096363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096409 */     // MIs[0] round
     /* 2096409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096412 */     // MIs[0] policy
     /* 2096412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096422 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096448 */     // GIR_Coverage, 16708,
     /* 2096448 */     GIR_EraseRootFromParent_Done,
     /* 2096449 */   // Label 27762: @2096449
     /* 2096449 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2096540), // Rule ID 16711 //
     /* 2096454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096500 */     // MIs[0] round
     /* 2096500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096503 */     // MIs[0] policy
     /* 2096503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096513 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096539 */     // GIR_Coverage, 16711,
     /* 2096539 */     GIR_EraseRootFromParent_Done,
     /* 2096540 */   // Label 27763: @2096540
     /* 2096540 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2096631), // Rule ID 16712 //
     /* 2096545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096591 */     // MIs[0] round
     /* 2096591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096594 */     // MIs[0] policy
     /* 2096594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096604 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096630 */     // GIR_Coverage, 16712,
     /* 2096630 */     GIR_EraseRootFromParent_Done,
     /* 2096631 */   // Label 27764: @2096631
     /* 2096631 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2096722), // Rule ID 16715 //
     /* 2096636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2096639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2096647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2096650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2096656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096682 */     // MIs[0] round
     /* 2096682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096685 */     // MIs[0] policy
     /* 2096685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096695 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2096698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096721 */     // GIR_Coverage, 16715,
     /* 2096721 */     GIR_EraseRootFromParent_Done,
     /* 2096722 */   // Label 27765: @2096722
     /* 2096722 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2096813), // Rule ID 16716 //
     /* 2096727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2096730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2096738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2096741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2096747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096773 */     // MIs[0] round
     /* 2096773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096776 */     // MIs[0] policy
     /* 2096776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096786 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2096789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096812 */     // GIR_Coverage, 16716,
     /* 2096812 */     GIR_EraseRootFromParent_Done,
     /* 2096813 */   // Label 27766: @2096813
     /* 2096813 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2096904), // Rule ID 16719 //
     /* 2096818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2096838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096864 */     // MIs[0] round
     /* 2096864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096867 */     // MIs[0] policy
     /* 2096867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096877 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2096880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096903 */     // GIR_Coverage, 16719,
     /* 2096903 */     GIR_EraseRootFromParent_Done,
     /* 2096904 */   // Label 27767: @2096904
     /* 2096904 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2096995), // Rule ID 16720 //
     /* 2096909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2096929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096955 */     // MIs[0] round
     /* 2096955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096958 */     // MIs[0] policy
     /* 2096958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2096971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096994 */     // GIR_Coverage, 16720,
     /* 2096994 */     GIR_EraseRootFromParent_Done,
     /* 2096995 */   // Label 27768: @2096995
     /* 2096995 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2097086), // Rule ID 16723 //
     /* 2097000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2097011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2097014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2097020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097046 */     // MIs[0] round
     /* 2097046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097049 */     // MIs[0] policy
     /* 2097049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097059 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097085 */     // GIR_Coverage, 16723,
     /* 2097085 */     GIR_EraseRootFromParent_Done,
     /* 2097086 */   // Label 27769: @2097086
     /* 2097086 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2097177), // Rule ID 16724 //
     /* 2097091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2097102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2097105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2097111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097137 */     // MIs[0] round
     /* 2097137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097140 */     // MIs[0] policy
     /* 2097140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097150 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097176 */     // GIR_Coverage, 16724,
     /* 2097176 */     GIR_EraseRootFromParent_Done,
     /* 2097177 */   // Label 27770: @2097177
     /* 2097177 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2097268), // Rule ID 16727 //
     /* 2097182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097228 */     // MIs[0] round
     /* 2097228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097231 */     // MIs[0] policy
     /* 2097231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097241 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097267 */     // GIR_Coverage, 16727,
     /* 2097267 */     GIR_EraseRootFromParent_Done,
     /* 2097268 */   // Label 27771: @2097268
     /* 2097268 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2097359), // Rule ID 16728 //
     /* 2097273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097319 */     // MIs[0] round
     /* 2097319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097322 */     // MIs[0] policy
     /* 2097322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097332 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097358 */     // GIR_Coverage, 16728,
     /* 2097358 */     GIR_EraseRootFromParent_Done,
     /* 2097359 */   // Label 27772: @2097359
     /* 2097359 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2097450), // Rule ID 16731 //
     /* 2097364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097410 */     // MIs[0] round
     /* 2097410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097413 */     // MIs[0] policy
     /* 2097413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097423 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097449 */     // GIR_Coverage, 16731,
     /* 2097449 */     GIR_EraseRootFromParent_Done,
     /* 2097450 */   // Label 27773: @2097450
     /* 2097450 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2097541), // Rule ID 16732 //
     /* 2097455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097501 */     // MIs[0] round
     /* 2097501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097504 */     // MIs[0] policy
     /* 2097504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097514 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097540 */     // GIR_Coverage, 16732,
     /* 2097540 */     GIR_EraseRootFromParent_Done,
     /* 2097541 */   // Label 27774: @2097541
     /* 2097541 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2097632), // Rule ID 16735 //
     /* 2097546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097592 */     // MIs[0] round
     /* 2097592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097595 */     // MIs[0] policy
     /* 2097595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097605 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2097608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097631 */     // GIR_Coverage, 16735,
     /* 2097631 */     GIR_EraseRootFromParent_Done,
     /* 2097632 */   // Label 27775: @2097632
     /* 2097632 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2097723), // Rule ID 16736 //
     /* 2097637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097683 */     // MIs[0] round
     /* 2097683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097686 */     // MIs[0] policy
     /* 2097686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097696 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2097699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097722 */     // GIR_Coverage, 16736,
     /* 2097722 */     GIR_EraseRootFromParent_Done,
     /* 2097723 */   // Label 27776: @2097723
     /* 2097723 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2097814), // Rule ID 16739 //
     /* 2097728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2097739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2097742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2097745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2097748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097774 */     // MIs[0] round
     /* 2097774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097777 */     // MIs[0] policy
     /* 2097777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097787 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2097790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097813 */     // GIR_Coverage, 16739,
     /* 2097813 */     GIR_EraseRootFromParent_Done,
     /* 2097814 */   // Label 27777: @2097814
     /* 2097814 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2097905), // Rule ID 16740 //
     /* 2097819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2097830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2097833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2097836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2097839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097865 */     // MIs[0] round
     /* 2097865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097868 */     // MIs[0] policy
     /* 2097868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097878 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2097881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097904 */     // GIR_Coverage, 16740,
     /* 2097904 */     GIR_EraseRootFromParent_Done,
     /* 2097905 */   // Label 27778: @2097905
     /* 2097905 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2097996), // Rule ID 16743 //
     /* 2097910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2097921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2097924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2097930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097956 */     // MIs[0] round
     /* 2097956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097959 */     // MIs[0] policy
     /* 2097959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097969 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2097972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097995 */     // GIR_Coverage, 16743,
     /* 2097995 */     GIR_EraseRootFromParent_Done,
     /* 2097996 */   // Label 27779: @2097996
     /* 2097996 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2098087), // Rule ID 16744 //
     /* 2098001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2098012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2098015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2098021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098047 */     // MIs[0] round
     /* 2098047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098050 */     // MIs[0] policy
     /* 2098050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098060 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2098063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098086 */     // GIR_Coverage, 16744,
     /* 2098086 */     GIR_EraseRootFromParent_Done,
     /* 2098087 */   // Label 27780: @2098087
     /* 2098087 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2098178), // Rule ID 16747 //
     /* 2098092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098138 */     // MIs[0] round
     /* 2098138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098141 */     // MIs[0] policy
     /* 2098141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098151 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098177 */     // GIR_Coverage, 16747,
     /* 2098177 */     GIR_EraseRootFromParent_Done,
     /* 2098178 */   // Label 27781: @2098178
     /* 2098178 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2098269), // Rule ID 16748 //
     /* 2098183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098229 */     // MIs[0] round
     /* 2098229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098232 */     // MIs[0] policy
     /* 2098232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098268 */     // GIR_Coverage, 16748,
     /* 2098268 */     GIR_EraseRootFromParent_Done,
     /* 2098269 */   // Label 27782: @2098269
     /* 2098269 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2098360), // Rule ID 16751 //
     /* 2098274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098320 */     // MIs[0] round
     /* 2098320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098323 */     // MIs[0] policy
     /* 2098323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098333 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098359 */     // GIR_Coverage, 16751,
     /* 2098359 */     GIR_EraseRootFromParent_Done,
     /* 2098360 */   // Label 27783: @2098360
     /* 2098360 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2098451), // Rule ID 16752 //
     /* 2098365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098411 */     // MIs[0] round
     /* 2098411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098414 */     // MIs[0] policy
     /* 2098414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098424 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098450 */     // GIR_Coverage, 16752,
     /* 2098450 */     GIR_EraseRootFromParent_Done,
     /* 2098451 */   // Label 27784: @2098451
     /* 2098451 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2098542), // Rule ID 16755 //
     /* 2098456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098502 */     // MIs[0] round
     /* 2098502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098505 */     // MIs[0] policy
     /* 2098505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098515 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098541 */     // GIR_Coverage, 16755,
     /* 2098541 */     GIR_EraseRootFromParent_Done,
     /* 2098542 */   // Label 27785: @2098542
     /* 2098542 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2098633), // Rule ID 16756 //
     /* 2098547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098593 */     // MIs[0] round
     /* 2098593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098596 */     // MIs[0] policy
     /* 2098596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098606 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098632 */     // GIR_Coverage, 16756,
     /* 2098632 */     GIR_EraseRootFromParent_Done,
     /* 2098633 */   // Label 27786: @2098633
     /* 2098633 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2098724), // Rule ID 16759 //
     /* 2098638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2098649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2098652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2098655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098684 */     // MIs[0] round
     /* 2098684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098687 */     // MIs[0] policy
     /* 2098687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098697 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2098700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098723 */     // GIR_Coverage, 16759,
     /* 2098723 */     GIR_EraseRootFromParent_Done,
     /* 2098724 */   // Label 27787: @2098724
     /* 2098724 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2098815), // Rule ID 16760 //
     /* 2098729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2098740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2098743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2098746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098775 */     // MIs[0] round
     /* 2098775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098778 */     // MIs[0] policy
     /* 2098778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098788 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2098791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098814 */     // GIR_Coverage, 16760,
     /* 2098814 */     GIR_EraseRootFromParent_Done,
     /* 2098815 */   // Label 27788: @2098815
     /* 2098815 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2098906), // Rule ID 16763 //
     /* 2098820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098866 */     // MIs[0] round
     /* 2098866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098869 */     // MIs[0] policy
     /* 2098869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098879 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2098882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098905 */     // GIR_Coverage, 16763,
     /* 2098905 */     GIR_EraseRootFromParent_Done,
     /* 2098906 */   // Label 27789: @2098906
     /* 2098906 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2098997), // Rule ID 16764 //
     /* 2098911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098957 */     // MIs[0] round
     /* 2098957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098960 */     // MIs[0] policy
     /* 2098960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098970 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2098973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098996 */     // GIR_Coverage, 16764,
     /* 2098996 */     GIR_EraseRootFromParent_Done,
     /* 2098997 */   // Label 27790: @2098997
     /* 2098997 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2099088), // Rule ID 16767 //
     /* 2099002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099048 */     // MIs[0] round
     /* 2099048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099051 */     // MIs[0] policy
     /* 2099051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099061 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099087 */     // GIR_Coverage, 16767,
     /* 2099087 */     GIR_EraseRootFromParent_Done,
     /* 2099088 */   // Label 27791: @2099088
     /* 2099088 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2099179), // Rule ID 16768 //
     /* 2099093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099139 */     // MIs[0] round
     /* 2099139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099142 */     // MIs[0] policy
     /* 2099142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099178 */     // GIR_Coverage, 16768,
     /* 2099178 */     GIR_EraseRootFromParent_Done,
     /* 2099179 */   // Label 27792: @2099179
     /* 2099179 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2099270), // Rule ID 16771 //
     /* 2099184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099230 */     // MIs[0] round
     /* 2099230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099233 */     // MIs[0] policy
     /* 2099233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099243 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099269 */     // GIR_Coverage, 16771,
     /* 2099269 */     GIR_EraseRootFromParent_Done,
     /* 2099270 */   // Label 27793: @2099270
     /* 2099270 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2099361), // Rule ID 16772 //
     /* 2099275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099321 */     // MIs[0] round
     /* 2099321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099324 */     // MIs[0] policy
     /* 2099324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099360 */     // GIR_Coverage, 16772,
     /* 2099360 */     GIR_EraseRootFromParent_Done,
     /* 2099361 */   // Label 27794: @2099361
     /* 2099361 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2099452), // Rule ID 16775 //
     /* 2099366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099412 */     // MIs[0] round
     /* 2099412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099415 */     // MIs[0] policy
     /* 2099415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099425 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099451 */     // GIR_Coverage, 16775,
     /* 2099451 */     GIR_EraseRootFromParent_Done,
     /* 2099452 */   // Label 27795: @2099452
     /* 2099452 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2099543), // Rule ID 16776 //
     /* 2099457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099503 */     // MIs[0] round
     /* 2099503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099506 */     // MIs[0] policy
     /* 2099506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099542 */     // GIR_Coverage, 16776,
     /* 2099542 */     GIR_EraseRootFromParent_Done,
     /* 2099543 */   // Label 27796: @2099543
     /* 2099543 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2099634), // Rule ID 16779 //
     /* 2099548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099594 */     // MIs[0] round
     /* 2099594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099597 */     // MIs[0] policy
     /* 2099597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099607 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2099610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099633 */     // GIR_Coverage, 16779,
     /* 2099633 */     GIR_EraseRootFromParent_Done,
     /* 2099634 */   // Label 27797: @2099634
     /* 2099634 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2099725), // Rule ID 16780 //
     /* 2099639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099685 */     // MIs[0] round
     /* 2099685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099688 */     // MIs[0] policy
     /* 2099688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099698 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2099701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099724 */     // GIR_Coverage, 16780,
     /* 2099724 */     GIR_EraseRootFromParent_Done,
     /* 2099725 */   // Label 27798: @2099725
     /* 2099725 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2099816), // Rule ID 16783 //
     /* 2099730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2099741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2099744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2099747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099776 */     // MIs[0] round
     /* 2099776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099779 */     // MIs[0] policy
     /* 2099779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099789 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2099792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099815 */     // GIR_Coverage, 16783,
     /* 2099815 */     GIR_EraseRootFromParent_Done,
     /* 2099816 */   // Label 27799: @2099816
     /* 2099816 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2099907), // Rule ID 16784 //
     /* 2099821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2099832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2099835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2099838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099867 */     // MIs[0] round
     /* 2099867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099870 */     // MIs[0] policy
     /* 2099870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099880 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2099883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099906 */     // GIR_Coverage, 16784,
     /* 2099906 */     GIR_EraseRootFromParent_Done,
     /* 2099907 */   // Label 27800: @2099907
     /* 2099907 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2099998), // Rule ID 16787 //
     /* 2099912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2099923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2099926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2099929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2099935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099958 */     // MIs[0] round
     /* 2099958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099961 */     // MIs[0] policy
     /* 2099961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099971 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2099974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099997 */     // GIR_Coverage, 16787,
     /* 2099997 */     GIR_EraseRootFromParent_Done,
     /* 2099998 */   // Label 27801: @2099998
     /* 2099998 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2100089), // Rule ID 16788 //
     /* 2100003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2100014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2100017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2100020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2100026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100049 */     // MIs[0] round
     /* 2100049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100052 */     // MIs[0] policy
     /* 2100052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100062 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2100065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100088 */     // GIR_Coverage, 16788,
     /* 2100088 */     GIR_EraseRootFromParent_Done,
     /* 2100089 */   // Label 27802: @2100089
     /* 2100089 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2100180), // Rule ID 16791 //
     /* 2100094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100140 */     // MIs[0] round
     /* 2100140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100143 */     // MIs[0] policy
     /* 2100143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100153 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100179 */     // GIR_Coverage, 16791,
     /* 2100179 */     GIR_EraseRootFromParent_Done,
     /* 2100180 */   // Label 27803: @2100180
     /* 2100180 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2100271), // Rule ID 16792 //
     /* 2100185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100231 */     // MIs[0] round
     /* 2100231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100234 */     // MIs[0] policy
     /* 2100234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100244 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100270 */     // GIR_Coverage, 16792,
     /* 2100270 */     GIR_EraseRootFromParent_Done,
     /* 2100271 */   // Label 27804: @2100271
     /* 2100271 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2100362), // Rule ID 16795 //
     /* 2100276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100322 */     // MIs[0] round
     /* 2100322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100325 */     // MIs[0] policy
     /* 2100325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100335 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100361 */     // GIR_Coverage, 16795,
     /* 2100361 */     GIR_EraseRootFromParent_Done,
     /* 2100362 */   // Label 27805: @2100362
     /* 2100362 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2100453), // Rule ID 16796 //
     /* 2100367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100413 */     // MIs[0] round
     /* 2100413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100416 */     // MIs[0] policy
     /* 2100416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100426 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100452 */     // GIR_Coverage, 16796,
     /* 2100452 */     GIR_EraseRootFromParent_Done,
     /* 2100453 */   // Label 27806: @2100453
     /* 2100453 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2100544), // Rule ID 16799 //
     /* 2100458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100504 */     // MIs[0] round
     /* 2100504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100507 */     // MIs[0] policy
     /* 2100507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100517 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100543 */     // GIR_Coverage, 16799,
     /* 2100543 */     GIR_EraseRootFromParent_Done,
     /* 2100544 */   // Label 27807: @2100544
     /* 2100544 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2100635), // Rule ID 16800 //
     /* 2100549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100595 */     // MIs[0] round
     /* 2100595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100598 */     // MIs[0] policy
     /* 2100598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100634 */     // GIR_Coverage, 16800,
     /* 2100634 */     GIR_EraseRootFromParent_Done,
     /* 2100635 */   // Label 27808: @2100635
     /* 2100635 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2100726), // Rule ID 16803 //
     /* 2100640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2100651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2100654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2100657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100686 */     // MIs[0] round
     /* 2100686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100689 */     // MIs[0] policy
     /* 2100689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100699 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2100702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100725 */     // GIR_Coverage, 16803,
     /* 2100725 */     GIR_EraseRootFromParent_Done,
     /* 2100726 */   // Label 27809: @2100726
     /* 2100726 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2100817), // Rule ID 16804 //
     /* 2100731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2100734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2100742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2100745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2100748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100777 */     // MIs[0] round
     /* 2100777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100780 */     // MIs[0] policy
     /* 2100780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2100793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100816 */     // GIR_Coverage, 16804,
     /* 2100816 */     GIR_EraseRootFromParent_Done,
     /* 2100817 */   // Label 27810: @2100817
     /* 2100817 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2100908), // Rule ID 16807 //
     /* 2100822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2100833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2100836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2100839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100868 */     // MIs[0] round
     /* 2100868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100871 */     // MIs[0] policy
     /* 2100871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100881 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2100884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100907 */     // GIR_Coverage, 16807,
     /* 2100907 */     GIR_EraseRootFromParent_Done,
     /* 2100908 */   // Label 27811: @2100908
     /* 2100908 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2100999), // Rule ID 16808 //
     /* 2100913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2100916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2100924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2100927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2100930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100959 */     // MIs[0] round
     /* 2100959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100962 */     // MIs[0] policy
     /* 2100962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100972 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2100975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100998 */     // GIR_Coverage, 16808,
     /* 2100998 */     GIR_EraseRootFromParent_Done,
     /* 2100999 */   // Label 27812: @2100999
     /* 2100999 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2101090), // Rule ID 16811 //
     /* 2101004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101050 */     // MIs[0] round
     /* 2101050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101053 */     // MIs[0] policy
     /* 2101053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101063 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101089 */     // GIR_Coverage, 16811,
     /* 2101089 */     GIR_EraseRootFromParent_Done,
     /* 2101090 */   // Label 27813: @2101090
     /* 2101090 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2101181), // Rule ID 16812 //
     /* 2101095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101141 */     // MIs[0] round
     /* 2101141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101144 */     // MIs[0] policy
     /* 2101144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101154 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101180 */     // GIR_Coverage, 16812,
     /* 2101180 */     GIR_EraseRootFromParent_Done,
     /* 2101181 */   // Label 27814: @2101181
     /* 2101181 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2101272), // Rule ID 16815 //
     /* 2101186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101232 */     // MIs[0] round
     /* 2101232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101235 */     // MIs[0] policy
     /* 2101235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101245 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101271 */     // GIR_Coverage, 16815,
     /* 2101271 */     GIR_EraseRootFromParent_Done,
     /* 2101272 */   // Label 27815: @2101272
     /* 2101272 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2101363), // Rule ID 16816 //
     /* 2101277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101323 */     // MIs[0] round
     /* 2101323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101326 */     // MIs[0] policy
     /* 2101326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101336 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101362 */     // GIR_Coverage, 16816,
     /* 2101362 */     GIR_EraseRootFromParent_Done,
     /* 2101363 */   // Label 27816: @2101363
     /* 2101363 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2101454), // Rule ID 16819 //
     /* 2101368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101414 */     // MIs[0] round
     /* 2101414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101417 */     // MIs[0] policy
     /* 2101417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101453 */     // GIR_Coverage, 16819,
     /* 2101453 */     GIR_EraseRootFromParent_Done,
     /* 2101454 */   // Label 27817: @2101454
     /* 2101454 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2101545), // Rule ID 16820 //
     /* 2101459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101505 */     // MIs[0] round
     /* 2101505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101508 */     // MIs[0] policy
     /* 2101508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101518 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101544 */     // GIR_Coverage, 16820,
     /* 2101544 */     GIR_EraseRootFromParent_Done,
     /* 2101545 */   // Label 27818: @2101545
     /* 2101545 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2101636), // Rule ID 16823 //
     /* 2101550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101596 */     // MIs[0] round
     /* 2101596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101599 */     // MIs[0] policy
     /* 2101599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101609 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2101612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101635 */     // GIR_Coverage, 16823,
     /* 2101635 */     GIR_EraseRootFromParent_Done,
     /* 2101636 */   // Label 27819: @2101636
     /* 2101636 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2101727), // Rule ID 16824 //
     /* 2101641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101687 */     // MIs[0] round
     /* 2101687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101690 */     // MIs[0] policy
     /* 2101690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101700 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2101703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101726 */     // GIR_Coverage, 16824,
     /* 2101726 */     GIR_EraseRootFromParent_Done,
     /* 2101727 */   // Label 27820: @2101727
     /* 2101727 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2101818), // Rule ID 16827 //
     /* 2101732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2101743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2101746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2101749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101778 */     // MIs[0] round
     /* 2101778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101781 */     // MIs[0] policy
     /* 2101781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101791 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2101794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101817 */     // GIR_Coverage, 16827,
     /* 2101817 */     GIR_EraseRootFromParent_Done,
     /* 2101818 */   // Label 27821: @2101818
     /* 2101818 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2101909), // Rule ID 16828 //
     /* 2101823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2101834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2101837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2101840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101869 */     // MIs[0] round
     /* 2101869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101872 */     // MIs[0] policy
     /* 2101872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101882 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2101885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101908 */     // GIR_Coverage, 16828,
     /* 2101908 */     GIR_EraseRootFromParent_Done,
     /* 2101909 */   // Label 27822: @2101909
     /* 2101909 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2102000), // Rule ID 16831 //
     /* 2101914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2101931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101960 */     // MIs[0] round
     /* 2101960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101963 */     // MIs[0] policy
     /* 2101963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101973 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2101976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101999 */     // GIR_Coverage, 16831,
     /* 2101999 */     GIR_EraseRootFromParent_Done,
     /* 2102000 */   // Label 27823: @2102000
     /* 2102000 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2102091), // Rule ID 16832 //
     /* 2102005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102051 */     // MIs[0] round
     /* 2102051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102054 */     // MIs[0] policy
     /* 2102054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102064 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2102067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102090 */     // GIR_Coverage, 16832,
     /* 2102090 */     GIR_EraseRootFromParent_Done,
     /* 2102091 */   // Label 27824: @2102091
     /* 2102091 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2102182), // Rule ID 16835 //
     /* 2102096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102142 */     // MIs[0] round
     /* 2102142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102145 */     // MIs[0] policy
     /* 2102145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102181 */     // GIR_Coverage, 16835,
     /* 2102181 */     GIR_EraseRootFromParent_Done,
     /* 2102182 */   // Label 27825: @2102182
     /* 2102182 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2102273), // Rule ID 16836 //
     /* 2102187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102233 */     // MIs[0] round
     /* 2102233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102236 */     // MIs[0] policy
     /* 2102236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102246 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102272 */     // GIR_Coverage, 16836,
     /* 2102272 */     GIR_EraseRootFromParent_Done,
     /* 2102273 */   // Label 27826: @2102273
     /* 2102273 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2102364), // Rule ID 16839 //
     /* 2102278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102324 */     // MIs[0] round
     /* 2102324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102327 */     // MIs[0] policy
     /* 2102327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102337 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102363 */     // GIR_Coverage, 16839,
     /* 2102363 */     GIR_EraseRootFromParent_Done,
     /* 2102364 */   // Label 27827: @2102364
     /* 2102364 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2102455), // Rule ID 16840 //
     /* 2102369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102415 */     // MIs[0] round
     /* 2102415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102418 */     // MIs[0] policy
     /* 2102418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102428 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102454 */     // GIR_Coverage, 16840,
     /* 2102454 */     GIR_EraseRootFromParent_Done,
     /* 2102455 */   // Label 27828: @2102455
     /* 2102455 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2102546), // Rule ID 16843 //
     /* 2102460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102506 */     // MIs[0] round
     /* 2102506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102509 */     // MIs[0] policy
     /* 2102509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102519 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2102522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102545 */     // GIR_Coverage, 16843,
     /* 2102545 */     GIR_EraseRootFromParent_Done,
     /* 2102546 */   // Label 27829: @2102546
     /* 2102546 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2102637), // Rule ID 16844 //
     /* 2102551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102597 */     // MIs[0] round
     /* 2102597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102600 */     // MIs[0] policy
     /* 2102600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102610 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2102613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102636 */     // GIR_Coverage, 16844,
     /* 2102636 */     GIR_EraseRootFromParent_Done,
     /* 2102637 */   // Label 27830: @2102637
     /* 2102637 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2102728), // Rule ID 16847 //
     /* 2102642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2102653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2102656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2102659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2102665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102688 */     // MIs[0] round
     /* 2102688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102691 */     // MIs[0] policy
     /* 2102691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102701 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2102704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102727 */     // GIR_Coverage, 16847,
     /* 2102727 */     GIR_EraseRootFromParent_Done,
     /* 2102728 */   // Label 27831: @2102728
     /* 2102728 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2102819), // Rule ID 16848 //
     /* 2102733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2102744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2102747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2102750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2102756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102779 */     // MIs[0] round
     /* 2102779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102782 */     // MIs[0] policy
     /* 2102782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102792 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2102795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102818 */     // GIR_Coverage, 16848,
     /* 2102818 */     GIR_EraseRootFromParent_Done,
     /* 2102819 */   // Label 27832: @2102819
     /* 2102819 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2102910), // Rule ID 16851 //
     /* 2102824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2102835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2102838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102870 */     // MIs[0] round
     /* 2102870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102873 */     // MIs[0] policy
     /* 2102873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102883 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2102886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102909 */     // GIR_Coverage, 16851,
     /* 2102909 */     GIR_EraseRootFromParent_Done,
     /* 2102910 */   // Label 27833: @2102910
     /* 2102910 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2103001), // Rule ID 16852 //
     /* 2102915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2102926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2102929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102961 */     // MIs[0] round
     /* 2102961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102964 */     // MIs[0] policy
     /* 2102964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102974 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2102977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103000 */     // GIR_Coverage, 16852,
     /* 2103000 */     GIR_EraseRootFromParent_Done,
     /* 2103001 */   // Label 27834: @2103001
     /* 2103001 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2103092), // Rule ID 16855 //
     /* 2103006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103052 */     // MIs[0] round
     /* 2103052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103055 */     // MIs[0] policy
     /* 2103055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103065 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103091 */     // GIR_Coverage, 16855,
     /* 2103091 */     GIR_EraseRootFromParent_Done,
     /* 2103092 */   // Label 27835: @2103092
     /* 2103092 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2103183), // Rule ID 16856 //
     /* 2103097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103143 */     // MIs[0] round
     /* 2103143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103146 */     // MIs[0] policy
     /* 2103146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103156 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103182 */     // GIR_Coverage, 16856,
     /* 2103182 */     GIR_EraseRootFromParent_Done,
     /* 2103183 */   // Label 27836: @2103183
     /* 2103183 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2103274), // Rule ID 16859 //
     /* 2103188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103234 */     // MIs[0] round
     /* 2103234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103237 */     // MIs[0] policy
     /* 2103237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103247 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103273 */     // GIR_Coverage, 16859,
     /* 2103273 */     GIR_EraseRootFromParent_Done,
     /* 2103274 */   // Label 27837: @2103274
     /* 2103274 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2103365), // Rule ID 16860 //
     /* 2103279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103325 */     // MIs[0] round
     /* 2103325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103328 */     // MIs[0] policy
     /* 2103328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103338 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103364 */     // GIR_Coverage, 16860,
     /* 2103364 */     GIR_EraseRootFromParent_Done,
     /* 2103365 */   // Label 27838: @2103365
     /* 2103365 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2103456), // Rule ID 16863 //
     /* 2103370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103416 */     // MIs[0] round
     /* 2103416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103419 */     // MIs[0] policy
     /* 2103419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103429 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103455 */     // GIR_Coverage, 16863,
     /* 2103455 */     GIR_EraseRootFromParent_Done,
     /* 2103456 */   // Label 27839: @2103456
     /* 2103456 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2103547), // Rule ID 16864 //
     /* 2103461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103507 */     // MIs[0] round
     /* 2103507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103510 */     // MIs[0] policy
     /* 2103510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103520 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103546 */     // GIR_Coverage, 16864,
     /* 2103546 */     GIR_EraseRootFromParent_Done,
     /* 2103547 */   // Label 27840: @2103547
     /* 2103547 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2103638), // Rule ID 16867 //
     /* 2103552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103598 */     // MIs[0] round
     /* 2103598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103601 */     // MIs[0] policy
     /* 2103601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103611 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2103614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103637 */     // GIR_Coverage, 16867,
     /* 2103637 */     GIR_EraseRootFromParent_Done,
     /* 2103638 */   // Label 27841: @2103638
     /* 2103638 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2103729), // Rule ID 16868 //
     /* 2103643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103689 */     // MIs[0] round
     /* 2103689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103692 */     // MIs[0] policy
     /* 2103692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103702 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2103705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103728 */     // GIR_Coverage, 16868,
     /* 2103728 */     GIR_EraseRootFromParent_Done,
     /* 2103729 */   // Label 27842: @2103729
     /* 2103729 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2103820), // Rule ID 16871 //
     /* 2103734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2103745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2103748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2103751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103780 */     // MIs[0] round
     /* 2103780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103783 */     // MIs[0] policy
     /* 2103783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103793 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2103796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103819 */     // GIR_Coverage, 16871,
     /* 2103819 */     GIR_EraseRootFromParent_Done,
     /* 2103820 */   // Label 27843: @2103820
     /* 2103820 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2103911), // Rule ID 16872 //
     /* 2103825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2103836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2103839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2103842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103871 */     // MIs[0] round
     /* 2103871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103874 */     // MIs[0] policy
     /* 2103874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2103887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103910 */     // GIR_Coverage, 16872,
     /* 2103910 */     GIR_EraseRootFromParent_Done,
     /* 2103911 */   // Label 27844: @2103911
     /* 2103911 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2104002), // Rule ID 16875 //
     /* 2103916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2103927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2103930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2103936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103962 */     // MIs[0] round
     /* 2103962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103965 */     // MIs[0] policy
     /* 2103965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103975 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2103978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104001 */     // GIR_Coverage, 16875,
     /* 2104001 */     GIR_EraseRootFromParent_Done,
     /* 2104002 */   // Label 27845: @2104002
     /* 2104002 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2104093), // Rule ID 16876 //
     /* 2104007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2104018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2104021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104053 */     // MIs[0] round
     /* 2104053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104056 */     // MIs[0] policy
     /* 2104056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104066 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2104069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104092 */     // GIR_Coverage, 16876,
     /* 2104092 */     GIR_EraseRootFromParent_Done,
     /* 2104093 */   // Label 27846: @2104093
     /* 2104093 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2104184), // Rule ID 16879 //
     /* 2104098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104144 */     // MIs[0] round
     /* 2104144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104147 */     // MIs[0] policy
     /* 2104147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104157 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104183 */     // GIR_Coverage, 16879,
     /* 2104183 */     GIR_EraseRootFromParent_Done,
     /* 2104184 */   // Label 27847: @2104184
     /* 2104184 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2104275), // Rule ID 16880 //
     /* 2104189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104235 */     // MIs[0] round
     /* 2104235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104238 */     // MIs[0] policy
     /* 2104238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104274 */     // GIR_Coverage, 16880,
     /* 2104274 */     GIR_EraseRootFromParent_Done,
     /* 2104275 */   // Label 27848: @2104275
     /* 2104275 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2104366), // Rule ID 16883 //
     /* 2104280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104326 */     // MIs[0] round
     /* 2104326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104329 */     // MIs[0] policy
     /* 2104329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104365 */     // GIR_Coverage, 16883,
     /* 2104365 */     GIR_EraseRootFromParent_Done,
     /* 2104366 */   // Label 27849: @2104366
     /* 2104366 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2104457), // Rule ID 16884 //
     /* 2104371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104417 */     // MIs[0] round
     /* 2104417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104420 */     // MIs[0] policy
     /* 2104420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104430 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104456 */     // GIR_Coverage, 16884,
     /* 2104456 */     GIR_EraseRootFromParent_Done,
     /* 2104457 */   // Label 27850: @2104457
     /* 2104457 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2104548), // Rule ID 16887 //
     /* 2104462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104508 */     // MIs[0] round
     /* 2104508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104511 */     // MIs[0] policy
     /* 2104511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104521 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2104524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104547 */     // GIR_Coverage, 16887,
     /* 2104547 */     GIR_EraseRootFromParent_Done,
     /* 2104548 */   // Label 27851: @2104548
     /* 2104548 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2104639), // Rule ID 16888 //
     /* 2104553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104599 */     // MIs[0] round
     /* 2104599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104602 */     // MIs[0] policy
     /* 2104602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104612 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2104615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104638 */     // GIR_Coverage, 16888,
     /* 2104638 */     GIR_EraseRootFromParent_Done,
     /* 2104639 */   // Label 27852: @2104639
     /* 2104639 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2104730), // Rule ID 16891 //
     /* 2104644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2104664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104690 */     // MIs[0] round
     /* 2104690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104693 */     // MIs[0] policy
     /* 2104693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104703 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2104706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104729 */     // GIR_Coverage, 16891,
     /* 2104729 */     GIR_EraseRootFromParent_Done,
     /* 2104730 */   // Label 27853: @2104730
     /* 2104730 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2104821), // Rule ID 16892 //
     /* 2104735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2104755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104781 */     // MIs[0] round
     /* 2104781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104784 */     // MIs[0] policy
     /* 2104784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104794 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2104797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104820 */     // GIR_Coverage, 16892,
     /* 2104820 */     GIR_EraseRootFromParent_Done,
     /* 2104821 */   // Label 27854: @2104821
     /* 2104821 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2104912), // Rule ID 16895 //
     /* 2104826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2104829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2104837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2104840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2104843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2104846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104872 */     // MIs[0] round
     /* 2104872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104875 */     // MIs[0] policy
     /* 2104875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104885 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2104888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104911 */     // GIR_Coverage, 16895,
     /* 2104911 */     GIR_EraseRootFromParent_Done,
     /* 2104912 */   // Label 27855: @2104912
     /* 2104912 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2105003), // Rule ID 16896 //
     /* 2104917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2104920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2104928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2104931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2104934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2104937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104963 */     // MIs[0] round
     /* 2104963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104966 */     // MIs[0] policy
     /* 2104966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2104979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105002 */     // GIR_Coverage, 16896,
     /* 2105002 */     GIR_EraseRootFromParent_Done,
     /* 2105003 */   // Label 27856: @2105003
     /* 2105003 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2105094), // Rule ID 16899 //
     /* 2105008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105054 */     // MIs[0] round
     /* 2105054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105057 */     // MIs[0] policy
     /* 2105057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105067 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105093 */     // GIR_Coverage, 16899,
     /* 2105093 */     GIR_EraseRootFromParent_Done,
     /* 2105094 */   // Label 27857: @2105094
     /* 2105094 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2105185), // Rule ID 16900 //
     /* 2105099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105145 */     // MIs[0] round
     /* 2105145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105148 */     // MIs[0] policy
     /* 2105148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105158 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105184 */     // GIR_Coverage, 16900,
     /* 2105184 */     GIR_EraseRootFromParent_Done,
     /* 2105185 */   // Label 27858: @2105185
     /* 2105185 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2105276), // Rule ID 16903 //
     /* 2105190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105236 */     // MIs[0] round
     /* 2105236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105239 */     // MIs[0] policy
     /* 2105239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105249 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105275 */     // GIR_Coverage, 16903,
     /* 2105275 */     GIR_EraseRootFromParent_Done,
     /* 2105276 */   // Label 27859: @2105276
     /* 2105276 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2105367), // Rule ID 16904 //
     /* 2105281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105327 */     // MIs[0] round
     /* 2105327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105330 */     // MIs[0] policy
     /* 2105330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105340 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105366 */     // GIR_Coverage, 16904,
     /* 2105366 */     GIR_EraseRootFromParent_Done,
     /* 2105367 */   // Label 27860: @2105367
     /* 2105367 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2105458), // Rule ID 16907 //
     /* 2105372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105418 */     // MIs[0] round
     /* 2105418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105421 */     // MIs[0] policy
     /* 2105421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105431 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105457 */     // GIR_Coverage, 16907,
     /* 2105457 */     GIR_EraseRootFromParent_Done,
     /* 2105458 */   // Label 27861: @2105458
     /* 2105458 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2105549), // Rule ID 16908 //
     /* 2105463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105509 */     // MIs[0] round
     /* 2105509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105512 */     // MIs[0] policy
     /* 2105512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105522 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105548 */     // GIR_Coverage, 16908,
     /* 2105548 */     GIR_EraseRootFromParent_Done,
     /* 2105549 */   // Label 27862: @2105549
     /* 2105549 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2105640), // Rule ID 16911 //
     /* 2105554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105600 */     // MIs[0] round
     /* 2105600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105603 */     // MIs[0] policy
     /* 2105603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105613 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2105616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105639 */     // GIR_Coverage, 16911,
     /* 2105639 */     GIR_EraseRootFromParent_Done,
     /* 2105640 */   // Label 27863: @2105640
     /* 2105640 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2105731), // Rule ID 16912 //
     /* 2105645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105691 */     // MIs[0] round
     /* 2105691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105694 */     // MIs[0] policy
     /* 2105694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105704 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2105707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105730 */     // GIR_Coverage, 16912,
     /* 2105730 */     GIR_EraseRootFromParent_Done,
     /* 2105731 */   // Label 27864: @2105731
     /* 2105731 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2105822), // Rule ID 16915 //
     /* 2105736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105782 */     // MIs[0] round
     /* 2105782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105785 */     // MIs[0] policy
     /* 2105785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105795 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2105798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105821 */     // GIR_Coverage, 16915,
     /* 2105821 */     GIR_EraseRootFromParent_Done,
     /* 2105822 */   // Label 27865: @2105822
     /* 2105822 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2105913), // Rule ID 16916 //
     /* 2105827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105873 */     // MIs[0] round
     /* 2105873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105876 */     // MIs[0] policy
     /* 2105876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105886 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2105889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105912 */     // GIR_Coverage, 16916,
     /* 2105912 */     GIR_EraseRootFromParent_Done,
     /* 2105913 */   // Label 27866: @2105913
     /* 2105913 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2106004), // Rule ID 16919 //
     /* 2105918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2105929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2105932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105964 */     // MIs[0] round
     /* 2105964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105967 */     // MIs[0] policy
     /* 2105967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105977 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2105980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106003 */     // GIR_Coverage, 16919,
     /* 2106003 */     GIR_EraseRootFromParent_Done,
     /* 2106004 */   // Label 27867: @2106004
     /* 2106004 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2106095), // Rule ID 16920 //
     /* 2106009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106055 */     // MIs[0] round
     /* 2106055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106058 */     // MIs[0] policy
     /* 2106058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2106071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106094 */     // GIR_Coverage, 16920,
     /* 2106094 */     GIR_EraseRootFromParent_Done,
     /* 2106095 */   // Label 27868: @2106095
     /* 2106095 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2106186), // Rule ID 16923 //
     /* 2106100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106146 */     // MIs[0] round
     /* 2106146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106149 */     // MIs[0] policy
     /* 2106149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106159 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106185 */     // GIR_Coverage, 16923,
     /* 2106185 */     GIR_EraseRootFromParent_Done,
     /* 2106186 */   // Label 27869: @2106186
     /* 2106186 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2106277), // Rule ID 16924 //
     /* 2106191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106237 */     // MIs[0] round
     /* 2106237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106240 */     // MIs[0] policy
     /* 2106240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106276 */     // GIR_Coverage, 16924,
     /* 2106276 */     GIR_EraseRootFromParent_Done,
     /* 2106277 */   // Label 27870: @2106277
     /* 2106277 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2106368), // Rule ID 16927 //
     /* 2106282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106328 */     // MIs[0] round
     /* 2106328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106331 */     // MIs[0] policy
     /* 2106331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106341 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106367 */     // GIR_Coverage, 16927,
     /* 2106367 */     GIR_EraseRootFromParent_Done,
     /* 2106368 */   // Label 27871: @2106368
     /* 2106368 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2106459), // Rule ID 16928 //
     /* 2106373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106419 */     // MIs[0] round
     /* 2106419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106422 */     // MIs[0] policy
     /* 2106422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106458 */     // GIR_Coverage, 16928,
     /* 2106458 */     GIR_EraseRootFromParent_Done,
     /* 2106459 */   // Label 27872: @2106459
     /* 2106459 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2106550), // Rule ID 16931 //
     /* 2106464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106510 */     // MIs[0] round
     /* 2106510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106513 */     // MIs[0] policy
     /* 2106513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2106526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106549 */     // GIR_Coverage, 16931,
     /* 2106549 */     GIR_EraseRootFromParent_Done,
     /* 2106550 */   // Label 27873: @2106550
     /* 2106550 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2106641), // Rule ID 16932 //
     /* 2106555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106601 */     // MIs[0] round
     /* 2106601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106604 */     // MIs[0] policy
     /* 2106604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106614 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2106617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106640 */     // GIR_Coverage, 16932,
     /* 2106640 */     GIR_EraseRootFromParent_Done,
     /* 2106641 */   // Label 27874: @2106641
     /* 2106641 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2106732), // Rule ID 16935 //
     /* 2106646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2106657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2106660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106692 */     // MIs[0] round
     /* 2106692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106695 */     // MIs[0] policy
     /* 2106695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2106708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106731 */     // GIR_Coverage, 16935,
     /* 2106731 */     GIR_EraseRootFromParent_Done,
     /* 2106732 */   // Label 27875: @2106732
     /* 2106732 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2106823), // Rule ID 16936 //
     /* 2106737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2106748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2106751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106783 */     // MIs[0] round
     /* 2106783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106786 */     // MIs[0] policy
     /* 2106786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106796 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2106799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106822 */     // GIR_Coverage, 16936,
     /* 2106822 */     GIR_EraseRootFromParent_Done,
     /* 2106823 */   // Label 27876: @2106823
     /* 2106823 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2106914), // Rule ID 16939 //
     /* 2106828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2106839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2106842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106874 */     // MIs[0] round
     /* 2106874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106877 */     // MIs[0] policy
     /* 2106877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106887 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2106890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106913 */     // GIR_Coverage, 16939,
     /* 2106913 */     GIR_EraseRootFromParent_Done,
     /* 2106914 */   // Label 27877: @2106914
     /* 2106914 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2107005), // Rule ID 16940 //
     /* 2106919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2106930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2106933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106965 */     // MIs[0] round
     /* 2106965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106968 */     // MIs[0] policy
     /* 2106968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106978 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2106981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107004 */     // GIR_Coverage, 16940,
     /* 2107004 */     GIR_EraseRootFromParent_Done,
     /* 2107005 */   // Label 27878: @2107005
     /* 2107005 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2107096), // Rule ID 16943 //
     /* 2107010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107056 */     // MIs[0] round
     /* 2107056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107059 */     // MIs[0] policy
     /* 2107059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107069 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107095 */     // GIR_Coverage, 16943,
     /* 2107095 */     GIR_EraseRootFromParent_Done,
     /* 2107096 */   // Label 27879: @2107096
     /* 2107096 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2107187), // Rule ID 16944 //
     /* 2107101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107147 */     // MIs[0] round
     /* 2107147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107150 */     // MIs[0] policy
     /* 2107150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107160 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107186 */     // GIR_Coverage, 16944,
     /* 2107186 */     GIR_EraseRootFromParent_Done,
     /* 2107187 */   // Label 27880: @2107187
     /* 2107187 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2107278), // Rule ID 16947 //
     /* 2107192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107238 */     // MIs[0] round
     /* 2107238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107241 */     // MIs[0] policy
     /* 2107241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107251 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107277 */     // GIR_Coverage, 16947,
     /* 2107277 */     GIR_EraseRootFromParent_Done,
     /* 2107278 */   // Label 27881: @2107278
     /* 2107278 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2107369), // Rule ID 16948 //
     /* 2107283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107329 */     // MIs[0] round
     /* 2107329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107332 */     // MIs[0] policy
     /* 2107332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107342 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107368 */     // GIR_Coverage, 16948,
     /* 2107368 */     GIR_EraseRootFromParent_Done,
     /* 2107369 */   // Label 27882: @2107369
     /* 2107369 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2107460), // Rule ID 16951 //
     /* 2107374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107420 */     // MIs[0] round
     /* 2107420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107423 */     // MIs[0] policy
     /* 2107423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107433 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107459 */     // GIR_Coverage, 16951,
     /* 2107459 */     GIR_EraseRootFromParent_Done,
     /* 2107460 */   // Label 27883: @2107460
     /* 2107460 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2107551), // Rule ID 16952 //
     /* 2107465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107511 */     // MIs[0] round
     /* 2107511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107514 */     // MIs[0] policy
     /* 2107514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107524 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107550 */     // GIR_Coverage, 16952,
     /* 2107550 */     GIR_EraseRootFromParent_Done,
     /* 2107551 */   // Label 27884: @2107551
     /* 2107551 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2107642), // Rule ID 16955 //
     /* 2107556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2107573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2107576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107602 */     // MIs[0] round
     /* 2107602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107605 */     // MIs[0] policy
     /* 2107605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107615 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2107618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107641 */     // GIR_Coverage, 16955,
     /* 2107641 */     GIR_EraseRootFromParent_Done,
     /* 2107642 */   // Label 27885: @2107642
     /* 2107642 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2107733), // Rule ID 16956 //
     /* 2107647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2107664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2107667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107693 */     // MIs[0] round
     /* 2107693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107696 */     // MIs[0] policy
     /* 2107696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107706 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2107709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107732 */     // GIR_Coverage, 16956,
     /* 2107732 */     GIR_EraseRootFromParent_Done,
     /* 2107733 */   // Label 27886: @2107733
     /* 2107733 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2107824), // Rule ID 16959 //
     /* 2107738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2107755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2107758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107784 */     // MIs[0] round
     /* 2107784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107787 */     // MIs[0] policy
     /* 2107787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107797 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2107800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107823 */     // GIR_Coverage, 16959,
     /* 2107823 */     GIR_EraseRootFromParent_Done,
     /* 2107824 */   // Label 27887: @2107824
     /* 2107824 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2107915), // Rule ID 16960 //
     /* 2107829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2107846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2107849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107875 */     // MIs[0] round
     /* 2107875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107878 */     // MIs[0] policy
     /* 2107878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2107891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107914 */     // GIR_Coverage, 16960,
     /* 2107914 */     GIR_EraseRootFromParent_Done,
     /* 2107915 */   // Label 27888: @2107915
     /* 2107915 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2108006), // Rule ID 16963 //
     /* 2107920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2107940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107966 */     // MIs[0] round
     /* 2107966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107969 */     // MIs[0] policy
     /* 2107969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107979 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2107982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108005 */     // GIR_Coverage, 16963,
     /* 2108005 */     GIR_EraseRootFromParent_Done,
     /* 2108006 */   // Label 27889: @2108006
     /* 2108006 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2108097), // Rule ID 16964 //
     /* 2108011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108057 */     // MIs[0] round
     /* 2108057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108060 */     // MIs[0] policy
     /* 2108060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108070 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2108073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108096 */     // GIR_Coverage, 16964,
     /* 2108096 */     GIR_EraseRootFromParent_Done,
     /* 2108097 */   // Label 27890: @2108097
     /* 2108097 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2108188), // Rule ID 16967 //
     /* 2108102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108148 */     // MIs[0] round
     /* 2108148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108151 */     // MIs[0] policy
     /* 2108151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108161 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108187 */     // GIR_Coverage, 16967,
     /* 2108187 */     GIR_EraseRootFromParent_Done,
     /* 2108188 */   // Label 27891: @2108188
     /* 2108188 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2108279), // Rule ID 16968 //
     /* 2108193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108239 */     // MIs[0] round
     /* 2108239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108242 */     // MIs[0] policy
     /* 2108242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108278 */     // GIR_Coverage, 16968,
     /* 2108278 */     GIR_EraseRootFromParent_Done,
     /* 2108279 */   // Label 27892: @2108279
     /* 2108279 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2108370), // Rule ID 16971 //
     /* 2108284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108330 */     // MIs[0] round
     /* 2108330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108333 */     // MIs[0] policy
     /* 2108333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108343 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108369 */     // GIR_Coverage, 16971,
     /* 2108369 */     GIR_EraseRootFromParent_Done,
     /* 2108370 */   // Label 27893: @2108370
     /* 2108370 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2108461), // Rule ID 16972 //
     /* 2108375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108421 */     // MIs[0] round
     /* 2108421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108424 */     // MIs[0] policy
     /* 2108424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108434 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108460 */     // GIR_Coverage, 16972,
     /* 2108460 */     GIR_EraseRootFromParent_Done,
     /* 2108461 */   // Label 27894: @2108461
     /* 2108461 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2108552), // Rule ID 16975 //
     /* 2108466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108512 */     // MIs[0] round
     /* 2108512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108515 */     // MIs[0] policy
     /* 2108515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108525 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2108528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108551 */     // GIR_Coverage, 16975,
     /* 2108551 */     GIR_EraseRootFromParent_Done,
     /* 2108552 */   // Label 27895: @2108552
     /* 2108552 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2108643), // Rule ID 16976 //
     /* 2108557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108603 */     // MIs[0] round
     /* 2108603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108606 */     // MIs[0] policy
     /* 2108606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2108619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108642 */     // GIR_Coverage, 16976,
     /* 2108642 */     GIR_EraseRootFromParent_Done,
     /* 2108643 */   // Label 27896: @2108643
     /* 2108643 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2108734), // Rule ID 16979 //
     /* 2108648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2108668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108694 */     // MIs[0] round
     /* 2108694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108697 */     // MIs[0] policy
     /* 2108697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2108710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108733 */     // GIR_Coverage, 16979,
     /* 2108733 */     GIR_EraseRootFromParent_Done,
     /* 2108734 */   // Label 27897: @2108734
     /* 2108734 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2108825), // Rule ID 16980 //
     /* 2108739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2108759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108785 */     // MIs[0] round
     /* 2108785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108788 */     // MIs[0] policy
     /* 2108788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2108801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108824 */     // GIR_Coverage, 16980,
     /* 2108824 */     GIR_EraseRootFromParent_Done,
     /* 2108825 */   // Label 27898: @2108825
     /* 2108825 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2108916), // Rule ID 16983 //
     /* 2108830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2108847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108876 */     // MIs[0] round
     /* 2108876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108879 */     // MIs[0] policy
     /* 2108879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108889 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2108892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108915 */     // GIR_Coverage, 16983,
     /* 2108915 */     GIR_EraseRootFromParent_Done,
     /* 2108916 */   // Label 27899: @2108916
     /* 2108916 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2109007), // Rule ID 16984 //
     /* 2108921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2108938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108967 */     // MIs[0] round
     /* 2108967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108970 */     // MIs[0] policy
     /* 2108970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108980 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2108983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109006 */     // GIR_Coverage, 16984,
     /* 2109006 */     GIR_EraseRootFromParent_Done,
     /* 2109007 */   // Label 27900: @2109007
     /* 2109007 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2109098), // Rule ID 16987 //
     /* 2109012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109058 */     // MIs[0] round
     /* 2109058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109061 */     // MIs[0] policy
     /* 2109061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109071 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109097 */     // GIR_Coverage, 16987,
     /* 2109097 */     GIR_EraseRootFromParent_Done,
     /* 2109098 */   // Label 27901: @2109098
     /* 2109098 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2109189), // Rule ID 16988 //
     /* 2109103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109149 */     // MIs[0] round
     /* 2109149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109152 */     // MIs[0] policy
     /* 2109152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109162 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109188 */     // GIR_Coverage, 16988,
     /* 2109188 */     GIR_EraseRootFromParent_Done,
     /* 2109189 */   // Label 27902: @2109189
     /* 2109189 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2109280), // Rule ID 16991 //
     /* 2109194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109240 */     // MIs[0] round
     /* 2109240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109243 */     // MIs[0] policy
     /* 2109243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109253 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109279 */     // GIR_Coverage, 16991,
     /* 2109279 */     GIR_EraseRootFromParent_Done,
     /* 2109280 */   // Label 27903: @2109280
     /* 2109280 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2109371), // Rule ID 16992 //
     /* 2109285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109331 */     // MIs[0] round
     /* 2109331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109334 */     // MIs[0] policy
     /* 2109334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109344 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109370 */     // GIR_Coverage, 16992,
     /* 2109370 */     GIR_EraseRootFromParent_Done,
     /* 2109371 */   // Label 27904: @2109371
     /* 2109371 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2109462), // Rule ID 16995 //
     /* 2109376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109422 */     // MIs[0] round
     /* 2109422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109425 */     // MIs[0] policy
     /* 2109425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109435 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109461 */     // GIR_Coverage, 16995,
     /* 2109461 */     GIR_EraseRootFromParent_Done,
     /* 2109462 */   // Label 27905: @2109462
     /* 2109462 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2109553), // Rule ID 16996 //
     /* 2109467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109513 */     // MIs[0] round
     /* 2109513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109516 */     // MIs[0] policy
     /* 2109516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109526 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109552 */     // GIR_Coverage, 16996,
     /* 2109552 */     GIR_EraseRootFromParent_Done,
     /* 2109553 */   // Label 27906: @2109553
     /* 2109553 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2109644), // Rule ID 16999 //
     /* 2109558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109604 */     // MIs[0] round
     /* 2109604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109607 */     // MIs[0] policy
     /* 2109607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109617 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2109620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109643 */     // GIR_Coverage, 16999,
     /* 2109643 */     GIR_EraseRootFromParent_Done,
     /* 2109644 */   // Label 27907: @2109644
     /* 2109644 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2109735), // Rule ID 17000 //
     /* 2109649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109695 */     // MIs[0] round
     /* 2109695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109698 */     // MIs[0] policy
     /* 2109698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109708 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2109711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109734 */     // GIR_Coverage, 17000,
     /* 2109734 */     GIR_EraseRootFromParent_Done,
     /* 2109735 */   // Label 27908: @2109735
     /* 2109735 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2109826), // Rule ID 17003 //
     /* 2109740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109786 */     // MIs[0] round
     /* 2109786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109789 */     // MIs[0] policy
     /* 2109789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109799 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2109802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109825 */     // GIR_Coverage, 17003,
     /* 2109825 */     GIR_EraseRootFromParent_Done,
     /* 2109826 */   // Label 27909: @2109826
     /* 2109826 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2109917), // Rule ID 17004 //
     /* 2109831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109877 */     // MIs[0] round
     /* 2109877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109880 */     // MIs[0] policy
     /* 2109880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2109893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109916 */     // GIR_Coverage, 17004,
     /* 2109916 */     GIR_EraseRootFromParent_Done,
     /* 2109917 */   // Label 27910: @2109917
     /* 2109917 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2110008), // Rule ID 17007 //
     /* 2109922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2109933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2109936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109968 */     // MIs[0] round
     /* 2109968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109971 */     // MIs[0] policy
     /* 2109971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109981 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2109984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110007 */     // GIR_Coverage, 17007,
     /* 2110007 */     GIR_EraseRootFromParent_Done,
     /* 2110008 */   // Label 27911: @2110008
     /* 2110008 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2110099), // Rule ID 17008 //
     /* 2110013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110059 */     // MIs[0] round
     /* 2110059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110062 */     // MIs[0] policy
     /* 2110062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110072 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2110075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110098 */     // GIR_Coverage, 17008,
     /* 2110098 */     GIR_EraseRootFromParent_Done,
     /* 2110099 */   // Label 27912: @2110099
     /* 2110099 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2110190), // Rule ID 17011 //
     /* 2110104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110150 */     // MIs[0] round
     /* 2110150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110153 */     // MIs[0] policy
     /* 2110153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110163 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110189 */     // GIR_Coverage, 17011,
     /* 2110189 */     GIR_EraseRootFromParent_Done,
     /* 2110190 */   // Label 27913: @2110190
     /* 2110190 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2110281), // Rule ID 17012 //
     /* 2110195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110241 */     // MIs[0] round
     /* 2110241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110244 */     // MIs[0] policy
     /* 2110244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110254 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110280 */     // GIR_Coverage, 17012,
     /* 2110280 */     GIR_EraseRootFromParent_Done,
     /* 2110281 */   // Label 27914: @2110281
     /* 2110281 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2110372), // Rule ID 17015 //
     /* 2110286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110332 */     // MIs[0] round
     /* 2110332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110335 */     // MIs[0] policy
     /* 2110335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110345 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110371 */     // GIR_Coverage, 17015,
     /* 2110371 */     GIR_EraseRootFromParent_Done,
     /* 2110372 */   // Label 27915: @2110372
     /* 2110372 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2110463), // Rule ID 17016 //
     /* 2110377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110423 */     // MIs[0] round
     /* 2110423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110426 */     // MIs[0] policy
     /* 2110426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110462 */     // GIR_Coverage, 17016,
     /* 2110462 */     GIR_EraseRootFromParent_Done,
     /* 2110463 */   // Label 27916: @2110463
     /* 2110463 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2110554), // Rule ID 17025 //
     /* 2110468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110514 */     // MIs[0] round
     /* 2110514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110517 */     // MIs[0] policy
     /* 2110517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2110530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110553 */     // GIR_Coverage, 17025,
     /* 2110553 */     GIR_EraseRootFromParent_Done,
     /* 2110554 */   // Label 27917: @2110554
     /* 2110554 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2110645), // Rule ID 17026 //
     /* 2110559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110605 */     // MIs[0] round
     /* 2110605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110608 */     // MIs[0] policy
     /* 2110608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110618 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2110621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110644 */     // GIR_Coverage, 17026,
     /* 2110644 */     GIR_EraseRootFromParent_Done,
     /* 2110645 */   // Label 27918: @2110645
     /* 2110645 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2110736), // Rule ID 17035 //
     /* 2110650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2110670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110696 */     // MIs[0] round
     /* 2110696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110699 */     // MIs[0] policy
     /* 2110699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2110712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110735 */     // GIR_Coverage, 17035,
     /* 2110735 */     GIR_EraseRootFromParent_Done,
     /* 2110736 */   // Label 27919: @2110736
     /* 2110736 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2110827), // Rule ID 17036 //
     /* 2110741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2110761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110787 */     // MIs[0] round
     /* 2110787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110790 */     // MIs[0] policy
     /* 2110790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110800 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2110803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110826 */     // GIR_Coverage, 17036,
     /* 2110826 */     GIR_EraseRootFromParent_Done,
     /* 2110827 */   // Label 27920: @2110827
     /* 2110827 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2110918), // Rule ID 17045 //
     /* 2110832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2110852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110878 */     // MIs[0] round
     /* 2110878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110881 */     // MIs[0] policy
     /* 2110881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110891 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2110894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110917 */     // GIR_Coverage, 17045,
     /* 2110917 */     GIR_EraseRootFromParent_Done,
     /* 2110918 */   // Label 27921: @2110918
     /* 2110918 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2111009), // Rule ID 17046 //
     /* 2110923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2110943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110969 */     // MIs[0] round
     /* 2110969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110972 */     // MIs[0] policy
     /* 2110972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110982 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2110985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111008 */     // GIR_Coverage, 17046,
     /* 2111008 */     GIR_EraseRootFromParent_Done,
     /* 2111009 */   // Label 27922: @2111009
     /* 2111009 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2111100), // Rule ID 17055 //
     /* 2111014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111060 */     // MIs[0] round
     /* 2111060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111063 */     // MIs[0] policy
     /* 2111063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111073 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111099 */     // GIR_Coverage, 17055,
     /* 2111099 */     GIR_EraseRootFromParent_Done,
     /* 2111100 */   // Label 27923: @2111100
     /* 2111100 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2111191), // Rule ID 17056 //
     /* 2111105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111151 */     // MIs[0] round
     /* 2111151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111154 */     // MIs[0] policy
     /* 2111154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111164 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111190 */     // GIR_Coverage, 17056,
     /* 2111190 */     GIR_EraseRootFromParent_Done,
     /* 2111191 */   // Label 27924: @2111191
     /* 2111191 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2111282), // Rule ID 17065 //
     /* 2111196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111242 */     // MIs[0] round
     /* 2111242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111245 */     // MIs[0] policy
     /* 2111245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111255 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111281 */     // GIR_Coverage, 17065,
     /* 2111281 */     GIR_EraseRootFromParent_Done,
     /* 2111282 */   // Label 27925: @2111282
     /* 2111282 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2111373), // Rule ID 17066 //
     /* 2111287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111333 */     // MIs[0] round
     /* 2111333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111336 */     // MIs[0] policy
     /* 2111336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111372 */     // GIR_Coverage, 17066,
     /* 2111372 */     GIR_EraseRootFromParent_Done,
     /* 2111373 */   // Label 27926: @2111373
     /* 2111373 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2111464), // Rule ID 17075 //
     /* 2111378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111424 */     // MIs[0] round
     /* 2111424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111427 */     // MIs[0] policy
     /* 2111427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111437 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111463 */     // GIR_Coverage, 17075,
     /* 2111463 */     GIR_EraseRootFromParent_Done,
     /* 2111464 */   // Label 27927: @2111464
     /* 2111464 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2111555), // Rule ID 17076 //
     /* 2111469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111515 */     // MIs[0] round
     /* 2111515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111518 */     // MIs[0] policy
     /* 2111518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111528 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111554 */     // GIR_Coverage, 17076,
     /* 2111554 */     GIR_EraseRootFromParent_Done,
     /* 2111555 */   // Label 27928: @2111555
     /* 2111555 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2111646), // Rule ID 17085 //
     /* 2111560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111606 */     // MIs[0] round
     /* 2111606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111609 */     // MIs[0] policy
     /* 2111609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111619 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2111622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111645 */     // GIR_Coverage, 17085,
     /* 2111645 */     GIR_EraseRootFromParent_Done,
     /* 2111646 */   // Label 27929: @2111646
     /* 2111646 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2111737), // Rule ID 17086 //
     /* 2111651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111697 */     // MIs[0] round
     /* 2111697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111700 */     // MIs[0] policy
     /* 2111700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111710 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2111713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111736 */     // GIR_Coverage, 17086,
     /* 2111736 */     GIR_EraseRootFromParent_Done,
     /* 2111737 */   // Label 27930: @2111737
     /* 2111737 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2111828), // Rule ID 17095 //
     /* 2111742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2111759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2111762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111788 */     // MIs[0] round
     /* 2111788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111791 */     // MIs[0] policy
     /* 2111791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111801 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2111804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111827 */     // GIR_Coverage, 17095,
     /* 2111827 */     GIR_EraseRootFromParent_Done,
     /* 2111828 */   // Label 27931: @2111828
     /* 2111828 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2111919), // Rule ID 17096 //
     /* 2111833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2111850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2111853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111879 */     // MIs[0] round
     /* 2111879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111882 */     // MIs[0] policy
     /* 2111882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2111895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111918 */     // GIR_Coverage, 17096,
     /* 2111918 */     GIR_EraseRootFromParent_Done,
     /* 2111919 */   // Label 27932: @2111919
     /* 2111919 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2112010), // Rule ID 17099 //
     /* 2111924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2111935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2111938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111970 */     // MIs[0] round
     /* 2111970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111973 */     // MIs[0] policy
     /* 2111973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111983 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2111986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112009 */     // GIR_Coverage, 17099,
     /* 2112009 */     GIR_EraseRootFromParent_Done,
     /* 2112010 */   // Label 27933: @2112010
     /* 2112010 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2112101), // Rule ID 17100 //
     /* 2112015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112061 */     // MIs[0] round
     /* 2112061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112064 */     // MIs[0] policy
     /* 2112064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112074 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2112077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112100 */     // GIR_Coverage, 17100,
     /* 2112100 */     GIR_EraseRootFromParent_Done,
     /* 2112101 */   // Label 27934: @2112101
     /* 2112101 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2112192), // Rule ID 17103 //
     /* 2112106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112152 */     // MIs[0] round
     /* 2112152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112155 */     // MIs[0] policy
     /* 2112155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112165 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112191 */     // GIR_Coverage, 17103,
     /* 2112191 */     GIR_EraseRootFromParent_Done,
     /* 2112192 */   // Label 27935: @2112192
     /* 2112192 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2112283), // Rule ID 17104 //
     /* 2112197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112243 */     // MIs[0] round
     /* 2112243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112246 */     // MIs[0] policy
     /* 2112246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112282 */     // GIR_Coverage, 17104,
     /* 2112282 */     GIR_EraseRootFromParent_Done,
     /* 2112283 */   // Label 27936: @2112283
     /* 2112283 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2112374), // Rule ID 17107 //
     /* 2112288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112334 */     // MIs[0] round
     /* 2112334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112337 */     // MIs[0] policy
     /* 2112337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112347 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112373 */     // GIR_Coverage, 17107,
     /* 2112373 */     GIR_EraseRootFromParent_Done,
     /* 2112374 */   // Label 27937: @2112374
     /* 2112374 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2112465), // Rule ID 17108 //
     /* 2112379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112425 */     // MIs[0] round
     /* 2112425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112428 */     // MIs[0] policy
     /* 2112428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112438 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112464 */     // GIR_Coverage, 17108,
     /* 2112464 */     GIR_EraseRootFromParent_Done,
     /* 2112465 */   // Label 27938: @2112465
     /* 2112465 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2112556), // Rule ID 17111 //
     /* 2112470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112516 */     // MIs[0] round
     /* 2112516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112519 */     // MIs[0] policy
     /* 2112519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112529 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2112532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112555 */     // GIR_Coverage, 17111,
     /* 2112555 */     GIR_EraseRootFromParent_Done,
     /* 2112556 */   // Label 27939: @2112556
     /* 2112556 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2112647), // Rule ID 17112 //
     /* 2112561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112607 */     // MIs[0] round
     /* 2112607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112610 */     // MIs[0] policy
     /* 2112610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2112623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112646 */     // GIR_Coverage, 17112,
     /* 2112646 */     GIR_EraseRootFromParent_Done,
     /* 2112647 */   // Label 27940: @2112647
     /* 2112647 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2112738), // Rule ID 17115 //
     /* 2112652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112698 */     // MIs[0] round
     /* 2112698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112701 */     // MIs[0] policy
     /* 2112701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112711 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2112714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112737 */     // GIR_Coverage, 17115,
     /* 2112737 */     GIR_EraseRootFromParent_Done,
     /* 2112738 */   // Label 27941: @2112738
     /* 2112738 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2112829), // Rule ID 17116 //
     /* 2112743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112789 */     // MIs[0] round
     /* 2112789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112792 */     // MIs[0] policy
     /* 2112792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112802 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2112805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112828 */     // GIR_Coverage, 17116,
     /* 2112828 */     GIR_EraseRootFromParent_Done,
     /* 2112829 */   // Label 27942: @2112829
     /* 2112829 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2112920), // Rule ID 17119 //
     /* 2112834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2112851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112880 */     // MIs[0] round
     /* 2112880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112883 */     // MIs[0] policy
     /* 2112883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112893 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2112896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112919 */     // GIR_Coverage, 17119,
     /* 2112919 */     GIR_EraseRootFromParent_Done,
     /* 2112920 */   // Label 27943: @2112920
     /* 2112920 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2113011), // Rule ID 17120 //
     /* 2112925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2112942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112971 */     // MIs[0] round
     /* 2112971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112974 */     // MIs[0] policy
     /* 2112974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112984 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2112987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113010 */     // GIR_Coverage, 17120,
     /* 2113010 */     GIR_EraseRootFromParent_Done,
     /* 2113011 */   // Label 27944: @2113011
     /* 2113011 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2113102), // Rule ID 17123 //
     /* 2113016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113062 */     // MIs[0] round
     /* 2113062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113065 */     // MIs[0] policy
     /* 2113065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113075 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113101 */     // GIR_Coverage, 17123,
     /* 2113101 */     GIR_EraseRootFromParent_Done,
     /* 2113102 */   // Label 27945: @2113102
     /* 2113102 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2113193), // Rule ID 17124 //
     /* 2113107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113153 */     // MIs[0] round
     /* 2113153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113156 */     // MIs[0] policy
     /* 2113156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113166 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113192 */     // GIR_Coverage, 17124,
     /* 2113192 */     GIR_EraseRootFromParent_Done,
     /* 2113193 */   // Label 27946: @2113193
     /* 2113193 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2113284), // Rule ID 17127 //
     /* 2113198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113244 */     // MIs[0] round
     /* 2113244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113247 */     // MIs[0] policy
     /* 2113247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113257 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113283 */     // GIR_Coverage, 17127,
     /* 2113283 */     GIR_EraseRootFromParent_Done,
     /* 2113284 */   // Label 27947: @2113284
     /* 2113284 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2113375), // Rule ID 17128 //
     /* 2113289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113335 */     // MIs[0] round
     /* 2113335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113338 */     // MIs[0] policy
     /* 2113338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113374 */     // GIR_Coverage, 17128,
     /* 2113374 */     GIR_EraseRootFromParent_Done,
     /* 2113375 */   // Label 27948: @2113375
     /* 2113375 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2113466), // Rule ID 17131 //
     /* 2113380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113426 */     // MIs[0] round
     /* 2113426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113429 */     // MIs[0] policy
     /* 2113429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113439 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113465 */     // GIR_Coverage, 17131,
     /* 2113465 */     GIR_EraseRootFromParent_Done,
     /* 2113466 */   // Label 27949: @2113466
     /* 2113466 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2113557), // Rule ID 17132 //
     /* 2113471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113517 */     // MIs[0] round
     /* 2113517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113520 */     // MIs[0] policy
     /* 2113520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113530 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113556 */     // GIR_Coverage, 17132,
     /* 2113556 */     GIR_EraseRootFromParent_Done,
     /* 2113557 */   // Label 27950: @2113557
     /* 2113557 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2113648), // Rule ID 17141 //
     /* 2113562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113608 */     // MIs[0] round
     /* 2113608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113611 */     // MIs[0] policy
     /* 2113611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113621 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2113624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113647 */     // GIR_Coverage, 17141,
     /* 2113647 */     GIR_EraseRootFromParent_Done,
     /* 2113648 */   // Label 27951: @2113648
     /* 2113648 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2113739), // Rule ID 17142 //
     /* 2113653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113699 */     // MIs[0] round
     /* 2113699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113702 */     // MIs[0] policy
     /* 2113702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113712 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2113715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113738 */     // GIR_Coverage, 17142,
     /* 2113738 */     GIR_EraseRootFromParent_Done,
     /* 2113739 */   // Label 27952: @2113739
     /* 2113739 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2113830), // Rule ID 17151 //
     /* 2113744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2113764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113790 */     // MIs[0] round
     /* 2113790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113793 */     // MIs[0] policy
     /* 2113793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113803 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2113806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113829 */     // GIR_Coverage, 17151,
     /* 2113829 */     GIR_EraseRootFromParent_Done,
     /* 2113830 */   // Label 27953: @2113830
     /* 2113830 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2113921), // Rule ID 17152 //
     /* 2113835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2113855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113881 */     // MIs[0] round
     /* 2113881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113884 */     // MIs[0] policy
     /* 2113884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113894 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2113897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113920 */     // GIR_Coverage, 17152,
     /* 2113920 */     GIR_EraseRootFromParent_Done,
     /* 2113921 */   // Label 27954: @2113921
     /* 2113921 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2114012), // Rule ID 17161 //
     /* 2113926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2113937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2113940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2113946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113972 */     // MIs[0] round
     /* 2113972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113975 */     // MIs[0] policy
     /* 2113975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113985 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2113988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114011 */     // GIR_Coverage, 17161,
     /* 2114011 */     GIR_EraseRootFromParent_Done,
     /* 2114012 */   // Label 27955: @2114012
     /* 2114012 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2114103), // Rule ID 17162 //
     /* 2114017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2114037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114063 */     // MIs[0] round
     /* 2114063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114066 */     // MIs[0] policy
     /* 2114066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114076 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2114079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114102 */     // GIR_Coverage, 17162,
     /* 2114102 */     GIR_EraseRootFromParent_Done,
     /* 2114103 */   // Label 27956: @2114103
     /* 2114103 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2114194), // Rule ID 17171 //
     /* 2114108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114154 */     // MIs[0] round
     /* 2114154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114157 */     // MIs[0] policy
     /* 2114157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114167 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114193 */     // GIR_Coverage, 17171,
     /* 2114193 */     GIR_EraseRootFromParent_Done,
     /* 2114194 */   // Label 27957: @2114194
     /* 2114194 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2114285), // Rule ID 17172 //
     /* 2114199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114245 */     // MIs[0] round
     /* 2114245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114248 */     // MIs[0] policy
     /* 2114248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114258 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114284 */     // GIR_Coverage, 17172,
     /* 2114284 */     GIR_EraseRootFromParent_Done,
     /* 2114285 */   // Label 27958: @2114285
     /* 2114285 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2114376), // Rule ID 17181 //
     /* 2114290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114336 */     // MIs[0] round
     /* 2114336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114339 */     // MIs[0] policy
     /* 2114339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114349 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114375 */     // GIR_Coverage, 17181,
     /* 2114375 */     GIR_EraseRootFromParent_Done,
     /* 2114376 */   // Label 27959: @2114376
     /* 2114376 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2114467), // Rule ID 17182 //
     /* 2114381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114427 */     // MIs[0] round
     /* 2114427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114430 */     // MIs[0] policy
     /* 2114430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114440 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114466 */     // GIR_Coverage, 17182,
     /* 2114466 */     GIR_EraseRootFromParent_Done,
     /* 2114467 */   // Label 27960: @2114467
     /* 2114467 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2114558), // Rule ID 17191 //
     /* 2114472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114518 */     // MIs[0] round
     /* 2114518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114521 */     // MIs[0] policy
     /* 2114521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114531 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2114534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114557 */     // GIR_Coverage, 17191,
     /* 2114557 */     GIR_EraseRootFromParent_Done,
     /* 2114558 */   // Label 27961: @2114558
     /* 2114558 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2114649), // Rule ID 17192 //
     /* 2114563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114609 */     // MIs[0] round
     /* 2114609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114612 */     // MIs[0] policy
     /* 2114612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114622 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2114625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114648 */     // GIR_Coverage, 17192,
     /* 2114648 */     GIR_EraseRootFromParent_Done,
     /* 2114649 */   // Label 27962: @2114649
     /* 2114649 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2114740), // Rule ID 17201 //
     /* 2114654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2114665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2114671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2114674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114700 */     // MIs[0] round
     /* 2114700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114703 */     // MIs[0] policy
     /* 2114703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114713 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2114716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114739 */     // GIR_Coverage, 17201,
     /* 2114739 */     GIR_EraseRootFromParent_Done,
     /* 2114740 */   // Label 27963: @2114740
     /* 2114740 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2114831), // Rule ID 17202 //
     /* 2114745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2114756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2114762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2114765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114791 */     // MIs[0] round
     /* 2114791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114794 */     // MIs[0] policy
     /* 2114794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114804 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2114807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114830 */     // GIR_Coverage, 17202,
     /* 2114830 */     GIR_EraseRootFromParent_Done,
     /* 2114831 */   // Label 27964: @2114831
     /* 2114831 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2114922), // Rule ID 17211 //
     /* 2114836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2114853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2114856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114882 */     // MIs[0] round
     /* 2114882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114885 */     // MIs[0] policy
     /* 2114885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114895 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2114898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114921 */     // GIR_Coverage, 17211,
     /* 2114921 */     GIR_EraseRootFromParent_Done,
     /* 2114922 */   // Label 27965: @2114922
     /* 2114922 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2115013), // Rule ID 17212 //
     /* 2114927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2114944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2114947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114973 */     // MIs[0] round
     /* 2114973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114976 */     // MIs[0] policy
     /* 2114976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114986 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2114989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115012 */     // GIR_Coverage, 17212,
     /* 2115012 */     GIR_EraseRootFromParent_Done,
     /* 2115013 */   // Label 27966: @2115013
     /* 2115013 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2115104), // Rule ID 17221 //
     /* 2115018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115064 */     // MIs[0] round
     /* 2115064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115067 */     // MIs[0] policy
     /* 2115067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115077 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115103 */     // GIR_Coverage, 17221,
     /* 2115103 */     GIR_EraseRootFromParent_Done,
     /* 2115104 */   // Label 27967: @2115104
     /* 2115104 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2115195), // Rule ID 17222 //
     /* 2115109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115155 */     // MIs[0] round
     /* 2115155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115158 */     // MIs[0] policy
     /* 2115158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115194 */     // GIR_Coverage, 17222,
     /* 2115194 */     GIR_EraseRootFromParent_Done,
     /* 2115195 */   // Label 27968: @2115195
     /* 2115195 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2115286), // Rule ID 17225 //
     /* 2115200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115246 */     // MIs[0] round
     /* 2115246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115249 */     // MIs[0] policy
     /* 2115249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115259 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115285 */     // GIR_Coverage, 17225,
     /* 2115285 */     GIR_EraseRootFromParent_Done,
     /* 2115286 */   // Label 27969: @2115286
     /* 2115286 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2115377), // Rule ID 17226 //
     /* 2115291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115337 */     // MIs[0] round
     /* 2115337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115340 */     // MIs[0] policy
     /* 2115340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115350 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115376 */     // GIR_Coverage, 17226,
     /* 2115376 */     GIR_EraseRootFromParent_Done,
     /* 2115377 */   // Label 27970: @2115377
     /* 2115377 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2115468), // Rule ID 17229 //
     /* 2115382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115428 */     // MIs[0] round
     /* 2115428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115431 */     // MIs[0] policy
     /* 2115431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115441 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115467 */     // GIR_Coverage, 17229,
     /* 2115467 */     GIR_EraseRootFromParent_Done,
     /* 2115468 */   // Label 27971: @2115468
     /* 2115468 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2115559), // Rule ID 17230 //
     /* 2115473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115519 */     // MIs[0] round
     /* 2115519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115522 */     // MIs[0] policy
     /* 2115522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115558 */     // GIR_Coverage, 17230,
     /* 2115558 */     GIR_EraseRootFromParent_Done,
     /* 2115559 */   // Label 27972: @2115559
     /* 2115559 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2115650), // Rule ID 17233 //
     /* 2115564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115610 */     // MIs[0] round
     /* 2115610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115613 */     // MIs[0] policy
     /* 2115613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115623 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2115626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115649 */     // GIR_Coverage, 17233,
     /* 2115649 */     GIR_EraseRootFromParent_Done,
     /* 2115650 */   // Label 27973: @2115650
     /* 2115650 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2115741), // Rule ID 17234 //
     /* 2115655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115701 */     // MIs[0] round
     /* 2115701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115704 */     // MIs[0] policy
     /* 2115704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115714 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2115717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115740 */     // GIR_Coverage, 17234,
     /* 2115740 */     GIR_EraseRootFromParent_Done,
     /* 2115741 */   // Label 27974: @2115741
     /* 2115741 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2115832), // Rule ID 17237 //
     /* 2115746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115792 */     // MIs[0] round
     /* 2115792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115795 */     // MIs[0] policy
     /* 2115795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115805 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2115808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115831 */     // GIR_Coverage, 17237,
     /* 2115831 */     GIR_EraseRootFromParent_Done,
     /* 2115832 */   // Label 27975: @2115832
     /* 2115832 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2115923), // Rule ID 17238 //
     /* 2115837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115883 */     // MIs[0] round
     /* 2115883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115886 */     // MIs[0] policy
     /* 2115886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115896 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2115899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115922 */     // GIR_Coverage, 17238,
     /* 2115922 */     GIR_EraseRootFromParent_Done,
     /* 2115923 */   // Label 27976: @2115923
     /* 2115923 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2116014), // Rule ID 17241 //
     /* 2115928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115974 */     // MIs[0] round
     /* 2115974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115977 */     // MIs[0] policy
     /* 2115977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115987 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2115990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116013 */     // GIR_Coverage, 17241,
     /* 2116013 */     GIR_EraseRootFromParent_Done,
     /* 2116014 */   // Label 27977: @2116014
     /* 2116014 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2116105), // Rule ID 17242 //
     /* 2116019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2116036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116065 */     // MIs[0] round
     /* 2116065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116068 */     // MIs[0] policy
     /* 2116068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2116081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116104 */     // GIR_Coverage, 17242,
     /* 2116104 */     GIR_EraseRootFromParent_Done,
     /* 2116105 */   // Label 27978: @2116105
     /* 2116105 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2116196), // Rule ID 17245 //
     /* 2116110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116156 */     // MIs[0] round
     /* 2116156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116159 */     // MIs[0] policy
     /* 2116159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116169 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116195 */     // GIR_Coverage, 17245,
     /* 2116195 */     GIR_EraseRootFromParent_Done,
     /* 2116196 */   // Label 27979: @2116196
     /* 2116196 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2116287), // Rule ID 17246 //
     /* 2116201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116247 */     // MIs[0] round
     /* 2116247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116250 */     // MIs[0] policy
     /* 2116250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116286 */     // GIR_Coverage, 17246,
     /* 2116286 */     GIR_EraseRootFromParent_Done,
     /* 2116287 */   // Label 27980: @2116287
     /* 2116287 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2116378), // Rule ID 17249 //
     /* 2116292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116338 */     // MIs[0] round
     /* 2116338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116341 */     // MIs[0] policy
     /* 2116341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116351 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116377 */     // GIR_Coverage, 17249,
     /* 2116377 */     GIR_EraseRootFromParent_Done,
     /* 2116378 */   // Label 27981: @2116378
     /* 2116378 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2116469), // Rule ID 17250 //
     /* 2116383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116429 */     // MIs[0] round
     /* 2116429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116432 */     // MIs[0] policy
     /* 2116432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116442 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116468 */     // GIR_Coverage, 17250,
     /* 2116468 */     GIR_EraseRootFromParent_Done,
     /* 2116469 */   // Label 27982: @2116469
     /* 2116469 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2116560), // Rule ID 17253 //
     /* 2116474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116520 */     // MIs[0] round
     /* 2116520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116523 */     // MIs[0] policy
     /* 2116523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116533 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2116536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116559 */     // GIR_Coverage, 17253,
     /* 2116559 */     GIR_EraseRootFromParent_Done,
     /* 2116560 */   // Label 27983: @2116560
     /* 2116560 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2116651), // Rule ID 17254 //
     /* 2116565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116611 */     // MIs[0] round
     /* 2116611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116614 */     // MIs[0] policy
     /* 2116614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116624 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2116627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116650 */     // GIR_Coverage, 17254,
     /* 2116650 */     GIR_EraseRootFromParent_Done,
     /* 2116651 */   // Label 27984: @2116651
     /* 2116651 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2116742), // Rule ID 17257 //
     /* 2116656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116702 */     // MIs[0] round
     /* 2116702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116705 */     // MIs[0] policy
     /* 2116705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116715 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2116718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116741 */     // GIR_Coverage, 17257,
     /* 2116741 */     GIR_EraseRootFromParent_Done,
     /* 2116742 */   // Label 27985: @2116742
     /* 2116742 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2116833), // Rule ID 17258 //
     /* 2116747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116793 */     // MIs[0] round
     /* 2116793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116796 */     // MIs[0] policy
     /* 2116796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116806 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2116809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116832 */     // GIR_Coverage, 17258,
     /* 2116832 */     GIR_EraseRootFromParent_Done,
     /* 2116833 */   // Label 27986: @2116833
     /* 2116833 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2116924), // Rule ID 17261 //
     /* 2116838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2116849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2116852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2116855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2116858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116884 */     // MIs[0] round
     /* 2116884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116887 */     // MIs[0] policy
     /* 2116887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116897 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2116900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116923 */     // GIR_Coverage, 17261,
     /* 2116923 */     GIR_EraseRootFromParent_Done,
     /* 2116924 */   // Label 27987: @2116924
     /* 2116924 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2117015), // Rule ID 17262 //
     /* 2116929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2116940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2116943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2116946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2116949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116975 */     // MIs[0] round
     /* 2116975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116978 */     // MIs[0] policy
     /* 2116978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116988 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2116991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117014 */     // GIR_Coverage, 17262,
     /* 2117014 */     GIR_EraseRootFromParent_Done,
     /* 2117015 */   // Label 27988: @2117015
     /* 2117015 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2117106), // Rule ID 17265 //
     /* 2117020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117066 */     // MIs[0] round
     /* 2117066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117069 */     // MIs[0] policy
     /* 2117069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117079 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117105 */     // GIR_Coverage, 17265,
     /* 2117105 */     GIR_EraseRootFromParent_Done,
     /* 2117106 */   // Label 27989: @2117106
     /* 2117106 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2117197), // Rule ID 17266 //
     /* 2117111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117157 */     // MIs[0] round
     /* 2117157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117160 */     // MIs[0] policy
     /* 2117160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117170 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117196 */     // GIR_Coverage, 17266,
     /* 2117196 */     GIR_EraseRootFromParent_Done,
     /* 2117197 */   // Label 27990: @2117197
     /* 2117197 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2117288), // Rule ID 17269 //
     /* 2117202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117248 */     // MIs[0] round
     /* 2117248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117251 */     // MIs[0] policy
     /* 2117251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117261 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117287 */     // GIR_Coverage, 17269,
     /* 2117287 */     GIR_EraseRootFromParent_Done,
     /* 2117288 */   // Label 27991: @2117288
     /* 2117288 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2117379), // Rule ID 17270 //
     /* 2117293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117339 */     // MIs[0] round
     /* 2117339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117342 */     // MIs[0] policy
     /* 2117342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117352 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117378 */     // GIR_Coverage, 17270,
     /* 2117378 */     GIR_EraseRootFromParent_Done,
     /* 2117379 */   // Label 27992: @2117379
     /* 2117379 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2117470), // Rule ID 17273 //
     /* 2117384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117430 */     // MIs[0] round
     /* 2117430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117433 */     // MIs[0] policy
     /* 2117433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117443 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117469 */     // GIR_Coverage, 17273,
     /* 2117469 */     GIR_EraseRootFromParent_Done,
     /* 2117470 */   // Label 27993: @2117470
     /* 2117470 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2117561), // Rule ID 17274 //
     /* 2117475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117521 */     // MIs[0] round
     /* 2117521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117524 */     // MIs[0] policy
     /* 2117524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117534 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117560 */     // GIR_Coverage, 17274,
     /* 2117560 */     GIR_EraseRootFromParent_Done,
     /* 2117561 */   // Label 27994: @2117561
     /* 2117561 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2117652), // Rule ID 17277 //
     /* 2117566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117612 */     // MIs[0] round
     /* 2117612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117615 */     // MIs[0] policy
     /* 2117615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117625 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2117628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117651 */     // GIR_Coverage, 17277,
     /* 2117651 */     GIR_EraseRootFromParent_Done,
     /* 2117652 */   // Label 27995: @2117652
     /* 2117652 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2117743), // Rule ID 17278 //
     /* 2117657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117703 */     // MIs[0] round
     /* 2117703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117706 */     // MIs[0] policy
     /* 2117706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2117719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117742 */     // GIR_Coverage, 17278,
     /* 2117742 */     GIR_EraseRootFromParent_Done,
     /* 2117743 */   // Label 27996: @2117743
     /* 2117743 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2117834), // Rule ID 17281 //
     /* 2117748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2117751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2117768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117794 */     // MIs[0] round
     /* 2117794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117797 */     // MIs[0] policy
     /* 2117797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117807 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2117810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117833 */     // GIR_Coverage, 17281,
     /* 2117833 */     GIR_EraseRootFromParent_Done,
     /* 2117834 */   // Label 27997: @2117834
     /* 2117834 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2117925), // Rule ID 17282 //
     /* 2117839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2117842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2117859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117885 */     // MIs[0] round
     /* 2117885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117888 */     // MIs[0] policy
     /* 2117888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117898 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2117901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117924 */     // GIR_Coverage, 17282,
     /* 2117924 */     GIR_EraseRootFromParent_Done,
     /* 2117925 */   // Label 27998: @2117925
     /* 2117925 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2118016), // Rule ID 17285 //
     /* 2117930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2117941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2117944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2117947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2117950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117976 */     // MIs[0] round
     /* 2117976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117979 */     // MIs[0] policy
     /* 2117979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117989 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2117992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118015 */     // GIR_Coverage, 17285,
     /* 2118015 */     GIR_EraseRootFromParent_Done,
     /* 2118016 */   // Label 27999: @2118016
     /* 2118016 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2118107), // Rule ID 17286 //
     /* 2118021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2118032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2118035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2118038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2118041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118067 */     // MIs[0] round
     /* 2118067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118070 */     // MIs[0] policy
     /* 2118070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118080 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2118083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118106 */     // GIR_Coverage, 17286,
     /* 2118106 */     GIR_EraseRootFromParent_Done,
     /* 2118107 */   // Label 28000: @2118107
     /* 2118107 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2118198), // Rule ID 17289 //
     /* 2118112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118158 */     // MIs[0] round
     /* 2118158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118161 */     // MIs[0] policy
     /* 2118161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118171 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118197 */     // GIR_Coverage, 17289,
     /* 2118197 */     GIR_EraseRootFromParent_Done,
     /* 2118198 */   // Label 28001: @2118198
     /* 2118198 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2118289), // Rule ID 17290 //
     /* 2118203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118249 */     // MIs[0] round
     /* 2118249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118252 */     // MIs[0] policy
     /* 2118252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118262 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118288 */     // GIR_Coverage, 17290,
     /* 2118288 */     GIR_EraseRootFromParent_Done,
     /* 2118289 */   // Label 28002: @2118289
     /* 2118289 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2118380), // Rule ID 17293 //
     /* 2118294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118340 */     // MIs[0] round
     /* 2118340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118343 */     // MIs[0] policy
     /* 2118343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118353 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118379 */     // GIR_Coverage, 17293,
     /* 2118379 */     GIR_EraseRootFromParent_Done,
     /* 2118380 */   // Label 28003: @2118380
     /* 2118380 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2118471), // Rule ID 17294 //
     /* 2118385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118431 */     // MIs[0] round
     /* 2118431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118434 */     // MIs[0] policy
     /* 2118434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118444 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118470 */     // GIR_Coverage, 17294,
     /* 2118470 */     GIR_EraseRootFromParent_Done,
     /* 2118471 */   // Label 28004: @2118471
     /* 2118471 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2118562), // Rule ID 17297 //
     /* 2118476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118522 */     // MIs[0] round
     /* 2118522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118525 */     // MIs[0] policy
     /* 2118525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118535 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2118538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118561 */     // GIR_Coverage, 17297,
     /* 2118561 */     GIR_EraseRootFromParent_Done,
     /* 2118562 */   // Label 28005: @2118562
     /* 2118562 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2118653), // Rule ID 17298 //
     /* 2118567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118613 */     // MIs[0] round
     /* 2118613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118616 */     // MIs[0] policy
     /* 2118616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118626 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2118629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118652 */     // GIR_Coverage, 17298,
     /* 2118652 */     GIR_EraseRootFromParent_Done,
     /* 2118653 */   // Label 28006: @2118653
     /* 2118653 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2118744), // Rule ID 17301 //
     /* 2118658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118704 */     // MIs[0] round
     /* 2118704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118707 */     // MIs[0] policy
     /* 2118707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118717 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2118720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118743 */     // GIR_Coverage, 17301,
     /* 2118743 */     GIR_EraseRootFromParent_Done,
     /* 2118744 */   // Label 28007: @2118744
     /* 2118744 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2118835), // Rule ID 17302 //
     /* 2118749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118795 */     // MIs[0] round
     /* 2118795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118798 */     // MIs[0] policy
     /* 2118798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118808 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2118811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118834 */     // GIR_Coverage, 17302,
     /* 2118834 */     GIR_EraseRootFromParent_Done,
     /* 2118835 */   // Label 28008: @2118835
     /* 2118835 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2118926), // Rule ID 17305 //
     /* 2118840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2118860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118886 */     // MIs[0] round
     /* 2118886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118889 */     // MIs[0] policy
     /* 2118889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118899 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2118902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118925 */     // GIR_Coverage, 17305,
     /* 2118925 */     GIR_EraseRootFromParent_Done,
     /* 2118926 */   // Label 28009: @2118926
     /* 2118926 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2119017), // Rule ID 17306 //
     /* 2118931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2118951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118977 */     // MIs[0] round
     /* 2118977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118980 */     // MIs[0] policy
     /* 2118980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118990 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2118993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119016 */     // GIR_Coverage, 17306,
     /* 2119016 */     GIR_EraseRootFromParent_Done,
     /* 2119017 */   // Label 28010: @2119017
     /* 2119017 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2119108), // Rule ID 17309 //
     /* 2119022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2119042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119068 */     // MIs[0] round
     /* 2119068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119071 */     // MIs[0] policy
     /* 2119071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119081 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119107 */     // GIR_Coverage, 17309,
     /* 2119107 */     GIR_EraseRootFromParent_Done,
     /* 2119108 */   // Label 28011: @2119108
     /* 2119108 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2119199), // Rule ID 17310 //
     /* 2119113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2119133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119159 */     // MIs[0] round
     /* 2119159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119162 */     // MIs[0] policy
     /* 2119162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119198 */     // GIR_Coverage, 17310,
     /* 2119198 */     GIR_EraseRootFromParent_Done,
     /* 2119199 */   // Label 28012: @2119199
     /* 2119199 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2119290), // Rule ID 17313 //
     /* 2119204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119250 */     // MIs[0] round
     /* 2119250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119253 */     // MIs[0] policy
     /* 2119253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119263 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119289 */     // GIR_Coverage, 17313,
     /* 2119289 */     GIR_EraseRootFromParent_Done,
     /* 2119290 */   // Label 28013: @2119290
     /* 2119290 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2119381), // Rule ID 17314 //
     /* 2119295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119341 */     // MIs[0] round
     /* 2119341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119344 */     // MIs[0] policy
     /* 2119344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119354 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119380 */     // GIR_Coverage, 17314,
     /* 2119380 */     GIR_EraseRootFromParent_Done,
     /* 2119381 */   // Label 28014: @2119381
     /* 2119381 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2119472), // Rule ID 17317 //
     /* 2119386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119432 */     // MIs[0] round
     /* 2119432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119435 */     // MIs[0] policy
     /* 2119435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119445 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119471 */     // GIR_Coverage, 17317,
     /* 2119471 */     GIR_EraseRootFromParent_Done,
     /* 2119472 */   // Label 28015: @2119472
     /* 2119472 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2119563), // Rule ID 17318 //
     /* 2119477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119523 */     // MIs[0] round
     /* 2119523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119526 */     // MIs[0] policy
     /* 2119526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119536 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119562 */     // GIR_Coverage, 17318,
     /* 2119562 */     GIR_EraseRootFromParent_Done,
     /* 2119563 */   // Label 28016: @2119563
     /* 2119563 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2119654), // Rule ID 17321 //
     /* 2119568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119614 */     // MIs[0] round
     /* 2119614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119617 */     // MIs[0] policy
     /* 2119617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119627 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2119630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119653 */     // GIR_Coverage, 17321,
     /* 2119653 */     GIR_EraseRootFromParent_Done,
     /* 2119654 */   // Label 28017: @2119654
     /* 2119654 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2119745), // Rule ID 17322 //
     /* 2119659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119705 */     // MIs[0] round
     /* 2119705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119708 */     // MIs[0] policy
     /* 2119708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119718 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2119721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119744 */     // GIR_Coverage, 17322,
     /* 2119744 */     GIR_EraseRootFromParent_Done,
     /* 2119745 */   // Label 28018: @2119745
     /* 2119745 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2119836), // Rule ID 17325 //
     /* 2119750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119796 */     // MIs[0] round
     /* 2119796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119799 */     // MIs[0] policy
     /* 2119799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119809 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2119812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119835 */     // GIR_Coverage, 17325,
     /* 2119835 */     GIR_EraseRootFromParent_Done,
     /* 2119836 */   // Label 28019: @2119836
     /* 2119836 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2119927), // Rule ID 17326 //
     /* 2119841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119887 */     // MIs[0] round
     /* 2119887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119890 */     // MIs[0] policy
     /* 2119890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119900 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2119903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119926 */     // GIR_Coverage, 17326,
     /* 2119926 */     GIR_EraseRootFromParent_Done,
     /* 2119927 */   // Label 28020: @2119927
     /* 2119927 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2120018), // Rule ID 17329 //
     /* 2119932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119978 */     // MIs[0] round
     /* 2119978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119981 */     // MIs[0] policy
     /* 2119981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119991 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2119994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120017 */     // GIR_Coverage, 17329,
     /* 2120017 */     GIR_EraseRootFromParent_Done,
     /* 2120018 */   // Label 28021: @2120018
     /* 2120018 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2120109), // Rule ID 17330 //
     /* 2120023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120069 */     // MIs[0] round
     /* 2120069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120072 */     // MIs[0] policy
     /* 2120072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120082 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2120085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120108 */     // GIR_Coverage, 17330,
     /* 2120108 */     GIR_EraseRootFromParent_Done,
     /* 2120109 */   // Label 28022: @2120109
     /* 2120109 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2120200), // Rule ID 17333 //
     /* 2120114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120160 */     // MIs[0] round
     /* 2120160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120163 */     // MIs[0] policy
     /* 2120163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120173 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120199 */     // GIR_Coverage, 17333,
     /* 2120199 */     GIR_EraseRootFromParent_Done,
     /* 2120200 */   // Label 28023: @2120200
     /* 2120200 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2120291), // Rule ID 17334 //
     /* 2120205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120251 */     // MIs[0] round
     /* 2120251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120254 */     // MIs[0] policy
     /* 2120254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120264 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120290 */     // GIR_Coverage, 17334,
     /* 2120290 */     GIR_EraseRootFromParent_Done,
     /* 2120291 */   // Label 28024: @2120291
     /* 2120291 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2120382), // Rule ID 17337 //
     /* 2120296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120342 */     // MIs[0] round
     /* 2120342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120345 */     // MIs[0] policy
     /* 2120345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120355 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120381 */     // GIR_Coverage, 17337,
     /* 2120381 */     GIR_EraseRootFromParent_Done,
     /* 2120382 */   // Label 28025: @2120382
     /* 2120382 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2120473), // Rule ID 17338 //
     /* 2120387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120433 */     // MIs[0] round
     /* 2120433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120436 */     // MIs[0] policy
     /* 2120436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120472 */     // GIR_Coverage, 17338,
     /* 2120472 */     GIR_EraseRootFromParent_Done,
     /* 2120473 */   // Label 28026: @2120473
     /* 2120473 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2120564), // Rule ID 17341 //
     /* 2120478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2120481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120524 */     // MIs[0] round
     /* 2120524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120527 */     // MIs[0] policy
     /* 2120527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120537 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2120540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120563 */     // GIR_Coverage, 17341,
     /* 2120563 */     GIR_EraseRootFromParent_Done,
     /* 2120564 */   // Label 28027: @2120564
     /* 2120564 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2120655), // Rule ID 17342 //
     /* 2120569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120615 */     // MIs[0] round
     /* 2120615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120618 */     // MIs[0] policy
     /* 2120618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2120631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120654 */     // GIR_Coverage, 17342,
     /* 2120654 */     GIR_EraseRootFromParent_Done,
     /* 2120655 */   // Label 28028: @2120655
     /* 2120655 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2120746), // Rule ID 17345 //
     /* 2120660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2120671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2120674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120706 */     // MIs[0] round
     /* 2120706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120709 */     // MIs[0] policy
     /* 2120709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120719 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2120722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120745 */     // GIR_Coverage, 17345,
     /* 2120745 */     GIR_EraseRootFromParent_Done,
     /* 2120746 */   // Label 28029: @2120746
     /* 2120746 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2120837), // Rule ID 17346 //
     /* 2120751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2120762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2120765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120797 */     // MIs[0] round
     /* 2120797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120800 */     // MIs[0] policy
     /* 2120800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120810 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2120813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120836 */     // GIR_Coverage, 17346,
     /* 2120836 */     GIR_EraseRootFromParent_Done,
     /* 2120837 */   // Label 28030: @2120837
     /* 2120837 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2120928), // Rule ID 17349 //
     /* 2120842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2120853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2120856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120888 */     // MIs[0] round
     /* 2120888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120891 */     // MIs[0] policy
     /* 2120891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120901 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2120904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120927 */     // GIR_Coverage, 17349,
     /* 2120927 */     GIR_EraseRootFromParent_Done,
     /* 2120928 */   // Label 28031: @2120928
     /* 2120928 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2121019), // Rule ID 17350 //
     /* 2120933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2120944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2120947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120979 */     // MIs[0] round
     /* 2120979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120982 */     // MIs[0] policy
     /* 2120982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120992 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2120995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121018 */     // GIR_Coverage, 17350,
     /* 2121018 */     GIR_EraseRootFromParent_Done,
     /* 2121019 */   // Label 28032: @2121019
     /* 2121019 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2121110), // Rule ID 17353 //
     /* 2121024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121070 */     // MIs[0] round
     /* 2121070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121073 */     // MIs[0] policy
     /* 2121073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121083 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121109 */     // GIR_Coverage, 17353,
     /* 2121109 */     GIR_EraseRootFromParent_Done,
     /* 2121110 */   // Label 28033: @2121110
     /* 2121110 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2121201), // Rule ID 17354 //
     /* 2121115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121161 */     // MIs[0] round
     /* 2121161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121164 */     // MIs[0] policy
     /* 2121164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121174 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121200 */     // GIR_Coverage, 17354,
     /* 2121200 */     GIR_EraseRootFromParent_Done,
     /* 2121201 */   // Label 28034: @2121201
     /* 2121201 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2121292), // Rule ID 17357 //
     /* 2121206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121252 */     // MIs[0] round
     /* 2121252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121255 */     // MIs[0] policy
     /* 2121255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121265 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121291 */     // GIR_Coverage, 17357,
     /* 2121291 */     GIR_EraseRootFromParent_Done,
     /* 2121292 */   // Label 28035: @2121292
     /* 2121292 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2121383), // Rule ID 17358 //
     /* 2121297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121343 */     // MIs[0] round
     /* 2121343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121346 */     // MIs[0] policy
     /* 2121346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121356 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121382 */     // GIR_Coverage, 17358,
     /* 2121382 */     GIR_EraseRootFromParent_Done,
     /* 2121383 */   // Label 28036: @2121383
     /* 2121383 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2121474), // Rule ID 17361 //
     /* 2121388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121434 */     // MIs[0] round
     /* 2121434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121437 */     // MIs[0] policy
     /* 2121437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121447 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121473 */     // GIR_Coverage, 17361,
     /* 2121473 */     GIR_EraseRootFromParent_Done,
     /* 2121474 */   // Label 28037: @2121474
     /* 2121474 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2121565), // Rule ID 17362 //
     /* 2121479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121525 */     // MIs[0] round
     /* 2121525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121528 */     // MIs[0] policy
     /* 2121528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121538 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121564 */     // GIR_Coverage, 17362,
     /* 2121564 */     GIR_EraseRootFromParent_Done,
     /* 2121565 */   // Label 28038: @2121565
     /* 2121565 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2121656), // Rule ID 17365 //
     /* 2121570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121616 */     // MIs[0] round
     /* 2121616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121619 */     // MIs[0] policy
     /* 2121619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121629 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2121632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121655 */     // GIR_Coverage, 17365,
     /* 2121655 */     GIR_EraseRootFromParent_Done,
     /* 2121656 */   // Label 28039: @2121656
     /* 2121656 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2121747), // Rule ID 17366 //
     /* 2121661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121707 */     // MIs[0] round
     /* 2121707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121710 */     // MIs[0] policy
     /* 2121710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121720 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2121723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121746 */     // GIR_Coverage, 17366,
     /* 2121746 */     GIR_EraseRootFromParent_Done,
     /* 2121747 */   // Label 28040: @2121747
     /* 2121747 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2121838), // Rule ID 17369 //
     /* 2121752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121798 */     // MIs[0] round
     /* 2121798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121801 */     // MIs[0] policy
     /* 2121801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121811 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2121814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121837 */     // GIR_Coverage, 17369,
     /* 2121837 */     GIR_EraseRootFromParent_Done,
     /* 2121838 */   // Label 28041: @2121838
     /* 2121838 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2121929), // Rule ID 17370 //
     /* 2121843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2121846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121889 */     // MIs[0] round
     /* 2121889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121892 */     // MIs[0] policy
     /* 2121892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121902 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2121905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121928 */     // GIR_Coverage, 17370,
     /* 2121928 */     GIR_EraseRootFromParent_Done,
     /* 2121929 */   // Label 28042: @2121929
     /* 2121929 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2122020), // Rule ID 17373 //
     /* 2121934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121980 */     // MIs[0] round
     /* 2121980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121983 */     // MIs[0] policy
     /* 2121983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121993 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2121996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122019 */     // GIR_Coverage, 17373,
     /* 2122019 */     GIR_EraseRootFromParent_Done,
     /* 2122020 */   // Label 28043: @2122020
     /* 2122020 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2122111), // Rule ID 17374 //
     /* 2122025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2122042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122071 */     // MIs[0] round
     /* 2122071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122074 */     // MIs[0] policy
     /* 2122074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122084 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2122087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122110 */     // GIR_Coverage, 17374,
     /* 2122110 */     GIR_EraseRootFromParent_Done,
     /* 2122111 */   // Label 28044: @2122111
     /* 2122111 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2122202), // Rule ID 17377 //
     /* 2122116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122162 */     // MIs[0] round
     /* 2122162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122165 */     // MIs[0] policy
     /* 2122165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122175 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122201 */     // GIR_Coverage, 17377,
     /* 2122201 */     GIR_EraseRootFromParent_Done,
     /* 2122202 */   // Label 28045: @2122202
     /* 2122202 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2122293), // Rule ID 17378 //
     /* 2122207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122253 */     // MIs[0] round
     /* 2122253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122256 */     // MIs[0] policy
     /* 2122256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122266 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122292 */     // GIR_Coverage, 17378,
     /* 2122292 */     GIR_EraseRootFromParent_Done,
     /* 2122293 */   // Label 28046: @2122293
     /* 2122293 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2122384), // Rule ID 17381 //
     /* 2122298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122344 */     // MIs[0] round
     /* 2122344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122347 */     // MIs[0] policy
     /* 2122347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122357 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122383 */     // GIR_Coverage, 17381,
     /* 2122383 */     GIR_EraseRootFromParent_Done,
     /* 2122384 */   // Label 28047: @2122384
     /* 2122384 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2122475), // Rule ID 17382 //
     /* 2122389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122435 */     // MIs[0] round
     /* 2122435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122438 */     // MIs[0] policy
     /* 2122438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122474 */     // GIR_Coverage, 17382,
     /* 2122474 */     GIR_EraseRootFromParent_Done,
     /* 2122475 */   // Label 28048: @2122475
     /* 2122475 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2122566), // Rule ID 17385 //
     /* 2122480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122526 */     // MIs[0] round
     /* 2122526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122529 */     // MIs[0] policy
     /* 2122529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122539 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2122542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122565 */     // GIR_Coverage, 17385,
     /* 2122565 */     GIR_EraseRootFromParent_Done,
     /* 2122566 */   // Label 28049: @2122566
     /* 2122566 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2122657), // Rule ID 17386 //
     /* 2122571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122617 */     // MIs[0] round
     /* 2122617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122620 */     // MIs[0] policy
     /* 2122620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122630 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2122633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122656 */     // GIR_Coverage, 17386,
     /* 2122656 */     GIR_EraseRootFromParent_Done,
     /* 2122657 */   // Label 28050: @2122657
     /* 2122657 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2122748), // Rule ID 17389 //
     /* 2122662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2122673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2122676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2122682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122708 */     // MIs[0] round
     /* 2122708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122711 */     // MIs[0] policy
     /* 2122711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122721 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2122724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122747 */     // GIR_Coverage, 17389,
     /* 2122747 */     GIR_EraseRootFromParent_Done,
     /* 2122748 */   // Label 28051: @2122748
     /* 2122748 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2122839), // Rule ID 17390 //
     /* 2122753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2122764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2122767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2122773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122799 */     // MIs[0] round
     /* 2122799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122802 */     // MIs[0] policy
     /* 2122802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122812 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2122815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122838 */     // GIR_Coverage, 17390,
     /* 2122838 */     GIR_EraseRootFromParent_Done,
     /* 2122839 */   // Label 28052: @2122839
     /* 2122839 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2122930), // Rule ID 17393 //
     /* 2122844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2122855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2122858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2122861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2122864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122890 */     // MIs[0] round
     /* 2122890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122893 */     // MIs[0] policy
     /* 2122893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2122906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122929 */     // GIR_Coverage, 17393,
     /* 2122929 */     GIR_EraseRootFromParent_Done,
     /* 2122930 */   // Label 28053: @2122930
     /* 2122930 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2123021), // Rule ID 17394 //
     /* 2122935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2122946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2122949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2122952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2122955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122981 */     // MIs[0] round
     /* 2122981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122984 */     // MIs[0] policy
     /* 2122984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122994 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2122997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123020 */     // GIR_Coverage, 17394,
     /* 2123020 */     GIR_EraseRootFromParent_Done,
     /* 2123021 */   // Label 28054: @2123021
     /* 2123021 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2123112), // Rule ID 17397 //
     /* 2123026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123072 */     // MIs[0] round
     /* 2123072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123075 */     // MIs[0] policy
     /* 2123075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123085 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123111 */     // GIR_Coverage, 17397,
     /* 2123111 */     GIR_EraseRootFromParent_Done,
     /* 2123112 */   // Label 28055: @2123112
     /* 2123112 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2123203), // Rule ID 17398 //
     /* 2123117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123163 */     // MIs[0] round
     /* 2123163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123166 */     // MIs[0] policy
     /* 2123166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123202 */     // GIR_Coverage, 17398,
     /* 2123202 */     GIR_EraseRootFromParent_Done,
     /* 2123203 */   // Label 28056: @2123203
     /* 2123203 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2123294), // Rule ID 17401 //
     /* 2123208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123254 */     // MIs[0] round
     /* 2123254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123257 */     // MIs[0] policy
     /* 2123257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123267 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123293 */     // GIR_Coverage, 17401,
     /* 2123293 */     GIR_EraseRootFromParent_Done,
     /* 2123294 */   // Label 28057: @2123294
     /* 2123294 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2123385), // Rule ID 17402 //
     /* 2123299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123345 */     // MIs[0] round
     /* 2123345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123348 */     // MIs[0] policy
     /* 2123348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123358 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123384 */     // GIR_Coverage, 17402,
     /* 2123384 */     GIR_EraseRootFromParent_Done,
     /* 2123385 */   // Label 28058: @2123385
     /* 2123385 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2123476), // Rule ID 17405 //
     /* 2123390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123436 */     // MIs[0] round
     /* 2123436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123439 */     // MIs[0] policy
     /* 2123439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123449 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123475 */     // GIR_Coverage, 17405,
     /* 2123475 */     GIR_EraseRootFromParent_Done,
     /* 2123476 */   // Label 28059: @2123476
     /* 2123476 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2123567), // Rule ID 17406 //
     /* 2123481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123527 */     // MIs[0] round
     /* 2123527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123530 */     // MIs[0] policy
     /* 2123530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123540 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123566 */     // GIR_Coverage, 17406,
     /* 2123566 */     GIR_EraseRootFromParent_Done,
     /* 2123567 */   // Label 28060: @2123567
     /* 2123567 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2123658), // Rule ID 17409 //
     /* 2123572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123618 */     // MIs[0] round
     /* 2123618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123621 */     // MIs[0] policy
     /* 2123621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123631 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2123634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123657 */     // GIR_Coverage, 17409,
     /* 2123657 */     GIR_EraseRootFromParent_Done,
     /* 2123658 */   // Label 28061: @2123658
     /* 2123658 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2123749), // Rule ID 17410 //
     /* 2123663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123709 */     // MIs[0] round
     /* 2123709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123712 */     // MIs[0] policy
     /* 2123712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123722 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2123725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123748 */     // GIR_Coverage, 17410,
     /* 2123748 */     GIR_EraseRootFromParent_Done,
     /* 2123749 */   // Label 28062: @2123749
     /* 2123749 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2123840), // Rule ID 17413 //
     /* 2123754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2123765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2123768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2123771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2123774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2123777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123800 */     // MIs[0] round
     /* 2123800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123803 */     // MIs[0] policy
     /* 2123803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123813 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2123816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123839 */     // GIR_Coverage, 17413,
     /* 2123839 */     GIR_EraseRootFromParent_Done,
     /* 2123840 */   // Label 28063: @2123840
     /* 2123840 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2123931), // Rule ID 17414 //
     /* 2123845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2123856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2123859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2123862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2123865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2123868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123891 */     // MIs[0] round
     /* 2123891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123894 */     // MIs[0] policy
     /* 2123894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123904 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2123907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123930 */     // GIR_Coverage, 17414,
     /* 2123930 */     GIR_EraseRootFromParent_Done,
     /* 2123931 */   // Label 28064: @2123931
     /* 2123931 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2124022), // Rule ID 17417 //
     /* 2123936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2123953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2123956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123982 */     // MIs[0] round
     /* 2123982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123985 */     // MIs[0] policy
     /* 2123985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123995 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2123998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124021 */     // GIR_Coverage, 17417,
     /* 2124021 */     GIR_EraseRootFromParent_Done,
     /* 2124022 */   // Label 28065: @2124022
     /* 2124022 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2124113), // Rule ID 17418 //
     /* 2124027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2124047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124073 */     // MIs[0] round
     /* 2124073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124076 */     // MIs[0] policy
     /* 2124076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124086 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2124089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124112 */     // GIR_Coverage, 17418,
     /* 2124112 */     GIR_EraseRootFromParent_Done,
     /* 2124113 */   // Label 28066: @2124113
     /* 2124113 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2124204), // Rule ID 17421 //
     /* 2124118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124164 */     // MIs[0] round
     /* 2124164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124167 */     // MIs[0] policy
     /* 2124167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124177 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124203 */     // GIR_Coverage, 17421,
     /* 2124203 */     GIR_EraseRootFromParent_Done,
     /* 2124204 */   // Label 28067: @2124204
     /* 2124204 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2124295), // Rule ID 17422 //
     /* 2124209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124255 */     // MIs[0] round
     /* 2124255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124258 */     // MIs[0] policy
     /* 2124258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124268 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124294 */     // GIR_Coverage, 17422,
     /* 2124294 */     GIR_EraseRootFromParent_Done,
     /* 2124295 */   // Label 28068: @2124295
     /* 2124295 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2124386), // Rule ID 17425 //
     /* 2124300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124346 */     // MIs[0] round
     /* 2124346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124349 */     // MIs[0] policy
     /* 2124349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124359 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124385 */     // GIR_Coverage, 17425,
     /* 2124385 */     GIR_EraseRootFromParent_Done,
     /* 2124386 */   // Label 28069: @2124386
     /* 2124386 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2124477), // Rule ID 17426 //
     /* 2124391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124437 */     // MIs[0] round
     /* 2124437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124440 */     // MIs[0] policy
     /* 2124440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124450 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124476 */     // GIR_Coverage, 17426,
     /* 2124476 */     GIR_EraseRootFromParent_Done,
     /* 2124477 */   // Label 28070: @2124477
     /* 2124477 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2124568), // Rule ID 17429 //
     /* 2124482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124528 */     // MIs[0] round
     /* 2124528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124531 */     // MIs[0] policy
     /* 2124531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124541 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2124544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124567 */     // GIR_Coverage, 17429,
     /* 2124567 */     GIR_EraseRootFromParent_Done,
     /* 2124568 */   // Label 28071: @2124568
     /* 2124568 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2124659), // Rule ID 17430 //
     /* 2124573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124619 */     // MIs[0] round
     /* 2124619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124622 */     // MIs[0] policy
     /* 2124622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124632 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2124635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124658 */     // GIR_Coverage, 17430,
     /* 2124658 */     GIR_EraseRootFromParent_Done,
     /* 2124659 */   // Label 28072: @2124659
     /* 2124659 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2124750), // Rule ID 17433 //
     /* 2124664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2124681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2124684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124710 */     // MIs[0] round
     /* 2124710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124713 */     // MIs[0] policy
     /* 2124713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2124726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124749 */     // GIR_Coverage, 17433,
     /* 2124749 */     GIR_EraseRootFromParent_Done,
     /* 2124750 */   // Label 28073: @2124750
     /* 2124750 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2124841), // Rule ID 17434 //
     /* 2124755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2124772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2124775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124801 */     // MIs[0] round
     /* 2124801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124804 */     // MIs[0] policy
     /* 2124804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2124817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124840 */     // GIR_Coverage, 17434,
     /* 2124840 */     GIR_EraseRootFromParent_Done,
     /* 2124841 */   // Label 28074: @2124841
     /* 2124841 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2124932), // Rule ID 17437 //
     /* 2124846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2124863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2124866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124892 */     // MIs[0] round
     /* 2124892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124895 */     // MIs[0] policy
     /* 2124895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124905 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2124908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124931 */     // GIR_Coverage, 17437,
     /* 2124931 */     GIR_EraseRootFromParent_Done,
     /* 2124932 */   // Label 28075: @2124932
     /* 2124932 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2125023), // Rule ID 17438 //
     /* 2124937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2124954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2124957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124983 */     // MIs[0] round
     /* 2124983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124986 */     // MIs[0] policy
     /* 2124986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2124999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125022 */     // GIR_Coverage, 17438,
     /* 2125022 */     GIR_EraseRootFromParent_Done,
     /* 2125023 */   // Label 28076: @2125023
     /* 2125023 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2125114), // Rule ID 17441 //
     /* 2125028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2125039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2125042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2125045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125074 */     // MIs[0] round
     /* 2125074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125077 */     // MIs[0] policy
     /* 2125077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125087 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125113 */     // GIR_Coverage, 17441,
     /* 2125113 */     GIR_EraseRootFromParent_Done,
     /* 2125114 */   // Label 28077: @2125114
     /* 2125114 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2125205), // Rule ID 17442 //
     /* 2125119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2125130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2125133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2125136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125165 */     // MIs[0] round
     /* 2125165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125168 */     // MIs[0] policy
     /* 2125168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125204 */     // GIR_Coverage, 17442,
     /* 2125204 */     GIR_EraseRootFromParent_Done,
     /* 2125205 */   // Label 28078: @2125205
     /* 2125205 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2125296), // Rule ID 17445 //
     /* 2125210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125256 */     // MIs[0] round
     /* 2125256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125259 */     // MIs[0] policy
     /* 2125259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125269 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125295 */     // GIR_Coverage, 17445,
     /* 2125295 */     GIR_EraseRootFromParent_Done,
     /* 2125296 */   // Label 28079: @2125296
     /* 2125296 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2125387), // Rule ID 17446 //
     /* 2125301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125347 */     // MIs[0] round
     /* 2125347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125350 */     // MIs[0] policy
     /* 2125350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125360 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125386 */     // GIR_Coverage, 17446,
     /* 2125386 */     GIR_EraseRootFromParent_Done,
     /* 2125387 */   // Label 28080: @2125387
     /* 2125387 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2125478), // Rule ID 17449 //
     /* 2125392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125438 */     // MIs[0] round
     /* 2125438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125441 */     // MIs[0] policy
     /* 2125441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125451 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125477 */     // GIR_Coverage, 17449,
     /* 2125477 */     GIR_EraseRootFromParent_Done,
     /* 2125478 */   // Label 28081: @2125478
     /* 2125478 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2125569), // Rule ID 17450 //
     /* 2125483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125529 */     // MIs[0] round
     /* 2125529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125532 */     // MIs[0] policy
     /* 2125532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125542 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125568 */     // GIR_Coverage, 17450,
     /* 2125568 */     GIR_EraseRootFromParent_Done,
     /* 2125569 */   // Label 28082: @2125569
     /* 2125569 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2125660), // Rule ID 17453 //
     /* 2125574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2125585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2125588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125620 */     // MIs[0] round
     /* 2125620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125623 */     // MIs[0] policy
     /* 2125623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125633 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2125636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125659 */     // GIR_Coverage, 17453,
     /* 2125659 */     GIR_EraseRootFromParent_Done,
     /* 2125660 */   // Label 28083: @2125660
     /* 2125660 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2125751), // Rule ID 17454 //
     /* 2125665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2125676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2125679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125711 */     // MIs[0] round
     /* 2125711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125714 */     // MIs[0] policy
     /* 2125714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125724 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2125727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125750 */     // GIR_Coverage, 17454,
     /* 2125750 */     GIR_EraseRootFromParent_Done,
     /* 2125751 */   // Label 28084: @2125751
     /* 2125751 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2125842), // Rule ID 17457 //
     /* 2125756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2125767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2125770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125802 */     // MIs[0] round
     /* 2125802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125805 */     // MIs[0] policy
     /* 2125805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125815 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2125818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125841 */     // GIR_Coverage, 17457,
     /* 2125841 */     GIR_EraseRootFromParent_Done,
     /* 2125842 */   // Label 28085: @2125842
     /* 2125842 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2125933), // Rule ID 17458 //
     /* 2125847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2125858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2125861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125893 */     // MIs[0] round
     /* 2125893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125896 */     // MIs[0] policy
     /* 2125896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125906 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2125909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125932 */     // GIR_Coverage, 17458,
     /* 2125932 */     GIR_EraseRootFromParent_Done,
     /* 2125933 */   // Label 28086: @2125933
     /* 2125933 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2126024), // Rule ID 17461 //
     /* 2125938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2125955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2125958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2125980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125984 */     // MIs[0] round
     /* 2125984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125987 */     // MIs[0] policy
     /* 2125987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125997 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2126000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126023 */     // GIR_Coverage, 17461,
     /* 2126023 */     GIR_EraseRootFromParent_Done,
     /* 2126024 */   // Label 28087: @2126024
     /* 2126024 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2126115), // Rule ID 17462 //
     /* 2126029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2126040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2126043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2126046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126075 */     // MIs[0] round
     /* 2126075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126078 */     // MIs[0] policy
     /* 2126078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2126091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126114 */     // GIR_Coverage, 17462,
     /* 2126114 */     GIR_EraseRootFromParent_Done,
     /* 2126115 */   // Label 28088: @2126115
     /* 2126115 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2126206), // Rule ID 17465 //
     /* 2126120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126166 */     // MIs[0] round
     /* 2126166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126169 */     // MIs[0] policy
     /* 2126169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126179 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126205 */     // GIR_Coverage, 17465,
     /* 2126205 */     GIR_EraseRootFromParent_Done,
     /* 2126206 */   // Label 28089: @2126206
     /* 2126206 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2126297), // Rule ID 17466 //
     /* 2126211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126257 */     // MIs[0] round
     /* 2126257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126260 */     // MIs[0] policy
     /* 2126260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126270 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126296 */     // GIR_Coverage, 17466,
     /* 2126296 */     GIR_EraseRootFromParent_Done,
     /* 2126297 */   // Label 28090: @2126297
     /* 2126297 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2126388), // Rule ID 17469 //
     /* 2126302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126348 */     // MIs[0] round
     /* 2126348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126351 */     // MIs[0] policy
     /* 2126351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126361 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126387 */     // GIR_Coverage, 17469,
     /* 2126387 */     GIR_EraseRootFromParent_Done,
     /* 2126388 */   // Label 28091: @2126388
     /* 2126388 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2126479), // Rule ID 17470 //
     /* 2126393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126439 */     // MIs[0] round
     /* 2126439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126442 */     // MIs[0] policy
     /* 2126442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126478 */     // GIR_Coverage, 17470,
     /* 2126478 */     GIR_EraseRootFromParent_Done,
     /* 2126479 */   // Label 28092: @2126479
     /* 2126479 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2126570), // Rule ID 17473 //
     /* 2126484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126530 */     // MIs[0] round
     /* 2126530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126533 */     // MIs[0] policy
     /* 2126533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126543 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2126546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126569 */     // GIR_Coverage, 17473,
     /* 2126569 */     GIR_EraseRootFromParent_Done,
     /* 2126570 */   // Label 28093: @2126570
     /* 2126570 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2126661), // Rule ID 17474 //
     /* 2126575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126621 */     // MIs[0] round
     /* 2126621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126624 */     // MIs[0] policy
     /* 2126624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126634 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2126637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126660 */     // GIR_Coverage, 17474,
     /* 2126660 */     GIR_EraseRootFromParent_Done,
     /* 2126661 */   // Label 28094: @2126661
     /* 2126661 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2126752), // Rule ID 17477 //
     /* 2126666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126712 */     // MIs[0] round
     /* 2126712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126715 */     // MIs[0] policy
     /* 2126715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126725 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2126728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126751 */     // GIR_Coverage, 17477,
     /* 2126751 */     GIR_EraseRootFromParent_Done,
     /* 2126752 */   // Label 28095: @2126752
     /* 2126752 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2126843), // Rule ID 17478 //
     /* 2126757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126803 */     // MIs[0] round
     /* 2126803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126806 */     // MIs[0] policy
     /* 2126806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126816 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2126819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126842 */     // GIR_Coverage, 17478,
     /* 2126842 */     GIR_EraseRootFromParent_Done,
     /* 2126843 */   // Label 28096: @2126843
     /* 2126843 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2126934), // Rule ID 17481 //
     /* 2126848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126894 */     // MIs[0] round
     /* 2126894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126897 */     // MIs[0] policy
     /* 2126897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126907 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2126910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126933 */     // GIR_Coverage, 17481,
     /* 2126933 */     GIR_EraseRootFromParent_Done,
     /* 2126934 */   // Label 28097: @2126934
     /* 2126934 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2127025), // Rule ID 17482 //
     /* 2126939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126985 */     // MIs[0] round
     /* 2126985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126988 */     // MIs[0] policy
     /* 2126988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126998 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2127001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127024 */     // GIR_Coverage, 17482,
     /* 2127024 */     GIR_EraseRootFromParent_Done,
     /* 2127025 */   // Label 28098: @2127025
     /* 2127025 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2127116), // Rule ID 17485 //
     /* 2127030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127076 */     // MIs[0] round
     /* 2127076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127079 */     // MIs[0] policy
     /* 2127079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127089 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127115 */     // GIR_Coverage, 17485,
     /* 2127115 */     GIR_EraseRootFromParent_Done,
     /* 2127116 */   // Label 28099: @2127116
     /* 2127116 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2127207), // Rule ID 17486 //
     /* 2127121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127167 */     // MIs[0] round
     /* 2127167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127170 */     // MIs[0] policy
     /* 2127170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127180 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127206 */     // GIR_Coverage, 17486,
     /* 2127206 */     GIR_EraseRootFromParent_Done,
     /* 2127207 */   // Label 28100: @2127207
     /* 2127207 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2127298), // Rule ID 17489 //
     /* 2127212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127258 */     // MIs[0] round
     /* 2127258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127261 */     // MIs[0] policy
     /* 2127261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127271 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127297 */     // GIR_Coverage, 17489,
     /* 2127297 */     GIR_EraseRootFromParent_Done,
     /* 2127298 */   // Label 28101: @2127298
     /* 2127298 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2127389), // Rule ID 17490 //
     /* 2127303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127349 */     // MIs[0] round
     /* 2127349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127352 */     // MIs[0] policy
     /* 2127352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127388 */     // GIR_Coverage, 17490,
     /* 2127388 */     GIR_EraseRootFromParent_Done,
     /* 2127389 */   // Label 28102: @2127389
     /* 2127389 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2127480), // Rule ID 17493 //
     /* 2127394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127440 */     // MIs[0] round
     /* 2127440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127443 */     // MIs[0] policy
     /* 2127443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127453 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127479 */     // GIR_Coverage, 17493,
     /* 2127479 */     GIR_EraseRootFromParent_Done,
     /* 2127480 */   // Label 28103: @2127480
     /* 2127480 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2127571), // Rule ID 17494 //
     /* 2127485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127531 */     // MIs[0] round
     /* 2127531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127534 */     // MIs[0] policy
     /* 2127534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127544 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127570 */     // GIR_Coverage, 17494,
     /* 2127570 */     GIR_EraseRootFromParent_Done,
     /* 2127571 */   // Label 28104: @2127571
     /* 2127571 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2127662), // Rule ID 17497 //
     /* 2127576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127622 */     // MIs[0] round
     /* 2127622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127625 */     // MIs[0] policy
     /* 2127625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127635 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2127638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127661 */     // GIR_Coverage, 17497,
     /* 2127661 */     GIR_EraseRootFromParent_Done,
     /* 2127662 */   // Label 28105: @2127662
     /* 2127662 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2127753), // Rule ID 17498 //
     /* 2127667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127713 */     // MIs[0] round
     /* 2127713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127716 */     // MIs[0] policy
     /* 2127716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127726 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2127729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127752 */     // GIR_Coverage, 17498,
     /* 2127752 */     GIR_EraseRootFromParent_Done,
     /* 2127753 */   // Label 28106: @2127753
     /* 2127753 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2127844), // Rule ID 17501 //
     /* 2127758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2127769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2127772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2127775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127804 */     // MIs[0] round
     /* 2127804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127807 */     // MIs[0] policy
     /* 2127807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127817 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2127820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127843 */     // GIR_Coverage, 17501,
     /* 2127843 */     GIR_EraseRootFromParent_Done,
     /* 2127844 */   // Label 28107: @2127844
     /* 2127844 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2127935), // Rule ID 17502 //
     /* 2127849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2127860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2127863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2127866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127895 */     // MIs[0] round
     /* 2127895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127898 */     // MIs[0] policy
     /* 2127898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127908 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2127911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127934 */     // GIR_Coverage, 17502,
     /* 2127934 */     GIR_EraseRootFromParent_Done,
     /* 2127935 */   // Label 28108: @2127935
     /* 2127935 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2128026), // Rule ID 17505 //
     /* 2127940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2127951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2127954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2127957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127986 */     // MIs[0] round
     /* 2127986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127989 */     // MIs[0] policy
     /* 2127989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127999 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2128002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128025 */     // GIR_Coverage, 17505,
     /* 2128025 */     GIR_EraseRootFromParent_Done,
     /* 2128026 */   // Label 28109: @2128026
     /* 2128026 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2128117), // Rule ID 17506 //
     /* 2128031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128077 */     // MIs[0] round
     /* 2128077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128080 */     // MIs[0] policy
     /* 2128080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128090 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2128093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128116 */     // GIR_Coverage, 17506,
     /* 2128116 */     GIR_EraseRootFromParent_Done,
     /* 2128117 */   // Label 28110: @2128117
     /* 2128117 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2128208), // Rule ID 17509 //
     /* 2128122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128168 */     // MIs[0] round
     /* 2128168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128171 */     // MIs[0] policy
     /* 2128171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128181 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128207 */     // GIR_Coverage, 17509,
     /* 2128207 */     GIR_EraseRootFromParent_Done,
     /* 2128208 */   // Label 28111: @2128208
     /* 2128208 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2128299), // Rule ID 17510 //
     /* 2128213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128259 */     // MIs[0] round
     /* 2128259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128262 */     // MIs[0] policy
     /* 2128262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128272 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128298 */     // GIR_Coverage, 17510,
     /* 2128298 */     GIR_EraseRootFromParent_Done,
     /* 2128299 */   // Label 28112: @2128299
     /* 2128299 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2128390), // Rule ID 17513 //
     /* 2128304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128350 */     // MIs[0] round
     /* 2128350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128353 */     // MIs[0] policy
     /* 2128353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128363 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128389 */     // GIR_Coverage, 17513,
     /* 2128389 */     GIR_EraseRootFromParent_Done,
     /* 2128390 */   // Label 28113: @2128390
     /* 2128390 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2128481), // Rule ID 17514 //
     /* 2128395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128441 */     // MIs[0] round
     /* 2128441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128444 */     // MIs[0] policy
     /* 2128444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128454 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128480 */     // GIR_Coverage, 17514,
     /* 2128480 */     GIR_EraseRootFromParent_Done,
     /* 2128481 */   // Label 28114: @2128481
     /* 2128481 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2128572), // Rule ID 17517 //
     /* 2128486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128532 */     // MIs[0] round
     /* 2128532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128535 */     // MIs[0] policy
     /* 2128535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128545 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2128548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128571 */     // GIR_Coverage, 17517,
     /* 2128571 */     GIR_EraseRootFromParent_Done,
     /* 2128572 */   // Label 28115: @2128572
     /* 2128572 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2128663), // Rule ID 17518 //
     /* 2128577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128623 */     // MIs[0] round
     /* 2128623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128626 */     // MIs[0] policy
     /* 2128626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2128639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128662 */     // GIR_Coverage, 17518,
     /* 2128662 */     GIR_EraseRootFromParent_Done,
     /* 2128663 */   // Label 28116: @2128663
     /* 2128663 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2128754), // Rule ID 17521 //
     /* 2128668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128714 */     // MIs[0] round
     /* 2128714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128717 */     // MIs[0] policy
     /* 2128717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128727 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2128730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128753 */     // GIR_Coverage, 17521,
     /* 2128753 */     GIR_EraseRootFromParent_Done,
     /* 2128754 */   // Label 28117: @2128754
     /* 2128754 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2128845), // Rule ID 17522 //
     /* 2128759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128805 */     // MIs[0] round
     /* 2128805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128808 */     // MIs[0] policy
     /* 2128808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128818 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2128821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128844 */     // GIR_Coverage, 17522,
     /* 2128844 */     GIR_EraseRootFromParent_Done,
     /* 2128845 */   // Label 28118: @2128845
     /* 2128845 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2128936), // Rule ID 17525 //
     /* 2128850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2128861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2128864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2128867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128896 */     // MIs[0] round
     /* 2128896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128899 */     // MIs[0] policy
     /* 2128899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128909 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2128912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128935 */     // GIR_Coverage, 17525,
     /* 2128935 */     GIR_EraseRootFromParent_Done,
     /* 2128936 */   // Label 28119: @2128936
     /* 2128936 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2129027), // Rule ID 17526 //
     /* 2128941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2128952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2128955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2128958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128987 */     // MIs[0] round
     /* 2128987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128990 */     // MIs[0] policy
     /* 2128990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129000 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2129003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129026 */     // GIR_Coverage, 17526,
     /* 2129026 */     GIR_EraseRootFromParent_Done,
     /* 2129027 */   // Label 28120: @2129027
     /* 2129027 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2129118), // Rule ID 17529 //
     /* 2129032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129078 */     // MIs[0] round
     /* 2129078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129081 */     // MIs[0] policy
     /* 2129081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129091 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129117 */     // GIR_Coverage, 17529,
     /* 2129117 */     GIR_EraseRootFromParent_Done,
     /* 2129118 */   // Label 28121: @2129118
     /* 2129118 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2129209), // Rule ID 17530 //
     /* 2129123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129169 */     // MIs[0] round
     /* 2129169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129172 */     // MIs[0] policy
     /* 2129172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129182 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129208 */     // GIR_Coverage, 17530,
     /* 2129208 */     GIR_EraseRootFromParent_Done,
     /* 2129209 */   // Label 28122: @2129209
     /* 2129209 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2129300), // Rule ID 17533 //
     /* 2129214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129260 */     // MIs[0] round
     /* 2129260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129263 */     // MIs[0] policy
     /* 2129263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129273 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129299 */     // GIR_Coverage, 17533,
     /* 2129299 */     GIR_EraseRootFromParent_Done,
     /* 2129300 */   // Label 28123: @2129300
     /* 2129300 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2129391), // Rule ID 17534 //
     /* 2129305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129351 */     // MIs[0] round
     /* 2129351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129354 */     // MIs[0] policy
     /* 2129354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129364 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129390 */     // GIR_Coverage, 17534,
     /* 2129390 */     GIR_EraseRootFromParent_Done,
     /* 2129391 */   // Label 28124: @2129391
     /* 2129391 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2129482), // Rule ID 17537 //
     /* 2129396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129442 */     // MIs[0] round
     /* 2129442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129445 */     // MIs[0] policy
     /* 2129445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129455 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129481 */     // GIR_Coverage, 17537,
     /* 2129481 */     GIR_EraseRootFromParent_Done,
     /* 2129482 */   // Label 28125: @2129482
     /* 2129482 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2129573), // Rule ID 17538 //
     /* 2129487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129533 */     // MIs[0] round
     /* 2129533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129536 */     // MIs[0] policy
     /* 2129536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129546 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129572 */     // GIR_Coverage, 17538,
     /* 2129572 */     GIR_EraseRootFromParent_Done,
     /* 2129573 */   // Label 28126: @2129573
     /* 2129573 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2129664), // Rule ID 17541 //
     /* 2129578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129624 */     // MIs[0] round
     /* 2129624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129627 */     // MIs[0] policy
     /* 2129627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129637 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2129640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129663 */     // GIR_Coverage, 17541,
     /* 2129663 */     GIR_EraseRootFromParent_Done,
     /* 2129664 */   // Label 28127: @2129664
     /* 2129664 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2129755), // Rule ID 17542 //
     /* 2129669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129715 */     // MIs[0] round
     /* 2129715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129718 */     // MIs[0] policy
     /* 2129718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129728 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2129731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129754 */     // GIR_Coverage, 17542,
     /* 2129754 */     GIR_EraseRootFromParent_Done,
     /* 2129755 */   // Label 28128: @2129755
     /* 2129755 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2129846), // Rule ID 17545 //
     /* 2129760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2129771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2129774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2129777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129806 */     // MIs[0] round
     /* 2129806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129809 */     // MIs[0] policy
     /* 2129809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129819 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2129822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129845 */     // GIR_Coverage, 17545,
     /* 2129845 */     GIR_EraseRootFromParent_Done,
     /* 2129846 */   // Label 28129: @2129846
     /* 2129846 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2129937), // Rule ID 17546 //
     /* 2129851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2129862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2129865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2129868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129897 */     // MIs[0] round
     /* 2129897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129900 */     // MIs[0] policy
     /* 2129900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129910 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2129913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129936 */     // GIR_Coverage, 17546,
     /* 2129936 */     GIR_EraseRootFromParent_Done,
     /* 2129937 */   // Label 28130: @2129937
     /* 2129937 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2130028), // Rule ID 17549 //
     /* 2129942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129988 */     // MIs[0] round
     /* 2129988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129991 */     // MIs[0] policy
     /* 2129991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130001 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2130004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130027 */     // GIR_Coverage, 17549,
     /* 2130027 */     GIR_EraseRootFromParent_Done,
     /* 2130028 */   // Label 28131: @2130028
     /* 2130028 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2130119), // Rule ID 17550 //
     /* 2130033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130079 */     // MIs[0] round
     /* 2130079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130082 */     // MIs[0] policy
     /* 2130082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2130095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130118 */     // GIR_Coverage, 17550,
     /* 2130118 */     GIR_EraseRootFromParent_Done,
     /* 2130119 */   // Label 28132: @2130119
     /* 2130119 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2130210), // Rule ID 17553 //
     /* 2130124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130170 */     // MIs[0] round
     /* 2130170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130173 */     // MIs[0] policy
     /* 2130173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130183 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130209 */     // GIR_Coverage, 17553,
     /* 2130209 */     GIR_EraseRootFromParent_Done,
     /* 2130210 */   // Label 28133: @2130210
     /* 2130210 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2130301), // Rule ID 17554 //
     /* 2130215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130261 */     // MIs[0] round
     /* 2130261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130264 */     // MIs[0] policy
     /* 2130264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130300 */     // GIR_Coverage, 17554,
     /* 2130300 */     GIR_EraseRootFromParent_Done,
     /* 2130301 */   // Label 28134: @2130301
     /* 2130301 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2130392), // Rule ID 17557 //
     /* 2130306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130352 */     // MIs[0] round
     /* 2130352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130355 */     // MIs[0] policy
     /* 2130355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130365 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130391 */     // GIR_Coverage, 17557,
     /* 2130391 */     GIR_EraseRootFromParent_Done,
     /* 2130392 */   // Label 28135: @2130392
     /* 2130392 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2130483), // Rule ID 17558 //
     /* 2130397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130443 */     // MIs[0] round
     /* 2130443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130446 */     // MIs[0] policy
     /* 2130446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130482 */     // GIR_Coverage, 17558,
     /* 2130482 */     GIR_EraseRootFromParent_Done,
     /* 2130483 */   // Label 28136: @2130483
     /* 2130483 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2130574), // Rule ID 17561 //
     /* 2130488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130534 */     // MIs[0] round
     /* 2130534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130537 */     // MIs[0] policy
     /* 2130537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130547 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2130550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130573 */     // GIR_Coverage, 17561,
     /* 2130573 */     GIR_EraseRootFromParent_Done,
     /* 2130574 */   // Label 28137: @2130574
     /* 2130574 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2130665), // Rule ID 17562 //
     /* 2130579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130625 */     // MIs[0] round
     /* 2130625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130628 */     // MIs[0] policy
     /* 2130628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130638 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2130641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130664 */     // GIR_Coverage, 17562,
     /* 2130664 */     GIR_EraseRootFromParent_Done,
     /* 2130665 */   // Label 28138: @2130665
     /* 2130665 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2130756), // Rule ID 17565 //
     /* 2130670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2130681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2130684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2130687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2130690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130716 */     // MIs[0] round
     /* 2130716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130719 */     // MIs[0] policy
     /* 2130719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130729 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2130732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130755 */     // GIR_Coverage, 17565,
     /* 2130755 */     GIR_EraseRootFromParent_Done,
     /* 2130756 */   // Label 28139: @2130756
     /* 2130756 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2130847), // Rule ID 17566 //
     /* 2130761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2130772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2130775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2130778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2130781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130807 */     // MIs[0] round
     /* 2130807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130810 */     // MIs[0] policy
     /* 2130810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130820 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2130823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130846 */     // GIR_Coverage, 17566,
     /* 2130846 */     GIR_EraseRootFromParent_Done,
     /* 2130847 */   // Label 28140: @2130847
     /* 2130847 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2130938), // Rule ID 17569 //
     /* 2130852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2130869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2130872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130898 */     // MIs[0] round
     /* 2130898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130901 */     // MIs[0] policy
     /* 2130901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130911 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2130914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130937 */     // GIR_Coverage, 17569,
     /* 2130937 */     GIR_EraseRootFromParent_Done,
     /* 2130938 */   // Label 28141: @2130938
     /* 2130938 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2131029), // Rule ID 17570 //
     /* 2130943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2130960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2130963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130989 */     // MIs[0] round
     /* 2130989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130992 */     // MIs[0] policy
     /* 2130992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2131005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131028 */     // GIR_Coverage, 17570,
     /* 2131028 */     GIR_EraseRootFromParent_Done,
     /* 2131029 */   // Label 28142: @2131029
     /* 2131029 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2131120), // Rule ID 17573 //
     /* 2131034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131080 */     // MIs[0] round
     /* 2131080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131083 */     // MIs[0] policy
     /* 2131083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131093 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131119 */     // GIR_Coverage, 17573,
     /* 2131119 */     GIR_EraseRootFromParent_Done,
     /* 2131120 */   // Label 28143: @2131120
     /* 2131120 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2131211), // Rule ID 17574 //
     /* 2131125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131171 */     // MIs[0] round
     /* 2131171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131174 */     // MIs[0] policy
     /* 2131174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131184 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131210 */     // GIR_Coverage, 17574,
     /* 2131210 */     GIR_EraseRootFromParent_Done,
     /* 2131211 */   // Label 28144: @2131211
     /* 2131211 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2131302), // Rule ID 17577 //
     /* 2131216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131262 */     // MIs[0] round
     /* 2131262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131265 */     // MIs[0] policy
     /* 2131265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131275 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131301 */     // GIR_Coverage, 17577,
     /* 2131301 */     GIR_EraseRootFromParent_Done,
     /* 2131302 */   // Label 28145: @2131302
     /* 2131302 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2131393), // Rule ID 17578 //
     /* 2131307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131353 */     // MIs[0] round
     /* 2131353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131356 */     // MIs[0] policy
     /* 2131356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131366 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131392 */     // GIR_Coverage, 17578,
     /* 2131392 */     GIR_EraseRootFromParent_Done,
     /* 2131393 */   // Label 28146: @2131393
     /* 2131393 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2131484), // Rule ID 17581 //
     /* 2131398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131444 */     // MIs[0] round
     /* 2131444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131447 */     // MIs[0] policy
     /* 2131447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131483 */     // GIR_Coverage, 17581,
     /* 2131483 */     GIR_EraseRootFromParent_Done,
     /* 2131484 */   // Label 28147: @2131484
     /* 2131484 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2131575), // Rule ID 17582 //
     /* 2131489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131535 */     // MIs[0] round
     /* 2131535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131538 */     // MIs[0] policy
     /* 2131538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131574 */     // GIR_Coverage, 17582,
     /* 2131574 */     GIR_EraseRootFromParent_Done,
     /* 2131575 */   // Label 28148: @2131575
     /* 2131575 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2131666), // Rule ID 17585 //
     /* 2131580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131626 */     // MIs[0] round
     /* 2131626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131629 */     // MIs[0] policy
     /* 2131629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131639 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2131642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131665 */     // GIR_Coverage, 17585,
     /* 2131665 */     GIR_EraseRootFromParent_Done,
     /* 2131666 */   // Label 28149: @2131666
     /* 2131666 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2131757), // Rule ID 17586 //
     /* 2131671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131717 */     // MIs[0] round
     /* 2131717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131720 */     // MIs[0] policy
     /* 2131720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2131733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131756 */     // GIR_Coverage, 17586,
     /* 2131756 */     GIR_EraseRootFromParent_Done,
     /* 2131757 */   // Label 28150: @2131757
     /* 2131757 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2131848), // Rule ID 17589 //
     /* 2131762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2131782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131808 */     // MIs[0] round
     /* 2131808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131811 */     // MIs[0] policy
     /* 2131811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131821 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2131824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131847 */     // GIR_Coverage, 17589,
     /* 2131847 */     GIR_EraseRootFromParent_Done,
     /* 2131848 */   // Label 28151: @2131848
     /* 2131848 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2131939), // Rule ID 17590 //
     /* 2131853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2131873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131899 */     // MIs[0] round
     /* 2131899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131902 */     // MIs[0] policy
     /* 2131902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131912 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2131915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131938 */     // GIR_Coverage, 17590,
     /* 2131938 */     GIR_EraseRootFromParent_Done,
     /* 2131939 */   // Label 28152: @2131939
     /* 2131939 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2132030), // Rule ID 17593 //
     /* 2131944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2131964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131990 */     // MIs[0] round
     /* 2131990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131993 */     // MIs[0] policy
     /* 2131993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132003 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2132006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132029 */     // GIR_Coverage, 17593,
     /* 2132029 */     GIR_EraseRootFromParent_Done,
     /* 2132030 */   // Label 28153: @2132030
     /* 2132030 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2132121), // Rule ID 17594 //
     /* 2132035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132081 */     // MIs[0] round
     /* 2132081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132084 */     // MIs[0] policy
     /* 2132084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132094 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2132097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132120 */     // GIR_Coverage, 17594,
     /* 2132120 */     GIR_EraseRootFromParent_Done,
     /* 2132121 */   // Label 28154: @2132121
     /* 2132121 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2132212), // Rule ID 17597 //
     /* 2132126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132172 */     // MIs[0] round
     /* 2132172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132175 */     // MIs[0] policy
     /* 2132175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132185 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132211 */     // GIR_Coverage, 17597,
     /* 2132211 */     GIR_EraseRootFromParent_Done,
     /* 2132212 */   // Label 28155: @2132212
     /* 2132212 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2132303), // Rule ID 17598 //
     /* 2132217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132263 */     // MIs[0] round
     /* 2132263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132266 */     // MIs[0] policy
     /* 2132266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132302 */     // GIR_Coverage, 17598,
     /* 2132302 */     GIR_EraseRootFromParent_Done,
     /* 2132303 */   // Label 28156: @2132303
     /* 2132303 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2132394), // Rule ID 17601 //
     /* 2132308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132354 */     // MIs[0] round
     /* 2132354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132357 */     // MIs[0] policy
     /* 2132357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132393 */     // GIR_Coverage, 17601,
     /* 2132393 */     GIR_EraseRootFromParent_Done,
     /* 2132394 */   // Label 28157: @2132394
     /* 2132394 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2132485), // Rule ID 17602 //
     /* 2132399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132445 */     // MIs[0] round
     /* 2132445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132448 */     // MIs[0] policy
     /* 2132448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132458 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132484 */     // GIR_Coverage, 17602,
     /* 2132484 */     GIR_EraseRootFromParent_Done,
     /* 2132485 */   // Label 28158: @2132485
     /* 2132485 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2132576), // Rule ID 17605 //
     /* 2132490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132536 */     // MIs[0] round
     /* 2132536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132539 */     // MIs[0] policy
     /* 2132539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132549 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2132552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132575 */     // GIR_Coverage, 17605,
     /* 2132575 */     GIR_EraseRootFromParent_Done,
     /* 2132576 */   // Label 28159: @2132576
     /* 2132576 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2132667), // Rule ID 17606 //
     /* 2132581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132627 */     // MIs[0] round
     /* 2132627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132630 */     // MIs[0] policy
     /* 2132630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2132643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132666 */     // GIR_Coverage, 17606,
     /* 2132666 */     GIR_EraseRootFromParent_Done,
     /* 2132667 */   // Label 28160: @2132667
     /* 2132667 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2132758), // Rule ID 17609 //
     /* 2132672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2132683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2132686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132718 */     // MIs[0] round
     /* 2132718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132721 */     // MIs[0] policy
     /* 2132721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132731 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2132734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132757 */     // GIR_Coverage, 17609,
     /* 2132757 */     GIR_EraseRootFromParent_Done,
     /* 2132758 */   // Label 28161: @2132758
     /* 2132758 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2132849), // Rule ID 17610 //
     /* 2132763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2132774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2132777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132809 */     // MIs[0] round
     /* 2132809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132812 */     // MIs[0] policy
     /* 2132812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132822 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2132825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132848 */     // GIR_Coverage, 17610,
     /* 2132848 */     GIR_EraseRootFromParent_Done,
     /* 2132849 */   // Label 28162: @2132849
     /* 2132849 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2132940), // Rule ID 17613 //
     /* 2132854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2132865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2132868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2132871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132900 */     // MIs[0] round
     /* 2132900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132903 */     // MIs[0] policy
     /* 2132903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132913 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2132916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132939 */     // GIR_Coverage, 17613,
     /* 2132939 */     GIR_EraseRootFromParent_Done,
     /* 2132940 */   // Label 28163: @2132940
     /* 2132940 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2133031), // Rule ID 17614 //
     /* 2132945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2132956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2132959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2132962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132991 */     // MIs[0] round
     /* 2132991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132994 */     // MIs[0] policy
     /* 2132994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133004 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2133007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133030 */     // GIR_Coverage, 17614,
     /* 2133030 */     GIR_EraseRootFromParent_Done,
     /* 2133031 */   // Label 28164: @2133031
     /* 2133031 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2133122), // Rule ID 17617 //
     /* 2133036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133082 */     // MIs[0] round
     /* 2133082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133085 */     // MIs[0] policy
     /* 2133085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133095 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133121 */     // GIR_Coverage, 17617,
     /* 2133121 */     GIR_EraseRootFromParent_Done,
     /* 2133122 */   // Label 28165: @2133122
     /* 2133122 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2133213), // Rule ID 17618 //
     /* 2133127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133173 */     // MIs[0] round
     /* 2133173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133176 */     // MIs[0] policy
     /* 2133176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133186 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133212 */     // GIR_Coverage, 17618,
     /* 2133212 */     GIR_EraseRootFromParent_Done,
     /* 2133213 */   // Label 28166: @2133213
     /* 2133213 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2133304), // Rule ID 17621 //
     /* 2133218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133264 */     // MIs[0] round
     /* 2133264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133267 */     // MIs[0] policy
     /* 2133267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133277 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133303 */     // GIR_Coverage, 17621,
     /* 2133303 */     GIR_EraseRootFromParent_Done,
     /* 2133304 */   // Label 28167: @2133304
     /* 2133304 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2133395), // Rule ID 17622 //
     /* 2133309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133355 */     // MIs[0] round
     /* 2133355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133358 */     // MIs[0] policy
     /* 2133358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133394 */     // GIR_Coverage, 17622,
     /* 2133394 */     GIR_EraseRootFromParent_Done,
     /* 2133395 */   // Label 28168: @2133395
     /* 2133395 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2133486), // Rule ID 17625 //
     /* 2133400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133446 */     // MIs[0] round
     /* 2133446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133449 */     // MIs[0] policy
     /* 2133449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133459 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133485 */     // GIR_Coverage, 17625,
     /* 2133485 */     GIR_EraseRootFromParent_Done,
     /* 2133486 */   // Label 28169: @2133486
     /* 2133486 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2133577), // Rule ID 17626 //
     /* 2133491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133537 */     // MIs[0] round
     /* 2133537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133540 */     // MIs[0] policy
     /* 2133540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133550 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133576 */     // GIR_Coverage, 17626,
     /* 2133576 */     GIR_EraseRootFromParent_Done,
     /* 2133577 */   // Label 28170: @2133577
     /* 2133577 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2133668), // Rule ID 17629 //
     /* 2133582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133628 */     // MIs[0] round
     /* 2133628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133631 */     // MIs[0] policy
     /* 2133631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133641 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2133644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133667 */     // GIR_Coverage, 17629,
     /* 2133667 */     GIR_EraseRootFromParent_Done,
     /* 2133668 */   // Label 28171: @2133668
     /* 2133668 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2133759), // Rule ID 17630 //
     /* 2133673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133719 */     // MIs[0] round
     /* 2133719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133722 */     // MIs[0] policy
     /* 2133722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2133735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133758 */     // GIR_Coverage, 17630,
     /* 2133758 */     GIR_EraseRootFromParent_Done,
     /* 2133759 */   // Label 28172: @2133759
     /* 2133759 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2133850), // Rule ID 17633 //
     /* 2133764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133810 */     // MIs[0] round
     /* 2133810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133813 */     // MIs[0] policy
     /* 2133813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133823 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2133826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133849 */     // GIR_Coverage, 17633,
     /* 2133849 */     GIR_EraseRootFromParent_Done,
     /* 2133850 */   // Label 28173: @2133850
     /* 2133850 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2133941), // Rule ID 17634 //
     /* 2133855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133901 */     // MIs[0] round
     /* 2133901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133904 */     // MIs[0] policy
     /* 2133904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133914 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2133917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133940 */     // GIR_Coverage, 17634,
     /* 2133940 */     GIR_EraseRootFromParent_Done,
     /* 2133941 */   // Label 28174: @2133941
     /* 2133941 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2134032), // Rule ID 17637 //
     /* 2133946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133992 */     // MIs[0] round
     /* 2133992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133995 */     // MIs[0] policy
     /* 2133995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134005 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2134008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134031 */     // GIR_Coverage, 17637,
     /* 2134031 */     GIR_EraseRootFromParent_Done,
     /* 2134032 */   // Label 28175: @2134032
     /* 2134032 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2134123), // Rule ID 17638 //
     /* 2134037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134083 */     // MIs[0] round
     /* 2134083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134086 */     // MIs[0] policy
     /* 2134086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134096 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2134099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134122 */     // GIR_Coverage, 17638,
     /* 2134122 */     GIR_EraseRootFromParent_Done,
     /* 2134123 */   // Label 28176: @2134123
     /* 2134123 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2134214), // Rule ID 17641 //
     /* 2134128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134174 */     // MIs[0] round
     /* 2134174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134177 */     // MIs[0] policy
     /* 2134177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134187 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134213 */     // GIR_Coverage, 17641,
     /* 2134213 */     GIR_EraseRootFromParent_Done,
     /* 2134214 */   // Label 28177: @2134214
     /* 2134214 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2134305), // Rule ID 17642 //
     /* 2134219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134265 */     // MIs[0] round
     /* 2134265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134268 */     // MIs[0] policy
     /* 2134268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134278 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134304 */     // GIR_Coverage, 17642,
     /* 2134304 */     GIR_EraseRootFromParent_Done,
     /* 2134305 */   // Label 28178: @2134305
     /* 2134305 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2134396), // Rule ID 17645 //
     /* 2134310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134356 */     // MIs[0] round
     /* 2134356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134359 */     // MIs[0] policy
     /* 2134359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134369 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134395 */     // GIR_Coverage, 17645,
     /* 2134395 */     GIR_EraseRootFromParent_Done,
     /* 2134396 */   // Label 28179: @2134396
     /* 2134396 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2134487), // Rule ID 17646 //
     /* 2134401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134447 */     // MIs[0] round
     /* 2134447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134450 */     // MIs[0] policy
     /* 2134450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134460 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134486 */     // GIR_Coverage, 17646,
     /* 2134486 */     GIR_EraseRootFromParent_Done,
     /* 2134487 */   // Label 28180: @2134487
     /* 2134487 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2134578), // Rule ID 17649 //
     /* 2134492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134538 */     // MIs[0] round
     /* 2134538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134541 */     // MIs[0] policy
     /* 2134541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134551 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2134554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134577 */     // GIR_Coverage, 17649,
     /* 2134577 */     GIR_EraseRootFromParent_Done,
     /* 2134578 */   // Label 28181: @2134578
     /* 2134578 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2134669), // Rule ID 17650 //
     /* 2134583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134629 */     // MIs[0] round
     /* 2134629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134632 */     // MIs[0] policy
     /* 2134632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134642 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2134645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134668 */     // GIR_Coverage, 17650,
     /* 2134668 */     GIR_EraseRootFromParent_Done,
     /* 2134669 */   // Label 28182: @2134669
     /* 2134669 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2134760), // Rule ID 17653 //
     /* 2134674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2134685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2134688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2134691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2134694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134720 */     // MIs[0] round
     /* 2134720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134723 */     // MIs[0] policy
     /* 2134723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134733 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2134736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134759 */     // GIR_Coverage, 17653,
     /* 2134759 */     GIR_EraseRootFromParent_Done,
     /* 2134760 */   // Label 28183: @2134760
     /* 2134760 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2134851), // Rule ID 17654 //
     /* 2134765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2134776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2134779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2134782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2134785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134811 */     // MIs[0] round
     /* 2134811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134814 */     // MIs[0] policy
     /* 2134814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134824 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2134827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134850 */     // GIR_Coverage, 17654,
     /* 2134850 */     GIR_EraseRootFromParent_Done,
     /* 2134851 */   // Label 28184: @2134851
     /* 2134851 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2134942), // Rule ID 17657 //
     /* 2134856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134902 */     // MIs[0] round
     /* 2134902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134905 */     // MIs[0] policy
     /* 2134905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134915 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2134918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134941 */     // GIR_Coverage, 17657,
     /* 2134941 */     GIR_EraseRootFromParent_Done,
     /* 2134942 */   // Label 28185: @2134942
     /* 2134942 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2135033), // Rule ID 17658 //
     /* 2134947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134993 */     // MIs[0] round
     /* 2134993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134996 */     // MIs[0] policy
     /* 2134996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135006 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2135009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135032 */     // GIR_Coverage, 17658,
     /* 2135032 */     GIR_EraseRootFromParent_Done,
     /* 2135033 */   // Label 28186: @2135033
     /* 2135033 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2135124), // Rule ID 17661 //
     /* 2135038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135084 */     // MIs[0] round
     /* 2135084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135087 */     // MIs[0] policy
     /* 2135087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135097 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135123 */     // GIR_Coverage, 17661,
     /* 2135123 */     GIR_EraseRootFromParent_Done,
     /* 2135124 */   // Label 28187: @2135124
     /* 2135124 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2135215), // Rule ID 17662 //
     /* 2135129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135175 */     // MIs[0] round
     /* 2135175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135178 */     // MIs[0] policy
     /* 2135178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135188 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135214 */     // GIR_Coverage, 17662,
     /* 2135214 */     GIR_EraseRootFromParent_Done,
     /* 2135215 */   // Label 28188: @2135215
     /* 2135215 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2135306), // Rule ID 17665 //
     /* 2135220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135266 */     // MIs[0] round
     /* 2135266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135269 */     // MIs[0] policy
     /* 2135269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135279 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135305 */     // GIR_Coverage, 17665,
     /* 2135305 */     GIR_EraseRootFromParent_Done,
     /* 2135306 */   // Label 28189: @2135306
     /* 2135306 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2135397), // Rule ID 17666 //
     /* 2135311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135357 */     // MIs[0] round
     /* 2135357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135360 */     // MIs[0] policy
     /* 2135360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135396 */     // GIR_Coverage, 17666,
     /* 2135396 */     GIR_EraseRootFromParent_Done,
     /* 2135397 */   // Label 28190: @2135397
     /* 2135397 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2135488), // Rule ID 17669 //
     /* 2135402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135448 */     // MIs[0] round
     /* 2135448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135451 */     // MIs[0] policy
     /* 2135451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135461 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135487 */     // GIR_Coverage, 17669,
     /* 2135487 */     GIR_EraseRootFromParent_Done,
     /* 2135488 */   // Label 28191: @2135488
     /* 2135488 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2135579), // Rule ID 17670 //
     /* 2135493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135539 */     // MIs[0] round
     /* 2135539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135542 */     // MIs[0] policy
     /* 2135542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135552 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135578 */     // GIR_Coverage, 17670,
     /* 2135578 */     GIR_EraseRootFromParent_Done,
     /* 2135579 */   // Label 28192: @2135579
     /* 2135579 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2135670), // Rule ID 17673 //
     /* 2135584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135630 */     // MIs[0] round
     /* 2135630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135633 */     // MIs[0] policy
     /* 2135633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135643 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2135646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135669 */     // GIR_Coverage, 17673,
     /* 2135669 */     GIR_EraseRootFromParent_Done,
     /* 2135670 */   // Label 28193: @2135670
     /* 2135670 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2135761), // Rule ID 17674 //
     /* 2135675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135721 */     // MIs[0] round
     /* 2135721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135724 */     // MIs[0] policy
     /* 2135724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135734 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2135737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135760 */     // GIR_Coverage, 17674,
     /* 2135760 */     GIR_EraseRootFromParent_Done,
     /* 2135761 */   // Label 28194: @2135761
     /* 2135761 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2135852), // Rule ID 17677 //
     /* 2135766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2135777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2135786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135812 */     // MIs[0] round
     /* 2135812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135815 */     // MIs[0] policy
     /* 2135815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135825 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2135828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135851 */     // GIR_Coverage, 17677,
     /* 2135851 */     GIR_EraseRootFromParent_Done,
     /* 2135852 */   // Label 28195: @2135852
     /* 2135852 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2135943), // Rule ID 17678 //
     /* 2135857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2135868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2135877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135903 */     // MIs[0] round
     /* 2135903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135906 */     // MIs[0] policy
     /* 2135906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135916 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2135919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135942 */     // GIR_Coverage, 17678,
     /* 2135942 */     GIR_EraseRootFromParent_Done,
     /* 2135943 */   // Label 28196: @2135943
     /* 2135943 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2136034), // Rule ID 17681 //
     /* 2135948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2135959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2135968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135994 */     // MIs[0] round
     /* 2135994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135997 */     // MIs[0] policy
     /* 2135997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136007 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2136010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136033 */     // GIR_Coverage, 17681,
     /* 2136033 */     GIR_EraseRootFromParent_Done,
     /* 2136034 */   // Label 28197: @2136034
     /* 2136034 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2136125), // Rule ID 17682 //
     /* 2136039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136085 */     // MIs[0] round
     /* 2136085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136088 */     // MIs[0] policy
     /* 2136088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136098 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2136101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136124 */     // GIR_Coverage, 17682,
     /* 2136124 */     GIR_EraseRootFromParent_Done,
     /* 2136125 */   // Label 28198: @2136125
     /* 2136125 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2136216), // Rule ID 17685 //
     /* 2136130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136176 */     // MIs[0] round
     /* 2136176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136179 */     // MIs[0] policy
     /* 2136179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136189 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136215 */     // GIR_Coverage, 17685,
     /* 2136215 */     GIR_EraseRootFromParent_Done,
     /* 2136216 */   // Label 28199: @2136216
     /* 2136216 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2136307), // Rule ID 17686 //
     /* 2136221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136267 */     // MIs[0] round
     /* 2136267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136270 */     // MIs[0] policy
     /* 2136270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136306 */     // GIR_Coverage, 17686,
     /* 2136306 */     GIR_EraseRootFromParent_Done,
     /* 2136307 */   // Label 28200: @2136307
     /* 2136307 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2136398), // Rule ID 17689 //
     /* 2136312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136358 */     // MIs[0] round
     /* 2136358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136361 */     // MIs[0] policy
     /* 2136361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136371 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136397 */     // GIR_Coverage, 17689,
     /* 2136397 */     GIR_EraseRootFromParent_Done,
     /* 2136398 */   // Label 28201: @2136398
     /* 2136398 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2136489), // Rule ID 17690 //
     /* 2136403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136449 */     // MIs[0] round
     /* 2136449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136452 */     // MIs[0] policy
     /* 2136452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136462 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136488 */     // GIR_Coverage, 17690,
     /* 2136488 */     GIR_EraseRootFromParent_Done,
     /* 2136489 */   // Label 28202: @2136489
     /* 2136489 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2136580), // Rule ID 17693 //
     /* 2136494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136540 */     // MIs[0] round
     /* 2136540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136543 */     // MIs[0] policy
     /* 2136543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136553 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2136556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136579 */     // GIR_Coverage, 17693,
     /* 2136579 */     GIR_EraseRootFromParent_Done,
     /* 2136580 */   // Label 28203: @2136580
     /* 2136580 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2136671), // Rule ID 17694 //
     /* 2136585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136631 */     // MIs[0] round
     /* 2136631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136634 */     // MIs[0] policy
     /* 2136634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136644 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2136647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136670 */     // GIR_Coverage, 17694,
     /* 2136670 */     GIR_EraseRootFromParent_Done,
     /* 2136671 */   // Label 28204: @2136671
     /* 2136671 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2136762), // Rule ID 17697 //
     /* 2136676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2136696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136722 */     // MIs[0] round
     /* 2136722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136725 */     // MIs[0] policy
     /* 2136725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136735 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2136738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136761 */     // GIR_Coverage, 17697,
     /* 2136761 */     GIR_EraseRootFromParent_Done,
     /* 2136762 */   // Label 28205: @2136762
     /* 2136762 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2136853), // Rule ID 17698 //
     /* 2136767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2136787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136813 */     // MIs[0] round
     /* 2136813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136816 */     // MIs[0] policy
     /* 2136816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136826 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2136829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136852 */     // GIR_Coverage, 17698,
     /* 2136852 */     GIR_EraseRootFromParent_Done,
     /* 2136853 */   // Label 28206: @2136853
     /* 2136853 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2136944), // Rule ID 17701 //
     /* 2136858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2136878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136904 */     // MIs[0] round
     /* 2136904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136907 */     // MIs[0] policy
     /* 2136907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136917 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2136920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136943 */     // GIR_Coverage, 17701,
     /* 2136943 */     GIR_EraseRootFromParent_Done,
     /* 2136944 */   // Label 28207: @2136944
     /* 2136944 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2137035), // Rule ID 17702 //
     /* 2136949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2136969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136995 */     // MIs[0] round
     /* 2136995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136998 */     // MIs[0] policy
     /* 2136998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137008 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2137011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137034 */     // GIR_Coverage, 17702,
     /* 2137034 */     GIR_EraseRootFromParent_Done,
     /* 2137035 */   // Label 28208: @2137035
     /* 2137035 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2137126), // Rule ID 17705 //
     /* 2137040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137086 */     // MIs[0] round
     /* 2137086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137089 */     // MIs[0] policy
     /* 2137089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137099 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137125 */     // GIR_Coverage, 17705,
     /* 2137125 */     GIR_EraseRootFromParent_Done,
     /* 2137126 */   // Label 28209: @2137126
     /* 2137126 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2137217), // Rule ID 17706 //
     /* 2137131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137177 */     // MIs[0] round
     /* 2137177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137180 */     // MIs[0] policy
     /* 2137180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137190 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137216 */     // GIR_Coverage, 17706,
     /* 2137216 */     GIR_EraseRootFromParent_Done,
     /* 2137217 */   // Label 28210: @2137217
     /* 2137217 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2137308), // Rule ID 17709 //
     /* 2137222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137268 */     // MIs[0] round
     /* 2137268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137271 */     // MIs[0] policy
     /* 2137271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137281 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137307 */     // GIR_Coverage, 17709,
     /* 2137307 */     GIR_EraseRootFromParent_Done,
     /* 2137308 */   // Label 28211: @2137308
     /* 2137308 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2137399), // Rule ID 17710 //
     /* 2137313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137359 */     // MIs[0] round
     /* 2137359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137362 */     // MIs[0] policy
     /* 2137362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137372 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137398 */     // GIR_Coverage, 17710,
     /* 2137398 */     GIR_EraseRootFromParent_Done,
     /* 2137399 */   // Label 28212: @2137399
     /* 2137399 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2137490), // Rule ID 17713 //
     /* 2137404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137450 */     // MIs[0] round
     /* 2137450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137453 */     // MIs[0] policy
     /* 2137453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137463 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137489 */     // GIR_Coverage, 17713,
     /* 2137489 */     GIR_EraseRootFromParent_Done,
     /* 2137490 */   // Label 28213: @2137490
     /* 2137490 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2137581), // Rule ID 17714 //
     /* 2137495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137541 */     // MIs[0] round
     /* 2137541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137544 */     // MIs[0] policy
     /* 2137544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137554 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137580 */     // GIR_Coverage, 17714,
     /* 2137580 */     GIR_EraseRootFromParent_Done,
     /* 2137581 */   // Label 28214: @2137581
     /* 2137581 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2137672), // Rule ID 17717 //
     /* 2137586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137632 */     // MIs[0] round
     /* 2137632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137635 */     // MIs[0] policy
     /* 2137635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137645 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2137648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137671 */     // GIR_Coverage, 17717,
     /* 2137671 */     GIR_EraseRootFromParent_Done,
     /* 2137672 */   // Label 28215: @2137672
     /* 2137672 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2137763), // Rule ID 17718 //
     /* 2137677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137723 */     // MIs[0] round
     /* 2137723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137726 */     // MIs[0] policy
     /* 2137726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137736 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2137739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137762 */     // GIR_Coverage, 17718,
     /* 2137762 */     GIR_EraseRootFromParent_Done,
     /* 2137763 */   // Label 28216: @2137763
     /* 2137763 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2137854), // Rule ID 17721 //
     /* 2137768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2137779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2137782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2137788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2137791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137814 */     // MIs[0] round
     /* 2137814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137817 */     // MIs[0] policy
     /* 2137817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137827 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2137830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137853 */     // GIR_Coverage, 17721,
     /* 2137853 */     GIR_EraseRootFromParent_Done,
     /* 2137854 */   // Label 28217: @2137854
     /* 2137854 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2137945), // Rule ID 17722 //
     /* 2137859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2137870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2137873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2137879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2137882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137905 */     // MIs[0] round
     /* 2137905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137908 */     // MIs[0] policy
     /* 2137908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137918 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2137921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137944 */     // GIR_Coverage, 17722,
     /* 2137944 */     GIR_EraseRootFromParent_Done,
     /* 2137945 */   // Label 28218: @2137945
     /* 2137945 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2138036), // Rule ID 17725 //
     /* 2137950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2137970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137996 */     // MIs[0] round
     /* 2137996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137999 */     // MIs[0] policy
     /* 2137999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138009 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2138012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138035 */     // GIR_Coverage, 17725,
     /* 2138035 */     GIR_EraseRootFromParent_Done,
     /* 2138036 */   // Label 28219: @2138036
     /* 2138036 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2138127), // Rule ID 17726 //
     /* 2138041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138087 */     // MIs[0] round
     /* 2138087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138090 */     // MIs[0] policy
     /* 2138090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138100 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2138103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138126 */     // GIR_Coverage, 17726,
     /* 2138126 */     GIR_EraseRootFromParent_Done,
     /* 2138127 */   // Label 28220: @2138127
     /* 2138127 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2138218), // Rule ID 17729 //
     /* 2138132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138178 */     // MIs[0] round
     /* 2138178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138181 */     // MIs[0] policy
     /* 2138181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138191 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138217 */     // GIR_Coverage, 17729,
     /* 2138217 */     GIR_EraseRootFromParent_Done,
     /* 2138218 */   // Label 28221: @2138218
     /* 2138218 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2138309), // Rule ID 17730 //
     /* 2138223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138269 */     // MIs[0] round
     /* 2138269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138272 */     // MIs[0] policy
     /* 2138272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138282 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138308 */     // GIR_Coverage, 17730,
     /* 2138308 */     GIR_EraseRootFromParent_Done,
     /* 2138309 */   // Label 28222: @2138309
     /* 2138309 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2138400), // Rule ID 17733 //
     /* 2138314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138360 */     // MIs[0] round
     /* 2138360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138363 */     // MIs[0] policy
     /* 2138363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138373 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138399 */     // GIR_Coverage, 17733,
     /* 2138399 */     GIR_EraseRootFromParent_Done,
     /* 2138400 */   // Label 28223: @2138400
     /* 2138400 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2138491), // Rule ID 17734 //
     /* 2138405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138451 */     // MIs[0] round
     /* 2138451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138454 */     // MIs[0] policy
     /* 2138454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138464 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138490 */     // GIR_Coverage, 17734,
     /* 2138490 */     GIR_EraseRootFromParent_Done,
     /* 2138491 */   // Label 28224: @2138491
     /* 2138491 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2138582), // Rule ID 17737 //
     /* 2138496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138542 */     // MIs[0] round
     /* 2138542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138545 */     // MIs[0] policy
     /* 2138545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138555 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2138558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138581 */     // GIR_Coverage, 17737,
     /* 2138581 */     GIR_EraseRootFromParent_Done,
     /* 2138582 */   // Label 28225: @2138582
     /* 2138582 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2138673), // Rule ID 17738 //
     /* 2138587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138633 */     // MIs[0] round
     /* 2138633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138636 */     // MIs[0] policy
     /* 2138636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138646 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2138649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138672 */     // GIR_Coverage, 17738,
     /* 2138672 */     GIR_EraseRootFromParent_Done,
     /* 2138673 */   // Label 28226: @2138673
     /* 2138673 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2138764), // Rule ID 17741 //
     /* 2138678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2138698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138724 */     // MIs[0] round
     /* 2138724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138727 */     // MIs[0] policy
     /* 2138727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138737 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2138740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138763 */     // GIR_Coverage, 17741,
     /* 2138763 */     GIR_EraseRootFromParent_Done,
     /* 2138764 */   // Label 28227: @2138764
     /* 2138764 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2138855), // Rule ID 17742 //
     /* 2138769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2138789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138815 */     // MIs[0] round
     /* 2138815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138818 */     // MIs[0] policy
     /* 2138818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2138831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138854 */     // GIR_Coverage, 17742,
     /* 2138854 */     GIR_EraseRootFromParent_Done,
     /* 2138855 */   // Label 28228: @2138855
     /* 2138855 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2138946), // Rule ID 17745 //
     /* 2138860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2138880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138906 */     // MIs[0] round
     /* 2138906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138909 */     // MIs[0] policy
     /* 2138909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138919 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2138922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138945 */     // GIR_Coverage, 17745,
     /* 2138945 */     GIR_EraseRootFromParent_Done,
     /* 2138946 */   // Label 28229: @2138946
     /* 2138946 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2139037), // Rule ID 17746 //
     /* 2138951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2138971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138997 */     // MIs[0] round
     /* 2138997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139000 */     // MIs[0] policy
     /* 2139000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139010 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2139013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139036 */     // GIR_Coverage, 17746,
     /* 2139036 */     GIR_EraseRootFromParent_Done,
     /* 2139037 */   // Label 28230: @2139037
     /* 2139037 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2139128), // Rule ID 17749 //
     /* 2139042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139088 */     // MIs[0] round
     /* 2139088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139091 */     // MIs[0] policy
     /* 2139091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139101 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139127 */     // GIR_Coverage, 17749,
     /* 2139127 */     GIR_EraseRootFromParent_Done,
     /* 2139128 */   // Label 28231: @2139128
     /* 2139128 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2139219), // Rule ID 17750 //
     /* 2139133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139179 */     // MIs[0] round
     /* 2139179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139182 */     // MIs[0] policy
     /* 2139182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139192 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139218 */     // GIR_Coverage, 17750,
     /* 2139218 */     GIR_EraseRootFromParent_Done,
     /* 2139219 */   // Label 28232: @2139219
     /* 2139219 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2139310), // Rule ID 17753 //
     /* 2139224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139270 */     // MIs[0] round
     /* 2139270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139273 */     // MIs[0] policy
     /* 2139273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139283 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139309 */     // GIR_Coverage, 17753,
     /* 2139309 */     GIR_EraseRootFromParent_Done,
     /* 2139310 */   // Label 28233: @2139310
     /* 2139310 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2139401), // Rule ID 17754 //
     /* 2139315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139361 */     // MIs[0] round
     /* 2139361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139364 */     // MIs[0] policy
     /* 2139364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139374 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139400 */     // GIR_Coverage, 17754,
     /* 2139400 */     GIR_EraseRootFromParent_Done,
     /* 2139401 */   // Label 28234: @2139401
     /* 2139401 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2139492), // Rule ID 17757 //
     /* 2139406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139452 */     // MIs[0] round
     /* 2139452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139455 */     // MIs[0] policy
     /* 2139455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139465 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139491 */     // GIR_Coverage, 17757,
     /* 2139491 */     GIR_EraseRootFromParent_Done,
     /* 2139492 */   // Label 28235: @2139492
     /* 2139492 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2139583), // Rule ID 17758 //
     /* 2139497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139543 */     // MIs[0] round
     /* 2139543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139546 */     // MIs[0] policy
     /* 2139546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139556 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139582 */     // GIR_Coverage, 17758,
     /* 2139582 */     GIR_EraseRootFromParent_Done,
     /* 2139583 */   // Label 28236: @2139583
     /* 2139583 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2139674), // Rule ID 17761 //
     /* 2139588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139634 */     // MIs[0] round
     /* 2139634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139637 */     // MIs[0] policy
     /* 2139637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139647 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2139650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139673 */     // GIR_Coverage, 17761,
     /* 2139673 */     GIR_EraseRootFromParent_Done,
     /* 2139674 */   // Label 28237: @2139674
     /* 2139674 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2139765), // Rule ID 17762 //
     /* 2139679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139725 */     // MIs[0] round
     /* 2139725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139728 */     // MIs[0] policy
     /* 2139728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139738 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2139741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139764 */     // GIR_Coverage, 17762,
     /* 2139764 */     GIR_EraseRootFromParent_Done,
     /* 2139765 */   // Label 28238: @2139765
     /* 2139765 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2139856), // Rule ID 17765 //
     /* 2139770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2139790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139816 */     // MIs[0] round
     /* 2139816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139819 */     // MIs[0] policy
     /* 2139819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2139832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139855 */     // GIR_Coverage, 17765,
     /* 2139855 */     GIR_EraseRootFromParent_Done,
     /* 2139856 */   // Label 28239: @2139856
     /* 2139856 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2139947), // Rule ID 17766 //
     /* 2139861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2139881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139907 */     // MIs[0] round
     /* 2139907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139910 */     // MIs[0] policy
     /* 2139910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2139923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139946 */     // GIR_Coverage, 17766,
     /* 2139946 */     GIR_EraseRootFromParent_Done,
     /* 2139947 */   // Label 28240: @2139947
     /* 2139947 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2140038), // Rule ID 17769 //
     /* 2139952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139998 */     // MIs[0] round
     /* 2139998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140001 */     // MIs[0] policy
     /* 2140001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140011 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2140014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140037 */     // GIR_Coverage, 17769,
     /* 2140037 */     GIR_EraseRootFromParent_Done,
     /* 2140038 */   // Label 28241: @2140038
     /* 2140038 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2140129), // Rule ID 17770 //
     /* 2140043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2140063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140089 */     // MIs[0] round
     /* 2140089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140092 */     // MIs[0] policy
     /* 2140092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2140105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140128 */     // GIR_Coverage, 17770,
     /* 2140128 */     GIR_EraseRootFromParent_Done,
     /* 2140129 */   // Label 28242: @2140129
     /* 2140129 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2140220), // Rule ID 17773 //
     /* 2140134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140180 */     // MIs[0] round
     /* 2140180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140183 */     // MIs[0] policy
     /* 2140183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140193 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140219 */     // GIR_Coverage, 17773,
     /* 2140219 */     GIR_EraseRootFromParent_Done,
     /* 2140220 */   // Label 28243: @2140220
     /* 2140220 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2140311), // Rule ID 17774 //
     /* 2140225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140271 */     // MIs[0] round
     /* 2140271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140274 */     // MIs[0] policy
     /* 2140274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140284 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140310 */     // GIR_Coverage, 17774,
     /* 2140310 */     GIR_EraseRootFromParent_Done,
     /* 2140311 */   // Label 28244: @2140311
     /* 2140311 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2140402), // Rule ID 17777 //
     /* 2140316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140362 */     // MIs[0] round
     /* 2140362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140365 */     // MIs[0] policy
     /* 2140365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140375 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140401 */     // GIR_Coverage, 17777,
     /* 2140401 */     GIR_EraseRootFromParent_Done,
     /* 2140402 */   // Label 28245: @2140402
     /* 2140402 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2140493), // Rule ID 17778 //
     /* 2140407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140453 */     // MIs[0] round
     /* 2140453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140456 */     // MIs[0] policy
     /* 2140456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140466 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140492 */     // GIR_Coverage, 17778,
     /* 2140492 */     GIR_EraseRootFromParent_Done,
     /* 2140493 */   // Label 28246: @2140493
     /* 2140493 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2140584), // Rule ID 17781 //
     /* 2140498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140544 */     // MIs[0] round
     /* 2140544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140547 */     // MIs[0] policy
     /* 2140547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140557 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2140560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140583 */     // GIR_Coverage, 17781,
     /* 2140583 */     GIR_EraseRootFromParent_Done,
     /* 2140584 */   // Label 28247: @2140584
     /* 2140584 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2140675), // Rule ID 17782 //
     /* 2140589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140635 */     // MIs[0] round
     /* 2140635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140638 */     // MIs[0] policy
     /* 2140638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140648 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2140651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140674 */     // GIR_Coverage, 17782,
     /* 2140674 */     GIR_EraseRootFromParent_Done,
     /* 2140675 */   // Label 28248: @2140675
     /* 2140675 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2140766), // Rule ID 17785 //
     /* 2140680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2140691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2140694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2140700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140726 */     // MIs[0] round
     /* 2140726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140729 */     // MIs[0] policy
     /* 2140729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140739 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2140742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140765 */     // GIR_Coverage, 17785,
     /* 2140765 */     GIR_EraseRootFromParent_Done,
     /* 2140766 */   // Label 28249: @2140766
     /* 2140766 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2140857), // Rule ID 17786 //
     /* 2140771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2140782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2140785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2140791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140817 */     // MIs[0] round
     /* 2140817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140820 */     // MIs[0] policy
     /* 2140820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2140833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140856 */     // GIR_Coverage, 17786,
     /* 2140856 */     GIR_EraseRootFromParent_Done,
     /* 2140857 */   // Label 28250: @2140857
     /* 2140857 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2140948), // Rule ID 17789 //
     /* 2140862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140908 */     // MIs[0] round
     /* 2140908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140911 */     // MIs[0] policy
     /* 2140911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140921 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2140924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140947 */     // GIR_Coverage, 17789,
     /* 2140947 */     GIR_EraseRootFromParent_Done,
     /* 2140948 */   // Label 28251: @2140948
     /* 2140948 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2141039), // Rule ID 17790 //
     /* 2140953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140999 */     // MIs[0] round
     /* 2140999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141002 */     // MIs[0] policy
     /* 2141002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141012 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2141015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141038 */     // GIR_Coverage, 17790,
     /* 2141038 */     GIR_EraseRootFromParent_Done,
     /* 2141039 */   // Label 28252: @2141039
     /* 2141039 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2141130), // Rule ID 17793 //
     /* 2141044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141090 */     // MIs[0] round
     /* 2141090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141093 */     // MIs[0] policy
     /* 2141093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141103 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141129 */     // GIR_Coverage, 17793,
     /* 2141129 */     GIR_EraseRootFromParent_Done,
     /* 2141130 */   // Label 28253: @2141130
     /* 2141130 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2141221), // Rule ID 17794 //
     /* 2141135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141181 */     // MIs[0] round
     /* 2141181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141184 */     // MIs[0] policy
     /* 2141184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141194 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141220 */     // GIR_Coverage, 17794,
     /* 2141220 */     GIR_EraseRootFromParent_Done,
     /* 2141221 */   // Label 28254: @2141221
     /* 2141221 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2141312), // Rule ID 17797 //
     /* 2141226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141272 */     // MIs[0] round
     /* 2141272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141275 */     // MIs[0] policy
     /* 2141275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141285 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141311 */     // GIR_Coverage, 17797,
     /* 2141311 */     GIR_EraseRootFromParent_Done,
     /* 2141312 */   // Label 28255: @2141312
     /* 2141312 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2141403), // Rule ID 17798 //
     /* 2141317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141363 */     // MIs[0] round
     /* 2141363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141366 */     // MIs[0] policy
     /* 2141366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141402 */     // GIR_Coverage, 17798,
     /* 2141402 */     GIR_EraseRootFromParent_Done,
     /* 2141403 */   // Label 28256: @2141403
     /* 2141403 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2141494), // Rule ID 17801 //
     /* 2141408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141454 */     // MIs[0] round
     /* 2141454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141457 */     // MIs[0] policy
     /* 2141457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141467 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141493 */     // GIR_Coverage, 17801,
     /* 2141493 */     GIR_EraseRootFromParent_Done,
     /* 2141494 */   // Label 28257: @2141494
     /* 2141494 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2141585), // Rule ID 17802 //
     /* 2141499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141545 */     // MIs[0] round
     /* 2141545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141548 */     // MIs[0] policy
     /* 2141548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141558 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141584 */     // GIR_Coverage, 17802,
     /* 2141584 */     GIR_EraseRootFromParent_Done,
     /* 2141585 */   // Label 28258: @2141585
     /* 2141585 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2141676), // Rule ID 17805 //
     /* 2141590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141636 */     // MIs[0] round
     /* 2141636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141639 */     // MIs[0] policy
     /* 2141639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141649 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2141652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141675 */     // GIR_Coverage, 17805,
     /* 2141675 */     GIR_EraseRootFromParent_Done,
     /* 2141676 */   // Label 28259: @2141676
     /* 2141676 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2141767), // Rule ID 17806 //
     /* 2141681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141727 */     // MIs[0] round
     /* 2141727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141730 */     // MIs[0] policy
     /* 2141730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141740 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2141743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141766 */     // GIR_Coverage, 17806,
     /* 2141766 */     GIR_EraseRootFromParent_Done,
     /* 2141767 */   // Label 28260: @2141767
     /* 2141767 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2141858), // Rule ID 17809 //
     /* 2141772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2141783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2141786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2141792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141818 */     // MIs[0] round
     /* 2141818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141821 */     // MIs[0] policy
     /* 2141821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141831 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2141834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141857 */     // GIR_Coverage, 17809,
     /* 2141857 */     GIR_EraseRootFromParent_Done,
     /* 2141858 */   // Label 28261: @2141858
     /* 2141858 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2141949), // Rule ID 17810 //
     /* 2141863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2141874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2141877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2141883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141909 */     // MIs[0] round
     /* 2141909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141912 */     // MIs[0] policy
     /* 2141912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141922 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2141925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141948 */     // GIR_Coverage, 17810,
     /* 2141948 */     GIR_EraseRootFromParent_Done,
     /* 2141949 */   // Label 28262: @2141949
     /* 2141949 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2142040), // Rule ID 17813 //
     /* 2141954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2141974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142000 */     // MIs[0] round
     /* 2142000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142003 */     // MIs[0] policy
     /* 2142003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142013 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2142016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142039 */     // GIR_Coverage, 17813,
     /* 2142039 */     GIR_EraseRootFromParent_Done,
     /* 2142040 */   // Label 28263: @2142040
     /* 2142040 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2142131), // Rule ID 17814 //
     /* 2142045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2142056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2142059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142091 */     // MIs[0] round
     /* 2142091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142094 */     // MIs[0] policy
     /* 2142094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142104 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2142107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142130 */     // GIR_Coverage, 17814,
     /* 2142130 */     GIR_EraseRootFromParent_Done,
     /* 2142131 */   // Label 28264: @2142131
     /* 2142131 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2142222), // Rule ID 17817 //
     /* 2142136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142182 */     // MIs[0] round
     /* 2142182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142185 */     // MIs[0] policy
     /* 2142185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142195 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142221 */     // GIR_Coverage, 17817,
     /* 2142221 */     GIR_EraseRootFromParent_Done,
     /* 2142222 */   // Label 28265: @2142222
     /* 2142222 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2142313), // Rule ID 17818 //
     /* 2142227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142273 */     // MIs[0] round
     /* 2142273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142276 */     // MIs[0] policy
     /* 2142276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142286 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142312 */     // GIR_Coverage, 17818,
     /* 2142312 */     GIR_EraseRootFromParent_Done,
     /* 2142313 */   // Label 28266: @2142313
     /* 2142313 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2142404), // Rule ID 17821 //
     /* 2142318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142364 */     // MIs[0] round
     /* 2142364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142367 */     // MIs[0] policy
     /* 2142367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142403 */     // GIR_Coverage, 17821,
     /* 2142403 */     GIR_EraseRootFromParent_Done,
     /* 2142404 */   // Label 28267: @2142404
     /* 2142404 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2142495), // Rule ID 17822 //
     /* 2142409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142455 */     // MIs[0] round
     /* 2142455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142458 */     // MIs[0] policy
     /* 2142458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142468 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142494 */     // GIR_Coverage, 17822,
     /* 2142494 */     GIR_EraseRootFromParent_Done,
     /* 2142495 */   // Label 28268: @2142495
     /* 2142495 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2142586), // Rule ID 17825 //
     /* 2142500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142546 */     // MIs[0] round
     /* 2142546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142549 */     // MIs[0] policy
     /* 2142549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142559 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2142562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142585 */     // GIR_Coverage, 17825,
     /* 2142585 */     GIR_EraseRootFromParent_Done,
     /* 2142586 */   // Label 28269: @2142586
     /* 2142586 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2142677), // Rule ID 17826 //
     /* 2142591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142637 */     // MIs[0] round
     /* 2142637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142640 */     // MIs[0] policy
     /* 2142640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142650 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2142653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142676 */     // GIR_Coverage, 17826,
     /* 2142676 */     GIR_EraseRootFromParent_Done,
     /* 2142677 */   // Label 28270: @2142677
     /* 2142677 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2142768), // Rule ID 17829 //
     /* 2142682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2142693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2142696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2142702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142728 */     // MIs[0] round
     /* 2142728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142731 */     // MIs[0] policy
     /* 2142731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142741 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2142744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142767 */     // GIR_Coverage, 17829,
     /* 2142767 */     GIR_EraseRootFromParent_Done,
     /* 2142768 */   // Label 28271: @2142768
     /* 2142768 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2142859), // Rule ID 17830 //
     /* 2142773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2142784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2142787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2142793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142819 */     // MIs[0] round
     /* 2142819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142822 */     // MIs[0] policy
     /* 2142822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142832 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2142835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142858 */     // GIR_Coverage, 17830,
     /* 2142858 */     GIR_EraseRootFromParent_Done,
     /* 2142859 */   // Label 28272: @2142859
     /* 2142859 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2142950), // Rule ID 17833 //
     /* 2142864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142910 */     // MIs[0] round
     /* 2142910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142913 */     // MIs[0] policy
     /* 2142913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142923 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2142926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142949 */     // GIR_Coverage, 17833,
     /* 2142949 */     GIR_EraseRootFromParent_Done,
     /* 2142950 */   // Label 28273: @2142950
     /* 2142950 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2143041), // Rule ID 17834 //
     /* 2142955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143001 */     // MIs[0] round
     /* 2143001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143004 */     // MIs[0] policy
     /* 2143004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143014 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2143017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143040 */     // GIR_Coverage, 17834,
     /* 2143040 */     GIR_EraseRootFromParent_Done,
     /* 2143041 */   // Label 28274: @2143041
     /* 2143041 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2143132), // Rule ID 17837 //
     /* 2143046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143092 */     // MIs[0] round
     /* 2143092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143095 */     // MIs[0] policy
     /* 2143095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143105 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143131 */     // GIR_Coverage, 17837,
     /* 2143131 */     GIR_EraseRootFromParent_Done,
     /* 2143132 */   // Label 28275: @2143132
     /* 2143132 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2143223), // Rule ID 17838 //
     /* 2143137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143183 */     // MIs[0] round
     /* 2143183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143186 */     // MIs[0] policy
     /* 2143186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143196 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143222 */     // GIR_Coverage, 17838,
     /* 2143222 */     GIR_EraseRootFromParent_Done,
     /* 2143223 */   // Label 28276: @2143223
     /* 2143223 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2143314), // Rule ID 17841 //
     /* 2143228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143274 */     // MIs[0] round
     /* 2143274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143277 */     // MIs[0] policy
     /* 2143277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143287 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143313 */     // GIR_Coverage, 17841,
     /* 2143313 */     GIR_EraseRootFromParent_Done,
     /* 2143314 */   // Label 28277: @2143314
     /* 2143314 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2143405), // Rule ID 17842 //
     /* 2143319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143365 */     // MIs[0] round
     /* 2143365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143368 */     // MIs[0] policy
     /* 2143368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143378 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143404 */     // GIR_Coverage, 17842,
     /* 2143404 */     GIR_EraseRootFromParent_Done,
     /* 2143405 */   // Label 28278: @2143405
     /* 2143405 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2143496), // Rule ID 17845 //
     /* 2143410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143456 */     // MIs[0] round
     /* 2143456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143459 */     // MIs[0] policy
     /* 2143459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143469 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143495 */     // GIR_Coverage, 17845,
     /* 2143495 */     GIR_EraseRootFromParent_Done,
     /* 2143496 */   // Label 28279: @2143496
     /* 2143496 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2143587), // Rule ID 17846 //
     /* 2143501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143547 */     // MIs[0] round
     /* 2143547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143550 */     // MIs[0] policy
     /* 2143550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143560 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143586 */     // GIR_Coverage, 17846,
     /* 2143586 */     GIR_EraseRootFromParent_Done,
     /* 2143587 */   // Label 28280: @2143587
     /* 2143587 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2143678), // Rule ID 17849 //
     /* 2143592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143638 */     // MIs[0] round
     /* 2143638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143641 */     // MIs[0] policy
     /* 2143641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143651 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2143654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143677 */     // GIR_Coverage, 17849,
     /* 2143677 */     GIR_EraseRootFromParent_Done,
     /* 2143678 */   // Label 28281: @2143678
     /* 2143678 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2143769), // Rule ID 17850 //
     /* 2143683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143729 */     // MIs[0] round
     /* 2143729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143732 */     // MIs[0] policy
     /* 2143732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143742 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2143745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143768 */     // GIR_Coverage, 17850,
     /* 2143768 */     GIR_EraseRootFromParent_Done,
     /* 2143769 */   // Label 28282: @2143769
     /* 2143769 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2143860), // Rule ID 17853 //
     /* 2143774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2143794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143820 */     // MIs[0] round
     /* 2143820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143823 */     // MIs[0] policy
     /* 2143823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143833 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2143836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143859 */     // GIR_Coverage, 17853,
     /* 2143859 */     GIR_EraseRootFromParent_Done,
     /* 2143860 */   // Label 28283: @2143860
     /* 2143860 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2143951), // Rule ID 17854 //
     /* 2143865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2143885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143911 */     // MIs[0] round
     /* 2143911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143914 */     // MIs[0] policy
     /* 2143914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143924 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2143927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143950 */     // GIR_Coverage, 17854,
     /* 2143950 */     GIR_EraseRootFromParent_Done,
     /* 2143951 */   // Label 28284: @2143951
     /* 2143951 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2144042), // Rule ID 17857 //
     /* 2143956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2143976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144002 */     // MIs[0] round
     /* 2144002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144005 */     // MIs[0] policy
     /* 2144005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144015 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2144018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144041 */     // GIR_Coverage, 17857,
     /* 2144041 */     GIR_EraseRootFromParent_Done,
     /* 2144042 */   // Label 28285: @2144042
     /* 2144042 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2144133), // Rule ID 17858 //
     /* 2144047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2144058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2144061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2144067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144093 */     // MIs[0] round
     /* 2144093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144096 */     // MIs[0] policy
     /* 2144096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144106 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2144109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144132 */     // GIR_Coverage, 17858,
     /* 2144132 */     GIR_EraseRootFromParent_Done,
     /* 2144133 */   // Label 28286: @2144133
     /* 2144133 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2144224), // Rule ID 17861 //
     /* 2144138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144184 */     // MIs[0] round
     /* 2144184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144187 */     // MIs[0] policy
     /* 2144187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144197 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144223 */     // GIR_Coverage, 17861,
     /* 2144223 */     GIR_EraseRootFromParent_Done,
     /* 2144224 */   // Label 28287: @2144224
     /* 2144224 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2144315), // Rule ID 17862 //
     /* 2144229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144275 */     // MIs[0] round
     /* 2144275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144278 */     // MIs[0] policy
     /* 2144278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144288 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144314 */     // GIR_Coverage, 17862,
     /* 2144314 */     GIR_EraseRootFromParent_Done,
     /* 2144315 */   // Label 28288: @2144315
     /* 2144315 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2144406), // Rule ID 17865 //
     /* 2144320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144366 */     // MIs[0] round
     /* 2144366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144369 */     // MIs[0] policy
     /* 2144369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144379 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144405 */     // GIR_Coverage, 17865,
     /* 2144405 */     GIR_EraseRootFromParent_Done,
     /* 2144406 */   // Label 28289: @2144406
     /* 2144406 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2144497), // Rule ID 17866 //
     /* 2144411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144457 */     // MIs[0] round
     /* 2144457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144460 */     // MIs[0] policy
     /* 2144460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144470 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144496 */     // GIR_Coverage, 17866,
     /* 2144496 */     GIR_EraseRootFromParent_Done,
     /* 2144497 */   // Label 28290: @2144497
     /* 2144497 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2144588), // Rule ID 17869 //
     /* 2144502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144548 */     // MIs[0] round
     /* 2144548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144551 */     // MIs[0] policy
     /* 2144551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144561 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2144564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144587 */     // GIR_Coverage, 17869,
     /* 2144587 */     GIR_EraseRootFromParent_Done,
     /* 2144588 */   // Label 28291: @2144588
     /* 2144588 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2144679), // Rule ID 17870 //
     /* 2144593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144639 */     // MIs[0] round
     /* 2144639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144642 */     // MIs[0] policy
     /* 2144642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144652 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2144655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144678 */     // GIR_Coverage, 17870,
     /* 2144678 */     GIR_EraseRootFromParent_Done,
     /* 2144679 */   // Label 28292: @2144679
     /* 2144679 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2144770), // Rule ID 17873 //
     /* 2144684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2144695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2144698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2144704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144730 */     // MIs[0] round
     /* 2144730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144733 */     // MIs[0] policy
     /* 2144733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144743 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2144746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144769 */     // GIR_Coverage, 17873,
     /* 2144769 */     GIR_EraseRootFromParent_Done,
     /* 2144770 */   // Label 28293: @2144770
     /* 2144770 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2144861), // Rule ID 17874 //
     /* 2144775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2144786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2144789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2144795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144821 */     // MIs[0] round
     /* 2144821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144824 */     // MIs[0] policy
     /* 2144824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144834 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2144837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144860 */     // GIR_Coverage, 17874,
     /* 2144860 */     GIR_EraseRootFromParent_Done,
     /* 2144861 */   // Label 28294: @2144861
     /* 2144861 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2144952), // Rule ID 17877 //
     /* 2144866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2144886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144912 */     // MIs[0] round
     /* 2144912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144915 */     // MIs[0] policy
     /* 2144915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144925 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2144928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144951 */     // GIR_Coverage, 17877,
     /* 2144951 */     GIR_EraseRootFromParent_Done,
     /* 2144952 */   // Label 28295: @2144952
     /* 2144952 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2145043), // Rule ID 17878 //
     /* 2144957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2144977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145003 */     // MIs[0] round
     /* 2145003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145006 */     // MIs[0] policy
     /* 2145006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145016 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2145019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145042 */     // GIR_Coverage, 17878,
     /* 2145042 */     GIR_EraseRootFromParent_Done,
     /* 2145043 */   // Label 28296: @2145043
     /* 2145043 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2145134), // Rule ID 17881 //
     /* 2145048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145094 */     // MIs[0] round
     /* 2145094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145097 */     // MIs[0] policy
     /* 2145097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145107 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145133 */     // GIR_Coverage, 17881,
     /* 2145133 */     GIR_EraseRootFromParent_Done,
     /* 2145134 */   // Label 28297: @2145134
     /* 2145134 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2145225), // Rule ID 17882 //
     /* 2145139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145185 */     // MIs[0] round
     /* 2145185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145188 */     // MIs[0] policy
     /* 2145188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145198 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145224 */     // GIR_Coverage, 17882,
     /* 2145224 */     GIR_EraseRootFromParent_Done,
     /* 2145225 */   // Label 28298: @2145225
     /* 2145225 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2145316), // Rule ID 17885 //
     /* 2145230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145276 */     // MIs[0] round
     /* 2145276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145279 */     // MIs[0] policy
     /* 2145279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145289 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145315 */     // GIR_Coverage, 17885,
     /* 2145315 */     GIR_EraseRootFromParent_Done,
     /* 2145316 */   // Label 28299: @2145316
     /* 2145316 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2145407), // Rule ID 17886 //
     /* 2145321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145367 */     // MIs[0] round
     /* 2145367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145370 */     // MIs[0] policy
     /* 2145370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145380 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145406 */     // GIR_Coverage, 17886,
     /* 2145406 */     GIR_EraseRootFromParent_Done,
     /* 2145407 */   // Label 28300: @2145407
     /* 2145407 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2145498), // Rule ID 17889 //
     /* 2145412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145458 */     // MIs[0] round
     /* 2145458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145461 */     // MIs[0] policy
     /* 2145461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145471 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145497 */     // GIR_Coverage, 17889,
     /* 2145497 */     GIR_EraseRootFromParent_Done,
     /* 2145498 */   // Label 28301: @2145498
     /* 2145498 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2145589), // Rule ID 17890 //
     /* 2145503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145549 */     // MIs[0] round
     /* 2145549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145552 */     // MIs[0] policy
     /* 2145552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145562 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145588 */     // GIR_Coverage, 17890,
     /* 2145588 */     GIR_EraseRootFromParent_Done,
     /* 2145589 */   // Label 28302: @2145589
     /* 2145589 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2145680), // Rule ID 17893 //
     /* 2145594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145640 */     // MIs[0] round
     /* 2145640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145643 */     // MIs[0] policy
     /* 2145643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145653 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2145656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145679 */     // GIR_Coverage, 17893,
     /* 2145679 */     GIR_EraseRootFromParent_Done,
     /* 2145680 */   // Label 28303: @2145680
     /* 2145680 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2145771), // Rule ID 17894 //
     /* 2145685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145731 */     // MIs[0] round
     /* 2145731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145734 */     // MIs[0] policy
     /* 2145734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145744 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2145747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145770 */     // GIR_Coverage, 17894,
     /* 2145770 */     GIR_EraseRootFromParent_Done,
     /* 2145771 */   // Label 28304: @2145771
     /* 2145771 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2145862), // Rule ID 17897 //
     /* 2145776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145822 */     // MIs[0] round
     /* 2145822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145825 */     // MIs[0] policy
     /* 2145825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145835 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2145838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145861 */     // GIR_Coverage, 17897,
     /* 2145861 */     GIR_EraseRootFromParent_Done,
     /* 2145862 */   // Label 28305: @2145862
     /* 2145862 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2145953), // Rule ID 17898 //
     /* 2145867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145913 */     // MIs[0] round
     /* 2145913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145916 */     // MIs[0] policy
     /* 2145916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145926 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2145929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145952 */     // GIR_Coverage, 17898,
     /* 2145952 */     GIR_EraseRootFromParent_Done,
     /* 2145953 */   // Label 28306: @2145953
     /* 2145953 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2146044), // Rule ID 17901 //
     /* 2145958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146004 */     // MIs[0] round
     /* 2146004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146007 */     // MIs[0] policy
     /* 2146007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146017 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2146020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146043 */     // GIR_Coverage, 17901,
     /* 2146043 */     GIR_EraseRootFromParent_Done,
     /* 2146044 */   // Label 28307: @2146044
     /* 2146044 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2146135), // Rule ID 17902 //
     /* 2146049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146095 */     // MIs[0] round
     /* 2146095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146098 */     // MIs[0] policy
     /* 2146098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146108 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2146111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146134 */     // GIR_Coverage, 17902,
     /* 2146134 */     GIR_EraseRootFromParent_Done,
     /* 2146135 */   // Label 28308: @2146135
     /* 2146135 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2146226), // Rule ID 17905 //
     /* 2146140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146186 */     // MIs[0] round
     /* 2146186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146189 */     // MIs[0] policy
     /* 2146189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146199 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146225 */     // GIR_Coverage, 17905,
     /* 2146225 */     GIR_EraseRootFromParent_Done,
     /* 2146226 */   // Label 28309: @2146226
     /* 2146226 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2146317), // Rule ID 17906 //
     /* 2146231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146277 */     // MIs[0] round
     /* 2146277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146280 */     // MIs[0] policy
     /* 2146280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146316 */     // GIR_Coverage, 17906,
     /* 2146316 */     GIR_EraseRootFromParent_Done,
     /* 2146317 */   // Label 28310: @2146317
     /* 2146317 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2146408), // Rule ID 17909 //
     /* 2146322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146368 */     // MIs[0] round
     /* 2146368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146371 */     // MIs[0] policy
     /* 2146371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146381 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146407 */     // GIR_Coverage, 17909,
     /* 2146407 */     GIR_EraseRootFromParent_Done,
     /* 2146408 */   // Label 28311: @2146408
     /* 2146408 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2146499), // Rule ID 17910 //
     /* 2146413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146459 */     // MIs[0] round
     /* 2146459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146462 */     // MIs[0] policy
     /* 2146462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146472 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146498 */     // GIR_Coverage, 17910,
     /* 2146498 */     GIR_EraseRootFromParent_Done,
     /* 2146499 */   // Label 28312: @2146499
     /* 2146499 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2146590), // Rule ID 17913 //
     /* 2146504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146550 */     // MIs[0] round
     /* 2146550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146553 */     // MIs[0] policy
     /* 2146553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146563 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2146566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146589 */     // GIR_Coverage, 17913,
     /* 2146589 */     GIR_EraseRootFromParent_Done,
     /* 2146590 */   // Label 28313: @2146590
     /* 2146590 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2146681), // Rule ID 17914 //
     /* 2146595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146641 */     // MIs[0] round
     /* 2146641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146644 */     // MIs[0] policy
     /* 2146644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146654 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2146657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146680 */     // GIR_Coverage, 17914,
     /* 2146680 */     GIR_EraseRootFromParent_Done,
     /* 2146681 */   // Label 28314: @2146681
     /* 2146681 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2146772), // Rule ID 17917 //
     /* 2146686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2146697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2146700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2146703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2146706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146732 */     // MIs[0] round
     /* 2146732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146735 */     // MIs[0] policy
     /* 2146735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146745 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2146748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146771 */     // GIR_Coverage, 17917,
     /* 2146771 */     GIR_EraseRootFromParent_Done,
     /* 2146772 */   // Label 28315: @2146772
     /* 2146772 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2146863), // Rule ID 17918 //
     /* 2146777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2146788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2146791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2146794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2146797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146823 */     // MIs[0] round
     /* 2146823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146826 */     // MIs[0] policy
     /* 2146826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146836 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2146839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146862 */     // GIR_Coverage, 17918,
     /* 2146862 */     GIR_EraseRootFromParent_Done,
     /* 2146863 */   // Label 28316: @2146863
     /* 2146863 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2146954), // Rule ID 17921 //
     /* 2146868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2146888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146914 */     // MIs[0] round
     /* 2146914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146917 */     // MIs[0] policy
     /* 2146917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146927 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2146930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146953 */     // GIR_Coverage, 17921,
     /* 2146953 */     GIR_EraseRootFromParent_Done,
     /* 2146954 */   // Label 28317: @2146954
     /* 2146954 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2147045), // Rule ID 17922 //
     /* 2146959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2146979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147005 */     // MIs[0] round
     /* 2147005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147008 */     // MIs[0] policy
     /* 2147008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147018 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2147021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147044 */     // GIR_Coverage, 17922,
     /* 2147044 */     GIR_EraseRootFromParent_Done,
     /* 2147045 */   // Label 28318: @2147045
     /* 2147045 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2147136), // Rule ID 17925 //
     /* 2147050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147096 */     // MIs[0] round
     /* 2147096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147099 */     // MIs[0] policy
     /* 2147099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147109 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147135 */     // GIR_Coverage, 17925,
     /* 2147135 */     GIR_EraseRootFromParent_Done,
     /* 2147136 */   // Label 28319: @2147136
     /* 2147136 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2147227), // Rule ID 17926 //
     /* 2147141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147187 */     // MIs[0] round
     /* 2147187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147190 */     // MIs[0] policy
     /* 2147190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147200 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147226 */     // GIR_Coverage, 17926,
     /* 2147226 */     GIR_EraseRootFromParent_Done,
     /* 2147227 */   // Label 28320: @2147227
     /* 2147227 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2147318), // Rule ID 17929 //
     /* 2147232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147278 */     // MIs[0] round
     /* 2147278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147281 */     // MIs[0] policy
     /* 2147281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147291 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147317 */     // GIR_Coverage, 17929,
     /* 2147317 */     GIR_EraseRootFromParent_Done,
     /* 2147318 */   // Label 28321: @2147318
     /* 2147318 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2147409), // Rule ID 17930 //
     /* 2147323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147369 */     // MIs[0] round
     /* 2147369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147372 */     // MIs[0] policy
     /* 2147372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147382 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147408 */     // GIR_Coverage, 17930,
     /* 2147408 */     GIR_EraseRootFromParent_Done,
     /* 2147409 */   // Label 28322: @2147409
     /* 2147409 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2147500), // Rule ID 17933 //
     /* 2147414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147460 */     // MIs[0] round
     /* 2147460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147463 */     // MIs[0] policy
     /* 2147463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147473 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147499 */     // GIR_Coverage, 17933,
     /* 2147499 */     GIR_EraseRootFromParent_Done,
     /* 2147500 */   // Label 28323: @2147500
     /* 2147500 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2147591), // Rule ID 17934 //
     /* 2147505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147551 */     // MIs[0] round
     /* 2147551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147554 */     // MIs[0] policy
     /* 2147554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147564 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147590 */     // GIR_Coverage, 17934,
     /* 2147590 */     GIR_EraseRootFromParent_Done,
     /* 2147591 */   // Label 28324: @2147591
     /* 2147591 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2147682), // Rule ID 17937 //
     /* 2147596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147642 */     // MIs[0] round
     /* 2147642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147645 */     // MIs[0] policy
     /* 2147645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147655 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2147658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147681 */     // GIR_Coverage, 17937,
     /* 2147681 */     GIR_EraseRootFromParent_Done,
     /* 2147682 */   // Label 28325: @2147682
     /* 2147682 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2147773), // Rule ID 17938 //
     /* 2147687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147733 */     // MIs[0] round
     /* 2147733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147736 */     // MIs[0] policy
     /* 2147736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147746 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2147749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147772 */     // GIR_Coverage, 17938,
     /* 2147772 */     GIR_EraseRootFromParent_Done,
     /* 2147773 */   // Label 28326: @2147773
     /* 2147773 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2147864), // Rule ID 17941 //
     /* 2147778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2147789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2147792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2147798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147824 */     // MIs[0] round
     /* 2147824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147827 */     // MIs[0] policy
     /* 2147827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147837 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2147840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147863 */     // GIR_Coverage, 17941,
     /* 2147863 */     GIR_EraseRootFromParent_Done,
     /* 2147864 */   // Label 28327: @2147864
     /* 2147864 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2147955), // Rule ID 17942 //
     /* 2147869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2147880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2147883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2147889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147915 */     // MIs[0] round
     /* 2147915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147918 */     // MIs[0] policy
     /* 2147918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2147931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147954 */     // GIR_Coverage, 17942,
     /* 2147954 */     GIR_EraseRootFromParent_Done,
     /* 2147955 */   // Label 28328: @2147955
     /* 2147955 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2148046), // Rule ID 17945 //
     /* 2147960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2147971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2147974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148006 */     // MIs[0] round
     /* 2148006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148009 */     // MIs[0] policy
     /* 2148009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148019 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2148022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148045 */     // GIR_Coverage, 17945,
     /* 2148045 */     GIR_EraseRootFromParent_Done,
     /* 2148046 */   // Label 28329: @2148046
     /* 2148046 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2148137), // Rule ID 17946 //
     /* 2148051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148097 */     // MIs[0] round
     /* 2148097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148100 */     // MIs[0] policy
     /* 2148100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148110 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2148113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148136 */     // GIR_Coverage, 17946,
     /* 2148136 */     GIR_EraseRootFromParent_Done,
     /* 2148137 */   // Label 28330: @2148137
     /* 2148137 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2148228), // Rule ID 17949 //
     /* 2148142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148188 */     // MIs[0] round
     /* 2148188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148191 */     // MIs[0] policy
     /* 2148191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148201 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148227 */     // GIR_Coverage, 17949,
     /* 2148227 */     GIR_EraseRootFromParent_Done,
     /* 2148228 */   // Label 28331: @2148228
     /* 2148228 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2148319), // Rule ID 17950 //
     /* 2148233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148279 */     // MIs[0] round
     /* 2148279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148282 */     // MIs[0] policy
     /* 2148282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148318 */     // GIR_Coverage, 17950,
     /* 2148318 */     GIR_EraseRootFromParent_Done,
     /* 2148319 */   // Label 28332: @2148319
     /* 2148319 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2148410), // Rule ID 17953 //
     /* 2148324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148370 */     // MIs[0] round
     /* 2148370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148373 */     // MIs[0] policy
     /* 2148373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148383 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148409 */     // GIR_Coverage, 17953,
     /* 2148409 */     GIR_EraseRootFromParent_Done,
     /* 2148410 */   // Label 28333: @2148410
     /* 2148410 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2148501), // Rule ID 17954 //
     /* 2148415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148461 */     // MIs[0] round
     /* 2148461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148464 */     // MIs[0] policy
     /* 2148464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148474 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148500 */     // GIR_Coverage, 17954,
     /* 2148500 */     GIR_EraseRootFromParent_Done,
     /* 2148501 */   // Label 28334: @2148501
     /* 2148501 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2148592), // Rule ID 17957 //
     /* 2148506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148552 */     // MIs[0] round
     /* 2148552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148555 */     // MIs[0] policy
     /* 2148555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148565 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2148568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148591 */     // GIR_Coverage, 17957,
     /* 2148591 */     GIR_EraseRootFromParent_Done,
     /* 2148592 */   // Label 28335: @2148592
     /* 2148592 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2148683), // Rule ID 17958 //
     /* 2148597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148643 */     // MIs[0] round
     /* 2148643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148646 */     // MIs[0] policy
     /* 2148646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148656 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2148659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148682 */     // GIR_Coverage, 17958,
     /* 2148682 */     GIR_EraseRootFromParent_Done,
     /* 2148683 */   // Label 28336: @2148683
     /* 2148683 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2148774), // Rule ID 17961 //
     /* 2148688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2148699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2148702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2148708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148734 */     // MIs[0] round
     /* 2148734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148737 */     // MIs[0] policy
     /* 2148737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148747 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2148750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148773 */     // GIR_Coverage, 17961,
     /* 2148773 */     GIR_EraseRootFromParent_Done,
     /* 2148774 */   // Label 28337: @2148774
     /* 2148774 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2148865), // Rule ID 17962 //
     /* 2148779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2148790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2148793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2148799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148825 */     // MIs[0] round
     /* 2148825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148828 */     // MIs[0] policy
     /* 2148828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148838 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2148841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148864 */     // GIR_Coverage, 17962,
     /* 2148864 */     GIR_EraseRootFromParent_Done,
     /* 2148865 */   // Label 28338: @2148865
     /* 2148865 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2148956), // Rule ID 17965 //
     /* 2148870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2148890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148916 */     // MIs[0] round
     /* 2148916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148919 */     // MIs[0] policy
     /* 2148919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148929 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2148932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148955 */     // GIR_Coverage, 17965,
     /* 2148955 */     GIR_EraseRootFromParent_Done,
     /* 2148956 */   // Label 28339: @2148956
     /* 2148956 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2149047), // Rule ID 17966 //
     /* 2148961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2148981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149007 */     // MIs[0] round
     /* 2149007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149010 */     // MIs[0] policy
     /* 2149010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149020 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2149023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149046 */     // GIR_Coverage, 17966,
     /* 2149046 */     GIR_EraseRootFromParent_Done,
     /* 2149047 */   // Label 28340: @2149047
     /* 2149047 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2149138), // Rule ID 17969 //
     /* 2149052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149098 */     // MIs[0] round
     /* 2149098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149101 */     // MIs[0] policy
     /* 2149101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149111 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149137 */     // GIR_Coverage, 17969,
     /* 2149137 */     GIR_EraseRootFromParent_Done,
     /* 2149138 */   // Label 28341: @2149138
     /* 2149138 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2149229), // Rule ID 17970 //
     /* 2149143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149189 */     // MIs[0] round
     /* 2149189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149192 */     // MIs[0] policy
     /* 2149192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149202 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149228 */     // GIR_Coverage, 17970,
     /* 2149228 */     GIR_EraseRootFromParent_Done,
     /* 2149229 */   // Label 28342: @2149229
     /* 2149229 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2149320), // Rule ID 17973 //
     /* 2149234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149280 */     // MIs[0] round
     /* 2149280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149283 */     // MIs[0] policy
     /* 2149283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149293 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149319 */     // GIR_Coverage, 17973,
     /* 2149319 */     GIR_EraseRootFromParent_Done,
     /* 2149320 */   // Label 28343: @2149320
     /* 2149320 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2149411), // Rule ID 17974 //
     /* 2149325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149371 */     // MIs[0] round
     /* 2149371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149374 */     // MIs[0] policy
     /* 2149374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149384 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149410 */     // GIR_Coverage, 17974,
     /* 2149410 */     GIR_EraseRootFromParent_Done,
     /* 2149411 */   // Label 28344: @2149411
     /* 2149411 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2149502), // Rule ID 17977 //
     /* 2149416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149462 */     // MIs[0] round
     /* 2149462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149465 */     // MIs[0] policy
     /* 2149465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149475 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149501 */     // GIR_Coverage, 17977,
     /* 2149501 */     GIR_EraseRootFromParent_Done,
     /* 2149502 */   // Label 28345: @2149502
     /* 2149502 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2149593), // Rule ID 17978 //
     /* 2149507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149553 */     // MIs[0] round
     /* 2149553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149556 */     // MIs[0] policy
     /* 2149556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149566 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149592 */     // GIR_Coverage, 17978,
     /* 2149592 */     GIR_EraseRootFromParent_Done,
     /* 2149593 */   // Label 28346: @2149593
     /* 2149593 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2149684), // Rule ID 17981 //
     /* 2149598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2149618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149644 */     // MIs[0] round
     /* 2149644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149647 */     // MIs[0] policy
     /* 2149647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149657 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2149660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149683 */     // GIR_Coverage, 17981,
     /* 2149683 */     GIR_EraseRootFromParent_Done,
     /* 2149684 */   // Label 28347: @2149684
     /* 2149684 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2149775), // Rule ID 17982 //
     /* 2149689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2149709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149735 */     // MIs[0] round
     /* 2149735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149738 */     // MIs[0] policy
     /* 2149738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149748 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2149751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149774 */     // GIR_Coverage, 17982,
     /* 2149774 */     GIR_EraseRootFromParent_Done,
     /* 2149775 */   // Label 28348: @2149775
     /* 2149775 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2149866), // Rule ID 17985 //
     /* 2149780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2149800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149826 */     // MIs[0] round
     /* 2149826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149829 */     // MIs[0] policy
     /* 2149829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149839 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2149842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149865 */     // GIR_Coverage, 17985,
     /* 2149865 */     GIR_EraseRootFromParent_Done,
     /* 2149866 */   // Label 28349: @2149866
     /* 2149866 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2149957), // Rule ID 17986 //
     /* 2149871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2149891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149917 */     // MIs[0] round
     /* 2149917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149920 */     // MIs[0] policy
     /* 2149920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149930 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2149933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149956 */     // GIR_Coverage, 17986,
     /* 2149956 */     GIR_EraseRootFromParent_Done,
     /* 2149957 */   // Label 28350: @2149957
     /* 2149957 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2150048), // Rule ID 17989 //
     /* 2149962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2149973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2149976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2149979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2149982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150008 */     // MIs[0] round
     /* 2150008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150011 */     // MIs[0] policy
     /* 2150011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150021 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2150024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150047 */     // GIR_Coverage, 17989,
     /* 2150047 */     GIR_EraseRootFromParent_Done,
     /* 2150048 */   // Label 28351: @2150048
     /* 2150048 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2150139), // Rule ID 17990 //
     /* 2150053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150099 */     // MIs[0] round
     /* 2150099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150102 */     // MIs[0] policy
     /* 2150102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150112 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2150115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150138 */     // GIR_Coverage, 17990,
     /* 2150138 */     GIR_EraseRootFromParent_Done,
     /* 2150139 */   // Label 28352: @2150139
     /* 2150139 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2150230), // Rule ID 17993 //
     /* 2150144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150190 */     // MIs[0] round
     /* 2150190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150193 */     // MIs[0] policy
     /* 2150193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150203 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150229 */     // GIR_Coverage, 17993,
     /* 2150229 */     GIR_EraseRootFromParent_Done,
     /* 2150230 */   // Label 28353: @2150230
     /* 2150230 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2150321), // Rule ID 17994 //
     /* 2150235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150281 */     // MIs[0] round
     /* 2150281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150284 */     // MIs[0] policy
     /* 2150284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150294 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150320 */     // GIR_Coverage, 17994,
     /* 2150320 */     GIR_EraseRootFromParent_Done,
     /* 2150321 */   // Label 28354: @2150321
     /* 2150321 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2150412), // Rule ID 17997 //
     /* 2150326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150372 */     // MIs[0] round
     /* 2150372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150375 */     // MIs[0] policy
     /* 2150375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150385 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150411 */     // GIR_Coverage, 17997,
     /* 2150411 */     GIR_EraseRootFromParent_Done,
     /* 2150412 */   // Label 28355: @2150412
     /* 2150412 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2150503), // Rule ID 17998 //
     /* 2150417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150463 */     // MIs[0] round
     /* 2150463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150466 */     // MIs[0] policy
     /* 2150466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150476 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150502 */     // GIR_Coverage, 17998,
     /* 2150502 */     GIR_EraseRootFromParent_Done,
     /* 2150503 */   // Label 28356: @2150503
     /* 2150503 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2150594), // Rule ID 18001 //
     /* 2150508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150554 */     // MIs[0] round
     /* 2150554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150557 */     // MIs[0] policy
     /* 2150557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150567 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2150570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150593 */     // GIR_Coverage, 18001,
     /* 2150593 */     GIR_EraseRootFromParent_Done,
     /* 2150594 */   // Label 28357: @2150594
     /* 2150594 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2150685), // Rule ID 18002 //
     /* 2150599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150645 */     // MIs[0] round
     /* 2150645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150648 */     // MIs[0] policy
     /* 2150648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150658 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2150661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150684 */     // GIR_Coverage, 18002,
     /* 2150684 */     GIR_EraseRootFromParent_Done,
     /* 2150685 */   // Label 28358: @2150685
     /* 2150685 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2150776), // Rule ID 18005 //
     /* 2150690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150736 */     // MIs[0] round
     /* 2150736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150739 */     // MIs[0] policy
     /* 2150739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150749 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2150752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150775 */     // GIR_Coverage, 18005,
     /* 2150775 */     GIR_EraseRootFromParent_Done,
     /* 2150776 */   // Label 28359: @2150776
     /* 2150776 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2150867), // Rule ID 18006 //
     /* 2150781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150827 */     // MIs[0] round
     /* 2150827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150830 */     // MIs[0] policy
     /* 2150830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2150843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150866 */     // GIR_Coverage, 18006,
     /* 2150866 */     GIR_EraseRootFromParent_Done,
     /* 2150867 */   // Label 28360: @2150867
     /* 2150867 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2150958), // Rule ID 18009 //
     /* 2150872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150918 */     // MIs[0] round
     /* 2150918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150921 */     // MIs[0] policy
     /* 2150921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150931 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2150934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150957 */     // GIR_Coverage, 18009,
     /* 2150957 */     GIR_EraseRootFromParent_Done,
     /* 2150958 */   // Label 28361: @2150958
     /* 2150958 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2151049), // Rule ID 18010 //
     /* 2150963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151009 */     // MIs[0] round
     /* 2151009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151012 */     // MIs[0] policy
     /* 2151012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151022 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2151025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151048 */     // GIR_Coverage, 18010,
     /* 2151048 */     GIR_EraseRootFromParent_Done,
     /* 2151049 */   // Label 28362: @2151049
     /* 2151049 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2151140), // Rule ID 18013 //
     /* 2151054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151100 */     // MIs[0] round
     /* 2151100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151103 */     // MIs[0] policy
     /* 2151103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151113 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151139 */     // GIR_Coverage, 18013,
     /* 2151139 */     GIR_EraseRootFromParent_Done,
     /* 2151140 */   // Label 28363: @2151140
     /* 2151140 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2151231), // Rule ID 18014 //
     /* 2151145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151191 */     // MIs[0] round
     /* 2151191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151194 */     // MIs[0] policy
     /* 2151194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151204 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151230 */     // GIR_Coverage, 18014,
     /* 2151230 */     GIR_EraseRootFromParent_Done,
     /* 2151231 */   // Label 28364: @2151231
     /* 2151231 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2151322), // Rule ID 18017 //
     /* 2151236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151282 */     // MIs[0] round
     /* 2151282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151285 */     // MIs[0] policy
     /* 2151285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151295 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151321 */     // GIR_Coverage, 18017,
     /* 2151321 */     GIR_EraseRootFromParent_Done,
     /* 2151322 */   // Label 28365: @2151322
     /* 2151322 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2151413), // Rule ID 18018 //
     /* 2151327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151373 */     // MIs[0] round
     /* 2151373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151376 */     // MIs[0] policy
     /* 2151376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151386 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151412 */     // GIR_Coverage, 18018,
     /* 2151412 */     GIR_EraseRootFromParent_Done,
     /* 2151413 */   // Label 28366: @2151413
     /* 2151413 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2151504), // Rule ID 18021 //
     /* 2151418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151464 */     // MIs[0] round
     /* 2151464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151467 */     // MIs[0] policy
     /* 2151467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151477 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151503 */     // GIR_Coverage, 18021,
     /* 2151503 */     GIR_EraseRootFromParent_Done,
     /* 2151504 */   // Label 28367: @2151504
     /* 2151504 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2151595), // Rule ID 18022 //
     /* 2151509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151555 */     // MIs[0] round
     /* 2151555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151558 */     // MIs[0] policy
     /* 2151558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151568 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151594 */     // GIR_Coverage, 18022,
     /* 2151594 */     GIR_EraseRootFromParent_Done,
     /* 2151595 */   // Label 28368: @2151595
     /* 2151595 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2151686), // Rule ID 18025 //
     /* 2151600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151646 */     // MIs[0] round
     /* 2151646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151649 */     // MIs[0] policy
     /* 2151649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151659 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2151662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151685 */     // GIR_Coverage, 18025,
     /* 2151685 */     GIR_EraseRootFromParent_Done,
     /* 2151686 */   // Label 28369: @2151686
     /* 2151686 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2151777), // Rule ID 18026 //
     /* 2151691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151737 */     // MIs[0] round
     /* 2151737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151740 */     // MIs[0] policy
     /* 2151740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151750 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2151753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151776 */     // GIR_Coverage, 18026,
     /* 2151776 */     GIR_EraseRootFromParent_Done,
     /* 2151777 */   // Label 28370: @2151777
     /* 2151777 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2151868), // Rule ID 18029 //
     /* 2151782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151828 */     // MIs[0] round
     /* 2151828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151831 */     // MIs[0] policy
     /* 2151831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151841 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2151844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151867 */     // GIR_Coverage, 18029,
     /* 2151867 */     GIR_EraseRootFromParent_Done,
     /* 2151868 */   // Label 28371: @2151868
     /* 2151868 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2151959), // Rule ID 18030 //
     /* 2151873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151919 */     // MIs[0] round
     /* 2151919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151922 */     // MIs[0] policy
     /* 2151922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2151935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151958 */     // GIR_Coverage, 18030,
     /* 2151958 */     GIR_EraseRootFromParent_Done,
     /* 2151959 */   // Label 28372: @2151959
     /* 2151959 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2152050), // Rule ID 18033 //
     /* 2151964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152010 */     // MIs[0] round
     /* 2152010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152013 */     // MIs[0] policy
     /* 2152013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152023 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2152026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152049 */     // GIR_Coverage, 18033,
     /* 2152049 */     GIR_EraseRootFromParent_Done,
     /* 2152050 */   // Label 28373: @2152050
     /* 2152050 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2152141), // Rule ID 18034 //
     /* 2152055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152101 */     // MIs[0] round
     /* 2152101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152104 */     // MIs[0] policy
     /* 2152104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152114 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2152117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152140 */     // GIR_Coverage, 18034,
     /* 2152140 */     GIR_EraseRootFromParent_Done,
     /* 2152141 */   // Label 28374: @2152141
     /* 2152141 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2152232), // Rule ID 18037 //
     /* 2152146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152192 */     // MIs[0] round
     /* 2152192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152195 */     // MIs[0] policy
     /* 2152195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152205 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152231 */     // GIR_Coverage, 18037,
     /* 2152231 */     GIR_EraseRootFromParent_Done,
     /* 2152232 */   // Label 28375: @2152232
     /* 2152232 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2152323), // Rule ID 18038 //
     /* 2152237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152283 */     // MIs[0] round
     /* 2152283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152286 */     // MIs[0] policy
     /* 2152286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152296 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152322 */     // GIR_Coverage, 18038,
     /* 2152322 */     GIR_EraseRootFromParent_Done,
     /* 2152323 */   // Label 28376: @2152323
     /* 2152323 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2152414), // Rule ID 18041 //
     /* 2152328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152374 */     // MIs[0] round
     /* 2152374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152377 */     // MIs[0] policy
     /* 2152377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152387 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152413 */     // GIR_Coverage, 18041,
     /* 2152413 */     GIR_EraseRootFromParent_Done,
     /* 2152414 */   // Label 28377: @2152414
     /* 2152414 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2152505), // Rule ID 18042 //
     /* 2152419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152465 */     // MIs[0] round
     /* 2152465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152468 */     // MIs[0] policy
     /* 2152468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152478 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152504 */     // GIR_Coverage, 18042,
     /* 2152504 */     GIR_EraseRootFromParent_Done,
     /* 2152505 */   // Label 28378: @2152505
     /* 2152505 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2152596), // Rule ID 18045 //
     /* 2152510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152556 */     // MIs[0] round
     /* 2152556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152559 */     // MIs[0] policy
     /* 2152559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152569 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2152572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152595 */     // GIR_Coverage, 18045,
     /* 2152595 */     GIR_EraseRootFromParent_Done,
     /* 2152596 */   // Label 28379: @2152596
     /* 2152596 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2152687), // Rule ID 18046 //
     /* 2152601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152647 */     // MIs[0] round
     /* 2152647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152650 */     // MIs[0] policy
     /* 2152650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152660 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2152663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152686 */     // GIR_Coverage, 18046,
     /* 2152686 */     GIR_EraseRootFromParent_Done,
     /* 2152687 */   // Label 28380: @2152687
     /* 2152687 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2152778), // Rule ID 18049 //
     /* 2152692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152738 */     // MIs[0] round
     /* 2152738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152741 */     // MIs[0] policy
     /* 2152741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152751 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2152754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152777 */     // GIR_Coverage, 18049,
     /* 2152777 */     GIR_EraseRootFromParent_Done,
     /* 2152778 */   // Label 28381: @2152778
     /* 2152778 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2152869), // Rule ID 18050 //
     /* 2152783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152829 */     // MIs[0] round
     /* 2152829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152832 */     // MIs[0] policy
     /* 2152832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152842 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2152845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152868 */     // GIR_Coverage, 18050,
     /* 2152868 */     GIR_EraseRootFromParent_Done,
     /* 2152869 */   // Label 28382: @2152869
     /* 2152869 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2152960), // Rule ID 18053 //
     /* 2152874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152920 */     // MIs[0] round
     /* 2152920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152923 */     // MIs[0] policy
     /* 2152923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152933 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2152936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152959 */     // GIR_Coverage, 18053,
     /* 2152959 */     GIR_EraseRootFromParent_Done,
     /* 2152960 */   // Label 28383: @2152960
     /* 2152960 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2153051), // Rule ID 18054 //
     /* 2152965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153011 */     // MIs[0] round
     /* 2153011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153014 */     // MIs[0] policy
     /* 2153014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153024 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2153027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153050 */     // GIR_Coverage, 18054,
     /* 2153050 */     GIR_EraseRootFromParent_Done,
     /* 2153051 */   // Label 28384: @2153051
     /* 2153051 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2153142), // Rule ID 18057 //
     /* 2153056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153102 */     // MIs[0] round
     /* 2153102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153105 */     // MIs[0] policy
     /* 2153105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153115 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153141 */     // GIR_Coverage, 18057,
     /* 2153141 */     GIR_EraseRootFromParent_Done,
     /* 2153142 */   // Label 28385: @2153142
     /* 2153142 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2153233), // Rule ID 18058 //
     /* 2153147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153193 */     // MIs[0] round
     /* 2153193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153196 */     // MIs[0] policy
     /* 2153196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153206 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153232 */     // GIR_Coverage, 18058,
     /* 2153232 */     GIR_EraseRootFromParent_Done,
     /* 2153233 */   // Label 28386: @2153233
     /* 2153233 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2153324), // Rule ID 18061 //
     /* 2153238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153284 */     // MIs[0] round
     /* 2153284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153287 */     // MIs[0] policy
     /* 2153287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153297 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153323 */     // GIR_Coverage, 18061,
     /* 2153323 */     GIR_EraseRootFromParent_Done,
     /* 2153324 */   // Label 28387: @2153324
     /* 2153324 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2153415), // Rule ID 18062 //
     /* 2153329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153375 */     // MIs[0] round
     /* 2153375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153378 */     // MIs[0] policy
     /* 2153378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153388 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153414 */     // GIR_Coverage, 18062,
     /* 2153414 */     GIR_EraseRootFromParent_Done,
     /* 2153415 */   // Label 28388: @2153415
     /* 2153415 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2153506), // Rule ID 18065 //
     /* 2153420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153466 */     // MIs[0] round
     /* 2153466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153469 */     // MIs[0] policy
     /* 2153469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153479 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153505 */     // GIR_Coverage, 18065,
     /* 2153505 */     GIR_EraseRootFromParent_Done,
     /* 2153506 */   // Label 28389: @2153506
     /* 2153506 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2153597), // Rule ID 18066 //
     /* 2153511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153557 */     // MIs[0] round
     /* 2153557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153560 */     // MIs[0] policy
     /* 2153560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153596 */     // GIR_Coverage, 18066,
     /* 2153596 */     GIR_EraseRootFromParent_Done,
     /* 2153597 */   // Label 28390: @2153597
     /* 2153597 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2153688), // Rule ID 18069 //
     /* 2153602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153648 */     // MIs[0] round
     /* 2153648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153651 */     // MIs[0] policy
     /* 2153651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153661 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2153664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153687 */     // GIR_Coverage, 18069,
     /* 2153687 */     GIR_EraseRootFromParent_Done,
     /* 2153688 */   // Label 28391: @2153688
     /* 2153688 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2153779), // Rule ID 18070 //
     /* 2153693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153739 */     // MIs[0] round
     /* 2153739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153742 */     // MIs[0] policy
     /* 2153742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153752 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2153755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153778 */     // GIR_Coverage, 18070,
     /* 2153778 */     GIR_EraseRootFromParent_Done,
     /* 2153779 */   // Label 28392: @2153779
     /* 2153779 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2153870), // Rule ID 18073 //
     /* 2153784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153830 */     // MIs[0] round
     /* 2153830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153833 */     // MIs[0] policy
     /* 2153833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153843 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2153846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153869 */     // GIR_Coverage, 18073,
     /* 2153869 */     GIR_EraseRootFromParent_Done,
     /* 2153870 */   // Label 28393: @2153870
     /* 2153870 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2153961), // Rule ID 18074 //
     /* 2153875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153921 */     // MIs[0] round
     /* 2153921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153924 */     // MIs[0] policy
     /* 2153924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153934 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2153937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153960 */     // GIR_Coverage, 18074,
     /* 2153960 */     GIR_EraseRootFromParent_Done,
     /* 2153961 */   // Label 28394: @2153961
     /* 2153961 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2154052), // Rule ID 18077 //
     /* 2153966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154012 */     // MIs[0] round
     /* 2154012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154015 */     // MIs[0] policy
     /* 2154015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154025 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2154028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154051 */     // GIR_Coverage, 18077,
     /* 2154051 */     GIR_EraseRootFromParent_Done,
     /* 2154052 */   // Label 28395: @2154052
     /* 2154052 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2154143), // Rule ID 18078 //
     /* 2154057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154103 */     // MIs[0] round
     /* 2154103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154106 */     // MIs[0] policy
     /* 2154106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154116 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2154119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154142 */     // GIR_Coverage, 18078,
     /* 2154142 */     GIR_EraseRootFromParent_Done,
     /* 2154143 */   // Label 28396: @2154143
     /* 2154143 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2154234), // Rule ID 18081 //
     /* 2154148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154194 */     // MIs[0] round
     /* 2154194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154197 */     // MIs[0] policy
     /* 2154197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154207 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154233 */     // GIR_Coverage, 18081,
     /* 2154233 */     GIR_EraseRootFromParent_Done,
     /* 2154234 */   // Label 28397: @2154234
     /* 2154234 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2154325), // Rule ID 18082 //
     /* 2154239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154285 */     // MIs[0] round
     /* 2154285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154288 */     // MIs[0] policy
     /* 2154288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154298 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154324 */     // GIR_Coverage, 18082,
     /* 2154324 */     GIR_EraseRootFromParent_Done,
     /* 2154325 */   // Label 28398: @2154325
     /* 2154325 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2154416), // Rule ID 18085 //
     /* 2154330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154376 */     // MIs[0] round
     /* 2154376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154379 */     // MIs[0] policy
     /* 2154379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154389 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154415 */     // GIR_Coverage, 18085,
     /* 2154415 */     GIR_EraseRootFromParent_Done,
     /* 2154416 */   // Label 28399: @2154416
     /* 2154416 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2154507), // Rule ID 18086 //
     /* 2154421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154467 */     // MIs[0] round
     /* 2154467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154470 */     // MIs[0] policy
     /* 2154470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154506 */     // GIR_Coverage, 18086,
     /* 2154506 */     GIR_EraseRootFromParent_Done,
     /* 2154507 */   // Label 28400: @2154507
     /* 2154507 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2154598), // Rule ID 18089 //
     /* 2154512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154558 */     // MIs[0] round
     /* 2154558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154561 */     // MIs[0] policy
     /* 2154561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154571 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2154574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154597 */     // GIR_Coverage, 18089,
     /* 2154597 */     GIR_EraseRootFromParent_Done,
     /* 2154598 */   // Label 28401: @2154598
     /* 2154598 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2154689), // Rule ID 18090 //
     /* 2154603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154649 */     // MIs[0] round
     /* 2154649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154652 */     // MIs[0] policy
     /* 2154652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154662 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2154665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154688 */     // GIR_Coverage, 18090,
     /* 2154688 */     GIR_EraseRootFromParent_Done,
     /* 2154689 */   // Label 28402: @2154689
     /* 2154689 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2154780), // Rule ID 18093 //
     /* 2154694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154740 */     // MIs[0] round
     /* 2154740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154743 */     // MIs[0] policy
     /* 2154743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154753 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2154756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154779 */     // GIR_Coverage, 18093,
     /* 2154779 */     GIR_EraseRootFromParent_Done,
     /* 2154780 */   // Label 28403: @2154780
     /* 2154780 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2154871), // Rule ID 18094 //
     /* 2154785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154831 */     // MIs[0] round
     /* 2154831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154834 */     // MIs[0] policy
     /* 2154834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154844 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2154847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154870 */     // GIR_Coverage, 18094,
     /* 2154870 */     GIR_EraseRootFromParent_Done,
     /* 2154871 */   // Label 28404: @2154871
     /* 2154871 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2154962), // Rule ID 18097 //
     /* 2154876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154922 */     // MIs[0] round
     /* 2154922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154925 */     // MIs[0] policy
     /* 2154925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154935 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2154938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154961 */     // GIR_Coverage, 18097,
     /* 2154961 */     GIR_EraseRootFromParent_Done,
     /* 2154962 */   // Label 28405: @2154962
     /* 2154962 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2155053), // Rule ID 18098 //
     /* 2154967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155013 */     // MIs[0] round
     /* 2155013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155016 */     // MIs[0] policy
     /* 2155016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155026 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2155029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155052 */     // GIR_Coverage, 18098,
     /* 2155052 */     GIR_EraseRootFromParent_Done,
     /* 2155053 */   // Label 28406: @2155053
     /* 2155053 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2155144), // Rule ID 18101 //
     /* 2155058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155104 */     // MIs[0] round
     /* 2155104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155107 */     // MIs[0] policy
     /* 2155107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155117 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155143 */     // GIR_Coverage, 18101,
     /* 2155143 */     GIR_EraseRootFromParent_Done,
     /* 2155144 */   // Label 28407: @2155144
     /* 2155144 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2155235), // Rule ID 18102 //
     /* 2155149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155195 */     // MIs[0] round
     /* 2155195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155198 */     // MIs[0] policy
     /* 2155198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155208 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155234 */     // GIR_Coverage, 18102,
     /* 2155234 */     GIR_EraseRootFromParent_Done,
     /* 2155235 */   // Label 28408: @2155235
     /* 2155235 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2155326), // Rule ID 18105 //
     /* 2155240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155286 */     // MIs[0] round
     /* 2155286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155289 */     // MIs[0] policy
     /* 2155289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155299 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155325 */     // GIR_Coverage, 18105,
     /* 2155325 */     GIR_EraseRootFromParent_Done,
     /* 2155326 */   // Label 28409: @2155326
     /* 2155326 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2155417), // Rule ID 18106 //
     /* 2155331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155377 */     // MIs[0] round
     /* 2155377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155380 */     // MIs[0] policy
     /* 2155380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155390 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155416 */     // GIR_Coverage, 18106,
     /* 2155416 */     GIR_EraseRootFromParent_Done,
     /* 2155417 */   // Label 28410: @2155417
     /* 2155417 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2155508), // Rule ID 18109 //
     /* 2155422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155468 */     // MIs[0] round
     /* 2155468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155471 */     // MIs[0] policy
     /* 2155471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155481 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155507 */     // GIR_Coverage, 18109,
     /* 2155507 */     GIR_EraseRootFromParent_Done,
     /* 2155508 */   // Label 28411: @2155508
     /* 2155508 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2155599), // Rule ID 18110 //
     /* 2155513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155559 */     // MIs[0] round
     /* 2155559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155562 */     // MIs[0] policy
     /* 2155562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155572 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155598 */     // GIR_Coverage, 18110,
     /* 2155598 */     GIR_EraseRootFromParent_Done,
     /* 2155599 */   // Label 28412: @2155599
     /* 2155599 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2155690), // Rule ID 18113 //
     /* 2155604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155650 */     // MIs[0] round
     /* 2155650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155653 */     // MIs[0] policy
     /* 2155653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155663 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2155666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155689 */     // GIR_Coverage, 18113,
     /* 2155689 */     GIR_EraseRootFromParent_Done,
     /* 2155690 */   // Label 28413: @2155690
     /* 2155690 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2155781), // Rule ID 18114 //
     /* 2155695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155741 */     // MIs[0] round
     /* 2155741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155744 */     // MIs[0] policy
     /* 2155744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155754 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2155757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155780 */     // GIR_Coverage, 18114,
     /* 2155780 */     GIR_EraseRootFromParent_Done,
     /* 2155781 */   // Label 28414: @2155781
     /* 2155781 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2155872), // Rule ID 18117 //
     /* 2155786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155832 */     // MIs[0] round
     /* 2155832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155835 */     // MIs[0] policy
     /* 2155835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155845 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2155848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155871 */     // GIR_Coverage, 18117,
     /* 2155871 */     GIR_EraseRootFromParent_Done,
     /* 2155872 */   // Label 28415: @2155872
     /* 2155872 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2155963), // Rule ID 18118 //
     /* 2155877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155923 */     // MIs[0] round
     /* 2155923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155926 */     // MIs[0] policy
     /* 2155926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2155939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155962 */     // GIR_Coverage, 18118,
     /* 2155962 */     GIR_EraseRootFromParent_Done,
     /* 2155963 */   // Label 28416: @2155963
     /* 2155963 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2156054), // Rule ID 18121 //
     /* 2155968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156014 */     // MIs[0] round
     /* 2156014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156017 */     // MIs[0] policy
     /* 2156017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156027 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2156030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156053 */     // GIR_Coverage, 18121,
     /* 2156053 */     GIR_EraseRootFromParent_Done,
     /* 2156054 */   // Label 28417: @2156054
     /* 2156054 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2156145), // Rule ID 18122 //
     /* 2156059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156105 */     // MIs[0] round
     /* 2156105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156108 */     // MIs[0] policy
     /* 2156108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156118 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2156121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156144 */     // GIR_Coverage, 18122,
     /* 2156144 */     GIR_EraseRootFromParent_Done,
     /* 2156145 */   // Label 28418: @2156145
     /* 2156145 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2156236), // Rule ID 18125 //
     /* 2156150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156196 */     // MIs[0] round
     /* 2156196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156199 */     // MIs[0] policy
     /* 2156199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156209 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156235 */     // GIR_Coverage, 18125,
     /* 2156235 */     GIR_EraseRootFromParent_Done,
     /* 2156236 */   // Label 28419: @2156236
     /* 2156236 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2156327), // Rule ID 18126 //
     /* 2156241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156287 */     // MIs[0] round
     /* 2156287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156290 */     // MIs[0] policy
     /* 2156290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156300 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156326 */     // GIR_Coverage, 18126,
     /* 2156326 */     GIR_EraseRootFromParent_Done,
     /* 2156327 */   // Label 28420: @2156327
     /* 2156327 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2156418), // Rule ID 18129 //
     /* 2156332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156378 */     // MIs[0] round
     /* 2156378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156381 */     // MIs[0] policy
     /* 2156381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156391 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156417 */     // GIR_Coverage, 18129,
     /* 2156417 */     GIR_EraseRootFromParent_Done,
     /* 2156418 */   // Label 28421: @2156418
     /* 2156418 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2156509), // Rule ID 18130 //
     /* 2156423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156469 */     // MIs[0] round
     /* 2156469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156472 */     // MIs[0] policy
     /* 2156472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156482 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156508 */     // GIR_Coverage, 18130,
     /* 2156508 */     GIR_EraseRootFromParent_Done,
     /* 2156509 */   // Label 28422: @2156509
     /* 2156509 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2156600), // Rule ID 18133 //
     /* 2156514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156560 */     // MIs[0] round
     /* 2156560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156563 */     // MIs[0] policy
     /* 2156563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156573 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2156576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156599 */     // GIR_Coverage, 18133,
     /* 2156599 */     GIR_EraseRootFromParent_Done,
     /* 2156600 */   // Label 28423: @2156600
     /* 2156600 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2156691), // Rule ID 18134 //
     /* 2156605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156651 */     // MIs[0] round
     /* 2156651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156654 */     // MIs[0] policy
     /* 2156654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156664 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2156667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156690 */     // GIR_Coverage, 18134,
     /* 2156690 */     GIR_EraseRootFromParent_Done,
     /* 2156691 */   // Label 28424: @2156691
     /* 2156691 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2156782), // Rule ID 18137 //
     /* 2156696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156742 */     // MIs[0] round
     /* 2156742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156745 */     // MIs[0] policy
     /* 2156745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156755 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2156758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156781 */     // GIR_Coverage, 18137,
     /* 2156781 */     GIR_EraseRootFromParent_Done,
     /* 2156782 */   // Label 28425: @2156782
     /* 2156782 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2156873), // Rule ID 18138 //
     /* 2156787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156833 */     // MIs[0] round
     /* 2156833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156836 */     // MIs[0] policy
     /* 2156836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156846 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2156849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156872 */     // GIR_Coverage, 18138,
     /* 2156872 */     GIR_EraseRootFromParent_Done,
     /* 2156873 */   // Label 28426: @2156873
     /* 2156873 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2156964), // Rule ID 18141 //
     /* 2156878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156924 */     // MIs[0] round
     /* 2156924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156927 */     // MIs[0] policy
     /* 2156927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156937 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2156940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156963 */     // GIR_Coverage, 18141,
     /* 2156963 */     GIR_EraseRootFromParent_Done,
     /* 2156964 */   // Label 28427: @2156964
     /* 2156964 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2157055), // Rule ID 18142 //
     /* 2156969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157015 */     // MIs[0] round
     /* 2157015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157018 */     // MIs[0] policy
     /* 2157018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157028 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2157031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157054 */     // GIR_Coverage, 18142,
     /* 2157054 */     GIR_EraseRootFromParent_Done,
     /* 2157055 */   // Label 28428: @2157055
     /* 2157055 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2157146), // Rule ID 18145 //
     /* 2157060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157106 */     // MIs[0] round
     /* 2157106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157109 */     // MIs[0] policy
     /* 2157109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157119 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157145 */     // GIR_Coverage, 18145,
     /* 2157145 */     GIR_EraseRootFromParent_Done,
     /* 2157146 */   // Label 28429: @2157146
     /* 2157146 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2157237), // Rule ID 18146 //
     /* 2157151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157197 */     // MIs[0] round
     /* 2157197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157200 */     // MIs[0] policy
     /* 2157200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157236 */     // GIR_Coverage, 18146,
     /* 2157236 */     GIR_EraseRootFromParent_Done,
     /* 2157237 */   // Label 28430: @2157237
     /* 2157237 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2157328), // Rule ID 18149 //
     /* 2157242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157288 */     // MIs[0] round
     /* 2157288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157291 */     // MIs[0] policy
     /* 2157291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157301 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157327 */     // GIR_Coverage, 18149,
     /* 2157327 */     GIR_EraseRootFromParent_Done,
     /* 2157328 */   // Label 28431: @2157328
     /* 2157328 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2157419), // Rule ID 18150 //
     /* 2157333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157379 */     // MIs[0] round
     /* 2157379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157382 */     // MIs[0] policy
     /* 2157382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157392 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157418 */     // GIR_Coverage, 18150,
     /* 2157418 */     GIR_EraseRootFromParent_Done,
     /* 2157419 */   // Label 28432: @2157419
     /* 2157419 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2157510), // Rule ID 18153 //
     /* 2157424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157470 */     // MIs[0] round
     /* 2157470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157473 */     // MIs[0] policy
     /* 2157473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157483 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157509 */     // GIR_Coverage, 18153,
     /* 2157509 */     GIR_EraseRootFromParent_Done,
     /* 2157510 */   // Label 28433: @2157510
     /* 2157510 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2157601), // Rule ID 18154 //
     /* 2157515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157561 */     // MIs[0] round
     /* 2157561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157564 */     // MIs[0] policy
     /* 2157564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157574 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157600 */     // GIR_Coverage, 18154,
     /* 2157600 */     GIR_EraseRootFromParent_Done,
     /* 2157601 */   // Label 28434: @2157601
     /* 2157601 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2157692), // Rule ID 18157 //
     /* 2157606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157652 */     // MIs[0] round
     /* 2157652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157655 */     // MIs[0] policy
     /* 2157655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157665 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2157668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157691 */     // GIR_Coverage, 18157,
     /* 2157691 */     GIR_EraseRootFromParent_Done,
     /* 2157692 */   // Label 28435: @2157692
     /* 2157692 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2157783), // Rule ID 18158 //
     /* 2157697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157743 */     // MIs[0] round
     /* 2157743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157746 */     // MIs[0] policy
     /* 2157746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157756 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2157759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157782 */     // GIR_Coverage, 18158,
     /* 2157782 */     GIR_EraseRootFromParent_Done,
     /* 2157783 */   // Label 28436: @2157783
     /* 2157783 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2157874), // Rule ID 18161 //
     /* 2157788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157834 */     // MIs[0] round
     /* 2157834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157837 */     // MIs[0] policy
     /* 2157837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157847 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2157850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157873 */     // GIR_Coverage, 18161,
     /* 2157873 */     GIR_EraseRootFromParent_Done,
     /* 2157874 */   // Label 28437: @2157874
     /* 2157874 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2157965), // Rule ID 18162 //
     /* 2157879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157925 */     // MIs[0] round
     /* 2157925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157928 */     // MIs[0] policy
     /* 2157928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157938 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2157941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157964 */     // GIR_Coverage, 18162,
     /* 2157964 */     GIR_EraseRootFromParent_Done,
     /* 2157965 */   // Label 28438: @2157965
     /* 2157965 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2158056), // Rule ID 18165 //
     /* 2157970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158016 */     // MIs[0] round
     /* 2158016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158019 */     // MIs[0] policy
     /* 2158019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158029 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2158032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158055 */     // GIR_Coverage, 18165,
     /* 2158055 */     GIR_EraseRootFromParent_Done,
     /* 2158056 */   // Label 28439: @2158056
     /* 2158056 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2158147), // Rule ID 18166 //
     /* 2158061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158107 */     // MIs[0] round
     /* 2158107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158110 */     // MIs[0] policy
     /* 2158110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2158123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158146 */     // GIR_Coverage, 18166,
     /* 2158146 */     GIR_EraseRootFromParent_Done,
     /* 2158147 */   // Label 28440: @2158147
     /* 2158147 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2158238), // Rule ID 18169 //
     /* 2158152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158198 */     // MIs[0] round
     /* 2158198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158201 */     // MIs[0] policy
     /* 2158201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158211 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158237 */     // GIR_Coverage, 18169,
     /* 2158237 */     GIR_EraseRootFromParent_Done,
     /* 2158238 */   // Label 28441: @2158238
     /* 2158238 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2158329), // Rule ID 18170 //
     /* 2158243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158289 */     // MIs[0] round
     /* 2158289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158292 */     // MIs[0] policy
     /* 2158292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158302 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158328 */     // GIR_Coverage, 18170,
     /* 2158328 */     GIR_EraseRootFromParent_Done,
     /* 2158329 */   // Label 28442: @2158329
     /* 2158329 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2158420), // Rule ID 18173 //
     /* 2158334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158380 */     // MIs[0] round
     /* 2158380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158383 */     // MIs[0] policy
     /* 2158383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158393 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158419 */     // GIR_Coverage, 18173,
     /* 2158419 */     GIR_EraseRootFromParent_Done,
     /* 2158420 */   // Label 28443: @2158420
     /* 2158420 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2158511), // Rule ID 18174 //
     /* 2158425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158471 */     // MIs[0] round
     /* 2158471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158474 */     // MIs[0] policy
     /* 2158474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158484 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158510 */     // GIR_Coverage, 18174,
     /* 2158510 */     GIR_EraseRootFromParent_Done,
     /* 2158511 */   // Label 28444: @2158511
     /* 2158511 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2158602), // Rule ID 18177 //
     /* 2158516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158562 */     // MIs[0] round
     /* 2158562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158565 */     // MIs[0] policy
     /* 2158565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158575 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2158578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158601 */     // GIR_Coverage, 18177,
     /* 2158601 */     GIR_EraseRootFromParent_Done,
     /* 2158602 */   // Label 28445: @2158602
     /* 2158602 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2158693), // Rule ID 18178 //
     /* 2158607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158653 */     // MIs[0] round
     /* 2158653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158656 */     // MIs[0] policy
     /* 2158656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158666 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2158669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158692 */     // GIR_Coverage, 18178,
     /* 2158692 */     GIR_EraseRootFromParent_Done,
     /* 2158693 */   // Label 28446: @2158693
     /* 2158693 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2158784), // Rule ID 18181 //
     /* 2158698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158744 */     // MIs[0] round
     /* 2158744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158747 */     // MIs[0] policy
     /* 2158747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158757 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2158760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158783 */     // GIR_Coverage, 18181,
     /* 2158783 */     GIR_EraseRootFromParent_Done,
     /* 2158784 */   // Label 28447: @2158784
     /* 2158784 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2158875), // Rule ID 18182 //
     /* 2158789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158835 */     // MIs[0] round
     /* 2158835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158838 */     // MIs[0] policy
     /* 2158838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158848 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2158851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158874 */     // GIR_Coverage, 18182,
     /* 2158874 */     GIR_EraseRootFromParent_Done,
     /* 2158875 */   // Label 28448: @2158875
     /* 2158875 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2158966), // Rule ID 18185 //
     /* 2158880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158926 */     // MIs[0] round
     /* 2158926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158929 */     // MIs[0] policy
     /* 2158929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158939 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2158942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158965 */     // GIR_Coverage, 18185,
     /* 2158965 */     GIR_EraseRootFromParent_Done,
     /* 2158966 */   // Label 28449: @2158966
     /* 2158966 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2159057), // Rule ID 18186 //
     /* 2158971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159017 */     // MIs[0] round
     /* 2159017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159020 */     // MIs[0] policy
     /* 2159020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2159033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159056 */     // GIR_Coverage, 18186,
     /* 2159056 */     GIR_EraseRootFromParent_Done,
     /* 2159057 */   // Label 28450: @2159057
     /* 2159057 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2159148), // Rule ID 18189 //
     /* 2159062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159108 */     // MIs[0] round
     /* 2159108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159111 */     // MIs[0] policy
     /* 2159111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159121 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159147 */     // GIR_Coverage, 18189,
     /* 2159147 */     GIR_EraseRootFromParent_Done,
     /* 2159148 */   // Label 28451: @2159148
     /* 2159148 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2159239), // Rule ID 18190 //
     /* 2159153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159199 */     // MIs[0] round
     /* 2159199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159202 */     // MIs[0] policy
     /* 2159202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159238 */     // GIR_Coverage, 18190,
     /* 2159238 */     GIR_EraseRootFromParent_Done,
     /* 2159239 */   // Label 28452: @2159239
     /* 2159239 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2159330), // Rule ID 18193 //
     /* 2159244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159290 */     // MIs[0] round
     /* 2159290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159293 */     // MIs[0] policy
     /* 2159293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159303 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159329 */     // GIR_Coverage, 18193,
     /* 2159329 */     GIR_EraseRootFromParent_Done,
     /* 2159330 */   // Label 28453: @2159330
     /* 2159330 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2159421), // Rule ID 18194 //
     /* 2159335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159381 */     // MIs[0] round
     /* 2159381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159384 */     // MIs[0] policy
     /* 2159384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159394 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159420 */     // GIR_Coverage, 18194,
     /* 2159420 */     GIR_EraseRootFromParent_Done,
     /* 2159421 */   // Label 28454: @2159421
     /* 2159421 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2159512), // Rule ID 18197 //
     /* 2159426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159472 */     // MIs[0] round
     /* 2159472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159475 */     // MIs[0] policy
     /* 2159475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159485 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159511 */     // GIR_Coverage, 18197,
     /* 2159511 */     GIR_EraseRootFromParent_Done,
     /* 2159512 */   // Label 28455: @2159512
     /* 2159512 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2159603), // Rule ID 18198 //
     /* 2159517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159563 */     // MIs[0] round
     /* 2159563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159566 */     // MIs[0] policy
     /* 2159566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159602 */     // GIR_Coverage, 18198,
     /* 2159602 */     GIR_EraseRootFromParent_Done,
     /* 2159603 */   // Label 28456: @2159603
     /* 2159603 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2159694), // Rule ID 18201 //
     /* 2159608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159654 */     // MIs[0] round
     /* 2159654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159657 */     // MIs[0] policy
     /* 2159657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159667 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2159670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159693 */     // GIR_Coverage, 18201,
     /* 2159693 */     GIR_EraseRootFromParent_Done,
     /* 2159694 */   // Label 28457: @2159694
     /* 2159694 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2159785), // Rule ID 18202 //
     /* 2159699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159745 */     // MIs[0] round
     /* 2159745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159748 */     // MIs[0] policy
     /* 2159748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159758 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2159761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159784 */     // GIR_Coverage, 18202,
     /* 2159784 */     GIR_EraseRootFromParent_Done,
     /* 2159785 */   // Label 28458: @2159785
     /* 2159785 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2159876), // Rule ID 18205 //
     /* 2159790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159836 */     // MIs[0] round
     /* 2159836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159839 */     // MIs[0] policy
     /* 2159839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159849 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2159852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159875 */     // GIR_Coverage, 18205,
     /* 2159875 */     GIR_EraseRootFromParent_Done,
     /* 2159876 */   // Label 28459: @2159876
     /* 2159876 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2159967), // Rule ID 18206 //
     /* 2159881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159927 */     // MIs[0] round
     /* 2159927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159930 */     // MIs[0] policy
     /* 2159930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159940 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2159943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159966 */     // GIR_Coverage, 18206,
     /* 2159966 */     GIR_EraseRootFromParent_Done,
     /* 2159967 */   // Label 28460: @2159967
     /* 2159967 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2160058), // Rule ID 18209 //
     /* 2159972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160018 */     // MIs[0] round
     /* 2160018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160021 */     // MIs[0] policy
     /* 2160021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160031 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2160034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160057 */     // GIR_Coverage, 18209,
     /* 2160057 */     GIR_EraseRootFromParent_Done,
     /* 2160058 */   // Label 28461: @2160058
     /* 2160058 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2160149), // Rule ID 18210 //
     /* 2160063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160109 */     // MIs[0] round
     /* 2160109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160112 */     // MIs[0] policy
     /* 2160112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160122 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2160125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160148 */     // GIR_Coverage, 18210,
     /* 2160148 */     GIR_EraseRootFromParent_Done,
     /* 2160149 */   // Label 28462: @2160149
     /* 2160149 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2160240), // Rule ID 18213 //
     /* 2160154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160200 */     // MIs[0] round
     /* 2160200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160203 */     // MIs[0] policy
     /* 2160203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160213 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160239 */     // GIR_Coverage, 18213,
     /* 2160239 */     GIR_EraseRootFromParent_Done,
     /* 2160240 */   // Label 28463: @2160240
     /* 2160240 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2160331), // Rule ID 18214 //
     /* 2160245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160291 */     // MIs[0] round
     /* 2160291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160294 */     // MIs[0] policy
     /* 2160294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160304 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160330 */     // GIR_Coverage, 18214,
     /* 2160330 */     GIR_EraseRootFromParent_Done,
     /* 2160331 */   // Label 28464: @2160331
     /* 2160331 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2160422), // Rule ID 18217 //
     /* 2160336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160382 */     // MIs[0] round
     /* 2160382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160385 */     // MIs[0] policy
     /* 2160385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160395 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160421 */     // GIR_Coverage, 18217,
     /* 2160421 */     GIR_EraseRootFromParent_Done,
     /* 2160422 */   // Label 28465: @2160422
     /* 2160422 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2160513), // Rule ID 18218 //
     /* 2160427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160473 */     // MIs[0] round
     /* 2160473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160476 */     // MIs[0] policy
     /* 2160476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160486 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160512 */     // GIR_Coverage, 18218,
     /* 2160512 */     GIR_EraseRootFromParent_Done,
     /* 2160513 */   // Label 28466: @2160513
     /* 2160513 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2160604), // Rule ID 18221 //
     /* 2160518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160564 */     // MIs[0] round
     /* 2160564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160567 */     // MIs[0] policy
     /* 2160567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160577 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2160580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160603 */     // GIR_Coverage, 18221,
     /* 2160603 */     GIR_EraseRootFromParent_Done,
     /* 2160604 */   // Label 28467: @2160604
     /* 2160604 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2160695), // Rule ID 18222 //
     /* 2160609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160655 */     // MIs[0] round
     /* 2160655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160658 */     // MIs[0] policy
     /* 2160658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160668 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2160671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160694 */     // GIR_Coverage, 18222,
     /* 2160694 */     GIR_EraseRootFromParent_Done,
     /* 2160695 */   // Label 28468: @2160695
     /* 2160695 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2160786), // Rule ID 18225 //
     /* 2160700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160746 */     // MIs[0] round
     /* 2160746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160749 */     // MIs[0] policy
     /* 2160749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160759 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2160762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160785 */     // GIR_Coverage, 18225,
     /* 2160785 */     GIR_EraseRootFromParent_Done,
     /* 2160786 */   // Label 28469: @2160786
     /* 2160786 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2160877), // Rule ID 18226 //
     /* 2160791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160837 */     // MIs[0] round
     /* 2160837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160840 */     // MIs[0] policy
     /* 2160840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160850 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2160853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160876 */     // GIR_Coverage, 18226,
     /* 2160876 */     GIR_EraseRootFromParent_Done,
     /* 2160877 */   // Label 28470: @2160877
     /* 2160877 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2160968), // Rule ID 18229 //
     /* 2160882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160928 */     // MIs[0] round
     /* 2160928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160931 */     // MIs[0] policy
     /* 2160931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160941 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2160944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160967 */     // GIR_Coverage, 18229,
     /* 2160967 */     GIR_EraseRootFromParent_Done,
     /* 2160968 */   // Label 28471: @2160968
     /* 2160968 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2161059), // Rule ID 18230 //
     /* 2160973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161019 */     // MIs[0] round
     /* 2161019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161022 */     // MIs[0] policy
     /* 2161022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161032 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2161035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161058 */     // GIR_Coverage, 18230,
     /* 2161058 */     GIR_EraseRootFromParent_Done,
     /* 2161059 */   // Label 28472: @2161059
     /* 2161059 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2161150), // Rule ID 18233 //
     /* 2161064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161110 */     // MIs[0] round
     /* 2161110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161113 */     // MIs[0] policy
     /* 2161113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161123 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161149 */     // GIR_Coverage, 18233,
     /* 2161149 */     GIR_EraseRootFromParent_Done,
     /* 2161150 */   // Label 28473: @2161150
     /* 2161150 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2161241), // Rule ID 18234 //
     /* 2161155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161201 */     // MIs[0] round
     /* 2161201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161204 */     // MIs[0] policy
     /* 2161204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161214 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161240 */     // GIR_Coverage, 18234,
     /* 2161240 */     GIR_EraseRootFromParent_Done,
     /* 2161241 */   // Label 28474: @2161241
     /* 2161241 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2161332), // Rule ID 18237 //
     /* 2161246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161292 */     // MIs[0] round
     /* 2161292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161295 */     // MIs[0] policy
     /* 2161295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161305 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161331 */     // GIR_Coverage, 18237,
     /* 2161331 */     GIR_EraseRootFromParent_Done,
     /* 2161332 */   // Label 28475: @2161332
     /* 2161332 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2161423), // Rule ID 18238 //
     /* 2161337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161383 */     // MIs[0] round
     /* 2161383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161386 */     // MIs[0] policy
     /* 2161386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161396 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161422 */     // GIR_Coverage, 18238,
     /* 2161422 */     GIR_EraseRootFromParent_Done,
     /* 2161423 */   // Label 28476: @2161423
     /* 2161423 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2161514), // Rule ID 18241 //
     /* 2161428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161474 */     // MIs[0] round
     /* 2161474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161477 */     // MIs[0] policy
     /* 2161477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161487 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161513 */     // GIR_Coverage, 18241,
     /* 2161513 */     GIR_EraseRootFromParent_Done,
     /* 2161514 */   // Label 28477: @2161514
     /* 2161514 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2161605), // Rule ID 18242 //
     /* 2161519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161565 */     // MIs[0] round
     /* 2161565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161568 */     // MIs[0] policy
     /* 2161568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161604 */     // GIR_Coverage, 18242,
     /* 2161604 */     GIR_EraseRootFromParent_Done,
     /* 2161605 */   // Label 28478: @2161605
     /* 2161605 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2161696), // Rule ID 18245 //
     /* 2161610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161656 */     // MIs[0] round
     /* 2161656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161659 */     // MIs[0] policy
     /* 2161659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161669 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2161672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161695 */     // GIR_Coverage, 18245,
     /* 2161695 */     GIR_EraseRootFromParent_Done,
     /* 2161696 */   // Label 28479: @2161696
     /* 2161696 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2161787), // Rule ID 18246 //
     /* 2161701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161747 */     // MIs[0] round
     /* 2161747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161750 */     // MIs[0] policy
     /* 2161750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2161763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161786 */     // GIR_Coverage, 18246,
     /* 2161786 */     GIR_EraseRootFromParent_Done,
     /* 2161787 */   // Label 28480: @2161787
     /* 2161787 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2161878), // Rule ID 18249 //
     /* 2161792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161838 */     // MIs[0] round
     /* 2161838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161841 */     // MIs[0] policy
     /* 2161841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161851 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2161854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161877 */     // GIR_Coverage, 18249,
     /* 2161877 */     GIR_EraseRootFromParent_Done,
     /* 2161878 */   // Label 28481: @2161878
     /* 2161878 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2161969), // Rule ID 18250 //
     /* 2161883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161929 */     // MIs[0] round
     /* 2161929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161932 */     // MIs[0] policy
     /* 2161932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161942 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2161945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161968 */     // GIR_Coverage, 18250,
     /* 2161968 */     GIR_EraseRootFromParent_Done,
     /* 2161969 */   // Label 28482: @2161969
     /* 2161969 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2162060), // Rule ID 18253 //
     /* 2161974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162020 */     // MIs[0] round
     /* 2162020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162023 */     // MIs[0] policy
     /* 2162023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162033 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2162036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162059 */     // GIR_Coverage, 18253,
     /* 2162059 */     GIR_EraseRootFromParent_Done,
     /* 2162060 */   // Label 28483: @2162060
     /* 2162060 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2162151), // Rule ID 18254 //
     /* 2162065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162111 */     // MIs[0] round
     /* 2162111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162114 */     // MIs[0] policy
     /* 2162114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162124 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2162127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162150 */     // GIR_Coverage, 18254,
     /* 2162150 */     GIR_EraseRootFromParent_Done,
     /* 2162151 */   // Label 28484: @2162151
     /* 2162151 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2162242), // Rule ID 18257 //
     /* 2162156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162202 */     // MIs[0] round
     /* 2162202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162205 */     // MIs[0] policy
     /* 2162205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162215 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162241 */     // GIR_Coverage, 18257,
     /* 2162241 */     GIR_EraseRootFromParent_Done,
     /* 2162242 */   // Label 28485: @2162242
     /* 2162242 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2162333), // Rule ID 18258 //
     /* 2162247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162293 */     // MIs[0] round
     /* 2162293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162296 */     // MIs[0] policy
     /* 2162296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162306 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162332 */     // GIR_Coverage, 18258,
     /* 2162332 */     GIR_EraseRootFromParent_Done,
     /* 2162333 */   // Label 28486: @2162333
     /* 2162333 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2162424), // Rule ID 18261 //
     /* 2162338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162384 */     // MIs[0] round
     /* 2162384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162387 */     // MIs[0] policy
     /* 2162387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162397 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162423 */     // GIR_Coverage, 18261,
     /* 2162423 */     GIR_EraseRootFromParent_Done,
     /* 2162424 */   // Label 28487: @2162424
     /* 2162424 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2162515), // Rule ID 18262 //
     /* 2162429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162475 */     // MIs[0] round
     /* 2162475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162478 */     // MIs[0] policy
     /* 2162478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162488 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162514 */     // GIR_Coverage, 18262,
     /* 2162514 */     GIR_EraseRootFromParent_Done,
     /* 2162515 */   // Label 28488: @2162515
     /* 2162515 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2162606), // Rule ID 18265 //
     /* 2162520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162566 */     // MIs[0] round
     /* 2162566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162569 */     // MIs[0] policy
     /* 2162569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162579 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2162582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162605 */     // GIR_Coverage, 18265,
     /* 2162605 */     GIR_EraseRootFromParent_Done,
     /* 2162606 */   // Label 28489: @2162606
     /* 2162606 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2162697), // Rule ID 18266 //
     /* 2162611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162657 */     // MIs[0] round
     /* 2162657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162660 */     // MIs[0] policy
     /* 2162660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162670 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2162673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162696 */     // GIR_Coverage, 18266,
     /* 2162696 */     GIR_EraseRootFromParent_Done,
     /* 2162697 */   // Label 28490: @2162697
     /* 2162697 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2162788), // Rule ID 18269 //
     /* 2162702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162748 */     // MIs[0] round
     /* 2162748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162751 */     // MIs[0] policy
     /* 2162751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162761 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2162764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162787 */     // GIR_Coverage, 18269,
     /* 2162787 */     GIR_EraseRootFromParent_Done,
     /* 2162788 */   // Label 28491: @2162788
     /* 2162788 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2162879), // Rule ID 18270 //
     /* 2162793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162839 */     // MIs[0] round
     /* 2162839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162842 */     // MIs[0] policy
     /* 2162842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162852 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2162855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162878 */     // GIR_Coverage, 18270,
     /* 2162878 */     GIR_EraseRootFromParent_Done,
     /* 2162879 */   // Label 28492: @2162879
     /* 2162879 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2162970), // Rule ID 18273 //
     /* 2162884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162930 */     // MIs[0] round
     /* 2162930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162933 */     // MIs[0] policy
     /* 2162933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162943 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2162946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162969 */     // GIR_Coverage, 18273,
     /* 2162969 */     GIR_EraseRootFromParent_Done,
     /* 2162970 */   // Label 28493: @2162970
     /* 2162970 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2163061), // Rule ID 18274 //
     /* 2162975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163021 */     // MIs[0] round
     /* 2163021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163024 */     // MIs[0] policy
     /* 2163024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2163037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163060 */     // GIR_Coverage, 18274,
     /* 2163060 */     GIR_EraseRootFromParent_Done,
     /* 2163061 */   // Label 28494: @2163061
     /* 2163061 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2163152), // Rule ID 18277 //
     /* 2163066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163112 */     // MIs[0] round
     /* 2163112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163115 */     // MIs[0] policy
     /* 2163115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163125 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163151 */     // GIR_Coverage, 18277,
     /* 2163151 */     GIR_EraseRootFromParent_Done,
     /* 2163152 */   // Label 28495: @2163152
     /* 2163152 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2163243), // Rule ID 18278 //
     /* 2163157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163203 */     // MIs[0] round
     /* 2163203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163206 */     // MIs[0] policy
     /* 2163206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163242 */     // GIR_Coverage, 18278,
     /* 2163242 */     GIR_EraseRootFromParent_Done,
     /* 2163243 */   // Label 28496: @2163243
     /* 2163243 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2163334), // Rule ID 18281 //
     /* 2163248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163294 */     // MIs[0] round
     /* 2163294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163297 */     // MIs[0] policy
     /* 2163297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163307 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163333 */     // GIR_Coverage, 18281,
     /* 2163333 */     GIR_EraseRootFromParent_Done,
     /* 2163334 */   // Label 28497: @2163334
     /* 2163334 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2163425), // Rule ID 18282 //
     /* 2163339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163385 */     // MIs[0] round
     /* 2163385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163388 */     // MIs[0] policy
     /* 2163388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163398 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163424 */     // GIR_Coverage, 18282,
     /* 2163424 */     GIR_EraseRootFromParent_Done,
     /* 2163425 */   // Label 28498: @2163425
     /* 2163425 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2163516), // Rule ID 18285 //
     /* 2163430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163476 */     // MIs[0] round
     /* 2163476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163479 */     // MIs[0] policy
     /* 2163479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163489 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163515 */     // GIR_Coverage, 18285,
     /* 2163515 */     GIR_EraseRootFromParent_Done,
     /* 2163516 */   // Label 28499: @2163516
     /* 2163516 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2163607), // Rule ID 18286 //
     /* 2163521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163567 */     // MIs[0] round
     /* 2163567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163570 */     // MIs[0] policy
     /* 2163570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163606 */     // GIR_Coverage, 18286,
     /* 2163606 */     GIR_EraseRootFromParent_Done,
     /* 2163607 */   // Label 28500: @2163607
     /* 2163607 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2163698), // Rule ID 18289 //
     /* 2163612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163658 */     // MIs[0] round
     /* 2163658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163661 */     // MIs[0] policy
     /* 2163661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163671 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2163674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163697 */     // GIR_Coverage, 18289,
     /* 2163697 */     GIR_EraseRootFromParent_Done,
     /* 2163698 */   // Label 28501: @2163698
     /* 2163698 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2163789), // Rule ID 18290 //
     /* 2163703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163749 */     // MIs[0] round
     /* 2163749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163752 */     // MIs[0] policy
     /* 2163752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163762 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2163765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163788 */     // GIR_Coverage, 18290,
     /* 2163788 */     GIR_EraseRootFromParent_Done,
     /* 2163789 */   // Label 28502: @2163789
     /* 2163789 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2163880), // Rule ID 18293 //
     /* 2163794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163840 */     // MIs[0] round
     /* 2163840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163843 */     // MIs[0] policy
     /* 2163843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163853 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2163856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163879 */     // GIR_Coverage, 18293,
     /* 2163879 */     GIR_EraseRootFromParent_Done,
     /* 2163880 */   // Label 28503: @2163880
     /* 2163880 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2163971), // Rule ID 18294 //
     /* 2163885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163931 */     // MIs[0] round
     /* 2163931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163934 */     // MIs[0] policy
     /* 2163934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163944 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2163947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163970 */     // GIR_Coverage, 18294,
     /* 2163970 */     GIR_EraseRootFromParent_Done,
     /* 2163971 */   // Label 28504: @2163971
     /* 2163971 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2164062), // Rule ID 18297 //
     /* 2163976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164022 */     // MIs[0] round
     /* 2164022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164025 */     // MIs[0] policy
     /* 2164025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164035 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2164038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164061 */     // GIR_Coverage, 18297,
     /* 2164061 */     GIR_EraseRootFromParent_Done,
     /* 2164062 */   // Label 28505: @2164062
     /* 2164062 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2164153), // Rule ID 18298 //
     /* 2164067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164113 */     // MIs[0] round
     /* 2164113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164116 */     // MIs[0] policy
     /* 2164116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164126 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2164129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164152 */     // GIR_Coverage, 18298,
     /* 2164152 */     GIR_EraseRootFromParent_Done,
     /* 2164153 */   // Label 28506: @2164153
     /* 2164153 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2164244), // Rule ID 18301 //
     /* 2164158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164204 */     // MIs[0] round
     /* 2164204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164207 */     // MIs[0] policy
     /* 2164207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164217 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164243 */     // GIR_Coverage, 18301,
     /* 2164243 */     GIR_EraseRootFromParent_Done,
     /* 2164244 */   // Label 28507: @2164244
     /* 2164244 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2164335), // Rule ID 18302 //
     /* 2164249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164295 */     // MIs[0] round
     /* 2164295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164298 */     // MIs[0] policy
     /* 2164298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164334 */     // GIR_Coverage, 18302,
     /* 2164334 */     GIR_EraseRootFromParent_Done,
     /* 2164335 */   // Label 28508: @2164335
     /* 2164335 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2164426), // Rule ID 18305 //
     /* 2164340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164386 */     // MIs[0] round
     /* 2164386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164389 */     // MIs[0] policy
     /* 2164389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164399 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164425 */     // GIR_Coverage, 18305,
     /* 2164425 */     GIR_EraseRootFromParent_Done,
     /* 2164426 */   // Label 28509: @2164426
     /* 2164426 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2164517), // Rule ID 18306 //
     /* 2164431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164477 */     // MIs[0] round
     /* 2164477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164480 */     // MIs[0] policy
     /* 2164480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164490 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164516 */     // GIR_Coverage, 18306,
     /* 2164516 */     GIR_EraseRootFromParent_Done,
     /* 2164517 */   // Label 28510: @2164517
     /* 2164517 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2164608), // Rule ID 18309 //
     /* 2164522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164568 */     // MIs[0] round
     /* 2164568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164571 */     // MIs[0] policy
     /* 2164571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2164584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164607 */     // GIR_Coverage, 18309,
     /* 2164607 */     GIR_EraseRootFromParent_Done,
     /* 2164608 */   // Label 28511: @2164608
     /* 2164608 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2164699), // Rule ID 18310 //
     /* 2164613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164659 */     // MIs[0] round
     /* 2164659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164662 */     // MIs[0] policy
     /* 2164662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164672 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2164675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164698 */     // GIR_Coverage, 18310,
     /* 2164698 */     GIR_EraseRootFromParent_Done,
     /* 2164699 */   // Label 28512: @2164699
     /* 2164699 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2164790), // Rule ID 18313 //
     /* 2164704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164750 */     // MIs[0] round
     /* 2164750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164753 */     // MIs[0] policy
     /* 2164753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164763 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2164766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164789 */     // GIR_Coverage, 18313,
     /* 2164789 */     GIR_EraseRootFromParent_Done,
     /* 2164790 */   // Label 28513: @2164790
     /* 2164790 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2164881), // Rule ID 18314 //
     /* 2164795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164841 */     // MIs[0] round
     /* 2164841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164844 */     // MIs[0] policy
     /* 2164844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164854 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2164857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164880 */     // GIR_Coverage, 18314,
     /* 2164880 */     GIR_EraseRootFromParent_Done,
     /* 2164881 */   // Label 28514: @2164881
     /* 2164881 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2164972), // Rule ID 18317 //
     /* 2164886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164932 */     // MIs[0] round
     /* 2164932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164935 */     // MIs[0] policy
     /* 2164935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164945 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2164948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164971 */     // GIR_Coverage, 18317,
     /* 2164971 */     GIR_EraseRootFromParent_Done,
     /* 2164972 */   // Label 28515: @2164972
     /* 2164972 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2165063), // Rule ID 18318 //
     /* 2164977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165023 */     // MIs[0] round
     /* 2165023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165026 */     // MIs[0] policy
     /* 2165026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165036 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2165039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165062 */     // GIR_Coverage, 18318,
     /* 2165062 */     GIR_EraseRootFromParent_Done,
     /* 2165063 */   // Label 28516: @2165063
     /* 2165063 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2165154), // Rule ID 18321 //
     /* 2165068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165114 */     // MIs[0] round
     /* 2165114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165117 */     // MIs[0] policy
     /* 2165117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165127 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165153 */     // GIR_Coverage, 18321,
     /* 2165153 */     GIR_EraseRootFromParent_Done,
     /* 2165154 */   // Label 28517: @2165154
     /* 2165154 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2165245), // Rule ID 18322 //
     /* 2165159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165205 */     // MIs[0] round
     /* 2165205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165208 */     // MIs[0] policy
     /* 2165208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165218 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165244 */     // GIR_Coverage, 18322,
     /* 2165244 */     GIR_EraseRootFromParent_Done,
     /* 2165245 */   // Label 28518: @2165245
     /* 2165245 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2165336), // Rule ID 18325 //
     /* 2165250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165296 */     // MIs[0] round
     /* 2165296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165299 */     // MIs[0] policy
     /* 2165299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165309 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165335 */     // GIR_Coverage, 18325,
     /* 2165335 */     GIR_EraseRootFromParent_Done,
     /* 2165336 */   // Label 28519: @2165336
     /* 2165336 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2165427), // Rule ID 18326 //
     /* 2165341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165387 */     // MIs[0] round
     /* 2165387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165390 */     // MIs[0] policy
     /* 2165390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165426 */     // GIR_Coverage, 18326,
     /* 2165426 */     GIR_EraseRootFromParent_Done,
     /* 2165427 */   // Label 28520: @2165427
     /* 2165427 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2165518), // Rule ID 18329 //
     /* 2165432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165478 */     // MIs[0] round
     /* 2165478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165481 */     // MIs[0] policy
     /* 2165481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165491 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165517 */     // GIR_Coverage, 18329,
     /* 2165517 */     GIR_EraseRootFromParent_Done,
     /* 2165518 */   // Label 28521: @2165518
     /* 2165518 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2165609), // Rule ID 18330 //
     /* 2165523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165569 */     // MIs[0] round
     /* 2165569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165572 */     // MIs[0] policy
     /* 2165572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165582 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165608 */     // GIR_Coverage, 18330,
     /* 2165608 */     GIR_EraseRootFromParent_Done,
     /* 2165609 */   // Label 28522: @2165609
     /* 2165609 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2165700), // Rule ID 18333 //
     /* 2165614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165660 */     // MIs[0] round
     /* 2165660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165663 */     // MIs[0] policy
     /* 2165663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165673 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2165676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165699 */     // GIR_Coverage, 18333,
     /* 2165699 */     GIR_EraseRootFromParent_Done,
     /* 2165700 */   // Label 28523: @2165700
     /* 2165700 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2165791), // Rule ID 18334 //
     /* 2165705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165751 */     // MIs[0] round
     /* 2165751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165754 */     // MIs[0] policy
     /* 2165754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165764 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2165767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165790 */     // GIR_Coverage, 18334,
     /* 2165790 */     GIR_EraseRootFromParent_Done,
     /* 2165791 */   // Label 28524: @2165791
     /* 2165791 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2165882), // Rule ID 18337 //
     /* 2165796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165842 */     // MIs[0] round
     /* 2165842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165845 */     // MIs[0] policy
     /* 2165845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165855 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2165858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165881 */     // GIR_Coverage, 18337,
     /* 2165881 */     GIR_EraseRootFromParent_Done,
     /* 2165882 */   // Label 28525: @2165882
     /* 2165882 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2165973), // Rule ID 18338 //
     /* 2165887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165933 */     // MIs[0] round
     /* 2165933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165936 */     // MIs[0] policy
     /* 2165936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165946 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2165949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165972 */     // GIR_Coverage, 18338,
     /* 2165972 */     GIR_EraseRootFromParent_Done,
     /* 2165973 */   // Label 28526: @2165973
     /* 2165973 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2166064), // Rule ID 18341 //
     /* 2165978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166024 */     // MIs[0] round
     /* 2166024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166027 */     // MIs[0] policy
     /* 2166027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166037 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2166040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166063 */     // GIR_Coverage, 18341,
     /* 2166063 */     GIR_EraseRootFromParent_Done,
     /* 2166064 */   // Label 28527: @2166064
     /* 2166064 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2166155), // Rule ID 18342 //
     /* 2166069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166115 */     // MIs[0] round
     /* 2166115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166118 */     // MIs[0] policy
     /* 2166118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2166131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166154 */     // GIR_Coverage, 18342,
     /* 2166154 */     GIR_EraseRootFromParent_Done,
     /* 2166155 */   // Label 28528: @2166155
     /* 2166155 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2166246), // Rule ID 18345 //
     /* 2166160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166206 */     // MIs[0] round
     /* 2166206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166209 */     // MIs[0] policy
     /* 2166209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166219 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166245 */     // GIR_Coverage, 18345,
     /* 2166245 */     GIR_EraseRootFromParent_Done,
     /* 2166246 */   // Label 28529: @2166246
     /* 2166246 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2166337), // Rule ID 18346 //
     /* 2166251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166297 */     // MIs[0] round
     /* 2166297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166300 */     // MIs[0] policy
     /* 2166300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166310 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166336 */     // GIR_Coverage, 18346,
     /* 2166336 */     GIR_EraseRootFromParent_Done,
     /* 2166337 */   // Label 28530: @2166337
     /* 2166337 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2166428), // Rule ID 18349 //
     /* 2166342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166388 */     // MIs[0] round
     /* 2166388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166391 */     // MIs[0] policy
     /* 2166391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166401 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166427 */     // GIR_Coverage, 18349,
     /* 2166427 */     GIR_EraseRootFromParent_Done,
     /* 2166428 */   // Label 28531: @2166428
     /* 2166428 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2166519), // Rule ID 18350 //
     /* 2166433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166479 */     // MIs[0] round
     /* 2166479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166482 */     // MIs[0] policy
     /* 2166482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166492 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166518 */     // GIR_Coverage, 18350,
     /* 2166518 */     GIR_EraseRootFromParent_Done,
     /* 2166519 */   // Label 28532: @2166519
     /* 2166519 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2166610), // Rule ID 18353 //
     /* 2166524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166570 */     // MIs[0] round
     /* 2166570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166573 */     // MIs[0] policy
     /* 2166573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166583 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2166586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166609 */     // GIR_Coverage, 18353,
     /* 2166609 */     GIR_EraseRootFromParent_Done,
     /* 2166610 */   // Label 28533: @2166610
     /* 2166610 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2166701), // Rule ID 18354 //
     /* 2166615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166661 */     // MIs[0] round
     /* 2166661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166664 */     // MIs[0] policy
     /* 2166664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166674 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2166677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166700 */     // GIR_Coverage, 18354,
     /* 2166700 */     GIR_EraseRootFromParent_Done,
     /* 2166701 */   // Label 28534: @2166701
     /* 2166701 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2166792), // Rule ID 18357 //
     /* 2166706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166752 */     // MIs[0] round
     /* 2166752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166755 */     // MIs[0] policy
     /* 2166755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166765 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2166768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166791 */     // GIR_Coverage, 18357,
     /* 2166791 */     GIR_EraseRootFromParent_Done,
     /* 2166792 */   // Label 28535: @2166792
     /* 2166792 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2166883), // Rule ID 18358 //
     /* 2166797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166843 */     // MIs[0] round
     /* 2166843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166846 */     // MIs[0] policy
     /* 2166846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2166859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166882 */     // GIR_Coverage, 18358,
     /* 2166882 */     GIR_EraseRootFromParent_Done,
     /* 2166883 */   // Label 28536: @2166883
     /* 2166883 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2166974), // Rule ID 18361 //
     /* 2166888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166934 */     // MIs[0] round
     /* 2166934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166937 */     // MIs[0] policy
     /* 2166937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166947 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2166950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166973 */     // GIR_Coverage, 18361,
     /* 2166973 */     GIR_EraseRootFromParent_Done,
     /* 2166974 */   // Label 28537: @2166974
     /* 2166974 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2167065), // Rule ID 18362 //
     /* 2166979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167025 */     // MIs[0] round
     /* 2167025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167028 */     // MIs[0] policy
     /* 2167028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167038 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2167041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167064 */     // GIR_Coverage, 18362,
     /* 2167064 */     GIR_EraseRootFromParent_Done,
     /* 2167065 */   // Label 28538: @2167065
     /* 2167065 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2167156), // Rule ID 18365 //
     /* 2167070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167116 */     // MIs[0] round
     /* 2167116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167119 */     // MIs[0] policy
     /* 2167119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167129 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167155 */     // GIR_Coverage, 18365,
     /* 2167155 */     GIR_EraseRootFromParent_Done,
     /* 2167156 */   // Label 28539: @2167156
     /* 2167156 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2167247), // Rule ID 18366 //
     /* 2167161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167207 */     // MIs[0] round
     /* 2167207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167210 */     // MIs[0] policy
     /* 2167210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167220 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167246 */     // GIR_Coverage, 18366,
     /* 2167246 */     GIR_EraseRootFromParent_Done,
     /* 2167247 */   // Label 28540: @2167247
     /* 2167247 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2167338), // Rule ID 18369 //
     /* 2167252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167298 */     // MIs[0] round
     /* 2167298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167301 */     // MIs[0] policy
     /* 2167301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167311 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167337 */     // GIR_Coverage, 18369,
     /* 2167337 */     GIR_EraseRootFromParent_Done,
     /* 2167338 */   // Label 28541: @2167338
     /* 2167338 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2167429), // Rule ID 18370 //
     /* 2167343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167389 */     // MIs[0] round
     /* 2167389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167392 */     // MIs[0] policy
     /* 2167392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167428 */     // GIR_Coverage, 18370,
     /* 2167428 */     GIR_EraseRootFromParent_Done,
     /* 2167429 */   // Label 28542: @2167429
     /* 2167429 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2167520), // Rule ID 18373 //
     /* 2167434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167480 */     // MIs[0] round
     /* 2167480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167483 */     // MIs[0] policy
     /* 2167483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167493 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167519 */     // GIR_Coverage, 18373,
     /* 2167519 */     GIR_EraseRootFromParent_Done,
     /* 2167520 */   // Label 28543: @2167520
     /* 2167520 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2167611), // Rule ID 18374 //
     /* 2167525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167571 */     // MIs[0] round
     /* 2167571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167574 */     // MIs[0] policy
     /* 2167574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167610 */     // GIR_Coverage, 18374,
     /* 2167610 */     GIR_EraseRootFromParent_Done,
     /* 2167611 */   // Label 28544: @2167611
     /* 2167611 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2167702), // Rule ID 18377 //
     /* 2167616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167662 */     // MIs[0] round
     /* 2167662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167665 */     // MIs[0] policy
     /* 2167665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167675 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2167678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167701 */     // GIR_Coverage, 18377,
     /* 2167701 */     GIR_EraseRootFromParent_Done,
     /* 2167702 */   // Label 28545: @2167702
     /* 2167702 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2167793), // Rule ID 18378 //
     /* 2167707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167753 */     // MIs[0] round
     /* 2167753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167756 */     // MIs[0] policy
     /* 2167756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167766 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2167769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167792 */     // GIR_Coverage, 18378,
     /* 2167792 */     GIR_EraseRootFromParent_Done,
     /* 2167793 */   // Label 28546: @2167793
     /* 2167793 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2167884), // Rule ID 18381 //
     /* 2167798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167844 */     // MIs[0] round
     /* 2167844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167847 */     // MIs[0] policy
     /* 2167847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167857 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2167860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167883 */     // GIR_Coverage, 18381,
     /* 2167883 */     GIR_EraseRootFromParent_Done,
     /* 2167884 */   // Label 28547: @2167884
     /* 2167884 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2167975), // Rule ID 18382 //
     /* 2167889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167935 */     // MIs[0] round
     /* 2167935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167938 */     // MIs[0] policy
     /* 2167938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167948 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2167951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167974 */     // GIR_Coverage, 18382,
     /* 2167974 */     GIR_EraseRootFromParent_Done,
     /* 2167975 */   // Label 28548: @2167975
     /* 2167975 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2168066), // Rule ID 18385 //
     /* 2167980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168026 */     // MIs[0] round
     /* 2168026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168029 */     // MIs[0] policy
     /* 2168029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168039 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2168042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168065 */     // GIR_Coverage, 18385,
     /* 2168065 */     GIR_EraseRootFromParent_Done,
     /* 2168066 */   // Label 28549: @2168066
     /* 2168066 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2168157), // Rule ID 18386 //
     /* 2168071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168117 */     // MIs[0] round
     /* 2168117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168120 */     // MIs[0] policy
     /* 2168120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168130 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2168133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168156 */     // GIR_Coverage, 18386,
     /* 2168156 */     GIR_EraseRootFromParent_Done,
     /* 2168157 */   // Label 28550: @2168157
     /* 2168157 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2168248), // Rule ID 18389 //
     /* 2168162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168208 */     // MIs[0] round
     /* 2168208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168211 */     // MIs[0] policy
     /* 2168211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168221 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168247 */     // GIR_Coverage, 18389,
     /* 2168247 */     GIR_EraseRootFromParent_Done,
     /* 2168248 */   // Label 28551: @2168248
     /* 2168248 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2168339), // Rule ID 18390 //
     /* 2168253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168299 */     // MIs[0] round
     /* 2168299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168302 */     // MIs[0] policy
     /* 2168302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168312 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168338 */     // GIR_Coverage, 18390,
     /* 2168338 */     GIR_EraseRootFromParent_Done,
     /* 2168339 */   // Label 28552: @2168339
     /* 2168339 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2168430), // Rule ID 18393 //
     /* 2168344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168390 */     // MIs[0] round
     /* 2168390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168393 */     // MIs[0] policy
     /* 2168393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168403 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168429 */     // GIR_Coverage, 18393,
     /* 2168429 */     GIR_EraseRootFromParent_Done,
     /* 2168430 */   // Label 28553: @2168430
     /* 2168430 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2168521), // Rule ID 18394 //
     /* 2168435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168481 */     // MIs[0] round
     /* 2168481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168484 */     // MIs[0] policy
     /* 2168484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168494 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168520 */     // GIR_Coverage, 18394,
     /* 2168520 */     GIR_EraseRootFromParent_Done,
     /* 2168521 */   // Label 28554: @2168521
     /* 2168521 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2168612), // Rule ID 18397 //
     /* 2168526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168572 */     // MIs[0] round
     /* 2168572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168575 */     // MIs[0] policy
     /* 2168575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168585 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2168588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168611 */     // GIR_Coverage, 18397,
     /* 2168611 */     GIR_EraseRootFromParent_Done,
     /* 2168612 */   // Label 28555: @2168612
     /* 2168612 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2168703), // Rule ID 18398 //
     /* 2168617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168663 */     // MIs[0] round
     /* 2168663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168666 */     // MIs[0] policy
     /* 2168666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168676 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2168679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168702 */     // GIR_Coverage, 18398,
     /* 2168702 */     GIR_EraseRootFromParent_Done,
     /* 2168703 */   // Label 28556: @2168703
     /* 2168703 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2168794), // Rule ID 18401 //
     /* 2168708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168754 */     // MIs[0] round
     /* 2168754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168757 */     // MIs[0] policy
     /* 2168757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168767 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2168770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168793 */     // GIR_Coverage, 18401,
     /* 2168793 */     GIR_EraseRootFromParent_Done,
     /* 2168794 */   // Label 28557: @2168794
     /* 2168794 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2168885), // Rule ID 18402 //
     /* 2168799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168845 */     // MIs[0] round
     /* 2168845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168848 */     // MIs[0] policy
     /* 2168848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168858 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2168861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168884 */     // GIR_Coverage, 18402,
     /* 2168884 */     GIR_EraseRootFromParent_Done,
     /* 2168885 */   // Label 28558: @2168885
     /* 2168885 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2168976), // Rule ID 18405 //
     /* 2168890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168936 */     // MIs[0] round
     /* 2168936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168939 */     // MIs[0] policy
     /* 2168939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168949 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2168952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168975 */     // GIR_Coverage, 18405,
     /* 2168975 */     GIR_EraseRootFromParent_Done,
     /* 2168976 */   // Label 28559: @2168976
     /* 2168976 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2169067), // Rule ID 18406 //
     /* 2168981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2169001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169027 */     // MIs[0] round
     /* 2169027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169030 */     // MIs[0] policy
     /* 2169030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169040 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2169043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169066 */     // GIR_Coverage, 18406,
     /* 2169066 */     GIR_EraseRootFromParent_Done,
     /* 2169067 */   // Label 28560: @2169067
     /* 2169067 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2169158), // Rule ID 18409 //
     /* 2169072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169118 */     // MIs[0] round
     /* 2169118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169121 */     // MIs[0] policy
     /* 2169121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169131 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169157 */     // GIR_Coverage, 18409,
     /* 2169157 */     GIR_EraseRootFromParent_Done,
     /* 2169158 */   // Label 28561: @2169158
     /* 2169158 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2169249), // Rule ID 18410 //
     /* 2169163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169209 */     // MIs[0] round
     /* 2169209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169212 */     // MIs[0] policy
     /* 2169212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169222 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169248 */     // GIR_Coverage, 18410,
     /* 2169248 */     GIR_EraseRootFromParent_Done,
     /* 2169249 */   // Label 28562: @2169249
     /* 2169249 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2169340), // Rule ID 18413 //
     /* 2169254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169300 */     // MIs[0] round
     /* 2169300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169303 */     // MIs[0] policy
     /* 2169303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169313 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169339 */     // GIR_Coverage, 18413,
     /* 2169339 */     GIR_EraseRootFromParent_Done,
     /* 2169340 */   // Label 28563: @2169340
     /* 2169340 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2169431), // Rule ID 18414 //
     /* 2169345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169391 */     // MIs[0] round
     /* 2169391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169394 */     // MIs[0] policy
     /* 2169394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169404 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169430 */     // GIR_Coverage, 18414,
     /* 2169430 */     GIR_EraseRootFromParent_Done,
     /* 2169431 */   // Label 28564: @2169431
     /* 2169431 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2169522), // Rule ID 18417 //
     /* 2169436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169482 */     // MIs[0] round
     /* 2169482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169485 */     // MIs[0] policy
     /* 2169485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169495 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169521 */     // GIR_Coverage, 18417,
     /* 2169521 */     GIR_EraseRootFromParent_Done,
     /* 2169522 */   // Label 28565: @2169522
     /* 2169522 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2169613), // Rule ID 18418 //
     /* 2169527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169573 */     // MIs[0] round
     /* 2169573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169576 */     // MIs[0] policy
     /* 2169576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169586 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169612 */     // GIR_Coverage, 18418,
     /* 2169612 */     GIR_EraseRootFromParent_Done,
     /* 2169613 */   // Label 28566: @2169613
     /* 2169613 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2169704), // Rule ID 18421 //
     /* 2169618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169664 */     // MIs[0] round
     /* 2169664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169667 */     // MIs[0] policy
     /* 2169667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2169680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169703 */     // GIR_Coverage, 18421,
     /* 2169703 */     GIR_EraseRootFromParent_Done,
     /* 2169704 */   // Label 28567: @2169704
     /* 2169704 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2169795), // Rule ID 18422 //
     /* 2169709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169755 */     // MIs[0] round
     /* 2169755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169758 */     // MIs[0] policy
     /* 2169758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169768 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2169771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169794 */     // GIR_Coverage, 18422,
     /* 2169794 */     GIR_EraseRootFromParent_Done,
     /* 2169795 */   // Label 28568: @2169795
     /* 2169795 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2169886), // Rule ID 18425 //
     /* 2169800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169846 */     // MIs[0] round
     /* 2169846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169849 */     // MIs[0] policy
     /* 2169849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169859 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2169862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169885 */     // GIR_Coverage, 18425,
     /* 2169885 */     GIR_EraseRootFromParent_Done,
     /* 2169886 */   // Label 28569: @2169886
     /* 2169886 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2169977), // Rule ID 18426 //
     /* 2169891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169937 */     // MIs[0] round
     /* 2169937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169940 */     // MIs[0] policy
     /* 2169940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169950 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2169953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169976 */     // GIR_Coverage, 18426,
     /* 2169976 */     GIR_EraseRootFromParent_Done,
     /* 2169977 */   // Label 28570: @2169977
     /* 2169977 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2170068), // Rule ID 18429 //
     /* 2169982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170028 */     // MIs[0] round
     /* 2170028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170031 */     // MIs[0] policy
     /* 2170031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170041 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2170044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170067 */     // GIR_Coverage, 18429,
     /* 2170067 */     GIR_EraseRootFromParent_Done,
     /* 2170068 */   // Label 28571: @2170068
     /* 2170068 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2170159), // Rule ID 18430 //
     /* 2170073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170119 */     // MIs[0] round
     /* 2170119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170122 */     // MIs[0] policy
     /* 2170122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2170135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170158 */     // GIR_Coverage, 18430,
     /* 2170158 */     GIR_EraseRootFromParent_Done,
     /* 2170159 */   // Label 28572: @2170159
     /* 2170159 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2170250), // Rule ID 18433 //
     /* 2170164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170210 */     // MIs[0] round
     /* 2170210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170213 */     // MIs[0] policy
     /* 2170213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170223 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170249 */     // GIR_Coverage, 18433,
     /* 2170249 */     GIR_EraseRootFromParent_Done,
     /* 2170250 */   // Label 28573: @2170250
     /* 2170250 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2170341), // Rule ID 18434 //
     /* 2170255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170301 */     // MIs[0] round
     /* 2170301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170304 */     // MIs[0] policy
     /* 2170304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170314 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170340 */     // GIR_Coverage, 18434,
     /* 2170340 */     GIR_EraseRootFromParent_Done,
     /* 2170341 */   // Label 28574: @2170341
     /* 2170341 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2170432), // Rule ID 18437 //
     /* 2170346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170392 */     // MIs[0] round
     /* 2170392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170395 */     // MIs[0] policy
     /* 2170395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170405 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170431 */     // GIR_Coverage, 18437,
     /* 2170431 */     GIR_EraseRootFromParent_Done,
     /* 2170432 */   // Label 28575: @2170432
     /* 2170432 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2170523), // Rule ID 18438 //
     /* 2170437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170483 */     // MIs[0] round
     /* 2170483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170486 */     // MIs[0] policy
     /* 2170486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170496 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170522 */     // GIR_Coverage, 18438,
     /* 2170522 */     GIR_EraseRootFromParent_Done,
     /* 2170523 */   // Label 28576: @2170523
     /* 2170523 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2170614), // Rule ID 18441 //
     /* 2170528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170574 */     // MIs[0] round
     /* 2170574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170577 */     // MIs[0] policy
     /* 2170577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170587 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2170590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170613 */     // GIR_Coverage, 18441,
     /* 2170613 */     GIR_EraseRootFromParent_Done,
     /* 2170614 */   // Label 28577: @2170614
     /* 2170614 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2170705), // Rule ID 18442 //
     /* 2170619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170665 */     // MIs[0] round
     /* 2170665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170668 */     // MIs[0] policy
     /* 2170668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170678 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2170681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170704 */     // GIR_Coverage, 18442,
     /* 2170704 */     GIR_EraseRootFromParent_Done,
     /* 2170705 */   // Label 28578: @2170705
     /* 2170705 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2170796), // Rule ID 18445 //
     /* 2170710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170756 */     // MIs[0] round
     /* 2170756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170759 */     // MIs[0] policy
     /* 2170759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170769 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2170772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170795 */     // GIR_Coverage, 18445,
     /* 2170795 */     GIR_EraseRootFromParent_Done,
     /* 2170796 */   // Label 28579: @2170796
     /* 2170796 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2170887), // Rule ID 18446 //
     /* 2170801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170847 */     // MIs[0] round
     /* 2170847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170850 */     // MIs[0] policy
     /* 2170850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2170863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170886 */     // GIR_Coverage, 18446,
     /* 2170886 */     GIR_EraseRootFromParent_Done,
     /* 2170887 */   // Label 28580: @2170887
     /* 2170887 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2170978), // Rule ID 18449 //
     /* 2170892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170938 */     // MIs[0] round
     /* 2170938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170941 */     // MIs[0] policy
     /* 2170941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170951 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2170954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170977 */     // GIR_Coverage, 18449,
     /* 2170977 */     GIR_EraseRootFromParent_Done,
     /* 2170978 */   // Label 28581: @2170978
     /* 2170978 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2171069), // Rule ID 18450 //
     /* 2170983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2171003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171029 */     // MIs[0] round
     /* 2171029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171032 */     // MIs[0] policy
     /* 2171032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2171045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171068 */     // GIR_Coverage, 18450,
     /* 2171068 */     GIR_EraseRootFromParent_Done,
     /* 2171069 */   // Label 28582: @2171069
     /* 2171069 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2171160), // Rule ID 18453 //
     /* 2171074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171120 */     // MIs[0] round
     /* 2171120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171123 */     // MIs[0] policy
     /* 2171123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171133 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171159 */     // GIR_Coverage, 18453,
     /* 2171159 */     GIR_EraseRootFromParent_Done,
     /* 2171160 */   // Label 28583: @2171160
     /* 2171160 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2171251), // Rule ID 18454 //
     /* 2171165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171211 */     // MIs[0] round
     /* 2171211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171214 */     // MIs[0] policy
     /* 2171214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171224 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171250 */     // GIR_Coverage, 18454,
     /* 2171250 */     GIR_EraseRootFromParent_Done,
     /* 2171251 */   // Label 28584: @2171251
     /* 2171251 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2171342), // Rule ID 18457 //
     /* 2171256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171302 */     // MIs[0] round
     /* 2171302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171305 */     // MIs[0] policy
     /* 2171305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171315 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171341 */     // GIR_Coverage, 18457,
     /* 2171341 */     GIR_EraseRootFromParent_Done,
     /* 2171342 */   // Label 28585: @2171342
     /* 2171342 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2171433), // Rule ID 18458 //
     /* 2171347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171393 */     // MIs[0] round
     /* 2171393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171396 */     // MIs[0] policy
     /* 2171396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171406 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171432 */     // GIR_Coverage, 18458,
     /* 2171432 */     GIR_EraseRootFromParent_Done,
     /* 2171433 */   // Label 28586: @2171433
     /* 2171433 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2171524), // Rule ID 18461 //
     /* 2171438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171484 */     // MIs[0] round
     /* 2171484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171487 */     // MIs[0] policy
     /* 2171487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171497 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171523 */     // GIR_Coverage, 18461,
     /* 2171523 */     GIR_EraseRootFromParent_Done,
     /* 2171524 */   // Label 28587: @2171524
     /* 2171524 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2171615), // Rule ID 18462 //
     /* 2171529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171575 */     // MIs[0] round
     /* 2171575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171578 */     // MIs[0] policy
     /* 2171578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171588 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171614 */     // GIR_Coverage, 18462,
     /* 2171614 */     GIR_EraseRootFromParent_Done,
     /* 2171615 */   // Label 28588: @2171615
     /* 2171615 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2171706), // Rule ID 18465 //
     /* 2171620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171666 */     // MIs[0] round
     /* 2171666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171669 */     // MIs[0] policy
     /* 2171669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171679 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2171682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171705 */     // GIR_Coverage, 18465,
     /* 2171705 */     GIR_EraseRootFromParent_Done,
     /* 2171706 */   // Label 28589: @2171706
     /* 2171706 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2171797), // Rule ID 18466 //
     /* 2171711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171757 */     // MIs[0] round
     /* 2171757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171760 */     // MIs[0] policy
     /* 2171760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171770 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2171773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171796 */     // GIR_Coverage, 18466,
     /* 2171796 */     GIR_EraseRootFromParent_Done,
     /* 2171797 */   // Label 28590: @2171797
     /* 2171797 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2171888), // Rule ID 18469 //
     /* 2171802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2171813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2171816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171848 */     // MIs[0] round
     /* 2171848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171851 */     // MIs[0] policy
     /* 2171851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171861 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2171864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171887 */     // GIR_Coverage, 18469,
     /* 2171887 */     GIR_EraseRootFromParent_Done,
     /* 2171888 */   // Label 28591: @2171888
     /* 2171888 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2171979), // Rule ID 18470 //
     /* 2171893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2171904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2171907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171939 */     // MIs[0] round
     /* 2171939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171942 */     // MIs[0] policy
     /* 2171942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2171955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171978 */     // GIR_Coverage, 18470,
     /* 2171978 */     GIR_EraseRootFromParent_Done,
     /* 2171979 */   // Label 28592: @2171979
     /* 2171979 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2172070), // Rule ID 18473 //
     /* 2171984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2171995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2171998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172030 */     // MIs[0] round
     /* 2172030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172033 */     // MIs[0] policy
     /* 2172033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172043 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2172046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172069 */     // GIR_Coverage, 18473,
     /* 2172069 */     GIR_EraseRootFromParent_Done,
     /* 2172070 */   // Label 28593: @2172070
     /* 2172070 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2172161), // Rule ID 18474 //
     /* 2172075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172121 */     // MIs[0] round
     /* 2172121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172124 */     // MIs[0] policy
     /* 2172124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172134 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2172137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172160 */     // GIR_Coverage, 18474,
     /* 2172160 */     GIR_EraseRootFromParent_Done,
     /* 2172161 */   // Label 28594: @2172161
     /* 2172161 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2172252), // Rule ID 18477 //
     /* 2172166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172212 */     // MIs[0] round
     /* 2172212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172215 */     // MIs[0] policy
     /* 2172215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172225 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172251 */     // GIR_Coverage, 18477,
     /* 2172251 */     GIR_EraseRootFromParent_Done,
     /* 2172252 */   // Label 28595: @2172252
     /* 2172252 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2172343), // Rule ID 18478 //
     /* 2172257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172303 */     // MIs[0] round
     /* 2172303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172306 */     // MIs[0] policy
     /* 2172306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172316 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172342 */     // GIR_Coverage, 18478,
     /* 2172342 */     GIR_EraseRootFromParent_Done,
     /* 2172343 */   // Label 28596: @2172343
     /* 2172343 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2172434), // Rule ID 18481 //
     /* 2172348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172394 */     // MIs[0] round
     /* 2172394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172397 */     // MIs[0] policy
     /* 2172397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172407 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172433 */     // GIR_Coverage, 18481,
     /* 2172433 */     GIR_EraseRootFromParent_Done,
     /* 2172434 */   // Label 28597: @2172434
     /* 2172434 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2172525), // Rule ID 18482 //
     /* 2172439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172485 */     // MIs[0] round
     /* 2172485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172488 */     // MIs[0] policy
     /* 2172488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172498 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172524 */     // GIR_Coverage, 18482,
     /* 2172524 */     GIR_EraseRootFromParent_Done,
     /* 2172525 */   // Label 28598: @2172525
     /* 2172525 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2172616), // Rule ID 18485 //
     /* 2172530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172576 */     // MIs[0] round
     /* 2172576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172579 */     // MIs[0] policy
     /* 2172579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2172592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172615 */     // GIR_Coverage, 18485,
     /* 2172615 */     GIR_EraseRootFromParent_Done,
     /* 2172616 */   // Label 28599: @2172616
     /* 2172616 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2172707), // Rule ID 18486 //
     /* 2172621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172667 */     // MIs[0] round
     /* 2172667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172670 */     // MIs[0] policy
     /* 2172670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172680 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2172683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172706 */     // GIR_Coverage, 18486,
     /* 2172706 */     GIR_EraseRootFromParent_Done,
     /* 2172707 */   // Label 28600: @2172707
     /* 2172707 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2172798), // Rule ID 18489 //
     /* 2172712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2172729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2172732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172758 */     // MIs[0] round
     /* 2172758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172761 */     // MIs[0] policy
     /* 2172761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172771 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2172774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172797 */     // GIR_Coverage, 18489,
     /* 2172797 */     GIR_EraseRootFromParent_Done,
     /* 2172798 */   // Label 28601: @2172798
     /* 2172798 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2172889), // Rule ID 18490 //
     /* 2172803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2172820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2172823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172849 */     // MIs[0] round
     /* 2172849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172852 */     // MIs[0] policy
     /* 2172852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172862 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2172865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172888 */     // GIR_Coverage, 18490,
     /* 2172888 */     GIR_EraseRootFromParent_Done,
     /* 2172889 */   // Label 28602: @2172889
     /* 2172889 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2172980), // Rule ID 18493 //
     /* 2172894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2172905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2172908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2172914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172940 */     // MIs[0] round
     /* 2172940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172943 */     // MIs[0] policy
     /* 2172943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172953 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2172956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172979 */     // GIR_Coverage, 18493,
     /* 2172979 */     GIR_EraseRootFromParent_Done,
     /* 2172980 */   // Label 28603: @2172980
     /* 2172980 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2173071), // Rule ID 18494 //
     /* 2172985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2172996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2172999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2173002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173031 */     // MIs[0] round
     /* 2173031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173034 */     // MIs[0] policy
     /* 2173034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173044 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2173047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173070 */     // GIR_Coverage, 18494,
     /* 2173070 */     GIR_EraseRootFromParent_Done,
     /* 2173071 */   // Label 28604: @2173071
     /* 2173071 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2173162), // Rule ID 18497 //
     /* 2173076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173122 */     // MIs[0] round
     /* 2173122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173125 */     // MIs[0] policy
     /* 2173125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173135 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173161 */     // GIR_Coverage, 18497,
     /* 2173161 */     GIR_EraseRootFromParent_Done,
     /* 2173162 */   // Label 28605: @2173162
     /* 2173162 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2173253), // Rule ID 18498 //
     /* 2173167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173213 */     // MIs[0] round
     /* 2173213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173216 */     // MIs[0] policy
     /* 2173216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173226 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173252 */     // GIR_Coverage, 18498,
     /* 2173252 */     GIR_EraseRootFromParent_Done,
     /* 2173253 */   // Label 28606: @2173253
     /* 2173253 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2173344), // Rule ID 18501 //
     /* 2173258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173304 */     // MIs[0] round
     /* 2173304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173307 */     // MIs[0] policy
     /* 2173307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173317 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173343 */     // GIR_Coverage, 18501,
     /* 2173343 */     GIR_EraseRootFromParent_Done,
     /* 2173344 */   // Label 28607: @2173344
     /* 2173344 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2173435), // Rule ID 18502 //
     /* 2173349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173395 */     // MIs[0] round
     /* 2173395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173398 */     // MIs[0] policy
     /* 2173398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173408 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173434 */     // GIR_Coverage, 18502,
     /* 2173434 */     GIR_EraseRootFromParent_Done,
     /* 2173435 */   // Label 28608: @2173435
     /* 2173435 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2173526), // Rule ID 18505 //
     /* 2173440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173486 */     // MIs[0] round
     /* 2173486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173489 */     // MIs[0] policy
     /* 2173489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173499 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173525 */     // GIR_Coverage, 18505,
     /* 2173525 */     GIR_EraseRootFromParent_Done,
     /* 2173526 */   // Label 28609: @2173526
     /* 2173526 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2173617), // Rule ID 18506 //
     /* 2173531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173577 */     // MIs[0] round
     /* 2173577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173580 */     // MIs[0] policy
     /* 2173580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173616 */     // GIR_Coverage, 18506,
     /* 2173616 */     GIR_EraseRootFromParent_Done,
     /* 2173617 */   // Label 28610: @2173617
     /* 2173617 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2173708), // Rule ID 18509 //
     /* 2173622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2173642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173668 */     // MIs[0] round
     /* 2173668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173671 */     // MIs[0] policy
     /* 2173671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173681 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2173684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173707 */     // GIR_Coverage, 18509,
     /* 2173707 */     GIR_EraseRootFromParent_Done,
     /* 2173708 */   // Label 28611: @2173708
     /* 2173708 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2173799), // Rule ID 18510 //
     /* 2173713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2173733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173759 */     // MIs[0] round
     /* 2173759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173762 */     // MIs[0] policy
     /* 2173762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173772 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2173775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173798 */     // GIR_Coverage, 18510,
     /* 2173798 */     GIR_EraseRootFromParent_Done,
     /* 2173799 */   // Label 28612: @2173799
     /* 2173799 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2173890), // Rule ID 18513 //
     /* 2173804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2173824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173850 */     // MIs[0] round
     /* 2173850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173853 */     // MIs[0] policy
     /* 2173853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173863 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2173866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173889 */     // GIR_Coverage, 18513,
     /* 2173889 */     GIR_EraseRootFromParent_Done,
     /* 2173890 */   // Label 28613: @2173890
     /* 2173890 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2173981), // Rule ID 18514 //
     /* 2173895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2173915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173941 */     // MIs[0] round
     /* 2173941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173944 */     // MIs[0] policy
     /* 2173944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173954 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2173957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173980 */     // GIR_Coverage, 18514,
     /* 2173980 */     GIR_EraseRootFromParent_Done,
     /* 2173981 */   // Label 28614: @2173981
     /* 2173981 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2174072), // Rule ID 18517 //
     /* 2173986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2173997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174032 */     // MIs[0] round
     /* 2174032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174035 */     // MIs[0] policy
     /* 2174035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174045 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2174048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174071 */     // GIR_Coverage, 18517,
     /* 2174071 */     GIR_EraseRootFromParent_Done,
     /* 2174072 */   // Label 28615: @2174072
     /* 2174072 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2174163), // Rule ID 18518 //
     /* 2174077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174123 */     // MIs[0] round
     /* 2174123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174126 */     // MIs[0] policy
     /* 2174126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174136 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2174139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174162 */     // GIR_Coverage, 18518,
     /* 2174162 */     GIR_EraseRootFromParent_Done,
     /* 2174163 */   // Label 28616: @2174163
     /* 2174163 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2174254), // Rule ID 18521 //
     /* 2174168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174214 */     // MIs[0] round
     /* 2174214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174217 */     // MIs[0] policy
     /* 2174217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174227 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174253 */     // GIR_Coverage, 18521,
     /* 2174253 */     GIR_EraseRootFromParent_Done,
     /* 2174254 */   // Label 28617: @2174254
     /* 2174254 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2174345), // Rule ID 18522 //
     /* 2174259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174305 */     // MIs[0] round
     /* 2174305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174308 */     // MIs[0] policy
     /* 2174308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174318 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174344 */     // GIR_Coverage, 18522,
     /* 2174344 */     GIR_EraseRootFromParent_Done,
     /* 2174345 */   // Label 28618: @2174345
     /* 2174345 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2174436), // Rule ID 18525 //
     /* 2174350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174396 */     // MIs[0] round
     /* 2174396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174399 */     // MIs[0] policy
     /* 2174399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174409 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174435 */     // GIR_Coverage, 18525,
     /* 2174435 */     GIR_EraseRootFromParent_Done,
     /* 2174436 */   // Label 28619: @2174436
     /* 2174436 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2174527), // Rule ID 18526 //
     /* 2174441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174487 */     // MIs[0] round
     /* 2174487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174490 */     // MIs[0] policy
     /* 2174490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174500 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174526 */     // GIR_Coverage, 18526,
     /* 2174526 */     GIR_EraseRootFromParent_Done,
     /* 2174527 */   // Label 28620: @2174527
     /* 2174527 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2174618), // Rule ID 18529 //
     /* 2174532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174578 */     // MIs[0] round
     /* 2174578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174581 */     // MIs[0] policy
     /* 2174581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174591 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2174594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174617 */     // GIR_Coverage, 18529,
     /* 2174617 */     GIR_EraseRootFromParent_Done,
     /* 2174618 */   // Label 28621: @2174618
     /* 2174618 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2174709), // Rule ID 18530 //
     /* 2174623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174669 */     // MIs[0] round
     /* 2174669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174672 */     // MIs[0] policy
     /* 2174672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174682 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2174685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174708 */     // GIR_Coverage, 18530,
     /* 2174708 */     GIR_EraseRootFromParent_Done,
     /* 2174709 */   // Label 28622: @2174709
     /* 2174709 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2174800), // Rule ID 18533 //
     /* 2174714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2174725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2174728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174760 */     // MIs[0] round
     /* 2174760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174763 */     // MIs[0] policy
     /* 2174763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174773 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2174776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174799 */     // GIR_Coverage, 18533,
     /* 2174799 */     GIR_EraseRootFromParent_Done,
     /* 2174800 */   // Label 28623: @2174800
     /* 2174800 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2174891), // Rule ID 18534 //
     /* 2174805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2174816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2174819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174851 */     // MIs[0] round
     /* 2174851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174854 */     // MIs[0] policy
     /* 2174854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174864 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2174867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174890 */     // GIR_Coverage, 18534,
     /* 2174890 */     GIR_EraseRootFromParent_Done,
     /* 2174891 */   // Label 28624: @2174891
     /* 2174891 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2174982), // Rule ID 18537 //
     /* 2174896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2174916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174942 */     // MIs[0] round
     /* 2174942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174945 */     // MIs[0] policy
     /* 2174945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174955 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2174958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174981 */     // GIR_Coverage, 18537,
     /* 2174981 */     GIR_EraseRootFromParent_Done,
     /* 2174982 */   // Label 28625: @2174982
     /* 2174982 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2175073), // Rule ID 18538 //
     /* 2174987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2175001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175033 */     // MIs[0] round
     /* 2175033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175036 */     // MIs[0] policy
     /* 2175036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175046 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2175049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175072 */     // GIR_Coverage, 18538,
     /* 2175072 */     GIR_EraseRootFromParent_Done,
     /* 2175073 */   // Label 28626: @2175073
     /* 2175073 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2175164), // Rule ID 18541 //
     /* 2175078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175124 */     // MIs[0] round
     /* 2175124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175127 */     // MIs[0] policy
     /* 2175127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175137 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175163 */     // GIR_Coverage, 18541,
     /* 2175163 */     GIR_EraseRootFromParent_Done,
     /* 2175164 */   // Label 28627: @2175164
     /* 2175164 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2175255), // Rule ID 18542 //
     /* 2175169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175215 */     // MIs[0] round
     /* 2175215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175218 */     // MIs[0] policy
     /* 2175218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175254 */     // GIR_Coverage, 18542,
     /* 2175254 */     GIR_EraseRootFromParent_Done,
     /* 2175255 */   // Label 28628: @2175255
     /* 2175255 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2175346), // Rule ID 18545 //
     /* 2175260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175306 */     // MIs[0] round
     /* 2175306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175309 */     // MIs[0] policy
     /* 2175309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175319 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175345 */     // GIR_Coverage, 18545,
     /* 2175345 */     GIR_EraseRootFromParent_Done,
     /* 2175346 */   // Label 28629: @2175346
     /* 2175346 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2175437), // Rule ID 18546 //
     /* 2175351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175397 */     // MIs[0] round
     /* 2175397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175400 */     // MIs[0] policy
     /* 2175400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175436 */     // GIR_Coverage, 18546,
     /* 2175436 */     GIR_EraseRootFromParent_Done,
     /* 2175437 */   // Label 28630: @2175437
     /* 2175437 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2175528), // Rule ID 18549 //
     /* 2175442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175488 */     // MIs[0] round
     /* 2175488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175491 */     // MIs[0] policy
     /* 2175491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175501 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175527 */     // GIR_Coverage, 18549,
     /* 2175527 */     GIR_EraseRootFromParent_Done,
     /* 2175528 */   // Label 28631: @2175528
     /* 2175528 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2175619), // Rule ID 18550 //
     /* 2175533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175579 */     // MIs[0] round
     /* 2175579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175582 */     // MIs[0] policy
     /* 2175582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175592 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175618 */     // GIR_Coverage, 18550,
     /* 2175618 */     GIR_EraseRootFromParent_Done,
     /* 2175619 */   // Label 28632: @2175619
     /* 2175619 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2175710), // Rule ID 18553 //
     /* 2175624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2175635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2175638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175670 */     // MIs[0] round
     /* 2175670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175673 */     // MIs[0] policy
     /* 2175673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2175686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175709 */     // GIR_Coverage, 18553,
     /* 2175709 */     GIR_EraseRootFromParent_Done,
     /* 2175710 */   // Label 28633: @2175710
     /* 2175710 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2175801), // Rule ID 18554 //
     /* 2175715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2175726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2175729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175761 */     // MIs[0] round
     /* 2175761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175764 */     // MIs[0] policy
     /* 2175764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175774 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2175777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175800 */     // GIR_Coverage, 18554,
     /* 2175800 */     GIR_EraseRootFromParent_Done,
     /* 2175801 */   // Label 28634: @2175801
     /* 2175801 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2175892), // Rule ID 18557 //
     /* 2175806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2175817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2175820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175852 */     // MIs[0] round
     /* 2175852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175855 */     // MIs[0] policy
     /* 2175855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175865 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2175868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175891 */     // GIR_Coverage, 18557,
     /* 2175891 */     GIR_EraseRootFromParent_Done,
     /* 2175892 */   // Label 28635: @2175892
     /* 2175892 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2175983), // Rule ID 18558 //
     /* 2175897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2175908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2175911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175943 */     // MIs[0] round
     /* 2175943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175946 */     // MIs[0] policy
     /* 2175946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175956 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2175959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175982 */     // GIR_Coverage, 18558,
     /* 2175982 */     GIR_EraseRootFromParent_Done,
     /* 2175983 */   // Label 28636: @2175983
     /* 2175983 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2176074), // Rule ID 18561 //
     /* 2175988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2175999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176034 */     // MIs[0] round
     /* 2176034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176037 */     // MIs[0] policy
     /* 2176037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176047 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2176050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176073 */     // GIR_Coverage, 18561,
     /* 2176073 */     GIR_EraseRootFromParent_Done,
     /* 2176074 */   // Label 28637: @2176074
     /* 2176074 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2176165), // Rule ID 18562 //
     /* 2176079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176125 */     // MIs[0] round
     /* 2176125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176128 */     // MIs[0] policy
     /* 2176128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176138 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2176141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176164 */     // GIR_Coverage, 18562,
     /* 2176164 */     GIR_EraseRootFromParent_Done,
     /* 2176165 */   // Label 28638: @2176165
     /* 2176165 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2176256), // Rule ID 18565 //
     /* 2176170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176216 */     // MIs[0] round
     /* 2176216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176219 */     // MIs[0] policy
     /* 2176219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176229 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176255 */     // GIR_Coverage, 18565,
     /* 2176255 */     GIR_EraseRootFromParent_Done,
     /* 2176256 */   // Label 28639: @2176256
     /* 2176256 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2176347), // Rule ID 18566 //
     /* 2176261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176307 */     // MIs[0] round
     /* 2176307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176310 */     // MIs[0] policy
     /* 2176310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176346 */     // GIR_Coverage, 18566,
     /* 2176346 */     GIR_EraseRootFromParent_Done,
     /* 2176347 */   // Label 28640: @2176347
     /* 2176347 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2176438), // Rule ID 18569 //
     /* 2176352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176398 */     // MIs[0] round
     /* 2176398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176401 */     // MIs[0] policy
     /* 2176401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176411 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176437 */     // GIR_Coverage, 18569,
     /* 2176437 */     GIR_EraseRootFromParent_Done,
     /* 2176438 */   // Label 28641: @2176438
     /* 2176438 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2176529), // Rule ID 18570 //
     /* 2176443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176489 */     // MIs[0] round
     /* 2176489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176492 */     // MIs[0] policy
     /* 2176492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176502 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176528 */     // GIR_Coverage, 18570,
     /* 2176528 */     GIR_EraseRootFromParent_Done,
     /* 2176529 */   // Label 28642: @2176529
     /* 2176529 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2176620), // Rule ID 18573 //
     /* 2176534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176580 */     // MIs[0] round
     /* 2176580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176583 */     // MIs[0] policy
     /* 2176583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176593 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2176596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176619 */     // GIR_Coverage, 18573,
     /* 2176619 */     GIR_EraseRootFromParent_Done,
     /* 2176620 */   // Label 28643: @2176620
     /* 2176620 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2176711), // Rule ID 18574 //
     /* 2176625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176671 */     // MIs[0] round
     /* 2176671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176674 */     // MIs[0] policy
     /* 2176674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176684 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2176687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176710 */     // GIR_Coverage, 18574,
     /* 2176710 */     GIR_EraseRootFromParent_Done,
     /* 2176711 */   // Label 28644: @2176711
     /* 2176711 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2176802), // Rule ID 18577 //
     /* 2176716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2176727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2176730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2176736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176762 */     // MIs[0] round
     /* 2176762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176765 */     // MIs[0] policy
     /* 2176765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176775 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2176778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176801 */     // GIR_Coverage, 18577,
     /* 2176801 */     GIR_EraseRootFromParent_Done,
     /* 2176802 */   // Label 28645: @2176802
     /* 2176802 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2176893), // Rule ID 18578 //
     /* 2176807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2176818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2176821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2176827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176853 */     // MIs[0] round
     /* 2176853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176856 */     // MIs[0] policy
     /* 2176856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176866 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2176869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176892 */     // GIR_Coverage, 18578,
     /* 2176892 */     GIR_EraseRootFromParent_Done,
     /* 2176893 */   // Label 28646: @2176893
     /* 2176893 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2176984), // Rule ID 18581 //
     /* 2176898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2176909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2176912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2176918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176944 */     // MIs[0] round
     /* 2176944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176947 */     // MIs[0] policy
     /* 2176947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176957 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2176960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176983 */     // GIR_Coverage, 18581,
     /* 2176983 */     GIR_EraseRootFromParent_Done,
     /* 2176984 */   // Label 28647: @2176984
     /* 2176984 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2177075), // Rule ID 18582 //
     /* 2176989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2177009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177035 */     // MIs[0] round
     /* 2177035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177038 */     // MIs[0] policy
     /* 2177038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177048 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2177051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177074 */     // GIR_Coverage, 18582,
     /* 2177074 */     GIR_EraseRootFromParent_Done,
     /* 2177075 */   // Label 28648: @2177075
     /* 2177075 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2177166), // Rule ID 18585 //
     /* 2177080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177126 */     // MIs[0] round
     /* 2177126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177129 */     // MIs[0] policy
     /* 2177129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177139 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177165 */     // GIR_Coverage, 18585,
     /* 2177165 */     GIR_EraseRootFromParent_Done,
     /* 2177166 */   // Label 28649: @2177166
     /* 2177166 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2177257), // Rule ID 18586 //
     /* 2177171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177217 */     // MIs[0] round
     /* 2177217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177220 */     // MIs[0] policy
     /* 2177220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177230 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177256 */     // GIR_Coverage, 18586,
     /* 2177256 */     GIR_EraseRootFromParent_Done,
     /* 2177257 */   // Label 28650: @2177257
     /* 2177257 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2177348), // Rule ID 18589 //
     /* 2177262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177308 */     // MIs[0] round
     /* 2177308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177311 */     // MIs[0] policy
     /* 2177311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177321 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177347 */     // GIR_Coverage, 18589,
     /* 2177347 */     GIR_EraseRootFromParent_Done,
     /* 2177348 */   // Label 28651: @2177348
     /* 2177348 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2177439), // Rule ID 18590 //
     /* 2177353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177399 */     // MIs[0] round
     /* 2177399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177402 */     // MIs[0] policy
     /* 2177402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177412 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177438 */     // GIR_Coverage, 18590,
     /* 2177438 */     GIR_EraseRootFromParent_Done,
     /* 2177439 */   // Label 28652: @2177439
     /* 2177439 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2177530), // Rule ID 18593 //
     /* 2177444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177490 */     // MIs[0] round
     /* 2177490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177493 */     // MIs[0] policy
     /* 2177493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177503 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177529 */     // GIR_Coverage, 18593,
     /* 2177529 */     GIR_EraseRootFromParent_Done,
     /* 2177530 */   // Label 28653: @2177530
     /* 2177530 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2177621), // Rule ID 18594 //
     /* 2177535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177581 */     // MIs[0] round
     /* 2177581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177584 */     // MIs[0] policy
     /* 2177584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177594 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177620 */     // GIR_Coverage, 18594,
     /* 2177620 */     GIR_EraseRootFromParent_Done,
     /* 2177621 */   // Label 28654: @2177621
     /* 2177621 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2177712), // Rule ID 18597 //
     /* 2177626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2177643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2177646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177672 */     // MIs[0] round
     /* 2177672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177675 */     // MIs[0] policy
     /* 2177675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177685 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2177688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177711 */     // GIR_Coverage, 18597,
     /* 2177711 */     GIR_EraseRootFromParent_Done,
     /* 2177712 */   // Label 28655: @2177712
     /* 2177712 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2177803), // Rule ID 18598 //
     /* 2177717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2177734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2177737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177763 */     // MIs[0] round
     /* 2177763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177766 */     // MIs[0] policy
     /* 2177766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2177779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177802 */     // GIR_Coverage, 18598,
     /* 2177802 */     GIR_EraseRootFromParent_Done,
     /* 2177803 */   // Label 28656: @2177803
     /* 2177803 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2177894), // Rule ID 18601 //
     /* 2177808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2177825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2177828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177854 */     // MIs[0] round
     /* 2177854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177857 */     // MIs[0] policy
     /* 2177857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2177870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177893 */     // GIR_Coverage, 18601,
     /* 2177893 */     GIR_EraseRootFromParent_Done,
     /* 2177894 */   // Label 28657: @2177894
     /* 2177894 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2177985), // Rule ID 18602 //
     /* 2177899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2177916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2177919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177945 */     // MIs[0] round
     /* 2177945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177948 */     // MIs[0] policy
     /* 2177948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2177961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177984 */     // GIR_Coverage, 18602,
     /* 2177984 */     GIR_EraseRootFromParent_Done,
     /* 2177985 */   // Label 28658: @2177985
     /* 2177985 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2178076), // Rule ID 18605 //
     /* 2177990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178036 */     // MIs[0] round
     /* 2178036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178039 */     // MIs[0] policy
     /* 2178039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178049 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178075 */     // GIR_Coverage, 18605,
     /* 2178075 */     GIR_EraseRootFromParent_Done,
     /* 2178076 */   // Label 28659: @2178076
     /* 2178076 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2178167), // Rule ID 18606 //
     /* 2178081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178127 */     // MIs[0] round
     /* 2178127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178130 */     // MIs[0] policy
     /* 2178130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178166 */     // GIR_Coverage, 18606,
     /* 2178166 */     GIR_EraseRootFromParent_Done,
     /* 2178167 */   // Label 28660: @2178167
     /* 2178167 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2178258), // Rule ID 18609 //
     /* 2178172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178218 */     // MIs[0] round
     /* 2178218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178221 */     // MIs[0] policy
     /* 2178221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178257 */     // GIR_Coverage, 18609,
     /* 2178257 */     GIR_EraseRootFromParent_Done,
     /* 2178258 */   // Label 28661: @2178258
     /* 2178258 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2178349), // Rule ID 18610 //
     /* 2178263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178309 */     // MIs[0] round
     /* 2178309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178312 */     // MIs[0] policy
     /* 2178312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178322 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178348 */     // GIR_Coverage, 18610,
     /* 2178348 */     GIR_EraseRootFromParent_Done,
     /* 2178349 */   // Label 28662: @2178349
     /* 2178349 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2178440), // Rule ID 18613 //
     /* 2178354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178400 */     // MIs[0] round
     /* 2178400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178403 */     // MIs[0] policy
     /* 2178403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178413 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178439 */     // GIR_Coverage, 18613,
     /* 2178439 */     GIR_EraseRootFromParent_Done,
     /* 2178440 */   // Label 28663: @2178440
     /* 2178440 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2178531), // Rule ID 18614 //
     /* 2178445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178491 */     // MIs[0] round
     /* 2178491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178494 */     // MIs[0] policy
     /* 2178494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178504 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178530 */     // GIR_Coverage, 18614,
     /* 2178530 */     GIR_EraseRootFromParent_Done,
     /* 2178531 */   // Label 28664: @2178531
     /* 2178531 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2178622), // Rule ID 18617 //
     /* 2178536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178582 */     // MIs[0] round
     /* 2178582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178585 */     // MIs[0] policy
     /* 2178585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178595 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2178598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178621 */     // GIR_Coverage, 18617,
     /* 2178621 */     GIR_EraseRootFromParent_Done,
     /* 2178622 */   // Label 28665: @2178622
     /* 2178622 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2178713), // Rule ID 18618 //
     /* 2178627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178673 */     // MIs[0] round
     /* 2178673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178676 */     // MIs[0] policy
     /* 2178676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178686 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2178689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178712 */     // GIR_Coverage, 18618,
     /* 2178712 */     GIR_EraseRootFromParent_Done,
     /* 2178713 */   // Label 28666: @2178713
     /* 2178713 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2178804), // Rule ID 18621 //
     /* 2178718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178764 */     // MIs[0] round
     /* 2178764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178767 */     // MIs[0] policy
     /* 2178767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178777 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2178780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178803 */     // GIR_Coverage, 18621,
     /* 2178803 */     GIR_EraseRootFromParent_Done,
     /* 2178804 */   // Label 28667: @2178804
     /* 2178804 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2178895), // Rule ID 18622 //
     /* 2178809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178855 */     // MIs[0] round
     /* 2178855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178858 */     // MIs[0] policy
     /* 2178858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178868 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2178871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178894 */     // GIR_Coverage, 18622,
     /* 2178894 */     GIR_EraseRootFromParent_Done,
     /* 2178895 */   // Label 28668: @2178895
     /* 2178895 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2178986), // Rule ID 18625 //
     /* 2178900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2178911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2178914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2178920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178946 */     // MIs[0] round
     /* 2178946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178949 */     // MIs[0] policy
     /* 2178949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178959 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2178962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178985 */     // GIR_Coverage, 18625,
     /* 2178985 */     GIR_EraseRootFromParent_Done,
     /* 2178986 */   // Label 28669: @2178986
     /* 2178986 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2179077), // Rule ID 18626 //
     /* 2178991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179037 */     // MIs[0] round
     /* 2179037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179040 */     // MIs[0] policy
     /* 2179040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179050 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2179053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179076 */     // GIR_Coverage, 18626,
     /* 2179076 */     GIR_EraseRootFromParent_Done,
     /* 2179077 */   // Label 28670: @2179077
     /* 2179077 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2179168), // Rule ID 18629 //
     /* 2179082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179128 */     // MIs[0] round
     /* 2179128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179131 */     // MIs[0] policy
     /* 2179131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179141 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179167 */     // GIR_Coverage, 18629,
     /* 2179167 */     GIR_EraseRootFromParent_Done,
     /* 2179168 */   // Label 28671: @2179168
     /* 2179168 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2179259), // Rule ID 18630 //
     /* 2179173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179219 */     // MIs[0] round
     /* 2179219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179222 */     // MIs[0] policy
     /* 2179222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179232 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179258 */     // GIR_Coverage, 18630,
     /* 2179258 */     GIR_EraseRootFromParent_Done,
     /* 2179259 */   // Label 28672: @2179259
     /* 2179259 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2179350), // Rule ID 18633 //
     /* 2179264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179310 */     // MIs[0] round
     /* 2179310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179313 */     // MIs[0] policy
     /* 2179313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179323 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179349 */     // GIR_Coverage, 18633,
     /* 2179349 */     GIR_EraseRootFromParent_Done,
     /* 2179350 */   // Label 28673: @2179350
     /* 2179350 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2179441), // Rule ID 18634 //
     /* 2179355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179401 */     // MIs[0] round
     /* 2179401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179404 */     // MIs[0] policy
     /* 2179404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179414 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179440 */     // GIR_Coverage, 18634,
     /* 2179440 */     GIR_EraseRootFromParent_Done,
     /* 2179441 */   // Label 28674: @2179441
     /* 2179441 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2179532), // Rule ID 18637 //
     /* 2179446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179492 */     // MIs[0] round
     /* 2179492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179495 */     // MIs[0] policy
     /* 2179495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179505 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179531 */     // GIR_Coverage, 18637,
     /* 2179531 */     GIR_EraseRootFromParent_Done,
     /* 2179532 */   // Label 28675: @2179532
     /* 2179532 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2179623), // Rule ID 18638 //
     /* 2179537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179583 */     // MIs[0] round
     /* 2179583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179586 */     // MIs[0] policy
     /* 2179586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179596 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179622 */     // GIR_Coverage, 18638,
     /* 2179622 */     GIR_EraseRootFromParent_Done,
     /* 2179623 */   // Label 28676: @2179623
     /* 2179623 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2179714), // Rule ID 18641 //
     /* 2179628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2179639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2179642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179674 */     // MIs[0] round
     /* 2179674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179677 */     // MIs[0] policy
     /* 2179677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179687 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2179690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179713 */     // GIR_Coverage, 18641,
     /* 2179713 */     GIR_EraseRootFromParent_Done,
     /* 2179714 */   // Label 28677: @2179714
     /* 2179714 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2179805), // Rule ID 18642 //
     /* 2179719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2179730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2179733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179765 */     // MIs[0] round
     /* 2179765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179768 */     // MIs[0] policy
     /* 2179768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2179781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179804 */     // GIR_Coverage, 18642,
     /* 2179804 */     GIR_EraseRootFromParent_Done,
     /* 2179805 */   // Label 28678: @2179805
     /* 2179805 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2179896), // Rule ID 18645 //
     /* 2179810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2179830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179856 */     // MIs[0] round
     /* 2179856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179859 */     // MIs[0] policy
     /* 2179859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179869 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2179872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179895 */     // GIR_Coverage, 18645,
     /* 2179895 */     GIR_EraseRootFromParent_Done,
     /* 2179896 */   // Label 28679: @2179896
     /* 2179896 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2179987), // Rule ID 18646 //
     /* 2179901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2179921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179947 */     // MIs[0] round
     /* 2179947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179950 */     // MIs[0] policy
     /* 2179950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2179963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179986 */     // GIR_Coverage, 18646,
     /* 2179986 */     GIR_EraseRootFromParent_Done,
     /* 2179987 */   // Label 28680: @2179987
     /* 2179987 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2180078), // Rule ID 18649 //
     /* 2179992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180038 */     // MIs[0] round
     /* 2180038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180041 */     // MIs[0] policy
     /* 2180041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180051 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180077 */     // GIR_Coverage, 18649,
     /* 2180077 */     GIR_EraseRootFromParent_Done,
     /* 2180078 */   // Label 28681: @2180078
     /* 2180078 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2180169), // Rule ID 18650 //
     /* 2180083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180129 */     // MIs[0] round
     /* 2180129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180132 */     // MIs[0] policy
     /* 2180132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180142 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180168 */     // GIR_Coverage, 18650,
     /* 2180168 */     GIR_EraseRootFromParent_Done,
     /* 2180169 */   // Label 28682: @2180169
     /* 2180169 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2180260), // Rule ID 18653 //
     /* 2180174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180220 */     // MIs[0] round
     /* 2180220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180223 */     // MIs[0] policy
     /* 2180223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180233 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180259 */     // GIR_Coverage, 18653,
     /* 2180259 */     GIR_EraseRootFromParent_Done,
     /* 2180260 */   // Label 28683: @2180260
     /* 2180260 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2180351), // Rule ID 18654 //
     /* 2180265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180311 */     // MIs[0] round
     /* 2180311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180314 */     // MIs[0] policy
     /* 2180314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180324 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180350 */     // GIR_Coverage, 18654,
     /* 2180350 */     GIR_EraseRootFromParent_Done,
     /* 2180351 */   // Label 28684: @2180351
     /* 2180351 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2180442), // Rule ID 18657 //
     /* 2180356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180402 */     // MIs[0] round
     /* 2180402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180405 */     // MIs[0] policy
     /* 2180405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180415 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180441 */     // GIR_Coverage, 18657,
     /* 2180441 */     GIR_EraseRootFromParent_Done,
     /* 2180442 */   // Label 28685: @2180442
     /* 2180442 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2180533), // Rule ID 18658 //
     /* 2180447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180493 */     // MIs[0] round
     /* 2180493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180496 */     // MIs[0] policy
     /* 2180496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180506 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180532 */     // GIR_Coverage, 18658,
     /* 2180532 */     GIR_EraseRootFromParent_Done,
     /* 2180533 */   // Label 28686: @2180533
     /* 2180533 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2180624), // Rule ID 18661 //
     /* 2180538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2180555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180584 */     // MIs[0] round
     /* 2180584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180587 */     // MIs[0] policy
     /* 2180587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180597 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2180600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180623 */     // GIR_Coverage, 18661,
     /* 2180623 */     GIR_EraseRootFromParent_Done,
     /* 2180624 */   // Label 28687: @2180624
     /* 2180624 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2180715), // Rule ID 18662 //
     /* 2180629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2180646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180675 */     // MIs[0] round
     /* 2180675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180678 */     // MIs[0] policy
     /* 2180678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180688 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2180691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180714 */     // GIR_Coverage, 18662,
     /* 2180714 */     GIR_EraseRootFromParent_Done,
     /* 2180715 */   // Label 28688: @2180715
     /* 2180715 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2180806), // Rule ID 18665 //
     /* 2180720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2180737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2180740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180766 */     // MIs[0] round
     /* 2180766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180769 */     // MIs[0] policy
     /* 2180769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180779 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2180782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180805 */     // GIR_Coverage, 18665,
     /* 2180805 */     GIR_EraseRootFromParent_Done,
     /* 2180806 */   // Label 28689: @2180806
     /* 2180806 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2180897), // Rule ID 18666 //
     /* 2180811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2180828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2180831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180857 */     // MIs[0] round
     /* 2180857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180860 */     // MIs[0] policy
     /* 2180860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180870 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2180873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180896 */     // GIR_Coverage, 18666,
     /* 2180896 */     GIR_EraseRootFromParent_Done,
     /* 2180897 */   // Label 28690: @2180897
     /* 2180897 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2180988), // Rule ID 18669 //
     /* 2180902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2180919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2180922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180948 */     // MIs[0] round
     /* 2180948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180951 */     // MIs[0] policy
     /* 2180951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180961 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2180964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180987 */     // GIR_Coverage, 18669,
     /* 2180987 */     GIR_EraseRootFromParent_Done,
     /* 2180988 */   // Label 28691: @2180988
     /* 2180988 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2181079), // Rule ID 18670 //
     /* 2180993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181039 */     // MIs[0] round
     /* 2181039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181042 */     // MIs[0] policy
     /* 2181042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2181055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181078 */     // GIR_Coverage, 18670,
     /* 2181078 */     GIR_EraseRootFromParent_Done,
     /* 2181079 */   // Label 28692: @2181079
     /* 2181079 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2181170), // Rule ID 18673 //
     /* 2181084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181130 */     // MIs[0] round
     /* 2181130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181133 */     // MIs[0] policy
     /* 2181133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181143 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181169 */     // GIR_Coverage, 18673,
     /* 2181169 */     GIR_EraseRootFromParent_Done,
     /* 2181170 */   // Label 28693: @2181170
     /* 2181170 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2181261), // Rule ID 18674 //
     /* 2181175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181221 */     // MIs[0] round
     /* 2181221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181224 */     // MIs[0] policy
     /* 2181224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181234 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181260 */     // GIR_Coverage, 18674,
     /* 2181260 */     GIR_EraseRootFromParent_Done,
     /* 2181261 */   // Label 28694: @2181261
     /* 2181261 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2181352), // Rule ID 18677 //
     /* 2181266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181312 */     // MIs[0] round
     /* 2181312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181315 */     // MIs[0] policy
     /* 2181315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181325 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181351 */     // GIR_Coverage, 18677,
     /* 2181351 */     GIR_EraseRootFromParent_Done,
     /* 2181352 */   // Label 28695: @2181352
     /* 2181352 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2181443), // Rule ID 18678 //
     /* 2181357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181403 */     // MIs[0] round
     /* 2181403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181406 */     // MIs[0] policy
     /* 2181406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181416 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181442 */     // GIR_Coverage, 18678,
     /* 2181442 */     GIR_EraseRootFromParent_Done,
     /* 2181443 */   // Label 28696: @2181443
     /* 2181443 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2181534), // Rule ID 18681 //
     /* 2181448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181494 */     // MIs[0] round
     /* 2181494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181497 */     // MIs[0] policy
     /* 2181497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181533 */     // GIR_Coverage, 18681,
     /* 2181533 */     GIR_EraseRootFromParent_Done,
     /* 2181534 */   // Label 28697: @2181534
     /* 2181534 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2181625), // Rule ID 18682 //
     /* 2181539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181585 */     // MIs[0] round
     /* 2181585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181588 */     // MIs[0] policy
     /* 2181588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181598 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181624 */     // GIR_Coverage, 18682,
     /* 2181624 */     GIR_EraseRootFromParent_Done,
     /* 2181625 */   // Label 28698: @2181625
     /* 2181625 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2181716), // Rule ID 18685 //
     /* 2181630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2181647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2181650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181676 */     // MIs[0] round
     /* 2181676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181679 */     // MIs[0] policy
     /* 2181679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181689 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2181692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181715 */     // GIR_Coverage, 18685,
     /* 2181715 */     GIR_EraseRootFromParent_Done,
     /* 2181716 */   // Label 28699: @2181716
     /* 2181716 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2181807), // Rule ID 18686 //
     /* 2181721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2181738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2181741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181767 */     // MIs[0] round
     /* 2181767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181770 */     // MIs[0] policy
     /* 2181770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181780 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2181783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181806 */     // GIR_Coverage, 18686,
     /* 2181806 */     GIR_EraseRootFromParent_Done,
     /* 2181807 */   // Label 28700: @2181807
     /* 2181807 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2181898), // Rule ID 18689 //
     /* 2181812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2181823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2181826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2181829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2181832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181858 */     // MIs[0] round
     /* 2181858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181861 */     // MIs[0] policy
     /* 2181861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181871 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2181874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181897 */     // GIR_Coverage, 18689,
     /* 2181897 */     GIR_EraseRootFromParent_Done,
     /* 2181898 */   // Label 28701: @2181898
     /* 2181898 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2181989), // Rule ID 18690 //
     /* 2181903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2181914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2181917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2181920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2181923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181949 */     // MIs[0] round
     /* 2181949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181952 */     // MIs[0] policy
     /* 2181952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181962 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2181965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181988 */     // GIR_Coverage, 18690,
     /* 2181988 */     GIR_EraseRootFromParent_Done,
     /* 2181989 */   // Label 28702: @2181989
     /* 2181989 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2182080), // Rule ID 18693 //
     /* 2181994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182040 */     // MIs[0] round
     /* 2182040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182043 */     // MIs[0] policy
     /* 2182043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182053 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182079 */     // GIR_Coverage, 18693,
     /* 2182079 */     GIR_EraseRootFromParent_Done,
     /* 2182080 */   // Label 28703: @2182080
     /* 2182080 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2182171), // Rule ID 18694 //
     /* 2182085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182131 */     // MIs[0] round
     /* 2182131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182134 */     // MIs[0] policy
     /* 2182134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182144 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182170 */     // GIR_Coverage, 18694,
     /* 2182170 */     GIR_EraseRootFromParent_Done,
     /* 2182171 */   // Label 28704: @2182171
     /* 2182171 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2182262), // Rule ID 18697 //
     /* 2182176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182222 */     // MIs[0] round
     /* 2182222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182225 */     // MIs[0] policy
     /* 2182225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182235 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182261 */     // GIR_Coverage, 18697,
     /* 2182261 */     GIR_EraseRootFromParent_Done,
     /* 2182262 */   // Label 28705: @2182262
     /* 2182262 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2182353), // Rule ID 18698 //
     /* 2182267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182313 */     // MIs[0] round
     /* 2182313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182316 */     // MIs[0] policy
     /* 2182316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182326 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182352 */     // GIR_Coverage, 18698,
     /* 2182352 */     GIR_EraseRootFromParent_Done,
     /* 2182353 */   // Label 28706: @2182353
     /* 2182353 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2182444), // Rule ID 18701 //
     /* 2182358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182404 */     // MIs[0] round
     /* 2182404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182407 */     // MIs[0] policy
     /* 2182407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182417 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182443 */     // GIR_Coverage, 18701,
     /* 2182443 */     GIR_EraseRootFromParent_Done,
     /* 2182444 */   // Label 28707: @2182444
     /* 2182444 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2182535), // Rule ID 18702 //
     /* 2182449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182495 */     // MIs[0] round
     /* 2182495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182498 */     // MIs[0] policy
     /* 2182498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182534 */     // GIR_Coverage, 18702,
     /* 2182534 */     GIR_EraseRootFromParent_Done,
     /* 2182535 */   // Label 28708: @2182535
     /* 2182535 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2182626), // Rule ID 18705 //
     /* 2182540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182586 */     // MIs[0] round
     /* 2182586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182589 */     // MIs[0] policy
     /* 2182589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182599 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2182602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182625 */     // GIR_Coverage, 18705,
     /* 2182625 */     GIR_EraseRootFromParent_Done,
     /* 2182626 */   // Label 28709: @2182626
     /* 2182626 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2182717), // Rule ID 18706 //
     /* 2182631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182677 */     // MIs[0] round
     /* 2182677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182680 */     // MIs[0] policy
     /* 2182680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2182693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182716 */     // GIR_Coverage, 18706,
     /* 2182716 */     GIR_EraseRootFromParent_Done,
     /* 2182717 */   // Label 28710: @2182717
     /* 2182717 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2182808), // Rule ID 18709 //
     /* 2182722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182768 */     // MIs[0] round
     /* 2182768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182771 */     // MIs[0] policy
     /* 2182771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182781 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2182784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182807 */     // GIR_Coverage, 18709,
     /* 2182807 */     GIR_EraseRootFromParent_Done,
     /* 2182808 */   // Label 28711: @2182808
     /* 2182808 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2182899), // Rule ID 18710 //
     /* 2182813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182859 */     // MIs[0] round
     /* 2182859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182862 */     // MIs[0] policy
     /* 2182862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182872 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2182875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182898 */     // GIR_Coverage, 18710,
     /* 2182898 */     GIR_EraseRootFromParent_Done,
     /* 2182899 */   // Label 28712: @2182899
     /* 2182899 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2182990), // Rule ID 18713 //
     /* 2182904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2182915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2182918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182950 */     // MIs[0] round
     /* 2182950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182953 */     // MIs[0] policy
     /* 2182953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182963 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2182966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182989 */     // GIR_Coverage, 18713,
     /* 2182989 */     GIR_EraseRootFromParent_Done,
     /* 2182990 */   // Label 28713: @2182990
     /* 2182990 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2183081), // Rule ID 18714 //
     /* 2182995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183041 */     // MIs[0] round
     /* 2183041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183044 */     // MIs[0] policy
     /* 2183044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183054 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2183057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183080 */     // GIR_Coverage, 18714,
     /* 2183080 */     GIR_EraseRootFromParent_Done,
     /* 2183081 */   // Label 28714: @2183081
     /* 2183081 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2183172), // Rule ID 18717 //
     /* 2183086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183132 */     // MIs[0] round
     /* 2183132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183135 */     // MIs[0] policy
     /* 2183135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183145 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183171 */     // GIR_Coverage, 18717,
     /* 2183171 */     GIR_EraseRootFromParent_Done,
     /* 2183172 */   // Label 28715: @2183172
     /* 2183172 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2183263), // Rule ID 18718 //
     /* 2183177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183223 */     // MIs[0] round
     /* 2183223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183226 */     // MIs[0] policy
     /* 2183226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183236 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183262 */     // GIR_Coverage, 18718,
     /* 2183262 */     GIR_EraseRootFromParent_Done,
     /* 2183263 */   // Label 28716: @2183263
     /* 2183263 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2183354), // Rule ID 18721 //
     /* 2183268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183314 */     // MIs[0] round
     /* 2183314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183317 */     // MIs[0] policy
     /* 2183317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183327 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183353 */     // GIR_Coverage, 18721,
     /* 2183353 */     GIR_EraseRootFromParent_Done,
     /* 2183354 */   // Label 28717: @2183354
     /* 2183354 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2183445), // Rule ID 18722 //
     /* 2183359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183405 */     // MIs[0] round
     /* 2183405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183408 */     // MIs[0] policy
     /* 2183408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183418 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183444 */     // GIR_Coverage, 18722,
     /* 2183444 */     GIR_EraseRootFromParent_Done,
     /* 2183445 */   // Label 28718: @2183445
     /* 2183445 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2183536), // Rule ID 18725 //
     /* 2183450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183496 */     // MIs[0] round
     /* 2183496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183499 */     // MIs[0] policy
     /* 2183499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183509 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183535 */     // GIR_Coverage, 18725,
     /* 2183535 */     GIR_EraseRootFromParent_Done,
     /* 2183536 */   // Label 28719: @2183536
     /* 2183536 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2183627), // Rule ID 18726 //
     /* 2183541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183587 */     // MIs[0] round
     /* 2183587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183590 */     // MIs[0] policy
     /* 2183590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183600 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183626 */     // GIR_Coverage, 18726,
     /* 2183626 */     GIR_EraseRootFromParent_Done,
     /* 2183627 */   // Label 28720: @2183627
     /* 2183627 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2183718), // Rule ID 18729 //
     /* 2183632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183678 */     // MIs[0] round
     /* 2183678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183681 */     // MIs[0] policy
     /* 2183681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183691 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2183694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183717 */     // GIR_Coverage, 18729,
     /* 2183717 */     GIR_EraseRootFromParent_Done,
     /* 2183718 */   // Label 28721: @2183718
     /* 2183718 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2183809), // Rule ID 18730 //
     /* 2183723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183769 */     // MIs[0] round
     /* 2183769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183772 */     // MIs[0] policy
     /* 2183772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183782 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2183785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183808 */     // GIR_Coverage, 18730,
     /* 2183808 */     GIR_EraseRootFromParent_Done,
     /* 2183809 */   // Label 28722: @2183809
     /* 2183809 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2183900), // Rule ID 18733 //
     /* 2183814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2183831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183860 */     // MIs[0] round
     /* 2183860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183863 */     // MIs[0] policy
     /* 2183863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183873 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2183876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183899 */     // GIR_Coverage, 18733,
     /* 2183899 */     GIR_EraseRootFromParent_Done,
     /* 2183900 */   // Label 28723: @2183900
     /* 2183900 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2183991), // Rule ID 18734 //
     /* 2183905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2183922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183951 */     // MIs[0] round
     /* 2183951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183954 */     // MIs[0] policy
     /* 2183954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2183967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183990 */     // GIR_Coverage, 18734,
     /* 2183990 */     GIR_EraseRootFromParent_Done,
     /* 2183991 */   // Label 28724: @2183991
     /* 2183991 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2184082), // Rule ID 18737 //
     /* 2183996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184042 */     // MIs[0] round
     /* 2184042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184045 */     // MIs[0] policy
     /* 2184045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184055 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184081 */     // GIR_Coverage, 18737,
     /* 2184081 */     GIR_EraseRootFromParent_Done,
     /* 2184082 */   // Label 28725: @2184082
     /* 2184082 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2184173), // Rule ID 18738 //
     /* 2184087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184133 */     // MIs[0] round
     /* 2184133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184136 */     // MIs[0] policy
     /* 2184136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184146 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184172 */     // GIR_Coverage, 18738,
     /* 2184172 */     GIR_EraseRootFromParent_Done,
     /* 2184173 */   // Label 28726: @2184173
     /* 2184173 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2184264), // Rule ID 18741 //
     /* 2184178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184224 */     // MIs[0] round
     /* 2184224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184227 */     // MIs[0] policy
     /* 2184227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184237 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184263 */     // GIR_Coverage, 18741,
     /* 2184263 */     GIR_EraseRootFromParent_Done,
     /* 2184264 */   // Label 28727: @2184264
     /* 2184264 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2184355), // Rule ID 18742 //
     /* 2184269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184315 */     // MIs[0] round
     /* 2184315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184318 */     // MIs[0] policy
     /* 2184318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184328 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184354 */     // GIR_Coverage, 18742,
     /* 2184354 */     GIR_EraseRootFromParent_Done,
     /* 2184355 */   // Label 28728: @2184355
     /* 2184355 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2184446), // Rule ID 18745 //
     /* 2184360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184406 */     // MIs[0] round
     /* 2184406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184409 */     // MIs[0] policy
     /* 2184409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184419 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184445 */     // GIR_Coverage, 18745,
     /* 2184445 */     GIR_EraseRootFromParent_Done,
     /* 2184446 */   // Label 28729: @2184446
     /* 2184446 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2184537), // Rule ID 18746 //
     /* 2184451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184497 */     // MIs[0] round
     /* 2184497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184500 */     // MIs[0] policy
     /* 2184500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184510 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184536 */     // GIR_Coverage, 18746,
     /* 2184536 */     GIR_EraseRootFromParent_Done,
     /* 2184537 */   // Label 28730: @2184537
     /* 2184537 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2184628), // Rule ID 18749 //
     /* 2184542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184588 */     // MIs[0] round
     /* 2184588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184591 */     // MIs[0] policy
     /* 2184591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184601 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2184604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184627 */     // GIR_Coverage, 18749,
     /* 2184627 */     GIR_EraseRootFromParent_Done,
     /* 2184628 */   // Label 28731: @2184628
     /* 2184628 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2184719), // Rule ID 18750 //
     /* 2184633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184679 */     // MIs[0] round
     /* 2184679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184682 */     // MIs[0] policy
     /* 2184682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2184695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184718 */     // GIR_Coverage, 18750,
     /* 2184718 */     GIR_EraseRootFromParent_Done,
     /* 2184719 */   // Label 28732: @2184719
     /* 2184719 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2184810), // Rule ID 18753 //
     /* 2184724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184770 */     // MIs[0] round
     /* 2184770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184773 */     // MIs[0] policy
     /* 2184773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184783 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2184786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184809 */     // GIR_Coverage, 18753,
     /* 2184809 */     GIR_EraseRootFromParent_Done,
     /* 2184810 */   // Label 28733: @2184810
     /* 2184810 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2184901), // Rule ID 18754 //
     /* 2184815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184861 */     // MIs[0] round
     /* 2184861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184864 */     // MIs[0] policy
     /* 2184864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184874 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2184877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184900 */     // GIR_Coverage, 18754,
     /* 2184900 */     GIR_EraseRootFromParent_Done,
     /* 2184901 */   // Label 28734: @2184901
     /* 2184901 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2184992), // Rule ID 18757 //
     /* 2184906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2184917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2184920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2184923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2184926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184952 */     // MIs[0] round
     /* 2184952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184955 */     // MIs[0] policy
     /* 2184955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184965 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2184968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184991 */     // GIR_Coverage, 18757,
     /* 2184991 */     GIR_EraseRootFromParent_Done,
     /* 2184992 */   // Label 28735: @2184992
     /* 2184992 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2185083), // Rule ID 18758 //
     /* 2184997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185043 */     // MIs[0] round
     /* 2185043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185046 */     // MIs[0] policy
     /* 2185046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185056 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2185059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185082 */     // GIR_Coverage, 18758,
     /* 2185082 */     GIR_EraseRootFromParent_Done,
     /* 2185083 */   // Label 28736: @2185083
     /* 2185083 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2185174), // Rule ID 18761 //
     /* 2185088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185134 */     // MIs[0] round
     /* 2185134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185137 */     // MIs[0] policy
     /* 2185137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185147 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185173 */     // GIR_Coverage, 18761,
     /* 2185173 */     GIR_EraseRootFromParent_Done,
     /* 2185174 */   // Label 28737: @2185174
     /* 2185174 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2185265), // Rule ID 18762 //
     /* 2185179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185225 */     // MIs[0] round
     /* 2185225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185228 */     // MIs[0] policy
     /* 2185228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185238 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185264 */     // GIR_Coverage, 18762,
     /* 2185264 */     GIR_EraseRootFromParent_Done,
     /* 2185265 */   // Label 28738: @2185265
     /* 2185265 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2185356), // Rule ID 18765 //
     /* 2185270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185316 */     // MIs[0] round
     /* 2185316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185319 */     // MIs[0] policy
     /* 2185319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185329 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185355 */     // GIR_Coverage, 18765,
     /* 2185355 */     GIR_EraseRootFromParent_Done,
     /* 2185356 */   // Label 28739: @2185356
     /* 2185356 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2185447), // Rule ID 18766 //
     /* 2185361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185407 */     // MIs[0] round
     /* 2185407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185410 */     // MIs[0] policy
     /* 2185410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185420 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185446 */     // GIR_Coverage, 18766,
     /* 2185446 */     GIR_EraseRootFromParent_Done,
     /* 2185447 */   // Label 28740: @2185447
     /* 2185447 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2185538), // Rule ID 18769 //
     /* 2185452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185498 */     // MIs[0] round
     /* 2185498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185501 */     // MIs[0] policy
     /* 2185501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185511 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185537 */     // GIR_Coverage, 18769,
     /* 2185537 */     GIR_EraseRootFromParent_Done,
     /* 2185538 */   // Label 28741: @2185538
     /* 2185538 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2185629), // Rule ID 18770 //
     /* 2185543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185589 */     // MIs[0] round
     /* 2185589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185592 */     // MIs[0] policy
     /* 2185592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185602 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185628 */     // GIR_Coverage, 18770,
     /* 2185628 */     GIR_EraseRootFromParent_Done,
     /* 2185629 */   // Label 28742: @2185629
     /* 2185629 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2185720), // Rule ID 18773 //
     /* 2185634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185680 */     // MIs[0] round
     /* 2185680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185683 */     // MIs[0] policy
     /* 2185683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185693 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2185696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185719 */     // GIR_Coverage, 18773,
     /* 2185719 */     GIR_EraseRootFromParent_Done,
     /* 2185720 */   // Label 28743: @2185720
     /* 2185720 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2185811), // Rule ID 18774 //
     /* 2185725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185771 */     // MIs[0] round
     /* 2185771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185774 */     // MIs[0] policy
     /* 2185774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2185787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185810 */     // GIR_Coverage, 18774,
     /* 2185810 */     GIR_EraseRootFromParent_Done,
     /* 2185811 */   // Label 28744: @2185811
     /* 2185811 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2185902), // Rule ID 18777 //
     /* 2185816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185862 */     // MIs[0] round
     /* 2185862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185865 */     // MIs[0] policy
     /* 2185865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185875 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2185878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185901 */     // GIR_Coverage, 18777,
     /* 2185901 */     GIR_EraseRootFromParent_Done,
     /* 2185902 */   // Label 28745: @2185902
     /* 2185902 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2185993), // Rule ID 18778 //
     /* 2185907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185953 */     // MIs[0] round
     /* 2185953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185956 */     // MIs[0] policy
     /* 2185956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185966 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2185969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185992 */     // GIR_Coverage, 18778,
     /* 2185992 */     GIR_EraseRootFromParent_Done,
     /* 2185993 */   // Label 28746: @2185993
     /* 2185993 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2186084), // Rule ID 18781 //
     /* 2185998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186044 */     // MIs[0] round
     /* 2186044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186047 */     // MIs[0] policy
     /* 2186047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186057 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186083 */     // GIR_Coverage, 18781,
     /* 2186083 */     GIR_EraseRootFromParent_Done,
     /* 2186084 */   // Label 28747: @2186084
     /* 2186084 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2186175), // Rule ID 18782 //
     /* 2186089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186135 */     // MIs[0] round
     /* 2186135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186138 */     // MIs[0] policy
     /* 2186138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186148 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186174 */     // GIR_Coverage, 18782,
     /* 2186174 */     GIR_EraseRootFromParent_Done,
     /* 2186175 */   // Label 28748: @2186175
     /* 2186175 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2186266), // Rule ID 18785 //
     /* 2186180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186226 */     // MIs[0] round
     /* 2186226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186229 */     // MIs[0] policy
     /* 2186229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186239 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186265 */     // GIR_Coverage, 18785,
     /* 2186265 */     GIR_EraseRootFromParent_Done,
     /* 2186266 */   // Label 28749: @2186266
     /* 2186266 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2186357), // Rule ID 18786 //
     /* 2186271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186317 */     // MIs[0] round
     /* 2186317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186320 */     // MIs[0] policy
     /* 2186320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186330 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186356 */     // GIR_Coverage, 18786,
     /* 2186356 */     GIR_EraseRootFromParent_Done,
     /* 2186357 */   // Label 28750: @2186357
     /* 2186357 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2186448), // Rule ID 18789 //
     /* 2186362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186408 */     // MIs[0] round
     /* 2186408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186411 */     // MIs[0] policy
     /* 2186411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186421 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186447 */     // GIR_Coverage, 18789,
     /* 2186447 */     GIR_EraseRootFromParent_Done,
     /* 2186448 */   // Label 28751: @2186448
     /* 2186448 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2186539), // Rule ID 18790 //
     /* 2186453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186499 */     // MIs[0] round
     /* 2186499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186502 */     // MIs[0] policy
     /* 2186502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186512 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186538 */     // GIR_Coverage, 18790,
     /* 2186538 */     GIR_EraseRootFromParent_Done,
     /* 2186539 */   // Label 28752: @2186539
     /* 2186539 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2186630), // Rule ID 18793 //
     /* 2186544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186590 */     // MIs[0] round
     /* 2186590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186593 */     // MIs[0] policy
     /* 2186593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2186606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186629 */     // GIR_Coverage, 18793,
     /* 2186629 */     GIR_EraseRootFromParent_Done,
     /* 2186630 */   // Label 28753: @2186630
     /* 2186630 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2186721), // Rule ID 18794 //
     /* 2186635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186681 */     // MIs[0] round
     /* 2186681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186684 */     // MIs[0] policy
     /* 2186684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186694 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2186697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186720 */     // GIR_Coverage, 18794,
     /* 2186720 */     GIR_EraseRootFromParent_Done,
     /* 2186721 */   // Label 28754: @2186721
     /* 2186721 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2186812), // Rule ID 18797 //
     /* 2186726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186772 */     // MIs[0] round
     /* 2186772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186775 */     // MIs[0] policy
     /* 2186775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186785 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2186788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186811 */     // GIR_Coverage, 18797,
     /* 2186811 */     GIR_EraseRootFromParent_Done,
     /* 2186812 */   // Label 28755: @2186812
     /* 2186812 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2186903), // Rule ID 18798 //
     /* 2186817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186863 */     // MIs[0] round
     /* 2186863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186866 */     // MIs[0] policy
     /* 2186866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186876 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2186879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186902 */     // GIR_Coverage, 18798,
     /* 2186902 */     GIR_EraseRootFromParent_Done,
     /* 2186903 */   // Label 28756: @2186903
     /* 2186903 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2186994), // Rule ID 18801 //
     /* 2186908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2186919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2186922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186954 */     // MIs[0] round
     /* 2186954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186957 */     // MIs[0] policy
     /* 2186957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186967 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2186970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186993 */     // GIR_Coverage, 18801,
     /* 2186993 */     GIR_EraseRootFromParent_Done,
     /* 2186994 */   // Label 28757: @2186994
     /* 2186994 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2187085), // Rule ID 18802 //
     /* 2186999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187045 */     // MIs[0] round
     /* 2187045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187048 */     // MIs[0] policy
     /* 2187048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2187061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187084 */     // GIR_Coverage, 18802,
     /* 2187084 */     GIR_EraseRootFromParent_Done,
     /* 2187085 */   // Label 28758: @2187085
     /* 2187085 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2187176), // Rule ID 18805 //
     /* 2187090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187136 */     // MIs[0] round
     /* 2187136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187139 */     // MIs[0] policy
     /* 2187139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187149 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187175 */     // GIR_Coverage, 18805,
     /* 2187175 */     GIR_EraseRootFromParent_Done,
     /* 2187176 */   // Label 28759: @2187176
     /* 2187176 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2187267), // Rule ID 18806 //
     /* 2187181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187227 */     // MIs[0] round
     /* 2187227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187230 */     // MIs[0] policy
     /* 2187230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187240 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187266 */     // GIR_Coverage, 18806,
     /* 2187266 */     GIR_EraseRootFromParent_Done,
     /* 2187267 */   // Label 28760: @2187267
     /* 2187267 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2187358), // Rule ID 18809 //
     /* 2187272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187318 */     // MIs[0] round
     /* 2187318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187321 */     // MIs[0] policy
     /* 2187321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187331 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187357 */     // GIR_Coverage, 18809,
     /* 2187357 */     GIR_EraseRootFromParent_Done,
     /* 2187358 */   // Label 28761: @2187358
     /* 2187358 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2187449), // Rule ID 18810 //
     /* 2187363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187409 */     // MIs[0] round
     /* 2187409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187412 */     // MIs[0] policy
     /* 2187412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187422 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187448 */     // GIR_Coverage, 18810,
     /* 2187448 */     GIR_EraseRootFromParent_Done,
     /* 2187449 */   // Label 28762: @2187449
     /* 2187449 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2187540), // Rule ID 18813 //
     /* 2187454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187500 */     // MIs[0] round
     /* 2187500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187503 */     // MIs[0] policy
     /* 2187503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187513 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187539 */     // GIR_Coverage, 18813,
     /* 2187539 */     GIR_EraseRootFromParent_Done,
     /* 2187540 */   // Label 28763: @2187540
     /* 2187540 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2187631), // Rule ID 18814 //
     /* 2187545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187591 */     // MIs[0] round
     /* 2187591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187594 */     // MIs[0] policy
     /* 2187594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187630 */     // GIR_Coverage, 18814,
     /* 2187630 */     GIR_EraseRootFromParent_Done,
     /* 2187631 */   // Label 28764: @2187631
     /* 2187631 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2187722), // Rule ID 18817 //
     /* 2187636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2187653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187682 */     // MIs[0] round
     /* 2187682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187685 */     // MIs[0] policy
     /* 2187685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187695 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2187698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187721 */     // GIR_Coverage, 18817,
     /* 2187721 */     GIR_EraseRootFromParent_Done,
     /* 2187722 */   // Label 28765: @2187722
     /* 2187722 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2187813), // Rule ID 18818 //
     /* 2187727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2187744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187773 */     // MIs[0] round
     /* 2187773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187776 */     // MIs[0] policy
     /* 2187776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187786 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2187789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187812 */     // GIR_Coverage, 18818,
     /* 2187812 */     GIR_EraseRootFromParent_Done,
     /* 2187813 */   // Label 28766: @2187813
     /* 2187813 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2187904), // Rule ID 18821 //
     /* 2187818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2187835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187864 */     // MIs[0] round
     /* 2187864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187867 */     // MIs[0] policy
     /* 2187867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187877 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2187880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187903 */     // GIR_Coverage, 18821,
     /* 2187903 */     GIR_EraseRootFromParent_Done,
     /* 2187904 */   // Label 28767: @2187904
     /* 2187904 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2187995), // Rule ID 18822 //
     /* 2187909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2187926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187955 */     // MIs[0] round
     /* 2187955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187958 */     // MIs[0] policy
     /* 2187958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187968 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2187971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187994 */     // GIR_Coverage, 18822,
     /* 2187994 */     GIR_EraseRootFromParent_Done,
     /* 2187995 */   // Label 28768: @2187995
     /* 2187995 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2188086), // Rule ID 18825 //
     /* 2188000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188046 */     // MIs[0] round
     /* 2188046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188049 */     // MIs[0] policy
     /* 2188049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188059 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188085 */     // GIR_Coverage, 18825,
     /* 2188085 */     GIR_EraseRootFromParent_Done,
     /* 2188086 */   // Label 28769: @2188086
     /* 2188086 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2188177), // Rule ID 18826 //
     /* 2188091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188137 */     // MIs[0] round
     /* 2188137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188140 */     // MIs[0] policy
     /* 2188140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188176 */     // GIR_Coverage, 18826,
     /* 2188176 */     GIR_EraseRootFromParent_Done,
     /* 2188177 */   // Label 28770: @2188177
     /* 2188177 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2188268), // Rule ID 18829 //
     /* 2188182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188228 */     // MIs[0] round
     /* 2188228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188231 */     // MIs[0] policy
     /* 2188231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188241 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188267 */     // GIR_Coverage, 18829,
     /* 2188267 */     GIR_EraseRootFromParent_Done,
     /* 2188268 */   // Label 28771: @2188268
     /* 2188268 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2188359), // Rule ID 18830 //
     /* 2188273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188319 */     // MIs[0] round
     /* 2188319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188322 */     // MIs[0] policy
     /* 2188322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188358 */     // GIR_Coverage, 18830,
     /* 2188358 */     GIR_EraseRootFromParent_Done,
     /* 2188359 */   // Label 28772: @2188359
     /* 2188359 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2188450), // Rule ID 18833 //
     /* 2188364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188410 */     // MIs[0] round
     /* 2188410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188413 */     // MIs[0] policy
     /* 2188413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188423 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188449 */     // GIR_Coverage, 18833,
     /* 2188449 */     GIR_EraseRootFromParent_Done,
     /* 2188450 */   // Label 28773: @2188450
     /* 2188450 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2188541), // Rule ID 18834 //
     /* 2188455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188501 */     // MIs[0] round
     /* 2188501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188504 */     // MIs[0] policy
     /* 2188504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188514 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188540 */     // GIR_Coverage, 18834,
     /* 2188540 */     GIR_EraseRootFromParent_Done,
     /* 2188541 */   // Label 28774: @2188541
     /* 2188541 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2188632), // Rule ID 18837 //
     /* 2188546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188592 */     // MIs[0] round
     /* 2188592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188595 */     // MIs[0] policy
     /* 2188595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188605 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2188608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188631 */     // GIR_Coverage, 18837,
     /* 2188631 */     GIR_EraseRootFromParent_Done,
     /* 2188632 */   // Label 28775: @2188632
     /* 2188632 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2188723), // Rule ID 18838 //
     /* 2188637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188683 */     // MIs[0] round
     /* 2188683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188686 */     // MIs[0] policy
     /* 2188686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2188699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188722 */     // GIR_Coverage, 18838,
     /* 2188722 */     GIR_EraseRootFromParent_Done,
     /* 2188723 */   // Label 28776: @2188723
     /* 2188723 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2188814), // Rule ID 18841 //
     /* 2188728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188774 */     // MIs[0] round
     /* 2188774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188777 */     // MIs[0] policy
     /* 2188777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188787 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2188790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188813 */     // GIR_Coverage, 18841,
     /* 2188813 */     GIR_EraseRootFromParent_Done,
     /* 2188814 */   // Label 28777: @2188814
     /* 2188814 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2188905), // Rule ID 18842 //
     /* 2188819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188865 */     // MIs[0] round
     /* 2188865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188868 */     // MIs[0] policy
     /* 2188868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188878 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2188881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188904 */     // GIR_Coverage, 18842,
     /* 2188904 */     GIR_EraseRootFromParent_Done,
     /* 2188905 */   // Label 28778: @2188905
     /* 2188905 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2188996), // Rule ID 18845 //
     /* 2188910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2188930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188956 */     // MIs[0] round
     /* 2188956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188959 */     // MIs[0] policy
     /* 2188959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188969 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2188972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188995 */     // GIR_Coverage, 18845,
     /* 2188995 */     GIR_EraseRootFromParent_Done,
     /* 2188996 */   // Label 28779: @2188996
     /* 2188996 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2189087), // Rule ID 18846 //
     /* 2189001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189047 */     // MIs[0] round
     /* 2189047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189050 */     // MIs[0] policy
     /* 2189050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2189063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189086 */     // GIR_Coverage, 18846,
     /* 2189086 */     GIR_EraseRootFromParent_Done,
     /* 2189087 */   // Label 28780: @2189087
     /* 2189087 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2189178), // Rule ID 18849 //
     /* 2189092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189138 */     // MIs[0] round
     /* 2189138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189141 */     // MIs[0] policy
     /* 2189141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189151 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189177 */     // GIR_Coverage, 18849,
     /* 2189177 */     GIR_EraseRootFromParent_Done,
     /* 2189178 */   // Label 28781: @2189178
     /* 2189178 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2189269), // Rule ID 18850 //
     /* 2189183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189229 */     // MIs[0] round
     /* 2189229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189232 */     // MIs[0] policy
     /* 2189232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189268 */     // GIR_Coverage, 18850,
     /* 2189268 */     GIR_EraseRootFromParent_Done,
     /* 2189269 */   // Label 28782: @2189269
     /* 2189269 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2189360), // Rule ID 18853 //
     /* 2189274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189320 */     // MIs[0] round
     /* 2189320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189323 */     // MIs[0] policy
     /* 2189323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189333 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189359 */     // GIR_Coverage, 18853,
     /* 2189359 */     GIR_EraseRootFromParent_Done,
     /* 2189360 */   // Label 28783: @2189360
     /* 2189360 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2189451), // Rule ID 18854 //
     /* 2189365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189411 */     // MIs[0] round
     /* 2189411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189414 */     // MIs[0] policy
     /* 2189414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189424 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189450 */     // GIR_Coverage, 18854,
     /* 2189450 */     GIR_EraseRootFromParent_Done,
     /* 2189451 */   // Label 28784: @2189451
     /* 2189451 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2189542), // Rule ID 18857 //
     /* 2189456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189502 */     // MIs[0] round
     /* 2189502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189505 */     // MIs[0] policy
     /* 2189505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189515 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189541 */     // GIR_Coverage, 18857,
     /* 2189541 */     GIR_EraseRootFromParent_Done,
     /* 2189542 */   // Label 28785: @2189542
     /* 2189542 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2189633), // Rule ID 18858 //
     /* 2189547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189593 */     // MIs[0] round
     /* 2189593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189596 */     // MIs[0] policy
     /* 2189596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189606 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189632 */     // GIR_Coverage, 18858,
     /* 2189632 */     GIR_EraseRootFromParent_Done,
     /* 2189633 */   // Label 28786: @2189633
     /* 2189633 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2189724), // Rule ID 18861 //
     /* 2189638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189684 */     // MIs[0] round
     /* 2189684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189687 */     // MIs[0] policy
     /* 2189687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189697 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2189700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189723 */     // GIR_Coverage, 18861,
     /* 2189723 */     GIR_EraseRootFromParent_Done,
     /* 2189724 */   // Label 28787: @2189724
     /* 2189724 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2189815), // Rule ID 18862 //
     /* 2189729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189775 */     // MIs[0] round
     /* 2189775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189778 */     // MIs[0] policy
     /* 2189778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2189791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189814 */     // GIR_Coverage, 18862,
     /* 2189814 */     GIR_EraseRootFromParent_Done,
     /* 2189815 */   // Label 28788: @2189815
     /* 2189815 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2189906), // Rule ID 18865 //
     /* 2189820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2189840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189866 */     // MIs[0] round
     /* 2189866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189869 */     // MIs[0] policy
     /* 2189869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189879 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2189882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189905 */     // GIR_Coverage, 18865,
     /* 2189905 */     GIR_EraseRootFromParent_Done,
     /* 2189906 */   // Label 28789: @2189906
     /* 2189906 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2189997), // Rule ID 18866 //
     /* 2189911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2189931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189957 */     // MIs[0] round
     /* 2189957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189960 */     // MIs[0] policy
     /* 2189960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2189973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189996 */     // GIR_Coverage, 18866,
     /* 2189996 */     GIR_EraseRootFromParent_Done,
     /* 2189997 */   // Label 28790: @2189997
     /* 2189997 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2190088), // Rule ID 18869 //
     /* 2190002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190048 */     // MIs[0] round
     /* 2190048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190051 */     // MIs[0] policy
     /* 2190051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190061 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190087 */     // GIR_Coverage, 18869,
     /* 2190087 */     GIR_EraseRootFromParent_Done,
     /* 2190088 */   // Label 28791: @2190088
     /* 2190088 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2190179), // Rule ID 18870 //
     /* 2190093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190139 */     // MIs[0] round
     /* 2190139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190142 */     // MIs[0] policy
     /* 2190142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190152 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190178 */     // GIR_Coverage, 18870,
     /* 2190178 */     GIR_EraseRootFromParent_Done,
     /* 2190179 */   // Label 28792: @2190179
     /* 2190179 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2190270), // Rule ID 18873 //
     /* 2190184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190230 */     // MIs[0] round
     /* 2190230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190233 */     // MIs[0] policy
     /* 2190233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190243 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190269 */     // GIR_Coverage, 18873,
     /* 2190269 */     GIR_EraseRootFromParent_Done,
     /* 2190270 */   // Label 28793: @2190270
     /* 2190270 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2190361), // Rule ID 18874 //
     /* 2190275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190321 */     // MIs[0] round
     /* 2190321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190324 */     // MIs[0] policy
     /* 2190324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190334 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190360 */     // GIR_Coverage, 18874,
     /* 2190360 */     GIR_EraseRootFromParent_Done,
     /* 2190361 */   // Label 28794: @2190361
     /* 2190361 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2190452), // Rule ID 64263 //
     /* 2190366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190412 */     // MIs[0] round
     /* 2190412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190415 */     // MIs[0] policy
     /* 2190415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190425 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190451 */     // GIR_Coverage, 64263,
     /* 2190451 */     GIR_EraseRootFromParent_Done,
     /* 2190452 */   // Label 28795: @2190452
     /* 2190452 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2190543), // Rule ID 64264 //
     /* 2190457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190503 */     // MIs[0] round
     /* 2190503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190506 */     // MIs[0] policy
     /* 2190506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190542 */     // GIR_Coverage, 64264,
     /* 2190542 */     GIR_EraseRootFromParent_Done,
     /* 2190543 */   // Label 28796: @2190543
     /* 2190543 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2190634), // Rule ID 64267 //
     /* 2190548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190594 */     // MIs[0] round
     /* 2190594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190597 */     // MIs[0] policy
     /* 2190597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2190610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190633 */     // GIR_Coverage, 64267,
     /* 2190633 */     GIR_EraseRootFromParent_Done,
     /* 2190634 */   // Label 28797: @2190634
     /* 2190634 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2190725), // Rule ID 64268 //
     /* 2190639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190685 */     // MIs[0] round
     /* 2190685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190688 */     // MIs[0] policy
     /* 2190688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190698 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2190701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190724 */     // GIR_Coverage, 64268,
     /* 2190724 */     GIR_EraseRootFromParent_Done,
     /* 2190725 */   // Label 28798: @2190725
     /* 2190725 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2190816), // Rule ID 64271 //
     /* 2190730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2190741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2190744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190776 */     // MIs[0] round
     /* 2190776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190779 */     // MIs[0] policy
     /* 2190779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190789 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2190792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190815 */     // GIR_Coverage, 64271,
     /* 2190815 */     GIR_EraseRootFromParent_Done,
     /* 2190816 */   // Label 28799: @2190816
     /* 2190816 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2190907), // Rule ID 64272 //
     /* 2190821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2190832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2190835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190867 */     // MIs[0] round
     /* 2190867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190870 */     // MIs[0] policy
     /* 2190870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190880 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2190883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190906 */     // GIR_Coverage, 64272,
     /* 2190906 */     GIR_EraseRootFromParent_Done,
     /* 2190907 */   // Label 28800: @2190907
     /* 2190907 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2190998), // Rule ID 64275 //
     /* 2190912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2190923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2190926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190958 */     // MIs[0] round
     /* 2190958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190961 */     // MIs[0] policy
     /* 2190961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2190974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190997 */     // GIR_Coverage, 64275,
     /* 2190997 */     GIR_EraseRootFromParent_Done,
     /* 2190998 */   // Label 28801: @2190998
     /* 2190998 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2191089), // Rule ID 64276 //
     /* 2191003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191049 */     // MIs[0] round
     /* 2191049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191052 */     // MIs[0] policy
     /* 2191052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191062 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2191065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191088 */     // GIR_Coverage, 64276,
     /* 2191088 */     GIR_EraseRootFromParent_Done,
     /* 2191089 */   // Label 28802: @2191089
     /* 2191089 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2191180), // Rule ID 64279 //
     /* 2191094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191140 */     // MIs[0] round
     /* 2191140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191143 */     // MIs[0] policy
     /* 2191143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191153 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191179 */     // GIR_Coverage, 64279,
     /* 2191179 */     GIR_EraseRootFromParent_Done,
     /* 2191180 */   // Label 28803: @2191180
     /* 2191180 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2191271), // Rule ID 64280 //
     /* 2191185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191231 */     // MIs[0] round
     /* 2191231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191234 */     // MIs[0] policy
     /* 2191234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191270 */     // GIR_Coverage, 64280,
     /* 2191270 */     GIR_EraseRootFromParent_Done,
     /* 2191271 */   // Label 28804: @2191271
     /* 2191271 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2191362), // Rule ID 64283 //
     /* 2191276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191322 */     // MIs[0] round
     /* 2191322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191325 */     // MIs[0] policy
     /* 2191325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191335 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191361 */     // GIR_Coverage, 64283,
     /* 2191361 */     GIR_EraseRootFromParent_Done,
     /* 2191362 */   // Label 28805: @2191362
     /* 2191362 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2191453), // Rule ID 64284 //
     /* 2191367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191413 */     // MIs[0] round
     /* 2191413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191416 */     // MIs[0] policy
     /* 2191416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191452 */     // GIR_Coverage, 64284,
     /* 2191452 */     GIR_EraseRootFromParent_Done,
     /* 2191453 */   // Label 28806: @2191453
     /* 2191453 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2191544), // Rule ID 64287 //
     /* 2191458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191504 */     // MIs[0] round
     /* 2191504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191507 */     // MIs[0] policy
     /* 2191507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191543 */     // GIR_Coverage, 64287,
     /* 2191543 */     GIR_EraseRootFromParent_Done,
     /* 2191544 */   // Label 28807: @2191544
     /* 2191544 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2191635), // Rule ID 64288 //
     /* 2191549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191595 */     // MIs[0] round
     /* 2191595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191598 */     // MIs[0] policy
     /* 2191598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191634 */     // GIR_Coverage, 64288,
     /* 2191634 */     GIR_EraseRootFromParent_Done,
     /* 2191635 */   // Label 28808: @2191635
     /* 2191635 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2191726), // Rule ID 64291 //
     /* 2191640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191686 */     // MIs[0] round
     /* 2191686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191689 */     // MIs[0] policy
     /* 2191689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2191702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191725 */     // GIR_Coverage, 64291,
     /* 2191725 */     GIR_EraseRootFromParent_Done,
     /* 2191726 */   // Label 28809: @2191726
     /* 2191726 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2191817), // Rule ID 64292 //
     /* 2191731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191777 */     // MIs[0] round
     /* 2191777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191780 */     // MIs[0] policy
     /* 2191780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2191793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191816 */     // GIR_Coverage, 64292,
     /* 2191816 */     GIR_EraseRootFromParent_Done,
     /* 2191817 */   // Label 28810: @2191817
     /* 2191817 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2191908), // Rule ID 64295 //
     /* 2191822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191868 */     // MIs[0] round
     /* 2191868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191871 */     // MIs[0] policy
     /* 2191871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191881 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2191884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191907 */     // GIR_Coverage, 64295,
     /* 2191907 */     GIR_EraseRootFromParent_Done,
     /* 2191908 */   // Label 28811: @2191908
     /* 2191908 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2191999), // Rule ID 64296 //
     /* 2191913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191959 */     // MIs[0] round
     /* 2191959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191962 */     // MIs[0] policy
     /* 2191962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2191975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191998 */     // GIR_Coverage, 64296,
     /* 2191998 */     GIR_EraseRootFromParent_Done,
     /* 2191999 */   // Label 28812: @2191999
     /* 2191999 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2192090), // Rule ID 64299 //
     /* 2192004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2192007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2192015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2192018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2192021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192050 */     // MIs[0] round
     /* 2192050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192053 */     // MIs[0] policy
     /* 2192053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192063 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192089 */     // GIR_Coverage, 64299,
     /* 2192089 */     GIR_EraseRootFromParent_Done,
     /* 2192090 */   // Label 28813: @2192090
     /* 2192090 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2192181), // Rule ID 64300 //
     /* 2192095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2192106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2192109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2192112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192141 */     // MIs[0] round
     /* 2192141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192144 */     // MIs[0] policy
     /* 2192144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192154 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192180 */     // GIR_Coverage, 64300,
     /* 2192180 */     GIR_EraseRootFromParent_Done,
     /* 2192181 */   // Label 28814: @2192181
     /* 2192181 */   GIM_Reject,
     /* 2192182 */ // Label 26770: @2192182
     /* 2192182 */ GIM_Reject,
     /* 2192183 */ // Label 38: @2192183
     /* 2192183 */ GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2192266), // Rule ID 35 //
     /* 2192188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2192191 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2192194 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2192199 */   // MIs[0] Operand 1
     /* 2192199 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2192203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2192207 */   // MIs[0] ptr
     /* 2192207 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2192215 */   // MIs[0] accessinfo
     /* 2192215 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2192218 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2192218 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192222 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192228 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2192232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2192235 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2192237 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2192239 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2192242 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2192245 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2192248 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2192251 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2192254 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2192257 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2192260 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192265 */   // GIR_Coverage, 35,
     /* 2192265 */   GIR_EraseRootFromParent_Done,
     /* 2192266 */ // Label 28815: @2192266
     /* 2192266 */ GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2193171),
     /* 2192271 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2192274 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2192346), // Rule ID 614 //
     /* 2192279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2192287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192300 */     // MIs[0] addr
     /* 2192300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192316 */     // MIs[0] ordering
     /* 2192316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192319 */     // (intrinsic_w_chain:{ *:[i32] } 10950:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2192325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192327 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192332 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192334 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192336 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192338 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192345 */     // GIR_Coverage, 614,
     /* 2192345 */     GIR_EraseRootFromParent_Done,
     /* 2192346 */   // Label 28817: @2192346
     /* 2192346 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2192418), // Rule ID 615 //
     /* 2192351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2192359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192372 */     // MIs[0] addr
     /* 2192372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192388 */     // MIs[0] ordering
     /* 2192388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192391 */     // (intrinsic_w_chain:{ *:[i32] } 10936:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2192397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192399 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192404 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192406 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192408 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192410 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192417 */     // GIR_Coverage, 615,
     /* 2192417 */     GIR_EraseRootFromParent_Done,
     /* 2192418 */   // Label 28818: @2192418
     /* 2192418 */   GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2192490), // Rule ID 616 //
     /* 2192423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2192431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192444 */     // MIs[0] addr
     /* 2192444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192460 */     // MIs[0] ordering
     /* 2192460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192463 */     // (intrinsic_w_chain:{ *:[i32] } 10944:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2192469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192471 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192476 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192478 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192480 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192482 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192489 */     // GIR_Coverage, 616,
     /* 2192489 */     GIR_EraseRootFromParent_Done,
     /* 2192490 */   // Label 28819: @2192490
     /* 2192490 */   GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2192562), // Rule ID 617 //
     /* 2192495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2192503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192516 */     // MIs[0] addr
     /* 2192516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192532 */     // MIs[0] ordering
     /* 2192532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192535 */     // (intrinsic_w_chain:{ *:[i32] } 10942:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2192541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192543 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192548 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192550 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192552 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192554 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192561 */     // GIR_Coverage, 617,
     /* 2192561 */     GIR_EraseRootFromParent_Done,
     /* 2192562 */   // Label 28820: @2192562
     /* 2192562 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2192642), // Rule ID 620 //
     /* 2192567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2192575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192588 */     // MIs[0] addr
     /* 2192588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192604 */     // MIs[0] ordering
     /* 2192604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192607 */     // (intrinsic_w_chain:{ *:[i32] } 10946:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192607 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2192616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192618 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192623 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192628 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192630 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192632 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192634 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192641 */     // GIR_Coverage, 620,
     /* 2192641 */     GIR_EraseRootFromParent_Done,
     /* 2192642 */   // Label 28821: @2192642
     /* 2192642 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2192722), // Rule ID 621 //
     /* 2192647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2192655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192668 */     // MIs[0] addr
     /* 2192668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192684 */     // MIs[0] ordering
     /* 2192684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192687 */     // (intrinsic_w_chain:{ *:[i32] } 10948:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192687 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2192696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192698 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192703 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192708 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192710 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192712 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192714 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192721 */     // GIR_Coverage, 621,
     /* 2192721 */     GIR_EraseRootFromParent_Done,
     /* 2192722 */   // Label 28822: @2192722
     /* 2192722 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2192794), // Rule ID 627 //
     /* 2192727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2192735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192748 */     // MIs[0] addr
     /* 2192748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192764 */     // MIs[0] ordering
     /* 2192764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192767 */     // (intrinsic_w_chain:{ *:[i64] } 10951:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2192773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192775 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192780 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192782 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192784 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192786 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192793 */     // GIR_Coverage, 627,
     /* 2192793 */     GIR_EraseRootFromParent_Done,
     /* 2192794 */   // Label 28823: @2192794
     /* 2192794 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2192866), // Rule ID 628 //
     /* 2192799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2192807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192820 */     // MIs[0] addr
     /* 2192820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192836 */     // MIs[0] ordering
     /* 2192836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192839 */     // (intrinsic_w_chain:{ *:[i64] } 10937:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2192845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192847 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192852 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192854 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192856 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192858 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192865 */     // GIR_Coverage, 628,
     /* 2192865 */     GIR_EraseRootFromParent_Done,
     /* 2192866 */   // Label 28824: @2192866
     /* 2192866 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2192938), // Rule ID 629 //
     /* 2192871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2192879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192892 */     // MIs[0] addr
     /* 2192892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192908 */     // MIs[0] ordering
     /* 2192908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192911 */     // (intrinsic_w_chain:{ *:[i64] } 10945:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2192917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192919 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192924 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192926 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192928 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192930 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192937 */     // GIR_Coverage, 629,
     /* 2192937 */     GIR_EraseRootFromParent_Done,
     /* 2192938 */   // Label 28825: @2192938
     /* 2192938 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2193010), // Rule ID 630 //
     /* 2192943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2192951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192964 */     // MIs[0] addr
     /* 2192964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192980 */     // MIs[0] ordering
     /* 2192980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192983 */     // (intrinsic_w_chain:{ *:[i64] } 10943:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2192989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192991 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192996 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192998 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193000 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193002 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193009 */     // GIR_Coverage, 630,
     /* 2193009 */     GIR_EraseRootFromParent_Done,
     /* 2193010 */   // Label 28826: @2193010
     /* 2193010 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2193090), // Rule ID 633 //
     /* 2193015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2193023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193036 */     // MIs[0] addr
     /* 2193036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193052 */     // MIs[0] ordering
     /* 2193052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193055 */     // (intrinsic_w_chain:{ *:[i64] } 10947:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193055 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2193064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193066 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193071 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193076 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193078 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193080 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193082 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193089 */     // GIR_Coverage, 633,
     /* 2193089 */     GIR_EraseRootFromParent_Done,
     /* 2193090 */   // Label 28827: @2193090
     /* 2193090 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2193170), // Rule ID 634 //
     /* 2193095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2193103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193116 */     // MIs[0] addr
     /* 2193116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193132 */     // MIs[0] ordering
     /* 2193132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193135 */     // (intrinsic_w_chain:{ *:[i64] } 10949:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193135 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2193144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193146 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193151 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193156 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193158 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193160 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193162 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193169 */     // GIR_Coverage, 634,
     /* 2193169 */     GIR_EraseRootFromParent_Done,
     /* 2193170 */   // Label 28828: @2193170
     /* 2193170 */   GIM_Reject,
     /* 2193171 */ // Label 28816: @2193171
     /* 2193171 */ GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2193698),
     /* 2193176 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2193179 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2193268), // Rule ID 618 //
     /* 2193184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2193192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193208 */     // MIs[0] addr
     /* 2193208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193228 */     // MIs[0] ordering
     /* 2193228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193231 */     // (intrinsic_w_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193231 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193242 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193247 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193252 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193254 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193256 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193258 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193260 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193267 */     // GIR_Coverage, 618,
     /* 2193267 */     GIR_EraseRootFromParent_Done,
     /* 2193268 */   // Label 28830: @2193268
     /* 2193268 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2193357), // Rule ID 619 //
     /* 2193273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2193281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193297 */     // MIs[0] addr
     /* 2193297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193317 */     // MIs[0] ordering
     /* 2193317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193320 */     // (intrinsic_w_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193320 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193331 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193336 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193341 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193343 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193345 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193347 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193349 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193356 */     // GIR_Coverage, 619,
     /* 2193356 */     GIR_EraseRootFromParent_Done,
     /* 2193357 */   // Label 28831: @2193357
     /* 2193357 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2193446), // Rule ID 631 //
     /* 2193362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2193370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193386 */     // MIs[0] addr
     /* 2193386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193406 */     // MIs[0] ordering
     /* 2193406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193409 */     // (intrinsic_w_chain:{ *:[i64] } 10939:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193409 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193420 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193425 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193430 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193432 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193434 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193436 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193438 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193445 */     // GIR_Coverage, 631,
     /* 2193445 */     GIR_EraseRootFromParent_Done,
     /* 2193446 */   // Label 28832: @2193446
     /* 2193446 */   GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2193535), // Rule ID 632 //
     /* 2193451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2193459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193475 */     // MIs[0] addr
     /* 2193475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193495 */     // MIs[0] ordering
     /* 2193495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193498 */     // (intrinsic_w_chain:{ *:[i64] } 10941:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193498 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193509 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193514 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193519 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193521 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193523 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193525 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193527 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193534 */     // GIR_Coverage, 632,
     /* 2193534 */     GIR_EraseRootFromParent_Done,
     /* 2193535 */   // Label 28833: @2193535
     /* 2193535 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2193616), // Rule ID 650 //
     /* 2193540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2193548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193564 */     // MIs[0] addr
     /* 2193564 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193584 */     // MIs[0] ordering
     /* 2193584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193587 */     // (intrinsic_w_chain:{ *:[i32] } 10952:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2193587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2193593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193595 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193600 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193602 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2193604 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2193606 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2193608 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193615 */     // GIR_Coverage, 650,
     /* 2193615 */     GIR_EraseRootFromParent_Done,
     /* 2193616 */   // Label 28834: @2193616
     /* 2193616 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2193697), // Rule ID 651 //
     /* 2193621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2193629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193645 */     // MIs[0] addr
     /* 2193645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193665 */     // MIs[0] ordering
     /* 2193665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193668 */     // (intrinsic_w_chain:{ *:[i64] } 10953:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2193674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193676 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193681 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193683 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2193685 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2193687 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2193689 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193696 */     // GIR_Coverage, 651,
     /* 2193696 */     GIR_EraseRootFromParent_Done,
     /* 2193697 */   // Label 28835: @2193697
     /* 2193697 */   GIM_Reject,
     /* 2193698 */ // Label 28829: @2193698
     /* 2193698 */ GIM_Reject,
     /* 2193699 */ // Label 39: @2193699
     /* 2193699 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28851*/ GIMT_Encode4(2196819),
     /* 2193710 */ /*GILLT_nxv1s16*//*Label 28836*/ GIMT_Encode4(2193810),
     /* 2193714 */ /*GILLT_nxv1s32*//*Label 28837*/ GIMT_Encode4(2193914),
     /* 2193718 */ /*GILLT_nxv1s64*//*Label 28838*/ GIMT_Encode4(2194131), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193730 */ /*GILLT_nxv2s16*//*Label 28839*/ GIMT_Encode4(2194456),
     /* 2193734 */ /*GILLT_nxv2s32*//*Label 28840*/ GIMT_Encode4(2194560),
     /* 2193738 */ /*GILLT_nxv2s64*//*Label 28841*/ GIMT_Encode4(2194777), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193750 */ /*GILLT_nxv4s16*//*Label 28842*/ GIMT_Encode4(2195102),
     /* 2193754 */ /*GILLT_nxv4s32*//*Label 28843*/ GIMT_Encode4(2195206),
     /* 2193758 */ /*GILLT_nxv4s64*//*Label 28844*/ GIMT_Encode4(2195423), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193770 */ /*GILLT_nxv8s16*//*Label 28845*/ GIMT_Encode4(2195748),
     /* 2193774 */ /*GILLT_nxv8s32*//*Label 28846*/ GIMT_Encode4(2195852),
     /* 2193778 */ /*GILLT_nxv8s64*//*Label 28847*/ GIMT_Encode4(2196069), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193790 */ /*GILLT_nxv16s16*//*Label 28848*/ GIMT_Encode4(2196394),
     /* 2193794 */ /*GILLT_nxv16s32*//*Label 28849*/ GIMT_Encode4(2196498), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193806 */ /*GILLT_nxv32s16*//*Label 28850*/ GIMT_Encode4(2196715),
     /* 2193810 */ // Label 28836: @2193810
     /* 2193810 */ GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2193913),
     /* 2193815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2193818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193826 */   GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2193869), // Rule ID 47353 //
     /* 2193831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193834 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2193837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2193851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193868 */     // GIR_Coverage, 47353,
     /* 2193868 */     GIR_EraseRootFromParent_Done,
     /* 2193869 */   // Label 28853: @2193869
     /* 2193869 */   GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2193912), // Rule ID 47354 //
     /* 2193874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193877 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2193880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2193894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193911 */     // GIR_Coverage, 47354,
     /* 2193911 */     GIR_EraseRootFromParent_Done,
     /* 2193912 */   // Label 28854: @2193912
     /* 2193912 */   GIM_Reject,
     /* 2193913 */ // Label 28852: @2193913
     /* 2193913 */ GIM_Reject,
     /* 2193914 */ // Label 28837: @2193914
     /* 2193914 */ GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2193968), // Rule ID 47377 //
     /* 2193919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2193925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193933 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2193936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2193950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193967 */   // GIR_Coverage, 47377,
     /* 2193967 */   GIR_EraseRootFromParent_Done,
     /* 2193968 */ // Label 28855: @2193968
     /* 2193968 */ GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2194022), // Rule ID 47378 //
     /* 2193973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2193979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193987 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2193990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194021 */   // GIR_Coverage, 47378,
     /* 2194021 */   GIR_EraseRootFromParent_Done,
     /* 2194022 */ // Label 28856: @2194022
     /* 2194022 */ GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2194076), // Rule ID 47443 //
     /* 2194027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194041 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194063 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194075 */   // GIR_Coverage, 47443,
     /* 2194075 */   GIR_EraseRootFromParent_Done,
     /* 2194076 */ // Label 28857: @2194076
     /* 2194076 */ GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2194130), // Rule ID 47444 //
     /* 2194081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194095 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194129 */   // GIR_Coverage, 47444,
     /* 2194129 */   GIR_EraseRootFromParent_Done,
     /* 2194130 */ // Label 28858: @2194130
     /* 2194130 */ GIM_Reject,
     /* 2194131 */ // Label 28838: @2194131
     /* 2194131 */ GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2194185), // Rule ID 47397 //
     /* 2194136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194150 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194150 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194153 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194157 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194162 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194172 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194184 */   // GIR_Coverage, 47397,
     /* 2194184 */   GIR_EraseRootFromParent_Done,
     /* 2194185 */ // Label 28859: @2194185
     /* 2194185 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2194239), // Rule ID 47398 //
     /* 2194190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194204 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194216 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194238 */   // GIR_Coverage, 47398,
     /* 2194238 */   GIR_EraseRootFromParent_Done,
     /* 2194239 */ // Label 28860: @2194239
     /* 2194239 */ GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2194293), // Rule ID 47463 //
     /* 2194244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194258 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194292 */   // GIR_Coverage, 47463,
     /* 2194292 */   GIR_EraseRootFromParent_Done,
     /* 2194293 */ // Label 28861: @2194293
     /* 2194293 */ GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2194347), // Rule ID 47464 //
     /* 2194298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194312 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194346 */   // GIR_Coverage, 47464,
     /* 2194346 */   GIR_EraseRootFromParent_Done,
     /* 2194347 */ // Label 28862: @2194347
     /* 2194347 */ GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2194401), // Rule ID 47497 //
     /* 2194352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194366 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194400 */   // GIR_Coverage, 47497,
     /* 2194400 */   GIR_EraseRootFromParent_Done,
     /* 2194401 */ // Label 28863: @2194401
     /* 2194401 */ GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2194455), // Rule ID 47498 //
     /* 2194406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194420 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194454 */   // GIR_Coverage, 47498,
     /* 2194454 */   GIR_EraseRootFromParent_Done,
     /* 2194455 */ // Label 28864: @2194455
     /* 2194455 */ GIM_Reject,
     /* 2194456 */ // Label 28839: @2194456
     /* 2194456 */ GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2194559),
     /* 2194461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194472 */   GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2194515), // Rule ID 47357 //
     /* 2194477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194480 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194514 */     // GIR_Coverage, 47357,
     /* 2194514 */     GIR_EraseRootFromParent_Done,
     /* 2194515 */   // Label 28866: @2194515
     /* 2194515 */   GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2194558), // Rule ID 47358 //
     /* 2194520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194523 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194557 */     // GIR_Coverage, 47358,
     /* 2194557 */     GIR_EraseRootFromParent_Done,
     /* 2194558 */   // Label 28867: @2194558
     /* 2194558 */   GIM_Reject,
     /* 2194559 */ // Label 28865: @2194559
     /* 2194559 */ GIM_Reject,
     /* 2194560 */ // Label 28840: @2194560
     /* 2194560 */ GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2194614), // Rule ID 47381 //
     /* 2194565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194579 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194579 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194582 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194586 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194601 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194613 */   // GIR_Coverage, 47381,
     /* 2194613 */   GIR_EraseRootFromParent_Done,
     /* 2194614 */ // Label 28868: @2194614
     /* 2194614 */ GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2194668), // Rule ID 47382 //
     /* 2194619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194633 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194633 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194636 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194640 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194645 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194652 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194655 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194667 */   // GIR_Coverage, 47382,
     /* 2194667 */   GIR_EraseRootFromParent_Done,
     /* 2194668 */ // Label 28869: @2194668
     /* 2194668 */ GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2194722), // Rule ID 47447 //
     /* 2194673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194687 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194706 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194721 */   // GIR_Coverage, 47447,
     /* 2194721 */   GIR_EraseRootFromParent_Done,
     /* 2194722 */ // Label 28870: @2194722
     /* 2194722 */ GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2194776), // Rule ID 47448 //
     /* 2194727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194741 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194741 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194748 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194753 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194760 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194763 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194775 */   // GIR_Coverage, 47448,
     /* 2194775 */   GIR_EraseRootFromParent_Done,
     /* 2194776 */ // Label 28871: @2194776
     /* 2194776 */ GIM_Reject,
     /* 2194777 */ // Label 28841: @2194777
     /* 2194777 */ GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2194831), // Rule ID 47401 //
     /* 2194782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2194788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194796 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194818 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194830 */   // GIR_Coverage, 47401,
     /* 2194830 */   GIR_EraseRootFromParent_Done,
     /* 2194831 */ // Label 28872: @2194831
     /* 2194831 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2194885), // Rule ID 47402 //
     /* 2194836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2194842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194850 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194850 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194853 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194857 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194869 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194872 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194884 */   // GIR_Coverage, 47402,
     /* 2194884 */   GIR_EraseRootFromParent_Done,
     /* 2194885 */ // Label 28873: @2194885
     /* 2194885 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2194939), // Rule ID 47467 //
     /* 2194890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194904 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2194921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194926 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194938 */   // GIR_Coverage, 47467,
     /* 2194938 */   GIR_EraseRootFromParent_Done,
     /* 2194939 */ // Label 28874: @2194939
     /* 2194939 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2194993), // Rule ID 47468 //
     /* 2194944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194958 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194958 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194961 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194965 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194970 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2194975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194977 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194980 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194992 */   // GIR_Coverage, 47468,
     /* 2194992 */   GIR_EraseRootFromParent_Done,
     /* 2194993 */ // Label 28875: @2194993
     /* 2194993 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2195047), // Rule ID 47501 //
     /* 2194998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195012 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2195029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195046 */   // GIR_Coverage, 47501,
     /* 2195046 */   GIR_EraseRootFromParent_Done,
     /* 2195047 */ // Label 28876: @2195047
     /* 2195047 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2195101), // Rule ID 47502 //
     /* 2195052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195066 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2195083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195100 */   // GIR_Coverage, 47502,
     /* 2195100 */   GIR_EraseRootFromParent_Done,
     /* 2195101 */ // Label 28877: @2195101
     /* 2195101 */ GIM_Reject,
     /* 2195102 */ // Label 28842: @2195102
     /* 2195102 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2195205),
     /* 2195107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195118 */   GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2195161), // Rule ID 47361 //
     /* 2195123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195126 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195160 */     // GIR_Coverage, 47361,
     /* 2195160 */     GIR_EraseRootFromParent_Done,
     /* 2195161 */   // Label 28879: @2195161
     /* 2195161 */   GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2195204), // Rule ID 47362 //
     /* 2195166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195169 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195203 */     // GIR_Coverage, 47362,
     /* 2195203 */     GIR_EraseRootFromParent_Done,
     /* 2195204 */   // Label 28880: @2195204
     /* 2195204 */   GIM_Reject,
     /* 2195205 */ // Label 28878: @2195205
     /* 2195205 */ GIM_Reject,
     /* 2195206 */ // Label 28843: @2195206
     /* 2195206 */ GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2195260), // Rule ID 47385 //
     /* 2195211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195225 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195259 */   // GIR_Coverage, 47385,
     /* 2195259 */   GIR_EraseRootFromParent_Done,
     /* 2195260 */ // Label 28881: @2195260
     /* 2195260 */ GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2195314), // Rule ID 47386 //
     /* 2195265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195279 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195313 */   // GIR_Coverage, 47386,
     /* 2195313 */   GIR_EraseRootFromParent_Done,
     /* 2195314 */ // Label 28882: @2195314
     /* 2195314 */ GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2195368), // Rule ID 47451 //
     /* 2195319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195333 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195367 */   // GIR_Coverage, 47451,
     /* 2195367 */   GIR_EraseRootFromParent_Done,
     /* 2195368 */ // Label 28883: @2195368
     /* 2195368 */ GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2195422), // Rule ID 47452 //
     /* 2195373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195387 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195421 */   // GIR_Coverage, 47452,
     /* 2195421 */   GIR_EraseRootFromParent_Done,
     /* 2195422 */ // Label 28884: @2195422
     /* 2195422 */ GIM_Reject,
     /* 2195423 */ // Label 28844: @2195423
     /* 2195423 */ GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2195477), // Rule ID 47405 //
     /* 2195428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195442 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195476 */   // GIR_Coverage, 47405,
     /* 2195476 */   GIR_EraseRootFromParent_Done,
     /* 2195477 */ // Label 28885: @2195477
     /* 2195477 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2195531), // Rule ID 47406 //
     /* 2195482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195496 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195496 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195499 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195503 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195508 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195515 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195518 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195530 */   // GIR_Coverage, 47406,
     /* 2195530 */   GIR_EraseRootFromParent_Done,
     /* 2195531 */ // Label 28886: @2195531
     /* 2195531 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2195585), // Rule ID 47471 //
     /* 2195536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195550 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195550 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195553 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195557 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195562 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195569 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195572 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195584 */   // GIR_Coverage, 47471,
     /* 2195584 */   GIR_EraseRootFromParent_Done,
     /* 2195585 */ // Label 28887: @2195585
     /* 2195585 */ GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2195639), // Rule ID 47472 //
     /* 2195590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195604 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195604 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195607 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195611 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195616 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195623 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195626 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195638 */   // GIR_Coverage, 47472,
     /* 2195638 */   GIR_EraseRootFromParent_Done,
     /* 2195639 */ // Label 28888: @2195639
     /* 2195639 */ GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2195693), // Rule ID 47505 //
     /* 2195644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195658 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2195675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195692 */   // GIR_Coverage, 47505,
     /* 2195692 */   GIR_EraseRootFromParent_Done,
     /* 2195693 */ // Label 28889: @2195693
     /* 2195693 */ GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2195747), // Rule ID 47506 //
     /* 2195698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195712 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2195729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195746 */   // GIR_Coverage, 47506,
     /* 2195746 */   GIR_EraseRootFromParent_Done,
     /* 2195747 */ // Label 28890: @2195747
     /* 2195747 */ GIM_Reject,
     /* 2195748 */ // Label 28845: @2195748
     /* 2195748 */ GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2195851),
     /* 2195753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2195756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195764 */   GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2195807), // Rule ID 47365 //
     /* 2195769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195772 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2195775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195806 */     // GIR_Coverage, 47365,
     /* 2195806 */     GIR_EraseRootFromParent_Done,
     /* 2195807 */   // Label 28892: @2195807
     /* 2195807 */   GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2195850), // Rule ID 47366 //
     /* 2195812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195815 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2195818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195849 */     // GIR_Coverage, 47366,
     /* 2195849 */     GIR_EraseRootFromParent_Done,
     /* 2195850 */   // Label 28893: @2195850
     /* 2195850 */   GIM_Reject,
     /* 2195851 */ // Label 28891: @2195851
     /* 2195851 */ GIM_Reject,
     /* 2195852 */ // Label 28846: @2195852
     /* 2195852 */ GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2195906), // Rule ID 47389 //
     /* 2195857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2195863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195871 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195871 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2195874 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195878 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195890 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195905 */   // GIR_Coverage, 47389,
     /* 2195905 */   GIR_EraseRootFromParent_Done,
     /* 2195906 */ // Label 28894: @2195906
     /* 2195906 */ GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2195960), // Rule ID 47390 //
     /* 2195911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2195917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195925 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2195928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195959 */   // GIR_Coverage, 47390,
     /* 2195959 */   GIR_EraseRootFromParent_Done,
     /* 2195960 */ // Label 28895: @2195960
     /* 2195960 */ GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2196014), // Rule ID 47455 //
     /* 2195965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2195971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195979 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2195982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196013 */   // GIR_Coverage, 47455,
     /* 2196013 */   GIR_EraseRootFromParent_Done,
     /* 2196014 */ // Label 28896: @2196014
     /* 2196014 */ GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2196068), // Rule ID 47456 //
     /* 2196019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196033 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2196050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196067 */   // GIR_Coverage, 47456,
     /* 2196067 */   GIR_EraseRootFromParent_Done,
     /* 2196068 */ // Label 28897: @2196068
     /* 2196068 */ GIM_Reject,
     /* 2196069 */ // Label 28847: @2196069
     /* 2196069 */ GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2196123), // Rule ID 47409 //
     /* 2196074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196088 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196100 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196110 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196121 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196122 */   // GIR_Coverage, 47409,
     /* 2196122 */   GIR_EraseRootFromParent_Done,
     /* 2196123 */ // Label 28898: @2196123
     /* 2196123 */ GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2196177), // Rule ID 47410 //
     /* 2196128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196142 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196142 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196145 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196149 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196161 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196176 */   // GIR_Coverage, 47410,
     /* 2196176 */   GIR_EraseRootFromParent_Done,
     /* 2196177 */ // Label 28899: @2196177
     /* 2196177 */ GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2196231), // Rule ID 47475 //
     /* 2196182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196196 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196230 */   // GIR_Coverage, 47475,
     /* 2196230 */   GIR_EraseRootFromParent_Done,
     /* 2196231 */ // Label 28900: @2196231
     /* 2196231 */ GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2196285), // Rule ID 47476 //
     /* 2196236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196250 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196284 */   // GIR_Coverage, 47476,
     /* 2196284 */   GIR_EraseRootFromParent_Done,
     /* 2196285 */ // Label 28901: @2196285
     /* 2196285 */ GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2196339), // Rule ID 47509 //
     /* 2196290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196304 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196338 */   // GIR_Coverage, 47509,
     /* 2196338 */   GIR_EraseRootFromParent_Done,
     /* 2196339 */ // Label 28902: @2196339
     /* 2196339 */ GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2196393), // Rule ID 47510 //
     /* 2196344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196358 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196392 */   // GIR_Coverage, 47510,
     /* 2196392 */   GIR_EraseRootFromParent_Done,
     /* 2196393 */ // Label 28903: @2196393
     /* 2196393 */ GIM_Reject,
     /* 2196394 */ // Label 28848: @2196394
     /* 2196394 */ GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2196497),
     /* 2196399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196410 */   GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2196453), // Rule ID 47369 //
     /* 2196415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196418 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196452 */     // GIR_Coverage, 47369,
     /* 2196452 */     GIR_EraseRootFromParent_Done,
     /* 2196453 */   // Label 28905: @2196453
     /* 2196453 */   GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2196496), // Rule ID 47370 //
     /* 2196458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196461 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196495 */     // GIR_Coverage, 47370,
     /* 2196495 */     GIR_EraseRootFromParent_Done,
     /* 2196496 */   // Label 28906: @2196496
     /* 2196496 */   GIM_Reject,
     /* 2196497 */ // Label 28904: @2196497
     /* 2196497 */ GIM_Reject,
     /* 2196498 */ // Label 28849: @2196498
     /* 2196498 */ GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2196552), // Rule ID 47393 //
     /* 2196503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196517 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196517 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196520 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196524 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196529 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196536 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196539 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196551 */   // GIR_Coverage, 47393,
     /* 2196551 */   GIR_EraseRootFromParent_Done,
     /* 2196552 */ // Label 28907: @2196552
     /* 2196552 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2196606), // Rule ID 47394 //
     /* 2196557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196571 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196583 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196590 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196593 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196605 */   // GIR_Coverage, 47394,
     /* 2196605 */   GIR_EraseRootFromParent_Done,
     /* 2196606 */ // Label 28908: @2196606
     /* 2196606 */ GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2196660), // Rule ID 47459 //
     /* 2196611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196625 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196659 */   // GIR_Coverage, 47459,
     /* 2196659 */   GIR_EraseRootFromParent_Done,
     /* 2196660 */ // Label 28909: @2196660
     /* 2196660 */ GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2196714), // Rule ID 47460 //
     /* 2196665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196679 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196713 */   // GIR_Coverage, 47460,
     /* 2196713 */   GIR_EraseRootFromParent_Done,
     /* 2196714 */ // Label 28910: @2196714
     /* 2196714 */ GIM_Reject,
     /* 2196715 */ // Label 28850: @2196715
     /* 2196715 */ GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2196818),
     /* 2196720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2196723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196731 */   GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2196774), // Rule ID 47373 //
     /* 2196736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196739 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2196742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196773 */     // GIR_Coverage, 47373,
     /* 2196773 */     GIR_EraseRootFromParent_Done,
     /* 2196774 */   // Label 28912: @2196774
     /* 2196774 */   GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2196817), // Rule ID 47374 //
     /* 2196779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196782 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2196785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196816 */     // GIR_Coverage, 47374,
     /* 2196816 */     GIR_EraseRootFromParent_Done,
     /* 2196817 */   // Label 28913: @2196817
     /* 2196817 */   GIM_Reject,
     /* 2196818 */ // Label 28911: @2196818
     /* 2196818 */ GIM_Reject,
     /* 2196819 */ // Label 28851: @2196819
     /* 2196819 */ GIM_Reject,
     /* 2196820 */ // Label 40: @2196820
     /* 2196820 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28931*/ GIMT_Encode4(2200294),
     /* 2196831 */ /*GILLT_s32*//*Label 28914*/ GIMT_Encode4(2196947),
     /* 2196835 */ /*GILLT_s64*//*Label 28915*/ GIMT_Encode4(2197121), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196847 */ /*GILLT_nxv1s16*//*Label 28916*/ GIMT_Encode4(2197285),
     /* 2196851 */ /*GILLT_nxv1s32*//*Label 28917*/ GIMT_Encode4(2197389),
     /* 2196855 */ /*GILLT_nxv1s64*//*Label 28918*/ GIMT_Encode4(2197606), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196867 */ /*GILLT_nxv2s16*//*Label 28919*/ GIMT_Encode4(2197931),
     /* 2196871 */ /*GILLT_nxv2s32*//*Label 28920*/ GIMT_Encode4(2198035),
     /* 2196875 */ /*GILLT_nxv2s64*//*Label 28921*/ GIMT_Encode4(2198252), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196887 */ /*GILLT_nxv4s16*//*Label 28922*/ GIMT_Encode4(2198577),
     /* 2196891 */ /*GILLT_nxv4s32*//*Label 28923*/ GIMT_Encode4(2198681),
     /* 2196895 */ /*GILLT_nxv4s64*//*Label 28924*/ GIMT_Encode4(2198898), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196907 */ /*GILLT_nxv8s16*//*Label 28925*/ GIMT_Encode4(2199223),
     /* 2196911 */ /*GILLT_nxv8s32*//*Label 28926*/ GIMT_Encode4(2199327),
     /* 2196915 */ /*GILLT_nxv8s64*//*Label 28927*/ GIMT_Encode4(2199544), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196927 */ /*GILLT_nxv16s16*//*Label 28928*/ GIMT_Encode4(2199869),
     /* 2196931 */ /*GILLT_nxv16s32*//*Label 28929*/ GIMT_Encode4(2199973), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196943 */ /*GILLT_nxv32s16*//*Label 28930*/ GIMT_Encode4(2200190),
     /* 2196947 */ // Label 28914: @2196947
     /* 2196947 */ GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2197120),
     /* 2196952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2196955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196963 */   GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2197005), // Rule ID 64979 //
     /* 2196968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2196971 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2196971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2196974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2196978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2196987 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2196990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2196995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2197003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197004 */     // GIR_Coverage, 64979,
     /* 2197004 */     GIR_EraseRootFromParent_Done,
     /* 2197005 */   // Label 28933: @2197005
     /* 2197005 */   GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2197047), // Rule ID 64981 //
     /* 2197010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2197013 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2197013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197029 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197046 */     // GIR_Coverage, 64981,
     /* 2197046 */     GIR_EraseRootFromParent_Done,
     /* 2197047 */   // Label 28934: @2197047
     /* 2197047 */   GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2197089), // Rule ID 64982 //
     /* 2197052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2197055 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2197055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2197058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197071 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197088 */     // GIR_Coverage, 64982,
     /* 2197088 */     GIR_EraseRootFromParent_Done,
     /* 2197089 */   // Label 28935: @2197089
     /* 2197089 */   GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2197104), // Rule ID 64984 //
     /* 2197094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2197097 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197103 */     // GIR_Coverage, 64984,
     /* 2197103 */     GIR_Done,
     /* 2197104 */   // Label 28936: @2197104
     /* 2197104 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2197119), // Rule ID 64985 //
     /* 2197109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2197112 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197118 */     // GIR_Coverage, 64985,
     /* 2197118 */     GIR_Done,
     /* 2197119 */   // Label 28937: @2197119
     /* 2197119 */   GIM_Reject,
     /* 2197120 */ // Label 28932: @2197120
     /* 2197120 */ GIM_Reject,
     /* 2197121 */ // Label 28915: @2197121
     /* 2197121 */ GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2197152), // Rule ID 64969 //
     /* 2197126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2197129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2197132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197140 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2197140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2197143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197145 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2197147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2197150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197151 */   // GIR_Coverage, 64969,
     /* 2197151 */   GIR_EraseRootFromParent_Done,
     /* 2197152 */ // Label 28938: @2197152
     /* 2197152 */ GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2197205), // Rule ID 64978 //
     /* 2197157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2197160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197171 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2197171 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197174 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197178 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197183 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197187 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2197190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2197203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197204 */   // GIR_Coverage, 64978,
     /* 2197204 */   GIR_EraseRootFromParent_Done,
     /* 2197205 */ // Label 28939: @2197205
     /* 2197205 */ GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2197258), // Rule ID 64980 //
     /* 2197210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2197213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197224 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2197224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197236 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197240 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197257 */   // GIR_Coverage, 64980,
     /* 2197257 */   GIR_EraseRootFromParent_Done,
     /* 2197258 */ // Label 28940: @2197258
     /* 2197258 */ GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2197284), // Rule ID 64986 //
     /* 2197263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2197266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197277 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2197277 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197283 */   // GIR_Coverage, 64986,
     /* 2197283 */   GIR_Done,
     /* 2197284 */ // Label 28941: @2197284
     /* 2197284 */ GIM_Reject,
     /* 2197285 */ // Label 28916: @2197285
     /* 2197285 */ GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2197388),
     /* 2197290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197301 */   GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2197344), // Rule ID 47411 //
     /* 2197306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197309 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197343 */     // GIR_Coverage, 47411,
     /* 2197343 */     GIR_EraseRootFromParent_Done,
     /* 2197344 */   // Label 28943: @2197344
     /* 2197344 */   GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2197387), // Rule ID 47412 //
     /* 2197349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197352 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197386 */     // GIR_Coverage, 47412,
     /* 2197386 */     GIR_EraseRootFromParent_Done,
     /* 2197387 */   // Label 28944: @2197387
     /* 2197387 */   GIM_Reject,
     /* 2197388 */ // Label 28942: @2197388
     /* 2197388 */ GIM_Reject,
     /* 2197389 */ // Label 28917: @2197389
     /* 2197389 */ GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2197443), // Rule ID 47423 //
     /* 2197394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197408 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197408 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197411 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197415 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197420 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197430 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197442 */   // GIR_Coverage, 47423,
     /* 2197442 */   GIR_EraseRootFromParent_Done,
     /* 2197443 */ // Label 28945: @2197443
     /* 2197443 */ GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2197497), // Rule ID 47424 //
     /* 2197448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197462 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197462 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197465 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197469 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197474 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197484 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197496 */   // GIR_Coverage, 47424,
     /* 2197496 */   GIR_EraseRootFromParent_Done,
     /* 2197497 */ // Label 28946: @2197497
     /* 2197497 */ GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2197551), // Rule ID 47477 //
     /* 2197502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197516 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197550 */   // GIR_Coverage, 47477,
     /* 2197550 */   GIR_EraseRootFromParent_Done,
     /* 2197551 */ // Label 28947: @2197551
     /* 2197551 */ GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2197605), // Rule ID 47478 //
     /* 2197556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197570 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197570 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197573 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197577 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197582 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197589 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197592 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197604 */   // GIR_Coverage, 47478,
     /* 2197604 */   GIR_EraseRootFromParent_Done,
     /* 2197605 */ // Label 28948: @2197605
     /* 2197605 */ GIM_Reject,
     /* 2197606 */ // Label 28918: @2197606
     /* 2197606 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2197660), // Rule ID 47433 //
     /* 2197611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2197617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197625 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2197642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197659 */   // GIR_Coverage, 47433,
     /* 2197659 */   GIR_EraseRootFromParent_Done,
     /* 2197660 */ // Label 28949: @2197660
     /* 2197660 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2197714), // Rule ID 47434 //
     /* 2197665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2197671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197679 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2197696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197713 */   // GIR_Coverage, 47434,
     /* 2197713 */   GIR_EraseRootFromParent_Done,
     /* 2197714 */ // Label 28950: @2197714
     /* 2197714 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2197768), // Rule ID 47487 //
     /* 2197719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197733 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2197750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197767 */   // GIR_Coverage, 47487,
     /* 2197767 */   GIR_EraseRootFromParent_Done,
     /* 2197768 */ // Label 28951: @2197768
     /* 2197768 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2197822), // Rule ID 47488 //
     /* 2197773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197787 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2197804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197821 */   // GIR_Coverage, 47488,
     /* 2197821 */   GIR_EraseRootFromParent_Done,
     /* 2197822 */ // Label 28952: @2197822
     /* 2197822 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2197876), // Rule ID 47511 //
     /* 2197827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197841 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2197858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197875 */   // GIR_Coverage, 47511,
     /* 2197875 */   GIR_EraseRootFromParent_Done,
     /* 2197876 */ // Label 28953: @2197876
     /* 2197876 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2197930), // Rule ID 47512 //
     /* 2197881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197895 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2197912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197929 */   // GIR_Coverage, 47512,
     /* 2197929 */   GIR_EraseRootFromParent_Done,
     /* 2197930 */ // Label 28954: @2197930
     /* 2197930 */ GIM_Reject,
     /* 2197931 */ // Label 28919: @2197931
     /* 2197931 */ GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2198034),
     /* 2197936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2197939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197947 */   GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2197990), // Rule ID 47413 //
     /* 2197952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197955 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2197958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197989 */     // GIR_Coverage, 47413,
     /* 2197989 */     GIR_EraseRootFromParent_Done,
     /* 2197990 */   // Label 28956: @2197990
     /* 2197990 */   GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2198033), // Rule ID 47414 //
     /* 2197995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197998 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2198001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2198015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198032 */     // GIR_Coverage, 47414,
     /* 2198032 */     GIR_EraseRootFromParent_Done,
     /* 2198033 */   // Label 28957: @2198033
     /* 2198033 */   GIM_Reject,
     /* 2198034 */ // Label 28955: @2198034
     /* 2198034 */ GIM_Reject,
     /* 2198035 */ // Label 28920: @2198035
     /* 2198035 */ GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2198089), // Rule ID 47425 //
     /* 2198040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198054 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198066 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198073 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198076 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198088 */   // GIR_Coverage, 47425,
     /* 2198088 */   GIR_EraseRootFromParent_Done,
     /* 2198089 */ // Label 28958: @2198089
     /* 2198089 */ GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2198143), // Rule ID 47426 //
     /* 2198094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198108 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198108 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198111 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198115 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198120 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198127 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198130 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198142 */   // GIR_Coverage, 47426,
     /* 2198142 */   GIR_EraseRootFromParent_Done,
     /* 2198143 */ // Label 28959: @2198143
     /* 2198143 */ GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2198197), // Rule ID 47479 //
     /* 2198148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198162 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198174 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198184 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198196 */   // GIR_Coverage, 47479,
     /* 2198196 */   GIR_EraseRootFromParent_Done,
     /* 2198197 */ // Label 28960: @2198197
     /* 2198197 */ GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2198251), // Rule ID 47480 //
     /* 2198202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198216 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198216 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198219 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198223 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198250 */   // GIR_Coverage, 47480,
     /* 2198250 */   GIR_EraseRootFromParent_Done,
     /* 2198251 */ // Label 28961: @2198251
     /* 2198251 */ GIM_Reject,
     /* 2198252 */ // Label 28921: @2198252
     /* 2198252 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2198306), // Rule ID 47435 //
     /* 2198257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198271 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198293 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198305 */   // GIR_Coverage, 47435,
     /* 2198305 */   GIR_EraseRootFromParent_Done,
     /* 2198306 */ // Label 28962: @2198306
     /* 2198306 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2198360), // Rule ID 47436 //
     /* 2198311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198325 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198337 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198344 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198347 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198359 */   // GIR_Coverage, 47436,
     /* 2198359 */   GIR_EraseRootFromParent_Done,
     /* 2198360 */ // Label 28963: @2198360
     /* 2198360 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2198414), // Rule ID 47489 //
     /* 2198365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198379 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198401 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198413 */   // GIR_Coverage, 47489,
     /* 2198413 */   GIR_EraseRootFromParent_Done,
     /* 2198414 */ // Label 28964: @2198414
     /* 2198414 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2198468), // Rule ID 47490 //
     /* 2198419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198433 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198455 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198467 */   // GIR_Coverage, 47490,
     /* 2198467 */   GIR_EraseRootFromParent_Done,
     /* 2198468 */ // Label 28965: @2198468
     /* 2198468 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2198522), // Rule ID 47513 //
     /* 2198473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198487 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198521 */   // GIR_Coverage, 47513,
     /* 2198521 */   GIR_EraseRootFromParent_Done,
     /* 2198522 */ // Label 28966: @2198522
     /* 2198522 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2198576), // Rule ID 47514 //
     /* 2198527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198541 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198575 */   // GIR_Coverage, 47514,
     /* 2198575 */   GIR_EraseRootFromParent_Done,
     /* 2198576 */ // Label 28967: @2198576
     /* 2198576 */ GIM_Reject,
     /* 2198577 */ // Label 28922: @2198577
     /* 2198577 */ GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2198680),
     /* 2198582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198593 */   GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2198636), // Rule ID 47415 //
     /* 2198598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198601 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2198604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198635 */     // GIR_Coverage, 47415,
     /* 2198635 */     GIR_EraseRootFromParent_Done,
     /* 2198636 */   // Label 28969: @2198636
     /* 2198636 */   GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2198679), // Rule ID 47416 //
     /* 2198641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198644 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2198647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198678 */     // GIR_Coverage, 47416,
     /* 2198678 */     GIR_EraseRootFromParent_Done,
     /* 2198679 */   // Label 28970: @2198679
     /* 2198679 */   GIM_Reject,
     /* 2198680 */ // Label 28968: @2198680
     /* 2198680 */ GIM_Reject,
     /* 2198681 */ // Label 28923: @2198681
     /* 2198681 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2198735), // Rule ID 47427 //
     /* 2198686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2198692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198700 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198700 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198703 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198707 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198712 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198719 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198722 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198734 */   // GIR_Coverage, 47427,
     /* 2198734 */   GIR_EraseRootFromParent_Done,
     /* 2198735 */ // Label 28971: @2198735
     /* 2198735 */ GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2198789), // Rule ID 47428 //
     /* 2198740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2198746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198754 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198776 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198788 */   // GIR_Coverage, 47428,
     /* 2198788 */   GIR_EraseRootFromParent_Done,
     /* 2198789 */ // Label 28972: @2198789
     /* 2198789 */ GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2198843), // Rule ID 47481 //
     /* 2198794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198808 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198842 */   // GIR_Coverage, 47481,
     /* 2198842 */   GIR_EraseRootFromParent_Done,
     /* 2198843 */ // Label 28973: @2198843
     /* 2198843 */ GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2198897), // Rule ID 47482 //
     /* 2198848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198862 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198881 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198884 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198896 */   // GIR_Coverage, 47482,
     /* 2198896 */   GIR_EraseRootFromParent_Done,
     /* 2198897 */ // Label 28974: @2198897
     /* 2198897 */ GIM_Reject,
     /* 2198898 */ // Label 28924: @2198898
     /* 2198898 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2198952), // Rule ID 47437 //
     /* 2198903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2198909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198917 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198917 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2198920 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198924 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198929 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198936 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198939 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198951 */   // GIR_Coverage, 47437,
     /* 2198951 */   GIR_EraseRootFromParent_Done,
     /* 2198952 */ // Label 28975: @2198952
     /* 2198952 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2199006), // Rule ID 47438 //
     /* 2198957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2198963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198971 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2198974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198983 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198990 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198993 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199005 */   // GIR_Coverage, 47438,
     /* 2199005 */   GIR_EraseRootFromParent_Done,
     /* 2199006 */ // Label 28976: @2199006
     /* 2199006 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2199060), // Rule ID 47491 //
     /* 2199011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199025 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199059 */   // GIR_Coverage, 47491,
     /* 2199059 */   GIR_EraseRootFromParent_Done,
     /* 2199060 */ // Label 28977: @2199060
     /* 2199060 */ GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2199114), // Rule ID 47492 //
     /* 2199065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199079 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199113 */   // GIR_Coverage, 47492,
     /* 2199113 */   GIR_EraseRootFromParent_Done,
     /* 2199114 */ // Label 28978: @2199114
     /* 2199114 */ GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2199168), // Rule ID 47515 //
     /* 2199119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199133 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199167 */   // GIR_Coverage, 47515,
     /* 2199167 */   GIR_EraseRootFromParent_Done,
     /* 2199168 */ // Label 28979: @2199168
     /* 2199168 */ GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2199222), // Rule ID 47516 //
     /* 2199173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199187 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199221 */   // GIR_Coverage, 47516,
     /* 2199221 */   GIR_EraseRootFromParent_Done,
     /* 2199222 */ // Label 28980: @2199222
     /* 2199222 */ GIM_Reject,
     /* 2199223 */ // Label 28925: @2199223
     /* 2199223 */ GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2199326),
     /* 2199228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199239 */   GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2199282), // Rule ID 47417 //
     /* 2199244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199247 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199281 */     // GIR_Coverage, 47417,
     /* 2199281 */     GIR_EraseRootFromParent_Done,
     /* 2199282 */   // Label 28982: @2199282
     /* 2199282 */   GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2199325), // Rule ID 47418 //
     /* 2199287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199290 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199324 */     // GIR_Coverage, 47418,
     /* 2199324 */     GIR_EraseRootFromParent_Done,
     /* 2199325 */   // Label 28983: @2199325
     /* 2199325 */   GIM_Reject,
     /* 2199326 */ // Label 28981: @2199326
     /* 2199326 */ GIM_Reject,
     /* 2199327 */ // Label 28926: @2199327
     /* 2199327 */ GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2199381), // Rule ID 47429 //
     /* 2199332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199346 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199346 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199349 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199353 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199358 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199368 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199380 */   // GIR_Coverage, 47429,
     /* 2199380 */   GIR_EraseRootFromParent_Done,
     /* 2199381 */ // Label 28984: @2199381
     /* 2199381 */ GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2199435), // Rule ID 47430 //
     /* 2199386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199400 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199419 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199422 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199434 */   // GIR_Coverage, 47430,
     /* 2199434 */   GIR_EraseRootFromParent_Done,
     /* 2199435 */ // Label 28985: @2199435
     /* 2199435 */ GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2199489), // Rule ID 47483 //
     /* 2199440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199454 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199454 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199457 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199461 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199476 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199488 */   // GIR_Coverage, 47483,
     /* 2199488 */   GIR_EraseRootFromParent_Done,
     /* 2199489 */ // Label 28986: @2199489
     /* 2199489 */ GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2199543), // Rule ID 47484 //
     /* 2199494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199508 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199508 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199511 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199515 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199542 */   // GIR_Coverage, 47484,
     /* 2199542 */   GIR_EraseRootFromParent_Done,
     /* 2199543 */ // Label 28987: @2199543
     /* 2199543 */ GIM_Reject,
     /* 2199544 */ // Label 28927: @2199544
     /* 2199544 */ GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2199598), // Rule ID 47439 //
     /* 2199549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199563 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199563 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199566 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199570 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199597 */   // GIR_Coverage, 47439,
     /* 2199597 */   GIR_EraseRootFromParent_Done,
     /* 2199598 */ // Label 28988: @2199598
     /* 2199598 */ GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2199652), // Rule ID 47440 //
     /* 2199603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199617 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199651 */   // GIR_Coverage, 47440,
     /* 2199651 */   GIR_EraseRootFromParent_Done,
     /* 2199652 */ // Label 28989: @2199652
     /* 2199652 */ GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2199706), // Rule ID 47493 //
     /* 2199657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199671 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2199688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199705 */   // GIR_Coverage, 47493,
     /* 2199705 */   GIR_EraseRootFromParent_Done,
     /* 2199706 */ // Label 28990: @2199706
     /* 2199706 */ GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2199760), // Rule ID 47494 //
     /* 2199711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199725 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2199742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199759 */   // GIR_Coverage, 47494,
     /* 2199759 */   GIR_EraseRootFromParent_Done,
     /* 2199760 */ // Label 28991: @2199760
     /* 2199760 */ GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2199814), // Rule ID 47517 //
     /* 2199765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199779 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2199796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199813 */   // GIR_Coverage, 47517,
     /* 2199813 */   GIR_EraseRootFromParent_Done,
     /* 2199814 */ // Label 28992: @2199814
     /* 2199814 */ GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2199868), // Rule ID 47518 //
     /* 2199819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199833 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2199850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199867 */   // GIR_Coverage, 47518,
     /* 2199867 */   GIR_EraseRootFromParent_Done,
     /* 2199868 */ // Label 28993: @2199868
     /* 2199868 */ GIM_Reject,
     /* 2199869 */ // Label 28928: @2199869
     /* 2199869 */ GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2199972),
     /* 2199874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2199877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199885 */   GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2199928), // Rule ID 47419 //
     /* 2199890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199893 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2199896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199927 */     // GIR_Coverage, 47419,
     /* 2199927 */     GIR_EraseRootFromParent_Done,
     /* 2199928 */   // Label 28995: @2199928
     /* 2199928 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2199971), // Rule ID 47420 //
     /* 2199933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199936 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2199939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199970 */     // GIR_Coverage, 47420,
     /* 2199970 */     GIR_EraseRootFromParent_Done,
     /* 2199971 */   // Label 28996: @2199971
     /* 2199971 */   GIM_Reject,
     /* 2199972 */ // Label 28994: @2199972
     /* 2199972 */ GIM_Reject,
     /* 2199973 */ // Label 28929: @2199973
     /* 2199973 */ GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2200027), // Rule ID 47431 //
     /* 2199978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2199984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199992 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2199995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200011 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200014 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200026 */   // GIR_Coverage, 47431,
     /* 2200026 */   GIR_EraseRootFromParent_Done,
     /* 2200027 */ // Label 28997: @2200027
     /* 2200027 */ GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2200081), // Rule ID 47432 //
     /* 2200032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2200038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200046 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200046 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200049 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200053 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200065 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200068 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200080 */   // GIR_Coverage, 47432,
     /* 2200080 */   GIR_EraseRootFromParent_Done,
     /* 2200081 */ // Label 28998: @2200081
     /* 2200081 */ GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2200135), // Rule ID 47485 //
     /* 2200086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200100 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200100 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200103 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200107 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200112 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200119 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200122 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200134 */   // GIR_Coverage, 47485,
     /* 2200134 */   GIR_EraseRootFromParent_Done,
     /* 2200135 */ // Label 28999: @2200135
     /* 2200135 */ GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2200189), // Rule ID 47486 //
     /* 2200140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200154 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200154 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200157 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200161 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200166 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200176 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200188 */   // GIR_Coverage, 47486,
     /* 2200188 */   GIR_EraseRootFromParent_Done,
     /* 2200189 */ // Label 29000: @2200189
     /* 2200189 */ GIM_Reject,
     /* 2200190 */ // Label 28930: @2200190
     /* 2200190 */ GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2200293),
     /* 2200195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2200198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200206 */   GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2200249), // Rule ID 47421 //
     /* 2200211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200214 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200248 */     // GIR_Coverage, 47421,
     /* 2200248 */     GIR_EraseRootFromParent_Done,
     /* 2200249 */   // Label 29002: @2200249
     /* 2200249 */   GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2200292), // Rule ID 47422 //
     /* 2200254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200257 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200291 */     // GIR_Coverage, 47422,
     /* 2200291 */     GIR_EraseRootFromParent_Done,
     /* 2200292 */   // Label 29003: @2200292
     /* 2200292 */   GIM_Reject,
     /* 2200293 */ // Label 29001: @2200293
     /* 2200293 */ GIM_Reject,
     /* 2200294 */ // Label 28931: @2200294
     /* 2200294 */ GIM_Reject,
     /* 2200295 */ // Label 41: @2200295
     /* 2200295 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29006*/ GIMT_Encode4(2200843),
     /* 2200306 */ /*GILLT_s32*//*Label 29004*/ GIMT_Encode4(2200314),
     /* 2200310 */ /*GILLT_s64*//*Label 29005*/ GIMT_Encode4(2200546),
     /* 2200314 */ // Label 29004: @2200314
     /* 2200314 */ GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2200545),
     /* 2200319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2200322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200330 */   GIM_Try, /*On fail goto*//*Label 29008*/ GIMT_Encode4(2200358), // Rule ID 64376 //
     /* 2200335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200338 */     // MIs[0] Operand 2
     /* 2200338 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200349 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200357 */     // GIR_Coverage, 64376,
     /* 2200357 */     GIR_EraseRootFromParent_Done,
     /* 2200358 */   // Label 29008: @2200358
     /* 2200358 */   GIM_Try, /*On fail goto*//*Label 29009*/ GIMT_Encode4(2200386), // Rule ID 64378 //
     /* 2200363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200366 */     // MIs[0] Operand 2
     /* 2200366 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200377 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200385 */     // GIR_Coverage, 64378,
     /* 2200385 */     GIR_EraseRootFromParent_Done,
     /* 2200386 */   // Label 29009: @2200386
     /* 2200386 */   GIM_Try, /*On fail goto*//*Label 29010*/ GIMT_Encode4(2200414), // Rule ID 2408 //
     /* 2200391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200394 */     // MIs[0] Operand 2
     /* 2200394 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200405 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2200408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200413 */     // GIR_Coverage, 2408,
     /* 2200413 */     GIR_EraseRootFromParent_Done,
     /* 2200414 */   // Label 29010: @2200414
     /* 2200414 */   GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2200442), // Rule ID 2410 //
     /* 2200419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200422 */     // MIs[0] Operand 2
     /* 2200422 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200433 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2200436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200441 */     // GIR_Coverage, 2410,
     /* 2200441 */     GIR_EraseRootFromParent_Done,
     /* 2200442 */   // Label 29011: @2200442
     /* 2200442 */   GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2200476), // Rule ID 62462 //
     /* 2200447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200450 */     // MIs[0] Operand 2
     /* 2200450 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200461 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2200471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200475 */     // GIR_Coverage, 62462,
     /* 2200475 */     GIR_EraseRootFromParent_Done,
     /* 2200476 */   // Label 29012: @2200476
     /* 2200476 */   GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2200510), // Rule ID 62464 //
     /* 2200481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200484 */     // MIs[0] Operand 2
     /* 2200484 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200495 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200509 */     // GIR_Coverage, 62464,
     /* 2200509 */     GIR_EraseRootFromParent_Done,
     /* 2200510 */   // Label 29013: @2200510
     /* 2200510 */   GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2200544), // Rule ID 62466 //
     /* 2200515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200518 */     // MIs[0] Operand 2
     /* 2200518 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2200529 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200543 */     // GIR_Coverage, 62466,
     /* 2200543 */     GIR_EraseRootFromParent_Done,
     /* 2200544 */   // Label 29014: @2200544
     /* 2200544 */   GIM_Reject,
     /* 2200545 */ // Label 29007: @2200545
     /* 2200545 */ GIM_Reject,
     /* 2200546 */ // Label 29005: @2200546
     /* 2200546 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2200842),
     /* 2200551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2200554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200562 */   GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2200590), // Rule ID 64375 //
     /* 2200567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200570 */     // MIs[0] Operand 2
     /* 2200570 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200581 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200589 */     // GIR_Coverage, 64375,
     /* 2200589 */     GIR_EraseRootFromParent_Done,
     /* 2200590 */   // Label 29016: @2200590
     /* 2200590 */   GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2200618), // Rule ID 64377 //
     /* 2200595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200598 */     // MIs[0] Operand 2
     /* 2200598 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200609 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200617 */     // GIR_Coverage, 64377,
     /* 2200617 */     GIR_EraseRootFromParent_Done,
     /* 2200618 */   // Label 29017: @2200618
     /* 2200618 */   GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2200649), // Rule ID 256 //
     /* 2200623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2200626 */     // MIs[0] Operand 2
     /* 2200626 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2200637 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2200637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2200640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200648 */     // GIR_Coverage, 256,
     /* 2200648 */     GIR_EraseRootFromParent_Done,
     /* 2200649 */   // Label 29018: @2200649
     /* 2200649 */   GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2200677), // Rule ID 2407 //
     /* 2200654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2200657 */     // MIs[0] Operand 2
     /* 2200657 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200668 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2200671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200676 */     // GIR_Coverage, 2407,
     /* 2200676 */     GIR_EraseRootFromParent_Done,
     /* 2200677 */   // Label 29019: @2200677
     /* 2200677 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2200705), // Rule ID 2409 //
     /* 2200682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2200685 */     // MIs[0] Operand 2
     /* 2200685 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200696 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2200699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200704 */     // GIR_Coverage, 2409,
     /* 2200704 */     GIR_EraseRootFromParent_Done,
     /* 2200705 */   // Label 29020: @2200705
     /* 2200705 */   GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2200739), // Rule ID 62460 //
     /* 2200710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200713 */     // MIs[0] Operand 2
     /* 2200713 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2200724 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2200734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200738 */     // GIR_Coverage, 62460,
     /* 2200738 */     GIR_EraseRootFromParent_Done,
     /* 2200739 */   // Label 29021: @2200739
     /* 2200739 */   GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2200773), // Rule ID 62461 //
     /* 2200744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200747 */     // MIs[0] Operand 2
     /* 2200747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200758 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2200768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200772 */     // GIR_Coverage, 62461,
     /* 2200772 */     GIR_EraseRootFromParent_Done,
     /* 2200773 */   // Label 29022: @2200773
     /* 2200773 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2200807), // Rule ID 62463 //
     /* 2200778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200781 */     // MIs[0] Operand 2
     /* 2200781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200792 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200806 */     // GIR_Coverage, 62463,
     /* 2200806 */     GIR_EraseRootFromParent_Done,
     /* 2200807 */   // Label 29023: @2200807
     /* 2200807 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2200841), // Rule ID 62465 //
     /* 2200812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200815 */     // MIs[0] Operand 2
     /* 2200815 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2200826 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200840 */     // GIR_Coverage, 62465,
     /* 2200840 */     GIR_EraseRootFromParent_Done,
     /* 2200841 */   // Label 29024: @2200841
     /* 2200841 */   GIM_Reject,
     /* 2200842 */ // Label 29015: @2200842
     /* 2200842 */ GIM_Reject,
     /* 2200843 */ // Label 29006: @2200843
     /* 2200843 */ GIM_Reject,
     /* 2200844 */ // Label 42: @2200844
     /* 2200844 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29042*/ GIMT_Encode4(2204530),
     /* 2200855 */ /*GILLT_s32*//*Label 29025*/ GIMT_Encode4(2200971),
     /* 2200859 */ /*GILLT_s64*//*Label 29026*/ GIMT_Encode4(2201267), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200871 */ /*GILLT_nxv1s16*//*Label 29027*/ GIMT_Encode4(2201521),
     /* 2200875 */ /*GILLT_nxv1s32*//*Label 29028*/ GIMT_Encode4(2201625),
     /* 2200879 */ /*GILLT_nxv1s64*//*Label 29029*/ GIMT_Encode4(2201842), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200891 */ /*GILLT_nxv2s16*//*Label 29030*/ GIMT_Encode4(2202167),
     /* 2200895 */ /*GILLT_nxv2s32*//*Label 29031*/ GIMT_Encode4(2202271),
     /* 2200899 */ /*GILLT_nxv2s64*//*Label 29032*/ GIMT_Encode4(2202488), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200911 */ /*GILLT_nxv4s16*//*Label 29033*/ GIMT_Encode4(2202813),
     /* 2200915 */ /*GILLT_nxv4s32*//*Label 29034*/ GIMT_Encode4(2202917),
     /* 2200919 */ /*GILLT_nxv4s64*//*Label 29035*/ GIMT_Encode4(2203134), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200931 */ /*GILLT_nxv8s16*//*Label 29036*/ GIMT_Encode4(2203459),
     /* 2200935 */ /*GILLT_nxv8s32*//*Label 29037*/ GIMT_Encode4(2203563),
     /* 2200939 */ /*GILLT_nxv8s64*//*Label 29038*/ GIMT_Encode4(2203780), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200951 */ /*GILLT_nxv16s16*//*Label 29039*/ GIMT_Encode4(2204105),
     /* 2200955 */ /*GILLT_nxv16s32*//*Label 29040*/ GIMT_Encode4(2204209), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200967 */ /*GILLT_nxv32s16*//*Label 29041*/ GIMT_Encode4(2204426),
     /* 2200971 */ // Label 29025: @2200971
     /* 2200971 */ GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2201266),
     /* 2200976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2200979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200987 */   GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2201029), // Rule ID 64974 //
     /* 2200992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2200995 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2200995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2200998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201011 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201028 */     // GIR_Coverage, 64974,
     /* 2201028 */     GIR_EraseRootFromParent_Done,
     /* 2201029 */   // Label 29044: @2201029
     /* 2201029 */   GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2201071), // Rule ID 64976 //
     /* 2201034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201037 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201053 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201070 */     // GIR_Coverage, 64976,
     /* 2201070 */     GIR_EraseRootFromParent_Done,
     /* 2201071 */   // Label 29045: @2201071
     /* 2201071 */   GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2201113), // Rule ID 64977 //
     /* 2201076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2201079 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2201079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201091 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201095 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201112 */     // GIR_Coverage, 64977,
     /* 2201112 */     GIR_EraseRootFromParent_Done,
     /* 2201113 */   // Label 29046: @2201113
     /* 2201113 */   GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2201128), // Rule ID 64987 //
     /* 2201118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2201121 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201127 */     // GIR_Coverage, 64987,
     /* 2201127 */     GIR_Done,
     /* 2201128 */   // Label 29047: @2201128
     /* 2201128 */   GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2201143), // Rule ID 64988 //
     /* 2201133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2201136 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201142 */     // GIR_Coverage, 64988,
     /* 2201142 */     GIR_Done,
     /* 2201143 */   // Label 29048: @2201143
     /* 2201143 */   GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2201158), // Rule ID 64990 //
     /* 2201148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201151 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201157 */     // GIR_Coverage, 64990,
     /* 2201157 */     GIR_Done,
     /* 2201158 */   // Label 29049: @2201158
     /* 2201158 */   GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2201173), // Rule ID 64991 //
     /* 2201163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2201166 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201166 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201172 */     // GIR_Coverage, 64991,
     /* 2201172 */     GIR_Done,
     /* 2201173 */   // Label 29050: @2201173
     /* 2201173 */   GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2201196), // Rule ID 64992 //
     /* 2201178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2201181 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201195 */     // GIR_Coverage, 64992,
     /* 2201195 */     GIR_EraseRootFromParent_Done,
     /* 2201196 */   // Label 29051: @2201196
     /* 2201196 */   GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2201219), // Rule ID 64993 //
     /* 2201201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2201204 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201218 */     // GIR_Coverage, 64993,
     /* 2201218 */     GIR_EraseRootFromParent_Done,
     /* 2201219 */   // Label 29052: @2201219
     /* 2201219 */   GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2201242), // Rule ID 64995 //
     /* 2201224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201227 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201241 */     // GIR_Coverage, 64995,
     /* 2201241 */     GIR_EraseRootFromParent_Done,
     /* 2201242 */   // Label 29053: @2201242
     /* 2201242 */   GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2201265), // Rule ID 64996 //
     /* 2201247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2201250 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201257 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201264 */     // GIR_Coverage, 64996,
     /* 2201264 */     GIR_EraseRootFromParent_Done,
     /* 2201265 */   // Label 29054: @2201265
     /* 2201265 */   GIM_Reject,
     /* 2201266 */ // Label 29043: @2201266
     /* 2201266 */ GIM_Reject,
     /* 2201267 */ // Label 29026: @2201267
     /* 2201267 */ GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2201320), // Rule ID 64972 //
     /* 2201272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2201275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201286 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2201286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201298 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201302 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2201305 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201312 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2201318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201319 */   // GIR_Coverage, 64972,
     /* 2201319 */   GIR_EraseRootFromParent_Done,
     /* 2201320 */ // Label 29055: @2201320
     /* 2201320 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2201373), // Rule ID 64973 //
     /* 2201325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201339 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2201339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201351 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201355 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201358 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201372 */   // GIR_Coverage, 64973,
     /* 2201372 */   GIR_EraseRootFromParent_Done,
     /* 2201373 */ // Label 29056: @2201373
     /* 2201373 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2201426), // Rule ID 64975 //
     /* 2201378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201392 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201404 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201408 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201411 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201418 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201425 */   // GIR_Coverage, 64975,
     /* 2201425 */   GIR_EraseRootFromParent_Done,
     /* 2201426 */ // Label 29057: @2201426
     /* 2201426 */ GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2201460), // Rule ID 64983 //
     /* 2201431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2201434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201445 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2201445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2201448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201450 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2201452 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201459 */   // GIR_Coverage, 64983,
     /* 2201459 */   GIR_EraseRootFromParent_Done,
     /* 2201460 */ // Label 29058: @2201460
     /* 2201460 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2201486), // Rule ID 64989 //
     /* 2201465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201479 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2201479 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201485 */   // GIR_Coverage, 64989,
     /* 2201485 */   GIR_Done,
     /* 2201486 */ // Label 29059: @2201486
     /* 2201486 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2201520), // Rule ID 64994 //
     /* 2201491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201505 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201510 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201512 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201519 */   // GIR_Coverage, 64994,
     /* 2201519 */   GIR_EraseRootFromParent_Done,
     /* 2201520 */ // Label 29060: @2201520
     /* 2201520 */ GIM_Reject,
     /* 2201521 */ // Label 29027: @2201521
     /* 2201521 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2201624),
     /* 2201526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201537 */   GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2201580), // Rule ID 45667 //
     /* 2201542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201545 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201579 */     // GIR_Coverage, 45667,
     /* 2201579 */     GIR_EraseRootFromParent_Done,
     /* 2201580 */   // Label 29062: @2201580
     /* 2201580 */   GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2201623), // Rule ID 45668 //
     /* 2201585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201588 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201622 */     // GIR_Coverage, 45668,
     /* 2201622 */     GIR_EraseRootFromParent_Done,
     /* 2201623 */   // Label 29063: @2201623
     /* 2201623 */   GIM_Reject,
     /* 2201624 */ // Label 29061: @2201624
     /* 2201624 */ GIM_Reject,
     /* 2201625 */ // Label 29028: @2201625
     /* 2201625 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2201679), // Rule ID 47375 //
     /* 2201630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201644 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201644 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201647 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201651 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201656 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2201661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201663 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201666 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201678 */   // GIR_Coverage, 47375,
     /* 2201678 */   GIR_EraseRootFromParent_Done,
     /* 2201679 */ // Label 29064: @2201679
     /* 2201679 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2201733), // Rule ID 47376 //
     /* 2201684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201698 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201710 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2201715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201717 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201720 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201732 */   // GIR_Coverage, 47376,
     /* 2201732 */   GIR_EraseRootFromParent_Done,
     /* 2201733 */ // Label 29065: @2201733
     /* 2201733 */ GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2201787), // Rule ID 47441 //
     /* 2201738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201752 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201752 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201755 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201759 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2201769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201771 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201774 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201786 */   // GIR_Coverage, 47441,
     /* 2201786 */   GIR_EraseRootFromParent_Done,
     /* 2201787 */ // Label 29066: @2201787
     /* 2201787 */ GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2201841), // Rule ID 47442 //
     /* 2201792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201806 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2201823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201828 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201840 */   // GIR_Coverage, 47442,
     /* 2201840 */   GIR_EraseRootFromParent_Done,
     /* 2201841 */ // Label 29067: @2201841
     /* 2201841 */ GIM_Reject,
     /* 2201842 */ // Label 29029: @2201842
     /* 2201842 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2201896), // Rule ID 47395 //
     /* 2201847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2201853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201861 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201883 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201895 */   // GIR_Coverage, 47395,
     /* 2201895 */   GIR_EraseRootFromParent_Done,
     /* 2201896 */ // Label 29068: @2201896
     /* 2201896 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2201950), // Rule ID 47396 //
     /* 2201901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2201907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201915 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201915 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201918 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201922 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201927 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201934 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201937 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201949 */   // GIR_Coverage, 47396,
     /* 2201949 */   GIR_EraseRootFromParent_Done,
     /* 2201950 */ // Label 29069: @2201950
     /* 2201950 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2202004), // Rule ID 47461 //
     /* 2201955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201969 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201969 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201972 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201976 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201981 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2201986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201988 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201991 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202003 */   // GIR_Coverage, 47461,
     /* 2202003 */   GIR_EraseRootFromParent_Done,
     /* 2202004 */ // Label 29070: @2202004
     /* 2202004 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2202058), // Rule ID 47462 //
     /* 2202009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202023 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202045 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202057 */   // GIR_Coverage, 47462,
     /* 2202057 */   GIR_EraseRootFromParent_Done,
     /* 2202058 */ // Label 29071: @2202058
     /* 2202058 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2202112), // Rule ID 47495 //
     /* 2202063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202077 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202089 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202096 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202099 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202111 */   // GIR_Coverage, 47495,
     /* 2202111 */   GIR_EraseRootFromParent_Done,
     /* 2202112 */ // Label 29072: @2202112
     /* 2202112 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2202166), // Rule ID 47496 //
     /* 2202117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202131 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202153 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202165 */   // GIR_Coverage, 47496,
     /* 2202165 */   GIR_EraseRootFromParent_Done,
     /* 2202166 */ // Label 29073: @2202166
     /* 2202166 */ GIM_Reject,
     /* 2202167 */ // Label 29030: @2202167
     /* 2202167 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2202270),
     /* 2202172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202183 */   GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2202226), // Rule ID 47355 //
     /* 2202188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202191 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202225 */     // GIR_Coverage, 47355,
     /* 2202225 */     GIR_EraseRootFromParent_Done,
     /* 2202226 */   // Label 29075: @2202226
     /* 2202226 */   GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2202269), // Rule ID 47356 //
     /* 2202231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202234 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202268 */     // GIR_Coverage, 47356,
     /* 2202268 */     GIR_EraseRootFromParent_Done,
     /* 2202269 */   // Label 29076: @2202269
     /* 2202269 */   GIM_Reject,
     /* 2202270 */ // Label 29074: @2202270
     /* 2202270 */ GIM_Reject,
     /* 2202271 */ // Label 29031: @2202271
     /* 2202271 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2202325), // Rule ID 47379 //
     /* 2202276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202290 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202324 */   // GIR_Coverage, 47379,
     /* 2202324 */   GIR_EraseRootFromParent_Done,
     /* 2202325 */ // Label 29077: @2202325
     /* 2202325 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2202379), // Rule ID 47380 //
     /* 2202330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202344 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202378 */   // GIR_Coverage, 47380,
     /* 2202378 */   GIR_EraseRootFromParent_Done,
     /* 2202379 */ // Label 29078: @2202379
     /* 2202379 */ GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2202433), // Rule ID 47445 //
     /* 2202384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202398 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202398 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202401 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202405 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202410 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202417 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202420 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202432 */   // GIR_Coverage, 47445,
     /* 2202432 */   GIR_EraseRootFromParent_Done,
     /* 2202433 */ // Label 29079: @2202433
     /* 2202433 */ GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2202487), // Rule ID 47446 //
     /* 2202438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202452 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202486 */   // GIR_Coverage, 47446,
     /* 2202486 */   GIR_EraseRootFromParent_Done,
     /* 2202487 */ // Label 29080: @2202487
     /* 2202487 */ GIM_Reject,
     /* 2202488 */ // Label 29032: @2202488
     /* 2202488 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2202542), // Rule ID 47399 //
     /* 2202493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202507 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202507 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202510 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202514 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202529 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202541 */   // GIR_Coverage, 47399,
     /* 2202541 */   GIR_EraseRootFromParent_Done,
     /* 2202542 */ // Label 29081: @2202542
     /* 2202542 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2202596), // Rule ID 47400 //
     /* 2202547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202561 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202561 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202564 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202568 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202580 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202583 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202595 */   // GIR_Coverage, 47400,
     /* 2202595 */   GIR_EraseRootFromParent_Done,
     /* 2202596 */ // Label 29082: @2202596
     /* 2202596 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2202650), // Rule ID 47465 //
     /* 2202601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202615 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202627 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2202632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202637 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202649 */   // GIR_Coverage, 47465,
     /* 2202649 */   GIR_EraseRootFromParent_Done,
     /* 2202650 */ // Label 29083: @2202650
     /* 2202650 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2202704), // Rule ID 47466 //
     /* 2202655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202669 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202669 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202672 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202676 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202681 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2202686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202688 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202691 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202703 */   // GIR_Coverage, 47466,
     /* 2202703 */   GIR_EraseRootFromParent_Done,
     /* 2202704 */ // Label 29084: @2202704
     /* 2202704 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2202758), // Rule ID 47499 //
     /* 2202709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202723 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2202740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202757 */   // GIR_Coverage, 47499,
     /* 2202757 */   GIR_EraseRootFromParent_Done,
     /* 2202758 */ // Label 29085: @2202758
     /* 2202758 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2202812), // Rule ID 47500 //
     /* 2202763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202777 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2202794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202811 */   // GIR_Coverage, 47500,
     /* 2202811 */   GIR_EraseRootFromParent_Done,
     /* 2202812 */ // Label 29086: @2202812
     /* 2202812 */ GIM_Reject,
     /* 2202813 */ // Label 29033: @2202813
     /* 2202813 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2202916),
     /* 2202818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202829 */   GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2202872), // Rule ID 47359 //
     /* 2202834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202837 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202871 */     // GIR_Coverage, 47359,
     /* 2202871 */     GIR_EraseRootFromParent_Done,
     /* 2202872 */   // Label 29088: @2202872
     /* 2202872 */   GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2202915), // Rule ID 47360 //
     /* 2202877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202880 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202914 */     // GIR_Coverage, 47360,
     /* 2202914 */     GIR_EraseRootFromParent_Done,
     /* 2202915 */   // Label 29089: @2202915
     /* 2202915 */   GIM_Reject,
     /* 2202916 */ // Label 29087: @2202916
     /* 2202916 */ GIM_Reject,
     /* 2202917 */ // Label 29034: @2202917
     /* 2202917 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2202971), // Rule ID 47383 //
     /* 2202922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202936 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202970 */   // GIR_Coverage, 47383,
     /* 2202970 */   GIR_EraseRootFromParent_Done,
     /* 2202971 */ // Label 29090: @2202971
     /* 2202971 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2203025), // Rule ID 47384 //
     /* 2202976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202990 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202990 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202993 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202997 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203002 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203024 */   // GIR_Coverage, 47384,
     /* 2203024 */   GIR_EraseRootFromParent_Done,
     /* 2203025 */ // Label 29091: @2203025
     /* 2203025 */ GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2203079), // Rule ID 47449 //
     /* 2203030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203044 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203044 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203047 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203051 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203056 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203063 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203066 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203078 */   // GIR_Coverage, 47449,
     /* 2203078 */   GIR_EraseRootFromParent_Done,
     /* 2203079 */ // Label 29092: @2203079
     /* 2203079 */ GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2203133), // Rule ID 47450 //
     /* 2203084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203098 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203120 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203132 */   // GIR_Coverage, 47450,
     /* 2203132 */   GIR_EraseRootFromParent_Done,
     /* 2203133 */ // Label 29093: @2203133
     /* 2203133 */ GIM_Reject,
     /* 2203134 */ // Label 29035: @2203134
     /* 2203134 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2203188), // Rule ID 47403 //
     /* 2203139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203153 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203153 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203156 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203160 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203165 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203175 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203187 */   // GIR_Coverage, 47403,
     /* 2203187 */   GIR_EraseRootFromParent_Done,
     /* 2203188 */ // Label 29094: @2203188
     /* 2203188 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2203242), // Rule ID 47404 //
     /* 2203193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203207 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203226 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203229 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203241 */   // GIR_Coverage, 47404,
     /* 2203241 */   GIR_EraseRootFromParent_Done,
     /* 2203242 */ // Label 29095: @2203242
     /* 2203242 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2203296), // Rule ID 47469 //
     /* 2203247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203261 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203273 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203280 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203283 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203295 */   // GIR_Coverage, 47469,
     /* 2203295 */   GIR_EraseRootFromParent_Done,
     /* 2203296 */ // Label 29096: @2203296
     /* 2203296 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2203350), // Rule ID 47470 //
     /* 2203301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203315 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203327 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203349 */   // GIR_Coverage, 47470,
     /* 2203349 */   GIR_EraseRootFromParent_Done,
     /* 2203350 */ // Label 29097: @2203350
     /* 2203350 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2203404), // Rule ID 47503 //
     /* 2203355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203369 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203388 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203403 */   // GIR_Coverage, 47503,
     /* 2203403 */   GIR_EraseRootFromParent_Done,
     /* 2203404 */ // Label 29098: @2203404
     /* 2203404 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2203458), // Rule ID 47504 //
     /* 2203409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203423 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203442 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203445 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203457 */   // GIR_Coverage, 47504,
     /* 2203457 */   GIR_EraseRootFromParent_Done,
     /* 2203458 */ // Label 29099: @2203458
     /* 2203458 */ GIM_Reject,
     /* 2203459 */ // Label 29036: @2203459
     /* 2203459 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2203562),
     /* 2203464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203475 */   GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2203518), // Rule ID 47363 //
     /* 2203480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203483 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203517 */     // GIR_Coverage, 47363,
     /* 2203517 */     GIR_EraseRootFromParent_Done,
     /* 2203518 */   // Label 29101: @2203518
     /* 2203518 */   GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2203561), // Rule ID 47364 //
     /* 2203523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203526 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203560 */     // GIR_Coverage, 47364,
     /* 2203560 */     GIR_EraseRootFromParent_Done,
     /* 2203561 */   // Label 29102: @2203561
     /* 2203561 */   GIM_Reject,
     /* 2203562 */ // Label 29100: @2203562
     /* 2203562 */ GIM_Reject,
     /* 2203563 */ // Label 29037: @2203563
     /* 2203563 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2203617), // Rule ID 47387 //
     /* 2203568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203582 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203582 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203585 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203589 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203601 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203616 */   // GIR_Coverage, 47387,
     /* 2203616 */   GIR_EraseRootFromParent_Done,
     /* 2203617 */ // Label 29103: @2203617
     /* 2203617 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2203671), // Rule ID 47388 //
     /* 2203622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203636 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203670 */   // GIR_Coverage, 47388,
     /* 2203670 */   GIR_EraseRootFromParent_Done,
     /* 2203671 */ // Label 29104: @2203671
     /* 2203671 */ GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2203725), // Rule ID 47453 //
     /* 2203676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203690 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203724 */   // GIR_Coverage, 47453,
     /* 2203724 */   GIR_EraseRootFromParent_Done,
     /* 2203725 */ // Label 29105: @2203725
     /* 2203725 */ GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2203779), // Rule ID 47454 //
     /* 2203730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203744 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203778 */   // GIR_Coverage, 47454,
     /* 2203778 */   GIR_EraseRootFromParent_Done,
     /* 2203779 */ // Label 29106: @2203779
     /* 2203779 */ GIM_Reject,
     /* 2203780 */ // Label 29038: @2203780
     /* 2203780 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2203834), // Rule ID 47407 //
     /* 2203785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2203791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203799 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203799 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203802 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203806 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203821 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203833 */   // GIR_Coverage, 47407,
     /* 2203833 */   GIR_EraseRootFromParent_Done,
     /* 2203834 */ // Label 29107: @2203834
     /* 2203834 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2203888), // Rule ID 47408 //
     /* 2203839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2203845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203853 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203865 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203872 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203875 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203887 */   // GIR_Coverage, 47408,
     /* 2203887 */   GIR_EraseRootFromParent_Done,
     /* 2203888 */ // Label 29108: @2203888
     /* 2203888 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2203942), // Rule ID 47473 //
     /* 2203893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203907 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203907 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203910 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203914 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203919 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2203924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203926 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203929 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203941 */   // GIR_Coverage, 47473,
     /* 2203941 */   GIR_EraseRootFromParent_Done,
     /* 2203942 */ // Label 29109: @2203942
     /* 2203942 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2203996), // Rule ID 47474 //
     /* 2203947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203961 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2203978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203980 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203983 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203995 */   // GIR_Coverage, 47474,
     /* 2203995 */   GIR_EraseRootFromParent_Done,
     /* 2203996 */ // Label 29110: @2203996
     /* 2203996 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2204050), // Rule ID 47507 //
     /* 2204001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204015 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204027 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2204032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204034 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204037 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204049 */   // GIR_Coverage, 47507,
     /* 2204049 */   GIR_EraseRootFromParent_Done,
     /* 2204050 */ // Label 29111: @2204050
     /* 2204050 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2204104), // Rule ID 47508 //
     /* 2204055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204069 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204069 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204072 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204076 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204081 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2204086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204088 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204091 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204103 */   // GIR_Coverage, 47508,
     /* 2204103 */   GIR_EraseRootFromParent_Done,
     /* 2204104 */ // Label 29112: @2204104
     /* 2204104 */ GIM_Reject,
     /* 2204105 */ // Label 29039: @2204105
     /* 2204105 */ GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2204208),
     /* 2204110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204121 */   GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2204164), // Rule ID 47367 //
     /* 2204126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204129 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204163 */     // GIR_Coverage, 47367,
     /* 2204163 */     GIR_EraseRootFromParent_Done,
     /* 2204164 */   // Label 29114: @2204164
     /* 2204164 */   GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2204207), // Rule ID 47368 //
     /* 2204169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204172 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204206 */     // GIR_Coverage, 47368,
     /* 2204206 */     GIR_EraseRootFromParent_Done,
     /* 2204207 */   // Label 29115: @2204207
     /* 2204207 */   GIM_Reject,
     /* 2204208 */ // Label 29113: @2204208
     /* 2204208 */ GIM_Reject,
     /* 2204209 */ // Label 29040: @2204209
     /* 2204209 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2204263), // Rule ID 47391 //
     /* 2204214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204228 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204262 */   // GIR_Coverage, 47391,
     /* 2204262 */   GIR_EraseRootFromParent_Done,
     /* 2204263 */ // Label 29116: @2204263
     /* 2204263 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2204317), // Rule ID 47392 //
     /* 2204268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204282 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204316 */   // GIR_Coverage, 47392,
     /* 2204316 */   GIR_EraseRootFromParent_Done,
     /* 2204317 */ // Label 29117: @2204317
     /* 2204317 */ GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2204371), // Rule ID 47457 //
     /* 2204322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204336 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204336 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204343 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204370 */   // GIR_Coverage, 47457,
     /* 2204370 */   GIR_EraseRootFromParent_Done,
     /* 2204371 */ // Label 29118: @2204371
     /* 2204371 */ GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2204425), // Rule ID 47458 //
     /* 2204376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204390 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204424 */   // GIR_Coverage, 47458,
     /* 2204424 */   GIR_EraseRootFromParent_Done,
     /* 2204425 */ // Label 29119: @2204425
     /* 2204425 */ GIM_Reject,
     /* 2204426 */ // Label 29041: @2204426
     /* 2204426 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2204529),
     /* 2204431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2204434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204442 */   GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2204485), // Rule ID 47371 //
     /* 2204447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204450 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204484 */     // GIR_Coverage, 47371,
     /* 2204484 */     GIR_EraseRootFromParent_Done,
     /* 2204485 */   // Label 29121: @2204485
     /* 2204485 */   GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2204528), // Rule ID 47372 //
     /* 2204490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204493 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204527 */     // GIR_Coverage, 47372,
     /* 2204527 */     GIR_EraseRootFromParent_Done,
     /* 2204528 */   // Label 29122: @2204528
     /* 2204528 */   GIM_Reject,
     /* 2204529 */ // Label 29120: @2204529
     /* 2204529 */ GIM_Reject,
     /* 2204530 */ // Label 29042: @2204530
     /* 2204530 */ GIM_Reject,
     /* 2204531 */ // Label 43: @2204531
     /* 2204531 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29147*/ GIMT_Encode4(2213126),
     /* 2204542 */ /*GILLT_s32*//*Label 29123*/ GIMT_Encode4(2204666),
     /* 2204546 */ /*GILLT_s64*//*Label 29124*/ GIMT_Encode4(2204791), GIMT_Encode4(0),
     /* 2204554 */ /*GILLT_nxv1s8*//*Label 29125*/ GIMT_Encode4(2205136),
     /* 2204558 */ /*GILLT_nxv1s16*//*Label 29126*/ GIMT_Encode4(2205251),
     /* 2204562 */ /*GILLT_nxv1s32*//*Label 29127*/ GIMT_Encode4(2205730),
     /* 2204566 */ /*GILLT_nxv1s64*//*Label 29128*/ GIMT_Encode4(2206209), GIMT_Encode4(0),
     /* 2204574 */ /*GILLT_nxv2s8*//*Label 29129*/ GIMT_Encode4(2206688),
     /* 2204578 */ /*GILLT_nxv2s16*//*Label 29130*/ GIMT_Encode4(2206803),
     /* 2204582 */ /*GILLT_nxv2s32*//*Label 29131*/ GIMT_Encode4(2207282),
     /* 2204586 */ /*GILLT_nxv2s64*//*Label 29132*/ GIMT_Encode4(2207761), GIMT_Encode4(0),
     /* 2204594 */ /*GILLT_nxv4s8*//*Label 29133*/ GIMT_Encode4(2208240),
     /* 2204598 */ /*GILLT_nxv4s16*//*Label 29134*/ GIMT_Encode4(2208355),
     /* 2204602 */ /*GILLT_nxv4s32*//*Label 29135*/ GIMT_Encode4(2208834),
     /* 2204606 */ /*GILLT_nxv4s64*//*Label 29136*/ GIMT_Encode4(2209313), GIMT_Encode4(0),
     /* 2204614 */ /*GILLT_nxv8s8*//*Label 29137*/ GIMT_Encode4(2209792),
     /* 2204618 */ /*GILLT_nxv8s16*//*Label 29138*/ GIMT_Encode4(2209907),
     /* 2204622 */ /*GILLT_nxv8s32*//*Label 29139*/ GIMT_Encode4(2210386),
     /* 2204626 */ /*GILLT_nxv8s64*//*Label 29140*/ GIMT_Encode4(2210865), GIMT_Encode4(0),
     /* 2204634 */ /*GILLT_nxv16s8*//*Label 29141*/ GIMT_Encode4(2211344),
     /* 2204638 */ /*GILLT_nxv16s16*//*Label 29142*/ GIMT_Encode4(2211459),
     /* 2204642 */ /*GILLT_nxv16s32*//*Label 29143*/ GIMT_Encode4(2211938), GIMT_Encode4(0),
     /* 2204650 */ /*GILLT_nxv32s8*//*Label 29144*/ GIMT_Encode4(2212417),
     /* 2204654 */ /*GILLT_nxv32s16*//*Label 29145*/ GIMT_Encode4(2212532), GIMT_Encode4(0),
     /* 2204662 */ /*GILLT_nxv64s8*//*Label 29146*/ GIMT_Encode4(2213011),
     /* 2204666 */ // Label 29123: @2204666
     /* 2204666 */ GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2204790),
     /* 2204671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2204674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2204677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204681 */   GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2204718), // Rule ID 2364 //
     /* 2204686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2204689 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2204693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2204700 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2204700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2204703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2204716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204717 */     // GIR_Coverage, 2364,
     /* 2204717 */     GIR_EraseRootFromParent_Done,
     /* 2204718 */   // Label 29149: @2204718
     /* 2204718 */   GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2204756), // Rule ID 91 //
     /* 2204723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2204734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2204738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2204742 */     // MIs[1] Operand 1
     /* 2204742 */     // No operand predicates
     /* 2204742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2204744 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2204744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2204747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2204754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204755 */     // GIR_Coverage, 91,
     /* 2204755 */     GIR_EraseRootFromParent_Done,
     /* 2204756 */   // Label 29150: @2204756
     /* 2204756 */   GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2204789), // Rule ID 105 //
     /* 2204761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2204775 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2204775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2204778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2204787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204788 */     // GIR_Coverage, 105,
     /* 2204788 */     GIR_EraseRootFromParent_Done,
     /* 2204789 */   // Label 29151: @2204789
     /* 2204789 */   GIM_Reject,
     /* 2204790 */ // Label 29148: @2204790
     /* 2204790 */ GIM_Reject,
     /* 2204791 */ // Label 29124: @2204791
     /* 2204791 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2205135),
     /* 2204796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2204799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2204802 */   GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2204896), // Rule ID 253 //
     /* 2204807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2204810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2204822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2204826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2204830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204835 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2204846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2204854 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2204858 */     // MIs[2] Operand 1
     /* 2204858 */     // No operand predicates
     /* 2204858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204860 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2204860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2204863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2204867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2204876 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2204879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2204884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204889 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2204894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204895 */     // GIR_Coverage, 253,
     /* 2204895 */     GIR_EraseRootFromParent_Done,
     /* 2204896 */   // Label 29153: @2204896
     /* 2204896 */   GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2204968), // Rule ID 2482 //
     /* 2204901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2204904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2204916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2204920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2204924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204929 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2204940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2204948 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2204952 */     // MIs[2] Operand 1
     /* 2204952 */     // No operand predicates
     /* 2204952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204954 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2204954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2204957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2204963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2204966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204967 */     // GIR_Coverage, 2482,
     /* 2204967 */     GIR_EraseRootFromParent_Done,
     /* 2204968 */   // Label 29154: @2204968
     /* 2204968 */   GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2205009), // Rule ID 2363 //
     /* 2204973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2204976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204980 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2204984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2204991 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2204991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2204994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205008 */     // GIR_Coverage, 2363,
     /* 2205008 */     GIR_EraseRootFromParent_Done,
     /* 2205009 */   // Label 29155: @2205009
     /* 2205009 */   GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2205055), // Rule ID 268 //
     /* 2205014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2205017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2205037 */     // MIs[1] Operand 1
     /* 2205037 */     // No operand predicates
     /* 2205037 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10032),
     /* 2205041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205043 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10032>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2205043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2205046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205054 */     // GIR_Coverage, 268,
     /* 2205054 */     GIR_EraseRootFromParent_Done,
     /* 2205055 */   // Label 29156: @2205055
     /* 2205055 */   GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2205097), // Rule ID 90 //
     /* 2205060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2205083 */     // MIs[1] Operand 1
     /* 2205083 */     // No operand predicates
     /* 2205083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205085 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2205085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205096 */     // GIR_Coverage, 90,
     /* 2205096 */     GIR_EraseRootFromParent_Done,
     /* 2205097 */   // Label 29157: @2205097
     /* 2205097 */   GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2205134), // Rule ID 104 //
     /* 2205102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205120 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2205120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2205123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205133 */     // GIR_Coverage, 104,
     /* 2205133 */     GIR_EraseRootFromParent_Done,
     /* 2205134 */   // Label 29158: @2205134
     /* 2205134 */   GIM_Reject,
     /* 2205135 */ // Label 29152: @2205135
     /* 2205135 */ GIM_Reject,
     /* 2205136 */ // Label 29125: @2205136
     /* 2205136 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2205250),
     /* 2205141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2205147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205159 */   GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2205204), // Rule ID 47915 //
     /* 2205164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205167 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205203 */     // GIR_Coverage, 47915,
     /* 2205203 */     GIR_EraseRootFromParent_Done,
     /* 2205204 */   // Label 29160: @2205204
     /* 2205204 */   GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2205249), // Rule ID 47916 //
     /* 2205209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205212 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205248 */     // GIR_Coverage, 47916,
     /* 2205248 */     GIR_EraseRootFromParent_Done,
     /* 2205249 */   // Label 29161: @2205249
     /* 2205249 */   GIM_Reject,
     /* 2205250 */ // Label 29159: @2205250
     /* 2205250 */ GIM_Reject,
     /* 2205251 */ // Label 29126: @2205251
     /* 2205251 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2205729),
     /* 2205256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2205262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205266 */   GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2205355), // Rule ID 59403 //
     /* 2205271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205286 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205305 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205312 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205314 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205354 */     // GIR_Coverage, 59403,
     /* 2205354 */     GIR_EraseRootFromParent_Done,
     /* 2205355 */   // Label 29163: @2205355
     /* 2205355 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2205444), // Rule ID 59404 //
     /* 2205360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205375 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205394 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205403 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205443 */     // GIR_Coverage, 59404,
     /* 2205443 */     GIR_EraseRootFromParent_Done,
     /* 2205444 */   // Label 29164: @2205444
     /* 2205444 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2205533), // Rule ID 59405 //
     /* 2205449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205464 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205483 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205492 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205532 */     // GIR_Coverage, 59405,
     /* 2205532 */     GIR_EraseRootFromParent_Done,
     /* 2205533 */   // Label 29165: @2205533
     /* 2205533 */   GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2205622), // Rule ID 59406 //
     /* 2205538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205553 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205572 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205581 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205621 */     // GIR_Coverage, 59406,
     /* 2205621 */     GIR_EraseRootFromParent_Done,
     /* 2205622 */   // Label 29166: @2205622
     /* 2205622 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2205675), // Rule ID 47927 //
     /* 2205627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205638 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2205655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205674 */     // GIR_Coverage, 47927,
     /* 2205674 */     GIR_EraseRootFromParent_Done,
     /* 2205675 */   // Label 29167: @2205675
     /* 2205675 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2205728), // Rule ID 47928 //
     /* 2205680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205691 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2205708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205727 */     // GIR_Coverage, 47928,
     /* 2205727 */     GIR_EraseRootFromParent_Done,
     /* 2205728 */   // Label 29168: @2205728
     /* 2205728 */   GIM_Reject,
     /* 2205729 */ // Label 29162: @2205729
     /* 2205729 */ GIM_Reject,
     /* 2205730 */ // Label 29127: @2205730
     /* 2205730 */ GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2206208),
     /* 2205735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2205741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205745 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2205834), // Rule ID 59451 //
     /* 2205750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205765 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205784 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205793 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2205796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205833 */     // GIR_Coverage, 59451,
     /* 2205833 */     GIR_EraseRootFromParent_Done,
     /* 2205834 */   // Label 29170: @2205834
     /* 2205834 */   GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2205923), // Rule ID 59452 //
     /* 2205839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205854 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205873 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205882 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2205885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205922 */     // GIR_Coverage, 59452,
     /* 2205922 */     GIR_EraseRootFromParent_Done,
     /* 2205923 */   // Label 29171: @2205923
     /* 2205923 */   GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2206012), // Rule ID 59453 //
     /* 2205928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205943 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205962 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205971 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2205974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206011 */     // GIR_Coverage, 59453,
     /* 2206011 */     GIR_EraseRootFromParent_Done,
     /* 2206012 */   // Label 29172: @2206012
     /* 2206012 */   GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2206101), // Rule ID 59454 //
     /* 2206017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206032 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206051 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206060 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206100 */     // GIR_Coverage, 59454,
     /* 2206100 */     GIR_EraseRootFromParent_Done,
     /* 2206101 */   // Label 29173: @2206101
     /* 2206101 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2206154), // Rule ID 47935 //
     /* 2206106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206117 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206153 */     // GIR_Coverage, 47935,
     /* 2206153 */     GIR_EraseRootFromParent_Done,
     /* 2206154 */   // Label 29174: @2206154
     /* 2206154 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2206207), // Rule ID 47936 //
     /* 2206159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206170 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206206 */     // GIR_Coverage, 47936,
     /* 2206206 */     GIR_EraseRootFromParent_Done,
     /* 2206207 */   // Label 29175: @2206207
     /* 2206207 */   GIM_Reject,
     /* 2206208 */ // Label 29169: @2206208
     /* 2206208 */ GIM_Reject,
     /* 2206209 */ // Label 29128: @2206209
     /* 2206209 */ GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2206687),
     /* 2206214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2206217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2206220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206224 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2206313), // Rule ID 59491 //
     /* 2206229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206244 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206263 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206272 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206312 */     // GIR_Coverage, 59491,
     /* 2206312 */     GIR_EraseRootFromParent_Done,
     /* 2206313 */   // Label 29177: @2206313
     /* 2206313 */   GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2206402), // Rule ID 59492 //
     /* 2206318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206333 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206352 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206361 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206401 */     // GIR_Coverage, 59492,
     /* 2206401 */     GIR_EraseRootFromParent_Done,
     /* 2206402 */   // Label 29178: @2206402
     /* 2206402 */   GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2206491), // Rule ID 59493 //
     /* 2206407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206422 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206441 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206450 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206490 */     // GIR_Coverage, 59493,
     /* 2206490 */     GIR_EraseRootFromParent_Done,
     /* 2206491 */   // Label 29179: @2206491
     /* 2206491 */   GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2206580), // Rule ID 59494 //
     /* 2206496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206511 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206530 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206539 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206579 */     // GIR_Coverage, 59494,
     /* 2206579 */     GIR_EraseRootFromParent_Done,
     /* 2206580 */   // Label 29180: @2206580
     /* 2206580 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2206633), // Rule ID 47951 //
     /* 2206585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2206588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206596 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2206613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206632 */     // GIR_Coverage, 47951,
     /* 2206632 */     GIR_EraseRootFromParent_Done,
     /* 2206633 */   // Label 29181: @2206633
     /* 2206633 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2206686), // Rule ID 47952 //
     /* 2206638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2206641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206649 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2206666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206685 */     // GIR_Coverage, 47952,
     /* 2206685 */     GIR_EraseRootFromParent_Done,
     /* 2206686 */   // Label 29182: @2206686
     /* 2206686 */   GIM_Reject,
     /* 2206687 */ // Label 29176: @2206687
     /* 2206687 */ GIM_Reject,
     /* 2206688 */ // Label 29129: @2206688
     /* 2206688 */ GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2206802),
     /* 2206693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2206699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206711 */   GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2206756), // Rule ID 47919 //
     /* 2206716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206719 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2206722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206755 */     // GIR_Coverage, 47919,
     /* 2206755 */     GIR_EraseRootFromParent_Done,
     /* 2206756 */   // Label 29184: @2206756
     /* 2206756 */   GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2206801), // Rule ID 47920 //
     /* 2206761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206764 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2206767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206800 */     // GIR_Coverage, 47920,
     /* 2206800 */     GIR_EraseRootFromParent_Done,
     /* 2206801 */   // Label 29185: @2206801
     /* 2206801 */   GIM_Reject,
     /* 2206802 */ // Label 29183: @2206802
     /* 2206802 */ GIM_Reject,
     /* 2206803 */ // Label 29130: @2206803
     /* 2206803 */ GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2207281),
     /* 2206808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2206814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206818 */   GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2206907), // Rule ID 59411 //
     /* 2206823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206838 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206857 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206866 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206906 */     // GIR_Coverage, 59411,
     /* 2206906 */     GIR_EraseRootFromParent_Done,
     /* 2206907 */   // Label 29187: @2206907
     /* 2206907 */   GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2206996), // Rule ID 59412 //
     /* 2206912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206927 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206946 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206955 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206995 */     // GIR_Coverage, 59412,
     /* 2206995 */     GIR_EraseRootFromParent_Done,
     /* 2206996 */   // Label 29188: @2206996
     /* 2206996 */   GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2207085), // Rule ID 59413 //
     /* 2207001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207016 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207035 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207044 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207084 */     // GIR_Coverage, 59413,
     /* 2207084 */     GIR_EraseRootFromParent_Done,
     /* 2207085 */   // Label 29189: @2207085
     /* 2207085 */   GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2207174), // Rule ID 59414 //
     /* 2207090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207105 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207124 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207133 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207173 */     // GIR_Coverage, 59414,
     /* 2207173 */     GIR_EraseRootFromParent_Done,
     /* 2207174 */   // Label 29190: @2207174
     /* 2207174 */   GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2207227), // Rule ID 47931 //
     /* 2207179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207190 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207226 */     // GIR_Coverage, 47931,
     /* 2207226 */     GIR_EraseRootFromParent_Done,
     /* 2207227 */   // Label 29191: @2207227
     /* 2207227 */   GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2207280), // Rule ID 47932 //
     /* 2207232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207243 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207279 */     // GIR_Coverage, 47932,
     /* 2207279 */     GIR_EraseRootFromParent_Done,
     /* 2207280 */   // Label 29192: @2207280
     /* 2207280 */   GIM_Reject,
     /* 2207281 */ // Label 29186: @2207281
     /* 2207281 */ GIM_Reject,
     /* 2207282 */ // Label 29131: @2207282
     /* 2207282 */ GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2207760),
     /* 2207287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2207293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207297 */   GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2207386), // Rule ID 59459 //
     /* 2207302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207317 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207336 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207345 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207385 */     // GIR_Coverage, 59459,
     /* 2207385 */     GIR_EraseRootFromParent_Done,
     /* 2207386 */   // Label 29194: @2207386
     /* 2207386 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2207475), // Rule ID 59460 //
     /* 2207391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207406 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207425 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207427 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207432 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207434 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207474 */     // GIR_Coverage, 59460,
     /* 2207474 */     GIR_EraseRootFromParent_Done,
     /* 2207475 */   // Label 29195: @2207475
     /* 2207475 */   GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2207564), // Rule ID 59461 //
     /* 2207480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207495 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207514 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207523 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207563 */     // GIR_Coverage, 59461,
     /* 2207563 */     GIR_EraseRootFromParent_Done,
     /* 2207564 */   // Label 29196: @2207564
     /* 2207564 */   GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2207653), // Rule ID 59462 //
     /* 2207569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207584 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207603 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207612 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207652 */     // GIR_Coverage, 59462,
     /* 2207652 */     GIR_EraseRootFromParent_Done,
     /* 2207653 */   // Label 29197: @2207653
     /* 2207653 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2207706), // Rule ID 47947 //
     /* 2207658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207669 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207705 */     // GIR_Coverage, 47947,
     /* 2207705 */     GIR_EraseRootFromParent_Done,
     /* 2207706 */   // Label 29198: @2207706
     /* 2207706 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2207759), // Rule ID 47948 //
     /* 2207711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207722 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207758 */     // GIR_Coverage, 47948,
     /* 2207758 */     GIR_EraseRootFromParent_Done,
     /* 2207759 */   // Label 29199: @2207759
     /* 2207759 */   GIM_Reject,
     /* 2207760 */ // Label 29193: @2207760
     /* 2207760 */ GIM_Reject,
     /* 2207761 */ // Label 29132: @2207761
     /* 2207761 */ GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2208239),
     /* 2207766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2207769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2207772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207776 */   GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2207865), // Rule ID 59499 //
     /* 2207781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207796 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207815 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207824 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207864 */     // GIR_Coverage, 59499,
     /* 2207864 */     GIR_EraseRootFromParent_Done,
     /* 2207865 */   // Label 29201: @2207865
     /* 2207865 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2207954), // Rule ID 59500 //
     /* 2207870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207885 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207904 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207913 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207953 */     // GIR_Coverage, 59500,
     /* 2207953 */     GIR_EraseRootFromParent_Done,
     /* 2207954 */   // Label 29202: @2207954
     /* 2207954 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2208043), // Rule ID 59501 //
     /* 2207959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207974 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207993 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208002 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208042 */     // GIR_Coverage, 59501,
     /* 2208042 */     GIR_EraseRootFromParent_Done,
     /* 2208043 */   // Label 29203: @2208043
     /* 2208043 */   GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2208132), // Rule ID 59502 //
     /* 2208048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208063 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208082 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208091 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208131 */     // GIR_Coverage, 59502,
     /* 2208131 */     GIR_EraseRootFromParent_Done,
     /* 2208132 */   // Label 29204: @2208132
     /* 2208132 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2208185), // Rule ID 47991 //
     /* 2208137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208148 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208184 */     // GIR_Coverage, 47991,
     /* 2208184 */     GIR_EraseRootFromParent_Done,
     /* 2208185 */   // Label 29205: @2208185
     /* 2208185 */   GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2208238), // Rule ID 47992 //
     /* 2208190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2208193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208201 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208237 */     // GIR_Coverage, 47992,
     /* 2208237 */     GIR_EraseRootFromParent_Done,
     /* 2208238 */   // Label 29206: @2208238
     /* 2208238 */   GIM_Reject,
     /* 2208239 */ // Label 29200: @2208239
     /* 2208239 */ GIM_Reject,
     /* 2208240 */ // Label 29133: @2208240
     /* 2208240 */ GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2208354),
     /* 2208245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2208251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208263 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2208308), // Rule ID 47923 //
     /* 2208268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208271 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208307 */     // GIR_Coverage, 47923,
     /* 2208307 */     GIR_EraseRootFromParent_Done,
     /* 2208308 */   // Label 29208: @2208308
     /* 2208308 */   GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2208353), // Rule ID 47924 //
     /* 2208313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208316 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208352 */     // GIR_Coverage, 47924,
     /* 2208352 */     GIR_EraseRootFromParent_Done,
     /* 2208353 */   // Label 29209: @2208353
     /* 2208353 */   GIM_Reject,
     /* 2208354 */ // Label 29207: @2208354
     /* 2208354 */ GIM_Reject,
     /* 2208355 */ // Label 29134: @2208355
     /* 2208355 */ GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2208833),
     /* 2208360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2208366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208370 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2208459), // Rule ID 59419 //
     /* 2208375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208390 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208409 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208416 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208418 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208458 */     // GIR_Coverage, 59419,
     /* 2208458 */     GIR_EraseRootFromParent_Done,
     /* 2208459 */   // Label 29211: @2208459
     /* 2208459 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2208548), // Rule ID 59420 //
     /* 2208464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208479 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208498 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208507 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208547 */     // GIR_Coverage, 59420,
     /* 2208547 */     GIR_EraseRootFromParent_Done,
     /* 2208548 */   // Label 29212: @2208548
     /* 2208548 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2208637), // Rule ID 59421 //
     /* 2208553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208568 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208587 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208596 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208636 */     // GIR_Coverage, 59421,
     /* 2208636 */     GIR_EraseRootFromParent_Done,
     /* 2208637 */   // Label 29213: @2208637
     /* 2208637 */   GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2208726), // Rule ID 59422 //
     /* 2208642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208657 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208676 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208685 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208725 */     // GIR_Coverage, 59422,
     /* 2208725 */     GIR_EraseRootFromParent_Done,
     /* 2208726 */   // Label 29214: @2208726
     /* 2208726 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2208779), // Rule ID 47943 //
     /* 2208731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208742 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208778 */     // GIR_Coverage, 47943,
     /* 2208778 */     GIR_EraseRootFromParent_Done,
     /* 2208779 */   // Label 29215: @2208779
     /* 2208779 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2208832), // Rule ID 47944 //
     /* 2208784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208795 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208831 */     // GIR_Coverage, 47944,
     /* 2208831 */     GIR_EraseRootFromParent_Done,
     /* 2208832 */   // Label 29216: @2208832
     /* 2208832 */   GIM_Reject,
     /* 2208833 */ // Label 29210: @2208833
     /* 2208833 */ GIM_Reject,
     /* 2208834 */ // Label 29135: @2208834
     /* 2208834 */ GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2209312),
     /* 2208839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2208845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208849 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2208938), // Rule ID 59467 //
     /* 2208854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208869 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208888 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208897 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2208900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208937 */     // GIR_Coverage, 59467,
     /* 2208937 */     GIR_EraseRootFromParent_Done,
     /* 2208938 */   // Label 29218: @2208938
     /* 2208938 */   GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2209027), // Rule ID 59468 //
     /* 2208943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208958 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208977 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208979 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208986 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2208989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209026 */     // GIR_Coverage, 59468,
     /* 2209026 */     GIR_EraseRootFromParent_Done,
     /* 2209027 */   // Label 29219: @2209027
     /* 2209027 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2209116), // Rule ID 59469 //
     /* 2209032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209047 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209066 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209075 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209115 */     // GIR_Coverage, 59469,
     /* 2209115 */     GIR_EraseRootFromParent_Done,
     /* 2209116 */   // Label 29220: @2209116
     /* 2209116 */   GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2209205), // Rule ID 59470 //
     /* 2209121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209136 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209155 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209164 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209204 */     // GIR_Coverage, 59470,
     /* 2209204 */     GIR_EraseRootFromParent_Done,
     /* 2209205 */   // Label 29221: @2209205
     /* 2209205 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2209258), // Rule ID 47979 //
     /* 2209210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209221 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209257 */     // GIR_Coverage, 47979,
     /* 2209257 */     GIR_EraseRootFromParent_Done,
     /* 2209258 */   // Label 29222: @2209258
     /* 2209258 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2209311), // Rule ID 47980 //
     /* 2209263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209274 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209310 */     // GIR_Coverage, 47980,
     /* 2209310 */     GIR_EraseRootFromParent_Done,
     /* 2209311 */   // Label 29223: @2209311
     /* 2209311 */   GIM_Reject,
     /* 2209312 */ // Label 29217: @2209312
     /* 2209312 */ GIM_Reject,
     /* 2209313 */ // Label 29136: @2209313
     /* 2209313 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2209791),
     /* 2209318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2209321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2209324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209328 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2209417), // Rule ID 59507 //
     /* 2209333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209348 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209367 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209376 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209416 */     // GIR_Coverage, 59507,
     /* 2209416 */     GIR_EraseRootFromParent_Done,
     /* 2209417 */   // Label 29225: @2209417
     /* 2209417 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2209506), // Rule ID 59508 //
     /* 2209422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209437 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209456 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209465 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209505 */     // GIR_Coverage, 59508,
     /* 2209505 */     GIR_EraseRootFromParent_Done,
     /* 2209506 */   // Label 29226: @2209506
     /* 2209506 */   GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2209595), // Rule ID 59509 //
     /* 2209511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209526 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209545 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209554 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209594 */     // GIR_Coverage, 59509,
     /* 2209594 */     GIR_EraseRootFromParent_Done,
     /* 2209595 */   // Label 29227: @2209595
     /* 2209595 */   GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2209684), // Rule ID 59510 //
     /* 2209600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209615 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209630 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209634 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209636 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209643 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209683 */     // GIR_Coverage, 59510,
     /* 2209683 */     GIR_EraseRootFromParent_Done,
     /* 2209684 */   // Label 29228: @2209684
     /* 2209684 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2209737), // Rule ID 47995 //
     /* 2209689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2209692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209700 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2209717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209736 */     // GIR_Coverage, 47995,
     /* 2209736 */     GIR_EraseRootFromParent_Done,
     /* 2209737 */   // Label 29229: @2209737
     /* 2209737 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2209790), // Rule ID 47996 //
     /* 2209742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2209745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209753 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2209770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209789 */     // GIR_Coverage, 47996,
     /* 2209789 */     GIR_EraseRootFromParent_Done,
     /* 2209790 */   // Label 29230: @2209790
     /* 2209790 */   GIM_Reject,
     /* 2209791 */ // Label 29224: @2209791
     /* 2209791 */ GIM_Reject,
     /* 2209792 */ // Label 29137: @2209792
     /* 2209792 */ GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2209906),
     /* 2209797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2209803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209815 */   GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2209860), // Rule ID 47939 //
     /* 2209820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209823 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2209826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209859 */     // GIR_Coverage, 47939,
     /* 2209859 */     GIR_EraseRootFromParent_Done,
     /* 2209860 */   // Label 29232: @2209860
     /* 2209860 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2209905), // Rule ID 47940 //
     /* 2209865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209868 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2209871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209904 */     // GIR_Coverage, 47940,
     /* 2209904 */     GIR_EraseRootFromParent_Done,
     /* 2209905 */   // Label 29233: @2209905
     /* 2209905 */   GIM_Reject,
     /* 2209906 */ // Label 29231: @2209906
     /* 2209906 */ GIM_Reject,
     /* 2209907 */ // Label 29138: @2209907
     /* 2209907 */ GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2210385),
     /* 2209912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2209918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209922 */   GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2210011), // Rule ID 59427 //
     /* 2209927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209942 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209961 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209970 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210010 */     // GIR_Coverage, 59427,
     /* 2210010 */     GIR_EraseRootFromParent_Done,
     /* 2210011 */   // Label 29235: @2210011
     /* 2210011 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2210100), // Rule ID 59428 //
     /* 2210016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210031 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210050 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210059 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210099 */     // GIR_Coverage, 59428,
     /* 2210099 */     GIR_EraseRootFromParent_Done,
     /* 2210100 */   // Label 29236: @2210100
     /* 2210100 */   GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2210189), // Rule ID 59429 //
     /* 2210105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210120 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210139 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210148 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210188 */     // GIR_Coverage, 59429,
     /* 2210188 */     GIR_EraseRootFromParent_Done,
     /* 2210189 */   // Label 29237: @2210189
     /* 2210189 */   GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2210278), // Rule ID 59430 //
     /* 2210194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210209 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210228 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210230 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210237 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210277 */     // GIR_Coverage, 59430,
     /* 2210277 */     GIR_EraseRootFromParent_Done,
     /* 2210278 */   // Label 29238: @2210278
     /* 2210278 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2210331), // Rule ID 47967 //
     /* 2210283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210294 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210330 */     // GIR_Coverage, 47967,
     /* 2210330 */     GIR_EraseRootFromParent_Done,
     /* 2210331 */   // Label 29239: @2210331
     /* 2210331 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2210384), // Rule ID 47968 //
     /* 2210336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210347 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210383 */     // GIR_Coverage, 47968,
     /* 2210383 */     GIR_EraseRootFromParent_Done,
     /* 2210384 */   // Label 29240: @2210384
     /* 2210384 */   GIM_Reject,
     /* 2210385 */ // Label 29234: @2210385
     /* 2210385 */ GIM_Reject,
     /* 2210386 */ // Label 29139: @2210386
     /* 2210386 */ GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2210864),
     /* 2210391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2210397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210401 */   GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2210490), // Rule ID 59475 //
     /* 2210406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210421 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210440 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210449 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210489 */     // GIR_Coverage, 59475,
     /* 2210489 */     GIR_EraseRootFromParent_Done,
     /* 2210490 */   // Label 29242: @2210490
     /* 2210490 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2210579), // Rule ID 59476 //
     /* 2210495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210510 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210529 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210538 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210578 */     // GIR_Coverage, 59476,
     /* 2210578 */     GIR_EraseRootFromParent_Done,
     /* 2210579 */   // Label 29243: @2210579
     /* 2210579 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2210668), // Rule ID 59477 //
     /* 2210584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210599 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210618 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210627 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210667 */     // GIR_Coverage, 59477,
     /* 2210667 */     GIR_EraseRootFromParent_Done,
     /* 2210668 */   // Label 29244: @2210668
     /* 2210668 */   GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2210757), // Rule ID 59478 //
     /* 2210673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210688 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210707 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210716 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210756 */     // GIR_Coverage, 59478,
     /* 2210756 */     GIR_EraseRootFromParent_Done,
     /* 2210757 */   // Label 29245: @2210757
     /* 2210757 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2210810), // Rule ID 47983 //
     /* 2210762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210773 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210809 */     // GIR_Coverage, 47983,
     /* 2210809 */     GIR_EraseRootFromParent_Done,
     /* 2210810 */   // Label 29246: @2210810
     /* 2210810 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2210863), // Rule ID 47984 //
     /* 2210815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210826 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210862 */     // GIR_Coverage, 47984,
     /* 2210862 */     GIR_EraseRootFromParent_Done,
     /* 2210863 */   // Label 29247: @2210863
     /* 2210863 */   GIM_Reject,
     /* 2210864 */ // Label 29241: @2210864
     /* 2210864 */ GIM_Reject,
     /* 2210865 */ // Label 29140: @2210865
     /* 2210865 */ GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2211343),
     /* 2210870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2210873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2210876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210880 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2210969), // Rule ID 59515 //
     /* 2210885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2210888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210900 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210919 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210928 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2210945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210968 */     // GIR_Coverage, 59515,
     /* 2210968 */     GIR_EraseRootFromParent_Done,
     /* 2210969 */   // Label 29249: @2210969
     /* 2210969 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2211058), // Rule ID 59516 //
     /* 2210974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2210977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210989 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211008 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211017 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211057 */     // GIR_Coverage, 59516,
     /* 2211057 */     GIR_EraseRootFromParent_Done,
     /* 2211058 */   // Label 29250: @2211058
     /* 2211058 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2211147), // Rule ID 59517 //
     /* 2211063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211078 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211097 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211106 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211146 */     // GIR_Coverage, 59517,
     /* 2211146 */     GIR_EraseRootFromParent_Done,
     /* 2211147 */   // Label 29251: @2211147
     /* 2211147 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2211236), // Rule ID 59518 //
     /* 2211152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211167 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211186 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211195 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211235 */     // GIR_Coverage, 59518,
     /* 2211235 */     GIR_EraseRootFromParent_Done,
     /* 2211236 */   // Label 29252: @2211236
     /* 2211236 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2211289), // Rule ID 47999 //
     /* 2211241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2211244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211252 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211288 */     // GIR_Coverage, 47999,
     /* 2211288 */     GIR_EraseRootFromParent_Done,
     /* 2211289 */   // Label 29253: @2211289
     /* 2211289 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2211342), // Rule ID 48000 //
     /* 2211294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211305 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211341 */     // GIR_Coverage, 48000,
     /* 2211341 */     GIR_EraseRootFromParent_Done,
     /* 2211342 */   // Label 29254: @2211342
     /* 2211342 */   GIM_Reject,
     /* 2211343 */ // Label 29248: @2211343
     /* 2211343 */ GIM_Reject,
     /* 2211344 */ // Label 29141: @2211344
     /* 2211344 */ GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2211458),
     /* 2211349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2211355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211367 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2211412), // Rule ID 47955 //
     /* 2211372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211375 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211411 */     // GIR_Coverage, 47955,
     /* 2211411 */     GIR_EraseRootFromParent_Done,
     /* 2211412 */   // Label 29256: @2211412
     /* 2211412 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2211457), // Rule ID 47956 //
     /* 2211417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211420 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211456 */     // GIR_Coverage, 47956,
     /* 2211456 */     GIR_EraseRootFromParent_Done,
     /* 2211457 */   // Label 29257: @2211457
     /* 2211457 */   GIM_Reject,
     /* 2211458 */ // Label 29255: @2211458
     /* 2211458 */ GIM_Reject,
     /* 2211459 */ // Label 29142: @2211459
     /* 2211459 */ GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2211937),
     /* 2211464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2211470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211474 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2211563), // Rule ID 59435 //
     /* 2211479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211494 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211513 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211522 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211562 */     // GIR_Coverage, 59435,
     /* 2211562 */     GIR_EraseRootFromParent_Done,
     /* 2211563 */   // Label 29259: @2211563
     /* 2211563 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2211652), // Rule ID 59436 //
     /* 2211568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211583 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211602 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211611 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211651 */     // GIR_Coverage, 59436,
     /* 2211651 */     GIR_EraseRootFromParent_Done,
     /* 2211652 */   // Label 29260: @2211652
     /* 2211652 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2211741), // Rule ID 59437 //
     /* 2211657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211672 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211691 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211700 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211740 */     // GIR_Coverage, 59437,
     /* 2211740 */     GIR_EraseRootFromParent_Done,
     /* 2211741 */   // Label 29261: @2211741
     /* 2211741 */   GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2211830), // Rule ID 59438 //
     /* 2211746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211761 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211780 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211789 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211829 */     // GIR_Coverage, 59438,
     /* 2211829 */     GIR_EraseRootFromParent_Done,
     /* 2211830 */   // Label 29262: @2211830
     /* 2211830 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2211883), // Rule ID 47971 //
     /* 2211835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211846 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211882 */     // GIR_Coverage, 47971,
     /* 2211882 */     GIR_EraseRootFromParent_Done,
     /* 2211883 */   // Label 29263: @2211883
     /* 2211883 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2211936), // Rule ID 47972 //
     /* 2211888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211899 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211935 */     // GIR_Coverage, 47972,
     /* 2211935 */     GIR_EraseRootFromParent_Done,
     /* 2211936 */   // Label 29264: @2211936
     /* 2211936 */   GIM_Reject,
     /* 2211937 */ // Label 29258: @2211937
     /* 2211937 */ GIM_Reject,
     /* 2211938 */ // Label 29143: @2211938
     /* 2211938 */ GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2212416),
     /* 2211943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2211946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2211949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211953 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2212042), // Rule ID 59483 //
     /* 2211958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211973 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211992 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212001 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212041 */     // GIR_Coverage, 59483,
     /* 2212041 */     GIR_EraseRootFromParent_Done,
     /* 2212042 */   // Label 29266: @2212042
     /* 2212042 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2212131), // Rule ID 59484 //
     /* 2212047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212062 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212081 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212090 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212130 */     // GIR_Coverage, 59484,
     /* 2212130 */     GIR_EraseRootFromParent_Done,
     /* 2212131 */   // Label 29267: @2212131
     /* 2212131 */   GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2212220), // Rule ID 59485 //
     /* 2212136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212151 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212170 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212179 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212219 */     // GIR_Coverage, 59485,
     /* 2212219 */     GIR_EraseRootFromParent_Done,
     /* 2212220 */   // Label 29268: @2212220
     /* 2212220 */   GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2212309), // Rule ID 59486 //
     /* 2212225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212240 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212259 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212268 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212308 */     // GIR_Coverage, 59486,
     /* 2212308 */     GIR_EraseRootFromParent_Done,
     /* 2212309 */   // Label 29269: @2212309
     /* 2212309 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2212362), // Rule ID 47987 //
     /* 2212314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212325 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212361 */     // GIR_Coverage, 47987,
     /* 2212361 */     GIR_EraseRootFromParent_Done,
     /* 2212362 */   // Label 29270: @2212362
     /* 2212362 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2212415), // Rule ID 47988 //
     /* 2212367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212378 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212414 */     // GIR_Coverage, 47988,
     /* 2212414 */     GIR_EraseRootFromParent_Done,
     /* 2212415 */   // Label 29271: @2212415
     /* 2212415 */   GIM_Reject,
     /* 2212416 */ // Label 29265: @2212416
     /* 2212416 */ GIM_Reject,
     /* 2212417 */ // Label 29144: @2212417
     /* 2212417 */ GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2212531),
     /* 2212422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2212428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212440 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2212485), // Rule ID 47959 //
     /* 2212445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212448 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212484 */     // GIR_Coverage, 47959,
     /* 2212484 */     GIR_EraseRootFromParent_Done,
     /* 2212485 */   // Label 29273: @2212485
     /* 2212485 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2212530), // Rule ID 47960 //
     /* 2212490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212493 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212529 */     // GIR_Coverage, 47960,
     /* 2212529 */     GIR_EraseRootFromParent_Done,
     /* 2212530 */   // Label 29274: @2212530
     /* 2212530 */   GIM_Reject,
     /* 2212531 */ // Label 29272: @2212531
     /* 2212531 */ GIM_Reject,
     /* 2212532 */ // Label 29145: @2212532
     /* 2212532 */ GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2213010),
     /* 2212537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2212540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2212543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212547 */   GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2212636), // Rule ID 59443 //
     /* 2212552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212567 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212586 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212595 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212635 */     // GIR_Coverage, 59443,
     /* 2212635 */     GIR_EraseRootFromParent_Done,
     /* 2212636 */   // Label 29276: @2212636
     /* 2212636 */   GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2212725), // Rule ID 59444 //
     /* 2212641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212656 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212675 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212684 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212724 */     // GIR_Coverage, 59444,
     /* 2212724 */     GIR_EraseRootFromParent_Done,
     /* 2212725 */   // Label 29277: @2212725
     /* 2212725 */   GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2212814), // Rule ID 59445 //
     /* 2212730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212745 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212764 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212773 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212813 */     // GIR_Coverage, 59445,
     /* 2212813 */     GIR_EraseRootFromParent_Done,
     /* 2212814 */   // Label 29278: @2212814
     /* 2212814 */   GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2212903), // Rule ID 59446 //
     /* 2212819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212834 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212853 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212862 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212902 */     // GIR_Coverage, 59446,
     /* 2212902 */     GIR_EraseRootFromParent_Done,
     /* 2212903 */   // Label 29279: @2212903
     /* 2212903 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2212956), // Rule ID 47975 //
     /* 2212908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212919 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212955 */     // GIR_Coverage, 47975,
     /* 2212955 */     GIR_EraseRootFromParent_Done,
     /* 2212956 */   // Label 29280: @2212956
     /* 2212956 */   GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2213009), // Rule ID 47976 //
     /* 2212961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212972 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213008 */     // GIR_Coverage, 47976,
     /* 2213008 */     GIR_EraseRootFromParent_Done,
     /* 2213009 */   // Label 29281: @2213009
     /* 2213009 */   GIM_Reject,
     /* 2213010 */ // Label 29275: @2213010
     /* 2213010 */ GIM_Reject,
     /* 2213011 */ // Label 29146: @2213011
     /* 2213011 */ GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2213125),
     /* 2213016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2213019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2213022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213034 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2213079), // Rule ID 47963 //
     /* 2213039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213042 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213078 */     // GIR_Coverage, 47963,
     /* 2213078 */     GIR_EraseRootFromParent_Done,
     /* 2213079 */   // Label 29283: @2213079
     /* 2213079 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2213124), // Rule ID 47964 //
     /* 2213084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213087 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213123 */     // GIR_Coverage, 47964,
     /* 2213123 */     GIR_EraseRootFromParent_Done,
     /* 2213124 */   // Label 29284: @2213124
     /* 2213124 */   GIM_Reject,
     /* 2213125 */ // Label 29282: @2213125
     /* 2213125 */ GIM_Reject,
     /* 2213126 */ // Label 29147: @2213126
     /* 2213126 */ GIM_Reject,
     /* 2213127 */ // Label 44: @2213127
     /* 2213127 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29309*/ GIMT_Encode4(2216157),
     /* 2213138 */ /*GILLT_s32*//*Label 29285*/ GIMT_Encode4(2213262),
     /* 2213142 */ /*GILLT_s64*//*Label 29286*/ GIMT_Encode4(2213346), GIMT_Encode4(0),
     /* 2213150 */ /*GILLT_nxv1s8*//*Label 29287*/ GIMT_Encode4(2213627),
     /* 2213154 */ /*GILLT_nxv1s16*//*Label 29288*/ GIMT_Encode4(2213742),
     /* 2213158 */ /*GILLT_nxv1s32*//*Label 29289*/ GIMT_Encode4(2213857),
     /* 2213162 */ /*GILLT_nxv1s64*//*Label 29290*/ GIMT_Encode4(2213972), GIMT_Encode4(0),
     /* 2213170 */ /*GILLT_nxv2s8*//*Label 29291*/ GIMT_Encode4(2214087),
     /* 2213174 */ /*GILLT_nxv2s16*//*Label 29292*/ GIMT_Encode4(2214202),
     /* 2213178 */ /*GILLT_nxv2s32*//*Label 29293*/ GIMT_Encode4(2214317),
     /* 2213182 */ /*GILLT_nxv2s64*//*Label 29294*/ GIMT_Encode4(2214432), GIMT_Encode4(0),
     /* 2213190 */ /*GILLT_nxv4s8*//*Label 29295*/ GIMT_Encode4(2214547),
     /* 2213194 */ /*GILLT_nxv4s16*//*Label 29296*/ GIMT_Encode4(2214662),
     /* 2213198 */ /*GILLT_nxv4s32*//*Label 29297*/ GIMT_Encode4(2214777),
     /* 2213202 */ /*GILLT_nxv4s64*//*Label 29298*/ GIMT_Encode4(2214892), GIMT_Encode4(0),
     /* 2213210 */ /*GILLT_nxv8s8*//*Label 29299*/ GIMT_Encode4(2215007),
     /* 2213214 */ /*GILLT_nxv8s16*//*Label 29300*/ GIMT_Encode4(2215122),
     /* 2213218 */ /*GILLT_nxv8s32*//*Label 29301*/ GIMT_Encode4(2215237),
     /* 2213222 */ /*GILLT_nxv8s64*//*Label 29302*/ GIMT_Encode4(2215352), GIMT_Encode4(0),
     /* 2213230 */ /*GILLT_nxv16s8*//*Label 29303*/ GIMT_Encode4(2215467),
     /* 2213234 */ /*GILLT_nxv16s16*//*Label 29304*/ GIMT_Encode4(2215582),
     /* 2213238 */ /*GILLT_nxv16s32*//*Label 29305*/ GIMT_Encode4(2215697), GIMT_Encode4(0),
     /* 2213246 */ /*GILLT_nxv32s8*//*Label 29306*/ GIMT_Encode4(2215812),
     /* 2213250 */ /*GILLT_nxv32s16*//*Label 29307*/ GIMT_Encode4(2215927), GIMT_Encode4(0),
     /* 2213258 */ /*GILLT_nxv64s8*//*Label 29308*/ GIMT_Encode4(2216042),
     /* 2213262 */ // Label 29285: @2213262
     /* 2213262 */ GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2213345),
     /* 2213267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2213270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2213273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213281 */   GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2213315), // Rule ID 93 //
     /* 2213286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213301 */     // MIs[1] Operand 1
     /* 2213301 */     // No operand predicates
     /* 2213301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213303 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213314 */     // GIR_Coverage, 93,
     /* 2213314 */     GIR_EraseRootFromParent_Done,
     /* 2213315 */   // Label 29311: @2213315
     /* 2213315 */   GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2213344), // Rule ID 107 //
     /* 2213320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213330 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2213330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2213333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213343 */     // GIR_Coverage, 107,
     /* 2213343 */     GIR_EraseRootFromParent_Done,
     /* 2213344 */   // Label 29312: @2213344
     /* 2213344 */   GIM_Reject,
     /* 2213345 */ // Label 29310: @2213345
     /* 2213345 */ GIM_Reject,
     /* 2213346 */ // Label 29286: @2213346
     /* 2213346 */ GIM_Try, /*On fail goto*//*Label 29313*/ GIMT_Encode4(2213626),
     /* 2213351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213357 */   GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2213429), // Rule ID 257 //
     /* 2213362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2213377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213390 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2213401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213409 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213413 */     // MIs[2] Operand 1
     /* 2213413 */     // No operand predicates
     /* 2213413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213415 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2213418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213428 */     // GIR_Coverage, 257,
     /* 2213428 */     GIR_EraseRootFromParent_Done,
     /* 2213429 */   // Label 29314: @2213429
     /* 2213429 */   GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2213474), // Rule ID 62476 //
     /* 2213434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2213437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2213449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213453 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2213457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10034),
     /* 2213461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213463 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10034>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2213463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2213466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213473 */     // GIR_Coverage, 62476,
     /* 2213473 */     GIR_EraseRootFromParent_Done,
     /* 2213474 */   // Label 29315: @2213474
     /* 2213474 */   GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2213546), // Rule ID 269 //
     /* 2213479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2213494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213503 */     // MIs[1] Operand 2
     /* 2213503 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2213514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213522 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213526 */     // MIs[2] Operand 1
     /* 2213526 */     // No operand predicates
     /* 2213526 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10034),
     /* 2213530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213532 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10034>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2213535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213545 */     // GIR_Coverage, 269,
     /* 2213545 */     GIR_EraseRootFromParent_Done,
     /* 2213546 */   // Label 29316: @2213546
     /* 2213546 */   GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2213588), // Rule ID 92 //
     /* 2213551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213574 */     // MIs[1] Operand 1
     /* 2213574 */     // No operand predicates
     /* 2213574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213576 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213587 */     // GIR_Coverage, 92,
     /* 2213587 */     GIR_EraseRootFromParent_Done,
     /* 2213588 */   // Label 29317: @2213588
     /* 2213588 */   GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2213625), // Rule ID 106 //
     /* 2213593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213611 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2213611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2213614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213624 */     // GIR_Coverage, 106,
     /* 2213624 */     GIR_EraseRootFromParent_Done,
     /* 2213625 */   // Label 29318: @2213625
     /* 2213625 */   GIM_Reject,
     /* 2213626 */ // Label 29313: @2213626
     /* 2213626 */ GIM_Reject,
     /* 2213627 */ // Label 29287: @2213627
     /* 2213627 */ GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2213741),
     /* 2213632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2213635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2213638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213650 */   GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2213695), // Rule ID 48047 //
     /* 2213655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213658 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2213661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2213675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213694 */     // GIR_Coverage, 48047,
     /* 2213694 */     GIR_EraseRootFromParent_Done,
     /* 2213695 */   // Label 29320: @2213695
     /* 2213695 */   GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2213740), // Rule ID 48048 //
     /* 2213700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213703 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2213706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2213720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213739 */     // GIR_Coverage, 48048,
     /* 2213739 */     GIR_EraseRootFromParent_Done,
     /* 2213740 */   // Label 29321: @2213740
     /* 2213740 */   GIM_Reject,
     /* 2213741 */ // Label 29319: @2213741
     /* 2213741 */ GIM_Reject,
     /* 2213742 */ // Label 29288: @2213742
     /* 2213742 */ GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2213856),
     /* 2213747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2213750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2213753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213765 */   GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2213810), // Rule ID 48059 //
     /* 2213770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213773 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2213790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213809 */     // GIR_Coverage, 48059,
     /* 2213809 */     GIR_EraseRootFromParent_Done,
     /* 2213810 */   // Label 29323: @2213810
     /* 2213810 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2213855), // Rule ID 48060 //
     /* 2213815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213818 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2213835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213854 */     // GIR_Coverage, 48060,
     /* 2213854 */     GIR_EraseRootFromParent_Done,
     /* 2213855 */   // Label 29324: @2213855
     /* 2213855 */   GIM_Reject,
     /* 2213856 */ // Label 29322: @2213856
     /* 2213856 */ GIM_Reject,
     /* 2213857 */ // Label 29289: @2213857
     /* 2213857 */ GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2213971),
     /* 2213862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2213868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213880 */   GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2213925), // Rule ID 48067 //
     /* 2213885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213888 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213924 */     // GIR_Coverage, 48067,
     /* 2213924 */     GIR_EraseRootFromParent_Done,
     /* 2213925 */   // Label 29326: @2213925
     /* 2213925 */   GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2213970), // Rule ID 48068 //
     /* 2213930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213933 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213969 */     // GIR_Coverage, 48068,
     /* 2213969 */     GIR_EraseRootFromParent_Done,
     /* 2213970 */   // Label 29327: @2213970
     /* 2213970 */   GIM_Reject,
     /* 2213971 */ // Label 29325: @2213971
     /* 2213971 */ GIM_Reject,
     /* 2213972 */ // Label 29290: @2213972
     /* 2213972 */ GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2214086),
     /* 2213977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2213980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2213983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213995 */   GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2214040), // Rule ID 48083 //
     /* 2214000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214003 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2214006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214039 */     // GIR_Coverage, 48083,
     /* 2214039 */     GIR_EraseRootFromParent_Done,
     /* 2214040 */   // Label 29329: @2214040
     /* 2214040 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2214085), // Rule ID 48084 //
     /* 2214045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214048 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2214051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214084 */     // GIR_Coverage, 48084,
     /* 2214084 */     GIR_EraseRootFromParent_Done,
     /* 2214085 */   // Label 29330: @2214085
     /* 2214085 */   GIM_Reject,
     /* 2214086 */ // Label 29328: @2214086
     /* 2214086 */ GIM_Reject,
     /* 2214087 */ // Label 29291: @2214087
     /* 2214087 */ GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2214201),
     /* 2214092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2214095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2214098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214110 */   GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2214155), // Rule ID 48051 //
     /* 2214115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214118 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214154 */     // GIR_Coverage, 48051,
     /* 2214154 */     GIR_EraseRootFromParent_Done,
     /* 2214155 */   // Label 29332: @2214155
     /* 2214155 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2214200), // Rule ID 48052 //
     /* 2214160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214163 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214199 */     // GIR_Coverage, 48052,
     /* 2214199 */     GIR_EraseRootFromParent_Done,
     /* 2214200 */   // Label 29333: @2214200
     /* 2214200 */   GIM_Reject,
     /* 2214201 */ // Label 29331: @2214201
     /* 2214201 */ GIM_Reject,
     /* 2214202 */ // Label 29292: @2214202
     /* 2214202 */ GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2214316),
     /* 2214207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2214210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2214213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214225 */   GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2214270), // Rule ID 48063 //
     /* 2214230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214233 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214269 */     // GIR_Coverage, 48063,
     /* 2214269 */     GIR_EraseRootFromParent_Done,
     /* 2214270 */   // Label 29335: @2214270
     /* 2214270 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2214315), // Rule ID 48064 //
     /* 2214275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214278 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214314 */     // GIR_Coverage, 48064,
     /* 2214314 */     GIR_EraseRootFromParent_Done,
     /* 2214315 */   // Label 29336: @2214315
     /* 2214315 */   GIM_Reject,
     /* 2214316 */ // Label 29334: @2214316
     /* 2214316 */ GIM_Reject,
     /* 2214317 */ // Label 29293: @2214317
     /* 2214317 */ GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2214431),
     /* 2214322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2214328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214340 */   GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2214385), // Rule ID 48079 //
     /* 2214345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214348 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214384 */     // GIR_Coverage, 48079,
     /* 2214384 */     GIR_EraseRootFromParent_Done,
     /* 2214385 */   // Label 29338: @2214385
     /* 2214385 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2214430), // Rule ID 48080 //
     /* 2214390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214393 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214429 */     // GIR_Coverage, 48080,
     /* 2214429 */     GIR_EraseRootFromParent_Done,
     /* 2214430 */   // Label 29339: @2214430
     /* 2214430 */   GIM_Reject,
     /* 2214431 */ // Label 29337: @2214431
     /* 2214431 */ GIM_Reject,
     /* 2214432 */ // Label 29294: @2214432
     /* 2214432 */ GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2214546),
     /* 2214437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2214443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214455 */   GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2214500), // Rule ID 48123 //
     /* 2214460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214463 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214499 */     // GIR_Coverage, 48123,
     /* 2214499 */     GIR_EraseRootFromParent_Done,
     /* 2214500 */   // Label 29341: @2214500
     /* 2214500 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2214545), // Rule ID 48124 //
     /* 2214505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214508 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214544 */     // GIR_Coverage, 48124,
     /* 2214544 */     GIR_EraseRootFromParent_Done,
     /* 2214545 */   // Label 29342: @2214545
     /* 2214545 */   GIM_Reject,
     /* 2214546 */ // Label 29340: @2214546
     /* 2214546 */ GIM_Reject,
     /* 2214547 */ // Label 29295: @2214547
     /* 2214547 */ GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2214661),
     /* 2214552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2214555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2214558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214570 */   GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2214615), // Rule ID 48055 //
     /* 2214575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214578 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214614 */     // GIR_Coverage, 48055,
     /* 2214614 */     GIR_EraseRootFromParent_Done,
     /* 2214615 */   // Label 29344: @2214615
     /* 2214615 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2214660), // Rule ID 48056 //
     /* 2214620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214623 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214659 */     // GIR_Coverage, 48056,
     /* 2214659 */     GIR_EraseRootFromParent_Done,
     /* 2214660 */   // Label 29345: @2214660
     /* 2214660 */   GIM_Reject,
     /* 2214661 */ // Label 29343: @2214661
     /* 2214661 */ GIM_Reject,
     /* 2214662 */ // Label 29296: @2214662
     /* 2214662 */ GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2214776),
     /* 2214667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2214673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214685 */   GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2214730), // Rule ID 48075 //
     /* 2214690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214693 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214729 */     // GIR_Coverage, 48075,
     /* 2214729 */     GIR_EraseRootFromParent_Done,
     /* 2214730 */   // Label 29347: @2214730
     /* 2214730 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2214775), // Rule ID 48076 //
     /* 2214735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214738 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214774 */     // GIR_Coverage, 48076,
     /* 2214774 */     GIR_EraseRootFromParent_Done,
     /* 2214775 */   // Label 29348: @2214775
     /* 2214775 */   GIM_Reject,
     /* 2214776 */ // Label 29346: @2214776
     /* 2214776 */ GIM_Reject,
     /* 2214777 */ // Label 29297: @2214777
     /* 2214777 */ GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2214891),
     /* 2214782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2214788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214800 */   GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2214845), // Rule ID 48111 //
     /* 2214805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214808 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214844 */     // GIR_Coverage, 48111,
     /* 2214844 */     GIR_EraseRootFromParent_Done,
     /* 2214845 */   // Label 29350: @2214845
     /* 2214845 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2214890), // Rule ID 48112 //
     /* 2214850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214853 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214889 */     // GIR_Coverage, 48112,
     /* 2214889 */     GIR_EraseRootFromParent_Done,
     /* 2214890 */   // Label 29351: @2214890
     /* 2214890 */   GIM_Reject,
     /* 2214891 */ // Label 29349: @2214891
     /* 2214891 */ GIM_Reject,
     /* 2214892 */ // Label 29298: @2214892
     /* 2214892 */ GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2215006),
     /* 2214897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2214900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2214903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214915 */   GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2214960), // Rule ID 48127 //
     /* 2214920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214923 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214959 */     // GIR_Coverage, 48127,
     /* 2214959 */     GIR_EraseRootFromParent_Done,
     /* 2214960 */   // Label 29353: @2214960
     /* 2214960 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2215005), // Rule ID 48128 //
     /* 2214965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214968 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215004 */     // GIR_Coverage, 48128,
     /* 2215004 */     GIR_EraseRootFromParent_Done,
     /* 2215005 */   // Label 29354: @2215005
     /* 2215005 */   GIM_Reject,
     /* 2215006 */ // Label 29352: @2215006
     /* 2215006 */ GIM_Reject,
     /* 2215007 */ // Label 29299: @2215007
     /* 2215007 */ GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2215121),
     /* 2215012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2215015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2215018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215030 */   GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2215075), // Rule ID 48071 //
     /* 2215035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215038 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215074 */     // GIR_Coverage, 48071,
     /* 2215074 */     GIR_EraseRootFromParent_Done,
     /* 2215075 */   // Label 29356: @2215075
     /* 2215075 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2215120), // Rule ID 48072 //
     /* 2215080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215083 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215119 */     // GIR_Coverage, 48072,
     /* 2215119 */     GIR_EraseRootFromParent_Done,
     /* 2215120 */   // Label 29357: @2215120
     /* 2215120 */   GIM_Reject,
     /* 2215121 */ // Label 29355: @2215121
     /* 2215121 */ GIM_Reject,
     /* 2215122 */ // Label 29300: @2215122
     /* 2215122 */ GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2215236),
     /* 2215127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2215133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215145 */   GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2215190), // Rule ID 48099 //
     /* 2215150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215153 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215189 */     // GIR_Coverage, 48099,
     /* 2215189 */     GIR_EraseRootFromParent_Done,
     /* 2215190 */   // Label 29359: @2215190
     /* 2215190 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2215235), // Rule ID 48100 //
     /* 2215195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215198 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215234 */     // GIR_Coverage, 48100,
     /* 2215234 */     GIR_EraseRootFromParent_Done,
     /* 2215235 */   // Label 29360: @2215235
     /* 2215235 */   GIM_Reject,
     /* 2215236 */ // Label 29358: @2215236
     /* 2215236 */ GIM_Reject,
     /* 2215237 */ // Label 29301: @2215237
     /* 2215237 */ GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2215351),
     /* 2215242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2215248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215260 */   GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2215305), // Rule ID 48115 //
     /* 2215265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215268 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215304 */     // GIR_Coverage, 48115,
     /* 2215304 */     GIR_EraseRootFromParent_Done,
     /* 2215305 */   // Label 29362: @2215305
     /* 2215305 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2215350), // Rule ID 48116 //
     /* 2215310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215313 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215349 */     // GIR_Coverage, 48116,
     /* 2215349 */     GIR_EraseRootFromParent_Done,
     /* 2215350 */   // Label 29363: @2215350
     /* 2215350 */   GIM_Reject,
     /* 2215351 */ // Label 29361: @2215351
     /* 2215351 */ GIM_Reject,
     /* 2215352 */ // Label 29302: @2215352
     /* 2215352 */ GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2215466),
     /* 2215357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2215363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215375 */   GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2215420), // Rule ID 48131 //
     /* 2215380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215383 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215419 */     // GIR_Coverage, 48131,
     /* 2215419 */     GIR_EraseRootFromParent_Done,
     /* 2215420 */   // Label 29365: @2215420
     /* 2215420 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2215465), // Rule ID 48132 //
     /* 2215425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215428 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215464 */     // GIR_Coverage, 48132,
     /* 2215464 */     GIR_EraseRootFromParent_Done,
     /* 2215465 */   // Label 29366: @2215465
     /* 2215465 */   GIM_Reject,
     /* 2215466 */ // Label 29364: @2215466
     /* 2215466 */ GIM_Reject,
     /* 2215467 */ // Label 29303: @2215467
     /* 2215467 */ GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2215581),
     /* 2215472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2215475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2215478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215490 */   GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2215535), // Rule ID 48087 //
     /* 2215495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215498 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215534 */     // GIR_Coverage, 48087,
     /* 2215534 */     GIR_EraseRootFromParent_Done,
     /* 2215535 */   // Label 29368: @2215535
     /* 2215535 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2215580), // Rule ID 48088 //
     /* 2215540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215543 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215579 */     // GIR_Coverage, 48088,
     /* 2215579 */     GIR_EraseRootFromParent_Done,
     /* 2215580 */   // Label 29369: @2215580
     /* 2215580 */   GIM_Reject,
     /* 2215581 */ // Label 29367: @2215581
     /* 2215581 */ GIM_Reject,
     /* 2215582 */ // Label 29304: @2215582
     /* 2215582 */ GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2215696),
     /* 2215587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2215590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2215593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215605 */   GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2215650), // Rule ID 48103 //
     /* 2215610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215613 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2215616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215649 */     // GIR_Coverage, 48103,
     /* 2215649 */     GIR_EraseRootFromParent_Done,
     /* 2215650 */   // Label 29371: @2215650
     /* 2215650 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2215695), // Rule ID 48104 //
     /* 2215655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215658 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2215661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215694 */     // GIR_Coverage, 48104,
     /* 2215694 */     GIR_EraseRootFromParent_Done,
     /* 2215695 */   // Label 29372: @2215695
     /* 2215695 */   GIM_Reject,
     /* 2215696 */ // Label 29370: @2215696
     /* 2215696 */ GIM_Reject,
     /* 2215697 */ // Label 29305: @2215697
     /* 2215697 */ GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2215811),
     /* 2215702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2215705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2215708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215720 */   GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2215765), // Rule ID 48119 //
     /* 2215725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215728 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2215731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215764 */     // GIR_Coverage, 48119,
     /* 2215764 */     GIR_EraseRootFromParent_Done,
     /* 2215765 */   // Label 29374: @2215765
     /* 2215765 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2215810), // Rule ID 48120 //
     /* 2215770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215773 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2215776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215809 */     // GIR_Coverage, 48120,
     /* 2215809 */     GIR_EraseRootFromParent_Done,
     /* 2215810 */   // Label 29375: @2215810
     /* 2215810 */   GIM_Reject,
     /* 2215811 */ // Label 29373: @2215811
     /* 2215811 */ GIM_Reject,
     /* 2215812 */ // Label 29306: @2215812
     /* 2215812 */ GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2215926),
     /* 2215817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2215820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2215823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215835 */   GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2215880), // Rule ID 48091 //
     /* 2215840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215843 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2215846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215879 */     // GIR_Coverage, 48091,
     /* 2215879 */     GIR_EraseRootFromParent_Done,
     /* 2215880 */   // Label 29377: @2215880
     /* 2215880 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2215925), // Rule ID 48092 //
     /* 2215885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215888 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2215891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215924 */     // GIR_Coverage, 48092,
     /* 2215924 */     GIR_EraseRootFromParent_Done,
     /* 2215925 */   // Label 29378: @2215925
     /* 2215925 */   GIM_Reject,
     /* 2215926 */ // Label 29376: @2215926
     /* 2215926 */ GIM_Reject,
     /* 2215927 */ // Label 29307: @2215927
     /* 2215927 */ GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2216041),
     /* 2215932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2215935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2215938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215950 */   GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2215995), // Rule ID 48107 //
     /* 2215955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215958 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2215961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215994 */     // GIR_Coverage, 48107,
     /* 2215994 */     GIR_EraseRootFromParent_Done,
     /* 2215995 */   // Label 29380: @2215995
     /* 2215995 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2216040), // Rule ID 48108 //
     /* 2216000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216003 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2216006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216039 */     // GIR_Coverage, 48108,
     /* 2216039 */     GIR_EraseRootFromParent_Done,
     /* 2216040 */   // Label 29381: @2216040
     /* 2216040 */   GIM_Reject,
     /* 2216041 */ // Label 29379: @2216041
     /* 2216041 */ GIM_Reject,
     /* 2216042 */ // Label 29308: @2216042
     /* 2216042 */ GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2216156),
     /* 2216047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2216050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2216053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216065 */   GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2216110), // Rule ID 48095 //
     /* 2216070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216073 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216109 */     // GIR_Coverage, 48095,
     /* 2216109 */     GIR_EraseRootFromParent_Done,
     /* 2216110 */   // Label 29383: @2216110
     /* 2216110 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2216155), // Rule ID 48096 //
     /* 2216115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216118 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216154 */     // GIR_Coverage, 48096,
     /* 2216154 */     GIR_EraseRootFromParent_Done,
     /* 2216155 */   // Label 29384: @2216155
     /* 2216155 */   GIM_Reject,
     /* 2216156 */ // Label 29382: @2216156
     /* 2216156 */ GIM_Reject,
     /* 2216157 */ // Label 29309: @2216157
     /* 2216157 */ GIM_Reject,
     /* 2216158 */ // Label 45: @2216158
     /* 2216158 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29409*/ GIMT_Encode4(2219096),
     /* 2216169 */ /*GILLT_s32*//*Label 29385*/ GIMT_Encode4(2216293),
     /* 2216173 */ /*GILLT_s64*//*Label 29386*/ GIMT_Encode4(2216377), GIMT_Encode4(0),
     /* 2216181 */ /*GILLT_nxv1s8*//*Label 29387*/ GIMT_Encode4(2216566),
     /* 2216185 */ /*GILLT_nxv1s16*//*Label 29388*/ GIMT_Encode4(2216681),
     /* 2216189 */ /*GILLT_nxv1s32*//*Label 29389*/ GIMT_Encode4(2216796),
     /* 2216193 */ /*GILLT_nxv1s64*//*Label 29390*/ GIMT_Encode4(2216911), GIMT_Encode4(0),
     /* 2216201 */ /*GILLT_nxv2s8*//*Label 29391*/ GIMT_Encode4(2217026),
     /* 2216205 */ /*GILLT_nxv2s16*//*Label 29392*/ GIMT_Encode4(2217141),
     /* 2216209 */ /*GILLT_nxv2s32*//*Label 29393*/ GIMT_Encode4(2217256),
     /* 2216213 */ /*GILLT_nxv2s64*//*Label 29394*/ GIMT_Encode4(2217371), GIMT_Encode4(0),
     /* 2216221 */ /*GILLT_nxv4s8*//*Label 29395*/ GIMT_Encode4(2217486),
     /* 2216225 */ /*GILLT_nxv4s16*//*Label 29396*/ GIMT_Encode4(2217601),
     /* 2216229 */ /*GILLT_nxv4s32*//*Label 29397*/ GIMT_Encode4(2217716),
     /* 2216233 */ /*GILLT_nxv4s64*//*Label 29398*/ GIMT_Encode4(2217831), GIMT_Encode4(0),
     /* 2216241 */ /*GILLT_nxv8s8*//*Label 29399*/ GIMT_Encode4(2217946),
     /* 2216245 */ /*GILLT_nxv8s16*//*Label 29400*/ GIMT_Encode4(2218061),
     /* 2216249 */ /*GILLT_nxv8s32*//*Label 29401*/ GIMT_Encode4(2218176),
     /* 2216253 */ /*GILLT_nxv8s64*//*Label 29402*/ GIMT_Encode4(2218291), GIMT_Encode4(0),
     /* 2216261 */ /*GILLT_nxv16s8*//*Label 29403*/ GIMT_Encode4(2218406),
     /* 2216265 */ /*GILLT_nxv16s16*//*Label 29404*/ GIMT_Encode4(2218521),
     /* 2216269 */ /*GILLT_nxv16s32*//*Label 29405*/ GIMT_Encode4(2218636), GIMT_Encode4(0),
     /* 2216277 */ /*GILLT_nxv32s8*//*Label 29406*/ GIMT_Encode4(2218751),
     /* 2216281 */ /*GILLT_nxv32s16*//*Label 29407*/ GIMT_Encode4(2218866), GIMT_Encode4(0),
     /* 2216289 */ /*GILLT_nxv64s8*//*Label 29408*/ GIMT_Encode4(2218981),
     /* 2216293 */ // Label 29385: @2216293
     /* 2216293 */ GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2216376),
     /* 2216298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2216301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2216304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216312 */   GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2216346), // Rule ID 95 //
     /* 2216317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216332 */     // MIs[1] Operand 1
     /* 2216332 */     // No operand predicates
     /* 2216332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216334 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216345 */     // GIR_Coverage, 95,
     /* 2216345 */     GIR_EraseRootFromParent_Done,
     /* 2216346 */   // Label 29411: @2216346
     /* 2216346 */   GIM_Try, /*On fail goto*//*Label 29412*/ GIMT_Encode4(2216375), // Rule ID 109 //
     /* 2216351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216361 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2216361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216374 */     // GIR_Coverage, 109,
     /* 2216374 */     GIR_EraseRootFromParent_Done,
     /* 2216375 */   // Label 29412: @2216375
     /* 2216375 */   GIM_Reject,
     /* 2216376 */ // Label 29410: @2216376
     /* 2216376 */ GIM_Reject,
     /* 2216377 */ // Label 29386: @2216377
     /* 2216377 */ GIM_Try, /*On fail goto*//*Label 29413*/ GIMT_Encode4(2216565),
     /* 2216382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2216388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216392 */   GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2216429), // Rule ID 62475 //
     /* 2216397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2216400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2216408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216412 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2216416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216418 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2216418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2216421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216428 */     // GIR_Coverage, 62475,
     /* 2216428 */     GIR_EraseRootFromParent_Done,
     /* 2216429 */   // Label 29414: @2216429
     /* 2216429 */   GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2216493), // Rule ID 259 //
     /* 2216434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2216437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2216445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216454 */     // MIs[1] Operand 2
     /* 2216454 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2216465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216473 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2216477 */     // MIs[2] Operand 1
     /* 2216477 */     // No operand predicates
     /* 2216477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216479 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2216479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2216482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2216491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216492 */     // GIR_Coverage, 259,
     /* 2216492 */     GIR_EraseRootFromParent_Done,
     /* 2216493 */   // Label 29415: @2216493
     /* 2216493 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2216531), // Rule ID 94 //
     /* 2216498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216517 */     // MIs[1] Operand 1
     /* 2216517 */     // No operand predicates
     /* 2216517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216519 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216530 */     // GIR_Coverage, 94,
     /* 2216530 */     GIR_EraseRootFromParent_Done,
     /* 2216531 */   // Label 29416: @2216531
     /* 2216531 */   GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2216564), // Rule ID 108 //
     /* 2216536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216550 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2216550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216563 */     // GIR_Coverage, 108,
     /* 2216563 */     GIR_EraseRootFromParent_Done,
     /* 2216564 */   // Label 29417: @2216564
     /* 2216564 */   GIM_Reject,
     /* 2216565 */ // Label 29413: @2216565
     /* 2216565 */ GIM_Reject,
     /* 2216566 */ // Label 29387: @2216566
     /* 2216566 */ GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2216680),
     /* 2216571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2216577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216589 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2216634), // Rule ID 48179 //
     /* 2216594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216597 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2216614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216633 */     // GIR_Coverage, 48179,
     /* 2216633 */     GIR_EraseRootFromParent_Done,
     /* 2216634 */   // Label 29419: @2216634
     /* 2216634 */   GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2216679), // Rule ID 48180 //
     /* 2216639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216642 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2216659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216678 */     // GIR_Coverage, 48180,
     /* 2216678 */     GIR_EraseRootFromParent_Done,
     /* 2216679 */   // Label 29420: @2216679
     /* 2216679 */   GIM_Reject,
     /* 2216680 */ // Label 29418: @2216680
     /* 2216680 */ GIM_Reject,
     /* 2216681 */ // Label 29388: @2216681
     /* 2216681 */ GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2216795),
     /* 2216686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2216689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2216692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216704 */   GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2216749), // Rule ID 48191 //
     /* 2216709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216712 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2216729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216748 */     // GIR_Coverage, 48191,
     /* 2216748 */     GIR_EraseRootFromParent_Done,
     /* 2216749 */   // Label 29422: @2216749
     /* 2216749 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2216794), // Rule ID 48192 //
     /* 2216754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216757 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2216774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216793 */     // GIR_Coverage, 48192,
     /* 2216793 */     GIR_EraseRootFromParent_Done,
     /* 2216794 */   // Label 29423: @2216794
     /* 2216794 */   GIM_Reject,
     /* 2216795 */ // Label 29421: @2216795
     /* 2216795 */ GIM_Reject,
     /* 2216796 */ // Label 29389: @2216796
     /* 2216796 */ GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2216910),
     /* 2216801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2216804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2216807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216819 */   GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2216864), // Rule ID 48199 //
     /* 2216824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216827 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2216844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216863 */     // GIR_Coverage, 48199,
     /* 2216863 */     GIR_EraseRootFromParent_Done,
     /* 2216864 */   // Label 29425: @2216864
     /* 2216864 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2216909), // Rule ID 48200 //
     /* 2216869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216872 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2216889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216908 */     // GIR_Coverage, 48200,
     /* 2216908 */     GIR_EraseRootFromParent_Done,
     /* 2216909 */   // Label 29426: @2216909
     /* 2216909 */   GIM_Reject,
     /* 2216910 */ // Label 29424: @2216910
     /* 2216910 */ GIM_Reject,
     /* 2216911 */ // Label 29390: @2216911
     /* 2216911 */ GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2217025),
     /* 2216916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2216919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2216922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216934 */   GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2216979), // Rule ID 48215 //
     /* 2216939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2216942 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216978 */     // GIR_Coverage, 48215,
     /* 2216978 */     GIR_EraseRootFromParent_Done,
     /* 2216979 */   // Label 29428: @2216979
     /* 2216979 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2217024), // Rule ID 48216 //
     /* 2216984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2216987 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217023 */     // GIR_Coverage, 48216,
     /* 2217023 */     GIR_EraseRootFromParent_Done,
     /* 2217024 */   // Label 29429: @2217024
     /* 2217024 */   GIM_Reject,
     /* 2217025 */ // Label 29427: @2217025
     /* 2217025 */ GIM_Reject,
     /* 2217026 */ // Label 29391: @2217026
     /* 2217026 */ GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2217140),
     /* 2217031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2217034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2217037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217049 */   GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2217094), // Rule ID 48183 //
     /* 2217054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217057 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217093 */     // GIR_Coverage, 48183,
     /* 2217093 */     GIR_EraseRootFromParent_Done,
     /* 2217094 */   // Label 29431: @2217094
     /* 2217094 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2217139), // Rule ID 48184 //
     /* 2217099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217102 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217138 */     // GIR_Coverage, 48184,
     /* 2217138 */     GIR_EraseRootFromParent_Done,
     /* 2217139 */   // Label 29432: @2217139
     /* 2217139 */   GIM_Reject,
     /* 2217140 */ // Label 29430: @2217140
     /* 2217140 */ GIM_Reject,
     /* 2217141 */ // Label 29392: @2217141
     /* 2217141 */ GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2217255),
     /* 2217146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2217152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217164 */   GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2217209), // Rule ID 48195 //
     /* 2217169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217172 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217208 */     // GIR_Coverage, 48195,
     /* 2217208 */     GIR_EraseRootFromParent_Done,
     /* 2217209 */   // Label 29434: @2217209
     /* 2217209 */   GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2217254), // Rule ID 48196 //
     /* 2217214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217217 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217253 */     // GIR_Coverage, 48196,
     /* 2217253 */     GIR_EraseRootFromParent_Done,
     /* 2217254 */   // Label 29435: @2217254
     /* 2217254 */   GIM_Reject,
     /* 2217255 */ // Label 29433: @2217255
     /* 2217255 */ GIM_Reject,
     /* 2217256 */ // Label 29393: @2217256
     /* 2217256 */ GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2217370),
     /* 2217261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2217267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217279 */   GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2217324), // Rule ID 48211 //
     /* 2217284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217287 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217323 */     // GIR_Coverage, 48211,
     /* 2217323 */     GIR_EraseRootFromParent_Done,
     /* 2217324 */   // Label 29437: @2217324
     /* 2217324 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2217369), // Rule ID 48212 //
     /* 2217329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217332 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217368 */     // GIR_Coverage, 48212,
     /* 2217368 */     GIR_EraseRootFromParent_Done,
     /* 2217369 */   // Label 29438: @2217369
     /* 2217369 */   GIM_Reject,
     /* 2217370 */ // Label 29436: @2217370
     /* 2217370 */ GIM_Reject,
     /* 2217371 */ // Label 29394: @2217371
     /* 2217371 */ GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2217485),
     /* 2217376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2217379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2217382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217394 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2217439), // Rule ID 48255 //
     /* 2217399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217402 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217438 */     // GIR_Coverage, 48255,
     /* 2217438 */     GIR_EraseRootFromParent_Done,
     /* 2217439 */   // Label 29440: @2217439
     /* 2217439 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2217484), // Rule ID 48256 //
     /* 2217444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217447 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217483 */     // GIR_Coverage, 48256,
     /* 2217483 */     GIR_EraseRootFromParent_Done,
     /* 2217484 */   // Label 29441: @2217484
     /* 2217484 */   GIM_Reject,
     /* 2217485 */ // Label 29439: @2217485
     /* 2217485 */ GIM_Reject,
     /* 2217486 */ // Label 29395: @2217486
     /* 2217486 */ GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2217600),
     /* 2217491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2217497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217509 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2217554), // Rule ID 48187 //
     /* 2217514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217517 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217553 */     // GIR_Coverage, 48187,
     /* 2217553 */     GIR_EraseRootFromParent_Done,
     /* 2217554 */   // Label 29443: @2217554
     /* 2217554 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2217599), // Rule ID 48188 //
     /* 2217559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217562 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217598 */     // GIR_Coverage, 48188,
     /* 2217598 */     GIR_EraseRootFromParent_Done,
     /* 2217599 */   // Label 29444: @2217599
     /* 2217599 */   GIM_Reject,
     /* 2217600 */ // Label 29442: @2217600
     /* 2217600 */ GIM_Reject,
     /* 2217601 */ // Label 29396: @2217601
     /* 2217601 */ GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2217715),
     /* 2217606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217624 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2217669), // Rule ID 48207 //
     /* 2217629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217632 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217668 */     // GIR_Coverage, 48207,
     /* 2217668 */     GIR_EraseRootFromParent_Done,
     /* 2217669 */   // Label 29446: @2217669
     /* 2217669 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2217714), // Rule ID 48208 //
     /* 2217674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217677 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217713 */     // GIR_Coverage, 48208,
     /* 2217713 */     GIR_EraseRootFromParent_Done,
     /* 2217714 */   // Label 29447: @2217714
     /* 2217714 */   GIM_Reject,
     /* 2217715 */ // Label 29445: @2217715
     /* 2217715 */ GIM_Reject,
     /* 2217716 */ // Label 29397: @2217716
     /* 2217716 */ GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2217830),
     /* 2217721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2217724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2217727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217739 */   GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2217784), // Rule ID 48243 //
     /* 2217744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217747 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217783 */     // GIR_Coverage, 48243,
     /* 2217783 */     GIR_EraseRootFromParent_Done,
     /* 2217784 */   // Label 29449: @2217784
     /* 2217784 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2217829), // Rule ID 48244 //
     /* 2217789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217792 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217828 */     // GIR_Coverage, 48244,
     /* 2217828 */     GIR_EraseRootFromParent_Done,
     /* 2217829 */   // Label 29450: @2217829
     /* 2217829 */   GIM_Reject,
     /* 2217830 */ // Label 29448: @2217830
     /* 2217830 */ GIM_Reject,
     /* 2217831 */ // Label 29398: @2217831
     /* 2217831 */ GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2217945),
     /* 2217836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2217839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2217842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217854 */   GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2217899), // Rule ID 48259 //
     /* 2217859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217862 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217898 */     // GIR_Coverage, 48259,
     /* 2217898 */     GIR_EraseRootFromParent_Done,
     /* 2217899 */   // Label 29452: @2217899
     /* 2217899 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2217944), // Rule ID 48260 //
     /* 2217904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217907 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217943 */     // GIR_Coverage, 48260,
     /* 2217943 */     GIR_EraseRootFromParent_Done,
     /* 2217944 */   // Label 29453: @2217944
     /* 2217944 */   GIM_Reject,
     /* 2217945 */ // Label 29451: @2217945
     /* 2217945 */ GIM_Reject,
     /* 2217946 */ // Label 29399: @2217946
     /* 2217946 */ GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2218060),
     /* 2217951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2217957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217969 */   GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2218014), // Rule ID 48203 //
     /* 2217974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217977 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2217980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218013 */     // GIR_Coverage, 48203,
     /* 2218013 */     GIR_EraseRootFromParent_Done,
     /* 2218014 */   // Label 29455: @2218014
     /* 2218014 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2218059), // Rule ID 48204 //
     /* 2218019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218022 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2218025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218058 */     // GIR_Coverage, 48204,
     /* 2218058 */     GIR_EraseRootFromParent_Done,
     /* 2218059 */   // Label 29456: @2218059
     /* 2218059 */   GIM_Reject,
     /* 2218060 */ // Label 29454: @2218060
     /* 2218060 */ GIM_Reject,
     /* 2218061 */ // Label 29400: @2218061
     /* 2218061 */ GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2218175),
     /* 2218066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2218072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218084 */   GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2218129), // Rule ID 48231 //
     /* 2218089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218092 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218128 */     // GIR_Coverage, 48231,
     /* 2218128 */     GIR_EraseRootFromParent_Done,
     /* 2218129 */   // Label 29458: @2218129
     /* 2218129 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2218174), // Rule ID 48232 //
     /* 2218134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218137 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218173 */     // GIR_Coverage, 48232,
     /* 2218173 */     GIR_EraseRootFromParent_Done,
     /* 2218174 */   // Label 29459: @2218174
     /* 2218174 */   GIM_Reject,
     /* 2218175 */ // Label 29457: @2218175
     /* 2218175 */ GIM_Reject,
     /* 2218176 */ // Label 29401: @2218176
     /* 2218176 */ GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2218290),
     /* 2218181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2218184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2218187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218199 */   GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2218244), // Rule ID 48247 //
     /* 2218204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218207 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218243 */     // GIR_Coverage, 48247,
     /* 2218243 */     GIR_EraseRootFromParent_Done,
     /* 2218244 */   // Label 29461: @2218244
     /* 2218244 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2218289), // Rule ID 48248 //
     /* 2218249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218252 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218288 */     // GIR_Coverage, 48248,
     /* 2218288 */     GIR_EraseRootFromParent_Done,
     /* 2218289 */   // Label 29462: @2218289
     /* 2218289 */   GIM_Reject,
     /* 2218290 */ // Label 29460: @2218290
     /* 2218290 */ GIM_Reject,
     /* 2218291 */ // Label 29402: @2218291
     /* 2218291 */ GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2218405),
     /* 2218296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2218299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2218302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218314 */   GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2218359), // Rule ID 48263 //
     /* 2218319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218322 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218358 */     // GIR_Coverage, 48263,
     /* 2218358 */     GIR_EraseRootFromParent_Done,
     /* 2218359 */   // Label 29464: @2218359
     /* 2218359 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2218404), // Rule ID 48264 //
     /* 2218364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218367 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218403 */     // GIR_Coverage, 48264,
     /* 2218403 */     GIR_EraseRootFromParent_Done,
     /* 2218404 */   // Label 29465: @2218404
     /* 2218404 */   GIM_Reject,
     /* 2218405 */ // Label 29463: @2218405
     /* 2218405 */ GIM_Reject,
     /* 2218406 */ // Label 29403: @2218406
     /* 2218406 */ GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2218520),
     /* 2218411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2218417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218429 */   GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2218474), // Rule ID 48219 //
     /* 2218434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218437 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218473 */     // GIR_Coverage, 48219,
     /* 2218473 */     GIR_EraseRootFromParent_Done,
     /* 2218474 */   // Label 29467: @2218474
     /* 2218474 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2218519), // Rule ID 48220 //
     /* 2218479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218482 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218518 */     // GIR_Coverage, 48220,
     /* 2218518 */     GIR_EraseRootFromParent_Done,
     /* 2218519 */   // Label 29468: @2218519
     /* 2218519 */   GIM_Reject,
     /* 2218520 */ // Label 29466: @2218520
     /* 2218520 */ GIM_Reject,
     /* 2218521 */ // Label 29404: @2218521
     /* 2218521 */ GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2218635),
     /* 2218526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2218532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218544 */   GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2218589), // Rule ID 48235 //
     /* 2218549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218552 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218588 */     // GIR_Coverage, 48235,
     /* 2218588 */     GIR_EraseRootFromParent_Done,
     /* 2218589 */   // Label 29470: @2218589
     /* 2218589 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2218634), // Rule ID 48236 //
     /* 2218594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218597 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218633 */     // GIR_Coverage, 48236,
     /* 2218633 */     GIR_EraseRootFromParent_Done,
     /* 2218634 */   // Label 29471: @2218634
     /* 2218634 */   GIM_Reject,
     /* 2218635 */ // Label 29469: @2218635
     /* 2218635 */ GIM_Reject,
     /* 2218636 */ // Label 29405: @2218636
     /* 2218636 */ GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2218750),
     /* 2218641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2218644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2218647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218659 */   GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2218704), // Rule ID 48251 //
     /* 2218664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218667 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218703 */     // GIR_Coverage, 48251,
     /* 2218703 */     GIR_EraseRootFromParent_Done,
     /* 2218704 */   // Label 29473: @2218704
     /* 2218704 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2218749), // Rule ID 48252 //
     /* 2218709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218712 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218748 */     // GIR_Coverage, 48252,
     /* 2218748 */     GIR_EraseRootFromParent_Done,
     /* 2218749 */   // Label 29474: @2218749
     /* 2218749 */   GIM_Reject,
     /* 2218750 */ // Label 29472: @2218750
     /* 2218750 */ GIM_Reject,
     /* 2218751 */ // Label 29406: @2218751
     /* 2218751 */ GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2218865),
     /* 2218756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2218759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2218762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218774 */   GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2218819), // Rule ID 48223 //
     /* 2218779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218782 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2218785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218818 */     // GIR_Coverage, 48223,
     /* 2218818 */     GIR_EraseRootFromParent_Done,
     /* 2218819 */   // Label 29476: @2218819
     /* 2218819 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2218864), // Rule ID 48224 //
     /* 2218824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218827 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2218830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218863 */     // GIR_Coverage, 48224,
     /* 2218863 */     GIR_EraseRootFromParent_Done,
     /* 2218864 */   // Label 29477: @2218864
     /* 2218864 */   GIM_Reject,
     /* 2218865 */ // Label 29475: @2218865
     /* 2218865 */ GIM_Reject,
     /* 2218866 */ // Label 29407: @2218866
     /* 2218866 */ GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2218980),
     /* 2218871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2218874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2218877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218889 */   GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2218934), // Rule ID 48239 //
     /* 2218894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218897 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218933 */     // GIR_Coverage, 48239,
     /* 2218933 */     GIR_EraseRootFromParent_Done,
     /* 2218934 */   // Label 29479: @2218934
     /* 2218934 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2218979), // Rule ID 48240 //
     /* 2218939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218942 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218978 */     // GIR_Coverage, 48240,
     /* 2218978 */     GIR_EraseRootFromParent_Done,
     /* 2218979 */   // Label 29480: @2218979
     /* 2218979 */   GIM_Reject,
     /* 2218980 */ // Label 29478: @2218980
     /* 2218980 */ GIM_Reject,
     /* 2218981 */ // Label 29408: @2218981
     /* 2218981 */ GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2219095),
     /* 2218986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2218989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2218992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219004 */   GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2219049), // Rule ID 48227 //
     /* 2219009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219012 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2219015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219048 */     // GIR_Coverage, 48227,
     /* 2219048 */     GIR_EraseRootFromParent_Done,
     /* 2219049 */   // Label 29482: @2219049
     /* 2219049 */   GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2219094), // Rule ID 48228 //
     /* 2219054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219057 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2219060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219093 */     // GIR_Coverage, 48228,
     /* 2219093 */     GIR_EraseRootFromParent_Done,
     /* 2219094 */   // Label 29483: @2219094
     /* 2219094 */   GIM_Reject,
     /* 2219095 */ // Label 29481: @2219095
     /* 2219095 */ GIM_Reject,
     /* 2219096 */ // Label 29409: @2219096
     /* 2219096 */ GIM_Reject,
     /* 2219097 */ // Label 46: @2219097
     /* 2219097 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29508*/ GIMT_Encode4(2222036),
     /* 2219108 */ /*GILLT_s32*//*Label 29484*/ GIMT_Encode4(2219232),
     /* 2219112 */ /*GILLT_s64*//*Label 29485*/ GIMT_Encode4(2219369), GIMT_Encode4(0),
     /* 2219120 */ /*GILLT_nxv1s8*//*Label 29486*/ GIMT_Encode4(2219506),
     /* 2219124 */ /*GILLT_nxv1s16*//*Label 29487*/ GIMT_Encode4(2219621),
     /* 2219128 */ /*GILLT_nxv1s32*//*Label 29488*/ GIMT_Encode4(2219736),
     /* 2219132 */ /*GILLT_nxv1s64*//*Label 29489*/ GIMT_Encode4(2219851), GIMT_Encode4(0),
     /* 2219140 */ /*GILLT_nxv2s8*//*Label 29490*/ GIMT_Encode4(2219966),
     /* 2219144 */ /*GILLT_nxv2s16*//*Label 29491*/ GIMT_Encode4(2220081),
     /* 2219148 */ /*GILLT_nxv2s32*//*Label 29492*/ GIMT_Encode4(2220196),
     /* 2219152 */ /*GILLT_nxv2s64*//*Label 29493*/ GIMT_Encode4(2220311), GIMT_Encode4(0),
     /* 2219160 */ /*GILLT_nxv4s8*//*Label 29494*/ GIMT_Encode4(2220426),
     /* 2219164 */ /*GILLT_nxv4s16*//*Label 29495*/ GIMT_Encode4(2220541),
     /* 2219168 */ /*GILLT_nxv4s32*//*Label 29496*/ GIMT_Encode4(2220656),
     /* 2219172 */ /*GILLT_nxv4s64*//*Label 29497*/ GIMT_Encode4(2220771), GIMT_Encode4(0),
     /* 2219180 */ /*GILLT_nxv8s8*//*Label 29498*/ GIMT_Encode4(2220886),
     /* 2219184 */ /*GILLT_nxv8s16*//*Label 29499*/ GIMT_Encode4(2221001),
     /* 2219188 */ /*GILLT_nxv8s32*//*Label 29500*/ GIMT_Encode4(2221116),
     /* 2219192 */ /*GILLT_nxv8s64*//*Label 29501*/ GIMT_Encode4(2221231), GIMT_Encode4(0),
     /* 2219200 */ /*GILLT_nxv16s8*//*Label 29502*/ GIMT_Encode4(2221346),
     /* 2219204 */ /*GILLT_nxv16s16*//*Label 29503*/ GIMT_Encode4(2221461),
     /* 2219208 */ /*GILLT_nxv16s32*//*Label 29504*/ GIMT_Encode4(2221576), GIMT_Encode4(0),
     /* 2219216 */ /*GILLT_nxv32s8*//*Label 29505*/ GIMT_Encode4(2221691),
     /* 2219220 */ /*GILLT_nxv32s16*//*Label 29506*/ GIMT_Encode4(2221806), GIMT_Encode4(0),
     /* 2219228 */ /*GILLT_nxv64s8*//*Label 29507*/ GIMT_Encode4(2221921),
     /* 2219232 */ // Label 29484: @2219232
     /* 2219232 */ GIM_Try, /*On fail goto*//*Label 29509*/ GIMT_Encode4(2219368),
     /* 2219237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2219240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219251 */   GIM_Try, /*On fail goto*//*Label 29510*/ GIMT_Encode4(2219285), // Rule ID 2346 //
     /* 2219256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219271 */     // MIs[1] Operand 1
     /* 2219271 */     // No operand predicates
     /* 2219271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219273 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219284 */     // GIR_Coverage, 2346,
     /* 2219284 */     GIR_EraseRootFromParent_Done,
     /* 2219285 */   // Label 29510: @2219285
     /* 2219285 */   GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2219319), // Rule ID 62457 //
     /* 2219290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2219293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219305 */     // MIs[1] Operand 1
     /* 2219305 */     // No operand predicates
     /* 2219305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219307 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219318 */     // GIR_Coverage, 62457,
     /* 2219318 */     GIR_EraseRootFromParent_Done,
     /* 2219319 */   // Label 29511: @2219319
     /* 2219319 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2219348), // Rule ID 2344 //
     /* 2219324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219334 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219347 */     // GIR_Coverage, 2344,
     /* 2219347 */     GIR_EraseRootFromParent_Done,
     /* 2219348 */   // Label 29512: @2219348
     /* 2219348 */   GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2219367), // Rule ID 64352 //
     /* 2219353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2219356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219360 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219366 */     // GIR_Coverage, 64352,
     /* 2219366 */     GIR_Done,
     /* 2219367 */   // Label 29513: @2219367
     /* 2219367 */   GIM_Reject,
     /* 2219368 */ // Label 29509: @2219368
     /* 2219368 */ GIM_Reject,
     /* 2219369 */ // Label 29485: @2219369
     /* 2219369 */ GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2219505),
     /* 2219374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2219380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219388 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2219422), // Rule ID 2345 //
     /* 2219393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219408 */     // MIs[1] Operand 1
     /* 2219408 */     // No operand predicates
     /* 2219408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219410 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219421 */     // GIR_Coverage, 2345,
     /* 2219421 */     GIR_EraseRootFromParent_Done,
     /* 2219422 */   // Label 29515: @2219422
     /* 2219422 */   GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2219456), // Rule ID 62456 //
     /* 2219427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2219430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219442 */     // MIs[1] Operand 1
     /* 2219442 */     // No operand predicates
     /* 2219442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219444 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219455 */     // GIR_Coverage, 62456,
     /* 2219455 */     GIR_EraseRootFromParent_Done,
     /* 2219456 */   // Label 29516: @2219456
     /* 2219456 */   GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2219485), // Rule ID 2343 //
     /* 2219461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219471 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219484 */     // GIR_Coverage, 2343,
     /* 2219484 */     GIR_EraseRootFromParent_Done,
     /* 2219485 */   // Label 29517: @2219485
     /* 2219485 */   GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2219504), // Rule ID 64351 //
     /* 2219490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2219493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219497 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219497 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219503 */     // GIR_Coverage, 64351,
     /* 2219503 */     GIR_Done,
     /* 2219504 */   // Label 29518: @2219504
     /* 2219504 */   GIM_Reject,
     /* 2219505 */ // Label 29514: @2219505
     /* 2219505 */ GIM_Reject,
     /* 2219506 */ // Label 29486: @2219506
     /* 2219506 */ GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2219620),
     /* 2219511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2219517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219529 */   GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2219574), // Rule ID 59271 //
     /* 2219534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219537 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219573 */     // GIR_Coverage, 59271,
     /* 2219573 */     GIR_EraseRootFromParent_Done,
     /* 2219574 */   // Label 29520: @2219574
     /* 2219574 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2219619), // Rule ID 59272 //
     /* 2219579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219582 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219618 */     // GIR_Coverage, 59272,
     /* 2219618 */     GIR_EraseRootFromParent_Done,
     /* 2219619 */   // Label 29521: @2219619
     /* 2219619 */   GIM_Reject,
     /* 2219620 */ // Label 29519: @2219620
     /* 2219620 */ GIM_Reject,
     /* 2219621 */ // Label 29487: @2219621
     /* 2219621 */ GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2219735),
     /* 2219626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2219629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2219632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219644 */   GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2219689), // Rule ID 59283 //
     /* 2219649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219652 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2219655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2219669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219688 */     // GIR_Coverage, 59283,
     /* 2219688 */     GIR_EraseRootFromParent_Done,
     /* 2219689 */   // Label 29523: @2219689
     /* 2219689 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2219734), // Rule ID 59284 //
     /* 2219694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219697 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2219700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2219714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219733 */     // GIR_Coverage, 59284,
     /* 2219733 */     GIR_EraseRootFromParent_Done,
     /* 2219734 */   // Label 29524: @2219734
     /* 2219734 */   GIM_Reject,
     /* 2219735 */ // Label 29522: @2219735
     /* 2219735 */ GIM_Reject,
     /* 2219736 */ // Label 29488: @2219736
     /* 2219736 */ GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2219850),
     /* 2219741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2219744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2219747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219759 */   GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2219804), // Rule ID 59291 //
     /* 2219764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219767 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2219770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2219784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219803 */     // GIR_Coverage, 59291,
     /* 2219803 */     GIR_EraseRootFromParent_Done,
     /* 2219804 */   // Label 29526: @2219804
     /* 2219804 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2219849), // Rule ID 59292 //
     /* 2219809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219812 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2219815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2219829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219848 */     // GIR_Coverage, 59292,
     /* 2219848 */     GIR_EraseRootFromParent_Done,
     /* 2219849 */   // Label 29527: @2219849
     /* 2219849 */   GIM_Reject,
     /* 2219850 */ // Label 29525: @2219850
     /* 2219850 */ GIM_Reject,
     /* 2219851 */ // Label 29489: @2219851
     /* 2219851 */ GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2219965),
     /* 2219856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2219859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2219862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219874 */   GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2219919), // Rule ID 59307 //
     /* 2219879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2219882 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2219885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219918 */     // GIR_Coverage, 59307,
     /* 2219918 */     GIR_EraseRootFromParent_Done,
     /* 2219919 */   // Label 29529: @2219919
     /* 2219919 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2219964), // Rule ID 59308 //
     /* 2219924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219927 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2219930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219963 */     // GIR_Coverage, 59308,
     /* 2219963 */     GIR_EraseRootFromParent_Done,
     /* 2219964 */   // Label 29530: @2219964
     /* 2219964 */   GIM_Reject,
     /* 2219965 */ // Label 29528: @2219965
     /* 2219965 */ GIM_Reject,
     /* 2219966 */ // Label 29490: @2219966
     /* 2219966 */ GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2220080),
     /* 2219971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2219974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2219977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219989 */   GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2220034), // Rule ID 59275 //
     /* 2219994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219997 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2220000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220033 */     // GIR_Coverage, 59275,
     /* 2220033 */     GIR_EraseRootFromParent_Done,
     /* 2220034 */   // Label 29532: @2220034
     /* 2220034 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2220079), // Rule ID 59276 //
     /* 2220039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220042 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2220045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220078 */     // GIR_Coverage, 59276,
     /* 2220078 */     GIR_EraseRootFromParent_Done,
     /* 2220079 */   // Label 29533: @2220079
     /* 2220079 */   GIM_Reject,
     /* 2220080 */ // Label 29531: @2220080
     /* 2220080 */ GIM_Reject,
     /* 2220081 */ // Label 29491: @2220081
     /* 2220081 */ GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2220195),
     /* 2220086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2220089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2220092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220104 */   GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2220149), // Rule ID 59287 //
     /* 2220109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220112 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220148 */     // GIR_Coverage, 59287,
     /* 2220148 */     GIR_EraseRootFromParent_Done,
     /* 2220149 */   // Label 29535: @2220149
     /* 2220149 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2220194), // Rule ID 59288 //
     /* 2220154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220157 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220193 */     // GIR_Coverage, 59288,
     /* 2220193 */     GIR_EraseRootFromParent_Done,
     /* 2220194 */   // Label 29536: @2220194
     /* 2220194 */   GIM_Reject,
     /* 2220195 */ // Label 29534: @2220195
     /* 2220195 */ GIM_Reject,
     /* 2220196 */ // Label 29492: @2220196
     /* 2220196 */ GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2220310),
     /* 2220201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2220204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2220207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220219 */   GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2220264), // Rule ID 59303 //
     /* 2220224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220227 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220263 */     // GIR_Coverage, 59303,
     /* 2220263 */     GIR_EraseRootFromParent_Done,
     /* 2220264 */   // Label 29538: @2220264
     /* 2220264 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2220309), // Rule ID 59304 //
     /* 2220269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220272 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220308 */     // GIR_Coverage, 59304,
     /* 2220308 */     GIR_EraseRootFromParent_Done,
     /* 2220309 */   // Label 29539: @2220309
     /* 2220309 */   GIM_Reject,
     /* 2220310 */ // Label 29537: @2220310
     /* 2220310 */ GIM_Reject,
     /* 2220311 */ // Label 29493: @2220311
     /* 2220311 */ GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2220425),
     /* 2220316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2220319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2220322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220334 */   GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2220379), // Rule ID 59347 //
     /* 2220339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220342 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220378 */     // GIR_Coverage, 59347,
     /* 2220378 */     GIR_EraseRootFromParent_Done,
     /* 2220379 */   // Label 29541: @2220379
     /* 2220379 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2220424), // Rule ID 59348 //
     /* 2220384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220387 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220423 */     // GIR_Coverage, 59348,
     /* 2220423 */     GIR_EraseRootFromParent_Done,
     /* 2220424 */   // Label 29542: @2220424
     /* 2220424 */   GIM_Reject,
     /* 2220425 */ // Label 29540: @2220425
     /* 2220425 */ GIM_Reject,
     /* 2220426 */ // Label 29494: @2220426
     /* 2220426 */ GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2220540),
     /* 2220431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2220434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2220437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220449 */   GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2220494), // Rule ID 59279 //
     /* 2220454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220457 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220493 */     // GIR_Coverage, 59279,
     /* 2220493 */     GIR_EraseRootFromParent_Done,
     /* 2220494 */   // Label 29544: @2220494
     /* 2220494 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2220539), // Rule ID 59280 //
     /* 2220499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220502 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220538 */     // GIR_Coverage, 59280,
     /* 2220538 */     GIR_EraseRootFromParent_Done,
     /* 2220539 */   // Label 29545: @2220539
     /* 2220539 */   GIM_Reject,
     /* 2220540 */ // Label 29543: @2220540
     /* 2220540 */ GIM_Reject,
     /* 2220541 */ // Label 29495: @2220541
     /* 2220541 */ GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2220655),
     /* 2220546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2220549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2220552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220564 */   GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2220609), // Rule ID 59299 //
     /* 2220569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220572 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2220575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220608 */     // GIR_Coverage, 59299,
     /* 2220608 */     GIR_EraseRootFromParent_Done,
     /* 2220609 */   // Label 29547: @2220609
     /* 2220609 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2220654), // Rule ID 59300 //
     /* 2220614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220617 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2220620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220653 */     // GIR_Coverage, 59300,
     /* 2220653 */     GIR_EraseRootFromParent_Done,
     /* 2220654 */   // Label 29548: @2220654
     /* 2220654 */   GIM_Reject,
     /* 2220655 */ // Label 29546: @2220655
     /* 2220655 */ GIM_Reject,
     /* 2220656 */ // Label 29496: @2220656
     /* 2220656 */ GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2220770),
     /* 2220661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2220664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2220667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220679 */   GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2220724), // Rule ID 59335 //
     /* 2220684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220687 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220723 */     // GIR_Coverage, 59335,
     /* 2220723 */     GIR_EraseRootFromParent_Done,
     /* 2220724 */   // Label 29550: @2220724
     /* 2220724 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2220769), // Rule ID 59336 //
     /* 2220729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220732 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220768 */     // GIR_Coverage, 59336,
     /* 2220768 */     GIR_EraseRootFromParent_Done,
     /* 2220769 */   // Label 29551: @2220769
     /* 2220769 */   GIM_Reject,
     /* 2220770 */ // Label 29549: @2220770
     /* 2220770 */ GIM_Reject,
     /* 2220771 */ // Label 29497: @2220771
     /* 2220771 */ GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2220885),
     /* 2220776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2220779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2220782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220794 */   GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2220839), // Rule ID 59351 //
     /* 2220799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220802 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220838 */     // GIR_Coverage, 59351,
     /* 2220838 */     GIR_EraseRootFromParent_Done,
     /* 2220839 */   // Label 29553: @2220839
     /* 2220839 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2220884), // Rule ID 59352 //
     /* 2220844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220847 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220883 */     // GIR_Coverage, 59352,
     /* 2220883 */     GIR_EraseRootFromParent_Done,
     /* 2220884 */   // Label 29554: @2220884
     /* 2220884 */   GIM_Reject,
     /* 2220885 */ // Label 29552: @2220885
     /* 2220885 */ GIM_Reject,
     /* 2220886 */ // Label 29498: @2220886
     /* 2220886 */ GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2221000),
     /* 2220891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2220894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2220897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220909 */   GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2220954), // Rule ID 59295 //
     /* 2220914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220917 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2220920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220953 */     // GIR_Coverage, 59295,
     /* 2220953 */     GIR_EraseRootFromParent_Done,
     /* 2220954 */   // Label 29556: @2220954
     /* 2220954 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2220999), // Rule ID 59296 //
     /* 2220959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220962 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2220965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220998 */     // GIR_Coverage, 59296,
     /* 2220998 */     GIR_EraseRootFromParent_Done,
     /* 2220999 */   // Label 29557: @2220999
     /* 2220999 */   GIM_Reject,
     /* 2221000 */ // Label 29555: @2221000
     /* 2221000 */ GIM_Reject,
     /* 2221001 */ // Label 29499: @2221001
     /* 2221001 */ GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2221115),
     /* 2221006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2221009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2221012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221024 */   GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2221069), // Rule ID 59323 //
     /* 2221029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221032 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2221035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221068 */     // GIR_Coverage, 59323,
     /* 2221068 */     GIR_EraseRootFromParent_Done,
     /* 2221069 */   // Label 29559: @2221069
     /* 2221069 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2221114), // Rule ID 59324 //
     /* 2221074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221077 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2221080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221113 */     // GIR_Coverage, 59324,
     /* 2221113 */     GIR_EraseRootFromParent_Done,
     /* 2221114 */   // Label 29560: @2221114
     /* 2221114 */   GIM_Reject,
     /* 2221115 */ // Label 29558: @2221115
     /* 2221115 */ GIM_Reject,
     /* 2221116 */ // Label 29500: @2221116
     /* 2221116 */ GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2221230),
     /* 2221121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2221124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2221127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221139 */   GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2221184), // Rule ID 59339 //
     /* 2221144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221147 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221183 */     // GIR_Coverage, 59339,
     /* 2221183 */     GIR_EraseRootFromParent_Done,
     /* 2221184 */   // Label 29562: @2221184
     /* 2221184 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2221229), // Rule ID 59340 //
     /* 2221189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221192 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221228 */     // GIR_Coverage, 59340,
     /* 2221228 */     GIR_EraseRootFromParent_Done,
     /* 2221229 */   // Label 29563: @2221229
     /* 2221229 */   GIM_Reject,
     /* 2221230 */ // Label 29561: @2221230
     /* 2221230 */ GIM_Reject,
     /* 2221231 */ // Label 29501: @2221231
     /* 2221231 */ GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2221345),
     /* 2221236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2221242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221254 */   GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2221299), // Rule ID 59355 //
     /* 2221259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221262 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221298 */     // GIR_Coverage, 59355,
     /* 2221298 */     GIR_EraseRootFromParent_Done,
     /* 2221299 */   // Label 29565: @2221299
     /* 2221299 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2221344), // Rule ID 59356 //
     /* 2221304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221307 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221343 */     // GIR_Coverage, 59356,
     /* 2221343 */     GIR_EraseRootFromParent_Done,
     /* 2221344 */   // Label 29566: @2221344
     /* 2221344 */   GIM_Reject,
     /* 2221345 */ // Label 29564: @2221345
     /* 2221345 */ GIM_Reject,
     /* 2221346 */ // Label 29502: @2221346
     /* 2221346 */ GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2221460),
     /* 2221351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2221357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221369 */   GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2221414), // Rule ID 59311 //
     /* 2221374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221377 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221413 */     // GIR_Coverage, 59311,
     /* 2221413 */     GIR_EraseRootFromParent_Done,
     /* 2221414 */   // Label 29568: @2221414
     /* 2221414 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2221459), // Rule ID 59312 //
     /* 2221419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221422 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221458 */     // GIR_Coverage, 59312,
     /* 2221458 */     GIR_EraseRootFromParent_Done,
     /* 2221459 */   // Label 29569: @2221459
     /* 2221459 */   GIM_Reject,
     /* 2221460 */ // Label 29567: @2221460
     /* 2221460 */ GIM_Reject,
     /* 2221461 */ // Label 29503: @2221461
     /* 2221461 */ GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2221575),
     /* 2221466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2221472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221484 */   GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2221529), // Rule ID 59327 //
     /* 2221489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221492 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221528 */     // GIR_Coverage, 59327,
     /* 2221528 */     GIR_EraseRootFromParent_Done,
     /* 2221529 */   // Label 29571: @2221529
     /* 2221529 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2221574), // Rule ID 59328 //
     /* 2221534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221537 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221573 */     // GIR_Coverage, 59328,
     /* 2221573 */     GIR_EraseRootFromParent_Done,
     /* 2221574 */   // Label 29572: @2221574
     /* 2221574 */   GIM_Reject,
     /* 2221575 */ // Label 29570: @2221575
     /* 2221575 */ GIM_Reject,
     /* 2221576 */ // Label 29504: @2221576
     /* 2221576 */ GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2221690),
     /* 2221581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2221587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221599 */   GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2221644), // Rule ID 59343 //
     /* 2221604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221607 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221643 */     // GIR_Coverage, 59343,
     /* 2221643 */     GIR_EraseRootFromParent_Done,
     /* 2221644 */   // Label 29574: @2221644
     /* 2221644 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2221689), // Rule ID 59344 //
     /* 2221649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221652 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221688 */     // GIR_Coverage, 59344,
     /* 2221688 */     GIR_EraseRootFromParent_Done,
     /* 2221689 */   // Label 29575: @2221689
     /* 2221689 */   GIM_Reject,
     /* 2221690 */ // Label 29573: @2221690
     /* 2221690 */ GIM_Reject,
     /* 2221691 */ // Label 29505: @2221691
     /* 2221691 */ GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2221805),
     /* 2221696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2221699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2221702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221714 */   GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2221759), // Rule ID 59315 //
     /* 2221719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221722 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2221725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221758 */     // GIR_Coverage, 59315,
     /* 2221758 */     GIR_EraseRootFromParent_Done,
     /* 2221759 */   // Label 29577: @2221759
     /* 2221759 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2221804), // Rule ID 59316 //
     /* 2221764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221767 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2221770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221803 */     // GIR_Coverage, 59316,
     /* 2221803 */     GIR_EraseRootFromParent_Done,
     /* 2221804 */   // Label 29578: @2221804
     /* 2221804 */   GIM_Reject,
     /* 2221805 */ // Label 29576: @2221805
     /* 2221805 */ GIM_Reject,
     /* 2221806 */ // Label 29506: @2221806
     /* 2221806 */ GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2221920),
     /* 2221811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2221814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2221817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221829 */   GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2221874), // Rule ID 59331 //
     /* 2221834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221837 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2221840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221873 */     // GIR_Coverage, 59331,
     /* 2221873 */     GIR_EraseRootFromParent_Done,
     /* 2221874 */   // Label 29580: @2221874
     /* 2221874 */   GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2221919), // Rule ID 59332 //
     /* 2221879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221882 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2221885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221918 */     // GIR_Coverage, 59332,
     /* 2221918 */     GIR_EraseRootFromParent_Done,
     /* 2221919 */   // Label 29581: @2221919
     /* 2221919 */   GIM_Reject,
     /* 2221920 */ // Label 29579: @2221920
     /* 2221920 */ GIM_Reject,
     /* 2221921 */ // Label 29507: @2221921
     /* 2221921 */ GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2222035),
     /* 2221926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2221929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2221932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221944 */   GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2221989), // Rule ID 59319 //
     /* 2221949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221952 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2221955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221988 */     // GIR_Coverage, 59319,
     /* 2221988 */     GIR_EraseRootFromParent_Done,
     /* 2221989 */   // Label 29583: @2221989
     /* 2221989 */   GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2222034), // Rule ID 59320 //
     /* 2221994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221997 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2222000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222033 */     // GIR_Coverage, 59320,
     /* 2222033 */     GIR_EraseRootFromParent_Done,
     /* 2222034 */   // Label 29584: @2222034
     /* 2222034 */   GIM_Reject,
     /* 2222035 */ // Label 29582: @2222035
     /* 2222035 */ GIM_Reject,
     /* 2222036 */ // Label 29508: @2222036
     /* 2222036 */ GIM_Reject,
     /* 2222037 */ // Label 47: @2222037
     /* 2222037 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29609*/ GIMT_Encode4(2224946),
     /* 2222048 */ /*GILLT_s32*//*Label 29585*/ GIMT_Encode4(2222172),
     /* 2222052 */ /*GILLT_s64*//*Label 29586*/ GIMT_Encode4(2222294), GIMT_Encode4(0),
     /* 2222060 */ /*GILLT_nxv1s8*//*Label 29587*/ GIMT_Encode4(2222416),
     /* 2222064 */ /*GILLT_nxv1s16*//*Label 29588*/ GIMT_Encode4(2222531),
     /* 2222068 */ /*GILLT_nxv1s32*//*Label 29589*/ GIMT_Encode4(2222646),
     /* 2222072 */ /*GILLT_nxv1s64*//*Label 29590*/ GIMT_Encode4(2222761), GIMT_Encode4(0),
     /* 2222080 */ /*GILLT_nxv2s8*//*Label 29591*/ GIMT_Encode4(2222876),
     /* 2222084 */ /*GILLT_nxv2s16*//*Label 29592*/ GIMT_Encode4(2222991),
     /* 2222088 */ /*GILLT_nxv2s32*//*Label 29593*/ GIMT_Encode4(2223106),
     /* 2222092 */ /*GILLT_nxv2s64*//*Label 29594*/ GIMT_Encode4(2223221), GIMT_Encode4(0),
     /* 2222100 */ /*GILLT_nxv4s8*//*Label 29595*/ GIMT_Encode4(2223336),
     /* 2222104 */ /*GILLT_nxv4s16*//*Label 29596*/ GIMT_Encode4(2223451),
     /* 2222108 */ /*GILLT_nxv4s32*//*Label 29597*/ GIMT_Encode4(2223566),
     /* 2222112 */ /*GILLT_nxv4s64*//*Label 29598*/ GIMT_Encode4(2223681), GIMT_Encode4(0),
     /* 2222120 */ /*GILLT_nxv8s8*//*Label 29599*/ GIMT_Encode4(2223796),
     /* 2222124 */ /*GILLT_nxv8s16*//*Label 29600*/ GIMT_Encode4(2223911),
     /* 2222128 */ /*GILLT_nxv8s32*//*Label 29601*/ GIMT_Encode4(2224026),
     /* 2222132 */ /*GILLT_nxv8s64*//*Label 29602*/ GIMT_Encode4(2224141), GIMT_Encode4(0),
     /* 2222140 */ /*GILLT_nxv16s8*//*Label 29603*/ GIMT_Encode4(2224256),
     /* 2222144 */ /*GILLT_nxv16s16*//*Label 29604*/ GIMT_Encode4(2224371),
     /* 2222148 */ /*GILLT_nxv16s32*//*Label 29605*/ GIMT_Encode4(2224486), GIMT_Encode4(0),
     /* 2222156 */ /*GILLT_nxv32s8*//*Label 29606*/ GIMT_Encode4(2224601),
     /* 2222160 */ /*GILLT_nxv32s16*//*Label 29607*/ GIMT_Encode4(2224716), GIMT_Encode4(0),
     /* 2222168 */ /*GILLT_nxv64s8*//*Label 29608*/ GIMT_Encode4(2224831),
     /* 2222172 */ // Label 29585: @2222172
     /* 2222172 */ GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2222293),
     /* 2222177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2222183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222191 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2222227), // Rule ID 2348 //
     /* 2222196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222211 */     // MIs[1] Operand 1
     /* 2222211 */     // No operand predicates
     /* 2222211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222213 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222220 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222226 */     // GIR_Coverage, 2348,
     /* 2222226 */     GIR_EraseRootFromParent_Done,
     /* 2222227 */   // Label 29611: @2222227
     /* 2222227 */   GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2222263), // Rule ID 62459 //
     /* 2222232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2222235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222247 */     // MIs[1] Operand 1
     /* 2222247 */     // No operand predicates
     /* 2222247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222249 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222256 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222262 */     // GIR_Coverage, 62459,
     /* 2222262 */     GIR_EraseRootFromParent_Done,
     /* 2222263 */   // Label 29612: @2222263
     /* 2222263 */   GIM_Try, /*On fail goto*//*Label 29613*/ GIMT_Encode4(2222292), // Rule ID 2342 //
     /* 2222268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222278 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2222278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222291 */     // GIR_Coverage, 2342,
     /* 2222291 */     GIR_EraseRootFromParent_Done,
     /* 2222292 */   // Label 29613: @2222292
     /* 2222292 */   GIM_Reject,
     /* 2222293 */ // Label 29610: @2222293
     /* 2222293 */ GIM_Reject,
     /* 2222294 */ // Label 29586: @2222294
     /* 2222294 */ GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2222415),
     /* 2222299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222313 */   GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2222349), // Rule ID 2347 //
     /* 2222318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222333 */     // MIs[1] Operand 1
     /* 2222333 */     // No operand predicates
     /* 2222333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222335 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222342 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222348 */     // GIR_Coverage, 2347,
     /* 2222348 */     GIR_EraseRootFromParent_Done,
     /* 2222349 */   // Label 29615: @2222349
     /* 2222349 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2222385), // Rule ID 62458 //
     /* 2222354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2222357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222369 */     // MIs[1] Operand 1
     /* 2222369 */     // No operand predicates
     /* 2222369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222371 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222378 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222384 */     // GIR_Coverage, 62458,
     /* 2222384 */     GIR_EraseRootFromParent_Done,
     /* 2222385 */   // Label 29616: @2222385
     /* 2222385 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2222414), // Rule ID 2341 //
     /* 2222390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222400 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2222400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222413 */     // GIR_Coverage, 2341,
     /* 2222413 */     GIR_EraseRootFromParent_Done,
     /* 2222414 */   // Label 29617: @2222414
     /* 2222414 */   GIM_Reject,
     /* 2222415 */ // Label 29614: @2222415
     /* 2222415 */ GIM_Reject,
     /* 2222416 */ // Label 29587: @2222416
     /* 2222416 */ GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2222530),
     /* 2222421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2222424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2222427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222439 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2222484), // Rule ID 59139 //
     /* 2222444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222447 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222483 */     // GIR_Coverage, 59139,
     /* 2222483 */     GIR_EraseRootFromParent_Done,
     /* 2222484 */   // Label 29619: @2222484
     /* 2222484 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2222529), // Rule ID 59140 //
     /* 2222489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222492 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222528 */     // GIR_Coverage, 59140,
     /* 2222528 */     GIR_EraseRootFromParent_Done,
     /* 2222529 */   // Label 29620: @2222529
     /* 2222529 */   GIM_Reject,
     /* 2222530 */ // Label 29618: @2222530
     /* 2222530 */ GIM_Reject,
     /* 2222531 */ // Label 29588: @2222531
     /* 2222531 */ GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2222645),
     /* 2222536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2222539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2222542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222554 */   GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2222599), // Rule ID 59151 //
     /* 2222559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222562 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222598 */     // GIR_Coverage, 59151,
     /* 2222598 */     GIR_EraseRootFromParent_Done,
     /* 2222599 */   // Label 29622: @2222599
     /* 2222599 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2222644), // Rule ID 59152 //
     /* 2222604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222607 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222643 */     // GIR_Coverage, 59152,
     /* 2222643 */     GIR_EraseRootFromParent_Done,
     /* 2222644 */   // Label 29623: @2222644
     /* 2222644 */   GIM_Reject,
     /* 2222645 */ // Label 29621: @2222645
     /* 2222645 */ GIM_Reject,
     /* 2222646 */ // Label 29589: @2222646
     /* 2222646 */ GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2222760),
     /* 2222651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2222654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2222657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222669 */   GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2222714), // Rule ID 59159 //
     /* 2222674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222677 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2222680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2222694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222713 */     // GIR_Coverage, 59159,
     /* 2222713 */     GIR_EraseRootFromParent_Done,
     /* 2222714 */   // Label 29625: @2222714
     /* 2222714 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2222759), // Rule ID 59160 //
     /* 2222719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222722 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2222725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2222739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222758 */     // GIR_Coverage, 59160,
     /* 2222758 */     GIR_EraseRootFromParent_Done,
     /* 2222759 */   // Label 29626: @2222759
     /* 2222759 */   GIM_Reject,
     /* 2222760 */ // Label 29624: @2222760
     /* 2222760 */ GIM_Reject,
     /* 2222761 */ // Label 29590: @2222761
     /* 2222761 */ GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2222875),
     /* 2222766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2222769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2222772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222784 */   GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2222829), // Rule ID 59175 //
     /* 2222789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222792 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2222795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222828 */     // GIR_Coverage, 59175,
     /* 2222828 */     GIR_EraseRootFromParent_Done,
     /* 2222829 */   // Label 29628: @2222829
     /* 2222829 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2222874), // Rule ID 59176 //
     /* 2222834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222837 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2222840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222873 */     // GIR_Coverage, 59176,
     /* 2222873 */     GIR_EraseRootFromParent_Done,
     /* 2222874 */   // Label 29629: @2222874
     /* 2222874 */   GIM_Reject,
     /* 2222875 */ // Label 29627: @2222875
     /* 2222875 */ GIM_Reject,
     /* 2222876 */ // Label 29591: @2222876
     /* 2222876 */ GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2222990),
     /* 2222881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2222884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2222887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222899 */   GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2222944), // Rule ID 59143 //
     /* 2222904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222907 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2222910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222943 */     // GIR_Coverage, 59143,
     /* 2222943 */     GIR_EraseRootFromParent_Done,
     /* 2222944 */   // Label 29631: @2222944
     /* 2222944 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2222989), // Rule ID 59144 //
     /* 2222949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222952 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2222955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222988 */     // GIR_Coverage, 59144,
     /* 2222988 */     GIR_EraseRootFromParent_Done,
     /* 2222989 */   // Label 29632: @2222989
     /* 2222989 */   GIM_Reject,
     /* 2222990 */ // Label 29630: @2222990
     /* 2222990 */ GIM_Reject,
     /* 2222991 */ // Label 29592: @2222991
     /* 2222991 */ GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2223105),
     /* 2222996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2222999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2223002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223014 */   GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2223059), // Rule ID 59155 //
     /* 2223019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223022 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223058 */     // GIR_Coverage, 59155,
     /* 2223058 */     GIR_EraseRootFromParent_Done,
     /* 2223059 */   // Label 29634: @2223059
     /* 2223059 */   GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2223104), // Rule ID 59156 //
     /* 2223064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223067 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223103 */     // GIR_Coverage, 59156,
     /* 2223103 */     GIR_EraseRootFromParent_Done,
     /* 2223104 */   // Label 29635: @2223104
     /* 2223104 */   GIM_Reject,
     /* 2223105 */ // Label 29633: @2223105
     /* 2223105 */ GIM_Reject,
     /* 2223106 */ // Label 29593: @2223106
     /* 2223106 */ GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2223220),
     /* 2223111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2223114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2223117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223129 */   GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2223174), // Rule ID 59171 //
     /* 2223134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223137 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223173 */     // GIR_Coverage, 59171,
     /* 2223173 */     GIR_EraseRootFromParent_Done,
     /* 2223174 */   // Label 29637: @2223174
     /* 2223174 */   GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2223219), // Rule ID 59172 //
     /* 2223179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223182 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223218 */     // GIR_Coverage, 59172,
     /* 2223218 */     GIR_EraseRootFromParent_Done,
     /* 2223219 */   // Label 29638: @2223219
     /* 2223219 */   GIM_Reject,
     /* 2223220 */ // Label 29636: @2223220
     /* 2223220 */ GIM_Reject,
     /* 2223221 */ // Label 29594: @2223221
     /* 2223221 */ GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2223335),
     /* 2223226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2223229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2223232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223244 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2223289), // Rule ID 59215 //
     /* 2223249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223252 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223288 */     // GIR_Coverage, 59215,
     /* 2223288 */     GIR_EraseRootFromParent_Done,
     /* 2223289 */   // Label 29640: @2223289
     /* 2223289 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2223334), // Rule ID 59216 //
     /* 2223294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223297 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223333 */     // GIR_Coverage, 59216,
     /* 2223333 */     GIR_EraseRootFromParent_Done,
     /* 2223334 */   // Label 29641: @2223334
     /* 2223334 */   GIM_Reject,
     /* 2223335 */ // Label 29639: @2223335
     /* 2223335 */ GIM_Reject,
     /* 2223336 */ // Label 29595: @2223336
     /* 2223336 */ GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2223450),
     /* 2223341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2223347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223359 */   GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2223404), // Rule ID 59147 //
     /* 2223364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223367 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223403 */     // GIR_Coverage, 59147,
     /* 2223403 */     GIR_EraseRootFromParent_Done,
     /* 2223404 */   // Label 29643: @2223404
     /* 2223404 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2223449), // Rule ID 59148 //
     /* 2223409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223412 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223448 */     // GIR_Coverage, 59148,
     /* 2223448 */     GIR_EraseRootFromParent_Done,
     /* 2223449 */   // Label 29644: @2223449
     /* 2223449 */   GIM_Reject,
     /* 2223450 */ // Label 29642: @2223450
     /* 2223450 */ GIM_Reject,
     /* 2223451 */ // Label 29596: @2223451
     /* 2223451 */ GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2223565),
     /* 2223456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2223462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223474 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2223519), // Rule ID 59167 //
     /* 2223479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223482 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223518 */     // GIR_Coverage, 59167,
     /* 2223518 */     GIR_EraseRootFromParent_Done,
     /* 2223519 */   // Label 29646: @2223519
     /* 2223519 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2223564), // Rule ID 59168 //
     /* 2223524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223527 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223563 */     // GIR_Coverage, 59168,
     /* 2223563 */     GIR_EraseRootFromParent_Done,
     /* 2223564 */   // Label 29647: @2223564
     /* 2223564 */   GIM_Reject,
     /* 2223565 */ // Label 29645: @2223565
     /* 2223565 */ GIM_Reject,
     /* 2223566 */ // Label 29597: @2223566
     /* 2223566 */ GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2223680),
     /* 2223571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2223577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223589 */   GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2223634), // Rule ID 59203 //
     /* 2223594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223597 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223633 */     // GIR_Coverage, 59203,
     /* 2223633 */     GIR_EraseRootFromParent_Done,
     /* 2223634 */   // Label 29649: @2223634
     /* 2223634 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2223679), // Rule ID 59204 //
     /* 2223639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223642 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223678 */     // GIR_Coverage, 59204,
     /* 2223678 */     GIR_EraseRootFromParent_Done,
     /* 2223679 */   // Label 29650: @2223679
     /* 2223679 */   GIM_Reject,
     /* 2223680 */ // Label 29648: @2223680
     /* 2223680 */ GIM_Reject,
     /* 2223681 */ // Label 29598: @2223681
     /* 2223681 */ GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2223795),
     /* 2223686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2223689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2223692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223704 */   GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2223749), // Rule ID 59219 //
     /* 2223709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223712 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2223715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223748 */     // GIR_Coverage, 59219,
     /* 2223748 */     GIR_EraseRootFromParent_Done,
     /* 2223749 */   // Label 29652: @2223749
     /* 2223749 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2223794), // Rule ID 59220 //
     /* 2223754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223757 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2223760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223793 */     // GIR_Coverage, 59220,
     /* 2223793 */     GIR_EraseRootFromParent_Done,
     /* 2223794 */   // Label 29653: @2223794
     /* 2223794 */   GIM_Reject,
     /* 2223795 */ // Label 29651: @2223795
     /* 2223795 */ GIM_Reject,
     /* 2223796 */ // Label 29599: @2223796
     /* 2223796 */ GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2223910),
     /* 2223801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2223804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2223807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223819 */   GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2223864), // Rule ID 59163 //
     /* 2223824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223827 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2223830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223863 */     // GIR_Coverage, 59163,
     /* 2223863 */     GIR_EraseRootFromParent_Done,
     /* 2223864 */   // Label 29655: @2223864
     /* 2223864 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2223909), // Rule ID 59164 //
     /* 2223869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223872 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2223875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223908 */     // GIR_Coverage, 59164,
     /* 2223908 */     GIR_EraseRootFromParent_Done,
     /* 2223909 */   // Label 29656: @2223909
     /* 2223909 */   GIM_Reject,
     /* 2223910 */ // Label 29654: @2223910
     /* 2223910 */ GIM_Reject,
     /* 2223911 */ // Label 29600: @2223911
     /* 2223911 */ GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2224025),
     /* 2223916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2223919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2223922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223934 */   GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2223979), // Rule ID 59191 //
     /* 2223939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223942 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2223945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223978 */     // GIR_Coverage, 59191,
     /* 2223978 */     GIR_EraseRootFromParent_Done,
     /* 2223979 */   // Label 29658: @2223979
     /* 2223979 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2224024), // Rule ID 59192 //
     /* 2223984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223987 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2223990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224023 */     // GIR_Coverage, 59192,
     /* 2224023 */     GIR_EraseRootFromParent_Done,
     /* 2224024 */   // Label 29659: @2224024
     /* 2224024 */   GIM_Reject,
     /* 2224025 */ // Label 29657: @2224025
     /* 2224025 */ GIM_Reject,
     /* 2224026 */ // Label 29601: @2224026
     /* 2224026 */ GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2224140),
     /* 2224031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2224034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2224037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224049 */   GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2224094), // Rule ID 59207 //
     /* 2224054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224057 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224093 */     // GIR_Coverage, 59207,
     /* 2224093 */     GIR_EraseRootFromParent_Done,
     /* 2224094 */   // Label 29661: @2224094
     /* 2224094 */   GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2224139), // Rule ID 59208 //
     /* 2224099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224102 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224138 */     // GIR_Coverage, 59208,
     /* 2224138 */     GIR_EraseRootFromParent_Done,
     /* 2224139 */   // Label 29662: @2224139
     /* 2224139 */   GIM_Reject,
     /* 2224140 */ // Label 29660: @2224140
     /* 2224140 */ GIM_Reject,
     /* 2224141 */ // Label 29602: @2224141
     /* 2224141 */ GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2224255),
     /* 2224146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2224149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2224152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224164 */   GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2224209), // Rule ID 59223 //
     /* 2224169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224172 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224208 */     // GIR_Coverage, 59223,
     /* 2224208 */     GIR_EraseRootFromParent_Done,
     /* 2224209 */   // Label 29664: @2224209
     /* 2224209 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2224254), // Rule ID 59224 //
     /* 2224214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224217 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224253 */     // GIR_Coverage, 59224,
     /* 2224253 */     GIR_EraseRootFromParent_Done,
     /* 2224254 */   // Label 29665: @2224254
     /* 2224254 */   GIM_Reject,
     /* 2224255 */ // Label 29663: @2224255
     /* 2224255 */ GIM_Reject,
     /* 2224256 */ // Label 29603: @2224256
     /* 2224256 */ GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2224370),
     /* 2224261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2224264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2224267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224279 */   GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2224324), // Rule ID 59179 //
     /* 2224284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224287 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224323 */     // GIR_Coverage, 59179,
     /* 2224323 */     GIR_EraseRootFromParent_Done,
     /* 2224324 */   // Label 29667: @2224324
     /* 2224324 */   GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2224369), // Rule ID 59180 //
     /* 2224329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224332 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224368 */     // GIR_Coverage, 59180,
     /* 2224368 */     GIR_EraseRootFromParent_Done,
     /* 2224369 */   // Label 29668: @2224369
     /* 2224369 */   GIM_Reject,
     /* 2224370 */ // Label 29666: @2224370
     /* 2224370 */ GIM_Reject,
     /* 2224371 */ // Label 29604: @2224371
     /* 2224371 */ GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2224485),
     /* 2224376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2224379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2224382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224394 */   GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2224439), // Rule ID 59195 //
     /* 2224399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224402 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224438 */     // GIR_Coverage, 59195,
     /* 2224438 */     GIR_EraseRootFromParent_Done,
     /* 2224439 */   // Label 29670: @2224439
     /* 2224439 */   GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2224484), // Rule ID 59196 //
     /* 2224444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224447 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224483 */     // GIR_Coverage, 59196,
     /* 2224483 */     GIR_EraseRootFromParent_Done,
     /* 2224484 */   // Label 29671: @2224484
     /* 2224484 */   GIM_Reject,
     /* 2224485 */ // Label 29669: @2224485
     /* 2224485 */ GIM_Reject,
     /* 2224486 */ // Label 29605: @2224486
     /* 2224486 */ GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2224600),
     /* 2224491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2224494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2224497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224509 */   GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2224554), // Rule ID 59211 //
     /* 2224514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224517 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224553 */     // GIR_Coverage, 59211,
     /* 2224553 */     GIR_EraseRootFromParent_Done,
     /* 2224554 */   // Label 29673: @2224554
     /* 2224554 */   GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2224599), // Rule ID 59212 //
     /* 2224559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224562 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224598 */     // GIR_Coverage, 59212,
     /* 2224598 */     GIR_EraseRootFromParent_Done,
     /* 2224599 */   // Label 29674: @2224599
     /* 2224599 */   GIM_Reject,
     /* 2224600 */ // Label 29672: @2224600
     /* 2224600 */ GIM_Reject,
     /* 2224601 */ // Label 29606: @2224601
     /* 2224601 */ GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2224715),
     /* 2224606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2224609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2224612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224624 */   GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2224669), // Rule ID 59183 //
     /* 2224629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224632 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2224635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224668 */     // GIR_Coverage, 59183,
     /* 2224668 */     GIR_EraseRootFromParent_Done,
     /* 2224669 */   // Label 29676: @2224669
     /* 2224669 */   GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2224714), // Rule ID 59184 //
     /* 2224674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224677 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2224680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224713 */     // GIR_Coverage, 59184,
     /* 2224713 */     GIR_EraseRootFromParent_Done,
     /* 2224714 */   // Label 29677: @2224714
     /* 2224714 */   GIM_Reject,
     /* 2224715 */ // Label 29675: @2224715
     /* 2224715 */ GIM_Reject,
     /* 2224716 */ // Label 29607: @2224716
     /* 2224716 */ GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2224830),
     /* 2224721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2224724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2224727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224739 */   GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2224784), // Rule ID 59199 //
     /* 2224744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224747 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2224750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224783 */     // GIR_Coverage, 59199,
     /* 2224783 */     GIR_EraseRootFromParent_Done,
     /* 2224784 */   // Label 29679: @2224784
     /* 2224784 */   GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2224829), // Rule ID 59200 //
     /* 2224789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224792 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2224795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224828 */     // GIR_Coverage, 59200,
     /* 2224828 */     GIR_EraseRootFromParent_Done,
     /* 2224829 */   // Label 29680: @2224829
     /* 2224829 */   GIM_Reject,
     /* 2224830 */ // Label 29678: @2224830
     /* 2224830 */ GIM_Reject,
     /* 2224831 */ // Label 29608: @2224831
     /* 2224831 */ GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2224945),
     /* 2224836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2224839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2224842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224854 */   GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2224899), // Rule ID 59187 //
     /* 2224859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224862 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2224865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224898 */     // GIR_Coverage, 59187,
     /* 2224898 */     GIR_EraseRootFromParent_Done,
     /* 2224899 */   // Label 29682: @2224899
     /* 2224899 */   GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2224944), // Rule ID 59188 //
     /* 2224904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224907 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2224910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224943 */     // GIR_Coverage, 59188,
     /* 2224943 */     GIR_EraseRootFromParent_Done,
     /* 2224944 */   // Label 29683: @2224944
     /* 2224944 */   GIM_Reject,
     /* 2224945 */ // Label 29681: @2224945
     /* 2224945 */ GIM_Reject,
     /* 2224946 */ // Label 29609: @2224946
     /* 2224946 */ GIM_Reject,
     /* 2224947 */ // Label 48: @2224947
     /* 2224947 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29693*/ GIMT_Encode4(2251609),
     /* 2224958 */ /*GILLT_s32*//*Label 29684*/ GIMT_Encode4(2225078),
     /* 2224962 */ /*GILLT_s64*//*Label 29685*/ GIMT_Encode4(2227872),
     /* 2224966 */ /*GILLT_nxv1s1*//*Label 29686*/ GIMT_Encode4(2230666), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2224986 */ /*GILLT_nxv2s1*//*Label 29687*/ GIMT_Encode4(2234507), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225006 */ /*GILLT_nxv4s1*//*Label 29688*/ GIMT_Encode4(2238348), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225026 */ /*GILLT_nxv8s1*//*Label 29689*/ GIMT_Encode4(2242189), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225046 */ /*GILLT_nxv16s1*//*Label 29690*/ GIMT_Encode4(2246030), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225062 */ /*GILLT_nxv32s1*//*Label 29691*/ GIMT_Encode4(2248911), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225074 */ /*GILLT_nxv64s1*//*Label 29692*/ GIMT_Encode4(2250832),
     /* 2225078 */ // Label 29684: @2225078
     /* 2225078 */ GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2225121), // Rule ID 159 //
     /* 2225083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225096 */   // MIs[0] Operand 1
     /* 2225096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225105 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2225109 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2225109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225120 */   // GIR_Coverage, 159,
     /* 2225120 */   GIR_EraseRootFromParent_Done,
     /* 2225121 */ // Label 29694: @2225121
     /* 2225121 */ GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2225164), // Rule ID 64860 //
     /* 2225126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225139 */   // MIs[0] Operand 1
     /* 2225139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225148 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225152 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225163 */   // GIR_Coverage, 64860,
     /* 2225163 */   GIR_EraseRootFromParent_Done,
     /* 2225164 */ // Label 29695: @2225164
     /* 2225164 */ GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2225210), // Rule ID 64866 //
     /* 2225169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225182 */   // MIs[0] Operand 1
     /* 2225182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225191 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225195 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225200 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225206 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225209 */   // GIR_Coverage, 64866,
     /* 2225209 */   GIR_EraseRootFromParent_Done,
     /* 2225210 */ // Label 29696: @2225210
     /* 2225210 */ GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2225253), // Rule ID 64896 //
     /* 2225215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225228 */   // MIs[0] Operand 1
     /* 2225228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225237 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225241 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225252 */   // GIR_Coverage, 64896,
     /* 2225252 */   GIR_EraseRootFromParent_Done,
     /* 2225253 */ // Label 29697: @2225253
     /* 2225253 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2225299), // Rule ID 64902 //
     /* 2225258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225271 */   // MIs[0] Operand 1
     /* 2225271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225280 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225284 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225289 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225295 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225298 */   // GIR_Coverage, 64902,
     /* 2225298 */   GIR_EraseRootFromParent_Done,
     /* 2225299 */ // Label 29698: @2225299
     /* 2225299 */ GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2225352), // Rule ID 149 //
     /* 2225304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225310 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225317 */   // MIs[0] Operand 1
     /* 2225317 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225326 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225330 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225334 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225338 */   // MIs[1] Operand 1
     /* 2225338 */   // No operand predicates
     /* 2225338 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225340 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225347 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225351 */   // GIR_Coverage, 149,
     /* 2225351 */   GIR_EraseRootFromParent_Done,
     /* 2225352 */ // Label 29699: @2225352
     /* 2225352 */ GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2225405), // Rule ID 153 //
     /* 2225357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225370 */   // MIs[0] Operand 1
     /* 2225370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225379 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225383 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225387 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225391 */   // MIs[1] Operand 1
     /* 2225391 */   // No operand predicates
     /* 2225391 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225393 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225400 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225404 */   // GIR_Coverage, 153,
     /* 2225404 */   GIR_EraseRootFromParent_Done,
     /* 2225405 */ // Label 29700: @2225405
     /* 2225405 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2225458), // Rule ID 64852 //
     /* 2225410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225423 */   // MIs[0] Operand 1
     /* 2225423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225432 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225436 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225440 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225444 */   // MIs[1] Operand 1
     /* 2225444 */   // No operand predicates
     /* 2225444 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225446 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225453 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225457 */   // GIR_Coverage, 64852,
     /* 2225457 */   GIR_EraseRootFromParent_Done,
     /* 2225458 */ // Label 29701: @2225458
     /* 2225458 */ GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2225511), // Rule ID 64856 //
     /* 2225463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225476 */   // MIs[0] Operand 1
     /* 2225476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225485 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225493 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225497 */   // MIs[1] Operand 1
     /* 2225497 */   // No operand predicates
     /* 2225497 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225499 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225506 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225510 */   // GIR_Coverage, 64856,
     /* 2225510 */   GIR_EraseRootFromParent_Done,
     /* 2225511 */ // Label 29702: @2225511
     /* 2225511 */ GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2225588), // Rule ID 64862 //
     /* 2225516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225529 */   // MIs[0] Operand 1
     /* 2225529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225538 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225542 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225546 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2225550 */   // MIs[1] Operand 1
     /* 2225550 */   // No operand predicates
     /* 2225550 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225552 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2225552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2225559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225564 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225568 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2225573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225580 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225587 */   // GIR_Coverage, 64862,
     /* 2225587 */   GIR_EraseRootFromParent_Done,
     /* 2225588 */ // Label 29703: @2225588
     /* 2225588 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2225668), // Rule ID 64868 //
     /* 2225593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225606 */   // MIs[0] Operand 1
     /* 2225606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225615 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225619 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225623 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2225627 */   // MIs[1] Operand 1
     /* 2225627 */   // No operand predicates
     /* 2225627 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225629 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2225629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2225636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225641 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225645 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2225650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225657 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225663 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225667 */   // GIR_Coverage, 64868,
     /* 2225667 */   GIR_EraseRootFromParent_Done,
     /* 2225668 */ // Label 29704: @2225668
     /* 2225668 */ GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2225745), // Rule ID 64872 //
     /* 2225673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225686 */   // MIs[0] Operand 1
     /* 2225686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2225691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225695 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225699 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225703 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2225707 */   // MIs[1] Operand 1
     /* 2225707 */   // No operand predicates
     /* 2225707 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225709 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2225709 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225712 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225716 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225721 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225725 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225730 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225744 */   // GIR_Coverage, 64872,
     /* 2225744 */   GIR_EraseRootFromParent_Done,
     /* 2225745 */ // Label 29705: @2225745
     /* 2225745 */ GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2225822), // Rule ID 64876 //
     /* 2225750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225763 */   // MIs[0] Operand 1
     /* 2225763 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2225768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225772 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225776 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225780 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2225784 */   // MIs[1] Operand 1
     /* 2225784 */   // No operand predicates
     /* 2225784 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225786 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2225786 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225789 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225793 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225798 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225802 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225821 */   // GIR_Coverage, 64876,
     /* 2225821 */   GIR_EraseRootFromParent_Done,
     /* 2225822 */ // Label 29706: @2225822
     /* 2225822 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2225897), // Rule ID 64880 //
     /* 2225827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225840 */   // MIs[0] Operand 1
     /* 2225840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2225845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225849 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225853 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225857 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225861 */   // MIs[1] Operand 1
     /* 2225861 */   // No operand predicates
     /* 2225861 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225863 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2225863 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225866 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225870 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225875 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225879 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2225882 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225889 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225896 */   // GIR_Coverage, 64880,
     /* 2225896 */   GIR_EraseRootFromParent_Done,
     /* 2225897 */ // Label 29707: @2225897
     /* 2225897 */ GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2225972), // Rule ID 64884 //
     /* 2225902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225915 */   // MIs[0] Operand 1
     /* 2225915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2225920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225924 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225928 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225932 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225936 */   // MIs[1] Operand 1
     /* 2225936 */   // No operand predicates
     /* 2225936 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225938 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2225938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225950 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225954 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2225957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225971 */   // GIR_Coverage, 64884,
     /* 2225971 */   GIR_EraseRootFromParent_Done,
     /* 2225972 */ // Label 29708: @2225972
     /* 2225972 */ GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2226027), // Rule ID 64888 //
     /* 2225977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225990 */   // MIs[0] Operand 1
     /* 2225990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2225995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225999 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226003 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226007 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226011 */   // MIs[1] Operand 1
     /* 2226011 */   // No operand predicates
     /* 2226011 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226013 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2226013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226020 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226026 */   // GIR_Coverage, 64888,
     /* 2226026 */   GIR_EraseRootFromParent_Done,
     /* 2226027 */ // Label 29709: @2226027
     /* 2226027 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2226082), // Rule ID 64892 //
     /* 2226032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226045 */   // MIs[0] Operand 1
     /* 2226045 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226054 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226058 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226062 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226066 */   // MIs[1] Operand 1
     /* 2226066 */   // No operand predicates
     /* 2226066 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226068 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2226068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226075 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226081 */   // GIR_Coverage, 64892,
     /* 2226081 */   GIR_EraseRootFromParent_Done,
     /* 2226082 */ // Label 29710: @2226082
     /* 2226082 */ GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2226159), // Rule ID 64898 //
     /* 2226087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226100 */   // MIs[0] Operand 1
     /* 2226100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226109 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226113 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226117 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226121 */   // MIs[1] Operand 1
     /* 2226121 */   // No operand predicates
     /* 2226121 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226123 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2226123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226135 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226139 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226144 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226151 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226158 */   // GIR_Coverage, 64898,
     /* 2226158 */   GIR_EraseRootFromParent_Done,
     /* 2226159 */ // Label 29711: @2226159
     /* 2226159 */ GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2226239), // Rule ID 64904 //
     /* 2226164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226177 */   // MIs[0] Operand 1
     /* 2226177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226186 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226190 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226194 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226198 */   // MIs[1] Operand 1
     /* 2226198 */   // No operand predicates
     /* 2226198 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226200 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2226200 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226203 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226207 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226212 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226216 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226228 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226234 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226238 */   // GIR_Coverage, 64904,
     /* 2226238 */   GIR_EraseRootFromParent_Done,
     /* 2226239 */ // Label 29712: @2226239
     /* 2226239 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2226316), // Rule ID 64908 //
     /* 2226244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226250 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226257 */   // MIs[0] Operand 1
     /* 2226257 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226266 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226270 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226274 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226278 */   // MIs[1] Operand 1
     /* 2226278 */   // No operand predicates
     /* 2226278 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226280 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2226280 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226283 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226287 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226292 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226296 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226301 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226308 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226315 */   // GIR_Coverage, 64908,
     /* 2226315 */   GIR_EraseRootFromParent_Done,
     /* 2226316 */ // Label 29713: @2226316
     /* 2226316 */ GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2226393), // Rule ID 64912 //
     /* 2226321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226334 */   // MIs[0] Operand 1
     /* 2226334 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226343 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226347 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226351 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226355 */   // MIs[1] Operand 1
     /* 2226355 */   // No operand predicates
     /* 2226355 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226357 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2226357 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226360 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226364 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226369 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226373 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226392 */   // GIR_Coverage, 64912,
     /* 2226392 */   GIR_EraseRootFromParent_Done,
     /* 2226393 */ // Label 29714: @2226393
     /* 2226393 */ GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2226468), // Rule ID 64916 //
     /* 2226398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226411 */   // MIs[0] Operand 1
     /* 2226411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2226416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226420 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226424 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226428 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226432 */   // MIs[1] Operand 1
     /* 2226432 */   // No operand predicates
     /* 2226432 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226434 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226446 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226450 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226467 */   // GIR_Coverage, 64916,
     /* 2226467 */   GIR_EraseRootFromParent_Done,
     /* 2226468 */ // Label 29715: @2226468
     /* 2226468 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2226543), // Rule ID 64920 //
     /* 2226473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226486 */   // MIs[0] Operand 1
     /* 2226486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2226491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226495 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226499 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226503 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226507 */   // MIs[1] Operand 1
     /* 2226507 */   // No operand predicates
     /* 2226507 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226509 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226509 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226512 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226516 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226521 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226525 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226542 */   // GIR_Coverage, 64920,
     /* 2226542 */   GIR_EraseRootFromParent_Done,
     /* 2226543 */ // Label 29716: @2226543
     /* 2226543 */ GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2226598), // Rule ID 64924 //
     /* 2226548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226561 */   // MIs[0] Operand 1
     /* 2226561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226570 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226574 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226578 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226582 */   // MIs[1] Operand 1
     /* 2226582 */   // No operand predicates
     /* 2226582 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226584 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2226584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226589 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226591 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226597 */   // GIR_Coverage, 64924,
     /* 2226597 */   GIR_EraseRootFromParent_Done,
     /* 2226598 */ // Label 29717: @2226598
     /* 2226598 */ GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2226653), // Rule ID 64928 //
     /* 2226603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226609 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226616 */   // MIs[0] Operand 1
     /* 2226616 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226625 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226629 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226633 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226637 */   // MIs[1] Operand 1
     /* 2226637 */   // No operand predicates
     /* 2226637 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226639 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2226639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226646 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226652 */   // GIR_Coverage, 64928,
     /* 2226652 */   GIR_EraseRootFromParent_Done,
     /* 2226653 */ // Label 29718: @2226653
     /* 2226653 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2226695), // Rule ID 64364 //
     /* 2226658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2226661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226671 */   // MIs[0] Operand 1
     /* 2226671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226684 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2226687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226689 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226694 */   // GIR_Coverage, 64364,
     /* 2226694 */   GIR_EraseRootFromParent_Done,
     /* 2226695 */ // Label 29719: @2226695
     /* 2226695 */ GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2226737), // Rule ID 64366 //
     /* 2226700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2226703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226713 */   // MIs[0] Operand 1
     /* 2226713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226726 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2226729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226736 */   // GIR_Coverage, 64366,
     /* 2226736 */   GIR_EraseRootFromParent_Done,
     /* 2226737 */ // Label 29720: @2226737
     /* 2226737 */ GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2226779), // Rule ID 147 //
     /* 2226742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226755 */   // MIs[0] Operand 1
     /* 2226755 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2226760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226768 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226773 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226775 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226778 */   // GIR_Coverage, 147,
     /* 2226778 */   GIR_EraseRootFromParent_Done,
     /* 2226779 */ // Label 29721: @2226779
     /* 2226779 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2226821), // Rule ID 151 //
     /* 2226784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226797 */   // MIs[0] Operand 1
     /* 2226797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226810 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226820 */   // GIR_Coverage, 151,
     /* 2226820 */   GIR_EraseRootFromParent_Done,
     /* 2226821 */ // Label 29722: @2226821
     /* 2226821 */ GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2226863), // Rule ID 64854 //
     /* 2226826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226839 */   // MIs[0] Operand 1
     /* 2226839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226852 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226862 */   // GIR_Coverage, 64854,
     /* 2226862 */   GIR_EraseRootFromParent_Done,
     /* 2226863 */ // Label 29723: @2226863
     /* 2226863 */ GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2226905), // Rule ID 64858 //
     /* 2226868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226881 */   // MIs[0] Operand 1
     /* 2226881 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2226886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226890 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226894 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226901 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226904 */   // GIR_Coverage, 64858,
     /* 2226904 */   GIR_EraseRootFromParent_Done,
     /* 2226905 */ // Label 29724: @2226905
     /* 2226905 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2226971), // Rule ID 64864 //
     /* 2226910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226923 */   // MIs[0] Operand 1
     /* 2226923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226936 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2226936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2226943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226948 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226952 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226970 */   // GIR_Coverage, 64864,
     /* 2226970 */   GIR_EraseRootFromParent_Done,
     /* 2226971 */ // Label 29725: @2226971
     /* 2226971 */ GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2227040), // Rule ID 64870 //
     /* 2226976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226989 */   // MIs[0] Operand 1
     /* 2226989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227002 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2227002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227014 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227018 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227029 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227039 */   // GIR_Coverage, 64870,
     /* 2227039 */   GIR_EraseRootFromParent_Done,
     /* 2227040 */ // Label 29726: @2227040
     /* 2227040 */ GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2227082), // Rule ID 64874 //
     /* 2227045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227058 */   // MIs[0] Operand 1
     /* 2227058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227071 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227076 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227078 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227081 */   // GIR_Coverage, 64874,
     /* 2227081 */   GIR_EraseRootFromParent_Done,
     /* 2227082 */ // Label 29727: @2227082
     /* 2227082 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2227124), // Rule ID 64878 //
     /* 2227087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227100 */   // MIs[0] Operand 1
     /* 2227100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227113 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227118 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227120 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227123 */   // GIR_Coverage, 64878,
     /* 2227123 */   GIR_EraseRootFromParent_Done,
     /* 2227124 */ // Label 29728: @2227124
     /* 2227124 */ GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2227190), // Rule ID 64882 //
     /* 2227129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227142 */   // MIs[0] Operand 1
     /* 2227142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227155 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227167 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227171 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227189 */   // GIR_Coverage, 64882,
     /* 2227189 */   GIR_EraseRootFromParent_Done,
     /* 2227190 */ // Label 29729: @2227190
     /* 2227190 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2227256), // Rule ID 64886 //
     /* 2227195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227208 */   // MIs[0] Operand 1
     /* 2227208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227221 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227233 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227237 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227248 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227255 */   // GIR_Coverage, 64886,
     /* 2227255 */   GIR_EraseRootFromParent_Done,
     /* 2227256 */ // Label 29730: @2227256
     /* 2227256 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2227322), // Rule ID 64890 //
     /* 2227261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227274 */   // MIs[0] Operand 1
     /* 2227274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227287 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227299 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227303 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227321 */   // GIR_Coverage, 64890,
     /* 2227321 */   GIR_EraseRootFromParent_Done,
     /* 2227322 */ // Label 29731: @2227322
     /* 2227322 */ GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2227388), // Rule ID 64894 //
     /* 2227327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227340 */   // MIs[0] Operand 1
     /* 2227340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227353 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227365 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227369 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227380 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227387 */   // GIR_Coverage, 64894,
     /* 2227387 */   GIR_EraseRootFromParent_Done,
     /* 2227388 */ // Label 29732: @2227388
     /* 2227388 */ GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2227454), // Rule ID 64900 //
     /* 2227393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227399 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227406 */   // MIs[0] Operand 1
     /* 2227406 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227415 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227419 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227431 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227435 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227439 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227446 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227453 */   // GIR_Coverage, 64900,
     /* 2227453 */   GIR_EraseRootFromParent_Done,
     /* 2227454 */ // Label 29733: @2227454
     /* 2227454 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2227523), // Rule ID 64906 //
     /* 2227459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227472 */   // MIs[0] Operand 1
     /* 2227472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227481 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227485 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2227485 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227488 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227492 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227497 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227501 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227512 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227522 */   // GIR_Coverage, 64906,
     /* 2227522 */   GIR_EraseRootFromParent_Done,
     /* 2227523 */ // Label 29734: @2227523
     /* 2227523 */ GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2227565), // Rule ID 64910 //
     /* 2227528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227534 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227541 */   // MIs[0] Operand 1
     /* 2227541 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227550 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227554 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227564 */   // GIR_Coverage, 64910,
     /* 2227564 */   GIR_EraseRootFromParent_Done,
     /* 2227565 */ // Label 29735: @2227565
     /* 2227565 */ GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2227607), // Rule ID 64914 //
     /* 2227570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227576 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227583 */   // MIs[0] Operand 1
     /* 2227583 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227592 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227596 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227601 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227603 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227606 */   // GIR_Coverage, 64914,
     /* 2227606 */   GIR_EraseRootFromParent_Done,
     /* 2227607 */ // Label 29736: @2227607
     /* 2227607 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2227673), // Rule ID 64918 //
     /* 2227612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227625 */   // MIs[0] Operand 1
     /* 2227625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227638 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227650 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227654 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227658 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227665 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227672 */   // GIR_Coverage, 64918,
     /* 2227672 */   GIR_EraseRootFromParent_Done,
     /* 2227673 */ // Label 29737: @2227673
     /* 2227673 */ GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2227739), // Rule ID 64922 //
     /* 2227678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227691 */   // MIs[0] Operand 1
     /* 2227691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227704 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227716 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227720 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227738 */   // GIR_Coverage, 64922,
     /* 2227738 */   GIR_EraseRootFromParent_Done,
     /* 2227739 */ // Label 29738: @2227739
     /* 2227739 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2227805), // Rule ID 64926 //
     /* 2227744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227757 */   // MIs[0] Operand 1
     /* 2227757 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227766 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227770 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227782 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227786 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227790 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227797 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227804 */   // GIR_Coverage, 64926,
     /* 2227804 */   GIR_EraseRootFromParent_Done,
     /* 2227805 */ // Label 29739: @2227805
     /* 2227805 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2227871), // Rule ID 64930 //
     /* 2227810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227816 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227823 */   // MIs[0] Operand 1
     /* 2227823 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227832 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227836 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227848 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227852 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227856 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227863 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227870 */   // GIR_Coverage, 64930,
     /* 2227870 */   GIR_EraseRootFromParent_Done,
     /* 2227871 */ // Label 29740: @2227871
     /* 2227871 */ GIM_Reject,
     /* 2227872 */ // Label 29685: @2227872
     /* 2227872 */ GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2227915), // Rule ID 158 //
     /* 2227877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227890 */   // MIs[0] Operand 1
     /* 2227890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227899 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2227903 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2227903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227914 */   // GIR_Coverage, 158,
     /* 2227914 */   GIR_EraseRootFromParent_Done,
     /* 2227915 */ // Label 29741: @2227915
     /* 2227915 */ GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2227958), // Rule ID 64859 //
     /* 2227920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227926 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2227929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227933 */   // MIs[0] Operand 1
     /* 2227933 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227942 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2227946 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2227946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227951 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227957 */   // GIR_Coverage, 64859,
     /* 2227957 */   GIR_EraseRootFromParent_Done,
     /* 2227958 */ // Label 29742: @2227958
     /* 2227958 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2228004), // Rule ID 64865 //
     /* 2227963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2227972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227976 */   // MIs[0] Operand 1
     /* 2227976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227985 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2227989 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2227989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227994 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228003 */   // GIR_Coverage, 64865,
     /* 2228003 */   GIR_EraseRootFromParent_Done,
     /* 2228004 */ // Label 29743: @2228004
     /* 2228004 */ GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2228047), // Rule ID 64895 //
     /* 2228009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228015 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228022 */   // MIs[0] Operand 1
     /* 2228022 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228031 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228035 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2228035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228040 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228046 */   // GIR_Coverage, 64895,
     /* 2228046 */   GIR_EraseRootFromParent_Done,
     /* 2228047 */ // Label 29744: @2228047
     /* 2228047 */ GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2228093), // Rule ID 64901 //
     /* 2228052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228065 */   // MIs[0] Operand 1
     /* 2228065 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228074 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228078 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2228078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228083 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228089 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228092 */   // GIR_Coverage, 64901,
     /* 2228092 */   GIR_EraseRootFromParent_Done,
     /* 2228093 */ // Label 29745: @2228093
     /* 2228093 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2228146), // Rule ID 148 //
     /* 2228098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228111 */   // MIs[0] Operand 1
     /* 2228111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228120 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228124 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228128 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228132 */   // MIs[1] Operand 1
     /* 2228132 */   // No operand predicates
     /* 2228132 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228134 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228139 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228141 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228145 */   // GIR_Coverage, 148,
     /* 2228145 */   GIR_EraseRootFromParent_Done,
     /* 2228146 */ // Label 29746: @2228146
     /* 2228146 */ GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2228199), // Rule ID 152 //
     /* 2228151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228157 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228164 */   // MIs[0] Operand 1
     /* 2228164 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228173 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228177 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228181 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228185 */   // MIs[1] Operand 1
     /* 2228185 */   // No operand predicates
     /* 2228185 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228187 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228192 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228194 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228198 */   // GIR_Coverage, 152,
     /* 2228198 */   GIR_EraseRootFromParent_Done,
     /* 2228199 */ // Label 29747: @2228199
     /* 2228199 */ GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2228252), // Rule ID 64851 //
     /* 2228204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228210 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228217 */   // MIs[0] Operand 1
     /* 2228217 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228226 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228230 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228234 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228238 */   // MIs[1] Operand 1
     /* 2228238 */   // No operand predicates
     /* 2228238 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228240 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228247 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228251 */   // GIR_Coverage, 64851,
     /* 2228251 */   GIR_EraseRootFromParent_Done,
     /* 2228252 */ // Label 29748: @2228252
     /* 2228252 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2228305), // Rule ID 64855 //
     /* 2228257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228270 */   // MIs[0] Operand 1
     /* 2228270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228279 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228283 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228287 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228291 */   // MIs[1] Operand 1
     /* 2228291 */   // No operand predicates
     /* 2228291 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228293 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228300 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228304 */   // GIR_Coverage, 64855,
     /* 2228304 */   GIR_EraseRootFromParent_Done,
     /* 2228305 */ // Label 29749: @2228305
     /* 2228305 */ GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2228382), // Rule ID 64861 //
     /* 2228310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228323 */   // MIs[0] Operand 1
     /* 2228323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228332 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228336 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228340 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228344 */   // MIs[1] Operand 1
     /* 2228344 */   // No operand predicates
     /* 2228344 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228346 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2228346 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228349 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228353 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228358 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228362 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228367 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228374 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228381 */   // GIR_Coverage, 64861,
     /* 2228381 */   GIR_EraseRootFromParent_Done,
     /* 2228382 */ // Label 29750: @2228382
     /* 2228382 */ GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2228462), // Rule ID 64867 //
     /* 2228387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228400 */   // MIs[0] Operand 1
     /* 2228400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228409 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228413 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228417 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228421 */   // MIs[1] Operand 1
     /* 2228421 */   // No operand predicates
     /* 2228421 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228423 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2228423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228435 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228439 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228444 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228451 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228461 */   // GIR_Coverage, 64867,
     /* 2228461 */   GIR_EraseRootFromParent_Done,
     /* 2228462 */ // Label 29751: @2228462
     /* 2228462 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2228539), // Rule ID 64871 //
     /* 2228467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228480 */   // MIs[0] Operand 1
     /* 2228480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2228485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228489 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228493 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228497 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2228501 */   // MIs[1] Operand 1
     /* 2228501 */   // No operand predicates
     /* 2228501 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228503 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2228503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228515 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228519 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228538 */   // GIR_Coverage, 64871,
     /* 2228538 */   GIR_EraseRootFromParent_Done,
     /* 2228539 */ // Label 29752: @2228539
     /* 2228539 */ GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2228616), // Rule ID 64875 //
     /* 2228544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228557 */   // MIs[0] Operand 1
     /* 2228557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2228562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228566 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228570 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228574 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2228578 */   // MIs[1] Operand 1
     /* 2228578 */   // No operand predicates
     /* 2228578 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228580 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2228580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228592 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228596 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228608 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228615 */   // GIR_Coverage, 64875,
     /* 2228615 */   GIR_EraseRootFromParent_Done,
     /* 2228616 */ // Label 29753: @2228616
     /* 2228616 */ GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2228691), // Rule ID 64879 //
     /* 2228621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228634 */   // MIs[0] Operand 1
     /* 2228634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228643 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228647 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228651 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228655 */   // MIs[1] Operand 1
     /* 2228655 */   // No operand predicates
     /* 2228655 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228657 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2228657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228669 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228673 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2228676 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228683 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228690 */   // GIR_Coverage, 64879,
     /* 2228690 */   GIR_EraseRootFromParent_Done,
     /* 2228691 */ // Label 29754: @2228691
     /* 2228691 */ GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2228766), // Rule ID 64883 //
     /* 2228696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228709 */   // MIs[0] Operand 1
     /* 2228709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2228714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228718 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228722 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228726 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228730 */   // MIs[1] Operand 1
     /* 2228730 */   // No operand predicates
     /* 2228730 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228732 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2228732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228735 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228739 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228744 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228748 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2228751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228765 */   // GIR_Coverage, 64883,
     /* 2228765 */   GIR_EraseRootFromParent_Done,
     /* 2228766 */ // Label 29755: @2228766
     /* 2228766 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2228821), // Rule ID 64887 //
     /* 2228771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228784 */   // MIs[0] Operand 1
     /* 2228784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228793 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228797 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228801 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2228805 */   // MIs[1] Operand 1
     /* 2228805 */   // No operand predicates
     /* 2228805 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228807 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2228807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228814 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228820 */   // GIR_Coverage, 64887,
     /* 2228820 */   GIR_EraseRootFromParent_Done,
     /* 2228821 */ // Label 29756: @2228821
     /* 2228821 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2228876), // Rule ID 64891 //
     /* 2228826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228839 */   // MIs[0] Operand 1
     /* 2228839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2228844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228848 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228852 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228856 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2228860 */   // MIs[1] Operand 1
     /* 2228860 */   // No operand predicates
     /* 2228860 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228862 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2228862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228869 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228875 */   // GIR_Coverage, 64891,
     /* 2228875 */   GIR_EraseRootFromParent_Done,
     /* 2228876 */ // Label 29757: @2228876
     /* 2228876 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2228953), // Rule ID 64897 //
     /* 2228881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228894 */   // MIs[0] Operand 1
     /* 2228894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228903 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228907 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228911 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228915 */   // MIs[1] Operand 1
     /* 2228915 */   // No operand predicates
     /* 2228915 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228917 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2228917 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228920 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228924 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228929 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228933 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228938 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228945 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228952 */   // GIR_Coverage, 64897,
     /* 2228952 */   GIR_EraseRootFromParent_Done,
     /* 2228953 */ // Label 29758: @2228953
     /* 2228953 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2229033), // Rule ID 64903 //
     /* 2228958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228971 */   // MIs[0] Operand 1
     /* 2228971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228980 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228984 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228988 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228992 */   // MIs[1] Operand 1
     /* 2228992 */   // No operand predicates
     /* 2228992 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228994 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2228994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2229001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229006 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229010 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2229015 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229022 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229028 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229032 */   // GIR_Coverage, 64903,
     /* 2229032 */   GIR_EraseRootFromParent_Done,
     /* 2229033 */ // Label 29759: @2229033
     /* 2229033 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2229110), // Rule ID 64907 //
     /* 2229038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229044 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229051 */   // MIs[0] Operand 1
     /* 2229051 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2229056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229060 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229064 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229068 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229072 */   // MIs[1] Operand 1
     /* 2229072 */   // No operand predicates
     /* 2229072 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229074 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2229074 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229077 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229081 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229086 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229090 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229095 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229109 */   // GIR_Coverage, 64907,
     /* 2229109 */   GIR_EraseRootFromParent_Done,
     /* 2229110 */ // Label 29760: @2229110
     /* 2229110 */ GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2229187), // Rule ID 64911 //
     /* 2229115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229128 */   // MIs[0] Operand 1
     /* 2229128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229137 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229141 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229145 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229149 */   // MIs[1] Operand 1
     /* 2229149 */   // No operand predicates
     /* 2229149 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229151 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2229151 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229154 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229158 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229163 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229167 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229172 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229179 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229186 */   // GIR_Coverage, 64911,
     /* 2229186 */   GIR_EraseRootFromParent_Done,
     /* 2229187 */ // Label 29761: @2229187
     /* 2229187 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2229262), // Rule ID 64915 //
     /* 2229192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229205 */   // MIs[0] Operand 1
     /* 2229205 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229214 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229218 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229222 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229226 */   // MIs[1] Operand 1
     /* 2229226 */   // No operand predicates
     /* 2229226 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229228 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229240 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229244 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229254 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229261 */   // GIR_Coverage, 64915,
     /* 2229261 */   GIR_EraseRootFromParent_Done,
     /* 2229262 */ // Label 29762: @2229262
     /* 2229262 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2229337), // Rule ID 64919 //
     /* 2229267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229280 */   // MIs[0] Operand 1
     /* 2229280 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229289 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229293 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229297 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229301 */   // MIs[1] Operand 1
     /* 2229301 */   // No operand predicates
     /* 2229301 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229303 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229303 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229306 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229310 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229315 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229319 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229336 */   // GIR_Coverage, 64919,
     /* 2229336 */   GIR_EraseRootFromParent_Done,
     /* 2229337 */ // Label 29763: @2229337
     /* 2229337 */ GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2229392), // Rule ID 64923 //
     /* 2229342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229355 */   // MIs[0] Operand 1
     /* 2229355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229364 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229368 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229372 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229376 */   // MIs[1] Operand 1
     /* 2229376 */   // No operand predicates
     /* 2229376 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229378 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2229378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229385 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229391 */   // GIR_Coverage, 64923,
     /* 2229391 */   GIR_EraseRootFromParent_Done,
     /* 2229392 */ // Label 29764: @2229392
     /* 2229392 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2229447), // Rule ID 64927 //
     /* 2229397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229410 */   // MIs[0] Operand 1
     /* 2229410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229419 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229423 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229427 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229431 */   // MIs[1] Operand 1
     /* 2229431 */   // No operand predicates
     /* 2229431 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229433 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2229433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229438 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229440 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229446 */   // GIR_Coverage, 64927,
     /* 2229446 */   GIR_EraseRootFromParent_Done,
     /* 2229447 */ // Label 29765: @2229447
     /* 2229447 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2229489), // Rule ID 64363 //
     /* 2229452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229465 */   // MIs[0] Operand 1
     /* 2229465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229478 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2229481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229488 */   // GIR_Coverage, 64363,
     /* 2229488 */   GIR_EraseRootFromParent_Done,
     /* 2229489 */ // Label 29766: @2229489
     /* 2229489 */ GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2229531), // Rule ID 64365 //
     /* 2229494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229507 */   // MIs[0] Operand 1
     /* 2229507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229520 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2229523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229525 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229527 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229530 */   // GIR_Coverage, 64365,
     /* 2229530 */   GIR_EraseRootFromParent_Done,
     /* 2229531 */ // Label 29767: @2229531
     /* 2229531 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2229573), // Rule ID 146 //
     /* 2229536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229549 */   // MIs[0] Operand 1
     /* 2229549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229562 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229572 */   // GIR_Coverage, 146,
     /* 2229572 */   GIR_EraseRootFromParent_Done,
     /* 2229573 */ // Label 29768: @2229573
     /* 2229573 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2229615), // Rule ID 150 //
     /* 2229578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229591 */   // MIs[0] Operand 1
     /* 2229591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229604 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229614 */   // GIR_Coverage, 150,
     /* 2229614 */   GIR_EraseRootFromParent_Done,
     /* 2229615 */ // Label 29769: @2229615
     /* 2229615 */ GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2229657), // Rule ID 64853 //
     /* 2229620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229633 */   // MIs[0] Operand 1
     /* 2229633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229646 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229651 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229656 */   // GIR_Coverage, 64853,
     /* 2229656 */   GIR_EraseRootFromParent_Done,
     /* 2229657 */ // Label 29770: @2229657
     /* 2229657 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2229699), // Rule ID 64857 //
     /* 2229662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229675 */   // MIs[0] Operand 1
     /* 2229675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229688 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229698 */   // GIR_Coverage, 64857,
     /* 2229698 */   GIR_EraseRootFromParent_Done,
     /* 2229699 */ // Label 29771: @2229699
     /* 2229699 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2229765), // Rule ID 64863 //
     /* 2229704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229717 */   // MIs[0] Operand 1
     /* 2229717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229730 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2229730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2229737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229742 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229746 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229750 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229764 */   // GIR_Coverage, 64863,
     /* 2229764 */   GIR_EraseRootFromParent_Done,
     /* 2229765 */ // Label 29772: @2229765
     /* 2229765 */ GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2229834), // Rule ID 64869 //
     /* 2229770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229783 */   // MIs[0] Operand 1
     /* 2229783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229796 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2229796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2229803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229808 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229812 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229823 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229833 */   // GIR_Coverage, 64869,
     /* 2229833 */   GIR_EraseRootFromParent_Done,
     /* 2229834 */ // Label 29773: @2229834
     /* 2229834 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2229876), // Rule ID 64873 //
     /* 2229839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229852 */   // MIs[0] Operand 1
     /* 2229852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2229857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229865 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2229865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229870 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229872 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229875 */   // GIR_Coverage, 64873,
     /* 2229875 */   GIR_EraseRootFromParent_Done,
     /* 2229876 */ // Label 29774: @2229876
     /* 2229876 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2229918), // Rule ID 64877 //
     /* 2229881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229894 */   // MIs[0] Operand 1
     /* 2229894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229907 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2229907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229912 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229917 */   // GIR_Coverage, 64877,
     /* 2229917 */   GIR_EraseRootFromParent_Done,
     /* 2229918 */ // Label 29775: @2229918
     /* 2229918 */ GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2229984), // Rule ID 64881 //
     /* 2229923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229936 */   // MIs[0] Operand 1
     /* 2229936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229949 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2229949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229961 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229965 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229983 */   // GIR_Coverage, 64881,
     /* 2229983 */   GIR_EraseRootFromParent_Done,
     /* 2229984 */ // Label 29776: @2229984
     /* 2229984 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2230050), // Rule ID 64885 //
     /* 2229989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230002 */   // MIs[0] Operand 1
     /* 2230002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230015 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230027 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230031 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230049 */   // GIR_Coverage, 64885,
     /* 2230049 */   GIR_EraseRootFromParent_Done,
     /* 2230050 */ // Label 29777: @2230050
     /* 2230050 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2230116), // Rule ID 64889 //
     /* 2230055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230068 */   // MIs[0] Operand 1
     /* 2230068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230081 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230081 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230084 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230088 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230093 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230097 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230101 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230108 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230115 */   // GIR_Coverage, 64889,
     /* 2230115 */   GIR_EraseRootFromParent_Done,
     /* 2230116 */ // Label 29778: @2230116
     /* 2230116 */ GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2230182), // Rule ID 64893 //
     /* 2230121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230134 */   // MIs[0] Operand 1
     /* 2230134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230147 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230159 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230163 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230174 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230181 */   // GIR_Coverage, 64893,
     /* 2230181 */   GIR_EraseRootFromParent_Done,
     /* 2230182 */ // Label 29779: @2230182
     /* 2230182 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2230248), // Rule ID 64899 //
     /* 2230187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230200 */   // MIs[0] Operand 1
     /* 2230200 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230213 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230225 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230229 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230240 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230247 */   // GIR_Coverage, 64899,
     /* 2230247 */   GIR_EraseRootFromParent_Done,
     /* 2230248 */ // Label 29780: @2230248
     /* 2230248 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2230317), // Rule ID 64905 //
     /* 2230253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230266 */   // MIs[0] Operand 1
     /* 2230266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230279 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2230279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230291 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230295 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230306 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230312 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230316 */   // GIR_Coverage, 64905,
     /* 2230316 */   GIR_EraseRootFromParent_Done,
     /* 2230317 */ // Label 29781: @2230317
     /* 2230317 */ GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2230359), // Rule ID 64909 //
     /* 2230322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230335 */   // MIs[0] Operand 1
     /* 2230335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230348 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230353 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230358 */   // GIR_Coverage, 64909,
     /* 2230358 */   GIR_EraseRootFromParent_Done,
     /* 2230359 */ // Label 29782: @2230359
     /* 2230359 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2230401), // Rule ID 64913 //
     /* 2230364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230377 */   // MIs[0] Operand 1
     /* 2230377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230390 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230400 */   // GIR_Coverage, 64913,
     /* 2230400 */   GIR_EraseRootFromParent_Done,
     /* 2230401 */ // Label 29783: @2230401
     /* 2230401 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2230467), // Rule ID 64917 //
     /* 2230406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230419 */   // MIs[0] Operand 1
     /* 2230419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230432 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230432 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230435 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230439 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230444 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230448 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230466 */   // GIR_Coverage, 64917,
     /* 2230466 */   GIR_EraseRootFromParent_Done,
     /* 2230467 */ // Label 29784: @2230467
     /* 2230467 */ GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2230533), // Rule ID 64921 //
     /* 2230472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230478 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230485 */   // MIs[0] Operand 1
     /* 2230485 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230494 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230498 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230510 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230514 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230518 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230525 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230532 */   // GIR_Coverage, 64921,
     /* 2230532 */   GIR_EraseRootFromParent_Done,
     /* 2230533 */ // Label 29785: @2230533
     /* 2230533 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2230599), // Rule ID 64925 //
     /* 2230538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230551 */   // MIs[0] Operand 1
     /* 2230551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230564 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230564 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230567 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230571 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230576 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230580 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230584 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230591 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230598 */   // GIR_Coverage, 64925,
     /* 2230598 */   GIR_EraseRootFromParent_Done,
     /* 2230599 */ // Label 29786: @2230599
     /* 2230599 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2230665), // Rule ID 64929 //
     /* 2230604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230617 */   // MIs[0] Operand 1
     /* 2230617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230630 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230630 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230633 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230637 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230642 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230646 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230664 */   // GIR_Coverage, 64929,
     /* 2230664 */   GIR_EraseRootFromParent_Done,
     /* 2230665 */ // Label 29787: @2230665
     /* 2230665 */ GIM_Reject,
     /* 2230666 */ // Label 29686: @2230666
     /* 2230666 */ GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2230714), // Rule ID 45649 //
     /* 2230671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230684 */   // MIs[0] Operand 1
     /* 2230684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230697 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2230700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230704 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230713 */   // GIR_Coverage, 45649,
     /* 2230713 */   GIR_EraseRootFromParent_Done,
     /* 2230714 */ // Label 29788: @2230714
     /* 2230714 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2230762), // Rule ID 45650 //
     /* 2230719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230732 */   // MIs[0] Operand 1
     /* 2230732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230745 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2230748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230750 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230752 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230761 */   // GIR_Coverage, 45650,
     /* 2230761 */   GIR_EraseRootFromParent_Done,
     /* 2230762 */ // Label 29789: @2230762
     /* 2230762 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2230810), // Rule ID 45651 //
     /* 2230767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230780 */   // MIs[0] Operand 1
     /* 2230780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230793 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2230796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230798 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230809 */   // GIR_Coverage, 45651,
     /* 2230809 */   GIR_EraseRootFromParent_Done,
     /* 2230810 */ // Label 29790: @2230810
     /* 2230810 */ GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2230858), // Rule ID 45652 //
     /* 2230815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230828 */   // MIs[0] Operand 1
     /* 2230828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230841 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2230844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230846 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230857 */   // GIR_Coverage, 45652,
     /* 2230857 */   GIR_EraseRootFromParent_Done,
     /* 2230858 */ // Label 29791: @2230858
     /* 2230858 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2230906), // Rule ID 48359 //
     /* 2230863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230876 */   // MIs[0] Operand 1
     /* 2230876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230889 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2230892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230894 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230905 */   // GIR_Coverage, 48359,
     /* 2230905 */   GIR_EraseRootFromParent_Done,
     /* 2230906 */ // Label 29792: @2230906
     /* 2230906 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2230954), // Rule ID 48360 //
     /* 2230911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230924 */   // MIs[0] Operand 1
     /* 2230924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230937 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2230937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2230940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230942 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230953 */   // GIR_Coverage, 48360,
     /* 2230953 */   GIR_EraseRootFromParent_Done,
     /* 2230954 */ // Label 29793: @2230954
     /* 2230954 */ GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2231002), // Rule ID 48363 //
     /* 2230959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230972 */   // MIs[0] Operand 1
     /* 2230972 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230981 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230985 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2230985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2230988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230990 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230992 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231001 */   // GIR_Coverage, 48363,
     /* 2231001 */   GIR_EraseRootFromParent_Done,
     /* 2231002 */ // Label 29794: @2231002
     /* 2231002 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2231050), // Rule ID 48364 //
     /* 2231007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231020 */   // MIs[0] Operand 1
     /* 2231020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231033 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2231036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231049 */   // GIR_Coverage, 48364,
     /* 2231049 */   GIR_EraseRootFromParent_Done,
     /* 2231050 */ // Label 29795: @2231050
     /* 2231050 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2231098), // Rule ID 48371 //
     /* 2231055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231068 */   // MIs[0] Operand 1
     /* 2231068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231081 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231086 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231088 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231097 */   // GIR_Coverage, 48371,
     /* 2231097 */   GIR_EraseRootFromParent_Done,
     /* 2231098 */ // Label 29796: @2231098
     /* 2231098 */ GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2231146), // Rule ID 48372 //
     /* 2231103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231116 */   // MIs[0] Operand 1
     /* 2231116 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231129 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231134 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231136 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231145 */   // GIR_Coverage, 48372,
     /* 2231145 */   GIR_EraseRootFromParent_Done,
     /* 2231146 */ // Label 29797: @2231146
     /* 2231146 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2231194), // Rule ID 48397 //
     /* 2231151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231157 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231164 */   // MIs[0] Operand 1
     /* 2231164 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231173 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231177 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231182 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231184 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231193 */   // GIR_Coverage, 48397,
     /* 2231193 */   GIR_EraseRootFromParent_Done,
     /* 2231194 */ // Label 29798: @2231194
     /* 2231194 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2231242), // Rule ID 48398 //
     /* 2231199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231212 */   // MIs[0] Operand 1
     /* 2231212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231225 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231230 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231241 */   // GIR_Coverage, 48398,
     /* 2231241 */   GIR_EraseRootFromParent_Done,
     /* 2231242 */ // Label 29799: @2231242
     /* 2231242 */ GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2231290), // Rule ID 48403 //
     /* 2231247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231260 */   // MIs[0] Operand 1
     /* 2231260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231273 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231289 */   // GIR_Coverage, 48403,
     /* 2231289 */   GIR_EraseRootFromParent_Done,
     /* 2231290 */ // Label 29800: @2231290
     /* 2231290 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2231338), // Rule ID 48404 //
     /* 2231295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231308 */   // MIs[0] Operand 1
     /* 2231308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231321 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231337 */   // GIR_Coverage, 48404,
     /* 2231337 */   GIR_EraseRootFromParent_Done,
     /* 2231338 */ // Label 29801: @2231338
     /* 2231338 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2231386), // Rule ID 48407 //
     /* 2231343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231356 */   // MIs[0] Operand 1
     /* 2231356 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231369 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231374 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231376 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231385 */   // GIR_Coverage, 48407,
     /* 2231385 */   GIR_EraseRootFromParent_Done,
     /* 2231386 */ // Label 29802: @2231386
     /* 2231386 */ GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2231434), // Rule ID 48408 //
     /* 2231391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231404 */   // MIs[0] Operand 1
     /* 2231404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231417 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231422 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231433 */   // GIR_Coverage, 48408,
     /* 2231433 */   GIR_EraseRootFromParent_Done,
     /* 2231434 */ // Label 29803: @2231434
     /* 2231434 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2231482), // Rule ID 48415 //
     /* 2231439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231452 */   // MIs[0] Operand 1
     /* 2231452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231465 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231481 */   // GIR_Coverage, 48415,
     /* 2231481 */   GIR_EraseRootFromParent_Done,
     /* 2231482 */ // Label 29804: @2231482
     /* 2231482 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2231530), // Rule ID 48416 //
     /* 2231487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231500 */   // MIs[0] Operand 1
     /* 2231500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231513 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231518 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231529 */   // GIR_Coverage, 48416,
     /* 2231529 */   GIR_EraseRootFromParent_Done,
     /* 2231530 */ // Label 29805: @2231530
     /* 2231530 */ GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2231578), // Rule ID 48441 //
     /* 2231535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231548 */   // MIs[0] Operand 1
     /* 2231548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231561 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231577 */   // GIR_Coverage, 48441,
     /* 2231577 */   GIR_EraseRootFromParent_Done,
     /* 2231578 */ // Label 29806: @2231578
     /* 2231578 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2231626), // Rule ID 48442 //
     /* 2231583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231596 */   // MIs[0] Operand 1
     /* 2231596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231609 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231625 */   // GIR_Coverage, 48442,
     /* 2231625 */   GIR_EraseRootFromParent_Done,
     /* 2231626 */ // Label 29807: @2231626
     /* 2231626 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2231674), // Rule ID 48447 //
     /* 2231631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231644 */   // MIs[0] Operand 1
     /* 2231644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231657 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231662 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231673 */   // GIR_Coverage, 48447,
     /* 2231673 */   GIR_EraseRootFromParent_Done,
     /* 2231674 */ // Label 29808: @2231674
     /* 2231674 */ GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2231722), // Rule ID 48448 //
     /* 2231679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231692 */   // MIs[0] Operand 1
     /* 2231692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231701 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231705 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231712 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231721 */   // GIR_Coverage, 48448,
     /* 2231721 */   GIR_EraseRootFromParent_Done,
     /* 2231722 */ // Label 29809: @2231722
     /* 2231722 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2231770), // Rule ID 48451 //
     /* 2231727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231740 */   // MIs[0] Operand 1
     /* 2231740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231753 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2231756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231760 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231769 */   // GIR_Coverage, 48451,
     /* 2231769 */   GIR_EraseRootFromParent_Done,
     /* 2231770 */ // Label 29810: @2231770
     /* 2231770 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2231818), // Rule ID 48452 //
     /* 2231775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231788 */   // MIs[0] Operand 1
     /* 2231788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231801 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2231804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231808 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231817 */   // GIR_Coverage, 48452,
     /* 2231817 */   GIR_EraseRootFromParent_Done,
     /* 2231818 */ // Label 29811: @2231818
     /* 2231818 */ GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2231866), // Rule ID 48459 //
     /* 2231823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231836 */   // MIs[0] Operand 1
     /* 2231836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231849 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2231852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231856 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231865 */   // GIR_Coverage, 48459,
     /* 2231865 */   GIR_EraseRootFromParent_Done,
     /* 2231866 */ // Label 29812: @2231866
     /* 2231866 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2231914), // Rule ID 48460 //
     /* 2231871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231884 */   // MIs[0] Operand 1
     /* 2231884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231897 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2231900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231913 */   // GIR_Coverage, 48460,
     /* 2231913 */   GIR_EraseRootFromParent_Done,
     /* 2231914 */ // Label 29813: @2231914
     /* 2231914 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2231962), // Rule ID 48489 //
     /* 2231919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231932 */   // MIs[0] Operand 1
     /* 2231932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231945 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231961 */   // GIR_Coverage, 48489,
     /* 2231961 */   GIR_EraseRootFromParent_Done,
     /* 2231962 */ // Label 29814: @2231962
     /* 2231962 */ GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2232010), // Rule ID 48490 //
     /* 2231967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231980 */   // MIs[0] Operand 1
     /* 2231980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231993 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232009 */   // GIR_Coverage, 48490,
     /* 2232009 */   GIR_EraseRootFromParent_Done,
     /* 2232010 */ // Label 29815: @2232010
     /* 2232010 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2232058), // Rule ID 48493 //
     /* 2232015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232028 */   // MIs[0] Operand 1
     /* 2232028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232041 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232057 */   // GIR_Coverage, 48493,
     /* 2232057 */   GIR_EraseRootFromParent_Done,
     /* 2232058 */ // Label 29816: @2232058
     /* 2232058 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2232106), // Rule ID 48494 //
     /* 2232063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232076 */   // MIs[0] Operand 1
     /* 2232076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232089 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232094 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232096 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232105 */   // GIR_Coverage, 48494,
     /* 2232105 */   GIR_EraseRootFromParent_Done,
     /* 2232106 */ // Label 29817: @2232106
     /* 2232106 */ GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2232154), // Rule ID 48501 //
     /* 2232111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232124 */   // MIs[0] Operand 1
     /* 2232124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232137 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232142 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232153 */   // GIR_Coverage, 48501,
     /* 2232153 */   GIR_EraseRootFromParent_Done,
     /* 2232154 */ // Label 29818: @2232154
     /* 2232154 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2232202), // Rule ID 48502 //
     /* 2232159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232172 */   // MIs[0] Operand 1
     /* 2232172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232185 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232192 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232201 */   // GIR_Coverage, 48502,
     /* 2232201 */   GIR_EraseRootFromParent_Done,
     /* 2232202 */ // Label 29819: @2232202
     /* 2232202 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2232250), // Rule ID 48527 //
     /* 2232207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232220 */   // MIs[0] Operand 1
     /* 2232220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232233 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232238 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232249 */   // GIR_Coverage, 48527,
     /* 2232249 */   GIR_EraseRootFromParent_Done,
     /* 2232250 */ // Label 29820: @2232250
     /* 2232250 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2232298), // Rule ID 48528 //
     /* 2232255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232268 */   // MIs[0] Operand 1
     /* 2232268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232281 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232286 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232288 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232297 */   // GIR_Coverage, 48528,
     /* 2232297 */   GIR_EraseRootFromParent_Done,
     /* 2232298 */ // Label 29821: @2232298
     /* 2232298 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2232346), // Rule ID 48533 //
     /* 2232303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232316 */   // MIs[0] Operand 1
     /* 2232316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232329 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232334 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232336 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232345 */   // GIR_Coverage, 48533,
     /* 2232345 */   GIR_EraseRootFromParent_Done,
     /* 2232346 */ // Label 29822: @2232346
     /* 2232346 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2232394), // Rule ID 48534 //
     /* 2232351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232364 */   // MIs[0] Operand 1
     /* 2232364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232377 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232382 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232384 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232393 */   // GIR_Coverage, 48534,
     /* 2232393 */   GIR_EraseRootFromParent_Done,
     /* 2232394 */ // Label 29823: @2232394
     /* 2232394 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2232442), // Rule ID 48537 //
     /* 2232399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232412 */   // MIs[0] Operand 1
     /* 2232412 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232421 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232425 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232430 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232432 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232441 */   // GIR_Coverage, 48537,
     /* 2232441 */   GIR_EraseRootFromParent_Done,
     /* 2232442 */ // Label 29824: @2232442
     /* 2232442 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2232490), // Rule ID 48538 //
     /* 2232447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232460 */   // MIs[0] Operand 1
     /* 2232460 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232473 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232478 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232480 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232489 */   // GIR_Coverage, 48538,
     /* 2232489 */   GIR_EraseRootFromParent_Done,
     /* 2232490 */ // Label 29825: @2232490
     /* 2232490 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2232538), // Rule ID 48545 //
     /* 2232495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232508 */   // MIs[0] Operand 1
     /* 2232508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232521 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232537 */   // GIR_Coverage, 48545,
     /* 2232537 */   GIR_EraseRootFromParent_Done,
     /* 2232538 */ // Label 29826: @2232538
     /* 2232538 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2232586), // Rule ID 48546 //
     /* 2232543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232556 */   // MIs[0] Operand 1
     /* 2232556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232569 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232585 */   // GIR_Coverage, 48546,
     /* 2232585 */   GIR_EraseRootFromParent_Done,
     /* 2232586 */ // Label 29827: @2232586
     /* 2232586 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2232634), // Rule ID 48571 //
     /* 2232591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232604 */   // MIs[0] Operand 1
     /* 2232604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232617 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232622 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232633 */   // GIR_Coverage, 48571,
     /* 2232633 */   GIR_EraseRootFromParent_Done,
     /* 2232634 */ // Label 29828: @2232634
     /* 2232634 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2232682), // Rule ID 48572 //
     /* 2232639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232652 */   // MIs[0] Operand 1
     /* 2232652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232665 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232681 */   // GIR_Coverage, 48572,
     /* 2232681 */   GIR_EraseRootFromParent_Done,
     /* 2232682 */ // Label 29829: @2232682
     /* 2232682 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2232730), // Rule ID 48577 //
     /* 2232687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232700 */   // MIs[0] Operand 1
     /* 2232700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232713 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232729 */   // GIR_Coverage, 48577,
     /* 2232729 */   GIR_EraseRootFromParent_Done,
     /* 2232730 */ // Label 29830: @2232730
     /* 2232730 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2232778), // Rule ID 48578 //
     /* 2232735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232748 */   // MIs[0] Operand 1
     /* 2232748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232761 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232766 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232777 */   // GIR_Coverage, 48578,
     /* 2232777 */   GIR_EraseRootFromParent_Done,
     /* 2232778 */ // Label 29831: @2232778
     /* 2232778 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2232826), // Rule ID 48581 //
     /* 2232783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232796 */   // MIs[0] Operand 1
     /* 2232796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232809 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232825 */   // GIR_Coverage, 48581,
     /* 2232825 */   GIR_EraseRootFromParent_Done,
     /* 2232826 */ // Label 29832: @2232826
     /* 2232826 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2232874), // Rule ID 48582 //
     /* 2232831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232844 */   // MIs[0] Operand 1
     /* 2232844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232857 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232862 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232873 */   // GIR_Coverage, 48582,
     /* 2232873 */   GIR_EraseRootFromParent_Done,
     /* 2232874 */ // Label 29833: @2232874
     /* 2232874 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2232922), // Rule ID 48589 //
     /* 2232879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232892 */   // MIs[0] Operand 1
     /* 2232892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232901 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232905 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232910 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232921 */   // GIR_Coverage, 48589,
     /* 2232921 */   GIR_EraseRootFromParent_Done,
     /* 2232922 */ // Label 29834: @2232922
     /* 2232922 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2232970), // Rule ID 48590 //
     /* 2232927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232940 */   // MIs[0] Operand 1
     /* 2232940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232949 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232953 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232958 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232960 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232969 */   // GIR_Coverage, 48590,
     /* 2232969 */   GIR_EraseRootFromParent_Done,
     /* 2232970 */ // Label 29835: @2232970
     /* 2232970 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2233018), // Rule ID 48615 //
     /* 2232975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232988 */   // MIs[0] Operand 1
     /* 2232988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2232993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233001 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233017 */   // GIR_Coverage, 48615,
     /* 2233017 */   GIR_EraseRootFromParent_Done,
     /* 2233018 */ // Label 29836: @2233018
     /* 2233018 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2233066), // Rule ID 48616 //
     /* 2233023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233036 */   // MIs[0] Operand 1
     /* 2233036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233049 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233056 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233065 */   // GIR_Coverage, 48616,
     /* 2233065 */   GIR_EraseRootFromParent_Done,
     /* 2233066 */ // Label 29837: @2233066
     /* 2233066 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2233114), // Rule ID 48621 //
     /* 2233071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233084 */   // MIs[0] Operand 1
     /* 2233084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233097 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233113 */   // GIR_Coverage, 48621,
     /* 2233113 */   GIR_EraseRootFromParent_Done,
     /* 2233114 */ // Label 29838: @2233114
     /* 2233114 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2233162), // Rule ID 48622 //
     /* 2233119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233132 */   // MIs[0] Operand 1
     /* 2233132 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233141 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233145 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233150 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233161 */   // GIR_Coverage, 48622,
     /* 2233161 */   GIR_EraseRootFromParent_Done,
     /* 2233162 */ // Label 29839: @2233162
     /* 2233162 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2233210), // Rule ID 48625 //
     /* 2233167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233180 */   // MIs[0] Operand 1
     /* 2233180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233193 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233198 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233209 */   // GIR_Coverage, 48625,
     /* 2233209 */   GIR_EraseRootFromParent_Done,
     /* 2233210 */ // Label 29840: @2233210
     /* 2233210 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2233258), // Rule ID 48626 //
     /* 2233215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233228 */   // MIs[0] Operand 1
     /* 2233228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233237 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233241 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233257 */   // GIR_Coverage, 48626,
     /* 2233257 */   GIR_EraseRootFromParent_Done,
     /* 2233258 */ // Label 29841: @2233258
     /* 2233258 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2233306), // Rule ID 48633 //
     /* 2233263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233269 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233276 */   // MIs[0] Operand 1
     /* 2233276 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233285 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233289 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233294 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233296 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233305 */   // GIR_Coverage, 48633,
     /* 2233305 */   GIR_EraseRootFromParent_Done,
     /* 2233306 */ // Label 29842: @2233306
     /* 2233306 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2233354), // Rule ID 48634 //
     /* 2233311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233317 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233324 */   // MIs[0] Operand 1
     /* 2233324 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233333 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233337 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233342 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233344 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233353 */   // GIR_Coverage, 48634,
     /* 2233353 */   GIR_EraseRootFromParent_Done,
     /* 2233354 */ // Label 29843: @2233354
     /* 2233354 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2233402), // Rule ID 48659 //
     /* 2233359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233365 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233372 */   // MIs[0] Operand 1
     /* 2233372 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233381 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233385 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233401 */   // GIR_Coverage, 48659,
     /* 2233401 */   GIR_EraseRootFromParent_Done,
     /* 2233402 */ // Label 29844: @2233402
     /* 2233402 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2233450), // Rule ID 48660 //
     /* 2233407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233420 */   // MIs[0] Operand 1
     /* 2233420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233433 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233449 */   // GIR_Coverage, 48660,
     /* 2233449 */   GIR_EraseRootFromParent_Done,
     /* 2233450 */ // Label 29845: @2233450
     /* 2233450 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2233498), // Rule ID 48665 //
     /* 2233455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233468 */   // MIs[0] Operand 1
     /* 2233468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233481 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233497 */   // GIR_Coverage, 48665,
     /* 2233497 */   GIR_EraseRootFromParent_Done,
     /* 2233498 */ // Label 29846: @2233498
     /* 2233498 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2233546), // Rule ID 48666 //
     /* 2233503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233516 */   // MIs[0] Operand 1
     /* 2233516 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233525 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233529 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233534 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233536 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233545 */   // GIR_Coverage, 48666,
     /* 2233545 */   GIR_EraseRootFromParent_Done,
     /* 2233546 */ // Label 29847: @2233546
     /* 2233546 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2233594), // Rule ID 48669 //
     /* 2233551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233564 */   // MIs[0] Operand 1
     /* 2233564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233573 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233577 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233582 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233584 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233593 */   // GIR_Coverage, 48669,
     /* 2233593 */   GIR_EraseRootFromParent_Done,
     /* 2233594 */ // Label 29848: @2233594
     /* 2233594 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2233642), // Rule ID 48670 //
     /* 2233599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233612 */   // MIs[0] Operand 1
     /* 2233612 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233621 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233625 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233630 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233632 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233641 */   // GIR_Coverage, 48670,
     /* 2233641 */   GIR_EraseRootFromParent_Done,
     /* 2233642 */ // Label 29849: @2233642
     /* 2233642 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2233690), // Rule ID 48677 //
     /* 2233647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233653 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233660 */   // MIs[0] Operand 1
     /* 2233660 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233669 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233673 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233678 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233689 */   // GIR_Coverage, 48677,
     /* 2233689 */   GIR_EraseRootFromParent_Done,
     /* 2233690 */ // Label 29850: @2233690
     /* 2233690 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2233738), // Rule ID 48678 //
     /* 2233695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233708 */   // MIs[0] Operand 1
     /* 2233708 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233717 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233721 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233728 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233737 */   // GIR_Coverage, 48678,
     /* 2233737 */   GIR_EraseRootFromParent_Done,
     /* 2233738 */ // Label 29851: @2233738
     /* 2233738 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2233786), // Rule ID 48703 //
     /* 2233743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233756 */   // MIs[0] Operand 1
     /* 2233756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233769 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2233772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233785 */   // GIR_Coverage, 48703,
     /* 2233785 */   GIR_EraseRootFromParent_Done,
     /* 2233786 */ // Label 29852: @2233786
     /* 2233786 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2233834), // Rule ID 48704 //
     /* 2233791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233804 */   // MIs[0] Operand 1
     /* 2233804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233817 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2233820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233824 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233833 */   // GIR_Coverage, 48704,
     /* 2233833 */   GIR_EraseRootFromParent_Done,
     /* 2233834 */ // Label 29853: @2233834
     /* 2233834 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2233882), // Rule ID 48709 //
     /* 2233839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233852 */   // MIs[0] Operand 1
     /* 2233852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233865 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2233868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233881 */   // GIR_Coverage, 48709,
     /* 2233881 */   GIR_EraseRootFromParent_Done,
     /* 2233882 */ // Label 29854: @2233882
     /* 2233882 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2233930), // Rule ID 48710 //
     /* 2233887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233900 */   // MIs[0] Operand 1
     /* 2233900 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233909 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233913 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2233916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233918 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233929 */   // GIR_Coverage, 48710,
     /* 2233929 */   GIR_EraseRootFromParent_Done,
     /* 2233930 */ // Label 29855: @2233930
     /* 2233930 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2233978), // Rule ID 48713 //
     /* 2233935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233948 */   // MIs[0] Operand 1
     /* 2233948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233957 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233961 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2233964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233966 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233968 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233977 */   // GIR_Coverage, 48713,
     /* 2233977 */   GIR_EraseRootFromParent_Done,
     /* 2233978 */ // Label 29856: @2233978
     /* 2233978 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2234026), // Rule ID 48714 //
     /* 2233983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233996 */   // MIs[0] Operand 1
     /* 2233996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234009 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234014 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234016 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234025 */   // GIR_Coverage, 48714,
     /* 2234025 */   GIR_EraseRootFromParent_Done,
     /* 2234026 */ // Label 29857: @2234026
     /* 2234026 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2234074), // Rule ID 48721 //
     /* 2234031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234044 */   // MIs[0] Operand 1
     /* 2234044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234057 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234062 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234073 */   // GIR_Coverage, 48721,
     /* 2234073 */   GIR_EraseRootFromParent_Done,
     /* 2234074 */ // Label 29858: @2234074
     /* 2234074 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2234122), // Rule ID 48722 //
     /* 2234079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234092 */   // MIs[0] Operand 1
     /* 2234092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234105 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234121 */   // GIR_Coverage, 48722,
     /* 2234121 */   GIR_EraseRootFromParent_Done,
     /* 2234122 */ // Label 29859: @2234122
     /* 2234122 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2234170), // Rule ID 48747 //
     /* 2234127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234140 */   // MIs[0] Operand 1
     /* 2234140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234153 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234169 */   // GIR_Coverage, 48747,
     /* 2234169 */   GIR_EraseRootFromParent_Done,
     /* 2234170 */ // Label 29860: @2234170
     /* 2234170 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2234218), // Rule ID 48748 //
     /* 2234175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234188 */   // MIs[0] Operand 1
     /* 2234188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234197 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234201 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234217 */   // GIR_Coverage, 48748,
     /* 2234217 */   GIR_EraseRootFromParent_Done,
     /* 2234218 */ // Label 29861: @2234218
     /* 2234218 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2234266), // Rule ID 48753 //
     /* 2234223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234236 */   // MIs[0] Operand 1
     /* 2234236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234249 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234254 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234256 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234265 */   // GIR_Coverage, 48753,
     /* 2234265 */   GIR_EraseRootFromParent_Done,
     /* 2234266 */ // Label 29862: @2234266
     /* 2234266 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2234314), // Rule ID 48754 //
     /* 2234271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234284 */   // MIs[0] Operand 1
     /* 2234284 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234293 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234297 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234302 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234304 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234313 */   // GIR_Coverage, 48754,
     /* 2234313 */   GIR_EraseRootFromParent_Done,
     /* 2234314 */ // Label 29863: @2234314
     /* 2234314 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2234362), // Rule ID 48757 //
     /* 2234319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234325 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234332 */   // MIs[0] Operand 1
     /* 2234332 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234345 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234350 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234352 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234361 */   // GIR_Coverage, 48757,
     /* 2234361 */   GIR_EraseRootFromParent_Done,
     /* 2234362 */ // Label 29864: @2234362
     /* 2234362 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2234410), // Rule ID 48758 //
     /* 2234367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234380 */   // MIs[0] Operand 1
     /* 2234380 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234393 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234400 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234409 */   // GIR_Coverage, 48758,
     /* 2234409 */   GIR_EraseRootFromParent_Done,
     /* 2234410 */ // Label 29865: @2234410
     /* 2234410 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2234458), // Rule ID 48765 //
     /* 2234415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234428 */   // MIs[0] Operand 1
     /* 2234428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234437 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234441 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234446 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234457 */   // GIR_Coverage, 48765,
     /* 2234457 */   GIR_EraseRootFromParent_Done,
     /* 2234458 */ // Label 29866: @2234458
     /* 2234458 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2234506), // Rule ID 48766 //
     /* 2234463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234476 */   // MIs[0] Operand 1
     /* 2234476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234489 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234494 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234496 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234505 */   // GIR_Coverage, 48766,
     /* 2234505 */   GIR_EraseRootFromParent_Done,
     /* 2234506 */ // Label 29867: @2234506
     /* 2234506 */ GIM_Reject,
     /* 2234507 */ // Label 29687: @2234507
     /* 2234507 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2234555), // Rule ID 48355 //
     /* 2234512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234525 */   // MIs[0] Operand 1
     /* 2234525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234538 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234554 */   // GIR_Coverage, 48355,
     /* 2234554 */   GIR_EraseRootFromParent_Done,
     /* 2234555 */ // Label 29868: @2234555
     /* 2234555 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2234603), // Rule ID 48356 //
     /* 2234560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234573 */   // MIs[0] Operand 1
     /* 2234573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234586 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234593 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234602 */   // GIR_Coverage, 48356,
     /* 2234602 */   GIR_EraseRootFromParent_Done,
     /* 2234603 */ // Label 29869: @2234603
     /* 2234603 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2234651), // Rule ID 48361 //
     /* 2234608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234621 */   // MIs[0] Operand 1
     /* 2234621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234634 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2234637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234641 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234650 */   // GIR_Coverage, 48361,
     /* 2234650 */   GIR_EraseRootFromParent_Done,
     /* 2234651 */ // Label 29870: @2234651
     /* 2234651 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2234699), // Rule ID 48362 //
     /* 2234656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234662 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234669 */   // MIs[0] Operand 1
     /* 2234669 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234678 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234682 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2234685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234687 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234689 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234698 */   // GIR_Coverage, 48362,
     /* 2234698 */   GIR_EraseRootFromParent_Done,
     /* 2234699 */ // Label 29871: @2234699
     /* 2234699 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2234747), // Rule ID 48369 //
     /* 2234704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234717 */   // MIs[0] Operand 1
     /* 2234717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234730 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2234733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234746 */   // GIR_Coverage, 48369,
     /* 2234746 */   GIR_EraseRootFromParent_Done,
     /* 2234747 */ // Label 29872: @2234747
     /* 2234747 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2234795), // Rule ID 48370 //
     /* 2234752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234765 */   // MIs[0] Operand 1
     /* 2234765 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234774 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234778 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2234781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234783 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234794 */   // GIR_Coverage, 48370,
     /* 2234794 */   GIR_EraseRootFromParent_Done,
     /* 2234795 */ // Label 29873: @2234795
     /* 2234795 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2234843), // Rule ID 48391 //
     /* 2234800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234813 */   // MIs[0] Operand 1
     /* 2234813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234826 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2234829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234831 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234842 */   // GIR_Coverage, 48391,
     /* 2234842 */   GIR_EraseRootFromParent_Done,
     /* 2234843 */ // Label 29874: @2234843
     /* 2234843 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2234891), // Rule ID 48392 //
     /* 2234848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234861 */   // MIs[0] Operand 1
     /* 2234861 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234870 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234874 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2234877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234890 */   // GIR_Coverage, 48392,
     /* 2234890 */   GIR_EraseRootFromParent_Done,
     /* 2234891 */ // Label 29875: @2234891
     /* 2234891 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2234939), // Rule ID 48399 //
     /* 2234896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234909 */   // MIs[0] Operand 1
     /* 2234909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234918 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234922 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2234925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234927 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234938 */   // GIR_Coverage, 48399,
     /* 2234938 */   GIR_EraseRootFromParent_Done,
     /* 2234939 */ // Label 29876: @2234939
     /* 2234939 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2234987), // Rule ID 48400 //
     /* 2234944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234957 */   // MIs[0] Operand 1
     /* 2234957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234970 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2234973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234986 */   // GIR_Coverage, 48400,
     /* 2234986 */   GIR_EraseRootFromParent_Done,
     /* 2234987 */ // Label 29877: @2234987
     /* 2234987 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2235035), // Rule ID 48405 //
     /* 2234992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235005 */   // MIs[0] Operand 1
     /* 2235005 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235018 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235034 */   // GIR_Coverage, 48405,
     /* 2235034 */   GIR_EraseRootFromParent_Done,
     /* 2235035 */ // Label 29878: @2235035
     /* 2235035 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2235083), // Rule ID 48406 //
     /* 2235040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235053 */   // MIs[0] Operand 1
     /* 2235053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235066 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235082 */   // GIR_Coverage, 48406,
     /* 2235082 */   GIR_EraseRootFromParent_Done,
     /* 2235083 */ // Label 29879: @2235083
     /* 2235083 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2235131), // Rule ID 48413 //
     /* 2235088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235101 */   // MIs[0] Operand 1
     /* 2235101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235114 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235119 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235130 */   // GIR_Coverage, 48413,
     /* 2235130 */   GIR_EraseRootFromParent_Done,
     /* 2235131 */ // Label 29880: @2235131
     /* 2235131 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2235179), // Rule ID 48414 //
     /* 2235136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235149 */   // MIs[0] Operand 1
     /* 2235149 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235162 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235167 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235169 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235178 */   // GIR_Coverage, 48414,
     /* 2235178 */   GIR_EraseRootFromParent_Done,
     /* 2235179 */ // Label 29881: @2235179
     /* 2235179 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2235227), // Rule ID 48435 //
     /* 2235184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235190 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235197 */   // MIs[0] Operand 1
     /* 2235197 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235210 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235215 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235217 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235226 */   // GIR_Coverage, 48435,
     /* 2235226 */   GIR_EraseRootFromParent_Done,
     /* 2235227 */ // Label 29882: @2235227
     /* 2235227 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2235275), // Rule ID 48436 //
     /* 2235232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235245 */   // MIs[0] Operand 1
     /* 2235245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235258 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235263 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235265 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235274 */   // GIR_Coverage, 48436,
     /* 2235274 */   GIR_EraseRootFromParent_Done,
     /* 2235275 */ // Label 29883: @2235275
     /* 2235275 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2235323), // Rule ID 48443 //
     /* 2235280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235293 */   // MIs[0] Operand 1
     /* 2235293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235306 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235322 */   // GIR_Coverage, 48443,
     /* 2235322 */   GIR_EraseRootFromParent_Done,
     /* 2235323 */ // Label 29884: @2235323
     /* 2235323 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2235371), // Rule ID 48444 //
     /* 2235328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235341 */   // MIs[0] Operand 1
     /* 2235341 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235350 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235354 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235359 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235361 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235370 */   // GIR_Coverage, 48444,
     /* 2235370 */   GIR_EraseRootFromParent_Done,
     /* 2235371 */ // Label 29885: @2235371
     /* 2235371 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2235419), // Rule ID 48449 //
     /* 2235376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235389 */   // MIs[0] Operand 1
     /* 2235389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235402 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235418 */   // GIR_Coverage, 48449,
     /* 2235418 */   GIR_EraseRootFromParent_Done,
     /* 2235419 */ // Label 29886: @2235419
     /* 2235419 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2235467), // Rule ID 48450 //
     /* 2235424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235437 */   // MIs[0] Operand 1
     /* 2235437 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235446 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235450 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235455 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235457 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235466 */   // GIR_Coverage, 48450,
     /* 2235466 */   GIR_EraseRootFromParent_Done,
     /* 2235467 */ // Label 29887: @2235467
     /* 2235467 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2235515), // Rule ID 48457 //
     /* 2235472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235478 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235485 */   // MIs[0] Operand 1
     /* 2235485 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235494 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235498 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235503 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235505 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235514 */   // GIR_Coverage, 48457,
     /* 2235514 */   GIR_EraseRootFromParent_Done,
     /* 2235515 */ // Label 29888: @2235515
     /* 2235515 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2235563), // Rule ID 48458 //
     /* 2235520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235533 */   // MIs[0] Operand 1
     /* 2235533 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235542 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235546 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235553 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235562 */   // GIR_Coverage, 48458,
     /* 2235562 */   GIR_EraseRootFromParent_Done,
     /* 2235563 */ // Label 29889: @2235563
     /* 2235563 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2235611), // Rule ID 48479 //
     /* 2235568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235574 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235581 */   // MIs[0] Operand 1
     /* 2235581 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235590 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235594 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235599 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235601 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235610 */   // GIR_Coverage, 48479,
     /* 2235610 */   GIR_EraseRootFromParent_Done,
     /* 2235611 */ // Label 29890: @2235611
     /* 2235611 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2235659), // Rule ID 48480 //
     /* 2235616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235622 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235629 */   // MIs[0] Operand 1
     /* 2235629 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235638 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235642 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235647 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235649 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235658 */   // GIR_Coverage, 48480,
     /* 2235658 */   GIR_EraseRootFromParent_Done,
     /* 2235659 */ // Label 29891: @2235659
     /* 2235659 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2235707), // Rule ID 48485 //
     /* 2235664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235677 */   // MIs[0] Operand 1
     /* 2235677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235686 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235690 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235697 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235706 */   // GIR_Coverage, 48485,
     /* 2235706 */   GIR_EraseRootFromParent_Done,
     /* 2235707 */ // Label 29892: @2235707
     /* 2235707 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2235755), // Rule ID 48486 //
     /* 2235712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235725 */   // MIs[0] Operand 1
     /* 2235725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235738 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235745 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235754 */   // GIR_Coverage, 48486,
     /* 2235754 */   GIR_EraseRootFromParent_Done,
     /* 2235755 */ // Label 29893: @2235755
     /* 2235755 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2235803), // Rule ID 48491 //
     /* 2235760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235766 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235773 */   // MIs[0] Operand 1
     /* 2235773 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235782 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235786 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235793 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235802 */   // GIR_Coverage, 48491,
     /* 2235802 */   GIR_EraseRootFromParent_Done,
     /* 2235803 */ // Label 29894: @2235803
     /* 2235803 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2235851), // Rule ID 48492 //
     /* 2235808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235814 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235821 */   // MIs[0] Operand 1
     /* 2235821 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235830 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235834 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235841 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235850 */   // GIR_Coverage, 48492,
     /* 2235850 */   GIR_EraseRootFromParent_Done,
     /* 2235851 */ // Label 29895: @2235851
     /* 2235851 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2235899), // Rule ID 48499 //
     /* 2235856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235869 */   // MIs[0] Operand 1
     /* 2235869 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235878 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235882 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235889 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235898 */   // GIR_Coverage, 48499,
     /* 2235898 */   GIR_EraseRootFromParent_Done,
     /* 2235899 */ // Label 29896: @2235899
     /* 2235899 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2235947), // Rule ID 48500 //
     /* 2235904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235910 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235917 */   // MIs[0] Operand 1
     /* 2235917 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235926 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235930 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235937 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235946 */   // GIR_Coverage, 48500,
     /* 2235946 */   GIR_EraseRootFromParent_Done,
     /* 2235947 */ // Label 29897: @2235947
     /* 2235947 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2235995), // Rule ID 48521 //
     /* 2235952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235958 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235965 */   // MIs[0] Operand 1
     /* 2235965 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235974 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235978 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235983 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235994 */   // GIR_Coverage, 48521,
     /* 2235994 */   GIR_EraseRootFromParent_Done,
     /* 2235995 */ // Label 29898: @2235995
     /* 2235995 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2236043), // Rule ID 48522 //
     /* 2236000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236013 */   // MIs[0] Operand 1
     /* 2236013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236022 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236026 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2236029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236033 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236042 */   // GIR_Coverage, 48522,
     /* 2236042 */   GIR_EraseRootFromParent_Done,
     /* 2236043 */ // Label 29899: @2236043
     /* 2236043 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2236091), // Rule ID 48529 //
     /* 2236048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236054 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236061 */   // MIs[0] Operand 1
     /* 2236061 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236070 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236074 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236079 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236081 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236090 */   // GIR_Coverage, 48529,
     /* 2236090 */   GIR_EraseRootFromParent_Done,
     /* 2236091 */ // Label 29900: @2236091
     /* 2236091 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2236139), // Rule ID 48530 //
     /* 2236096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236102 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236109 */   // MIs[0] Operand 1
     /* 2236109 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236118 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236122 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236127 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236129 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236138 */   // GIR_Coverage, 48530,
     /* 2236138 */   GIR_EraseRootFromParent_Done,
     /* 2236139 */ // Label 29901: @2236139
     /* 2236139 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2236187), // Rule ID 48535 //
     /* 2236144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236150 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236157 */   // MIs[0] Operand 1
     /* 2236157 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236166 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236170 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236175 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236177 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236186 */   // GIR_Coverage, 48535,
     /* 2236186 */   GIR_EraseRootFromParent_Done,
     /* 2236187 */ // Label 29902: @2236187
     /* 2236187 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2236235), // Rule ID 48536 //
     /* 2236192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236205 */   // MIs[0] Operand 1
     /* 2236205 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236214 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236218 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236223 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236225 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236234 */   // GIR_Coverage, 48536,
     /* 2236234 */   GIR_EraseRootFromParent_Done,
     /* 2236235 */ // Label 29903: @2236235
     /* 2236235 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2236283), // Rule ID 48543 //
     /* 2236240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236246 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236253 */   // MIs[0] Operand 1
     /* 2236253 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236262 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236266 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236271 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236273 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236281 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236282 */   // GIR_Coverage, 48543,
     /* 2236282 */   GIR_EraseRootFromParent_Done,
     /* 2236283 */ // Label 29904: @2236283
     /* 2236283 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2236331), // Rule ID 48544 //
     /* 2236288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236294 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236301 */   // MIs[0] Operand 1
     /* 2236301 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236310 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236314 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236319 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236321 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236330 */   // GIR_Coverage, 48544,
     /* 2236330 */   GIR_EraseRootFromParent_Done,
     /* 2236331 */ // Label 29905: @2236331
     /* 2236331 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2236379), // Rule ID 48565 //
     /* 2236336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236342 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236349 */   // MIs[0] Operand 1
     /* 2236349 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236358 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236362 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236367 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236369 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236378 */   // GIR_Coverage, 48565,
     /* 2236378 */   GIR_EraseRootFromParent_Done,
     /* 2236379 */ // Label 29906: @2236379
     /* 2236379 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2236427), // Rule ID 48566 //
     /* 2236384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236390 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236397 */   // MIs[0] Operand 1
     /* 2236397 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236406 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236410 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236415 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236417 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236426 */   // GIR_Coverage, 48566,
     /* 2236426 */   GIR_EraseRootFromParent_Done,
     /* 2236427 */ // Label 29907: @2236427
     /* 2236427 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2236475), // Rule ID 48573 //
     /* 2236432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236438 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236445 */   // MIs[0] Operand 1
     /* 2236445 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236454 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236458 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236474 */   // GIR_Coverage, 48573,
     /* 2236474 */   GIR_EraseRootFromParent_Done,
     /* 2236475 */ // Label 29908: @2236475
     /* 2236475 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2236523), // Rule ID 48574 //
     /* 2236480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236486 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236493 */   // MIs[0] Operand 1
     /* 2236493 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236502 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236506 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236522 */   // GIR_Coverage, 48574,
     /* 2236522 */   GIR_EraseRootFromParent_Done,
     /* 2236523 */ // Label 29909: @2236523
     /* 2236523 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2236571), // Rule ID 48579 //
     /* 2236528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236534 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236541 */   // MIs[0] Operand 1
     /* 2236541 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236550 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236554 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236570 */   // GIR_Coverage, 48579,
     /* 2236570 */   GIR_EraseRootFromParent_Done,
     /* 2236571 */ // Label 29910: @2236571
     /* 2236571 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2236619), // Rule ID 48580 //
     /* 2236576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236582 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236589 */   // MIs[0] Operand 1
     /* 2236589 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236598 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236602 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236607 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236618 */   // GIR_Coverage, 48580,
     /* 2236618 */   GIR_EraseRootFromParent_Done,
     /* 2236619 */ // Label 29911: @2236619
     /* 2236619 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2236667), // Rule ID 48587 //
     /* 2236624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236630 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236637 */   // MIs[0] Operand 1
     /* 2236637 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236646 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236650 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236666 */   // GIR_Coverage, 48587,
     /* 2236666 */   GIR_EraseRootFromParent_Done,
     /* 2236667 */ // Label 29912: @2236667
     /* 2236667 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2236715), // Rule ID 48588 //
     /* 2236672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236678 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236685 */   // MIs[0] Operand 1
     /* 2236685 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236694 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236698 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236714 */   // GIR_Coverage, 48588,
     /* 2236714 */   GIR_EraseRootFromParent_Done,
     /* 2236715 */ // Label 29913: @2236715
     /* 2236715 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2236763), // Rule ID 48609 //
     /* 2236720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236733 */   // MIs[0] Operand 1
     /* 2236733 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236742 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236746 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236762 */   // GIR_Coverage, 48609,
     /* 2236762 */   GIR_EraseRootFromParent_Done,
     /* 2236763 */ // Label 29914: @2236763
     /* 2236763 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2236811), // Rule ID 48610 //
     /* 2236768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236774 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236781 */   // MIs[0] Operand 1
     /* 2236781 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236790 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236794 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236801 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236810 */   // GIR_Coverage, 48610,
     /* 2236810 */   GIR_EraseRootFromParent_Done,
     /* 2236811 */ // Label 29915: @2236811
     /* 2236811 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2236859), // Rule ID 48617 //
     /* 2236816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236822 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236829 */   // MIs[0] Operand 1
     /* 2236829 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236838 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236842 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2236845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236858 */   // GIR_Coverage, 48617,
     /* 2236858 */   GIR_EraseRootFromParent_Done,
     /* 2236859 */ // Label 29916: @2236859
     /* 2236859 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2236907), // Rule ID 48618 //
     /* 2236864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236870 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236877 */   // MIs[0] Operand 1
     /* 2236877 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236886 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236890 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2236893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236906 */   // GIR_Coverage, 48618,
     /* 2236906 */   GIR_EraseRootFromParent_Done,
     /* 2236907 */ // Label 29917: @2236907
     /* 2236907 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2236955), // Rule ID 48623 //
     /* 2236912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236918 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236925 */   // MIs[0] Operand 1
     /* 2236925 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236934 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236938 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2236941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236954 */   // GIR_Coverage, 48623,
     /* 2236954 */   GIR_EraseRootFromParent_Done,
     /* 2236955 */ // Label 29918: @2236955
     /* 2236955 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2237003), // Rule ID 48624 //
     /* 2236960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236966 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236973 */   // MIs[0] Operand 1
     /* 2236973 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236982 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236986 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2236989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236991 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236993 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237002 */   // GIR_Coverage, 48624,
     /* 2237002 */   GIR_EraseRootFromParent_Done,
     /* 2237003 */ // Label 29919: @2237003
     /* 2237003 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2237051), // Rule ID 48631 //
     /* 2237008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237021 */   // MIs[0] Operand 1
     /* 2237021 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237030 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237034 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237039 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237041 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237050 */   // GIR_Coverage, 48631,
     /* 2237050 */   GIR_EraseRootFromParent_Done,
     /* 2237051 */ // Label 29920: @2237051
     /* 2237051 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2237099), // Rule ID 48632 //
     /* 2237056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237069 */   // MIs[0] Operand 1
     /* 2237069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237078 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237082 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237098 */   // GIR_Coverage, 48632,
     /* 2237098 */   GIR_EraseRootFromParent_Done,
     /* 2237099 */ // Label 29921: @2237099
     /* 2237099 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2237147), // Rule ID 48653 //
     /* 2237104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237117 */   // MIs[0] Operand 1
     /* 2237117 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237126 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237130 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237135 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237137 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237146 */   // GIR_Coverage, 48653,
     /* 2237146 */   GIR_EraseRootFromParent_Done,
     /* 2237147 */ // Label 29922: @2237147
     /* 2237147 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2237195), // Rule ID 48654 //
     /* 2237152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237165 */   // MIs[0] Operand 1
     /* 2237165 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237174 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237178 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237183 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237185 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237194 */   // GIR_Coverage, 48654,
     /* 2237194 */   GIR_EraseRootFromParent_Done,
     /* 2237195 */ // Label 29923: @2237195
     /* 2237195 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2237243), // Rule ID 48661 //
     /* 2237200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237213 */   // MIs[0] Operand 1
     /* 2237213 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237222 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237226 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237242 */   // GIR_Coverage, 48661,
     /* 2237242 */   GIR_EraseRootFromParent_Done,
     /* 2237243 */ // Label 29924: @2237243
     /* 2237243 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2237291), // Rule ID 48662 //
     /* 2237248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237261 */   // MIs[0] Operand 1
     /* 2237261 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237270 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237274 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237290 */   // GIR_Coverage, 48662,
     /* 2237290 */   GIR_EraseRootFromParent_Done,
     /* 2237291 */ // Label 29925: @2237291
     /* 2237291 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2237339), // Rule ID 48667 //
     /* 2237296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237309 */   // MIs[0] Operand 1
     /* 2237309 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237318 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237322 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237338 */   // GIR_Coverage, 48667,
     /* 2237338 */   GIR_EraseRootFromParent_Done,
     /* 2237339 */ // Label 29926: @2237339
     /* 2237339 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2237387), // Rule ID 48668 //
     /* 2237344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237350 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237357 */   // MIs[0] Operand 1
     /* 2237357 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237366 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237370 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237386 */   // GIR_Coverage, 48668,
     /* 2237386 */   GIR_EraseRootFromParent_Done,
     /* 2237387 */ // Label 29927: @2237387
     /* 2237387 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2237435), // Rule ID 48675 //
     /* 2237392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237398 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237405 */   // MIs[0] Operand 1
     /* 2237405 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237414 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237418 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237434 */   // GIR_Coverage, 48675,
     /* 2237434 */   GIR_EraseRootFromParent_Done,
     /* 2237435 */ // Label 29928: @2237435
     /* 2237435 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2237483), // Rule ID 48676 //
     /* 2237440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237453 */   // MIs[0] Operand 1
     /* 2237453 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237466 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237482 */   // GIR_Coverage, 48676,
     /* 2237482 */   GIR_EraseRootFromParent_Done,
     /* 2237483 */ // Label 29929: @2237483
     /* 2237483 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2237531), // Rule ID 48697 //
     /* 2237488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237494 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237501 */   // MIs[0] Operand 1
     /* 2237501 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237510 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237514 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237530 */   // GIR_Coverage, 48697,
     /* 2237530 */   GIR_EraseRootFromParent_Done,
     /* 2237531 */ // Label 29930: @2237531
     /* 2237531 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2237579), // Rule ID 48698 //
     /* 2237536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237549 */   // MIs[0] Operand 1
     /* 2237549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237562 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237578 */   // GIR_Coverage, 48698,
     /* 2237578 */   GIR_EraseRootFromParent_Done,
     /* 2237579 */ // Label 29931: @2237579
     /* 2237579 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2237627), // Rule ID 48705 //
     /* 2237584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237597 */   // MIs[0] Operand 1
     /* 2237597 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237610 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237617 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237626 */   // GIR_Coverage, 48705,
     /* 2237626 */   GIR_EraseRootFromParent_Done,
     /* 2237627 */ // Label 29932: @2237627
     /* 2237627 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2237675), // Rule ID 48706 //
     /* 2237632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237645 */   // MIs[0] Operand 1
     /* 2237645 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237654 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237658 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237674 */   // GIR_Coverage, 48706,
     /* 2237674 */   GIR_EraseRootFromParent_Done,
     /* 2237675 */ // Label 29933: @2237675
     /* 2237675 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2237723), // Rule ID 48711 //
     /* 2237680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237693 */   // MIs[0] Operand 1
     /* 2237693 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237702 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237706 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2237709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237722 */   // GIR_Coverage, 48711,
     /* 2237722 */   GIR_EraseRootFromParent_Done,
     /* 2237723 */ // Label 29934: @2237723
     /* 2237723 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2237771), // Rule ID 48712 //
     /* 2237728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237741 */   // MIs[0] Operand 1
     /* 2237741 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237750 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237754 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2237757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237761 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237770 */   // GIR_Coverage, 48712,
     /* 2237770 */   GIR_EraseRootFromParent_Done,
     /* 2237771 */ // Label 29935: @2237771
     /* 2237771 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2237819), // Rule ID 48719 //
     /* 2237776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237789 */   // MIs[0] Operand 1
     /* 2237789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237798 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237802 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2237805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237809 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237818 */   // GIR_Coverage, 48719,
     /* 2237818 */   GIR_EraseRootFromParent_Done,
     /* 2237819 */ // Label 29936: @2237819
     /* 2237819 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2237867), // Rule ID 48720 //
     /* 2237824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237830 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237837 */   // MIs[0] Operand 1
     /* 2237837 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237846 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237850 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2237853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237855 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237857 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237866 */   // GIR_Coverage, 48720,
     /* 2237866 */   GIR_EraseRootFromParent_Done,
     /* 2237867 */ // Label 29937: @2237867
     /* 2237867 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2237915), // Rule ID 48741 //
     /* 2237872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237885 */   // MIs[0] Operand 1
     /* 2237885 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237894 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237898 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2237901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237903 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237905 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237914 */   // GIR_Coverage, 48741,
     /* 2237914 */   GIR_EraseRootFromParent_Done,
     /* 2237915 */ // Label 29938: @2237915
     /* 2237915 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2237963), // Rule ID 48742 //
     /* 2237920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237926 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237933 */   // MIs[0] Operand 1
     /* 2237933 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237942 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237946 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2237949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237951 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237953 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237962 */   // GIR_Coverage, 48742,
     /* 2237962 */   GIR_EraseRootFromParent_Done,
     /* 2237963 */ // Label 29939: @2237963
     /* 2237963 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2238011), // Rule ID 48749 //
     /* 2237968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237981 */   // MIs[0] Operand 1
     /* 2237981 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2237986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237990 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237994 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238010 */   // GIR_Coverage, 48749,
     /* 2238010 */   GIR_EraseRootFromParent_Done,
     /* 2238011 */ // Label 29940: @2238011
     /* 2238011 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2238059), // Rule ID 48750 //
     /* 2238016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2238025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238029 */   // MIs[0] Operand 1
     /* 2238029 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238038 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238042 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238058 */   // GIR_Coverage, 48750,
     /* 2238058 */   GIR_EraseRootFromParent_Done,
     /* 2238059 */ // Label 29941: @2238059
     /* 2238059 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2238107), // Rule ID 48755 //
     /* 2238064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238070 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238077 */   // MIs[0] Operand 1
     /* 2238077 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238086 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238090 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238106 */   // GIR_Coverage, 48755,
     /* 2238106 */   GIR_EraseRootFromParent_Done,
     /* 2238107 */ // Label 29942: @2238107
     /* 2238107 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2238155), // Rule ID 48756 //
     /* 2238112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238125 */   // MIs[0] Operand 1
     /* 2238125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238138 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238143 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238145 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238154 */   // GIR_Coverage, 48756,
     /* 2238154 */   GIR_EraseRootFromParent_Done,
     /* 2238155 */ // Label 29943: @2238155
     /* 2238155 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2238203), // Rule ID 48763 //
     /* 2238160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238173 */   // MIs[0] Operand 1
     /* 2238173 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238182 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238186 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238191 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238193 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238202 */   // GIR_Coverage, 48763,
     /* 2238202 */   GIR_EraseRootFromParent_Done,
     /* 2238203 */ // Label 29944: @2238203
     /* 2238203 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2238251), // Rule ID 48764 //
     /* 2238208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238221 */   // MIs[0] Operand 1
     /* 2238221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238234 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238239 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238250 */   // GIR_Coverage, 48764,
     /* 2238250 */   GIR_EraseRootFromParent_Done,
     /* 2238251 */ // Label 29945: @2238251
     /* 2238251 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2238299), // Rule ID 48785 //
     /* 2238256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238269 */   // MIs[0] Operand 1
     /* 2238269 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238278 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238282 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238289 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238298 */   // GIR_Coverage, 48785,
     /* 2238298 */   GIR_EraseRootFromParent_Done,
     /* 2238299 */ // Label 29946: @2238299
     /* 2238299 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2238347), // Rule ID 48786 //
     /* 2238304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238310 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238317 */   // MIs[0] Operand 1
     /* 2238317 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238326 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238330 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238335 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238337 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238346 */   // GIR_Coverage, 48786,
     /* 2238346 */   GIR_EraseRootFromParent_Done,
     /* 2238347 */ // Label 29947: @2238347
     /* 2238347 */ GIM_Reject,
     /* 2238348 */ // Label 29688: @2238348
     /* 2238348 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2238396), // Rule ID 48357 //
     /* 2238353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238366 */   // MIs[0] Operand 1
     /* 2238366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238379 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238395 */   // GIR_Coverage, 48357,
     /* 2238395 */   GIR_EraseRootFromParent_Done,
     /* 2238396 */ // Label 29948: @2238396
     /* 2238396 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2238444), // Rule ID 48358 //
     /* 2238401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238414 */   // MIs[0] Operand 1
     /* 2238414 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238423 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238427 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238443 */   // GIR_Coverage, 48358,
     /* 2238443 */   GIR_EraseRootFromParent_Done,
     /* 2238444 */ // Label 29949: @2238444
     /* 2238444 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2238492), // Rule ID 48367 //
     /* 2238449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238462 */   // MIs[0] Operand 1
     /* 2238462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238475 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238491 */   // GIR_Coverage, 48367,
     /* 2238491 */   GIR_EraseRootFromParent_Done,
     /* 2238492 */ // Label 29950: @2238492
     /* 2238492 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2238540), // Rule ID 48368 //
     /* 2238497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238510 */   // MIs[0] Operand 1
     /* 2238510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238523 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238539 */   // GIR_Coverage, 48368,
     /* 2238539 */   GIR_EraseRootFromParent_Done,
     /* 2238540 */ // Label 29951: @2238540
     /* 2238540 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2238588), // Rule ID 48385 //
     /* 2238545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238558 */   // MIs[0] Operand 1
     /* 2238558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238571 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2238574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238587 */   // GIR_Coverage, 48385,
     /* 2238587 */   GIR_EraseRootFromParent_Done,
     /* 2238588 */ // Label 29952: @2238588
     /* 2238588 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2238636), // Rule ID 48386 //
     /* 2238593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238606 */   // MIs[0] Operand 1
     /* 2238606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238619 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2238622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238635 */   // GIR_Coverage, 48386,
     /* 2238635 */   GIR_EraseRootFromParent_Done,
     /* 2238636 */ // Label 29953: @2238636
     /* 2238636 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2238684), // Rule ID 48393 //
     /* 2238641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238654 */   // MIs[0] Operand 1
     /* 2238654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238667 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2238670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238683 */   // GIR_Coverage, 48393,
     /* 2238683 */   GIR_EraseRootFromParent_Done,
     /* 2238684 */ // Label 29954: @2238684
     /* 2238684 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2238732), // Rule ID 48394 //
     /* 2238689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238702 */   // MIs[0] Operand 1
     /* 2238702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238715 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2238718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238731 */   // GIR_Coverage, 48394,
     /* 2238731 */   GIR_EraseRootFromParent_Done,
     /* 2238732 */ // Label 29955: @2238732
     /* 2238732 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2238780), // Rule ID 48401 //
     /* 2238737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238750 */   // MIs[0] Operand 1
     /* 2238750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238763 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2238766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238779 */   // GIR_Coverage, 48401,
     /* 2238779 */   GIR_EraseRootFromParent_Done,
     /* 2238780 */ // Label 29956: @2238780
     /* 2238780 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2238828), // Rule ID 48402 //
     /* 2238785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238798 */   // MIs[0] Operand 1
     /* 2238798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238811 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2238814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238827 */   // GIR_Coverage, 48402,
     /* 2238827 */   GIR_EraseRootFromParent_Done,
     /* 2238828 */ // Label 29957: @2238828
     /* 2238828 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2238876), // Rule ID 48411 //
     /* 2238833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238846 */   // MIs[0] Operand 1
     /* 2238846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238859 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2238862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238875 */   // GIR_Coverage, 48411,
     /* 2238875 */   GIR_EraseRootFromParent_Done,
     /* 2238876 */ // Label 29958: @2238876
     /* 2238876 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2238924), // Rule ID 48412 //
     /* 2238881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238894 */   // MIs[0] Operand 1
     /* 2238894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238907 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2238910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238923 */   // GIR_Coverage, 48412,
     /* 2238923 */   GIR_EraseRootFromParent_Done,
     /* 2238924 */ // Label 29959: @2238924
     /* 2238924 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2238972), // Rule ID 48429 //
     /* 2238929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238942 */   // MIs[0] Operand 1
     /* 2238942 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238955 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2238958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238960 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238962 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238971 */   // GIR_Coverage, 48429,
     /* 2238971 */   GIR_EraseRootFromParent_Done,
     /* 2238972 */ // Label 29960: @2238972
     /* 2238972 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2239020), // Rule ID 48430 //
     /* 2238977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238990 */   // MIs[0] Operand 1
     /* 2238990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238999 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239003 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2239006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239008 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239010 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239019 */   // GIR_Coverage, 48430,
     /* 2239019 */   GIR_EraseRootFromParent_Done,
     /* 2239020 */ // Label 29961: @2239020
     /* 2239020 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2239068), // Rule ID 48437 //
     /* 2239025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239038 */   // MIs[0] Operand 1
     /* 2239038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239047 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239051 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239056 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239058 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239067 */   // GIR_Coverage, 48437,
     /* 2239067 */   GIR_EraseRootFromParent_Done,
     /* 2239068 */ // Label 29962: @2239068
     /* 2239068 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2239116), // Rule ID 48438 //
     /* 2239073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239086 */   // MIs[0] Operand 1
     /* 2239086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239099 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239115 */   // GIR_Coverage, 48438,
     /* 2239115 */   GIR_EraseRootFromParent_Done,
     /* 2239116 */ // Label 29963: @2239116
     /* 2239116 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2239164), // Rule ID 48445 //
     /* 2239121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239134 */   // MIs[0] Operand 1
     /* 2239134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239147 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239163 */   // GIR_Coverage, 48445,
     /* 2239163 */   GIR_EraseRootFromParent_Done,
     /* 2239164 */ // Label 29964: @2239164
     /* 2239164 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2239212), // Rule ID 48446 //
     /* 2239169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239182 */   // MIs[0] Operand 1
     /* 2239182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239195 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239202 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239211 */   // GIR_Coverage, 48446,
     /* 2239211 */   GIR_EraseRootFromParent_Done,
     /* 2239212 */ // Label 29965: @2239212
     /* 2239212 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2239260), // Rule ID 48455 //
     /* 2239217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239223 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239230 */   // MIs[0] Operand 1
     /* 2239230 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239239 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239243 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239248 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239250 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239259 */   // GIR_Coverage, 48455,
     /* 2239259 */   GIR_EraseRootFromParent_Done,
     /* 2239260 */ // Label 29966: @2239260
     /* 2239260 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2239308), // Rule ID 48456 //
     /* 2239265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239278 */   // MIs[0] Operand 1
     /* 2239278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239291 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239296 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239298 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239307 */   // GIR_Coverage, 48456,
     /* 2239307 */   GIR_EraseRootFromParent_Done,
     /* 2239308 */ // Label 29967: @2239308
     /* 2239308 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2239356), // Rule ID 48473 //
     /* 2239313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239319 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239326 */   // MIs[0] Operand 1
     /* 2239326 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239335 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239339 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239346 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239355 */   // GIR_Coverage, 48473,
     /* 2239355 */   GIR_EraseRootFromParent_Done,
     /* 2239356 */ // Label 29968: @2239356
     /* 2239356 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2239404), // Rule ID 48474 //
     /* 2239361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239374 */   // MIs[0] Operand 1
     /* 2239374 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239387 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239394 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239403 */   // GIR_Coverage, 48474,
     /* 2239403 */   GIR_EraseRootFromParent_Done,
     /* 2239404 */ // Label 29969: @2239404
     /* 2239404 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2239452), // Rule ID 48481 //
     /* 2239409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239422 */   // MIs[0] Operand 1
     /* 2239422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239435 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239451 */   // GIR_Coverage, 48481,
     /* 2239451 */   GIR_EraseRootFromParent_Done,
     /* 2239452 */ // Label 29970: @2239452
     /* 2239452 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2239500), // Rule ID 48482 //
     /* 2239457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239470 */   // MIs[0] Operand 1
     /* 2239470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239483 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239490 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239499 */   // GIR_Coverage, 48482,
     /* 2239499 */   GIR_EraseRootFromParent_Done,
     /* 2239500 */ // Label 29971: @2239500
     /* 2239500 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2239548), // Rule ID 48487 //
     /* 2239505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239518 */   // MIs[0] Operand 1
     /* 2239518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239527 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239531 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239538 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239547 */   // GIR_Coverage, 48487,
     /* 2239547 */   GIR_EraseRootFromParent_Done,
     /* 2239548 */ // Label 29972: @2239548
     /* 2239548 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2239596), // Rule ID 48488 //
     /* 2239553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239566 */   // MIs[0] Operand 1
     /* 2239566 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239575 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239579 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239584 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239586 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239595 */   // GIR_Coverage, 48488,
     /* 2239595 */   GIR_EraseRootFromParent_Done,
     /* 2239596 */ // Label 29973: @2239596
     /* 2239596 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2239644), // Rule ID 48497 //
     /* 2239601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239614 */   // MIs[0] Operand 1
     /* 2239614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239623 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239627 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239632 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239634 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239643 */   // GIR_Coverage, 48497,
     /* 2239643 */   GIR_EraseRootFromParent_Done,
     /* 2239644 */ // Label 29974: @2239644
     /* 2239644 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2239692), // Rule ID 48498 //
     /* 2239649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239662 */   // MIs[0] Operand 1
     /* 2239662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239675 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239680 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239682 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239691 */   // GIR_Coverage, 48498,
     /* 2239691 */   GIR_EraseRootFromParent_Done,
     /* 2239692 */ // Label 29975: @2239692
     /* 2239692 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2239740), // Rule ID 48515 //
     /* 2239697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239710 */   // MIs[0] Operand 1
     /* 2239710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239723 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239728 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239739 */   // GIR_Coverage, 48515,
     /* 2239739 */   GIR_EraseRootFromParent_Done,
     /* 2239740 */ // Label 29976: @2239740
     /* 2239740 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2239788), // Rule ID 48516 //
     /* 2239745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239758 */   // MIs[0] Operand 1
     /* 2239758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239771 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239787 */   // GIR_Coverage, 48516,
     /* 2239787 */   GIR_EraseRootFromParent_Done,
     /* 2239788 */ // Label 29977: @2239788
     /* 2239788 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2239836), // Rule ID 48523 //
     /* 2239793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239806 */   // MIs[0] Operand 1
     /* 2239806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239819 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239824 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239826 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239835 */   // GIR_Coverage, 48523,
     /* 2239835 */   GIR_EraseRootFromParent_Done,
     /* 2239836 */ // Label 29978: @2239836
     /* 2239836 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2239884), // Rule ID 48524 //
     /* 2239841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239854 */   // MIs[0] Operand 1
     /* 2239854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239867 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239874 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239883 */   // GIR_Coverage, 48524,
     /* 2239883 */   GIR_EraseRootFromParent_Done,
     /* 2239884 */ // Label 29979: @2239884
     /* 2239884 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2239932), // Rule ID 48531 //
     /* 2239889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239902 */   // MIs[0] Operand 1
     /* 2239902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239915 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2239918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239920 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239922 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239931 */   // GIR_Coverage, 48531,
     /* 2239931 */   GIR_EraseRootFromParent_Done,
     /* 2239932 */ // Label 29980: @2239932
     /* 2239932 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2239980), // Rule ID 48532 //
     /* 2239937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239950 */   // MIs[0] Operand 1
     /* 2239950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239963 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2239966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239970 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239979 */   // GIR_Coverage, 48532,
     /* 2239979 */   GIR_EraseRootFromParent_Done,
     /* 2239980 */ // Label 29981: @2239980
     /* 2239980 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2240028), // Rule ID 48541 //
     /* 2239985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239998 */   // MIs[0] Operand 1
     /* 2239998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240011 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240016 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240018 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240027 */   // GIR_Coverage, 48541,
     /* 2240027 */   GIR_EraseRootFromParent_Done,
     /* 2240028 */ // Label 29982: @2240028
     /* 2240028 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2240076), // Rule ID 48542 //
     /* 2240033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240046 */   // MIs[0] Operand 1
     /* 2240046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240059 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240066 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240075 */   // GIR_Coverage, 48542,
     /* 2240075 */   GIR_EraseRootFromParent_Done,
     /* 2240076 */ // Label 29983: @2240076
     /* 2240076 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2240124), // Rule ID 48559 //
     /* 2240081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240094 */   // MIs[0] Operand 1
     /* 2240094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240107 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240123 */   // GIR_Coverage, 48559,
     /* 2240123 */   GIR_EraseRootFromParent_Done,
     /* 2240124 */ // Label 29984: @2240124
     /* 2240124 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2240172), // Rule ID 48560 //
     /* 2240129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240142 */   // MIs[0] Operand 1
     /* 2240142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240155 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240162 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240171 */   // GIR_Coverage, 48560,
     /* 2240171 */   GIR_EraseRootFromParent_Done,
     /* 2240172 */ // Label 29985: @2240172
     /* 2240172 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2240220), // Rule ID 48567 //
     /* 2240177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240183 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240190 */   // MIs[0] Operand 1
     /* 2240190 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240199 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240203 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240210 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240219 */   // GIR_Coverage, 48567,
     /* 2240219 */   GIR_EraseRootFromParent_Done,
     /* 2240220 */ // Label 29986: @2240220
     /* 2240220 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2240268), // Rule ID 48568 //
     /* 2240225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240231 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240238 */   // MIs[0] Operand 1
     /* 2240238 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240247 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240251 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240256 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240258 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240267 */   // GIR_Coverage, 48568,
     /* 2240267 */   GIR_EraseRootFromParent_Done,
     /* 2240268 */ // Label 29987: @2240268
     /* 2240268 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2240316), // Rule ID 48575 //
     /* 2240273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240286 */   // MIs[0] Operand 1
     /* 2240286 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240295 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240299 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240315 */   // GIR_Coverage, 48575,
     /* 2240315 */   GIR_EraseRootFromParent_Done,
     /* 2240316 */ // Label 29988: @2240316
     /* 2240316 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2240364), // Rule ID 48576 //
     /* 2240321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240334 */   // MIs[0] Operand 1
     /* 2240334 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240343 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240347 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240352 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240363 */   // GIR_Coverage, 48576,
     /* 2240363 */   GIR_EraseRootFromParent_Done,
     /* 2240364 */ // Label 29989: @2240364
     /* 2240364 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2240412), // Rule ID 48585 //
     /* 2240369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240382 */   // MIs[0] Operand 1
     /* 2240382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240395 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240411 */   // GIR_Coverage, 48585,
     /* 2240411 */   GIR_EraseRootFromParent_Done,
     /* 2240412 */ // Label 29990: @2240412
     /* 2240412 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2240460), // Rule ID 48586 //
     /* 2240417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240430 */   // MIs[0] Operand 1
     /* 2240430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240443 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240448 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240459 */   // GIR_Coverage, 48586,
     /* 2240459 */   GIR_EraseRootFromParent_Done,
     /* 2240460 */ // Label 29991: @2240460
     /* 2240460 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2240508), // Rule ID 48603 //
     /* 2240465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240471 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240478 */   // MIs[0] Operand 1
     /* 2240478 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240487 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240491 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240496 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240507 */   // GIR_Coverage, 48603,
     /* 2240507 */   GIR_EraseRootFromParent_Done,
     /* 2240508 */ // Label 29992: @2240508
     /* 2240508 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2240556), // Rule ID 48604 //
     /* 2240513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240519 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240526 */   // MIs[0] Operand 1
     /* 2240526 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240535 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240539 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240544 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240546 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240555 */   // GIR_Coverage, 48604,
     /* 2240555 */   GIR_EraseRootFromParent_Done,
     /* 2240556 */ // Label 29993: @2240556
     /* 2240556 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2240604), // Rule ID 48611 //
     /* 2240561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240567 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240574 */   // MIs[0] Operand 1
     /* 2240574 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240583 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240587 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240592 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240594 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240603 */   // GIR_Coverage, 48611,
     /* 2240603 */   GIR_EraseRootFromParent_Done,
     /* 2240604 */ // Label 29994: @2240604
     /* 2240604 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2240652), // Rule ID 48612 //
     /* 2240609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240622 */   // MIs[0] Operand 1
     /* 2240622 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240631 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240635 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240640 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240642 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240651 */   // GIR_Coverage, 48612,
     /* 2240651 */   GIR_EraseRootFromParent_Done,
     /* 2240652 */ // Label 29995: @2240652
     /* 2240652 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2240700), // Rule ID 48619 //
     /* 2240657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240663 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240670 */   // MIs[0] Operand 1
     /* 2240670 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240679 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240683 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2240686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240688 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240690 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240699 */   // GIR_Coverage, 48619,
     /* 2240699 */   GIR_EraseRootFromParent_Done,
     /* 2240700 */ // Label 29996: @2240700
     /* 2240700 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2240748), // Rule ID 48620 //
     /* 2240705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240718 */   // MIs[0] Operand 1
     /* 2240718 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240731 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2240734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240736 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240747 */   // GIR_Coverage, 48620,
     /* 2240747 */   GIR_EraseRootFromParent_Done,
     /* 2240748 */ // Label 29997: @2240748
     /* 2240748 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2240796), // Rule ID 48629 //
     /* 2240753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240766 */   // MIs[0] Operand 1
     /* 2240766 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240775 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240779 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2240782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240784 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240786 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240795 */   // GIR_Coverage, 48629,
     /* 2240795 */   GIR_EraseRootFromParent_Done,
     /* 2240796 */ // Label 29998: @2240796
     /* 2240796 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2240844), // Rule ID 48630 //
     /* 2240801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240807 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240814 */   // MIs[0] Operand 1
     /* 2240814 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240823 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240827 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2240830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240832 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240834 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240843 */   // GIR_Coverage, 48630,
     /* 2240843 */   GIR_EraseRootFromParent_Done,
     /* 2240844 */ // Label 29999: @2240844
     /* 2240844 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2240892), // Rule ID 48647 //
     /* 2240849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240855 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240862 */   // MIs[0] Operand 1
     /* 2240862 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240871 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240875 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2240878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240880 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240882 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240891 */   // GIR_Coverage, 48647,
     /* 2240891 */   GIR_EraseRootFromParent_Done,
     /* 2240892 */ // Label 30000: @2240892
     /* 2240892 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2240940), // Rule ID 48648 //
     /* 2240897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240903 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240910 */   // MIs[0] Operand 1
     /* 2240910 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240919 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240923 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2240926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240928 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240930 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240939 */   // GIR_Coverage, 48648,
     /* 2240939 */   GIR_EraseRootFromParent_Done,
     /* 2240940 */ // Label 30001: @2240940
     /* 2240940 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2240988), // Rule ID 48655 //
     /* 2240945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240958 */   // MIs[0] Operand 1
     /* 2240958 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240967 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240971 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2240974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240976 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240987 */   // GIR_Coverage, 48655,
     /* 2240987 */   GIR_EraseRootFromParent_Done,
     /* 2240988 */ // Label 30002: @2240988
     /* 2240988 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2241036), // Rule ID 48656 //
     /* 2240993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241006 */   // MIs[0] Operand 1
     /* 2241006 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241015 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241019 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241024 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241026 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241035 */   // GIR_Coverage, 48656,
     /* 2241035 */   GIR_EraseRootFromParent_Done,
     /* 2241036 */ // Label 30003: @2241036
     /* 2241036 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2241084), // Rule ID 48663 //
     /* 2241041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241054 */   // MIs[0] Operand 1
     /* 2241054 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241063 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241067 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241074 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241083 */   // GIR_Coverage, 48663,
     /* 2241083 */   GIR_EraseRootFromParent_Done,
     /* 2241084 */ // Label 30004: @2241084
     /* 2241084 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2241132), // Rule ID 48664 //
     /* 2241089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241095 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241102 */   // MIs[0] Operand 1
     /* 2241102 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241111 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241115 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241122 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241131 */   // GIR_Coverage, 48664,
     /* 2241131 */   GIR_EraseRootFromParent_Done,
     /* 2241132 */ // Label 30005: @2241132
     /* 2241132 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2241180), // Rule ID 48673 //
     /* 2241137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241150 */   // MIs[0] Operand 1
     /* 2241150 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241159 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241163 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241170 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241179 */   // GIR_Coverage, 48673,
     /* 2241179 */   GIR_EraseRootFromParent_Done,
     /* 2241180 */ // Label 30006: @2241180
     /* 2241180 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2241228), // Rule ID 48674 //
     /* 2241185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241191 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241198 */   // MIs[0] Operand 1
     /* 2241198 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241207 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241211 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241216 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241218 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241227 */   // GIR_Coverage, 48674,
     /* 2241227 */   GIR_EraseRootFromParent_Done,
     /* 2241228 */ // Label 30007: @2241228
     /* 2241228 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2241276), // Rule ID 48691 //
     /* 2241233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241239 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241246 */   // MIs[0] Operand 1
     /* 2241246 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241255 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241259 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241264 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241266 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241275 */   // GIR_Coverage, 48691,
     /* 2241275 */   GIR_EraseRootFromParent_Done,
     /* 2241276 */ // Label 30008: @2241276
     /* 2241276 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2241324), // Rule ID 48692 //
     /* 2241281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241294 */   // MIs[0] Operand 1
     /* 2241294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241303 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241307 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241312 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241314 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241323 */   // GIR_Coverage, 48692,
     /* 2241323 */   GIR_EraseRootFromParent_Done,
     /* 2241324 */ // Label 30009: @2241324
     /* 2241324 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2241372), // Rule ID 48699 //
     /* 2241329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241335 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241342 */   // MIs[0] Operand 1
     /* 2241342 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241351 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241355 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241371 */   // GIR_Coverage, 48699,
     /* 2241371 */   GIR_EraseRootFromParent_Done,
     /* 2241372 */ // Label 30010: @2241372
     /* 2241372 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2241420), // Rule ID 48700 //
     /* 2241377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241383 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241390 */   // MIs[0] Operand 1
     /* 2241390 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241399 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241403 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241408 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241410 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241419 */   // GIR_Coverage, 48700,
     /* 2241419 */   GIR_EraseRootFromParent_Done,
     /* 2241420 */ // Label 30011: @2241420
     /* 2241420 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2241468), // Rule ID 48707 //
     /* 2241425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241438 */   // MIs[0] Operand 1
     /* 2241438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241451 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241458 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241467 */   // GIR_Coverage, 48707,
     /* 2241467 */   GIR_EraseRootFromParent_Done,
     /* 2241468 */ // Label 30012: @2241468
     /* 2241468 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2241516), // Rule ID 48708 //
     /* 2241473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241486 */   // MIs[0] Operand 1
     /* 2241486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241499 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241515 */   // GIR_Coverage, 48708,
     /* 2241515 */   GIR_EraseRootFromParent_Done,
     /* 2241516 */ // Label 30013: @2241516
     /* 2241516 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2241564), // Rule ID 48717 //
     /* 2241521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241527 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241534 */   // MIs[0] Operand 1
     /* 2241534 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241547 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241563 */   // GIR_Coverage, 48717,
     /* 2241563 */   GIR_EraseRootFromParent_Done,
     /* 2241564 */ // Label 30014: @2241564
     /* 2241564 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2241612), // Rule ID 48718 //
     /* 2241569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241582 */   // MIs[0] Operand 1
     /* 2241582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241595 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241602 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241611 */   // GIR_Coverage, 48718,
     /* 2241611 */   GIR_EraseRootFromParent_Done,
     /* 2241612 */ // Label 30015: @2241612
     /* 2241612 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2241660), // Rule ID 48735 //
     /* 2241617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241630 */   // MIs[0] Operand 1
     /* 2241630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241643 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2241646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241659 */   // GIR_Coverage, 48735,
     /* 2241659 */   GIR_EraseRootFromParent_Done,
     /* 2241660 */ // Label 30016: @2241660
     /* 2241660 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2241708), // Rule ID 48736 //
     /* 2241665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241678 */   // MIs[0] Operand 1
     /* 2241678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241687 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241691 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2241694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241696 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241698 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241707 */   // GIR_Coverage, 48736,
     /* 2241707 */   GIR_EraseRootFromParent_Done,
     /* 2241708 */ // Label 30017: @2241708
     /* 2241708 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2241756), // Rule ID 48743 //
     /* 2241713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241726 */   // MIs[0] Operand 1
     /* 2241726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241735 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241739 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2241742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241755 */   // GIR_Coverage, 48743,
     /* 2241755 */   GIR_EraseRootFromParent_Done,
     /* 2241756 */ // Label 30018: @2241756
     /* 2241756 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2241804), // Rule ID 48744 //
     /* 2241761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241774 */   // MIs[0] Operand 1
     /* 2241774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241787 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2241790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241803 */   // GIR_Coverage, 48744,
     /* 2241803 */   GIR_EraseRootFromParent_Done,
     /* 2241804 */ // Label 30019: @2241804
     /* 2241804 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2241852), // Rule ID 48751 //
     /* 2241809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241822 */   // MIs[0] Operand 1
     /* 2241822 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241831 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241835 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241840 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241851 */   // GIR_Coverage, 48751,
     /* 2241851 */   GIR_EraseRootFromParent_Done,
     /* 2241852 */ // Label 30020: @2241852
     /* 2241852 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2241900), // Rule ID 48752 //
     /* 2241857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241870 */   // MIs[0] Operand 1
     /* 2241870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241883 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241888 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241899 */   // GIR_Coverage, 48752,
     /* 2241899 */   GIR_EraseRootFromParent_Done,
     /* 2241900 */ // Label 30021: @2241900
     /* 2241900 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2241948), // Rule ID 48761 //
     /* 2241905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241918 */   // MIs[0] Operand 1
     /* 2241918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241931 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241936 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241947 */   // GIR_Coverage, 48761,
     /* 2241947 */   GIR_EraseRootFromParent_Done,
     /* 2241948 */ // Label 30022: @2241948
     /* 2241948 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2241996), // Rule ID 48762 //
     /* 2241953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241966 */   // MIs[0] Operand 1
     /* 2241966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241979 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241984 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241995 */   // GIR_Coverage, 48762,
     /* 2241995 */   GIR_EraseRootFromParent_Done,
     /* 2241996 */ // Label 30023: @2241996
     /* 2241996 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2242044), // Rule ID 48779 //
     /* 2242001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242014 */   // MIs[0] Operand 1
     /* 2242014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242027 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242032 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242043 */   // GIR_Coverage, 48779,
     /* 2242043 */   GIR_EraseRootFromParent_Done,
     /* 2242044 */ // Label 30024: @2242044
     /* 2242044 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2242092), // Rule ID 48780 //
     /* 2242049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242062 */   // MIs[0] Operand 1
     /* 2242062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242075 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242080 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242082 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242091 */   // GIR_Coverage, 48780,
     /* 2242091 */   GIR_EraseRootFromParent_Done,
     /* 2242092 */ // Label 30025: @2242092
     /* 2242092 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2242140), // Rule ID 48787 //
     /* 2242097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242110 */   // MIs[0] Operand 1
     /* 2242110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242123 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242128 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242130 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242139 */   // GIR_Coverage, 48787,
     /* 2242139 */   GIR_EraseRootFromParent_Done,
     /* 2242140 */ // Label 30026: @2242140
     /* 2242140 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2242188), // Rule ID 48788 //
     /* 2242145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242158 */   // MIs[0] Operand 1
     /* 2242158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242171 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242176 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242178 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242187 */   // GIR_Coverage, 48788,
     /* 2242187 */   GIR_EraseRootFromParent_Done,
     /* 2242188 */ // Label 30027: @2242188
     /* 2242188 */ GIM_Reject,
     /* 2242189 */ // Label 29689: @2242189
     /* 2242189 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2242237), // Rule ID 48365 //
     /* 2242194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242207 */   // MIs[0] Operand 1
     /* 2242207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242220 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242225 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242236 */   // GIR_Coverage, 48365,
     /* 2242236 */   GIR_EraseRootFromParent_Done,
     /* 2242237 */ // Label 30028: @2242237
     /* 2242237 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2242285), // Rule ID 48366 //
     /* 2242242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242255 */   // MIs[0] Operand 1
     /* 2242255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242268 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242284 */   // GIR_Coverage, 48366,
     /* 2242284 */   GIR_EraseRootFromParent_Done,
     /* 2242285 */ // Label 30029: @2242285
     /* 2242285 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2242333), // Rule ID 48379 //
     /* 2242290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242303 */   // MIs[0] Operand 1
     /* 2242303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242316 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242332 */   // GIR_Coverage, 48379,
     /* 2242332 */   GIR_EraseRootFromParent_Done,
     /* 2242333 */ // Label 30030: @2242333
     /* 2242333 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2242381), // Rule ID 48380 //
     /* 2242338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242351 */   // MIs[0] Operand 1
     /* 2242351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242364 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242380 */   // GIR_Coverage, 48380,
     /* 2242380 */   GIR_EraseRootFromParent_Done,
     /* 2242381 */ // Label 30031: @2242381
     /* 2242381 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2242429), // Rule ID 48387 //
     /* 2242386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242399 */   // MIs[0] Operand 1
     /* 2242399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242412 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242428 */   // GIR_Coverage, 48387,
     /* 2242428 */   GIR_EraseRootFromParent_Done,
     /* 2242429 */ // Label 30032: @2242429
     /* 2242429 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2242477), // Rule ID 48388 //
     /* 2242434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242447 */   // MIs[0] Operand 1
     /* 2242447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242460 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242476 */   // GIR_Coverage, 48388,
     /* 2242476 */   GIR_EraseRootFromParent_Done,
     /* 2242477 */ // Label 30033: @2242477
     /* 2242477 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2242525), // Rule ID 48395 //
     /* 2242482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242495 */   // MIs[0] Operand 1
     /* 2242495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242508 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242524 */   // GIR_Coverage, 48395,
     /* 2242524 */   GIR_EraseRootFromParent_Done,
     /* 2242525 */ // Label 30034: @2242525
     /* 2242525 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2242573), // Rule ID 48396 //
     /* 2242530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242543 */   // MIs[0] Operand 1
     /* 2242543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242556 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242572 */   // GIR_Coverage, 48396,
     /* 2242572 */   GIR_EraseRootFromParent_Done,
     /* 2242573 */ // Label 30035: @2242573
     /* 2242573 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2242621), // Rule ID 48409 //
     /* 2242578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242591 */   // MIs[0] Operand 1
     /* 2242591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242604 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2242607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242620 */   // GIR_Coverage, 48409,
     /* 2242620 */   GIR_EraseRootFromParent_Done,
     /* 2242621 */ // Label 30036: @2242621
     /* 2242621 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2242669), // Rule ID 48410 //
     /* 2242626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242639 */   // MIs[0] Operand 1
     /* 2242639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242652 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2242655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242668 */   // GIR_Coverage, 48410,
     /* 2242668 */   GIR_EraseRootFromParent_Done,
     /* 2242669 */ // Label 30037: @2242669
     /* 2242669 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2242717), // Rule ID 48423 //
     /* 2242674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242687 */   // MIs[0] Operand 1
     /* 2242687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242700 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2242703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242716 */   // GIR_Coverage, 48423,
     /* 2242716 */   GIR_EraseRootFromParent_Done,
     /* 2242717 */ // Label 30038: @2242717
     /* 2242717 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2242765), // Rule ID 48424 //
     /* 2242722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242735 */   // MIs[0] Operand 1
     /* 2242735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242748 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2242751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242764 */   // GIR_Coverage, 48424,
     /* 2242764 */   GIR_EraseRootFromParent_Done,
     /* 2242765 */ // Label 30039: @2242765
     /* 2242765 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2242813), // Rule ID 48431 //
     /* 2242770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242783 */   // MIs[0] Operand 1
     /* 2242783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242796 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2242799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242801 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242812 */   // GIR_Coverage, 48431,
     /* 2242812 */   GIR_EraseRootFromParent_Done,
     /* 2242813 */ // Label 30040: @2242813
     /* 2242813 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2242861), // Rule ID 48432 //
     /* 2242818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242831 */   // MIs[0] Operand 1
     /* 2242831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242844 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2242847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242849 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242851 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242860 */   // GIR_Coverage, 48432,
     /* 2242860 */   GIR_EraseRootFromParent_Done,
     /* 2242861 */ // Label 30041: @2242861
     /* 2242861 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2242909), // Rule ID 48439 //
     /* 2242866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242879 */   // MIs[0] Operand 1
     /* 2242879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242892 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2242895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242897 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242899 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242908 */   // GIR_Coverage, 48439,
     /* 2242908 */   GIR_EraseRootFromParent_Done,
     /* 2242909 */ // Label 30042: @2242909
     /* 2242909 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2242957), // Rule ID 48440 //
     /* 2242914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242927 */   // MIs[0] Operand 1
     /* 2242927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242940 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2242943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242945 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242956 */   // GIR_Coverage, 48440,
     /* 2242956 */   GIR_EraseRootFromParent_Done,
     /* 2242957 */ // Label 30043: @2242957
     /* 2242957 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2243005), // Rule ID 48453 //
     /* 2242962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242975 */   // MIs[0] Operand 1
     /* 2242975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2242980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242988 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2242991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242993 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243004 */   // GIR_Coverage, 48453,
     /* 2243004 */   GIR_EraseRootFromParent_Done,
     /* 2243005 */ // Label 30044: @2243005
     /* 2243005 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2243053), // Rule ID 48454 //
     /* 2243010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243023 */   // MIs[0] Operand 1
     /* 2243023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243036 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243041 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243052 */   // GIR_Coverage, 48454,
     /* 2243052 */   GIR_EraseRootFromParent_Done,
     /* 2243053 */ // Label 30045: @2243053
     /* 2243053 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2243101), // Rule ID 48467 //
     /* 2243058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243071 */   // MIs[0] Operand 1
     /* 2243071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243084 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243089 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243100 */   // GIR_Coverage, 48467,
     /* 2243100 */   GIR_EraseRootFromParent_Done,
     /* 2243101 */ // Label 30046: @2243101
     /* 2243101 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2243149), // Rule ID 48468 //
     /* 2243106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243119 */   // MIs[0] Operand 1
     /* 2243119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243132 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243137 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243148 */   // GIR_Coverage, 48468,
     /* 2243148 */   GIR_EraseRootFromParent_Done,
     /* 2243149 */ // Label 30047: @2243149
     /* 2243149 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2243197), // Rule ID 48475 //
     /* 2243154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243167 */   // MIs[0] Operand 1
     /* 2243167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243180 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243196 */   // GIR_Coverage, 48475,
     /* 2243196 */   GIR_EraseRootFromParent_Done,
     /* 2243197 */ // Label 30048: @2243197
     /* 2243197 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2243245), // Rule ID 48476 //
     /* 2243202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243215 */   // MIs[0] Operand 1
     /* 2243215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243228 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243244 */   // GIR_Coverage, 48476,
     /* 2243244 */   GIR_EraseRootFromParent_Done,
     /* 2243245 */ // Label 30049: @2243245
     /* 2243245 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2243293), // Rule ID 48483 //
     /* 2243250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243263 */   // MIs[0] Operand 1
     /* 2243263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243276 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243292 */   // GIR_Coverage, 48483,
     /* 2243292 */   GIR_EraseRootFromParent_Done,
     /* 2243293 */ // Label 30050: @2243293
     /* 2243293 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2243341), // Rule ID 48484 //
     /* 2243298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243311 */   // MIs[0] Operand 1
     /* 2243311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243324 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243340 */   // GIR_Coverage, 48484,
     /* 2243340 */   GIR_EraseRootFromParent_Done,
     /* 2243341 */ // Label 30051: @2243341
     /* 2243341 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2243389), // Rule ID 48495 //
     /* 2243346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243359 */   // MIs[0] Operand 1
     /* 2243359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243372 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243377 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243379 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243388 */   // GIR_Coverage, 48495,
     /* 2243388 */   GIR_EraseRootFromParent_Done,
     /* 2243389 */ // Label 30052: @2243389
     /* 2243389 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2243437), // Rule ID 48496 //
     /* 2243394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243407 */   // MIs[0] Operand 1
     /* 2243407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243420 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243425 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243436 */   // GIR_Coverage, 48496,
     /* 2243436 */   GIR_EraseRootFromParent_Done,
     /* 2243437 */ // Label 30053: @2243437
     /* 2243437 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2243485), // Rule ID 48509 //
     /* 2243442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243455 */   // MIs[0] Operand 1
     /* 2243455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243468 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243484 */   // GIR_Coverage, 48509,
     /* 2243484 */   GIR_EraseRootFromParent_Done,
     /* 2243485 */ // Label 30054: @2243485
     /* 2243485 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2243533), // Rule ID 48510 //
     /* 2243490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243503 */   // MIs[0] Operand 1
     /* 2243503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243516 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243521 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243532 */   // GIR_Coverage, 48510,
     /* 2243532 */   GIR_EraseRootFromParent_Done,
     /* 2243533 */ // Label 30055: @2243533
     /* 2243533 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2243581), // Rule ID 48517 //
     /* 2243538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243551 */   // MIs[0] Operand 1
     /* 2243551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243564 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243580 */   // GIR_Coverage, 48517,
     /* 2243580 */   GIR_EraseRootFromParent_Done,
     /* 2243581 */ // Label 30056: @2243581
     /* 2243581 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2243629), // Rule ID 48518 //
     /* 2243586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243599 */   // MIs[0] Operand 1
     /* 2243599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243612 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243617 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243619 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243628 */   // GIR_Coverage, 48518,
     /* 2243628 */   GIR_EraseRootFromParent_Done,
     /* 2243629 */ // Label 30057: @2243629
     /* 2243629 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2243677), // Rule ID 48525 //
     /* 2243634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243647 */   // MIs[0] Operand 1
     /* 2243647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243660 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243667 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243676 */   // GIR_Coverage, 48525,
     /* 2243676 */   GIR_EraseRootFromParent_Done,
     /* 2243677 */ // Label 30058: @2243677
     /* 2243677 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2243725), // Rule ID 48526 //
     /* 2243682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243695 */   // MIs[0] Operand 1
     /* 2243695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243708 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243715 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243724 */   // GIR_Coverage, 48526,
     /* 2243724 */   GIR_EraseRootFromParent_Done,
     /* 2243725 */ // Label 30059: @2243725
     /* 2243725 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2243773), // Rule ID 48539 //
     /* 2243730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243743 */   // MIs[0] Operand 1
     /* 2243743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243756 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2243759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243772 */   // GIR_Coverage, 48539,
     /* 2243772 */   GIR_EraseRootFromParent_Done,
     /* 2243773 */ // Label 30060: @2243773
     /* 2243773 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2243821), // Rule ID 48540 //
     /* 2243778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243791 */   // MIs[0] Operand 1
     /* 2243791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243804 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2243807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243820 */   // GIR_Coverage, 48540,
     /* 2243820 */   GIR_EraseRootFromParent_Done,
     /* 2243821 */ // Label 30061: @2243821
     /* 2243821 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2243869), // Rule ID 48553 //
     /* 2243826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243839 */   // MIs[0] Operand 1
     /* 2243839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243852 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2243855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243868 */   // GIR_Coverage, 48553,
     /* 2243868 */   GIR_EraseRootFromParent_Done,
     /* 2243869 */ // Label 30062: @2243869
     /* 2243869 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2243917), // Rule ID 48554 //
     /* 2243874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243887 */   // MIs[0] Operand 1
     /* 2243887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243900 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2243903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243916 */   // GIR_Coverage, 48554,
     /* 2243916 */   GIR_EraseRootFromParent_Done,
     /* 2243917 */ // Label 30063: @2243917
     /* 2243917 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2243965), // Rule ID 48561 //
     /* 2243922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243935 */   // MIs[0] Operand 1
     /* 2243935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243948 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243964 */   // GIR_Coverage, 48561,
     /* 2243964 */   GIR_EraseRootFromParent_Done,
     /* 2243965 */ // Label 30064: @2243965
     /* 2243965 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2244013), // Rule ID 48562 //
     /* 2243970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243983 */   // MIs[0] Operand 1
     /* 2243983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243996 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244012 */   // GIR_Coverage, 48562,
     /* 2244012 */   GIR_EraseRootFromParent_Done,
     /* 2244013 */ // Label 30065: @2244013
     /* 2244013 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2244061), // Rule ID 48569 //
     /* 2244018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244031 */   // MIs[0] Operand 1
     /* 2244031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244044 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244060 */   // GIR_Coverage, 48569,
     /* 2244060 */   GIR_EraseRootFromParent_Done,
     /* 2244061 */ // Label 30066: @2244061
     /* 2244061 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2244109), // Rule ID 48570 //
     /* 2244066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244072 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244079 */   // MIs[0] Operand 1
     /* 2244079 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244092 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244099 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244108 */   // GIR_Coverage, 48570,
     /* 2244108 */   GIR_EraseRootFromParent_Done,
     /* 2244109 */ // Label 30067: @2244109
     /* 2244109 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2244157), // Rule ID 48583 //
     /* 2244114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244127 */   // MIs[0] Operand 1
     /* 2244127 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244140 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244145 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244156 */   // GIR_Coverage, 48583,
     /* 2244156 */   GIR_EraseRootFromParent_Done,
     /* 2244157 */ // Label 30068: @2244157
     /* 2244157 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2244205), // Rule ID 48584 //
     /* 2244162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244175 */   // MIs[0] Operand 1
     /* 2244175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244188 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244193 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244204 */   // GIR_Coverage, 48584,
     /* 2244204 */   GIR_EraseRootFromParent_Done,
     /* 2244205 */ // Label 30069: @2244205
     /* 2244205 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2244253), // Rule ID 48597 //
     /* 2244210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244223 */   // MIs[0] Operand 1
     /* 2244223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244236 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244252 */   // GIR_Coverage, 48597,
     /* 2244252 */   GIR_EraseRootFromParent_Done,
     /* 2244253 */ // Label 30070: @2244253
     /* 2244253 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2244301), // Rule ID 48598 //
     /* 2244258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244271 */   // MIs[0] Operand 1
     /* 2244271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244284 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244289 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244300 */   // GIR_Coverage, 48598,
     /* 2244300 */   GIR_EraseRootFromParent_Done,
     /* 2244301 */ // Label 30071: @2244301
     /* 2244301 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2244349), // Rule ID 48605 //
     /* 2244306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244319 */   // MIs[0] Operand 1
     /* 2244319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244328 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244332 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244337 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244348 */   // GIR_Coverage, 48605,
     /* 2244348 */   GIR_EraseRootFromParent_Done,
     /* 2244349 */ // Label 30072: @2244349
     /* 2244349 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2244397), // Rule ID 48606 //
     /* 2244354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244367 */   // MIs[0] Operand 1
     /* 2244367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244380 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244385 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244396 */   // GIR_Coverage, 48606,
     /* 2244396 */   GIR_EraseRootFromParent_Done,
     /* 2244397 */ // Label 30073: @2244397
     /* 2244397 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2244445), // Rule ID 48613 //
     /* 2244402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244408 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244415 */   // MIs[0] Operand 1
     /* 2244415 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244424 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244428 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244444 */   // GIR_Coverage, 48613,
     /* 2244444 */   GIR_EraseRootFromParent_Done,
     /* 2244445 */ // Label 30074: @2244445
     /* 2244445 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2244493), // Rule ID 48614 //
     /* 2244450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244456 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244463 */   // MIs[0] Operand 1
     /* 2244463 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244472 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244476 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244492 */   // GIR_Coverage, 48614,
     /* 2244492 */   GIR_EraseRootFromParent_Done,
     /* 2244493 */ // Label 30075: @2244493
     /* 2244493 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2244541), // Rule ID 48627 //
     /* 2244498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244511 */   // MIs[0] Operand 1
     /* 2244511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244524 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244529 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244531 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244540 */   // GIR_Coverage, 48627,
     /* 2244540 */   GIR_EraseRootFromParent_Done,
     /* 2244541 */ // Label 30076: @2244541
     /* 2244541 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2244589), // Rule ID 48628 //
     /* 2244546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244559 */   // MIs[0] Operand 1
     /* 2244559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244572 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244577 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244579 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244588 */   // GIR_Coverage, 48628,
     /* 2244588 */   GIR_EraseRootFromParent_Done,
     /* 2244589 */ // Label 30077: @2244589
     /* 2244589 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2244637), // Rule ID 48641 //
     /* 2244594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244600 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244607 */   // MIs[0] Operand 1
     /* 2244607 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244616 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244620 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2244623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244625 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244627 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244636 */   // GIR_Coverage, 48641,
     /* 2244636 */   GIR_EraseRootFromParent_Done,
     /* 2244637 */ // Label 30078: @2244637
     /* 2244637 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2244685), // Rule ID 48642 //
     /* 2244642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244648 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244655 */   // MIs[0] Operand 1
     /* 2244655 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244664 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244668 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2244671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244673 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244675 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244684 */   // GIR_Coverage, 48642,
     /* 2244684 */   GIR_EraseRootFromParent_Done,
     /* 2244685 */ // Label 30079: @2244685
     /* 2244685 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2244733), // Rule ID 48649 //
     /* 2244690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244703 */   // MIs[0] Operand 1
     /* 2244703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244716 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244721 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244723 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244732 */   // GIR_Coverage, 48649,
     /* 2244732 */   GIR_EraseRootFromParent_Done,
     /* 2244733 */ // Label 30080: @2244733
     /* 2244733 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2244781), // Rule ID 48650 //
     /* 2244738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244744 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244751 */   // MIs[0] Operand 1
     /* 2244751 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244760 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244764 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244769 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244771 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244780 */   // GIR_Coverage, 48650,
     /* 2244780 */   GIR_EraseRootFromParent_Done,
     /* 2244781 */ // Label 30081: @2244781
     /* 2244781 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2244829), // Rule ID 48657 //
     /* 2244786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244792 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244799 */   // MIs[0] Operand 1
     /* 2244799 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244808 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244812 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244817 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244819 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244828 */   // GIR_Coverage, 48657,
     /* 2244828 */   GIR_EraseRootFromParent_Done,
     /* 2244829 */ // Label 30082: @2244829
     /* 2244829 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2244877), // Rule ID 48658 //
     /* 2244834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244847 */   // MIs[0] Operand 1
     /* 2244847 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244856 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244860 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244865 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244867 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244876 */   // GIR_Coverage, 48658,
     /* 2244876 */   GIR_EraseRootFromParent_Done,
     /* 2244877 */ // Label 30083: @2244877
     /* 2244877 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2244925), // Rule ID 48671 //
     /* 2244882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244895 */   // MIs[0] Operand 1
     /* 2244895 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244904 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244908 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244915 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244924 */   // GIR_Coverage, 48671,
     /* 2244924 */   GIR_EraseRootFromParent_Done,
     /* 2244925 */ // Label 30084: @2244925
     /* 2244925 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2244973), // Rule ID 48672 //
     /* 2244930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244943 */   // MIs[0] Operand 1
     /* 2244943 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244952 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244956 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244972 */   // GIR_Coverage, 48672,
     /* 2244972 */   GIR_EraseRootFromParent_Done,
     /* 2244973 */ // Label 30085: @2244973
     /* 2244973 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2245021), // Rule ID 48685 //
     /* 2244978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244991 */   // MIs[0] Operand 1
     /* 2244991 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245000 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245004 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245020 */   // GIR_Coverage, 48685,
     /* 2245020 */   GIR_EraseRootFromParent_Done,
     /* 2245021 */ // Label 30086: @2245021
     /* 2245021 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2245069), // Rule ID 48686 //
     /* 2245026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245039 */   // MIs[0] Operand 1
     /* 2245039 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245048 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245052 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245068 */   // GIR_Coverage, 48686,
     /* 2245068 */   GIR_EraseRootFromParent_Done,
     /* 2245069 */ // Label 30087: @2245069
     /* 2245069 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2245117), // Rule ID 48693 //
     /* 2245074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245087 */   // MIs[0] Operand 1
     /* 2245087 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245096 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245100 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245116 */   // GIR_Coverage, 48693,
     /* 2245116 */   GIR_EraseRootFromParent_Done,
     /* 2245117 */ // Label 30088: @2245117
     /* 2245117 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2245165), // Rule ID 48694 //
     /* 2245122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245135 */   // MIs[0] Operand 1
     /* 2245135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245148 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245153 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245164 */   // GIR_Coverage, 48694,
     /* 2245164 */   GIR_EraseRootFromParent_Done,
     /* 2245165 */ // Label 30089: @2245165
     /* 2245165 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2245213), // Rule ID 48701 //
     /* 2245170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245183 */   // MIs[0] Operand 1
     /* 2245183 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245192 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245196 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245212 */   // GIR_Coverage, 48701,
     /* 2245212 */   GIR_EraseRootFromParent_Done,
     /* 2245213 */ // Label 30090: @2245213
     /* 2245213 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2245261), // Rule ID 48702 //
     /* 2245218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245231 */   // MIs[0] Operand 1
     /* 2245231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245244 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245260 */   // GIR_Coverage, 48702,
     /* 2245260 */   GIR_EraseRootFromParent_Done,
     /* 2245261 */ // Label 30091: @2245261
     /* 2245261 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2245309), // Rule ID 48715 //
     /* 2245266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245279 */   // MIs[0] Operand 1
     /* 2245279 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245292 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245297 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245299 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245308 */   // GIR_Coverage, 48715,
     /* 2245308 */   GIR_EraseRootFromParent_Done,
     /* 2245309 */ // Label 30092: @2245309
     /* 2245309 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2245357), // Rule ID 48716 //
     /* 2245314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245327 */   // MIs[0] Operand 1
     /* 2245327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245340 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245347 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245356 */   // GIR_Coverage, 48716,
     /* 2245356 */   GIR_EraseRootFromParent_Done,
     /* 2245357 */ // Label 30093: @2245357
     /* 2245357 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2245405), // Rule ID 48729 //
     /* 2245362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245375 */   // MIs[0] Operand 1
     /* 2245375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245388 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245393 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245404 */   // GIR_Coverage, 48729,
     /* 2245404 */   GIR_EraseRootFromParent_Done,
     /* 2245405 */ // Label 30094: @2245405
     /* 2245405 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2245453), // Rule ID 48730 //
     /* 2245410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245423 */   // MIs[0] Operand 1
     /* 2245423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245436 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245452 */   // GIR_Coverage, 48730,
     /* 2245452 */   GIR_EraseRootFromParent_Done,
     /* 2245453 */ // Label 30095: @2245453
     /* 2245453 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2245501), // Rule ID 48737 //
     /* 2245458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245471 */   // MIs[0] Operand 1
     /* 2245471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245484 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245500 */   // GIR_Coverage, 48737,
     /* 2245500 */   GIR_EraseRootFromParent_Done,
     /* 2245501 */ // Label 30096: @2245501
     /* 2245501 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2245549), // Rule ID 48738 //
     /* 2245506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245519 */   // MIs[0] Operand 1
     /* 2245519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245532 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245537 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245539 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245548 */   // GIR_Coverage, 48738,
     /* 2245548 */   GIR_EraseRootFromParent_Done,
     /* 2245549 */ // Label 30097: @2245549
     /* 2245549 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2245597), // Rule ID 48745 //
     /* 2245554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245567 */   // MIs[0] Operand 1
     /* 2245567 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245580 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245587 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245596 */   // GIR_Coverage, 48745,
     /* 2245596 */   GIR_EraseRootFromParent_Done,
     /* 2245597 */ // Label 30098: @2245597
     /* 2245597 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2245645), // Rule ID 48746 //
     /* 2245602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245615 */   // MIs[0] Operand 1
     /* 2245615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245624 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245628 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245635 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245644 */   // GIR_Coverage, 48746,
     /* 2245644 */   GIR_EraseRootFromParent_Done,
     /* 2245645 */ // Label 30099: @2245645
     /* 2245645 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2245693), // Rule ID 48759 //
     /* 2245650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245663 */   // MIs[0] Operand 1
     /* 2245663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245676 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245681 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245692 */   // GIR_Coverage, 48759,
     /* 2245692 */   GIR_EraseRootFromParent_Done,
     /* 2245693 */ // Label 30100: @2245693
     /* 2245693 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2245741), // Rule ID 48760 //
     /* 2245698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245711 */   // MIs[0] Operand 1
     /* 2245711 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245720 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245724 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245729 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245740 */   // GIR_Coverage, 48760,
     /* 2245740 */   GIR_EraseRootFromParent_Done,
     /* 2245741 */ // Label 30101: @2245741
     /* 2245741 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2245789), // Rule ID 48773 //
     /* 2245746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245759 */   // MIs[0] Operand 1
     /* 2245759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245772 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245777 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245788 */   // GIR_Coverage, 48773,
     /* 2245788 */   GIR_EraseRootFromParent_Done,
     /* 2245789 */ // Label 30102: @2245789
     /* 2245789 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2245837), // Rule ID 48774 //
     /* 2245794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245807 */   // MIs[0] Operand 1
     /* 2245807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245816 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245820 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245825 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245836 */   // GIR_Coverage, 48774,
     /* 2245836 */   GIR_EraseRootFromParent_Done,
     /* 2245837 */ // Label 30103: @2245837
     /* 2245837 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2245885), // Rule ID 48781 //
     /* 2245842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245855 */   // MIs[0] Operand 1
     /* 2245855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245868 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245873 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245884 */   // GIR_Coverage, 48781,
     /* 2245884 */   GIR_EraseRootFromParent_Done,
     /* 2245885 */ // Label 30104: @2245885
     /* 2245885 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2245933), // Rule ID 48782 //
     /* 2245890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245903 */   // MIs[0] Operand 1
     /* 2245903 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245912 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245916 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245921 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245932 */   // GIR_Coverage, 48782,
     /* 2245932 */   GIR_EraseRootFromParent_Done,
     /* 2245933 */ // Label 30105: @2245933
     /* 2245933 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2245981), // Rule ID 48789 //
     /* 2245938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245951 */   // MIs[0] Operand 1
     /* 2245951 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245960 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245964 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245969 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245980 */   // GIR_Coverage, 48789,
     /* 2245980 */   GIR_EraseRootFromParent_Done,
     /* 2245981 */ // Label 30106: @2245981
     /* 2245981 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2246029), // Rule ID 48790 //
     /* 2245986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245999 */   // MIs[0] Operand 1
     /* 2245999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246012 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2246015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246017 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246019 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246028 */   // GIR_Coverage, 48790,
     /* 2246028 */   GIR_EraseRootFromParent_Done,
     /* 2246029 */ // Label 30107: @2246029
     /* 2246029 */ GIM_Reject,
     /* 2246030 */ // Label 29690: @2246030
     /* 2246030 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2246078), // Rule ID 48373 //
     /* 2246035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246048 */   // MIs[0] Operand 1
     /* 2246048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246057 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246061 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246077 */   // GIR_Coverage, 48373,
     /* 2246077 */   GIR_EraseRootFromParent_Done,
     /* 2246078 */ // Label 30108: @2246078
     /* 2246078 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2246126), // Rule ID 48374 //
     /* 2246083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246096 */   // MIs[0] Operand 1
     /* 2246096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246109 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246125 */   // GIR_Coverage, 48374,
     /* 2246125 */   GIR_EraseRootFromParent_Done,
     /* 2246126 */ // Label 30109: @2246126
     /* 2246126 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2246174), // Rule ID 48381 //
     /* 2246131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246144 */   // MIs[0] Operand 1
     /* 2246144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246157 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246173 */   // GIR_Coverage, 48381,
     /* 2246173 */   GIR_EraseRootFromParent_Done,
     /* 2246174 */ // Label 30110: @2246174
     /* 2246174 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2246222), // Rule ID 48382 //
     /* 2246179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246192 */   // MIs[0] Operand 1
     /* 2246192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246205 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246210 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246212 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246221 */   // GIR_Coverage, 48382,
     /* 2246221 */   GIR_EraseRootFromParent_Done,
     /* 2246222 */ // Label 30111: @2246222
     /* 2246222 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2246270), // Rule ID 48389 //
     /* 2246227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246233 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246240 */   // MIs[0] Operand 1
     /* 2246240 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246249 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246253 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246258 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246269 */   // GIR_Coverage, 48389,
     /* 2246269 */   GIR_EraseRootFromParent_Done,
     /* 2246270 */ // Label 30112: @2246270
     /* 2246270 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2246318), // Rule ID 48390 //
     /* 2246275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246288 */   // MIs[0] Operand 1
     /* 2246288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246301 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246317 */   // GIR_Coverage, 48390,
     /* 2246317 */   GIR_EraseRootFromParent_Done,
     /* 2246318 */ // Label 30113: @2246318
     /* 2246318 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2246366), // Rule ID 48417 //
     /* 2246323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246336 */   // MIs[0] Operand 1
     /* 2246336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246349 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246365 */   // GIR_Coverage, 48417,
     /* 2246365 */   GIR_EraseRootFromParent_Done,
     /* 2246366 */ // Label 30114: @2246366
     /* 2246366 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2246414), // Rule ID 48418 //
     /* 2246371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246384 */   // MIs[0] Operand 1
     /* 2246384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246397 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246413 */   // GIR_Coverage, 48418,
     /* 2246413 */   GIR_EraseRootFromParent_Done,
     /* 2246414 */ // Label 30115: @2246414
     /* 2246414 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2246462), // Rule ID 48425 //
     /* 2246419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246432 */   // MIs[0] Operand 1
     /* 2246432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246445 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246461 */   // GIR_Coverage, 48425,
     /* 2246461 */   GIR_EraseRootFromParent_Done,
     /* 2246462 */ // Label 30116: @2246462
     /* 2246462 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2246510), // Rule ID 48426 //
     /* 2246467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246480 */   // MIs[0] Operand 1
     /* 2246480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246489 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246493 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246509 */   // GIR_Coverage, 48426,
     /* 2246509 */   GIR_EraseRootFromParent_Done,
     /* 2246510 */ // Label 30117: @2246510
     /* 2246510 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2246558), // Rule ID 48433 //
     /* 2246515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246521 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246528 */   // MIs[0] Operand 1
     /* 2246528 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246537 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246541 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246546 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246557 */   // GIR_Coverage, 48433,
     /* 2246557 */   GIR_EraseRootFromParent_Done,
     /* 2246558 */ // Label 30118: @2246558
     /* 2246558 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2246606), // Rule ID 48434 //
     /* 2246563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246576 */   // MIs[0] Operand 1
     /* 2246576 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246585 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246589 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246594 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246596 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246605 */   // GIR_Coverage, 48434,
     /* 2246605 */   GIR_EraseRootFromParent_Done,
     /* 2246606 */ // Label 30119: @2246606
     /* 2246606 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2246654), // Rule ID 48461 //
     /* 2246611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246617 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246624 */   // MIs[0] Operand 1
     /* 2246624 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246633 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246637 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246642 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246644 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246653 */   // GIR_Coverage, 48461,
     /* 2246653 */   GIR_EraseRootFromParent_Done,
     /* 2246654 */ // Label 30120: @2246654
     /* 2246654 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2246702), // Rule ID 48462 //
     /* 2246659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246672 */   // MIs[0] Operand 1
     /* 2246672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246685 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246692 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246701 */   // GIR_Coverage, 48462,
     /* 2246701 */   GIR_EraseRootFromParent_Done,
     /* 2246702 */ // Label 30121: @2246702
     /* 2246702 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2246750), // Rule ID 48469 //
     /* 2246707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246720 */   // MIs[0] Operand 1
     /* 2246720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246729 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246733 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2246736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246738 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246740 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246749 */   // GIR_Coverage, 48469,
     /* 2246749 */   GIR_EraseRootFromParent_Done,
     /* 2246750 */ // Label 30122: @2246750
     /* 2246750 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2246798), // Rule ID 48470 //
     /* 2246755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246761 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246768 */   // MIs[0] Operand 1
     /* 2246768 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246777 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246781 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2246784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246786 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246788 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246797 */   // GIR_Coverage, 48470,
     /* 2246797 */   GIR_EraseRootFromParent_Done,
     /* 2246798 */ // Label 30123: @2246798
     /* 2246798 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2246846), // Rule ID 48477 //
     /* 2246803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246816 */   // MIs[0] Operand 1
     /* 2246816 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246825 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246829 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2246832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246834 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246836 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246845 */   // GIR_Coverage, 48477,
     /* 2246845 */   GIR_EraseRootFromParent_Done,
     /* 2246846 */ // Label 30124: @2246846
     /* 2246846 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2246894), // Rule ID 48478 //
     /* 2246851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246864 */   // MIs[0] Operand 1
     /* 2246864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246873 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246877 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2246880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246882 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246884 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246893 */   // GIR_Coverage, 48478,
     /* 2246893 */   GIR_EraseRootFromParent_Done,
     /* 2246894 */ // Label 30125: @2246894
     /* 2246894 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2246942), // Rule ID 48503 //
     /* 2246899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246905 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246912 */   // MIs[0] Operand 1
     /* 2246912 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246921 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246925 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246930 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246941 */   // GIR_Coverage, 48503,
     /* 2246941 */   GIR_EraseRootFromParent_Done,
     /* 2246942 */ // Label 30126: @2246942
     /* 2246942 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2246990), // Rule ID 48504 //
     /* 2246947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246960 */   // MIs[0] Operand 1
     /* 2246960 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246969 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246973 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246989 */   // GIR_Coverage, 48504,
     /* 2246989 */   GIR_EraseRootFromParent_Done,
     /* 2246990 */ // Label 30127: @2246990
     /* 2246990 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2247038), // Rule ID 48511 //
     /* 2246995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247001 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247008 */   // MIs[0] Operand 1
     /* 2247008 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247017 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247021 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247026 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247037 */   // GIR_Coverage, 48511,
     /* 2247037 */   GIR_EraseRootFromParent_Done,
     /* 2247038 */ // Label 30128: @2247038
     /* 2247038 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2247086), // Rule ID 48512 //
     /* 2247043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247049 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247056 */   // MIs[0] Operand 1
     /* 2247056 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247065 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247069 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247074 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247085 */   // GIR_Coverage, 48512,
     /* 2247085 */   GIR_EraseRootFromParent_Done,
     /* 2247086 */ // Label 30129: @2247086
     /* 2247086 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2247134), // Rule ID 48519 //
     /* 2247091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247104 */   // MIs[0] Operand 1
     /* 2247104 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247113 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247117 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247122 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247124 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247133 */   // GIR_Coverage, 48519,
     /* 2247133 */   GIR_EraseRootFromParent_Done,
     /* 2247134 */ // Label 30130: @2247134
     /* 2247134 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2247182), // Rule ID 48520 //
     /* 2247139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247152 */   // MIs[0] Operand 1
     /* 2247152 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247161 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247165 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247170 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247172 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247181 */   // GIR_Coverage, 48520,
     /* 2247181 */   GIR_EraseRootFromParent_Done,
     /* 2247182 */ // Label 30131: @2247182
     /* 2247182 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2247230), // Rule ID 48547 //
     /* 2247187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247200 */   // MIs[0] Operand 1
     /* 2247200 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247213 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247218 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247220 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247229 */   // GIR_Coverage, 48547,
     /* 2247229 */   GIR_EraseRootFromParent_Done,
     /* 2247230 */ // Label 30132: @2247230
     /* 2247230 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2247278), // Rule ID 48548 //
     /* 2247235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247241 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247248 */   // MIs[0] Operand 1
     /* 2247248 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247257 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247261 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247266 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247268 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247277 */   // GIR_Coverage, 48548,
     /* 2247277 */   GIR_EraseRootFromParent_Done,
     /* 2247278 */ // Label 30133: @2247278
     /* 2247278 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2247326), // Rule ID 48555 //
     /* 2247283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247296 */   // MIs[0] Operand 1
     /* 2247296 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247309 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247314 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247316 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247325 */   // GIR_Coverage, 48555,
     /* 2247325 */   GIR_EraseRootFromParent_Done,
     /* 2247326 */ // Label 30134: @2247326
     /* 2247326 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2247374), // Rule ID 48556 //
     /* 2247331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247344 */   // MIs[0] Operand 1
     /* 2247344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247357 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247364 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247373 */   // GIR_Coverage, 48556,
     /* 2247373 */   GIR_EraseRootFromParent_Done,
     /* 2247374 */ // Label 30135: @2247374
     /* 2247374 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2247422), // Rule ID 48563 //
     /* 2247379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247385 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247392 */   // MIs[0] Operand 1
     /* 2247392 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247405 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247410 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247412 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247421 */   // GIR_Coverage, 48563,
     /* 2247421 */   GIR_EraseRootFromParent_Done,
     /* 2247422 */ // Label 30136: @2247422
     /* 2247422 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2247470), // Rule ID 48564 //
     /* 2247427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247440 */   // MIs[0] Operand 1
     /* 2247440 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247449 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247453 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247458 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247460 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247469 */   // GIR_Coverage, 48564,
     /* 2247469 */   GIR_EraseRootFromParent_Done,
     /* 2247470 */ // Label 30137: @2247470
     /* 2247470 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2247518), // Rule ID 48591 //
     /* 2247475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247481 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247488 */   // MIs[0] Operand 1
     /* 2247488 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247497 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247501 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247508 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247517 */   // GIR_Coverage, 48591,
     /* 2247517 */   GIR_EraseRootFromParent_Done,
     /* 2247518 */ // Label 30138: @2247518
     /* 2247518 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2247566), // Rule ID 48592 //
     /* 2247523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247536 */   // MIs[0] Operand 1
     /* 2247536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247549 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247556 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247565 */   // GIR_Coverage, 48592,
     /* 2247565 */   GIR_EraseRootFromParent_Done,
     /* 2247566 */ // Label 30139: @2247566
     /* 2247566 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2247614), // Rule ID 48599 //
     /* 2247571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247584 */   // MIs[0] Operand 1
     /* 2247584 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247597 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247602 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247604 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247613 */   // GIR_Coverage, 48599,
     /* 2247613 */   GIR_EraseRootFromParent_Done,
     /* 2247614 */ // Label 30140: @2247614
     /* 2247614 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2247662), // Rule ID 48600 //
     /* 2247619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247632 */   // MIs[0] Operand 1
     /* 2247632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247645 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247652 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247661 */   // GIR_Coverage, 48600,
     /* 2247661 */   GIR_EraseRootFromParent_Done,
     /* 2247662 */ // Label 30141: @2247662
     /* 2247662 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2247710), // Rule ID 48607 //
     /* 2247667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247680 */   // MIs[0] Operand 1
     /* 2247680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247693 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247698 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247700 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247709 */   // GIR_Coverage, 48607,
     /* 2247709 */   GIR_EraseRootFromParent_Done,
     /* 2247710 */ // Label 30142: @2247710
     /* 2247710 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2247758), // Rule ID 48608 //
     /* 2247715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247721 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247728 */   // MIs[0] Operand 1
     /* 2247728 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247737 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247741 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247748 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247757 */   // GIR_Coverage, 48608,
     /* 2247757 */   GIR_EraseRootFromParent_Done,
     /* 2247758 */ // Label 30143: @2247758
     /* 2247758 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2247806), // Rule ID 48635 //
     /* 2247763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247776 */   // MIs[0] Operand 1
     /* 2247776 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247785 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247789 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2247792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247794 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247796 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247805 */   // GIR_Coverage, 48635,
     /* 2247805 */   GIR_EraseRootFromParent_Done,
     /* 2247806 */ // Label 30144: @2247806
     /* 2247806 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2247854), // Rule ID 48636 //
     /* 2247811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247824 */   // MIs[0] Operand 1
     /* 2247824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247837 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2247840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247844 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247853 */   // GIR_Coverage, 48636,
     /* 2247853 */   GIR_EraseRootFromParent_Done,
     /* 2247854 */ // Label 30145: @2247854
     /* 2247854 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2247902), // Rule ID 48643 //
     /* 2247859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247872 */   // MIs[0] Operand 1
     /* 2247872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247885 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2247888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247892 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247901 */   // GIR_Coverage, 48643,
     /* 2247901 */   GIR_EraseRootFromParent_Done,
     /* 2247902 */ // Label 30146: @2247902
     /* 2247902 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2247950), // Rule ID 48644 //
     /* 2247907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247920 */   // MIs[0] Operand 1
     /* 2247920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247933 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2247936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247940 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247949 */   // GIR_Coverage, 48644,
     /* 2247949 */   GIR_EraseRootFromParent_Done,
     /* 2247950 */ // Label 30147: @2247950
     /* 2247950 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2247998), // Rule ID 48651 //
     /* 2247955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247968 */   // MIs[0] Operand 1
     /* 2247968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247981 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2247984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247997 */   // GIR_Coverage, 48651,
     /* 2247997 */   GIR_EraseRootFromParent_Done,
     /* 2247998 */ // Label 30148: @2247998
     /* 2247998 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2248046), // Rule ID 48652 //
     /* 2248003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248016 */   // MIs[0] Operand 1
     /* 2248016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248029 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248036 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248045 */   // GIR_Coverage, 48652,
     /* 2248045 */   GIR_EraseRootFromParent_Done,
     /* 2248046 */ // Label 30149: @2248046
     /* 2248046 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2248094), // Rule ID 48679 //
     /* 2248051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248057 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248064 */   // MIs[0] Operand 1
     /* 2248064 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248077 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248084 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248093 */   // GIR_Coverage, 48679,
     /* 2248093 */   GIR_EraseRootFromParent_Done,
     /* 2248094 */ // Label 30150: @2248094
     /* 2248094 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2248142), // Rule ID 48680 //
     /* 2248099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248112 */   // MIs[0] Operand 1
     /* 2248112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248125 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248132 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248141 */   // GIR_Coverage, 48680,
     /* 2248141 */   GIR_EraseRootFromParent_Done,
     /* 2248142 */ // Label 30151: @2248142
     /* 2248142 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2248190), // Rule ID 48687 //
     /* 2248147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248160 */   // MIs[0] Operand 1
     /* 2248160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248173 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248180 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248189 */   // GIR_Coverage, 48687,
     /* 2248189 */   GIR_EraseRootFromParent_Done,
     /* 2248190 */ // Label 30152: @2248190
     /* 2248190 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2248238), // Rule ID 48688 //
     /* 2248195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248208 */   // MIs[0] Operand 1
     /* 2248208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248221 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248228 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248237 */   // GIR_Coverage, 48688,
     /* 2248237 */   GIR_EraseRootFromParent_Done,
     /* 2248238 */ // Label 30153: @2248238
     /* 2248238 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2248286), // Rule ID 48695 //
     /* 2248243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248256 */   // MIs[0] Operand 1
     /* 2248256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248269 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248276 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248285 */   // GIR_Coverage, 48695,
     /* 2248285 */   GIR_EraseRootFromParent_Done,
     /* 2248286 */ // Label 30154: @2248286
     /* 2248286 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2248334), // Rule ID 48696 //
     /* 2248291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248304 */   // MIs[0] Operand 1
     /* 2248304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248317 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248333 */   // GIR_Coverage, 48696,
     /* 2248333 */   GIR_EraseRootFromParent_Done,
     /* 2248334 */ // Label 30155: @2248334
     /* 2248334 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2248382), // Rule ID 48723 //
     /* 2248339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248352 */   // MIs[0] Operand 1
     /* 2248352 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248365 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248370 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248372 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248381 */   // GIR_Coverage, 48723,
     /* 2248381 */   GIR_EraseRootFromParent_Done,
     /* 2248382 */ // Label 30156: @2248382
     /* 2248382 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2248430), // Rule ID 48724 //
     /* 2248387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248400 */   // MIs[0] Operand 1
     /* 2248400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248409 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248413 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248418 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248420 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248429 */   // GIR_Coverage, 48724,
     /* 2248429 */   GIR_EraseRootFromParent_Done,
     /* 2248430 */ // Label 30157: @2248430
     /* 2248430 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2248478), // Rule ID 48731 //
     /* 2248435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248448 */   // MIs[0] Operand 1
     /* 2248448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248457 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248461 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248466 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248468 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248477 */   // GIR_Coverage, 48731,
     /* 2248477 */   GIR_EraseRootFromParent_Done,
     /* 2248478 */ // Label 30158: @2248478
     /* 2248478 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2248526), // Rule ID 48732 //
     /* 2248483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248496 */   // MIs[0] Operand 1
     /* 2248496 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248509 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248514 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248516 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248525 */   // GIR_Coverage, 48732,
     /* 2248525 */   GIR_EraseRootFromParent_Done,
     /* 2248526 */ // Label 30159: @2248526
     /* 2248526 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2248574), // Rule ID 48739 //
     /* 2248531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248544 */   // MIs[0] Operand 1
     /* 2248544 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248557 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248562 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248564 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248573 */   // GIR_Coverage, 48739,
     /* 2248573 */   GIR_EraseRootFromParent_Done,
     /* 2248574 */ // Label 30160: @2248574
     /* 2248574 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2248622), // Rule ID 48740 //
     /* 2248579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248592 */   // MIs[0] Operand 1
     /* 2248592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248605 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248610 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248612 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248621 */   // GIR_Coverage, 48740,
     /* 2248621 */   GIR_EraseRootFromParent_Done,
     /* 2248622 */ // Label 30161: @2248622
     /* 2248622 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2248670), // Rule ID 48767 //
     /* 2248627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248640 */   // MIs[0] Operand 1
     /* 2248640 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248653 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248669 */   // GIR_Coverage, 48767,
     /* 2248669 */   GIR_EraseRootFromParent_Done,
     /* 2248670 */ // Label 30162: @2248670
     /* 2248670 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2248718), // Rule ID 48768 //
     /* 2248675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248688 */   // MIs[0] Operand 1
     /* 2248688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248697 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248701 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248717 */   // GIR_Coverage, 48768,
     /* 2248717 */   GIR_EraseRootFromParent_Done,
     /* 2248718 */ // Label 30163: @2248718
     /* 2248718 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2248766), // Rule ID 48775 //
     /* 2248723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248729 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248736 */   // MIs[0] Operand 1
     /* 2248736 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248749 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248754 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248756 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248765 */   // GIR_Coverage, 48775,
     /* 2248765 */   GIR_EraseRootFromParent_Done,
     /* 2248766 */ // Label 30164: @2248766
     /* 2248766 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2248814), // Rule ID 48776 //
     /* 2248771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248784 */   // MIs[0] Operand 1
     /* 2248784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248797 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248802 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248804 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248813 */   // GIR_Coverage, 48776,
     /* 2248813 */   GIR_EraseRootFromParent_Done,
     /* 2248814 */ // Label 30165: @2248814
     /* 2248814 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2248862), // Rule ID 48783 //
     /* 2248819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248832 */   // MIs[0] Operand 1
     /* 2248832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248845 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248852 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248861 */   // GIR_Coverage, 48783,
     /* 2248861 */   GIR_EraseRootFromParent_Done,
     /* 2248862 */ // Label 30166: @2248862
     /* 2248862 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2248910), // Rule ID 48784 //
     /* 2248867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248880 */   // MIs[0] Operand 1
     /* 2248880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248893 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248909 */   // GIR_Coverage, 48784,
     /* 2248909 */   GIR_EraseRootFromParent_Done,
     /* 2248910 */ // Label 30167: @2248910
     /* 2248910 */ GIM_Reject,
     /* 2248911 */ // Label 29691: @2248911
     /* 2248911 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2248959), // Rule ID 48375 //
     /* 2248916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248922 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248929 */   // MIs[0] Operand 1
     /* 2248929 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248938 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248942 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2248945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248949 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248958 */   // GIR_Coverage, 48375,
     /* 2248958 */   GIR_EraseRootFromParent_Done,
     /* 2248959 */ // Label 30168: @2248959
     /* 2248959 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2249007), // Rule ID 48376 //
     /* 2248964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248970 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248977 */   // MIs[0] Operand 1
     /* 2248977 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248990 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2248993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248995 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248997 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249006 */   // GIR_Coverage, 48376,
     /* 2249006 */   GIR_EraseRootFromParent_Done,
     /* 2249007 */ // Label 30169: @2249007
     /* 2249007 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2249055), // Rule ID 48383 //
     /* 2249012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249018 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249025 */   // MIs[0] Operand 1
     /* 2249025 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249034 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249038 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249043 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249045 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249054 */   // GIR_Coverage, 48383,
     /* 2249054 */   GIR_EraseRootFromParent_Done,
     /* 2249055 */ // Label 30170: @2249055
     /* 2249055 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2249103), // Rule ID 48384 //
     /* 2249060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249073 */   // MIs[0] Operand 1
     /* 2249073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249082 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249086 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249091 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249102 */   // GIR_Coverage, 48384,
     /* 2249102 */   GIR_EraseRootFromParent_Done,
     /* 2249103 */ // Label 30171: @2249103
     /* 2249103 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2249151), // Rule ID 48419 //
     /* 2249108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249114 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249121 */   // MIs[0] Operand 1
     /* 2249121 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249130 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249134 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249139 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249141 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249150 */   // GIR_Coverage, 48419,
     /* 2249150 */   GIR_EraseRootFromParent_Done,
     /* 2249151 */ // Label 30172: @2249151
     /* 2249151 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2249199), // Rule ID 48420 //
     /* 2249156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249169 */   // MIs[0] Operand 1
     /* 2249169 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249178 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249182 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249187 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249189 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249198 */   // GIR_Coverage, 48420,
     /* 2249198 */   GIR_EraseRootFromParent_Done,
     /* 2249199 */ // Label 30173: @2249199
     /* 2249199 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2249247), // Rule ID 48427 //
     /* 2249204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249210 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249217 */   // MIs[0] Operand 1
     /* 2249217 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249226 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249230 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249235 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249246 */   // GIR_Coverage, 48427,
     /* 2249246 */   GIR_EraseRootFromParent_Done,
     /* 2249247 */ // Label 30174: @2249247
     /* 2249247 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2249295), // Rule ID 48428 //
     /* 2249252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249265 */   // MIs[0] Operand 1
     /* 2249265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249274 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249278 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249283 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249294 */   // GIR_Coverage, 48428,
     /* 2249294 */   GIR_EraseRootFromParent_Done,
     /* 2249295 */ // Label 30175: @2249295
     /* 2249295 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2249343), // Rule ID 48463 //
     /* 2249300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249313 */   // MIs[0] Operand 1
     /* 2249313 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249322 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249326 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249331 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249342 */   // GIR_Coverage, 48463,
     /* 2249342 */   GIR_EraseRootFromParent_Done,
     /* 2249343 */ // Label 30176: @2249343
     /* 2249343 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2249391), // Rule ID 48464 //
     /* 2249348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249361 */   // MIs[0] Operand 1
     /* 2249361 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249370 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249374 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249379 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249390 */   // GIR_Coverage, 48464,
     /* 2249390 */   GIR_EraseRootFromParent_Done,
     /* 2249391 */ // Label 30177: @2249391
     /* 2249391 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2249439), // Rule ID 48471 //
     /* 2249396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249409 */   // MIs[0] Operand 1
     /* 2249409 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249418 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249422 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249438 */   // GIR_Coverage, 48471,
     /* 2249438 */   GIR_EraseRootFromParent_Done,
     /* 2249439 */ // Label 30178: @2249439
     /* 2249439 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2249487), // Rule ID 48472 //
     /* 2249444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249457 */   // MIs[0] Operand 1
     /* 2249457 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249466 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249470 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249486 */   // GIR_Coverage, 48472,
     /* 2249486 */   GIR_EraseRootFromParent_Done,
     /* 2249487 */ // Label 30179: @2249487
     /* 2249487 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2249535), // Rule ID 48505 //
     /* 2249492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249498 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249505 */   // MIs[0] Operand 1
     /* 2249505 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249514 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249518 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249523 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249525 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249534 */   // GIR_Coverage, 48505,
     /* 2249534 */   GIR_EraseRootFromParent_Done,
     /* 2249535 */ // Label 30180: @2249535
     /* 2249535 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2249583), // Rule ID 48506 //
     /* 2249540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249553 */   // MIs[0] Operand 1
     /* 2249553 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249562 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249566 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249573 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249582 */   // GIR_Coverage, 48506,
     /* 2249582 */   GIR_EraseRootFromParent_Done,
     /* 2249583 */ // Label 30181: @2249583
     /* 2249583 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2249631), // Rule ID 48513 //
     /* 2249588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249601 */   // MIs[0] Operand 1
     /* 2249601 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249610 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249614 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249621 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249630 */   // GIR_Coverage, 48513,
     /* 2249630 */   GIR_EraseRootFromParent_Done,
     /* 2249631 */ // Label 30182: @2249631
     /* 2249631 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2249679), // Rule ID 48514 //
     /* 2249636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249649 */   // MIs[0] Operand 1
     /* 2249649 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249658 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249662 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249669 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249678 */   // GIR_Coverage, 48514,
     /* 2249678 */   GIR_EraseRootFromParent_Done,
     /* 2249679 */ // Label 30183: @2249679
     /* 2249679 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2249727), // Rule ID 48549 //
     /* 2249684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249697 */   // MIs[0] Operand 1
     /* 2249697 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249706 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249710 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249715 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249717 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249726 */   // GIR_Coverage, 48549,
     /* 2249726 */   GIR_EraseRootFromParent_Done,
     /* 2249727 */ // Label 30184: @2249727
     /* 2249727 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2249775), // Rule ID 48550 //
     /* 2249732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249738 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249745 */   // MIs[0] Operand 1
     /* 2249745 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249754 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249758 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249763 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249765 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249774 */   // GIR_Coverage, 48550,
     /* 2249774 */   GIR_EraseRootFromParent_Done,
     /* 2249775 */ // Label 30185: @2249775
     /* 2249775 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2249823), // Rule ID 48557 //
     /* 2249780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249793 */   // MIs[0] Operand 1
     /* 2249793 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249802 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249806 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249811 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249813 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249822 */   // GIR_Coverage, 48557,
     /* 2249822 */   GIR_EraseRootFromParent_Done,
     /* 2249823 */ // Label 30186: @2249823
     /* 2249823 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2249871), // Rule ID 48558 //
     /* 2249828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249834 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249841 */   // MIs[0] Operand 1
     /* 2249841 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249850 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249854 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249859 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249861 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249870 */   // GIR_Coverage, 48558,
     /* 2249870 */   GIR_EraseRootFromParent_Done,
     /* 2249871 */ // Label 30187: @2249871
     /* 2249871 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2249919), // Rule ID 48593 //
     /* 2249876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249882 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249889 */   // MIs[0] Operand 1
     /* 2249889 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249898 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249902 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249909 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249918 */   // GIR_Coverage, 48593,
     /* 2249918 */   GIR_EraseRootFromParent_Done,
     /* 2249919 */ // Label 30188: @2249919
     /* 2249919 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2249967), // Rule ID 48594 //
     /* 2249924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249937 */   // MIs[0] Operand 1
     /* 2249937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249950 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249957 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249966 */   // GIR_Coverage, 48594,
     /* 2249966 */   GIR_EraseRootFromParent_Done,
     /* 2249967 */ // Label 30189: @2249967
     /* 2249967 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2250015), // Rule ID 48601 //
     /* 2249972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249985 */   // MIs[0] Operand 1
     /* 2249985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249998 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250005 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250014 */   // GIR_Coverage, 48601,
     /* 2250014 */   GIR_EraseRootFromParent_Done,
     /* 2250015 */ // Label 30190: @2250015
     /* 2250015 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2250063), // Rule ID 48602 //
     /* 2250020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250033 */   // MIs[0] Operand 1
     /* 2250033 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250042 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250046 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250053 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250062 */   // GIR_Coverage, 48602,
     /* 2250062 */   GIR_EraseRootFromParent_Done,
     /* 2250063 */ // Label 30191: @2250063
     /* 2250063 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2250111), // Rule ID 48637 //
     /* 2250068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250081 */   // MIs[0] Operand 1
     /* 2250081 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250090 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250094 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250110 */   // GIR_Coverage, 48637,
     /* 2250110 */   GIR_EraseRootFromParent_Done,
     /* 2250111 */ // Label 30192: @2250111
     /* 2250111 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2250159), // Rule ID 48638 //
     /* 2250116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250129 */   // MIs[0] Operand 1
     /* 2250129 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250138 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250142 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250158 */   // GIR_Coverage, 48638,
     /* 2250158 */   GIR_EraseRootFromParent_Done,
     /* 2250159 */ // Label 30193: @2250159
     /* 2250159 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2250207), // Rule ID 48645 //
     /* 2250164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250177 */   // MIs[0] Operand 1
     /* 2250177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250186 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250190 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250206 */   // GIR_Coverage, 48645,
     /* 2250206 */   GIR_EraseRootFromParent_Done,
     /* 2250207 */ // Label 30194: @2250207
     /* 2250207 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2250255), // Rule ID 48646 //
     /* 2250212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250225 */   // MIs[0] Operand 1
     /* 2250225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250234 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250238 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250245 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250254 */   // GIR_Coverage, 48646,
     /* 2250254 */   GIR_EraseRootFromParent_Done,
     /* 2250255 */ // Label 30195: @2250255
     /* 2250255 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2250303), // Rule ID 48681 //
     /* 2250260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250273 */   // MIs[0] Operand 1
     /* 2250273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250286 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250291 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250302 */   // GIR_Coverage, 48681,
     /* 2250302 */   GIR_EraseRootFromParent_Done,
     /* 2250303 */ // Label 30196: @2250303
     /* 2250303 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2250351), // Rule ID 48682 //
     /* 2250308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250321 */   // MIs[0] Operand 1
     /* 2250321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250334 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250339 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250350 */   // GIR_Coverage, 48682,
     /* 2250350 */   GIR_EraseRootFromParent_Done,
     /* 2250351 */ // Label 30197: @2250351
     /* 2250351 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2250399), // Rule ID 48689 //
     /* 2250356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250369 */   // MIs[0] Operand 1
     /* 2250369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250382 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250387 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250389 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250398 */   // GIR_Coverage, 48689,
     /* 2250398 */   GIR_EraseRootFromParent_Done,
     /* 2250399 */ // Label 30198: @2250399
     /* 2250399 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2250447), // Rule ID 48690 //
     /* 2250404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250417 */   // MIs[0] Operand 1
     /* 2250417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250426 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250430 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250435 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250446 */   // GIR_Coverage, 48690,
     /* 2250446 */   GIR_EraseRootFromParent_Done,
     /* 2250447 */ // Label 30199: @2250447
     /* 2250447 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2250495), // Rule ID 48725 //
     /* 2250452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250465 */   // MIs[0] Operand 1
     /* 2250465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250478 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250494 */   // GIR_Coverage, 48725,
     /* 2250494 */   GIR_EraseRootFromParent_Done,
     /* 2250495 */ // Label 30200: @2250495
     /* 2250495 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2250543), // Rule ID 48726 //
     /* 2250500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250513 */   // MIs[0] Operand 1
     /* 2250513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250526 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250542 */   // GIR_Coverage, 48726,
     /* 2250542 */   GIR_EraseRootFromParent_Done,
     /* 2250543 */ // Label 30201: @2250543
     /* 2250543 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2250591), // Rule ID 48733 //
     /* 2250548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250561 */   // MIs[0] Operand 1
     /* 2250561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250570 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250574 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250581 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250590 */   // GIR_Coverage, 48733,
     /* 2250590 */   GIR_EraseRootFromParent_Done,
     /* 2250591 */ // Label 30202: @2250591
     /* 2250591 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2250639), // Rule ID 48734 //
     /* 2250596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250609 */   // MIs[0] Operand 1
     /* 2250609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250622 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250638 */   // GIR_Coverage, 48734,
     /* 2250638 */   GIR_EraseRootFromParent_Done,
     /* 2250639 */ // Label 30203: @2250639
     /* 2250639 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2250687), // Rule ID 48769 //
     /* 2250644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250657 */   // MIs[0] Operand 1
     /* 2250657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250670 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250675 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250677 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250686 */   // GIR_Coverage, 48769,
     /* 2250686 */   GIR_EraseRootFromParent_Done,
     /* 2250687 */ // Label 30204: @2250687
     /* 2250687 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2250735), // Rule ID 48770 //
     /* 2250692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250705 */   // MIs[0] Operand 1
     /* 2250705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250718 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250723 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250725 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250734 */   // GIR_Coverage, 48770,
     /* 2250734 */   GIR_EraseRootFromParent_Done,
     /* 2250735 */ // Label 30205: @2250735
     /* 2250735 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2250783), // Rule ID 48777 //
     /* 2250740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250753 */   // MIs[0] Operand 1
     /* 2250753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250766 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250771 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250773 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250782 */   // GIR_Coverage, 48777,
     /* 2250782 */   GIR_EraseRootFromParent_Done,
     /* 2250783 */ // Label 30206: @2250783
     /* 2250783 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2250831), // Rule ID 48778 //
     /* 2250788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250801 */   // MIs[0] Operand 1
     /* 2250801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250814 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250819 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250821 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250830 */   // GIR_Coverage, 48778,
     /* 2250830 */   GIR_EraseRootFromParent_Done,
     /* 2250831 */ // Label 30207: @2250831
     /* 2250831 */ GIM_Reject,
     /* 2250832 */ // Label 29692: @2250832
     /* 2250832 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2251608),
     /* 2250837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2250840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2250843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250847 */   GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2250885), // Rule ID 48377 //
     /* 2250852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250855 */     // MIs[0] Operand 1
     /* 2250855 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250868 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2250871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250884 */     // GIR_Coverage, 48377,
     /* 2250884 */     GIR_EraseRootFromParent_Done,
     /* 2250885 */   // Label 30209: @2250885
     /* 2250885 */   GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2250923), // Rule ID 48378 //
     /* 2250890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250893 */     // MIs[0] Operand 1
     /* 2250893 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250906 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2250909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250922 */     // GIR_Coverage, 48378,
     /* 2250922 */     GIR_EraseRootFromParent_Done,
     /* 2250923 */   // Label 30210: @2250923
     /* 2250923 */   GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2250961), // Rule ID 48421 //
     /* 2250928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250931 */     // MIs[0] Operand 1
     /* 2250931 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250944 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2250947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250960 */     // GIR_Coverage, 48421,
     /* 2250960 */     GIR_EraseRootFromParent_Done,
     /* 2250961 */   // Label 30211: @2250961
     /* 2250961 */   GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2250999), // Rule ID 48422 //
     /* 2250966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250969 */     // MIs[0] Operand 1
     /* 2250969 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250982 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2250985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250998 */     // GIR_Coverage, 48422,
     /* 2250998 */     GIR_EraseRootFromParent_Done,
     /* 2250999 */   // Label 30212: @2250999
     /* 2250999 */   GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2251037), // Rule ID 48465 //
     /* 2251004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251007 */     // MIs[0] Operand 1
     /* 2251007 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251020 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251036 */     // GIR_Coverage, 48465,
     /* 2251036 */     GIR_EraseRootFromParent_Done,
     /* 2251037 */   // Label 30213: @2251037
     /* 2251037 */   GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2251075), // Rule ID 48466 //
     /* 2251042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251045 */     // MIs[0] Operand 1
     /* 2251045 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251058 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251074 */     // GIR_Coverage, 48466,
     /* 2251074 */     GIR_EraseRootFromParent_Done,
     /* 2251075 */   // Label 30214: @2251075
     /* 2251075 */   GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2251113), // Rule ID 48507 //
     /* 2251080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251083 */     // MIs[0] Operand 1
     /* 2251083 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251096 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251112 */     // GIR_Coverage, 48507,
     /* 2251112 */     GIR_EraseRootFromParent_Done,
     /* 2251113 */   // Label 30215: @2251113
     /* 2251113 */   GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2251151), // Rule ID 48508 //
     /* 2251118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251121 */     // MIs[0] Operand 1
     /* 2251121 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251134 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251150 */     // GIR_Coverage, 48508,
     /* 2251150 */     GIR_EraseRootFromParent_Done,
     /* 2251151 */   // Label 30216: @2251151
     /* 2251151 */   GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2251189), // Rule ID 48551 //
     /* 2251156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251159 */     // MIs[0] Operand 1
     /* 2251159 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251172 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251188 */     // GIR_Coverage, 48551,
     /* 2251188 */     GIR_EraseRootFromParent_Done,
     /* 2251189 */   // Label 30217: @2251189
     /* 2251189 */   GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2251227), // Rule ID 48552 //
     /* 2251194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251197 */     // MIs[0] Operand 1
     /* 2251197 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251210 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251226 */     // GIR_Coverage, 48552,
     /* 2251226 */     GIR_EraseRootFromParent_Done,
     /* 2251227 */   // Label 30218: @2251227
     /* 2251227 */   GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2251265), // Rule ID 48595 //
     /* 2251232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251235 */     // MIs[0] Operand 1
     /* 2251235 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251248 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251264 */     // GIR_Coverage, 48595,
     /* 2251264 */     GIR_EraseRootFromParent_Done,
     /* 2251265 */   // Label 30219: @2251265
     /* 2251265 */   GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2251303), // Rule ID 48596 //
     /* 2251270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251273 */     // MIs[0] Operand 1
     /* 2251273 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251286 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251302 */     // GIR_Coverage, 48596,
     /* 2251302 */     GIR_EraseRootFromParent_Done,
     /* 2251303 */   // Label 30220: @2251303
     /* 2251303 */   GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2251341), // Rule ID 48639 //
     /* 2251308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251311 */     // MIs[0] Operand 1
     /* 2251311 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251324 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251340 */     // GIR_Coverage, 48639,
     /* 2251340 */     GIR_EraseRootFromParent_Done,
     /* 2251341 */   // Label 30221: @2251341
     /* 2251341 */   GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2251379), // Rule ID 48640 //
     /* 2251346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251349 */     // MIs[0] Operand 1
     /* 2251349 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251362 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251378 */     // GIR_Coverage, 48640,
     /* 2251378 */     GIR_EraseRootFromParent_Done,
     /* 2251379 */   // Label 30222: @2251379
     /* 2251379 */   GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2251417), // Rule ID 48683 //
     /* 2251384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251387 */     // MIs[0] Operand 1
     /* 2251387 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251400 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251416 */     // GIR_Coverage, 48683,
     /* 2251416 */     GIR_EraseRootFromParent_Done,
     /* 2251417 */   // Label 30223: @2251417
     /* 2251417 */   GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2251455), // Rule ID 48684 //
     /* 2251422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251425 */     // MIs[0] Operand 1
     /* 2251425 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251438 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251454 */     // GIR_Coverage, 48684,
     /* 2251454 */     GIR_EraseRootFromParent_Done,
     /* 2251455 */   // Label 30224: @2251455
     /* 2251455 */   GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2251493), // Rule ID 48727 //
     /* 2251460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251463 */     // MIs[0] Operand 1
     /* 2251463 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251476 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251492 */     // GIR_Coverage, 48727,
     /* 2251492 */     GIR_EraseRootFromParent_Done,
     /* 2251493 */   // Label 30225: @2251493
     /* 2251493 */   GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2251531), // Rule ID 48728 //
     /* 2251498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251501 */     // MIs[0] Operand 1
     /* 2251501 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251514 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251530 */     // GIR_Coverage, 48728,
     /* 2251530 */     GIR_EraseRootFromParent_Done,
     /* 2251531 */   // Label 30226: @2251531
     /* 2251531 */   GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2251569), // Rule ID 48771 //
     /* 2251536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251539 */     // MIs[0] Operand 1
     /* 2251539 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251552 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251568 */     // GIR_Coverage, 48771,
     /* 2251568 */     GIR_EraseRootFromParent_Done,
     /* 2251569 */   // Label 30227: @2251569
     /* 2251569 */   GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2251607), // Rule ID 48772 //
     /* 2251574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251577 */     // MIs[0] Operand 1
     /* 2251577 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251590 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251606 */     // GIR_Coverage, 48772,
     /* 2251606 */     GIR_EraseRootFromParent_Done,
     /* 2251607 */   // Label 30228: @2251607
     /* 2251607 */   GIM_Reject,
     /* 2251608 */ // Label 30208: @2251608
     /* 2251608 */ GIM_Reject,
     /* 2251609 */ // Label 29693: @2251609
     /* 2251609 */ GIM_Reject,
     /* 2251610 */ // Label 49: @2251610
     /* 2251610 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30237*/ GIMT_Encode4(2259071),
     /* 2251621 */ /*GILLT_s32*//*Label 30229*/ GIMT_Encode4(2251729),
     /* 2251625 */ /*GILLT_s64*//*Label 30230*/ GIMT_Encode4(2252486),
     /* 2251629 */ /*GILLT_nxv1s1*//*Label 30231*/ GIMT_Encode4(2253369), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251649 */ /*GILLT_nxv2s1*//*Label 30232*/ GIMT_Encode4(2254522), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251669 */ /*GILLT_nxv4s1*//*Label 30233*/ GIMT_Encode4(2255675), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251689 */ /*GILLT_nxv8s1*//*Label 30234*/ GIMT_Encode4(2256828), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251709 */ /*GILLT_nxv16s1*//*Label 30235*/ GIMT_Encode4(2257981), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251725 */ /*GILLT_nxv32s1*//*Label 30236*/ GIMT_Encode4(2258750),
     /* 2251729 */ // Label 30229: @2251729
     /* 2251729 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2251771), // Rule ID 1249 //
     /* 2251734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2251737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251747 */   // MIs[0] Operand 1
     /* 2251747 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251760 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2251763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251765 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251767 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251770 */   // GIR_Coverage, 1249,
     /* 2251770 */   GIR_EraseRootFromParent_Done,
     /* 2251771 */ // Label 30238: @2251771
     /* 2251771 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2251813), // Rule ID 1253 //
     /* 2251776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2251779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251789 */   // MIs[0] Operand 1
     /* 2251789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251798 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251802 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2251805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251809 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251812 */   // GIR_Coverage, 1253,
     /* 2251812 */   GIR_EraseRootFromParent_Done,
     /* 2251813 */ // Label 30239: @2251813
     /* 2251813 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2251855), // Rule ID 1297 //
     /* 2251818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2251821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251831 */   // MIs[0] Operand 1
     /* 2251831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251844 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2251847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251849 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251851 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251854 */   // GIR_Coverage, 1297,
     /* 2251854 */   GIR_EraseRootFromParent_Done,
     /* 2251855 */ // Label 30240: @2251855
     /* 2251855 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2251897), // Rule ID 1301 //
     /* 2251860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2251863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251873 */   // MIs[0] Operand 1
     /* 2251873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251886 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2251889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251896 */   // GIR_Coverage, 1301,
     /* 2251896 */   GIR_EraseRootFromParent_Done,
     /* 2251897 */ // Label 30241: @2251897
     /* 2251897 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2251939), // Rule ID 1313 //
     /* 2251902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2251905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251915 */   // MIs[0] Operand 1
     /* 2251915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251928 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2251931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251938 */   // GIR_Coverage, 1313,
     /* 2251938 */   GIR_EraseRootFromParent_Done,
     /* 2251939 */ // Label 30242: @2251939
     /* 2251939 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2251981), // Rule ID 1317 //
     /* 2251944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2251947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251957 */   // MIs[0] Operand 1
     /* 2251957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251970 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2251973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251980 */   // GIR_Coverage, 1317,
     /* 2251980 */   GIR_EraseRootFromParent_Done,
     /* 2251981 */ // Label 30243: @2251981
     /* 2251981 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2252023), // Rule ID 1629 //
     /* 2251986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2251989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251999 */   // MIs[0] Operand 1
     /* 2251999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252012 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2252015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252022 */   // GIR_Coverage, 1629,
     /* 2252022 */   GIR_EraseRootFromParent_Done,
     /* 2252023 */ // Label 30244: @2252023
     /* 2252023 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2252065), // Rule ID 1633 //
     /* 2252028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252041 */   // MIs[0] Operand 1
     /* 2252041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252054 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2252057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252064 */   // GIR_Coverage, 1633,
     /* 2252064 */   GIR_EraseRootFromParent_Done,
     /* 2252065 */ // Label 30245: @2252065
     /* 2252065 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2252107), // Rule ID 1671 //
     /* 2252070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252083 */   // MIs[0] Operand 1
     /* 2252083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252096 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2252099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252101 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252103 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252106 */   // GIR_Coverage, 1671,
     /* 2252106 */   GIR_EraseRootFromParent_Done,
     /* 2252107 */ // Label 30246: @2252107
     /* 2252107 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2252149), // Rule ID 1679 //
     /* 2252112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252125 */   // MIs[0] Operand 1
     /* 2252125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252138 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2252141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252145 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252148 */   // GIR_Coverage, 1679,
     /* 2252148 */   GIR_EraseRootFromParent_Done,
     /* 2252149 */ // Label 30247: @2252149
     /* 2252149 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2252191), // Rule ID 1707 //
     /* 2252154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252167 */   // MIs[0] Operand 1
     /* 2252167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252180 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2252183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252190 */   // GIR_Coverage, 1707,
     /* 2252190 */   GIR_EraseRootFromParent_Done,
     /* 2252191 */ // Label 30248: @2252191
     /* 2252191 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2252233), // Rule ID 1715 //
     /* 2252196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252202 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252209 */   // MIs[0] Operand 1
     /* 2252209 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252218 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252222 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2252225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252227 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252229 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252232 */   // GIR_Coverage, 1715,
     /* 2252232 */   GIR_EraseRootFromParent_Done,
     /* 2252233 */ // Label 30249: @2252233
     /* 2252233 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2252275), // Rule ID 1962 //
     /* 2252238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252251 */   // MIs[0] Operand 1
     /* 2252251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252264 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2252267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252274 */   // GIR_Coverage, 1962,
     /* 2252274 */   GIR_EraseRootFromParent_Done,
     /* 2252275 */ // Label 30250: @2252275
     /* 2252275 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2252317), // Rule ID 1966 //
     /* 2252280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252293 */   // MIs[0] Operand 1
     /* 2252293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252306 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2252309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252316 */   // GIR_Coverage, 1966,
     /* 2252316 */   GIR_EraseRootFromParent_Done,
     /* 2252317 */ // Label 30251: @2252317
     /* 2252317 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2252359), // Rule ID 2010 //
     /* 2252322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252335 */   // MIs[0] Operand 1
     /* 2252335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252348 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2252351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252358 */   // GIR_Coverage, 2010,
     /* 2252358 */   GIR_EraseRootFromParent_Done,
     /* 2252359 */ // Label 30252: @2252359
     /* 2252359 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2252401), // Rule ID 2014 //
     /* 2252364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252377 */   // MIs[0] Operand 1
     /* 2252377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252390 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2252393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252400 */   // GIR_Coverage, 2014,
     /* 2252400 */   GIR_EraseRootFromParent_Done,
     /* 2252401 */ // Label 30253: @2252401
     /* 2252401 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2252443), // Rule ID 2026 //
     /* 2252406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252419 */   // MIs[0] Operand 1
     /* 2252419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252432 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2252435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252442 */   // GIR_Coverage, 2026,
     /* 2252442 */   GIR_EraseRootFromParent_Done,
     /* 2252443 */ // Label 30254: @2252443
     /* 2252443 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2252485), // Rule ID 2030 //
     /* 2252448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252461 */   // MIs[0] Operand 1
     /* 2252461 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252470 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252474 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2252477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252484 */   // GIR_Coverage, 2030,
     /* 2252484 */   GIR_EraseRootFromParent_Done,
     /* 2252485 */ // Label 30255: @2252485
     /* 2252485 */ GIM_Reject,
     /* 2252486 */ // Label 30230: @2252486
     /* 2252486 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2252528), // Rule ID 1248 //
     /* 2252491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252504 */   // MIs[0] Operand 1
     /* 2252504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252517 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2252520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252527 */   // GIR_Coverage, 1248,
     /* 2252527 */   GIR_EraseRootFromParent_Done,
     /* 2252528 */ // Label 30256: @2252528
     /* 2252528 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2252570), // Rule ID 1252 //
     /* 2252533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252546 */   // MIs[0] Operand 1
     /* 2252546 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252555 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252559 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2252562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252569 */   // GIR_Coverage, 1252,
     /* 2252569 */   GIR_EraseRootFromParent_Done,
     /* 2252570 */ // Label 30257: @2252570
     /* 2252570 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2252612), // Rule ID 1296 //
     /* 2252575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252588 */   // MIs[0] Operand 1
     /* 2252588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252601 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2252604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252608 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252611 */   // GIR_Coverage, 1296,
     /* 2252611 */   GIR_EraseRootFromParent_Done,
     /* 2252612 */ // Label 30258: @2252612
     /* 2252612 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2252654), // Rule ID 1300 //
     /* 2252617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252630 */   // MIs[0] Operand 1
     /* 2252630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252643 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2252646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252653 */   // GIR_Coverage, 1300,
     /* 2252653 */   GIR_EraseRootFromParent_Done,
     /* 2252654 */ // Label 30259: @2252654
     /* 2252654 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2252696), // Rule ID 1312 //
     /* 2252659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252672 */   // MIs[0] Operand 1
     /* 2252672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252685 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2252688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252692 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252695 */   // GIR_Coverage, 1312,
     /* 2252695 */   GIR_EraseRootFromParent_Done,
     /* 2252696 */ // Label 30260: @2252696
     /* 2252696 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2252738), // Rule ID 1316 //
     /* 2252701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252714 */   // MIs[0] Operand 1
     /* 2252714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252727 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2252730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252737 */   // GIR_Coverage, 1316,
     /* 2252737 */   GIR_EraseRootFromParent_Done,
     /* 2252738 */ // Label 30261: @2252738
     /* 2252738 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2252780), // Rule ID 1628 //
     /* 2252743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2252746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252756 */   // MIs[0] Operand 1
     /* 2252756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252769 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2252772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252779 */   // GIR_Coverage, 1628,
     /* 2252779 */   GIR_EraseRootFromParent_Done,
     /* 2252780 */ // Label 30262: @2252780
     /* 2252780 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2252822), // Rule ID 1632 //
     /* 2252785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2252788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252798 */   // MIs[0] Operand 1
     /* 2252798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252811 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2252814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252821 */   // GIR_Coverage, 1632,
     /* 2252821 */   GIR_EraseRootFromParent_Done,
     /* 2252822 */ // Label 30263: @2252822
     /* 2252822 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2252864), // Rule ID 1635 //
     /* 2252827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2252830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252840 */   // MIs[0] Operand 1
     /* 2252840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252853 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2252856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252863 */   // GIR_Coverage, 1635,
     /* 2252863 */   GIR_EraseRootFromParent_Done,
     /* 2252864 */ // Label 30264: @2252864
     /* 2252864 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2252906), // Rule ID 1670 //
     /* 2252869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2252872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252882 */   // MIs[0] Operand 1
     /* 2252882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252895 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2252898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252905 */   // GIR_Coverage, 1670,
     /* 2252905 */   GIR_EraseRootFromParent_Done,
     /* 2252906 */ // Label 30265: @2252906
     /* 2252906 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2252948), // Rule ID 1678 //
     /* 2252911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2252914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252924 */   // MIs[0] Operand 1
     /* 2252924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252937 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2252940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252942 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252947 */   // GIR_Coverage, 1678,
     /* 2252947 */   GIR_EraseRootFromParent_Done,
     /* 2252948 */ // Label 30266: @2252948
     /* 2252948 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2252990), // Rule ID 1687 //
     /* 2252953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2252956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252966 */   // MIs[0] Operand 1
     /* 2252966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252979 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2252982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252989 */   // GIR_Coverage, 1687,
     /* 2252989 */   GIR_EraseRootFromParent_Done,
     /* 2252990 */ // Label 30267: @2252990
     /* 2252990 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2253032), // Rule ID 1691 //
     /* 2252995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2252998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253001 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253008 */   // MIs[0] Operand 1
     /* 2253008 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253017 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253021 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2253024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253026 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253031 */   // GIR_Coverage, 1691,
     /* 2253031 */   GIR_EraseRootFromParent_Done,
     /* 2253032 */ // Label 30268: @2253032
     /* 2253032 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2253074), // Rule ID 1706 //
     /* 2253037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253050 */   // MIs[0] Operand 1
     /* 2253050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253063 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2253066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253073 */   // GIR_Coverage, 1706,
     /* 2253073 */   GIR_EraseRootFromParent_Done,
     /* 2253074 */ // Label 30269: @2253074
     /* 2253074 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2253116), // Rule ID 1714 //
     /* 2253079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253092 */   // MIs[0] Operand 1
     /* 2253092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253105 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2253108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253115 */   // GIR_Coverage, 1714,
     /* 2253115 */   GIR_EraseRootFromParent_Done,
     /* 2253116 */ // Label 30270: @2253116
     /* 2253116 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2253158), // Rule ID 1961 //
     /* 2253121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253134 */   // MIs[0] Operand 1
     /* 2253134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253147 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2253150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253157 */   // GIR_Coverage, 1961,
     /* 2253157 */   GIR_EraseRootFromParent_Done,
     /* 2253158 */ // Label 30271: @2253158
     /* 2253158 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2253200), // Rule ID 1965 //
     /* 2253163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253176 */   // MIs[0] Operand 1
     /* 2253176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253189 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2253192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253199 */   // GIR_Coverage, 1965,
     /* 2253199 */   GIR_EraseRootFromParent_Done,
     /* 2253200 */ // Label 30272: @2253200
     /* 2253200 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2253242), // Rule ID 2009 //
     /* 2253205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253218 */   // MIs[0] Operand 1
     /* 2253218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253231 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2253234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253241 */   // GIR_Coverage, 2009,
     /* 2253241 */   GIR_EraseRootFromParent_Done,
     /* 2253242 */ // Label 30273: @2253242
     /* 2253242 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2253284), // Rule ID 2013 //
     /* 2253247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253260 */   // MIs[0] Operand 1
     /* 2253260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253273 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2253276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253283 */   // GIR_Coverage, 2013,
     /* 2253283 */   GIR_EraseRootFromParent_Done,
     /* 2253284 */ // Label 30274: @2253284
     /* 2253284 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2253326), // Rule ID 2025 //
     /* 2253289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253302 */   // MIs[0] Operand 1
     /* 2253302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253315 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2253318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253325 */   // GIR_Coverage, 2025,
     /* 2253325 */   GIR_EraseRootFromParent_Done,
     /* 2253326 */ // Label 30275: @2253326
     /* 2253326 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2253368), // Rule ID 2029 //
     /* 2253331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253344 */   // MIs[0] Operand 1
     /* 2253344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253357 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2253360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253364 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253367 */   // GIR_Coverage, 2029,
     /* 2253367 */   GIR_EraseRootFromParent_Done,
     /* 2253368 */ // Label 30276: @2253368
     /* 2253368 */ GIM_Reject,
     /* 2253369 */ // Label 30231: @2253369
     /* 2253369 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2253417), // Rule ID 56897 //
     /* 2253374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253387 */   // MIs[0] Operand 1
     /* 2253387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253400 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253407 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253416 */   // GIR_Coverage, 56897,
     /* 2253416 */   GIR_EraseRootFromParent_Done,
     /* 2253417 */ // Label 30277: @2253417
     /* 2253417 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2253465), // Rule ID 56898 //
     /* 2253422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253435 */   // MIs[0] Operand 1
     /* 2253435 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253448 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253464 */   // GIR_Coverage, 56898,
     /* 2253464 */   GIR_EraseRootFromParent_Done,
     /* 2253465 */ // Label 30278: @2253465
     /* 2253465 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2253513), // Rule ID 56917 //
     /* 2253470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253483 */   // MIs[0] Operand 1
     /* 2253483 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253492 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253496 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253501 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253503 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253512 */   // GIR_Coverage, 56917,
     /* 2253512 */   GIR_EraseRootFromParent_Done,
     /* 2253513 */ // Label 30279: @2253513
     /* 2253513 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2253561), // Rule ID 56918 //
     /* 2253518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253531 */   // MIs[0] Operand 1
     /* 2253531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253544 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253551 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253560 */   // GIR_Coverage, 56918,
     /* 2253560 */   GIR_EraseRootFromParent_Done,
     /* 2253561 */ // Label 30280: @2253561
     /* 2253561 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2253609), // Rule ID 56947 //
     /* 2253566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253579 */   // MIs[0] Operand 1
     /* 2253579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253592 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253597 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253608 */   // GIR_Coverage, 56947,
     /* 2253608 */   GIR_EraseRootFromParent_Done,
     /* 2253609 */ // Label 30281: @2253609
     /* 2253609 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2253657), // Rule ID 56948 //
     /* 2253614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253627 */   // MIs[0] Operand 1
     /* 2253627 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253636 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253640 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253645 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253647 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253656 */   // GIR_Coverage, 56948,
     /* 2253656 */   GIR_EraseRootFromParent_Done,
     /* 2253657 */ // Label 30282: @2253657
     /* 2253657 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2253705), // Rule ID 57197 //
     /* 2253662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253675 */   // MIs[0] Operand 1
     /* 2253675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253688 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2253691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253704 */   // GIR_Coverage, 57197,
     /* 2253704 */   GIR_EraseRootFromParent_Done,
     /* 2253705 */ // Label 30283: @2253705
     /* 2253705 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2253753), // Rule ID 57198 //
     /* 2253710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253723 */   // MIs[0] Operand 1
     /* 2253723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253736 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2253739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253752 */   // GIR_Coverage, 57198,
     /* 2253752 */   GIR_EraseRootFromParent_Done,
     /* 2253753 */ // Label 30284: @2253753
     /* 2253753 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2253801), // Rule ID 57217 //
     /* 2253758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253771 */   // MIs[0] Operand 1
     /* 2253771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253784 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2253787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253800 */   // GIR_Coverage, 57217,
     /* 2253800 */   GIR_EraseRootFromParent_Done,
     /* 2253801 */ // Label 30285: @2253801
     /* 2253801 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2253849), // Rule ID 57218 //
     /* 2253806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253819 */   // MIs[0] Operand 1
     /* 2253819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253832 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2253835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253848 */   // GIR_Coverage, 57218,
     /* 2253848 */   GIR_EraseRootFromParent_Done,
     /* 2253849 */ // Label 30286: @2253849
     /* 2253849 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2253897), // Rule ID 57247 //
     /* 2253854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253867 */   // MIs[0] Operand 1
     /* 2253867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253880 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2253883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253896 */   // GIR_Coverage, 57247,
     /* 2253896 */   GIR_EraseRootFromParent_Done,
     /* 2253897 */ // Label 30287: @2253897
     /* 2253897 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2253945), // Rule ID 57248 //
     /* 2253902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253915 */   // MIs[0] Operand 1
     /* 2253915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253928 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2253931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253944 */   // GIR_Coverage, 57248,
     /* 2253944 */   GIR_EraseRootFromParent_Done,
     /* 2253945 */ // Label 30288: @2253945
     /* 2253945 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2253993), // Rule ID 57497 //
     /* 2253950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253956 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253963 */   // MIs[0] Operand 1
     /* 2253963 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253976 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2253979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253983 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253992 */   // GIR_Coverage, 57497,
     /* 2253992 */   GIR_EraseRootFromParent_Done,
     /* 2253993 */ // Label 30289: @2253993
     /* 2253993 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2254041), // Rule ID 57498 //
     /* 2253998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254011 */   // MIs[0] Operand 1
     /* 2254011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254024 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2254027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254040 */   // GIR_Coverage, 57498,
     /* 2254040 */   GIR_EraseRootFromParent_Done,
     /* 2254041 */ // Label 30290: @2254041
     /* 2254041 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2254089), // Rule ID 57517 //
     /* 2254046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254059 */   // MIs[0] Operand 1
     /* 2254059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254072 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254079 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254088 */   // GIR_Coverage, 57517,
     /* 2254088 */   GIR_EraseRootFromParent_Done,
     /* 2254089 */ // Label 30291: @2254089
     /* 2254089 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2254137), // Rule ID 57518 //
     /* 2254094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254107 */   // MIs[0] Operand 1
     /* 2254107 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254116 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254120 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254127 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254136 */   // GIR_Coverage, 57518,
     /* 2254136 */   GIR_EraseRootFromParent_Done,
     /* 2254137 */ // Label 30292: @2254137
     /* 2254137 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2254185), // Rule ID 57547 //
     /* 2254142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254155 */   // MIs[0] Operand 1
     /* 2254155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254168 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254175 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254184 */   // GIR_Coverage, 57547,
     /* 2254184 */   GIR_EraseRootFromParent_Done,
     /* 2254185 */ // Label 30293: @2254185
     /* 2254185 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2254233), // Rule ID 57548 //
     /* 2254190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254203 */   // MIs[0] Operand 1
     /* 2254203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254216 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254232 */   // GIR_Coverage, 57548,
     /* 2254232 */   GIR_EraseRootFromParent_Done,
     /* 2254233 */ // Label 30294: @2254233
     /* 2254233 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2254281), // Rule ID 57797 //
     /* 2254238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254251 */   // MIs[0] Operand 1
     /* 2254251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254264 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254280 */   // GIR_Coverage, 57797,
     /* 2254280 */   GIR_EraseRootFromParent_Done,
     /* 2254281 */ // Label 30295: @2254281
     /* 2254281 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2254329), // Rule ID 57798 //
     /* 2254286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254299 */   // MIs[0] Operand 1
     /* 2254299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254312 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254328 */   // GIR_Coverage, 57798,
     /* 2254328 */   GIR_EraseRootFromParent_Done,
     /* 2254329 */ // Label 30296: @2254329
     /* 2254329 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2254377), // Rule ID 57817 //
     /* 2254334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254347 */   // MIs[0] Operand 1
     /* 2254347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254360 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254376 */   // GIR_Coverage, 57817,
     /* 2254376 */   GIR_EraseRootFromParent_Done,
     /* 2254377 */ // Label 30297: @2254377
     /* 2254377 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2254425), // Rule ID 57818 //
     /* 2254382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254395 */   // MIs[0] Operand 1
     /* 2254395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254408 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254424 */   // GIR_Coverage, 57818,
     /* 2254424 */   GIR_EraseRootFromParent_Done,
     /* 2254425 */ // Label 30298: @2254425
     /* 2254425 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2254473), // Rule ID 57847 //
     /* 2254430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254443 */   // MIs[0] Operand 1
     /* 2254443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254456 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254472 */   // GIR_Coverage, 57847,
     /* 2254472 */   GIR_EraseRootFromParent_Done,
     /* 2254473 */ // Label 30299: @2254473
     /* 2254473 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2254521), // Rule ID 57848 //
     /* 2254478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254491 */   // MIs[0] Operand 1
     /* 2254491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254504 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254520 */   // GIR_Coverage, 57848,
     /* 2254520 */   GIR_EraseRootFromParent_Done,
     /* 2254521 */ // Label 30300: @2254521
     /* 2254521 */ GIM_Reject,
     /* 2254522 */ // Label 30232: @2254522
     /* 2254522 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2254570), // Rule ID 56907 //
     /* 2254527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254540 */   // MIs[0] Operand 1
     /* 2254540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254553 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254558 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254560 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254569 */   // GIR_Coverage, 56907,
     /* 2254569 */   GIR_EraseRootFromParent_Done,
     /* 2254570 */ // Label 30301: @2254570
     /* 2254570 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2254618), // Rule ID 56908 //
     /* 2254575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254588 */   // MIs[0] Operand 1
     /* 2254588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254601 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254608 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254617 */   // GIR_Coverage, 56908,
     /* 2254617 */   GIR_EraseRootFromParent_Done,
     /* 2254618 */ // Label 30302: @2254618
     /* 2254618 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2254666), // Rule ID 56937 //
     /* 2254623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254636 */   // MIs[0] Operand 1
     /* 2254636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254649 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254654 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254656 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254665 */   // GIR_Coverage, 56937,
     /* 2254665 */   GIR_EraseRootFromParent_Done,
     /* 2254666 */ // Label 30303: @2254666
     /* 2254666 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2254714), // Rule ID 56938 //
     /* 2254671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254684 */   // MIs[0] Operand 1
     /* 2254684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254697 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254704 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254713 */   // GIR_Coverage, 56938,
     /* 2254713 */   GIR_EraseRootFromParent_Done,
     /* 2254714 */ // Label 30304: @2254714
     /* 2254714 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2254762), // Rule ID 57017 //
     /* 2254719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254732 */   // MIs[0] Operand 1
     /* 2254732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254745 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2254748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254750 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254752 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254761 */   // GIR_Coverage, 57017,
     /* 2254761 */   GIR_EraseRootFromParent_Done,
     /* 2254762 */ // Label 30305: @2254762
     /* 2254762 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2254810), // Rule ID 57018 //
     /* 2254767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254780 */   // MIs[0] Operand 1
     /* 2254780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254793 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2254796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254798 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254800 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254809 */   // GIR_Coverage, 57018,
     /* 2254809 */   GIR_EraseRootFromParent_Done,
     /* 2254810 */ // Label 30306: @2254810
     /* 2254810 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2254858), // Rule ID 57207 //
     /* 2254815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254828 */   // MIs[0] Operand 1
     /* 2254828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254841 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254846 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254848 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254857 */   // GIR_Coverage, 57207,
     /* 2254857 */   GIR_EraseRootFromParent_Done,
     /* 2254858 */ // Label 30307: @2254858
     /* 2254858 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2254906), // Rule ID 57208 //
     /* 2254863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254876 */   // MIs[0] Operand 1
     /* 2254876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254889 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254894 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254905 */   // GIR_Coverage, 57208,
     /* 2254905 */   GIR_EraseRootFromParent_Done,
     /* 2254906 */ // Label 30308: @2254906
     /* 2254906 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2254954), // Rule ID 57237 //
     /* 2254911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254924 */   // MIs[0] Operand 1
     /* 2254924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254937 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254942 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254953 */   // GIR_Coverage, 57237,
     /* 2254953 */   GIR_EraseRootFromParent_Done,
     /* 2254954 */ // Label 30309: @2254954
     /* 2254954 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2255002), // Rule ID 57238 //
     /* 2254959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254972 */   // MIs[0] Operand 1
     /* 2254972 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254981 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254985 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254990 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254992 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255001 */   // GIR_Coverage, 57238,
     /* 2255001 */   GIR_EraseRootFromParent_Done,
     /* 2255002 */ // Label 30310: @2255002
     /* 2255002 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2255050), // Rule ID 57317 //
     /* 2255007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255020 */   // MIs[0] Operand 1
     /* 2255020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255033 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255049 */   // GIR_Coverage, 57317,
     /* 2255049 */   GIR_EraseRootFromParent_Done,
     /* 2255050 */ // Label 30311: @2255050
     /* 2255050 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2255098), // Rule ID 57318 //
     /* 2255055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255068 */   // MIs[0] Operand 1
     /* 2255068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255081 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255086 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255088 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255097 */   // GIR_Coverage, 57318,
     /* 2255097 */   GIR_EraseRootFromParent_Done,
     /* 2255098 */ // Label 30312: @2255098
     /* 2255098 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2255146), // Rule ID 57507 //
     /* 2255103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255116 */   // MIs[0] Operand 1
     /* 2255116 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255129 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255134 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255136 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255145 */   // GIR_Coverage, 57507,
     /* 2255145 */   GIR_EraseRootFromParent_Done,
     /* 2255146 */ // Label 30313: @2255146
     /* 2255146 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2255194), // Rule ID 57508 //
     /* 2255151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255157 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255164 */   // MIs[0] Operand 1
     /* 2255164 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255173 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255177 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255182 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255184 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255193 */   // GIR_Coverage, 57508,
     /* 2255193 */   GIR_EraseRootFromParent_Done,
     /* 2255194 */ // Label 30314: @2255194
     /* 2255194 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2255242), // Rule ID 57537 //
     /* 2255199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255212 */   // MIs[0] Operand 1
     /* 2255212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255225 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255230 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255241 */   // GIR_Coverage, 57537,
     /* 2255241 */   GIR_EraseRootFromParent_Done,
     /* 2255242 */ // Label 30315: @2255242
     /* 2255242 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2255290), // Rule ID 57538 //
     /* 2255247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255260 */   // MIs[0] Operand 1
     /* 2255260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255273 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255289 */   // GIR_Coverage, 57538,
     /* 2255289 */   GIR_EraseRootFromParent_Done,
     /* 2255290 */ // Label 30316: @2255290
     /* 2255290 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2255338), // Rule ID 57617 //
     /* 2255295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255308 */   // MIs[0] Operand 1
     /* 2255308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255321 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255337 */   // GIR_Coverage, 57617,
     /* 2255337 */   GIR_EraseRootFromParent_Done,
     /* 2255338 */ // Label 30317: @2255338
     /* 2255338 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2255386), // Rule ID 57618 //
     /* 2255343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255356 */   // MIs[0] Operand 1
     /* 2255356 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255369 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255374 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255376 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255385 */   // GIR_Coverage, 57618,
     /* 2255385 */   GIR_EraseRootFromParent_Done,
     /* 2255386 */ // Label 30318: @2255386
     /* 2255386 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2255434), // Rule ID 57807 //
     /* 2255391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255404 */   // MIs[0] Operand 1
     /* 2255404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255417 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255422 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255433 */   // GIR_Coverage, 57807,
     /* 2255433 */   GIR_EraseRootFromParent_Done,
     /* 2255434 */ // Label 30319: @2255434
     /* 2255434 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2255482), // Rule ID 57808 //
     /* 2255439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255452 */   // MIs[0] Operand 1
     /* 2255452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255465 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255481 */   // GIR_Coverage, 57808,
     /* 2255481 */   GIR_EraseRootFromParent_Done,
     /* 2255482 */ // Label 30320: @2255482
     /* 2255482 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2255530), // Rule ID 57837 //
     /* 2255487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255500 */   // MIs[0] Operand 1
     /* 2255500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255513 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255518 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255529 */   // GIR_Coverage, 57837,
     /* 2255529 */   GIR_EraseRootFromParent_Done,
     /* 2255530 */ // Label 30321: @2255530
     /* 2255530 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2255578), // Rule ID 57838 //
     /* 2255535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255548 */   // MIs[0] Operand 1
     /* 2255548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255561 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255577 */   // GIR_Coverage, 57838,
     /* 2255577 */   GIR_EraseRootFromParent_Done,
     /* 2255578 */ // Label 30322: @2255578
     /* 2255578 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2255626), // Rule ID 57917 //
     /* 2255583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255596 */   // MIs[0] Operand 1
     /* 2255596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255609 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255625 */   // GIR_Coverage, 57917,
     /* 2255625 */   GIR_EraseRootFromParent_Done,
     /* 2255626 */ // Label 30323: @2255626
     /* 2255626 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2255674), // Rule ID 57918 //
     /* 2255631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255644 */   // MIs[0] Operand 1
     /* 2255644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255657 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255662 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255673 */   // GIR_Coverage, 57918,
     /* 2255673 */   GIR_EraseRootFromParent_Done,
     /* 2255674 */ // Label 30324: @2255674
     /* 2255674 */ GIM_Reject,
     /* 2255675 */ // Label 30233: @2255675
     /* 2255675 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2255723), // Rule ID 56927 //
     /* 2255680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255693 */   // MIs[0] Operand 1
     /* 2255693 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255702 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255706 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255722 */   // GIR_Coverage, 56927,
     /* 2255722 */   GIR_EraseRootFromParent_Done,
     /* 2255723 */ // Label 30325: @2255723
     /* 2255723 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2255771), // Rule ID 56928 //
     /* 2255728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255741 */   // MIs[0] Operand 1
     /* 2255741 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255750 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255754 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255761 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255770 */   // GIR_Coverage, 56928,
     /* 2255770 */   GIR_EraseRootFromParent_Done,
     /* 2255771 */ // Label 30326: @2255771
     /* 2255771 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2255819), // Rule ID 56987 //
     /* 2255776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255789 */   // MIs[0] Operand 1
     /* 2255789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255798 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255802 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255809 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255818 */   // GIR_Coverage, 56987,
     /* 2255818 */   GIR_EraseRootFromParent_Done,
     /* 2255819 */ // Label 30327: @2255819
     /* 2255819 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2255867), // Rule ID 56988 //
     /* 2255824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255830 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255837 */   // MIs[0] Operand 1
     /* 2255837 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255846 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255850 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255855 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255857 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255866 */   // GIR_Coverage, 56988,
     /* 2255866 */   GIR_EraseRootFromParent_Done,
     /* 2255867 */ // Label 30328: @2255867
     /* 2255867 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2255915), // Rule ID 57027 //
     /* 2255872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255885 */   // MIs[0] Operand 1
     /* 2255885 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255894 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255898 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2255901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255903 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255905 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255914 */   // GIR_Coverage, 57027,
     /* 2255914 */   GIR_EraseRootFromParent_Done,
     /* 2255915 */ // Label 30329: @2255915
     /* 2255915 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2255963), // Rule ID 57028 //
     /* 2255920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255926 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255933 */   // MIs[0] Operand 1
     /* 2255933 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255942 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255946 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2255949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255951 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255953 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255962 */   // GIR_Coverage, 57028,
     /* 2255962 */   GIR_EraseRootFromParent_Done,
     /* 2255963 */ // Label 30330: @2255963
     /* 2255963 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2256011), // Rule ID 57227 //
     /* 2255968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255981 */   // MIs[0] Operand 1
     /* 2255981 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255990 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255994 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2255997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255999 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256001 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256010 */   // GIR_Coverage, 57227,
     /* 2256010 */   GIR_EraseRootFromParent_Done,
     /* 2256011 */ // Label 30331: @2256011
     /* 2256011 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2256059), // Rule ID 57228 //
     /* 2256016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256029 */   // MIs[0] Operand 1
     /* 2256029 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256038 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256042 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2256045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256047 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256049 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256058 */   // GIR_Coverage, 57228,
     /* 2256058 */   GIR_EraseRootFromParent_Done,
     /* 2256059 */ // Label 30332: @2256059
     /* 2256059 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2256107), // Rule ID 57287 //
     /* 2256064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256070 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256077 */   // MIs[0] Operand 1
     /* 2256077 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256086 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256090 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256095 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256097 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256106 */   // GIR_Coverage, 57287,
     /* 2256106 */   GIR_EraseRootFromParent_Done,
     /* 2256107 */ // Label 30333: @2256107
     /* 2256107 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2256155), // Rule ID 57288 //
     /* 2256112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256125 */   // MIs[0] Operand 1
     /* 2256125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256138 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256145 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256154 */   // GIR_Coverage, 57288,
     /* 2256154 */   GIR_EraseRootFromParent_Done,
     /* 2256155 */ // Label 30334: @2256155
     /* 2256155 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2256203), // Rule ID 57327 //
     /* 2256160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256173 */   // MIs[0] Operand 1
     /* 2256173 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256182 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256186 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256193 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256202 */   // GIR_Coverage, 57327,
     /* 2256202 */   GIR_EraseRootFromParent_Done,
     /* 2256203 */ // Label 30335: @2256203
     /* 2256203 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2256251), // Rule ID 57328 //
     /* 2256208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256221 */   // MIs[0] Operand 1
     /* 2256221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256234 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256250 */   // GIR_Coverage, 57328,
     /* 2256250 */   GIR_EraseRootFromParent_Done,
     /* 2256251 */ // Label 30336: @2256251
     /* 2256251 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2256299), // Rule ID 57527 //
     /* 2256256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256269 */   // MIs[0] Operand 1
     /* 2256269 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256278 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256282 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256289 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256298 */   // GIR_Coverage, 57527,
     /* 2256298 */   GIR_EraseRootFromParent_Done,
     /* 2256299 */ // Label 30337: @2256299
     /* 2256299 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2256347), // Rule ID 57528 //
     /* 2256304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256310 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256317 */   // MIs[0] Operand 1
     /* 2256317 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256326 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256330 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256335 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256337 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256346 */   // GIR_Coverage, 57528,
     /* 2256346 */   GIR_EraseRootFromParent_Done,
     /* 2256347 */ // Label 30338: @2256347
     /* 2256347 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2256395), // Rule ID 57587 //
     /* 2256352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256358 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256365 */   // MIs[0] Operand 1
     /* 2256365 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256374 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256378 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256385 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256394 */   // GIR_Coverage, 57587,
     /* 2256394 */   GIR_EraseRootFromParent_Done,
     /* 2256395 */ // Label 30339: @2256395
     /* 2256395 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2256443), // Rule ID 57588 //
     /* 2256400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256406 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256413 */   // MIs[0] Operand 1
     /* 2256413 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256422 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256426 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256442 */   // GIR_Coverage, 57588,
     /* 2256442 */   GIR_EraseRootFromParent_Done,
     /* 2256443 */ // Label 30340: @2256443
     /* 2256443 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2256491), // Rule ID 57627 //
     /* 2256448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256461 */   // MIs[0] Operand 1
     /* 2256461 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256470 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256474 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256490 */   // GIR_Coverage, 57627,
     /* 2256490 */   GIR_EraseRootFromParent_Done,
     /* 2256491 */ // Label 30341: @2256491
     /* 2256491 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2256539), // Rule ID 57628 //
     /* 2256496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256502 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256509 */   // MIs[0] Operand 1
     /* 2256509 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256518 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256522 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256529 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256538 */   // GIR_Coverage, 57628,
     /* 2256538 */   GIR_EraseRootFromParent_Done,
     /* 2256539 */ // Label 30342: @2256539
     /* 2256539 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2256587), // Rule ID 57827 //
     /* 2256544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256557 */   // MIs[0] Operand 1
     /* 2256557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256570 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2256573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256586 */   // GIR_Coverage, 57827,
     /* 2256586 */   GIR_EraseRootFromParent_Done,
     /* 2256587 */ // Label 30343: @2256587
     /* 2256587 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2256635), // Rule ID 57828 //
     /* 2256592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256605 */   // MIs[0] Operand 1
     /* 2256605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256618 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2256621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256634 */   // GIR_Coverage, 57828,
     /* 2256634 */   GIR_EraseRootFromParent_Done,
     /* 2256635 */ // Label 30344: @2256635
     /* 2256635 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2256683), // Rule ID 57887 //
     /* 2256640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256653 */   // MIs[0] Operand 1
     /* 2256653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256666 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256671 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256682 */   // GIR_Coverage, 57887,
     /* 2256682 */   GIR_EraseRootFromParent_Done,
     /* 2256683 */ // Label 30345: @2256683
     /* 2256683 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2256731), // Rule ID 57888 //
     /* 2256688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256701 */   // MIs[0] Operand 1
     /* 2256701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256714 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256730 */   // GIR_Coverage, 57888,
     /* 2256730 */   GIR_EraseRootFromParent_Done,
     /* 2256731 */ // Label 30346: @2256731
     /* 2256731 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2256779), // Rule ID 57927 //
     /* 2256736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256749 */   // MIs[0] Operand 1
     /* 2256749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256762 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2256765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256778 */   // GIR_Coverage, 57927,
     /* 2256778 */   GIR_EraseRootFromParent_Done,
     /* 2256779 */ // Label 30347: @2256779
     /* 2256779 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2256827), // Rule ID 57928 //
     /* 2256784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256797 */   // MIs[0] Operand 1
     /* 2256797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256810 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2256813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256826 */   // GIR_Coverage, 57928,
     /* 2256826 */   GIR_EraseRootFromParent_Done,
     /* 2256827 */ // Label 30348: @2256827
     /* 2256827 */ GIM_Reject,
     /* 2256828 */ // Label 30234: @2256828
     /* 2256828 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2256876), // Rule ID 56957 //
     /* 2256833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256846 */   // MIs[0] Operand 1
     /* 2256846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256859 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256875 */   // GIR_Coverage, 56957,
     /* 2256875 */   GIR_EraseRootFromParent_Done,
     /* 2256876 */ // Label 30349: @2256876
     /* 2256876 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2256924), // Rule ID 56958 //
     /* 2256881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256894 */   // MIs[0] Operand 1
     /* 2256894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256907 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256923 */   // GIR_Coverage, 56958,
     /* 2256923 */   GIR_EraseRootFromParent_Done,
     /* 2256924 */ // Label 30350: @2256924
     /* 2256924 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2256972), // Rule ID 56997 //
     /* 2256929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256942 */   // MIs[0] Operand 1
     /* 2256942 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256955 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256960 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256962 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256971 */   // GIR_Coverage, 56997,
     /* 2256971 */   GIR_EraseRootFromParent_Done,
     /* 2256972 */ // Label 30351: @2256972
     /* 2256972 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2257020), // Rule ID 56998 //
     /* 2256977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256990 */   // MIs[0] Operand 1
     /* 2256990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256999 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257003 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2257006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257008 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257010 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257019 */   // GIR_Coverage, 56998,
     /* 2257019 */   GIR_EraseRootFromParent_Done,
     /* 2257020 */ // Label 30352: @2257020
     /* 2257020 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2257068), // Rule ID 57037 //
     /* 2257025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257038 */   // MIs[0] Operand 1
     /* 2257038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257047 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257051 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257056 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257058 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257067 */   // GIR_Coverage, 57037,
     /* 2257067 */   GIR_EraseRootFromParent_Done,
     /* 2257068 */ // Label 30353: @2257068
     /* 2257068 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2257116), // Rule ID 57038 //
     /* 2257073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257086 */   // MIs[0] Operand 1
     /* 2257086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257099 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257115 */   // GIR_Coverage, 57038,
     /* 2257115 */   GIR_EraseRootFromParent_Done,
     /* 2257116 */ // Label 30354: @2257116
     /* 2257116 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2257164), // Rule ID 57257 //
     /* 2257121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257134 */   // MIs[0] Operand 1
     /* 2257134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257147 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257163 */   // GIR_Coverage, 57257,
     /* 2257163 */   GIR_EraseRootFromParent_Done,
     /* 2257164 */ // Label 30355: @2257164
     /* 2257164 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2257212), // Rule ID 57258 //
     /* 2257169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257182 */   // MIs[0] Operand 1
     /* 2257182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257195 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257202 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257211 */   // GIR_Coverage, 57258,
     /* 2257211 */   GIR_EraseRootFromParent_Done,
     /* 2257212 */ // Label 30356: @2257212
     /* 2257212 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2257260), // Rule ID 57297 //
     /* 2257217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257223 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257230 */   // MIs[0] Operand 1
     /* 2257230 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257239 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257243 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257248 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257250 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257259 */   // GIR_Coverage, 57297,
     /* 2257259 */   GIR_EraseRootFromParent_Done,
     /* 2257260 */ // Label 30357: @2257260
     /* 2257260 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2257308), // Rule ID 57298 //
     /* 2257265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257278 */   // MIs[0] Operand 1
     /* 2257278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257291 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257296 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257298 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257307 */   // GIR_Coverage, 57298,
     /* 2257307 */   GIR_EraseRootFromParent_Done,
     /* 2257308 */ // Label 30358: @2257308
     /* 2257308 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2257356), // Rule ID 57337 //
     /* 2257313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257319 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257326 */   // MIs[0] Operand 1
     /* 2257326 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257335 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257339 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257346 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257355 */   // GIR_Coverage, 57337,
     /* 2257355 */   GIR_EraseRootFromParent_Done,
     /* 2257356 */ // Label 30359: @2257356
     /* 2257356 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2257404), // Rule ID 57338 //
     /* 2257361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257374 */   // MIs[0] Operand 1
     /* 2257374 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257387 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257394 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257403 */   // GIR_Coverage, 57338,
     /* 2257403 */   GIR_EraseRootFromParent_Done,
     /* 2257404 */ // Label 30360: @2257404
     /* 2257404 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2257452), // Rule ID 57557 //
     /* 2257409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257422 */   // MIs[0] Operand 1
     /* 2257422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257435 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257451 */   // GIR_Coverage, 57557,
     /* 2257451 */   GIR_EraseRootFromParent_Done,
     /* 2257452 */ // Label 30361: @2257452
     /* 2257452 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2257500), // Rule ID 57558 //
     /* 2257457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257470 */   // MIs[0] Operand 1
     /* 2257470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257483 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257490 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257499 */   // GIR_Coverage, 57558,
     /* 2257499 */   GIR_EraseRootFromParent_Done,
     /* 2257500 */ // Label 30362: @2257500
     /* 2257500 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2257548), // Rule ID 57597 //
     /* 2257505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257518 */   // MIs[0] Operand 1
     /* 2257518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257527 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257531 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257536 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257538 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257547 */   // GIR_Coverage, 57597,
     /* 2257547 */   GIR_EraseRootFromParent_Done,
     /* 2257548 */ // Label 30363: @2257548
     /* 2257548 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2257596), // Rule ID 57598 //
     /* 2257553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257566 */   // MIs[0] Operand 1
     /* 2257566 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257575 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257579 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257584 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257586 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257595 */   // GIR_Coverage, 57598,
     /* 2257595 */   GIR_EraseRootFromParent_Done,
     /* 2257596 */ // Label 30364: @2257596
     /* 2257596 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2257644), // Rule ID 57637 //
     /* 2257601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257614 */   // MIs[0] Operand 1
     /* 2257614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257623 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257627 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257632 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257634 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257643 */   // GIR_Coverage, 57637,
     /* 2257643 */   GIR_EraseRootFromParent_Done,
     /* 2257644 */ // Label 30365: @2257644
     /* 2257644 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2257692), // Rule ID 57638 //
     /* 2257649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257662 */   // MIs[0] Operand 1
     /* 2257662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257675 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257682 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257691 */   // GIR_Coverage, 57638,
     /* 2257691 */   GIR_EraseRootFromParent_Done,
     /* 2257692 */ // Label 30366: @2257692
     /* 2257692 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2257740), // Rule ID 57857 //
     /* 2257697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257710 */   // MIs[0] Operand 1
     /* 2257710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257723 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257728 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257730 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257739 */   // GIR_Coverage, 57857,
     /* 2257739 */   GIR_EraseRootFromParent_Done,
     /* 2257740 */ // Label 30367: @2257740
     /* 2257740 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2257788), // Rule ID 57858 //
     /* 2257745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257758 */   // MIs[0] Operand 1
     /* 2257758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257771 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257778 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257787 */   // GIR_Coverage, 57858,
     /* 2257787 */   GIR_EraseRootFromParent_Done,
     /* 2257788 */ // Label 30368: @2257788
     /* 2257788 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2257836), // Rule ID 57897 //
     /* 2257793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257806 */   // MIs[0] Operand 1
     /* 2257806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257819 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257824 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257826 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257835 */   // GIR_Coverage, 57897,
     /* 2257835 */   GIR_EraseRootFromParent_Done,
     /* 2257836 */ // Label 30369: @2257836
     /* 2257836 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2257884), // Rule ID 57898 //
     /* 2257841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257854 */   // MIs[0] Operand 1
     /* 2257854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257867 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257872 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257874 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257883 */   // GIR_Coverage, 57898,
     /* 2257883 */   GIR_EraseRootFromParent_Done,
     /* 2257884 */ // Label 30370: @2257884
     /* 2257884 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2257932), // Rule ID 57937 //
     /* 2257889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257902 */   // MIs[0] Operand 1
     /* 2257902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257915 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257920 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257922 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257931 */   // GIR_Coverage, 57937,
     /* 2257931 */   GIR_EraseRootFromParent_Done,
     /* 2257932 */ // Label 30371: @2257932
     /* 2257932 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2257980), // Rule ID 57938 //
     /* 2257937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257950 */   // MIs[0] Operand 1
     /* 2257950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257963 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257970 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257979 */   // GIR_Coverage, 57938,
     /* 2257979 */   GIR_EraseRootFromParent_Done,
     /* 2257980 */ // Label 30372: @2257980
     /* 2257980 */ GIM_Reject,
     /* 2257981 */ // Label 30235: @2257981
     /* 2257981 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2258029), // Rule ID 56967 //
     /* 2257986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257999 */   // MIs[0] Operand 1
     /* 2257999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258012 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2258015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258028 */   // GIR_Coverage, 56967,
     /* 2258028 */   GIR_EraseRootFromParent_Done,
     /* 2258029 */ // Label 30373: @2258029
     /* 2258029 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2258077), // Rule ID 56968 //
     /* 2258034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258040 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258047 */   // MIs[0] Operand 1
     /* 2258047 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258056 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258060 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2258063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258065 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258067 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258076 */   // GIR_Coverage, 56968,
     /* 2258076 */   GIR_EraseRootFromParent_Done,
     /* 2258077 */ // Label 30374: @2258077
     /* 2258077 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2258125), // Rule ID 57007 //
     /* 2258082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258095 */   // MIs[0] Operand 1
     /* 2258095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258108 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258124 */   // GIR_Coverage, 57007,
     /* 2258124 */   GIR_EraseRootFromParent_Done,
     /* 2258125 */ // Label 30375: @2258125
     /* 2258125 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2258173), // Rule ID 57008 //
     /* 2258130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258143 */   // MIs[0] Operand 1
     /* 2258143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258156 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258172 */   // GIR_Coverage, 57008,
     /* 2258172 */   GIR_EraseRootFromParent_Done,
     /* 2258173 */ // Label 30376: @2258173
     /* 2258173 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2258221), // Rule ID 57267 //
     /* 2258178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258191 */   // MIs[0] Operand 1
     /* 2258191 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258200 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258204 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258220 */   // GIR_Coverage, 57267,
     /* 2258220 */   GIR_EraseRootFromParent_Done,
     /* 2258221 */ // Label 30377: @2258221
     /* 2258221 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2258269), // Rule ID 57268 //
     /* 2258226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258239 */   // MIs[0] Operand 1
     /* 2258239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258248 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258252 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258257 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258268 */   // GIR_Coverage, 57268,
     /* 2258268 */   GIR_EraseRootFromParent_Done,
     /* 2258269 */ // Label 30378: @2258269
     /* 2258269 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2258317), // Rule ID 57307 //
     /* 2258274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258287 */   // MIs[0] Operand 1
     /* 2258287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258300 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258305 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258316 */   // GIR_Coverage, 57307,
     /* 2258316 */   GIR_EraseRootFromParent_Done,
     /* 2258317 */ // Label 30379: @2258317
     /* 2258317 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2258365), // Rule ID 57308 //
     /* 2258322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258335 */   // MIs[0] Operand 1
     /* 2258335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258348 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258364 */   // GIR_Coverage, 57308,
     /* 2258364 */   GIR_EraseRootFromParent_Done,
     /* 2258365 */ // Label 30380: @2258365
     /* 2258365 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2258413), // Rule ID 57567 //
     /* 2258370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258383 */   // MIs[0] Operand 1
     /* 2258383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258396 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258412 */   // GIR_Coverage, 57567,
     /* 2258412 */   GIR_EraseRootFromParent_Done,
     /* 2258413 */ // Label 30381: @2258413
     /* 2258413 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2258461), // Rule ID 57568 //
     /* 2258418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258431 */   // MIs[0] Operand 1
     /* 2258431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258444 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258460 */   // GIR_Coverage, 57568,
     /* 2258460 */   GIR_EraseRootFromParent_Done,
     /* 2258461 */ // Label 30382: @2258461
     /* 2258461 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2258509), // Rule ID 57607 //
     /* 2258466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258479 */   // MIs[0] Operand 1
     /* 2258479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258492 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258508 */   // GIR_Coverage, 57607,
     /* 2258508 */   GIR_EraseRootFromParent_Done,
     /* 2258509 */ // Label 30383: @2258509
     /* 2258509 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2258557), // Rule ID 57608 //
     /* 2258514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258527 */   // MIs[0] Operand 1
     /* 2258527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258540 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258545 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258547 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258556 */   // GIR_Coverage, 57608,
     /* 2258556 */   GIR_EraseRootFromParent_Done,
     /* 2258557 */ // Label 30384: @2258557
     /* 2258557 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2258605), // Rule ID 57867 //
     /* 2258562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258575 */   // MIs[0] Operand 1
     /* 2258575 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258584 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258588 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258595 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258604 */   // GIR_Coverage, 57867,
     /* 2258604 */   GIR_EraseRootFromParent_Done,
     /* 2258605 */ // Label 30385: @2258605
     /* 2258605 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2258653), // Rule ID 57868 //
     /* 2258610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258623 */   // MIs[0] Operand 1
     /* 2258623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258636 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258652 */   // GIR_Coverage, 57868,
     /* 2258652 */   GIR_EraseRootFromParent_Done,
     /* 2258653 */ // Label 30386: @2258653
     /* 2258653 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2258701), // Rule ID 57907 //
     /* 2258658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258671 */   // MIs[0] Operand 1
     /* 2258671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258684 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258689 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258700 */   // GIR_Coverage, 57907,
     /* 2258700 */   GIR_EraseRootFromParent_Done,
     /* 2258701 */ // Label 30387: @2258701
     /* 2258701 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2258749), // Rule ID 57908 //
     /* 2258706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258719 */   // MIs[0] Operand 1
     /* 2258719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258732 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258737 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258748 */   // GIR_Coverage, 57908,
     /* 2258748 */   GIR_EraseRootFromParent_Done,
     /* 2258749 */ // Label 30388: @2258749
     /* 2258749 */ GIM_Reject,
     /* 2258750 */ // Label 30236: @2258750
     /* 2258750 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2259070),
     /* 2258755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258765 */   GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2258803), // Rule ID 56977 //
     /* 2258770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258773 */     // MIs[0] Operand 1
     /* 2258773 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258786 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258802 */     // GIR_Coverage, 56977,
     /* 2258802 */     GIR_EraseRootFromParent_Done,
     /* 2258803 */   // Label 30390: @2258803
     /* 2258803 */   GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2258841), // Rule ID 56978 //
     /* 2258808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258811 */     // MIs[0] Operand 1
     /* 2258811 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258824 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258840 */     // GIR_Coverage, 56978,
     /* 2258840 */     GIR_EraseRootFromParent_Done,
     /* 2258841 */   // Label 30391: @2258841
     /* 2258841 */   GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2258879), // Rule ID 57277 //
     /* 2258846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258849 */     // MIs[0] Operand 1
     /* 2258849 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258862 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258878 */     // GIR_Coverage, 57277,
     /* 2258878 */     GIR_EraseRootFromParent_Done,
     /* 2258879 */   // Label 30392: @2258879
     /* 2258879 */   GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2258917), // Rule ID 57278 //
     /* 2258884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258887 */     // MIs[0] Operand 1
     /* 2258887 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258900 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258916 */     // GIR_Coverage, 57278,
     /* 2258916 */     GIR_EraseRootFromParent_Done,
     /* 2258917 */   // Label 30393: @2258917
     /* 2258917 */   GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2258955), // Rule ID 57577 //
     /* 2258922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258925 */     // MIs[0] Operand 1
     /* 2258925 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258938 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258954 */     // GIR_Coverage, 57577,
     /* 2258954 */     GIR_EraseRootFromParent_Done,
     /* 2258955 */   // Label 30394: @2258955
     /* 2258955 */   GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2258993), // Rule ID 57578 //
     /* 2258960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258963 */     // MIs[0] Operand 1
     /* 2258963 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258976 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258992 */     // GIR_Coverage, 57578,
     /* 2258992 */     GIR_EraseRootFromParent_Done,
     /* 2258993 */   // Label 30395: @2258993
     /* 2258993 */   GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2259031), // Rule ID 57877 //
     /* 2258998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259001 */     // MIs[0] Operand 1
     /* 2259001 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259014 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259030 */     // GIR_Coverage, 57877,
     /* 2259030 */     GIR_EraseRootFromParent_Done,
     /* 2259031 */   // Label 30396: @2259031
     /* 2259031 */   GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2259069), // Rule ID 57878 //
     /* 2259036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259039 */     // MIs[0] Operand 1
     /* 2259039 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259052 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259068 */     // GIR_Coverage, 57878,
     /* 2259068 */     GIR_EraseRootFromParent_Done,
     /* 2259069 */   // Label 30397: @2259069
     /* 2259069 */   GIM_Reject,
     /* 2259070 */ // Label 30389: @2259070
     /* 2259070 */ GIM_Reject,
     /* 2259071 */ // Label 30237: @2259071
     /* 2259071 */ GIM_Reject,
     /* 2259072 */ // Label 50: @2259072
     /* 2259072 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30422*/ GIMT_Encode4(2263463),
     /* 2259083 */ /*GILLT_s32*//*Label 30398*/ GIMT_Encode4(2259207),
     /* 2259087 */ /*GILLT_s64*//*Label 30399*/ GIMT_Encode4(2259355), GIMT_Encode4(0),
     /* 2259095 */ /*GILLT_nxv1s8*//*Label 30400*/ GIMT_Encode4(2259503),
     /* 2259099 */ /*GILLT_nxv1s16*//*Label 30401*/ GIMT_Encode4(2259623),
     /* 2259103 */ /*GILLT_nxv1s32*//*Label 30402*/ GIMT_Encode4(2259831),
     /* 2259107 */ /*GILLT_nxv1s64*//*Label 30403*/ GIMT_Encode4(2260039), GIMT_Encode4(0),
     /* 2259115 */ /*GILLT_nxv2s8*//*Label 30404*/ GIMT_Encode4(2260247),
     /* 2259119 */ /*GILLT_nxv2s16*//*Label 30405*/ GIMT_Encode4(2260367),
     /* 2259123 */ /*GILLT_nxv2s32*//*Label 30406*/ GIMT_Encode4(2260575),
     /* 2259127 */ /*GILLT_nxv2s64*//*Label 30407*/ GIMT_Encode4(2260783), GIMT_Encode4(0),
     /* 2259135 */ /*GILLT_nxv4s8*//*Label 30408*/ GIMT_Encode4(2260991),
     /* 2259139 */ /*GILLT_nxv4s16*//*Label 30409*/ GIMT_Encode4(2261111),
     /* 2259143 */ /*GILLT_nxv4s32*//*Label 30410*/ GIMT_Encode4(2261319),
     /* 2259147 */ /*GILLT_nxv4s64*//*Label 30411*/ GIMT_Encode4(2261527), GIMT_Encode4(0),
     /* 2259155 */ /*GILLT_nxv8s8*//*Label 30412*/ GIMT_Encode4(2261735),
     /* 2259159 */ /*GILLT_nxv8s16*//*Label 30413*/ GIMT_Encode4(2261855),
     /* 2259163 */ /*GILLT_nxv8s32*//*Label 30414*/ GIMT_Encode4(2262063),
     /* 2259167 */ /*GILLT_nxv8s64*//*Label 30415*/ GIMT_Encode4(2262271), GIMT_Encode4(0),
     /* 2259175 */ /*GILLT_nxv16s8*//*Label 30416*/ GIMT_Encode4(2262479),
     /* 2259179 */ /*GILLT_nxv16s16*//*Label 30417*/ GIMT_Encode4(2262599),
     /* 2259183 */ /*GILLT_nxv16s32*//*Label 30418*/ GIMT_Encode4(2262807), GIMT_Encode4(0),
     /* 2259191 */ /*GILLT_nxv32s8*//*Label 30419*/ GIMT_Encode4(2263015),
     /* 2259195 */ /*GILLT_nxv32s16*//*Label 30420*/ GIMT_Encode4(2263135), GIMT_Encode4(0),
     /* 2259203 */ /*GILLT_nxv64s8*//*Label 30421*/ GIMT_Encode4(2263343),
     /* 2259207 */ // Label 30398: @2259207
     /* 2259207 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2259354),
     /* 2259212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2259215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2259218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2259221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259229 */   GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2259262), // Rule ID 62487 //
     /* 2259234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259237 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259245 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259250 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259258 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259261 */     // GIR_Coverage, 62487,
     /* 2259261 */     GIR_EraseRootFromParent_Done,
     /* 2259262 */   // Label 30424: @2259262
     /* 2259262 */   GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2259295), // Rule ID 62485 //
     /* 2259267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259274 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259278 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259283 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259291 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259294 */     // GIR_Coverage, 62485,
     /* 2259294 */     GIR_EraseRootFromParent_Done,
     /* 2259295 */   // Label 30425: @2259295
     /* 2259295 */   GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2259324), // Rule ID 62483 //
     /* 2259300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259311 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2259311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259316 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259318 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259320 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259323 */     // GIR_Coverage, 62483,
     /* 2259323 */     GIR_EraseRootFromParent_Done,
     /* 2259324 */   // Label 30426: @2259324
     /* 2259324 */   GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2259353), // Rule ID 64498 //
     /* 2259329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2259332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259340 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2259340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259352 */     // GIR_Coverage, 64498,
     /* 2259352 */     GIR_EraseRootFromParent_Done,
     /* 2259353 */   // Label 30427: @2259353
     /* 2259353 */   GIM_Reject,
     /* 2259354 */ // Label 30423: @2259354
     /* 2259354 */ GIM_Reject,
     /* 2259355 */ // Label 30399: @2259355
     /* 2259355 */ GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2259502),
     /* 2259360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2259363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2259366 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2259369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259377 */   GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2259410), // Rule ID 62486 //
     /* 2259382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259385 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259393 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259398 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259406 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259409 */     // GIR_Coverage, 62486,
     /* 2259409 */     GIR_EraseRootFromParent_Done,
     /* 2259410 */   // Label 30429: @2259410
     /* 2259410 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2259443), // Rule ID 62484 //
     /* 2259415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259426 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259431 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259439 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259442 */     // GIR_Coverage, 62484,
     /* 2259442 */     GIR_EraseRootFromParent_Done,
     /* 2259443 */   // Label 30430: @2259443
     /* 2259443 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2259472), // Rule ID 62482 //
     /* 2259448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259459 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2259459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259464 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259466 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259468 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259471 */     // GIR_Coverage, 62482,
     /* 2259471 */     GIR_EraseRootFromParent_Done,
     /* 2259472 */   // Label 30431: @2259472
     /* 2259472 */   GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2259501), // Rule ID 64497 //
     /* 2259477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2259480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259488 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2259488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259500 */     // GIR_Coverage, 64497,
     /* 2259500 */     GIR_EraseRootFromParent_Done,
     /* 2259501 */   // Label 30432: @2259501
     /* 2259501 */   GIM_Reject,
     /* 2259502 */ // Label 30428: @2259502
     /* 2259502 */ GIM_Reject,
     /* 2259503 */ // Label 30400: @2259503
     /* 2259503 */ GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2259622),
     /* 2259508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2259514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2259517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259529 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259533 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2259577), // Rule ID 52107 //
     /* 2259538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259541 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259567 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259576 */     // GIR_Coverage, 52107,
     /* 2259576 */     GIR_EraseRootFromParent_Done,
     /* 2259577 */   // Label 30434: @2259577
     /* 2259577 */   GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2259621), // Rule ID 52108 //
     /* 2259582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259585 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259611 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259620 */     // GIR_Coverage, 52108,
     /* 2259620 */     GIR_EraseRootFromParent_Done,
     /* 2259621 */   // Label 30435: @2259621
     /* 2259621 */   GIM_Reject,
     /* 2259622 */ // Label 30433: @2259622
     /* 2259622 */ GIM_Reject,
     /* 2259623 */ // Label 30401: @2259623
     /* 2259623 */ GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2259830),
     /* 2259628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2259634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2259637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259653 */   GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2259697), // Rule ID 52125 //
     /* 2259658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259661 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259687 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259696 */     // GIR_Coverage, 52125,
     /* 2259696 */     GIR_EraseRootFromParent_Done,
     /* 2259697 */   // Label 30437: @2259697
     /* 2259697 */   GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2259741), // Rule ID 52126 //
     /* 2259702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259705 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259731 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259740 */     // GIR_Coverage, 52126,
     /* 2259740 */     GIR_EraseRootFromParent_Done,
     /* 2259741 */   // Label 30438: @2259741
     /* 2259741 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2259785), // Rule ID 57947 //
     /* 2259746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259749 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259775 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259784 */     // GIR_Coverage, 57947,
     /* 2259784 */     GIR_EraseRootFromParent_Done,
     /* 2259785 */   // Label 30439: @2259785
     /* 2259785 */   GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2259829), // Rule ID 57948 //
     /* 2259790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259793 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259819 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259828 */     // GIR_Coverage, 57948,
     /* 2259828 */     GIR_EraseRootFromParent_Done,
     /* 2259829 */   // Label 30440: @2259829
     /* 2259829 */   GIM_Reject,
     /* 2259830 */ // Label 30436: @2259830
     /* 2259830 */ GIM_Reject,
     /* 2259831 */ // Label 30402: @2259831
     /* 2259831 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2260038),
     /* 2259836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2259842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2259845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259861 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2259905), // Rule ID 52137 //
     /* 2259866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259869 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2259872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259895 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259904 */     // GIR_Coverage, 52137,
     /* 2259904 */     GIR_EraseRootFromParent_Done,
     /* 2259905 */   // Label 30442: @2259905
     /* 2259905 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2259949), // Rule ID 52138 //
     /* 2259910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259913 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2259916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259939 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259948 */     // GIR_Coverage, 52138,
     /* 2259948 */     GIR_EraseRootFromParent_Done,
     /* 2259949 */   // Label 30443: @2259949
     /* 2259949 */   GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2259993), // Rule ID 57967 //
     /* 2259954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259957 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2259960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259983 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259992 */     // GIR_Coverage, 57967,
     /* 2259992 */     GIR_EraseRootFromParent_Done,
     /* 2259993 */   // Label 30444: @2259993
     /* 2259993 */   GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2260037), // Rule ID 57968 //
     /* 2259998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260001 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260027 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260036 */     // GIR_Coverage, 57968,
     /* 2260036 */     GIR_EraseRootFromParent_Done,
     /* 2260037 */   // Label 30445: @2260037
     /* 2260037 */   GIM_Reject,
     /* 2260038 */ // Label 30441: @2260038
     /* 2260038 */ GIM_Reject,
     /* 2260039 */ // Label 30403: @2260039
     /* 2260039 */ GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2260246),
     /* 2260044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2260047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2260050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2260053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260065 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260069 */   GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2260113), // Rule ID 52161 //
     /* 2260074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260077 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260103 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260112 */     // GIR_Coverage, 52161,
     /* 2260112 */     GIR_EraseRootFromParent_Done,
     /* 2260113 */   // Label 30447: @2260113
     /* 2260113 */   GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2260157), // Rule ID 52162 //
     /* 2260118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260121 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260147 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260156 */     // GIR_Coverage, 52162,
     /* 2260156 */     GIR_EraseRootFromParent_Done,
     /* 2260157 */   // Label 30448: @2260157
     /* 2260157 */   GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2260201), // Rule ID 57997 //
     /* 2260162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260165 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260191 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260200 */     // GIR_Coverage, 57997,
     /* 2260200 */     GIR_EraseRootFromParent_Done,
     /* 2260201 */   // Label 30449: @2260201
     /* 2260201 */   GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2260245), // Rule ID 57998 //
     /* 2260206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260209 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260235 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260244 */     // GIR_Coverage, 57998,
     /* 2260244 */     GIR_EraseRootFromParent_Done,
     /* 2260245 */   // Label 30450: @2260245
     /* 2260245 */   GIM_Reject,
     /* 2260246 */ // Label 30446: @2260246
     /* 2260246 */ GIM_Reject,
     /* 2260247 */ // Label 30404: @2260247
     /* 2260247 */ GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2260366),
     /* 2260252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2260258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2260261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260277 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2260321), // Rule ID 52113 //
     /* 2260282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260285 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260311 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260320 */     // GIR_Coverage, 52113,
     /* 2260320 */     GIR_EraseRootFromParent_Done,
     /* 2260321 */   // Label 30452: @2260321
     /* 2260321 */   GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2260365), // Rule ID 52114 //
     /* 2260326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260329 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260355 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260364 */     // GIR_Coverage, 52114,
     /* 2260364 */     GIR_EraseRootFromParent_Done,
     /* 2260365 */   // Label 30453: @2260365
     /* 2260365 */   GIM_Reject,
     /* 2260366 */ // Label 30451: @2260366
     /* 2260366 */ GIM_Reject,
     /* 2260367 */ // Label 30405: @2260367
     /* 2260367 */ GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2260574),
     /* 2260372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2260378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2260381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260397 */   GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2260441), // Rule ID 52131 //
     /* 2260402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260405 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260431 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260440 */     // GIR_Coverage, 52131,
     /* 2260440 */     GIR_EraseRootFromParent_Done,
     /* 2260441 */   // Label 30455: @2260441
     /* 2260441 */   GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2260485), // Rule ID 52132 //
     /* 2260446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260449 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260475 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260484 */     // GIR_Coverage, 52132,
     /* 2260484 */     GIR_EraseRootFromParent_Done,
     /* 2260485 */   // Label 30456: @2260485
     /* 2260485 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2260529), // Rule ID 57957 //
     /* 2260490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260493 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260519 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260528 */     // GIR_Coverage, 57957,
     /* 2260528 */     GIR_EraseRootFromParent_Done,
     /* 2260529 */   // Label 30457: @2260529
     /* 2260529 */   GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2260573), // Rule ID 57958 //
     /* 2260534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260537 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260563 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260572 */     // GIR_Coverage, 57958,
     /* 2260572 */     GIR_EraseRootFromParent_Done,
     /* 2260573 */   // Label 30458: @2260573
     /* 2260573 */   GIM_Reject,
     /* 2260574 */ // Label 30454: @2260574
     /* 2260574 */ GIM_Reject,
     /* 2260575 */ // Label 30406: @2260575
     /* 2260575 */ GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2260782),
     /* 2260580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2260589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260605 */   GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2260649), // Rule ID 52155 //
     /* 2260610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260613 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260639 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260648 */     // GIR_Coverage, 52155,
     /* 2260648 */     GIR_EraseRootFromParent_Done,
     /* 2260649 */   // Label 30460: @2260649
     /* 2260649 */   GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2260693), // Rule ID 52156 //
     /* 2260654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260657 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260683 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260692 */     // GIR_Coverage, 52156,
     /* 2260692 */     GIR_EraseRootFromParent_Done,
     /* 2260693 */   // Label 30461: @2260693
     /* 2260693 */   GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2260737), // Rule ID 57987 //
     /* 2260698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260701 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260727 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260736 */     // GIR_Coverage, 57987,
     /* 2260736 */     GIR_EraseRootFromParent_Done,
     /* 2260737 */   // Label 30462: @2260737
     /* 2260737 */   GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2260781), // Rule ID 57988 //
     /* 2260742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260745 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260771 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260780 */     // GIR_Coverage, 57988,
     /* 2260780 */     GIR_EraseRootFromParent_Done,
     /* 2260781 */   // Label 30463: @2260781
     /* 2260781 */   GIM_Reject,
     /* 2260782 */ // Label 30459: @2260782
     /* 2260782 */ GIM_Reject,
     /* 2260783 */ // Label 30407: @2260783
     /* 2260783 */ GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2260990),
     /* 2260788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2260794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2260797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2260801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260813 */   GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2260857), // Rule ID 52221 //
     /* 2260818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260821 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260847 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260856 */     // GIR_Coverage, 52221,
     /* 2260856 */     GIR_EraseRootFromParent_Done,
     /* 2260857 */   // Label 30465: @2260857
     /* 2260857 */   GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2260901), // Rule ID 52222 //
     /* 2260862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260865 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260891 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260900 */     // GIR_Coverage, 52222,
     /* 2260900 */     GIR_EraseRootFromParent_Done,
     /* 2260901 */   // Label 30466: @2260901
     /* 2260901 */   GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2260945), // Rule ID 58067 //
     /* 2260906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260909 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260935 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260944 */     // GIR_Coverage, 58067,
     /* 2260944 */     GIR_EraseRootFromParent_Done,
     /* 2260945 */   // Label 30467: @2260945
     /* 2260945 */   GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2260989), // Rule ID 58068 //
     /* 2260950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260953 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260979 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260988 */     // GIR_Coverage, 58068,
     /* 2260988 */     GIR_EraseRootFromParent_Done,
     /* 2260989 */   // Label 30468: @2260989
     /* 2260989 */   GIM_Reject,
     /* 2260990 */ // Label 30464: @2260990
     /* 2260990 */ GIM_Reject,
     /* 2260991 */ // Label 30408: @2260991
     /* 2260991 */ GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2261110),
     /* 2260996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2260999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2261002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2261005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261017 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261021 */   GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2261065), // Rule ID 52119 //
     /* 2261026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261029 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2261046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261055 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261064 */     // GIR_Coverage, 52119,
     /* 2261064 */     GIR_EraseRootFromParent_Done,
     /* 2261065 */   // Label 30470: @2261065
     /* 2261065 */   GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2261109), // Rule ID 52120 //
     /* 2261070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261073 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2261090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261099 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261108 */     // GIR_Coverage, 52120,
     /* 2261108 */     GIR_EraseRootFromParent_Done,
     /* 2261109 */   // Label 30471: @2261109
     /* 2261109 */   GIM_Reject,
     /* 2261110 */ // Label 30469: @2261110
     /* 2261110 */ GIM_Reject,
     /* 2261111 */ // Label 30409: @2261111
     /* 2261111 */ GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2261318),
     /* 2261116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2261122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2261125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261141 */   GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2261185), // Rule ID 52149 //
     /* 2261146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261149 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261175 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261184 */     // GIR_Coverage, 52149,
     /* 2261184 */     GIR_EraseRootFromParent_Done,
     /* 2261185 */   // Label 30473: @2261185
     /* 2261185 */   GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2261229), // Rule ID 52150 //
     /* 2261190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261193 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261219 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261228 */     // GIR_Coverage, 52150,
     /* 2261228 */     GIR_EraseRootFromParent_Done,
     /* 2261229 */   // Label 30474: @2261229
     /* 2261229 */   GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2261273), // Rule ID 57977 //
     /* 2261234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261237 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261263 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261272 */     // GIR_Coverage, 57977,
     /* 2261272 */     GIR_EraseRootFromParent_Done,
     /* 2261273 */   // Label 30475: @2261273
     /* 2261273 */   GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2261317), // Rule ID 57978 //
     /* 2261278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261281 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261307 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261316 */     // GIR_Coverage, 57978,
     /* 2261316 */     GIR_EraseRootFromParent_Done,
     /* 2261317 */   // Label 30476: @2261317
     /* 2261317 */   GIM_Reject,
     /* 2261318 */ // Label 30472: @2261318
     /* 2261318 */ GIM_Reject,
     /* 2261319 */ // Label 30410: @2261319
     /* 2261319 */ GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2261526),
     /* 2261324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2261333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261349 */   GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2261393), // Rule ID 52203 //
     /* 2261354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261357 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261383 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261392 */     // GIR_Coverage, 52203,
     /* 2261392 */     GIR_EraseRootFromParent_Done,
     /* 2261393 */   // Label 30478: @2261393
     /* 2261393 */   GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2261437), // Rule ID 52204 //
     /* 2261398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261401 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261427 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261436 */     // GIR_Coverage, 52204,
     /* 2261436 */     GIR_EraseRootFromParent_Done,
     /* 2261437 */   // Label 30479: @2261437
     /* 2261437 */   GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2261481), // Rule ID 58037 //
     /* 2261442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261445 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261471 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261480 */     // GIR_Coverage, 58037,
     /* 2261480 */     GIR_EraseRootFromParent_Done,
     /* 2261481 */   // Label 30480: @2261481
     /* 2261481 */   GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2261525), // Rule ID 58038 //
     /* 2261486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261489 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261515 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261524 */     // GIR_Coverage, 58038,
     /* 2261524 */     GIR_EraseRootFromParent_Done,
     /* 2261525 */   // Label 30481: @2261525
     /* 2261525 */   GIM_Reject,
     /* 2261526 */ // Label 30477: @2261526
     /* 2261526 */ GIM_Reject,
     /* 2261527 */ // Label 30411: @2261527
     /* 2261527 */ GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2261734),
     /* 2261532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2261541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261557 */   GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2261601), // Rule ID 52227 //
     /* 2261562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261565 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261591 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261600 */     // GIR_Coverage, 52227,
     /* 2261600 */     GIR_EraseRootFromParent_Done,
     /* 2261601 */   // Label 30483: @2261601
     /* 2261601 */   GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2261645), // Rule ID 52228 //
     /* 2261606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261609 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261635 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261644 */     // GIR_Coverage, 52228,
     /* 2261644 */     GIR_EraseRootFromParent_Done,
     /* 2261645 */   // Label 30484: @2261645
     /* 2261645 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2261689), // Rule ID 58077 //
     /* 2261650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261653 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261679 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261688 */     // GIR_Coverage, 58077,
     /* 2261688 */     GIR_EraseRootFromParent_Done,
     /* 2261689 */   // Label 30485: @2261689
     /* 2261689 */   GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2261733), // Rule ID 58078 //
     /* 2261694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261697 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261723 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261732 */     // GIR_Coverage, 58078,
     /* 2261732 */     GIR_EraseRootFromParent_Done,
     /* 2261733 */   // Label 30486: @2261733
     /* 2261733 */   GIM_Reject,
     /* 2261734 */ // Label 30482: @2261734
     /* 2261734 */ GIM_Reject,
     /* 2261735 */ // Label 30412: @2261735
     /* 2261735 */ GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2261854),
     /* 2261740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2261743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2261746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2261749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261765 */   GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2261809), // Rule ID 52143 //
     /* 2261770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261773 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261799 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261808 */     // GIR_Coverage, 52143,
     /* 2261808 */     GIR_EraseRootFromParent_Done,
     /* 2261809 */   // Label 30488: @2261809
     /* 2261809 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2261853), // Rule ID 52144 //
     /* 2261814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261817 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261843 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261852 */     // GIR_Coverage, 52144,
     /* 2261852 */     GIR_EraseRootFromParent_Done,
     /* 2261853 */   // Label 30489: @2261853
     /* 2261853 */   GIM_Reject,
     /* 2261854 */ // Label 30487: @2261854
     /* 2261854 */ GIM_Reject,
     /* 2261855 */ // Label 30413: @2261855
     /* 2261855 */ GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2262062),
     /* 2261860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2261863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261885 */   GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2261929), // Rule ID 52185 //
     /* 2261890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261893 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261919 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261928 */     // GIR_Coverage, 52185,
     /* 2261928 */     GIR_EraseRootFromParent_Done,
     /* 2261929 */   // Label 30491: @2261929
     /* 2261929 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2261973), // Rule ID 52186 //
     /* 2261934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261937 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261963 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261972 */     // GIR_Coverage, 52186,
     /* 2261972 */     GIR_EraseRootFromParent_Done,
     /* 2261973 */   // Label 30492: @2261973
     /* 2261973 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2262017), // Rule ID 58007 //
     /* 2261978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261981 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262007 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262016 */     // GIR_Coverage, 58007,
     /* 2262016 */     GIR_EraseRootFromParent_Done,
     /* 2262017 */   // Label 30493: @2262017
     /* 2262017 */   GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2262061), // Rule ID 58008 //
     /* 2262022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262025 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262051 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262060 */     // GIR_Coverage, 58008,
     /* 2262060 */     GIR_EraseRootFromParent_Done,
     /* 2262061 */   // Label 30494: @2262061
     /* 2262061 */   GIM_Reject,
     /* 2262062 */ // Label 30490: @2262062
     /* 2262062 */ GIM_Reject,
     /* 2262063 */ // Label 30414: @2262063
     /* 2262063 */ GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2262270),
     /* 2262068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262093 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2262137), // Rule ID 52209 //
     /* 2262098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262101 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262127 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262136 */     // GIR_Coverage, 52209,
     /* 2262136 */     GIR_EraseRootFromParent_Done,
     /* 2262137 */   // Label 30496: @2262137
     /* 2262137 */   GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2262181), // Rule ID 52210 //
     /* 2262142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262145 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262171 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262180 */     // GIR_Coverage, 52210,
     /* 2262180 */     GIR_EraseRootFromParent_Done,
     /* 2262181 */   // Label 30497: @2262181
     /* 2262181 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2262225), // Rule ID 58047 //
     /* 2262186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262189 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262215 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262224 */     // GIR_Coverage, 58047,
     /* 2262224 */     GIR_EraseRootFromParent_Done,
     /* 2262225 */   // Label 30498: @2262225
     /* 2262225 */   GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2262269), // Rule ID 58048 //
     /* 2262230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262233 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262259 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262268 */     // GIR_Coverage, 58048,
     /* 2262268 */     GIR_EraseRootFromParent_Done,
     /* 2262269 */   // Label 30499: @2262269
     /* 2262269 */   GIM_Reject,
     /* 2262270 */ // Label 30495: @2262270
     /* 2262270 */ GIM_Reject,
     /* 2262271 */ // Label 30415: @2262271
     /* 2262271 */ GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2262478),
     /* 2262276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262301 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2262345), // Rule ID 52233 //
     /* 2262306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262309 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262335 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262344 */     // GIR_Coverage, 52233,
     /* 2262344 */     GIR_EraseRootFromParent_Done,
     /* 2262345 */   // Label 30501: @2262345
     /* 2262345 */   GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2262389), // Rule ID 52234 //
     /* 2262350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262353 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262379 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262388 */     // GIR_Coverage, 52234,
     /* 2262388 */     GIR_EraseRootFromParent_Done,
     /* 2262389 */   // Label 30502: @2262389
     /* 2262389 */   GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2262433), // Rule ID 58087 //
     /* 2262394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262397 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262423 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262432 */     // GIR_Coverage, 58087,
     /* 2262432 */     GIR_EraseRootFromParent_Done,
     /* 2262433 */   // Label 30503: @2262433
     /* 2262433 */   GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2262477), // Rule ID 58088 //
     /* 2262438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262441 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262467 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262476 */     // GIR_Coverage, 58088,
     /* 2262476 */     GIR_EraseRootFromParent_Done,
     /* 2262477 */   // Label 30504: @2262477
     /* 2262477 */   GIM_Reject,
     /* 2262478 */ // Label 30500: @2262478
     /* 2262478 */ GIM_Reject,
     /* 2262479 */ // Label 30416: @2262479
     /* 2262479 */ GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2262598),
     /* 2262484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262509 */   GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2262553), // Rule ID 52167 //
     /* 2262514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262517 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262543 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262552 */     // GIR_Coverage, 52167,
     /* 2262552 */     GIR_EraseRootFromParent_Done,
     /* 2262553 */   // Label 30506: @2262553
     /* 2262553 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2262597), // Rule ID 52168 //
     /* 2262558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262561 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262587 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262596 */     // GIR_Coverage, 52168,
     /* 2262596 */     GIR_EraseRootFromParent_Done,
     /* 2262597 */   // Label 30507: @2262597
     /* 2262597 */   GIM_Reject,
     /* 2262598 */ // Label 30505: @2262598
     /* 2262598 */ GIM_Reject,
     /* 2262599 */ // Label 30417: @2262599
     /* 2262599 */ GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2262806),
     /* 2262604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262625 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262629 */   GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2262673), // Rule ID 52191 //
     /* 2262634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262637 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262663 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262672 */     // GIR_Coverage, 52191,
     /* 2262672 */     GIR_EraseRootFromParent_Done,
     /* 2262673 */   // Label 30509: @2262673
     /* 2262673 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2262717), // Rule ID 52192 //
     /* 2262678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262681 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262707 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262716 */     // GIR_Coverage, 52192,
     /* 2262716 */     GIR_EraseRootFromParent_Done,
     /* 2262717 */   // Label 30510: @2262717
     /* 2262717 */   GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2262761), // Rule ID 58017 //
     /* 2262722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262725 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262751 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262760 */     // GIR_Coverage, 58017,
     /* 2262760 */     GIR_EraseRootFromParent_Done,
     /* 2262761 */   // Label 30511: @2262761
     /* 2262761 */   GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2262805), // Rule ID 58018 //
     /* 2262766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262769 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262795 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262804 */     // GIR_Coverage, 58018,
     /* 2262804 */     GIR_EraseRootFromParent_Done,
     /* 2262805 */   // Label 30512: @2262805
     /* 2262805 */   GIM_Reject,
     /* 2262806 */ // Label 30508: @2262806
     /* 2262806 */ GIM_Reject,
     /* 2262807 */ // Label 30418: @2262807
     /* 2262807 */ GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2263014),
     /* 2262812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262837 */   GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2262881), // Rule ID 52215 //
     /* 2262842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262845 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262871 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262880 */     // GIR_Coverage, 52215,
     /* 2262880 */     GIR_EraseRootFromParent_Done,
     /* 2262881 */   // Label 30514: @2262881
     /* 2262881 */   GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2262925), // Rule ID 52216 //
     /* 2262886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262889 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262915 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262924 */     // GIR_Coverage, 52216,
     /* 2262924 */     GIR_EraseRootFromParent_Done,
     /* 2262925 */   // Label 30515: @2262925
     /* 2262925 */   GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2262969), // Rule ID 58057 //
     /* 2262930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262933 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262959 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262968 */     // GIR_Coverage, 58057,
     /* 2262968 */     GIR_EraseRootFromParent_Done,
     /* 2262969 */   // Label 30516: @2262969
     /* 2262969 */   GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2263013), // Rule ID 58058 //
     /* 2262974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262977 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263003 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263012 */     // GIR_Coverage, 58058,
     /* 2263012 */     GIR_EraseRootFromParent_Done,
     /* 2263013 */   // Label 30517: @2263013
     /* 2263013 */   GIM_Reject,
     /* 2263014 */ // Label 30513: @2263014
     /* 2263014 */ GIM_Reject,
     /* 2263015 */ // Label 30419: @2263015
     /* 2263015 */ GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2263134),
     /* 2263020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2263023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2263026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2263029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2263033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263045 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2263089), // Rule ID 52173 //
     /* 2263050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263053 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263079 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263088 */     // GIR_Coverage, 52173,
     /* 2263088 */     GIR_EraseRootFromParent_Done,
     /* 2263089 */   // Label 30519: @2263089
     /* 2263089 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2263133), // Rule ID 52174 //
     /* 2263094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263097 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263123 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263132 */     // GIR_Coverage, 52174,
     /* 2263132 */     GIR_EraseRootFromParent_Done,
     /* 2263133 */   // Label 30520: @2263133
     /* 2263133 */   GIM_Reject,
     /* 2263134 */ // Label 30518: @2263134
     /* 2263134 */ GIM_Reject,
     /* 2263135 */ // Label 30420: @2263135
     /* 2263135 */ GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2263342),
     /* 2263140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2263143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2263146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2263149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263161 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263165 */   GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2263209), // Rule ID 52197 //
     /* 2263170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263173 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263199 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263208 */     // GIR_Coverage, 52197,
     /* 2263208 */     GIR_EraseRootFromParent_Done,
     /* 2263209 */   // Label 30522: @2263209
     /* 2263209 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2263253), // Rule ID 52198 //
     /* 2263214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263217 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263243 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263252 */     // GIR_Coverage, 52198,
     /* 2263252 */     GIR_EraseRootFromParent_Done,
     /* 2263253 */   // Label 30523: @2263253
     /* 2263253 */   GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2263297), // Rule ID 58027 //
     /* 2263258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263261 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263287 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263296 */     // GIR_Coverage, 58027,
     /* 2263296 */     GIR_EraseRootFromParent_Done,
     /* 2263297 */   // Label 30524: @2263297
     /* 2263297 */   GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2263341), // Rule ID 58028 //
     /* 2263302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263305 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263331 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263340 */     // GIR_Coverage, 58028,
     /* 2263340 */     GIR_EraseRootFromParent_Done,
     /* 2263341 */   // Label 30525: @2263341
     /* 2263341 */   GIM_Reject,
     /* 2263342 */ // Label 30521: @2263342
     /* 2263342 */ GIM_Reject,
     /* 2263343 */ // Label 30421: @2263343
     /* 2263343 */ GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2263462),
     /* 2263348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2263351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2263354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2263357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263373 */   GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2263417), // Rule ID 52179 //
     /* 2263378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263381 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263407 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263416 */     // GIR_Coverage, 52179,
     /* 2263416 */     GIR_EraseRootFromParent_Done,
     /* 2263417 */   // Label 30527: @2263417
     /* 2263417 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2263461), // Rule ID 52180 //
     /* 2263422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263425 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263451 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263460 */     // GIR_Coverage, 52180,
     /* 2263460 */     GIR_EraseRootFromParent_Done,
     /* 2263461 */   // Label 30528: @2263461
     /* 2263461 */   GIM_Reject,
     /* 2263462 */ // Label 30526: @2263462
     /* 2263462 */ GIM_Reject,
     /* 2263463 */ // Label 30422: @2263463
     /* 2263463 */ GIM_Reject,
     /* 2263464 */ // Label 51: @2263464
     /* 2263464 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30553*/ GIMT_Encode4(2266197),
     /* 2263475 */ /*GILLT_s32*//*Label 30529*/ GIMT_Encode4(2263599),
     /* 2263479 */ /*GILLT_s64*//*Label 30530*/ GIMT_Encode4(2263633), GIMT_Encode4(0),
     /* 2263487 */ /*GILLT_nxv1s8*//*Label 30531*/ GIMT_Encode4(2263667),
     /* 2263491 */ /*GILLT_nxv1s16*//*Label 30532*/ GIMT_Encode4(2263782),
     /* 2263495 */ /*GILLT_nxv1s32*//*Label 30533*/ GIMT_Encode4(2263897),
     /* 2263499 */ /*GILLT_nxv1s64*//*Label 30534*/ GIMT_Encode4(2264012), GIMT_Encode4(0),
     /* 2263507 */ /*GILLT_nxv2s8*//*Label 30535*/ GIMT_Encode4(2264127),
     /* 2263511 */ /*GILLT_nxv2s16*//*Label 30536*/ GIMT_Encode4(2264242),
     /* 2263515 */ /*GILLT_nxv2s32*//*Label 30537*/ GIMT_Encode4(2264357),
     /* 2263519 */ /*GILLT_nxv2s64*//*Label 30538*/ GIMT_Encode4(2264472), GIMT_Encode4(0),
     /* 2263527 */ /*GILLT_nxv4s8*//*Label 30539*/ GIMT_Encode4(2264587),
     /* 2263531 */ /*GILLT_nxv4s16*//*Label 30540*/ GIMT_Encode4(2264702),
     /* 2263535 */ /*GILLT_nxv4s32*//*Label 30541*/ GIMT_Encode4(2264817),
     /* 2263539 */ /*GILLT_nxv4s64*//*Label 30542*/ GIMT_Encode4(2264932), GIMT_Encode4(0),
     /* 2263547 */ /*GILLT_nxv8s8*//*Label 30543*/ GIMT_Encode4(2265047),
     /* 2263551 */ /*GILLT_nxv8s16*//*Label 30544*/ GIMT_Encode4(2265162),
     /* 2263555 */ /*GILLT_nxv8s32*//*Label 30545*/ GIMT_Encode4(2265277),
     /* 2263559 */ /*GILLT_nxv8s64*//*Label 30546*/ GIMT_Encode4(2265392), GIMT_Encode4(0),
     /* 2263567 */ /*GILLT_nxv16s8*//*Label 30547*/ GIMT_Encode4(2265507),
     /* 2263571 */ /*GILLT_nxv16s16*//*Label 30548*/ GIMT_Encode4(2265622),
     /* 2263575 */ /*GILLT_nxv16s32*//*Label 30549*/ GIMT_Encode4(2265737), GIMT_Encode4(0),
     /* 2263583 */ /*GILLT_nxv32s8*//*Label 30550*/ GIMT_Encode4(2265852),
     /* 2263587 */ /*GILLT_nxv32s16*//*Label 30551*/ GIMT_Encode4(2265967), GIMT_Encode4(0),
     /* 2263595 */ /*GILLT_nxv64s8*//*Label 30552*/ GIMT_Encode4(2266082),
     /* 2263599 */ // Label 30529: @2263599
     /* 2263599 */ GIM_Try, /*On fail goto*//*Label 30554*/ GIMT_Encode4(2263632), // Rule ID 293 //
     /* 2263604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2263607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2263610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2263613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263625 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2263625 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2263630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263631 */   // GIR_Coverage, 293,
     /* 2263631 */   GIR_Done,
     /* 2263632 */ // Label 30554: @2263632
     /* 2263632 */ GIM_Reject,
     /* 2263633 */ // Label 30530: @2263633
     /* 2263633 */ GIM_Try, /*On fail goto*//*Label 30555*/ GIMT_Encode4(2263666), // Rule ID 292 //
     /* 2263638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2263641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2263644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2263647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263659 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2263659 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2263664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263665 */   // GIR_Coverage, 292,
     /* 2263665 */   GIR_Done,
     /* 2263666 */ // Label 30555: @2263666
     /* 2263666 */ GIM_Reject,
     /* 2263667 */ // Label 30531: @2263667
     /* 2263667 */ GIM_Try, /*On fail goto*//*Label 30556*/ GIMT_Encode4(2263781),
     /* 2263672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2263675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2263678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263690 */   GIM_Try, /*On fail goto*//*Label 30557*/ GIMT_Encode4(2263735), // Rule ID 50883 //
     /* 2263695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263698 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2263701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2263715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263734 */     // GIR_Coverage, 50883,
     /* 2263734 */     GIR_EraseRootFromParent_Done,
     /* 2263735 */   // Label 30557: @2263735
     /* 2263735 */   GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2263780), // Rule ID 50884 //
     /* 2263740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263743 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2263746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2263760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263779 */     // GIR_Coverage, 50884,
     /* 2263779 */     GIR_EraseRootFromParent_Done,
     /* 2263780 */   // Label 30558: @2263780
     /* 2263780 */   GIM_Reject,
     /* 2263781 */ // Label 30556: @2263781
     /* 2263781 */ GIM_Reject,
     /* 2263782 */ // Label 30532: @2263782
     /* 2263782 */ GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2263896),
     /* 2263787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2263790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263805 */   GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2263850), // Rule ID 50895 //
     /* 2263810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263813 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2263816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2263830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263849 */     // GIR_Coverage, 50895,
     /* 2263849 */     GIR_EraseRootFromParent_Done,
     /* 2263850 */   // Label 30560: @2263850
     /* 2263850 */   GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2263895), // Rule ID 50896 //
     /* 2263855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263858 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2263861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2263875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263894 */     // GIR_Coverage, 50896,
     /* 2263894 */     GIR_EraseRootFromParent_Done,
     /* 2263895 */   // Label 30561: @2263895
     /* 2263895 */   GIM_Reject,
     /* 2263896 */ // Label 30559: @2263896
     /* 2263896 */ GIM_Reject,
     /* 2263897 */ // Label 30533: @2263897
     /* 2263897 */ GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2264011),
     /* 2263902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2263905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263920 */   GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2263965), // Rule ID 50903 //
     /* 2263925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263928 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2263931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263964 */     // GIR_Coverage, 50903,
     /* 2263964 */     GIR_EraseRootFromParent_Done,
     /* 2263965 */   // Label 30563: @2263965
     /* 2263965 */   GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2264010), // Rule ID 50904 //
     /* 2263970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263973 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2263976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264009 */     // GIR_Coverage, 50904,
     /* 2264009 */     GIR_EraseRootFromParent_Done,
     /* 2264010 */   // Label 30564: @2264010
     /* 2264010 */   GIM_Reject,
     /* 2264011 */ // Label 30562: @2264011
     /* 2264011 */ GIM_Reject,
     /* 2264012 */ // Label 30534: @2264012
     /* 2264012 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2264126),
     /* 2264017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2264020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2264023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264035 */   GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2264080), // Rule ID 50971 //
     /* 2264040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264043 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264079 */     // GIR_Coverage, 50971,
     /* 2264079 */     GIR_EraseRootFromParent_Done,
     /* 2264080 */   // Label 30566: @2264080
     /* 2264080 */   GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2264125), // Rule ID 50972 //
     /* 2264085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264088 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264124 */     // GIR_Coverage, 50972,
     /* 2264124 */     GIR_EraseRootFromParent_Done,
     /* 2264125 */   // Label 30567: @2264125
     /* 2264125 */   GIM_Reject,
     /* 2264126 */ // Label 30565: @2264126
     /* 2264126 */ GIM_Reject,
     /* 2264127 */ // Label 30535: @2264127
     /* 2264127 */ GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2264241),
     /* 2264132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2264135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2264138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264150 */   GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2264195), // Rule ID 50887 //
     /* 2264155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264158 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264194 */     // GIR_Coverage, 50887,
     /* 2264194 */     GIR_EraseRootFromParent_Done,
     /* 2264195 */   // Label 30569: @2264195
     /* 2264195 */   GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2264240), // Rule ID 50888 //
     /* 2264200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264203 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264239 */     // GIR_Coverage, 50888,
     /* 2264239 */     GIR_EraseRootFromParent_Done,
     /* 2264240 */   // Label 30570: @2264240
     /* 2264240 */   GIM_Reject,
     /* 2264241 */ // Label 30568: @2264241
     /* 2264241 */ GIM_Reject,
     /* 2264242 */ // Label 30536: @2264242
     /* 2264242 */ GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2264356),
     /* 2264247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2264250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264265 */   GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2264310), // Rule ID 50899 //
     /* 2264270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264273 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264309 */     // GIR_Coverage, 50899,
     /* 2264309 */     GIR_EraseRootFromParent_Done,
     /* 2264310 */   // Label 30572: @2264310
     /* 2264310 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2264355), // Rule ID 50900 //
     /* 2264315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264318 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264354 */     // GIR_Coverage, 50900,
     /* 2264354 */     GIR_EraseRootFromParent_Done,
     /* 2264355 */   // Label 30573: @2264355
     /* 2264355 */   GIM_Reject,
     /* 2264356 */ // Label 30571: @2264356
     /* 2264356 */ GIM_Reject,
     /* 2264357 */ // Label 30537: @2264357
     /* 2264357 */ GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2264471),
     /* 2264362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2264365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264380 */   GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2264425), // Rule ID 50915 //
     /* 2264385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264388 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264424 */     // GIR_Coverage, 50915,
     /* 2264424 */     GIR_EraseRootFromParent_Done,
     /* 2264425 */   // Label 30575: @2264425
     /* 2264425 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2264470), // Rule ID 50916 //
     /* 2264430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264433 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264469 */     // GIR_Coverage, 50916,
     /* 2264469 */     GIR_EraseRootFromParent_Done,
     /* 2264470 */   // Label 30576: @2264470
     /* 2264470 */   GIM_Reject,
     /* 2264471 */ // Label 30574: @2264471
     /* 2264471 */ GIM_Reject,
     /* 2264472 */ // Label 30538: @2264472
     /* 2264472 */ GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2264586),
     /* 2264477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2264480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264495 */   GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2264540), // Rule ID 50975 //
     /* 2264500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264503 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264539 */     // GIR_Coverage, 50975,
     /* 2264539 */     GIR_EraseRootFromParent_Done,
     /* 2264540 */   // Label 30578: @2264540
     /* 2264540 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2264585), // Rule ID 50976 //
     /* 2264545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264548 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264584 */     // GIR_Coverage, 50976,
     /* 2264584 */     GIR_EraseRootFromParent_Done,
     /* 2264585 */   // Label 30579: @2264585
     /* 2264585 */   GIM_Reject,
     /* 2264586 */ // Label 30577: @2264586
     /* 2264586 */ GIM_Reject,
     /* 2264587 */ // Label 30539: @2264587
     /* 2264587 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2264701),
     /* 2264592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2264595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2264598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264610 */   GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2264655), // Rule ID 50891 //
     /* 2264615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264618 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2264621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264654 */     // GIR_Coverage, 50891,
     /* 2264654 */     GIR_EraseRootFromParent_Done,
     /* 2264655 */   // Label 30581: @2264655
     /* 2264655 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2264700), // Rule ID 50892 //
     /* 2264660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264663 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2264666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264699 */     // GIR_Coverage, 50892,
     /* 2264699 */     GIR_EraseRootFromParent_Done,
     /* 2264700 */   // Label 30582: @2264700
     /* 2264700 */   GIM_Reject,
     /* 2264701 */ // Label 30580: @2264701
     /* 2264701 */ GIM_Reject,
     /* 2264702 */ // Label 30540: @2264702
     /* 2264702 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2264816),
     /* 2264707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2264710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2264713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264725 */   GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2264770), // Rule ID 50911 //
     /* 2264730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264733 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2264736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264769 */     // GIR_Coverage, 50911,
     /* 2264769 */     GIR_EraseRootFromParent_Done,
     /* 2264770 */   // Label 30584: @2264770
     /* 2264770 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2264815), // Rule ID 50912 //
     /* 2264775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264778 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2264781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264814 */     // GIR_Coverage, 50912,
     /* 2264814 */     GIR_EraseRootFromParent_Done,
     /* 2264815 */   // Label 30585: @2264815
     /* 2264815 */   GIM_Reject,
     /* 2264816 */ // Label 30583: @2264816
     /* 2264816 */ GIM_Reject,
     /* 2264817 */ // Label 30541: @2264817
     /* 2264817 */ GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2264931),
     /* 2264822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2264825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2264828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264840 */   GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2264885), // Rule ID 50943 //
     /* 2264845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264848 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2264851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264884 */     // GIR_Coverage, 50943,
     /* 2264884 */     GIR_EraseRootFromParent_Done,
     /* 2264885 */   // Label 30587: @2264885
     /* 2264885 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2264930), // Rule ID 50944 //
     /* 2264890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264893 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2264896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264929 */     // GIR_Coverage, 50944,
     /* 2264929 */     GIR_EraseRootFromParent_Done,
     /* 2264930 */   // Label 30588: @2264930
     /* 2264930 */   GIM_Reject,
     /* 2264931 */ // Label 30586: @2264931
     /* 2264931 */ GIM_Reject,
     /* 2264932 */ // Label 30542: @2264932
     /* 2264932 */ GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2265046),
     /* 2264937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2264940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2264943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264955 */   GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2265000), // Rule ID 50979 //
     /* 2264960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264963 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2264966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264999 */     // GIR_Coverage, 50979,
     /* 2264999 */     GIR_EraseRootFromParent_Done,
     /* 2265000 */   // Label 30590: @2265000
     /* 2265000 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2265045), // Rule ID 50980 //
     /* 2265005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265008 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2265011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265044 */     // GIR_Coverage, 50980,
     /* 2265044 */     GIR_EraseRootFromParent_Done,
     /* 2265045 */   // Label 30591: @2265045
     /* 2265045 */   GIM_Reject,
     /* 2265046 */ // Label 30589: @2265046
     /* 2265046 */ GIM_Reject,
     /* 2265047 */ // Label 30543: @2265047
     /* 2265047 */ GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2265161),
     /* 2265052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2265055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2265058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265070 */   GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2265115), // Rule ID 50907 //
     /* 2265075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265078 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265114 */     // GIR_Coverage, 50907,
     /* 2265114 */     GIR_EraseRootFromParent_Done,
     /* 2265115 */   // Label 30593: @2265115
     /* 2265115 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2265160), // Rule ID 50908 //
     /* 2265120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265123 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265159 */     // GIR_Coverage, 50908,
     /* 2265159 */     GIR_EraseRootFromParent_Done,
     /* 2265160 */   // Label 30594: @2265160
     /* 2265160 */   GIM_Reject,
     /* 2265161 */ // Label 30592: @2265161
     /* 2265161 */ GIM_Reject,
     /* 2265162 */ // Label 30544: @2265162
     /* 2265162 */ GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2265276),
     /* 2265167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2265170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2265173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265185 */   GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2265230), // Rule ID 50931 //
     /* 2265190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265193 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265229 */     // GIR_Coverage, 50931,
     /* 2265229 */     GIR_EraseRootFromParent_Done,
     /* 2265230 */   // Label 30596: @2265230
     /* 2265230 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2265275), // Rule ID 50932 //
     /* 2265235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265238 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265274 */     // GIR_Coverage, 50932,
     /* 2265274 */     GIR_EraseRootFromParent_Done,
     /* 2265275 */   // Label 30597: @2265275
     /* 2265275 */   GIM_Reject,
     /* 2265276 */ // Label 30595: @2265276
     /* 2265276 */ GIM_Reject,
     /* 2265277 */ // Label 30545: @2265277
     /* 2265277 */ GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2265391),
     /* 2265282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2265285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2265288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265300 */   GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2265345), // Rule ID 50947 //
     /* 2265305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265308 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265344 */     // GIR_Coverage, 50947,
     /* 2265344 */     GIR_EraseRootFromParent_Done,
     /* 2265345 */   // Label 30599: @2265345
     /* 2265345 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2265390), // Rule ID 50948 //
     /* 2265350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265353 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265389 */     // GIR_Coverage, 50948,
     /* 2265389 */     GIR_EraseRootFromParent_Done,
     /* 2265390 */   // Label 30600: @2265390
     /* 2265390 */   GIM_Reject,
     /* 2265391 */ // Label 30598: @2265391
     /* 2265391 */ GIM_Reject,
     /* 2265392 */ // Label 30546: @2265392
     /* 2265392 */ GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2265506),
     /* 2265397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2265400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2265403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265415 */   GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2265460), // Rule ID 50983 //
     /* 2265420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265423 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265459 */     // GIR_Coverage, 50983,
     /* 2265459 */     GIR_EraseRootFromParent_Done,
     /* 2265460 */   // Label 30602: @2265460
     /* 2265460 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2265505), // Rule ID 50984 //
     /* 2265465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265468 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265504 */     // GIR_Coverage, 50984,
     /* 2265504 */     GIR_EraseRootFromParent_Done,
     /* 2265505 */   // Label 30603: @2265505
     /* 2265505 */   GIM_Reject,
     /* 2265506 */ // Label 30601: @2265506
     /* 2265506 */ GIM_Reject,
     /* 2265507 */ // Label 30547: @2265507
     /* 2265507 */ GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2265621),
     /* 2265512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2265515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265530 */   GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2265575), // Rule ID 50919 //
     /* 2265535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265538 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265574 */     // GIR_Coverage, 50919,
     /* 2265574 */     GIR_EraseRootFromParent_Done,
     /* 2265575 */   // Label 30605: @2265575
     /* 2265575 */   GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2265620), // Rule ID 50920 //
     /* 2265580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265583 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265619 */     // GIR_Coverage, 50920,
     /* 2265619 */     GIR_EraseRootFromParent_Done,
     /* 2265620 */   // Label 30606: @2265620
     /* 2265620 */   GIM_Reject,
     /* 2265621 */ // Label 30604: @2265621
     /* 2265621 */ GIM_Reject,
     /* 2265622 */ // Label 30548: @2265622
     /* 2265622 */ GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2265736),
     /* 2265627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2265630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265645 */   GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2265690), // Rule ID 50935 //
     /* 2265650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265653 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2265656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265689 */     // GIR_Coverage, 50935,
     /* 2265689 */     GIR_EraseRootFromParent_Done,
     /* 2265690 */   // Label 30608: @2265690
     /* 2265690 */   GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2265735), // Rule ID 50936 //
     /* 2265695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265698 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2265701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265734 */     // GIR_Coverage, 50936,
     /* 2265734 */     GIR_EraseRootFromParent_Done,
     /* 2265735 */   // Label 30609: @2265735
     /* 2265735 */   GIM_Reject,
     /* 2265736 */ // Label 30607: @2265736
     /* 2265736 */ GIM_Reject,
     /* 2265737 */ // Label 30549: @2265737
     /* 2265737 */ GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2265851),
     /* 2265742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2265745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265760 */   GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2265805), // Rule ID 50951 //
     /* 2265765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265768 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2265771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265804 */     // GIR_Coverage, 50951,
     /* 2265804 */     GIR_EraseRootFromParent_Done,
     /* 2265805 */   // Label 30611: @2265805
     /* 2265805 */   GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2265850), // Rule ID 50952 //
     /* 2265810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265813 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2265816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265849 */     // GIR_Coverage, 50952,
     /* 2265849 */     GIR_EraseRootFromParent_Done,
     /* 2265850 */   // Label 30612: @2265850
     /* 2265850 */   GIM_Reject,
     /* 2265851 */ // Label 30610: @2265851
     /* 2265851 */ GIM_Reject,
     /* 2265852 */ // Label 30550: @2265852
     /* 2265852 */ GIM_Try, /*On fail goto*//*Label 30613*/ GIMT_Encode4(2265966),
     /* 2265857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2265860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265875 */   GIM_Try, /*On fail goto*//*Label 30614*/ GIMT_Encode4(2265920), // Rule ID 50923 //
     /* 2265880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265883 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2265886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265919 */     // GIR_Coverage, 50923,
     /* 2265919 */     GIR_EraseRootFromParent_Done,
     /* 2265920 */   // Label 30614: @2265920
     /* 2265920 */   GIM_Try, /*On fail goto*//*Label 30615*/ GIMT_Encode4(2265965), // Rule ID 50924 //
     /* 2265925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265928 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2265931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265964 */     // GIR_Coverage, 50924,
     /* 2265964 */     GIR_EraseRootFromParent_Done,
     /* 2265965 */   // Label 30615: @2265965
     /* 2265965 */   GIM_Reject,
     /* 2265966 */ // Label 30613: @2265966
     /* 2265966 */ GIM_Reject,
     /* 2265967 */ // Label 30551: @2265967
     /* 2265967 */ GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2266081),
     /* 2265972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2265975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265990 */   GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2266035), // Rule ID 50939 //
     /* 2265995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265998 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2266001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266034 */     // GIR_Coverage, 50939,
     /* 2266034 */     GIR_EraseRootFromParent_Done,
     /* 2266035 */   // Label 30617: @2266035
     /* 2266035 */   GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2266080), // Rule ID 50940 //
     /* 2266040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266043 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2266046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266079 */     // GIR_Coverage, 50940,
     /* 2266079 */     GIR_EraseRootFromParent_Done,
     /* 2266080 */   // Label 30618: @2266080
     /* 2266080 */   GIM_Reject,
     /* 2266081 */ // Label 30616: @2266081
     /* 2266081 */ GIM_Reject,
     /* 2266082 */ // Label 30552: @2266082
     /* 2266082 */ GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2266196),
     /* 2266087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2266090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2266093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266105 */   GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2266150), // Rule ID 50927 //
     /* 2266110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266113 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266149 */     // GIR_Coverage, 50927,
     /* 2266149 */     GIR_EraseRootFromParent_Done,
     /* 2266150 */   // Label 30620: @2266150
     /* 2266150 */   GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2266195), // Rule ID 50928 //
     /* 2266155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266158 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266194 */     // GIR_Coverage, 50928,
     /* 2266194 */     GIR_EraseRootFromParent_Done,
     /* 2266195 */   // Label 30621: @2266195
     /* 2266195 */   GIM_Reject,
     /* 2266196 */ // Label 30619: @2266196
     /* 2266196 */ GIM_Reject,
     /* 2266197 */ // Label 30553: @2266197
     /* 2266197 */ GIM_Reject,
     /* 2266198 */ // Label 52: @2266198
     /* 2266198 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30646*/ GIMT_Encode4(2268931),
     /* 2266209 */ /*GILLT_s32*//*Label 30622*/ GIMT_Encode4(2266333),
     /* 2266213 */ /*GILLT_s64*//*Label 30623*/ GIMT_Encode4(2266367), GIMT_Encode4(0),
     /* 2266221 */ /*GILLT_nxv1s8*//*Label 30624*/ GIMT_Encode4(2266401),
     /* 2266225 */ /*GILLT_nxv1s16*//*Label 30625*/ GIMT_Encode4(2266516),
     /* 2266229 */ /*GILLT_nxv1s32*//*Label 30626*/ GIMT_Encode4(2266631),
     /* 2266233 */ /*GILLT_nxv1s64*//*Label 30627*/ GIMT_Encode4(2266746), GIMT_Encode4(0),
     /* 2266241 */ /*GILLT_nxv2s8*//*Label 30628*/ GIMT_Encode4(2266861),
     /* 2266245 */ /*GILLT_nxv2s16*//*Label 30629*/ GIMT_Encode4(2266976),
     /* 2266249 */ /*GILLT_nxv2s32*//*Label 30630*/ GIMT_Encode4(2267091),
     /* 2266253 */ /*GILLT_nxv2s64*//*Label 30631*/ GIMT_Encode4(2267206), GIMT_Encode4(0),
     /* 2266261 */ /*GILLT_nxv4s8*//*Label 30632*/ GIMT_Encode4(2267321),
     /* 2266265 */ /*GILLT_nxv4s16*//*Label 30633*/ GIMT_Encode4(2267436),
     /* 2266269 */ /*GILLT_nxv4s32*//*Label 30634*/ GIMT_Encode4(2267551),
     /* 2266273 */ /*GILLT_nxv4s64*//*Label 30635*/ GIMT_Encode4(2267666), GIMT_Encode4(0),
     /* 2266281 */ /*GILLT_nxv8s8*//*Label 30636*/ GIMT_Encode4(2267781),
     /* 2266285 */ /*GILLT_nxv8s16*//*Label 30637*/ GIMT_Encode4(2267896),
     /* 2266289 */ /*GILLT_nxv8s32*//*Label 30638*/ GIMT_Encode4(2268011),
     /* 2266293 */ /*GILLT_nxv8s64*//*Label 30639*/ GIMT_Encode4(2268126), GIMT_Encode4(0),
     /* 2266301 */ /*GILLT_nxv16s8*//*Label 30640*/ GIMT_Encode4(2268241),
     /* 2266305 */ /*GILLT_nxv16s16*//*Label 30641*/ GIMT_Encode4(2268356),
     /* 2266309 */ /*GILLT_nxv16s32*//*Label 30642*/ GIMT_Encode4(2268471), GIMT_Encode4(0),
     /* 2266317 */ /*GILLT_nxv32s8*//*Label 30643*/ GIMT_Encode4(2268586),
     /* 2266321 */ /*GILLT_nxv32s16*//*Label 30644*/ GIMT_Encode4(2268701), GIMT_Encode4(0),
     /* 2266329 */ /*GILLT_nxv64s8*//*Label 30645*/ GIMT_Encode4(2268816),
     /* 2266333 */ // Label 30622: @2266333
     /* 2266333 */ GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2266366), // Rule ID 291 //
     /* 2266338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2266341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2266344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266359 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2266359 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266365 */   // GIR_Coverage, 291,
     /* 2266365 */   GIR_Done,
     /* 2266366 */ // Label 30647: @2266366
     /* 2266366 */ GIM_Reject,
     /* 2266367 */ // Label 30623: @2266367
     /* 2266367 */ GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2266400), // Rule ID 290 //
     /* 2266372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2266375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2266378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2266381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266393 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2266393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266399 */   // GIR_Coverage, 290,
     /* 2266399 */   GIR_Done,
     /* 2266400 */ // Label 30648: @2266400
     /* 2266400 */ GIM_Reject,
     /* 2266401 */ // Label 30624: @2266401
     /* 2266401 */ GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2266515),
     /* 2266406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2266409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2266412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266424 */   GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2266469), // Rule ID 50811 //
     /* 2266429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266432 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266468 */     // GIR_Coverage, 50811,
     /* 2266468 */     GIR_EraseRootFromParent_Done,
     /* 2266469 */   // Label 30650: @2266469
     /* 2266469 */   GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2266514), // Rule ID 50812 //
     /* 2266474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266477 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266513 */     // GIR_Coverage, 50812,
     /* 2266513 */     GIR_EraseRootFromParent_Done,
     /* 2266514 */   // Label 30651: @2266514
     /* 2266514 */   GIM_Reject,
     /* 2266515 */ // Label 30649: @2266515
     /* 2266515 */ GIM_Reject,
     /* 2266516 */ // Label 30625: @2266516
     /* 2266516 */ GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2266630),
     /* 2266521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2266524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2266527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266539 */   GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2266584), // Rule ID 50823 //
     /* 2266544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266547 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266583 */     // GIR_Coverage, 50823,
     /* 2266583 */     GIR_EraseRootFromParent_Done,
     /* 2266584 */   // Label 30653: @2266584
     /* 2266584 */   GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2266629), // Rule ID 50824 //
     /* 2266589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266592 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266628 */     // GIR_Coverage, 50824,
     /* 2266628 */     GIR_EraseRootFromParent_Done,
     /* 2266629 */   // Label 30654: @2266629
     /* 2266629 */   GIM_Reject,
     /* 2266630 */ // Label 30652: @2266630
     /* 2266630 */ GIM_Reject,
     /* 2266631 */ // Label 30626: @2266631
     /* 2266631 */ GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2266745),
     /* 2266636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2266639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2266642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266654 */   GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2266699), // Rule ID 50831 //
     /* 2266659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266662 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2266665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2266679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266698 */     // GIR_Coverage, 50831,
     /* 2266698 */     GIR_EraseRootFromParent_Done,
     /* 2266699 */   // Label 30656: @2266699
     /* 2266699 */   GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2266744), // Rule ID 50832 //
     /* 2266704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266707 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2266710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2266724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266743 */     // GIR_Coverage, 50832,
     /* 2266743 */     GIR_EraseRootFromParent_Done,
     /* 2266744 */   // Label 30657: @2266744
     /* 2266744 */   GIM_Reject,
     /* 2266745 */ // Label 30655: @2266745
     /* 2266745 */ GIM_Reject,
     /* 2266746 */ // Label 30627: @2266746
     /* 2266746 */ GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2266860),
     /* 2266751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2266754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2266757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266769 */   GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2266814), // Rule ID 50955 //
     /* 2266774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2266777 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2266780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266813 */     // GIR_Coverage, 50955,
     /* 2266813 */     GIR_EraseRootFromParent_Done,
     /* 2266814 */   // Label 30659: @2266814
     /* 2266814 */   GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2266859), // Rule ID 50956 //
     /* 2266819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2266822 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2266825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266858 */     // GIR_Coverage, 50956,
     /* 2266858 */     GIR_EraseRootFromParent_Done,
     /* 2266859 */   // Label 30660: @2266859
     /* 2266859 */   GIM_Reject,
     /* 2266860 */ // Label 30658: @2266860
     /* 2266860 */ GIM_Reject,
     /* 2266861 */ // Label 30628: @2266861
     /* 2266861 */ GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2266975),
     /* 2266866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2266869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2266872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266884 */   GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2266929), // Rule ID 50815 //
     /* 2266889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266892 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2266895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266928 */     // GIR_Coverage, 50815,
     /* 2266928 */     GIR_EraseRootFromParent_Done,
     /* 2266929 */   // Label 30662: @2266929
     /* 2266929 */   GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2266974), // Rule ID 50816 //
     /* 2266934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266937 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2266940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266973 */     // GIR_Coverage, 50816,
     /* 2266973 */     GIR_EraseRootFromParent_Done,
     /* 2266974 */   // Label 30663: @2266974
     /* 2266974 */   GIM_Reject,
     /* 2266975 */ // Label 30661: @2266975
     /* 2266975 */ GIM_Reject,
     /* 2266976 */ // Label 30629: @2266976
     /* 2266976 */ GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2267090),
     /* 2266981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2266984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2266987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266999 */   GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2267044), // Rule ID 50827 //
     /* 2267004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267007 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2267010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267043 */     // GIR_Coverage, 50827,
     /* 2267043 */     GIR_EraseRootFromParent_Done,
     /* 2267044 */   // Label 30665: @2267044
     /* 2267044 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2267089), // Rule ID 50828 //
     /* 2267049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267052 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2267055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267088 */     // GIR_Coverage, 50828,
     /* 2267088 */     GIR_EraseRootFromParent_Done,
     /* 2267089 */   // Label 30666: @2267089
     /* 2267089 */   GIM_Reject,
     /* 2267090 */ // Label 30664: @2267090
     /* 2267090 */ GIM_Reject,
     /* 2267091 */ // Label 30630: @2267091
     /* 2267091 */ GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2267205),
     /* 2267096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2267099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2267102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267114 */   GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2267159), // Rule ID 50843 //
     /* 2267119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267122 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267158 */     // GIR_Coverage, 50843,
     /* 2267158 */     GIR_EraseRootFromParent_Done,
     /* 2267159 */   // Label 30668: @2267159
     /* 2267159 */   GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2267204), // Rule ID 50844 //
     /* 2267164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267167 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267203 */     // GIR_Coverage, 50844,
     /* 2267203 */     GIR_EraseRootFromParent_Done,
     /* 2267204 */   // Label 30669: @2267204
     /* 2267204 */   GIM_Reject,
     /* 2267205 */ // Label 30667: @2267205
     /* 2267205 */ GIM_Reject,
     /* 2267206 */ // Label 30631: @2267206
     /* 2267206 */ GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2267320),
     /* 2267211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2267214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2267217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267229 */   GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2267274), // Rule ID 50959 //
     /* 2267234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267237 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267273 */     // GIR_Coverage, 50959,
     /* 2267273 */     GIR_EraseRootFromParent_Done,
     /* 2267274 */   // Label 30671: @2267274
     /* 2267274 */   GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2267319), // Rule ID 50960 //
     /* 2267279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267282 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267318 */     // GIR_Coverage, 50960,
     /* 2267318 */     GIR_EraseRootFromParent_Done,
     /* 2267319 */   // Label 30672: @2267319
     /* 2267319 */   GIM_Reject,
     /* 2267320 */ // Label 30670: @2267320
     /* 2267320 */ GIM_Reject,
     /* 2267321 */ // Label 30632: @2267321
     /* 2267321 */ GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2267435),
     /* 2267326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2267329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2267332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267344 */   GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2267389), // Rule ID 50819 //
     /* 2267349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267352 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267388 */     // GIR_Coverage, 50819,
     /* 2267388 */     GIR_EraseRootFromParent_Done,
     /* 2267389 */   // Label 30674: @2267389
     /* 2267389 */   GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2267434), // Rule ID 50820 //
     /* 2267394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267397 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267433 */     // GIR_Coverage, 50820,
     /* 2267433 */     GIR_EraseRootFromParent_Done,
     /* 2267434 */   // Label 30675: @2267434
     /* 2267434 */   GIM_Reject,
     /* 2267435 */ // Label 30673: @2267435
     /* 2267435 */ GIM_Reject,
     /* 2267436 */ // Label 30633: @2267436
     /* 2267436 */ GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2267550),
     /* 2267441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2267444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2267447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267459 */   GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2267504), // Rule ID 50839 //
     /* 2267464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267467 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267503 */     // GIR_Coverage, 50839,
     /* 2267503 */     GIR_EraseRootFromParent_Done,
     /* 2267504 */   // Label 30677: @2267504
     /* 2267504 */   GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2267549), // Rule ID 50840 //
     /* 2267509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267512 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267548 */     // GIR_Coverage, 50840,
     /* 2267548 */     GIR_EraseRootFromParent_Done,
     /* 2267549 */   // Label 30678: @2267549
     /* 2267549 */   GIM_Reject,
     /* 2267550 */ // Label 30676: @2267550
     /* 2267550 */ GIM_Reject,
     /* 2267551 */ // Label 30634: @2267551
     /* 2267551 */ GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2267665),
     /* 2267556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2267559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2267562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267574 */   GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2267619), // Rule ID 50871 //
     /* 2267579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267582 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267618 */     // GIR_Coverage, 50871,
     /* 2267618 */     GIR_EraseRootFromParent_Done,
     /* 2267619 */   // Label 30680: @2267619
     /* 2267619 */   GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2267664), // Rule ID 50872 //
     /* 2267624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267627 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267663 */     // GIR_Coverage, 50872,
     /* 2267663 */     GIR_EraseRootFromParent_Done,
     /* 2267664 */   // Label 30681: @2267664
     /* 2267664 */   GIM_Reject,
     /* 2267665 */ // Label 30679: @2267665
     /* 2267665 */ GIM_Reject,
     /* 2267666 */ // Label 30635: @2267666
     /* 2267666 */ GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2267780),
     /* 2267671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2267674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2267677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267689 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2267734), // Rule ID 50963 //
     /* 2267694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267697 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2267700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267733 */     // GIR_Coverage, 50963,
     /* 2267733 */     GIR_EraseRootFromParent_Done,
     /* 2267734 */   // Label 30683: @2267734
     /* 2267734 */   GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2267779), // Rule ID 50964 //
     /* 2267739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267742 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2267745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267778 */     // GIR_Coverage, 50964,
     /* 2267778 */     GIR_EraseRootFromParent_Done,
     /* 2267779 */   // Label 30684: @2267779
     /* 2267779 */   GIM_Reject,
     /* 2267780 */ // Label 30682: @2267780
     /* 2267780 */ GIM_Reject,
     /* 2267781 */ // Label 30636: @2267781
     /* 2267781 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2267895),
     /* 2267786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2267789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2267792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267804 */   GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2267849), // Rule ID 50835 //
     /* 2267809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267812 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2267815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267848 */     // GIR_Coverage, 50835,
     /* 2267848 */     GIR_EraseRootFromParent_Done,
     /* 2267849 */   // Label 30686: @2267849
     /* 2267849 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2267894), // Rule ID 50836 //
     /* 2267854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267857 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2267860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267893 */     // GIR_Coverage, 50836,
     /* 2267893 */     GIR_EraseRootFromParent_Done,
     /* 2267894 */   // Label 30687: @2267894
     /* 2267894 */   GIM_Reject,
     /* 2267895 */ // Label 30685: @2267895
     /* 2267895 */ GIM_Reject,
     /* 2267896 */ // Label 30637: @2267896
     /* 2267896 */ GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2268010),
     /* 2267901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2267904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2267907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267919 */   GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2267964), // Rule ID 50859 //
     /* 2267924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267927 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2267930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267963 */     // GIR_Coverage, 50859,
     /* 2267963 */     GIR_EraseRootFromParent_Done,
     /* 2267964 */   // Label 30689: @2267964
     /* 2267964 */   GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2268009), // Rule ID 50860 //
     /* 2267969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267972 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2267975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268008 */     // GIR_Coverage, 50860,
     /* 2268008 */     GIR_EraseRootFromParent_Done,
     /* 2268009 */   // Label 30690: @2268009
     /* 2268009 */   GIM_Reject,
     /* 2268010 */ // Label 30688: @2268010
     /* 2268010 */ GIM_Reject,
     /* 2268011 */ // Label 30638: @2268011
     /* 2268011 */ GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2268125),
     /* 2268016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2268019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2268022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268034 */   GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2268079), // Rule ID 50875 //
     /* 2268039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268042 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2268045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268078 */     // GIR_Coverage, 50875,
     /* 2268078 */     GIR_EraseRootFromParent_Done,
     /* 2268079 */   // Label 30692: @2268079
     /* 2268079 */   GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2268124), // Rule ID 50876 //
     /* 2268084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268087 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2268090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268123 */     // GIR_Coverage, 50876,
     /* 2268123 */     GIR_EraseRootFromParent_Done,
     /* 2268124 */   // Label 30693: @2268124
     /* 2268124 */   GIM_Reject,
     /* 2268125 */ // Label 30691: @2268125
     /* 2268125 */ GIM_Reject,
     /* 2268126 */ // Label 30639: @2268126
     /* 2268126 */ GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2268240),
     /* 2268131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2268134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2268137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268149 */   GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2268194), // Rule ID 50967 //
     /* 2268154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2268157 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268193 */     // GIR_Coverage, 50967,
     /* 2268193 */     GIR_EraseRootFromParent_Done,
     /* 2268194 */   // Label 30695: @2268194
     /* 2268194 */   GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2268239), // Rule ID 50968 //
     /* 2268199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2268202 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268238 */     // GIR_Coverage, 50968,
     /* 2268238 */     GIR_EraseRootFromParent_Done,
     /* 2268239 */   // Label 30696: @2268239
     /* 2268239 */   GIM_Reject,
     /* 2268240 */ // Label 30694: @2268240
     /* 2268240 */ GIM_Reject,
     /* 2268241 */ // Label 30640: @2268241
     /* 2268241 */ GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2268355),
     /* 2268246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2268249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2268252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268264 */   GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2268309), // Rule ID 50847 //
     /* 2268269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268272 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268308 */     // GIR_Coverage, 50847,
     /* 2268308 */     GIR_EraseRootFromParent_Done,
     /* 2268309 */   // Label 30698: @2268309
     /* 2268309 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2268354), // Rule ID 50848 //
     /* 2268314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268317 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268353 */     // GIR_Coverage, 50848,
     /* 2268353 */     GIR_EraseRootFromParent_Done,
     /* 2268354 */   // Label 30699: @2268354
     /* 2268354 */   GIM_Reject,
     /* 2268355 */ // Label 30697: @2268355
     /* 2268355 */ GIM_Reject,
     /* 2268356 */ // Label 30641: @2268356
     /* 2268356 */ GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2268470),
     /* 2268361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2268364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2268367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268379 */   GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2268424), // Rule ID 50863 //
     /* 2268384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268387 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268423 */     // GIR_Coverage, 50863,
     /* 2268423 */     GIR_EraseRootFromParent_Done,
     /* 2268424 */   // Label 30701: @2268424
     /* 2268424 */   GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2268469), // Rule ID 50864 //
     /* 2268429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268432 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268468 */     // GIR_Coverage, 50864,
     /* 2268468 */     GIR_EraseRootFromParent_Done,
     /* 2268469 */   // Label 30702: @2268469
     /* 2268469 */   GIM_Reject,
     /* 2268470 */ // Label 30700: @2268470
     /* 2268470 */ GIM_Reject,
     /* 2268471 */ // Label 30642: @2268471
     /* 2268471 */ GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2268585),
     /* 2268476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2268479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268494 */   GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2268539), // Rule ID 50879 //
     /* 2268499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268502 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268538 */     // GIR_Coverage, 50879,
     /* 2268538 */     GIR_EraseRootFromParent_Done,
     /* 2268539 */   // Label 30704: @2268539
     /* 2268539 */   GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2268584), // Rule ID 50880 //
     /* 2268544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268547 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268583 */     // GIR_Coverage, 50880,
     /* 2268583 */     GIR_EraseRootFromParent_Done,
     /* 2268584 */   // Label 30705: @2268584
     /* 2268584 */   GIM_Reject,
     /* 2268585 */ // Label 30703: @2268585
     /* 2268585 */ GIM_Reject,
     /* 2268586 */ // Label 30643: @2268586
     /* 2268586 */ GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2268700),
     /* 2268591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2268594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268609 */   GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2268654), // Rule ID 50851 //
     /* 2268614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268617 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2268620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268653 */     // GIR_Coverage, 50851,
     /* 2268653 */     GIR_EraseRootFromParent_Done,
     /* 2268654 */   // Label 30707: @2268654
     /* 2268654 */   GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2268699), // Rule ID 50852 //
     /* 2268659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268662 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2268665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268698 */     // GIR_Coverage, 50852,
     /* 2268698 */     GIR_EraseRootFromParent_Done,
     /* 2268699 */   // Label 30708: @2268699
     /* 2268699 */   GIM_Reject,
     /* 2268700 */ // Label 30706: @2268700
     /* 2268700 */ GIM_Reject,
     /* 2268701 */ // Label 30644: @2268701
     /* 2268701 */ GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2268815),
     /* 2268706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2268709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268724 */   GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2268769), // Rule ID 50867 //
     /* 2268729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268732 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2268735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268768 */     // GIR_Coverage, 50867,
     /* 2268768 */     GIR_EraseRootFromParent_Done,
     /* 2268769 */   // Label 30710: @2268769
     /* 2268769 */   GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2268814), // Rule ID 50868 //
     /* 2268774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268777 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2268780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268813 */     // GIR_Coverage, 50868,
     /* 2268813 */     GIR_EraseRootFromParent_Done,
     /* 2268814 */   // Label 30711: @2268814
     /* 2268814 */   GIM_Reject,
     /* 2268815 */ // Label 30709: @2268815
     /* 2268815 */ GIM_Reject,
     /* 2268816 */ // Label 30645: @2268816
     /* 2268816 */ GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2268930),
     /* 2268821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2268824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2268827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268839 */   GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2268884), // Rule ID 50855 //
     /* 2268844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268847 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2268850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268883 */     // GIR_Coverage, 50855,
     /* 2268883 */     GIR_EraseRootFromParent_Done,
     /* 2268884 */   // Label 30713: @2268884
     /* 2268884 */   GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2268929), // Rule ID 50856 //
     /* 2268889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268892 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2268895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268928 */     // GIR_Coverage, 50856,
     /* 2268928 */     GIR_EraseRootFromParent_Done,
     /* 2268929 */   // Label 30714: @2268929
     /* 2268929 */   GIM_Reject,
     /* 2268930 */ // Label 30712: @2268930
     /* 2268930 */ GIM_Reject,
     /* 2268931 */ // Label 30646: @2268931
     /* 2268931 */ GIM_Reject,
     /* 2268932 */ // Label 53: @2268932
     /* 2268932 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30738*/ GIMT_Encode4(2271784),
     /* 2268943 */ /*GILLT_s32*//*Label 30715*/ GIMT_Encode4(2269067), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268955 */ /*GILLT_nxv1s8*//*Label 30716*/ GIMT_Encode4(2269122),
     /* 2268959 */ /*GILLT_nxv1s16*//*Label 30717*/ GIMT_Encode4(2269243),
     /* 2268963 */ /*GILLT_nxv1s32*//*Label 30718*/ GIMT_Encode4(2269364),
     /* 2268967 */ /*GILLT_nxv1s64*//*Label 30719*/ GIMT_Encode4(2269485), GIMT_Encode4(0),
     /* 2268975 */ /*GILLT_nxv2s8*//*Label 30720*/ GIMT_Encode4(2269606),
     /* 2268979 */ /*GILLT_nxv2s16*//*Label 30721*/ GIMT_Encode4(2269727),
     /* 2268983 */ /*GILLT_nxv2s32*//*Label 30722*/ GIMT_Encode4(2269848),
     /* 2268987 */ /*GILLT_nxv2s64*//*Label 30723*/ GIMT_Encode4(2269969), GIMT_Encode4(0),
     /* 2268995 */ /*GILLT_nxv4s8*//*Label 30724*/ GIMT_Encode4(2270090),
     /* 2268999 */ /*GILLT_nxv4s16*//*Label 30725*/ GIMT_Encode4(2270211),
     /* 2269003 */ /*GILLT_nxv4s32*//*Label 30726*/ GIMT_Encode4(2270332),
     /* 2269007 */ /*GILLT_nxv4s64*//*Label 30727*/ GIMT_Encode4(2270453), GIMT_Encode4(0),
     /* 2269015 */ /*GILLT_nxv8s8*//*Label 30728*/ GIMT_Encode4(2270574),
     /* 2269019 */ /*GILLT_nxv8s16*//*Label 30729*/ GIMT_Encode4(2270695),
     /* 2269023 */ /*GILLT_nxv8s32*//*Label 30730*/ GIMT_Encode4(2270816),
     /* 2269027 */ /*GILLT_nxv8s64*//*Label 30731*/ GIMT_Encode4(2270937), GIMT_Encode4(0),
     /* 2269035 */ /*GILLT_nxv16s8*//*Label 30732*/ GIMT_Encode4(2271058),
     /* 2269039 */ /*GILLT_nxv16s16*//*Label 30733*/ GIMT_Encode4(2271179),
     /* 2269043 */ /*GILLT_nxv16s32*//*Label 30734*/ GIMT_Encode4(2271300), GIMT_Encode4(0),
     /* 2269051 */ /*GILLT_nxv32s8*//*Label 30735*/ GIMT_Encode4(2271421),
     /* 2269055 */ /*GILLT_nxv32s16*//*Label 30736*/ GIMT_Encode4(2271542), GIMT_Encode4(0),
     /* 2269063 */ /*GILLT_nxv64s8*//*Label 30737*/ GIMT_Encode4(2271663),
     /* 2269067 */ // Label 30715: @2269067
     /* 2269067 */ GIM_Try, /*On fail goto*//*Label 30739*/ GIMT_Encode4(2269121),
     /* 2269072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2269075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2269078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269090 */   GIM_Try, /*On fail goto*//*Label 30740*/ GIMT_Encode4(2269105), // Rule ID 64482 //
     /* 2269095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2269098 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269104 */     // GIR_Coverage, 64482,
     /* 2269104 */     GIR_Done,
     /* 2269105 */   // Label 30740: @2269105
     /* 2269105 */   GIM_Try, /*On fail goto*//*Label 30741*/ GIMT_Encode4(2269120), // Rule ID 64483 //
     /* 2269110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2269113 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269119 */     // GIR_Coverage, 64483,
     /* 2269119 */     GIR_Done,
     /* 2269120 */   // Label 30741: @2269120
     /* 2269120 */   GIM_Reject,
     /* 2269121 */ // Label 30739: @2269121
     /* 2269121 */ GIM_Reject,
     /* 2269122 */ // Label 30716: @2269122
     /* 2269122 */ GIM_Try, /*On fail goto*//*Label 30742*/ GIMT_Encode4(2269242),
     /* 2269127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2269130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2269133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269145 */   GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2269193), // Rule ID 52371 //
     /* 2269150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269153 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269192 */     // GIR_Coverage, 52371,
     /* 2269192 */     GIR_EraseRootFromParent_Done,
     /* 2269193 */   // Label 30743: @2269193
     /* 2269193 */   GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2269241), // Rule ID 52372 //
     /* 2269198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269201 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269240 */     // GIR_Coverage, 52372,
     /* 2269240 */     GIR_EraseRootFromParent_Done,
     /* 2269241 */   // Label 30744: @2269241
     /* 2269241 */   GIM_Reject,
     /* 2269242 */ // Label 30742: @2269242
     /* 2269242 */ GIM_Reject,
     /* 2269243 */ // Label 30717: @2269243
     /* 2269243 */ GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2269363),
     /* 2269248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2269251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269266 */   GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2269314), // Rule ID 52383 //
     /* 2269271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269274 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269313 */     // GIR_Coverage, 52383,
     /* 2269313 */     GIR_EraseRootFromParent_Done,
     /* 2269314 */   // Label 30746: @2269314
     /* 2269314 */   GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2269362), // Rule ID 52384 //
     /* 2269319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269322 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269361 */     // GIR_Coverage, 52384,
     /* 2269361 */     GIR_EraseRootFromParent_Done,
     /* 2269362 */   // Label 30747: @2269362
     /* 2269362 */   GIM_Reject,
     /* 2269363 */ // Label 30745: @2269363
     /* 2269363 */ GIM_Reject,
     /* 2269364 */ // Label 30718: @2269364
     /* 2269364 */ GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2269484),
     /* 2269369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2269372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269387 */   GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2269435), // Rule ID 52391 //
     /* 2269392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269395 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269434 */     // GIR_Coverage, 52391,
     /* 2269434 */     GIR_EraseRootFromParent_Done,
     /* 2269435 */   // Label 30749: @2269435
     /* 2269435 */   GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2269483), // Rule ID 52392 //
     /* 2269440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269443 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269482 */     // GIR_Coverage, 52392,
     /* 2269482 */     GIR_EraseRootFromParent_Done,
     /* 2269483 */   // Label 30750: @2269483
     /* 2269483 */   GIM_Reject,
     /* 2269484 */ // Label 30748: @2269484
     /* 2269484 */ GIM_Reject,
     /* 2269485 */ // Label 30719: @2269485
     /* 2269485 */ GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2269605),
     /* 2269490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2269493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269508 */   GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2269556), // Rule ID 52407 //
     /* 2269513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269516 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269555 */     // GIR_Coverage, 52407,
     /* 2269555 */     GIR_EraseRootFromParent_Done,
     /* 2269556 */   // Label 30752: @2269556
     /* 2269556 */   GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2269604), // Rule ID 52408 //
     /* 2269561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269564 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269603 */     // GIR_Coverage, 52408,
     /* 2269603 */     GIR_EraseRootFromParent_Done,
     /* 2269604 */   // Label 30753: @2269604
     /* 2269604 */   GIM_Reject,
     /* 2269605 */ // Label 30751: @2269605
     /* 2269605 */ GIM_Reject,
     /* 2269606 */ // Label 30720: @2269606
     /* 2269606 */ GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2269726),
     /* 2269611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2269614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2269617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269629 */   GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2269677), // Rule ID 52375 //
     /* 2269634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269637 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269676 */     // GIR_Coverage, 52375,
     /* 2269676 */     GIR_EraseRootFromParent_Done,
     /* 2269677 */   // Label 30755: @2269677
     /* 2269677 */   GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2269725), // Rule ID 52376 //
     /* 2269682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269685 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269724 */     // GIR_Coverage, 52376,
     /* 2269724 */     GIR_EraseRootFromParent_Done,
     /* 2269725 */   // Label 30756: @2269725
     /* 2269725 */   GIM_Reject,
     /* 2269726 */ // Label 30754: @2269726
     /* 2269726 */ GIM_Reject,
     /* 2269727 */ // Label 30721: @2269727
     /* 2269727 */ GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2269847),
     /* 2269732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2269735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269750 */   GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2269798), // Rule ID 52387 //
     /* 2269755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269758 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269797 */     // GIR_Coverage, 52387,
     /* 2269797 */     GIR_EraseRootFromParent_Done,
     /* 2269798 */   // Label 30758: @2269798
     /* 2269798 */   GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2269846), // Rule ID 52388 //
     /* 2269803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269806 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269845 */     // GIR_Coverage, 52388,
     /* 2269845 */     GIR_EraseRootFromParent_Done,
     /* 2269846 */   // Label 30759: @2269846
     /* 2269846 */   GIM_Reject,
     /* 2269847 */ // Label 30757: @2269847
     /* 2269847 */ GIM_Reject,
     /* 2269848 */ // Label 30722: @2269848
     /* 2269848 */ GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2269968),
     /* 2269853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2269856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269871 */   GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2269919), // Rule ID 52403 //
     /* 2269876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269879 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269918 */     // GIR_Coverage, 52403,
     /* 2269918 */     GIR_EraseRootFromParent_Done,
     /* 2269919 */   // Label 30761: @2269919
     /* 2269919 */   GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2269967), // Rule ID 52404 //
     /* 2269924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269927 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269966 */     // GIR_Coverage, 52404,
     /* 2269966 */     GIR_EraseRootFromParent_Done,
     /* 2269967 */   // Label 30762: @2269967
     /* 2269967 */   GIM_Reject,
     /* 2269968 */ // Label 30760: @2269968
     /* 2269968 */ GIM_Reject,
     /* 2269969 */ // Label 30723: @2269969
     /* 2269969 */ GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2270089),
     /* 2269974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2269977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269992 */   GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2270040), // Rule ID 52447 //
     /* 2269997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270000 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270039 */     // GIR_Coverage, 52447,
     /* 2270039 */     GIR_EraseRootFromParent_Done,
     /* 2270040 */   // Label 30764: @2270040
     /* 2270040 */   GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2270088), // Rule ID 52448 //
     /* 2270045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270048 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270087 */     // GIR_Coverage, 52448,
     /* 2270087 */     GIR_EraseRootFromParent_Done,
     /* 2270088 */   // Label 30765: @2270088
     /* 2270088 */   GIM_Reject,
     /* 2270089 */ // Label 30763: @2270089
     /* 2270089 */ GIM_Reject,
     /* 2270090 */ // Label 30724: @2270090
     /* 2270090 */ GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2270210),
     /* 2270095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2270098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2270101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270113 */   GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2270161), // Rule ID 52379 //
     /* 2270118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270121 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270160 */     // GIR_Coverage, 52379,
     /* 2270160 */     GIR_EraseRootFromParent_Done,
     /* 2270161 */   // Label 30767: @2270161
     /* 2270161 */   GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2270209), // Rule ID 52380 //
     /* 2270166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270169 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270208 */     // GIR_Coverage, 52380,
     /* 2270208 */     GIR_EraseRootFromParent_Done,
     /* 2270209 */   // Label 30768: @2270209
     /* 2270209 */   GIM_Reject,
     /* 2270210 */ // Label 30766: @2270210
     /* 2270210 */ GIM_Reject,
     /* 2270211 */ // Label 30725: @2270211
     /* 2270211 */ GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2270331),
     /* 2270216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2270219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270234 */   GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2270282), // Rule ID 52399 //
     /* 2270239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270242 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270281 */     // GIR_Coverage, 52399,
     /* 2270281 */     GIR_EraseRootFromParent_Done,
     /* 2270282 */   // Label 30770: @2270282
     /* 2270282 */   GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2270330), // Rule ID 52400 //
     /* 2270287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270290 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270329 */     // GIR_Coverage, 52400,
     /* 2270329 */     GIR_EraseRootFromParent_Done,
     /* 2270330 */   // Label 30771: @2270330
     /* 2270330 */   GIM_Reject,
     /* 2270331 */ // Label 30769: @2270331
     /* 2270331 */ GIM_Reject,
     /* 2270332 */ // Label 30726: @2270332
     /* 2270332 */ GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2270452),
     /* 2270337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2270340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270355 */   GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2270403), // Rule ID 52435 //
     /* 2270360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270363 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270402 */     // GIR_Coverage, 52435,
     /* 2270402 */     GIR_EraseRootFromParent_Done,
     /* 2270403 */   // Label 30773: @2270403
     /* 2270403 */   GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2270451), // Rule ID 52436 //
     /* 2270408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270411 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270450 */     // GIR_Coverage, 52436,
     /* 2270450 */     GIR_EraseRootFromParent_Done,
     /* 2270451 */   // Label 30774: @2270451
     /* 2270451 */   GIM_Reject,
     /* 2270452 */ // Label 30772: @2270452
     /* 2270452 */ GIM_Reject,
     /* 2270453 */ // Label 30727: @2270453
     /* 2270453 */ GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2270573),
     /* 2270458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2270461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270476 */   GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2270524), // Rule ID 52451 //
     /* 2270481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270484 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270523 */     // GIR_Coverage, 52451,
     /* 2270523 */     GIR_EraseRootFromParent_Done,
     /* 2270524 */   // Label 30776: @2270524
     /* 2270524 */   GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2270572), // Rule ID 52452 //
     /* 2270529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270532 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270571 */     // GIR_Coverage, 52452,
     /* 2270571 */     GIR_EraseRootFromParent_Done,
     /* 2270572 */   // Label 30777: @2270572
     /* 2270572 */   GIM_Reject,
     /* 2270573 */ // Label 30775: @2270573
     /* 2270573 */ GIM_Reject,
     /* 2270574 */ // Label 30728: @2270574
     /* 2270574 */ GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2270694),
     /* 2270579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2270582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2270585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270597 */   GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2270645), // Rule ID 52395 //
     /* 2270602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270605 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270644 */     // GIR_Coverage, 52395,
     /* 2270644 */     GIR_EraseRootFromParent_Done,
     /* 2270645 */   // Label 30779: @2270645
     /* 2270645 */   GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2270693), // Rule ID 52396 //
     /* 2270650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270653 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270692 */     // GIR_Coverage, 52396,
     /* 2270692 */     GIR_EraseRootFromParent_Done,
     /* 2270693 */   // Label 30780: @2270693
     /* 2270693 */   GIM_Reject,
     /* 2270694 */ // Label 30778: @2270694
     /* 2270694 */ GIM_Reject,
     /* 2270695 */ // Label 30729: @2270695
     /* 2270695 */ GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2270815),
     /* 2270700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2270703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2270706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270718 */   GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2270766), // Rule ID 52423 //
     /* 2270723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270726 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2270729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270765 */     // GIR_Coverage, 52423,
     /* 2270765 */     GIR_EraseRootFromParent_Done,
     /* 2270766 */   // Label 30782: @2270766
     /* 2270766 */   GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2270814), // Rule ID 52424 //
     /* 2270771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270774 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2270777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270813 */     // GIR_Coverage, 52424,
     /* 2270813 */     GIR_EraseRootFromParent_Done,
     /* 2270814 */   // Label 30783: @2270814
     /* 2270814 */   GIM_Reject,
     /* 2270815 */ // Label 30781: @2270815
     /* 2270815 */ GIM_Reject,
     /* 2270816 */ // Label 30730: @2270816
     /* 2270816 */ GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2270936),
     /* 2270821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2270824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2270827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270839 */   GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2270887), // Rule ID 52439 //
     /* 2270844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270847 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2270850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270886 */     // GIR_Coverage, 52439,
     /* 2270886 */     GIR_EraseRootFromParent_Done,
     /* 2270887 */   // Label 30785: @2270887
     /* 2270887 */   GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2270935), // Rule ID 52440 //
     /* 2270892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270895 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2270898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270934 */     // GIR_Coverage, 52440,
     /* 2270934 */     GIR_EraseRootFromParent_Done,
     /* 2270935 */   // Label 30786: @2270935
     /* 2270935 */   GIM_Reject,
     /* 2270936 */ // Label 30784: @2270936
     /* 2270936 */ GIM_Reject,
     /* 2270937 */ // Label 30731: @2270937
     /* 2270937 */ GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2271057),
     /* 2270942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2270945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2270948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270960 */   GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2271008), // Rule ID 52455 //
     /* 2270965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270968 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2270971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271007 */     // GIR_Coverage, 52455,
     /* 2271007 */     GIR_EraseRootFromParent_Done,
     /* 2271008 */   // Label 30788: @2271008
     /* 2271008 */   GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2271056), // Rule ID 52456 //
     /* 2271013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271016 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271055 */     // GIR_Coverage, 52456,
     /* 2271055 */     GIR_EraseRootFromParent_Done,
     /* 2271056 */   // Label 30789: @2271056
     /* 2271056 */   GIM_Reject,
     /* 2271057 */ // Label 30787: @2271057
     /* 2271057 */ GIM_Reject,
     /* 2271058 */ // Label 30732: @2271058
     /* 2271058 */ GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2271178),
     /* 2271063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2271066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2271069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271081 */   GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2271129), // Rule ID 52411 //
     /* 2271086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271089 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271128 */     // GIR_Coverage, 52411,
     /* 2271128 */     GIR_EraseRootFromParent_Done,
     /* 2271129 */   // Label 30791: @2271129
     /* 2271129 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2271177), // Rule ID 52412 //
     /* 2271134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271137 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271176 */     // GIR_Coverage, 52412,
     /* 2271176 */     GIR_EraseRootFromParent_Done,
     /* 2271177 */   // Label 30792: @2271177
     /* 2271177 */   GIM_Reject,
     /* 2271178 */ // Label 30790: @2271178
     /* 2271178 */ GIM_Reject,
     /* 2271179 */ // Label 30733: @2271179
     /* 2271179 */ GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2271299),
     /* 2271184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2271187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2271190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271202 */   GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2271250), // Rule ID 52427 //
     /* 2271207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271210 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271249 */     // GIR_Coverage, 52427,
     /* 2271249 */     GIR_EraseRootFromParent_Done,
     /* 2271250 */   // Label 30794: @2271250
     /* 2271250 */   GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2271298), // Rule ID 52428 //
     /* 2271255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271258 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271297 */     // GIR_Coverage, 52428,
     /* 2271297 */     GIR_EraseRootFromParent_Done,
     /* 2271298 */   // Label 30795: @2271298
     /* 2271298 */   GIM_Reject,
     /* 2271299 */ // Label 30793: @2271299
     /* 2271299 */ GIM_Reject,
     /* 2271300 */ // Label 30734: @2271300
     /* 2271300 */ GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2271420),
     /* 2271305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2271308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2271311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271323 */   GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2271371), // Rule ID 52443 //
     /* 2271328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271331 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271370 */     // GIR_Coverage, 52443,
     /* 2271370 */     GIR_EraseRootFromParent_Done,
     /* 2271371 */   // Label 30797: @2271371
     /* 2271371 */   GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2271419), // Rule ID 52444 //
     /* 2271376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271379 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271418 */     // GIR_Coverage, 52444,
     /* 2271418 */     GIR_EraseRootFromParent_Done,
     /* 2271419 */   // Label 30798: @2271419
     /* 2271419 */   GIM_Reject,
     /* 2271420 */ // Label 30796: @2271420
     /* 2271420 */ GIM_Reject,
     /* 2271421 */ // Label 30735: @2271421
     /* 2271421 */ GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2271541),
     /* 2271426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2271429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2271432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271444 */   GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2271492), // Rule ID 52415 //
     /* 2271449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271452 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271491 */     // GIR_Coverage, 52415,
     /* 2271491 */     GIR_EraseRootFromParent_Done,
     /* 2271492 */   // Label 30800: @2271492
     /* 2271492 */   GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2271540), // Rule ID 52416 //
     /* 2271497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271500 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271539 */     // GIR_Coverage, 52416,
     /* 2271539 */     GIR_EraseRootFromParent_Done,
     /* 2271540 */   // Label 30801: @2271540
     /* 2271540 */   GIM_Reject,
     /* 2271541 */ // Label 30799: @2271541
     /* 2271541 */ GIM_Reject,
     /* 2271542 */ // Label 30736: @2271542
     /* 2271542 */ GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2271662),
     /* 2271547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2271550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2271553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271565 */   GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2271613), // Rule ID 52431 //
     /* 2271570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271573 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271612 */     // GIR_Coverage, 52431,
     /* 2271612 */     GIR_EraseRootFromParent_Done,
     /* 2271613 */   // Label 30803: @2271613
     /* 2271613 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2271661), // Rule ID 52432 //
     /* 2271618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271621 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271660 */     // GIR_Coverage, 52432,
     /* 2271660 */     GIR_EraseRootFromParent_Done,
     /* 2271661 */   // Label 30804: @2271661
     /* 2271661 */   GIM_Reject,
     /* 2271662 */ // Label 30802: @2271662
     /* 2271662 */ GIM_Reject,
     /* 2271663 */ // Label 30737: @2271663
     /* 2271663 */ GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2271783),
     /* 2271668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2271671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2271674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271686 */   GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2271734), // Rule ID 52419 //
     /* 2271691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271694 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2271697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271733 */     // GIR_Coverage, 52419,
     /* 2271733 */     GIR_EraseRootFromParent_Done,
     /* 2271734 */   // Label 30806: @2271734
     /* 2271734 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2271782), // Rule ID 52420 //
     /* 2271739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271742 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2271745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271781 */     // GIR_Coverage, 52420,
     /* 2271781 */     GIR_EraseRootFromParent_Done,
     /* 2271782 */   // Label 30807: @2271782
     /* 2271782 */   GIM_Reject,
     /* 2271783 */ // Label 30805: @2271783
     /* 2271783 */ GIM_Reject,
     /* 2271784 */ // Label 30738: @2271784
     /* 2271784 */ GIM_Reject,
     /* 2271785 */ // Label 54: @2271785
     /* 2271785 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30831*/ GIMT_Encode4(2274637),
     /* 2271796 */ /*GILLT_s32*//*Label 30808*/ GIMT_Encode4(2271920), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2271808 */ /*GILLT_nxv1s8*//*Label 30809*/ GIMT_Encode4(2271975),
     /* 2271812 */ /*GILLT_nxv1s16*//*Label 30810*/ GIMT_Encode4(2272096),
     /* 2271816 */ /*GILLT_nxv1s32*//*Label 30811*/ GIMT_Encode4(2272217),
     /* 2271820 */ /*GILLT_nxv1s64*//*Label 30812*/ GIMT_Encode4(2272338), GIMT_Encode4(0),
     /* 2271828 */ /*GILLT_nxv2s8*//*Label 30813*/ GIMT_Encode4(2272459),
     /* 2271832 */ /*GILLT_nxv2s16*//*Label 30814*/ GIMT_Encode4(2272580),
     /* 2271836 */ /*GILLT_nxv2s32*//*Label 30815*/ GIMT_Encode4(2272701),
     /* 2271840 */ /*GILLT_nxv2s64*//*Label 30816*/ GIMT_Encode4(2272822), GIMT_Encode4(0),
     /* 2271848 */ /*GILLT_nxv4s8*//*Label 30817*/ GIMT_Encode4(2272943),
     /* 2271852 */ /*GILLT_nxv4s16*//*Label 30818*/ GIMT_Encode4(2273064),
     /* 2271856 */ /*GILLT_nxv4s32*//*Label 30819*/ GIMT_Encode4(2273185),
     /* 2271860 */ /*GILLT_nxv4s64*//*Label 30820*/ GIMT_Encode4(2273306), GIMT_Encode4(0),
     /* 2271868 */ /*GILLT_nxv8s8*//*Label 30821*/ GIMT_Encode4(2273427),
     /* 2271872 */ /*GILLT_nxv8s16*//*Label 30822*/ GIMT_Encode4(2273548),
     /* 2271876 */ /*GILLT_nxv8s32*//*Label 30823*/ GIMT_Encode4(2273669),
     /* 2271880 */ /*GILLT_nxv8s64*//*Label 30824*/ GIMT_Encode4(2273790), GIMT_Encode4(0),
     /* 2271888 */ /*GILLT_nxv16s8*//*Label 30825*/ GIMT_Encode4(2273911),
     /* 2271892 */ /*GILLT_nxv16s16*//*Label 30826*/ GIMT_Encode4(2274032),
     /* 2271896 */ /*GILLT_nxv16s32*//*Label 30827*/ GIMT_Encode4(2274153), GIMT_Encode4(0),
     /* 2271904 */ /*GILLT_nxv32s8*//*Label 30828*/ GIMT_Encode4(2274274),
     /* 2271908 */ /*GILLT_nxv32s16*//*Label 30829*/ GIMT_Encode4(2274395), GIMT_Encode4(0),
     /* 2271916 */ /*GILLT_nxv64s8*//*Label 30830*/ GIMT_Encode4(2274516),
     /* 2271920 */ // Label 30808: @2271920
     /* 2271920 */ GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2271974),
     /* 2271925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2271928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2271935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2271939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2271943 */   GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2271958), // Rule ID 64480 //
     /* 2271948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2271951 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2271951 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2271956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271957 */     // GIR_Coverage, 64480,
     /* 2271957 */     GIR_Done,
     /* 2271958 */   // Label 30833: @2271958
     /* 2271958 */   GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2271973), // Rule ID 64481 //
     /* 2271963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2271966 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2271966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2271971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271972 */     // GIR_Coverage, 64481,
     /* 2271972 */     GIR_Done,
     /* 2271973 */   // Label 30834: @2271973
     /* 2271973 */   GIM_Reject,
     /* 2271974 */ // Label 30832: @2271974
     /* 2271974 */ GIM_Reject,
     /* 2271975 */ // Label 30809: @2271975
     /* 2271975 */ GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2272095),
     /* 2271980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2271983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2271986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271998 */   GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2272046), // Rule ID 52239 //
     /* 2272003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272006 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2272009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2272023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272045 */     // GIR_Coverage, 52239,
     /* 2272045 */     GIR_EraseRootFromParent_Done,
     /* 2272046 */   // Label 30836: @2272046
     /* 2272046 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2272094), // Rule ID 52240 //
     /* 2272051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272054 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2272057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2272071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272093 */     // GIR_Coverage, 52240,
     /* 2272093 */     GIR_EraseRootFromParent_Done,
     /* 2272094 */   // Label 30837: @2272094
     /* 2272094 */   GIM_Reject,
     /* 2272095 */ // Label 30835: @2272095
     /* 2272095 */ GIM_Reject,
     /* 2272096 */ // Label 30810: @2272096
     /* 2272096 */ GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2272216),
     /* 2272101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2272104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272119 */   GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2272167), // Rule ID 52251 //
     /* 2272124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272127 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272166 */     // GIR_Coverage, 52251,
     /* 2272166 */     GIR_EraseRootFromParent_Done,
     /* 2272167 */   // Label 30839: @2272167
     /* 2272167 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2272215), // Rule ID 52252 //
     /* 2272172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272175 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272214 */     // GIR_Coverage, 52252,
     /* 2272214 */     GIR_EraseRootFromParent_Done,
     /* 2272215 */   // Label 30840: @2272215
     /* 2272215 */   GIM_Reject,
     /* 2272216 */ // Label 30838: @2272216
     /* 2272216 */ GIM_Reject,
     /* 2272217 */ // Label 30811: @2272217
     /* 2272217 */ GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2272337),
     /* 2272222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2272225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272240 */   GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2272288), // Rule ID 52259 //
     /* 2272245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272248 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272287 */     // GIR_Coverage, 52259,
     /* 2272287 */     GIR_EraseRootFromParent_Done,
     /* 2272288 */   // Label 30842: @2272288
     /* 2272288 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2272336), // Rule ID 52260 //
     /* 2272293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272296 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272335 */     // GIR_Coverage, 52260,
     /* 2272335 */     GIR_EraseRootFromParent_Done,
     /* 2272336 */   // Label 30843: @2272336
     /* 2272336 */   GIM_Reject,
     /* 2272337 */ // Label 30841: @2272337
     /* 2272337 */ GIM_Reject,
     /* 2272338 */ // Label 30812: @2272338
     /* 2272338 */ GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2272458),
     /* 2272343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2272346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272361 */   GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2272409), // Rule ID 52275 //
     /* 2272366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272369 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272408 */     // GIR_Coverage, 52275,
     /* 2272408 */     GIR_EraseRootFromParent_Done,
     /* 2272409 */   // Label 30845: @2272409
     /* 2272409 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2272457), // Rule ID 52276 //
     /* 2272414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272417 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272456 */     // GIR_Coverage, 52276,
     /* 2272456 */     GIR_EraseRootFromParent_Done,
     /* 2272457 */   // Label 30846: @2272457
     /* 2272457 */   GIM_Reject,
     /* 2272458 */ // Label 30844: @2272458
     /* 2272458 */ GIM_Reject,
     /* 2272459 */ // Label 30813: @2272459
     /* 2272459 */ GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2272579),
     /* 2272464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2272467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2272470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272482 */   GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2272530), // Rule ID 52243 //
     /* 2272487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272490 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272529 */     // GIR_Coverage, 52243,
     /* 2272529 */     GIR_EraseRootFromParent_Done,
     /* 2272530 */   // Label 30848: @2272530
     /* 2272530 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2272578), // Rule ID 52244 //
     /* 2272535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272538 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272577 */     // GIR_Coverage, 52244,
     /* 2272577 */     GIR_EraseRootFromParent_Done,
     /* 2272578 */   // Label 30849: @2272578
     /* 2272578 */   GIM_Reject,
     /* 2272579 */ // Label 30847: @2272579
     /* 2272579 */ GIM_Reject,
     /* 2272580 */ // Label 30814: @2272580
     /* 2272580 */ GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2272700),
     /* 2272585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2272588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2272591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272603 */   GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2272651), // Rule ID 52255 //
     /* 2272608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272611 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2272614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272650 */     // GIR_Coverage, 52255,
     /* 2272650 */     GIR_EraseRootFromParent_Done,
     /* 2272651 */   // Label 30851: @2272651
     /* 2272651 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2272699), // Rule ID 52256 //
     /* 2272656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272659 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2272662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272698 */     // GIR_Coverage, 52256,
     /* 2272698 */     GIR_EraseRootFromParent_Done,
     /* 2272699 */   // Label 30852: @2272699
     /* 2272699 */   GIM_Reject,
     /* 2272700 */ // Label 30850: @2272700
     /* 2272700 */ GIM_Reject,
     /* 2272701 */ // Label 30815: @2272701
     /* 2272701 */ GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2272821),
     /* 2272706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2272709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2272712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272724 */   GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2272772), // Rule ID 52271 //
     /* 2272729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272732 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2272735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272771 */     // GIR_Coverage, 52271,
     /* 2272771 */     GIR_EraseRootFromParent_Done,
     /* 2272772 */   // Label 30854: @2272772
     /* 2272772 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2272820), // Rule ID 52272 //
     /* 2272777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272780 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2272783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272819 */     // GIR_Coverage, 52272,
     /* 2272819 */     GIR_EraseRootFromParent_Done,
     /* 2272820 */   // Label 30855: @2272820
     /* 2272820 */   GIM_Reject,
     /* 2272821 */ // Label 30853: @2272821
     /* 2272821 */ GIM_Reject,
     /* 2272822 */ // Label 30816: @2272822
     /* 2272822 */ GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2272942),
     /* 2272827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2272830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2272833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272845 */   GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2272893), // Rule ID 52315 //
     /* 2272850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272853 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2272856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272892 */     // GIR_Coverage, 52315,
     /* 2272892 */     GIR_EraseRootFromParent_Done,
     /* 2272893 */   // Label 30857: @2272893
     /* 2272893 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2272941), // Rule ID 52316 //
     /* 2272898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272901 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2272904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272940 */     // GIR_Coverage, 52316,
     /* 2272940 */     GIR_EraseRootFromParent_Done,
     /* 2272941 */   // Label 30858: @2272941
     /* 2272941 */   GIM_Reject,
     /* 2272942 */ // Label 30856: @2272942
     /* 2272942 */ GIM_Reject,
     /* 2272943 */ // Label 30817: @2272943
     /* 2272943 */ GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2273063),
     /* 2272948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2272951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2272954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272966 */   GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2273014), // Rule ID 52247 //
     /* 2272971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272974 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2272977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273013 */     // GIR_Coverage, 52247,
     /* 2273013 */     GIR_EraseRootFromParent_Done,
     /* 2273014 */   // Label 30860: @2273014
     /* 2273014 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2273062), // Rule ID 52248 //
     /* 2273019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273022 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2273025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273061 */     // GIR_Coverage, 52248,
     /* 2273061 */     GIR_EraseRootFromParent_Done,
     /* 2273062 */   // Label 30861: @2273062
     /* 2273062 */   GIM_Reject,
     /* 2273063 */ // Label 30859: @2273063
     /* 2273063 */ GIM_Reject,
     /* 2273064 */ // Label 30818: @2273064
     /* 2273064 */ GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2273184),
     /* 2273069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2273072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2273075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273087 */   GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2273135), // Rule ID 52267 //
     /* 2273092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273095 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273134 */     // GIR_Coverage, 52267,
     /* 2273134 */     GIR_EraseRootFromParent_Done,
     /* 2273135 */   // Label 30863: @2273135
     /* 2273135 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2273183), // Rule ID 52268 //
     /* 2273140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273143 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273182 */     // GIR_Coverage, 52268,
     /* 2273182 */     GIR_EraseRootFromParent_Done,
     /* 2273183 */   // Label 30864: @2273183
     /* 2273183 */   GIM_Reject,
     /* 2273184 */ // Label 30862: @2273184
     /* 2273184 */ GIM_Reject,
     /* 2273185 */ // Label 30819: @2273185
     /* 2273185 */ GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2273305),
     /* 2273190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2273193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2273196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273208 */   GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2273256), // Rule ID 52303 //
     /* 2273213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273216 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273255 */     // GIR_Coverage, 52303,
     /* 2273255 */     GIR_EraseRootFromParent_Done,
     /* 2273256 */   // Label 30866: @2273256
     /* 2273256 */   GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2273304), // Rule ID 52304 //
     /* 2273261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273264 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273303 */     // GIR_Coverage, 52304,
     /* 2273303 */     GIR_EraseRootFromParent_Done,
     /* 2273304 */   // Label 30867: @2273304
     /* 2273304 */   GIM_Reject,
     /* 2273305 */ // Label 30865: @2273305
     /* 2273305 */ GIM_Reject,
     /* 2273306 */ // Label 30820: @2273306
     /* 2273306 */ GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2273426),
     /* 2273311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2273314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2273317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273329 */   GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2273377), // Rule ID 52319 //
     /* 2273334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273337 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273376 */     // GIR_Coverage, 52319,
     /* 2273376 */     GIR_EraseRootFromParent_Done,
     /* 2273377 */   // Label 30869: @2273377
     /* 2273377 */   GIM_Try, /*On fail goto*//*Label 30870*/ GIMT_Encode4(2273425), // Rule ID 52320 //
     /* 2273382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273385 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273424 */     // GIR_Coverage, 52320,
     /* 2273424 */     GIR_EraseRootFromParent_Done,
     /* 2273425 */   // Label 30870: @2273425
     /* 2273425 */   GIM_Reject,
     /* 2273426 */ // Label 30868: @2273426
     /* 2273426 */ GIM_Reject,
     /* 2273427 */ // Label 30821: @2273427
     /* 2273427 */ GIM_Try, /*On fail goto*//*Label 30871*/ GIMT_Encode4(2273547),
     /* 2273432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2273435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2273438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273450 */   GIM_Try, /*On fail goto*//*Label 30872*/ GIMT_Encode4(2273498), // Rule ID 52263 //
     /* 2273455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273458 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273497 */     // GIR_Coverage, 52263,
     /* 2273497 */     GIR_EraseRootFromParent_Done,
     /* 2273498 */   // Label 30872: @2273498
     /* 2273498 */   GIM_Try, /*On fail goto*//*Label 30873*/ GIMT_Encode4(2273546), // Rule ID 52264 //
     /* 2273503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273506 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273545 */     // GIR_Coverage, 52264,
     /* 2273545 */     GIR_EraseRootFromParent_Done,
     /* 2273546 */   // Label 30873: @2273546
     /* 2273546 */   GIM_Reject,
     /* 2273547 */ // Label 30871: @2273547
     /* 2273547 */ GIM_Reject,
     /* 2273548 */ // Label 30822: @2273548
     /* 2273548 */ GIM_Try, /*On fail goto*//*Label 30874*/ GIMT_Encode4(2273668),
     /* 2273553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2273556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2273559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273571 */   GIM_Try, /*On fail goto*//*Label 30875*/ GIMT_Encode4(2273619), // Rule ID 52291 //
     /* 2273576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273579 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273618 */     // GIR_Coverage, 52291,
     /* 2273618 */     GIR_EraseRootFromParent_Done,
     /* 2273619 */   // Label 30875: @2273619
     /* 2273619 */   GIM_Try, /*On fail goto*//*Label 30876*/ GIMT_Encode4(2273667), // Rule ID 52292 //
     /* 2273624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273627 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273666 */     // GIR_Coverage, 52292,
     /* 2273666 */     GIR_EraseRootFromParent_Done,
     /* 2273667 */   // Label 30876: @2273667
     /* 2273667 */   GIM_Reject,
     /* 2273668 */ // Label 30874: @2273668
     /* 2273668 */ GIM_Reject,
     /* 2273669 */ // Label 30823: @2273669
     /* 2273669 */ GIM_Try, /*On fail goto*//*Label 30877*/ GIMT_Encode4(2273789),
     /* 2273674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2273677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2273680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273692 */   GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2273740), // Rule ID 52307 //
     /* 2273697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273700 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2273703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273739 */     // GIR_Coverage, 52307,
     /* 2273739 */     GIR_EraseRootFromParent_Done,
     /* 2273740 */   // Label 30878: @2273740
     /* 2273740 */   GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2273788), // Rule ID 52308 //
     /* 2273745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273748 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2273751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273787 */     // GIR_Coverage, 52308,
     /* 2273787 */     GIR_EraseRootFromParent_Done,
     /* 2273788 */   // Label 30879: @2273788
     /* 2273788 */   GIM_Reject,
     /* 2273789 */ // Label 30877: @2273789
     /* 2273789 */ GIM_Reject,
     /* 2273790 */ // Label 30824: @2273790
     /* 2273790 */ GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2273910),
     /* 2273795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2273798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2273801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273813 */   GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2273861), // Rule ID 52323 //
     /* 2273818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273821 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2273824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273860 */     // GIR_Coverage, 52323,
     /* 2273860 */     GIR_EraseRootFromParent_Done,
     /* 2273861 */   // Label 30881: @2273861
     /* 2273861 */   GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2273909), // Rule ID 52324 //
     /* 2273866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273869 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2273872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273908 */     // GIR_Coverage, 52324,
     /* 2273908 */     GIR_EraseRootFromParent_Done,
     /* 2273909 */   // Label 30882: @2273909
     /* 2273909 */   GIM_Reject,
     /* 2273910 */ // Label 30880: @2273910
     /* 2273910 */ GIM_Reject,
     /* 2273911 */ // Label 30825: @2273911
     /* 2273911 */ GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2274031),
     /* 2273916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2273919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2273922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273934 */   GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2273982), // Rule ID 52279 //
     /* 2273939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273942 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2273945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273981 */     // GIR_Coverage, 52279,
     /* 2273981 */     GIR_EraseRootFromParent_Done,
     /* 2273982 */   // Label 30884: @2273982
     /* 2273982 */   GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2274030), // Rule ID 52280 //
     /* 2273987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273990 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2273993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2274007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274029 */     // GIR_Coverage, 52280,
     /* 2274029 */     GIR_EraseRootFromParent_Done,
     /* 2274030 */   // Label 30885: @2274030
     /* 2274030 */   GIM_Reject,
     /* 2274031 */ // Label 30883: @2274031
     /* 2274031 */ GIM_Reject,
     /* 2274032 */ // Label 30826: @2274032
     /* 2274032 */ GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2274152),
     /* 2274037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2274040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2274043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274055 */   GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2274103), // Rule ID 52295 //
     /* 2274060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274063 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274102 */     // GIR_Coverage, 52295,
     /* 2274102 */     GIR_EraseRootFromParent_Done,
     /* 2274103 */   // Label 30887: @2274103
     /* 2274103 */   GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2274151), // Rule ID 52296 //
     /* 2274108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274111 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274150 */     // GIR_Coverage, 52296,
     /* 2274150 */     GIR_EraseRootFromParent_Done,
     /* 2274151 */   // Label 30888: @2274151
     /* 2274151 */   GIM_Reject,
     /* 2274152 */ // Label 30886: @2274152
     /* 2274152 */ GIM_Reject,
     /* 2274153 */ // Label 30827: @2274153
     /* 2274153 */ GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2274273),
     /* 2274158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2274161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2274164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274176 */   GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2274224), // Rule ID 52311 //
     /* 2274181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274184 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274223 */     // GIR_Coverage, 52311,
     /* 2274223 */     GIR_EraseRootFromParent_Done,
     /* 2274224 */   // Label 30890: @2274224
     /* 2274224 */   GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2274272), // Rule ID 52312 //
     /* 2274229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274232 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274271 */     // GIR_Coverage, 52312,
     /* 2274271 */     GIR_EraseRootFromParent_Done,
     /* 2274272 */   // Label 30891: @2274272
     /* 2274272 */   GIM_Reject,
     /* 2274273 */ // Label 30889: @2274273
     /* 2274273 */ GIM_Reject,
     /* 2274274 */ // Label 30828: @2274274
     /* 2274274 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2274394),
     /* 2274279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2274282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2274285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274297 */   GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2274345), // Rule ID 52283 //
     /* 2274302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274305 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274344 */     // GIR_Coverage, 52283,
     /* 2274344 */     GIR_EraseRootFromParent_Done,
     /* 2274345 */   // Label 30893: @2274345
     /* 2274345 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2274393), // Rule ID 52284 //
     /* 2274350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274353 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274392 */     // GIR_Coverage, 52284,
     /* 2274392 */     GIR_EraseRootFromParent_Done,
     /* 2274393 */   // Label 30894: @2274393
     /* 2274393 */   GIM_Reject,
     /* 2274394 */ // Label 30892: @2274394
     /* 2274394 */ GIM_Reject,
     /* 2274395 */ // Label 30829: @2274395
     /* 2274395 */ GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2274515),
     /* 2274400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2274403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2274406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274418 */   GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2274466), // Rule ID 52299 //
     /* 2274423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274426 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274465 */     // GIR_Coverage, 52299,
     /* 2274465 */     GIR_EraseRootFromParent_Done,
     /* 2274466 */   // Label 30896: @2274466
     /* 2274466 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2274514), // Rule ID 52300 //
     /* 2274471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274474 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274513 */     // GIR_Coverage, 52300,
     /* 2274513 */     GIR_EraseRootFromParent_Done,
     /* 2274514 */   // Label 30897: @2274514
     /* 2274514 */   GIM_Reject,
     /* 2274515 */ // Label 30895: @2274515
     /* 2274515 */ GIM_Reject,
     /* 2274516 */ // Label 30830: @2274516
     /* 2274516 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2274636),
     /* 2274521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2274524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2274527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274539 */   GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2274587), // Rule ID 52287 //
     /* 2274544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274547 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274586 */     // GIR_Coverage, 52287,
     /* 2274586 */     GIR_EraseRootFromParent_Done,
     /* 2274587 */   // Label 30899: @2274587
     /* 2274587 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2274635), // Rule ID 52288 //
     /* 2274592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274595 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274634 */     // GIR_Coverage, 52288,
     /* 2274634 */     GIR_EraseRootFromParent_Done,
     /* 2274635 */   // Label 30900: @2274635
     /* 2274635 */   GIM_Reject,
     /* 2274636 */ // Label 30898: @2274636
     /* 2274636 */ GIM_Reject,
     /* 2274637 */ // Label 30831: @2274637
     /* 2274637 */ GIM_Reject,
     /* 2274638 */ // Label 55: @2274638
     /* 2274638 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30924*/ GIMT_Encode4(2277490),
     /* 2274649 */ /*GILLT_s32*//*Label 30901*/ GIMT_Encode4(2274773), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274661 */ /*GILLT_nxv1s8*//*Label 30902*/ GIMT_Encode4(2274828),
     /* 2274665 */ /*GILLT_nxv1s16*//*Label 30903*/ GIMT_Encode4(2274949),
     /* 2274669 */ /*GILLT_nxv1s32*//*Label 30904*/ GIMT_Encode4(2275070),
     /* 2274673 */ /*GILLT_nxv1s64*//*Label 30905*/ GIMT_Encode4(2275191), GIMT_Encode4(0),
     /* 2274681 */ /*GILLT_nxv2s8*//*Label 30906*/ GIMT_Encode4(2275312),
     /* 2274685 */ /*GILLT_nxv2s16*//*Label 30907*/ GIMT_Encode4(2275433),
     /* 2274689 */ /*GILLT_nxv2s32*//*Label 30908*/ GIMT_Encode4(2275554),
     /* 2274693 */ /*GILLT_nxv2s64*//*Label 30909*/ GIMT_Encode4(2275675), GIMT_Encode4(0),
     /* 2274701 */ /*GILLT_nxv4s8*//*Label 30910*/ GIMT_Encode4(2275796),
     /* 2274705 */ /*GILLT_nxv4s16*//*Label 30911*/ GIMT_Encode4(2275917),
     /* 2274709 */ /*GILLT_nxv4s32*//*Label 30912*/ GIMT_Encode4(2276038),
     /* 2274713 */ /*GILLT_nxv4s64*//*Label 30913*/ GIMT_Encode4(2276159), GIMT_Encode4(0),
     /* 2274721 */ /*GILLT_nxv8s8*//*Label 30914*/ GIMT_Encode4(2276280),
     /* 2274725 */ /*GILLT_nxv8s16*//*Label 30915*/ GIMT_Encode4(2276401),
     /* 2274729 */ /*GILLT_nxv8s32*//*Label 30916*/ GIMT_Encode4(2276522),
     /* 2274733 */ /*GILLT_nxv8s64*//*Label 30917*/ GIMT_Encode4(2276643), GIMT_Encode4(0),
     /* 2274741 */ /*GILLT_nxv16s8*//*Label 30918*/ GIMT_Encode4(2276764),
     /* 2274745 */ /*GILLT_nxv16s16*//*Label 30919*/ GIMT_Encode4(2276885),
     /* 2274749 */ /*GILLT_nxv16s32*//*Label 30920*/ GIMT_Encode4(2277006), GIMT_Encode4(0),
     /* 2274757 */ /*GILLT_nxv32s8*//*Label 30921*/ GIMT_Encode4(2277127),
     /* 2274761 */ /*GILLT_nxv32s16*//*Label 30922*/ GIMT_Encode4(2277248), GIMT_Encode4(0),
     /* 2274769 */ /*GILLT_nxv64s8*//*Label 30923*/ GIMT_Encode4(2277369),
     /* 2274773 */ // Label 30901: @2274773
     /* 2274773 */ GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2274827),
     /* 2274778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2274781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274796 */   GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2274811), // Rule ID 64486 //
     /* 2274801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2274804 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2274804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2274809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274810 */     // GIR_Coverage, 64486,
     /* 2274810 */     GIR_Done,
     /* 2274811 */   // Label 30926: @2274811
     /* 2274811 */   GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2274826), // Rule ID 64487 //
     /* 2274816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2274819 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2274819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2274824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274825 */     // GIR_Coverage, 64487,
     /* 2274825 */     GIR_Done,
     /* 2274826 */   // Label 30927: @2274826
     /* 2274826 */   GIM_Reject,
     /* 2274827 */ // Label 30925: @2274827
     /* 2274827 */ GIM_Reject,
     /* 2274828 */ // Label 30902: @2274828
     /* 2274828 */ GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2274948),
     /* 2274833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2274836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2274839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274851 */   GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2274899), // Rule ID 52591 //
     /* 2274856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274859 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2274862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2274876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274898 */     // GIR_Coverage, 52591,
     /* 2274898 */     GIR_EraseRootFromParent_Done,
     /* 2274899 */   // Label 30929: @2274899
     /* 2274899 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2274947), // Rule ID 52592 //
     /* 2274904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274907 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2274910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2274924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274946 */     // GIR_Coverage, 52592,
     /* 2274946 */     GIR_EraseRootFromParent_Done,
     /* 2274947 */   // Label 30930: @2274947
     /* 2274947 */   GIM_Reject,
     /* 2274948 */ // Label 30928: @2274948
     /* 2274948 */ GIM_Reject,
     /* 2274949 */ // Label 30903: @2274949
     /* 2274949 */ GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2275069),
     /* 2274954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2274957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2274960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274972 */   GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2275020), // Rule ID 52603 //
     /* 2274977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274980 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2274983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2274997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275019 */     // GIR_Coverage, 52603,
     /* 2275019 */     GIR_EraseRootFromParent_Done,
     /* 2275020 */   // Label 30932: @2275020
     /* 2275020 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2275068), // Rule ID 52604 //
     /* 2275025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275028 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275067 */     // GIR_Coverage, 52604,
     /* 2275067 */     GIR_EraseRootFromParent_Done,
     /* 2275068 */   // Label 30933: @2275068
     /* 2275068 */   GIM_Reject,
     /* 2275069 */ // Label 30931: @2275069
     /* 2275069 */ GIM_Reject,
     /* 2275070 */ // Label 30904: @2275070
     /* 2275070 */ GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2275190),
     /* 2275075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2275078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2275081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275093 */   GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2275141), // Rule ID 52611 //
     /* 2275098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275101 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275140 */     // GIR_Coverage, 52611,
     /* 2275140 */     GIR_EraseRootFromParent_Done,
     /* 2275141 */   // Label 30935: @2275141
     /* 2275141 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2275189), // Rule ID 52612 //
     /* 2275146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275149 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275188 */     // GIR_Coverage, 52612,
     /* 2275188 */     GIR_EraseRootFromParent_Done,
     /* 2275189 */   // Label 30936: @2275189
     /* 2275189 */   GIM_Reject,
     /* 2275190 */ // Label 30934: @2275190
     /* 2275190 */ GIM_Reject,
     /* 2275191 */ // Label 30905: @2275191
     /* 2275191 */ GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2275311),
     /* 2275196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2275199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2275202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275214 */   GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2275262), // Rule ID 52627 //
     /* 2275219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275222 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275261 */     // GIR_Coverage, 52627,
     /* 2275261 */     GIR_EraseRootFromParent_Done,
     /* 2275262 */   // Label 30938: @2275262
     /* 2275262 */   GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2275310), // Rule ID 52628 //
     /* 2275267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275270 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275309 */     // GIR_Coverage, 52628,
     /* 2275309 */     GIR_EraseRootFromParent_Done,
     /* 2275310 */   // Label 30939: @2275310
     /* 2275310 */   GIM_Reject,
     /* 2275311 */ // Label 30937: @2275311
     /* 2275311 */ GIM_Reject,
     /* 2275312 */ // Label 30906: @2275312
     /* 2275312 */ GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2275432),
     /* 2275317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2275320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2275323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275335 */   GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2275383), // Rule ID 52595 //
     /* 2275340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275343 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275382 */     // GIR_Coverage, 52595,
     /* 2275382 */     GIR_EraseRootFromParent_Done,
     /* 2275383 */   // Label 30941: @2275383
     /* 2275383 */   GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2275431), // Rule ID 52596 //
     /* 2275388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275391 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275430 */     // GIR_Coverage, 52596,
     /* 2275430 */     GIR_EraseRootFromParent_Done,
     /* 2275431 */   // Label 30942: @2275431
     /* 2275431 */   GIM_Reject,
     /* 2275432 */ // Label 30940: @2275432
     /* 2275432 */ GIM_Reject,
     /* 2275433 */ // Label 30907: @2275433
     /* 2275433 */ GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2275553),
     /* 2275438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2275441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2275444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275456 */   GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2275504), // Rule ID 52607 //
     /* 2275461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275464 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275503 */     // GIR_Coverage, 52607,
     /* 2275503 */     GIR_EraseRootFromParent_Done,
     /* 2275504 */   // Label 30944: @2275504
     /* 2275504 */   GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2275552), // Rule ID 52608 //
     /* 2275509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275512 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275551 */     // GIR_Coverage, 52608,
     /* 2275551 */     GIR_EraseRootFromParent_Done,
     /* 2275552 */   // Label 30945: @2275552
     /* 2275552 */   GIM_Reject,
     /* 2275553 */ // Label 30943: @2275553
     /* 2275553 */ GIM_Reject,
     /* 2275554 */ // Label 30908: @2275554
     /* 2275554 */ GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2275674),
     /* 2275559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2275562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2275565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275577 */   GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2275625), // Rule ID 52623 //
     /* 2275582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275585 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275624 */     // GIR_Coverage, 52623,
     /* 2275624 */     GIR_EraseRootFromParent_Done,
     /* 2275625 */   // Label 30947: @2275625
     /* 2275625 */   GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2275673), // Rule ID 52624 //
     /* 2275630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275633 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275672 */     // GIR_Coverage, 52624,
     /* 2275672 */     GIR_EraseRootFromParent_Done,
     /* 2275673 */   // Label 30948: @2275673
     /* 2275673 */   GIM_Reject,
     /* 2275674 */ // Label 30946: @2275674
     /* 2275674 */ GIM_Reject,
     /* 2275675 */ // Label 30909: @2275675
     /* 2275675 */ GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2275795),
     /* 2275680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2275683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2275686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275698 */   GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2275746), // Rule ID 52667 //
     /* 2275703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275706 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2275709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275745 */     // GIR_Coverage, 52667,
     /* 2275745 */     GIR_EraseRootFromParent_Done,
     /* 2275746 */   // Label 30950: @2275746
     /* 2275746 */   GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2275794), // Rule ID 52668 //
     /* 2275751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275754 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2275757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275793 */     // GIR_Coverage, 52668,
     /* 2275793 */     GIR_EraseRootFromParent_Done,
     /* 2275794 */   // Label 30951: @2275794
     /* 2275794 */   GIM_Reject,
     /* 2275795 */ // Label 30949: @2275795
     /* 2275795 */ GIM_Reject,
     /* 2275796 */ // Label 30910: @2275796
     /* 2275796 */ GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2275916),
     /* 2275801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2275804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2275807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275819 */   GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2275867), // Rule ID 52599 //
     /* 2275824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275827 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2275830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275866 */     // GIR_Coverage, 52599,
     /* 2275866 */     GIR_EraseRootFromParent_Done,
     /* 2275867 */   // Label 30953: @2275867
     /* 2275867 */   GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2275915), // Rule ID 52600 //
     /* 2275872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275875 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2275878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275914 */     // GIR_Coverage, 52600,
     /* 2275914 */     GIR_EraseRootFromParent_Done,
     /* 2275915 */   // Label 30954: @2275915
     /* 2275915 */   GIM_Reject,
     /* 2275916 */ // Label 30952: @2275916
     /* 2275916 */ GIM_Reject,
     /* 2275917 */ // Label 30911: @2275917
     /* 2275917 */ GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2276037),
     /* 2275922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2275925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2275928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275940 */   GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2275988), // Rule ID 52619 //
     /* 2275945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275948 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2275951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275987 */     // GIR_Coverage, 52619,
     /* 2275987 */     GIR_EraseRootFromParent_Done,
     /* 2275988 */   // Label 30956: @2275988
     /* 2275988 */   GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2276036), // Rule ID 52620 //
     /* 2275993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275996 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2275999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276035 */     // GIR_Coverage, 52620,
     /* 2276035 */     GIR_EraseRootFromParent_Done,
     /* 2276036 */   // Label 30957: @2276036
     /* 2276036 */   GIM_Reject,
     /* 2276037 */ // Label 30955: @2276037
     /* 2276037 */ GIM_Reject,
     /* 2276038 */ // Label 30912: @2276038
     /* 2276038 */ GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2276158),
     /* 2276043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2276046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2276049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276061 */   GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2276109), // Rule ID 52655 //
     /* 2276066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276069 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276108 */     // GIR_Coverage, 52655,
     /* 2276108 */     GIR_EraseRootFromParent_Done,
     /* 2276109 */   // Label 30959: @2276109
     /* 2276109 */   GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2276157), // Rule ID 52656 //
     /* 2276114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276117 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276156 */     // GIR_Coverage, 52656,
     /* 2276156 */     GIR_EraseRootFromParent_Done,
     /* 2276157 */   // Label 30960: @2276157
     /* 2276157 */   GIM_Reject,
     /* 2276158 */ // Label 30958: @2276158
     /* 2276158 */ GIM_Reject,
     /* 2276159 */ // Label 30913: @2276159
     /* 2276159 */ GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2276279),
     /* 2276164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2276167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2276170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276182 */   GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2276230), // Rule ID 52671 //
     /* 2276187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276190 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276229 */     // GIR_Coverage, 52671,
     /* 2276229 */     GIR_EraseRootFromParent_Done,
     /* 2276230 */   // Label 30962: @2276230
     /* 2276230 */   GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2276278), // Rule ID 52672 //
     /* 2276235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276238 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276277 */     // GIR_Coverage, 52672,
     /* 2276277 */     GIR_EraseRootFromParent_Done,
     /* 2276278 */   // Label 30963: @2276278
     /* 2276278 */   GIM_Reject,
     /* 2276279 */ // Label 30961: @2276279
     /* 2276279 */ GIM_Reject,
     /* 2276280 */ // Label 30914: @2276280
     /* 2276280 */ GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2276400),
     /* 2276285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2276288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2276291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276303 */   GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2276351), // Rule ID 52615 //
     /* 2276308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276311 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276350 */     // GIR_Coverage, 52615,
     /* 2276350 */     GIR_EraseRootFromParent_Done,
     /* 2276351 */   // Label 30965: @2276351
     /* 2276351 */   GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2276399), // Rule ID 52616 //
     /* 2276356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276359 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276398 */     // GIR_Coverage, 52616,
     /* 2276398 */     GIR_EraseRootFromParent_Done,
     /* 2276399 */   // Label 30966: @2276399
     /* 2276399 */   GIM_Reject,
     /* 2276400 */ // Label 30964: @2276400
     /* 2276400 */ GIM_Reject,
     /* 2276401 */ // Label 30915: @2276401
     /* 2276401 */ GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2276521),
     /* 2276406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2276409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276424 */   GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2276472), // Rule ID 52643 //
     /* 2276429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276432 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276471 */     // GIR_Coverage, 52643,
     /* 2276471 */     GIR_EraseRootFromParent_Done,
     /* 2276472 */   // Label 30968: @2276472
     /* 2276472 */   GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2276520), // Rule ID 52644 //
     /* 2276477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276480 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276519 */     // GIR_Coverage, 52644,
     /* 2276519 */     GIR_EraseRootFromParent_Done,
     /* 2276520 */   // Label 30969: @2276520
     /* 2276520 */   GIM_Reject,
     /* 2276521 */ // Label 30967: @2276521
     /* 2276521 */ GIM_Reject,
     /* 2276522 */ // Label 30916: @2276522
     /* 2276522 */ GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2276642),
     /* 2276527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2276530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276545 */   GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2276593), // Rule ID 52659 //
     /* 2276550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276553 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276592 */     // GIR_Coverage, 52659,
     /* 2276592 */     GIR_EraseRootFromParent_Done,
     /* 2276593 */   // Label 30971: @2276593
     /* 2276593 */   GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2276641), // Rule ID 52660 //
     /* 2276598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276601 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276640 */     // GIR_Coverage, 52660,
     /* 2276640 */     GIR_EraseRootFromParent_Done,
     /* 2276641 */   // Label 30972: @2276641
     /* 2276641 */   GIM_Reject,
     /* 2276642 */ // Label 30970: @2276642
     /* 2276642 */ GIM_Reject,
     /* 2276643 */ // Label 30917: @2276643
     /* 2276643 */ GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2276763),
     /* 2276648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2276651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276666 */   GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2276714), // Rule ID 52675 //
     /* 2276671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276674 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2276677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2276691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276713 */     // GIR_Coverage, 52675,
     /* 2276713 */     GIR_EraseRootFromParent_Done,
     /* 2276714 */   // Label 30974: @2276714
     /* 2276714 */   GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2276762), // Rule ID 52676 //
     /* 2276719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276722 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2276725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2276739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276761 */     // GIR_Coverage, 52676,
     /* 2276761 */     GIR_EraseRootFromParent_Done,
     /* 2276762 */   // Label 30975: @2276762
     /* 2276762 */   GIM_Reject,
     /* 2276763 */ // Label 30973: @2276763
     /* 2276763 */ GIM_Reject,
     /* 2276764 */ // Label 30918: @2276764
     /* 2276764 */ GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2276884),
     /* 2276769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2276772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2276775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276787 */   GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2276835), // Rule ID 52631 //
     /* 2276792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276795 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2276798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276834 */     // GIR_Coverage, 52631,
     /* 2276834 */     GIR_EraseRootFromParent_Done,
     /* 2276835 */   // Label 30977: @2276835
     /* 2276835 */   GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2276883), // Rule ID 52632 //
     /* 2276840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276843 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2276846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276882 */     // GIR_Coverage, 52632,
     /* 2276882 */     GIR_EraseRootFromParent_Done,
     /* 2276883 */   // Label 30978: @2276883
     /* 2276883 */   GIM_Reject,
     /* 2276884 */ // Label 30976: @2276884
     /* 2276884 */ GIM_Reject,
     /* 2276885 */ // Label 30919: @2276885
     /* 2276885 */ GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2277005),
     /* 2276890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2276893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2276896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276908 */   GIM_Try, /*On fail goto*//*Label 30980*/ GIMT_Encode4(2276956), // Rule ID 52647 //
     /* 2276913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276916 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2276919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276955 */     // GIR_Coverage, 52647,
     /* 2276955 */     GIR_EraseRootFromParent_Done,
     /* 2276956 */   // Label 30980: @2276956
     /* 2276956 */   GIM_Try, /*On fail goto*//*Label 30981*/ GIMT_Encode4(2277004), // Rule ID 52648 //
     /* 2276961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276964 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2276967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277003 */     // GIR_Coverage, 52648,
     /* 2277003 */     GIR_EraseRootFromParent_Done,
     /* 2277004 */   // Label 30981: @2277004
     /* 2277004 */   GIM_Reject,
     /* 2277005 */ // Label 30979: @2277005
     /* 2277005 */ GIM_Reject,
     /* 2277006 */ // Label 30920: @2277006
     /* 2277006 */ GIM_Try, /*On fail goto*//*Label 30982*/ GIMT_Encode4(2277126),
     /* 2277011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2277014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277029 */   GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2277077), // Rule ID 52663 //
     /* 2277034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277037 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277076 */     // GIR_Coverage, 52663,
     /* 2277076 */     GIR_EraseRootFromParent_Done,
     /* 2277077 */   // Label 30983: @2277077
     /* 2277077 */   GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2277125), // Rule ID 52664 //
     /* 2277082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277085 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277124 */     // GIR_Coverage, 52664,
     /* 2277124 */     GIR_EraseRootFromParent_Done,
     /* 2277125 */   // Label 30984: @2277125
     /* 2277125 */   GIM_Reject,
     /* 2277126 */ // Label 30982: @2277126
     /* 2277126 */ GIM_Reject,
     /* 2277127 */ // Label 30921: @2277127
     /* 2277127 */ GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2277247),
     /* 2277132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2277135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2277138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277150 */   GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2277198), // Rule ID 52635 //
     /* 2277155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277158 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277197 */     // GIR_Coverage, 52635,
     /* 2277197 */     GIR_EraseRootFromParent_Done,
     /* 2277198 */   // Label 30986: @2277198
     /* 2277198 */   GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2277246), // Rule ID 52636 //
     /* 2277203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277206 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277245 */     // GIR_Coverage, 52636,
     /* 2277245 */     GIR_EraseRootFromParent_Done,
     /* 2277246 */   // Label 30987: @2277246
     /* 2277246 */   GIM_Reject,
     /* 2277247 */ // Label 30985: @2277247
     /* 2277247 */ GIM_Reject,
     /* 2277248 */ // Label 30922: @2277248
     /* 2277248 */ GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2277368),
     /* 2277253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2277256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277271 */   GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2277319), // Rule ID 52651 //
     /* 2277276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277279 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277318 */     // GIR_Coverage, 52651,
     /* 2277318 */     GIR_EraseRootFromParent_Done,
     /* 2277319 */   // Label 30989: @2277319
     /* 2277319 */   GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2277367), // Rule ID 52652 //
     /* 2277324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277327 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277366 */     // GIR_Coverage, 52652,
     /* 2277366 */     GIR_EraseRootFromParent_Done,
     /* 2277367 */   // Label 30990: @2277367
     /* 2277367 */   GIM_Reject,
     /* 2277368 */ // Label 30988: @2277368
     /* 2277368 */ GIM_Reject,
     /* 2277369 */ // Label 30923: @2277369
     /* 2277369 */ GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2277489),
     /* 2277374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2277377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2277380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277392 */   GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2277440), // Rule ID 52639 //
     /* 2277397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277400 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277439 */     // GIR_Coverage, 52639,
     /* 2277439 */     GIR_EraseRootFromParent_Done,
     /* 2277440 */   // Label 30992: @2277440
     /* 2277440 */   GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2277488), // Rule ID 52640 //
     /* 2277445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277448 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277487 */     // GIR_Coverage, 52640,
     /* 2277487 */     GIR_EraseRootFromParent_Done,
     /* 2277488 */   // Label 30993: @2277488
     /* 2277488 */   GIM_Reject,
     /* 2277489 */ // Label 30991: @2277489
     /* 2277489 */ GIM_Reject,
     /* 2277490 */ // Label 30924: @2277490
     /* 2277490 */ GIM_Reject,
     /* 2277491 */ // Label 56: @2277491
     /* 2277491 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31017*/ GIMT_Encode4(2280343),
     /* 2277502 */ /*GILLT_s32*//*Label 30994*/ GIMT_Encode4(2277626), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277514 */ /*GILLT_nxv1s8*//*Label 30995*/ GIMT_Encode4(2277681),
     /* 2277518 */ /*GILLT_nxv1s16*//*Label 30996*/ GIMT_Encode4(2277802),
     /* 2277522 */ /*GILLT_nxv1s32*//*Label 30997*/ GIMT_Encode4(2277923),
     /* 2277526 */ /*GILLT_nxv1s64*//*Label 30998*/ GIMT_Encode4(2278044), GIMT_Encode4(0),
     /* 2277534 */ /*GILLT_nxv2s8*//*Label 30999*/ GIMT_Encode4(2278165),
     /* 2277538 */ /*GILLT_nxv2s16*//*Label 31000*/ GIMT_Encode4(2278286),
     /* 2277542 */ /*GILLT_nxv2s32*//*Label 31001*/ GIMT_Encode4(2278407),
     /* 2277546 */ /*GILLT_nxv2s64*//*Label 31002*/ GIMT_Encode4(2278528), GIMT_Encode4(0),
     /* 2277554 */ /*GILLT_nxv4s8*//*Label 31003*/ GIMT_Encode4(2278649),
     /* 2277558 */ /*GILLT_nxv4s16*//*Label 31004*/ GIMT_Encode4(2278770),
     /* 2277562 */ /*GILLT_nxv4s32*//*Label 31005*/ GIMT_Encode4(2278891),
     /* 2277566 */ /*GILLT_nxv4s64*//*Label 31006*/ GIMT_Encode4(2279012), GIMT_Encode4(0),
     /* 2277574 */ /*GILLT_nxv8s8*//*Label 31007*/ GIMT_Encode4(2279133),
     /* 2277578 */ /*GILLT_nxv8s16*//*Label 31008*/ GIMT_Encode4(2279254),
     /* 2277582 */ /*GILLT_nxv8s32*//*Label 31009*/ GIMT_Encode4(2279375),
     /* 2277586 */ /*GILLT_nxv8s64*//*Label 31010*/ GIMT_Encode4(2279496), GIMT_Encode4(0),
     /* 2277594 */ /*GILLT_nxv16s8*//*Label 31011*/ GIMT_Encode4(2279617),
     /* 2277598 */ /*GILLT_nxv16s16*//*Label 31012*/ GIMT_Encode4(2279738),
     /* 2277602 */ /*GILLT_nxv16s32*//*Label 31013*/ GIMT_Encode4(2279859), GIMT_Encode4(0),
     /* 2277610 */ /*GILLT_nxv32s8*//*Label 31014*/ GIMT_Encode4(2279980),
     /* 2277614 */ /*GILLT_nxv32s16*//*Label 31015*/ GIMT_Encode4(2280101), GIMT_Encode4(0),
     /* 2277622 */ /*GILLT_nxv64s8*//*Label 31016*/ GIMT_Encode4(2280222),
     /* 2277626 */ // Label 30994: @2277626
     /* 2277626 */ GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2277680),
     /* 2277631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2277634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2277637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2277641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2277645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2277649 */   GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2277664), // Rule ID 64484 //
     /* 2277654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2277657 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2277657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2277662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277663 */     // GIR_Coverage, 64484,
     /* 2277663 */     GIR_Done,
     /* 2277664 */   // Label 31019: @2277664
     /* 2277664 */   GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2277679), // Rule ID 64485 //
     /* 2277669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2277672 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2277672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2277677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277678 */     // GIR_Coverage, 64485,
     /* 2277678 */     GIR_Done,
     /* 2277679 */   // Label 31020: @2277679
     /* 2277679 */   GIM_Reject,
     /* 2277680 */ // Label 31018: @2277680
     /* 2277680 */ GIM_Reject,
     /* 2277681 */ // Label 30995: @2277681
     /* 2277681 */ GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2277801),
     /* 2277686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2277689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2277692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277704 */   GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2277752), // Rule ID 52503 //
     /* 2277709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277712 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2277715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2277729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277751 */     // GIR_Coverage, 52503,
     /* 2277751 */     GIR_EraseRootFromParent_Done,
     /* 2277752 */   // Label 31022: @2277752
     /* 2277752 */   GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2277800), // Rule ID 52504 //
     /* 2277757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277760 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2277763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2277777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277799 */     // GIR_Coverage, 52504,
     /* 2277799 */     GIR_EraseRootFromParent_Done,
     /* 2277800 */   // Label 31023: @2277800
     /* 2277800 */   GIM_Reject,
     /* 2277801 */ // Label 31021: @2277801
     /* 2277801 */ GIM_Reject,
     /* 2277802 */ // Label 30996: @2277802
     /* 2277802 */ GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2277922),
     /* 2277807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2277810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2277813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277825 */   GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2277873), // Rule ID 52515 //
     /* 2277830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277833 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2277850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277872 */     // GIR_Coverage, 52515,
     /* 2277872 */     GIR_EraseRootFromParent_Done,
     /* 2277873 */   // Label 31025: @2277873
     /* 2277873 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2277921), // Rule ID 52516 //
     /* 2277878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277881 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2277898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277920 */     // GIR_Coverage, 52516,
     /* 2277920 */     GIR_EraseRootFromParent_Done,
     /* 2277921 */   // Label 31026: @2277921
     /* 2277921 */   GIM_Reject,
     /* 2277922 */ // Label 31024: @2277922
     /* 2277922 */ GIM_Reject,
     /* 2277923 */ // Label 30997: @2277923
     /* 2277923 */ GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2278043),
     /* 2277928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2277931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2277934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277946 */   GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2277994), // Rule ID 52523 //
     /* 2277951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277954 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2277971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277993 */     // GIR_Coverage, 52523,
     /* 2277993 */     GIR_EraseRootFromParent_Done,
     /* 2277994 */   // Label 31028: @2277994
     /* 2277994 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2278042), // Rule ID 52524 //
     /* 2277999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278002 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278041 */     // GIR_Coverage, 52524,
     /* 2278041 */     GIR_EraseRootFromParent_Done,
     /* 2278042 */   // Label 31029: @2278042
     /* 2278042 */   GIM_Reject,
     /* 2278043 */ // Label 31027: @2278043
     /* 2278043 */ GIM_Reject,
     /* 2278044 */ // Label 30998: @2278044
     /* 2278044 */ GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2278164),
     /* 2278049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2278052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2278055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278067 */   GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2278115), // Rule ID 52539 //
     /* 2278072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278075 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278114 */     // GIR_Coverage, 52539,
     /* 2278114 */     GIR_EraseRootFromParent_Done,
     /* 2278115 */   // Label 31031: @2278115
     /* 2278115 */   GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2278163), // Rule ID 52540 //
     /* 2278120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278123 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278162 */     // GIR_Coverage, 52540,
     /* 2278162 */     GIR_EraseRootFromParent_Done,
     /* 2278163 */   // Label 31032: @2278163
     /* 2278163 */   GIM_Reject,
     /* 2278164 */ // Label 31030: @2278164
     /* 2278164 */ GIM_Reject,
     /* 2278165 */ // Label 30999: @2278165
     /* 2278165 */ GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2278285),
     /* 2278170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2278173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2278176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278188 */   GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2278236), // Rule ID 52507 //
     /* 2278193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278196 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278235 */     // GIR_Coverage, 52507,
     /* 2278235 */     GIR_EraseRootFromParent_Done,
     /* 2278236 */   // Label 31034: @2278236
     /* 2278236 */   GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2278284), // Rule ID 52508 //
     /* 2278241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278244 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278283 */     // GIR_Coverage, 52508,
     /* 2278283 */     GIR_EraseRootFromParent_Done,
     /* 2278284 */   // Label 31035: @2278284
     /* 2278284 */   GIM_Reject,
     /* 2278285 */ // Label 31033: @2278285
     /* 2278285 */ GIM_Reject,
     /* 2278286 */ // Label 31000: @2278286
     /* 2278286 */ GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2278406),
     /* 2278291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2278294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2278297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278309 */   GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2278357), // Rule ID 52519 //
     /* 2278314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278317 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278356 */     // GIR_Coverage, 52519,
     /* 2278356 */     GIR_EraseRootFromParent_Done,
     /* 2278357 */   // Label 31037: @2278357
     /* 2278357 */   GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2278405), // Rule ID 52520 //
     /* 2278362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278365 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278404 */     // GIR_Coverage, 52520,
     /* 2278404 */     GIR_EraseRootFromParent_Done,
     /* 2278405 */   // Label 31038: @2278405
     /* 2278405 */   GIM_Reject,
     /* 2278406 */ // Label 31036: @2278406
     /* 2278406 */ GIM_Reject,
     /* 2278407 */ // Label 31001: @2278407
     /* 2278407 */ GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2278527),
     /* 2278412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2278415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2278418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278430 */   GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2278478), // Rule ID 52535 //
     /* 2278435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278438 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278477 */     // GIR_Coverage, 52535,
     /* 2278477 */     GIR_EraseRootFromParent_Done,
     /* 2278478 */   // Label 31040: @2278478
     /* 2278478 */   GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2278526), // Rule ID 52536 //
     /* 2278483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278486 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278525 */     // GIR_Coverage, 52536,
     /* 2278525 */     GIR_EraseRootFromParent_Done,
     /* 2278526 */   // Label 31041: @2278526
     /* 2278526 */   GIM_Reject,
     /* 2278527 */ // Label 31039: @2278527
     /* 2278527 */ GIM_Reject,
     /* 2278528 */ // Label 31002: @2278528
     /* 2278528 */ GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2278648),
     /* 2278533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2278536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2278539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278551 */   GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2278599), // Rule ID 52579 //
     /* 2278556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278559 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278598 */     // GIR_Coverage, 52579,
     /* 2278598 */     GIR_EraseRootFromParent_Done,
     /* 2278599 */   // Label 31043: @2278599
     /* 2278599 */   GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2278647), // Rule ID 52580 //
     /* 2278604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278607 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278646 */     // GIR_Coverage, 52580,
     /* 2278646 */     GIR_EraseRootFromParent_Done,
     /* 2278647 */   // Label 31044: @2278647
     /* 2278647 */   GIM_Reject,
     /* 2278648 */ // Label 31042: @2278648
     /* 2278648 */ GIM_Reject,
     /* 2278649 */ // Label 31003: @2278649
     /* 2278649 */ GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2278769),
     /* 2278654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2278657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2278660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278672 */   GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2278720), // Rule ID 52511 //
     /* 2278677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278680 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2278683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278719 */     // GIR_Coverage, 52511,
     /* 2278719 */     GIR_EraseRootFromParent_Done,
     /* 2278720 */   // Label 31046: @2278720
     /* 2278720 */   GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2278768), // Rule ID 52512 //
     /* 2278725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278728 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2278731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278767 */     // GIR_Coverage, 52512,
     /* 2278767 */     GIR_EraseRootFromParent_Done,
     /* 2278768 */   // Label 31047: @2278768
     /* 2278768 */   GIM_Reject,
     /* 2278769 */ // Label 31045: @2278769
     /* 2278769 */ GIM_Reject,
     /* 2278770 */ // Label 31004: @2278770
     /* 2278770 */ GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2278890),
     /* 2278775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2278778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2278781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278793 */   GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2278841), // Rule ID 52531 //
     /* 2278798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278801 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278840 */     // GIR_Coverage, 52531,
     /* 2278840 */     GIR_EraseRootFromParent_Done,
     /* 2278841 */   // Label 31049: @2278841
     /* 2278841 */   GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2278889), // Rule ID 52532 //
     /* 2278846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278849 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278888 */     // GIR_Coverage, 52532,
     /* 2278888 */     GIR_EraseRootFromParent_Done,
     /* 2278889 */   // Label 31050: @2278889
     /* 2278889 */   GIM_Reject,
     /* 2278890 */ // Label 31048: @2278890
     /* 2278890 */ GIM_Reject,
     /* 2278891 */ // Label 31005: @2278891
     /* 2278891 */ GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2279011),
     /* 2278896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2278899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2278902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278914 */   GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2278962), // Rule ID 52567 //
     /* 2278919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278922 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278961 */     // GIR_Coverage, 52567,
     /* 2278961 */     GIR_EraseRootFromParent_Done,
     /* 2278962 */   // Label 31052: @2278962
     /* 2278962 */   GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2279010), // Rule ID 52568 //
     /* 2278967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278970 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279009 */     // GIR_Coverage, 52568,
     /* 2279009 */     GIR_EraseRootFromParent_Done,
     /* 2279010 */   // Label 31053: @2279010
     /* 2279010 */   GIM_Reject,
     /* 2279011 */ // Label 31051: @2279011
     /* 2279011 */ GIM_Reject,
     /* 2279012 */ // Label 31006: @2279012
     /* 2279012 */ GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2279132),
     /* 2279017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2279020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2279023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279035 */   GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2279083), // Rule ID 52583 //
     /* 2279040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279043 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279082 */     // GIR_Coverage, 52583,
     /* 2279082 */     GIR_EraseRootFromParent_Done,
     /* 2279083 */   // Label 31055: @2279083
     /* 2279083 */   GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2279131), // Rule ID 52584 //
     /* 2279088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279091 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279130 */     // GIR_Coverage, 52584,
     /* 2279130 */     GIR_EraseRootFromParent_Done,
     /* 2279131 */   // Label 31056: @2279131
     /* 2279131 */   GIM_Reject,
     /* 2279132 */ // Label 31054: @2279132
     /* 2279132 */ GIM_Reject,
     /* 2279133 */ // Label 31007: @2279133
     /* 2279133 */ GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2279253),
     /* 2279138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2279141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2279144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279156 */   GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2279204), // Rule ID 52527 //
     /* 2279161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279164 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279203 */     // GIR_Coverage, 52527,
     /* 2279203 */     GIR_EraseRootFromParent_Done,
     /* 2279204 */   // Label 31058: @2279204
     /* 2279204 */   GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2279252), // Rule ID 52528 //
     /* 2279209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279212 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279251 */     // GIR_Coverage, 52528,
     /* 2279251 */     GIR_EraseRootFromParent_Done,
     /* 2279252 */   // Label 31059: @2279252
     /* 2279252 */   GIM_Reject,
     /* 2279253 */ // Label 31057: @2279253
     /* 2279253 */ GIM_Reject,
     /* 2279254 */ // Label 31008: @2279254
     /* 2279254 */ GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2279374),
     /* 2279259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2279262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2279265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279277 */   GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2279325), // Rule ID 52555 //
     /* 2279282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279285 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279324 */     // GIR_Coverage, 52555,
     /* 2279324 */     GIR_EraseRootFromParent_Done,
     /* 2279325 */   // Label 31061: @2279325
     /* 2279325 */   GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2279373), // Rule ID 52556 //
     /* 2279330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279333 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279372 */     // GIR_Coverage, 52556,
     /* 2279372 */     GIR_EraseRootFromParent_Done,
     /* 2279373 */   // Label 31062: @2279373
     /* 2279373 */   GIM_Reject,
     /* 2279374 */ // Label 31060: @2279374
     /* 2279374 */ GIM_Reject,
     /* 2279375 */ // Label 31009: @2279375
     /* 2279375 */ GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2279495),
     /* 2279380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2279383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2279386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279398 */   GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2279446), // Rule ID 52571 //
     /* 2279403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279406 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279445 */     // GIR_Coverage, 52571,
     /* 2279445 */     GIR_EraseRootFromParent_Done,
     /* 2279446 */   // Label 31064: @2279446
     /* 2279446 */   GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2279494), // Rule ID 52572 //
     /* 2279451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279454 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279493 */     // GIR_Coverage, 52572,
     /* 2279493 */     GIR_EraseRootFromParent_Done,
     /* 2279494 */   // Label 31065: @2279494
     /* 2279494 */   GIM_Reject,
     /* 2279495 */ // Label 31063: @2279495
     /* 2279495 */ GIM_Reject,
     /* 2279496 */ // Label 31010: @2279496
     /* 2279496 */ GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2279616),
     /* 2279501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2279504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2279507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279519 */   GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2279567), // Rule ID 52587 //
     /* 2279524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279527 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279566 */     // GIR_Coverage, 52587,
     /* 2279566 */     GIR_EraseRootFromParent_Done,
     /* 2279567 */   // Label 31067: @2279567
     /* 2279567 */   GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2279615), // Rule ID 52588 //
     /* 2279572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279575 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279614 */     // GIR_Coverage, 52588,
     /* 2279614 */     GIR_EraseRootFromParent_Done,
     /* 2279615 */   // Label 31068: @2279615
     /* 2279615 */   GIM_Reject,
     /* 2279616 */ // Label 31066: @2279616
     /* 2279616 */ GIM_Reject,
     /* 2279617 */ // Label 31011: @2279617
     /* 2279617 */ GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2279737),
     /* 2279622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2279625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2279628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279640 */   GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2279688), // Rule ID 52543 //
     /* 2279645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279648 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2279651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279687 */     // GIR_Coverage, 52543,
     /* 2279687 */     GIR_EraseRootFromParent_Done,
     /* 2279688 */   // Label 31070: @2279688
     /* 2279688 */   GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2279736), // Rule ID 52544 //
     /* 2279693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279696 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2279699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279735 */     // GIR_Coverage, 52544,
     /* 2279735 */     GIR_EraseRootFromParent_Done,
     /* 2279736 */   // Label 31071: @2279736
     /* 2279736 */   GIM_Reject,
     /* 2279737 */ // Label 31069: @2279737
     /* 2279737 */ GIM_Reject,
     /* 2279738 */ // Label 31012: @2279738
     /* 2279738 */ GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2279858),
     /* 2279743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2279746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2279749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279761 */   GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2279809), // Rule ID 52559 //
     /* 2279766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279769 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2279772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279808 */     // GIR_Coverage, 52559,
     /* 2279808 */     GIR_EraseRootFromParent_Done,
     /* 2279809 */   // Label 31073: @2279809
     /* 2279809 */   GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2279857), // Rule ID 52560 //
     /* 2279814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279817 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2279820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279856 */     // GIR_Coverage, 52560,
     /* 2279856 */     GIR_EraseRootFromParent_Done,
     /* 2279857 */   // Label 31074: @2279857
     /* 2279857 */   GIM_Reject,
     /* 2279858 */ // Label 31072: @2279858
     /* 2279858 */ GIM_Reject,
     /* 2279859 */ // Label 31013: @2279859
     /* 2279859 */ GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2279979),
     /* 2279864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2279867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2279870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279882 */   GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2279930), // Rule ID 52575 //
     /* 2279887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279890 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2279893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279929 */     // GIR_Coverage, 52575,
     /* 2279929 */     GIR_EraseRootFromParent_Done,
     /* 2279930 */   // Label 31076: @2279930
     /* 2279930 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2279978), // Rule ID 52576 //
     /* 2279935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279938 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2279941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279977 */     // GIR_Coverage, 52576,
     /* 2279977 */     GIR_EraseRootFromParent_Done,
     /* 2279978 */   // Label 31077: @2279978
     /* 2279978 */   GIM_Reject,
     /* 2279979 */ // Label 31075: @2279979
     /* 2279979 */ GIM_Reject,
     /* 2279980 */ // Label 31014: @2279980
     /* 2279980 */ GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2280100),
     /* 2279985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2279988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2279991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280003 */   GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2280051), // Rule ID 52547 //
     /* 2280008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280011 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280050 */     // GIR_Coverage, 52547,
     /* 2280050 */     GIR_EraseRootFromParent_Done,
     /* 2280051 */   // Label 31079: @2280051
     /* 2280051 */   GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2280099), // Rule ID 52548 //
     /* 2280056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280059 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280098 */     // GIR_Coverage, 52548,
     /* 2280098 */     GIR_EraseRootFromParent_Done,
     /* 2280099 */   // Label 31080: @2280099
     /* 2280099 */   GIM_Reject,
     /* 2280100 */ // Label 31078: @2280100
     /* 2280100 */ GIM_Reject,
     /* 2280101 */ // Label 31015: @2280101
     /* 2280101 */ GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2280221),
     /* 2280106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2280109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2280112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280124 */   GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2280172), // Rule ID 52563 //
     /* 2280129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280132 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280171 */     // GIR_Coverage, 52563,
     /* 2280171 */     GIR_EraseRootFromParent_Done,
     /* 2280172 */   // Label 31082: @2280172
     /* 2280172 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2280220), // Rule ID 52564 //
     /* 2280177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280180 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280219 */     // GIR_Coverage, 52564,
     /* 2280219 */     GIR_EraseRootFromParent_Done,
     /* 2280220 */   // Label 31083: @2280220
     /* 2280220 */   GIM_Reject,
     /* 2280221 */ // Label 31081: @2280221
     /* 2280221 */ GIM_Reject,
     /* 2280222 */ // Label 31016: @2280222
     /* 2280222 */ GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2280342),
     /* 2280227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2280230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2280233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280245 */   GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2280293), // Rule ID 52551 //
     /* 2280250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280253 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280292 */     // GIR_Coverage, 52551,
     /* 2280292 */     GIR_EraseRootFromParent_Done,
     /* 2280293 */   // Label 31085: @2280293
     /* 2280293 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2280341), // Rule ID 52552 //
     /* 2280298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280301 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280340 */     // GIR_Coverage, 52552,
     /* 2280340 */     GIR_EraseRootFromParent_Done,
     /* 2280341 */   // Label 31086: @2280341
     /* 2280341 */   GIM_Reject,
     /* 2280342 */ // Label 31084: @2280342
     /* 2280342 */ GIM_Reject,
     /* 2280343 */ // Label 31017: @2280343
     /* 2280343 */ GIM_Reject,
     /* 2280344 */ // Label 57: @2280344
     /* 2280344 */ GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2280401),
     /* 2280349 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280370 */   GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2280385), // Rule ID 64488 //
     /* 2280375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280378 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280384 */     // GIR_Coverage, 64488,
     /* 2280384 */     GIR_Done,
     /* 2280385 */   // Label 31088: @2280385
     /* 2280385 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2280400), // Rule ID 64489 //
     /* 2280390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280393 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280399 */     // GIR_Coverage, 64489,
     /* 2280399 */     GIR_Done,
     /* 2280400 */   // Label 31089: @2280400
     /* 2280400 */   GIM_Reject,
     /* 2280401 */ // Label 31087: @2280401
     /* 2280401 */ GIM_Reject,
     /* 2280402 */ // Label 58: @2280402
     /* 2280402 */ GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2280459),
     /* 2280407 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280428 */   GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2280443), // Rule ID 64490 //
     /* 2280433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280436 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280442 */     // GIR_Coverage, 64490,
     /* 2280442 */     GIR_Done,
     /* 2280443 */   // Label 31091: @2280443
     /* 2280443 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2280458), // Rule ID 64491 //
     /* 2280448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280451 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280457 */     // GIR_Coverage, 64491,
     /* 2280457 */     GIR_Done,
     /* 2280458 */   // Label 31092: @2280458
     /* 2280458 */   GIM_Reject,
     /* 2280459 */ // Label 31090: @2280459
     /* 2280459 */ GIM_Reject,
     /* 2280460 */ // Label 59: @2280460
     /* 2280460 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31111*/ GIMT_Encode4(2282887),
     /* 2280471 */ /*GILLT_s16*//*Label 31093*/ GIMT_Encode4(2280591),
     /* 2280475 */ /*GILLT_s32*//*Label 31094*/ GIMT_Encode4(2280740),
     /* 2280479 */ /*GILLT_s64*//*Label 31095*/ GIMT_Encode4(2280889), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280491 */ /*GILLT_nxv1s16*//*Label 31096*/ GIMT_Encode4(2281072),
     /* 2280495 */ /*GILLT_nxv1s32*//*Label 31097*/ GIMT_Encode4(2281193),
     /* 2280499 */ /*GILLT_nxv1s64*//*Label 31098*/ GIMT_Encode4(2281314), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280511 */ /*GILLT_nxv2s16*//*Label 31099*/ GIMT_Encode4(2281435),
     /* 2280515 */ /*GILLT_nxv2s32*//*Label 31100*/ GIMT_Encode4(2281556),
     /* 2280519 */ /*GILLT_nxv2s64*//*Label 31101*/ GIMT_Encode4(2281677), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280531 */ /*GILLT_nxv4s16*//*Label 31102*/ GIMT_Encode4(2281798),
     /* 2280535 */ /*GILLT_nxv4s32*//*Label 31103*/ GIMT_Encode4(2281919),
     /* 2280539 */ /*GILLT_nxv4s64*//*Label 31104*/ GIMT_Encode4(2282040), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280551 */ /*GILLT_nxv8s16*//*Label 31105*/ GIMT_Encode4(2282161),
     /* 2280555 */ /*GILLT_nxv8s32*//*Label 31106*/ GIMT_Encode4(2282282),
     /* 2280559 */ /*GILLT_nxv8s64*//*Label 31107*/ GIMT_Encode4(2282403), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280571 */ /*GILLT_nxv16s16*//*Label 31108*/ GIMT_Encode4(2282524),
     /* 2280575 */ /*GILLT_nxv16s32*//*Label 31109*/ GIMT_Encode4(2282645), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280587 */ /*GILLT_nxv32s16*//*Label 31110*/ GIMT_Encode4(2282766),
     /* 2280591 */ // Label 31093: @2280591
     /* 2280591 */ GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2280739),
     /* 2280596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2280599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2280602 */   GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2280636), // Rule ID 1841 //
     /* 2280607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2280610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280622 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2280622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2280625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280635 */     // GIR_Coverage, 1841,
     /* 2280635 */     GIR_EraseRootFromParent_Done,
     /* 2280636 */   // Label 31113: @2280636
     /* 2280636 */   GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2280670), // Rule ID 1842 //
     /* 2280641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2280644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280656 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2280656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2280659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280669 */     // GIR_Coverage, 1842,
     /* 2280669 */     GIR_EraseRootFromParent_Done,
     /* 2280670 */   // Label 31114: @2280670
     /* 2280670 */   GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2280704), // Rule ID 1845 //
     /* 2280675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2280678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280690 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2280690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2280693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280703 */     // GIR_Coverage, 1845,
     /* 2280703 */     GIR_EraseRootFromParent_Done,
     /* 2280704 */   // Label 31115: @2280704
     /* 2280704 */   GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2280738), // Rule ID 1846 //
     /* 2280709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2280712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280724 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2280724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2280727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280737 */     // GIR_Coverage, 1846,
     /* 2280737 */     GIR_EraseRootFromParent_Done,
     /* 2280738 */   // Label 31116: @2280738
     /* 2280738 */   GIM_Reject,
     /* 2280739 */ // Label 31112: @2280739
     /* 2280739 */ GIM_Reject,
     /* 2280740 */ // Label 31094: @2280740
     /* 2280740 */ GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2280888),
     /* 2280745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280751 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2280785), // Rule ID 1132 //
     /* 2280756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2280759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280771 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2280771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2280774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280784 */     // GIR_Coverage, 1132,
     /* 2280784 */     GIR_EraseRootFromParent_Done,
     /* 2280785 */   // Label 31118: @2280785
     /* 2280785 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2280819), // Rule ID 1133 //
     /* 2280790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2280793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280805 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2280805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2280808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280818 */     // GIR_Coverage, 1133,
     /* 2280818 */     GIR_EraseRootFromParent_Done,
     /* 2280819 */   // Label 31119: @2280819
     /* 2280819 */   GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2280853), // Rule ID 1136 //
     /* 2280824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2280827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280839 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2280839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2280842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280852 */     // GIR_Coverage, 1136,
     /* 2280852 */     GIR_EraseRootFromParent_Done,
     /* 2280853 */   // Label 31120: @2280853
     /* 2280853 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2280887), // Rule ID 1137 //
     /* 2280858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2280861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280873 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2280873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2280876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280886 */     // GIR_Coverage, 1137,
     /* 2280886 */     GIR_EraseRootFromParent_Done,
     /* 2280887 */   // Label 31121: @2280887
     /* 2280887 */   GIM_Reject,
     /* 2280888 */ // Label 31117: @2280888
     /* 2280888 */ GIM_Reject,
     /* 2280889 */ // Label 31095: @2280889
     /* 2280889 */ GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2281071),
     /* 2280894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2280900 */   GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2280934), // Rule ID 1467 //
     /* 2280905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2280908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280920 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2280920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2280923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280933 */     // GIR_Coverage, 1467,
     /* 2280933 */     GIR_EraseRootFromParent_Done,
     /* 2280934 */   // Label 31123: @2280934
     /* 2280934 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2280968), // Rule ID 1468 //
     /* 2280939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2280942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280954 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2280954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2280957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280967 */     // GIR_Coverage, 1468,
     /* 2280967 */     GIR_EraseRootFromParent_Done,
     /* 2280968 */   // Label 31124: @2280968
     /* 2280968 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2281002), // Rule ID 1471 //
     /* 2280973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2280976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280988 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2280988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2280991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281001 */     // GIR_Coverage, 1471,
     /* 2281001 */     GIR_EraseRootFromParent_Done,
     /* 2281002 */   // Label 31125: @2281002
     /* 2281002 */   GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2281036), // Rule ID 1472 //
     /* 2281007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281022 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2281022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2281025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281035 */     // GIR_Coverage, 1472,
     /* 2281035 */     GIR_EraseRootFromParent_Done,
     /* 2281036 */   // Label 31126: @2281036
     /* 2281036 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2281070), // Rule ID 1474 //
     /* 2281041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2281044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281056 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2281059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281069 */     // GIR_Coverage, 1474,
     /* 2281069 */     GIR_EraseRootFromParent_Done,
     /* 2281070 */   // Label 31127: @2281070
     /* 2281070 */   GIM_Reject,
     /* 2281071 */ // Label 31122: @2281071
     /* 2281071 */ GIM_Reject,
     /* 2281072 */ // Label 31096: @2281072
     /* 2281072 */ GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2281192),
     /* 2281077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2281080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2281083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281095 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2281143), // Rule ID 45631 //
     /* 2281100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281103 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281142 */     // GIR_Coverage, 45631,
     /* 2281142 */     GIR_EraseRootFromParent_Done,
     /* 2281143 */   // Label 31129: @2281143
     /* 2281143 */   GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2281191), // Rule ID 45632 //
     /* 2281148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281151 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281190 */     // GIR_Coverage, 45632,
     /* 2281190 */     GIR_EraseRootFromParent_Done,
     /* 2281191 */   // Label 31130: @2281191
     /* 2281191 */   GIM_Reject,
     /* 2281192 */ // Label 31128: @2281192
     /* 2281192 */ GIM_Reject,
     /* 2281193 */ // Label 31097: @2281193
     /* 2281193 */ GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2281313),
     /* 2281198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2281201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2281204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281216 */   GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2281264), // Rule ID 53167 //
     /* 2281221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281224 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281263 */     // GIR_Coverage, 53167,
     /* 2281263 */     GIR_EraseRootFromParent_Done,
     /* 2281264 */   // Label 31132: @2281264
     /* 2281264 */   GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2281312), // Rule ID 53168 //
     /* 2281269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281272 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281311 */     // GIR_Coverage, 53168,
     /* 2281311 */     GIR_EraseRootFromParent_Done,
     /* 2281312 */   // Label 31133: @2281312
     /* 2281312 */   GIM_Reject,
     /* 2281313 */ // Label 31131: @2281313
     /* 2281313 */ GIM_Reject,
     /* 2281314 */ // Label 31098: @2281314
     /* 2281314 */ GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2281434),
     /* 2281319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2281322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2281325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281337 */   GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2281385), // Rule ID 53203 //
     /* 2281342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281345 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281384 */     // GIR_Coverage, 53203,
     /* 2281384 */     GIR_EraseRootFromParent_Done,
     /* 2281385 */   // Label 31135: @2281385
     /* 2281385 */   GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2281433), // Rule ID 53204 //
     /* 2281390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281393 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281432 */     // GIR_Coverage, 53204,
     /* 2281432 */     GIR_EraseRootFromParent_Done,
     /* 2281433 */   // Label 31136: @2281433
     /* 2281433 */   GIM_Reject,
     /* 2281434 */ // Label 31134: @2281434
     /* 2281434 */ GIM_Reject,
     /* 2281435 */ // Label 31099: @2281435
     /* 2281435 */ GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2281555),
     /* 2281440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2281443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2281446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281458 */   GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2281506), // Rule ID 53155 //
     /* 2281463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281466 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281505 */     // GIR_Coverage, 53155,
     /* 2281505 */     GIR_EraseRootFromParent_Done,
     /* 2281506 */   // Label 31138: @2281506
     /* 2281506 */   GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2281554), // Rule ID 53156 //
     /* 2281511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281514 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281553 */     // GIR_Coverage, 53156,
     /* 2281553 */     GIR_EraseRootFromParent_Done,
     /* 2281554 */   // Label 31139: @2281554
     /* 2281554 */   GIM_Reject,
     /* 2281555 */ // Label 31137: @2281555
     /* 2281555 */ GIM_Reject,
     /* 2281556 */ // Label 31100: @2281556
     /* 2281556 */ GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2281676),
     /* 2281561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2281564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2281567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281579 */   GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2281627), // Rule ID 53191 //
     /* 2281584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281587 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2281604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281626 */     // GIR_Coverage, 53191,
     /* 2281626 */     GIR_EraseRootFromParent_Done,
     /* 2281627 */   // Label 31141: @2281627
     /* 2281627 */   GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2281675), // Rule ID 53192 //
     /* 2281632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281635 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2281652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281674 */     // GIR_Coverage, 53192,
     /* 2281674 */     GIR_EraseRootFromParent_Done,
     /* 2281675 */   // Label 31142: @2281675
     /* 2281675 */   GIM_Reject,
     /* 2281676 */ // Label 31140: @2281676
     /* 2281676 */ GIM_Reject,
     /* 2281677 */ // Label 31101: @2281677
     /* 2281677 */ GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2281797),
     /* 2281682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2281685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2281688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281700 */   GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2281748), // Rule ID 53287 //
     /* 2281705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281708 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2281711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2281725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281747 */     // GIR_Coverage, 53287,
     /* 2281747 */     GIR_EraseRootFromParent_Done,
     /* 2281748 */   // Label 31144: @2281748
     /* 2281748 */   GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2281796), // Rule ID 53288 //
     /* 2281753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281756 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2281759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2281773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281795 */     // GIR_Coverage, 53288,
     /* 2281795 */     GIR_EraseRootFromParent_Done,
     /* 2281796 */   // Label 31145: @2281796
     /* 2281796 */   GIM_Reject,
     /* 2281797 */ // Label 31143: @2281797
     /* 2281797 */ GIM_Reject,
     /* 2281798 */ // Label 31102: @2281798
     /* 2281798 */ GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2281918),
     /* 2281803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2281806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2281809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281821 */   GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2281869), // Rule ID 53179 //
     /* 2281826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281829 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2281832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2281846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281868 */     // GIR_Coverage, 53179,
     /* 2281868 */     GIR_EraseRootFromParent_Done,
     /* 2281869 */   // Label 31147: @2281869
     /* 2281869 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2281917), // Rule ID 53180 //
     /* 2281874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281877 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2281880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2281894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281916 */     // GIR_Coverage, 53180,
     /* 2281916 */     GIR_EraseRootFromParent_Done,
     /* 2281917 */   // Label 31148: @2281917
     /* 2281917 */   GIM_Reject,
     /* 2281918 */ // Label 31146: @2281918
     /* 2281918 */ GIM_Reject,
     /* 2281919 */ // Label 31103: @2281919
     /* 2281919 */ GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2282039),
     /* 2281924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2281927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2281930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281942 */   GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2281990), // Rule ID 53251 //
     /* 2281947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281950 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2281953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2281967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281989 */     // GIR_Coverage, 53251,
     /* 2281989 */     GIR_EraseRootFromParent_Done,
     /* 2281990 */   // Label 31150: @2281990
     /* 2281990 */   GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2282038), // Rule ID 53252 //
     /* 2281995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281998 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2282015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282037 */     // GIR_Coverage, 53252,
     /* 2282037 */     GIR_EraseRootFromParent_Done,
     /* 2282038 */   // Label 31151: @2282038
     /* 2282038 */   GIM_Reject,
     /* 2282039 */ // Label 31149: @2282039
     /* 2282039 */ GIM_Reject,
     /* 2282040 */ // Label 31104: @2282040
     /* 2282040 */ GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2282160),
     /* 2282045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2282048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282063 */   GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2282111), // Rule ID 53299 //
     /* 2282068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282071 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282110 */     // GIR_Coverage, 53299,
     /* 2282110 */     GIR_EraseRootFromParent_Done,
     /* 2282111 */   // Label 31153: @2282111
     /* 2282111 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2282159), // Rule ID 53300 //
     /* 2282116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282119 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282158 */     // GIR_Coverage, 53300,
     /* 2282158 */     GIR_EraseRootFromParent_Done,
     /* 2282159 */   // Label 31154: @2282159
     /* 2282159 */   GIM_Reject,
     /* 2282160 */ // Label 31152: @2282160
     /* 2282160 */ GIM_Reject,
     /* 2282161 */ // Label 31105: @2282161
     /* 2282161 */ GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2282281),
     /* 2282166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2282169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2282172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282184 */   GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2282232), // Rule ID 53215 //
     /* 2282189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282192 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282231 */     // GIR_Coverage, 53215,
     /* 2282231 */     GIR_EraseRootFromParent_Done,
     /* 2282232 */   // Label 31156: @2282232
     /* 2282232 */   GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2282280), // Rule ID 53216 //
     /* 2282237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282240 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282279 */     // GIR_Coverage, 53216,
     /* 2282279 */     GIR_EraseRootFromParent_Done,
     /* 2282280 */   // Label 31157: @2282280
     /* 2282280 */   GIM_Reject,
     /* 2282281 */ // Label 31155: @2282281
     /* 2282281 */ GIM_Reject,
     /* 2282282 */ // Label 31106: @2282282
     /* 2282282 */ GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2282402),
     /* 2282287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2282290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2282293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282305 */   GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2282353), // Rule ID 53263 //
     /* 2282310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282313 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282352 */     // GIR_Coverage, 53263,
     /* 2282352 */     GIR_EraseRootFromParent_Done,
     /* 2282353 */   // Label 31159: @2282353
     /* 2282353 */   GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2282401), // Rule ID 53264 //
     /* 2282358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282361 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282400 */     // GIR_Coverage, 53264,
     /* 2282400 */     GIR_EraseRootFromParent_Done,
     /* 2282401 */   // Label 31160: @2282401
     /* 2282401 */   GIM_Reject,
     /* 2282402 */ // Label 31158: @2282402
     /* 2282402 */ GIM_Reject,
     /* 2282403 */ // Label 31107: @2282403
     /* 2282403 */ GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2282523),
     /* 2282408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2282411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2282414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282426 */   GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2282474), // Rule ID 53311 //
     /* 2282431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282434 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282473 */     // GIR_Coverage, 53311,
     /* 2282473 */     GIR_EraseRootFromParent_Done,
     /* 2282474 */   // Label 31162: @2282474
     /* 2282474 */   GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2282522), // Rule ID 53312 //
     /* 2282479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282482 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282521 */     // GIR_Coverage, 53312,
     /* 2282521 */     GIR_EraseRootFromParent_Done,
     /* 2282522 */   // Label 31163: @2282522
     /* 2282522 */   GIM_Reject,
     /* 2282523 */ // Label 31161: @2282523
     /* 2282523 */ GIM_Reject,
     /* 2282524 */ // Label 31108: @2282524
     /* 2282524 */ GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2282644),
     /* 2282529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2282532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2282535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282547 */   GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2282595), // Rule ID 53227 //
     /* 2282552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282555 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2282572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282594 */     // GIR_Coverage, 53227,
     /* 2282594 */     GIR_EraseRootFromParent_Done,
     /* 2282595 */   // Label 31165: @2282595
     /* 2282595 */   GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2282643), // Rule ID 53228 //
     /* 2282600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282603 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2282620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282642 */     // GIR_Coverage, 53228,
     /* 2282642 */     GIR_EraseRootFromParent_Done,
     /* 2282643 */   // Label 31166: @2282643
     /* 2282643 */   GIM_Reject,
     /* 2282644 */ // Label 31164: @2282644
     /* 2282644 */ GIM_Reject,
     /* 2282645 */ // Label 31109: @2282645
     /* 2282645 */ GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2282765),
     /* 2282650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2282653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2282656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282668 */   GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2282716), // Rule ID 53275 //
     /* 2282673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282676 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2282679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2282693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282715 */     // GIR_Coverage, 53275,
     /* 2282715 */     GIR_EraseRootFromParent_Done,
     /* 2282716 */   // Label 31168: @2282716
     /* 2282716 */   GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2282764), // Rule ID 53276 //
     /* 2282721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282724 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2282727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2282741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282763 */     // GIR_Coverage, 53276,
     /* 2282763 */     GIR_EraseRootFromParent_Done,
     /* 2282764 */   // Label 31169: @2282764
     /* 2282764 */   GIM_Reject,
     /* 2282765 */ // Label 31167: @2282765
     /* 2282765 */ GIM_Reject,
     /* 2282766 */ // Label 31110: @2282766
     /* 2282766 */ GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2282886),
     /* 2282771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2282774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2282777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282789 */   GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2282837), // Rule ID 53239 //
     /* 2282794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282797 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2282800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2282814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282836 */     // GIR_Coverage, 53239,
     /* 2282836 */     GIR_EraseRootFromParent_Done,
     /* 2282837 */   // Label 31171: @2282837
     /* 2282837 */   GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2282885), // Rule ID 53240 //
     /* 2282842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282845 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2282848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2282862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282884 */     // GIR_Coverage, 53240,
     /* 2282884 */     GIR_EraseRootFromParent_Done,
     /* 2282885 */   // Label 31172: @2282885
     /* 2282885 */   GIM_Reject,
     /* 2282886 */ // Label 31170: @2282886
     /* 2282886 */ GIM_Reject,
     /* 2282887 */ // Label 31111: @2282887
     /* 2282887 */ GIM_Reject,
     /* 2282888 */ // Label 60: @2282888
     /* 2282888 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31191*/ GIMT_Encode4(2285315),
     /* 2282899 */ /*GILLT_s16*//*Label 31173*/ GIMT_Encode4(2283019),
     /* 2282903 */ /*GILLT_s32*//*Label 31174*/ GIMT_Encode4(2283168),
     /* 2282907 */ /*GILLT_s64*//*Label 31175*/ GIMT_Encode4(2283317), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282919 */ /*GILLT_nxv1s16*//*Label 31176*/ GIMT_Encode4(2283500),
     /* 2282923 */ /*GILLT_nxv1s32*//*Label 31177*/ GIMT_Encode4(2283621),
     /* 2282927 */ /*GILLT_nxv1s64*//*Label 31178*/ GIMT_Encode4(2283742), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282939 */ /*GILLT_nxv2s16*//*Label 31179*/ GIMT_Encode4(2283863),
     /* 2282943 */ /*GILLT_nxv2s32*//*Label 31180*/ GIMT_Encode4(2283984),
     /* 2282947 */ /*GILLT_nxv2s64*//*Label 31181*/ GIMT_Encode4(2284105), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282959 */ /*GILLT_nxv4s16*//*Label 31182*/ GIMT_Encode4(2284226),
     /* 2282963 */ /*GILLT_nxv4s32*//*Label 31183*/ GIMT_Encode4(2284347),
     /* 2282967 */ /*GILLT_nxv4s64*//*Label 31184*/ GIMT_Encode4(2284468), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282979 */ /*GILLT_nxv8s16*//*Label 31185*/ GIMT_Encode4(2284589),
     /* 2282983 */ /*GILLT_nxv8s32*//*Label 31186*/ GIMT_Encode4(2284710),
     /* 2282987 */ /*GILLT_nxv8s64*//*Label 31187*/ GIMT_Encode4(2284831), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282999 */ /*GILLT_nxv16s16*//*Label 31188*/ GIMT_Encode4(2284952),
     /* 2283003 */ /*GILLT_nxv16s32*//*Label 31189*/ GIMT_Encode4(2285073), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283015 */ /*GILLT_nxv32s16*//*Label 31190*/ GIMT_Encode4(2285194),
     /* 2283019 */ // Label 31173: @2283019
     /* 2283019 */ GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2283167),
     /* 2283024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2283027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2283030 */   GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2283064), // Rule ID 1849 //
     /* 2283035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2283038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283050 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283063 */     // GIR_Coverage, 1849,
     /* 2283063 */     GIR_EraseRootFromParent_Done,
     /* 2283064 */   // Label 31193: @2283064
     /* 2283064 */   GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2283098), // Rule ID 1850 //
     /* 2283069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2283072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283084 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283097 */     // GIR_Coverage, 1850,
     /* 2283097 */     GIR_EraseRootFromParent_Done,
     /* 2283098 */   // Label 31194: @2283098
     /* 2283098 */   GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2283132), // Rule ID 1853 //
     /* 2283103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2283106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283118 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283131 */     // GIR_Coverage, 1853,
     /* 2283131 */     GIR_EraseRootFromParent_Done,
     /* 2283132 */   // Label 31195: @2283132
     /* 2283132 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2283166), // Rule ID 1854 //
     /* 2283137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2283140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283152 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283165 */     // GIR_Coverage, 1854,
     /* 2283165 */     GIR_EraseRootFromParent_Done,
     /* 2283166 */   // Label 31196: @2283166
     /* 2283166 */   GIM_Reject,
     /* 2283167 */ // Label 31192: @2283167
     /* 2283167 */ GIM_Reject,
     /* 2283168 */ // Label 31174: @2283168
     /* 2283168 */ GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2283316),
     /* 2283173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2283179 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2283213), // Rule ID 1140 //
     /* 2283184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283199 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283212 */     // GIR_Coverage, 1140,
     /* 2283212 */     GIR_EraseRootFromParent_Done,
     /* 2283213 */   // Label 31198: @2283213
     /* 2283213 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2283247), // Rule ID 1141 //
     /* 2283218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283233 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283246 */     // GIR_Coverage, 1141,
     /* 2283246 */     GIR_EraseRootFromParent_Done,
     /* 2283247 */   // Label 31199: @2283247
     /* 2283247 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2283281), // Rule ID 1144 //
     /* 2283252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283267 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283280 */     // GIR_Coverage, 1144,
     /* 2283280 */     GIR_EraseRootFromParent_Done,
     /* 2283281 */   // Label 31200: @2283281
     /* 2283281 */   GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2283315), // Rule ID 1145 //
     /* 2283286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283301 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283314 */     // GIR_Coverage, 1145,
     /* 2283314 */     GIR_EraseRootFromParent_Done,
     /* 2283315 */   // Label 31201: @2283315
     /* 2283315 */   GIM_Reject,
     /* 2283316 */ // Label 31197: @2283316
     /* 2283316 */ GIM_Reject,
     /* 2283317 */ // Label 31175: @2283317
     /* 2283317 */ GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2283499),
     /* 2283322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2283325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2283328 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2283362), // Rule ID 1477 //
     /* 2283333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2283336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283348 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283361 */     // GIR_Coverage, 1477,
     /* 2283361 */     GIR_EraseRootFromParent_Done,
     /* 2283362 */   // Label 31203: @2283362
     /* 2283362 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2283396), // Rule ID 1478 //
     /* 2283367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2283370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283382 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283395 */     // GIR_Coverage, 1478,
     /* 2283395 */     GIR_EraseRootFromParent_Done,
     /* 2283396 */   // Label 31204: @2283396
     /* 2283396 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2283430), // Rule ID 1481 //
     /* 2283401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2283404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283416 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283429 */     // GIR_Coverage, 1481,
     /* 2283429 */     GIR_EraseRootFromParent_Done,
     /* 2283430 */   // Label 31205: @2283430
     /* 2283430 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2283464), // Rule ID 1482 //
     /* 2283435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2283438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283450 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283463 */     // GIR_Coverage, 1482,
     /* 2283463 */     GIR_EraseRootFromParent_Done,
     /* 2283464 */   // Label 31206: @2283464
     /* 2283464 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2283498), // Rule ID 1484 //
     /* 2283469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2283472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283484 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2283487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283497 */     // GIR_Coverage, 1484,
     /* 2283497 */     GIR_EraseRootFromParent_Done,
     /* 2283498 */   // Label 31207: @2283498
     /* 2283498 */   GIM_Reject,
     /* 2283499 */ // Label 31202: @2283499
     /* 2283499 */ GIM_Reject,
     /* 2283500 */ // Label 31176: @2283500
     /* 2283500 */ GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2283620),
     /* 2283505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2283511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283523 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2283571), // Rule ID 53323 //
     /* 2283528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283531 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283570 */     // GIR_Coverage, 53323,
     /* 2283570 */     GIR_EraseRootFromParent_Done,
     /* 2283571 */   // Label 31209: @2283571
     /* 2283571 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2283619), // Rule ID 53324 //
     /* 2283576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283579 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283618 */     // GIR_Coverage, 53324,
     /* 2283618 */     GIR_EraseRootFromParent_Done,
     /* 2283619 */   // Label 31210: @2283619
     /* 2283619 */   GIM_Reject,
     /* 2283620 */ // Label 31208: @2283620
     /* 2283620 */ GIM_Reject,
     /* 2283621 */ // Label 31177: @2283621
     /* 2283621 */ GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2283741),
     /* 2283626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2283632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283644 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2283692), // Rule ID 53347 //
     /* 2283649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283652 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2283655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2283669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283691 */     // GIR_Coverage, 53347,
     /* 2283691 */     GIR_EraseRootFromParent_Done,
     /* 2283692 */   // Label 31212: @2283692
     /* 2283692 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2283740), // Rule ID 53348 //
     /* 2283697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283700 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2283703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2283717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283739 */     // GIR_Coverage, 53348,
     /* 2283739 */     GIR_EraseRootFromParent_Done,
     /* 2283740 */   // Label 31213: @2283740
     /* 2283740 */   GIM_Reject,
     /* 2283741 */ // Label 31211: @2283741
     /* 2283741 */ GIM_Reject,
     /* 2283742 */ // Label 31178: @2283742
     /* 2283742 */ GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2283862),
     /* 2283747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2283750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2283753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283765 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2283813), // Rule ID 53383 //
     /* 2283770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2283773 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2283776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2283790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283812 */     // GIR_Coverage, 53383,
     /* 2283812 */     GIR_EraseRootFromParent_Done,
     /* 2283813 */   // Label 31215: @2283813
     /* 2283813 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2283861), // Rule ID 53384 //
     /* 2283818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2283821 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2283824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2283838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283860 */     // GIR_Coverage, 53384,
     /* 2283860 */     GIR_EraseRootFromParent_Done,
     /* 2283861 */   // Label 31216: @2283861
     /* 2283861 */   GIM_Reject,
     /* 2283862 */ // Label 31214: @2283862
     /* 2283862 */ GIM_Reject,
     /* 2283863 */ // Label 31179: @2283863
     /* 2283863 */ GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2283983),
     /* 2283868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2283871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2283874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283886 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2283934), // Rule ID 53335 //
     /* 2283891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283894 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2283897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2283911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283933 */     // GIR_Coverage, 53335,
     /* 2283933 */     GIR_EraseRootFromParent_Done,
     /* 2283934 */   // Label 31218: @2283934
     /* 2283934 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2283982), // Rule ID 53336 //
     /* 2283939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283942 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2283945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2283959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283981 */     // GIR_Coverage, 53336,
     /* 2283981 */     GIR_EraseRootFromParent_Done,
     /* 2283982 */   // Label 31219: @2283982
     /* 2283982 */   GIM_Reject,
     /* 2283983 */ // Label 31217: @2283983
     /* 2283983 */ GIM_Reject,
     /* 2283984 */ // Label 31180: @2283984
     /* 2283984 */ GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2284104),
     /* 2283989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2283992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2283995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284007 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2284055), // Rule ID 53371 //
     /* 2284012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284015 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2284032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284054 */     // GIR_Coverage, 53371,
     /* 2284054 */     GIR_EraseRootFromParent_Done,
     /* 2284055 */   // Label 31221: @2284055
     /* 2284055 */   GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2284103), // Rule ID 53372 //
     /* 2284060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284063 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2284080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284102 */     // GIR_Coverage, 53372,
     /* 2284102 */     GIR_EraseRootFromParent_Done,
     /* 2284103 */   // Label 31222: @2284103
     /* 2284103 */   GIM_Reject,
     /* 2284104 */ // Label 31220: @2284104
     /* 2284104 */ GIM_Reject,
     /* 2284105 */ // Label 31181: @2284105
     /* 2284105 */ GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2284225),
     /* 2284110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2284113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2284116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284128 */   GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2284176), // Rule ID 53467 //
     /* 2284133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284136 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284175 */     // GIR_Coverage, 53467,
     /* 2284175 */     GIR_EraseRootFromParent_Done,
     /* 2284176 */   // Label 31224: @2284176
     /* 2284176 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2284224), // Rule ID 53468 //
     /* 2284181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284184 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284223 */     // GIR_Coverage, 53468,
     /* 2284223 */     GIR_EraseRootFromParent_Done,
     /* 2284224 */   // Label 31225: @2284224
     /* 2284224 */   GIM_Reject,
     /* 2284225 */ // Label 31223: @2284225
     /* 2284225 */ GIM_Reject,
     /* 2284226 */ // Label 31182: @2284226
     /* 2284226 */ GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2284346),
     /* 2284231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2284234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2284237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284249 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2284297), // Rule ID 53359 //
     /* 2284254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284257 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284296 */     // GIR_Coverage, 53359,
     /* 2284296 */     GIR_EraseRootFromParent_Done,
     /* 2284297 */   // Label 31227: @2284297
     /* 2284297 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2284345), // Rule ID 53360 //
     /* 2284302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284305 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284344 */     // GIR_Coverage, 53360,
     /* 2284344 */     GIR_EraseRootFromParent_Done,
     /* 2284345 */   // Label 31228: @2284345
     /* 2284345 */   GIM_Reject,
     /* 2284346 */ // Label 31226: @2284346
     /* 2284346 */ GIM_Reject,
     /* 2284347 */ // Label 31183: @2284347
     /* 2284347 */ GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2284467),
     /* 2284352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2284355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2284358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284370 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2284418), // Rule ID 53431 //
     /* 2284375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284378 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284417 */     // GIR_Coverage, 53431,
     /* 2284417 */     GIR_EraseRootFromParent_Done,
     /* 2284418 */   // Label 31230: @2284418
     /* 2284418 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2284466), // Rule ID 53432 //
     /* 2284423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284426 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284465 */     // GIR_Coverage, 53432,
     /* 2284465 */     GIR_EraseRootFromParent_Done,
     /* 2284466 */   // Label 31231: @2284466
     /* 2284466 */   GIM_Reject,
     /* 2284467 */ // Label 31229: @2284467
     /* 2284467 */ GIM_Reject,
     /* 2284468 */ // Label 31184: @2284468
     /* 2284468 */ GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2284588),
     /* 2284473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2284476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2284479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284491 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2284539), // Rule ID 53479 //
     /* 2284496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284499 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284538 */     // GIR_Coverage, 53479,
     /* 2284538 */     GIR_EraseRootFromParent_Done,
     /* 2284539 */   // Label 31233: @2284539
     /* 2284539 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2284587), // Rule ID 53480 //
     /* 2284544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284547 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284586 */     // GIR_Coverage, 53480,
     /* 2284586 */     GIR_EraseRootFromParent_Done,
     /* 2284587 */   // Label 31234: @2284587
     /* 2284587 */   GIM_Reject,
     /* 2284588 */ // Label 31232: @2284588
     /* 2284588 */ GIM_Reject,
     /* 2284589 */ // Label 31185: @2284589
     /* 2284589 */ GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2284709),
     /* 2284594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2284597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2284600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284612 */   GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2284660), // Rule ID 53395 //
     /* 2284617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284620 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2284623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2284637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284659 */     // GIR_Coverage, 53395,
     /* 2284659 */     GIR_EraseRootFromParent_Done,
     /* 2284660 */   // Label 31236: @2284660
     /* 2284660 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2284708), // Rule ID 53396 //
     /* 2284665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284668 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2284671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2284685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284707 */     // GIR_Coverage, 53396,
     /* 2284707 */     GIR_EraseRootFromParent_Done,
     /* 2284708 */   // Label 31237: @2284708
     /* 2284708 */   GIM_Reject,
     /* 2284709 */ // Label 31235: @2284709
     /* 2284709 */ GIM_Reject,
     /* 2284710 */ // Label 31186: @2284710
     /* 2284710 */ GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2284830),
     /* 2284715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2284718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2284721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284733 */   GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2284781), // Rule ID 53443 //
     /* 2284738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284741 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2284744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2284758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284780 */     // GIR_Coverage, 53443,
     /* 2284780 */     GIR_EraseRootFromParent_Done,
     /* 2284781 */   // Label 31239: @2284781
     /* 2284781 */   GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2284829), // Rule ID 53444 //
     /* 2284786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284789 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2284792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2284806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284828 */     // GIR_Coverage, 53444,
     /* 2284828 */     GIR_EraseRootFromParent_Done,
     /* 2284829 */   // Label 31240: @2284829
     /* 2284829 */   GIM_Reject,
     /* 2284830 */ // Label 31238: @2284830
     /* 2284830 */ GIM_Reject,
     /* 2284831 */ // Label 31187: @2284831
     /* 2284831 */ GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2284951),
     /* 2284836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2284839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2284842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284854 */   GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2284902), // Rule ID 53491 //
     /* 2284859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284862 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2284879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284901 */     // GIR_Coverage, 53491,
     /* 2284901 */     GIR_EraseRootFromParent_Done,
     /* 2284902 */   // Label 31242: @2284902
     /* 2284902 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2284950), // Rule ID 53492 //
     /* 2284907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284910 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2284927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284949 */     // GIR_Coverage, 53492,
     /* 2284949 */     GIR_EraseRootFromParent_Done,
     /* 2284950 */   // Label 31243: @2284950
     /* 2284950 */   GIM_Reject,
     /* 2284951 */ // Label 31241: @2284951
     /* 2284951 */ GIM_Reject,
     /* 2284952 */ // Label 31188: @2284952
     /* 2284952 */ GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2285072),
     /* 2284957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2284960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2284963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284975 */   GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2285023), // Rule ID 53407 //
     /* 2284980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284983 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2284986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2285000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285022 */     // GIR_Coverage, 53407,
     /* 2285022 */     GIR_EraseRootFromParent_Done,
     /* 2285023 */   // Label 31245: @2285023
     /* 2285023 */   GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2285071), // Rule ID 53408 //
     /* 2285028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285031 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2285048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285070 */     // GIR_Coverage, 53408,
     /* 2285070 */     GIR_EraseRootFromParent_Done,
     /* 2285071 */   // Label 31246: @2285071
     /* 2285071 */   GIM_Reject,
     /* 2285072 */ // Label 31244: @2285072
     /* 2285072 */ GIM_Reject,
     /* 2285073 */ // Label 31189: @2285073
     /* 2285073 */ GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2285193),
     /* 2285078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2285081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2285084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285096 */   GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2285144), // Rule ID 53455 //
     /* 2285101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285104 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285143 */     // GIR_Coverage, 53455,
     /* 2285143 */     GIR_EraseRootFromParent_Done,
     /* 2285144 */   // Label 31248: @2285144
     /* 2285144 */   GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2285192), // Rule ID 53456 //
     /* 2285149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285152 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285191 */     // GIR_Coverage, 53456,
     /* 2285191 */     GIR_EraseRootFromParent_Done,
     /* 2285192 */   // Label 31249: @2285192
     /* 2285192 */   GIM_Reject,
     /* 2285193 */ // Label 31247: @2285193
     /* 2285193 */ GIM_Reject,
     /* 2285194 */ // Label 31190: @2285194
     /* 2285194 */ GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2285314),
     /* 2285199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2285202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2285205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285217 */   GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2285265), // Rule ID 53419 //
     /* 2285222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285225 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285264 */     // GIR_Coverage, 53419,
     /* 2285264 */     GIR_EraseRootFromParent_Done,
     /* 2285265 */   // Label 31251: @2285265
     /* 2285265 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2285313), // Rule ID 53420 //
     /* 2285270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285273 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285312 */     // GIR_Coverage, 53420,
     /* 2285312 */     GIR_EraseRootFromParent_Done,
     /* 2285313 */   // Label 31252: @2285313
     /* 2285313 */   GIM_Reject,
     /* 2285314 */ // Label 31250: @2285314
     /* 2285314 */ GIM_Reject,
     /* 2285315 */ // Label 31191: @2285315
     /* 2285315 */ GIM_Reject,
     /* 2285316 */ // Label 61: @2285316
     /* 2285316 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31271*/ GIMT_Encode4(2287743),
     /* 2285327 */ /*GILLT_s16*//*Label 31253*/ GIMT_Encode4(2285447),
     /* 2285331 */ /*GILLT_s32*//*Label 31254*/ GIMT_Encode4(2285596),
     /* 2285335 */ /*GILLT_s64*//*Label 31255*/ GIMT_Encode4(2285745), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285347 */ /*GILLT_nxv1s16*//*Label 31256*/ GIMT_Encode4(2285928),
     /* 2285351 */ /*GILLT_nxv1s32*//*Label 31257*/ GIMT_Encode4(2286049),
     /* 2285355 */ /*GILLT_nxv1s64*//*Label 31258*/ GIMT_Encode4(2286170), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285367 */ /*GILLT_nxv2s16*//*Label 31259*/ GIMT_Encode4(2286291),
     /* 2285371 */ /*GILLT_nxv2s32*//*Label 31260*/ GIMT_Encode4(2286412),
     /* 2285375 */ /*GILLT_nxv2s64*//*Label 31261*/ GIMT_Encode4(2286533), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285387 */ /*GILLT_nxv4s16*//*Label 31262*/ GIMT_Encode4(2286654),
     /* 2285391 */ /*GILLT_nxv4s32*//*Label 31263*/ GIMT_Encode4(2286775),
     /* 2285395 */ /*GILLT_nxv4s64*//*Label 31264*/ GIMT_Encode4(2286896), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285407 */ /*GILLT_nxv8s16*//*Label 31265*/ GIMT_Encode4(2287017),
     /* 2285411 */ /*GILLT_nxv8s32*//*Label 31266*/ GIMT_Encode4(2287138),
     /* 2285415 */ /*GILLT_nxv8s64*//*Label 31267*/ GIMT_Encode4(2287259), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285427 */ /*GILLT_nxv16s16*//*Label 31268*/ GIMT_Encode4(2287380),
     /* 2285431 */ /*GILLT_nxv16s32*//*Label 31269*/ GIMT_Encode4(2287501), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285443 */ /*GILLT_nxv32s16*//*Label 31270*/ GIMT_Encode4(2287622),
     /* 2285447 */ // Label 31253: @2285447
     /* 2285447 */ GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2285595),
     /* 2285452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2285455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2285458 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2285492), // Rule ID 1857 //
     /* 2285463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2285466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285478 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285491 */     // GIR_Coverage, 1857,
     /* 2285491 */     GIR_EraseRootFromParent_Done,
     /* 2285492 */   // Label 31273: @2285492
     /* 2285492 */   GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2285526), // Rule ID 1858 //
     /* 2285497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2285500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285512 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285525 */     // GIR_Coverage, 1858,
     /* 2285525 */     GIR_EraseRootFromParent_Done,
     /* 2285526 */   // Label 31274: @2285526
     /* 2285526 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2285560), // Rule ID 1861 //
     /* 2285531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2285534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285546 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285559 */     // GIR_Coverage, 1861,
     /* 2285559 */     GIR_EraseRootFromParent_Done,
     /* 2285560 */   // Label 31275: @2285560
     /* 2285560 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2285594), // Rule ID 1862 //
     /* 2285565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2285568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285580 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285593 */     // GIR_Coverage, 1862,
     /* 2285593 */     GIR_EraseRootFromParent_Done,
     /* 2285594 */   // Label 31276: @2285594
     /* 2285594 */   GIM_Reject,
     /* 2285595 */ // Label 31272: @2285595
     /* 2285595 */ GIM_Reject,
     /* 2285596 */ // Label 31254: @2285596
     /* 2285596 */ GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2285744),
     /* 2285601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2285604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2285607 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2285641), // Rule ID 1148 //
     /* 2285612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2285615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285627 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2285627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2285630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285640 */     // GIR_Coverage, 1148,
     /* 2285640 */     GIR_EraseRootFromParent_Done,
     /* 2285641 */   // Label 31278: @2285641
     /* 2285641 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2285675), // Rule ID 1149 //
     /* 2285646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2285649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285661 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2285661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2285664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285674 */     // GIR_Coverage, 1149,
     /* 2285674 */     GIR_EraseRootFromParent_Done,
     /* 2285675 */   // Label 31279: @2285675
     /* 2285675 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2285709), // Rule ID 1152 //
     /* 2285680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2285683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285695 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2285695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2285698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285708 */     // GIR_Coverage, 1152,
     /* 2285708 */     GIR_EraseRootFromParent_Done,
     /* 2285709 */   // Label 31280: @2285709
     /* 2285709 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2285743), // Rule ID 1153 //
     /* 2285714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2285717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285729 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2285729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2285732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285742 */     // GIR_Coverage, 1153,
     /* 2285742 */     GIR_EraseRootFromParent_Done,
     /* 2285743 */   // Label 31281: @2285743
     /* 2285743 */   GIM_Reject,
     /* 2285744 */ // Label 31277: @2285744
     /* 2285744 */ GIM_Reject,
     /* 2285745 */ // Label 31255: @2285745
     /* 2285745 */ GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2285927),
     /* 2285750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2285756 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2285790), // Rule ID 1487 //
     /* 2285761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2285764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285776 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2285779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285789 */     // GIR_Coverage, 1487,
     /* 2285789 */     GIR_EraseRootFromParent_Done,
     /* 2285790 */   // Label 31283: @2285790
     /* 2285790 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2285824), // Rule ID 1488 //
     /* 2285795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2285798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285810 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2285810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2285813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285823 */     // GIR_Coverage, 1488,
     /* 2285823 */     GIR_EraseRootFromParent_Done,
     /* 2285824 */   // Label 31284: @2285824
     /* 2285824 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2285858), // Rule ID 1491 //
     /* 2285829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2285832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285844 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2285847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285857 */     // GIR_Coverage, 1491,
     /* 2285857 */     GIR_EraseRootFromParent_Done,
     /* 2285858 */   // Label 31285: @2285858
     /* 2285858 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2285892), // Rule ID 1492 //
     /* 2285863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2285866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285878 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2285878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2285881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285891 */     // GIR_Coverage, 1492,
     /* 2285891 */     GIR_EraseRootFromParent_Done,
     /* 2285892 */   // Label 31286: @2285892
     /* 2285892 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2285926), // Rule ID 1494 //
     /* 2285897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2285900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285912 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2285915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285925 */     // GIR_Coverage, 1494,
     /* 2285925 */     GIR_EraseRootFromParent_Done,
     /* 2285926 */   // Label 31287: @2285926
     /* 2285926 */   GIM_Reject,
     /* 2285927 */ // Label 31282: @2285927
     /* 2285927 */ GIM_Reject,
     /* 2285928 */ // Label 31256: @2285928
     /* 2285928 */ GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2286048),
     /* 2285933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2285936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2285939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285951 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2285999), // Rule ID 54091 //
     /* 2285956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285959 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2285962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2285976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285998 */     // GIR_Coverage, 54091,
     /* 2285998 */     GIR_EraseRootFromParent_Done,
     /* 2285999 */   // Label 31289: @2285999
     /* 2285999 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2286047), // Rule ID 54092 //
     /* 2286004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286007 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2286010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2286024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286046 */     // GIR_Coverage, 54092,
     /* 2286046 */     GIR_EraseRootFromParent_Done,
     /* 2286047 */   // Label 31290: @2286047
     /* 2286047 */   GIM_Reject,
     /* 2286048 */ // Label 31288: @2286048
     /* 2286048 */ GIM_Reject,
     /* 2286049 */ // Label 31257: @2286049
     /* 2286049 */ GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2286169),
     /* 2286054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2286057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2286060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286072 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2286120), // Rule ID 54115 //
     /* 2286077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286080 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286119 */     // GIR_Coverage, 54115,
     /* 2286119 */     GIR_EraseRootFromParent_Done,
     /* 2286120 */   // Label 31292: @2286120
     /* 2286120 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2286168), // Rule ID 54116 //
     /* 2286125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286128 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286167 */     // GIR_Coverage, 54116,
     /* 2286167 */     GIR_EraseRootFromParent_Done,
     /* 2286168 */   // Label 31293: @2286168
     /* 2286168 */   GIM_Reject,
     /* 2286169 */ // Label 31291: @2286169
     /* 2286169 */ GIM_Reject,
     /* 2286170 */ // Label 31258: @2286170
     /* 2286170 */ GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2286290),
     /* 2286175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2286178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2286181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286193 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2286241), // Rule ID 54151 //
     /* 2286198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286201 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286240 */     // GIR_Coverage, 54151,
     /* 2286240 */     GIR_EraseRootFromParent_Done,
     /* 2286241 */   // Label 31295: @2286241
     /* 2286241 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2286289), // Rule ID 54152 //
     /* 2286246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286249 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286288 */     // GIR_Coverage, 54152,
     /* 2286288 */     GIR_EraseRootFromParent_Done,
     /* 2286289 */   // Label 31296: @2286289
     /* 2286289 */   GIM_Reject,
     /* 2286290 */ // Label 31294: @2286290
     /* 2286290 */ GIM_Reject,
     /* 2286291 */ // Label 31259: @2286291
     /* 2286291 */ GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2286411),
     /* 2286296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2286299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2286302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286314 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2286362), // Rule ID 54103 //
     /* 2286319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286322 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286361 */     // GIR_Coverage, 54103,
     /* 2286361 */     GIR_EraseRootFromParent_Done,
     /* 2286362 */   // Label 31298: @2286362
     /* 2286362 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2286410), // Rule ID 54104 //
     /* 2286367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286370 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286409 */     // GIR_Coverage, 54104,
     /* 2286409 */     GIR_EraseRootFromParent_Done,
     /* 2286410 */   // Label 31299: @2286410
     /* 2286410 */   GIM_Reject,
     /* 2286411 */ // Label 31297: @2286411
     /* 2286411 */ GIM_Reject,
     /* 2286412 */ // Label 31260: @2286412
     /* 2286412 */ GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2286532),
     /* 2286417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2286423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286435 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2286483), // Rule ID 54139 //
     /* 2286440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286443 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286482 */     // GIR_Coverage, 54139,
     /* 2286482 */     GIR_EraseRootFromParent_Done,
     /* 2286483 */   // Label 31301: @2286483
     /* 2286483 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2286531), // Rule ID 54140 //
     /* 2286488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286491 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286530 */     // GIR_Coverage, 54140,
     /* 2286530 */     GIR_EraseRootFromParent_Done,
     /* 2286531 */   // Label 31302: @2286531
     /* 2286531 */   GIM_Reject,
     /* 2286532 */ // Label 31300: @2286532
     /* 2286532 */ GIM_Reject,
     /* 2286533 */ // Label 31261: @2286533
     /* 2286533 */ GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2286653),
     /* 2286538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2286544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286556 */   GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2286604), // Rule ID 54235 //
     /* 2286561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286564 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2286581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286603 */     // GIR_Coverage, 54235,
     /* 2286603 */     GIR_EraseRootFromParent_Done,
     /* 2286604 */   // Label 31304: @2286604
     /* 2286604 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2286652), // Rule ID 54236 //
     /* 2286609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286612 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2286629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286651 */     // GIR_Coverage, 54236,
     /* 2286651 */     GIR_EraseRootFromParent_Done,
     /* 2286652 */   // Label 31305: @2286652
     /* 2286652 */   GIM_Reject,
     /* 2286653 */ // Label 31303: @2286653
     /* 2286653 */ GIM_Reject,
     /* 2286654 */ // Label 31262: @2286654
     /* 2286654 */ GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2286774),
     /* 2286659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2286662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2286665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286677 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2286725), // Rule ID 54127 //
     /* 2286682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286685 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2286702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286724 */     // GIR_Coverage, 54127,
     /* 2286724 */     GIR_EraseRootFromParent_Done,
     /* 2286725 */   // Label 31307: @2286725
     /* 2286725 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2286773), // Rule ID 54128 //
     /* 2286730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286733 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2286750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286772 */     // GIR_Coverage, 54128,
     /* 2286772 */     GIR_EraseRootFromParent_Done,
     /* 2286773 */   // Label 31308: @2286773
     /* 2286773 */   GIM_Reject,
     /* 2286774 */ // Label 31306: @2286774
     /* 2286774 */ GIM_Reject,
     /* 2286775 */ // Label 31263: @2286775
     /* 2286775 */ GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2286895),
     /* 2286780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2286783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2286786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286798 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2286846), // Rule ID 54199 //
     /* 2286803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286806 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2286823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286845 */     // GIR_Coverage, 54199,
     /* 2286845 */     GIR_EraseRootFromParent_Done,
     /* 2286846 */   // Label 31310: @2286846
     /* 2286846 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2286894), // Rule ID 54200 //
     /* 2286851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286854 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2286871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286893 */     // GIR_Coverage, 54200,
     /* 2286893 */     GIR_EraseRootFromParent_Done,
     /* 2286894 */   // Label 31311: @2286894
     /* 2286894 */   GIM_Reject,
     /* 2286895 */ // Label 31309: @2286895
     /* 2286895 */ GIM_Reject,
     /* 2286896 */ // Label 31264: @2286896
     /* 2286896 */ GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2287016),
     /* 2286901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2286904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2286907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286919 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2286967), // Rule ID 54247 //
     /* 2286924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286927 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2286944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286966 */     // GIR_Coverage, 54247,
     /* 2286966 */     GIR_EraseRootFromParent_Done,
     /* 2286967 */   // Label 31313: @2286967
     /* 2286967 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2287015), // Rule ID 54248 //
     /* 2286972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286975 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2286992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287014 */     // GIR_Coverage, 54248,
     /* 2287014 */     GIR_EraseRootFromParent_Done,
     /* 2287015 */   // Label 31314: @2287015
     /* 2287015 */   GIM_Reject,
     /* 2287016 */ // Label 31312: @2287016
     /* 2287016 */ GIM_Reject,
     /* 2287017 */ // Label 31265: @2287017
     /* 2287017 */ GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2287137),
     /* 2287022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2287025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2287028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287040 */   GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2287088), // Rule ID 54163 //
     /* 2287045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287048 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287087 */     // GIR_Coverage, 54163,
     /* 2287087 */     GIR_EraseRootFromParent_Done,
     /* 2287088 */   // Label 31316: @2287088
     /* 2287088 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2287136), // Rule ID 54164 //
     /* 2287093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287096 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287135 */     // GIR_Coverage, 54164,
     /* 2287135 */     GIR_EraseRootFromParent_Done,
     /* 2287136 */   // Label 31317: @2287136
     /* 2287136 */   GIM_Reject,
     /* 2287137 */ // Label 31315: @2287137
     /* 2287137 */ GIM_Reject,
     /* 2287138 */ // Label 31266: @2287138
     /* 2287138 */ GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2287258),
     /* 2287143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2287146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2287149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287161 */   GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2287209), // Rule ID 54211 //
     /* 2287166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287169 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287208 */     // GIR_Coverage, 54211,
     /* 2287208 */     GIR_EraseRootFromParent_Done,
     /* 2287209 */   // Label 31319: @2287209
     /* 2287209 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2287257), // Rule ID 54212 //
     /* 2287214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287217 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287256 */     // GIR_Coverage, 54212,
     /* 2287256 */     GIR_EraseRootFromParent_Done,
     /* 2287257 */   // Label 31320: @2287257
     /* 2287257 */   GIM_Reject,
     /* 2287258 */ // Label 31318: @2287258
     /* 2287258 */ GIM_Reject,
     /* 2287259 */ // Label 31267: @2287259
     /* 2287259 */ GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2287379),
     /* 2287264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2287267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2287270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287282 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2287330), // Rule ID 54259 //
     /* 2287287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287290 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287329 */     // GIR_Coverage, 54259,
     /* 2287329 */     GIR_EraseRootFromParent_Done,
     /* 2287330 */   // Label 31322: @2287330
     /* 2287330 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2287378), // Rule ID 54260 //
     /* 2287335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287338 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287377 */     // GIR_Coverage, 54260,
     /* 2287377 */     GIR_EraseRootFromParent_Done,
     /* 2287378 */   // Label 31323: @2287378
     /* 2287378 */   GIM_Reject,
     /* 2287379 */ // Label 31321: @2287379
     /* 2287379 */ GIM_Reject,
     /* 2287380 */ // Label 31268: @2287380
     /* 2287380 */ GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2287500),
     /* 2287385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2287388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287403 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2287451), // Rule ID 54175 //
     /* 2287408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287411 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287450 */     // GIR_Coverage, 54175,
     /* 2287450 */     GIR_EraseRootFromParent_Done,
     /* 2287451 */   // Label 31325: @2287451
     /* 2287451 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2287499), // Rule ID 54176 //
     /* 2287456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287459 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287498 */     // GIR_Coverage, 54176,
     /* 2287498 */     GIR_EraseRootFromParent_Done,
     /* 2287499 */   // Label 31326: @2287499
     /* 2287499 */   GIM_Reject,
     /* 2287500 */ // Label 31324: @2287500
     /* 2287500 */ GIM_Reject,
     /* 2287501 */ // Label 31269: @2287501
     /* 2287501 */ GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2287621),
     /* 2287506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2287509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2287512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287524 */   GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2287572), // Rule ID 54223 //
     /* 2287529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287532 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287571 */     // GIR_Coverage, 54223,
     /* 2287571 */     GIR_EraseRootFromParent_Done,
     /* 2287572 */   // Label 31328: @2287572
     /* 2287572 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2287620), // Rule ID 54224 //
     /* 2287577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287580 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287619 */     // GIR_Coverage, 54224,
     /* 2287619 */     GIR_EraseRootFromParent_Done,
     /* 2287620 */   // Label 31329: @2287620
     /* 2287620 */   GIM_Reject,
     /* 2287621 */ // Label 31327: @2287621
     /* 2287621 */ GIM_Reject,
     /* 2287622 */ // Label 31270: @2287622
     /* 2287622 */ GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2287742),
     /* 2287627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2287630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2287633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287645 */   GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2287693), // Rule ID 54187 //
     /* 2287650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287653 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2287670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287692 */     // GIR_Coverage, 54187,
     /* 2287692 */     GIR_EraseRootFromParent_Done,
     /* 2287693 */   // Label 31331: @2287693
     /* 2287693 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2287741), // Rule ID 54188 //
     /* 2287698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287701 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2287718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287740 */     // GIR_Coverage, 54188,
     /* 2287740 */     GIR_EraseRootFromParent_Done,
     /* 2287741 */   // Label 31332: @2287741
     /* 2287741 */   GIM_Reject,
     /* 2287742 */ // Label 31330: @2287742
     /* 2287742 */ GIM_Reject,
     /* 2287743 */ // Label 31271: @2287743
     /* 2287743 */ GIM_Reject,
     /* 2287744 */ // Label 62: @2287744
     /* 2287744 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31351*/ GIMT_Encode4(2304388),
     /* 2287755 */ /*GILLT_s16*//*Label 31333*/ GIMT_Encode4(2287875),
     /* 2287759 */ /*GILLT_s32*//*Label 31334*/ GIMT_Encode4(2289311),
     /* 2287763 */ /*GILLT_s64*//*Label 31335*/ GIMT_Encode4(2290747), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287775 */ /*GILLT_nxv1s16*//*Label 31336*/ GIMT_Encode4(2292538),
     /* 2287779 */ /*GILLT_nxv1s32*//*Label 31337*/ GIMT_Encode4(2293328),
     /* 2287783 */ /*GILLT_nxv1s64*//*Label 31338*/ GIMT_Encode4(2294118), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287795 */ /*GILLT_nxv2s16*//*Label 31339*/ GIMT_Encode4(2294908),
     /* 2287799 */ /*GILLT_nxv2s32*//*Label 31340*/ GIMT_Encode4(2295698),
     /* 2287803 */ /*GILLT_nxv2s64*//*Label 31341*/ GIMT_Encode4(2296488), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287815 */ /*GILLT_nxv4s16*//*Label 31342*/ GIMT_Encode4(2297278),
     /* 2287819 */ /*GILLT_nxv4s32*//*Label 31343*/ GIMT_Encode4(2298068),
     /* 2287823 */ /*GILLT_nxv4s64*//*Label 31344*/ GIMT_Encode4(2298858), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287835 */ /*GILLT_nxv8s16*//*Label 31345*/ GIMT_Encode4(2299648),
     /* 2287839 */ /*GILLT_nxv8s32*//*Label 31346*/ GIMT_Encode4(2300438),
     /* 2287843 */ /*GILLT_nxv8s64*//*Label 31347*/ GIMT_Encode4(2301228), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287855 */ /*GILLT_nxv16s16*//*Label 31348*/ GIMT_Encode4(2302018),
     /* 2287859 */ /*GILLT_nxv16s32*//*Label 31349*/ GIMT_Encode4(2302808), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287871 */ /*GILLT_nxv32s16*//*Label 31350*/ GIMT_Encode4(2303598),
     /* 2287875 */ // Label 31333: @2287875
     /* 2287875 */ GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2289310),
     /* 2287880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2287886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287889 */   GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2287961), // Rule ID 1898 //
     /* 2287894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2287897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287941 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2287944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2287956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287960 */     // GIR_Coverage, 1898,
     /* 2287960 */     GIR_EraseRootFromParent_Done,
     /* 2287961 */   // Label 31353: @2287961
     /* 2287961 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2288033), // Rule ID 1899 //
     /* 2287966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2287969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288013 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288032 */     // GIR_Coverage, 1899,
     /* 2288032 */     GIR_EraseRootFromParent_Done,
     /* 2288033 */   // Label 31354: @2288033
     /* 2288033 */   GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2288105), // Rule ID 1931 //
     /* 2288038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288085 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288104 */     // GIR_Coverage, 1931,
     /* 2288104 */     GIR_EraseRootFromParent_Done,
     /* 2288105 */   // Label 31355: @2288105
     /* 2288105 */   GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2288177), // Rule ID 1932 //
     /* 2288110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288157 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288176 */     // GIR_Coverage, 1932,
     /* 2288176 */     GIR_EraseRootFromParent_Done,
     /* 2288177 */   // Label 31356: @2288177
     /* 2288177 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2288249), // Rule ID 65039 //
     /* 2288182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288229 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288248 */     // GIR_Coverage, 65039,
     /* 2288248 */     GIR_EraseRootFromParent_Done,
     /* 2288249 */   // Label 31357: @2288249
     /* 2288249 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2288321), // Rule ID 65040 //
     /* 2288254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288301 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288320 */     // GIR_Coverage, 65040,
     /* 2288320 */     GIR_EraseRootFromParent_Done,
     /* 2288321 */   // Label 31358: @2288321
     /* 2288321 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2288393), // Rule ID 65047 //
     /* 2288326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288373 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288392 */     // GIR_Coverage, 65047,
     /* 2288392 */     GIR_EraseRootFromParent_Done,
     /* 2288393 */   // Label 31359: @2288393
     /* 2288393 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2288465), // Rule ID 65048 //
     /* 2288398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288445 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288464 */     // GIR_Coverage, 65048,
     /* 2288464 */     GIR_EraseRootFromParent_Done,
     /* 2288465 */   // Label 31360: @2288465
     /* 2288465 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2288522), // Rule ID 1894 //
     /* 2288470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288504 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288521 */     // GIR_Coverage, 1894,
     /* 2288521 */     GIR_EraseRootFromParent_Done,
     /* 2288522 */   // Label 31361: @2288522
     /* 2288522 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2288579), // Rule ID 1895 //
     /* 2288527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288561 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288578 */     // GIR_Coverage, 1895,
     /* 2288578 */     GIR_EraseRootFromParent_Done,
     /* 2288579 */   // Label 31362: @2288579
     /* 2288579 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2288636), // Rule ID 1927 //
     /* 2288584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288618 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288635 */     // GIR_Coverage, 1927,
     /* 2288635 */     GIR_EraseRootFromParent_Done,
     /* 2288636 */   // Label 31363: @2288636
     /* 2288636 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2288693), // Rule ID 1928 //
     /* 2288641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288675 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288692 */     // GIR_Coverage, 1928,
     /* 2288692 */     GIR_EraseRootFromParent_Done,
     /* 2288693 */   // Label 31364: @2288693
     /* 2288693 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2288750), // Rule ID 65035 //
     /* 2288698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288732 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288749 */     // GIR_Coverage, 65035,
     /* 2288749 */     GIR_EraseRootFromParent_Done,
     /* 2288750 */   // Label 31365: @2288750
     /* 2288750 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2288807), // Rule ID 65036 //
     /* 2288755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288789 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288806 */     // GIR_Coverage, 65036,
     /* 2288806 */     GIR_EraseRootFromParent_Done,
     /* 2288807 */   // Label 31366: @2288807
     /* 2288807 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2288864), // Rule ID 65043 //
     /* 2288812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288846 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288863 */     // GIR_Coverage, 65043,
     /* 2288863 */     GIR_EraseRootFromParent_Done,
     /* 2288864 */   // Label 31367: @2288864
     /* 2288864 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2288921), // Rule ID 65044 //
     /* 2288869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288903 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288920 */     // GIR_Coverage, 65044,
     /* 2288920 */     GIR_EraseRootFromParent_Done,
     /* 2288921 */   // Label 31368: @2288921
     /* 2288921 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2288978), // Rule ID 1890 //
     /* 2288926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288960 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2288963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2288973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288977 */     // GIR_Coverage, 1890,
     /* 2288977 */     GIR_EraseRootFromParent_Done,
     /* 2288978 */   // Label 31369: @2288978
     /* 2288978 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2289035), // Rule ID 1891 //
     /* 2288983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289017 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2289020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289034 */     // GIR_Coverage, 1891,
     /* 2289034 */     GIR_EraseRootFromParent_Done,
     /* 2289035 */   // Label 31370: @2289035
     /* 2289035 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2289092), // Rule ID 1923 //
     /* 2289040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289074 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289091 */     // GIR_Coverage, 1923,
     /* 2289091 */     GIR_EraseRootFromParent_Done,
     /* 2289092 */   // Label 31371: @2289092
     /* 2289092 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2289149), // Rule ID 1924 //
     /* 2289097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289131 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289148 */     // GIR_Coverage, 1924,
     /* 2289148 */     GIR_EraseRootFromParent_Done,
     /* 2289149 */   // Label 31372: @2289149
     /* 2289149 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2289189), // Rule ID 1886 //
     /* 2289154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289173 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289188 */     // GIR_Coverage, 1886,
     /* 2289188 */     GIR_EraseRootFromParent_Done,
     /* 2289189 */   // Label 31373: @2289189
     /* 2289189 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2289229), // Rule ID 1887 //
     /* 2289194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289213 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289228 */     // GIR_Coverage, 1887,
     /* 2289228 */     GIR_EraseRootFromParent_Done,
     /* 2289229 */   // Label 31374: @2289229
     /* 2289229 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2289269), // Rule ID 1919 //
     /* 2289234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289253 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289268 */     // GIR_Coverage, 1919,
     /* 2289268 */     GIR_EraseRootFromParent_Done,
     /* 2289269 */   // Label 31375: @2289269
     /* 2289269 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2289309), // Rule ID 1920 //
     /* 2289274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289293 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289308 */     // GIR_Coverage, 1920,
     /* 2289308 */     GIR_EraseRootFromParent_Done,
     /* 2289309 */   // Label 31376: @2289309
     /* 2289309 */   GIM_Reject,
     /* 2289310 */ // Label 31352: @2289310
     /* 2289310 */ GIM_Reject,
     /* 2289311 */ // Label 31334: @2289311
     /* 2289311 */ GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2290746),
     /* 2289316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2289322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2289325 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2289397), // Rule ID 1197 //
     /* 2289330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289377 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289396 */     // GIR_Coverage, 1197,
     /* 2289396 */     GIR_EraseRootFromParent_Done,
     /* 2289397 */   // Label 31378: @2289397
     /* 2289397 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2289469), // Rule ID 1198 //
     /* 2289402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289449 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289468 */     // GIR_Coverage, 1198,
     /* 2289468 */     GIR_EraseRootFromParent_Done,
     /* 2289469 */   // Label 31379: @2289469
     /* 2289469 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2289541), // Rule ID 1218 //
     /* 2289474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289521 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289540 */     // GIR_Coverage, 1218,
     /* 2289540 */     GIR_EraseRootFromParent_Done,
     /* 2289541 */   // Label 31380: @2289541
     /* 2289541 */   GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2289613), // Rule ID 1219 //
     /* 2289546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2289549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289593 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289612 */     // GIR_Coverage, 1219,
     /* 2289612 */     GIR_EraseRootFromParent_Done,
     /* 2289613 */   // Label 31381: @2289613
     /* 2289613 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2289685), // Rule ID 65003 //
     /* 2289618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289665 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289684 */     // GIR_Coverage, 65003,
     /* 2289684 */     GIR_EraseRootFromParent_Done,
     /* 2289685 */   // Label 31382: @2289685
     /* 2289685 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2289757), // Rule ID 65004 //
     /* 2289690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289737 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289756 */     // GIR_Coverage, 65004,
     /* 2289756 */     GIR_EraseRootFromParent_Done,
     /* 2289757 */   // Label 31383: @2289757
     /* 2289757 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2289829), // Rule ID 65011 //
     /* 2289762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289809 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289828 */     // GIR_Coverage, 65011,
     /* 2289828 */     GIR_EraseRootFromParent_Done,
     /* 2289829 */   // Label 31384: @2289829
     /* 2289829 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2289901), // Rule ID 65012 //
     /* 2289834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2289837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289881 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289900 */     // GIR_Coverage, 65012,
     /* 2289900 */     GIR_EraseRootFromParent_Done,
     /* 2289901 */   // Label 31385: @2289901
     /* 2289901 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2289958), // Rule ID 1193 //
     /* 2289906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289940 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2289943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289957 */     // GIR_Coverage, 1193,
     /* 2289957 */     GIR_EraseRootFromParent_Done,
     /* 2289958 */   // Label 31386: @2289958
     /* 2289958 */   GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2290015), // Rule ID 1194 //
     /* 2289963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289997 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290014 */     // GIR_Coverage, 1194,
     /* 2290014 */     GIR_EraseRootFromParent_Done,
     /* 2290015 */   // Label 31387: @2290015
     /* 2290015 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2290072), // Rule ID 1214 //
     /* 2290020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290054 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290071 */     // GIR_Coverage, 1214,
     /* 2290071 */     GIR_EraseRootFromParent_Done,
     /* 2290072 */   // Label 31388: @2290072
     /* 2290072 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2290129), // Rule ID 1215 //
     /* 2290077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290111 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290128 */     // GIR_Coverage, 1215,
     /* 2290128 */     GIR_EraseRootFromParent_Done,
     /* 2290129 */   // Label 31389: @2290129
     /* 2290129 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2290186), // Rule ID 64999 //
     /* 2290134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290168 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290185 */     // GIR_Coverage, 64999,
     /* 2290185 */     GIR_EraseRootFromParent_Done,
     /* 2290186 */   // Label 31390: @2290186
     /* 2290186 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2290243), // Rule ID 65000 //
     /* 2290191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290225 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290242 */     // GIR_Coverage, 65000,
     /* 2290242 */     GIR_EraseRootFromParent_Done,
     /* 2290243 */   // Label 31391: @2290243
     /* 2290243 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2290300), // Rule ID 65007 //
     /* 2290248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290282 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290299 */     // GIR_Coverage, 65007,
     /* 2290299 */     GIR_EraseRootFromParent_Done,
     /* 2290300 */   // Label 31392: @2290300
     /* 2290300 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2290357), // Rule ID 65008 //
     /* 2290305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290339 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290356 */     // GIR_Coverage, 65008,
     /* 2290356 */     GIR_EraseRootFromParent_Done,
     /* 2290357 */   // Label 31393: @2290357
     /* 2290357 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2290414), // Rule ID 1189 //
     /* 2290362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290396 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290413 */     // GIR_Coverage, 1189,
     /* 2290413 */     GIR_EraseRootFromParent_Done,
     /* 2290414 */   // Label 31394: @2290414
     /* 2290414 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2290471), // Rule ID 1190 //
     /* 2290419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290453 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290470 */     // GIR_Coverage, 1190,
     /* 2290470 */     GIR_EraseRootFromParent_Done,
     /* 2290471 */   // Label 31395: @2290471
     /* 2290471 */   GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2290528), // Rule ID 1210 //
     /* 2290476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290510 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290527 */     // GIR_Coverage, 1210,
     /* 2290527 */     GIR_EraseRootFromParent_Done,
     /* 2290528 */   // Label 31396: @2290528
     /* 2290528 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2290585), // Rule ID 1211 //
     /* 2290533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290567 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290584 */     // GIR_Coverage, 1211,
     /* 2290584 */     GIR_EraseRootFromParent_Done,
     /* 2290585 */   // Label 31397: @2290585
     /* 2290585 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2290625), // Rule ID 1185 //
     /* 2290590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290609 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2290612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290624 */     // GIR_Coverage, 1185,
     /* 2290624 */     GIR_EraseRootFromParent_Done,
     /* 2290625 */   // Label 31398: @2290625
     /* 2290625 */   GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2290665), // Rule ID 1186 //
     /* 2290630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290649 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2290652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290664 */     // GIR_Coverage, 1186,
     /* 2290664 */     GIR_EraseRootFromParent_Done,
     /* 2290665 */   // Label 31399: @2290665
     /* 2290665 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2290705), // Rule ID 1206 //
     /* 2290670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290689 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2290692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290704 */     // GIR_Coverage, 1206,
     /* 2290704 */     GIR_EraseRootFromParent_Done,
     /* 2290705 */   // Label 31400: @2290705
     /* 2290705 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2290745), // Rule ID 1207 //
     /* 2290710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290729 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2290732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290744 */     // GIR_Coverage, 1207,
     /* 2290744 */     GIR_EraseRootFromParent_Done,
     /* 2290745 */   // Label 31401: @2290745
     /* 2290745 */   GIM_Reject,
     /* 2290746 */ // Label 31377: @2290746
     /* 2290746 */ GIM_Reject,
     /* 2290747 */ // Label 31335: @2290747
     /* 2290747 */ GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2292537),
     /* 2290752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2290758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2290761 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2290833), // Rule ID 1534 //
     /* 2290766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2290769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290813 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2290816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290832 */     // GIR_Coverage, 1534,
     /* 2290832 */     GIR_EraseRootFromParent_Done,
     /* 2290833 */   // Label 31403: @2290833
     /* 2290833 */   GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2290905), // Rule ID 1535 //
     /* 2290838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2290841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290885 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2290888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290904 */     // GIR_Coverage, 1535,
     /* 2290904 */     GIR_EraseRootFromParent_Done,
     /* 2290905 */   // Label 31404: @2290905
     /* 2290905 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2290977), // Rule ID 1557 //
     /* 2290910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2290913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290957 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2290960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290976 */     // GIR_Coverage, 1557,
     /* 2290976 */     GIR_EraseRootFromParent_Done,
     /* 2290977 */   // Label 31405: @2290977
     /* 2290977 */   GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2291049), // Rule ID 1589 //
     /* 2290982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291027 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291029 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291048 */     // GIR_Coverage, 1589,
     /* 2291048 */     GIR_EraseRootFromParent_Done,
     /* 2291049 */   // Label 31406: @2291049
     /* 2291049 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2291121), // Rule ID 1590 //
     /* 2291054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291101 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291120 */     // GIR_Coverage, 1590,
     /* 2291120 */     GIR_EraseRootFromParent_Done,
     /* 2291121 */   // Label 31407: @2291121
     /* 2291121 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2291193), // Rule ID 65019 //
     /* 2291126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291173 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291192 */     // GIR_Coverage, 65019,
     /* 2291192 */     GIR_EraseRootFromParent_Done,
     /* 2291193 */   // Label 31408: @2291193
     /* 2291193 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2291265), // Rule ID 65020 //
     /* 2291198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291245 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291264 */     // GIR_Coverage, 65020,
     /* 2291264 */     GIR_EraseRootFromParent_Done,
     /* 2291265 */   // Label 31409: @2291265
     /* 2291265 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2291337), // Rule ID 65024 //
     /* 2291270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291317 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2291320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291336 */     // GIR_Coverage, 65024,
     /* 2291336 */     GIR_EraseRootFromParent_Done,
     /* 2291337 */   // Label 31410: @2291337
     /* 2291337 */   GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2291409), // Rule ID 65031 //
     /* 2291342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291389 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291408 */     // GIR_Coverage, 65031,
     /* 2291408 */     GIR_EraseRootFromParent_Done,
     /* 2291409 */   // Label 31411: @2291409
     /* 2291409 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2291481), // Rule ID 65032 //
     /* 2291414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291461 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291480 */     // GIR_Coverage, 65032,
     /* 2291480 */     GIR_EraseRootFromParent_Done,
     /* 2291481 */   // Label 31412: @2291481
     /* 2291481 */   GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2291538), // Rule ID 1530 //
     /* 2291486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291520 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291537 */     // GIR_Coverage, 1530,
     /* 2291537 */     GIR_EraseRootFromParent_Done,
     /* 2291538 */   // Label 31413: @2291538
     /* 2291538 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2291595), // Rule ID 1531 //
     /* 2291543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291577 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291594 */     // GIR_Coverage, 1531,
     /* 2291594 */     GIR_EraseRootFromParent_Done,
     /* 2291595 */   // Label 31414: @2291595
     /* 2291595 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2291652), // Rule ID 1555 //
     /* 2291600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291634 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2291637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291651 */     // GIR_Coverage, 1555,
     /* 2291651 */     GIR_EraseRootFromParent_Done,
     /* 2291652 */   // Label 31415: @2291652
     /* 2291652 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2291709), // Rule ID 1585 //
     /* 2291657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291691 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2291694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291708 */     // GIR_Coverage, 1585,
     /* 2291708 */     GIR_EraseRootFromParent_Done,
     /* 2291709 */   // Label 31416: @2291709
     /* 2291709 */   GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2291766), // Rule ID 1586 //
     /* 2291714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291748 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2291751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291765 */     // GIR_Coverage, 1586,
     /* 2291765 */     GIR_EraseRootFromParent_Done,
     /* 2291766 */   // Label 31417: @2291766
     /* 2291766 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2291823), // Rule ID 65015 //
     /* 2291771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291805 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291822 */     // GIR_Coverage, 65015,
     /* 2291822 */     GIR_EraseRootFromParent_Done,
     /* 2291823 */   // Label 31418: @2291823
     /* 2291823 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2291880), // Rule ID 65016 //
     /* 2291828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291862 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291879 */     // GIR_Coverage, 65016,
     /* 2291879 */     GIR_EraseRootFromParent_Done,
     /* 2291880 */   // Label 31419: @2291880
     /* 2291880 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2291937), // Rule ID 65022 //
     /* 2291885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291919 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2291922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291936 */     // GIR_Coverage, 65022,
     /* 2291936 */     GIR_EraseRootFromParent_Done,
     /* 2291937 */   // Label 31420: @2291937
     /* 2291937 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2291994), // Rule ID 65027 //
     /* 2291942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291976 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2291979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291993 */     // GIR_Coverage, 65027,
     /* 2291993 */     GIR_EraseRootFromParent_Done,
     /* 2291994 */   // Label 31421: @2291994
     /* 2291994 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2292051), // Rule ID 65028 //
     /* 2291999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292033 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292050 */     // GIR_Coverage, 65028,
     /* 2292050 */     GIR_EraseRootFromParent_Done,
     /* 2292051 */   // Label 31422: @2292051
     /* 2292051 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2292108), // Rule ID 1526 //
     /* 2292056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292090 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292107 */     // GIR_Coverage, 1526,
     /* 2292107 */     GIR_EraseRootFromParent_Done,
     /* 2292108 */   // Label 31423: @2292108
     /* 2292108 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2292165), // Rule ID 1527 //
     /* 2292113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292147 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292164 */     // GIR_Coverage, 1527,
     /* 2292164 */     GIR_EraseRootFromParent_Done,
     /* 2292165 */   // Label 31424: @2292165
     /* 2292165 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2292222), // Rule ID 1553 //
     /* 2292170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292204 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2292207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292221 */     // GIR_Coverage, 1553,
     /* 2292221 */     GIR_EraseRootFromParent_Done,
     /* 2292222 */   // Label 31425: @2292222
     /* 2292222 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2292279), // Rule ID 1581 //
     /* 2292227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292261 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292278 */     // GIR_Coverage, 1581,
     /* 2292278 */     GIR_EraseRootFromParent_Done,
     /* 2292279 */   // Label 31426: @2292279
     /* 2292279 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2292336), // Rule ID 1582 //
     /* 2292284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292318 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292335 */     // GIR_Coverage, 1582,
     /* 2292335 */     GIR_EraseRootFromParent_Done,
     /* 2292336 */   // Label 31427: @2292336
     /* 2292336 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2292376), // Rule ID 1522 //
     /* 2292341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292360 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292375 */     // GIR_Coverage, 1522,
     /* 2292375 */     GIR_EraseRootFromParent_Done,
     /* 2292376 */   // Label 31428: @2292376
     /* 2292376 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2292416), // Rule ID 1523 //
     /* 2292381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292400 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292415 */     // GIR_Coverage, 1523,
     /* 2292415 */     GIR_EraseRootFromParent_Done,
     /* 2292416 */   // Label 31429: @2292416
     /* 2292416 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2292456), // Rule ID 1551 //
     /* 2292421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292440 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2292443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292455 */     // GIR_Coverage, 1551,
     /* 2292455 */     GIR_EraseRootFromParent_Done,
     /* 2292456 */   // Label 31430: @2292456
     /* 2292456 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2292496), // Rule ID 1577 //
     /* 2292461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292480 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292495 */     // GIR_Coverage, 1577,
     /* 2292495 */     GIR_EraseRootFromParent_Done,
     /* 2292496 */   // Label 31431: @2292496
     /* 2292496 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2292536), // Rule ID 1578 //
     /* 2292501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292520 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292535 */     // GIR_Coverage, 1578,
     /* 2292535 */     GIR_EraseRootFromParent_Done,
     /* 2292536 */   // Label 31432: @2292536
     /* 2292536 */   GIM_Reject,
     /* 2292537 */ // Label 31402: @2292537
     /* 2292537 */ GIM_Reject,
     /* 2292538 */ // Label 31336: @2292538
     /* 2292538 */ GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2293327),
     /* 2292543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2292549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2292552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292556 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2292633), // Rule ID 54705 //
     /* 2292561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292604 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292632 */     // GIR_Coverage, 54705,
     /* 2292632 */     GIR_EraseRootFromParent_Done,
     /* 2292633 */   // Label 31434: @2292633
     /* 2292633 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2292710), // Rule ID 54706 //
     /* 2292638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292681 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292709 */     // GIR_Coverage, 54706,
     /* 2292709 */     GIR_EraseRootFromParent_Done,
     /* 2292710 */   // Label 31435: @2292710
     /* 2292710 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2292787), // Rule ID 71993 //
     /* 2292715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292758 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292786 */     // GIR_Coverage, 71993,
     /* 2292786 */     GIR_EraseRootFromParent_Done,
     /* 2292787 */   // Label 31436: @2292787
     /* 2292787 */   GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2292864), // Rule ID 71994 //
     /* 2292792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292835 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292863 */     // GIR_Coverage, 71994,
     /* 2292863 */     GIR_EraseRootFromParent_Done,
     /* 2292864 */   // Label 31437: @2292864
     /* 2292864 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2292926), // Rule ID 54709 //
     /* 2292869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292899 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2292902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292925 */     // GIR_Coverage, 54709,
     /* 2292925 */     GIR_EraseRootFromParent_Done,
     /* 2292926 */   // Label 31438: @2292926
     /* 2292926 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2292988), // Rule ID 54710 //
     /* 2292931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292961 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2292964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292987 */     // GIR_Coverage, 54710,
     /* 2292987 */     GIR_EraseRootFromParent_Done,
     /* 2292988 */   // Label 31439: @2292988
     /* 2292988 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2293050), // Rule ID 71997 //
     /* 2292993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293023 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293049 */     // GIR_Coverage, 71997,
     /* 2293049 */     GIR_EraseRootFromParent_Done,
     /* 2293050 */   // Label 31440: @2293050
     /* 2293050 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2293112), // Rule ID 71998 //
     /* 2293055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293085 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293111 */     // GIR_Coverage, 71998,
     /* 2293111 */     GIR_EraseRootFromParent_Done,
     /* 2293112 */   // Label 31441: @2293112
     /* 2293112 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2293174), // Rule ID 54701 //
     /* 2293117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293147 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293173 */     // GIR_Coverage, 54701,
     /* 2293173 */     GIR_EraseRootFromParent_Done,
     /* 2293174 */   // Label 31442: @2293174
     /* 2293174 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2293236), // Rule ID 54702 //
     /* 2293179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293209 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293235 */     // GIR_Coverage, 54702,
     /* 2293235 */     GIR_EraseRootFromParent_Done,
     /* 2293236 */   // Label 31443: @2293236
     /* 2293236 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2293281), // Rule ID 54697 //
     /* 2293241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293256 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293280 */     // GIR_Coverage, 54697,
     /* 2293280 */     GIR_EraseRootFromParent_Done,
     /* 2293281 */   // Label 31444: @2293281
     /* 2293281 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2293326), // Rule ID 54698 //
     /* 2293286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293301 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293325 */     // GIR_Coverage, 54698,
     /* 2293325 */     GIR_EraseRootFromParent_Done,
     /* 2293326 */   // Label 31445: @2293326
     /* 2293326 */   GIM_Reject,
     /* 2293327 */ // Label 31433: @2293327
     /* 2293327 */ GIM_Reject,
     /* 2293328 */ // Label 31337: @2293328
     /* 2293328 */ GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2294117),
     /* 2293333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2293339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2293342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293346 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2293423), // Rule ID 54833 //
     /* 2293351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293394 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293422 */     // GIR_Coverage, 54833,
     /* 2293422 */     GIR_EraseRootFromParent_Done,
     /* 2293423 */   // Label 31447: @2293423
     /* 2293423 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2293500), // Rule ID 54834 //
     /* 2293428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293471 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293499 */     // GIR_Coverage, 54834,
     /* 2293499 */     GIR_EraseRootFromParent_Done,
     /* 2293500 */   // Label 31448: @2293500
     /* 2293500 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2293577), // Rule ID 72105 //
     /* 2293505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293548 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293576 */     // GIR_Coverage, 72105,
     /* 2293576 */     GIR_EraseRootFromParent_Done,
     /* 2293577 */   // Label 31449: @2293577
     /* 2293577 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2293654), // Rule ID 72106 //
     /* 2293582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293625 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293653 */     // GIR_Coverage, 72106,
     /* 2293653 */     GIR_EraseRootFromParent_Done,
     /* 2293654 */   // Label 31450: @2293654
     /* 2293654 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2293716), // Rule ID 54837 //
     /* 2293659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293689 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293715 */     // GIR_Coverage, 54837,
     /* 2293715 */     GIR_EraseRootFromParent_Done,
     /* 2293716 */   // Label 31451: @2293716
     /* 2293716 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2293778), // Rule ID 54838 //
     /* 2293721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293751 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293777 */     // GIR_Coverage, 54838,
     /* 2293777 */     GIR_EraseRootFromParent_Done,
     /* 2293778 */   // Label 31452: @2293778
     /* 2293778 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2293840), // Rule ID 72109 //
     /* 2293783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293813 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293839 */     // GIR_Coverage, 72109,
     /* 2293839 */     GIR_EraseRootFromParent_Done,
     /* 2293840 */   // Label 31453: @2293840
     /* 2293840 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2293902), // Rule ID 72110 //
     /* 2293845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293875 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293901 */     // GIR_Coverage, 72110,
     /* 2293901 */     GIR_EraseRootFromParent_Done,
     /* 2293902 */   // Label 31454: @2293902
     /* 2293902 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2293964), // Rule ID 54829 //
     /* 2293907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293937 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2293940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293963 */     // GIR_Coverage, 54829,
     /* 2293963 */     GIR_EraseRootFromParent_Done,
     /* 2293964 */   // Label 31455: @2293964
     /* 2293964 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2294026), // Rule ID 54830 //
     /* 2293969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293999 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2294002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294025 */     // GIR_Coverage, 54830,
     /* 2294025 */     GIR_EraseRootFromParent_Done,
     /* 2294026 */   // Label 31456: @2294026
     /* 2294026 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2294071), // Rule ID 54825 //
     /* 2294031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294046 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2294049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294070 */     // GIR_Coverage, 54825,
     /* 2294070 */     GIR_EraseRootFromParent_Done,
     /* 2294071 */   // Label 31457: @2294071
     /* 2294071 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2294116), // Rule ID 54826 //
     /* 2294076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294091 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2294094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294115 */     // GIR_Coverage, 54826,
     /* 2294115 */     GIR_EraseRootFromParent_Done,
     /* 2294116 */   // Label 31458: @2294116
     /* 2294116 */   GIM_Reject,
     /* 2294117 */ // Label 31446: @2294117
     /* 2294117 */ GIM_Reject,
     /* 2294118 */ // Label 31338: @2294118
     /* 2294118 */ GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2294907),
     /* 2294123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2294129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2294132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294136 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2294213), // Rule ID 55025 //
     /* 2294141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294184 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294212 */     // GIR_Coverage, 55025,
     /* 2294212 */     GIR_EraseRootFromParent_Done,
     /* 2294213 */   // Label 31460: @2294213
     /* 2294213 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2294290), // Rule ID 55026 //
     /* 2294218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294261 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294289 */     // GIR_Coverage, 55026,
     /* 2294289 */     GIR_EraseRootFromParent_Done,
     /* 2294290 */   // Label 31461: @2294290
     /* 2294290 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2294367), // Rule ID 72273 //
     /* 2294295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294338 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294366 */     // GIR_Coverage, 72273,
     /* 2294366 */     GIR_EraseRootFromParent_Done,
     /* 2294367 */   // Label 31462: @2294367
     /* 2294367 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2294444), // Rule ID 72274 //
     /* 2294372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294415 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294443 */     // GIR_Coverage, 72274,
     /* 2294443 */     GIR_EraseRootFromParent_Done,
     /* 2294444 */   // Label 31463: @2294444
     /* 2294444 */   GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2294506), // Rule ID 55029 //
     /* 2294449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294479 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294505 */     // GIR_Coverage, 55029,
     /* 2294505 */     GIR_EraseRootFromParent_Done,
     /* 2294506 */   // Label 31464: @2294506
     /* 2294506 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2294568), // Rule ID 55030 //
     /* 2294511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294541 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294567 */     // GIR_Coverage, 55030,
     /* 2294567 */     GIR_EraseRootFromParent_Done,
     /* 2294568 */   // Label 31465: @2294568
     /* 2294568 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2294630), // Rule ID 72277 //
     /* 2294573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294603 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294629 */     // GIR_Coverage, 72277,
     /* 2294629 */     GIR_EraseRootFromParent_Done,
     /* 2294630 */   // Label 31466: @2294630
     /* 2294630 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2294692), // Rule ID 72278 //
     /* 2294635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294665 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294691 */     // GIR_Coverage, 72278,
     /* 2294691 */     GIR_EraseRootFromParent_Done,
     /* 2294692 */   // Label 31467: @2294692
     /* 2294692 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2294754), // Rule ID 55021 //
     /* 2294697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294727 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2294730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294753 */     // GIR_Coverage, 55021,
     /* 2294753 */     GIR_EraseRootFromParent_Done,
     /* 2294754 */   // Label 31468: @2294754
     /* 2294754 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2294816), // Rule ID 55022 //
     /* 2294759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294789 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2294792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294815 */     // GIR_Coverage, 55022,
     /* 2294815 */     GIR_EraseRootFromParent_Done,
     /* 2294816 */   // Label 31469: @2294816
     /* 2294816 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2294861), // Rule ID 55017 //
     /* 2294821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294836 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2294839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294860 */     // GIR_Coverage, 55017,
     /* 2294860 */     GIR_EraseRootFromParent_Done,
     /* 2294861 */   // Label 31470: @2294861
     /* 2294861 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2294906), // Rule ID 55018 //
     /* 2294866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294881 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2294884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294905 */     // GIR_Coverage, 55018,
     /* 2294905 */     GIR_EraseRootFromParent_Done,
     /* 2294906 */   // Label 31471: @2294906
     /* 2294906 */   GIM_Reject,
     /* 2294907 */ // Label 31459: @2294907
     /* 2294907 */ GIM_Reject,
     /* 2294908 */ // Label 31339: @2294908
     /* 2294908 */ GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2295697),
     /* 2294913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2294919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2294922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294926 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2295003), // Rule ID 54769 //
     /* 2294931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294974 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2294977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295002 */     // GIR_Coverage, 54769,
     /* 2295002 */     GIR_EraseRootFromParent_Done,
     /* 2295003 */   // Label 31473: @2295003
     /* 2295003 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2295080), // Rule ID 54770 //
     /* 2295008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295051 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295079 */     // GIR_Coverage, 54770,
     /* 2295079 */     GIR_EraseRootFromParent_Done,
     /* 2295080 */   // Label 31474: @2295080
     /* 2295080 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2295157), // Rule ID 72049 //
     /* 2295085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295128 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295156 */     // GIR_Coverage, 72049,
     /* 2295156 */     GIR_EraseRootFromParent_Done,
     /* 2295157 */   // Label 31475: @2295157
     /* 2295157 */   GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2295234), // Rule ID 72050 //
     /* 2295162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295205 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295233 */     // GIR_Coverage, 72050,
     /* 2295233 */     GIR_EraseRootFromParent_Done,
     /* 2295234 */   // Label 31476: @2295234
     /* 2295234 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2295296), // Rule ID 54773 //
     /* 2295239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295269 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295295 */     // GIR_Coverage, 54773,
     /* 2295295 */     GIR_EraseRootFromParent_Done,
     /* 2295296 */   // Label 31477: @2295296
     /* 2295296 */   GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2295358), // Rule ID 54774 //
     /* 2295301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295331 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295357 */     // GIR_Coverage, 54774,
     /* 2295357 */     GIR_EraseRootFromParent_Done,
     /* 2295358 */   // Label 31478: @2295358
     /* 2295358 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2295420), // Rule ID 72053 //
     /* 2295363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295393 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295419 */     // GIR_Coverage, 72053,
     /* 2295419 */     GIR_EraseRootFromParent_Done,
     /* 2295420 */   // Label 31479: @2295420
     /* 2295420 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2295482), // Rule ID 72054 //
     /* 2295425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295455 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295481 */     // GIR_Coverage, 72054,
     /* 2295481 */     GIR_EraseRootFromParent_Done,
     /* 2295482 */   // Label 31480: @2295482
     /* 2295482 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2295544), // Rule ID 54765 //
     /* 2295487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295517 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295543 */     // GIR_Coverage, 54765,
     /* 2295543 */     GIR_EraseRootFromParent_Done,
     /* 2295544 */   // Label 31481: @2295544
     /* 2295544 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2295606), // Rule ID 54766 //
     /* 2295549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295579 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295605 */     // GIR_Coverage, 54766,
     /* 2295605 */     GIR_EraseRootFromParent_Done,
     /* 2295606 */   // Label 31482: @2295606
     /* 2295606 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2295651), // Rule ID 54761 //
     /* 2295611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295626 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2295629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295650 */     // GIR_Coverage, 54761,
     /* 2295650 */     GIR_EraseRootFromParent_Done,
     /* 2295651 */   // Label 31483: @2295651
     /* 2295651 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2295696), // Rule ID 54762 //
     /* 2295656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295671 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2295674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295695 */     // GIR_Coverage, 54762,
     /* 2295695 */     GIR_EraseRootFromParent_Done,
     /* 2295696 */   // Label 31484: @2295696
     /* 2295696 */   GIM_Reject,
     /* 2295697 */ // Label 31472: @2295697
     /* 2295697 */ GIM_Reject,
     /* 2295698 */ // Label 31340: @2295698
     /* 2295698 */ GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2296487),
     /* 2295703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2295709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2295712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295716 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2295793), // Rule ID 54961 //
     /* 2295721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295764 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295792 */     // GIR_Coverage, 54961,
     /* 2295792 */     GIR_EraseRootFromParent_Done,
     /* 2295793 */   // Label 31486: @2295793
     /* 2295793 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2295870), // Rule ID 54962 //
     /* 2295798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295841 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295869 */     // GIR_Coverage, 54962,
     /* 2295869 */     GIR_EraseRootFromParent_Done,
     /* 2295870 */   // Label 31487: @2295870
     /* 2295870 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2295947), // Rule ID 72217 //
     /* 2295875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295918 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295946 */     // GIR_Coverage, 72217,
     /* 2295946 */     GIR_EraseRootFromParent_Done,
     /* 2295947 */   // Label 31488: @2295947
     /* 2295947 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2296024), // Rule ID 72218 //
     /* 2295952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295993 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295995 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296023 */     // GIR_Coverage, 72218,
     /* 2296023 */     GIR_EraseRootFromParent_Done,
     /* 2296024 */   // Label 31489: @2296024
     /* 2296024 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2296086), // Rule ID 54965 //
     /* 2296029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296059 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296085 */     // GIR_Coverage, 54965,
     /* 2296085 */     GIR_EraseRootFromParent_Done,
     /* 2296086 */   // Label 31490: @2296086
     /* 2296086 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2296148), // Rule ID 54966 //
     /* 2296091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296121 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296147 */     // GIR_Coverage, 54966,
     /* 2296147 */     GIR_EraseRootFromParent_Done,
     /* 2296148 */   // Label 31491: @2296148
     /* 2296148 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2296210), // Rule ID 72221 //
     /* 2296153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296183 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296209 */     // GIR_Coverage, 72221,
     /* 2296209 */     GIR_EraseRootFromParent_Done,
     /* 2296210 */   // Label 31492: @2296210
     /* 2296210 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2296272), // Rule ID 72222 //
     /* 2296215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296245 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296271 */     // GIR_Coverage, 72222,
     /* 2296271 */     GIR_EraseRootFromParent_Done,
     /* 2296272 */   // Label 31493: @2296272
     /* 2296272 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2296334), // Rule ID 54957 //
     /* 2296277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296307 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296333 */     // GIR_Coverage, 54957,
     /* 2296333 */     GIR_EraseRootFromParent_Done,
     /* 2296334 */   // Label 31494: @2296334
     /* 2296334 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2296396), // Rule ID 54958 //
     /* 2296339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296369 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296395 */     // GIR_Coverage, 54958,
     /* 2296395 */     GIR_EraseRootFromParent_Done,
     /* 2296396 */   // Label 31495: @2296396
     /* 2296396 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2296441), // Rule ID 54953 //
     /* 2296401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296416 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296440 */     // GIR_Coverage, 54953,
     /* 2296440 */     GIR_EraseRootFromParent_Done,
     /* 2296441 */   // Label 31496: @2296441
     /* 2296441 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2296486), // Rule ID 54954 //
     /* 2296446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296461 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296485 */     // GIR_Coverage, 54954,
     /* 2296485 */     GIR_EraseRootFromParent_Done,
     /* 2296486 */   // Label 31497: @2296486
     /* 2296486 */   GIM_Reject,
     /* 2296487 */ // Label 31485: @2296487
     /* 2296487 */ GIM_Reject,
     /* 2296488 */ // Label 31341: @2296488
     /* 2296488 */ GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2297277),
     /* 2296493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2296499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2296502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296506 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2296583), // Rule ID 55473 //
     /* 2296511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296554 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296582 */     // GIR_Coverage, 55473,
     /* 2296582 */     GIR_EraseRootFromParent_Done,
     /* 2296583 */   // Label 31499: @2296583
     /* 2296583 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2296660), // Rule ID 55474 //
     /* 2296588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296624 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296631 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296659 */     // GIR_Coverage, 55474,
     /* 2296659 */     GIR_EraseRootFromParent_Done,
     /* 2296660 */   // Label 31500: @2296660
     /* 2296660 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2296737), // Rule ID 72665 //
     /* 2296665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296708 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296736 */     // GIR_Coverage, 72665,
     /* 2296736 */     GIR_EraseRootFromParent_Done,
     /* 2296737 */   // Label 31501: @2296737
     /* 2296737 */   GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2296814), // Rule ID 72666 //
     /* 2296742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296783 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296785 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296813 */     // GIR_Coverage, 72666,
     /* 2296813 */     GIR_EraseRootFromParent_Done,
     /* 2296814 */   // Label 31502: @2296814
     /* 2296814 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2296876), // Rule ID 55477 //
     /* 2296819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296849 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2296852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296875 */     // GIR_Coverage, 55477,
     /* 2296875 */     GIR_EraseRootFromParent_Done,
     /* 2296876 */   // Label 31503: @2296876
     /* 2296876 */   GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2296938), // Rule ID 55478 //
     /* 2296881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296911 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2296914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296937 */     // GIR_Coverage, 55478,
     /* 2296937 */     GIR_EraseRootFromParent_Done,
     /* 2296938 */   // Label 31504: @2296938
     /* 2296938 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2297000), // Rule ID 72669 //
     /* 2296943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296973 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2296976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296999 */     // GIR_Coverage, 72669,
     /* 2296999 */     GIR_EraseRootFromParent_Done,
     /* 2297000 */   // Label 31505: @2297000
     /* 2297000 */   GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2297062), // Rule ID 72670 //
     /* 2297005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297035 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297061 */     // GIR_Coverage, 72670,
     /* 2297061 */     GIR_EraseRootFromParent_Done,
     /* 2297062 */   // Label 31506: @2297062
     /* 2297062 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2297124), // Rule ID 55469 //
     /* 2297067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297097 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297123 */     // GIR_Coverage, 55469,
     /* 2297123 */     GIR_EraseRootFromParent_Done,
     /* 2297124 */   // Label 31507: @2297124
     /* 2297124 */   GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2297186), // Rule ID 55470 //
     /* 2297129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297159 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297185 */     // GIR_Coverage, 55470,
     /* 2297185 */     GIR_EraseRootFromParent_Done,
     /* 2297186 */   // Label 31508: @2297186
     /* 2297186 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2297231), // Rule ID 55465 //
     /* 2297191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297206 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297230 */     // GIR_Coverage, 55465,
     /* 2297230 */     GIR_EraseRootFromParent_Done,
     /* 2297231 */   // Label 31509: @2297231
     /* 2297231 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2297276), // Rule ID 55466 //
     /* 2297236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297251 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297275 */     // GIR_Coverage, 55466,
     /* 2297275 */     GIR_EraseRootFromParent_Done,
     /* 2297276 */   // Label 31510: @2297276
     /* 2297276 */   GIM_Reject,
     /* 2297277 */ // Label 31498: @2297277
     /* 2297277 */ GIM_Reject,
     /* 2297278 */ // Label 31342: @2297278
     /* 2297278 */ GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2298067),
     /* 2297283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2297289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2297292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297296 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2297373), // Rule ID 54897 //
     /* 2297301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297344 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297372 */     // GIR_Coverage, 54897,
     /* 2297372 */     GIR_EraseRootFromParent_Done,
     /* 2297373 */   // Label 31512: @2297373
     /* 2297373 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2297450), // Rule ID 54898 //
     /* 2297378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297421 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297449 */     // GIR_Coverage, 54898,
     /* 2297449 */     GIR_EraseRootFromParent_Done,
     /* 2297450 */   // Label 31513: @2297450
     /* 2297450 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2297527), // Rule ID 72161 //
     /* 2297455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297498 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297526 */     // GIR_Coverage, 72161,
     /* 2297526 */     GIR_EraseRootFromParent_Done,
     /* 2297527 */   // Label 31514: @2297527
     /* 2297527 */   GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2297604), // Rule ID 72162 //
     /* 2297532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297568 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297573 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297575 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297603 */     // GIR_Coverage, 72162,
     /* 2297603 */     GIR_EraseRootFromParent_Done,
     /* 2297604 */   // Label 31515: @2297604
     /* 2297604 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2297666), // Rule ID 54901 //
     /* 2297609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297639 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297665 */     // GIR_Coverage, 54901,
     /* 2297665 */     GIR_EraseRootFromParent_Done,
     /* 2297666 */   // Label 31516: @2297666
     /* 2297666 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2297728), // Rule ID 54902 //
     /* 2297671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297701 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297727 */     // GIR_Coverage, 54902,
     /* 2297727 */     GIR_EraseRootFromParent_Done,
     /* 2297728 */   // Label 31517: @2297728
     /* 2297728 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2297790), // Rule ID 72165 //
     /* 2297733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297763 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297789 */     // GIR_Coverage, 72165,
     /* 2297789 */     GIR_EraseRootFromParent_Done,
     /* 2297790 */   // Label 31518: @2297790
     /* 2297790 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2297852), // Rule ID 72166 //
     /* 2297795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297825 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297851 */     // GIR_Coverage, 72166,
     /* 2297851 */     GIR_EraseRootFromParent_Done,
     /* 2297852 */   // Label 31519: @2297852
     /* 2297852 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2297914), // Rule ID 54893 //
     /* 2297857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297887 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2297890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297913 */     // GIR_Coverage, 54893,
     /* 2297913 */     GIR_EraseRootFromParent_Done,
     /* 2297914 */   // Label 31520: @2297914
     /* 2297914 */   GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2297976), // Rule ID 54894 //
     /* 2297919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297949 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2297952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297975 */     // GIR_Coverage, 54894,
     /* 2297975 */     GIR_EraseRootFromParent_Done,
     /* 2297976 */   // Label 31521: @2297976
     /* 2297976 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2298021), // Rule ID 54889 //
     /* 2297981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297996 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2297999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298020 */     // GIR_Coverage, 54889,
     /* 2298020 */     GIR_EraseRootFromParent_Done,
     /* 2298021 */   // Label 31522: @2298021
     /* 2298021 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2298066), // Rule ID 54890 //
     /* 2298026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298041 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2298044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298065 */     // GIR_Coverage, 54890,
     /* 2298065 */     GIR_EraseRootFromParent_Done,
     /* 2298066 */   // Label 31523: @2298066
     /* 2298066 */   GIM_Reject,
     /* 2298067 */ // Label 31511: @2298067
     /* 2298067 */ GIM_Reject,
     /* 2298068 */ // Label 31343: @2298068
     /* 2298068 */ GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2298857),
     /* 2298073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2298079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2298082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298086 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2298163), // Rule ID 55281 //
     /* 2298091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298134 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298162 */     // GIR_Coverage, 55281,
     /* 2298162 */     GIR_EraseRootFromParent_Done,
     /* 2298163 */   // Label 31525: @2298163
     /* 2298163 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2298240), // Rule ID 55282 //
     /* 2298168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298211 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298239 */     // GIR_Coverage, 55282,
     /* 2298239 */     GIR_EraseRootFromParent_Done,
     /* 2298240 */   // Label 31526: @2298240
     /* 2298240 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2298317), // Rule ID 72497 //
     /* 2298245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298288 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298316 */     // GIR_Coverage, 72497,
     /* 2298316 */     GIR_EraseRootFromParent_Done,
     /* 2298317 */   // Label 31527: @2298317
     /* 2298317 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2298394), // Rule ID 72498 //
     /* 2298322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298365 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298393 */     // GIR_Coverage, 72498,
     /* 2298393 */     GIR_EraseRootFromParent_Done,
     /* 2298394 */   // Label 31528: @2298394
     /* 2298394 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2298456), // Rule ID 55285 //
     /* 2298399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298429 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298455 */     // GIR_Coverage, 55285,
     /* 2298455 */     GIR_EraseRootFromParent_Done,
     /* 2298456 */   // Label 31529: @2298456
     /* 2298456 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2298518), // Rule ID 55286 //
     /* 2298461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298491 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298517 */     // GIR_Coverage, 55286,
     /* 2298517 */     GIR_EraseRootFromParent_Done,
     /* 2298518 */   // Label 31530: @2298518
     /* 2298518 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2298580), // Rule ID 72501 //
     /* 2298523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298553 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298579 */     // GIR_Coverage, 72501,
     /* 2298579 */     GIR_EraseRootFromParent_Done,
     /* 2298580 */   // Label 31531: @2298580
     /* 2298580 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2298642), // Rule ID 72502 //
     /* 2298585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298615 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298641 */     // GIR_Coverage, 72502,
     /* 2298641 */     GIR_EraseRootFromParent_Done,
     /* 2298642 */   // Label 31532: @2298642
     /* 2298642 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2298704), // Rule ID 55277 //
     /* 2298647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298677 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2298680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298703 */     // GIR_Coverage, 55277,
     /* 2298703 */     GIR_EraseRootFromParent_Done,
     /* 2298704 */   // Label 31533: @2298704
     /* 2298704 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2298766), // Rule ID 55278 //
     /* 2298709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298739 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2298742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298765 */     // GIR_Coverage, 55278,
     /* 2298765 */     GIR_EraseRootFromParent_Done,
     /* 2298766 */   // Label 31534: @2298766
     /* 2298766 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2298811), // Rule ID 55273 //
     /* 2298771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298786 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2298789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298810 */     // GIR_Coverage, 55273,
     /* 2298810 */     GIR_EraseRootFromParent_Done,
     /* 2298811 */   // Label 31535: @2298811
     /* 2298811 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2298856), // Rule ID 55274 //
     /* 2298816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298831 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2298834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298855 */     // GIR_Coverage, 55274,
     /* 2298855 */     GIR_EraseRootFromParent_Done,
     /* 2298856 */   // Label 31536: @2298856
     /* 2298856 */   GIM_Reject,
     /* 2298857 */ // Label 31524: @2298857
     /* 2298857 */ GIM_Reject,
     /* 2298858 */ // Label 31344: @2298858
     /* 2298858 */ GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2299647),
     /* 2298863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2298869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2298872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298876 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2298953), // Rule ID 55537 //
     /* 2298881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298924 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2298927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298952 */     // GIR_Coverage, 55537,
     /* 2298952 */     GIR_EraseRootFromParent_Done,
     /* 2298953 */   // Label 31538: @2298953
     /* 2298953 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2299030), // Rule ID 55538 //
     /* 2298958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2298961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299001 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299029 */     // GIR_Coverage, 55538,
     /* 2299029 */     GIR_EraseRootFromParent_Done,
     /* 2299030 */   // Label 31539: @2299030
     /* 2299030 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2299107), // Rule ID 72721 //
     /* 2299035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299078 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299106 */     // GIR_Coverage, 72721,
     /* 2299106 */     GIR_EraseRootFromParent_Done,
     /* 2299107 */   // Label 31540: @2299107
     /* 2299107 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2299184), // Rule ID 72722 //
     /* 2299112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299148 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299153 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299155 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299183 */     // GIR_Coverage, 72722,
     /* 2299183 */     GIR_EraseRootFromParent_Done,
     /* 2299184 */   // Label 31541: @2299184
     /* 2299184 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2299246), // Rule ID 55541 //
     /* 2299189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299219 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299245 */     // GIR_Coverage, 55541,
     /* 2299245 */     GIR_EraseRootFromParent_Done,
     /* 2299246 */   // Label 31542: @2299246
     /* 2299246 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2299308), // Rule ID 55542 //
     /* 2299251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299281 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299307 */     // GIR_Coverage, 55542,
     /* 2299307 */     GIR_EraseRootFromParent_Done,
     /* 2299308 */   // Label 31543: @2299308
     /* 2299308 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2299370), // Rule ID 72725 //
     /* 2299313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299343 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299369 */     // GIR_Coverage, 72725,
     /* 2299369 */     GIR_EraseRootFromParent_Done,
     /* 2299370 */   // Label 31544: @2299370
     /* 2299370 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2299432), // Rule ID 72726 //
     /* 2299375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299405 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299431 */     // GIR_Coverage, 72726,
     /* 2299431 */     GIR_EraseRootFromParent_Done,
     /* 2299432 */   // Label 31545: @2299432
     /* 2299432 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2299494), // Rule ID 55533 //
     /* 2299437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299467 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299493 */     // GIR_Coverage, 55533,
     /* 2299493 */     GIR_EraseRootFromParent_Done,
     /* 2299494 */   // Label 31546: @2299494
     /* 2299494 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2299556), // Rule ID 55534 //
     /* 2299499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299529 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299555 */     // GIR_Coverage, 55534,
     /* 2299555 */     GIR_EraseRootFromParent_Done,
     /* 2299556 */   // Label 31547: @2299556
     /* 2299556 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2299601), // Rule ID 55529 //
     /* 2299561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299576 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2299579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299600 */     // GIR_Coverage, 55529,
     /* 2299600 */     GIR_EraseRootFromParent_Done,
     /* 2299601 */   // Label 31548: @2299601
     /* 2299601 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2299646), // Rule ID 55530 //
     /* 2299606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299621 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2299624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299645 */     // GIR_Coverage, 55530,
     /* 2299645 */     GIR_EraseRootFromParent_Done,
     /* 2299646 */   // Label 31549: @2299646
     /* 2299646 */   GIM_Reject,
     /* 2299647 */ // Label 31537: @2299647
     /* 2299647 */ GIM_Reject,
     /* 2299648 */ // Label 31345: @2299648
     /* 2299648 */ GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2300437),
     /* 2299653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2299659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2299662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299666 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2299743), // Rule ID 55089 //
     /* 2299671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299714 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299742 */     // GIR_Coverage, 55089,
     /* 2299742 */     GIR_EraseRootFromParent_Done,
     /* 2299743 */   // Label 31551: @2299743
     /* 2299743 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2299820), // Rule ID 55090 //
     /* 2299748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299791 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299819 */     // GIR_Coverage, 55090,
     /* 2299819 */     GIR_EraseRootFromParent_Done,
     /* 2299820 */   // Label 31552: @2299820
     /* 2299820 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2299897), // Rule ID 72329 //
     /* 2299825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299868 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299896 */     // GIR_Coverage, 72329,
     /* 2299896 */     GIR_EraseRootFromParent_Done,
     /* 2299897 */   // Label 31553: @2299897
     /* 2299897 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2299974), // Rule ID 72330 //
     /* 2299902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299945 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299973 */     // GIR_Coverage, 72330,
     /* 2299973 */     GIR_EraseRootFromParent_Done,
     /* 2299974 */   // Label 31554: @2299974
     /* 2299974 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2300036), // Rule ID 55093 //
     /* 2299979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300009 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300035 */     // GIR_Coverage, 55093,
     /* 2300035 */     GIR_EraseRootFromParent_Done,
     /* 2300036 */   // Label 31555: @2300036
     /* 2300036 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2300098), // Rule ID 55094 //
     /* 2300041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300071 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300097 */     // GIR_Coverage, 55094,
     /* 2300097 */     GIR_EraseRootFromParent_Done,
     /* 2300098 */   // Label 31556: @2300098
     /* 2300098 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2300160), // Rule ID 72333 //
     /* 2300103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300133 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300159 */     // GIR_Coverage, 72333,
     /* 2300159 */     GIR_EraseRootFromParent_Done,
     /* 2300160 */   // Label 31557: @2300160
     /* 2300160 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2300222), // Rule ID 72334 //
     /* 2300165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300195 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300221 */     // GIR_Coverage, 72334,
     /* 2300221 */     GIR_EraseRootFromParent_Done,
     /* 2300222 */   // Label 31558: @2300222
     /* 2300222 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2300284), // Rule ID 55085 //
     /* 2300227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300257 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300283 */     // GIR_Coverage, 55085,
     /* 2300283 */     GIR_EraseRootFromParent_Done,
     /* 2300284 */   // Label 31559: @2300284
     /* 2300284 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2300346), // Rule ID 55086 //
     /* 2300289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300319 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300345 */     // GIR_Coverage, 55086,
     /* 2300345 */     GIR_EraseRootFromParent_Done,
     /* 2300346 */   // Label 31560: @2300346
     /* 2300346 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2300391), // Rule ID 55081 //
     /* 2300351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300366 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300390 */     // GIR_Coverage, 55081,
     /* 2300390 */     GIR_EraseRootFromParent_Done,
     /* 2300391 */   // Label 31561: @2300391
     /* 2300391 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2300436), // Rule ID 55082 //
     /* 2300396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300411 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300435 */     // GIR_Coverage, 55082,
     /* 2300435 */     GIR_EraseRootFromParent_Done,
     /* 2300436 */   // Label 31562: @2300436
     /* 2300436 */   GIM_Reject,
     /* 2300437 */ // Label 31550: @2300437
     /* 2300437 */ GIM_Reject,
     /* 2300438 */ // Label 31346: @2300438
     /* 2300438 */ GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2301227),
     /* 2300443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2300449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2300452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300456 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2300533), // Rule ID 55345 //
     /* 2300461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300504 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300532 */     // GIR_Coverage, 55345,
     /* 2300532 */     GIR_EraseRootFromParent_Done,
     /* 2300533 */   // Label 31564: @2300533
     /* 2300533 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2300610), // Rule ID 55346 //
     /* 2300538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300581 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300609 */     // GIR_Coverage, 55346,
     /* 2300609 */     GIR_EraseRootFromParent_Done,
     /* 2300610 */   // Label 31565: @2300610
     /* 2300610 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2300687), // Rule ID 72553 //
     /* 2300615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300658 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300686 */     // GIR_Coverage, 72553,
     /* 2300686 */     GIR_EraseRootFromParent_Done,
     /* 2300687 */   // Label 31566: @2300687
     /* 2300687 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2300764), // Rule ID 72554 //
     /* 2300692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300735 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300763 */     // GIR_Coverage, 72554,
     /* 2300763 */     GIR_EraseRootFromParent_Done,
     /* 2300764 */   // Label 31567: @2300764
     /* 2300764 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2300826), // Rule ID 55349 //
     /* 2300769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300799 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300825 */     // GIR_Coverage, 55349,
     /* 2300825 */     GIR_EraseRootFromParent_Done,
     /* 2300826 */   // Label 31568: @2300826
     /* 2300826 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2300888), // Rule ID 55350 //
     /* 2300831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300861 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300887 */     // GIR_Coverage, 55350,
     /* 2300887 */     GIR_EraseRootFromParent_Done,
     /* 2300888 */   // Label 31569: @2300888
     /* 2300888 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2300950), // Rule ID 72557 //
     /* 2300893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300923 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300949 */     // GIR_Coverage, 72557,
     /* 2300949 */     GIR_EraseRootFromParent_Done,
     /* 2300950 */   // Label 31570: @2300950
     /* 2300950 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2301012), // Rule ID 72558 //
     /* 2300955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300985 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301011 */     // GIR_Coverage, 72558,
     /* 2301011 */     GIR_EraseRootFromParent_Done,
     /* 2301012 */   // Label 31571: @2301012
     /* 2301012 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2301074), // Rule ID 55341 //
     /* 2301017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301047 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2301050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301073 */     // GIR_Coverage, 55341,
     /* 2301073 */     GIR_EraseRootFromParent_Done,
     /* 2301074 */   // Label 31572: @2301074
     /* 2301074 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2301136), // Rule ID 55342 //
     /* 2301079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301109 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2301112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301135 */     // GIR_Coverage, 55342,
     /* 2301135 */     GIR_EraseRootFromParent_Done,
     /* 2301136 */   // Label 31573: @2301136
     /* 2301136 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2301181), // Rule ID 55337 //
     /* 2301141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301156 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301180 */     // GIR_Coverage, 55337,
     /* 2301180 */     GIR_EraseRootFromParent_Done,
     /* 2301181 */   // Label 31574: @2301181
     /* 2301181 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2301226), // Rule ID 55338 //
     /* 2301186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301201 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301225 */     // GIR_Coverage, 55338,
     /* 2301225 */     GIR_EraseRootFromParent_Done,
     /* 2301226 */   // Label 31575: @2301226
     /* 2301226 */   GIM_Reject,
     /* 2301227 */ // Label 31563: @2301227
     /* 2301227 */ GIM_Reject,
     /* 2301228 */ // Label 31347: @2301228
     /* 2301228 */ GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2302017),
     /* 2301233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2301239 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2301242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301246 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2301323), // Rule ID 55601 //
     /* 2301251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301294 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301322 */     // GIR_Coverage, 55601,
     /* 2301322 */     GIR_EraseRootFromParent_Done,
     /* 2301323 */   // Label 31577: @2301323
     /* 2301323 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2301400), // Rule ID 55602 //
     /* 2301328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301371 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301399 */     // GIR_Coverage, 55602,
     /* 2301399 */     GIR_EraseRootFromParent_Done,
     /* 2301400 */   // Label 31578: @2301400
     /* 2301400 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2301477), // Rule ID 72777 //
     /* 2301405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301448 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301476 */     // GIR_Coverage, 72777,
     /* 2301476 */     GIR_EraseRootFromParent_Done,
     /* 2301477 */   // Label 31579: @2301477
     /* 2301477 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2301554), // Rule ID 72778 //
     /* 2301482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301525 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301553 */     // GIR_Coverage, 72778,
     /* 2301553 */     GIR_EraseRootFromParent_Done,
     /* 2301554 */   // Label 31580: @2301554
     /* 2301554 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2301616), // Rule ID 55605 //
     /* 2301559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301589 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301615 */     // GIR_Coverage, 55605,
     /* 2301615 */     GIR_EraseRootFromParent_Done,
     /* 2301616 */   // Label 31581: @2301616
     /* 2301616 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2301678), // Rule ID 55606 //
     /* 2301621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301651 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301677 */     // GIR_Coverage, 55606,
     /* 2301677 */     GIR_EraseRootFromParent_Done,
     /* 2301678 */   // Label 31582: @2301678
     /* 2301678 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2301740), // Rule ID 72781 //
     /* 2301683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301713 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301739 */     // GIR_Coverage, 72781,
     /* 2301739 */     GIR_EraseRootFromParent_Done,
     /* 2301740 */   // Label 31583: @2301740
     /* 2301740 */   GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2301802), // Rule ID 72782 //
     /* 2301745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301775 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301801 */     // GIR_Coverage, 72782,
     /* 2301801 */     GIR_EraseRootFromParent_Done,
     /* 2301802 */   // Label 31584: @2301802
     /* 2301802 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2301864), // Rule ID 55597 //
     /* 2301807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301837 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2301840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301863 */     // GIR_Coverage, 55597,
     /* 2301863 */     GIR_EraseRootFromParent_Done,
     /* 2301864 */   // Label 31585: @2301864
     /* 2301864 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2301926), // Rule ID 55598 //
     /* 2301869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301899 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2301902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301925 */     // GIR_Coverage, 55598,
     /* 2301925 */     GIR_EraseRootFromParent_Done,
     /* 2301926 */   // Label 31586: @2301926
     /* 2301926 */   GIM_Try, /*On fail goto*//*Label 31587*/ GIMT_Encode4(2301971), // Rule ID 55593 //
     /* 2301931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301946 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2301949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301970 */     // GIR_Coverage, 55593,
     /* 2301970 */     GIR_EraseRootFromParent_Done,
     /* 2301971 */   // Label 31587: @2301971
     /* 2301971 */   GIM_Try, /*On fail goto*//*Label 31588*/ GIMT_Encode4(2302016), // Rule ID 55594 //
     /* 2301976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301991 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2301994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302015 */     // GIR_Coverage, 55594,
     /* 2302015 */     GIR_EraseRootFromParent_Done,
     /* 2302016 */   // Label 31588: @2302016
     /* 2302016 */   GIM_Reject,
     /* 2302017 */ // Label 31576: @2302017
     /* 2302017 */ GIM_Reject,
     /* 2302018 */ // Label 31348: @2302018
     /* 2302018 */ GIM_Try, /*On fail goto*//*Label 31589*/ GIMT_Encode4(2302807),
     /* 2302023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2302029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2302032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302036 */   GIM_Try, /*On fail goto*//*Label 31590*/ GIMT_Encode4(2302113), // Rule ID 55153 //
     /* 2302041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302084 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302112 */     // GIR_Coverage, 55153,
     /* 2302112 */     GIR_EraseRootFromParent_Done,
     /* 2302113 */   // Label 31590: @2302113
     /* 2302113 */   GIM_Try, /*On fail goto*//*Label 31591*/ GIMT_Encode4(2302190), // Rule ID 55154 //
     /* 2302118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302161 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302189 */     // GIR_Coverage, 55154,
     /* 2302189 */     GIR_EraseRootFromParent_Done,
     /* 2302190 */   // Label 31591: @2302190
     /* 2302190 */   GIM_Try, /*On fail goto*//*Label 31592*/ GIMT_Encode4(2302267), // Rule ID 72385 //
     /* 2302195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302238 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302266 */     // GIR_Coverage, 72385,
     /* 2302266 */     GIR_EraseRootFromParent_Done,
     /* 2302267 */   // Label 31592: @2302267
     /* 2302267 */   GIM_Try, /*On fail goto*//*Label 31593*/ GIMT_Encode4(2302344), // Rule ID 72386 //
     /* 2302272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302315 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302343 */     // GIR_Coverage, 72386,
     /* 2302343 */     GIR_EraseRootFromParent_Done,
     /* 2302344 */   // Label 31593: @2302344
     /* 2302344 */   GIM_Try, /*On fail goto*//*Label 31594*/ GIMT_Encode4(2302406), // Rule ID 55157 //
     /* 2302349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302379 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302405 */     // GIR_Coverage, 55157,
     /* 2302405 */     GIR_EraseRootFromParent_Done,
     /* 2302406 */   // Label 31594: @2302406
     /* 2302406 */   GIM_Try, /*On fail goto*//*Label 31595*/ GIMT_Encode4(2302468), // Rule ID 55158 //
     /* 2302411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302441 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302467 */     // GIR_Coverage, 55158,
     /* 2302467 */     GIR_EraseRootFromParent_Done,
     /* 2302468 */   // Label 31595: @2302468
     /* 2302468 */   GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2302530), // Rule ID 72389 //
     /* 2302473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302503 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302529 */     // GIR_Coverage, 72389,
     /* 2302529 */     GIR_EraseRootFromParent_Done,
     /* 2302530 */   // Label 31596: @2302530
     /* 2302530 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2302592), // Rule ID 72390 //
     /* 2302535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302565 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302591 */     // GIR_Coverage, 72390,
     /* 2302591 */     GIR_EraseRootFromParent_Done,
     /* 2302592 */   // Label 31597: @2302592
     /* 2302592 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2302654), // Rule ID 55149 //
     /* 2302597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302627 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2302630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302653 */     // GIR_Coverage, 55149,
     /* 2302653 */     GIR_EraseRootFromParent_Done,
     /* 2302654 */   // Label 31598: @2302654
     /* 2302654 */   GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2302716), // Rule ID 55150 //
     /* 2302659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302689 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2302692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302715 */     // GIR_Coverage, 55150,
     /* 2302715 */     GIR_EraseRootFromParent_Done,
     /* 2302716 */   // Label 31599: @2302716
     /* 2302716 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2302761), // Rule ID 55145 //
     /* 2302721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302736 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2302739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302760 */     // GIR_Coverage, 55145,
     /* 2302760 */     GIR_EraseRootFromParent_Done,
     /* 2302761 */   // Label 31600: @2302761
     /* 2302761 */   GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2302806), // Rule ID 55146 //
     /* 2302766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302781 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2302784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302805 */     // GIR_Coverage, 55146,
     /* 2302805 */     GIR_EraseRootFromParent_Done,
     /* 2302806 */   // Label 31601: @2302806
     /* 2302806 */   GIM_Reject,
     /* 2302807 */ // Label 31589: @2302807
     /* 2302807 */ GIM_Reject,
     /* 2302808 */ // Label 31349: @2302808
     /* 2302808 */ GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2303597),
     /* 2302813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2302819 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2302822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302826 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2302903), // Rule ID 55409 //
     /* 2302831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302874 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2302877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302902 */     // GIR_Coverage, 55409,
     /* 2302902 */     GIR_EraseRootFromParent_Done,
     /* 2302903 */   // Label 31603: @2302903
     /* 2302903 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2302980), // Rule ID 55410 //
     /* 2302908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302951 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2302954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302979 */     // GIR_Coverage, 55410,
     /* 2302979 */     GIR_EraseRootFromParent_Done,
     /* 2302980 */   // Label 31604: @2302980
     /* 2302980 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2303057), // Rule ID 72609 //
     /* 2302985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303028 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303056 */     // GIR_Coverage, 72609,
     /* 2303056 */     GIR_EraseRootFromParent_Done,
     /* 2303057 */   // Label 31605: @2303057
     /* 2303057 */   GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2303134), // Rule ID 72610 //
     /* 2303062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303105 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303133 */     // GIR_Coverage, 72610,
     /* 2303133 */     GIR_EraseRootFromParent_Done,
     /* 2303134 */   // Label 31606: @2303134
     /* 2303134 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2303196), // Rule ID 55413 //
     /* 2303139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303169 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303195 */     // GIR_Coverage, 55413,
     /* 2303195 */     GIR_EraseRootFromParent_Done,
     /* 2303196 */   // Label 31607: @2303196
     /* 2303196 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2303258), // Rule ID 55414 //
     /* 2303201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303231 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303257 */     // GIR_Coverage, 55414,
     /* 2303257 */     GIR_EraseRootFromParent_Done,
     /* 2303258 */   // Label 31608: @2303258
     /* 2303258 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2303320), // Rule ID 72613 //
     /* 2303263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303293 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303319 */     // GIR_Coverage, 72613,
     /* 2303319 */     GIR_EraseRootFromParent_Done,
     /* 2303320 */   // Label 31609: @2303320
     /* 2303320 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2303382), // Rule ID 72614 //
     /* 2303325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303355 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303381 */     // GIR_Coverage, 72614,
     /* 2303381 */     GIR_EraseRootFromParent_Done,
     /* 2303382 */   // Label 31610: @2303382
     /* 2303382 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2303444), // Rule ID 55405 //
     /* 2303387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303417 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303443 */     // GIR_Coverage, 55405,
     /* 2303443 */     GIR_EraseRootFromParent_Done,
     /* 2303444 */   // Label 31611: @2303444
     /* 2303444 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2303506), // Rule ID 55406 //
     /* 2303449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303479 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303505 */     // GIR_Coverage, 55406,
     /* 2303505 */     GIR_EraseRootFromParent_Done,
     /* 2303506 */   // Label 31612: @2303506
     /* 2303506 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2303551), // Rule ID 55401 //
     /* 2303511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303526 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303550 */     // GIR_Coverage, 55401,
     /* 2303550 */     GIR_EraseRootFromParent_Done,
     /* 2303551 */   // Label 31613: @2303551
     /* 2303551 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2303596), // Rule ID 55402 //
     /* 2303556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303571 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303595 */     // GIR_Coverage, 55402,
     /* 2303595 */     GIR_EraseRootFromParent_Done,
     /* 2303596 */   // Label 31614: @2303596
     /* 2303596 */   GIM_Reject,
     /* 2303597 */ // Label 31602: @2303597
     /* 2303597 */ GIM_Reject,
     /* 2303598 */ // Label 31350: @2303598
     /* 2303598 */ GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2304387),
     /* 2303603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2303609 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2303612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303616 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2303693), // Rule ID 55217 //
     /* 2303621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303657 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303664 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303692 */     // GIR_Coverage, 55217,
     /* 2303692 */     GIR_EraseRootFromParent_Done,
     /* 2303693 */   // Label 31616: @2303693
     /* 2303693 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2303770), // Rule ID 55218 //
     /* 2303698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303741 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303769 */     // GIR_Coverage, 55218,
     /* 2303769 */     GIR_EraseRootFromParent_Done,
     /* 2303770 */   // Label 31617: @2303770
     /* 2303770 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2303847), // Rule ID 72441 //
     /* 2303775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303818 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303846 */     // GIR_Coverage, 72441,
     /* 2303846 */     GIR_EraseRootFromParent_Done,
     /* 2303847 */   // Label 31618: @2303847
     /* 2303847 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2303924), // Rule ID 72442 //
     /* 2303852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303895 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303923 */     // GIR_Coverage, 72442,
     /* 2303923 */     GIR_EraseRootFromParent_Done,
     /* 2303924 */   // Label 31619: @2303924
     /* 2303924 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2303986), // Rule ID 55221 //
     /* 2303929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303959 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2303962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303985 */     // GIR_Coverage, 55221,
     /* 2303985 */     GIR_EraseRootFromParent_Done,
     /* 2303986 */   // Label 31620: @2303986
     /* 2303986 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2304048), // Rule ID 55222 //
     /* 2303991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304021 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304047 */     // GIR_Coverage, 55222,
     /* 2304047 */     GIR_EraseRootFromParent_Done,
     /* 2304048 */   // Label 31621: @2304048
     /* 2304048 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2304110), // Rule ID 72445 //
     /* 2304053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304083 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304109 */     // GIR_Coverage, 72445,
     /* 2304109 */     GIR_EraseRootFromParent_Done,
     /* 2304110 */   // Label 31622: @2304110
     /* 2304110 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2304172), // Rule ID 72446 //
     /* 2304115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304145 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304171 */     // GIR_Coverage, 72446,
     /* 2304171 */     GIR_EraseRootFromParent_Done,
     /* 2304172 */   // Label 31623: @2304172
     /* 2304172 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2304234), // Rule ID 55213 //
     /* 2304177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304207 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304233 */     // GIR_Coverage, 55213,
     /* 2304233 */     GIR_EraseRootFromParent_Done,
     /* 2304234 */   // Label 31624: @2304234
     /* 2304234 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2304296), // Rule ID 55214 //
     /* 2304239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304269 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304295 */     // GIR_Coverage, 55214,
     /* 2304295 */     GIR_EraseRootFromParent_Done,
     /* 2304296 */   // Label 31625: @2304296
     /* 2304296 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2304341), // Rule ID 55209 //
     /* 2304301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304316 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304340 */     // GIR_Coverage, 55209,
     /* 2304340 */     GIR_EraseRootFromParent_Done,
     /* 2304341 */   // Label 31626: @2304341
     /* 2304341 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2304386), // Rule ID 55210 //
     /* 2304346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304361 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304385 */     // GIR_Coverage, 55210,
     /* 2304385 */     GIR_EraseRootFromParent_Done,
     /* 2304386 */   // Label 31627: @2304386
     /* 2304386 */   GIM_Reject,
     /* 2304387 */ // Label 31615: @2304387
     /* 2304387 */ GIM_Reject,
     /* 2304388 */ // Label 31351: @2304388
     /* 2304388 */ GIM_Reject,
     /* 2304389 */ // Label 63: @2304389
     /* 2304389 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31646*/ GIMT_Encode4(2306816),
     /* 2304400 */ /*GILLT_s16*//*Label 31628*/ GIMT_Encode4(2304520),
     /* 2304404 */ /*GILLT_s32*//*Label 31629*/ GIMT_Encode4(2304669),
     /* 2304408 */ /*GILLT_s64*//*Label 31630*/ GIMT_Encode4(2304818), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304420 */ /*GILLT_nxv1s16*//*Label 31631*/ GIMT_Encode4(2305001),
     /* 2304424 */ /*GILLT_nxv1s32*//*Label 31632*/ GIMT_Encode4(2305122),
     /* 2304428 */ /*GILLT_nxv1s64*//*Label 31633*/ GIMT_Encode4(2305243), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304440 */ /*GILLT_nxv2s16*//*Label 31634*/ GIMT_Encode4(2305364),
     /* 2304444 */ /*GILLT_nxv2s32*//*Label 31635*/ GIMT_Encode4(2305485),
     /* 2304448 */ /*GILLT_nxv2s64*//*Label 31636*/ GIMT_Encode4(2305606), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304460 */ /*GILLT_nxv4s16*//*Label 31637*/ GIMT_Encode4(2305727),
     /* 2304464 */ /*GILLT_nxv4s32*//*Label 31638*/ GIMT_Encode4(2305848),
     /* 2304468 */ /*GILLT_nxv4s64*//*Label 31639*/ GIMT_Encode4(2305969), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304480 */ /*GILLT_nxv8s16*//*Label 31640*/ GIMT_Encode4(2306090),
     /* 2304484 */ /*GILLT_nxv8s32*//*Label 31641*/ GIMT_Encode4(2306211),
     /* 2304488 */ /*GILLT_nxv8s64*//*Label 31642*/ GIMT_Encode4(2306332), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304500 */ /*GILLT_nxv16s16*//*Label 31643*/ GIMT_Encode4(2306453),
     /* 2304504 */ /*GILLT_nxv16s32*//*Label 31644*/ GIMT_Encode4(2306574), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304516 */ /*GILLT_nxv32s16*//*Label 31645*/ GIMT_Encode4(2306695),
     /* 2304520 */ // Label 31628: @2304520
     /* 2304520 */ GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2304668),
     /* 2304525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2304531 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2304565), // Rule ID 1865 //
     /* 2304536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2304539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304551 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304564 */     // GIR_Coverage, 1865,
     /* 2304564 */     GIR_EraseRootFromParent_Done,
     /* 2304565 */   // Label 31648: @2304565
     /* 2304565 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2304599), // Rule ID 1866 //
     /* 2304570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2304573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304585 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304598 */     // GIR_Coverage, 1866,
     /* 2304598 */     GIR_EraseRootFromParent_Done,
     /* 2304599 */   // Label 31649: @2304599
     /* 2304599 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2304633), // Rule ID 1869 //
     /* 2304604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2304607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304619 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2304622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304632 */     // GIR_Coverage, 1869,
     /* 2304632 */     GIR_EraseRootFromParent_Done,
     /* 2304633 */   // Label 31650: @2304633
     /* 2304633 */   GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2304667), // Rule ID 1870 //
     /* 2304638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2304641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304653 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2304656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304666 */     // GIR_Coverage, 1870,
     /* 2304666 */     GIR_EraseRootFromParent_Done,
     /* 2304667 */   // Label 31651: @2304667
     /* 2304667 */   GIM_Reject,
     /* 2304668 */ // Label 31647: @2304668
     /* 2304668 */ GIM_Reject,
     /* 2304669 */ // Label 31629: @2304669
     /* 2304669 */ GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2304817),
     /* 2304674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2304680 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2304714), // Rule ID 1156 //
     /* 2304685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2304688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304700 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2304700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2304703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304713 */     // GIR_Coverage, 1156,
     /* 2304713 */     GIR_EraseRootFromParent_Done,
     /* 2304714 */   // Label 31653: @2304714
     /* 2304714 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2304748), // Rule ID 1157 //
     /* 2304719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2304722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304734 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2304734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2304737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304747 */     // GIR_Coverage, 1157,
     /* 2304747 */     GIR_EraseRootFromParent_Done,
     /* 2304748 */   // Label 31654: @2304748
     /* 2304748 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2304782), // Rule ID 1160 //
     /* 2304753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2304756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304768 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2304768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2304771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304781 */     // GIR_Coverage, 1160,
     /* 2304781 */     GIR_EraseRootFromParent_Done,
     /* 2304782 */   // Label 31655: @2304782
     /* 2304782 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2304816), // Rule ID 1161 //
     /* 2304787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2304790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304802 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2304802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2304805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304815 */     // GIR_Coverage, 1161,
     /* 2304815 */     GIR_EraseRootFromParent_Done,
     /* 2304816 */   // Label 31656: @2304816
     /* 2304816 */   GIM_Reject,
     /* 2304817 */ // Label 31652: @2304817
     /* 2304817 */ GIM_Reject,
     /* 2304818 */ // Label 31630: @2304818
     /* 2304818 */ GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2305000),
     /* 2304823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2304826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2304829 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2304863), // Rule ID 1497 //
     /* 2304834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2304837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304849 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2304852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304862 */     // GIR_Coverage, 1497,
     /* 2304862 */     GIR_EraseRootFromParent_Done,
     /* 2304863 */   // Label 31658: @2304863
     /* 2304863 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2304897), // Rule ID 1498 //
     /* 2304868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2304871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304883 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2304883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2304886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304896 */     // GIR_Coverage, 1498,
     /* 2304896 */     GIR_EraseRootFromParent_Done,
     /* 2304897 */   // Label 31659: @2304897
     /* 2304897 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2304931), // Rule ID 1501 //
     /* 2304902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2304905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304917 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2304920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304930 */     // GIR_Coverage, 1501,
     /* 2304930 */     GIR_EraseRootFromParent_Done,
     /* 2304931 */   // Label 31660: @2304931
     /* 2304931 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2304965), // Rule ID 1502 //
     /* 2304936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2304939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304951 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2304951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2304954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304964 */     // GIR_Coverage, 1502,
     /* 2304964 */     GIR_EraseRootFromParent_Done,
     /* 2304965 */   // Label 31661: @2304965
     /* 2304965 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2304999), // Rule ID 1504 //
     /* 2304970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2304973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304985 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2304988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304998 */     // GIR_Coverage, 1504,
     /* 2304998 */     GIR_EraseRootFromParent_Done,
     /* 2304999 */   // Label 31662: @2304999
     /* 2304999 */   GIM_Reject,
     /* 2305000 */ // Label 31657: @2305000
     /* 2305000 */ GIM_Reject,
     /* 2305001 */ // Label 31631: @2305001
     /* 2305001 */ GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2305121),
     /* 2305006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2305012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305024 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2305072), // Rule ID 54271 //
     /* 2305029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305032 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2305049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305071 */     // GIR_Coverage, 54271,
     /* 2305071 */     GIR_EraseRootFromParent_Done,
     /* 2305072 */   // Label 31664: @2305072
     /* 2305072 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2305120), // Rule ID 54272 //
     /* 2305077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305080 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2305097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305119 */     // GIR_Coverage, 54272,
     /* 2305119 */     GIR_EraseRootFromParent_Done,
     /* 2305120 */   // Label 31665: @2305120
     /* 2305120 */   GIM_Reject,
     /* 2305121 */ // Label 31663: @2305121
     /* 2305121 */ GIM_Reject,
     /* 2305122 */ // Label 31632: @2305122
     /* 2305122 */ GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2305242),
     /* 2305127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2305133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305145 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2305193), // Rule ID 54295 //
     /* 2305150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305153 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305192 */     // GIR_Coverage, 54295,
     /* 2305192 */     GIR_EraseRootFromParent_Done,
     /* 2305193 */   // Label 31667: @2305193
     /* 2305193 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2305241), // Rule ID 54296 //
     /* 2305198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305201 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305240 */     // GIR_Coverage, 54296,
     /* 2305240 */     GIR_EraseRootFromParent_Done,
     /* 2305241 */   // Label 31668: @2305241
     /* 2305241 */   GIM_Reject,
     /* 2305242 */ // Label 31666: @2305242
     /* 2305242 */ GIM_Reject,
     /* 2305243 */ // Label 31633: @2305243
     /* 2305243 */ GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2305363),
     /* 2305248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2305254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305266 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2305314), // Rule ID 54331 //
     /* 2305271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305274 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305313 */     // GIR_Coverage, 54331,
     /* 2305313 */     GIR_EraseRootFromParent_Done,
     /* 2305314 */   // Label 31670: @2305314
     /* 2305314 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2305362), // Rule ID 54332 //
     /* 2305319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305322 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305361 */     // GIR_Coverage, 54332,
     /* 2305361 */     GIR_EraseRootFromParent_Done,
     /* 2305362 */   // Label 31671: @2305362
     /* 2305362 */   GIM_Reject,
     /* 2305363 */ // Label 31669: @2305363
     /* 2305363 */ GIM_Reject,
     /* 2305364 */ // Label 31634: @2305364
     /* 2305364 */ GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2305484),
     /* 2305369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2305372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2305375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305387 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2305435), // Rule ID 54283 //
     /* 2305392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305395 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305434 */     // GIR_Coverage, 54283,
     /* 2305434 */     GIR_EraseRootFromParent_Done,
     /* 2305435 */   // Label 31673: @2305435
     /* 2305435 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2305483), // Rule ID 54284 //
     /* 2305440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305443 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305482 */     // GIR_Coverage, 54284,
     /* 2305482 */     GIR_EraseRootFromParent_Done,
     /* 2305483 */   // Label 31674: @2305483
     /* 2305483 */   GIM_Reject,
     /* 2305484 */ // Label 31672: @2305484
     /* 2305484 */ GIM_Reject,
     /* 2305485 */ // Label 31635: @2305485
     /* 2305485 */ GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2305605),
     /* 2305490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2305496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305508 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2305556), // Rule ID 54319 //
     /* 2305513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305516 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305555 */     // GIR_Coverage, 54319,
     /* 2305555 */     GIR_EraseRootFromParent_Done,
     /* 2305556 */   // Label 31676: @2305556
     /* 2305556 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2305604), // Rule ID 54320 //
     /* 2305561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305564 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305603 */     // GIR_Coverage, 54320,
     /* 2305603 */     GIR_EraseRootFromParent_Done,
     /* 2305604 */   // Label 31677: @2305604
     /* 2305604 */   GIM_Reject,
     /* 2305605 */ // Label 31675: @2305605
     /* 2305605 */ GIM_Reject,
     /* 2305606 */ // Label 31636: @2305606
     /* 2305606 */ GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2305726),
     /* 2305611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2305614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2305617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305629 */   GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2305677), // Rule ID 54415 //
     /* 2305634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305637 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2305640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2305654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305676 */     // GIR_Coverage, 54415,
     /* 2305676 */     GIR_EraseRootFromParent_Done,
     /* 2305677 */   // Label 31679: @2305677
     /* 2305677 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2305725), // Rule ID 54416 //
     /* 2305682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305685 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2305688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2305702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305724 */     // GIR_Coverage, 54416,
     /* 2305724 */     GIR_EraseRootFromParent_Done,
     /* 2305725 */   // Label 31680: @2305725
     /* 2305725 */   GIM_Reject,
     /* 2305726 */ // Label 31678: @2305726
     /* 2305726 */ GIM_Reject,
     /* 2305727 */ // Label 31637: @2305727
     /* 2305727 */ GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2305847),
     /* 2305732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2305735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2305738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305750 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2305798), // Rule ID 54307 //
     /* 2305755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305758 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2305761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2305775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305797 */     // GIR_Coverage, 54307,
     /* 2305797 */     GIR_EraseRootFromParent_Done,
     /* 2305798 */   // Label 31682: @2305798
     /* 2305798 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2305846), // Rule ID 54308 //
     /* 2305803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305806 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2305809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2305823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305845 */     // GIR_Coverage, 54308,
     /* 2305845 */     GIR_EraseRootFromParent_Done,
     /* 2305846 */   // Label 31683: @2305846
     /* 2305846 */   GIM_Reject,
     /* 2305847 */ // Label 31681: @2305847
     /* 2305847 */ GIM_Reject,
     /* 2305848 */ // Label 31638: @2305848
     /* 2305848 */ GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2305968),
     /* 2305853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2305856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2305859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305871 */   GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2305919), // Rule ID 54379 //
     /* 2305876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305879 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2305882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2305896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305918 */     // GIR_Coverage, 54379,
     /* 2305918 */     GIR_EraseRootFromParent_Done,
     /* 2305919 */   // Label 31685: @2305919
     /* 2305919 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2305967), // Rule ID 54380 //
     /* 2305924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305927 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2305930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2305944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305966 */     // GIR_Coverage, 54380,
     /* 2305966 */     GIR_EraseRootFromParent_Done,
     /* 2305967 */   // Label 31686: @2305967
     /* 2305967 */   GIM_Reject,
     /* 2305968 */ // Label 31684: @2305968
     /* 2305968 */ GIM_Reject,
     /* 2305969 */ // Label 31639: @2305969
     /* 2305969 */ GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2306089),
     /* 2305974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2305977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2305980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305992 */   GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2306040), // Rule ID 54427 //
     /* 2305997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306000 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2306017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306039 */     // GIR_Coverage, 54427,
     /* 2306039 */     GIR_EraseRootFromParent_Done,
     /* 2306040 */   // Label 31688: @2306040
     /* 2306040 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2306088), // Rule ID 54428 //
     /* 2306045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306048 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2306065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306087 */     // GIR_Coverage, 54428,
     /* 2306087 */     GIR_EraseRootFromParent_Done,
     /* 2306088 */   // Label 31689: @2306088
     /* 2306088 */   GIM_Reject,
     /* 2306089 */ // Label 31687: @2306089
     /* 2306089 */ GIM_Reject,
     /* 2306090 */ // Label 31640: @2306090
     /* 2306090 */ GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2306210),
     /* 2306095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2306098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2306101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306113 */   GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2306161), // Rule ID 54343 //
     /* 2306118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306121 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306160 */     // GIR_Coverage, 54343,
     /* 2306160 */     GIR_EraseRootFromParent_Done,
     /* 2306161 */   // Label 31691: @2306161
     /* 2306161 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2306209), // Rule ID 54344 //
     /* 2306166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306169 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306208 */     // GIR_Coverage, 54344,
     /* 2306208 */     GIR_EraseRootFromParent_Done,
     /* 2306209 */   // Label 31692: @2306209
     /* 2306209 */   GIM_Reject,
     /* 2306210 */ // Label 31690: @2306210
     /* 2306210 */ GIM_Reject,
     /* 2306211 */ // Label 31641: @2306211
     /* 2306211 */ GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2306331),
     /* 2306216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2306219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2306222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306234 */   GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2306282), // Rule ID 54391 //
     /* 2306239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306242 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306281 */     // GIR_Coverage, 54391,
     /* 2306281 */     GIR_EraseRootFromParent_Done,
     /* 2306282 */   // Label 31694: @2306282
     /* 2306282 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2306330), // Rule ID 54392 //
     /* 2306287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306290 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306329 */     // GIR_Coverage, 54392,
     /* 2306329 */     GIR_EraseRootFromParent_Done,
     /* 2306330 */   // Label 31695: @2306330
     /* 2306330 */   GIM_Reject,
     /* 2306331 */ // Label 31693: @2306331
     /* 2306331 */ GIM_Reject,
     /* 2306332 */ // Label 31642: @2306332
     /* 2306332 */ GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2306452),
     /* 2306337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2306343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306355 */   GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2306403), // Rule ID 54439 //
     /* 2306360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306363 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306402 */     // GIR_Coverage, 54439,
     /* 2306402 */     GIR_EraseRootFromParent_Done,
     /* 2306403 */   // Label 31697: @2306403
     /* 2306403 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2306451), // Rule ID 54440 //
     /* 2306408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306411 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306450 */     // GIR_Coverage, 54440,
     /* 2306450 */     GIR_EraseRootFromParent_Done,
     /* 2306451 */   // Label 31698: @2306451
     /* 2306451 */   GIM_Reject,
     /* 2306452 */ // Label 31696: @2306452
     /* 2306452 */ GIM_Reject,
     /* 2306453 */ // Label 31643: @2306453
     /* 2306453 */ GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2306573),
     /* 2306458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2306464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306476 */   GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2306524), // Rule ID 54355 //
     /* 2306481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306484 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306523 */     // GIR_Coverage, 54355,
     /* 2306523 */     GIR_EraseRootFromParent_Done,
     /* 2306524 */   // Label 31700: @2306524
     /* 2306524 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2306572), // Rule ID 54356 //
     /* 2306529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306532 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306571 */     // GIR_Coverage, 54356,
     /* 2306571 */     GIR_EraseRootFromParent_Done,
     /* 2306572 */   // Label 31701: @2306572
     /* 2306572 */   GIM_Reject,
     /* 2306573 */ // Label 31699: @2306573
     /* 2306573 */ GIM_Reject,
     /* 2306574 */ // Label 31644: @2306574
     /* 2306574 */ GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2306694),
     /* 2306579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2306582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2306585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306597 */   GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2306645), // Rule ID 54403 //
     /* 2306602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306605 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2306622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306644 */     // GIR_Coverage, 54403,
     /* 2306644 */     GIR_EraseRootFromParent_Done,
     /* 2306645 */   // Label 31703: @2306645
     /* 2306645 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2306693), // Rule ID 54404 //
     /* 2306650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306653 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2306670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306692 */     // GIR_Coverage, 54404,
     /* 2306692 */     GIR_EraseRootFromParent_Done,
     /* 2306693 */   // Label 31704: @2306693
     /* 2306693 */   GIM_Reject,
     /* 2306694 */ // Label 31702: @2306694
     /* 2306694 */ GIM_Reject,
     /* 2306695 */ // Label 31645: @2306695
     /* 2306695 */ GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2306815),
     /* 2306700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2306703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2306706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306718 */   GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2306766), // Rule ID 54367 //
     /* 2306723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306726 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2306729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2306743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306765 */     // GIR_Coverage, 54367,
     /* 2306765 */     GIR_EraseRootFromParent_Done,
     /* 2306766 */   // Label 31706: @2306766
     /* 2306766 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2306814), // Rule ID 54368 //
     /* 2306771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306774 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2306777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2306791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306813 */     // GIR_Coverage, 54368,
     /* 2306813 */     GIR_EraseRootFromParent_Done,
     /* 2306814 */   // Label 31707: @2306814
     /* 2306814 */   GIM_Reject,
     /* 2306815 */ // Label 31705: @2306815
     /* 2306815 */ GIM_Reject,
     /* 2306816 */ // Label 31646: @2306816
     /* 2306816 */ GIM_Reject,
     /* 2306817 */ // Label 64: @2306817
     /* 2306817 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31726*/ GIMT_Encode4(2308787),
     /* 2306828 */ /*GILLT_s16*//*Label 31708*/ GIMT_Encode4(2306948),
     /* 2306832 */ /*GILLT_s32*//*Label 31709*/ GIMT_Encode4(2307012),
     /* 2306836 */ /*GILLT_s64*//*Label 31710*/ GIMT_Encode4(2307076), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306848 */ /*GILLT_nxv1s16*//*Label 31711*/ GIMT_Encode4(2307167),
     /* 2306852 */ /*GILLT_nxv1s32*//*Label 31712*/ GIMT_Encode4(2307275),
     /* 2306856 */ /*GILLT_nxv1s64*//*Label 31713*/ GIMT_Encode4(2307383), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306868 */ /*GILLT_nxv2s16*//*Label 31714*/ GIMT_Encode4(2307491),
     /* 2306872 */ /*GILLT_nxv2s32*//*Label 31715*/ GIMT_Encode4(2307599),
     /* 2306876 */ /*GILLT_nxv2s64*//*Label 31716*/ GIMT_Encode4(2307707), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306888 */ /*GILLT_nxv4s16*//*Label 31717*/ GIMT_Encode4(2307815),
     /* 2306892 */ /*GILLT_nxv4s32*//*Label 31718*/ GIMT_Encode4(2307923),
     /* 2306896 */ /*GILLT_nxv4s64*//*Label 31719*/ GIMT_Encode4(2308031), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306908 */ /*GILLT_nxv8s16*//*Label 31720*/ GIMT_Encode4(2308139),
     /* 2306912 */ /*GILLT_nxv8s32*//*Label 31721*/ GIMT_Encode4(2308247),
     /* 2306916 */ /*GILLT_nxv8s64*//*Label 31722*/ GIMT_Encode4(2308355), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306928 */ /*GILLT_nxv16s16*//*Label 31723*/ GIMT_Encode4(2308463),
     /* 2306932 */ /*GILLT_nxv16s32*//*Label 31724*/ GIMT_Encode4(2308571), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306944 */ /*GILLT_nxv32s16*//*Label 31725*/ GIMT_Encode4(2308679),
     /* 2306948 */ // Label 31708: @2306948
     /* 2306948 */ GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2307011),
     /* 2306953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306956 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2306983), // Rule ID 1875 //
     /* 2306961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2306964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306972 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2306972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2306975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306982 */     // GIR_Coverage, 1875,
     /* 2306982 */     GIR_EraseRootFromParent_Done,
     /* 2306983 */   // Label 31728: @2306983
     /* 2306983 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2307010), // Rule ID 1908 //
     /* 2306988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2306991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306999 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2306999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2307002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307009 */     // GIR_Coverage, 1908,
     /* 2307009 */     GIR_EraseRootFromParent_Done,
     /* 2307010 */   // Label 31729: @2307010
     /* 2307010 */   GIM_Reject,
     /* 2307011 */ // Label 31727: @2307011
     /* 2307011 */ GIM_Reject,
     /* 2307012 */ // Label 31709: @2307012
     /* 2307012 */ GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2307075),
     /* 2307017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307020 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2307047), // Rule ID 1166 //
     /* 2307025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2307028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307036 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2307036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2307039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307046 */     // GIR_Coverage, 1166,
     /* 2307046 */     GIR_EraseRootFromParent_Done,
     /* 2307047 */   // Label 31731: @2307047
     /* 2307047 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2307074), // Rule ID 1174 //
     /* 2307052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2307055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307063 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2307063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2307066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307073 */     // GIR_Coverage, 1174,
     /* 2307073 */     GIR_EraseRootFromParent_Done,
     /* 2307074 */   // Label 31732: @2307074
     /* 2307074 */   GIM_Reject,
     /* 2307075 */ // Label 31730: @2307075
     /* 2307075 */ GIM_Reject,
     /* 2307076 */ // Label 31710: @2307076
     /* 2307076 */ GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2307166),
     /* 2307081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307084 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2307111), // Rule ID 1509 //
     /* 2307089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2307092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307100 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2307103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307110 */     // GIR_Coverage, 1509,
     /* 2307110 */     GIR_EraseRootFromParent_Done,
     /* 2307111 */   // Label 31734: @2307111
     /* 2307111 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2307138), // Rule ID 1542 //
     /* 2307116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2307119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307127 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2307130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307137 */     // GIR_Coverage, 1542,
     /* 2307137 */     GIR_EraseRootFromParent_Done,
     /* 2307138 */   // Label 31735: @2307138
     /* 2307138 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2307165), // Rule ID 1564 //
     /* 2307143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2307146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307154 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2307157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307164 */     // GIR_Coverage, 1564,
     /* 2307164 */     GIR_EraseRootFromParent_Done,
     /* 2307165 */   // Label 31736: @2307165
     /* 2307165 */   GIM_Reject,
     /* 2307166 */ // Label 31733: @2307166
     /* 2307166 */ GIM_Reject,
     /* 2307167 */ // Label 31711: @2307167
     /* 2307167 */ GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2307274),
     /* 2307172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2307175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307183 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2307228), // Rule ID 56109 //
     /* 2307188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307191 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307227 */     // GIR_Coverage, 56109,
     /* 2307227 */     GIR_EraseRootFromParent_Done,
     /* 2307228 */   // Label 31738: @2307228
     /* 2307228 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2307273), // Rule ID 56110 //
     /* 2307233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307236 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307272 */     // GIR_Coverage, 56110,
     /* 2307272 */     GIR_EraseRootFromParent_Done,
     /* 2307273 */   // Label 31739: @2307273
     /* 2307273 */   GIM_Reject,
     /* 2307274 */ // Label 31737: @2307274
     /* 2307274 */ GIM_Reject,
     /* 2307275 */ // Label 31712: @2307275
     /* 2307275 */ GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2307382),
     /* 2307280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2307283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307291 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2307336), // Rule ID 56149 //
     /* 2307296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307299 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307335 */     // GIR_Coverage, 56149,
     /* 2307335 */     GIR_EraseRootFromParent_Done,
     /* 2307336 */   // Label 31741: @2307336
     /* 2307336 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2307381), // Rule ID 56150 //
     /* 2307341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307344 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307380 */     // GIR_Coverage, 56150,
     /* 2307380 */     GIR_EraseRootFromParent_Done,
     /* 2307381 */   // Label 31742: @2307381
     /* 2307381 */   GIM_Reject,
     /* 2307382 */ // Label 31740: @2307382
     /* 2307382 */ GIM_Reject,
     /* 2307383 */ // Label 31713: @2307383
     /* 2307383 */ GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2307490),
     /* 2307388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2307391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307399 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2307444), // Rule ID 56209 //
     /* 2307404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2307407 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307443 */     // GIR_Coverage, 56209,
     /* 2307443 */     GIR_EraseRootFromParent_Done,
     /* 2307444 */   // Label 31744: @2307444
     /* 2307444 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2307489), // Rule ID 56210 //
     /* 2307449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2307452 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307488 */     // GIR_Coverage, 56210,
     /* 2307488 */     GIR_EraseRootFromParent_Done,
     /* 2307489 */   // Label 31745: @2307489
     /* 2307489 */   GIM_Reject,
     /* 2307490 */ // Label 31743: @2307490
     /* 2307490 */ GIM_Reject,
     /* 2307491 */ // Label 31714: @2307491
     /* 2307491 */ GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2307598),
     /* 2307496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2307499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307507 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2307552), // Rule ID 56129 //
     /* 2307512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307515 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307551 */     // GIR_Coverage, 56129,
     /* 2307551 */     GIR_EraseRootFromParent_Done,
     /* 2307552 */   // Label 31747: @2307552
     /* 2307552 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2307597), // Rule ID 56130 //
     /* 2307557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307560 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307596 */     // GIR_Coverage, 56130,
     /* 2307596 */     GIR_EraseRootFromParent_Done,
     /* 2307597 */   // Label 31748: @2307597
     /* 2307597 */   GIM_Reject,
     /* 2307598 */ // Label 31746: @2307598
     /* 2307598 */ GIM_Reject,
     /* 2307599 */ // Label 31715: @2307599
     /* 2307599 */ GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2307706),
     /* 2307604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2307607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307615 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2307660), // Rule ID 56189 //
     /* 2307620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307623 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2307626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2307640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307659 */     // GIR_Coverage, 56189,
     /* 2307659 */     GIR_EraseRootFromParent_Done,
     /* 2307660 */   // Label 31750: @2307660
     /* 2307660 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2307705), // Rule ID 56190 //
     /* 2307665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307668 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2307671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2307685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307704 */     // GIR_Coverage, 56190,
     /* 2307704 */     GIR_EraseRootFromParent_Done,
     /* 2307705 */   // Label 31751: @2307705
     /* 2307705 */   GIM_Reject,
     /* 2307706 */ // Label 31749: @2307706
     /* 2307706 */ GIM_Reject,
     /* 2307707 */ // Label 31716: @2307707
     /* 2307707 */ GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2307814),
     /* 2307712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2307715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307723 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2307768), // Rule ID 56349 //
     /* 2307728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2307731 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2307734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2307748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307767 */     // GIR_Coverage, 56349,
     /* 2307767 */     GIR_EraseRootFromParent_Done,
     /* 2307768 */   // Label 31753: @2307768
     /* 2307768 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2307813), // Rule ID 56350 //
     /* 2307773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2307776 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2307779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2307793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307812 */     // GIR_Coverage, 56350,
     /* 2307812 */     GIR_EraseRootFromParent_Done,
     /* 2307813 */   // Label 31754: @2307813
     /* 2307813 */   GIM_Reject,
     /* 2307814 */ // Label 31752: @2307814
     /* 2307814 */ GIM_Reject,
     /* 2307815 */ // Label 31717: @2307815
     /* 2307815 */ GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2307922),
     /* 2307820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307831 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2307876), // Rule ID 56169 //
     /* 2307836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307839 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2307842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2307856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307875 */     // GIR_Coverage, 56169,
     /* 2307875 */     GIR_EraseRootFromParent_Done,
     /* 2307876 */   // Label 31756: @2307876
     /* 2307876 */   GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2307921), // Rule ID 56170 //
     /* 2307881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307884 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2307887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2307901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307920 */     // GIR_Coverage, 56170,
     /* 2307920 */     GIR_EraseRootFromParent_Done,
     /* 2307921 */   // Label 31757: @2307921
     /* 2307921 */   GIM_Reject,
     /* 2307922 */ // Label 31755: @2307922
     /* 2307922 */ GIM_Reject,
     /* 2307923 */ // Label 31718: @2307923
     /* 2307923 */ GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2308030),
     /* 2307928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307939 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2307984), // Rule ID 56289 //
     /* 2307944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307947 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2307964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307983 */     // GIR_Coverage, 56289,
     /* 2307983 */     GIR_EraseRootFromParent_Done,
     /* 2307984 */   // Label 31759: @2307984
     /* 2307984 */   GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2308029), // Rule ID 56290 //
     /* 2307989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307992 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2308009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308028 */     // GIR_Coverage, 56290,
     /* 2308028 */     GIR_EraseRootFromParent_Done,
     /* 2308029 */   // Label 31760: @2308029
     /* 2308029 */   GIM_Reject,
     /* 2308030 */ // Label 31758: @2308030
     /* 2308030 */ GIM_Reject,
     /* 2308031 */ // Label 31719: @2308031
     /* 2308031 */ GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2308138),
     /* 2308036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308047 */   GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2308092), // Rule ID 56369 //
     /* 2308052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308055 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308091 */     // GIR_Coverage, 56369,
     /* 2308091 */     GIR_EraseRootFromParent_Done,
     /* 2308092 */   // Label 31762: @2308092
     /* 2308092 */   GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2308137), // Rule ID 56370 //
     /* 2308097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308100 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308136 */     // GIR_Coverage, 56370,
     /* 2308136 */     GIR_EraseRootFromParent_Done,
     /* 2308137 */   // Label 31763: @2308137
     /* 2308137 */   GIM_Reject,
     /* 2308138 */ // Label 31761: @2308138
     /* 2308138 */ GIM_Reject,
     /* 2308139 */ // Label 31720: @2308139
     /* 2308139 */ GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2308246),
     /* 2308144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2308147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308155 */   GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2308200), // Rule ID 56229 //
     /* 2308160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308163 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308199 */     // GIR_Coverage, 56229,
     /* 2308199 */     GIR_EraseRootFromParent_Done,
     /* 2308200 */   // Label 31765: @2308200
     /* 2308200 */   GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2308245), // Rule ID 56230 //
     /* 2308205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308208 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308244 */     // GIR_Coverage, 56230,
     /* 2308244 */     GIR_EraseRootFromParent_Done,
     /* 2308245 */   // Label 31766: @2308245
     /* 2308245 */   GIM_Reject,
     /* 2308246 */ // Label 31764: @2308246
     /* 2308246 */ GIM_Reject,
     /* 2308247 */ // Label 31721: @2308247
     /* 2308247 */ GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2308354),
     /* 2308252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308263 */   GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2308308), // Rule ID 56309 //
     /* 2308268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308271 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308307 */     // GIR_Coverage, 56309,
     /* 2308307 */     GIR_EraseRootFromParent_Done,
     /* 2308308 */   // Label 31768: @2308308
     /* 2308308 */   GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2308353), // Rule ID 56310 //
     /* 2308313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308316 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308352 */     // GIR_Coverage, 56310,
     /* 2308352 */     GIR_EraseRootFromParent_Done,
     /* 2308353 */   // Label 31769: @2308353
     /* 2308353 */   GIM_Reject,
     /* 2308354 */ // Label 31767: @2308354
     /* 2308354 */ GIM_Reject,
     /* 2308355 */ // Label 31722: @2308355
     /* 2308355 */ GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2308462),
     /* 2308360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308371 */   GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2308416), // Rule ID 56389 //
     /* 2308376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308379 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308415 */     // GIR_Coverage, 56389,
     /* 2308415 */     GIR_EraseRootFromParent_Done,
     /* 2308416 */   // Label 31771: @2308416
     /* 2308416 */   GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2308461), // Rule ID 56390 //
     /* 2308421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308424 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308460 */     // GIR_Coverage, 56390,
     /* 2308460 */     GIR_EraseRootFromParent_Done,
     /* 2308461 */   // Label 31772: @2308461
     /* 2308461 */   GIM_Reject,
     /* 2308462 */ // Label 31770: @2308462
     /* 2308462 */ GIM_Reject,
     /* 2308463 */ // Label 31723: @2308463
     /* 2308463 */ GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2308570),
     /* 2308468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2308471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308479 */   GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2308524), // Rule ID 56249 //
     /* 2308484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308487 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308523 */     // GIR_Coverage, 56249,
     /* 2308523 */     GIR_EraseRootFromParent_Done,
     /* 2308524 */   // Label 31774: @2308524
     /* 2308524 */   GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2308569), // Rule ID 56250 //
     /* 2308529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308532 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308568 */     // GIR_Coverage, 56250,
     /* 2308568 */     GIR_EraseRootFromParent_Done,
     /* 2308569 */   // Label 31775: @2308569
     /* 2308569 */   GIM_Reject,
     /* 2308570 */ // Label 31773: @2308570
     /* 2308570 */ GIM_Reject,
     /* 2308571 */ // Label 31724: @2308571
     /* 2308571 */ GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2308678),
     /* 2308576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308587 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2308632), // Rule ID 56329 //
     /* 2308592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308595 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2308612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308631 */     // GIR_Coverage, 56329,
     /* 2308631 */     GIR_EraseRootFromParent_Done,
     /* 2308632 */   // Label 31777: @2308632
     /* 2308632 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2308677), // Rule ID 56330 //
     /* 2308637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308640 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2308657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308676 */     // GIR_Coverage, 56330,
     /* 2308676 */     GIR_EraseRootFromParent_Done,
     /* 2308677 */   // Label 31778: @2308677
     /* 2308677 */   GIM_Reject,
     /* 2308678 */ // Label 31776: @2308678
     /* 2308678 */ GIM_Reject,
     /* 2308679 */ // Label 31725: @2308679
     /* 2308679 */ GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2308786),
     /* 2308684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308695 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2308740), // Rule ID 56269 //
     /* 2308700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308703 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2308706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2308720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308739 */     // GIR_Coverage, 56269,
     /* 2308739 */     GIR_EraseRootFromParent_Done,
     /* 2308740 */   // Label 31780: @2308740
     /* 2308740 */   GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2308785), // Rule ID 56270 //
     /* 2308745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308748 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2308751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2308765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308784 */     // GIR_Coverage, 56270,
     /* 2308784 */     GIR_EraseRootFromParent_Done,
     /* 2308785 */   // Label 31781: @2308785
     /* 2308785 */   GIM_Reject,
     /* 2308786 */ // Label 31779: @2308786
     /* 2308786 */ GIM_Reject,
     /* 2308787 */ // Label 31726: @2308787
     /* 2308787 */ GIM_Reject,
     /* 2308788 */ // Label 65: @2308788
     /* 2308788 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31784*/ GIMT_Encode4(2309240),
     /* 2308799 */ /*GILLT_s32*//*Label 31782*/ GIMT_Encode4(2308807),
     /* 2308803 */ /*GILLT_s64*//*Label 31783*/ GIMT_Encode4(2308929),
     /* 2308807 */ // Label 31782: @2308807
     /* 2308807 */ GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2308928),
     /* 2308812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2308815 */   GIM_Try, /*On fail goto*//*Label 31786*/ GIMT_Encode4(2308843), // Rule ID 2049 //
     /* 2308820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2308823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2308831 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2308831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2308834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308842 */     // GIR_Coverage, 2049,
     /* 2308842 */     GIR_EraseRootFromParent_Done,
     /* 2308843 */   // Label 31786: @2308843
     /* 2308843 */   GIM_Try, /*On fail goto*//*Label 31787*/ GIMT_Encode4(2308871), // Rule ID 2050 //
     /* 2308848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2308851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2308859 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2308859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2308862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308870 */     // GIR_Coverage, 2050,
     /* 2308870 */     GIR_EraseRootFromParent_Done,
     /* 2308871 */   // Label 31787: @2308871
     /* 2308871 */   GIM_Try, /*On fail goto*//*Label 31788*/ GIMT_Encode4(2308899), // Rule ID 2065 //
     /* 2308876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2308879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2308887 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2308887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2308890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308898 */     // GIR_Coverage, 2065,
     /* 2308898 */     GIR_EraseRootFromParent_Done,
     /* 2308899 */   // Label 31788: @2308899
     /* 2308899 */   GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2308927), // Rule ID 2066 //
     /* 2308904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2308907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2308915 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2308915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2308918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308926 */     // GIR_Coverage, 2066,
     /* 2308926 */     GIR_EraseRootFromParent_Done,
     /* 2308927 */   // Label 31789: @2308927
     /* 2308927 */   GIM_Reject,
     /* 2308928 */ // Label 31785: @2308928
     /* 2308928 */ GIM_Reject,
     /* 2308929 */ // Label 31783: @2308929
     /* 2308929 */ GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2308960), // Rule ID 1451 //
     /* 2308934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2308937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308948 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2308948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2308951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308959 */   // GIR_Coverage, 1451,
     /* 2308959 */   GIR_EraseRootFromParent_Done,
     /* 2308960 */ // Label 31790: @2308960
     /* 2308960 */ GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2308991), // Rule ID 1452 //
     /* 2308965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2308968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308979 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2308979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2308982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308990 */   // GIR_Coverage, 1452,
     /* 2308990 */   GIR_EraseRootFromParent_Done,
     /* 2308991 */ // Label 31791: @2308991
     /* 2308991 */ GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2309022), // Rule ID 1456 //
     /* 2308996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2308999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309010 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2309013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309015 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309021 */   // GIR_Coverage, 1456,
     /* 2309021 */   GIR_EraseRootFromParent_Done,
     /* 2309022 */ // Label 31792: @2309022
     /* 2309022 */ GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2309053), // Rule ID 1463 //
     /* 2309027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309041 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2309044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309046 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309052 */   // GIR_Coverage, 1463,
     /* 2309052 */   GIR_EraseRootFromParent_Done,
     /* 2309053 */ // Label 31793: @2309053
     /* 2309053 */ GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2309084), // Rule ID 1464 //
     /* 2309058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309072 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2309072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2309075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309077 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309083 */   // GIR_Coverage, 1464,
     /* 2309083 */   GIR_EraseRootFromParent_Done,
     /* 2309084 */ // Label 31794: @2309084
     /* 2309084 */ GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2309115), // Rule ID 2183 //
     /* 2309089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309103 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309108 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309114 */   // GIR_Coverage, 2183,
     /* 2309114 */   GIR_EraseRootFromParent_Done,
     /* 2309115 */ // Label 31795: @2309115
     /* 2309115 */ GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2309146), // Rule ID 2184 //
     /* 2309120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309134 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309139 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309145 */   // GIR_Coverage, 2184,
     /* 2309145 */   GIR_EraseRootFromParent_Done,
     /* 2309146 */ // Label 31796: @2309146
     /* 2309146 */ GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2309177), // Rule ID 2195 //
     /* 2309151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309165 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309170 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309176 */   // GIR_Coverage, 2195,
     /* 2309176 */   GIR_EraseRootFromParent_Done,
     /* 2309177 */ // Label 31797: @2309177
     /* 2309177 */ GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2309208), // Rule ID 2196 //
     /* 2309182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309196 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309207 */   // GIR_Coverage, 2196,
     /* 2309207 */   GIR_EraseRootFromParent_Done,
     /* 2309208 */ // Label 31798: @2309208
     /* 2309208 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2309239), // Rule ID 2204 //
     /* 2309213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309227 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2309230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309232 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309238 */   // GIR_Coverage, 2204,
     /* 2309238 */   GIR_EraseRootFromParent_Done,
     /* 2309239 */ // Label 31799: @2309239
     /* 2309239 */ GIM_Reject,
     /* 2309240 */ // Label 31784: @2309240
     /* 2309240 */ GIM_Reject,
     /* 2309241 */ // Label 66: @2309241
     /* 2309241 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31811*/ GIMT_Encode4(2310776),
     /* 2309252 */ /*GILLT_s16*//*Label 31800*/ GIMT_Encode4(2309356),
     /* 2309256 */ /*GILLT_s32*//*Label 31801*/ GIMT_Encode4(2309636), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309272 */ /*GILLT_nxv1s16*//*Label 31802*/ GIMT_Encode4(2309786),
     /* 2309276 */ /*GILLT_nxv1s32*//*Label 31803*/ GIMT_Encode4(2309896), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309292 */ /*GILLT_nxv2s16*//*Label 31804*/ GIMT_Encode4(2310006),
     /* 2309296 */ /*GILLT_nxv2s32*//*Label 31805*/ GIMT_Encode4(2310116), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309312 */ /*GILLT_nxv4s16*//*Label 31806*/ GIMT_Encode4(2310226),
     /* 2309316 */ /*GILLT_nxv4s32*//*Label 31807*/ GIMT_Encode4(2310336), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309332 */ /*GILLT_nxv8s16*//*Label 31808*/ GIMT_Encode4(2310446),
     /* 2309336 */ /*GILLT_nxv8s32*//*Label 31809*/ GIMT_Encode4(2310556), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309352 */ /*GILLT_nxv16s16*//*Label 31810*/ GIMT_Encode4(2310666),
     /* 2309356 */ // Label 31800: @2309356
     /* 2309356 */ GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2309387), // Rule ID 2045 //
     /* 2309361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2309364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309375 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309386 */   // GIR_Coverage, 2045,
     /* 2309386 */   GIR_EraseRootFromParent_Done,
     /* 2309387 */ // Label 31812: @2309387
     /* 2309387 */ GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2309418), // Rule ID 2046 //
     /* 2309392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2309395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309406 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309411 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309417 */   // GIR_Coverage, 2046,
     /* 2309417 */   GIR_EraseRootFromParent_Done,
     /* 2309418 */ // Label 31813: @2309418
     /* 2309418 */ GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2309449), // Rule ID 2061 //
     /* 2309423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2309426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309437 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309448 */   // GIR_Coverage, 2061,
     /* 2309448 */   GIR_EraseRootFromParent_Done,
     /* 2309449 */ // Label 31814: @2309449
     /* 2309449 */ GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2309480), // Rule ID 2062 //
     /* 2309454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2309457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309468 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309473 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309479 */   // GIR_Coverage, 2062,
     /* 2309479 */   GIR_EraseRootFromParent_Done,
     /* 2309480 */ // Label 31815: @2309480
     /* 2309480 */ GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2309511), // Rule ID 2179 //
     /* 2309485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309499 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309510 */   // GIR_Coverage, 2179,
     /* 2309510 */   GIR_EraseRootFromParent_Done,
     /* 2309511 */ // Label 31816: @2309511
     /* 2309511 */ GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2309542), // Rule ID 2180 //
     /* 2309516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309530 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309535 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309541 */   // GIR_Coverage, 2180,
     /* 2309541 */   GIR_EraseRootFromParent_Done,
     /* 2309542 */ // Label 31817: @2309542
     /* 2309542 */ GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2309573), // Rule ID 2191 //
     /* 2309547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309561 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309566 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309572 */   // GIR_Coverage, 2191,
     /* 2309572 */   GIR_EraseRootFromParent_Done,
     /* 2309573 */ // Label 31818: @2309573
     /* 2309573 */ GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2309604), // Rule ID 2192 //
     /* 2309578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309592 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309603 */   // GIR_Coverage, 2192,
     /* 2309603 */   GIR_EraseRootFromParent_Done,
     /* 2309604 */ // Label 31819: @2309604
     /* 2309604 */ GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2309635), // Rule ID 2202 //
     /* 2309609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309623 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2309626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309634 */   // GIR_Coverage, 2202,
     /* 2309634 */   GIR_EraseRootFromParent_Done,
     /* 2309635 */ // Label 31820: @2309635
     /* 2309635 */ GIM_Reject,
     /* 2309636 */ // Label 31801: @2309636
     /* 2309636 */ GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2309785),
     /* 2309641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309644 */   GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2309672), // Rule ID 1447 //
     /* 2309649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309660 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2309663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309671 */     // GIR_Coverage, 1447,
     /* 2309671 */     GIR_EraseRootFromParent_Done,
     /* 2309672 */   // Label 31822: @2309672
     /* 2309672 */   GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2309700), // Rule ID 1448 //
     /* 2309677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309688 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2309691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309699 */     // GIR_Coverage, 1448,
     /* 2309699 */     GIR_EraseRootFromParent_Done,
     /* 2309700 */   // Label 31823: @2309700
     /* 2309700 */   GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2309728), // Rule ID 1454 //
     /* 2309705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309716 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2309719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309727 */     // GIR_Coverage, 1454,
     /* 2309727 */     GIR_EraseRootFromParent_Done,
     /* 2309728 */   // Label 31824: @2309728
     /* 2309728 */   GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2309756), // Rule ID 1459 //
     /* 2309733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309744 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2309747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309755 */     // GIR_Coverage, 1459,
     /* 2309755 */     GIR_EraseRootFromParent_Done,
     /* 2309756 */   // Label 31825: @2309756
     /* 2309756 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2309784), // Rule ID 1460 //
     /* 2309761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309772 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2309775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309783 */     // GIR_Coverage, 1460,
     /* 2309783 */     GIR_EraseRootFromParent_Done,
     /* 2309784 */   // Label 31826: @2309784
     /* 2309784 */   GIM_Reject,
     /* 2309785 */ // Label 31821: @2309785
     /* 2309785 */ GIM_Reject,
     /* 2309786 */ // Label 31802: @2309786
     /* 2309786 */ GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2309895),
     /* 2309791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2309794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309802 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2309848), // Rule ID 58757 //
     /* 2309807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2309810 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2309813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2309827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309847 */     // GIR_Coverage, 58757,
     /* 2309847 */     GIR_EraseRootFromParent_Done,
     /* 2309848 */   // Label 31828: @2309848
     /* 2309848 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2309894), // Rule ID 58758 //
     /* 2309853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2309856 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2309859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2309873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309893 */     // GIR_Coverage, 58758,
     /* 2309893 */     GIR_EraseRootFromParent_Done,
     /* 2309894 */   // Label 31829: @2309894
     /* 2309894 */   GIM_Reject,
     /* 2309895 */ // Label 31827: @2309895
     /* 2309895 */ GIM_Reject,
     /* 2309896 */ // Label 31803: @2309896
     /* 2309896 */ GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2310005),
     /* 2309901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2309904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309912 */   GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2309958), // Rule ID 58767 //
     /* 2309917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2309920 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2309923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2309937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309957 */     // GIR_Coverage, 58767,
     /* 2309957 */     GIR_EraseRootFromParent_Done,
     /* 2309958 */   // Label 31831: @2309958
     /* 2309958 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2310004), // Rule ID 58768 //
     /* 2309963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2309966 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2309969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2309983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310003 */     // GIR_Coverage, 58768,
     /* 2310003 */     GIR_EraseRootFromParent_Done,
     /* 2310004 */   // Label 31832: @2310004
     /* 2310004 */   GIM_Reject,
     /* 2310005 */ // Label 31830: @2310005
     /* 2310005 */ GIM_Reject,
     /* 2310006 */ // Label 31804: @2310006
     /* 2310006 */ GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2310115),
     /* 2310011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2310014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310022 */   GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2310068), // Rule ID 58759 //
     /* 2310027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310030 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2310047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310067 */     // GIR_Coverage, 58759,
     /* 2310067 */     GIR_EraseRootFromParent_Done,
     /* 2310068 */   // Label 31834: @2310068
     /* 2310068 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2310114), // Rule ID 58760 //
     /* 2310073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310076 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2310093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310113 */     // GIR_Coverage, 58760,
     /* 2310113 */     GIR_EraseRootFromParent_Done,
     /* 2310114 */   // Label 31835: @2310114
     /* 2310114 */   GIM_Reject,
     /* 2310115 */ // Label 31833: @2310115
     /* 2310115 */ GIM_Reject,
     /* 2310116 */ // Label 31805: @2310116
     /* 2310116 */ GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2310225),
     /* 2310121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2310124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310132 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2310178), // Rule ID 58769 //
     /* 2310137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310140 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310177 */     // GIR_Coverage, 58769,
     /* 2310177 */     GIR_EraseRootFromParent_Done,
     /* 2310178 */   // Label 31837: @2310178
     /* 2310178 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2310224), // Rule ID 58770 //
     /* 2310183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310186 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310223 */     // GIR_Coverage, 58770,
     /* 2310223 */     GIR_EraseRootFromParent_Done,
     /* 2310224 */   // Label 31838: @2310224
     /* 2310224 */   GIM_Reject,
     /* 2310225 */ // Label 31836: @2310225
     /* 2310225 */ GIM_Reject,
     /* 2310226 */ // Label 31806: @2310226
     /* 2310226 */ GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2310335),
     /* 2310231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2310234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310242 */   GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2310288), // Rule ID 58761 //
     /* 2310247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310250 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310287 */     // GIR_Coverage, 58761,
     /* 2310287 */     GIR_EraseRootFromParent_Done,
     /* 2310288 */   // Label 31840: @2310288
     /* 2310288 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2310334), // Rule ID 58762 //
     /* 2310293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310296 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310333 */     // GIR_Coverage, 58762,
     /* 2310333 */     GIR_EraseRootFromParent_Done,
     /* 2310334 */   // Label 31841: @2310334
     /* 2310334 */   GIM_Reject,
     /* 2310335 */ // Label 31839: @2310335
     /* 2310335 */ GIM_Reject,
     /* 2310336 */ // Label 31807: @2310336
     /* 2310336 */ GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2310445),
     /* 2310341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2310344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310352 */   GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2310398), // Rule ID 58771 //
     /* 2310357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310360 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310397 */     // GIR_Coverage, 58771,
     /* 2310397 */     GIR_EraseRootFromParent_Done,
     /* 2310398 */   // Label 31843: @2310398
     /* 2310398 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2310444), // Rule ID 58772 //
     /* 2310403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310406 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310443 */     // GIR_Coverage, 58772,
     /* 2310443 */     GIR_EraseRootFromParent_Done,
     /* 2310444 */   // Label 31844: @2310444
     /* 2310444 */   GIM_Reject,
     /* 2310445 */ // Label 31842: @2310445
     /* 2310445 */ GIM_Reject,
     /* 2310446 */ // Label 31808: @2310446
     /* 2310446 */ GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2310555),
     /* 2310451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310462 */   GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2310508), // Rule ID 58763 //
     /* 2310467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310470 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310507 */     // GIR_Coverage, 58763,
     /* 2310507 */     GIR_EraseRootFromParent_Done,
     /* 2310508 */   // Label 31846: @2310508
     /* 2310508 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2310554), // Rule ID 58764 //
     /* 2310513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310516 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310553 */     // GIR_Coverage, 58764,
     /* 2310553 */     GIR_EraseRootFromParent_Done,
     /* 2310554 */   // Label 31847: @2310554
     /* 2310554 */   GIM_Reject,
     /* 2310555 */ // Label 31845: @2310555
     /* 2310555 */ GIM_Reject,
     /* 2310556 */ // Label 31809: @2310556
     /* 2310556 */ GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2310665),
     /* 2310561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310572 */   GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2310618), // Rule ID 58773 //
     /* 2310577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310580 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2310597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310617 */     // GIR_Coverage, 58773,
     /* 2310617 */     GIR_EraseRootFromParent_Done,
     /* 2310618 */   // Label 31849: @2310618
     /* 2310618 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2310664), // Rule ID 58774 //
     /* 2310623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310626 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2310643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310663 */     // GIR_Coverage, 58774,
     /* 2310663 */     GIR_EraseRootFromParent_Done,
     /* 2310664 */   // Label 31850: @2310664
     /* 2310664 */   GIM_Reject,
     /* 2310665 */ // Label 31848: @2310665
     /* 2310665 */ GIM_Reject,
     /* 2310666 */ // Label 31810: @2310666
     /* 2310666 */ GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2310775),
     /* 2310671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2310674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310682 */   GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2310728), // Rule ID 58765 //
     /* 2310687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310690 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2310693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2310707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310727 */     // GIR_Coverage, 58765,
     /* 2310727 */     GIR_EraseRootFromParent_Done,
     /* 2310728 */   // Label 31852: @2310728
     /* 2310728 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2310774), // Rule ID 58766 //
     /* 2310733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310736 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2310739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2310753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310773 */     // GIR_Coverage, 58766,
     /* 2310773 */     GIR_EraseRootFromParent_Done,
     /* 2310774 */   // Label 31853: @2310774
     /* 2310774 */   GIM_Reject,
     /* 2310775 */ // Label 31851: @2310775
     /* 2310775 */ GIM_Reject,
     /* 2310776 */ // Label 31811: @2310776
     /* 2310776 */ GIM_Reject,
     /* 2310777 */ // Label 67: @2310777
     /* 2310777 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31877*/ GIMT_Encode4(2315662),
     /* 2310788 */ /*GILLT_s32*//*Label 31854*/ GIMT_Encode4(2310904),
     /* 2310792 */ /*GILLT_s64*//*Label 31855*/ GIMT_Encode4(2311277), GIMT_Encode4(0),
     /* 2310800 */ /*GILLT_nxv1s8*//*Label 31856*/ GIMT_Encode4(2311464),
     /* 2310804 */ /*GILLT_nxv1s16*//*Label 31857*/ GIMT_Encode4(2311568),
     /* 2310808 */ /*GILLT_nxv1s32*//*Label 31858*/ GIMT_Encode4(2311785),
     /* 2310812 */ /*GILLT_nxv1s64*//*Label 31859*/ GIMT_Encode4(2312110), GIMT_Encode4(0),
     /* 2310820 */ /*GILLT_nxv2s8*//*Label 31860*/ GIMT_Encode4(2312327),
     /* 2310824 */ /*GILLT_nxv2s16*//*Label 31861*/ GIMT_Encode4(2312431),
     /* 2310828 */ /*GILLT_nxv2s32*//*Label 31862*/ GIMT_Encode4(2312648),
     /* 2310832 */ /*GILLT_nxv2s64*//*Label 31863*/ GIMT_Encode4(2312973), GIMT_Encode4(0),
     /* 2310840 */ /*GILLT_nxv4s8*//*Label 31864*/ GIMT_Encode4(2313190),
     /* 2310844 */ /*GILLT_nxv4s16*//*Label 31865*/ GIMT_Encode4(2313294),
     /* 2310848 */ /*GILLT_nxv4s32*//*Label 31866*/ GIMT_Encode4(2313511),
     /* 2310852 */ /*GILLT_nxv4s64*//*Label 31867*/ GIMT_Encode4(2313836), GIMT_Encode4(0),
     /* 2310860 */ /*GILLT_nxv8s8*//*Label 31868*/ GIMT_Encode4(2314053),
     /* 2310864 */ /*GILLT_nxv8s16*//*Label 31869*/ GIMT_Encode4(2314157),
     /* 2310868 */ /*GILLT_nxv8s32*//*Label 31870*/ GIMT_Encode4(2314374),
     /* 2310872 */ /*GILLT_nxv8s64*//*Label 31871*/ GIMT_Encode4(2314699), GIMT_Encode4(0),
     /* 2310880 */ /*GILLT_nxv16s8*//*Label 31872*/ GIMT_Encode4(2314916),
     /* 2310884 */ /*GILLT_nxv16s16*//*Label 31873*/ GIMT_Encode4(2315020),
     /* 2310888 */ /*GILLT_nxv16s32*//*Label 31874*/ GIMT_Encode4(2315237), GIMT_Encode4(0),
     /* 2310896 */ /*GILLT_nxv32s8*//*Label 31875*/ GIMT_Encode4(2315454),
     /* 2310900 */ /*GILLT_nxv32s16*//*Label 31876*/ GIMT_Encode4(2315558),
     /* 2310904 */ // Label 31854: @2310904
     /* 2310904 */ GIM_Try, /*On fail goto*//*Label 31878*/ GIMT_Encode4(2310935), // Rule ID 1339 //
     /* 2310909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2310912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2310915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310923 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2310923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2310926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310934 */   // GIR_Coverage, 1339,
     /* 2310934 */   GIR_EraseRootFromParent_Done,
     /* 2310935 */ // Label 31878: @2310935
     /* 2310935 */ GIM_Try, /*On fail goto*//*Label 31879*/ GIMT_Encode4(2310966), // Rule ID 1340 //
     /* 2310940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2310943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2310946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310954 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2310954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2310957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310959 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310965 */   // GIR_Coverage, 1340,
     /* 2310965 */   GIR_EraseRootFromParent_Done,
     /* 2310966 */ // Label 31879: @2310966
     /* 2310966 */ GIM_Try, /*On fail goto*//*Label 31880*/ GIMT_Encode4(2310997), // Rule ID 1365 //
     /* 2310971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2310974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2310977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310985 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2310985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2310988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310996 */   // GIR_Coverage, 1365,
     /* 2310996 */   GIR_EraseRootFromParent_Done,
     /* 2310997 */ // Label 31880: @2310997
     /* 2310997 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2311028), // Rule ID 1366 //
     /* 2311002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2311005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311016 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2311016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2311019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311027 */   // GIR_Coverage, 1366,
     /* 2311027 */   GIR_EraseRootFromParent_Done,
     /* 2311028 */ // Label 31881: @2311028
     /* 2311028 */ GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2311059), // Rule ID 1733 //
     /* 2311033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2311036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311047 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2311050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311058 */   // GIR_Coverage, 1733,
     /* 2311058 */   GIR_EraseRootFromParent_Done,
     /* 2311059 */ // Label 31882: @2311059
     /* 2311059 */ GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2311090), // Rule ID 1734 //
     /* 2311064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2311067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311078 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2311081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311083 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311089 */   // GIR_Coverage, 1734,
     /* 2311089 */   GIR_EraseRootFromParent_Done,
     /* 2311090 */ // Label 31883: @2311090
     /* 2311090 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2311121), // Rule ID 1759 //
     /* 2311095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2311098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311109 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311114 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311120 */   // GIR_Coverage, 1759,
     /* 2311120 */   GIR_EraseRootFromParent_Done,
     /* 2311121 */ // Label 31884: @2311121
     /* 2311121 */ GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2311152), // Rule ID 1760 //
     /* 2311126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2311129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311140 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311145 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311151 */   // GIR_Coverage, 1760,
     /* 2311151 */   GIR_EraseRootFromParent_Done,
     /* 2311152 */ // Label 31885: @2311152
     /* 2311152 */ GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2311183), // Rule ID 2075 //
     /* 2311157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2311160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311171 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311176 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311182 */   // GIR_Coverage, 2075,
     /* 2311182 */   GIR_EraseRootFromParent_Done,
     /* 2311183 */ // Label 31886: @2311183
     /* 2311183 */ GIM_Try, /*On fail goto*//*Label 31887*/ GIMT_Encode4(2311214), // Rule ID 2076 //
     /* 2311188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2311191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311202 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311213 */   // GIR_Coverage, 2076,
     /* 2311213 */   GIR_EraseRootFromParent_Done,
     /* 2311214 */ // Label 31887: @2311214
     /* 2311214 */ GIM_Try, /*On fail goto*//*Label 31888*/ GIMT_Encode4(2311245), // Rule ID 2101 //
     /* 2311219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2311222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311233 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311244 */   // GIR_Coverage, 2101,
     /* 2311244 */   GIR_EraseRootFromParent_Done,
     /* 2311245 */ // Label 31888: @2311245
     /* 2311245 */ GIM_Try, /*On fail goto*//*Label 31889*/ GIMT_Encode4(2311276), // Rule ID 2102 //
     /* 2311250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2311253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311264 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311269 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311275 */   // GIR_Coverage, 2102,
     /* 2311275 */   GIR_EraseRootFromParent_Done,
     /* 2311276 */ // Label 31889: @2311276
     /* 2311276 */ GIM_Reject,
     /* 2311277 */ // Label 31855: @2311277
     /* 2311277 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2311308), // Rule ID 1396 //
     /* 2311282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2311285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311296 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2311299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311307 */   // GIR_Coverage, 1396,
     /* 2311307 */   GIR_EraseRootFromParent_Done,
     /* 2311308 */ // Label 31890: @2311308
     /* 2311308 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2311339), // Rule ID 1424 //
     /* 2311313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2311316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311327 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2311330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311332 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311338 */   // GIR_Coverage, 1424,
     /* 2311338 */   GIR_EraseRootFromParent_Done,
     /* 2311339 */ // Label 31891: @2311339
     /* 2311339 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2311370), // Rule ID 1796 //
     /* 2311344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2311347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311358 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2311361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311369 */   // GIR_Coverage, 1796,
     /* 2311369 */   GIR_EraseRootFromParent_Done,
     /* 2311370 */ // Label 31892: @2311370
     /* 2311370 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2311401), // Rule ID 1824 //
     /* 2311375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2311378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311389 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2311392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311394 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311400 */   // GIR_Coverage, 1824,
     /* 2311400 */   GIR_EraseRootFromParent_Done,
     /* 2311401 */ // Label 31893: @2311401
     /* 2311401 */ GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2311432), // Rule ID 2130 //
     /* 2311406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2311409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311420 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2311423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311425 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311431 */   // GIR_Coverage, 2130,
     /* 2311431 */   GIR_EraseRootFromParent_Done,
     /* 2311432 */ // Label 31894: @2311432
     /* 2311432 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2311463), // Rule ID 2156 //
     /* 2311437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2311440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311451 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2311454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311462 */   // GIR_Coverage, 2156,
     /* 2311462 */   GIR_EraseRootFromParent_Done,
     /* 2311463 */ // Label 31895: @2311463
     /* 2311463 */ GIM_Reject,
     /* 2311464 */ // Label 31856: @2311464
     /* 2311464 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2311567),
     /* 2311469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311480 */   GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2311523), // Rule ID 45691 //
     /* 2311485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311488 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311522 */     // GIR_Coverage, 45691,
     /* 2311522 */     GIR_EraseRootFromParent_Done,
     /* 2311523 */   // Label 31897: @2311523
     /* 2311523 */   GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2311566), // Rule ID 45692 //
     /* 2311528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311531 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311565 */     // GIR_Coverage, 45692,
     /* 2311565 */     GIR_EraseRootFromParent_Done,
     /* 2311566 */   // Label 31898: @2311566
     /* 2311566 */   GIM_Reject,
     /* 2311567 */ // Label 31896: @2311567
     /* 2311567 */ GIM_Reject,
     /* 2311568 */ // Label 31857: @2311568
     /* 2311568 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2311622), // Rule ID 45675 //
     /* 2311573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311587 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311587 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311590 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311594 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311599 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2311604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311606 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311609 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311621 */   // GIR_Coverage, 45675,
     /* 2311621 */   GIR_EraseRootFromParent_Done,
     /* 2311622 */ // Label 31899: @2311622
     /* 2311622 */ GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2311676), // Rule ID 45676 //
     /* 2311627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311641 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311641 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311644 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311648 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311653 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2311658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311660 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311663 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311675 */   // GIR_Coverage, 45676,
     /* 2311675 */   GIR_EraseRootFromParent_Done,
     /* 2311676 */ // Label 31900: @2311676
     /* 2311676 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2311730), // Rule ID 58595 //
     /* 2311681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311695 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311695 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311698 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311702 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2311712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311714 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311717 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311729 */   // GIR_Coverage, 58595,
     /* 2311729 */   GIR_EraseRootFromParent_Done,
     /* 2311730 */ // Label 31901: @2311730
     /* 2311730 */ GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2311784), // Rule ID 58596 //
     /* 2311735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311749 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311749 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311752 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311756 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311761 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2311766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311768 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311771 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311783 */   // GIR_Coverage, 58596,
     /* 2311783 */   GIR_EraseRootFromParent_Done,
     /* 2311784 */ // Label 31902: @2311784
     /* 2311784 */ GIM_Reject,
     /* 2311785 */ // Label 31858: @2311785
     /* 2311785 */ GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2311839), // Rule ID 45683 //
     /* 2311790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311804 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311804 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311807 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311811 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2311821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311823 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311826 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311838 */   // GIR_Coverage, 45683,
     /* 2311838 */   GIR_EraseRootFromParent_Done,
     /* 2311839 */ // Label 31903: @2311839
     /* 2311839 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2311893), // Rule ID 45684 //
     /* 2311844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311858 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311858 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311861 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311865 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2311875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311880 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311892 */   // GIR_Coverage, 45684,
     /* 2311892 */   GIR_EraseRootFromParent_Done,
     /* 2311893 */ // Label 31904: @2311893
     /* 2311893 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2311947), // Rule ID 58163 //
     /* 2311898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311912 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311912 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311915 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311919 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2311929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311931 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311934 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311946 */   // GIR_Coverage, 58163,
     /* 2311946 */   GIR_EraseRootFromParent_Done,
     /* 2311947 */ // Label 31905: @2311947
     /* 2311947 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2312001), // Rule ID 58164 //
     /* 2311952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311966 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2311983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312000 */   // GIR_Coverage, 58164,
     /* 2312000 */   GIR_EraseRootFromParent_Done,
     /* 2312001 */ // Label 31906: @2312001
     /* 2312001 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2312055), // Rule ID 58615 //
     /* 2312006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312020 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312032 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312039 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312042 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312054 */   // GIR_Coverage, 58615,
     /* 2312054 */   GIR_EraseRootFromParent_Done,
     /* 2312055 */ // Label 31907: @2312055
     /* 2312055 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2312109), // Rule ID 58616 //
     /* 2312060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312074 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312074 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312077 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312081 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312086 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312096 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312108 */   // GIR_Coverage, 58616,
     /* 2312108 */   GIR_EraseRootFromParent_Done,
     /* 2312109 */ // Label 31908: @2312109
     /* 2312109 */ GIM_Reject,
     /* 2312110 */ // Label 31859: @2312110
     /* 2312110 */ GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2312164), // Rule ID 58175 //
     /* 2312115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312129 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312129 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312132 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312136 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312141 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312148 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312151 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312163 */   // GIR_Coverage, 58175,
     /* 2312163 */   GIR_EraseRootFromParent_Done,
     /* 2312164 */ // Label 31909: @2312164
     /* 2312164 */ GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2312218), // Rule ID 58176 //
     /* 2312169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2312172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312183 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312205 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312217 */   // GIR_Coverage, 58176,
     /* 2312217 */   GIR_EraseRootFromParent_Done,
     /* 2312218 */ // Label 31910: @2312218
     /* 2312218 */ GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2312272), // Rule ID 58407 //
     /* 2312223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2312226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312237 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312237 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312240 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312244 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312271 */   // GIR_Coverage, 58407,
     /* 2312271 */   GIR_EraseRootFromParent_Done,
     /* 2312272 */ // Label 31911: @2312272
     /* 2312272 */ GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2312326), // Rule ID 58408 //
     /* 2312277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2312280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312291 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312310 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312313 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312325 */   // GIR_Coverage, 58408,
     /* 2312325 */   GIR_EraseRootFromParent_Done,
     /* 2312326 */ // Label 31912: @2312326
     /* 2312326 */ GIM_Reject,
     /* 2312327 */ // Label 31860: @2312327
     /* 2312327 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2312430),
     /* 2312332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312343 */   GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2312386), // Rule ID 58575 //
     /* 2312348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312351 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312385 */     // GIR_Coverage, 58575,
     /* 2312385 */     GIR_EraseRootFromParent_Done,
     /* 2312386 */   // Label 31914: @2312386
     /* 2312386 */   GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2312429), // Rule ID 58576 //
     /* 2312391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312394 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312428 */     // GIR_Coverage, 58576,
     /* 2312428 */     GIR_EraseRootFromParent_Done,
     /* 2312429 */   // Label 31915: @2312429
     /* 2312429 */   GIM_Reject,
     /* 2312430 */ // Label 31913: @2312430
     /* 2312430 */ GIM_Reject,
     /* 2312431 */ // Label 31861: @2312431
     /* 2312431 */ GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2312485), // Rule ID 58159 //
     /* 2312436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312450 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312450 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312453 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312457 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312469 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312472 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312484 */   // GIR_Coverage, 58159,
     /* 2312484 */   GIR_EraseRootFromParent_Done,
     /* 2312485 */ // Label 31916: @2312485
     /* 2312485 */ GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2312539), // Rule ID 58160 //
     /* 2312490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312504 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312538 */   // GIR_Coverage, 58160,
     /* 2312538 */   GIR_EraseRootFromParent_Done,
     /* 2312539 */ // Label 31917: @2312539
     /* 2312539 */ GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2312593), // Rule ID 58599 //
     /* 2312544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312558 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312558 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312561 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312565 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312570 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312577 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312580 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312592 */   // GIR_Coverage, 58599,
     /* 2312592 */   GIR_EraseRootFromParent_Done,
     /* 2312593 */ // Label 31918: @2312593
     /* 2312593 */ GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2312647), // Rule ID 58600 //
     /* 2312598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312612 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312612 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312615 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312619 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312634 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312646 */   // GIR_Coverage, 58600,
     /* 2312646 */   GIR_EraseRootFromParent_Done,
     /* 2312647 */ // Label 31919: @2312647
     /* 2312647 */ GIM_Reject,
     /* 2312648 */ // Label 31862: @2312648
     /* 2312648 */ GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2312702), // Rule ID 58171 //
     /* 2312653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312667 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312679 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312686 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312689 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312701 */   // GIR_Coverage, 58171,
     /* 2312701 */   GIR_EraseRootFromParent_Done,
     /* 2312702 */ // Label 31920: @2312702
     /* 2312702 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2312756), // Rule ID 58172 //
     /* 2312707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312721 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312721 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312724 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312728 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312733 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312740 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312743 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312755 */   // GIR_Coverage, 58172,
     /* 2312755 */   GIR_EraseRootFromParent_Done,
     /* 2312756 */ // Label 31921: @2312756
     /* 2312756 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2312810), // Rule ID 58391 //
     /* 2312761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312775 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312775 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312778 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312782 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312797 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312809 */   // GIR_Coverage, 58391,
     /* 2312809 */   GIR_EraseRootFromParent_Done,
     /* 2312810 */ // Label 31922: @2312810
     /* 2312810 */ GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2312864), // Rule ID 58392 //
     /* 2312815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312829 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312841 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312848 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312863 */   // GIR_Coverage, 58392,
     /* 2312863 */   GIR_EraseRootFromParent_Done,
     /* 2312864 */ // Label 31923: @2312864
     /* 2312864 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2312918), // Rule ID 58619 //
     /* 2312869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312883 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312883 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312886 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312890 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312895 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2312900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312905 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312917 */   // GIR_Coverage, 58619,
     /* 2312917 */   GIR_EraseRootFromParent_Done,
     /* 2312918 */ // Label 31924: @2312918
     /* 2312918 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2312972), // Rule ID 58620 //
     /* 2312923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312937 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312937 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312940 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312944 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2312954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312959 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312971 */   // GIR_Coverage, 58620,
     /* 2312971 */   GIR_EraseRootFromParent_Done,
     /* 2312972 */ // Label 31925: @2312972
     /* 2312972 */ GIM_Reject,
     /* 2312973 */ // Label 31863: @2312973
     /* 2312973 */ GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2313027), // Rule ID 58203 //
     /* 2312978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312992 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2312995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313011 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313014 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313026 */   // GIR_Coverage, 58203,
     /* 2313026 */   GIR_EraseRootFromParent_Done,
     /* 2313027 */ // Label 31926: @2313027
     /* 2313027 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2313081), // Rule ID 58204 //
     /* 2313032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2313035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313046 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313046 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313049 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313053 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313065 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313068 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313080 */   // GIR_Coverage, 58204,
     /* 2313080 */   GIR_EraseRootFromParent_Done,
     /* 2313081 */ // Label 31927: @2313081
     /* 2313081 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2313135), // Rule ID 58411 //
     /* 2313086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313100 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313100 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313103 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313107 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313112 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313119 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313122 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313134 */   // GIR_Coverage, 58411,
     /* 2313134 */   GIR_EraseRootFromParent_Done,
     /* 2313135 */ // Label 31928: @2313135
     /* 2313135 */ GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2313189), // Rule ID 58412 //
     /* 2313140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2313143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313154 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313154 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313157 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313161 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313166 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313176 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313188 */   // GIR_Coverage, 58412,
     /* 2313188 */   GIR_EraseRootFromParent_Done,
     /* 2313189 */ // Label 31929: @2313189
     /* 2313189 */ GIM_Reject,
     /* 2313190 */ // Label 31864: @2313190
     /* 2313190 */ GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2313293),
     /* 2313195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313206 */   GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2313249), // Rule ID 58579 //
     /* 2313211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313214 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313248 */     // GIR_Coverage, 58579,
     /* 2313248 */     GIR_EraseRootFromParent_Done,
     /* 2313249 */   // Label 31931: @2313249
     /* 2313249 */   GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2313292), // Rule ID 58580 //
     /* 2313254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313257 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313291 */     // GIR_Coverage, 58580,
     /* 2313291 */     GIR_EraseRootFromParent_Done,
     /* 2313292 */   // Label 31932: @2313292
     /* 2313292 */   GIM_Reject,
     /* 2313293 */ // Label 31930: @2313293
     /* 2313293 */ GIM_Reject,
     /* 2313294 */ // Label 31865: @2313294
     /* 2313294 */ GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2313348), // Rule ID 58167 //
     /* 2313299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313313 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313347 */   // GIR_Coverage, 58167,
     /* 2313347 */   GIR_EraseRootFromParent_Done,
     /* 2313348 */ // Label 31933: @2313348
     /* 2313348 */ GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2313402), // Rule ID 58168 //
     /* 2313353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313367 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313367 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313370 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313374 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313386 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313389 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313401 */   // GIR_Coverage, 58168,
     /* 2313401 */   GIR_EraseRootFromParent_Done,
     /* 2313402 */ // Label 31934: @2313402
     /* 2313402 */ GIM_Try, /*On fail goto*//*Label 31935*/ GIMT_Encode4(2313456), // Rule ID 58603 //
     /* 2313407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313421 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313421 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313424 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313428 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313440 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313443 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313455 */   // GIR_Coverage, 58603,
     /* 2313455 */   GIR_EraseRootFromParent_Done,
     /* 2313456 */ // Label 31935: @2313456
     /* 2313456 */ GIM_Try, /*On fail goto*//*Label 31936*/ GIMT_Encode4(2313510), // Rule ID 58604 //
     /* 2313461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313475 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313497 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313509 */   // GIR_Coverage, 58604,
     /* 2313509 */   GIR_EraseRootFromParent_Done,
     /* 2313510 */ // Label 31936: @2313510
     /* 2313510 */ GIM_Reject,
     /* 2313511 */ // Label 31866: @2313511
     /* 2313511 */ GIM_Try, /*On fail goto*//*Label 31937*/ GIMT_Encode4(2313565), // Rule ID 58191 //
     /* 2313516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313530 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313542 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313549 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313552 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313564 */   // GIR_Coverage, 58191,
     /* 2313564 */   GIR_EraseRootFromParent_Done,
     /* 2313565 */ // Label 31937: @2313565
     /* 2313565 */ GIM_Try, /*On fail goto*//*Label 31938*/ GIMT_Encode4(2313619), // Rule ID 58192 //
     /* 2313570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313584 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313584 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313587 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313591 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313603 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313618 */   // GIR_Coverage, 58192,
     /* 2313618 */   GIR_EraseRootFromParent_Done,
     /* 2313619 */ // Label 31938: @2313619
     /* 2313619 */ GIM_Try, /*On fail goto*//*Label 31939*/ GIMT_Encode4(2313673), // Rule ID 58395 //
     /* 2313624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313638 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313660 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313672 */   // GIR_Coverage, 58395,
     /* 2313672 */   GIR_EraseRootFromParent_Done,
     /* 2313673 */ // Label 31939: @2313673
     /* 2313673 */ GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2313727), // Rule ID 58396 //
     /* 2313678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313692 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313726 */   // GIR_Coverage, 58396,
     /* 2313726 */   GIR_EraseRootFromParent_Done,
     /* 2313727 */ // Label 31940: @2313727
     /* 2313727 */ GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2313781), // Rule ID 58623 //
     /* 2313732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2313735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313746 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2313763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313780 */   // GIR_Coverage, 58623,
     /* 2313780 */   GIR_EraseRootFromParent_Done,
     /* 2313781 */ // Label 31941: @2313781
     /* 2313781 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2313835), // Rule ID 58624 //
     /* 2313786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2313789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313800 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2313817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313834 */   // GIR_Coverage, 58624,
     /* 2313834 */   GIR_EraseRootFromParent_Done,
     /* 2313835 */ // Label 31942: @2313835
     /* 2313835 */ GIM_Reject,
     /* 2313836 */ // Label 31867: @2313836
     /* 2313836 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2313890), // Rule ID 58207 //
     /* 2313841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2313844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313855 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313855 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313858 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313862 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2313872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313874 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313877 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313889 */   // GIR_Coverage, 58207,
     /* 2313889 */   GIR_EraseRootFromParent_Done,
     /* 2313890 */ // Label 31943: @2313890
     /* 2313890 */ GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2313944), // Rule ID 58208 //
     /* 2313895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2313898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313909 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313909 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313912 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313916 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2313926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313931 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313943 */   // GIR_Coverage, 58208,
     /* 2313943 */   GIR_EraseRootFromParent_Done,
     /* 2313944 */ // Label 31944: @2313944
     /* 2313944 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2313998), // Rule ID 58415 //
     /* 2313949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313963 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2313980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313982 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313985 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313997 */   // GIR_Coverage, 58415,
     /* 2313997 */   GIR_EraseRootFromParent_Done,
     /* 2313998 */ // Label 31945: @2313998
     /* 2313998 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2314052), // Rule ID 58416 //
     /* 2314003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2314006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2314009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314017 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314051 */   // GIR_Coverage, 58416,
     /* 2314051 */   GIR_EraseRootFromParent_Done,
     /* 2314052 */ // Label 31946: @2314052
     /* 2314052 */ GIM_Reject,
     /* 2314053 */ // Label 31868: @2314053
     /* 2314053 */ GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2314156),
     /* 2314058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314069 */   GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2314112), // Rule ID 58583 //
     /* 2314074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314077 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314111 */     // GIR_Coverage, 58583,
     /* 2314111 */     GIR_EraseRootFromParent_Done,
     /* 2314112 */   // Label 31948: @2314112
     /* 2314112 */   GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2314155), // Rule ID 58584 //
     /* 2314117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314120 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314154 */     // GIR_Coverage, 58584,
     /* 2314154 */     GIR_EraseRootFromParent_Done,
     /* 2314155 */   // Label 31949: @2314155
     /* 2314155 */   GIM_Reject,
     /* 2314156 */ // Label 31947: @2314156
     /* 2314156 */ GIM_Reject,
     /* 2314157 */ // Label 31869: @2314157
     /* 2314157 */ GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2314211), // Rule ID 58179 //
     /* 2314162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314176 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314210 */   // GIR_Coverage, 58179,
     /* 2314210 */   GIR_EraseRootFromParent_Done,
     /* 2314211 */ // Label 31950: @2314211
     /* 2314211 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2314265), // Rule ID 58180 //
     /* 2314216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314230 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314264 */   // GIR_Coverage, 58180,
     /* 2314264 */   GIR_EraseRootFromParent_Done,
     /* 2314265 */ // Label 31951: @2314265
     /* 2314265 */ GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2314319), // Rule ID 58607 //
     /* 2314270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314284 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314318 */   // GIR_Coverage, 58607,
     /* 2314318 */   GIR_EraseRootFromParent_Done,
     /* 2314319 */ // Label 31952: @2314319
     /* 2314319 */ GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2314373), // Rule ID 58608 //
     /* 2314324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314338 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314372 */   // GIR_Coverage, 58608,
     /* 2314372 */   GIR_EraseRootFromParent_Done,
     /* 2314373 */ // Label 31953: @2314373
     /* 2314373 */ GIM_Reject,
     /* 2314374 */ // Label 31870: @2314374
     /* 2314374 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2314428), // Rule ID 58195 //
     /* 2314379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314393 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314427 */   // GIR_Coverage, 58195,
     /* 2314427 */   GIR_EraseRootFromParent_Done,
     /* 2314428 */ // Label 31954: @2314428
     /* 2314428 */ GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2314482), // Rule ID 58196 //
     /* 2314433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314447 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314481 */   // GIR_Coverage, 58196,
     /* 2314481 */   GIR_EraseRootFromParent_Done,
     /* 2314482 */ // Label 31955: @2314482
     /* 2314482 */ GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2314536), // Rule ID 58399 //
     /* 2314487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314501 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314520 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314535 */   // GIR_Coverage, 58399,
     /* 2314535 */   GIR_EraseRootFromParent_Done,
     /* 2314536 */ // Label 31956: @2314536
     /* 2314536 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2314590), // Rule ID 58400 //
     /* 2314541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314555 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314589 */   // GIR_Coverage, 58400,
     /* 2314589 */   GIR_EraseRootFromParent_Done,
     /* 2314590 */ // Label 31957: @2314590
     /* 2314590 */ GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2314644), // Rule ID 58627 //
     /* 2314595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2314598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314609 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2314626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314643 */   // GIR_Coverage, 58627,
     /* 2314643 */   GIR_EraseRootFromParent_Done,
     /* 2314644 */ // Label 31958: @2314644
     /* 2314644 */ GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2314698), // Rule ID 58628 //
     /* 2314649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2314652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314663 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2314680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314697 */   // GIR_Coverage, 58628,
     /* 2314697 */   GIR_EraseRootFromParent_Done,
     /* 2314698 */ // Label 31959: @2314698
     /* 2314698 */ GIM_Reject,
     /* 2314699 */ // Label 31871: @2314699
     /* 2314699 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2314753), // Rule ID 58211 //
     /* 2314704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2314707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314718 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314730 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2314735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314740 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314752 */   // GIR_Coverage, 58211,
     /* 2314752 */   GIR_EraseRootFromParent_Done,
     /* 2314753 */ // Label 31960: @2314753
     /* 2314753 */ GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2314807), // Rule ID 58212 //
     /* 2314758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2314761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314772 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314772 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314775 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314779 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314784 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2314789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314791 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314794 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314806 */   // GIR_Coverage, 58212,
     /* 2314806 */   GIR_EraseRootFromParent_Done,
     /* 2314807 */ // Label 31961: @2314807
     /* 2314807 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2314861), // Rule ID 58419 //
     /* 2314812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2314815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314826 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314838 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2314843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314845 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314860 */   // GIR_Coverage, 58419,
     /* 2314860 */   GIR_EraseRootFromParent_Done,
     /* 2314861 */ // Label 31962: @2314861
     /* 2314861 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2314915), // Rule ID 58420 //
     /* 2314866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2314869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314880 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314880 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314883 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314887 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2314897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314914 */   // GIR_Coverage, 58420,
     /* 2314914 */   GIR_EraseRootFromParent_Done,
     /* 2314915 */ // Label 31963: @2314915
     /* 2314915 */ GIM_Reject,
     /* 2314916 */ // Label 31872: @2314916
     /* 2314916 */ GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2315019),
     /* 2314921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2314924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314932 */   GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2314975), // Rule ID 58587 //
     /* 2314937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314940 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2314943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314974 */     // GIR_Coverage, 58587,
     /* 2314974 */     GIR_EraseRootFromParent_Done,
     /* 2314975 */   // Label 31965: @2314975
     /* 2314975 */   GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2315018), // Rule ID 58588 //
     /* 2314980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314983 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2314986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2315000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315017 */     // GIR_Coverage, 58588,
     /* 2315017 */     GIR_EraseRootFromParent_Done,
     /* 2315018 */   // Label 31966: @2315018
     /* 2315018 */   GIM_Reject,
     /* 2315019 */ // Label 31964: @2315019
     /* 2315019 */ GIM_Reject,
     /* 2315020 */ // Label 31873: @2315020
     /* 2315020 */ GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2315074), // Rule ID 58183 //
     /* 2315025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315039 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315073 */   // GIR_Coverage, 58183,
     /* 2315073 */   GIR_EraseRootFromParent_Done,
     /* 2315074 */ // Label 31967: @2315074
     /* 2315074 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2315128), // Rule ID 58184 //
     /* 2315079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315093 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315127 */   // GIR_Coverage, 58184,
     /* 2315127 */   GIR_EraseRootFromParent_Done,
     /* 2315128 */ // Label 31968: @2315128
     /* 2315128 */ GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2315182), // Rule ID 58611 //
     /* 2315133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315147 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315181 */   // GIR_Coverage, 58611,
     /* 2315181 */   GIR_EraseRootFromParent_Done,
     /* 2315182 */ // Label 31969: @2315182
     /* 2315182 */ GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2315236), // Rule ID 58612 //
     /* 2315187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315201 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315235 */   // GIR_Coverage, 58612,
     /* 2315235 */   GIR_EraseRootFromParent_Done,
     /* 2315236 */ // Label 31970: @2315236
     /* 2315236 */ GIM_Reject,
     /* 2315237 */ // Label 31874: @2315237
     /* 2315237 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2315291), // Rule ID 58199 //
     /* 2315242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315256 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315256 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315259 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315263 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315268 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315275 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315278 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315290 */   // GIR_Coverage, 58199,
     /* 2315290 */   GIR_EraseRootFromParent_Done,
     /* 2315291 */ // Label 31971: @2315291
     /* 2315291 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2315345), // Rule ID 58200 //
     /* 2315296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315310 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315332 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315344 */   // GIR_Coverage, 58200,
     /* 2315344 */   GIR_EraseRootFromParent_Done,
     /* 2315345 */ // Label 31972: @2315345
     /* 2315345 */ GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2315399), // Rule ID 58403 //
     /* 2315350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315364 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315364 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315367 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315371 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315376 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315383 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315386 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315398 */   // GIR_Coverage, 58403,
     /* 2315398 */   GIR_EraseRootFromParent_Done,
     /* 2315399 */ // Label 31973: @2315399
     /* 2315399 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2315453), // Rule ID 58404 //
     /* 2315404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315418 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315418 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315421 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315425 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315430 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315437 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315440 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315452 */   // GIR_Coverage, 58404,
     /* 2315452 */   GIR_EraseRootFromParent_Done,
     /* 2315453 */ // Label 31974: @2315453
     /* 2315453 */ GIM_Reject,
     /* 2315454 */ // Label 31875: @2315454
     /* 2315454 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2315557),
     /* 2315459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315470 */   GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2315513), // Rule ID 58591 //
     /* 2315475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315478 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315512 */     // GIR_Coverage, 58591,
     /* 2315512 */     GIR_EraseRootFromParent_Done,
     /* 2315513 */   // Label 31976: @2315513
     /* 2315513 */   GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2315556), // Rule ID 58592 //
     /* 2315518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315521 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315555 */     // GIR_Coverage, 58592,
     /* 2315555 */     GIR_EraseRootFromParent_Done,
     /* 2315556 */   // Label 31977: @2315556
     /* 2315556 */   GIM_Reject,
     /* 2315557 */ // Label 31975: @2315557
     /* 2315557 */ GIM_Reject,
     /* 2315558 */ // Label 31876: @2315558
     /* 2315558 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2315661),
     /* 2315563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315574 */   GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2315617), // Rule ID 58187 //
     /* 2315579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315582 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2315585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315616 */     // GIR_Coverage, 58187,
     /* 2315616 */     GIR_EraseRootFromParent_Done,
     /* 2315617 */   // Label 31979: @2315617
     /* 2315617 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2315660), // Rule ID 58188 //
     /* 2315622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315625 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2315628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315659 */     // GIR_Coverage, 58188,
     /* 2315659 */     GIR_EraseRootFromParent_Done,
     /* 2315660 */   // Label 31980: @2315660
     /* 2315660 */   GIM_Reject,
     /* 2315661 */ // Label 31978: @2315661
     /* 2315661 */ GIM_Reject,
     /* 2315662 */ // Label 31877: @2315662
     /* 2315662 */ GIM_Reject,
     /* 2315663 */ // Label 68: @2315663
     /* 2315663 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32004*/ GIMT_Encode4(2320548),
     /* 2315674 */ /*GILLT_s32*//*Label 31981*/ GIMT_Encode4(2315790),
     /* 2315678 */ /*GILLT_s64*//*Label 31982*/ GIMT_Encode4(2316163), GIMT_Encode4(0),
     /* 2315686 */ /*GILLT_nxv1s8*//*Label 31983*/ GIMT_Encode4(2316350),
     /* 2315690 */ /*GILLT_nxv1s16*//*Label 31984*/ GIMT_Encode4(2316454),
     /* 2315694 */ /*GILLT_nxv1s32*//*Label 31985*/ GIMT_Encode4(2316671),
     /* 2315698 */ /*GILLT_nxv1s64*//*Label 31986*/ GIMT_Encode4(2316996), GIMT_Encode4(0),
     /* 2315706 */ /*GILLT_nxv2s8*//*Label 31987*/ GIMT_Encode4(2317213),
     /* 2315710 */ /*GILLT_nxv2s16*//*Label 31988*/ GIMT_Encode4(2317317),
     /* 2315714 */ /*GILLT_nxv2s32*//*Label 31989*/ GIMT_Encode4(2317534),
     /* 2315718 */ /*GILLT_nxv2s64*//*Label 31990*/ GIMT_Encode4(2317859), GIMT_Encode4(0),
     /* 2315726 */ /*GILLT_nxv4s8*//*Label 31991*/ GIMT_Encode4(2318076),
     /* 2315730 */ /*GILLT_nxv4s16*//*Label 31992*/ GIMT_Encode4(2318180),
     /* 2315734 */ /*GILLT_nxv4s32*//*Label 31993*/ GIMT_Encode4(2318397),
     /* 2315738 */ /*GILLT_nxv4s64*//*Label 31994*/ GIMT_Encode4(2318722), GIMT_Encode4(0),
     /* 2315746 */ /*GILLT_nxv8s8*//*Label 31995*/ GIMT_Encode4(2318939),
     /* 2315750 */ /*GILLT_nxv8s16*//*Label 31996*/ GIMT_Encode4(2319043),
     /* 2315754 */ /*GILLT_nxv8s32*//*Label 31997*/ GIMT_Encode4(2319260),
     /* 2315758 */ /*GILLT_nxv8s64*//*Label 31998*/ GIMT_Encode4(2319585), GIMT_Encode4(0),
     /* 2315766 */ /*GILLT_nxv16s8*//*Label 31999*/ GIMT_Encode4(2319802),
     /* 2315770 */ /*GILLT_nxv16s16*//*Label 32000*/ GIMT_Encode4(2319906),
     /* 2315774 */ /*GILLT_nxv16s32*//*Label 32001*/ GIMT_Encode4(2320123), GIMT_Encode4(0),
     /* 2315782 */ /*GILLT_nxv32s8*//*Label 32002*/ GIMT_Encode4(2320340),
     /* 2315786 */ /*GILLT_nxv32s16*//*Label 32003*/ GIMT_Encode4(2320444),
     /* 2315790 */ // Label 31981: @2315790
     /* 2315790 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2315821), // Rule ID 1343 //
     /* 2315795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2315798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2315809 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2315812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315814 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315820 */   // GIR_Coverage, 1343,
     /* 2315820 */   GIR_EraseRootFromParent_Done,
     /* 2315821 */ // Label 32005: @2315821
     /* 2315821 */ GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2315852), // Rule ID 1344 //
     /* 2315826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2315829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2315840 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2315840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2315843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315845 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315851 */   // GIR_Coverage, 1344,
     /* 2315851 */   GIR_EraseRootFromParent_Done,
     /* 2315852 */ // Label 32006: @2315852
     /* 2315852 */ GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2315883), // Rule ID 1369 //
     /* 2315857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2315860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2315871 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2315874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315882 */   // GIR_Coverage, 1369,
     /* 2315882 */   GIR_EraseRootFromParent_Done,
     /* 2315883 */ // Label 32007: @2315883
     /* 2315883 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2315914), // Rule ID 1370 //
     /* 2315888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2315891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2315902 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2315902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2315905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315913 */   // GIR_Coverage, 1370,
     /* 2315913 */   GIR_EraseRootFromParent_Done,
     /* 2315914 */ // Label 32008: @2315914
     /* 2315914 */ GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2315945), // Rule ID 1737 //
     /* 2315919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2315922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315933 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2315936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315944 */   // GIR_Coverage, 1737,
     /* 2315944 */   GIR_EraseRootFromParent_Done,
     /* 2315945 */ // Label 32009: @2315945
     /* 2315945 */ GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2315976), // Rule ID 1738 //
     /* 2315950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2315953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315964 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2315964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2315967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315969 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315975 */   // GIR_Coverage, 1738,
     /* 2315975 */   GIR_EraseRootFromParent_Done,
     /* 2315976 */ // Label 32010: @2315976
     /* 2315976 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2316007), // Rule ID 1763 //
     /* 2315981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2315984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2315995 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2315998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316000 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316006 */   // GIR_Coverage, 1763,
     /* 2316006 */   GIR_EraseRootFromParent_Done,
     /* 2316007 */ // Label 32011: @2316007
     /* 2316007 */ GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2316038), // Rule ID 1764 //
     /* 2316012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2316015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2316026 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2316026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2316029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316031 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316037 */   // GIR_Coverage, 1764,
     /* 2316037 */   GIR_EraseRootFromParent_Done,
     /* 2316038 */ // Label 32012: @2316038
     /* 2316038 */ GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2316069), // Rule ID 2079 //
     /* 2316043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2316046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316057 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316062 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316068 */   // GIR_Coverage, 2079,
     /* 2316068 */   GIR_EraseRootFromParent_Done,
     /* 2316069 */ // Label 32013: @2316069
     /* 2316069 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2316100), // Rule ID 2080 //
     /* 2316074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2316077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316088 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316099 */   // GIR_Coverage, 2080,
     /* 2316099 */   GIR_EraseRootFromParent_Done,
     /* 2316100 */ // Label 32014: @2316100
     /* 2316100 */ GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2316131), // Rule ID 2105 //
     /* 2316105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2316108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316119 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316130 */   // GIR_Coverage, 2105,
     /* 2316130 */   GIR_EraseRootFromParent_Done,
     /* 2316131 */ // Label 32015: @2316131
     /* 2316131 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2316162), // Rule ID 2106 //
     /* 2316136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2316139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316150 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316161 */   // GIR_Coverage, 2106,
     /* 2316161 */   GIR_EraseRootFromParent_Done,
     /* 2316162 */ // Label 32016: @2316162
     /* 2316162 */ GIM_Reject,
     /* 2316163 */ // Label 31982: @2316163
     /* 2316163 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2316194), // Rule ID 1398 //
     /* 2316168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2316171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316182 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2316185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316187 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316193 */   // GIR_Coverage, 1398,
     /* 2316193 */   GIR_EraseRootFromParent_Done,
     /* 2316194 */ // Label 32017: @2316194
     /* 2316194 */ GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2316225), // Rule ID 1426 //
     /* 2316199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2316202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316213 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2316216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316224 */   // GIR_Coverage, 1426,
     /* 2316224 */   GIR_EraseRootFromParent_Done,
     /* 2316225 */ // Label 32018: @2316225
     /* 2316225 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2316256), // Rule ID 1798 //
     /* 2316230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2316233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316244 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2316247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316255 */   // GIR_Coverage, 1798,
     /* 2316255 */   GIR_EraseRootFromParent_Done,
     /* 2316256 */ // Label 32019: @2316256
     /* 2316256 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2316287), // Rule ID 1826 //
     /* 2316261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2316264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316275 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2316278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316286 */   // GIR_Coverage, 1826,
     /* 2316286 */   GIR_EraseRootFromParent_Done,
     /* 2316287 */ // Label 32020: @2316287
     /* 2316287 */ GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2316318), // Rule ID 2132 //
     /* 2316292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2316295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316306 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2316309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316311 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316317 */   // GIR_Coverage, 2132,
     /* 2316317 */   GIR_EraseRootFromParent_Done,
     /* 2316318 */ // Label 32021: @2316318
     /* 2316318 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2316349), // Rule ID 2158 //
     /* 2316323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2316326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316337 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2316340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316348 */   // GIR_Coverage, 2158,
     /* 2316348 */   GIR_EraseRootFromParent_Done,
     /* 2316349 */ // Label 32022: @2316349
     /* 2316349 */ GIM_Reject,
     /* 2316350 */ // Label 31983: @2316350
     /* 2316350 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2316453),
     /* 2316355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316366 */   GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2316409), // Rule ID 58631 //
     /* 2316371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316374 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316408 */     // GIR_Coverage, 58631,
     /* 2316408 */     GIR_EraseRootFromParent_Done,
     /* 2316409 */   // Label 32024: @2316409
     /* 2316409 */   GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2316452), // Rule ID 58632 //
     /* 2316414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316417 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316451 */     // GIR_Coverage, 58632,
     /* 2316451 */     GIR_EraseRootFromParent_Done,
     /* 2316452 */   // Label 32025: @2316452
     /* 2316452 */   GIM_Reject,
     /* 2316453 */ // Label 32023: @2316453
     /* 2316453 */ GIM_Reject,
     /* 2316454 */ // Label 31984: @2316454
     /* 2316454 */ GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2316508), // Rule ID 58215 //
     /* 2316459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316473 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316476 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316480 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316507 */   // GIR_Coverage, 58215,
     /* 2316507 */   GIR_EraseRootFromParent_Done,
     /* 2316508 */ // Label 32026: @2316508
     /* 2316508 */ GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2316562), // Rule ID 58216 //
     /* 2316513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316527 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316527 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316530 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316534 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316539 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316546 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316561 */   // GIR_Coverage, 58216,
     /* 2316561 */   GIR_EraseRootFromParent_Done,
     /* 2316562 */ // Label 32027: @2316562
     /* 2316562 */ GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2316616), // Rule ID 58655 //
     /* 2316567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316581 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316581 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316584 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316588 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316593 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2316598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316600 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316603 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316615 */   // GIR_Coverage, 58655,
     /* 2316615 */   GIR_EraseRootFromParent_Done,
     /* 2316616 */ // Label 32028: @2316616
     /* 2316616 */ GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2316670), // Rule ID 58656 //
     /* 2316621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316635 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2316652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316669 */   // GIR_Coverage, 58656,
     /* 2316669 */   GIR_EraseRootFromParent_Done,
     /* 2316670 */ // Label 32029: @2316670
     /* 2316670 */ GIM_Reject,
     /* 2316671 */ // Label 31985: @2316671
     /* 2316671 */ GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2316725), // Rule ID 58223 //
     /* 2316676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316690 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2316707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316724 */   // GIR_Coverage, 58223,
     /* 2316724 */   GIR_EraseRootFromParent_Done,
     /* 2316725 */ // Label 32030: @2316725
     /* 2316725 */ GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2316779), // Rule ID 58224 //
     /* 2316730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316744 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2316761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316778 */   // GIR_Coverage, 58224,
     /* 2316778 */   GIR_EraseRootFromParent_Done,
     /* 2316779 */ // Label 32031: @2316779
     /* 2316779 */ GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2316833), // Rule ID 58423 //
     /* 2316784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316798 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2316815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316832 */   // GIR_Coverage, 58423,
     /* 2316832 */   GIR_EraseRootFromParent_Done,
     /* 2316833 */ // Label 32032: @2316833
     /* 2316833 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2316887), // Rule ID 58424 //
     /* 2316838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316852 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2316869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316886 */   // GIR_Coverage, 58424,
     /* 2316886 */   GIR_EraseRootFromParent_Done,
     /* 2316887 */ // Label 32033: @2316887
     /* 2316887 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2316941), // Rule ID 58675 //
     /* 2316892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2316895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316906 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2316923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316925 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316940 */   // GIR_Coverage, 58675,
     /* 2316940 */   GIR_EraseRootFromParent_Done,
     /* 2316941 */ // Label 32034: @2316941
     /* 2316941 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2316995), // Rule ID 58676 //
     /* 2316946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2316949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316960 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316960 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316963 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316967 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2316977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316994 */   // GIR_Coverage, 58676,
     /* 2316994 */   GIR_EraseRootFromParent_Done,
     /* 2316995 */ // Label 32035: @2316995
     /* 2316995 */ GIM_Reject,
     /* 2316996 */ // Label 31986: @2316996
     /* 2316996 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2317050), // Rule ID 58235 //
     /* 2317001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317015 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317027 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317034 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317037 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317049 */   // GIR_Coverage, 58235,
     /* 2317049 */   GIR_EraseRootFromParent_Done,
     /* 2317050 */ // Label 32036: @2317050
     /* 2317050 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2317104), // Rule ID 58236 //
     /* 2317055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317069 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317069 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317072 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317076 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317081 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317088 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317091 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317103 */   // GIR_Coverage, 58236,
     /* 2317103 */   GIR_EraseRootFromParent_Done,
     /* 2317104 */ // Label 32037: @2317104
     /* 2317104 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2317158), // Rule ID 58443 //
     /* 2317109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317123 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317145 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317157 */   // GIR_Coverage, 58443,
     /* 2317157 */   GIR_EraseRootFromParent_Done,
     /* 2317158 */ // Label 32038: @2317158
     /* 2317158 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2317212), // Rule ID 58444 //
     /* 2317163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317177 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317177 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317180 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317184 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317189 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317196 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317199 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317211 */   // GIR_Coverage, 58444,
     /* 2317211 */   GIR_EraseRootFromParent_Done,
     /* 2317212 */ // Label 32039: @2317212
     /* 2317212 */ GIM_Reject,
     /* 2317213 */ // Label 31987: @2317213
     /* 2317213 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2317316),
     /* 2317218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317229 */   GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2317272), // Rule ID 58635 //
     /* 2317234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317237 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317271 */     // GIR_Coverage, 58635,
     /* 2317271 */     GIR_EraseRootFromParent_Done,
     /* 2317272 */   // Label 32041: @2317272
     /* 2317272 */   GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2317315), // Rule ID 58636 //
     /* 2317277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317280 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317314 */     // GIR_Coverage, 58636,
     /* 2317314 */     GIR_EraseRootFromParent_Done,
     /* 2317315 */   // Label 32042: @2317315
     /* 2317315 */   GIM_Reject,
     /* 2317316 */ // Label 32040: @2317316
     /* 2317316 */ GIM_Reject,
     /* 2317317 */ // Label 31988: @2317317
     /* 2317317 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2317371), // Rule ID 58219 //
     /* 2317322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317336 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317336 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317343 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317370 */   // GIR_Coverage, 58219,
     /* 2317370 */   GIR_EraseRootFromParent_Done,
     /* 2317371 */ // Label 32043: @2317371
     /* 2317371 */ GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2317425), // Rule ID 58220 //
     /* 2317376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317390 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317424 */   // GIR_Coverage, 58220,
     /* 2317424 */   GIR_EraseRootFromParent_Done,
     /* 2317425 */ // Label 32044: @2317425
     /* 2317425 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2317479), // Rule ID 58659 //
     /* 2317430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317444 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317478 */   // GIR_Coverage, 58659,
     /* 2317478 */   GIR_EraseRootFromParent_Done,
     /* 2317479 */ // Label 32045: @2317479
     /* 2317479 */ GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2317533), // Rule ID 58660 //
     /* 2317484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317498 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317532 */   // GIR_Coverage, 58660,
     /* 2317532 */   GIR_EraseRootFromParent_Done,
     /* 2317533 */ // Label 32046: @2317533
     /* 2317533 */ GIM_Reject,
     /* 2317534 */ // Label 31989: @2317534
     /* 2317534 */ GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2317588), // Rule ID 58231 //
     /* 2317539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317553 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317553 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317556 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317560 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317565 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317572 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317587 */   // GIR_Coverage, 58231,
     /* 2317587 */   GIR_EraseRootFromParent_Done,
     /* 2317588 */ // Label 32047: @2317588
     /* 2317588 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2317642), // Rule ID 58232 //
     /* 2317593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317607 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317626 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317641 */   // GIR_Coverage, 58232,
     /* 2317641 */   GIR_EraseRootFromParent_Done,
     /* 2317642 */ // Label 32048: @2317642
     /* 2317642 */ GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2317696), // Rule ID 58427 //
     /* 2317647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317661 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317661 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317664 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317668 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317673 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317680 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317683 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317695 */   // GIR_Coverage, 58427,
     /* 2317695 */   GIR_EraseRootFromParent_Done,
     /* 2317696 */ // Label 32049: @2317696
     /* 2317696 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2317750), // Rule ID 58428 //
     /* 2317701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317715 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317727 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317734 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317749 */   // GIR_Coverage, 58428,
     /* 2317749 */   GIR_EraseRootFromParent_Done,
     /* 2317750 */ // Label 32050: @2317750
     /* 2317750 */ GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2317804), // Rule ID 58679 //
     /* 2317755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2317758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317769 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317769 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317772 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317776 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2317786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317788 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317803 */   // GIR_Coverage, 58679,
     /* 2317803 */   GIR_EraseRootFromParent_Done,
     /* 2317804 */ // Label 32051: @2317804
     /* 2317804 */ GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2317858), // Rule ID 58680 //
     /* 2317809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317823 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317823 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317826 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317830 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2317840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317842 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317845 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317857 */   // GIR_Coverage, 58680,
     /* 2317857 */   GIR_EraseRootFromParent_Done,
     /* 2317858 */ // Label 32052: @2317858
     /* 2317858 */ GIM_Reject,
     /* 2317859 */ // Label 31990: @2317859
     /* 2317859 */ GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2317913), // Rule ID 58263 //
     /* 2317864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317878 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317878 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317881 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317885 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317890 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2317895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317897 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317900 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317912 */   // GIR_Coverage, 58263,
     /* 2317912 */   GIR_EraseRootFromParent_Done,
     /* 2317913 */ // Label 32053: @2317913
     /* 2317913 */ GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2317967), // Rule ID 58264 //
     /* 2317918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317932 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317932 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317935 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317939 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317944 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2317949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317951 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317954 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317966 */   // GIR_Coverage, 58264,
     /* 2317966 */   GIR_EraseRootFromParent_Done,
     /* 2317967 */ // Label 32054: @2317967
     /* 2317967 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2318021), // Rule ID 58447 //
     /* 2317972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317986 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317986 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317989 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317993 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317998 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318005 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318008 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318020 */   // GIR_Coverage, 58447,
     /* 2318020 */   GIR_EraseRootFromParent_Done,
     /* 2318021 */ // Label 32055: @2318021
     /* 2318021 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2318075), // Rule ID 58448 //
     /* 2318026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2318032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318040 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318040 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318043 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318047 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318052 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318059 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318062 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318074 */   // GIR_Coverage, 58448,
     /* 2318074 */   GIR_EraseRootFromParent_Done,
     /* 2318075 */ // Label 32056: @2318075
     /* 2318075 */ GIM_Reject,
     /* 2318076 */ // Label 31991: @2318076
     /* 2318076 */ GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2318179),
     /* 2318081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318092 */   GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2318135), // Rule ID 58639 //
     /* 2318097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318100 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318134 */     // GIR_Coverage, 58639,
     /* 2318134 */     GIR_EraseRootFromParent_Done,
     /* 2318135 */   // Label 32058: @2318135
     /* 2318135 */   GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2318178), // Rule ID 58640 //
     /* 2318140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318143 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318177 */     // GIR_Coverage, 58640,
     /* 2318177 */     GIR_EraseRootFromParent_Done,
     /* 2318178 */   // Label 32059: @2318178
     /* 2318178 */   GIM_Reject,
     /* 2318179 */ // Label 32057: @2318179
     /* 2318179 */ GIM_Reject,
     /* 2318180 */ // Label 31992: @2318180
     /* 2318180 */ GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2318234), // Rule ID 58227 //
     /* 2318185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318199 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318199 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318202 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318206 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318221 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318233 */   // GIR_Coverage, 58227,
     /* 2318233 */   GIR_EraseRootFromParent_Done,
     /* 2318234 */ // Label 32060: @2318234
     /* 2318234 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2318288), // Rule ID 58228 //
     /* 2318239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318253 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318287 */   // GIR_Coverage, 58228,
     /* 2318287 */   GIR_EraseRootFromParent_Done,
     /* 2318288 */ // Label 32061: @2318288
     /* 2318288 */ GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2318342), // Rule ID 58663 //
     /* 2318293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318307 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318307 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318310 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318314 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318329 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318341 */   // GIR_Coverage, 58663,
     /* 2318341 */   GIR_EraseRootFromParent_Done,
     /* 2318342 */ // Label 32062: @2318342
     /* 2318342 */ GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2318396), // Rule ID 58664 //
     /* 2318347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318361 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318361 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318364 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318368 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318380 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318395 */   // GIR_Coverage, 58664,
     /* 2318395 */   GIR_EraseRootFromParent_Done,
     /* 2318396 */ // Label 32063: @2318396
     /* 2318396 */ GIM_Reject,
     /* 2318397 */ // Label 31993: @2318397
     /* 2318397 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2318451), // Rule ID 58251 //
     /* 2318402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318416 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318450 */   // GIR_Coverage, 58251,
     /* 2318450 */   GIR_EraseRootFromParent_Done,
     /* 2318451 */ // Label 32064: @2318451
     /* 2318451 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2318505), // Rule ID 58252 //
     /* 2318456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318470 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318504 */   // GIR_Coverage, 58252,
     /* 2318504 */   GIR_EraseRootFromParent_Done,
     /* 2318505 */ // Label 32065: @2318505
     /* 2318505 */ GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2318559), // Rule ID 58431 //
     /* 2318510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318524 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318558 */   // GIR_Coverage, 58431,
     /* 2318558 */   GIR_EraseRootFromParent_Done,
     /* 2318559 */ // Label 32066: @2318559
     /* 2318559 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2318613), // Rule ID 58432 //
     /* 2318564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318578 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318597 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318612 */   // GIR_Coverage, 58432,
     /* 2318612 */   GIR_EraseRootFromParent_Done,
     /* 2318613 */ // Label 32067: @2318613
     /* 2318613 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2318667), // Rule ID 58683 //
     /* 2318618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2318621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318632 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318632 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318635 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318639 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2318649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318651 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318654 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318666 */   // GIR_Coverage, 58683,
     /* 2318666 */   GIR_EraseRootFromParent_Done,
     /* 2318667 */ // Label 32068: @2318667
     /* 2318667 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2318721), // Rule ID 58684 //
     /* 2318672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2318675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318686 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318686 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318689 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318693 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318698 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2318703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318708 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318720 */   // GIR_Coverage, 58684,
     /* 2318720 */   GIR_EraseRootFromParent_Done,
     /* 2318721 */ // Label 32069: @2318721
     /* 2318721 */ GIM_Reject,
     /* 2318722 */ // Label 31994: @2318722
     /* 2318722 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2318776), // Rule ID 58267 //
     /* 2318727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2318730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318741 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318741 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318748 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318753 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2318758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318760 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318763 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318775 */   // GIR_Coverage, 58267,
     /* 2318775 */   GIR_EraseRootFromParent_Done,
     /* 2318776 */ // Label 32070: @2318776
     /* 2318776 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2318830), // Rule ID 58268 //
     /* 2318781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2318784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318795 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2318812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318829 */   // GIR_Coverage, 58268,
     /* 2318829 */   GIR_EraseRootFromParent_Done,
     /* 2318830 */ // Label 32071: @2318830
     /* 2318830 */ GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2318884), // Rule ID 58451 //
     /* 2318835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2318838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318849 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2318866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318883 */   // GIR_Coverage, 58451,
     /* 2318883 */   GIR_EraseRootFromParent_Done,
     /* 2318884 */ // Label 32072: @2318884
     /* 2318884 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2318938), // Rule ID 58452 //
     /* 2318889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318903 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2318920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318925 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318937 */   // GIR_Coverage, 58452,
     /* 2318937 */   GIR_EraseRootFromParent_Done,
     /* 2318938 */ // Label 32073: @2318938
     /* 2318938 */ GIM_Reject,
     /* 2318939 */ // Label 31995: @2318939
     /* 2318939 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2319042),
     /* 2318944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318955 */   GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2318998), // Rule ID 58643 //
     /* 2318960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318963 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2318966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318997 */     // GIR_Coverage, 58643,
     /* 2318997 */     GIR_EraseRootFromParent_Done,
     /* 2318998 */   // Label 32075: @2318998
     /* 2318998 */   GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2319041), // Rule ID 58644 //
     /* 2319003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319006 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2319009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2319023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319040 */     // GIR_Coverage, 58644,
     /* 2319040 */     GIR_EraseRootFromParent_Done,
     /* 2319041 */   // Label 32076: @2319041
     /* 2319041 */   GIM_Reject,
     /* 2319042 */ // Label 32074: @2319042
     /* 2319042 */ GIM_Reject,
     /* 2319043 */ // Label 31996: @2319043
     /* 2319043 */ GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2319097), // Rule ID 58239 //
     /* 2319048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319062 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319096 */   // GIR_Coverage, 58239,
     /* 2319096 */   GIR_EraseRootFromParent_Done,
     /* 2319097 */ // Label 32077: @2319097
     /* 2319097 */ GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2319151), // Rule ID 58240 //
     /* 2319102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319116 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319150 */   // GIR_Coverage, 58240,
     /* 2319150 */   GIR_EraseRootFromParent_Done,
     /* 2319151 */ // Label 32078: @2319151
     /* 2319151 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2319205), // Rule ID 58667 //
     /* 2319156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319170 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319204 */   // GIR_Coverage, 58667,
     /* 2319204 */   GIR_EraseRootFromParent_Done,
     /* 2319205 */ // Label 32079: @2319205
     /* 2319205 */ GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2319259), // Rule ID 58668 //
     /* 2319210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319224 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319258 */   // GIR_Coverage, 58668,
     /* 2319258 */   GIR_EraseRootFromParent_Done,
     /* 2319259 */ // Label 32080: @2319259
     /* 2319259 */ GIM_Reject,
     /* 2319260 */ // Label 31997: @2319260
     /* 2319260 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2319314), // Rule ID 58255 //
     /* 2319265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319279 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319313 */   // GIR_Coverage, 58255,
     /* 2319313 */   GIR_EraseRootFromParent_Done,
     /* 2319314 */ // Label 32081: @2319314
     /* 2319314 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2319368), // Rule ID 58256 //
     /* 2319319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319333 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319367 */   // GIR_Coverage, 58256,
     /* 2319367 */   GIR_EraseRootFromParent_Done,
     /* 2319368 */ // Label 32082: @2319368
     /* 2319368 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2319422), // Rule ID 58435 //
     /* 2319373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319387 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319421 */   // GIR_Coverage, 58435,
     /* 2319421 */   GIR_EraseRootFromParent_Done,
     /* 2319422 */ // Label 32083: @2319422
     /* 2319422 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2319476), // Rule ID 58436 //
     /* 2319427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319441 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319475 */   // GIR_Coverage, 58436,
     /* 2319475 */   GIR_EraseRootFromParent_Done,
     /* 2319476 */ // Label 32084: @2319476
     /* 2319476 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2319530), // Rule ID 58687 //
     /* 2319481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2319484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319495 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319529 */   // GIR_Coverage, 58687,
     /* 2319529 */   GIR_EraseRootFromParent_Done,
     /* 2319530 */ // Label 32085: @2319530
     /* 2319530 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2319584), // Rule ID 58688 //
     /* 2319535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2319538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319549 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319583 */   // GIR_Coverage, 58688,
     /* 2319583 */   GIR_EraseRootFromParent_Done,
     /* 2319584 */ // Label 32086: @2319584
     /* 2319584 */ GIM_Reject,
     /* 2319585 */ // Label 31998: @2319585
     /* 2319585 */ GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2319639), // Rule ID 58271 //
     /* 2319590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2319593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319604 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319604 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319607 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319611 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319616 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2319621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319623 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319626 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319638 */   // GIR_Coverage, 58271,
     /* 2319638 */   GIR_EraseRootFromParent_Done,
     /* 2319639 */ // Label 32087: @2319639
     /* 2319639 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2319693), // Rule ID 58272 //
     /* 2319644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2319647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319658 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2319675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319692 */   // GIR_Coverage, 58272,
     /* 2319692 */   GIR_EraseRootFromParent_Done,
     /* 2319693 */ // Label 32088: @2319693
     /* 2319693 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2319747), // Rule ID 58455 //
     /* 2319698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2319701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319712 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2319729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319746 */   // GIR_Coverage, 58455,
     /* 2319746 */   GIR_EraseRootFromParent_Done,
     /* 2319747 */ // Label 32089: @2319747
     /* 2319747 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2319801), // Rule ID 58456 //
     /* 2319752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2319755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319766 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319778 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2319783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319800 */   // GIR_Coverage, 58456,
     /* 2319800 */   GIR_EraseRootFromParent_Done,
     /* 2319801 */ // Label 32090: @2319801
     /* 2319801 */ GIM_Reject,
     /* 2319802 */ // Label 31999: @2319802
     /* 2319802 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2319905),
     /* 2319807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319818 */   GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2319861), // Rule ID 58647 //
     /* 2319823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319826 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2319829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319860 */     // GIR_Coverage, 58647,
     /* 2319860 */     GIR_EraseRootFromParent_Done,
     /* 2319861 */   // Label 32092: @2319861
     /* 2319861 */   GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2319904), // Rule ID 58648 //
     /* 2319866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319869 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2319872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319903 */     // GIR_Coverage, 58648,
     /* 2319903 */     GIR_EraseRootFromParent_Done,
     /* 2319904 */   // Label 32093: @2319904
     /* 2319904 */   GIM_Reject,
     /* 2319905 */ // Label 32091: @2319905
     /* 2319905 */ GIM_Reject,
     /* 2319906 */ // Label 32000: @2319906
     /* 2319906 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2319960), // Rule ID 58243 //
     /* 2319911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319925 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319959 */   // GIR_Coverage, 58243,
     /* 2319959 */   GIR_EraseRootFromParent_Done,
     /* 2319960 */ // Label 32094: @2319960
     /* 2319960 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2320014), // Rule ID 58244 //
     /* 2319965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319979 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320013 */   // GIR_Coverage, 58244,
     /* 2320013 */   GIR_EraseRootFromParent_Done,
     /* 2320014 */ // Label 32095: @2320014
     /* 2320014 */ GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2320068), // Rule ID 58671 //
     /* 2320019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320033 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320067 */   // GIR_Coverage, 58671,
     /* 2320067 */   GIR_EraseRootFromParent_Done,
     /* 2320068 */ // Label 32096: @2320068
     /* 2320068 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2320122), // Rule ID 58672 //
     /* 2320073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320087 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320121 */   // GIR_Coverage, 58672,
     /* 2320121 */   GIR_EraseRootFromParent_Done,
     /* 2320122 */ // Label 32097: @2320122
     /* 2320122 */ GIM_Reject,
     /* 2320123 */ // Label 32001: @2320123
     /* 2320123 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2320177), // Rule ID 58259 //
     /* 2320128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320142 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320142 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320145 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320149 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320161 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320176 */   // GIR_Coverage, 58259,
     /* 2320176 */   GIR_EraseRootFromParent_Done,
     /* 2320177 */ // Label 32098: @2320177
     /* 2320177 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2320231), // Rule ID 58260 //
     /* 2320182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320196 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320230 */   // GIR_Coverage, 58260,
     /* 2320230 */   GIR_EraseRootFromParent_Done,
     /* 2320231 */ // Label 32099: @2320231
     /* 2320231 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2320285), // Rule ID 58439 //
     /* 2320236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320250 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320284 */   // GIR_Coverage, 58439,
     /* 2320284 */   GIR_EraseRootFromParent_Done,
     /* 2320285 */ // Label 32100: @2320285
     /* 2320285 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2320339), // Rule ID 58440 //
     /* 2320290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320304 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320338 */   // GIR_Coverage, 58440,
     /* 2320338 */   GIR_EraseRootFromParent_Done,
     /* 2320339 */ // Label 32101: @2320339
     /* 2320339 */ GIM_Reject,
     /* 2320340 */ // Label 32002: @2320340
     /* 2320340 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2320443),
     /* 2320345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320356 */   GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2320399), // Rule ID 58651 //
     /* 2320361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320364 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320398 */     // GIR_Coverage, 58651,
     /* 2320398 */     GIR_EraseRootFromParent_Done,
     /* 2320399 */   // Label 32103: @2320399
     /* 2320399 */   GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2320442), // Rule ID 58652 //
     /* 2320404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320407 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320441 */     // GIR_Coverage, 58652,
     /* 2320441 */     GIR_EraseRootFromParent_Done,
     /* 2320442 */   // Label 32104: @2320442
     /* 2320442 */   GIM_Reject,
     /* 2320443 */ // Label 32102: @2320443
     /* 2320443 */ GIM_Reject,
     /* 2320444 */ // Label 32003: @2320444
     /* 2320444 */ GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2320547),
     /* 2320449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320460 */   GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2320503), // Rule ID 58247 //
     /* 2320465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320468 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320502 */     // GIR_Coverage, 58247,
     /* 2320502 */     GIR_EraseRootFromParent_Done,
     /* 2320503 */   // Label 32106: @2320503
     /* 2320503 */   GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2320546), // Rule ID 58248 //
     /* 2320508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320511 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320545 */     // GIR_Coverage, 58248,
     /* 2320545 */     GIR_EraseRootFromParent_Done,
     /* 2320546 */   // Label 32107: @2320546
     /* 2320546 */   GIM_Reject,
     /* 2320547 */ // Label 32105: @2320547
     /* 2320547 */ GIM_Reject,
     /* 2320548 */ // Label 32004: @2320548
     /* 2320548 */ GIM_Reject,
     /* 2320549 */ // Label 69: @2320549
     /* 2320549 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32126*/ GIMT_Encode4(2325834),
     /* 2320560 */ /*GILLT_s16*//*Label 32108*/ GIMT_Encode4(2320680),
     /* 2320564 */ /*GILLT_s32*//*Label 32109*/ GIMT_Encode4(2320941),
     /* 2320568 */ /*GILLT_s64*//*Label 32110*/ GIMT_Encode4(2321202), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320580 */ /*GILLT_nxv1s16*//*Label 32111*/ GIMT_Encode4(2321463),
     /* 2320584 */ /*GILLT_nxv1s32*//*Label 32112*/ GIMT_Encode4(2321800),
     /* 2320588 */ /*GILLT_nxv1s64*//*Label 32113*/ GIMT_Encode4(2322137), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320600 */ /*GILLT_nxv2s16*//*Label 32114*/ GIMT_Encode4(2322360),
     /* 2320604 */ /*GILLT_nxv2s32*//*Label 32115*/ GIMT_Encode4(2322697),
     /* 2320608 */ /*GILLT_nxv2s64*//*Label 32116*/ GIMT_Encode4(2323034), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320620 */ /*GILLT_nxv4s16*//*Label 32117*/ GIMT_Encode4(2323257),
     /* 2320624 */ /*GILLT_nxv4s32*//*Label 32118*/ GIMT_Encode4(2323594),
     /* 2320628 */ /*GILLT_nxv4s64*//*Label 32119*/ GIMT_Encode4(2323931), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320640 */ /*GILLT_nxv8s16*//*Label 32120*/ GIMT_Encode4(2324154),
     /* 2320644 */ /*GILLT_nxv8s32*//*Label 32121*/ GIMT_Encode4(2324491),
     /* 2320648 */ /*GILLT_nxv8s64*//*Label 32122*/ GIMT_Encode4(2324828), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320660 */ /*GILLT_nxv16s16*//*Label 32123*/ GIMT_Encode4(2325051),
     /* 2320664 */ /*GILLT_nxv16s32*//*Label 32124*/ GIMT_Encode4(2325388), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320676 */ /*GILLT_nxv32s16*//*Label 32125*/ GIMT_Encode4(2325611),
     /* 2320680 */ // Label 32108: @2320680
     /* 2320680 */ GIM_Try, /*On fail goto*//*Label 32127*/ GIMT_Encode4(2320717), // Rule ID 2144 //
     /* 2320685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2320688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320695 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2320702 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2320705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320707 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320716 */   // GIR_Coverage, 2144,
     /* 2320716 */   GIR_EraseRootFromParent_Done,
     /* 2320717 */ // Label 32127: @2320717
     /* 2320717 */ GIM_Try, /*On fail goto*//*Label 32128*/ GIMT_Encode4(2320754), // Rule ID 2170 //
     /* 2320722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2320725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2320739 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2320742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320753 */   // GIR_Coverage, 2170,
     /* 2320753 */   GIR_EraseRootFromParent_Done,
     /* 2320754 */ // Label 32128: @2320754
     /* 2320754 */ GIM_Try, /*On fail goto*//*Label 32129*/ GIMT_Encode4(2320785), // Rule ID 2093 //
     /* 2320759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2320762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320773 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2320773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2320776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320784 */   // GIR_Coverage, 2093,
     /* 2320784 */   GIR_EraseRootFromParent_Done,
     /* 2320785 */ // Label 32129: @2320785
     /* 2320785 */ GIM_Try, /*On fail goto*//*Label 32130*/ GIMT_Encode4(2320816), // Rule ID 2094 //
     /* 2320790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2320793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320804 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2320804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2320807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320815 */   // GIR_Coverage, 2094,
     /* 2320815 */   GIR_EraseRootFromParent_Done,
     /* 2320816 */ // Label 32130: @2320816
     /* 2320816 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2320847), // Rule ID 2119 //
     /* 2320821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2320824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320835 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2320835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2320838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320840 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320846 */   // GIR_Coverage, 2119,
     /* 2320846 */   GIR_EraseRootFromParent_Done,
     /* 2320847 */ // Label 32131: @2320847
     /* 2320847 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2320878), // Rule ID 2120 //
     /* 2320852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2320855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320866 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2320866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2320869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320877 */   // GIR_Coverage, 2120,
     /* 2320877 */   GIR_EraseRootFromParent_Done,
     /* 2320878 */ // Label 32132: @2320878
     /* 2320878 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2320909), // Rule ID 2148 //
     /* 2320883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2320886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320897 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2320900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320908 */   // GIR_Coverage, 2148,
     /* 2320908 */   GIR_EraseRootFromParent_Done,
     /* 2320909 */ // Label 32133: @2320909
     /* 2320909 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2320940), // Rule ID 2174 //
     /* 2320914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2320917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320928 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2320931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320939 */   // GIR_Coverage, 2174,
     /* 2320939 */   GIR_EraseRootFromParent_Done,
     /* 2320940 */ // Label 32134: @2320940
     /* 2320940 */ GIM_Reject,
     /* 2320941 */ // Label 32109: @2320941
     /* 2320941 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2320978), // Rule ID 1410 //
     /* 2320946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2320949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320956 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2320963 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2320966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320977 */   // GIR_Coverage, 1410,
     /* 2320977 */   GIR_EraseRootFromParent_Done,
     /* 2320978 */ // Label 32135: @2320978
     /* 2320978 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2321015), // Rule ID 1438 //
     /* 2320983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2320986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320993 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321000 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321014 */   // GIR_Coverage, 1438,
     /* 2321014 */   GIR_EraseRootFromParent_Done,
     /* 2321015 */ // Label 32136: @2321015
     /* 2321015 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2321046), // Rule ID 1357 //
     /* 2321020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2321023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321034 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321045 */   // GIR_Coverage, 1357,
     /* 2321045 */   GIR_EraseRootFromParent_Done,
     /* 2321046 */ // Label 32137: @2321046
     /* 2321046 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2321077), // Rule ID 1358 //
     /* 2321051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2321054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321065 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321076 */   // GIR_Coverage, 1358,
     /* 2321076 */   GIR_EraseRootFromParent_Done,
     /* 2321077 */ // Label 32138: @2321077
     /* 2321077 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2321108), // Rule ID 1383 //
     /* 2321082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2321085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321096 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321107 */   // GIR_Coverage, 1383,
     /* 2321107 */   GIR_EraseRootFromParent_Done,
     /* 2321108 */ // Label 32139: @2321108
     /* 2321108 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2321139), // Rule ID 1384 //
     /* 2321113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2321116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321127 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321138 */   // GIR_Coverage, 1384,
     /* 2321138 */   GIR_EraseRootFromParent_Done,
     /* 2321139 */ // Label 32140: @2321139
     /* 2321139 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2321170), // Rule ID 1414 //
     /* 2321144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2321147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321158 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2321161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321169 */   // GIR_Coverage, 1414,
     /* 2321169 */   GIR_EraseRootFromParent_Done,
     /* 2321170 */ // Label 32141: @2321170
     /* 2321170 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2321201), // Rule ID 1442 //
     /* 2321175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2321178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321189 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2321192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321194 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321200 */   // GIR_Coverage, 1442,
     /* 2321200 */   GIR_EraseRootFromParent_Done,
     /* 2321201 */ // Label 32142: @2321201
     /* 2321201 */ GIM_Reject,
     /* 2321202 */ // Label 32110: @2321202
     /* 2321202 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2321239), // Rule ID 1790 //
     /* 2321207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321217 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321224 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321238 */   // GIR_Coverage, 1790,
     /* 2321238 */   GIR_EraseRootFromParent_Done,
     /* 2321239 */ // Label 32143: @2321239
     /* 2321239 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2321276), // Rule ID 1818 //
     /* 2321244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321254 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321261 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2321264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321275 */   // GIR_Coverage, 1818,
     /* 2321275 */   GIR_EraseRootFromParent_Done,
     /* 2321276 */ // Label 32144: @2321276
     /* 2321276 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2321307), // Rule ID 1751 //
     /* 2321281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2321284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321295 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321300 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321306 */   // GIR_Coverage, 1751,
     /* 2321306 */   GIR_EraseRootFromParent_Done,
     /* 2321307 */ // Label 32145: @2321307
     /* 2321307 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2321338), // Rule ID 1752 //
     /* 2321312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2321315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321326 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321331 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321337 */   // GIR_Coverage, 1752,
     /* 2321337 */   GIR_EraseRootFromParent_Done,
     /* 2321338 */ // Label 32146: @2321338
     /* 2321338 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2321369), // Rule ID 1777 //
     /* 2321343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2321346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321357 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321362 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321368 */   // GIR_Coverage, 1777,
     /* 2321368 */   GIR_EraseRootFromParent_Done,
     /* 2321369 */ // Label 32147: @2321369
     /* 2321369 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2321400), // Rule ID 1778 //
     /* 2321374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2321377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321388 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321393 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321399 */   // GIR_Coverage, 1778,
     /* 2321399 */   GIR_EraseRootFromParent_Done,
     /* 2321400 */ // Label 32148: @2321400
     /* 2321400 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2321431), // Rule ID 1808 //
     /* 2321405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321419 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2321422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321424 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321430 */   // GIR_Coverage, 1808,
     /* 2321430 */   GIR_EraseRootFromParent_Done,
     /* 2321431 */ // Label 32149: @2321431
     /* 2321431 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2321462), // Rule ID 1836 //
     /* 2321436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321450 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2321453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321455 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321461 */   // GIR_Coverage, 1836,
     /* 2321461 */   GIR_EraseRootFromParent_Done,
     /* 2321462 */ // Label 32150: @2321462
     /* 2321462 */ GIM_Reject,
     /* 2321463 */ // Label 32111: @2321463
     /* 2321463 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2321520), // Rule ID 45671 //
     /* 2321468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321482 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321519 */   // GIR_Coverage, 45671,
     /* 2321519 */   GIR_EraseRootFromParent_Done,
     /* 2321520 */ // Label 32151: @2321520
     /* 2321520 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2321577), // Rule ID 45672 //
     /* 2321525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321539 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321539 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321542 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321546 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321576 */   // GIR_Coverage, 45672,
     /* 2321576 */   GIR_EraseRootFromParent_Done,
     /* 2321577 */ // Label 32152: @2321577
     /* 2321577 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2321631), // Rule ID 45679 //
     /* 2321582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2321588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321596 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321596 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321599 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321603 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2321613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321615 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321618 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321630 */   // GIR_Coverage, 45679,
     /* 2321630 */   GIR_EraseRootFromParent_Done,
     /* 2321631 */ // Label 32153: @2321631
     /* 2321631 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2321685), // Rule ID 45680 //
     /* 2321636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2321642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321650 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321662 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2321667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321669 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321672 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321684 */   // GIR_Coverage, 45680,
     /* 2321684 */   GIR_EraseRootFromParent_Done,
     /* 2321685 */ // Label 32154: @2321685
     /* 2321685 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2321742), // Rule ID 45687 //
     /* 2321690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321704 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321716 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2321721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321726 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321741 */   // GIR_Coverage, 45687,
     /* 2321741 */   GIR_EraseRootFromParent_Done,
     /* 2321742 */ // Label 32155: @2321742
     /* 2321742 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2321799), // Rule ID 45688 //
     /* 2321747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321761 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321773 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2321778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321780 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321783 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321798 */   // GIR_Coverage, 45688,
     /* 2321798 */   GIR_EraseRootFromParent_Done,
     /* 2321799 */ // Label 32156: @2321799
     /* 2321799 */ GIM_Reject,
     /* 2321800 */ // Label 32112: @2321800
     /* 2321800 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2321857), // Rule ID 58279 //
     /* 2321805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321819 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2321836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321856 */   // GIR_Coverage, 58279,
     /* 2321856 */   GIR_EraseRootFromParent_Done,
     /* 2321857 */ // Label 32157: @2321857
     /* 2321857 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2321914), // Rule ID 58280 //
     /* 2321862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321876 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2321893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321913 */   // GIR_Coverage, 58280,
     /* 2321913 */   GIR_EraseRootFromParent_Done,
     /* 2321914 */ // Label 32158: @2321914
     /* 2321914 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2321968), // Rule ID 58479 //
     /* 2321919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321933 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2321950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321967 */   // GIR_Coverage, 58479,
     /* 2321967 */   GIR_EraseRootFromParent_Done,
     /* 2321968 */ // Label 32159: @2321968
     /* 2321968 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2322022), // Rule ID 58480 //
     /* 2321973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321987 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2322004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322021 */   // GIR_Coverage, 58480,
     /* 2322021 */   GIR_EraseRootFromParent_Done,
     /* 2322022 */ // Label 32160: @2322022
     /* 2322022 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2322079), // Rule ID 58707 //
     /* 2322027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322041 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322063 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322078 */   // GIR_Coverage, 58707,
     /* 2322078 */   GIR_EraseRootFromParent_Done,
     /* 2322079 */ // Label 32161: @2322079
     /* 2322079 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2322136), // Rule ID 58708 //
     /* 2322084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322098 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322120 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322135 */   // GIR_Coverage, 58708,
     /* 2322135 */   GIR_EraseRootFromParent_Done,
     /* 2322136 */ // Label 32162: @2322136
     /* 2322136 */ GIM_Reject,
     /* 2322137 */ // Label 32113: @2322137
     /* 2322137 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2322194), // Rule ID 58291 //
     /* 2322142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322156 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322175 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322193 */   // GIR_Coverage, 58291,
     /* 2322193 */   GIR_EraseRootFromParent_Done,
     /* 2322194 */ // Label 32163: @2322194
     /* 2322194 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2322251), // Rule ID 58292 //
     /* 2322199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322213 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322232 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322250 */   // GIR_Coverage, 58292,
     /* 2322250 */   GIR_EraseRootFromParent_Done,
     /* 2322251 */ // Label 32164: @2322251
     /* 2322251 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2322305), // Rule ID 58499 //
     /* 2322256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322270 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322270 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322273 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322277 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322282 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322289 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322304 */   // GIR_Coverage, 58499,
     /* 2322304 */   GIR_EraseRootFromParent_Done,
     /* 2322305 */ // Label 32165: @2322305
     /* 2322305 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2322359), // Rule ID 58500 //
     /* 2322310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322324 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322324 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322327 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322331 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322346 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322358 */   // GIR_Coverage, 58500,
     /* 2322358 */   GIR_EraseRootFromParent_Done,
     /* 2322359 */ // Label 32166: @2322359
     /* 2322359 */ GIM_Reject,
     /* 2322360 */ // Label 32114: @2322360
     /* 2322360 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2322417), // Rule ID 58275 //
     /* 2322365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322379 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322401 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322416 */   // GIR_Coverage, 58275,
     /* 2322416 */   GIR_EraseRootFromParent_Done,
     /* 2322417 */ // Label 32167: @2322417
     /* 2322417 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2322474), // Rule ID 58276 //
     /* 2322422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322436 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322436 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322439 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322443 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322448 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322455 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322473 */   // GIR_Coverage, 58276,
     /* 2322473 */   GIR_EraseRootFromParent_Done,
     /* 2322474 */ // Label 32168: @2322474
     /* 2322474 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2322528), // Rule ID 58459 //
     /* 2322479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322493 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322515 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322527 */   // GIR_Coverage, 58459,
     /* 2322527 */   GIR_EraseRootFromParent_Done,
     /* 2322528 */ // Label 32169: @2322528
     /* 2322528 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2322582), // Rule ID 58460 //
     /* 2322533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322547 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322547 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322550 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322554 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322559 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322569 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322581 */   // GIR_Coverage, 58460,
     /* 2322581 */   GIR_EraseRootFromParent_Done,
     /* 2322582 */ // Label 32170: @2322582
     /* 2322582 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2322639), // Rule ID 58691 //
     /* 2322587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322601 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322601 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322604 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322608 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322613 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2322618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322620 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322623 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322638 */   // GIR_Coverage, 58691,
     /* 2322638 */   GIR_EraseRootFromParent_Done,
     /* 2322639 */ // Label 32171: @2322639
     /* 2322639 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2322696), // Rule ID 58692 //
     /* 2322644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322658 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2322675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322695 */   // GIR_Coverage, 58692,
     /* 2322695 */   GIR_EraseRootFromParent_Done,
     /* 2322696 */ // Label 32172: @2322696
     /* 2322696 */ GIM_Reject,
     /* 2322697 */ // Label 32115: @2322697
     /* 2322697 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2322754), // Rule ID 58287 //
     /* 2322702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322716 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2322733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322753 */   // GIR_Coverage, 58287,
     /* 2322753 */   GIR_EraseRootFromParent_Done,
     /* 2322754 */ // Label 32173: @2322754
     /* 2322754 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2322811), // Rule ID 58288 //
     /* 2322759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322773 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322773 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322776 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322780 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322785 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2322790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322792 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322795 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322810 */   // GIR_Coverage, 58288,
     /* 2322810 */   GIR_EraseRootFromParent_Done,
     /* 2322811 */ // Label 32174: @2322811
     /* 2322811 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2322865), // Rule ID 58483 //
     /* 2322816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322830 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322830 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322833 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322837 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322842 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2322847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322849 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322852 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322864 */   // GIR_Coverage, 58483,
     /* 2322864 */   GIR_EraseRootFromParent_Done,
     /* 2322865 */ // Label 32175: @2322865
     /* 2322865 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2322919), // Rule ID 58484 //
     /* 2322870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322884 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322884 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322887 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322891 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322896 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2322901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322906 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322918 */   // GIR_Coverage, 58484,
     /* 2322918 */   GIR_EraseRootFromParent_Done,
     /* 2322919 */ // Label 32176: @2322919
     /* 2322919 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2322976), // Rule ID 58711 //
     /* 2322924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322938 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322950 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2322955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322957 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322960 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322975 */   // GIR_Coverage, 58711,
     /* 2322975 */   GIR_EraseRootFromParent_Done,
     /* 2322976 */ // Label 32177: @2322976
     /* 2322976 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2323033), // Rule ID 58712 //
     /* 2322981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322995 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322995 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322998 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323002 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323007 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2323012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323014 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323017 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323032 */   // GIR_Coverage, 58712,
     /* 2323032 */   GIR_EraseRootFromParent_Done,
     /* 2323033 */ // Label 32178: @2323033
     /* 2323033 */ GIM_Reject,
     /* 2323034 */ // Label 32116: @2323034
     /* 2323034 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2323091), // Rule ID 58319 //
     /* 2323039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323053 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323090 */   // GIR_Coverage, 58319,
     /* 2323090 */   GIR_EraseRootFromParent_Done,
     /* 2323091 */ // Label 32179: @2323091
     /* 2323091 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2323148), // Rule ID 58320 //
     /* 2323096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323110 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323147 */   // GIR_Coverage, 58320,
     /* 2323147 */   GIR_EraseRootFromParent_Done,
     /* 2323148 */ // Label 32180: @2323148
     /* 2323148 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2323202), // Rule ID 58503 //
     /* 2323153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323167 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323201 */   // GIR_Coverage, 58503,
     /* 2323201 */   GIR_EraseRootFromParent_Done,
     /* 2323202 */ // Label 32181: @2323202
     /* 2323202 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2323256), // Rule ID 58504 //
     /* 2323207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323221 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323240 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323243 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323255 */   // GIR_Coverage, 58504,
     /* 2323255 */   GIR_EraseRootFromParent_Done,
     /* 2323256 */ // Label 32182: @2323256
     /* 2323256 */ GIM_Reject,
     /* 2323257 */ // Label 32117: @2323257
     /* 2323257 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2323314), // Rule ID 58283 //
     /* 2323262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323276 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323313 */   // GIR_Coverage, 58283,
     /* 2323313 */   GIR_EraseRootFromParent_Done,
     /* 2323314 */ // Label 32183: @2323314
     /* 2323314 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2323371), // Rule ID 58284 //
     /* 2323319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323333 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323370 */   // GIR_Coverage, 58284,
     /* 2323370 */   GIR_EraseRootFromParent_Done,
     /* 2323371 */ // Label 32184: @2323371
     /* 2323371 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2323425), // Rule ID 58463 //
     /* 2323376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323390 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323424 */   // GIR_Coverage, 58463,
     /* 2323424 */   GIR_EraseRootFromParent_Done,
     /* 2323425 */ // Label 32185: @2323425
     /* 2323425 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2323479), // Rule ID 58464 //
     /* 2323430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323444 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323478 */   // GIR_Coverage, 58464,
     /* 2323478 */   GIR_EraseRootFromParent_Done,
     /* 2323479 */ // Label 32186: @2323479
     /* 2323479 */ GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2323536), // Rule ID 58695 //
     /* 2323484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323498 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323535 */   // GIR_Coverage, 58695,
     /* 2323535 */   GIR_EraseRootFromParent_Done,
     /* 2323536 */ // Label 32187: @2323536
     /* 2323536 */ GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2323593), // Rule ID 58696 //
     /* 2323541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323555 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323592 */   // GIR_Coverage, 58696,
     /* 2323592 */   GIR_EraseRootFromParent_Done,
     /* 2323593 */ // Label 32188: @2323593
     /* 2323593 */ GIM_Reject,
     /* 2323594 */ // Label 32118: @2323594
     /* 2323594 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2323651), // Rule ID 58307 //
     /* 2323599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323613 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2323630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323650 */   // GIR_Coverage, 58307,
     /* 2323650 */   GIR_EraseRootFromParent_Done,
     /* 2323651 */ // Label 32189: @2323651
     /* 2323651 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2323708), // Rule ID 58308 //
     /* 2323656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323670 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2323687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323692 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323707 */   // GIR_Coverage, 58308,
     /* 2323707 */   GIR_EraseRootFromParent_Done,
     /* 2323708 */ // Label 32190: @2323708
     /* 2323708 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2323762), // Rule ID 58487 //
     /* 2323713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323727 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323727 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323730 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323734 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323739 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2323744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323749 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323761 */   // GIR_Coverage, 58487,
     /* 2323761 */   GIR_EraseRootFromParent_Done,
     /* 2323762 */ // Label 32191: @2323762
     /* 2323762 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2323816), // Rule ID 58488 //
     /* 2323767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323781 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323781 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323784 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323788 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323793 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2323798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323800 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323815 */   // GIR_Coverage, 58488,
     /* 2323815 */   GIR_EraseRootFromParent_Done,
     /* 2323816 */ // Label 32192: @2323816
     /* 2323816 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2323873), // Rule ID 58715 //
     /* 2323821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323835 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323835 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323838 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323842 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323847 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2323852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323857 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323872 */   // GIR_Coverage, 58715,
     /* 2323872 */   GIR_EraseRootFromParent_Done,
     /* 2323873 */ // Label 32193: @2323873
     /* 2323873 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2323930), // Rule ID 58716 //
     /* 2323878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323892 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323892 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323895 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323899 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323904 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2323909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323911 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323914 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323929 */   // GIR_Coverage, 58716,
     /* 2323929 */   GIR_EraseRootFromParent_Done,
     /* 2323930 */ // Label 32194: @2323930
     /* 2323930 */ GIM_Reject,
     /* 2323931 */ // Label 32119: @2323931
     /* 2323931 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2323988), // Rule ID 58323 //
     /* 2323936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323950 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2323967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323987 */   // GIR_Coverage, 58323,
     /* 2323987 */   GIR_EraseRootFromParent_Done,
     /* 2323988 */ // Label 32195: @2323988
     /* 2323988 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2324045), // Rule ID 58324 //
     /* 2323993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324007 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2324024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324029 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324044 */   // GIR_Coverage, 58324,
     /* 2324044 */   GIR_EraseRootFromParent_Done,
     /* 2324045 */ // Label 32196: @2324045
     /* 2324045 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2324099), // Rule ID 58507 //
     /* 2324050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2324053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324064 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324083 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324098 */   // GIR_Coverage, 58507,
     /* 2324098 */   GIR_EraseRootFromParent_Done,
     /* 2324099 */ // Label 32197: @2324099
     /* 2324099 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2324153), // Rule ID 58508 //
     /* 2324104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2324107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324118 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324118 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324125 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324130 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324140 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324152 */   // GIR_Coverage, 58508,
     /* 2324152 */   GIR_EraseRootFromParent_Done,
     /* 2324153 */ // Label 32198: @2324153
     /* 2324153 */ GIM_Reject,
     /* 2324154 */ // Label 32120: @2324154
     /* 2324154 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2324211), // Rule ID 58295 //
     /* 2324159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324173 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324210 */   // GIR_Coverage, 58295,
     /* 2324210 */   GIR_EraseRootFromParent_Done,
     /* 2324211 */ // Label 32199: @2324211
     /* 2324211 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2324268), // Rule ID 58296 //
     /* 2324216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324230 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324267 */   // GIR_Coverage, 58296,
     /* 2324267 */   GIR_EraseRootFromParent_Done,
     /* 2324268 */ // Label 32200: @2324268
     /* 2324268 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2324322), // Rule ID 58467 //
     /* 2324273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324287 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324321 */   // GIR_Coverage, 58467,
     /* 2324321 */   GIR_EraseRootFromParent_Done,
     /* 2324322 */ // Label 32201: @2324322
     /* 2324322 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2324376), // Rule ID 58468 //
     /* 2324327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324341 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324375 */   // GIR_Coverage, 58468,
     /* 2324375 */   GIR_EraseRootFromParent_Done,
     /* 2324376 */ // Label 32202: @2324376
     /* 2324376 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2324433), // Rule ID 58699 //
     /* 2324381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324395 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324417 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324432 */   // GIR_Coverage, 58699,
     /* 2324432 */   GIR_EraseRootFromParent_Done,
     /* 2324433 */ // Label 32203: @2324433
     /* 2324433 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2324490), // Rule ID 58700 //
     /* 2324438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324452 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324489 */   // GIR_Coverage, 58700,
     /* 2324489 */   GIR_EraseRootFromParent_Done,
     /* 2324490 */ // Label 32204: @2324490
     /* 2324490 */ GIM_Reject,
     /* 2324491 */ // Label 32121: @2324491
     /* 2324491 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2324548), // Rule ID 58311 //
     /* 2324496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324510 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324529 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324547 */   // GIR_Coverage, 58311,
     /* 2324547 */   GIR_EraseRootFromParent_Done,
     /* 2324548 */ // Label 32205: @2324548
     /* 2324548 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2324605), // Rule ID 58312 //
     /* 2324553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324567 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324567 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324570 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324574 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324604 */   // GIR_Coverage, 58312,
     /* 2324604 */   GIR_EraseRootFromParent_Done,
     /* 2324605 */ // Label 32206: @2324605
     /* 2324605 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2324659), // Rule ID 58491 //
     /* 2324610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324624 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324624 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324627 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324631 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324636 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2324641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324643 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324646 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324658 */   // GIR_Coverage, 58491,
     /* 2324658 */   GIR_EraseRootFromParent_Done,
     /* 2324659 */ // Label 32207: @2324659
     /* 2324659 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2324713), // Rule ID 58492 //
     /* 2324664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324678 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324690 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2324695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324712 */   // GIR_Coverage, 58492,
     /* 2324712 */   GIR_EraseRootFromParent_Done,
     /* 2324713 */ // Label 32208: @2324713
     /* 2324713 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2324770), // Rule ID 58719 //
     /* 2324718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2324721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324732 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324735 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324739 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324744 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2324749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324751 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324754 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324769 */   // GIR_Coverage, 58719,
     /* 2324769 */   GIR_EraseRootFromParent_Done,
     /* 2324770 */ // Label 32209: @2324770
     /* 2324770 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2324827), // Rule ID 58720 //
     /* 2324775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2324778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324789 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324801 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2324806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324808 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324811 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324826 */   // GIR_Coverage, 58720,
     /* 2324826 */   GIR_EraseRootFromParent_Done,
     /* 2324827 */ // Label 32210: @2324827
     /* 2324827 */ GIM_Reject,
     /* 2324828 */ // Label 32122: @2324828
     /* 2324828 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2324885), // Rule ID 58327 //
     /* 2324833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2324836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324847 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2324864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324866 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324884 */   // GIR_Coverage, 58327,
     /* 2324884 */   GIR_EraseRootFromParent_Done,
     /* 2324885 */ // Label 32211: @2324885
     /* 2324885 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2324942), // Rule ID 58328 //
     /* 2324890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2324893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324904 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2324921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324926 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324941 */   // GIR_Coverage, 58328,
     /* 2324941 */   GIR_EraseRootFromParent_Done,
     /* 2324942 */ // Label 32212: @2324942
     /* 2324942 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2324996), // Rule ID 58511 //
     /* 2324947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2324950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324961 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2324978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324980 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324983 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324995 */   // GIR_Coverage, 58511,
     /* 2324995 */   GIR_EraseRootFromParent_Done,
     /* 2324996 */ // Label 32213: @2324996
     /* 2324996 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2325050), // Rule ID 58512 //
     /* 2325001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2325004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2325007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325015 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325027 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2325032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325034 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325037 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325049 */   // GIR_Coverage, 58512,
     /* 2325049 */   GIR_EraseRootFromParent_Done,
     /* 2325050 */ // Label 32214: @2325050
     /* 2325050 */ GIM_Reject,
     /* 2325051 */ // Label 32123: @2325051
     /* 2325051 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2325108), // Rule ID 58299 //
     /* 2325056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325070 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325107 */   // GIR_Coverage, 58299,
     /* 2325107 */   GIR_EraseRootFromParent_Done,
     /* 2325108 */ // Label 32215: @2325108
     /* 2325108 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2325165), // Rule ID 58300 //
     /* 2325113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325127 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325127 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325130 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325134 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325146 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325149 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325164 */   // GIR_Coverage, 58300,
     /* 2325164 */   GIR_EraseRootFromParent_Done,
     /* 2325165 */ // Label 32216: @2325165
     /* 2325165 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2325219), // Rule ID 58471 //
     /* 2325170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325184 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325196 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325203 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325206 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325218 */   // GIR_Coverage, 58471,
     /* 2325218 */   GIR_EraseRootFromParent_Done,
     /* 2325219 */ // Label 32217: @2325219
     /* 2325219 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2325273), // Rule ID 58472 //
     /* 2325224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325238 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325238 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325241 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325245 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325250 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325257 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325260 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325272 */   // GIR_Coverage, 58472,
     /* 2325272 */   GIR_EraseRootFromParent_Done,
     /* 2325273 */ // Label 32218: @2325273
     /* 2325273 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2325330), // Rule ID 58703 //
     /* 2325278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325292 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325304 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325311 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325314 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325329 */   // GIR_Coverage, 58703,
     /* 2325329 */   GIR_EraseRootFromParent_Done,
     /* 2325330 */ // Label 32219: @2325330
     /* 2325330 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2325387), // Rule ID 58704 //
     /* 2325335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325349 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325349 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325352 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325356 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325361 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325368 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325371 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325386 */   // GIR_Coverage, 58704,
     /* 2325386 */   GIR_EraseRootFromParent_Done,
     /* 2325387 */ // Label 32220: @2325387
     /* 2325387 */ GIM_Reject,
     /* 2325388 */ // Label 32124: @2325388
     /* 2325388 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2325445), // Rule ID 58315 //
     /* 2325393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325407 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325444 */   // GIR_Coverage, 58315,
     /* 2325444 */   GIR_EraseRootFromParent_Done,
     /* 2325445 */ // Label 32221: @2325445
     /* 2325445 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2325502), // Rule ID 58316 //
     /* 2325450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325464 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325486 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325501 */   // GIR_Coverage, 58316,
     /* 2325501 */   GIR_EraseRootFromParent_Done,
     /* 2325502 */ // Label 32222: @2325502
     /* 2325502 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2325556), // Rule ID 58495 //
     /* 2325507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325521 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325543 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325555 */   // GIR_Coverage, 58495,
     /* 2325555 */   GIR_EraseRootFromParent_Done,
     /* 2325556 */ // Label 32223: @2325556
     /* 2325556 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2325610), // Rule ID 58496 //
     /* 2325561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325575 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325594 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325609 */   // GIR_Coverage, 58496,
     /* 2325609 */   GIR_EraseRootFromParent_Done,
     /* 2325610 */ // Label 32224: @2325610
     /* 2325610 */ GIM_Reject,
     /* 2325611 */ // Label 32125: @2325611
     /* 2325611 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2325668), // Rule ID 58303 //
     /* 2325616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2325622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325630 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325630 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325633 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325637 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325642 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2325647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325649 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325652 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325667 */   // GIR_Coverage, 58303,
     /* 2325667 */   GIR_EraseRootFromParent_Done,
     /* 2325668 */ // Label 32225: @2325668
     /* 2325668 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2325725), // Rule ID 58304 //
     /* 2325673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2325679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325687 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2325704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325706 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325724 */   // GIR_Coverage, 58304,
     /* 2325724 */   GIR_EraseRootFromParent_Done,
     /* 2325725 */ // Label 32226: @2325725
     /* 2325725 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2325779), // Rule ID 58475 //
     /* 2325730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2325736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325744 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2325761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325778 */   // GIR_Coverage, 58475,
     /* 2325778 */   GIR_EraseRootFromParent_Done,
     /* 2325779 */ // Label 32227: @2325779
     /* 2325779 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2325833), // Rule ID 58476 //
     /* 2325784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2325790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325798 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2325815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325832 */   // GIR_Coverage, 58476,
     /* 2325832 */   GIR_EraseRootFromParent_Done,
     /* 2325833 */ // Label 32228: @2325833
     /* 2325833 */ GIM_Reject,
     /* 2325834 */ // Label 32126: @2325834
     /* 2325834 */ GIM_Reject,
     /* 2325835 */ // Label 70: @2325835
     /* 2325835 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32247*/ GIMT_Encode4(2331120),
     /* 2325846 */ /*GILLT_s16*//*Label 32229*/ GIMT_Encode4(2325966),
     /* 2325850 */ /*GILLT_s32*//*Label 32230*/ GIMT_Encode4(2326227),
     /* 2325854 */ /*GILLT_s64*//*Label 32231*/ GIMT_Encode4(2326488), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325866 */ /*GILLT_nxv1s16*//*Label 32232*/ GIMT_Encode4(2326749),
     /* 2325870 */ /*GILLT_nxv1s32*//*Label 32233*/ GIMT_Encode4(2327086),
     /* 2325874 */ /*GILLT_nxv1s64*//*Label 32234*/ GIMT_Encode4(2327423), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325886 */ /*GILLT_nxv2s16*//*Label 32235*/ GIMT_Encode4(2327646),
     /* 2325890 */ /*GILLT_nxv2s32*//*Label 32236*/ GIMT_Encode4(2327983),
     /* 2325894 */ /*GILLT_nxv2s64*//*Label 32237*/ GIMT_Encode4(2328320), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325906 */ /*GILLT_nxv4s16*//*Label 32238*/ GIMT_Encode4(2328543),
     /* 2325910 */ /*GILLT_nxv4s32*//*Label 32239*/ GIMT_Encode4(2328880),
     /* 2325914 */ /*GILLT_nxv4s64*//*Label 32240*/ GIMT_Encode4(2329217), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325926 */ /*GILLT_nxv8s16*//*Label 32241*/ GIMT_Encode4(2329440),
     /* 2325930 */ /*GILLT_nxv8s32*//*Label 32242*/ GIMT_Encode4(2329777),
     /* 2325934 */ /*GILLT_nxv8s64*//*Label 32243*/ GIMT_Encode4(2330114), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325946 */ /*GILLT_nxv16s16*//*Label 32244*/ GIMT_Encode4(2330337),
     /* 2325950 */ /*GILLT_nxv16s32*//*Label 32245*/ GIMT_Encode4(2330674), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325962 */ /*GILLT_nxv32s16*//*Label 32246*/ GIMT_Encode4(2330897),
     /* 2325966 */ // Label 32229: @2325966
     /* 2325966 */ GIM_Try, /*On fail goto*//*Label 32248*/ GIMT_Encode4(2326003), // Rule ID 2146 //
     /* 2325971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2325974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325981 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2325988 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2325991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325993 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326002 */   // GIR_Coverage, 2146,
     /* 2326002 */   GIR_EraseRootFromParent_Done,
     /* 2326003 */ // Label 32248: @2326003
     /* 2326003 */ GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2326040), // Rule ID 2172 //
     /* 2326008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2326011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326018 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326025 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326030 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326039 */   // GIR_Coverage, 2172,
     /* 2326039 */   GIR_EraseRootFromParent_Done,
     /* 2326040 */ // Label 32249: @2326040
     /* 2326040 */ GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2326071), // Rule ID 2097 //
     /* 2326045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2326048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326059 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326064 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326070 */   // GIR_Coverage, 2097,
     /* 2326070 */   GIR_EraseRootFromParent_Done,
     /* 2326071 */ // Label 32250: @2326071
     /* 2326071 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2326102), // Rule ID 2098 //
     /* 2326076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2326079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326090 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326095 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326101 */   // GIR_Coverage, 2098,
     /* 2326101 */   GIR_EraseRootFromParent_Done,
     /* 2326102 */ // Label 32251: @2326102
     /* 2326102 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2326133), // Rule ID 2123 //
     /* 2326107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2326110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326121 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326126 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326132 */   // GIR_Coverage, 2123,
     /* 2326132 */   GIR_EraseRootFromParent_Done,
     /* 2326133 */ // Label 32252: @2326133
     /* 2326133 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2326164), // Rule ID 2124 //
     /* 2326138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2326141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326152 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326157 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326163 */   // GIR_Coverage, 2124,
     /* 2326163 */   GIR_EraseRootFromParent_Done,
     /* 2326164 */ // Label 32253: @2326164
     /* 2326164 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2326195), // Rule ID 2150 //
     /* 2326169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2326172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326183 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2326186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326194 */   // GIR_Coverage, 2150,
     /* 2326194 */   GIR_EraseRootFromParent_Done,
     /* 2326195 */ // Label 32254: @2326195
     /* 2326195 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2326226), // Rule ID 2176 //
     /* 2326200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2326203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326214 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2326217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326225 */   // GIR_Coverage, 2176,
     /* 2326225 */   GIR_EraseRootFromParent_Done,
     /* 2326226 */ // Label 32255: @2326226
     /* 2326226 */ GIM_Reject,
     /* 2326227 */ // Label 32230: @2326227
     /* 2326227 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2326264), // Rule ID 1412 //
     /* 2326232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326242 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326249 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326254 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326263 */   // GIR_Coverage, 1412,
     /* 2326263 */   GIR_EraseRootFromParent_Done,
     /* 2326264 */ // Label 32256: @2326264
     /* 2326264 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2326301), // Rule ID 1440 //
     /* 2326269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326279 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326286 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326291 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326300 */   // GIR_Coverage, 1440,
     /* 2326300 */   GIR_EraseRootFromParent_Done,
     /* 2326301 */ // Label 32257: @2326301
     /* 2326301 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2326332), // Rule ID 1361 //
     /* 2326306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2326309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326320 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326331 */   // GIR_Coverage, 1361,
     /* 2326331 */   GIR_EraseRootFromParent_Done,
     /* 2326332 */ // Label 32258: @2326332
     /* 2326332 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2326363), // Rule ID 1362 //
     /* 2326337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2326340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326351 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326362 */   // GIR_Coverage, 1362,
     /* 2326362 */   GIR_EraseRootFromParent_Done,
     /* 2326363 */ // Label 32259: @2326363
     /* 2326363 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2326394), // Rule ID 1387 //
     /* 2326368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2326371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326382 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326393 */   // GIR_Coverage, 1387,
     /* 2326393 */   GIR_EraseRootFromParent_Done,
     /* 2326394 */ // Label 32260: @2326394
     /* 2326394 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2326425), // Rule ID 1388 //
     /* 2326399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2326402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326413 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326424 */   // GIR_Coverage, 1388,
     /* 2326424 */   GIR_EraseRootFromParent_Done,
     /* 2326425 */ // Label 32261: @2326425
     /* 2326425 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2326456), // Rule ID 1416 //
     /* 2326430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326444 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2326447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326455 */   // GIR_Coverage, 1416,
     /* 2326455 */   GIR_EraseRootFromParent_Done,
     /* 2326456 */ // Label 32262: @2326456
     /* 2326456 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2326487), // Rule ID 1444 //
     /* 2326461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326475 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2326478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326486 */   // GIR_Coverage, 1444,
     /* 2326486 */   GIR_EraseRootFromParent_Done,
     /* 2326487 */ // Label 32263: @2326487
     /* 2326487 */ GIM_Reject,
     /* 2326488 */ // Label 32231: @2326488
     /* 2326488 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2326525), // Rule ID 1792 //
     /* 2326493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2326496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326510 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326524 */   // GIR_Coverage, 1792,
     /* 2326524 */   GIR_EraseRootFromParent_Done,
     /* 2326525 */ // Label 32264: @2326525
     /* 2326525 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2326562), // Rule ID 1820 //
     /* 2326530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326540 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326547 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2326550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326552 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326561 */   // GIR_Coverage, 1820,
     /* 2326561 */   GIR_EraseRootFromParent_Done,
     /* 2326562 */ // Label 32265: @2326562
     /* 2326562 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2326593), // Rule ID 1755 //
     /* 2326567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2326570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326581 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2326581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326586 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326592 */   // GIR_Coverage, 1755,
     /* 2326592 */   GIR_EraseRootFromParent_Done,
     /* 2326593 */ // Label 32266: @2326593
     /* 2326593 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2326624), // Rule ID 1756 //
     /* 2326598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2326601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326612 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2326612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326623 */   // GIR_Coverage, 1756,
     /* 2326623 */   GIR_EraseRootFromParent_Done,
     /* 2326624 */ // Label 32267: @2326624
     /* 2326624 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2326655), // Rule ID 1781 //
     /* 2326629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2326632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326643 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2326643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2326646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326648 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326654 */   // GIR_Coverage, 1781,
     /* 2326654 */   GIR_EraseRootFromParent_Done,
     /* 2326655 */ // Label 32268: @2326655
     /* 2326655 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2326686), // Rule ID 1782 //
     /* 2326660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2326663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326674 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2326674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2326677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326685 */   // GIR_Coverage, 1782,
     /* 2326685 */   GIR_EraseRootFromParent_Done,
     /* 2326686 */ // Label 32269: @2326686
     /* 2326686 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2326717), // Rule ID 1810 //
     /* 2326691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2326694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326705 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2326708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326716 */   // GIR_Coverage, 1810,
     /* 2326716 */   GIR_EraseRootFromParent_Done,
     /* 2326717 */ // Label 32270: @2326717
     /* 2326717 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2326748), // Rule ID 1838 //
     /* 2326722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326736 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2326739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326741 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326747 */   // GIR_Coverage, 1838,
     /* 2326747 */   GIR_EraseRootFromParent_Done,
     /* 2326748 */ // Label 32271: @2326748
     /* 2326748 */ GIM_Reject,
     /* 2326749 */ // Label 32232: @2326749
     /* 2326749 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2326806), // Rule ID 58331 //
     /* 2326754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326768 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326768 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326771 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326775 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2326785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326805 */   // GIR_Coverage, 58331,
     /* 2326805 */   GIR_EraseRootFromParent_Done,
     /* 2326806 */ // Label 32272: @2326806
     /* 2326806 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2326863), // Rule ID 58332 //
     /* 2326811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326825 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2326842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326847 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326862 */   // GIR_Coverage, 58332,
     /* 2326862 */   GIR_EraseRootFromParent_Done,
     /* 2326863 */ // Label 32273: @2326863
     /* 2326863 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2326917), // Rule ID 58515 //
     /* 2326868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2326874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326882 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2326899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326916 */   // GIR_Coverage, 58515,
     /* 2326916 */   GIR_EraseRootFromParent_Done,
     /* 2326917 */ // Label 32274: @2326917
     /* 2326917 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2326971), // Rule ID 58516 //
     /* 2326922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2326928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326936 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2326953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326970 */   // GIR_Coverage, 58516,
     /* 2326970 */   GIR_EraseRootFromParent_Done,
     /* 2326971 */ // Label 32275: @2326971
     /* 2326971 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2327028), // Rule ID 58723 //
     /* 2326976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326990 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326990 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326993 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326997 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327002 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2327007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327027 */   // GIR_Coverage, 58723,
     /* 2327027 */   GIR_EraseRootFromParent_Done,
     /* 2327028 */ // Label 32276: @2327028
     /* 2327028 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2327085), // Rule ID 58724 //
     /* 2327033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327047 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327047 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327050 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327054 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327059 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2327064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327066 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327069 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327084 */   // GIR_Coverage, 58724,
     /* 2327084 */   GIR_EraseRootFromParent_Done,
     /* 2327085 */ // Label 32277: @2327085
     /* 2327085 */ GIM_Reject,
     /* 2327086 */ // Label 32233: @2327086
     /* 2327086 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2327143), // Rule ID 58339 //
     /* 2327091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327105 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327142 */   // GIR_Coverage, 58339,
     /* 2327142 */   GIR_EraseRootFromParent_Done,
     /* 2327143 */ // Label 32278: @2327143
     /* 2327143 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2327200), // Rule ID 58340 //
     /* 2327148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327162 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327174 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327184 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327199 */   // GIR_Coverage, 58340,
     /* 2327199 */   GIR_EraseRootFromParent_Done,
     /* 2327200 */ // Label 32279: @2327200
     /* 2327200 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2327254), // Rule ID 58539 //
     /* 2327205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327219 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327219 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327222 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327226 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327231 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327238 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327241 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327253 */   // GIR_Coverage, 58539,
     /* 2327253 */   GIR_EraseRootFromParent_Done,
     /* 2327254 */ // Label 32280: @2327254
     /* 2327254 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2327308), // Rule ID 58540 //
     /* 2327259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327273 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327285 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327292 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327307 */   // GIR_Coverage, 58540,
     /* 2327307 */   GIR_EraseRootFromParent_Done,
     /* 2327308 */ // Label 32281: @2327308
     /* 2327308 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2327365), // Rule ID 58743 //
     /* 2327313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2327316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327327 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327327 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327330 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327334 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327349 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327364 */   // GIR_Coverage, 58743,
     /* 2327364 */   GIR_EraseRootFromParent_Done,
     /* 2327365 */ // Label 32282: @2327365
     /* 2327365 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2327422), // Rule ID 58744 //
     /* 2327370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2327373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327384 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327421 */   // GIR_Coverage, 58744,
     /* 2327421 */   GIR_EraseRootFromParent_Done,
     /* 2327422 */ // Label 32283: @2327422
     /* 2327422 */ GIM_Reject,
     /* 2327423 */ // Label 32234: @2327423
     /* 2327423 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2327480), // Rule ID 58351 //
     /* 2327428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2327431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327442 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327479 */   // GIR_Coverage, 58351,
     /* 2327479 */   GIR_EraseRootFromParent_Done,
     /* 2327480 */ // Label 32284: @2327480
     /* 2327480 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2327537), // Rule ID 58352 //
     /* 2327485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2327488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327499 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327511 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327536 */   // GIR_Coverage, 58352,
     /* 2327536 */   GIR_EraseRootFromParent_Done,
     /* 2327537 */ // Label 32285: @2327537
     /* 2327537 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2327591), // Rule ID 58559 //
     /* 2327542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2327545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327556 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327556 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327559 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327563 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327568 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2327573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327575 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327578 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327590 */   // GIR_Coverage, 58559,
     /* 2327590 */   GIR_EraseRootFromParent_Done,
     /* 2327591 */ // Label 32286: @2327591
     /* 2327591 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2327645), // Rule ID 58560 //
     /* 2327596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2327599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327610 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327610 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327613 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327617 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327622 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2327627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327629 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327632 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327644 */   // GIR_Coverage, 58560,
     /* 2327644 */   GIR_EraseRootFromParent_Done,
     /* 2327645 */ // Label 32287: @2327645
     /* 2327645 */ GIM_Reject,
     /* 2327646 */ // Label 32235: @2327646
     /* 2327646 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2327703), // Rule ID 58335 //
     /* 2327651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327665 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2327682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327702 */   // GIR_Coverage, 58335,
     /* 2327702 */   GIR_EraseRootFromParent_Done,
     /* 2327703 */ // Label 32288: @2327703
     /* 2327703 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2327760), // Rule ID 58336 //
     /* 2327708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327722 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2327739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327741 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327744 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327759 */   // GIR_Coverage, 58336,
     /* 2327759 */   GIR_EraseRootFromParent_Done,
     /* 2327760 */ // Label 32289: @2327760
     /* 2327760 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2327814), // Rule ID 58519 //
     /* 2327765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2327771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327779 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2327796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327813 */   // GIR_Coverage, 58519,
     /* 2327813 */   GIR_EraseRootFromParent_Done,
     /* 2327814 */ // Label 32290: @2327814
     /* 2327814 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2327868), // Rule ID 58520 //
     /* 2327819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2327825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327833 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2327850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327867 */   // GIR_Coverage, 58520,
     /* 2327867 */   GIR_EraseRootFromParent_Done,
     /* 2327868 */ // Label 32291: @2327868
     /* 2327868 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2327925), // Rule ID 58727 //
     /* 2327873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327887 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2327904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327924 */   // GIR_Coverage, 58727,
     /* 2327924 */   GIR_EraseRootFromParent_Done,
     /* 2327925 */ // Label 32292: @2327925
     /* 2327925 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2327982), // Rule ID 58728 //
     /* 2327930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327944 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2327961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327981 */   // GIR_Coverage, 58728,
     /* 2327981 */   GIR_EraseRootFromParent_Done,
     /* 2327982 */ // Label 32293: @2327982
     /* 2327982 */ GIM_Reject,
     /* 2327983 */ // Label 32236: @2327983
     /* 2327983 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2328040), // Rule ID 58347 //
     /* 2327988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328002 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2328019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328039 */   // GIR_Coverage, 58347,
     /* 2328039 */   GIR_EraseRootFromParent_Done,
     /* 2328040 */ // Label 32294: @2328040
     /* 2328040 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2328097), // Rule ID 58348 //
     /* 2328045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328059 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2328076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328096 */   // GIR_Coverage, 58348,
     /* 2328096 */   GIR_EraseRootFromParent_Done,
     /* 2328097 */ // Label 32295: @2328097
     /* 2328097 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2328151), // Rule ID 58543 //
     /* 2328102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328116 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328150 */   // GIR_Coverage, 58543,
     /* 2328150 */   GIR_EraseRootFromParent_Done,
     /* 2328151 */ // Label 32296: @2328151
     /* 2328151 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2328205), // Rule ID 58544 //
     /* 2328156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328170 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328204 */   // GIR_Coverage, 58544,
     /* 2328204 */   GIR_EraseRootFromParent_Done,
     /* 2328205 */ // Label 32297: @2328205
     /* 2328205 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2328262), // Rule ID 58747 //
     /* 2328210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2328213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328224 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328261 */   // GIR_Coverage, 58747,
     /* 2328261 */   GIR_EraseRootFromParent_Done,
     /* 2328262 */ // Label 32298: @2328262
     /* 2328262 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2328319), // Rule ID 58748 //
     /* 2328267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2328270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328281 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328318 */   // GIR_Coverage, 58748,
     /* 2328318 */   GIR_EraseRootFromParent_Done,
     /* 2328319 */ // Label 32299: @2328319
     /* 2328319 */ GIM_Reject,
     /* 2328320 */ // Label 32237: @2328320
     /* 2328320 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2328377), // Rule ID 58379 //
     /* 2328325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328339 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328376 */   // GIR_Coverage, 58379,
     /* 2328376 */   GIR_EraseRootFromParent_Done,
     /* 2328377 */ // Label 32300: @2328377
     /* 2328377 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2328434), // Rule ID 58380 //
     /* 2328382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2328385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328396 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328396 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328403 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328408 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328415 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328433 */   // GIR_Coverage, 58380,
     /* 2328433 */   GIR_EraseRootFromParent_Done,
     /* 2328434 */ // Label 32301: @2328434
     /* 2328434 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2328488), // Rule ID 58563 //
     /* 2328439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328453 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328487 */   // GIR_Coverage, 58563,
     /* 2328487 */   GIR_EraseRootFromParent_Done,
     /* 2328488 */ // Label 32302: @2328488
     /* 2328488 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2328542), // Rule ID 58564 //
     /* 2328493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328507 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328507 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328510 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328514 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328529 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328541 */   // GIR_Coverage, 58564,
     /* 2328541 */   GIR_EraseRootFromParent_Done,
     /* 2328542 */ // Label 32303: @2328542
     /* 2328542 */ GIM_Reject,
     /* 2328543 */ // Label 32238: @2328543
     /* 2328543 */ GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2328600), // Rule ID 58343 //
     /* 2328548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328562 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328562 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328565 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328569 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328574 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2328579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328581 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328584 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328599 */   // GIR_Coverage, 58343,
     /* 2328599 */   GIR_EraseRootFromParent_Done,
     /* 2328600 */ // Label 32304: @2328600
     /* 2328600 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2328657), // Rule ID 58344 //
     /* 2328605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328619 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2328636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328656 */   // GIR_Coverage, 58344,
     /* 2328656 */   GIR_EraseRootFromParent_Done,
     /* 2328657 */ // Label 32305: @2328657
     /* 2328657 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2328711), // Rule ID 58523 //
     /* 2328662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2328668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328676 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2328693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328710 */   // GIR_Coverage, 58523,
     /* 2328710 */   GIR_EraseRootFromParent_Done,
     /* 2328711 */ // Label 32306: @2328711
     /* 2328711 */ GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2328765), // Rule ID 58524 //
     /* 2328716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2328722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328730 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2328747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328764 */   // GIR_Coverage, 58524,
     /* 2328764 */   GIR_EraseRootFromParent_Done,
     /* 2328765 */ // Label 32307: @2328765
     /* 2328765 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2328822), // Rule ID 58731 //
     /* 2328770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328784 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328784 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328787 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328791 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328796 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2328801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328803 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328806 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328821 */   // GIR_Coverage, 58731,
     /* 2328821 */   GIR_EraseRootFromParent_Done,
     /* 2328822 */ // Label 32308: @2328822
     /* 2328822 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2328879), // Rule ID 58732 //
     /* 2328827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328841 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2328858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328878 */   // GIR_Coverage, 58732,
     /* 2328878 */   GIR_EraseRootFromParent_Done,
     /* 2328879 */ // Label 32309: @2328879
     /* 2328879 */ GIM_Reject,
     /* 2328880 */ // Label 32239: @2328880
     /* 2328880 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2328937), // Rule ID 58367 //
     /* 2328885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328899 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2328916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328936 */   // GIR_Coverage, 58367,
     /* 2328936 */   GIR_EraseRootFromParent_Done,
     /* 2328937 */ // Label 32310: @2328937
     /* 2328937 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2328994), // Rule ID 58368 //
     /* 2328942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328956 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328956 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328959 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328963 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328968 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2328973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328975 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328993 */   // GIR_Coverage, 58368,
     /* 2328993 */   GIR_EraseRootFromParent_Done,
     /* 2328994 */ // Label 32311: @2328994
     /* 2328994 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2329048), // Rule ID 58547 //
     /* 2328999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329013 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329013 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329016 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329020 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2329030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329047 */   // GIR_Coverage, 58547,
     /* 2329047 */   GIR_EraseRootFromParent_Done,
     /* 2329048 */ // Label 32312: @2329048
     /* 2329048 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2329102), // Rule ID 58548 //
     /* 2329053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329067 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329067 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329070 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329074 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329079 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2329084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329086 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329089 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329101 */   // GIR_Coverage, 58548,
     /* 2329101 */   GIR_EraseRootFromParent_Done,
     /* 2329102 */ // Label 32313: @2329102
     /* 2329102 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2329159), // Rule ID 58751 //
     /* 2329107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329121 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329121 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329124 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329128 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329133 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329140 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329143 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329158 */   // GIR_Coverage, 58751,
     /* 2329158 */   GIR_EraseRootFromParent_Done,
     /* 2329159 */ // Label 32314: @2329159
     /* 2329159 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2329216), // Rule ID 58752 //
     /* 2329164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2329167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329178 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329215 */   // GIR_Coverage, 58752,
     /* 2329215 */   GIR_EraseRootFromParent_Done,
     /* 2329216 */ // Label 32315: @2329216
     /* 2329216 */ GIM_Reject,
     /* 2329217 */ // Label 32240: @2329217
     /* 2329217 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2329274), // Rule ID 58383 //
     /* 2329222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2329225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329236 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329273 */   // GIR_Coverage, 58383,
     /* 2329273 */   GIR_EraseRootFromParent_Done,
     /* 2329274 */ // Label 32316: @2329274
     /* 2329274 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2329331), // Rule ID 58384 //
     /* 2329279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2329282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329293 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329293 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329296 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329300 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329305 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329312 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329315 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329330 */   // GIR_Coverage, 58384,
     /* 2329330 */   GIR_EraseRootFromParent_Done,
     /* 2329331 */ // Label 32317: @2329331
     /* 2329331 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2329385), // Rule ID 58567 //
     /* 2329336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2329339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329350 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329369 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329384 */   // GIR_Coverage, 58567,
     /* 2329384 */   GIR_EraseRootFromParent_Done,
     /* 2329385 */ // Label 32318: @2329385
     /* 2329385 */ GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2329439), // Rule ID 58568 //
     /* 2329390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2329393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329404 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329438 */   // GIR_Coverage, 58568,
     /* 2329438 */   GIR_EraseRootFromParent_Done,
     /* 2329439 */ // Label 32319: @2329439
     /* 2329439 */ GIM_Reject,
     /* 2329440 */ // Label 32241: @2329440
     /* 2329440 */ GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2329497), // Rule ID 58355 //
     /* 2329445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329459 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329496 */   // GIR_Coverage, 58355,
     /* 2329496 */   GIR_EraseRootFromParent_Done,
     /* 2329497 */ // Label 32320: @2329497
     /* 2329497 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2329554), // Rule ID 58356 //
     /* 2329502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329516 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329553 */   // GIR_Coverage, 58356,
     /* 2329553 */   GIR_EraseRootFromParent_Done,
     /* 2329554 */ // Label 32321: @2329554
     /* 2329554 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2329608), // Rule ID 58527 //
     /* 2329559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2329565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329573 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329573 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329576 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329580 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329585 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2329590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329592 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329607 */   // GIR_Coverage, 58527,
     /* 2329607 */   GIR_EraseRootFromParent_Done,
     /* 2329608 */ // Label 32322: @2329608
     /* 2329608 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2329662), // Rule ID 58528 //
     /* 2329613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2329619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329627 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2329644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329649 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329661 */   // GIR_Coverage, 58528,
     /* 2329661 */   GIR_EraseRootFromParent_Done,
     /* 2329662 */ // Label 32323: @2329662
     /* 2329662 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2329719), // Rule ID 58735 //
     /* 2329667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329681 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329681 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329684 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329688 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329693 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2329698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329700 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329703 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329718 */   // GIR_Coverage, 58735,
     /* 2329718 */   GIR_EraseRootFromParent_Done,
     /* 2329719 */ // Label 32324: @2329719
     /* 2329719 */ GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2329776), // Rule ID 58736 //
     /* 2329724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329738 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329738 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329741 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329745 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329750 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2329755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329775 */   // GIR_Coverage, 58736,
     /* 2329775 */   GIR_EraseRootFromParent_Done,
     /* 2329776 */ // Label 32325: @2329776
     /* 2329776 */ GIM_Reject,
     /* 2329777 */ // Label 32242: @2329777
     /* 2329777 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2329834), // Rule ID 58371 //
     /* 2329782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329796 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2329813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329818 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329833 */   // GIR_Coverage, 58371,
     /* 2329833 */   GIR_EraseRootFromParent_Done,
     /* 2329834 */ // Label 32326: @2329834
     /* 2329834 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2329891), // Rule ID 58372 //
     /* 2329839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329853 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329865 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2329870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329872 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329875 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329890 */   // GIR_Coverage, 58372,
     /* 2329890 */   GIR_EraseRootFromParent_Done,
     /* 2329891 */ // Label 32327: @2329891
     /* 2329891 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2329945), // Rule ID 58551 //
     /* 2329896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329910 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329910 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329913 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329917 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329922 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2329927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329929 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329932 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329944 */   // GIR_Coverage, 58551,
     /* 2329944 */   GIR_EraseRootFromParent_Done,
     /* 2329945 */ // Label 32328: @2329945
     /* 2329945 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2329999), // Rule ID 58552 //
     /* 2329950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329964 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329976 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2329981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329983 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329998 */   // GIR_Coverage, 58552,
     /* 2329998 */   GIR_EraseRootFromParent_Done,
     /* 2329999 */ // Label 32329: @2329999
     /* 2329999 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2330056), // Rule ID 58755 //
     /* 2330004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2330007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330018 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330018 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330021 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330025 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330030 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2330035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330037 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330040 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330055 */   // GIR_Coverage, 58755,
     /* 2330055 */   GIR_EraseRootFromParent_Done,
     /* 2330056 */ // Label 32330: @2330056
     /* 2330056 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2330113), // Rule ID 58756 //
     /* 2330061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2330064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330075 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330075 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330078 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330082 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2330092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330094 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330097 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330112 */   // GIR_Coverage, 58756,
     /* 2330112 */   GIR_EraseRootFromParent_Done,
     /* 2330113 */ // Label 32331: @2330113
     /* 2330113 */ GIM_Reject,
     /* 2330114 */ // Label 32243: @2330114
     /* 2330114 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2330171), // Rule ID 58387 //
     /* 2330119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2330122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330133 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330170 */   // GIR_Coverage, 58387,
     /* 2330170 */   GIR_EraseRootFromParent_Done,
     /* 2330171 */ // Label 32332: @2330171
     /* 2330171 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2330228), // Rule ID 58388 //
     /* 2330176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2330179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330190 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330190 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330193 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330197 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330212 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330227 */   // GIR_Coverage, 58388,
     /* 2330227 */   GIR_EraseRootFromParent_Done,
     /* 2330228 */ // Label 32333: @2330228
     /* 2330228 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2330282), // Rule ID 58571 //
     /* 2330233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2330236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330247 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330247 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330250 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330254 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330269 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330281 */   // GIR_Coverage, 58571,
     /* 2330281 */   GIR_EraseRootFromParent_Done,
     /* 2330282 */ // Label 32334: @2330282
     /* 2330282 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2330336), // Rule ID 58572 //
     /* 2330287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2330290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330301 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330301 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330304 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330308 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330313 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330320 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330323 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330335 */   // GIR_Coverage, 58572,
     /* 2330335 */   GIR_EraseRootFromParent_Done,
     /* 2330336 */ // Label 32335: @2330336
     /* 2330336 */ GIM_Reject,
     /* 2330337 */ // Label 32244: @2330337
     /* 2330337 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2330394), // Rule ID 58359 //
     /* 2330342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330356 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330393 */   // GIR_Coverage, 58359,
     /* 2330393 */   GIR_EraseRootFromParent_Done,
     /* 2330394 */ // Label 32336: @2330394
     /* 2330394 */ GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2330451), // Rule ID 58360 //
     /* 2330399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330413 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330413 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330416 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330420 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330435 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330450 */   // GIR_Coverage, 58360,
     /* 2330450 */   GIR_EraseRootFromParent_Done,
     /* 2330451 */ // Label 32337: @2330451
     /* 2330451 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2330505), // Rule ID 58531 //
     /* 2330456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330470 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330504 */   // GIR_Coverage, 58531,
     /* 2330504 */   GIR_EraseRootFromParent_Done,
     /* 2330505 */ // Label 32338: @2330505
     /* 2330505 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2330559), // Rule ID 58532 //
     /* 2330510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330524 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330558 */   // GIR_Coverage, 58532,
     /* 2330558 */   GIR_EraseRootFromParent_Done,
     /* 2330559 */ // Label 32339: @2330559
     /* 2330559 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2330616), // Rule ID 58739 //
     /* 2330564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330578 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2330595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330597 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330615 */   // GIR_Coverage, 58739,
     /* 2330615 */   GIR_EraseRootFromParent_Done,
     /* 2330616 */ // Label 32340: @2330616
     /* 2330616 */ GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2330673), // Rule ID 58740 //
     /* 2330621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330635 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2330652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330672 */   // GIR_Coverage, 58740,
     /* 2330672 */   GIR_EraseRootFromParent_Done,
     /* 2330673 */ // Label 32341: @2330673
     /* 2330673 */ GIM_Reject,
     /* 2330674 */ // Label 32245: @2330674
     /* 2330674 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2330731), // Rule ID 58375 //
     /* 2330679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330693 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330705 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2330710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330712 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330715 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330730 */   // GIR_Coverage, 58375,
     /* 2330730 */   GIR_EraseRootFromParent_Done,
     /* 2330731 */ // Label 32342: @2330731
     /* 2330731 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2330788), // Rule ID 58376 //
     /* 2330736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330750 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330762 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2330767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330769 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330787 */   // GIR_Coverage, 58376,
     /* 2330787 */   GIR_EraseRootFromParent_Done,
     /* 2330788 */ // Label 32343: @2330788
     /* 2330788 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2330842), // Rule ID 58555 //
     /* 2330793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330807 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330807 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330810 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330814 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330819 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2330824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330826 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330841 */   // GIR_Coverage, 58555,
     /* 2330841 */   GIR_EraseRootFromParent_Done,
     /* 2330842 */ // Label 32344: @2330842
     /* 2330842 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2330896), // Rule ID 58556 //
     /* 2330847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330861 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2330878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330883 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330895 */   // GIR_Coverage, 58556,
     /* 2330895 */   GIR_EraseRootFromParent_Done,
     /* 2330896 */ // Label 32345: @2330896
     /* 2330896 */ GIM_Reject,
     /* 2330897 */ // Label 32246: @2330897
     /* 2330897 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2330954), // Rule ID 58363 //
     /* 2330902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2330908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330916 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330928 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2330933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330935 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330953 */   // GIR_Coverage, 58363,
     /* 2330953 */   GIR_EraseRootFromParent_Done,
     /* 2330954 */ // Label 32346: @2330954
     /* 2330954 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2331011), // Rule ID 58364 //
     /* 2330959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2330965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330973 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2330990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331010 */   // GIR_Coverage, 58364,
     /* 2331010 */   GIR_EraseRootFromParent_Done,
     /* 2331011 */ // Label 32347: @2331011
     /* 2331011 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2331065), // Rule ID 58535 //
     /* 2331016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2331022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331030 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2331047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331064 */   // GIR_Coverage, 58535,
     /* 2331064 */   GIR_EraseRootFromParent_Done,
     /* 2331065 */ // Label 32348: @2331065
     /* 2331065 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2331119), // Rule ID 58536 //
     /* 2331070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2331076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331084 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2331101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331103 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331106 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331118 */   // GIR_Coverage, 58536,
     /* 2331118 */   GIR_EraseRootFromParent_Done,
     /* 2331119 */ // Label 32349: @2331119
     /* 2331119 */ GIM_Reject,
     /* 2331120 */ // Label 32247: @2331120
     /* 2331120 */ GIM_Reject,
     /* 2331121 */ // Label 71: @2331121
     /* 2331121 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32368*/ GIMT_Encode4(2333091),
     /* 2331132 */ /*GILLT_s16*//*Label 32350*/ GIMT_Encode4(2331252),
     /* 2331136 */ /*GILLT_s32*//*Label 32351*/ GIMT_Encode4(2331316),
     /* 2331140 */ /*GILLT_s64*//*Label 32352*/ GIMT_Encode4(2331380), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331152 */ /*GILLT_nxv1s16*//*Label 32353*/ GIMT_Encode4(2331471),
     /* 2331156 */ /*GILLT_nxv1s32*//*Label 32354*/ GIMT_Encode4(2331579),
     /* 2331160 */ /*GILLT_nxv1s64*//*Label 32355*/ GIMT_Encode4(2331687), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331172 */ /*GILLT_nxv2s16*//*Label 32356*/ GIMT_Encode4(2331795),
     /* 2331176 */ /*GILLT_nxv2s32*//*Label 32357*/ GIMT_Encode4(2331903),
     /* 2331180 */ /*GILLT_nxv2s64*//*Label 32358*/ GIMT_Encode4(2332011), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331192 */ /*GILLT_nxv4s16*//*Label 32359*/ GIMT_Encode4(2332119),
     /* 2331196 */ /*GILLT_nxv4s32*//*Label 32360*/ GIMT_Encode4(2332227),
     /* 2331200 */ /*GILLT_nxv4s64*//*Label 32361*/ GIMT_Encode4(2332335), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331212 */ /*GILLT_nxv8s16*//*Label 32362*/ GIMT_Encode4(2332443),
     /* 2331216 */ /*GILLT_nxv8s32*//*Label 32363*/ GIMT_Encode4(2332551),
     /* 2331220 */ /*GILLT_nxv8s64*//*Label 32364*/ GIMT_Encode4(2332659), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331232 */ /*GILLT_nxv16s16*//*Label 32365*/ GIMT_Encode4(2332767),
     /* 2331236 */ /*GILLT_nxv16s32*//*Label 32366*/ GIMT_Encode4(2332875), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331248 */ /*GILLT_nxv32s16*//*Label 32367*/ GIMT_Encode4(2332983),
     /* 2331252 */ // Label 32350: @2331252
     /* 2331252 */ GIM_Try, /*On fail goto*//*Label 32369*/ GIMT_Encode4(2331315),
     /* 2331257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2331260 */   GIM_Try, /*On fail goto*//*Label 32370*/ GIMT_Encode4(2331287), // Rule ID 1876 //
     /* 2331265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2331268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331276 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2331279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331286 */     // GIR_Coverage, 1876,
     /* 2331286 */     GIR_EraseRootFromParent_Done,
     /* 2331287 */   // Label 32370: @2331287
     /* 2331287 */   GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2331314), // Rule ID 1909 //
     /* 2331292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2331295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331303 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2331306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331313 */     // GIR_Coverage, 1909,
     /* 2331313 */     GIR_EraseRootFromParent_Done,
     /* 2331314 */   // Label 32371: @2331314
     /* 2331314 */   GIM_Reject,
     /* 2331315 */ // Label 32369: @2331315
     /* 2331315 */ GIM_Reject,
     /* 2331316 */ // Label 32351: @2331316
     /* 2331316 */ GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2331379),
     /* 2331321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331324 */   GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2331351), // Rule ID 1167 //
     /* 2331329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2331332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331340 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2331343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331350 */     // GIR_Coverage, 1167,
     /* 2331350 */     GIR_EraseRootFromParent_Done,
     /* 2331351 */   // Label 32373: @2331351
     /* 2331351 */   GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2331378), // Rule ID 1175 //
     /* 2331356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2331359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331367 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2331370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331377 */     // GIR_Coverage, 1175,
     /* 2331377 */     GIR_EraseRootFromParent_Done,
     /* 2331378 */   // Label 32374: @2331378
     /* 2331378 */   GIM_Reject,
     /* 2331379 */ // Label 32372: @2331379
     /* 2331379 */ GIM_Reject,
     /* 2331380 */ // Label 32352: @2331380
     /* 2331380 */ GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2331470),
     /* 2331385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331388 */   GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2331415), // Rule ID 1510 //
     /* 2331393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2331396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331404 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2331407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331414 */     // GIR_Coverage, 1510,
     /* 2331414 */     GIR_EraseRootFromParent_Done,
     /* 2331415 */   // Label 32376: @2331415
     /* 2331415 */   GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2331442), // Rule ID 1543 //
     /* 2331420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2331423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331431 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2331434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331441 */     // GIR_Coverage, 1543,
     /* 2331441 */     GIR_EraseRootFromParent_Done,
     /* 2331442 */   // Label 32377: @2331442
     /* 2331442 */   GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2331469), // Rule ID 1565 //
     /* 2331447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2331450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331458 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2331461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331468 */     // GIR_Coverage, 1565,
     /* 2331468 */     GIR_EraseRootFromParent_Done,
     /* 2331469 */   // Label 32378: @2331469
     /* 2331469 */   GIM_Reject,
     /* 2331470 */ // Label 32375: @2331470
     /* 2331470 */ GIM_Reject,
     /* 2331471 */ // Label 32353: @2331471
     /* 2331471 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2331578),
     /* 2331476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331487 */   GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2331532), // Rule ID 56107 //
     /* 2331492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331495 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331531 */     // GIR_Coverage, 56107,
     /* 2331531 */     GIR_EraseRootFromParent_Done,
     /* 2331532 */   // Label 32380: @2331532
     /* 2331532 */   GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2331577), // Rule ID 56108 //
     /* 2331537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331540 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331576 */     // GIR_Coverage, 56108,
     /* 2331576 */     GIR_EraseRootFromParent_Done,
     /* 2331577 */   // Label 32381: @2331577
     /* 2331577 */   GIM_Reject,
     /* 2331578 */ // Label 32379: @2331578
     /* 2331578 */ GIM_Reject,
     /* 2331579 */ // Label 32354: @2331579
     /* 2331579 */ GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2331686),
     /* 2331584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331595 */   GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2331640), // Rule ID 56147 //
     /* 2331600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331603 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2331620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331639 */     // GIR_Coverage, 56147,
     /* 2331639 */     GIR_EraseRootFromParent_Done,
     /* 2331640 */   // Label 32383: @2331640
     /* 2331640 */   GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2331685), // Rule ID 56148 //
     /* 2331645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331648 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2331665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331684 */     // GIR_Coverage, 56148,
     /* 2331684 */     GIR_EraseRootFromParent_Done,
     /* 2331685 */   // Label 32384: @2331685
     /* 2331685 */   GIM_Reject,
     /* 2331686 */ // Label 32382: @2331686
     /* 2331686 */ GIM_Reject,
     /* 2331687 */ // Label 32355: @2331687
     /* 2331687 */ GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2331794),
     /* 2331692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331703 */   GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2331748), // Rule ID 56207 //
     /* 2331708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331711 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2331728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331747 */     // GIR_Coverage, 56207,
     /* 2331747 */     GIR_EraseRootFromParent_Done,
     /* 2331748 */   // Label 32386: @2331748
     /* 2331748 */   GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2331793), // Rule ID 56208 //
     /* 2331753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2331756 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2331773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331792 */     // GIR_Coverage, 56208,
     /* 2331792 */     GIR_EraseRootFromParent_Done,
     /* 2331793 */   // Label 32387: @2331793
     /* 2331793 */   GIM_Reject,
     /* 2331794 */ // Label 32385: @2331794
     /* 2331794 */ GIM_Reject,
     /* 2331795 */ // Label 32356: @2331795
     /* 2331795 */ GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2331902),
     /* 2331800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331811 */   GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2331856), // Rule ID 56127 //
     /* 2331816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331819 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2331836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331855 */     // GIR_Coverage, 56127,
     /* 2331855 */     GIR_EraseRootFromParent_Done,
     /* 2331856 */   // Label 32389: @2331856
     /* 2331856 */   GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2331901), // Rule ID 56128 //
     /* 2331861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331864 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2331881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331900 */     // GIR_Coverage, 56128,
     /* 2331900 */     GIR_EraseRootFromParent_Done,
     /* 2331901 */   // Label 32390: @2331901
     /* 2331901 */   GIM_Reject,
     /* 2331902 */ // Label 32388: @2331902
     /* 2331902 */ GIM_Reject,
     /* 2331903 */ // Label 32357: @2331903
     /* 2331903 */ GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2332010),
     /* 2331908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331919 */   GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2331964), // Rule ID 56187 //
     /* 2331924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331927 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2331944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331963 */     // GIR_Coverage, 56187,
     /* 2331963 */     GIR_EraseRootFromParent_Done,
     /* 2331964 */   // Label 32392: @2331964
     /* 2331964 */   GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2332009), // Rule ID 56188 //
     /* 2331969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331972 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2331989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332008 */     // GIR_Coverage, 56188,
     /* 2332008 */     GIR_EraseRootFromParent_Done,
     /* 2332009 */   // Label 32393: @2332009
     /* 2332009 */   GIM_Reject,
     /* 2332010 */ // Label 32391: @2332010
     /* 2332010 */ GIM_Reject,
     /* 2332011 */ // Label 32358: @2332011
     /* 2332011 */ GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2332118),
     /* 2332016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332027 */   GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2332072), // Rule ID 56347 //
     /* 2332032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332035 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332071 */     // GIR_Coverage, 56347,
     /* 2332071 */     GIR_EraseRootFromParent_Done,
     /* 2332072 */   // Label 32395: @2332072
     /* 2332072 */   GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2332117), // Rule ID 56348 //
     /* 2332077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332080 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332116 */     // GIR_Coverage, 56348,
     /* 2332116 */     GIR_EraseRootFromParent_Done,
     /* 2332117 */   // Label 32396: @2332117
     /* 2332117 */   GIM_Reject,
     /* 2332118 */ // Label 32394: @2332118
     /* 2332118 */ GIM_Reject,
     /* 2332119 */ // Label 32359: @2332119
     /* 2332119 */ GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2332226),
     /* 2332124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332135 */   GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2332180), // Rule ID 56167 //
     /* 2332140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332143 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332179 */     // GIR_Coverage, 56167,
     /* 2332179 */     GIR_EraseRootFromParent_Done,
     /* 2332180 */   // Label 32398: @2332180
     /* 2332180 */   GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2332225), // Rule ID 56168 //
     /* 2332185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332188 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332224 */     // GIR_Coverage, 56168,
     /* 2332224 */     GIR_EraseRootFromParent_Done,
     /* 2332225 */   // Label 32399: @2332225
     /* 2332225 */   GIM_Reject,
     /* 2332226 */ // Label 32397: @2332226
     /* 2332226 */ GIM_Reject,
     /* 2332227 */ // Label 32360: @2332227
     /* 2332227 */ GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2332334),
     /* 2332232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332243 */   GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2332288), // Rule ID 56287 //
     /* 2332248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332251 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332287 */     // GIR_Coverage, 56287,
     /* 2332287 */     GIR_EraseRootFromParent_Done,
     /* 2332288 */   // Label 32401: @2332288
     /* 2332288 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2332333), // Rule ID 56288 //
     /* 2332293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332296 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332332 */     // GIR_Coverage, 56288,
     /* 2332332 */     GIR_EraseRootFromParent_Done,
     /* 2332333 */   // Label 32402: @2332333
     /* 2332333 */   GIM_Reject,
     /* 2332334 */ // Label 32400: @2332334
     /* 2332334 */ GIM_Reject,
     /* 2332335 */ // Label 32361: @2332335
     /* 2332335 */ GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2332442),
     /* 2332340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332351 */   GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2332396), // Rule ID 56367 //
     /* 2332356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332359 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332395 */     // GIR_Coverage, 56367,
     /* 2332395 */     GIR_EraseRootFromParent_Done,
     /* 2332396 */   // Label 32404: @2332396
     /* 2332396 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2332441), // Rule ID 56368 //
     /* 2332401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332404 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332440 */     // GIR_Coverage, 56368,
     /* 2332440 */     GIR_EraseRootFromParent_Done,
     /* 2332441 */   // Label 32405: @2332441
     /* 2332441 */   GIM_Reject,
     /* 2332442 */ // Label 32403: @2332442
     /* 2332442 */ GIM_Reject,
     /* 2332443 */ // Label 32362: @2332443
     /* 2332443 */ GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2332550),
     /* 2332448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2332451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332459 */   GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2332504), // Rule ID 56227 //
     /* 2332464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332467 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332503 */     // GIR_Coverage, 56227,
     /* 2332503 */     GIR_EraseRootFromParent_Done,
     /* 2332504 */   // Label 32407: @2332504
     /* 2332504 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2332549), // Rule ID 56228 //
     /* 2332509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332512 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332548 */     // GIR_Coverage, 56228,
     /* 2332548 */     GIR_EraseRootFromParent_Done,
     /* 2332549 */   // Label 32408: @2332549
     /* 2332549 */   GIM_Reject,
     /* 2332550 */ // Label 32406: @2332550
     /* 2332550 */ GIM_Reject,
     /* 2332551 */ // Label 32363: @2332551
     /* 2332551 */ GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2332658),
     /* 2332556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2332559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332567 */   GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2332612), // Rule ID 56307 //
     /* 2332572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332575 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2332578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2332592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332611 */     // GIR_Coverage, 56307,
     /* 2332611 */     GIR_EraseRootFromParent_Done,
     /* 2332612 */   // Label 32410: @2332612
     /* 2332612 */   GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2332657), // Rule ID 56308 //
     /* 2332617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332620 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2332623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2332637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332656 */     // GIR_Coverage, 56308,
     /* 2332656 */     GIR_EraseRootFromParent_Done,
     /* 2332657 */   // Label 32411: @2332657
     /* 2332657 */   GIM_Reject,
     /* 2332658 */ // Label 32409: @2332658
     /* 2332658 */ GIM_Reject,
     /* 2332659 */ // Label 32364: @2332659
     /* 2332659 */ GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2332766),
     /* 2332664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2332667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332675 */   GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2332720), // Rule ID 56387 //
     /* 2332680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332683 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2332700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332719 */     // GIR_Coverage, 56387,
     /* 2332719 */     GIR_EraseRootFromParent_Done,
     /* 2332720 */   // Label 32413: @2332720
     /* 2332720 */   GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2332765), // Rule ID 56388 //
     /* 2332725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332728 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2332745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332764 */     // GIR_Coverage, 56388,
     /* 2332764 */     GIR_EraseRootFromParent_Done,
     /* 2332765 */   // Label 32414: @2332765
     /* 2332765 */   GIM_Reject,
     /* 2332766 */ // Label 32412: @2332766
     /* 2332766 */ GIM_Reject,
     /* 2332767 */ // Label 32365: @2332767
     /* 2332767 */ GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2332874),
     /* 2332772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332783 */   GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2332828), // Rule ID 56247 //
     /* 2332788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332791 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2332808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332827 */     // GIR_Coverage, 56247,
     /* 2332827 */     GIR_EraseRootFromParent_Done,
     /* 2332828 */   // Label 32416: @2332828
     /* 2332828 */   GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2332873), // Rule ID 56248 //
     /* 2332833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332836 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2332853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332872 */     // GIR_Coverage, 56248,
     /* 2332872 */     GIR_EraseRootFromParent_Done,
     /* 2332873 */   // Label 32417: @2332873
     /* 2332873 */   GIM_Reject,
     /* 2332874 */ // Label 32415: @2332874
     /* 2332874 */ GIM_Reject,
     /* 2332875 */ // Label 32366: @2332875
     /* 2332875 */ GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2332982),
     /* 2332880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332891 */   GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2332936), // Rule ID 56327 //
     /* 2332896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332899 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2332916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332935 */     // GIR_Coverage, 56327,
     /* 2332935 */     GIR_EraseRootFromParent_Done,
     /* 2332936 */   // Label 32419: @2332936
     /* 2332936 */   GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2332981), // Rule ID 56328 //
     /* 2332941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332944 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2332961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332980 */     // GIR_Coverage, 56328,
     /* 2332980 */     GIR_EraseRootFromParent_Done,
     /* 2332981 */   // Label 32420: @2332981
     /* 2332981 */   GIM_Reject,
     /* 2332982 */ // Label 32418: @2332982
     /* 2332982 */ GIM_Reject,
     /* 2332983 */ // Label 32367: @2332983
     /* 2332983 */ GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2333090),
     /* 2332988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2332991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332999 */   GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2333044), // Rule ID 56267 //
     /* 2333004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333007 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2333024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333043 */     // GIR_Coverage, 56267,
     /* 2333043 */     GIR_EraseRootFromParent_Done,
     /* 2333044 */   // Label 32422: @2333044
     /* 2333044 */   GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2333089), // Rule ID 56268 //
     /* 2333049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333052 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2333069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333088 */     // GIR_Coverage, 56268,
     /* 2333088 */     GIR_EraseRootFromParent_Done,
     /* 2333089 */   // Label 32423: @2333089
     /* 2333089 */   GIM_Reject,
     /* 2333090 */ // Label 32421: @2333090
     /* 2333090 */ GIM_Reject,
     /* 2333091 */ // Label 32368: @2333091
     /* 2333091 */ GIM_Reject,
     /* 2333092 */ // Label 72: @2333092
     /* 2333092 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32442*/ GIMT_Encode4(2339153),
     /* 2333103 */ /*GILLT_s16*//*Label 32424*/ GIMT_Encode4(2333223),
     /* 2333107 */ /*GILLT_s32*//*Label 32425*/ GIMT_Encode4(2333899),
     /* 2333111 */ /*GILLT_s64*//*Label 32426*/ GIMT_Encode4(2334575), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333123 */ /*GILLT_nxv1s16*//*Label 32427*/ GIMT_Encode4(2335388),
     /* 2333127 */ /*GILLT_nxv1s32*//*Label 32428*/ GIMT_Encode4(2335639),
     /* 2333131 */ /*GILLT_nxv1s64*//*Label 32429*/ GIMT_Encode4(2335890), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333143 */ /*GILLT_nxv2s16*//*Label 32430*/ GIMT_Encode4(2336141),
     /* 2333147 */ /*GILLT_nxv2s32*//*Label 32431*/ GIMT_Encode4(2336392),
     /* 2333151 */ /*GILLT_nxv2s64*//*Label 32432*/ GIMT_Encode4(2336643), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333163 */ /*GILLT_nxv4s16*//*Label 32433*/ GIMT_Encode4(2336894),
     /* 2333167 */ /*GILLT_nxv4s32*//*Label 32434*/ GIMT_Encode4(2337145),
     /* 2333171 */ /*GILLT_nxv4s64*//*Label 32435*/ GIMT_Encode4(2337396), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333183 */ /*GILLT_nxv8s16*//*Label 32436*/ GIMT_Encode4(2337647),
     /* 2333187 */ /*GILLT_nxv8s32*//*Label 32437*/ GIMT_Encode4(2337898),
     /* 2333191 */ /*GILLT_nxv8s64*//*Label 32438*/ GIMT_Encode4(2338149), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333203 */ /*GILLT_nxv16s16*//*Label 32439*/ GIMT_Encode4(2338400),
     /* 2333207 */ /*GILLT_nxv16s32*//*Label 32440*/ GIMT_Encode4(2338651), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333219 */ /*GILLT_nxv32s16*//*Label 32441*/ GIMT_Encode4(2338902),
     /* 2333223 */ // Label 32424: @2333223
     /* 2333223 */ GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2333898),
     /* 2333228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333231 */   GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2333282), // Rule ID 1881 //
     /* 2333236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333269 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2333269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2333272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333281 */     // GIR_Coverage, 1881,
     /* 2333281 */     GIR_EraseRootFromParent_Done,
     /* 2333282 */   // Label 32444: @2333282
     /* 2333282 */   GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2333333), // Rule ID 1914 //
     /* 2333287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333320 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2333320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2333323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333332 */     // GIR_Coverage, 1914,
     /* 2333332 */     GIR_EraseRootFromParent_Done,
     /* 2333333 */   // Label 32445: @2333333
     /* 2333333 */   GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2333363), // Rule ID 1879 //
     /* 2333338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333356 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333362 */     // GIR_Coverage, 1879,
     /* 2333362 */     GIR_Done,
     /* 2333363 */   // Label 32446: @2333363
     /* 2333363 */   GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2333419), // Rule ID 1882 //
     /* 2333368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2333371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333386 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333402 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333418 */     // GIR_Coverage, 1882,
     /* 2333418 */     GIR_EraseRootFromParent_Done,
     /* 2333419 */   // Label 32447: @2333419
     /* 2333419 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2333475), // Rule ID 1883 //
     /* 2333424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2333427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333442 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333458 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333474 */     // GIR_Coverage, 1883,
     /* 2333474 */     GIR_EraseRootFromParent_Done,
     /* 2333475 */   // Label 32448: @2333475
     /* 2333475 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2333505), // Rule ID 1912 //
     /* 2333480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333498 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333504 */     // GIR_Coverage, 1912,
     /* 2333504 */     GIR_Done,
     /* 2333505 */   // Label 32449: @2333505
     /* 2333505 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2333561), // Rule ID 1915 //
     /* 2333510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2333513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333528 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333544 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333560 */     // GIR_Coverage, 1915,
     /* 2333560 */     GIR_EraseRootFromParent_Done,
     /* 2333561 */   // Label 32450: @2333561
     /* 2333561 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2333617), // Rule ID 1916 //
     /* 2333566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2333569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333584 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333600 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333616 */     // GIR_Coverage, 1916,
     /* 2333616 */     GIR_EraseRootFromParent_Done,
     /* 2333617 */   // Label 32451: @2333617
     /* 2333617 */   GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2333673), // Rule ID 2185 //
     /* 2333622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2333625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333640 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2333640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2333647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333656 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333672 */     // GIR_Coverage, 2185,
     /* 2333672 */     GIR_EraseRootFromParent_Done,
     /* 2333673 */   // Label 32452: @2333673
     /* 2333673 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2333729), // Rule ID 2186 //
     /* 2333678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2333681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333696 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2333696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2333703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333712 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333728 */     // GIR_Coverage, 2186,
     /* 2333728 */     GIR_EraseRootFromParent_Done,
     /* 2333729 */   // Label 32453: @2333729
     /* 2333729 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2333785), // Rule ID 2197 //
     /* 2333734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2333737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333752 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2333752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2333759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333768 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333784 */     // GIR_Coverage, 2197,
     /* 2333784 */     GIR_EraseRootFromParent_Done,
     /* 2333785 */   // Label 32454: @2333785
     /* 2333785 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2333841), // Rule ID 2198 //
     /* 2333790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2333793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333808 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2333808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2333815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333824 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333840 */     // GIR_Coverage, 2198,
     /* 2333840 */     GIR_EraseRootFromParent_Done,
     /* 2333841 */   // Label 32455: @2333841
     /* 2333841 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2333897), // Rule ID 2205 //
     /* 2333846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2333849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333864 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2333864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2333871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333880 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333896 */     // GIR_Coverage, 2205,
     /* 2333896 */     GIR_EraseRootFromParent_Done,
     /* 2333897 */   // Label 32456: @2333897
     /* 2333897 */   GIM_Reject,
     /* 2333898 */ // Label 32443: @2333898
     /* 2333898 */ GIM_Reject,
     /* 2333899 */ // Label 32425: @2333899
     /* 2333899 */ GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2334574),
     /* 2333904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333907 */   GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2333958), // Rule ID 1182 //
     /* 2333912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2333915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333945 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2333945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2333948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333957 */     // GIR_Coverage, 1182,
     /* 2333957 */     GIR_EraseRootFromParent_Done,
     /* 2333958 */   // Label 32458: @2333958
     /* 2333958 */   GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2334009), // Rule ID 1203 //
     /* 2333963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2333966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333996 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2333996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2333999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334008 */     // GIR_Coverage, 1203,
     /* 2334008 */     GIR_EraseRootFromParent_Done,
     /* 2334009 */   // Label 32459: @2334009
     /* 2334009 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2334039), // Rule ID 1178 //
     /* 2334014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2334017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334032 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2334032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334038 */     // GIR_Coverage, 1178,
     /* 2334038 */     GIR_Done,
     /* 2334039 */   // Label 32460: @2334039
     /* 2334039 */   GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2334069), // Rule ID 1179 //
     /* 2334044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2334047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334062 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2334062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334068 */     // GIR_Coverage, 1179,
     /* 2334068 */     GIR_Done,
     /* 2334069 */   // Label 32461: @2334069
     /* 2334069 */   GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2334125), // Rule ID 1518 //
     /* 2334074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2334077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334092 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334108 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334124 */     // GIR_Coverage, 1518,
     /* 2334124 */     GIR_EraseRootFromParent_Done,
     /* 2334125 */   // Label 32462: @2334125
     /* 2334125 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2334181), // Rule ID 1519 //
     /* 2334130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2334133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334148 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334164 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334180 */     // GIR_Coverage, 1519,
     /* 2334180 */     GIR_EraseRootFromParent_Done,
     /* 2334181 */   // Label 32463: @2334181
     /* 2334181 */   GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2334237), // Rule ID 1549 //
     /* 2334186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334204 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2334211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334220 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334236 */     // GIR_Coverage, 1549,
     /* 2334236 */     GIR_EraseRootFromParent_Done,
     /* 2334237 */   // Label 32464: @2334237
     /* 2334237 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2334293), // Rule ID 1573 //
     /* 2334242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2334245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334260 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334272 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334276 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334292 */     // GIR_Coverage, 1573,
     /* 2334292 */     GIR_EraseRootFromParent_Done,
     /* 2334293 */   // Label 32465: @2334293
     /* 2334293 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2334349), // Rule ID 1574 //
     /* 2334298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2334301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334316 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334332 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334348 */     // GIR_Coverage, 1574,
     /* 2334348 */     GIR_EraseRootFromParent_Done,
     /* 2334349 */   // Label 32466: @2334349
     /* 2334349 */   GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2334405), // Rule ID 2057 //
     /* 2334354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2334357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334372 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334388 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334404 */     // GIR_Coverage, 2057,
     /* 2334404 */     GIR_EraseRootFromParent_Done,
     /* 2334405 */   // Label 32467: @2334405
     /* 2334405 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2334461), // Rule ID 2058 //
     /* 2334410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2334413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334428 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334444 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334460 */     // GIR_Coverage, 2058,
     /* 2334460 */     GIR_EraseRootFromParent_Done,
     /* 2334461 */   // Label 32468: @2334461
     /* 2334461 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2334517), // Rule ID 2071 //
     /* 2334466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2334469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334484 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334500 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334516 */     // GIR_Coverage, 2071,
     /* 2334516 */     GIR_EraseRootFromParent_Done,
     /* 2334517 */   // Label 32469: @2334517
     /* 2334517 */   GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2334573), // Rule ID 2072 //
     /* 2334522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2334525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334540 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334552 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334556 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334572 */     // GIR_Coverage, 2072,
     /* 2334572 */     GIR_EraseRootFromParent_Done,
     /* 2334573 */   // Label 32470: @2334573
     /* 2334573 */   GIM_Reject,
     /* 2334574 */ // Label 32457: @2334574
     /* 2334574 */ GIM_Reject,
     /* 2334575 */ // Label 32426: @2334575
     /* 2334575 */ GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2335387),
     /* 2334580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334583 */   GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2334634), // Rule ID 1515 //
     /* 2334588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2334591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334621 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2334621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2334624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334633 */     // GIR_Coverage, 1515,
     /* 2334633 */     GIR_EraseRootFromParent_Done,
     /* 2334634 */   // Label 32472: @2334634
     /* 2334634 */   GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2334685), // Rule ID 1547 //
     /* 2334639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334672 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2334672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2334675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334684 */     // GIR_Coverage, 1547,
     /* 2334684 */     GIR_EraseRootFromParent_Done,
     /* 2334685 */   // Label 32473: @2334685
     /* 2334685 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2334736), // Rule ID 1570 //
     /* 2334690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2334693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334723 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2334723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2334726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334735 */     // GIR_Coverage, 1570,
     /* 2334735 */     GIR_EraseRootFromParent_Done,
     /* 2334736 */   // Label 32474: @2334736
     /* 2334736 */   GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2334766), // Rule ID 1513 //
     /* 2334741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2334744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334759 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2334759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2334764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334765 */     // GIR_Coverage, 1513,
     /* 2334765 */     GIR_Done,
     /* 2334766 */   // Label 32475: @2334766
     /* 2334766 */   GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2334822), // Rule ID 1516 //
     /* 2334771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2334774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334789 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2334789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2334792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2334796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334805 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2334813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334821 */     // GIR_Coverage, 1516,
     /* 2334821 */     GIR_EraseRootFromParent_Done,
     /* 2334822 */   // Label 32476: @2334822
     /* 2334822 */   GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2334878), // Rule ID 1517 //
     /* 2334827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2334830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334845 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2334845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2334848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2334852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334861 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2334869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334877 */     // GIR_Coverage, 1517,
     /* 2334877 */     GIR_EraseRootFromParent_Done,
     /* 2334878 */   // Label 32477: @2334878
     /* 2334878 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2334908), // Rule ID 1545 //
     /* 2334883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334901 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2334901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2334906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334907 */     // GIR_Coverage, 1545,
     /* 2334907 */     GIR_Done,
     /* 2334908 */   // Label 32478: @2334908
     /* 2334908 */   GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2334964), // Rule ID 1548 //
     /* 2334913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334931 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2334931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2334934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2334938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334947 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2334955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334963 */     // GIR_Coverage, 1548,
     /* 2334963 */     GIR_EraseRootFromParent_Done,
     /* 2334964 */   // Label 32479: @2334964
     /* 2334964 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2334994), // Rule ID 1568 //
     /* 2334969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2334972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334987 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2334987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2334992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334993 */     // GIR_Coverage, 1568,
     /* 2334993 */     GIR_Done,
     /* 2334994 */   // Label 32480: @2334994
     /* 2334994 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2335050), // Rule ID 1571 //
     /* 2334999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2335002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335017 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2335017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2335024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335033 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335049 */     // GIR_Coverage, 1571,
     /* 2335049 */     GIR_EraseRootFromParent_Done,
     /* 2335050 */   // Label 32481: @2335050
     /* 2335050 */   GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2335106), // Rule ID 1572 //
     /* 2335055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2335058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335073 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2335073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2335080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335089 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335105 */     // GIR_Coverage, 1572,
     /* 2335105 */     GIR_EraseRootFromParent_Done,
     /* 2335106 */   // Label 32482: @2335106
     /* 2335106 */   GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2335162), // Rule ID 2187 //
     /* 2335111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2335114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335129 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335145 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335161 */     // GIR_Coverage, 2187,
     /* 2335161 */     GIR_EraseRootFromParent_Done,
     /* 2335162 */   // Label 32483: @2335162
     /* 2335162 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2335218), // Rule ID 2188 //
     /* 2335167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2335170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335185 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335201 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335217 */     // GIR_Coverage, 2188,
     /* 2335217 */     GIR_EraseRootFromParent_Done,
     /* 2335218 */   // Label 32484: @2335218
     /* 2335218 */   GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2335274), // Rule ID 2199 //
     /* 2335223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2335226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335241 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335257 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335273 */     // GIR_Coverage, 2199,
     /* 2335273 */     GIR_EraseRootFromParent_Done,
     /* 2335274 */   // Label 32485: @2335274
     /* 2335274 */   GIM_Try, /*On fail goto*//*Label 32486*/ GIMT_Encode4(2335330), // Rule ID 2200 //
     /* 2335279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2335282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335297 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335313 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335329 */     // GIR_Coverage, 2200,
     /* 2335329 */     GIR_EraseRootFromParent_Done,
     /* 2335330 */   // Label 32486: @2335330
     /* 2335330 */   GIM_Try, /*On fail goto*//*Label 32487*/ GIMT_Encode4(2335386), // Rule ID 2206 //
     /* 2335335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2335338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335353 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2335360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335369 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335385 */     // GIR_Coverage, 2206,
     /* 2335385 */     GIR_EraseRootFromParent_Done,
     /* 2335386 */   // Label 32487: @2335386
     /* 2335386 */   GIM_Reject,
     /* 2335387 */ // Label 32471: @2335387
     /* 2335387 */ GIM_Reject,
     /* 2335388 */ // Label 32427: @2335388
     /* 2335388 */ GIM_Try, /*On fail goto*//*Label 32488*/ GIMT_Encode4(2335638),
     /* 2335393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2335399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335407 */   GIM_Try, /*On fail goto*//*Label 32489*/ GIMT_Encode4(2335473), // Rule ID 56117 //
     /* 2335412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335434 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335472 */     // GIR_Coverage, 56117,
     /* 2335472 */     GIR_EraseRootFromParent_Done,
     /* 2335473 */   // Label 32489: @2335473
     /* 2335473 */   GIM_Try, /*On fail goto*//*Label 32490*/ GIMT_Encode4(2335539), // Rule ID 56118 //
     /* 2335478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335500 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335538 */     // GIR_Coverage, 56118,
     /* 2335538 */     GIR_EraseRootFromParent_Done,
     /* 2335539 */   // Label 32490: @2335539
     /* 2335539 */   GIM_Try, /*On fail goto*//*Label 32491*/ GIMT_Encode4(2335588), // Rule ID 56111 //
     /* 2335544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335551 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2335568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335587 */     // GIR_Coverage, 56111,
     /* 2335587 */     GIR_EraseRootFromParent_Done,
     /* 2335588 */   // Label 32491: @2335588
     /* 2335588 */   GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2335637), // Rule ID 56112 //
     /* 2335593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335600 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2335617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335636 */     // GIR_Coverage, 56112,
     /* 2335636 */     GIR_EraseRootFromParent_Done,
     /* 2335637 */   // Label 32492: @2335637
     /* 2335637 */   GIM_Reject,
     /* 2335638 */ // Label 32488: @2335638
     /* 2335638 */ GIM_Reject,
     /* 2335639 */ // Label 32428: @2335639
     /* 2335639 */ GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2335889),
     /* 2335644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2335650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335658 */   GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2335724), // Rule ID 56157 //
     /* 2335663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335685 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2335702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335723 */     // GIR_Coverage, 56157,
     /* 2335723 */     GIR_EraseRootFromParent_Done,
     /* 2335724 */   // Label 32494: @2335724
     /* 2335724 */   GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2335790), // Rule ID 56158 //
     /* 2335729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335751 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2335768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335789 */     // GIR_Coverage, 56158,
     /* 2335789 */     GIR_EraseRootFromParent_Done,
     /* 2335790 */   // Label 32495: @2335790
     /* 2335790 */   GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2335839), // Rule ID 56151 //
     /* 2335795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335802 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2335819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335838 */     // GIR_Coverage, 56151,
     /* 2335838 */     GIR_EraseRootFromParent_Done,
     /* 2335839 */   // Label 32496: @2335839
     /* 2335839 */   GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2335888), // Rule ID 56152 //
     /* 2335844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335851 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2335868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335887 */     // GIR_Coverage, 56152,
     /* 2335887 */     GIR_EraseRootFromParent_Done,
     /* 2335888 */   // Label 32497: @2335888
     /* 2335888 */   GIM_Reject,
     /* 2335889 */ // Label 32493: @2335889
     /* 2335889 */ GIM_Reject,
     /* 2335890 */ // Label 32429: @2335890
     /* 2335890 */ GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2336140),
     /* 2335895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2335901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335909 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2335975), // Rule ID 56217 //
     /* 2335914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335936 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2335953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335974 */     // GIR_Coverage, 56217,
     /* 2335974 */     GIR_EraseRootFromParent_Done,
     /* 2335975 */   // Label 32499: @2335975
     /* 2335975 */   GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2336041), // Rule ID 56218 //
     /* 2335980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2335983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336002 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2336019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336040 */     // GIR_Coverage, 56218,
     /* 2336040 */     GIR_EraseRootFromParent_Done,
     /* 2336041 */   // Label 32500: @2336041
     /* 2336041 */   GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2336090), // Rule ID 56211 //
     /* 2336046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336053 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336089 */     // GIR_Coverage, 56211,
     /* 2336089 */     GIR_EraseRootFromParent_Done,
     /* 2336090 */   // Label 32501: @2336090
     /* 2336090 */   GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2336139), // Rule ID 56212 //
     /* 2336095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336102 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336138 */     // GIR_Coverage, 56212,
     /* 2336138 */     GIR_EraseRootFromParent_Done,
     /* 2336139 */   // Label 32502: @2336139
     /* 2336139 */   GIM_Reject,
     /* 2336140 */ // Label 32498: @2336140
     /* 2336140 */ GIM_Reject,
     /* 2336141 */ // Label 32430: @2336141
     /* 2336141 */ GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2336391),
     /* 2336146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2336152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336160 */   GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2336226), // Rule ID 56137 //
     /* 2336165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336187 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336225 */     // GIR_Coverage, 56137,
     /* 2336225 */     GIR_EraseRootFromParent_Done,
     /* 2336226 */   // Label 32504: @2336226
     /* 2336226 */   GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2336292), // Rule ID 56138 //
     /* 2336231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336253 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336291 */     // GIR_Coverage, 56138,
     /* 2336291 */     GIR_EraseRootFromParent_Done,
     /* 2336292 */   // Label 32505: @2336292
     /* 2336292 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2336341), // Rule ID 56131 //
     /* 2336297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336304 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336340 */     // GIR_Coverage, 56131,
     /* 2336340 */     GIR_EraseRootFromParent_Done,
     /* 2336341 */   // Label 32506: @2336341
     /* 2336341 */   GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2336390), // Rule ID 56132 //
     /* 2336346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336353 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336389 */     // GIR_Coverage, 56132,
     /* 2336389 */     GIR_EraseRootFromParent_Done,
     /* 2336390 */   // Label 32507: @2336390
     /* 2336390 */   GIM_Reject,
     /* 2336391 */ // Label 32503: @2336391
     /* 2336391 */ GIM_Reject,
     /* 2336392 */ // Label 32431: @2336392
     /* 2336392 */ GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2336642),
     /* 2336397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2336403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336411 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2336477), // Rule ID 56197 //
     /* 2336416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336438 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336476 */     // GIR_Coverage, 56197,
     /* 2336476 */     GIR_EraseRootFromParent_Done,
     /* 2336477 */   // Label 32509: @2336477
     /* 2336477 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2336543), // Rule ID 56198 //
     /* 2336482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336504 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336542 */     // GIR_Coverage, 56198,
     /* 2336542 */     GIR_EraseRootFromParent_Done,
     /* 2336543 */   // Label 32510: @2336543
     /* 2336543 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2336592), // Rule ID 56191 //
     /* 2336548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336555 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2336572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336591 */     // GIR_Coverage, 56191,
     /* 2336591 */     GIR_EraseRootFromParent_Done,
     /* 2336592 */   // Label 32511: @2336592
     /* 2336592 */   GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2336641), // Rule ID 56192 //
     /* 2336597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336604 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2336621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336640 */     // GIR_Coverage, 56192,
     /* 2336640 */     GIR_EraseRootFromParent_Done,
     /* 2336641 */   // Label 32512: @2336641
     /* 2336641 */   GIM_Reject,
     /* 2336642 */ // Label 32508: @2336642
     /* 2336642 */ GIM_Reject,
     /* 2336643 */ // Label 32432: @2336643
     /* 2336643 */ GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2336893),
     /* 2336648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2336654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336662 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2336728), // Rule ID 56357 //
     /* 2336667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336689 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2336706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336727 */     // GIR_Coverage, 56357,
     /* 2336727 */     GIR_EraseRootFromParent_Done,
     /* 2336728 */   // Label 32514: @2336728
     /* 2336728 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2336794), // Rule ID 56358 //
     /* 2336733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336755 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2336772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336793 */     // GIR_Coverage, 56358,
     /* 2336793 */     GIR_EraseRootFromParent_Done,
     /* 2336794 */   // Label 32515: @2336794
     /* 2336794 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2336843), // Rule ID 56351 //
     /* 2336799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336806 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2336823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336842 */     // GIR_Coverage, 56351,
     /* 2336842 */     GIR_EraseRootFromParent_Done,
     /* 2336843 */   // Label 32516: @2336843
     /* 2336843 */   GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2336892), // Rule ID 56352 //
     /* 2336848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336855 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2336872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336891 */     // GIR_Coverage, 56352,
     /* 2336891 */     GIR_EraseRootFromParent_Done,
     /* 2336892 */   // Label 32517: @2336892
     /* 2336892 */   GIM_Reject,
     /* 2336893 */ // Label 32513: @2336893
     /* 2336893 */ GIM_Reject,
     /* 2336894 */ // Label 32433: @2336894
     /* 2336894 */ GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2337144),
     /* 2336899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2336905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336913 */   GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2336979), // Rule ID 56177 //
     /* 2336918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336940 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2336957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336978 */     // GIR_Coverage, 56177,
     /* 2336978 */     GIR_EraseRootFromParent_Done,
     /* 2336979 */   // Label 32519: @2336979
     /* 2336979 */   GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2337045), // Rule ID 56178 //
     /* 2336984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337006 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2337023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337044 */     // GIR_Coverage, 56178,
     /* 2337044 */     GIR_EraseRootFromParent_Done,
     /* 2337045 */   // Label 32520: @2337045
     /* 2337045 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2337094), // Rule ID 56171 //
     /* 2337050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337057 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337093 */     // GIR_Coverage, 56171,
     /* 2337093 */     GIR_EraseRootFromParent_Done,
     /* 2337094 */   // Label 32521: @2337094
     /* 2337094 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2337143), // Rule ID 56172 //
     /* 2337099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337106 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337142 */     // GIR_Coverage, 56172,
     /* 2337142 */     GIR_EraseRootFromParent_Done,
     /* 2337143 */   // Label 32522: @2337143
     /* 2337143 */   GIM_Reject,
     /* 2337144 */ // Label 32518: @2337144
     /* 2337144 */ GIM_Reject,
     /* 2337145 */ // Label 32434: @2337145
     /* 2337145 */ GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2337395),
     /* 2337150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2337156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337164 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2337230), // Rule ID 56297 //
     /* 2337169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337191 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337229 */     // GIR_Coverage, 56297,
     /* 2337229 */     GIR_EraseRootFromParent_Done,
     /* 2337230 */   // Label 32524: @2337230
     /* 2337230 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2337296), // Rule ID 56298 //
     /* 2337235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337257 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337295 */     // GIR_Coverage, 56298,
     /* 2337295 */     GIR_EraseRootFromParent_Done,
     /* 2337296 */   // Label 32525: @2337296
     /* 2337296 */   GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2337345), // Rule ID 56291 //
     /* 2337301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337308 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337344 */     // GIR_Coverage, 56291,
     /* 2337344 */     GIR_EraseRootFromParent_Done,
     /* 2337345 */   // Label 32526: @2337345
     /* 2337345 */   GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2337394), // Rule ID 56292 //
     /* 2337350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337357 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337393 */     // GIR_Coverage, 56292,
     /* 2337393 */     GIR_EraseRootFromParent_Done,
     /* 2337394 */   // Label 32527: @2337394
     /* 2337394 */   GIM_Reject,
     /* 2337395 */ // Label 32523: @2337395
     /* 2337395 */ GIM_Reject,
     /* 2337396 */ // Label 32435: @2337396
     /* 2337396 */ GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2337646),
     /* 2337401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2337407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337415 */   GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2337481), // Rule ID 56377 //
     /* 2337420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337442 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337480 */     // GIR_Coverage, 56377,
     /* 2337480 */     GIR_EraseRootFromParent_Done,
     /* 2337481 */   // Label 32529: @2337481
     /* 2337481 */   GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2337547), // Rule ID 56378 //
     /* 2337486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337508 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337546 */     // GIR_Coverage, 56378,
     /* 2337546 */     GIR_EraseRootFromParent_Done,
     /* 2337547 */   // Label 32530: @2337547
     /* 2337547 */   GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2337596), // Rule ID 56371 //
     /* 2337552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337559 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2337576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337595 */     // GIR_Coverage, 56371,
     /* 2337595 */     GIR_EraseRootFromParent_Done,
     /* 2337596 */   // Label 32531: @2337596
     /* 2337596 */   GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2337645), // Rule ID 56372 //
     /* 2337601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337608 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2337625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337644 */     // GIR_Coverage, 56372,
     /* 2337644 */     GIR_EraseRootFromParent_Done,
     /* 2337645 */   // Label 32532: @2337645
     /* 2337645 */   GIM_Reject,
     /* 2337646 */ // Label 32528: @2337646
     /* 2337646 */ GIM_Reject,
     /* 2337647 */ // Label 32436: @2337647
     /* 2337647 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2337897),
     /* 2337652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2337658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337666 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2337732), // Rule ID 56237 //
     /* 2337671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337693 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2337710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337731 */     // GIR_Coverage, 56237,
     /* 2337731 */     GIR_EraseRootFromParent_Done,
     /* 2337732 */   // Label 32534: @2337732
     /* 2337732 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2337798), // Rule ID 56238 //
     /* 2337737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337759 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2337776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337797 */     // GIR_Coverage, 56238,
     /* 2337797 */     GIR_EraseRootFromParent_Done,
     /* 2337798 */   // Label 32535: @2337798
     /* 2337798 */   GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2337847), // Rule ID 56231 //
     /* 2337803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337810 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2337827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337846 */     // GIR_Coverage, 56231,
     /* 2337846 */     GIR_EraseRootFromParent_Done,
     /* 2337847 */   // Label 32536: @2337847
     /* 2337847 */   GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2337896), // Rule ID 56232 //
     /* 2337852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337859 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2337876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337895 */     // GIR_Coverage, 56232,
     /* 2337895 */     GIR_EraseRootFromParent_Done,
     /* 2337896 */   // Label 32537: @2337896
     /* 2337896 */   GIM_Reject,
     /* 2337897 */ // Label 32533: @2337897
     /* 2337897 */ GIM_Reject,
     /* 2337898 */ // Label 32437: @2337898
     /* 2337898 */ GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2338148),
     /* 2337903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2337909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337917 */   GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2337983), // Rule ID 56317 //
     /* 2337922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337944 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2337947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2337961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337982 */     // GIR_Coverage, 56317,
     /* 2337982 */     GIR_EraseRootFromParent_Done,
     /* 2337983 */   // Label 32539: @2337983
     /* 2337983 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2338049), // Rule ID 56318 //
     /* 2337988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338010 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2338027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338048 */     // GIR_Coverage, 56318,
     /* 2338048 */     GIR_EraseRootFromParent_Done,
     /* 2338049 */   // Label 32540: @2338049
     /* 2338049 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2338098), // Rule ID 56311 //
     /* 2338054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338061 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338097 */     // GIR_Coverage, 56311,
     /* 2338097 */     GIR_EraseRootFromParent_Done,
     /* 2338098 */   // Label 32541: @2338098
     /* 2338098 */   GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2338147), // Rule ID 56312 //
     /* 2338103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338110 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338146 */     // GIR_Coverage, 56312,
     /* 2338146 */     GIR_EraseRootFromParent_Done,
     /* 2338147 */   // Label 32542: @2338147
     /* 2338147 */   GIM_Reject,
     /* 2338148 */ // Label 32538: @2338148
     /* 2338148 */ GIM_Reject,
     /* 2338149 */ // Label 32438: @2338149
     /* 2338149 */ GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2338399),
     /* 2338154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2338160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338168 */   GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2338234), // Rule ID 56397 //
     /* 2338173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338195 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338233 */     // GIR_Coverage, 56397,
     /* 2338233 */     GIR_EraseRootFromParent_Done,
     /* 2338234 */   // Label 32544: @2338234
     /* 2338234 */   GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2338300), // Rule ID 56398 //
     /* 2338239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338261 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338299 */     // GIR_Coverage, 56398,
     /* 2338299 */     GIR_EraseRootFromParent_Done,
     /* 2338300 */   // Label 32545: @2338300
     /* 2338300 */   GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2338349), // Rule ID 56391 //
     /* 2338305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338312 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338348 */     // GIR_Coverage, 56391,
     /* 2338348 */     GIR_EraseRootFromParent_Done,
     /* 2338349 */   // Label 32546: @2338349
     /* 2338349 */   GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2338398), // Rule ID 56392 //
     /* 2338354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338361 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338397 */     // GIR_Coverage, 56392,
     /* 2338397 */     GIR_EraseRootFromParent_Done,
     /* 2338398 */   // Label 32547: @2338398
     /* 2338398 */   GIM_Reject,
     /* 2338399 */ // Label 32543: @2338399
     /* 2338399 */ GIM_Reject,
     /* 2338400 */ // Label 32439: @2338400
     /* 2338400 */ GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2338650),
     /* 2338405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2338411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338419 */   GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2338485), // Rule ID 56257 //
     /* 2338424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338446 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338484 */     // GIR_Coverage, 56257,
     /* 2338484 */     GIR_EraseRootFromParent_Done,
     /* 2338485 */   // Label 32549: @2338485
     /* 2338485 */   GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2338551), // Rule ID 56258 //
     /* 2338490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338512 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338550 */     // GIR_Coverage, 56258,
     /* 2338550 */     GIR_EraseRootFromParent_Done,
     /* 2338551 */   // Label 32550: @2338551
     /* 2338551 */   GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2338600), // Rule ID 56251 //
     /* 2338556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338563 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2338580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338599 */     // GIR_Coverage, 56251,
     /* 2338599 */     GIR_EraseRootFromParent_Done,
     /* 2338600 */   // Label 32551: @2338600
     /* 2338600 */   GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2338649), // Rule ID 56252 //
     /* 2338605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338612 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2338629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338648 */     // GIR_Coverage, 56252,
     /* 2338648 */     GIR_EraseRootFromParent_Done,
     /* 2338649 */   // Label 32552: @2338649
     /* 2338649 */   GIM_Reject,
     /* 2338650 */ // Label 32548: @2338650
     /* 2338650 */ GIM_Reject,
     /* 2338651 */ // Label 32440: @2338651
     /* 2338651 */ GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2338901),
     /* 2338656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2338662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338670 */   GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2338736), // Rule ID 56337 //
     /* 2338675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338697 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2338714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338735 */     // GIR_Coverage, 56337,
     /* 2338735 */     GIR_EraseRootFromParent_Done,
     /* 2338736 */   // Label 32554: @2338736
     /* 2338736 */   GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2338802), // Rule ID 56338 //
     /* 2338741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338763 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2338780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338801 */     // GIR_Coverage, 56338,
     /* 2338801 */     GIR_EraseRootFromParent_Done,
     /* 2338802 */   // Label 32555: @2338802
     /* 2338802 */   GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2338851), // Rule ID 56331 //
     /* 2338807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338814 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2338831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338850 */     // GIR_Coverage, 56331,
     /* 2338850 */     GIR_EraseRootFromParent_Done,
     /* 2338851 */   // Label 32556: @2338851
     /* 2338851 */   GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2338900), // Rule ID 56332 //
     /* 2338856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338863 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2338880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338899 */     // GIR_Coverage, 56332,
     /* 2338899 */     GIR_EraseRootFromParent_Done,
     /* 2338900 */   // Label 32557: @2338900
     /* 2338900 */   GIM_Reject,
     /* 2338901 */ // Label 32553: @2338901
     /* 2338901 */ GIM_Reject,
     /* 2338902 */ // Label 32441: @2338902
     /* 2338902 */ GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2339152),
     /* 2338907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2338910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2338913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338921 */   GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2338987), // Rule ID 56277 //
     /* 2338926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2338941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338948 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2338951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2338965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338986 */     // GIR_Coverage, 56277,
     /* 2338986 */     GIR_EraseRootFromParent_Done,
     /* 2338987 */   // Label 32559: @2338987
     /* 2338987 */   GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2339053), // Rule ID 56278 //
     /* 2338992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339014 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2339031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339052 */     // GIR_Coverage, 56278,
     /* 2339052 */     GIR_EraseRootFromParent_Done,
     /* 2339053 */   // Label 32560: @2339053
     /* 2339053 */   GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2339102), // Rule ID 56271 //
     /* 2339058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339065 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339101 */     // GIR_Coverage, 56271,
     /* 2339101 */     GIR_EraseRootFromParent_Done,
     /* 2339102 */   // Label 32561: @2339102
     /* 2339102 */   GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2339151), // Rule ID 56272 //
     /* 2339107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339114 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339150 */     // GIR_Coverage, 56272,
     /* 2339150 */     GIR_EraseRootFromParent_Done,
     /* 2339151 */   // Label 32562: @2339151
     /* 2339151 */   GIM_Reject,
     /* 2339152 */ // Label 32558: @2339152
     /* 2339152 */ GIM_Reject,
     /* 2339153 */ // Label 32442: @2339153
     /* 2339153 */ GIM_Reject,
     /* 2339154 */ // Label 73: @2339154
     /* 2339154 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32566*/ GIMT_Encode4(2339343),
     /* 2339165 */ /*GILLT_s16*//*Label 32563*/ GIMT_Encode4(2339177),
     /* 2339169 */ /*GILLT_s32*//*Label 32564*/ GIMT_Encode4(2339227),
     /* 2339173 */ /*GILLT_s64*//*Label 32565*/ GIMT_Encode4(2339277),
     /* 2339177 */ // Label 32563: @2339177
     /* 2339177 */ GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2339226),
     /* 2339182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339193 */   GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2339209), // Rule ID 1949 //
     /* 2339198 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339208 */     // GIR_Coverage, 1949,
     /* 2339208 */     GIR_EraseRootFromParent_Done,
     /* 2339209 */   // Label 32568: @2339209
     /* 2339209 */   GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2339225), // Rule ID 1950 //
     /* 2339214 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339224 */     // GIR_Coverage, 1950,
     /* 2339224 */     GIR_EraseRootFromParent_Done,
     /* 2339225 */   // Label 32569: @2339225
     /* 2339225 */   GIM_Reject,
     /* 2339226 */ // Label 32567: @2339226
     /* 2339226 */ GIM_Reject,
     /* 2339227 */ // Label 32564: @2339227
     /* 2339227 */ GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2339276),
     /* 2339232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339243 */   GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2339259), // Rule ID 1236 //
     /* 2339248 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339258 */     // GIR_Coverage, 1236,
     /* 2339258 */     GIR_EraseRootFromParent_Done,
     /* 2339259 */   // Label 32571: @2339259
     /* 2339259 */   GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2339275), // Rule ID 1237 //
     /* 2339264 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339274 */     // GIR_Coverage, 1237,
     /* 2339274 */     GIR_EraseRootFromParent_Done,
     /* 2339275 */   // Label 32572: @2339275
     /* 2339275 */   GIM_Reject,
     /* 2339276 */ // Label 32570: @2339276
     /* 2339276 */ GIM_Reject,
     /* 2339277 */ // Label 32565: @2339277
     /* 2339277 */ GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2339342),
     /* 2339282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339293 */   GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2339309), // Rule ID 1613 //
     /* 2339298 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339308 */     // GIR_Coverage, 1613,
     /* 2339308 */     GIR_EraseRootFromParent_Done,
     /* 2339309 */   // Label 32574: @2339309
     /* 2339309 */   GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2339325), // Rule ID 1614 //
     /* 2339314 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339324 */     // GIR_Coverage, 1614,
     /* 2339324 */     GIR_EraseRootFromParent_Done,
     /* 2339325 */   // Label 32575: @2339325
     /* 2339325 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2339341), // Rule ID 1615 //
     /* 2339330 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339340 */     // GIR_Coverage, 1615,
     /* 2339340 */     GIR_EraseRootFromParent_Done,
     /* 2339341 */   // Label 32576: @2339341
     /* 2339341 */   GIM_Reject,
     /* 2339342 */ // Label 32573: @2339342
     /* 2339342 */ GIM_Reject,
     /* 2339343 */ // Label 32566: @2339343
     /* 2339343 */ GIM_Reject,
     /* 2339344 */ // Label 74: @2339344
     /* 2339344 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32595*/ GIMT_Encode4(2341428),
     /* 2339355 */ /*GILLT_s16*//*Label 32577*/ GIMT_Encode4(2339475),
     /* 2339359 */ /*GILLT_s32*//*Label 32578*/ GIMT_Encode4(2339542),
     /* 2339363 */ /*GILLT_s64*//*Label 32579*/ GIMT_Encode4(2339609), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339375 */ /*GILLT_nxv1s16*//*Label 32580*/ GIMT_Encode4(2339703),
     /* 2339379 */ /*GILLT_nxv1s32*//*Label 32581*/ GIMT_Encode4(2339818),
     /* 2339383 */ /*GILLT_nxv1s64*//*Label 32582*/ GIMT_Encode4(2339933), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339395 */ /*GILLT_nxv2s16*//*Label 32583*/ GIMT_Encode4(2340048),
     /* 2339399 */ /*GILLT_nxv2s32*//*Label 32584*/ GIMT_Encode4(2340163),
     /* 2339403 */ /*GILLT_nxv2s64*//*Label 32585*/ GIMT_Encode4(2340278), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339415 */ /*GILLT_nxv4s16*//*Label 32586*/ GIMT_Encode4(2340393),
     /* 2339419 */ /*GILLT_nxv4s32*//*Label 32587*/ GIMT_Encode4(2340508),
     /* 2339423 */ /*GILLT_nxv4s64*//*Label 32588*/ GIMT_Encode4(2340623), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339435 */ /*GILLT_nxv8s16*//*Label 32589*/ GIMT_Encode4(2340738),
     /* 2339439 */ /*GILLT_nxv8s32*//*Label 32590*/ GIMT_Encode4(2340853),
     /* 2339443 */ /*GILLT_nxv8s64*//*Label 32591*/ GIMT_Encode4(2340968), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339455 */ /*GILLT_nxv16s16*//*Label 32592*/ GIMT_Encode4(2341083),
     /* 2339459 */ /*GILLT_nxv16s32*//*Label 32593*/ GIMT_Encode4(2341198), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339471 */ /*GILLT_nxv32s16*//*Label 32594*/ GIMT_Encode4(2341313),
     /* 2339475 */ // Label 32577: @2339475
     /* 2339475 */ GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2339541),
     /* 2339480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339486 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2339513), // Rule ID 1937 //
     /* 2339491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2339494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339506 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339512 */     // GIR_Coverage, 1937,
     /* 2339512 */     GIR_Done,
     /* 2339513 */   // Label 32597: @2339513
     /* 2339513 */   GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2339540), // Rule ID 1938 //
     /* 2339518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2339521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339533 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2339538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339539 */     // GIR_Coverage, 1938,
     /* 2339539 */     GIR_Done,
     /* 2339540 */   // Label 32598: @2339540
     /* 2339540 */   GIM_Reject,
     /* 2339541 */ // Label 32596: @2339541
     /* 2339541 */ GIM_Reject,
     /* 2339542 */ // Label 32578: @2339542
     /* 2339542 */ GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2339608),
     /* 2339547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339553 */   GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2339580), // Rule ID 1224 //
     /* 2339558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2339561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339573 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339579 */     // GIR_Coverage, 1224,
     /* 2339579 */     GIR_Done,
     /* 2339580 */   // Label 32600: @2339580
     /* 2339580 */   GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2339607), // Rule ID 1225 //
     /* 2339585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2339588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339600 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2339605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339606 */     // GIR_Coverage, 1225,
     /* 2339606 */     GIR_Done,
     /* 2339607 */   // Label 32601: @2339607
     /* 2339607 */   GIM_Reject,
     /* 2339608 */ // Label 32599: @2339608
     /* 2339608 */ GIM_Reject,
     /* 2339609 */ // Label 32579: @2339609
     /* 2339609 */ GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2339702),
     /* 2339614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339620 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2339647), // Rule ID 1595 //
     /* 2339625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2339628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339640 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339646 */     // GIR_Coverage, 1595,
     /* 2339646 */     GIR_Done,
     /* 2339647 */   // Label 32603: @2339647
     /* 2339647 */   GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2339674), // Rule ID 1596 //
     /* 2339652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2339655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339667 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2339672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339673 */     // GIR_Coverage, 1596,
     /* 2339673 */     GIR_Done,
     /* 2339674 */   // Label 32604: @2339674
     /* 2339674 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2339701), // Rule ID 1597 //
     /* 2339679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2339682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339694 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2339699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339700 */     // GIR_Coverage, 1597,
     /* 2339700 */     GIR_Done,
     /* 2339701 */   // Label 32605: @2339701
     /* 2339701 */   GIM_Reject,
     /* 2339702 */ // Label 32602: @2339702
     /* 2339702 */ GIM_Reject,
     /* 2339703 */ // Label 32580: @2339703
     /* 2339703 */ GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2339817),
     /* 2339708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2339711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2339714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339726 */   GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2339771), // Rule ID 45623 //
     /* 2339731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339734 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2339737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2339751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339770 */     // GIR_Coverage, 45623,
     /* 2339770 */     GIR_EraseRootFromParent_Done,
     /* 2339771 */   // Label 32607: @2339771
     /* 2339771 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2339816), // Rule ID 45624 //
     /* 2339776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339779 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2339782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2339796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339815 */     // GIR_Coverage, 45624,
     /* 2339815 */     GIR_EraseRootFromParent_Done,
     /* 2339816 */   // Label 32608: @2339816
     /* 2339816 */   GIM_Reject,
     /* 2339817 */ // Label 32606: @2339817
     /* 2339817 */ GIM_Reject,
     /* 2339818 */ // Label 32581: @2339818
     /* 2339818 */ GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2339932),
     /* 2339823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2339826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2339829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339841 */   GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2339886), // Rule ID 56409 //
     /* 2339846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339849 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2339866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339885 */     // GIR_Coverage, 56409,
     /* 2339885 */     GIR_EraseRootFromParent_Done,
     /* 2339886 */   // Label 32610: @2339886
     /* 2339886 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2339931), // Rule ID 56410 //
     /* 2339891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339894 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2339911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339930 */     // GIR_Coverage, 56410,
     /* 2339930 */     GIR_EraseRootFromParent_Done,
     /* 2339931 */   // Label 32611: @2339931
     /* 2339931 */   GIM_Reject,
     /* 2339932 */ // Label 32609: @2339932
     /* 2339932 */ GIM_Reject,
     /* 2339933 */ // Label 32582: @2339933
     /* 2339933 */ GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2340047),
     /* 2339938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2339941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2339944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339956 */   GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2340001), // Rule ID 56427 //
     /* 2339961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2339964 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2339967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2339981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340000 */     // GIR_Coverage, 56427,
     /* 2340000 */     GIR_EraseRootFromParent_Done,
     /* 2340001 */   // Label 32613: @2340001
     /* 2340001 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2340046), // Rule ID 56428 //
     /* 2340006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340009 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2340026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340045 */     // GIR_Coverage, 56428,
     /* 2340045 */     GIR_EraseRootFromParent_Done,
     /* 2340046 */   // Label 32614: @2340046
     /* 2340046 */   GIM_Reject,
     /* 2340047 */ // Label 32612: @2340047
     /* 2340047 */ GIM_Reject,
     /* 2340048 */ // Label 32583: @2340048
     /* 2340048 */ GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2340162),
     /* 2340053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2340059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340071 */   GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2340116), // Rule ID 56403 //
     /* 2340076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340079 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340115 */     // GIR_Coverage, 56403,
     /* 2340115 */     GIR_EraseRootFromParent_Done,
     /* 2340116 */   // Label 32616: @2340116
     /* 2340116 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2340161), // Rule ID 56404 //
     /* 2340121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340124 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340160 */     // GIR_Coverage, 56404,
     /* 2340160 */     GIR_EraseRootFromParent_Done,
     /* 2340161 */   // Label 32617: @2340161
     /* 2340161 */   GIM_Reject,
     /* 2340162 */ // Label 32615: @2340162
     /* 2340162 */ GIM_Reject,
     /* 2340163 */ // Label 32584: @2340163
     /* 2340163 */ GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2340277),
     /* 2340168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2340174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340186 */   GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2340231), // Rule ID 56421 //
     /* 2340191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340194 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340230 */     // GIR_Coverage, 56421,
     /* 2340230 */     GIR_EraseRootFromParent_Done,
     /* 2340231 */   // Label 32619: @2340231
     /* 2340231 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2340276), // Rule ID 56422 //
     /* 2340236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340239 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340275 */     // GIR_Coverage, 56422,
     /* 2340275 */     GIR_EraseRootFromParent_Done,
     /* 2340276 */   // Label 32620: @2340276
     /* 2340276 */   GIM_Reject,
     /* 2340277 */ // Label 32618: @2340277
     /* 2340277 */ GIM_Reject,
     /* 2340278 */ // Label 32585: @2340278
     /* 2340278 */ GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2340392),
     /* 2340283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2340289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340301 */   GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2340346), // Rule ID 56469 //
     /* 2340306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340309 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340345 */     // GIR_Coverage, 56469,
     /* 2340345 */     GIR_EraseRootFromParent_Done,
     /* 2340346 */   // Label 32622: @2340346
     /* 2340346 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2340391), // Rule ID 56470 //
     /* 2340351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340354 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340390 */     // GIR_Coverage, 56470,
     /* 2340390 */     GIR_EraseRootFromParent_Done,
     /* 2340391 */   // Label 32623: @2340391
     /* 2340391 */   GIM_Reject,
     /* 2340392 */ // Label 32621: @2340392
     /* 2340392 */ GIM_Reject,
     /* 2340393 */ // Label 32586: @2340393
     /* 2340393 */ GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2340507),
     /* 2340398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2340404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340416 */   GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2340461), // Rule ID 56415 //
     /* 2340421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340424 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340460 */     // GIR_Coverage, 56415,
     /* 2340460 */     GIR_EraseRootFromParent_Done,
     /* 2340461 */   // Label 32625: @2340461
     /* 2340461 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2340506), // Rule ID 56416 //
     /* 2340466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340469 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340505 */     // GIR_Coverage, 56416,
     /* 2340505 */     GIR_EraseRootFromParent_Done,
     /* 2340506 */   // Label 32626: @2340506
     /* 2340506 */   GIM_Reject,
     /* 2340507 */ // Label 32624: @2340507
     /* 2340507 */ GIM_Reject,
     /* 2340508 */ // Label 32587: @2340508
     /* 2340508 */ GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2340622),
     /* 2340513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2340519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340531 */   GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2340576), // Rule ID 56451 //
     /* 2340536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340539 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340575 */     // GIR_Coverage, 56451,
     /* 2340575 */     GIR_EraseRootFromParent_Done,
     /* 2340576 */   // Label 32628: @2340576
     /* 2340576 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2340621), // Rule ID 56452 //
     /* 2340581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340584 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340620 */     // GIR_Coverage, 56452,
     /* 2340620 */     GIR_EraseRootFromParent_Done,
     /* 2340621 */   // Label 32629: @2340621
     /* 2340621 */   GIM_Reject,
     /* 2340622 */ // Label 32627: @2340622
     /* 2340622 */ GIM_Reject,
     /* 2340623 */ // Label 32588: @2340623
     /* 2340623 */ GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2340737),
     /* 2340628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2340631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2340634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340646 */   GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2340691), // Rule ID 56475 //
     /* 2340651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340654 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2340657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2340671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340690 */     // GIR_Coverage, 56475,
     /* 2340690 */     GIR_EraseRootFromParent_Done,
     /* 2340691 */   // Label 32631: @2340691
     /* 2340691 */   GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2340736), // Rule ID 56476 //
     /* 2340696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340699 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2340702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2340716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340735 */     // GIR_Coverage, 56476,
     /* 2340735 */     GIR_EraseRootFromParent_Done,
     /* 2340736 */   // Label 32632: @2340736
     /* 2340736 */   GIM_Reject,
     /* 2340737 */ // Label 32630: @2340737
     /* 2340737 */ GIM_Reject,
     /* 2340738 */ // Label 32589: @2340738
     /* 2340738 */ GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2340852),
     /* 2340743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2340746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2340749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340761 */   GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2340806), // Rule ID 56433 //
     /* 2340766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340769 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2340772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2340786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340805 */     // GIR_Coverage, 56433,
     /* 2340805 */     GIR_EraseRootFromParent_Done,
     /* 2340806 */   // Label 32634: @2340806
     /* 2340806 */   GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2340851), // Rule ID 56434 //
     /* 2340811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340814 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2340817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2340831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340850 */     // GIR_Coverage, 56434,
     /* 2340850 */     GIR_EraseRootFromParent_Done,
     /* 2340851 */   // Label 32635: @2340851
     /* 2340851 */   GIM_Reject,
     /* 2340852 */ // Label 32633: @2340852
     /* 2340852 */ GIM_Reject,
     /* 2340853 */ // Label 32590: @2340853
     /* 2340853 */ GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2340967),
     /* 2340858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2340861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2340864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340876 */   GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2340921), // Rule ID 56457 //
     /* 2340881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340884 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2340887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2340901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340920 */     // GIR_Coverage, 56457,
     /* 2340920 */     GIR_EraseRootFromParent_Done,
     /* 2340921 */   // Label 32637: @2340921
     /* 2340921 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2340966), // Rule ID 56458 //
     /* 2340926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340929 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2340932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2340946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340965 */     // GIR_Coverage, 56458,
     /* 2340965 */     GIR_EraseRootFromParent_Done,
     /* 2340966 */   // Label 32638: @2340966
     /* 2340966 */   GIM_Reject,
     /* 2340967 */ // Label 32636: @2340967
     /* 2340967 */ GIM_Reject,
     /* 2340968 */ // Label 32591: @2340968
     /* 2340968 */ GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2341082),
     /* 2340973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2340976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2340979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340991 */   GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2341036), // Rule ID 56481 //
     /* 2340996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340999 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2341016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341035 */     // GIR_Coverage, 56481,
     /* 2341035 */     GIR_EraseRootFromParent_Done,
     /* 2341036 */   // Label 32640: @2341036
     /* 2341036 */   GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2341081), // Rule ID 56482 //
     /* 2341041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341044 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2341061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341080 */     // GIR_Coverage, 56482,
     /* 2341080 */     GIR_EraseRootFromParent_Done,
     /* 2341081 */   // Label 32641: @2341081
     /* 2341081 */   GIM_Reject,
     /* 2341082 */ // Label 32639: @2341082
     /* 2341082 */ GIM_Reject,
     /* 2341083 */ // Label 32592: @2341083
     /* 2341083 */ GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2341197),
     /* 2341088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2341091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2341094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341106 */   GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2341151), // Rule ID 56439 //
     /* 2341111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341114 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341150 */     // GIR_Coverage, 56439,
     /* 2341150 */     GIR_EraseRootFromParent_Done,
     /* 2341151 */   // Label 32643: @2341151
     /* 2341151 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2341196), // Rule ID 56440 //
     /* 2341156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341159 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341195 */     // GIR_Coverage, 56440,
     /* 2341195 */     GIR_EraseRootFromParent_Done,
     /* 2341196 */   // Label 32644: @2341196
     /* 2341196 */   GIM_Reject,
     /* 2341197 */ // Label 32642: @2341197
     /* 2341197 */ GIM_Reject,
     /* 2341198 */ // Label 32593: @2341198
     /* 2341198 */ GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2341312),
     /* 2341203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2341206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2341209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341221 */   GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2341266), // Rule ID 56463 //
     /* 2341226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341229 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341265 */     // GIR_Coverage, 56463,
     /* 2341265 */     GIR_EraseRootFromParent_Done,
     /* 2341266 */   // Label 32646: @2341266
     /* 2341266 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2341311), // Rule ID 56464 //
     /* 2341271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341274 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341310 */     // GIR_Coverage, 56464,
     /* 2341310 */     GIR_EraseRootFromParent_Done,
     /* 2341311 */   // Label 32647: @2341311
     /* 2341311 */   GIM_Reject,
     /* 2341312 */ // Label 32645: @2341312
     /* 2341312 */ GIM_Reject,
     /* 2341313 */ // Label 32594: @2341313
     /* 2341313 */ GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2341427),
     /* 2341318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2341321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2341324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341336 */   GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2341381), // Rule ID 56445 //
     /* 2341341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341344 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341380 */     // GIR_Coverage, 56445,
     /* 2341380 */     GIR_EraseRootFromParent_Done,
     /* 2341381 */   // Label 32649: @2341381
     /* 2341381 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2341426), // Rule ID 56446 //
     /* 2341386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341389 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341425 */     // GIR_Coverage, 56446,
     /* 2341425 */     GIR_EraseRootFromParent_Done,
     /* 2341426 */   // Label 32650: @2341426
     /* 2341426 */   GIM_Reject,
     /* 2341427 */ // Label 32648: @2341427
     /* 2341427 */ GIM_Reject,
     /* 2341428 */ // Label 32595: @2341428
     /* 2341428 */ GIM_Reject,
     /* 2341429 */ // Label 75: @2341429
     /* 2341429 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32669*/ GIMT_Encode4(2343513),
     /* 2341440 */ /*GILLT_s16*//*Label 32651*/ GIMT_Encode4(2341560),
     /* 2341444 */ /*GILLT_s32*//*Label 32652*/ GIMT_Encode4(2341627),
     /* 2341448 */ /*GILLT_s64*//*Label 32653*/ GIMT_Encode4(2341694), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341460 */ /*GILLT_nxv1s16*//*Label 32654*/ GIMT_Encode4(2341788),
     /* 2341464 */ /*GILLT_nxv1s32*//*Label 32655*/ GIMT_Encode4(2341903),
     /* 2341468 */ /*GILLT_nxv1s64*//*Label 32656*/ GIMT_Encode4(2342018), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341480 */ /*GILLT_nxv2s16*//*Label 32657*/ GIMT_Encode4(2342133),
     /* 2341484 */ /*GILLT_nxv2s32*//*Label 32658*/ GIMT_Encode4(2342248),
     /* 2341488 */ /*GILLT_nxv2s64*//*Label 32659*/ GIMT_Encode4(2342363), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341500 */ /*GILLT_nxv4s16*//*Label 32660*/ GIMT_Encode4(2342478),
     /* 2341504 */ /*GILLT_nxv4s32*//*Label 32661*/ GIMT_Encode4(2342593),
     /* 2341508 */ /*GILLT_nxv4s64*//*Label 32662*/ GIMT_Encode4(2342708), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341520 */ /*GILLT_nxv8s16*//*Label 32663*/ GIMT_Encode4(2342823),
     /* 2341524 */ /*GILLT_nxv8s32*//*Label 32664*/ GIMT_Encode4(2342938),
     /* 2341528 */ /*GILLT_nxv8s64*//*Label 32665*/ GIMT_Encode4(2343053), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341540 */ /*GILLT_nxv16s16*//*Label 32666*/ GIMT_Encode4(2343168),
     /* 2341544 */ /*GILLT_nxv16s32*//*Label 32667*/ GIMT_Encode4(2343283), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341556 */ /*GILLT_nxv32s16*//*Label 32668*/ GIMT_Encode4(2343398),
     /* 2341560 */ // Label 32651: @2341560
     /* 2341560 */ GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2341626),
     /* 2341565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2341568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2341571 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2341598), // Rule ID 1939 //
     /* 2341576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2341579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341591 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2341596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341597 */     // GIR_Coverage, 1939,
     /* 2341597 */     GIR_Done,
     /* 2341598 */   // Label 32671: @2341598
     /* 2341598 */   GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2341625), // Rule ID 1940 //
     /* 2341603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2341606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341618 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2341623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341624 */     // GIR_Coverage, 1940,
     /* 2341624 */     GIR_Done,
     /* 2341625 */   // Label 32672: @2341625
     /* 2341625 */   GIM_Reject,
     /* 2341626 */ // Label 32670: @2341626
     /* 2341626 */ GIM_Reject,
     /* 2341627 */ // Label 32652: @2341627
     /* 2341627 */ GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2341693),
     /* 2341632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2341635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2341638 */   GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2341665), // Rule ID 1226 //
     /* 2341643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2341646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341658 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2341658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2341663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341664 */     // GIR_Coverage, 1226,
     /* 2341664 */     GIR_Done,
     /* 2341665 */   // Label 32674: @2341665
     /* 2341665 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2341692), // Rule ID 1227 //
     /* 2341670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2341673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2341677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2341681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2341685 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2341685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2341690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341691 */     // GIR_Coverage, 1227,
     /* 2341691 */     GIR_Done,
     /* 2341692 */   // Label 32675: @2341692
     /* 2341692 */   GIM_Reject,
     /* 2341693 */ // Label 32673: @2341693
     /* 2341693 */ GIM_Reject,
     /* 2341694 */ // Label 32653: @2341694
     /* 2341694 */ GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2341787),
     /* 2341699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2341702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2341705 */   GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2341732), // Rule ID 1598 //
     /* 2341710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2341713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2341717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2341721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2341725 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2341725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2341730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341731 */     // GIR_Coverage, 1598,
     /* 2341731 */     GIR_Done,
     /* 2341732 */   // Label 32677: @2341732
     /* 2341732 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2341759), // Rule ID 1599 //
     /* 2341737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2341740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2341744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2341748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2341752 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2341752 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2341757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341758 */     // GIR_Coverage, 1599,
     /* 2341758 */     GIR_Done,
     /* 2341759 */   // Label 32678: @2341759
     /* 2341759 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2341786), // Rule ID 1600 //
     /* 2341764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2341767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2341771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2341775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2341779 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2341779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2341784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341785 */     // GIR_Coverage, 1600,
     /* 2341785 */     GIR_Done,
     /* 2341786 */   // Label 32679: @2341786
     /* 2341786 */   GIM_Reject,
     /* 2341787 */ // Label 32676: @2341787
     /* 2341787 */ GIM_Reject,
     /* 2341788 */ // Label 32654: @2341788
     /* 2341788 */ GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2341902),
     /* 2341793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2341796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341811 */   GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2341856), // Rule ID 56487 //
     /* 2341816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341819 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2341822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2341836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341855 */     // GIR_Coverage, 56487,
     /* 2341855 */     GIR_EraseRootFromParent_Done,
     /* 2341856 */   // Label 32681: @2341856
     /* 2341856 */   GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2341901), // Rule ID 56488 //
     /* 2341861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341864 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2341867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2341881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341900 */     // GIR_Coverage, 56488,
     /* 2341900 */     GIR_EraseRootFromParent_Done,
     /* 2341901 */   // Label 32682: @2341901
     /* 2341901 */   GIM_Reject,
     /* 2341902 */ // Label 32680: @2341902
     /* 2341902 */ GIM_Reject,
     /* 2341903 */ // Label 32655: @2341903
     /* 2341903 */ GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2342017),
     /* 2341908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2341911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2341914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341926 */   GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2341971), // Rule ID 56499 //
     /* 2341931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341934 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2341937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2341951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341970 */     // GIR_Coverage, 56499,
     /* 2341970 */     GIR_EraseRootFromParent_Done,
     /* 2341971 */   // Label 32684: @2341971
     /* 2341971 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2342016), // Rule ID 56500 //
     /* 2341976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341979 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2341982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2341996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342015 */     // GIR_Coverage, 56500,
     /* 2342015 */     GIR_EraseRootFromParent_Done,
     /* 2342016 */   // Label 32685: @2342016
     /* 2342016 */   GIM_Reject,
     /* 2342017 */ // Label 32683: @2342017
     /* 2342017 */ GIM_Reject,
     /* 2342018 */ // Label 32656: @2342018
     /* 2342018 */ GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2342132),
     /* 2342023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2342026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342041 */   GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2342086), // Rule ID 56517 //
     /* 2342046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342049 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342085 */     // GIR_Coverage, 56517,
     /* 2342085 */     GIR_EraseRootFromParent_Done,
     /* 2342086 */   // Label 32687: @2342086
     /* 2342086 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2342131), // Rule ID 56518 //
     /* 2342091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342094 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342130 */     // GIR_Coverage, 56518,
     /* 2342130 */     GIR_EraseRootFromParent_Done,
     /* 2342131 */   // Label 32688: @2342131
     /* 2342131 */   GIM_Reject,
     /* 2342132 */ // Label 32686: @2342132
     /* 2342132 */ GIM_Reject,
     /* 2342133 */ // Label 32657: @2342133
     /* 2342133 */ GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2342247),
     /* 2342138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2342141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2342144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342156 */   GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2342201), // Rule ID 56493 //
     /* 2342161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342164 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342200 */     // GIR_Coverage, 56493,
     /* 2342200 */     GIR_EraseRootFromParent_Done,
     /* 2342201 */   // Label 32690: @2342201
     /* 2342201 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2342246), // Rule ID 56494 //
     /* 2342206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342209 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342245 */     // GIR_Coverage, 56494,
     /* 2342245 */     GIR_EraseRootFromParent_Done,
     /* 2342246 */   // Label 32691: @2342246
     /* 2342246 */   GIM_Reject,
     /* 2342247 */ // Label 32689: @2342247
     /* 2342247 */ GIM_Reject,
     /* 2342248 */ // Label 32658: @2342248
     /* 2342248 */ GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2342362),
     /* 2342253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2342256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2342259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342271 */   GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2342316), // Rule ID 56511 //
     /* 2342276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342279 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342315 */     // GIR_Coverage, 56511,
     /* 2342315 */     GIR_EraseRootFromParent_Done,
     /* 2342316 */   // Label 32693: @2342316
     /* 2342316 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2342361), // Rule ID 56512 //
     /* 2342321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342324 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342360 */     // GIR_Coverage, 56512,
     /* 2342360 */     GIR_EraseRootFromParent_Done,
     /* 2342361 */   // Label 32694: @2342361
     /* 2342361 */   GIM_Reject,
     /* 2342362 */ // Label 32692: @2342362
     /* 2342362 */ GIM_Reject,
     /* 2342363 */ // Label 32659: @2342363
     /* 2342363 */ GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2342477),
     /* 2342368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2342371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2342374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342386 */   GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2342431), // Rule ID 56559 //
     /* 2342391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342394 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342430 */     // GIR_Coverage, 56559,
     /* 2342430 */     GIR_EraseRootFromParent_Done,
     /* 2342431 */   // Label 32696: @2342431
     /* 2342431 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2342476), // Rule ID 56560 //
     /* 2342436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342439 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342475 */     // GIR_Coverage, 56560,
     /* 2342475 */     GIR_EraseRootFromParent_Done,
     /* 2342476 */   // Label 32697: @2342476
     /* 2342476 */   GIM_Reject,
     /* 2342477 */ // Label 32695: @2342477
     /* 2342477 */ GIM_Reject,
     /* 2342478 */ // Label 32660: @2342478
     /* 2342478 */ GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2342592),
     /* 2342483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2342486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2342489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342501 */   GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2342546), // Rule ID 56505 //
     /* 2342506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342509 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342545 */     // GIR_Coverage, 56505,
     /* 2342545 */     GIR_EraseRootFromParent_Done,
     /* 2342546 */   // Label 32699: @2342546
     /* 2342546 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2342591), // Rule ID 56506 //
     /* 2342551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342554 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342590 */     // GIR_Coverage, 56506,
     /* 2342590 */     GIR_EraseRootFromParent_Done,
     /* 2342591 */   // Label 32700: @2342591
     /* 2342591 */   GIM_Reject,
     /* 2342592 */ // Label 32698: @2342592
     /* 2342592 */ GIM_Reject,
     /* 2342593 */ // Label 32661: @2342593
     /* 2342593 */ GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2342707),
     /* 2342598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2342604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342616 */   GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2342661), // Rule ID 56541 //
     /* 2342621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342624 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2342641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342660 */     // GIR_Coverage, 56541,
     /* 2342660 */     GIR_EraseRootFromParent_Done,
     /* 2342661 */   // Label 32702: @2342661
     /* 2342661 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2342706), // Rule ID 56542 //
     /* 2342666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342669 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2342686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342705 */     // GIR_Coverage, 56542,
     /* 2342705 */     GIR_EraseRootFromParent_Done,
     /* 2342706 */   // Label 32703: @2342706
     /* 2342706 */   GIM_Reject,
     /* 2342707 */ // Label 32701: @2342707
     /* 2342707 */ GIM_Reject,
     /* 2342708 */ // Label 32662: @2342708
     /* 2342708 */ GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2342822),
     /* 2342713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2342716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2342719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342731 */   GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2342776), // Rule ID 56565 //
     /* 2342736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342739 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2342756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342775 */     // GIR_Coverage, 56565,
     /* 2342775 */     GIR_EraseRootFromParent_Done,
     /* 2342776 */   // Label 32705: @2342776
     /* 2342776 */   GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2342821), // Rule ID 56566 //
     /* 2342781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342784 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2342801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342820 */     // GIR_Coverage, 56566,
     /* 2342820 */     GIR_EraseRootFromParent_Done,
     /* 2342821 */   // Label 32706: @2342821
     /* 2342821 */   GIM_Reject,
     /* 2342822 */ // Label 32704: @2342822
     /* 2342822 */ GIM_Reject,
     /* 2342823 */ // Label 32663: @2342823
     /* 2342823 */ GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2342937),
     /* 2342828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2342831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2342834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342846 */   GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2342891), // Rule ID 56523 //
     /* 2342851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342854 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2342871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342890 */     // GIR_Coverage, 56523,
     /* 2342890 */     GIR_EraseRootFromParent_Done,
     /* 2342891 */   // Label 32708: @2342891
     /* 2342891 */   GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2342936), // Rule ID 56524 //
     /* 2342896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342899 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2342916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342935 */     // GIR_Coverage, 56524,
     /* 2342935 */     GIR_EraseRootFromParent_Done,
     /* 2342936 */   // Label 32709: @2342936
     /* 2342936 */   GIM_Reject,
     /* 2342937 */ // Label 32707: @2342937
     /* 2342937 */ GIM_Reject,
     /* 2342938 */ // Label 32664: @2342938
     /* 2342938 */ GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2343052),
     /* 2342943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2342949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342961 */   GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2343006), // Rule ID 56547 //
     /* 2342966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342969 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2342986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343005 */     // GIR_Coverage, 56547,
     /* 2343005 */     GIR_EraseRootFromParent_Done,
     /* 2343006 */   // Label 32711: @2343006
     /* 2343006 */   GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2343051), // Rule ID 56548 //
     /* 2343011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343014 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2343031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343050 */     // GIR_Coverage, 56548,
     /* 2343050 */     GIR_EraseRootFromParent_Done,
     /* 2343051 */   // Label 32712: @2343051
     /* 2343051 */   GIM_Reject,
     /* 2343052 */ // Label 32710: @2343052
     /* 2343052 */ GIM_Reject,
     /* 2343053 */ // Label 32665: @2343053
     /* 2343053 */ GIM_Try, /*On fail goto*//*Label 32713*/ GIMT_Encode4(2343167),
     /* 2343058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2343064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343076 */   GIM_Try, /*On fail goto*//*Label 32714*/ GIMT_Encode4(2343121), // Rule ID 56571 //
     /* 2343081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2343084 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343120 */     // GIR_Coverage, 56571,
     /* 2343120 */     GIR_EraseRootFromParent_Done,
     /* 2343121 */   // Label 32714: @2343121
     /* 2343121 */   GIM_Try, /*On fail goto*//*Label 32715*/ GIMT_Encode4(2343166), // Rule ID 56572 //
     /* 2343126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2343129 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343165 */     // GIR_Coverage, 56572,
     /* 2343165 */     GIR_EraseRootFromParent_Done,
     /* 2343166 */   // Label 32715: @2343166
     /* 2343166 */   GIM_Reject,
     /* 2343167 */ // Label 32713: @2343167
     /* 2343167 */ GIM_Reject,
     /* 2343168 */ // Label 32666: @2343168
     /* 2343168 */ GIM_Try, /*On fail goto*//*Label 32716*/ GIMT_Encode4(2343282),
     /* 2343173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2343176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2343179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343191 */   GIM_Try, /*On fail goto*//*Label 32717*/ GIMT_Encode4(2343236), // Rule ID 56529 //
     /* 2343196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343199 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343235 */     // GIR_Coverage, 56529,
     /* 2343235 */     GIR_EraseRootFromParent_Done,
     /* 2343236 */   // Label 32717: @2343236
     /* 2343236 */   GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2343281), // Rule ID 56530 //
     /* 2343241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343244 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343280 */     // GIR_Coverage, 56530,
     /* 2343280 */     GIR_EraseRootFromParent_Done,
     /* 2343281 */   // Label 32718: @2343281
     /* 2343281 */   GIM_Reject,
     /* 2343282 */ // Label 32716: @2343282
     /* 2343282 */ GIM_Reject,
     /* 2343283 */ // Label 32667: @2343283
     /* 2343283 */ GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2343397),
     /* 2343288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2343294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343306 */   GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2343351), // Rule ID 56553 //
     /* 2343311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343314 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343350 */     // GIR_Coverage, 56553,
     /* 2343350 */     GIR_EraseRootFromParent_Done,
     /* 2343351 */   // Label 32720: @2343351
     /* 2343351 */   GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2343396), // Rule ID 56554 //
     /* 2343356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343359 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343395 */     // GIR_Coverage, 56554,
     /* 2343395 */     GIR_EraseRootFromParent_Done,
     /* 2343396 */   // Label 32721: @2343396
     /* 2343396 */   GIM_Reject,
     /* 2343397 */ // Label 32719: @2343397
     /* 2343397 */ GIM_Reject,
     /* 2343398 */ // Label 32668: @2343398
     /* 2343398 */ GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2343512),
     /* 2343403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2343406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2343409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343421 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2343466), // Rule ID 56535 //
     /* 2343426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343429 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343465 */     // GIR_Coverage, 56535,
     /* 2343465 */     GIR_EraseRootFromParent_Done,
     /* 2343466 */   // Label 32723: @2343466
     /* 2343466 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2343511), // Rule ID 56536 //
     /* 2343471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343474 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343510 */     // GIR_Coverage, 56536,
     /* 2343510 */     GIR_EraseRootFromParent_Done,
     /* 2343511 */   // Label 32724: @2343511
     /* 2343511 */   GIM_Reject,
     /* 2343512 */ // Label 32722: @2343512
     /* 2343512 */ GIM_Reject,
     /* 2343513 */ // Label 32669: @2343513
     /* 2343513 */ GIM_Reject,
     /* 2343514 */ // Label 76: @2343514
     /* 2343514 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32728*/ GIMT_Encode4(2343639),
     /* 2343525 */ /*GILLT_s16*//*Label 32725*/ GIMT_Encode4(2343537),
     /* 2343529 */ /*GILLT_s32*//*Label 32726*/ GIMT_Encode4(2343571),
     /* 2343533 */ /*GILLT_s64*//*Label 32727*/ GIMT_Encode4(2343605),
     /* 2343537 */ // Label 32725: @2343537
     /* 2343537 */ GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2343570), // Rule ID 2291 //
     /* 2343542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2343545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343563 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2343563 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2343568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343569 */   // GIR_Coverage, 2291,
     /* 2343569 */   GIR_Done,
     /* 2343570 */ // Label 32729: @2343570
     /* 2343570 */ GIM_Reject,
     /* 2343571 */ // Label 32726: @2343571
     /* 2343571 */ GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2343604), // Rule ID 2209 //
     /* 2343576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2343579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343597 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343597 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2343602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343603 */   // GIR_Coverage, 2209,
     /* 2343603 */   GIR_Done,
     /* 2343604 */ // Label 32730: @2343604
     /* 2343604 */ GIM_Reject,
     /* 2343605 */ // Label 32727: @2343605
     /* 2343605 */ GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2343638), // Rule ID 2249 //
     /* 2343610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2343613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343631 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2343631 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2343636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343637 */   // GIR_Coverage, 2249,
     /* 2343637 */   GIR_Done,
     /* 2343638 */ // Label 32731: @2343638
     /* 2343638 */ GIM_Reject,
     /* 2343639 */ // Label 32728: @2343639
     /* 2343639 */ GIM_Reject,
     /* 2343640 */ // Label 77: @2343640
     /* 2343640 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32735*/ GIMT_Encode4(2343765),
     /* 2343651 */ /*GILLT_s16*//*Label 32732*/ GIMT_Encode4(2343663),
     /* 2343655 */ /*GILLT_s32*//*Label 32733*/ GIMT_Encode4(2343697),
     /* 2343659 */ /*GILLT_s64*//*Label 32734*/ GIMT_Encode4(2343731),
     /* 2343663 */ // Label 32732: @2343663
     /* 2343663 */ GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2343696), // Rule ID 2292 //
     /* 2343668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2343671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343689 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2343689 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2343694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343695 */   // GIR_Coverage, 2292,
     /* 2343695 */   GIR_Done,
     /* 2343696 */ // Label 32736: @2343696
     /* 2343696 */ GIM_Reject,
     /* 2343697 */ // Label 32733: @2343697
     /* 2343697 */ GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2343730), // Rule ID 2210 //
     /* 2343702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2343705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343723 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343723 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2343728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343729 */   // GIR_Coverage, 2210,
     /* 2343729 */   GIR_Done,
     /* 2343730 */ // Label 32737: @2343730
     /* 2343730 */ GIM_Reject,
     /* 2343731 */ // Label 32734: @2343731
     /* 2343731 */ GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2343764), // Rule ID 2250 //
     /* 2343736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2343739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343757 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2343757 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2343762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343763 */   // GIR_Coverage, 2250,
     /* 2343763 */   GIR_Done,
     /* 2343764 */ // Label 32738: @2343764
     /* 2343764 */ GIM_Reject,
     /* 2343765 */ // Label 32735: @2343765
     /* 2343765 */ GIM_Reject,
     /* 2343766 */ // Label 78: @2343766
     /* 2343766 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32763*/ GIMT_Encode4(2346541),
     /* 2343777 */ /*GILLT_s32*//*Label 32739*/ GIMT_Encode4(2343901),
     /* 2343781 */ /*GILLT_s64*//*Label 32740*/ GIMT_Encode4(2343956), GIMT_Encode4(0),
     /* 2343789 */ /*GILLT_nxv1s8*//*Label 32741*/ GIMT_Encode4(2344011),
     /* 2343793 */ /*GILLT_nxv1s16*//*Label 32742*/ GIMT_Encode4(2344126),
     /* 2343797 */ /*GILLT_nxv1s32*//*Label 32743*/ GIMT_Encode4(2344241),
     /* 2343801 */ /*GILLT_nxv1s64*//*Label 32744*/ GIMT_Encode4(2344356), GIMT_Encode4(0),
     /* 2343809 */ /*GILLT_nxv2s8*//*Label 32745*/ GIMT_Encode4(2344471),
     /* 2343813 */ /*GILLT_nxv2s16*//*Label 32746*/ GIMT_Encode4(2344586),
     /* 2343817 */ /*GILLT_nxv2s32*//*Label 32747*/ GIMT_Encode4(2344701),
     /* 2343821 */ /*GILLT_nxv2s64*//*Label 32748*/ GIMT_Encode4(2344816), GIMT_Encode4(0),
     /* 2343829 */ /*GILLT_nxv4s8*//*Label 32749*/ GIMT_Encode4(2344931),
     /* 2343833 */ /*GILLT_nxv4s16*//*Label 32750*/ GIMT_Encode4(2345046),
     /* 2343837 */ /*GILLT_nxv4s32*//*Label 32751*/ GIMT_Encode4(2345161),
     /* 2343841 */ /*GILLT_nxv4s64*//*Label 32752*/ GIMT_Encode4(2345276), GIMT_Encode4(0),
     /* 2343849 */ /*GILLT_nxv8s8*//*Label 32753*/ GIMT_Encode4(2345391),
     /* 2343853 */ /*GILLT_nxv8s16*//*Label 32754*/ GIMT_Encode4(2345506),
     /* 2343857 */ /*GILLT_nxv8s32*//*Label 32755*/ GIMT_Encode4(2345621),
     /* 2343861 */ /*GILLT_nxv8s64*//*Label 32756*/ GIMT_Encode4(2345736), GIMT_Encode4(0),
     /* 2343869 */ /*GILLT_nxv16s8*//*Label 32757*/ GIMT_Encode4(2345851),
     /* 2343873 */ /*GILLT_nxv16s16*//*Label 32758*/ GIMT_Encode4(2345966),
     /* 2343877 */ /*GILLT_nxv16s32*//*Label 32759*/ GIMT_Encode4(2346081), GIMT_Encode4(0),
     /* 2343885 */ /*GILLT_nxv32s8*//*Label 32760*/ GIMT_Encode4(2346196),
     /* 2343889 */ /*GILLT_nxv32s16*//*Label 32761*/ GIMT_Encode4(2346311), GIMT_Encode4(0),
     /* 2343897 */ /*GILLT_nxv64s8*//*Label 32762*/ GIMT_Encode4(2346426),
     /* 2343901 */ // Label 32739: @2343901
     /* 2343901 */ GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2343955),
     /* 2343906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343924 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2343939), // Rule ID 64368 //
     /* 2343929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2343932 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2343932 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2343937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343938 */     // GIR_Coverage, 64368,
     /* 2343938 */     GIR_Done,
     /* 2343939 */   // Label 32765: @2343939
     /* 2343939 */   GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2343954), // Rule ID 2412 //
     /* 2343944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2343947 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2343947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2343952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343953 */     // GIR_Coverage, 2412,
     /* 2343953 */     GIR_Done,
     /* 2343954 */   // Label 32766: @2343954
     /* 2343954 */   GIM_Reject,
     /* 2343955 */ // Label 32764: @2343955
     /* 2343955 */ GIM_Reject,
     /* 2343956 */ // Label 32740: @2343956
     /* 2343956 */ GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2344010),
     /* 2343961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343979 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2343994), // Rule ID 64367 //
     /* 2343984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2343987 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2343987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2343992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343993 */     // GIR_Coverage, 64367,
     /* 2343993 */     GIR_Done,
     /* 2343994 */   // Label 32768: @2343994
     /* 2343994 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2344009), // Rule ID 2411 //
     /* 2343999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2344002 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2344002 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2344007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344008 */     // GIR_Coverage, 2411,
     /* 2344008 */     GIR_Done,
     /* 2344009 */   // Label 32769: @2344009
     /* 2344009 */   GIM_Reject,
     /* 2344010 */ // Label 32767: @2344010
     /* 2344010 */ GIM_Reject,
     /* 2344011 */ // Label 32741: @2344011
     /* 2344011 */ GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2344125),
     /* 2344016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2344019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2344022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344034 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2344079), // Rule ID 50459 //
     /* 2344039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344042 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2344045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344078 */     // GIR_Coverage, 50459,
     /* 2344078 */     GIR_EraseRootFromParent_Done,
     /* 2344079 */   // Label 32771: @2344079
     /* 2344079 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2344124), // Rule ID 50460 //
     /* 2344084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344087 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2344090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344123 */     // GIR_Coverage, 50460,
     /* 2344123 */     GIR_EraseRootFromParent_Done,
     /* 2344124 */   // Label 32772: @2344124
     /* 2344124 */   GIM_Reject,
     /* 2344125 */ // Label 32770: @2344125
     /* 2344125 */ GIM_Reject,
     /* 2344126 */ // Label 32742: @2344126
     /* 2344126 */ GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2344240),
     /* 2344131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2344137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344149 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2344194), // Rule ID 50471 //
     /* 2344154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344157 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344193 */     // GIR_Coverage, 50471,
     /* 2344193 */     GIR_EraseRootFromParent_Done,
     /* 2344194 */   // Label 32774: @2344194
     /* 2344194 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2344239), // Rule ID 50472 //
     /* 2344199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344202 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344238 */     // GIR_Coverage, 50472,
     /* 2344238 */     GIR_EraseRootFromParent_Done,
     /* 2344239 */   // Label 32775: @2344239
     /* 2344239 */   GIM_Reject,
     /* 2344240 */ // Label 32773: @2344240
     /* 2344240 */ GIM_Reject,
     /* 2344241 */ // Label 32743: @2344241
     /* 2344241 */ GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2344355),
     /* 2344246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2344252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344264 */   GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2344309), // Rule ID 50479 //
     /* 2344269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344272 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344308 */     // GIR_Coverage, 50479,
     /* 2344308 */     GIR_EraseRootFromParent_Done,
     /* 2344309 */   // Label 32777: @2344309
     /* 2344309 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2344354), // Rule ID 50480 //
     /* 2344314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344317 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344353 */     // GIR_Coverage, 50480,
     /* 2344353 */     GIR_EraseRootFromParent_Done,
     /* 2344354 */   // Label 32778: @2344354
     /* 2344354 */   GIM_Reject,
     /* 2344355 */ // Label 32776: @2344355
     /* 2344355 */ GIM_Reject,
     /* 2344356 */ // Label 32744: @2344356
     /* 2344356 */ GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2344470),
     /* 2344361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2344367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344379 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2344424), // Rule ID 50495 //
     /* 2344384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344387 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344423 */     // GIR_Coverage, 50495,
     /* 2344423 */     GIR_EraseRootFromParent_Done,
     /* 2344424 */   // Label 32780: @2344424
     /* 2344424 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2344469), // Rule ID 50496 //
     /* 2344429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344432 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344468 */     // GIR_Coverage, 50496,
     /* 2344468 */     GIR_EraseRootFromParent_Done,
     /* 2344469 */   // Label 32781: @2344469
     /* 2344469 */   GIM_Reject,
     /* 2344470 */ // Label 32779: @2344470
     /* 2344470 */ GIM_Reject,
     /* 2344471 */ // Label 32745: @2344471
     /* 2344471 */ GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2344585),
     /* 2344476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2344479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344494 */   GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2344539), // Rule ID 50463 //
     /* 2344499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344502 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344538 */     // GIR_Coverage, 50463,
     /* 2344538 */     GIR_EraseRootFromParent_Done,
     /* 2344539 */   // Label 32783: @2344539
     /* 2344539 */   GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2344584), // Rule ID 50464 //
     /* 2344544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344547 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344583 */     // GIR_Coverage, 50464,
     /* 2344583 */     GIR_EraseRootFromParent_Done,
     /* 2344584 */   // Label 32784: @2344584
     /* 2344584 */   GIM_Reject,
     /* 2344585 */ // Label 32782: @2344585
     /* 2344585 */ GIM_Reject,
     /* 2344586 */ // Label 32746: @2344586
     /* 2344586 */ GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2344700),
     /* 2344591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2344594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344609 */   GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2344654), // Rule ID 50475 //
     /* 2344614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344617 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344653 */     // GIR_Coverage, 50475,
     /* 2344653 */     GIR_EraseRootFromParent_Done,
     /* 2344654 */   // Label 32786: @2344654
     /* 2344654 */   GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2344699), // Rule ID 50476 //
     /* 2344659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344662 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344698 */     // GIR_Coverage, 50476,
     /* 2344698 */     GIR_EraseRootFromParent_Done,
     /* 2344699 */   // Label 32787: @2344699
     /* 2344699 */   GIM_Reject,
     /* 2344700 */ // Label 32785: @2344700
     /* 2344700 */ GIM_Reject,
     /* 2344701 */ // Label 32747: @2344701
     /* 2344701 */ GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2344815),
     /* 2344706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2344709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2344712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344724 */   GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2344769), // Rule ID 50491 //
     /* 2344729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344732 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2344735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344768 */     // GIR_Coverage, 50491,
     /* 2344768 */     GIR_EraseRootFromParent_Done,
     /* 2344769 */   // Label 32789: @2344769
     /* 2344769 */   GIM_Try, /*On fail goto*//*Label 32790*/ GIMT_Encode4(2344814), // Rule ID 50492 //
     /* 2344774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344777 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2344780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344813 */     // GIR_Coverage, 50492,
     /* 2344813 */     GIR_EraseRootFromParent_Done,
     /* 2344814 */   // Label 32790: @2344814
     /* 2344814 */   GIM_Reject,
     /* 2344815 */ // Label 32788: @2344815
     /* 2344815 */ GIM_Reject,
     /* 2344816 */ // Label 32748: @2344816
     /* 2344816 */ GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2344930),
     /* 2344821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2344824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344839 */   GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2344884), // Rule ID 50535 //
     /* 2344844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344847 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2344864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344883 */     // GIR_Coverage, 50535,
     /* 2344883 */     GIR_EraseRootFromParent_Done,
     /* 2344884 */   // Label 32792: @2344884
     /* 2344884 */   GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2344929), // Rule ID 50536 //
     /* 2344889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344892 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2344909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344928 */     // GIR_Coverage, 50536,
     /* 2344928 */     GIR_EraseRootFromParent_Done,
     /* 2344929 */   // Label 32793: @2344929
     /* 2344929 */   GIM_Reject,
     /* 2344930 */ // Label 32791: @2344930
     /* 2344930 */ GIM_Reject,
     /* 2344931 */ // Label 32749: @2344931
     /* 2344931 */ GIM_Try, /*On fail goto*//*Label 32794*/ GIMT_Encode4(2345045),
     /* 2344936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2344939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2344942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344954 */   GIM_Try, /*On fail goto*//*Label 32795*/ GIMT_Encode4(2344999), // Rule ID 50467 //
     /* 2344959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344962 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2344965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344998 */     // GIR_Coverage, 50467,
     /* 2344998 */     GIR_EraseRootFromParent_Done,
     /* 2344999 */   // Label 32795: @2344999
     /* 2344999 */   GIM_Try, /*On fail goto*//*Label 32796*/ GIMT_Encode4(2345044), // Rule ID 50468 //
     /* 2345004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345007 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2345010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345043 */     // GIR_Coverage, 50468,
     /* 2345043 */     GIR_EraseRootFromParent_Done,
     /* 2345044 */   // Label 32796: @2345044
     /* 2345044 */   GIM_Reject,
     /* 2345045 */ // Label 32794: @2345045
     /* 2345045 */ GIM_Reject,
     /* 2345046 */ // Label 32750: @2345046
     /* 2345046 */ GIM_Try, /*On fail goto*//*Label 32797*/ GIMT_Encode4(2345160),
     /* 2345051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2345054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2345057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345069 */   GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2345114), // Rule ID 50487 //
     /* 2345074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345077 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345113 */     // GIR_Coverage, 50487,
     /* 2345113 */     GIR_EraseRootFromParent_Done,
     /* 2345114 */   // Label 32798: @2345114
     /* 2345114 */   GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2345159), // Rule ID 50488 //
     /* 2345119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345122 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345158 */     // GIR_Coverage, 50488,
     /* 2345158 */     GIR_EraseRootFromParent_Done,
     /* 2345159 */   // Label 32799: @2345159
     /* 2345159 */   GIM_Reject,
     /* 2345160 */ // Label 32797: @2345160
     /* 2345160 */ GIM_Reject,
     /* 2345161 */ // Label 32751: @2345161
     /* 2345161 */ GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2345275),
     /* 2345166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2345169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2345172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345184 */   GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2345229), // Rule ID 50523 //
     /* 2345189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345192 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345228 */     // GIR_Coverage, 50523,
     /* 2345228 */     GIR_EraseRootFromParent_Done,
     /* 2345229 */   // Label 32801: @2345229
     /* 2345229 */   GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2345274), // Rule ID 50524 //
     /* 2345234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345237 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345273 */     // GIR_Coverage, 50524,
     /* 2345273 */     GIR_EraseRootFromParent_Done,
     /* 2345274 */   // Label 32802: @2345274
     /* 2345274 */   GIM_Reject,
     /* 2345275 */ // Label 32800: @2345275
     /* 2345275 */ GIM_Reject,
     /* 2345276 */ // Label 32752: @2345276
     /* 2345276 */ GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2345390),
     /* 2345281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2345284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2345287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345299 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2345344), // Rule ID 50539 //
     /* 2345304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345307 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345343 */     // GIR_Coverage, 50539,
     /* 2345343 */     GIR_EraseRootFromParent_Done,
     /* 2345344 */   // Label 32804: @2345344
     /* 2345344 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2345389), // Rule ID 50540 //
     /* 2345349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345352 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345388 */     // GIR_Coverage, 50540,
     /* 2345388 */     GIR_EraseRootFromParent_Done,
     /* 2345389 */   // Label 32805: @2345389
     /* 2345389 */   GIM_Reject,
     /* 2345390 */ // Label 32803: @2345390
     /* 2345390 */ GIM_Reject,
     /* 2345391 */ // Label 32753: @2345391
     /* 2345391 */ GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2345505),
     /* 2345396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2345399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2345402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345414 */   GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2345459), // Rule ID 50483 //
     /* 2345419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345422 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345458 */     // GIR_Coverage, 50483,
     /* 2345458 */     GIR_EraseRootFromParent_Done,
     /* 2345459 */   // Label 32807: @2345459
     /* 2345459 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2345504), // Rule ID 50484 //
     /* 2345464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345467 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345503 */     // GIR_Coverage, 50484,
     /* 2345503 */     GIR_EraseRootFromParent_Done,
     /* 2345504 */   // Label 32808: @2345504
     /* 2345504 */   GIM_Reject,
     /* 2345505 */ // Label 32806: @2345505
     /* 2345505 */ GIM_Reject,
     /* 2345506 */ // Label 32754: @2345506
     /* 2345506 */ GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2345620),
     /* 2345511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2345514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2345517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345529 */   GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2345574), // Rule ID 50511 //
     /* 2345534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345537 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345573 */     // GIR_Coverage, 50511,
     /* 2345573 */     GIR_EraseRootFromParent_Done,
     /* 2345574 */   // Label 32810: @2345574
     /* 2345574 */   GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2345619), // Rule ID 50512 //
     /* 2345579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345582 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345618 */     // GIR_Coverage, 50512,
     /* 2345618 */     GIR_EraseRootFromParent_Done,
     /* 2345619 */   // Label 32811: @2345619
     /* 2345619 */   GIM_Reject,
     /* 2345620 */ // Label 32809: @2345620
     /* 2345620 */ GIM_Reject,
     /* 2345621 */ // Label 32755: @2345621
     /* 2345621 */ GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2345735),
     /* 2345626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2345629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2345632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345644 */   GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2345689), // Rule ID 50527 //
     /* 2345649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345652 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2345655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345688 */     // GIR_Coverage, 50527,
     /* 2345688 */     GIR_EraseRootFromParent_Done,
     /* 2345689 */   // Label 32813: @2345689
     /* 2345689 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2345734), // Rule ID 50528 //
     /* 2345694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345697 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2345700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345733 */     // GIR_Coverage, 50528,
     /* 2345733 */     GIR_EraseRootFromParent_Done,
     /* 2345734 */   // Label 32814: @2345734
     /* 2345734 */   GIM_Reject,
     /* 2345735 */ // Label 32812: @2345735
     /* 2345735 */ GIM_Reject,
     /* 2345736 */ // Label 32756: @2345736
     /* 2345736 */ GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2345850),
     /* 2345741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2345744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2345747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345759 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2345804), // Rule ID 50543 //
     /* 2345764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345767 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2345770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2345784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345803 */     // GIR_Coverage, 50543,
     /* 2345803 */     GIR_EraseRootFromParent_Done,
     /* 2345804 */   // Label 32816: @2345804
     /* 2345804 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2345849), // Rule ID 50544 //
     /* 2345809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345812 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2345815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2345829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345848 */     // GIR_Coverage, 50544,
     /* 2345848 */     GIR_EraseRootFromParent_Done,
     /* 2345849 */   // Label 32817: @2345849
     /* 2345849 */   GIM_Reject,
     /* 2345850 */ // Label 32815: @2345850
     /* 2345850 */ GIM_Reject,
     /* 2345851 */ // Label 32757: @2345851
     /* 2345851 */ GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2345965),
     /* 2345856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2345859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2345862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345874 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2345919), // Rule ID 50499 //
     /* 2345879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345882 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2345885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345918 */     // GIR_Coverage, 50499,
     /* 2345918 */     GIR_EraseRootFromParent_Done,
     /* 2345919 */   // Label 32819: @2345919
     /* 2345919 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2345964), // Rule ID 50500 //
     /* 2345924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345927 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2345930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345963 */     // GIR_Coverage, 50500,
     /* 2345963 */     GIR_EraseRootFromParent_Done,
     /* 2345964 */   // Label 32820: @2345964
     /* 2345964 */   GIM_Reject,
     /* 2345965 */ // Label 32818: @2345965
     /* 2345965 */ GIM_Reject,
     /* 2345966 */ // Label 32758: @2345966
     /* 2345966 */ GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2346080),
     /* 2345971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2345974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2345977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345989 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2346034), // Rule ID 50515 //
     /* 2345994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345997 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2346000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346033 */     // GIR_Coverage, 50515,
     /* 2346033 */     GIR_EraseRootFromParent_Done,
     /* 2346034 */   // Label 32822: @2346034
     /* 2346034 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2346079), // Rule ID 50516 //
     /* 2346039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346042 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2346045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346078 */     // GIR_Coverage, 50516,
     /* 2346078 */     GIR_EraseRootFromParent_Done,
     /* 2346079 */   // Label 32823: @2346079
     /* 2346079 */   GIM_Reject,
     /* 2346080 */ // Label 32821: @2346080
     /* 2346080 */ GIM_Reject,
     /* 2346081 */ // Label 32759: @2346081
     /* 2346081 */ GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2346195),
     /* 2346086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2346089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2346092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346104 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2346149), // Rule ID 50531 //
     /* 2346109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346112 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346148 */     // GIR_Coverage, 50531,
     /* 2346148 */     GIR_EraseRootFromParent_Done,
     /* 2346149 */   // Label 32825: @2346149
     /* 2346149 */   GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2346194), // Rule ID 50532 //
     /* 2346154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346157 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346193 */     // GIR_Coverage, 50532,
     /* 2346193 */     GIR_EraseRootFromParent_Done,
     /* 2346194 */   // Label 32826: @2346194
     /* 2346194 */   GIM_Reject,
     /* 2346195 */ // Label 32824: @2346195
     /* 2346195 */ GIM_Reject,
     /* 2346196 */ // Label 32760: @2346196
     /* 2346196 */ GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2346310),
     /* 2346201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2346204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2346207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346219 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2346264), // Rule ID 50503 //
     /* 2346224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346227 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346263 */     // GIR_Coverage, 50503,
     /* 2346263 */     GIR_EraseRootFromParent_Done,
     /* 2346264 */   // Label 32828: @2346264
     /* 2346264 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2346309), // Rule ID 50504 //
     /* 2346269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346272 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346308 */     // GIR_Coverage, 50504,
     /* 2346308 */     GIR_EraseRootFromParent_Done,
     /* 2346309 */   // Label 32829: @2346309
     /* 2346309 */   GIM_Reject,
     /* 2346310 */ // Label 32827: @2346310
     /* 2346310 */ GIM_Reject,
     /* 2346311 */ // Label 32761: @2346311
     /* 2346311 */ GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2346425),
     /* 2346316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2346319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2346322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346334 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2346379), // Rule ID 50519 //
     /* 2346339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346342 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346378 */     // GIR_Coverage, 50519,
     /* 2346378 */     GIR_EraseRootFromParent_Done,
     /* 2346379 */   // Label 32831: @2346379
     /* 2346379 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2346424), // Rule ID 50520 //
     /* 2346384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346387 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346423 */     // GIR_Coverage, 50520,
     /* 2346423 */     GIR_EraseRootFromParent_Done,
     /* 2346424 */   // Label 32832: @2346424
     /* 2346424 */   GIM_Reject,
     /* 2346425 */ // Label 32830: @2346425
     /* 2346425 */ GIM_Reject,
     /* 2346426 */ // Label 32762: @2346426
     /* 2346426 */ GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2346540),
     /* 2346431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2346434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2346437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346449 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2346494), // Rule ID 50507 //
     /* 2346454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346457 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346493 */     // GIR_Coverage, 50507,
     /* 2346493 */     GIR_EraseRootFromParent_Done,
     /* 2346494 */   // Label 32834: @2346494
     /* 2346494 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2346539), // Rule ID 50508 //
     /* 2346499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346502 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346538 */     // GIR_Coverage, 50508,
     /* 2346538 */     GIR_EraseRootFromParent_Done,
     /* 2346539 */   // Label 32835: @2346539
     /* 2346539 */   GIM_Reject,
     /* 2346540 */ // Label 32833: @2346540
     /* 2346540 */ GIM_Reject,
     /* 2346541 */ // Label 32763: @2346541
     /* 2346541 */ GIM_Reject,
     /* 2346542 */ // Label 79: @2346542
     /* 2346542 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32860*/ GIMT_Encode4(2349317),
     /* 2346553 */ /*GILLT_s32*//*Label 32836*/ GIMT_Encode4(2346677),
     /* 2346557 */ /*GILLT_s64*//*Label 32837*/ GIMT_Encode4(2346732), GIMT_Encode4(0),
     /* 2346565 */ /*GILLT_nxv1s8*//*Label 32838*/ GIMT_Encode4(2346787),
     /* 2346569 */ /*GILLT_nxv1s16*//*Label 32839*/ GIMT_Encode4(2346902),
     /* 2346573 */ /*GILLT_nxv1s32*//*Label 32840*/ GIMT_Encode4(2347017),
     /* 2346577 */ /*GILLT_nxv1s64*//*Label 32841*/ GIMT_Encode4(2347132), GIMT_Encode4(0),
     /* 2346585 */ /*GILLT_nxv2s8*//*Label 32842*/ GIMT_Encode4(2347247),
     /* 2346589 */ /*GILLT_nxv2s16*//*Label 32843*/ GIMT_Encode4(2347362),
     /* 2346593 */ /*GILLT_nxv2s32*//*Label 32844*/ GIMT_Encode4(2347477),
     /* 2346597 */ /*GILLT_nxv2s64*//*Label 32845*/ GIMT_Encode4(2347592), GIMT_Encode4(0),
     /* 2346605 */ /*GILLT_nxv4s8*//*Label 32846*/ GIMT_Encode4(2347707),
     /* 2346609 */ /*GILLT_nxv4s16*//*Label 32847*/ GIMT_Encode4(2347822),
     /* 2346613 */ /*GILLT_nxv4s32*//*Label 32848*/ GIMT_Encode4(2347937),
     /* 2346617 */ /*GILLT_nxv4s64*//*Label 32849*/ GIMT_Encode4(2348052), GIMT_Encode4(0),
     /* 2346625 */ /*GILLT_nxv8s8*//*Label 32850*/ GIMT_Encode4(2348167),
     /* 2346629 */ /*GILLT_nxv8s16*//*Label 32851*/ GIMT_Encode4(2348282),
     /* 2346633 */ /*GILLT_nxv8s32*//*Label 32852*/ GIMT_Encode4(2348397),
     /* 2346637 */ /*GILLT_nxv8s64*//*Label 32853*/ GIMT_Encode4(2348512), GIMT_Encode4(0),
     /* 2346645 */ /*GILLT_nxv16s8*//*Label 32854*/ GIMT_Encode4(2348627),
     /* 2346649 */ /*GILLT_nxv16s16*//*Label 32855*/ GIMT_Encode4(2348742),
     /* 2346653 */ /*GILLT_nxv16s32*//*Label 32856*/ GIMT_Encode4(2348857), GIMT_Encode4(0),
     /* 2346661 */ /*GILLT_nxv32s8*//*Label 32857*/ GIMT_Encode4(2348972),
     /* 2346665 */ /*GILLT_nxv32s16*//*Label 32858*/ GIMT_Encode4(2349087), GIMT_Encode4(0),
     /* 2346673 */ /*GILLT_nxv64s8*//*Label 32859*/ GIMT_Encode4(2349202),
     /* 2346677 */ // Label 32836: @2346677
     /* 2346677 */ GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2346731),
     /* 2346682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2346685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2346688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346700 */   GIM_Try, /*On fail goto*//*Label 32862*/ GIMT_Encode4(2346715), // Rule ID 64372 //
     /* 2346705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2346708 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2346708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2346713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346714 */     // GIR_Coverage, 64372,
     /* 2346714 */     GIR_Done,
     /* 2346715 */   // Label 32862: @2346715
     /* 2346715 */   GIM_Try, /*On fail goto*//*Label 32863*/ GIMT_Encode4(2346730), // Rule ID 2414 //
     /* 2346720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2346723 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2346723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2346728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346729 */     // GIR_Coverage, 2414,
     /* 2346729 */     GIR_Done,
     /* 2346730 */   // Label 32863: @2346730
     /* 2346730 */   GIM_Reject,
     /* 2346731 */ // Label 32861: @2346731
     /* 2346731 */ GIM_Reject,
     /* 2346732 */ // Label 32837: @2346732
     /* 2346732 */ GIM_Try, /*On fail goto*//*Label 32864*/ GIMT_Encode4(2346786),
     /* 2346737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2346740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2346743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346755 */   GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2346770), // Rule ID 64371 //
     /* 2346760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2346763 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2346763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2346768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346769 */     // GIR_Coverage, 64371,
     /* 2346769 */     GIR_Done,
     /* 2346770 */   // Label 32865: @2346770
     /* 2346770 */   GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2346785), // Rule ID 2413 //
     /* 2346775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2346778 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2346778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2346783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346784 */     // GIR_Coverage, 2413,
     /* 2346784 */     GIR_Done,
     /* 2346785 */   // Label 32866: @2346785
     /* 2346785 */   GIM_Reject,
     /* 2346786 */ // Label 32864: @2346786
     /* 2346786 */ GIM_Reject,
     /* 2346787 */ // Label 32838: @2346787
     /* 2346787 */ GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2346901),
     /* 2346792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2346795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2346798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346810 */   GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2346855), // Rule ID 50635 //
     /* 2346815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346818 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2346821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2346835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346854 */     // GIR_Coverage, 50635,
     /* 2346854 */     GIR_EraseRootFromParent_Done,
     /* 2346855 */   // Label 32868: @2346855
     /* 2346855 */   GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2346900), // Rule ID 50636 //
     /* 2346860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346863 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2346866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2346880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346899 */     // GIR_Coverage, 50636,
     /* 2346899 */     GIR_EraseRootFromParent_Done,
     /* 2346900 */   // Label 32869: @2346900
     /* 2346900 */   GIM_Reject,
     /* 2346901 */ // Label 32867: @2346901
     /* 2346901 */ GIM_Reject,
     /* 2346902 */ // Label 32839: @2346902
     /* 2346902 */ GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2347016),
     /* 2346907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2346910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2346913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346925 */   GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2346970), // Rule ID 50647 //
     /* 2346930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346933 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2346950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346969 */     // GIR_Coverage, 50647,
     /* 2346969 */     GIR_EraseRootFromParent_Done,
     /* 2346970 */   // Label 32871: @2346970
     /* 2346970 */   GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2347015), // Rule ID 50648 //
     /* 2346975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346978 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2346995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347014 */     // GIR_Coverage, 50648,
     /* 2347014 */     GIR_EraseRootFromParent_Done,
     /* 2347015 */   // Label 32872: @2347015
     /* 2347015 */   GIM_Reject,
     /* 2347016 */ // Label 32870: @2347016
     /* 2347016 */ GIM_Reject,
     /* 2347017 */ // Label 32840: @2347017
     /* 2347017 */ GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2347131),
     /* 2347022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2347025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2347028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347040 */   GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2347085), // Rule ID 50655 //
     /* 2347045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347048 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2347051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347084 */     // GIR_Coverage, 50655,
     /* 2347084 */     GIR_EraseRootFromParent_Done,
     /* 2347085 */   // Label 32874: @2347085
     /* 2347085 */   GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2347130), // Rule ID 50656 //
     /* 2347090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347093 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2347096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347129 */     // GIR_Coverage, 50656,
     /* 2347129 */     GIR_EraseRootFromParent_Done,
     /* 2347130 */   // Label 32875: @2347130
     /* 2347130 */   GIM_Reject,
     /* 2347131 */ // Label 32873: @2347131
     /* 2347131 */ GIM_Reject,
     /* 2347132 */ // Label 32841: @2347132
     /* 2347132 */ GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2347246),
     /* 2347137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2347140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2347143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347155 */   GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2347200), // Rule ID 50671 //
     /* 2347160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347163 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347199 */     // GIR_Coverage, 50671,
     /* 2347199 */     GIR_EraseRootFromParent_Done,
     /* 2347200 */   // Label 32877: @2347200
     /* 2347200 */   GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2347245), // Rule ID 50672 //
     /* 2347205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347208 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347244 */     // GIR_Coverage, 50672,
     /* 2347244 */     GIR_EraseRootFromParent_Done,
     /* 2347245 */   // Label 32878: @2347245
     /* 2347245 */   GIM_Reject,
     /* 2347246 */ // Label 32876: @2347246
     /* 2347246 */ GIM_Reject,
     /* 2347247 */ // Label 32842: @2347247
     /* 2347247 */ GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2347361),
     /* 2347252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2347255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2347258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347270 */   GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2347315), // Rule ID 50639 //
     /* 2347275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347278 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347314 */     // GIR_Coverage, 50639,
     /* 2347314 */     GIR_EraseRootFromParent_Done,
     /* 2347315 */   // Label 32880: @2347315
     /* 2347315 */   GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2347360), // Rule ID 50640 //
     /* 2347320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347323 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347359 */     // GIR_Coverage, 50640,
     /* 2347359 */     GIR_EraseRootFromParent_Done,
     /* 2347360 */   // Label 32881: @2347360
     /* 2347360 */   GIM_Reject,
     /* 2347361 */ // Label 32879: @2347361
     /* 2347361 */ GIM_Reject,
     /* 2347362 */ // Label 32843: @2347362
     /* 2347362 */ GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2347476),
     /* 2347367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2347370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2347373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347385 */   GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2347430), // Rule ID 50651 //
     /* 2347390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347393 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347429 */     // GIR_Coverage, 50651,
     /* 2347429 */     GIR_EraseRootFromParent_Done,
     /* 2347430 */   // Label 32883: @2347430
     /* 2347430 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2347475), // Rule ID 50652 //
     /* 2347435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347438 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347474 */     // GIR_Coverage, 50652,
     /* 2347474 */     GIR_EraseRootFromParent_Done,
     /* 2347475 */   // Label 32884: @2347475
     /* 2347475 */   GIM_Reject,
     /* 2347476 */ // Label 32882: @2347476
     /* 2347476 */ GIM_Reject,
     /* 2347477 */ // Label 32844: @2347477
     /* 2347477 */ GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2347591),
     /* 2347482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2347485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2347488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347500 */   GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2347545), // Rule ID 50667 //
     /* 2347505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347508 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347544 */     // GIR_Coverage, 50667,
     /* 2347544 */     GIR_EraseRootFromParent_Done,
     /* 2347545 */   // Label 32886: @2347545
     /* 2347545 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2347590), // Rule ID 50668 //
     /* 2347550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347553 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347589 */     // GIR_Coverage, 50668,
     /* 2347589 */     GIR_EraseRootFromParent_Done,
     /* 2347590 */   // Label 32887: @2347590
     /* 2347590 */   GIM_Reject,
     /* 2347591 */ // Label 32885: @2347591
     /* 2347591 */ GIM_Reject,
     /* 2347592 */ // Label 32845: @2347592
     /* 2347592 */ GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2347706),
     /* 2347597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2347600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347615 */   GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2347660), // Rule ID 50711 //
     /* 2347620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347623 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347659 */     // GIR_Coverage, 50711,
     /* 2347659 */     GIR_EraseRootFromParent_Done,
     /* 2347660 */   // Label 32889: @2347660
     /* 2347660 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2347705), // Rule ID 50712 //
     /* 2347665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347668 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347704 */     // GIR_Coverage, 50712,
     /* 2347704 */     GIR_EraseRootFromParent_Done,
     /* 2347705 */   // Label 32890: @2347705
     /* 2347705 */   GIM_Reject,
     /* 2347706 */ // Label 32888: @2347706
     /* 2347706 */ GIM_Reject,
     /* 2347707 */ // Label 32846: @2347707
     /* 2347707 */ GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2347821),
     /* 2347712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2347715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2347718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347730 */   GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2347775), // Rule ID 50643 //
     /* 2347735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347738 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2347741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347774 */     // GIR_Coverage, 50643,
     /* 2347774 */     GIR_EraseRootFromParent_Done,
     /* 2347775 */   // Label 32892: @2347775
     /* 2347775 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2347820), // Rule ID 50644 //
     /* 2347780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347783 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2347786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347819 */     // GIR_Coverage, 50644,
     /* 2347819 */     GIR_EraseRootFromParent_Done,
     /* 2347820 */   // Label 32893: @2347820
     /* 2347820 */   GIM_Reject,
     /* 2347821 */ // Label 32891: @2347821
     /* 2347821 */ GIM_Reject,
     /* 2347822 */ // Label 32847: @2347822
     /* 2347822 */ GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2347936),
     /* 2347827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2347830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2347833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347845 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2347890), // Rule ID 50663 //
     /* 2347850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347853 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347889 */     // GIR_Coverage, 50663,
     /* 2347889 */     GIR_EraseRootFromParent_Done,
     /* 2347890 */   // Label 32895: @2347890
     /* 2347890 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2347935), // Rule ID 50664 //
     /* 2347895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347898 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347934 */     // GIR_Coverage, 50664,
     /* 2347934 */     GIR_EraseRootFromParent_Done,
     /* 2347935 */   // Label 32896: @2347935
     /* 2347935 */   GIM_Reject,
     /* 2347936 */ // Label 32894: @2347936
     /* 2347936 */ GIM_Reject,
     /* 2347937 */ // Label 32848: @2347937
     /* 2347937 */ GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2348051),
     /* 2347942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2347948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347960 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2348005), // Rule ID 50699 //
     /* 2347965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347968 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348004 */     // GIR_Coverage, 50699,
     /* 2348004 */     GIR_EraseRootFromParent_Done,
     /* 2348005 */   // Label 32898: @2348005
     /* 2348005 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2348050), // Rule ID 50700 //
     /* 2348010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348013 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2348016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348049 */     // GIR_Coverage, 50700,
     /* 2348049 */     GIR_EraseRootFromParent_Done,
     /* 2348050 */   // Label 32899: @2348050
     /* 2348050 */   GIM_Reject,
     /* 2348051 */ // Label 32897: @2348051
     /* 2348051 */ GIM_Reject,
     /* 2348052 */ // Label 32849: @2348052
     /* 2348052 */ GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2348166),
     /* 2348057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2348060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348075 */   GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2348120), // Rule ID 50715 //
     /* 2348080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348083 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348119 */     // GIR_Coverage, 50715,
     /* 2348119 */     GIR_EraseRootFromParent_Done,
     /* 2348120 */   // Label 32901: @2348120
     /* 2348120 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2348165), // Rule ID 50716 //
     /* 2348125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348128 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348164 */     // GIR_Coverage, 50716,
     /* 2348164 */     GIR_EraseRootFromParent_Done,
     /* 2348165 */   // Label 32902: @2348165
     /* 2348165 */   GIM_Reject,
     /* 2348166 */ // Label 32900: @2348166
     /* 2348166 */ GIM_Reject,
     /* 2348167 */ // Label 32850: @2348167
     /* 2348167 */ GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2348281),
     /* 2348172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2348175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2348178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348190 */   GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2348235), // Rule ID 50659 //
     /* 2348195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348198 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348234 */     // GIR_Coverage, 50659,
     /* 2348234 */     GIR_EraseRootFromParent_Done,
     /* 2348235 */   // Label 32904: @2348235
     /* 2348235 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2348280), // Rule ID 50660 //
     /* 2348240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348243 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348279 */     // GIR_Coverage, 50660,
     /* 2348279 */     GIR_EraseRootFromParent_Done,
     /* 2348280 */   // Label 32905: @2348280
     /* 2348280 */   GIM_Reject,
     /* 2348281 */ // Label 32903: @2348281
     /* 2348281 */ GIM_Reject,
     /* 2348282 */ // Label 32851: @2348282
     /* 2348282 */ GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2348396),
     /* 2348287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2348293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348305 */   GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2348350), // Rule ID 50687 //
     /* 2348310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348313 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348349 */     // GIR_Coverage, 50687,
     /* 2348349 */     GIR_EraseRootFromParent_Done,
     /* 2348350 */   // Label 32907: @2348350
     /* 2348350 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2348395), // Rule ID 50688 //
     /* 2348355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348358 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348394 */     // GIR_Coverage, 50688,
     /* 2348394 */     GIR_EraseRootFromParent_Done,
     /* 2348395 */   // Label 32908: @2348395
     /* 2348395 */   GIM_Reject,
     /* 2348396 */ // Label 32906: @2348396
     /* 2348396 */ GIM_Reject,
     /* 2348397 */ // Label 32852: @2348397
     /* 2348397 */ GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2348511),
     /* 2348402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2348408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348420 */   GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2348465), // Rule ID 50703 //
     /* 2348425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348428 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348464 */     // GIR_Coverage, 50703,
     /* 2348464 */     GIR_EraseRootFromParent_Done,
     /* 2348465 */   // Label 32910: @2348465
     /* 2348465 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2348510), // Rule ID 50704 //
     /* 2348470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348473 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348509 */     // GIR_Coverage, 50704,
     /* 2348509 */     GIR_EraseRootFromParent_Done,
     /* 2348510 */   // Label 32911: @2348510
     /* 2348510 */   GIM_Reject,
     /* 2348511 */ // Label 32909: @2348511
     /* 2348511 */ GIM_Reject,
     /* 2348512 */ // Label 32853: @2348512
     /* 2348512 */ GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2348626),
     /* 2348517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2348523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348535 */   GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2348580), // Rule ID 50719 //
     /* 2348540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348543 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348579 */     // GIR_Coverage, 50719,
     /* 2348579 */     GIR_EraseRootFromParent_Done,
     /* 2348580 */   // Label 32913: @2348580
     /* 2348580 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2348625), // Rule ID 50720 //
     /* 2348585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348588 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348624 */     // GIR_Coverage, 50720,
     /* 2348624 */     GIR_EraseRootFromParent_Done,
     /* 2348625 */   // Label 32914: @2348625
     /* 2348625 */   GIM_Reject,
     /* 2348626 */ // Label 32912: @2348626
     /* 2348626 */ GIM_Reject,
     /* 2348627 */ // Label 32854: @2348627
     /* 2348627 */ GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2348741),
     /* 2348632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2348635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2348638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348650 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2348695), // Rule ID 50675 //
     /* 2348655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348658 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2348661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348694 */     // GIR_Coverage, 50675,
     /* 2348694 */     GIR_EraseRootFromParent_Done,
     /* 2348695 */   // Label 32916: @2348695
     /* 2348695 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2348740), // Rule ID 50676 //
     /* 2348700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348703 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2348706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348739 */     // GIR_Coverage, 50676,
     /* 2348739 */     GIR_EraseRootFromParent_Done,
     /* 2348740 */   // Label 32917: @2348740
     /* 2348740 */   GIM_Reject,
     /* 2348741 */ // Label 32915: @2348741
     /* 2348741 */ GIM_Reject,
     /* 2348742 */ // Label 32855: @2348742
     /* 2348742 */ GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2348856),
     /* 2348747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2348750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2348753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348765 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2348810), // Rule ID 50691 //
     /* 2348770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348773 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2348776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348809 */     // GIR_Coverage, 50691,
     /* 2348809 */     GIR_EraseRootFromParent_Done,
     /* 2348810 */   // Label 32919: @2348810
     /* 2348810 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2348855), // Rule ID 50692 //
     /* 2348815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348818 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2348821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348854 */     // GIR_Coverage, 50692,
     /* 2348854 */     GIR_EraseRootFromParent_Done,
     /* 2348855 */   // Label 32920: @2348855
     /* 2348855 */   GIM_Reject,
     /* 2348856 */ // Label 32918: @2348856
     /* 2348856 */ GIM_Reject,
     /* 2348857 */ // Label 32856: @2348857
     /* 2348857 */ GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2348971),
     /* 2348862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2348865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2348868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348880 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2348925), // Rule ID 50707 //
     /* 2348885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348888 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348924 */     // GIR_Coverage, 50707,
     /* 2348924 */     GIR_EraseRootFromParent_Done,
     /* 2348925 */   // Label 32922: @2348925
     /* 2348925 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2348970), // Rule ID 50708 //
     /* 2348930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348933 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348969 */     // GIR_Coverage, 50708,
     /* 2348969 */     GIR_EraseRootFromParent_Done,
     /* 2348970 */   // Label 32923: @2348970
     /* 2348970 */   GIM_Reject,
     /* 2348971 */ // Label 32921: @2348971
     /* 2348971 */ GIM_Reject,
     /* 2348972 */ // Label 32857: @2348972
     /* 2348972 */ GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2349086),
     /* 2348977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2348980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2348983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348995 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2349040), // Rule ID 50679 //
     /* 2349000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349003 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2349006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349039 */     // GIR_Coverage, 50679,
     /* 2349039 */     GIR_EraseRootFromParent_Done,
     /* 2349040 */   // Label 32925: @2349040
     /* 2349040 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2349085), // Rule ID 50680 //
     /* 2349045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349048 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2349051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349084 */     // GIR_Coverage, 50680,
     /* 2349084 */     GIR_EraseRootFromParent_Done,
     /* 2349085 */   // Label 32926: @2349085
     /* 2349085 */   GIM_Reject,
     /* 2349086 */ // Label 32924: @2349086
     /* 2349086 */ GIM_Reject,
     /* 2349087 */ // Label 32858: @2349087
     /* 2349087 */ GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2349201),
     /* 2349092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2349095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2349098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349110 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2349155), // Rule ID 50695 //
     /* 2349115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349118 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349154 */     // GIR_Coverage, 50695,
     /* 2349154 */     GIR_EraseRootFromParent_Done,
     /* 2349155 */   // Label 32928: @2349155
     /* 2349155 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2349200), // Rule ID 50696 //
     /* 2349160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349163 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349199 */     // GIR_Coverage, 50696,
     /* 2349199 */     GIR_EraseRootFromParent_Done,
     /* 2349200 */   // Label 32929: @2349200
     /* 2349200 */   GIM_Reject,
     /* 2349201 */ // Label 32927: @2349201
     /* 2349201 */ GIM_Reject,
     /* 2349202 */ // Label 32859: @2349202
     /* 2349202 */ GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2349316),
     /* 2349207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2349210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2349213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349225 */   GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2349270), // Rule ID 50683 //
     /* 2349230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349233 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349269 */     // GIR_Coverage, 50683,
     /* 2349269 */     GIR_EraseRootFromParent_Done,
     /* 2349270 */   // Label 32931: @2349270
     /* 2349270 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2349315), // Rule ID 50684 //
     /* 2349275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349278 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349314 */     // GIR_Coverage, 50684,
     /* 2349314 */     GIR_EraseRootFromParent_Done,
     /* 2349315 */   // Label 32932: @2349315
     /* 2349315 */   GIM_Reject,
     /* 2349316 */ // Label 32930: @2349316
     /* 2349316 */ GIM_Reject,
     /* 2349317 */ // Label 32860: @2349317
     /* 2349317 */ GIM_Reject,
     /* 2349318 */ // Label 80: @2349318
     /* 2349318 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32957*/ GIMT_Encode4(2352093),
     /* 2349329 */ /*GILLT_s32*//*Label 32933*/ GIMT_Encode4(2349453),
     /* 2349333 */ /*GILLT_s64*//*Label 32934*/ GIMT_Encode4(2349508), GIMT_Encode4(0),
     /* 2349341 */ /*GILLT_nxv1s8*//*Label 32935*/ GIMT_Encode4(2349563),
     /* 2349345 */ /*GILLT_nxv1s16*//*Label 32936*/ GIMT_Encode4(2349678),
     /* 2349349 */ /*GILLT_nxv1s32*//*Label 32937*/ GIMT_Encode4(2349793),
     /* 2349353 */ /*GILLT_nxv1s64*//*Label 32938*/ GIMT_Encode4(2349908), GIMT_Encode4(0),
     /* 2349361 */ /*GILLT_nxv2s8*//*Label 32939*/ GIMT_Encode4(2350023),
     /* 2349365 */ /*GILLT_nxv2s16*//*Label 32940*/ GIMT_Encode4(2350138),
     /* 2349369 */ /*GILLT_nxv2s32*//*Label 32941*/ GIMT_Encode4(2350253),
     /* 2349373 */ /*GILLT_nxv2s64*//*Label 32942*/ GIMT_Encode4(2350368), GIMT_Encode4(0),
     /* 2349381 */ /*GILLT_nxv4s8*//*Label 32943*/ GIMT_Encode4(2350483),
     /* 2349385 */ /*GILLT_nxv4s16*//*Label 32944*/ GIMT_Encode4(2350598),
     /* 2349389 */ /*GILLT_nxv4s32*//*Label 32945*/ GIMT_Encode4(2350713),
     /* 2349393 */ /*GILLT_nxv4s64*//*Label 32946*/ GIMT_Encode4(2350828), GIMT_Encode4(0),
     /* 2349401 */ /*GILLT_nxv8s8*//*Label 32947*/ GIMT_Encode4(2350943),
     /* 2349405 */ /*GILLT_nxv8s16*//*Label 32948*/ GIMT_Encode4(2351058),
     /* 2349409 */ /*GILLT_nxv8s32*//*Label 32949*/ GIMT_Encode4(2351173),
     /* 2349413 */ /*GILLT_nxv8s64*//*Label 32950*/ GIMT_Encode4(2351288), GIMT_Encode4(0),
     /* 2349421 */ /*GILLT_nxv16s8*//*Label 32951*/ GIMT_Encode4(2351403),
     /* 2349425 */ /*GILLT_nxv16s16*//*Label 32952*/ GIMT_Encode4(2351518),
     /* 2349429 */ /*GILLT_nxv16s32*//*Label 32953*/ GIMT_Encode4(2351633), GIMT_Encode4(0),
     /* 2349437 */ /*GILLT_nxv32s8*//*Label 32954*/ GIMT_Encode4(2351748),
     /* 2349441 */ /*GILLT_nxv32s16*//*Label 32955*/ GIMT_Encode4(2351863), GIMT_Encode4(0),
     /* 2349449 */ /*GILLT_nxv64s8*//*Label 32956*/ GIMT_Encode4(2351978),
     /* 2349453 */ // Label 32933: @2349453
     /* 2349453 */ GIM_Try, /*On fail goto*//*Label 32958*/ GIMT_Encode4(2349507),
     /* 2349458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2349464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349476 */   GIM_Try, /*On fail goto*//*Label 32959*/ GIMT_Encode4(2349491), // Rule ID 64370 //
     /* 2349481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2349484 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349490 */     // GIR_Coverage, 64370,
     /* 2349490 */     GIR_Done,
     /* 2349491 */   // Label 32959: @2349491
     /* 2349491 */   GIM_Try, /*On fail goto*//*Label 32960*/ GIMT_Encode4(2349506), // Rule ID 2416 //
     /* 2349496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2349499 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349505 */     // GIR_Coverage, 2416,
     /* 2349505 */     GIR_Done,
     /* 2349506 */   // Label 32960: @2349506
     /* 2349506 */   GIM_Reject,
     /* 2349507 */ // Label 32958: @2349507
     /* 2349507 */ GIM_Reject,
     /* 2349508 */ // Label 32934: @2349508
     /* 2349508 */ GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2349562),
     /* 2349513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2349519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349531 */   GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2349546), // Rule ID 64369 //
     /* 2349536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2349539 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349545 */     // GIR_Coverage, 64369,
     /* 2349545 */     GIR_Done,
     /* 2349546 */   // Label 32962: @2349546
     /* 2349546 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2349561), // Rule ID 2415 //
     /* 2349551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2349554 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349560 */     // GIR_Coverage, 2415,
     /* 2349560 */     GIR_Done,
     /* 2349561 */   // Label 32963: @2349561
     /* 2349561 */   GIM_Reject,
     /* 2349562 */ // Label 32961: @2349562
     /* 2349562 */ GIM_Reject,
     /* 2349563 */ // Label 32935: @2349563
     /* 2349563 */ GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2349677),
     /* 2349568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2349571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2349574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349586 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2349631), // Rule ID 50371 //
     /* 2349591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349594 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2349611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349630 */     // GIR_Coverage, 50371,
     /* 2349630 */     GIR_EraseRootFromParent_Done,
     /* 2349631 */   // Label 32965: @2349631
     /* 2349631 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2349676), // Rule ID 50372 //
     /* 2349636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349639 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2349656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349675 */     // GIR_Coverage, 50372,
     /* 2349675 */     GIR_EraseRootFromParent_Done,
     /* 2349676 */   // Label 32966: @2349676
     /* 2349676 */   GIM_Reject,
     /* 2349677 */ // Label 32964: @2349677
     /* 2349677 */ GIM_Reject,
     /* 2349678 */ // Label 32936: @2349678
     /* 2349678 */ GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2349792),
     /* 2349683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2349686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2349689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349701 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2349746), // Rule ID 50383 //
     /* 2349706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349709 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2349726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349745 */     // GIR_Coverage, 50383,
     /* 2349745 */     GIR_EraseRootFromParent_Done,
     /* 2349746 */   // Label 32968: @2349746
     /* 2349746 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2349791), // Rule ID 50384 //
     /* 2349751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349754 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2349771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349790 */     // GIR_Coverage, 50384,
     /* 2349790 */     GIR_EraseRootFromParent_Done,
     /* 2349791 */   // Label 32969: @2349791
     /* 2349791 */   GIM_Reject,
     /* 2349792 */ // Label 32967: @2349792
     /* 2349792 */ GIM_Reject,
     /* 2349793 */ // Label 32937: @2349793
     /* 2349793 */ GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2349907),
     /* 2349798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2349801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2349804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349816 */   GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2349861), // Rule ID 50391 //
     /* 2349821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349824 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2349827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2349841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349860 */     // GIR_Coverage, 50391,
     /* 2349860 */     GIR_EraseRootFromParent_Done,
     /* 2349861 */   // Label 32971: @2349861
     /* 2349861 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2349906), // Rule ID 50392 //
     /* 2349866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349869 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2349872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2349886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349905 */     // GIR_Coverage, 50392,
     /* 2349905 */     GIR_EraseRootFromParent_Done,
     /* 2349906 */   // Label 32972: @2349906
     /* 2349906 */   GIM_Reject,
     /* 2349907 */ // Label 32970: @2349907
     /* 2349907 */ GIM_Reject,
     /* 2349908 */ // Label 32938: @2349908
     /* 2349908 */ GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2350022),
     /* 2349913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2349916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2349919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349931 */   GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2349976), // Rule ID 50407 //
     /* 2349936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2349939 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2349942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2349956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349975 */     // GIR_Coverage, 50407,
     /* 2349975 */     GIR_EraseRootFromParent_Done,
     /* 2349976 */   // Label 32974: @2349976
     /* 2349976 */   GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2350021), // Rule ID 50408 //
     /* 2349981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2349984 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2349987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350020 */     // GIR_Coverage, 50408,
     /* 2350020 */     GIR_EraseRootFromParent_Done,
     /* 2350021 */   // Label 32975: @2350021
     /* 2350021 */   GIM_Reject,
     /* 2350022 */ // Label 32973: @2350022
     /* 2350022 */ GIM_Reject,
     /* 2350023 */ // Label 32939: @2350023
     /* 2350023 */ GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2350137),
     /* 2350028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2350031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2350034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350046 */   GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2350091), // Rule ID 50375 //
     /* 2350051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350054 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350090 */     // GIR_Coverage, 50375,
     /* 2350090 */     GIR_EraseRootFromParent_Done,
     /* 2350091 */   // Label 32977: @2350091
     /* 2350091 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2350136), // Rule ID 50376 //
     /* 2350096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350099 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350135 */     // GIR_Coverage, 50376,
     /* 2350135 */     GIR_EraseRootFromParent_Done,
     /* 2350136 */   // Label 32978: @2350136
     /* 2350136 */   GIM_Reject,
     /* 2350137 */ // Label 32976: @2350137
     /* 2350137 */ GIM_Reject,
     /* 2350138 */ // Label 32940: @2350138
     /* 2350138 */ GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2350252),
     /* 2350143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2350146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2350149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350161 */   GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2350206), // Rule ID 50387 //
     /* 2350166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350169 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350205 */     // GIR_Coverage, 50387,
     /* 2350205 */     GIR_EraseRootFromParent_Done,
     /* 2350206 */   // Label 32980: @2350206
     /* 2350206 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2350251), // Rule ID 50388 //
     /* 2350211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350214 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350250 */     // GIR_Coverage, 50388,
     /* 2350250 */     GIR_EraseRootFromParent_Done,
     /* 2350251 */   // Label 32981: @2350251
     /* 2350251 */   GIM_Reject,
     /* 2350252 */ // Label 32979: @2350252
     /* 2350252 */ GIM_Reject,
     /* 2350253 */ // Label 32941: @2350253
     /* 2350253 */ GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2350367),
     /* 2350258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2350261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2350264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350276 */   GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2350321), // Rule ID 50403 //
     /* 2350281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350284 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350320 */     // GIR_Coverage, 50403,
     /* 2350320 */     GIR_EraseRootFromParent_Done,
     /* 2350321 */   // Label 32983: @2350321
     /* 2350321 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2350366), // Rule ID 50404 //
     /* 2350326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350329 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350365 */     // GIR_Coverage, 50404,
     /* 2350365 */     GIR_EraseRootFromParent_Done,
     /* 2350366 */   // Label 32984: @2350366
     /* 2350366 */   GIM_Reject,
     /* 2350367 */ // Label 32982: @2350367
     /* 2350367 */ GIM_Reject,
     /* 2350368 */ // Label 32942: @2350368
     /* 2350368 */ GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2350482),
     /* 2350373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2350376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2350379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350391 */   GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2350436), // Rule ID 50447 //
     /* 2350396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350399 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350435 */     // GIR_Coverage, 50447,
     /* 2350435 */     GIR_EraseRootFromParent_Done,
     /* 2350436 */   // Label 32986: @2350436
     /* 2350436 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2350481), // Rule ID 50448 //
     /* 2350441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350444 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350480 */     // GIR_Coverage, 50448,
     /* 2350480 */     GIR_EraseRootFromParent_Done,
     /* 2350481 */   // Label 32987: @2350481
     /* 2350481 */   GIM_Reject,
     /* 2350482 */ // Label 32985: @2350482
     /* 2350482 */ GIM_Reject,
     /* 2350483 */ // Label 32943: @2350483
     /* 2350483 */ GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2350597),
     /* 2350488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2350491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350506 */   GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2350551), // Rule ID 50379 //
     /* 2350511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350514 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350550 */     // GIR_Coverage, 50379,
     /* 2350550 */     GIR_EraseRootFromParent_Done,
     /* 2350551 */   // Label 32989: @2350551
     /* 2350551 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2350596), // Rule ID 50380 //
     /* 2350556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350559 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350595 */     // GIR_Coverage, 50380,
     /* 2350595 */     GIR_EraseRootFromParent_Done,
     /* 2350596 */   // Label 32990: @2350596
     /* 2350596 */   GIM_Reject,
     /* 2350597 */ // Label 32988: @2350597
     /* 2350597 */ GIM_Reject,
     /* 2350598 */ // Label 32944: @2350598
     /* 2350598 */ GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2350712),
     /* 2350603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2350606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350621 */   GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2350666), // Rule ID 50399 //
     /* 2350626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350629 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350665 */     // GIR_Coverage, 50399,
     /* 2350665 */     GIR_EraseRootFromParent_Done,
     /* 2350666 */   // Label 32992: @2350666
     /* 2350666 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2350711), // Rule ID 50400 //
     /* 2350671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350674 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350710 */     // GIR_Coverage, 50400,
     /* 2350710 */     GIR_EraseRootFromParent_Done,
     /* 2350711 */   // Label 32993: @2350711
     /* 2350711 */   GIM_Reject,
     /* 2350712 */ // Label 32991: @2350712
     /* 2350712 */ GIM_Reject,
     /* 2350713 */ // Label 32945: @2350713
     /* 2350713 */ GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2350827),
     /* 2350718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2350721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350736 */   GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2350781), // Rule ID 50435 //
     /* 2350741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350744 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350780 */     // GIR_Coverage, 50435,
     /* 2350780 */     GIR_EraseRootFromParent_Done,
     /* 2350781 */   // Label 32995: @2350781
     /* 2350781 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2350826), // Rule ID 50436 //
     /* 2350786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350789 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350825 */     // GIR_Coverage, 50436,
     /* 2350825 */     GIR_EraseRootFromParent_Done,
     /* 2350826 */   // Label 32996: @2350826
     /* 2350826 */   GIM_Reject,
     /* 2350827 */ // Label 32994: @2350827
     /* 2350827 */ GIM_Reject,
     /* 2350828 */ // Label 32946: @2350828
     /* 2350828 */ GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2350942),
     /* 2350833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2350836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350851 */   GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2350896), // Rule ID 50451 //
     /* 2350856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350859 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2350876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350895 */     // GIR_Coverage, 50451,
     /* 2350895 */     GIR_EraseRootFromParent_Done,
     /* 2350896 */   // Label 32998: @2350896
     /* 2350896 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2350941), // Rule ID 50452 //
     /* 2350901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350904 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2350921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350940 */     // GIR_Coverage, 50452,
     /* 2350940 */     GIR_EraseRootFromParent_Done,
     /* 2350941 */   // Label 32999: @2350941
     /* 2350941 */   GIM_Reject,
     /* 2350942 */ // Label 32997: @2350942
     /* 2350942 */ GIM_Reject,
     /* 2350943 */ // Label 32947: @2350943
     /* 2350943 */ GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2351057),
     /* 2350948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2350951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2350954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350966 */   GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2351011), // Rule ID 50395 //
     /* 2350971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350974 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2350977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351010 */     // GIR_Coverage, 50395,
     /* 2351010 */     GIR_EraseRootFromParent_Done,
     /* 2351011 */   // Label 33001: @2351011
     /* 2351011 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2351056), // Rule ID 50396 //
     /* 2351016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351019 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2351022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351055 */     // GIR_Coverage, 50396,
     /* 2351055 */     GIR_EraseRootFromParent_Done,
     /* 2351056 */   // Label 33002: @2351056
     /* 2351056 */   GIM_Reject,
     /* 2351057 */ // Label 33000: @2351057
     /* 2351057 */ GIM_Reject,
     /* 2351058 */ // Label 32948: @2351058
     /* 2351058 */ GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2351172),
     /* 2351063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2351066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351081 */   GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2351126), // Rule ID 50423 //
     /* 2351086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351089 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351125 */     // GIR_Coverage, 50423,
     /* 2351125 */     GIR_EraseRootFromParent_Done,
     /* 2351126 */   // Label 33004: @2351126
     /* 2351126 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2351171), // Rule ID 50424 //
     /* 2351131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351134 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351170 */     // GIR_Coverage, 50424,
     /* 2351170 */     GIR_EraseRootFromParent_Done,
     /* 2351171 */   // Label 33005: @2351171
     /* 2351171 */   GIM_Reject,
     /* 2351172 */ // Label 33003: @2351172
     /* 2351172 */ GIM_Reject,
     /* 2351173 */ // Label 32949: @2351173
     /* 2351173 */ GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2351287),
     /* 2351178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2351181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351196 */   GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2351241), // Rule ID 50439 //
     /* 2351201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351204 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351240 */     // GIR_Coverage, 50439,
     /* 2351240 */     GIR_EraseRootFromParent_Done,
     /* 2351241 */   // Label 33007: @2351241
     /* 2351241 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2351286), // Rule ID 50440 //
     /* 2351246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351249 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351285 */     // GIR_Coverage, 50440,
     /* 2351285 */     GIR_EraseRootFromParent_Done,
     /* 2351286 */   // Label 33008: @2351286
     /* 2351286 */   GIM_Reject,
     /* 2351287 */ // Label 33006: @2351287
     /* 2351287 */ GIM_Reject,
     /* 2351288 */ // Label 32950: @2351288
     /* 2351288 */ GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2351402),
     /* 2351293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2351296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2351299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351311 */   GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2351356), // Rule ID 50455 //
     /* 2351316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351319 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351355 */     // GIR_Coverage, 50455,
     /* 2351355 */     GIR_EraseRootFromParent_Done,
     /* 2351356 */   // Label 33010: @2351356
     /* 2351356 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2351401), // Rule ID 50456 //
     /* 2351361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351364 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351400 */     // GIR_Coverage, 50456,
     /* 2351400 */     GIR_EraseRootFromParent_Done,
     /* 2351401 */   // Label 33011: @2351401
     /* 2351401 */   GIM_Reject,
     /* 2351402 */ // Label 33009: @2351402
     /* 2351402 */ GIM_Reject,
     /* 2351403 */ // Label 32951: @2351403
     /* 2351403 */ GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2351517),
     /* 2351408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2351411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2351414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351426 */   GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2351471), // Rule ID 50411 //
     /* 2351431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351434 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351470 */     // GIR_Coverage, 50411,
     /* 2351470 */     GIR_EraseRootFromParent_Done,
     /* 2351471 */   // Label 33013: @2351471
     /* 2351471 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2351516), // Rule ID 50412 //
     /* 2351476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351479 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351515 */     // GIR_Coverage, 50412,
     /* 2351515 */     GIR_EraseRootFromParent_Done,
     /* 2351516 */   // Label 33014: @2351516
     /* 2351516 */   GIM_Reject,
     /* 2351517 */ // Label 33012: @2351517
     /* 2351517 */ GIM_Reject,
     /* 2351518 */ // Label 32952: @2351518
     /* 2351518 */ GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2351632),
     /* 2351523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2351526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2351529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351541 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2351586), // Rule ID 50427 //
     /* 2351546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351549 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351585 */     // GIR_Coverage, 50427,
     /* 2351585 */     GIR_EraseRootFromParent_Done,
     /* 2351586 */   // Label 33016: @2351586
     /* 2351586 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2351631), // Rule ID 50428 //
     /* 2351591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351594 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351630 */     // GIR_Coverage, 50428,
     /* 2351630 */     GIR_EraseRootFromParent_Done,
     /* 2351631 */   // Label 33017: @2351631
     /* 2351631 */   GIM_Reject,
     /* 2351632 */ // Label 33015: @2351632
     /* 2351632 */ GIM_Reject,
     /* 2351633 */ // Label 32953: @2351633
     /* 2351633 */ GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2351747),
     /* 2351638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2351641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2351644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351656 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2351701), // Rule ID 50443 //
     /* 2351661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351664 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351700 */     // GIR_Coverage, 50443,
     /* 2351700 */     GIR_EraseRootFromParent_Done,
     /* 2351701 */   // Label 33019: @2351701
     /* 2351701 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2351746), // Rule ID 50444 //
     /* 2351706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351709 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351745 */     // GIR_Coverage, 50444,
     /* 2351745 */     GIR_EraseRootFromParent_Done,
     /* 2351746 */   // Label 33020: @2351746
     /* 2351746 */   GIM_Reject,
     /* 2351747 */ // Label 33018: @2351747
     /* 2351747 */ GIM_Reject,
     /* 2351748 */ // Label 32954: @2351748
     /* 2351748 */ GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2351862),
     /* 2351753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2351756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2351759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351771 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2351816), // Rule ID 50415 //
     /* 2351776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351779 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2351782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351815 */     // GIR_Coverage, 50415,
     /* 2351815 */     GIR_EraseRootFromParent_Done,
     /* 2351816 */   // Label 33022: @2351816
     /* 2351816 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2351861), // Rule ID 50416 //
     /* 2351821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351824 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2351827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351860 */     // GIR_Coverage, 50416,
     /* 2351860 */     GIR_EraseRootFromParent_Done,
     /* 2351861 */   // Label 33023: @2351861
     /* 2351861 */   GIM_Reject,
     /* 2351862 */ // Label 33021: @2351862
     /* 2351862 */ GIM_Reject,
     /* 2351863 */ // Label 32955: @2351863
     /* 2351863 */ GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2351977),
     /* 2351868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2351871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2351874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351886 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2351931), // Rule ID 50431 //
     /* 2351891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351894 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351930 */     // GIR_Coverage, 50431,
     /* 2351930 */     GIR_EraseRootFromParent_Done,
     /* 2351931 */   // Label 33025: @2351931
     /* 2351931 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2351976), // Rule ID 50432 //
     /* 2351936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351939 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351975 */     // GIR_Coverage, 50432,
     /* 2351975 */     GIR_EraseRootFromParent_Done,
     /* 2351976 */   // Label 33026: @2351976
     /* 2351976 */   GIM_Reject,
     /* 2351977 */ // Label 33024: @2351977
     /* 2351977 */ GIM_Reject,
     /* 2351978 */ // Label 32956: @2351978
     /* 2351978 */ GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2352092),
     /* 2351983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2351986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2351989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352001 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2352046), // Rule ID 50419 //
     /* 2352006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352009 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2352012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352045 */     // GIR_Coverage, 50419,
     /* 2352045 */     GIR_EraseRootFromParent_Done,
     /* 2352046 */   // Label 33028: @2352046
     /* 2352046 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2352091), // Rule ID 50420 //
     /* 2352051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352054 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2352057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352090 */     // GIR_Coverage, 50420,
     /* 2352090 */     GIR_EraseRootFromParent_Done,
     /* 2352091 */   // Label 33029: @2352091
     /* 2352091 */   GIM_Reject,
     /* 2352092 */ // Label 33027: @2352092
     /* 2352092 */ GIM_Reject,
     /* 2352093 */ // Label 32957: @2352093
     /* 2352093 */ GIM_Reject,
     /* 2352094 */ // Label 81: @2352094
     /* 2352094 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33054*/ GIMT_Encode4(2354869),
     /* 2352105 */ /*GILLT_s32*//*Label 33030*/ GIMT_Encode4(2352229),
     /* 2352109 */ /*GILLT_s64*//*Label 33031*/ GIMT_Encode4(2352284), GIMT_Encode4(0),
     /* 2352117 */ /*GILLT_nxv1s8*//*Label 33032*/ GIMT_Encode4(2352339),
     /* 2352121 */ /*GILLT_nxv1s16*//*Label 33033*/ GIMT_Encode4(2352454),
     /* 2352125 */ /*GILLT_nxv1s32*//*Label 33034*/ GIMT_Encode4(2352569),
     /* 2352129 */ /*GILLT_nxv1s64*//*Label 33035*/ GIMT_Encode4(2352684), GIMT_Encode4(0),
     /* 2352137 */ /*GILLT_nxv2s8*//*Label 33036*/ GIMT_Encode4(2352799),
     /* 2352141 */ /*GILLT_nxv2s16*//*Label 33037*/ GIMT_Encode4(2352914),
     /* 2352145 */ /*GILLT_nxv2s32*//*Label 33038*/ GIMT_Encode4(2353029),
     /* 2352149 */ /*GILLT_nxv2s64*//*Label 33039*/ GIMT_Encode4(2353144), GIMT_Encode4(0),
     /* 2352157 */ /*GILLT_nxv4s8*//*Label 33040*/ GIMT_Encode4(2353259),
     /* 2352161 */ /*GILLT_nxv4s16*//*Label 33041*/ GIMT_Encode4(2353374),
     /* 2352165 */ /*GILLT_nxv4s32*//*Label 33042*/ GIMT_Encode4(2353489),
     /* 2352169 */ /*GILLT_nxv4s64*//*Label 33043*/ GIMT_Encode4(2353604), GIMT_Encode4(0),
     /* 2352177 */ /*GILLT_nxv8s8*//*Label 33044*/ GIMT_Encode4(2353719),
     /* 2352181 */ /*GILLT_nxv8s16*//*Label 33045*/ GIMT_Encode4(2353834),
     /* 2352185 */ /*GILLT_nxv8s32*//*Label 33046*/ GIMT_Encode4(2353949),
     /* 2352189 */ /*GILLT_nxv8s64*//*Label 33047*/ GIMT_Encode4(2354064), GIMT_Encode4(0),
     /* 2352197 */ /*GILLT_nxv16s8*//*Label 33048*/ GIMT_Encode4(2354179),
     /* 2352201 */ /*GILLT_nxv16s16*//*Label 33049*/ GIMT_Encode4(2354294),
     /* 2352205 */ /*GILLT_nxv16s32*//*Label 33050*/ GIMT_Encode4(2354409), GIMT_Encode4(0),
     /* 2352213 */ /*GILLT_nxv32s8*//*Label 33051*/ GIMT_Encode4(2354524),
     /* 2352217 */ /*GILLT_nxv32s16*//*Label 33052*/ GIMT_Encode4(2354639), GIMT_Encode4(0),
     /* 2352225 */ /*GILLT_nxv64s8*//*Label 33053*/ GIMT_Encode4(2354754),
     /* 2352229 */ // Label 33030: @2352229
     /* 2352229 */ GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2352283),
     /* 2352234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352252 */   GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2352267), // Rule ID 64374 //
     /* 2352257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2352260 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352260 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352266 */     // GIR_Coverage, 64374,
     /* 2352266 */     GIR_Done,
     /* 2352267 */   // Label 33056: @2352267
     /* 2352267 */   GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2352282), // Rule ID 2418 //
     /* 2352272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2352275 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352281 */     // GIR_Coverage, 2418,
     /* 2352281 */     GIR_Done,
     /* 2352282 */   // Label 33057: @2352282
     /* 2352282 */   GIM_Reject,
     /* 2352283 */ // Label 33055: @2352283
     /* 2352283 */ GIM_Reject,
     /* 2352284 */ // Label 33031: @2352284
     /* 2352284 */ GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2352338),
     /* 2352289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2352292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352307 */   GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2352322), // Rule ID 64373 //
     /* 2352312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2352315 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352321 */     // GIR_Coverage, 64373,
     /* 2352321 */     GIR_Done,
     /* 2352322 */   // Label 33059: @2352322
     /* 2352322 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2352337), // Rule ID 2417 //
     /* 2352327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2352330 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352336 */     // GIR_Coverage, 2417,
     /* 2352336 */     GIR_Done,
     /* 2352337 */   // Label 33060: @2352337
     /* 2352337 */   GIM_Reject,
     /* 2352338 */ // Label 33058: @2352338
     /* 2352338 */ GIM_Reject,
     /* 2352339 */ // Label 33032: @2352339
     /* 2352339 */ GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2352453),
     /* 2352344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2352347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2352350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352362 */   GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2352407), // Rule ID 50547 //
     /* 2352367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352370 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352406 */     // GIR_Coverage, 50547,
     /* 2352406 */     GIR_EraseRootFromParent_Done,
     /* 2352407 */   // Label 33062: @2352407
     /* 2352407 */   GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2352452), // Rule ID 50548 //
     /* 2352412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352415 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352451 */     // GIR_Coverage, 50548,
     /* 2352451 */     GIR_EraseRootFromParent_Done,
     /* 2352452 */   // Label 33063: @2352452
     /* 2352452 */   GIM_Reject,
     /* 2352453 */ // Label 33061: @2352453
     /* 2352453 */ GIM_Reject,
     /* 2352454 */ // Label 33033: @2352454
     /* 2352454 */ GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2352568),
     /* 2352459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2352465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352477 */   GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2352522), // Rule ID 50559 //
     /* 2352482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352485 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352521 */     // GIR_Coverage, 50559,
     /* 2352521 */     GIR_EraseRootFromParent_Done,
     /* 2352522 */   // Label 33065: @2352522
     /* 2352522 */   GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2352567), // Rule ID 50560 //
     /* 2352527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352530 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352566 */     // GIR_Coverage, 50560,
     /* 2352566 */     GIR_EraseRootFromParent_Done,
     /* 2352567 */   // Label 33066: @2352567
     /* 2352567 */   GIM_Reject,
     /* 2352568 */ // Label 33064: @2352568
     /* 2352568 */ GIM_Reject,
     /* 2352569 */ // Label 33034: @2352569
     /* 2352569 */ GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2352683),
     /* 2352574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2352580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352592 */   GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2352637), // Rule ID 50567 //
     /* 2352597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352600 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352636 */     // GIR_Coverage, 50567,
     /* 2352636 */     GIR_EraseRootFromParent_Done,
     /* 2352637 */   // Label 33068: @2352637
     /* 2352637 */   GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2352682), // Rule ID 50568 //
     /* 2352642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352645 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352681 */     // GIR_Coverage, 50568,
     /* 2352681 */     GIR_EraseRootFromParent_Done,
     /* 2352682 */   // Label 33069: @2352682
     /* 2352682 */   GIM_Reject,
     /* 2352683 */ // Label 33067: @2352683
     /* 2352683 */ GIM_Reject,
     /* 2352684 */ // Label 33035: @2352684
     /* 2352684 */ GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2352798),
     /* 2352689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2352692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2352695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352707 */   GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2352752), // Rule ID 50583 //
     /* 2352712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2352715 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2352718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2352732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352751 */     // GIR_Coverage, 50583,
     /* 2352751 */     GIR_EraseRootFromParent_Done,
     /* 2352752 */   // Label 33071: @2352752
     /* 2352752 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2352797), // Rule ID 50584 //
     /* 2352757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2352760 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2352763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2352777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352796 */     // GIR_Coverage, 50584,
     /* 2352796 */     GIR_EraseRootFromParent_Done,
     /* 2352797 */   // Label 33072: @2352797
     /* 2352797 */   GIM_Reject,
     /* 2352798 */ // Label 33070: @2352798
     /* 2352798 */ GIM_Reject,
     /* 2352799 */ // Label 33036: @2352799
     /* 2352799 */ GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2352913),
     /* 2352804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2352807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2352810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352822 */   GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2352867), // Rule ID 50551 //
     /* 2352827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352830 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2352833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352866 */     // GIR_Coverage, 50551,
     /* 2352866 */     GIR_EraseRootFromParent_Done,
     /* 2352867 */   // Label 33074: @2352867
     /* 2352867 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2352912), // Rule ID 50552 //
     /* 2352872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352875 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2352878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352911 */     // GIR_Coverage, 50552,
     /* 2352911 */     GIR_EraseRootFromParent_Done,
     /* 2352912 */   // Label 33075: @2352912
     /* 2352912 */   GIM_Reject,
     /* 2352913 */ // Label 33073: @2352913
     /* 2352913 */ GIM_Reject,
     /* 2352914 */ // Label 33037: @2352914
     /* 2352914 */ GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2353028),
     /* 2352919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2352922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2352925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352937 */   GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2352982), // Rule ID 50563 //
     /* 2352942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352945 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2352948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352981 */     // GIR_Coverage, 50563,
     /* 2352981 */     GIR_EraseRootFromParent_Done,
     /* 2352982 */   // Label 33077: @2352982
     /* 2352982 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2353027), // Rule ID 50564 //
     /* 2352987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352990 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2352993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353026 */     // GIR_Coverage, 50564,
     /* 2353026 */     GIR_EraseRootFromParent_Done,
     /* 2353027 */   // Label 33078: @2353027
     /* 2353027 */   GIM_Reject,
     /* 2353028 */ // Label 33076: @2353028
     /* 2353028 */ GIM_Reject,
     /* 2353029 */ // Label 33038: @2353029
     /* 2353029 */ GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2353143),
     /* 2353034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2353040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353052 */   GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2353097), // Rule ID 50579 //
     /* 2353057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353060 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353096 */     // GIR_Coverage, 50579,
     /* 2353096 */     GIR_EraseRootFromParent_Done,
     /* 2353097 */   // Label 33080: @2353097
     /* 2353097 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2353142), // Rule ID 50580 //
     /* 2353102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353105 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353141 */     // GIR_Coverage, 50580,
     /* 2353141 */     GIR_EraseRootFromParent_Done,
     /* 2353142 */   // Label 33081: @2353142
     /* 2353142 */   GIM_Reject,
     /* 2353143 */ // Label 33079: @2353143
     /* 2353143 */ GIM_Reject,
     /* 2353144 */ // Label 33039: @2353144
     /* 2353144 */ GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2353258),
     /* 2353149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2353155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353167 */   GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2353212), // Rule ID 50623 //
     /* 2353172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353175 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353211 */     // GIR_Coverage, 50623,
     /* 2353211 */     GIR_EraseRootFromParent_Done,
     /* 2353212 */   // Label 33083: @2353212
     /* 2353212 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2353257), // Rule ID 50624 //
     /* 2353217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353220 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353256 */     // GIR_Coverage, 50624,
     /* 2353256 */     GIR_EraseRootFromParent_Done,
     /* 2353257 */   // Label 33084: @2353257
     /* 2353257 */   GIM_Reject,
     /* 2353258 */ // Label 33082: @2353258
     /* 2353258 */ GIM_Reject,
     /* 2353259 */ // Label 33040: @2353259
     /* 2353259 */ GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2353373),
     /* 2353264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2353267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2353270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353282 */   GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2353327), // Rule ID 50555 //
     /* 2353287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353290 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353326 */     // GIR_Coverage, 50555,
     /* 2353326 */     GIR_EraseRootFromParent_Done,
     /* 2353327 */   // Label 33086: @2353327
     /* 2353327 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2353372), // Rule ID 50556 //
     /* 2353332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353335 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353371 */     // GIR_Coverage, 50556,
     /* 2353371 */     GIR_EraseRootFromParent_Done,
     /* 2353372 */   // Label 33087: @2353372
     /* 2353372 */   GIM_Reject,
     /* 2353373 */ // Label 33085: @2353373
     /* 2353373 */ GIM_Reject,
     /* 2353374 */ // Label 33041: @2353374
     /* 2353374 */ GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2353488),
     /* 2353379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2353382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2353385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353397 */   GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2353442), // Rule ID 50575 //
     /* 2353402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353405 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353441 */     // GIR_Coverage, 50575,
     /* 2353441 */     GIR_EraseRootFromParent_Done,
     /* 2353442 */   // Label 33089: @2353442
     /* 2353442 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2353487), // Rule ID 50576 //
     /* 2353447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353450 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353486 */     // GIR_Coverage, 50576,
     /* 2353486 */     GIR_EraseRootFromParent_Done,
     /* 2353487 */   // Label 33090: @2353487
     /* 2353487 */   GIM_Reject,
     /* 2353488 */ // Label 33088: @2353488
     /* 2353488 */ GIM_Reject,
     /* 2353489 */ // Label 33042: @2353489
     /* 2353489 */ GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2353603),
     /* 2353494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2353497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2353500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353512 */   GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2353557), // Rule ID 50611 //
     /* 2353517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353520 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353556 */     // GIR_Coverage, 50611,
     /* 2353556 */     GIR_EraseRootFromParent_Done,
     /* 2353557 */   // Label 33092: @2353557
     /* 2353557 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2353602), // Rule ID 50612 //
     /* 2353562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353565 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353601 */     // GIR_Coverage, 50612,
     /* 2353601 */     GIR_EraseRootFromParent_Done,
     /* 2353602 */   // Label 33093: @2353602
     /* 2353602 */   GIM_Reject,
     /* 2353603 */ // Label 33091: @2353603
     /* 2353603 */ GIM_Reject,
     /* 2353604 */ // Label 33043: @2353604
     /* 2353604 */ GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2353718),
     /* 2353609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2353612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2353615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353627 */   GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2353672), // Rule ID 50627 //
     /* 2353632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353635 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2353638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2353652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353671 */     // GIR_Coverage, 50627,
     /* 2353671 */     GIR_EraseRootFromParent_Done,
     /* 2353672 */   // Label 33095: @2353672
     /* 2353672 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2353717), // Rule ID 50628 //
     /* 2353677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353680 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2353683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2353697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353716 */     // GIR_Coverage, 50628,
     /* 2353716 */     GIR_EraseRootFromParent_Done,
     /* 2353717 */   // Label 33096: @2353717
     /* 2353717 */   GIM_Reject,
     /* 2353718 */ // Label 33094: @2353718
     /* 2353718 */ GIM_Reject,
     /* 2353719 */ // Label 33044: @2353719
     /* 2353719 */ GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2353833),
     /* 2353724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2353727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2353730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353742 */   GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2353787), // Rule ID 50571 //
     /* 2353747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353750 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2353753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353786 */     // GIR_Coverage, 50571,
     /* 2353786 */     GIR_EraseRootFromParent_Done,
     /* 2353787 */   // Label 33098: @2353787
     /* 2353787 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2353832), // Rule ID 50572 //
     /* 2353792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353795 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2353798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353831 */     // GIR_Coverage, 50572,
     /* 2353831 */     GIR_EraseRootFromParent_Done,
     /* 2353832 */   // Label 33099: @2353832
     /* 2353832 */   GIM_Reject,
     /* 2353833 */ // Label 33097: @2353833
     /* 2353833 */ GIM_Reject,
     /* 2353834 */ // Label 33045: @2353834
     /* 2353834 */ GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2353948),
     /* 2353839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2353842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353857 */   GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2353902), // Rule ID 50599 //
     /* 2353862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353865 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2353868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353901 */     // GIR_Coverage, 50599,
     /* 2353901 */     GIR_EraseRootFromParent_Done,
     /* 2353902 */   // Label 33101: @2353902
     /* 2353902 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2353947), // Rule ID 50600 //
     /* 2353907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353910 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2353913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353946 */     // GIR_Coverage, 50600,
     /* 2353946 */     GIR_EraseRootFromParent_Done,
     /* 2353947 */   // Label 33102: @2353947
     /* 2353947 */   GIM_Reject,
     /* 2353948 */ // Label 33100: @2353948
     /* 2353948 */ GIM_Reject,
     /* 2353949 */ // Label 33046: @2353949
     /* 2353949 */ GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2354063),
     /* 2353954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2353957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353972 */   GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2354017), // Rule ID 50615 //
     /* 2353977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353980 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2353983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2353997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354016 */     // GIR_Coverage, 50615,
     /* 2354016 */     GIR_EraseRootFromParent_Done,
     /* 2354017 */   // Label 33104: @2354017
     /* 2354017 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2354062), // Rule ID 50616 //
     /* 2354022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354025 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354061 */     // GIR_Coverage, 50616,
     /* 2354061 */     GIR_EraseRootFromParent_Done,
     /* 2354062 */   // Label 33105: @2354062
     /* 2354062 */   GIM_Reject,
     /* 2354063 */ // Label 33103: @2354063
     /* 2354063 */ GIM_Reject,
     /* 2354064 */ // Label 33047: @2354064
     /* 2354064 */ GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2354178),
     /* 2354069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2354072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354087 */   GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2354132), // Rule ID 50631 //
     /* 2354092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354095 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354131 */     // GIR_Coverage, 50631,
     /* 2354131 */     GIR_EraseRootFromParent_Done,
     /* 2354132 */   // Label 33107: @2354132
     /* 2354132 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2354177), // Rule ID 50632 //
     /* 2354137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354140 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354176 */     // GIR_Coverage, 50632,
     /* 2354176 */     GIR_EraseRootFromParent_Done,
     /* 2354177 */   // Label 33108: @2354177
     /* 2354177 */   GIM_Reject,
     /* 2354178 */ // Label 33106: @2354178
     /* 2354178 */ GIM_Reject,
     /* 2354179 */ // Label 33048: @2354179
     /* 2354179 */ GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2354293),
     /* 2354184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2354187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2354190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354202 */   GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2354247), // Rule ID 50587 //
     /* 2354207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354210 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354246 */     // GIR_Coverage, 50587,
     /* 2354246 */     GIR_EraseRootFromParent_Done,
     /* 2354247 */   // Label 33110: @2354247
     /* 2354247 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2354292), // Rule ID 50588 //
     /* 2354252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354255 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354291 */     // GIR_Coverage, 50588,
     /* 2354291 */     GIR_EraseRootFromParent_Done,
     /* 2354292 */   // Label 33111: @2354292
     /* 2354292 */   GIM_Reject,
     /* 2354293 */ // Label 33109: @2354293
     /* 2354293 */ GIM_Reject,
     /* 2354294 */ // Label 33049: @2354294
     /* 2354294 */ GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2354408),
     /* 2354299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2354302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2354305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354317 */   GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2354362), // Rule ID 50603 //
     /* 2354322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354325 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354361 */     // GIR_Coverage, 50603,
     /* 2354361 */     GIR_EraseRootFromParent_Done,
     /* 2354362 */   // Label 33113: @2354362
     /* 2354362 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2354407), // Rule ID 50604 //
     /* 2354367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354370 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354406 */     // GIR_Coverage, 50604,
     /* 2354406 */     GIR_EraseRootFromParent_Done,
     /* 2354407 */   // Label 33114: @2354407
     /* 2354407 */   GIM_Reject,
     /* 2354408 */ // Label 33112: @2354408
     /* 2354408 */ GIM_Reject,
     /* 2354409 */ // Label 33050: @2354409
     /* 2354409 */ GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2354523),
     /* 2354414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2354417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2354420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354432 */   GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2354477), // Rule ID 50619 //
     /* 2354437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354440 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354476 */     // GIR_Coverage, 50619,
     /* 2354476 */     GIR_EraseRootFromParent_Done,
     /* 2354477 */   // Label 33116: @2354477
     /* 2354477 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2354522), // Rule ID 50620 //
     /* 2354482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354485 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354521 */     // GIR_Coverage, 50620,
     /* 2354521 */     GIR_EraseRootFromParent_Done,
     /* 2354522 */   // Label 33117: @2354522
     /* 2354522 */   GIM_Reject,
     /* 2354523 */ // Label 33115: @2354523
     /* 2354523 */ GIM_Reject,
     /* 2354524 */ // Label 33051: @2354524
     /* 2354524 */ GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2354638),
     /* 2354529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2354532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2354535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354547 */   GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2354592), // Rule ID 50591 //
     /* 2354552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354555 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354591 */     // GIR_Coverage, 50591,
     /* 2354591 */     GIR_EraseRootFromParent_Done,
     /* 2354592 */   // Label 33119: @2354592
     /* 2354592 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2354637), // Rule ID 50592 //
     /* 2354597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354600 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354636 */     // GIR_Coverage, 50592,
     /* 2354636 */     GIR_EraseRootFromParent_Done,
     /* 2354637 */   // Label 33120: @2354637
     /* 2354637 */   GIM_Reject,
     /* 2354638 */ // Label 33118: @2354638
     /* 2354638 */ GIM_Reject,
     /* 2354639 */ // Label 33052: @2354639
     /* 2354639 */ GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2354753),
     /* 2354644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2354647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2354650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354662 */   GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2354707), // Rule ID 50607 //
     /* 2354667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354670 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2354673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354706 */     // GIR_Coverage, 50607,
     /* 2354706 */     GIR_EraseRootFromParent_Done,
     /* 2354707 */   // Label 33122: @2354707
     /* 2354707 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2354752), // Rule ID 50608 //
     /* 2354712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354715 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2354718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354751 */     // GIR_Coverage, 50608,
     /* 2354751 */     GIR_EraseRootFromParent_Done,
     /* 2354752 */   // Label 33123: @2354752
     /* 2354752 */   GIM_Reject,
     /* 2354753 */ // Label 33121: @2354753
     /* 2354753 */ GIM_Reject,
     /* 2354754 */ // Label 33053: @2354754
     /* 2354754 */ GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2354868),
     /* 2354759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2354762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2354765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354777 */   GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2354822), // Rule ID 50595 //
     /* 2354782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354785 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2354788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354821 */     // GIR_Coverage, 50595,
     /* 2354821 */     GIR_EraseRootFromParent_Done,
     /* 2354822 */   // Label 33125: @2354822
     /* 2354822 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2354867), // Rule ID 50596 //
     /* 2354827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354830 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2354833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354866 */     // GIR_Coverage, 50596,
     /* 2354866 */     GIR_EraseRootFromParent_Done,
     /* 2354867 */   // Label 33126: @2354867
     /* 2354867 */   GIM_Reject,
     /* 2354868 */ // Label 33124: @2354868
     /* 2354868 */ GIM_Reject,
     /* 2354869 */ // Label 33054: @2354869
     /* 2354869 */ GIM_Reject,
     /* 2354870 */ // Label 82: @2354870
     /* 2354870 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33129*/ GIMT_Encode4(2355027),
     /* 2354881 */ /*GILLT_s32*//*Label 33127*/ GIMT_Encode4(2354889),
     /* 2354885 */ /*GILLT_s64*//*Label 33128*/ GIMT_Encode4(2354958),
     /* 2354889 */ // Label 33127: @2354889
     /* 2354889 */ GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2354957),
     /* 2354894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2354897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354905 */   GIM_Try, /*On fail goto*//*Label 33131*/ GIMT_Encode4(2354920), // Rule ID 64362 //
     /* 2354910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2354913 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2354913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2354918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354919 */     // GIR_Coverage, 64362,
     /* 2354919 */     GIR_Done,
     /* 2354920 */   // Label 33131: @2354920
     /* 2354920 */   GIM_Try, /*On fail goto*//*Label 33132*/ GIMT_Encode4(2354956), // Rule ID 62416 //
     /* 2354925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2354928 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2354928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2354931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2354933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2354941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2354944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2354952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354955 */     // GIR_Coverage, 62416,
     /* 2354955 */     GIR_EraseRootFromParent_Done,
     /* 2354956 */   // Label 33132: @2354956
     /* 2354956 */   GIM_Reject,
     /* 2354957 */ // Label 33130: @2354957
     /* 2354957 */ GIM_Reject,
     /* 2354958 */ // Label 33128: @2354958
     /* 2354958 */ GIM_Try, /*On fail goto*//*Label 33133*/ GIMT_Encode4(2355026),
     /* 2354963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2354966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354974 */   GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2354989), // Rule ID 64361 //
     /* 2354979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2354982 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2354982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2354987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354988 */     // GIR_Coverage, 64361,
     /* 2354988 */     GIR_Done,
     /* 2354989 */   // Label 33134: @2354989
     /* 2354989 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2355025), // Rule ID 62415 //
     /* 2354994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2354997 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2354997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2355000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2355002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2355013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355024 */     // GIR_Coverage, 62415,
     /* 2355024 */     GIR_EraseRootFromParent_Done,
     /* 2355025 */   // Label 33135: @2355025
     /* 2355025 */   GIM_Reject,
     /* 2355026 */ // Label 33133: @2355026
     /* 2355026 */ GIM_Reject,
     /* 2355027 */ // Label 33129: @2355027
     /* 2355027 */ GIM_Reject,
     /* 2355028 */ // Label 83: @2355028
     /* 2355028 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33138*/ GIMT_Encode4(2355607),
     /* 2355039 */ /*GILLT_s32*//*Label 33136*/ GIMT_Encode4(2355047),
     /* 2355043 */ /*GILLT_s64*//*Label 33137*/ GIMT_Encode4(2355420),
     /* 2355047 */ // Label 33136: @2355047
     /* 2355047 */ GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2355078), // Rule ID 1353 //
     /* 2355052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2355055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355066 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355077 */   // GIR_Coverage, 1353,
     /* 2355077 */   GIR_EraseRootFromParent_Done,
     /* 2355078 */ // Label 33139: @2355078
     /* 2355078 */ GIM_Try, /*On fail goto*//*Label 33140*/ GIMT_Encode4(2355109), // Rule ID 1354 //
     /* 2355083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2355086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355097 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355102 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355108 */   // GIR_Coverage, 1354,
     /* 2355108 */   GIR_EraseRootFromParent_Done,
     /* 2355109 */ // Label 33140: @2355109
     /* 2355109 */ GIM_Try, /*On fail goto*//*Label 33141*/ GIMT_Encode4(2355140), // Rule ID 1379 //
     /* 2355114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2355117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355128 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355139 */   // GIR_Coverage, 1379,
     /* 2355139 */   GIR_EraseRootFromParent_Done,
     /* 2355140 */ // Label 33141: @2355140
     /* 2355140 */ GIM_Try, /*On fail goto*//*Label 33142*/ GIMT_Encode4(2355171), // Rule ID 1380 //
     /* 2355145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2355148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355159 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355170 */   // GIR_Coverage, 1380,
     /* 2355170 */   GIR_EraseRootFromParent_Done,
     /* 2355171 */ // Label 33142: @2355171
     /* 2355171 */ GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2355202), // Rule ID 1747 //
     /* 2355176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2355179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355190 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355201 */   // GIR_Coverage, 1747,
     /* 2355201 */   GIR_EraseRootFromParent_Done,
     /* 2355202 */ // Label 33143: @2355202
     /* 2355202 */ GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2355233), // Rule ID 1748 //
     /* 2355207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2355210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355221 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355232 */   // GIR_Coverage, 1748,
     /* 2355232 */   GIR_EraseRootFromParent_Done,
     /* 2355233 */ // Label 33144: @2355233
     /* 2355233 */ GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2355264), // Rule ID 1773 //
     /* 2355238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2355241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355252 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355257 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355263 */   // GIR_Coverage, 1773,
     /* 2355263 */   GIR_EraseRootFromParent_Done,
     /* 2355264 */ // Label 33145: @2355264
     /* 2355264 */ GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2355295), // Rule ID 1774 //
     /* 2355269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2355272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355283 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355288 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355294 */   // GIR_Coverage, 1774,
     /* 2355294 */   GIR_EraseRootFromParent_Done,
     /* 2355295 */ // Label 33146: @2355295
     /* 2355295 */ GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2355326), // Rule ID 2089 //
     /* 2355300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2355303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355314 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355325 */   // GIR_Coverage, 2089,
     /* 2355325 */   GIR_EraseRootFromParent_Done,
     /* 2355326 */ // Label 33147: @2355326
     /* 2355326 */ GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2355357), // Rule ID 2090 //
     /* 2355331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2355334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355345 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355356 */   // GIR_Coverage, 2090,
     /* 2355356 */   GIR_EraseRootFromParent_Done,
     /* 2355357 */ // Label 33148: @2355357
     /* 2355357 */ GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2355388), // Rule ID 2115 //
     /* 2355362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2355365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355376 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355381 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355387 */   // GIR_Coverage, 2115,
     /* 2355387 */   GIR_EraseRootFromParent_Done,
     /* 2355388 */ // Label 33149: @2355388
     /* 2355388 */ GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2355419), // Rule ID 2116 //
     /* 2355393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2355396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355407 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355418 */   // GIR_Coverage, 2116,
     /* 2355418 */   GIR_EraseRootFromParent_Done,
     /* 2355419 */ // Label 33150: @2355419
     /* 2355419 */ GIM_Reject,
     /* 2355420 */ // Label 33137: @2355420
     /* 2355420 */ GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2355451), // Rule ID 1406 //
     /* 2355425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2355428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355439 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2355442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355444 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355450 */   // GIR_Coverage, 1406,
     /* 2355450 */   GIR_EraseRootFromParent_Done,
     /* 2355451 */ // Label 33151: @2355451
     /* 2355451 */ GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2355482), // Rule ID 1434 //
     /* 2355456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2355459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355470 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2355473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355481 */   // GIR_Coverage, 1434,
     /* 2355481 */   GIR_EraseRootFromParent_Done,
     /* 2355482 */ // Label 33152: @2355482
     /* 2355482 */ GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2355513), // Rule ID 1804 //
     /* 2355487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2355490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355501 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2355504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355506 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355512 */   // GIR_Coverage, 1804,
     /* 2355512 */   GIR_EraseRootFromParent_Done,
     /* 2355513 */ // Label 33153: @2355513
     /* 2355513 */ GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2355544), // Rule ID 1832 //
     /* 2355518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2355521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355532 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2355535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355543 */   // GIR_Coverage, 1832,
     /* 2355543 */   GIR_EraseRootFromParent_Done,
     /* 2355544 */ // Label 33154: @2355544
     /* 2355544 */ GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2355575), // Rule ID 2140 //
     /* 2355549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2355552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355563 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2355566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355574 */   // GIR_Coverage, 2140,
     /* 2355574 */   GIR_EraseRootFromParent_Done,
     /* 2355575 */ // Label 33155: @2355575
     /* 2355575 */ GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2355606), // Rule ID 2166 //
     /* 2355580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2355583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355594 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2355597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355599 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355605 */   // GIR_Coverage, 2166,
     /* 2355605 */   GIR_EraseRootFromParent_Done,
     /* 2355606 */ // Label 33156: @2355606
     /* 2355606 */ GIM_Reject,
     /* 2355607 */ // Label 33138: @2355607
     /* 2355607 */ GIM_Reject,
     /* 2355608 */ // Label 84: @2355608
     /* 2355608 */ GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2355817),
     /* 2355613 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2355616 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33161*/ GIMT_Encode4(2355816),
     /* 2355627 */   /*GILLT_s16*//*Label 33158*/ GIMT_Encode4(2355639),
     /* 2355631 */   /*GILLT_s32*//*Label 33159*/ GIMT_Encode4(2355698),
     /* 2355635 */   /*GILLT_s64*//*Label 33160*/ GIMT_Encode4(2355757),
     /* 2355639 */   // Label 33158: @2355639
     /* 2355639 */   GIM_Try, /*On fail goto*//*Label 33162*/ GIMT_Encode4(2355697),
     /* 2355644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355648 */     GIM_Try, /*On fail goto*//*Label 33163*/ GIMT_Encode4(2355672), // Rule ID 2142 //
     /* 2355653 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2355656 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355660 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355660 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2355663 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355665 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355667 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355670 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355671 */       // GIR_Coverage, 2142,
     /* 2355671 */       GIR_EraseRootFromParent_Done,
     /* 2355672 */     // Label 33163: @2355672
     /* 2355672 */     GIM_Try, /*On fail goto*//*Label 33164*/ GIMT_Encode4(2355696), // Rule ID 2168 //
     /* 2355677 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2355680 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355684 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355684 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2355687 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355689 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355691 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355694 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355695 */       // GIR_Coverage, 2168,
     /* 2355695 */       GIR_EraseRootFromParent_Done,
     /* 2355696 */     // Label 33164: @2355696
     /* 2355696 */     GIM_Reject,
     /* 2355697 */   // Label 33162: @2355697
     /* 2355697 */   GIM_Reject,
     /* 2355698 */   // Label 33159: @2355698
     /* 2355698 */   GIM_Try, /*On fail goto*//*Label 33165*/ GIMT_Encode4(2355756),
     /* 2355703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355707 */     GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2355731), // Rule ID 1408 //
     /* 2355712 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2355715 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355719 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355719 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2355722 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355724 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355726 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355729 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355730 */       // GIR_Coverage, 1408,
     /* 2355730 */       GIR_EraseRootFromParent_Done,
     /* 2355731 */     // Label 33166: @2355731
     /* 2355731 */     GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2355755), // Rule ID 1436 //
     /* 2355736 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2355739 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355743 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355743 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2355746 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355748 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355750 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355753 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355754 */       // GIR_Coverage, 1436,
     /* 2355754 */       GIR_EraseRootFromParent_Done,
     /* 2355755 */     // Label 33167: @2355755
     /* 2355755 */     GIM_Reject,
     /* 2355756 */   // Label 33165: @2355756
     /* 2355756 */   GIM_Reject,
     /* 2355757 */   // Label 33160: @2355757
     /* 2355757 */   GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2355815),
     /* 2355762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355766 */     GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2355790), // Rule ID 1806 //
     /* 2355771 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2355774 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355778 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355778 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2355781 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355783 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355785 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355788 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355789 */       // GIR_Coverage, 1806,
     /* 2355789 */       GIR_EraseRootFromParent_Done,
     /* 2355790 */     // Label 33169: @2355790
     /* 2355790 */     GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2355814), // Rule ID 1834 //
     /* 2355795 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2355798 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355802 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355802 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2355805 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355807 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355809 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355812 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355813 */       // GIR_Coverage, 1834,
     /* 2355813 */       GIR_EraseRootFromParent_Done,
     /* 2355814 */     // Label 33170: @2355814
     /* 2355814 */     GIM_Reject,
     /* 2355815 */   // Label 33168: @2355815
     /* 2355815 */   GIM_Reject,
     /* 2355816 */   // Label 33161: @2355816
     /* 2355816 */   GIM_Reject,
     /* 2355817 */ // Label 33157: @2355817
     /* 2355817 */ GIM_Reject,
     /* 2355818 */ // Label 85: @2355818
     /* 2355818 */ GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2355833), // Rule ID 4 //
     /* 2355823 */   // MIs[0] imm20
     /* 2355823 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2355826 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2355826 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2355831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355832 */   // GIR_Coverage, 4,
     /* 2355832 */   GIR_Done,
     /* 2355833 */ // Label 33171: @2355833
     /* 2355833 */ GIM_Reject,
     /* 2355834 */ // Label 86: @2355834
     /* 2355834 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33196*/ GIMT_Encode4(2358353),
     /* 2355845 */ /*GILLT_s32*//*Label 33172*/ GIMT_Encode4(2355969),
     /* 2355849 */ /*GILLT_s64*//*Label 33173*/ GIMT_Encode4(2356017), GIMT_Encode4(0),
     /* 2355857 */ /*GILLT_nxv1s8*//*Label 33174*/ GIMT_Encode4(2356065),
     /* 2355861 */ /*GILLT_nxv1s16*//*Label 33175*/ GIMT_Encode4(2356169),
     /* 2355865 */ /*GILLT_nxv1s32*//*Label 33176*/ GIMT_Encode4(2356273),
     /* 2355869 */ /*GILLT_nxv1s64*//*Label 33177*/ GIMT_Encode4(2356377), GIMT_Encode4(0),
     /* 2355877 */ /*GILLT_nxv2s8*//*Label 33178*/ GIMT_Encode4(2356481),
     /* 2355881 */ /*GILLT_nxv2s16*//*Label 33179*/ GIMT_Encode4(2356585),
     /* 2355885 */ /*GILLT_nxv2s32*//*Label 33180*/ GIMT_Encode4(2356689),
     /* 2355889 */ /*GILLT_nxv2s64*//*Label 33181*/ GIMT_Encode4(2356793), GIMT_Encode4(0),
     /* 2355897 */ /*GILLT_nxv4s8*//*Label 33182*/ GIMT_Encode4(2356897),
     /* 2355901 */ /*GILLT_nxv4s16*//*Label 33183*/ GIMT_Encode4(2357001),
     /* 2355905 */ /*GILLT_nxv4s32*//*Label 33184*/ GIMT_Encode4(2357105),
     /* 2355909 */ /*GILLT_nxv4s64*//*Label 33185*/ GIMT_Encode4(2357209), GIMT_Encode4(0),
     /* 2355917 */ /*GILLT_nxv8s8*//*Label 33186*/ GIMT_Encode4(2357313),
     /* 2355921 */ /*GILLT_nxv8s16*//*Label 33187*/ GIMT_Encode4(2357417),
     /* 2355925 */ /*GILLT_nxv8s32*//*Label 33188*/ GIMT_Encode4(2357521),
     /* 2355929 */ /*GILLT_nxv8s64*//*Label 33189*/ GIMT_Encode4(2357625), GIMT_Encode4(0),
     /* 2355937 */ /*GILLT_nxv16s8*//*Label 33190*/ GIMT_Encode4(2357729),
     /* 2355941 */ /*GILLT_nxv16s16*//*Label 33191*/ GIMT_Encode4(2357833),
     /* 2355945 */ /*GILLT_nxv16s32*//*Label 33192*/ GIMT_Encode4(2357937), GIMT_Encode4(0),
     /* 2355953 */ /*GILLT_nxv32s8*//*Label 33193*/ GIMT_Encode4(2358041),
     /* 2355957 */ /*GILLT_nxv32s16*//*Label 33194*/ GIMT_Encode4(2358145), GIMT_Encode4(0),
     /* 2355965 */ /*GILLT_nxv64s8*//*Label 33195*/ GIMT_Encode4(2358249),
     /* 2355969 */ // Label 33172: @2355969
     /* 2355969 */ GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2356016),
     /* 2355974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355985 */   GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2356000), // Rule ID 2400 //
     /* 2355990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2355993 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2355993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2355998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355999 */     // GIR_Coverage, 2400,
     /* 2355999 */     GIR_Done,
     /* 2356000 */   // Label 33198: @2356000
     /* 2356000 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2356015), // Rule ID 64345 //
     /* 2356005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2356008 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2356013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356014 */     // GIR_Coverage, 64345,
     /* 2356014 */     GIR_Done,
     /* 2356015 */   // Label 33199: @2356015
     /* 2356015 */   GIM_Reject,
     /* 2356016 */ // Label 33197: @2356016
     /* 2356016 */ GIM_Reject,
     /* 2356017 */ // Label 33173: @2356017
     /* 2356017 */ GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2356064),
     /* 2356022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2356025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356033 */   GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2356048), // Rule ID 2399 //
     /* 2356038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2356041 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2356041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2356046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356047 */     // GIR_Coverage, 2399,
     /* 2356047 */     GIR_Done,
     /* 2356048 */   // Label 33201: @2356048
     /* 2356048 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2356063), // Rule ID 64344 //
     /* 2356053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2356056 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2356056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2356061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356062 */     // GIR_Coverage, 64344,
     /* 2356062 */     GIR_Done,
     /* 2356063 */   // Label 33202: @2356063
     /* 2356063 */   GIM_Reject,
     /* 2356064 */ // Label 33200: @2356064
     /* 2356064 */ GIM_Reject,
     /* 2356065 */ // Label 33174: @2356065
     /* 2356065 */ GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2356168),
     /* 2356070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2356073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356081 */   GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2356124), // Rule ID 59051 //
     /* 2356086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356089 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356123 */     // GIR_Coverage, 59051,
     /* 2356123 */     GIR_EraseRootFromParent_Done,
     /* 2356124 */   // Label 33204: @2356124
     /* 2356124 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2356167), // Rule ID 59052 //
     /* 2356129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356132 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356166 */     // GIR_Coverage, 59052,
     /* 2356166 */     GIR_EraseRootFromParent_Done,
     /* 2356167 */   // Label 33205: @2356167
     /* 2356167 */   GIM_Reject,
     /* 2356168 */ // Label 33203: @2356168
     /* 2356168 */ GIM_Reject,
     /* 2356169 */ // Label 33175: @2356169
     /* 2356169 */ GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2356272),
     /* 2356174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2356177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356185 */   GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2356228), // Rule ID 59057 //
     /* 2356190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356193 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356227 */     // GIR_Coverage, 59057,
     /* 2356227 */     GIR_EraseRootFromParent_Done,
     /* 2356228 */   // Label 33207: @2356228
     /* 2356228 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2356271), // Rule ID 59058 //
     /* 2356233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356236 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356270 */     // GIR_Coverage, 59058,
     /* 2356270 */     GIR_EraseRootFromParent_Done,
     /* 2356271 */   // Label 33208: @2356271
     /* 2356271 */   GIM_Reject,
     /* 2356272 */ // Label 33206: @2356272
     /* 2356272 */ GIM_Reject,
     /* 2356273 */ // Label 33176: @2356273
     /* 2356273 */ GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2356376),
     /* 2356278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2356281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356289 */   GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2356332), // Rule ID 59061 //
     /* 2356294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356297 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356331 */     // GIR_Coverage, 59061,
     /* 2356331 */     GIR_EraseRootFromParent_Done,
     /* 2356332 */   // Label 33210: @2356332
     /* 2356332 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2356375), // Rule ID 59062 //
     /* 2356337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356340 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356374 */     // GIR_Coverage, 59062,
     /* 2356374 */     GIR_EraseRootFromParent_Done,
     /* 2356375 */   // Label 33211: @2356375
     /* 2356375 */   GIM_Reject,
     /* 2356376 */ // Label 33209: @2356376
     /* 2356376 */ GIM_Reject,
     /* 2356377 */ // Label 33177: @2356377
     /* 2356377 */ GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2356480),
     /* 2356382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2356385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356393 */   GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2356436), // Rule ID 59069 //
     /* 2356398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356401 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356435 */     // GIR_Coverage, 59069,
     /* 2356435 */     GIR_EraseRootFromParent_Done,
     /* 2356436 */   // Label 33213: @2356436
     /* 2356436 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2356479), // Rule ID 59070 //
     /* 2356441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356444 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356478 */     // GIR_Coverage, 59070,
     /* 2356478 */     GIR_EraseRootFromParent_Done,
     /* 2356479 */   // Label 33214: @2356479
     /* 2356479 */   GIM_Reject,
     /* 2356480 */ // Label 33212: @2356480
     /* 2356480 */ GIM_Reject,
     /* 2356481 */ // Label 33178: @2356481
     /* 2356481 */ GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2356584),
     /* 2356486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2356489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356497 */   GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2356540), // Rule ID 59053 //
     /* 2356502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356505 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356539 */     // GIR_Coverage, 59053,
     /* 2356539 */     GIR_EraseRootFromParent_Done,
     /* 2356540 */   // Label 33216: @2356540
     /* 2356540 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2356583), // Rule ID 59054 //
     /* 2356545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356548 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356582 */     // GIR_Coverage, 59054,
     /* 2356582 */     GIR_EraseRootFromParent_Done,
     /* 2356583 */   // Label 33217: @2356583
     /* 2356583 */   GIM_Reject,
     /* 2356584 */ // Label 33215: @2356584
     /* 2356584 */ GIM_Reject,
     /* 2356585 */ // Label 33179: @2356585
     /* 2356585 */ GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2356688),
     /* 2356590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2356593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356601 */   GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2356644), // Rule ID 59059 //
     /* 2356606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356609 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356643 */     // GIR_Coverage, 59059,
     /* 2356643 */     GIR_EraseRootFromParent_Done,
     /* 2356644 */   // Label 33219: @2356644
     /* 2356644 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2356687), // Rule ID 59060 //
     /* 2356649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356652 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356686 */     // GIR_Coverage, 59060,
     /* 2356686 */     GIR_EraseRootFromParent_Done,
     /* 2356687 */   // Label 33220: @2356687
     /* 2356687 */   GIM_Reject,
     /* 2356688 */ // Label 33218: @2356688
     /* 2356688 */ GIM_Reject,
     /* 2356689 */ // Label 33180: @2356689
     /* 2356689 */ GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2356792),
     /* 2356694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2356697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356705 */   GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2356748), // Rule ID 59067 //
     /* 2356710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356713 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356747 */     // GIR_Coverage, 59067,
     /* 2356747 */     GIR_EraseRootFromParent_Done,
     /* 2356748 */   // Label 33222: @2356748
     /* 2356748 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2356791), // Rule ID 59068 //
     /* 2356753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356756 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356790 */     // GIR_Coverage, 59068,
     /* 2356790 */     GIR_EraseRootFromParent_Done,
     /* 2356791 */   // Label 33223: @2356791
     /* 2356791 */   GIM_Reject,
     /* 2356792 */ // Label 33221: @2356792
     /* 2356792 */ GIM_Reject,
     /* 2356793 */ // Label 33181: @2356793
     /* 2356793 */ GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2356896),
     /* 2356798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2356801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356809 */   GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2356852), // Rule ID 59089 //
     /* 2356814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356817 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2356834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356851 */     // GIR_Coverage, 59089,
     /* 2356851 */     GIR_EraseRootFromParent_Done,
     /* 2356852 */   // Label 33225: @2356852
     /* 2356852 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2356895), // Rule ID 59090 //
     /* 2356857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356860 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2356877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356894 */     // GIR_Coverage, 59090,
     /* 2356894 */     GIR_EraseRootFromParent_Done,
     /* 2356895 */   // Label 33226: @2356895
     /* 2356895 */   GIM_Reject,
     /* 2356896 */ // Label 33224: @2356896
     /* 2356896 */ GIM_Reject,
     /* 2356897 */ // Label 33182: @2356897
     /* 2356897 */ GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2357000),
     /* 2356902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2356905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356913 */   GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2356956), // Rule ID 59055 //
     /* 2356918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356921 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2356924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356955 */     // GIR_Coverage, 59055,
     /* 2356955 */     GIR_EraseRootFromParent_Done,
     /* 2356956 */   // Label 33228: @2356956
     /* 2356956 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2356999), // Rule ID 59056 //
     /* 2356961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356964 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2356967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356998 */     // GIR_Coverage, 59056,
     /* 2356998 */     GIR_EraseRootFromParent_Done,
     /* 2356999 */   // Label 33229: @2356999
     /* 2356999 */   GIM_Reject,
     /* 2357000 */ // Label 33227: @2357000
     /* 2357000 */ GIM_Reject,
     /* 2357001 */ // Label 33183: @2357001
     /* 2357001 */ GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2357104),
     /* 2357006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2357009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357017 */   GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2357060), // Rule ID 59065 //
     /* 2357022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357025 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357059 */     // GIR_Coverage, 59065,
     /* 2357059 */     GIR_EraseRootFromParent_Done,
     /* 2357060 */   // Label 33231: @2357060
     /* 2357060 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2357103), // Rule ID 59066 //
     /* 2357065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357068 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357102 */     // GIR_Coverage, 59066,
     /* 2357102 */     GIR_EraseRootFromParent_Done,
     /* 2357103 */   // Label 33232: @2357103
     /* 2357103 */   GIM_Reject,
     /* 2357104 */ // Label 33230: @2357104
     /* 2357104 */ GIM_Reject,
     /* 2357105 */ // Label 33184: @2357105
     /* 2357105 */ GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2357208),
     /* 2357110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2357113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357121 */   GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2357164), // Rule ID 59083 //
     /* 2357126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357129 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357163 */     // GIR_Coverage, 59083,
     /* 2357163 */     GIR_EraseRootFromParent_Done,
     /* 2357164 */   // Label 33234: @2357164
     /* 2357164 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2357207), // Rule ID 59084 //
     /* 2357169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357172 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357206 */     // GIR_Coverage, 59084,
     /* 2357206 */     GIR_EraseRootFromParent_Done,
     /* 2357207 */   // Label 33235: @2357207
     /* 2357207 */   GIM_Reject,
     /* 2357208 */ // Label 33233: @2357208
     /* 2357208 */ GIM_Reject,
     /* 2357209 */ // Label 33185: @2357209
     /* 2357209 */ GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2357312),
     /* 2357214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2357217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357225 */   GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2357268), // Rule ID 59091 //
     /* 2357230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357233 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357267 */     // GIR_Coverage, 59091,
     /* 2357267 */     GIR_EraseRootFromParent_Done,
     /* 2357268 */   // Label 33237: @2357268
     /* 2357268 */   GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2357311), // Rule ID 59092 //
     /* 2357273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357276 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357310 */     // GIR_Coverage, 59092,
     /* 2357310 */     GIR_EraseRootFromParent_Done,
     /* 2357311 */   // Label 33238: @2357311
     /* 2357311 */   GIM_Reject,
     /* 2357312 */ // Label 33236: @2357312
     /* 2357312 */ GIM_Reject,
     /* 2357313 */ // Label 33186: @2357313
     /* 2357313 */ GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2357416),
     /* 2357318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2357321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357329 */   GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2357372), // Rule ID 59063 //
     /* 2357334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357337 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357371 */     // GIR_Coverage, 59063,
     /* 2357371 */     GIR_EraseRootFromParent_Done,
     /* 2357372 */   // Label 33240: @2357372
     /* 2357372 */   GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2357415), // Rule ID 59064 //
     /* 2357377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357380 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357414 */     // GIR_Coverage, 59064,
     /* 2357414 */     GIR_EraseRootFromParent_Done,
     /* 2357415 */   // Label 33241: @2357415
     /* 2357415 */   GIM_Reject,
     /* 2357416 */ // Label 33239: @2357416
     /* 2357416 */ GIM_Reject,
     /* 2357417 */ // Label 33187: @2357417
     /* 2357417 */ GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2357520),
     /* 2357422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2357425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357433 */   GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2357476), // Rule ID 59077 //
     /* 2357438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357441 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357475 */     // GIR_Coverage, 59077,
     /* 2357475 */     GIR_EraseRootFromParent_Done,
     /* 2357476 */   // Label 33243: @2357476
     /* 2357476 */   GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2357519), // Rule ID 59078 //
     /* 2357481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357484 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357518 */     // GIR_Coverage, 59078,
     /* 2357518 */     GIR_EraseRootFromParent_Done,
     /* 2357519 */   // Label 33244: @2357519
     /* 2357519 */   GIM_Reject,
     /* 2357520 */ // Label 33242: @2357520
     /* 2357520 */ GIM_Reject,
     /* 2357521 */ // Label 33188: @2357521
     /* 2357521 */ GIM_Try, /*On fail goto*//*Label 33245*/ GIMT_Encode4(2357624),
     /* 2357526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2357529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357537 */   GIM_Try, /*On fail goto*//*Label 33246*/ GIMT_Encode4(2357580), // Rule ID 59085 //
     /* 2357542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357545 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357579 */     // GIR_Coverage, 59085,
     /* 2357579 */     GIR_EraseRootFromParent_Done,
     /* 2357580 */   // Label 33246: @2357580
     /* 2357580 */   GIM_Try, /*On fail goto*//*Label 33247*/ GIMT_Encode4(2357623), // Rule ID 59086 //
     /* 2357585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357588 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357622 */     // GIR_Coverage, 59086,
     /* 2357622 */     GIR_EraseRootFromParent_Done,
     /* 2357623 */   // Label 33247: @2357623
     /* 2357623 */   GIM_Reject,
     /* 2357624 */ // Label 33245: @2357624
     /* 2357624 */ GIM_Reject,
     /* 2357625 */ // Label 33189: @2357625
     /* 2357625 */ GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2357728),
     /* 2357630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2357633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357641 */   GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2357684), // Rule ID 59093 //
     /* 2357646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357649 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2357652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2357666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357683 */     // GIR_Coverage, 59093,
     /* 2357683 */     GIR_EraseRootFromParent_Done,
     /* 2357684 */   // Label 33249: @2357684
     /* 2357684 */   GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2357727), // Rule ID 59094 //
     /* 2357689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357692 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2357695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2357709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357726 */     // GIR_Coverage, 59094,
     /* 2357726 */     GIR_EraseRootFromParent_Done,
     /* 2357727 */   // Label 33250: @2357727
     /* 2357727 */   GIM_Reject,
     /* 2357728 */ // Label 33248: @2357728
     /* 2357728 */ GIM_Reject,
     /* 2357729 */ // Label 33190: @2357729
     /* 2357729 */ GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2357832),
     /* 2357734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2357737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357745 */   GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2357788), // Rule ID 59071 //
     /* 2357750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357753 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2357756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357787 */     // GIR_Coverage, 59071,
     /* 2357787 */     GIR_EraseRootFromParent_Done,
     /* 2357788 */   // Label 33252: @2357788
     /* 2357788 */   GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2357831), // Rule ID 59072 //
     /* 2357793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357796 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2357799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357830 */     // GIR_Coverage, 59072,
     /* 2357830 */     GIR_EraseRootFromParent_Done,
     /* 2357831 */   // Label 33253: @2357831
     /* 2357831 */   GIM_Reject,
     /* 2357832 */ // Label 33251: @2357832
     /* 2357832 */ GIM_Reject,
     /* 2357833 */ // Label 33191: @2357833
     /* 2357833 */ GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2357936),
     /* 2357838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2357841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357849 */   GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2357892), // Rule ID 59079 //
     /* 2357854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357857 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357891 */     // GIR_Coverage, 59079,
     /* 2357891 */     GIR_EraseRootFromParent_Done,
     /* 2357892 */   // Label 33255: @2357892
     /* 2357892 */   GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2357935), // Rule ID 59080 //
     /* 2357897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357900 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357934 */     // GIR_Coverage, 59080,
     /* 2357934 */     GIR_EraseRootFromParent_Done,
     /* 2357935 */   // Label 33256: @2357935
     /* 2357935 */   GIM_Reject,
     /* 2357936 */ // Label 33254: @2357936
     /* 2357936 */ GIM_Reject,
     /* 2357937 */ // Label 33192: @2357937
     /* 2357937 */ GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2358040),
     /* 2357942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2357945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357953 */   GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2357996), // Rule ID 59087 //
     /* 2357958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357961 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2357978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357995 */     // GIR_Coverage, 59087,
     /* 2357995 */     GIR_EraseRootFromParent_Done,
     /* 2357996 */   // Label 33258: @2357996
     /* 2357996 */   GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2358039), // Rule ID 59088 //
     /* 2358001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358004 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358038 */     // GIR_Coverage, 59088,
     /* 2358038 */     GIR_EraseRootFromParent_Done,
     /* 2358039 */   // Label 33259: @2358039
     /* 2358039 */   GIM_Reject,
     /* 2358040 */ // Label 33257: @2358040
     /* 2358040 */ GIM_Reject,
     /* 2358041 */ // Label 33193: @2358041
     /* 2358041 */ GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2358144),
     /* 2358046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2358049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358057 */   GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2358100), // Rule ID 59073 //
     /* 2358062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358065 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358099 */     // GIR_Coverage, 59073,
     /* 2358099 */     GIR_EraseRootFromParent_Done,
     /* 2358100 */   // Label 33261: @2358100
     /* 2358100 */   GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2358143), // Rule ID 59074 //
     /* 2358105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358108 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358142 */     // GIR_Coverage, 59074,
     /* 2358142 */     GIR_EraseRootFromParent_Done,
     /* 2358143 */   // Label 33262: @2358143
     /* 2358143 */   GIM_Reject,
     /* 2358144 */ // Label 33260: @2358144
     /* 2358144 */ GIM_Reject,
     /* 2358145 */ // Label 33194: @2358145
     /* 2358145 */ GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2358248),
     /* 2358150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2358153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358161 */   GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2358204), // Rule ID 59081 //
     /* 2358166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358169 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358203 */     // GIR_Coverage, 59081,
     /* 2358203 */     GIR_EraseRootFromParent_Done,
     /* 2358204 */   // Label 33264: @2358204
     /* 2358204 */   GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2358247), // Rule ID 59082 //
     /* 2358209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358212 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358246 */     // GIR_Coverage, 59082,
     /* 2358246 */     GIR_EraseRootFromParent_Done,
     /* 2358247 */   // Label 33265: @2358247
     /* 2358247 */   GIM_Reject,
     /* 2358248 */ // Label 33263: @2358248
     /* 2358248 */ GIM_Reject,
     /* 2358249 */ // Label 33195: @2358249
     /* 2358249 */ GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2358352),
     /* 2358254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2358257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358265 */   GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2358308), // Rule ID 59075 //
     /* 2358270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358273 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358307 */     // GIR_Coverage, 59075,
     /* 2358307 */     GIR_EraseRootFromParent_Done,
     /* 2358308 */   // Label 33267: @2358308
     /* 2358308 */   GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2358351), // Rule ID 59076 //
     /* 2358313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358316 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358350 */     // GIR_Coverage, 59076,
     /* 2358350 */     GIR_EraseRootFromParent_Done,
     /* 2358351 */   // Label 33268: @2358351
     /* 2358351 */   GIM_Reject,
     /* 2358352 */ // Label 33266: @2358352
     /* 2358352 */ GIM_Reject,
     /* 2358353 */ // Label 33196: @2358353
     /* 2358353 */ GIM_Reject,
     /* 2358354 */ // Label 87: @2358354
     /* 2358354 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33293*/ GIMT_Encode4(2361011),
     /* 2358365 */ /*GILLT_s32*//*Label 33269*/ GIMT_Encode4(2358489),
     /* 2358369 */ /*GILLT_s64*//*Label 33270*/ GIMT_Encode4(2358606), GIMT_Encode4(0),
     /* 2358377 */ /*GILLT_nxv1s8*//*Label 33271*/ GIMT_Encode4(2358723),
     /* 2358381 */ /*GILLT_nxv1s16*//*Label 33272*/ GIMT_Encode4(2358827),
     /* 2358385 */ /*GILLT_nxv1s32*//*Label 33273*/ GIMT_Encode4(2358931),
     /* 2358389 */ /*GILLT_nxv1s64*//*Label 33274*/ GIMT_Encode4(2359035), GIMT_Encode4(0),
     /* 2358397 */ /*GILLT_nxv2s8*//*Label 33275*/ GIMT_Encode4(2359139),
     /* 2358401 */ /*GILLT_nxv2s16*//*Label 33276*/ GIMT_Encode4(2359243),
     /* 2358405 */ /*GILLT_nxv2s32*//*Label 33277*/ GIMT_Encode4(2359347),
     /* 2358409 */ /*GILLT_nxv2s64*//*Label 33278*/ GIMT_Encode4(2359451), GIMT_Encode4(0),
     /* 2358417 */ /*GILLT_nxv4s8*//*Label 33279*/ GIMT_Encode4(2359555),
     /* 2358421 */ /*GILLT_nxv4s16*//*Label 33280*/ GIMT_Encode4(2359659),
     /* 2358425 */ /*GILLT_nxv4s32*//*Label 33281*/ GIMT_Encode4(2359763),
     /* 2358429 */ /*GILLT_nxv4s64*//*Label 33282*/ GIMT_Encode4(2359867), GIMT_Encode4(0),
     /* 2358437 */ /*GILLT_nxv8s8*//*Label 33283*/ GIMT_Encode4(2359971),
     /* 2358441 */ /*GILLT_nxv8s16*//*Label 33284*/ GIMT_Encode4(2360075),
     /* 2358445 */ /*GILLT_nxv8s32*//*Label 33285*/ GIMT_Encode4(2360179),
     /* 2358449 */ /*GILLT_nxv8s64*//*Label 33286*/ GIMT_Encode4(2360283), GIMT_Encode4(0),
     /* 2358457 */ /*GILLT_nxv16s8*//*Label 33287*/ GIMT_Encode4(2360387),
     /* 2358461 */ /*GILLT_nxv16s16*//*Label 33288*/ GIMT_Encode4(2360491),
     /* 2358465 */ /*GILLT_nxv16s32*//*Label 33289*/ GIMT_Encode4(2360595), GIMT_Encode4(0),
     /* 2358473 */ /*GILLT_nxv32s8*//*Label 33290*/ GIMT_Encode4(2360699),
     /* 2358477 */ /*GILLT_nxv32s16*//*Label 33291*/ GIMT_Encode4(2360803), GIMT_Encode4(0),
     /* 2358485 */ /*GILLT_nxv64s8*//*Label 33292*/ GIMT_Encode4(2360907),
     /* 2358489 */ // Label 33269: @2358489
     /* 2358489 */ GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2358605),
     /* 2358494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358501 */   GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2358547), // Rule ID 62470 //
     /* 2358506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2358513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2358517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358521 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2358525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358530 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2358534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2358536 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2358539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2358545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358546 */     // GIR_Coverage, 62470,
     /* 2358546 */     GIR_EraseRootFromParent_Done,
     /* 2358547 */   // Label 33295: @2358547
     /* 2358547 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2358566), // Rule ID 2398 //
     /* 2358552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2358555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358559 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2358564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358565 */     // GIR_Coverage, 2398,
     /* 2358565 */     GIR_Done,
     /* 2358566 */   // Label 33296: @2358566
     /* 2358566 */   GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2358585), // Rule ID 62468 //
     /* 2358571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358578 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2358583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358584 */     // GIR_Coverage, 62468,
     /* 2358584 */     GIR_Done,
     /* 2358585 */   // Label 33297: @2358585
     /* 2358585 */   GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2358604), // Rule ID 64347 //
     /* 2358590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2358593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358597 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2358602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358603 */     // GIR_Coverage, 64347,
     /* 2358603 */     GIR_Done,
     /* 2358604 */   // Label 33298: @2358604
     /* 2358604 */   GIM_Reject,
     /* 2358605 */ // Label 33294: @2358605
     /* 2358605 */ GIM_Reject,
     /* 2358606 */ // Label 33270: @2358606
     /* 2358606 */ GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2358722),
     /* 2358611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358618 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2358664), // Rule ID 62469 //
     /* 2358623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2358626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2358630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2358634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2358642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358647 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2358651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2358653 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2358656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2358662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358663 */     // GIR_Coverage, 62469,
     /* 2358663 */     GIR_EraseRootFromParent_Done,
     /* 2358664 */   // Label 33300: @2358664
     /* 2358664 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2358683), // Rule ID 2397 //
     /* 2358669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2358672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358676 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2358681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358682 */     // GIR_Coverage, 2397,
     /* 2358682 */     GIR_Done,
     /* 2358683 */   // Label 33301: @2358683
     /* 2358683 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2358702), // Rule ID 62467 //
     /* 2358688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2358691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358695 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2358700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358701 */     // GIR_Coverage, 62467,
     /* 2358701 */     GIR_Done,
     /* 2358702 */   // Label 33302: @2358702
     /* 2358702 */   GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2358721), // Rule ID 64346 //
     /* 2358707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2358710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358714 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2358719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358720 */     // GIR_Coverage, 64346,
     /* 2358720 */     GIR_Done,
     /* 2358721 */   // Label 33303: @2358721
     /* 2358721 */   GIM_Reject,
     /* 2358722 */ // Label 33299: @2358722
     /* 2358722 */ GIM_Reject,
     /* 2358723 */ // Label 33271: @2358723
     /* 2358723 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2358826),
     /* 2358728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2358731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358739 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2358782), // Rule ID 59007 //
     /* 2358744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358747 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2358750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2358764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358781 */     // GIR_Coverage, 59007,
     /* 2358781 */     GIR_EraseRootFromParent_Done,
     /* 2358782 */   // Label 33305: @2358782
     /* 2358782 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2358825), // Rule ID 59008 //
     /* 2358787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358790 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2358793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2358807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358824 */     // GIR_Coverage, 59008,
     /* 2358824 */     GIR_EraseRootFromParent_Done,
     /* 2358825 */   // Label 33306: @2358825
     /* 2358825 */   GIM_Reject,
     /* 2358826 */ // Label 33304: @2358826
     /* 2358826 */ GIM_Reject,
     /* 2358827 */ // Label 33272: @2358827
     /* 2358827 */ GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2358930),
     /* 2358832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2358835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358843 */   GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2358886), // Rule ID 59013 //
     /* 2358848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358851 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2358868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358885 */     // GIR_Coverage, 59013,
     /* 2358885 */     GIR_EraseRootFromParent_Done,
     /* 2358886 */   // Label 33308: @2358886
     /* 2358886 */   GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2358929), // Rule ID 59014 //
     /* 2358891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358894 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2358911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358928 */     // GIR_Coverage, 59014,
     /* 2358928 */     GIR_EraseRootFromParent_Done,
     /* 2358929 */   // Label 33309: @2358929
     /* 2358929 */   GIM_Reject,
     /* 2358930 */ // Label 33307: @2358930
     /* 2358930 */ GIM_Reject,
     /* 2358931 */ // Label 33273: @2358931
     /* 2358931 */ GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2359034),
     /* 2358936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2358939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358947 */   GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2358990), // Rule ID 59017 //
     /* 2358952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358955 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2358958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2358972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358989 */     // GIR_Coverage, 59017,
     /* 2358989 */     GIR_EraseRootFromParent_Done,
     /* 2358990 */   // Label 33311: @2358990
     /* 2358990 */   GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2359033), // Rule ID 59018 //
     /* 2358995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358998 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359032 */     // GIR_Coverage, 59018,
     /* 2359032 */     GIR_EraseRootFromParent_Done,
     /* 2359033 */   // Label 33312: @2359033
     /* 2359033 */   GIM_Reject,
     /* 2359034 */ // Label 33310: @2359034
     /* 2359034 */ GIM_Reject,
     /* 2359035 */ // Label 33274: @2359035
     /* 2359035 */ GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2359138),
     /* 2359040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2359043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359051 */   GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2359094), // Rule ID 59025 //
     /* 2359056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359059 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359093 */     // GIR_Coverage, 59025,
     /* 2359093 */     GIR_EraseRootFromParent_Done,
     /* 2359094 */   // Label 33314: @2359094
     /* 2359094 */   GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2359137), // Rule ID 59026 //
     /* 2359099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359102 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359136 */     // GIR_Coverage, 59026,
     /* 2359136 */     GIR_EraseRootFromParent_Done,
     /* 2359137 */   // Label 33315: @2359137
     /* 2359137 */   GIM_Reject,
     /* 2359138 */ // Label 33313: @2359138
     /* 2359138 */ GIM_Reject,
     /* 2359139 */ // Label 33275: @2359139
     /* 2359139 */ GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2359242),
     /* 2359144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2359147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359155 */   GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2359198), // Rule ID 59009 //
     /* 2359160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359163 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359197 */     // GIR_Coverage, 59009,
     /* 2359197 */     GIR_EraseRootFromParent_Done,
     /* 2359198 */   // Label 33317: @2359198
     /* 2359198 */   GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2359241), // Rule ID 59010 //
     /* 2359203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359206 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359240 */     // GIR_Coverage, 59010,
     /* 2359240 */     GIR_EraseRootFromParent_Done,
     /* 2359241 */   // Label 33318: @2359241
     /* 2359241 */   GIM_Reject,
     /* 2359242 */ // Label 33316: @2359242
     /* 2359242 */ GIM_Reject,
     /* 2359243 */ // Label 33276: @2359243
     /* 2359243 */ GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2359346),
     /* 2359248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2359251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359259 */   GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2359302), // Rule ID 59015 //
     /* 2359264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359267 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359301 */     // GIR_Coverage, 59015,
     /* 2359301 */     GIR_EraseRootFromParent_Done,
     /* 2359302 */   // Label 33320: @2359302
     /* 2359302 */   GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2359345), // Rule ID 59016 //
     /* 2359307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359310 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359344 */     // GIR_Coverage, 59016,
     /* 2359344 */     GIR_EraseRootFromParent_Done,
     /* 2359345 */   // Label 33321: @2359345
     /* 2359345 */   GIM_Reject,
     /* 2359346 */ // Label 33319: @2359346
     /* 2359346 */ GIM_Reject,
     /* 2359347 */ // Label 33277: @2359347
     /* 2359347 */ GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2359450),
     /* 2359352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2359355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359363 */   GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2359406), // Rule ID 59023 //
     /* 2359368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359371 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359405 */     // GIR_Coverage, 59023,
     /* 2359405 */     GIR_EraseRootFromParent_Done,
     /* 2359406 */   // Label 33323: @2359406
     /* 2359406 */   GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2359449), // Rule ID 59024 //
     /* 2359411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359414 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359448 */     // GIR_Coverage, 59024,
     /* 2359448 */     GIR_EraseRootFromParent_Done,
     /* 2359449 */   // Label 33324: @2359449
     /* 2359449 */   GIM_Reject,
     /* 2359450 */ // Label 33322: @2359450
     /* 2359450 */ GIM_Reject,
     /* 2359451 */ // Label 33278: @2359451
     /* 2359451 */ GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2359554),
     /* 2359456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2359459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359467 */   GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2359510), // Rule ID 59045 //
     /* 2359472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359475 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359509 */     // GIR_Coverage, 59045,
     /* 2359509 */     GIR_EraseRootFromParent_Done,
     /* 2359510 */   // Label 33326: @2359510
     /* 2359510 */   GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2359553), // Rule ID 59046 //
     /* 2359515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359518 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359552 */     // GIR_Coverage, 59046,
     /* 2359552 */     GIR_EraseRootFromParent_Done,
     /* 2359553 */   // Label 33327: @2359553
     /* 2359553 */   GIM_Reject,
     /* 2359554 */ // Label 33325: @2359554
     /* 2359554 */ GIM_Reject,
     /* 2359555 */ // Label 33279: @2359555
     /* 2359555 */ GIM_Try, /*On fail goto*//*Label 33328*/ GIMT_Encode4(2359658),
     /* 2359560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2359563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359571 */   GIM_Try, /*On fail goto*//*Label 33329*/ GIMT_Encode4(2359614), // Rule ID 59011 //
     /* 2359576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359579 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359613 */     // GIR_Coverage, 59011,
     /* 2359613 */     GIR_EraseRootFromParent_Done,
     /* 2359614 */   // Label 33329: @2359614
     /* 2359614 */   GIM_Try, /*On fail goto*//*Label 33330*/ GIMT_Encode4(2359657), // Rule ID 59012 //
     /* 2359619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359622 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359656 */     // GIR_Coverage, 59012,
     /* 2359656 */     GIR_EraseRootFromParent_Done,
     /* 2359657 */   // Label 33330: @2359657
     /* 2359657 */   GIM_Reject,
     /* 2359658 */ // Label 33328: @2359658
     /* 2359658 */ GIM_Reject,
     /* 2359659 */ // Label 33280: @2359659
     /* 2359659 */ GIM_Try, /*On fail goto*//*Label 33331*/ GIMT_Encode4(2359762),
     /* 2359664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2359667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359675 */   GIM_Try, /*On fail goto*//*Label 33332*/ GIMT_Encode4(2359718), // Rule ID 59021 //
     /* 2359680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359683 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359717 */     // GIR_Coverage, 59021,
     /* 2359717 */     GIR_EraseRootFromParent_Done,
     /* 2359718 */   // Label 33332: @2359718
     /* 2359718 */   GIM_Try, /*On fail goto*//*Label 33333*/ GIMT_Encode4(2359761), // Rule ID 59022 //
     /* 2359723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359726 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359760 */     // GIR_Coverage, 59022,
     /* 2359760 */     GIR_EraseRootFromParent_Done,
     /* 2359761 */   // Label 33333: @2359761
     /* 2359761 */   GIM_Reject,
     /* 2359762 */ // Label 33331: @2359762
     /* 2359762 */ GIM_Reject,
     /* 2359763 */ // Label 33281: @2359763
     /* 2359763 */ GIM_Try, /*On fail goto*//*Label 33334*/ GIMT_Encode4(2359866),
     /* 2359768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2359771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359779 */   GIM_Try, /*On fail goto*//*Label 33335*/ GIMT_Encode4(2359822), // Rule ID 59039 //
     /* 2359784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359787 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359821 */     // GIR_Coverage, 59039,
     /* 2359821 */     GIR_EraseRootFromParent_Done,
     /* 2359822 */   // Label 33335: @2359822
     /* 2359822 */   GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2359865), // Rule ID 59040 //
     /* 2359827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359830 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359864 */     // GIR_Coverage, 59040,
     /* 2359864 */     GIR_EraseRootFromParent_Done,
     /* 2359865 */   // Label 33336: @2359865
     /* 2359865 */   GIM_Reject,
     /* 2359866 */ // Label 33334: @2359866
     /* 2359866 */ GIM_Reject,
     /* 2359867 */ // Label 33282: @2359867
     /* 2359867 */ GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2359970),
     /* 2359872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2359875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359883 */   GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2359926), // Rule ID 59047 //
     /* 2359888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359891 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2359908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359925 */     // GIR_Coverage, 59047,
     /* 2359925 */     GIR_EraseRootFromParent_Done,
     /* 2359926 */   // Label 33338: @2359926
     /* 2359926 */   GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2359969), // Rule ID 59048 //
     /* 2359931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359934 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2359951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359968 */     // GIR_Coverage, 59048,
     /* 2359968 */     GIR_EraseRootFromParent_Done,
     /* 2359969 */   // Label 33339: @2359969
     /* 2359969 */   GIM_Reject,
     /* 2359970 */ // Label 33337: @2359970
     /* 2359970 */ GIM_Reject,
     /* 2359971 */ // Label 33283: @2359971
     /* 2359971 */ GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2360074),
     /* 2359976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2359979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359987 */   GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2360030), // Rule ID 59019 //
     /* 2359992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359995 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2359998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360029 */     // GIR_Coverage, 59019,
     /* 2360029 */     GIR_EraseRootFromParent_Done,
     /* 2360030 */   // Label 33341: @2360030
     /* 2360030 */   GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2360073), // Rule ID 59020 //
     /* 2360035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360038 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2360041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360072 */     // GIR_Coverage, 59020,
     /* 2360072 */     GIR_EraseRootFromParent_Done,
     /* 2360073 */   // Label 33342: @2360073
     /* 2360073 */   GIM_Reject,
     /* 2360074 */ // Label 33340: @2360074
     /* 2360074 */ GIM_Reject,
     /* 2360075 */ // Label 33284: @2360075
     /* 2360075 */ GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2360178),
     /* 2360080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2360083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360091 */   GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2360134), // Rule ID 59033 //
     /* 2360096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360099 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360133 */     // GIR_Coverage, 59033,
     /* 2360133 */     GIR_EraseRootFromParent_Done,
     /* 2360134 */   // Label 33344: @2360134
     /* 2360134 */   GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2360177), // Rule ID 59034 //
     /* 2360139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360142 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360176 */     // GIR_Coverage, 59034,
     /* 2360176 */     GIR_EraseRootFromParent_Done,
     /* 2360177 */   // Label 33345: @2360177
     /* 2360177 */   GIM_Reject,
     /* 2360178 */ // Label 33343: @2360178
     /* 2360178 */ GIM_Reject,
     /* 2360179 */ // Label 33285: @2360179
     /* 2360179 */ GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2360282),
     /* 2360184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2360187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360195 */   GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2360238), // Rule ID 59041 //
     /* 2360200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360203 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360237 */     // GIR_Coverage, 59041,
     /* 2360237 */     GIR_EraseRootFromParent_Done,
     /* 2360238 */   // Label 33347: @2360238
     /* 2360238 */   GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2360281), // Rule ID 59042 //
     /* 2360243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360246 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360280 */     // GIR_Coverage, 59042,
     /* 2360280 */     GIR_EraseRootFromParent_Done,
     /* 2360281 */   // Label 33348: @2360281
     /* 2360281 */   GIM_Reject,
     /* 2360282 */ // Label 33346: @2360282
     /* 2360282 */ GIM_Reject,
     /* 2360283 */ // Label 33286: @2360283
     /* 2360283 */ GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2360386),
     /* 2360288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2360291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360299 */   GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2360342), // Rule ID 59049 //
     /* 2360304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360307 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360341 */     // GIR_Coverage, 59049,
     /* 2360341 */     GIR_EraseRootFromParent_Done,
     /* 2360342 */   // Label 33350: @2360342
     /* 2360342 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2360385), // Rule ID 59050 //
     /* 2360347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360350 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360384 */     // GIR_Coverage, 59050,
     /* 2360384 */     GIR_EraseRootFromParent_Done,
     /* 2360385 */   // Label 33351: @2360385
     /* 2360385 */   GIM_Reject,
     /* 2360386 */ // Label 33349: @2360386
     /* 2360386 */ GIM_Reject,
     /* 2360387 */ // Label 33287: @2360387
     /* 2360387 */ GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2360490),
     /* 2360392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2360395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360403 */   GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2360446), // Rule ID 59027 //
     /* 2360408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360411 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360445 */     // GIR_Coverage, 59027,
     /* 2360445 */     GIR_EraseRootFromParent_Done,
     /* 2360446 */   // Label 33353: @2360446
     /* 2360446 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2360489), // Rule ID 59028 //
     /* 2360451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360454 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360488 */     // GIR_Coverage, 59028,
     /* 2360488 */     GIR_EraseRootFromParent_Done,
     /* 2360489 */   // Label 33354: @2360489
     /* 2360489 */   GIM_Reject,
     /* 2360490 */ // Label 33352: @2360490
     /* 2360490 */ GIM_Reject,
     /* 2360491 */ // Label 33288: @2360491
     /* 2360491 */ GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2360594),
     /* 2360496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2360499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360507 */   GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2360550), // Rule ID 59035 //
     /* 2360512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360515 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360549 */     // GIR_Coverage, 59035,
     /* 2360549 */     GIR_EraseRootFromParent_Done,
     /* 2360550 */   // Label 33356: @2360550
     /* 2360550 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2360593), // Rule ID 59036 //
     /* 2360555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360558 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360592 */     // GIR_Coverage, 59036,
     /* 2360592 */     GIR_EraseRootFromParent_Done,
     /* 2360593 */   // Label 33357: @2360593
     /* 2360593 */   GIM_Reject,
     /* 2360594 */ // Label 33355: @2360594
     /* 2360594 */ GIM_Reject,
     /* 2360595 */ // Label 33289: @2360595
     /* 2360595 */ GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2360698),
     /* 2360600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2360603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360611 */   GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2360654), // Rule ID 59043 //
     /* 2360616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360619 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360653 */     // GIR_Coverage, 59043,
     /* 2360653 */     GIR_EraseRootFromParent_Done,
     /* 2360654 */   // Label 33359: @2360654
     /* 2360654 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2360697), // Rule ID 59044 //
     /* 2360659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360662 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360696 */     // GIR_Coverage, 59044,
     /* 2360696 */     GIR_EraseRootFromParent_Done,
     /* 2360697 */   // Label 33360: @2360697
     /* 2360697 */   GIM_Reject,
     /* 2360698 */ // Label 33358: @2360698
     /* 2360698 */ GIM_Reject,
     /* 2360699 */ // Label 33290: @2360699
     /* 2360699 */ GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2360802),
     /* 2360704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2360707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360715 */   GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2360758), // Rule ID 59029 //
     /* 2360720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360723 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2360726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360757 */     // GIR_Coverage, 59029,
     /* 2360757 */     GIR_EraseRootFromParent_Done,
     /* 2360758 */   // Label 33362: @2360758
     /* 2360758 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2360801), // Rule ID 59030 //
     /* 2360763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360766 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2360769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360800 */     // GIR_Coverage, 59030,
     /* 2360800 */     GIR_EraseRootFromParent_Done,
     /* 2360801 */   // Label 33363: @2360801
     /* 2360801 */   GIM_Reject,
     /* 2360802 */ // Label 33361: @2360802
     /* 2360802 */ GIM_Reject,
     /* 2360803 */ // Label 33291: @2360803
     /* 2360803 */ GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2360906),
     /* 2360808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2360811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360819 */   GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2360862), // Rule ID 59037 //
     /* 2360824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360827 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360861 */     // GIR_Coverage, 59037,
     /* 2360861 */     GIR_EraseRootFromParent_Done,
     /* 2360862 */   // Label 33365: @2360862
     /* 2360862 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2360905), // Rule ID 59038 //
     /* 2360867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360870 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360904 */     // GIR_Coverage, 59038,
     /* 2360904 */     GIR_EraseRootFromParent_Done,
     /* 2360905 */   // Label 33366: @2360905
     /* 2360905 */   GIM_Reject,
     /* 2360906 */ // Label 33364: @2360906
     /* 2360906 */ GIM_Reject,
     /* 2360907 */ // Label 33292: @2360907
     /* 2360907 */ GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2361010),
     /* 2360912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2360915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360923 */   GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2360966), // Rule ID 59031 //
     /* 2360928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360931 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360965 */     // GIR_Coverage, 59031,
     /* 2360965 */     GIR_EraseRootFromParent_Done,
     /* 2360966 */   // Label 33368: @2360966
     /* 2360966 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2361009), // Rule ID 59032 //
     /* 2360971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360974 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361008 */     // GIR_Coverage, 59032,
     /* 2361008 */     GIR_EraseRootFromParent_Done,
     /* 2361009 */   // Label 33369: @2361009
     /* 2361009 */   GIM_Reject,
     /* 2361010 */ // Label 33367: @2361010
     /* 2361010 */ GIM_Reject,
     /* 2361011 */ // Label 33293: @2361011
     /* 2361011 */ GIM_Reject,
     /* 2361012 */ // Label 88: @2361012
     /* 2361012 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33394*/ GIMT_Encode4(2363562),
     /* 2361023 */ /*GILLT_s32*//*Label 33370*/ GIMT_Encode4(2361147),
     /* 2361027 */ /*GILLT_s64*//*Label 33371*/ GIMT_Encode4(2361195), GIMT_Encode4(0),
     /* 2361035 */ /*GILLT_nxv1s8*//*Label 33372*/ GIMT_Encode4(2361274),
     /* 2361039 */ /*GILLT_nxv1s16*//*Label 33373*/ GIMT_Encode4(2361378),
     /* 2361043 */ /*GILLT_nxv1s32*//*Label 33374*/ GIMT_Encode4(2361482),
     /* 2361047 */ /*GILLT_nxv1s64*//*Label 33375*/ GIMT_Encode4(2361586), GIMT_Encode4(0),
     /* 2361055 */ /*GILLT_nxv2s8*//*Label 33376*/ GIMT_Encode4(2361690),
     /* 2361059 */ /*GILLT_nxv2s16*//*Label 33377*/ GIMT_Encode4(2361794),
     /* 2361063 */ /*GILLT_nxv2s32*//*Label 33378*/ GIMT_Encode4(2361898),
     /* 2361067 */ /*GILLT_nxv2s64*//*Label 33379*/ GIMT_Encode4(2362002), GIMT_Encode4(0),
     /* 2361075 */ /*GILLT_nxv4s8*//*Label 33380*/ GIMT_Encode4(2362106),
     /* 2361079 */ /*GILLT_nxv4s16*//*Label 33381*/ GIMT_Encode4(2362210),
     /* 2361083 */ /*GILLT_nxv4s32*//*Label 33382*/ GIMT_Encode4(2362314),
     /* 2361087 */ /*GILLT_nxv4s64*//*Label 33383*/ GIMT_Encode4(2362418), GIMT_Encode4(0),
     /* 2361095 */ /*GILLT_nxv8s8*//*Label 33384*/ GIMT_Encode4(2362522),
     /* 2361099 */ /*GILLT_nxv8s16*//*Label 33385*/ GIMT_Encode4(2362626),
     /* 2361103 */ /*GILLT_nxv8s32*//*Label 33386*/ GIMT_Encode4(2362730),
     /* 2361107 */ /*GILLT_nxv8s64*//*Label 33387*/ GIMT_Encode4(2362834), GIMT_Encode4(0),
     /* 2361115 */ /*GILLT_nxv16s8*//*Label 33388*/ GIMT_Encode4(2362938),
     /* 2361119 */ /*GILLT_nxv16s16*//*Label 33389*/ GIMT_Encode4(2363042),
     /* 2361123 */ /*GILLT_nxv16s32*//*Label 33390*/ GIMT_Encode4(2363146), GIMT_Encode4(0),
     /* 2361131 */ /*GILLT_nxv32s8*//*Label 33391*/ GIMT_Encode4(2363250),
     /* 2361135 */ /*GILLT_nxv32s16*//*Label 33392*/ GIMT_Encode4(2363354), GIMT_Encode4(0),
     /* 2361143 */ /*GILLT_nxv64s8*//*Label 33393*/ GIMT_Encode4(2363458),
     /* 2361147 */ // Label 33370: @2361147
     /* 2361147 */ GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2361194),
     /* 2361152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2361155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361163 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2361178), // Rule ID 2402 //
     /* 2361168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2361171 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361177 */     // GIR_Coverage, 2402,
     /* 2361177 */     GIR_Done,
     /* 2361178 */   // Label 33396: @2361178
     /* 2361178 */   GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2361193), // Rule ID 64350 //
     /* 2361183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2361186 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361192 */     // GIR_Coverage, 64350,
     /* 2361192 */     GIR_Done,
     /* 2361193 */   // Label 33397: @2361193
     /* 2361193 */   GIM_Reject,
     /* 2361194 */ // Label 33395: @2361194
     /* 2361194 */ GIM_Reject,
     /* 2361195 */ // Label 33371: @2361195
     /* 2361195 */ GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2361273),
     /* 2361200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2361203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361207 */   GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2361234), // Rule ID 2405 //
     /* 2361212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2361215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2361222 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2361225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2361232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361233 */     // GIR_Coverage, 2405,
     /* 2361233 */     GIR_EraseRootFromParent_Done,
     /* 2361234 */   // Label 33399: @2361234
     /* 2361234 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2361253), // Rule ID 2401 //
     /* 2361239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2361242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361246 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361252 */     // GIR_Coverage, 2401,
     /* 2361252 */     GIR_Done,
     /* 2361253 */   // Label 33400: @2361253
     /* 2361253 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2361272), // Rule ID 64349 //
     /* 2361258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2361261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361265 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361271 */     // GIR_Coverage, 64349,
     /* 2361271 */     GIR_Done,
     /* 2361272 */   // Label 33401: @2361272
     /* 2361272 */   GIM_Reject,
     /* 2361273 */ // Label 33398: @2361273
     /* 2361273 */ GIM_Reject,
     /* 2361274 */ // Label 33372: @2361274
     /* 2361274 */ GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2361377),
     /* 2361279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2361282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361290 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2361333), // Rule ID 59095 //
     /* 2361295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361298 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361332 */     // GIR_Coverage, 59095,
     /* 2361332 */     GIR_EraseRootFromParent_Done,
     /* 2361333 */   // Label 33403: @2361333
     /* 2361333 */   GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2361376), // Rule ID 59096 //
     /* 2361338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361341 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361375 */     // GIR_Coverage, 59096,
     /* 2361375 */     GIR_EraseRootFromParent_Done,
     /* 2361376 */   // Label 33404: @2361376
     /* 2361376 */   GIM_Reject,
     /* 2361377 */ // Label 33402: @2361377
     /* 2361377 */ GIM_Reject,
     /* 2361378 */ // Label 33373: @2361378
     /* 2361378 */ GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2361481),
     /* 2361383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2361386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361394 */   GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2361437), // Rule ID 59101 //
     /* 2361399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361402 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361436 */     // GIR_Coverage, 59101,
     /* 2361436 */     GIR_EraseRootFromParent_Done,
     /* 2361437 */   // Label 33406: @2361437
     /* 2361437 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2361480), // Rule ID 59102 //
     /* 2361442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361445 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361479 */     // GIR_Coverage, 59102,
     /* 2361479 */     GIR_EraseRootFromParent_Done,
     /* 2361480 */   // Label 33407: @2361480
     /* 2361480 */   GIM_Reject,
     /* 2361481 */ // Label 33405: @2361481
     /* 2361481 */ GIM_Reject,
     /* 2361482 */ // Label 33374: @2361482
     /* 2361482 */ GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2361585),
     /* 2361487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2361490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361498 */   GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2361541), // Rule ID 59105 //
     /* 2361503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361506 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361540 */     // GIR_Coverage, 59105,
     /* 2361540 */     GIR_EraseRootFromParent_Done,
     /* 2361541 */   // Label 33409: @2361541
     /* 2361541 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2361584), // Rule ID 59106 //
     /* 2361546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361549 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361583 */     // GIR_Coverage, 59106,
     /* 2361583 */     GIR_EraseRootFromParent_Done,
     /* 2361584 */   // Label 33410: @2361584
     /* 2361584 */   GIM_Reject,
     /* 2361585 */ // Label 33408: @2361585
     /* 2361585 */ GIM_Reject,
     /* 2361586 */ // Label 33375: @2361586
     /* 2361586 */ GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2361689),
     /* 2361591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2361594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361602 */   GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2361645), // Rule ID 59113 //
     /* 2361607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361610 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361644 */     // GIR_Coverage, 59113,
     /* 2361644 */     GIR_EraseRootFromParent_Done,
     /* 2361645 */   // Label 33412: @2361645
     /* 2361645 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2361688), // Rule ID 59114 //
     /* 2361650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2361653 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361687 */     // GIR_Coverage, 59114,
     /* 2361687 */     GIR_EraseRootFromParent_Done,
     /* 2361688 */   // Label 33413: @2361688
     /* 2361688 */   GIM_Reject,
     /* 2361689 */ // Label 33411: @2361689
     /* 2361689 */ GIM_Reject,
     /* 2361690 */ // Label 33376: @2361690
     /* 2361690 */ GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2361793),
     /* 2361695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2361698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361706 */   GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2361749), // Rule ID 59097 //
     /* 2361711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361714 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2361717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361748 */     // GIR_Coverage, 59097,
     /* 2361748 */     GIR_EraseRootFromParent_Done,
     /* 2361749 */   // Label 33415: @2361749
     /* 2361749 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2361792), // Rule ID 59098 //
     /* 2361754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361757 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2361760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361791 */     // GIR_Coverage, 59098,
     /* 2361791 */     GIR_EraseRootFromParent_Done,
     /* 2361792 */   // Label 33416: @2361792
     /* 2361792 */   GIM_Reject,
     /* 2361793 */ // Label 33414: @2361793
     /* 2361793 */ GIM_Reject,
     /* 2361794 */ // Label 33377: @2361794
     /* 2361794 */ GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2361897),
     /* 2361799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2361802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361810 */   GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2361853), // Rule ID 59103 //
     /* 2361815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361818 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361852 */     // GIR_Coverage, 59103,
     /* 2361852 */     GIR_EraseRootFromParent_Done,
     /* 2361853 */   // Label 33418: @2361853
     /* 2361853 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2361896), // Rule ID 59104 //
     /* 2361858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361861 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361895 */     // GIR_Coverage, 59104,
     /* 2361895 */     GIR_EraseRootFromParent_Done,
     /* 2361896 */   // Label 33419: @2361896
     /* 2361896 */   GIM_Reject,
     /* 2361897 */ // Label 33417: @2361897
     /* 2361897 */ GIM_Reject,
     /* 2361898 */ // Label 33378: @2361898
     /* 2361898 */ GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2362001),
     /* 2361903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2361906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361914 */   GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2361957), // Rule ID 59111 //
     /* 2361919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361922 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361956 */     // GIR_Coverage, 59111,
     /* 2361956 */     GIR_EraseRootFromParent_Done,
     /* 2361957 */   // Label 33421: @2361957
     /* 2361957 */   GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2362000), // Rule ID 59112 //
     /* 2361962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361965 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361999 */     // GIR_Coverage, 59112,
     /* 2361999 */     GIR_EraseRootFromParent_Done,
     /* 2362000 */   // Label 33422: @2362000
     /* 2362000 */   GIM_Reject,
     /* 2362001 */ // Label 33420: @2362001
     /* 2362001 */ GIM_Reject,
     /* 2362002 */ // Label 33379: @2362002
     /* 2362002 */ GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2362105),
     /* 2362007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2362010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362018 */   GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2362061), // Rule ID 59133 //
     /* 2362023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362026 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362060 */     // GIR_Coverage, 59133,
     /* 2362060 */     GIR_EraseRootFromParent_Done,
     /* 2362061 */   // Label 33424: @2362061
     /* 2362061 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2362104), // Rule ID 59134 //
     /* 2362066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362069 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362103 */     // GIR_Coverage, 59134,
     /* 2362103 */     GIR_EraseRootFromParent_Done,
     /* 2362104 */   // Label 33425: @2362104
     /* 2362104 */   GIM_Reject,
     /* 2362105 */ // Label 33423: @2362105
     /* 2362105 */ GIM_Reject,
     /* 2362106 */ // Label 33380: @2362106
     /* 2362106 */ GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2362209),
     /* 2362111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2362114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362122 */   GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2362165), // Rule ID 59099 //
     /* 2362127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362130 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362164 */     // GIR_Coverage, 59099,
     /* 2362164 */     GIR_EraseRootFromParent_Done,
     /* 2362165 */   // Label 33427: @2362165
     /* 2362165 */   GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2362208), // Rule ID 59100 //
     /* 2362170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362173 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362207 */     // GIR_Coverage, 59100,
     /* 2362207 */     GIR_EraseRootFromParent_Done,
     /* 2362208 */   // Label 33428: @2362208
     /* 2362208 */   GIM_Reject,
     /* 2362209 */ // Label 33426: @2362209
     /* 2362209 */ GIM_Reject,
     /* 2362210 */ // Label 33381: @2362210
     /* 2362210 */ GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2362313),
     /* 2362215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2362218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362226 */   GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2362269), // Rule ID 59109 //
     /* 2362231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362234 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362268 */     // GIR_Coverage, 59109,
     /* 2362268 */     GIR_EraseRootFromParent_Done,
     /* 2362269 */   // Label 33430: @2362269
     /* 2362269 */   GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2362312), // Rule ID 59110 //
     /* 2362274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362277 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362311 */     // GIR_Coverage, 59110,
     /* 2362311 */     GIR_EraseRootFromParent_Done,
     /* 2362312 */   // Label 33431: @2362312
     /* 2362312 */   GIM_Reject,
     /* 2362313 */ // Label 33429: @2362313
     /* 2362313 */ GIM_Reject,
     /* 2362314 */ // Label 33382: @2362314
     /* 2362314 */ GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2362417),
     /* 2362319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2362322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362330 */   GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2362373), // Rule ID 59127 //
     /* 2362335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362338 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362372 */     // GIR_Coverage, 59127,
     /* 2362372 */     GIR_EraseRootFromParent_Done,
     /* 2362373 */   // Label 33433: @2362373
     /* 2362373 */   GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2362416), // Rule ID 59128 //
     /* 2362378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362381 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362415 */     // GIR_Coverage, 59128,
     /* 2362415 */     GIR_EraseRootFromParent_Done,
     /* 2362416 */   // Label 33434: @2362416
     /* 2362416 */   GIM_Reject,
     /* 2362417 */ // Label 33432: @2362417
     /* 2362417 */ GIM_Reject,
     /* 2362418 */ // Label 33383: @2362418
     /* 2362418 */ GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2362521),
     /* 2362423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2362426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362434 */   GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2362477), // Rule ID 59135 //
     /* 2362439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362442 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362476 */     // GIR_Coverage, 59135,
     /* 2362476 */     GIR_EraseRootFromParent_Done,
     /* 2362477 */   // Label 33436: @2362477
     /* 2362477 */   GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2362520), // Rule ID 59136 //
     /* 2362482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362485 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362519 */     // GIR_Coverage, 59136,
     /* 2362519 */     GIR_EraseRootFromParent_Done,
     /* 2362520 */   // Label 33437: @2362520
     /* 2362520 */   GIM_Reject,
     /* 2362521 */ // Label 33435: @2362521
     /* 2362521 */ GIM_Reject,
     /* 2362522 */ // Label 33384: @2362522
     /* 2362522 */ GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2362625),
     /* 2362527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2362530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362538 */   GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2362581), // Rule ID 59107 //
     /* 2362543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362546 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362580 */     // GIR_Coverage, 59107,
     /* 2362580 */     GIR_EraseRootFromParent_Done,
     /* 2362581 */   // Label 33439: @2362581
     /* 2362581 */   GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2362624), // Rule ID 59108 //
     /* 2362586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362589 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362623 */     // GIR_Coverage, 59108,
     /* 2362623 */     GIR_EraseRootFromParent_Done,
     /* 2362624 */   // Label 33440: @2362624
     /* 2362624 */   GIM_Reject,
     /* 2362625 */ // Label 33438: @2362625
     /* 2362625 */ GIM_Reject,
     /* 2362626 */ // Label 33385: @2362626
     /* 2362626 */ GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2362729),
     /* 2362631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2362634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362642 */   GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2362685), // Rule ID 59121 //
     /* 2362647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362650 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362684 */     // GIR_Coverage, 59121,
     /* 2362684 */     GIR_EraseRootFromParent_Done,
     /* 2362685 */   // Label 33442: @2362685
     /* 2362685 */   GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2362728), // Rule ID 59122 //
     /* 2362690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362693 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362727 */     // GIR_Coverage, 59122,
     /* 2362727 */     GIR_EraseRootFromParent_Done,
     /* 2362728 */   // Label 33443: @2362728
     /* 2362728 */   GIM_Reject,
     /* 2362729 */ // Label 33441: @2362729
     /* 2362729 */ GIM_Reject,
     /* 2362730 */ // Label 33386: @2362730
     /* 2362730 */ GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2362833),
     /* 2362735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2362738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362746 */   GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2362789), // Rule ID 59129 //
     /* 2362751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362754 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362788 */     // GIR_Coverage, 59129,
     /* 2362788 */     GIR_EraseRootFromParent_Done,
     /* 2362789 */   // Label 33445: @2362789
     /* 2362789 */   GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2362832), // Rule ID 59130 //
     /* 2362794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362797 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362831 */     // GIR_Coverage, 59130,
     /* 2362831 */     GIR_EraseRootFromParent_Done,
     /* 2362832 */   // Label 33446: @2362832
     /* 2362832 */   GIM_Reject,
     /* 2362833 */ // Label 33444: @2362833
     /* 2362833 */ GIM_Reject,
     /* 2362834 */ // Label 33387: @2362834
     /* 2362834 */ GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2362937),
     /* 2362839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2362842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362850 */   GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2362893), // Rule ID 59137 //
     /* 2362855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362858 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2362875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362892 */     // GIR_Coverage, 59137,
     /* 2362892 */     GIR_EraseRootFromParent_Done,
     /* 2362893 */   // Label 33448: @2362893
     /* 2362893 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2362936), // Rule ID 59138 //
     /* 2362898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362901 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2362918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362935 */     // GIR_Coverage, 59138,
     /* 2362935 */     GIR_EraseRootFromParent_Done,
     /* 2362936 */   // Label 33449: @2362936
     /* 2362936 */   GIM_Reject,
     /* 2362937 */ // Label 33447: @2362937
     /* 2362937 */ GIM_Reject,
     /* 2362938 */ // Label 33388: @2362938
     /* 2362938 */ GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2363041),
     /* 2362943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2362946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362954 */   GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2362997), // Rule ID 59115 //
     /* 2362959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362962 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2362965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362996 */     // GIR_Coverage, 59115,
     /* 2362996 */     GIR_EraseRootFromParent_Done,
     /* 2362997 */   // Label 33451: @2362997
     /* 2362997 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2363040), // Rule ID 59116 //
     /* 2363002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363005 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2363008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363039 */     // GIR_Coverage, 59116,
     /* 2363039 */     GIR_EraseRootFromParent_Done,
     /* 2363040 */   // Label 33452: @2363040
     /* 2363040 */   GIM_Reject,
     /* 2363041 */ // Label 33450: @2363041
     /* 2363041 */ GIM_Reject,
     /* 2363042 */ // Label 33389: @2363042
     /* 2363042 */ GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2363145),
     /* 2363047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2363050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363058 */   GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2363101), // Rule ID 59123 //
     /* 2363063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363066 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363100 */     // GIR_Coverage, 59123,
     /* 2363100 */     GIR_EraseRootFromParent_Done,
     /* 2363101 */   // Label 33454: @2363101
     /* 2363101 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2363144), // Rule ID 59124 //
     /* 2363106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363109 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363143 */     // GIR_Coverage, 59124,
     /* 2363143 */     GIR_EraseRootFromParent_Done,
     /* 2363144 */   // Label 33455: @2363144
     /* 2363144 */   GIM_Reject,
     /* 2363145 */ // Label 33453: @2363145
     /* 2363145 */ GIM_Reject,
     /* 2363146 */ // Label 33390: @2363146
     /* 2363146 */ GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2363249),
     /* 2363151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2363154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363162 */   GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2363205), // Rule ID 59131 //
     /* 2363167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363170 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363204 */     // GIR_Coverage, 59131,
     /* 2363204 */     GIR_EraseRootFromParent_Done,
     /* 2363205 */   // Label 33457: @2363205
     /* 2363205 */   GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2363248), // Rule ID 59132 //
     /* 2363210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363213 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363247 */     // GIR_Coverage, 59132,
     /* 2363247 */     GIR_EraseRootFromParent_Done,
     /* 2363248 */   // Label 33458: @2363248
     /* 2363248 */   GIM_Reject,
     /* 2363249 */ // Label 33456: @2363249
     /* 2363249 */ GIM_Reject,
     /* 2363250 */ // Label 33391: @2363250
     /* 2363250 */ GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2363353),
     /* 2363255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2363258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363266 */   GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2363309), // Rule ID 59117 //
     /* 2363271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363274 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363308 */     // GIR_Coverage, 59117,
     /* 2363308 */     GIR_EraseRootFromParent_Done,
     /* 2363309 */   // Label 33460: @2363309
     /* 2363309 */   GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2363352), // Rule ID 59118 //
     /* 2363314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363317 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363351 */     // GIR_Coverage, 59118,
     /* 2363351 */     GIR_EraseRootFromParent_Done,
     /* 2363352 */   // Label 33461: @2363352
     /* 2363352 */   GIM_Reject,
     /* 2363353 */ // Label 33459: @2363353
     /* 2363353 */ GIM_Reject,
     /* 2363354 */ // Label 33392: @2363354
     /* 2363354 */ GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2363457),
     /* 2363359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2363362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363370 */   GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2363413), // Rule ID 59125 //
     /* 2363375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363378 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363412 */     // GIR_Coverage, 59125,
     /* 2363412 */     GIR_EraseRootFromParent_Done,
     /* 2363413 */   // Label 33463: @2363413
     /* 2363413 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2363456), // Rule ID 59126 //
     /* 2363418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363421 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363455 */     // GIR_Coverage, 59126,
     /* 2363455 */     GIR_EraseRootFromParent_Done,
     /* 2363456 */   // Label 33464: @2363456
     /* 2363456 */   GIM_Reject,
     /* 2363457 */ // Label 33462: @2363457
     /* 2363457 */ GIM_Reject,
     /* 2363458 */ // Label 33393: @2363458
     /* 2363458 */ GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2363561),
     /* 2363463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2363466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363474 */   GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2363517), // Rule ID 59119 //
     /* 2363479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363482 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363516 */     // GIR_Coverage, 59119,
     /* 2363516 */     GIR_EraseRootFromParent_Done,
     /* 2363517 */   // Label 33466: @2363517
     /* 2363517 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2363560), // Rule ID 59120 //
     /* 2363522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363525 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363559 */     // GIR_Coverage, 59120,
     /* 2363559 */     GIR_EraseRootFromParent_Done,
     /* 2363560 */   // Label 33467: @2363560
     /* 2363560 */   GIM_Reject,
     /* 2363561 */ // Label 33465: @2363561
     /* 2363561 */ GIM_Reject,
     /* 2363562 */ // Label 33394: @2363562
     /* 2363562 */ GIM_Reject,
     /* 2363563 */ // Label 89: @2363563
     /* 2363563 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33492*/ GIMT_Encode4(2366097),
     /* 2363574 */ /*GILLT_s32*//*Label 33468*/ GIMT_Encode4(2363698),
     /* 2363578 */ /*GILLT_s64*//*Label 33469*/ GIMT_Encode4(2363761), GIMT_Encode4(0),
     /* 2363586 */ /*GILLT_nxv1s8*//*Label 33470*/ GIMT_Encode4(2363809),
     /* 2363590 */ /*GILLT_nxv1s16*//*Label 33471*/ GIMT_Encode4(2363913),
     /* 2363594 */ /*GILLT_nxv1s32*//*Label 33472*/ GIMT_Encode4(2364017),
     /* 2363598 */ /*GILLT_nxv1s64*//*Label 33473*/ GIMT_Encode4(2364121), GIMT_Encode4(0),
     /* 2363606 */ /*GILLT_nxv2s8*//*Label 33474*/ GIMT_Encode4(2364225),
     /* 2363610 */ /*GILLT_nxv2s16*//*Label 33475*/ GIMT_Encode4(2364329),
     /* 2363614 */ /*GILLT_nxv2s32*//*Label 33476*/ GIMT_Encode4(2364433),
     /* 2363618 */ /*GILLT_nxv2s64*//*Label 33477*/ GIMT_Encode4(2364537), GIMT_Encode4(0),
     /* 2363626 */ /*GILLT_nxv4s8*//*Label 33478*/ GIMT_Encode4(2364641),
     /* 2363630 */ /*GILLT_nxv4s16*//*Label 33479*/ GIMT_Encode4(2364745),
     /* 2363634 */ /*GILLT_nxv4s32*//*Label 33480*/ GIMT_Encode4(2364849),
     /* 2363638 */ /*GILLT_nxv4s64*//*Label 33481*/ GIMT_Encode4(2364953), GIMT_Encode4(0),
     /* 2363646 */ /*GILLT_nxv8s8*//*Label 33482*/ GIMT_Encode4(2365057),
     /* 2363650 */ /*GILLT_nxv8s16*//*Label 33483*/ GIMT_Encode4(2365161),
     /* 2363654 */ /*GILLT_nxv8s32*//*Label 33484*/ GIMT_Encode4(2365265),
     /* 2363658 */ /*GILLT_nxv8s64*//*Label 33485*/ GIMT_Encode4(2365369), GIMT_Encode4(0),
     /* 2363666 */ /*GILLT_nxv16s8*//*Label 33486*/ GIMT_Encode4(2365473),
     /* 2363670 */ /*GILLT_nxv16s16*//*Label 33487*/ GIMT_Encode4(2365577),
     /* 2363674 */ /*GILLT_nxv16s32*//*Label 33488*/ GIMT_Encode4(2365681), GIMT_Encode4(0),
     /* 2363682 */ /*GILLT_nxv32s8*//*Label 33489*/ GIMT_Encode4(2365785),
     /* 2363686 */ /*GILLT_nxv32s16*//*Label 33490*/ GIMT_Encode4(2365889), GIMT_Encode4(0),
     /* 2363694 */ /*GILLT_nxv64s8*//*Label 33491*/ GIMT_Encode4(2365993),
     /* 2363698 */ // Label 33468: @2363698
     /* 2363698 */ GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2363760),
     /* 2363703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363714 */   GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2363729), // Rule ID 2419 //
     /* 2363719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2363722 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2363722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2363727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363728 */     // GIR_Coverage, 2419,
     /* 2363728 */     GIR_Done,
     /* 2363729 */   // Label 33494: @2363729
     /* 2363729 */   GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2363744), // Rule ID 2420 //
     /* 2363734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2363737 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2363737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2363742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363743 */     // GIR_Coverage, 2420,
     /* 2363743 */     GIR_Done,
     /* 2363744 */   // Label 33495: @2363744
     /* 2363744 */   GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2363759), // Rule ID 62472 //
     /* 2363749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2363752 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2363752 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2363757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363758 */     // GIR_Coverage, 62472,
     /* 2363758 */     GIR_Done,
     /* 2363759 */   // Label 33496: @2363759
     /* 2363759 */   GIM_Reject,
     /* 2363760 */ // Label 33493: @2363760
     /* 2363760 */ GIM_Reject,
     /* 2363761 */ // Label 33469: @2363761
     /* 2363761 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2363808),
     /* 2363766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363777 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2363792), // Rule ID 2421 //
     /* 2363782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2363785 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2363785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2363790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363791 */     // GIR_Coverage, 2421,
     /* 2363791 */     GIR_Done,
     /* 2363792 */   // Label 33498: @2363792
     /* 2363792 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2363807), // Rule ID 62471 //
     /* 2363797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2363800 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2363800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2363805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363806 */     // GIR_Coverage, 62471,
     /* 2363806 */     GIR_Done,
     /* 2363807 */   // Label 33499: @2363807
     /* 2363807 */   GIM_Reject,
     /* 2363808 */ // Label 33497: @2363808
     /* 2363808 */ GIM_Reject,
     /* 2363809 */ // Label 33470: @2363809
     /* 2363809 */ GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2363912),
     /* 2363814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2363817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363825 */   GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2363868), // Rule ID 58963 //
     /* 2363830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363833 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2363836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2363850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363867 */     // GIR_Coverage, 58963,
     /* 2363867 */     GIR_EraseRootFromParent_Done,
     /* 2363868 */   // Label 33501: @2363868
     /* 2363868 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2363911), // Rule ID 58964 //
     /* 2363873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363876 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2363879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2363893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363910 */     // GIR_Coverage, 58964,
     /* 2363910 */     GIR_EraseRootFromParent_Done,
     /* 2363911 */   // Label 33502: @2363911
     /* 2363911 */   GIM_Reject,
     /* 2363912 */ // Label 33500: @2363912
     /* 2363912 */ GIM_Reject,
     /* 2363913 */ // Label 33471: @2363913
     /* 2363913 */ GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2364016),
     /* 2363918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2363921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363929 */   GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2363972), // Rule ID 58969 //
     /* 2363934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363937 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2363954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363971 */     // GIR_Coverage, 58969,
     /* 2363971 */     GIR_EraseRootFromParent_Done,
     /* 2363972 */   // Label 33504: @2363972
     /* 2363972 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2364015), // Rule ID 58970 //
     /* 2363977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363980 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2363997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364014 */     // GIR_Coverage, 58970,
     /* 2364014 */     GIR_EraseRootFromParent_Done,
     /* 2364015 */   // Label 33505: @2364015
     /* 2364015 */   GIM_Reject,
     /* 2364016 */ // Label 33503: @2364016
     /* 2364016 */ GIM_Reject,
     /* 2364017 */ // Label 33472: @2364017
     /* 2364017 */ GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2364120),
     /* 2364022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2364025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364033 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2364076), // Rule ID 58973 //
     /* 2364038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364041 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364075 */     // GIR_Coverage, 58973,
     /* 2364075 */     GIR_EraseRootFromParent_Done,
     /* 2364076 */   // Label 33507: @2364076
     /* 2364076 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2364119), // Rule ID 58974 //
     /* 2364081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364084 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364118 */     // GIR_Coverage, 58974,
     /* 2364118 */     GIR_EraseRootFromParent_Done,
     /* 2364119 */   // Label 33508: @2364119
     /* 2364119 */   GIM_Reject,
     /* 2364120 */ // Label 33506: @2364120
     /* 2364120 */ GIM_Reject,
     /* 2364121 */ // Label 33473: @2364121
     /* 2364121 */ GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2364224),
     /* 2364126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2364129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364137 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2364180), // Rule ID 58981 //
     /* 2364142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364145 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364179 */     // GIR_Coverage, 58981,
     /* 2364179 */     GIR_EraseRootFromParent_Done,
     /* 2364180 */   // Label 33510: @2364180
     /* 2364180 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2364223), // Rule ID 58982 //
     /* 2364185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364188 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364222 */     // GIR_Coverage, 58982,
     /* 2364222 */     GIR_EraseRootFromParent_Done,
     /* 2364223 */   // Label 33511: @2364223
     /* 2364223 */   GIM_Reject,
     /* 2364224 */ // Label 33509: @2364224
     /* 2364224 */ GIM_Reject,
     /* 2364225 */ // Label 33474: @2364225
     /* 2364225 */ GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2364328),
     /* 2364230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2364233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364241 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2364284), // Rule ID 58965 //
     /* 2364246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364249 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364283 */     // GIR_Coverage, 58965,
     /* 2364283 */     GIR_EraseRootFromParent_Done,
     /* 2364284 */   // Label 33513: @2364284
     /* 2364284 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2364327), // Rule ID 58966 //
     /* 2364289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364292 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364326 */     // GIR_Coverage, 58966,
     /* 2364326 */     GIR_EraseRootFromParent_Done,
     /* 2364327 */   // Label 33514: @2364327
     /* 2364327 */   GIM_Reject,
     /* 2364328 */ // Label 33512: @2364328
     /* 2364328 */ GIM_Reject,
     /* 2364329 */ // Label 33475: @2364329
     /* 2364329 */ GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2364432),
     /* 2364334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2364337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364345 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2364388), // Rule ID 58971 //
     /* 2364350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364353 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364387 */     // GIR_Coverage, 58971,
     /* 2364387 */     GIR_EraseRootFromParent_Done,
     /* 2364388 */   // Label 33516: @2364388
     /* 2364388 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2364431), // Rule ID 58972 //
     /* 2364393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364396 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364430 */     // GIR_Coverage, 58972,
     /* 2364430 */     GIR_EraseRootFromParent_Done,
     /* 2364431 */   // Label 33517: @2364431
     /* 2364431 */   GIM_Reject,
     /* 2364432 */ // Label 33515: @2364432
     /* 2364432 */ GIM_Reject,
     /* 2364433 */ // Label 33476: @2364433
     /* 2364433 */ GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2364536),
     /* 2364438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2364441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364449 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2364492), // Rule ID 58979 //
     /* 2364454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364457 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364491 */     // GIR_Coverage, 58979,
     /* 2364491 */     GIR_EraseRootFromParent_Done,
     /* 2364492 */   // Label 33519: @2364492
     /* 2364492 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2364535), // Rule ID 58980 //
     /* 2364497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364500 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364534 */     // GIR_Coverage, 58980,
     /* 2364534 */     GIR_EraseRootFromParent_Done,
     /* 2364535 */   // Label 33520: @2364535
     /* 2364535 */   GIM_Reject,
     /* 2364536 */ // Label 33518: @2364536
     /* 2364536 */ GIM_Reject,
     /* 2364537 */ // Label 33477: @2364537
     /* 2364537 */ GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2364640),
     /* 2364542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2364545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364553 */   GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2364596), // Rule ID 59001 //
     /* 2364558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364561 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364595 */     // GIR_Coverage, 59001,
     /* 2364595 */     GIR_EraseRootFromParent_Done,
     /* 2364596 */   // Label 33522: @2364596
     /* 2364596 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2364639), // Rule ID 59002 //
     /* 2364601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364604 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364638 */     // GIR_Coverage, 59002,
     /* 2364638 */     GIR_EraseRootFromParent_Done,
     /* 2364639 */   // Label 33523: @2364639
     /* 2364639 */   GIM_Reject,
     /* 2364640 */ // Label 33521: @2364640
     /* 2364640 */ GIM_Reject,
     /* 2364641 */ // Label 33478: @2364641
     /* 2364641 */ GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2364744),
     /* 2364646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2364649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364657 */   GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2364700), // Rule ID 58967 //
     /* 2364662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364665 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2364668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364699 */     // GIR_Coverage, 58967,
     /* 2364699 */     GIR_EraseRootFromParent_Done,
     /* 2364700 */   // Label 33525: @2364700
     /* 2364700 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2364743), // Rule ID 58968 //
     /* 2364705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364708 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2364711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364742 */     // GIR_Coverage, 58968,
     /* 2364742 */     GIR_EraseRootFromParent_Done,
     /* 2364743 */   // Label 33526: @2364743
     /* 2364743 */   GIM_Reject,
     /* 2364744 */ // Label 33524: @2364744
     /* 2364744 */ GIM_Reject,
     /* 2364745 */ // Label 33479: @2364745
     /* 2364745 */ GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2364848),
     /* 2364750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2364753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364761 */   GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2364804), // Rule ID 58977 //
     /* 2364766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364769 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364803 */     // GIR_Coverage, 58977,
     /* 2364803 */     GIR_EraseRootFromParent_Done,
     /* 2364804 */   // Label 33528: @2364804
     /* 2364804 */   GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2364847), // Rule ID 58978 //
     /* 2364809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364812 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364846 */     // GIR_Coverage, 58978,
     /* 2364846 */     GIR_EraseRootFromParent_Done,
     /* 2364847 */   // Label 33529: @2364847
     /* 2364847 */   GIM_Reject,
     /* 2364848 */ // Label 33527: @2364848
     /* 2364848 */ GIM_Reject,
     /* 2364849 */ // Label 33480: @2364849
     /* 2364849 */ GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2364952),
     /* 2364854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2364857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364865 */   GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2364908), // Rule ID 58995 //
     /* 2364870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364873 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364907 */     // GIR_Coverage, 58995,
     /* 2364907 */     GIR_EraseRootFromParent_Done,
     /* 2364908 */   // Label 33531: @2364908
     /* 2364908 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2364951), // Rule ID 58996 //
     /* 2364913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364916 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364950 */     // GIR_Coverage, 58996,
     /* 2364950 */     GIR_EraseRootFromParent_Done,
     /* 2364951 */   // Label 33532: @2364951
     /* 2364951 */   GIM_Reject,
     /* 2364952 */ // Label 33530: @2364952
     /* 2364952 */ GIM_Reject,
     /* 2364953 */ // Label 33481: @2364953
     /* 2364953 */ GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2365056),
     /* 2364958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2364961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364969 */   GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2365012), // Rule ID 59003 //
     /* 2364974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364977 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2364980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2364994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365011 */     // GIR_Coverage, 59003,
     /* 2365011 */     GIR_EraseRootFromParent_Done,
     /* 2365012 */   // Label 33534: @2365012
     /* 2365012 */   GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2365055), // Rule ID 59004 //
     /* 2365017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2365020 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365054 */     // GIR_Coverage, 59004,
     /* 2365054 */     GIR_EraseRootFromParent_Done,
     /* 2365055 */   // Label 33535: @2365055
     /* 2365055 */   GIM_Reject,
     /* 2365056 */ // Label 33533: @2365056
     /* 2365056 */ GIM_Reject,
     /* 2365057 */ // Label 33482: @2365057
     /* 2365057 */ GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2365160),
     /* 2365062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2365065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365073 */   GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2365116), // Rule ID 58975 //
     /* 2365078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365081 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365115 */     // GIR_Coverage, 58975,
     /* 2365115 */     GIR_EraseRootFromParent_Done,
     /* 2365116 */   // Label 33537: @2365116
     /* 2365116 */   GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2365159), // Rule ID 58976 //
     /* 2365121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365124 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365158 */     // GIR_Coverage, 58976,
     /* 2365158 */     GIR_EraseRootFromParent_Done,
     /* 2365159 */   // Label 33538: @2365159
     /* 2365159 */   GIM_Reject,
     /* 2365160 */ // Label 33536: @2365160
     /* 2365160 */ GIM_Reject,
     /* 2365161 */ // Label 33483: @2365161
     /* 2365161 */ GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2365264),
     /* 2365166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2365169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365177 */   GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2365220), // Rule ID 58989 //
     /* 2365182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365185 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365219 */     // GIR_Coverage, 58989,
     /* 2365219 */     GIR_EraseRootFromParent_Done,
     /* 2365220 */   // Label 33540: @2365220
     /* 2365220 */   GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2365263), // Rule ID 58990 //
     /* 2365225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365228 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365262 */     // GIR_Coverage, 58990,
     /* 2365262 */     GIR_EraseRootFromParent_Done,
     /* 2365263 */   // Label 33541: @2365263
     /* 2365263 */   GIM_Reject,
     /* 2365264 */ // Label 33539: @2365264
     /* 2365264 */ GIM_Reject,
     /* 2365265 */ // Label 33484: @2365265
     /* 2365265 */ GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2365368),
     /* 2365270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2365273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365281 */   GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2365324), // Rule ID 58997 //
     /* 2365286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365289 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365323 */     // GIR_Coverage, 58997,
     /* 2365323 */     GIR_EraseRootFromParent_Done,
     /* 2365324 */   // Label 33543: @2365324
     /* 2365324 */   GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2365367), // Rule ID 58998 //
     /* 2365329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365332 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365366 */     // GIR_Coverage, 58998,
     /* 2365366 */     GIR_EraseRootFromParent_Done,
     /* 2365367 */   // Label 33544: @2365367
     /* 2365367 */   GIM_Reject,
     /* 2365368 */ // Label 33542: @2365368
     /* 2365368 */ GIM_Reject,
     /* 2365369 */ // Label 33485: @2365369
     /* 2365369 */ GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2365472),
     /* 2365374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2365377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365385 */   GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2365428), // Rule ID 59005 //
     /* 2365390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2365393 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365427 */     // GIR_Coverage, 59005,
     /* 2365427 */     GIR_EraseRootFromParent_Done,
     /* 2365428 */   // Label 33546: @2365428
     /* 2365428 */   GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2365471), // Rule ID 59006 //
     /* 2365433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2365436 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365470 */     // GIR_Coverage, 59006,
     /* 2365470 */     GIR_EraseRootFromParent_Done,
     /* 2365471 */   // Label 33547: @2365471
     /* 2365471 */   GIM_Reject,
     /* 2365472 */ // Label 33545: @2365472
     /* 2365472 */ GIM_Reject,
     /* 2365473 */ // Label 33486: @2365473
     /* 2365473 */ GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2365576),
     /* 2365478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2365481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365489 */   GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2365532), // Rule ID 58983 //
     /* 2365494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365497 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365531 */     // GIR_Coverage, 58983,
     /* 2365531 */     GIR_EraseRootFromParent_Done,
     /* 2365532 */   // Label 33549: @2365532
     /* 2365532 */   GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2365575), // Rule ID 58984 //
     /* 2365537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365540 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365574 */     // GIR_Coverage, 58984,
     /* 2365574 */     GIR_EraseRootFromParent_Done,
     /* 2365575 */   // Label 33550: @2365575
     /* 2365575 */   GIM_Reject,
     /* 2365576 */ // Label 33548: @2365576
     /* 2365576 */ GIM_Reject,
     /* 2365577 */ // Label 33487: @2365577
     /* 2365577 */ GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2365680),
     /* 2365582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2365585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365593 */   GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2365636), // Rule ID 58991 //
     /* 2365598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365601 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365635 */     // GIR_Coverage, 58991,
     /* 2365635 */     GIR_EraseRootFromParent_Done,
     /* 2365636 */   // Label 33552: @2365636
     /* 2365636 */   GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2365679), // Rule ID 58992 //
     /* 2365641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365644 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365678 */     // GIR_Coverage, 58992,
     /* 2365678 */     GIR_EraseRootFromParent_Done,
     /* 2365679 */   // Label 33553: @2365679
     /* 2365679 */   GIM_Reject,
     /* 2365680 */ // Label 33551: @2365680
     /* 2365680 */ GIM_Reject,
     /* 2365681 */ // Label 33488: @2365681
     /* 2365681 */ GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2365784),
     /* 2365686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2365689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365697 */   GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2365740), // Rule ID 58999 //
     /* 2365702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365705 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365739 */     // GIR_Coverage, 58999,
     /* 2365739 */     GIR_EraseRootFromParent_Done,
     /* 2365740 */   // Label 33555: @2365740
     /* 2365740 */   GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2365783), // Rule ID 59000 //
     /* 2365745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365748 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365782 */     // GIR_Coverage, 59000,
     /* 2365782 */     GIR_EraseRootFromParent_Done,
     /* 2365783 */   // Label 33556: @2365783
     /* 2365783 */   GIM_Reject,
     /* 2365784 */ // Label 33554: @2365784
     /* 2365784 */ GIM_Reject,
     /* 2365785 */ // Label 33489: @2365785
     /* 2365785 */ GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2365888),
     /* 2365790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2365793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365801 */   GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2365844), // Rule ID 58985 //
     /* 2365806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365809 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2365812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365843 */     // GIR_Coverage, 58985,
     /* 2365843 */     GIR_EraseRootFromParent_Done,
     /* 2365844 */   // Label 33558: @2365844
     /* 2365844 */   GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2365887), // Rule ID 58986 //
     /* 2365849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365852 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2365855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365886 */     // GIR_Coverage, 58986,
     /* 2365886 */     GIR_EraseRootFromParent_Done,
     /* 2365887 */   // Label 33559: @2365887
     /* 2365887 */   GIM_Reject,
     /* 2365888 */ // Label 33557: @2365888
     /* 2365888 */ GIM_Reject,
     /* 2365889 */ // Label 33490: @2365889
     /* 2365889 */ GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2365992),
     /* 2365894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2365897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365905 */   GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2365948), // Rule ID 58993 //
     /* 2365910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365913 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365947 */     // GIR_Coverage, 58993,
     /* 2365947 */     GIR_EraseRootFromParent_Done,
     /* 2365948 */   // Label 33561: @2365948
     /* 2365948 */   GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2365991), // Rule ID 58994 //
     /* 2365953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365956 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365990 */     // GIR_Coverage, 58994,
     /* 2365990 */     GIR_EraseRootFromParent_Done,
     /* 2365991 */   // Label 33562: @2365991
     /* 2365991 */   GIM_Reject,
     /* 2365992 */ // Label 33560: @2365992
     /* 2365992 */ GIM_Reject,
     /* 2365993 */ // Label 33491: @2365993
     /* 2365993 */ GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2366096),
     /* 2365998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2366001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366009 */   GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2366052), // Rule ID 58987 //
     /* 2366014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366017 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366051 */     // GIR_Coverage, 58987,
     /* 2366051 */     GIR_EraseRootFromParent_Done,
     /* 2366052 */   // Label 33564: @2366052
     /* 2366052 */   GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2366095), // Rule ID 58988 //
     /* 2366057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366060 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366094 */     // GIR_Coverage, 58988,
     /* 2366094 */     GIR_EraseRootFromParent_Done,
     /* 2366095 */   // Label 33565: @2366095
     /* 2366095 */   GIM_Reject,
     /* 2366096 */ // Label 33563: @2366096
     /* 2366096 */ GIM_Reject,
     /* 2366097 */ // Label 33492: @2366097
     /* 2366097 */ GIM_Reject,
     /* 2366098 */ // Label 90: @2366098
     /* 2366098 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33590*/ GIMT_Encode4(2368591),
     /* 2366109 */ /*GILLT_s32*//*Label 33566*/ GIMT_Encode4(2366233),
     /* 2366113 */ /*GILLT_s64*//*Label 33567*/ GIMT_Encode4(2366268), GIMT_Encode4(0),
     /* 2366121 */ /*GILLT_nxv1s8*//*Label 33568*/ GIMT_Encode4(2366303),
     /* 2366125 */ /*GILLT_nxv1s16*//*Label 33569*/ GIMT_Encode4(2366407),
     /* 2366129 */ /*GILLT_nxv1s32*//*Label 33570*/ GIMT_Encode4(2366511),
     /* 2366133 */ /*GILLT_nxv1s64*//*Label 33571*/ GIMT_Encode4(2366615), GIMT_Encode4(0),
     /* 2366141 */ /*GILLT_nxv2s8*//*Label 33572*/ GIMT_Encode4(2366719),
     /* 2366145 */ /*GILLT_nxv2s16*//*Label 33573*/ GIMT_Encode4(2366823),
     /* 2366149 */ /*GILLT_nxv2s32*//*Label 33574*/ GIMT_Encode4(2366927),
     /* 2366153 */ /*GILLT_nxv2s64*//*Label 33575*/ GIMT_Encode4(2367031), GIMT_Encode4(0),
     /* 2366161 */ /*GILLT_nxv4s8*//*Label 33576*/ GIMT_Encode4(2367135),
     /* 2366165 */ /*GILLT_nxv4s16*//*Label 33577*/ GIMT_Encode4(2367239),
     /* 2366169 */ /*GILLT_nxv4s32*//*Label 33578*/ GIMT_Encode4(2367343),
     /* 2366173 */ /*GILLT_nxv4s64*//*Label 33579*/ GIMT_Encode4(2367447), GIMT_Encode4(0),
     /* 2366181 */ /*GILLT_nxv8s8*//*Label 33580*/ GIMT_Encode4(2367551),
     /* 2366185 */ /*GILLT_nxv8s16*//*Label 33581*/ GIMT_Encode4(2367655),
     /* 2366189 */ /*GILLT_nxv8s32*//*Label 33582*/ GIMT_Encode4(2367759),
     /* 2366193 */ /*GILLT_nxv8s64*//*Label 33583*/ GIMT_Encode4(2367863), GIMT_Encode4(0),
     /* 2366201 */ /*GILLT_nxv16s8*//*Label 33584*/ GIMT_Encode4(2367967),
     /* 2366205 */ /*GILLT_nxv16s16*//*Label 33585*/ GIMT_Encode4(2368071),
     /* 2366209 */ /*GILLT_nxv16s32*//*Label 33586*/ GIMT_Encode4(2368175), GIMT_Encode4(0),
     /* 2366217 */ /*GILLT_nxv32s8*//*Label 33587*/ GIMT_Encode4(2368279),
     /* 2366221 */ /*GILLT_nxv32s16*//*Label 33588*/ GIMT_Encode4(2368383), GIMT_Encode4(0),
     /* 2366229 */ /*GILLT_nxv64s8*//*Label 33589*/ GIMT_Encode4(2368487),
     /* 2366233 */ // Label 33566: @2366233
     /* 2366233 */ GIM_Try, /*On fail goto*//*Label 33591*/ GIMT_Encode4(2366267), // Rule ID 64355 //
     /* 2366238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2366241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2366244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366252 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2366252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366257 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366266 */   // GIR_Coverage, 64355,
     /* 2366266 */   GIR_EraseRootFromParent_Done,
     /* 2366267 */ // Label 33591: @2366267
     /* 2366267 */ GIM_Reject,
     /* 2366268 */ // Label 33567: @2366268
     /* 2366268 */ GIM_Try, /*On fail goto*//*Label 33592*/ GIMT_Encode4(2366302), // Rule ID 64354 //
     /* 2366273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2366276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2366279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366287 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2366287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366301 */   // GIR_Coverage, 64354,
     /* 2366301 */   GIR_EraseRootFromParent_Done,
     /* 2366302 */ // Label 33592: @2366302
     /* 2366302 */ GIM_Reject,
     /* 2366303 */ // Label 33568: @2366303
     /* 2366303 */ GIM_Try, /*On fail goto*//*Label 33593*/ GIMT_Encode4(2366406),
     /* 2366308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2366311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366319 */   GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2366362), // Rule ID 58787 //
     /* 2366324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366327 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366361 */     // GIR_Coverage, 58787,
     /* 2366361 */     GIR_EraseRootFromParent_Done,
     /* 2366362 */   // Label 33594: @2366362
     /* 2366362 */   GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2366405), // Rule ID 58788 //
     /* 2366367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366370 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366404 */     // GIR_Coverage, 58788,
     /* 2366404 */     GIR_EraseRootFromParent_Done,
     /* 2366405 */   // Label 33595: @2366405
     /* 2366405 */   GIM_Reject,
     /* 2366406 */ // Label 33593: @2366406
     /* 2366406 */ GIM_Reject,
     /* 2366407 */ // Label 33569: @2366407
     /* 2366407 */ GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2366510),
     /* 2366412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2366415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366423 */   GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2366466), // Rule ID 58925 //
     /* 2366428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366431 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366465 */     // GIR_Coverage, 58925,
     /* 2366465 */     GIR_EraseRootFromParent_Done,
     /* 2366466 */   // Label 33597: @2366466
     /* 2366466 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2366509), // Rule ID 58926 //
     /* 2366471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366474 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366508 */     // GIR_Coverage, 58926,
     /* 2366508 */     GIR_EraseRootFromParent_Done,
     /* 2366509 */   // Label 33598: @2366509
     /* 2366509 */   GIM_Reject,
     /* 2366510 */ // Label 33596: @2366510
     /* 2366510 */ GIM_Reject,
     /* 2366511 */ // Label 33570: @2366511
     /* 2366511 */ GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2366614),
     /* 2366516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2366519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366527 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2366570), // Rule ID 58929 //
     /* 2366532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366535 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366569 */     // GIR_Coverage, 58929,
     /* 2366569 */     GIR_EraseRootFromParent_Done,
     /* 2366570 */   // Label 33600: @2366570
     /* 2366570 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2366613), // Rule ID 58930 //
     /* 2366575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366578 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366612 */     // GIR_Coverage, 58930,
     /* 2366612 */     GIR_EraseRootFromParent_Done,
     /* 2366613 */   // Label 33601: @2366613
     /* 2366613 */   GIM_Reject,
     /* 2366614 */ // Label 33599: @2366614
     /* 2366614 */ GIM_Reject,
     /* 2366615 */ // Label 33571: @2366615
     /* 2366615 */ GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2366718),
     /* 2366620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2366623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366631 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2366674), // Rule ID 58937 //
     /* 2366636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2366639 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366673 */     // GIR_Coverage, 58937,
     /* 2366673 */     GIR_EraseRootFromParent_Done,
     /* 2366674 */   // Label 33603: @2366674
     /* 2366674 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2366717), // Rule ID 58938 //
     /* 2366679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2366682 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366716 */     // GIR_Coverage, 58938,
     /* 2366716 */     GIR_EraseRootFromParent_Done,
     /* 2366717 */   // Label 33604: @2366717
     /* 2366717 */   GIM_Reject,
     /* 2366718 */ // Label 33602: @2366718
     /* 2366718 */ GIM_Reject,
     /* 2366719 */ // Label 33572: @2366719
     /* 2366719 */ GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2366822),
     /* 2366724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2366727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366735 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2366778), // Rule ID 58921 //
     /* 2366740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366743 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2366746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366777 */     // GIR_Coverage, 58921,
     /* 2366777 */     GIR_EraseRootFromParent_Done,
     /* 2366778 */   // Label 33606: @2366778
     /* 2366778 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2366821), // Rule ID 58922 //
     /* 2366783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366786 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2366789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366820 */     // GIR_Coverage, 58922,
     /* 2366820 */     GIR_EraseRootFromParent_Done,
     /* 2366821 */   // Label 33607: @2366821
     /* 2366821 */   GIM_Reject,
     /* 2366822 */ // Label 33605: @2366822
     /* 2366822 */ GIM_Reject,
     /* 2366823 */ // Label 33573: @2366823
     /* 2366823 */ GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2366926),
     /* 2366828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2366831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366839 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2366882), // Rule ID 58927 //
     /* 2366844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366847 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366881 */     // GIR_Coverage, 58927,
     /* 2366881 */     GIR_EraseRootFromParent_Done,
     /* 2366882 */   // Label 33609: @2366882
     /* 2366882 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2366925), // Rule ID 58928 //
     /* 2366887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366890 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366924 */     // GIR_Coverage, 58928,
     /* 2366924 */     GIR_EraseRootFromParent_Done,
     /* 2366925 */   // Label 33610: @2366925
     /* 2366925 */   GIM_Reject,
     /* 2366926 */ // Label 33608: @2366926
     /* 2366926 */ GIM_Reject,
     /* 2366927 */ // Label 33574: @2366927
     /* 2366927 */ GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2367030),
     /* 2366932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2366935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366943 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2366986), // Rule ID 58935 //
     /* 2366948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366951 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366985 */     // GIR_Coverage, 58935,
     /* 2366985 */     GIR_EraseRootFromParent_Done,
     /* 2366986 */   // Label 33612: @2366986
     /* 2366986 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2367029), // Rule ID 58936 //
     /* 2366991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366994 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367028 */     // GIR_Coverage, 58936,
     /* 2367028 */     GIR_EraseRootFromParent_Done,
     /* 2367029 */   // Label 33613: @2367029
     /* 2367029 */   GIM_Reject,
     /* 2367030 */ // Label 33611: @2367030
     /* 2367030 */ GIM_Reject,
     /* 2367031 */ // Label 33575: @2367031
     /* 2367031 */ GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2367134),
     /* 2367036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2367039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367047 */   GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2367090), // Rule ID 58957 //
     /* 2367052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367055 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367089 */     // GIR_Coverage, 58957,
     /* 2367089 */     GIR_EraseRootFromParent_Done,
     /* 2367090 */   // Label 33615: @2367090
     /* 2367090 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2367133), // Rule ID 58958 //
     /* 2367095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367098 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367132 */     // GIR_Coverage, 58958,
     /* 2367132 */     GIR_EraseRootFromParent_Done,
     /* 2367133 */   // Label 33616: @2367133
     /* 2367133 */   GIM_Reject,
     /* 2367134 */ // Label 33614: @2367134
     /* 2367134 */ GIM_Reject,
     /* 2367135 */ // Label 33576: @2367135
     /* 2367135 */ GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2367238),
     /* 2367140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2367143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367151 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2367194), // Rule ID 58923 //
     /* 2367156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367159 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367193 */     // GIR_Coverage, 58923,
     /* 2367193 */     GIR_EraseRootFromParent_Done,
     /* 2367194 */   // Label 33618: @2367194
     /* 2367194 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2367237), // Rule ID 58924 //
     /* 2367199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367202 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367236 */     // GIR_Coverage, 58924,
     /* 2367236 */     GIR_EraseRootFromParent_Done,
     /* 2367237 */   // Label 33619: @2367237
     /* 2367237 */   GIM_Reject,
     /* 2367238 */ // Label 33617: @2367238
     /* 2367238 */ GIM_Reject,
     /* 2367239 */ // Label 33577: @2367239
     /* 2367239 */ GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2367342),
     /* 2367244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2367247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367255 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2367298), // Rule ID 58933 //
     /* 2367260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367263 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367297 */     // GIR_Coverage, 58933,
     /* 2367297 */     GIR_EraseRootFromParent_Done,
     /* 2367298 */   // Label 33621: @2367298
     /* 2367298 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2367341), // Rule ID 58934 //
     /* 2367303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367306 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367340 */     // GIR_Coverage, 58934,
     /* 2367340 */     GIR_EraseRootFromParent_Done,
     /* 2367341 */   // Label 33622: @2367341
     /* 2367341 */   GIM_Reject,
     /* 2367342 */ // Label 33620: @2367342
     /* 2367342 */ GIM_Reject,
     /* 2367343 */ // Label 33578: @2367343
     /* 2367343 */ GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2367446),
     /* 2367348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2367351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367359 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2367402), // Rule ID 58951 //
     /* 2367364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367367 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367401 */     // GIR_Coverage, 58951,
     /* 2367401 */     GIR_EraseRootFromParent_Done,
     /* 2367402 */   // Label 33624: @2367402
     /* 2367402 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2367445), // Rule ID 58952 //
     /* 2367407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367410 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367444 */     // GIR_Coverage, 58952,
     /* 2367444 */     GIR_EraseRootFromParent_Done,
     /* 2367445 */   // Label 33625: @2367445
     /* 2367445 */   GIM_Reject,
     /* 2367446 */ // Label 33623: @2367446
     /* 2367446 */ GIM_Reject,
     /* 2367447 */ // Label 33579: @2367447
     /* 2367447 */ GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2367550),
     /* 2367452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2367455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367463 */   GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2367506), // Rule ID 58959 //
     /* 2367468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367471 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367505 */     // GIR_Coverage, 58959,
     /* 2367505 */     GIR_EraseRootFromParent_Done,
     /* 2367506 */   // Label 33627: @2367506
     /* 2367506 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2367549), // Rule ID 58960 //
     /* 2367511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367514 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367548 */     // GIR_Coverage, 58960,
     /* 2367548 */     GIR_EraseRootFromParent_Done,
     /* 2367549 */   // Label 33628: @2367549
     /* 2367549 */   GIM_Reject,
     /* 2367550 */ // Label 33626: @2367550
     /* 2367550 */ GIM_Reject,
     /* 2367551 */ // Label 33580: @2367551
     /* 2367551 */ GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2367654),
     /* 2367556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2367559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367567 */   GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2367610), // Rule ID 58931 //
     /* 2367572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367575 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367609 */     // GIR_Coverage, 58931,
     /* 2367609 */     GIR_EraseRootFromParent_Done,
     /* 2367610 */   // Label 33630: @2367610
     /* 2367610 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2367653), // Rule ID 58932 //
     /* 2367615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367618 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367652 */     // GIR_Coverage, 58932,
     /* 2367652 */     GIR_EraseRootFromParent_Done,
     /* 2367653 */   // Label 33631: @2367653
     /* 2367653 */   GIM_Reject,
     /* 2367654 */ // Label 33629: @2367654
     /* 2367654 */ GIM_Reject,
     /* 2367655 */ // Label 33581: @2367655
     /* 2367655 */ GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2367758),
     /* 2367660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2367663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367671 */   GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2367714), // Rule ID 58945 //
     /* 2367676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367679 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367713 */     // GIR_Coverage, 58945,
     /* 2367713 */     GIR_EraseRootFromParent_Done,
     /* 2367714 */   // Label 33633: @2367714
     /* 2367714 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2367757), // Rule ID 58946 //
     /* 2367719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367722 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367756 */     // GIR_Coverage, 58946,
     /* 2367756 */     GIR_EraseRootFromParent_Done,
     /* 2367757 */   // Label 33634: @2367757
     /* 2367757 */   GIM_Reject,
     /* 2367758 */ // Label 33632: @2367758
     /* 2367758 */ GIM_Reject,
     /* 2367759 */ // Label 33582: @2367759
     /* 2367759 */ GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2367862),
     /* 2367764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2367767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367775 */   GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2367818), // Rule ID 58953 //
     /* 2367780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367783 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367817 */     // GIR_Coverage, 58953,
     /* 2367817 */     GIR_EraseRootFromParent_Done,
     /* 2367818 */   // Label 33636: @2367818
     /* 2367818 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2367861), // Rule ID 58954 //
     /* 2367823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367826 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367860 */     // GIR_Coverage, 58954,
     /* 2367860 */     GIR_EraseRootFromParent_Done,
     /* 2367861 */   // Label 33637: @2367861
     /* 2367861 */   GIM_Reject,
     /* 2367862 */ // Label 33635: @2367862
     /* 2367862 */ GIM_Reject,
     /* 2367863 */ // Label 33583: @2367863
     /* 2367863 */ GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2367966),
     /* 2367868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2367871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367879 */   GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2367922), // Rule ID 58961 //
     /* 2367884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367887 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2367904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367921 */     // GIR_Coverage, 58961,
     /* 2367921 */     GIR_EraseRootFromParent_Done,
     /* 2367922 */   // Label 33639: @2367922
     /* 2367922 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2367965), // Rule ID 58962 //
     /* 2367927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367930 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2367947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367964 */     // GIR_Coverage, 58962,
     /* 2367964 */     GIR_EraseRootFromParent_Done,
     /* 2367965 */   // Label 33640: @2367965
     /* 2367965 */   GIM_Reject,
     /* 2367966 */ // Label 33638: @2367966
     /* 2367966 */ GIM_Reject,
     /* 2367967 */ // Label 33584: @2367967
     /* 2367967 */ GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2368070),
     /* 2367972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2367975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367983 */   GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2368026), // Rule ID 58939 //
     /* 2367988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367991 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2367994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368025 */     // GIR_Coverage, 58939,
     /* 2368025 */     GIR_EraseRootFromParent_Done,
     /* 2368026 */   // Label 33642: @2368026
     /* 2368026 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2368069), // Rule ID 58940 //
     /* 2368031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368034 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2368037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368068 */     // GIR_Coverage, 58940,
     /* 2368068 */     GIR_EraseRootFromParent_Done,
     /* 2368069 */   // Label 33643: @2368069
     /* 2368069 */   GIM_Reject,
     /* 2368070 */ // Label 33641: @2368070
     /* 2368070 */ GIM_Reject,
     /* 2368071 */ // Label 33585: @2368071
     /* 2368071 */ GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2368174),
     /* 2368076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2368079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368087 */   GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2368130), // Rule ID 58947 //
     /* 2368092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368095 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368129 */     // GIR_Coverage, 58947,
     /* 2368129 */     GIR_EraseRootFromParent_Done,
     /* 2368130 */   // Label 33645: @2368130
     /* 2368130 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2368173), // Rule ID 58948 //
     /* 2368135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368138 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368172 */     // GIR_Coverage, 58948,
     /* 2368172 */     GIR_EraseRootFromParent_Done,
     /* 2368173 */   // Label 33646: @2368173
     /* 2368173 */   GIM_Reject,
     /* 2368174 */ // Label 33644: @2368174
     /* 2368174 */ GIM_Reject,
     /* 2368175 */ // Label 33586: @2368175
     /* 2368175 */ GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2368278),
     /* 2368180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2368183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368191 */   GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2368234), // Rule ID 58955 //
     /* 2368196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368199 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368233 */     // GIR_Coverage, 58955,
     /* 2368233 */     GIR_EraseRootFromParent_Done,
     /* 2368234 */   // Label 33648: @2368234
     /* 2368234 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2368277), // Rule ID 58956 //
     /* 2368239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368242 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368276 */     // GIR_Coverage, 58956,
     /* 2368276 */     GIR_EraseRootFromParent_Done,
     /* 2368277 */   // Label 33649: @2368277
     /* 2368277 */   GIM_Reject,
     /* 2368278 */ // Label 33647: @2368278
     /* 2368278 */ GIM_Reject,
     /* 2368279 */ // Label 33587: @2368279
     /* 2368279 */ GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2368382),
     /* 2368284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2368287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368295 */   GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2368338), // Rule ID 58941 //
     /* 2368300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368303 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368337 */     // GIR_Coverage, 58941,
     /* 2368337 */     GIR_EraseRootFromParent_Done,
     /* 2368338 */   // Label 33651: @2368338
     /* 2368338 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2368381), // Rule ID 58942 //
     /* 2368343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368346 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368380 */     // GIR_Coverage, 58942,
     /* 2368380 */     GIR_EraseRootFromParent_Done,
     /* 2368381 */   // Label 33652: @2368381
     /* 2368381 */   GIM_Reject,
     /* 2368382 */ // Label 33650: @2368382
     /* 2368382 */ GIM_Reject,
     /* 2368383 */ // Label 33588: @2368383
     /* 2368383 */ GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2368486),
     /* 2368388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2368391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368399 */   GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2368442), // Rule ID 58949 //
     /* 2368404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368407 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368441 */     // GIR_Coverage, 58949,
     /* 2368441 */     GIR_EraseRootFromParent_Done,
     /* 2368442 */   // Label 33654: @2368442
     /* 2368442 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2368485), // Rule ID 58950 //
     /* 2368447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368450 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368484 */     // GIR_Coverage, 58950,
     /* 2368484 */     GIR_EraseRootFromParent_Done,
     /* 2368485 */   // Label 33655: @2368485
     /* 2368485 */   GIM_Reject,
     /* 2368486 */ // Label 33653: @2368486
     /* 2368486 */ GIM_Reject,
     /* 2368487 */ // Label 33589: @2368487
     /* 2368487 */ GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2368590),
     /* 2368492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2368495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368503 */   GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2368546), // Rule ID 58943 //
     /* 2368508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368511 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368545 */     // GIR_Coverage, 58943,
     /* 2368545 */     GIR_EraseRootFromParent_Done,
     /* 2368546 */   // Label 33657: @2368546
     /* 2368546 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2368589), // Rule ID 58944 //
     /* 2368551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368554 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368588 */     // GIR_Coverage, 58944,
     /* 2368588 */     GIR_EraseRootFromParent_Done,
     /* 2368589 */   // Label 33658: @2368589
     /* 2368589 */   GIM_Reject,
     /* 2368590 */ // Label 33656: @2368590
     /* 2368590 */ GIM_Reject,
     /* 2368591 */ // Label 33590: @2368591
     /* 2368591 */ GIM_Reject,
     /* 2368592 */ // Label 91: @2368592
     /* 2368592 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33662*/ GIMT_Encode4(2368789),
     /* 2368603 */ /*GILLT_s16*//*Label 33659*/ GIMT_Encode4(2368615),
     /* 2368607 */ /*GILLT_s32*//*Label 33660*/ GIMT_Encode4(2368673),
     /* 2368611 */ /*GILLT_s64*//*Label 33661*/ GIMT_Encode4(2368731),
     /* 2368615 */ // Label 33659: @2368615
     /* 2368615 */ GIM_Try, /*On fail goto*//*Label 33663*/ GIMT_Encode4(2368672),
     /* 2368620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368631 */   GIM_Try, /*On fail goto*//*Label 33664*/ GIMT_Encode4(2368651), // Rule ID 2315 //
     /* 2368636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2368639 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2368639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2368642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368650 */     // GIR_Coverage, 2315,
     /* 2368650 */     GIR_EraseRootFromParent_Done,
     /* 2368651 */   // Label 33664: @2368651
     /* 2368651 */   GIM_Try, /*On fail goto*//*Label 33665*/ GIMT_Encode4(2368671), // Rule ID 2316 //
     /* 2368656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2368659 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2368659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2368662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368670 */     // GIR_Coverage, 2316,
     /* 2368670 */     GIR_EraseRootFromParent_Done,
     /* 2368671 */   // Label 33665: @2368671
     /* 2368671 */   GIM_Reject,
     /* 2368672 */ // Label 33663: @2368672
     /* 2368672 */ GIM_Reject,
     /* 2368673 */ // Label 33660: @2368673
     /* 2368673 */ GIM_Try, /*On fail goto*//*Label 33666*/ GIMT_Encode4(2368730),
     /* 2368678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2368685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2368689 */   GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2368709), // Rule ID 2233 //
     /* 2368694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2368697 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2368697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2368700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368708 */     // GIR_Coverage, 2233,
     /* 2368708 */     GIR_EraseRootFromParent_Done,
     /* 2368709 */   // Label 33667: @2368709
     /* 2368709 */   GIM_Try, /*On fail goto*//*Label 33668*/ GIMT_Encode4(2368729), // Rule ID 2234 //
     /* 2368714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2368717 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2368717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2368720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368728 */     // GIR_Coverage, 2234,
     /* 2368728 */     GIR_EraseRootFromParent_Done,
     /* 2368729 */   // Label 33668: @2368729
     /* 2368729 */   GIM_Reject,
     /* 2368730 */ // Label 33666: @2368730
     /* 2368730 */ GIM_Reject,
     /* 2368731 */ // Label 33661: @2368731
     /* 2368731 */ GIM_Try, /*On fail goto*//*Label 33669*/ GIMT_Encode4(2368788),
     /* 2368736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368747 */   GIM_Try, /*On fail goto*//*Label 33670*/ GIMT_Encode4(2368767), // Rule ID 2273 //
     /* 2368752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2368755 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2368755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2368758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368766 */     // GIR_Coverage, 2273,
     /* 2368766 */     GIR_EraseRootFromParent_Done,
     /* 2368767 */   // Label 33670: @2368767
     /* 2368767 */   GIM_Try, /*On fail goto*//*Label 33671*/ GIMT_Encode4(2368787), // Rule ID 2274 //
     /* 2368772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2368775 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2368775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2368778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368786 */     // GIR_Coverage, 2274,
     /* 2368786 */     GIR_EraseRootFromParent_Done,
     /* 2368787 */   // Label 33671: @2368787
     /* 2368787 */   GIM_Reject,
     /* 2368788 */ // Label 33669: @2368788
     /* 2368788 */ GIM_Reject,
     /* 2368789 */ // Label 33662: @2368789
     /* 2368789 */ GIM_Reject,
     /* 2368790 */ // Label 92: @2368790
     /* 2368790 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33690*/ GIMT_Encode4(2370965),
     /* 2368801 */ /*GILLT_s16*//*Label 33672*/ GIMT_Encode4(2368921),
     /* 2368805 */ /*GILLT_s32*//*Label 33673*/ GIMT_Encode4(2369043),
     /* 2368809 */ /*GILLT_s64*//*Label 33674*/ GIMT_Encode4(2369165), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368821 */ /*GILLT_nxv1s16*//*Label 33675*/ GIMT_Encode4(2369315),
     /* 2368825 */ /*GILLT_nxv1s32*//*Label 33676*/ GIMT_Encode4(2369425),
     /* 2368829 */ /*GILLT_nxv1s64*//*Label 33677*/ GIMT_Encode4(2369535), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368841 */ /*GILLT_nxv2s16*//*Label 33678*/ GIMT_Encode4(2369645),
     /* 2368845 */ /*GILLT_nxv2s32*//*Label 33679*/ GIMT_Encode4(2369755),
     /* 2368849 */ /*GILLT_nxv2s64*//*Label 33680*/ GIMT_Encode4(2369865), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368861 */ /*GILLT_nxv4s16*//*Label 33681*/ GIMT_Encode4(2369975),
     /* 2368865 */ /*GILLT_nxv4s32*//*Label 33682*/ GIMT_Encode4(2370085),
     /* 2368869 */ /*GILLT_nxv4s64*//*Label 33683*/ GIMT_Encode4(2370195), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368881 */ /*GILLT_nxv8s16*//*Label 33684*/ GIMT_Encode4(2370305),
     /* 2368885 */ /*GILLT_nxv8s32*//*Label 33685*/ GIMT_Encode4(2370415),
     /* 2368889 */ /*GILLT_nxv8s64*//*Label 33686*/ GIMT_Encode4(2370525), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368901 */ /*GILLT_nxv16s16*//*Label 33687*/ GIMT_Encode4(2370635),
     /* 2368905 */ /*GILLT_nxv16s32*//*Label 33688*/ GIMT_Encode4(2370745), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368917 */ /*GILLT_nxv32s16*//*Label 33689*/ GIMT_Encode4(2370855),
     /* 2368921 */ // Label 33672: @2368921
     /* 2368921 */ GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2369042),
     /* 2368926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368929 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2368957), // Rule ID 1873 //
     /* 2368934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2368937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368945 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2368945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2368948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368956 */     // GIR_Coverage, 1873,
     /* 2368956 */     GIR_EraseRootFromParent_Done,
     /* 2368957 */   // Label 33692: @2368957
     /* 2368957 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2368985), // Rule ID 1874 //
     /* 2368962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2368965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368973 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2368973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2368976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368984 */     // GIR_Coverage, 1874,
     /* 2368984 */     GIR_EraseRootFromParent_Done,
     /* 2368985 */   // Label 33693: @2368985
     /* 2368985 */   GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2369013), // Rule ID 1906 //
     /* 2368990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2368993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2368997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369001 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2369001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2369004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369012 */     // GIR_Coverage, 1906,
     /* 2369012 */     GIR_EraseRootFromParent_Done,
     /* 2369013 */   // Label 33694: @2369013
     /* 2369013 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2369041), // Rule ID 1907 //
     /* 2369018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2369021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369029 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2369029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2369032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369040 */     // GIR_Coverage, 1907,
     /* 2369040 */     GIR_EraseRootFromParent_Done,
     /* 2369041 */   // Label 33695: @2369041
     /* 2369041 */   GIM_Reject,
     /* 2369042 */ // Label 33691: @2369042
     /* 2369042 */ GIM_Reject,
     /* 2369043 */ // Label 33673: @2369043
     /* 2369043 */ GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2369164),
     /* 2369048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369051 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2369079), // Rule ID 1164 //
     /* 2369056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2369059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369067 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369078 */     // GIR_Coverage, 1164,
     /* 2369078 */     GIR_EraseRootFromParent_Done,
     /* 2369079 */   // Label 33697: @2369079
     /* 2369079 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2369107), // Rule ID 1165 //
     /* 2369084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2369087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369095 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369106 */     // GIR_Coverage, 1165,
     /* 2369106 */     GIR_EraseRootFromParent_Done,
     /* 2369107 */   // Label 33698: @2369107
     /* 2369107 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2369135), // Rule ID 1172 //
     /* 2369112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2369115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369123 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369134 */     // GIR_Coverage, 1172,
     /* 2369134 */     GIR_EraseRootFromParent_Done,
     /* 2369135 */   // Label 33699: @2369135
     /* 2369135 */   GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2369163), // Rule ID 1173 //
     /* 2369140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2369143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369151 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369162 */     // GIR_Coverage, 1173,
     /* 2369162 */     GIR_EraseRootFromParent_Done,
     /* 2369163 */   // Label 33700: @2369163
     /* 2369163 */   GIM_Reject,
     /* 2369164 */ // Label 33696: @2369164
     /* 2369164 */ GIM_Reject,
     /* 2369165 */ // Label 33674: @2369165
     /* 2369165 */ GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2369314),
     /* 2369170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369173 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2369201), // Rule ID 1507 //
     /* 2369178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2369181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369189 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369200 */     // GIR_Coverage, 1507,
     /* 2369200 */     GIR_EraseRootFromParent_Done,
     /* 2369201 */   // Label 33702: @2369201
     /* 2369201 */   GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2369229), // Rule ID 1508 //
     /* 2369206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2369209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369217 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369228 */     // GIR_Coverage, 1508,
     /* 2369228 */     GIR_EraseRootFromParent_Done,
     /* 2369229 */   // Label 33703: @2369229
     /* 2369229 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2369257), // Rule ID 1541 //
     /* 2369234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2369237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369245 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2369248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369256 */     // GIR_Coverage, 1541,
     /* 2369256 */     GIR_EraseRootFromParent_Done,
     /* 2369257 */   // Label 33704: @2369257
     /* 2369257 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2369285), // Rule ID 1562 //
     /* 2369262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2369265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369273 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369284 */     // GIR_Coverage, 1562,
     /* 2369284 */     GIR_EraseRootFromParent_Done,
     /* 2369285 */   // Label 33705: @2369285
     /* 2369285 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2369313), // Rule ID 1563 //
     /* 2369290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2369293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369301 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369312 */     // GIR_Coverage, 1563,
     /* 2369312 */     GIR_EraseRootFromParent_Done,
     /* 2369313 */   // Label 33706: @2369313
     /* 2369313 */   GIM_Reject,
     /* 2369314 */ // Label 33701: @2369314
     /* 2369314 */ GIM_Reject,
     /* 2369315 */ // Label 33675: @2369315
     /* 2369315 */ GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2369424),
     /* 2369320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2369323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369331 */   GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2369377), // Rule ID 56105 //
     /* 2369336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369339 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369376 */     // GIR_Coverage, 56105,
     /* 2369376 */     GIR_EraseRootFromParent_Done,
     /* 2369377 */   // Label 33708: @2369377
     /* 2369377 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2369423), // Rule ID 56106 //
     /* 2369382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369385 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369422 */     // GIR_Coverage, 56106,
     /* 2369422 */     GIR_EraseRootFromParent_Done,
     /* 2369423 */   // Label 33709: @2369423
     /* 2369423 */   GIM_Reject,
     /* 2369424 */ // Label 33707: @2369424
     /* 2369424 */ GIM_Reject,
     /* 2369425 */ // Label 33676: @2369425
     /* 2369425 */ GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2369534),
     /* 2369430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2369433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369441 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2369487), // Rule ID 56145 //
     /* 2369446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369449 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369486 */     // GIR_Coverage, 56145,
     /* 2369486 */     GIR_EraseRootFromParent_Done,
     /* 2369487 */   // Label 33711: @2369487
     /* 2369487 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2369533), // Rule ID 56146 //
     /* 2369492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369495 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369532 */     // GIR_Coverage, 56146,
     /* 2369532 */     GIR_EraseRootFromParent_Done,
     /* 2369533 */   // Label 33712: @2369533
     /* 2369533 */   GIM_Reject,
     /* 2369534 */ // Label 33710: @2369534
     /* 2369534 */ GIM_Reject,
     /* 2369535 */ // Label 33677: @2369535
     /* 2369535 */ GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2369644),
     /* 2369540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2369543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369551 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2369597), // Rule ID 56205 //
     /* 2369556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369559 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2369576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369596 */     // GIR_Coverage, 56205,
     /* 2369596 */     GIR_EraseRootFromParent_Done,
     /* 2369597 */   // Label 33714: @2369597
     /* 2369597 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2369643), // Rule ID 56206 //
     /* 2369602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369605 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2369622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369642 */     // GIR_Coverage, 56206,
     /* 2369642 */     GIR_EraseRootFromParent_Done,
     /* 2369643 */   // Label 33715: @2369643
     /* 2369643 */   GIM_Reject,
     /* 2369644 */ // Label 33713: @2369644
     /* 2369644 */ GIM_Reject,
     /* 2369645 */ // Label 33678: @2369645
     /* 2369645 */ GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2369754),
     /* 2369650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2369653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369661 */   GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2369707), // Rule ID 56125 //
     /* 2369666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369669 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2369672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2369686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369706 */     // GIR_Coverage, 56125,
     /* 2369706 */     GIR_EraseRootFromParent_Done,
     /* 2369707 */   // Label 33717: @2369707
     /* 2369707 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2369753), // Rule ID 56126 //
     /* 2369712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369715 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2369718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2369732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369752 */     // GIR_Coverage, 56126,
     /* 2369752 */     GIR_EraseRootFromParent_Done,
     /* 2369753 */   // Label 33718: @2369753
     /* 2369753 */   GIM_Reject,
     /* 2369754 */ // Label 33716: @2369754
     /* 2369754 */ GIM_Reject,
     /* 2369755 */ // Label 33679: @2369755
     /* 2369755 */ GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2369864),
     /* 2369760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2369763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369771 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2369817), // Rule ID 56185 //
     /* 2369776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369779 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2369782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2369796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369816 */     // GIR_Coverage, 56185,
     /* 2369816 */     GIR_EraseRootFromParent_Done,
     /* 2369817 */   // Label 33720: @2369817
     /* 2369817 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2369863), // Rule ID 56186 //
     /* 2369822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369825 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2369828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2369842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369862 */     // GIR_Coverage, 56186,
     /* 2369862 */     GIR_EraseRootFromParent_Done,
     /* 2369863 */   // Label 33721: @2369863
     /* 2369863 */   GIM_Reject,
     /* 2369864 */ // Label 33719: @2369864
     /* 2369864 */ GIM_Reject,
     /* 2369865 */ // Label 33680: @2369865
     /* 2369865 */ GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2369974),
     /* 2369870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2369873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369881 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2369927), // Rule ID 56345 //
     /* 2369886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369889 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2369892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2369906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369926 */     // GIR_Coverage, 56345,
     /* 2369926 */     GIR_EraseRootFromParent_Done,
     /* 2369927 */   // Label 33723: @2369927
     /* 2369927 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2369973), // Rule ID 56346 //
     /* 2369932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369935 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2369938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2369952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369972 */     // GIR_Coverage, 56346,
     /* 2369972 */     GIR_EraseRootFromParent_Done,
     /* 2369973 */   // Label 33724: @2369973
     /* 2369973 */   GIM_Reject,
     /* 2369974 */ // Label 33722: @2369974
     /* 2369974 */ GIM_Reject,
     /* 2369975 */ // Label 33681: @2369975
     /* 2369975 */ GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2370084),
     /* 2369980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2369983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369991 */   GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2370037), // Rule ID 56165 //
     /* 2369996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369999 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2370016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370036 */     // GIR_Coverage, 56165,
     /* 2370036 */     GIR_EraseRootFromParent_Done,
     /* 2370037 */   // Label 33726: @2370037
     /* 2370037 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2370083), // Rule ID 56166 //
     /* 2370042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370045 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2370062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370082 */     // GIR_Coverage, 56166,
     /* 2370082 */     GIR_EraseRootFromParent_Done,
     /* 2370083 */   // Label 33727: @2370083
     /* 2370083 */   GIM_Reject,
     /* 2370084 */ // Label 33725: @2370084
     /* 2370084 */ GIM_Reject,
     /* 2370085 */ // Label 33682: @2370085
     /* 2370085 */ GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2370194),
     /* 2370090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2370093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370101 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2370147), // Rule ID 56285 //
     /* 2370106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370109 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370146 */     // GIR_Coverage, 56285,
     /* 2370146 */     GIR_EraseRootFromParent_Done,
     /* 2370147 */   // Label 33729: @2370147
     /* 2370147 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2370193), // Rule ID 56286 //
     /* 2370152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370155 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370192 */     // GIR_Coverage, 56286,
     /* 2370192 */     GIR_EraseRootFromParent_Done,
     /* 2370193 */   // Label 33730: @2370193
     /* 2370193 */   GIM_Reject,
     /* 2370194 */ // Label 33728: @2370194
     /* 2370194 */ GIM_Reject,
     /* 2370195 */ // Label 33683: @2370195
     /* 2370195 */ GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2370304),
     /* 2370200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2370203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370211 */   GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2370257), // Rule ID 56365 //
     /* 2370216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370219 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370256 */     // GIR_Coverage, 56365,
     /* 2370256 */     GIR_EraseRootFromParent_Done,
     /* 2370257 */   // Label 33732: @2370257
     /* 2370257 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2370303), // Rule ID 56366 //
     /* 2370262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370265 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370302 */     // GIR_Coverage, 56366,
     /* 2370302 */     GIR_EraseRootFromParent_Done,
     /* 2370303 */   // Label 33733: @2370303
     /* 2370303 */   GIM_Reject,
     /* 2370304 */ // Label 33731: @2370304
     /* 2370304 */ GIM_Reject,
     /* 2370305 */ // Label 33684: @2370305
     /* 2370305 */ GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2370414),
     /* 2370310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2370313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370321 */   GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2370367), // Rule ID 56225 //
     /* 2370326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370329 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370366 */     // GIR_Coverage, 56225,
     /* 2370366 */     GIR_EraseRootFromParent_Done,
     /* 2370367 */   // Label 33735: @2370367
     /* 2370367 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2370413), // Rule ID 56226 //
     /* 2370372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370375 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370412 */     // GIR_Coverage, 56226,
     /* 2370412 */     GIR_EraseRootFromParent_Done,
     /* 2370413 */   // Label 33736: @2370413
     /* 2370413 */   GIM_Reject,
     /* 2370414 */ // Label 33734: @2370414
     /* 2370414 */ GIM_Reject,
     /* 2370415 */ // Label 33685: @2370415
     /* 2370415 */ GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2370524),
     /* 2370420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2370423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370431 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2370477), // Rule ID 56305 //
     /* 2370436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370439 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370476 */     // GIR_Coverage, 56305,
     /* 2370476 */     GIR_EraseRootFromParent_Done,
     /* 2370477 */   // Label 33738: @2370477
     /* 2370477 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2370523), // Rule ID 56306 //
     /* 2370482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370485 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370522 */     // GIR_Coverage, 56306,
     /* 2370522 */     GIR_EraseRootFromParent_Done,
     /* 2370523 */   // Label 33739: @2370523
     /* 2370523 */   GIM_Reject,
     /* 2370524 */ // Label 33737: @2370524
     /* 2370524 */ GIM_Reject,
     /* 2370525 */ // Label 33686: @2370525
     /* 2370525 */ GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2370634),
     /* 2370530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2370533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370541 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2370587), // Rule ID 56385 //
     /* 2370546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370549 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370586 */     // GIR_Coverage, 56385,
     /* 2370586 */     GIR_EraseRootFromParent_Done,
     /* 2370587 */   // Label 33741: @2370587
     /* 2370587 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2370633), // Rule ID 56386 //
     /* 2370592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370595 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370632 */     // GIR_Coverage, 56386,
     /* 2370632 */     GIR_EraseRootFromParent_Done,
     /* 2370633 */   // Label 33742: @2370633
     /* 2370633 */   GIM_Reject,
     /* 2370634 */ // Label 33740: @2370634
     /* 2370634 */ GIM_Reject,
     /* 2370635 */ // Label 33687: @2370635
     /* 2370635 */ GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2370744),
     /* 2370640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2370643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370651 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2370697), // Rule ID 56245 //
     /* 2370656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370659 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2370662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2370676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370696 */     // GIR_Coverage, 56245,
     /* 2370696 */     GIR_EraseRootFromParent_Done,
     /* 2370697 */   // Label 33744: @2370697
     /* 2370697 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2370743), // Rule ID 56246 //
     /* 2370702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370705 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2370708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2370722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370742 */     // GIR_Coverage, 56246,
     /* 2370742 */     GIR_EraseRootFromParent_Done,
     /* 2370743 */   // Label 33745: @2370743
     /* 2370743 */   GIM_Reject,
     /* 2370744 */ // Label 33743: @2370744
     /* 2370744 */ GIM_Reject,
     /* 2370745 */ // Label 33688: @2370745
     /* 2370745 */ GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2370854),
     /* 2370750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2370753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370761 */   GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2370807), // Rule ID 56325 //
     /* 2370766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370769 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2370772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2370786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370806 */     // GIR_Coverage, 56325,
     /* 2370806 */     GIR_EraseRootFromParent_Done,
     /* 2370807 */   // Label 33747: @2370807
     /* 2370807 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2370853), // Rule ID 56326 //
     /* 2370812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370815 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2370818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2370832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370852 */     // GIR_Coverage, 56326,
     /* 2370852 */     GIR_EraseRootFromParent_Done,
     /* 2370853 */   // Label 33748: @2370853
     /* 2370853 */   GIM_Reject,
     /* 2370854 */ // Label 33746: @2370854
     /* 2370854 */ GIM_Reject,
     /* 2370855 */ // Label 33689: @2370855
     /* 2370855 */ GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2370964),
     /* 2370860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2370863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370871 */   GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2370917), // Rule ID 56265 //
     /* 2370876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370879 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2370882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2370896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370916 */     // GIR_Coverage, 56265,
     /* 2370916 */     GIR_EraseRootFromParent_Done,
     /* 2370917 */   // Label 33750: @2370917
     /* 2370917 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2370963), // Rule ID 56266 //
     /* 2370922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370925 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2370928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2370942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370962 */     // GIR_Coverage, 56266,
     /* 2370962 */     GIR_EraseRootFromParent_Done,
     /* 2370963 */   // Label 33751: @2370963
     /* 2370963 */   GIM_Reject,
     /* 2370964 */ // Label 33749: @2370964
     /* 2370964 */ GIM_Reject,
     /* 2370965 */ // Label 33690: @2370965
     /* 2370965 */ GIM_Reject,
     /* 2370966 */ // Label 93: @2370966
     /* 2370966 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33755*/ GIMT_Encode4(2371163),
     /* 2370977 */ /*GILLT_s16*//*Label 33752*/ GIMT_Encode4(2370989),
     /* 2370981 */ /*GILLT_s32*//*Label 33753*/ GIMT_Encode4(2371047),
     /* 2370985 */ /*GILLT_s64*//*Label 33754*/ GIMT_Encode4(2371105),
     /* 2370989 */ // Label 33752: @2370989
     /* 2370989 */ GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2371046),
     /* 2370994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2370997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371005 */   GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2371025), // Rule ID 2311 //
     /* 2371010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371013 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2371013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371024 */     // GIR_Coverage, 2311,
     /* 2371024 */     GIR_EraseRootFromParent_Done,
     /* 2371025 */   // Label 33757: @2371025
     /* 2371025 */   GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2371045), // Rule ID 2312 //
     /* 2371030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371033 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2371033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371044 */     // GIR_Coverage, 2312,
     /* 2371044 */     GIR_EraseRootFromParent_Done,
     /* 2371045 */   // Label 33758: @2371045
     /* 2371045 */   GIM_Reject,
     /* 2371046 */ // Label 33756: @2371046
     /* 2371046 */ GIM_Reject,
     /* 2371047 */ // Label 33753: @2371047
     /* 2371047 */ GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2371104),
     /* 2371052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371063 */   GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2371083), // Rule ID 2229 //
     /* 2371068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371071 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2371071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371082 */     // GIR_Coverage, 2229,
     /* 2371082 */     GIR_EraseRootFromParent_Done,
     /* 2371083 */   // Label 33760: @2371083
     /* 2371083 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2371103), // Rule ID 2230 //
     /* 2371088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371091 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2371091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371102 */     // GIR_Coverage, 2230,
     /* 2371102 */     GIR_EraseRootFromParent_Done,
     /* 2371103 */   // Label 33761: @2371103
     /* 2371103 */   GIM_Reject,
     /* 2371104 */ // Label 33759: @2371104
     /* 2371104 */ GIM_Reject,
     /* 2371105 */ // Label 33754: @2371105
     /* 2371105 */ GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2371162),
     /* 2371110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371121 */   GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2371141), // Rule ID 2269 //
     /* 2371126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371129 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2371129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371140 */     // GIR_Coverage, 2269,
     /* 2371140 */     GIR_EraseRootFromParent_Done,
     /* 2371141 */   // Label 33763: @2371141
     /* 2371141 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2371161), // Rule ID 2270 //
     /* 2371146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371149 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2371149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371160 */     // GIR_Coverage, 2270,
     /* 2371160 */     GIR_EraseRootFromParent_Done,
     /* 2371161 */   // Label 33764: @2371161
     /* 2371161 */   GIM_Reject,
     /* 2371162 */ // Label 33762: @2371162
     /* 2371162 */ GIM_Reject,
     /* 2371163 */ // Label 33755: @2371163
     /* 2371163 */ GIM_Reject,
     /* 2371164 */ // Label 94: @2371164
     /* 2371164 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33768*/ GIMT_Encode4(2371361),
     /* 2371175 */ /*GILLT_s16*//*Label 33765*/ GIMT_Encode4(2371187),
     /* 2371179 */ /*GILLT_s32*//*Label 33766*/ GIMT_Encode4(2371245),
     /* 2371183 */ /*GILLT_s64*//*Label 33767*/ GIMT_Encode4(2371303),
     /* 2371187 */ // Label 33765: @2371187
     /* 2371187 */ GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2371244),
     /* 2371192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371203 */   GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2371223), // Rule ID 2295 //
     /* 2371208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371211 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371222 */     // GIR_Coverage, 2295,
     /* 2371222 */     GIR_EraseRootFromParent_Done,
     /* 2371223 */   // Label 33770: @2371223
     /* 2371223 */   GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2371243), // Rule ID 2296 //
     /* 2371228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371231 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371242 */     // GIR_Coverage, 2296,
     /* 2371242 */     GIR_EraseRootFromParent_Done,
     /* 2371243 */   // Label 33771: @2371243
     /* 2371243 */   GIM_Reject,
     /* 2371244 */ // Label 33769: @2371244
     /* 2371244 */ GIM_Reject,
     /* 2371245 */ // Label 33766: @2371245
     /* 2371245 */ GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2371302),
     /* 2371250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371261 */   GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2371281), // Rule ID 2213 //
     /* 2371266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371269 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371280 */     // GIR_Coverage, 2213,
     /* 2371280 */     GIR_EraseRootFromParent_Done,
     /* 2371281 */   // Label 33773: @2371281
     /* 2371281 */   GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2371301), // Rule ID 2214 //
     /* 2371286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371289 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371300 */     // GIR_Coverage, 2214,
     /* 2371300 */     GIR_EraseRootFromParent_Done,
     /* 2371301 */   // Label 33774: @2371301
     /* 2371301 */   GIM_Reject,
     /* 2371302 */ // Label 33772: @2371302
     /* 2371302 */ GIM_Reject,
     /* 2371303 */ // Label 33767: @2371303
     /* 2371303 */ GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2371360),
     /* 2371308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371319 */   GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2371339), // Rule ID 2253 //
     /* 2371324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371327 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371338 */     // GIR_Coverage, 2253,
     /* 2371338 */     GIR_EraseRootFromParent_Done,
     /* 2371339 */   // Label 33776: @2371339
     /* 2371339 */   GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2371359), // Rule ID 2254 //
     /* 2371344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371347 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371358 */     // GIR_Coverage, 2254,
     /* 2371358 */     GIR_EraseRootFromParent_Done,
     /* 2371359 */   // Label 33777: @2371359
     /* 2371359 */   GIM_Reject,
     /* 2371360 */ // Label 33775: @2371360
     /* 2371360 */ GIM_Reject,
     /* 2371361 */ // Label 33768: @2371361
     /* 2371361 */ GIM_Reject,
     /* 2371362 */ // Label 95: @2371362
     /* 2371362 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33781*/ GIMT_Encode4(2371559),
     /* 2371373 */ /*GILLT_s16*//*Label 33778*/ GIMT_Encode4(2371385),
     /* 2371377 */ /*GILLT_s32*//*Label 33779*/ GIMT_Encode4(2371443),
     /* 2371381 */ /*GILLT_s64*//*Label 33780*/ GIMT_Encode4(2371501),
     /* 2371385 */ // Label 33778: @2371385
     /* 2371385 */ GIM_Try, /*On fail goto*//*Label 33782*/ GIMT_Encode4(2371442),
     /* 2371390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371401 */   GIM_Try, /*On fail goto*//*Label 33783*/ GIMT_Encode4(2371421), // Rule ID 2299 //
     /* 2371406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371409 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371420 */     // GIR_Coverage, 2299,
     /* 2371420 */     GIR_EraseRootFromParent_Done,
     /* 2371421 */   // Label 33783: @2371421
     /* 2371421 */   GIM_Try, /*On fail goto*//*Label 33784*/ GIMT_Encode4(2371441), // Rule ID 2300 //
     /* 2371426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371429 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371440 */     // GIR_Coverage, 2300,
     /* 2371440 */     GIR_EraseRootFromParent_Done,
     /* 2371441 */   // Label 33784: @2371441
     /* 2371441 */   GIM_Reject,
     /* 2371442 */ // Label 33782: @2371442
     /* 2371442 */ GIM_Reject,
     /* 2371443 */ // Label 33779: @2371443
     /* 2371443 */ GIM_Try, /*On fail goto*//*Label 33785*/ GIMT_Encode4(2371500),
     /* 2371448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371459 */   GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2371479), // Rule ID 2217 //
     /* 2371464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371467 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371478 */     // GIR_Coverage, 2217,
     /* 2371478 */     GIR_EraseRootFromParent_Done,
     /* 2371479 */   // Label 33786: @2371479
     /* 2371479 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2371499), // Rule ID 2218 //
     /* 2371484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371487 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371498 */     // GIR_Coverage, 2218,
     /* 2371498 */     GIR_EraseRootFromParent_Done,
     /* 2371499 */   // Label 33787: @2371499
     /* 2371499 */   GIM_Reject,
     /* 2371500 */ // Label 33785: @2371500
     /* 2371500 */ GIM_Reject,
     /* 2371501 */ // Label 33780: @2371501
     /* 2371501 */ GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2371558),
     /* 2371506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371517 */   GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2371537), // Rule ID 2257 //
     /* 2371522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371525 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371536 */     // GIR_Coverage, 2257,
     /* 2371536 */     GIR_EraseRootFromParent_Done,
     /* 2371537 */   // Label 33789: @2371537
     /* 2371537 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2371557), // Rule ID 2258 //
     /* 2371542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371545 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371556 */     // GIR_Coverage, 2258,
     /* 2371556 */     GIR_EraseRootFromParent_Done,
     /* 2371557 */   // Label 33790: @2371557
     /* 2371557 */   GIM_Reject,
     /* 2371558 */ // Label 33788: @2371558
     /* 2371558 */ GIM_Reject,
     /* 2371559 */ // Label 33781: @2371559
     /* 2371559 */ GIM_Reject,
     /* 2371560 */ // Label 96: @2371560
     /* 2371560 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33809*/ GIMT_Encode4(2373987),
     /* 2371571 */ /*GILLT_s16*//*Label 33791*/ GIMT_Encode4(2371691),
     /* 2371575 */ /*GILLT_s32*//*Label 33792*/ GIMT_Encode4(2371840),
     /* 2371579 */ /*GILLT_s64*//*Label 33793*/ GIMT_Encode4(2371989), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371591 */ /*GILLT_nxv1s16*//*Label 33794*/ GIMT_Encode4(2372172),
     /* 2371595 */ /*GILLT_nxv1s32*//*Label 33795*/ GIMT_Encode4(2372293),
     /* 2371599 */ /*GILLT_nxv1s64*//*Label 33796*/ GIMT_Encode4(2372414), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371611 */ /*GILLT_nxv2s16*//*Label 33797*/ GIMT_Encode4(2372535),
     /* 2371615 */ /*GILLT_nxv2s32*//*Label 33798*/ GIMT_Encode4(2372656),
     /* 2371619 */ /*GILLT_nxv2s64*//*Label 33799*/ GIMT_Encode4(2372777), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371631 */ /*GILLT_nxv4s16*//*Label 33800*/ GIMT_Encode4(2372898),
     /* 2371635 */ /*GILLT_nxv4s32*//*Label 33801*/ GIMT_Encode4(2373019),
     /* 2371639 */ /*GILLT_nxv4s64*//*Label 33802*/ GIMT_Encode4(2373140), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371651 */ /*GILLT_nxv8s16*//*Label 33803*/ GIMT_Encode4(2373261),
     /* 2371655 */ /*GILLT_nxv8s32*//*Label 33804*/ GIMT_Encode4(2373382),
     /* 2371659 */ /*GILLT_nxv8s64*//*Label 33805*/ GIMT_Encode4(2373503), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371671 */ /*GILLT_nxv16s16*//*Label 33806*/ GIMT_Encode4(2373624),
     /* 2371675 */ /*GILLT_nxv16s32*//*Label 33807*/ GIMT_Encode4(2373745), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371687 */ /*GILLT_nxv32s16*//*Label 33808*/ GIMT_Encode4(2373866),
     /* 2371691 */ // Label 33791: @2371691
     /* 2371691 */ GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2371839),
     /* 2371696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2371702 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2371736), // Rule ID 1839 //
     /* 2371707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2371710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371722 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2371722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2371725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371735 */     // GIR_Coverage, 1839,
     /* 2371735 */     GIR_EraseRootFromParent_Done,
     /* 2371736 */   // Label 33811: @2371736
     /* 2371736 */   GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2371770), // Rule ID 1840 //
     /* 2371741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2371744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371756 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2371756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2371759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371769 */     // GIR_Coverage, 1840,
     /* 2371769 */     GIR_EraseRootFromParent_Done,
     /* 2371770 */   // Label 33812: @2371770
     /* 2371770 */   GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2371804), // Rule ID 1843 //
     /* 2371775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2371778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371790 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2371790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2371793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371803 */     // GIR_Coverage, 1843,
     /* 2371803 */     GIR_EraseRootFromParent_Done,
     /* 2371804 */   // Label 33813: @2371804
     /* 2371804 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2371838), // Rule ID 1844 //
     /* 2371809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2371812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371824 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2371824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2371827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371837 */     // GIR_Coverage, 1844,
     /* 2371837 */     GIR_EraseRootFromParent_Done,
     /* 2371838 */   // Label 33814: @2371838
     /* 2371838 */   GIM_Reject,
     /* 2371839 */ // Label 33810: @2371839
     /* 2371839 */ GIM_Reject,
     /* 2371840 */ // Label 33792: @2371840
     /* 2371840 */ GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2371988),
     /* 2371845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2371851 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2371885), // Rule ID 1130 //
     /* 2371856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2371859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371871 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2371871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2371874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371884 */     // GIR_Coverage, 1130,
     /* 2371884 */     GIR_EraseRootFromParent_Done,
     /* 2371885 */   // Label 33816: @2371885
     /* 2371885 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2371919), // Rule ID 1131 //
     /* 2371890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2371893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371905 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2371905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2371908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371918 */     // GIR_Coverage, 1131,
     /* 2371918 */     GIR_EraseRootFromParent_Done,
     /* 2371919 */   // Label 33817: @2371919
     /* 2371919 */   GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2371953), // Rule ID 1134 //
     /* 2371924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2371927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371939 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2371939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2371942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371952 */     // GIR_Coverage, 1134,
     /* 2371952 */     GIR_EraseRootFromParent_Done,
     /* 2371953 */   // Label 33818: @2371953
     /* 2371953 */   GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2371987), // Rule ID 1135 //
     /* 2371958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2371961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371973 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2371973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2371976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371986 */     // GIR_Coverage, 1135,
     /* 2371986 */     GIR_EraseRootFromParent_Done,
     /* 2371987 */   // Label 33819: @2371987
     /* 2371987 */   GIM_Reject,
     /* 2371988 */ // Label 33815: @2371988
     /* 2371988 */ GIM_Reject,
     /* 2371989 */ // Label 33793: @2371989
     /* 2371989 */ GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2372171),
     /* 2371994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2372000 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2372034), // Rule ID 1465 //
     /* 2372005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2372008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372020 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2372023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372033 */     // GIR_Coverage, 1465,
     /* 2372033 */     GIR_EraseRootFromParent_Done,
     /* 2372034 */   // Label 33821: @2372034
     /* 2372034 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2372068), // Rule ID 1466 //
     /* 2372039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2372042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372054 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2372057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372067 */     // GIR_Coverage, 1466,
     /* 2372067 */     GIR_EraseRootFromParent_Done,
     /* 2372068 */   // Label 33822: @2372068
     /* 2372068 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2372102), // Rule ID 1469 //
     /* 2372073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2372076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372088 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372101 */     // GIR_Coverage, 1469,
     /* 2372101 */     GIR_EraseRootFromParent_Done,
     /* 2372102 */   // Label 33823: @2372102
     /* 2372102 */   GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2372136), // Rule ID 1470 //
     /* 2372107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2372110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372122 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372135 */     // GIR_Coverage, 1470,
     /* 2372135 */     GIR_EraseRootFromParent_Done,
     /* 2372136 */   // Label 33824: @2372136
     /* 2372136 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2372170), // Rule ID 1473 //
     /* 2372141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2372144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372156 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2372159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372169 */     // GIR_Coverage, 1473,
     /* 2372169 */     GIR_EraseRootFromParent_Done,
     /* 2372170 */   // Label 33825: @2372170
     /* 2372170 */   GIM_Reject,
     /* 2372171 */ // Label 33820: @2372171
     /* 2372171 */ GIM_Reject,
     /* 2372172 */ // Label 33794: @2372172
     /* 2372172 */ GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2372292),
     /* 2372177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2372183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372195 */   GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2372243), // Rule ID 45629 //
     /* 2372200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372203 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372242 */     // GIR_Coverage, 45629,
     /* 2372242 */     GIR_EraseRootFromParent_Done,
     /* 2372243 */   // Label 33827: @2372243
     /* 2372243 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2372291), // Rule ID 45630 //
     /* 2372248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372251 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372290 */     // GIR_Coverage, 45630,
     /* 2372290 */     GIR_EraseRootFromParent_Done,
     /* 2372291 */   // Label 33828: @2372291
     /* 2372291 */   GIM_Reject,
     /* 2372292 */ // Label 33826: @2372292
     /* 2372292 */ GIM_Reject,
     /* 2372293 */ // Label 33795: @2372293
     /* 2372293 */ GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2372413),
     /* 2372298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2372301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2372304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372316 */   GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2372364), // Rule ID 53165 //
     /* 2372321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372324 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372363 */     // GIR_Coverage, 53165,
     /* 2372363 */     GIR_EraseRootFromParent_Done,
     /* 2372364 */   // Label 33830: @2372364
     /* 2372364 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2372412), // Rule ID 53166 //
     /* 2372369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372372 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372411 */     // GIR_Coverage, 53166,
     /* 2372411 */     GIR_EraseRootFromParent_Done,
     /* 2372412 */   // Label 33831: @2372412
     /* 2372412 */   GIM_Reject,
     /* 2372413 */ // Label 33829: @2372413
     /* 2372413 */ GIM_Reject,
     /* 2372414 */ // Label 33796: @2372414
     /* 2372414 */ GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2372534),
     /* 2372419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2372422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2372425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372437 */   GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2372485), // Rule ID 53201 //
     /* 2372442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2372445 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372484 */     // GIR_Coverage, 53201,
     /* 2372484 */     GIR_EraseRootFromParent_Done,
     /* 2372485 */   // Label 33833: @2372485
     /* 2372485 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2372533), // Rule ID 53202 //
     /* 2372490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2372493 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372532 */     // GIR_Coverage, 53202,
     /* 2372532 */     GIR_EraseRootFromParent_Done,
     /* 2372533 */   // Label 33834: @2372533
     /* 2372533 */   GIM_Reject,
     /* 2372534 */ // Label 33832: @2372534
     /* 2372534 */ GIM_Reject,
     /* 2372535 */ // Label 33797: @2372535
     /* 2372535 */ GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2372655),
     /* 2372540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2372543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2372546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372558 */   GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2372606), // Rule ID 53153 //
     /* 2372563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372566 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2372583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372605 */     // GIR_Coverage, 53153,
     /* 2372605 */     GIR_EraseRootFromParent_Done,
     /* 2372606 */   // Label 33836: @2372606
     /* 2372606 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2372654), // Rule ID 53154 //
     /* 2372611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372614 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2372631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372653 */     // GIR_Coverage, 53154,
     /* 2372653 */     GIR_EraseRootFromParent_Done,
     /* 2372654 */   // Label 33837: @2372654
     /* 2372654 */   GIM_Reject,
     /* 2372655 */ // Label 33835: @2372655
     /* 2372655 */ GIM_Reject,
     /* 2372656 */ // Label 33798: @2372656
     /* 2372656 */ GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2372776),
     /* 2372661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2372664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2372667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372679 */   GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2372727), // Rule ID 53189 //
     /* 2372684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372687 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2372690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2372704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372726 */     // GIR_Coverage, 53189,
     /* 2372726 */     GIR_EraseRootFromParent_Done,
     /* 2372727 */   // Label 33839: @2372727
     /* 2372727 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2372775), // Rule ID 53190 //
     /* 2372732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372735 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2372738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2372752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372774 */     // GIR_Coverage, 53190,
     /* 2372774 */     GIR_EraseRootFromParent_Done,
     /* 2372775 */   // Label 33840: @2372775
     /* 2372775 */   GIM_Reject,
     /* 2372776 */ // Label 33838: @2372776
     /* 2372776 */ GIM_Reject,
     /* 2372777 */ // Label 33799: @2372777
     /* 2372777 */ GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2372897),
     /* 2372782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2372785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2372788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372800 */   GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2372848), // Rule ID 53285 //
     /* 2372805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2372808 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2372811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2372825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372847 */     // GIR_Coverage, 53285,
     /* 2372847 */     GIR_EraseRootFromParent_Done,
     /* 2372848 */   // Label 33842: @2372848
     /* 2372848 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2372896), // Rule ID 53286 //
     /* 2372853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2372856 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2372859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2372873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372895 */     // GIR_Coverage, 53286,
     /* 2372895 */     GIR_EraseRootFromParent_Done,
     /* 2372896 */   // Label 33843: @2372896
     /* 2372896 */   GIM_Reject,
     /* 2372897 */ // Label 33841: @2372897
     /* 2372897 */ GIM_Reject,
     /* 2372898 */ // Label 33800: @2372898
     /* 2372898 */ GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2373018),
     /* 2372903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2372906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2372909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372921 */   GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2372969), // Rule ID 53177 //
     /* 2372926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372929 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2372932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2372946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372968 */     // GIR_Coverage, 53177,
     /* 2372968 */     GIR_EraseRootFromParent_Done,
     /* 2372969 */   // Label 33845: @2372969
     /* 2372969 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2373017), // Rule ID 53178 //
     /* 2372974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372977 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2372980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2372994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373016 */     // GIR_Coverage, 53178,
     /* 2373016 */     GIR_EraseRootFromParent_Done,
     /* 2373017 */   // Label 33846: @2373017
     /* 2373017 */   GIM_Reject,
     /* 2373018 */ // Label 33844: @2373018
     /* 2373018 */ GIM_Reject,
     /* 2373019 */ // Label 33801: @2373019
     /* 2373019 */ GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2373139),
     /* 2373024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2373030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373042 */   GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2373090), // Rule ID 53249 //
     /* 2373047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373050 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373089 */     // GIR_Coverage, 53249,
     /* 2373089 */     GIR_EraseRootFromParent_Done,
     /* 2373090 */   // Label 33848: @2373090
     /* 2373090 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2373138), // Rule ID 53250 //
     /* 2373095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373098 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373137 */     // GIR_Coverage, 53250,
     /* 2373137 */     GIR_EraseRootFromParent_Done,
     /* 2373138 */   // Label 33849: @2373138
     /* 2373138 */   GIM_Reject,
     /* 2373139 */ // Label 33847: @2373139
     /* 2373139 */ GIM_Reject,
     /* 2373140 */ // Label 33802: @2373140
     /* 2373140 */ GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2373260),
     /* 2373145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2373151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373163 */   GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2373211), // Rule ID 53297 //
     /* 2373168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373171 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373210 */     // GIR_Coverage, 53297,
     /* 2373210 */     GIR_EraseRootFromParent_Done,
     /* 2373211 */   // Label 33851: @2373211
     /* 2373211 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2373259), // Rule ID 53298 //
     /* 2373216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373219 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373258 */     // GIR_Coverage, 53298,
     /* 2373258 */     GIR_EraseRootFromParent_Done,
     /* 2373259 */   // Label 33852: @2373259
     /* 2373259 */   GIM_Reject,
     /* 2373260 */ // Label 33850: @2373260
     /* 2373260 */ GIM_Reject,
     /* 2373261 */ // Label 33803: @2373261
     /* 2373261 */ GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2373381),
     /* 2373266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2373269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2373272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373284 */   GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2373332), // Rule ID 53213 //
     /* 2373289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373292 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373331 */     // GIR_Coverage, 53213,
     /* 2373331 */     GIR_EraseRootFromParent_Done,
     /* 2373332 */   // Label 33854: @2373332
     /* 2373332 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2373380), // Rule ID 53214 //
     /* 2373337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373340 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373379 */     // GIR_Coverage, 53214,
     /* 2373379 */     GIR_EraseRootFromParent_Done,
     /* 2373380 */   // Label 33855: @2373380
     /* 2373380 */   GIM_Reject,
     /* 2373381 */ // Label 33853: @2373381
     /* 2373381 */ GIM_Reject,
     /* 2373382 */ // Label 33804: @2373382
     /* 2373382 */ GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2373502),
     /* 2373387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2373390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2373393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373405 */   GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2373453), // Rule ID 53261 //
     /* 2373410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373413 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373452 */     // GIR_Coverage, 53261,
     /* 2373452 */     GIR_EraseRootFromParent_Done,
     /* 2373453 */   // Label 33857: @2373453
     /* 2373453 */   GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2373501), // Rule ID 53262 //
     /* 2373458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373461 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373500 */     // GIR_Coverage, 53262,
     /* 2373500 */     GIR_EraseRootFromParent_Done,
     /* 2373501 */   // Label 33858: @2373501
     /* 2373501 */   GIM_Reject,
     /* 2373502 */ // Label 33856: @2373502
     /* 2373502 */ GIM_Reject,
     /* 2373503 */ // Label 33805: @2373503
     /* 2373503 */ GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2373623),
     /* 2373508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2373511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2373514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373526 */   GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2373574), // Rule ID 53309 //
     /* 2373531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373534 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373573 */     // GIR_Coverage, 53309,
     /* 2373573 */     GIR_EraseRootFromParent_Done,
     /* 2373574 */   // Label 33860: @2373574
     /* 2373574 */   GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2373622), // Rule ID 53310 //
     /* 2373579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373582 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373621 */     // GIR_Coverage, 53310,
     /* 2373621 */     GIR_EraseRootFromParent_Done,
     /* 2373622 */   // Label 33861: @2373622
     /* 2373622 */   GIM_Reject,
     /* 2373623 */ // Label 33859: @2373623
     /* 2373623 */ GIM_Reject,
     /* 2373624 */ // Label 33806: @2373624
     /* 2373624 */ GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2373744),
     /* 2373629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2373632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2373635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373647 */   GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2373695), // Rule ID 53225 //
     /* 2373652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373655 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2373658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2373672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373694 */     // GIR_Coverage, 53225,
     /* 2373694 */     GIR_EraseRootFromParent_Done,
     /* 2373695 */   // Label 33863: @2373695
     /* 2373695 */   GIM_Try, /*On fail goto*//*Label 33864*/ GIMT_Encode4(2373743), // Rule ID 53226 //
     /* 2373700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373703 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2373706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2373720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373742 */     // GIR_Coverage, 53226,
     /* 2373742 */     GIR_EraseRootFromParent_Done,
     /* 2373743 */   // Label 33864: @2373743
     /* 2373743 */   GIM_Reject,
     /* 2373744 */ // Label 33862: @2373744
     /* 2373744 */ GIM_Reject,
     /* 2373745 */ // Label 33807: @2373745
     /* 2373745 */ GIM_Try, /*On fail goto*//*Label 33865*/ GIMT_Encode4(2373865),
     /* 2373750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2373753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2373756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373768 */   GIM_Try, /*On fail goto*//*Label 33866*/ GIMT_Encode4(2373816), // Rule ID 53273 //
     /* 2373773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373776 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2373793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373815 */     // GIR_Coverage, 53273,
     /* 2373815 */     GIR_EraseRootFromParent_Done,
     /* 2373816 */   // Label 33866: @2373816
     /* 2373816 */   GIM_Try, /*On fail goto*//*Label 33867*/ GIMT_Encode4(2373864), // Rule ID 53274 //
     /* 2373821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373824 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2373841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373863 */     // GIR_Coverage, 53274,
     /* 2373863 */     GIR_EraseRootFromParent_Done,
     /* 2373864 */   // Label 33867: @2373864
     /* 2373864 */   GIM_Reject,
     /* 2373865 */ // Label 33865: @2373865
     /* 2373865 */ GIM_Reject,
     /* 2373866 */ // Label 33808: @2373866
     /* 2373866 */ GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2373986),
     /* 2373871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2373874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2373877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373889 */   GIM_Try, /*On fail goto*//*Label 33869*/ GIMT_Encode4(2373937), // Rule ID 53237 //
     /* 2373894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373897 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2373914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373936 */     // GIR_Coverage, 53237,
     /* 2373936 */     GIR_EraseRootFromParent_Done,
     /* 2373937 */   // Label 33869: @2373937
     /* 2373937 */   GIM_Try, /*On fail goto*//*Label 33870*/ GIMT_Encode4(2373985), // Rule ID 53238 //
     /* 2373942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373945 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2373962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373984 */     // GIR_Coverage, 53238,
     /* 2373984 */     GIR_EraseRootFromParent_Done,
     /* 2373985 */   // Label 33870: @2373985
     /* 2373985 */   GIM_Reject,
     /* 2373986 */ // Label 33868: @2373986
     /* 2373986 */ GIM_Reject,
     /* 2373987 */ // Label 33809: @2373987
     /* 2373987 */ GIM_Reject,
     /* 2373988 */ // Label 97: @2373988
     /* 2373988 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33889*/ GIMT_Encode4(2376415),
     /* 2373999 */ /*GILLT_s16*//*Label 33871*/ GIMT_Encode4(2374119),
     /* 2374003 */ /*GILLT_s32*//*Label 33872*/ GIMT_Encode4(2374268),
     /* 2374007 */ /*GILLT_s64*//*Label 33873*/ GIMT_Encode4(2374417), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374019 */ /*GILLT_nxv1s16*//*Label 33874*/ GIMT_Encode4(2374600),
     /* 2374023 */ /*GILLT_nxv1s32*//*Label 33875*/ GIMT_Encode4(2374721),
     /* 2374027 */ /*GILLT_nxv1s64*//*Label 33876*/ GIMT_Encode4(2374842), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374039 */ /*GILLT_nxv2s16*//*Label 33877*/ GIMT_Encode4(2374963),
     /* 2374043 */ /*GILLT_nxv2s32*//*Label 33878*/ GIMT_Encode4(2375084),
     /* 2374047 */ /*GILLT_nxv2s64*//*Label 33879*/ GIMT_Encode4(2375205), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374059 */ /*GILLT_nxv4s16*//*Label 33880*/ GIMT_Encode4(2375326),
     /* 2374063 */ /*GILLT_nxv4s32*//*Label 33881*/ GIMT_Encode4(2375447),
     /* 2374067 */ /*GILLT_nxv4s64*//*Label 33882*/ GIMT_Encode4(2375568), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374079 */ /*GILLT_nxv8s16*//*Label 33883*/ GIMT_Encode4(2375689),
     /* 2374083 */ /*GILLT_nxv8s32*//*Label 33884*/ GIMT_Encode4(2375810),
     /* 2374087 */ /*GILLT_nxv8s64*//*Label 33885*/ GIMT_Encode4(2375931), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374099 */ /*GILLT_nxv16s16*//*Label 33886*/ GIMT_Encode4(2376052),
     /* 2374103 */ /*GILLT_nxv16s32*//*Label 33887*/ GIMT_Encode4(2376173), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374115 */ /*GILLT_nxv32s16*//*Label 33888*/ GIMT_Encode4(2376294),
     /* 2374119 */ // Label 33871: @2374119
     /* 2374119 */ GIM_Try, /*On fail goto*//*Label 33890*/ GIMT_Encode4(2374267),
     /* 2374124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2374127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2374130 */   GIM_Try, /*On fail goto*//*Label 33891*/ GIMT_Encode4(2374164), // Rule ID 1847 //
     /* 2374135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2374138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374150 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374163 */     // GIR_Coverage, 1847,
     /* 2374163 */     GIR_EraseRootFromParent_Done,
     /* 2374164 */   // Label 33891: @2374164
     /* 2374164 */   GIM_Try, /*On fail goto*//*Label 33892*/ GIMT_Encode4(2374198), // Rule ID 1848 //
     /* 2374169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2374172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374184 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374197 */     // GIR_Coverage, 1848,
     /* 2374197 */     GIR_EraseRootFromParent_Done,
     /* 2374198 */   // Label 33892: @2374198
     /* 2374198 */   GIM_Try, /*On fail goto*//*Label 33893*/ GIMT_Encode4(2374232), // Rule ID 1851 //
     /* 2374203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2374206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374218 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374231 */     // GIR_Coverage, 1851,
     /* 2374231 */     GIR_EraseRootFromParent_Done,
     /* 2374232 */   // Label 33893: @2374232
     /* 2374232 */   GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2374266), // Rule ID 1852 //
     /* 2374237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2374240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374252 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374265 */     // GIR_Coverage, 1852,
     /* 2374265 */     GIR_EraseRootFromParent_Done,
     /* 2374266 */   // Label 33894: @2374266
     /* 2374266 */   GIM_Reject,
     /* 2374267 */ // Label 33890: @2374267
     /* 2374267 */ GIM_Reject,
     /* 2374268 */ // Label 33872: @2374268
     /* 2374268 */ GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2374416),
     /* 2374273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2374276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2374279 */   GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2374313), // Rule ID 1138 //
     /* 2374284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2374287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374299 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374312 */     // GIR_Coverage, 1138,
     /* 2374312 */     GIR_EraseRootFromParent_Done,
     /* 2374313 */   // Label 33896: @2374313
     /* 2374313 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2374347), // Rule ID 1139 //
     /* 2374318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2374321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374333 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374346 */     // GIR_Coverage, 1139,
     /* 2374346 */     GIR_EraseRootFromParent_Done,
     /* 2374347 */   // Label 33897: @2374347
     /* 2374347 */   GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2374381), // Rule ID 1142 //
     /* 2374352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2374355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374367 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374380 */     // GIR_Coverage, 1142,
     /* 2374380 */     GIR_EraseRootFromParent_Done,
     /* 2374381 */   // Label 33898: @2374381
     /* 2374381 */   GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2374415), // Rule ID 1143 //
     /* 2374386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2374389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374401 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374414 */     // GIR_Coverage, 1143,
     /* 2374414 */     GIR_EraseRootFromParent_Done,
     /* 2374415 */   // Label 33899: @2374415
     /* 2374415 */   GIM_Reject,
     /* 2374416 */ // Label 33895: @2374416
     /* 2374416 */ GIM_Reject,
     /* 2374417 */ // Label 33873: @2374417
     /* 2374417 */ GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2374599),
     /* 2374422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2374425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2374428 */   GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2374462), // Rule ID 1475 //
     /* 2374433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2374436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374448 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374461 */     // GIR_Coverage, 1475,
     /* 2374461 */     GIR_EraseRootFromParent_Done,
     /* 2374462 */   // Label 33901: @2374462
     /* 2374462 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2374496), // Rule ID 1476 //
     /* 2374467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2374470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374482 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374495 */     // GIR_Coverage, 1476,
     /* 2374495 */     GIR_EraseRootFromParent_Done,
     /* 2374496 */   // Label 33902: @2374496
     /* 2374496 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2374530), // Rule ID 1479 //
     /* 2374501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2374504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374516 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374529 */     // GIR_Coverage, 1479,
     /* 2374529 */     GIR_EraseRootFromParent_Done,
     /* 2374530 */   // Label 33903: @2374530
     /* 2374530 */   GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2374564), // Rule ID 1480 //
     /* 2374535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2374538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374550 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374563 */     // GIR_Coverage, 1480,
     /* 2374563 */     GIR_EraseRootFromParent_Done,
     /* 2374564 */   // Label 33904: @2374564
     /* 2374564 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2374598), // Rule ID 1483 //
     /* 2374569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2374572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374584 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2374587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374597 */     // GIR_Coverage, 1483,
     /* 2374597 */     GIR_EraseRootFromParent_Done,
     /* 2374598 */   // Label 33905: @2374598
     /* 2374598 */   GIM_Reject,
     /* 2374599 */ // Label 33900: @2374599
     /* 2374599 */ GIM_Reject,
     /* 2374600 */ // Label 33874: @2374600
     /* 2374600 */ GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2374720),
     /* 2374605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2374608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2374611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374623 */   GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2374671), // Rule ID 53321 //
     /* 2374628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374631 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2374634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2374648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374670 */     // GIR_Coverage, 53321,
     /* 2374670 */     GIR_EraseRootFromParent_Done,
     /* 2374671 */   // Label 33907: @2374671
     /* 2374671 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2374719), // Rule ID 53322 //
     /* 2374676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374679 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2374682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2374696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374718 */     // GIR_Coverage, 53322,
     /* 2374718 */     GIR_EraseRootFromParent_Done,
     /* 2374719 */   // Label 33908: @2374719
     /* 2374719 */   GIM_Reject,
     /* 2374720 */ // Label 33906: @2374720
     /* 2374720 */ GIM_Reject,
     /* 2374721 */ // Label 33875: @2374721
     /* 2374721 */ GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2374841),
     /* 2374726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2374729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2374732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374744 */   GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2374792), // Rule ID 53345 //
     /* 2374749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374752 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2374769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374791 */     // GIR_Coverage, 53345,
     /* 2374791 */     GIR_EraseRootFromParent_Done,
     /* 2374792 */   // Label 33910: @2374792
     /* 2374792 */   GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2374840), // Rule ID 53346 //
     /* 2374797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374800 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2374817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374839 */     // GIR_Coverage, 53346,
     /* 2374839 */     GIR_EraseRootFromParent_Done,
     /* 2374840 */   // Label 33911: @2374840
     /* 2374840 */   GIM_Reject,
     /* 2374841 */ // Label 33909: @2374841
     /* 2374841 */ GIM_Reject,
     /* 2374842 */ // Label 33876: @2374842
     /* 2374842 */ GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2374962),
     /* 2374847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2374850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2374853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374865 */   GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2374913), // Rule ID 53381 //
     /* 2374870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2374873 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2374890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374912 */     // GIR_Coverage, 53381,
     /* 2374912 */     GIR_EraseRootFromParent_Done,
     /* 2374913 */   // Label 33913: @2374913
     /* 2374913 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2374961), // Rule ID 53382 //
     /* 2374918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2374921 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2374938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374960 */     // GIR_Coverage, 53382,
     /* 2374960 */     GIR_EraseRootFromParent_Done,
     /* 2374961 */   // Label 33914: @2374961
     /* 2374961 */   GIM_Reject,
     /* 2374962 */ // Label 33912: @2374962
     /* 2374962 */ GIM_Reject,
     /* 2374963 */ // Label 33877: @2374963
     /* 2374963 */ GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2375083),
     /* 2374968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2374971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2374974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374986 */   GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2375034), // Rule ID 53333 //
     /* 2374991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374994 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2374997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2375011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375033 */     // GIR_Coverage, 53333,
     /* 2375033 */     GIR_EraseRootFromParent_Done,
     /* 2375034 */   // Label 33916: @2375034
     /* 2375034 */   GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2375082), // Rule ID 53334 //
     /* 2375039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375042 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2375059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375081 */     // GIR_Coverage, 53334,
     /* 2375081 */     GIR_EraseRootFromParent_Done,
     /* 2375082 */   // Label 33917: @2375082
     /* 2375082 */   GIM_Reject,
     /* 2375083 */ // Label 33915: @2375083
     /* 2375083 */ GIM_Reject,
     /* 2375084 */ // Label 33878: @2375084
     /* 2375084 */ GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2375204),
     /* 2375089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2375095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375107 */   GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2375155), // Rule ID 53369 //
     /* 2375112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375115 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375154 */     // GIR_Coverage, 53369,
     /* 2375154 */     GIR_EraseRootFromParent_Done,
     /* 2375155 */   // Label 33919: @2375155
     /* 2375155 */   GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2375203), // Rule ID 53370 //
     /* 2375160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375163 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375202 */     // GIR_Coverage, 53370,
     /* 2375202 */     GIR_EraseRootFromParent_Done,
     /* 2375203 */   // Label 33920: @2375203
     /* 2375203 */   GIM_Reject,
     /* 2375204 */ // Label 33918: @2375204
     /* 2375204 */ GIM_Reject,
     /* 2375205 */ // Label 33879: @2375205
     /* 2375205 */ GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2375325),
     /* 2375210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2375216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375228 */   GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2375276), // Rule ID 53465 //
     /* 2375233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375236 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375275 */     // GIR_Coverage, 53465,
     /* 2375275 */     GIR_EraseRootFromParent_Done,
     /* 2375276 */   // Label 33922: @2375276
     /* 2375276 */   GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2375324), // Rule ID 53466 //
     /* 2375281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375284 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375323 */     // GIR_Coverage, 53466,
     /* 2375323 */     GIR_EraseRootFromParent_Done,
     /* 2375324 */   // Label 33923: @2375324
     /* 2375324 */   GIM_Reject,
     /* 2375325 */ // Label 33921: @2375325
     /* 2375325 */ GIM_Reject,
     /* 2375326 */ // Label 33880: @2375326
     /* 2375326 */ GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2375446),
     /* 2375331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2375334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2375337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375349 */   GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2375397), // Rule ID 53357 //
     /* 2375354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375357 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375396 */     // GIR_Coverage, 53357,
     /* 2375396 */     GIR_EraseRootFromParent_Done,
     /* 2375397 */   // Label 33925: @2375397
     /* 2375397 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2375445), // Rule ID 53358 //
     /* 2375402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375405 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375444 */     // GIR_Coverage, 53358,
     /* 2375444 */     GIR_EraseRootFromParent_Done,
     /* 2375445 */   // Label 33926: @2375445
     /* 2375445 */   GIM_Reject,
     /* 2375446 */ // Label 33924: @2375446
     /* 2375446 */ GIM_Reject,
     /* 2375447 */ // Label 33881: @2375447
     /* 2375447 */ GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2375567),
     /* 2375452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2375455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2375458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375470 */   GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2375518), // Rule ID 53429 //
     /* 2375475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375478 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375517 */     // GIR_Coverage, 53429,
     /* 2375517 */     GIR_EraseRootFromParent_Done,
     /* 2375518 */   // Label 33928: @2375518
     /* 2375518 */   GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2375566), // Rule ID 53430 //
     /* 2375523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375526 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375565 */     // GIR_Coverage, 53430,
     /* 2375565 */     GIR_EraseRootFromParent_Done,
     /* 2375566 */   // Label 33929: @2375566
     /* 2375566 */   GIM_Reject,
     /* 2375567 */ // Label 33927: @2375567
     /* 2375567 */ GIM_Reject,
     /* 2375568 */ // Label 33882: @2375568
     /* 2375568 */ GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2375688),
     /* 2375573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2375576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2375579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375591 */   GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2375639), // Rule ID 53477 //
     /* 2375596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375599 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2375616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375638 */     // GIR_Coverage, 53477,
     /* 2375638 */     GIR_EraseRootFromParent_Done,
     /* 2375639 */   // Label 33931: @2375639
     /* 2375639 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2375687), // Rule ID 53478 //
     /* 2375644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375647 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2375664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375686 */     // GIR_Coverage, 53478,
     /* 2375686 */     GIR_EraseRootFromParent_Done,
     /* 2375687 */   // Label 33932: @2375687
     /* 2375687 */   GIM_Reject,
     /* 2375688 */ // Label 33930: @2375688
     /* 2375688 */ GIM_Reject,
     /* 2375689 */ // Label 33883: @2375689
     /* 2375689 */ GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2375809),
     /* 2375694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2375697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2375700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375712 */   GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2375760), // Rule ID 53393 //
     /* 2375717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375720 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2375737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375759 */     // GIR_Coverage, 53393,
     /* 2375759 */     GIR_EraseRootFromParent_Done,
     /* 2375760 */   // Label 33934: @2375760
     /* 2375760 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2375808), // Rule ID 53394 //
     /* 2375765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375768 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2375785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375807 */     // GIR_Coverage, 53394,
     /* 2375807 */     GIR_EraseRootFromParent_Done,
     /* 2375808 */   // Label 33935: @2375808
     /* 2375808 */   GIM_Reject,
     /* 2375809 */ // Label 33933: @2375809
     /* 2375809 */ GIM_Reject,
     /* 2375810 */ // Label 33884: @2375810
     /* 2375810 */ GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2375930),
     /* 2375815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2375818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2375821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375833 */   GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2375881), // Rule ID 53441 //
     /* 2375838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375841 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2375858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375880 */     // GIR_Coverage, 53441,
     /* 2375880 */     GIR_EraseRootFromParent_Done,
     /* 2375881 */   // Label 33937: @2375881
     /* 2375881 */   GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2375929), // Rule ID 53442 //
     /* 2375886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375889 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2375906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375928 */     // GIR_Coverage, 53442,
     /* 2375928 */     GIR_EraseRootFromParent_Done,
     /* 2375929 */   // Label 33938: @2375929
     /* 2375929 */   GIM_Reject,
     /* 2375930 */ // Label 33936: @2375930
     /* 2375930 */ GIM_Reject,
     /* 2375931 */ // Label 33885: @2375931
     /* 2375931 */ GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2376051),
     /* 2375936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2375939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2375942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375954 */   GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2376002), // Rule ID 53489 //
     /* 2375959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375962 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2375965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2375979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376001 */     // GIR_Coverage, 53489,
     /* 2376001 */     GIR_EraseRootFromParent_Done,
     /* 2376002 */   // Label 33940: @2376002
     /* 2376002 */   GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2376050), // Rule ID 53490 //
     /* 2376007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376010 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2376027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376049 */     // GIR_Coverage, 53490,
     /* 2376049 */     GIR_EraseRootFromParent_Done,
     /* 2376050 */   // Label 33941: @2376050
     /* 2376050 */   GIM_Reject,
     /* 2376051 */ // Label 33939: @2376051
     /* 2376051 */ GIM_Reject,
     /* 2376052 */ // Label 33886: @2376052
     /* 2376052 */ GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2376172),
     /* 2376057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2376063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376075 */   GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2376123), // Rule ID 53405 //
     /* 2376080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376083 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376122 */     // GIR_Coverage, 53405,
     /* 2376122 */     GIR_EraseRootFromParent_Done,
     /* 2376123 */   // Label 33943: @2376123
     /* 2376123 */   GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2376171), // Rule ID 53406 //
     /* 2376128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376131 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376170 */     // GIR_Coverage, 53406,
     /* 2376170 */     GIR_EraseRootFromParent_Done,
     /* 2376171 */   // Label 33944: @2376171
     /* 2376171 */   GIM_Reject,
     /* 2376172 */ // Label 33942: @2376172
     /* 2376172 */ GIM_Reject,
     /* 2376173 */ // Label 33887: @2376173
     /* 2376173 */ GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2376293),
     /* 2376178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2376184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376196 */   GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2376244), // Rule ID 53453 //
     /* 2376201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376204 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376243 */     // GIR_Coverage, 53453,
     /* 2376243 */     GIR_EraseRootFromParent_Done,
     /* 2376244 */   // Label 33946: @2376244
     /* 2376244 */   GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2376292), // Rule ID 53454 //
     /* 2376249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376252 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376291 */     // GIR_Coverage, 53454,
     /* 2376291 */     GIR_EraseRootFromParent_Done,
     /* 2376292 */   // Label 33947: @2376292
     /* 2376292 */   GIM_Reject,
     /* 2376293 */ // Label 33945: @2376293
     /* 2376293 */ GIM_Reject,
     /* 2376294 */ // Label 33888: @2376294
     /* 2376294 */ GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2376414),
     /* 2376299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2376302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2376305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376317 */   GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2376365), // Rule ID 53417 //
     /* 2376322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376325 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376364 */     // GIR_Coverage, 53417,
     /* 2376364 */     GIR_EraseRootFromParent_Done,
     /* 2376365 */   // Label 33949: @2376365
     /* 2376365 */   GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2376413), // Rule ID 53418 //
     /* 2376370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376373 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376412 */     // GIR_Coverage, 53418,
     /* 2376412 */     GIR_EraseRootFromParent_Done,
     /* 2376413 */   // Label 33950: @2376413
     /* 2376413 */   GIM_Reject,
     /* 2376414 */ // Label 33948: @2376414
     /* 2376414 */ GIM_Reject,
     /* 2376415 */ // Label 33889: @2376415
     /* 2376415 */ GIM_Reject,
     /* 2376416 */ // Label 98: @2376416
     /* 2376416 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33969*/ GIMT_Encode4(2378843),
     /* 2376427 */ /*GILLT_s16*//*Label 33951*/ GIMT_Encode4(2376547),
     /* 2376431 */ /*GILLT_s32*//*Label 33952*/ GIMT_Encode4(2376696),
     /* 2376435 */ /*GILLT_s64*//*Label 33953*/ GIMT_Encode4(2376845), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376447 */ /*GILLT_nxv1s16*//*Label 33954*/ GIMT_Encode4(2377028),
     /* 2376451 */ /*GILLT_nxv1s32*//*Label 33955*/ GIMT_Encode4(2377149),
     /* 2376455 */ /*GILLT_nxv1s64*//*Label 33956*/ GIMT_Encode4(2377270), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376467 */ /*GILLT_nxv2s16*//*Label 33957*/ GIMT_Encode4(2377391),
     /* 2376471 */ /*GILLT_nxv2s32*//*Label 33958*/ GIMT_Encode4(2377512),
     /* 2376475 */ /*GILLT_nxv2s64*//*Label 33959*/ GIMT_Encode4(2377633), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376487 */ /*GILLT_nxv4s16*//*Label 33960*/ GIMT_Encode4(2377754),
     /* 2376491 */ /*GILLT_nxv4s32*//*Label 33961*/ GIMT_Encode4(2377875),
     /* 2376495 */ /*GILLT_nxv4s64*//*Label 33962*/ GIMT_Encode4(2377996), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376507 */ /*GILLT_nxv8s16*//*Label 33963*/ GIMT_Encode4(2378117),
     /* 2376511 */ /*GILLT_nxv8s32*//*Label 33964*/ GIMT_Encode4(2378238),
     /* 2376515 */ /*GILLT_nxv8s64*//*Label 33965*/ GIMT_Encode4(2378359), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376527 */ /*GILLT_nxv16s16*//*Label 33966*/ GIMT_Encode4(2378480),
     /* 2376531 */ /*GILLT_nxv16s32*//*Label 33967*/ GIMT_Encode4(2378601), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376543 */ /*GILLT_nxv32s16*//*Label 33968*/ GIMT_Encode4(2378722),
     /* 2376547 */ // Label 33951: @2376547
     /* 2376547 */ GIM_Try, /*On fail goto*//*Label 33970*/ GIMT_Encode4(2376695),
     /* 2376552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2376558 */   GIM_Try, /*On fail goto*//*Label 33971*/ GIMT_Encode4(2376592), // Rule ID 1855 //
     /* 2376563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2376566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376578 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2376578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2376581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376591 */     // GIR_Coverage, 1855,
     /* 2376591 */     GIR_EraseRootFromParent_Done,
     /* 2376592 */   // Label 33971: @2376592
     /* 2376592 */   GIM_Try, /*On fail goto*//*Label 33972*/ GIMT_Encode4(2376626), // Rule ID 1856 //
     /* 2376597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2376600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376612 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2376612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2376615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376625 */     // GIR_Coverage, 1856,
     /* 2376625 */     GIR_EraseRootFromParent_Done,
     /* 2376626 */   // Label 33972: @2376626
     /* 2376626 */   GIM_Try, /*On fail goto*//*Label 33973*/ GIMT_Encode4(2376660), // Rule ID 1859 //
     /* 2376631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2376634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376646 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2376646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2376649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376659 */     // GIR_Coverage, 1859,
     /* 2376659 */     GIR_EraseRootFromParent_Done,
     /* 2376660 */   // Label 33973: @2376660
     /* 2376660 */   GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2376694), // Rule ID 1860 //
     /* 2376665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2376668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376680 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2376680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2376683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376693 */     // GIR_Coverage, 1860,
     /* 2376693 */     GIR_EraseRootFromParent_Done,
     /* 2376694 */   // Label 33974: @2376694
     /* 2376694 */   GIM_Reject,
     /* 2376695 */ // Label 33970: @2376695
     /* 2376695 */ GIM_Reject,
     /* 2376696 */ // Label 33952: @2376696
     /* 2376696 */ GIM_Try, /*On fail goto*//*Label 33975*/ GIMT_Encode4(2376844),
     /* 2376701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2376707 */   GIM_Try, /*On fail goto*//*Label 33976*/ GIMT_Encode4(2376741), // Rule ID 1146 //
     /* 2376712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2376715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376727 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2376727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2376730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376740 */     // GIR_Coverage, 1146,
     /* 2376740 */     GIR_EraseRootFromParent_Done,
     /* 2376741 */   // Label 33976: @2376741
     /* 2376741 */   GIM_Try, /*On fail goto*//*Label 33977*/ GIMT_Encode4(2376775), // Rule ID 1147 //
     /* 2376746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2376749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376761 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2376761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2376764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376774 */     // GIR_Coverage, 1147,
     /* 2376774 */     GIR_EraseRootFromParent_Done,
     /* 2376775 */   // Label 33977: @2376775
     /* 2376775 */   GIM_Try, /*On fail goto*//*Label 33978*/ GIMT_Encode4(2376809), // Rule ID 1150 //
     /* 2376780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2376783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376795 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2376795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2376798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376808 */     // GIR_Coverage, 1150,
     /* 2376808 */     GIR_EraseRootFromParent_Done,
     /* 2376809 */   // Label 33978: @2376809
     /* 2376809 */   GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2376843), // Rule ID 1151 //
     /* 2376814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2376817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376829 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2376829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2376832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376842 */     // GIR_Coverage, 1151,
     /* 2376842 */     GIR_EraseRootFromParent_Done,
     /* 2376843 */   // Label 33979: @2376843
     /* 2376843 */   GIM_Reject,
     /* 2376844 */ // Label 33975: @2376844
     /* 2376844 */ GIM_Reject,
     /* 2376845 */ // Label 33953: @2376845
     /* 2376845 */ GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2377027),
     /* 2376850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2376856 */   GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2376890), // Rule ID 1485 //
     /* 2376861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2376864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376876 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2376876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2376879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376889 */     // GIR_Coverage, 1485,
     /* 2376889 */     GIR_EraseRootFromParent_Done,
     /* 2376890 */   // Label 33981: @2376890
     /* 2376890 */   GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2376924), // Rule ID 1486 //
     /* 2376895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2376898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376910 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2376910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2376913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376923 */     // GIR_Coverage, 1486,
     /* 2376923 */     GIR_EraseRootFromParent_Done,
     /* 2376924 */   // Label 33982: @2376924
     /* 2376924 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2376958), // Rule ID 1489 //
     /* 2376929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2376932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376944 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2376944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2376947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376957 */     // GIR_Coverage, 1489,
     /* 2376957 */     GIR_EraseRootFromParent_Done,
     /* 2376958 */   // Label 33983: @2376958
     /* 2376958 */   GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2376992), // Rule ID 1490 //
     /* 2376963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2376966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376978 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2376978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2376981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376991 */     // GIR_Coverage, 1490,
     /* 2376991 */     GIR_EraseRootFromParent_Done,
     /* 2376992 */   // Label 33984: @2376992
     /* 2376992 */   GIM_Try, /*On fail goto*//*Label 33985*/ GIMT_Encode4(2377026), // Rule ID 1493 //
     /* 2376997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2377000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377012 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2377015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377025 */     // GIR_Coverage, 1493,
     /* 2377025 */     GIR_EraseRootFromParent_Done,
     /* 2377026 */   // Label 33985: @2377026
     /* 2377026 */   GIM_Reject,
     /* 2377027 */ // Label 33980: @2377027
     /* 2377027 */ GIM_Reject,
     /* 2377028 */ // Label 33954: @2377028
     /* 2377028 */ GIM_Try, /*On fail goto*//*Label 33986*/ GIMT_Encode4(2377148),
     /* 2377033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2377036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2377039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377051 */   GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2377099), // Rule ID 54089 //
     /* 2377056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377059 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377098 */     // GIR_Coverage, 54089,
     /* 2377098 */     GIR_EraseRootFromParent_Done,
     /* 2377099 */   // Label 33987: @2377099
     /* 2377099 */   GIM_Try, /*On fail goto*//*Label 33988*/ GIMT_Encode4(2377147), // Rule ID 54090 //
     /* 2377104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377107 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377146 */     // GIR_Coverage, 54090,
     /* 2377146 */     GIR_EraseRootFromParent_Done,
     /* 2377147 */   // Label 33988: @2377147
     /* 2377147 */   GIM_Reject,
     /* 2377148 */ // Label 33986: @2377148
     /* 2377148 */ GIM_Reject,
     /* 2377149 */ // Label 33955: @2377149
     /* 2377149 */ GIM_Try, /*On fail goto*//*Label 33989*/ GIMT_Encode4(2377269),
     /* 2377154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2377160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377172 */   GIM_Try, /*On fail goto*//*Label 33990*/ GIMT_Encode4(2377220), // Rule ID 54113 //
     /* 2377177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377180 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377219 */     // GIR_Coverage, 54113,
     /* 2377219 */     GIR_EraseRootFromParent_Done,
     /* 2377220 */   // Label 33990: @2377220
     /* 2377220 */   GIM_Try, /*On fail goto*//*Label 33991*/ GIMT_Encode4(2377268), // Rule ID 54114 //
     /* 2377225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377228 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377267 */     // GIR_Coverage, 54114,
     /* 2377267 */     GIR_EraseRootFromParent_Done,
     /* 2377268 */   // Label 33991: @2377268
     /* 2377268 */   GIM_Reject,
     /* 2377269 */ // Label 33989: @2377269
     /* 2377269 */ GIM_Reject,
     /* 2377270 */ // Label 33956: @2377270
     /* 2377270 */ GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2377390),
     /* 2377275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2377278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2377281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377293 */   GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2377341), // Rule ID 54149 //
     /* 2377298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2377301 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377340 */     // GIR_Coverage, 54149,
     /* 2377340 */     GIR_EraseRootFromParent_Done,
     /* 2377341 */   // Label 33993: @2377341
     /* 2377341 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2377389), // Rule ID 54150 //
     /* 2377346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2377349 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377388 */     // GIR_Coverage, 54150,
     /* 2377388 */     GIR_EraseRootFromParent_Done,
     /* 2377389 */   // Label 33994: @2377389
     /* 2377389 */   GIM_Reject,
     /* 2377390 */ // Label 33992: @2377390
     /* 2377390 */ GIM_Reject,
     /* 2377391 */ // Label 33957: @2377391
     /* 2377391 */ GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2377511),
     /* 2377396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2377399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2377402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377414 */   GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2377462), // Rule ID 54101 //
     /* 2377419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377422 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377461 */     // GIR_Coverage, 54101,
     /* 2377461 */     GIR_EraseRootFromParent_Done,
     /* 2377462 */   // Label 33996: @2377462
     /* 2377462 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2377510), // Rule ID 54102 //
     /* 2377467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377470 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377509 */     // GIR_Coverage, 54102,
     /* 2377509 */     GIR_EraseRootFromParent_Done,
     /* 2377510 */   // Label 33997: @2377510
     /* 2377510 */   GIM_Reject,
     /* 2377511 */ // Label 33995: @2377511
     /* 2377511 */ GIM_Reject,
     /* 2377512 */ // Label 33958: @2377512
     /* 2377512 */ GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2377632),
     /* 2377517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2377520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2377523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377535 */   GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2377583), // Rule ID 54137 //
     /* 2377540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377543 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377582 */     // GIR_Coverage, 54137,
     /* 2377582 */     GIR_EraseRootFromParent_Done,
     /* 2377583 */   // Label 33999: @2377583
     /* 2377583 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2377631), // Rule ID 54138 //
     /* 2377588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377591 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377630 */     // GIR_Coverage, 54138,
     /* 2377630 */     GIR_EraseRootFromParent_Done,
     /* 2377631 */   // Label 34000: @2377631
     /* 2377631 */   GIM_Reject,
     /* 2377632 */ // Label 33998: @2377632
     /* 2377632 */ GIM_Reject,
     /* 2377633 */ // Label 33959: @2377633
     /* 2377633 */ GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2377753),
     /* 2377638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2377641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2377644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377656 */   GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2377704), // Rule ID 54233 //
     /* 2377661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2377664 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2377667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2377681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377703 */     // GIR_Coverage, 54233,
     /* 2377703 */     GIR_EraseRootFromParent_Done,
     /* 2377704 */   // Label 34002: @2377704
     /* 2377704 */   GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2377752), // Rule ID 54234 //
     /* 2377709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2377712 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2377715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2377729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377751 */     // GIR_Coverage, 54234,
     /* 2377751 */     GIR_EraseRootFromParent_Done,
     /* 2377752 */   // Label 34003: @2377752
     /* 2377752 */   GIM_Reject,
     /* 2377753 */ // Label 34001: @2377753
     /* 2377753 */ GIM_Reject,
     /* 2377754 */ // Label 33960: @2377754
     /* 2377754 */ GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2377874),
     /* 2377759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2377762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2377765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377777 */   GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2377825), // Rule ID 54125 //
     /* 2377782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377785 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2377788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2377802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377824 */     // GIR_Coverage, 54125,
     /* 2377824 */     GIR_EraseRootFromParent_Done,
     /* 2377825 */   // Label 34005: @2377825
     /* 2377825 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2377873), // Rule ID 54126 //
     /* 2377830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377833 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2377836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2377850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377872 */     // GIR_Coverage, 54126,
     /* 2377872 */     GIR_EraseRootFromParent_Done,
     /* 2377873 */   // Label 34006: @2377873
     /* 2377873 */   GIM_Reject,
     /* 2377874 */ // Label 34004: @2377874
     /* 2377874 */ GIM_Reject,
     /* 2377875 */ // Label 33961: @2377875
     /* 2377875 */ GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2377995),
     /* 2377880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2377883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2377886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377898 */   GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2377946), // Rule ID 54197 //
     /* 2377903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377906 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2377909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2377923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377945 */     // GIR_Coverage, 54197,
     /* 2377945 */     GIR_EraseRootFromParent_Done,
     /* 2377946 */   // Label 34008: @2377946
     /* 2377946 */   GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2377994), // Rule ID 54198 //
     /* 2377951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377954 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2377957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2377971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377993 */     // GIR_Coverage, 54198,
     /* 2377993 */     GIR_EraseRootFromParent_Done,
     /* 2377994 */   // Label 34009: @2377994
     /* 2377994 */   GIM_Reject,
     /* 2377995 */ // Label 34007: @2377995
     /* 2377995 */ GIM_Reject,
     /* 2377996 */ // Label 33962: @2377996
     /* 2377996 */ GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2378116),
     /* 2378001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2378007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378019 */   GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2378067), // Rule ID 54245 //
     /* 2378024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378027 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2378044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378066 */     // GIR_Coverage, 54245,
     /* 2378066 */     GIR_EraseRootFromParent_Done,
     /* 2378067 */   // Label 34011: @2378067
     /* 2378067 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2378115), // Rule ID 54246 //
     /* 2378072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378075 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2378092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378114 */     // GIR_Coverage, 54246,
     /* 2378114 */     GIR_EraseRootFromParent_Done,
     /* 2378115 */   // Label 34012: @2378115
     /* 2378115 */   GIM_Reject,
     /* 2378116 */ // Label 34010: @2378116
     /* 2378116 */ GIM_Reject,
     /* 2378117 */ // Label 33963: @2378117
     /* 2378117 */ GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2378237),
     /* 2378122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2378128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378140 */   GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2378188), // Rule ID 54161 //
     /* 2378145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378148 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378187 */     // GIR_Coverage, 54161,
     /* 2378187 */     GIR_EraseRootFromParent_Done,
     /* 2378188 */   // Label 34014: @2378188
     /* 2378188 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2378236), // Rule ID 54162 //
     /* 2378193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378196 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378235 */     // GIR_Coverage, 54162,
     /* 2378235 */     GIR_EraseRootFromParent_Done,
     /* 2378236 */   // Label 34015: @2378236
     /* 2378236 */   GIM_Reject,
     /* 2378237 */ // Label 34013: @2378237
     /* 2378237 */ GIM_Reject,
     /* 2378238 */ // Label 33964: @2378238
     /* 2378238 */ GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2378358),
     /* 2378243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2378246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2378249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378261 */   GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2378309), // Rule ID 54209 //
     /* 2378266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378269 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378308 */     // GIR_Coverage, 54209,
     /* 2378308 */     GIR_EraseRootFromParent_Done,
     /* 2378309 */   // Label 34017: @2378309
     /* 2378309 */   GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2378357), // Rule ID 54210 //
     /* 2378314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378317 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378356 */     // GIR_Coverage, 54210,
     /* 2378356 */     GIR_EraseRootFromParent_Done,
     /* 2378357 */   // Label 34018: @2378357
     /* 2378357 */   GIM_Reject,
     /* 2378358 */ // Label 34016: @2378358
     /* 2378358 */ GIM_Reject,
     /* 2378359 */ // Label 33965: @2378359
     /* 2378359 */ GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2378479),
     /* 2378364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2378367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2378370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378382 */   GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2378430), // Rule ID 54257 //
     /* 2378387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378390 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378429 */     // GIR_Coverage, 54257,
     /* 2378429 */     GIR_EraseRootFromParent_Done,
     /* 2378430 */   // Label 34020: @2378430
     /* 2378430 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2378478), // Rule ID 54258 //
     /* 2378435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378438 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378477 */     // GIR_Coverage, 54258,
     /* 2378477 */     GIR_EraseRootFromParent_Done,
     /* 2378478 */   // Label 34021: @2378478
     /* 2378478 */   GIM_Reject,
     /* 2378479 */ // Label 34019: @2378479
     /* 2378479 */ GIM_Reject,
     /* 2378480 */ // Label 33966: @2378480
     /* 2378480 */ GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2378600),
     /* 2378485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2378488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2378491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378503 */   GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2378551), // Rule ID 54173 //
     /* 2378508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378511 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378550 */     // GIR_Coverage, 54173,
     /* 2378550 */     GIR_EraseRootFromParent_Done,
     /* 2378551 */   // Label 34023: @2378551
     /* 2378551 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2378599), // Rule ID 54174 //
     /* 2378556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378559 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378598 */     // GIR_Coverage, 54174,
     /* 2378598 */     GIR_EraseRootFromParent_Done,
     /* 2378599 */   // Label 34024: @2378599
     /* 2378599 */   GIM_Reject,
     /* 2378600 */ // Label 34022: @2378600
     /* 2378600 */ GIM_Reject,
     /* 2378601 */ // Label 33967: @2378601
     /* 2378601 */ GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2378721),
     /* 2378606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2378609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2378612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378624 */   GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2378672), // Rule ID 54221 //
     /* 2378629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378632 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2378635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2378649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378671 */     // GIR_Coverage, 54221,
     /* 2378671 */     GIR_EraseRootFromParent_Done,
     /* 2378672 */   // Label 34026: @2378672
     /* 2378672 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2378720), // Rule ID 54222 //
     /* 2378677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378680 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2378683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2378697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378719 */     // GIR_Coverage, 54222,
     /* 2378719 */     GIR_EraseRootFromParent_Done,
     /* 2378720 */   // Label 34027: @2378720
     /* 2378720 */   GIM_Reject,
     /* 2378721 */ // Label 34025: @2378721
     /* 2378721 */ GIM_Reject,
     /* 2378722 */ // Label 33968: @2378722
     /* 2378722 */ GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2378842),
     /* 2378727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2378730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2378733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378745 */   GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2378793), // Rule ID 54185 //
     /* 2378750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378753 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2378756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2378770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378792 */     // GIR_Coverage, 54185,
     /* 2378792 */     GIR_EraseRootFromParent_Done,
     /* 2378793 */   // Label 34029: @2378793
     /* 2378793 */   GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2378841), // Rule ID 54186 //
     /* 2378798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378801 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2378804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2378818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378840 */     // GIR_Coverage, 54186,
     /* 2378840 */     GIR_EraseRootFromParent_Done,
     /* 2378841 */   // Label 34030: @2378841
     /* 2378841 */   GIM_Reject,
     /* 2378842 */ // Label 34028: @2378842
     /* 2378842 */ GIM_Reject,
     /* 2378843 */ // Label 33969: @2378843
     /* 2378843 */ GIM_Reject,
     /* 2378844 */ // Label 99: @2378844
     /* 2378844 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34049*/ GIMT_Encode4(2381271),
     /* 2378855 */ /*GILLT_s16*//*Label 34031*/ GIMT_Encode4(2378975),
     /* 2378859 */ /*GILLT_s32*//*Label 34032*/ GIMT_Encode4(2379124),
     /* 2378863 */ /*GILLT_s64*//*Label 34033*/ GIMT_Encode4(2379273), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378875 */ /*GILLT_nxv1s16*//*Label 34034*/ GIMT_Encode4(2379456),
     /* 2378879 */ /*GILLT_nxv1s32*//*Label 34035*/ GIMT_Encode4(2379577),
     /* 2378883 */ /*GILLT_nxv1s64*//*Label 34036*/ GIMT_Encode4(2379698), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378895 */ /*GILLT_nxv2s16*//*Label 34037*/ GIMT_Encode4(2379819),
     /* 2378899 */ /*GILLT_nxv2s32*//*Label 34038*/ GIMT_Encode4(2379940),
     /* 2378903 */ /*GILLT_nxv2s64*//*Label 34039*/ GIMT_Encode4(2380061), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378915 */ /*GILLT_nxv4s16*//*Label 34040*/ GIMT_Encode4(2380182),
     /* 2378919 */ /*GILLT_nxv4s32*//*Label 34041*/ GIMT_Encode4(2380303),
     /* 2378923 */ /*GILLT_nxv4s64*//*Label 34042*/ GIMT_Encode4(2380424), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378935 */ /*GILLT_nxv8s16*//*Label 34043*/ GIMT_Encode4(2380545),
     /* 2378939 */ /*GILLT_nxv8s32*//*Label 34044*/ GIMT_Encode4(2380666),
     /* 2378943 */ /*GILLT_nxv8s64*//*Label 34045*/ GIMT_Encode4(2380787), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378955 */ /*GILLT_nxv16s16*//*Label 34046*/ GIMT_Encode4(2380908),
     /* 2378959 */ /*GILLT_nxv16s32*//*Label 34047*/ GIMT_Encode4(2381029), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378971 */ /*GILLT_nxv32s16*//*Label 34048*/ GIMT_Encode4(2381150),
     /* 2378975 */ // Label 34031: @2378975
     /* 2378975 */ GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2379123),
     /* 2378980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2378986 */   GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2379020), // Rule ID 1863 //
     /* 2378991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2378994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379006 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2379006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2379009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379019 */     // GIR_Coverage, 1863,
     /* 2379019 */     GIR_EraseRootFromParent_Done,
     /* 2379020 */   // Label 34051: @2379020
     /* 2379020 */   GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2379054), // Rule ID 1864 //
     /* 2379025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2379028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379040 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2379040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2379043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379053 */     // GIR_Coverage, 1864,
     /* 2379053 */     GIR_EraseRootFromParent_Done,
     /* 2379054 */   // Label 34052: @2379054
     /* 2379054 */   GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2379088), // Rule ID 1867 //
     /* 2379059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2379062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379074 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2379074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379087 */     // GIR_Coverage, 1867,
     /* 2379087 */     GIR_EraseRootFromParent_Done,
     /* 2379088 */   // Label 34053: @2379088
     /* 2379088 */   GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2379122), // Rule ID 1868 //
     /* 2379093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2379096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379108 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2379108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379121 */     // GIR_Coverage, 1868,
     /* 2379121 */     GIR_EraseRootFromParent_Done,
     /* 2379122 */   // Label 34054: @2379122
     /* 2379122 */   GIM_Reject,
     /* 2379123 */ // Label 34050: @2379123
     /* 2379123 */ GIM_Reject,
     /* 2379124 */ // Label 34032: @2379124
     /* 2379124 */ GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2379272),
     /* 2379129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2379132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2379135 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2379169), // Rule ID 1154 //
     /* 2379140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2379143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379155 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379168 */     // GIR_Coverage, 1154,
     /* 2379168 */     GIR_EraseRootFromParent_Done,
     /* 2379169 */   // Label 34056: @2379169
     /* 2379169 */   GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2379203), // Rule ID 1155 //
     /* 2379174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2379177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379189 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379202 */     // GIR_Coverage, 1155,
     /* 2379202 */     GIR_EraseRootFromParent_Done,
     /* 2379203 */   // Label 34057: @2379203
     /* 2379203 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2379237), // Rule ID 1158 //
     /* 2379208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2379211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379223 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379236 */     // GIR_Coverage, 1158,
     /* 2379236 */     GIR_EraseRootFromParent_Done,
     /* 2379237 */   // Label 34058: @2379237
     /* 2379237 */   GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2379271), // Rule ID 1159 //
     /* 2379242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2379245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379257 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379270 */     // GIR_Coverage, 1159,
     /* 2379270 */     GIR_EraseRootFromParent_Done,
     /* 2379271 */   // Label 34059: @2379271
     /* 2379271 */   GIM_Reject,
     /* 2379272 */ // Label 34055: @2379272
     /* 2379272 */ GIM_Reject,
     /* 2379273 */ // Label 34033: @2379273
     /* 2379273 */ GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2379455),
     /* 2379278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2379284 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2379318), // Rule ID 1495 //
     /* 2379289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2379292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379304 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379317 */     // GIR_Coverage, 1495,
     /* 2379317 */     GIR_EraseRootFromParent_Done,
     /* 2379318 */   // Label 34061: @2379318
     /* 2379318 */   GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2379352), // Rule ID 1496 //
     /* 2379323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2379326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379338 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379351 */     // GIR_Coverage, 1496,
     /* 2379351 */     GIR_EraseRootFromParent_Done,
     /* 2379352 */   // Label 34062: @2379352
     /* 2379352 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2379386), // Rule ID 1499 //
     /* 2379357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2379360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379372 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379385 */     // GIR_Coverage, 1499,
     /* 2379385 */     GIR_EraseRootFromParent_Done,
     /* 2379386 */   // Label 34063: @2379386
     /* 2379386 */   GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2379420), // Rule ID 1500 //
     /* 2379391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2379394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379406 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379419 */     // GIR_Coverage, 1500,
     /* 2379419 */     GIR_EraseRootFromParent_Done,
     /* 2379420 */   // Label 34064: @2379420
     /* 2379420 */   GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2379454), // Rule ID 1503 //
     /* 2379425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2379428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379440 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2379443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379453 */     // GIR_Coverage, 1503,
     /* 2379453 */     GIR_EraseRootFromParent_Done,
     /* 2379454 */   // Label 34065: @2379454
     /* 2379454 */   GIM_Reject,
     /* 2379455 */ // Label 34060: @2379455
     /* 2379455 */ GIM_Reject,
     /* 2379456 */ // Label 34034: @2379456
     /* 2379456 */ GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2379576),
     /* 2379461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2379467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379479 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2379527), // Rule ID 54269 //
     /* 2379484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379487 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379526 */     // GIR_Coverage, 54269,
     /* 2379526 */     GIR_EraseRootFromParent_Done,
     /* 2379527 */   // Label 34067: @2379527
     /* 2379527 */   GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2379575), // Rule ID 54270 //
     /* 2379532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379535 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379574 */     // GIR_Coverage, 54270,
     /* 2379574 */     GIR_EraseRootFromParent_Done,
     /* 2379575 */   // Label 34068: @2379575
     /* 2379575 */   GIM_Reject,
     /* 2379576 */ // Label 34066: @2379576
     /* 2379576 */ GIM_Reject,
     /* 2379577 */ // Label 34035: @2379577
     /* 2379577 */ GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2379697),
     /* 2379582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2379585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2379588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379600 */   GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2379648), // Rule ID 54293 //
     /* 2379605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379608 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2379625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379647 */     // GIR_Coverage, 54293,
     /* 2379647 */     GIR_EraseRootFromParent_Done,
     /* 2379648 */   // Label 34070: @2379648
     /* 2379648 */   GIM_Try, /*On fail goto*//*Label 34071*/ GIMT_Encode4(2379696), // Rule ID 54294 //
     /* 2379653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379656 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2379673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379695 */     // GIR_Coverage, 54294,
     /* 2379695 */     GIR_EraseRootFromParent_Done,
     /* 2379696 */   // Label 34071: @2379696
     /* 2379696 */   GIM_Reject,
     /* 2379697 */ // Label 34069: @2379697
     /* 2379697 */ GIM_Reject,
     /* 2379698 */ // Label 34036: @2379698
     /* 2379698 */ GIM_Try, /*On fail goto*//*Label 34072*/ GIMT_Encode4(2379818),
     /* 2379703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2379706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2379709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379721 */   GIM_Try, /*On fail goto*//*Label 34073*/ GIMT_Encode4(2379769), // Rule ID 54329 //
     /* 2379726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2379729 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2379732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2379746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379768 */     // GIR_Coverage, 54329,
     /* 2379768 */     GIR_EraseRootFromParent_Done,
     /* 2379769 */   // Label 34073: @2379769
     /* 2379769 */   GIM_Try, /*On fail goto*//*Label 34074*/ GIMT_Encode4(2379817), // Rule ID 54330 //
     /* 2379774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2379777 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2379780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2379794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379816 */     // GIR_Coverage, 54330,
     /* 2379816 */     GIR_EraseRootFromParent_Done,
     /* 2379817 */   // Label 34074: @2379817
     /* 2379817 */   GIM_Reject,
     /* 2379818 */ // Label 34072: @2379818
     /* 2379818 */ GIM_Reject,
     /* 2379819 */ // Label 34037: @2379819
     /* 2379819 */ GIM_Try, /*On fail goto*//*Label 34075*/ GIMT_Encode4(2379939),
     /* 2379824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2379827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2379830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379842 */   GIM_Try, /*On fail goto*//*Label 34076*/ GIMT_Encode4(2379890), // Rule ID 54281 //
     /* 2379847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379850 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2379853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2379867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379889 */     // GIR_Coverage, 54281,
     /* 2379889 */     GIR_EraseRootFromParent_Done,
     /* 2379890 */   // Label 34076: @2379890
     /* 2379890 */   GIM_Try, /*On fail goto*//*Label 34077*/ GIMT_Encode4(2379938), // Rule ID 54282 //
     /* 2379895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379898 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2379901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2379915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379937 */     // GIR_Coverage, 54282,
     /* 2379937 */     GIR_EraseRootFromParent_Done,
     /* 2379938 */   // Label 34077: @2379938
     /* 2379938 */   GIM_Reject,
     /* 2379939 */ // Label 34075: @2379939
     /* 2379939 */ GIM_Reject,
     /* 2379940 */ // Label 34038: @2379940
     /* 2379940 */ GIM_Try, /*On fail goto*//*Label 34078*/ GIMT_Encode4(2380060),
     /* 2379945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2379948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2379951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379963 */   GIM_Try, /*On fail goto*//*Label 34079*/ GIMT_Encode4(2380011), // Rule ID 54317 //
     /* 2379968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379971 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2379974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2379988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380010 */     // GIR_Coverage, 54317,
     /* 2380010 */     GIR_EraseRootFromParent_Done,
     /* 2380011 */   // Label 34079: @2380011
     /* 2380011 */   GIM_Try, /*On fail goto*//*Label 34080*/ GIMT_Encode4(2380059), // Rule ID 54318 //
     /* 2380016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380019 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2380036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380058 */     // GIR_Coverage, 54318,
     /* 2380058 */     GIR_EraseRootFromParent_Done,
     /* 2380059 */   // Label 34080: @2380059
     /* 2380059 */   GIM_Reject,
     /* 2380060 */ // Label 34078: @2380060
     /* 2380060 */ GIM_Reject,
     /* 2380061 */ // Label 34039: @2380061
     /* 2380061 */ GIM_Try, /*On fail goto*//*Label 34081*/ GIMT_Encode4(2380181),
     /* 2380066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2380069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2380072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380084 */   GIM_Try, /*On fail goto*//*Label 34082*/ GIMT_Encode4(2380132), // Rule ID 54413 //
     /* 2380089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380092 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380131 */     // GIR_Coverage, 54413,
     /* 2380131 */     GIR_EraseRootFromParent_Done,
     /* 2380132 */   // Label 34082: @2380132
     /* 2380132 */   GIM_Try, /*On fail goto*//*Label 34083*/ GIMT_Encode4(2380180), // Rule ID 54414 //
     /* 2380137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380140 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380179 */     // GIR_Coverage, 54414,
     /* 2380179 */     GIR_EraseRootFromParent_Done,
     /* 2380180 */   // Label 34083: @2380180
     /* 2380180 */   GIM_Reject,
     /* 2380181 */ // Label 34081: @2380181
     /* 2380181 */ GIM_Reject,
     /* 2380182 */ // Label 34040: @2380182
     /* 2380182 */ GIM_Try, /*On fail goto*//*Label 34084*/ GIMT_Encode4(2380302),
     /* 2380187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2380190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2380193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380205 */   GIM_Try, /*On fail goto*//*Label 34085*/ GIMT_Encode4(2380253), // Rule ID 54305 //
     /* 2380210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380213 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380252 */     // GIR_Coverage, 54305,
     /* 2380252 */     GIR_EraseRootFromParent_Done,
     /* 2380253 */   // Label 34085: @2380253
     /* 2380253 */   GIM_Try, /*On fail goto*//*Label 34086*/ GIMT_Encode4(2380301), // Rule ID 54306 //
     /* 2380258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380261 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380300 */     // GIR_Coverage, 54306,
     /* 2380300 */     GIR_EraseRootFromParent_Done,
     /* 2380301 */   // Label 34086: @2380301
     /* 2380301 */   GIM_Reject,
     /* 2380302 */ // Label 34084: @2380302
     /* 2380302 */ GIM_Reject,
     /* 2380303 */ // Label 34041: @2380303
     /* 2380303 */ GIM_Try, /*On fail goto*//*Label 34087*/ GIMT_Encode4(2380423),
     /* 2380308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2380311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2380314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380326 */   GIM_Try, /*On fail goto*//*Label 34088*/ GIMT_Encode4(2380374), // Rule ID 54377 //
     /* 2380331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380334 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380373 */     // GIR_Coverage, 54377,
     /* 2380373 */     GIR_EraseRootFromParent_Done,
     /* 2380374 */   // Label 34088: @2380374
     /* 2380374 */   GIM_Try, /*On fail goto*//*Label 34089*/ GIMT_Encode4(2380422), // Rule ID 54378 //
     /* 2380379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380382 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380421 */     // GIR_Coverage, 54378,
     /* 2380421 */     GIR_EraseRootFromParent_Done,
     /* 2380422 */   // Label 34089: @2380422
     /* 2380422 */   GIM_Reject,
     /* 2380423 */ // Label 34087: @2380423
     /* 2380423 */ GIM_Reject,
     /* 2380424 */ // Label 34042: @2380424
     /* 2380424 */ GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2380544),
     /* 2380429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2380432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2380435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380447 */   GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2380495), // Rule ID 54425 //
     /* 2380452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380455 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380494 */     // GIR_Coverage, 54425,
     /* 2380494 */     GIR_EraseRootFromParent_Done,
     /* 2380495 */   // Label 34091: @2380495
     /* 2380495 */   GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2380543), // Rule ID 54426 //
     /* 2380500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380503 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380542 */     // GIR_Coverage, 54426,
     /* 2380542 */     GIR_EraseRootFromParent_Done,
     /* 2380543 */   // Label 34092: @2380543
     /* 2380543 */   GIM_Reject,
     /* 2380544 */ // Label 34090: @2380544
     /* 2380544 */ GIM_Reject,
     /* 2380545 */ // Label 34043: @2380545
     /* 2380545 */ GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2380665),
     /* 2380550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2380553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2380556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380568 */   GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2380616), // Rule ID 54341 //
     /* 2380573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380576 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2380593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380615 */     // GIR_Coverage, 54341,
     /* 2380615 */     GIR_EraseRootFromParent_Done,
     /* 2380616 */   // Label 34094: @2380616
     /* 2380616 */   GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2380664), // Rule ID 54342 //
     /* 2380621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380624 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2380641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380663 */     // GIR_Coverage, 54342,
     /* 2380663 */     GIR_EraseRootFromParent_Done,
     /* 2380664 */   // Label 34095: @2380664
     /* 2380664 */   GIM_Reject,
     /* 2380665 */ // Label 34093: @2380665
     /* 2380665 */ GIM_Reject,
     /* 2380666 */ // Label 34044: @2380666
     /* 2380666 */ GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2380786),
     /* 2380671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2380674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2380677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380689 */   GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2380737), // Rule ID 54389 //
     /* 2380694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380697 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2380700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2380714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380736 */     // GIR_Coverage, 54389,
     /* 2380736 */     GIR_EraseRootFromParent_Done,
     /* 2380737 */   // Label 34097: @2380737
     /* 2380737 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2380785), // Rule ID 54390 //
     /* 2380742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380745 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2380748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2380762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380784 */     // GIR_Coverage, 54390,
     /* 2380784 */     GIR_EraseRootFromParent_Done,
     /* 2380785 */   // Label 34098: @2380785
     /* 2380785 */   GIM_Reject,
     /* 2380786 */ // Label 34096: @2380786
     /* 2380786 */ GIM_Reject,
     /* 2380787 */ // Label 34045: @2380787
     /* 2380787 */ GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2380907),
     /* 2380792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2380795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2380798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380810 */   GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2380858), // Rule ID 54437 //
     /* 2380815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380818 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2380821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2380835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380857 */     // GIR_Coverage, 54437,
     /* 2380857 */     GIR_EraseRootFromParent_Done,
     /* 2380858 */   // Label 34100: @2380858
     /* 2380858 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2380906), // Rule ID 54438 //
     /* 2380863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380866 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2380869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2380883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380905 */     // GIR_Coverage, 54438,
     /* 2380905 */     GIR_EraseRootFromParent_Done,
     /* 2380906 */   // Label 34101: @2380906
     /* 2380906 */   GIM_Reject,
     /* 2380907 */ // Label 34099: @2380907
     /* 2380907 */ GIM_Reject,
     /* 2380908 */ // Label 34046: @2380908
     /* 2380908 */ GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2381028),
     /* 2380913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2380916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2380919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380931 */   GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2380979), // Rule ID 54353 //
     /* 2380936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380939 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2380942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2380956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380978 */     // GIR_Coverage, 54353,
     /* 2380978 */     GIR_EraseRootFromParent_Done,
     /* 2380979 */   // Label 34103: @2380979
     /* 2380979 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2381027), // Rule ID 54354 //
     /* 2380984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380987 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2380990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2381004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381026 */     // GIR_Coverage, 54354,
     /* 2381026 */     GIR_EraseRootFromParent_Done,
     /* 2381027 */   // Label 34104: @2381027
     /* 2381027 */   GIM_Reject,
     /* 2381028 */ // Label 34102: @2381028
     /* 2381028 */ GIM_Reject,
     /* 2381029 */ // Label 34047: @2381029
     /* 2381029 */ GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2381149),
     /* 2381034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2381037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2381040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381052 */   GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2381100), // Rule ID 54401 //
     /* 2381057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381060 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381099 */     // GIR_Coverage, 54401,
     /* 2381099 */     GIR_EraseRootFromParent_Done,
     /* 2381100 */   // Label 34106: @2381100
     /* 2381100 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2381148), // Rule ID 54402 //
     /* 2381105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381108 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381147 */     // GIR_Coverage, 54402,
     /* 2381147 */     GIR_EraseRootFromParent_Done,
     /* 2381148 */   // Label 34107: @2381148
     /* 2381148 */   GIM_Reject,
     /* 2381149 */ // Label 34105: @2381149
     /* 2381149 */ GIM_Reject,
     /* 2381150 */ // Label 34048: @2381150
     /* 2381150 */ GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2381270),
     /* 2381155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2381158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2381161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381173 */   GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2381221), // Rule ID 54365 //
     /* 2381178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381181 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381220 */     // GIR_Coverage, 54365,
     /* 2381220 */     GIR_EraseRootFromParent_Done,
     /* 2381221 */   // Label 34109: @2381221
     /* 2381221 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2381269), // Rule ID 54366 //
     /* 2381226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381229 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381268 */     // GIR_Coverage, 54366,
     /* 2381268 */     GIR_EraseRootFromParent_Done,
     /* 2381269 */   // Label 34110: @2381269
     /* 2381269 */   GIM_Reject,
     /* 2381270 */ // Label 34108: @2381270
     /* 2381270 */ GIM_Reject,
     /* 2381271 */ // Label 34049: @2381271
     /* 2381271 */ GIM_Reject,
     /* 2381272 */ // Label 100: @2381272
     /* 2381272 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34129*/ GIMT_Encode4(2397916),
     /* 2381283 */ /*GILLT_s16*//*Label 34111*/ GIMT_Encode4(2381403),
     /* 2381287 */ /*GILLT_s32*//*Label 34112*/ GIMT_Encode4(2382839),
     /* 2381291 */ /*GILLT_s64*//*Label 34113*/ GIMT_Encode4(2384275), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381303 */ /*GILLT_nxv1s16*//*Label 34114*/ GIMT_Encode4(2386066),
     /* 2381307 */ /*GILLT_nxv1s32*//*Label 34115*/ GIMT_Encode4(2386856),
     /* 2381311 */ /*GILLT_nxv1s64*//*Label 34116*/ GIMT_Encode4(2387646), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381323 */ /*GILLT_nxv2s16*//*Label 34117*/ GIMT_Encode4(2388436),
     /* 2381327 */ /*GILLT_nxv2s32*//*Label 34118*/ GIMT_Encode4(2389226),
     /* 2381331 */ /*GILLT_nxv2s64*//*Label 34119*/ GIMT_Encode4(2390016), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381343 */ /*GILLT_nxv4s16*//*Label 34120*/ GIMT_Encode4(2390806),
     /* 2381347 */ /*GILLT_nxv4s32*//*Label 34121*/ GIMT_Encode4(2391596),
     /* 2381351 */ /*GILLT_nxv4s64*//*Label 34122*/ GIMT_Encode4(2392386), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381363 */ /*GILLT_nxv8s16*//*Label 34123*/ GIMT_Encode4(2393176),
     /* 2381367 */ /*GILLT_nxv8s32*//*Label 34124*/ GIMT_Encode4(2393966),
     /* 2381371 */ /*GILLT_nxv8s64*//*Label 34125*/ GIMT_Encode4(2394756), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381383 */ /*GILLT_nxv16s16*//*Label 34126*/ GIMT_Encode4(2395546),
     /* 2381387 */ /*GILLT_nxv16s32*//*Label 34127*/ GIMT_Encode4(2396336), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381399 */ /*GILLT_nxv32s16*//*Label 34128*/ GIMT_Encode4(2397126),
     /* 2381403 */ // Label 34111: @2381403
     /* 2381403 */ GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2382838),
     /* 2381408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2381414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2381417 */   GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2381489), // Rule ID 1896 //
     /* 2381422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381469 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381488 */     // GIR_Coverage, 1896,
     /* 2381488 */     GIR_EraseRootFromParent_Done,
     /* 2381489 */   // Label 34131: @2381489
     /* 2381489 */   GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2381561), // Rule ID 1897 //
     /* 2381494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2381497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381541 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381560 */     // GIR_Coverage, 1897,
     /* 2381560 */     GIR_EraseRootFromParent_Done,
     /* 2381561 */   // Label 34132: @2381561
     /* 2381561 */   GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2381633), // Rule ID 1929 //
     /* 2381566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2381569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381613 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381632 */     // GIR_Coverage, 1929,
     /* 2381632 */     GIR_EraseRootFromParent_Done,
     /* 2381633 */   // Label 34133: @2381633
     /* 2381633 */   GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2381705), // Rule ID 1930 //
     /* 2381638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2381641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381685 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381704 */     // GIR_Coverage, 1930,
     /* 2381704 */     GIR_EraseRootFromParent_Done,
     /* 2381705 */   // Label 34134: @2381705
     /* 2381705 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2381777), // Rule ID 65037 //
     /* 2381710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381757 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381776 */     // GIR_Coverage, 65037,
     /* 2381776 */     GIR_EraseRootFromParent_Done,
     /* 2381777 */   // Label 34135: @2381777
     /* 2381777 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2381849), // Rule ID 65038 //
     /* 2381782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2381785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381829 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381848 */     // GIR_Coverage, 65038,
     /* 2381848 */     GIR_EraseRootFromParent_Done,
     /* 2381849 */   // Label 34136: @2381849
     /* 2381849 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2381921), // Rule ID 65045 //
     /* 2381854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2381857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381901 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381920 */     // GIR_Coverage, 65045,
     /* 2381920 */     GIR_EraseRootFromParent_Done,
     /* 2381921 */   // Label 34137: @2381921
     /* 2381921 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2381993), // Rule ID 65046 //
     /* 2381926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2381929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381973 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381992 */     // GIR_Coverage, 65046,
     /* 2381992 */     GIR_EraseRootFromParent_Done,
     /* 2381993 */   // Label 34138: @2381993
     /* 2381993 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2382050), // Rule ID 1892 //
     /* 2381998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382032 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382049 */     // GIR_Coverage, 1892,
     /* 2382049 */     GIR_EraseRootFromParent_Done,
     /* 2382050 */   // Label 34139: @2382050
     /* 2382050 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2382107), // Rule ID 1893 //
     /* 2382055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382089 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382106 */     // GIR_Coverage, 1893,
     /* 2382106 */     GIR_EraseRootFromParent_Done,
     /* 2382107 */   // Label 34140: @2382107
     /* 2382107 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2382164), // Rule ID 1925 //
     /* 2382112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382146 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382163 */     // GIR_Coverage, 1925,
     /* 2382163 */     GIR_EraseRootFromParent_Done,
     /* 2382164 */   // Label 34141: @2382164
     /* 2382164 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2382221), // Rule ID 1926 //
     /* 2382169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382203 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382220 */     // GIR_Coverage, 1926,
     /* 2382220 */     GIR_EraseRootFromParent_Done,
     /* 2382221 */   // Label 34142: @2382221
     /* 2382221 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2382278), // Rule ID 65033 //
     /* 2382226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382260 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382277 */     // GIR_Coverage, 65033,
     /* 2382277 */     GIR_EraseRootFromParent_Done,
     /* 2382278 */   // Label 34143: @2382278
     /* 2382278 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2382335), // Rule ID 65034 //
     /* 2382283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382317 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382334 */     // GIR_Coverage, 65034,
     /* 2382334 */     GIR_EraseRootFromParent_Done,
     /* 2382335 */   // Label 34144: @2382335
     /* 2382335 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2382392), // Rule ID 65041 //
     /* 2382340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382374 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382391 */     // GIR_Coverage, 65041,
     /* 2382391 */     GIR_EraseRootFromParent_Done,
     /* 2382392 */   // Label 34145: @2382392
     /* 2382392 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2382449), // Rule ID 65042 //
     /* 2382397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382431 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382448 */     // GIR_Coverage, 65042,
     /* 2382448 */     GIR_EraseRootFromParent_Done,
     /* 2382449 */   // Label 34146: @2382449
     /* 2382449 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2382506), // Rule ID 1888 //
     /* 2382454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382488 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382505 */     // GIR_Coverage, 1888,
     /* 2382505 */     GIR_EraseRootFromParent_Done,
     /* 2382506 */   // Label 34147: @2382506
     /* 2382506 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2382563), // Rule ID 1889 //
     /* 2382511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382545 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382562 */     // GIR_Coverage, 1889,
     /* 2382562 */     GIR_EraseRootFromParent_Done,
     /* 2382563 */   // Label 34148: @2382563
     /* 2382563 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2382620), // Rule ID 1921 //
     /* 2382568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382602 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2382605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382619 */     // GIR_Coverage, 1921,
     /* 2382619 */     GIR_EraseRootFromParent_Done,
     /* 2382620 */   // Label 34149: @2382620
     /* 2382620 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2382677), // Rule ID 1922 //
     /* 2382625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382659 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2382662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382676 */     // GIR_Coverage, 1922,
     /* 2382676 */     GIR_EraseRootFromParent_Done,
     /* 2382677 */   // Label 34150: @2382677
     /* 2382677 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2382717), // Rule ID 1884 //
     /* 2382682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382701 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2382704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382716 */     // GIR_Coverage, 1884,
     /* 2382716 */     GIR_EraseRootFromParent_Done,
     /* 2382717 */   // Label 34151: @2382717
     /* 2382717 */   GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2382757), // Rule ID 1885 //
     /* 2382722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382741 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2382744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382756 */     // GIR_Coverage, 1885,
     /* 2382756 */     GIR_EraseRootFromParent_Done,
     /* 2382757 */   // Label 34152: @2382757
     /* 2382757 */   GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2382797), // Rule ID 1917 //
     /* 2382762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382781 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2382784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382796 */     // GIR_Coverage, 1917,
     /* 2382796 */     GIR_EraseRootFromParent_Done,
     /* 2382797 */   // Label 34153: @2382797
     /* 2382797 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2382837), // Rule ID 1918 //
     /* 2382802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382821 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2382824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382836 */     // GIR_Coverage, 1918,
     /* 2382836 */     GIR_EraseRootFromParent_Done,
     /* 2382837 */   // Label 34154: @2382837
     /* 2382837 */   GIM_Reject,
     /* 2382838 */ // Label 34130: @2382838
     /* 2382838 */ GIM_Reject,
     /* 2382839 */ // Label 34112: @2382839
     /* 2382839 */ GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2384274),
     /* 2382844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2382850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2382853 */   GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2382925), // Rule ID 1195 //
     /* 2382858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2382861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382905 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2382908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382924 */     // GIR_Coverage, 1195,
     /* 2382924 */     GIR_EraseRootFromParent_Done,
     /* 2382925 */   // Label 34156: @2382925
     /* 2382925 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2382997), // Rule ID 1196 //
     /* 2382930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2382933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382970 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382977 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2382980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382996 */     // GIR_Coverage, 1196,
     /* 2382996 */     GIR_EraseRootFromParent_Done,
     /* 2382997 */   // Label 34157: @2382997
     /* 2382997 */   GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2383069), // Rule ID 1216 //
     /* 2383002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383049 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383068 */     // GIR_Coverage, 1216,
     /* 2383068 */     GIR_EraseRootFromParent_Done,
     /* 2383069 */   // Label 34158: @2383069
     /* 2383069 */   GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2383141), // Rule ID 1217 //
     /* 2383074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383121 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383140 */     // GIR_Coverage, 1217,
     /* 2383140 */     GIR_EraseRootFromParent_Done,
     /* 2383141 */   // Label 34159: @2383141
     /* 2383141 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2383213), // Rule ID 65001 //
     /* 2383146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383193 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383212 */     // GIR_Coverage, 65001,
     /* 2383212 */     GIR_EraseRootFromParent_Done,
     /* 2383213 */   // Label 34160: @2383213
     /* 2383213 */   GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2383285), // Rule ID 65002 //
     /* 2383218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383265 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383284 */     // GIR_Coverage, 65002,
     /* 2383284 */     GIR_EraseRootFromParent_Done,
     /* 2383285 */   // Label 34161: @2383285
     /* 2383285 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2383357), // Rule ID 65009 //
     /* 2383290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383337 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383356 */     // GIR_Coverage, 65009,
     /* 2383356 */     GIR_EraseRootFromParent_Done,
     /* 2383357 */   // Label 34162: @2383357
     /* 2383357 */   GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2383429), // Rule ID 65010 //
     /* 2383362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383409 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383428 */     // GIR_Coverage, 65010,
     /* 2383428 */     GIR_EraseRootFromParent_Done,
     /* 2383429 */   // Label 34163: @2383429
     /* 2383429 */   GIM_Try, /*On fail goto*//*Label 34164*/ GIMT_Encode4(2383486), // Rule ID 1191 //
     /* 2383434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383468 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383485 */     // GIR_Coverage, 1191,
     /* 2383485 */     GIR_EraseRootFromParent_Done,
     /* 2383486 */   // Label 34164: @2383486
     /* 2383486 */   GIM_Try, /*On fail goto*//*Label 34165*/ GIMT_Encode4(2383543), // Rule ID 1192 //
     /* 2383491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383525 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383542 */     // GIR_Coverage, 1192,
     /* 2383542 */     GIR_EraseRootFromParent_Done,
     /* 2383543 */   // Label 34165: @2383543
     /* 2383543 */   GIM_Try, /*On fail goto*//*Label 34166*/ GIMT_Encode4(2383600), // Rule ID 1212 //
     /* 2383548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383582 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383599 */     // GIR_Coverage, 1212,
     /* 2383599 */     GIR_EraseRootFromParent_Done,
     /* 2383600 */   // Label 34166: @2383600
     /* 2383600 */   GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2383657), // Rule ID 1213 //
     /* 2383605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383639 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383656 */     // GIR_Coverage, 1213,
     /* 2383656 */     GIR_EraseRootFromParent_Done,
     /* 2383657 */   // Label 34167: @2383657
     /* 2383657 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2383714), // Rule ID 64997 //
     /* 2383662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383696 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383713 */     // GIR_Coverage, 64997,
     /* 2383713 */     GIR_EraseRootFromParent_Done,
     /* 2383714 */   // Label 34168: @2383714
     /* 2383714 */   GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2383771), // Rule ID 64998 //
     /* 2383719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383753 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383770 */     // GIR_Coverage, 64998,
     /* 2383770 */     GIR_EraseRootFromParent_Done,
     /* 2383771 */   // Label 34169: @2383771
     /* 2383771 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2383828), // Rule ID 65005 //
     /* 2383776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383810 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383827 */     // GIR_Coverage, 65005,
     /* 2383827 */     GIR_EraseRootFromParent_Done,
     /* 2383828 */   // Label 34170: @2383828
     /* 2383828 */   GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2383885), // Rule ID 65006 //
     /* 2383833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383867 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383884 */     // GIR_Coverage, 65006,
     /* 2383884 */     GIR_EraseRootFromParent_Done,
     /* 2383885 */   // Label 34171: @2383885
     /* 2383885 */   GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2383942), // Rule ID 1187 //
     /* 2383890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383924 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2383927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383941 */     // GIR_Coverage, 1187,
     /* 2383941 */     GIR_EraseRootFromParent_Done,
     /* 2383942 */   // Label 34172: @2383942
     /* 2383942 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2383999), // Rule ID 1188 //
     /* 2383947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383981 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2383984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383998 */     // GIR_Coverage, 1188,
     /* 2383998 */     GIR_EraseRootFromParent_Done,
     /* 2383999 */   // Label 34173: @2383999
     /* 2383999 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2384056), // Rule ID 1208 //
     /* 2384004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384038 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2384041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384055 */     // GIR_Coverage, 1208,
     /* 2384055 */     GIR_EraseRootFromParent_Done,
     /* 2384056 */   // Label 34174: @2384056
     /* 2384056 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2384113), // Rule ID 1209 //
     /* 2384061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384095 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2384098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384112 */     // GIR_Coverage, 1209,
     /* 2384112 */     GIR_EraseRootFromParent_Done,
     /* 2384113 */   // Label 34175: @2384113
     /* 2384113 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2384153), // Rule ID 1183 //
     /* 2384118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384137 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384152 */     // GIR_Coverage, 1183,
     /* 2384152 */     GIR_EraseRootFromParent_Done,
     /* 2384153 */   // Label 34176: @2384153
     /* 2384153 */   GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2384193), // Rule ID 1184 //
     /* 2384158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384177 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384192 */     // GIR_Coverage, 1184,
     /* 2384192 */     GIR_EraseRootFromParent_Done,
     /* 2384193 */   // Label 34177: @2384193
     /* 2384193 */   GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2384233), // Rule ID 1204 //
     /* 2384198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384217 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384232 */     // GIR_Coverage, 1204,
     /* 2384232 */     GIR_EraseRootFromParent_Done,
     /* 2384233 */   // Label 34178: @2384233
     /* 2384233 */   GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2384273), // Rule ID 1205 //
     /* 2384238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384257 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384272 */     // GIR_Coverage, 1205,
     /* 2384272 */     GIR_EraseRootFromParent_Done,
     /* 2384273 */   // Label 34179: @2384273
     /* 2384273 */   GIM_Reject,
     /* 2384274 */ // Label 34155: @2384274
     /* 2384274 */ GIM_Reject,
     /* 2384275 */ // Label 34113: @2384275
     /* 2384275 */ GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2386065),
     /* 2384280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2384286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2384289 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2384361), // Rule ID 1532 //
     /* 2384294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384341 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384360 */     // GIR_Coverage, 1532,
     /* 2384360 */     GIR_EraseRootFromParent_Done,
     /* 2384361 */   // Label 34181: @2384361
     /* 2384361 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2384433), // Rule ID 1533 //
     /* 2384366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384413 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384432 */     // GIR_Coverage, 1533,
     /* 2384432 */     GIR_EraseRootFromParent_Done,
     /* 2384433 */   // Label 34182: @2384433
     /* 2384433 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2384505), // Rule ID 1556 //
     /* 2384438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384485 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2384488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384504 */     // GIR_Coverage, 1556,
     /* 2384504 */     GIR_EraseRootFromParent_Done,
     /* 2384505 */   // Label 34183: @2384505
     /* 2384505 */   GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2384577), // Rule ID 1587 //
     /* 2384510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384557 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384576 */     // GIR_Coverage, 1587,
     /* 2384576 */     GIR_EraseRootFromParent_Done,
     /* 2384577 */   // Label 34184: @2384577
     /* 2384577 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2384649), // Rule ID 1588 //
     /* 2384582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384629 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384648 */     // GIR_Coverage, 1588,
     /* 2384648 */     GIR_EraseRootFromParent_Done,
     /* 2384649 */   // Label 34185: @2384649
     /* 2384649 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2384721), // Rule ID 65017 //
     /* 2384654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384694 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384701 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384720 */     // GIR_Coverage, 65017,
     /* 2384720 */     GIR_EraseRootFromParent_Done,
     /* 2384721 */   // Label 34186: @2384721
     /* 2384721 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2384793), // Rule ID 65018 //
     /* 2384726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384773 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384792 */     // GIR_Coverage, 65018,
     /* 2384792 */     GIR_EraseRootFromParent_Done,
     /* 2384793 */   // Label 34187: @2384793
     /* 2384793 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2384865), // Rule ID 65023 //
     /* 2384798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384845 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2384848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384864 */     // GIR_Coverage, 65023,
     /* 2384864 */     GIR_EraseRootFromParent_Done,
     /* 2384865 */   // Label 34188: @2384865
     /* 2384865 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2384937), // Rule ID 65029 //
     /* 2384870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384917 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384936 */     // GIR_Coverage, 65029,
     /* 2384936 */     GIR_EraseRootFromParent_Done,
     /* 2384937 */   // Label 34189: @2384937
     /* 2384937 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2385009), // Rule ID 65030 //
     /* 2384942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384989 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385008 */     // GIR_Coverage, 65030,
     /* 2385008 */     GIR_EraseRootFromParent_Done,
     /* 2385009 */   // Label 34190: @2385009
     /* 2385009 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2385066), // Rule ID 1528 //
     /* 2385014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385048 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385065 */     // GIR_Coverage, 1528,
     /* 2385065 */     GIR_EraseRootFromParent_Done,
     /* 2385066 */   // Label 34191: @2385066
     /* 2385066 */   GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2385123), // Rule ID 1529 //
     /* 2385071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385105 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385122 */     // GIR_Coverage, 1529,
     /* 2385122 */     GIR_EraseRootFromParent_Done,
     /* 2385123 */   // Label 34192: @2385123
     /* 2385123 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2385180), // Rule ID 1554 //
     /* 2385128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385162 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385179 */     // GIR_Coverage, 1554,
     /* 2385179 */     GIR_EraseRootFromParent_Done,
     /* 2385180 */   // Label 34193: @2385180
     /* 2385180 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2385237), // Rule ID 1583 //
     /* 2385185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385219 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385236 */     // GIR_Coverage, 1583,
     /* 2385236 */     GIR_EraseRootFromParent_Done,
     /* 2385237 */   // Label 34194: @2385237
     /* 2385237 */   GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2385294), // Rule ID 1584 //
     /* 2385242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385276 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385293 */     // GIR_Coverage, 1584,
     /* 2385293 */     GIR_EraseRootFromParent_Done,
     /* 2385294 */   // Label 34195: @2385294
     /* 2385294 */   GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2385351), // Rule ID 65013 //
     /* 2385299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385333 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385350 */     // GIR_Coverage, 65013,
     /* 2385350 */     GIR_EraseRootFromParent_Done,
     /* 2385351 */   // Label 34196: @2385351
     /* 2385351 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2385408), // Rule ID 65014 //
     /* 2385356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385390 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385407 */     // GIR_Coverage, 65014,
     /* 2385407 */     GIR_EraseRootFromParent_Done,
     /* 2385408 */   // Label 34197: @2385408
     /* 2385408 */   GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2385465), // Rule ID 65021 //
     /* 2385413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385447 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385464 */     // GIR_Coverage, 65021,
     /* 2385464 */     GIR_EraseRootFromParent_Done,
     /* 2385465 */   // Label 34198: @2385465
     /* 2385465 */   GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2385522), // Rule ID 65025 //
     /* 2385470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385504 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385521 */     // GIR_Coverage, 65025,
     /* 2385521 */     GIR_EraseRootFromParent_Done,
     /* 2385522 */   // Label 34199: @2385522
     /* 2385522 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2385579), // Rule ID 65026 //
     /* 2385527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385561 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385578 */     // GIR_Coverage, 65026,
     /* 2385578 */     GIR_EraseRootFromParent_Done,
     /* 2385579 */   // Label 34200: @2385579
     /* 2385579 */   GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2385636), // Rule ID 1524 //
     /* 2385584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385618 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2385621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385635 */     // GIR_Coverage, 1524,
     /* 2385635 */     GIR_EraseRootFromParent_Done,
     /* 2385636 */   // Label 34201: @2385636
     /* 2385636 */   GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2385693), // Rule ID 1525 //
     /* 2385641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385675 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2385678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385692 */     // GIR_Coverage, 1525,
     /* 2385692 */     GIR_EraseRootFromParent_Done,
     /* 2385693 */   // Label 34202: @2385693
     /* 2385693 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2385750), // Rule ID 1552 //
     /* 2385698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385732 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2385735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385749 */     // GIR_Coverage, 1552,
     /* 2385749 */     GIR_EraseRootFromParent_Done,
     /* 2385750 */   // Label 34203: @2385750
     /* 2385750 */   GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2385807), // Rule ID 1579 //
     /* 2385755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385789 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2385792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385806 */     // GIR_Coverage, 1579,
     /* 2385806 */     GIR_EraseRootFromParent_Done,
     /* 2385807 */   // Label 34204: @2385807
     /* 2385807 */   GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2385864), // Rule ID 1580 //
     /* 2385812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385846 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2385849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385863 */     // GIR_Coverage, 1580,
     /* 2385863 */     GIR_EraseRootFromParent_Done,
     /* 2385864 */   // Label 34205: @2385864
     /* 2385864 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2385904), // Rule ID 1520 //
     /* 2385869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385888 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2385891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385903 */     // GIR_Coverage, 1520,
     /* 2385903 */     GIR_EraseRootFromParent_Done,
     /* 2385904 */   // Label 34206: @2385904
     /* 2385904 */   GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2385944), // Rule ID 1521 //
     /* 2385909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385928 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2385931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385943 */     // GIR_Coverage, 1521,
     /* 2385943 */     GIR_EraseRootFromParent_Done,
     /* 2385944 */   // Label 34207: @2385944
     /* 2385944 */   GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2385984), // Rule ID 1550 //
     /* 2385949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385968 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2385971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385983 */     // GIR_Coverage, 1550,
     /* 2385983 */     GIR_EraseRootFromParent_Done,
     /* 2385984 */   // Label 34208: @2385984
     /* 2385984 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2386024), // Rule ID 1575 //
     /* 2385989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386008 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2386011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386023 */     // GIR_Coverage, 1575,
     /* 2386023 */     GIR_EraseRootFromParent_Done,
     /* 2386024 */   // Label 34209: @2386024
     /* 2386024 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2386064), // Rule ID 1576 //
     /* 2386029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2386032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386048 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2386051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386063 */     // GIR_Coverage, 1576,
     /* 2386063 */     GIR_EraseRootFromParent_Done,
     /* 2386064 */   // Label 34210: @2386064
     /* 2386064 */   GIM_Reject,
     /* 2386065 */ // Label 34180: @2386065
     /* 2386065 */ GIM_Reject,
     /* 2386066 */ // Label 34114: @2386066
     /* 2386066 */ GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2386855),
     /* 2386071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2386077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2386080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386084 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2386161), // Rule ID 54703 //
     /* 2386089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386132 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386160 */     // GIR_Coverage, 54703,
     /* 2386160 */     GIR_EraseRootFromParent_Done,
     /* 2386161 */   // Label 34212: @2386161
     /* 2386161 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2386238), // Rule ID 54704 //
     /* 2386166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386209 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386237 */     // GIR_Coverage, 54704,
     /* 2386237 */     GIR_EraseRootFromParent_Done,
     /* 2386238 */   // Label 34213: @2386238
     /* 2386238 */   GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2386315), // Rule ID 71991 //
     /* 2386243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386286 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386314 */     // GIR_Coverage, 71991,
     /* 2386314 */     GIR_EraseRootFromParent_Done,
     /* 2386315 */   // Label 34214: @2386315
     /* 2386315 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2386392), // Rule ID 71992 //
     /* 2386320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386363 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386391 */     // GIR_Coverage, 71992,
     /* 2386391 */     GIR_EraseRootFromParent_Done,
     /* 2386392 */   // Label 34215: @2386392
     /* 2386392 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2386454), // Rule ID 54707 //
     /* 2386397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386427 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386453 */     // GIR_Coverage, 54707,
     /* 2386453 */     GIR_EraseRootFromParent_Done,
     /* 2386454 */   // Label 34216: @2386454
     /* 2386454 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2386516), // Rule ID 54708 //
     /* 2386459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386489 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386515 */     // GIR_Coverage, 54708,
     /* 2386515 */     GIR_EraseRootFromParent_Done,
     /* 2386516 */   // Label 34217: @2386516
     /* 2386516 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2386578), // Rule ID 71995 //
     /* 2386521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386551 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386577 */     // GIR_Coverage, 71995,
     /* 2386577 */     GIR_EraseRootFromParent_Done,
     /* 2386578 */   // Label 34218: @2386578
     /* 2386578 */   GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2386640), // Rule ID 71996 //
     /* 2386583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386613 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386639 */     // GIR_Coverage, 71996,
     /* 2386639 */     GIR_EraseRootFromParent_Done,
     /* 2386640 */   // Label 34219: @2386640
     /* 2386640 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2386702), // Rule ID 54699 //
     /* 2386645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386675 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2386678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386701 */     // GIR_Coverage, 54699,
     /* 2386701 */     GIR_EraseRootFromParent_Done,
     /* 2386702 */   // Label 34220: @2386702
     /* 2386702 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2386764), // Rule ID 54700 //
     /* 2386707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386737 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2386740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386763 */     // GIR_Coverage, 54700,
     /* 2386763 */     GIR_EraseRootFromParent_Done,
     /* 2386764 */   // Label 34221: @2386764
     /* 2386764 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2386809), // Rule ID 54695 //
     /* 2386769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386784 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2386787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386808 */     // GIR_Coverage, 54695,
     /* 2386808 */     GIR_EraseRootFromParent_Done,
     /* 2386809 */   // Label 34222: @2386809
     /* 2386809 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2386854), // Rule ID 54696 //
     /* 2386814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386829 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2386832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386853 */     // GIR_Coverage, 54696,
     /* 2386853 */     GIR_EraseRootFromParent_Done,
     /* 2386854 */   // Label 34223: @2386854
     /* 2386854 */   GIM_Reject,
     /* 2386855 */ // Label 34211: @2386855
     /* 2386855 */ GIM_Reject,
     /* 2386856 */ // Label 34115: @2386856
     /* 2386856 */ GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2387645),
     /* 2386861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2386867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2386870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386874 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2386951), // Rule ID 54831 //
     /* 2386879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386922 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2386925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386950 */     // GIR_Coverage, 54831,
     /* 2386950 */     GIR_EraseRootFromParent_Done,
     /* 2386951 */   // Label 34225: @2386951
     /* 2386951 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2387028), // Rule ID 54832 //
     /* 2386956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386999 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387027 */     // GIR_Coverage, 54832,
     /* 2387027 */     GIR_EraseRootFromParent_Done,
     /* 2387028 */   // Label 34226: @2387028
     /* 2387028 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2387105), // Rule ID 72103 //
     /* 2387033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387076 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387104 */     // GIR_Coverage, 72103,
     /* 2387104 */     GIR_EraseRootFromParent_Done,
     /* 2387105 */   // Label 34227: @2387105
     /* 2387105 */   GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2387182), // Rule ID 72104 //
     /* 2387110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387153 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387181 */     // GIR_Coverage, 72104,
     /* 2387181 */     GIR_EraseRootFromParent_Done,
     /* 2387182 */   // Label 34228: @2387182
     /* 2387182 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2387244), // Rule ID 54835 //
     /* 2387187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387217 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387243 */     // GIR_Coverage, 54835,
     /* 2387243 */     GIR_EraseRootFromParent_Done,
     /* 2387244 */   // Label 34229: @2387244
     /* 2387244 */   GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2387306), // Rule ID 54836 //
     /* 2387249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387279 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387305 */     // GIR_Coverage, 54836,
     /* 2387305 */     GIR_EraseRootFromParent_Done,
     /* 2387306 */   // Label 34230: @2387306
     /* 2387306 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2387368), // Rule ID 72107 //
     /* 2387311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387341 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387367 */     // GIR_Coverage, 72107,
     /* 2387367 */     GIR_EraseRootFromParent_Done,
     /* 2387368 */   // Label 34231: @2387368
     /* 2387368 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2387430), // Rule ID 72108 //
     /* 2387373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387403 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387429 */     // GIR_Coverage, 72108,
     /* 2387429 */     GIR_EraseRootFromParent_Done,
     /* 2387430 */   // Label 34232: @2387430
     /* 2387430 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2387492), // Rule ID 54827 //
     /* 2387435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387465 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387491 */     // GIR_Coverage, 54827,
     /* 2387491 */     GIR_EraseRootFromParent_Done,
     /* 2387492 */   // Label 34233: @2387492
     /* 2387492 */   GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2387554), // Rule ID 54828 //
     /* 2387497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387527 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387553 */     // GIR_Coverage, 54828,
     /* 2387553 */     GIR_EraseRootFromParent_Done,
     /* 2387554 */   // Label 34234: @2387554
     /* 2387554 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2387599), // Rule ID 54823 //
     /* 2387559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387574 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2387577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387598 */     // GIR_Coverage, 54823,
     /* 2387598 */     GIR_EraseRootFromParent_Done,
     /* 2387599 */   // Label 34235: @2387599
     /* 2387599 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2387644), // Rule ID 54824 //
     /* 2387604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387619 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2387622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387643 */     // GIR_Coverage, 54824,
     /* 2387643 */     GIR_EraseRootFromParent_Done,
     /* 2387644 */   // Label 34236: @2387644
     /* 2387644 */   GIM_Reject,
     /* 2387645 */ // Label 34224: @2387645
     /* 2387645 */ GIM_Reject,
     /* 2387646 */ // Label 34116: @2387646
     /* 2387646 */ GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2388435),
     /* 2387651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2387657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2387660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387664 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2387741), // Rule ID 55023 //
     /* 2387669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387712 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387740 */     // GIR_Coverage, 55023,
     /* 2387740 */     GIR_EraseRootFromParent_Done,
     /* 2387741 */   // Label 34238: @2387741
     /* 2387741 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2387818), // Rule ID 55024 //
     /* 2387746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2387749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387789 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387817 */     // GIR_Coverage, 55024,
     /* 2387817 */     GIR_EraseRootFromParent_Done,
     /* 2387818 */   // Label 34239: @2387818
     /* 2387818 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2387895), // Rule ID 72271 //
     /* 2387823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387866 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387894 */     // GIR_Coverage, 72271,
     /* 2387894 */     GIR_EraseRootFromParent_Done,
     /* 2387895 */   // Label 34240: @2387895
     /* 2387895 */   GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2387972), // Rule ID 72272 //
     /* 2387900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2387903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387943 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387971 */     // GIR_Coverage, 72272,
     /* 2387971 */     GIR_EraseRootFromParent_Done,
     /* 2387972 */   // Label 34241: @2387972
     /* 2387972 */   GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2388034), // Rule ID 55027 //
     /* 2387977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388007 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388033 */     // GIR_Coverage, 55027,
     /* 2388033 */     GIR_EraseRootFromParent_Done,
     /* 2388034 */   // Label 34242: @2388034
     /* 2388034 */   GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2388096), // Rule ID 55028 //
     /* 2388039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388069 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388095 */     // GIR_Coverage, 55028,
     /* 2388095 */     GIR_EraseRootFromParent_Done,
     /* 2388096 */   // Label 34243: @2388096
     /* 2388096 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2388158), // Rule ID 72275 //
     /* 2388101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388131 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388157 */     // GIR_Coverage, 72275,
     /* 2388157 */     GIR_EraseRootFromParent_Done,
     /* 2388158 */   // Label 34244: @2388158
     /* 2388158 */   GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2388220), // Rule ID 72276 //
     /* 2388163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388193 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388219 */     // GIR_Coverage, 72276,
     /* 2388219 */     GIR_EraseRootFromParent_Done,
     /* 2388220 */   // Label 34245: @2388220
     /* 2388220 */   GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2388282), // Rule ID 55019 //
     /* 2388225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388255 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388281 */     // GIR_Coverage, 55019,
     /* 2388281 */     GIR_EraseRootFromParent_Done,
     /* 2388282 */   // Label 34246: @2388282
     /* 2388282 */   GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2388344), // Rule ID 55020 //
     /* 2388287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388317 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388343 */     // GIR_Coverage, 55020,
     /* 2388343 */     GIR_EraseRootFromParent_Done,
     /* 2388344 */   // Label 34247: @2388344
     /* 2388344 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2388389), // Rule ID 55015 //
     /* 2388349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388364 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388388 */     // GIR_Coverage, 55015,
     /* 2388388 */     GIR_EraseRootFromParent_Done,
     /* 2388389 */   // Label 34248: @2388389
     /* 2388389 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2388434), // Rule ID 55016 //
     /* 2388394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388409 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388433 */     // GIR_Coverage, 55016,
     /* 2388433 */     GIR_EraseRootFromParent_Done,
     /* 2388434 */   // Label 34249: @2388434
     /* 2388434 */   GIM_Reject,
     /* 2388435 */ // Label 34237: @2388435
     /* 2388435 */ GIM_Reject,
     /* 2388436 */ // Label 34117: @2388436
     /* 2388436 */ GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2389225),
     /* 2388441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2388447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2388450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388454 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2388531), // Rule ID 54767 //
     /* 2388459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388502 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388530 */     // GIR_Coverage, 54767,
     /* 2388530 */     GIR_EraseRootFromParent_Done,
     /* 2388531 */   // Label 34251: @2388531
     /* 2388531 */   GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2388608), // Rule ID 54768 //
     /* 2388536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388579 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388607 */     // GIR_Coverage, 54768,
     /* 2388607 */     GIR_EraseRootFromParent_Done,
     /* 2388608 */   // Label 34252: @2388608
     /* 2388608 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2388685), // Rule ID 72047 //
     /* 2388613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388656 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388684 */     // GIR_Coverage, 72047,
     /* 2388684 */     GIR_EraseRootFromParent_Done,
     /* 2388685 */   // Label 34253: @2388685
     /* 2388685 */   GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2388762), // Rule ID 72048 //
     /* 2388690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388733 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388761 */     // GIR_Coverage, 72048,
     /* 2388761 */     GIR_EraseRootFromParent_Done,
     /* 2388762 */   // Label 34254: @2388762
     /* 2388762 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2388824), // Rule ID 54771 //
     /* 2388767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388797 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388823 */     // GIR_Coverage, 54771,
     /* 2388823 */     GIR_EraseRootFromParent_Done,
     /* 2388824 */   // Label 34255: @2388824
     /* 2388824 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2388886), // Rule ID 54772 //
     /* 2388829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388859 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388885 */     // GIR_Coverage, 54772,
     /* 2388885 */     GIR_EraseRootFromParent_Done,
     /* 2388886 */   // Label 34256: @2388886
     /* 2388886 */   GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2388948), // Rule ID 72051 //
     /* 2388891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388921 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388947 */     // GIR_Coverage, 72051,
     /* 2388947 */     GIR_EraseRootFromParent_Done,
     /* 2388948 */   // Label 34257: @2388948
     /* 2388948 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2389010), // Rule ID 72052 //
     /* 2388953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388983 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389009 */     // GIR_Coverage, 72052,
     /* 2389009 */     GIR_EraseRootFromParent_Done,
     /* 2389010 */   // Label 34258: @2389010
     /* 2389010 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2389072), // Rule ID 54763 //
     /* 2389015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389045 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2389048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389071 */     // GIR_Coverage, 54763,
     /* 2389071 */     GIR_EraseRootFromParent_Done,
     /* 2389072 */   // Label 34259: @2389072
     /* 2389072 */   GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2389134), // Rule ID 54764 //
     /* 2389077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389107 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2389110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389133 */     // GIR_Coverage, 54764,
     /* 2389133 */     GIR_EraseRootFromParent_Done,
     /* 2389134 */   // Label 34260: @2389134
     /* 2389134 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2389179), // Rule ID 54759 //
     /* 2389139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389154 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389178 */     // GIR_Coverage, 54759,
     /* 2389178 */     GIR_EraseRootFromParent_Done,
     /* 2389179 */   // Label 34261: @2389179
     /* 2389179 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2389224), // Rule ID 54760 //
     /* 2389184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389199 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389223 */     // GIR_Coverage, 54760,
     /* 2389223 */     GIR_EraseRootFromParent_Done,
     /* 2389224 */   // Label 34262: @2389224
     /* 2389224 */   GIM_Reject,
     /* 2389225 */ // Label 34250: @2389225
     /* 2389225 */ GIM_Reject,
     /* 2389226 */ // Label 34118: @2389226
     /* 2389226 */ GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2390015),
     /* 2389231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2389237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2389240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389244 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2389321), // Rule ID 54959 //
     /* 2389249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389292 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389320 */     // GIR_Coverage, 54959,
     /* 2389320 */     GIR_EraseRootFromParent_Done,
     /* 2389321 */   // Label 34264: @2389321
     /* 2389321 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2389398), // Rule ID 54960 //
     /* 2389326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389369 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389397 */     // GIR_Coverage, 54960,
     /* 2389397 */     GIR_EraseRootFromParent_Done,
     /* 2389398 */   // Label 34265: @2389398
     /* 2389398 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2389475), // Rule ID 72215 //
     /* 2389403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389446 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389474 */     // GIR_Coverage, 72215,
     /* 2389474 */     GIR_EraseRootFromParent_Done,
     /* 2389475 */   // Label 34266: @2389475
     /* 2389475 */   GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2389552), // Rule ID 72216 //
     /* 2389480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389523 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389551 */     // GIR_Coverage, 72216,
     /* 2389551 */     GIR_EraseRootFromParent_Done,
     /* 2389552 */   // Label 34267: @2389552
     /* 2389552 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2389614), // Rule ID 54963 //
     /* 2389557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389587 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389613 */     // GIR_Coverage, 54963,
     /* 2389613 */     GIR_EraseRootFromParent_Done,
     /* 2389614 */   // Label 34268: @2389614
     /* 2389614 */   GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2389676), // Rule ID 54964 //
     /* 2389619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389649 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389675 */     // GIR_Coverage, 54964,
     /* 2389675 */     GIR_EraseRootFromParent_Done,
     /* 2389676 */   // Label 34269: @2389676
     /* 2389676 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2389738), // Rule ID 72219 //
     /* 2389681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389711 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389737 */     // GIR_Coverage, 72219,
     /* 2389737 */     GIR_EraseRootFromParent_Done,
     /* 2389738 */   // Label 34270: @2389738
     /* 2389738 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2389800), // Rule ID 72220 //
     /* 2389743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389773 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389799 */     // GIR_Coverage, 72220,
     /* 2389799 */     GIR_EraseRootFromParent_Done,
     /* 2389800 */   // Label 34271: @2389800
     /* 2389800 */   GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2389862), // Rule ID 54955 //
     /* 2389805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389835 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2389838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389861 */     // GIR_Coverage, 54955,
     /* 2389861 */     GIR_EraseRootFromParent_Done,
     /* 2389862 */   // Label 34272: @2389862
     /* 2389862 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2389924), // Rule ID 54956 //
     /* 2389867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389897 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2389900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389923 */     // GIR_Coverage, 54956,
     /* 2389923 */     GIR_EraseRootFromParent_Done,
     /* 2389924 */   // Label 34273: @2389924
     /* 2389924 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2389969), // Rule ID 54951 //
     /* 2389929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389944 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2389947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389968 */     // GIR_Coverage, 54951,
     /* 2389968 */     GIR_EraseRootFromParent_Done,
     /* 2389969 */   // Label 34274: @2389969
     /* 2389969 */   GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2390014), // Rule ID 54952 //
     /* 2389974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389989 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2389992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390013 */     // GIR_Coverage, 54952,
     /* 2390013 */     GIR_EraseRootFromParent_Done,
     /* 2390014 */   // Label 34275: @2390014
     /* 2390014 */   GIM_Reject,
     /* 2390015 */ // Label 34263: @2390015
     /* 2390015 */ GIM_Reject,
     /* 2390016 */ // Label 34119: @2390016
     /* 2390016 */ GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2390805),
     /* 2390021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2390027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2390030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390034 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2390111), // Rule ID 55471 //
     /* 2390039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390082 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390110 */     // GIR_Coverage, 55471,
     /* 2390110 */     GIR_EraseRootFromParent_Done,
     /* 2390111 */   // Label 34277: @2390111
     /* 2390111 */   GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2390188), // Rule ID 55472 //
     /* 2390116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390159 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390187 */     // GIR_Coverage, 55472,
     /* 2390187 */     GIR_EraseRootFromParent_Done,
     /* 2390188 */   // Label 34278: @2390188
     /* 2390188 */   GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2390265), // Rule ID 72663 //
     /* 2390193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390236 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390264 */     // GIR_Coverage, 72663,
     /* 2390264 */     GIR_EraseRootFromParent_Done,
     /* 2390265 */   // Label 34279: @2390265
     /* 2390265 */   GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2390342), // Rule ID 72664 //
     /* 2390270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390313 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390341 */     // GIR_Coverage, 72664,
     /* 2390341 */     GIR_EraseRootFromParent_Done,
     /* 2390342 */   // Label 34280: @2390342
     /* 2390342 */   GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2390404), // Rule ID 55475 //
     /* 2390347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390377 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390403 */     // GIR_Coverage, 55475,
     /* 2390403 */     GIR_EraseRootFromParent_Done,
     /* 2390404 */   // Label 34281: @2390404
     /* 2390404 */   GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2390466), // Rule ID 55476 //
     /* 2390409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390439 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390465 */     // GIR_Coverage, 55476,
     /* 2390465 */     GIR_EraseRootFromParent_Done,
     /* 2390466 */   // Label 34282: @2390466
     /* 2390466 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2390528), // Rule ID 72667 //
     /* 2390471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390501 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390527 */     // GIR_Coverage, 72667,
     /* 2390527 */     GIR_EraseRootFromParent_Done,
     /* 2390528 */   // Label 34283: @2390528
     /* 2390528 */   GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2390590), // Rule ID 72668 //
     /* 2390533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390563 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390589 */     // GIR_Coverage, 72668,
     /* 2390589 */     GIR_EraseRootFromParent_Done,
     /* 2390590 */   // Label 34284: @2390590
     /* 2390590 */   GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2390652), // Rule ID 55467 //
     /* 2390595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390625 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2390628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390651 */     // GIR_Coverage, 55467,
     /* 2390651 */     GIR_EraseRootFromParent_Done,
     /* 2390652 */   // Label 34285: @2390652
     /* 2390652 */   GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2390714), // Rule ID 55468 //
     /* 2390657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390687 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2390690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390713 */     // GIR_Coverage, 55468,
     /* 2390713 */     GIR_EraseRootFromParent_Done,
     /* 2390714 */   // Label 34286: @2390714
     /* 2390714 */   GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2390759), // Rule ID 55463 //
     /* 2390719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390734 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2390737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390758 */     // GIR_Coverage, 55463,
     /* 2390758 */     GIR_EraseRootFromParent_Done,
     /* 2390759 */   // Label 34287: @2390759
     /* 2390759 */   GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2390804), // Rule ID 55464 //
     /* 2390764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390779 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2390782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390803 */     // GIR_Coverage, 55464,
     /* 2390803 */     GIR_EraseRootFromParent_Done,
     /* 2390804 */   // Label 34288: @2390804
     /* 2390804 */   GIM_Reject,
     /* 2390805 */ // Label 34276: @2390805
     /* 2390805 */ GIM_Reject,
     /* 2390806 */ // Label 34120: @2390806
     /* 2390806 */ GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2391595),
     /* 2390811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2390817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2390820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390824 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2390901), // Rule ID 54895 //
     /* 2390829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390872 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2390875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390900 */     // GIR_Coverage, 54895,
     /* 2390900 */     GIR_EraseRootFromParent_Done,
     /* 2390901 */   // Label 34290: @2390901
     /* 2390901 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2390978), // Rule ID 54896 //
     /* 2390906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2390909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390949 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2390952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390977 */     // GIR_Coverage, 54896,
     /* 2390977 */     GIR_EraseRootFromParent_Done,
     /* 2390978 */   // Label 34291: @2390978
     /* 2390978 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2391055), // Rule ID 72159 //
     /* 2390983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391026 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391054 */     // GIR_Coverage, 72159,
     /* 2391054 */     GIR_EraseRootFromParent_Done,
     /* 2391055 */   // Label 34292: @2391055
     /* 2391055 */   GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2391132), // Rule ID 72160 //
     /* 2391060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391096 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391103 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391131 */     // GIR_Coverage, 72160,
     /* 2391131 */     GIR_EraseRootFromParent_Done,
     /* 2391132 */   // Label 34293: @2391132
     /* 2391132 */   GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2391194), // Rule ID 54899 //
     /* 2391137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391167 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391193 */     // GIR_Coverage, 54899,
     /* 2391193 */     GIR_EraseRootFromParent_Done,
     /* 2391194 */   // Label 34294: @2391194
     /* 2391194 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2391256), // Rule ID 54900 //
     /* 2391199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391229 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391255 */     // GIR_Coverage, 54900,
     /* 2391255 */     GIR_EraseRootFromParent_Done,
     /* 2391256 */   // Label 34295: @2391256
     /* 2391256 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2391318), // Rule ID 72163 //
     /* 2391261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391291 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391317 */     // GIR_Coverage, 72163,
     /* 2391317 */     GIR_EraseRootFromParent_Done,
     /* 2391318 */   // Label 34296: @2391318
     /* 2391318 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2391380), // Rule ID 72164 //
     /* 2391323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391353 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391379 */     // GIR_Coverage, 72164,
     /* 2391379 */     GIR_EraseRootFromParent_Done,
     /* 2391380 */   // Label 34297: @2391380
     /* 2391380 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2391442), // Rule ID 54891 //
     /* 2391385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391415 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391441 */     // GIR_Coverage, 54891,
     /* 2391441 */     GIR_EraseRootFromParent_Done,
     /* 2391442 */   // Label 34298: @2391442
     /* 2391442 */   GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2391504), // Rule ID 54892 //
     /* 2391447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391477 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391503 */     // GIR_Coverage, 54892,
     /* 2391503 */     GIR_EraseRootFromParent_Done,
     /* 2391504 */   // Label 34299: @2391504
     /* 2391504 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2391549), // Rule ID 54887 //
     /* 2391509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391524 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391548 */     // GIR_Coverage, 54887,
     /* 2391548 */     GIR_EraseRootFromParent_Done,
     /* 2391549 */   // Label 34300: @2391549
     /* 2391549 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2391594), // Rule ID 54888 //
     /* 2391554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391569 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391593 */     // GIR_Coverage, 54888,
     /* 2391593 */     GIR_EraseRootFromParent_Done,
     /* 2391594 */   // Label 34301: @2391594
     /* 2391594 */   GIM_Reject,
     /* 2391595 */ // Label 34289: @2391595
     /* 2391595 */ GIM_Reject,
     /* 2391596 */ // Label 34121: @2391596
     /* 2391596 */ GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2392385),
     /* 2391601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2391607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2391610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391614 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2391691), // Rule ID 55279 //
     /* 2391619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391655 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391662 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391690 */     // GIR_Coverage, 55279,
     /* 2391690 */     GIR_EraseRootFromParent_Done,
     /* 2391691 */   // Label 34303: @2391691
     /* 2391691 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2391768), // Rule ID 55280 //
     /* 2391696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391739 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391767 */     // GIR_Coverage, 55280,
     /* 2391767 */     GIR_EraseRootFromParent_Done,
     /* 2391768 */   // Label 34304: @2391768
     /* 2391768 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2391845), // Rule ID 72495 //
     /* 2391773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391816 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391844 */     // GIR_Coverage, 72495,
     /* 2391844 */     GIR_EraseRootFromParent_Done,
     /* 2391845 */   // Label 34305: @2391845
     /* 2391845 */   GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2391922), // Rule ID 72496 //
     /* 2391850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391893 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391921 */     // GIR_Coverage, 72496,
     /* 2391921 */     GIR_EraseRootFromParent_Done,
     /* 2391922 */   // Label 34306: @2391922
     /* 2391922 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2391984), // Rule ID 55283 //
     /* 2391927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391957 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2391960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391983 */     // GIR_Coverage, 55283,
     /* 2391983 */     GIR_EraseRootFromParent_Done,
     /* 2391984 */   // Label 34307: @2391984
     /* 2391984 */   GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2392046), // Rule ID 55284 //
     /* 2391989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392019 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392045 */     // GIR_Coverage, 55284,
     /* 2392045 */     GIR_EraseRootFromParent_Done,
     /* 2392046 */   // Label 34308: @2392046
     /* 2392046 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2392108), // Rule ID 72499 //
     /* 2392051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392081 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392107 */     // GIR_Coverage, 72499,
     /* 2392107 */     GIR_EraseRootFromParent_Done,
     /* 2392108 */   // Label 34309: @2392108
     /* 2392108 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2392170), // Rule ID 72500 //
     /* 2392113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392143 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392169 */     // GIR_Coverage, 72500,
     /* 2392169 */     GIR_EraseRootFromParent_Done,
     /* 2392170 */   // Label 34310: @2392170
     /* 2392170 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2392232), // Rule ID 55275 //
     /* 2392175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392205 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392231 */     // GIR_Coverage, 55275,
     /* 2392231 */     GIR_EraseRootFromParent_Done,
     /* 2392232 */   // Label 34311: @2392232
     /* 2392232 */   GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2392294), // Rule ID 55276 //
     /* 2392237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392267 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392293 */     // GIR_Coverage, 55276,
     /* 2392293 */     GIR_EraseRootFromParent_Done,
     /* 2392294 */   // Label 34312: @2392294
     /* 2392294 */   GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2392339), // Rule ID 55271 //
     /* 2392299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392314 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392338 */     // GIR_Coverage, 55271,
     /* 2392338 */     GIR_EraseRootFromParent_Done,
     /* 2392339 */   // Label 34313: @2392339
     /* 2392339 */   GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2392384), // Rule ID 55272 //
     /* 2392344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392359 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392383 */     // GIR_Coverage, 55272,
     /* 2392383 */     GIR_EraseRootFromParent_Done,
     /* 2392384 */   // Label 34314: @2392384
     /* 2392384 */   GIM_Reject,
     /* 2392385 */ // Label 34302: @2392385
     /* 2392385 */ GIM_Reject,
     /* 2392386 */ // Label 34122: @2392386
     /* 2392386 */ GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2393175),
     /* 2392391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2392397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2392400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392404 */   GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2392481), // Rule ID 55535 //
     /* 2392409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392452 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392480 */     // GIR_Coverage, 55535,
     /* 2392480 */     GIR_EraseRootFromParent_Done,
     /* 2392481 */   // Label 34316: @2392481
     /* 2392481 */   GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2392558), // Rule ID 55536 //
     /* 2392486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392529 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392557 */     // GIR_Coverage, 55536,
     /* 2392557 */     GIR_EraseRootFromParent_Done,
     /* 2392558 */   // Label 34317: @2392558
     /* 2392558 */   GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2392635), // Rule ID 72719 //
     /* 2392563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392606 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392634 */     // GIR_Coverage, 72719,
     /* 2392634 */     GIR_EraseRootFromParent_Done,
     /* 2392635 */   // Label 34318: @2392635
     /* 2392635 */   GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2392712), // Rule ID 72720 //
     /* 2392640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392683 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392711 */     // GIR_Coverage, 72720,
     /* 2392711 */     GIR_EraseRootFromParent_Done,
     /* 2392712 */   // Label 34319: @2392712
     /* 2392712 */   GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2392774), // Rule ID 55539 //
     /* 2392717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392747 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392773 */     // GIR_Coverage, 55539,
     /* 2392773 */     GIR_EraseRootFromParent_Done,
     /* 2392774 */   // Label 34320: @2392774
     /* 2392774 */   GIM_Try, /*On fail goto*//*Label 34321*/ GIMT_Encode4(2392836), // Rule ID 55540 //
     /* 2392779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392809 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392835 */     // GIR_Coverage, 55540,
     /* 2392835 */     GIR_EraseRootFromParent_Done,
     /* 2392836 */   // Label 34321: @2392836
     /* 2392836 */   GIM_Try, /*On fail goto*//*Label 34322*/ GIMT_Encode4(2392898), // Rule ID 72723 //
     /* 2392841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392871 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392897 */     // GIR_Coverage, 72723,
     /* 2392897 */     GIR_EraseRootFromParent_Done,
     /* 2392898 */   // Label 34322: @2392898
     /* 2392898 */   GIM_Try, /*On fail goto*//*Label 34323*/ GIMT_Encode4(2392960), // Rule ID 72724 //
     /* 2392903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392933 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392959 */     // GIR_Coverage, 72724,
     /* 2392959 */     GIR_EraseRootFromParent_Done,
     /* 2392960 */   // Label 34323: @2392960
     /* 2392960 */   GIM_Try, /*On fail goto*//*Label 34324*/ GIMT_Encode4(2393022), // Rule ID 55531 //
     /* 2392965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392995 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2392998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393021 */     // GIR_Coverage, 55531,
     /* 2393021 */     GIR_EraseRootFromParent_Done,
     /* 2393022 */   // Label 34324: @2393022
     /* 2393022 */   GIM_Try, /*On fail goto*//*Label 34325*/ GIMT_Encode4(2393084), // Rule ID 55532 //
     /* 2393027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393057 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2393060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393083 */     // GIR_Coverage, 55532,
     /* 2393083 */     GIR_EraseRootFromParent_Done,
     /* 2393084 */   // Label 34325: @2393084
     /* 2393084 */   GIM_Try, /*On fail goto*//*Label 34326*/ GIMT_Encode4(2393129), // Rule ID 55527 //
     /* 2393089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393104 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393128 */     // GIR_Coverage, 55527,
     /* 2393128 */     GIR_EraseRootFromParent_Done,
     /* 2393129 */   // Label 34326: @2393129
     /* 2393129 */   GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2393174), // Rule ID 55528 //
     /* 2393134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393149 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393173 */     // GIR_Coverage, 55528,
     /* 2393173 */     GIR_EraseRootFromParent_Done,
     /* 2393174 */   // Label 34327: @2393174
     /* 2393174 */   GIM_Reject,
     /* 2393175 */ // Label 34315: @2393175
     /* 2393175 */ GIM_Reject,
     /* 2393176 */ // Label 34123: @2393176
     /* 2393176 */ GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2393965),
     /* 2393181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2393187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2393190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393194 */   GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2393271), // Rule ID 55087 //
     /* 2393199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393242 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393270 */     // GIR_Coverage, 55087,
     /* 2393270 */     GIR_EraseRootFromParent_Done,
     /* 2393271 */   // Label 34329: @2393271
     /* 2393271 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2393348), // Rule ID 55088 //
     /* 2393276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393319 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393347 */     // GIR_Coverage, 55088,
     /* 2393347 */     GIR_EraseRootFromParent_Done,
     /* 2393348 */   // Label 34330: @2393348
     /* 2393348 */   GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2393425), // Rule ID 72327 //
     /* 2393353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393396 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393424 */     // GIR_Coverage, 72327,
     /* 2393424 */     GIR_EraseRootFromParent_Done,
     /* 2393425 */   // Label 34331: @2393425
     /* 2393425 */   GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2393502), // Rule ID 72328 //
     /* 2393430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393473 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393501 */     // GIR_Coverage, 72328,
     /* 2393501 */     GIR_EraseRootFromParent_Done,
     /* 2393502 */   // Label 34332: @2393502
     /* 2393502 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2393564), // Rule ID 55091 //
     /* 2393507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393537 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393563 */     // GIR_Coverage, 55091,
     /* 2393563 */     GIR_EraseRootFromParent_Done,
     /* 2393564 */   // Label 34333: @2393564
     /* 2393564 */   GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2393626), // Rule ID 55092 //
     /* 2393569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393599 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393625 */     // GIR_Coverage, 55092,
     /* 2393625 */     GIR_EraseRootFromParent_Done,
     /* 2393626 */   // Label 34334: @2393626
     /* 2393626 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2393688), // Rule ID 72331 //
     /* 2393631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393661 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393687 */     // GIR_Coverage, 72331,
     /* 2393687 */     GIR_EraseRootFromParent_Done,
     /* 2393688 */   // Label 34335: @2393688
     /* 2393688 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2393750), // Rule ID 72332 //
     /* 2393693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393723 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393749 */     // GIR_Coverage, 72332,
     /* 2393749 */     GIR_EraseRootFromParent_Done,
     /* 2393750 */   // Label 34336: @2393750
     /* 2393750 */   GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2393812), // Rule ID 55083 //
     /* 2393755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393785 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2393788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393811 */     // GIR_Coverage, 55083,
     /* 2393811 */     GIR_EraseRootFromParent_Done,
     /* 2393812 */   // Label 34337: @2393812
     /* 2393812 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2393874), // Rule ID 55084 //
     /* 2393817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393847 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2393850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393873 */     // GIR_Coverage, 55084,
     /* 2393873 */     GIR_EraseRootFromParent_Done,
     /* 2393874 */   // Label 34338: @2393874
     /* 2393874 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2393919), // Rule ID 55079 //
     /* 2393879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393894 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2393897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393918 */     // GIR_Coverage, 55079,
     /* 2393918 */     GIR_EraseRootFromParent_Done,
     /* 2393919 */   // Label 34339: @2393919
     /* 2393919 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2393964), // Rule ID 55080 //
     /* 2393924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393939 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2393942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393963 */     // GIR_Coverage, 55080,
     /* 2393963 */     GIR_EraseRootFromParent_Done,
     /* 2393964 */   // Label 34340: @2393964
     /* 2393964 */   GIM_Reject,
     /* 2393965 */ // Label 34328: @2393965
     /* 2393965 */ GIM_Reject,
     /* 2393966 */ // Label 34124: @2393966
     /* 2393966 */ GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2394755),
     /* 2393971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2393974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2393977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2393980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393984 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2394061), // Rule ID 55343 //
     /* 2393989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394030 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394032 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394060 */     // GIR_Coverage, 55343,
     /* 2394060 */     GIR_EraseRootFromParent_Done,
     /* 2394061 */   // Label 34342: @2394061
     /* 2394061 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2394138), // Rule ID 55344 //
     /* 2394066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394109 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394137 */     // GIR_Coverage, 55344,
     /* 2394137 */     GIR_EraseRootFromParent_Done,
     /* 2394138 */   // Label 34343: @2394138
     /* 2394138 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2394215), // Rule ID 72551 //
     /* 2394143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394186 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394214 */     // GIR_Coverage, 72551,
     /* 2394214 */     GIR_EraseRootFromParent_Done,
     /* 2394215 */   // Label 34344: @2394215
     /* 2394215 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2394292), // Rule ID 72552 //
     /* 2394220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394263 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394291 */     // GIR_Coverage, 72552,
     /* 2394291 */     GIR_EraseRootFromParent_Done,
     /* 2394292 */   // Label 34345: @2394292
     /* 2394292 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2394354), // Rule ID 55347 //
     /* 2394297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394327 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394353 */     // GIR_Coverage, 55347,
     /* 2394353 */     GIR_EraseRootFromParent_Done,
     /* 2394354 */   // Label 34346: @2394354
     /* 2394354 */   GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2394416), // Rule ID 55348 //
     /* 2394359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394389 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394415 */     // GIR_Coverage, 55348,
     /* 2394415 */     GIR_EraseRootFromParent_Done,
     /* 2394416 */   // Label 34347: @2394416
     /* 2394416 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2394478), // Rule ID 72555 //
     /* 2394421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394451 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394477 */     // GIR_Coverage, 72555,
     /* 2394477 */     GIR_EraseRootFromParent_Done,
     /* 2394478 */   // Label 34348: @2394478
     /* 2394478 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2394540), // Rule ID 72556 //
     /* 2394483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394513 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394539 */     // GIR_Coverage, 72556,
     /* 2394539 */     GIR_EraseRootFromParent_Done,
     /* 2394540 */   // Label 34349: @2394540
     /* 2394540 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2394602), // Rule ID 55339 //
     /* 2394545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394575 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2394578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394601 */     // GIR_Coverage, 55339,
     /* 2394601 */     GIR_EraseRootFromParent_Done,
     /* 2394602 */   // Label 34350: @2394602
     /* 2394602 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2394664), // Rule ID 55340 //
     /* 2394607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394637 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2394640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394663 */     // GIR_Coverage, 55340,
     /* 2394663 */     GIR_EraseRootFromParent_Done,
     /* 2394664 */   // Label 34351: @2394664
     /* 2394664 */   GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2394709), // Rule ID 55335 //
     /* 2394669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394684 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2394687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394708 */     // GIR_Coverage, 55335,
     /* 2394708 */     GIR_EraseRootFromParent_Done,
     /* 2394709 */   // Label 34352: @2394709
     /* 2394709 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2394754), // Rule ID 55336 //
     /* 2394714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394729 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2394732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394753 */     // GIR_Coverage, 55336,
     /* 2394753 */     GIR_EraseRootFromParent_Done,
     /* 2394754 */   // Label 34353: @2394754
     /* 2394754 */   GIM_Reject,
     /* 2394755 */ // Label 34341: @2394755
     /* 2394755 */ GIM_Reject,
     /* 2394756 */ // Label 34125: @2394756
     /* 2394756 */ GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2395545),
     /* 2394761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2394767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2394770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394774 */   GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2394851), // Rule ID 55599 //
     /* 2394779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394822 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2394825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394850 */     // GIR_Coverage, 55599,
     /* 2394850 */     GIR_EraseRootFromParent_Done,
     /* 2394851 */   // Label 34355: @2394851
     /* 2394851 */   GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2394928), // Rule ID 55600 //
     /* 2394856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394899 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2394902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394927 */     // GIR_Coverage, 55600,
     /* 2394927 */     GIR_EraseRootFromParent_Done,
     /* 2394928 */   // Label 34356: @2394928
     /* 2394928 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2395005), // Rule ID 72775 //
     /* 2394933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394976 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2394979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395004 */     // GIR_Coverage, 72775,
     /* 2395004 */     GIR_EraseRootFromParent_Done,
     /* 2395005 */   // Label 34357: @2395005
     /* 2395005 */   GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2395082), // Rule ID 72776 //
     /* 2395010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395053 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395081 */     // GIR_Coverage, 72776,
     /* 2395081 */     GIR_EraseRootFromParent_Done,
     /* 2395082 */   // Label 34358: @2395082
     /* 2395082 */   GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2395144), // Rule ID 55603 //
     /* 2395087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395117 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395143 */     // GIR_Coverage, 55603,
     /* 2395143 */     GIR_EraseRootFromParent_Done,
     /* 2395144 */   // Label 34359: @2395144
     /* 2395144 */   GIM_Try, /*On fail goto*//*Label 34360*/ GIMT_Encode4(2395206), // Rule ID 55604 //
     /* 2395149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395179 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395205 */     // GIR_Coverage, 55604,
     /* 2395205 */     GIR_EraseRootFromParent_Done,
     /* 2395206 */   // Label 34360: @2395206
     /* 2395206 */   GIM_Try, /*On fail goto*//*Label 34361*/ GIMT_Encode4(2395268), // Rule ID 72779 //
     /* 2395211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395241 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395267 */     // GIR_Coverage, 72779,
     /* 2395267 */     GIR_EraseRootFromParent_Done,
     /* 2395268 */   // Label 34361: @2395268
     /* 2395268 */   GIM_Try, /*On fail goto*//*Label 34362*/ GIMT_Encode4(2395330), // Rule ID 72780 //
     /* 2395273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395303 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395329 */     // GIR_Coverage, 72780,
     /* 2395329 */     GIR_EraseRootFromParent_Done,
     /* 2395330 */   // Label 34362: @2395330
     /* 2395330 */   GIM_Try, /*On fail goto*//*Label 34363*/ GIMT_Encode4(2395392), // Rule ID 55595 //
     /* 2395335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395365 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395391 */     // GIR_Coverage, 55595,
     /* 2395391 */     GIR_EraseRootFromParent_Done,
     /* 2395392 */   // Label 34363: @2395392
     /* 2395392 */   GIM_Try, /*On fail goto*//*Label 34364*/ GIMT_Encode4(2395454), // Rule ID 55596 //
     /* 2395397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395427 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395453 */     // GIR_Coverage, 55596,
     /* 2395453 */     GIR_EraseRootFromParent_Done,
     /* 2395454 */   // Label 34364: @2395454
     /* 2395454 */   GIM_Try, /*On fail goto*//*Label 34365*/ GIMT_Encode4(2395499), // Rule ID 55591 //
     /* 2395459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395474 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395498 */     // GIR_Coverage, 55591,
     /* 2395498 */     GIR_EraseRootFromParent_Done,
     /* 2395499 */   // Label 34365: @2395499
     /* 2395499 */   GIM_Try, /*On fail goto*//*Label 34366*/ GIMT_Encode4(2395544), // Rule ID 55592 //
     /* 2395504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395519 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395543 */     // GIR_Coverage, 55592,
     /* 2395543 */     GIR_EraseRootFromParent_Done,
     /* 2395544 */   // Label 34366: @2395544
     /* 2395544 */   GIM_Reject,
     /* 2395545 */ // Label 34354: @2395545
     /* 2395545 */ GIM_Reject,
     /* 2395546 */ // Label 34126: @2395546
     /* 2395546 */ GIM_Try, /*On fail goto*//*Label 34367*/ GIMT_Encode4(2396335),
     /* 2395551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2395557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2395560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395564 */   GIM_Try, /*On fail goto*//*Label 34368*/ GIMT_Encode4(2395641), // Rule ID 55151 //
     /* 2395569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395612 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395640 */     // GIR_Coverage, 55151,
     /* 2395640 */     GIR_EraseRootFromParent_Done,
     /* 2395641 */   // Label 34368: @2395641
     /* 2395641 */   GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2395718), // Rule ID 55152 //
     /* 2395646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395682 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395689 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395717 */     // GIR_Coverage, 55152,
     /* 2395717 */     GIR_EraseRootFromParent_Done,
     /* 2395718 */   // Label 34369: @2395718
     /* 2395718 */   GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2395795), // Rule ID 72383 //
     /* 2395723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395766 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395794 */     // GIR_Coverage, 72383,
     /* 2395794 */     GIR_EraseRootFromParent_Done,
     /* 2395795 */   // Label 34370: @2395795
     /* 2395795 */   GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2395872), // Rule ID 72384 //
     /* 2395800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395843 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395871 */     // GIR_Coverage, 72384,
     /* 2395871 */     GIR_EraseRootFromParent_Done,
     /* 2395872 */   // Label 34371: @2395872
     /* 2395872 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2395934), // Rule ID 55155 //
     /* 2395877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395907 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2395910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395933 */     // GIR_Coverage, 55155,
     /* 2395933 */     GIR_EraseRootFromParent_Done,
     /* 2395934 */   // Label 34372: @2395934
     /* 2395934 */   GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2395996), // Rule ID 55156 //
     /* 2395939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395969 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2395972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395995 */     // GIR_Coverage, 55156,
     /* 2395995 */     GIR_EraseRootFromParent_Done,
     /* 2395996 */   // Label 34373: @2395996
     /* 2395996 */   GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2396058), // Rule ID 72387 //
     /* 2396001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396031 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396057 */     // GIR_Coverage, 72387,
     /* 2396057 */     GIR_EraseRootFromParent_Done,
     /* 2396058 */   // Label 34374: @2396058
     /* 2396058 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2396120), // Rule ID 72388 //
     /* 2396063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396093 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396119 */     // GIR_Coverage, 72388,
     /* 2396119 */     GIR_EraseRootFromParent_Done,
     /* 2396120 */   // Label 34375: @2396120
     /* 2396120 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2396182), // Rule ID 55147 //
     /* 2396125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396155 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396181 */     // GIR_Coverage, 55147,
     /* 2396181 */     GIR_EraseRootFromParent_Done,
     /* 2396182 */   // Label 34376: @2396182
     /* 2396182 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2396244), // Rule ID 55148 //
     /* 2396187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396217 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396243 */     // GIR_Coverage, 55148,
     /* 2396243 */     GIR_EraseRootFromParent_Done,
     /* 2396244 */   // Label 34377: @2396244
     /* 2396244 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2396289), // Rule ID 55143 //
     /* 2396249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396264 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396288 */     // GIR_Coverage, 55143,
     /* 2396288 */     GIR_EraseRootFromParent_Done,
     /* 2396289 */   // Label 34378: @2396289
     /* 2396289 */   GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2396334), // Rule ID 55144 //
     /* 2396294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396309 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396333 */     // GIR_Coverage, 55144,
     /* 2396333 */     GIR_EraseRootFromParent_Done,
     /* 2396334 */   // Label 34379: @2396334
     /* 2396334 */   GIM_Reject,
     /* 2396335 */ // Label 34367: @2396335
     /* 2396335 */ GIM_Reject,
     /* 2396336 */ // Label 34127: @2396336
     /* 2396336 */ GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2397125),
     /* 2396341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2396347 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2396350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396354 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2396431), // Rule ID 55407 //
     /* 2396359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396402 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396430 */     // GIR_Coverage, 55407,
     /* 2396430 */     GIR_EraseRootFromParent_Done,
     /* 2396431 */   // Label 34381: @2396431
     /* 2396431 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2396508), // Rule ID 55408 //
     /* 2396436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396479 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396507 */     // GIR_Coverage, 55408,
     /* 2396507 */     GIR_EraseRootFromParent_Done,
     /* 2396508 */   // Label 34382: @2396508
     /* 2396508 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2396585), // Rule ID 72607 //
     /* 2396513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396556 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396584 */     // GIR_Coverage, 72607,
     /* 2396584 */     GIR_EraseRootFromParent_Done,
     /* 2396585 */   // Label 34383: @2396585
     /* 2396585 */   GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2396662), // Rule ID 72608 //
     /* 2396590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396633 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396661 */     // GIR_Coverage, 72608,
     /* 2396661 */     GIR_EraseRootFromParent_Done,
     /* 2396662 */   // Label 34384: @2396662
     /* 2396662 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2396724), // Rule ID 55411 //
     /* 2396667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396697 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396723 */     // GIR_Coverage, 55411,
     /* 2396723 */     GIR_EraseRootFromParent_Done,
     /* 2396724 */   // Label 34385: @2396724
     /* 2396724 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2396786), // Rule ID 55412 //
     /* 2396729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396759 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396785 */     // GIR_Coverage, 55412,
     /* 2396785 */     GIR_EraseRootFromParent_Done,
     /* 2396786 */   // Label 34386: @2396786
     /* 2396786 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2396848), // Rule ID 72611 //
     /* 2396791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396821 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396847 */     // GIR_Coverage, 72611,
     /* 2396847 */     GIR_EraseRootFromParent_Done,
     /* 2396848 */   // Label 34387: @2396848
     /* 2396848 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2396910), // Rule ID 72612 //
     /* 2396853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396883 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396909 */     // GIR_Coverage, 72612,
     /* 2396909 */     GIR_EraseRootFromParent_Done,
     /* 2396910 */   // Label 34388: @2396910
     /* 2396910 */   GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2396972), // Rule ID 55403 //
     /* 2396915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396945 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2396948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396971 */     // GIR_Coverage, 55403,
     /* 2396971 */     GIR_EraseRootFromParent_Done,
     /* 2396972 */   // Label 34389: @2396972
     /* 2396972 */   GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2397034), // Rule ID 55404 //
     /* 2396977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397007 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2397010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397033 */     // GIR_Coverage, 55404,
     /* 2397033 */     GIR_EraseRootFromParent_Done,
     /* 2397034 */   // Label 34390: @2397034
     /* 2397034 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2397079), // Rule ID 55399 //
     /* 2397039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397054 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397078 */     // GIR_Coverage, 55399,
     /* 2397078 */     GIR_EraseRootFromParent_Done,
     /* 2397079 */   // Label 34391: @2397079
     /* 2397079 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2397124), // Rule ID 55400 //
     /* 2397084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397099 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397123 */     // GIR_Coverage, 55400,
     /* 2397123 */     GIR_EraseRootFromParent_Done,
     /* 2397124 */   // Label 34392: @2397124
     /* 2397124 */   GIM_Reject,
     /* 2397125 */ // Label 34380: @2397125
     /* 2397125 */ GIM_Reject,
     /* 2397126 */ // Label 34128: @2397126
     /* 2397126 */ GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2397915),
     /* 2397131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2397137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2397140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397144 */   GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2397221), // Rule ID 55215 //
     /* 2397149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397185 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397192 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397220 */     // GIR_Coverage, 55215,
     /* 2397220 */     GIR_EraseRootFromParent_Done,
     /* 2397221 */   // Label 34394: @2397221
     /* 2397221 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2397298), // Rule ID 55216 //
     /* 2397226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397269 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397297 */     // GIR_Coverage, 55216,
     /* 2397297 */     GIR_EraseRootFromParent_Done,
     /* 2397298 */   // Label 34395: @2397298
     /* 2397298 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2397375), // Rule ID 72439 //
     /* 2397303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397346 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397374 */     // GIR_Coverage, 72439,
     /* 2397374 */     GIR_EraseRootFromParent_Done,
     /* 2397375 */   // Label 34396: @2397375
     /* 2397375 */   GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2397452), // Rule ID 72440 //
     /* 2397380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397423 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397451 */     // GIR_Coverage, 72440,
     /* 2397451 */     GIR_EraseRootFromParent_Done,
     /* 2397452 */   // Label 34397: @2397452
     /* 2397452 */   GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2397514), // Rule ID 55219 //
     /* 2397457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397487 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397513 */     // GIR_Coverage, 55219,
     /* 2397513 */     GIR_EraseRootFromParent_Done,
     /* 2397514 */   // Label 34398: @2397514
     /* 2397514 */   GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2397576), // Rule ID 55220 //
     /* 2397519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397549 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397575 */     // GIR_Coverage, 55220,
     /* 2397575 */     GIR_EraseRootFromParent_Done,
     /* 2397576 */   // Label 34399: @2397576
     /* 2397576 */   GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2397638), // Rule ID 72443 //
     /* 2397581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397611 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397637 */     // GIR_Coverage, 72443,
     /* 2397637 */     GIR_EraseRootFromParent_Done,
     /* 2397638 */   // Label 34400: @2397638
     /* 2397638 */   GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2397700), // Rule ID 72444 //
     /* 2397643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397673 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397699 */     // GIR_Coverage, 72444,
     /* 2397699 */     GIR_EraseRootFromParent_Done,
     /* 2397700 */   // Label 34401: @2397700
     /* 2397700 */   GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2397762), // Rule ID 55211 //
     /* 2397705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397735 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2397738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397761 */     // GIR_Coverage, 55211,
     /* 2397761 */     GIR_EraseRootFromParent_Done,
     /* 2397762 */   // Label 34402: @2397762
     /* 2397762 */   GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2397824), // Rule ID 55212 //
     /* 2397767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397797 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2397800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397823 */     // GIR_Coverage, 55212,
     /* 2397823 */     GIR_EraseRootFromParent_Done,
     /* 2397824 */   // Label 34403: @2397824
     /* 2397824 */   GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2397869), // Rule ID 55207 //
     /* 2397829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397844 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2397847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397868 */     // GIR_Coverage, 55207,
     /* 2397868 */     GIR_EraseRootFromParent_Done,
     /* 2397869 */   // Label 34404: @2397869
     /* 2397869 */   GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2397914), // Rule ID 55208 //
     /* 2397874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397889 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2397892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397913 */     // GIR_Coverage, 55208,
     /* 2397913 */     GIR_EraseRootFromParent_Done,
     /* 2397914 */   // Label 34405: @2397914
     /* 2397914 */   GIM_Reject,
     /* 2397915 */ // Label 34393: @2397915
     /* 2397915 */ GIM_Reject,
     /* 2397916 */ // Label 34129: @2397916
     /* 2397916 */ GIM_Reject,
     /* 2397917 */ // Label 101: @2397917
     /* 2397917 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34424*/ GIMT_Encode4(2400092),
     /* 2397928 */ /*GILLT_s16*//*Label 34406*/ GIMT_Encode4(2398048),
     /* 2397932 */ /*GILLT_s32*//*Label 34407*/ GIMT_Encode4(2398170),
     /* 2397936 */ /*GILLT_s64*//*Label 34408*/ GIMT_Encode4(2398292), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397948 */ /*GILLT_nxv1s16*//*Label 34409*/ GIMT_Encode4(2398442),
     /* 2397952 */ /*GILLT_nxv1s32*//*Label 34410*/ GIMT_Encode4(2398552),
     /* 2397956 */ /*GILLT_nxv1s64*//*Label 34411*/ GIMT_Encode4(2398662), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397968 */ /*GILLT_nxv2s16*//*Label 34412*/ GIMT_Encode4(2398772),
     /* 2397972 */ /*GILLT_nxv2s32*//*Label 34413*/ GIMT_Encode4(2398882),
     /* 2397976 */ /*GILLT_nxv2s64*//*Label 34414*/ GIMT_Encode4(2398992), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397988 */ /*GILLT_nxv4s16*//*Label 34415*/ GIMT_Encode4(2399102),
     /* 2397992 */ /*GILLT_nxv4s32*//*Label 34416*/ GIMT_Encode4(2399212),
     /* 2397996 */ /*GILLT_nxv4s64*//*Label 34417*/ GIMT_Encode4(2399322), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398008 */ /*GILLT_nxv8s16*//*Label 34418*/ GIMT_Encode4(2399432),
     /* 2398012 */ /*GILLT_nxv8s32*//*Label 34419*/ GIMT_Encode4(2399542),
     /* 2398016 */ /*GILLT_nxv8s64*//*Label 34420*/ GIMT_Encode4(2399652), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398028 */ /*GILLT_nxv16s16*//*Label 34421*/ GIMT_Encode4(2399762),
     /* 2398032 */ /*GILLT_nxv16s32*//*Label 34422*/ GIMT_Encode4(2399872), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398044 */ /*GILLT_nxv32s16*//*Label 34423*/ GIMT_Encode4(2399982),
     /* 2398048 */ // Label 34406: @2398048
     /* 2398048 */ GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2398169),
     /* 2398053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398056 */   GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2398084), // Rule ID 1871 //
     /* 2398061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398072 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398083 */     // GIR_Coverage, 1871,
     /* 2398083 */     GIR_EraseRootFromParent_Done,
     /* 2398084 */   // Label 34426: @2398084
     /* 2398084 */   GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2398112), // Rule ID 1872 //
     /* 2398089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398100 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398111 */     // GIR_Coverage, 1872,
     /* 2398111 */     GIR_EraseRootFromParent_Done,
     /* 2398112 */   // Label 34427: @2398112
     /* 2398112 */   GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2398140), // Rule ID 1904 //
     /* 2398117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398128 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398139 */     // GIR_Coverage, 1904,
     /* 2398139 */     GIR_EraseRootFromParent_Done,
     /* 2398140 */   // Label 34428: @2398140
     /* 2398140 */   GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2398168), // Rule ID 1905 //
     /* 2398145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398156 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398167 */     // GIR_Coverage, 1905,
     /* 2398167 */     GIR_EraseRootFromParent_Done,
     /* 2398168 */   // Label 34429: @2398168
     /* 2398168 */   GIM_Reject,
     /* 2398169 */ // Label 34425: @2398169
     /* 2398169 */ GIM_Reject,
     /* 2398170 */ // Label 34407: @2398170
     /* 2398170 */ GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2398291),
     /* 2398175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398178 */   GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2398206), // Rule ID 1162 //
     /* 2398183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2398186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398194 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398205 */     // GIR_Coverage, 1162,
     /* 2398205 */     GIR_EraseRootFromParent_Done,
     /* 2398206 */   // Label 34431: @2398206
     /* 2398206 */   GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2398234), // Rule ID 1163 //
     /* 2398211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2398214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398222 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398233 */     // GIR_Coverage, 1163,
     /* 2398233 */     GIR_EraseRootFromParent_Done,
     /* 2398234 */   // Label 34432: @2398234
     /* 2398234 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2398262), // Rule ID 1170 //
     /* 2398239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2398242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398250 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398261 */     // GIR_Coverage, 1170,
     /* 2398261 */     GIR_EraseRootFromParent_Done,
     /* 2398262 */   // Label 34433: @2398262
     /* 2398262 */   GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2398290), // Rule ID 1171 //
     /* 2398267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2398270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398278 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398289 */     // GIR_Coverage, 1171,
     /* 2398289 */     GIR_EraseRootFromParent_Done,
     /* 2398290 */   // Label 34434: @2398290
     /* 2398290 */   GIM_Reject,
     /* 2398291 */ // Label 34430: @2398291
     /* 2398291 */ GIM_Reject,
     /* 2398292 */ // Label 34408: @2398292
     /* 2398292 */ GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2398441),
     /* 2398297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398300 */   GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2398328), // Rule ID 1505 //
     /* 2398305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398316 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398327 */     // GIR_Coverage, 1505,
     /* 2398327 */     GIR_EraseRootFromParent_Done,
     /* 2398328 */   // Label 34436: @2398328
     /* 2398328 */   GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2398356), // Rule ID 1506 //
     /* 2398333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398344 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398355 */     // GIR_Coverage, 1506,
     /* 2398355 */     GIR_EraseRootFromParent_Done,
     /* 2398356 */   // Label 34437: @2398356
     /* 2398356 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2398384), // Rule ID 1540 //
     /* 2398361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398372 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2398375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398383 */     // GIR_Coverage, 1540,
     /* 2398383 */     GIR_EraseRootFromParent_Done,
     /* 2398384 */   // Label 34438: @2398384
     /* 2398384 */   GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2398412), // Rule ID 1560 //
     /* 2398389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398400 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398411 */     // GIR_Coverage, 1560,
     /* 2398411 */     GIR_EraseRootFromParent_Done,
     /* 2398412 */   // Label 34439: @2398412
     /* 2398412 */   GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2398440), // Rule ID 1561 //
     /* 2398417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398428 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398439 */     // GIR_Coverage, 1561,
     /* 2398439 */     GIR_EraseRootFromParent_Done,
     /* 2398440 */   // Label 34440: @2398440
     /* 2398440 */   GIM_Reject,
     /* 2398441 */ // Label 34435: @2398441
     /* 2398441 */ GIM_Reject,
     /* 2398442 */ // Label 34409: @2398442
     /* 2398442 */ GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2398551),
     /* 2398447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2398450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398458 */   GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2398504), // Rule ID 56103 //
     /* 2398463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398466 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398503 */     // GIR_Coverage, 56103,
     /* 2398503 */     GIR_EraseRootFromParent_Done,
     /* 2398504 */   // Label 34442: @2398504
     /* 2398504 */   GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2398550), // Rule ID 56104 //
     /* 2398509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398512 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398549 */     // GIR_Coverage, 56104,
     /* 2398549 */     GIR_EraseRootFromParent_Done,
     /* 2398550 */   // Label 34443: @2398550
     /* 2398550 */   GIM_Reject,
     /* 2398551 */ // Label 34441: @2398551
     /* 2398551 */ GIM_Reject,
     /* 2398552 */ // Label 34410: @2398552
     /* 2398552 */ GIM_Try, /*On fail goto*//*Label 34444*/ GIMT_Encode4(2398661),
     /* 2398557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2398560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398568 */   GIM_Try, /*On fail goto*//*Label 34445*/ GIMT_Encode4(2398614), // Rule ID 56143 //
     /* 2398573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398576 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2398593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398613 */     // GIR_Coverage, 56143,
     /* 2398613 */     GIR_EraseRootFromParent_Done,
     /* 2398614 */   // Label 34445: @2398614
     /* 2398614 */   GIM_Try, /*On fail goto*//*Label 34446*/ GIMT_Encode4(2398660), // Rule ID 56144 //
     /* 2398619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398622 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2398639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398659 */     // GIR_Coverage, 56144,
     /* 2398659 */     GIR_EraseRootFromParent_Done,
     /* 2398660 */   // Label 34446: @2398660
     /* 2398660 */   GIM_Reject,
     /* 2398661 */ // Label 34444: @2398661
     /* 2398661 */ GIM_Reject,
     /* 2398662 */ // Label 34411: @2398662
     /* 2398662 */ GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2398771),
     /* 2398667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2398670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398678 */   GIM_Try, /*On fail goto*//*Label 34448*/ GIMT_Encode4(2398724), // Rule ID 56203 //
     /* 2398683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398686 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2398689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2398703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398723 */     // GIR_Coverage, 56203,
     /* 2398723 */     GIR_EraseRootFromParent_Done,
     /* 2398724 */   // Label 34448: @2398724
     /* 2398724 */   GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2398770), // Rule ID 56204 //
     /* 2398729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398732 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2398735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2398749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398769 */     // GIR_Coverage, 56204,
     /* 2398769 */     GIR_EraseRootFromParent_Done,
     /* 2398770 */   // Label 34449: @2398770
     /* 2398770 */   GIM_Reject,
     /* 2398771 */ // Label 34447: @2398771
     /* 2398771 */ GIM_Reject,
     /* 2398772 */ // Label 34412: @2398772
     /* 2398772 */ GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2398881),
     /* 2398777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2398780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398788 */   GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2398834), // Rule ID 56123 //
     /* 2398793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398796 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2398799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2398813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398833 */     // GIR_Coverage, 56123,
     /* 2398833 */     GIR_EraseRootFromParent_Done,
     /* 2398834 */   // Label 34451: @2398834
     /* 2398834 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2398880), // Rule ID 56124 //
     /* 2398839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398842 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2398845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2398859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398879 */     // GIR_Coverage, 56124,
     /* 2398879 */     GIR_EraseRootFromParent_Done,
     /* 2398880 */   // Label 34452: @2398880
     /* 2398880 */   GIM_Reject,
     /* 2398881 */ // Label 34450: @2398881
     /* 2398881 */ GIM_Reject,
     /* 2398882 */ // Label 34413: @2398882
     /* 2398882 */ GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2398991),
     /* 2398887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398898 */   GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2398944), // Rule ID 56183 //
     /* 2398903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398906 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2398909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2398923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398943 */     // GIR_Coverage, 56183,
     /* 2398943 */     GIR_EraseRootFromParent_Done,
     /* 2398944 */   // Label 34454: @2398944
     /* 2398944 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2398990), // Rule ID 56184 //
     /* 2398949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398952 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2398955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2398969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398989 */     // GIR_Coverage, 56184,
     /* 2398989 */     GIR_EraseRootFromParent_Done,
     /* 2398990 */   // Label 34455: @2398990
     /* 2398990 */   GIM_Reject,
     /* 2398991 */ // Label 34453: @2398991
     /* 2398991 */ GIM_Reject,
     /* 2398992 */ // Label 34414: @2398992
     /* 2398992 */ GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2399101),
     /* 2398997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399008 */   GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2399054), // Rule ID 56343 //
     /* 2399013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399016 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2399033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399053 */     // GIR_Coverage, 56343,
     /* 2399053 */     GIR_EraseRootFromParent_Done,
     /* 2399054 */   // Label 34457: @2399054
     /* 2399054 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2399100), // Rule ID 56344 //
     /* 2399059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399062 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2399079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399099 */     // GIR_Coverage, 56344,
     /* 2399099 */     GIR_EraseRootFromParent_Done,
     /* 2399100 */   // Label 34458: @2399100
     /* 2399100 */   GIM_Reject,
     /* 2399101 */ // Label 34456: @2399101
     /* 2399101 */ GIM_Reject,
     /* 2399102 */ // Label 34415: @2399102
     /* 2399102 */ GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2399211),
     /* 2399107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399118 */   GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2399164), // Rule ID 56163 //
     /* 2399123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399126 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399163 */     // GIR_Coverage, 56163,
     /* 2399163 */     GIR_EraseRootFromParent_Done,
     /* 2399164 */   // Label 34460: @2399164
     /* 2399164 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2399210), // Rule ID 56164 //
     /* 2399169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399172 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399209 */     // GIR_Coverage, 56164,
     /* 2399209 */     GIR_EraseRootFromParent_Done,
     /* 2399210 */   // Label 34461: @2399210
     /* 2399210 */   GIM_Reject,
     /* 2399211 */ // Label 34459: @2399211
     /* 2399211 */ GIM_Reject,
     /* 2399212 */ // Label 34416: @2399212
     /* 2399212 */ GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2399321),
     /* 2399217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2399220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399228 */   GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2399274), // Rule ID 56283 //
     /* 2399233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399236 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399273 */     // GIR_Coverage, 56283,
     /* 2399273 */     GIR_EraseRootFromParent_Done,
     /* 2399274 */   // Label 34463: @2399274
     /* 2399274 */   GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2399320), // Rule ID 56284 //
     /* 2399279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399282 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399319 */     // GIR_Coverage, 56284,
     /* 2399319 */     GIR_EraseRootFromParent_Done,
     /* 2399320 */   // Label 34464: @2399320
     /* 2399320 */   GIM_Reject,
     /* 2399321 */ // Label 34462: @2399321
     /* 2399321 */ GIM_Reject,
     /* 2399322 */ // Label 34417: @2399322
     /* 2399322 */ GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2399431),
     /* 2399327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2399330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399338 */   GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2399384), // Rule ID 56363 //
     /* 2399343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399346 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399383 */     // GIR_Coverage, 56363,
     /* 2399383 */     GIR_EraseRootFromParent_Done,
     /* 2399384 */   // Label 34466: @2399384
     /* 2399384 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2399430), // Rule ID 56364 //
     /* 2399389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399392 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399429 */     // GIR_Coverage, 56364,
     /* 2399429 */     GIR_EraseRootFromParent_Done,
     /* 2399430 */   // Label 34467: @2399430
     /* 2399430 */   GIM_Reject,
     /* 2399431 */ // Label 34465: @2399431
     /* 2399431 */ GIM_Reject,
     /* 2399432 */ // Label 34418: @2399432
     /* 2399432 */ GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2399541),
     /* 2399437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2399440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399448 */   GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2399494), // Rule ID 56223 //
     /* 2399453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399456 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399493 */     // GIR_Coverage, 56223,
     /* 2399493 */     GIR_EraseRootFromParent_Done,
     /* 2399494 */   // Label 34469: @2399494
     /* 2399494 */   GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2399540), // Rule ID 56224 //
     /* 2399499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399502 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399539 */     // GIR_Coverage, 56224,
     /* 2399539 */     GIR_EraseRootFromParent_Done,
     /* 2399540 */   // Label 34470: @2399540
     /* 2399540 */   GIM_Reject,
     /* 2399541 */ // Label 34468: @2399541
     /* 2399541 */ GIM_Reject,
     /* 2399542 */ // Label 34419: @2399542
     /* 2399542 */ GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2399651),
     /* 2399547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2399550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399558 */   GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2399604), // Rule ID 56303 //
     /* 2399563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399566 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2399583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399603 */     // GIR_Coverage, 56303,
     /* 2399603 */     GIR_EraseRootFromParent_Done,
     /* 2399604 */   // Label 34472: @2399604
     /* 2399604 */   GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2399650), // Rule ID 56304 //
     /* 2399609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399612 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2399629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399649 */     // GIR_Coverage, 56304,
     /* 2399649 */     GIR_EraseRootFromParent_Done,
     /* 2399650 */   // Label 34473: @2399650
     /* 2399650 */   GIM_Reject,
     /* 2399651 */ // Label 34471: @2399651
     /* 2399651 */ GIM_Reject,
     /* 2399652 */ // Label 34420: @2399652
     /* 2399652 */ GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2399761),
     /* 2399657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2399660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399668 */   GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2399714), // Rule ID 56383 //
     /* 2399673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399676 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2399679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2399693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399713 */     // GIR_Coverage, 56383,
     /* 2399713 */     GIR_EraseRootFromParent_Done,
     /* 2399714 */   // Label 34475: @2399714
     /* 2399714 */   GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2399760), // Rule ID 56384 //
     /* 2399719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399722 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2399725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2399739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399759 */     // GIR_Coverage, 56384,
     /* 2399759 */     GIR_EraseRootFromParent_Done,
     /* 2399760 */   // Label 34476: @2399760
     /* 2399760 */   GIM_Reject,
     /* 2399761 */ // Label 34474: @2399761
     /* 2399761 */ GIM_Reject,
     /* 2399762 */ // Label 34421: @2399762
     /* 2399762 */ GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2399871),
     /* 2399767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2399770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399778 */   GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2399824), // Rule ID 56243 //
     /* 2399783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399786 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2399789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2399803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399823 */     // GIR_Coverage, 56243,
     /* 2399823 */     GIR_EraseRootFromParent_Done,
     /* 2399824 */   // Label 34478: @2399824
     /* 2399824 */   GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2399870), // Rule ID 56244 //
     /* 2399829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399832 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2399835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2399849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399869 */     // GIR_Coverage, 56244,
     /* 2399869 */     GIR_EraseRootFromParent_Done,
     /* 2399870 */   // Label 34479: @2399870
     /* 2399870 */   GIM_Reject,
     /* 2399871 */ // Label 34477: @2399871
     /* 2399871 */ GIM_Reject,
     /* 2399872 */ // Label 34422: @2399872
     /* 2399872 */ GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2399981),
     /* 2399877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2399880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399888 */   GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2399934), // Rule ID 56323 //
     /* 2399893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399896 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2399899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2399913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399933 */     // GIR_Coverage, 56323,
     /* 2399933 */     GIR_EraseRootFromParent_Done,
     /* 2399934 */   // Label 34481: @2399934
     /* 2399934 */   GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2399980), // Rule ID 56324 //
     /* 2399939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399942 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2399945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2399959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399979 */     // GIR_Coverage, 56324,
     /* 2399979 */     GIR_EraseRootFromParent_Done,
     /* 2399980 */   // Label 34482: @2399980
     /* 2399980 */   GIM_Reject,
     /* 2399981 */ // Label 34480: @2399981
     /* 2399981 */ GIM_Reject,
     /* 2399982 */ // Label 34423: @2399982
     /* 2399982 */ GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2400091),
     /* 2399987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2399990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399998 */   GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2400044), // Rule ID 56263 //
     /* 2400003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400006 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2400023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400043 */     // GIR_Coverage, 56263,
     /* 2400043 */     GIR_EraseRootFromParent_Done,
     /* 2400044 */   // Label 34484: @2400044
     /* 2400044 */   GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2400090), // Rule ID 56264 //
     /* 2400049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400052 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2400069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400089 */     // GIR_Coverage, 56264,
     /* 2400089 */     GIR_EraseRootFromParent_Done,
     /* 2400090 */   // Label 34485: @2400090
     /* 2400090 */   GIM_Reject,
     /* 2400091 */ // Label 34483: @2400091
     /* 2400091 */ GIM_Reject,
     /* 2400092 */ // Label 34424: @2400092
     /* 2400092 */ GIM_Reject,
     /* 2400093 */ // Label 102: @2400093
     /* 2400093 */ GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2400105), // Rule ID 283 //
     /* 2400098 */   // (trap)  =>  (UNIMP)
     /* 2400098 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2400103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400104 */   // GIR_Coverage, 283,
     /* 2400104 */   GIR_Done,
     /* 2400105 */ // Label 34486: @2400105
     /* 2400105 */ GIM_Reject,
     /* 2400106 */ // Label 103: @2400106
     /* 2400106 */ GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2400118), // Rule ID 284 //
     /* 2400111 */   // (debugtrap)  =>  (EBREAK)
     /* 2400111 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2400116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400117 */   // GIR_Coverage, 284,
     /* 2400117 */   GIR_Done,
     /* 2400118 */ // Label 34487: @2400118
     /* 2400118 */ GIM_Reject,
     /* 2400119 */ // Label 104: @2400119
     /* 2400119 */ GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2400213),
     /* 2400124 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400134 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2400153), // Rule ID 2403 //
     /* 2400139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400146 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2400151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400152 */     // GIR_Coverage, 2403,
     /* 2400152 */     GIR_Done,
     /* 2400153 */   // Label 34489: @2400153
     /* 2400153 */   GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2400212), // Rule ID 62477 //
     /* 2400158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2400161 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2400161 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2400164 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2400168 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400173 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2400177 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2400180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2400182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2400185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2400189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400194 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2400197 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2400200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2400205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400211 */     // GIR_Coverage, 62477,
     /* 2400211 */     GIR_EraseRootFromParent_Done,
     /* 2400212 */   // Label 34490: @2400212
     /* 2400212 */   GIM_Reject,
     /* 2400213 */ // Label 34488: @2400213
     /* 2400213 */ GIM_Reject,
     /* 2400214 */ // Label 105: @2400214
     /* 2400214 */ GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2400243), // Rule ID 2404 //
     /* 2400219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400222 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400236 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400236 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2400241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400242 */   // GIR_Coverage, 2404,
     /* 2400242 */   GIR_Done,
     /* 2400243 */ // Label 34491: @2400243
     /* 2400243 */ GIM_Reject,
     /* 2400244 */ // Label 106: @2400244
     /* 2400244 */ GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2400280), // Rule ID 306 //
     /* 2400249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400252 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400273 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400273 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2400278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400279 */   // GIR_Coverage, 306,
     /* 2400279 */   GIR_Done,
     /* 2400280 */ // Label 34492: @2400280
     /* 2400280 */ GIM_Reject,
     /* 2400281 */ // Label 107: @2400281
     /* 2400281 */ GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2400317), // Rule ID 305 //
     /* 2400286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400289 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400310 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400310 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2400315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400316 */   // GIR_Coverage, 305,
     /* 2400316 */   GIR_Done,
     /* 2400317 */ // Label 34493: @2400317
     /* 2400317 */ GIM_Reject,
     /* 2400318 */ // Label 108: @2400318
     /* 2400318 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34496*/ GIMT_Encode4(2400677),
     /* 2400329 */ /*GILLT_s32*//*Label 34494*/ GIMT_Encode4(2400337),
     /* 2400333 */ /*GILLT_s64*//*Label 34495*/ GIMT_Encode4(2400494),
     /* 2400337 */ // Label 34494: @2400337
     /* 2400337 */ GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2400363), // Rule ID 1169 //
     /* 2400342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400356 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400356 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400362 */   // GIR_Coverage, 1169,
     /* 2400362 */   GIR_Done,
     /* 2400363 */ // Label 34497: @2400363
     /* 2400363 */ GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2400389), // Rule ID 1177 //
     /* 2400368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400382 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400382 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400388 */   // GIR_Coverage, 1177,
     /* 2400388 */   GIR_Done,
     /* 2400389 */ // Label 34498: @2400389
     /* 2400389 */ GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2400415), // Rule ID 1512 //
     /* 2400394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2400397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400408 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400408 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400414 */   // GIR_Coverage, 1512,
     /* 2400414 */   GIR_Done,
     /* 2400415 */ // Label 34499: @2400415
     /* 2400415 */ GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2400441), // Rule ID 1567 //
     /* 2400420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2400423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400434 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400434 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2400439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400440 */   // GIR_Coverage, 1567,
     /* 2400440 */   GIR_Done,
     /* 2400441 */ // Label 34500: @2400441
     /* 2400441 */ GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2400467), // Rule ID 1878 //
     /* 2400446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2400449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400460 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400460 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2400465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400466 */   // GIR_Coverage, 1878,
     /* 2400466 */   GIR_Done,
     /* 2400467 */ // Label 34501: @2400467
     /* 2400467 */ GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2400493), // Rule ID 1911 //
     /* 2400472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2400475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400486 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400486 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2400491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400492 */   // GIR_Coverage, 1911,
     /* 2400492 */   GIR_Done,
     /* 2400493 */ // Label 34502: @2400493
     /* 2400493 */ GIM_Reject,
     /* 2400494 */ // Label 34495: @2400494
     /* 2400494 */ GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2400520), // Rule ID 1168 //
     /* 2400499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400513 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400513 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400519 */   // GIR_Coverage, 1168,
     /* 2400519 */   GIR_Done,
     /* 2400520 */ // Label 34503: @2400520
     /* 2400520 */ GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2400546), // Rule ID 1176 //
     /* 2400525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400539 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400539 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400545 */   // GIR_Coverage, 1176,
     /* 2400545 */   GIR_Done,
     /* 2400546 */ // Label 34504: @2400546
     /* 2400546 */ GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2400572), // Rule ID 1511 //
     /* 2400551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2400554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400565 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400565 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400571 */   // GIR_Coverage, 1511,
     /* 2400571 */   GIR_Done,
     /* 2400572 */ // Label 34505: @2400572
     /* 2400572 */ GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2400598), // Rule ID 1544 //
     /* 2400577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2400580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400591 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400591 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2400596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400597 */   // GIR_Coverage, 1544,
     /* 2400597 */   GIR_Done,
     /* 2400598 */ // Label 34506: @2400598
     /* 2400598 */ GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2400624), // Rule ID 1566 //
     /* 2400603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2400606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400617 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2400622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400623 */   // GIR_Coverage, 1566,
     /* 2400623 */   GIR_Done,
     /* 2400624 */ // Label 34507: @2400624
     /* 2400624 */ GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2400650), // Rule ID 1877 //
     /* 2400629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2400632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400643 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2400643 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2400648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400649 */   // GIR_Coverage, 1877,
     /* 2400649 */   GIR_Done,
     /* 2400650 */ // Label 34508: @2400650
     /* 2400650 */ GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2400676), // Rule ID 1910 //
     /* 2400655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2400658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400669 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2400669 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2400674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400675 */   // GIR_Coverage, 1910,
     /* 2400675 */   GIR_Done,
     /* 2400676 */ // Label 34509: @2400676
     /* 2400676 */ GIM_Reject,
     /* 2400677 */ // Label 34496: @2400677
     /* 2400677 */ GIM_Reject,
     /* 2400678 */ // Label 109: @2400678
     /* 2400678 */ GIM_Try, /*On fail goto*//*Label 34510*/ GIMT_Encode4(2400875),
     /* 2400683 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400686 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34514*/ GIMT_Encode4(2400874),
     /* 2400697 */   /*GILLT_s16*//*Label 34511*/ GIMT_Encode4(2400709),
     /* 2400701 */   /*GILLT_s32*//*Label 34512*/ GIMT_Encode4(2400764),
     /* 2400705 */   /*GILLT_s64*//*Label 34513*/ GIMT_Encode4(2400819),
     /* 2400709 */   // Label 34511: @2400709
     /* 2400709 */   GIM_Try, /*On fail goto*//*Label 34515*/ GIMT_Encode4(2400763),
     /* 2400714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400718 */     GIM_Try, /*On fail goto*//*Label 34516*/ GIMT_Encode4(2400740), // Rule ID 2128 //
     /* 2400723 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2400726 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400730 */       // MIs[0] frm
     /* 2400730 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400733 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400733 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2400738 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400739 */       // GIR_Coverage, 2128,
     /* 2400739 */       GIR_Done,
     /* 2400740 */     // Label 34516: @2400740
     /* 2400740 */     GIM_Try, /*On fail goto*//*Label 34517*/ GIMT_Encode4(2400762), // Rule ID 2154 //
     /* 2400745 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2400748 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400752 */       // MIs[0] frm
     /* 2400752 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400755 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400755 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2400760 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400761 */       // GIR_Coverage, 2154,
     /* 2400761 */       GIR_Done,
     /* 2400762 */     // Label 34517: @2400762
     /* 2400762 */     GIM_Reject,
     /* 2400763 */   // Label 34515: @2400763
     /* 2400763 */   GIM_Reject,
     /* 2400764 */   // Label 34512: @2400764
     /* 2400764 */   GIM_Try, /*On fail goto*//*Label 34518*/ GIMT_Encode4(2400818),
     /* 2400769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400773 */     GIM_Try, /*On fail goto*//*Label 34519*/ GIMT_Encode4(2400795), // Rule ID 1394 //
     /* 2400778 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2400781 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400785 */       // MIs[0] frm
     /* 2400785 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400788 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400788 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2400793 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400794 */       // GIR_Coverage, 1394,
     /* 2400794 */       GIR_Done,
     /* 2400795 */     // Label 34519: @2400795
     /* 2400795 */     GIM_Try, /*On fail goto*//*Label 34520*/ GIMT_Encode4(2400817), // Rule ID 1422 //
     /* 2400800 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2400803 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400807 */       // MIs[0] frm
     /* 2400807 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400810 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400810 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2400815 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400816 */       // GIR_Coverage, 1422,
     /* 2400816 */       GIR_Done,
     /* 2400817 */     // Label 34520: @2400817
     /* 2400817 */     GIM_Reject,
     /* 2400818 */   // Label 34518: @2400818
     /* 2400818 */   GIM_Reject,
     /* 2400819 */   // Label 34513: @2400819
     /* 2400819 */   GIM_Try, /*On fail goto*//*Label 34521*/ GIMT_Encode4(2400873),
     /* 2400824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400828 */     GIM_Try, /*On fail goto*//*Label 34522*/ GIMT_Encode4(2400850), // Rule ID 1788 //
     /* 2400833 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2400836 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400840 */       // MIs[0] frm
     /* 2400840 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400843 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400843 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2400848 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400849 */       // GIR_Coverage, 1788,
     /* 2400849 */       GIR_Done,
     /* 2400850 */     // Label 34522: @2400850
     /* 2400850 */     GIM_Try, /*On fail goto*//*Label 34523*/ GIMT_Encode4(2400872), // Rule ID 1816 //
     /* 2400855 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2400858 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400862 */       // MIs[0] frm
     /* 2400862 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400865 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400865 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2400870 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400871 */       // GIR_Coverage, 1816,
     /* 2400871 */       GIR_Done,
     /* 2400872 */     // Label 34523: @2400872
     /* 2400872 */     GIM_Reject,
     /* 2400873 */   // Label 34521: @2400873
     /* 2400873 */   GIM_Reject,
     /* 2400874 */   // Label 34514: @2400874
     /* 2400874 */   GIM_Reject,
     /* 2400875 */ // Label 34510: @2400875
     /* 2400875 */ GIM_Reject,
     /* 2400876 */ // Label 110: @2400876
     /* 2400876 */ GIM_Try, /*On fail goto*//*Label 34524*/ GIMT_Encode4(2401073),
     /* 2400881 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400884 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34528*/ GIMT_Encode4(2401072),
     /* 2400895 */   /*GILLT_s16*//*Label 34525*/ GIMT_Encode4(2400907),
     /* 2400899 */   /*GILLT_s32*//*Label 34526*/ GIMT_Encode4(2400962),
     /* 2400903 */   /*GILLT_s64*//*Label 34527*/ GIMT_Encode4(2401017),
     /* 2400907 */   // Label 34525: @2400907
     /* 2400907 */   GIM_Try, /*On fail goto*//*Label 34529*/ GIMT_Encode4(2400961),
     /* 2400912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400916 */     GIM_Try, /*On fail goto*//*Label 34530*/ GIMT_Encode4(2400938), // Rule ID 2126 //
     /* 2400921 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2400924 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400928 */       // MIs[0] frm
     /* 2400928 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400931 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400931 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2400936 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400937 */       // GIR_Coverage, 2126,
     /* 2400937 */       GIR_Done,
     /* 2400938 */     // Label 34530: @2400938
     /* 2400938 */     GIM_Try, /*On fail goto*//*Label 34531*/ GIMT_Encode4(2400960), // Rule ID 2152 //
     /* 2400943 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2400946 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400950 */       // MIs[0] frm
     /* 2400950 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400953 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400953 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2400958 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400959 */       // GIR_Coverage, 2152,
     /* 2400959 */       GIR_Done,
     /* 2400960 */     // Label 34531: @2400960
     /* 2400960 */     GIM_Reject,
     /* 2400961 */   // Label 34529: @2400961
     /* 2400961 */   GIM_Reject,
     /* 2400962 */   // Label 34526: @2400962
     /* 2400962 */   GIM_Try, /*On fail goto*//*Label 34532*/ GIMT_Encode4(2401016),
     /* 2400967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400971 */     GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2400993), // Rule ID 1392 //
     /* 2400976 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2400979 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400983 */       // MIs[0] frm
     /* 2400983 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400986 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400986 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2400991 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400992 */       // GIR_Coverage, 1392,
     /* 2400992 */       GIR_Done,
     /* 2400993 */     // Label 34533: @2400993
     /* 2400993 */     GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2401015), // Rule ID 1420 //
     /* 2400998 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2401001 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2401005 */       // MIs[0] frm
     /* 2401005 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401008 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401008 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2401013 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401014 */       // GIR_Coverage, 1420,
     /* 2401014 */       GIR_Done,
     /* 2401015 */     // Label 34534: @2401015
     /* 2401015 */     GIM_Reject,
     /* 2401016 */   // Label 34532: @2401016
     /* 2401016 */   GIM_Reject,
     /* 2401017 */   // Label 34527: @2401017
     /* 2401017 */   GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2401071),
     /* 2401022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401026 */     GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2401048), // Rule ID 1786 //
     /* 2401031 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2401034 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401038 */       // MIs[0] frm
     /* 2401038 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401041 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401041 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2401046 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401047 */       // GIR_Coverage, 1786,
     /* 2401047 */       GIR_Done,
     /* 2401048 */     // Label 34536: @2401048
     /* 2401048 */     GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2401070), // Rule ID 1814 //
     /* 2401053 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401056 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401060 */       // MIs[0] frm
     /* 2401060 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401063 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401063 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2401068 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401069 */       // GIR_Coverage, 1814,
     /* 2401069 */       GIR_Done,
     /* 2401070 */     // Label 34537: @2401070
     /* 2401070 */     GIM_Reject,
     /* 2401071 */   // Label 34535: @2401071
     /* 2401071 */   GIM_Reject,
     /* 2401072 */   // Label 34528: @2401072
     /* 2401072 */   GIM_Reject,
     /* 2401073 */ // Label 34524: @2401073
     /* 2401073 */ GIM_Reject,
     /* 2401074 */ // Label 111: @2401074
     /* 2401074 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34540*/ GIMT_Encode4(2401133),
     /* 2401085 */ /*GILLT_s32*//*Label 34538*/ GIMT_Encode4(2401093),
     /* 2401089 */ /*GILLT_s64*//*Label 34539*/ GIMT_Encode4(2401113),
     /* 2401093 */ // Label 34538: @2401093
     /* 2401093 */ GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2401112), // Rule ID 67 //
     /* 2401098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401105 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2401105 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401111 */   // GIR_Coverage, 67,
     /* 2401111 */   GIR_Done,
     /* 2401112 */ // Label 34541: @2401112
     /* 2401112 */ GIM_Reject,
     /* 2401113 */ // Label 34539: @2401113
     /* 2401113 */ GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2401132), // Rule ID 66 //
     /* 2401118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401125 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2401125 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401131 */   // GIR_Coverage, 66,
     /* 2401131 */   GIR_Done,
     /* 2401132 */ // Label 34542: @2401132
     /* 2401132 */ GIM_Reject,
     /* 2401133 */ // Label 34540: @2401133
     /* 2401133 */ GIM_Reject,
     /* 2401134 */ // Label 112: @2401134
     /* 2401134 */ GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2401170), // Rule ID 307 //
     /* 2401139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2401142 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401163 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401163 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2401168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401169 */   // GIR_Coverage, 307,
     /* 2401169 */   GIR_Done,
     /* 2401170 */ // Label 34543: @2401170
     /* 2401170 */ GIM_Reject,
     /* 2401171 */ // Label 113: @2401171
     /* 2401171 */ GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2401295),
     /* 2401176 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401193 */   GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2401229), // Rule ID 2352 //
     /* 2401198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401213 */     // MIs[1] Operand 1
     /* 2401213 */     // No operand predicates
     /* 2401213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401215 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401222 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401228 */     // GIR_Coverage, 2352,
     /* 2401228 */     GIR_EraseRootFromParent_Done,
     /* 2401229 */   // Label 34545: @2401229
     /* 2401229 */   GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2401265), // Rule ID 62474 //
     /* 2401234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401249 */     // MIs[1] Operand 1
     /* 2401249 */     // No operand predicates
     /* 2401249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401251 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401258 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401264 */     // GIR_Coverage, 62474,
     /* 2401264 */     GIR_EraseRootFromParent_Done,
     /* 2401265 */   // Label 34546: @2401265
     /* 2401265 */   GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2401294), // Rule ID 2349 //
     /* 2401270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401280 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2401283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401293 */     // GIR_Coverage, 2349,
     /* 2401293 */     GIR_EraseRootFromParent_Done,
     /* 2401294 */   // Label 34547: @2401294
     /* 2401294 */   GIM_Reject,
     /* 2401295 */ // Label 34544: @2401295
     /* 2401295 */ GIM_Reject,
     /* 2401296 */ // Label 114: @2401296
     /* 2401296 */ GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2401416),
     /* 2401301 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401318 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2401352), // Rule ID 2351 //
     /* 2401323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401338 */     // MIs[1] Operand 1
     /* 2401338 */     // No operand predicates
     /* 2401338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401340 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401351 */     // GIR_Coverage, 2351,
     /* 2401351 */     GIR_EraseRootFromParent_Done,
     /* 2401352 */   // Label 34549: @2401352
     /* 2401352 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2401386), // Rule ID 62473 //
     /* 2401357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401372 */     // MIs[1] Operand 1
     /* 2401372 */     // No operand predicates
     /* 2401372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401374 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401385 */     // GIR_Coverage, 62473,
     /* 2401385 */     GIR_EraseRootFromParent_Done,
     /* 2401386 */   // Label 34550: @2401386
     /* 2401386 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2401415), // Rule ID 2350 //
     /* 2401391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401401 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2401404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401414 */     // GIR_Coverage, 2350,
     /* 2401414 */     GIR_EraseRootFromParent_Done,
     /* 2401415 */   // Label 34551: @2401415
     /* 2401415 */   GIM_Reject,
     /* 2401416 */ // Label 34548: @2401416
     /* 2401416 */ GIM_Reject,
     /* 2401417 */ // Label 115: @2401417
     /* 2401417 */ GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2401463), // Rule ID 261 //
     /* 2401422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401425 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401442 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401449 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2401452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401454 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401456 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401462 */   // GIR_Coverage, 261,
     /* 2401462 */   GIR_EraseRootFromParent_Done,
     /* 2401463 */ // Label 34552: @2401463
     /* 2401463 */ GIM_Reject,
     /* 2401464 */ // Label 116: @2401464
     /* 2401464 */ GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2401510), // Rule ID 263 //
     /* 2401469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401472 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401489 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401496 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2401499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401501 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401509 */   // GIR_Coverage, 263,
     /* 2401509 */   GIR_EraseRootFromParent_Done,
     /* 2401510 */ // Label 34553: @2401510
     /* 2401510 */ GIM_Reject,
     /* 2401511 */ // Label 117: @2401511
     /* 2401511 */ GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2401557), // Rule ID 262 //
     /* 2401516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401519 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401536 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401543 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2401546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401548 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401556 */   // GIR_Coverage, 262,
     /* 2401556 */   GIR_EraseRootFromParent_Done,
     /* 2401557 */ // Label 34554: @2401557
     /* 2401557 */ GIM_Reject,
     /* 2401558 */ // Label 118: @2401558
     /* 2401558 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34562*/ GIMT_Encode4(2402206),
     /* 2401569 */ /*GILLT_nxv1s1*//*Label 34555*/ GIMT_Encode4(2401681), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401589 */ /*GILLT_nxv2s1*//*Label 34556*/ GIMT_Encode4(2401756), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401609 */ /*GILLT_nxv4s1*//*Label 34557*/ GIMT_Encode4(2401831), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401629 */ /*GILLT_nxv8s1*//*Label 34558*/ GIMT_Encode4(2401906), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401649 */ /*GILLT_nxv16s1*//*Label 34559*/ GIMT_Encode4(2401981), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401665 */ /*GILLT_nxv32s1*//*Label 34560*/ GIMT_Encode4(2402056), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401677 */ /*GILLT_nxv64s1*//*Label 34561*/ GIMT_Encode4(2402131),
     /* 2401681 */ // Label 34555: @2401681
     /* 2401681 */ GIM_Try, /*On fail goto*//*Label 34563*/ GIMT_Encode4(2401718), // Rule ID 44585 //
     /* 2401686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401696 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401703 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2401706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401717 */   // GIR_Coverage, 44585,
     /* 2401717 */   GIR_EraseRootFromParent_Done,
     /* 2401718 */ // Label 34563: @2401718
     /* 2401718 */ GIM_Try, /*On fail goto*//*Label 34564*/ GIMT_Encode4(2401755), // Rule ID 44586 //
     /* 2401723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401733 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401740 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2401743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401754 */   // GIR_Coverage, 44586,
     /* 2401754 */   GIR_EraseRootFromParent_Done,
     /* 2401755 */ // Label 34564: @2401755
     /* 2401755 */ GIM_Reject,
     /* 2401756 */ // Label 34556: @2401756
     /* 2401756 */ GIM_Try, /*On fail goto*//*Label 34565*/ GIMT_Encode4(2401793), // Rule ID 44613 //
     /* 2401761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401771 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401778 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2401781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401792 */   // GIR_Coverage, 44613,
     /* 2401792 */   GIR_EraseRootFromParent_Done,
     /* 2401793 */ // Label 34565: @2401793
     /* 2401793 */ GIM_Try, /*On fail goto*//*Label 34566*/ GIMT_Encode4(2401830), // Rule ID 44614 //
     /* 2401798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401808 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401815 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2401818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401820 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401829 */   // GIR_Coverage, 44614,
     /* 2401829 */   GIR_EraseRootFromParent_Done,
     /* 2401830 */ // Label 34566: @2401830
     /* 2401830 */ GIM_Reject,
     /* 2401831 */ // Label 34557: @2401831
     /* 2401831 */ GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2401868), // Rule ID 44641 //
     /* 2401836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401853 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2401856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401867 */   // GIR_Coverage, 44641,
     /* 2401867 */   GIR_EraseRootFromParent_Done,
     /* 2401868 */ // Label 34567: @2401868
     /* 2401868 */ GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2401905), // Rule ID 44642 //
     /* 2401873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401883 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401890 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2401893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401895 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401904 */   // GIR_Coverage, 44642,
     /* 2401904 */   GIR_EraseRootFromParent_Done,
     /* 2401905 */ // Label 34568: @2401905
     /* 2401905 */ GIM_Reject,
     /* 2401906 */ // Label 34558: @2401906
     /* 2401906 */ GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2401943), // Rule ID 44669 //
     /* 2401911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401921 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401928 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2401931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401942 */   // GIR_Coverage, 44669,
     /* 2401942 */   GIR_EraseRootFromParent_Done,
     /* 2401943 */ // Label 34569: @2401943
     /* 2401943 */ GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2401980), // Rule ID 44670 //
     /* 2401948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401958 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401965 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2401968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401979 */   // GIR_Coverage, 44670,
     /* 2401979 */   GIR_EraseRootFromParent_Done,
     /* 2401980 */ // Label 34570: @2401980
     /* 2401980 */ GIM_Reject,
     /* 2401981 */ // Label 34559: @2401981
     /* 2401981 */ GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2402018), // Rule ID 44697 //
     /* 2401986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402003 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2402006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402017 */   // GIR_Coverage, 44697,
     /* 2402017 */   GIR_EraseRootFromParent_Done,
     /* 2402018 */ // Label 34571: @2402018
     /* 2402018 */ GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2402055), // Rule ID 44698 //
     /* 2402023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402040 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2402043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402054 */   // GIR_Coverage, 44698,
     /* 2402054 */   GIR_EraseRootFromParent_Done,
     /* 2402055 */ // Label 34572: @2402055
     /* 2402055 */ GIM_Reject,
     /* 2402056 */ // Label 34560: @2402056
     /* 2402056 */ GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2402093), // Rule ID 44725 //
     /* 2402061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402071 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402078 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402092 */   // GIR_Coverage, 44725,
     /* 2402092 */   GIR_EraseRootFromParent_Done,
     /* 2402093 */ // Label 34573: @2402093
     /* 2402093 */ GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2402130), // Rule ID 44726 //
     /* 2402098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402108 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402115 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402129 */   // GIR_Coverage, 44726,
     /* 2402129 */   GIR_EraseRootFromParent_Done,
     /* 2402130 */ // Label 34574: @2402130
     /* 2402130 */ GIM_Reject,
     /* 2402131 */ // Label 34561: @2402131
     /* 2402131 */ GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2402168), // Rule ID 44753 //
     /* 2402136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402146 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402153 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402167 */   // GIR_Coverage, 44753,
     /* 2402167 */   GIR_EraseRootFromParent_Done,
     /* 2402168 */ // Label 34575: @2402168
     /* 2402168 */ GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2402205), // Rule ID 44754 //
     /* 2402173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402183 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402190 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402204 */   // GIR_Coverage, 44754,
     /* 2402204 */   GIR_EraseRootFromParent_Done,
     /* 2402205 */ // Label 34576: @2402205
     /* 2402205 */ GIM_Reject,
     /* 2402206 */ // Label 34562: @2402206
     /* 2402206 */ GIM_Reject,
     /* 2402207 */ // Label 119: @2402207
     /* 2402207 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34584*/ GIMT_Encode4(2402855),
     /* 2402218 */ /*GILLT_nxv1s1*//*Label 34577*/ GIMT_Encode4(2402330), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402238 */ /*GILLT_nxv2s1*//*Label 34578*/ GIMT_Encode4(2402405), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402258 */ /*GILLT_nxv4s1*//*Label 34579*/ GIMT_Encode4(2402480), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402278 */ /*GILLT_nxv8s1*//*Label 34580*/ GIMT_Encode4(2402555), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402298 */ /*GILLT_nxv16s1*//*Label 34581*/ GIMT_Encode4(2402630), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402314 */ /*GILLT_nxv32s1*//*Label 34582*/ GIMT_Encode4(2402705), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402326 */ /*GILLT_nxv64s1*//*Label 34583*/ GIMT_Encode4(2402780),
     /* 2402330 */ // Label 34577: @2402330
     /* 2402330 */ GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2402367), // Rule ID 44583 //
     /* 2402335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402345 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402352 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402366 */   // GIR_Coverage, 44583,
     /* 2402366 */   GIR_EraseRootFromParent_Done,
     /* 2402367 */ // Label 34585: @2402367
     /* 2402367 */ GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2402404), // Rule ID 44584 //
     /* 2402372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402382 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402389 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402394 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402403 */   // GIR_Coverage, 44584,
     /* 2402403 */   GIR_EraseRootFromParent_Done,
     /* 2402404 */ // Label 34586: @2402404
     /* 2402404 */ GIM_Reject,
     /* 2402405 */ // Label 34578: @2402405
     /* 2402405 */ GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2402442), // Rule ID 44611 //
     /* 2402410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402420 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402427 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402432 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402441 */   // GIR_Coverage, 44611,
     /* 2402441 */   GIR_EraseRootFromParent_Done,
     /* 2402442 */ // Label 34587: @2402442
     /* 2402442 */ GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2402479), // Rule ID 44612 //
     /* 2402447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402457 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402464 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402478 */   // GIR_Coverage, 44612,
     /* 2402478 */   GIR_EraseRootFromParent_Done,
     /* 2402479 */ // Label 34588: @2402479
     /* 2402479 */ GIM_Reject,
     /* 2402480 */ // Label 34579: @2402480
     /* 2402480 */ GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2402517), // Rule ID 44639 //
     /* 2402485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402495 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402502 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402507 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402516 */   // GIR_Coverage, 44639,
     /* 2402516 */   GIR_EraseRootFromParent_Done,
     /* 2402517 */ // Label 34589: @2402517
     /* 2402517 */ GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2402554), // Rule ID 44640 //
     /* 2402522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402532 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402539 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402553 */   // GIR_Coverage, 44640,
     /* 2402553 */   GIR_EraseRootFromParent_Done,
     /* 2402554 */ // Label 34590: @2402554
     /* 2402554 */ GIM_Reject,
     /* 2402555 */ // Label 34580: @2402555
     /* 2402555 */ GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2402592), // Rule ID 44667 //
     /* 2402560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402570 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402577 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2402580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402591 */   // GIR_Coverage, 44667,
     /* 2402591 */   GIR_EraseRootFromParent_Done,
     /* 2402592 */ // Label 34591: @2402592
     /* 2402592 */ GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2402629), // Rule ID 44668 //
     /* 2402597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402607 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402614 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2402617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402628 */   // GIR_Coverage, 44668,
     /* 2402628 */   GIR_EraseRootFromParent_Done,
     /* 2402629 */ // Label 34592: @2402629
     /* 2402629 */ GIM_Reject,
     /* 2402630 */ // Label 34581: @2402630
     /* 2402630 */ GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2402667), // Rule ID 44695 //
     /* 2402635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402645 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402652 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2402655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402666 */   // GIR_Coverage, 44695,
     /* 2402666 */   GIR_EraseRootFromParent_Done,
     /* 2402667 */ // Label 34593: @2402667
     /* 2402667 */ GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2402704), // Rule ID 44696 //
     /* 2402672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402682 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402689 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2402692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402694 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402703 */   // GIR_Coverage, 44696,
     /* 2402703 */   GIR_EraseRootFromParent_Done,
     /* 2402704 */ // Label 34594: @2402704
     /* 2402704 */ GIM_Reject,
     /* 2402705 */ // Label 34582: @2402705
     /* 2402705 */ GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2402742), // Rule ID 44723 //
     /* 2402710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402720 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402727 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2402730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402741 */   // GIR_Coverage, 44723,
     /* 2402741 */   GIR_EraseRootFromParent_Done,
     /* 2402742 */ // Label 34595: @2402742
     /* 2402742 */ GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2402779), // Rule ID 44724 //
     /* 2402747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402757 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402764 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2402767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402769 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402778 */   // GIR_Coverage, 44724,
     /* 2402778 */   GIR_EraseRootFromParent_Done,
     /* 2402779 */ // Label 34596: @2402779
     /* 2402779 */ GIM_Reject,
     /* 2402780 */ // Label 34583: @2402780
     /* 2402780 */ GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2402817), // Rule ID 44751 //
     /* 2402785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402802 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2402805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402816 */   // GIR_Coverage, 44751,
     /* 2402816 */   GIR_EraseRootFromParent_Done,
     /* 2402817 */ // Label 34597: @2402817
     /* 2402817 */ GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2402854), // Rule ID 44752 //
     /* 2402822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402832 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402839 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2402842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402844 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402853 */   // GIR_Coverage, 44752,
     /* 2402853 */   GIR_EraseRootFromParent_Done,
     /* 2402854 */ // Label 34598: @2402854
     /* 2402854 */ GIM_Reject,
     /* 2402855 */ // Label 34584: @2402855
     /* 2402855 */ GIM_Reject,
     /* 2402856 */ // Label 120: @2402856
     /* 2402856 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34621*/ GIMT_Encode4(2407113),
     /* 2402867 */ /*GILLT_nxv1s8*//*Label 34599*/ GIMT_Encode4(2402979),
     /* 2402871 */ /*GILLT_nxv1s16*//*Label 34600*/ GIMT_Encode4(2403096),
     /* 2402875 */ /*GILLT_nxv1s32*//*Label 34601*/ GIMT_Encode4(2403317),
     /* 2402879 */ /*GILLT_nxv1s64*//*Label 34602*/ GIMT_Encode4(2403538), GIMT_Encode4(0),
     /* 2402887 */ /*GILLT_nxv2s8*//*Label 34603*/ GIMT_Encode4(2403759),
     /* 2402891 */ /*GILLT_nxv2s16*//*Label 34604*/ GIMT_Encode4(2403876),
     /* 2402895 */ /*GILLT_nxv2s32*//*Label 34605*/ GIMT_Encode4(2404097),
     /* 2402899 */ /*GILLT_nxv2s64*//*Label 34606*/ GIMT_Encode4(2404318), GIMT_Encode4(0),
     /* 2402907 */ /*GILLT_nxv4s8*//*Label 34607*/ GIMT_Encode4(2404539),
     /* 2402911 */ /*GILLT_nxv4s16*//*Label 34608*/ GIMT_Encode4(2404656),
     /* 2402915 */ /*GILLT_nxv4s32*//*Label 34609*/ GIMT_Encode4(2404877),
     /* 2402919 */ /*GILLT_nxv4s64*//*Label 34610*/ GIMT_Encode4(2405098), GIMT_Encode4(0),
     /* 2402927 */ /*GILLT_nxv8s8*//*Label 34611*/ GIMT_Encode4(2405319),
     /* 2402931 */ /*GILLT_nxv8s16*//*Label 34612*/ GIMT_Encode4(2405436),
     /* 2402935 */ /*GILLT_nxv8s32*//*Label 34613*/ GIMT_Encode4(2405657),
     /* 2402939 */ /*GILLT_nxv8s64*//*Label 34614*/ GIMT_Encode4(2405878), GIMT_Encode4(0),
     /* 2402947 */ /*GILLT_nxv16s8*//*Label 34615*/ GIMT_Encode4(2406099),
     /* 2402951 */ /*GILLT_nxv16s16*//*Label 34616*/ GIMT_Encode4(2406216),
     /* 2402955 */ /*GILLT_nxv16s32*//*Label 34617*/ GIMT_Encode4(2406437), GIMT_Encode4(0),
     /* 2402963 */ /*GILLT_nxv32s8*//*Label 34618*/ GIMT_Encode4(2406658),
     /* 2402967 */ /*GILLT_nxv32s16*//*Label 34619*/ GIMT_Encode4(2406775), GIMT_Encode4(0),
     /* 2402975 */ /*GILLT_nxv64s8*//*Label 34620*/ GIMT_Encode4(2406996),
     /* 2402979 */ // Label 34599: @2402979
     /* 2402979 */ GIM_Try, /*On fail goto*//*Label 34622*/ GIMT_Encode4(2403095),
     /* 2402984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2402987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2402990 */   GIM_Try, /*On fail goto*//*Label 34623*/ GIMT_Encode4(2403042), // Rule ID 32173 //
     /* 2402995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403020 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2403023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403025 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403041 */     // GIR_Coverage, 32173,
     /* 2403041 */     GIR_EraseRootFromParent_Done,
     /* 2403042 */   // Label 34623: @2403042
     /* 2403042 */   GIM_Try, /*On fail goto*//*Label 34624*/ GIMT_Encode4(2403094), // Rule ID 32174 //
     /* 2403047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403072 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2403075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403077 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403093 */     // GIR_Coverage, 32174,
     /* 2403093 */     GIR_EraseRootFromParent_Done,
     /* 2403094 */   // Label 34624: @2403094
     /* 2403094 */   GIM_Reject,
     /* 2403095 */ // Label 34622: @2403095
     /* 2403095 */ GIM_Reject,
     /* 2403096 */ // Label 34600: @2403096
     /* 2403096 */ GIM_Try, /*On fail goto*//*Label 34625*/ GIMT_Encode4(2403316),
     /* 2403101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2403107 */   GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2403159), // Rule ID 32443 //
     /* 2403112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403137 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403142 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403158 */     // GIR_Coverage, 32443,
     /* 2403158 */     GIR_EraseRootFromParent_Done,
     /* 2403159 */   // Label 34626: @2403159
     /* 2403159 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2403211), // Rule ID 32444 //
     /* 2403164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403189 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403194 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403210 */     // GIR_Coverage, 32444,
     /* 2403210 */     GIR_EraseRootFromParent_Done,
     /* 2403211 */   // Label 34627: @2403211
     /* 2403211 */   GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2403263), // Rule ID 34153 //
     /* 2403216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403241 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403246 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403262 */     // GIR_Coverage, 34153,
     /* 2403262 */     GIR_EraseRootFromParent_Done,
     /* 2403263 */   // Label 34628: @2403263
     /* 2403263 */   GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2403315), // Rule ID 34154 //
     /* 2403268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403293 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403298 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403314 */     // GIR_Coverage, 34154,
     /* 2403314 */     GIR_EraseRootFromParent_Done,
     /* 2403315 */   // Label 34629: @2403315
     /* 2403315 */   GIM_Reject,
     /* 2403316 */ // Label 34625: @2403316
     /* 2403316 */ GIM_Reject,
     /* 2403317 */ // Label 34601: @2403317
     /* 2403317 */ GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2403537),
     /* 2403322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2403328 */   GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2403380), // Rule ID 32623 //
     /* 2403333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403358 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403363 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403379 */     // GIR_Coverage, 32623,
     /* 2403379 */     GIR_EraseRootFromParent_Done,
     /* 2403380 */   // Label 34631: @2403380
     /* 2403380 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2403432), // Rule ID 32624 //
     /* 2403385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403410 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403415 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403431 */     // GIR_Coverage, 32624,
     /* 2403431 */     GIR_EraseRootFromParent_Done,
     /* 2403432 */   // Label 34632: @2403432
     /* 2403432 */   GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2403484), // Rule ID 34333 //
     /* 2403437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403462 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403467 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403483 */     // GIR_Coverage, 34333,
     /* 2403483 */     GIR_EraseRootFromParent_Done,
     /* 2403484 */   // Label 34633: @2403484
     /* 2403484 */   GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2403536), // Rule ID 34334 //
     /* 2403489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403514 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403519 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403535 */     // GIR_Coverage, 34334,
     /* 2403535 */     GIR_EraseRootFromParent_Done,
     /* 2403536 */   // Label 34634: @2403536
     /* 2403536 */   GIM_Reject,
     /* 2403537 */ // Label 34630: @2403537
     /* 2403537 */ GIM_Reject,
     /* 2403538 */ // Label 34602: @2403538
     /* 2403538 */ GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2403758),
     /* 2403543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2403546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2403549 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2403601), // Rule ID 32983 //
     /* 2403554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403579 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403584 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403600 */     // GIR_Coverage, 32983,
     /* 2403600 */     GIR_EraseRootFromParent_Done,
     /* 2403601 */   // Label 34636: @2403601
     /* 2403601 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2403653), // Rule ID 32984 //
     /* 2403606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403631 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403636 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403652 */     // GIR_Coverage, 32984,
     /* 2403652 */     GIR_EraseRootFromParent_Done,
     /* 2403653 */   // Label 34637: @2403653
     /* 2403653 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2403705), // Rule ID 34603 //
     /* 2403658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403683 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403688 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403704 */     // GIR_Coverage, 34603,
     /* 2403704 */     GIR_EraseRootFromParent_Done,
     /* 2403705 */   // Label 34638: @2403705
     /* 2403705 */   GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2403757), // Rule ID 34604 //
     /* 2403710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403735 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403740 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403756 */     // GIR_Coverage, 34604,
     /* 2403756 */     GIR_EraseRootFromParent_Done,
     /* 2403757 */   // Label 34639: @2403757
     /* 2403757 */   GIM_Reject,
     /* 2403758 */ // Label 34635: @2403758
     /* 2403758 */ GIM_Reject,
     /* 2403759 */ // Label 34603: @2403759
     /* 2403759 */ GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2403875),
     /* 2403764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2403767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2403770 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2403822), // Rule ID 32263 //
     /* 2403775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403800 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403805 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403821 */     // GIR_Coverage, 32263,
     /* 2403821 */     GIR_EraseRootFromParent_Done,
     /* 2403822 */   // Label 34641: @2403822
     /* 2403822 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2403874), // Rule ID 32264 //
     /* 2403827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403852 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403857 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403873 */     // GIR_Coverage, 32264,
     /* 2403873 */     GIR_EraseRootFromParent_Done,
     /* 2403874 */   // Label 34642: @2403874
     /* 2403874 */   GIM_Reject,
     /* 2403875 */ // Label 34640: @2403875
     /* 2403875 */ GIM_Reject,
     /* 2403876 */ // Label 34604: @2403876
     /* 2403876 */ GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2404096),
     /* 2403881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2403884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2403887 */   GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2403939), // Rule ID 32533 //
     /* 2403892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403917 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403922 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403938 */     // GIR_Coverage, 32533,
     /* 2403938 */     GIR_EraseRootFromParent_Done,
     /* 2403939 */   // Label 34644: @2403939
     /* 2403939 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2403991), // Rule ID 32534 //
     /* 2403944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403969 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403974 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403990 */     // GIR_Coverage, 32534,
     /* 2403990 */     GIR_EraseRootFromParent_Done,
     /* 2403991 */   // Label 34645: @2403991
     /* 2403991 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2404043), // Rule ID 34243 //
     /* 2403996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404021 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404026 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404042 */     // GIR_Coverage, 34243,
     /* 2404042 */     GIR_EraseRootFromParent_Done,
     /* 2404043 */   // Label 34646: @2404043
     /* 2404043 */   GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2404095), // Rule ID 34244 //
     /* 2404048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404073 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404078 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404094 */     // GIR_Coverage, 34244,
     /* 2404094 */     GIR_EraseRootFromParent_Done,
     /* 2404095 */   // Label 34647: @2404095
     /* 2404095 */   GIM_Reject,
     /* 2404096 */ // Label 34643: @2404096
     /* 2404096 */ GIM_Reject,
     /* 2404097 */ // Label 34605: @2404097
     /* 2404097 */ GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2404317),
     /* 2404102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2404105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2404108 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2404160), // Rule ID 32893 //
     /* 2404113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404138 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404143 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404159 */     // GIR_Coverage, 32893,
     /* 2404159 */     GIR_EraseRootFromParent_Done,
     /* 2404160 */   // Label 34649: @2404160
     /* 2404160 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2404212), // Rule ID 32894 //
     /* 2404165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404190 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404195 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404211 */     // GIR_Coverage, 32894,
     /* 2404211 */     GIR_EraseRootFromParent_Done,
     /* 2404212 */   // Label 34650: @2404212
     /* 2404212 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2404264), // Rule ID 34513 //
     /* 2404217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404242 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404247 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404263 */     // GIR_Coverage, 34513,
     /* 2404263 */     GIR_EraseRootFromParent_Done,
     /* 2404264 */   // Label 34651: @2404264
     /* 2404264 */   GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2404316), // Rule ID 34514 //
     /* 2404269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404294 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404299 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404315 */     // GIR_Coverage, 34514,
     /* 2404315 */     GIR_EraseRootFromParent_Done,
     /* 2404316 */   // Label 34652: @2404316
     /* 2404316 */   GIM_Reject,
     /* 2404317 */ // Label 34648: @2404317
     /* 2404317 */ GIM_Reject,
     /* 2404318 */ // Label 34606: @2404318
     /* 2404318 */ GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2404538),
     /* 2404323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2404329 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2404381), // Rule ID 33883 //
     /* 2404334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404359 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404364 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404380 */     // GIR_Coverage, 33883,
     /* 2404380 */     GIR_EraseRootFromParent_Done,
     /* 2404381 */   // Label 34654: @2404381
     /* 2404381 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2404433), // Rule ID 33884 //
     /* 2404386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404411 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404416 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404432 */     // GIR_Coverage, 33884,
     /* 2404432 */     GIR_EraseRootFromParent_Done,
     /* 2404433 */   // Label 34655: @2404433
     /* 2404433 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2404485), // Rule ID 35233 //
     /* 2404438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404463 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404468 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404484 */     // GIR_Coverage, 35233,
     /* 2404484 */     GIR_EraseRootFromParent_Done,
     /* 2404485 */   // Label 34656: @2404485
     /* 2404485 */   GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2404537), // Rule ID 35234 //
     /* 2404490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404515 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404520 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404536 */     // GIR_Coverage, 35234,
     /* 2404536 */     GIR_EraseRootFromParent_Done,
     /* 2404537 */   // Label 34657: @2404537
     /* 2404537 */   GIM_Reject,
     /* 2404538 */ // Label 34653: @2404538
     /* 2404538 */ GIM_Reject,
     /* 2404539 */ // Label 34607: @2404539
     /* 2404539 */ GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2404655),
     /* 2404544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2404547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2404550 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2404602), // Rule ID 32353 //
     /* 2404555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404580 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404585 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404601 */     // GIR_Coverage, 32353,
     /* 2404601 */     GIR_EraseRootFromParent_Done,
     /* 2404602 */   // Label 34659: @2404602
     /* 2404602 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2404654), // Rule ID 32354 //
     /* 2404607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404632 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404637 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404653 */     // GIR_Coverage, 32354,
     /* 2404653 */     GIR_EraseRootFromParent_Done,
     /* 2404654 */   // Label 34660: @2404654
     /* 2404654 */   GIM_Reject,
     /* 2404655 */ // Label 34658: @2404655
     /* 2404655 */ GIM_Reject,
     /* 2404656 */ // Label 34608: @2404656
     /* 2404656 */ GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2404876),
     /* 2404661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2404667 */   GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2404719), // Rule ID 32803 //
     /* 2404672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404697 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404702 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404718 */     // GIR_Coverage, 32803,
     /* 2404718 */     GIR_EraseRootFromParent_Done,
     /* 2404719 */   // Label 34662: @2404719
     /* 2404719 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2404771), // Rule ID 32804 //
     /* 2404724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404749 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404754 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404770 */     // GIR_Coverage, 32804,
     /* 2404770 */     GIR_EraseRootFromParent_Done,
     /* 2404771 */   // Label 34663: @2404771
     /* 2404771 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2404823), // Rule ID 34423 //
     /* 2404776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404801 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404806 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404822 */     // GIR_Coverage, 34423,
     /* 2404822 */     GIR_EraseRootFromParent_Done,
     /* 2404823 */   // Label 34664: @2404823
     /* 2404823 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2404875), // Rule ID 34424 //
     /* 2404828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404853 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404858 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404874 */     // GIR_Coverage, 34424,
     /* 2404874 */     GIR_EraseRootFromParent_Done,
     /* 2404875 */   // Label 34665: @2404875
     /* 2404875 */   GIM_Reject,
     /* 2404876 */ // Label 34661: @2404876
     /* 2404876 */ GIM_Reject,
     /* 2404877 */ // Label 34609: @2404877
     /* 2404877 */ GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2405097),
     /* 2404882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2404885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2404888 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2404940), // Rule ID 33613 //
     /* 2404893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404918 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404923 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404939 */     // GIR_Coverage, 33613,
     /* 2404939 */     GIR_EraseRootFromParent_Done,
     /* 2404940 */   // Label 34667: @2404940
     /* 2404940 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2404992), // Rule ID 33614 //
     /* 2404945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404970 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404975 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404991 */     // GIR_Coverage, 33614,
     /* 2404991 */     GIR_EraseRootFromParent_Done,
     /* 2404992 */   // Label 34668: @2404992
     /* 2404992 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2405044), // Rule ID 34963 //
     /* 2404997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405022 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405027 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405043 */     // GIR_Coverage, 34963,
     /* 2405043 */     GIR_EraseRootFromParent_Done,
     /* 2405044 */   // Label 34669: @2405044
     /* 2405044 */   GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2405096), // Rule ID 34964 //
     /* 2405049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405074 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405079 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405095 */     // GIR_Coverage, 34964,
     /* 2405095 */     GIR_EraseRootFromParent_Done,
     /* 2405096 */   // Label 34670: @2405096
     /* 2405096 */   GIM_Reject,
     /* 2405097 */ // Label 34666: @2405097
     /* 2405097 */ GIM_Reject,
     /* 2405098 */ // Label 34610: @2405098
     /* 2405098 */ GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2405318),
     /* 2405103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2405106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2405109 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2405161), // Rule ID 33973 //
     /* 2405114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405139 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405144 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405160 */     // GIR_Coverage, 33973,
     /* 2405160 */     GIR_EraseRootFromParent_Done,
     /* 2405161 */   // Label 34672: @2405161
     /* 2405161 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2405213), // Rule ID 33974 //
     /* 2405166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405191 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405196 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405212 */     // GIR_Coverage, 33974,
     /* 2405212 */     GIR_EraseRootFromParent_Done,
     /* 2405213 */   // Label 34673: @2405213
     /* 2405213 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2405265), // Rule ID 35323 //
     /* 2405218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405243 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405248 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405264 */     // GIR_Coverage, 35323,
     /* 2405264 */     GIR_EraseRootFromParent_Done,
     /* 2405265 */   // Label 34674: @2405265
     /* 2405265 */   GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2405317), // Rule ID 35324 //
     /* 2405270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405295 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405300 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405316 */     // GIR_Coverage, 35324,
     /* 2405316 */     GIR_EraseRootFromParent_Done,
     /* 2405317 */   // Label 34675: @2405317
     /* 2405317 */   GIM_Reject,
     /* 2405318 */ // Label 34671: @2405318
     /* 2405318 */ GIM_Reject,
     /* 2405319 */ // Label 34611: @2405319
     /* 2405319 */ GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2405435),
     /* 2405324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2405327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2405330 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2405382), // Rule ID 32713 //
     /* 2405335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405360 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405365 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405381 */     // GIR_Coverage, 32713,
     /* 2405381 */     GIR_EraseRootFromParent_Done,
     /* 2405382 */   // Label 34677: @2405382
     /* 2405382 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2405434), // Rule ID 32714 //
     /* 2405387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405412 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405417 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405433 */     // GIR_Coverage, 32714,
     /* 2405433 */     GIR_EraseRootFromParent_Done,
     /* 2405434 */   // Label 34678: @2405434
     /* 2405434 */   GIM_Reject,
     /* 2405435 */ // Label 34676: @2405435
     /* 2405435 */ GIM_Reject,
     /* 2405436 */ // Label 34612: @2405436
     /* 2405436 */ GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2405656),
     /* 2405441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2405444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2405447 */   GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2405499), // Rule ID 33343 //
     /* 2405452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405477 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405482 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405498 */     // GIR_Coverage, 33343,
     /* 2405498 */     GIR_EraseRootFromParent_Done,
     /* 2405499 */   // Label 34680: @2405499
     /* 2405499 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2405551), // Rule ID 33344 //
     /* 2405504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405529 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405534 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405550 */     // GIR_Coverage, 33344,
     /* 2405550 */     GIR_EraseRootFromParent_Done,
     /* 2405551 */   // Label 34681: @2405551
     /* 2405551 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2405603), // Rule ID 34693 //
     /* 2405556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405581 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405586 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405602 */     // GIR_Coverage, 34693,
     /* 2405602 */     GIR_EraseRootFromParent_Done,
     /* 2405603 */   // Label 34682: @2405603
     /* 2405603 */   GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2405655), // Rule ID 34694 //
     /* 2405608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405633 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405638 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405654 */     // GIR_Coverage, 34694,
     /* 2405654 */     GIR_EraseRootFromParent_Done,
     /* 2405655 */   // Label 34683: @2405655
     /* 2405655 */   GIM_Reject,
     /* 2405656 */ // Label 34679: @2405656
     /* 2405656 */ GIM_Reject,
     /* 2405657 */ // Label 34613: @2405657
     /* 2405657 */ GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2405877),
     /* 2405662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2405665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2405668 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2405720), // Rule ID 33703 //
     /* 2405673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405698 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405703 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405719 */     // GIR_Coverage, 33703,
     /* 2405719 */     GIR_EraseRootFromParent_Done,
     /* 2405720 */   // Label 34685: @2405720
     /* 2405720 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2405772), // Rule ID 33704 //
     /* 2405725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405750 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405755 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405771 */     // GIR_Coverage, 33704,
     /* 2405771 */     GIR_EraseRootFromParent_Done,
     /* 2405772 */   // Label 34686: @2405772
     /* 2405772 */   GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2405824), // Rule ID 35053 //
     /* 2405777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405802 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405807 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405823 */     // GIR_Coverage, 35053,
     /* 2405823 */     GIR_EraseRootFromParent_Done,
     /* 2405824 */   // Label 34687: @2405824
     /* 2405824 */   GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2405876), // Rule ID 35054 //
     /* 2405829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405854 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405859 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405875 */     // GIR_Coverage, 35054,
     /* 2405875 */     GIR_EraseRootFromParent_Done,
     /* 2405876 */   // Label 34688: @2405876
     /* 2405876 */   GIM_Reject,
     /* 2405877 */ // Label 34684: @2405877
     /* 2405877 */ GIM_Reject,
     /* 2405878 */ // Label 34614: @2405878
     /* 2405878 */ GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2406098),
     /* 2405883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2405886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2405889 */   GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2405941), // Rule ID 34063 //
     /* 2405894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405919 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405924 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405940 */     // GIR_Coverage, 34063,
     /* 2405940 */     GIR_EraseRootFromParent_Done,
     /* 2405941 */   // Label 34690: @2405941
     /* 2405941 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2405993), // Rule ID 34064 //
     /* 2405946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405971 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405976 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405992 */     // GIR_Coverage, 34064,
     /* 2405992 */     GIR_EraseRootFromParent_Done,
     /* 2405993 */   // Label 34691: @2405993
     /* 2405993 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2406045), // Rule ID 35413 //
     /* 2405998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2406001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406023 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406028 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406044 */     // GIR_Coverage, 35413,
     /* 2406044 */     GIR_EraseRootFromParent_Done,
     /* 2406045 */   // Label 34692: @2406045
     /* 2406045 */   GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2406097), // Rule ID 35414 //
     /* 2406050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2406053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406075 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406080 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406096 */     // GIR_Coverage, 35414,
     /* 2406096 */     GIR_EraseRootFromParent_Done,
     /* 2406097 */   // Label 34693: @2406097
     /* 2406097 */   GIM_Reject,
     /* 2406098 */ // Label 34689: @2406098
     /* 2406098 */ GIM_Reject,
     /* 2406099 */ // Label 34615: @2406099
     /* 2406099 */ GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2406215),
     /* 2406104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2406107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2406110 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2406162), // Rule ID 33073 //
     /* 2406115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406140 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406145 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406161 */     // GIR_Coverage, 33073,
     /* 2406161 */     GIR_EraseRootFromParent_Done,
     /* 2406162 */   // Label 34695: @2406162
     /* 2406162 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2406214), // Rule ID 33074 //
     /* 2406167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406192 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406197 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406213 */     // GIR_Coverage, 33074,
     /* 2406213 */     GIR_EraseRootFromParent_Done,
     /* 2406214 */   // Label 34696: @2406214
     /* 2406214 */   GIM_Reject,
     /* 2406215 */ // Label 34694: @2406215
     /* 2406215 */ GIM_Reject,
     /* 2406216 */ // Label 34616: @2406216
     /* 2406216 */ GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2406436),
     /* 2406221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2406224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2406227 */   GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2406279), // Rule ID 33433 //
     /* 2406232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406257 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406262 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406278 */     // GIR_Coverage, 33433,
     /* 2406278 */     GIR_EraseRootFromParent_Done,
     /* 2406279 */   // Label 34698: @2406279
     /* 2406279 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2406331), // Rule ID 33434 //
     /* 2406284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406309 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406314 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406330 */     // GIR_Coverage, 33434,
     /* 2406330 */     GIR_EraseRootFromParent_Done,
     /* 2406331 */   // Label 34699: @2406331
     /* 2406331 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2406383), // Rule ID 34783 //
     /* 2406336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406361 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406366 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406382 */     // GIR_Coverage, 34783,
     /* 2406382 */     GIR_EraseRootFromParent_Done,
     /* 2406383 */   // Label 34700: @2406383
     /* 2406383 */   GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2406435), // Rule ID 34784 //
     /* 2406388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406413 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406418 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406434 */     // GIR_Coverage, 34784,
     /* 2406434 */     GIR_EraseRootFromParent_Done,
     /* 2406435 */   // Label 34701: @2406435
     /* 2406435 */   GIM_Reject,
     /* 2406436 */ // Label 34697: @2406436
     /* 2406436 */ GIM_Reject,
     /* 2406437 */ // Label 34617: @2406437
     /* 2406437 */ GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2406657),
     /* 2406442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2406445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2406448 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2406500), // Rule ID 33793 //
     /* 2406453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406478 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406483 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406499 */     // GIR_Coverage, 33793,
     /* 2406499 */     GIR_EraseRootFromParent_Done,
     /* 2406500 */   // Label 34703: @2406500
     /* 2406500 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2406552), // Rule ID 33794 //
     /* 2406505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406530 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406535 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406551 */     // GIR_Coverage, 33794,
     /* 2406551 */     GIR_EraseRootFromParent_Done,
     /* 2406552 */   // Label 34704: @2406552
     /* 2406552 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2406604), // Rule ID 35143 //
     /* 2406557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406582 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406587 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406603 */     // GIR_Coverage, 35143,
     /* 2406603 */     GIR_EraseRootFromParent_Done,
     /* 2406604 */   // Label 34705: @2406604
     /* 2406604 */   GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2406656), // Rule ID 35144 //
     /* 2406609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406634 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406639 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406655 */     // GIR_Coverage, 35144,
     /* 2406655 */     GIR_EraseRootFromParent_Done,
     /* 2406656 */   // Label 34706: @2406656
     /* 2406656 */   GIM_Reject,
     /* 2406657 */ // Label 34702: @2406657
     /* 2406657 */ GIM_Reject,
     /* 2406658 */ // Label 34618: @2406658
     /* 2406658 */ GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2406774),
     /* 2406663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2406666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2406669 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2406721), // Rule ID 33163 //
     /* 2406674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406699 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406704 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406720 */     // GIR_Coverage, 33163,
     /* 2406720 */     GIR_EraseRootFromParent_Done,
     /* 2406721 */   // Label 34708: @2406721
     /* 2406721 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2406773), // Rule ID 33164 //
     /* 2406726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406751 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406756 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406772 */     // GIR_Coverage, 33164,
     /* 2406772 */     GIR_EraseRootFromParent_Done,
     /* 2406773 */   // Label 34709: @2406773
     /* 2406773 */   GIM_Reject,
     /* 2406774 */ // Label 34707: @2406774
     /* 2406774 */ GIM_Reject,
     /* 2406775 */ // Label 34619: @2406775
     /* 2406775 */ GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2406995),
     /* 2406780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2406786 */   GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2406838), // Rule ID 33523 //
     /* 2406791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406816 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406821 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406837 */     // GIR_Coverage, 33523,
     /* 2406837 */     GIR_EraseRootFromParent_Done,
     /* 2406838 */   // Label 34711: @2406838
     /* 2406838 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2406890), // Rule ID 33524 //
     /* 2406843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406868 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406873 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406889 */     // GIR_Coverage, 33524,
     /* 2406889 */     GIR_EraseRootFromParent_Done,
     /* 2406890 */   // Label 34712: @2406890
     /* 2406890 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2406942), // Rule ID 34873 //
     /* 2406895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406920 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406925 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406941 */     // GIR_Coverage, 34873,
     /* 2406941 */     GIR_EraseRootFromParent_Done,
     /* 2406942 */   // Label 34713: @2406942
     /* 2406942 */   GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2406994), // Rule ID 34874 //
     /* 2406947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406972 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406977 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406993 */     // GIR_Coverage, 34874,
     /* 2406993 */     GIR_EraseRootFromParent_Done,
     /* 2406994 */   // Label 34714: @2406994
     /* 2406994 */   GIM_Reject,
     /* 2406995 */ // Label 34710: @2406995
     /* 2406995 */ GIM_Reject,
     /* 2406996 */ // Label 34620: @2406996
     /* 2406996 */ GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2407112),
     /* 2407001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2407004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2407007 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2407059), // Rule ID 33253 //
     /* 2407012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407037 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407042 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407058 */     // GIR_Coverage, 33253,
     /* 2407058 */     GIR_EraseRootFromParent_Done,
     /* 2407059 */   // Label 34716: @2407059
     /* 2407059 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2407111), // Rule ID 33254 //
     /* 2407064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407089 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407094 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407110 */     // GIR_Coverage, 33254,
     /* 2407110 */     GIR_EraseRootFromParent_Done,
     /* 2407111 */   // Label 34717: @2407111
     /* 2407111 */   GIM_Reject,
     /* 2407112 */ // Label 34715: @2407112
     /* 2407112 */ GIM_Reject,
     /* 2407113 */ // Label 34621: @2407113
     /* 2407113 */ GIM_Reject,
     /* 2407114 */ // Label 121: @2407114
     /* 2407114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34740*/ GIMT_Encode4(2418993),
     /* 2407125 */ /*GILLT_nxv1s8*//*Label 34718*/ GIMT_Encode4(2407237),
     /* 2407129 */ /*GILLT_nxv1s16*//*Label 34719*/ GIMT_Encode4(2407560),
     /* 2407133 */ /*GILLT_nxv1s32*//*Label 34720*/ GIMT_Encode4(2408193),
     /* 2407137 */ /*GILLT_nxv1s64*//*Label 34721*/ GIMT_Encode4(2408826), GIMT_Encode4(0),
     /* 2407145 */ /*GILLT_nxv2s8*//*Label 34722*/ GIMT_Encode4(2409459),
     /* 2407149 */ /*GILLT_nxv2s16*//*Label 34723*/ GIMT_Encode4(2409782),
     /* 2407153 */ /*GILLT_nxv2s32*//*Label 34724*/ GIMT_Encode4(2410415),
     /* 2407157 */ /*GILLT_nxv2s64*//*Label 34725*/ GIMT_Encode4(2411048), GIMT_Encode4(0),
     /* 2407165 */ /*GILLT_nxv4s8*//*Label 34726*/ GIMT_Encode4(2411681),
     /* 2407169 */ /*GILLT_nxv4s16*//*Label 34727*/ GIMT_Encode4(2412004),
     /* 2407173 */ /*GILLT_nxv4s32*//*Label 34728*/ GIMT_Encode4(2412637),
     /* 2407177 */ /*GILLT_nxv4s64*//*Label 34729*/ GIMT_Encode4(2413270), GIMT_Encode4(0),
     /* 2407185 */ /*GILLT_nxv8s8*//*Label 34730*/ GIMT_Encode4(2413903),
     /* 2407189 */ /*GILLT_nxv8s16*//*Label 34731*/ GIMT_Encode4(2414226),
     /* 2407193 */ /*GILLT_nxv8s32*//*Label 34732*/ GIMT_Encode4(2414859),
     /* 2407197 */ /*GILLT_nxv8s64*//*Label 34733*/ GIMT_Encode4(2415492), GIMT_Encode4(0),
     /* 2407205 */ /*GILLT_nxv16s8*//*Label 34734*/ GIMT_Encode4(2416125),
     /* 2407209 */ /*GILLT_nxv16s16*//*Label 34735*/ GIMT_Encode4(2416448),
     /* 2407213 */ /*GILLT_nxv16s32*//*Label 34736*/ GIMT_Encode4(2417081), GIMT_Encode4(0),
     /* 2407221 */ /*GILLT_nxv32s8*//*Label 34737*/ GIMT_Encode4(2417714),
     /* 2407225 */ /*GILLT_nxv32s16*//*Label 34738*/ GIMT_Encode4(2418037), GIMT_Encode4(0),
     /* 2407233 */ /*GILLT_nxv64s8*//*Label 34739*/ GIMT_Encode4(2418670),
     /* 2407237 */ // Label 34718: @2407237
     /* 2407237 */ GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2407559),
     /* 2407242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2407245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2407248 */   GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2407331), // Rule ID 45317 //
     /* 2407253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407289 */     // MIs[1] Operand 1
     /* 2407289 */     // No operand predicates
     /* 2407289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407293 */     // MIs[0] policy
     /* 2407293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407305 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407330 */     // GIR_Coverage, 45317,
     /* 2407330 */     GIR_EraseRootFromParent_Done,
     /* 2407331 */   // Label 34742: @2407331
     /* 2407331 */   GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2407414), // Rule ID 45318 //
     /* 2407336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407372 */     // MIs[1] Operand 1
     /* 2407372 */     // No operand predicates
     /* 2407372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407376 */     // MIs[0] policy
     /* 2407376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407388 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407413 */     // GIR_Coverage, 45318,
     /* 2407413 */     GIR_EraseRootFromParent_Done,
     /* 2407414 */   // Label 34743: @2407414
     /* 2407414 */   GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2407486), // Rule ID 45319 //
     /* 2407419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407451 */     // MIs[0] policy
     /* 2407451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407461 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407485 */     // GIR_Coverage, 45319,
     /* 2407485 */     GIR_EraseRootFromParent_Done,
     /* 2407486 */   // Label 34744: @2407486
     /* 2407486 */   GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2407558), // Rule ID 45320 //
     /* 2407491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407523 */     // MIs[0] policy
     /* 2407523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407533 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407557 */     // GIR_Coverage, 45320,
     /* 2407557 */     GIR_EraseRootFromParent_Done,
     /* 2407558 */   // Label 34745: @2407558
     /* 2407558 */   GIM_Reject,
     /* 2407559 */ // Label 34741: @2407559
     /* 2407559 */ GIM_Reject,
     /* 2407560 */ // Label 34719: @2407560
     /* 2407560 */ GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2408192),
     /* 2407565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2407571 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2407654), // Rule ID 45329 //
     /* 2407576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407612 */     // MIs[1] Operand 1
     /* 2407612 */     // No operand predicates
     /* 2407612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407616 */     // MIs[0] policy
     /* 2407616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407628 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407653 */     // GIR_Coverage, 45329,
     /* 2407653 */     GIR_EraseRootFromParent_Done,
     /* 2407654 */   // Label 34747: @2407654
     /* 2407654 */   GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2407737), // Rule ID 45330 //
     /* 2407659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407695 */     // MIs[1] Operand 1
     /* 2407695 */     // No operand predicates
     /* 2407695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407699 */     // MIs[0] policy
     /* 2407699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407711 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407736 */     // GIR_Coverage, 45330,
     /* 2407736 */     GIR_EraseRootFromParent_Done,
     /* 2407737 */   // Label 34748: @2407737
     /* 2407737 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2407820), // Rule ID 45405 //
     /* 2407742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407778 */     // MIs[1] Operand 1
     /* 2407778 */     // No operand predicates
     /* 2407778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407782 */     // MIs[0] policy
     /* 2407782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407794 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407819 */     // GIR_Coverage, 45405,
     /* 2407819 */     GIR_EraseRootFromParent_Done,
     /* 2407820 */   // Label 34749: @2407820
     /* 2407820 */   GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2407903), // Rule ID 45406 //
     /* 2407825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407861 */     // MIs[1] Operand 1
     /* 2407861 */     // No operand predicates
     /* 2407861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407865 */     // MIs[0] policy
     /* 2407865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407877 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407902 */     // GIR_Coverage, 45406,
     /* 2407902 */     GIR_EraseRootFromParent_Done,
     /* 2407903 */   // Label 34750: @2407903
     /* 2407903 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2407975), // Rule ID 45331 //
     /* 2407908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407940 */     // MIs[0] policy
     /* 2407940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407950 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2407953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407974 */     // GIR_Coverage, 45331,
     /* 2407974 */     GIR_EraseRootFromParent_Done,
     /* 2407975 */   // Label 34751: @2407975
     /* 2407975 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2408047), // Rule ID 45332 //
     /* 2407980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408012 */     // MIs[0] policy
     /* 2408012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408022 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408046 */     // GIR_Coverage, 45332,
     /* 2408046 */     GIR_EraseRootFromParent_Done,
     /* 2408047 */   // Label 34752: @2408047
     /* 2408047 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2408119), // Rule ID 45407 //
     /* 2408052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408084 */     // MIs[0] policy
     /* 2408084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408094 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408118 */     // GIR_Coverage, 45407,
     /* 2408118 */     GIR_EraseRootFromParent_Done,
     /* 2408119 */   // Label 34753: @2408119
     /* 2408119 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2408191), // Rule ID 45408 //
     /* 2408124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408156 */     // MIs[0] policy
     /* 2408156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408166 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408190 */     // GIR_Coverage, 45408,
     /* 2408190 */     GIR_EraseRootFromParent_Done,
     /* 2408191 */   // Label 34754: @2408191
     /* 2408191 */   GIM_Reject,
     /* 2408192 */ // Label 34746: @2408192
     /* 2408192 */ GIM_Reject,
     /* 2408193 */ // Label 34720: @2408193
     /* 2408193 */ GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2408825),
     /* 2408198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2408204 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2408287), // Rule ID 45337 //
     /* 2408209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408245 */     // MIs[1] Operand 1
     /* 2408245 */     // No operand predicates
     /* 2408245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408249 */     // MIs[0] policy
     /* 2408249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408261 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408286 */     // GIR_Coverage, 45337,
     /* 2408286 */     GIR_EraseRootFromParent_Done,
     /* 2408287 */   // Label 34756: @2408287
     /* 2408287 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2408370), // Rule ID 45338 //
     /* 2408292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408328 */     // MIs[1] Operand 1
     /* 2408328 */     // No operand predicates
     /* 2408328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408332 */     // MIs[0] policy
     /* 2408332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408344 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408369 */     // GIR_Coverage, 45338,
     /* 2408369 */     GIR_EraseRootFromParent_Done,
     /* 2408370 */   // Label 34757: @2408370
     /* 2408370 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2408453), // Rule ID 45413 //
     /* 2408375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408411 */     // MIs[1] Operand 1
     /* 2408411 */     // No operand predicates
     /* 2408411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408415 */     // MIs[0] policy
     /* 2408415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408427 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408452 */     // GIR_Coverage, 45413,
     /* 2408452 */     GIR_EraseRootFromParent_Done,
     /* 2408453 */   // Label 34758: @2408453
     /* 2408453 */   GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2408536), // Rule ID 45414 //
     /* 2408458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408494 */     // MIs[1] Operand 1
     /* 2408494 */     // No operand predicates
     /* 2408494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408498 */     // MIs[0] policy
     /* 2408498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408510 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408535 */     // GIR_Coverage, 45414,
     /* 2408535 */     GIR_EraseRootFromParent_Done,
     /* 2408536 */   // Label 34759: @2408536
     /* 2408536 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2408608), // Rule ID 45339 //
     /* 2408541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408573 */     // MIs[0] policy
     /* 2408573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408583 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408607 */     // GIR_Coverage, 45339,
     /* 2408607 */     GIR_EraseRootFromParent_Done,
     /* 2408608 */   // Label 34760: @2408608
     /* 2408608 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2408680), // Rule ID 45340 //
     /* 2408613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408645 */     // MIs[0] policy
     /* 2408645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408655 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408679 */     // GIR_Coverage, 45340,
     /* 2408679 */     GIR_EraseRootFromParent_Done,
     /* 2408680 */   // Label 34761: @2408680
     /* 2408680 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2408752), // Rule ID 45415 //
     /* 2408685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408717 */     // MIs[0] policy
     /* 2408717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408727 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408751 */     // GIR_Coverage, 45415,
     /* 2408751 */     GIR_EraseRootFromParent_Done,
     /* 2408752 */   // Label 34762: @2408752
     /* 2408752 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2408824), // Rule ID 45416 //
     /* 2408757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408789 */     // MIs[0] policy
     /* 2408789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408799 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408823 */     // GIR_Coverage, 45416,
     /* 2408823 */     GIR_EraseRootFromParent_Done,
     /* 2408824 */   // Label 34763: @2408824
     /* 2408824 */   GIM_Reject,
     /* 2408825 */ // Label 34755: @2408825
     /* 2408825 */ GIM_Reject,
     /* 2408826 */ // Label 34721: @2408826
     /* 2408826 */ GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2409458),
     /* 2408831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2408834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2408837 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2408920), // Rule ID 45353 //
     /* 2408842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2408845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408878 */     // MIs[1] Operand 1
     /* 2408878 */     // No operand predicates
     /* 2408878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408882 */     // MIs[0] policy
     /* 2408882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408894 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2408897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408919 */     // GIR_Coverage, 45353,
     /* 2408919 */     GIR_EraseRootFromParent_Done,
     /* 2408920 */   // Label 34765: @2408920
     /* 2408920 */   GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2409003), // Rule ID 45354 //
     /* 2408925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2408928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408961 */     // MIs[1] Operand 1
     /* 2408961 */     // No operand predicates
     /* 2408961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408965 */     // MIs[0] policy
     /* 2408965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408977 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2408980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409002 */     // GIR_Coverage, 45354,
     /* 2409002 */     GIR_EraseRootFromParent_Done,
     /* 2409003 */   // Label 34766: @2409003
     /* 2409003 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2409086), // Rule ID 45425 //
     /* 2409008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409044 */     // MIs[1] Operand 1
     /* 2409044 */     // No operand predicates
     /* 2409044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409048 */     // MIs[0] policy
     /* 2409048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409060 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409085 */     // GIR_Coverage, 45425,
     /* 2409085 */     GIR_EraseRootFromParent_Done,
     /* 2409086 */   // Label 34767: @2409086
     /* 2409086 */   GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2409169), // Rule ID 45426 //
     /* 2409091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409127 */     // MIs[1] Operand 1
     /* 2409127 */     // No operand predicates
     /* 2409127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409131 */     // MIs[0] policy
     /* 2409131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409143 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409168 */     // GIR_Coverage, 45426,
     /* 2409168 */     GIR_EraseRootFromParent_Done,
     /* 2409169 */   // Label 34768: @2409169
     /* 2409169 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2409241), // Rule ID 45355 //
     /* 2409174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409206 */     // MIs[0] policy
     /* 2409206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409216 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409240 */     // GIR_Coverage, 45355,
     /* 2409240 */     GIR_EraseRootFromParent_Done,
     /* 2409241 */   // Label 34769: @2409241
     /* 2409241 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2409313), // Rule ID 45356 //
     /* 2409246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409278 */     // MIs[0] policy
     /* 2409278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409288 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409312 */     // GIR_Coverage, 45356,
     /* 2409312 */     GIR_EraseRootFromParent_Done,
     /* 2409313 */   // Label 34770: @2409313
     /* 2409313 */   GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2409385), // Rule ID 45427 //
     /* 2409318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409350 */     // MIs[0] policy
     /* 2409350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409360 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409384 */     // GIR_Coverage, 45427,
     /* 2409384 */     GIR_EraseRootFromParent_Done,
     /* 2409385 */   // Label 34771: @2409385
     /* 2409385 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2409457), // Rule ID 45428 //
     /* 2409390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409422 */     // MIs[0] policy
     /* 2409422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409432 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409456 */     // GIR_Coverage, 45428,
     /* 2409456 */     GIR_EraseRootFromParent_Done,
     /* 2409457 */   // Label 34772: @2409457
     /* 2409457 */   GIM_Reject,
     /* 2409458 */ // Label 34764: @2409458
     /* 2409458 */ GIM_Reject,
     /* 2409459 */ // Label 34722: @2409459
     /* 2409459 */ GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2409781),
     /* 2409464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2409467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2409470 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2409553), // Rule ID 45321 //
     /* 2409475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409511 */     // MIs[1] Operand 1
     /* 2409511 */     // No operand predicates
     /* 2409511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409515 */     // MIs[0] policy
     /* 2409515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409527 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2409530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409552 */     // GIR_Coverage, 45321,
     /* 2409552 */     GIR_EraseRootFromParent_Done,
     /* 2409553 */   // Label 34774: @2409553
     /* 2409553 */   GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2409636), // Rule ID 45322 //
     /* 2409558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409594 */     // MIs[1] Operand 1
     /* 2409594 */     // No operand predicates
     /* 2409594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409598 */     // MIs[0] policy
     /* 2409598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409610 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2409613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409635 */     // GIR_Coverage, 45322,
     /* 2409635 */     GIR_EraseRootFromParent_Done,
     /* 2409636 */   // Label 34775: @2409636
     /* 2409636 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2409708), // Rule ID 45323 //
     /* 2409641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409673 */     // MIs[0] policy
     /* 2409673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409683 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2409686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409707 */     // GIR_Coverage, 45323,
     /* 2409707 */     GIR_EraseRootFromParent_Done,
     /* 2409708 */   // Label 34776: @2409708
     /* 2409708 */   GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2409780), // Rule ID 45324 //
     /* 2409713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409745 */     // MIs[0] policy
     /* 2409745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409755 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2409758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409779 */     // GIR_Coverage, 45324,
     /* 2409779 */     GIR_EraseRootFromParent_Done,
     /* 2409780 */   // Label 34777: @2409780
     /* 2409780 */   GIM_Reject,
     /* 2409781 */ // Label 34773: @2409781
     /* 2409781 */ GIM_Reject,
     /* 2409782 */ // Label 34723: @2409782
     /* 2409782 */ GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2410414),
     /* 2409787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2409790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2409793 */   GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2409876), // Rule ID 45333 //
     /* 2409798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409834 */     // MIs[1] Operand 1
     /* 2409834 */     // No operand predicates
     /* 2409834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409838 */     // MIs[0] policy
     /* 2409838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409850 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2409853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409875 */     // GIR_Coverage, 45333,
     /* 2409875 */     GIR_EraseRootFromParent_Done,
     /* 2409876 */   // Label 34779: @2409876
     /* 2409876 */   GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2409959), // Rule ID 45334 //
     /* 2409881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409917 */     // MIs[1] Operand 1
     /* 2409917 */     // No operand predicates
     /* 2409917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409921 */     // MIs[0] policy
     /* 2409921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409933 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2409936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409958 */     // GIR_Coverage, 45334,
     /* 2409958 */     GIR_EraseRootFromParent_Done,
     /* 2409959 */   // Label 34780: @2409959
     /* 2409959 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2410042), // Rule ID 45409 //
     /* 2409964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410000 */     // MIs[1] Operand 1
     /* 2410000 */     // No operand predicates
     /* 2410000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410004 */     // MIs[0] policy
     /* 2410004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410016 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410041 */     // GIR_Coverage, 45409,
     /* 2410041 */     GIR_EraseRootFromParent_Done,
     /* 2410042 */   // Label 34781: @2410042
     /* 2410042 */   GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2410125), // Rule ID 45410 //
     /* 2410047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410083 */     // MIs[1] Operand 1
     /* 2410083 */     // No operand predicates
     /* 2410083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410087 */     // MIs[0] policy
     /* 2410087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410099 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410124 */     // GIR_Coverage, 45410,
     /* 2410124 */     GIR_EraseRootFromParent_Done,
     /* 2410125 */   // Label 34782: @2410125
     /* 2410125 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2410197), // Rule ID 45335 //
     /* 2410130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410162 */     // MIs[0] policy
     /* 2410162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410172 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410196 */     // GIR_Coverage, 45335,
     /* 2410196 */     GIR_EraseRootFromParent_Done,
     /* 2410197 */   // Label 34783: @2410197
     /* 2410197 */   GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2410269), // Rule ID 45336 //
     /* 2410202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410234 */     // MIs[0] policy
     /* 2410234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410244 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410268 */     // GIR_Coverage, 45336,
     /* 2410268 */     GIR_EraseRootFromParent_Done,
     /* 2410269 */   // Label 34784: @2410269
     /* 2410269 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2410341), // Rule ID 45411 //
     /* 2410274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410306 */     // MIs[0] policy
     /* 2410306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410316 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410340 */     // GIR_Coverage, 45411,
     /* 2410340 */     GIR_EraseRootFromParent_Done,
     /* 2410341 */   // Label 34785: @2410341
     /* 2410341 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2410413), // Rule ID 45412 //
     /* 2410346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410378 */     // MIs[0] policy
     /* 2410378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410388 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410412 */     // GIR_Coverage, 45412,
     /* 2410412 */     GIR_EraseRootFromParent_Done,
     /* 2410413 */   // Label 34786: @2410413
     /* 2410413 */   GIM_Reject,
     /* 2410414 */ // Label 34778: @2410414
     /* 2410414 */ GIM_Reject,
     /* 2410415 */ // Label 34724: @2410415
     /* 2410415 */ GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2411047),
     /* 2410420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2410423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2410426 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2410509), // Rule ID 45349 //
     /* 2410431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410467 */     // MIs[1] Operand 1
     /* 2410467 */     // No operand predicates
     /* 2410467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410471 */     // MIs[0] policy
     /* 2410471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410483 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410508 */     // GIR_Coverage, 45349,
     /* 2410508 */     GIR_EraseRootFromParent_Done,
     /* 2410509 */   // Label 34788: @2410509
     /* 2410509 */   GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2410592), // Rule ID 45350 //
     /* 2410514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410550 */     // MIs[1] Operand 1
     /* 2410550 */     // No operand predicates
     /* 2410550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410554 */     // MIs[0] policy
     /* 2410554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410566 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410591 */     // GIR_Coverage, 45350,
     /* 2410591 */     GIR_EraseRootFromParent_Done,
     /* 2410592 */   // Label 34789: @2410592
     /* 2410592 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2410675), // Rule ID 45421 //
     /* 2410597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410633 */     // MIs[1] Operand 1
     /* 2410633 */     // No operand predicates
     /* 2410633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410637 */     // MIs[0] policy
     /* 2410637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410649 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410674 */     // GIR_Coverage, 45421,
     /* 2410674 */     GIR_EraseRootFromParent_Done,
     /* 2410675 */   // Label 34790: @2410675
     /* 2410675 */   GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2410758), // Rule ID 45422 //
     /* 2410680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410716 */     // MIs[1] Operand 1
     /* 2410716 */     // No operand predicates
     /* 2410716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410720 */     // MIs[0] policy
     /* 2410720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410732 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410757 */     // GIR_Coverage, 45422,
     /* 2410757 */     GIR_EraseRootFromParent_Done,
     /* 2410758 */   // Label 34791: @2410758
     /* 2410758 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2410830), // Rule ID 45351 //
     /* 2410763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410795 */     // MIs[0] policy
     /* 2410795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410805 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410829 */     // GIR_Coverage, 45351,
     /* 2410829 */     GIR_EraseRootFromParent_Done,
     /* 2410830 */   // Label 34792: @2410830
     /* 2410830 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2410902), // Rule ID 45352 //
     /* 2410835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410867 */     // MIs[0] policy
     /* 2410867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410877 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410901 */     // GIR_Coverage, 45352,
     /* 2410901 */     GIR_EraseRootFromParent_Done,
     /* 2410902 */   // Label 34793: @2410902
     /* 2410902 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2410974), // Rule ID 45423 //
     /* 2410907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410939 */     // MIs[0] policy
     /* 2410939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410949 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410973 */     // GIR_Coverage, 45423,
     /* 2410973 */     GIR_EraseRootFromParent_Done,
     /* 2410974 */   // Label 34794: @2410974
     /* 2410974 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2411046), // Rule ID 45424 //
     /* 2410979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411011 */     // MIs[0] policy
     /* 2411011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411021 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411045 */     // GIR_Coverage, 45424,
     /* 2411045 */     GIR_EraseRootFromParent_Done,
     /* 2411046 */   // Label 34795: @2411046
     /* 2411046 */   GIM_Reject,
     /* 2411047 */ // Label 34787: @2411047
     /* 2411047 */ GIM_Reject,
     /* 2411048 */ // Label 34725: @2411048
     /* 2411048 */ GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2411680),
     /* 2411053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2411059 */   GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2411142), // Rule ID 45393 //
     /* 2411064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411100 */     // MIs[1] Operand 1
     /* 2411100 */     // No operand predicates
     /* 2411100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411104 */     // MIs[0] policy
     /* 2411104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411116 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411128 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411141 */     // GIR_Coverage, 45393,
     /* 2411141 */     GIR_EraseRootFromParent_Done,
     /* 2411142 */   // Label 34797: @2411142
     /* 2411142 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2411225), // Rule ID 45394 //
     /* 2411147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411183 */     // MIs[1] Operand 1
     /* 2411183 */     // No operand predicates
     /* 2411183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411187 */     // MIs[0] policy
     /* 2411187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411199 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411224 */     // GIR_Coverage, 45394,
     /* 2411224 */     GIR_EraseRootFromParent_Done,
     /* 2411225 */   // Label 34798: @2411225
     /* 2411225 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2411308), // Rule ID 45453 //
     /* 2411230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411266 */     // MIs[1] Operand 1
     /* 2411266 */     // No operand predicates
     /* 2411266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411270 */     // MIs[0] policy
     /* 2411270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411282 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411307 */     // GIR_Coverage, 45453,
     /* 2411307 */     GIR_EraseRootFromParent_Done,
     /* 2411308 */   // Label 34799: @2411308
     /* 2411308 */   GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2411391), // Rule ID 45454 //
     /* 2411313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411349 */     // MIs[1] Operand 1
     /* 2411349 */     // No operand predicates
     /* 2411349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411353 */     // MIs[0] policy
     /* 2411353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411365 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411390 */     // GIR_Coverage, 45454,
     /* 2411390 */     GIR_EraseRootFromParent_Done,
     /* 2411391 */   // Label 34800: @2411391
     /* 2411391 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2411463), // Rule ID 45395 //
     /* 2411396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411428 */     // MIs[0] policy
     /* 2411428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411438 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411462 */     // GIR_Coverage, 45395,
     /* 2411462 */     GIR_EraseRootFromParent_Done,
     /* 2411463 */   // Label 34801: @2411463
     /* 2411463 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2411535), // Rule ID 45396 //
     /* 2411468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411500 */     // MIs[0] policy
     /* 2411500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411510 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411534 */     // GIR_Coverage, 45396,
     /* 2411534 */     GIR_EraseRootFromParent_Done,
     /* 2411535 */   // Label 34802: @2411535
     /* 2411535 */   GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2411607), // Rule ID 45455 //
     /* 2411540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411572 */     // MIs[0] policy
     /* 2411572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411582 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411606 */     // GIR_Coverage, 45455,
     /* 2411606 */     GIR_EraseRootFromParent_Done,
     /* 2411607 */   // Label 34803: @2411607
     /* 2411607 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2411679), // Rule ID 45456 //
     /* 2411612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411644 */     // MIs[0] policy
     /* 2411644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411654 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411678 */     // GIR_Coverage, 45456,
     /* 2411678 */     GIR_EraseRootFromParent_Done,
     /* 2411679 */   // Label 34804: @2411679
     /* 2411679 */   GIM_Reject,
     /* 2411680 */ // Label 34796: @2411680
     /* 2411680 */ GIM_Reject,
     /* 2411681 */ // Label 34726: @2411681
     /* 2411681 */ GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2412003),
     /* 2411686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2411689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2411692 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2411775), // Rule ID 45325 //
     /* 2411697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411733 */     // MIs[1] Operand 1
     /* 2411733 */     // No operand predicates
     /* 2411733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411737 */     // MIs[0] policy
     /* 2411737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411749 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2411752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411774 */     // GIR_Coverage, 45325,
     /* 2411774 */     GIR_EraseRootFromParent_Done,
     /* 2411775 */   // Label 34806: @2411775
     /* 2411775 */   GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2411858), // Rule ID 45326 //
     /* 2411780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411816 */     // MIs[1] Operand 1
     /* 2411816 */     // No operand predicates
     /* 2411816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411820 */     // MIs[0] policy
     /* 2411820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411832 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2411835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411857 */     // GIR_Coverage, 45326,
     /* 2411857 */     GIR_EraseRootFromParent_Done,
     /* 2411858 */   // Label 34807: @2411858
     /* 2411858 */   GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2411930), // Rule ID 45327 //
     /* 2411863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411895 */     // MIs[0] policy
     /* 2411895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411905 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2411908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411929 */     // GIR_Coverage, 45327,
     /* 2411929 */     GIR_EraseRootFromParent_Done,
     /* 2411930 */   // Label 34808: @2411930
     /* 2411930 */   GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2412002), // Rule ID 45328 //
     /* 2411935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411967 */     // MIs[0] policy
     /* 2411967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411977 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2411980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412001 */     // GIR_Coverage, 45328,
     /* 2412001 */     GIR_EraseRootFromParent_Done,
     /* 2412002 */   // Label 34809: @2412002
     /* 2412002 */   GIM_Reject,
     /* 2412003 */ // Label 34805: @2412003
     /* 2412003 */ GIM_Reject,
     /* 2412004 */ // Label 34727: @2412004
     /* 2412004 */ GIM_Try, /*On fail goto*//*Label 34810*/ GIMT_Encode4(2412636),
     /* 2412009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2412015 */   GIM_Try, /*On fail goto*//*Label 34811*/ GIMT_Encode4(2412098), // Rule ID 45345 //
     /* 2412020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412056 */     // MIs[1] Operand 1
     /* 2412056 */     // No operand predicates
     /* 2412056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412060 */     // MIs[0] policy
     /* 2412060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412072 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412097 */     // GIR_Coverage, 45345,
     /* 2412097 */     GIR_EraseRootFromParent_Done,
     /* 2412098 */   // Label 34811: @2412098
     /* 2412098 */   GIM_Try, /*On fail goto*//*Label 34812*/ GIMT_Encode4(2412181), // Rule ID 45346 //
     /* 2412103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412139 */     // MIs[1] Operand 1
     /* 2412139 */     // No operand predicates
     /* 2412139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412143 */     // MIs[0] policy
     /* 2412143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412155 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412180 */     // GIR_Coverage, 45346,
     /* 2412180 */     GIR_EraseRootFromParent_Done,
     /* 2412181 */   // Label 34812: @2412181
     /* 2412181 */   GIM_Try, /*On fail goto*//*Label 34813*/ GIMT_Encode4(2412264), // Rule ID 45417 //
     /* 2412186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412222 */     // MIs[1] Operand 1
     /* 2412222 */     // No operand predicates
     /* 2412222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412226 */     // MIs[0] policy
     /* 2412226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412238 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412263 */     // GIR_Coverage, 45417,
     /* 2412263 */     GIR_EraseRootFromParent_Done,
     /* 2412264 */   // Label 34813: @2412264
     /* 2412264 */   GIM_Try, /*On fail goto*//*Label 34814*/ GIMT_Encode4(2412347), // Rule ID 45418 //
     /* 2412269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412305 */     // MIs[1] Operand 1
     /* 2412305 */     // No operand predicates
     /* 2412305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412309 */     // MIs[0] policy
     /* 2412309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412321 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412346 */     // GIR_Coverage, 45418,
     /* 2412346 */     GIR_EraseRootFromParent_Done,
     /* 2412347 */   // Label 34814: @2412347
     /* 2412347 */   GIM_Try, /*On fail goto*//*Label 34815*/ GIMT_Encode4(2412419), // Rule ID 45347 //
     /* 2412352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412384 */     // MIs[0] policy
     /* 2412384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412394 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412418 */     // GIR_Coverage, 45347,
     /* 2412418 */     GIR_EraseRootFromParent_Done,
     /* 2412419 */   // Label 34815: @2412419
     /* 2412419 */   GIM_Try, /*On fail goto*//*Label 34816*/ GIMT_Encode4(2412491), // Rule ID 45348 //
     /* 2412424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412456 */     // MIs[0] policy
     /* 2412456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412466 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412490 */     // GIR_Coverage, 45348,
     /* 2412490 */     GIR_EraseRootFromParent_Done,
     /* 2412491 */   // Label 34816: @2412491
     /* 2412491 */   GIM_Try, /*On fail goto*//*Label 34817*/ GIMT_Encode4(2412563), // Rule ID 45419 //
     /* 2412496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412528 */     // MIs[0] policy
     /* 2412528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412538 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412562 */     // GIR_Coverage, 45419,
     /* 2412562 */     GIR_EraseRootFromParent_Done,
     /* 2412563 */   // Label 34817: @2412563
     /* 2412563 */   GIM_Try, /*On fail goto*//*Label 34818*/ GIMT_Encode4(2412635), // Rule ID 45420 //
     /* 2412568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412600 */     // MIs[0] policy
     /* 2412600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412610 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412634 */     // GIR_Coverage, 45420,
     /* 2412634 */     GIR_EraseRootFromParent_Done,
     /* 2412635 */   // Label 34818: @2412635
     /* 2412635 */   GIM_Reject,
     /* 2412636 */ // Label 34810: @2412636
     /* 2412636 */ GIM_Reject,
     /* 2412637 */ // Label 34728: @2412637
     /* 2412637 */ GIM_Try, /*On fail goto*//*Label 34819*/ GIMT_Encode4(2413269),
     /* 2412642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2412645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2412648 */   GIM_Try, /*On fail goto*//*Label 34820*/ GIMT_Encode4(2412731), // Rule ID 45381 //
     /* 2412653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412689 */     // MIs[1] Operand 1
     /* 2412689 */     // No operand predicates
     /* 2412689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412693 */     // MIs[0] policy
     /* 2412693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412705 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412730 */     // GIR_Coverage, 45381,
     /* 2412730 */     GIR_EraseRootFromParent_Done,
     /* 2412731 */   // Label 34820: @2412731
     /* 2412731 */   GIM_Try, /*On fail goto*//*Label 34821*/ GIMT_Encode4(2412814), // Rule ID 45382 //
     /* 2412736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412772 */     // MIs[1] Operand 1
     /* 2412772 */     // No operand predicates
     /* 2412772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412776 */     // MIs[0] policy
     /* 2412776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412788 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412813 */     // GIR_Coverage, 45382,
     /* 2412813 */     GIR_EraseRootFromParent_Done,
     /* 2412814 */   // Label 34821: @2412814
     /* 2412814 */   GIM_Try, /*On fail goto*//*Label 34822*/ GIMT_Encode4(2412897), // Rule ID 45441 //
     /* 2412819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412855 */     // MIs[1] Operand 1
     /* 2412855 */     // No operand predicates
     /* 2412855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412859 */     // MIs[0] policy
     /* 2412859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412871 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412896 */     // GIR_Coverage, 45441,
     /* 2412896 */     GIR_EraseRootFromParent_Done,
     /* 2412897 */   // Label 34822: @2412897
     /* 2412897 */   GIM_Try, /*On fail goto*//*Label 34823*/ GIMT_Encode4(2412980), // Rule ID 45442 //
     /* 2412902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412938 */     // MIs[1] Operand 1
     /* 2412938 */     // No operand predicates
     /* 2412938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412942 */     // MIs[0] policy
     /* 2412942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412954 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412979 */     // GIR_Coverage, 45442,
     /* 2412979 */     GIR_EraseRootFromParent_Done,
     /* 2412980 */   // Label 34823: @2412980
     /* 2412980 */   GIM_Try, /*On fail goto*//*Label 34824*/ GIMT_Encode4(2413052), // Rule ID 45383 //
     /* 2412985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413017 */     // MIs[0] policy
     /* 2413017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413027 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413051 */     // GIR_Coverage, 45383,
     /* 2413051 */     GIR_EraseRootFromParent_Done,
     /* 2413052 */   // Label 34824: @2413052
     /* 2413052 */   GIM_Try, /*On fail goto*//*Label 34825*/ GIMT_Encode4(2413124), // Rule ID 45384 //
     /* 2413057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413089 */     // MIs[0] policy
     /* 2413089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413099 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413123 */     // GIR_Coverage, 45384,
     /* 2413123 */     GIR_EraseRootFromParent_Done,
     /* 2413124 */   // Label 34825: @2413124
     /* 2413124 */   GIM_Try, /*On fail goto*//*Label 34826*/ GIMT_Encode4(2413196), // Rule ID 45443 //
     /* 2413129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413161 */     // MIs[0] policy
     /* 2413161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413171 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413195 */     // GIR_Coverage, 45443,
     /* 2413195 */     GIR_EraseRootFromParent_Done,
     /* 2413196 */   // Label 34826: @2413196
     /* 2413196 */   GIM_Try, /*On fail goto*//*Label 34827*/ GIMT_Encode4(2413268), // Rule ID 45444 //
     /* 2413201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413233 */     // MIs[0] policy
     /* 2413233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413243 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413267 */     // GIR_Coverage, 45444,
     /* 2413267 */     GIR_EraseRootFromParent_Done,
     /* 2413268 */   // Label 34827: @2413268
     /* 2413268 */   GIM_Reject,
     /* 2413269 */ // Label 34819: @2413269
     /* 2413269 */ GIM_Reject,
     /* 2413270 */ // Label 34729: @2413270
     /* 2413270 */ GIM_Try, /*On fail goto*//*Label 34828*/ GIMT_Encode4(2413902),
     /* 2413275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2413278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2413281 */   GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2413364), // Rule ID 45397 //
     /* 2413286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413322 */     // MIs[1] Operand 1
     /* 2413322 */     // No operand predicates
     /* 2413322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413326 */     // MIs[0] policy
     /* 2413326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413338 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413363 */     // GIR_Coverage, 45397,
     /* 2413363 */     GIR_EraseRootFromParent_Done,
     /* 2413364 */   // Label 34829: @2413364
     /* 2413364 */   GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2413447), // Rule ID 45398 //
     /* 2413369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413405 */     // MIs[1] Operand 1
     /* 2413405 */     // No operand predicates
     /* 2413405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413409 */     // MIs[0] policy
     /* 2413409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413421 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413446 */     // GIR_Coverage, 45398,
     /* 2413446 */     GIR_EraseRootFromParent_Done,
     /* 2413447 */   // Label 34830: @2413447
     /* 2413447 */   GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2413530), // Rule ID 45457 //
     /* 2413452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413488 */     // MIs[1] Operand 1
     /* 2413488 */     // No operand predicates
     /* 2413488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413492 */     // MIs[0] policy
     /* 2413492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413504 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413529 */     // GIR_Coverage, 45457,
     /* 2413529 */     GIR_EraseRootFromParent_Done,
     /* 2413530 */   // Label 34831: @2413530
     /* 2413530 */   GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2413613), // Rule ID 45458 //
     /* 2413535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413571 */     // MIs[1] Operand 1
     /* 2413571 */     // No operand predicates
     /* 2413571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413575 */     // MIs[0] policy
     /* 2413575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413587 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413612 */     // GIR_Coverage, 45458,
     /* 2413612 */     GIR_EraseRootFromParent_Done,
     /* 2413613 */   // Label 34832: @2413613
     /* 2413613 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2413685), // Rule ID 45399 //
     /* 2413618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413650 */     // MIs[0] policy
     /* 2413650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413660 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413684 */     // GIR_Coverage, 45399,
     /* 2413684 */     GIR_EraseRootFromParent_Done,
     /* 2413685 */   // Label 34833: @2413685
     /* 2413685 */   GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2413757), // Rule ID 45400 //
     /* 2413690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413722 */     // MIs[0] policy
     /* 2413722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413732 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413756 */     // GIR_Coverage, 45400,
     /* 2413756 */     GIR_EraseRootFromParent_Done,
     /* 2413757 */   // Label 34834: @2413757
     /* 2413757 */   GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2413829), // Rule ID 45459 //
     /* 2413762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413794 */     // MIs[0] policy
     /* 2413794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413804 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413828 */     // GIR_Coverage, 45459,
     /* 2413828 */     GIR_EraseRootFromParent_Done,
     /* 2413829 */   // Label 34835: @2413829
     /* 2413829 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2413901), // Rule ID 45460 //
     /* 2413834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413866 */     // MIs[0] policy
     /* 2413866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413876 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413900 */     // GIR_Coverage, 45460,
     /* 2413900 */     GIR_EraseRootFromParent_Done,
     /* 2413901 */   // Label 34836: @2413901
     /* 2413901 */   GIM_Reject,
     /* 2413902 */ // Label 34828: @2413902
     /* 2413902 */ GIM_Reject,
     /* 2413903 */ // Label 34730: @2413903
     /* 2413903 */ GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2414225),
     /* 2413908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2413911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2413914 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2413997), // Rule ID 45341 //
     /* 2413919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413955 */     // MIs[1] Operand 1
     /* 2413955 */     // No operand predicates
     /* 2413955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413959 */     // MIs[0] policy
     /* 2413959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413971 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2413974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413996 */     // GIR_Coverage, 45341,
     /* 2413996 */     GIR_EraseRootFromParent_Done,
     /* 2413997 */   // Label 34838: @2413997
     /* 2413997 */   GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2414080), // Rule ID 45342 //
     /* 2414002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414038 */     // MIs[1] Operand 1
     /* 2414038 */     // No operand predicates
     /* 2414038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414042 */     // MIs[0] policy
     /* 2414042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414054 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2414057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414079 */     // GIR_Coverage, 45342,
     /* 2414079 */     GIR_EraseRootFromParent_Done,
     /* 2414080 */   // Label 34839: @2414080
     /* 2414080 */   GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2414152), // Rule ID 45343 //
     /* 2414085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414117 */     // MIs[0] policy
     /* 2414117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414127 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414151 */     // GIR_Coverage, 45343,
     /* 2414151 */     GIR_EraseRootFromParent_Done,
     /* 2414152 */   // Label 34840: @2414152
     /* 2414152 */   GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2414224), // Rule ID 45344 //
     /* 2414157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414189 */     // MIs[0] policy
     /* 2414189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414199 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414223 */     // GIR_Coverage, 45344,
     /* 2414223 */     GIR_EraseRootFromParent_Done,
     /* 2414224 */   // Label 34841: @2414224
     /* 2414224 */   GIM_Reject,
     /* 2414225 */ // Label 34837: @2414225
     /* 2414225 */ GIM_Reject,
     /* 2414226 */ // Label 34731: @2414226
     /* 2414226 */ GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2414858),
     /* 2414231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2414237 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2414320), // Rule ID 45369 //
     /* 2414242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414278 */     // MIs[1] Operand 1
     /* 2414278 */     // No operand predicates
     /* 2414278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414282 */     // MIs[0] policy
     /* 2414282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414294 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414319 */     // GIR_Coverage, 45369,
     /* 2414319 */     GIR_EraseRootFromParent_Done,
     /* 2414320 */   // Label 34843: @2414320
     /* 2414320 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2414403), // Rule ID 45370 //
     /* 2414325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414361 */     // MIs[1] Operand 1
     /* 2414361 */     // No operand predicates
     /* 2414361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414365 */     // MIs[0] policy
     /* 2414365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414377 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414402 */     // GIR_Coverage, 45370,
     /* 2414402 */     GIR_EraseRootFromParent_Done,
     /* 2414403 */   // Label 34844: @2414403
     /* 2414403 */   GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2414486), // Rule ID 45429 //
     /* 2414408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414444 */     // MIs[1] Operand 1
     /* 2414444 */     // No operand predicates
     /* 2414444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414448 */     // MIs[0] policy
     /* 2414448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414460 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414485 */     // GIR_Coverage, 45429,
     /* 2414485 */     GIR_EraseRootFromParent_Done,
     /* 2414486 */   // Label 34845: @2414486
     /* 2414486 */   GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2414569), // Rule ID 45430 //
     /* 2414491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414527 */     // MIs[1] Operand 1
     /* 2414527 */     // No operand predicates
     /* 2414527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414531 */     // MIs[0] policy
     /* 2414531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414543 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414568 */     // GIR_Coverage, 45430,
     /* 2414568 */     GIR_EraseRootFromParent_Done,
     /* 2414569 */   // Label 34846: @2414569
     /* 2414569 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2414641), // Rule ID 45371 //
     /* 2414574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414606 */     // MIs[0] policy
     /* 2414606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414616 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414640 */     // GIR_Coverage, 45371,
     /* 2414640 */     GIR_EraseRootFromParent_Done,
     /* 2414641 */   // Label 34847: @2414641
     /* 2414641 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2414713), // Rule ID 45372 //
     /* 2414646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414678 */     // MIs[0] policy
     /* 2414678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414688 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414712 */     // GIR_Coverage, 45372,
     /* 2414712 */     GIR_EraseRootFromParent_Done,
     /* 2414713 */   // Label 34848: @2414713
     /* 2414713 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2414785), // Rule ID 45431 //
     /* 2414718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414750 */     // MIs[0] policy
     /* 2414750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414760 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414784 */     // GIR_Coverage, 45431,
     /* 2414784 */     GIR_EraseRootFromParent_Done,
     /* 2414785 */   // Label 34849: @2414785
     /* 2414785 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2414857), // Rule ID 45432 //
     /* 2414790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414822 */     // MIs[0] policy
     /* 2414822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414832 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414856 */     // GIR_Coverage, 45432,
     /* 2414856 */     GIR_EraseRootFromParent_Done,
     /* 2414857 */   // Label 34850: @2414857
     /* 2414857 */   GIM_Reject,
     /* 2414858 */ // Label 34842: @2414858
     /* 2414858 */ GIM_Reject,
     /* 2414859 */ // Label 34732: @2414859
     /* 2414859 */ GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2415491),
     /* 2414864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2414867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2414870 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2414953), // Rule ID 45385 //
     /* 2414875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414911 */     // MIs[1] Operand 1
     /* 2414911 */     // No operand predicates
     /* 2414911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414915 */     // MIs[0] policy
     /* 2414915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414927 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2414930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414952 */     // GIR_Coverage, 45385,
     /* 2414952 */     GIR_EraseRootFromParent_Done,
     /* 2414953 */   // Label 34852: @2414953
     /* 2414953 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2415036), // Rule ID 45386 //
     /* 2414958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414994 */     // MIs[1] Operand 1
     /* 2414994 */     // No operand predicates
     /* 2414994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414998 */     // MIs[0] policy
     /* 2414998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415010 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415035 */     // GIR_Coverage, 45386,
     /* 2415035 */     GIR_EraseRootFromParent_Done,
     /* 2415036 */   // Label 34853: @2415036
     /* 2415036 */   GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2415119), // Rule ID 45445 //
     /* 2415041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415077 */     // MIs[1] Operand 1
     /* 2415077 */     // No operand predicates
     /* 2415077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415081 */     // MIs[0] policy
     /* 2415081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415093 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415118 */     // GIR_Coverage, 45445,
     /* 2415118 */     GIR_EraseRootFromParent_Done,
     /* 2415119 */   // Label 34854: @2415119
     /* 2415119 */   GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2415202), // Rule ID 45446 //
     /* 2415124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415160 */     // MIs[1] Operand 1
     /* 2415160 */     // No operand predicates
     /* 2415160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415164 */     // MIs[0] policy
     /* 2415164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415176 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415201 */     // GIR_Coverage, 45446,
     /* 2415201 */     GIR_EraseRootFromParent_Done,
     /* 2415202 */   // Label 34855: @2415202
     /* 2415202 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2415274), // Rule ID 45387 //
     /* 2415207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415239 */     // MIs[0] policy
     /* 2415239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415249 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415273 */     // GIR_Coverage, 45387,
     /* 2415273 */     GIR_EraseRootFromParent_Done,
     /* 2415274 */   // Label 34856: @2415274
     /* 2415274 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2415346), // Rule ID 45388 //
     /* 2415279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415311 */     // MIs[0] policy
     /* 2415311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415321 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415345 */     // GIR_Coverage, 45388,
     /* 2415345 */     GIR_EraseRootFromParent_Done,
     /* 2415346 */   // Label 34857: @2415346
     /* 2415346 */   GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2415418), // Rule ID 45447 //
     /* 2415351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415383 */     // MIs[0] policy
     /* 2415383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415393 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415417 */     // GIR_Coverage, 45447,
     /* 2415417 */     GIR_EraseRootFromParent_Done,
     /* 2415418 */   // Label 34858: @2415418
     /* 2415418 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2415490), // Rule ID 45448 //
     /* 2415423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415455 */     // MIs[0] policy
     /* 2415455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415465 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415489 */     // GIR_Coverage, 45448,
     /* 2415489 */     GIR_EraseRootFromParent_Done,
     /* 2415490 */   // Label 34859: @2415490
     /* 2415490 */   GIM_Reject,
     /* 2415491 */ // Label 34851: @2415491
     /* 2415491 */ GIM_Reject,
     /* 2415492 */ // Label 34733: @2415492
     /* 2415492 */ GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2416124),
     /* 2415497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2415500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2415503 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2415586), // Rule ID 45401 //
     /* 2415508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415544 */     // MIs[1] Operand 1
     /* 2415544 */     // No operand predicates
     /* 2415544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415548 */     // MIs[0] policy
     /* 2415548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415560 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415585 */     // GIR_Coverage, 45401,
     /* 2415585 */     GIR_EraseRootFromParent_Done,
     /* 2415586 */   // Label 34861: @2415586
     /* 2415586 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2415669), // Rule ID 45402 //
     /* 2415591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415627 */     // MIs[1] Operand 1
     /* 2415627 */     // No operand predicates
     /* 2415627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415631 */     // MIs[0] policy
     /* 2415631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415643 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415668 */     // GIR_Coverage, 45402,
     /* 2415668 */     GIR_EraseRootFromParent_Done,
     /* 2415669 */   // Label 34862: @2415669
     /* 2415669 */   GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2415752), // Rule ID 45461 //
     /* 2415674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415710 */     // MIs[1] Operand 1
     /* 2415710 */     // No operand predicates
     /* 2415710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415714 */     // MIs[0] policy
     /* 2415714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415726 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415751 */     // GIR_Coverage, 45461,
     /* 2415751 */     GIR_EraseRootFromParent_Done,
     /* 2415752 */   // Label 34863: @2415752
     /* 2415752 */   GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2415835), // Rule ID 45462 //
     /* 2415757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415793 */     // MIs[1] Operand 1
     /* 2415793 */     // No operand predicates
     /* 2415793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415797 */     // MIs[0] policy
     /* 2415797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415809 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415834 */     // GIR_Coverage, 45462,
     /* 2415834 */     GIR_EraseRootFromParent_Done,
     /* 2415835 */   // Label 34864: @2415835
     /* 2415835 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2415907), // Rule ID 45403 //
     /* 2415840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415872 */     // MIs[0] policy
     /* 2415872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415882 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415906 */     // GIR_Coverage, 45403,
     /* 2415906 */     GIR_EraseRootFromParent_Done,
     /* 2415907 */   // Label 34865: @2415907
     /* 2415907 */   GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2415979), // Rule ID 45404 //
     /* 2415912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415944 */     // MIs[0] policy
     /* 2415944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415954 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415978 */     // GIR_Coverage, 45404,
     /* 2415978 */     GIR_EraseRootFromParent_Done,
     /* 2415979 */   // Label 34866: @2415979
     /* 2415979 */   GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2416051), // Rule ID 45463 //
     /* 2415984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416016 */     // MIs[0] policy
     /* 2416016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416026 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416050 */     // GIR_Coverage, 45463,
     /* 2416050 */     GIR_EraseRootFromParent_Done,
     /* 2416051 */   // Label 34867: @2416051
     /* 2416051 */   GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2416123), // Rule ID 45464 //
     /* 2416056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416088 */     // MIs[0] policy
     /* 2416088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416098 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416122 */     // GIR_Coverage, 45464,
     /* 2416122 */     GIR_EraseRootFromParent_Done,
     /* 2416123 */   // Label 34868: @2416123
     /* 2416123 */   GIM_Reject,
     /* 2416124 */ // Label 34860: @2416124
     /* 2416124 */ GIM_Reject,
     /* 2416125 */ // Label 34734: @2416125
     /* 2416125 */ GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2416447),
     /* 2416130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2416133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2416136 */   GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2416219), // Rule ID 45357 //
     /* 2416141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416177 */     // MIs[1] Operand 1
     /* 2416177 */     // No operand predicates
     /* 2416177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416181 */     // MIs[0] policy
     /* 2416181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416193 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416218 */     // GIR_Coverage, 45357,
     /* 2416218 */     GIR_EraseRootFromParent_Done,
     /* 2416219 */   // Label 34870: @2416219
     /* 2416219 */   GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2416302), // Rule ID 45358 //
     /* 2416224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416260 */     // MIs[1] Operand 1
     /* 2416260 */     // No operand predicates
     /* 2416260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416264 */     // MIs[0] policy
     /* 2416264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416276 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416301 */     // GIR_Coverage, 45358,
     /* 2416301 */     GIR_EraseRootFromParent_Done,
     /* 2416302 */   // Label 34871: @2416302
     /* 2416302 */   GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2416374), // Rule ID 45359 //
     /* 2416307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416339 */     // MIs[0] policy
     /* 2416339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416349 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416373 */     // GIR_Coverage, 45359,
     /* 2416373 */     GIR_EraseRootFromParent_Done,
     /* 2416374 */   // Label 34872: @2416374
     /* 2416374 */   GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2416446), // Rule ID 45360 //
     /* 2416379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416411 */     // MIs[0] policy
     /* 2416411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416421 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416445 */     // GIR_Coverage, 45360,
     /* 2416445 */     GIR_EraseRootFromParent_Done,
     /* 2416446 */   // Label 34873: @2416446
     /* 2416446 */   GIM_Reject,
     /* 2416447 */ // Label 34869: @2416447
     /* 2416447 */ GIM_Reject,
     /* 2416448 */ // Label 34735: @2416448
     /* 2416448 */ GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2417080),
     /* 2416453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2416456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2416459 */   GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2416542), // Rule ID 45373 //
     /* 2416464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416500 */     // MIs[1] Operand 1
     /* 2416500 */     // No operand predicates
     /* 2416500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416504 */     // MIs[0] policy
     /* 2416504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416516 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416541 */     // GIR_Coverage, 45373,
     /* 2416541 */     GIR_EraseRootFromParent_Done,
     /* 2416542 */   // Label 34875: @2416542
     /* 2416542 */   GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2416625), // Rule ID 45374 //
     /* 2416547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416583 */     // MIs[1] Operand 1
     /* 2416583 */     // No operand predicates
     /* 2416583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416587 */     // MIs[0] policy
     /* 2416587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416599 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416624 */     // GIR_Coverage, 45374,
     /* 2416624 */     GIR_EraseRootFromParent_Done,
     /* 2416625 */   // Label 34876: @2416625
     /* 2416625 */   GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2416708), // Rule ID 45433 //
     /* 2416630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416666 */     // MIs[1] Operand 1
     /* 2416666 */     // No operand predicates
     /* 2416666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416670 */     // MIs[0] policy
     /* 2416670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416682 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416707 */     // GIR_Coverage, 45433,
     /* 2416707 */     GIR_EraseRootFromParent_Done,
     /* 2416708 */   // Label 34877: @2416708
     /* 2416708 */   GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2416791), // Rule ID 45434 //
     /* 2416713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416749 */     // MIs[1] Operand 1
     /* 2416749 */     // No operand predicates
     /* 2416749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416753 */     // MIs[0] policy
     /* 2416753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416765 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416790 */     // GIR_Coverage, 45434,
     /* 2416790 */     GIR_EraseRootFromParent_Done,
     /* 2416791 */   // Label 34878: @2416791
     /* 2416791 */   GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2416863), // Rule ID 45375 //
     /* 2416796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416828 */     // MIs[0] policy
     /* 2416828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416838 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416862 */     // GIR_Coverage, 45375,
     /* 2416862 */     GIR_EraseRootFromParent_Done,
     /* 2416863 */   // Label 34879: @2416863
     /* 2416863 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2416935), // Rule ID 45376 //
     /* 2416868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416900 */     // MIs[0] policy
     /* 2416900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416910 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416934 */     // GIR_Coverage, 45376,
     /* 2416934 */     GIR_EraseRootFromParent_Done,
     /* 2416935 */   // Label 34880: @2416935
     /* 2416935 */   GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2417007), // Rule ID 45435 //
     /* 2416940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416972 */     // MIs[0] policy
     /* 2416972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416982 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417006 */     // GIR_Coverage, 45435,
     /* 2417006 */     GIR_EraseRootFromParent_Done,
     /* 2417007 */   // Label 34881: @2417007
     /* 2417007 */   GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2417079), // Rule ID 45436 //
     /* 2417012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417044 */     // MIs[0] policy
     /* 2417044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417054 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417078 */     // GIR_Coverage, 45436,
     /* 2417078 */     GIR_EraseRootFromParent_Done,
     /* 2417079 */   // Label 34882: @2417079
     /* 2417079 */   GIM_Reject,
     /* 2417080 */ // Label 34874: @2417080
     /* 2417080 */ GIM_Reject,
     /* 2417081 */ // Label 34736: @2417081
     /* 2417081 */ GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2417713),
     /* 2417086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2417089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2417092 */   GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2417175), // Rule ID 45389 //
     /* 2417097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417133 */     // MIs[1] Operand 1
     /* 2417133 */     // No operand predicates
     /* 2417133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417137 */     // MIs[0] policy
     /* 2417137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417149 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417174 */     // GIR_Coverage, 45389,
     /* 2417174 */     GIR_EraseRootFromParent_Done,
     /* 2417175 */   // Label 34884: @2417175
     /* 2417175 */   GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2417258), // Rule ID 45390 //
     /* 2417180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417216 */     // MIs[1] Operand 1
     /* 2417216 */     // No operand predicates
     /* 2417216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417220 */     // MIs[0] policy
     /* 2417220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417232 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417257 */     // GIR_Coverage, 45390,
     /* 2417257 */     GIR_EraseRootFromParent_Done,
     /* 2417258 */   // Label 34885: @2417258
     /* 2417258 */   GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2417341), // Rule ID 45449 //
     /* 2417263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417299 */     // MIs[1] Operand 1
     /* 2417299 */     // No operand predicates
     /* 2417299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417303 */     // MIs[0] policy
     /* 2417303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417315 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417340 */     // GIR_Coverage, 45449,
     /* 2417340 */     GIR_EraseRootFromParent_Done,
     /* 2417341 */   // Label 34886: @2417341
     /* 2417341 */   GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2417424), // Rule ID 45450 //
     /* 2417346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417382 */     // MIs[1] Operand 1
     /* 2417382 */     // No operand predicates
     /* 2417382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417386 */     // MIs[0] policy
     /* 2417386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417398 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417423 */     // GIR_Coverage, 45450,
     /* 2417423 */     GIR_EraseRootFromParent_Done,
     /* 2417424 */   // Label 34887: @2417424
     /* 2417424 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2417496), // Rule ID 45391 //
     /* 2417429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417461 */     // MIs[0] policy
     /* 2417461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417471 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417495 */     // GIR_Coverage, 45391,
     /* 2417495 */     GIR_EraseRootFromParent_Done,
     /* 2417496 */   // Label 34888: @2417496
     /* 2417496 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2417568), // Rule ID 45392 //
     /* 2417501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417533 */     // MIs[0] policy
     /* 2417533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417543 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417567 */     // GIR_Coverage, 45392,
     /* 2417567 */     GIR_EraseRootFromParent_Done,
     /* 2417568 */   // Label 34889: @2417568
     /* 2417568 */   GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2417640), // Rule ID 45451 //
     /* 2417573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417605 */     // MIs[0] policy
     /* 2417605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417615 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417639 */     // GIR_Coverage, 45451,
     /* 2417639 */     GIR_EraseRootFromParent_Done,
     /* 2417640 */   // Label 34890: @2417640
     /* 2417640 */   GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2417712), // Rule ID 45452 //
     /* 2417645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417677 */     // MIs[0] policy
     /* 2417677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417687 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417711 */     // GIR_Coverage, 45452,
     /* 2417711 */     GIR_EraseRootFromParent_Done,
     /* 2417712 */   // Label 34891: @2417712
     /* 2417712 */   GIM_Reject,
     /* 2417713 */ // Label 34883: @2417713
     /* 2417713 */ GIM_Reject,
     /* 2417714 */ // Label 34737: @2417714
     /* 2417714 */ GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2418036),
     /* 2417719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2417722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2417725 */   GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2417808), // Rule ID 45361 //
     /* 2417730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417766 */     // MIs[1] Operand 1
     /* 2417766 */     // No operand predicates
     /* 2417766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417770 */     // MIs[0] policy
     /* 2417770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417782 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417807 */     // GIR_Coverage, 45361,
     /* 2417807 */     GIR_EraseRootFromParent_Done,
     /* 2417808 */   // Label 34893: @2417808
     /* 2417808 */   GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2417891), // Rule ID 45362 //
     /* 2417813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417849 */     // MIs[1] Operand 1
     /* 2417849 */     // No operand predicates
     /* 2417849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417853 */     // MIs[0] policy
     /* 2417853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417865 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417890 */     // GIR_Coverage, 45362,
     /* 2417890 */     GIR_EraseRootFromParent_Done,
     /* 2417891 */   // Label 34894: @2417891
     /* 2417891 */   GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2417963), // Rule ID 45363 //
     /* 2417896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417928 */     // MIs[0] policy
     /* 2417928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417938 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417962 */     // GIR_Coverage, 45363,
     /* 2417962 */     GIR_EraseRootFromParent_Done,
     /* 2417963 */   // Label 34895: @2417963
     /* 2417963 */   GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2418035), // Rule ID 45364 //
     /* 2417968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418000 */     // MIs[0] policy
     /* 2418000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418010 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2418013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418034 */     // GIR_Coverage, 45364,
     /* 2418034 */     GIR_EraseRootFromParent_Done,
     /* 2418035 */   // Label 34896: @2418035
     /* 2418035 */   GIM_Reject,
     /* 2418036 */ // Label 34892: @2418036
     /* 2418036 */ GIM_Reject,
     /* 2418037 */ // Label 34738: @2418037
     /* 2418037 */ GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2418669),
     /* 2418042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2418048 */   GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2418131), // Rule ID 45377 //
     /* 2418053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418089 */     // MIs[1] Operand 1
     /* 2418089 */     // No operand predicates
     /* 2418089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418093 */     // MIs[0] policy
     /* 2418093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418105 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418130 */     // GIR_Coverage, 45377,
     /* 2418130 */     GIR_EraseRootFromParent_Done,
     /* 2418131 */   // Label 34898: @2418131
     /* 2418131 */   GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2418214), // Rule ID 45378 //
     /* 2418136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418172 */     // MIs[1] Operand 1
     /* 2418172 */     // No operand predicates
     /* 2418172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418176 */     // MIs[0] policy
     /* 2418176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418188 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418213 */     // GIR_Coverage, 45378,
     /* 2418213 */     GIR_EraseRootFromParent_Done,
     /* 2418214 */   // Label 34899: @2418214
     /* 2418214 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2418297), // Rule ID 45437 //
     /* 2418219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418255 */     // MIs[1] Operand 1
     /* 2418255 */     // No operand predicates
     /* 2418255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418259 */     // MIs[0] policy
     /* 2418259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418271 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418296 */     // GIR_Coverage, 45437,
     /* 2418296 */     GIR_EraseRootFromParent_Done,
     /* 2418297 */   // Label 34900: @2418297
     /* 2418297 */   GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2418380), // Rule ID 45438 //
     /* 2418302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418338 */     // MIs[1] Operand 1
     /* 2418338 */     // No operand predicates
     /* 2418338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418342 */     // MIs[0] policy
     /* 2418342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418354 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418379 */     // GIR_Coverage, 45438,
     /* 2418379 */     GIR_EraseRootFromParent_Done,
     /* 2418380 */   // Label 34901: @2418380
     /* 2418380 */   GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2418452), // Rule ID 45379 //
     /* 2418385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418417 */     // MIs[0] policy
     /* 2418417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418427 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418451 */     // GIR_Coverage, 45379,
     /* 2418451 */     GIR_EraseRootFromParent_Done,
     /* 2418452 */   // Label 34902: @2418452
     /* 2418452 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2418524), // Rule ID 45380 //
     /* 2418457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418489 */     // MIs[0] policy
     /* 2418489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418499 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418523 */     // GIR_Coverage, 45380,
     /* 2418523 */     GIR_EraseRootFromParent_Done,
     /* 2418524 */   // Label 34903: @2418524
     /* 2418524 */   GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2418596), // Rule ID 45439 //
     /* 2418529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418561 */     // MIs[0] policy
     /* 2418561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418571 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418595 */     // GIR_Coverage, 45439,
     /* 2418595 */     GIR_EraseRootFromParent_Done,
     /* 2418596 */   // Label 34904: @2418596
     /* 2418596 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2418668), // Rule ID 45440 //
     /* 2418601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418633 */     // MIs[0] policy
     /* 2418633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418643 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418667 */     // GIR_Coverage, 45440,
     /* 2418667 */     GIR_EraseRootFromParent_Done,
     /* 2418668 */   // Label 34905: @2418668
     /* 2418668 */   GIM_Reject,
     /* 2418669 */ // Label 34897: @2418669
     /* 2418669 */ GIM_Reject,
     /* 2418670 */ // Label 34739: @2418670
     /* 2418670 */ GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2418992),
     /* 2418675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2418678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2418681 */   GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2418764), // Rule ID 45365 //
     /* 2418686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418722 */     // MIs[1] Operand 1
     /* 2418722 */     // No operand predicates
     /* 2418722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418726 */     // MIs[0] policy
     /* 2418726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418738 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418763 */     // GIR_Coverage, 45365,
     /* 2418763 */     GIR_EraseRootFromParent_Done,
     /* 2418764 */   // Label 34907: @2418764
     /* 2418764 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2418847), // Rule ID 45366 //
     /* 2418769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418805 */     // MIs[1] Operand 1
     /* 2418805 */     // No operand predicates
     /* 2418805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418809 */     // MIs[0] policy
     /* 2418809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418821 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418846 */     // GIR_Coverage, 45366,
     /* 2418846 */     GIR_EraseRootFromParent_Done,
     /* 2418847 */   // Label 34908: @2418847
     /* 2418847 */   GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2418919), // Rule ID 45367 //
     /* 2418852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418884 */     // MIs[0] policy
     /* 2418884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418894 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418918 */     // GIR_Coverage, 45367,
     /* 2418918 */     GIR_EraseRootFromParent_Done,
     /* 2418919 */   // Label 34909: @2418919
     /* 2418919 */   GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2418991), // Rule ID 45368 //
     /* 2418924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418956 */     // MIs[0] policy
     /* 2418956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418966 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418990 */     // GIR_Coverage, 45368,
     /* 2418990 */     GIR_EraseRootFromParent_Done,
     /* 2418991 */   // Label 34910: @2418991
     /* 2418991 */   GIM_Reject,
     /* 2418992 */ // Label 34906: @2418992
     /* 2418992 */ GIM_Reject,
     /* 2418993 */ // Label 34740: @2418993
     /* 2418993 */ GIM_Reject,
     /* 2418994 */ // Label 122: @2418994
     /* 2418994 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34933*/ GIMT_Encode4(2430873),
     /* 2419005 */ /*GILLT_nxv1s8*//*Label 34911*/ GIMT_Encode4(2419117),
     /* 2419009 */ /*GILLT_nxv1s16*//*Label 34912*/ GIMT_Encode4(2419440),
     /* 2419013 */ /*GILLT_nxv1s32*//*Label 34913*/ GIMT_Encode4(2420073),
     /* 2419017 */ /*GILLT_nxv1s64*//*Label 34914*/ GIMT_Encode4(2420706), GIMT_Encode4(0),
     /* 2419025 */ /*GILLT_nxv2s8*//*Label 34915*/ GIMT_Encode4(2421339),
     /* 2419029 */ /*GILLT_nxv2s16*//*Label 34916*/ GIMT_Encode4(2421662),
     /* 2419033 */ /*GILLT_nxv2s32*//*Label 34917*/ GIMT_Encode4(2422295),
     /* 2419037 */ /*GILLT_nxv2s64*//*Label 34918*/ GIMT_Encode4(2422928), GIMT_Encode4(0),
     /* 2419045 */ /*GILLT_nxv4s8*//*Label 34919*/ GIMT_Encode4(2423561),
     /* 2419049 */ /*GILLT_nxv4s16*//*Label 34920*/ GIMT_Encode4(2423884),
     /* 2419053 */ /*GILLT_nxv4s32*//*Label 34921*/ GIMT_Encode4(2424517),
     /* 2419057 */ /*GILLT_nxv4s64*//*Label 34922*/ GIMT_Encode4(2425150), GIMT_Encode4(0),
     /* 2419065 */ /*GILLT_nxv8s8*//*Label 34923*/ GIMT_Encode4(2425783),
     /* 2419069 */ /*GILLT_nxv8s16*//*Label 34924*/ GIMT_Encode4(2426106),
     /* 2419073 */ /*GILLT_nxv8s32*//*Label 34925*/ GIMT_Encode4(2426739),
     /* 2419077 */ /*GILLT_nxv8s64*//*Label 34926*/ GIMT_Encode4(2427372), GIMT_Encode4(0),
     /* 2419085 */ /*GILLT_nxv16s8*//*Label 34927*/ GIMT_Encode4(2428005),
     /* 2419089 */ /*GILLT_nxv16s16*//*Label 34928*/ GIMT_Encode4(2428328),
     /* 2419093 */ /*GILLT_nxv16s32*//*Label 34929*/ GIMT_Encode4(2428961), GIMT_Encode4(0),
     /* 2419101 */ /*GILLT_nxv32s8*//*Label 34930*/ GIMT_Encode4(2429594),
     /* 2419105 */ /*GILLT_nxv32s16*//*Label 34931*/ GIMT_Encode4(2429917), GIMT_Encode4(0),
     /* 2419113 */ /*GILLT_nxv64s8*//*Label 34932*/ GIMT_Encode4(2430550),
     /* 2419117 */ // Label 34911: @2419117
     /* 2419117 */ GIM_Try, /*On fail goto*//*Label 34934*/ GIMT_Encode4(2419439),
     /* 2419122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2419125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2419128 */   GIM_Try, /*On fail goto*//*Label 34935*/ GIMT_Encode4(2419211), // Rule ID 25235 //
     /* 2419133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419169 */     // MIs[1] Operand 1
     /* 2419169 */     // No operand predicates
     /* 2419169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419173 */     // MIs[0] policy
     /* 2419173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419185 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419210 */     // GIR_Coverage, 25235,
     /* 2419210 */     GIR_EraseRootFromParent_Done,
     /* 2419211 */   // Label 34935: @2419211
     /* 2419211 */   GIM_Try, /*On fail goto*//*Label 34936*/ GIMT_Encode4(2419294), // Rule ID 25236 //
     /* 2419216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419252 */     // MIs[1] Operand 1
     /* 2419252 */     // No operand predicates
     /* 2419252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419256 */     // MIs[0] policy
     /* 2419256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419268 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419293 */     // GIR_Coverage, 25236,
     /* 2419293 */     GIR_EraseRootFromParent_Done,
     /* 2419294 */   // Label 34936: @2419294
     /* 2419294 */   GIM_Try, /*On fail goto*//*Label 34937*/ GIMT_Encode4(2419366), // Rule ID 25237 //
     /* 2419299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419331 */     // MIs[0] policy
     /* 2419331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419341 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419365 */     // GIR_Coverage, 25237,
     /* 2419365 */     GIR_EraseRootFromParent_Done,
     /* 2419366 */   // Label 34937: @2419366
     /* 2419366 */   GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2419438), // Rule ID 25238 //
     /* 2419371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419403 */     // MIs[0] policy
     /* 2419403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419413 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419437 */     // GIR_Coverage, 25238,
     /* 2419437 */     GIR_EraseRootFromParent_Done,
     /* 2419438 */   // Label 34938: @2419438
     /* 2419438 */   GIM_Reject,
     /* 2419439 */ // Label 34934: @2419439
     /* 2419439 */ GIM_Reject,
     /* 2419440 */ // Label 34912: @2419440
     /* 2419440 */ GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2420072),
     /* 2419445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2419448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2419451 */   GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2419534), // Rule ID 45181 //
     /* 2419456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419492 */     // MIs[1] Operand 1
     /* 2419492 */     // No operand predicates
     /* 2419492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419496 */     // MIs[0] policy
     /* 2419496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419508 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419533 */     // GIR_Coverage, 45181,
     /* 2419533 */     GIR_EraseRootFromParent_Done,
     /* 2419534 */   // Label 34940: @2419534
     /* 2419534 */   GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2419617), // Rule ID 45182 //
     /* 2419539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419575 */     // MIs[1] Operand 1
     /* 2419575 */     // No operand predicates
     /* 2419575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419579 */     // MIs[0] policy
     /* 2419579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419591 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419616 */     // GIR_Coverage, 45182,
     /* 2419616 */     GIR_EraseRootFromParent_Done,
     /* 2419617 */   // Label 34941: @2419617
     /* 2419617 */   GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2419700), // Rule ID 45257 //
     /* 2419622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419658 */     // MIs[1] Operand 1
     /* 2419658 */     // No operand predicates
     /* 2419658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419662 */     // MIs[0] policy
     /* 2419662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419674 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419699 */     // GIR_Coverage, 45257,
     /* 2419699 */     GIR_EraseRootFromParent_Done,
     /* 2419700 */   // Label 34942: @2419700
     /* 2419700 */   GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2419783), // Rule ID 45258 //
     /* 2419705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419741 */     // MIs[1] Operand 1
     /* 2419741 */     // No operand predicates
     /* 2419741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419745 */     // MIs[0] policy
     /* 2419745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419757 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419782 */     // GIR_Coverage, 45258,
     /* 2419782 */     GIR_EraseRootFromParent_Done,
     /* 2419783 */   // Label 34943: @2419783
     /* 2419783 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2419855), // Rule ID 45183 //
     /* 2419788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419820 */     // MIs[0] policy
     /* 2419820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419830 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419854 */     // GIR_Coverage, 45183,
     /* 2419854 */     GIR_EraseRootFromParent_Done,
     /* 2419855 */   // Label 34944: @2419855
     /* 2419855 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2419927), // Rule ID 45184 //
     /* 2419860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419892 */     // MIs[0] policy
     /* 2419892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419902 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419926 */     // GIR_Coverage, 45184,
     /* 2419926 */     GIR_EraseRootFromParent_Done,
     /* 2419927 */   // Label 34945: @2419927
     /* 2419927 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2419999), // Rule ID 45259 //
     /* 2419932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419964 */     // MIs[0] policy
     /* 2419964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419974 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419998 */     // GIR_Coverage, 45259,
     /* 2419998 */     GIR_EraseRootFromParent_Done,
     /* 2419999 */   // Label 34946: @2419999
     /* 2419999 */   GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2420071), // Rule ID 45260 //
     /* 2420004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420036 */     // MIs[0] policy
     /* 2420036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420046 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420070 */     // GIR_Coverage, 45260,
     /* 2420070 */     GIR_EraseRootFromParent_Done,
     /* 2420071 */   // Label 34947: @2420071
     /* 2420071 */   GIM_Reject,
     /* 2420072 */ // Label 34939: @2420072
     /* 2420072 */ GIM_Reject,
     /* 2420073 */ // Label 34913: @2420073
     /* 2420073 */ GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2420705),
     /* 2420078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2420081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2420084 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2420167), // Rule ID 45189 //
     /* 2420089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420125 */     // MIs[1] Operand 1
     /* 2420125 */     // No operand predicates
     /* 2420125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420129 */     // MIs[0] policy
     /* 2420129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420141 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420166 */     // GIR_Coverage, 45189,
     /* 2420166 */     GIR_EraseRootFromParent_Done,
     /* 2420167 */   // Label 34949: @2420167
     /* 2420167 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2420250), // Rule ID 45190 //
     /* 2420172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420208 */     // MIs[1] Operand 1
     /* 2420208 */     // No operand predicates
     /* 2420208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420212 */     // MIs[0] policy
     /* 2420212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420224 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420249 */     // GIR_Coverage, 45190,
     /* 2420249 */     GIR_EraseRootFromParent_Done,
     /* 2420250 */   // Label 34950: @2420250
     /* 2420250 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2420333), // Rule ID 45265 //
     /* 2420255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420291 */     // MIs[1] Operand 1
     /* 2420291 */     // No operand predicates
     /* 2420291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420295 */     // MIs[0] policy
     /* 2420295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420307 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420332 */     // GIR_Coverage, 45265,
     /* 2420332 */     GIR_EraseRootFromParent_Done,
     /* 2420333 */   // Label 34951: @2420333
     /* 2420333 */   GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2420416), // Rule ID 45266 //
     /* 2420338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420374 */     // MIs[1] Operand 1
     /* 2420374 */     // No operand predicates
     /* 2420374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420378 */     // MIs[0] policy
     /* 2420378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420390 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420415 */     // GIR_Coverage, 45266,
     /* 2420415 */     GIR_EraseRootFromParent_Done,
     /* 2420416 */   // Label 34952: @2420416
     /* 2420416 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2420488), // Rule ID 45191 //
     /* 2420421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420453 */     // MIs[0] policy
     /* 2420453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420463 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420487 */     // GIR_Coverage, 45191,
     /* 2420487 */     GIR_EraseRootFromParent_Done,
     /* 2420488 */   // Label 34953: @2420488
     /* 2420488 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2420560), // Rule ID 45192 //
     /* 2420493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420525 */     // MIs[0] policy
     /* 2420525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420535 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420559 */     // GIR_Coverage, 45192,
     /* 2420559 */     GIR_EraseRootFromParent_Done,
     /* 2420560 */   // Label 34954: @2420560
     /* 2420560 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2420632), // Rule ID 45267 //
     /* 2420565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420597 */     // MIs[0] policy
     /* 2420597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420607 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420631 */     // GIR_Coverage, 45267,
     /* 2420631 */     GIR_EraseRootFromParent_Done,
     /* 2420632 */   // Label 34955: @2420632
     /* 2420632 */   GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2420704), // Rule ID 45268 //
     /* 2420637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420669 */     // MIs[0] policy
     /* 2420669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420679 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420703 */     // GIR_Coverage, 45268,
     /* 2420703 */     GIR_EraseRootFromParent_Done,
     /* 2420704 */   // Label 34956: @2420704
     /* 2420704 */   GIM_Reject,
     /* 2420705 */ // Label 34948: @2420705
     /* 2420705 */ GIM_Reject,
     /* 2420706 */ // Label 34914: @2420706
     /* 2420706 */ GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2421338),
     /* 2420711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2420714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2420717 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2420800), // Rule ID 45205 //
     /* 2420722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2420725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420758 */     // MIs[1] Operand 1
     /* 2420758 */     // No operand predicates
     /* 2420758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420762 */     // MIs[0] policy
     /* 2420762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420774 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420799 */     // GIR_Coverage, 45205,
     /* 2420799 */     GIR_EraseRootFromParent_Done,
     /* 2420800 */   // Label 34958: @2420800
     /* 2420800 */   GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2420883), // Rule ID 45206 //
     /* 2420805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2420808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420841 */     // MIs[1] Operand 1
     /* 2420841 */     // No operand predicates
     /* 2420841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420845 */     // MIs[0] policy
     /* 2420845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420857 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420882 */     // GIR_Coverage, 45206,
     /* 2420882 */     GIR_EraseRootFromParent_Done,
     /* 2420883 */   // Label 34959: @2420883
     /* 2420883 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2420966), // Rule ID 45277 //
     /* 2420888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2420891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420924 */     // MIs[1] Operand 1
     /* 2420924 */     // No operand predicates
     /* 2420924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420928 */     // MIs[0] policy
     /* 2420928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420940 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420965 */     // GIR_Coverage, 45277,
     /* 2420965 */     GIR_EraseRootFromParent_Done,
     /* 2420966 */   // Label 34960: @2420966
     /* 2420966 */   GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2421049), // Rule ID 45278 //
     /* 2420971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2420974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421007 */     // MIs[1] Operand 1
     /* 2421007 */     // No operand predicates
     /* 2421007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421011 */     // MIs[0] policy
     /* 2421011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421023 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421048 */     // GIR_Coverage, 45278,
     /* 2421048 */     GIR_EraseRootFromParent_Done,
     /* 2421049 */   // Label 34961: @2421049
     /* 2421049 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2421121), // Rule ID 45207 //
     /* 2421054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421086 */     // MIs[0] policy
     /* 2421086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421096 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421120 */     // GIR_Coverage, 45207,
     /* 2421120 */     GIR_EraseRootFromParent_Done,
     /* 2421121 */   // Label 34962: @2421121
     /* 2421121 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2421193), // Rule ID 45208 //
     /* 2421126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421158 */     // MIs[0] policy
     /* 2421158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421168 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421192 */     // GIR_Coverage, 45208,
     /* 2421192 */     GIR_EraseRootFromParent_Done,
     /* 2421193 */   // Label 34963: @2421193
     /* 2421193 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2421265), // Rule ID 45279 //
     /* 2421198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421230 */     // MIs[0] policy
     /* 2421230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421240 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421264 */     // GIR_Coverage, 45279,
     /* 2421264 */     GIR_EraseRootFromParent_Done,
     /* 2421265 */   // Label 34964: @2421265
     /* 2421265 */   GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2421337), // Rule ID 45280 //
     /* 2421270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421302 */     // MIs[0] policy
     /* 2421302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421312 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421336 */     // GIR_Coverage, 45280,
     /* 2421336 */     GIR_EraseRootFromParent_Done,
     /* 2421337 */   // Label 34965: @2421337
     /* 2421337 */   GIM_Reject,
     /* 2421338 */ // Label 34957: @2421338
     /* 2421338 */ GIM_Reject,
     /* 2421339 */ // Label 34915: @2421339
     /* 2421339 */ GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2421661),
     /* 2421344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2421347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2421350 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2421433), // Rule ID 45173 //
     /* 2421355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421391 */     // MIs[1] Operand 1
     /* 2421391 */     // No operand predicates
     /* 2421391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421395 */     // MIs[0] policy
     /* 2421395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421407 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421432 */     // GIR_Coverage, 45173,
     /* 2421432 */     GIR_EraseRootFromParent_Done,
     /* 2421433 */   // Label 34967: @2421433
     /* 2421433 */   GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2421516), // Rule ID 45174 //
     /* 2421438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421474 */     // MIs[1] Operand 1
     /* 2421474 */     // No operand predicates
     /* 2421474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421478 */     // MIs[0] policy
     /* 2421478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421490 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421515 */     // GIR_Coverage, 45174,
     /* 2421515 */     GIR_EraseRootFromParent_Done,
     /* 2421516 */   // Label 34968: @2421516
     /* 2421516 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2421588), // Rule ID 45175 //
     /* 2421521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421553 */     // MIs[0] policy
     /* 2421553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421563 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2421566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421587 */     // GIR_Coverage, 45175,
     /* 2421587 */     GIR_EraseRootFromParent_Done,
     /* 2421588 */   // Label 34969: @2421588
     /* 2421588 */   GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2421660), // Rule ID 45176 //
     /* 2421593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421625 */     // MIs[0] policy
     /* 2421625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421635 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2421638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421659 */     // GIR_Coverage, 45176,
     /* 2421659 */     GIR_EraseRootFromParent_Done,
     /* 2421660 */   // Label 34970: @2421660
     /* 2421660 */   GIM_Reject,
     /* 2421661 */ // Label 34966: @2421661
     /* 2421661 */ GIM_Reject,
     /* 2421662 */ // Label 34916: @2421662
     /* 2421662 */ GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2422294),
     /* 2421667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2421670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2421673 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2421756), // Rule ID 45185 //
     /* 2421678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421714 */     // MIs[1] Operand 1
     /* 2421714 */     // No operand predicates
     /* 2421714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421718 */     // MIs[0] policy
     /* 2421718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421730 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421755 */     // GIR_Coverage, 45185,
     /* 2421755 */     GIR_EraseRootFromParent_Done,
     /* 2421756 */   // Label 34972: @2421756
     /* 2421756 */   GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2421839), // Rule ID 45186 //
     /* 2421761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421797 */     // MIs[1] Operand 1
     /* 2421797 */     // No operand predicates
     /* 2421797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421801 */     // MIs[0] policy
     /* 2421801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421813 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421838 */     // GIR_Coverage, 45186,
     /* 2421838 */     GIR_EraseRootFromParent_Done,
     /* 2421839 */   // Label 34973: @2421839
     /* 2421839 */   GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2421922), // Rule ID 45261 //
     /* 2421844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421880 */     // MIs[1] Operand 1
     /* 2421880 */     // No operand predicates
     /* 2421880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421884 */     // MIs[0] policy
     /* 2421884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421896 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421921 */     // GIR_Coverage, 45261,
     /* 2421921 */     GIR_EraseRootFromParent_Done,
     /* 2421922 */   // Label 34974: @2421922
     /* 2421922 */   GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2422005), // Rule ID 45262 //
     /* 2421927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421963 */     // MIs[1] Operand 1
     /* 2421963 */     // No operand predicates
     /* 2421963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421967 */     // MIs[0] policy
     /* 2421967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421979 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422004 */     // GIR_Coverage, 45262,
     /* 2422004 */     GIR_EraseRootFromParent_Done,
     /* 2422005 */   // Label 34975: @2422005
     /* 2422005 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2422077), // Rule ID 45187 //
     /* 2422010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422042 */     // MIs[0] policy
     /* 2422042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422052 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422076 */     // GIR_Coverage, 45187,
     /* 2422076 */     GIR_EraseRootFromParent_Done,
     /* 2422077 */   // Label 34976: @2422077
     /* 2422077 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2422149), // Rule ID 45188 //
     /* 2422082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422114 */     // MIs[0] policy
     /* 2422114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422124 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422148 */     // GIR_Coverage, 45188,
     /* 2422148 */     GIR_EraseRootFromParent_Done,
     /* 2422149 */   // Label 34977: @2422149
     /* 2422149 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2422221), // Rule ID 45263 //
     /* 2422154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422186 */     // MIs[0] policy
     /* 2422186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422196 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422220 */     // GIR_Coverage, 45263,
     /* 2422220 */     GIR_EraseRootFromParent_Done,
     /* 2422221 */   // Label 34978: @2422221
     /* 2422221 */   GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2422293), // Rule ID 45264 //
     /* 2422226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422258 */     // MIs[0] policy
     /* 2422258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422268 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422292 */     // GIR_Coverage, 45264,
     /* 2422292 */     GIR_EraseRootFromParent_Done,
     /* 2422293 */   // Label 34979: @2422293
     /* 2422293 */   GIM_Reject,
     /* 2422294 */ // Label 34971: @2422294
     /* 2422294 */ GIM_Reject,
     /* 2422295 */ // Label 34917: @2422295
     /* 2422295 */ GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2422927),
     /* 2422300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2422306 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2422389), // Rule ID 45201 //
     /* 2422311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422347 */     // MIs[1] Operand 1
     /* 2422347 */     // No operand predicates
     /* 2422347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422351 */     // MIs[0] policy
     /* 2422351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422363 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422388 */     // GIR_Coverage, 45201,
     /* 2422388 */     GIR_EraseRootFromParent_Done,
     /* 2422389 */   // Label 34981: @2422389
     /* 2422389 */   GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2422472), // Rule ID 45202 //
     /* 2422394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422430 */     // MIs[1] Operand 1
     /* 2422430 */     // No operand predicates
     /* 2422430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422434 */     // MIs[0] policy
     /* 2422434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422446 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422471 */     // GIR_Coverage, 45202,
     /* 2422471 */     GIR_EraseRootFromParent_Done,
     /* 2422472 */   // Label 34982: @2422472
     /* 2422472 */   GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2422555), // Rule ID 45273 //
     /* 2422477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422513 */     // MIs[1] Operand 1
     /* 2422513 */     // No operand predicates
     /* 2422513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422517 */     // MIs[0] policy
     /* 2422517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422529 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422554 */     // GIR_Coverage, 45273,
     /* 2422554 */     GIR_EraseRootFromParent_Done,
     /* 2422555 */   // Label 34983: @2422555
     /* 2422555 */   GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2422638), // Rule ID 45274 //
     /* 2422560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422596 */     // MIs[1] Operand 1
     /* 2422596 */     // No operand predicates
     /* 2422596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422600 */     // MIs[0] policy
     /* 2422600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422612 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422637 */     // GIR_Coverage, 45274,
     /* 2422637 */     GIR_EraseRootFromParent_Done,
     /* 2422638 */   // Label 34984: @2422638
     /* 2422638 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2422710), // Rule ID 45203 //
     /* 2422643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422675 */     // MIs[0] policy
     /* 2422675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422685 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422709 */     // GIR_Coverage, 45203,
     /* 2422709 */     GIR_EraseRootFromParent_Done,
     /* 2422710 */   // Label 34985: @2422710
     /* 2422710 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2422782), // Rule ID 45204 //
     /* 2422715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422747 */     // MIs[0] policy
     /* 2422747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422757 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422781 */     // GIR_Coverage, 45204,
     /* 2422781 */     GIR_EraseRootFromParent_Done,
     /* 2422782 */   // Label 34986: @2422782
     /* 2422782 */   GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2422854), // Rule ID 45275 //
     /* 2422787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422819 */     // MIs[0] policy
     /* 2422819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422829 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422853 */     // GIR_Coverage, 45275,
     /* 2422853 */     GIR_EraseRootFromParent_Done,
     /* 2422854 */   // Label 34987: @2422854
     /* 2422854 */   GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2422926), // Rule ID 45276 //
     /* 2422859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422891 */     // MIs[0] policy
     /* 2422891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422901 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422925 */     // GIR_Coverage, 45276,
     /* 2422925 */     GIR_EraseRootFromParent_Done,
     /* 2422926 */   // Label 34988: @2422926
     /* 2422926 */   GIM_Reject,
     /* 2422927 */ // Label 34980: @2422927
     /* 2422927 */ GIM_Reject,
     /* 2422928 */ // Label 34918: @2422928
     /* 2422928 */ GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2423560),
     /* 2422933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2422936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2422939 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2423022), // Rule ID 45245 //
     /* 2422944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2422960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422980 */     // MIs[1] Operand 1
     /* 2422980 */     // No operand predicates
     /* 2422980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422984 */     // MIs[0] policy
     /* 2422984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422996 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2422999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423021 */     // GIR_Coverage, 45245,
     /* 2423021 */     GIR_EraseRootFromParent_Done,
     /* 2423022 */   // Label 34990: @2423022
     /* 2423022 */   GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2423105), // Rule ID 45246 //
     /* 2423027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423063 */     // MIs[1] Operand 1
     /* 2423063 */     // No operand predicates
     /* 2423063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423067 */     // MIs[0] policy
     /* 2423067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423079 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423104 */     // GIR_Coverage, 45246,
     /* 2423104 */     GIR_EraseRootFromParent_Done,
     /* 2423105 */   // Label 34991: @2423105
     /* 2423105 */   GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2423188), // Rule ID 45305 //
     /* 2423110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423146 */     // MIs[1] Operand 1
     /* 2423146 */     // No operand predicates
     /* 2423146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423150 */     // MIs[0] policy
     /* 2423150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423162 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423187 */     // GIR_Coverage, 45305,
     /* 2423187 */     GIR_EraseRootFromParent_Done,
     /* 2423188 */   // Label 34992: @2423188
     /* 2423188 */   GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2423271), // Rule ID 45306 //
     /* 2423193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423229 */     // MIs[1] Operand 1
     /* 2423229 */     // No operand predicates
     /* 2423229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423233 */     // MIs[0] policy
     /* 2423233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423245 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423270 */     // GIR_Coverage, 45306,
     /* 2423270 */     GIR_EraseRootFromParent_Done,
     /* 2423271 */   // Label 34993: @2423271
     /* 2423271 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2423343), // Rule ID 45247 //
     /* 2423276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423308 */     // MIs[0] policy
     /* 2423308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423318 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423342 */     // GIR_Coverage, 45247,
     /* 2423342 */     GIR_EraseRootFromParent_Done,
     /* 2423343 */   // Label 34994: @2423343
     /* 2423343 */   GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2423415), // Rule ID 45248 //
     /* 2423348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423380 */     // MIs[0] policy
     /* 2423380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423390 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423414 */     // GIR_Coverage, 45248,
     /* 2423414 */     GIR_EraseRootFromParent_Done,
     /* 2423415 */   // Label 34995: @2423415
     /* 2423415 */   GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2423487), // Rule ID 45307 //
     /* 2423420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423452 */     // MIs[0] policy
     /* 2423452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423462 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423486 */     // GIR_Coverage, 45307,
     /* 2423486 */     GIR_EraseRootFromParent_Done,
     /* 2423487 */   // Label 34996: @2423487
     /* 2423487 */   GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2423559), // Rule ID 45308 //
     /* 2423492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423524 */     // MIs[0] policy
     /* 2423524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423534 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423558 */     // GIR_Coverage, 45308,
     /* 2423558 */     GIR_EraseRootFromParent_Done,
     /* 2423559 */   // Label 34997: @2423559
     /* 2423559 */   GIM_Reject,
     /* 2423560 */ // Label 34989: @2423560
     /* 2423560 */ GIM_Reject,
     /* 2423561 */ // Label 34919: @2423561
     /* 2423561 */ GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2423883),
     /* 2423566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2423569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2423572 */   GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2423655), // Rule ID 45177 //
     /* 2423577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423613 */     // MIs[1] Operand 1
     /* 2423613 */     // No operand predicates
     /* 2423613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423617 */     // MIs[0] policy
     /* 2423617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423629 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2423632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423654 */     // GIR_Coverage, 45177,
     /* 2423654 */     GIR_EraseRootFromParent_Done,
     /* 2423655 */   // Label 34999: @2423655
     /* 2423655 */   GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2423738), // Rule ID 45178 //
     /* 2423660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423696 */     // MIs[1] Operand 1
     /* 2423696 */     // No operand predicates
     /* 2423696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423700 */     // MIs[0] policy
     /* 2423700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423712 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2423715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423737 */     // GIR_Coverage, 45178,
     /* 2423737 */     GIR_EraseRootFromParent_Done,
     /* 2423738 */   // Label 35000: @2423738
     /* 2423738 */   GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2423810), // Rule ID 45179 //
     /* 2423743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423775 */     // MIs[0] policy
     /* 2423775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423785 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2423788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423809 */     // GIR_Coverage, 45179,
     /* 2423809 */     GIR_EraseRootFromParent_Done,
     /* 2423810 */   // Label 35001: @2423810
     /* 2423810 */   GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2423882), // Rule ID 45180 //
     /* 2423815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423847 */     // MIs[0] policy
     /* 2423847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423857 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2423860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423881 */     // GIR_Coverage, 45180,
     /* 2423881 */     GIR_EraseRootFromParent_Done,
     /* 2423882 */   // Label 35002: @2423882
     /* 2423882 */   GIM_Reject,
     /* 2423883 */ // Label 34998: @2423883
     /* 2423883 */ GIM_Reject,
     /* 2423884 */ // Label 34920: @2423884
     /* 2423884 */ GIM_Try, /*On fail goto*//*Label 35003*/ GIMT_Encode4(2424516),
     /* 2423889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2423892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2423895 */   GIM_Try, /*On fail goto*//*Label 35004*/ GIMT_Encode4(2423978), // Rule ID 45197 //
     /* 2423900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423936 */     // MIs[1] Operand 1
     /* 2423936 */     // No operand predicates
     /* 2423936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423940 */     // MIs[0] policy
     /* 2423940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423952 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2423955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423977 */     // GIR_Coverage, 45197,
     /* 2423977 */     GIR_EraseRootFromParent_Done,
     /* 2423978 */   // Label 35004: @2423978
     /* 2423978 */   GIM_Try, /*On fail goto*//*Label 35005*/ GIMT_Encode4(2424061), // Rule ID 45198 //
     /* 2423983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424019 */     // MIs[1] Operand 1
     /* 2424019 */     // No operand predicates
     /* 2424019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424023 */     // MIs[0] policy
     /* 2424023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424035 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424060 */     // GIR_Coverage, 45198,
     /* 2424060 */     GIR_EraseRootFromParent_Done,
     /* 2424061 */   // Label 35005: @2424061
     /* 2424061 */   GIM_Try, /*On fail goto*//*Label 35006*/ GIMT_Encode4(2424144), // Rule ID 45269 //
     /* 2424066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424102 */     // MIs[1] Operand 1
     /* 2424102 */     // No operand predicates
     /* 2424102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424106 */     // MIs[0] policy
     /* 2424106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424118 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424143 */     // GIR_Coverage, 45269,
     /* 2424143 */     GIR_EraseRootFromParent_Done,
     /* 2424144 */   // Label 35006: @2424144
     /* 2424144 */   GIM_Try, /*On fail goto*//*Label 35007*/ GIMT_Encode4(2424227), // Rule ID 45270 //
     /* 2424149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424185 */     // MIs[1] Operand 1
     /* 2424185 */     // No operand predicates
     /* 2424185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424189 */     // MIs[0] policy
     /* 2424189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424201 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424226 */     // GIR_Coverage, 45270,
     /* 2424226 */     GIR_EraseRootFromParent_Done,
     /* 2424227 */   // Label 35007: @2424227
     /* 2424227 */   GIM_Try, /*On fail goto*//*Label 35008*/ GIMT_Encode4(2424299), // Rule ID 45199 //
     /* 2424232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424264 */     // MIs[0] policy
     /* 2424264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424274 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424298 */     // GIR_Coverage, 45199,
     /* 2424298 */     GIR_EraseRootFromParent_Done,
     /* 2424299 */   // Label 35008: @2424299
     /* 2424299 */   GIM_Try, /*On fail goto*//*Label 35009*/ GIMT_Encode4(2424371), // Rule ID 45200 //
     /* 2424304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424336 */     // MIs[0] policy
     /* 2424336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424346 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424370 */     // GIR_Coverage, 45200,
     /* 2424370 */     GIR_EraseRootFromParent_Done,
     /* 2424371 */   // Label 35009: @2424371
     /* 2424371 */   GIM_Try, /*On fail goto*//*Label 35010*/ GIMT_Encode4(2424443), // Rule ID 45271 //
     /* 2424376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424408 */     // MIs[0] policy
     /* 2424408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424418 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424442 */     // GIR_Coverage, 45271,
     /* 2424442 */     GIR_EraseRootFromParent_Done,
     /* 2424443 */   // Label 35010: @2424443
     /* 2424443 */   GIM_Try, /*On fail goto*//*Label 35011*/ GIMT_Encode4(2424515), // Rule ID 45272 //
     /* 2424448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424480 */     // MIs[0] policy
     /* 2424480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424490 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424514 */     // GIR_Coverage, 45272,
     /* 2424514 */     GIR_EraseRootFromParent_Done,
     /* 2424515 */   // Label 35011: @2424515
     /* 2424515 */   GIM_Reject,
     /* 2424516 */ // Label 35003: @2424516
     /* 2424516 */ GIM_Reject,
     /* 2424517 */ // Label 34921: @2424517
     /* 2424517 */ GIM_Try, /*On fail goto*//*Label 35012*/ GIMT_Encode4(2425149),
     /* 2424522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2424525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2424528 */   GIM_Try, /*On fail goto*//*Label 35013*/ GIMT_Encode4(2424611), // Rule ID 45233 //
     /* 2424533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424569 */     // MIs[1] Operand 1
     /* 2424569 */     // No operand predicates
     /* 2424569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424573 */     // MIs[0] policy
     /* 2424573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424585 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424610 */     // GIR_Coverage, 45233,
     /* 2424610 */     GIR_EraseRootFromParent_Done,
     /* 2424611 */   // Label 35013: @2424611
     /* 2424611 */   GIM_Try, /*On fail goto*//*Label 35014*/ GIMT_Encode4(2424694), // Rule ID 45234 //
     /* 2424616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424652 */     // MIs[1] Operand 1
     /* 2424652 */     // No operand predicates
     /* 2424652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424656 */     // MIs[0] policy
     /* 2424656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424668 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424693 */     // GIR_Coverage, 45234,
     /* 2424693 */     GIR_EraseRootFromParent_Done,
     /* 2424694 */   // Label 35014: @2424694
     /* 2424694 */   GIM_Try, /*On fail goto*//*Label 35015*/ GIMT_Encode4(2424777), // Rule ID 45293 //
     /* 2424699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424735 */     // MIs[1] Operand 1
     /* 2424735 */     // No operand predicates
     /* 2424735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424739 */     // MIs[0] policy
     /* 2424739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424751 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424776 */     // GIR_Coverage, 45293,
     /* 2424776 */     GIR_EraseRootFromParent_Done,
     /* 2424777 */   // Label 35015: @2424777
     /* 2424777 */   GIM_Try, /*On fail goto*//*Label 35016*/ GIMT_Encode4(2424860), // Rule ID 45294 //
     /* 2424782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424818 */     // MIs[1] Operand 1
     /* 2424818 */     // No operand predicates
     /* 2424818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424822 */     // MIs[0] policy
     /* 2424822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424834 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424859 */     // GIR_Coverage, 45294,
     /* 2424859 */     GIR_EraseRootFromParent_Done,
     /* 2424860 */   // Label 35016: @2424860
     /* 2424860 */   GIM_Try, /*On fail goto*//*Label 35017*/ GIMT_Encode4(2424932), // Rule ID 45235 //
     /* 2424865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424897 */     // MIs[0] policy
     /* 2424897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424907 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2424910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424931 */     // GIR_Coverage, 45235,
     /* 2424931 */     GIR_EraseRootFromParent_Done,
     /* 2424932 */   // Label 35017: @2424932
     /* 2424932 */   GIM_Try, /*On fail goto*//*Label 35018*/ GIMT_Encode4(2425004), // Rule ID 45236 //
     /* 2424937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424969 */     // MIs[0] policy
     /* 2424969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424979 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2424982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425003 */     // GIR_Coverage, 45236,
     /* 2425003 */     GIR_EraseRootFromParent_Done,
     /* 2425004 */   // Label 35018: @2425004
     /* 2425004 */   GIM_Try, /*On fail goto*//*Label 35019*/ GIMT_Encode4(2425076), // Rule ID 45295 //
     /* 2425009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425041 */     // MIs[0] policy
     /* 2425041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425051 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425075 */     // GIR_Coverage, 45295,
     /* 2425075 */     GIR_EraseRootFromParent_Done,
     /* 2425076 */   // Label 35019: @2425076
     /* 2425076 */   GIM_Try, /*On fail goto*//*Label 35020*/ GIMT_Encode4(2425148), // Rule ID 45296 //
     /* 2425081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425113 */     // MIs[0] policy
     /* 2425113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425123 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425147 */     // GIR_Coverage, 45296,
     /* 2425147 */     GIR_EraseRootFromParent_Done,
     /* 2425148 */   // Label 35020: @2425148
     /* 2425148 */   GIM_Reject,
     /* 2425149 */ // Label 35012: @2425149
     /* 2425149 */ GIM_Reject,
     /* 2425150 */ // Label 34922: @2425150
     /* 2425150 */ GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2425782),
     /* 2425155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2425158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2425161 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2425244), // Rule ID 45249 //
     /* 2425166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425202 */     // MIs[1] Operand 1
     /* 2425202 */     // No operand predicates
     /* 2425202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425206 */     // MIs[0] policy
     /* 2425206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425218 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425243 */     // GIR_Coverage, 45249,
     /* 2425243 */     GIR_EraseRootFromParent_Done,
     /* 2425244 */   // Label 35022: @2425244
     /* 2425244 */   GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2425327), // Rule ID 45250 //
     /* 2425249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425285 */     // MIs[1] Operand 1
     /* 2425285 */     // No operand predicates
     /* 2425285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425289 */     // MIs[0] policy
     /* 2425289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425301 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425326 */     // GIR_Coverage, 45250,
     /* 2425326 */     GIR_EraseRootFromParent_Done,
     /* 2425327 */   // Label 35023: @2425327
     /* 2425327 */   GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2425410), // Rule ID 45309 //
     /* 2425332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425368 */     // MIs[1] Operand 1
     /* 2425368 */     // No operand predicates
     /* 2425368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425372 */     // MIs[0] policy
     /* 2425372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425384 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425409 */     // GIR_Coverage, 45309,
     /* 2425409 */     GIR_EraseRootFromParent_Done,
     /* 2425410 */   // Label 35024: @2425410
     /* 2425410 */   GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2425493), // Rule ID 45310 //
     /* 2425415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425451 */     // MIs[1] Operand 1
     /* 2425451 */     // No operand predicates
     /* 2425451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425455 */     // MIs[0] policy
     /* 2425455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425467 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425492 */     // GIR_Coverage, 45310,
     /* 2425492 */     GIR_EraseRootFromParent_Done,
     /* 2425493 */   // Label 35025: @2425493
     /* 2425493 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2425565), // Rule ID 45251 //
     /* 2425498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425530 */     // MIs[0] policy
     /* 2425530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425540 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425564 */     // GIR_Coverage, 45251,
     /* 2425564 */     GIR_EraseRootFromParent_Done,
     /* 2425565 */   // Label 35026: @2425565
     /* 2425565 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2425637), // Rule ID 45252 //
     /* 2425570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425602 */     // MIs[0] policy
     /* 2425602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425612 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425636 */     // GIR_Coverage, 45252,
     /* 2425636 */     GIR_EraseRootFromParent_Done,
     /* 2425637 */   // Label 35027: @2425637
     /* 2425637 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2425709), // Rule ID 45311 //
     /* 2425642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425674 */     // MIs[0] policy
     /* 2425674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425684 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425708 */     // GIR_Coverage, 45311,
     /* 2425708 */     GIR_EraseRootFromParent_Done,
     /* 2425709 */   // Label 35028: @2425709
     /* 2425709 */   GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2425781), // Rule ID 45312 //
     /* 2425714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425746 */     // MIs[0] policy
     /* 2425746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425756 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425780 */     // GIR_Coverage, 45312,
     /* 2425780 */     GIR_EraseRootFromParent_Done,
     /* 2425781 */   // Label 35029: @2425781
     /* 2425781 */   GIM_Reject,
     /* 2425782 */ // Label 35021: @2425782
     /* 2425782 */ GIM_Reject,
     /* 2425783 */ // Label 34923: @2425783
     /* 2425783 */ GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2426105),
     /* 2425788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2425791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2425794 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2425877), // Rule ID 45193 //
     /* 2425799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425835 */     // MIs[1] Operand 1
     /* 2425835 */     // No operand predicates
     /* 2425835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425839 */     // MIs[0] policy
     /* 2425839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425851 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2425854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425876 */     // GIR_Coverage, 45193,
     /* 2425876 */     GIR_EraseRootFromParent_Done,
     /* 2425877 */   // Label 35031: @2425877
     /* 2425877 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2425960), // Rule ID 45194 //
     /* 2425882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425918 */     // MIs[1] Operand 1
     /* 2425918 */     // No operand predicates
     /* 2425918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425922 */     // MIs[0] policy
     /* 2425922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425934 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2425937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425959 */     // GIR_Coverage, 45194,
     /* 2425959 */     GIR_EraseRootFromParent_Done,
     /* 2425960 */   // Label 35032: @2425960
     /* 2425960 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2426032), // Rule ID 45195 //
     /* 2425965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425997 */     // MIs[0] policy
     /* 2425997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426007 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2426010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426031 */     // GIR_Coverage, 45195,
     /* 2426031 */     GIR_EraseRootFromParent_Done,
     /* 2426032 */   // Label 35033: @2426032
     /* 2426032 */   GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2426104), // Rule ID 45196 //
     /* 2426037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426069 */     // MIs[0] policy
     /* 2426069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426079 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2426082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426103 */     // GIR_Coverage, 45196,
     /* 2426103 */     GIR_EraseRootFromParent_Done,
     /* 2426104 */   // Label 35034: @2426104
     /* 2426104 */   GIM_Reject,
     /* 2426105 */ // Label 35030: @2426105
     /* 2426105 */ GIM_Reject,
     /* 2426106 */ // Label 34924: @2426106
     /* 2426106 */ GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2426738),
     /* 2426111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2426114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2426117 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2426200), // Rule ID 45221 //
     /* 2426122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426158 */     // MIs[1] Operand 1
     /* 2426158 */     // No operand predicates
     /* 2426158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426162 */     // MIs[0] policy
     /* 2426162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426174 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426199 */     // GIR_Coverage, 45221,
     /* 2426199 */     GIR_EraseRootFromParent_Done,
     /* 2426200 */   // Label 35036: @2426200
     /* 2426200 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2426283), // Rule ID 45222 //
     /* 2426205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426241 */     // MIs[1] Operand 1
     /* 2426241 */     // No operand predicates
     /* 2426241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426245 */     // MIs[0] policy
     /* 2426245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426257 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426282 */     // GIR_Coverage, 45222,
     /* 2426282 */     GIR_EraseRootFromParent_Done,
     /* 2426283 */   // Label 35037: @2426283
     /* 2426283 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2426366), // Rule ID 45281 //
     /* 2426288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426324 */     // MIs[1] Operand 1
     /* 2426324 */     // No operand predicates
     /* 2426324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426328 */     // MIs[0] policy
     /* 2426328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426340 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426365 */     // GIR_Coverage, 45281,
     /* 2426365 */     GIR_EraseRootFromParent_Done,
     /* 2426366 */   // Label 35038: @2426366
     /* 2426366 */   GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2426449), // Rule ID 45282 //
     /* 2426371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426407 */     // MIs[1] Operand 1
     /* 2426407 */     // No operand predicates
     /* 2426407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426411 */     // MIs[0] policy
     /* 2426411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426423 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426448 */     // GIR_Coverage, 45282,
     /* 2426448 */     GIR_EraseRootFromParent_Done,
     /* 2426449 */   // Label 35039: @2426449
     /* 2426449 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2426521), // Rule ID 45223 //
     /* 2426454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426486 */     // MIs[0] policy
     /* 2426486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426496 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426520 */     // GIR_Coverage, 45223,
     /* 2426520 */     GIR_EraseRootFromParent_Done,
     /* 2426521 */   // Label 35040: @2426521
     /* 2426521 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2426593), // Rule ID 45224 //
     /* 2426526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426558 */     // MIs[0] policy
     /* 2426558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426568 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426592 */     // GIR_Coverage, 45224,
     /* 2426592 */     GIR_EraseRootFromParent_Done,
     /* 2426593 */   // Label 35041: @2426593
     /* 2426593 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2426665), // Rule ID 45283 //
     /* 2426598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426630 */     // MIs[0] policy
     /* 2426630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426640 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426664 */     // GIR_Coverage, 45283,
     /* 2426664 */     GIR_EraseRootFromParent_Done,
     /* 2426665 */   // Label 35042: @2426665
     /* 2426665 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2426737), // Rule ID 45284 //
     /* 2426670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426702 */     // MIs[0] policy
     /* 2426702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426712 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426736 */     // GIR_Coverage, 45284,
     /* 2426736 */     GIR_EraseRootFromParent_Done,
     /* 2426737 */   // Label 35043: @2426737
     /* 2426737 */   GIM_Reject,
     /* 2426738 */ // Label 35035: @2426738
     /* 2426738 */ GIM_Reject,
     /* 2426739 */ // Label 34925: @2426739
     /* 2426739 */ GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2427371),
     /* 2426744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2426747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2426750 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2426833), // Rule ID 45237 //
     /* 2426755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426791 */     // MIs[1] Operand 1
     /* 2426791 */     // No operand predicates
     /* 2426791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426795 */     // MIs[0] policy
     /* 2426795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426807 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426832 */     // GIR_Coverage, 45237,
     /* 2426832 */     GIR_EraseRootFromParent_Done,
     /* 2426833 */   // Label 35045: @2426833
     /* 2426833 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2426916), // Rule ID 45238 //
     /* 2426838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426874 */     // MIs[1] Operand 1
     /* 2426874 */     // No operand predicates
     /* 2426874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426878 */     // MIs[0] policy
     /* 2426878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426890 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426915 */     // GIR_Coverage, 45238,
     /* 2426915 */     GIR_EraseRootFromParent_Done,
     /* 2426916 */   // Label 35046: @2426916
     /* 2426916 */   GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2426999), // Rule ID 45297 //
     /* 2426921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426957 */     // MIs[1] Operand 1
     /* 2426957 */     // No operand predicates
     /* 2426957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426961 */     // MIs[0] policy
     /* 2426961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426973 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426998 */     // GIR_Coverage, 45297,
     /* 2426998 */     GIR_EraseRootFromParent_Done,
     /* 2426999 */   // Label 35047: @2426999
     /* 2426999 */   GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2427082), // Rule ID 45298 //
     /* 2427004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427040 */     // MIs[1] Operand 1
     /* 2427040 */     // No operand predicates
     /* 2427040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427044 */     // MIs[0] policy
     /* 2427044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427056 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427081 */     // GIR_Coverage, 45298,
     /* 2427081 */     GIR_EraseRootFromParent_Done,
     /* 2427082 */   // Label 35048: @2427082
     /* 2427082 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2427154), // Rule ID 45239 //
     /* 2427087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427119 */     // MIs[0] policy
     /* 2427119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427129 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427153 */     // GIR_Coverage, 45239,
     /* 2427153 */     GIR_EraseRootFromParent_Done,
     /* 2427154 */   // Label 35049: @2427154
     /* 2427154 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2427226), // Rule ID 45240 //
     /* 2427159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427191 */     // MIs[0] policy
     /* 2427191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427201 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427225 */     // GIR_Coverage, 45240,
     /* 2427225 */     GIR_EraseRootFromParent_Done,
     /* 2427226 */   // Label 35050: @2427226
     /* 2427226 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2427298), // Rule ID 45299 //
     /* 2427231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427263 */     // MIs[0] policy
     /* 2427263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427273 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427297 */     // GIR_Coverage, 45299,
     /* 2427297 */     GIR_EraseRootFromParent_Done,
     /* 2427298 */   // Label 35051: @2427298
     /* 2427298 */   GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2427370), // Rule ID 45300 //
     /* 2427303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427335 */     // MIs[0] policy
     /* 2427335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427345 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427369 */     // GIR_Coverage, 45300,
     /* 2427369 */     GIR_EraseRootFromParent_Done,
     /* 2427370 */   // Label 35052: @2427370
     /* 2427370 */   GIM_Reject,
     /* 2427371 */ // Label 35044: @2427371
     /* 2427371 */ GIM_Reject,
     /* 2427372 */ // Label 34926: @2427372
     /* 2427372 */ GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2428004),
     /* 2427377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2427380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2427383 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2427466), // Rule ID 45253 //
     /* 2427388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427424 */     // MIs[1] Operand 1
     /* 2427424 */     // No operand predicates
     /* 2427424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427428 */     // MIs[0] policy
     /* 2427428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427440 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427465 */     // GIR_Coverage, 45253,
     /* 2427465 */     GIR_EraseRootFromParent_Done,
     /* 2427466 */   // Label 35054: @2427466
     /* 2427466 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2427549), // Rule ID 45254 //
     /* 2427471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427507 */     // MIs[1] Operand 1
     /* 2427507 */     // No operand predicates
     /* 2427507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427511 */     // MIs[0] policy
     /* 2427511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427523 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427548 */     // GIR_Coverage, 45254,
     /* 2427548 */     GIR_EraseRootFromParent_Done,
     /* 2427549 */   // Label 35055: @2427549
     /* 2427549 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2427632), // Rule ID 45313 //
     /* 2427554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427590 */     // MIs[1] Operand 1
     /* 2427590 */     // No operand predicates
     /* 2427590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427594 */     // MIs[0] policy
     /* 2427594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427606 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427631 */     // GIR_Coverage, 45313,
     /* 2427631 */     GIR_EraseRootFromParent_Done,
     /* 2427632 */   // Label 35056: @2427632
     /* 2427632 */   GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2427715), // Rule ID 45314 //
     /* 2427637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427673 */     // MIs[1] Operand 1
     /* 2427673 */     // No operand predicates
     /* 2427673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427677 */     // MIs[0] policy
     /* 2427677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427689 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427714 */     // GIR_Coverage, 45314,
     /* 2427714 */     GIR_EraseRootFromParent_Done,
     /* 2427715 */   // Label 35057: @2427715
     /* 2427715 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2427787), // Rule ID 45255 //
     /* 2427720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427752 */     // MIs[0] policy
     /* 2427752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427762 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427786 */     // GIR_Coverage, 45255,
     /* 2427786 */     GIR_EraseRootFromParent_Done,
     /* 2427787 */   // Label 35058: @2427787
     /* 2427787 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2427859), // Rule ID 45256 //
     /* 2427792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427824 */     // MIs[0] policy
     /* 2427824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427834 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427858 */     // GIR_Coverage, 45256,
     /* 2427858 */     GIR_EraseRootFromParent_Done,
     /* 2427859 */   // Label 35059: @2427859
     /* 2427859 */   GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2427931), // Rule ID 45315 //
     /* 2427864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427896 */     // MIs[0] policy
     /* 2427896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427906 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427930 */     // GIR_Coverage, 45315,
     /* 2427930 */     GIR_EraseRootFromParent_Done,
     /* 2427931 */   // Label 35060: @2427931
     /* 2427931 */   GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2428003), // Rule ID 45316 //
     /* 2427936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427968 */     // MIs[0] policy
     /* 2427968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427978 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428002 */     // GIR_Coverage, 45316,
     /* 2428002 */     GIR_EraseRootFromParent_Done,
     /* 2428003 */   // Label 35061: @2428003
     /* 2428003 */   GIM_Reject,
     /* 2428004 */ // Label 35053: @2428004
     /* 2428004 */ GIM_Reject,
     /* 2428005 */ // Label 34927: @2428005
     /* 2428005 */ GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2428327),
     /* 2428010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2428013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2428016 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2428099), // Rule ID 45209 //
     /* 2428021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428057 */     // MIs[1] Operand 1
     /* 2428057 */     // No operand predicates
     /* 2428057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428061 */     // MIs[0] policy
     /* 2428061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428073 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428098 */     // GIR_Coverage, 45209,
     /* 2428098 */     GIR_EraseRootFromParent_Done,
     /* 2428099 */   // Label 35063: @2428099
     /* 2428099 */   GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2428182), // Rule ID 45210 //
     /* 2428104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428140 */     // MIs[1] Operand 1
     /* 2428140 */     // No operand predicates
     /* 2428140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428144 */     // MIs[0] policy
     /* 2428144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428156 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428181 */     // GIR_Coverage, 45210,
     /* 2428181 */     GIR_EraseRootFromParent_Done,
     /* 2428182 */   // Label 35064: @2428182
     /* 2428182 */   GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2428254), // Rule ID 45211 //
     /* 2428187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428219 */     // MIs[0] policy
     /* 2428219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428229 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428253 */     // GIR_Coverage, 45211,
     /* 2428253 */     GIR_EraseRootFromParent_Done,
     /* 2428254 */   // Label 35065: @2428254
     /* 2428254 */   GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2428326), // Rule ID 45212 //
     /* 2428259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428291 */     // MIs[0] policy
     /* 2428291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428301 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428325 */     // GIR_Coverage, 45212,
     /* 2428325 */     GIR_EraseRootFromParent_Done,
     /* 2428326 */   // Label 35066: @2428326
     /* 2428326 */   GIM_Reject,
     /* 2428327 */ // Label 35062: @2428327
     /* 2428327 */ GIM_Reject,
     /* 2428328 */ // Label 34928: @2428328
     /* 2428328 */ GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2428960),
     /* 2428333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2428336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2428339 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2428422), // Rule ID 45225 //
     /* 2428344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428380 */     // MIs[1] Operand 1
     /* 2428380 */     // No operand predicates
     /* 2428380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428384 */     // MIs[0] policy
     /* 2428384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428396 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428421 */     // GIR_Coverage, 45225,
     /* 2428421 */     GIR_EraseRootFromParent_Done,
     /* 2428422 */   // Label 35068: @2428422
     /* 2428422 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2428505), // Rule ID 45226 //
     /* 2428427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428463 */     // MIs[1] Operand 1
     /* 2428463 */     // No operand predicates
     /* 2428463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428467 */     // MIs[0] policy
     /* 2428467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428479 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428504 */     // GIR_Coverage, 45226,
     /* 2428504 */     GIR_EraseRootFromParent_Done,
     /* 2428505 */   // Label 35069: @2428505
     /* 2428505 */   GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2428588), // Rule ID 45285 //
     /* 2428510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428546 */     // MIs[1] Operand 1
     /* 2428546 */     // No operand predicates
     /* 2428546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428550 */     // MIs[0] policy
     /* 2428550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428562 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428587 */     // GIR_Coverage, 45285,
     /* 2428587 */     GIR_EraseRootFromParent_Done,
     /* 2428588 */   // Label 35070: @2428588
     /* 2428588 */   GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2428671), // Rule ID 45286 //
     /* 2428593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428629 */     // MIs[1] Operand 1
     /* 2428629 */     // No operand predicates
     /* 2428629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428633 */     // MIs[0] policy
     /* 2428633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428645 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428670 */     // GIR_Coverage, 45286,
     /* 2428670 */     GIR_EraseRootFromParent_Done,
     /* 2428671 */   // Label 35071: @2428671
     /* 2428671 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2428743), // Rule ID 45227 //
     /* 2428676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428708 */     // MIs[0] policy
     /* 2428708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428718 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428742 */     // GIR_Coverage, 45227,
     /* 2428742 */     GIR_EraseRootFromParent_Done,
     /* 2428743 */   // Label 35072: @2428743
     /* 2428743 */   GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2428815), // Rule ID 45228 //
     /* 2428748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428780 */     // MIs[0] policy
     /* 2428780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428790 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428814 */     // GIR_Coverage, 45228,
     /* 2428814 */     GIR_EraseRootFromParent_Done,
     /* 2428815 */   // Label 35073: @2428815
     /* 2428815 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2428887), // Rule ID 45287 //
     /* 2428820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428852 */     // MIs[0] policy
     /* 2428852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428862 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428886 */     // GIR_Coverage, 45287,
     /* 2428886 */     GIR_EraseRootFromParent_Done,
     /* 2428887 */   // Label 35074: @2428887
     /* 2428887 */   GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2428959), // Rule ID 45288 //
     /* 2428892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428924 */     // MIs[0] policy
     /* 2428924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428934 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428958 */     // GIR_Coverage, 45288,
     /* 2428958 */     GIR_EraseRootFromParent_Done,
     /* 2428959 */   // Label 35075: @2428959
     /* 2428959 */   GIM_Reject,
     /* 2428960 */ // Label 35067: @2428960
     /* 2428960 */ GIM_Reject,
     /* 2428961 */ // Label 34929: @2428961
     /* 2428961 */ GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2429593),
     /* 2428966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2428969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2428972 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2429055), // Rule ID 45241 //
     /* 2428977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429013 */     // MIs[1] Operand 1
     /* 2429013 */     // No operand predicates
     /* 2429013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429017 */     // MIs[0] policy
     /* 2429017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429029 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429054 */     // GIR_Coverage, 45241,
     /* 2429054 */     GIR_EraseRootFromParent_Done,
     /* 2429055 */   // Label 35077: @2429055
     /* 2429055 */   GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2429138), // Rule ID 45242 //
     /* 2429060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429096 */     // MIs[1] Operand 1
     /* 2429096 */     // No operand predicates
     /* 2429096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429100 */     // MIs[0] policy
     /* 2429100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429112 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429137 */     // GIR_Coverage, 45242,
     /* 2429137 */     GIR_EraseRootFromParent_Done,
     /* 2429138 */   // Label 35078: @2429138
     /* 2429138 */   GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2429221), // Rule ID 45301 //
     /* 2429143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429179 */     // MIs[1] Operand 1
     /* 2429179 */     // No operand predicates
     /* 2429179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429183 */     // MIs[0] policy
     /* 2429183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429195 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429220 */     // GIR_Coverage, 45301,
     /* 2429220 */     GIR_EraseRootFromParent_Done,
     /* 2429221 */   // Label 35079: @2429221
     /* 2429221 */   GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2429304), // Rule ID 45302 //
     /* 2429226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429262 */     // MIs[1] Operand 1
     /* 2429262 */     // No operand predicates
     /* 2429262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429266 */     // MIs[0] policy
     /* 2429266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429278 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429303 */     // GIR_Coverage, 45302,
     /* 2429303 */     GIR_EraseRootFromParent_Done,
     /* 2429304 */   // Label 35080: @2429304
     /* 2429304 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2429376), // Rule ID 45243 //
     /* 2429309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429341 */     // MIs[0] policy
     /* 2429341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429351 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429375 */     // GIR_Coverage, 45243,
     /* 2429375 */     GIR_EraseRootFromParent_Done,
     /* 2429376 */   // Label 35081: @2429376
     /* 2429376 */   GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2429448), // Rule ID 45244 //
     /* 2429381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429413 */     // MIs[0] policy
     /* 2429413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429423 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429447 */     // GIR_Coverage, 45244,
     /* 2429447 */     GIR_EraseRootFromParent_Done,
     /* 2429448 */   // Label 35082: @2429448
     /* 2429448 */   GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2429520), // Rule ID 45303 //
     /* 2429453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429485 */     // MIs[0] policy
     /* 2429485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429495 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429519 */     // GIR_Coverage, 45303,
     /* 2429519 */     GIR_EraseRootFromParent_Done,
     /* 2429520 */   // Label 35083: @2429520
     /* 2429520 */   GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2429592), // Rule ID 45304 //
     /* 2429525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429557 */     // MIs[0] policy
     /* 2429557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429567 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429591 */     // GIR_Coverage, 45304,
     /* 2429591 */     GIR_EraseRootFromParent_Done,
     /* 2429592 */   // Label 35084: @2429592
     /* 2429592 */   GIM_Reject,
     /* 2429593 */ // Label 35076: @2429593
     /* 2429593 */ GIM_Reject,
     /* 2429594 */ // Label 34930: @2429594
     /* 2429594 */ GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2429916),
     /* 2429599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2429602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2429605 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2429688), // Rule ID 45213 //
     /* 2429610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429646 */     // MIs[1] Operand 1
     /* 2429646 */     // No operand predicates
     /* 2429646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429650 */     // MIs[0] policy
     /* 2429650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429662 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2429665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429687 */     // GIR_Coverage, 45213,
     /* 2429687 */     GIR_EraseRootFromParent_Done,
     /* 2429688 */   // Label 35086: @2429688
     /* 2429688 */   GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2429771), // Rule ID 45214 //
     /* 2429693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429729 */     // MIs[1] Operand 1
     /* 2429729 */     // No operand predicates
     /* 2429729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429733 */     // MIs[0] policy
     /* 2429733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429745 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2429748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429770 */     // GIR_Coverage, 45214,
     /* 2429770 */     GIR_EraseRootFromParent_Done,
     /* 2429771 */   // Label 35087: @2429771
     /* 2429771 */   GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2429843), // Rule ID 45215 //
     /* 2429776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429808 */     // MIs[0] policy
     /* 2429808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429818 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429842 */     // GIR_Coverage, 45215,
     /* 2429842 */     GIR_EraseRootFromParent_Done,
     /* 2429843 */   // Label 35088: @2429843
     /* 2429843 */   GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2429915), // Rule ID 45216 //
     /* 2429848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429880 */     // MIs[0] policy
     /* 2429880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429890 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429914 */     // GIR_Coverage, 45216,
     /* 2429914 */     GIR_EraseRootFromParent_Done,
     /* 2429915 */   // Label 35089: @2429915
     /* 2429915 */   GIM_Reject,
     /* 2429916 */ // Label 35085: @2429916
     /* 2429916 */ GIM_Reject,
     /* 2429917 */ // Label 34931: @2429917
     /* 2429917 */ GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2430549),
     /* 2429922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2429925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2429928 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2430011), // Rule ID 45229 //
     /* 2429933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429969 */     // MIs[1] Operand 1
     /* 2429969 */     // No operand predicates
     /* 2429969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429973 */     // MIs[0] policy
     /* 2429973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429985 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430010 */     // GIR_Coverage, 45229,
     /* 2430010 */     GIR_EraseRootFromParent_Done,
     /* 2430011 */   // Label 35091: @2430011
     /* 2430011 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2430094), // Rule ID 45230 //
     /* 2430016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430052 */     // MIs[1] Operand 1
     /* 2430052 */     // No operand predicates
     /* 2430052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430056 */     // MIs[0] policy
     /* 2430056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430068 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430093 */     // GIR_Coverage, 45230,
     /* 2430093 */     GIR_EraseRootFromParent_Done,
     /* 2430094 */   // Label 35092: @2430094
     /* 2430094 */   GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2430177), // Rule ID 45289 //
     /* 2430099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430135 */     // MIs[1] Operand 1
     /* 2430135 */     // No operand predicates
     /* 2430135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430139 */     // MIs[0] policy
     /* 2430139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430151 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430176 */     // GIR_Coverage, 45289,
     /* 2430176 */     GIR_EraseRootFromParent_Done,
     /* 2430177 */   // Label 35093: @2430177
     /* 2430177 */   GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2430260), // Rule ID 45290 //
     /* 2430182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430218 */     // MIs[1] Operand 1
     /* 2430218 */     // No operand predicates
     /* 2430218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430222 */     // MIs[0] policy
     /* 2430222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430234 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430259 */     // GIR_Coverage, 45290,
     /* 2430259 */     GIR_EraseRootFromParent_Done,
     /* 2430260 */   // Label 35094: @2430260
     /* 2430260 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2430332), // Rule ID 45231 //
     /* 2430265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430297 */     // MIs[0] policy
     /* 2430297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430307 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430331 */     // GIR_Coverage, 45231,
     /* 2430331 */     GIR_EraseRootFromParent_Done,
     /* 2430332 */   // Label 35095: @2430332
     /* 2430332 */   GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2430404), // Rule ID 45232 //
     /* 2430337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430369 */     // MIs[0] policy
     /* 2430369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430379 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430403 */     // GIR_Coverage, 45232,
     /* 2430403 */     GIR_EraseRootFromParent_Done,
     /* 2430404 */   // Label 35096: @2430404
     /* 2430404 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2430476), // Rule ID 45291 //
     /* 2430409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430441 */     // MIs[0] policy
     /* 2430441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430451 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430475 */     // GIR_Coverage, 45291,
     /* 2430475 */     GIR_EraseRootFromParent_Done,
     /* 2430476 */   // Label 35097: @2430476
     /* 2430476 */   GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2430548), // Rule ID 45292 //
     /* 2430481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430513 */     // MIs[0] policy
     /* 2430513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430523 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430547 */     // GIR_Coverage, 45292,
     /* 2430547 */     GIR_EraseRootFromParent_Done,
     /* 2430548 */   // Label 35098: @2430548
     /* 2430548 */   GIM_Reject,
     /* 2430549 */ // Label 35090: @2430549
     /* 2430549 */ GIM_Reject,
     /* 2430550 */ // Label 34932: @2430550
     /* 2430550 */ GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2430872),
     /* 2430555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2430558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2430561 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2430644), // Rule ID 45217 //
     /* 2430566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430602 */     // MIs[1] Operand 1
     /* 2430602 */     // No operand predicates
     /* 2430602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430606 */     // MIs[0] policy
     /* 2430606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430618 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430643 */     // GIR_Coverage, 45217,
     /* 2430643 */     GIR_EraseRootFromParent_Done,
     /* 2430644 */   // Label 35100: @2430644
     /* 2430644 */   GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2430727), // Rule ID 45218 //
     /* 2430649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430685 */     // MIs[1] Operand 1
     /* 2430685 */     // No operand predicates
     /* 2430685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430689 */     // MIs[0] policy
     /* 2430689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430701 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430726 */     // GIR_Coverage, 45218,
     /* 2430726 */     GIR_EraseRootFromParent_Done,
     /* 2430727 */   // Label 35101: @2430727
     /* 2430727 */   GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2430799), // Rule ID 45219 //
     /* 2430732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430764 */     // MIs[0] policy
     /* 2430764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430774 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430798 */     // GIR_Coverage, 45219,
     /* 2430798 */     GIR_EraseRootFromParent_Done,
     /* 2430799 */   // Label 35102: @2430799
     /* 2430799 */   GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2430871), // Rule ID 45220 //
     /* 2430804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430836 */     // MIs[0] policy
     /* 2430836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430846 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430870 */     // GIR_Coverage, 45220,
     /* 2430870 */     GIR_EraseRootFromParent_Done,
     /* 2430871 */   // Label 35103: @2430871
     /* 2430871 */   GIM_Reject,
     /* 2430872 */ // Label 35099: @2430872
     /* 2430872 */ GIM_Reject,
     /* 2430873 */ // Label 34933: @2430873
     /* 2430873 */ GIM_Reject,
     /* 2430874 */ // Label 123: @2430874
     /* 2430874 */ GIM_Reject,
     /* 2430875 */ }; // Size: 2430875 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
